/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the RISCV target                           *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 105;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(RISCVInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(RISCVInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static RISCVInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static RISCVInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testMOPredicate_MO(unsigned PredicateID, const MachineOperand &MO, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(4),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_p0s32,
  GILLT_p0s64,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_nxv1s1,
  GILLT_nxv1s8,
  GILLT_nxv1s16,
  GILLT_nxv1s32,
  GILLT_nxv1s64,
  GILLT_nxv2s1,
  GILLT_nxv2s8,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s8,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv4s64,
  GILLT_nxv8s1,
  GILLT_nxv8s8,
  GILLT_nxv8s16,
  GILLT_nxv8s32,
  GILLT_nxv8s64,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
  GILLT_nxv16s16,
  GILLT_nxv16s32,
  GILLT_nxv32s1,
  GILLT_nxv32s8,
  GILLT_nxv32s16,
  GILLT_nxv64s1,
  GILLT_nxv64s8,
};
const static size_t NumTypeObjects = 34;
const static LLT TypeObjects[] = {
  LLT::pointer(0, 32),
  LLT::pointer(0, 64),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(1), 8),
  LLT::vector(ElementCount::getScalable(1), 16),
  LLT::vector(ElementCount::getScalable(1), 32),
  LLT::vector(ElementCount::getScalable(1), 64),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 8),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 8),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(4), 64),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 8),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(8), 32),
  LLT::vector(ElementCount::getScalable(8), 64),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
  LLT::vector(ElementCount::getScalable(16), 16),
  LLT::vector(ElementCount::getScalable(16), 32),
  LLT::vector(ElementCount::getScalable(32), 1),
  LLT::vector(ElementCount::getScalable(32), 8),
  LLT::vector(ElementCount::getScalable(32), 16),
  LLT::vector(ElementCount::getScalable(64), 1),
  LLT::vector(ElementCount::getScalable(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasStdExtZicbopBit = 34,
  Feature_HasStdExtZicondBit = 36,
  Feature_HasStdExtZihintpauseBit = 22,
  Feature_HasStdExtZimopBit = 33,
  Feature_HasStdExtZicfilpBit = 2,
  Feature_NoStdExtZicfilpBit = 1,
  Feature_HasStdExtZilsdBit = 37,
  Feature_HasStdExtZmmulBit = 23,
  Feature_HasStdExtMBit = 24,
  Feature_HasStdExtABit = 26,
  Feature_HasStdExtZtsoBit = 28,
  Feature_NotHasStdExtZtsoBit = 27,
  Feature_HasStdExtZabhaBit = 31,
  Feature_HasStdExtZacasBit = 30,
  Feature_NoStdExtZacasBit = 29,
  Feature_HasStdExtZalasrBit = 32,
  Feature_HasStdExtFBit = 5,
  Feature_HasStdExtDBit = 7,
  Feature_HasStdExtZfhminBit = 12,
  Feature_HasStdExtZfhBit = 10,
  Feature_HasStdExtZfaBit = 38,
  Feature_NoStdExtZfaBit = 8,
  Feature_HasStdExtZfinxBit = 6,
  Feature_HasStdExtZdinxBit = 9,
  Feature_HasStdExtZhinxminBit = 13,
  Feature_HasStdExtZhinxBit = 11,
  Feature_HasStdExtZcaBit = 20,
  Feature_HasStdExtCBit = 18,
  Feature_HasStdExtZbaBit = 44,
  Feature_NotHasStdExtZbaBit = 21,
  Feature_HasStdExtZbbBit = 41,
  Feature_NoStdExtZbbBit = 43,
  Feature_HasStdExtZbcBit = 46,
  Feature_HasStdExtZbsBit = 40,
  Feature_HasStdExtZbkbBit = 42,
  Feature_NoStdExtZbkbBit = 102,
  Feature_HasStdExtZbkxBit = 47,
  Feature_HasStdExtZbbOrZbkbBit = 39,
  Feature_HasStdExtZbcOrZbkcBit = 45,
  Feature_HasStdExtZkndBit = 48,
  Feature_HasStdExtZkneBit = 50,
  Feature_HasStdExtZkndOrZkneBit = 49,
  Feature_HasStdExtZknhBit = 51,
  Feature_HasStdExtZksedBit = 52,
  Feature_HasStdExtZkshBit = 53,
  Feature_HasStdExtZvkbBit = 61,
  Feature_HasStdExtZvbbBit = 60,
  Feature_HasStdExtZvbcBit = 65,
  Feature_HasStdExtZvkgBit = 62,
  Feature_HasStdExtZvknedBit = 63,
  Feature_HasStdExtZvknhaBit = 66,
  Feature_HasStdExtZvknhbBit = 67,
  Feature_HasStdExtZvksedBit = 68,
  Feature_HasStdExtZvkshBit = 64,
  Feature_HasVInstructionsBit = 14,
  Feature_HasVInstructionsI64Bit = 56,
  Feature_HasVInstructionsAnyFBit = 55,
  Feature_HasVInstructionsF16MinimalBit = 58,
  Feature_HasVInstructionsF16Bit = 54,
  Feature_HasVInstructionsF64Bit = 59,
  Feature_HasVInstructionsFullMultiplyBit = 57,
  Feature_HasVendorXVentanaCondOpsBit = 69,
  Feature_HasVendorXTHeadBaBit = 70,
  Feature_HasVendorXTHeadBbBit = 71,
  Feature_HasVendorXTHeadBsBit = 72,
  Feature_HasVendorXTHeadCondMovBit = 73,
  Feature_HasVendorXTHeadFMemIdxBit = 78,
  Feature_HasVendorXTHeadMacBit = 74,
  Feature_HasVendorXTHeadMemIdxBit = 77,
  Feature_HasVendorXTHeadMemPairBit = 76,
  Feature_HasVendorXTHeadVdotBit = 75,
  Feature_HasVendorXSfvcpBit = 79,
  Feature_HasVendorXSfvqmaccdodBit = 80,
  Feature_HasVendorXSfvqmaccqoqBit = 81,
  Feature_HasVendorXSfvfnrclipxfqfBit = 82,
  Feature_HasVendorXCVbitmanipBit = 84,
  Feature_HasVendorXCVmacBit = 87,
  Feature_HasVendorXCVmemBit = 83,
  Feature_HasVendorXCValuBit = 85,
  Feature_HasVendorXCVbiBit = 86,
  Feature_UseCCMovInsnBit = 100,
  Feature_HasVendorXMIPSCBOPBit = 99,
  Feature_NotHasVendorXMIPSCBOPBit = 35,
  Feature_HasVendorXqciaBit = 92,
  Feature_HasVendorXqciacBit = 88,
  Feature_HasVendorXqcibiBit = 93,
  Feature_HasVendorXqcibmBit = 94,
  Feature_HasVendorXqcicmBit = 96,
  Feature_HasVendorXqcicsBit = 98,
  Feature_NoVendorXqcicsBit = 97,
  Feature_HasVendorXqciintBit = 95,
  Feature_HasVendorXqciliaBit = 89,
  Feature_HasVendorXqciloBit = 90,
  Feature_HasVendorXqcislsBit = 91,
  Feature_HasVendorXAndesPerfBit = 101,
  Feature_IsRV64Bit = 4,
  Feature_IsRV32Bit = 3,
  Feature_HasShortForwardBranchOptBit = 15,
  Feature_NoShortForwardBranchOptBit = 17,
  Feature_HasConditionalMoveFusionBit = 16,
  Feature_NoConditionalMoveFusionBit = 0,
  Feature_HasAtomicLdStBit = 25,
  Feature_OptForMinSizeBit = 19,
  Feature_HwMode1Bit = 104,
  Feature_HwMode0Bit = 103,
};

PredicateBitset RISCVInstructionSelector::
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasStdExtZicbop())
    Features.set(Feature_HasStdExtZicbopBit);
  if (Subtarget->hasStdExtZicond())
    Features.set(Feature_HasStdExtZicondBit);
  if (Subtarget->hasStdExtZihintpause())
    Features.set(Feature_HasStdExtZihintpauseBit);
  if (Subtarget->hasStdExtZimop())
    Features.set(Feature_HasStdExtZimopBit);
  if (Subtarget->hasStdExtZicfilp())
    Features.set(Feature_HasStdExtZicfilpBit);
  if (!Subtarget->hasStdExtZicfilp())
    Features.set(Feature_NoStdExtZicfilpBit);
  if (Subtarget->hasStdExtZilsd())
    Features.set(Feature_HasStdExtZilsdBit);
  if (Subtarget->hasStdExtZmmul())
    Features.set(Feature_HasStdExtZmmulBit);
  if (Subtarget->hasStdExtM())
    Features.set(Feature_HasStdExtMBit);
  if (Subtarget->hasStdExtA())
    Features.set(Feature_HasStdExtABit);
  if (Subtarget->hasStdExtZtso())
    Features.set(Feature_HasStdExtZtsoBit);
  if (!Subtarget->hasStdExtZtso())
    Features.set(Feature_NotHasStdExtZtsoBit);
  if (Subtarget->hasStdExtZabha())
    Features.set(Feature_HasStdExtZabhaBit);
  if (Subtarget->hasStdExtZacas())
    Features.set(Feature_HasStdExtZacasBit);
  if (!Subtarget->hasStdExtZacas())
    Features.set(Feature_NoStdExtZacasBit);
  if (Subtarget->hasStdExtZalasr())
    Features.set(Feature_HasStdExtZalasrBit);
  if (Subtarget->hasStdExtF())
    Features.set(Feature_HasStdExtFBit);
  if (Subtarget->hasStdExtD())
    Features.set(Feature_HasStdExtDBit);
  if (Subtarget->hasStdExtZfhmin())
    Features.set(Feature_HasStdExtZfhminBit);
  if (Subtarget->hasStdExtZfh())
    Features.set(Feature_HasStdExtZfhBit);
  if (Subtarget->hasStdExtZfa())
    Features.set(Feature_HasStdExtZfaBit);
  if (!Subtarget->hasStdExtZfa())
    Features.set(Feature_NoStdExtZfaBit);
  if (Subtarget->hasStdExtZfinx())
    Features.set(Feature_HasStdExtZfinxBit);
  if (Subtarget->hasStdExtZdinx())
    Features.set(Feature_HasStdExtZdinxBit);
  if (Subtarget->hasStdExtZhinxmin())
    Features.set(Feature_HasStdExtZhinxminBit);
  if (Subtarget->hasStdExtZhinx())
    Features.set(Feature_HasStdExtZhinxBit);
  if (Subtarget->hasStdExtZca())
    Features.set(Feature_HasStdExtZcaBit);
  if (Subtarget->hasStdExtC())
    Features.set(Feature_HasStdExtCBit);
  if (Subtarget->hasStdExtZba())
    Features.set(Feature_HasStdExtZbaBit);
  if (!Subtarget->hasStdExtZba())
    Features.set(Feature_NotHasStdExtZbaBit);
  if (Subtarget->hasStdExtZbb())
    Features.set(Feature_HasStdExtZbbBit);
  if (!Subtarget->hasStdExtZbb())
    Features.set(Feature_NoStdExtZbbBit);
  if (Subtarget->hasStdExtZbc())
    Features.set(Feature_HasStdExtZbcBit);
  if (Subtarget->hasStdExtZbs())
    Features.set(Feature_HasStdExtZbsBit);
  if (Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbkbBit);
  if (!Subtarget->hasStdExtZbkb())
    Features.set(Feature_NoStdExtZbkbBit);
  if (Subtarget->hasStdExtZbkx())
    Features.set(Feature_HasStdExtZbkxBit);
  if (Subtarget->hasStdExtZbb() || Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbbOrZbkbBit);
  if (Subtarget->hasStdExtZbc() || Subtarget->hasStdExtZbkc())
    Features.set(Feature_HasStdExtZbcOrZbkcBit);
  if (Subtarget->hasStdExtZknd())
    Features.set(Feature_HasStdExtZkndBit);
  if (Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkneBit);
  if (Subtarget->hasStdExtZknd() || Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkndOrZkneBit);
  if (Subtarget->hasStdExtZknh())
    Features.set(Feature_HasStdExtZknhBit);
  if (Subtarget->hasStdExtZksed())
    Features.set(Feature_HasStdExtZksedBit);
  if (Subtarget->hasStdExtZksh())
    Features.set(Feature_HasStdExtZkshBit);
  if (Subtarget->hasStdExtZvkb())
    Features.set(Feature_HasStdExtZvkbBit);
  if (Subtarget->hasStdExtZvbb())
    Features.set(Feature_HasStdExtZvbbBit);
  if (Subtarget->hasStdExtZvbc())
    Features.set(Feature_HasStdExtZvbcBit);
  if (Subtarget->hasStdExtZvkg())
    Features.set(Feature_HasStdExtZvkgBit);
  if (Subtarget->hasStdExtZvkned())
    Features.set(Feature_HasStdExtZvknedBit);
  if (Subtarget->hasStdExtZvknha())
    Features.set(Feature_HasStdExtZvknhaBit);
  if (Subtarget->hasStdExtZvknhb())
    Features.set(Feature_HasStdExtZvknhbBit);
  if (Subtarget->hasStdExtZvksed())
    Features.set(Feature_HasStdExtZvksedBit);
  if (Subtarget->hasStdExtZvksh())
    Features.set(Feature_HasStdExtZvkshBit);
  if (Subtarget->hasVInstructions())
    Features.set(Feature_HasVInstructionsBit);
  if (Subtarget->hasVInstructionsI64())
    Features.set(Feature_HasVInstructionsI64Bit);
  if (Subtarget->hasVInstructionsAnyF())
    Features.set(Feature_HasVInstructionsAnyFBit);
  if (Subtarget->hasVInstructionsF16Minimal())
    Features.set(Feature_HasVInstructionsF16MinimalBit);
  if (Subtarget->hasVInstructionsF16())
    Features.set(Feature_HasVInstructionsF16Bit);
  if (Subtarget->hasVInstructionsF64())
    Features.set(Feature_HasVInstructionsF64Bit);
  if (Subtarget->hasVInstructionsFullMultiply())
    Features.set(Feature_HasVInstructionsFullMultiplyBit);
  if (Subtarget->hasVendorXVentanaCondOps())
    Features.set(Feature_HasVendorXVentanaCondOpsBit);
  if (Subtarget->hasVendorXTHeadBa())
    Features.set(Feature_HasVendorXTHeadBaBit);
  if (Subtarget->hasVendorXTHeadBb())
    Features.set(Feature_HasVendorXTHeadBbBit);
  if (Subtarget->hasVendorXTHeadBs())
    Features.set(Feature_HasVendorXTHeadBsBit);
  if (Subtarget->hasVendorXTHeadCondMov())
    Features.set(Feature_HasVendorXTHeadCondMovBit);
  if (Subtarget->hasVendorXTHeadFMemIdx())
    Features.set(Feature_HasVendorXTHeadFMemIdxBit);
  if (Subtarget->hasVendorXTHeadMac())
    Features.set(Feature_HasVendorXTHeadMacBit);
  if (Subtarget->hasVendorXTHeadMemIdx())
    Features.set(Feature_HasVendorXTHeadMemIdxBit);
  if (Subtarget->hasVendorXTHeadMemPair())
    Features.set(Feature_HasVendorXTHeadMemPairBit);
  if (Subtarget->hasVendorXTHeadVdot())
    Features.set(Feature_HasVendorXTHeadVdotBit);
  if (Subtarget->hasVendorXSfvcp())
    Features.set(Feature_HasVendorXSfvcpBit);
  if (Subtarget->hasVendorXSfvqmaccdod())
    Features.set(Feature_HasVendorXSfvqmaccdodBit);
  if (Subtarget->hasVendorXSfvqmaccqoq())
    Features.set(Feature_HasVendorXSfvqmaccqoqBit);
  if (Subtarget->hasVendorXSfvfnrclipxfqf())
    Features.set(Feature_HasVendorXSfvfnrclipxfqfBit);
  if (Subtarget->hasVendorXCVbitmanip())
    Features.set(Feature_HasVendorXCVbitmanipBit);
  if (Subtarget->hasVendorXCVmac())
    Features.set(Feature_HasVendorXCVmacBit);
  if (Subtarget->hasVendorXCVmem())
    Features.set(Feature_HasVendorXCVmemBit);
  if (Subtarget->hasVendorXCValu())
    Features.set(Feature_HasVendorXCValuBit);
  if (Subtarget->hasVendorXCVbi())
    Features.set(Feature_HasVendorXCVbiBit);
  if (Subtarget->useCCMovInsn())
    Features.set(Feature_UseCCMovInsnBit);
  if (Subtarget->hasVendorXMIPSCBOP())
    Features.set(Feature_HasVendorXMIPSCBOPBit);
  if (!Subtarget->hasVendorXMIPSCBOP())
    Features.set(Feature_NotHasVendorXMIPSCBOPBit);
  if (Subtarget->hasVendorXqcia())
    Features.set(Feature_HasVendorXqciaBit);
  if (Subtarget->hasVendorXqciac())
    Features.set(Feature_HasVendorXqciacBit);
  if (Subtarget->hasVendorXqcibi())
    Features.set(Feature_HasVendorXqcibiBit);
  if (Subtarget->hasVendorXqcibm())
    Features.set(Feature_HasVendorXqcibmBit);
  if (Subtarget->hasVendorXqcicm())
    Features.set(Feature_HasVendorXqcicmBit);
  if (Subtarget->hasVendorXqcics())
    Features.set(Feature_HasVendorXqcicsBit);
  if (!Subtarget->hasVendorXqcics())
    Features.set(Feature_NoVendorXqcicsBit);
  if (Subtarget->hasVendorXqciint())
    Features.set(Feature_HasVendorXqciintBit);
  if (Subtarget->hasVendorXqcilia())
    Features.set(Feature_HasVendorXqciliaBit);
  if (Subtarget->hasVendorXqcilo())
    Features.set(Feature_HasVendorXqciloBit);
  if (Subtarget->hasVendorXqcisls())
    Features.set(Feature_HasVendorXqcislsBit);
  if (Subtarget->hasVendorXAndesPerf())
    Features.set(Feature_HasVendorXAndesPerfBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_IsRV64Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_IsRV32Bit);
  if (Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_HasShortForwardBranchOptBit);
  if (!Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_NoShortForwardBranchOptBit);
  if (Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_HasConditionalMoveFusionBit);
  if (!Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_NoConditionalMoveFusionBit);
  if (Subtarget->hasStdExtA() || Subtarget->hasForcedAtomics())
    Features.set(Feature_HasAtomicLdStBit);
  if (MF ? MF->getFunction().hasMinSize() : false)
    Features.set(Feature_OptForMinSizeBit);
  if (!((Subtarget->is64Bit())))
    Features.set(Feature_HwMode1Bit);
  if ((Subtarget->is64Bit()))
    Features.set(Feature_HwMode0Bit);
  return Features;
}

void RISCVInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const RISCVSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset RISCVInstructionSelector::
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HwMode0,
  GIFBS_HwMode1,
  GIFBS_HasAtomicLdSt_HwMode0,
  GIFBS_HasAtomicLdSt_HwMode1,
  GIFBS_HasShortForwardBranchOpt_HwMode0,
  GIFBS_HasShortForwardBranchOpt_HwMode1,
  GIFBS_HasStdExtA_HwMode0,
  GIFBS_HasStdExtA_HwMode1,
  GIFBS_HasStdExtD,
  GIFBS_HasStdExtD_HwMode0,
  GIFBS_HasStdExtD_HwMode1,
  GIFBS_HasStdExtF,
  GIFBS_HasStdExtF_HwMode0,
  GIFBS_HasStdExtF_HwMode1,
  GIFBS_HasStdExtM_HwMode0,
  GIFBS_HasStdExtM_HwMode1,
  GIFBS_HasStdExtZalasr_HwMode0,
  GIFBS_HasStdExtZalasr_HwMode1,
  GIFBS_HasStdExtZba_HwMode0,
  GIFBS_HasStdExtZba_HwMode1,
  GIFBS_HasStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_HwMode1,
  GIFBS_HasStdExtZbkb_HwMode0,
  GIFBS_HasStdExtZbkb_HwMode1,
  GIFBS_HasStdExtZbkx_HwMode0,
  GIFBS_HasStdExtZbkx_HwMode1,
  GIFBS_HasStdExtZbs_HwMode0,
  GIFBS_HasStdExtZbs_HwMode1,
  GIFBS_HasStdExtZfa,
  GIFBS_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtZfh,
  GIFBS_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtZfinx,
  GIFBS_HasStdExtZfinx_HwMode0,
  GIFBS_HasStdExtZfinx_HwMode1,
  GIFBS_HasStdExtZhinx,
  GIFBS_HasStdExtZhinx_HwMode0,
  GIFBS_HasStdExtZhinx_HwMode1,
  GIFBS_HasStdExtZhinxmin_HwMode0,
  GIFBS_HasStdExtZhinxmin_HwMode1,
  GIFBS_HasStdExtZihintpause_HwMode0,
  GIFBS_HasStdExtZihintpause_HwMode1,
  GIFBS_HasStdExtZmmul_HwMode0,
  GIFBS_HasStdExtZmmul_HwMode1,
  GIFBS_HasStdExtZvbb_HwMode0,
  GIFBS_HasStdExtZvbb_HwMode1,
  GIFBS_HasStdExtZvbc_HwMode0,
  GIFBS_HasStdExtZvbc_HwMode1,
  GIFBS_HasStdExtZvkb_HwMode0,
  GIFBS_HasStdExtZvkb_HwMode1,
  GIFBS_HasStdExtZvkg_HwMode0,
  GIFBS_HasStdExtZvkg_HwMode1,
  GIFBS_HasStdExtZvkned_HwMode0,
  GIFBS_HasStdExtZvkned_HwMode1,
  GIFBS_HasStdExtZvknha_HwMode0,
  GIFBS_HasStdExtZvknha_HwMode1,
  GIFBS_HasStdExtZvknhb_HwMode0,
  GIFBS_HasStdExtZvknhb_HwMode1,
  GIFBS_HasStdExtZvksed_HwMode0,
  GIFBS_HasStdExtZvksed_HwMode1,
  GIFBS_HasStdExtZvksh_HwMode0,
  GIFBS_HasStdExtZvksh_HwMode1,
  GIFBS_HasVInstructions_HwMode0,
  GIFBS_HasVInstructions_HwMode1,
  GIFBS_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsFullMultiply_HwMode0,
  GIFBS_HasVInstructionsFullMultiply_HwMode1,
  GIFBS_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXAndesPerf_HwMode0,
  GIFBS_HasVendorXAndesPerf_HwMode1,
  GIFBS_HasVendorXCVmac_HwMode0,
  GIFBS_HasVendorXCVmac_HwMode1,
  GIFBS_HasVendorXSfvcp_HwMode0,
  GIFBS_HasVendorXSfvcp_HwMode1,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1,
  GIFBS_HasVendorXSfvqmaccdod_HwMode0,
  GIFBS_HasVendorXSfvqmaccdod_HwMode1,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode0,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode1,
  GIFBS_HasVendorXTHeadBa_HwMode0,
  GIFBS_HasVendorXTHeadBa_HwMode1,
  GIFBS_HasVendorXTHeadBb_HwMode0,
  GIFBS_HasVendorXTHeadBb_HwMode1,
  GIFBS_HasVendorXTHeadBs_HwMode0,
  GIFBS_HasVendorXTHeadBs_HwMode1,
  GIFBS_HasVendorXTHeadCondMov_HwMode0,
  GIFBS_HasVendorXTHeadCondMov_HwMode1,
  GIFBS_HasVendorXTHeadMac_HwMode0,
  GIFBS_HasVendorXTHeadMac_HwMode1,
  GIFBS_HasVendorXTHeadVdot_HwMode0,
  GIFBS_HasVendorXTHeadVdot_HwMode1,
  GIFBS_IsRV32_HwMode0,
  GIFBS_IsRV32_HwMode1,
  GIFBS_IsRV64_HwMode0,
  GIFBS_IsRV64_HwMode1,
  GIFBS_UseCCMovInsn_HwMode0,
  GIFBS_UseCCMovInsn_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_IsRV64_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode1,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfa,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtD_IsRV32_HwMode0,
  GIFBS_HasStdExtD_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV64_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode1,
  GIFBS_HasStdExtF_IsRV64_HwMode0,
  GIFBS_HasStdExtM_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode1,
  GIFBS_HasStdExtZba_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV64_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfh_IsRV32_HwMode0,
  GIFBS_HasStdExtZfh_IsRV32_HwMode1,
  GIFBS_HasStdExtZfh_IsRV64_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZfinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZhinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZknd_IsRV32_HwMode1,
  GIFBS_HasStdExtZknd_IsRV64_HwMode0,
  GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZkne_IsRV32_HwMode1,
  GIFBS_HasStdExtZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZknh_IsRV32_HwMode1,
  GIFBS_HasStdExtZknh_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode1,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1,
  GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0,
  GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode1,
  GIFBS_HasVendorXqciac_IsRV32_HwMode1,
  GIFBS_HasVendorXqcibm_IsRV32_HwMode0,
  GIFBS_HasVendorXqcibm_IsRV32_HwMode1,
  GIFBS_HasVendorXqcicm_IsRV32_HwMode0,
  GIFBS_HasVendorXqcicm_IsRV32_HwMode1,
  GIFBS_HasVendorXqcics_IsRV32_HwMode0,
  GIFBS_HasVendorXqcics_IsRV32_HwMode1,
  GIFBS_HasVendorXqcilia_IsRV32_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZbb_HasVendorXqcibm_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_HasVendorXqcibm_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode1,
  GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXqcibm_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasVendorXqcibm_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_HasVendorXqcicm_IsRV32_NoVendorXqcics_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HwMode0Bit, },
  {Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode1Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode0Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, },
  {Feature_HasStdExtDBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, },
  {Feature_HasStdExtFBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZihintpauseBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZihintpauseBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXAndesPerfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXAndesPerfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode0Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndOrZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXAndesPerfBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqciacBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcicmBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcicmBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcicsBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcicsBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqciliaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZilsdBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZilsdBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcicmBit, Feature_IsRV32Bit, Feature_NoVendorXqcicsBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_GIAddrRegImm,
  GICP_GIShiftMask32,
  GICP_GIShiftMaskXLen,
  GICP_GIVLOp,
  GICP_gi_sexti32,
  GICP_gi_sh1add_op,
  GICP_gi_sh1add_uw_op,
  GICP_gi_sh2add_op,
  GICP_gi_sh2add_uw_op,
  GICP_gi_sh3add_op,
  GICP_gi_sh3add_uw_op,
  GICP_gi_zexti16,
  GICP_gi_zexti32,
  GICP_gi_zexti8,
};
// See constructor for table contents

RISCVInstructionSelector::ComplexMatcherMemFn
RISCVInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &RISCVInstructionSelector::selectAddrRegImm, // GIAddrRegImm
  &RISCVInstructionSelector::selectShiftMask32, // GIShiftMask32
  &RISCVInstructionSelector::selectShiftMaskXLen, // GIShiftMaskXLen
  &RISCVInstructionSelector::renderVLOp, // GIVLOp
  &RISCVInstructionSelector::selectSExtBits<32>, // gi_sexti32
  &RISCVInstructionSelector::selectSHXADDOp<1>, // gi_sh1add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<1>, // gi_sh1add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<2>, // gi_sh2add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<2>, // gi_sh2add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<3>, // gi_sh3add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<3>, // gi_sh3add_uw_op
  &RISCVInstructionSelector::selectZExtBits<16>, // gi_zexti16
  &RISCVInstructionSelector::selectZExtBits<32>, // gi_zexti32
  &RISCVInstructionSelector::selectZExtBits<8>, // gi_zexti8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_like_non_imm12 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_add_non_imm12,
  GICXXPred_MI_Predicate_anonymous_9940,
  GICXXPred_MI_Predicate_anonymous_9942,
  GICXXPred_MI_Predicate_anonymous_10032,
  GICXXPred_MI_Predicate_anonymous_10046,
  GICXXPred_MI_Predicate_anonymous_10050,
  GICXXPred_MI_Predicate_anonymous_10052,
  GICXXPred_MI_Predicate_anonymous_10054,
  GICXXPred_MI_Predicate_anonymous_10056,
  GICXXPred_MI_Predicate_anonymous_10059,
  GICXXPred_MI_Predicate_anonymous_10061,
  GICXXPred_MI_Predicate_anonymous_10074,
  GICXXPred_MI_Predicate_anonymous_10087,
  GICXXPred_MI_Predicate_anonymous_11283,
  GICXXPred_MI_Predicate_or_disjoint,
};
bool RISCVInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_like_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_like_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_add_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_9940: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9942: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10032: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10046: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10050: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10052: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10054: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10056: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10059: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10061: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10074: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10087: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_11283: {
     return hasAllHUsers(MI); 
  }
  case GICXXPred_MI_Predicate_or_disjoint: {
    
        return MI.getFlag(MachineInstr::Disjoint);
      
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testMOPredicate_MO(unsigned PredicateID, const MachineOperand & MO, const MatcherState &State) const {
  const auto &Operands = State.RecordedOperands;
  Register Reg = MO.getReg();
  (void)Operands;
  (void)Reg;
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AddiPair = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BCLRMask,
  GICXXPred_I64_Predicate_LeadingOnesMask,
  GICXXPred_I64_Predicate_LeadingOnesWMask,
  GICXXPred_I64_Predicate_SingleBitSetMask,
  GICXXPred_I64_Predicate_allonessew8,
  GICXXPred_I64_Predicate_allonessew16,
  GICXXPred_I64_Predicate_allonessew32,
  GICXXPred_I64_Predicate_allonessew64,
  GICXXPred_I64_Predicate_bare_simm9_lsb0,
  GICXXPred_I64_Predicate_bare_simm12_lsb0,
  GICXXPred_I64_Predicate_bare_simm13_lsb0,
  GICXXPred_I64_Predicate_byteselect,
  GICXXPred_I64_Predicate_c_lui_imm,
  GICXXPred_I64_Predicate_csr_sysreg,
  GICXXPred_I64_Predicate_cv_tuimm2,
  GICXXPred_I64_Predicate_cv_tuimm5,
  GICXXPred_I64_Predicate_cv_uimm10,
  GICXXPred_I64_Predicate_immzero,
  GICXXPred_I64_Predicate_payload1,
  GICXXPred_I64_Predicate_payload2,
  GICXXPred_I64_Predicate_payload5,
  GICXXPred_I64_Predicate_powerOf2Minus1,
  GICXXPred_I64_Predicate_rnum,
  GICXXPred_I64_Predicate_simm5,
  GICXXPred_I64_Predicate_simm5_plus1,
  GICXXPred_I64_Predicate_simm5_plus1_nonzero,
  GICXXPred_I64_Predicate_simm5nonzero,
  GICXXPred_I64_Predicate_simm6,
  GICXXPred_I64_Predicate_simm6nonzero,
  GICXXPred_I64_Predicate_simm10,
  GICXXPred_I64_Predicate_simm10_lsb0000nonzero,
  GICXXPred_I64_Predicate_simm11,
  GICXXPred_I64_Predicate_simm12,
  GICXXPred_I64_Predicate_simm12Minus1Nonzero,
  GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1,
  GICXXPred_I64_Predicate_simm12Plus1,
  GICXXPred_I64_Predicate_simm12Plus1i32,
  GICXXPred_I64_Predicate_simm12_lsb00000,
  GICXXPred_I64_Predicate_simm12_no6,
  GICXXPred_I64_Predicate_simm12_plus1,
  GICXXPred_I64_Predicate_simm16nonzero,
  GICXXPred_I64_Predicate_simm20_li,
  GICXXPred_I64_Predicate_simm21_lsb0_jal,
  GICXXPred_I64_Predicate_simm26,
  GICXXPred_I64_Predicate_simm26_nosimm12,
  GICXXPred_I64_Predicate_simm32_nosimm26,
  GICXXPred_I64_Predicate_tsimm5,
  GICXXPred_I64_Predicate_tuimm5,
  GICXXPred_I64_Predicate_u32simm12,
  GICXXPred_I64_Predicate_uimm1,
  GICXXPred_I64_Predicate_uimm2,
  GICXXPred_I64_Predicate_uimm2_3,
  GICXXPred_I64_Predicate_uimm2_4,
  GICXXPred_I64_Predicate_uimm2_lsb0,
  GICXXPred_I64_Predicate_uimm3,
  GICXXPred_I64_Predicate_uimm4,
  GICXXPred_I64_Predicate_uimm5,
  GICXXPred_I64_Predicate_uimm5_lsb0,
  GICXXPred_I64_Predicate_uimm5_plus1,
  GICXXPred_I64_Predicate_uimm5ge6_plus1,
  GICXXPred_I64_Predicate_uimm5gt3,
  GICXXPred_I64_Predicate_uimm5i32,
  GICXXPred_I64_Predicate_uimm5nonzero,
  GICXXPred_I64_Predicate_uimm5slist,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_lsb0,
  GICXXPred_I64_Predicate_uimm6gt32,
  GICXXPred_I64_Predicate_uimm7,
  GICXXPred_I64_Predicate_uimm7_lsb00,
  GICXXPred_I64_Predicate_uimm7_lsb000,
  GICXXPred_I64_Predicate_uimm8_lsb00,
  GICXXPred_I64_Predicate_uimm8_lsb000,
  GICXXPred_I64_Predicate_uimm9_lsb000,
  GICXXPred_I64_Predicate_uimm10,
  GICXXPred_I64_Predicate_uimm10_lsb00nonzero,
  GICXXPred_I64_Predicate_uimm11,
  GICXXPred_I64_Predicate_uimm14lsb00,
  GICXXPred_I64_Predicate_uimm16nonzero,
  GICXXPred_I64_Predicate_uimmlog2xlen,
  GICXXPred_I64_Predicate_uimmlog2xlennonzero,
};
bool RISCVInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AddiPair: {
    
      // The immediate operand must be in range [-4096,-2049] or [2048,4094].
      return (-4096 <= Imm && Imm <= -2049) || (2048 <= Imm && Imm <= 4094);
    
    llvm_unreachable("AddiPair should have returned");
  }
  case GICXXPred_I64_Predicate_BCLRMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(~Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(~Imm);
    
    llvm_unreachable("BCLRMask should have returned");
  }
  case GICXXPred_I64_Predicate_LeadingOnesMask: {
    
      return !isInt<32>(Imm) && isMask_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_LeadingOnesWMask: {
    
      // If the value is a uint32 but not an int32, it must have bit 31 set and
      // bits 63:32 cleared. After that we're looking for a shifted mask but not
      // an all ones mask.
      return !isInt<32>(Imm) && isUInt<32>(Imm) && isShiftedMask_64(Imm) &&
             Imm != UINT64_C(0xffffffff);
    
    llvm_unreachable("LeadingOnesWMask should have returned");
  }
  case GICXXPred_I64_Predicate_SingleBitSetMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(Imm);
    
    llvm_unreachable("SingleBitSetMask should have returned");
  }
  case GICXXPred_I64_Predicate_allonessew8: {
    return SignExtend64<8>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew16: {
    return SignExtend64<16>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew32: {
    return SignExtend64<32>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew64: {
    return Imm == -1LL;
  }
  case GICXXPred_I64_Predicate_bare_simm9_lsb0: {
    return isShiftedInt<8, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_bare_simm12_lsb0: {
    return isShiftedInt<11, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_bare_simm13_lsb0: {
    return isShiftedInt<12, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_byteselect: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_c_lui_imm: {
    return (Imm != 0) &&
                                     (isUInt<5>(Imm) ||
                                      (Imm >= 0xfffe0 && Imm <= 0xfffff));
  }
  case GICXXPred_I64_Predicate_csr_sysreg: {
    return isUInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immzero: {
    return (Imm == 0);
  }
  case GICXXPred_I64_Predicate_payload1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_payload2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_payload5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_powerOf2Minus1: {
     return isPowerOf2_32(Imm+1); 
  }
  case GICXXPred_I64_Predicate_rnum: {
    return (Imm >= 0 && Imm <= 10);
  }
  case GICXXPred_I64_Predicate_simm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm5_plus1: {
    return (isInt<5>(Imm) && Imm != -16) || Imm == 16;
  }
  case GICXXPred_I64_Predicate_simm5_plus1_nonzero: {
    return Imm != 0 && ((isInt<5>(Imm) && Imm != -16) || Imm == 16);
  }
  case GICXXPred_I64_Predicate_simm5nonzero: {
    return (Imm != 0) && isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6nonzero: {
    return (Imm != 0) && isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm10: {
    return isInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_simm10_lsb0000nonzero: {
    return (Imm != 0) && isShiftedInt<6, 4>(Imm);
  }
  case GICXXPred_I64_Predicate_simm11: {
    return isInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12: {
    return isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12Minus1Nonzero: {
    
      return (Imm >= -2049 && Imm < 0) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1: {
    
      return (Imm >= -2049 && Imm < -1) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Plus1: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12Plus1i32: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12_lsb00000: {
    return isShiftedInt<7, 5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_no6: {
    
      return isInt<12>(Imm) && !isInt<6>(Imm) && isInt<12>(-Imm);
  }
  case GICXXPred_I64_Predicate_simm12_plus1: {
    return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm16nonzero: {
    return (Imm != 0) && isInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_simm20_li: {
    return isInt<20>(Imm);
  }
  case GICXXPred_I64_Predicate_simm21_lsb0_jal: {
    return isShiftedInt<20, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26: {
    return isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26_nosimm12: {
    
      return isInt<26>(Imm) && !isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm32_nosimm26: {
    
      return isInt<32>(Imm) && !isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_tsimm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_u32simm12: {
    
      return isUInt<32>(Imm) && isInt<12>(SignExtend64<32>(Imm));
    
  }
  case GICXXPred_I64_Predicate_uimm1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2_3: {
    
      return isShiftedUInt<2, 3>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_4: {
    
      return isShiftedUInt<2, 4>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_lsb0: {
    return isShiftedUInt<1, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm3: {
    return isUInt<3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_lsb0: {
    return isShiftedUInt<4, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_plus1: {
    return (isUInt<5>(Imm) && (Imm != 0)) || (Imm == 32);
  }
  case GICXXPred_I64_Predicate_uimm5ge6_plus1: {
    return (Imm >= 6) && (isUInt<5>(Imm) || (Imm == 32));
  }
  case GICXXPred_I64_Predicate_uimm5gt3: {
    return (Imm > 3) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5i32: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5nonzero: {
    return (Imm != 0) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5slist: {
    return ((Imm == 0)  ||
                (Imm == 1)  ||
                (Imm == 2)  ||
                (Imm == 4)  ||
                (Imm == 8)  ||
                (Imm == 16) ||
                (Imm == 15) ||
                (Imm == 31));
  }
  case GICXXPred_I64_Predicate_uimm6: {
    return isUInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6_lsb0: {
    return isShiftedUInt<5, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6gt32: {
    
      return isUInt<6>(Imm) && Imm > 32;
    
  }
  case GICXXPred_I64_Predicate_uimm7: {
    return isUInt<7>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm7_lsb00: {
    return isShiftedUInt<5, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm7_lsb000: {
    return isShiftedUInt<4, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb00: {
    return isShiftedUInt<6, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb000: {
    return isShiftedUInt<5, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm9_lsb000: {
    return isShiftedUInt<6, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10_lsb00nonzero: {
    return isShiftedUInt<8, 2>(Imm) && (Imm != 0);
  }
  case GICXXPred_I64_Predicate_uimm11: {
    return isUInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm14lsb00: {
    return isShiftedUInt<12, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm16nonzero: {
    return (Imm != 0) && isUInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_uimmlog2xlen: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm);
      return isUInt<5>(Imm);
    
    llvm_unreachable("uimmlog2xlen should have returned");
  }
  case GICXXPred_I64_Predicate_uimmlog2xlennonzero: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm) && (Imm != 0);
      return isUInt<5>(Imm) && (Imm != 0);
    
    llvm_unreachable("uimmlog2xlennonzero should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_Shifted32OnesMask = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_TrailingOnesMask,
};
bool RISCVInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_Shifted32OnesMask: {
    
      if (!Imm.isShiftedMask())
        return false;
    
      unsigned TrailingZeros = Imm.countr_zero();
      return TrailingZeros > 0 && TrailingZeros < 32 &&
             Imm == UINT64_C(0xFFFFFFFF) << TrailingZeros;
    
    llvm_unreachable("Shifted32OnesMask should have returned");
  }
  case GICXXPred_APInt_Predicate_TrailingOnesMask: {
    
      return !isInt<12>(Imm.getSExtValue()) && isMask_64(Imm.getZExtValue());
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("RISCVInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderAddiPairImmLarge,
  GICR_renderAddiPairImmSmall,
  GICR_renderFrameIndex,
  GICR_renderImmPlus1,
  GICR_renderImmSubFrom32,
  GICR_renderImmSubFromXLen,
  GICR_renderNegImm,
  GICR_renderTrailingZeros,
  GICR_renderXLenSubTrailingOnes,
};
RISCVInstructionSelector::CustomRendererFn
RISCVInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &RISCVInstructionSelector::renderAddiPairImmLarge,
  &RISCVInstructionSelector::renderAddiPairImmSmall,
  &RISCVInstructionSelector::renderFrameIndex,
  &RISCVInstructionSelector::renderImmPlus1,
  &RISCVInstructionSelector::renderImmSubFrom32,
  &RISCVInstructionSelector::renderImmSubFromXLen,
  &RISCVInstructionSelector::renderNegImm,
  &RISCVInstructionSelector::renderTrailingZeros,
  &RISCVInstructionSelector::renderXLenSubTrailingOnes,
};

bool RISCVInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool RISCVInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("RISCVInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *RISCVInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*       0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(337), /*)*//*default:*//*Label 125*/ GIMT_Encode4(2452580),
     /*      10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(1146),
     /*      14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(61221),
     /*      18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(80454),
     /*      22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(107508),
     /*      26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(110242),
     /*      30 */ /*TargetOpcode::G_SREM*//*Label 5*/ GIMT_Encode4(112976),
     /*      34 */ /*TargetOpcode::G_UREM*//*Label 6*/ GIMT_Encode4(115755), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      46 */ /*TargetOpcode::G_AND*//*Label 7*/ GIMT_Encode4(118489),
     /*      50 */ /*TargetOpcode::G_OR*//*Label 8*/ GIMT_Encode4(128447),
     /*      54 */ /*TargetOpcode::G_XOR*//*Label 9*/ GIMT_Encode4(141068), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      74 */ /*TargetOpcode::G_FRAME_INDEX*//*Label 10*/ GIMT_Encode4(155975), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      94 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 11*/ GIMT_Encode4(156036), GIMT_Encode4(0),
     /*     102 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 12*/ GIMT_Encode4(156097), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     126 */ /*TargetOpcode::G_BITCAST*//*Label 13*/ GIMT_Encode4(156188), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 14*/ GIMT_Encode4(156555),
     /*     146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 15*/ GIMT_Encode4(156753),
     /*     150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 16*/ GIMT_Encode4(156951),
     /*     154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 17*/ GIMT_Encode4(157531),
     /*     158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 18*/ GIMT_Encode4(157741),
     /*     162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 19*/ GIMT_Encode4(157939),
     /*     166 */ /*TargetOpcode::G_READSTEADYCOUNTER*//*Label 20*/ GIMT_Encode4(157978),
     /*     170 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(158017),
     /*     174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(166995),
     /*     178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(168109), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     194 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(168743), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 25*/ GIMT_Encode4(175643),
     /*     210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 26*/ GIMT_Encode4(180529),
     /*     214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 27*/ GIMT_Encode4(183439), GIMT_Encode4(0),
     /*     222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 28*/ GIMT_Encode4(186349),
     /*     226 */ /*TargetOpcode::G_ATOMICRMW_NAND*//*Label 29*/ GIMT_Encode4(189259),
     /*     230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 30*/ GIMT_Encode4(190171),
     /*     234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 31*/ GIMT_Encode4(193081),
     /*     238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 32*/ GIMT_Encode4(195991),
     /*     242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 33*/ GIMT_Encode4(198901),
     /*     246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 34*/ GIMT_Encode4(201811),
     /*     250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 35*/ GIMT_Encode4(204721), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     294 */ /*TargetOpcode::G_FENCE*//*Label 36*/ GIMT_Encode4(207631), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     314 */ /*TargetOpcode::G_INTRINSIC*//*Label 37*/ GIMT_Encode4(207849),
     /*     318 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 38*/ GIMT_Encode4(2206142), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     330 */ /*TargetOpcode::G_ANYEXT*//*Label 39*/ GIMT_Encode4(2207710), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     366 */ /*TargetOpcode::G_SEXT*//*Label 40*/ GIMT_Encode4(2210831),
     /*     370 */ /*TargetOpcode::G_SEXT_INREG*//*Label 41*/ GIMT_Encode4(2214306),
     /*     374 */ /*TargetOpcode::G_ZEXT*//*Label 42*/ GIMT_Encode4(2215349),
     /*     378 */ /*TargetOpcode::G_SHL*//*Label 43*/ GIMT_Encode4(2219036),
     /*     382 */ /*TargetOpcode::G_LSHR*//*Label 44*/ GIMT_Encode4(2227632),
     /*     386 */ /*TargetOpcode::G_ASHR*//*Label 45*/ GIMT_Encode4(2230663), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     398 */ /*TargetOpcode::G_ROTR*//*Label 46*/ GIMT_Encode4(2233602),
     /*     402 */ /*TargetOpcode::G_ROTL*//*Label 47*/ GIMT_Encode4(2236542),
     /*     406 */ /*TargetOpcode::G_ICMP*//*Label 48*/ GIMT_Encode4(2239452),
     /*     410 */ /*TargetOpcode::G_FCMP*//*Label 49*/ GIMT_Encode4(2266529), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     422 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(2273991), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     466 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(2280728),
     /*     470 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(2283462),
     /*     474 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(2286196),
     /*     478 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(2289049),
     /*     482 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(2291902),
     /*     486 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(2294755),
     /*     490 */ /*TargetOpcode::G_USHLSAT*//*Label 57*/ GIMT_Encode4(2297608),
     /*     494 */ /*TargetOpcode::G_SSHLSAT*//*Label 58*/ GIMT_Encode4(2297666), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     530 */ /*TargetOpcode::G_FADD*//*Label 59*/ GIMT_Encode4(2297724),
     /*     534 */ /*TargetOpcode::G_FSUB*//*Label 60*/ GIMT_Encode4(2300152),
     /*     538 */ /*TargetOpcode::G_FMUL*//*Label 61*/ GIMT_Encode4(2302580),
     /*     542 */ /*TargetOpcode::G_FMA*//*Label 62*/ GIMT_Encode4(2305008), GIMT_Encode4(0),
     /*     550 */ /*TargetOpcode::G_FDIV*//*Label 63*/ GIMT_Encode4(2321653), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     598 */ /*TargetOpcode::G_FNEG*//*Label 64*/ GIMT_Encode4(2324081),
     /*     602 */ /*TargetOpcode::G_FPEXT*//*Label 65*/ GIMT_Encode4(2326052),
     /*     606 */ /*TargetOpcode::G_FPTRUNC*//*Label 66*/ GIMT_Encode4(2326505),
     /*     610 */ /*TargetOpcode::G_FPTOSI*//*Label 67*/ GIMT_Encode4(2328041),
     /*     614 */ /*TargetOpcode::G_FPTOUI*//*Label 68*/ GIMT_Encode4(2332927),
     /*     618 */ /*TargetOpcode::G_SITOFP*//*Label 69*/ GIMT_Encode4(2337813),
     /*     622 */ /*TargetOpcode::G_UITOFP*//*Label 70*/ GIMT_Encode4(2343099), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     634 */ /*TargetOpcode::G_FABS*//*Label 71*/ GIMT_Encode4(2348385),
     /*     638 */ /*TargetOpcode::G_FCOPYSIGN*//*Label 72*/ GIMT_Encode4(2350356), GIMT_Encode4(0),
     /*     646 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 73*/ GIMT_Encode4(2356418),
     /*     650 */ /*TargetOpcode::G_FMINNUM*//*Label 74*/ GIMT_Encode4(2356608),
     /*     654 */ /*TargetOpcode::G_FMAXNUM*//*Label 75*/ GIMT_Encode4(2358693), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     666 */ /*TargetOpcode::G_FMINIMUM*//*Label 76*/ GIMT_Encode4(2360778),
     /*     670 */ /*TargetOpcode::G_FMAXIMUM*//*Label 77*/ GIMT_Encode4(2360904),
     /*     674 */ /*TargetOpcode::G_FMINIMUMNUM*//*Label 78*/ GIMT_Encode4(2361030),
     /*     678 */ /*TargetOpcode::G_FMAXIMUMNUM*//*Label 79*/ GIMT_Encode4(2363115), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     718 */ /*TargetOpcode::G_SMIN*//*Label 80*/ GIMT_Encode4(2365200),
     /*     722 */ /*TargetOpcode::G_SMAX*//*Label 81*/ GIMT_Encode4(2367976),
     /*     726 */ /*TargetOpcode::G_UMIN*//*Label 82*/ GIMT_Encode4(2370752),
     /*     730 */ /*TargetOpcode::G_UMAX*//*Label 83*/ GIMT_Encode4(2373528),
     /*     734 */ /*TargetOpcode::G_ABS*//*Label 84*/ GIMT_Encode4(2376304),
     /*     738 */ /*TargetOpcode::G_LROUND*//*Label 85*/ GIMT_Encode4(2376462),
     /*     742 */ /*TargetOpcode::G_LLROUND*//*Label 86*/ GIMT_Encode4(2377042),
     /*     746 */ /*TargetOpcode::G_BR*//*Label 87*/ GIMT_Encode4(2377252), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     790 */ /*TargetOpcode::G_CTTZ*//*Label 88*/ GIMT_Encode4(2377268), GIMT_Encode4(0),
     /*     798 */ /*TargetOpcode::G_CTLZ*//*Label 89*/ GIMT_Encode4(2379896), GIMT_Encode4(0),
     /*     806 */ /*TargetOpcode::G_CTPOP*//*Label 90*/ GIMT_Encode4(2382666),
     /*     810 */ /*TargetOpcode::G_BSWAP*//*Label 91*/ GIMT_Encode4(2385217),
     /*     814 */ /*TargetOpcode::G_BITREVERSE*//*Label 92*/ GIMT_Encode4(2387752),
     /*     818 */ /*TargetOpcode::G_FCEIL*//*Label 93*/ GIMT_Encode4(2390298), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     866 */ /*TargetOpcode::G_FSQRT*//*Label 94*/ GIMT_Encode4(2390496),
     /*     870 */ /*TargetOpcode::G_FFLOOR*//*Label 95*/ GIMT_Encode4(2392672),
     /*     874 */ /*TargetOpcode::G_FRINT*//*Label 96*/ GIMT_Encode4(2392870),
     /*     878 */ /*TargetOpcode::G_FNEARBYINT*//*Label 97*/ GIMT_Encode4(2393068), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     906 */ /*TargetOpcode::G_STRICT_FADD*//*Label 98*/ GIMT_Encode4(2393266),
     /*     910 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 99*/ GIMT_Encode4(2395694),
     /*     914 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 100*/ GIMT_Encode4(2398122),
     /*     918 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 101*/ GIMT_Encode4(2400550), GIMT_Encode4(0),
     /*     926 */ /*TargetOpcode::G_STRICT_FMA*//*Label 102*/ GIMT_Encode4(2402978),
     /*     930 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 103*/ GIMT_Encode4(2419623), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     966 */ /*TargetOpcode::G_TRAP*//*Label 104*/ GIMT_Encode4(2421799),
     /*     970 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 105*/ GIMT_Encode4(2421812), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    1066 */ /*RISCV::G_CLZW*//*Label 106*/ GIMT_Encode4(2421825),
     /*    1070 */ /*RISCV::G_CTZW*//*Label 107*/ GIMT_Encode4(2421920),
     /*    1074 */ /*RISCV::G_DIVUW*//*Label 108*/ GIMT_Encode4(2421950),
     /*    1078 */ /*RISCV::G_DIVW*//*Label 109*/ GIMT_Encode4(2421987),
     /*    1082 */ /*RISCV::G_FCLASS*//*Label 110*/ GIMT_Encode4(2422024),
     /*    1086 */ /*RISCV::G_FCVT_WU_RV64*//*Label 111*/ GIMT_Encode4(2422384),
     /*    1090 */ /*RISCV::G_FCVT_W_RV64*//*Label 112*/ GIMT_Encode4(2422582),
     /*    1094 */ /*RISCV::G_READ_VLENB*//*Label 113*/ GIMT_Encode4(2422780),
     /*    1098 */ /*RISCV::G_REMUW*//*Label 114*/ GIMT_Encode4(2422840),
     /*    1102 */ /*RISCV::G_ROLW*//*Label 115*/ GIMT_Encode4(2422877),
     /*    1106 */ /*RISCV::G_RORW*//*Label 116*/ GIMT_Encode4(2423002),
     /*    1110 */ /*RISCV::G_SLLW*//*Label 117*/ GIMT_Encode4(2423123), GIMT_Encode4(0),
     /*    1118 */ /*RISCV::G_SRAW*//*Label 118*/ GIMT_Encode4(2423170),
     /*    1122 */ /*RISCV::G_SRLW*//*Label 119*/ GIMT_Encode4(2423217),
     /*    1126 */ /*RISCV::G_VMCLR_VL*//*Label 120*/ GIMT_Encode4(2423264),
     /*    1130 */ /*RISCV::G_VMSET_VL*//*Label 121*/ GIMT_Encode4(2423913),
     /*    1134 */ /*RISCV::G_VMV_V_V_VL*//*Label 122*/ GIMT_Encode4(2424562),
     /*    1138 */ /*RISCV::G_VSLIDEDOWN_VL*//*Label 123*/ GIMT_Encode4(2428820),
     /*    1142 */ /*RISCV::G_VSLIDEUP_VL*//*Label 124*/ GIMT_Encode4(2440700),
     /*    1146 */ // Label 0: @1146
     /*    1146 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 150*/ GIMT_Encode4(61220),
     /*    1157 */ /*GILLT_s32*//*Label 126*/ GIMT_Encode4(1281),
     /*    1161 */ /*GILLT_s64*//*Label 127*/ GIMT_Encode4(3680), GIMT_Encode4(0),
     /*    1169 */ /*GILLT_nxv1s8*//*Label 128*/ GIMT_Encode4(11580),
     /*    1173 */ /*GILLT_nxv1s16*//*Label 129*/ GIMT_Encode4(11975),
     /*    1177 */ /*GILLT_nxv1s32*//*Label 130*/ GIMT_Encode4(15100),
     /*    1181 */ /*GILLT_nxv1s64*//*Label 131*/ GIMT_Encode4(18225), GIMT_Encode4(0),
     /*    1189 */ /*GILLT_nxv2s8*//*Label 132*/ GIMT_Encode4(21350),
     /*    1193 */ /*GILLT_nxv2s16*//*Label 133*/ GIMT_Encode4(21745),
     /*    1197 */ /*GILLT_nxv2s32*//*Label 134*/ GIMT_Encode4(24870),
     /*    1201 */ /*GILLT_nxv2s64*//*Label 135*/ GIMT_Encode4(27995), GIMT_Encode4(0),
     /*    1209 */ /*GILLT_nxv4s8*//*Label 136*/ GIMT_Encode4(31120),
     /*    1213 */ /*GILLT_nxv4s16*//*Label 137*/ GIMT_Encode4(31515),
     /*    1217 */ /*GILLT_nxv4s32*//*Label 138*/ GIMT_Encode4(34640),
     /*    1221 */ /*GILLT_nxv4s64*//*Label 139*/ GIMT_Encode4(37765), GIMT_Encode4(0),
     /*    1229 */ /*GILLT_nxv8s8*//*Label 140*/ GIMT_Encode4(40890),
     /*    1233 */ /*GILLT_nxv8s16*//*Label 141*/ GIMT_Encode4(41285),
     /*    1237 */ /*GILLT_nxv8s32*//*Label 142*/ GIMT_Encode4(44410),
     /*    1241 */ /*GILLT_nxv8s64*//*Label 143*/ GIMT_Encode4(47535), GIMT_Encode4(0),
     /*    1249 */ /*GILLT_nxv16s8*//*Label 144*/ GIMT_Encode4(50660),
     /*    1253 */ /*GILLT_nxv16s16*//*Label 145*/ GIMT_Encode4(51055),
     /*    1257 */ /*GILLT_nxv16s32*//*Label 146*/ GIMT_Encode4(54180), GIMT_Encode4(0),
     /*    1265 */ /*GILLT_nxv32s8*//*Label 147*/ GIMT_Encode4(57305),
     /*    1269 */ /*GILLT_nxv32s16*//*Label 148*/ GIMT_Encode4(57700), GIMT_Encode4(0),
     /*    1277 */ /*GILLT_nxv64s8*//*Label 149*/ GIMT_Encode4(60825),
     /*    1281 */ // Label 126: @1281
     /*    1281 */ GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(3679),
     /*    1286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    1289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    1292 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(1340), // Rule ID 2572 //
     /*    1297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1304 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    1308 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    1312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1316 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1327 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:2:x, GPR:{ *:[i32] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1332 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1338 */     GIR_RootConstrainSelectedInstOperands,
     /*    1339 */     // GIR_Coverage, 2572,
     /*    1339 */     GIR_EraseRootFromParent_Done,
     /*    1340 */   // Label 152: @1340
     /*    1340 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(1388), // Rule ID 2582 //
     /*    1345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1352 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    1356 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    1360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1364 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1375 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:4:x, GPR:{ *:[i32] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1380 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1386 */     GIR_RootConstrainSelectedInstOperands,
     /*    1387 */     // GIR_Coverage, 2582,
     /*    1387 */     GIR_EraseRootFromParent_Done,
     /*    1388 */   // Label 153: @1388
     /*    1388 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(1436), // Rule ID 2592 //
     /*    1393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1400 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    1404 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    1408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1412 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1423 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:6:x, GPR:{ *:[i32] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1428 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1434 */     GIR_RootConstrainSelectedInstOperands,
     /*    1435 */     // GIR_Coverage, 2592,
     /*    1435 */     GIR_EraseRootFromParent_Done,
     /*    1436 */   // Label 154: @1436
     /*    1436 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(1487), // Rule ID 62538 //
     /*    1441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1448 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    1452 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    1456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1460 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1471 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs2:$pred:24:x, GPR:{ *:[i32] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1478 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1485 */     GIR_RootConstrainSelectedInstOperands,
     /*    1486 */     // GIR_Coverage, 62538,
     /*    1486 */     GIR_EraseRootFromParent_Done,
     /*    1487 */   // Label 155: @1487
     /*    1487 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(1538), // Rule ID 62542 //
     /*    1492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1499 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    1503 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    1507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1511 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1522 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs2:$pred:25:x, GPR:{ *:[i32] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1529 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1536 */     GIR_RootConstrainSelectedInstOperands,
     /*    1537 */     // GIR_Coverage, 62542,
     /*    1537 */     GIR_EraseRootFromParent_Done,
     /*    1538 */   // Label 156: @1538
     /*    1538 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(1589), // Rule ID 62546 //
     /*    1543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1550 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    1554 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    1558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1562 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1573 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs2:$pred:26:x, GPR:{ *:[i32] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1580 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1587 */     GIR_RootConstrainSelectedInstOperands,
     /*    1588 */     // GIR_Coverage, 62546,
     /*    1588 */     GIR_EraseRootFromParent_Done,
     /*    1589 */   // Label 157: @1589
     /*    1589 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(1637), // Rule ID 65063 //
     /*    1594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    1597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1601 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:28:x
     /*    1605 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:28:y
     /*    1609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1613 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1624 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:28:x, GPR:{ *:[i32] }:$rs2:$pred:28:y)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    1627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1629 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1635 */     GIR_RootConstrainSelectedInstOperands,
     /*    1636 */     // GIR_Coverage, 65063,
     /*    1636 */     GIR_EraseRootFromParent_Done,
     /*    1637 */   // Label 158: @1637
     /*    1637 */   GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(1685), // Rule ID 65073 //
     /*    1642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    1645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1649 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:30:x
     /*    1653 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:30:y
     /*    1657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1661 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1672 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:30:x, GPR:{ *:[i32] }:$rs2:$pred:30:y)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    1675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1677 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1683 */     GIR_RootConstrainSelectedInstOperands,
     /*    1684 */     // GIR_Coverage, 65073,
     /*    1684 */     GIR_EraseRootFromParent_Done,
     /*    1685 */   // Label 159: @1685
     /*    1685 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(1733), // Rule ID 65083 //
     /*    1690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    1693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1697 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:32:x
     /*    1701 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:32:y
     /*    1705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1709 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1720 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:32:x, GPR:{ *:[i32] }:$rs2:$pred:32:y)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    1723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1725 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1731 */     GIR_RootConstrainSelectedInstOperands,
     /*    1732 */     // GIR_Coverage, 65083,
     /*    1732 */     GIR_EraseRootFromParent_Done,
     /*    1733 */   // Label 160: @1733
     /*    1733 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(1781), // Rule ID 65542 //
     /*    1738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1745 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    1749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1753 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    1757 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1768 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:2:y, sh1add_op:{ *:[i32] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1773 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1779 */     GIR_RootConstrainSelectedInstOperands,
     /*    1780 */     // GIR_Coverage, 65542,
     /*    1780 */     GIR_EraseRootFromParent_Done,
     /*    1781 */   // Label 161: @1781
     /*    1781 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(1829), // Rule ID 65550 //
     /*    1786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1793 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    1797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1801 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    1805 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1816 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:4:y, sh2add_op:{ *:[i32] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1821 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1827 */     GIR_RootConstrainSelectedInstOperands,
     /*    1828 */     // GIR_Coverage, 65550,
     /*    1828 */     GIR_EraseRootFromParent_Done,
     /*    1829 */   // Label 162: @1829
     /*    1829 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(1877), // Rule ID 65558 //
     /*    1834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1841 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    1845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1849 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    1853 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1864 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:6:y, sh3add_op:{ *:[i32] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1869 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1875 */     GIR_RootConstrainSelectedInstOperands,
     /*    1876 */     // GIR_Coverage, 65558,
     /*    1876 */     GIR_EraseRootFromParent_Done,
     /*    1877 */   // Label 163: @1877
     /*    1877 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(1928), // Rule ID 74376 //
     /*    1882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1889 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    1893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1897 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    1901 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1912 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:24:y, sh1add_op:{ *:[i32] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1919 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1926 */     GIR_RootConstrainSelectedInstOperands,
     /*    1927 */     // GIR_Coverage, 74376,
     /*    1927 */     GIR_EraseRootFromParent_Done,
     /*    1928 */   // Label 164: @1928
     /*    1928 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(1979), // Rule ID 74380 //
     /*    1933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1940 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    1944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1948 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    1952 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1963 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:25:y, sh2add_op:{ *:[i32] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1970 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1977 */     GIR_RootConstrainSelectedInstOperands,
     /*    1978 */     // GIR_Coverage, 74380,
     /*    1978 */     GIR_EraseRootFromParent_Done,
     /*    1979 */   // Label 165: @1979
     /*    1979 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2030), // Rule ID 74384 //
     /*    1984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1991 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    1995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1999 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    2003 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    2014 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:26:y, sh3add_op:{ *:[i32] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    2014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2021 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    2025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    2028 */     GIR_RootConstrainSelectedInstOperands,
     /*    2029 */     // GIR_Coverage, 74384,
     /*    2029 */     GIR_EraseRootFromParent_Done,
     /*    2030 */   // Label 166: @2030
     /*    2030 */   GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2078), // Rule ID 74398 //
     /*    2035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2042 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:28:y
     /*    2046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2050 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:28:x
     /*    2054 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    2065 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:28:y, sh1add_op:{ *:[i32] }:$rs1:$pred:28:x)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    2068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2070 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    2074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2076 */     GIR_RootConstrainSelectedInstOperands,
     /*    2077 */     // GIR_Coverage, 74398,
     /*    2077 */     GIR_EraseRootFromParent_Done,
     /*    2078 */   // Label 167: @2078
     /*    2078 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2126), // Rule ID 74406 //
     /*    2083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2090 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:30:y
     /*    2094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2098 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:30:x
     /*    2102 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    2113 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:30:y, sh2add_op:{ *:[i32] }:$rs1:$pred:30:x)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    2116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2118 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    2122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2124 */     GIR_RootConstrainSelectedInstOperands,
     /*    2125 */     // GIR_Coverage, 74406,
     /*    2125 */     GIR_EraseRootFromParent_Done,
     /*    2126 */   // Label 168: @2126
     /*    2126 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2174), // Rule ID 74414 //
     /*    2131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2138 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:32:y
     /*    2142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2146 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:32:x
     /*    2150 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    2161 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:32:y, sh3add_op:{ *:[i32] }:$rs1:$pred:32:x)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    2164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2166 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    2170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2172 */     GIR_RootConstrainSelectedInstOperands,
     /*    2173 */     // GIR_Coverage, 74414,
     /*    2173 */     GIR_EraseRootFromParent_Done,
     /*    2174 */   // Label 169: @2174
     /*    2174 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2242), // Rule ID 2566 //
     /*    2179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2186 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    2190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2211 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2215 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    2219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2223 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2229 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x, GPR:{ *:[i32] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2240 */     GIR_RootConstrainSelectedInstOperands,
     /*    2241 */     // GIR_Coverage, 2566,
     /*    2241 */     GIR_EraseRootFromParent_Done,
     /*    2242 */   // Label 170: @2242
     /*    2242 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2310), // Rule ID 2576 //
     /*    2247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2254 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    2258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2270 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2279 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2283 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    2287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2291 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2297 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x, GPR:{ *:[i32] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2308 */     GIR_RootConstrainSelectedInstOperands,
     /*    2309 */     // GIR_Coverage, 2576,
     /*    2309 */     GIR_EraseRootFromParent_Done,
     /*    2310 */   // Label 171: @2310
     /*    2310 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2378), // Rule ID 2586 //
     /*    2315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2322 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    2326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2347 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2351 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    2355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2359 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2365 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x, GPR:{ *:[i32] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2376 */     GIR_RootConstrainSelectedInstOperands,
     /*    2377 */     // GIR_Coverage, 2586,
     /*    2377 */     GIR_EraseRootFromParent_Done,
     /*    2378 */   // Label 172: @2378
     /*    2378 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2446), // Rule ID 65057 //
     /*    2383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2390 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:27:x
     /*    2394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2406 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2415 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2419 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:27:y
     /*    2423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2427 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2433 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:27:x, GPR:{ *:[i32] }:$rs2:$pred:27:y)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    2436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2444 */     GIR_RootConstrainSelectedInstOperands,
     /*    2445 */     // GIR_Coverage, 65057,
     /*    2445 */     GIR_EraseRootFromParent_Done,
     /*    2446 */   // Label 173: @2446
     /*    2446 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(2514), // Rule ID 65067 //
     /*    2451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2458 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:29:x
     /*    2462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2474 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2483 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2487 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:29:y
     /*    2491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2495 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2501 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:29:x, GPR:{ *:[i32] }:$rs2:$pred:29:y)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    2504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2512 */     GIR_RootConstrainSelectedInstOperands,
     /*    2513 */     // GIR_Coverage, 65067,
     /*    2513 */     GIR_EraseRootFromParent_Done,
     /*    2514 */   // Label 174: @2514
     /*    2514 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2582), // Rule ID 65077 //
     /*    2519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2526 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:31:x
     /*    2530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2542 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2551 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2555 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:31:y
     /*    2559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2563 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2569 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:31:x, GPR:{ *:[i32] }:$rs2:$pred:31:y)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    2572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2580 */     GIR_RootConstrainSelectedInstOperands,
     /*    2581 */     // GIR_Coverage, 65077,
     /*    2581 */     GIR_EraseRootFromParent_Done,
     /*    2582 */   // Label 175: @2582
     /*    2582 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2650), // Rule ID 65538 //
     /*    2587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2594 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    2598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2602 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    2606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2618 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2627 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2631 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2637 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:1:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2648 */     GIR_RootConstrainSelectedInstOperands,
     /*    2649 */     // GIR_Coverage, 65538,
     /*    2649 */     GIR_EraseRootFromParent_Done,
     /*    2650 */   // Label 176: @2650
     /*    2650 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(2718), // Rule ID 65546 //
     /*    2655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2662 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    2666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2670 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    2674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2695 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2699 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2705 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:3:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2716 */     GIR_RootConstrainSelectedInstOperands,
     /*    2717 */     // GIR_Coverage, 65546,
     /*    2717 */     GIR_EraseRootFromParent_Done,
     /*    2718 */   // Label 177: @2718
     /*    2718 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(2786), // Rule ID 65554 //
     /*    2723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2730 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    2734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2738 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    2742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2763 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2767 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2773 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:5:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2784 */     GIR_RootConstrainSelectedInstOperands,
     /*    2785 */     // GIR_Coverage, 65554,
     /*    2785 */     GIR_EraseRootFromParent_Done,
     /*    2786 */   // Label 178: @2786
     /*    2786 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(2854), // Rule ID 74394 //
     /*    2791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2798 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:27:y
     /*    2802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2806 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:27:x
     /*    2810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2831 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2835 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2841 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:27:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:27:x)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    2844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2852 */     GIR_RootConstrainSelectedInstOperands,
     /*    2853 */     // GIR_Coverage, 74394,
     /*    2853 */     GIR_EraseRootFromParent_Done,
     /*    2854 */   // Label 179: @2854
     /*    2854 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(2922), // Rule ID 74402 //
     /*    2859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2866 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:29:y
     /*    2870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2874 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:29:x
     /*    2878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2890 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2899 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2903 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2909 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:29:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:29:x)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    2912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2920 */     GIR_RootConstrainSelectedInstOperands,
     /*    2921 */     // GIR_Coverage, 74402,
     /*    2921 */     GIR_EraseRootFromParent_Done,
     /*    2922 */   // Label 180: @2922
     /*    2922 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(2990), // Rule ID 74410 //
     /*    2927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2934 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:31:y
     /*    2938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2942 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:31:x
     /*    2946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2967 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2971 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2977 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:31:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:31:x)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    2980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2988 */     GIR_RootConstrainSelectedInstOperands,
     /*    2989 */     // GIR_Coverage, 74410,
     /*    2989 */     GIR_EraseRootFromParent_Done,
     /*    2990 */   // Label 181: @2990
     /*    2990 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(3069), // Rule ID 62532 //
     /*    2995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3002 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    3006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    3031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3035 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    3039 */     // MIs[2] Operand 1
     /*    3039 */     // No operand predicates
     /*    3039 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    3043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3047 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3053 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i32] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    3053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    3056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    3060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    3064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    3067 */     GIR_RootConstrainSelectedInstOperands,
     /*    3068 */     // GIR_Coverage, 62532,
     /*    3068 */     GIR_EraseRootFromParent_Done,
     /*    3069 */   // Label 182: @3069
     /*    3069 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(3148), // Rule ID 74372 //
     /*    3074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    3077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3081 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    3085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3089 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    3093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3105 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    3118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3122 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    3126 */     // MIs[2] Operand 1
     /*    3126 */     // No operand predicates
     /*    3126 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3130 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3132 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:23:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    3132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    3135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    3143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    3146 */     GIR_RootConstrainSelectedInstOperands,
     /*    3147 */     // GIR_Coverage, 74372,
     /*    3147 */     GIR_EraseRootFromParent_Done,
     /*    3148 */   // Label 183: @3148
     /*    3148 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(3215), // Rule ID 74390 //
     /*    3153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqciac_IsRV32_HwMode1),
     /*    3156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    3168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    3185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3189 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    3193 */     // MIs[2] Operand 1
     /*    3193 */     // No operand predicates
     /*    3193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3199 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12), GPRNoX0:{ *:[i32] }:$rd)  =>  (QC_MULIADD:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*    3199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MULIADD),
     /*    3202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    3206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    3210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm12
     /*    3213 */     GIR_RootConstrainSelectedInstOperands,
     /*    3214 */     // GIR_Coverage, 74390,
     /*    3214 */     GIR_EraseRootFromParent_Done,
     /*    3215 */   // Label 184: @3215
     /*    3215 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(3264), // Rule ID 121 //
     /*    3220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    3235 */     // MIs[1] Operand 1
     /*    3235 */     // No operand predicates
     /*    3235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    3239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3243 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    3247 */     // MIs[2] Operand 1
     /*    3247 */     // No operand predicates
     /*    3247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3249 */     // (add:{ *:[i32] } (frameindex:{ *:[i32] }):$fi, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i32] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i32] }:$fi), (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)
     /*    3249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3254 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    3259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    3262 */     GIR_RootConstrainSelectedInstOperands,
     /*    3263 */     // GIR_Coverage, 121,
     /*    3263 */     GIR_EraseRootFromParent_Done,
     /*    3264 */   // Label 185: @3264
     /*    3264 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(3331), // Rule ID 64530 //
     /*    3269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqciac_IsRV32_HwMode1),
     /*    3272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    3288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3292 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    3305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3309 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    3313 */     // MIs[2] Operand 1
     /*    3313 */     // No operand predicates
     /*    3313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3315 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))  =>  (QC_MULIADD:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*    3315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MULIADD),
     /*    3318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    3322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    3326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm12
     /*    3329 */     GIR_RootConstrainSelectedInstOperands,
     /*    3330 */     // GIR_Coverage, 64530,
     /*    3330 */     GIR_EraseRootFromParent_Done,
     /*    3331 */   // Label 186: @3331
     /*    3331 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(3373), // Rule ID 81 //
     /*    3336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    3359 */     // MIs[1] Operand 1
     /*    3359 */     // No operand predicates
     /*    3359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3361 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*    3361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    3371 */     GIR_RootConstrainSelectedInstOperands,
     /*    3372 */     // GIR_Coverage, 81,
     /*    3372 */     GIR_EraseRootFromParent_Done,
     /*    3373 */   // Label 187: @3373
     /*    3373 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(3445), // Rule ID 296 //
     /*    3378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    3401 */     // MIs[1] Operand 1
     /*    3401 */     // No operand predicates
     /*    3401 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10074),
     /*    3405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3407 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10074>>:$rs2)  =>  (ADDI:{ *:[i32] } (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (AddiPairImmLarge:{ *:[i32] } (imm:{ *:[i32] }):$rs2)), (AddiPairImmSmall:{ *:[i32] } (imm:{ *:[i32] }):$rs2))
     /*    3407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*    3410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    3419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    3423 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    3428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    3430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    3438 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    3443 */     GIR_RootConstrainSelectedInstOperands,
     /*    3444 */     // GIR_Coverage, 296,
     /*    3444 */     GIR_EraseRootFromParent_Done,
     /*    3445 */   // Label 188: @3445
     /*    3445 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(3487), // Rule ID 64531 //
     /*    3450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    3453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*    3473 */     // MIs[1] Operand 1
     /*    3473 */     // No operand predicates
     /*    3473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3475 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ADDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*    3475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDAI),
     /*    3478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    3485 */     GIR_RootConstrainSelectedInstOperands,
     /*    3486 */     // GIR_Coverage, 64531,
     /*    3486 */     GIR_EraseRootFromParent_Done,
     /*    3487 */   // Label 189: @3487
     /*    3487 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(3529), // Rule ID 64535 //
     /*    3492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    3495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*    3515 */     // MIs[1] Operand 1
     /*    3515 */     // No operand predicates
     /*    3515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3517 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ADDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*    3517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDI),
     /*    3520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    3527 */     GIR_RootConstrainSelectedInstOperands,
     /*    3528 */     // GIR_Coverage, 64535,
     /*    3528 */     GIR_EraseRootFromParent_Done,
     /*    3529 */   // Label 190: @3529
     /*    3529 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(3590), // Rule ID 74386 //
     /*    3534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    3537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    3549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3553 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3573 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rd)  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    3573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    3576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    3580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    3584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    3588 */     GIR_RootConstrainSelectedInstOperands,
     /*    3589 */     // GIR_Coverage, 74386,
     /*    3589 */     GIR_EraseRootFromParent_Done,
     /*    3590 */   // Label 191: @3590
     /*    3590 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(3651), // Rule ID 62599 //
     /*    3595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    3598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    3614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3618 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3634 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    3634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    3637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    3641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    3645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    3649 */     GIR_RootConstrainSelectedInstOperands,
     /*    3650 */     // GIR_Coverage, 62599,
     /*    3650 */     GIR_EraseRootFromParent_Done,
     /*    3651 */   // Label 192: @3651
     /*    3651 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(3678), // Rule ID 79 //
     /*    3656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3671 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    3671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    3676 */     GIR_RootConstrainSelectedInstOperands,
     /*    3677 */     // GIR_Coverage, 79,
     /*    3677 */     GIR_Done,
     /*    3678 */   // Label 193: @3678
     /*    3678 */   GIM_Reject,
     /*    3679 */ // Label 151: @3679
     /*    3679 */ GIM_Reject,
     /*    3680 */ // Label 127: @3680
     /*    3680 */ GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(11579),
     /*    3685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    3688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    3691 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(3786), // Rule ID 2612 //
     /*    3696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3703 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*    3707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3735 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3744 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3748 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3759 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*    3763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3767 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3773 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:10:x, GPR:{ *:[i64] }:$rs2:$pred:10:y)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3784 */     GIR_RootConstrainSelectedInstOperands,
     /*    3785 */     // GIR_Coverage, 2612,
     /*    3785 */     GIR_EraseRootFromParent_Done,
     /*    3786 */   // Label 195: @3786
     /*    3786 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(3881), // Rule ID 2616 //
     /*    3791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3798 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:12:x
     /*    3802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3830 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3839 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3843 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3854 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:12:y
     /*    3858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3862 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3868 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x, GPR:{ *:[i64] }:$rs2:$pred:12:y)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3879 */     GIR_RootConstrainSelectedInstOperands,
     /*    3880 */     // GIR_Coverage, 2616,
     /*    3880 */     GIR_EraseRootFromParent_Done,
     /*    3881 */   // Label 196: @3881
     /*    3881 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(3976), // Rule ID 65113 //
     /*    3886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    3889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3893 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:40:x
     /*    3897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3925 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3934 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3938 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3949 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:40:y
     /*    3953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3957 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3963 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:40:x, GPR:{ *:[i64] }:$rs2:$pred:40:y)<<P:40:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    3966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3974 */     GIR_RootConstrainSelectedInstOperands,
     /*    3975 */     // GIR_Coverage, 65113,
     /*    3975 */     GIR_EraseRootFromParent_Done,
     /*    3976 */   // Label 197: @3976
     /*    3976 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(4071), // Rule ID 65117 //
     /*    3981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    3984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3988 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:42:x
     /*    3992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4008 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4012 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4016 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4020 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4029 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    4033 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    4044 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:42:y
     /*    4048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4052 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4056 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4058 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:42:x, GPR:{ *:[i64] }:$rs2:$pred:42:y)<<P:42:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    4061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4069 */     GIR_RootConstrainSelectedInstOperands,
     /*    4070 */     // GIR_Coverage, 65117,
     /*    4070 */     GIR_EraseRootFromParent_Done,
     /*    4071 */   // Label 198: @4071
     /*    4071 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(4166), // Rule ID 2607 //
     /*    4076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4083 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*    4087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4115 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4119 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4124 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4135 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    4139 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*    4143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4147 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4153 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x, GPR:{ *:[i64] }:$rs2:$pred:8:y)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4164 */     GIR_RootConstrainSelectedInstOperands,
     /*    4165 */     // GIR_Coverage, 2607,
     /*    4165 */     GIR_EraseRootFromParent_Done,
     /*    4166 */   // Label 199: @4166
     /*    4166 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(4261), // Rule ID 2626 //
     /*    4171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4178 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*    4182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4210 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4214 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4219 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4230 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    4234 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*    4238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4242 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4246 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4248 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:16:x, GPR:{ *:[i64] }:$rs2:$pred:16:y)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4259 */     GIR_RootConstrainSelectedInstOperands,
     /*    4260 */     // GIR_Coverage, 2626,
     /*    4260 */     GIR_EraseRootFromParent_Done,
     /*    4261 */   // Label 200: @4261
     /*    4261 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(4356), // Rule ID 2631 //
     /*    4266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4273 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:18:x
     /*    4277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4289 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4305 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4314 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4325 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    4329 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:18:y
     /*    4333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4337 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4343 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:18:x, GPR:{ *:[i64] }:$rs2:$pred:18:y)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4354 */     GIR_RootConstrainSelectedInstOperands,
     /*    4355 */     // GIR_Coverage, 2631,
     /*    4355 */     GIR_EraseRootFromParent_Done,
     /*    4356 */   // Label 201: @4356
     /*    4356 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(4451), // Rule ID 65098 //
     /*    4361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4368 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:34:x
     /*    4372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4400 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4409 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4420 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    4424 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:34:y
     /*    4428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4432 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4436 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4438 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:34:x, GPR:{ *:[i64] }:$rs2:$pred:34:y)<<P:34:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    4441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4449 */     GIR_RootConstrainSelectedInstOperands,
     /*    4450 */     // GIR_Coverage, 65098,
     /*    4450 */     GIR_EraseRootFromParent_Done,
     /*    4451 */   // Label 202: @4451
     /*    4451 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(4546), // Rule ID 65103 //
     /*    4456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4463 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:36:x
     /*    4467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4495 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4499 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4504 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4515 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    4519 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:36:y
     /*    4523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4527 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4533 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:36:x, GPR:{ *:[i64] }:$rs2:$pred:36:y)<<P:36:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    4536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4544 */     GIR_RootConstrainSelectedInstOperands,
     /*    4545 */     // GIR_Coverage, 65103,
     /*    4545 */     GIR_EraseRootFromParent_Done,
     /*    4546 */   // Label 203: @4546
     /*    4546 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(4641), // Rule ID 65108 //
     /*    4551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4558 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:38:x
     /*    4562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4590 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4599 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4610 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    4614 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:38:y
     /*    4618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4622 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4628 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:38:x, GPR:{ *:[i64] }:$rs2:$pred:38:y)<<P:38:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    4631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4639 */     GIR_RootConstrainSelectedInstOperands,
     /*    4640 */     // GIR_Coverage, 65108,
     /*    4640 */     GIR_EraseRootFromParent_Done,
     /*    4641 */   // Label 204: @4641
     /*    4641 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(4736), // Rule ID 65568 //
     /*    4646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4653 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:10:y
     /*    4657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4661 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:10:x
     /*    4665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4677 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4693 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4702 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    4706 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    4717 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4723 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:10:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:10:x)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4734 */     GIR_RootConstrainSelectedInstOperands,
     /*    4735 */     // GIR_Coverage, 65568,
     /*    4735 */     GIR_EraseRootFromParent_Done,
     /*    4736 */   // Label 205: @4736
     /*    4736 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(4831), // Rule ID 65572 //
     /*    4741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4748 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:12:y
     /*    4752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4756 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:12:x
     /*    4760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4788 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4792 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4797 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    4801 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    4812 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4818 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:12:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4829 */     GIR_RootConstrainSelectedInstOperands,
     /*    4830 */     // GIR_Coverage, 65572,
     /*    4830 */     GIR_EraseRootFromParent_Done,
     /*    4831 */   // Label 206: @4831
     /*    4831 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(4926), // Rule ID 74432 //
     /*    4836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4843 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:40:y
     /*    4847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4851 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:40:x
     /*    4855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4871 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4875 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4879 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4883 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4887 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4892 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    4896 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    4907 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4913 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:40:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:40:x)<<P:40:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    4916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4924 */     GIR_RootConstrainSelectedInstOperands,
     /*    4925 */     // GIR_Coverage, 74432,
     /*    4925 */     GIR_EraseRootFromParent_Done,
     /*    4926 */   // Label 207: @4926
     /*    4926 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(5021), // Rule ID 74436 //
     /*    4931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4938 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:42:y
     /*    4942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4946 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:42:x
     /*    4950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4962 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4978 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4982 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4987 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    4991 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    5002 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5008 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:42:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:42:x)<<P:42:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    5011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5019 */     GIR_RootConstrainSelectedInstOperands,
     /*    5020 */     // GIR_Coverage, 74436,
     /*    5020 */     GIR_EraseRootFromParent_Done,
     /*    5021 */   // Label 208: @5021
     /*    5021 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(5116), // Rule ID 65564 //
     /*    5026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5033 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:8:y
     /*    5037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5041 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:8:x
     /*    5045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5073 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5077 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5082 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5093 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    5097 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5101 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5103 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:8:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    5106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5114 */     GIR_RootConstrainSelectedInstOperands,
     /*    5115 */     // GIR_Coverage, 65564,
     /*    5115 */     GIR_EraseRootFromParent_Done,
     /*    5116 */   // Label 209: @5116
     /*    5116 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(5211), // Rule ID 65580 //
     /*    5121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5128 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:16:y
     /*    5132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5136 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:16:x
     /*    5140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5168 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5177 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5188 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5192 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5198 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:16:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:16:x)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5209 */     GIR_RootConstrainSelectedInstOperands,
     /*    5210 */     // GIR_Coverage, 65580,
     /*    5210 */     GIR_EraseRootFromParent_Done,
     /*    5211 */   // Label 210: @5211
     /*    5211 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(5306), // Rule ID 65584 //
     /*    5216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5223 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:18:y
     /*    5227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5231 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:18:x
     /*    5235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5272 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5283 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5287 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5293 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:18:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:18:x)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5304 */     GIR_RootConstrainSelectedInstOperands,
     /*    5305 */     // GIR_Coverage, 65584,
     /*    5305 */     GIR_EraseRootFromParent_Done,
     /*    5306 */   // Label 211: @5306
     /*    5306 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(5401), // Rule ID 74420 //
     /*    5311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    5314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5318 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:34:y
     /*    5322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5326 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:34:x
     /*    5330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5358 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5367 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5378 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    5382 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5388 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:34:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:34:x)<<P:34:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    5391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5399 */     GIR_RootConstrainSelectedInstOperands,
     /*    5400 */     // GIR_Coverage, 74420,
     /*    5400 */     GIR_EraseRootFromParent_Done,
     /*    5401 */   // Label 212: @5401
     /*    5401 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(5496), // Rule ID 74424 //
     /*    5406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    5409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5413 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:36:y
     /*    5417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5421 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:36:x
     /*    5425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5453 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5462 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5473 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5477 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5483 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:36:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:36:x)<<P:36:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    5486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5494 */     GIR_RootConstrainSelectedInstOperands,
     /*    5495 */     // GIR_Coverage, 74424,
     /*    5495 */     GIR_EraseRootFromParent_Done,
     /*    5496 */   // Label 213: @5496
     /*    5496 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(5591), // Rule ID 74428 //
     /*    5501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    5504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5508 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:38:y
     /*    5512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5516 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:38:x
     /*    5520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5557 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5568 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5572 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5578 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:38:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:38:x)<<P:38:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    5581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5589 */     GIR_RootConstrainSelectedInstOperands,
     /*    5590 */     // GIR_Coverage, 74428,
     /*    5590 */     GIR_EraseRootFromParent_Done,
     /*    5591 */   // Label 214: @5591
     /*    5591 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(5639), // Rule ID 2571 //
     /*    5596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5603 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    5607 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    5611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5615 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    5626 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:2:x, GPR:{ *:[i64] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5631 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5637 */     GIR_RootConstrainSelectedInstOperands,
     /*    5638 */     // GIR_Coverage, 2571,
     /*    5638 */     GIR_EraseRootFromParent_Done,
     /*    5639 */   // Label 215: @5639
     /*    5639 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(5687), // Rule ID 2581 //
     /*    5644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5651 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    5655 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    5659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5663 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    5674 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:4:x, GPR:{ *:[i64] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5679 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5685 */     GIR_RootConstrainSelectedInstOperands,
     /*    5686 */     // GIR_Coverage, 2581,
     /*    5686 */     GIR_EraseRootFromParent_Done,
     /*    5687 */   // Label 216: @5687
     /*    5687 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(5735), // Rule ID 2591 //
     /*    5692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5699 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    5703 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    5707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5711 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    5722 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:6:x, GPR:{ *:[i64] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5727 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5733 */     GIR_RootConstrainSelectedInstOperands,
     /*    5734 */     // GIR_Coverage, 2591,
     /*    5734 */     GIR_EraseRootFromParent_Done,
     /*    5735 */   // Label 217: @5735
     /*    5735 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(5783), // Rule ID 2610 //
     /*    5740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5747 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*    5751 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*    5755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5759 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    5770 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:9:x, GPR:{ *:[i64] }:$rs2:$pred:9:y)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    5773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5775 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5781 */     GIR_RootConstrainSelectedInstOperands,
     /*    5782 */     // GIR_Coverage, 2610,
     /*    5782 */     GIR_EraseRootFromParent_Done,
     /*    5783 */   // Label 218: @5783
     /*    5783 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(5831), // Rule ID 2629 //
     /*    5788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5795 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:17:x
     /*    5799 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:17:y
     /*    5803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5807 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    5818 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:17:x, GPR:{ *:[i64] }:$rs2:$pred:17:y)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5823 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5829 */     GIR_RootConstrainSelectedInstOperands,
     /*    5830 */     // GIR_Coverage, 2629,
     /*    5830 */     GIR_EraseRootFromParent_Done,
     /*    5831 */   // Label 219: @5831
     /*    5831 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(5879), // Rule ID 2634 //
     /*    5836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5843 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:19:x
     /*    5847 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:19:y
     /*    5851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5855 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    5866 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:19:x, GPR:{ *:[i64] }:$rs2:$pred:19:y)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5871 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5877 */     GIR_RootConstrainSelectedInstOperands,
     /*    5878 */     // GIR_Coverage, 2634,
     /*    5878 */     GIR_EraseRootFromParent_Done,
     /*    5879 */   // Label 220: @5879
     /*    5879 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(5930), // Rule ID 62537 //
     /*    5884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    5887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5891 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    5895 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    5899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5903 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    5914 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs2:$pred:24:x, GPR:{ *:[i64] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    5914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    5917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    5921 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    5925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    5928 */     GIR_RootConstrainSelectedInstOperands,
     /*    5929 */     // GIR_Coverage, 62537,
     /*    5929 */     GIR_EraseRootFromParent_Done,
     /*    5930 */   // Label 221: @5930
     /*    5930 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(5981), // Rule ID 62541 //
     /*    5935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    5938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5942 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    5946 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    5950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5954 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    5965 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs2:$pred:25:x, GPR:{ *:[i64] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    5965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    5968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    5972 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    5976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    5979 */     GIR_RootConstrainSelectedInstOperands,
     /*    5980 */     // GIR_Coverage, 62541,
     /*    5980 */     GIR_EraseRootFromParent_Done,
     /*    5981 */   // Label 222: @5981
     /*    5981 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(6032), // Rule ID 62545 //
     /*    5986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    5989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5993 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    5997 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    6001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6005 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6016 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs2:$pred:26:x, GPR:{ *:[i64] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    6016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    6023 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    6027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    6030 */     GIR_RootConstrainSelectedInstOperands,
     /*    6031 */     // GIR_Coverage, 62545,
     /*    6031 */     GIR_EraseRootFromParent_Done,
     /*    6032 */   // Label 223: @6032
     /*    6032 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6080), // Rule ID 65062 //
     /*    6037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6044 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:28:x
     /*    6048 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:28:y
     /*    6052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6056 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    6067 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:28:x, GPR:{ *:[i64] }:$rs2:$pred:28:y)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    6070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6072 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6078 */     GIR_RootConstrainSelectedInstOperands,
     /*    6079 */     // GIR_Coverage, 65062,
     /*    6079 */     GIR_EraseRootFromParent_Done,
     /*    6080 */   // Label 224: @6080
     /*    6080 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6128), // Rule ID 65072 //
     /*    6085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6092 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:30:x
     /*    6096 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:30:y
     /*    6100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6104 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    6115 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:30:x, GPR:{ *:[i64] }:$rs2:$pred:30:y)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    6118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6120 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6126 */     GIR_RootConstrainSelectedInstOperands,
     /*    6127 */     // GIR_Coverage, 65072,
     /*    6127 */     GIR_EraseRootFromParent_Done,
     /*    6128 */   // Label 225: @6128
     /*    6128 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6176), // Rule ID 65082 //
     /*    6133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6140 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:32:x
     /*    6144 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:32:y
     /*    6148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6152 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6163 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:32:x, GPR:{ *:[i64] }:$rs2:$pred:32:y)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    6166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6168 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6174 */     GIR_RootConstrainSelectedInstOperands,
     /*    6175 */     // GIR_Coverage, 65082,
     /*    6175 */     GIR_EraseRootFromParent_Done,
     /*    6176 */   // Label 226: @6176
     /*    6176 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6224), // Rule ID 65101 //
     /*    6181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6188 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:35:x
     /*    6192 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:35:y
     /*    6196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6200 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    6211 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:35:x, GPR:{ *:[i64] }:$rs2:$pred:35:y)<<P:35:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    6214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6216 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6222 */     GIR_RootConstrainSelectedInstOperands,
     /*    6223 */     // GIR_Coverage, 65101,
     /*    6223 */     GIR_EraseRootFromParent_Done,
     /*    6224 */   // Label 227: @6224
     /*    6224 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6272), // Rule ID 65106 //
     /*    6229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6236 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:37:x
     /*    6240 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:37:y
     /*    6244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6248 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    6259 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:37:x, GPR:{ *:[i64] }:$rs2:$pred:37:y)<<P:37:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    6262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6264 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6270 */     GIR_RootConstrainSelectedInstOperands,
     /*    6271 */     // GIR_Coverage, 65106,
     /*    6271 */     GIR_EraseRootFromParent_Done,
     /*    6272 */   // Label 228: @6272
     /*    6272 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6320), // Rule ID 65111 //
     /*    6277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6284 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:39:x
     /*    6288 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:39:y
     /*    6292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6296 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    6307 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:39:x, GPR:{ *:[i64] }:$rs2:$pred:39:y)<<P:39:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    6310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6312 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6318 */     GIR_RootConstrainSelectedInstOperands,
     /*    6319 */     // GIR_Coverage, 65111,
     /*    6319 */     GIR_EraseRootFromParent_Done,
     /*    6320 */   // Label 229: @6320
     /*    6320 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6368), // Rule ID 65541 //
     /*    6325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6332 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    6336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6340 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    6344 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    6355 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:2:y, sh1add_op:{ *:[i64] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    6358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6360 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6366 */     GIR_RootConstrainSelectedInstOperands,
     /*    6367 */     // GIR_Coverage, 65541,
     /*    6367 */     GIR_EraseRootFromParent_Done,
     /*    6368 */   // Label 230: @6368
     /*    6368 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(6416), // Rule ID 65549 //
     /*    6373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6380 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    6384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6388 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    6392 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    6403 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:4:y, sh2add_op:{ *:[i64] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    6406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6408 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6414 */     GIR_RootConstrainSelectedInstOperands,
     /*    6415 */     // GIR_Coverage, 65549,
     /*    6415 */     GIR_EraseRootFromParent_Done,
     /*    6416 */   // Label 231: @6416
     /*    6416 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6464), // Rule ID 65557 //
     /*    6421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6428 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    6432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6436 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    6440 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6451 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:6:y, sh3add_op:{ *:[i64] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6456 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6462 */     GIR_RootConstrainSelectedInstOperands,
     /*    6463 */     // GIR_Coverage, 65557,
     /*    6463 */     GIR_EraseRootFromParent_Done,
     /*    6464 */   // Label 232: @6464
     /*    6464 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(6512), // Rule ID 65566 //
     /*    6469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6476 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:9:y
     /*    6480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6484 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:9:x
     /*    6488 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    6499 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:9:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:9:x)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    6502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6504 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6510 */     GIR_RootConstrainSelectedInstOperands,
     /*    6511 */     // GIR_Coverage, 65566,
     /*    6511 */     GIR_EraseRootFromParent_Done,
     /*    6512 */   // Label 233: @6512
     /*    6512 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(6560), // Rule ID 65582 //
     /*    6517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6524 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:17:y
     /*    6528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6532 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:17:x
     /*    6536 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    6547 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:17:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:17:x)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    6550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6552 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6558 */     GIR_RootConstrainSelectedInstOperands,
     /*    6559 */     // GIR_Coverage, 65582,
     /*    6559 */     GIR_EraseRootFromParent_Done,
     /*    6560 */   // Label 234: @6560
     /*    6560 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(6608), // Rule ID 65586 //
     /*    6565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6572 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:19:y
     /*    6576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6580 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:19:x
     /*    6584 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    6595 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:19:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:19:x)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    6598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6600 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6606 */     GIR_RootConstrainSelectedInstOperands,
     /*    6607 */     // GIR_Coverage, 65586,
     /*    6607 */     GIR_EraseRootFromParent_Done,
     /*    6608 */   // Label 235: @6608
     /*    6608 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(6659), // Rule ID 74375 //
     /*    6613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6620 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    6624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6628 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    6632 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    6643 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:24:y, sh1add_op:{ *:[i64] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    6643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6650 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    6654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    6657 */     GIR_RootConstrainSelectedInstOperands,
     /*    6658 */     // GIR_Coverage, 74375,
     /*    6658 */     GIR_EraseRootFromParent_Done,
     /*    6659 */   // Label 236: @6659
     /*    6659 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(6710), // Rule ID 74379 //
     /*    6664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6671 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    6675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6679 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    6683 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    6694 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:25:y, sh2add_op:{ *:[i64] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    6694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6701 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    6705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    6708 */     GIR_RootConstrainSelectedInstOperands,
     /*    6709 */     // GIR_Coverage, 74379,
     /*    6709 */     GIR_EraseRootFromParent_Done,
     /*    6710 */   // Label 237: @6710
     /*    6710 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(6761), // Rule ID 74383 //
     /*    6715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6722 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    6726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6730 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    6734 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6745 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:26:y, sh3add_op:{ *:[i64] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    6745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6752 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    6756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    6759 */     GIR_RootConstrainSelectedInstOperands,
     /*    6760 */     // GIR_Coverage, 74383,
     /*    6760 */     GIR_EraseRootFromParent_Done,
     /*    6761 */   // Label 238: @6761
     /*    6761 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(6809), // Rule ID 74397 //
     /*    6766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6773 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:28:y
     /*    6777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6781 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:28:x
     /*    6785 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    6796 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:28:y, sh1add_op:{ *:[i64] }:$rs1:$pred:28:x)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    6799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6801 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6807 */     GIR_RootConstrainSelectedInstOperands,
     /*    6808 */     // GIR_Coverage, 74397,
     /*    6808 */     GIR_EraseRootFromParent_Done,
     /*    6809 */   // Label 239: @6809
     /*    6809 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(6857), // Rule ID 74405 //
     /*    6814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6821 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:30:y
     /*    6825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6829 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:30:x
     /*    6833 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    6844 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:30:y, sh2add_op:{ *:[i64] }:$rs1:$pred:30:x)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    6847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6849 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6855 */     GIR_RootConstrainSelectedInstOperands,
     /*    6856 */     // GIR_Coverage, 74405,
     /*    6856 */     GIR_EraseRootFromParent_Done,
     /*    6857 */   // Label 240: @6857
     /*    6857 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(6905), // Rule ID 74413 //
     /*    6862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6869 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:32:y
     /*    6873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6877 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:32:x
     /*    6881 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6892 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:32:y, sh3add_op:{ *:[i64] }:$rs1:$pred:32:x)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    6895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6897 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6903 */     GIR_RootConstrainSelectedInstOperands,
     /*    6904 */     // GIR_Coverage, 74413,
     /*    6904 */     GIR_EraseRootFromParent_Done,
     /*    6905 */   // Label 241: @6905
     /*    6905 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(6953), // Rule ID 74422 //
     /*    6910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6917 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:35:y
     /*    6921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6925 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:35:x
     /*    6929 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    6940 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:35:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:35:x)<<P:35:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    6943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6945 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6951 */     GIR_RootConstrainSelectedInstOperands,
     /*    6952 */     // GIR_Coverage, 74422,
     /*    6952 */     GIR_EraseRootFromParent_Done,
     /*    6953 */   // Label 242: @6953
     /*    6953 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(7001), // Rule ID 74426 //
     /*    6958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6965 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:37:y
     /*    6969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6973 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:37:x
     /*    6977 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    6988 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:37:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:37:x)<<P:37:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    6991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6993 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6999 */     GIR_RootConstrainSelectedInstOperands,
     /*    7000 */     // GIR_Coverage, 74426,
     /*    7000 */     GIR_EraseRootFromParent_Done,
     /*    7001 */   // Label 243: @7001
     /*    7001 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(7049), // Rule ID 74430 //
     /*    7006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7013 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:39:y
     /*    7017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7021 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:39:x
     /*    7025 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    7036 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:39:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:39:x)<<P:39:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    7039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7041 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    7045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    7047 */     GIR_RootConstrainSelectedInstOperands,
     /*    7048 */     // GIR_Coverage, 74430,
     /*    7048 */     GIR_EraseRootFromParent_Done,
     /*    7049 */   // Label 244: @7049
     /*    7049 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(7124), // Rule ID 2602 //
     /*    7054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7061 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*    7065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7086 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    7097 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*    7101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7105 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7111 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x, GPR:{ *:[i64] }:$rs2:$pred:7:y)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    7114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7122 */     GIR_RootConstrainSelectedInstOperands,
     /*    7123 */     // GIR_Coverage, 2602,
     /*    7123 */     GIR_EraseRootFromParent_Done,
     /*    7124 */   // Label 245: @7124
     /*    7124 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(7219), // Rule ID 2614 //
     /*    7129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7136 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*    7140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7161 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    7172 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*    7176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7180 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7186 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:11:x, GPR:{ *:[i64] }:$rs2:$pred:11:y)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7198 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7202 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    7205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    7210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7217 */     GIR_RootConstrainSelectedInstOperands,
     /*    7218 */     // GIR_Coverage, 2614,
     /*    7218 */     GIR_EraseRootFromParent_Done,
     /*    7219 */   // Label 246: @7219
     /*    7219 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(7314), // Rule ID 2618 //
     /*    7224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7231 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*    7235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7256 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    7267 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*    7271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7275 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7281 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:13:x, GPR:{ *:[i64] }:$rs2:$pred:13:y)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7297 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    7300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    7305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7312 */     GIR_RootConstrainSelectedInstOperands,
     /*    7313 */     // GIR_Coverage, 2618,
     /*    7313 */     GIR_EraseRootFromParent_Done,
     /*    7314 */   // Label 247: @7314
     /*    7314 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(7409), // Rule ID 2620 //
     /*    7319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7326 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*    7330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7351 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    7362 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*    7366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7370 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7376 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:14:x, GPR:{ *:[i64] }:$rs2:$pred:14:y)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7392 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    7400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7407 */     GIR_RootConstrainSelectedInstOperands,
     /*    7408 */     // GIR_Coverage, 2620,
     /*    7408 */     GIR_EraseRootFromParent_Done,
     /*    7409 */   // Label 248: @7409
     /*    7409 */   GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(7504), // Rule ID 2622 //
     /*    7414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7421 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:15:x
     /*    7425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7446 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    7457 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:15:y
     /*    7461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7465 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7471 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:15:x, GPR:{ *:[i64] }:$rs2:$pred:15:y)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7487 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    7495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7502 */     GIR_RootConstrainSelectedInstOperands,
     /*    7503 */     // GIR_Coverage, 2622,
     /*    7503 */     GIR_EraseRootFromParent_Done,
     /*    7504 */   // Label 249: @7504
     /*    7504 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(7599), // Rule ID 2636 //
     /*    7509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7516 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:20:x
     /*    7520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7541 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    7552 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:20:y
     /*    7556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7560 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7566 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:20:x, GPR:{ *:[i64] }:$rs2:$pred:20:y)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7578 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7582 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    7585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    7590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7597 */     GIR_RootConstrainSelectedInstOperands,
     /*    7598 */     // GIR_Coverage, 2636,
     /*    7598 */     GIR_EraseRootFromParent_Done,
     /*    7599 */   // Label 250: @7599
     /*    7599 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(7694), // Rule ID 2638 //
     /*    7604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7611 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:21:x
     /*    7615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7636 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    7647 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:21:y
     /*    7651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7655 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7661 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:21:x, GPR:{ *:[i64] }:$rs2:$pred:21:y)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7673 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7677 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    7680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    7685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7692 */     GIR_RootConstrainSelectedInstOperands,
     /*    7693 */     // GIR_Coverage, 2638,
     /*    7693 */     GIR_EraseRootFromParent_Done,
     /*    7694 */   // Label 251: @7694
     /*    7694 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(7789), // Rule ID 2640 //
     /*    7699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7706 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:22:x
     /*    7710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7722 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7731 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    7742 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:22:y
     /*    7746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7750 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7756 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:22:x, GPR:{ *:[i64] }:$rs2:$pred:22:y)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7772 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    7780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7787 */     GIR_RootConstrainSelectedInstOperands,
     /*    7788 */     // GIR_Coverage, 2640,
     /*    7788 */     GIR_EraseRootFromParent_Done,
     /*    7789 */   // Label 252: @7789
     /*    7789 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(7864), // Rule ID 65093 //
     /*    7794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7801 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:33:x
     /*    7805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7817 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7826 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    7837 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:33:y
     /*    7841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7845 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7851 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:33:x, GPR:{ *:[i64] }:$rs2:$pred:33:y)<<P:33:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_B_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_B_ZE),
     /*    7854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7862 */     GIR_RootConstrainSelectedInstOperands,
     /*    7863 */     // GIR_Coverage, 65093,
     /*    7863 */     GIR_EraseRootFromParent_Done,
     /*    7864 */   // Label 253: @7864
     /*    7864 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(7959), // Rule ID 65115 //
     /*    7869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7876 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:41:x
     /*    7880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7892 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7901 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    7912 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:41:y
     /*    7916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7920 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7926 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:41:x, GPR:{ *:[i64] }:$rs2:$pred:41:y)<<P:41:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7938 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7942 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    7945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    7950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7957 */     GIR_RootConstrainSelectedInstOperands,
     /*    7958 */     // GIR_Coverage, 65115,
     /*    7958 */     GIR_EraseRootFromParent_Done,
     /*    7959 */   // Label 254: @7959
     /*    7959 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(8054), // Rule ID 65119 //
     /*    7964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7971 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:43:x
     /*    7975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7987 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7996 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    8007 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:43:y
     /*    8011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8015 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8021 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:43:x, GPR:{ *:[i64] }:$rs2:$pred:43:y)<<P:43:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    8028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8033 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8037 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    8040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    8045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8052 */     GIR_RootConstrainSelectedInstOperands,
     /*    8053 */     // GIR_Coverage, 65119,
     /*    8053 */     GIR_EraseRootFromParent_Done,
     /*    8054 */   // Label 255: @8054
     /*    8054 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(8149), // Rule ID 65121 //
     /*    8059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8066 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:44:x
     /*    8070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8091 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    8102 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:44:y
     /*    8106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8110 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8116 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:44:x, GPR:{ *:[i64] }:$rs2:$pred:44:y)<<P:44:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    8123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8128 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8132 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    8135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    8140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8147 */     GIR_RootConstrainSelectedInstOperands,
     /*    8148 */     // GIR_Coverage, 65121,
     /*    8148 */     GIR_EraseRootFromParent_Done,
     /*    8149 */   // Label 256: @8149
     /*    8149 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(8244), // Rule ID 65123 //
     /*    8154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8161 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:45:x
     /*    8165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8186 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    8197 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:45:y
     /*    8201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8205 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8211 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:45:x, GPR:{ *:[i64] }:$rs2:$pred:45:y)<<P:45:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    8218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8223 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8227 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    8230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    8235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8242 */     GIR_RootConstrainSelectedInstOperands,
     /*    8243 */     // GIR_Coverage, 65123,
     /*    8243 */     GIR_EraseRootFromParent_Done,
     /*    8244 */   // Label 257: @8244
     /*    8244 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(8339), // Rule ID 65125 //
     /*    8249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8256 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:46:x
     /*    8260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8281 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    8292 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:46:y
     /*    8296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8300 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8306 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:46:x, GPR:{ *:[i64] }:$rs2:$pred:46:y)<<P:46:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    8313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8318 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8322 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    8325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    8330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8337 */     GIR_RootConstrainSelectedInstOperands,
     /*    8338 */     // GIR_Coverage, 65125,
     /*    8338 */     GIR_EraseRootFromParent_Done,
     /*    8339 */   // Label 258: @8339
     /*    8339 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(8434), // Rule ID 65127 //
     /*    8344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8351 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:47:x
     /*    8355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8367 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8376 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    8387 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:47:y
     /*    8391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8395 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8401 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:47:x, GPR:{ *:[i64] }:$rs2:$pred:47:y)<<P:47:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    8408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8417 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    8420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    8425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8432 */     GIR_RootConstrainSelectedInstOperands,
     /*    8433 */     // GIR_Coverage, 65127,
     /*    8433 */     GIR_EraseRootFromParent_Done,
     /*    8434 */   // Label 259: @8434
     /*    8434 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(8529), // Rule ID 65129 //
     /*    8439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8446 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:48:x
     /*    8450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8466 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8471 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    8482 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:48:y
     /*    8486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8490 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8496 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:48:x, GPR:{ *:[i64] }:$rs2:$pred:48:y)<<P:48:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    8503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8508 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8512 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    8515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    8520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8527 */     GIR_RootConstrainSelectedInstOperands,
     /*    8528 */     // GIR_Coverage, 65129,
     /*    8528 */     GIR_EraseRootFromParent_Done,
     /*    8529 */   // Label 260: @8529
     /*    8529 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(8597), // Rule ID 2565 //
     /*    8534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    8537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8541 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    8545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8566 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    8570 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    8574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8578 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8584 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x, GPR:{ *:[i64] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    8587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8595 */     GIR_RootConstrainSelectedInstOperands,
     /*    8596 */     // GIR_Coverage, 2565,
     /*    8596 */     GIR_EraseRootFromParent_Done,
     /*    8597 */   // Label 261: @8597
     /*    8597 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(8665), // Rule ID 2575 //
     /*    8602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    8605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8609 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    8613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8634 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    8638 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    8642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8646 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8652 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x, GPR:{ *:[i64] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    8655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8663 */     GIR_RootConstrainSelectedInstOperands,
     /*    8664 */     // GIR_Coverage, 2575,
     /*    8664 */     GIR_EraseRootFromParent_Done,
     /*    8665 */   // Label 262: @8665
     /*    8665 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(8733), // Rule ID 2585 //
     /*    8670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    8673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8677 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    8681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8693 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8702 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    8706 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    8710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8714 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8720 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x, GPR:{ *:[i64] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    8723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8731 */     GIR_RootConstrainSelectedInstOperands,
     /*    8732 */     // GIR_Coverage, 2585,
     /*    8732 */     GIR_EraseRootFromParent_Done,
     /*    8733 */   // Label 263: @8733
     /*    8733 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(8801), // Rule ID 65056 //
     /*    8738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    8741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8745 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:27:x
     /*    8749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8770 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    8774 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:27:y
     /*    8778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8782 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8788 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:27:x, GPR:{ *:[i64] }:$rs2:$pred:27:y)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    8791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8799 */     GIR_RootConstrainSelectedInstOperands,
     /*    8800 */     // GIR_Coverage, 65056,
     /*    8800 */     GIR_EraseRootFromParent_Done,
     /*    8801 */   // Label 264: @8801
     /*    8801 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(8869), // Rule ID 65066 //
     /*    8806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    8809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8813 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:29:x
     /*    8817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8829 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8838 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    8842 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:29:y
     /*    8846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8850 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8856 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:29:x, GPR:{ *:[i64] }:$rs2:$pred:29:y)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    8859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8867 */     GIR_RootConstrainSelectedInstOperands,
     /*    8868 */     // GIR_Coverage, 65066,
     /*    8868 */     GIR_EraseRootFromParent_Done,
     /*    8869 */   // Label 265: @8869
     /*    8869 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(8937), // Rule ID 65076 //
     /*    8874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    8877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8881 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:31:x
     /*    8885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8897 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8906 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    8910 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:31:y
     /*    8914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8924 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:31:x, GPR:{ *:[i64] }:$rs2:$pred:31:y)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    8927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8935 */     GIR_RootConstrainSelectedInstOperands,
     /*    8936 */     // GIR_Coverage, 65076,
     /*    8936 */     GIR_EraseRootFromParent_Done,
     /*    8937 */   // Label 266: @8937
     /*    8937 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(9012), // Rule ID 65560 //
     /*    8942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    8945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8949 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:7:y
     /*    8953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8957 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:7:x
     /*    8961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8973 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8982 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    8993 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8999 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:7:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    9002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9010 */     GIR_RootConstrainSelectedInstOperands,
     /*    9011 */     // GIR_Coverage, 65560,
     /*    9011 */     GIR_EraseRootFromParent_Done,
     /*    9012 */   // Label 267: @9012
     /*    9012 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(9107), // Rule ID 65570 //
     /*    9017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9024 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:11:y
     /*    9028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9032 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:11:x
     /*    9036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9048 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9057 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    9068 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9074 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:11:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:11:x)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9086 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9090 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    9093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    9098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9105 */     GIR_RootConstrainSelectedInstOperands,
     /*    9106 */     // GIR_Coverage, 65570,
     /*    9106 */     GIR_EraseRootFromParent_Done,
     /*    9107 */   // Label 268: @9107
     /*    9107 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(9202), // Rule ID 65574 //
     /*    9112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9119 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:13:y
     /*    9123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9127 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:13:x
     /*    9131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9143 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9152 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    9163 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9169 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:13:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:13:x)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9185 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    9188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    9193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9200 */     GIR_RootConstrainSelectedInstOperands,
     /*    9201 */     // GIR_Coverage, 65574,
     /*    9201 */     GIR_EraseRootFromParent_Done,
     /*    9202 */   // Label 269: @9202
     /*    9202 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(9297), // Rule ID 65576 //
     /*    9207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9214 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:14:y
     /*    9218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9222 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:14:x
     /*    9226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9247 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    9258 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9264 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:14:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:14:x)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9276 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9280 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    9288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9295 */     GIR_RootConstrainSelectedInstOperands,
     /*    9296 */     // GIR_Coverage, 65576,
     /*    9296 */     GIR_EraseRootFromParent_Done,
     /*    9297 */   // Label 270: @9297
     /*    9297 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(9392), // Rule ID 65578 //
     /*    9302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9309 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:15:y
     /*    9313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9317 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:15:x
     /*    9321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9333 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9342 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    9353 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9359 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:15:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:15:x)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9371 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9375 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    9383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9390 */     GIR_RootConstrainSelectedInstOperands,
     /*    9391 */     // GIR_Coverage, 65578,
     /*    9391 */     GIR_EraseRootFromParent_Done,
     /*    9392 */   // Label 271: @9392
     /*    9392 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(9487), // Rule ID 65588 //
     /*    9397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9404 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:20:y
     /*    9408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9412 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:20:x
     /*    9416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9437 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    9448 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9454 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:20:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:20:x)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9466 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9470 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    9473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    9478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9485 */     GIR_RootConstrainSelectedInstOperands,
     /*    9486 */     // GIR_Coverage, 65588,
     /*    9486 */     GIR_EraseRootFromParent_Done,
     /*    9487 */   // Label 272: @9487
     /*    9487 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(9582), // Rule ID 65590 //
     /*    9492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9499 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:21:y
     /*    9503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9507 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:21:x
     /*    9511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9523 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9532 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    9543 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9549 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:21:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:21:x)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9561 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9565 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    9568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    9573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9580 */     GIR_RootConstrainSelectedInstOperands,
     /*    9581 */     // GIR_Coverage, 65590,
     /*    9581 */     GIR_EraseRootFromParent_Done,
     /*    9582 */   // Label 273: @9582
     /*    9582 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(9677), // Rule ID 65592 //
     /*    9587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9594 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:22:y
     /*    9598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9602 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:22:x
     /*    9606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9618 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9627 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    9638 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9644 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:22:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:22:x)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9656 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9660 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    9668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9675 */     GIR_RootConstrainSelectedInstOperands,
     /*    9676 */     // GIR_Coverage, 65592,
     /*    9676 */     GIR_EraseRootFromParent_Done,
     /*    9677 */   // Label 274: @9677
     /*    9677 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(9752), // Rule ID 74416 //
     /*    9682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9689 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:33:y
     /*    9693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9697 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:33:x
     /*    9701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9713 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9722 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    9733 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9739 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:33:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:33:x)<<P:33:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_B_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    9739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_B_ZE),
     /*    9742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9750 */     GIR_RootConstrainSelectedInstOperands,
     /*    9751 */     // GIR_Coverage, 74416,
     /*    9751 */     GIR_EraseRootFromParent_Done,
     /*    9752 */   // Label 275: @9752
     /*    9752 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(9847), // Rule ID 74434 //
     /*    9757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9764 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:41:y
     /*    9768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9772 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:41:x
     /*    9776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9797 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    9808 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9814 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:41:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:41:x)<<P:41:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9826 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9830 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    9833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    9838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9845 */     GIR_RootConstrainSelectedInstOperands,
     /*    9846 */     // GIR_Coverage, 74434,
     /*    9846 */     GIR_EraseRootFromParent_Done,
     /*    9847 */   // Label 276: @9847
     /*    9847 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(9942), // Rule ID 74438 //
     /*    9852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9859 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:43:y
     /*    9863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9867 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:43:x
     /*    9871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9883 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9892 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    9903 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9909 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:43:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:43:x)<<P:43:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9925 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    9928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    9933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9940 */     GIR_RootConstrainSelectedInstOperands,
     /*    9941 */     // GIR_Coverage, 74438,
     /*    9941 */     GIR_EraseRootFromParent_Done,
     /*    9942 */   // Label 277: @9942
     /*    9942 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(10037), // Rule ID 74440 //
     /*    9947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9954 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:44:y
     /*    9958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9962 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:44:x
     /*    9966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9987 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    9998 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10004 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:44:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:44:x)<<P:44:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   10011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10016 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10020 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*   10023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*   10028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10035 */     GIR_RootConstrainSelectedInstOperands,
     /*   10036 */     // GIR_Coverage, 74440,
     /*   10036 */     GIR_EraseRootFromParent_Done,
     /*   10037 */   // Label 278: @10037
     /*   10037 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(10132), // Rule ID 74442 //
     /*   10042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*   10045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10049 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:45:y
     /*   10053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10057 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:45:x
     /*   10061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   10069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10082 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*   10093 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10099 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:45:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:45:x)<<P:45:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*   10106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10111 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10115 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*   10118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*   10123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10130 */     GIR_RootConstrainSelectedInstOperands,
     /*   10131 */     // GIR_Coverage, 74442,
     /*   10131 */     GIR_EraseRootFromParent_Done,
     /*   10132 */   // Label 279: @10132
     /*   10132 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(10227), // Rule ID 74444 //
     /*   10137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*   10140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10144 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:46:y
     /*   10148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10152 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:46:x
     /*   10156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   10164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10177 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*   10188 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10194 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:46:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:46:x)<<P:46:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   10201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10206 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10210 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   10213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*   10218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10225 */     GIR_RootConstrainSelectedInstOperands,
     /*   10226 */     // GIR_Coverage, 74444,
     /*   10226 */     GIR_EraseRootFromParent_Done,
     /*   10227 */   // Label 280: @10227
     /*   10227 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(10322), // Rule ID 74446 //
     /*   10232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*   10235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10239 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:47:y
     /*   10243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10247 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:47:x
     /*   10251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   10259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10272 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*   10283 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10289 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:47:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:47:x)<<P:47:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   10296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10305 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*   10308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*   10313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10320 */     GIR_RootConstrainSelectedInstOperands,
     /*   10321 */     // GIR_Coverage, 74446,
     /*   10321 */     GIR_EraseRootFromParent_Done,
     /*   10322 */   // Label 281: @10322
     /*   10322 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(10417), // Rule ID 74448 //
     /*   10327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*   10330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10334 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:48:y
     /*   10338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10342 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:48:x
     /*   10346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   10354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10358 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10367 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*   10378 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10384 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:48:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:48:x)<<P:48:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   10391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10400 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*   10403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*   10408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10415 */     GIR_RootConstrainSelectedInstOperands,
     /*   10416 */     // GIR_Coverage, 74448,
     /*   10416 */     GIR_EraseRootFromParent_Done,
     /*   10417 */   // Label 282: @10417
     /*   10417 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(10485), // Rule ID 65537 //
     /*   10422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*   10425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10429 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*   10433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10437 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*   10441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10462 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   10466 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10472 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:1:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*   10475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10483 */     GIR_RootConstrainSelectedInstOperands,
     /*   10484 */     // GIR_Coverage, 65537,
     /*   10484 */     GIR_EraseRootFromParent_Done,
     /*   10485 */   // Label 283: @10485
     /*   10485 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(10553), // Rule ID 65545 //
     /*   10490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*   10493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10497 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*   10501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10505 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*   10509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10521 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10525 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10530 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*   10534 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10540 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:3:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*   10543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10551 */     GIR_RootConstrainSelectedInstOperands,
     /*   10552 */     // GIR_Coverage, 65545,
     /*   10552 */     GIR_EraseRootFromParent_Done,
     /*   10553 */   // Label 284: @10553
     /*   10553 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(10621), // Rule ID 65553 //
     /*   10558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*   10561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10565 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*   10569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10573 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*   10577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10589 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10598 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*   10602 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10608 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:5:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*   10611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10619 */     GIR_RootConstrainSelectedInstOperands,
     /*   10620 */     // GIR_Coverage, 65553,
     /*   10620 */     GIR_EraseRootFromParent_Done,
     /*   10621 */   // Label 285: @10621
     /*   10621 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(10689), // Rule ID 74393 //
     /*   10626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*   10629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10633 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:27:y
     /*   10637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10641 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:27:x
     /*   10645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10666 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   10670 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10676 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:27:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:27:x)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*   10679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10687 */     GIR_RootConstrainSelectedInstOperands,
     /*   10688 */     // GIR_Coverage, 74393,
     /*   10688 */     GIR_EraseRootFromParent_Done,
     /*   10689 */   // Label 286: @10689
     /*   10689 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(10757), // Rule ID 74401 //
     /*   10694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*   10697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10701 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:29:y
     /*   10705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10709 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:29:x
     /*   10713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10734 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*   10738 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10744 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:29:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:29:x)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*   10747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10755 */     GIR_RootConstrainSelectedInstOperands,
     /*   10756 */     // GIR_Coverage, 74401,
     /*   10756 */     GIR_EraseRootFromParent_Done,
     /*   10757 */   // Label 287: @10757
     /*   10757 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(10825), // Rule ID 74409 //
     /*   10762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*   10765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10769 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:31:y
     /*   10773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10777 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:31:x
     /*   10781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10793 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10802 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*   10806 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10812 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:31:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:31:x)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*   10815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10823 */     GIR_RootConstrainSelectedInstOperands,
     /*   10824 */     // GIR_Coverage, 74409,
     /*   10824 */     GIR_EraseRootFromParent_Done,
     /*   10825 */   // Label 288: @10825
     /*   10825 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(10904), // Rule ID 62531 //
     /*   10830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*   10833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10837 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*   10841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   10866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10870 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*   10874 */     // MIs[2] Operand 1
     /*   10874 */     // No operand predicates
     /*   10874 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*   10878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10882 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10886 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   10888 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i64] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*   10888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*   10891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   10895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   10899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*   10902 */     GIR_RootConstrainSelectedInstOperands,
     /*   10903 */     // GIR_Coverage, 62531,
     /*   10903 */     GIR_EraseRootFromParent_Done,
     /*   10904 */   // Label 289: @10904
     /*   10904 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(10983), // Rule ID 74371 //
     /*   10909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*   10912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10916 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*   10920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10924 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*   10928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   10953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10957 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*   10961 */     // MIs[2] Operand 1
     /*   10961 */     // No operand predicates
     /*   10961 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   10967 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:23:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*   10967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*   10970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   10978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*   10981 */     GIR_RootConstrainSelectedInstOperands,
     /*   10982 */     // GIR_Coverage, 74371,
     /*   10982 */     GIR_EraseRootFromParent_Done,
     /*   10983 */   // Label 290: @10983
     /*   10983 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(11032), // Rule ID 120 //
     /*   10988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   10991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*   11003 */     // MIs[1] Operand 1
     /*   11003 */     // No operand predicates
     /*   11003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   11007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   11011 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   11015 */     // MIs[2] Operand 1
     /*   11015 */     // No operand predicates
     /*   11015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   11017 */     // (add:{ *:[i64] } (frameindex:{ *:[i64] }):$fi, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i64] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i64] }:$fi), (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)
     /*   11017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   11020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11022 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*   11027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*   11030 */     GIR_RootConstrainSelectedInstOperands,
     /*   11031 */     // GIR_Coverage, 120,
     /*   11031 */     GIR_EraseRootFromParent_Done,
     /*   11032 */   // Label 291: @11032
     /*   11032 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(11078), // Rule ID 275 //
     /*   11037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   11040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   11056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   11060 */     // MIs[1] Operand 1
     /*   11060 */     // No operand predicates
     /*   11060 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10046),
     /*   11064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11066 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)<<P:Predicate_anonymous_10046>>  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   11066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*   11069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   11076 */     GIR_RootConstrainSelectedInstOperands,
     /*   11077 */     // GIR_Coverage, 275,
     /*   11077 */     GIR_EraseRootFromParent_Done,
     /*   11078 */   // Label 292: @11078
     /*   11078 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(11154), // Rule ID 297 //
     /*   11083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   11086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   11102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*   11106 */     // MIs[1] Operand 1
     /*   11106 */     // No operand predicates
     /*   11106 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10074),
     /*   11110 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10046),
     /*   11114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11116 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10074>>:$rs2)<<P:Predicate_anonymous_10046>>  =>  (ADDIW:{ *:[i64] } (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*   11116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   11119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*   11123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11128 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*   11132 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*   11137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*   11142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11147 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*   11152 */     GIR_RootConstrainSelectedInstOperands,
     /*   11153 */     // GIR_Coverage, 297,
     /*   11153 */     GIR_EraseRootFromParent_Done,
     /*   11154 */   // Label 293: @11154
     /*   11154 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(11219), // Rule ID 74387 //
     /*   11159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   11162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11196 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10046),
     /*   11200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11202 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)<<P:Predicate_anonymous_10046>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*   11205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11217 */     GIR_RootConstrainSelectedInstOperands,
     /*   11218 */     // GIR_Coverage, 74387,
     /*   11218 */     GIR_EraseRootFromParent_Done,
     /*   11219 */   // Label 294: @11219
     /*   11219 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(11284), // Rule ID 62602 //
     /*   11224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   11227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11261 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10046),
     /*   11265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11267 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10046>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*   11270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11282 */     GIR_RootConstrainSelectedInstOperands,
     /*   11283 */     // GIR_Coverage, 62602,
     /*   11283 */     GIR_EraseRootFromParent_Done,
     /*   11284 */   // Label 295: @11284
     /*   11284 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(11326), // Rule ID 80 //
     /*   11289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   11292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   11308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   11312 */     // MIs[1] Operand 1
     /*   11312 */     // No operand predicates
     /*   11312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11314 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   11314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   11317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   11324 */     GIR_RootConstrainSelectedInstOperands,
     /*   11325 */     // GIR_Coverage, 80,
     /*   11325 */     GIR_EraseRootFromParent_Done,
     /*   11326 */   // Label 296: @11326
     /*   11326 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(11398), // Rule ID 295 //
     /*   11331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   11334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   11350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*   11354 */     // MIs[1] Operand 1
     /*   11354 */     // No operand predicates
     /*   11354 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10074),
     /*   11358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11360 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10074>>:$rs2)  =>  (ADDI:{ *:[i64] } (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*   11360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   11363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   11367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11372 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*   11376 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*   11381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   11386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11391 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*   11396 */     GIR_RootConstrainSelectedInstOperands,
     /*   11397 */     // GIR_Coverage, 295,
     /*   11397 */     GIR_EraseRootFromParent_Done,
     /*   11398 */   // Label 297: @11398
     /*   11398 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(11459), // Rule ID 74385 //
     /*   11403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   11406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11442 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*   11445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11457 */     GIR_RootConstrainSelectedInstOperands,
     /*   11458 */     // GIR_Coverage, 74385,
     /*   11458 */     GIR_EraseRootFromParent_Done,
     /*   11459 */   // Label 298: @11459
     /*   11459 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(11520), // Rule ID 62598 //
     /*   11464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   11467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11503 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*   11506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11518 */     GIR_RootConstrainSelectedInstOperands,
     /*   11519 */     // GIR_Coverage, 62598,
     /*   11519 */     GIR_EraseRootFromParent_Done,
     /*   11520 */   // Label 299: @11520
     /*   11520 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(11551), // Rule ID 274 //
     /*   11525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   11528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11540 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10046),
     /*   11544 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10046>>  =>  (ADDW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADDW),
     /*   11549 */     GIR_RootConstrainSelectedInstOperands,
     /*   11550 */     // GIR_Coverage, 274,
     /*   11550 */     GIR_Done,
     /*   11551 */   // Label 300: @11551
     /*   11551 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(11578), // Rule ID 78 //
     /*   11556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   11559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11571 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11571 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*   11576 */     GIR_RootConstrainSelectedInstOperands,
     /*   11577 */     // GIR_Coverage, 78,
     /*   11577 */     GIR_Done,
     /*   11578 */   // Label 301: @11578
     /*   11578 */   GIM_Reject,
     /*   11579 */ // Label 194: @11579
     /*   11579 */ GIM_Reject,
     /*   11580 */ // Label 128: @11580
     /*   11580 */ GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(11974),
     /*   11585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11595 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(11663), // Rule ID 69335 //
     /*   11600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11637 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   11637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11661 */     GIR_RootConstrainSelectedInstOperands,
     /*   11662 */     // GIR_Coverage, 69335,
     /*   11662 */     GIR_EraseRootFromParent_Done,
     /*   11663 */   // Label 303: @11663
     /*   11663 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(11731), // Rule ID 69336 //
     /*   11668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11683 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11687 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11705 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   11705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11729 */     GIR_RootConstrainSelectedInstOperands,
     /*   11730 */     // GIR_Coverage, 69336,
     /*   11730 */     GIR_EraseRootFromParent_Done,
     /*   11731 */   // Label 304: @11731
     /*   11731 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(11799), // Rule ID 45922 //
     /*   11736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11759 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11773 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   11773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   11788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11797 */     GIR_RootConstrainSelectedInstOperands,
     /*   11798 */     // GIR_Coverage, 45922,
     /*   11798 */     GIR_EraseRootFromParent_Done,
     /*   11799 */   // Label 305: @11799
     /*   11799 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(11867), // Rule ID 45923 //
     /*   11804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11827 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11841 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   11841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   11856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11865 */     GIR_RootConstrainSelectedInstOperands,
     /*   11866 */     // GIR_Coverage, 45923,
     /*   11866 */     GIR_EraseRootFromParent_Done,
     /*   11867 */   // Label 306: @11867
     /*   11867 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(11920), // Rule ID 45750 //
     /*   11872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11883 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   11883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   11886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*   11900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11918 */     GIR_RootConstrainSelectedInstOperands,
     /*   11919 */     // GIR_Coverage, 45750,
     /*   11919 */     GIR_EraseRootFromParent_Done,
     /*   11920 */   // Label 307: @11920
     /*   11920 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(11973), // Rule ID 45751 //
     /*   11925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11936 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   11936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   11939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*   11953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11971 */     GIR_RootConstrainSelectedInstOperands,
     /*   11972 */     // GIR_Coverage, 45751,
     /*   11972 */     GIR_EraseRootFromParent_Done,
     /*   11973 */   // Label 308: @11973
     /*   11973 */   GIM_Reject,
     /*   11974 */ // Label 302: @11974
     /*   11974 */ GIM_Reject,
     /*   11975 */ // Label 129: @11975
     /*   11975 */ GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(15099),
     /*   11980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   11986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11990 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(12086), // Rule ID 69249 //
     /*   11995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12024 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12028 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12030 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12035 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12039 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12043 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12047 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12049 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12058 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12060 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   12063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12084 */     GIR_RootConstrainSelectedInstOperands,
     /*   12085 */     // GIR_Coverage, 69249,
     /*   12085 */     GIR_EraseRootFromParent_Done,
     /*   12086 */   // Label 310: @12086
     /*   12086 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(12182), // Rule ID 69250 //
     /*   12091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12106 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12124 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12131 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12135 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12139 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12143 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12145 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12154 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12156 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   12159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12180 */     GIR_RootConstrainSelectedInstOperands,
     /*   12181 */     // GIR_Coverage, 69250,
     /*   12181 */     GIR_EraseRootFromParent_Done,
     /*   12182 */   // Label 311: @12182
     /*   12182 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(12278), // Rule ID 71075 //
     /*   12187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12220 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12222 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12227 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12231 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12235 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12239 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12241 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12250 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12252 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12276 */     GIR_RootConstrainSelectedInstOperands,
     /*   12277 */     // GIR_Coverage, 71075,
     /*   12277 */     GIR_EraseRootFromParent_Done,
     /*   12278 */   // Label 312: @12278
     /*   12278 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(12374), // Rule ID 71076 //
     /*   12283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12298 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12302 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12316 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12323 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12327 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12331 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12335 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12337 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12346 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12348 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12372 */     GIR_RootConstrainSelectedInstOperands,
     /*   12373 */     // GIR_Coverage, 71076,
     /*   12373 */     GIR_EraseRootFromParent_Done,
     /*   12374 */   // Label 313: @12374
     /*   12374 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(12470), // Rule ID 71077 //
     /*   12379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12394 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12398 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12412 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12419 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12423 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12427 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12431 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12433 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12442 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12444 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12468 */     GIR_RootConstrainSelectedInstOperands,
     /*   12469 */     // GIR_Coverage, 71077,
     /*   12469 */     GIR_EraseRootFromParent_Done,
     /*   12470 */   // Label 314: @12470
     /*   12470 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(12566), // Rule ID 71078 //
     /*   12475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12508 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12510 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12515 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12519 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12523 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12527 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12529 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12538 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12540 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12564 */     GIR_RootConstrainSelectedInstOperands,
     /*   12565 */     // GIR_Coverage, 71078,
     /*   12565 */     GIR_EraseRootFromParent_Done,
     /*   12566 */   // Label 315: @12566
     /*   12566 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(12662), // Rule ID 70953 //
     /*   12571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12586 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12604 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12611 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12615 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12619 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12623 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12625 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12634 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12636 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   12639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12660 */     GIR_RootConstrainSelectedInstOperands,
     /*   12661 */     // GIR_Coverage, 70953,
     /*   12661 */     GIR_EraseRootFromParent_Done,
     /*   12662 */   // Label 316: @12662
     /*   12662 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(12758), // Rule ID 70954 //
     /*   12667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12682 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12686 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12700 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12707 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12711 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12715 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12719 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12721 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12730 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12732 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   12735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12756 */     GIR_RootConstrainSelectedInstOperands,
     /*   12757 */     // GIR_Coverage, 70954,
     /*   12757 */     GIR_EraseRootFromParent_Done,
     /*   12758 */   // Label 317: @12758
     /*   12758 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(12854), // Rule ID 45834 //
     /*   12763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12800 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12807 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12811 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12815 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12819 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12821 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12826 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12828 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   12831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12852 */     GIR_RootConstrainSelectedInstOperands,
     /*   12853 */     // GIR_Coverage, 45834,
     /*   12853 */     GIR_EraseRootFromParent_Done,
     /*   12854 */   // Label 318: @12854
     /*   12854 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(12950), // Rule ID 45835 //
     /*   12859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12878 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12882 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12896 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12903 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12907 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12911 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12915 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12917 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12922 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12924 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   12927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12948 */     GIR_RootConstrainSelectedInstOperands,
     /*   12949 */     // GIR_Coverage, 45835,
     /*   12949 */     GIR_EraseRootFromParent_Done,
     /*   12950 */   // Label 319: @12950
     /*   12950 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(13046), // Rule ID 52154 //
     /*   12955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12974 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12978 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12992 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12999 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13003 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13007 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13011 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13013 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13018 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13020 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   13020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   13023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   13035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13044 */     GIR_RootConstrainSelectedInstOperands,
     /*   13045 */     // GIR_Coverage, 52154,
     /*   13045 */     GIR_EraseRootFromParent_Done,
     /*   13046 */   // Label 320: @13046
     /*   13046 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(13142), // Rule ID 52155 //
     /*   13051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13070 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13074 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13088 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13090 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13095 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13099 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13103 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13107 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13109 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13114 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13116 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   13116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   13119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   13131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13140 */     GIR_RootConstrainSelectedInstOperands,
     /*   13141 */     // GIR_Coverage, 52155,
     /*   13141 */     GIR_EraseRootFromParent_Done,
     /*   13142 */   // Label 321: @13142
     /*   13142 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(13238), // Rule ID 71073 //
     /*   13147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13166 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13170 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13184 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13191 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13195 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13199 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13203 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13205 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13210 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13212 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   13212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   13215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   13223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   13227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13236 */     GIR_RootConstrainSelectedInstOperands,
     /*   13237 */     // GIR_Coverage, 71073,
     /*   13237 */     GIR_EraseRootFromParent_Done,
     /*   13238 */   // Label 322: @13238
     /*   13238 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(13334), // Rule ID 71074 //
     /*   13243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13262 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13266 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13280 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13282 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13287 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13291 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13295 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13299 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13301 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13306 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13308 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   13308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   13311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   13319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   13323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13332 */     GIR_RootConstrainSelectedInstOperands,
     /*   13333 */     // GIR_Coverage, 71074,
     /*   13333 */     GIR_EraseRootFromParent_Done,
     /*   13334 */   // Label 323: @13334
     /*   13334 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(13430), // Rule ID 52094 //
     /*   13339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13358 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13362 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13376 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13378 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13383 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13387 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13391 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13395 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13397 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13402 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13404 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   13404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   13407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   13419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13428 */     GIR_RootConstrainSelectedInstOperands,
     /*   13429 */     // GIR_Coverage, 52094,
     /*   13429 */     GIR_EraseRootFromParent_Done,
     /*   13430 */   // Label 324: @13430
     /*   13430 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(13526), // Rule ID 52095 //
     /*   13435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13454 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13458 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13479 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13483 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13487 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13491 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13493 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13498 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13500 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   13500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   13503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   13515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13524 */     GIR_RootConstrainSelectedInstOperands,
     /*   13525 */     // GIR_Coverage, 52095,
     /*   13525 */     GIR_EraseRootFromParent_Done,
     /*   13526 */   // Label 325: @13526
     /*   13526 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(13615), // Rule ID 46680 //
     /*   13531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13546 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13565 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13567 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13572 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13574 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13613 */     GIR_RootConstrainSelectedInstOperands,
     /*   13614 */     // GIR_Coverage, 46680,
     /*   13614 */     GIR_EraseRootFromParent_Done,
     /*   13615 */   // Label 326: @13615
     /*   13615 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(13704), // Rule ID 46681 //
     /*   13620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13635 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13642 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13646 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13650 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13654 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13656 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13663 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13702 */     GIR_RootConstrainSelectedInstOperands,
     /*   13703 */     // GIR_Coverage, 46681,
     /*   13703 */     GIR_EraseRootFromParent_Done,
     /*   13704 */   // Label 327: @13704
     /*   13704 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(13793), // Rule ID 45826 //
     /*   13709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13743 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13752 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*   13769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13791 */     GIR_RootConstrainSelectedInstOperands,
     /*   13792 */     // GIR_Coverage, 45826,
     /*   13792 */     GIR_EraseRootFromParent_Done,
     /*   13793 */   // Label 328: @13793
     /*   13793 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(13882), // Rule ID 45827 //
     /*   13798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13813 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13832 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13841 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*   13858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13880 */     GIR_RootConstrainSelectedInstOperands,
     /*   13881 */     // GIR_Coverage, 45827,
     /*   13881 */     GIR_EraseRootFromParent_Done,
     /*   13882 */   // Label 329: @13882
     /*   13882 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(13971), // Rule ID 46560 //
     /*   13887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13921 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13928 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13930 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13969 */     GIR_RootConstrainSelectedInstOperands,
     /*   13970 */     // GIR_Coverage, 46560,
     /*   13970 */     GIR_EraseRootFromParent_Done,
     /*   13971 */   // Label 330: @13971
     /*   13971 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(14060), // Rule ID 46561 //
     /*   13976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   14002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14010 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   14019 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   14019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   14022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   14036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   14045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14058 */     GIR_RootConstrainSelectedInstOperands,
     /*   14059 */     // GIR_Coverage, 46561,
     /*   14059 */     GIR_EraseRootFromParent_Done,
     /*   14060 */   // Label 331: @14060
     /*   14060 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(14128), // Rule ID 70645 //
     /*   14065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   14080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   14084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14102 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   14102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   14105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   14111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14126 */     GIR_RootConstrainSelectedInstOperands,
     /*   14127 */     // GIR_Coverage, 70645,
     /*   14127 */     GIR_EraseRootFromParent_Done,
     /*   14128 */   // Label 332: @14128
     /*   14128 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(14196), // Rule ID 70646 //
     /*   14133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   14148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   14152 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14170 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   14170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   14173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   14179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14194 */     GIR_RootConstrainSelectedInstOperands,
     /*   14195 */     // GIR_Coverage, 70646,
     /*   14195 */     GIR_EraseRootFromParent_Done,
     /*   14196 */   // Label 333: @14196
     /*   14196 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(14251), // Rule ID 69637 //
     /*   14201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14216 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14218 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14229 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14249 */     GIR_RootConstrainSelectedInstOperands,
     /*   14250 */     // GIR_Coverage, 69637,
     /*   14250 */     GIR_EraseRootFromParent_Done,
     /*   14251 */   // Label 334: @14251
     /*   14251 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(14306), // Rule ID 69638 //
     /*   14256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14284 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14304 */     GIR_RootConstrainSelectedInstOperands,
     /*   14305 */     // GIR_Coverage, 69638,
     /*   14305 */     GIR_EraseRootFromParent_Done,
     /*   14306 */   // Label 335: @14306
     /*   14306 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(14361), // Rule ID 69245 //
     /*   14311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14339 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14359 */     GIR_RootConstrainSelectedInstOperands,
     /*   14360 */     // GIR_Coverage, 69245,
     /*   14360 */     GIR_EraseRootFromParent_Done,
     /*   14361 */   // Label 336: @14361
     /*   14361 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(14416), // Rule ID 69246 //
     /*   14366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14394 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14414 */     GIR_RootConstrainSelectedInstOperands,
     /*   14415 */     // GIR_Coverage, 69246,
     /*   14415 */     GIR_EraseRootFromParent_Done,
     /*   14416 */   // Label 337: @14416
     /*   14416 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(14471), // Rule ID 69547 //
     /*   14421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14449 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14469 */     GIR_RootConstrainSelectedInstOperands,
     /*   14470 */     // GIR_Coverage, 69547,
     /*   14470 */     GIR_EraseRootFromParent_Done,
     /*   14471 */   // Label 338: @14471
     /*   14471 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(14526), // Rule ID 69548 //
     /*   14476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14504 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14524 */     GIR_RootConstrainSelectedInstOperands,
     /*   14525 */     // GIR_Coverage, 69548,
     /*   14525 */     GIR_EraseRootFromParent_Done,
     /*   14526 */   // Label 339: @14526
     /*   14526 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(14594), // Rule ID 51874 //
     /*   14531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   14550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   14554 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14568 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   14568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   14571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   14577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14592 */     GIR_RootConstrainSelectedInstOperands,
     /*   14593 */     // GIR_Coverage, 51874,
     /*   14593 */     GIR_EraseRootFromParent_Done,
     /*   14594 */   // Label 340: @14594
     /*   14594 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(14662), // Rule ID 51875 //
     /*   14599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   14618 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   14622 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14636 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   14636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   14639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   14645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14660 */     GIR_RootConstrainSelectedInstOperands,
     /*   14661 */     // GIR_Coverage, 51875,
     /*   14661 */     GIR_EraseRootFromParent_Done,
     /*   14662 */   // Label 341: @14662
     /*   14662 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(14717), // Rule ID 46740 //
     /*   14667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14686 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14695 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14715 */     GIR_RootConstrainSelectedInstOperands,
     /*   14716 */     // GIR_Coverage, 46740,
     /*   14716 */     GIR_EraseRootFromParent_Done,
     /*   14717 */   // Label 342: @14717
     /*   14717 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(14772), // Rule ID 46741 //
     /*   14722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14750 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14770 */     GIR_RootConstrainSelectedInstOperands,
     /*   14771 */     // GIR_Coverage, 46741,
     /*   14771 */     GIR_EraseRootFromParent_Done,
     /*   14772 */   // Label 343: @14772
     /*   14772 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(14827), // Rule ID 45830 //
     /*   14777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14805 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14825 */     GIR_RootConstrainSelectedInstOperands,
     /*   14826 */     // GIR_Coverage, 45830,
     /*   14826 */     GIR_EraseRootFromParent_Done,
     /*   14827 */   // Label 344: @14827
     /*   14827 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(14882), // Rule ID 45831 //
     /*   14832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14851 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14860 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14880 */     GIR_RootConstrainSelectedInstOperands,
     /*   14881 */     // GIR_Coverage, 45831,
     /*   14881 */     GIR_EraseRootFromParent_Done,
     /*   14882 */   // Label 345: @14882
     /*   14882 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(14937), // Rule ID 46620 //
     /*   14887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14915 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14935 */     GIR_RootConstrainSelectedInstOperands,
     /*   14936 */     // GIR_Coverage, 46620,
     /*   14936 */     GIR_EraseRootFromParent_Done,
     /*   14937 */   // Label 346: @14937
     /*   14937 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(14992), // Rule ID 46621 //
     /*   14942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14961 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14970 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14990 */     GIR_RootConstrainSelectedInstOperands,
     /*   14991 */     // GIR_Coverage, 46621,
     /*   14991 */     GIR_EraseRootFromParent_Done,
     /*   14992 */   // Label 347: @14992
     /*   14992 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(15045), // Rule ID 46106 //
     /*   14997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15008 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   15008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   15011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   15025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15043 */     GIR_RootConstrainSelectedInstOperands,
     /*   15044 */     // GIR_Coverage, 46106,
     /*   15044 */     GIR_EraseRootFromParent_Done,
     /*   15045 */   // Label 348: @15045
     /*   15045 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(15098), // Rule ID 46107 //
     /*   15050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15061 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   15061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   15064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   15078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15096 */     GIR_RootConstrainSelectedInstOperands,
     /*   15097 */     // GIR_Coverage, 46107,
     /*   15097 */     GIR_EraseRootFromParent_Done,
     /*   15098 */   // Label 349: @15098
     /*   15098 */   GIM_Reject,
     /*   15099 */ // Label 309: @15099
     /*   15099 */ GIM_Reject,
     /*   15100 */ // Label 130: @15100
     /*   15100 */ GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(18224),
     /*   15105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15115 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(15211), // Rule ID 70851 //
     /*   15120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15135 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15139 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15153 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15160 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15164 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15168 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15172 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15174 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15183 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15185 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15209 */     GIR_RootConstrainSelectedInstOperands,
     /*   15210 */     // GIR_Coverage, 70851,
     /*   15210 */     GIR_EraseRootFromParent_Done,
     /*   15211 */   // Label 351: @15211
     /*   15211 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(15307), // Rule ID 70852 //
     /*   15216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15249 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15251 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15256 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15260 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15264 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15268 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15270 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15279 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15281 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15305 */     GIR_RootConstrainSelectedInstOperands,
     /*   15306 */     // GIR_Coverage, 70852,
     /*   15306 */     GIR_EraseRootFromParent_Done,
     /*   15307 */   // Label 352: @15307
     /*   15307 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(15403), // Rule ID 71111 //
     /*   15312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15331 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15345 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15352 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15356 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15360 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15364 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15366 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15375 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15377 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15401 */     GIR_RootConstrainSelectedInstOperands,
     /*   15402 */     // GIR_Coverage, 71111,
     /*   15402 */     GIR_EraseRootFromParent_Done,
     /*   15403 */   // Label 353: @15403
     /*   15403 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(15499), // Rule ID 71112 //
     /*   15408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15427 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15441 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15448 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15452 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15456 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15460 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15462 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15471 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15473 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15497 */     GIR_RootConstrainSelectedInstOperands,
     /*   15498 */     // GIR_Coverage, 71112,
     /*   15498 */     GIR_EraseRootFromParent_Done,
     /*   15499 */   // Label 354: @15499
     /*   15499 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(15595), // Rule ID 71113 //
     /*   15504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15523 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15537 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15539 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15544 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15548 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15552 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15556 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15558 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15567 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15569 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15593 */     GIR_RootConstrainSelectedInstOperands,
     /*   15594 */     // GIR_Coverage, 71113,
     /*   15594 */     GIR_EraseRootFromParent_Done,
     /*   15595 */   // Label 355: @15595
     /*   15595 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(15691), // Rule ID 71114 //
     /*   15600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15633 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15640 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15644 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15648 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15652 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15654 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15663 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15665 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15689 */     GIR_RootConstrainSelectedInstOperands,
     /*   15690 */     // GIR_Coverage, 71114,
     /*   15690 */     GIR_EraseRootFromParent_Done,
     /*   15691 */   // Label 356: @15691
     /*   15691 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(15787), // Rule ID 70965 //
     /*   15696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15736 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15740 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15744 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15748 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15750 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15759 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15761 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   15764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15785 */     GIR_RootConstrainSelectedInstOperands,
     /*   15786 */     // GIR_Coverage, 70965,
     /*   15786 */     GIR_EraseRootFromParent_Done,
     /*   15787 */   // Label 357: @15787
     /*   15787 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(15883), // Rule ID 70966 //
     /*   15792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15825 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15836 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15840 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15844 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15846 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15855 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15857 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   15860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15881 */     GIR_RootConstrainSelectedInstOperands,
     /*   15882 */     // GIR_Coverage, 70966,
     /*   15882 */     GIR_EraseRootFromParent_Done,
     /*   15883 */   // Label 358: @15883
     /*   15883 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(15979), // Rule ID 52048 //
     /*   15888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15925 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15932 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15936 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15940 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15944 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15946 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15951 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15953 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15977 */     GIR_RootConstrainSelectedInstOperands,
     /*   15978 */     // GIR_Coverage, 52048,
     /*   15978 */     GIR_EraseRootFromParent_Done,
     /*   15979 */   // Label 359: @15979
     /*   15979 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(16075), // Rule ID 52049 //
     /*   15984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16007 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16021 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16023 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16028 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16032 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16036 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16040 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16042 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16047 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16049 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   16049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   16052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16073 */     GIR_RootConstrainSelectedInstOperands,
     /*   16074 */     // GIR_Coverage, 52049,
     /*   16074 */     GIR_EraseRootFromParent_Done,
     /*   16075 */   // Label 360: @16075
     /*   16075 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(16171), // Rule ID 52166 //
     /*   16080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16103 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16105 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16109 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16113 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16117 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16119 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16124 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16128 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16132 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16136 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16138 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16143 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16145 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   16145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   16148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16169 */     GIR_RootConstrainSelectedInstOperands,
     /*   16170 */     // GIR_Coverage, 52166,
     /*   16170 */     GIR_EraseRootFromParent_Done,
     /*   16171 */   // Label 361: @16171
     /*   16171 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(16267), // Rule ID 52167 //
     /*   16176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16199 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16213 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16220 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16224 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16228 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16232 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16234 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16239 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16241 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   16241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   16244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16265 */     GIR_RootConstrainSelectedInstOperands,
     /*   16266 */     // GIR_Coverage, 52167,
     /*   16266 */     GIR_EraseRootFromParent_Done,
     /*   16267 */   // Label 362: @16267
     /*   16267 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(16363), // Rule ID 71109 //
     /*   16272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16291 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16309 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16316 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16320 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16324 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16328 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16330 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16335 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16337 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   16337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   16340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   16348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   16352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16361 */     GIR_RootConstrainSelectedInstOperands,
     /*   16362 */     // GIR_Coverage, 71109,
     /*   16362 */     GIR_EraseRootFromParent_Done,
     /*   16363 */   // Label 363: @16363
     /*   16363 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(16459), // Rule ID 71110 //
     /*   16368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16391 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16405 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16407 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16412 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16416 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16420 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16424 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16426 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16431 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16433 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   16433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   16436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   16444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   16448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16457 */     GIR_RootConstrainSelectedInstOperands,
     /*   16458 */     // GIR_Coverage, 71110,
     /*   16458 */     GIR_EraseRootFromParent_Done,
     /*   16459 */   // Label 364: @16459
     /*   16459 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(16555), // Rule ID 52106 //
     /*   16464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16483 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16487 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16501 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16503 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16508 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16512 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16516 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16520 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16522 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16527 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16529 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   16529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   16532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16553 */     GIR_RootConstrainSelectedInstOperands,
     /*   16554 */     // GIR_Coverage, 52106,
     /*   16554 */     GIR_EraseRootFromParent_Done,
     /*   16555 */   // Label 365: @16555
     /*   16555 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(16651), // Rule ID 52107 //
     /*   16560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16583 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16597 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16599 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16604 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16608 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16612 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16616 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16618 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16623 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16625 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   16625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   16628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16649 */     GIR_RootConstrainSelectedInstOperands,
     /*   16650 */     // GIR_Coverage, 52107,
     /*   16650 */     GIR_EraseRootFromParent_Done,
     /*   16651 */   // Label 366: @16651
     /*   16651 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(16740), // Rule ID 46704 //
     /*   16656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16671 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16678 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16682 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16686 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16690 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16697 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16699 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   16716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16738 */     GIR_RootConstrainSelectedInstOperands,
     /*   16739 */     // GIR_Coverage, 46704,
     /*   16739 */     GIR_EraseRootFromParent_Done,
     /*   16740 */   // Label 367: @16740
     /*   16740 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(16829), // Rule ID 46705 //
     /*   16745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16760 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16762 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16775 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16779 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16781 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16786 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16788 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   16805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16827 */     GIR_RootConstrainSelectedInstOperands,
     /*   16828 */     // GIR_Coverage, 46705,
     /*   16828 */     GIR_EraseRootFromParent_Done,
     /*   16829 */   // Label 368: @16829
     /*   16829 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(16918), // Rule ID 46468 //
     /*   16834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16849 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16868 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16877 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   16894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16916 */     GIR_RootConstrainSelectedInstOperands,
     /*   16917 */     // GIR_Coverage, 46468,
     /*   16917 */     GIR_EraseRootFromParent_Done,
     /*   16918 */   // Label 369: @16918
     /*   16918 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(17007), // Rule ID 46469 //
     /*   16923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16938 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16957 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16966 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   16983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17005 */     GIR_RootConstrainSelectedInstOperands,
     /*   17006 */     // GIR_Coverage, 46469,
     /*   17006 */     GIR_EraseRootFromParent_Done,
     /*   17007 */   // Label 370: @17007
     /*   17007 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(17096), // Rule ID 46584 //
     /*   17012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17027 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   17038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17042 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17046 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17048 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17053 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   17055 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   17055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   17058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   17072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   17081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17094 */     GIR_RootConstrainSelectedInstOperands,
     /*   17095 */     // GIR_Coverage, 46584,
     /*   17095 */     GIR_EraseRootFromParent_Done,
     /*   17096 */   // Label 371: @17096
     /*   17096 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(17185), // Rule ID 46585 //
     /*   17101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   17127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17135 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17137 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   17144 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   17144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   17147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   17161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   17170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17183 */     GIR_RootConstrainSelectedInstOperands,
     /*   17184 */     // GIR_Coverage, 46585,
     /*   17184 */     GIR_EraseRootFromParent_Done,
     /*   17185 */   // Label 372: @17185
     /*   17185 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(17253), // Rule ID 70661 //
     /*   17190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17209 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17227 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   17227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17251 */     GIR_RootConstrainSelectedInstOperands,
     /*   17252 */     // GIR_Coverage, 70661,
     /*   17252 */     GIR_EraseRootFromParent_Done,
     /*   17253 */   // Label 373: @17253
     /*   17253 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(17321), // Rule ID 70662 //
     /*   17258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17277 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17295 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   17295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17319 */     GIR_RootConstrainSelectedInstOperands,
     /*   17320 */     // GIR_Coverage, 70662,
     /*   17320 */     GIR_EraseRootFromParent_Done,
     /*   17321 */   // Label 374: @17321
     /*   17321 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(17376), // Rule ID 69661 //
     /*   17326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17341 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17354 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17374 */     GIR_RootConstrainSelectedInstOperands,
     /*   17375 */     // GIR_Coverage, 69661,
     /*   17375 */     GIR_EraseRootFromParent_Done,
     /*   17376 */   // Label 375: @17376
     /*   17376 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(17431), // Rule ID 69662 //
     /*   17381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17409 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17429 */     GIR_RootConstrainSelectedInstOperands,
     /*   17430 */     // GIR_Coverage, 69662,
     /*   17430 */     GIR_EraseRootFromParent_Done,
     /*   17431 */   // Label 376: @17431
     /*   17431 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(17486), // Rule ID 69481 //
     /*   17436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17451 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17464 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17484 */     GIR_RootConstrainSelectedInstOperands,
     /*   17485 */     // GIR_Coverage, 69481,
     /*   17485 */     GIR_EraseRootFromParent_Done,
     /*   17486 */   // Label 377: @17486
     /*   17486 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(17541), // Rule ID 69482 //
     /*   17491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17506 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17519 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17539 */     GIR_RootConstrainSelectedInstOperands,
     /*   17540 */     // GIR_Coverage, 69482,
     /*   17540 */     GIR_EraseRootFromParent_Done,
     /*   17541 */   // Label 378: @17541
     /*   17541 */   GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(17596), // Rule ID 69571 //
     /*   17546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17561 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17574 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17594 */     GIR_RootConstrainSelectedInstOperands,
     /*   17595 */     // GIR_Coverage, 69571,
     /*   17595 */     GIR_EraseRootFromParent_Done,
     /*   17596 */   // Label 379: @17596
     /*   17596 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(17651), // Rule ID 69572 //
     /*   17601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17629 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17649 */     GIR_RootConstrainSelectedInstOperands,
     /*   17650 */     // GIR_Coverage, 69572,
     /*   17650 */     GIR_EraseRootFromParent_Done,
     /*   17651 */   // Label 380: @17651
     /*   17651 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(17719), // Rule ID 51882 //
     /*   17656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17679 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17686 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17693 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   17693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17717 */     GIR_RootConstrainSelectedInstOperands,
     /*   17718 */     // GIR_Coverage, 51882,
     /*   17718 */     GIR_EraseRootFromParent_Done,
     /*   17719 */   // Label 381: @17719
     /*   17719 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(17787), // Rule ID 51883 //
     /*   17724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17743 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17747 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17761 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   17761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17785 */     GIR_RootConstrainSelectedInstOperands,
     /*   17786 */     // GIR_Coverage, 51883,
     /*   17786 */     GIR_EraseRootFromParent_Done,
     /*   17787 */   // Label 382: @17787
     /*   17787 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(17842), // Rule ID 46764 //
     /*   17792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17820 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17840 */     GIR_RootConstrainSelectedInstOperands,
     /*   17841 */     // GIR_Coverage, 46764,
     /*   17841 */     GIR_EraseRootFromParent_Done,
     /*   17842 */   // Label 383: @17842
     /*   17842 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(17897), // Rule ID 46765 //
     /*   17847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17866 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17875 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17895 */     GIR_RootConstrainSelectedInstOperands,
     /*   17896 */     // GIR_Coverage, 46765,
     /*   17896 */     GIR_EraseRootFromParent_Done,
     /*   17897 */   // Label 384: @17897
     /*   17897 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(17952), // Rule ID 46524 //
     /*   17902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17930 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17950 */     GIR_RootConstrainSelectedInstOperands,
     /*   17951 */     // GIR_Coverage, 46524,
     /*   17951 */     GIR_EraseRootFromParent_Done,
     /*   17952 */   // Label 385: @17952
     /*   17952 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(18007), // Rule ID 46525 //
     /*   17957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17985 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   18002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18005 */     GIR_RootConstrainSelectedInstOperands,
     /*   18006 */     // GIR_Coverage, 46525,
     /*   18006 */     GIR_EraseRootFromParent_Done,
     /*   18007 */   // Label 386: @18007
     /*   18007 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(18062), // Rule ID 46644 //
     /*   18012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   18031 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   18040 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   18040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   18043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   18047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   18051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   18057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18060 */     GIR_RootConstrainSelectedInstOperands,
     /*   18061 */     // GIR_Coverage, 46644,
     /*   18061 */     GIR_EraseRootFromParent_Done,
     /*   18062 */   // Label 387: @18062
     /*   18062 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(18117), // Rule ID 46645 //
     /*   18067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   18086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   18095 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   18095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   18098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   18102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   18106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   18112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18115 */     GIR_RootConstrainSelectedInstOperands,
     /*   18116 */     // GIR_Coverage, 46645,
     /*   18116 */     GIR_EraseRootFromParent_Done,
     /*   18117 */   // Label 388: @18117
     /*   18117 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(18170), // Rule ID 46114 //
     /*   18122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18133 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   18133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   18136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   18150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18168 */     GIR_RootConstrainSelectedInstOperands,
     /*   18169 */     // GIR_Coverage, 46114,
     /*   18169 */     GIR_EraseRootFromParent_Done,
     /*   18170 */   // Label 389: @18170
     /*   18170 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(18223), // Rule ID 46115 //
     /*   18175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18186 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   18186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   18189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   18203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18221 */     GIR_RootConstrainSelectedInstOperands,
     /*   18222 */     // GIR_Coverage, 46115,
     /*   18222 */     GIR_EraseRootFromParent_Done,
     /*   18223 */   // Label 390: @18223
     /*   18223 */   GIM_Reject,
     /*   18224 */ // Label 350: @18224
     /*   18224 */ GIM_Reject,
     /*   18225 */ // Label 131: @18225
     /*   18225 */ GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(21349),
     /*   18230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18240 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(18336), // Rule ID 70861 //
     /*   18245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18260 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18264 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18278 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18280 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18285 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18289 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18293 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18297 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18299 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18308 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18310 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   18313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18334 */     GIR_RootConstrainSelectedInstOperands,
     /*   18335 */     // GIR_Coverage, 70861,
     /*   18335 */     GIR_EraseRootFromParent_Done,
     /*   18336 */   // Label 392: @18336
     /*   18336 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(18432), // Rule ID 70862 //
     /*   18341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18374 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18381 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18385 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18389 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18393 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18395 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18404 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18406 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   18409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18430 */     GIR_RootConstrainSelectedInstOperands,
     /*   18431 */     // GIR_Coverage, 70862,
     /*   18431 */     GIR_EraseRootFromParent_Done,
     /*   18432 */   // Label 393: @18432
     /*   18432 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(18528), // Rule ID 71141 //
     /*   18437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18452 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18456 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18470 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18472 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18477 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18481 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18485 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18489 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18491 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18500 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18502 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18526 */     GIR_RootConstrainSelectedInstOperands,
     /*   18527 */     // GIR_Coverage, 71141,
     /*   18527 */     GIR_EraseRootFromParent_Done,
     /*   18528 */   // Label 394: @18528
     /*   18528 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(18624), // Rule ID 71142 //
     /*   18533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18548 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18552 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18566 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18568 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18573 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18577 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18581 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18585 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18587 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18596 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18598 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18622 */     GIR_RootConstrainSelectedInstOperands,
     /*   18623 */     // GIR_Coverage, 71142,
     /*   18623 */     GIR_EraseRootFromParent_Done,
     /*   18624 */   // Label 395: @18624
     /*   18624 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(18720), // Rule ID 71143 //
     /*   18629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18648 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18662 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18664 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18669 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18673 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18677 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18681 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18683 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18692 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18694 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18718 */     GIR_RootConstrainSelectedInstOperands,
     /*   18719 */     // GIR_Coverage, 71143,
     /*   18719 */     GIR_EraseRootFromParent_Done,
     /*   18720 */   // Label 396: @18720
     /*   18720 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(18816), // Rule ID 71144 //
     /*   18725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18740 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18744 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18758 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18760 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18765 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18769 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18773 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18777 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18779 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18788 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18790 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18814 */     GIR_RootConstrainSelectedInstOperands,
     /*   18815 */     // GIR_Coverage, 71144,
     /*   18815 */     GIR_EraseRootFromParent_Done,
     /*   18816 */   // Label 397: @18816
     /*   18816 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(18912), // Rule ID 70975 //
     /*   18821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18836 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18842 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18846 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18850 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18854 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18856 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18861 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18865 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18869 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18873 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18875 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18884 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18886 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   18889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18910 */     GIR_RootConstrainSelectedInstOperands,
     /*   18911 */     // GIR_Coverage, 70975,
     /*   18911 */     GIR_EraseRootFromParent_Done,
     /*   18912 */   // Label 398: @18912
     /*   18912 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(19008), // Rule ID 70976 //
     /*   18917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18950 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18952 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18957 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18961 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18965 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18969 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18971 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18980 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18982 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   18985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19006 */     GIR_RootConstrainSelectedInstOperands,
     /*   19007 */     // GIR_Coverage, 70976,
     /*   19007 */     GIR_EraseRootFromParent_Done,
     /*   19008 */   // Label 399: @19008
     /*   19008 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(19104), // Rule ID 52058 //
     /*   19013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19032 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19036 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19050 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19057 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19061 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19065 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19069 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19071 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19076 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19078 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   19078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   19081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19102 */     GIR_RootConstrainSelectedInstOperands,
     /*   19103 */     // GIR_Coverage, 52058,
     /*   19103 */     GIR_EraseRootFromParent_Done,
     /*   19104 */   // Label 400: @19104
     /*   19104 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(19200), // Rule ID 52059 //
     /*   19109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19128 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19132 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19142 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19146 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19148 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19153 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19157 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19161 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19165 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19167 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19172 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19174 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   19177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19198 */     GIR_RootConstrainSelectedInstOperands,
     /*   19199 */     // GIR_Coverage, 52059,
     /*   19199 */     GIR_EraseRootFromParent_Done,
     /*   19200 */   // Label 401: @19200
     /*   19200 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(19296), // Rule ID 52176 //
     /*   19205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19228 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19242 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19249 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19253 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19257 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19261 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19263 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19268 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19270 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   19270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19294 */     GIR_RootConstrainSelectedInstOperands,
     /*   19295 */     // GIR_Coverage, 52176,
     /*   19295 */     GIR_EraseRootFromParent_Done,
     /*   19296 */   // Label 402: @19296
     /*   19296 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(19392), // Rule ID 52177 //
     /*   19301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19320 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19330 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19334 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19338 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19340 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19345 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19349 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19353 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19357 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19359 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19364 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19366 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19390 */     GIR_RootConstrainSelectedInstOperands,
     /*   19391 */     // GIR_Coverage, 52177,
     /*   19391 */     GIR_EraseRootFromParent_Done,
     /*   19392 */   // Label 403: @19392
     /*   19392 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(19488), // Rule ID 71139 //
     /*   19397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19416 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19430 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19434 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19441 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19445 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19449 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19453 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19455 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19460 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19462 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   19462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   19473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   19477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19486 */     GIR_RootConstrainSelectedInstOperands,
     /*   19487 */     // GIR_Coverage, 71139,
     /*   19487 */     GIR_EraseRootFromParent_Done,
     /*   19488 */   // Label 404: @19488
     /*   19488 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(19584), // Rule ID 71140 //
     /*   19493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19512 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19516 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19530 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19541 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19545 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19549 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19551 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19556 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19558 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   19569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   19573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19582 */     GIR_RootConstrainSelectedInstOperands,
     /*   19583 */     // GIR_Coverage, 71140,
     /*   19583 */     GIR_EraseRootFromParent_Done,
     /*   19584 */   // Label 405: @19584
     /*   19584 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(19680), // Rule ID 52116 //
     /*   19589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19608 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19612 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19626 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19628 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19633 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19637 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19641 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19645 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19647 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19652 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19654 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   19654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   19657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19678 */     GIR_RootConstrainSelectedInstOperands,
     /*   19679 */     // GIR_Coverage, 52116,
     /*   19679 */     GIR_EraseRootFromParent_Done,
     /*   19680 */   // Label 406: @19680
     /*   19680 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(19776), // Rule ID 52117 //
     /*   19685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19704 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19722 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19729 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19733 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19737 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19741 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19743 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19748 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19750 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   19753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19774 */     GIR_RootConstrainSelectedInstOperands,
     /*   19775 */     // GIR_Coverage, 52117,
     /*   19775 */     GIR_EraseRootFromParent_Done,
     /*   19776 */   // Label 407: @19776
     /*   19776 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(19865), // Rule ID 46724 //
     /*   19781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19811 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19815 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19817 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19824 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   19824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   19841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19863 */     GIR_RootConstrainSelectedInstOperands,
     /*   19864 */     // GIR_Coverage, 46724,
     /*   19864 */     GIR_EraseRootFromParent_Done,
     /*   19865 */   // Label 408: @19865
     /*   19865 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(19954), // Rule ID 46725 //
     /*   19870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19904 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19906 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19913 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   19913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   19930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19952 */     GIR_RootConstrainSelectedInstOperands,
     /*   19953 */     // GIR_Coverage, 46725,
     /*   19953 */     GIR_EraseRootFromParent_Done,
     /*   19954 */   // Label 409: @19954
     /*   19954 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(20043), // Rule ID 46488 //
     /*   19959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19974 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19993 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   20002 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   20002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   20005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   20019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   20028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20041 */     GIR_RootConstrainSelectedInstOperands,
     /*   20042 */     // GIR_Coverage, 46488,
     /*   20042 */     GIR_EraseRootFromParent_Done,
     /*   20043 */   // Label 410: @20043
     /*   20043 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(20132), // Rule ID 46489 //
     /*   20048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20063 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   20074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20082 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20084 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   20091 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   20091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   20094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   20108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   20117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20130 */     GIR_RootConstrainSelectedInstOperands,
     /*   20131 */     // GIR_Coverage, 46489,
     /*   20131 */     GIR_EraseRootFromParent_Done,
     /*   20132 */   // Label 411: @20132
     /*   20132 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(20221), // Rule ID 46604 //
     /*   20137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20152 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   20163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20171 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   20180 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   20180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   20183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   20197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   20206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20219 */     GIR_RootConstrainSelectedInstOperands,
     /*   20220 */     // GIR_Coverage, 46604,
     /*   20220 */     GIR_EraseRootFromParent_Done,
     /*   20221 */   // Label 412: @20221
     /*   20221 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(20310), // Rule ID 46605 //
     /*   20226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   20252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20260 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   20269 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   20269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   20272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   20286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   20295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20308 */     GIR_RootConstrainSelectedInstOperands,
     /*   20309 */     // GIR_Coverage, 46605,
     /*   20309 */     GIR_EraseRootFromParent_Done,
     /*   20310 */   // Label 413: @20310
     /*   20310 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(20378), // Rule ID 70693 //
     /*   20315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   20318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20334 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20352 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   20352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20376 */     GIR_RootConstrainSelectedInstOperands,
     /*   20377 */     // GIR_Coverage, 70693,
     /*   20377 */     GIR_EraseRootFromParent_Done,
     /*   20378 */   // Label 414: @20378
     /*   20378 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(20446), // Rule ID 70694 //
     /*   20383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   20386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20402 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20420 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   20420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20444 */     GIR_RootConstrainSelectedInstOperands,
     /*   20445 */     // GIR_Coverage, 70694,
     /*   20445 */     GIR_EraseRootFromParent_Done,
     /*   20446 */   // Label 415: @20446
     /*   20446 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(20501), // Rule ID 69681 //
     /*   20451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20479 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20499 */     GIR_RootConstrainSelectedInstOperands,
     /*   20500 */     // GIR_Coverage, 69681,
     /*   20500 */     GIR_EraseRootFromParent_Done,
     /*   20501 */   // Label 416: @20501
     /*   20501 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(20556), // Rule ID 69682 //
     /*   20506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20534 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20554 */     GIR_RootConstrainSelectedInstOperands,
     /*   20555 */     // GIR_Coverage, 69682,
     /*   20555 */     GIR_EraseRootFromParent_Done,
     /*   20556 */   // Label 417: @20556
     /*   20556 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(20611), // Rule ID 69501 //
     /*   20561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20589 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20609 */     GIR_RootConstrainSelectedInstOperands,
     /*   20610 */     // GIR_Coverage, 69501,
     /*   20610 */     GIR_EraseRootFromParent_Done,
     /*   20611 */   // Label 418: @20611
     /*   20611 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(20666), // Rule ID 69502 //
     /*   20616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20644 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20664 */     GIR_RootConstrainSelectedInstOperands,
     /*   20665 */     // GIR_Coverage, 69502,
     /*   20665 */     GIR_EraseRootFromParent_Done,
     /*   20666 */   // Label 419: @20666
     /*   20666 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(20721), // Rule ID 69591 //
     /*   20671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20686 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20699 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20719 */     GIR_RootConstrainSelectedInstOperands,
     /*   20720 */     // GIR_Coverage, 69591,
     /*   20720 */     GIR_EraseRootFromParent_Done,
     /*   20721 */   // Label 420: @20721
     /*   20721 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(20776), // Rule ID 69592 //
     /*   20726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20754 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20774 */     GIR_RootConstrainSelectedInstOperands,
     /*   20775 */     // GIR_Coverage, 69592,
     /*   20775 */     GIR_EraseRootFromParent_Done,
     /*   20776 */   // Label 421: @20776
     /*   20776 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(20844), // Rule ID 51898 //
     /*   20781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   20784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20804 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20818 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   20818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20842 */     GIR_RootConstrainSelectedInstOperands,
     /*   20843 */     // GIR_Coverage, 51898,
     /*   20843 */     GIR_EraseRootFromParent_Done,
     /*   20844 */   // Label 422: @20844
     /*   20844 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(20912), // Rule ID 51899 //
     /*   20849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   20852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20868 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20872 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20886 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   20886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20910 */     GIR_RootConstrainSelectedInstOperands,
     /*   20911 */     // GIR_Coverage, 51899,
     /*   20911 */     GIR_EraseRootFromParent_Done,
     /*   20912 */   // Label 423: @20912
     /*   20912 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(20967), // Rule ID 46784 //
     /*   20917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20945 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20965 */     GIR_RootConstrainSelectedInstOperands,
     /*   20966 */     // GIR_Coverage, 46784,
     /*   20966 */     GIR_EraseRootFromParent_Done,
     /*   20967 */   // Label 424: @20967
     /*   20967 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(21022), // Rule ID 46785 //
     /*   20972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21000 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   21000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   21003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21020 */     GIR_RootConstrainSelectedInstOperands,
     /*   21021 */     // GIR_Coverage, 46785,
     /*   21021 */     GIR_EraseRootFromParent_Done,
     /*   21022 */   // Label 425: @21022
     /*   21022 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(21077), // Rule ID 46544 //
     /*   21027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   21030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   21046 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21055 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   21055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   21058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21075 */     GIR_RootConstrainSelectedInstOperands,
     /*   21076 */     // GIR_Coverage, 46544,
     /*   21076 */     GIR_EraseRootFromParent_Done,
     /*   21077 */   // Label 426: @21077
     /*   21077 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(21132), // Rule ID 46545 //
     /*   21082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   21085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   21101 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21110 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   21110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   21113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21130 */     GIR_RootConstrainSelectedInstOperands,
     /*   21131 */     // GIR_Coverage, 46545,
     /*   21131 */     GIR_EraseRootFromParent_Done,
     /*   21132 */   // Label 427: @21132
     /*   21132 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(21187), // Rule ID 46664 //
     /*   21137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   21140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   21156 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21165 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   21165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   21168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21185 */     GIR_RootConstrainSelectedInstOperands,
     /*   21186 */     // GIR_Coverage, 46664,
     /*   21186 */     GIR_EraseRootFromParent_Done,
     /*   21187 */   // Label 428: @21187
     /*   21187 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(21242), // Rule ID 46665 //
     /*   21192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   21195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   21211 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21220 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   21220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   21223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21240 */     GIR_RootConstrainSelectedInstOperands,
     /*   21241 */     // GIR_Coverage, 46665,
     /*   21241 */     GIR_EraseRootFromParent_Done,
     /*   21242 */   // Label 429: @21242
     /*   21242 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(21295), // Rule ID 46130 //
     /*   21247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   21250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21258 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   21258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   21261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   21275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   21290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21293 */     GIR_RootConstrainSelectedInstOperands,
     /*   21294 */     // GIR_Coverage, 46130,
     /*   21294 */     GIR_EraseRootFromParent_Done,
     /*   21295 */   // Label 430: @21295
     /*   21295 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(21348), // Rule ID 46131 //
     /*   21300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   21303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21311 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   21311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   21314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   21328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   21343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21346 */     GIR_RootConstrainSelectedInstOperands,
     /*   21347 */     // GIR_Coverage, 46131,
     /*   21347 */     GIR_EraseRootFromParent_Done,
     /*   21348 */   // Label 431: @21348
     /*   21348 */   GIM_Reject,
     /*   21349 */ // Label 391: @21349
     /*   21349 */ GIM_Reject,
     /*   21350 */ // Label 132: @21350
     /*   21350 */ GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(21744),
     /*   21355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21365 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(21433), // Rule ID 70629 //
     /*   21370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21389 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21407 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21431 */     GIR_RootConstrainSelectedInstOperands,
     /*   21432 */     // GIR_Coverage, 70629,
     /*   21432 */     GIR_EraseRootFromParent_Done,
     /*   21433 */   // Label 433: @21433
     /*   21433 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(21501), // Rule ID 70630 //
     /*   21438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21457 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21475 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21499 */     GIR_RootConstrainSelectedInstOperands,
     /*   21500 */     // GIR_Coverage, 70630,
     /*   21500 */     GIR_EraseRootFromParent_Done,
     /*   21501 */   // Label 434: @21501
     /*   21501 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(21569), // Rule ID 51866 //
     /*   21506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21525 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21529 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21543 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21567 */     GIR_RootConstrainSelectedInstOperands,
     /*   21568 */     // GIR_Coverage, 51866,
     /*   21568 */     GIR_EraseRootFromParent_Done,
     /*   21569 */   // Label 435: @21569
     /*   21569 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(21637), // Rule ID 51867 //
     /*   21574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21597 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21611 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21635 */     GIR_RootConstrainSelectedInstOperands,
     /*   21636 */     // GIR_Coverage, 51867,
     /*   21636 */     GIR_EraseRootFromParent_Done,
     /*   21637 */   // Label 436: @21637
     /*   21637 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(21690), // Rule ID 46098 //
     /*   21642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21653 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   21653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   21656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   21670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21688 */     GIR_RootConstrainSelectedInstOperands,
     /*   21689 */     // GIR_Coverage, 46098,
     /*   21689 */     GIR_EraseRootFromParent_Done,
     /*   21690 */   // Label 437: @21690
     /*   21690 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(21743), // Rule ID 46099 //
     /*   21695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21706 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   21706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   21709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   21723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21741 */     GIR_RootConstrainSelectedInstOperands,
     /*   21742 */     // GIR_Coverage, 46099,
     /*   21742 */     GIR_EraseRootFromParent_Done,
     /*   21743 */   // Label 438: @21743
     /*   21743 */   GIM_Reject,
     /*   21744 */ // Label 432: @21744
     /*   21744 */ GIM_Reject,
     /*   21745 */ // Label 133: @21745
     /*   21745 */ GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(24869),
     /*   21750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21760 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(21856), // Rule ID 70841 //
     /*   21765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21780 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21784 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21798 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21800 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21805 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21809 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21813 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21817 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21819 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21828 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21830 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   21833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21854 */     GIR_RootConstrainSelectedInstOperands,
     /*   21855 */     // GIR_Coverage, 70841,
     /*   21855 */     GIR_EraseRootFromParent_Done,
     /*   21856 */   // Label 440: @21856
     /*   21856 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(21952), // Rule ID 70842 //
     /*   21861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21876 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21880 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21886 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21890 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21894 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21896 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21901 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21905 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21909 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21913 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21915 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21924 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21926 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   21929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21950 */     GIR_RootConstrainSelectedInstOperands,
     /*   21951 */     // GIR_Coverage, 70842,
     /*   21951 */     GIR_EraseRootFromParent_Done,
     /*   21952 */   // Label 441: @21952
     /*   21952 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(22048), // Rule ID 71081 //
     /*   21957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21990 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21997 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22001 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22005 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22009 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22011 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22020 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22022 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22046 */     GIR_RootConstrainSelectedInstOperands,
     /*   22047 */     // GIR_Coverage, 71081,
     /*   22047 */     GIR_EraseRootFromParent_Done,
     /*   22048 */   // Label 442: @22048
     /*   22048 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(22144), // Rule ID 71082 //
     /*   22053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22072 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22086 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22088 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22093 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22097 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22101 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22105 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22107 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22116 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22118 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22142 */     GIR_RootConstrainSelectedInstOperands,
     /*   22143 */     // GIR_Coverage, 71082,
     /*   22143 */     GIR_EraseRootFromParent_Done,
     /*   22144 */   // Label 443: @22144
     /*   22144 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(22240), // Rule ID 71083 //
     /*   22149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22164 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22168 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22178 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22182 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22189 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22193 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22197 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22201 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22203 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22212 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22214 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22238 */     GIR_RootConstrainSelectedInstOperands,
     /*   22239 */     // GIR_Coverage, 71083,
     /*   22239 */     GIR_EraseRootFromParent_Done,
     /*   22240 */   // Label 444: @22240
     /*   22240 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(22336), // Rule ID 71084 //
     /*   22245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22260 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22264 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22278 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22280 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22285 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22289 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22293 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22297 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22299 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22308 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22310 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22334 */     GIR_RootConstrainSelectedInstOperands,
     /*   22335 */     // GIR_Coverage, 71084,
     /*   22335 */     GIR_EraseRootFromParent_Done,
     /*   22336 */   // Label 445: @22336
     /*   22336 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(22432), // Rule ID 70955 //
     /*   22341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22374 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22381 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22385 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22389 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22393 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22395 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22404 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22406 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   22409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22430 */     GIR_RootConstrainSelectedInstOperands,
     /*   22431 */     // GIR_Coverage, 70955,
     /*   22431 */     GIR_EraseRootFromParent_Done,
     /*   22432 */   // Label 446: @22432
     /*   22432 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(22528), // Rule ID 70956 //
     /*   22437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22452 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22456 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22470 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22472 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22477 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22481 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22485 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22489 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22491 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22500 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22502 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   22505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22526 */     GIR_RootConstrainSelectedInstOperands,
     /*   22527 */     // GIR_Coverage, 70956,
     /*   22527 */     GIR_EraseRootFromParent_Done,
     /*   22528 */   // Label 447: @22528
     /*   22528 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(22624), // Rule ID 52038 //
     /*   22533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22570 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22577 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22581 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22585 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22589 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22591 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22596 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22598 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   22601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22622 */     GIR_RootConstrainSelectedInstOperands,
     /*   22623 */     // GIR_Coverage, 52038,
     /*   22623 */     GIR_EraseRootFromParent_Done,
     /*   22624 */   // Label 448: @22624
     /*   22624 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(22720), // Rule ID 52039 //
     /*   22629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22652 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22666 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22668 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22673 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22677 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22681 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22685 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22687 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22692 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22694 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   22697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22718 */     GIR_RootConstrainSelectedInstOperands,
     /*   22719 */     // GIR_Coverage, 52039,
     /*   22719 */     GIR_EraseRootFromParent_Done,
     /*   22720 */   // Label 449: @22720
     /*   22720 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(22816), // Rule ID 52156 //
     /*   22725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22748 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22758 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22762 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22769 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22773 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22777 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22781 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22783 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22788 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22790 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22814 */     GIR_RootConstrainSelectedInstOperands,
     /*   22815 */     // GIR_Coverage, 52156,
     /*   22815 */     GIR_EraseRootFromParent_Done,
     /*   22816 */   // Label 450: @22816
     /*   22816 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(22912), // Rule ID 52157 //
     /*   22821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22844 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22858 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22865 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22869 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22873 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22877 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22879 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22884 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22886 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22910 */     GIR_RootConstrainSelectedInstOperands,
     /*   22911 */     // GIR_Coverage, 52157,
     /*   22911 */     GIR_EraseRootFromParent_Done,
     /*   22912 */   // Label 451: @22912
     /*   22912 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(23008), // Rule ID 71079 //
     /*   22917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22936 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22954 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22961 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22965 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22969 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22973 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22975 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22980 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22982 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23006 */     GIR_RootConstrainSelectedInstOperands,
     /*   23007 */     // GIR_Coverage, 71079,
     /*   23007 */     GIR_EraseRootFromParent_Done,
     /*   23008 */   // Label 452: @23008
     /*   23008 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(23104), // Rule ID 71080 //
     /*   23013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23032 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23036 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23050 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23057 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23061 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23065 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23069 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23071 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23076 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23078 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   23078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   23081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   23085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   23089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   23093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23102 */     GIR_RootConstrainSelectedInstOperands,
     /*   23103 */     // GIR_Coverage, 71080,
     /*   23103 */     GIR_EraseRootFromParent_Done,
     /*   23104 */   // Label 453: @23104
     /*   23104 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(23200), // Rule ID 52096 //
     /*   23109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23128 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23132 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23142 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23146 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23148 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23153 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23157 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23161 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23165 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23167 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23172 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23174 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   23174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   23177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   23181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23198 */     GIR_RootConstrainSelectedInstOperands,
     /*   23199 */     // GIR_Coverage, 52096,
     /*   23199 */     GIR_EraseRootFromParent_Done,
     /*   23200 */   // Label 454: @23200
     /*   23200 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(23296), // Rule ID 52097 //
     /*   23205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23228 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23242 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23249 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23253 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23257 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23261 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23263 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23268 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23270 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   23270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   23273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   23277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23294 */     GIR_RootConstrainSelectedInstOperands,
     /*   23295 */     // GIR_Coverage, 52097,
     /*   23295 */     GIR_EraseRootFromParent_Done,
     /*   23296 */   // Label 455: @23296
     /*   23296 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(23385), // Rule ID 46684 //
     /*   23301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23344 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23383 */     GIR_RootConstrainSelectedInstOperands,
     /*   23384 */     // GIR_Coverage, 46684,
     /*   23384 */     GIR_EraseRootFromParent_Done,
     /*   23385 */   // Label 456: @23385
     /*   23385 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(23474), // Rule ID 46685 //
     /*   23390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23433 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23472 */     GIR_RootConstrainSelectedInstOperands,
     /*   23473 */     // GIR_Coverage, 46685,
     /*   23473 */     GIR_EraseRootFromParent_Done,
     /*   23474 */   // Label 457: @23474
     /*   23474 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(23563), // Rule ID 46448 //
     /*   23479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23522 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   23539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23561 */     GIR_RootConstrainSelectedInstOperands,
     /*   23562 */     // GIR_Coverage, 46448,
     /*   23562 */     GIR_EraseRootFromParent_Done,
     /*   23563 */   // Label 458: @23563
     /*   23563 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(23652), // Rule ID 46449 //
     /*   23568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23583 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23611 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   23628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23650 */     GIR_RootConstrainSelectedInstOperands,
     /*   23651 */     // GIR_Coverage, 46449,
     /*   23651 */     GIR_EraseRootFromParent_Done,
     /*   23652 */   // Label 459: @23652
     /*   23652 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(23741), // Rule ID 46564 //
     /*   23657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23672 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23691 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23700 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23739 */     GIR_RootConstrainSelectedInstOperands,
     /*   23740 */     // GIR_Coverage, 46564,
     /*   23740 */     GIR_EraseRootFromParent_Done,
     /*   23741 */   // Label 460: @23741
     /*   23741 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(23830), // Rule ID 46565 //
     /*   23746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23789 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23828 */     GIR_RootConstrainSelectedInstOperands,
     /*   23829 */     // GIR_Coverage, 46565,
     /*   23829 */     GIR_EraseRootFromParent_Done,
     /*   23830 */   // Label 461: @23830
     /*   23830 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(23898), // Rule ID 70653 //
     /*   23835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23872 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   23875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23896 */     GIR_RootConstrainSelectedInstOperands,
     /*   23897 */     // GIR_Coverage, 70653,
     /*   23897 */     GIR_EraseRootFromParent_Done,
     /*   23898 */   // Label 462: @23898
     /*   23898 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(23966), // Rule ID 70654 //
     /*   23903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23940 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   23943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23964 */     GIR_RootConstrainSelectedInstOperands,
     /*   23965 */     // GIR_Coverage, 70654,
     /*   23965 */     GIR_EraseRootFromParent_Done,
     /*   23966 */   // Label 463: @23966
     /*   23966 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(24021), // Rule ID 69641 //
     /*   23971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23986 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23999 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   23999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24019 */     GIR_RootConstrainSelectedInstOperands,
     /*   24020 */     // GIR_Coverage, 69641,
     /*   24020 */     GIR_EraseRootFromParent_Done,
     /*   24021 */   // Label 464: @24021
     /*   24021 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(24076), // Rule ID 69642 //
     /*   24026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   24037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24054 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24074 */     GIR_RootConstrainSelectedInstOperands,
     /*   24075 */     // GIR_Coverage, 69642,
     /*   24075 */     GIR_EraseRootFromParent_Done,
     /*   24076 */   // Label 465: @24076
     /*   24076 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(24131), // Rule ID 69461 //
     /*   24081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24109 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   24112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24129 */     GIR_RootConstrainSelectedInstOperands,
     /*   24130 */     // GIR_Coverage, 69461,
     /*   24130 */     GIR_EraseRootFromParent_Done,
     /*   24131 */   // Label 466: @24131
     /*   24131 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(24186), // Rule ID 69462 //
     /*   24136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24164 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   24167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24184 */     GIR_RootConstrainSelectedInstOperands,
     /*   24185 */     // GIR_Coverage, 69462,
     /*   24185 */     GIR_EraseRootFromParent_Done,
     /*   24186 */   // Label 467: @24186
     /*   24186 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(24241), // Rule ID 69551 //
     /*   24191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24219 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24239 */     GIR_RootConstrainSelectedInstOperands,
     /*   24240 */     // GIR_Coverage, 69551,
     /*   24240 */     GIR_EraseRootFromParent_Done,
     /*   24241 */   // Label 468: @24241
     /*   24241 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(24296), // Rule ID 69552 //
     /*   24246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24274 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24294 */     GIR_RootConstrainSelectedInstOperands,
     /*   24295 */     // GIR_Coverage, 69552,
     /*   24295 */     GIR_EraseRootFromParent_Done,
     /*   24296 */   // Label 469: @24296
     /*   24296 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(24364), // Rule ID 51878 //
     /*   24301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24320 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   24324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24338 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   24338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   24341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   24347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24362 */     GIR_RootConstrainSelectedInstOperands,
     /*   24363 */     // GIR_Coverage, 51878,
     /*   24363 */     GIR_EraseRootFromParent_Done,
     /*   24364 */   // Label 470: @24364
     /*   24364 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(24432), // Rule ID 51879 //
     /*   24369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24388 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   24392 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24406 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   24406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   24409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   24415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24430 */     GIR_RootConstrainSelectedInstOperands,
     /*   24431 */     // GIR_Coverage, 51879,
     /*   24431 */     GIR_EraseRootFromParent_Done,
     /*   24432 */   // Label 471: @24432
     /*   24432 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(24487), // Rule ID 46744 //
     /*   24437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   24452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24456 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24465 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24485 */     GIR_RootConstrainSelectedInstOperands,
     /*   24486 */     // GIR_Coverage, 46744,
     /*   24486 */     GIR_EraseRootFromParent_Done,
     /*   24487 */   // Label 472: @24487
     /*   24487 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(24542), // Rule ID 46745 //
     /*   24492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   24507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24511 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24520 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24540 */     GIR_RootConstrainSelectedInstOperands,
     /*   24541 */     // GIR_Coverage, 46745,
     /*   24541 */     GIR_EraseRootFromParent_Done,
     /*   24542 */   // Label 473: @24542
     /*   24542 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(24597), // Rule ID 46504 //
     /*   24547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24566 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24575 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   24578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24595 */     GIR_RootConstrainSelectedInstOperands,
     /*   24596 */     // GIR_Coverage, 46504,
     /*   24596 */     GIR_EraseRootFromParent_Done,
     /*   24597 */   // Label 474: @24597
     /*   24597 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(24652), // Rule ID 46505 //
     /*   24602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24621 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24630 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   24633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24650 */     GIR_RootConstrainSelectedInstOperands,
     /*   24651 */     // GIR_Coverage, 46505,
     /*   24651 */     GIR_EraseRootFromParent_Done,
     /*   24652 */   // Label 475: @24652
     /*   24652 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(24707), // Rule ID 46624 //
     /*   24657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24676 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24685 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24705 */     GIR_RootConstrainSelectedInstOperands,
     /*   24706 */     // GIR_Coverage, 46624,
     /*   24706 */     GIR_EraseRootFromParent_Done,
     /*   24707 */   // Label 476: @24707
     /*   24707 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(24762), // Rule ID 46625 //
     /*   24712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24731 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24740 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24760 */     GIR_RootConstrainSelectedInstOperands,
     /*   24761 */     // GIR_Coverage, 46625,
     /*   24761 */     GIR_EraseRootFromParent_Done,
     /*   24762 */   // Label 477: @24762
     /*   24762 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(24815), // Rule ID 46110 //
     /*   24767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24778 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   24778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   24781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   24795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24813 */     GIR_RootConstrainSelectedInstOperands,
     /*   24814 */     // GIR_Coverage, 46110,
     /*   24814 */     GIR_EraseRootFromParent_Done,
     /*   24815 */   // Label 478: @24815
     /*   24815 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(24868), // Rule ID 46111 //
     /*   24820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24831 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   24831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   24834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   24848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24866 */     GIR_RootConstrainSelectedInstOperands,
     /*   24867 */     // GIR_Coverage, 46111,
     /*   24867 */     GIR_EraseRootFromParent_Done,
     /*   24868 */   // Label 479: @24868
     /*   24868 */   GIM_Reject,
     /*   24869 */ // Label 439: @24869
     /*   24869 */ GIM_Reject,
     /*   24870 */ // Label 134: @24870
     /*   24870 */ GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(27994),
     /*   24875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24885 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(24981), // Rule ID 70853 //
     /*   24890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24909 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24923 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24930 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24934 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24938 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24942 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24944 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24953 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24955 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   24955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   24958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24979 */     GIR_RootConstrainSelectedInstOperands,
     /*   24980 */     // GIR_Coverage, 70853,
     /*   24980 */     GIR_EraseRootFromParent_Done,
     /*   24981 */   // Label 481: @24981
     /*   24981 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(25077), // Rule ID 70854 //
     /*   24986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25001 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25019 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25026 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25030 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25034 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25038 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25040 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25049 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25051 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   25054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25075 */     GIR_RootConstrainSelectedInstOperands,
     /*   25076 */     // GIR_Coverage, 70854,
     /*   25076 */     GIR_EraseRootFromParent_Done,
     /*   25077 */   // Label 482: @25077
     /*   25077 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(25173), // Rule ID 71117 //
     /*   25082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25101 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25115 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25122 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25126 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25130 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25134 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25136 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25145 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25147 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25171 */     GIR_RootConstrainSelectedInstOperands,
     /*   25172 */     // GIR_Coverage, 71117,
     /*   25172 */     GIR_EraseRootFromParent_Done,
     /*   25173 */   // Label 483: @25173
     /*   25173 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(25269), // Rule ID 71118 //
     /*   25178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25197 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25211 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25218 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25222 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25226 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25230 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25232 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25241 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25243 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25267 */     GIR_RootConstrainSelectedInstOperands,
     /*   25268 */     // GIR_Coverage, 71118,
     /*   25268 */     GIR_EraseRootFromParent_Done,
     /*   25269 */   // Label 484: @25269
     /*   25269 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(25365), // Rule ID 71119 //
     /*   25274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25289 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25293 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25303 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25307 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25314 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25318 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25322 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25326 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25328 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25337 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25339 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25363 */     GIR_RootConstrainSelectedInstOperands,
     /*   25364 */     // GIR_Coverage, 71119,
     /*   25364 */     GIR_EraseRootFromParent_Done,
     /*   25365 */   // Label 485: @25365
     /*   25365 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(25461), // Rule ID 71120 //
     /*   25370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25389 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25403 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25410 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25414 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25418 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25422 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25424 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25433 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25435 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25459 */     GIR_RootConstrainSelectedInstOperands,
     /*   25460 */     // GIR_Coverage, 71120,
     /*   25460 */     GIR_EraseRootFromParent_Done,
     /*   25461 */   // Label 486: @25461
     /*   25461 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(25557), // Rule ID 70967 //
     /*   25466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25481 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25495 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25499 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25501 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25506 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25510 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25514 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25518 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25520 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25529 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25531 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   25534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25555 */     GIR_RootConstrainSelectedInstOperands,
     /*   25556 */     // GIR_Coverage, 70967,
     /*   25556 */     GIR_EraseRootFromParent_Done,
     /*   25557 */   // Label 487: @25557
     /*   25557 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(25653), // Rule ID 70968 //
     /*   25562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25581 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25595 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25602 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25606 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25610 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25614 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25616 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25625 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25627 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   25630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25651 */     GIR_RootConstrainSelectedInstOperands,
     /*   25652 */     // GIR_Coverage, 70968,
     /*   25652 */     GIR_EraseRootFromParent_Done,
     /*   25653 */   // Label 488: @25653
     /*   25653 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(25749), // Rule ID 52050 //
     /*   25658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25677 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25695 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25702 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25706 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25710 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25714 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25716 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25721 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25723 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   25726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25747 */     GIR_RootConstrainSelectedInstOperands,
     /*   25748 */     // GIR_Coverage, 52050,
     /*   25748 */     GIR_EraseRootFromParent_Done,
     /*   25749 */   // Label 489: @25749
     /*   25749 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(25845), // Rule ID 52051 //
     /*   25754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25777 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25791 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25798 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25802 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25806 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25810 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25812 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25817 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25819 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   25822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25843 */     GIR_RootConstrainSelectedInstOperands,
     /*   25844 */     // GIR_Coverage, 52051,
     /*   25844 */     GIR_EraseRootFromParent_Done,
     /*   25845 */   // Label 490: @25845
     /*   25845 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(25941), // Rule ID 52168 //
     /*   25850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25869 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25887 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25889 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25894 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25898 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25902 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25906 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25908 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25913 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25915 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25939 */     GIR_RootConstrainSelectedInstOperands,
     /*   25940 */     // GIR_Coverage, 52168,
     /*   25940 */     GIR_EraseRootFromParent_Done,
     /*   25941 */   // Label 491: @25941
     /*   25941 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(26037), // Rule ID 52169 //
     /*   25946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25969 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25983 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25985 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25990 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25994 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25998 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26002 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26004 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26009 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26011 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   26011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   26014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   26026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26035 */     GIR_RootConstrainSelectedInstOperands,
     /*   26036 */     // GIR_Coverage, 52169,
     /*   26036 */     GIR_EraseRootFromParent_Done,
     /*   26037 */   // Label 492: @26037
     /*   26037 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(26133), // Rule ID 71115 //
     /*   26042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26061 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26075 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26079 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26081 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26086 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   26090 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26094 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26098 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26100 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26105 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26107 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   26107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   26110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   26118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   26122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26131 */     GIR_RootConstrainSelectedInstOperands,
     /*   26132 */     // GIR_Coverage, 71115,
     /*   26132 */     GIR_EraseRootFromParent_Done,
     /*   26133 */   // Label 493: @26133
     /*   26133 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(26229), // Rule ID 71116 //
     /*   26138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26157 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26161 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26175 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26182 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   26186 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26190 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26194 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26196 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26201 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26203 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   26203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   26206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   26214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   26218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26227 */     GIR_RootConstrainSelectedInstOperands,
     /*   26228 */     // GIR_Coverage, 71116,
     /*   26228 */     GIR_EraseRootFromParent_Done,
     /*   26229 */   // Label 494: @26229
     /*   26229 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(26325), // Rule ID 52108 //
     /*   26234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26253 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26257 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26271 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26273 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26278 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   26282 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26286 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26290 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26292 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26297 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26299 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   26299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   26302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   26314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26323 */     GIR_RootConstrainSelectedInstOperands,
     /*   26324 */     // GIR_Coverage, 52108,
     /*   26324 */     GIR_EraseRootFromParent_Done,
     /*   26325 */   // Label 495: @26325
     /*   26325 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(26421), // Rule ID 52109 //
     /*   26330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26349 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26353 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26367 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26369 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26374 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   26378 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26382 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26386 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26388 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26393 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26395 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   26395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   26398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   26410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26419 */     GIR_RootConstrainSelectedInstOperands,
     /*   26420 */     // GIR_Coverage, 52109,
     /*   26420 */     GIR_EraseRootFromParent_Done,
     /*   26421 */   // Label 496: @26421
     /*   26421 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(26510), // Rule ID 46708 //
     /*   26426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26441 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26460 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26469 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26508 */     GIR_RootConstrainSelectedInstOperands,
     /*   26509 */     // GIR_Coverage, 46708,
     /*   26509 */     GIR_EraseRootFromParent_Done,
     /*   26510 */   // Label 497: @26510
     /*   26510 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(26599), // Rule ID 46709 //
     /*   26515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26549 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26558 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26597 */     GIR_RootConstrainSelectedInstOperands,
     /*   26598 */     // GIR_Coverage, 46709,
     /*   26598 */     GIR_EraseRootFromParent_Done,
     /*   26599 */   // Label 498: @26599
     /*   26599 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(26688), // Rule ID 46472 //
     /*   26604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26647 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   26664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26686 */     GIR_RootConstrainSelectedInstOperands,
     /*   26687 */     // GIR_Coverage, 46472,
     /*   26687 */     GIR_EraseRootFromParent_Done,
     /*   26688 */   // Label 499: @26688
     /*   26688 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(26777), // Rule ID 46473 //
     /*   26693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26727 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26729 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26734 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26736 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   26753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26775 */     GIR_RootConstrainSelectedInstOperands,
     /*   26776 */     // GIR_Coverage, 46473,
     /*   26776 */     GIR_EraseRootFromParent_Done,
     /*   26777 */   // Label 500: @26777
     /*   26777 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(26866), // Rule ID 46588 //
     /*   26782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26797 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26816 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26818 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26823 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26825 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26864 */     GIR_RootConstrainSelectedInstOperands,
     /*   26865 */     // GIR_Coverage, 46588,
     /*   26865 */     GIR_EraseRootFromParent_Done,
     /*   26866 */   // Label 501: @26866
     /*   26866 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(26955), // Rule ID 46589 //
     /*   26871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26905 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26907 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26912 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26914 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26953 */     GIR_RootConstrainSelectedInstOperands,
     /*   26954 */     // GIR_Coverage, 46589,
     /*   26954 */     GIR_EraseRootFromParent_Done,
     /*   26955 */   // Label 502: @26955
     /*   26955 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(27023), // Rule ID 70685 //
     /*   26960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26997 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   27000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27021 */     GIR_RootConstrainSelectedInstOperands,
     /*   27022 */     // GIR_Coverage, 70685,
     /*   27022 */     GIR_EraseRootFromParent_Done,
     /*   27023 */   // Label 503: @27023
     /*   27023 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(27091), // Rule ID 70686 //
     /*   27028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   27047 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27065 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   27065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   27068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27089 */     GIR_RootConstrainSelectedInstOperands,
     /*   27090 */     // GIR_Coverage, 70686,
     /*   27090 */     GIR_EraseRootFromParent_Done,
     /*   27091 */   // Label 504: @27091
     /*   27091 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(27146), // Rule ID 69665 //
     /*   27096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   27107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27124 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27144 */     GIR_RootConstrainSelectedInstOperands,
     /*   27145 */     // GIR_Coverage, 69665,
     /*   27145 */     GIR_EraseRootFromParent_Done,
     /*   27146 */   // Label 505: @27146
     /*   27146 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(27201), // Rule ID 69666 //
     /*   27151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   27162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27179 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27199 */     GIR_RootConstrainSelectedInstOperands,
     /*   27200 */     // GIR_Coverage, 69666,
     /*   27200 */     GIR_EraseRootFromParent_Done,
     /*   27201 */   // Label 506: @27201
     /*   27201 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(27256), // Rule ID 69485 //
     /*   27206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27221 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27234 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27254 */     GIR_RootConstrainSelectedInstOperands,
     /*   27255 */     // GIR_Coverage, 69485,
     /*   27255 */     GIR_EraseRootFromParent_Done,
     /*   27256 */   // Label 507: @27256
     /*   27256 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(27311), // Rule ID 69486 //
     /*   27261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27289 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27309 */     GIR_RootConstrainSelectedInstOperands,
     /*   27310 */     // GIR_Coverage, 69486,
     /*   27310 */     GIR_EraseRootFromParent_Done,
     /*   27311 */   // Label 508: @27311
     /*   27311 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(27366), // Rule ID 69575 //
     /*   27316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27331 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27344 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27364 */     GIR_RootConstrainSelectedInstOperands,
     /*   27365 */     // GIR_Coverage, 69575,
     /*   27365 */     GIR_EraseRootFromParent_Done,
     /*   27366 */   // Label 509: @27366
     /*   27366 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(27421), // Rule ID 69576 //
     /*   27371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27386 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27399 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27419 */     GIR_RootConstrainSelectedInstOperands,
     /*   27420 */     // GIR_Coverage, 69576,
     /*   27420 */     GIR_EraseRootFromParent_Done,
     /*   27421 */   // Label 510: @27421
     /*   27421 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(27489), // Rule ID 51894 //
     /*   27426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   27449 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27456 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27463 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   27463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   27466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27487 */     GIR_RootConstrainSelectedInstOperands,
     /*   27488 */     // GIR_Coverage, 51894,
     /*   27488 */     GIR_EraseRootFromParent_Done,
     /*   27489 */   // Label 511: @27489
     /*   27489 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(27557), // Rule ID 51895 //
     /*   27494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   27517 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27531 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   27531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   27534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27555 */     GIR_RootConstrainSelectedInstOperands,
     /*   27556 */     // GIR_Coverage, 51895,
     /*   27556 */     GIR_EraseRootFromParent_Done,
     /*   27557 */   // Label 512: @27557
     /*   27557 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(27612), // Rule ID 46768 //
     /*   27562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   27577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27581 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27590 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27610 */     GIR_RootConstrainSelectedInstOperands,
     /*   27611 */     // GIR_Coverage, 46768,
     /*   27611 */     GIR_EraseRootFromParent_Done,
     /*   27612 */   // Label 513: @27612
     /*   27612 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(27667), // Rule ID 46769 //
     /*   27617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   27632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27636 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27645 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27665 */     GIR_RootConstrainSelectedInstOperands,
     /*   27666 */     // GIR_Coverage, 46769,
     /*   27666 */     GIR_EraseRootFromParent_Done,
     /*   27667 */   // Label 514: @27667
     /*   27667 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(27722), // Rule ID 46528 //
     /*   27672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27691 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27700 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27720 */     GIR_RootConstrainSelectedInstOperands,
     /*   27721 */     // GIR_Coverage, 46528,
     /*   27721 */     GIR_EraseRootFromParent_Done,
     /*   27722 */   // Label 515: @27722
     /*   27722 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(27777), // Rule ID 46529 //
     /*   27727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27746 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27755 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27775 */     GIR_RootConstrainSelectedInstOperands,
     /*   27776 */     // GIR_Coverage, 46529,
     /*   27776 */     GIR_EraseRootFromParent_Done,
     /*   27777 */   // Label 516: @27777
     /*   27777 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(27832), // Rule ID 46648 //
     /*   27782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27801 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27810 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27830 */     GIR_RootConstrainSelectedInstOperands,
     /*   27831 */     // GIR_Coverage, 46648,
     /*   27831 */     GIR_EraseRootFromParent_Done,
     /*   27832 */   // Label 517: @27832
     /*   27832 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(27887), // Rule ID 46649 //
     /*   27837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27865 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27885 */     GIR_RootConstrainSelectedInstOperands,
     /*   27886 */     // GIR_Coverage, 46649,
     /*   27886 */     GIR_EraseRootFromParent_Done,
     /*   27887 */   // Label 518: @27887
     /*   27887 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(27940), // Rule ID 46126 //
     /*   27892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27903 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   27903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   27906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   27920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27938 */     GIR_RootConstrainSelectedInstOperands,
     /*   27939 */     // GIR_Coverage, 46126,
     /*   27939 */     GIR_EraseRootFromParent_Done,
     /*   27940 */   // Label 519: @27940
     /*   27940 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(27993), // Rule ID 46127 //
     /*   27945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27956 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   27956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   27959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   27973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27991 */     GIR_RootConstrainSelectedInstOperands,
     /*   27992 */     // GIR_Coverage, 46127,
     /*   27992 */     GIR_EraseRootFromParent_Done,
     /*   27993 */   // Label 520: @27993
     /*   27993 */   GIM_Reject,
     /*   27994 */ // Label 480: @27994
     /*   27994 */ GIM_Reject,
     /*   27995 */ // Label 135: @27995
     /*   27995 */ GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(31119),
     /*   28000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28010 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(28106), // Rule ID 70863 //
     /*   28015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28030 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28034 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28044 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28048 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28050 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28055 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28059 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28063 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28067 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28069 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28078 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28080 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   28083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28104 */     GIR_RootConstrainSelectedInstOperands,
     /*   28105 */     // GIR_Coverage, 70863,
     /*   28105 */     GIR_EraseRootFromParent_Done,
     /*   28106 */   // Label 522: @28106
     /*   28106 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(28202), // Rule ID 70864 //
     /*   28111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28144 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28151 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28155 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28159 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28163 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28165 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28174 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28176 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   28179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28200 */     GIR_RootConstrainSelectedInstOperands,
     /*   28201 */     // GIR_Coverage, 70864,
     /*   28201 */     GIR_EraseRootFromParent_Done,
     /*   28202 */   // Label 523: @28202
     /*   28202 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(28298), // Rule ID 71147 //
     /*   28207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28222 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28226 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28240 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28242 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28247 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28251 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28255 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28259 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28261 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28270 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28272 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28296 */     GIR_RootConstrainSelectedInstOperands,
     /*   28297 */     // GIR_Coverage, 71147,
     /*   28297 */     GIR_EraseRootFromParent_Done,
     /*   28298 */   // Label 524: @28298
     /*   28298 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(28394), // Rule ID 71148 //
     /*   28303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28318 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28322 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28332 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28336 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28338 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28343 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28347 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28351 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28355 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28357 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28366 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28368 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28392 */     GIR_RootConstrainSelectedInstOperands,
     /*   28393 */     // GIR_Coverage, 71148,
     /*   28393 */     GIR_EraseRootFromParent_Done,
     /*   28394 */   // Label 525: @28394
     /*   28394 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(28490), // Rule ID 71149 //
     /*   28399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28414 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28432 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28434 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28439 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28443 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28447 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28451 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28453 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28462 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28464 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28488 */     GIR_RootConstrainSelectedInstOperands,
     /*   28489 */     // GIR_Coverage, 71149,
     /*   28489 */     GIR_EraseRootFromParent_Done,
     /*   28490 */   // Label 526: @28490
     /*   28490 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(28586), // Rule ID 71150 //
     /*   28495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28514 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28528 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28535 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28539 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28543 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28547 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28549 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28558 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28560 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28584 */     GIR_RootConstrainSelectedInstOperands,
     /*   28585 */     // GIR_Coverage, 71150,
     /*   28585 */     GIR_EraseRootFromParent_Done,
     /*   28586 */   // Label 527: @28586
     /*   28586 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(28682), // Rule ID 70977 //
     /*   28591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28606 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28612 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28616 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28620 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28624 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28626 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28631 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28635 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28639 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28643 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28645 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28654 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28656 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   28659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28680 */     GIR_RootConstrainSelectedInstOperands,
     /*   28681 */     // GIR_Coverage, 70977,
     /*   28681 */     GIR_EraseRootFromParent_Done,
     /*   28682 */   // Label 528: @28682
     /*   28682 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(28778), // Rule ID 70978 //
     /*   28687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28702 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28720 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28727 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28731 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28735 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28739 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28741 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28750 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28752 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   28755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28776 */     GIR_RootConstrainSelectedInstOperands,
     /*   28777 */     // GIR_Coverage, 70978,
     /*   28777 */     GIR_EraseRootFromParent_Done,
     /*   28778 */   // Label 529: @28778
     /*   28778 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(28874), // Rule ID 52060 //
     /*   28783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28802 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28806 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28820 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28827 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28831 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28835 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28839 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28841 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28846 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28848 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   28851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28872 */     GIR_RootConstrainSelectedInstOperands,
     /*   28873 */     // GIR_Coverage, 52060,
     /*   28873 */     GIR_EraseRootFromParent_Done,
     /*   28874 */   // Label 530: @28874
     /*   28874 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(28970), // Rule ID 52061 //
     /*   28879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28916 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28918 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28923 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28927 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28931 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28935 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28937 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28942 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28944 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   28947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28968 */     GIR_RootConstrainSelectedInstOperands,
     /*   28969 */     // GIR_Coverage, 52061,
     /*   28969 */     GIR_EraseRootFromParent_Done,
     /*   28970 */   // Label 531: @28970
     /*   28970 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(29066), // Rule ID 52178 //
     /*   28975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28998 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29012 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29014 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29019 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29023 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29027 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29031 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29033 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29038 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29040 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   29040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   29043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   29055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29064 */     GIR_RootConstrainSelectedInstOperands,
     /*   29065 */     // GIR_Coverage, 52178,
     /*   29065 */     GIR_EraseRootFromParent_Done,
     /*   29066 */   // Label 532: @29066
     /*   29066 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(29162), // Rule ID 52179 //
     /*   29071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29094 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29108 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29115 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29119 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29123 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29127 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29129 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29134 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29136 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   29136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   29139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   29151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29160 */     GIR_RootConstrainSelectedInstOperands,
     /*   29161 */     // GIR_Coverage, 52179,
     /*   29161 */     GIR_EraseRootFromParent_Done,
     /*   29162 */   // Label 533: @29162
     /*   29162 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(29258), // Rule ID 71145 //
     /*   29167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29186 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29204 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29206 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29211 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29215 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29219 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29223 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29225 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29230 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29232 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   29232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   29235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   29243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   29247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29256 */     GIR_RootConstrainSelectedInstOperands,
     /*   29257 */     // GIR_Coverage, 71145,
     /*   29257 */     GIR_EraseRootFromParent_Done,
     /*   29258 */   // Label 534: @29258
     /*   29258 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(29354), // Rule ID 71146 //
     /*   29263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29286 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29300 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29307 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29311 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29315 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29319 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29321 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29326 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29328 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   29328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   29331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   29339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   29343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29352 */     GIR_RootConstrainSelectedInstOperands,
     /*   29353 */     // GIR_Coverage, 71146,
     /*   29353 */     GIR_EraseRootFromParent_Done,
     /*   29354 */   // Label 535: @29354
     /*   29354 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(29450), // Rule ID 52118 //
     /*   29359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29378 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29382 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29396 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29398 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29403 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29407 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29411 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29415 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29417 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29422 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29424 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   29424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   29427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   29439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29448 */     GIR_RootConstrainSelectedInstOperands,
     /*   29449 */     // GIR_Coverage, 52118,
     /*   29449 */     GIR_EraseRootFromParent_Done,
     /*   29450 */   // Label 536: @29450
     /*   29450 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(29546), // Rule ID 52119 //
     /*   29455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29474 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29478 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29492 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29499 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29503 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29507 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29511 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29513 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29518 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29520 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   29520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   29523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   29535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29544 */     GIR_RootConstrainSelectedInstOperands,
     /*   29545 */     // GIR_Coverage, 52119,
     /*   29545 */     GIR_EraseRootFromParent_Done,
     /*   29546 */   // Label 537: @29546
     /*   29546 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(29635), // Rule ID 46728 //
     /*   29551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29566 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29585 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29587 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29592 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29594 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29633 */     GIR_RootConstrainSelectedInstOperands,
     /*   29634 */     // GIR_Coverage, 46728,
     /*   29634 */     GIR_EraseRootFromParent_Done,
     /*   29635 */   // Label 538: @29635
     /*   29635 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(29724), // Rule ID 46729 //
     /*   29640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29674 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29676 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29681 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29683 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   29683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29722 */     GIR_RootConstrainSelectedInstOperands,
     /*   29723 */     // GIR_Coverage, 46729,
     /*   29723 */     GIR_EraseRootFromParent_Done,
     /*   29724 */   // Label 539: @29724
     /*   29724 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(29813), // Rule ID 46492 //
     /*   29729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29744 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29763 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29765 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29770 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29772 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   29789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29811 */     GIR_RootConstrainSelectedInstOperands,
     /*   29812 */     // GIR_Coverage, 46492,
     /*   29812 */     GIR_EraseRootFromParent_Done,
     /*   29813 */   // Label 540: @29813
     /*   29813 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(29902), // Rule ID 46493 //
     /*   29818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29833 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29840 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29844 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29848 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29852 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29854 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29859 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29861 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   29861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   29878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29900 */     GIR_RootConstrainSelectedInstOperands,
     /*   29901 */     // GIR_Coverage, 46493,
     /*   29901 */     GIR_EraseRootFromParent_Done,
     /*   29902 */   // Label 541: @29902
     /*   29902 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(29991), // Rule ID 46608 //
     /*   29907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29929 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29933 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29937 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29941 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29943 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29950 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29989 */     GIR_RootConstrainSelectedInstOperands,
     /*   29990 */     // GIR_Coverage, 46608,
     /*   29990 */     GIR_EraseRootFromParent_Done,
     /*   29991 */   // Label 542: @29991
     /*   29991 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(30080), // Rule ID 46609 //
     /*   29996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   30022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30030 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30032 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30039 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   30039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   30042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   30056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   30065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30078 */     GIR_RootConstrainSelectedInstOperands,
     /*   30079 */     // GIR_Coverage, 46609,
     /*   30079 */     GIR_EraseRootFromParent_Done,
     /*   30080 */   // Label 543: @30080
     /*   30080 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(30148), // Rule ID 70773 //
     /*   30085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   30088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   30100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   30104 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30122 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   30122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   30125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   30131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30146 */     GIR_RootConstrainSelectedInstOperands,
     /*   30147 */     // GIR_Coverage, 70773,
     /*   30147 */     GIR_EraseRootFromParent_Done,
     /*   30148 */   // Label 544: @30148
     /*   30148 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(30216), // Rule ID 70774 //
     /*   30153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   30156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   30168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   30172 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30190 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   30190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   30193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   30199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30214 */     GIR_RootConstrainSelectedInstOperands,
     /*   30215 */     // GIR_Coverage, 70774,
     /*   30215 */     GIR_EraseRootFromParent_Done,
     /*   30216 */   // Label 545: @30216
     /*   30216 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(30271), // Rule ID 69685 //
     /*   30221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30236 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30249 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30269 */     GIR_RootConstrainSelectedInstOperands,
     /*   30270 */     // GIR_Coverage, 69685,
     /*   30270 */     GIR_EraseRootFromParent_Done,
     /*   30271 */   // Label 546: @30271
     /*   30271 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(30326), // Rule ID 69686 //
     /*   30276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30304 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30324 */     GIR_RootConstrainSelectedInstOperands,
     /*   30325 */     // GIR_Coverage, 69686,
     /*   30325 */     GIR_EraseRootFromParent_Done,
     /*   30326 */   // Label 547: @30326
     /*   30326 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(30381), // Rule ID 69505 //
     /*   30331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30359 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30379 */     GIR_RootConstrainSelectedInstOperands,
     /*   30380 */     // GIR_Coverage, 69505,
     /*   30380 */     GIR_EraseRootFromParent_Done,
     /*   30381 */   // Label 548: @30381
     /*   30381 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(30436), // Rule ID 69506 //
     /*   30386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30414 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30434 */     GIR_RootConstrainSelectedInstOperands,
     /*   30435 */     // GIR_Coverage, 69506,
     /*   30435 */     GIR_EraseRootFromParent_Done,
     /*   30436 */   // Label 549: @30436
     /*   30436 */   GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(30491), // Rule ID 69595 //
     /*   30441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30456 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30469 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30489 */     GIR_RootConstrainSelectedInstOperands,
     /*   30490 */     // GIR_Coverage, 69595,
     /*   30490 */     GIR_EraseRootFromParent_Done,
     /*   30491 */   // Label 550: @30491
     /*   30491 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(30546), // Rule ID 69596 //
     /*   30496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30511 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30524 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30544 */     GIR_RootConstrainSelectedInstOperands,
     /*   30545 */     // GIR_Coverage, 69596,
     /*   30545 */     GIR_EraseRootFromParent_Done,
     /*   30546 */   // Label 551: @30546
     /*   30546 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(30614), // Rule ID 51938 //
     /*   30551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   30554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   30570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   30574 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30588 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   30588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   30591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   30597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30612 */     GIR_RootConstrainSelectedInstOperands,
     /*   30613 */     // GIR_Coverage, 51938,
     /*   30613 */     GIR_EraseRootFromParent_Done,
     /*   30614 */   // Label 552: @30614
     /*   30614 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(30682), // Rule ID 51939 //
     /*   30619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   30622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   30638 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   30642 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30656 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   30656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   30659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   30665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30680 */     GIR_RootConstrainSelectedInstOperands,
     /*   30681 */     // GIR_Coverage, 51939,
     /*   30681 */     GIR_EraseRootFromParent_Done,
     /*   30682 */   // Label 553: @30682
     /*   30682 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(30737), // Rule ID 46788 //
     /*   30687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30715 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30735 */     GIR_RootConstrainSelectedInstOperands,
     /*   30736 */     // GIR_Coverage, 46788,
     /*   30736 */     GIR_EraseRootFromParent_Done,
     /*   30737 */   // Label 554: @30737
     /*   30737 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(30792), // Rule ID 46789 //
     /*   30742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30770 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30790 */     GIR_RootConstrainSelectedInstOperands,
     /*   30791 */     // GIR_Coverage, 46789,
     /*   30791 */     GIR_EraseRootFromParent_Done,
     /*   30792 */   // Label 555: @30792
     /*   30792 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(30847), // Rule ID 46548 //
     /*   30797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30816 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30825 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30845 */     GIR_RootConstrainSelectedInstOperands,
     /*   30846 */     // GIR_Coverage, 46548,
     /*   30846 */     GIR_EraseRootFromParent_Done,
     /*   30847 */   // Label 556: @30847
     /*   30847 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(30902), // Rule ID 46549 //
     /*   30852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30880 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30900 */     GIR_RootConstrainSelectedInstOperands,
     /*   30901 */     // GIR_Coverage, 46549,
     /*   30901 */     GIR_EraseRootFromParent_Done,
     /*   30902 */   // Label 557: @30902
     /*   30902 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(30957), // Rule ID 46668 //
     /*   30907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30926 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30935 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30955 */     GIR_RootConstrainSelectedInstOperands,
     /*   30956 */     // GIR_Coverage, 46668,
     /*   30956 */     GIR_EraseRootFromParent_Done,
     /*   30957 */   // Label 558: @30957
     /*   30957 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(31012), // Rule ID 46669 //
     /*   30962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30981 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30990 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   31007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31010 */     GIR_RootConstrainSelectedInstOperands,
     /*   31011 */     // GIR_Coverage, 46669,
     /*   31011 */     GIR_EraseRootFromParent_Done,
     /*   31012 */   // Label 559: @31012
     /*   31012 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(31065), // Rule ID 46170 //
     /*   31017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   31020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31028 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   31028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   31031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   31045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   31060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31063 */     GIR_RootConstrainSelectedInstOperands,
     /*   31064 */     // GIR_Coverage, 46170,
     /*   31064 */     GIR_EraseRootFromParent_Done,
     /*   31065 */   // Label 560: @31065
     /*   31065 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(31118), // Rule ID 46171 //
     /*   31070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   31073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31081 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   31081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   31084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   31098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   31113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31116 */     GIR_RootConstrainSelectedInstOperands,
     /*   31117 */     // GIR_Coverage, 46171,
     /*   31117 */     GIR_EraseRootFromParent_Done,
     /*   31118 */   // Label 561: @31118
     /*   31118 */   GIM_Reject,
     /*   31119 */ // Label 521: @31119
     /*   31119 */ GIM_Reject,
     /*   31120 */ // Label 136: @31120
     /*   31120 */ GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(31514),
     /*   31125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31135 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(31203), // Rule ID 70637 //
     /*   31140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31159 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31177 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31201 */     GIR_RootConstrainSelectedInstOperands,
     /*   31202 */     // GIR_Coverage, 70637,
     /*   31202 */     GIR_EraseRootFromParent_Done,
     /*   31203 */   // Label 563: @31203
     /*   31203 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(31271), // Rule ID 70638 //
     /*   31208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31227 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31245 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31269 */     GIR_RootConstrainSelectedInstOperands,
     /*   31270 */     // GIR_Coverage, 70638,
     /*   31270 */     GIR_EraseRootFromParent_Done,
     /*   31271 */   // Label 564: @31271
     /*   31271 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(31339), // Rule ID 51870 //
     /*   31276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31299 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31313 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   31328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31337 */     GIR_RootConstrainSelectedInstOperands,
     /*   31338 */     // GIR_Coverage, 51870,
     /*   31338 */     GIR_EraseRootFromParent_Done,
     /*   31339 */   // Label 565: @31339
     /*   31339 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(31407), // Rule ID 51871 //
     /*   31344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31367 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31381 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   31396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31405 */     GIR_RootConstrainSelectedInstOperands,
     /*   31406 */     // GIR_Coverage, 51871,
     /*   31406 */     GIR_EraseRootFromParent_Done,
     /*   31407 */   // Label 566: @31407
     /*   31407 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(31460), // Rule ID 46102 //
     /*   31412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31423 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   31423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   31426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   31440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31458 */     GIR_RootConstrainSelectedInstOperands,
     /*   31459 */     // GIR_Coverage, 46102,
     /*   31459 */     GIR_EraseRootFromParent_Done,
     /*   31460 */   // Label 567: @31460
     /*   31460 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(31513), // Rule ID 46103 //
     /*   31465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31476 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   31476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   31479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   31493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31511 */     GIR_RootConstrainSelectedInstOperands,
     /*   31512 */     // GIR_Coverage, 46103,
     /*   31512 */     GIR_EraseRootFromParent_Done,
     /*   31513 */   // Label 568: @31513
     /*   31513 */   GIM_Reject,
     /*   31514 */ // Label 562: @31514
     /*   31514 */ GIM_Reject,
     /*   31515 */ // Label 137: @31515
     /*   31515 */ GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(34639),
     /*   31520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31530 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(31626), // Rule ID 70843 //
     /*   31535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31554 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31556 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31560 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31564 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31568 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31575 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31579 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31583 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31587 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31589 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31598 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31600 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   31603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31624 */     GIR_RootConstrainSelectedInstOperands,
     /*   31625 */     // GIR_Coverage, 70843,
     /*   31625 */     GIR_EraseRootFromParent_Done,
     /*   31626 */   // Label 570: @31626
     /*   31626 */   GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(31722), // Rule ID 70844 //
     /*   31631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31646 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31664 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31671 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31675 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31679 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31683 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31685 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31694 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31696 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   31699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31720 */     GIR_RootConstrainSelectedInstOperands,
     /*   31721 */     // GIR_Coverage, 70844,
     /*   31721 */     GIR_EraseRootFromParent_Done,
     /*   31722 */   // Label 571: @31722
     /*   31722 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(31818), // Rule ID 71087 //
     /*   31727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31746 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31760 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31767 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31771 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31775 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31779 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31781 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31790 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31792 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31816 */     GIR_RootConstrainSelectedInstOperands,
     /*   31817 */     // GIR_Coverage, 71087,
     /*   31817 */     GIR_EraseRootFromParent_Done,
     /*   31818 */   // Label 572: @31818
     /*   31818 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(31914), // Rule ID 71088 //
     /*   31823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31842 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31844 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31848 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31852 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31856 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31858 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31863 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31867 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31871 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31875 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31877 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31886 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31888 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31912 */     GIR_RootConstrainSelectedInstOperands,
     /*   31913 */     // GIR_Coverage, 71088,
     /*   31913 */     GIR_EraseRootFromParent_Done,
     /*   31914 */   // Label 573: @31914
     /*   31914 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(32010), // Rule ID 71089 //
     /*   31919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31934 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31938 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31952 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31954 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31959 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31963 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31967 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31971 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31973 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31982 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31984 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32008 */     GIR_RootConstrainSelectedInstOperands,
     /*   32009 */     // GIR_Coverage, 71089,
     /*   32009 */     GIR_EraseRootFromParent_Done,
     /*   32010 */   // Label 574: @32010
     /*   32010 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(32106), // Rule ID 71090 //
     /*   32015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32030 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32034 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32044 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32048 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32050 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32055 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32059 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32063 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32067 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32069 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32078 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32080 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   32087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   32091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   32095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32104 */     GIR_RootConstrainSelectedInstOperands,
     /*   32105 */     // GIR_Coverage, 71090,
     /*   32105 */     GIR_EraseRootFromParent_Done,
     /*   32106 */   // Label 575: @32106
     /*   32106 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(32202), // Rule ID 70957 //
     /*   32111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32144 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32151 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32155 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32159 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32163 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32165 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32174 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32176 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   32183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32200 */     GIR_RootConstrainSelectedInstOperands,
     /*   32201 */     // GIR_Coverage, 70957,
     /*   32201 */     GIR_EraseRootFromParent_Done,
     /*   32202 */   // Label 576: @32202
     /*   32202 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(32298), // Rule ID 70958 //
     /*   32207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32222 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32226 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32240 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32242 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32247 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32251 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32255 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32259 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32261 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32270 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32272 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   32279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32296 */     GIR_RootConstrainSelectedInstOperands,
     /*   32297 */     // GIR_Coverage, 70958,
     /*   32297 */     GIR_EraseRootFromParent_Done,
     /*   32298 */   // Label 577: @32298
     /*   32298 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(32394), // Rule ID 52040 //
     /*   32303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32340 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32347 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32351 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32355 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32359 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32361 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32366 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32368 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   32371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32392 */     GIR_RootConstrainSelectedInstOperands,
     /*   32393 */     // GIR_Coverage, 52040,
     /*   32393 */     GIR_EraseRootFromParent_Done,
     /*   32394 */   // Label 578: @32394
     /*   32394 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(32490), // Rule ID 52041 //
     /*   32399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32418 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32422 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32424 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32428 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32432 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32436 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32443 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32447 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32451 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32455 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32457 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32462 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32464 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   32467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32488 */     GIR_RootConstrainSelectedInstOperands,
     /*   32489 */     // GIR_Coverage, 52041,
     /*   32489 */     GIR_EraseRootFromParent_Done,
     /*   32490 */   // Label 579: @32490
     /*   32490 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(32586), // Rule ID 52158 //
     /*   32495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32514 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32518 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32532 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32539 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32543 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32547 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32551 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32553 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32558 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32560 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32584 */     GIR_RootConstrainSelectedInstOperands,
     /*   32585 */     // GIR_Coverage, 52158,
     /*   32585 */     GIR_EraseRootFromParent_Done,
     /*   32586 */   // Label 580: @32586
     /*   32586 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(32682), // Rule ID 52159 //
     /*   32591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32610 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32614 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32628 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32635 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32639 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32643 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32647 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32649 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32654 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32656 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32680 */     GIR_RootConstrainSelectedInstOperands,
     /*   32681 */     // GIR_Coverage, 52159,
     /*   32681 */     GIR_EraseRootFromParent_Done,
     /*   32682 */   // Label 581: @32682
     /*   32682 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(32778), // Rule ID 71085 //
     /*   32687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32731 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32735 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32739 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32743 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32745 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32750 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32752 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   32763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   32767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32776 */     GIR_RootConstrainSelectedInstOperands,
     /*   32777 */     // GIR_Coverage, 71085,
     /*   32777 */     GIR_EraseRootFromParent_Done,
     /*   32778 */   // Label 582: @32778
     /*   32778 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(32874), // Rule ID 71086 //
     /*   32783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32802 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32806 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32820 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32827 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32831 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32835 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32839 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32841 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32846 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32848 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   32859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   32863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32872 */     GIR_RootConstrainSelectedInstOperands,
     /*   32873 */     // GIR_Coverage, 71086,
     /*   32873 */     GIR_EraseRootFromParent_Done,
     /*   32874 */   // Label 583: @32874
     /*   32874 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(32970), // Rule ID 52098 //
     /*   32879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32916 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32918 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32923 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32927 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32931 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32935 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32937 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32942 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32944 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32968 */     GIR_RootConstrainSelectedInstOperands,
     /*   32969 */     // GIR_Coverage, 52098,
     /*   32969 */     GIR_EraseRootFromParent_Done,
     /*   32970 */   // Label 584: @32970
     /*   32970 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(33066), // Rule ID 52099 //
     /*   32975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32998 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33012 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33014 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33019 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33023 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33027 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33031 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33033 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33038 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33040 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   33040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   33043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   33047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33064 */     GIR_RootConstrainSelectedInstOperands,
     /*   33065 */     // GIR_Coverage, 52099,
     /*   33065 */     GIR_EraseRootFromParent_Done,
     /*   33066 */   // Label 585: @33066
     /*   33066 */   GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(33155), // Rule ID 46688 //
     /*   33071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33105 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33107 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33114 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   33114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   33131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33153 */     GIR_RootConstrainSelectedInstOperands,
     /*   33154 */     // GIR_Coverage, 46688,
     /*   33154 */     GIR_EraseRootFromParent_Done,
     /*   33155 */   // Label 586: @33155
     /*   33155 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(33244), // Rule ID 46689 //
     /*   33160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33203 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   33203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   33220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33242 */     GIR_RootConstrainSelectedInstOperands,
     /*   33243 */     // GIR_Coverage, 46689,
     /*   33243 */     GIR_EraseRootFromParent_Done,
     /*   33244 */   // Label 587: @33244
     /*   33244 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(33333), // Rule ID 46452 //
     /*   33249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33264 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33283 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33292 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   33292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   33309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33331 */     GIR_RootConstrainSelectedInstOperands,
     /*   33332 */     // GIR_Coverage, 46452,
     /*   33332 */     GIR_EraseRootFromParent_Done,
     /*   33333 */   // Label 588: @33333
     /*   33333 */   GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(33422), // Rule ID 46453 //
     /*   33338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33353 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33372 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33381 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   33381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   33398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33420 */     GIR_RootConstrainSelectedInstOperands,
     /*   33421 */     // GIR_Coverage, 46453,
     /*   33421 */     GIR_EraseRootFromParent_Done,
     /*   33422 */   // Label 589: @33422
     /*   33422 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(33511), // Rule ID 46568 //
     /*   33427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33442 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33461 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33470 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   33470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   33487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33509 */     GIR_RootConstrainSelectedInstOperands,
     /*   33510 */     // GIR_Coverage, 46568,
     /*   33510 */     GIR_EraseRootFromParent_Done,
     /*   33511 */   // Label 590: @33511
     /*   33511 */   GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(33600), // Rule ID 46569 //
     /*   33516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33550 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33559 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   33559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   33576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33598 */     GIR_RootConstrainSelectedInstOperands,
     /*   33599 */     // GIR_Coverage, 46569,
     /*   33599 */     GIR_EraseRootFromParent_Done,
     /*   33600 */   // Label 591: @33600
     /*   33600 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(33668), // Rule ID 70677 //
     /*   33605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   33624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33642 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   33645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33666 */     GIR_RootConstrainSelectedInstOperands,
     /*   33667 */     // GIR_Coverage, 70677,
     /*   33667 */     GIR_EraseRootFromParent_Done,
     /*   33668 */   // Label 592: @33668
     /*   33668 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(33736), // Rule ID 70678 //
     /*   33673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   33692 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33710 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   33713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33734 */     GIR_RootConstrainSelectedInstOperands,
     /*   33735 */     // GIR_Coverage, 70678,
     /*   33735 */     GIR_EraseRootFromParent_Done,
     /*   33736 */   // Label 593: @33736
     /*   33736 */   GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(33791), // Rule ID 69645 //
     /*   33741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33756 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33769 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   33769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33789 */     GIR_RootConstrainSelectedInstOperands,
     /*   33790 */     // GIR_Coverage, 69645,
     /*   33790 */     GIR_EraseRootFromParent_Done,
     /*   33791 */   // Label 594: @33791
     /*   33791 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(33846), // Rule ID 69646 //
     /*   33796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33824 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   33824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33844 */     GIR_RootConstrainSelectedInstOperands,
     /*   33845 */     // GIR_Coverage, 69646,
     /*   33845 */     GIR_EraseRootFromParent_Done,
     /*   33846 */   // Label 595: @33846
     /*   33846 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(33901), // Rule ID 69465 //
     /*   33851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33866 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33879 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   33879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   33882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33899 */     GIR_RootConstrainSelectedInstOperands,
     /*   33900 */     // GIR_Coverage, 69465,
     /*   33900 */     GIR_EraseRootFromParent_Done,
     /*   33901 */   // Label 596: @33901
     /*   33901 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(33956), // Rule ID 69466 //
     /*   33906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33934 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   33934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   33937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33954 */     GIR_RootConstrainSelectedInstOperands,
     /*   33955 */     // GIR_Coverage, 69466,
     /*   33955 */     GIR_EraseRootFromParent_Done,
     /*   33956 */   // Label 597: @33956
     /*   33956 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(34011), // Rule ID 69555 //
     /*   33961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33989 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   33989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34009 */     GIR_RootConstrainSelectedInstOperands,
     /*   34010 */     // GIR_Coverage, 69555,
     /*   34010 */     GIR_EraseRootFromParent_Done,
     /*   34011 */   // Label 598: @34011
     /*   34011 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(34066), // Rule ID 69556 //
     /*   34016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34031 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34044 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   34044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34064 */     GIR_RootConstrainSelectedInstOperands,
     /*   34065 */     // GIR_Coverage, 69556,
     /*   34065 */     GIR_EraseRootFromParent_Done,
     /*   34066 */   // Label 599: @34066
     /*   34066 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(34134), // Rule ID 51890 //
     /*   34071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   34094 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34108 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   34108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   34111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   34117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34132 */     GIR_RootConstrainSelectedInstOperands,
     /*   34133 */     // GIR_Coverage, 51890,
     /*   34133 */     GIR_EraseRootFromParent_Done,
     /*   34134 */   // Label 600: @34134
     /*   34134 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(34202), // Rule ID 51891 //
     /*   34139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34158 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   34162 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34176 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   34176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   34179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   34185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34200 */     GIR_RootConstrainSelectedInstOperands,
     /*   34201 */     // GIR_Coverage, 51891,
     /*   34201 */     GIR_EraseRootFromParent_Done,
     /*   34202 */   // Label 601: @34202
     /*   34202 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(34257), // Rule ID 46748 //
     /*   34207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   34222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34226 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34235 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   34235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34255 */     GIR_RootConstrainSelectedInstOperands,
     /*   34256 */     // GIR_Coverage, 46748,
     /*   34256 */     GIR_EraseRootFromParent_Done,
     /*   34257 */   // Label 602: @34257
     /*   34257 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(34312), // Rule ID 46749 //
     /*   34262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   34277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34281 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34290 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   34290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34310 */     GIR_RootConstrainSelectedInstOperands,
     /*   34311 */     // GIR_Coverage, 46749,
     /*   34311 */     GIR_EraseRootFromParent_Done,
     /*   34312 */   // Label 603: @34312
     /*   34312 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(34367), // Rule ID 46508 //
     /*   34317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34336 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34345 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   34345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   34348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34365 */     GIR_RootConstrainSelectedInstOperands,
     /*   34366 */     // GIR_Coverage, 46508,
     /*   34366 */     GIR_EraseRootFromParent_Done,
     /*   34367 */   // Label 604: @34367
     /*   34367 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(34422), // Rule ID 46509 //
     /*   34372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34391 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34400 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   34400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   34403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34420 */     GIR_RootConstrainSelectedInstOperands,
     /*   34421 */     // GIR_Coverage, 46509,
     /*   34421 */     GIR_EraseRootFromParent_Done,
     /*   34422 */   // Label 605: @34422
     /*   34422 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(34477), // Rule ID 46628 //
     /*   34427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34446 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34455 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   34455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34475 */     GIR_RootConstrainSelectedInstOperands,
     /*   34476 */     // GIR_Coverage, 46628,
     /*   34476 */     GIR_EraseRootFromParent_Done,
     /*   34477 */   // Label 606: @34477
     /*   34477 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(34532), // Rule ID 46629 //
     /*   34482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34501 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34510 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   34510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34530 */     GIR_RootConstrainSelectedInstOperands,
     /*   34531 */     // GIR_Coverage, 46629,
     /*   34531 */     GIR_EraseRootFromParent_Done,
     /*   34532 */   // Label 607: @34532
     /*   34532 */   GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(34585), // Rule ID 46122 //
     /*   34537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34548 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   34548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   34551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   34565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34583 */     GIR_RootConstrainSelectedInstOperands,
     /*   34584 */     // GIR_Coverage, 46122,
     /*   34584 */     GIR_EraseRootFromParent_Done,
     /*   34585 */   // Label 608: @34585
     /*   34585 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(34638), // Rule ID 46123 //
     /*   34590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34601 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   34601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   34604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   34618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34636 */     GIR_RootConstrainSelectedInstOperands,
     /*   34637 */     // GIR_Coverage, 46123,
     /*   34637 */     GIR_EraseRootFromParent_Done,
     /*   34638 */   // Label 609: @34638
     /*   34638 */   GIM_Reject,
     /*   34639 */ // Label 569: @34639
     /*   34639 */ GIM_Reject,
     /*   34640 */ // Label 138: @34640
     /*   34640 */ GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(37764),
     /*   34645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34655 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(34751), // Rule ID 70855 //
     /*   34660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34679 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34693 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34695 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34700 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34704 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34708 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34712 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34714 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34723 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34725 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   34725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   34728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34749 */     GIR_RootConstrainSelectedInstOperands,
     /*   34750 */     // GIR_Coverage, 70855,
     /*   34750 */     GIR_EraseRootFromParent_Done,
     /*   34751 */   // Label 611: @34751
     /*   34751 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(34847), // Rule ID 70856 //
     /*   34756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34771 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34775 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34789 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34791 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34796 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34800 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34804 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34808 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34810 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34819 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34821 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   34821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   34824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34845 */     GIR_RootConstrainSelectedInstOperands,
     /*   34846 */     // GIR_Coverage, 70856,
     /*   34846 */     GIR_EraseRootFromParent_Done,
     /*   34847 */   // Label 612: @34847
     /*   34847 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(34943), // Rule ID 71123 //
     /*   34852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34885 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34887 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34892 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34896 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34900 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34904 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34906 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34915 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34917 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   34917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   34920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34941 */     GIR_RootConstrainSelectedInstOperands,
     /*   34942 */     // GIR_Coverage, 71123,
     /*   34942 */     GIR_EraseRootFromParent_Done,
     /*   34943 */   // Label 613: @34943
     /*   34943 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(35039), // Rule ID 71124 //
     /*   34948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34963 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34967 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34981 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34988 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34992 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34996 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35000 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35002 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35011 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35013 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35037 */     GIR_RootConstrainSelectedInstOperands,
     /*   35038 */     // GIR_Coverage, 71124,
     /*   35038 */     GIR_EraseRootFromParent_Done,
     /*   35039 */   // Label 614: @35039
     /*   35039 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(35135), // Rule ID 71125 //
     /*   35044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35059 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35063 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35077 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35079 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35084 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35088 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35092 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35096 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35098 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35107 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35109 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   35120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   35124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35133 */     GIR_RootConstrainSelectedInstOperands,
     /*   35134 */     // GIR_Coverage, 71125,
     /*   35134 */     GIR_EraseRootFromParent_Done,
     /*   35135 */   // Label 615: @35135
     /*   35135 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(35231), // Rule ID 71126 //
     /*   35140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35159 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35173 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35180 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35184 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35188 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35192 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35194 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35203 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35205 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   35216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   35220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35229 */     GIR_RootConstrainSelectedInstOperands,
     /*   35230 */     // GIR_Coverage, 71126,
     /*   35230 */     GIR_EraseRootFromParent_Done,
     /*   35231 */   // Label 616: @35231
     /*   35231 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(35327), // Rule ID 70969 //
     /*   35236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35251 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35269 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35276 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35280 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35284 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35288 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35290 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35299 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35301 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   35304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35325 */     GIR_RootConstrainSelectedInstOperands,
     /*   35326 */     // GIR_Coverage, 70969,
     /*   35326 */     GIR_EraseRootFromParent_Done,
     /*   35327 */   // Label 617: @35327
     /*   35327 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(35423), // Rule ID 70970 //
     /*   35332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35347 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35365 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35367 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35372 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35376 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35380 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35384 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35386 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35395 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35397 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   35400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35421 */     GIR_RootConstrainSelectedInstOperands,
     /*   35422 */     // GIR_Coverage, 70970,
     /*   35422 */     GIR_EraseRootFromParent_Done,
     /*   35423 */   // Label 618: @35423
     /*   35423 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(35519), // Rule ID 52052 //
     /*   35428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35447 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35451 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35465 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35467 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35472 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35476 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35480 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35484 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35486 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35491 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35493 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   35496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35517 */     GIR_RootConstrainSelectedInstOperands,
     /*   35518 */     // GIR_Coverage, 52052,
     /*   35518 */     GIR_EraseRootFromParent_Done,
     /*   35519 */   // Label 619: @35519
     /*   35519 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(35615), // Rule ID 52053 //
     /*   35524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35547 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35561 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35568 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35572 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35576 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35580 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35582 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35587 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35589 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   35592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35613 */     GIR_RootConstrainSelectedInstOperands,
     /*   35614 */     // GIR_Coverage, 52053,
     /*   35614 */     GIR_EraseRootFromParent_Done,
     /*   35615 */   // Label 620: @35615
     /*   35615 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(35711), // Rule ID 52170 //
     /*   35620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35643 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35653 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35657 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35659 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35664 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35668 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35672 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35676 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35678 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35683 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35685 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35709 */     GIR_RootConstrainSelectedInstOperands,
     /*   35710 */     // GIR_Coverage, 52170,
     /*   35710 */     GIR_EraseRootFromParent_Done,
     /*   35711 */   // Label 621: @35711
     /*   35711 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(35807), // Rule ID 52171 //
     /*   35716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35739 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35753 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35755 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35760 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35764 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35768 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35772 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35774 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35779 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35781 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35805 */     GIR_RootConstrainSelectedInstOperands,
     /*   35806 */     // GIR_Coverage, 52171,
     /*   35806 */     GIR_EraseRootFromParent_Done,
     /*   35807 */   // Label 622: @35807
     /*   35807 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(35903), // Rule ID 71121 //
     /*   35812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35831 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35849 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35856 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35860 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35864 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35868 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35870 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35875 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35877 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   35888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   35892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35901 */     GIR_RootConstrainSelectedInstOperands,
     /*   35902 */     // GIR_Coverage, 71121,
     /*   35902 */     GIR_EraseRootFromParent_Done,
     /*   35903 */   // Label 623: @35903
     /*   35903 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(35999), // Rule ID 71122 //
     /*   35908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35945 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35952 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35956 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35960 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35964 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35966 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35971 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35973 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   35984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   35988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35997 */     GIR_RootConstrainSelectedInstOperands,
     /*   35998 */     // GIR_Coverage, 71122,
     /*   35998 */     GIR_EraseRootFromParent_Done,
     /*   35999 */   // Label 624: @35999
     /*   35999 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(36095), // Rule ID 52110 //
     /*   36004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   36027 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   36033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36041 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36043 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36048 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   36052 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36056 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36060 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   36062 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36067 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   36069 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   36069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   36072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   36076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   36084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36093 */     GIR_RootConstrainSelectedInstOperands,
     /*   36094 */     // GIR_Coverage, 52110,
     /*   36094 */     GIR_EraseRootFromParent_Done,
     /*   36095 */   // Label 625: @36095
     /*   36095 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(36191), // Rule ID 52111 //
     /*   36100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   36123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   36129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36137 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36139 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36144 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   36148 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36152 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36156 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   36158 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36163 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   36165 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   36165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   36168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   36172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   36180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36189 */     GIR_RootConstrainSelectedInstOperands,
     /*   36190 */     // GIR_Coverage, 52111,
     /*   36190 */     GIR_EraseRootFromParent_Done,
     /*   36191 */   // Label 626: @36191
     /*   36191 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(36280), // Rule ID 46712 //
     /*   36196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36211 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36230 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36232 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36237 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36239 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   36239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36278 */     GIR_RootConstrainSelectedInstOperands,
     /*   36279 */     // GIR_Coverage, 46712,
     /*   36279 */     GIR_EraseRootFromParent_Done,
     /*   36280 */   // Label 627: @36280
     /*   36280 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(36369), // Rule ID 46713 //
     /*   36285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36319 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36321 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36326 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36328 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   36328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36367 */     GIR_RootConstrainSelectedInstOperands,
     /*   36368 */     // GIR_Coverage, 46713,
     /*   36368 */     GIR_EraseRootFromParent_Done,
     /*   36369 */   // Label 628: @36369
     /*   36369 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(36458), // Rule ID 46476 //
     /*   36374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36389 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36408 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36417 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   36417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   36434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36456 */     GIR_RootConstrainSelectedInstOperands,
     /*   36457 */     // GIR_Coverage, 46476,
     /*   36457 */     GIR_EraseRootFromParent_Done,
     /*   36458 */   // Label 629: @36458
     /*   36458 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(36547), // Rule ID 46477 //
     /*   36463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36478 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36485 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36489 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36493 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36497 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36499 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36504 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36506 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   36506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   36523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36545 */     GIR_RootConstrainSelectedInstOperands,
     /*   36546 */     // GIR_Coverage, 46477,
     /*   36546 */     GIR_EraseRootFromParent_Done,
     /*   36547 */   // Label 630: @36547
     /*   36547 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(36636), // Rule ID 46592 //
     /*   36552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36567 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36586 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36595 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   36595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36634 */     GIR_RootConstrainSelectedInstOperands,
     /*   36635 */     // GIR_Coverage, 46592,
     /*   36635 */     GIR_EraseRootFromParent_Done,
     /*   36636 */   // Label 631: @36636
     /*   36636 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(36725), // Rule ID 46593 //
     /*   36641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36675 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36682 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36684 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   36684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36723 */     GIR_RootConstrainSelectedInstOperands,
     /*   36724 */     // GIR_Coverage, 46593,
     /*   36724 */     GIR_EraseRootFromParent_Done,
     /*   36725 */   // Label 632: @36725
     /*   36725 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(36793), // Rule ID 70749 //
     /*   36730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   36749 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36767 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   36770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36791 */     GIR_RootConstrainSelectedInstOperands,
     /*   36792 */     // GIR_Coverage, 70749,
     /*   36792 */     GIR_EraseRootFromParent_Done,
     /*   36793 */   // Label 633: @36793
     /*   36793 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(36861), // Rule ID 70750 //
     /*   36798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   36817 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36835 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   36838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36859 */     GIR_RootConstrainSelectedInstOperands,
     /*   36860 */     // GIR_Coverage, 70750,
     /*   36860 */     GIR_EraseRootFromParent_Done,
     /*   36861 */   // Label 634: @36861
     /*   36861 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(36916), // Rule ID 69669 //
     /*   36866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36894 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   36894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   36897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36914 */     GIR_RootConstrainSelectedInstOperands,
     /*   36915 */     // GIR_Coverage, 69669,
     /*   36915 */     GIR_EraseRootFromParent_Done,
     /*   36916 */   // Label 635: @36916
     /*   36916 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(36971), // Rule ID 69670 //
     /*   36921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36949 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   36949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   36952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36969 */     GIR_RootConstrainSelectedInstOperands,
     /*   36970 */     // GIR_Coverage, 69670,
     /*   36970 */     GIR_EraseRootFromParent_Done,
     /*   36971 */   // Label 636: @36971
     /*   36971 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(37026), // Rule ID 69489 //
     /*   36976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37004 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   37007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37024 */     GIR_RootConstrainSelectedInstOperands,
     /*   37025 */     // GIR_Coverage, 69489,
     /*   37025 */     GIR_EraseRootFromParent_Done,
     /*   37026 */   // Label 637: @37026
     /*   37026 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(37081), // Rule ID 69490 //
     /*   37031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37046 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37059 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   37062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37079 */     GIR_RootConstrainSelectedInstOperands,
     /*   37080 */     // GIR_Coverage, 69490,
     /*   37080 */     GIR_EraseRootFromParent_Done,
     /*   37081 */   // Label 638: @37081
     /*   37081 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(37136), // Rule ID 69579 //
     /*   37086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37101 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37114 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37134 */     GIR_RootConstrainSelectedInstOperands,
     /*   37135 */     // GIR_Coverage, 69579,
     /*   37135 */     GIR_EraseRootFromParent_Done,
     /*   37136 */   // Label 639: @37136
     /*   37136 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(37191), // Rule ID 69580 //
     /*   37141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37156 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37169 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37189 */     GIR_RootConstrainSelectedInstOperands,
     /*   37190 */     // GIR_Coverage, 69580,
     /*   37190 */     GIR_EraseRootFromParent_Done,
     /*   37191 */   // Label 640: @37191
     /*   37191 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(37259), // Rule ID 51926 //
     /*   37196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   37219 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37226 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37233 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   37233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   37236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   37242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37257 */     GIR_RootConstrainSelectedInstOperands,
     /*   37258 */     // GIR_Coverage, 51926,
     /*   37258 */     GIR_EraseRootFromParent_Done,
     /*   37259 */   // Label 641: @37259
     /*   37259 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(37327), // Rule ID 51927 //
     /*   37264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37283 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   37287 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37301 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   37301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   37304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   37310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37325 */     GIR_RootConstrainSelectedInstOperands,
     /*   37326 */     // GIR_Coverage, 51927,
     /*   37326 */     GIR_EraseRootFromParent_Done,
     /*   37327 */   // Label 642: @37327
     /*   37327 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(37382), // Rule ID 46772 //
     /*   37332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   37347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37360 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37380 */     GIR_RootConstrainSelectedInstOperands,
     /*   37381 */     // GIR_Coverage, 46772,
     /*   37381 */     GIR_EraseRootFromParent_Done,
     /*   37382 */   // Label 643: @37382
     /*   37382 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(37437), // Rule ID 46773 //
     /*   37387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   37402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37406 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37415 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37435 */     GIR_RootConstrainSelectedInstOperands,
     /*   37436 */     // GIR_Coverage, 46773,
     /*   37436 */     GIR_EraseRootFromParent_Done,
     /*   37437 */   // Label 644: @37437
     /*   37437 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(37492), // Rule ID 46532 //
     /*   37442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37470 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   37473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37490 */     GIR_RootConstrainSelectedInstOperands,
     /*   37491 */     // GIR_Coverage, 46532,
     /*   37491 */     GIR_EraseRootFromParent_Done,
     /*   37492 */   // Label 645: @37492
     /*   37492 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(37547), // Rule ID 46533 //
     /*   37497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37516 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37525 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   37528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37545 */     GIR_RootConstrainSelectedInstOperands,
     /*   37546 */     // GIR_Coverage, 46533,
     /*   37546 */     GIR_EraseRootFromParent_Done,
     /*   37547 */   // Label 646: @37547
     /*   37547 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(37602), // Rule ID 46652 //
     /*   37552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37580 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37600 */     GIR_RootConstrainSelectedInstOperands,
     /*   37601 */     // GIR_Coverage, 46652,
     /*   37601 */     GIR_EraseRootFromParent_Done,
     /*   37602 */   // Label 647: @37602
     /*   37602 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(37657), // Rule ID 46653 //
     /*   37607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37635 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37655 */     GIR_RootConstrainSelectedInstOperands,
     /*   37656 */     // GIR_Coverage, 46653,
     /*   37656 */     GIR_EraseRootFromParent_Done,
     /*   37657 */   // Label 648: @37657
     /*   37657 */   GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(37710), // Rule ID 46158 //
     /*   37662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37673 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   37673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   37676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   37680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   37690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   37697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37708 */     GIR_RootConstrainSelectedInstOperands,
     /*   37709 */     // GIR_Coverage, 46158,
     /*   37709 */     GIR_EraseRootFromParent_Done,
     /*   37710 */   // Label 649: @37710
     /*   37710 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(37763), // Rule ID 46159 //
     /*   37715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37726 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   37726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   37729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   37733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   37743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   37750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37761 */     GIR_RootConstrainSelectedInstOperands,
     /*   37762 */     // GIR_Coverage, 46159,
     /*   37762 */     GIR_EraseRootFromParent_Done,
     /*   37763 */   // Label 650: @37763
     /*   37763 */   GIM_Reject,
     /*   37764 */ // Label 610: @37764
     /*   37764 */ GIM_Reject,
     /*   37765 */ // Label 139: @37765
     /*   37765 */ GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(40889),
     /*   37770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37780 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(37876), // Rule ID 70865 //
     /*   37785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   37788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37804 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37818 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37825 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37829 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37833 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37837 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37839 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37848 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37850 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   37850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   37853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37874 */     GIR_RootConstrainSelectedInstOperands,
     /*   37875 */     // GIR_Coverage, 70865,
     /*   37875 */     GIR_EraseRootFromParent_Done,
     /*   37876 */   // Label 652: @37876
     /*   37876 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(37972), // Rule ID 70866 //
     /*   37881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   37884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37900 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37914 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37921 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37925 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37929 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37933 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37935 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37944 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37946 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   37946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   37949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37970 */     GIR_RootConstrainSelectedInstOperands,
     /*   37971 */     // GIR_Coverage, 70866,
     /*   37971 */     GIR_EraseRootFromParent_Done,
     /*   37972 */   // Label 653: @37972
     /*   37972 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(38068), // Rule ID 71153 //
     /*   37977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   37980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37992 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37996 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38010 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38017 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38021 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38025 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38029 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38031 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38040 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38042 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38066 */     GIR_RootConstrainSelectedInstOperands,
     /*   38067 */     // GIR_Coverage, 71153,
     /*   38067 */     GIR_EraseRootFromParent_Done,
     /*   38068 */   // Label 654: @38068
     /*   38068 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(38164), // Rule ID 71154 //
     /*   38073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38092 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38106 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38108 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38113 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38117 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38121 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38125 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38127 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38136 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38138 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38162 */     GIR_RootConstrainSelectedInstOperands,
     /*   38163 */     // GIR_Coverage, 71154,
     /*   38163 */     GIR_EraseRootFromParent_Done,
     /*   38164 */   // Label 655: @38164
     /*   38164 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(38260), // Rule ID 71155 //
     /*   38169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38188 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38202 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38209 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38213 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38217 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38221 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38223 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38232 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38234 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38258 */     GIR_RootConstrainSelectedInstOperands,
     /*   38259 */     // GIR_Coverage, 71155,
     /*   38259 */     GIR_EraseRootFromParent_Done,
     /*   38260 */   // Label 656: @38260
     /*   38260 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(38356), // Rule ID 71156 //
     /*   38265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38284 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38298 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38305 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38309 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38313 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38317 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38319 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38328 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38330 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38354 */     GIR_RootConstrainSelectedInstOperands,
     /*   38355 */     // GIR_Coverage, 71156,
     /*   38355 */     GIR_EraseRootFromParent_Done,
     /*   38356 */   // Label 657: @38356
     /*   38356 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(38452), // Rule ID 70979 //
     /*   38361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38376 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38380 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38382 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38386 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38390 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38394 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38396 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38401 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38405 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38409 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38413 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38415 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38424 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38426 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   38429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38450 */     GIR_RootConstrainSelectedInstOperands,
     /*   38451 */     // GIR_Coverage, 70979,
     /*   38451 */     GIR_EraseRootFromParent_Done,
     /*   38452 */   // Label 658: @38452
     /*   38452 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(38548), // Rule ID 70980 //
     /*   38457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38478 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38482 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38486 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38490 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38492 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38497 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38501 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38505 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38509 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38511 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38520 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38522 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   38525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38546 */     GIR_RootConstrainSelectedInstOperands,
     /*   38547 */     // GIR_Coverage, 70980,
     /*   38547 */     GIR_EraseRootFromParent_Done,
     /*   38548 */   // Label 659: @38548
     /*   38548 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(38644), // Rule ID 52062 //
     /*   38553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38572 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38590 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38597 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38601 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38605 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38609 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38611 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38616 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38618 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   38621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38642 */     GIR_RootConstrainSelectedInstOperands,
     /*   38643 */     // GIR_Coverage, 52062,
     /*   38643 */     GIR_EraseRootFromParent_Done,
     /*   38644 */   // Label 660: @38644
     /*   38644 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(38740), // Rule ID 52063 //
     /*   38649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38668 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38672 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38686 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38693 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38697 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38701 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38705 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38707 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38712 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38714 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   38717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38738 */     GIR_RootConstrainSelectedInstOperands,
     /*   38739 */     // GIR_Coverage, 52063,
     /*   38739 */     GIR_EraseRootFromParent_Done,
     /*   38740 */   // Label 661: @38740
     /*   38740 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(38836), // Rule ID 52180 //
     /*   38745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38768 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38782 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38789 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38793 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38797 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38801 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38803 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38808 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38810 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38834 */     GIR_RootConstrainSelectedInstOperands,
     /*   38835 */     // GIR_Coverage, 52180,
     /*   38835 */     GIR_EraseRootFromParent_Done,
     /*   38836 */   // Label 662: @38836
     /*   38836 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(38932), // Rule ID 52181 //
     /*   38841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38864 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38885 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38889 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38893 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38897 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38899 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38904 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38906 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38930 */     GIR_RootConstrainSelectedInstOperands,
     /*   38931 */     // GIR_Coverage, 52181,
     /*   38931 */     GIR_EraseRootFromParent_Done,
     /*   38932 */   // Label 663: @38932
     /*   38932 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(39028), // Rule ID 71151 //
     /*   38937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38974 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38976 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38981 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38985 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38989 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38993 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38995 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39000 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   39002 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   39002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   39005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   39009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   39013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   39017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39026 */     GIR_RootConstrainSelectedInstOperands,
     /*   39027 */     // GIR_Coverage, 71151,
     /*   39027 */     GIR_EraseRootFromParent_Done,
     /*   39028 */   // Label 664: @39028
     /*   39028 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(39124), // Rule ID 71152 //
     /*   39033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39056 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39070 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39077 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39081 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39085 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39089 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   39091 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39096 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   39098 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   39098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   39101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   39105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   39109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   39113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39122 */     GIR_RootConstrainSelectedInstOperands,
     /*   39123 */     // GIR_Coverage, 71152,
     /*   39123 */     GIR_EraseRootFromParent_Done,
     /*   39124 */   // Label 665: @39124
     /*   39124 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(39220), // Rule ID 52120 //
     /*   39129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39152 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39166 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39173 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39177 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39181 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39185 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   39187 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39192 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   39194 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   39194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   39197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   39201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   39209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39218 */     GIR_RootConstrainSelectedInstOperands,
     /*   39219 */     // GIR_Coverage, 52120,
     /*   39219 */     GIR_EraseRootFromParent_Done,
     /*   39220 */   // Label 666: @39220
     /*   39220 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(39316), // Rule ID 52121 //
     /*   39225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39244 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39248 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39262 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39269 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39273 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39277 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39281 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   39283 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39288 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   39290 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   39290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   39293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   39297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   39305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39314 */     GIR_RootConstrainSelectedInstOperands,
     /*   39315 */     // GIR_Coverage, 52121,
     /*   39315 */     GIR_EraseRootFromParent_Done,
     /*   39316 */   // Label 667: @39316
     /*   39316 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(39405), // Rule ID 46732 //
     /*   39321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39336 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39355 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39364 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   39364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39403 */     GIR_RootConstrainSelectedInstOperands,
     /*   39404 */     // GIR_Coverage, 46732,
     /*   39404 */     GIR_EraseRootFromParent_Done,
     /*   39405 */   // Label 668: @39405
     /*   39405 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(39494), // Rule ID 46733 //
     /*   39410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39425 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39444 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39446 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39451 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39453 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   39453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39492 */     GIR_RootConstrainSelectedInstOperands,
     /*   39493 */     // GIR_Coverage, 46733,
     /*   39493 */     GIR_EraseRootFromParent_Done,
     /*   39494 */   // Label 669: @39494
     /*   39494 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(39583), // Rule ID 46496 //
     /*   39499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39514 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39533 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39535 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39540 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39542 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   39542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   39559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39581 */     GIR_RootConstrainSelectedInstOperands,
     /*   39582 */     // GIR_Coverage, 46496,
     /*   39582 */     GIR_EraseRootFromParent_Done,
     /*   39583 */   // Label 670: @39583
     /*   39583 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(39672), // Rule ID 46497 //
     /*   39588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39603 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39618 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39622 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39624 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39629 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39631 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   39631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   39648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39670 */     GIR_RootConstrainSelectedInstOperands,
     /*   39671 */     // GIR_Coverage, 46497,
     /*   39671 */     GIR_EraseRootFromParent_Done,
     /*   39672 */   // Label 671: @39672
     /*   39672 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(39761), // Rule ID 46612 //
     /*   39677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39692 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39699 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39703 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39707 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39711 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39713 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39718 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39720 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   39720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39759 */     GIR_RootConstrainSelectedInstOperands,
     /*   39760 */     // GIR_Coverage, 46612,
     /*   39760 */     GIR_EraseRootFromParent_Done,
     /*   39761 */   // Label 672: @39761
     /*   39761 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(39850), // Rule ID 46613 //
     /*   39766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39800 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39809 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   39809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39848 */     GIR_RootConstrainSelectedInstOperands,
     /*   39849 */     // GIR_Coverage, 46613,
     /*   39849 */     GIR_EraseRootFromParent_Done,
     /*   39850 */   // Label 673: @39850
     /*   39850 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(39918), // Rule ID 70781 //
     /*   39855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   39858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39874 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39892 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   39892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   39895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   39913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39916 */     GIR_RootConstrainSelectedInstOperands,
     /*   39917 */     // GIR_Coverage, 70781,
     /*   39917 */     GIR_EraseRootFromParent_Done,
     /*   39918 */   // Label 674: @39918
     /*   39918 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(39986), // Rule ID 70782 //
     /*   39923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   39926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39942 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39960 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   39960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   39963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   39981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39984 */     GIR_RootConstrainSelectedInstOperands,
     /*   39985 */     // GIR_Coverage, 70782,
     /*   39985 */     GIR_EraseRootFromParent_Done,
     /*   39986 */   // Label 675: @39986
     /*   39986 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(40041), // Rule ID 69689 //
     /*   39991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   40002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40006 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40019 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40039 */     GIR_RootConstrainSelectedInstOperands,
     /*   40040 */     // GIR_Coverage, 69689,
     /*   40040 */     GIR_EraseRootFromParent_Done,
     /*   40041 */   // Label 676: @40041
     /*   40041 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(40096), // Rule ID 69690 //
     /*   40046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   40057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40061 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40074 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40094 */     GIR_RootConstrainSelectedInstOperands,
     /*   40095 */     // GIR_Coverage, 69690,
     /*   40095 */     GIR_EraseRootFromParent_Done,
     /*   40096 */   // Label 677: @40096
     /*   40096 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(40151), // Rule ID 69509 //
     /*   40101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40129 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   40132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40149 */     GIR_RootConstrainSelectedInstOperands,
     /*   40150 */     // GIR_Coverage, 69509,
     /*   40150 */     GIR_EraseRootFromParent_Done,
     /*   40151 */   // Label 678: @40151
     /*   40151 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(40206), // Rule ID 69510 //
     /*   40156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40171 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40184 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   40187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40204 */     GIR_RootConstrainSelectedInstOperands,
     /*   40205 */     // GIR_Coverage, 69510,
     /*   40205 */     GIR_EraseRootFromParent_Done,
     /*   40206 */   // Label 679: @40206
     /*   40206 */   GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(40261), // Rule ID 69599 //
     /*   40211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40226 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40239 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40259 */     GIR_RootConstrainSelectedInstOperands,
     /*   40260 */     // GIR_Coverage, 69599,
     /*   40260 */     GIR_EraseRootFromParent_Done,
     /*   40261 */   // Label 680: @40261
     /*   40261 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(40316), // Rule ID 69600 //
     /*   40266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40281 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40294 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40314 */     GIR_RootConstrainSelectedInstOperands,
     /*   40315 */     // GIR_Coverage, 69600,
     /*   40315 */     GIR_EraseRootFromParent_Done,
     /*   40316 */   // Label 681: @40316
     /*   40316 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(40384), // Rule ID 51942 //
     /*   40321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   40324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   40340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   40344 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40358 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   40358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   40361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40382 */     GIR_RootConstrainSelectedInstOperands,
     /*   40383 */     // GIR_Coverage, 51942,
     /*   40383 */     GIR_EraseRootFromParent_Done,
     /*   40384 */   // Label 682: @40384
     /*   40384 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(40452), // Rule ID 51943 //
     /*   40389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   40392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   40408 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   40412 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40426 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   40426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   40429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40450 */     GIR_RootConstrainSelectedInstOperands,
     /*   40451 */     // GIR_Coverage, 51943,
     /*   40451 */     GIR_EraseRootFromParent_Done,
     /*   40452 */   // Label 683: @40452
     /*   40452 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(40507), // Rule ID 46792 //
     /*   40457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   40472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40485 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40505 */     GIR_RootConstrainSelectedInstOperands,
     /*   40506 */     // GIR_Coverage, 46792,
     /*   40506 */     GIR_EraseRootFromParent_Done,
     /*   40507 */   // Label 684: @40507
     /*   40507 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(40562), // Rule ID 46793 //
     /*   40512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   40527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40540 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40560 */     GIR_RootConstrainSelectedInstOperands,
     /*   40561 */     // GIR_Coverage, 46793,
     /*   40561 */     GIR_EraseRootFromParent_Done,
     /*   40562 */   // Label 685: @40562
     /*   40562 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(40617), // Rule ID 46552 //
     /*   40567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40595 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   40598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40615 */     GIR_RootConstrainSelectedInstOperands,
     /*   40616 */     // GIR_Coverage, 46552,
     /*   40616 */     GIR_EraseRootFromParent_Done,
     /*   40617 */   // Label 686: @40617
     /*   40617 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(40672), // Rule ID 46553 //
     /*   40622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40650 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   40653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40670 */     GIR_RootConstrainSelectedInstOperands,
     /*   40671 */     // GIR_Coverage, 46553,
     /*   40671 */     GIR_EraseRootFromParent_Done,
     /*   40672 */   // Label 687: @40672
     /*   40672 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(40727), // Rule ID 46672 //
     /*   40677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40696 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40705 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40725 */     GIR_RootConstrainSelectedInstOperands,
     /*   40726 */     // GIR_Coverage, 46672,
     /*   40726 */     GIR_EraseRootFromParent_Done,
     /*   40727 */   // Label 688: @40727
     /*   40727 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(40782), // Rule ID 46673 //
     /*   40732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40760 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40780 */     GIR_RootConstrainSelectedInstOperands,
     /*   40781 */     // GIR_Coverage, 46673,
     /*   40781 */     GIR_EraseRootFromParent_Done,
     /*   40782 */   // Label 689: @40782
     /*   40782 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(40835), // Rule ID 46174 //
     /*   40787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   40790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40798 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   40798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   40801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   40815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40833 */     GIR_RootConstrainSelectedInstOperands,
     /*   40834 */     // GIR_Coverage, 46174,
     /*   40834 */     GIR_EraseRootFromParent_Done,
     /*   40835 */   // Label 690: @40835
     /*   40835 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(40888), // Rule ID 46175 //
     /*   40840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   40843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40851 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   40851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   40854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   40868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40886 */     GIR_RootConstrainSelectedInstOperands,
     /*   40887 */     // GIR_Coverage, 46175,
     /*   40887 */     GIR_EraseRootFromParent_Done,
     /*   40888 */   // Label 691: @40888
     /*   40888 */   GIM_Reject,
     /*   40889 */ // Label 651: @40889
     /*   40889 */ GIM_Reject,
     /*   40890 */ // Label 140: @40890
     /*   40890 */ GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(41284),
     /*   40895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40905 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(40973), // Rule ID 70669 //
     /*   40910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40929 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40947 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   40947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   40950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40971 */     GIR_RootConstrainSelectedInstOperands,
     /*   40972 */     // GIR_Coverage, 70669,
     /*   40972 */     GIR_EraseRootFromParent_Done,
     /*   40973 */   // Label 693: @40973
     /*   40973 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(41041), // Rule ID 70670 //
     /*   40978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40993 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40997 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41015 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   41018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   41024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   41028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   41030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41039 */     GIR_RootConstrainSelectedInstOperands,
     /*   41040 */     // GIR_Coverage, 70670,
     /*   41040 */     GIR_EraseRootFromParent_Done,
     /*   41041 */   // Label 694: @41041
     /*   41041 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(41109), // Rule ID 51886 //
     /*   41046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   41069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41083 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   41086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   41092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   41096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   41098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41107 */     GIR_RootConstrainSelectedInstOperands,
     /*   41108 */     // GIR_Coverage, 51886,
     /*   41108 */     GIR_EraseRootFromParent_Done,
     /*   41109 */   // Label 695: @41109
     /*   41109 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(41177), // Rule ID 51887 //
     /*   41114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   41137 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41151 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   41154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   41160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   41164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   41166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41175 */     GIR_RootConstrainSelectedInstOperands,
     /*   41176 */     // GIR_Coverage, 51887,
     /*   41176 */     GIR_EraseRootFromParent_Done,
     /*   41177 */   // Label 696: @41177
     /*   41177 */   GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(41230), // Rule ID 46118 //
     /*   41182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41193 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   41193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   41196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   41210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   41219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41228 */     GIR_RootConstrainSelectedInstOperands,
     /*   41229 */     // GIR_Coverage, 46118,
     /*   41229 */     GIR_EraseRootFromParent_Done,
     /*   41230 */   // Label 697: @41230
     /*   41230 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(41283), // Rule ID 46119 //
     /*   41235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41246 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   41246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   41249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   41263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   41272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41281 */     GIR_RootConstrainSelectedInstOperands,
     /*   41282 */     // GIR_Coverage, 46119,
     /*   41282 */     GIR_EraseRootFromParent_Done,
     /*   41283 */   // Label 698: @41283
     /*   41283 */   GIM_Reject,
     /*   41284 */ // Label 692: @41284
     /*   41284 */ GIM_Reject,
     /*   41285 */ // Label 141: @41285
     /*   41285 */ GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(44409),
     /*   41290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41300 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(41396), // Rule ID 70845 //
     /*   41305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41320 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41330 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41334 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41338 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41340 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41345 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41349 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41353 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41357 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41359 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41368 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41370 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   41373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41394 */     GIR_RootConstrainSelectedInstOperands,
     /*   41395 */     // GIR_Coverage, 70845,
     /*   41395 */     GIR_EraseRootFromParent_Done,
     /*   41396 */   // Label 700: @41396
     /*   41396 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(41492), // Rule ID 70846 //
     /*   41401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41416 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41430 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41434 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41441 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41445 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41449 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41453 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41455 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41464 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41466 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   41469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41490 */     GIR_RootConstrainSelectedInstOperands,
     /*   41491 */     // GIR_Coverage, 70846,
     /*   41491 */     GIR_EraseRootFromParent_Done,
     /*   41492 */   // Label 701: @41492
     /*   41492 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(41588), // Rule ID 71093 //
     /*   41497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41512 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41516 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41530 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41541 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41545 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41549 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41551 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41560 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41562 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41586 */     GIR_RootConstrainSelectedInstOperands,
     /*   41587 */     // GIR_Coverage, 71093,
     /*   41587 */     GIR_EraseRootFromParent_Done,
     /*   41588 */   // Label 702: @41588
     /*   41588 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(41684), // Rule ID 71094 //
     /*   41593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41608 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41612 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41626 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41628 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41633 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41637 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41641 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41645 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41647 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41656 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41658 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41682 */     GIR_RootConstrainSelectedInstOperands,
     /*   41683 */     // GIR_Coverage, 71094,
     /*   41683 */     GIR_EraseRootFromParent_Done,
     /*   41684 */   // Label 703: @41684
     /*   41684 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(41780), // Rule ID 71095 //
     /*   41689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41704 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41722 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41729 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41733 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41737 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41741 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41743 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41752 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41754 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41778 */     GIR_RootConstrainSelectedInstOperands,
     /*   41779 */     // GIR_Coverage, 71095,
     /*   41779 */     GIR_EraseRootFromParent_Done,
     /*   41780 */   // Label 704: @41780
     /*   41780 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(41876), // Rule ID 71096 //
     /*   41785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41804 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41818 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41825 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41829 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41833 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41837 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41839 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41848 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41850 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41874 */     GIR_RootConstrainSelectedInstOperands,
     /*   41875 */     // GIR_Coverage, 71096,
     /*   41875 */     GIR_EraseRootFromParent_Done,
     /*   41876 */   // Label 705: @41876
     /*   41876 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(41972), // Rule ID 70959 //
     /*   41881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41900 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41914 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41921 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41925 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41929 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41933 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41935 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41944 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41946 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   41949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41970 */     GIR_RootConstrainSelectedInstOperands,
     /*   41971 */     // GIR_Coverage, 70959,
     /*   41971 */     GIR_EraseRootFromParent_Done,
     /*   41972 */   // Label 706: @41972
     /*   41972 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(42068), // Rule ID 70960 //
     /*   41977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41992 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41996 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42010 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42017 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42021 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42025 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42029 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42031 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42040 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42042 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   42045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   42049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42066 */     GIR_RootConstrainSelectedInstOperands,
     /*   42067 */     // GIR_Coverage, 70960,
     /*   42067 */     GIR_EraseRootFromParent_Done,
     /*   42068 */   // Label 707: @42068
     /*   42068 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(42164), // Rule ID 52042 //
     /*   42073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42110 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42125 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42129 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42131 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42136 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42138 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   42138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   42141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42162 */     GIR_RootConstrainSelectedInstOperands,
     /*   42163 */     // GIR_Coverage, 52042,
     /*   42163 */     GIR_EraseRootFromParent_Done,
     /*   42164 */   // Label 708: @42164
     /*   42164 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(42260), // Rule ID 52043 //
     /*   42169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42188 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42206 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42208 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42213 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42217 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42221 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42225 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42227 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42232 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42234 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   42237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42258 */     GIR_RootConstrainSelectedInstOperands,
     /*   42259 */     // GIR_Coverage, 52043,
     /*   42259 */     GIR_EraseRootFromParent_Done,
     /*   42260 */   // Label 709: @42260
     /*   42260 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(42356), // Rule ID 52160 //
     /*   42265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42288 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42302 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42309 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42313 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42317 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42321 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42323 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42328 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42330 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   42330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42354 */     GIR_RootConstrainSelectedInstOperands,
     /*   42355 */     // GIR_Coverage, 52160,
     /*   42355 */     GIR_EraseRootFromParent_Done,
     /*   42356 */   // Label 710: @42356
     /*   42356 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(42452), // Rule ID 52161 //
     /*   42361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42398 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42405 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42409 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42413 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42417 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42419 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42424 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42426 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42450 */     GIR_RootConstrainSelectedInstOperands,
     /*   42451 */     // GIR_Coverage, 52161,
     /*   42451 */     GIR_EraseRootFromParent_Done,
     /*   42452 */   // Label 711: @42452
     /*   42452 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(42548), // Rule ID 71091 //
     /*   42457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42476 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42480 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42501 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42505 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42509 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42513 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42515 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42520 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42522 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   42522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   42533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   42537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42546 */     GIR_RootConstrainSelectedInstOperands,
     /*   42547 */     // GIR_Coverage, 71091,
     /*   42547 */     GIR_EraseRootFromParent_Done,
     /*   42548 */   // Label 712: @42548
     /*   42548 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(42644), // Rule ID 71092 //
     /*   42553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42572 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42590 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42597 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42601 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42605 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42609 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42611 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42616 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42618 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   42629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   42633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42642 */     GIR_RootConstrainSelectedInstOperands,
     /*   42643 */     // GIR_Coverage, 71092,
     /*   42643 */     GIR_EraseRootFromParent_Done,
     /*   42644 */   // Label 713: @42644
     /*   42644 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(42740), // Rule ID 52100 //
     /*   42649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42668 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42672 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42686 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42693 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42697 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42701 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42705 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42707 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42712 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42714 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   42714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   42717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42738 */     GIR_RootConstrainSelectedInstOperands,
     /*   42739 */     // GIR_Coverage, 52100,
     /*   42739 */     GIR_EraseRootFromParent_Done,
     /*   42740 */   // Label 714: @42740
     /*   42740 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(42836), // Rule ID 52101 //
     /*   42745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42768 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42782 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42789 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42793 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42797 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42801 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42803 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42808 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42810 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   42813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42834 */     GIR_RootConstrainSelectedInstOperands,
     /*   42835 */     // GIR_Coverage, 52101,
     /*   42835 */     GIR_EraseRootFromParent_Done,
     /*   42836 */   // Label 715: @42836
     /*   42836 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(42925), // Rule ID 46692 //
     /*   42841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42875 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42884 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   42884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   42887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   42901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42923 */     GIR_RootConstrainSelectedInstOperands,
     /*   42924 */     // GIR_Coverage, 46692,
     /*   42924 */     GIR_EraseRootFromParent_Done,
     /*   42925 */   // Label 716: @42925
     /*   42925 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(43014), // Rule ID 46693 //
     /*   42930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42964 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42971 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42973 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   42973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   42976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   42990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43012 */     GIR_RootConstrainSelectedInstOperands,
     /*   43013 */     // GIR_Coverage, 46693,
     /*   43013 */     GIR_EraseRootFromParent_Done,
     /*   43014 */   // Label 717: @43014
     /*   43014 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(43103), // Rule ID 46456 //
     /*   43019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43034 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   43045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43053 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43060 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43062 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   43062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   43065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   43079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43101 */     GIR_RootConstrainSelectedInstOperands,
     /*   43102 */     // GIR_Coverage, 46456,
     /*   43102 */     GIR_EraseRootFromParent_Done,
     /*   43103 */   // Label 718: @43103
     /*   43103 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(43192), // Rule ID 46457 //
     /*   43108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   43134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43142 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43144 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43151 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   43151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   43154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   43168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43190 */     GIR_RootConstrainSelectedInstOperands,
     /*   43191 */     // GIR_Coverage, 46457,
     /*   43191 */     GIR_EraseRootFromParent_Done,
     /*   43192 */   // Label 719: @43192
     /*   43192 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(43281), // Rule ID 46572 //
     /*   43197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43212 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   43223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43231 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43233 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43238 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43240 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   43240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   43243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   43257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43279 */     GIR_RootConstrainSelectedInstOperands,
     /*   43280 */     // GIR_Coverage, 46572,
     /*   43280 */     GIR_EraseRootFromParent_Done,
     /*   43281 */   // Label 720: @43281
     /*   43281 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(43370), // Rule ID 46573 //
     /*   43286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   43312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43329 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   43329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   43332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   43346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43368 */     GIR_RootConstrainSelectedInstOperands,
     /*   43369 */     // GIR_Coverage, 46573,
     /*   43369 */     GIR_EraseRootFromParent_Done,
     /*   43370 */   // Label 721: @43370
     /*   43370 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(43438), // Rule ID 70725 //
     /*   43375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43394 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43412 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   43412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43436 */     GIR_RootConstrainSelectedInstOperands,
     /*   43437 */     // GIR_Coverage, 70725,
     /*   43437 */     GIR_EraseRootFromParent_Done,
     /*   43438 */   // Label 722: @43438
     /*   43438 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(43506), // Rule ID 70726 //
     /*   43443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43480 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43504 */     GIR_RootConstrainSelectedInstOperands,
     /*   43505 */     // GIR_Coverage, 70726,
     /*   43505 */     GIR_EraseRootFromParent_Done,
     /*   43506 */   // Label 723: @43506
     /*   43506 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(43561), // Rule ID 69649 //
     /*   43511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43526 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43539 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43559 */     GIR_RootConstrainSelectedInstOperands,
     /*   43560 */     // GIR_Coverage, 69649,
     /*   43560 */     GIR_EraseRootFromParent_Done,
     /*   43561 */   // Label 724: @43561
     /*   43561 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(43616), // Rule ID 69650 //
     /*   43566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43581 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43594 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43614 */     GIR_RootConstrainSelectedInstOperands,
     /*   43615 */     // GIR_Coverage, 69650,
     /*   43615 */     GIR_EraseRootFromParent_Done,
     /*   43616 */   // Label 725: @43616
     /*   43616 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(43671), // Rule ID 69469 //
     /*   43621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43636 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43649 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   43652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43669 */     GIR_RootConstrainSelectedInstOperands,
     /*   43670 */     // GIR_Coverage, 69469,
     /*   43670 */     GIR_EraseRootFromParent_Done,
     /*   43671 */   // Label 726: @43671
     /*   43671 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(43726), // Rule ID 69470 //
     /*   43676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43691 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43704 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   43707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43724 */     GIR_RootConstrainSelectedInstOperands,
     /*   43725 */     // GIR_Coverage, 69470,
     /*   43725 */     GIR_EraseRootFromParent_Done,
     /*   43726 */   // Label 727: @43726
     /*   43726 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(43781), // Rule ID 69559 //
     /*   43731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43746 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43759 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43779 */     GIR_RootConstrainSelectedInstOperands,
     /*   43780 */     // GIR_Coverage, 69559,
     /*   43780 */     GIR_EraseRootFromParent_Done,
     /*   43781 */   // Label 728: @43781
     /*   43781 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(43836), // Rule ID 69560 //
     /*   43786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43801 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43814 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43834 */     GIR_RootConstrainSelectedInstOperands,
     /*   43835 */     // GIR_Coverage, 69560,
     /*   43835 */     GIR_EraseRootFromParent_Done,
     /*   43836 */   // Label 729: @43836
     /*   43836 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(43904), // Rule ID 51914 //
     /*   43841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43864 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43878 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   43878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43902 */     GIR_RootConstrainSelectedInstOperands,
     /*   43903 */     // GIR_Coverage, 51914,
     /*   43903 */     GIR_EraseRootFromParent_Done,
     /*   43904 */   // Label 730: @43904
     /*   43904 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(43972), // Rule ID 51915 //
     /*   43909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43932 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43946 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43970 */     GIR_RootConstrainSelectedInstOperands,
     /*   43971 */     // GIR_Coverage, 51915,
     /*   43971 */     GIR_EraseRootFromParent_Done,
     /*   43972 */   // Label 731: @43972
     /*   43972 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(44027), // Rule ID 46752 //
     /*   43977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43996 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44005 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   44005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   44008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44025 */     GIR_RootConstrainSelectedInstOperands,
     /*   44026 */     // GIR_Coverage, 46752,
     /*   44026 */     GIR_EraseRootFromParent_Done,
     /*   44027 */   // Label 732: @44027
     /*   44027 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(44082), // Rule ID 46753 //
     /*   44032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44060 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   44060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   44063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44080 */     GIR_RootConstrainSelectedInstOperands,
     /*   44081 */     // GIR_Coverage, 46753,
     /*   44081 */     GIR_EraseRootFromParent_Done,
     /*   44082 */   // Label 733: @44082
     /*   44082 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(44137), // Rule ID 46512 //
     /*   44087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44115 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   44115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   44118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44135 */     GIR_RootConstrainSelectedInstOperands,
     /*   44136 */     // GIR_Coverage, 46512,
     /*   44136 */     GIR_EraseRootFromParent_Done,
     /*   44137 */   // Label 734: @44137
     /*   44137 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(44192), // Rule ID 46513 //
     /*   44142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44161 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44170 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   44170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   44173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44190 */     GIR_RootConstrainSelectedInstOperands,
     /*   44191 */     // GIR_Coverage, 46513,
     /*   44191 */     GIR_EraseRootFromParent_Done,
     /*   44192 */   // Label 735: @44192
     /*   44192 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(44247), // Rule ID 46632 //
     /*   44197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44216 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44218 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44225 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   44225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   44228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44245 */     GIR_RootConstrainSelectedInstOperands,
     /*   44246 */     // GIR_Coverage, 46632,
     /*   44246 */     GIR_EraseRootFromParent_Done,
     /*   44247 */   // Label 736: @44247
     /*   44247 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(44302), // Rule ID 46633 //
     /*   44252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44280 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   44280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   44283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44300 */     GIR_RootConstrainSelectedInstOperands,
     /*   44301 */     // GIR_Coverage, 46633,
     /*   44301 */     GIR_EraseRootFromParent_Done,
     /*   44302 */   // Label 737: @44302
     /*   44302 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(44355), // Rule ID 46146 //
     /*   44307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44318 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   44318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   44321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   44335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44353 */     GIR_RootConstrainSelectedInstOperands,
     /*   44354 */     // GIR_Coverage, 46146,
     /*   44354 */     GIR_EraseRootFromParent_Done,
     /*   44355 */   // Label 738: @44355
     /*   44355 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(44408), // Rule ID 46147 //
     /*   44360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44371 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   44371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   44374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   44388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44406 */     GIR_RootConstrainSelectedInstOperands,
     /*   44407 */     // GIR_Coverage, 46147,
     /*   44407 */     GIR_EraseRootFromParent_Done,
     /*   44408 */   // Label 739: @44408
     /*   44408 */   GIM_Reject,
     /*   44409 */ // Label 699: @44409
     /*   44409 */ GIM_Reject,
     /*   44410 */ // Label 142: @44410
     /*   44410 */ GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(47534),
     /*   44415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44425 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(44521), // Rule ID 70857 //
     /*   44430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44449 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44451 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44455 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44459 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44463 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44465 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44470 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44474 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44478 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44482 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44484 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44493 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44495 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   44498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44519 */     GIR_RootConstrainSelectedInstOperands,
     /*   44520 */     // GIR_Coverage, 70857,
     /*   44520 */     GIR_EraseRootFromParent_Done,
     /*   44521 */   // Label 741: @44521
     /*   44521 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(44617), // Rule ID 70858 //
     /*   44526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44541 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44545 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44559 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44566 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44570 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44574 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44578 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44580 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44589 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44591 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   44591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   44594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44615 */     GIR_RootConstrainSelectedInstOperands,
     /*   44616 */     // GIR_Coverage, 70858,
     /*   44616 */     GIR_EraseRootFromParent_Done,
     /*   44617 */   // Label 742: @44617
     /*   44617 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(44713), // Rule ID 71129 //
     /*   44622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44655 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44657 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44662 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44666 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44670 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44674 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44676 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44685 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44687 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44711 */     GIR_RootConstrainSelectedInstOperands,
     /*   44712 */     // GIR_Coverage, 71129,
     /*   44712 */     GIR_EraseRootFromParent_Done,
     /*   44713 */   // Label 743: @44713
     /*   44713 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(44809), // Rule ID 71130 //
     /*   44718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44737 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44751 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44758 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44762 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44766 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44770 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44772 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44781 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44783 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   44783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44807 */     GIR_RootConstrainSelectedInstOperands,
     /*   44808 */     // GIR_Coverage, 71130,
     /*   44808 */     GIR_EraseRootFromParent_Done,
     /*   44809 */   // Label 744: @44809
     /*   44809 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(44905), // Rule ID 71131 //
     /*   44814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44829 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44833 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44843 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44847 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44849 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44854 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44858 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44862 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44866 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44868 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44877 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44879 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44903 */     GIR_RootConstrainSelectedInstOperands,
     /*   44904 */     // GIR_Coverage, 71131,
     /*   44904 */     GIR_EraseRootFromParent_Done,
     /*   44905 */   // Label 745: @44905
     /*   44905 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(45001), // Rule ID 71132 //
     /*   44910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44929 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44939 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44943 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44945 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44950 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44954 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44958 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44962 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44964 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44973 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44975 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   44975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44999 */     GIR_RootConstrainSelectedInstOperands,
     /*   45000 */     // GIR_Coverage, 71132,
     /*   45000 */     GIR_EraseRootFromParent_Done,
     /*   45001 */   // Label 746: @45001
     /*   45001 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(45097), // Rule ID 70971 //
     /*   45006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45039 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45046 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45050 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45054 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45058 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45060 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45069 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45071 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   45074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   45078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45095 */     GIR_RootConstrainSelectedInstOperands,
     /*   45096 */     // GIR_Coverage, 70971,
     /*   45096 */     GIR_EraseRootFromParent_Done,
     /*   45097 */   // Label 747: @45097
     /*   45097 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(45193), // Rule ID 70972 //
     /*   45102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45135 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45137 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45142 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45146 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45150 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45154 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45156 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45165 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45167 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   45170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   45174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45191 */     GIR_RootConstrainSelectedInstOperands,
     /*   45192 */     // GIR_Coverage, 70972,
     /*   45192 */     GIR_EraseRootFromParent_Done,
     /*   45193 */   // Label 748: @45193
     /*   45193 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(45289), // Rule ID 52054 //
     /*   45198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45221 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45223 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45227 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45231 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45235 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45237 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45242 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45246 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45250 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45254 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45256 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45261 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45263 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   45266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45287 */     GIR_RootConstrainSelectedInstOperands,
     /*   45288 */     // GIR_Coverage, 52054,
     /*   45288 */     GIR_EraseRootFromParent_Done,
     /*   45289 */   // Label 749: @45289
     /*   45289 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(45385), // Rule ID 52055 //
     /*   45294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45313 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45317 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45331 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45338 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45342 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45346 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45350 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45352 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45357 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45359 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   45362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45383 */     GIR_RootConstrainSelectedInstOperands,
     /*   45384 */     // GIR_Coverage, 52055,
     /*   45384 */     GIR_EraseRootFromParent_Done,
     /*   45385 */   // Label 750: @45385
     /*   45385 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(45481), // Rule ID 52172 //
     /*   45390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45409 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45413 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45415 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45419 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45423 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45427 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45429 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45434 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45438 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45442 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45446 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45448 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45453 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45455 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45479 */     GIR_RootConstrainSelectedInstOperands,
     /*   45480 */     // GIR_Coverage, 52172,
     /*   45480 */     GIR_EraseRootFromParent_Done,
     /*   45481 */   // Label 751: @45481
     /*   45481 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(45577), // Rule ID 52173 //
     /*   45486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45509 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45519 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45523 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45525 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45530 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45534 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45538 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45542 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45544 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45549 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45551 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45575 */     GIR_RootConstrainSelectedInstOperands,
     /*   45576 */     // GIR_Coverage, 52173,
     /*   45576 */     GIR_EraseRootFromParent_Done,
     /*   45577 */   // Label 752: @45577
     /*   45577 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(45673), // Rule ID 71127 //
     /*   45582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45601 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45605 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45619 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45626 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45630 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45634 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45638 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45640 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45645 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45647 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   45658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   45662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45671 */     GIR_RootConstrainSelectedInstOperands,
     /*   45672 */     // GIR_Coverage, 71127,
     /*   45672 */     GIR_EraseRootFromParent_Done,
     /*   45673 */   // Label 753: @45673
     /*   45673 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(45769), // Rule ID 71128 //
     /*   45678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45697 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45703 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45707 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45711 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45715 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45717 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45722 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45726 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45730 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45734 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45736 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45741 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45743 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   45754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   45758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45767 */     GIR_RootConstrainSelectedInstOperands,
     /*   45768 */     // GIR_Coverage, 71128,
     /*   45768 */     GIR_EraseRootFromParent_Done,
     /*   45769 */   // Label 754: @45769
     /*   45769 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(45865), // Rule ID 52112 //
     /*   45774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45793 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45797 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45811 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45818 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45822 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45826 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45830 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45832 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45837 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45839 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   45842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45863 */     GIR_RootConstrainSelectedInstOperands,
     /*   45864 */     // GIR_Coverage, 52112,
     /*   45864 */     GIR_EraseRootFromParent_Done,
     /*   45865 */   // Label 755: @45865
     /*   45865 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(45961), // Rule ID 52113 //
     /*   45870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45889 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45893 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45907 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45914 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45918 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45922 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45926 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45928 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45933 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45935 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   45938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45959 */     GIR_RootConstrainSelectedInstOperands,
     /*   45960 */     // GIR_Coverage, 52113,
     /*   45960 */     GIR_EraseRootFromParent_Done,
     /*   45961 */   // Label 756: @45961
     /*   45961 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(46050), // Rule ID 46716 //
     /*   45966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45981 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46000 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46002 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46009 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   46009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   46026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46048 */     GIR_RootConstrainSelectedInstOperands,
     /*   46049 */     // GIR_Coverage, 46716,
     /*   46049 */     GIR_EraseRootFromParent_Done,
     /*   46050 */   // Label 757: @46050
     /*   46050 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(46139), // Rule ID 46717 //
     /*   46055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46089 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46091 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46096 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46098 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   46098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   46115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46137 */     GIR_RootConstrainSelectedInstOperands,
     /*   46138 */     // GIR_Coverage, 46717,
     /*   46138 */     GIR_EraseRootFromParent_Done,
     /*   46139 */   // Label 758: @46139
     /*   46139 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(46228), // Rule ID 46480 //
     /*   46144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46159 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46174 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46178 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46180 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46185 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46187 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   46187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   46204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46226 */     GIR_RootConstrainSelectedInstOperands,
     /*   46227 */     // GIR_Coverage, 46480,
     /*   46227 */     GIR_EraseRootFromParent_Done,
     /*   46228 */   // Label 759: @46228
     /*   46228 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(46317), // Rule ID 46481 //
     /*   46233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46248 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46267 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46269 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46276 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   46276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   46293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46315 */     GIR_RootConstrainSelectedInstOperands,
     /*   46316 */     // GIR_Coverage, 46481,
     /*   46316 */     GIR_EraseRootFromParent_Done,
     /*   46317 */   // Label 760: @46317
     /*   46317 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(46406), // Rule ID 46596 //
     /*   46322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46337 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46356 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46358 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46365 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   46365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   46382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46404 */     GIR_RootConstrainSelectedInstOperands,
     /*   46405 */     // GIR_Coverage, 46596,
     /*   46405 */     GIR_EraseRootFromParent_Done,
     /*   46406 */   // Label 761: @46406
     /*   46406 */   GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(46495), // Rule ID 46597 //
     /*   46411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46454 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   46454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   46471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46493 */     GIR_RootConstrainSelectedInstOperands,
     /*   46494 */     // GIR_Coverage, 46597,
     /*   46494 */     GIR_EraseRootFromParent_Done,
     /*   46495 */   // Label 762: @46495
     /*   46495 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(46563), // Rule ID 70757 //
     /*   46500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46515 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46519 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46537 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46561 */     GIR_RootConstrainSelectedInstOperands,
     /*   46562 */     // GIR_Coverage, 70757,
     /*   46562 */     GIR_EraseRootFromParent_Done,
     /*   46563 */   // Label 763: @46563
     /*   46563 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(46631), // Rule ID 70758 //
     /*   46568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46587 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46605 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46629 */     GIR_RootConstrainSelectedInstOperands,
     /*   46630 */     // GIR_Coverage, 70758,
     /*   46630 */     GIR_EraseRootFromParent_Done,
     /*   46631 */   // Label 764: @46631
     /*   46631 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(46686), // Rule ID 69673 //
     /*   46636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46651 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46664 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46684 */     GIR_RootConstrainSelectedInstOperands,
     /*   46685 */     // GIR_Coverage, 69673,
     /*   46685 */     GIR_EraseRootFromParent_Done,
     /*   46686 */   // Label 765: @46686
     /*   46686 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(46741), // Rule ID 69674 //
     /*   46691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46719 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   46719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46739 */     GIR_RootConstrainSelectedInstOperands,
     /*   46740 */     // GIR_Coverage, 69674,
     /*   46740 */     GIR_EraseRootFromParent_Done,
     /*   46741 */   // Label 766: @46741
     /*   46741 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(46796), // Rule ID 69493 //
     /*   46746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46774 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   46777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46794 */     GIR_RootConstrainSelectedInstOperands,
     /*   46795 */     // GIR_Coverage, 69493,
     /*   46795 */     GIR_EraseRootFromParent_Done,
     /*   46796 */   // Label 767: @46796
     /*   46796 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(46851), // Rule ID 69494 //
     /*   46801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46816 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46829 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   46829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   46832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46849 */     GIR_RootConstrainSelectedInstOperands,
     /*   46850 */     // GIR_Coverage, 69494,
     /*   46850 */     GIR_EraseRootFromParent_Done,
     /*   46851 */   // Label 768: @46851
     /*   46851 */   GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(46906), // Rule ID 69583 //
     /*   46856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46884 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46904 */     GIR_RootConstrainSelectedInstOperands,
     /*   46905 */     // GIR_Coverage, 69583,
     /*   46905 */     GIR_EraseRootFromParent_Done,
     /*   46906 */   // Label 769: @46906
     /*   46906 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(46961), // Rule ID 69584 //
     /*   46911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46926 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46939 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   46939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46959 */     GIR_RootConstrainSelectedInstOperands,
     /*   46960 */     // GIR_Coverage, 69584,
     /*   46960 */     GIR_EraseRootFromParent_Done,
     /*   46961 */   // Label 770: @46961
     /*   46961 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(47029), // Rule ID 51930 //
     /*   46966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46989 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47003 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   47003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   47006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   47012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47027 */     GIR_RootConstrainSelectedInstOperands,
     /*   47028 */     // GIR_Coverage, 51930,
     /*   47028 */     GIR_EraseRootFromParent_Done,
     /*   47029 */   // Label 771: @47029
     /*   47029 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(47097), // Rule ID 51931 //
     /*   47034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47053 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   47057 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47071 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   47071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   47074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   47080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47095 */     GIR_RootConstrainSelectedInstOperands,
     /*   47096 */     // GIR_Coverage, 51931,
     /*   47096 */     GIR_EraseRootFromParent_Done,
     /*   47097 */   // Label 772: @47097
     /*   47097 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(47152), // Rule ID 46776 //
     /*   47102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   47117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47130 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   47130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   47133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47150 */     GIR_RootConstrainSelectedInstOperands,
     /*   47151 */     // GIR_Coverage, 46776,
     /*   47151 */     GIR_EraseRootFromParent_Done,
     /*   47152 */   // Label 773: @47152
     /*   47152 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(47207), // Rule ID 46777 //
     /*   47157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   47172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47176 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47185 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   47185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   47188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47205 */     GIR_RootConstrainSelectedInstOperands,
     /*   47206 */     // GIR_Coverage, 46777,
     /*   47206 */     GIR_EraseRootFromParent_Done,
     /*   47207 */   // Label 774: @47207
     /*   47207 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(47262), // Rule ID 46536 //
     /*   47212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47231 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47240 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   47240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   47243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47260 */     GIR_RootConstrainSelectedInstOperands,
     /*   47261 */     // GIR_Coverage, 46536,
     /*   47261 */     GIR_EraseRootFromParent_Done,
     /*   47262 */   // Label 775: @47262
     /*   47262 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(47317), // Rule ID 46537 //
     /*   47267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47286 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47295 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   47295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   47298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47315 */     GIR_RootConstrainSelectedInstOperands,
     /*   47316 */     // GIR_Coverage, 46537,
     /*   47316 */     GIR_EraseRootFromParent_Done,
     /*   47317 */   // Label 776: @47317
     /*   47317 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(47372), // Rule ID 46656 //
     /*   47322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47341 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47350 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   47350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   47353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47370 */     GIR_RootConstrainSelectedInstOperands,
     /*   47371 */     // GIR_Coverage, 46656,
     /*   47371 */     GIR_EraseRootFromParent_Done,
     /*   47372 */   // Label 777: @47372
     /*   47372 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(47427), // Rule ID 46657 //
     /*   47377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47405 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   47405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   47408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47425 */     GIR_RootConstrainSelectedInstOperands,
     /*   47426 */     // GIR_Coverage, 46657,
     /*   47426 */     GIR_EraseRootFromParent_Done,
     /*   47427 */   // Label 778: @47427
     /*   47427 */   GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(47480), // Rule ID 46162 //
     /*   47432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47443 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   47443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   47446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   47460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47478 */     GIR_RootConstrainSelectedInstOperands,
     /*   47479 */     // GIR_Coverage, 46162,
     /*   47479 */     GIR_EraseRootFromParent_Done,
     /*   47480 */   // Label 779: @47480
     /*   47480 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(47533), // Rule ID 46163 //
     /*   47485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47496 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   47496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   47499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   47513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47531 */     GIR_RootConstrainSelectedInstOperands,
     /*   47532 */     // GIR_Coverage, 46163,
     /*   47532 */     GIR_EraseRootFromParent_Done,
     /*   47533 */   // Label 780: @47533
     /*   47533 */   GIM_Reject,
     /*   47534 */ // Label 740: @47534
     /*   47534 */ GIM_Reject,
     /*   47535 */ // Label 143: @47535
     /*   47535 */ GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(50659),
     /*   47540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47550 */   GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(47646), // Rule ID 70867 //
     /*   47555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47574 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47588 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47590 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47595 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47599 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47603 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47607 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47609 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47618 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47620 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   47620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   47623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47644 */     GIR_RootConstrainSelectedInstOperands,
     /*   47645 */     // GIR_Coverage, 70867,
     /*   47645 */     GIR_EraseRootFromParent_Done,
     /*   47646 */   // Label 782: @47646
     /*   47646 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(47742), // Rule ID 70868 //
     /*   47651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   47654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47666 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47670 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47684 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47691 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47695 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47699 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47703 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47705 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47714 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47716 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   47716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   47719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47740 */     GIR_RootConstrainSelectedInstOperands,
     /*   47741 */     // GIR_Coverage, 70868,
     /*   47741 */     GIR_EraseRootFromParent_Done,
     /*   47742 */   // Label 783: @47742
     /*   47742 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(47838), // Rule ID 71159 //
     /*   47747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47766 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47787 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47791 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47795 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47799 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47801 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47810 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47812 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   47812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47836 */     GIR_RootConstrainSelectedInstOperands,
     /*   47837 */     // GIR_Coverage, 71159,
     /*   47837 */     GIR_EraseRootFromParent_Done,
     /*   47838 */   // Label 784: @47838
     /*   47838 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(47934), // Rule ID 71160 //
     /*   47843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   47846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47862 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47876 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47883 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47887 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47891 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47895 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47897 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47906 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47908 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   47908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47932 */     GIR_RootConstrainSelectedInstOperands,
     /*   47933 */     // GIR_Coverage, 71160,
     /*   47933 */     GIR_EraseRootFromParent_Done,
     /*   47934 */   // Label 785: @47934
     /*   47934 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(48030), // Rule ID 71161 //
     /*   47939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47958 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47972 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47974 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47979 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47983 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47987 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47991 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47993 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48002 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48004 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   48011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48028 */     GIR_RootConstrainSelectedInstOperands,
     /*   48029 */     // GIR_Coverage, 71161,
     /*   48029 */     GIR_EraseRootFromParent_Done,
     /*   48030 */   // Label 786: @48030
     /*   48030 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(48126), // Rule ID 71162 //
     /*   48035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48054 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48068 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48075 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48079 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48083 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48087 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48089 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48098 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48100 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   48107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48124 */     GIR_RootConstrainSelectedInstOperands,
     /*   48125 */     // GIR_Coverage, 71162,
     /*   48125 */     GIR_EraseRootFromParent_Done,
     /*   48126 */   // Label 787: @48126
     /*   48126 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(48222), // Rule ID 70981 //
     /*   48131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48146 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48150 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48164 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48166 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48171 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48175 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48179 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48183 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48185 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48194 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48196 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   48203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48220 */     GIR_RootConstrainSelectedInstOperands,
     /*   48221 */     // GIR_Coverage, 70981,
     /*   48221 */     GIR_EraseRootFromParent_Done,
     /*   48222 */   // Label 788: @48222
     /*   48222 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(48318), // Rule ID 70982 //
     /*   48227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48242 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48260 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48267 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48271 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48275 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48279 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48281 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48290 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48292 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   48299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48316 */     GIR_RootConstrainSelectedInstOperands,
     /*   48317 */     // GIR_Coverage, 70982,
     /*   48317 */     GIR_EraseRootFromParent_Done,
     /*   48318 */   // Label 789: @48318
     /*   48318 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(48414), // Rule ID 52064 //
     /*   48323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48360 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48367 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48371 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48375 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48379 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48381 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48386 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48388 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   48391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48412 */     GIR_RootConstrainSelectedInstOperands,
     /*   48413 */     // GIR_Coverage, 52064,
     /*   48413 */     GIR_EraseRootFromParent_Done,
     /*   48414 */   // Label 790: @48414
     /*   48414 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(48510), // Rule ID 52065 //
     /*   48419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48438 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48442 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48456 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48463 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48467 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48471 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48475 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48477 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48484 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   48487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48508 */     GIR_RootConstrainSelectedInstOperands,
     /*   48509 */     // GIR_Coverage, 52065,
     /*   48509 */     GIR_EraseRootFromParent_Done,
     /*   48510 */   // Label 791: @48510
     /*   48510 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(48606), // Rule ID 52182 //
     /*   48515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48538 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48552 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48554 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48559 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48563 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48567 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48571 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48573 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48578 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48580 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48604 */     GIR_RootConstrainSelectedInstOperands,
     /*   48605 */     // GIR_Coverage, 52182,
     /*   48605 */     GIR_EraseRootFromParent_Done,
     /*   48606 */   // Label 792: @48606
     /*   48606 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(48702), // Rule ID 52183 //
     /*   48611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48634 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48648 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48663 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48667 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48669 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48674 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48676 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48700 */     GIR_RootConstrainSelectedInstOperands,
     /*   48701 */     // GIR_Coverage, 52183,
     /*   48701 */     GIR_EraseRootFromParent_Done,
     /*   48702 */   // Label 793: @48702
     /*   48702 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(48798), // Rule ID 71157 //
     /*   48707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48726 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48744 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48746 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48751 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48755 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48759 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48763 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48765 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48770 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48772 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48796 */     GIR_RootConstrainSelectedInstOperands,
     /*   48797 */     // GIR_Coverage, 71157,
     /*   48797 */     GIR_EraseRootFromParent_Done,
     /*   48798 */   // Label 794: @48798
     /*   48798 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(48894), // Rule ID 71158 //
     /*   48803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48840 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48842 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48847 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48851 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48855 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48859 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48861 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48866 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48868 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48892 */     GIR_RootConstrainSelectedInstOperands,
     /*   48893 */     // GIR_Coverage, 71158,
     /*   48893 */     GIR_EraseRootFromParent_Done,
     /*   48894 */   // Label 795: @48894
     /*   48894 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(48990), // Rule ID 52122 //
     /*   48899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48936 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48943 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48947 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48951 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48955 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48957 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48962 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48964 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48988 */     GIR_RootConstrainSelectedInstOperands,
     /*   48989 */     // GIR_Coverage, 52122,
     /*   48989 */     GIR_EraseRootFromParent_Done,
     /*   48990 */   // Label 796: @48990
     /*   48990 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(49086), // Rule ID 52123 //
     /*   48995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   49014 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   49018 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   49024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49032 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49039 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   49043 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49047 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49051 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   49053 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49058 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   49060 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   49060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   49063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   49067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   49075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49084 */     GIR_RootConstrainSelectedInstOperands,
     /*   49085 */     // GIR_Coverage, 52123,
     /*   49085 */     GIR_EraseRootFromParent_Done,
     /*   49086 */   // Label 797: @49086
     /*   49086 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(49175), // Rule ID 46736 //
     /*   49091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49125 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49134 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   49134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49173 */     GIR_RootConstrainSelectedInstOperands,
     /*   49174 */     // GIR_Coverage, 46736,
     /*   49174 */     GIR_EraseRootFromParent_Done,
     /*   49175 */   // Label 798: @49175
     /*   49175 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(49264), // Rule ID 46737 //
     /*   49180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49195 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49214 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49221 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49223 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   49223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49262 */     GIR_RootConstrainSelectedInstOperands,
     /*   49263 */     // GIR_Coverage, 46737,
     /*   49263 */     GIR_EraseRootFromParent_Done,
     /*   49264 */   // Label 799: @49264
     /*   49264 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(49353), // Rule ID 46500 //
     /*   49269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49284 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49303 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49305 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49310 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49312 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   49312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   49329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49351 */     GIR_RootConstrainSelectedInstOperands,
     /*   49352 */     // GIR_Coverage, 46500,
     /*   49352 */     GIR_EraseRootFromParent_Done,
     /*   49353 */   // Label 800: @49353
     /*   49353 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(49442), // Rule ID 46501 //
     /*   49358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49373 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49380 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49384 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49388 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49392 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49394 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49399 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49401 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   49401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   49418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49440 */     GIR_RootConstrainSelectedInstOperands,
     /*   49441 */     // GIR_Coverage, 46501,
     /*   49441 */     GIR_EraseRootFromParent_Done,
     /*   49442 */   // Label 801: @49442
     /*   49442 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(49531), // Rule ID 46616 //
     /*   49447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49481 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49483 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49488 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49490 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   49490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49529 */     GIR_RootConstrainSelectedInstOperands,
     /*   49530 */     // GIR_Coverage, 46616,
     /*   49530 */     GIR_EraseRootFromParent_Done,
     /*   49531 */   // Label 802: @49531
     /*   49531 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(49620), // Rule ID 46617 //
     /*   49536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49570 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49579 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   49579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49618 */     GIR_RootConstrainSelectedInstOperands,
     /*   49619 */     // GIR_Coverage, 46617,
     /*   49619 */     GIR_EraseRootFromParent_Done,
     /*   49620 */   // Label 803: @49620
     /*   49620 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(49688), // Rule ID 70789 //
     /*   49625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   49628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   49640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   49644 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49662 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   49662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   49665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   49683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49686 */     GIR_RootConstrainSelectedInstOperands,
     /*   49687 */     // GIR_Coverage, 70789,
     /*   49687 */     GIR_EraseRootFromParent_Done,
     /*   49688 */   // Label 804: @49688
     /*   49688 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(49756), // Rule ID 70790 //
     /*   49693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   49696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   49708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   49712 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49730 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   49730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   49733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   49751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49754 */     GIR_RootConstrainSelectedInstOperands,
     /*   49755 */     // GIR_Coverage, 70790,
     /*   49755 */     GIR_EraseRootFromParent_Done,
     /*   49756 */   // Label 805: @49756
     /*   49756 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(49811), // Rule ID 69693 //
     /*   49761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49789 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   49789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49809 */     GIR_RootConstrainSelectedInstOperands,
     /*   49810 */     // GIR_Coverage, 69693,
     /*   49810 */     GIR_EraseRootFromParent_Done,
     /*   49811 */   // Label 806: @49811
     /*   49811 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(49866), // Rule ID 69694 //
     /*   49816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49844 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   49844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49864 */     GIR_RootConstrainSelectedInstOperands,
     /*   49865 */     // GIR_Coverage, 69694,
     /*   49865 */     GIR_EraseRootFromParent_Done,
     /*   49866 */   // Label 807: @49866
     /*   49866 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(49921), // Rule ID 69513 //
     /*   49871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49899 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   49899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   49902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49919 */     GIR_RootConstrainSelectedInstOperands,
     /*   49920 */     // GIR_Coverage, 69513,
     /*   49920 */     GIR_EraseRootFromParent_Done,
     /*   49921 */   // Label 808: @49921
     /*   49921 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(49976), // Rule ID 69514 //
     /*   49926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49941 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49954 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   49954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   49957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49974 */     GIR_RootConstrainSelectedInstOperands,
     /*   49975 */     // GIR_Coverage, 69514,
     /*   49975 */     GIR_EraseRootFromParent_Done,
     /*   49976 */   // Label 809: @49976
     /*   49976 */   GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(50031), // Rule ID 69603 //
     /*   49981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49996 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50009 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   50009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50029 */     GIR_RootConstrainSelectedInstOperands,
     /*   50030 */     // GIR_Coverage, 69603,
     /*   50030 */     GIR_EraseRootFromParent_Done,
     /*   50031 */   // Label 810: @50031
     /*   50031 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(50086), // Rule ID 69604 //
     /*   50036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   50039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50064 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   50064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50084 */     GIR_RootConstrainSelectedInstOperands,
     /*   50085 */     // GIR_Coverage, 69604,
     /*   50085 */     GIR_EraseRootFromParent_Done,
     /*   50086 */   // Label 811: @50086
     /*   50086 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(50154), // Rule ID 51946 //
     /*   50091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   50094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   50110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   50114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50128 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   50128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   50131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   50149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50152 */     GIR_RootConstrainSelectedInstOperands,
     /*   50153 */     // GIR_Coverage, 51946,
     /*   50153 */     GIR_EraseRootFromParent_Done,
     /*   50154 */   // Label 812: @50154
     /*   50154 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(50222), // Rule ID 51947 //
     /*   50159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   50162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   50178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   50182 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50184 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50196 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   50196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   50199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   50217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50220 */     GIR_RootConstrainSelectedInstOperands,
     /*   50221 */     // GIR_Coverage, 51947,
     /*   50221 */     GIR_EraseRootFromParent_Done,
     /*   50222 */   // Label 813: @50222
     /*   50222 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(50277), // Rule ID 46796 //
     /*   50227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   50230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   50242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50255 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   50255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50275 */     GIR_RootConstrainSelectedInstOperands,
     /*   50276 */     // GIR_Coverage, 46796,
     /*   50276 */     GIR_EraseRootFromParent_Done,
     /*   50277 */   // Label 814: @50277
     /*   50277 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(50332), // Rule ID 46797 //
     /*   50282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   50285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   50297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50310 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   50310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50330 */     GIR_RootConstrainSelectedInstOperands,
     /*   50331 */     // GIR_Coverage, 46797,
     /*   50331 */     GIR_EraseRootFromParent_Done,
     /*   50332 */   // Label 815: @50332
     /*   50332 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(50387), // Rule ID 46556 //
     /*   50337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   50340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50365 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   50365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   50368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50385 */     GIR_RootConstrainSelectedInstOperands,
     /*   50386 */     // GIR_Coverage, 46556,
     /*   50386 */     GIR_EraseRootFromParent_Done,
     /*   50387 */   // Label 816: @50387
     /*   50387 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(50442), // Rule ID 46557 //
     /*   50392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   50395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50420 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   50420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   50423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50440 */     GIR_RootConstrainSelectedInstOperands,
     /*   50441 */     // GIR_Coverage, 46557,
     /*   50441 */     GIR_EraseRootFromParent_Done,
     /*   50442 */   // Label 817: @50442
     /*   50442 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(50497), // Rule ID 46676 //
     /*   50447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   50450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50475 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   50475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50495 */     GIR_RootConstrainSelectedInstOperands,
     /*   50496 */     // GIR_Coverage, 46676,
     /*   50496 */     GIR_EraseRootFromParent_Done,
     /*   50497 */   // Label 818: @50497
     /*   50497 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(50552), // Rule ID 46677 //
     /*   50502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   50505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50530 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   50530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50550 */     GIR_RootConstrainSelectedInstOperands,
     /*   50551 */     // GIR_Coverage, 46677,
     /*   50551 */     GIR_EraseRootFromParent_Done,
     /*   50552 */   // Label 819: @50552
     /*   50552 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(50605), // Rule ID 46178 //
     /*   50557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   50560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50568 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   50568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   50571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   50585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   50600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50603 */     GIR_RootConstrainSelectedInstOperands,
     /*   50604 */     // GIR_Coverage, 46178,
     /*   50604 */     GIR_EraseRootFromParent_Done,
     /*   50605 */   // Label 820: @50605
     /*   50605 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(50658), // Rule ID 46179 //
     /*   50610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   50613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50621 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   50621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   50624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   50638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   50653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50656 */     GIR_RootConstrainSelectedInstOperands,
     /*   50657 */     // GIR_Coverage, 46179,
     /*   50657 */     GIR_EraseRootFromParent_Done,
     /*   50658 */   // Label 821: @50658
     /*   50658 */   GIM_Reject,
     /*   50659 */ // Label 781: @50659
     /*   50659 */ GIM_Reject,
     /*   50660 */ // Label 144: @50660
     /*   50660 */ GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(51054),
     /*   50665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50675 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(50743), // Rule ID 70701 //
     /*   50680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50695 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50699 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50717 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   50717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50741 */     GIR_RootConstrainSelectedInstOperands,
     /*   50742 */     // GIR_Coverage, 70701,
     /*   50742 */     GIR_EraseRootFromParent_Done,
     /*   50743 */   // Label 823: @50743
     /*   50743 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(50811), // Rule ID 70702 //
     /*   50748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50763 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50767 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50785 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   50785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50809 */     GIR_RootConstrainSelectedInstOperands,
     /*   50810 */     // GIR_Coverage, 70702,
     /*   50810 */     GIR_EraseRootFromParent_Done,
     /*   50811 */   // Label 824: @50811
     /*   50811 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(50879), // Rule ID 51902 //
     /*   50816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50839 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50853 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   50853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50877 */     GIR_RootConstrainSelectedInstOperands,
     /*   50878 */     // GIR_Coverage, 51902,
     /*   50878 */     GIR_EraseRootFromParent_Done,
     /*   50879 */   // Label 825: @50879
     /*   50879 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(50947), // Rule ID 51903 //
     /*   50884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50921 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   50921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50945 */     GIR_RootConstrainSelectedInstOperands,
     /*   50946 */     // GIR_Coverage, 51903,
     /*   50946 */     GIR_EraseRootFromParent_Done,
     /*   50947 */   // Label 826: @50947
     /*   50947 */   GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(51000), // Rule ID 46134 //
     /*   50952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50963 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   50963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   50966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   50980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50998 */     GIR_RootConstrainSelectedInstOperands,
     /*   50999 */     // GIR_Coverage, 46134,
     /*   50999 */     GIR_EraseRootFromParent_Done,
     /*   51000 */   // Label 827: @51000
     /*   51000 */   GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(51053), // Rule ID 46135 //
     /*   51005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51016 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   51016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   51019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   51033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51051 */     GIR_RootConstrainSelectedInstOperands,
     /*   51052 */     // GIR_Coverage, 46135,
     /*   51052 */     GIR_EraseRootFromParent_Done,
     /*   51053 */   // Label 828: @51053
     /*   51053 */   GIM_Reject,
     /*   51054 */ // Label 822: @51054
     /*   51054 */ GIM_Reject,
     /*   51055 */ // Label 145: @51055
     /*   51055 */ GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(54179),
     /*   51060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51070 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(51166), // Rule ID 70847 //
     /*   51075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51094 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51108 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51115 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51119 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51123 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51127 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51129 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51138 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51140 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   51143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51164 */     GIR_RootConstrainSelectedInstOperands,
     /*   51165 */     // GIR_Coverage, 70847,
     /*   51165 */     GIR_EraseRootFromParent_Done,
     /*   51166 */   // Label 830: @51166
     /*   51166 */   GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(51262), // Rule ID 70848 //
     /*   51171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51186 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51204 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51206 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51211 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51215 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51219 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51223 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51225 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51234 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51236 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   51239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51260 */     GIR_RootConstrainSelectedInstOperands,
     /*   51261 */     // GIR_Coverage, 70848,
     /*   51261 */     GIR_EraseRootFromParent_Done,
     /*   51262 */   // Label 831: @51262
     /*   51262 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(51358), // Rule ID 71099 //
     /*   51267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51286 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51300 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51307 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51311 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51315 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51319 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51321 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51330 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51332 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51356 */     GIR_RootConstrainSelectedInstOperands,
     /*   51357 */     // GIR_Coverage, 71099,
     /*   51357 */     GIR_EraseRootFromParent_Done,
     /*   51358 */   // Label 832: @51358
     /*   51358 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(51454), // Rule ID 71100 //
     /*   51363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51378 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51382 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51396 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51398 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51403 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51407 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51411 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51415 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51417 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51426 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51428 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51452 */     GIR_RootConstrainSelectedInstOperands,
     /*   51453 */     // GIR_Coverage, 71100,
     /*   51453 */     GIR_EraseRootFromParent_Done,
     /*   51454 */   // Label 833: @51454
     /*   51454 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(51550), // Rule ID 71101 //
     /*   51459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51474 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51478 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51492 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51499 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51503 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51507 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51511 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51513 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51522 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51524 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51548 */     GIR_RootConstrainSelectedInstOperands,
     /*   51549 */     // GIR_Coverage, 71101,
     /*   51549 */     GIR_EraseRootFromParent_Done,
     /*   51550 */   // Label 834: @51550
     /*   51550 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(51646), // Rule ID 71102 //
     /*   51555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51574 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51588 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51590 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51595 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51599 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51603 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51607 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51609 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51618 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51620 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51644 */     GIR_RootConstrainSelectedInstOperands,
     /*   51645 */     // GIR_Coverage, 71102,
     /*   51645 */     GIR_EraseRootFromParent_Done,
     /*   51646 */   // Label 835: @51646
     /*   51646 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(51742), // Rule ID 70961 //
     /*   51651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51666 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51670 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51684 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51691 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51695 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51699 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51703 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51705 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51714 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51716 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   51719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51740 */     GIR_RootConstrainSelectedInstOperands,
     /*   51741 */     // GIR_Coverage, 70961,
     /*   51741 */     GIR_EraseRootFromParent_Done,
     /*   51742 */   // Label 836: @51742
     /*   51742 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(51838), // Rule ID 70962 //
     /*   51747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51766 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51787 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51791 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51795 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51799 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51801 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51810 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51812 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   51815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51836 */     GIR_RootConstrainSelectedInstOperands,
     /*   51837 */     // GIR_Coverage, 70962,
     /*   51837 */     GIR_EraseRootFromParent_Done,
     /*   51838 */   // Label 837: @51838
     /*   51838 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(51934), // Rule ID 52044 //
     /*   51843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51862 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51866 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51880 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51887 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51891 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51895 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51899 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51901 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51906 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51908 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   51911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51932 */     GIR_RootConstrainSelectedInstOperands,
     /*   51933 */     // GIR_Coverage, 52044,
     /*   51933 */     GIR_EraseRootFromParent_Done,
     /*   51934 */   // Label 838: @51934
     /*   51934 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(52030), // Rule ID 52045 //
     /*   51939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51962 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51972 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51976 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51978 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51983 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51987 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51991 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51995 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51997 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52002 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52004 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   52004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   52007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52028 */     GIR_RootConstrainSelectedInstOperands,
     /*   52029 */     // GIR_Coverage, 52045,
     /*   52029 */     GIR_EraseRootFromParent_Done,
     /*   52030 */   // Label 839: @52030
     /*   52030 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(52126), // Rule ID 52162 //
     /*   52035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52058 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52072 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52074 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52079 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52083 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52087 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52091 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52093 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52098 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52100 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   52100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   52103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52124 */     GIR_RootConstrainSelectedInstOperands,
     /*   52125 */     // GIR_Coverage, 52162,
     /*   52125 */     GIR_EraseRootFromParent_Done,
     /*   52126 */   // Label 840: @52126
     /*   52126 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(52222), // Rule ID 52163 //
     /*   52131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52154 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52168 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52175 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52179 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52183 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52187 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52189 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52194 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52196 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   52196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   52199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52220 */     GIR_RootConstrainSelectedInstOperands,
     /*   52221 */     // GIR_Coverage, 52163,
     /*   52221 */     GIR_EraseRootFromParent_Done,
     /*   52222 */   // Label 841: @52222
     /*   52222 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(52318), // Rule ID 71097 //
     /*   52227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52246 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52250 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52264 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52266 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52271 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52275 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52279 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52283 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52285 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52290 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52292 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   52292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   52295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   52303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   52307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52316 */     GIR_RootConstrainSelectedInstOperands,
     /*   52317 */     // GIR_Coverage, 71097,
     /*   52317 */     GIR_EraseRootFromParent_Done,
     /*   52318 */   // Label 842: @52318
     /*   52318 */   GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(52414), // Rule ID 71098 //
     /*   52323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52360 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52367 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52371 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52375 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52379 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52381 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52386 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52388 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   52388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   52391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   52399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   52403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52412 */     GIR_RootConstrainSelectedInstOperands,
     /*   52413 */     // GIR_Coverage, 71098,
     /*   52413 */     GIR_EraseRootFromParent_Done,
     /*   52414 */   // Label 843: @52414
     /*   52414 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(52510), // Rule ID 52102 //
     /*   52419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52438 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52442 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52456 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52463 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52467 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52471 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52475 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52477 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52484 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   52484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   52487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52508 */     GIR_RootConstrainSelectedInstOperands,
     /*   52509 */     // GIR_Coverage, 52102,
     /*   52509 */     GIR_EraseRootFromParent_Done,
     /*   52510 */   // Label 844: @52510
     /*   52510 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(52606), // Rule ID 52103 //
     /*   52515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52538 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52552 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52554 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52559 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52563 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52567 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52571 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52573 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52578 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52580 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   52580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   52583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52604 */     GIR_RootConstrainSelectedInstOperands,
     /*   52605 */     // GIR_Coverage, 52103,
     /*   52605 */     GIR_EraseRootFromParent_Done,
     /*   52606 */   // Label 845: @52606
     /*   52606 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(52695), // Rule ID 46696 //
     /*   52611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52645 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52652 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52654 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   52654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52693 */     GIR_RootConstrainSelectedInstOperands,
     /*   52694 */     // GIR_Coverage, 46696,
     /*   52694 */     GIR_EraseRootFromParent_Done,
     /*   52695 */   // Label 846: @52695
     /*   52695 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(52784), // Rule ID 46697 //
     /*   52700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52743 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   52743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52782 */     GIR_RootConstrainSelectedInstOperands,
     /*   52783 */     // GIR_Coverage, 46697,
     /*   52783 */     GIR_EraseRootFromParent_Done,
     /*   52784 */   // Label 847: @52784
     /*   52784 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(52873), // Rule ID 46460 //
     /*   52789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52804 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52823 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52825 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52830 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52832 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   52832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   52849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52871 */     GIR_RootConstrainSelectedInstOperands,
     /*   52872 */     // GIR_Coverage, 46460,
     /*   52872 */     GIR_EraseRootFromParent_Done,
     /*   52873 */   // Label 848: @52873
     /*   52873 */   GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(52962), // Rule ID 46461 //
     /*   52878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52893 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52912 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52914 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52919 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52921 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   52921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   52938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52960 */     GIR_RootConstrainSelectedInstOperands,
     /*   52961 */     // GIR_Coverage, 46461,
     /*   52961 */     GIR_EraseRootFromParent_Done,
     /*   52962 */   // Label 849: @52962
     /*   52962 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(53051), // Rule ID 46576 //
     /*   52967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53001 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53003 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53008 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53010 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   53010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   53013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   53027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   53036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53049 */     GIR_RootConstrainSelectedInstOperands,
     /*   53050 */     // GIR_Coverage, 46576,
     /*   53050 */     GIR_EraseRootFromParent_Done,
     /*   53051 */   // Label 850: @53051
     /*   53051 */   GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(53140), // Rule ID 46577 //
     /*   53056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   53082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53090 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53099 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   53099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   53102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   53116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   53125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53138 */     GIR_RootConstrainSelectedInstOperands,
     /*   53139 */     // GIR_Coverage, 46577,
     /*   53139 */     GIR_EraseRootFromParent_Done,
     /*   53140 */   // Label 851: @53140
     /*   53140 */   GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(53208), // Rule ID 70733 //
     /*   53145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53160 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53164 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53182 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   53182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53206 */     GIR_RootConstrainSelectedInstOperands,
     /*   53207 */     // GIR_Coverage, 70733,
     /*   53207 */     GIR_EraseRootFromParent_Done,
     /*   53208 */   // Label 852: @53208
     /*   53208 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(53276), // Rule ID 70734 //
     /*   53213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53228 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53232 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53250 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   53250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53274 */     GIR_RootConstrainSelectedInstOperands,
     /*   53275 */     // GIR_Coverage, 70734,
     /*   53275 */     GIR_EraseRootFromParent_Done,
     /*   53276 */   // Label 853: @53276
     /*   53276 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(53331), // Rule ID 69653 //
     /*   53281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53296 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53309 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53329 */     GIR_RootConstrainSelectedInstOperands,
     /*   53330 */     // GIR_Coverage, 69653,
     /*   53330 */     GIR_EraseRootFromParent_Done,
     /*   53331 */   // Label 854: @53331
     /*   53331 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(53386), // Rule ID 69654 //
     /*   53336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53364 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53384 */     GIR_RootConstrainSelectedInstOperands,
     /*   53385 */     // GIR_Coverage, 69654,
     /*   53385 */     GIR_EraseRootFromParent_Done,
     /*   53386 */   // Label 855: @53386
     /*   53386 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(53441), // Rule ID 69473 //
     /*   53391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53406 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53419 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53439 */     GIR_RootConstrainSelectedInstOperands,
     /*   53440 */     // GIR_Coverage, 69473,
     /*   53440 */     GIR_EraseRootFromParent_Done,
     /*   53441 */   // Label 856: @53441
     /*   53441 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(53496), // Rule ID 69474 //
     /*   53446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53474 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53494 */     GIR_RootConstrainSelectedInstOperands,
     /*   53495 */     // GIR_Coverage, 69474,
     /*   53495 */     GIR_EraseRootFromParent_Done,
     /*   53496 */   // Label 857: @53496
     /*   53496 */   GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(53551), // Rule ID 69563 //
     /*   53501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53516 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53529 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53549 */     GIR_RootConstrainSelectedInstOperands,
     /*   53550 */     // GIR_Coverage, 69563,
     /*   53550 */     GIR_EraseRootFromParent_Done,
     /*   53551 */   // Label 858: @53551
     /*   53551 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(53606), // Rule ID 69564 //
     /*   53556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53584 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53604 */     GIR_RootConstrainSelectedInstOperands,
     /*   53605 */     // GIR_Coverage, 69564,
     /*   53605 */     GIR_EraseRootFromParent_Done,
     /*   53606 */   // Label 859: @53606
     /*   53606 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(53674), // Rule ID 51918 //
     /*   53611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53634 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53648 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   53648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53672 */     GIR_RootConstrainSelectedInstOperands,
     /*   53673 */     // GIR_Coverage, 51918,
     /*   53673 */     GIR_EraseRootFromParent_Done,
     /*   53674 */   // Label 860: @53674
     /*   53674 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(53742), // Rule ID 51919 //
     /*   53679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53702 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53716 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   53716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53740 */     GIR_RootConstrainSelectedInstOperands,
     /*   53741 */     // GIR_Coverage, 51919,
     /*   53741 */     GIR_EraseRootFromParent_Done,
     /*   53742 */   // Label 861: @53742
     /*   53742 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(53797), // Rule ID 46756 //
     /*   53747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53766 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53775 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53795 */     GIR_RootConstrainSelectedInstOperands,
     /*   53796 */     // GIR_Coverage, 46756,
     /*   53796 */     GIR_EraseRootFromParent_Done,
     /*   53797 */   // Label 862: @53797
     /*   53797 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(53852), // Rule ID 46757 //
     /*   53802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53821 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53830 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53850 */     GIR_RootConstrainSelectedInstOperands,
     /*   53851 */     // GIR_Coverage, 46757,
     /*   53851 */     GIR_EraseRootFromParent_Done,
     /*   53852 */   // Label 863: @53852
     /*   53852 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(53907), // Rule ID 46516 //
     /*   53857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53885 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53905 */     GIR_RootConstrainSelectedInstOperands,
     /*   53906 */     // GIR_Coverage, 46516,
     /*   53906 */     GIR_EraseRootFromParent_Done,
     /*   53907 */   // Label 864: @53907
     /*   53907 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(53962), // Rule ID 46517 //
     /*   53912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53940 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53960 */     GIR_RootConstrainSelectedInstOperands,
     /*   53961 */     // GIR_Coverage, 46517,
     /*   53961 */     GIR_EraseRootFromParent_Done,
     /*   53962 */   // Label 865: @53962
     /*   53962 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(54017), // Rule ID 46636 //
     /*   53967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53986 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53995 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   54002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54015 */     GIR_RootConstrainSelectedInstOperands,
     /*   54016 */     // GIR_Coverage, 46636,
     /*   54016 */     GIR_EraseRootFromParent_Done,
     /*   54017 */   // Label 866: @54017
     /*   54017 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(54072), // Rule ID 46637 //
     /*   54022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   54041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   54048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   54050 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   54053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   54057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54070 */     GIR_RootConstrainSelectedInstOperands,
     /*   54071 */     // GIR_Coverage, 46637,
     /*   54071 */     GIR_EraseRootFromParent_Done,
     /*   54072 */   // Label 867: @54072
     /*   54072 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(54125), // Rule ID 46150 //
     /*   54077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54088 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   54088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   54091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   54095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   54100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   54102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   54105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   54110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   54112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   54114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54123 */     GIR_RootConstrainSelectedInstOperands,
     /*   54124 */     // GIR_Coverage, 46150,
     /*   54124 */     GIR_EraseRootFromParent_Done,
     /*   54125 */   // Label 868: @54125
     /*   54125 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(54178), // Rule ID 46151 //
     /*   54130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54141 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   54141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   54144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   54148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   54153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   54155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   54158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   54163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   54165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   54167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54176 */     GIR_RootConstrainSelectedInstOperands,
     /*   54177 */     // GIR_Coverage, 46151,
     /*   54177 */     GIR_EraseRootFromParent_Done,
     /*   54178 */   // Label 869: @54178
     /*   54178 */   GIM_Reject,
     /*   54179 */ // Label 829: @54179
     /*   54179 */ GIM_Reject,
     /*   54180 */ // Label 146: @54180
     /*   54180 */ GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(57304),
     /*   54185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54195 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(54291), // Rule ID 70859 //
     /*   54200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54219 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54233 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54240 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54244 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54248 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54252 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54254 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54263 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54265 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54289 */     GIR_RootConstrainSelectedInstOperands,
     /*   54290 */     // GIR_Coverage, 70859,
     /*   54290 */     GIR_EraseRootFromParent_Done,
     /*   54291 */   // Label 871: @54291
     /*   54291 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(54387), // Rule ID 70860 //
     /*   54296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54311 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54315 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54329 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54331 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54336 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54340 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54344 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54348 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54350 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54359 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54361 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54385 */     GIR_RootConstrainSelectedInstOperands,
     /*   54386 */     // GIR_Coverage, 70860,
     /*   54386 */     GIR_EraseRootFromParent_Done,
     /*   54387 */   // Label 872: @54387
     /*   54387 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(54483), // Rule ID 71135 //
     /*   54392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54421 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54425 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54427 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54432 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54436 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54440 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54444 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54446 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54455 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54457 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54481 */     GIR_RootConstrainSelectedInstOperands,
     /*   54482 */     // GIR_Coverage, 71135,
     /*   54482 */     GIR_EraseRootFromParent_Done,
     /*   54483 */   // Label 873: @54483
     /*   54483 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(54579), // Rule ID 71136 //
     /*   54488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54503 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54507 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54521 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54528 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54532 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54536 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54540 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54542 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54551 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54553 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54577 */     GIR_RootConstrainSelectedInstOperands,
     /*   54578 */     // GIR_Coverage, 71136,
     /*   54578 */     GIR_EraseRootFromParent_Done,
     /*   54579 */   // Label 874: @54579
     /*   54579 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(54675), // Rule ID 71137 //
     /*   54584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54599 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54603 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54617 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54624 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54628 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54632 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54636 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54638 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54647 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54649 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54673 */     GIR_RootConstrainSelectedInstOperands,
     /*   54674 */     // GIR_Coverage, 71137,
     /*   54674 */     GIR_EraseRootFromParent_Done,
     /*   54675 */   // Label 875: @54675
     /*   54675 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(54771), // Rule ID 71138 //
     /*   54680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54695 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54699 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54713 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54715 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54720 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54724 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54728 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54732 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54734 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54743 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54745 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54769 */     GIR_RootConstrainSelectedInstOperands,
     /*   54770 */     // GIR_Coverage, 71138,
     /*   54770 */     GIR_EraseRootFromParent_Done,
     /*   54771 */   // Label 876: @54771
     /*   54771 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(54867), // Rule ID 70973 //
     /*   54776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54791 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54809 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54816 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54820 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54824 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54828 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54830 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54839 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54841 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54865 */     GIR_RootConstrainSelectedInstOperands,
     /*   54866 */     // GIR_Coverage, 70973,
     /*   54866 */     GIR_EraseRootFromParent_Done,
     /*   54867 */   // Label 877: @54867
     /*   54867 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(54963), // Rule ID 70974 //
     /*   54872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54905 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54907 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54912 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54916 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54920 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54924 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54926 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54935 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54937 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54961 */     GIR_RootConstrainSelectedInstOperands,
     /*   54962 */     // GIR_Coverage, 70974,
     /*   54962 */     GIR_EraseRootFromParent_Done,
     /*   54963 */   // Label 878: @54963
     /*   54963 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(55059), // Rule ID 52056 //
     /*   54968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54987 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55005 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55007 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55012 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55016 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55020 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55024 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55026 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55031 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55033 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   55036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55057 */     GIR_RootConstrainSelectedInstOperands,
     /*   55058 */     // GIR_Coverage, 52056,
     /*   55058 */     GIR_EraseRootFromParent_Done,
     /*   55059 */   // Label 879: @55059
     /*   55059 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(55155), // Rule ID 52057 //
     /*   55064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55087 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55101 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55103 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55108 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55112 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55116 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55120 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55122 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55127 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55129 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   55132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55153 */     GIR_RootConstrainSelectedInstOperands,
     /*   55154 */     // GIR_Coverage, 52057,
     /*   55154 */     GIR_EraseRootFromParent_Done,
     /*   55155 */   // Label 880: @55155
     /*   55155 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(55251), // Rule ID 52174 //
     /*   55160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55179 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55183 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55197 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55204 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55208 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55212 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55216 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55218 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55223 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55225 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55249 */     GIR_RootConstrainSelectedInstOperands,
     /*   55250 */     // GIR_Coverage, 52174,
     /*   55250 */     GIR_EraseRootFromParent_Done,
     /*   55251 */   // Label 881: @55251
     /*   55251 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(55347), // Rule ID 52175 //
     /*   55256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55275 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55279 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55293 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55295 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55300 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55304 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55308 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55312 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55314 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55319 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55321 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55345 */     GIR_RootConstrainSelectedInstOperands,
     /*   55346 */     // GIR_Coverage, 52175,
     /*   55346 */     GIR_EraseRootFromParent_Done,
     /*   55347 */   // Label 882: @55347
     /*   55347 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(55443), // Rule ID 71133 //
     /*   55352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55375 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55389 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55396 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55400 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55404 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55408 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55410 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55415 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55417 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   55428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   55432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55441 */     GIR_RootConstrainSelectedInstOperands,
     /*   55442 */     // GIR_Coverage, 71133,
     /*   55442 */     GIR_EraseRootFromParent_Done,
     /*   55443 */   // Label 883: @55443
     /*   55443 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(55539), // Rule ID 71134 //
     /*   55448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55467 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55471 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55485 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55487 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55492 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55496 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55500 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55504 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55506 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55511 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55513 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   55524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   55528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55537 */     GIR_RootConstrainSelectedInstOperands,
     /*   55538 */     // GIR_Coverage, 71134,
     /*   55538 */     GIR_EraseRootFromParent_Done,
     /*   55539 */   // Label 884: @55539
     /*   55539 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(55635), // Rule ID 52114 //
     /*   55544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55567 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55581 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55588 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55592 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55596 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55600 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55602 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55607 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55609 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   55612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55633 */     GIR_RootConstrainSelectedInstOperands,
     /*   55634 */     // GIR_Coverage, 52114,
     /*   55634 */     GIR_EraseRootFromParent_Done,
     /*   55635 */   // Label 885: @55635
     /*   55635 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(55731), // Rule ID 52115 //
     /*   55640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55663 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55677 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55679 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55684 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55688 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55692 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55696 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55698 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55703 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55705 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   55708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55729 */     GIR_RootConstrainSelectedInstOperands,
     /*   55730 */     // GIR_Coverage, 52115,
     /*   55730 */     GIR_EraseRootFromParent_Done,
     /*   55731 */   // Label 886: @55731
     /*   55731 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(55820), // Rule ID 46720 //
     /*   55736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55770 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55779 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   55779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55818 */     GIR_RootConstrainSelectedInstOperands,
     /*   55819 */     // GIR_Coverage, 46720,
     /*   55819 */     GIR_EraseRootFromParent_Done,
     /*   55820 */   // Label 887: @55820
     /*   55820 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(55909), // Rule ID 46721 //
     /*   55825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55868 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   55868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55907 */     GIR_RootConstrainSelectedInstOperands,
     /*   55908 */     // GIR_Coverage, 46721,
     /*   55908 */     GIR_EraseRootFromParent_Done,
     /*   55909 */   // Label 888: @55909
     /*   55909 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(55998), // Rule ID 46484 //
     /*   55914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55929 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55948 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55957 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   55957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55996 */     GIR_RootConstrainSelectedInstOperands,
     /*   55997 */     // GIR_Coverage, 46484,
     /*   55997 */     GIR_EraseRootFromParent_Done,
     /*   55998 */   // Label 889: @55998
     /*   55998 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(56087), // Rule ID 46485 //
     /*   56003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56018 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56037 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   56039 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56046 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   56046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   56049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   56063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   56072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56085 */     GIR_RootConstrainSelectedInstOperands,
     /*   56086 */     // GIR_Coverage, 46485,
     /*   56086 */     GIR_EraseRootFromParent_Done,
     /*   56087 */   // Label 890: @56087
     /*   56087 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(56176), // Rule ID 46600 //
     /*   56092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56107 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56126 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   56128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56135 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   56135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   56138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   56152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   56161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56174 */     GIR_RootConstrainSelectedInstOperands,
     /*   56175 */     // GIR_Coverage, 46600,
     /*   56175 */     GIR_EraseRootFromParent_Done,
     /*   56176 */   // Label 891: @56176
     /*   56176 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(56265), // Rule ID 46601 //
     /*   56181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56215 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   56217 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56224 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   56224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   56227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   56241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   56250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56263 */     GIR_RootConstrainSelectedInstOperands,
     /*   56264 */     // GIR_Coverage, 46601,
     /*   56264 */     GIR_EraseRootFromParent_Done,
     /*   56265 */   // Label 892: @56265
     /*   56265 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(56333), // Rule ID 70765 //
     /*   56270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56285 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56289 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56307 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   56307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56331 */     GIR_RootConstrainSelectedInstOperands,
     /*   56332 */     // GIR_Coverage, 70765,
     /*   56332 */     GIR_EraseRootFromParent_Done,
     /*   56333 */   // Label 893: @56333
     /*   56333 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(56401), // Rule ID 70766 //
     /*   56338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56357 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56375 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   56375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56399 */     GIR_RootConstrainSelectedInstOperands,
     /*   56400 */     // GIR_Coverage, 70766,
     /*   56400 */     GIR_EraseRootFromParent_Done,
     /*   56401 */   // Label 894: @56401
     /*   56401 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(56456), // Rule ID 69677 //
     /*   56406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56434 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56454 */     GIR_RootConstrainSelectedInstOperands,
     /*   56455 */     // GIR_Coverage, 69677,
     /*   56455 */     GIR_EraseRootFromParent_Done,
     /*   56456 */   // Label 895: @56456
     /*   56456 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(56511), // Rule ID 69678 //
     /*   56461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56489 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56509 */     GIR_RootConstrainSelectedInstOperands,
     /*   56510 */     // GIR_Coverage, 69678,
     /*   56510 */     GIR_EraseRootFromParent_Done,
     /*   56511 */   // Label 896: @56511
     /*   56511 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(56566), // Rule ID 69497 //
     /*   56516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56544 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56564 */     GIR_RootConstrainSelectedInstOperands,
     /*   56565 */     // GIR_Coverage, 69497,
     /*   56565 */     GIR_EraseRootFromParent_Done,
     /*   56566 */   // Label 897: @56566
     /*   56566 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(56621), // Rule ID 69498 //
     /*   56571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56599 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56619 */     GIR_RootConstrainSelectedInstOperands,
     /*   56620 */     // GIR_Coverage, 69498,
     /*   56620 */     GIR_EraseRootFromParent_Done,
     /*   56621 */   // Label 898: @56621
     /*   56621 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(56676), // Rule ID 69587 //
     /*   56626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56654 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56674 */     GIR_RootConstrainSelectedInstOperands,
     /*   56675 */     // GIR_Coverage, 69587,
     /*   56675 */     GIR_EraseRootFromParent_Done,
     /*   56676 */   // Label 899: @56676
     /*   56676 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(56731), // Rule ID 69588 //
     /*   56681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56696 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56709 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56729 */     GIR_RootConstrainSelectedInstOperands,
     /*   56730 */     // GIR_Coverage, 69588,
     /*   56730 */     GIR_EraseRootFromParent_Done,
     /*   56731 */   // Label 900: @56731
     /*   56731 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(56799), // Rule ID 51934 //
     /*   56736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56759 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56773 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   56773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56797 */     GIR_RootConstrainSelectedInstOperands,
     /*   56798 */     // GIR_Coverage, 51934,
     /*   56798 */     GIR_EraseRootFromParent_Done,
     /*   56799 */   // Label 901: @56799
     /*   56799 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(56867), // Rule ID 51935 //
     /*   56804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56827 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56841 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   56841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56865 */     GIR_RootConstrainSelectedInstOperands,
     /*   56866 */     // GIR_Coverage, 51935,
     /*   56866 */     GIR_EraseRootFromParent_Done,
     /*   56867 */   // Label 902: @56867
     /*   56867 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(56922), // Rule ID 46780 //
     /*   56872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56900 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56920 */     GIR_RootConstrainSelectedInstOperands,
     /*   56921 */     // GIR_Coverage, 46780,
     /*   56921 */     GIR_EraseRootFromParent_Done,
     /*   56922 */   // Label 903: @56922
     /*   56922 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(56977), // Rule ID 46781 //
     /*   56927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56955 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56975 */     GIR_RootConstrainSelectedInstOperands,
     /*   56976 */     // GIR_Coverage, 46781,
     /*   56976 */     GIR_EraseRootFromParent_Done,
     /*   56977 */   // Label 904: @56977
     /*   56977 */   GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(57032), // Rule ID 46540 //
     /*   56982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   57001 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57010 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   57010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   57013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   57027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57030 */     GIR_RootConstrainSelectedInstOperands,
     /*   57031 */     // GIR_Coverage, 46540,
     /*   57031 */     GIR_EraseRootFromParent_Done,
     /*   57032 */   // Label 905: @57032
     /*   57032 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(57087), // Rule ID 46541 //
     /*   57037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   57056 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57065 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   57065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   57068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   57082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57085 */     GIR_RootConstrainSelectedInstOperands,
     /*   57086 */     // GIR_Coverage, 46541,
     /*   57086 */     GIR_EraseRootFromParent_Done,
     /*   57087 */   // Label 906: @57087
     /*   57087 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(57142), // Rule ID 46660 //
     /*   57092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   57111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57120 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   57120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   57123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   57137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57140 */     GIR_RootConstrainSelectedInstOperands,
     /*   57141 */     // GIR_Coverage, 46660,
     /*   57141 */     GIR_EraseRootFromParent_Done,
     /*   57142 */   // Label 907: @57142
     /*   57142 */   GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(57197), // Rule ID 46661 //
     /*   57147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   57166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57175 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   57175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   57178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   57192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57195 */     GIR_RootConstrainSelectedInstOperands,
     /*   57196 */     // GIR_Coverage, 46661,
     /*   57196 */     GIR_EraseRootFromParent_Done,
     /*   57197 */   // Label 908: @57197
     /*   57197 */   GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(57250), // Rule ID 46166 //
     /*   57202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57213 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   57213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   57216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   57230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   57245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57248 */     GIR_RootConstrainSelectedInstOperands,
     /*   57249 */     // GIR_Coverage, 46166,
     /*   57249 */     GIR_EraseRootFromParent_Done,
     /*   57250 */   // Label 909: @57250
     /*   57250 */   GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(57303), // Rule ID 46167 //
     /*   57255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57266 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   57266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   57269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   57283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   57298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57301 */     GIR_RootConstrainSelectedInstOperands,
     /*   57302 */     // GIR_Coverage, 46167,
     /*   57302 */     GIR_EraseRootFromParent_Done,
     /*   57303 */   // Label 910: @57303
     /*   57303 */   GIM_Reject,
     /*   57304 */ // Label 870: @57304
     /*   57304 */ GIM_Reject,
     /*   57305 */ // Label 147: @57305
     /*   57305 */ GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(57699),
     /*   57310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57320 */   GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(57388), // Rule ID 70709 //
     /*   57325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57344 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57362 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57386 */     GIR_RootConstrainSelectedInstOperands,
     /*   57387 */     // GIR_Coverage, 70709,
     /*   57387 */     GIR_EraseRootFromParent_Done,
     /*   57388 */   // Label 912: @57388
     /*   57388 */   GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(57456), // Rule ID 70710 //
     /*   57393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57408 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57412 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57430 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57454 */     GIR_RootConstrainSelectedInstOperands,
     /*   57455 */     // GIR_Coverage, 70710,
     /*   57455 */     GIR_EraseRootFromParent_Done,
     /*   57456 */   // Label 913: @57456
     /*   57456 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(57524), // Rule ID 51906 //
     /*   57461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57498 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57522 */     GIR_RootConstrainSelectedInstOperands,
     /*   57523 */     // GIR_Coverage, 51906,
     /*   57523 */     GIR_EraseRootFromParent_Done,
     /*   57524 */   // Label 914: @57524
     /*   57524 */   GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(57592), // Rule ID 51907 //
     /*   57529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57548 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57552 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57566 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57590 */     GIR_RootConstrainSelectedInstOperands,
     /*   57591 */     // GIR_Coverage, 51907,
     /*   57591 */     GIR_EraseRootFromParent_Done,
     /*   57592 */   // Label 915: @57592
     /*   57592 */   GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(57645), // Rule ID 46138 //
     /*   57597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57608 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   57611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   57625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57643 */     GIR_RootConstrainSelectedInstOperands,
     /*   57644 */     // GIR_Coverage, 46138,
     /*   57644 */     GIR_EraseRootFromParent_Done,
     /*   57645 */   // Label 916: @57645
     /*   57645 */   GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(57698), // Rule ID 46139 //
     /*   57650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57661 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   57661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   57664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   57678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57696 */     GIR_RootConstrainSelectedInstOperands,
     /*   57697 */     // GIR_Coverage, 46139,
     /*   57697 */     GIR_EraseRootFromParent_Done,
     /*   57698 */   // Label 917: @57698
     /*   57698 */   GIM_Reject,
     /*   57699 */ // Label 911: @57699
     /*   57699 */ GIM_Reject,
     /*   57700 */ // Label 148: @57700
     /*   57700 */ GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(60824),
     /*   57705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57715 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(57811), // Rule ID 70849 //
     /*   57720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57739 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57753 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57755 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57760 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57764 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57768 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57772 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57774 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57783 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57785 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   57788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57809 */     GIR_RootConstrainSelectedInstOperands,
     /*   57810 */     // GIR_Coverage, 70849,
     /*   57810 */     GIR_EraseRootFromParent_Done,
     /*   57811 */   // Label 919: @57811
     /*   57811 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(57907), // Rule ID 70850 //
     /*   57816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57831 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57849 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57856 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57860 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57864 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57868 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57870 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57879 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57881 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   57884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57905 */     GIR_RootConstrainSelectedInstOperands,
     /*   57906 */     // GIR_Coverage, 70850,
     /*   57906 */     GIR_EraseRootFromParent_Done,
     /*   57907 */   // Label 920: @57907
     /*   57907 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(58003), // Rule ID 71105 //
     /*   57912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57945 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57952 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57956 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57960 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57964 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57966 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57975 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57977 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   57980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58001 */     GIR_RootConstrainSelectedInstOperands,
     /*   58002 */     // GIR_Coverage, 71105,
     /*   58002 */     GIR_EraseRootFromParent_Done,
     /*   58003 */   // Label 921: @58003
     /*   58003 */   GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(58099), // Rule ID 71106 //
     /*   58008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58027 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58041 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58043 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58048 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58052 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58056 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58060 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58062 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58071 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58073 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58097 */     GIR_RootConstrainSelectedInstOperands,
     /*   58098 */     // GIR_Coverage, 71106,
     /*   58098 */     GIR_EraseRootFromParent_Done,
     /*   58099 */   // Label 922: @58099
     /*   58099 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(58195), // Rule ID 71107 //
     /*   58104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58137 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58139 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58144 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58148 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58152 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58156 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58158 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58167 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58169 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58193 */     GIR_RootConstrainSelectedInstOperands,
     /*   58194 */     // GIR_Coverage, 71107,
     /*   58194 */     GIR_EraseRootFromParent_Done,
     /*   58195 */   // Label 923: @58195
     /*   58195 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(58291), // Rule ID 71108 //
     /*   58200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58219 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58233 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58240 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58244 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58248 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58252 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58254 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58263 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58265 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58289 */     GIR_RootConstrainSelectedInstOperands,
     /*   58290 */     // GIR_Coverage, 71108,
     /*   58290 */     GIR_EraseRootFromParent_Done,
     /*   58291 */   // Label 924: @58291
     /*   58291 */   GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(58387), // Rule ID 70963 //
     /*   58296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58311 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58315 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58329 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58331 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58336 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58340 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58344 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58348 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58350 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58359 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58361 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   58364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58385 */     GIR_RootConstrainSelectedInstOperands,
     /*   58386 */     // GIR_Coverage, 70963,
     /*   58386 */     GIR_EraseRootFromParent_Done,
     /*   58387 */   // Label 925: @58387
     /*   58387 */   GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(58483), // Rule ID 70964 //
     /*   58392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58421 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58425 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58427 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58432 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58436 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58440 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58444 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58446 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58455 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58457 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   58460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58481 */     GIR_RootConstrainSelectedInstOperands,
     /*   58482 */     // GIR_Coverage, 70964,
     /*   58482 */     GIR_EraseRootFromParent_Done,
     /*   58483 */   // Label 926: @58483
     /*   58483 */   GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(58579), // Rule ID 52046 //
     /*   58488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58511 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58525 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58527 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58532 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58536 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58540 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58544 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58546 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58551 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58553 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   58556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58577 */     GIR_RootConstrainSelectedInstOperands,
     /*   58578 */     // GIR_Coverage, 52046,
     /*   58578 */     GIR_EraseRootFromParent_Done,
     /*   58579 */   // Label 927: @58579
     /*   58579 */   GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(58675), // Rule ID 52047 //
     /*   58584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58603 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58607 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58621 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58628 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58632 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58636 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58640 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58642 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58647 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58649 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   58652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58673 */     GIR_RootConstrainSelectedInstOperands,
     /*   58674 */     // GIR_Coverage, 52047,
     /*   58674 */     GIR_EraseRootFromParent_Done,
     /*   58675 */   // Label 928: @58675
     /*   58675 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(58771), // Rule ID 52164 //
     /*   58680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58699 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58713 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58717 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58724 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58728 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58732 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58736 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58738 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58743 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58745 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58769 */     GIR_RootConstrainSelectedInstOperands,
     /*   58770 */     // GIR_Coverage, 52164,
     /*   58770 */     GIR_EraseRootFromParent_Done,
     /*   58771 */   // Label 929: @58771
     /*   58771 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(58867), // Rule ID 52165 //
     /*   58776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58799 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58820 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58824 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58828 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58832 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58834 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58839 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58841 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58865 */     GIR_RootConstrainSelectedInstOperands,
     /*   58866 */     // GIR_Coverage, 52165,
     /*   58866 */     GIR_EraseRootFromParent_Done,
     /*   58867 */   // Label 930: @58867
     /*   58867 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(58963), // Rule ID 71103 //
     /*   58872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58895 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58909 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58911 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58916 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58920 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58924 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58928 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58930 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58935 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58937 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58961 */     GIR_RootConstrainSelectedInstOperands,
     /*   58962 */     // GIR_Coverage, 71103,
     /*   58962 */     GIR_EraseRootFromParent_Done,
     /*   58963 */   // Label 931: @58963
     /*   58963 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(59059), // Rule ID 71104 //
     /*   58968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58987 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59005 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59007 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59012 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   59016 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59020 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59024 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   59026 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59031 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   59033 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   59033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   59036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   59040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   59044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   59048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59057 */     GIR_RootConstrainSelectedInstOperands,
     /*   59058 */     // GIR_Coverage, 71104,
     /*   59058 */     GIR_EraseRootFromParent_Done,
     /*   59059 */   // Label 932: @59059
     /*   59059 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(59155), // Rule ID 52104 //
     /*   59064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   59083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   59087 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   59093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59101 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59103 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59108 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   59112 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59116 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59120 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   59122 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59127 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   59129 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   59129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   59132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   59136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   59144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59153 */     GIR_RootConstrainSelectedInstOperands,
     /*   59154 */     // GIR_Coverage, 52104,
     /*   59154 */     GIR_EraseRootFromParent_Done,
     /*   59155 */   // Label 933: @59155
     /*   59155 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(59251), // Rule ID 52105 //
     /*   59160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   59179 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   59183 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   59189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59197 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59204 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   59208 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59212 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59216 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   59218 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59223 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   59225 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   59225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   59228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   59232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   59240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59249 */     GIR_RootConstrainSelectedInstOperands,
     /*   59250 */     // GIR_Coverage, 52105,
     /*   59250 */     GIR_EraseRootFromParent_Done,
     /*   59251 */   // Label 934: @59251
     /*   59251 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(59340), // Rule ID 46700 //
     /*   59256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59290 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59292 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59297 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59299 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59338 */     GIR_RootConstrainSelectedInstOperands,
     /*   59339 */     // GIR_Coverage, 46700,
     /*   59339 */     GIR_EraseRootFromParent_Done,
     /*   59340 */   // Label 935: @59340
     /*   59340 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(59429), // Rule ID 46701 //
     /*   59345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59379 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59381 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59388 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59427 */     GIR_RootConstrainSelectedInstOperands,
     /*   59428 */     // GIR_Coverage, 46701,
     /*   59428 */     GIR_EraseRootFromParent_Done,
     /*   59429 */   // Label 936: @59429
     /*   59429 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(59518), // Rule ID 46464 //
     /*   59434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59449 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59468 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59470 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59477 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   59494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59516 */     GIR_RootConstrainSelectedInstOperands,
     /*   59517 */     // GIR_Coverage, 46464,
     /*   59517 */     GIR_EraseRootFromParent_Done,
     /*   59518 */   // Label 937: @59518
     /*   59518 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(59607), // Rule ID 46465 //
     /*   59523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59538 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59553 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59557 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59559 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59564 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59566 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   59583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59605 */     GIR_RootConstrainSelectedInstOperands,
     /*   59606 */     // GIR_Coverage, 46465,
     /*   59606 */     GIR_EraseRootFromParent_Done,
     /*   59607 */   // Label 938: @59607
     /*   59607 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(59696), // Rule ID 46580 //
     /*   59612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59627 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59646 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59653 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59655 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59694 */     GIR_RootConstrainSelectedInstOperands,
     /*   59695 */     // GIR_Coverage, 46580,
     /*   59695 */     GIR_EraseRootFromParent_Done,
     /*   59696 */   // Label 939: @59696
     /*   59696 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(59785), // Rule ID 46581 //
     /*   59701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59735 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59744 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59783 */     GIR_RootConstrainSelectedInstOperands,
     /*   59784 */     // GIR_Coverage, 46581,
     /*   59784 */     GIR_EraseRootFromParent_Done,
     /*   59785 */   // Label 940: @59785
     /*   59785 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(59853), // Rule ID 70741 //
     /*   59790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   59805 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   59809 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59816 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59827 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   59830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59851 */     GIR_RootConstrainSelectedInstOperands,
     /*   59852 */     // GIR_Coverage, 70741,
     /*   59852 */     GIR_EraseRootFromParent_Done,
     /*   59853 */   // Label 941: @59853
     /*   59853 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(59921), // Rule ID 70742 //
     /*   59858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   59873 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   59877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59895 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   59898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59919 */     GIR_RootConstrainSelectedInstOperands,
     /*   59920 */     // GIR_Coverage, 70742,
     /*   59920 */     GIR_EraseRootFromParent_Done,
     /*   59921 */   // Label 942: @59921
     /*   59921 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(59976), // Rule ID 69657 //
     /*   59926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59941 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59954 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   59954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   59957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59974 */     GIR_RootConstrainSelectedInstOperands,
     /*   59975 */     // GIR_Coverage, 69657,
     /*   59975 */     GIR_EraseRootFromParent_Done,
     /*   59976 */   // Label 943: @59976
     /*   59976 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(60031), // Rule ID 69658 //
     /*   59981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59996 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60009 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60029 */     GIR_RootConstrainSelectedInstOperands,
     /*   60030 */     // GIR_Coverage, 69658,
     /*   60030 */     GIR_EraseRootFromParent_Done,
     /*   60031 */   // Label 944: @60031
     /*   60031 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(60086), // Rule ID 69477 //
     /*   60036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60064 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   60067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60084 */     GIR_RootConstrainSelectedInstOperands,
     /*   60085 */     // GIR_Coverage, 69477,
     /*   60085 */     GIR_EraseRootFromParent_Done,
     /*   60086 */   // Label 945: @60086
     /*   60086 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(60141), // Rule ID 69478 //
     /*   60091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60119 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   60122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60139 */     GIR_RootConstrainSelectedInstOperands,
     /*   60140 */     // GIR_Coverage, 69478,
     /*   60140 */     GIR_EraseRootFromParent_Done,
     /*   60141 */   // Label 946: @60141
     /*   60141 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(60196), // Rule ID 69567 //
     /*   60146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60161 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60174 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60194 */     GIR_RootConstrainSelectedInstOperands,
     /*   60195 */     // GIR_Coverage, 69567,
     /*   60195 */     GIR_EraseRootFromParent_Done,
     /*   60196 */   // Label 947: @60196
     /*   60196 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(60251), // Rule ID 69568 //
     /*   60201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60216 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60218 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60229 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60249 */     GIR_RootConstrainSelectedInstOperands,
     /*   60250 */     // GIR_Coverage, 69568,
     /*   60250 */     GIR_EraseRootFromParent_Done,
     /*   60251 */   // Label 948: @60251
     /*   60251 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(60319), // Rule ID 51922 //
     /*   60256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   60275 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   60279 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60293 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   60293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60317 */     GIR_RootConstrainSelectedInstOperands,
     /*   60318 */     // GIR_Coverage, 51922,
     /*   60318 */     GIR_EraseRootFromParent_Done,
     /*   60319 */   // Label 949: @60319
     /*   60319 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(60387), // Rule ID 51923 //
     /*   60324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   60343 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   60347 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60361 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   60361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60385 */     GIR_RootConstrainSelectedInstOperands,
     /*   60386 */     // GIR_Coverage, 51923,
     /*   60386 */     GIR_EraseRootFromParent_Done,
     /*   60387 */   // Label 950: @60387
     /*   60387 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(60442), // Rule ID 46760 //
     /*   60392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60420 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60440 */     GIR_RootConstrainSelectedInstOperands,
     /*   60441 */     // GIR_Coverage, 46760,
     /*   60441 */     GIR_EraseRootFromParent_Done,
     /*   60442 */   // Label 951: @60442
     /*   60442 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(60497), // Rule ID 46761 //
     /*   60447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60475 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60495 */     GIR_RootConstrainSelectedInstOperands,
     /*   60496 */     // GIR_Coverage, 46761,
     /*   60496 */     GIR_EraseRootFromParent_Done,
     /*   60497 */   // Label 952: @60497
     /*   60497 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(60552), // Rule ID 46520 //
     /*   60502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60530 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   60533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60550 */     GIR_RootConstrainSelectedInstOperands,
     /*   60551 */     // GIR_Coverage, 46520,
     /*   60551 */     GIR_EraseRootFromParent_Done,
     /*   60552 */   // Label 953: @60552
     /*   60552 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(60607), // Rule ID 46521 //
     /*   60557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60585 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   60588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60605 */     GIR_RootConstrainSelectedInstOperands,
     /*   60606 */     // GIR_Coverage, 46521,
     /*   60606 */     GIR_EraseRootFromParent_Done,
     /*   60607 */   // Label 954: @60607
     /*   60607 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(60662), // Rule ID 46640 //
     /*   60612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60640 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60660 */     GIR_RootConstrainSelectedInstOperands,
     /*   60661 */     // GIR_Coverage, 46640,
     /*   60661 */     GIR_EraseRootFromParent_Done,
     /*   60662 */   // Label 955: @60662
     /*   60662 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(60717), // Rule ID 46641 //
     /*   60667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60686 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60695 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60715 */     GIR_RootConstrainSelectedInstOperands,
     /*   60716 */     // GIR_Coverage, 46641,
     /*   60716 */     GIR_EraseRootFromParent_Done,
     /*   60717 */   // Label 956: @60717
     /*   60717 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(60770), // Rule ID 46154 //
     /*   60722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60733 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   60733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   60736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   60750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60768 */     GIR_RootConstrainSelectedInstOperands,
     /*   60769 */     // GIR_Coverage, 46154,
     /*   60769 */     GIR_EraseRootFromParent_Done,
     /*   60770 */   // Label 957: @60770
     /*   60770 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(60823), // Rule ID 46155 //
     /*   60775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60786 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   60786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   60789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   60803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60821 */     GIR_RootConstrainSelectedInstOperands,
     /*   60822 */     // GIR_Coverage, 46155,
     /*   60822 */     GIR_EraseRootFromParent_Done,
     /*   60823 */   // Label 958: @60823
     /*   60823 */   GIM_Reject,
     /*   60824 */ // Label 918: @60824
     /*   60824 */ GIM_Reject,
     /*   60825 */ // Label 149: @60825
     /*   60825 */ GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(61219),
     /*   60830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60840 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(60908), // Rule ID 70717 //
     /*   60845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60864 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60882 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60906 */     GIR_RootConstrainSelectedInstOperands,
     /*   60907 */     // GIR_Coverage, 70717,
     /*   60907 */     GIR_EraseRootFromParent_Done,
     /*   60908 */   // Label 960: @60908
     /*   60908 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(60976), // Rule ID 70718 //
     /*   60913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60932 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60950 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60974 */     GIR_RootConstrainSelectedInstOperands,
     /*   60975 */     // GIR_Coverage, 70718,
     /*   60975 */     GIR_EraseRootFromParent_Done,
     /*   60976 */   // Label 961: @60976
     /*   60976 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(61044), // Rule ID 51910 //
     /*   60981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   61000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   61004 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61018 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   61018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   61021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61042 */     GIR_RootConstrainSelectedInstOperands,
     /*   61043 */     // GIR_Coverage, 51910,
     /*   61043 */     GIR_EraseRootFromParent_Done,
     /*   61044 */   // Label 962: @61044
     /*   61044 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(61112), // Rule ID 51911 //
     /*   61049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   61068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   61072 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61086 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   61086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   61089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61110 */     GIR_RootConstrainSelectedInstOperands,
     /*   61111 */     // GIR_Coverage, 51911,
     /*   61111 */     GIR_EraseRootFromParent_Done,
     /*   61112 */   // Label 963: @61112
     /*   61112 */   GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(61165), // Rule ID 46142 //
     /*   61117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61128 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   61131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   61145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61163 */     GIR_RootConstrainSelectedInstOperands,
     /*   61164 */     // GIR_Coverage, 46142,
     /*   61164 */     GIR_EraseRootFromParent_Done,
     /*   61165 */   // Label 964: @61165
     /*   61165 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(61218), // Rule ID 46143 //
     /*   61170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61181 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   61184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   61198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61216 */     GIR_RootConstrainSelectedInstOperands,
     /*   61217 */     // GIR_Coverage, 46143,
     /*   61217 */     GIR_EraseRootFromParent_Done,
     /*   61218 */   // Label 965: @61218
     /*   61218 */   GIM_Reject,
     /*   61219 */ // Label 959: @61219
     /*   61219 */ GIM_Reject,
     /*   61220 */ // Label 150: @61220
     /*   61220 */ GIM_Reject,
     /*   61221 */ // Label 1: @61221
     /*   61221 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 990*/ GIMT_Encode4(80453),
     /*   61232 */ /*GILLT_s32*//*Label 966*/ GIMT_Encode4(61356),
     /*   61236 */ /*GILLT_s64*//*Label 967*/ GIMT_Encode4(61603), GIMT_Encode4(0),
     /*   61244 */ /*GILLT_nxv1s8*//*Label 968*/ GIMT_Encode4(61879),
     /*   61248 */ /*GILLT_nxv1s16*//*Label 969*/ GIMT_Encode4(62126),
     /*   61252 */ /*GILLT_nxv1s32*//*Label 970*/ GIMT_Encode4(63249),
     /*   61256 */ /*GILLT_nxv1s64*//*Label 971*/ GIMT_Encode4(64372), GIMT_Encode4(0),
     /*   61264 */ /*GILLT_nxv2s8*//*Label 972*/ GIMT_Encode4(65495),
     /*   61268 */ /*GILLT_nxv2s16*//*Label 973*/ GIMT_Encode4(65742),
     /*   61272 */ /*GILLT_nxv2s32*//*Label 974*/ GIMT_Encode4(66865),
     /*   61276 */ /*GILLT_nxv2s64*//*Label 975*/ GIMT_Encode4(67988), GIMT_Encode4(0),
     /*   61284 */ /*GILLT_nxv4s8*//*Label 976*/ GIMT_Encode4(69111),
     /*   61288 */ /*GILLT_nxv4s16*//*Label 977*/ GIMT_Encode4(69358),
     /*   61292 */ /*GILLT_nxv4s32*//*Label 978*/ GIMT_Encode4(70481),
     /*   61296 */ /*GILLT_nxv4s64*//*Label 979*/ GIMT_Encode4(71604), GIMT_Encode4(0),
     /*   61304 */ /*GILLT_nxv8s8*//*Label 980*/ GIMT_Encode4(72727),
     /*   61308 */ /*GILLT_nxv8s16*//*Label 981*/ GIMT_Encode4(72974),
     /*   61312 */ /*GILLT_nxv8s32*//*Label 982*/ GIMT_Encode4(74097),
     /*   61316 */ /*GILLT_nxv8s64*//*Label 983*/ GIMT_Encode4(75220), GIMT_Encode4(0),
     /*   61324 */ /*GILLT_nxv16s8*//*Label 984*/ GIMT_Encode4(76343),
     /*   61328 */ /*GILLT_nxv16s16*//*Label 985*/ GIMT_Encode4(76590),
     /*   61332 */ /*GILLT_nxv16s32*//*Label 986*/ GIMT_Encode4(77713), GIMT_Encode4(0),
     /*   61340 */ /*GILLT_nxv32s8*//*Label 987*/ GIMT_Encode4(78836),
     /*   61344 */ /*GILLT_nxv32s16*//*Label 988*/ GIMT_Encode4(79083), GIMT_Encode4(0),
     /*   61352 */ /*GILLT_nxv64s8*//*Label 989*/ GIMT_Encode4(80206),
     /*   61356 */ // Label 966: @61356
     /*   61356 */ GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(61602),
     /*   61361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   61364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   61367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61371 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(61446), // Rule ID 104 //
     /*   61376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   61379 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   61383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   61399 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61406 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   61410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61412 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i64] }), 31:{ *:[i64] })
     /*   61412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   61415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   61419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61424 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   61428 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   61431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   61436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   61444 */     GIR_RootConstrainSelectedInstOperands,
     /*   61445 */     // GIR_Coverage, 104,
     /*   61445 */     GIR_EraseRootFromParent_Done,
     /*   61446 */   // Label 992: @61446
     /*   61446 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(61521), // Rule ID 105 //
     /*   61451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   61454 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   61458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   61474 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61481 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   61485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61487 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i32] }), 31:{ *:[i32] })
     /*   61487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   61490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   61494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   61503 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   61506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   61511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   61519 */     GIR_RootConstrainSelectedInstOperands,
     /*   61520 */     // GIR_Coverage, 105,
     /*   61520 */     GIR_EraseRootFromParent_Done,
     /*   61521 */   // Label 993: @61521
     /*   61521 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(61578), // Rule ID 62601 //
     /*   61526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*   61529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   61549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61561 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULS:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   61561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   61564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   61566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   61568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61576 */     GIR_RootConstrainSelectedInstOperands,
     /*   61577 */     // GIR_Coverage, 62601,
     /*   61577 */     GIR_EraseRootFromParent_Done,
     /*   61578 */   // Label 994: @61578
     /*   61578 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(61601), // Rule ID 83 //
     /*   61583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   61586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61594 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   61594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   61599 */     GIR_RootConstrainSelectedInstOperands,
     /*   61600 */     // GIR_Coverage, 83,
     /*   61600 */     GIR_Done,
     /*   61601 */   // Label 995: @61601
     /*   61601 */   GIM_Reject,
     /*   61602 */ // Label 991: @61602
     /*   61602 */ GIM_Reject,
     /*   61603 */ // Label 967: @61603
     /*   61603 */ GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(61878),
     /*   61608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   61611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   61614 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(61693), // Rule ID 106 //
     /*   61619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   61622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61626 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   61630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   61646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61653 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   61657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61659 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 1:{ *:[i64] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, 63:{ *:[i64] }), 63:{ *:[i64] })
     /*   61659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   61662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   61666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61671 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   61675 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/63,
     /*   61678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   61683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /*   61691 */     GIR_RootConstrainSelectedInstOperands,
     /*   61692 */     // GIR_Coverage, 106,
     /*   61692 */     GIR_EraseRootFromParent_Done,
     /*   61693 */   // Label 997: @61693
     /*   61693 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(61758), // Rule ID 62603 //
     /*   61698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   61701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   61725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61735 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10050),
     /*   61739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61741 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10050>>  =>  (TH_MULSW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULSW),
     /*   61744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   61746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   61748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61756 */     GIR_RootConstrainSelectedInstOperands,
     /*   61757 */     // GIR_Coverage, 62603,
     /*   61757 */     GIR_EraseRootFromParent_Done,
     /*   61758 */   // Label 998: @61758
     /*   61758 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(61819), // Rule ID 62600 //
     /*   61763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   61766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61786 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   61790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61802 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULS:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   61805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   61807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   61809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61817 */     GIR_RootConstrainSelectedInstOperands,
     /*   61818 */     // GIR_Coverage, 62600,
     /*   61818 */     GIR_EraseRootFromParent_Done,
     /*   61819 */   // Label 999: @61819
     /*   61819 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(61850), // Rule ID 277 //
     /*   61824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   61827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61839 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10050),
     /*   61843 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10050>>  =>  (SUBW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61843 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUBW),
     /*   61848 */     GIR_RootConstrainSelectedInstOperands,
     /*   61849 */     // GIR_Coverage, 277,
     /*   61849 */     GIR_Done,
     /*   61850 */   // Label 1000: @61850
     /*   61850 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(61877), // Rule ID 82 //
     /*   61855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   61858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61870 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (SUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61870 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   61875 */     GIR_RootConstrainSelectedInstOperands,
     /*   61876 */     // GIR_Coverage, 82,
     /*   61876 */     GIR_Done,
     /*   61877 */   // Label 1001: @61877
     /*   61877 */   GIM_Reject,
     /*   61878 */ // Label 996: @61878
     /*   61878 */ GIM_Reject,
     /*   61879 */ // Label 968: @61879
     /*   61879 */ GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(62125),
     /*   61884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   61887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   61890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61898 */   GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(61962), // Rule ID 51950 //
     /*   61903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   61918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   61922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61936 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   61936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   61939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61960 */     GIR_RootConstrainSelectedInstOperands,
     /*   61961 */     // GIR_Coverage, 51950,
     /*   61961 */     GIR_EraseRootFromParent_Done,
     /*   61962 */   // Label 1003: @61962
     /*   61962 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(62026), // Rule ID 51951 //
     /*   61967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   61982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   61986 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62000 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   62003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62024 */     GIR_RootConstrainSelectedInstOperands,
     /*   62025 */     // GIR_Coverage, 51951,
     /*   62025 */     GIR_EraseRootFromParent_Done,
     /*   62026 */   // Label 1004: @62026
     /*   62026 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(62075), // Rule ID 46224 //
     /*   62031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62038 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   62038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   62041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   62055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62073 */     GIR_RootConstrainSelectedInstOperands,
     /*   62074 */     // GIR_Coverage, 46224,
     /*   62074 */     GIR_EraseRootFromParent_Done,
     /*   62075 */   // Label 1005: @62075
     /*   62075 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(62124), // Rule ID 46225 //
     /*   62080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62087 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   62087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   62090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   62104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62122 */     GIR_RootConstrainSelectedInstOperands,
     /*   62123 */     // GIR_Coverage, 46225,
     /*   62123 */     GIR_EraseRootFromParent_Done,
     /*   62124 */   // Label 1006: @62124
     /*   62124 */   GIM_Reject,
     /*   62125 */ // Label 1002: @62125
     /*   62125 */ GIM_Reject,
     /*   62126 */ // Label 969: @62126
     /*   62126 */ GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(63248),
     /*   62131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   62134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   62137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62141 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(62230), // Rule ID 47220 //
     /*   62146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62161 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62189 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   62189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62228 */     GIR_RootConstrainSelectedInstOperands,
     /*   62229 */     // GIR_Coverage, 47220,
     /*   62229 */     GIR_EraseRootFromParent_Done,
     /*   62230 */   // Label 1008: @62230
     /*   62230 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(62319), // Rule ID 47221 //
     /*   62235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62250 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62269 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62278 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   62278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62317 */     GIR_RootConstrainSelectedInstOperands,
     /*   62318 */     // GIR_Coverage, 47221,
     /*   62318 */     GIR_EraseRootFromParent_Done,
     /*   62319 */   // Label 1009: @62319
     /*   62319 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(62408), // Rule ID 46980 //
     /*   62324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62339 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62358 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62367 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   62367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   62384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62406 */     GIR_RootConstrainSelectedInstOperands,
     /*   62407 */     // GIR_Coverage, 46980,
     /*   62407 */     GIR_EraseRootFromParent_Done,
     /*   62408 */   // Label 1010: @62408
     /*   62408 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(62497), // Rule ID 46981 //
     /*   62413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62428 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62447 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62456 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   62456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   62473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62495 */     GIR_RootConstrainSelectedInstOperands,
     /*   62496 */     // GIR_Coverage, 46981,
     /*   62496 */     GIR_EraseRootFromParent_Done,
     /*   62497 */   // Label 1011: @62497
     /*   62497 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(62586), // Rule ID 47100 //
     /*   62502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62517 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62536 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62543 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62545 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   62545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62584 */     GIR_RootConstrainSelectedInstOperands,
     /*   62585 */     // GIR_Coverage, 47100,
     /*   62585 */     GIR_EraseRootFromParent_Done,
     /*   62586 */   // Label 1012: @62586
     /*   62586 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(62675), // Rule ID 47101 //
     /*   62591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62621 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62625 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62634 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   62634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62673 */     GIR_RootConstrainSelectedInstOperands,
     /*   62674 */     // GIR_Coverage, 47101,
     /*   62674 */     GIR_EraseRootFromParent_Done,
     /*   62675 */   // Label 1013: @62675
     /*   62675 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(62743), // Rule ID 51962 //
     /*   62680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   62699 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   62703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62717 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   62717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   62720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62741 */     GIR_RootConstrainSelectedInstOperands,
     /*   62742 */     // GIR_Coverage, 51962,
     /*   62742 */     GIR_EraseRootFromParent_Done,
     /*   62743 */   // Label 1014: @62743
     /*   62743 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(62811), // Rule ID 51963 //
     /*   62748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   62767 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   62771 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62785 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   62785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   62788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62809 */     GIR_RootConstrainSelectedInstOperands,
     /*   62810 */     // GIR_Coverage, 51963,
     /*   62810 */     GIR_EraseRootFromParent_Done,
     /*   62811 */   // Label 1015: @62811
     /*   62811 */   GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(62866), // Rule ID 47280 //
     /*   62816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62844 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62864 */     GIR_RootConstrainSelectedInstOperands,
     /*   62865 */     // GIR_Coverage, 47280,
     /*   62865 */     GIR_EraseRootFromParent_Done,
     /*   62866 */   // Label 1016: @62866
     /*   62866 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(62921), // Rule ID 47281 //
     /*   62871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62899 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62919 */     GIR_RootConstrainSelectedInstOperands,
     /*   62920 */     // GIR_Coverage, 47281,
     /*   62920 */     GIR_EraseRootFromParent_Done,
     /*   62921 */   // Label 1017: @62921
     /*   62921 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(62976), // Rule ID 47040 //
     /*   62926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62954 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   62957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62974 */     GIR_RootConstrainSelectedInstOperands,
     /*   62975 */     // GIR_Coverage, 47040,
     /*   62975 */     GIR_EraseRootFromParent_Done,
     /*   62976 */   // Label 1018: @62976
     /*   62976 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(63031), // Rule ID 47041 //
     /*   62981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   63000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63009 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   63009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   63012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63029 */     GIR_RootConstrainSelectedInstOperands,
     /*   63030 */     // GIR_Coverage, 47041,
     /*   63030 */     GIR_EraseRootFromParent_Done,
     /*   63031 */   // Label 1019: @63031
     /*   63031 */   GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(63086), // Rule ID 47160 //
     /*   63036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   63055 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63064 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   63064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   63067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63084 */     GIR_RootConstrainSelectedInstOperands,
     /*   63085 */     // GIR_Coverage, 47160,
     /*   63085 */     GIR_EraseRootFromParent_Done,
     /*   63086 */   // Label 1020: @63086
     /*   63086 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(63141), // Rule ID 47161 //
     /*   63091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   63110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63119 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   63119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   63122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63139 */     GIR_RootConstrainSelectedInstOperands,
     /*   63140 */     // GIR_Coverage, 47161,
     /*   63140 */     GIR_EraseRootFromParent_Done,
     /*   63141 */   // Label 1021: @63141
     /*   63141 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(63194), // Rule ID 46236 //
     /*   63146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63157 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   63160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   63174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63192 */     GIR_RootConstrainSelectedInstOperands,
     /*   63193 */     // GIR_Coverage, 46236,
     /*   63193 */     GIR_EraseRootFromParent_Done,
     /*   63194 */   // Label 1022: @63194
     /*   63194 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(63247), // Rule ID 46237 //
     /*   63199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63210 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   63213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   63227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63245 */     GIR_RootConstrainSelectedInstOperands,
     /*   63246 */     // GIR_Coverage, 46237,
     /*   63246 */     GIR_EraseRootFromParent_Done,
     /*   63247 */   // Label 1023: @63247
     /*   63247 */   GIM_Reject,
     /*   63248 */ // Label 1007: @63248
     /*   63248 */ GIM_Reject,
     /*   63249 */ // Label 970: @63249
     /*   63249 */ GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(64371),
     /*   63254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   63257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   63260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63264 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(63353), // Rule ID 47244 //
     /*   63269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63284 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63303 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63305 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63310 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63312 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63351 */     GIR_RootConstrainSelectedInstOperands,
     /*   63352 */     // GIR_Coverage, 47244,
     /*   63352 */     GIR_EraseRootFromParent_Done,
     /*   63353 */   // Label 1025: @63353
     /*   63353 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(63442), // Rule ID 47245 //
     /*   63358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63373 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63380 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63384 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63388 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63392 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63394 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63399 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63401 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63440 */     GIR_RootConstrainSelectedInstOperands,
     /*   63441 */     // GIR_Coverage, 47245,
     /*   63441 */     GIR_EraseRootFromParent_Done,
     /*   63442 */   // Label 1026: @63442
     /*   63442 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(63531), // Rule ID 47004 //
     /*   63447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63481 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63483 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63488 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63490 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   63507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63529 */     GIR_RootConstrainSelectedInstOperands,
     /*   63530 */     // GIR_Coverage, 47004,
     /*   63530 */     GIR_EraseRootFromParent_Done,
     /*   63531 */   // Label 1027: @63531
     /*   63531 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(63620), // Rule ID 47005 //
     /*   63536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63570 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63579 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   63596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63618 */     GIR_RootConstrainSelectedInstOperands,
     /*   63619 */     // GIR_Coverage, 47005,
     /*   63619 */     GIR_EraseRootFromParent_Done,
     /*   63620 */   // Label 1028: @63620
     /*   63620 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(63709), // Rule ID 47124 //
     /*   63625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63640 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63655 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63659 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63661 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63668 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63707 */     GIR_RootConstrainSelectedInstOperands,
     /*   63708 */     // GIR_Coverage, 47124,
     /*   63708 */     GIR_EraseRootFromParent_Done,
     /*   63709 */   // Label 1029: @63709
     /*   63709 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(63798), // Rule ID 47125 //
     /*   63714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63729 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63748 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63750 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63757 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63796 */     GIR_RootConstrainSelectedInstOperands,
     /*   63797 */     // GIR_Coverage, 47125,
     /*   63797 */     GIR_EraseRootFromParent_Done,
     /*   63798 */   // Label 1030: @63798
     /*   63798 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(63866), // Rule ID 51970 //
     /*   63803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   63822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   63826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63840 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   63840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   63843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63864 */     GIR_RootConstrainSelectedInstOperands,
     /*   63865 */     // GIR_Coverage, 51970,
     /*   63865 */     GIR_EraseRootFromParent_Done,
     /*   63866 */   // Label 1031: @63866
     /*   63866 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(63934), // Rule ID 51971 //
     /*   63871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   63890 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   63894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63908 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   63908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   63911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63932 */     GIR_RootConstrainSelectedInstOperands,
     /*   63933 */     // GIR_Coverage, 51971,
     /*   63933 */     GIR_EraseRootFromParent_Done,
     /*   63934 */   // Label 1032: @63934
     /*   63934 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(63989), // Rule ID 47304 //
     /*   63939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63958 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63967 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   63970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63987 */     GIR_RootConstrainSelectedInstOperands,
     /*   63988 */     // GIR_Coverage, 47304,
     /*   63988 */     GIR_EraseRootFromParent_Done,
     /*   63989 */   // Label 1033: @63989
     /*   63989 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(64044), // Rule ID 47305 //
     /*   63994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   64013 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64022 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   64022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   64025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64042 */     GIR_RootConstrainSelectedInstOperands,
     /*   64043 */     // GIR_Coverage, 47305,
     /*   64043 */     GIR_EraseRootFromParent_Done,
     /*   64044 */   // Label 1034: @64044
     /*   64044 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(64099), // Rule ID 47064 //
     /*   64049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   64068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64077 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   64077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   64080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64097 */     GIR_RootConstrainSelectedInstOperands,
     /*   64098 */     // GIR_Coverage, 47064,
     /*   64098 */     GIR_EraseRootFromParent_Done,
     /*   64099 */   // Label 1035: @64099
     /*   64099 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(64154), // Rule ID 47065 //
     /*   64104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   64123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64132 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   64132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   64135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64152 */     GIR_RootConstrainSelectedInstOperands,
     /*   64153 */     // GIR_Coverage, 47065,
     /*   64153 */     GIR_EraseRootFromParent_Done,
     /*   64154 */   // Label 1036: @64154
     /*   64154 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(64209), // Rule ID 47184 //
     /*   64159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   64178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64187 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   64187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   64190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64207 */     GIR_RootConstrainSelectedInstOperands,
     /*   64208 */     // GIR_Coverage, 47184,
     /*   64208 */     GIR_EraseRootFromParent_Done,
     /*   64209 */   // Label 1037: @64209
     /*   64209 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(64264), // Rule ID 47185 //
     /*   64214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   64233 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64242 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   64242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   64245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64262 */     GIR_RootConstrainSelectedInstOperands,
     /*   64263 */     // GIR_Coverage, 47185,
     /*   64263 */     GIR_EraseRootFromParent_Done,
     /*   64264 */   // Label 1038: @64264
     /*   64264 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(64317), // Rule ID 46244 //
     /*   64269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64280 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   64283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   64297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64315 */     GIR_RootConstrainSelectedInstOperands,
     /*   64316 */     // GIR_Coverage, 46244,
     /*   64316 */     GIR_EraseRootFromParent_Done,
     /*   64317 */   // Label 1039: @64317
     /*   64317 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(64370), // Rule ID 46245 //
     /*   64322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64333 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   64336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   64350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64368 */     GIR_RootConstrainSelectedInstOperands,
     /*   64369 */     // GIR_Coverage, 46245,
     /*   64369 */     GIR_EraseRootFromParent_Done,
     /*   64370 */   // Label 1040: @64370
     /*   64370 */   GIM_Reject,
     /*   64371 */ // Label 1024: @64371
     /*   64371 */ GIM_Reject,
     /*   64372 */ // Label 971: @64372
     /*   64372 */ GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(65494),
     /*   64377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   64380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   64383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64387 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(64476), // Rule ID 47264 //
     /*   64392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64407 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64426 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64428 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64433 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64435 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64474 */     GIR_RootConstrainSelectedInstOperands,
     /*   64475 */     // GIR_Coverage, 47264,
     /*   64475 */     GIR_EraseRootFromParent_Done,
     /*   64476 */   // Label 1042: @64476
     /*   64476 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(64565), // Rule ID 47265 //
     /*   64481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64496 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64515 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64517 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64524 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64563 */     GIR_RootConstrainSelectedInstOperands,
     /*   64564 */     // GIR_Coverage, 47265,
     /*   64564 */     GIR_EraseRootFromParent_Done,
     /*   64565 */   // Label 1043: @64565
     /*   64565 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(64654), // Rule ID 47024 //
     /*   64570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64585 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64604 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64613 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   64630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64652 */     GIR_RootConstrainSelectedInstOperands,
     /*   64653 */     // GIR_Coverage, 47024,
     /*   64653 */     GIR_EraseRootFromParent_Done,
     /*   64654 */   // Label 1044: @64654
     /*   64654 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(64743), // Rule ID 47025 //
     /*   64659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64674 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64693 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64695 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64700 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64702 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   64719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64741 */     GIR_RootConstrainSelectedInstOperands,
     /*   64742 */     // GIR_Coverage, 47025,
     /*   64742 */     GIR_EraseRootFromParent_Done,
     /*   64743 */   // Label 1045: @64743
     /*   64743 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(64832), // Rule ID 47144 //
     /*   64748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64782 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64791 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64830 */     GIR_RootConstrainSelectedInstOperands,
     /*   64831 */     // GIR_Coverage, 47144,
     /*   64831 */     GIR_EraseRootFromParent_Done,
     /*   64832 */   // Label 1046: @64832
     /*   64832 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(64921), // Rule ID 47145 //
     /*   64837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64852 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64871 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64880 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64919 */     GIR_RootConstrainSelectedInstOperands,
     /*   64920 */     // GIR_Coverage, 47145,
     /*   64920 */     GIR_EraseRootFromParent_Done,
     /*   64921 */   // Label 1047: @64921
     /*   64921 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(64989), // Rule ID 51986 //
     /*   64926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   64945 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   64949 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64963 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   64963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   64966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64987 */     GIR_RootConstrainSelectedInstOperands,
     /*   64988 */     // GIR_Coverage, 51986,
     /*   64988 */     GIR_EraseRootFromParent_Done,
     /*   64989 */   // Label 1048: @64989
     /*   64989 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(65057), // Rule ID 51987 //
     /*   64994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   65013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   65017 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65031 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   65031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   65034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   65052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65055 */     GIR_RootConstrainSelectedInstOperands,
     /*   65056 */     // GIR_Coverage, 51987,
     /*   65056 */     GIR_EraseRootFromParent_Done,
     /*   65057 */   // Label 1049: @65057
     /*   65057 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(65112), // Rule ID 47324 //
     /*   65062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   65065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65081 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65090 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   65090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65110 */     GIR_RootConstrainSelectedInstOperands,
     /*   65111 */     // GIR_Coverage, 47324,
     /*   65111 */     GIR_EraseRootFromParent_Done,
     /*   65112 */   // Label 1050: @65112
     /*   65112 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(65167), // Rule ID 47325 //
     /*   65117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   65120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65145 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   65145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65165 */     GIR_RootConstrainSelectedInstOperands,
     /*   65166 */     // GIR_Coverage, 47325,
     /*   65166 */     GIR_EraseRootFromParent_Done,
     /*   65167 */   // Label 1051: @65167
     /*   65167 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(65222), // Rule ID 47084 //
     /*   65172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   65175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65191 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65200 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   65200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65220 */     GIR_RootConstrainSelectedInstOperands,
     /*   65221 */     // GIR_Coverage, 47084,
     /*   65221 */     GIR_EraseRootFromParent_Done,
     /*   65222 */   // Label 1052: @65222
     /*   65222 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(65277), // Rule ID 47085 //
     /*   65227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   65230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65255 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   65255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65275 */     GIR_RootConstrainSelectedInstOperands,
     /*   65276 */     // GIR_Coverage, 47085,
     /*   65276 */     GIR_EraseRootFromParent_Done,
     /*   65277 */   // Label 1053: @65277
     /*   65277 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(65332), // Rule ID 47204 //
     /*   65282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   65285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65310 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   65310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65330 */     GIR_RootConstrainSelectedInstOperands,
     /*   65331 */     // GIR_Coverage, 47204,
     /*   65331 */     GIR_EraseRootFromParent_Done,
     /*   65332 */   // Label 1054: @65332
     /*   65332 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(65387), // Rule ID 47205 //
     /*   65337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   65340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65365 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   65365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65385 */     GIR_RootConstrainSelectedInstOperands,
     /*   65386 */     // GIR_Coverage, 47205,
     /*   65386 */     GIR_EraseRootFromParent_Done,
     /*   65387 */   // Label 1055: @65387
     /*   65387 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(65440), // Rule ID 46260 //
     /*   65392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   65395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65403 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   65403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   65406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   65420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   65435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65438 */     GIR_RootConstrainSelectedInstOperands,
     /*   65439 */     // GIR_Coverage, 46260,
     /*   65439 */     GIR_EraseRootFromParent_Done,
     /*   65440 */   // Label 1056: @65440
     /*   65440 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(65493), // Rule ID 46261 //
     /*   65445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   65448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65456 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   65456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   65459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   65473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   65488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65491 */     GIR_RootConstrainSelectedInstOperands,
     /*   65492 */     // GIR_Coverage, 46261,
     /*   65492 */     GIR_EraseRootFromParent_Done,
     /*   65493 */   // Label 1057: @65493
     /*   65493 */   GIM_Reject,
     /*   65494 */ // Label 1041: @65494
     /*   65494 */ GIM_Reject,
     /*   65495 */ // Label 972: @65495
     /*   65495 */ GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(65741),
     /*   65500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   65506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65514 */   GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(65578), // Rule ID 51954 //
     /*   65519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   65538 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65552 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   65555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65576 */     GIR_RootConstrainSelectedInstOperands,
     /*   65577 */     // GIR_Coverage, 51954,
     /*   65577 */     GIR_EraseRootFromParent_Done,
     /*   65578 */   // Label 1059: @65578
     /*   65578 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(65642), // Rule ID 51955 //
     /*   65583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   65602 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65616 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   65619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65640 */     GIR_RootConstrainSelectedInstOperands,
     /*   65641 */     // GIR_Coverage, 51955,
     /*   65641 */     GIR_EraseRootFromParent_Done,
     /*   65642 */   // Label 1060: @65642
     /*   65642 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(65691), // Rule ID 46228 //
     /*   65647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65654 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   65657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   65671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65689 */     GIR_RootConstrainSelectedInstOperands,
     /*   65690 */     // GIR_Coverage, 46228,
     /*   65690 */     GIR_EraseRootFromParent_Done,
     /*   65691 */   // Label 1061: @65691
     /*   65691 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(65740), // Rule ID 46229 //
     /*   65696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65703 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   65706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   65720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65738 */     GIR_RootConstrainSelectedInstOperands,
     /*   65739 */     // GIR_Coverage, 46229,
     /*   65739 */     GIR_EraseRootFromParent_Done,
     /*   65740 */   // Label 1062: @65740
     /*   65740 */   GIM_Reject,
     /*   65741 */ // Label 1058: @65741
     /*   65741 */ GIM_Reject,
     /*   65742 */ // Label 973: @65742
     /*   65742 */ GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(66864),
     /*   65747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   65750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   65753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65757 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(65846), // Rule ID 47224 //
     /*   65762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65777 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65796 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65798 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65805 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   65822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65844 */     GIR_RootConstrainSelectedInstOperands,
     /*   65845 */     // GIR_Coverage, 47224,
     /*   65845 */     GIR_EraseRootFromParent_Done,
     /*   65846 */   // Label 1064: @65846
     /*   65846 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(65935), // Rule ID 47225 //
     /*   65851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65866 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65885 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65887 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65894 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   65911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65933 */     GIR_RootConstrainSelectedInstOperands,
     /*   65934 */     // GIR_Coverage, 47225,
     /*   65934 */     GIR_EraseRootFromParent_Done,
     /*   65935 */   // Label 1065: @65935
     /*   65935 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(66024), // Rule ID 46984 //
     /*   65940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65955 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65974 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65976 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65981 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65983 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   66000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66022 */     GIR_RootConstrainSelectedInstOperands,
     /*   66023 */     // GIR_Coverage, 46984,
     /*   66023 */     GIR_EraseRootFromParent_Done,
     /*   66024 */   // Label 1066: @66024
     /*   66024 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(66113), // Rule ID 46985 //
     /*   66029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66044 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66046 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66063 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66070 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66072 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   66072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   66089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66111 */     GIR_RootConstrainSelectedInstOperands,
     /*   66112 */     // GIR_Coverage, 46985,
     /*   66112 */     GIR_EraseRootFromParent_Done,
     /*   66113 */   // Label 1067: @66113
     /*   66113 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(66202), // Rule ID 47104 //
     /*   66118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66133 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66152 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66154 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66159 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66161 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   66161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   66178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66200 */     GIR_RootConstrainSelectedInstOperands,
     /*   66201 */     // GIR_Coverage, 47104,
     /*   66201 */     GIR_EraseRootFromParent_Done,
     /*   66202 */   // Label 1068: @66202
     /*   66202 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(66291), // Rule ID 47105 //
     /*   66207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66222 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66224 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66229 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66233 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66237 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66241 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66243 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66248 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66250 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   66250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   66267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66289 */     GIR_RootConstrainSelectedInstOperands,
     /*   66290 */     // GIR_Coverage, 47105,
     /*   66290 */     GIR_EraseRootFromParent_Done,
     /*   66291 */   // Label 1069: @66291
     /*   66291 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(66359), // Rule ID 51966 //
     /*   66296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66315 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   66319 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66333 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   66333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   66336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66357 */     GIR_RootConstrainSelectedInstOperands,
     /*   66358 */     // GIR_Coverage, 51966,
     /*   66358 */     GIR_EraseRootFromParent_Done,
     /*   66359 */   // Label 1070: @66359
     /*   66359 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(66427), // Rule ID 51967 //
     /*   66364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   66387 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66401 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   66401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   66404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66425 */     GIR_RootConstrainSelectedInstOperands,
     /*   66426 */     // GIR_Coverage, 51967,
     /*   66426 */     GIR_EraseRootFromParent_Done,
     /*   66427 */   // Label 1071: @66427
     /*   66427 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(66482), // Rule ID 47284 //
     /*   66432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66451 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66460 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66480 */     GIR_RootConstrainSelectedInstOperands,
     /*   66481 */     // GIR_Coverage, 47284,
     /*   66481 */     GIR_EraseRootFromParent_Done,
     /*   66482 */   // Label 1072: @66482
     /*   66482 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(66537), // Rule ID 47285 //
     /*   66487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66506 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66515 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66535 */     GIR_RootConstrainSelectedInstOperands,
     /*   66536 */     // GIR_Coverage, 47285,
     /*   66536 */     GIR_EraseRootFromParent_Done,
     /*   66537 */   // Label 1073: @66537
     /*   66537 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(66592), // Rule ID 47044 //
     /*   66542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66561 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66570 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   66573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66590 */     GIR_RootConstrainSelectedInstOperands,
     /*   66591 */     // GIR_Coverage, 47044,
     /*   66591 */     GIR_EraseRootFromParent_Done,
     /*   66592 */   // Label 1074: @66592
     /*   66592 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(66647), // Rule ID 47045 //
     /*   66597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66625 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   66628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66645 */     GIR_RootConstrainSelectedInstOperands,
     /*   66646 */     // GIR_Coverage, 47045,
     /*   66646 */     GIR_EraseRootFromParent_Done,
     /*   66647 */   // Label 1075: @66647
     /*   66647 */   GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(66702), // Rule ID 47164 //
     /*   66652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66671 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66680 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66700 */     GIR_RootConstrainSelectedInstOperands,
     /*   66701 */     // GIR_Coverage, 47164,
     /*   66701 */     GIR_EraseRootFromParent_Done,
     /*   66702 */   // Label 1076: @66702
     /*   66702 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(66757), // Rule ID 47165 //
     /*   66707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66726 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66735 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66755 */     GIR_RootConstrainSelectedInstOperands,
     /*   66756 */     // GIR_Coverage, 47165,
     /*   66756 */     GIR_EraseRootFromParent_Done,
     /*   66757 */   // Label 1077: @66757
     /*   66757 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(66810), // Rule ID 46240 //
     /*   66762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66773 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   66790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66808 */     GIR_RootConstrainSelectedInstOperands,
     /*   66809 */     // GIR_Coverage, 46240,
     /*   66809 */     GIR_EraseRootFromParent_Done,
     /*   66810 */   // Label 1078: @66810
     /*   66810 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(66863), // Rule ID 46241 //
     /*   66815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66826 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   66843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66861 */     GIR_RootConstrainSelectedInstOperands,
     /*   66862 */     // GIR_Coverage, 46241,
     /*   66862 */     GIR_EraseRootFromParent_Done,
     /*   66863 */   // Label 1079: @66863
     /*   66863 */   GIM_Reject,
     /*   66864 */ // Label 1063: @66864
     /*   66864 */ GIM_Reject,
     /*   66865 */ // Label 974: @66865
     /*   66865 */ GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(67987),
     /*   66870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   66873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   66876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66880 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(66969), // Rule ID 47248 //
     /*   66885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66900 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66915 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66919 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66921 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66928 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   66931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   66945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66967 */     GIR_RootConstrainSelectedInstOperands,
     /*   66968 */     // GIR_Coverage, 47248,
     /*   66968 */     GIR_EraseRootFromParent_Done,
     /*   66969 */   // Label 1081: @66969
     /*   66969 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(67058), // Rule ID 47249 //
     /*   66974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66989 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67008 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67010 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67017 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   67017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   67034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67056 */     GIR_RootConstrainSelectedInstOperands,
     /*   67057 */     // GIR_Coverage, 47249,
     /*   67057 */     GIR_EraseRootFromParent_Done,
     /*   67058 */   // Label 1082: @67058
     /*   67058 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(67147), // Rule ID 47008 //
     /*   67063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67097 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67099 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67104 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67106 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   67106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   67123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67145 */     GIR_RootConstrainSelectedInstOperands,
     /*   67146 */     // GIR_Coverage, 47008,
     /*   67146 */     GIR_EraseRootFromParent_Done,
     /*   67147 */   // Label 1083: @67147
     /*   67147 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(67236), // Rule ID 47009 //
     /*   67152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67167 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67186 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67188 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67195 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   67195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   67212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67234 */     GIR_RootConstrainSelectedInstOperands,
     /*   67235 */     // GIR_Coverage, 47009,
     /*   67235 */     GIR_EraseRootFromParent_Done,
     /*   67236 */   // Label 1084: @67236
     /*   67236 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(67325), // Rule ID 47128 //
     /*   67241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67275 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67284 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   67284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   67301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67323 */     GIR_RootConstrainSelectedInstOperands,
     /*   67324 */     // GIR_Coverage, 47128,
     /*   67324 */     GIR_EraseRootFromParent_Done,
     /*   67325 */   // Label 1085: @67325
     /*   67325 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(67414), // Rule ID 47129 //
     /*   67330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67345 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67364 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67366 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67371 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67373 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   67373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   67390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67412 */     GIR_RootConstrainSelectedInstOperands,
     /*   67413 */     // GIR_Coverage, 47129,
     /*   67413 */     GIR_EraseRootFromParent_Done,
     /*   67414 */   // Label 1086: @67414
     /*   67414 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(67482), // Rule ID 51982 //
     /*   67419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67438 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   67442 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67456 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   67456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   67459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67480 */     GIR_RootConstrainSelectedInstOperands,
     /*   67481 */     // GIR_Coverage, 51982,
     /*   67481 */     GIR_EraseRootFromParent_Done,
     /*   67482 */   // Label 1087: @67482
     /*   67482 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(67550), // Rule ID 51983 //
     /*   67487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   67510 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67524 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   67524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   67527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67548 */     GIR_RootConstrainSelectedInstOperands,
     /*   67549 */     // GIR_Coverage, 51983,
     /*   67549 */     GIR_EraseRootFromParent_Done,
     /*   67550 */   // Label 1088: @67550
     /*   67550 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(67605), // Rule ID 47308 //
     /*   67555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67574 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67583 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67603 */     GIR_RootConstrainSelectedInstOperands,
     /*   67604 */     // GIR_Coverage, 47308,
     /*   67604 */     GIR_EraseRootFromParent_Done,
     /*   67605 */   // Label 1089: @67605
     /*   67605 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(67660), // Rule ID 47309 //
     /*   67610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67629 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67638 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67658 */     GIR_RootConstrainSelectedInstOperands,
     /*   67659 */     // GIR_Coverage, 47309,
     /*   67659 */     GIR_EraseRootFromParent_Done,
     /*   67660 */   // Label 1090: @67660
     /*   67660 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(67715), // Rule ID 47068 //
     /*   67665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67684 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67686 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67693 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   67696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67713 */     GIR_RootConstrainSelectedInstOperands,
     /*   67714 */     // GIR_Coverage, 47068,
     /*   67714 */     GIR_EraseRootFromParent_Done,
     /*   67715 */   // Label 1091: @67715
     /*   67715 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(67770), // Rule ID 47069 //
     /*   67720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67739 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67748 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   67751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67768 */     GIR_RootConstrainSelectedInstOperands,
     /*   67769 */     // GIR_Coverage, 47069,
     /*   67769 */     GIR_EraseRootFromParent_Done,
     /*   67770 */   // Label 1092: @67770
     /*   67770 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(67825), // Rule ID 47188 //
     /*   67775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67803 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67823 */     GIR_RootConstrainSelectedInstOperands,
     /*   67824 */     // GIR_Coverage, 47188,
     /*   67824 */     GIR_EraseRootFromParent_Done,
     /*   67825 */   // Label 1093: @67825
     /*   67825 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(67880), // Rule ID 47189 //
     /*   67830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67849 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67858 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67878 */     GIR_RootConstrainSelectedInstOperands,
     /*   67879 */     // GIR_Coverage, 47189,
     /*   67879 */     GIR_EraseRootFromParent_Done,
     /*   67880 */   // Label 1094: @67880
     /*   67880 */   GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(67933), // Rule ID 46256 //
     /*   67885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67896 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   67913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67931 */     GIR_RootConstrainSelectedInstOperands,
     /*   67932 */     // GIR_Coverage, 46256,
     /*   67932 */     GIR_EraseRootFromParent_Done,
     /*   67933 */   // Label 1095: @67933
     /*   67933 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(67986), // Rule ID 46257 //
     /*   67938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67949 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   67966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67984 */     GIR_RootConstrainSelectedInstOperands,
     /*   67985 */     // GIR_Coverage, 46257,
     /*   67985 */     GIR_EraseRootFromParent_Done,
     /*   67986 */   // Label 1096: @67986
     /*   67986 */   GIM_Reject,
     /*   67987 */ // Label 1080: @67987
     /*   67987 */ GIM_Reject,
     /*   67988 */ // Label 975: @67988
     /*   67988 */ GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(69110),
     /*   67993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   67996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   67999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68003 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(68092), // Rule ID 47268 //
     /*   68008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68023 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68042 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68044 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68051 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   68051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68090 */     GIR_RootConstrainSelectedInstOperands,
     /*   68091 */     // GIR_Coverage, 47268,
     /*   68091 */     GIR_EraseRootFromParent_Done,
     /*   68092 */   // Label 1098: @68092
     /*   68092 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(68181), // Rule ID 47269 //
     /*   68097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68112 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68119 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68123 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68127 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68131 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68133 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68138 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68140 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   68140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68179 */     GIR_RootConstrainSelectedInstOperands,
     /*   68180 */     // GIR_Coverage, 47269,
     /*   68180 */     GIR_EraseRootFromParent_Done,
     /*   68181 */   // Label 1099: @68181
     /*   68181 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(68270), // Rule ID 47028 //
     /*   68186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68220 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68222 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68229 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   68229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68268 */     GIR_RootConstrainSelectedInstOperands,
     /*   68269 */     // GIR_Coverage, 47028,
     /*   68269 */     GIR_EraseRootFromParent_Done,
     /*   68270 */   // Label 1100: @68270
     /*   68270 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(68359), // Rule ID 47029 //
     /*   68275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68290 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68309 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68318 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   68318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68357 */     GIR_RootConstrainSelectedInstOperands,
     /*   68358 */     // GIR_Coverage, 47029,
     /*   68358 */     GIR_EraseRootFromParent_Done,
     /*   68359 */   // Label 1101: @68359
     /*   68359 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(68448), // Rule ID 47148 //
     /*   68364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68379 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68398 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68407 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   68407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68446 */     GIR_RootConstrainSelectedInstOperands,
     /*   68447 */     // GIR_Coverage, 47148,
     /*   68447 */     GIR_EraseRootFromParent_Done,
     /*   68448 */   // Label 1102: @68448
     /*   68448 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(68537), // Rule ID 47149 //
     /*   68453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68468 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68483 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68487 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68496 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   68496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68535 */     GIR_RootConstrainSelectedInstOperands,
     /*   68536 */     // GIR_Coverage, 47149,
     /*   68536 */     GIR_EraseRootFromParent_Done,
     /*   68537 */   // Label 1103: @68537
     /*   68537 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(68605), // Rule ID 52026 //
     /*   68542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   68545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   68561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   68565 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68579 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   68579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   68582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68603 */     GIR_RootConstrainSelectedInstOperands,
     /*   68604 */     // GIR_Coverage, 52026,
     /*   68604 */     GIR_EraseRootFromParent_Done,
     /*   68605 */   // Label 1104: @68605
     /*   68605 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(68673), // Rule ID 52027 //
     /*   68610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   68613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   68629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   68633 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68647 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   68647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   68650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68671 */     GIR_RootConstrainSelectedInstOperands,
     /*   68672 */     // GIR_Coverage, 52027,
     /*   68672 */     GIR_EraseRootFromParent_Done,
     /*   68673 */   // Label 1105: @68673
     /*   68673 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(68728), // Rule ID 47328 //
     /*   68678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68697 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68706 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68726 */     GIR_RootConstrainSelectedInstOperands,
     /*   68727 */     // GIR_Coverage, 47328,
     /*   68727 */     GIR_EraseRootFromParent_Done,
     /*   68728 */   // Label 1106: @68728
     /*   68728 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(68783), // Rule ID 47329 //
     /*   68733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68761 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68781 */     GIR_RootConstrainSelectedInstOperands,
     /*   68782 */     // GIR_Coverage, 47329,
     /*   68782 */     GIR_EraseRootFromParent_Done,
     /*   68783 */   // Label 1107: @68783
     /*   68783 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(68838), // Rule ID 47088 //
     /*   68788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68807 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68816 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   68819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68836 */     GIR_RootConstrainSelectedInstOperands,
     /*   68837 */     // GIR_Coverage, 47088,
     /*   68837 */     GIR_EraseRootFromParent_Done,
     /*   68838 */   // Label 1108: @68838
     /*   68838 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(68893), // Rule ID 47089 //
     /*   68843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68862 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68871 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   68874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68891 */     GIR_RootConstrainSelectedInstOperands,
     /*   68892 */     // GIR_Coverage, 47089,
     /*   68892 */     GIR_EraseRootFromParent_Done,
     /*   68893 */   // Label 1109: @68893
     /*   68893 */   GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(68948), // Rule ID 47208 //
     /*   68898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68917 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68926 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68946 */     GIR_RootConstrainSelectedInstOperands,
     /*   68947 */     // GIR_Coverage, 47208,
     /*   68947 */     GIR_EraseRootFromParent_Done,
     /*   68948 */   // Label 1110: @68948
     /*   68948 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(69003), // Rule ID 47209 //
     /*   68953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68972 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68981 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69001 */     GIR_RootConstrainSelectedInstOperands,
     /*   69002 */     // GIR_Coverage, 47209,
     /*   69002 */     GIR_EraseRootFromParent_Done,
     /*   69003 */   // Label 1111: @69003
     /*   69003 */   GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(69056), // Rule ID 46300 //
     /*   69008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   69011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69019 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   69019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   69022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   69051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69054 */     GIR_RootConstrainSelectedInstOperands,
     /*   69055 */     // GIR_Coverage, 46300,
     /*   69055 */     GIR_EraseRootFromParent_Done,
     /*   69056 */   // Label 1112: @69056
     /*   69056 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(69109), // Rule ID 46301 //
     /*   69061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   69064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69072 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   69072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   69075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   69104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69107 */     GIR_RootConstrainSelectedInstOperands,
     /*   69108 */     // GIR_Coverage, 46301,
     /*   69108 */     GIR_EraseRootFromParent_Done,
     /*   69109 */   // Label 1113: @69109
     /*   69109 */   GIM_Reject,
     /*   69110 */ // Label 1097: @69110
     /*   69110 */ GIM_Reject,
     /*   69111 */ // Label 976: @69111
     /*   69111 */ GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(69357),
     /*   69116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   69122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69130 */   GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(69194), // Rule ID 51958 //
     /*   69135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   69154 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69168 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   69171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69192 */     GIR_RootConstrainSelectedInstOperands,
     /*   69193 */     // GIR_Coverage, 51958,
     /*   69193 */     GIR_EraseRootFromParent_Done,
     /*   69194 */   // Label 1115: @69194
     /*   69194 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(69258), // Rule ID 51959 //
     /*   69199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69214 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   69218 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69232 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   69235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69256 */     GIR_RootConstrainSelectedInstOperands,
     /*   69257 */     // GIR_Coverage, 51959,
     /*   69257 */     GIR_EraseRootFromParent_Done,
     /*   69258 */   // Label 1116: @69258
     /*   69258 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(69307), // Rule ID 46232 //
     /*   69263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69270 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   69273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   69287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69305 */     GIR_RootConstrainSelectedInstOperands,
     /*   69306 */     // GIR_Coverage, 46232,
     /*   69306 */     GIR_EraseRootFromParent_Done,
     /*   69307 */   // Label 1117: @69307
     /*   69307 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(69356), // Rule ID 46233 //
     /*   69312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69319 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   69322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   69336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69354 */     GIR_RootConstrainSelectedInstOperands,
     /*   69355 */     // GIR_Coverage, 46233,
     /*   69355 */     GIR_EraseRootFromParent_Done,
     /*   69356 */   // Label 1118: @69356
     /*   69356 */   GIM_Reject,
     /*   69357 */ // Label 1114: @69357
     /*   69357 */ GIM_Reject,
     /*   69358 */ // Label 977: @69358
     /*   69358 */ GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(70480),
     /*   69363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   69366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   69369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69373 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(69462), // Rule ID 47228 //
     /*   69378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69393 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69412 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69421 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69460 */     GIR_RootConstrainSelectedInstOperands,
     /*   69461 */     // GIR_Coverage, 47228,
     /*   69461 */     GIR_EraseRootFromParent_Done,
     /*   69462 */   // Label 1120: @69462
     /*   69462 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(69551), // Rule ID 47229 //
     /*   69467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69482 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69501 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69503 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69510 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69549 */     GIR_RootConstrainSelectedInstOperands,
     /*   69550 */     // GIR_Coverage, 47229,
     /*   69550 */     GIR_EraseRootFromParent_Done,
     /*   69551 */   // Label 1121: @69551
     /*   69551 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(69640), // Rule ID 46988 //
     /*   69556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69590 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69599 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   69616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69638 */     GIR_RootConstrainSelectedInstOperands,
     /*   69639 */     // GIR_Coverage, 46988,
     /*   69639 */     GIR_EraseRootFromParent_Done,
     /*   69640 */   // Label 1122: @69640
     /*   69640 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(69729), // Rule ID 46989 //
     /*   69645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69679 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69688 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   69705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69727 */     GIR_RootConstrainSelectedInstOperands,
     /*   69728 */     // GIR_Coverage, 46989,
     /*   69728 */     GIR_EraseRootFromParent_Done,
     /*   69729 */   // Label 1123: @69729
     /*   69729 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(69818), // Rule ID 47108 //
     /*   69734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69749 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69768 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69770 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69777 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69816 */     GIR_RootConstrainSelectedInstOperands,
     /*   69817 */     // GIR_Coverage, 47108,
     /*   69817 */     GIR_EraseRootFromParent_Done,
     /*   69818 */   // Label 1124: @69818
     /*   69818 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(69907), // Rule ID 47109 //
     /*   69823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69838 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69857 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69866 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69905 */     GIR_RootConstrainSelectedInstOperands,
     /*   69906 */     // GIR_Coverage, 47109,
     /*   69906 */     GIR_EraseRootFromParent_Done,
     /*   69907 */   // Label 1125: @69907
     /*   69907 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(69975), // Rule ID 51978 //
     /*   69912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   69931 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   69935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69949 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   69949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   69952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69973 */     GIR_RootConstrainSelectedInstOperands,
     /*   69974 */     // GIR_Coverage, 51978,
     /*   69974 */     GIR_EraseRootFromParent_Done,
     /*   69975 */   // Label 1126: @69975
     /*   69975 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(70043), // Rule ID 51979 //
     /*   69980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   69999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   70003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70017 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   70020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70041 */     GIR_RootConstrainSelectedInstOperands,
     /*   70042 */     // GIR_Coverage, 51979,
     /*   70042 */     GIR_EraseRootFromParent_Done,
     /*   70043 */   // Label 1127: @70043
     /*   70043 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(70098), // Rule ID 47288 //
     /*   70048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70067 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70076 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   70076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   70079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70096 */     GIR_RootConstrainSelectedInstOperands,
     /*   70097 */     // GIR_Coverage, 47288,
     /*   70097 */     GIR_EraseRootFromParent_Done,
     /*   70098 */   // Label 1128: @70098
     /*   70098 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(70153), // Rule ID 47289 //
     /*   70103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70122 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70124 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70131 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   70131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   70134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70151 */     GIR_RootConstrainSelectedInstOperands,
     /*   70152 */     // GIR_Coverage, 47289,
     /*   70152 */     GIR_EraseRootFromParent_Done,
     /*   70153 */   // Label 1129: @70153
     /*   70153 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(70208), // Rule ID 47048 //
     /*   70158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70177 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70186 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   70186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   70189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70206 */     GIR_RootConstrainSelectedInstOperands,
     /*   70207 */     // GIR_Coverage, 47048,
     /*   70207 */     GIR_EraseRootFromParent_Done,
     /*   70208 */   // Label 1130: @70208
     /*   70208 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(70263), // Rule ID 47049 //
     /*   70213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70232 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70241 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   70241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   70244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70261 */     GIR_RootConstrainSelectedInstOperands,
     /*   70262 */     // GIR_Coverage, 47049,
     /*   70262 */     GIR_EraseRootFromParent_Done,
     /*   70263 */   // Label 1131: @70263
     /*   70263 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(70318), // Rule ID 47168 //
     /*   70268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70287 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70296 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   70296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   70299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70316 */     GIR_RootConstrainSelectedInstOperands,
     /*   70317 */     // GIR_Coverage, 47168,
     /*   70317 */     GIR_EraseRootFromParent_Done,
     /*   70318 */   // Label 1132: @70318
     /*   70318 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(70373), // Rule ID 47169 //
     /*   70323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70342 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70351 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   70351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   70354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70371 */     GIR_RootConstrainSelectedInstOperands,
     /*   70372 */     // GIR_Coverage, 47169,
     /*   70372 */     GIR_EraseRootFromParent_Done,
     /*   70373 */   // Label 1133: @70373
     /*   70373 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(70426), // Rule ID 46252 //
     /*   70378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70389 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   70406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70424 */     GIR_RootConstrainSelectedInstOperands,
     /*   70425 */     // GIR_Coverage, 46252,
     /*   70425 */     GIR_EraseRootFromParent_Done,
     /*   70426 */   // Label 1134: @70426
     /*   70426 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(70479), // Rule ID 46253 //
     /*   70431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70442 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   70459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70477 */     GIR_RootConstrainSelectedInstOperands,
     /*   70478 */     // GIR_Coverage, 46253,
     /*   70478 */     GIR_EraseRootFromParent_Done,
     /*   70479 */   // Label 1135: @70479
     /*   70479 */   GIM_Reject,
     /*   70480 */ // Label 1119: @70480
     /*   70480 */ GIM_Reject,
     /*   70481 */ // Label 978: @70481
     /*   70481 */ GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(71603),
     /*   70486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   70489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   70492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70496 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(70585), // Rule ID 47252 //
     /*   70501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70516 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70535 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70544 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70583 */     GIR_RootConstrainSelectedInstOperands,
     /*   70584 */     // GIR_Coverage, 47252,
     /*   70584 */     GIR_EraseRootFromParent_Done,
     /*   70585 */   // Label 1137: @70585
     /*   70585 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(70674), // Rule ID 47253 //
     /*   70590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70605 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70612 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70616 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70620 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70624 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70626 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70633 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70672 */     GIR_RootConstrainSelectedInstOperands,
     /*   70673 */     // GIR_Coverage, 47253,
     /*   70673 */     GIR_EraseRootFromParent_Done,
     /*   70674 */   // Label 1138: @70674
     /*   70674 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(70763), // Rule ID 47012 //
     /*   70679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70694 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70713 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70715 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70720 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70722 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   70739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70761 */     GIR_RootConstrainSelectedInstOperands,
     /*   70762 */     // GIR_Coverage, 47012,
     /*   70762 */     GIR_EraseRootFromParent_Done,
     /*   70763 */   // Label 1139: @70763
     /*   70763 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(70852), // Rule ID 47013 //
     /*   70768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70783 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70802 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70804 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70811 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   70828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70850 */     GIR_RootConstrainSelectedInstOperands,
     /*   70851 */     // GIR_Coverage, 47013,
     /*   70851 */     GIR_EraseRootFromParent_Done,
     /*   70852 */   // Label 1140: @70852
     /*   70852 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(70941), // Rule ID 47132 //
     /*   70857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70872 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70891 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70898 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70900 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70939 */     GIR_RootConstrainSelectedInstOperands,
     /*   70940 */     // GIR_Coverage, 47132,
     /*   70940 */     GIR_EraseRootFromParent_Done,
     /*   70941 */   // Label 1141: @70941
     /*   70941 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(71030), // Rule ID 47133 //
     /*   70946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70961 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70976 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70980 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70982 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70989 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   71006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71028 */     GIR_RootConstrainSelectedInstOperands,
     /*   71029 */     // GIR_Coverage, 47133,
     /*   71029 */     GIR_EraseRootFromParent_Done,
     /*   71030 */   // Label 1142: @71030
     /*   71030 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(71098), // Rule ID 52014 //
     /*   71035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   71058 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71072 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   71075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71096 */     GIR_RootConstrainSelectedInstOperands,
     /*   71097 */     // GIR_Coverage, 52014,
     /*   71097 */     GIR_EraseRootFromParent_Done,
     /*   71098 */   // Label 1143: @71098
     /*   71098 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(71166), // Rule ID 52015 //
     /*   71103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   71126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71140 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   71143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71164 */     GIR_RootConstrainSelectedInstOperands,
     /*   71165 */     // GIR_Coverage, 52015,
     /*   71165 */     GIR_EraseRootFromParent_Done,
     /*   71166 */   // Label 1144: @71166
     /*   71166 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(71221), // Rule ID 47312 //
     /*   71171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71199 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   71199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71219 */     GIR_RootConstrainSelectedInstOperands,
     /*   71220 */     // GIR_Coverage, 47312,
     /*   71220 */     GIR_EraseRootFromParent_Done,
     /*   71221 */   // Label 1145: @71221
     /*   71221 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(71276), // Rule ID 47313 //
     /*   71226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71254 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   71254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71274 */     GIR_RootConstrainSelectedInstOperands,
     /*   71275 */     // GIR_Coverage, 47313,
     /*   71275 */     GIR_EraseRootFromParent_Done,
     /*   71276 */   // Label 1146: @71276
     /*   71276 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(71331), // Rule ID 47072 //
     /*   71281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71309 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   71309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   71312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71329 */     GIR_RootConstrainSelectedInstOperands,
     /*   71330 */     // GIR_Coverage, 47072,
     /*   71330 */     GIR_EraseRootFromParent_Done,
     /*   71331 */   // Label 1147: @71331
     /*   71331 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(71386), // Rule ID 47073 //
     /*   71336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71364 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   71364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   71367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71384 */     GIR_RootConstrainSelectedInstOperands,
     /*   71385 */     // GIR_Coverage, 47073,
     /*   71385 */     GIR_EraseRootFromParent_Done,
     /*   71386 */   // Label 1148: @71386
     /*   71386 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(71441), // Rule ID 47192 //
     /*   71391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71419 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   71419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71439 */     GIR_RootConstrainSelectedInstOperands,
     /*   71440 */     // GIR_Coverage, 47192,
     /*   71440 */     GIR_EraseRootFromParent_Done,
     /*   71441 */   // Label 1149: @71441
     /*   71441 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(71496), // Rule ID 47193 //
     /*   71446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71465 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71474 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   71474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71494 */     GIR_RootConstrainSelectedInstOperands,
     /*   71495 */     // GIR_Coverage, 47193,
     /*   71495 */     GIR_EraseRootFromParent_Done,
     /*   71496 */   // Label 1150: @71496
     /*   71496 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(71549), // Rule ID 46288 //
     /*   71501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71512 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   71515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   71529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   71538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71547 */     GIR_RootConstrainSelectedInstOperands,
     /*   71548 */     // GIR_Coverage, 46288,
     /*   71548 */     GIR_EraseRootFromParent_Done,
     /*   71549 */   // Label 1151: @71549
     /*   71549 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(71602), // Rule ID 46289 //
     /*   71554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71565 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   71568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   71582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   71591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71600 */     GIR_RootConstrainSelectedInstOperands,
     /*   71601 */     // GIR_Coverage, 46289,
     /*   71601 */     GIR_EraseRootFromParent_Done,
     /*   71602 */   // Label 1152: @71602
     /*   71602 */   GIM_Reject,
     /*   71603 */ // Label 1136: @71603
     /*   71603 */ GIM_Reject,
     /*   71604 */ // Label 979: @71604
     /*   71604 */ GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(72726),
     /*   71609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   71612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   71615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71619 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(71708), // Rule ID 47272 //
     /*   71624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71639 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71658 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71660 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71667 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71706 */     GIR_RootConstrainSelectedInstOperands,
     /*   71707 */     // GIR_Coverage, 47272,
     /*   71707 */     GIR_EraseRootFromParent_Done,
     /*   71708 */   // Label 1154: @71708
     /*   71708 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(71797), // Rule ID 47273 //
     /*   71713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71747 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71754 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71756 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71795 */     GIR_RootConstrainSelectedInstOperands,
     /*   71796 */     // GIR_Coverage, 47273,
     /*   71796 */     GIR_EraseRootFromParent_Done,
     /*   71797 */   // Label 1155: @71797
     /*   71797 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(71886), // Rule ID 47032 //
     /*   71802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71817 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71836 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71845 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   71862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71884 */     GIR_RootConstrainSelectedInstOperands,
     /*   71885 */     // GIR_Coverage, 47032,
     /*   71885 */     GIR_EraseRootFromParent_Done,
     /*   71886 */   // Label 1156: @71886
     /*   71886 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(71975), // Rule ID 47033 //
     /*   71891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71925 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71932 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71934 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   71951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71973 */     GIR_RootConstrainSelectedInstOperands,
     /*   71974 */     // GIR_Coverage, 47033,
     /*   71974 */     GIR_EraseRootFromParent_Done,
     /*   71975 */   // Label 1157: @71975
     /*   71975 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(72064), // Rule ID 47152 //
     /*   71980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72023 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   72023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   72026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72062 */     GIR_RootConstrainSelectedInstOperands,
     /*   72063 */     // GIR_Coverage, 47152,
     /*   72063 */     GIR_EraseRootFromParent_Done,
     /*   72064 */   // Label 1158: @72064
     /*   72064 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(72153), // Rule ID 47153 //
     /*   72069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   72072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72103 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72112 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   72112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   72115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72151 */     GIR_RootConstrainSelectedInstOperands,
     /*   72152 */     // GIR_Coverage, 47153,
     /*   72152 */     GIR_EraseRootFromParent_Done,
     /*   72153 */   // Label 1159: @72153
     /*   72153 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(72221), // Rule ID 52030 //
     /*   72158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   72161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   72177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   72181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72195 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   72195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72219 */     GIR_RootConstrainSelectedInstOperands,
     /*   72220 */     // GIR_Coverage, 52030,
     /*   72220 */     GIR_EraseRootFromParent_Done,
     /*   72221 */   // Label 1160: @72221
     /*   72221 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(72289), // Rule ID 52031 //
     /*   72226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   72245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   72249 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72263 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   72263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72287 */     GIR_RootConstrainSelectedInstOperands,
     /*   72288 */     // GIR_Coverage, 52031,
     /*   72288 */     GIR_EraseRootFromParent_Done,
     /*   72289 */   // Label 1161: @72289
     /*   72289 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(72344), // Rule ID 47332 //
     /*   72294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   72297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72313 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72322 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   72322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72342 */     GIR_RootConstrainSelectedInstOperands,
     /*   72343 */     // GIR_Coverage, 47332,
     /*   72343 */     GIR_EraseRootFromParent_Done,
     /*   72344 */   // Label 1162: @72344
     /*   72344 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(72399), // Rule ID 47333 //
     /*   72349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   72352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72377 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   72377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72397 */     GIR_RootConstrainSelectedInstOperands,
     /*   72398 */     // GIR_Coverage, 47333,
     /*   72398 */     GIR_EraseRootFromParent_Done,
     /*   72399 */   // Label 1163: @72399
     /*   72399 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(72454), // Rule ID 47092 //
     /*   72404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   72407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72432 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   72432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   72435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72452 */     GIR_RootConstrainSelectedInstOperands,
     /*   72453 */     // GIR_Coverage, 47092,
     /*   72453 */     GIR_EraseRootFromParent_Done,
     /*   72454 */   // Label 1164: @72454
     /*   72454 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(72509), // Rule ID 47093 //
     /*   72459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   72462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72478 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72487 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   72487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   72490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72507 */     GIR_RootConstrainSelectedInstOperands,
     /*   72508 */     // GIR_Coverage, 47093,
     /*   72508 */     GIR_EraseRootFromParent_Done,
     /*   72509 */   // Label 1165: @72509
     /*   72509 */   GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(72564), // Rule ID 47212 //
     /*   72514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   72517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72533 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72542 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   72542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72562 */     GIR_RootConstrainSelectedInstOperands,
     /*   72563 */     // GIR_Coverage, 47212,
     /*   72563 */     GIR_EraseRootFromParent_Done,
     /*   72564 */   // Label 1166: @72564
     /*   72564 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(72619), // Rule ID 47213 //
     /*   72569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   72572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72597 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   72597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72617 */     GIR_RootConstrainSelectedInstOperands,
     /*   72618 */     // GIR_Coverage, 47213,
     /*   72618 */     GIR_EraseRootFromParent_Done,
     /*   72619 */   // Label 1167: @72619
     /*   72619 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(72672), // Rule ID 46304 //
     /*   72624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   72627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72635 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   72635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   72638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   72652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72670 */     GIR_RootConstrainSelectedInstOperands,
     /*   72671 */     // GIR_Coverage, 46304,
     /*   72671 */     GIR_EraseRootFromParent_Done,
     /*   72672 */   // Label 1168: @72672
     /*   72672 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(72725), // Rule ID 46305 //
     /*   72677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72688 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   72688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   72691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   72705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72723 */     GIR_RootConstrainSelectedInstOperands,
     /*   72724 */     // GIR_Coverage, 46305,
     /*   72724 */     GIR_EraseRootFromParent_Done,
     /*   72725 */   // Label 1169: @72725
     /*   72725 */   GIM_Reject,
     /*   72726 */ // Label 1153: @72726
     /*   72726 */ GIM_Reject,
     /*   72727 */ // Label 980: @72727
     /*   72727 */ GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(72973),
     /*   72732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   72738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72746 */   GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(72810), // Rule ID 51974 //
     /*   72751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72766 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   72770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72784 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   72784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   72787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72808 */     GIR_RootConstrainSelectedInstOperands,
     /*   72809 */     // GIR_Coverage, 51974,
     /*   72809 */     GIR_EraseRootFromParent_Done,
     /*   72810 */   // Label 1171: @72810
     /*   72810 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(72874), // Rule ID 51975 //
     /*   72815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   72834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72848 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   72848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   72851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72872 */     GIR_RootConstrainSelectedInstOperands,
     /*   72873 */     // GIR_Coverage, 51975,
     /*   72873 */     GIR_EraseRootFromParent_Done,
     /*   72874 */   // Label 1172: @72874
     /*   72874 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(72923), // Rule ID 46248 //
     /*   72879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72886 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   72889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   72903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72921 */     GIR_RootConstrainSelectedInstOperands,
     /*   72922 */     // GIR_Coverage, 46248,
     /*   72922 */     GIR_EraseRootFromParent_Done,
     /*   72923 */   // Label 1173: @72923
     /*   72923 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(72972), // Rule ID 46249 //
     /*   72928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72935 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   72938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   72952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72970 */     GIR_RootConstrainSelectedInstOperands,
     /*   72971 */     // GIR_Coverage, 46249,
     /*   72971 */     GIR_EraseRootFromParent_Done,
     /*   72972 */   // Label 1174: @72972
     /*   72972 */   GIM_Reject,
     /*   72973 */ // Label 1170: @72973
     /*   72973 */ GIM_Reject,
     /*   72974 */ // Label 981: @72974
     /*   72974 */ GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(74096),
     /*   72979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   72982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   72985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72989 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(73078), // Rule ID 47232 //
     /*   72994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73009 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73024 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73028 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73030 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73037 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   73037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   73054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73076 */     GIR_RootConstrainSelectedInstOperands,
     /*   73077 */     // GIR_Coverage, 47232,
     /*   73077 */     GIR_EraseRootFromParent_Done,
     /*   73078 */   // Label 1176: @73078
     /*   73078 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(73167), // Rule ID 47233 //
     /*   73083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73098 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73105 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73109 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73113 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73117 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73119 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73126 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   73126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   73143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73165 */     GIR_RootConstrainSelectedInstOperands,
     /*   73166 */     // GIR_Coverage, 47233,
     /*   73166 */     GIR_EraseRootFromParent_Done,
     /*   73167 */   // Label 1177: @73167
     /*   73167 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(73256), // Rule ID 46992 //
     /*   73172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73187 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73206 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73208 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73215 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   73215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   73232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73254 */     GIR_RootConstrainSelectedInstOperands,
     /*   73255 */     // GIR_Coverage, 46992,
     /*   73255 */     GIR_EraseRootFromParent_Done,
     /*   73256 */   // Label 1178: @73256
     /*   73256 */   GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(73345), // Rule ID 46993 //
     /*   73261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73291 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73295 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73297 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73304 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   73304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   73321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73343 */     GIR_RootConstrainSelectedInstOperands,
     /*   73344 */     // GIR_Coverage, 46993,
     /*   73344 */     GIR_EraseRootFromParent_Done,
     /*   73345 */   // Label 1179: @73345
     /*   73345 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(73434), // Rule ID 47112 //
     /*   73350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73384 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73391 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73393 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   73393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   73410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73432 */     GIR_RootConstrainSelectedInstOperands,
     /*   73433 */     // GIR_Coverage, 47112,
     /*   73433 */     GIR_EraseRootFromParent_Done,
     /*   73434 */   // Label 1180: @73434
     /*   73434 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(73523), // Rule ID 47113 //
     /*   73439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73454 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73456 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73461 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73465 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73469 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73473 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73475 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73480 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73482 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   73482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   73499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73521 */     GIR_RootConstrainSelectedInstOperands,
     /*   73522 */     // GIR_Coverage, 47113,
     /*   73522 */     GIR_EraseRootFromParent_Done,
     /*   73523 */   // Label 1181: @73523
     /*   73523 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(73591), // Rule ID 52002 //
     /*   73528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   73543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   73547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   73551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73565 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   73565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   73568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   73574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73589 */     GIR_RootConstrainSelectedInstOperands,
     /*   73590 */     // GIR_Coverage, 52002,
     /*   73590 */     GIR_EraseRootFromParent_Done,
     /*   73591 */   // Label 1182: @73591
     /*   73591 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(73659), // Rule ID 52003 //
     /*   73596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   73611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   73615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   73619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73633 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   73633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   73636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   73642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73657 */     GIR_RootConstrainSelectedInstOperands,
     /*   73658 */     // GIR_Coverage, 52003,
     /*   73658 */     GIR_EraseRootFromParent_Done,
     /*   73659 */   // Label 1183: @73659
     /*   73659 */   GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(73714), // Rule ID 47292 //
     /*   73664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73683 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73692 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73712 */     GIR_RootConstrainSelectedInstOperands,
     /*   73713 */     // GIR_Coverage, 47292,
     /*   73713 */     GIR_EraseRootFromParent_Done,
     /*   73714 */   // Label 1184: @73714
     /*   73714 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(73769), // Rule ID 47293 //
     /*   73719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73738 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73747 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73767 */     GIR_RootConstrainSelectedInstOperands,
     /*   73768 */     // GIR_Coverage, 47293,
     /*   73768 */     GIR_EraseRootFromParent_Done,
     /*   73769 */   // Label 1185: @73769
     /*   73769 */   GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(73824), // Rule ID 47052 //
     /*   73774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73793 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73802 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   73805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73822 */     GIR_RootConstrainSelectedInstOperands,
     /*   73823 */     // GIR_Coverage, 47052,
     /*   73823 */     GIR_EraseRootFromParent_Done,
     /*   73824 */   // Label 1186: @73824
     /*   73824 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(73879), // Rule ID 47053 //
     /*   73829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73848 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73850 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73857 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   73860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73877 */     GIR_RootConstrainSelectedInstOperands,
     /*   73878 */     // GIR_Coverage, 47053,
     /*   73878 */     GIR_EraseRootFromParent_Done,
     /*   73879 */   // Label 1187: @73879
     /*   73879 */   GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(73934), // Rule ID 47172 //
     /*   73884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73903 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73912 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73932 */     GIR_RootConstrainSelectedInstOperands,
     /*   73933 */     // GIR_Coverage, 47172,
     /*   73933 */     GIR_EraseRootFromParent_Done,
     /*   73934 */   // Label 1188: @73934
     /*   73934 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(73989), // Rule ID 47173 //
     /*   73939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73958 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73967 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73987 */     GIR_RootConstrainSelectedInstOperands,
     /*   73988 */     // GIR_Coverage, 47173,
     /*   73988 */     GIR_EraseRootFromParent_Done,
     /*   73989 */   // Label 1189: @73989
     /*   73989 */   GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(74042), // Rule ID 46276 //
     /*   73994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74005 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   74005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   74008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   74022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74040 */     GIR_RootConstrainSelectedInstOperands,
     /*   74041 */     // GIR_Coverage, 46276,
     /*   74041 */     GIR_EraseRootFromParent_Done,
     /*   74042 */   // Label 1190: @74042
     /*   74042 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(74095), // Rule ID 46277 //
     /*   74047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74058 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   74058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   74061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   74075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74093 */     GIR_RootConstrainSelectedInstOperands,
     /*   74094 */     // GIR_Coverage, 46277,
     /*   74094 */     GIR_EraseRootFromParent_Done,
     /*   74095 */   // Label 1191: @74095
     /*   74095 */   GIM_Reject,
     /*   74096 */ // Label 1175: @74096
     /*   74096 */ GIM_Reject,
     /*   74097 */ // Label 982: @74097
     /*   74097 */ GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(75219),
     /*   74102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   74105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   74108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74112 */   GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(74201), // Rule ID 47256 //
     /*   74117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74132 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74151 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74158 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74160 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   74160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74199 */     GIR_RootConstrainSelectedInstOperands,
     /*   74200 */     // GIR_Coverage, 47256,
     /*   74200 */     GIR_EraseRootFromParent_Done,
     /*   74201 */   // Label 1193: @74201
     /*   74201 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(74290), // Rule ID 47257 //
     /*   74206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74221 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74240 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74242 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74249 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   74249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74288 */     GIR_RootConstrainSelectedInstOperands,
     /*   74289 */     // GIR_Coverage, 47257,
     /*   74289 */     GIR_EraseRootFromParent_Done,
     /*   74290 */   // Label 1194: @74290
     /*   74290 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(74379), // Rule ID 47016 //
     /*   74295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74329 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74331 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74338 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   74338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   74355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74377 */     GIR_RootConstrainSelectedInstOperands,
     /*   74378 */     // GIR_Coverage, 47016,
     /*   74378 */     GIR_EraseRootFromParent_Done,
     /*   74379 */   // Label 1195: @74379
     /*   74379 */   GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(74468), // Rule ID 47017 //
     /*   74384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74399 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74418 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74427 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   74427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   74444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74466 */     GIR_RootConstrainSelectedInstOperands,
     /*   74467 */     // GIR_Coverage, 47017,
     /*   74467 */     GIR_EraseRootFromParent_Done,
     /*   74468 */   // Label 1196: @74468
     /*   74468 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(74557), // Rule ID 47136 //
     /*   74473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74488 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74507 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74509 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74514 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74516 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   74516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74555 */     GIR_RootConstrainSelectedInstOperands,
     /*   74556 */     // GIR_Coverage, 47136,
     /*   74556 */     GIR_EraseRootFromParent_Done,
     /*   74557 */   // Label 1197: @74557
     /*   74557 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(74646), // Rule ID 47137 //
     /*   74562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74577 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74592 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74596 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74598 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74605 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   74605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74644 */     GIR_RootConstrainSelectedInstOperands,
     /*   74645 */     // GIR_Coverage, 47137,
     /*   74645 */     GIR_EraseRootFromParent_Done,
     /*   74646 */   // Label 1198: @74646
     /*   74646 */   GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(74714), // Rule ID 52018 //
     /*   74651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   74670 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   74674 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74688 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   74688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74712 */     GIR_RootConstrainSelectedInstOperands,
     /*   74713 */     // GIR_Coverage, 52018,
     /*   74713 */     GIR_EraseRootFromParent_Done,
     /*   74714 */   // Label 1199: @74714
     /*   74714 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(74782), // Rule ID 52019 //
     /*   74719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   74738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   74742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74756 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   74756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74780 */     GIR_RootConstrainSelectedInstOperands,
     /*   74781 */     // GIR_Coverage, 52019,
     /*   74781 */     GIR_EraseRootFromParent_Done,
     /*   74782 */   // Label 1200: @74782
     /*   74782 */   GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(74837), // Rule ID 47316 //
     /*   74787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74806 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74815 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74835 */     GIR_RootConstrainSelectedInstOperands,
     /*   74836 */     // GIR_Coverage, 47316,
     /*   74836 */     GIR_EraseRootFromParent_Done,
     /*   74837 */   // Label 1201: @74837
     /*   74837 */   GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(74892), // Rule ID 47317 //
     /*   74842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74870 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74890 */     GIR_RootConstrainSelectedInstOperands,
     /*   74891 */     // GIR_Coverage, 47317,
     /*   74891 */     GIR_EraseRootFromParent_Done,
     /*   74892 */   // Label 1202: @74892
     /*   74892 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(74947), // Rule ID 47076 //
     /*   74897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74916 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74925 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   74928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74945 */     GIR_RootConstrainSelectedInstOperands,
     /*   74946 */     // GIR_Coverage, 47076,
     /*   74946 */     GIR_EraseRootFromParent_Done,
     /*   74947 */   // Label 1203: @74947
     /*   74947 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(75002), // Rule ID 47077 //
     /*   74952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74971 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74980 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   74983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75000 */     GIR_RootConstrainSelectedInstOperands,
     /*   75001 */     // GIR_Coverage, 47077,
     /*   75001 */     GIR_EraseRootFromParent_Done,
     /*   75002 */   // Label 1204: @75002
     /*   75002 */   GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(75057), // Rule ID 47196 //
     /*   75007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   75026 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   75033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75035 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   75035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   75038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75055 */     GIR_RootConstrainSelectedInstOperands,
     /*   75056 */     // GIR_Coverage, 47196,
     /*   75056 */     GIR_EraseRootFromParent_Done,
     /*   75057 */   // Label 1205: @75057
     /*   75057 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(75112), // Rule ID 47197 //
     /*   75062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   75081 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   75088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75090 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   75090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   75093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75110 */     GIR_RootConstrainSelectedInstOperands,
     /*   75111 */     // GIR_Coverage, 47197,
     /*   75111 */     GIR_EraseRootFromParent_Done,
     /*   75112 */   // Label 1206: @75112
     /*   75112 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(75165), // Rule ID 46292 //
     /*   75117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75128 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   75128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   75131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   75145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75163 */     GIR_RootConstrainSelectedInstOperands,
     /*   75164 */     // GIR_Coverage, 46292,
     /*   75164 */     GIR_EraseRootFromParent_Done,
     /*   75165 */   // Label 1207: @75165
     /*   75165 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(75218), // Rule ID 46293 //
     /*   75170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75181 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   75184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   75198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75216 */     GIR_RootConstrainSelectedInstOperands,
     /*   75217 */     // GIR_Coverage, 46293,
     /*   75217 */     GIR_EraseRootFromParent_Done,
     /*   75218 */   // Label 1208: @75218
     /*   75218 */   GIM_Reject,
     /*   75219 */ // Label 1192: @75219
     /*   75219 */ GIM_Reject,
     /*   75220 */ // Label 983: @75220
     /*   75220 */ GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(76342),
     /*   75225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   75228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   75231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75235 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(75324), // Rule ID 47276 //
     /*   75240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75274 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75283 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   75283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75322 */     GIR_RootConstrainSelectedInstOperands,
     /*   75323 */     // GIR_Coverage, 47276,
     /*   75323 */     GIR_EraseRootFromParent_Done,
     /*   75324 */   // Label 1210: @75324
     /*   75324 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(75413), // Rule ID 47277 //
     /*   75329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75344 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75359 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75363 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75365 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75370 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75372 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75411 */     GIR_RootConstrainSelectedInstOperands,
     /*   75412 */     // GIR_Coverage, 47277,
     /*   75412 */     GIR_EraseRootFromParent_Done,
     /*   75413 */   // Label 1211: @75413
     /*   75413 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(75502), // Rule ID 47036 //
     /*   75418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75433 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75452 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75459 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75461 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   75461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75500 */     GIR_RootConstrainSelectedInstOperands,
     /*   75501 */     // GIR_Coverage, 47036,
     /*   75501 */     GIR_EraseRootFromParent_Done,
     /*   75502 */   // Label 1212: @75502
     /*   75502 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(75591), // Rule ID 47037 //
     /*   75507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75522 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75541 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75543 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75548 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75550 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75589 */     GIR_RootConstrainSelectedInstOperands,
     /*   75590 */     // GIR_Coverage, 47037,
     /*   75590 */     GIR_EraseRootFromParent_Done,
     /*   75591 */   // Label 1213: @75591
     /*   75591 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(75680), // Rule ID 47156 //
     /*   75596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75611 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75630 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75639 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   75639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75678 */     GIR_RootConstrainSelectedInstOperands,
     /*   75679 */     // GIR_Coverage, 47156,
     /*   75679 */     GIR_EraseRootFromParent_Done,
     /*   75680 */   // Label 1214: @75680
     /*   75680 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(75769), // Rule ID 47157 //
     /*   75685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75715 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75719 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75721 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75728 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75767 */     GIR_RootConstrainSelectedInstOperands,
     /*   75768 */     // GIR_Coverage, 47157,
     /*   75768 */     GIR_EraseRootFromParent_Done,
     /*   75769 */   // Label 1215: @75769
     /*   75769 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(75837), // Rule ID 52034 //
     /*   75774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   75777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   75793 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   75797 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75811 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   75811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   75832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75835 */     GIR_RootConstrainSelectedInstOperands,
     /*   75836 */     // GIR_Coverage, 52034,
     /*   75836 */     GIR_EraseRootFromParent_Done,
     /*   75837 */   // Label 1216: @75837
     /*   75837 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(75905), // Rule ID 52035 //
     /*   75842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   75845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   75861 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   75865 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75872 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75879 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   75879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   75900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75903 */     GIR_RootConstrainSelectedInstOperands,
     /*   75904 */     // GIR_Coverage, 52035,
     /*   75904 */     GIR_EraseRootFromParent_Done,
     /*   75905 */   // Label 1217: @75905
     /*   75905 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(75960), // Rule ID 47336 //
     /*   75910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75929 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75938 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   75938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75958 */     GIR_RootConstrainSelectedInstOperands,
     /*   75959 */     // GIR_Coverage, 47336,
     /*   75959 */     GIR_EraseRootFromParent_Done,
     /*   75960 */   // Label 1218: @75960
     /*   75960 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(76015), // Rule ID 47337 //
     /*   75965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75984 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75993 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   75993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   76010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76013 */     GIR_RootConstrainSelectedInstOperands,
     /*   76014 */     // GIR_Coverage, 47337,
     /*   76014 */     GIR_EraseRootFromParent_Done,
     /*   76015 */   // Label 1219: @76015
     /*   76015 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(76070), // Rule ID 47096 //
     /*   76020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   76023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   76039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76048 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   76048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   76051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   76065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76068 */     GIR_RootConstrainSelectedInstOperands,
     /*   76069 */     // GIR_Coverage, 47096,
     /*   76069 */     GIR_EraseRootFromParent_Done,
     /*   76070 */   // Label 1220: @76070
     /*   76070 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(76125), // Rule ID 47097 //
     /*   76075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   76078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   76094 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76103 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   76103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   76106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   76120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76123 */     GIR_RootConstrainSelectedInstOperands,
     /*   76124 */     // GIR_Coverage, 47097,
     /*   76124 */     GIR_EraseRootFromParent_Done,
     /*   76125 */   // Label 1221: @76125
     /*   76125 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(76180), // Rule ID 47216 //
     /*   76130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   76133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   76149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76158 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   76158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   76161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   76175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76178 */     GIR_RootConstrainSelectedInstOperands,
     /*   76179 */     // GIR_Coverage, 47216,
     /*   76179 */     GIR_EraseRootFromParent_Done,
     /*   76180 */   // Label 1222: @76180
     /*   76180 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(76235), // Rule ID 47217 //
     /*   76185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   76188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   76204 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76213 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   76213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   76216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   76230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76233 */     GIR_RootConstrainSelectedInstOperands,
     /*   76234 */     // GIR_Coverage, 47217,
     /*   76234 */     GIR_EraseRootFromParent_Done,
     /*   76235 */   // Label 1223: @76235
     /*   76235 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(76288), // Rule ID 46308 //
     /*   76240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   76243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76251 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   76251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   76254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   76283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76286 */     GIR_RootConstrainSelectedInstOperands,
     /*   76287 */     // GIR_Coverage, 46308,
     /*   76287 */     GIR_EraseRootFromParent_Done,
     /*   76288 */   // Label 1224: @76288
     /*   76288 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(76341), // Rule ID 46309 //
     /*   76293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   76296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76304 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   76304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   76307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   76336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76339 */     GIR_RootConstrainSelectedInstOperands,
     /*   76340 */     // GIR_Coverage, 46309,
     /*   76340 */     GIR_EraseRootFromParent_Done,
     /*   76341 */   // Label 1225: @76341
     /*   76341 */   GIM_Reject,
     /*   76342 */ // Label 1209: @76342
     /*   76342 */ GIM_Reject,
     /*   76343 */ // Label 984: @76343
     /*   76343 */ GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(76589),
     /*   76348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   76354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76362 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(76426), // Rule ID 51990 //
     /*   76367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   76378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   76386 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76400 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   76400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   76403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76424 */     GIR_RootConstrainSelectedInstOperands,
     /*   76425 */     // GIR_Coverage, 51990,
     /*   76425 */     GIR_EraseRootFromParent_Done,
     /*   76426 */   // Label 1227: @76426
     /*   76426 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(76490), // Rule ID 51991 //
     /*   76431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   76442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76446 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   76450 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76464 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   76464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   76467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76488 */     GIR_RootConstrainSelectedInstOperands,
     /*   76489 */     // GIR_Coverage, 51991,
     /*   76489 */     GIR_EraseRootFromParent_Done,
     /*   76490 */   // Label 1228: @76490
     /*   76490 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(76539), // Rule ID 46264 //
     /*   76495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76502 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   76505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   76519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76537 */     GIR_RootConstrainSelectedInstOperands,
     /*   76538 */     // GIR_Coverage, 46264,
     /*   76538 */     GIR_EraseRootFromParent_Done,
     /*   76539 */   // Label 1229: @76539
     /*   76539 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(76588), // Rule ID 46265 //
     /*   76544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76551 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   76554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   76568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76586 */     GIR_RootConstrainSelectedInstOperands,
     /*   76587 */     // GIR_Coverage, 46265,
     /*   76587 */     GIR_EraseRootFromParent_Done,
     /*   76588 */   // Label 1230: @76588
     /*   76588 */   GIM_Reject,
     /*   76589 */ // Label 1226: @76589
     /*   76589 */ GIM_Reject,
     /*   76590 */ // Label 985: @76590
     /*   76590 */ GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(77712),
     /*   76595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   76598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   76601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76605 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(76694), // Rule ID 47236 //
     /*   76610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76625 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76632 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76636 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76640 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76644 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76646 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76651 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76653 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76692 */     GIR_RootConstrainSelectedInstOperands,
     /*   76693 */     // GIR_Coverage, 47236,
     /*   76693 */     GIR_EraseRootFromParent_Done,
     /*   76694 */   // Label 1232: @76694
     /*   76694 */   GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(76783), // Rule ID 47237 //
     /*   76699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76714 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76733 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76735 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76742 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76781 */     GIR_RootConstrainSelectedInstOperands,
     /*   76782 */     // GIR_Coverage, 47237,
     /*   76782 */     GIR_EraseRootFromParent_Done,
     /*   76783 */   // Label 1233: @76783
     /*   76783 */   GIM_Try, /*On fail goto*//*Label 1234*/ GIMT_Encode4(76872), // Rule ID 46996 //
     /*   76788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76803 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76822 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76829 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76831 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   76848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76870 */     GIR_RootConstrainSelectedInstOperands,
     /*   76871 */     // GIR_Coverage, 46996,
     /*   76871 */     GIR_EraseRootFromParent_Done,
     /*   76872 */   // Label 1234: @76872
     /*   76872 */   GIM_Try, /*On fail goto*//*Label 1235*/ GIMT_Encode4(76961), // Rule ID 46997 //
     /*   76877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76892 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76911 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76913 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76920 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   76937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76959 */     GIR_RootConstrainSelectedInstOperands,
     /*   76960 */     // GIR_Coverage, 46997,
     /*   76960 */     GIR_EraseRootFromParent_Done,
     /*   76961 */   // Label 1235: @76961
     /*   76961 */   GIM_Try, /*On fail goto*//*Label 1236*/ GIMT_Encode4(77050), // Rule ID 47116 //
     /*   76966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76981 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77000 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77002 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77009 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   77012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   77026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77048 */     GIR_RootConstrainSelectedInstOperands,
     /*   77049 */     // GIR_Coverage, 47116,
     /*   77049 */     GIR_EraseRootFromParent_Done,
     /*   77050 */   // Label 1236: @77050
     /*   77050 */   GIM_Try, /*On fail goto*//*Label 1237*/ GIMT_Encode4(77139), // Rule ID 47117 //
     /*   77055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77089 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77091 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77096 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77098 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   77101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   77115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77137 */     GIR_RootConstrainSelectedInstOperands,
     /*   77138 */     // GIR_Coverage, 47117,
     /*   77138 */     GIR_EraseRootFromParent_Done,
     /*   77139 */   // Label 1237: @77139
     /*   77139 */   GIM_Try, /*On fail goto*//*Label 1238*/ GIMT_Encode4(77207), // Rule ID 52006 //
     /*   77144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   77159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   77167 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77181 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   77181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   77184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   77190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77205 */     GIR_RootConstrainSelectedInstOperands,
     /*   77206 */     // GIR_Coverage, 52006,
     /*   77206 */     GIR_EraseRootFromParent_Done,
     /*   77207 */   // Label 1238: @77207
     /*   77207 */   GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(77275), // Rule ID 52007 //
     /*   77212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   77227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   77235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77249 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   77249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   77252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   77258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77273 */     GIR_RootConstrainSelectedInstOperands,
     /*   77274 */     // GIR_Coverage, 52007,
     /*   77274 */     GIR_EraseRootFromParent_Done,
     /*   77275 */   // Label 1239: @77275
     /*   77275 */   GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(77330), // Rule ID 47296 //
     /*   77280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77299 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77308 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   77308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77328 */     GIR_RootConstrainSelectedInstOperands,
     /*   77329 */     // GIR_Coverage, 47296,
     /*   77329 */     GIR_EraseRootFromParent_Done,
     /*   77330 */   // Label 1240: @77330
     /*   77330 */   GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(77385), // Rule ID 47297 //
     /*   77335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77354 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77363 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   77363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77383 */     GIR_RootConstrainSelectedInstOperands,
     /*   77384 */     // GIR_Coverage, 47297,
     /*   77384 */     GIR_EraseRootFromParent_Done,
     /*   77385 */   // Label 1241: @77385
     /*   77385 */   GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(77440), // Rule ID 47056 //
     /*   77390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77409 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77418 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   77418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   77421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77438 */     GIR_RootConstrainSelectedInstOperands,
     /*   77439 */     // GIR_Coverage, 47056,
     /*   77439 */     GIR_EraseRootFromParent_Done,
     /*   77440 */   // Label 1242: @77440
     /*   77440 */   GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(77495), // Rule ID 47057 //
     /*   77445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77464 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77466 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77473 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   77473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   77476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77493 */     GIR_RootConstrainSelectedInstOperands,
     /*   77494 */     // GIR_Coverage, 47057,
     /*   77494 */     GIR_EraseRootFromParent_Done,
     /*   77495 */   // Label 1243: @77495
     /*   77495 */   GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(77550), // Rule ID 47176 //
     /*   77500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77519 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77528 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   77528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77548 */     GIR_RootConstrainSelectedInstOperands,
     /*   77549 */     // GIR_Coverage, 47176,
     /*   77549 */     GIR_EraseRootFromParent_Done,
     /*   77550 */   // Label 1244: @77550
     /*   77550 */   GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(77605), // Rule ID 47177 //
     /*   77555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77574 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77583 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   77583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77603 */     GIR_RootConstrainSelectedInstOperands,
     /*   77604 */     // GIR_Coverage, 47177,
     /*   77604 */     GIR_EraseRootFromParent_Done,
     /*   77605 */   // Label 1245: @77605
     /*   77605 */   GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(77658), // Rule ID 46280 //
     /*   77610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77621 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   77624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   77638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   77647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77656 */     GIR_RootConstrainSelectedInstOperands,
     /*   77657 */     // GIR_Coverage, 46280,
     /*   77657 */     GIR_EraseRootFromParent_Done,
     /*   77658 */   // Label 1246: @77658
     /*   77658 */   GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(77711), // Rule ID 46281 //
     /*   77663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77674 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   77674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   77677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   77691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   77700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77709 */     GIR_RootConstrainSelectedInstOperands,
     /*   77710 */     // GIR_Coverage, 46281,
     /*   77710 */     GIR_EraseRootFromParent_Done,
     /*   77711 */   // Label 1247: @77711
     /*   77711 */   GIM_Reject,
     /*   77712 */ // Label 1231: @77712
     /*   77712 */ GIM_Reject,
     /*   77713 */ // Label 986: @77713
     /*   77713 */ GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(78835),
     /*   77718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   77721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   77724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   77728 */   GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(77817), // Rule ID 47260 //
     /*   77733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77748 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77755 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77759 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77763 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77767 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77769 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77776 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   77793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77815 */     GIR_RootConstrainSelectedInstOperands,
     /*   77816 */     // GIR_Coverage, 47260,
     /*   77816 */     GIR_EraseRootFromParent_Done,
     /*   77817 */   // Label 1249: @77817
     /*   77817 */   GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(77906), // Rule ID 47261 //
     /*   77822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77837 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77839 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77844 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77848 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77852 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77856 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77858 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77863 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77865 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   77865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   77882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77904 */     GIR_RootConstrainSelectedInstOperands,
     /*   77905 */     // GIR_Coverage, 47261,
     /*   77905 */     GIR_EraseRootFromParent_Done,
     /*   77906 */   // Label 1250: @77906
     /*   77906 */   GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(77995), // Rule ID 47020 //
     /*   77911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77926 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77945 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77954 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   77971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77993 */     GIR_RootConstrainSelectedInstOperands,
     /*   77994 */     // GIR_Coverage, 47020,
     /*   77994 */     GIR_EraseRootFromParent_Done,
     /*   77995 */   // Label 1251: @77995
     /*   77995 */   GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(78084), // Rule ID 47021 //
     /*   78000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78015 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78034 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78043 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   78060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78082 */     GIR_RootConstrainSelectedInstOperands,
     /*   78083 */     // GIR_Coverage, 47021,
     /*   78083 */     GIR_EraseRootFromParent_Done,
     /*   78084 */   // Label 1252: @78084
     /*   78084 */   GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(78173), // Rule ID 47140 //
     /*   78089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78104 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78111 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78115 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78119 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78123 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78125 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78130 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78132 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   78149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78171 */     GIR_RootConstrainSelectedInstOperands,
     /*   78172 */     // GIR_Coverage, 47140,
     /*   78172 */     GIR_EraseRootFromParent_Done,
     /*   78173 */   // Label 1253: @78173
     /*   78173 */   GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(78262), // Rule ID 47141 //
     /*   78178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78193 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78200 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78204 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78208 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78212 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78214 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78219 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78221 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   78238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78260 */     GIR_RootConstrainSelectedInstOperands,
     /*   78261 */     // GIR_Coverage, 47141,
     /*   78261 */     GIR_EraseRootFromParent_Done,
     /*   78262 */   // Label 1254: @78262
     /*   78262 */   GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(78330), // Rule ID 52022 //
     /*   78267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   78286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   78290 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78304 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   78304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   78307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78328 */     GIR_RootConstrainSelectedInstOperands,
     /*   78329 */     // GIR_Coverage, 52022,
     /*   78329 */     GIR_EraseRootFromParent_Done,
     /*   78330 */   // Label 1255: @78330
     /*   78330 */   GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(78398), // Rule ID 52023 //
     /*   78335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   78354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   78358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78372 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   78372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   78375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78396 */     GIR_RootConstrainSelectedInstOperands,
     /*   78397 */     // GIR_Coverage, 52023,
     /*   78397 */     GIR_EraseRootFromParent_Done,
     /*   78398 */   // Label 1256: @78398
     /*   78398 */   GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(78453), // Rule ID 47320 //
     /*   78403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78422 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78431 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   78431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78451 */     GIR_RootConstrainSelectedInstOperands,
     /*   78452 */     // GIR_Coverage, 47320,
     /*   78452 */     GIR_EraseRootFromParent_Done,
     /*   78453 */   // Label 1257: @78453
     /*   78453 */   GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(78508), // Rule ID 47321 //
     /*   78458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78477 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78486 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   78486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78506 */     GIR_RootConstrainSelectedInstOperands,
     /*   78507 */     // GIR_Coverage, 47321,
     /*   78507 */     GIR_EraseRootFromParent_Done,
     /*   78508 */   // Label 1258: @78508
     /*   78508 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(78563), // Rule ID 47080 //
     /*   78513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78532 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78541 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   78541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   78544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78561 */     GIR_RootConstrainSelectedInstOperands,
     /*   78562 */     // GIR_Coverage, 47080,
     /*   78562 */     GIR_EraseRootFromParent_Done,
     /*   78563 */   // Label 1259: @78563
     /*   78563 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(78618), // Rule ID 47081 //
     /*   78568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78587 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78596 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   78596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   78599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78616 */     GIR_RootConstrainSelectedInstOperands,
     /*   78617 */     // GIR_Coverage, 47081,
     /*   78617 */     GIR_EraseRootFromParent_Done,
     /*   78618 */   // Label 1260: @78618
     /*   78618 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(78673), // Rule ID 47200 //
     /*   78623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78642 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78651 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   78651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78671 */     GIR_RootConstrainSelectedInstOperands,
     /*   78672 */     // GIR_Coverage, 47200,
     /*   78672 */     GIR_EraseRootFromParent_Done,
     /*   78673 */   // Label 1261: @78673
     /*   78673 */   GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(78728), // Rule ID 47201 //
     /*   78678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78697 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78706 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   78706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78726 */     GIR_RootConstrainSelectedInstOperands,
     /*   78727 */     // GIR_Coverage, 47201,
     /*   78727 */     GIR_EraseRootFromParent_Done,
     /*   78728 */   // Label 1262: @78728
     /*   78728 */   GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(78781), // Rule ID 46296 //
     /*   78733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78744 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   78744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   78761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78779 */     GIR_RootConstrainSelectedInstOperands,
     /*   78780 */     // GIR_Coverage, 46296,
     /*   78780 */     GIR_EraseRootFromParent_Done,
     /*   78781 */   // Label 1263: @78781
     /*   78781 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(78834), // Rule ID 46297 //
     /*   78786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78797 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   78797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   78814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78832 */     GIR_RootConstrainSelectedInstOperands,
     /*   78833 */     // GIR_Coverage, 46297,
     /*   78833 */     GIR_EraseRootFromParent_Done,
     /*   78834 */   // Label 1264: @78834
     /*   78834 */   GIM_Reject,
     /*   78835 */ // Label 1248: @78835
     /*   78835 */ GIM_Reject,
     /*   78836 */ // Label 987: @78836
     /*   78836 */ GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(79082),
     /*   78841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   78847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78855 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(78919), // Rule ID 51994 //
     /*   78860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78875 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   78879 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78893 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   78893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   78896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78917 */     GIR_RootConstrainSelectedInstOperands,
     /*   78918 */     // GIR_Coverage, 51994,
     /*   78918 */     GIR_EraseRootFromParent_Done,
     /*   78919 */   // Label 1266: @78919
     /*   78919 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(78983), // Rule ID 51995 //
     /*   78924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   78943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78957 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   78957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   78960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78981 */     GIR_RootConstrainSelectedInstOperands,
     /*   78982 */     // GIR_Coverage, 51995,
     /*   78982 */     GIR_EraseRootFromParent_Done,
     /*   78983 */   // Label 1267: @78983
     /*   78983 */   GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(79032), // Rule ID 46268 //
     /*   78988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78995 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   78995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   78998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   79012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   79021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79030 */     GIR_RootConstrainSelectedInstOperands,
     /*   79031 */     // GIR_Coverage, 46268,
     /*   79031 */     GIR_EraseRootFromParent_Done,
     /*   79032 */   // Label 1268: @79032
     /*   79032 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(79081), // Rule ID 46269 //
     /*   79037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79044 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   79044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   79047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   79061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   79070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79079 */     GIR_RootConstrainSelectedInstOperands,
     /*   79080 */     // GIR_Coverage, 46269,
     /*   79080 */     GIR_EraseRootFromParent_Done,
     /*   79081 */   // Label 1269: @79081
     /*   79081 */   GIM_Reject,
     /*   79082 */ // Label 1265: @79082
     /*   79082 */ GIM_Reject,
     /*   79083 */ // Label 988: @79083
     /*   79083 */ GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(80205),
     /*   79088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   79091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   79094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79098 */   GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(79187), // Rule ID 47240 //
     /*   79103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79118 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79137 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79139 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79146 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   79146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79185 */     GIR_RootConstrainSelectedInstOperands,
     /*   79186 */     // GIR_Coverage, 47240,
     /*   79186 */     GIR_EraseRootFromParent_Done,
     /*   79187 */   // Label 1271: @79187
     /*   79187 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(79276), // Rule ID 47241 //
     /*   79192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79207 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79226 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79235 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   79235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79274 */     GIR_RootConstrainSelectedInstOperands,
     /*   79275 */     // GIR_Coverage, 47241,
     /*   79275 */     GIR_EraseRootFromParent_Done,
     /*   79276 */   // Label 1272: @79276
     /*   79276 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(79365), // Rule ID 47000 //
     /*   79281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79296 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79315 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79324 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   79324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   79341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79363 */     GIR_RootConstrainSelectedInstOperands,
     /*   79364 */     // GIR_Coverage, 47000,
     /*   79364 */     GIR_EraseRootFromParent_Done,
     /*   79365 */   // Label 1273: @79365
     /*   79365 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(79454), // Rule ID 47001 //
     /*   79370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79385 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79404 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79413 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   79413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   79430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79452 */     GIR_RootConstrainSelectedInstOperands,
     /*   79453 */     // GIR_Coverage, 47001,
     /*   79453 */     GIR_EraseRootFromParent_Done,
     /*   79454 */   // Label 1274: @79454
     /*   79454 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(79543), // Rule ID 47120 //
     /*   79459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79474 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79489 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79493 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79502 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   79502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79541 */     GIR_RootConstrainSelectedInstOperands,
     /*   79542 */     // GIR_Coverage, 47120,
     /*   79542 */     GIR_EraseRootFromParent_Done,
     /*   79543 */   // Label 1275: @79543
     /*   79543 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(79632), // Rule ID 47121 //
     /*   79548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79563 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79578 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79582 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79591 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   79591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79630 */     GIR_RootConstrainSelectedInstOperands,
     /*   79631 */     // GIR_Coverage, 47121,
     /*   79631 */     GIR_EraseRootFromParent_Done,
     /*   79632 */   // Label 1276: @79632
     /*   79632 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(79700), // Rule ID 52010 //
     /*   79637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   79652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   79656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   79660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79674 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   79674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   79677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   79683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79698 */     GIR_RootConstrainSelectedInstOperands,
     /*   79699 */     // GIR_Coverage, 52010,
     /*   79699 */     GIR_EraseRootFromParent_Done,
     /*   79700 */   // Label 1277: @79700
     /*   79700 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(79768), // Rule ID 52011 //
     /*   79705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   79720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   79724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   79728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79742 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   79742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   79745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   79751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79766 */     GIR_RootConstrainSelectedInstOperands,
     /*   79767 */     // GIR_Coverage, 52011,
     /*   79767 */     GIR_EraseRootFromParent_Done,
     /*   79768 */   // Label 1278: @79768
     /*   79768 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(79823), // Rule ID 47300 //
     /*   79773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79801 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   79801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79821 */     GIR_RootConstrainSelectedInstOperands,
     /*   79822 */     // GIR_Coverage, 47300,
     /*   79822 */     GIR_EraseRootFromParent_Done,
     /*   79823 */   // Label 1279: @79823
     /*   79823 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(79878), // Rule ID 47301 //
     /*   79828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79856 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   79856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79876 */     GIR_RootConstrainSelectedInstOperands,
     /*   79877 */     // GIR_Coverage, 47301,
     /*   79877 */     GIR_EraseRootFromParent_Done,
     /*   79878 */   // Label 1280: @79878
     /*   79878 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(79933), // Rule ID 47060 //
     /*   79883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79911 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   79911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   79914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79931 */     GIR_RootConstrainSelectedInstOperands,
     /*   79932 */     // GIR_Coverage, 47060,
     /*   79932 */     GIR_EraseRootFromParent_Done,
     /*   79933 */   // Label 1281: @79933
     /*   79933 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(79988), // Rule ID 47061 //
     /*   79938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79957 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79966 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   79966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   79969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79986 */     GIR_RootConstrainSelectedInstOperands,
     /*   79987 */     // GIR_Coverage, 47061,
     /*   79987 */     GIR_EraseRootFromParent_Done,
     /*   79988 */   // Label 1282: @79988
     /*   79988 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(80043), // Rule ID 47180 //
     /*   79993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   80004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   80012 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   80019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   80021 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   80021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   80024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   80028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   80041 */     GIR_RootConstrainSelectedInstOperands,
     /*   80042 */     // GIR_Coverage, 47180,
     /*   80042 */     GIR_EraseRootFromParent_Done,
     /*   80043 */   // Label 1283: @80043
     /*   80043 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(80098), // Rule ID 47181 //
     /*   80048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   80059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   80067 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   80074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   80076 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   80076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   80079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   80083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   80096 */     GIR_RootConstrainSelectedInstOperands,
     /*   80097 */     // GIR_Coverage, 47181,
     /*   80097 */     GIR_EraseRootFromParent_Done,
     /*   80098 */   // Label 1284: @80098
     /*   80098 */   GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(80151), // Rule ID 46284 //
     /*   80103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80114 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   80114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   80117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   80131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80149 */     GIR_RootConstrainSelectedInstOperands,
     /*   80150 */     // GIR_Coverage, 46284,
     /*   80150 */     GIR_EraseRootFromParent_Done,
     /*   80151 */   // Label 1285: @80151
     /*   80151 */   GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(80204), // Rule ID 46285 //
     /*   80156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80167 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   80167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   80170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   80184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80202 */     GIR_RootConstrainSelectedInstOperands,
     /*   80203 */     // GIR_Coverage, 46285,
     /*   80203 */     GIR_EraseRootFromParent_Done,
     /*   80204 */   // Label 1286: @80204
     /*   80204 */   GIM_Reject,
     /*   80205 */ // Label 1270: @80205
     /*   80205 */ GIM_Reject,
     /*   80206 */ // Label 989: @80206
     /*   80206 */ GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(80452),
     /*   80211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   80214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   80217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80225 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(80289), // Rule ID 51998 //
     /*   80230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   80237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   80241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   80245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   80249 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   80263 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   80263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   80266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   80272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   80278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   80287 */     GIR_RootConstrainSelectedInstOperands,
     /*   80288 */     // GIR_Coverage, 51998,
     /*   80288 */     GIR_EraseRootFromParent_Done,
     /*   80289 */   // Label 1288: @80289
     /*   80289 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(80353), // Rule ID 51999 //
     /*   80294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   80301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   80305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   80309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   80313 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   80327 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   80327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   80330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   80336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   80342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   80351 */     GIR_RootConstrainSelectedInstOperands,
     /*   80352 */     // GIR_Coverage, 51999,
     /*   80352 */     GIR_EraseRootFromParent_Done,
     /*   80353 */   // Label 1289: @80353
     /*   80353 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(80402), // Rule ID 46272 //
     /*   80358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80365 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   80365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   80368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   80382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80400 */     GIR_RootConstrainSelectedInstOperands,
     /*   80401 */     // GIR_Coverage, 46272,
     /*   80401 */     GIR_EraseRootFromParent_Done,
     /*   80402 */   // Label 1290: @80402
     /*   80402 */   GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(80451), // Rule ID 46273 //
     /*   80407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80414 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   80414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   80417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   80431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80449 */     GIR_RootConstrainSelectedInstOperands,
     /*   80450 */     // GIR_Coverage, 46273,
     /*   80450 */     GIR_EraseRootFromParent_Done,
     /*   80451 */   // Label 1291: @80451
     /*   80451 */   GIM_Reject,
     /*   80452 */ // Label 1287: @80452
     /*   80452 */ GIM_Reject,
     /*   80453 */ // Label 990: @80453
     /*   80453 */ GIM_Reject,
     /*   80454 */ // Label 2: @80454
     /*   80454 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1316*/ GIMT_Encode4(107507),
     /*   80465 */ /*GILLT_s32*//*Label 1292*/ GIMT_Encode4(80589),
     /*   80469 */ /*GILLT_s64*//*Label 1293*/ GIMT_Encode4(80623), GIMT_Encode4(0),
     /*   80477 */ /*GILLT_nxv1s8*//*Label 1294*/ GIMT_Encode4(80827),
     /*   80481 */ /*GILLT_nxv1s16*//*Label 1295*/ GIMT_Encode4(80942),
     /*   80485 */ /*GILLT_nxv1s32*//*Label 1296*/ GIMT_Encode4(82667),
     /*   80489 */ /*GILLT_nxv1s64*//*Label 1297*/ GIMT_Encode4(84392), GIMT_Encode4(0),
     /*   80497 */ /*GILLT_nxv2s8*//*Label 1298*/ GIMT_Encode4(86117),
     /*   80501 */ /*GILLT_nxv2s16*//*Label 1299*/ GIMT_Encode4(86232),
     /*   80505 */ /*GILLT_nxv2s32*//*Label 1300*/ GIMT_Encode4(87957),
     /*   80509 */ /*GILLT_nxv2s64*//*Label 1301*/ GIMT_Encode4(89682), GIMT_Encode4(0),
     /*   80517 */ /*GILLT_nxv4s8*//*Label 1302*/ GIMT_Encode4(91407),
     /*   80521 */ /*GILLT_nxv4s16*//*Label 1303*/ GIMT_Encode4(91522),
     /*   80525 */ /*GILLT_nxv4s32*//*Label 1304*/ GIMT_Encode4(93247),
     /*   80529 */ /*GILLT_nxv4s64*//*Label 1305*/ GIMT_Encode4(94972), GIMT_Encode4(0),
     /*   80537 */ /*GILLT_nxv8s8*//*Label 1306*/ GIMT_Encode4(96697),
     /*   80541 */ /*GILLT_nxv8s16*//*Label 1307*/ GIMT_Encode4(96812),
     /*   80545 */ /*GILLT_nxv8s32*//*Label 1308*/ GIMT_Encode4(98537),
     /*   80549 */ /*GILLT_nxv8s64*//*Label 1309*/ GIMT_Encode4(100262), GIMT_Encode4(0),
     /*   80557 */ /*GILLT_nxv16s8*//*Label 1310*/ GIMT_Encode4(101987),
     /*   80561 */ /*GILLT_nxv16s16*//*Label 1311*/ GIMT_Encode4(102102),
     /*   80565 */ /*GILLT_nxv16s32*//*Label 1312*/ GIMT_Encode4(103827), GIMT_Encode4(0),
     /*   80573 */ /*GILLT_nxv32s8*//*Label 1313*/ GIMT_Encode4(105552),
     /*   80577 */ /*GILLT_nxv32s16*//*Label 1314*/ GIMT_Encode4(105667), GIMT_Encode4(0),
     /*   80585 */ /*GILLT_nxv64s8*//*Label 1315*/ GIMT_Encode4(107392),
     /*   80589 */ // Label 1292: @80589
     /*   80589 */ GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(80622), // Rule ID 302 //
     /*   80594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /*   80597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   80600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   80603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80615 */   // (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MUL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   80615 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   80620 */   GIR_RootConstrainSelectedInstOperands,
     /*   80621 */   // GIR_Coverage, 302,
     /*   80621 */   GIR_Done,
     /*   80622 */ // Label 1317: @80622
     /*   80622 */ GIM_Reject,
     /*   80623 */ // Label 1293: @80623
     /*   80623 */ GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(80826),
     /*   80628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   80631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   80634 */   GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(80767), // Rule ID 324 //
     /*   80639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0),
     /*   80642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   80654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   80658 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   80662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80667 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*   80678 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80682 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   80686 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   80690 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   80694 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80699 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*   80710 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80712 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 4294967295:{ *:[i64] }))  =>  (MULHU:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))
     /*   80712 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   80715 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   80719 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80724 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80728 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/32,
     /*   80731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   80733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   80736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   80740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80749 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   80752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /*   80757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   80765 */     GIR_RootConstrainSelectedInstOperands,
     /*   80766 */     // GIR_Coverage, 324,
     /*   80766 */     GIR_EraseRootFromParent_Done,
     /*   80767 */   // Label 1319: @80767
     /*   80767 */   GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(80798), // Rule ID 317 //
     /*   80772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_HwMode0),
     /*   80775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80787 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10087),
     /*   80791 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10087>>  =>  (MULW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   80791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULW),
     /*   80796 */     GIR_RootConstrainSelectedInstOperands,
     /*   80797 */     // GIR_Coverage, 317,
     /*   80797 */     GIR_Done,
     /*   80798 */   // Label 1320: @80798
     /*   80798 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(80825), // Rule ID 301 //
     /*   80803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /*   80806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80818 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MUL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   80818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   80823 */     GIR_RootConstrainSelectedInstOperands,
     /*   80824 */     // GIR_Coverage, 301,
     /*   80824 */     GIR_Done,
     /*   80825 */   // Label 1321: @80825
     /*   80825 */   GIM_Reject,
     /*   80826 */ // Label 1318: @80826
     /*   80826 */ GIM_Reject,
     /*   80827 */ // Label 1294: @80827
     /*   80827 */ GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(80941),
     /*   80832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   80838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80846 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80850 */   GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(80895), // Rule ID 50860 //
     /*   80855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80858 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   80858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   80861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   80875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80893 */     GIR_RootConstrainSelectedInstOperands,
     /*   80894 */     // GIR_Coverage, 50860,
     /*   80894 */     GIR_EraseRootFromParent_Done,
     /*   80895 */   // Label 1323: @80895
     /*   80895 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(80940), // Rule ID 50861 //
     /*   80900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80903 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   80903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   80906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   80920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80938 */     GIR_RootConstrainSelectedInstOperands,
     /*   80939 */     // GIR_Coverage, 50861,
     /*   80939 */     GIR_EraseRootFromParent_Done,
     /*   80940 */   // Label 1324: @80940
     /*   80940 */   GIM_Reject,
     /*   80941 */ // Label 1322: @80941
     /*   80941 */ GIM_Reject,
     /*   80942 */ // Label 1295: @80942
     /*   80942 */ GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(82666),
     /*   80947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   80950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   80953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80957 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(81046), // Rule ID 51626 //
     /*   80962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80977 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80996 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81003 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81005 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   81022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81044 */     GIR_RootConstrainSelectedInstOperands,
     /*   81045 */     // GIR_Coverage, 51626,
     /*   81045 */     GIR_EraseRootFromParent_Done,
     /*   81046 */   // Label 1326: @81046
     /*   81046 */   GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(81135), // Rule ID 51627 //
     /*   81051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81085 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81087 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81094 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   81111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81133 */     GIR_RootConstrainSelectedInstOperands,
     /*   81134 */     // GIR_Coverage, 51627,
     /*   81134 */     GIR_EraseRootFromParent_Done,
     /*   81135 */   // Label 1327: @81135
     /*   81135 */   GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(81224), // Rule ID 70569 //
     /*   81140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81155 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81174 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81176 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81181 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81183 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81222 */     GIR_RootConstrainSelectedInstOperands,
     /*   81223 */     // GIR_Coverage, 70569,
     /*   81223 */     GIR_EraseRootFromParent_Done,
     /*   81224 */   // Label 1328: @81224
     /*   81224 */   GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(81313), // Rule ID 70570 //
     /*   81229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81244 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81263 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81265 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81272 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81311 */     GIR_RootConstrainSelectedInstOperands,
     /*   81312 */     // GIR_Coverage, 70570,
     /*   81312 */     GIR_EraseRootFromParent_Done,
     /*   81313 */   // Label 1329: @81313
     /*   81313 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(81402), // Rule ID 70449 //
     /*   81318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81333 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81348 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81352 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81359 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81361 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   81378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81400 */     GIR_RootConstrainSelectedInstOperands,
     /*   81401 */     // GIR_Coverage, 70449,
     /*   81401 */     GIR_EraseRootFromParent_Done,
     /*   81402 */   // Label 1330: @81402
     /*   81402 */   GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(81491), // Rule ID 70450 //
     /*   81407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81422 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81441 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81450 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   81467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81489 */     GIR_RootConstrainSelectedInstOperands,
     /*   81490 */     // GIR_Coverage, 70450,
     /*   81490 */     GIR_EraseRootFromParent_Done,
     /*   81491 */   // Label 1331: @81491
     /*   81491 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(81580), // Rule ID 51806 //
     /*   81496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81511 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81530 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81539 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81578 */     GIR_RootConstrainSelectedInstOperands,
     /*   81579 */     // GIR_Coverage, 51806,
     /*   81579 */     GIR_EraseRootFromParent_Done,
     /*   81580 */   // Label 1332: @81580
     /*   81580 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(81669), // Rule ID 51807 //
     /*   81585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81600 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81619 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81628 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81667 */     GIR_RootConstrainSelectedInstOperands,
     /*   81668 */     // GIR_Coverage, 51807,
     /*   81668 */     GIR_EraseRootFromParent_Done,
     /*   81669 */   // Label 1333: @81669
     /*   81669 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(81758), // Rule ID 51506 //
     /*   81674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81689 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81708 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81715 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81717 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   81734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81756 */     GIR_RootConstrainSelectedInstOperands,
     /*   81757 */     // GIR_Coverage, 51506,
     /*   81757 */     GIR_EraseRootFromParent_Done,
     /*   81758 */   // Label 1334: @81758
     /*   81758 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(81847), // Rule ID 51507 //
     /*   81763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81778 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81793 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81797 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81799 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81806 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   81823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81845 */     GIR_RootConstrainSelectedInstOperands,
     /*   81846 */     // GIR_Coverage, 51507,
     /*   81846 */     GIR_EraseRootFromParent_Done,
     /*   81847 */   // Label 1335: @81847
     /*   81847 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(81936), // Rule ID 51746 //
     /*   81852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81867 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81886 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81888 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81893 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81895 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81934 */     GIR_RootConstrainSelectedInstOperands,
     /*   81935 */     // GIR_Coverage, 51746,
     /*   81935 */     GIR_EraseRootFromParent_Done,
     /*   81936 */   // Label 1336: @81936
     /*   81936 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(82025), // Rule ID 51747 //
     /*   81941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81975 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81977 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81984 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   82001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82023 */     GIR_RootConstrainSelectedInstOperands,
     /*   82024 */     // GIR_Coverage, 51747,
     /*   82024 */     GIR_EraseRootFromParent_Done,
     /*   82025 */   // Label 1337: @82025
     /*   82025 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(82114), // Rule ID 51686 //
     /*   82030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82045 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82064 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82073 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   82090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82112 */     GIR_RootConstrainSelectedInstOperands,
     /*   82113 */     // GIR_Coverage, 51686,
     /*   82113 */     GIR_EraseRootFromParent_Done,
     /*   82114 */   // Label 1338: @82114
     /*   82114 */   GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(82203), // Rule ID 51687 //
     /*   82119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82153 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82162 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   82179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82201 */     GIR_RootConstrainSelectedInstOperands,
     /*   82202 */     // GIR_Coverage, 51687,
     /*   82202 */     GIR_EraseRootFromParent_Done,
     /*   82203 */   // Label 1339: @82203
     /*   82203 */   GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(82292), // Rule ID 70509 //
     /*   82208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82223 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82242 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82251 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   82268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82290 */     GIR_RootConstrainSelectedInstOperands,
     /*   82291 */     // GIR_Coverage, 70509,
     /*   82291 */     GIR_EraseRootFromParent_Done,
     /*   82292 */   // Label 1340: @82292
     /*   82292 */   GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(82381), // Rule ID 70510 //
     /*   82297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82331 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82340 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   82357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82379 */     GIR_RootConstrainSelectedInstOperands,
     /*   82380 */     // GIR_Coverage, 70510,
     /*   82380 */     GIR_EraseRootFromParent_Done,
     /*   82381 */   // Label 1341: @82381
     /*   82381 */   GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(82470), // Rule ID 51566 //
     /*   82386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82429 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   82446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82468 */     GIR_RootConstrainSelectedInstOperands,
     /*   82469 */     // GIR_Coverage, 51566,
     /*   82469 */     GIR_EraseRootFromParent_Done,
     /*   82470 */   // Label 1342: @82470
     /*   82470 */   GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(82559), // Rule ID 51567 //
     /*   82475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82509 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82516 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82518 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   82535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82557 */     GIR_RootConstrainSelectedInstOperands,
     /*   82558 */     // GIR_Coverage, 51567,
     /*   82558 */     GIR_EraseRootFromParent_Done,
     /*   82559 */   // Label 1343: @82559
     /*   82559 */   GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(82612), // Rule ID 50872 //
     /*   82564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82575 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   82592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   82599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   82601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82610 */     GIR_RootConstrainSelectedInstOperands,
     /*   82611 */     // GIR_Coverage, 50872,
     /*   82611 */     GIR_EraseRootFromParent_Done,
     /*   82612 */   // Label 1344: @82612
     /*   82612 */   GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(82665), // Rule ID 50873 //
     /*   82617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82628 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   82628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   82645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   82652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   82654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82663 */     GIR_RootConstrainSelectedInstOperands,
     /*   82664 */     // GIR_Coverage, 50873,
     /*   82664 */     GIR_EraseRootFromParent_Done,
     /*   82665 */   // Label 1345: @82665
     /*   82665 */   GIM_Reject,
     /*   82666 */ // Label 1325: @82666
     /*   82666 */ GIM_Reject,
     /*   82667 */ // Label 1296: @82667
     /*   82667 */ GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(84391),
     /*   82672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   82675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   82678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82682 */   GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(82771), // Rule ID 51650 //
     /*   82687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82702 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82721 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82723 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82728 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82730 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82769 */     GIR_RootConstrainSelectedInstOperands,
     /*   82770 */     // GIR_Coverage, 51650,
     /*   82770 */     GIR_EraseRootFromParent_Done,
     /*   82771 */   // Label 1347: @82771
     /*   82771 */   GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(82860), // Rule ID 51651 //
     /*   82776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82810 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82812 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82817 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82819 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   82819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82858 */     GIR_RootConstrainSelectedInstOperands,
     /*   82859 */     // GIR_Coverage, 51651,
     /*   82859 */     GIR_EraseRootFromParent_Done,
     /*   82860 */   // Label 1348: @82860
     /*   82860 */   GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(82949), // Rule ID 70593 //
     /*   82865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82880 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82899 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82908 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82947 */     GIR_RootConstrainSelectedInstOperands,
     /*   82948 */     // GIR_Coverage, 70593,
     /*   82948 */     GIR_EraseRootFromParent_Done,
     /*   82949 */   // Label 1349: @82949
     /*   82949 */   GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(83038), // Rule ID 70594 //
     /*   82954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82969 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82988 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82990 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82997 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   82997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83036 */     GIR_RootConstrainSelectedInstOperands,
     /*   83037 */     // GIR_Coverage, 70594,
     /*   83037 */     GIR_EraseRootFromParent_Done,
     /*   83038 */   // Label 1350: @83038
     /*   83038 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(83127), // Rule ID 70473 //
     /*   83043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83058 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83077 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83079 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83084 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83086 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83125 */     GIR_RootConstrainSelectedInstOperands,
     /*   83126 */     // GIR_Coverage, 70473,
     /*   83126 */     GIR_EraseRootFromParent_Done,
     /*   83127 */   // Label 1351: @83127
     /*   83127 */   GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(83216), // Rule ID 70474 //
     /*   83132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83147 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83166 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83175 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83214 */     GIR_RootConstrainSelectedInstOperands,
     /*   83215 */     // GIR_Coverage, 70474,
     /*   83215 */     GIR_EraseRootFromParent_Done,
     /*   83216 */   // Label 1352: @83216
     /*   83216 */   GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(83305), // Rule ID 51830 //
     /*   83221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83236 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83255 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83264 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83303 */     GIR_RootConstrainSelectedInstOperands,
     /*   83304 */     // GIR_Coverage, 51830,
     /*   83304 */     GIR_EraseRootFromParent_Done,
     /*   83305 */   // Label 1353: @83305
     /*   83305 */   GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(83394), // Rule ID 51831 //
     /*   83310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83325 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83344 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83353 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83392 */     GIR_RootConstrainSelectedInstOperands,
     /*   83393 */     // GIR_Coverage, 51831,
     /*   83393 */     GIR_EraseRootFromParent_Done,
     /*   83394 */   // Label 1354: @83394
     /*   83394 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(83483), // Rule ID 51530 //
     /*   83399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83414 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83421 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83425 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83429 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83433 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83435 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83440 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83442 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   83459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83481 */     GIR_RootConstrainSelectedInstOperands,
     /*   83482 */     // GIR_Coverage, 51530,
     /*   83482 */     GIR_EraseRootFromParent_Done,
     /*   83483 */   // Label 1355: @83483
     /*   83483 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(83572), // Rule ID 51531 //
     /*   83488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83503 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83522 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83531 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   83548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83570 */     GIR_RootConstrainSelectedInstOperands,
     /*   83571 */     // GIR_Coverage, 51531,
     /*   83571 */     GIR_EraseRootFromParent_Done,
     /*   83572 */   // Label 1356: @83572
     /*   83572 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(83661), // Rule ID 51770 //
     /*   83577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83592 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83611 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83620 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83659 */     GIR_RootConstrainSelectedInstOperands,
     /*   83660 */     // GIR_Coverage, 51770,
     /*   83660 */     GIR_EraseRootFromParent_Done,
     /*   83661 */   // Label 1357: @83661
     /*   83661 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(83750), // Rule ID 51771 //
     /*   83666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83700 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83707 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83709 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83748 */     GIR_RootConstrainSelectedInstOperands,
     /*   83749 */     // GIR_Coverage, 51771,
     /*   83749 */     GIR_EraseRootFromParent_Done,
     /*   83750 */   // Label 1358: @83750
     /*   83750 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(83839), // Rule ID 51710 //
     /*   83755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83789 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83791 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83796 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83798 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83837 */     GIR_RootConstrainSelectedInstOperands,
     /*   83838 */     // GIR_Coverage, 51710,
     /*   83838 */     GIR_EraseRootFromParent_Done,
     /*   83839 */   // Label 1359: @83839
     /*   83839 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(83928), // Rule ID 51711 //
     /*   83844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83859 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83887 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83926 */     GIR_RootConstrainSelectedInstOperands,
     /*   83927 */     // GIR_Coverage, 51711,
     /*   83927 */     GIR_EraseRootFromParent_Done,
     /*   83928 */   // Label 1360: @83928
     /*   83928 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(84017), // Rule ID 70533 //
     /*   83933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83948 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83967 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83976 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84015 */     GIR_RootConstrainSelectedInstOperands,
     /*   84016 */     // GIR_Coverage, 70533,
     /*   84016 */     GIR_EraseRootFromParent_Done,
     /*   84017 */   // Label 1361: @84017
     /*   84017 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(84106), // Rule ID 70534 //
     /*   84022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   84037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   84056 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84065 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   84082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84104 */     GIR_RootConstrainSelectedInstOperands,
     /*   84105 */     // GIR_Coverage, 70534,
     /*   84105 */     GIR_EraseRootFromParent_Done,
     /*   84106 */   // Label 1362: @84106
     /*   84106 */   GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(84195), // Rule ID 51590 //
     /*   84111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   84126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   84145 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84147 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84154 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   84171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84193 */     GIR_RootConstrainSelectedInstOperands,
     /*   84194 */     // GIR_Coverage, 51590,
     /*   84194 */     GIR_EraseRootFromParent_Done,
     /*   84195 */   // Label 1363: @84195
     /*   84195 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(84284), // Rule ID 51591 //
     /*   84200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   84215 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   84234 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84236 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84241 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84243 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   84260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84282 */     GIR_RootConstrainSelectedInstOperands,
     /*   84283 */     // GIR_Coverage, 51591,
     /*   84283 */     GIR_EraseRootFromParent_Done,
     /*   84284 */   // Label 1364: @84284
     /*   84284 */   GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(84337), // Rule ID 50880 //
     /*   84289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84300 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   84317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   84324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   84326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84335 */     GIR_RootConstrainSelectedInstOperands,
     /*   84336 */     // GIR_Coverage, 50880,
     /*   84336 */     GIR_EraseRootFromParent_Done,
     /*   84337 */   // Label 1365: @84337
     /*   84337 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(84390), // Rule ID 50881 //
     /*   84342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84353 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   84370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   84377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   84379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84388 */     GIR_RootConstrainSelectedInstOperands,
     /*   84389 */     // GIR_Coverage, 50881,
     /*   84389 */     GIR_EraseRootFromParent_Done,
     /*   84390 */   // Label 1366: @84390
     /*   84390 */   GIM_Reject,
     /*   84391 */ // Label 1346: @84391
     /*   84391 */ GIM_Reject,
     /*   84392 */ // Label 1297: @84392
     /*   84392 */ GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(86116),
     /*   84397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   84400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   84403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84407 */   GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(84496), // Rule ID 51670 //
     /*   84412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84427 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84446 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84453 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84455 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84494 */     GIR_RootConstrainSelectedInstOperands,
     /*   84495 */     // GIR_Coverage, 51670,
     /*   84495 */     GIR_EraseRootFromParent_Done,
     /*   84496 */   // Label 1368: @84496
     /*   84496 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(84585), // Rule ID 51671 //
     /*   84501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84516 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84535 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84544 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84583 */     GIR_RootConstrainSelectedInstOperands,
     /*   84584 */     // GIR_Coverage, 51671,
     /*   84584 */     GIR_EraseRootFromParent_Done,
     /*   84585 */   // Label 1369: @84585
     /*   84585 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(84674), // Rule ID 70613 //
     /*   84590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84605 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84612 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84616 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84620 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84624 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84626 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84633 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84672 */     GIR_RootConstrainSelectedInstOperands,
     /*   84673 */     // GIR_Coverage, 70613,
     /*   84673 */     GIR_EraseRootFromParent_Done,
     /*   84674 */   // Label 1370: @84674
     /*   84674 */   GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(84763), // Rule ID 70614 //
     /*   84679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84694 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84713 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84715 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84720 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84722 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84761 */     GIR_RootConstrainSelectedInstOperands,
     /*   84762 */     // GIR_Coverage, 70614,
     /*   84762 */     GIR_EraseRootFromParent_Done,
     /*   84763 */   // Label 1371: @84763
     /*   84763 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(84852), // Rule ID 70493 //
     /*   84768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84783 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84802 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84804 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84811 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84850 */     GIR_RootConstrainSelectedInstOperands,
     /*   84851 */     // GIR_Coverage, 70493,
     /*   84851 */     GIR_EraseRootFromParent_Done,
     /*   84852 */   // Label 1372: @84852
     /*   84852 */   GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(84941), // Rule ID 70494 //
     /*   84857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84872 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84891 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84898 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84900 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84939 */     GIR_RootConstrainSelectedInstOperands,
     /*   84940 */     // GIR_Coverage, 70494,
     /*   84940 */     GIR_EraseRootFromParent_Done,
     /*   84941 */   // Label 1373: @84941
     /*   84941 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(85030), // Rule ID 51850 //
     /*   84946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84961 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84976 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84980 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84982 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84989 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85028 */     GIR_RootConstrainSelectedInstOperands,
     /*   85029 */     // GIR_Coverage, 51850,
     /*   85029 */     GIR_EraseRootFromParent_Done,
     /*   85030 */   // Label 1374: @85030
     /*   85030 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(85119), // Rule ID 51851 //
     /*   85035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85050 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85069 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85071 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85078 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85117 */     GIR_RootConstrainSelectedInstOperands,
     /*   85118 */     // GIR_Coverage, 51851,
     /*   85118 */     GIR_EraseRootFromParent_Done,
     /*   85119 */   // Label 1375: @85119
     /*   85119 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(85208), // Rule ID 51550 //
     /*   85124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85139 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85158 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85165 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85167 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   85184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85206 */     GIR_RootConstrainSelectedInstOperands,
     /*   85207 */     // GIR_Coverage, 51550,
     /*   85207 */     GIR_EraseRootFromParent_Done,
     /*   85208 */   // Label 1376: @85208
     /*   85208 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(85297), // Rule ID 51551 //
     /*   85213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85228 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85243 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85247 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85256 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   85273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85295 */     GIR_RootConstrainSelectedInstOperands,
     /*   85296 */     // GIR_Coverage, 51551,
     /*   85296 */     GIR_EraseRootFromParent_Done,
     /*   85297 */   // Label 1377: @85297
     /*   85297 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(85386), // Rule ID 51790 //
     /*   85302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85317 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85332 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85336 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85338 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85343 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85345 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85384 */     GIR_RootConstrainSelectedInstOperands,
     /*   85385 */     // GIR_Coverage, 51790,
     /*   85385 */     GIR_EraseRootFromParent_Done,
     /*   85386 */   // Label 1378: @85386
     /*   85386 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(85475), // Rule ID 51791 //
     /*   85391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85406 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85421 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85425 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85427 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85432 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85434 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85473 */     GIR_RootConstrainSelectedInstOperands,
     /*   85474 */     // GIR_Coverage, 51791,
     /*   85474 */     GIR_EraseRootFromParent_Done,
     /*   85475 */   // Label 1379: @85475
     /*   85475 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(85564), // Rule ID 51730 //
     /*   85480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85495 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85514 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85521 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85523 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85562 */     GIR_RootConstrainSelectedInstOperands,
     /*   85563 */     // GIR_Coverage, 51730,
     /*   85563 */     GIR_EraseRootFromParent_Done,
     /*   85564 */   // Label 1380: @85564
     /*   85564 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(85653), // Rule ID 51731 //
     /*   85569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85584 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85586 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85603 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85612 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85651 */     GIR_RootConstrainSelectedInstOperands,
     /*   85652 */     // GIR_Coverage, 51731,
     /*   85652 */     GIR_EraseRootFromParent_Done,
     /*   85653 */   // Label 1381: @85653
     /*   85653 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(85742), // Rule ID 70553 //
     /*   85658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85673 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85680 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85684 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85688 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85692 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85694 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85701 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85740 */     GIR_RootConstrainSelectedInstOperands,
     /*   85741 */     // GIR_Coverage, 70553,
     /*   85741 */     GIR_EraseRootFromParent_Done,
     /*   85742 */   // Label 1382: @85742
     /*   85742 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(85831), // Rule ID 70554 //
     /*   85747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85762 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85777 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85781 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85783 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85788 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85790 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85829 */     GIR_RootConstrainSelectedInstOperands,
     /*   85830 */     // GIR_Coverage, 70554,
     /*   85830 */     GIR_EraseRootFromParent_Done,
     /*   85831 */   // Label 1383: @85831
     /*   85831 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(85920), // Rule ID 51610 //
     /*   85836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85851 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85870 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85879 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85918 */     GIR_RootConstrainSelectedInstOperands,
     /*   85919 */     // GIR_Coverage, 51610,
     /*   85919 */     GIR_EraseRootFromParent_Done,
     /*   85920 */   // Label 1384: @85920
     /*   85920 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(86009), // Rule ID 51611 //
     /*   85925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85959 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85961 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85966 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85968 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86007 */     GIR_RootConstrainSelectedInstOperands,
     /*   86008 */     // GIR_Coverage, 51611,
     /*   86008 */     GIR_EraseRootFromParent_Done,
     /*   86009 */   // Label 1385: @86009
     /*   86009 */   GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(86062), // Rule ID 50896 //
     /*   86014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   86017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86025 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   86025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   86028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   86042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   86049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   86051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   86057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86060 */     GIR_RootConstrainSelectedInstOperands,
     /*   86061 */     // GIR_Coverage, 50896,
     /*   86061 */     GIR_EraseRootFromParent_Done,
     /*   86062 */   // Label 1386: @86062
     /*   86062 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(86115), // Rule ID 50897 //
     /*   86067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   86070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86078 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   86078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   86081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   86095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   86102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   86104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   86110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86113 */     GIR_RootConstrainSelectedInstOperands,
     /*   86114 */     // GIR_Coverage, 50897,
     /*   86114 */     GIR_EraseRootFromParent_Done,
     /*   86115 */   // Label 1387: @86115
     /*   86115 */   GIM_Reject,
     /*   86116 */ // Label 1367: @86116
     /*   86116 */ GIM_Reject,
     /*   86117 */ // Label 1298: @86117
     /*   86117 */ GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(86231),
     /*   86122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   86128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86140 */   GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(86185), // Rule ID 50864 //
     /*   86145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86148 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   86151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   86165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   86172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   86174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86183 */     GIR_RootConstrainSelectedInstOperands,
     /*   86184 */     // GIR_Coverage, 50864,
     /*   86184 */     GIR_EraseRootFromParent_Done,
     /*   86185 */   // Label 1389: @86185
     /*   86185 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(86230), // Rule ID 50865 //
     /*   86190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86193 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   86196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   86210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   86217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   86219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86228 */     GIR_RootConstrainSelectedInstOperands,
     /*   86229 */     // GIR_Coverage, 50865,
     /*   86229 */     GIR_EraseRootFromParent_Done,
     /*   86230 */   // Label 1390: @86230
     /*   86230 */   GIM_Reject,
     /*   86231 */ // Label 1388: @86231
     /*   86231 */ GIM_Reject,
     /*   86232 */ // Label 1299: @86232
     /*   86232 */ GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(87956),
     /*   86237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   86240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   86243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86247 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(86336), // Rule ID 51630 //
     /*   86252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86267 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86286 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86288 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86293 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86295 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86334 */     GIR_RootConstrainSelectedInstOperands,
     /*   86335 */     // GIR_Coverage, 51630,
     /*   86335 */     GIR_EraseRootFromParent_Done,
     /*   86336 */   // Label 1392: @86336
     /*   86336 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(86425), // Rule ID 51631 //
     /*   86341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86375 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86377 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86384 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86423 */     GIR_RootConstrainSelectedInstOperands,
     /*   86424 */     // GIR_Coverage, 51631,
     /*   86424 */     GIR_EraseRootFromParent_Done,
     /*   86425 */   // Label 1393: @86425
     /*   86425 */   GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(86514), // Rule ID 70573 //
     /*   86430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86445 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86464 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86473 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86512 */     GIR_RootConstrainSelectedInstOperands,
     /*   86513 */     // GIR_Coverage, 70573,
     /*   86513 */     GIR_EraseRootFromParent_Done,
     /*   86514 */   // Label 1394: @86514
     /*   86514 */   GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(86603), // Rule ID 70574 //
     /*   86519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86534 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86553 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86562 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86601 */     GIR_RootConstrainSelectedInstOperands,
     /*   86602 */     // GIR_Coverage, 70574,
     /*   86602 */     GIR_EraseRootFromParent_Done,
     /*   86603 */   // Label 1395: @86603
     /*   86603 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(86692), // Rule ID 70453 //
     /*   86608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86623 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86642 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86644 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86651 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86690 */     GIR_RootConstrainSelectedInstOperands,
     /*   86691 */     // GIR_Coverage, 70453,
     /*   86691 */     GIR_EraseRootFromParent_Done,
     /*   86692 */   // Label 1396: @86692
     /*   86692 */   GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(86781), // Rule ID 70454 //
     /*   86697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86712 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86731 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86733 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86740 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86779 */     GIR_RootConstrainSelectedInstOperands,
     /*   86780 */     // GIR_Coverage, 70454,
     /*   86780 */     GIR_EraseRootFromParent_Done,
     /*   86781 */   // Label 1397: @86781
     /*   86781 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(86870), // Rule ID 51810 //
     /*   86786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86801 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86820 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86829 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86868 */     GIR_RootConstrainSelectedInstOperands,
     /*   86869 */     // GIR_Coverage, 51810,
     /*   86869 */     GIR_EraseRootFromParent_Done,
     /*   86870 */   // Label 1398: @86870
     /*   86870 */   GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(86959), // Rule ID 51811 //
     /*   86875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86909 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86911 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86918 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86957 */     GIR_RootConstrainSelectedInstOperands,
     /*   86958 */     // GIR_Coverage, 51811,
     /*   86958 */     GIR_EraseRootFromParent_Done,
     /*   86959 */   // Label 1399: @86959
     /*   86959 */   GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(87048), // Rule ID 51510 //
     /*   86964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86998 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87007 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   87024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87046 */     GIR_RootConstrainSelectedInstOperands,
     /*   87047 */     // GIR_Coverage, 51510,
     /*   87047 */     GIR_EraseRootFromParent_Done,
     /*   87048 */   // Label 1400: @87048
     /*   87048 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(87137), // Rule ID 51511 //
     /*   87053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87087 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87096 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   87113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87135 */     GIR_RootConstrainSelectedInstOperands,
     /*   87136 */     // GIR_Coverage, 51511,
     /*   87136 */     GIR_EraseRootFromParent_Done,
     /*   87137 */   // Label 1401: @87137
     /*   87137 */   GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(87226), // Rule ID 51750 //
     /*   87142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87157 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87176 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87185 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87224 */     GIR_RootConstrainSelectedInstOperands,
     /*   87225 */     // GIR_Coverage, 51750,
     /*   87225 */     GIR_EraseRootFromParent_Done,
     /*   87226 */   // Label 1402: @87226
     /*   87226 */   GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(87315), // Rule ID 51751 //
     /*   87231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87265 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87274 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87313 */     GIR_RootConstrainSelectedInstOperands,
     /*   87314 */     // GIR_Coverage, 51751,
     /*   87314 */     GIR_EraseRootFromParent_Done,
     /*   87315 */   // Label 1403: @87315
     /*   87315 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(87404), // Rule ID 51690 //
     /*   87320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87335 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87354 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87363 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87402 */     GIR_RootConstrainSelectedInstOperands,
     /*   87403 */     // GIR_Coverage, 51690,
     /*   87403 */     GIR_EraseRootFromParent_Done,
     /*   87404 */   // Label 1404: @87404
     /*   87404 */   GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(87493), // Rule ID 51691 //
     /*   87409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87443 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87445 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87452 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87491 */     GIR_RootConstrainSelectedInstOperands,
     /*   87492 */     // GIR_Coverage, 51691,
     /*   87492 */     GIR_EraseRootFromParent_Done,
     /*   87493 */   // Label 1405: @87493
     /*   87493 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(87582), // Rule ID 70513 //
     /*   87498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87513 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87532 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87541 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87580 */     GIR_RootConstrainSelectedInstOperands,
     /*   87581 */     // GIR_Coverage, 70513,
     /*   87581 */     GIR_EraseRootFromParent_Done,
     /*   87582 */   // Label 1406: @87582
     /*   87582 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(87671), // Rule ID 70514 //
     /*   87587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87602 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87621 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87630 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87669 */     GIR_RootConstrainSelectedInstOperands,
     /*   87670 */     // GIR_Coverage, 70514,
     /*   87670 */     GIR_EraseRootFromParent_Done,
     /*   87671 */   // Label 1407: @87671
     /*   87671 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(87760), // Rule ID 51570 //
     /*   87676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87691 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87710 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87712 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87717 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87719 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87758 */     GIR_RootConstrainSelectedInstOperands,
     /*   87759 */     // GIR_Coverage, 51570,
     /*   87759 */     GIR_EraseRootFromParent_Done,
     /*   87760 */   // Label 1408: @87760
     /*   87760 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(87849), // Rule ID 51571 //
     /*   87765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87780 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87799 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87801 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87808 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87847 */     GIR_RootConstrainSelectedInstOperands,
     /*   87848 */     // GIR_Coverage, 51571,
     /*   87848 */     GIR_EraseRootFromParent_Done,
     /*   87849 */   // Label 1409: @87849
     /*   87849 */   GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(87902), // Rule ID 50876 //
     /*   87854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87865 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   87865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87900 */     GIR_RootConstrainSelectedInstOperands,
     /*   87901 */     // GIR_Coverage, 50876,
     /*   87901 */     GIR_EraseRootFromParent_Done,
     /*   87902 */   // Label 1410: @87902
     /*   87902 */   GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(87955), // Rule ID 50877 //
     /*   87907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87918 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   87918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87953 */     GIR_RootConstrainSelectedInstOperands,
     /*   87954 */     // GIR_Coverage, 50877,
     /*   87954 */     GIR_EraseRootFromParent_Done,
     /*   87955 */   // Label 1411: @87955
     /*   87955 */   GIM_Reject,
     /*   87956 */ // Label 1391: @87956
     /*   87956 */ GIM_Reject,
     /*   87957 */ // Label 1300: @87957
     /*   87957 */ GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(89681),
     /*   87962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   87965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   87968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87972 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(88061), // Rule ID 51654 //
     /*   87977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   87992 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88011 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88013 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88018 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88020 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88059 */     GIR_RootConstrainSelectedInstOperands,
     /*   88060 */     // GIR_Coverage, 51654,
     /*   88060 */     GIR_EraseRootFromParent_Done,
     /*   88061 */   // Label 1413: @88061
     /*   88061 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(88150), // Rule ID 51655 //
     /*   88066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88081 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88100 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88109 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88148 */     GIR_RootConstrainSelectedInstOperands,
     /*   88149 */     // GIR_Coverage, 51655,
     /*   88149 */     GIR_EraseRootFromParent_Done,
     /*   88150 */   // Label 1414: @88150
     /*   88150 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(88239), // Rule ID 70597 //
     /*   88155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88170 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88189 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88191 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88198 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88237 */     GIR_RootConstrainSelectedInstOperands,
     /*   88238 */     // GIR_Coverage, 70597,
     /*   88238 */     GIR_EraseRootFromParent_Done,
     /*   88239 */   // Label 1415: @88239
     /*   88239 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(88328), // Rule ID 70598 //
     /*   88244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88259 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88278 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88280 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88285 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88287 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88326 */     GIR_RootConstrainSelectedInstOperands,
     /*   88327 */     // GIR_Coverage, 70598,
     /*   88327 */     GIR_EraseRootFromParent_Done,
     /*   88328 */   // Label 1416: @88328
     /*   88328 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(88417), // Rule ID 70477 //
     /*   88333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88348 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88367 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88369 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88374 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88376 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88415 */     GIR_RootConstrainSelectedInstOperands,
     /*   88416 */     // GIR_Coverage, 70477,
     /*   88416 */     GIR_EraseRootFromParent_Done,
     /*   88417 */   // Label 1417: @88417
     /*   88417 */   GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(88506), // Rule ID 70478 //
     /*   88422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88437 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88456 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88465 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88504 */     GIR_RootConstrainSelectedInstOperands,
     /*   88505 */     // GIR_Coverage, 70478,
     /*   88505 */     GIR_EraseRootFromParent_Done,
     /*   88506 */   // Label 1418: @88506
     /*   88506 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(88595), // Rule ID 51834 //
     /*   88511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88526 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88545 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88554 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88593 */     GIR_RootConstrainSelectedInstOperands,
     /*   88594 */     // GIR_Coverage, 51834,
     /*   88594 */     GIR_EraseRootFromParent_Done,
     /*   88595 */   // Label 1419: @88595
     /*   88595 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(88684), // Rule ID 51835 //
     /*   88600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88615 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88630 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88634 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88636 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88643 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88682 */     GIR_RootConstrainSelectedInstOperands,
     /*   88683 */     // GIR_Coverage, 51835,
     /*   88683 */     GIR_EraseRootFromParent_Done,
     /*   88684 */   // Label 1420: @88684
     /*   88684 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(88773), // Rule ID 51534 //
     /*   88689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88704 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88711 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88715 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88719 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88723 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88725 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88730 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88732 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88771 */     GIR_RootConstrainSelectedInstOperands,
     /*   88772 */     // GIR_Coverage, 51534,
     /*   88772 */     GIR_EraseRootFromParent_Done,
     /*   88773 */   // Label 1421: @88773
     /*   88773 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(88862), // Rule ID 51535 //
     /*   88778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88793 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88808 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88812 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88814 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88819 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88821 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88860 */     GIR_RootConstrainSelectedInstOperands,
     /*   88861 */     // GIR_Coverage, 51535,
     /*   88861 */     GIR_EraseRootFromParent_Done,
     /*   88862 */   // Label 1422: @88862
     /*   88862 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(88951), // Rule ID 51774 //
     /*   88867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88882 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88901 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88903 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88908 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88910 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88949 */     GIR_RootConstrainSelectedInstOperands,
     /*   88950 */     // GIR_Coverage, 51774,
     /*   88950 */     GIR_EraseRootFromParent_Done,
     /*   88951 */   // Label 1423: @88951
     /*   88951 */   GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(89040), // Rule ID 51775 //
     /*   88956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88971 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88990 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88999 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   89016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89038 */     GIR_RootConstrainSelectedInstOperands,
     /*   89039 */     // GIR_Coverage, 51775,
     /*   89039 */     GIR_EraseRootFromParent_Done,
     /*   89040 */   // Label 1424: @89040
     /*   89040 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(89129), // Rule ID 51714 //
     /*   89045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89060 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89075 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89079 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89081 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89086 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89088 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   89105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89127 */     GIR_RootConstrainSelectedInstOperands,
     /*   89128 */     // GIR_Coverage, 51714,
     /*   89128 */     GIR_EraseRootFromParent_Done,
     /*   89129 */   // Label 1425: @89129
     /*   89129 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(89218), // Rule ID 51715 //
     /*   89134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89168 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89175 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89177 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   89194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89216 */     GIR_RootConstrainSelectedInstOperands,
     /*   89217 */     // GIR_Coverage, 51715,
     /*   89217 */     GIR_EraseRootFromParent_Done,
     /*   89218 */   // Label 1426: @89218
     /*   89218 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(89307), // Rule ID 70537 //
     /*   89223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89238 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89257 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89259 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89264 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89266 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   89283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89305 */     GIR_RootConstrainSelectedInstOperands,
     /*   89306 */     // GIR_Coverage, 70537,
     /*   89306 */     GIR_EraseRootFromParent_Done,
     /*   89307 */   // Label 1427: @89307
     /*   89307 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(89396), // Rule ID 70538 //
     /*   89312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89327 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89346 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89348 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89355 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   89372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89394 */     GIR_RootConstrainSelectedInstOperands,
     /*   89395 */     // GIR_Coverage, 70538,
     /*   89395 */     GIR_EraseRootFromParent_Done,
     /*   89396 */   // Label 1428: @89396
     /*   89396 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(89485), // Rule ID 51594 //
     /*   89401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89435 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89444 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   89461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89483 */     GIR_RootConstrainSelectedInstOperands,
     /*   89484 */     // GIR_Coverage, 51594,
     /*   89484 */     GIR_EraseRootFromParent_Done,
     /*   89485 */   // Label 1429: @89485
     /*   89485 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(89574), // Rule ID 51595 //
     /*   89490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89505 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89524 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89533 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   89550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89572 */     GIR_RootConstrainSelectedInstOperands,
     /*   89573 */     // GIR_Coverage, 51595,
     /*   89573 */     GIR_EraseRootFromParent_Done,
     /*   89574 */   // Label 1430: @89574
     /*   89574 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(89627), // Rule ID 50892 //
     /*   89579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89590 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   89607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   89614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   89616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89625 */     GIR_RootConstrainSelectedInstOperands,
     /*   89626 */     // GIR_Coverage, 50892,
     /*   89626 */     GIR_EraseRootFromParent_Done,
     /*   89627 */   // Label 1431: @89627
     /*   89627 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(89680), // Rule ID 50893 //
     /*   89632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89643 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   89643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   89660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   89667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   89669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89678 */     GIR_RootConstrainSelectedInstOperands,
     /*   89679 */     // GIR_Coverage, 50893,
     /*   89679 */     GIR_EraseRootFromParent_Done,
     /*   89680 */   // Label 1432: @89680
     /*   89680 */   GIM_Reject,
     /*   89681 */ // Label 1412: @89681
     /*   89681 */ GIM_Reject,
     /*   89682 */ // Label 1301: @89682
     /*   89682 */ GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(91406),
     /*   89687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   89690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   89693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   89697 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(89786), // Rule ID 51674 //
     /*   89702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   89705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89717 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89736 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89745 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89784 */     GIR_RootConstrainSelectedInstOperands,
     /*   89785 */     // GIR_Coverage, 51674,
     /*   89785 */     GIR_EraseRootFromParent_Done,
     /*   89786 */   // Label 1434: @89786
     /*   89786 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(89875), // Rule ID 51675 //
     /*   89791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   89794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89806 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89825 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89832 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89834 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   89834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89873 */     GIR_RootConstrainSelectedInstOperands,
     /*   89874 */     // GIR_Coverage, 51675,
     /*   89874 */     GIR_EraseRootFromParent_Done,
     /*   89875 */   // Label 1435: @89875
     /*   89875 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(89964), // Rule ID 70617 //
     /*   89880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   89883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89895 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89914 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89923 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89962 */     GIR_RootConstrainSelectedInstOperands,
     /*   89963 */     // GIR_Coverage, 70617,
     /*   89963 */     GIR_EraseRootFromParent_Done,
     /*   89964 */   // Label 1436: @89964
     /*   89964 */   GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(90053), // Rule ID 70618 //
     /*   89969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   89972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89984 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90003 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90012 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90051 */     GIR_RootConstrainSelectedInstOperands,
     /*   90052 */     // GIR_Coverage, 70618,
     /*   90052 */     GIR_EraseRootFromParent_Done,
     /*   90053 */   // Label 1437: @90053
     /*   90053 */   GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(90142), // Rule ID 70497 //
     /*   90058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90073 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90092 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90101 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90140 */     GIR_RootConstrainSelectedInstOperands,
     /*   90141 */     // GIR_Coverage, 70497,
     /*   90141 */     GIR_EraseRootFromParent_Done,
     /*   90142 */   // Label 1438: @90142
     /*   90142 */   GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(90231), // Rule ID 70498 //
     /*   90147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90162 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90181 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90190 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90229 */     GIR_RootConstrainSelectedInstOperands,
     /*   90230 */     // GIR_Coverage, 70498,
     /*   90230 */     GIR_EraseRootFromParent_Done,
     /*   90231 */   // Label 1439: @90231
     /*   90231 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(90320), // Rule ID 51854 //
     /*   90236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90251 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90270 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90279 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90318 */     GIR_RootConstrainSelectedInstOperands,
     /*   90319 */     // GIR_Coverage, 51854,
     /*   90319 */     GIR_EraseRootFromParent_Done,
     /*   90320 */   // Label 1440: @90320
     /*   90320 */   GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(90409), // Rule ID 51855 //
     /*   90325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90340 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90359 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90361 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90368 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90407 */     GIR_RootConstrainSelectedInstOperands,
     /*   90408 */     // GIR_Coverage, 51855,
     /*   90408 */     GIR_EraseRootFromParent_Done,
     /*   90409 */   // Label 1441: @90409
     /*   90409 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(90498), // Rule ID 51554 //
     /*   90414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90429 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90448 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90450 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90455 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90457 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   90474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90496 */     GIR_RootConstrainSelectedInstOperands,
     /*   90497 */     // GIR_Coverage, 51554,
     /*   90497 */     GIR_EraseRootFromParent_Done,
     /*   90498 */   // Label 1442: @90498
     /*   90498 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(90587), // Rule ID 51555 //
     /*   90503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90518 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90537 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90539 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90544 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90546 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   90563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90585 */     GIR_RootConstrainSelectedInstOperands,
     /*   90586 */     // GIR_Coverage, 51555,
     /*   90586 */     GIR_EraseRootFromParent_Done,
     /*   90587 */   // Label 1443: @90587
     /*   90587 */   GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(90676), // Rule ID 51794 //
     /*   90592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90607 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90626 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90628 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90633 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90635 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90674 */     GIR_RootConstrainSelectedInstOperands,
     /*   90675 */     // GIR_Coverage, 51794,
     /*   90675 */     GIR_EraseRootFromParent_Done,
     /*   90676 */   // Label 1444: @90676
     /*   90676 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(90765), // Rule ID 51795 //
     /*   90681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90696 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90703 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90707 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90711 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90715 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90717 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90724 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90763 */     GIR_RootConstrainSelectedInstOperands,
     /*   90764 */     // GIR_Coverage, 51795,
     /*   90764 */     GIR_EraseRootFromParent_Done,
     /*   90765 */   // Label 1445: @90765
     /*   90765 */   GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(90854), // Rule ID 51734 //
     /*   90770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90785 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90804 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90813 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90852 */     GIR_RootConstrainSelectedInstOperands,
     /*   90853 */     // GIR_Coverage, 51734,
     /*   90853 */     GIR_EraseRootFromParent_Done,
     /*   90854 */   // Label 1446: @90854
     /*   90854 */   GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(90943), // Rule ID 51735 //
     /*   90859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90874 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90893 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90895 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90900 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90902 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90941 */     GIR_RootConstrainSelectedInstOperands,
     /*   90942 */     // GIR_Coverage, 51735,
     /*   90942 */     GIR_EraseRootFromParent_Done,
     /*   90943 */   // Label 1447: @90943
     /*   90943 */   GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(91032), // Rule ID 70557 //
     /*   90948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90963 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90970 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90974 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90978 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90982 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90984 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90989 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90991 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   91008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91030 */     GIR_RootConstrainSelectedInstOperands,
     /*   91031 */     // GIR_Coverage, 70557,
     /*   91031 */     GIR_EraseRootFromParent_Done,
     /*   91032 */   // Label 1448: @91032
     /*   91032 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(91121), // Rule ID 70558 //
     /*   91037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91052 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91071 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91073 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91078 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91080 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   91097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91119 */     GIR_RootConstrainSelectedInstOperands,
     /*   91120 */     // GIR_Coverage, 70558,
     /*   91120 */     GIR_EraseRootFromParent_Done,
     /*   91121 */   // Label 1449: @91121
     /*   91121 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(91210), // Rule ID 51614 //
     /*   91126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91141 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91160 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91162 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91167 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91169 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   91186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91208 */     GIR_RootConstrainSelectedInstOperands,
     /*   91209 */     // GIR_Coverage, 51614,
     /*   91209 */     GIR_EraseRootFromParent_Done,
     /*   91210 */   // Label 1450: @91210
     /*   91210 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(91299), // Rule ID 51615 //
     /*   91215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91230 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91249 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91251 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91256 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91258 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   91275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91297 */     GIR_RootConstrainSelectedInstOperands,
     /*   91298 */     // GIR_Coverage, 51615,
     /*   91298 */     GIR_EraseRootFromParent_Done,
     /*   91299 */   // Label 1451: @91299
     /*   91299 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(91352), // Rule ID 50936 //
     /*   91304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   91307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91315 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   91315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   91332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   91347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91350 */     GIR_RootConstrainSelectedInstOperands,
     /*   91351 */     // GIR_Coverage, 50936,
     /*   91351 */     GIR_EraseRootFromParent_Done,
     /*   91352 */   // Label 1452: @91352
     /*   91352 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(91405), // Rule ID 50937 //
     /*   91357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   91360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91368 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   91368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   91385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   91400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91403 */     GIR_RootConstrainSelectedInstOperands,
     /*   91404 */     // GIR_Coverage, 50937,
     /*   91404 */     GIR_EraseRootFromParent_Done,
     /*   91405 */   // Label 1453: @91405
     /*   91405 */   GIM_Reject,
     /*   91406 */ // Label 1433: @91406
     /*   91406 */ GIM_Reject,
     /*   91407 */ // Label 1302: @91407
     /*   91407 */ GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(91521),
     /*   91412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   91418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91430 */   GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(91475), // Rule ID 50868 //
     /*   91435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91438 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   91441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   91455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91473 */     GIR_RootConstrainSelectedInstOperands,
     /*   91474 */     // GIR_Coverage, 50868,
     /*   91474 */     GIR_EraseRootFromParent_Done,
     /*   91475 */   // Label 1455: @91475
     /*   91475 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(91520), // Rule ID 50869 //
     /*   91480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91483 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   91486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   91500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91518 */     GIR_RootConstrainSelectedInstOperands,
     /*   91519 */     // GIR_Coverage, 50869,
     /*   91519 */     GIR_EraseRootFromParent_Done,
     /*   91520 */   // Label 1456: @91520
     /*   91520 */   GIM_Reject,
     /*   91521 */ // Label 1454: @91521
     /*   91521 */ GIM_Reject,
     /*   91522 */ // Label 1303: @91522
     /*   91522 */ GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(93246),
     /*   91527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   91530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   91533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91537 */   GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(91626), // Rule ID 51634 //
     /*   91542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91557 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91576 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91578 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91583 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91585 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91624 */     GIR_RootConstrainSelectedInstOperands,
     /*   91625 */     // GIR_Coverage, 51634,
     /*   91625 */     GIR_EraseRootFromParent_Done,
     /*   91626 */   // Label 1458: @91626
     /*   91626 */   GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(91715), // Rule ID 51635 //
     /*   91631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91665 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91667 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91674 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91713 */     GIR_RootConstrainSelectedInstOperands,
     /*   91714 */     // GIR_Coverage, 51635,
     /*   91714 */     GIR_EraseRootFromParent_Done,
     /*   91715 */   // Label 1459: @91715
     /*   91715 */   GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(91804), // Rule ID 70577 //
     /*   91720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91735 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91754 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91763 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   91780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91802 */     GIR_RootConstrainSelectedInstOperands,
     /*   91803 */     // GIR_Coverage, 70577,
     /*   91803 */     GIR_EraseRootFromParent_Done,
     /*   91804 */   // Label 1460: @91804
     /*   91804 */   GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(91893), // Rule ID 70578 //
     /*   91809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91824 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91843 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91845 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91852 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   91869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91891 */     GIR_RootConstrainSelectedInstOperands,
     /*   91892 */     // GIR_Coverage, 70578,
     /*   91892 */     GIR_EraseRootFromParent_Done,
     /*   91893 */   // Label 1461: @91893
     /*   91893 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(91982), // Rule ID 70457 //
     /*   91898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91913 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91932 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91934 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91941 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91980 */     GIR_RootConstrainSelectedInstOperands,
     /*   91981 */     // GIR_Coverage, 70457,
     /*   91981 */     GIR_EraseRootFromParent_Done,
     /*   91982 */   // Label 1462: @91982
     /*   91982 */   GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(92071), // Rule ID 70458 //
     /*   91987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92002 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92021 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92023 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92030 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92069 */     GIR_RootConstrainSelectedInstOperands,
     /*   92070 */     // GIR_Coverage, 70458,
     /*   92070 */     GIR_EraseRootFromParent_Done,
     /*   92071 */   // Label 1463: @92071
     /*   92071 */   GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(92160), // Rule ID 51814 //
     /*   92076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92091 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92110 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92119 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92158 */     GIR_RootConstrainSelectedInstOperands,
     /*   92159 */     // GIR_Coverage, 51814,
     /*   92159 */     GIR_EraseRootFromParent_Done,
     /*   92160 */   // Label 1464: @92160
     /*   92160 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(92249), // Rule ID 51815 //
     /*   92165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92199 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92201 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92206 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92208 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92247 */     GIR_RootConstrainSelectedInstOperands,
     /*   92248 */     // GIR_Coverage, 51815,
     /*   92248 */     GIR_EraseRootFromParent_Done,
     /*   92249 */   // Label 1465: @92249
     /*   92249 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(92338), // Rule ID 51514 //
     /*   92254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92269 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92276 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92280 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92284 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92288 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92290 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92295 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92297 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   92314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92336 */     GIR_RootConstrainSelectedInstOperands,
     /*   92337 */     // GIR_Coverage, 51514,
     /*   92337 */     GIR_EraseRootFromParent_Done,
     /*   92338 */   // Label 1466: @92338
     /*   92338 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(92427), // Rule ID 51515 //
     /*   92343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92373 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92377 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92379 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92384 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92386 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   92403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92425 */     GIR_RootConstrainSelectedInstOperands,
     /*   92426 */     // GIR_Coverage, 51515,
     /*   92426 */     GIR_EraseRootFromParent_Done,
     /*   92427 */   // Label 1467: @92427
     /*   92427 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(92516), // Rule ID 51754 //
     /*   92432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92447 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92466 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92468 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92475 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92514 */     GIR_RootConstrainSelectedInstOperands,
     /*   92515 */     // GIR_Coverage, 51754,
     /*   92515 */     GIR_EraseRootFromParent_Done,
     /*   92516 */   // Label 1468: @92516
     /*   92516 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(92605), // Rule ID 51755 //
     /*   92521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92551 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92555 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92557 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92564 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92603 */     GIR_RootConstrainSelectedInstOperands,
     /*   92604 */     // GIR_Coverage, 51755,
     /*   92604 */     GIR_EraseRootFromParent_Done,
     /*   92605 */   // Label 1469: @92605
     /*   92605 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(92694), // Rule ID 51694 //
     /*   92610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92625 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92632 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92636 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92640 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92644 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92646 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92651 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92653 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92692 */     GIR_RootConstrainSelectedInstOperands,
     /*   92693 */     // GIR_Coverage, 51694,
     /*   92693 */     GIR_EraseRootFromParent_Done,
     /*   92694 */   // Label 1470: @92694
     /*   92694 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(92783), // Rule ID 51695 //
     /*   92699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92714 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92733 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92735 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92742 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92781 */     GIR_RootConstrainSelectedInstOperands,
     /*   92782 */     // GIR_Coverage, 51695,
     /*   92782 */     GIR_EraseRootFromParent_Done,
     /*   92783 */   // Label 1471: @92783
     /*   92783 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(92872), // Rule ID 70517 //
     /*   92788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92803 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92822 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92829 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92831 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92870 */     GIR_RootConstrainSelectedInstOperands,
     /*   92871 */     // GIR_Coverage, 70517,
     /*   92871 */     GIR_EraseRootFromParent_Done,
     /*   92872 */   // Label 1472: @92872
     /*   92872 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(92961), // Rule ID 70518 //
     /*   92877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92892 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92911 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92913 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92920 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92959 */     GIR_RootConstrainSelectedInstOperands,
     /*   92960 */     // GIR_Coverage, 70518,
     /*   92960 */     GIR_EraseRootFromParent_Done,
     /*   92961 */   // Label 1473: @92961
     /*   92961 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(93050), // Rule ID 51574 //
     /*   92966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92981 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   93000 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93002 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93009 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   93012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   93026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93048 */     GIR_RootConstrainSelectedInstOperands,
     /*   93049 */     // GIR_Coverage, 51574,
     /*   93049 */     GIR_EraseRootFromParent_Done,
     /*   93050 */   // Label 1474: @93050
     /*   93050 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(93139), // Rule ID 51575 //
     /*   93055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   93070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   93089 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93091 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93096 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93098 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   93101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   93115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93137 */     GIR_RootConstrainSelectedInstOperands,
     /*   93138 */     // GIR_Coverage, 51575,
     /*   93138 */     GIR_EraseRootFromParent_Done,
     /*   93139 */   // Label 1475: @93139
     /*   93139 */   GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(93192), // Rule ID 50888 //
     /*   93144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93155 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   93158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   93172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   93179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   93181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93190 */     GIR_RootConstrainSelectedInstOperands,
     /*   93191 */     // GIR_Coverage, 50888,
     /*   93191 */     GIR_EraseRootFromParent_Done,
     /*   93192 */   // Label 1476: @93192
     /*   93192 */   GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(93245), // Rule ID 50889 //
     /*   93197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93208 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   93211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   93225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   93232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   93234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93243 */     GIR_RootConstrainSelectedInstOperands,
     /*   93244 */     // GIR_Coverage, 50889,
     /*   93244 */     GIR_EraseRootFromParent_Done,
     /*   93245 */   // Label 1477: @93245
     /*   93245 */   GIM_Reject,
     /*   93246 */ // Label 1457: @93246
     /*   93246 */ GIM_Reject,
     /*   93247 */ // Label 1304: @93247
     /*   93247 */ GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(94971),
     /*   93252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   93255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   93258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   93262 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(93351), // Rule ID 51658 //
     /*   93267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93282 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93301 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93303 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93308 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93310 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93349 */     GIR_RootConstrainSelectedInstOperands,
     /*   93350 */     // GIR_Coverage, 51658,
     /*   93350 */     GIR_EraseRootFromParent_Done,
     /*   93351 */   // Label 1479: @93351
     /*   93351 */   GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(93440), // Rule ID 51659 //
     /*   93356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93371 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93390 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93392 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93397 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93399 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93438 */     GIR_RootConstrainSelectedInstOperands,
     /*   93439 */     // GIR_Coverage, 51659,
     /*   93439 */     GIR_EraseRootFromParent_Done,
     /*   93440 */   // Label 1480: @93440
     /*   93440 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(93529), // Rule ID 70601 //
     /*   93445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93460 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93479 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93488 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93527 */     GIR_RootConstrainSelectedInstOperands,
     /*   93528 */     // GIR_Coverage, 70601,
     /*   93528 */     GIR_EraseRootFromParent_Done,
     /*   93529 */   // Label 1481: @93529
     /*   93529 */   GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(93618), // Rule ID 70602 //
     /*   93534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93549 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93556 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93560 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93564 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93568 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93577 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93616 */     GIR_RootConstrainSelectedInstOperands,
     /*   93617 */     // GIR_Coverage, 70602,
     /*   93617 */     GIR_EraseRootFromParent_Done,
     /*   93618 */   // Label 1482: @93618
     /*   93618 */   GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(93707), // Rule ID 70481 //
     /*   93623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93638 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93653 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93657 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93659 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93664 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93666 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93705 */     GIR_RootConstrainSelectedInstOperands,
     /*   93706 */     // GIR_Coverage, 70481,
     /*   93706 */     GIR_EraseRootFromParent_Done,
     /*   93707 */   // Label 1483: @93707
     /*   93707 */   GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(93796), // Rule ID 70482 //
     /*   93712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93727 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93746 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93753 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93755 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93794 */     GIR_RootConstrainSelectedInstOperands,
     /*   93795 */     // GIR_Coverage, 70482,
     /*   93795 */     GIR_EraseRootFromParent_Done,
     /*   93796 */   // Label 1484: @93796
     /*   93796 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(93885), // Rule ID 51838 //
     /*   93801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93816 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93831 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93835 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93837 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93842 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93844 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93883 */     GIR_RootConstrainSelectedInstOperands,
     /*   93884 */     // GIR_Coverage, 51838,
     /*   93884 */     GIR_EraseRootFromParent_Done,
     /*   93885 */   // Label 1485: @93885
     /*   93885 */   GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(93974), // Rule ID 51839 //
     /*   93890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93905 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93924 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93926 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93931 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93933 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93972 */     GIR_RootConstrainSelectedInstOperands,
     /*   93973 */     // GIR_Coverage, 51839,
     /*   93973 */     GIR_EraseRootFromParent_Done,
     /*   93974 */   // Label 1486: @93974
     /*   93974 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(94063), // Rule ID 51538 //
     /*   93979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93994 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94013 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94015 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94020 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94022 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   94039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94061 */     GIR_RootConstrainSelectedInstOperands,
     /*   94062 */     // GIR_Coverage, 51538,
     /*   94062 */     GIR_EraseRootFromParent_Done,
     /*   94063 */   // Label 1487: @94063
     /*   94063 */   GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(94152), // Rule ID 51539 //
     /*   94068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94083 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94102 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94104 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94109 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94111 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   94128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94150 */     GIR_RootConstrainSelectedInstOperands,
     /*   94151 */     // GIR_Coverage, 51539,
     /*   94151 */     GIR_EraseRootFromParent_Done,
     /*   94152 */   // Label 1488: @94152
     /*   94152 */   GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(94241), // Rule ID 51778 //
     /*   94157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94172 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94191 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94193 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94198 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94200 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94239 */     GIR_RootConstrainSelectedInstOperands,
     /*   94240 */     // GIR_Coverage, 51778,
     /*   94240 */     GIR_EraseRootFromParent_Done,
     /*   94241 */   // Label 1489: @94241
     /*   94241 */   GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(94330), // Rule ID 51779 //
     /*   94246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94280 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94282 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94287 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94289 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94328 */     GIR_RootConstrainSelectedInstOperands,
     /*   94329 */     // GIR_Coverage, 51779,
     /*   94329 */     GIR_EraseRootFromParent_Done,
     /*   94330 */   // Label 1490: @94330
     /*   94330 */   GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(94419), // Rule ID 51718 //
     /*   94335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94350 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94369 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94378 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94417 */     GIR_RootConstrainSelectedInstOperands,
     /*   94418 */     // GIR_Coverage, 51718,
     /*   94418 */     GIR_EraseRootFromParent_Done,
     /*   94419 */   // Label 1491: @94419
     /*   94419 */   GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(94508), // Rule ID 51719 //
     /*   94424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94439 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94458 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94467 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94506 */     GIR_RootConstrainSelectedInstOperands,
     /*   94507 */     // GIR_Coverage, 51719,
     /*   94507 */     GIR_EraseRootFromParent_Done,
     /*   94508 */   // Label 1492: @94508
     /*   94508 */   GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(94597), // Rule ID 70541 //
     /*   94513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94547 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94556 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94595 */     GIR_RootConstrainSelectedInstOperands,
     /*   94596 */     // GIR_Coverage, 70541,
     /*   94596 */     GIR_EraseRootFromParent_Done,
     /*   94597 */   // Label 1493: @94597
     /*   94597 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(94686), // Rule ID 70542 //
     /*   94602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94636 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94638 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94645 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94684 */     GIR_RootConstrainSelectedInstOperands,
     /*   94685 */     // GIR_Coverage, 70542,
     /*   94685 */     GIR_EraseRootFromParent_Done,
     /*   94686 */   // Label 1494: @94686
     /*   94686 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(94775), // Rule ID 51598 //
     /*   94691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94725 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94734 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94773 */     GIR_RootConstrainSelectedInstOperands,
     /*   94774 */     // GIR_Coverage, 51598,
     /*   94774 */     GIR_EraseRootFromParent_Done,
     /*   94775 */   // Label 1495: @94775
     /*   94775 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(94864), // Rule ID 51599 //
     /*   94780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94814 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94823 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94862 */     GIR_RootConstrainSelectedInstOperands,
     /*   94863 */     // GIR_Coverage, 51599,
     /*   94863 */     GIR_EraseRootFromParent_Done,
     /*   94864 */   // Label 1496: @94864
     /*   94864 */   GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(94917), // Rule ID 50924 //
     /*   94869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94880 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   94880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   94912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94915 */     GIR_RootConstrainSelectedInstOperands,
     /*   94916 */     // GIR_Coverage, 50924,
     /*   94916 */     GIR_EraseRootFromParent_Done,
     /*   94917 */   // Label 1497: @94917
     /*   94917 */   GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(94970), // Rule ID 50925 //
     /*   94922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94933 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   94933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   94965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94968 */     GIR_RootConstrainSelectedInstOperands,
     /*   94969 */     // GIR_Coverage, 50925,
     /*   94969 */     GIR_EraseRootFromParent_Done,
     /*   94970 */   // Label 1498: @94970
     /*   94970 */   GIM_Reject,
     /*   94971 */ // Label 1478: @94971
     /*   94971 */ GIM_Reject,
     /*   94972 */ // Label 1305: @94972
     /*   94972 */ GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(96696),
     /*   94977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   94980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   94983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   94987 */   GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(95076), // Rule ID 51678 //
     /*   94992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   94995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95007 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95026 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95028 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95033 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95035 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95074 */     GIR_RootConstrainSelectedInstOperands,
     /*   95075 */     // GIR_Coverage, 51678,
     /*   95075 */     GIR_EraseRootFromParent_Done,
     /*   95076 */   // Label 1500: @95076
     /*   95076 */   GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(95165), // Rule ID 51679 //
     /*   95081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95115 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95124 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95163 */     GIR_RootConstrainSelectedInstOperands,
     /*   95164 */     // GIR_Coverage, 51679,
     /*   95164 */     GIR_EraseRootFromParent_Done,
     /*   95165 */   // Label 1501: @95165
     /*   95165 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(95254), // Rule ID 70621 //
     /*   95170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95185 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95204 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95206 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95211 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95213 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95252 */     GIR_RootConstrainSelectedInstOperands,
     /*   95253 */     // GIR_Coverage, 70621,
     /*   95253 */     GIR_EraseRootFromParent_Done,
     /*   95254 */   // Label 1502: @95254
     /*   95254 */   GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(95343), // Rule ID 70622 //
     /*   95259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95274 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95293 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95295 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95300 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95302 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95341 */     GIR_RootConstrainSelectedInstOperands,
     /*   95342 */     // GIR_Coverage, 70622,
     /*   95342 */     GIR_EraseRootFromParent_Done,
     /*   95343 */   // Label 1503: @95343
     /*   95343 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(95432), // Rule ID 70501 //
     /*   95348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95363 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95382 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95391 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95430 */     GIR_RootConstrainSelectedInstOperands,
     /*   95431 */     // GIR_Coverage, 70501,
     /*   95431 */     GIR_EraseRootFromParent_Done,
     /*   95432 */   // Label 1504: @95432
     /*   95432 */   GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(95521), // Rule ID 70502 //
     /*   95437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95471 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95480 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95519 */     GIR_RootConstrainSelectedInstOperands,
     /*   95520 */     // GIR_Coverage, 70502,
     /*   95520 */     GIR_EraseRootFromParent_Done,
     /*   95521 */   // Label 1505: @95521
     /*   95521 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(95610), // Rule ID 51858 //
     /*   95526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95560 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95569 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95608 */     GIR_RootConstrainSelectedInstOperands,
     /*   95609 */     // GIR_Coverage, 51858,
     /*   95609 */     GIR_EraseRootFromParent_Done,
     /*   95610 */   // Label 1506: @95610
     /*   95610 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(95699), // Rule ID 51859 //
     /*   95615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95630 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95649 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95658 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95697 */     GIR_RootConstrainSelectedInstOperands,
     /*   95698 */     // GIR_Coverage, 51859,
     /*   95698 */     GIR_EraseRootFromParent_Done,
     /*   95699 */   // Label 1507: @95699
     /*   95699 */   GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(95788), // Rule ID 51558 //
     /*   95704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95719 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95734 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95738 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95747 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95786 */     GIR_RootConstrainSelectedInstOperands,
     /*   95787 */     // GIR_Coverage, 51558,
     /*   95787 */     GIR_EraseRootFromParent_Done,
     /*   95788 */   // Label 1508: @95788
     /*   95788 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(95877), // Rule ID 51559 //
     /*   95793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95827 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95829 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95836 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95875 */     GIR_RootConstrainSelectedInstOperands,
     /*   95876 */     // GIR_Coverage, 51559,
     /*   95876 */     GIR_EraseRootFromParent_Done,
     /*   95877 */   // Label 1509: @95877
     /*   95877 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(95966), // Rule ID 51798 //
     /*   95882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95897 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95916 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95918 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95923 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95925 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95964 */     GIR_RootConstrainSelectedInstOperands,
     /*   95965 */     // GIR_Coverage, 51798,
     /*   95965 */     GIR_EraseRootFromParent_Done,
     /*   95966 */   // Label 1510: @95966
     /*   95966 */   GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(96055), // Rule ID 51799 //
     /*   95971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95986 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96005 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96007 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96012 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96014 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   96031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96053 */     GIR_RootConstrainSelectedInstOperands,
     /*   96054 */     // GIR_Coverage, 51799,
     /*   96054 */     GIR_EraseRootFromParent_Done,
     /*   96055 */   // Label 1511: @96055
     /*   96055 */   GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(96144), // Rule ID 51738 //
     /*   96060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96075 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96090 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96094 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96096 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96101 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96103 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   96120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96142 */     GIR_RootConstrainSelectedInstOperands,
     /*   96143 */     // GIR_Coverage, 51738,
     /*   96143 */     GIR_EraseRootFromParent_Done,
     /*   96144 */   // Label 1512: @96144
     /*   96144 */   GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(96233), // Rule ID 51739 //
     /*   96149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96164 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96171 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96175 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96179 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96183 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96185 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96190 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96192 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   96209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96231 */     GIR_RootConstrainSelectedInstOperands,
     /*   96232 */     // GIR_Coverage, 51739,
     /*   96232 */     GIR_EraseRootFromParent_Done,
     /*   96233 */   // Label 1513: @96233
     /*   96233 */   GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(96322), // Rule ID 70561 //
     /*   96238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96253 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96272 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96274 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96279 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96281 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   96298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96320 */     GIR_RootConstrainSelectedInstOperands,
     /*   96321 */     // GIR_Coverage, 70561,
     /*   96321 */     GIR_EraseRootFromParent_Done,
     /*   96322 */   // Label 1514: @96322
     /*   96322 */   GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(96411), // Rule ID 70562 //
     /*   96327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96342 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96361 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96363 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96368 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96370 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   96387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96409 */     GIR_RootConstrainSelectedInstOperands,
     /*   96410 */     // GIR_Coverage, 70562,
     /*   96410 */     GIR_EraseRootFromParent_Done,
     /*   96411 */   // Label 1515: @96411
     /*   96411 */   GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(96500), // Rule ID 51618 //
     /*   96416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96446 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96450 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96452 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96459 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   96476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96498 */     GIR_RootConstrainSelectedInstOperands,
     /*   96499 */     // GIR_Coverage, 51618,
     /*   96499 */     GIR_EraseRootFromParent_Done,
     /*   96500 */   // Label 1516: @96500
     /*   96500 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(96589), // Rule ID 51619 //
     /*   96505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96539 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96548 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   96565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96587 */     GIR_RootConstrainSelectedInstOperands,
     /*   96588 */     // GIR_Coverage, 51619,
     /*   96588 */     GIR_EraseRootFromParent_Done,
     /*   96589 */   // Label 1517: @96589
     /*   96589 */   GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(96642), // Rule ID 50940 //
     /*   96594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   96597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96605 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   96605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   96622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   96637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96640 */     GIR_RootConstrainSelectedInstOperands,
     /*   96641 */     // GIR_Coverage, 50940,
     /*   96641 */     GIR_EraseRootFromParent_Done,
     /*   96642 */   // Label 1518: @96642
     /*   96642 */   GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(96695), // Rule ID 50941 //
     /*   96647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   96650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96658 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   96658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   96675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   96690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96693 */     GIR_RootConstrainSelectedInstOperands,
     /*   96694 */     // GIR_Coverage, 50941,
     /*   96694 */     GIR_EraseRootFromParent_Done,
     /*   96695 */   // Label 1519: @96695
     /*   96695 */   GIM_Reject,
     /*   96696 */ // Label 1499: @96696
     /*   96696 */ GIM_Reject,
     /*   96697 */ // Label 1306: @96697
     /*   96697 */ GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(96811),
     /*   96702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96705 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   96708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96716 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96720 */   GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(96765), // Rule ID 50884 //
     /*   96725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   96728 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   96728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   96731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   96745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96763 */     GIR_RootConstrainSelectedInstOperands,
     /*   96764 */     // GIR_Coverage, 50884,
     /*   96764 */     GIR_EraseRootFromParent_Done,
     /*   96765 */   // Label 1521: @96765
     /*   96765 */   GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(96810), // Rule ID 50885 //
     /*   96770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   96773 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   96773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   96776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   96790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96808 */     GIR_RootConstrainSelectedInstOperands,
     /*   96809 */     // GIR_Coverage, 50885,
     /*   96809 */     GIR_EraseRootFromParent_Done,
     /*   96810 */   // Label 1522: @96810
     /*   96810 */   GIM_Reject,
     /*   96811 */ // Label 1520: @96811
     /*   96811 */ GIM_Reject,
     /*   96812 */ // Label 1307: @96812
     /*   96812 */ GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(98536),
     /*   96817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   96820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   96823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96827 */   GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(96916), // Rule ID 51638 //
     /*   96832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   96835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96866 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96868 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96875 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   96875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   96892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96914 */     GIR_RootConstrainSelectedInstOperands,
     /*   96915 */     // GIR_Coverage, 51638,
     /*   96915 */     GIR_EraseRootFromParent_Done,
     /*   96916 */   // Label 1524: @96916
     /*   96916 */   GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(97005), // Rule ID 51639 //
     /*   96921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   96924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96955 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96957 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96964 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   96964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   96981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97003 */     GIR_RootConstrainSelectedInstOperands,
     /*   97004 */     // GIR_Coverage, 51639,
     /*   97004 */     GIR_EraseRootFromParent_Done,
     /*   97005 */   // Label 1525: @97005
     /*   97005 */   GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(97094), // Rule ID 70581 //
     /*   97010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97044 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97046 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97053 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97092 */     GIR_RootConstrainSelectedInstOperands,
     /*   97093 */     // GIR_Coverage, 70581,
     /*   97093 */     GIR_EraseRootFromParent_Done,
     /*   97094 */   // Label 1526: @97094
     /*   97094 */   GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(97183), // Rule ID 70582 //
     /*   97099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97133 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97135 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97140 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97142 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97181 */     GIR_RootConstrainSelectedInstOperands,
     /*   97182 */     // GIR_Coverage, 70582,
     /*   97182 */     GIR_EraseRootFromParent_Done,
     /*   97183 */   // Label 1527: @97183
     /*   97183 */   GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(97272), // Rule ID 70461 //
     /*   97188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97203 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97222 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97224 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97229 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97231 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97270 */     GIR_RootConstrainSelectedInstOperands,
     /*   97271 */     // GIR_Coverage, 70461,
     /*   97271 */     GIR_EraseRootFromParent_Done,
     /*   97272 */   // Label 1528: @97272
     /*   97272 */   GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(97361), // Rule ID 70462 //
     /*   97277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97311 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97320 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97359 */     GIR_RootConstrainSelectedInstOperands,
     /*   97360 */     // GIR_Coverage, 70462,
     /*   97360 */     GIR_EraseRootFromParent_Done,
     /*   97361 */   // Label 1529: @97361
     /*   97361 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(97450), // Rule ID 51818 //
     /*   97366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97400 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97402 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97409 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97448 */     GIR_RootConstrainSelectedInstOperands,
     /*   97449 */     // GIR_Coverage, 51818,
     /*   97449 */     GIR_EraseRootFromParent_Done,
     /*   97450 */   // Label 1530: @97450
     /*   97450 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(97539), // Rule ID 51819 //
     /*   97455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97489 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97491 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97496 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97498 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97537 */     GIR_RootConstrainSelectedInstOperands,
     /*   97538 */     // GIR_Coverage, 51819,
     /*   97538 */     GIR_EraseRootFromParent_Done,
     /*   97539 */   // Label 1531: @97539
     /*   97539 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(97628), // Rule ID 51518 //
     /*   97544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97578 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97580 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97585 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97587 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   97604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97626 */     GIR_RootConstrainSelectedInstOperands,
     /*   97627 */     // GIR_Coverage, 51518,
     /*   97627 */     GIR_EraseRootFromParent_Done,
     /*   97628 */   // Label 1532: @97628
     /*   97628 */   GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(97717), // Rule ID 51519 //
     /*   97633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97648 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97655 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97659 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97663 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97667 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97676 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   97693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97715 */     GIR_RootConstrainSelectedInstOperands,
     /*   97716 */     // GIR_Coverage, 51519,
     /*   97716 */     GIR_EraseRootFromParent_Done,
     /*   97717 */   // Label 1533: @97717
     /*   97717 */   GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(97806), // Rule ID 51758 //
     /*   97722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97737 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97739 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97756 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97758 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97763 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97765 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97804 */     GIR_RootConstrainSelectedInstOperands,
     /*   97805 */     // GIR_Coverage, 51758,
     /*   97805 */     GIR_EraseRootFromParent_Done,
     /*   97806 */   // Label 1534: @97806
     /*   97806 */   GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(97895), // Rule ID 51759 //
     /*   97811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97833 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97837 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97841 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97845 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97847 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97852 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97854 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97893 */     GIR_RootConstrainSelectedInstOperands,
     /*   97894 */     // GIR_Coverage, 51759,
     /*   97894 */     GIR_EraseRootFromParent_Done,
     /*   97895 */   // Label 1535: @97895
     /*   97895 */   GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(97984), // Rule ID 51698 //
     /*   97900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97915 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97934 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97936 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97943 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97982 */     GIR_RootConstrainSelectedInstOperands,
     /*   97983 */     // GIR_Coverage, 51698,
     /*   97983 */     GIR_EraseRootFromParent_Done,
     /*   97984 */   // Label 1536: @97984
     /*   97984 */   GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(98073), // Rule ID 51699 //
     /*   97989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98004 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98023 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98030 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98032 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   98049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98071 */     GIR_RootConstrainSelectedInstOperands,
     /*   98072 */     // GIR_Coverage, 51699,
     /*   98072 */     GIR_EraseRootFromParent_Done,
     /*   98073 */   // Label 1537: @98073
     /*   98073 */   GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(98162), // Rule ID 70521 //
     /*   98078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98093 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98108 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98112 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98114 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98119 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98121 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   98138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98160 */     GIR_RootConstrainSelectedInstOperands,
     /*   98161 */     // GIR_Coverage, 70521,
     /*   98161 */     GIR_EraseRootFromParent_Done,
     /*   98162 */   // Label 1538: @98162
     /*   98162 */   GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(98251), // Rule ID 70522 //
     /*   98167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98182 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98184 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98197 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98201 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98203 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98208 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98210 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   98227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98249 */     GIR_RootConstrainSelectedInstOperands,
     /*   98250 */     // GIR_Coverage, 70522,
     /*   98250 */     GIR_EraseRootFromParent_Done,
     /*   98251 */   // Label 1539: @98251
     /*   98251 */   GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(98340), // Rule ID 51578 //
     /*   98256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98290 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98292 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98297 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98299 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   98316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98338 */     GIR_RootConstrainSelectedInstOperands,
     /*   98339 */     // GIR_Coverage, 51578,
     /*   98339 */     GIR_EraseRootFromParent_Done,
     /*   98340 */   // Label 1540: @98340
     /*   98340 */   GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(98429), // Rule ID 51579 //
     /*   98345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98379 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98381 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98388 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   98405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98427 */     GIR_RootConstrainSelectedInstOperands,
     /*   98428 */     // GIR_Coverage, 51579,
     /*   98428 */     GIR_EraseRootFromParent_Done,
     /*   98429 */   // Label 1541: @98429
     /*   98429 */   GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(98482), // Rule ID 50912 //
     /*   98434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98445 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   98462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   98469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   98471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98480 */     GIR_RootConstrainSelectedInstOperands,
     /*   98481 */     // GIR_Coverage, 50912,
     /*   98481 */     GIR_EraseRootFromParent_Done,
     /*   98482 */   // Label 1542: @98482
     /*   98482 */   GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(98535), // Rule ID 50913 //
     /*   98487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98498 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   98515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   98522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   98524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98533 */     GIR_RootConstrainSelectedInstOperands,
     /*   98534 */     // GIR_Coverage, 50913,
     /*   98534 */     GIR_EraseRootFromParent_Done,
     /*   98535 */   // Label 1543: @98535
     /*   98535 */   GIM_Reject,
     /*   98536 */ // Label 1523: @98536
     /*   98536 */ GIM_Reject,
     /*   98537 */ // Label 1308: @98537
     /*   98537 */ GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(100261),
     /*   98542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   98545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   98548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   98552 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(98641), // Rule ID 51662 //
     /*   98557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98572 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98591 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98593 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98598 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98600 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98639 */     GIR_RootConstrainSelectedInstOperands,
     /*   98640 */     // GIR_Coverage, 51662,
     /*   98640 */     GIR_EraseRootFromParent_Done,
     /*   98641 */   // Label 1545: @98641
     /*   98641 */   GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(98730), // Rule ID 51663 //
     /*   98646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98680 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98682 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98687 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98689 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98728 */     GIR_RootConstrainSelectedInstOperands,
     /*   98729 */     // GIR_Coverage, 51663,
     /*   98729 */     GIR_EraseRootFromParent_Done,
     /*   98730 */   // Label 1546: @98730
     /*   98730 */   GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(98819), // Rule ID 70605 //
     /*   98735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98769 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98771 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98776 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98778 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98817 */     GIR_RootConstrainSelectedInstOperands,
     /*   98818 */     // GIR_Coverage, 70605,
     /*   98818 */     GIR_EraseRootFromParent_Done,
     /*   98819 */   // Label 1547: @98819
     /*   98819 */   GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(98908), // Rule ID 70606 //
     /*   98824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98839 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98858 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98867 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98906 */     GIR_RootConstrainSelectedInstOperands,
     /*   98907 */     // GIR_Coverage, 70606,
     /*   98907 */     GIR_EraseRootFromParent_Done,
     /*   98908 */   // Label 1548: @98908
     /*   98908 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(98997), // Rule ID 70485 //
     /*   98913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98928 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98935 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98939 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98943 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98947 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98949 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98956 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98995 */     GIR_RootConstrainSelectedInstOperands,
     /*   98996 */     // GIR_Coverage, 70485,
     /*   98996 */     GIR_EraseRootFromParent_Done,
     /*   98997 */   // Label 1549: @98997
     /*   98997 */   GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(99086), // Rule ID 70486 //
     /*   99002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99017 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99036 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99038 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99045 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99084 */     GIR_RootConstrainSelectedInstOperands,
     /*   99085 */     // GIR_Coverage, 70486,
     /*   99085 */     GIR_EraseRootFromParent_Done,
     /*   99086 */   // Label 1550: @99086
     /*   99086 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(99175), // Rule ID 51842 //
     /*   99091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99125 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99134 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99173 */     GIR_RootConstrainSelectedInstOperands,
     /*   99174 */     // GIR_Coverage, 51842,
     /*   99174 */     GIR_EraseRootFromParent_Done,
     /*   99175 */   // Label 1551: @99175
     /*   99175 */   GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(99264), // Rule ID 51843 //
     /*   99180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99195 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99214 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99221 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99223 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99262 */     GIR_RootConstrainSelectedInstOperands,
     /*   99263 */     // GIR_Coverage, 51843,
     /*   99263 */     GIR_EraseRootFromParent_Done,
     /*   99264 */   // Label 1552: @99264
     /*   99264 */   GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(99353), // Rule ID 51542 //
     /*   99269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99284 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99303 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99305 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99310 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99312 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   99329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99351 */     GIR_RootConstrainSelectedInstOperands,
     /*   99352 */     // GIR_Coverage, 51542,
     /*   99352 */     GIR_EraseRootFromParent_Done,
     /*   99353 */   // Label 1553: @99353
     /*   99353 */   GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(99442), // Rule ID 51543 //
     /*   99358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99373 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99380 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99384 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99388 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99392 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99394 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99399 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99401 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   99418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99440 */     GIR_RootConstrainSelectedInstOperands,
     /*   99441 */     // GIR_Coverage, 51543,
     /*   99441 */     GIR_EraseRootFromParent_Done,
     /*   99442 */   // Label 1554: @99442
     /*   99442 */   GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(99531), // Rule ID 51782 //
     /*   99447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99481 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99483 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99488 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99490 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99529 */     GIR_RootConstrainSelectedInstOperands,
     /*   99530 */     // GIR_Coverage, 51782,
     /*   99530 */     GIR_EraseRootFromParent_Done,
     /*   99531 */   // Label 1555: @99531
     /*   99531 */   GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(99620), // Rule ID 51783 //
     /*   99536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99570 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99579 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99618 */     GIR_RootConstrainSelectedInstOperands,
     /*   99619 */     // GIR_Coverage, 51783,
     /*   99619 */     GIR_EraseRootFromParent_Done,
     /*   99620 */   // Label 1556: @99620
     /*   99620 */   GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(99709), // Rule ID 51722 //
     /*   99625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99640 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99655 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99659 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99661 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99668 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99707 */     GIR_RootConstrainSelectedInstOperands,
     /*   99708 */     // GIR_Coverage, 51722,
     /*   99708 */     GIR_EraseRootFromParent_Done,
     /*   99709 */   // Label 1557: @99709
     /*   99709 */   GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(99798), // Rule ID 51723 //
     /*   99714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99729 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99748 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99750 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99757 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99796 */     GIR_RootConstrainSelectedInstOperands,
     /*   99797 */     // GIR_Coverage, 51723,
     /*   99797 */     GIR_EraseRootFromParent_Done,
     /*   99798 */   // Label 1558: @99798
     /*   99798 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(99887), // Rule ID 70545 //
     /*   99803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99833 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99837 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99839 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99844 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99846 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99885 */     GIR_RootConstrainSelectedInstOperands,
     /*   99886 */     // GIR_Coverage, 70545,
     /*   99886 */     GIR_EraseRootFromParent_Done,
     /*   99887 */   // Label 1559: @99887
     /*   99887 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(99976), // Rule ID 70546 //
     /*   99892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99926 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99933 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99935 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99974 */     GIR_RootConstrainSelectedInstOperands,
     /*   99975 */     // GIR_Coverage, 70546,
     /*   99975 */     GIR_EraseRootFromParent_Done,
     /*   99976 */   // Label 1560: @99976
     /*   99976 */   GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(100065), // Rule ID 51602 //
     /*   99981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99996 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  100003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  100015 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100017 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  100022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100024 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  100027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  100041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100063 */     GIR_RootConstrainSelectedInstOperands,
     /*  100064 */     // GIR_Coverage, 51602,
     /*  100064 */     GIR_EraseRootFromParent_Done,
     /*  100065 */   // Label 1561: @100065
     /*  100065 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(100154), // Rule ID 51603 //
     /*  100070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  100085 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  100092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100100 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  100104 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  100111 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100113 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  100116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  100130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100152 */     GIR_RootConstrainSelectedInstOperands,
     /*  100153 */     // GIR_Coverage, 51603,
     /*  100153 */     GIR_EraseRootFromParent_Done,
     /*  100154 */   // Label 1562: @100154
     /*  100154 */   GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(100207), // Rule ID 50928 //
     /*  100159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100170 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  100173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  100187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  100194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  100196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100205 */     GIR_RootConstrainSelectedInstOperands,
     /*  100206 */     // GIR_Coverage, 50928,
     /*  100206 */     GIR_EraseRootFromParent_Done,
     /*  100207 */   // Label 1563: @100207
     /*  100207 */   GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(100260), // Rule ID 50929 //
     /*  100212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100223 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  100226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  100240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  100247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  100249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100258 */     GIR_RootConstrainSelectedInstOperands,
     /*  100259 */     // GIR_Coverage, 50929,
     /*  100259 */     GIR_EraseRootFromParent_Done,
     /*  100260 */   // Label 1564: @100260
     /*  100260 */   GIM_Reject,
     /*  100261 */ // Label 1544: @100261
     /*  100261 */ GIM_Reject,
     /*  100262 */ // Label 1309: @100262
     /*  100262 */ GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(101986),
     /*  100267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  100270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  100273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  100277 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(100366), // Rule ID 51682 //
     /*  100282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100297 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100316 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100325 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100364 */     GIR_RootConstrainSelectedInstOperands,
     /*  100365 */     // GIR_Coverage, 51682,
     /*  100365 */     GIR_EraseRootFromParent_Done,
     /*  100366 */   // Label 1566: @100366
     /*  100366 */   GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(100455), // Rule ID 51683 //
     /*  100371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100386 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100405 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100407 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100412 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100414 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100453 */     GIR_RootConstrainSelectedInstOperands,
     /*  100454 */     // GIR_Coverage, 51683,
     /*  100454 */     GIR_EraseRootFromParent_Done,
     /*  100455 */   // Label 1567: @100455
     /*  100455 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(100544), // Rule ID 70625 //
     /*  100460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100503 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100542 */     GIR_RootConstrainSelectedInstOperands,
     /*  100543 */     // GIR_Coverage, 70625,
     /*  100543 */     GIR_EraseRootFromParent_Done,
     /*  100544 */   // Label 1568: @100544
     /*  100544 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(100633), // Rule ID 70626 //
     /*  100549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100583 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100592 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100631 */     GIR_RootConstrainSelectedInstOperands,
     /*  100632 */     // GIR_Coverage, 70626,
     /*  100632 */     GIR_EraseRootFromParent_Done,
     /*  100633 */   // Label 1569: @100633
     /*  100633 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(100722), // Rule ID 70505 //
     /*  100638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100672 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100681 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100720 */     GIR_RootConstrainSelectedInstOperands,
     /*  100721 */     // GIR_Coverage, 70505,
     /*  100721 */     GIR_EraseRootFromParent_Done,
     /*  100722 */   // Label 1570: @100722
     /*  100722 */   GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(100811), // Rule ID 70506 //
     /*  100727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100761 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100770 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100809 */     GIR_RootConstrainSelectedInstOperands,
     /*  100810 */     // GIR_Coverage, 70506,
     /*  100810 */     GIR_EraseRootFromParent_Done,
     /*  100811 */   // Label 1571: @100811
     /*  100811 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(100900), // Rule ID 51862 //
     /*  100816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100859 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100898 */     GIR_RootConstrainSelectedInstOperands,
     /*  100899 */     // GIR_Coverage, 51862,
     /*  100899 */     GIR_EraseRootFromParent_Done,
     /*  100900 */   // Label 1572: @100900
     /*  100900 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(100989), // Rule ID 51863 //
     /*  100905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100948 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100987 */     GIR_RootConstrainSelectedInstOperands,
     /*  100988 */     // GIR_Coverage, 51863,
     /*  100988 */     GIR_EraseRootFromParent_Done,
     /*  100989 */   // Label 1573: @100989
     /*  100989 */   GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(101078), // Rule ID 51562 //
     /*  100994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101009 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101024 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101028 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101030 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101037 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  101054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101076 */     GIR_RootConstrainSelectedInstOperands,
     /*  101077 */     // GIR_Coverage, 51562,
     /*  101077 */     GIR_EraseRootFromParent_Done,
     /*  101078 */   // Label 1574: @101078
     /*  101078 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(101167), // Rule ID 51563 //
     /*  101083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101098 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101105 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101109 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101113 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101117 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101119 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101126 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  101143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101165 */     GIR_RootConstrainSelectedInstOperands,
     /*  101166 */     // GIR_Coverage, 51563,
     /*  101166 */     GIR_EraseRootFromParent_Done,
     /*  101167 */   // Label 1575: @101167
     /*  101167 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(101256), // Rule ID 51802 //
     /*  101172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101187 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101206 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101208 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101215 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101254 */     GIR_RootConstrainSelectedInstOperands,
     /*  101255 */     // GIR_Coverage, 51802,
     /*  101255 */     GIR_EraseRootFromParent_Done,
     /*  101256 */   // Label 1576: @101256
     /*  101256 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(101345), // Rule ID 51803 //
     /*  101261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101291 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101295 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101297 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101304 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101343 */     GIR_RootConstrainSelectedInstOperands,
     /*  101344 */     // GIR_Coverage, 51803,
     /*  101344 */     GIR_EraseRootFromParent_Done,
     /*  101345 */   // Label 1577: @101345
     /*  101345 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(101434), // Rule ID 51742 //
     /*  101350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101384 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101391 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101393 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101432 */     GIR_RootConstrainSelectedInstOperands,
     /*  101433 */     // GIR_Coverage, 51742,
     /*  101433 */     GIR_EraseRootFromParent_Done,
     /*  101434 */   // Label 1578: @101434
     /*  101434 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(101523), // Rule ID 51743 //
     /*  101439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101454 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101456 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101461 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101465 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101469 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101473 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101475 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101480 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101482 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101521 */     GIR_RootConstrainSelectedInstOperands,
     /*  101522 */     // GIR_Coverage, 51743,
     /*  101522 */     GIR_EraseRootFromParent_Done,
     /*  101523 */   // Label 1579: @101523
     /*  101523 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(101612), // Rule ID 70565 //
     /*  101528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101543 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101558 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101562 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101564 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101569 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101571 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101610 */     GIR_RootConstrainSelectedInstOperands,
     /*  101611 */     // GIR_Coverage, 70565,
     /*  101611 */     GIR_EraseRootFromParent_Done,
     /*  101612 */   // Label 1580: @101612
     /*  101612 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(101701), // Rule ID 70566 //
     /*  101617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101632 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101651 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101653 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101658 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101660 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101699 */     GIR_RootConstrainSelectedInstOperands,
     /*  101700 */     // GIR_Coverage, 70566,
     /*  101700 */     GIR_EraseRootFromParent_Done,
     /*  101701 */   // Label 1581: @101701
     /*  101701 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(101790), // Rule ID 51622 //
     /*  101706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101740 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101742 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101747 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101749 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101788 */     GIR_RootConstrainSelectedInstOperands,
     /*  101789 */     // GIR_Coverage, 51622,
     /*  101789 */     GIR_EraseRootFromParent_Done,
     /*  101790 */   // Label 1582: @101790
     /*  101790 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(101879), // Rule ID 51623 //
     /*  101795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101829 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101831 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101838 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101877 */     GIR_RootConstrainSelectedInstOperands,
     /*  101878 */     // GIR_Coverage, 51623,
     /*  101878 */     GIR_EraseRootFromParent_Done,
     /*  101879 */   // Label 1583: @101879
     /*  101879 */   GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(101932), // Rule ID 50944 //
     /*  101884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  101887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101895 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  101895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  101927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101930 */     GIR_RootConstrainSelectedInstOperands,
     /*  101931 */     // GIR_Coverage, 50944,
     /*  101931 */     GIR_EraseRootFromParent_Done,
     /*  101932 */   // Label 1584: @101932
     /*  101932 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(101985), // Rule ID 50945 //
     /*  101937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  101940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101948 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  101948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  101980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101983 */     GIR_RootConstrainSelectedInstOperands,
     /*  101984 */     // GIR_Coverage, 50945,
     /*  101984 */     GIR_EraseRootFromParent_Done,
     /*  101985 */   // Label 1585: @101985
     /*  101985 */   GIM_Reject,
     /*  101986 */ // Label 1565: @101986
     /*  101986 */ GIM_Reject,
     /*  101987 */ // Label 1310: @101987
     /*  101987 */ GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(102101),
     /*  101992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  101995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  101998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102010 */   GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(102055), // Rule ID 50900 //
     /*  102015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102018 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  102021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  102035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  102042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  102044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102053 */     GIR_RootConstrainSelectedInstOperands,
     /*  102054 */     // GIR_Coverage, 50900,
     /*  102054 */     GIR_EraseRootFromParent_Done,
     /*  102055 */   // Label 1587: @102055
     /*  102055 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(102100), // Rule ID 50901 //
     /*  102060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102063 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  102066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  102080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  102087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  102089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102098 */     GIR_RootConstrainSelectedInstOperands,
     /*  102099 */     // GIR_Coverage, 50901,
     /*  102099 */     GIR_EraseRootFromParent_Done,
     /*  102100 */   // Label 1588: @102100
     /*  102100 */   GIM_Reject,
     /*  102101 */ // Label 1586: @102101
     /*  102101 */ GIM_Reject,
     /*  102102 */ // Label 1311: @102102
     /*  102102 */ GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(103826),
     /*  102107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  102110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  102113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102117 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(102206), // Rule ID 51642 //
     /*  102122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102137 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102156 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102163 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102165 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102204 */     GIR_RootConstrainSelectedInstOperands,
     /*  102205 */     // GIR_Coverage, 51642,
     /*  102205 */     GIR_EraseRootFromParent_Done,
     /*  102206 */   // Label 1590: @102206
     /*  102206 */   GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(102295), // Rule ID 51643 //
     /*  102211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102226 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102245 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102247 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102252 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102254 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102293 */     GIR_RootConstrainSelectedInstOperands,
     /*  102294 */     // GIR_Coverage, 51643,
     /*  102294 */     GIR_EraseRootFromParent_Done,
     /*  102295 */   // Label 1591: @102295
     /*  102295 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(102384), // Rule ID 70585 //
     /*  102300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102315 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102334 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102336 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102343 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102382 */     GIR_RootConstrainSelectedInstOperands,
     /*  102383 */     // GIR_Coverage, 70585,
     /*  102383 */     GIR_EraseRootFromParent_Done,
     /*  102384 */   // Label 1592: @102384
     /*  102384 */   GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(102473), // Rule ID 70586 //
     /*  102389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102404 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102411 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102415 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102419 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102423 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102425 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102430 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102432 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102471 */     GIR_RootConstrainSelectedInstOperands,
     /*  102472 */     // GIR_Coverage, 70586,
     /*  102472 */     GIR_EraseRootFromParent_Done,
     /*  102473 */   // Label 1593: @102473
     /*  102473 */   GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(102562), // Rule ID 70465 //
     /*  102478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102493 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102495 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102512 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102521 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102560 */     GIR_RootConstrainSelectedInstOperands,
     /*  102561 */     // GIR_Coverage, 70465,
     /*  102561 */     GIR_EraseRootFromParent_Done,
     /*  102562 */   // Label 1594: @102562
     /*  102562 */   GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(102651), // Rule ID 70466 //
     /*  102567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102582 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102597 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102601 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102603 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102608 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102610 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102649 */     GIR_RootConstrainSelectedInstOperands,
     /*  102650 */     // GIR_Coverage, 70466,
     /*  102650 */     GIR_EraseRootFromParent_Done,
     /*  102651 */   // Label 1595: @102651
     /*  102651 */   GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(102740), // Rule ID 51822 //
     /*  102656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102671 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102678 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102682 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102686 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102690 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102697 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102699 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102738 */     GIR_RootConstrainSelectedInstOperands,
     /*  102739 */     // GIR_Coverage, 51822,
     /*  102739 */     GIR_EraseRootFromParent_Done,
     /*  102740 */   // Label 1596: @102740
     /*  102740 */   GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(102829), // Rule ID 51823 //
     /*  102745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102760 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102762 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102775 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102779 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102781 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102786 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102788 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102827 */     GIR_RootConstrainSelectedInstOperands,
     /*  102828 */     // GIR_Coverage, 51823,
     /*  102828 */     GIR_EraseRootFromParent_Done,
     /*  102829 */   // Label 1597: @102829
     /*  102829 */   GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(102918), // Rule ID 51522 //
     /*  102834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102849 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102868 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102877 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  102894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102916 */     GIR_RootConstrainSelectedInstOperands,
     /*  102917 */     // GIR_Coverage, 51522,
     /*  102917 */     GIR_EraseRootFromParent_Done,
     /*  102918 */   // Label 1598: @102918
     /*  102918 */   GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(103007), // Rule ID 51523 //
     /*  102923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102938 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102957 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102966 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  102983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103005 */     GIR_RootConstrainSelectedInstOperands,
     /*  103006 */     // GIR_Coverage, 51523,
     /*  103006 */     GIR_EraseRootFromParent_Done,
     /*  103007 */   // Label 1599: @103007
     /*  103007 */   GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(103096), // Rule ID 51762 //
     /*  103012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103027 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103042 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103046 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103048 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103053 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103055 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  103072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103094 */     GIR_RootConstrainSelectedInstOperands,
     /*  103095 */     // GIR_Coverage, 51762,
     /*  103095 */     GIR_EraseRootFromParent_Done,
     /*  103096 */   // Label 1600: @103096
     /*  103096 */   GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(103185), // Rule ID 51763 //
     /*  103101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103135 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103137 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103144 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  103161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103183 */     GIR_RootConstrainSelectedInstOperands,
     /*  103184 */     // GIR_Coverage, 51763,
     /*  103184 */     GIR_EraseRootFromParent_Done,
     /*  103185 */   // Label 1601: @103185
     /*  103185 */   GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(103274), // Rule ID 51702 //
     /*  103190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103205 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103224 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103231 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103233 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103272 */     GIR_RootConstrainSelectedInstOperands,
     /*  103273 */     // GIR_Coverage, 51702,
     /*  103273 */     GIR_EraseRootFromParent_Done,
     /*  103274 */   // Label 1602: @103274
     /*  103274 */   GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(103363), // Rule ID 51703 //
     /*  103279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103294 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103313 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103315 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103322 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103361 */     GIR_RootConstrainSelectedInstOperands,
     /*  103362 */     // GIR_Coverage, 51703,
     /*  103362 */     GIR_EraseRootFromParent_Done,
     /*  103363 */   // Label 1603: @103363
     /*  103363 */   GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(103452), // Rule ID 70525 //
     /*  103368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103383 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103398 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103402 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103409 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103411 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  103428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  103437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  103441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103450 */     GIR_RootConstrainSelectedInstOperands,
     /*  103451 */     // GIR_Coverage, 70525,
     /*  103451 */     GIR_EraseRootFromParent_Done,
     /*  103452 */   // Label 1604: @103452
     /*  103452 */   GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(103541), // Rule ID 70526 //
     /*  103457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103472 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103487 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103491 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103493 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103498 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103500 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  103517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  103526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  103530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103539 */     GIR_RootConstrainSelectedInstOperands,
     /*  103540 */     // GIR_Coverage, 70526,
     /*  103540 */     GIR_EraseRootFromParent_Done,
     /*  103541 */   // Label 1605: @103541
     /*  103541 */   GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(103630), // Rule ID 51582 //
     /*  103546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103561 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103580 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103582 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103587 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103589 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103628 */     GIR_RootConstrainSelectedInstOperands,
     /*  103629 */     // GIR_Coverage, 51582,
     /*  103629 */     GIR_EraseRootFromParent_Done,
     /*  103630 */   // Label 1606: @103630
     /*  103630 */   GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(103719), // Rule ID 51583 //
     /*  103635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103669 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103678 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103717 */     GIR_RootConstrainSelectedInstOperands,
     /*  103718 */     // GIR_Coverage, 51583,
     /*  103718 */     GIR_EraseRootFromParent_Done,
     /*  103719 */   // Label 1607: @103719
     /*  103719 */   GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(103772), // Rule ID 50916 //
     /*  103724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103735 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  103752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103770 */     GIR_RootConstrainSelectedInstOperands,
     /*  103771 */     // GIR_Coverage, 50916,
     /*  103771 */     GIR_EraseRootFromParent_Done,
     /*  103772 */   // Label 1608: @103772
     /*  103772 */   GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(103825), // Rule ID 50917 //
     /*  103777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103788 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  103805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103823 */     GIR_RootConstrainSelectedInstOperands,
     /*  103824 */     // GIR_Coverage, 50917,
     /*  103824 */     GIR_EraseRootFromParent_Done,
     /*  103825 */   // Label 1609: @103825
     /*  103825 */   GIM_Reject,
     /*  103826 */ // Label 1589: @103826
     /*  103826 */ GIM_Reject,
     /*  103827 */ // Label 1312: @103827
     /*  103827 */ GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(105551),
     /*  103832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  103835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  103838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103842 */   GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(103931), // Rule ID 51666 //
     /*  103847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103862 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103869 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103873 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103877 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103881 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103883 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103888 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103890 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  103893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  103907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103929 */     GIR_RootConstrainSelectedInstOperands,
     /*  103930 */     // GIR_Coverage, 51666,
     /*  103930 */     GIR_EraseRootFromParent_Done,
     /*  103931 */   // Label 1611: @103931
     /*  103931 */   GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(104020), // Rule ID 51667 //
     /*  103936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103966 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103970 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103972 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103977 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103979 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  103982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  103996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104018 */     GIR_RootConstrainSelectedInstOperands,
     /*  104019 */     // GIR_Coverage, 51667,
     /*  104019 */     GIR_EraseRootFromParent_Done,
     /*  104020 */   // Label 1612: @104020
     /*  104020 */   GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(104109), // Rule ID 70609 //
     /*  104025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104059 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104061 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104068 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  104094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  104098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104107 */     GIR_RootConstrainSelectedInstOperands,
     /*  104108 */     // GIR_Coverage, 70609,
     /*  104108 */     GIR_EraseRootFromParent_Done,
     /*  104109 */   // Label 1613: @104109
     /*  104109 */   GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(104198), // Rule ID 70610 //
     /*  104114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104129 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104148 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104155 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104157 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  104183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  104187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104196 */     GIR_RootConstrainSelectedInstOperands,
     /*  104197 */     // GIR_Coverage, 70610,
     /*  104197 */     GIR_EraseRootFromParent_Done,
     /*  104198 */   // Label 1614: @104198
     /*  104198 */   GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(104287), // Rule ID 70489 //
     /*  104203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104218 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104237 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104239 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104244 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104246 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  104272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  104276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104285 */     GIR_RootConstrainSelectedInstOperands,
     /*  104286 */     // GIR_Coverage, 70489,
     /*  104286 */     GIR_EraseRootFromParent_Done,
     /*  104287 */   // Label 1615: @104287
     /*  104287 */   GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(104376), // Rule ID 70490 //
     /*  104292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104307 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104326 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104328 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104335 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  104361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  104365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104374 */     GIR_RootConstrainSelectedInstOperands,
     /*  104375 */     // GIR_Coverage, 70490,
     /*  104375 */     GIR_EraseRootFromParent_Done,
     /*  104376 */   // Label 1616: @104376
     /*  104376 */   GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(104465), // Rule ID 51846 //
     /*  104381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104415 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104424 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104463 */     GIR_RootConstrainSelectedInstOperands,
     /*  104464 */     // GIR_Coverage, 51846,
     /*  104464 */     GIR_EraseRootFromParent_Done,
     /*  104465 */   // Label 1617: @104465
     /*  104465 */   GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(104554), // Rule ID 51847 //
     /*  104470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104513 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104552 */     GIR_RootConstrainSelectedInstOperands,
     /*  104553 */     // GIR_Coverage, 51847,
     /*  104553 */     GIR_EraseRootFromParent_Done,
     /*  104554 */   // Label 1618: @104554
     /*  104554 */   GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(104643), // Rule ID 51546 //
     /*  104559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104574 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104593 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104602 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  104619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104641 */     GIR_RootConstrainSelectedInstOperands,
     /*  104642 */     // GIR_Coverage, 51546,
     /*  104642 */     GIR_EraseRootFromParent_Done,
     /*  104643 */   // Label 1619: @104643
     /*  104643 */   GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(104732), // Rule ID 51547 //
     /*  104648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104663 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104682 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104691 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  104708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104730 */     GIR_RootConstrainSelectedInstOperands,
     /*  104731 */     // GIR_Coverage, 51547,
     /*  104731 */     GIR_EraseRootFromParent_Done,
     /*  104732 */   // Label 1620: @104732
     /*  104732 */   GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(104821), // Rule ID 51786 //
     /*  104737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104767 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104771 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104773 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104778 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104780 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104819 */     GIR_RootConstrainSelectedInstOperands,
     /*  104820 */     // GIR_Coverage, 51786,
     /*  104820 */     GIR_EraseRootFromParent_Done,
     /*  104821 */   // Label 1621: @104821
     /*  104821 */   GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(104910), // Rule ID 51787 //
     /*  104826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104860 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104862 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104867 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104869 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104908 */     GIR_RootConstrainSelectedInstOperands,
     /*  104909 */     // GIR_Coverage, 51787,
     /*  104909 */     GIR_EraseRootFromParent_Done,
     /*  104910 */   // Label 1622: @104910
     /*  104910 */   GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(104999), // Rule ID 51726 //
     /*  104915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104930 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104949 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104951 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104956 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104958 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104997 */     GIR_RootConstrainSelectedInstOperands,
     /*  104998 */     // GIR_Coverage, 51726,
     /*  104998 */     GIR_EraseRootFromParent_Done,
     /*  104999 */   // Label 1623: @104999
     /*  104999 */   GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(105088), // Rule ID 51727 //
     /*  105004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105019 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105038 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105040 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105045 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105047 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105086 */     GIR_RootConstrainSelectedInstOperands,
     /*  105087 */     // GIR_Coverage, 51727,
     /*  105087 */     GIR_EraseRootFromParent_Done,
     /*  105088 */   // Label 1624: @105088
     /*  105088 */   GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(105177), // Rule ID 70549 //
     /*  105093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105108 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  105123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105127 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105136 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105175 */     GIR_RootConstrainSelectedInstOperands,
     /*  105176 */     // GIR_Coverage, 70549,
     /*  105176 */     GIR_EraseRootFromParent_Done,
     /*  105177 */   // Label 1625: @105177
     /*  105177 */   GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(105266), // Rule ID 70550 //
     /*  105182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105197 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  105212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105216 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105218 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105223 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105225 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105264 */     GIR_RootConstrainSelectedInstOperands,
     /*  105265 */     // GIR_Coverage, 70550,
     /*  105265 */     GIR_EraseRootFromParent_Done,
     /*  105266 */   // Label 1626: @105266
     /*  105266 */   GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(105355), // Rule ID 51606 //
     /*  105271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105286 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105305 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105307 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105312 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105314 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105353 */     GIR_RootConstrainSelectedInstOperands,
     /*  105354 */     // GIR_Coverage, 51606,
     /*  105354 */     GIR_EraseRootFromParent_Done,
     /*  105355 */   // Label 1627: @105355
     /*  105355 */   GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(105444), // Rule ID 51607 //
     /*  105360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105375 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105382 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105386 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105390 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105394 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105396 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105403 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105442 */     GIR_RootConstrainSelectedInstOperands,
     /*  105443 */     // GIR_Coverage, 51607,
     /*  105443 */     GIR_EraseRootFromParent_Done,
     /*  105444 */   // Label 1628: @105444
     /*  105444 */   GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(105497), // Rule ID 50932 //
     /*  105449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105460 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  105477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105495 */     GIR_RootConstrainSelectedInstOperands,
     /*  105496 */     // GIR_Coverage, 50932,
     /*  105496 */     GIR_EraseRootFromParent_Done,
     /*  105497 */   // Label 1629: @105497
     /*  105497 */   GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(105550), // Rule ID 50933 //
     /*  105502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105513 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  105530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105548 */     GIR_RootConstrainSelectedInstOperands,
     /*  105549 */     // GIR_Coverage, 50933,
     /*  105549 */     GIR_EraseRootFromParent_Done,
     /*  105550 */   // Label 1630: @105550
     /*  105550 */   GIM_Reject,
     /*  105551 */ // Label 1610: @105551
     /*  105551 */ GIM_Reject,
     /*  105552 */ // Label 1313: @105552
     /*  105552 */ GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(105666),
     /*  105557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  105563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105575 */   GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(105620), // Rule ID 50904 //
     /*  105580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105583 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  105600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105618 */     GIR_RootConstrainSelectedInstOperands,
     /*  105619 */     // GIR_Coverage, 50904,
     /*  105619 */     GIR_EraseRootFromParent_Done,
     /*  105620 */   // Label 1632: @105620
     /*  105620 */   GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(105665), // Rule ID 50905 //
     /*  105625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105628 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  105645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105663 */     GIR_RootConstrainSelectedInstOperands,
     /*  105664 */     // GIR_Coverage, 50905,
     /*  105664 */     GIR_EraseRootFromParent_Done,
     /*  105665 */   // Label 1633: @105665
     /*  105665 */   GIM_Reject,
     /*  105666 */ // Label 1631: @105666
     /*  105666 */ GIM_Reject,
     /*  105667 */ // Label 1314: @105667
     /*  105667 */ GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(107391),
     /*  105672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  105675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  105678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105682 */   GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(105771), // Rule ID 51646 //
     /*  105687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105702 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105721 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105723 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105728 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105730 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105769 */     GIR_RootConstrainSelectedInstOperands,
     /*  105770 */     // GIR_Coverage, 51646,
     /*  105770 */     GIR_EraseRootFromParent_Done,
     /*  105771 */   // Label 1635: @105771
     /*  105771 */   GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(105860), // Rule ID 51647 //
     /*  105776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105810 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105812 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105817 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105819 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105858 */     GIR_RootConstrainSelectedInstOperands,
     /*  105859 */     // GIR_Coverage, 51647,
     /*  105859 */     GIR_EraseRootFromParent_Done,
     /*  105860 */   // Label 1636: @105860
     /*  105860 */   GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(105949), // Rule ID 70589 //
     /*  105865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105880 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  105895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105899 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105908 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105947 */     GIR_RootConstrainSelectedInstOperands,
     /*  105948 */     // GIR_Coverage, 70589,
     /*  105948 */     GIR_EraseRootFromParent_Done,
     /*  105949 */   // Label 1637: @105949
     /*  105949 */   GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(106038), // Rule ID 70590 //
     /*  105954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105969 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  105984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105988 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105990 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105997 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  106023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  106027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106036 */     GIR_RootConstrainSelectedInstOperands,
     /*  106037 */     // GIR_Coverage, 70590,
     /*  106037 */     GIR_EraseRootFromParent_Done,
     /*  106038 */   // Label 1638: @106038
     /*  106038 */   GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(106127), // Rule ID 70469 //
     /*  106043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106058 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106077 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106079 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106084 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106086 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  106103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  106112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  106116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106125 */     GIR_RootConstrainSelectedInstOperands,
     /*  106126 */     // GIR_Coverage, 70469,
     /*  106126 */     GIR_EraseRootFromParent_Done,
     /*  106127 */   // Label 1639: @106127
     /*  106127 */   GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(106216), // Rule ID 70470 //
     /*  106132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106147 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106166 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106175 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  106192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  106201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  106205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106214 */     GIR_RootConstrainSelectedInstOperands,
     /*  106215 */     // GIR_Coverage, 70470,
     /*  106215 */     GIR_EraseRootFromParent_Done,
     /*  106216 */   // Label 1640: @106216
     /*  106216 */   GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(106305), // Rule ID 51826 //
     /*  106221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106236 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106255 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106264 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106303 */     GIR_RootConstrainSelectedInstOperands,
     /*  106304 */     // GIR_Coverage, 51826,
     /*  106304 */     GIR_EraseRootFromParent_Done,
     /*  106305 */   // Label 1641: @106305
     /*  106305 */   GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(106394), // Rule ID 51827 //
     /*  106310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106325 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106344 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106353 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106392 */     GIR_RootConstrainSelectedInstOperands,
     /*  106393 */     // GIR_Coverage, 51827,
     /*  106393 */     GIR_EraseRootFromParent_Done,
     /*  106394 */   // Label 1642: @106394
     /*  106394 */   GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(106483), // Rule ID 51526 //
     /*  106399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106414 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106421 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106425 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106429 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106433 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106435 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106440 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106442 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  106459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106481 */     GIR_RootConstrainSelectedInstOperands,
     /*  106482 */     // GIR_Coverage, 51526,
     /*  106482 */     GIR_EraseRootFromParent_Done,
     /*  106483 */   // Label 1643: @106483
     /*  106483 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(106572), // Rule ID 51527 //
     /*  106488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106503 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106522 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106531 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  106548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106570 */     GIR_RootConstrainSelectedInstOperands,
     /*  106571 */     // GIR_Coverage, 51527,
     /*  106571 */     GIR_EraseRootFromParent_Done,
     /*  106572 */   // Label 1644: @106572
     /*  106572 */   GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(106661), // Rule ID 51766 //
     /*  106577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106592 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106611 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106620 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106659 */     GIR_RootConstrainSelectedInstOperands,
     /*  106660 */     // GIR_Coverage, 51766,
     /*  106660 */     GIR_EraseRootFromParent_Done,
     /*  106661 */   // Label 1645: @106661
     /*  106661 */   GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(106750), // Rule ID 51767 //
     /*  106666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106700 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106707 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106709 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106748 */     GIR_RootConstrainSelectedInstOperands,
     /*  106749 */     // GIR_Coverage, 51767,
     /*  106749 */     GIR_EraseRootFromParent_Done,
     /*  106750 */   // Label 1646: @106750
     /*  106750 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(106839), // Rule ID 51706 //
     /*  106755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106789 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106791 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106796 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106798 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  106815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106837 */     GIR_RootConstrainSelectedInstOperands,
     /*  106838 */     // GIR_Coverage, 51706,
     /*  106838 */     GIR_EraseRootFromParent_Done,
     /*  106839 */   // Label 1647: @106839
     /*  106839 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(106928), // Rule ID 51707 //
     /*  106844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106859 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106887 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  106904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106926 */     GIR_RootConstrainSelectedInstOperands,
     /*  106927 */     // GIR_Coverage, 51707,
     /*  106927 */     GIR_EraseRootFromParent_Done,
     /*  106928 */   // Label 1648: @106928
     /*  106928 */   GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(107017), // Rule ID 70529 //
     /*  106933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106948 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106967 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106976 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  107002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  107006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107015 */     GIR_RootConstrainSelectedInstOperands,
     /*  107016 */     // GIR_Coverage, 70529,
     /*  107016 */     GIR_EraseRootFromParent_Done,
     /*  107017 */   // Label 1649: @107017
     /*  107017 */   GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(107106), // Rule ID 70530 //
     /*  107022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  107029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  107033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  107037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  107039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  107048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  107052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  107056 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  107058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  107065 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  107082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  107091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  107095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107104 */     GIR_RootConstrainSelectedInstOperands,
     /*  107105 */     // GIR_Coverage, 70530,
     /*  107105 */     GIR_EraseRootFromParent_Done,
     /*  107106 */   // Label 1650: @107106
     /*  107106 */   GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(107195), // Rule ID 51586 //
     /*  107111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  107118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  107122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  107126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  107128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  107137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  107141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  107145 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  107147 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  107154 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  107171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  107180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  107184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107193 */     GIR_RootConstrainSelectedInstOperands,
     /*  107194 */     // GIR_Coverage, 51586,
     /*  107194 */     GIR_EraseRootFromParent_Done,
     /*  107195 */   // Label 1651: @107195
     /*  107195 */   GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(107284), // Rule ID 51587 //
     /*  107200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  107207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  107211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  107215 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  107217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  107226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  107230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  107234 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  107236 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107241 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  107243 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  107260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  107269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  107273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107282 */     GIR_RootConstrainSelectedInstOperands,
     /*  107283 */     // GIR_Coverage, 51587,
     /*  107283 */     GIR_EraseRootFromParent_Done,
     /*  107284 */   // Label 1652: @107284
     /*  107284 */   GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(107337), // Rule ID 50920 //
     /*  107289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107300 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107335 */     GIR_RootConstrainSelectedInstOperands,
     /*  107336 */     // GIR_Coverage, 50920,
     /*  107336 */     GIR_EraseRootFromParent_Done,
     /*  107337 */   // Label 1653: @107337
     /*  107337 */   GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(107390), // Rule ID 50921 //
     /*  107342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107353 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107388 */     GIR_RootConstrainSelectedInstOperands,
     /*  107389 */     // GIR_Coverage, 50921,
     /*  107389 */     GIR_EraseRootFromParent_Done,
     /*  107390 */   // Label 1654: @107390
     /*  107390 */   GIM_Reject,
     /*  107391 */ // Label 1634: @107391
     /*  107391 */ GIM_Reject,
     /*  107392 */ // Label 1315: @107392
     /*  107392 */ GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(107506),
     /*  107397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  107400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  107403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107411 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107415 */   GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(107460), // Rule ID 50908 //
     /*  107420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107423 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  107426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107458 */     GIR_RootConstrainSelectedInstOperands,
     /*  107459 */     // GIR_Coverage, 50908,
     /*  107459 */     GIR_EraseRootFromParent_Done,
     /*  107460 */   // Label 1656: @107460
     /*  107460 */   GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(107505), // Rule ID 50909 //
     /*  107465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107468 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  107471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107503 */     GIR_RootConstrainSelectedInstOperands,
     /*  107504 */     // GIR_Coverage, 50909,
     /*  107504 */     GIR_EraseRootFromParent_Done,
     /*  107505 */   // Label 1657: @107505
     /*  107505 */   GIM_Reject,
     /*  107506 */ // Label 1655: @107506
     /*  107506 */ GIM_Reject,
     /*  107507 */ // Label 1316: @107507
     /*  107507 */ GIM_Reject,
     /*  107508 */ // Label 3: @107508
     /*  107508 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1682*/ GIMT_Encode4(110241),
     /*  107519 */ /*GILLT_s32*//*Label 1658*/ GIMT_Encode4(107643),
     /*  107523 */ /*GILLT_s64*//*Label 1659*/ GIMT_Encode4(107677), GIMT_Encode4(0),
     /*  107531 */ /*GILLT_nxv1s8*//*Label 1660*/ GIMT_Encode4(107711),
     /*  107535 */ /*GILLT_nxv1s16*//*Label 1661*/ GIMT_Encode4(107826),
     /*  107539 */ /*GILLT_nxv1s32*//*Label 1662*/ GIMT_Encode4(107941),
     /*  107543 */ /*GILLT_nxv1s64*//*Label 1663*/ GIMT_Encode4(108056), GIMT_Encode4(0),
     /*  107551 */ /*GILLT_nxv2s8*//*Label 1664*/ GIMT_Encode4(108171),
     /*  107555 */ /*GILLT_nxv2s16*//*Label 1665*/ GIMT_Encode4(108286),
     /*  107559 */ /*GILLT_nxv2s32*//*Label 1666*/ GIMT_Encode4(108401),
     /*  107563 */ /*GILLT_nxv2s64*//*Label 1667*/ GIMT_Encode4(108516), GIMT_Encode4(0),
     /*  107571 */ /*GILLT_nxv4s8*//*Label 1668*/ GIMT_Encode4(108631),
     /*  107575 */ /*GILLT_nxv4s16*//*Label 1669*/ GIMT_Encode4(108746),
     /*  107579 */ /*GILLT_nxv4s32*//*Label 1670*/ GIMT_Encode4(108861),
     /*  107583 */ /*GILLT_nxv4s64*//*Label 1671*/ GIMT_Encode4(108976), GIMT_Encode4(0),
     /*  107591 */ /*GILLT_nxv8s8*//*Label 1672*/ GIMT_Encode4(109091),
     /*  107595 */ /*GILLT_nxv8s16*//*Label 1673*/ GIMT_Encode4(109206),
     /*  107599 */ /*GILLT_nxv8s32*//*Label 1674*/ GIMT_Encode4(109321),
     /*  107603 */ /*GILLT_nxv8s64*//*Label 1675*/ GIMT_Encode4(109436), GIMT_Encode4(0),
     /*  107611 */ /*GILLT_nxv16s8*//*Label 1676*/ GIMT_Encode4(109551),
     /*  107615 */ /*GILLT_nxv16s16*//*Label 1677*/ GIMT_Encode4(109666),
     /*  107619 */ /*GILLT_nxv16s32*//*Label 1678*/ GIMT_Encode4(109781), GIMT_Encode4(0),
     /*  107627 */ /*GILLT_nxv32s8*//*Label 1679*/ GIMT_Encode4(109896),
     /*  107631 */ /*GILLT_nxv32s16*//*Label 1680*/ GIMT_Encode4(110011), GIMT_Encode4(0),
     /*  107639 */ /*GILLT_nxv64s8*//*Label 1681*/ GIMT_Encode4(110126),
     /*  107643 */ // Label 1658: @107643
     /*  107643 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(107676), // Rule ID 310 //
     /*  107648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  107651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  107654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  107657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107669 */   // (sdiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107669 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  107674 */   GIR_RootConstrainSelectedInstOperands,
     /*  107675 */   // GIR_Coverage, 310,
     /*  107675 */   GIR_Done,
     /*  107676 */ // Label 1683: @107676
     /*  107676 */ GIM_Reject,
     /*  107677 */ // Label 1659: @107677
     /*  107677 */ GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(107710), // Rule ID 309 //
     /*  107682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  107685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  107688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  107691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107703 */   // (sdiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107703 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  107708 */   GIR_RootConstrainSelectedInstOperands,
     /*  107709 */   // GIR_Coverage, 309,
     /*  107709 */   GIR_Done,
     /*  107710 */ // Label 1684: @107710
     /*  107710 */ GIM_Reject,
     /*  107711 */ // Label 1660: @107711
     /*  107711 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(107825),
     /*  107716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  107719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  107722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107734 */   GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(107779), // Rule ID 51212 //
     /*  107739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107742 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  107745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  107759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107777 */     GIR_RootConstrainSelectedInstOperands,
     /*  107778 */     // GIR_Coverage, 51212,
     /*  107778 */     GIR_EraseRootFromParent_Done,
     /*  107779 */   // Label 1686: @107779
     /*  107779 */   GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(107824), // Rule ID 51213 //
     /*  107784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107787 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  107790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  107804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107822 */     GIR_RootConstrainSelectedInstOperands,
     /*  107823 */     // GIR_Coverage, 51213,
     /*  107823 */     GIR_EraseRootFromParent_Done,
     /*  107824 */   // Label 1687: @107824
     /*  107824 */   GIM_Reject,
     /*  107825 */ // Label 1685: @107825
     /*  107825 */ GIM_Reject,
     /*  107826 */ // Label 1661: @107826
     /*  107826 */ GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(107940),
     /*  107831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  107834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  107837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107849 */   GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(107894), // Rule ID 51224 //
     /*  107854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107857 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  107860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  107874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107892 */     GIR_RootConstrainSelectedInstOperands,
     /*  107893 */     // GIR_Coverage, 51224,
     /*  107893 */     GIR_EraseRootFromParent_Done,
     /*  107894 */   // Label 1689: @107894
     /*  107894 */   GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(107939), // Rule ID 51225 //
     /*  107899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107902 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  107905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  107919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107937 */     GIR_RootConstrainSelectedInstOperands,
     /*  107938 */     // GIR_Coverage, 51225,
     /*  107938 */     GIR_EraseRootFromParent_Done,
     /*  107939 */   // Label 1690: @107939
     /*  107939 */   GIM_Reject,
     /*  107940 */ // Label 1688: @107940
     /*  107940 */ GIM_Reject,
     /*  107941 */ // Label 1662: @107941
     /*  107941 */ GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(108055),
     /*  107946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  107949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  107952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107964 */   GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(108009), // Rule ID 51232 //
     /*  107969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107972 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  107975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  107989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108007 */     GIR_RootConstrainSelectedInstOperands,
     /*  108008 */     // GIR_Coverage, 51232,
     /*  108008 */     GIR_EraseRootFromParent_Done,
     /*  108009 */   // Label 1692: @108009
     /*  108009 */   GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(108054), // Rule ID 51233 //
     /*  108014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108017 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  108020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  108034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108052 */     GIR_RootConstrainSelectedInstOperands,
     /*  108053 */     // GIR_Coverage, 51233,
     /*  108053 */     GIR_EraseRootFromParent_Done,
     /*  108054 */   // Label 1693: @108054
     /*  108054 */   GIM_Reject,
     /*  108055 */ // Label 1691: @108055
     /*  108055 */ GIM_Reject,
     /*  108056 */ // Label 1663: @108056
     /*  108056 */ GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(108170),
     /*  108061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  108064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  108067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108079 */   GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(108124), // Rule ID 51248 //
     /*  108084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  108087 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  108087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  108090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  108104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108122 */     GIR_RootConstrainSelectedInstOperands,
     /*  108123 */     // GIR_Coverage, 51248,
     /*  108123 */     GIR_EraseRootFromParent_Done,
     /*  108124 */   // Label 1695: @108124
     /*  108124 */   GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(108169), // Rule ID 51249 //
     /*  108129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  108132 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  108132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  108135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  108149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108167 */     GIR_RootConstrainSelectedInstOperands,
     /*  108168 */     // GIR_Coverage, 51249,
     /*  108168 */     GIR_EraseRootFromParent_Done,
     /*  108169 */   // Label 1696: @108169
     /*  108169 */   GIM_Reject,
     /*  108170 */ // Label 1694: @108170
     /*  108170 */ GIM_Reject,
     /*  108171 */ // Label 1664: @108171
     /*  108171 */ GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(108285),
     /*  108176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  108179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  108182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108194 */   GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(108239), // Rule ID 51216 //
     /*  108199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108202 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  108205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  108219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108237 */     GIR_RootConstrainSelectedInstOperands,
     /*  108238 */     // GIR_Coverage, 51216,
     /*  108238 */     GIR_EraseRootFromParent_Done,
     /*  108239 */   // Label 1698: @108239
     /*  108239 */   GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(108284), // Rule ID 51217 //
     /*  108244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108247 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  108250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  108264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108282 */     GIR_RootConstrainSelectedInstOperands,
     /*  108283 */     // GIR_Coverage, 51217,
     /*  108283 */     GIR_EraseRootFromParent_Done,
     /*  108284 */   // Label 1699: @108284
     /*  108284 */   GIM_Reject,
     /*  108285 */ // Label 1697: @108285
     /*  108285 */ GIM_Reject,
     /*  108286 */ // Label 1665: @108286
     /*  108286 */ GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(108400),
     /*  108291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  108294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  108297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108309 */   GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(108354), // Rule ID 51228 //
     /*  108314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108317 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  108320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  108334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108352 */     GIR_RootConstrainSelectedInstOperands,
     /*  108353 */     // GIR_Coverage, 51228,
     /*  108353 */     GIR_EraseRootFromParent_Done,
     /*  108354 */   // Label 1701: @108354
     /*  108354 */   GIM_Try, /*On fail goto*//*Label 1702*/ GIMT_Encode4(108399), // Rule ID 51229 //
     /*  108359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108362 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  108365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  108379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108397 */     GIR_RootConstrainSelectedInstOperands,
     /*  108398 */     // GIR_Coverage, 51229,
     /*  108398 */     GIR_EraseRootFromParent_Done,
     /*  108399 */   // Label 1702: @108399
     /*  108399 */   GIM_Reject,
     /*  108400 */ // Label 1700: @108400
     /*  108400 */ GIM_Reject,
     /*  108401 */ // Label 1666: @108401
     /*  108401 */ GIM_Try, /*On fail goto*//*Label 1703*/ GIMT_Encode4(108515),
     /*  108406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  108409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  108412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108424 */   GIM_Try, /*On fail goto*//*Label 1704*/ GIMT_Encode4(108469), // Rule ID 51244 //
     /*  108429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108432 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  108435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  108449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108467 */     GIR_RootConstrainSelectedInstOperands,
     /*  108468 */     // GIR_Coverage, 51244,
     /*  108468 */     GIR_EraseRootFromParent_Done,
     /*  108469 */   // Label 1704: @108469
     /*  108469 */   GIM_Try, /*On fail goto*//*Label 1705*/ GIMT_Encode4(108514), // Rule ID 51245 //
     /*  108474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108477 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  108480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  108494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108512 */     GIR_RootConstrainSelectedInstOperands,
     /*  108513 */     // GIR_Coverage, 51245,
     /*  108513 */     GIR_EraseRootFromParent_Done,
     /*  108514 */   // Label 1705: @108514
     /*  108514 */   GIM_Reject,
     /*  108515 */ // Label 1703: @108515
     /*  108515 */ GIM_Reject,
     /*  108516 */ // Label 1667: @108516
     /*  108516 */ GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(108630),
     /*  108521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  108524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  108527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108539 */   GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(108584), // Rule ID 51288 //
     /*  108544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  108547 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  108547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  108550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  108564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108582 */     GIR_RootConstrainSelectedInstOperands,
     /*  108583 */     // GIR_Coverage, 51288,
     /*  108583 */     GIR_EraseRootFromParent_Done,
     /*  108584 */   // Label 1707: @108584
     /*  108584 */   GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(108629), // Rule ID 51289 //
     /*  108589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  108592 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  108592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  108595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  108609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108627 */     GIR_RootConstrainSelectedInstOperands,
     /*  108628 */     // GIR_Coverage, 51289,
     /*  108628 */     GIR_EraseRootFromParent_Done,
     /*  108629 */   // Label 1708: @108629
     /*  108629 */   GIM_Reject,
     /*  108630 */ // Label 1706: @108630
     /*  108630 */ GIM_Reject,
     /*  108631 */ // Label 1668: @108631
     /*  108631 */ GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(108745),
     /*  108636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  108639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  108642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108654 */   GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(108699), // Rule ID 51220 //
     /*  108659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108662 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  108665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  108679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108697 */     GIR_RootConstrainSelectedInstOperands,
     /*  108698 */     // GIR_Coverage, 51220,
     /*  108698 */     GIR_EraseRootFromParent_Done,
     /*  108699 */   // Label 1710: @108699
     /*  108699 */   GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(108744), // Rule ID 51221 //
     /*  108704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108707 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  108710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  108724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108742 */     GIR_RootConstrainSelectedInstOperands,
     /*  108743 */     // GIR_Coverage, 51221,
     /*  108743 */     GIR_EraseRootFromParent_Done,
     /*  108744 */   // Label 1711: @108744
     /*  108744 */   GIM_Reject,
     /*  108745 */ // Label 1709: @108745
     /*  108745 */ GIM_Reject,
     /*  108746 */ // Label 1669: @108746
     /*  108746 */ GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(108860),
     /*  108751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  108754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  108757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108769 */   GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(108814), // Rule ID 51240 //
     /*  108774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108777 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  108780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  108794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108812 */     GIR_RootConstrainSelectedInstOperands,
     /*  108813 */     // GIR_Coverage, 51240,
     /*  108813 */     GIR_EraseRootFromParent_Done,
     /*  108814 */   // Label 1713: @108814
     /*  108814 */   GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(108859), // Rule ID 51241 //
     /*  108819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108822 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  108825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  108839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108857 */     GIR_RootConstrainSelectedInstOperands,
     /*  108858 */     // GIR_Coverage, 51241,
     /*  108858 */     GIR_EraseRootFromParent_Done,
     /*  108859 */   // Label 1714: @108859
     /*  108859 */   GIM_Reject,
     /*  108860 */ // Label 1712: @108860
     /*  108860 */ GIM_Reject,
     /*  108861 */ // Label 1670: @108861
     /*  108861 */ GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(108975),
     /*  108866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  108869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  108872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108884 */   GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(108929), // Rule ID 51276 //
     /*  108889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108892 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  108895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  108909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108927 */     GIR_RootConstrainSelectedInstOperands,
     /*  108928 */     // GIR_Coverage, 51276,
     /*  108928 */     GIR_EraseRootFromParent_Done,
     /*  108929 */   // Label 1716: @108929
     /*  108929 */   GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(108974), // Rule ID 51277 //
     /*  108934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108937 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  108940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  108954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108972 */     GIR_RootConstrainSelectedInstOperands,
     /*  108973 */     // GIR_Coverage, 51277,
     /*  108973 */     GIR_EraseRootFromParent_Done,
     /*  108974 */   // Label 1717: @108974
     /*  108974 */   GIM_Reject,
     /*  108975 */ // Label 1715: @108975
     /*  108975 */ GIM_Reject,
     /*  108976 */ // Label 1671: @108976
     /*  108976 */ GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(109090),
     /*  108981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  108984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  108987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108999 */   GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(109044), // Rule ID 51292 //
     /*  109004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109007 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  109010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  109024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109042 */     GIR_RootConstrainSelectedInstOperands,
     /*  109043 */     // GIR_Coverage, 51292,
     /*  109043 */     GIR_EraseRootFromParent_Done,
     /*  109044 */   // Label 1719: @109044
     /*  109044 */   GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(109089), // Rule ID 51293 //
     /*  109049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109052 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  109055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  109069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109087 */     GIR_RootConstrainSelectedInstOperands,
     /*  109088 */     // GIR_Coverage, 51293,
     /*  109088 */     GIR_EraseRootFromParent_Done,
     /*  109089 */   // Label 1720: @109089
     /*  109089 */   GIM_Reject,
     /*  109090 */ // Label 1718: @109090
     /*  109090 */ GIM_Reject,
     /*  109091 */ // Label 1672: @109091
     /*  109091 */ GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(109205),
     /*  109096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  109099 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  109102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109114 */   GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(109159), // Rule ID 51236 //
     /*  109119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109122 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  109125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  109139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109157 */     GIR_RootConstrainSelectedInstOperands,
     /*  109158 */     // GIR_Coverage, 51236,
     /*  109158 */     GIR_EraseRootFromParent_Done,
     /*  109159 */   // Label 1722: @109159
     /*  109159 */   GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(109204), // Rule ID 51237 //
     /*  109164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109167 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  109170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  109184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109202 */     GIR_RootConstrainSelectedInstOperands,
     /*  109203 */     // GIR_Coverage, 51237,
     /*  109203 */     GIR_EraseRootFromParent_Done,
     /*  109204 */   // Label 1723: @109204
     /*  109204 */   GIM_Reject,
     /*  109205 */ // Label 1721: @109205
     /*  109205 */ GIM_Reject,
     /*  109206 */ // Label 1673: @109206
     /*  109206 */ GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(109320),
     /*  109211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  109214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  109217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109229 */   GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(109274), // Rule ID 51264 //
     /*  109234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109237 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  109240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  109254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109272 */     GIR_RootConstrainSelectedInstOperands,
     /*  109273 */     // GIR_Coverage, 51264,
     /*  109273 */     GIR_EraseRootFromParent_Done,
     /*  109274 */   // Label 1725: @109274
     /*  109274 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(109319), // Rule ID 51265 //
     /*  109279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109282 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  109285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  109299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109317 */     GIR_RootConstrainSelectedInstOperands,
     /*  109318 */     // GIR_Coverage, 51265,
     /*  109318 */     GIR_EraseRootFromParent_Done,
     /*  109319 */   // Label 1726: @109319
     /*  109319 */   GIM_Reject,
     /*  109320 */ // Label 1724: @109320
     /*  109320 */ GIM_Reject,
     /*  109321 */ // Label 1674: @109321
     /*  109321 */ GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(109435),
     /*  109326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  109329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  109332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109344 */   GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(109389), // Rule ID 51280 //
     /*  109349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109352 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  109355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  109369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109387 */     GIR_RootConstrainSelectedInstOperands,
     /*  109388 */     // GIR_Coverage, 51280,
     /*  109388 */     GIR_EraseRootFromParent_Done,
     /*  109389 */   // Label 1728: @109389
     /*  109389 */   GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(109434), // Rule ID 51281 //
     /*  109394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109397 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  109400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  109414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109432 */     GIR_RootConstrainSelectedInstOperands,
     /*  109433 */     // GIR_Coverage, 51281,
     /*  109433 */     GIR_EraseRootFromParent_Done,
     /*  109434 */   // Label 1729: @109434
     /*  109434 */   GIM_Reject,
     /*  109435 */ // Label 1727: @109435
     /*  109435 */ GIM_Reject,
     /*  109436 */ // Label 1675: @109436
     /*  109436 */ GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(109550),
     /*  109441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  109444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  109447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109459 */   GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(109504), // Rule ID 51296 //
     /*  109464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109467 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  109470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  109484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109502 */     GIR_RootConstrainSelectedInstOperands,
     /*  109503 */     // GIR_Coverage, 51296,
     /*  109503 */     GIR_EraseRootFromParent_Done,
     /*  109504 */   // Label 1731: @109504
     /*  109504 */   GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(109549), // Rule ID 51297 //
     /*  109509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109512 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  109515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  109529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109547 */     GIR_RootConstrainSelectedInstOperands,
     /*  109548 */     // GIR_Coverage, 51297,
     /*  109548 */     GIR_EraseRootFromParent_Done,
     /*  109549 */   // Label 1732: @109549
     /*  109549 */   GIM_Reject,
     /*  109550 */ // Label 1730: @109550
     /*  109550 */ GIM_Reject,
     /*  109551 */ // Label 1676: @109551
     /*  109551 */ GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(109665),
     /*  109556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  109559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  109562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109574 */   GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(109619), // Rule ID 51252 //
     /*  109579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109582 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  109585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  109599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109617 */     GIR_RootConstrainSelectedInstOperands,
     /*  109618 */     // GIR_Coverage, 51252,
     /*  109618 */     GIR_EraseRootFromParent_Done,
     /*  109619 */   // Label 1734: @109619
     /*  109619 */   GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(109664), // Rule ID 51253 //
     /*  109624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109627 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  109630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  109644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109662 */     GIR_RootConstrainSelectedInstOperands,
     /*  109663 */     // GIR_Coverage, 51253,
     /*  109663 */     GIR_EraseRootFromParent_Done,
     /*  109664 */   // Label 1735: @109664
     /*  109664 */   GIM_Reject,
     /*  109665 */ // Label 1733: @109665
     /*  109665 */ GIM_Reject,
     /*  109666 */ // Label 1677: @109666
     /*  109666 */ GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(109780),
     /*  109671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  109674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  109677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109689 */   GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(109734), // Rule ID 51268 //
     /*  109694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109697 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  109700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  109714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109732 */     GIR_RootConstrainSelectedInstOperands,
     /*  109733 */     // GIR_Coverage, 51268,
     /*  109733 */     GIR_EraseRootFromParent_Done,
     /*  109734 */   // Label 1737: @109734
     /*  109734 */   GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(109779), // Rule ID 51269 //
     /*  109739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109742 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  109745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  109759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109777 */     GIR_RootConstrainSelectedInstOperands,
     /*  109778 */     // GIR_Coverage, 51269,
     /*  109778 */     GIR_EraseRootFromParent_Done,
     /*  109779 */   // Label 1738: @109779
     /*  109779 */   GIM_Reject,
     /*  109780 */ // Label 1736: @109780
     /*  109780 */ GIM_Reject,
     /*  109781 */ // Label 1678: @109781
     /*  109781 */ GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(109895),
     /*  109786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  109789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  109792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109800 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109804 */   GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(109849), // Rule ID 51284 //
     /*  109809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109812 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  109815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  109829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109847 */     GIR_RootConstrainSelectedInstOperands,
     /*  109848 */     // GIR_Coverage, 51284,
     /*  109848 */     GIR_EraseRootFromParent_Done,
     /*  109849 */   // Label 1740: @109849
     /*  109849 */   GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(109894), // Rule ID 51285 //
     /*  109854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109857 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  109860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  109874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109892 */     GIR_RootConstrainSelectedInstOperands,
     /*  109893 */     // GIR_Coverage, 51285,
     /*  109893 */     GIR_EraseRootFromParent_Done,
     /*  109894 */   // Label 1741: @109894
     /*  109894 */   GIM_Reject,
     /*  109895 */ // Label 1739: @109895
     /*  109895 */ GIM_Reject,
     /*  109896 */ // Label 1679: @109896
     /*  109896 */ GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(110010),
     /*  109901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  109904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  109907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109915 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109919 */   GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(109964), // Rule ID 51256 //
     /*  109924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109927 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  109930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  109944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109962 */     GIR_RootConstrainSelectedInstOperands,
     /*  109963 */     // GIR_Coverage, 51256,
     /*  109963 */     GIR_EraseRootFromParent_Done,
     /*  109964 */   // Label 1743: @109964
     /*  109964 */   GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(110009), // Rule ID 51257 //
     /*  109969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109972 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  109975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  109989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110007 */     GIR_RootConstrainSelectedInstOperands,
     /*  110008 */     // GIR_Coverage, 51257,
     /*  110008 */     GIR_EraseRootFromParent_Done,
     /*  110009 */   // Label 1744: @110009
     /*  110009 */   GIM_Reject,
     /*  110010 */ // Label 1742: @110010
     /*  110010 */ GIM_Reject,
     /*  110011 */ // Label 1680: @110011
     /*  110011 */ GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(110125),
     /*  110016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  110019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  110022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110034 */   GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(110079), // Rule ID 51272 //
     /*  110039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110042 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  110045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  110059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110077 */     GIR_RootConstrainSelectedInstOperands,
     /*  110078 */     // GIR_Coverage, 51272,
     /*  110078 */     GIR_EraseRootFromParent_Done,
     /*  110079 */   // Label 1746: @110079
     /*  110079 */   GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(110124), // Rule ID 51273 //
     /*  110084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110087 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  110090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  110104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110122 */     GIR_RootConstrainSelectedInstOperands,
     /*  110123 */     // GIR_Coverage, 51273,
     /*  110123 */     GIR_EraseRootFromParent_Done,
     /*  110124 */   // Label 1747: @110124
     /*  110124 */   GIM_Reject,
     /*  110125 */ // Label 1745: @110125
     /*  110125 */ GIM_Reject,
     /*  110126 */ // Label 1681: @110126
     /*  110126 */ GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(110240),
     /*  110131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  110134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  110137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110149 */   GIM_Try, /*On fail goto*//*Label 1749*/ GIMT_Encode4(110194), // Rule ID 51260 //
     /*  110154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110157 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  110160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  110174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110192 */     GIR_RootConstrainSelectedInstOperands,
     /*  110193 */     // GIR_Coverage, 51260,
     /*  110193 */     GIR_EraseRootFromParent_Done,
     /*  110194 */   // Label 1749: @110194
     /*  110194 */   GIM_Try, /*On fail goto*//*Label 1750*/ GIMT_Encode4(110239), // Rule ID 51261 //
     /*  110199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110202 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  110205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  110219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110237 */     GIR_RootConstrainSelectedInstOperands,
     /*  110238 */     // GIR_Coverage, 51261,
     /*  110238 */     GIR_EraseRootFromParent_Done,
     /*  110239 */   // Label 1750: @110239
     /*  110239 */   GIM_Reject,
     /*  110240 */ // Label 1748: @110240
     /*  110240 */ GIM_Reject,
     /*  110241 */ // Label 1682: @110241
     /*  110241 */ GIM_Reject,
     /*  110242 */ // Label 4: @110242
     /*  110242 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1775*/ GIMT_Encode4(112975),
     /*  110253 */ /*GILLT_s32*//*Label 1751*/ GIMT_Encode4(110377),
     /*  110257 */ /*GILLT_s64*//*Label 1752*/ GIMT_Encode4(110411), GIMT_Encode4(0),
     /*  110265 */ /*GILLT_nxv1s8*//*Label 1753*/ GIMT_Encode4(110445),
     /*  110269 */ /*GILLT_nxv1s16*//*Label 1754*/ GIMT_Encode4(110560),
     /*  110273 */ /*GILLT_nxv1s32*//*Label 1755*/ GIMT_Encode4(110675),
     /*  110277 */ /*GILLT_nxv1s64*//*Label 1756*/ GIMT_Encode4(110790), GIMT_Encode4(0),
     /*  110285 */ /*GILLT_nxv2s8*//*Label 1757*/ GIMT_Encode4(110905),
     /*  110289 */ /*GILLT_nxv2s16*//*Label 1758*/ GIMT_Encode4(111020),
     /*  110293 */ /*GILLT_nxv2s32*//*Label 1759*/ GIMT_Encode4(111135),
     /*  110297 */ /*GILLT_nxv2s64*//*Label 1760*/ GIMT_Encode4(111250), GIMT_Encode4(0),
     /*  110305 */ /*GILLT_nxv4s8*//*Label 1761*/ GIMT_Encode4(111365),
     /*  110309 */ /*GILLT_nxv4s16*//*Label 1762*/ GIMT_Encode4(111480),
     /*  110313 */ /*GILLT_nxv4s32*//*Label 1763*/ GIMT_Encode4(111595),
     /*  110317 */ /*GILLT_nxv4s64*//*Label 1764*/ GIMT_Encode4(111710), GIMT_Encode4(0),
     /*  110325 */ /*GILLT_nxv8s8*//*Label 1765*/ GIMT_Encode4(111825),
     /*  110329 */ /*GILLT_nxv8s16*//*Label 1766*/ GIMT_Encode4(111940),
     /*  110333 */ /*GILLT_nxv8s32*//*Label 1767*/ GIMT_Encode4(112055),
     /*  110337 */ /*GILLT_nxv8s64*//*Label 1768*/ GIMT_Encode4(112170), GIMT_Encode4(0),
     /*  110345 */ /*GILLT_nxv16s8*//*Label 1769*/ GIMT_Encode4(112285),
     /*  110349 */ /*GILLT_nxv16s16*//*Label 1770*/ GIMT_Encode4(112400),
     /*  110353 */ /*GILLT_nxv16s32*//*Label 1771*/ GIMT_Encode4(112515), GIMT_Encode4(0),
     /*  110361 */ /*GILLT_nxv32s8*//*Label 1772*/ GIMT_Encode4(112630),
     /*  110365 */ /*GILLT_nxv32s16*//*Label 1773*/ GIMT_Encode4(112745), GIMT_Encode4(0),
     /*  110373 */ /*GILLT_nxv64s8*//*Label 1774*/ GIMT_Encode4(112860),
     /*  110377 */ // Label 1751: @110377
     /*  110377 */ GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(110410), // Rule ID 312 //
     /*  110382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  110385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  110388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  110391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110403 */   // (udiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIVU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110403 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  110408 */   GIR_RootConstrainSelectedInstOperands,
     /*  110409 */   // GIR_Coverage, 312,
     /*  110409 */   GIR_Done,
     /*  110410 */ // Label 1776: @110410
     /*  110410 */ GIM_Reject,
     /*  110411 */ // Label 1752: @110411
     /*  110411 */ GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(110444), // Rule ID 311 //
     /*  110416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  110419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  110422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  110425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110437 */   // (udiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110437 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  110442 */   GIR_RootConstrainSelectedInstOperands,
     /*  110443 */   // GIR_Coverage, 311,
     /*  110443 */   GIR_Done,
     /*  110444 */ // Label 1777: @110444
     /*  110444 */ GIM_Reject,
     /*  110445 */ // Label 1753: @110445
     /*  110445 */ GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(110559),
     /*  110450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  110453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  110456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110468 */   GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(110513), // Rule ID 51124 //
     /*  110473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110476 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  110479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  110493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110511 */     GIR_RootConstrainSelectedInstOperands,
     /*  110512 */     // GIR_Coverage, 51124,
     /*  110512 */     GIR_EraseRootFromParent_Done,
     /*  110513 */   // Label 1779: @110513
     /*  110513 */   GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(110558), // Rule ID 51125 //
     /*  110518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110521 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  110524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  110538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110556 */     GIR_RootConstrainSelectedInstOperands,
     /*  110557 */     // GIR_Coverage, 51125,
     /*  110557 */     GIR_EraseRootFromParent_Done,
     /*  110558 */   // Label 1780: @110558
     /*  110558 */   GIM_Reject,
     /*  110559 */ // Label 1778: @110559
     /*  110559 */ GIM_Reject,
     /*  110560 */ // Label 1754: @110560
     /*  110560 */ GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(110674),
     /*  110565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  110568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  110571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110583 */   GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(110628), // Rule ID 51136 //
     /*  110588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110591 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  110594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  110608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110626 */     GIR_RootConstrainSelectedInstOperands,
     /*  110627 */     // GIR_Coverage, 51136,
     /*  110627 */     GIR_EraseRootFromParent_Done,
     /*  110628 */   // Label 1782: @110628
     /*  110628 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(110673), // Rule ID 51137 //
     /*  110633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110636 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  110639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  110653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110671 */     GIR_RootConstrainSelectedInstOperands,
     /*  110672 */     // GIR_Coverage, 51137,
     /*  110672 */     GIR_EraseRootFromParent_Done,
     /*  110673 */   // Label 1783: @110673
     /*  110673 */   GIM_Reject,
     /*  110674 */ // Label 1781: @110674
     /*  110674 */ GIM_Reject,
     /*  110675 */ // Label 1755: @110675
     /*  110675 */ GIM_Try, /*On fail goto*//*Label 1784*/ GIMT_Encode4(110789),
     /*  110680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  110683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  110686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110698 */   GIM_Try, /*On fail goto*//*Label 1785*/ GIMT_Encode4(110743), // Rule ID 51144 //
     /*  110703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110706 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  110709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  110723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110741 */     GIR_RootConstrainSelectedInstOperands,
     /*  110742 */     // GIR_Coverage, 51144,
     /*  110742 */     GIR_EraseRootFromParent_Done,
     /*  110743 */   // Label 1785: @110743
     /*  110743 */   GIM_Try, /*On fail goto*//*Label 1786*/ GIMT_Encode4(110788), // Rule ID 51145 //
     /*  110748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110751 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  110754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  110768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110786 */     GIR_RootConstrainSelectedInstOperands,
     /*  110787 */     // GIR_Coverage, 51145,
     /*  110787 */     GIR_EraseRootFromParent_Done,
     /*  110788 */   // Label 1786: @110788
     /*  110788 */   GIM_Reject,
     /*  110789 */ // Label 1784: @110789
     /*  110789 */ GIM_Reject,
     /*  110790 */ // Label 1756: @110790
     /*  110790 */ GIM_Try, /*On fail goto*//*Label 1787*/ GIMT_Encode4(110904),
     /*  110795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  110798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  110801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110813 */   GIM_Try, /*On fail goto*//*Label 1788*/ GIMT_Encode4(110858), // Rule ID 51160 //
     /*  110818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110821 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  110824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  110838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110856 */     GIR_RootConstrainSelectedInstOperands,
     /*  110857 */     // GIR_Coverage, 51160,
     /*  110857 */     GIR_EraseRootFromParent_Done,
     /*  110858 */   // Label 1788: @110858
     /*  110858 */   GIM_Try, /*On fail goto*//*Label 1789*/ GIMT_Encode4(110903), // Rule ID 51161 //
     /*  110863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110866 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  110869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  110883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110901 */     GIR_RootConstrainSelectedInstOperands,
     /*  110902 */     // GIR_Coverage, 51161,
     /*  110902 */     GIR_EraseRootFromParent_Done,
     /*  110903 */   // Label 1789: @110903
     /*  110903 */   GIM_Reject,
     /*  110904 */ // Label 1787: @110904
     /*  110904 */ GIM_Reject,
     /*  110905 */ // Label 1757: @110905
     /*  110905 */ GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(111019),
     /*  110910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  110913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  110916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110928 */   GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(110973), // Rule ID 51128 //
     /*  110933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110936 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  110939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  110953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110971 */     GIR_RootConstrainSelectedInstOperands,
     /*  110972 */     // GIR_Coverage, 51128,
     /*  110972 */     GIR_EraseRootFromParent_Done,
     /*  110973 */   // Label 1791: @110973
     /*  110973 */   GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(111018), // Rule ID 51129 //
     /*  110978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110981 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  110984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  110998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111016 */     GIR_RootConstrainSelectedInstOperands,
     /*  111017 */     // GIR_Coverage, 51129,
     /*  111017 */     GIR_EraseRootFromParent_Done,
     /*  111018 */   // Label 1792: @111018
     /*  111018 */   GIM_Reject,
     /*  111019 */ // Label 1790: @111019
     /*  111019 */ GIM_Reject,
     /*  111020 */ // Label 1758: @111020
     /*  111020 */ GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(111134),
     /*  111025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  111028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  111031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111043 */   GIM_Try, /*On fail goto*//*Label 1794*/ GIMT_Encode4(111088), // Rule ID 51140 //
     /*  111048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111051 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  111054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  111068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111086 */     GIR_RootConstrainSelectedInstOperands,
     /*  111087 */     // GIR_Coverage, 51140,
     /*  111087 */     GIR_EraseRootFromParent_Done,
     /*  111088 */   // Label 1794: @111088
     /*  111088 */   GIM_Try, /*On fail goto*//*Label 1795*/ GIMT_Encode4(111133), // Rule ID 51141 //
     /*  111093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111096 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  111099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  111113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111131 */     GIR_RootConstrainSelectedInstOperands,
     /*  111132 */     // GIR_Coverage, 51141,
     /*  111132 */     GIR_EraseRootFromParent_Done,
     /*  111133 */   // Label 1795: @111133
     /*  111133 */   GIM_Reject,
     /*  111134 */ // Label 1793: @111134
     /*  111134 */ GIM_Reject,
     /*  111135 */ // Label 1759: @111135
     /*  111135 */ GIM_Try, /*On fail goto*//*Label 1796*/ GIMT_Encode4(111249),
     /*  111140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  111143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  111146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111158 */   GIM_Try, /*On fail goto*//*Label 1797*/ GIMT_Encode4(111203), // Rule ID 51156 //
     /*  111163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111166 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  111169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  111183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111201 */     GIR_RootConstrainSelectedInstOperands,
     /*  111202 */     // GIR_Coverage, 51156,
     /*  111202 */     GIR_EraseRootFromParent_Done,
     /*  111203 */   // Label 1797: @111203
     /*  111203 */   GIM_Try, /*On fail goto*//*Label 1798*/ GIMT_Encode4(111248), // Rule ID 51157 //
     /*  111208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111211 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  111214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  111228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111246 */     GIR_RootConstrainSelectedInstOperands,
     /*  111247 */     // GIR_Coverage, 51157,
     /*  111247 */     GIR_EraseRootFromParent_Done,
     /*  111248 */   // Label 1798: @111248
     /*  111248 */   GIM_Reject,
     /*  111249 */ // Label 1796: @111249
     /*  111249 */ GIM_Reject,
     /*  111250 */ // Label 1760: @111250
     /*  111250 */ GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(111364),
     /*  111255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  111258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  111261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111273 */   GIM_Try, /*On fail goto*//*Label 1800*/ GIMT_Encode4(111318), // Rule ID 51200 //
     /*  111278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  111281 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  111281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  111284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  111298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111316 */     GIR_RootConstrainSelectedInstOperands,
     /*  111317 */     // GIR_Coverage, 51200,
     /*  111317 */     GIR_EraseRootFromParent_Done,
     /*  111318 */   // Label 1800: @111318
     /*  111318 */   GIM_Try, /*On fail goto*//*Label 1801*/ GIMT_Encode4(111363), // Rule ID 51201 //
     /*  111323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  111326 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  111326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  111329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  111343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111361 */     GIR_RootConstrainSelectedInstOperands,
     /*  111362 */     // GIR_Coverage, 51201,
     /*  111362 */     GIR_EraseRootFromParent_Done,
     /*  111363 */   // Label 1801: @111363
     /*  111363 */   GIM_Reject,
     /*  111364 */ // Label 1799: @111364
     /*  111364 */ GIM_Reject,
     /*  111365 */ // Label 1761: @111365
     /*  111365 */ GIM_Try, /*On fail goto*//*Label 1802*/ GIMT_Encode4(111479),
     /*  111370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  111373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  111376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111388 */   GIM_Try, /*On fail goto*//*Label 1803*/ GIMT_Encode4(111433), // Rule ID 51132 //
     /*  111393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111396 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  111399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  111413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111431 */     GIR_RootConstrainSelectedInstOperands,
     /*  111432 */     // GIR_Coverage, 51132,
     /*  111432 */     GIR_EraseRootFromParent_Done,
     /*  111433 */   // Label 1803: @111433
     /*  111433 */   GIM_Try, /*On fail goto*//*Label 1804*/ GIMT_Encode4(111478), // Rule ID 51133 //
     /*  111438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111441 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  111444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  111458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111476 */     GIR_RootConstrainSelectedInstOperands,
     /*  111477 */     // GIR_Coverage, 51133,
     /*  111477 */     GIR_EraseRootFromParent_Done,
     /*  111478 */   // Label 1804: @111478
     /*  111478 */   GIM_Reject,
     /*  111479 */ // Label 1802: @111479
     /*  111479 */ GIM_Reject,
     /*  111480 */ // Label 1762: @111480
     /*  111480 */ GIM_Try, /*On fail goto*//*Label 1805*/ GIMT_Encode4(111594),
     /*  111485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  111488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  111491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111503 */   GIM_Try, /*On fail goto*//*Label 1806*/ GIMT_Encode4(111548), // Rule ID 51152 //
     /*  111508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111511 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  111514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  111528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111546 */     GIR_RootConstrainSelectedInstOperands,
     /*  111547 */     // GIR_Coverage, 51152,
     /*  111547 */     GIR_EraseRootFromParent_Done,
     /*  111548 */   // Label 1806: @111548
     /*  111548 */   GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(111593), // Rule ID 51153 //
     /*  111553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111556 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  111559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  111573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111591 */     GIR_RootConstrainSelectedInstOperands,
     /*  111592 */     // GIR_Coverage, 51153,
     /*  111592 */     GIR_EraseRootFromParent_Done,
     /*  111593 */   // Label 1807: @111593
     /*  111593 */   GIM_Reject,
     /*  111594 */ // Label 1805: @111594
     /*  111594 */ GIM_Reject,
     /*  111595 */ // Label 1763: @111595
     /*  111595 */ GIM_Try, /*On fail goto*//*Label 1808*/ GIMT_Encode4(111709),
     /*  111600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  111603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  111606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111618 */   GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(111663), // Rule ID 51188 //
     /*  111623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111626 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  111629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  111643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111661 */     GIR_RootConstrainSelectedInstOperands,
     /*  111662 */     // GIR_Coverage, 51188,
     /*  111662 */     GIR_EraseRootFromParent_Done,
     /*  111663 */   // Label 1809: @111663
     /*  111663 */   GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(111708), // Rule ID 51189 //
     /*  111668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111671 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  111674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  111688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111706 */     GIR_RootConstrainSelectedInstOperands,
     /*  111707 */     // GIR_Coverage, 51189,
     /*  111707 */     GIR_EraseRootFromParent_Done,
     /*  111708 */   // Label 1810: @111708
     /*  111708 */   GIM_Reject,
     /*  111709 */ // Label 1808: @111709
     /*  111709 */ GIM_Reject,
     /*  111710 */ // Label 1764: @111710
     /*  111710 */ GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(111824),
     /*  111715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  111718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  111721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111733 */   GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(111778), // Rule ID 51204 //
     /*  111738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  111741 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  111741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  111744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  111758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111776 */     GIR_RootConstrainSelectedInstOperands,
     /*  111777 */     // GIR_Coverage, 51204,
     /*  111777 */     GIR_EraseRootFromParent_Done,
     /*  111778 */   // Label 1812: @111778
     /*  111778 */   GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(111823), // Rule ID 51205 //
     /*  111783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  111786 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  111786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  111789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  111803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111821 */     GIR_RootConstrainSelectedInstOperands,
     /*  111822 */     // GIR_Coverage, 51205,
     /*  111822 */     GIR_EraseRootFromParent_Done,
     /*  111823 */   // Label 1813: @111823
     /*  111823 */   GIM_Reject,
     /*  111824 */ // Label 1811: @111824
     /*  111824 */ GIM_Reject,
     /*  111825 */ // Label 1765: @111825
     /*  111825 */ GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(111939),
     /*  111830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  111833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  111836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111848 */   GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(111893), // Rule ID 51148 //
     /*  111853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111856 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  111859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  111873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111891 */     GIR_RootConstrainSelectedInstOperands,
     /*  111892 */     // GIR_Coverage, 51148,
     /*  111892 */     GIR_EraseRootFromParent_Done,
     /*  111893 */   // Label 1815: @111893
     /*  111893 */   GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(111938), // Rule ID 51149 //
     /*  111898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111901 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  111904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  111918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111936 */     GIR_RootConstrainSelectedInstOperands,
     /*  111937 */     // GIR_Coverage, 51149,
     /*  111937 */     GIR_EraseRootFromParent_Done,
     /*  111938 */   // Label 1816: @111938
     /*  111938 */   GIM_Reject,
     /*  111939 */ // Label 1814: @111939
     /*  111939 */ GIM_Reject,
     /*  111940 */ // Label 1766: @111940
     /*  111940 */ GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(112054),
     /*  111945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  111948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  111951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111963 */   GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(112008), // Rule ID 51176 //
     /*  111968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111971 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  111974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  111988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112006 */     GIR_RootConstrainSelectedInstOperands,
     /*  112007 */     // GIR_Coverage, 51176,
     /*  112007 */     GIR_EraseRootFromParent_Done,
     /*  112008 */   // Label 1818: @112008
     /*  112008 */   GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(112053), // Rule ID 51177 //
     /*  112013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112016 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  112019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  112033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112051 */     GIR_RootConstrainSelectedInstOperands,
     /*  112052 */     // GIR_Coverage, 51177,
     /*  112052 */     GIR_EraseRootFromParent_Done,
     /*  112053 */   // Label 1819: @112053
     /*  112053 */   GIM_Reject,
     /*  112054 */ // Label 1817: @112054
     /*  112054 */ GIM_Reject,
     /*  112055 */ // Label 1767: @112055
     /*  112055 */ GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(112169),
     /*  112060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  112063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  112066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112074 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112078 */   GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(112123), // Rule ID 51192 //
     /*  112083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112086 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  112089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  112103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112121 */     GIR_RootConstrainSelectedInstOperands,
     /*  112122 */     // GIR_Coverage, 51192,
     /*  112122 */     GIR_EraseRootFromParent_Done,
     /*  112123 */   // Label 1821: @112123
     /*  112123 */   GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(112168), // Rule ID 51193 //
     /*  112128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112131 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  112134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  112148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112166 */     GIR_RootConstrainSelectedInstOperands,
     /*  112167 */     // GIR_Coverage, 51193,
     /*  112167 */     GIR_EraseRootFromParent_Done,
     /*  112168 */   // Label 1822: @112168
     /*  112168 */   GIM_Reject,
     /*  112169 */ // Label 1820: @112169
     /*  112169 */ GIM_Reject,
     /*  112170 */ // Label 1768: @112170
     /*  112170 */ GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(112284),
     /*  112175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  112178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  112181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112193 */   GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(112238), // Rule ID 51208 //
     /*  112198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112201 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  112204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  112218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112236 */     GIR_RootConstrainSelectedInstOperands,
     /*  112237 */     // GIR_Coverage, 51208,
     /*  112237 */     GIR_EraseRootFromParent_Done,
     /*  112238 */   // Label 1824: @112238
     /*  112238 */   GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(112283), // Rule ID 51209 //
     /*  112243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112246 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  112249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  112263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112281 */     GIR_RootConstrainSelectedInstOperands,
     /*  112282 */     // GIR_Coverage, 51209,
     /*  112282 */     GIR_EraseRootFromParent_Done,
     /*  112283 */   // Label 1825: @112283
     /*  112283 */   GIM_Reject,
     /*  112284 */ // Label 1823: @112284
     /*  112284 */ GIM_Reject,
     /*  112285 */ // Label 1769: @112285
     /*  112285 */ GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(112399),
     /*  112290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  112293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  112296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112308 */   GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(112353), // Rule ID 51164 //
     /*  112313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112316 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  112319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  112333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112351 */     GIR_RootConstrainSelectedInstOperands,
     /*  112352 */     // GIR_Coverage, 51164,
     /*  112352 */     GIR_EraseRootFromParent_Done,
     /*  112353 */   // Label 1827: @112353
     /*  112353 */   GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(112398), // Rule ID 51165 //
     /*  112358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112361 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  112364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  112378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112396 */     GIR_RootConstrainSelectedInstOperands,
     /*  112397 */     // GIR_Coverage, 51165,
     /*  112397 */     GIR_EraseRootFromParent_Done,
     /*  112398 */   // Label 1828: @112398
     /*  112398 */   GIM_Reject,
     /*  112399 */ // Label 1826: @112399
     /*  112399 */ GIM_Reject,
     /*  112400 */ // Label 1770: @112400
     /*  112400 */ GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(112514),
     /*  112405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  112408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  112411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112419 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112423 */   GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(112468), // Rule ID 51180 //
     /*  112428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112431 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  112434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  112448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112466 */     GIR_RootConstrainSelectedInstOperands,
     /*  112467 */     // GIR_Coverage, 51180,
     /*  112467 */     GIR_EraseRootFromParent_Done,
     /*  112468 */   // Label 1830: @112468
     /*  112468 */   GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(112513), // Rule ID 51181 //
     /*  112473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112476 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  112479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  112493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112511 */     GIR_RootConstrainSelectedInstOperands,
     /*  112512 */     // GIR_Coverage, 51181,
     /*  112512 */     GIR_EraseRootFromParent_Done,
     /*  112513 */   // Label 1831: @112513
     /*  112513 */   GIM_Reject,
     /*  112514 */ // Label 1829: @112514
     /*  112514 */ GIM_Reject,
     /*  112515 */ // Label 1771: @112515
     /*  112515 */ GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(112629),
     /*  112520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  112523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  112526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112538 */   GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(112583), // Rule ID 51196 //
     /*  112543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112546 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  112549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  112563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112581 */     GIR_RootConstrainSelectedInstOperands,
     /*  112582 */     // GIR_Coverage, 51196,
     /*  112582 */     GIR_EraseRootFromParent_Done,
     /*  112583 */   // Label 1833: @112583
     /*  112583 */   GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(112628), // Rule ID 51197 //
     /*  112588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112591 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  112594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  112608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112626 */     GIR_RootConstrainSelectedInstOperands,
     /*  112627 */     // GIR_Coverage, 51197,
     /*  112627 */     GIR_EraseRootFromParent_Done,
     /*  112628 */   // Label 1834: @112628
     /*  112628 */   GIM_Reject,
     /*  112629 */ // Label 1832: @112629
     /*  112629 */ GIM_Reject,
     /*  112630 */ // Label 1772: @112630
     /*  112630 */ GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(112744),
     /*  112635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  112638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  112641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112653 */   GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(112698), // Rule ID 51168 //
     /*  112658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112661 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  112664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  112678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112696 */     GIR_RootConstrainSelectedInstOperands,
     /*  112697 */     // GIR_Coverage, 51168,
     /*  112697 */     GIR_EraseRootFromParent_Done,
     /*  112698 */   // Label 1836: @112698
     /*  112698 */   GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(112743), // Rule ID 51169 //
     /*  112703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112706 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  112709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  112723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112741 */     GIR_RootConstrainSelectedInstOperands,
     /*  112742 */     // GIR_Coverage, 51169,
     /*  112742 */     GIR_EraseRootFromParent_Done,
     /*  112743 */   // Label 1837: @112743
     /*  112743 */   GIM_Reject,
     /*  112744 */ // Label 1835: @112744
     /*  112744 */ GIM_Reject,
     /*  112745 */ // Label 1773: @112745
     /*  112745 */ GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(112859),
     /*  112750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  112753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  112756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112768 */   GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(112813), // Rule ID 51184 //
     /*  112773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112776 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  112779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  112793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112811 */     GIR_RootConstrainSelectedInstOperands,
     /*  112812 */     // GIR_Coverage, 51184,
     /*  112812 */     GIR_EraseRootFromParent_Done,
     /*  112813 */   // Label 1839: @112813
     /*  112813 */   GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(112858), // Rule ID 51185 //
     /*  112818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112821 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  112824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  112838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112856 */     GIR_RootConstrainSelectedInstOperands,
     /*  112857 */     // GIR_Coverage, 51185,
     /*  112857 */     GIR_EraseRootFromParent_Done,
     /*  112858 */   // Label 1840: @112858
     /*  112858 */   GIM_Reject,
     /*  112859 */ // Label 1838: @112859
     /*  112859 */ GIM_Reject,
     /*  112860 */ // Label 1774: @112860
     /*  112860 */ GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(112974),
     /*  112865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  112868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  112871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112879 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112883 */   GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(112928), // Rule ID 51172 //
     /*  112888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112891 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  112894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  112908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112926 */     GIR_RootConstrainSelectedInstOperands,
     /*  112927 */     // GIR_Coverage, 51172,
     /*  112927 */     GIR_EraseRootFromParent_Done,
     /*  112928 */   // Label 1842: @112928
     /*  112928 */   GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(112973), // Rule ID 51173 //
     /*  112933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112936 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  112939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  112953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112971 */     GIR_RootConstrainSelectedInstOperands,
     /*  112972 */     // GIR_Coverage, 51173,
     /*  112972 */     GIR_EraseRootFromParent_Done,
     /*  112973 */   // Label 1843: @112973
     /*  112973 */   GIM_Reject,
     /*  112974 */ // Label 1841: @112974
     /*  112974 */ GIM_Reject,
     /*  112975 */ // Label 1775: @112975
     /*  112975 */ GIM_Reject,
     /*  112976 */ // Label 5: @112976
     /*  112976 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1868*/ GIMT_Encode4(115754),
     /*  112987 */ /*GILLT_s32*//*Label 1844*/ GIMT_Encode4(113111),
     /*  112991 */ /*GILLT_s64*//*Label 1845*/ GIMT_Encode4(113145), GIMT_Encode4(0),
     /*  112999 */ /*GILLT_nxv1s8*//*Label 1846*/ GIMT_Encode4(113224),
     /*  113003 */ /*GILLT_nxv1s16*//*Label 1847*/ GIMT_Encode4(113339),
     /*  113007 */ /*GILLT_nxv1s32*//*Label 1848*/ GIMT_Encode4(113454),
     /*  113011 */ /*GILLT_nxv1s64*//*Label 1849*/ GIMT_Encode4(113569), GIMT_Encode4(0),
     /*  113019 */ /*GILLT_nxv2s8*//*Label 1850*/ GIMT_Encode4(113684),
     /*  113023 */ /*GILLT_nxv2s16*//*Label 1851*/ GIMT_Encode4(113799),
     /*  113027 */ /*GILLT_nxv2s32*//*Label 1852*/ GIMT_Encode4(113914),
     /*  113031 */ /*GILLT_nxv2s64*//*Label 1853*/ GIMT_Encode4(114029), GIMT_Encode4(0),
     /*  113039 */ /*GILLT_nxv4s8*//*Label 1854*/ GIMT_Encode4(114144),
     /*  113043 */ /*GILLT_nxv4s16*//*Label 1855*/ GIMT_Encode4(114259),
     /*  113047 */ /*GILLT_nxv4s32*//*Label 1856*/ GIMT_Encode4(114374),
     /*  113051 */ /*GILLT_nxv4s64*//*Label 1857*/ GIMT_Encode4(114489), GIMT_Encode4(0),
     /*  113059 */ /*GILLT_nxv8s8*//*Label 1858*/ GIMT_Encode4(114604),
     /*  113063 */ /*GILLT_nxv8s16*//*Label 1859*/ GIMT_Encode4(114719),
     /*  113067 */ /*GILLT_nxv8s32*//*Label 1860*/ GIMT_Encode4(114834),
     /*  113071 */ /*GILLT_nxv8s64*//*Label 1861*/ GIMT_Encode4(114949), GIMT_Encode4(0),
     /*  113079 */ /*GILLT_nxv16s8*//*Label 1862*/ GIMT_Encode4(115064),
     /*  113083 */ /*GILLT_nxv16s16*//*Label 1863*/ GIMT_Encode4(115179),
     /*  113087 */ /*GILLT_nxv16s32*//*Label 1864*/ GIMT_Encode4(115294), GIMT_Encode4(0),
     /*  113095 */ /*GILLT_nxv32s8*//*Label 1865*/ GIMT_Encode4(115409),
     /*  113099 */ /*GILLT_nxv32s16*//*Label 1866*/ GIMT_Encode4(115524), GIMT_Encode4(0),
     /*  113107 */ /*GILLT_nxv64s8*//*Label 1867*/ GIMT_Encode4(115639),
     /*  113111 */ // Label 1844: @113111
     /*  113111 */ GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(113144), // Rule ID 314 //
     /*  113116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  113119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  113122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113137 */   // (srem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REM:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  113137 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  113142 */   GIR_RootConstrainSelectedInstOperands,
     /*  113143 */   // GIR_Coverage, 314,
     /*  113143 */   GIR_Done,
     /*  113144 */ // Label 1869: @113144
     /*  113144 */ GIM_Reject,
     /*  113145 */ // Label 1845: @113145
     /*  113145 */ GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(113223),
     /*  113150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  113153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113160 */   GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(113199), // Rule ID 323 //
     /*  113165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /*  113168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /*  113175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_sexti32),
     /*  113182 */     // (srem:{ *:[i64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (REMW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  113182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::REMW),
     /*  113185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  113192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  113197 */     GIR_RootConstrainSelectedInstOperands,
     /*  113198 */     // GIR_Coverage, 323,
     /*  113198 */     GIR_EraseRootFromParent_Done,
     /*  113199 */   // Label 1871: @113199
     /*  113199 */   GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(113222), // Rule ID 313 //
     /*  113204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  113207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113215 */     // (srem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  113215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  113220 */     GIR_RootConstrainSelectedInstOperands,
     /*  113221 */     // GIR_Coverage, 313,
     /*  113221 */     GIR_Done,
     /*  113222 */   // Label 1872: @113222
     /*  113222 */   GIM_Reject,
     /*  113223 */ // Label 1870: @113223
     /*  113223 */ GIM_Reject,
     /*  113224 */ // Label 1846: @113224
     /*  113224 */ GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(113338),
     /*  113229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  113232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  113235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113247 */   GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(113292), // Rule ID 51388 //
     /*  113252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113255 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  113258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  113272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113290 */     GIR_RootConstrainSelectedInstOperands,
     /*  113291 */     // GIR_Coverage, 51388,
     /*  113291 */     GIR_EraseRootFromParent_Done,
     /*  113292 */   // Label 1874: @113292
     /*  113292 */   GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(113337), // Rule ID 51389 //
     /*  113297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113300 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  113303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  113317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113335 */     GIR_RootConstrainSelectedInstOperands,
     /*  113336 */     // GIR_Coverage, 51389,
     /*  113336 */     GIR_EraseRootFromParent_Done,
     /*  113337 */   // Label 1875: @113337
     /*  113337 */   GIM_Reject,
     /*  113338 */ // Label 1873: @113338
     /*  113338 */ GIM_Reject,
     /*  113339 */ // Label 1847: @113339
     /*  113339 */ GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(113453),
     /*  113344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  113347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  113350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113362 */   GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(113407), // Rule ID 51400 //
     /*  113367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113370 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  113373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  113387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113405 */     GIR_RootConstrainSelectedInstOperands,
     /*  113406 */     // GIR_Coverage, 51400,
     /*  113406 */     GIR_EraseRootFromParent_Done,
     /*  113407 */   // Label 1877: @113407
     /*  113407 */   GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(113452), // Rule ID 51401 //
     /*  113412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113415 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  113418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  113432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113450 */     GIR_RootConstrainSelectedInstOperands,
     /*  113451 */     // GIR_Coverage, 51401,
     /*  113451 */     GIR_EraseRootFromParent_Done,
     /*  113452 */   // Label 1878: @113452
     /*  113452 */   GIM_Reject,
     /*  113453 */ // Label 1876: @113453
     /*  113453 */ GIM_Reject,
     /*  113454 */ // Label 1848: @113454
     /*  113454 */ GIM_Try, /*On fail goto*//*Label 1879*/ GIMT_Encode4(113568),
     /*  113459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  113462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  113465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113477 */   GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(113522), // Rule ID 51408 //
     /*  113482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113485 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  113488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  113502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113520 */     GIR_RootConstrainSelectedInstOperands,
     /*  113521 */     // GIR_Coverage, 51408,
     /*  113521 */     GIR_EraseRootFromParent_Done,
     /*  113522 */   // Label 1880: @113522
     /*  113522 */   GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(113567), // Rule ID 51409 //
     /*  113527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113530 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  113533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  113547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113565 */     GIR_RootConstrainSelectedInstOperands,
     /*  113566 */     // GIR_Coverage, 51409,
     /*  113566 */     GIR_EraseRootFromParent_Done,
     /*  113567 */   // Label 1881: @113567
     /*  113567 */   GIM_Reject,
     /*  113568 */ // Label 1879: @113568
     /*  113568 */ GIM_Reject,
     /*  113569 */ // Label 1849: @113569
     /*  113569 */ GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(113683),
     /*  113574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  113577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  113580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113592 */   GIM_Try, /*On fail goto*//*Label 1883*/ GIMT_Encode4(113637), // Rule ID 51424 //
     /*  113597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  113600 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  113600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  113603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  113617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113635 */     GIR_RootConstrainSelectedInstOperands,
     /*  113636 */     // GIR_Coverage, 51424,
     /*  113636 */     GIR_EraseRootFromParent_Done,
     /*  113637 */   // Label 1883: @113637
     /*  113637 */   GIM_Try, /*On fail goto*//*Label 1884*/ GIMT_Encode4(113682), // Rule ID 51425 //
     /*  113642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113645 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  113648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  113662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113680 */     GIR_RootConstrainSelectedInstOperands,
     /*  113681 */     // GIR_Coverage, 51425,
     /*  113681 */     GIR_EraseRootFromParent_Done,
     /*  113682 */   // Label 1884: @113682
     /*  113682 */   GIM_Reject,
     /*  113683 */ // Label 1882: @113683
     /*  113683 */ GIM_Reject,
     /*  113684 */ // Label 1850: @113684
     /*  113684 */ GIM_Try, /*On fail goto*//*Label 1885*/ GIMT_Encode4(113798),
     /*  113689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  113692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  113695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113707 */   GIM_Try, /*On fail goto*//*Label 1886*/ GIMT_Encode4(113752), // Rule ID 51392 //
     /*  113712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113715 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  113718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  113732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113750 */     GIR_RootConstrainSelectedInstOperands,
     /*  113751 */     // GIR_Coverage, 51392,
     /*  113751 */     GIR_EraseRootFromParent_Done,
     /*  113752 */   // Label 1886: @113752
     /*  113752 */   GIM_Try, /*On fail goto*//*Label 1887*/ GIMT_Encode4(113797), // Rule ID 51393 //
     /*  113757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113760 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  113763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  113777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113795 */     GIR_RootConstrainSelectedInstOperands,
     /*  113796 */     // GIR_Coverage, 51393,
     /*  113796 */     GIR_EraseRootFromParent_Done,
     /*  113797 */   // Label 1887: @113797
     /*  113797 */   GIM_Reject,
     /*  113798 */ // Label 1885: @113798
     /*  113798 */ GIM_Reject,
     /*  113799 */ // Label 1851: @113799
     /*  113799 */ GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(113913),
     /*  113804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  113807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  113810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113822 */   GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(113867), // Rule ID 51404 //
     /*  113827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113830 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  113833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  113847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113865 */     GIR_RootConstrainSelectedInstOperands,
     /*  113866 */     // GIR_Coverage, 51404,
     /*  113866 */     GIR_EraseRootFromParent_Done,
     /*  113867 */   // Label 1889: @113867
     /*  113867 */   GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(113912), // Rule ID 51405 //
     /*  113872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113875 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  113878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  113892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113910 */     GIR_RootConstrainSelectedInstOperands,
     /*  113911 */     // GIR_Coverage, 51405,
     /*  113911 */     GIR_EraseRootFromParent_Done,
     /*  113912 */   // Label 1890: @113912
     /*  113912 */   GIM_Reject,
     /*  113913 */ // Label 1888: @113913
     /*  113913 */ GIM_Reject,
     /*  113914 */ // Label 1852: @113914
     /*  113914 */ GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(114028),
     /*  113919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  113922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  113925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113937 */   GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(113982), // Rule ID 51420 //
     /*  113942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113945 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  113948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  113962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113980 */     GIR_RootConstrainSelectedInstOperands,
     /*  113981 */     // GIR_Coverage, 51420,
     /*  113981 */     GIR_EraseRootFromParent_Done,
     /*  113982 */   // Label 1892: @113982
     /*  113982 */   GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(114027), // Rule ID 51421 //
     /*  113987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113990 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  113993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  114007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114025 */     GIR_RootConstrainSelectedInstOperands,
     /*  114026 */     // GIR_Coverage, 51421,
     /*  114026 */     GIR_EraseRootFromParent_Done,
     /*  114027 */   // Label 1893: @114027
     /*  114027 */   GIM_Reject,
     /*  114028 */ // Label 1891: @114028
     /*  114028 */ GIM_Reject,
     /*  114029 */ // Label 1853: @114029
     /*  114029 */ GIM_Try, /*On fail goto*//*Label 1894*/ GIMT_Encode4(114143),
     /*  114034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  114037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  114040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114052 */   GIM_Try, /*On fail goto*//*Label 1895*/ GIMT_Encode4(114097), // Rule ID 51464 //
     /*  114057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  114060 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  114060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  114063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  114077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114095 */     GIR_RootConstrainSelectedInstOperands,
     /*  114096 */     // GIR_Coverage, 51464,
     /*  114096 */     GIR_EraseRootFromParent_Done,
     /*  114097 */   // Label 1895: @114097
     /*  114097 */   GIM_Try, /*On fail goto*//*Label 1896*/ GIMT_Encode4(114142), // Rule ID 51465 //
     /*  114102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  114105 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  114105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  114108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  114122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114140 */     GIR_RootConstrainSelectedInstOperands,
     /*  114141 */     // GIR_Coverage, 51465,
     /*  114141 */     GIR_EraseRootFromParent_Done,
     /*  114142 */   // Label 1896: @114142
     /*  114142 */   GIM_Reject,
     /*  114143 */ // Label 1894: @114143
     /*  114143 */ GIM_Reject,
     /*  114144 */ // Label 1854: @114144
     /*  114144 */ GIM_Try, /*On fail goto*//*Label 1897*/ GIMT_Encode4(114258),
     /*  114149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  114152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  114155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114167 */   GIM_Try, /*On fail goto*//*Label 1898*/ GIMT_Encode4(114212), // Rule ID 51396 //
     /*  114172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114175 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  114178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  114192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114210 */     GIR_RootConstrainSelectedInstOperands,
     /*  114211 */     // GIR_Coverage, 51396,
     /*  114211 */     GIR_EraseRootFromParent_Done,
     /*  114212 */   // Label 1898: @114212
     /*  114212 */   GIM_Try, /*On fail goto*//*Label 1899*/ GIMT_Encode4(114257), // Rule ID 51397 //
     /*  114217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114220 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  114223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  114237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114255 */     GIR_RootConstrainSelectedInstOperands,
     /*  114256 */     // GIR_Coverage, 51397,
     /*  114256 */     GIR_EraseRootFromParent_Done,
     /*  114257 */   // Label 1899: @114257
     /*  114257 */   GIM_Reject,
     /*  114258 */ // Label 1897: @114258
     /*  114258 */ GIM_Reject,
     /*  114259 */ // Label 1855: @114259
     /*  114259 */ GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(114373),
     /*  114264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  114267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  114270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114282 */   GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(114327), // Rule ID 51416 //
     /*  114287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114290 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  114290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  114293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  114307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114325 */     GIR_RootConstrainSelectedInstOperands,
     /*  114326 */     // GIR_Coverage, 51416,
     /*  114326 */     GIR_EraseRootFromParent_Done,
     /*  114327 */   // Label 1901: @114327
     /*  114327 */   GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(114372), // Rule ID 51417 //
     /*  114332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114335 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  114335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  114338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  114352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114370 */     GIR_RootConstrainSelectedInstOperands,
     /*  114371 */     // GIR_Coverage, 51417,
     /*  114371 */     GIR_EraseRootFromParent_Done,
     /*  114372 */   // Label 1902: @114372
     /*  114372 */   GIM_Reject,
     /*  114373 */ // Label 1900: @114373
     /*  114373 */ GIM_Reject,
     /*  114374 */ // Label 1856: @114374
     /*  114374 */ GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(114488),
     /*  114379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  114382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  114385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114397 */   GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(114442), // Rule ID 51452 //
     /*  114402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114405 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  114405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  114408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  114422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114440 */     GIR_RootConstrainSelectedInstOperands,
     /*  114441 */     // GIR_Coverage, 51452,
     /*  114441 */     GIR_EraseRootFromParent_Done,
     /*  114442 */   // Label 1904: @114442
     /*  114442 */   GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(114487), // Rule ID 51453 //
     /*  114447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114450 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  114450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  114453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  114467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114485 */     GIR_RootConstrainSelectedInstOperands,
     /*  114486 */     // GIR_Coverage, 51453,
     /*  114486 */     GIR_EraseRootFromParent_Done,
     /*  114487 */   // Label 1905: @114487
     /*  114487 */   GIM_Reject,
     /*  114488 */ // Label 1903: @114488
     /*  114488 */ GIM_Reject,
     /*  114489 */ // Label 1857: @114489
     /*  114489 */ GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(114603),
     /*  114494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  114497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  114500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114512 */   GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(114557), // Rule ID 51468 //
     /*  114517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  114520 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  114520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  114523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  114537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114555 */     GIR_RootConstrainSelectedInstOperands,
     /*  114556 */     // GIR_Coverage, 51468,
     /*  114556 */     GIR_EraseRootFromParent_Done,
     /*  114557 */   // Label 1907: @114557
     /*  114557 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(114602), // Rule ID 51469 //
     /*  114562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  114565 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  114565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  114568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  114582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114600 */     GIR_RootConstrainSelectedInstOperands,
     /*  114601 */     // GIR_Coverage, 51469,
     /*  114601 */     GIR_EraseRootFromParent_Done,
     /*  114602 */   // Label 1908: @114602
     /*  114602 */   GIM_Reject,
     /*  114603 */ // Label 1906: @114603
     /*  114603 */ GIM_Reject,
     /*  114604 */ // Label 1858: @114604
     /*  114604 */ GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(114718),
     /*  114609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  114612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  114615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114627 */   GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(114672), // Rule ID 51412 //
     /*  114632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114635 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  114638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  114652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114670 */     GIR_RootConstrainSelectedInstOperands,
     /*  114671 */     // GIR_Coverage, 51412,
     /*  114671 */     GIR_EraseRootFromParent_Done,
     /*  114672 */   // Label 1910: @114672
     /*  114672 */   GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(114717), // Rule ID 51413 //
     /*  114677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114680 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  114683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  114697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114715 */     GIR_RootConstrainSelectedInstOperands,
     /*  114716 */     // GIR_Coverage, 51413,
     /*  114716 */     GIR_EraseRootFromParent_Done,
     /*  114717 */   // Label 1911: @114717
     /*  114717 */   GIM_Reject,
     /*  114718 */ // Label 1909: @114718
     /*  114718 */ GIM_Reject,
     /*  114719 */ // Label 1859: @114719
     /*  114719 */ GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(114833),
     /*  114724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  114727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  114730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114742 */   GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(114787), // Rule ID 51440 //
     /*  114747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114750 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  114750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  114753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  114767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114785 */     GIR_RootConstrainSelectedInstOperands,
     /*  114786 */     // GIR_Coverage, 51440,
     /*  114786 */     GIR_EraseRootFromParent_Done,
     /*  114787 */   // Label 1913: @114787
     /*  114787 */   GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(114832), // Rule ID 51441 //
     /*  114792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114795 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  114795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  114798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  114812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114830 */     GIR_RootConstrainSelectedInstOperands,
     /*  114831 */     // GIR_Coverage, 51441,
     /*  114831 */     GIR_EraseRootFromParent_Done,
     /*  114832 */   // Label 1914: @114832
     /*  114832 */   GIM_Reject,
     /*  114833 */ // Label 1912: @114833
     /*  114833 */ GIM_Reject,
     /*  114834 */ // Label 1860: @114834
     /*  114834 */ GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(114948),
     /*  114839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  114842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  114845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114857 */   GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(114902), // Rule ID 51456 //
     /*  114862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114865 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  114865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  114868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  114882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114900 */     GIR_RootConstrainSelectedInstOperands,
     /*  114901 */     // GIR_Coverage, 51456,
     /*  114901 */     GIR_EraseRootFromParent_Done,
     /*  114902 */   // Label 1916: @114902
     /*  114902 */   GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(114947), // Rule ID 51457 //
     /*  114907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114910 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  114910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  114913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  114927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114945 */     GIR_RootConstrainSelectedInstOperands,
     /*  114946 */     // GIR_Coverage, 51457,
     /*  114946 */     GIR_EraseRootFromParent_Done,
     /*  114947 */   // Label 1917: @114947
     /*  114947 */   GIM_Reject,
     /*  114948 */ // Label 1915: @114948
     /*  114948 */ GIM_Reject,
     /*  114949 */ // Label 1861: @114949
     /*  114949 */ GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(115063),
     /*  114954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  114957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  114960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114972 */   GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(115017), // Rule ID 51472 //
     /*  114977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  114980 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  114980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  114983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  114997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  115012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115015 */     GIR_RootConstrainSelectedInstOperands,
     /*  115016 */     // GIR_Coverage, 51472,
     /*  115016 */     GIR_EraseRootFromParent_Done,
     /*  115017 */   // Label 1919: @115017
     /*  115017 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(115062), // Rule ID 51473 //
     /*  115022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  115025 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  115025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  115028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  115042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  115057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115060 */     GIR_RootConstrainSelectedInstOperands,
     /*  115061 */     // GIR_Coverage, 51473,
     /*  115061 */     GIR_EraseRootFromParent_Done,
     /*  115062 */   // Label 1920: @115062
     /*  115062 */   GIM_Reject,
     /*  115063 */ // Label 1918: @115063
     /*  115063 */ GIM_Reject,
     /*  115064 */ // Label 1862: @115064
     /*  115064 */ GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(115178),
     /*  115069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  115072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  115075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  115079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  115083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  115087 */   GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(115132), // Rule ID 51428 //
     /*  115092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115095 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  115095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  115098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  115112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115130 */     GIR_RootConstrainSelectedInstOperands,
     /*  115131 */     // GIR_Coverage, 51428,
     /*  115131 */     GIR_EraseRootFromParent_Done,
     /*  115132 */   // Label 1922: @115132
     /*  115132 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(115177), // Rule ID 51429 //
     /*  115137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115140 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  115140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  115143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  115157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115175 */     GIR_RootConstrainSelectedInstOperands,
     /*  115176 */     // GIR_Coverage, 51429,
     /*  115176 */     GIR_EraseRootFromParent_Done,
     /*  115177 */   // Label 1923: @115177
     /*  115177 */   GIM_Reject,
     /*  115178 */ // Label 1921: @115178
     /*  115178 */ GIM_Reject,
     /*  115179 */ // Label 1863: @115179
     /*  115179 */ GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(115293),
     /*  115184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  115187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  115190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115202 */   GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(115247), // Rule ID 51444 //
     /*  115207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115210 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  115210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  115213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  115227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115245 */     GIR_RootConstrainSelectedInstOperands,
     /*  115246 */     // GIR_Coverage, 51444,
     /*  115246 */     GIR_EraseRootFromParent_Done,
     /*  115247 */   // Label 1925: @115247
     /*  115247 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(115292), // Rule ID 51445 //
     /*  115252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115255 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  115255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  115258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  115272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115290 */     GIR_RootConstrainSelectedInstOperands,
     /*  115291 */     // GIR_Coverage, 51445,
     /*  115291 */     GIR_EraseRootFromParent_Done,
     /*  115292 */   // Label 1926: @115292
     /*  115292 */   GIM_Reject,
     /*  115293 */ // Label 1924: @115293
     /*  115293 */ GIM_Reject,
     /*  115294 */ // Label 1864: @115294
     /*  115294 */ GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(115408),
     /*  115299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  115302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  115305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115317 */   GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(115362), // Rule ID 51460 //
     /*  115322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115325 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  115325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  115328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  115342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  115357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115360 */     GIR_RootConstrainSelectedInstOperands,
     /*  115361 */     // GIR_Coverage, 51460,
     /*  115361 */     GIR_EraseRootFromParent_Done,
     /*  115362 */   // Label 1928: @115362
     /*  115362 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(115407), // Rule ID 51461 //
     /*  115367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115370 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  115370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  115373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  115387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  115402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115405 */     GIR_RootConstrainSelectedInstOperands,
     /*  115406 */     // GIR_Coverage, 51461,
     /*  115406 */     GIR_EraseRootFromParent_Done,
     /*  115407 */   // Label 1929: @115407
     /*  115407 */   GIM_Reject,
     /*  115408 */ // Label 1927: @115408
     /*  115408 */ GIM_Reject,
     /*  115409 */ // Label 1865: @115409
     /*  115409 */ GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(115523),
     /*  115414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  115417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  115420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115432 */   GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(115477), // Rule ID 51432 //
     /*  115437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115440 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  115440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  115443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  115457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115475 */     GIR_RootConstrainSelectedInstOperands,
     /*  115476 */     // GIR_Coverage, 51432,
     /*  115476 */     GIR_EraseRootFromParent_Done,
     /*  115477 */   // Label 1931: @115477
     /*  115477 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(115522), // Rule ID 51433 //
     /*  115482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115485 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  115485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  115488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  115502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115520 */     GIR_RootConstrainSelectedInstOperands,
     /*  115521 */     // GIR_Coverage, 51433,
     /*  115521 */     GIR_EraseRootFromParent_Done,
     /*  115522 */   // Label 1932: @115522
     /*  115522 */   GIM_Reject,
     /*  115523 */ // Label 1930: @115523
     /*  115523 */ GIM_Reject,
     /*  115524 */ // Label 1866: @115524
     /*  115524 */ GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(115638),
     /*  115529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  115532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  115535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115547 */   GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(115592), // Rule ID 51448 //
     /*  115552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115555 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  115555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  115558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  115572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115590 */     GIR_RootConstrainSelectedInstOperands,
     /*  115591 */     // GIR_Coverage, 51448,
     /*  115591 */     GIR_EraseRootFromParent_Done,
     /*  115592 */   // Label 1934: @115592
     /*  115592 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(115637), // Rule ID 51449 //
     /*  115597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115600 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  115600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  115603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  115617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115635 */     GIR_RootConstrainSelectedInstOperands,
     /*  115636 */     // GIR_Coverage, 51449,
     /*  115636 */     GIR_EraseRootFromParent_Done,
     /*  115637 */   // Label 1935: @115637
     /*  115637 */   GIM_Reject,
     /*  115638 */ // Label 1933: @115638
     /*  115638 */ GIM_Reject,
     /*  115639 */ // Label 1867: @115639
     /*  115639 */ GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(115753),
     /*  115644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  115647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  115650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115662 */   GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(115707), // Rule ID 51436 //
     /*  115667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115670 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  115670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  115673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  115687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115705 */     GIR_RootConstrainSelectedInstOperands,
     /*  115706 */     // GIR_Coverage, 51436,
     /*  115706 */     GIR_EraseRootFromParent_Done,
     /*  115707 */   // Label 1937: @115707
     /*  115707 */   GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(115752), // Rule ID 51437 //
     /*  115712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115715 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  115715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  115718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  115732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115750 */     GIR_RootConstrainSelectedInstOperands,
     /*  115751 */     // GIR_Coverage, 51437,
     /*  115751 */     GIR_EraseRootFromParent_Done,
     /*  115752 */   // Label 1938: @115752
     /*  115752 */   GIM_Reject,
     /*  115753 */ // Label 1936: @115753
     /*  115753 */ GIM_Reject,
     /*  115754 */ // Label 1868: @115754
     /*  115754 */ GIM_Reject,
     /*  115755 */ // Label 6: @115755
     /*  115755 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1963*/ GIMT_Encode4(118488),
     /*  115766 */ /*GILLT_s32*//*Label 1939*/ GIMT_Encode4(115890),
     /*  115770 */ /*GILLT_s64*//*Label 1940*/ GIMT_Encode4(115924), GIMT_Encode4(0),
     /*  115778 */ /*GILLT_nxv1s8*//*Label 1941*/ GIMT_Encode4(115958),
     /*  115782 */ /*GILLT_nxv1s16*//*Label 1942*/ GIMT_Encode4(116073),
     /*  115786 */ /*GILLT_nxv1s32*//*Label 1943*/ GIMT_Encode4(116188),
     /*  115790 */ /*GILLT_nxv1s64*//*Label 1944*/ GIMT_Encode4(116303), GIMT_Encode4(0),
     /*  115798 */ /*GILLT_nxv2s8*//*Label 1945*/ GIMT_Encode4(116418),
     /*  115802 */ /*GILLT_nxv2s16*//*Label 1946*/ GIMT_Encode4(116533),
     /*  115806 */ /*GILLT_nxv2s32*//*Label 1947*/ GIMT_Encode4(116648),
     /*  115810 */ /*GILLT_nxv2s64*//*Label 1948*/ GIMT_Encode4(116763), GIMT_Encode4(0),
     /*  115818 */ /*GILLT_nxv4s8*//*Label 1949*/ GIMT_Encode4(116878),
     /*  115822 */ /*GILLT_nxv4s16*//*Label 1950*/ GIMT_Encode4(116993),
     /*  115826 */ /*GILLT_nxv4s32*//*Label 1951*/ GIMT_Encode4(117108),
     /*  115830 */ /*GILLT_nxv4s64*//*Label 1952*/ GIMT_Encode4(117223), GIMT_Encode4(0),
     /*  115838 */ /*GILLT_nxv8s8*//*Label 1953*/ GIMT_Encode4(117338),
     /*  115842 */ /*GILLT_nxv8s16*//*Label 1954*/ GIMT_Encode4(117453),
     /*  115846 */ /*GILLT_nxv8s32*//*Label 1955*/ GIMT_Encode4(117568),
     /*  115850 */ /*GILLT_nxv8s64*//*Label 1956*/ GIMT_Encode4(117683), GIMT_Encode4(0),
     /*  115858 */ /*GILLT_nxv16s8*//*Label 1957*/ GIMT_Encode4(117798),
     /*  115862 */ /*GILLT_nxv16s16*//*Label 1958*/ GIMT_Encode4(117913),
     /*  115866 */ /*GILLT_nxv16s32*//*Label 1959*/ GIMT_Encode4(118028), GIMT_Encode4(0),
     /*  115874 */ /*GILLT_nxv32s8*//*Label 1960*/ GIMT_Encode4(118143),
     /*  115878 */ /*GILLT_nxv32s16*//*Label 1961*/ GIMT_Encode4(118258), GIMT_Encode4(0),
     /*  115886 */ /*GILLT_nxv64s8*//*Label 1962*/ GIMT_Encode4(118373),
     /*  115890 */ // Label 1939: @115890
     /*  115890 */ GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(115923), // Rule ID 316 //
     /*  115895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  115898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  115901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  115904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115916 */   // (urem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REMU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115916 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  115921 */   GIR_RootConstrainSelectedInstOperands,
     /*  115922 */   // GIR_Coverage, 316,
     /*  115922 */   GIR_Done,
     /*  115923 */ // Label 1964: @115923
     /*  115923 */ GIM_Reject,
     /*  115924 */ // Label 1940: @115924
     /*  115924 */ GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(115957), // Rule ID 315 //
     /*  115929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  115932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  115935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  115938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115950 */   // (urem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115950 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  115955 */   GIR_RootConstrainSelectedInstOperands,
     /*  115956 */   // GIR_Coverage, 315,
     /*  115956 */   GIR_Done,
     /*  115957 */ // Label 1965: @115957
     /*  115957 */ GIM_Reject,
     /*  115958 */ // Label 1941: @115958
     /*  115958 */ GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(116072),
     /*  115963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  115966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  115969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115981 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(116026), // Rule ID 51300 //
     /*  115986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115989 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  115989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  115992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  116006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116024 */     GIR_RootConstrainSelectedInstOperands,
     /*  116025 */     // GIR_Coverage, 51300,
     /*  116025 */     GIR_EraseRootFromParent_Done,
     /*  116026 */   // Label 1967: @116026
     /*  116026 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(116071), // Rule ID 51301 //
     /*  116031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116034 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  116034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  116037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  116051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116069 */     GIR_RootConstrainSelectedInstOperands,
     /*  116070 */     // GIR_Coverage, 51301,
     /*  116070 */     GIR_EraseRootFromParent_Done,
     /*  116071 */   // Label 1968: @116071
     /*  116071 */   GIM_Reject,
     /*  116072 */ // Label 1966: @116072
     /*  116072 */ GIM_Reject,
     /*  116073 */ // Label 1942: @116073
     /*  116073 */ GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(116187),
     /*  116078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  116081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  116084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116096 */   GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(116141), // Rule ID 51312 //
     /*  116101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116104 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  116104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  116107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  116121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116139 */     GIR_RootConstrainSelectedInstOperands,
     /*  116140 */     // GIR_Coverage, 51312,
     /*  116140 */     GIR_EraseRootFromParent_Done,
     /*  116141 */   // Label 1970: @116141
     /*  116141 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(116186), // Rule ID 51313 //
     /*  116146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116149 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  116149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  116152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  116166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116184 */     GIR_RootConstrainSelectedInstOperands,
     /*  116185 */     // GIR_Coverage, 51313,
     /*  116185 */     GIR_EraseRootFromParent_Done,
     /*  116186 */   // Label 1971: @116186
     /*  116186 */   GIM_Reject,
     /*  116187 */ // Label 1969: @116187
     /*  116187 */ GIM_Reject,
     /*  116188 */ // Label 1943: @116188
     /*  116188 */ GIM_Try, /*On fail goto*//*Label 1972*/ GIMT_Encode4(116302),
     /*  116193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  116196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  116199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116211 */   GIM_Try, /*On fail goto*//*Label 1973*/ GIMT_Encode4(116256), // Rule ID 51320 //
     /*  116216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116219 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  116219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  116222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  116236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116254 */     GIR_RootConstrainSelectedInstOperands,
     /*  116255 */     // GIR_Coverage, 51320,
     /*  116255 */     GIR_EraseRootFromParent_Done,
     /*  116256 */   // Label 1973: @116256
     /*  116256 */   GIM_Try, /*On fail goto*//*Label 1974*/ GIMT_Encode4(116301), // Rule ID 51321 //
     /*  116261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116264 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  116264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  116267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  116281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116299 */     GIR_RootConstrainSelectedInstOperands,
     /*  116300 */     // GIR_Coverage, 51321,
     /*  116300 */     GIR_EraseRootFromParent_Done,
     /*  116301 */   // Label 1974: @116301
     /*  116301 */   GIM_Reject,
     /*  116302 */ // Label 1972: @116302
     /*  116302 */ GIM_Reject,
     /*  116303 */ // Label 1944: @116303
     /*  116303 */ GIM_Try, /*On fail goto*//*Label 1975*/ GIMT_Encode4(116417),
     /*  116308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  116311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  116314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116326 */   GIM_Try, /*On fail goto*//*Label 1976*/ GIMT_Encode4(116371), // Rule ID 51336 //
     /*  116331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  116334 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  116334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  116337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  116351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116369 */     GIR_RootConstrainSelectedInstOperands,
     /*  116370 */     // GIR_Coverage, 51336,
     /*  116370 */     GIR_EraseRootFromParent_Done,
     /*  116371 */   // Label 1976: @116371
     /*  116371 */   GIM_Try, /*On fail goto*//*Label 1977*/ GIMT_Encode4(116416), // Rule ID 51337 //
     /*  116376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  116379 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  116379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  116382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  116396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116414 */     GIR_RootConstrainSelectedInstOperands,
     /*  116415 */     // GIR_Coverage, 51337,
     /*  116415 */     GIR_EraseRootFromParent_Done,
     /*  116416 */   // Label 1977: @116416
     /*  116416 */   GIM_Reject,
     /*  116417 */ // Label 1975: @116417
     /*  116417 */ GIM_Reject,
     /*  116418 */ // Label 1945: @116418
     /*  116418 */ GIM_Try, /*On fail goto*//*Label 1978*/ GIMT_Encode4(116532),
     /*  116423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  116426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  116429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116441 */   GIM_Try, /*On fail goto*//*Label 1979*/ GIMT_Encode4(116486), // Rule ID 51304 //
     /*  116446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116449 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  116449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  116452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  116466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116484 */     GIR_RootConstrainSelectedInstOperands,
     /*  116485 */     // GIR_Coverage, 51304,
     /*  116485 */     GIR_EraseRootFromParent_Done,
     /*  116486 */   // Label 1979: @116486
     /*  116486 */   GIM_Try, /*On fail goto*//*Label 1980*/ GIMT_Encode4(116531), // Rule ID 51305 //
     /*  116491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116494 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  116494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  116497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  116511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116529 */     GIR_RootConstrainSelectedInstOperands,
     /*  116530 */     // GIR_Coverage, 51305,
     /*  116530 */     GIR_EraseRootFromParent_Done,
     /*  116531 */   // Label 1980: @116531
     /*  116531 */   GIM_Reject,
     /*  116532 */ // Label 1978: @116532
     /*  116532 */ GIM_Reject,
     /*  116533 */ // Label 1946: @116533
     /*  116533 */ GIM_Try, /*On fail goto*//*Label 1981*/ GIMT_Encode4(116647),
     /*  116538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  116541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  116544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116556 */   GIM_Try, /*On fail goto*//*Label 1982*/ GIMT_Encode4(116601), // Rule ID 51316 //
     /*  116561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116564 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  116564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  116567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  116581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116599 */     GIR_RootConstrainSelectedInstOperands,
     /*  116600 */     // GIR_Coverage, 51316,
     /*  116600 */     GIR_EraseRootFromParent_Done,
     /*  116601 */   // Label 1982: @116601
     /*  116601 */   GIM_Try, /*On fail goto*//*Label 1983*/ GIMT_Encode4(116646), // Rule ID 51317 //
     /*  116606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116609 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  116609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  116612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  116626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116644 */     GIR_RootConstrainSelectedInstOperands,
     /*  116645 */     // GIR_Coverage, 51317,
     /*  116645 */     GIR_EraseRootFromParent_Done,
     /*  116646 */   // Label 1983: @116646
     /*  116646 */   GIM_Reject,
     /*  116647 */ // Label 1981: @116647
     /*  116647 */ GIM_Reject,
     /*  116648 */ // Label 1947: @116648
     /*  116648 */ GIM_Try, /*On fail goto*//*Label 1984*/ GIMT_Encode4(116762),
     /*  116653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  116656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  116659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116671 */   GIM_Try, /*On fail goto*//*Label 1985*/ GIMT_Encode4(116716), // Rule ID 51332 //
     /*  116676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116679 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  116679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  116682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  116696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116714 */     GIR_RootConstrainSelectedInstOperands,
     /*  116715 */     // GIR_Coverage, 51332,
     /*  116715 */     GIR_EraseRootFromParent_Done,
     /*  116716 */   // Label 1985: @116716
     /*  116716 */   GIM_Try, /*On fail goto*//*Label 1986*/ GIMT_Encode4(116761), // Rule ID 51333 //
     /*  116721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116724 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  116724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  116727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  116741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116759 */     GIR_RootConstrainSelectedInstOperands,
     /*  116760 */     // GIR_Coverage, 51333,
     /*  116760 */     GIR_EraseRootFromParent_Done,
     /*  116761 */   // Label 1986: @116761
     /*  116761 */   GIM_Reject,
     /*  116762 */ // Label 1984: @116762
     /*  116762 */ GIM_Reject,
     /*  116763 */ // Label 1948: @116763
     /*  116763 */ GIM_Try, /*On fail goto*//*Label 1987*/ GIMT_Encode4(116877),
     /*  116768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  116771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  116774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116786 */   GIM_Try, /*On fail goto*//*Label 1988*/ GIMT_Encode4(116831), // Rule ID 51376 //
     /*  116791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  116794 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  116794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  116797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  116811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116829 */     GIR_RootConstrainSelectedInstOperands,
     /*  116830 */     // GIR_Coverage, 51376,
     /*  116830 */     GIR_EraseRootFromParent_Done,
     /*  116831 */   // Label 1988: @116831
     /*  116831 */   GIM_Try, /*On fail goto*//*Label 1989*/ GIMT_Encode4(116876), // Rule ID 51377 //
     /*  116836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  116839 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  116839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  116842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  116856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116874 */     GIR_RootConstrainSelectedInstOperands,
     /*  116875 */     // GIR_Coverage, 51377,
     /*  116875 */     GIR_EraseRootFromParent_Done,
     /*  116876 */   // Label 1989: @116876
     /*  116876 */   GIM_Reject,
     /*  116877 */ // Label 1987: @116877
     /*  116877 */ GIM_Reject,
     /*  116878 */ // Label 1949: @116878
     /*  116878 */ GIM_Try, /*On fail goto*//*Label 1990*/ GIMT_Encode4(116992),
     /*  116883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  116886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  116889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116901 */   GIM_Try, /*On fail goto*//*Label 1991*/ GIMT_Encode4(116946), // Rule ID 51308 //
     /*  116906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116909 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  116909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  116912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  116926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116944 */     GIR_RootConstrainSelectedInstOperands,
     /*  116945 */     // GIR_Coverage, 51308,
     /*  116945 */     GIR_EraseRootFromParent_Done,
     /*  116946 */   // Label 1991: @116946
     /*  116946 */   GIM_Try, /*On fail goto*//*Label 1992*/ GIMT_Encode4(116991), // Rule ID 51309 //
     /*  116951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116954 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  116954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  116957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  116971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116989 */     GIR_RootConstrainSelectedInstOperands,
     /*  116990 */     // GIR_Coverage, 51309,
     /*  116990 */     GIR_EraseRootFromParent_Done,
     /*  116991 */   // Label 1992: @116991
     /*  116991 */   GIM_Reject,
     /*  116992 */ // Label 1990: @116992
     /*  116992 */ GIM_Reject,
     /*  116993 */ // Label 1950: @116993
     /*  116993 */ GIM_Try, /*On fail goto*//*Label 1993*/ GIMT_Encode4(117107),
     /*  116998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  117001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  117004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117016 */   GIM_Try, /*On fail goto*//*Label 1994*/ GIMT_Encode4(117061), // Rule ID 51328 //
     /*  117021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117024 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  117027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  117041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117059 */     GIR_RootConstrainSelectedInstOperands,
     /*  117060 */     // GIR_Coverage, 51328,
     /*  117060 */     GIR_EraseRootFromParent_Done,
     /*  117061 */   // Label 1994: @117061
     /*  117061 */   GIM_Try, /*On fail goto*//*Label 1995*/ GIMT_Encode4(117106), // Rule ID 51329 //
     /*  117066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117069 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  117072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  117086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117104 */     GIR_RootConstrainSelectedInstOperands,
     /*  117105 */     // GIR_Coverage, 51329,
     /*  117105 */     GIR_EraseRootFromParent_Done,
     /*  117106 */   // Label 1995: @117106
     /*  117106 */   GIM_Reject,
     /*  117107 */ // Label 1993: @117107
     /*  117107 */ GIM_Reject,
     /*  117108 */ // Label 1951: @117108
     /*  117108 */ GIM_Try, /*On fail goto*//*Label 1996*/ GIMT_Encode4(117222),
     /*  117113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  117116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  117119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117131 */   GIM_Try, /*On fail goto*//*Label 1997*/ GIMT_Encode4(117176), // Rule ID 51364 //
     /*  117136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117139 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  117142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  117156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117174 */     GIR_RootConstrainSelectedInstOperands,
     /*  117175 */     // GIR_Coverage, 51364,
     /*  117175 */     GIR_EraseRootFromParent_Done,
     /*  117176 */   // Label 1997: @117176
     /*  117176 */   GIM_Try, /*On fail goto*//*Label 1998*/ GIMT_Encode4(117221), // Rule ID 51365 //
     /*  117181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117184 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  117187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  117201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117219 */     GIR_RootConstrainSelectedInstOperands,
     /*  117220 */     // GIR_Coverage, 51365,
     /*  117220 */     GIR_EraseRootFromParent_Done,
     /*  117221 */   // Label 1998: @117221
     /*  117221 */   GIM_Reject,
     /*  117222 */ // Label 1996: @117222
     /*  117222 */ GIM_Reject,
     /*  117223 */ // Label 1952: @117223
     /*  117223 */ GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(117337),
     /*  117228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  117231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  117234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117246 */   GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(117291), // Rule ID 51380 //
     /*  117251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117254 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  117257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  117271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117289 */     GIR_RootConstrainSelectedInstOperands,
     /*  117290 */     // GIR_Coverage, 51380,
     /*  117290 */     GIR_EraseRootFromParent_Done,
     /*  117291 */   // Label 2000: @117291
     /*  117291 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(117336), // Rule ID 51381 //
     /*  117296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117299 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  117302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  117316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117334 */     GIR_RootConstrainSelectedInstOperands,
     /*  117335 */     // GIR_Coverage, 51381,
     /*  117335 */     GIR_EraseRootFromParent_Done,
     /*  117336 */   // Label 2001: @117336
     /*  117336 */   GIM_Reject,
     /*  117337 */ // Label 1999: @117337
     /*  117337 */ GIM_Reject,
     /*  117338 */ // Label 1953: @117338
     /*  117338 */ GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(117452),
     /*  117343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  117346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  117349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117361 */   GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(117406), // Rule ID 51324 //
     /*  117366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117369 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  117372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  117386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117404 */     GIR_RootConstrainSelectedInstOperands,
     /*  117405 */     // GIR_Coverage, 51324,
     /*  117405 */     GIR_EraseRootFromParent_Done,
     /*  117406 */   // Label 2003: @117406
     /*  117406 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(117451), // Rule ID 51325 //
     /*  117411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117414 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  117417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  117431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117449 */     GIR_RootConstrainSelectedInstOperands,
     /*  117450 */     // GIR_Coverage, 51325,
     /*  117450 */     GIR_EraseRootFromParent_Done,
     /*  117451 */   // Label 2004: @117451
     /*  117451 */   GIM_Reject,
     /*  117452 */ // Label 2002: @117452
     /*  117452 */ GIM_Reject,
     /*  117453 */ // Label 1954: @117453
     /*  117453 */ GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(117567),
     /*  117458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  117461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  117464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117476 */   GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(117521), // Rule ID 51352 //
     /*  117481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117484 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  117487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  117501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117519 */     GIR_RootConstrainSelectedInstOperands,
     /*  117520 */     // GIR_Coverage, 51352,
     /*  117520 */     GIR_EraseRootFromParent_Done,
     /*  117521 */   // Label 2006: @117521
     /*  117521 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(117566), // Rule ID 51353 //
     /*  117526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117529 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  117532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  117546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117564 */     GIR_RootConstrainSelectedInstOperands,
     /*  117565 */     // GIR_Coverage, 51353,
     /*  117565 */     GIR_EraseRootFromParent_Done,
     /*  117566 */   // Label 2007: @117566
     /*  117566 */   GIM_Reject,
     /*  117567 */ // Label 2005: @117567
     /*  117567 */ GIM_Reject,
     /*  117568 */ // Label 1955: @117568
     /*  117568 */ GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(117682),
     /*  117573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  117576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  117579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117591 */   GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(117636), // Rule ID 51368 //
     /*  117596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117599 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  117602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  117616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117634 */     GIR_RootConstrainSelectedInstOperands,
     /*  117635 */     // GIR_Coverage, 51368,
     /*  117635 */     GIR_EraseRootFromParent_Done,
     /*  117636 */   // Label 2009: @117636
     /*  117636 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(117681), // Rule ID 51369 //
     /*  117641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117644 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  117647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  117661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117679 */     GIR_RootConstrainSelectedInstOperands,
     /*  117680 */     // GIR_Coverage, 51369,
     /*  117680 */     GIR_EraseRootFromParent_Done,
     /*  117681 */   // Label 2010: @117681
     /*  117681 */   GIM_Reject,
     /*  117682 */ // Label 2008: @117682
     /*  117682 */ GIM_Reject,
     /*  117683 */ // Label 1956: @117683
     /*  117683 */ GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(117797),
     /*  117688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  117691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  117694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117702 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117706 */   GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(117751), // Rule ID 51384 //
     /*  117711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117714 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  117717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  117731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117749 */     GIR_RootConstrainSelectedInstOperands,
     /*  117750 */     // GIR_Coverage, 51384,
     /*  117750 */     GIR_EraseRootFromParent_Done,
     /*  117751 */   // Label 2012: @117751
     /*  117751 */   GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(117796), // Rule ID 51385 //
     /*  117756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117759 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  117762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  117776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117794 */     GIR_RootConstrainSelectedInstOperands,
     /*  117795 */     // GIR_Coverage, 51385,
     /*  117795 */     GIR_EraseRootFromParent_Done,
     /*  117796 */   // Label 2013: @117796
     /*  117796 */   GIM_Reject,
     /*  117797 */ // Label 2011: @117797
     /*  117797 */ GIM_Reject,
     /*  117798 */ // Label 1957: @117798
     /*  117798 */ GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(117912),
     /*  117803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  117806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  117809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117821 */   GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(117866), // Rule ID 51340 //
     /*  117826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117829 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  117832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  117846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117864 */     GIR_RootConstrainSelectedInstOperands,
     /*  117865 */     // GIR_Coverage, 51340,
     /*  117865 */     GIR_EraseRootFromParent_Done,
     /*  117866 */   // Label 2015: @117866
     /*  117866 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(117911), // Rule ID 51341 //
     /*  117871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117874 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  117877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  117891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117909 */     GIR_RootConstrainSelectedInstOperands,
     /*  117910 */     // GIR_Coverage, 51341,
     /*  117910 */     GIR_EraseRootFromParent_Done,
     /*  117911 */   // Label 2016: @117911
     /*  117911 */   GIM_Reject,
     /*  117912 */ // Label 2014: @117912
     /*  117912 */ GIM_Reject,
     /*  117913 */ // Label 1958: @117913
     /*  117913 */ GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(118027),
     /*  117918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  117921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  117924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117936 */   GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(117981), // Rule ID 51356 //
     /*  117941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117944 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  117947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  117961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117979 */     GIR_RootConstrainSelectedInstOperands,
     /*  117980 */     // GIR_Coverage, 51356,
     /*  117980 */     GIR_EraseRootFromParent_Done,
     /*  117981 */   // Label 2018: @117981
     /*  117981 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(118026), // Rule ID 51357 //
     /*  117986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117989 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  117992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  118006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118024 */     GIR_RootConstrainSelectedInstOperands,
     /*  118025 */     // GIR_Coverage, 51357,
     /*  118025 */     GIR_EraseRootFromParent_Done,
     /*  118026 */   // Label 2019: @118026
     /*  118026 */   GIM_Reject,
     /*  118027 */ // Label 2017: @118027
     /*  118027 */ GIM_Reject,
     /*  118028 */ // Label 1959: @118028
     /*  118028 */ GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(118142),
     /*  118033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  118036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  118039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118051 */   GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(118096), // Rule ID 51372 //
     /*  118056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118059 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  118059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  118062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  118076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118094 */     GIR_RootConstrainSelectedInstOperands,
     /*  118095 */     // GIR_Coverage, 51372,
     /*  118095 */     GIR_EraseRootFromParent_Done,
     /*  118096 */   // Label 2021: @118096
     /*  118096 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(118141), // Rule ID 51373 //
     /*  118101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118104 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  118104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  118107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  118121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118139 */     GIR_RootConstrainSelectedInstOperands,
     /*  118140 */     // GIR_Coverage, 51373,
     /*  118140 */     GIR_EraseRootFromParent_Done,
     /*  118141 */   // Label 2022: @118141
     /*  118141 */   GIM_Reject,
     /*  118142 */ // Label 2020: @118142
     /*  118142 */ GIM_Reject,
     /*  118143 */ // Label 1960: @118143
     /*  118143 */ GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(118257),
     /*  118148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  118151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  118154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  118158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  118162 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  118166 */   GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(118211), // Rule ID 51344 //
     /*  118171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118174 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  118177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  118191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118209 */     GIR_RootConstrainSelectedInstOperands,
     /*  118210 */     // GIR_Coverage, 51344,
     /*  118210 */     GIR_EraseRootFromParent_Done,
     /*  118211 */   // Label 2024: @118211
     /*  118211 */   GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(118256), // Rule ID 51345 //
     /*  118216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118219 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  118222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  118236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118254 */     GIR_RootConstrainSelectedInstOperands,
     /*  118255 */     // GIR_Coverage, 51345,
     /*  118255 */     GIR_EraseRootFromParent_Done,
     /*  118256 */   // Label 2025: @118256
     /*  118256 */   GIM_Reject,
     /*  118257 */ // Label 2023: @118257
     /*  118257 */ GIM_Reject,
     /*  118258 */ // Label 1961: @118258
     /*  118258 */ GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(118372),
     /*  118263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  118266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  118269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118281 */   GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(118326), // Rule ID 51360 //
     /*  118286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118289 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  118289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  118292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  118306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118324 */     GIR_RootConstrainSelectedInstOperands,
     /*  118325 */     // GIR_Coverage, 51360,
     /*  118325 */     GIR_EraseRootFromParent_Done,
     /*  118326 */   // Label 2027: @118326
     /*  118326 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(118371), // Rule ID 51361 //
     /*  118331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118334 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  118334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  118337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  118351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118369 */     GIR_RootConstrainSelectedInstOperands,
     /*  118370 */     // GIR_Coverage, 51361,
     /*  118370 */     GIR_EraseRootFromParent_Done,
     /*  118371 */   // Label 2028: @118371
     /*  118371 */   GIM_Reject,
     /*  118372 */ // Label 2026: @118372
     /*  118372 */ GIM_Reject,
     /*  118373 */ // Label 1962: @118373
     /*  118373 */ GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(118487),
     /*  118378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  118381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  118384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118396 */   GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(118441), // Rule ID 51348 //
     /*  118401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118404 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  118407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  118421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118439 */     GIR_RootConstrainSelectedInstOperands,
     /*  118440 */     // GIR_Coverage, 51348,
     /*  118440 */     GIR_EraseRootFromParent_Done,
     /*  118441 */   // Label 2030: @118441
     /*  118441 */   GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(118486), // Rule ID 51349 //
     /*  118446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118449 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  118452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  118466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118484 */     GIR_RootConstrainSelectedInstOperands,
     /*  118485 */     // GIR_Coverage, 51349,
     /*  118485 */     GIR_EraseRootFromParent_Done,
     /*  118486 */   // Label 2031: @118486
     /*  118486 */   GIM_Reject,
     /*  118487 */ // Label 2029: @118487
     /*  118487 */ GIM_Reject,
     /*  118488 */ // Label 1963: @118488
     /*  118488 */ GIM_Reject,
     /*  118489 */ // Label 7: @118489
     /*  118489 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2063*/ GIMT_Encode4(128446),
     /*  118500 */ /*GILLT_s32*//*Label 2032*/ GIMT_Encode4(118624),
     /*  118504 */ /*GILLT_s64*//*Label 2033*/ GIMT_Encode4(120318),
     /*  118508 */ /*GILLT_nxv1s1*//*Label 2034*/ GIMT_Encode4(121639),
     /*  118512 */ /*GILLT_nxv1s8*//*Label 2035*/ GIMT_Encode4(122250),
     /*  118516 */ /*GILLT_nxv1s16*//*Label 2036*/ GIMT_Encode4(122365),
     /*  118520 */ /*GILLT_nxv1s32*//*Label 2037*/ GIMT_Encode4(122480),
     /*  118524 */ /*GILLT_nxv1s64*//*Label 2038*/ GIMT_Encode4(122595),
     /*  118528 */ /*GILLT_nxv2s1*//*Label 2039*/ GIMT_Encode4(122710),
     /*  118532 */ /*GILLT_nxv2s8*//*Label 2040*/ GIMT_Encode4(123321),
     /*  118536 */ /*GILLT_nxv2s16*//*Label 2041*/ GIMT_Encode4(123436),
     /*  118540 */ /*GILLT_nxv2s32*//*Label 2042*/ GIMT_Encode4(123551),
     /*  118544 */ /*GILLT_nxv2s64*//*Label 2043*/ GIMT_Encode4(123666),
     /*  118548 */ /*GILLT_nxv4s1*//*Label 2044*/ GIMT_Encode4(123781),
     /*  118552 */ /*GILLT_nxv4s8*//*Label 2045*/ GIMT_Encode4(124392),
     /*  118556 */ /*GILLT_nxv4s16*//*Label 2046*/ GIMT_Encode4(124507),
     /*  118560 */ /*GILLT_nxv4s32*//*Label 2047*/ GIMT_Encode4(124622),
     /*  118564 */ /*GILLT_nxv4s64*//*Label 2048*/ GIMT_Encode4(124737),
     /*  118568 */ /*GILLT_nxv8s1*//*Label 2049*/ GIMT_Encode4(124852),
     /*  118572 */ /*GILLT_nxv8s8*//*Label 2050*/ GIMT_Encode4(125463),
     /*  118576 */ /*GILLT_nxv8s16*//*Label 2051*/ GIMT_Encode4(125578),
     /*  118580 */ /*GILLT_nxv8s32*//*Label 2052*/ GIMT_Encode4(125693),
     /*  118584 */ /*GILLT_nxv8s64*//*Label 2053*/ GIMT_Encode4(125808),
     /*  118588 */ /*GILLT_nxv16s1*//*Label 2054*/ GIMT_Encode4(125923),
     /*  118592 */ /*GILLT_nxv16s8*//*Label 2055*/ GIMT_Encode4(126534),
     /*  118596 */ /*GILLT_nxv16s16*//*Label 2056*/ GIMT_Encode4(126649),
     /*  118600 */ /*GILLT_nxv16s32*//*Label 2057*/ GIMT_Encode4(126764),
     /*  118604 */ /*GILLT_nxv32s1*//*Label 2058*/ GIMT_Encode4(126879),
     /*  118608 */ /*GILLT_nxv32s8*//*Label 2059*/ GIMT_Encode4(127490),
     /*  118612 */ /*GILLT_nxv32s16*//*Label 2060*/ GIMT_Encode4(127605),
     /*  118616 */ /*GILLT_nxv64s1*//*Label 2061*/ GIMT_Encode4(127720),
     /*  118620 */ /*GILLT_nxv64s8*//*Label 2062*/ GIMT_Encode4(128331),
     /*  118624 */ // Label 2032: @118624
     /*  118624 */ GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(120317),
     /*  118629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  118632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  118635 */   GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(118724), // Rule ID 65512 //
     /*  118640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  118643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  118655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118675 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118679 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118684 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  118688 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  118699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118701 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  118708 */     // (and:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] })), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  118711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  118718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  118722 */     GIR_RootConstrainSelectedInstOperands,
     /*  118723 */     // GIR_Coverage, 65512,
     /*  118723 */     GIR_EraseRootFromParent_Done,
     /*  118724 */   // Label 2065: @118724
     /*  118724 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(118813), // Rule ID 2546 //
     /*  118729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  118732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  118744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118764 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118773 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  118777 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  118788 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118790 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  118797 */     // (and:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1)), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  118800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  118807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  118811 */     GIR_RootConstrainSelectedInstOperands,
     /*  118812 */     // GIR_Coverage, 2546,
     /*  118812 */     GIR_EraseRootFromParent_Done,
     /*  118813 */   // Label 2066: @118813
     /*  118813 */   GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(118892), // Rule ID 2473 //
     /*  118818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118853 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118857 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  118861 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  118865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118869 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118871 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  118878 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  118881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  118890 */     GIR_RootConstrainSelectedInstOperands,
     /*  118891 */     // GIR_Coverage, 2473,
     /*  118891 */     GIR_EraseRootFromParent_Done,
     /*  118892 */   // Label 2067: @118892
     /*  118892 */   GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(118971), // Rule ID 65500 //
     /*  118897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118936 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118940 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  118944 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  118948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118950 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  118957 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  118960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  118969 */     GIR_RootConstrainSelectedInstOperands,
     /*  118970 */     // GIR_Coverage, 65500,
     /*  118970 */     GIR_EraseRootFromParent_Done,
     /*  118971 */   // Label 2068: @118971
     /*  118971 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(119036), // Rule ID 2493 //
     /*  118976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  118991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  119012 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  119016 */     // MIs[2] Operand 1
     /*  119016 */     // No operand predicates
     /*  119016 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  119020 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119022 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (BEXTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  119022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  119025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  119031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  119034 */     GIR_RootConstrainSelectedInstOperands,
     /*  119035 */     // GIR_Coverage, 2493,
     /*  119035 */     GIR_EraseRootFromParent_Done,
     /*  119036 */   // Label 2069: @119036
     /*  119036 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(119101), // Rule ID 62577 //
     /*  119041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode1),
     /*  119044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  119056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  119077 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  119081 */     // MIs[2] Operand 1
     /*  119081 */     // No operand predicates
     /*  119081 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  119085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119087 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (TH_TST:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  119087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  119090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  119096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  119099 */     GIR_RootConstrainSelectedInstOperands,
     /*  119100 */     // GIR_Coverage, 62577,
     /*  119100 */     GIR_EraseRootFromParent_Done,
     /*  119101 */   // Label 2070: @119101
     /*  119101 */   GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(119163), // Rule ID 2481 //
     /*  119106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  119109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  119121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119134 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  119138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119140 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  119147 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), 1:{ *:[i32] })  =>  (BEXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  119150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  119156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  119161 */     GIR_RootConstrainSelectedInstOperands,
     /*  119162 */     // GIR_Coverage, 2481,
     /*  119162 */     GIR_EraseRootFromParent_Done,
     /*  119163 */   // Label 2071: @119163
     /*  119163 */   GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(119219), // Rule ID 2475 //
     /*  119168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  119171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  119183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119191 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  119195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119206 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  119209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119217 */     GIR_RootConstrainSelectedInstOperands,
     /*  119218 */     // GIR_Coverage, 2475,
     /*  119218 */     GIR_EraseRootFromParent_Done,
     /*  119219 */   // Label 2072: @119219
     /*  119219 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(119275), // Rule ID 65486 //
     /*  119224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  119227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119252 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  119256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119262 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  119265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119273 */     GIR_RootConstrainSelectedInstOperands,
     /*  119274 */     // GIR_Coverage, 65486,
     /*  119274 */     GIR_EraseRootFromParent_Done,
     /*  119275 */   // Label 2073: @119275
     /*  119275 */   GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(119331), // Rule ID 65502 //
     /*  119280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  119283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  119299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119307 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  119311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119318 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  119321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119329 */     GIR_RootConstrainSelectedInstOperands,
     /*  119330 */     // GIR_Coverage, 65502,
     /*  119330 */     GIR_EraseRootFromParent_Done,
     /*  119331 */   // Label 2074: @119331
     /*  119331 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(119387), // Rule ID 2447 //
     /*  119336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  119339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119359 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119368 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  119372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119374 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  119377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119385 */     GIR_RootConstrainSelectedInstOperands,
     /*  119386 */     // GIR_Coverage, 2447,
     /*  119386 */     GIR_EraseRootFromParent_Done,
     /*  119387 */   // Label 2075: @119387
     /*  119387 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(119423), // Rule ID 64478 //
     /*  119392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  119395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119403 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119414 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 65535:{ *:[i32] })  =>  (CV_EXTHZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  119414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  119417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119421 */     GIR_RootConstrainSelectedInstOperands,
     /*  119422 */     // GIR_Coverage, 64478,
     /*  119422 */     GIR_EraseRootFromParent_Done,
     /*  119423 */   // Label 2076: @119423
     /*  119423 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(119459), // Rule ID 64480 //
     /*  119428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  119431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119439 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  119450 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 255:{ *:[i32] })  =>  (CV_EXTBZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  119450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  119453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119457 */     GIR_RootConstrainSelectedInstOperands,
     /*  119458 */     // GIR_Coverage, 64480,
     /*  119458 */     GIR_EraseRootFromParent_Done,
     /*  119459 */   // Label 2077: @119459
     /*  119459 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(119495), // Rule ID 2557 //
     /*  119464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /*  119467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119475 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119486 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  119486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  119489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119493 */     GIR_RootConstrainSelectedInstOperands,
     /*  119494 */     // GIR_Coverage, 2557,
     /*  119494 */     GIR_EraseRootFromParent_Done,
     /*  119495 */   // Label 2078: @119495
     /*  119495 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(119531), // Rule ID 2558 //
     /*  119500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /*  119503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119511 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119522 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  119522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  119525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119529 */     GIR_RootConstrainSelectedInstOperands,
     /*  119530 */     // GIR_Coverage, 2558,
     /*  119530 */     GIR_EraseRootFromParent_Done,
     /*  119531 */   // Label 2079: @119531
     /*  119531 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(119573), // Rule ID 2560 //
     /*  119536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /*  119539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119547 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119558 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i64] })
     /*  119558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  119561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119565 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  119571 */     GIR_RootConstrainSelectedInstOperands,
     /*  119572 */     // GIR_Coverage, 2560,
     /*  119572 */     GIR_EraseRootFromParent_Done,
     /*  119573 */   // Label 2080: @119573
     /*  119573 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(119615), // Rule ID 2561 //
     /*  119578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /*  119581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119589 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119600 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i32] })
     /*  119600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  119603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119607 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  119613 */     GIR_RootConstrainSelectedInstOperands,
     /*  119614 */     // GIR_Coverage, 2561,
     /*  119614 */     GIR_EraseRootFromParent_Done,
     /*  119615 */   // Label 2081: @119615
     /*  119615 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(119650), // Rule ID 64617 //
     /*  119620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /*  119623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119631 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /*  119635 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 63:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  119635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  119645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119648 */     GIR_RootConstrainSelectedInstOperands,
     /*  119649 */     // GIR_Coverage, 64617,
     /*  119649 */     GIR_EraseRootFromParent_Done,
     /*  119650 */   // Label 2082: @119650
     /*  119650 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(119685), // Rule ID 64618 //
     /*  119655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /*  119658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119666 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /*  119670 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 63:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  119670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  119680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119683 */     GIR_RootConstrainSelectedInstOperands,
     /*  119684 */     // GIR_Coverage, 64618,
     /*  119684 */     GIR_EraseRootFromParent_Done,
     /*  119685 */   // Label 2083: @119685
     /*  119685 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(119720), // Rule ID 64619 //
     /*  119690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /*  119693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119701 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 127,
     /*  119705 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 127:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 7:{ *:[i64] }, 0:{ *:[i64] })
     /*  119705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  119715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119718 */     GIR_RootConstrainSelectedInstOperands,
     /*  119719 */     // GIR_Coverage, 64619,
     /*  119719 */     GIR_EraseRootFromParent_Done,
     /*  119720 */   // Label 2084: @119720
     /*  119720 */   GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(119755), // Rule ID 64620 //
     /*  119725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /*  119728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119736 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 127,
     /*  119740 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 127:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 7:{ *:[i32] }, 0:{ *:[i32] })
     /*  119740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  119750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119753 */     GIR_RootConstrainSelectedInstOperands,
     /*  119754 */     // GIR_Coverage, 64620,
     /*  119754 */     GIR_EraseRootFromParent_Done,
     /*  119755 */   // Label 2085: @119755
     /*  119755 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(119797), // Rule ID 64621 //
     /*  119760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /*  119763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119771 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  119782 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 255:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 8:{ *:[i64] }, 0:{ *:[i64] })
     /*  119782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  119792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119795 */     GIR_RootConstrainSelectedInstOperands,
     /*  119796 */     // GIR_Coverage, 64621,
     /*  119796 */     GIR_EraseRootFromParent_Done,
     /*  119797 */   // Label 2086: @119797
     /*  119797 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(119839), // Rule ID 64622 //
     /*  119802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /*  119805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119813 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  119824 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 255:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 8:{ *:[i32] }, 0:{ *:[i32] })
     /*  119824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  119834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119837 */     GIR_RootConstrainSelectedInstOperands,
     /*  119838 */     // GIR_Coverage, 64622,
     /*  119838 */     GIR_EraseRootFromParent_Done,
     /*  119839 */   // Label 2087: @119839
     /*  119839 */   GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(119881), // Rule ID 64623 //
     /*  119844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /*  119847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119855 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(511),
     /*  119866 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 511:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 9:{ *:[i64] }, 0:{ *:[i64] })
     /*  119866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /*  119876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119879 */     GIR_RootConstrainSelectedInstOperands,
     /*  119880 */     // GIR_Coverage, 64623,
     /*  119880 */     GIR_EraseRootFromParent_Done,
     /*  119881 */   // Label 2088: @119881
     /*  119881 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(119923), // Rule ID 64624 //
     /*  119886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /*  119889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119897 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(511),
     /*  119908 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 511:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 9:{ *:[i32] }, 0:{ *:[i32] })
     /*  119908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /*  119918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119921 */     GIR_RootConstrainSelectedInstOperands,
     /*  119922 */     // GIR_Coverage, 64624,
     /*  119922 */     GIR_EraseRootFromParent_Done,
     /*  119923 */   // Label 2089: @119923
     /*  119923 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(119965), // Rule ID 64625 //
     /*  119928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /*  119931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119939 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1023),
     /*  119950 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 1023:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 10:{ *:[i64] }, 0:{ *:[i64] })
     /*  119950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/10,
     /*  119960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119963 */     GIR_RootConstrainSelectedInstOperands,
     /*  119964 */     // GIR_Coverage, 64625,
     /*  119964 */     GIR_EraseRootFromParent_Done,
     /*  119965 */   // Label 2090: @119965
     /*  119965 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(120007), // Rule ID 64626 //
     /*  119970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /*  119973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119981 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1023),
     /*  119992 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 1023:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 10:{ *:[i32] }, 0:{ *:[i32] })
     /*  119992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/10,
     /*  120002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120005 */     GIR_RootConstrainSelectedInstOperands,
     /*  120006 */     // GIR_Coverage, 64626,
     /*  120006 */     GIR_EraseRootFromParent_Done,
     /*  120007 */   // Label 2091: @120007
     /*  120007 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(120049), // Rule ID 64627 //
     /*  120012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /*  120015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  120019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  120023 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2047),
     /*  120034 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 2047:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 11:{ *:[i64] }, 0:{ *:[i64] })
     /*  120034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  120037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  120041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/11,
     /*  120044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120047 */     GIR_RootConstrainSelectedInstOperands,
     /*  120048 */     // GIR_Coverage, 64627,
     /*  120048 */     GIR_EraseRootFromParent_Done,
     /*  120049 */   // Label 2092: @120049
     /*  120049 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(120091), // Rule ID 64628 //
     /*  120054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /*  120057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  120061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  120065 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2047),
     /*  120076 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 2047:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 11:{ *:[i32] }, 0:{ *:[i32] })
     /*  120076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  120079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  120083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/11,
     /*  120086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120089 */     GIR_RootConstrainSelectedInstOperands,
     /*  120090 */     // GIR_Coverage, 64628,
     /*  120090 */     GIR_EraseRootFromParent_Done,
     /*  120091 */   // Label 2093: @120091
     /*  120091 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(120133), // Rule ID 91 //
     /*  120096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  120099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  120119 */     // MIs[1] Operand 1
     /*  120119 */     // No operand predicates
     /*  120119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120121 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  120121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  120124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  120131 */     GIR_RootConstrainSelectedInstOperands,
     /*  120132 */     // GIR_Coverage, 91,
     /*  120132 */     GIR_EraseRootFromParent_Done,
     /*  120133 */   // Label 2094: @120133
     /*  120133 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(120205), // Rule ID 109 //
     /*  120138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  120141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120157 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  120161 */     // MIs[1] Operand 1
     /*  120161 */     // No operand predicates
     /*  120161 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9942),
     /*  120165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120167 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9942>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)), (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask))
     /*  120167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  120170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  120174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  120183 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  120188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  120193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120198 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  120203 */     GIR_RootConstrainSelectedInstOperands,
     /*  120204 */     // GIR_Coverage, 109,
     /*  120204 */     GIR_EraseRootFromParent_Done,
     /*  120205 */   // Label 2095: @120205
     /*  120205 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(120247), // Rule ID 64532 //
     /*  120210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  120213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  120217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  120221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  120233 */     // MIs[1] Operand 1
     /*  120233 */     // No operand predicates
     /*  120233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120235 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ANDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  120235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDAI),
     /*  120238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  120240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  120245 */     GIR_RootConstrainSelectedInstOperands,
     /*  120246 */     // GIR_Coverage, 64532,
     /*  120246 */     GIR_EraseRootFromParent_Done,
     /*  120247 */   // Label 2096: @120247
     /*  120247 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(120289), // Rule ID 64536 //
     /*  120252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  120255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  120259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  120263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  120275 */     // MIs[1] Operand 1
     /*  120275 */     // No operand predicates
     /*  120275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120277 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ANDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  120277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDI),
     /*  120280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  120287 */     GIR_RootConstrainSelectedInstOperands,
     /*  120288 */     // GIR_Coverage, 64536,
     /*  120288 */     GIR_EraseRootFromParent_Done,
     /*  120289 */   // Label 2097: @120289
     /*  120289 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(120316), // Rule ID 89 //
     /*  120294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  120297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120309 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (AND:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  120309 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  120314 */     GIR_RootConstrainSelectedInstOperands,
     /*  120315 */     // GIR_Coverage, 89,
     /*  120315 */     GIR_Done,
     /*  120316 */   // Label 2098: @120316
     /*  120316 */   GIM_Reject,
     /*  120317 */ // Label 2064: @120317
     /*  120317 */ GIM_Reject,
     /*  120318 */ // Label 2033: @120318
     /*  120318 */ GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(121638),
     /*  120323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  120326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  120329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120333 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(120418), // Rule ID 65511 //
     /*  120338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  120341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  120349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  120365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120369 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  120373 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120378 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  120382 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  120393 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120395 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  120402 */     // (and:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] })), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  120405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  120412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  120416 */     GIR_RootConstrainSelectedInstOperands,
     /*  120417 */     // GIR_Coverage, 65511,
     /*  120417 */     GIR_EraseRootFromParent_Done,
     /*  120418 */   // Label 2100: @120418
     /*  120418 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(120503), // Rule ID 2545 //
     /*  120423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  120426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  120434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120438 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  120450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120454 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  120458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120463 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  120467 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  120478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120480 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  120487 */     // (and:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1)), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  120490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  120497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  120501 */     GIR_RootConstrainSelectedInstOperands,
     /*  120502 */     // GIR_Coverage, 2545,
     /*  120502 */     GIR_EraseRootFromParent_Done,
     /*  120503 */   // Label 2101: @120503
     /*  120503 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(120578), // Rule ID 2472 //
     /*  120508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120523 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  120535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120539 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  120543 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  120547 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  120551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120555 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120557 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  120564 */     // (and:{ *:[i64] } (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  120576 */     GIR_RootConstrainSelectedInstOperands,
     /*  120577 */     // GIR_Coverage, 2472,
     /*  120577 */     GIR_EraseRootFromParent_Done,
     /*  120578 */   // Label 2102: @120578
     /*  120578 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(120653), // Rule ID 65499 //
     /*  120583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  120614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120618 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  120622 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  120626 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  120630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120632 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  120639 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  120651 */     GIR_RootConstrainSelectedInstOperands,
     /*  120652 */     // GIR_Coverage, 65499,
     /*  120652 */     GIR_EraseRootFromParent_Done,
     /*  120653 */   // Label 2103: @120653
     /*  120653 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(120714), // Rule ID 2492 //
     /*  120658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  120669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120690 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  120694 */     // MIs[2] Operand 1
     /*  120694 */     // No operand predicates
     /*  120694 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  120698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120700 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (BEXTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  120700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  120703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  120709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  120712 */     GIR_RootConstrainSelectedInstOperands,
     /*  120713 */     // GIR_Coverage, 2492,
     /*  120713 */     GIR_EraseRootFromParent_Done,
     /*  120714 */   // Label 2104: @120714
     /*  120714 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(120775), // Rule ID 62576 //
     /*  120719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode0),
     /*  120722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  120730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120734 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120751 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  120755 */     // MIs[2] Operand 1
     /*  120755 */     // No operand predicates
     /*  120755 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  120759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120761 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (TH_TST:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  120761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  120764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  120770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  120773 */     GIR_RootConstrainSelectedInstOperands,
     /*  120774 */     // GIR_Coverage, 62576,
     /*  120774 */     GIR_EraseRootFromParent_Done,
     /*  120775 */   // Label 2105: @120775
     /*  120775 */   GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(120833), // Rule ID 2480 //
     /*  120780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  120791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120804 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  120808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120810 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  120817 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), 1:{ *:[i64] })  =>  (BEXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  120820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  120826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  120831 */     GIR_RootConstrainSelectedInstOperands,
     /*  120832 */     // GIR_Coverage, 2480,
     /*  120832 */     GIR_EraseRootFromParent_Done,
     /*  120833 */   // Label 2106: @120833
     /*  120833 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(120885), // Rule ID 2474 //
     /*  120838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  120849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120857 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  120861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120872 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120883 */     GIR_RootConstrainSelectedInstOperands,
     /*  120884 */     // GIR_Coverage, 2474,
     /*  120884 */     GIR_EraseRootFromParent_Done,
     /*  120885 */   // Label 2107: @120885
     /*  120885 */   GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(120937), // Rule ID 65485 //
     /*  120890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  120893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120914 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  120918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120924 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  120927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120935 */     GIR_RootConstrainSelectedInstOperands,
     /*  120936 */     // GIR_Coverage, 65485,
     /*  120936 */     GIR_EraseRootFromParent_Done,
     /*  120937 */   // Label 2108: @120937
     /*  120937 */   GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(120989), // Rule ID 65501 //
     /*  120942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  120957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120961 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120965 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  120969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120976 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120987 */     GIR_RootConstrainSelectedInstOperands,
     /*  120988 */     // GIR_Coverage, 65501,
     /*  120988 */     GIR_EraseRootFromParent_Done,
     /*  120989 */   // Label 2109: @120989
     /*  120989 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(121041), // Rule ID 2446 //
     /*  120994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  120997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  121013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  121017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121022 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  121026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  121028 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  121031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121039 */     GIR_RootConstrainSelectedInstOperands,
     /*  121040 */     // GIR_Coverage, 2446,
     /*  121040 */     GIR_EraseRootFromParent_Done,
     /*  121041 */   // Label 2110: @121041
     /*  121041 */   GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(121073), // Rule ID 64477 //
     /*  121046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  121049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121053 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  121064 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 65535:{ *:[i64] })  =>  (CV_EXTHZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  121064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  121067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121071 */     GIR_RootConstrainSelectedInstOperands,
     /*  121072 */     // GIR_Coverage, 64477,
     /*  121072 */     GIR_EraseRootFromParent_Done,
     /*  121073 */   // Label 2111: @121073
     /*  121073 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(121105), // Rule ID 64479 //
     /*  121078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  121081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121085 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  121096 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 255:{ *:[i64] })  =>  (CV_EXTBZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  121096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  121099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121103 */     GIR_RootConstrainSelectedInstOperands,
     /*  121104 */     // GIR_Coverage, 64479,
     /*  121104 */     GIR_EraseRootFromParent_Done,
     /*  121105 */   // Label 2112: @121105
     /*  121105 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(121162), // Rule ID 262 //
     /*  121110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /*  121113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121117 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  121128 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] })  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), 32:{ *:[i64] })
     /*  121128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  121131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  121135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  121144 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*  121147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  121152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /*  121160 */     GIR_RootConstrainSelectedInstOperands,
     /*  121161 */     // GIR_Coverage, 262,
     /*  121161 */     GIR_EraseRootFromParent_Done,
     /*  121162 */   // Label 2113: @121162
     /*  121162 */   GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(121194), // Rule ID 2559 //
     /*  121167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /*  121170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121174 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  121185 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs)
     /*  121185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /*  121188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  121192 */     GIR_RootConstrainSelectedInstOperands,
     /*  121193 */     // GIR_Coverage, 2559,
     /*  121193 */     GIR_EraseRootFromParent_Done,
     /*  121194 */   // Label 2114: @121194
     /*  121194 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(121232), // Rule ID 2562 //
     /*  121199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /*  121202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121206 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  121217 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  121217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  121220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  121224 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  121230 */     GIR_RootConstrainSelectedInstOperands,
     /*  121231 */     // GIR_Coverage, 2562,
     /*  121231 */     GIR_EraseRootFromParent_Done,
     /*  121232 */   // Label 2115: @121232
     /*  121232 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(121270), // Rule ID 2605 //
     /*  121237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  121240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121244 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  121255 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  121255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*  121258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  121262 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  121268 */     GIR_RootConstrainSelectedInstOperands,
     /*  121269 */     // GIR_Coverage, 2605,
     /*  121269 */     GIR_EraseRootFromParent_Done,
     /*  121270 */   // Label 2116: @121270
     /*  121270 */   GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(121308), // Rule ID 65096 //
     /*  121275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*  121278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121282 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  121293 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (NDS_LEA_B_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  121293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_B_ZE),
     /*  121296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  121300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  121306 */     GIR_RootConstrainSelectedInstOperands,
     /*  121307 */     // GIR_Coverage, 65096,
     /*  121307 */     GIR_EraseRootFromParent_Done,
     /*  121308 */   // Label 2117: @121308
     /*  121308 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(121346), // Rule ID 90 //
     /*  121313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  121316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  121328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  121332 */     // MIs[1] Operand 1
     /*  121332 */     // No operand predicates
     /*  121332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  121334 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  121334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  121337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  121344 */     GIR_RootConstrainSelectedInstOperands,
     /*  121345 */     // GIR_Coverage, 90,
     /*  121345 */     GIR_EraseRootFromParent_Done,
     /*  121346 */   // Label 2118: @121346
     /*  121346 */   GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(121414), // Rule ID 107 //
     /*  121351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  121354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  121366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesMask),
     /*  121370 */     // MIs[1] Operand 1
     /*  121370 */     // No operand predicates
     /*  121370 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9940),
     /*  121374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  121376 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesMask>><<P:Predicate_anonymous_9940>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  121376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  121379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  121383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  121392 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  121397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  121402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121407 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  121412 */     GIR_RootConstrainSelectedInstOperands,
     /*  121413 */     // GIR_Coverage, 107,
     /*  121413 */     GIR_EraseRootFromParent_Done,
     /*  121414 */   // Label 2119: @121414
     /*  121414 */   GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(121482), // Rule ID 108 //
     /*  121419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  121422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  121434 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  121438 */     // MIs[1] Operand 1
     /*  121438 */     // No operand predicates
     /*  121438 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9942),
     /*  121442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  121444 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9942>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  121444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  121447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  121451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121456 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  121460 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  121465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  121470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121475 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  121480 */     GIR_RootConstrainSelectedInstOperands,
     /*  121481 */     // GIR_Coverage, 108,
     /*  121481 */     GIR_EraseRootFromParent_Done,
     /*  121482 */   // Label 2120: @121482
     /*  121482 */   GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(121550), // Rule ID 264 //
     /*  121487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  121490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  121502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesWMask),
     /*  121506 */     // MIs[1] Operand 1
     /*  121506 */     // No operand predicates
     /*  121506 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10032),
     /*  121510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  121512 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesWMask>><<P:Predicate_anonymous_10032>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLIW:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  121512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  121515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*  121519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121524 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  121528 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  121533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  121538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121543 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  121548 */     GIR_RootConstrainSelectedInstOperands,
     /*  121549 */     // GIR_Coverage, 264,
     /*  121549 */     GIR_EraseRootFromParent_Done,
     /*  121550 */   // Label 2121: @121550
     /*  121550 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(121614), // Rule ID 2624 //
     /*  121555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  121558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  121570 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_Shifted32OnesMask),
     /*  121574 */     // MIs[1] Operand 1
     /*  121574 */     // No operand predicates
     /*  121574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  121576 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>><<X:TrailingZeros>>:$mask)  =>  (SLLI_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask))
     /*  121576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  121579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  121583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121588 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  121592 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  121597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /*  121602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121607 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  121612 */     GIR_RootConstrainSelectedInstOperands,
     /*  121613 */     // GIR_Coverage, 2624,
     /*  121613 */     GIR_EraseRootFromParent_Done,
     /*  121614 */   // Label 2122: @121614
     /*  121614 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(121637), // Rule ID 88 //
     /*  121619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  121622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121630 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AND:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121630 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  121635 */     GIR_RootConstrainSelectedInstOperands,
     /*  121636 */     // GIR_Coverage, 88,
     /*  121636 */     GIR_Done,
     /*  121637 */   // Label 2123: @121637
     /*  121637 */   GIM_Reject,
     /*  121638 */ // Label 2099: @121638
     /*  121638 */ GIM_Reject,
     /*  121639 */ // Label 2034: @121639
     /*  121639 */ GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(122249),
     /*  121644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121654 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(121720), // Rule ID 71711 //
     /*  121659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121674 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121678 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121682 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121686 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121701 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121718 */     GIR_RootConstrainSelectedInstOperands,
     /*  121719 */     // GIR_Coverage, 71711,
     /*  121719 */     GIR_EraseRootFromParent_Done,
     /*  121720 */   // Label 2125: @121720
     /*  121720 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(121786), // Rule ID 71712 //
     /*  121725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121740 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121767 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121784 */     GIR_RootConstrainSelectedInstOperands,
     /*  121785 */     // GIR_Coverage, 71712,
     /*  121785 */     GIR_EraseRootFromParent_Done,
     /*  121786 */   // Label 2126: @121786
     /*  121786 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(121852), // Rule ID 71709 //
     /*  121791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121833 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121850 */     GIR_RootConstrainSelectedInstOperands,
     /*  121851 */     // GIR_Coverage, 71709,
     /*  121851 */     GIR_EraseRootFromParent_Done,
     /*  121852 */   // Label 2127: @121852
     /*  121852 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(121918), // Rule ID 71710 //
     /*  121857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121899 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121916 */     GIR_RootConstrainSelectedInstOperands,
     /*  121917 */     // GIR_Coverage, 71710,
     /*  121917 */     GIR_EraseRootFromParent_Done,
     /*  121918 */   // Label 2128: @121918
     /*  121918 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(121984), // Rule ID 71707 //
     /*  121923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121965 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121982 */     GIR_RootConstrainSelectedInstOperands,
     /*  121983 */     // GIR_Coverage, 71707,
     /*  121983 */     GIR_EraseRootFromParent_Done,
     /*  121984 */   // Label 2129: @121984
     /*  121984 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(122050), // Rule ID 71708 //
     /*  121989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  122008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  122012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122031 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  122034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122048 */     GIR_RootConstrainSelectedInstOperands,
     /*  122049 */     // GIR_Coverage, 71708,
     /*  122049 */     GIR_EraseRootFromParent_Done,
     /*  122050 */   // Label 2130: @122050
     /*  122050 */   GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(122116), // Rule ID 53176 //
     /*  122055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  122074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  122078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122097 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  122100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122114 */     GIR_RootConstrainSelectedInstOperands,
     /*  122115 */     // GIR_Coverage, 53176,
     /*  122115 */     GIR_EraseRootFromParent_Done,
     /*  122116 */   // Label 2131: @122116
     /*  122116 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(122182), // Rule ID 53177 //
     /*  122121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  122140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  122144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122161 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122163 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  122166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122180 */     GIR_RootConstrainSelectedInstOperands,
     /*  122181 */     // GIR_Coverage, 53177,
     /*  122181 */     GIR_EraseRootFromParent_Done,
     /*  122182 */   // Label 2132: @122182
     /*  122182 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(122215), // Rule ID 53164 //
     /*  122187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122198 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  122201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122213 */     GIR_RootConstrainSelectedInstOperands,
     /*  122214 */     // GIR_Coverage, 53164,
     /*  122214 */     GIR_EraseRootFromParent_Done,
     /*  122215 */   // Label 2133: @122215
     /*  122215 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(122248), // Rule ID 53165 //
     /*  122220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122231 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  122234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122246 */     GIR_RootConstrainSelectedInstOperands,
     /*  122247 */     // GIR_Coverage, 53165,
     /*  122247 */     GIR_EraseRootFromParent_Done,
     /*  122248 */   // Label 2134: @122248
     /*  122248 */   GIM_Reject,
     /*  122249 */ // Label 2124: @122249
     /*  122249 */ GIM_Reject,
     /*  122250 */ // Label 2035: @122250
     /*  122250 */ GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(122364),
     /*  122255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  122258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  122261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122273 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(122318), // Rule ID 47656 //
     /*  122278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122281 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  122281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  122284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  122298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122316 */     GIR_RootConstrainSelectedInstOperands,
     /*  122317 */     // GIR_Coverage, 47656,
     /*  122317 */     GIR_EraseRootFromParent_Done,
     /*  122318 */   // Label 2136: @122318
     /*  122318 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(122363), // Rule ID 47657 //
     /*  122323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122326 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  122326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  122329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  122343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122361 */     GIR_RootConstrainSelectedInstOperands,
     /*  122362 */     // GIR_Coverage, 47657,
     /*  122362 */     GIR_EraseRootFromParent_Done,
     /*  122363 */   // Label 2137: @122363
     /*  122363 */   GIM_Reject,
     /*  122364 */ // Label 2135: @122364
     /*  122364 */ GIM_Reject,
     /*  122365 */ // Label 2036: @122365
     /*  122365 */ GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(122479),
     /*  122370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  122373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  122376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122388 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(122433), // Rule ID 47668 //
     /*  122393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122396 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  122396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  122399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  122413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122431 */     GIR_RootConstrainSelectedInstOperands,
     /*  122432 */     // GIR_Coverage, 47668,
     /*  122432 */     GIR_EraseRootFromParent_Done,
     /*  122433 */   // Label 2139: @122433
     /*  122433 */   GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(122478), // Rule ID 47669 //
     /*  122438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122441 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  122441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  122444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  122458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122476 */     GIR_RootConstrainSelectedInstOperands,
     /*  122477 */     // GIR_Coverage, 47669,
     /*  122477 */     GIR_EraseRootFromParent_Done,
     /*  122478 */   // Label 2140: @122478
     /*  122478 */   GIM_Reject,
     /*  122479 */ // Label 2138: @122479
     /*  122479 */ GIM_Reject,
     /*  122480 */ // Label 2037: @122480
     /*  122480 */ GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(122594),
     /*  122485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  122488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  122491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122503 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(122548), // Rule ID 47676 //
     /*  122508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122511 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  122511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  122514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  122528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122546 */     GIR_RootConstrainSelectedInstOperands,
     /*  122547 */     // GIR_Coverage, 47676,
     /*  122547 */     GIR_EraseRootFromParent_Done,
     /*  122548 */   // Label 2142: @122548
     /*  122548 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(122593), // Rule ID 47677 //
     /*  122553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122556 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  122556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  122559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  122573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122591 */     GIR_RootConstrainSelectedInstOperands,
     /*  122592 */     // GIR_Coverage, 47677,
     /*  122592 */     GIR_EraseRootFromParent_Done,
     /*  122593 */   // Label 2143: @122593
     /*  122593 */   GIM_Reject,
     /*  122594 */ // Label 2141: @122594
     /*  122594 */ GIM_Reject,
     /*  122595 */ // Label 2038: @122595
     /*  122595 */ GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(122709),
     /*  122600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  122603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  122606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122618 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(122663), // Rule ID 47692 //
     /*  122623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  122626 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  122626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  122629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  122643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  122658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122661 */     GIR_RootConstrainSelectedInstOperands,
     /*  122662 */     // GIR_Coverage, 47692,
     /*  122662 */     GIR_EraseRootFromParent_Done,
     /*  122663 */   // Label 2145: @122663
     /*  122663 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(122708), // Rule ID 47693 //
     /*  122668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  122671 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  122671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  122674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  122688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  122703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122706 */     GIR_RootConstrainSelectedInstOperands,
     /*  122707 */     // GIR_Coverage, 47693,
     /*  122707 */     GIR_EraseRootFromParent_Done,
     /*  122708 */   // Label 2146: @122708
     /*  122708 */   GIM_Reject,
     /*  122709 */ // Label 2144: @122709
     /*  122709 */ GIM_Reject,
     /*  122710 */ // Label 2039: @122710
     /*  122710 */ GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(123320),
     /*  122715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122725 */   GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(122791), // Rule ID 71739 //
     /*  122730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122770 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122772 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122789 */     GIR_RootConstrainSelectedInstOperands,
     /*  122790 */     // GIR_Coverage, 71739,
     /*  122790 */     GIR_EraseRootFromParent_Done,
     /*  122791 */   // Label 2148: @122791
     /*  122791 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(122857), // Rule ID 71740 //
     /*  122796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122838 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122855 */     GIR_RootConstrainSelectedInstOperands,
     /*  122856 */     // GIR_Coverage, 71740,
     /*  122856 */     GIR_EraseRootFromParent_Done,
     /*  122857 */   // Label 2149: @122857
     /*  122857 */   GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(122923), // Rule ID 71737 //
     /*  122862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122904 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122921 */     GIR_RootConstrainSelectedInstOperands,
     /*  122922 */     // GIR_Coverage, 71737,
     /*  122922 */     GIR_EraseRootFromParent_Done,
     /*  122923 */   // Label 2150: @122923
     /*  122923 */   GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(122989), // Rule ID 71738 //
     /*  122928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122970 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122987 */     GIR_RootConstrainSelectedInstOperands,
     /*  122988 */     // GIR_Coverage, 71738,
     /*  122988 */     GIR_EraseRootFromParent_Done,
     /*  122989 */   // Label 2151: @122989
     /*  122989 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(123055), // Rule ID 71735 //
     /*  122994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  123013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  123017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123036 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  123039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123053 */     GIR_RootConstrainSelectedInstOperands,
     /*  123054 */     // GIR_Coverage, 71735,
     /*  123054 */     GIR_EraseRootFromParent_Done,
     /*  123055 */   // Label 2152: @123055
     /*  123055 */   GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(123121), // Rule ID 71736 //
     /*  123060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  123079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  123083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123102 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  123105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123119 */     GIR_RootConstrainSelectedInstOperands,
     /*  123120 */     // GIR_Coverage, 71736,
     /*  123120 */     GIR_EraseRootFromParent_Done,
     /*  123121 */   // Label 2153: @123121
     /*  123121 */   GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(123187), // Rule ID 53194 //
     /*  123126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  123145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  123149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123168 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  123171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123185 */     GIR_RootConstrainSelectedInstOperands,
     /*  123186 */     // GIR_Coverage, 53194,
     /*  123186 */     GIR_EraseRootFromParent_Done,
     /*  123187 */   // Label 2154: @123187
     /*  123187 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(123253), // Rule ID 53195 //
     /*  123192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  123211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  123215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123234 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  123237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123251 */     GIR_RootConstrainSelectedInstOperands,
     /*  123252 */     // GIR_Coverage, 53195,
     /*  123252 */     GIR_EraseRootFromParent_Done,
     /*  123253 */   // Label 2155: @123253
     /*  123253 */   GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(123286), // Rule ID 53182 //
     /*  123258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123269 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  123272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123284 */     GIR_RootConstrainSelectedInstOperands,
     /*  123285 */     // GIR_Coverage, 53182,
     /*  123285 */     GIR_EraseRootFromParent_Done,
     /*  123286 */   // Label 2156: @123286
     /*  123286 */   GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(123319), // Rule ID 53183 //
     /*  123291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123302 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  123305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123317 */     GIR_RootConstrainSelectedInstOperands,
     /*  123318 */     // GIR_Coverage, 53183,
     /*  123318 */     GIR_EraseRootFromParent_Done,
     /*  123319 */   // Label 2157: @123319
     /*  123319 */   GIM_Reject,
     /*  123320 */ // Label 2147: @123320
     /*  123320 */ GIM_Reject,
     /*  123321 */ // Label 2040: @123321
     /*  123321 */ GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(123435),
     /*  123326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  123329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  123332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123344 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(123389), // Rule ID 47660 //
     /*  123349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123352 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  123352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  123355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  123369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123387 */     GIR_RootConstrainSelectedInstOperands,
     /*  123388 */     // GIR_Coverage, 47660,
     /*  123388 */     GIR_EraseRootFromParent_Done,
     /*  123389 */   // Label 2159: @123389
     /*  123389 */   GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(123434), // Rule ID 47661 //
     /*  123394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123397 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  123397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  123400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  123414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123432 */     GIR_RootConstrainSelectedInstOperands,
     /*  123433 */     // GIR_Coverage, 47661,
     /*  123433 */     GIR_EraseRootFromParent_Done,
     /*  123434 */   // Label 2160: @123434
     /*  123434 */   GIM_Reject,
     /*  123435 */ // Label 2158: @123435
     /*  123435 */ GIM_Reject,
     /*  123436 */ // Label 2041: @123436
     /*  123436 */ GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(123550),
     /*  123441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  123444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  123447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123459 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(123504), // Rule ID 47672 //
     /*  123464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123467 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  123467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  123470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  123484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  123499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123502 */     GIR_RootConstrainSelectedInstOperands,
     /*  123503 */     // GIR_Coverage, 47672,
     /*  123503 */     GIR_EraseRootFromParent_Done,
     /*  123504 */   // Label 2162: @123504
     /*  123504 */   GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(123549), // Rule ID 47673 //
     /*  123509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123512 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  123512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  123515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  123529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  123544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123547 */     GIR_RootConstrainSelectedInstOperands,
     /*  123548 */     // GIR_Coverage, 47673,
     /*  123548 */     GIR_EraseRootFromParent_Done,
     /*  123549 */   // Label 2163: @123549
     /*  123549 */   GIM_Reject,
     /*  123550 */ // Label 2161: @123550
     /*  123550 */ GIM_Reject,
     /*  123551 */ // Label 2042: @123551
     /*  123551 */ GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(123665),
     /*  123556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  123559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  123562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123574 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(123619), // Rule ID 47688 //
     /*  123579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123582 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  123582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  123585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  123599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  123614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123617 */     GIR_RootConstrainSelectedInstOperands,
     /*  123618 */     // GIR_Coverage, 47688,
     /*  123618 */     GIR_EraseRootFromParent_Done,
     /*  123619 */   // Label 2165: @123619
     /*  123619 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(123664), // Rule ID 47689 //
     /*  123624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123627 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  123627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  123630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  123644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  123659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123662 */     GIR_RootConstrainSelectedInstOperands,
     /*  123663 */     // GIR_Coverage, 47689,
     /*  123663 */     GIR_EraseRootFromParent_Done,
     /*  123664 */   // Label 2166: @123664
     /*  123664 */   GIM_Reject,
     /*  123665 */ // Label 2164: @123665
     /*  123665 */ GIM_Reject,
     /*  123666 */ // Label 2043: @123666
     /*  123666 */ GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(123780),
     /*  123671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  123674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  123677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123689 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(123734), // Rule ID 47732 //
     /*  123694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  123697 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  123697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  123700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  123714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  123729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123732 */     GIR_RootConstrainSelectedInstOperands,
     /*  123733 */     // GIR_Coverage, 47732,
     /*  123733 */     GIR_EraseRootFromParent_Done,
     /*  123734 */   // Label 2168: @123734
     /*  123734 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(123779), // Rule ID 47733 //
     /*  123739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  123742 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  123742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  123745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  123759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  123774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123777 */     GIR_RootConstrainSelectedInstOperands,
     /*  123778 */     // GIR_Coverage, 47733,
     /*  123778 */     GIR_EraseRootFromParent_Done,
     /*  123779 */   // Label 2169: @123779
     /*  123779 */   GIM_Reject,
     /*  123780 */ // Label 2167: @123780
     /*  123780 */ GIM_Reject,
     /*  123781 */ // Label 2044: @123781
     /*  123781 */ GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(124391),
     /*  123786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123796 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(123862), // Rule ID 71767 //
     /*  123801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123816 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123843 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123860 */     GIR_RootConstrainSelectedInstOperands,
     /*  123861 */     // GIR_Coverage, 71767,
     /*  123861 */     GIR_EraseRootFromParent_Done,
     /*  123862 */   // Label 2171: @123862
     /*  123862 */   GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(123928), // Rule ID 71768 //
     /*  123867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123909 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123926 */     GIR_RootConstrainSelectedInstOperands,
     /*  123927 */     // GIR_Coverage, 71768,
     /*  123927 */     GIR_EraseRootFromParent_Done,
     /*  123928 */   // Label 2172: @123928
     /*  123928 */   GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(123994), // Rule ID 71765 //
     /*  123933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123975 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123992 */     GIR_RootConstrainSelectedInstOperands,
     /*  123993 */     // GIR_Coverage, 71765,
     /*  123993 */     GIR_EraseRootFromParent_Done,
     /*  123994 */   // Label 2173: @123994
     /*  123994 */   GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(124060), // Rule ID 71766 //
     /*  123999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  124014 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  124018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124041 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  124044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124058 */     GIR_RootConstrainSelectedInstOperands,
     /*  124059 */     // GIR_Coverage, 71766,
     /*  124059 */     GIR_EraseRootFromParent_Done,
     /*  124060 */   // Label 2174: @124060
     /*  124060 */   GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(124126), // Rule ID 71763 //
     /*  124065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  124084 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  124088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124107 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  124110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124124 */     GIR_RootConstrainSelectedInstOperands,
     /*  124125 */     // GIR_Coverage, 71763,
     /*  124125 */     GIR_EraseRootFromParent_Done,
     /*  124126 */   // Label 2175: @124126
     /*  124126 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(124192), // Rule ID 71764 //
     /*  124131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  124150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  124154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124171 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124173 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  124176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124190 */     GIR_RootConstrainSelectedInstOperands,
     /*  124191 */     // GIR_Coverage, 71764,
     /*  124191 */     GIR_EraseRootFromParent_Done,
     /*  124192 */   // Label 2176: @124192
     /*  124192 */   GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(124258), // Rule ID 53212 //
     /*  124197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  124216 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  124220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124237 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124239 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  124242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124256 */     GIR_RootConstrainSelectedInstOperands,
     /*  124257 */     // GIR_Coverage, 53212,
     /*  124257 */     GIR_EraseRootFromParent_Done,
     /*  124258 */   // Label 2177: @124258
     /*  124258 */   GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(124324), // Rule ID 53213 //
     /*  124263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  124282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  124286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124303 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124305 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  124308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124322 */     GIR_RootConstrainSelectedInstOperands,
     /*  124323 */     // GIR_Coverage, 53213,
     /*  124323 */     GIR_EraseRootFromParent_Done,
     /*  124324 */   // Label 2178: @124324
     /*  124324 */   GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(124357), // Rule ID 53200 //
     /*  124329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124340 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  124343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124355 */     GIR_RootConstrainSelectedInstOperands,
     /*  124356 */     // GIR_Coverage, 53200,
     /*  124356 */     GIR_EraseRootFromParent_Done,
     /*  124357 */   // Label 2179: @124357
     /*  124357 */   GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(124390), // Rule ID 53201 //
     /*  124362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124373 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  124376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124388 */     GIR_RootConstrainSelectedInstOperands,
     /*  124389 */     // GIR_Coverage, 53201,
     /*  124389 */     GIR_EraseRootFromParent_Done,
     /*  124390 */   // Label 2180: @124390
     /*  124390 */   GIM_Reject,
     /*  124391 */ // Label 2170: @124391
     /*  124391 */ GIM_Reject,
     /*  124392 */ // Label 2045: @124392
     /*  124392 */ GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(124506),
     /*  124397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  124400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  124403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124411 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124415 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(124460), // Rule ID 47664 //
     /*  124420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124423 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  124423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  124426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  124440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124458 */     GIR_RootConstrainSelectedInstOperands,
     /*  124459 */     // GIR_Coverage, 47664,
     /*  124459 */     GIR_EraseRootFromParent_Done,
     /*  124460 */   // Label 2182: @124460
     /*  124460 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(124505), // Rule ID 47665 //
     /*  124465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124468 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  124468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  124471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  124485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124503 */     GIR_RootConstrainSelectedInstOperands,
     /*  124504 */     // GIR_Coverage, 47665,
     /*  124504 */     GIR_EraseRootFromParent_Done,
     /*  124505 */   // Label 2183: @124505
     /*  124505 */   GIM_Reject,
     /*  124506 */ // Label 2181: @124506
     /*  124506 */ GIM_Reject,
     /*  124507 */ // Label 2046: @124507
     /*  124507 */ GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(124621),
     /*  124512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  124515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  124518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124530 */   GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(124575), // Rule ID 47684 //
     /*  124535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124538 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  124538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  124541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  124555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124573 */     GIR_RootConstrainSelectedInstOperands,
     /*  124574 */     // GIR_Coverage, 47684,
     /*  124574 */     GIR_EraseRootFromParent_Done,
     /*  124575 */   // Label 2185: @124575
     /*  124575 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(124620), // Rule ID 47685 //
     /*  124580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124583 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  124583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  124586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  124600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124618 */     GIR_RootConstrainSelectedInstOperands,
     /*  124619 */     // GIR_Coverage, 47685,
     /*  124619 */     GIR_EraseRootFromParent_Done,
     /*  124620 */   // Label 2186: @124620
     /*  124620 */   GIM_Reject,
     /*  124621 */ // Label 2184: @124621
     /*  124621 */ GIM_Reject,
     /*  124622 */ // Label 2047: @124622
     /*  124622 */ GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(124736),
     /*  124627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  124630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  124633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124645 */   GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(124690), // Rule ID 47720 //
     /*  124650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124653 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  124653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  124656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  124670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124688 */     GIR_RootConstrainSelectedInstOperands,
     /*  124689 */     // GIR_Coverage, 47720,
     /*  124689 */     GIR_EraseRootFromParent_Done,
     /*  124690 */   // Label 2188: @124690
     /*  124690 */   GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(124735), // Rule ID 47721 //
     /*  124695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124698 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  124698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  124701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  124715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124733 */     GIR_RootConstrainSelectedInstOperands,
     /*  124734 */     // GIR_Coverage, 47721,
     /*  124734 */     GIR_EraseRootFromParent_Done,
     /*  124735 */   // Label 2189: @124735
     /*  124735 */   GIM_Reject,
     /*  124736 */ // Label 2187: @124736
     /*  124736 */ GIM_Reject,
     /*  124737 */ // Label 2048: @124737
     /*  124737 */ GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(124851),
     /*  124742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  124745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  124748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124756 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124760 */   GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(124805), // Rule ID 47736 //
     /*  124765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  124768 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  124768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  124771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  124785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  124800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124803 */     GIR_RootConstrainSelectedInstOperands,
     /*  124804 */     // GIR_Coverage, 47736,
     /*  124804 */     GIR_EraseRootFromParent_Done,
     /*  124805 */   // Label 2191: @124805
     /*  124805 */   GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(124850), // Rule ID 47737 //
     /*  124810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  124813 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  124813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  124816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  124830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  124845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124848 */     GIR_RootConstrainSelectedInstOperands,
     /*  124849 */     // GIR_Coverage, 47737,
     /*  124849 */     GIR_EraseRootFromParent_Done,
     /*  124850 */   // Label 2192: @124850
     /*  124850 */   GIM_Reject,
     /*  124851 */ // Label 2190: @124851
     /*  124851 */ GIM_Reject,
     /*  124852 */ // Label 2049: @124852
     /*  124852 */ GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(125462),
     /*  124857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124867 */   GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(124933), // Rule ID 71795 //
     /*  124872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124912 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124914 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124931 */     GIR_RootConstrainSelectedInstOperands,
     /*  124932 */     // GIR_Coverage, 71795,
     /*  124932 */     GIR_EraseRootFromParent_Done,
     /*  124933 */   // Label 2194: @124933
     /*  124933 */   GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(124999), // Rule ID 71796 //
     /*  124938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124980 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124997 */     GIR_RootConstrainSelectedInstOperands,
     /*  124998 */     // GIR_Coverage, 71796,
     /*  124998 */     GIR_EraseRootFromParent_Done,
     /*  124999 */   // Label 2195: @124999
     /*  124999 */   GIM_Try, /*On fail goto*//*Label 2196*/ GIMT_Encode4(125065), // Rule ID 71793 //
     /*  125004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  125019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  125023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125046 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  125049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125063 */     GIR_RootConstrainSelectedInstOperands,
     /*  125064 */     // GIR_Coverage, 71793,
     /*  125064 */     GIR_EraseRootFromParent_Done,
     /*  125065 */   // Label 2196: @125065
     /*  125065 */   GIM_Try, /*On fail goto*//*Label 2197*/ GIMT_Encode4(125131), // Rule ID 71794 //
     /*  125070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  125085 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  125089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125112 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  125115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125129 */     GIR_RootConstrainSelectedInstOperands,
     /*  125130 */     // GIR_Coverage, 71794,
     /*  125130 */     GIR_EraseRootFromParent_Done,
     /*  125131 */   // Label 2197: @125131
     /*  125131 */   GIM_Try, /*On fail goto*//*Label 2198*/ GIMT_Encode4(125197), // Rule ID 71791 //
     /*  125136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  125155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  125159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125178 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  125181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125195 */     GIR_RootConstrainSelectedInstOperands,
     /*  125196 */     // GIR_Coverage, 71791,
     /*  125196 */     GIR_EraseRootFromParent_Done,
     /*  125197 */   // Label 2198: @125197
     /*  125197 */   GIM_Try, /*On fail goto*//*Label 2199*/ GIMT_Encode4(125263), // Rule ID 71792 //
     /*  125202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  125221 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  125225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125242 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125244 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  125247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125261 */     GIR_RootConstrainSelectedInstOperands,
     /*  125262 */     // GIR_Coverage, 71792,
     /*  125262 */     GIR_EraseRootFromParent_Done,
     /*  125263 */   // Label 2199: @125263
     /*  125263 */   GIM_Try, /*On fail goto*//*Label 2200*/ GIMT_Encode4(125329), // Rule ID 53230 //
     /*  125268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  125287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  125291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125308 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125310 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  125313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125327 */     GIR_RootConstrainSelectedInstOperands,
     /*  125328 */     // GIR_Coverage, 53230,
     /*  125328 */     GIR_EraseRootFromParent_Done,
     /*  125329 */   // Label 2200: @125329
     /*  125329 */   GIM_Try, /*On fail goto*//*Label 2201*/ GIMT_Encode4(125395), // Rule ID 53231 //
     /*  125334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  125353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  125357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125374 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125376 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  125379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125393 */     GIR_RootConstrainSelectedInstOperands,
     /*  125394 */     // GIR_Coverage, 53231,
     /*  125394 */     GIR_EraseRootFromParent_Done,
     /*  125395 */   // Label 2201: @125395
     /*  125395 */   GIM_Try, /*On fail goto*//*Label 2202*/ GIMT_Encode4(125428), // Rule ID 53218 //
     /*  125400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125411 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  125414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125426 */     GIR_RootConstrainSelectedInstOperands,
     /*  125427 */     // GIR_Coverage, 53218,
     /*  125427 */     GIR_EraseRootFromParent_Done,
     /*  125428 */   // Label 2202: @125428
     /*  125428 */   GIM_Try, /*On fail goto*//*Label 2203*/ GIMT_Encode4(125461), // Rule ID 53219 //
     /*  125433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125444 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  125447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125459 */     GIR_RootConstrainSelectedInstOperands,
     /*  125460 */     // GIR_Coverage, 53219,
     /*  125460 */     GIR_EraseRootFromParent_Done,
     /*  125461 */   // Label 2203: @125461
     /*  125461 */   GIM_Reject,
     /*  125462 */ // Label 2193: @125462
     /*  125462 */ GIM_Reject,
     /*  125463 */ // Label 2050: @125463
     /*  125463 */ GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(125577),
     /*  125468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  125471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  125474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125486 */   GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(125531), // Rule ID 47680 //
     /*  125491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125494 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  125494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  125497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  125511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125529 */     GIR_RootConstrainSelectedInstOperands,
     /*  125530 */     // GIR_Coverage, 47680,
     /*  125530 */     GIR_EraseRootFromParent_Done,
     /*  125531 */   // Label 2205: @125531
     /*  125531 */   GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(125576), // Rule ID 47681 //
     /*  125536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125539 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  125539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  125542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  125556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125574 */     GIR_RootConstrainSelectedInstOperands,
     /*  125575 */     // GIR_Coverage, 47681,
     /*  125575 */     GIR_EraseRootFromParent_Done,
     /*  125576 */   // Label 2206: @125576
     /*  125576 */   GIM_Reject,
     /*  125577 */ // Label 2204: @125577
     /*  125577 */ GIM_Reject,
     /*  125578 */ // Label 2051: @125578
     /*  125578 */ GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(125692),
     /*  125583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  125586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  125589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125601 */   GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(125646), // Rule ID 47708 //
     /*  125606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125609 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  125609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  125612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  125626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  125641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125644 */     GIR_RootConstrainSelectedInstOperands,
     /*  125645 */     // GIR_Coverage, 47708,
     /*  125645 */     GIR_EraseRootFromParent_Done,
     /*  125646 */   // Label 2208: @125646
     /*  125646 */   GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(125691), // Rule ID 47709 //
     /*  125651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125654 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  125654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  125657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  125671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  125686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125689 */     GIR_RootConstrainSelectedInstOperands,
     /*  125690 */     // GIR_Coverage, 47709,
     /*  125690 */     GIR_EraseRootFromParent_Done,
     /*  125691 */   // Label 2209: @125691
     /*  125691 */   GIM_Reject,
     /*  125692 */ // Label 2207: @125692
     /*  125692 */ GIM_Reject,
     /*  125693 */ // Label 2052: @125693
     /*  125693 */ GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(125807),
     /*  125698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  125701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  125704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125716 */   GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(125761), // Rule ID 47724 //
     /*  125721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125724 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  125724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  125727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  125741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  125756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125759 */     GIR_RootConstrainSelectedInstOperands,
     /*  125760 */     // GIR_Coverage, 47724,
     /*  125760 */     GIR_EraseRootFromParent_Done,
     /*  125761 */   // Label 2211: @125761
     /*  125761 */   GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(125806), // Rule ID 47725 //
     /*  125766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125769 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  125769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  125772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  125786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  125801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125804 */     GIR_RootConstrainSelectedInstOperands,
     /*  125805 */     // GIR_Coverage, 47725,
     /*  125805 */     GIR_EraseRootFromParent_Done,
     /*  125806 */   // Label 2212: @125806
     /*  125806 */   GIM_Reject,
     /*  125807 */ // Label 2210: @125807
     /*  125807 */ GIM_Reject,
     /*  125808 */ // Label 2053: @125808
     /*  125808 */ GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(125922),
     /*  125813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  125816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  125819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125831 */   GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(125876), // Rule ID 47740 //
     /*  125836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  125839 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  125839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  125842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  125856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125874 */     GIR_RootConstrainSelectedInstOperands,
     /*  125875 */     // GIR_Coverage, 47740,
     /*  125875 */     GIR_EraseRootFromParent_Done,
     /*  125876 */   // Label 2214: @125876
     /*  125876 */   GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(125921), // Rule ID 47741 //
     /*  125881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  125884 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  125884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  125887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  125901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125919 */     GIR_RootConstrainSelectedInstOperands,
     /*  125920 */     // GIR_Coverage, 47741,
     /*  125920 */     GIR_EraseRootFromParent_Done,
     /*  125921 */   // Label 2215: @125921
     /*  125921 */   GIM_Reject,
     /*  125922 */ // Label 2213: @125922
     /*  125922 */ GIM_Reject,
     /*  125923 */ // Label 2054: @125923
     /*  125923 */ GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(126533),
     /*  125928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125938 */   GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(126004), // Rule ID 71823 //
     /*  125943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125983 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125985 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126002 */     GIR_RootConstrainSelectedInstOperands,
     /*  126003 */     // GIR_Coverage, 71823,
     /*  126003 */     GIR_EraseRootFromParent_Done,
     /*  126004 */   // Label 2217: @126004
     /*  126004 */   GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(126070), // Rule ID 71824 //
     /*  126009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  126024 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  126028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126051 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  126054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126068 */     GIR_RootConstrainSelectedInstOperands,
     /*  126069 */     // GIR_Coverage, 71824,
     /*  126069 */     GIR_EraseRootFromParent_Done,
     /*  126070 */   // Label 2218: @126070
     /*  126070 */   GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(126136), // Rule ID 71821 //
     /*  126075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  126090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  126094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126107 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126117 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  126120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126134 */     GIR_RootConstrainSelectedInstOperands,
     /*  126135 */     // GIR_Coverage, 71821,
     /*  126135 */     GIR_EraseRootFromParent_Done,
     /*  126136 */   // Label 2219: @126136
     /*  126136 */   GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(126202), // Rule ID 71822 //
     /*  126141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  126156 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  126160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126181 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126183 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  126186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126200 */     GIR_RootConstrainSelectedInstOperands,
     /*  126201 */     // GIR_Coverage, 71822,
     /*  126201 */     GIR_EraseRootFromParent_Done,
     /*  126202 */   // Label 2220: @126202
     /*  126202 */   GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(126268), // Rule ID 71819 //
     /*  126207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  126226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  126230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126249 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  126252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126266 */     GIR_RootConstrainSelectedInstOperands,
     /*  126267 */     // GIR_Coverage, 71819,
     /*  126267 */     GIR_EraseRootFromParent_Done,
     /*  126268 */   // Label 2221: @126268
     /*  126268 */   GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(126334), // Rule ID 71820 //
     /*  126273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  126292 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  126296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126315 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  126318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126332 */     GIR_RootConstrainSelectedInstOperands,
     /*  126333 */     // GIR_Coverage, 71820,
     /*  126333 */     GIR_EraseRootFromParent_Done,
     /*  126334 */   // Label 2222: @126334
     /*  126334 */   GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(126400), // Rule ID 53248 //
     /*  126339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  126358 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  126362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126381 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  126384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126398 */     GIR_RootConstrainSelectedInstOperands,
     /*  126399 */     // GIR_Coverage, 53248,
     /*  126399 */     GIR_EraseRootFromParent_Done,
     /*  126400 */   // Label 2223: @126400
     /*  126400 */   GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(126466), // Rule ID 53249 //
     /*  126405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  126424 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  126428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126445 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126447 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  126450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126464 */     GIR_RootConstrainSelectedInstOperands,
     /*  126465 */     // GIR_Coverage, 53249,
     /*  126465 */     GIR_EraseRootFromParent_Done,
     /*  126466 */   // Label 2224: @126466
     /*  126466 */   GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(126499), // Rule ID 53236 //
     /*  126471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126482 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  126485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126497 */     GIR_RootConstrainSelectedInstOperands,
     /*  126498 */     // GIR_Coverage, 53236,
     /*  126498 */     GIR_EraseRootFromParent_Done,
     /*  126499 */   // Label 2225: @126499
     /*  126499 */   GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(126532), // Rule ID 53237 //
     /*  126504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126515 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  126518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126530 */     GIR_RootConstrainSelectedInstOperands,
     /*  126531 */     // GIR_Coverage, 53237,
     /*  126531 */     GIR_EraseRootFromParent_Done,
     /*  126532 */   // Label 2226: @126532
     /*  126532 */   GIM_Reject,
     /*  126533 */ // Label 2216: @126533
     /*  126533 */ GIM_Reject,
     /*  126534 */ // Label 2055: @126534
     /*  126534 */ GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(126648),
     /*  126539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  126542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  126545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  126549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  126553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  126557 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(126602), // Rule ID 47696 //
     /*  126562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126565 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  126565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  126568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  126582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126600 */     GIR_RootConstrainSelectedInstOperands,
     /*  126601 */     // GIR_Coverage, 47696,
     /*  126601 */     GIR_EraseRootFromParent_Done,
     /*  126602 */   // Label 2228: @126602
     /*  126602 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(126647), // Rule ID 47697 //
     /*  126607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126610 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  126610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  126613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  126627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126645 */     GIR_RootConstrainSelectedInstOperands,
     /*  126646 */     // GIR_Coverage, 47697,
     /*  126646 */     GIR_EraseRootFromParent_Done,
     /*  126647 */   // Label 2229: @126647
     /*  126647 */   GIM_Reject,
     /*  126648 */ // Label 2227: @126648
     /*  126648 */ GIM_Reject,
     /*  126649 */ // Label 2056: @126649
     /*  126649 */ GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(126763),
     /*  126654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  126657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  126660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126672 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(126717), // Rule ID 47712 //
     /*  126677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126680 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  126680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  126683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  126697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126715 */     GIR_RootConstrainSelectedInstOperands,
     /*  126716 */     // GIR_Coverage, 47712,
     /*  126716 */     GIR_EraseRootFromParent_Done,
     /*  126717 */   // Label 2231: @126717
     /*  126717 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(126762), // Rule ID 47713 //
     /*  126722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126725 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  126725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  126728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  126742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126760 */     GIR_RootConstrainSelectedInstOperands,
     /*  126761 */     // GIR_Coverage, 47713,
     /*  126761 */     GIR_EraseRootFromParent_Done,
     /*  126762 */   // Label 2232: @126762
     /*  126762 */   GIM_Reject,
     /*  126763 */ // Label 2230: @126763
     /*  126763 */ GIM_Reject,
     /*  126764 */ // Label 2057: @126764
     /*  126764 */ GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(126878),
     /*  126769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  126772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  126775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126787 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(126832), // Rule ID 47728 //
     /*  126792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126795 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  126795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  126798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  126812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126830 */     GIR_RootConstrainSelectedInstOperands,
     /*  126831 */     // GIR_Coverage, 47728,
     /*  126831 */     GIR_EraseRootFromParent_Done,
     /*  126832 */   // Label 2234: @126832
     /*  126832 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(126877), // Rule ID 47729 //
     /*  126837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126840 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  126840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  126843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  126857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126875 */     GIR_RootConstrainSelectedInstOperands,
     /*  126876 */     // GIR_Coverage, 47729,
     /*  126876 */     GIR_EraseRootFromParent_Done,
     /*  126877 */   // Label 2235: @126877
     /*  126877 */   GIM_Reject,
     /*  126878 */ // Label 2233: @126878
     /*  126878 */ GIM_Reject,
     /*  126879 */ // Label 2058: @126879
     /*  126879 */ GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(127489),
     /*  126884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126894 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(126960), // Rule ID 71851 //
     /*  126899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126941 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126958 */     GIR_RootConstrainSelectedInstOperands,
     /*  126959 */     // GIR_Coverage, 71851,
     /*  126959 */     GIR_EraseRootFromParent_Done,
     /*  126960 */   // Label 2237: @126960
     /*  126960 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(127026), // Rule ID 71852 //
     /*  126965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127007 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  127010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127024 */     GIR_RootConstrainSelectedInstOperands,
     /*  127025 */     // GIR_Coverage, 71852,
     /*  127025 */     GIR_EraseRootFromParent_Done,
     /*  127026 */   // Label 2238: @127026
     /*  127026 */   GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(127092), // Rule ID 71849 //
     /*  127031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  127046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  127050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127063 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127073 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  127076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127090 */     GIR_RootConstrainSelectedInstOperands,
     /*  127091 */     // GIR_Coverage, 71849,
     /*  127091 */     GIR_EraseRootFromParent_Done,
     /*  127092 */   // Label 2239: @127092
     /*  127092 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(127158), // Rule ID 71850 //
     /*  127097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  127112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  127116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127139 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  127142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127156 */     GIR_RootConstrainSelectedInstOperands,
     /*  127157 */     // GIR_Coverage, 71850,
     /*  127157 */     GIR_EraseRootFromParent_Done,
     /*  127158 */   // Label 2240: @127158
     /*  127158 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(127224), // Rule ID 71847 //
     /*  127163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  127182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  127186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127205 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  127208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127222 */     GIR_RootConstrainSelectedInstOperands,
     /*  127223 */     // GIR_Coverage, 71847,
     /*  127223 */     GIR_EraseRootFromParent_Done,
     /*  127224 */   // Label 2241: @127224
     /*  127224 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(127290), // Rule ID 71848 //
     /*  127229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  127248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  127252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127269 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127271 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  127274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127288 */     GIR_RootConstrainSelectedInstOperands,
     /*  127289 */     // GIR_Coverage, 71848,
     /*  127289 */     GIR_EraseRootFromParent_Done,
     /*  127290 */   // Label 2242: @127290
     /*  127290 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(127356), // Rule ID 53266 //
     /*  127295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  127314 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  127318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127337 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  127340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127354 */     GIR_RootConstrainSelectedInstOperands,
     /*  127355 */     // GIR_Coverage, 53266,
     /*  127355 */     GIR_EraseRootFromParent_Done,
     /*  127356 */   // Label 2243: @127356
     /*  127356 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(127422), // Rule ID 53267 //
     /*  127361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  127380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  127384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127403 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  127406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127420 */     GIR_RootConstrainSelectedInstOperands,
     /*  127421 */     // GIR_Coverage, 53267,
     /*  127421 */     GIR_EraseRootFromParent_Done,
     /*  127422 */   // Label 2244: @127422
     /*  127422 */   GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(127455), // Rule ID 53254 //
     /*  127427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127438 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  127441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127453 */     GIR_RootConstrainSelectedInstOperands,
     /*  127454 */     // GIR_Coverage, 53254,
     /*  127454 */     GIR_EraseRootFromParent_Done,
     /*  127455 */   // Label 2245: @127455
     /*  127455 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(127488), // Rule ID 53255 //
     /*  127460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127471 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  127474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127486 */     GIR_RootConstrainSelectedInstOperands,
     /*  127487 */     // GIR_Coverage, 53255,
     /*  127487 */     GIR_EraseRootFromParent_Done,
     /*  127488 */   // Label 2246: @127488
     /*  127488 */   GIM_Reject,
     /*  127489 */ // Label 2236: @127489
     /*  127489 */ GIM_Reject,
     /*  127490 */ // Label 2059: @127490
     /*  127490 */ GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(127604),
     /*  127495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  127498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  127501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127513 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(127558), // Rule ID 47700 //
     /*  127518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127521 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  127521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  127524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  127538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127556 */     GIR_RootConstrainSelectedInstOperands,
     /*  127557 */     // GIR_Coverage, 47700,
     /*  127557 */     GIR_EraseRootFromParent_Done,
     /*  127558 */   // Label 2248: @127558
     /*  127558 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(127603), // Rule ID 47701 //
     /*  127563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127566 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  127566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  127569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  127583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127601 */     GIR_RootConstrainSelectedInstOperands,
     /*  127602 */     // GIR_Coverage, 47701,
     /*  127602 */     GIR_EraseRootFromParent_Done,
     /*  127603 */   // Label 2249: @127603
     /*  127603 */   GIM_Reject,
     /*  127604 */ // Label 2247: @127604
     /*  127604 */ GIM_Reject,
     /*  127605 */ // Label 2060: @127605
     /*  127605 */ GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(127719),
     /*  127610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  127613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  127616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127624 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127628 */   GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(127673), // Rule ID 47716 //
     /*  127633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127636 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  127636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  127639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  127653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127671 */     GIR_RootConstrainSelectedInstOperands,
     /*  127672 */     // GIR_Coverage, 47716,
     /*  127672 */     GIR_EraseRootFromParent_Done,
     /*  127673 */   // Label 2251: @127673
     /*  127673 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(127718), // Rule ID 47717 //
     /*  127678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127681 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  127681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  127684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  127698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127716 */     GIR_RootConstrainSelectedInstOperands,
     /*  127717 */     // GIR_Coverage, 47717,
     /*  127717 */     GIR_EraseRootFromParent_Done,
     /*  127718 */   // Label 2252: @127718
     /*  127718 */   GIM_Reject,
     /*  127719 */ // Label 2250: @127719
     /*  127719 */ GIM_Reject,
     /*  127720 */ // Label 2061: @127720
     /*  127720 */ GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(128330),
     /*  127725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127735 */   GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(127801), // Rule ID 71879 //
     /*  127740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127767 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127780 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127782 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127799 */     GIR_RootConstrainSelectedInstOperands,
     /*  127800 */     // GIR_Coverage, 71879,
     /*  127800 */     GIR_EraseRootFromParent_Done,
     /*  127801 */   // Label 2254: @127801
     /*  127801 */   GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(127867), // Rule ID 71880 //
     /*  127806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127821 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127833 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127848 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127865 */     GIR_RootConstrainSelectedInstOperands,
     /*  127866 */     // GIR_Coverage, 71880,
     /*  127866 */     GIR_EraseRootFromParent_Done,
     /*  127867 */   // Label 2255: @127867
     /*  127867 */   GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(127933), // Rule ID 71877 //
     /*  127872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127912 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127914 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127931 */     GIR_RootConstrainSelectedInstOperands,
     /*  127932 */     // GIR_Coverage, 71877,
     /*  127932 */     GIR_EraseRootFromParent_Done,
     /*  127933 */   // Label 2256: @127933
     /*  127933 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(127999), // Rule ID 71878 //
     /*  127938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127980 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127997 */     GIR_RootConstrainSelectedInstOperands,
     /*  127998 */     // GIR_Coverage, 71878,
     /*  127998 */     GIR_EraseRootFromParent_Done,
     /*  127999 */   // Label 2257: @127999
     /*  127999 */   GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(128065), // Rule ID 71875 //
     /*  128004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  128019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  128023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  128027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  128035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128046 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  128046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  128049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  128057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  128063 */     GIR_RootConstrainSelectedInstOperands,
     /*  128064 */     // GIR_Coverage, 71875,
     /*  128064 */     GIR_EraseRootFromParent_Done,
     /*  128065 */   // Label 2258: @128065
     /*  128065 */   GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(128131), // Rule ID 71876 //
     /*  128070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  128085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  128089 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  128093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  128101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128112 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  128112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  128115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  128123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  128129 */     GIR_RootConstrainSelectedInstOperands,
     /*  128130 */     // GIR_Coverage, 71876,
     /*  128130 */     GIR_EraseRootFromParent_Done,
     /*  128131 */   // Label 2259: @128131
     /*  128131 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(128197), // Rule ID 53284 //
     /*  128136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  128151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  128155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  128159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  128168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  128172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128178 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  128178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  128181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  128195 */     GIR_RootConstrainSelectedInstOperands,
     /*  128196 */     // GIR_Coverage, 53284,
     /*  128196 */     GIR_EraseRootFromParent_Done,
     /*  128197 */   // Label 2260: @128197
     /*  128197 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(128263), // Rule ID 53285 //
     /*  128202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  128217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  128221 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  128225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  128234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  128238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128242 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128244 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  128244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  128247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  128261 */     GIR_RootConstrainSelectedInstOperands,
     /*  128262 */     // GIR_Coverage, 53285,
     /*  128262 */     GIR_EraseRootFromParent_Done,
     /*  128263 */   // Label 2261: @128263
     /*  128263 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(128296), // Rule ID 53272 //
     /*  128268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128279 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  128279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  128282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  128288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  128294 */     GIR_RootConstrainSelectedInstOperands,
     /*  128295 */     // GIR_Coverage, 53272,
     /*  128295 */     GIR_EraseRootFromParent_Done,
     /*  128296 */   // Label 2262: @128296
     /*  128296 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(128329), // Rule ID 53273 //
     /*  128301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128312 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  128312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  128315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  128321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  128327 */     GIR_RootConstrainSelectedInstOperands,
     /*  128328 */     // GIR_Coverage, 53273,
     /*  128328 */     GIR_EraseRootFromParent_Done,
     /*  128329 */   // Label 2263: @128329
     /*  128329 */   GIM_Reject,
     /*  128330 */ // Label 2253: @128330
     /*  128330 */ GIM_Reject,
     /*  128331 */ // Label 2062: @128331
     /*  128331 */ GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(128445),
     /*  128336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  128339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  128342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128354 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(128399), // Rule ID 47704 //
     /*  128359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128362 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  128362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  128365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  128369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  128379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  128388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128397 */     GIR_RootConstrainSelectedInstOperands,
     /*  128398 */     // GIR_Coverage, 47704,
     /*  128398 */     GIR_EraseRootFromParent_Done,
     /*  128399 */   // Label 2265: @128399
     /*  128399 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(128444), // Rule ID 47705 //
     /*  128404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128407 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  128407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  128410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  128414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  128424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  128433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128442 */     GIR_RootConstrainSelectedInstOperands,
     /*  128443 */     // GIR_Coverage, 47705,
     /*  128443 */     GIR_EraseRootFromParent_Done,
     /*  128444 */   // Label 2266: @128444
     /*  128444 */   GIM_Reject,
     /*  128445 */ // Label 2264: @128445
     /*  128445 */ GIM_Reject,
     /*  128446 */ // Label 2063: @128446
     /*  128446 */ GIM_Reject,
     /*  128447 */ // Label 8: @128447
     /*  128447 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2298*/ GIMT_Encode4(141067),
     /*  128458 */ /*GILLT_s32*//*Label 2267*/ GIMT_Encode4(128582),
     /*  128462 */ /*GILLT_s64*//*Label 2268*/ GIMT_Encode4(131312),
     /*  128466 */ /*GILLT_nxv1s1*//*Label 2269*/ GIMT_Encode4(134260),
     /*  128470 */ /*GILLT_nxv1s8*//*Label 2270*/ GIMT_Encode4(134871),
     /*  128474 */ /*GILLT_nxv1s16*//*Label 2271*/ GIMT_Encode4(134986),
     /*  128478 */ /*GILLT_nxv1s32*//*Label 2272*/ GIMT_Encode4(135101),
     /*  128482 */ /*GILLT_nxv1s64*//*Label 2273*/ GIMT_Encode4(135216),
     /*  128486 */ /*GILLT_nxv2s1*//*Label 2274*/ GIMT_Encode4(135331),
     /*  128490 */ /*GILLT_nxv2s8*//*Label 2275*/ GIMT_Encode4(135942),
     /*  128494 */ /*GILLT_nxv2s16*//*Label 2276*/ GIMT_Encode4(136057),
     /*  128498 */ /*GILLT_nxv2s32*//*Label 2277*/ GIMT_Encode4(136172),
     /*  128502 */ /*GILLT_nxv2s64*//*Label 2278*/ GIMT_Encode4(136287),
     /*  128506 */ /*GILLT_nxv4s1*//*Label 2279*/ GIMT_Encode4(136402),
     /*  128510 */ /*GILLT_nxv4s8*//*Label 2280*/ GIMT_Encode4(137013),
     /*  128514 */ /*GILLT_nxv4s16*//*Label 2281*/ GIMT_Encode4(137128),
     /*  128518 */ /*GILLT_nxv4s32*//*Label 2282*/ GIMT_Encode4(137243),
     /*  128522 */ /*GILLT_nxv4s64*//*Label 2283*/ GIMT_Encode4(137358),
     /*  128526 */ /*GILLT_nxv8s1*//*Label 2284*/ GIMT_Encode4(137473),
     /*  128530 */ /*GILLT_nxv8s8*//*Label 2285*/ GIMT_Encode4(138084),
     /*  128534 */ /*GILLT_nxv8s16*//*Label 2286*/ GIMT_Encode4(138199),
     /*  128538 */ /*GILLT_nxv8s32*//*Label 2287*/ GIMT_Encode4(138314),
     /*  128542 */ /*GILLT_nxv8s64*//*Label 2288*/ GIMT_Encode4(138429),
     /*  128546 */ /*GILLT_nxv16s1*//*Label 2289*/ GIMT_Encode4(138544),
     /*  128550 */ /*GILLT_nxv16s8*//*Label 2290*/ GIMT_Encode4(139155),
     /*  128554 */ /*GILLT_nxv16s16*//*Label 2291*/ GIMT_Encode4(139270),
     /*  128558 */ /*GILLT_nxv16s32*//*Label 2292*/ GIMT_Encode4(139385),
     /*  128562 */ /*GILLT_nxv32s1*//*Label 2293*/ GIMT_Encode4(139500),
     /*  128566 */ /*GILLT_nxv32s8*//*Label 2294*/ GIMT_Encode4(140111),
     /*  128570 */ /*GILLT_nxv32s16*//*Label 2295*/ GIMT_Encode4(140226),
     /*  128574 */ /*GILLT_nxv64s1*//*Label 2296*/ GIMT_Encode4(140341),
     /*  128578 */ /*GILLT_nxv64s8*//*Label 2297*/ GIMT_Encode4(140952),
     /*  128582 */ // Label 2267: @128582
     /*  128582 */ GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(131311),
     /*  128587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  128590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  128593 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(128788), // Rule ID 65529 //
     /*  128598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128617 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  128625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128633 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128637 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128641 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  128645 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128649 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128653 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128657 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  128661 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128665 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128669 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128673 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  128677 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  128681 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128685 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128689 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128693 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  128697 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128699 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128706 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128713 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128720 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128727 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128727 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128730 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128734 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  128744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  128749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  128768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  128773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128786 */     GIR_RootConstrainSelectedInstOperands,
     /*  128787 */     // GIR_Coverage, 65529,
     /*  128787 */     GIR_EraseRootFromParent_Done,
     /*  128788 */   // Label 2300: @128788
     /*  128788 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(128983), // Rule ID 65531 //
     /*  128793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  128820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128828 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128832 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128836 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  128840 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128844 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128848 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128852 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  128856 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128860 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128864 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128868 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  128872 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  128876 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128880 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128884 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128888 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  128892 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128894 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128901 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128908 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128915 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128922 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128922 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128925 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128929 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  128939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  128944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  128963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  128968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128981 */     GIR_RootConstrainSelectedInstOperands,
     /*  128982 */     // GIR_Coverage, 65531,
     /*  128982 */     GIR_EraseRootFromParent_Done,
     /*  128983 */   // Label 2301: @128983
     /*  128983 */   GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(129178), // Rule ID 65525 //
     /*  128988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129023 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129027 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  129031 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  129035 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129039 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129043 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129047 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  129051 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129055 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129059 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129063 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  129067 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  129071 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129075 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129079 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129083 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  129087 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129089 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129096 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129103 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129110 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129117 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129117 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129120 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129124 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  129134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  129139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  129158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  129163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129176 */     GIR_RootConstrainSelectedInstOperands,
     /*  129177 */     // GIR_Coverage, 65525,
     /*  129177 */     GIR_EraseRootFromParent_Done,
     /*  129178 */   // Label 2302: @129178
     /*  129178 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(129373), // Rule ID 65527 //
     /*  129183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129218 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129222 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  129226 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  129230 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129234 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129238 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129242 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  129246 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129250 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129254 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129258 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  129262 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  129266 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129270 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129274 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129278 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  129282 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129284 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129291 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129298 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129305 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129312 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129312 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129315 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129319 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  129329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  129334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  129353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  129358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129371 */     GIR_RootConstrainSelectedInstOperands,
     /*  129372 */     // GIR_Coverage, 65527,
     /*  129372 */     GIR_EraseRootFromParent_Done,
     /*  129373 */   // Label 2303: @129373
     /*  129373 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(129568), // Rule ID 65519 //
     /*  129378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129409 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129413 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129417 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  129421 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  129425 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129429 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129433 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129437 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  129441 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  129445 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129449 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129453 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129457 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  129461 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129465 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129469 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129473 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  129477 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129479 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129486 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129493 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129500 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129507 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129507 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129510 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129514 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  129524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  129529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  129548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  129553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129566 */     GIR_RootConstrainSelectedInstOperands,
     /*  129567 */     // GIR_Coverage, 65519,
     /*  129567 */     GIR_EraseRootFromParent_Done,
     /*  129568 */   // Label 2304: @129568
     /*  129568 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(129763), // Rule ID 65523 //
     /*  129573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129608 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129612 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  129616 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  129620 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129624 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129628 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129632 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  129636 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  129640 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129644 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129648 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129652 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  129656 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129660 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129664 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129668 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  129672 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129674 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129681 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129688 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129695 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129702 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129702 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129705 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129709 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  129719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  129724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  129743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  129748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129761 */     GIR_RootConstrainSelectedInstOperands,
     /*  129762 */     // GIR_Coverage, 65523,
     /*  129762 */     GIR_EraseRootFromParent_Done,
     /*  129763 */   // Label 2305: @129763
     /*  129763 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(129958), // Rule ID 2553 //
     /*  129768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129803 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129807 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  129811 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  129815 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129819 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129823 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129827 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  129831 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  129835 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129839 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129843 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129847 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  129851 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129855 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129859 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129863 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  129867 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129869 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129876 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129883 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129890 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129897 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129897 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129900 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129904 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  129914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  129919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  129938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  129943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129956 */     GIR_RootConstrainSelectedInstOperands,
     /*  129957 */     // GIR_Coverage, 2553,
     /*  129957 */     GIR_EraseRootFromParent_Done,
     /*  129958 */   // Label 2306: @129958
     /*  129958 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(130153), // Rule ID 65521 //
     /*  129963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129998 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  130002 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  130006 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  130010 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130014 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  130018 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  130022 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  130026 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  130030 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  130034 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  130038 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  130042 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  130046 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130050 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  130054 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  130058 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  130062 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  130064 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130071 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  130078 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  130085 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  130092 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  130092 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  130095 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130099 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  130109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  130114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  130116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  130119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  130133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  130138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  130143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  130151 */     GIR_RootConstrainSelectedInstOperands,
     /*  130152 */     // GIR_Coverage, 65521,
     /*  130152 */     GIR_EraseRootFromParent_Done,
     /*  130153 */   // Label 2307: @130153
     /*  130153 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(130258), // Rule ID 2548 //
     /*  130158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130181 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  130185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  130189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130197 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  130201 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  130205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130207 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130214 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  130221 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  130221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  130224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  130238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  130243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  130248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  130256 */     GIR_RootConstrainSelectedInstOperands,
     /*  130257 */     // GIR_Coverage, 2548,
     /*  130257 */     GIR_EraseRootFromParent_Done,
     /*  130258 */   // Label 2308: @130258
     /*  130258 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(130363), // Rule ID 65514 //
     /*  130263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130286 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  130290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  130294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130302 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  130306 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  130310 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130312 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130319 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  130326 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  130326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  130329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  130348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  130353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  130361 */     GIR_RootConstrainSelectedInstOperands,
     /*  130362 */     // GIR_Coverage, 65514,
     /*  130362 */     GIR_EraseRootFromParent_Done,
     /*  130363 */   // Label 2309: @130363
     /*  130363 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(130452), // Rule ID 65508 //
     /*  130368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  130383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130403 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  130407 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130412 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  130416 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  130427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130436 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  130450 */     GIR_RootConstrainSelectedInstOperands,
     /*  130451 */     // GIR_Coverage, 65508,
     /*  130451 */     GIR_EraseRootFromParent_Done,
     /*  130452 */   // Label 2310: @130452
     /*  130452 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(130541), // Rule ID 2542 //
     /*  130457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  130472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130476 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130492 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  130496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130501 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  130505 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  130516 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130525 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  130539 */     GIR_RootConstrainSelectedInstOperands,
     /*  130540 */     // GIR_Coverage, 2542,
     /*  130540 */     GIR_EraseRootFromParent_Done,
     /*  130541 */   // Label 2311: @130541
     /*  130541 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(130606), // Rule ID 65510 //
     /*  130546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130569 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130582 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  130589 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  130604 */     GIR_RootConstrainSelectedInstOperands,
     /*  130605 */     // GIR_Coverage, 65510,
     /*  130605 */     GIR_EraseRootFromParent_Done,
     /*  130606 */   // Label 2312: @130606
     /*  130606 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(130671), // Rule ID 2544 //
     /*  130611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130634 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  130647 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130654 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  130664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  130669 */     GIR_RootConstrainSelectedInstOperands,
     /*  130670 */     // GIR_Coverage, 2544,
     /*  130670 */     GIR_EraseRootFromParent_Done,
     /*  130671 */   // Label 2313: @130671
     /*  130671 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(130737), // Rule ID 65516 //
     /*  130676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130695 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130704 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130708 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11283),
     /*  130712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130721 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }))<<P:Predicate_anonymous_11283>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130735 */     GIR_RootConstrainSelectedInstOperands,
     /*  130736 */     // GIR_Coverage, 65516,
     /*  130736 */     GIR_EraseRootFromParent_Done,
     /*  130737 */   // Label 2314: @130737
     /*  130737 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(130803), // Rule ID 2550 //
     /*  130742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130770 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130774 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11283),
     /*  130778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130787 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))<<P:Predicate_anonymous_11283>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130801 */     GIR_RootConstrainSelectedInstOperands,
     /*  130802 */     // GIR_Coverage, 2550,
     /*  130802 */     GIR_EraseRootFromParent_Done,
     /*  130803 */   // Label 2315: @130803
     /*  130803 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(130865), // Rule ID 2551 //
     /*  130808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  130811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130827 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130836 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  130840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  130849 */     // (or:{ *:[i32] } (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  130852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130863 */     GIR_RootConstrainSelectedInstOperands,
     /*  130864 */     // GIR_Coverage, 2551,
     /*  130864 */     GIR_EraseRootFromParent_Done,
     /*  130865 */   // Label 2316: @130865
     /*  130865 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(130927), // Rule ID 65517 //
     /*  130870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  130873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130889 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130898 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  130902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  130911 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }), (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  130914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130925 */     GIR_RootConstrainSelectedInstOperands,
     /*  130926 */     // GIR_Coverage, 65517,
     /*  130926 */     GIR_EraseRootFromParent_Done,
     /*  130927 */   // Label 2317: @130927
     /*  130927 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(130986), // Rule ID 2477 //
     /*  130932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  130935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130955 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  130959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130965 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  130972 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  130975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  130984 */     GIR_RootConstrainSelectedInstOperands,
     /*  130985 */     // GIR_Coverage, 2477,
     /*  130985 */     GIR_EraseRootFromParent_Done,
     /*  130986 */   // Label 2318: @130986
     /*  130986 */   GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(131045), // Rule ID 65504 //
     /*  130991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  130994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  131014 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  131018 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  131022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131024 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  131031 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  131031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  131034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  131043 */     GIR_RootConstrainSelectedInstOperands,
     /*  131044 */     // GIR_Coverage, 65504,
     /*  131044 */     GIR_EraseRootFromParent_Done,
     /*  131045 */   // Label 2319: @131045
     /*  131045 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(131101), // Rule ID 65488 //
     /*  131050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  131053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  131069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  131073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131078 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  131082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131088 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  131088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  131091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131099 */     GIR_RootConstrainSelectedInstOperands,
     /*  131100 */     // GIR_Coverage, 65488,
     /*  131100 */     GIR_EraseRootFromParent_Done,
     /*  131101 */   // Label 2320: @131101
     /*  131101 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(131157), // Rule ID 2449 //
     /*  131106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  131109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  131129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  131133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131138 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  131142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131144 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  131144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  131147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131155 */     GIR_RootConstrainSelectedInstOperands,
     /*  131156 */     // GIR_Coverage, 2449,
     /*  131156 */     GIR_EraseRootFromParent_Done,
     /*  131157 */   // Label 2321: @131157
     /*  131157 */   GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(131199), // Rule ID 87 //
     /*  131162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  131165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  131185 */     // MIs[1] Operand 1
     /*  131185 */     // No operand predicates
     /*  131185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131187 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  131187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  131190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  131197 */     GIR_RootConstrainSelectedInstOperands,
     /*  131198 */     // GIR_Coverage, 87,
     /*  131198 */     GIR_EraseRootFromParent_Done,
     /*  131199 */   // Label 2322: @131199
     /*  131199 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(131241), // Rule ID 64533 //
     /*  131204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  131207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  131211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  131215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  131227 */     // MIs[1] Operand 1
     /*  131227 */     // No operand predicates
     /*  131227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131229 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  131229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORAI),
     /*  131232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  131234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  131239 */     GIR_RootConstrainSelectedInstOperands,
     /*  131240 */     // GIR_Coverage, 64533,
     /*  131240 */     GIR_EraseRootFromParent_Done,
     /*  131241 */   // Label 2323: @131241
     /*  131241 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(131283), // Rule ID 64537 //
     /*  131246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  131249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  131253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  131257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  131269 */     // MIs[1] Operand 1
     /*  131269 */     // No operand predicates
     /*  131269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131271 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  131271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORI),
     /*  131274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  131281 */     GIR_RootConstrainSelectedInstOperands,
     /*  131282 */     // GIR_Coverage, 64537,
     /*  131282 */     GIR_EraseRootFromParent_Done,
     /*  131283 */   // Label 2324: @131283
     /*  131283 */   GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(131310), // Rule ID 85 //
     /*  131288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  131291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131303 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (OR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  131303 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  131308 */     GIR_RootConstrainSelectedInstOperands,
     /*  131309 */     // GIR_Coverage, 85,
     /*  131309 */     GIR_Done,
     /*  131310 */   // Label 2325: @131310
     /*  131310 */   GIM_Reject,
     /*  131311 */ // Label 2299: @131311
     /*  131311 */ GIM_Reject,
     /*  131312 */ // Label 2268: @131312
     /*  131312 */ GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(134259),
     /*  131317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  131320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  131323 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(131518), // Rule ID 65528 //
     /*  131328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131347 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131359 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131363 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131367 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  131371 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  131375 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131379 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131383 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131387 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  131391 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131395 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131399 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131403 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  131407 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  131411 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131415 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131419 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131423 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  131427 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131429 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131436 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131443 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131450 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131457 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131457 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131460 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131464 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  131474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  131479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  131498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  131503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131516 */     GIR_RootConstrainSelectedInstOperands,
     /*  131517 */     // GIR_Coverage, 65528,
     /*  131517 */     GIR_EraseRootFromParent_Done,
     /*  131518 */   // Label 2327: @131518
     /*  131518 */   GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(131713), // Rule ID 65530 //
     /*  131523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131542 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131554 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131558 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131562 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  131566 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  131570 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131574 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131578 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131582 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  131586 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131590 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131594 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131598 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  131602 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  131606 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131610 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131614 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131618 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  131622 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131624 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131631 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131638 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131645 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131652 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131652 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131655 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131659 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  131669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  131674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  131693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  131698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131711 */     GIR_RootConstrainSelectedInstOperands,
     /*  131712 */     // GIR_Coverage, 65530,
     /*  131712 */     GIR_EraseRootFromParent_Done,
     /*  131713 */   // Label 2328: @131713
     /*  131713 */   GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(131908), // Rule ID 65524 //
     /*  131718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131753 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131757 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  131761 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  131765 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131769 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131773 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131777 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  131781 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131785 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131789 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131793 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  131797 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  131801 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131805 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131809 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131813 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  131817 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131819 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131826 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131833 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131840 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131847 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131847 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131850 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131854 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  131864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  131869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  131888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  131893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131906 */     GIR_RootConstrainSelectedInstOperands,
     /*  131907 */     // GIR_Coverage, 65524,
     /*  131907 */     GIR_EraseRootFromParent_Done,
     /*  131908 */   // Label 2329: @131908
     /*  131908 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(132103), // Rule ID 65526 //
     /*  131913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131948 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131952 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  131956 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  131960 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131964 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131968 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131972 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  131976 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131980 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131984 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131988 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  131992 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  131996 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132000 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  132004 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  132008 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  132012 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  132014 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132021 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132028 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  132035 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  132042 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  132042 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  132045 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132049 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  132059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  132064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  132066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  132083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  132088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  132093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  132101 */     GIR_RootConstrainSelectedInstOperands,
     /*  132102 */     // GIR_Coverage, 65526,
     /*  132102 */     GIR_EraseRootFromParent_Done,
     /*  132103 */   // Label 2330: @132103
     /*  132103 */   GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(132298), // Rule ID 65518 //
     /*  132108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  132111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132127 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132143 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132147 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  132151 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  132155 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132159 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  132163 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  132167 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  132171 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  132175 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132179 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  132183 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  132187 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  132191 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132195 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  132199 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  132203 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  132207 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  132209 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132216 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132223 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  132230 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  132237 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  132237 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  132240 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132244 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  132254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  132259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  132261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  132278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  132283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  132288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  132296 */     GIR_RootConstrainSelectedInstOperands,
     /*  132297 */     // GIR_Coverage, 65518,
     /*  132297 */     GIR_EraseRootFromParent_Done,
     /*  132298 */   // Label 2331: @132298
     /*  132298 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(132493), // Rule ID 65522 //
     /*  132303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  132306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132330 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132334 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132338 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132342 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132346 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  132350 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132354 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  132358 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  132362 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  132366 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  132370 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132374 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  132378 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  132382 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  132386 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132390 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  132394 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  132398 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  132402 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  132404 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132411 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132418 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  132425 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  132432 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  132432 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  132435 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132439 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  132449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  132454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  132456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  132473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  132478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  132483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  132491 */     GIR_RootConstrainSelectedInstOperands,
     /*  132492 */     // GIR_Coverage, 65522,
     /*  132492 */     GIR_EraseRootFromParent_Done,
     /*  132493 */   // Label 2332: @132493
     /*  132493 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(132688), // Rule ID 2552 //
     /*  132498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  132501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132533 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132537 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  132541 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  132545 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132549 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  132553 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  132557 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  132561 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  132565 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132569 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  132573 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  132577 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  132581 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132585 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  132589 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  132593 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  132597 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  132599 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132606 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132613 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  132620 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  132627 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  132627 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  132630 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132634 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  132644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  132649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  132651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  132668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  132673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  132678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  132686 */     GIR_RootConstrainSelectedInstOperands,
     /*  132687 */     // GIR_Coverage, 2552,
     /*  132687 */     GIR_EraseRootFromParent_Done,
     /*  132688 */   // Label 2333: @132688
     /*  132688 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(132883), // Rule ID 65520 //
     /*  132693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  132696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132712 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132728 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132732 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132736 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  132740 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132744 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  132748 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  132752 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  132756 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  132760 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132764 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  132768 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  132772 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  132776 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132780 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  132784 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  132788 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  132792 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  132794 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132801 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132808 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  132815 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  132822 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  132822 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  132825 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132829 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  132839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  132844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  132846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  132863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  132868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  132873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  132881 */     GIR_RootConstrainSelectedInstOperands,
     /*  132882 */     // GIR_Coverage, 65520,
     /*  132882 */     GIR_EraseRootFromParent_Done,
     /*  132883 */   // Label 2334: @132883
     /*  132883 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(132988), // Rule ID 2547 //
     /*  132888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132911 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  132915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  132919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132927 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132931 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132937 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132944 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132951 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  132951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  132968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  132973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  132978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  132986 */     GIR_RootConstrainSelectedInstOperands,
     /*  132987 */     // GIR_Coverage, 2547,
     /*  132987 */     GIR_EraseRootFromParent_Done,
     /*  132988 */   // Label 2335: @132988
     /*  132988 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(133093), // Rule ID 65513 //
     /*  132993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133016 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  133020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  133024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133032 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  133036 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  133040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133042 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133049 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  133056 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  133056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  133059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  133078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  133083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  133091 */     GIR_RootConstrainSelectedInstOperands,
     /*  133092 */     // GIR_Coverage, 65513,
     /*  133092 */     GIR_EraseRootFromParent_Done,
     /*  133093 */   // Label 2336: @133093
     /*  133093 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(133182), // Rule ID 65507 //
     /*  133098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  133101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  133113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133133 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  133137 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133142 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  133146 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  133157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133166 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  133180 */     GIR_RootConstrainSelectedInstOperands,
     /*  133181 */     // GIR_Coverage, 65507,
     /*  133181 */     GIR_EraseRootFromParent_Done,
     /*  133182 */   // Label 2337: @133182
     /*  133182 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(133271), // Rule ID 2541 //
     /*  133187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  133190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  133202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133222 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  133226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133231 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  133235 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  133246 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133255 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  133269 */     GIR_RootConstrainSelectedInstOperands,
     /*  133270 */     // GIR_Coverage, 2541,
     /*  133270 */     GIR_EraseRootFromParent_Done,
     /*  133271 */   // Label 2338: @133271
     /*  133271 */   GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(133336), // Rule ID 65509 //
     /*  133276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  133279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133299 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  133303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133312 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  133319 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  133334 */     GIR_RootConstrainSelectedInstOperands,
     /*  133335 */     // GIR_Coverage, 65509,
     /*  133335 */     GIR_EraseRootFromParent_Done,
     /*  133336 */   // Label 2339: @133336
     /*  133336 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(133401), // Rule ID 2543 //
     /*  133341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  133344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133360 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133364 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  133368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  133377 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133384 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  133394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  133399 */     GIR_RootConstrainSelectedInstOperands,
     /*  133400 */     // GIR_Coverage, 2543,
     /*  133400 */     GIR_EraseRootFromParent_Done,
     /*  133401 */   // Label 2340: @133401
     /*  133401 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(133486), // Rule ID 65534 //
     /*  133406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  133421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133437 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  133441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133446 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  133450 */     // MIs[1] Operand 2
     /*  133450 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  133461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  133470 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  133473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  133484 */     GIR_RootConstrainSelectedInstOperands,
     /*  133485 */     // GIR_Coverage, 65534,
     /*  133485 */     GIR_EraseRootFromParent_Done,
     /*  133486 */   // Label 2341: @133486
     /*  133486 */   GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(133571), // Rule ID 2556 //
     /*  133491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  133506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133522 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  133526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133531 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  133535 */     // MIs[1] Operand 2
     /*  133535 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  133546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  133555 */     // (or:{ *:[i64] } (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  133558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  133569 */     GIR_RootConstrainSelectedInstOperands,
     /*  133570 */     // GIR_Coverage, 2556,
     /*  133570 */     GIR_EraseRootFromParent_Done,
     /*  133571 */   // Label 2342: @133571
     /*  133571 */   GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(133637), // Rule ID 65515 //
     /*  133576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  133579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133604 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  133608 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11283),
     /*  133612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133621 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }))<<P:Predicate_anonymous_11283>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133635 */     GIR_RootConstrainSelectedInstOperands,
     /*  133636 */     // GIR_Coverage, 65515,
     /*  133636 */     GIR_EraseRootFromParent_Done,
     /*  133637 */   // Label 2343: @133637
     /*  133637 */   GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(133703), // Rule ID 65533 //
     /*  133642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133670 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  133674 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10059),
     /*  133678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  133687 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }))<<P:Predicate_anonymous_10059>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  133690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133701 */     GIR_RootConstrainSelectedInstOperands,
     /*  133702 */     // GIR_Coverage, 65533,
     /*  133702 */     GIR_EraseRootFromParent_Done,
     /*  133703 */   // Label 2344: @133703
     /*  133703 */   GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(133769), // Rule ID 2549 //
     /*  133708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  133711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133736 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  133740 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11283),
     /*  133744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133753 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_11283>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133767 */     GIR_RootConstrainSelectedInstOperands,
     /*  133768 */     // GIR_Coverage, 2549,
     /*  133768 */     GIR_EraseRootFromParent_Done,
     /*  133769 */   // Label 2345: @133769
     /*  133769 */   GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(133835), // Rule ID 2555 //
     /*  133774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133793 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133802 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  133806 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10059),
     /*  133810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  133819 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_10059>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  133822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133833 */     GIR_RootConstrainSelectedInstOperands,
     /*  133834 */     // GIR_Coverage, 2555,
     /*  133834 */     GIR_EraseRootFromParent_Done,
     /*  133835 */   // Label 2346: @133835
     /*  133835 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(133897), // Rule ID 2554 //
     /*  133840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133868 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  133872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  133881 */     // (or:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  133884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133895 */     GIR_RootConstrainSelectedInstOperands,
     /*  133896 */     // GIR_Coverage, 2554,
     /*  133896 */     GIR_EraseRootFromParent_Done,
     /*  133897 */   // Label 2347: @133897
     /*  133897 */   GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(133959), // Rule ID 65532 //
     /*  133902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133930 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  133934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  133943 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }), (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  133946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133957 */     GIR_RootConstrainSelectedInstOperands,
     /*  133958 */     // GIR_Coverage, 65532,
     /*  133958 */     GIR_EraseRootFromParent_Done,
     /*  133959 */   // Label 2348: @133959
     /*  133959 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(134018), // Rule ID 2476 //
     /*  133964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  133967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133987 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  133991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133997 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  134004 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  134004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  134007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  134016 */     GIR_RootConstrainSelectedInstOperands,
     /*  134017 */     // GIR_Coverage, 2476,
     /*  134017 */     GIR_EraseRootFromParent_Done,
     /*  134018 */   // Label 2349: @134018
     /*  134018 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(134077), // Rule ID 65503 //
     /*  134023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  134026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  134042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  134046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  134050 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  134054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134056 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  134063 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  134063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  134066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  134075 */     GIR_RootConstrainSelectedInstOperands,
     /*  134076 */     // GIR_Coverage, 65503,
     /*  134076 */     GIR_EraseRootFromParent_Done,
     /*  134077 */   // Label 2350: @134077
     /*  134077 */   GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(134133), // Rule ID 65487 //
     /*  134082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  134085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  134101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  134105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134110 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  134114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134120 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  134120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  134123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134131 */     GIR_RootConstrainSelectedInstOperands,
     /*  134132 */     // GIR_Coverage, 65487,
     /*  134132 */     GIR_EraseRootFromParent_Done,
     /*  134133 */   // Label 2351: @134133
     /*  134133 */   GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(134189), // Rule ID 2448 //
     /*  134138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  134141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  134161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  134165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134170 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  134174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134176 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  134176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  134179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134187 */     GIR_RootConstrainSelectedInstOperands,
     /*  134188 */     // GIR_Coverage, 2448,
     /*  134188 */     GIR_EraseRootFromParent_Done,
     /*  134189 */   // Label 2352: @134189
     /*  134189 */   GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(134231), // Rule ID 86 //
     /*  134194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  134197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  134217 */     // MIs[1] Operand 1
     /*  134217 */     // No operand predicates
     /*  134217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134219 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  134219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  134222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  134229 */     GIR_RootConstrainSelectedInstOperands,
     /*  134230 */     // GIR_Coverage, 86,
     /*  134230 */     GIR_EraseRootFromParent_Done,
     /*  134231 */   // Label 2353: @134231
     /*  134231 */   GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(134258), // Rule ID 84 //
     /*  134236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  134239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134251 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (OR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  134251 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  134256 */     GIR_RootConstrainSelectedInstOperands,
     /*  134257 */     // GIR_Coverage, 84,
     /*  134257 */     GIR_Done,
     /*  134258 */   // Label 2354: @134258
     /*  134258 */   GIM_Reject,
     /*  134259 */ // Label 2326: @134259
     /*  134259 */ GIM_Reject,
     /*  134260 */ // Label 2269: @134260
     /*  134260 */ GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(134870),
     /*  134265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134275 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(134341), // Rule ID 71717 //
     /*  134280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134322 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134339 */     GIR_RootConstrainSelectedInstOperands,
     /*  134340 */     // GIR_Coverage, 71717,
     /*  134340 */     GIR_EraseRootFromParent_Done,
     /*  134341 */   // Label 2356: @134341
     /*  134341 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(134407), // Rule ID 71718 //
     /*  134346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134373 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134388 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134405 */     GIR_RootConstrainSelectedInstOperands,
     /*  134406 */     // GIR_Coverage, 71718,
     /*  134406 */     GIR_EraseRootFromParent_Done,
     /*  134407 */   // Label 2357: @134407
     /*  134407 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(134473), // Rule ID 71715 //
     /*  134412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134427 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134454 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134471 */     GIR_RootConstrainSelectedInstOperands,
     /*  134472 */     // GIR_Coverage, 71715,
     /*  134472 */     GIR_EraseRootFromParent_Done,
     /*  134473 */   // Label 2358: @134473
     /*  134473 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(134539), // Rule ID 71716 //
     /*  134478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134520 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134537 */     GIR_RootConstrainSelectedInstOperands,
     /*  134538 */     // GIR_Coverage, 71716,
     /*  134538 */     GIR_EraseRootFromParent_Done,
     /*  134539 */   // Label 2359: @134539
     /*  134539 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(134605), // Rule ID 71713 //
     /*  134544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134586 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134603 */     GIR_RootConstrainSelectedInstOperands,
     /*  134604 */     // GIR_Coverage, 71713,
     /*  134604 */     GIR_EraseRootFromParent_Done,
     /*  134605 */   // Label 2360: @134605
     /*  134605 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(134671), // Rule ID 71714 //
     /*  134610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134652 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134669 */     GIR_RootConstrainSelectedInstOperands,
     /*  134670 */     // GIR_Coverage, 71714,
     /*  134670 */     GIR_EraseRootFromParent_Done,
     /*  134671 */   // Label 2361: @134671
     /*  134671 */   GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(134737), // Rule ID 53178 //
     /*  134676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134695 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134718 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134735 */     GIR_RootConstrainSelectedInstOperands,
     /*  134736 */     // GIR_Coverage, 53178,
     /*  134736 */     GIR_EraseRootFromParent_Done,
     /*  134737 */   // Label 2362: @134737
     /*  134737 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(134803), // Rule ID 53179 //
     /*  134742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134784 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134801 */     GIR_RootConstrainSelectedInstOperands,
     /*  134802 */     // GIR_Coverage, 53179,
     /*  134802 */     GIR_EraseRootFromParent_Done,
     /*  134803 */   // Label 2363: @134803
     /*  134803 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(134836), // Rule ID 53166 //
     /*  134808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134819 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  134822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134834 */     GIR_RootConstrainSelectedInstOperands,
     /*  134835 */     // GIR_Coverage, 53166,
     /*  134835 */     GIR_EraseRootFromParent_Done,
     /*  134836 */   // Label 2364: @134836
     /*  134836 */   GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(134869), // Rule ID 53167 //
     /*  134841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134852 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  134855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134867 */     GIR_RootConstrainSelectedInstOperands,
     /*  134868 */     // GIR_Coverage, 53167,
     /*  134868 */     GIR_EraseRootFromParent_Done,
     /*  134869 */   // Label 2365: @134869
     /*  134869 */   GIM_Reject,
     /*  134870 */ // Label 2355: @134870
     /*  134870 */ GIM_Reject,
     /*  134871 */ // Label 2270: @134871
     /*  134871 */ GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(134985),
     /*  134876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  134879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  134882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134894 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(134939), // Rule ID 47788 //
     /*  134899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134902 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  134902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  134905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  134919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134937 */     GIR_RootConstrainSelectedInstOperands,
     /*  134938 */     // GIR_Coverage, 47788,
     /*  134938 */     GIR_EraseRootFromParent_Done,
     /*  134939 */   // Label 2367: @134939
     /*  134939 */   GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(134984), // Rule ID 47789 //
     /*  134944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134947 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  134947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  134950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  134964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134982 */     GIR_RootConstrainSelectedInstOperands,
     /*  134983 */     // GIR_Coverage, 47789,
     /*  134983 */     GIR_EraseRootFromParent_Done,
     /*  134984 */   // Label 2368: @134984
     /*  134984 */   GIM_Reject,
     /*  134985 */ // Label 2366: @134985
     /*  134985 */ GIM_Reject,
     /*  134986 */ // Label 2271: @134986
     /*  134986 */ GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(135100),
     /*  134991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  134994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  134997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135005 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135009 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(135054), // Rule ID 47800 //
     /*  135014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135017 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  135017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  135020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  135034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135052 */     GIR_RootConstrainSelectedInstOperands,
     /*  135053 */     // GIR_Coverage, 47800,
     /*  135053 */     GIR_EraseRootFromParent_Done,
     /*  135054 */   // Label 2370: @135054
     /*  135054 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(135099), // Rule ID 47801 //
     /*  135059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135062 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  135062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  135065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  135079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135097 */     GIR_RootConstrainSelectedInstOperands,
     /*  135098 */     // GIR_Coverage, 47801,
     /*  135098 */     GIR_EraseRootFromParent_Done,
     /*  135099 */   // Label 2371: @135099
     /*  135099 */   GIM_Reject,
     /*  135100 */ // Label 2369: @135100
     /*  135100 */ GIM_Reject,
     /*  135101 */ // Label 2272: @135101
     /*  135101 */ GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(135215),
     /*  135106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  135109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  135112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135124 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(135169), // Rule ID 47808 //
     /*  135129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135132 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  135132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  135135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  135149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  135164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135167 */     GIR_RootConstrainSelectedInstOperands,
     /*  135168 */     // GIR_Coverage, 47808,
     /*  135168 */     GIR_EraseRootFromParent_Done,
     /*  135169 */   // Label 2373: @135169
     /*  135169 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(135214), // Rule ID 47809 //
     /*  135174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135177 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  135177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  135180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  135194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  135209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135212 */     GIR_RootConstrainSelectedInstOperands,
     /*  135213 */     // GIR_Coverage, 47809,
     /*  135213 */     GIR_EraseRootFromParent_Done,
     /*  135214 */   // Label 2374: @135214
     /*  135214 */   GIM_Reject,
     /*  135215 */ // Label 2372: @135215
     /*  135215 */ GIM_Reject,
     /*  135216 */ // Label 2273: @135216
     /*  135216 */ GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(135330),
     /*  135221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  135224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  135227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135239 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(135284), // Rule ID 47824 //
     /*  135244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  135247 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  135247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  135250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  135264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  135279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135282 */     GIR_RootConstrainSelectedInstOperands,
     /*  135283 */     // GIR_Coverage, 47824,
     /*  135283 */     GIR_EraseRootFromParent_Done,
     /*  135284 */   // Label 2376: @135284
     /*  135284 */   GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(135329), // Rule ID 47825 //
     /*  135289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  135292 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  135292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  135295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  135309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  135324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135327 */     GIR_RootConstrainSelectedInstOperands,
     /*  135328 */     // GIR_Coverage, 47825,
     /*  135328 */     GIR_EraseRootFromParent_Done,
     /*  135329 */   // Label 2377: @135329
     /*  135329 */   GIM_Reject,
     /*  135330 */ // Label 2375: @135330
     /*  135330 */ GIM_Reject,
     /*  135331 */ // Label 2274: @135331
     /*  135331 */ GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(135941),
     /*  135336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135346 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(135412), // Rule ID 71745 //
     /*  135351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135391 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135393 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135410 */     GIR_RootConstrainSelectedInstOperands,
     /*  135411 */     // GIR_Coverage, 71745,
     /*  135411 */     GIR_EraseRootFromParent_Done,
     /*  135412 */   // Label 2379: @135412
     /*  135412 */   GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(135478), // Rule ID 71746 //
     /*  135417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135432 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135459 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135476 */     GIR_RootConstrainSelectedInstOperands,
     /*  135477 */     // GIR_Coverage, 71746,
     /*  135477 */     GIR_EraseRootFromParent_Done,
     /*  135478 */   // Label 2380: @135478
     /*  135478 */   GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(135544), // Rule ID 71743 //
     /*  135483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135498 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135523 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135525 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135542 */     GIR_RootConstrainSelectedInstOperands,
     /*  135543 */     // GIR_Coverage, 71743,
     /*  135543 */     GIR_EraseRootFromParent_Done,
     /*  135544 */   // Label 2381: @135544
     /*  135544 */   GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(135610), // Rule ID 71744 //
     /*  135549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135591 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135608 */     GIR_RootConstrainSelectedInstOperands,
     /*  135609 */     // GIR_Coverage, 71744,
     /*  135609 */     GIR_EraseRootFromParent_Done,
     /*  135610 */   // Label 2382: @135610
     /*  135610 */   GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(135676), // Rule ID 71741 //
     /*  135615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135634 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135657 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135674 */     GIR_RootConstrainSelectedInstOperands,
     /*  135675 */     // GIR_Coverage, 71741,
     /*  135675 */     GIR_EraseRootFromParent_Done,
     /*  135676 */   // Label 2383: @135676
     /*  135676 */   GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(135742), // Rule ID 71742 //
     /*  135681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135723 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135740 */     GIR_RootConstrainSelectedInstOperands,
     /*  135741 */     // GIR_Coverage, 71742,
     /*  135741 */     GIR_EraseRootFromParent_Done,
     /*  135742 */   // Label 2384: @135742
     /*  135742 */   GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(135808), // Rule ID 53196 //
     /*  135747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135766 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135789 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135806 */     GIR_RootConstrainSelectedInstOperands,
     /*  135807 */     // GIR_Coverage, 53196,
     /*  135807 */     GIR_EraseRootFromParent_Done,
     /*  135808 */   // Label 2385: @135808
     /*  135808 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(135874), // Rule ID 53197 //
     /*  135813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135853 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135855 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135872 */     GIR_RootConstrainSelectedInstOperands,
     /*  135873 */     // GIR_Coverage, 53197,
     /*  135873 */     GIR_EraseRootFromParent_Done,
     /*  135874 */   // Label 2386: @135874
     /*  135874 */   GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(135907), // Rule ID 53184 //
     /*  135879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135890 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  135893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135905 */     GIR_RootConstrainSelectedInstOperands,
     /*  135906 */     // GIR_Coverage, 53184,
     /*  135906 */     GIR_EraseRootFromParent_Done,
     /*  135907 */   // Label 2387: @135907
     /*  135907 */   GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(135940), // Rule ID 53185 //
     /*  135912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135923 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  135926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135938 */     GIR_RootConstrainSelectedInstOperands,
     /*  135939 */     // GIR_Coverage, 53185,
     /*  135939 */     GIR_EraseRootFromParent_Done,
     /*  135940 */   // Label 2388: @135940
     /*  135940 */   GIM_Reject,
     /*  135941 */ // Label 2378: @135941
     /*  135941 */ GIM_Reject,
     /*  135942 */ // Label 2275: @135942
     /*  135942 */ GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(136056),
     /*  135947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  135950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  135953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135965 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(136010), // Rule ID 47792 //
     /*  135970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135973 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  135973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  135976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  135990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136008 */     GIR_RootConstrainSelectedInstOperands,
     /*  136009 */     // GIR_Coverage, 47792,
     /*  136009 */     GIR_EraseRootFromParent_Done,
     /*  136010 */   // Label 2390: @136010
     /*  136010 */   GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(136055), // Rule ID 47793 //
     /*  136015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136018 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  136018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  136021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  136035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136053 */     GIR_RootConstrainSelectedInstOperands,
     /*  136054 */     // GIR_Coverage, 47793,
     /*  136054 */     GIR_EraseRootFromParent_Done,
     /*  136055 */   // Label 2391: @136055
     /*  136055 */   GIM_Reject,
     /*  136056 */ // Label 2389: @136056
     /*  136056 */ GIM_Reject,
     /*  136057 */ // Label 2276: @136057
     /*  136057 */ GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(136171),
     /*  136062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  136065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  136068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136080 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(136125), // Rule ID 47804 //
     /*  136085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136088 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  136088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  136091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  136105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  136120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136123 */     GIR_RootConstrainSelectedInstOperands,
     /*  136124 */     // GIR_Coverage, 47804,
     /*  136124 */     GIR_EraseRootFromParent_Done,
     /*  136125 */   // Label 2393: @136125
     /*  136125 */   GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(136170), // Rule ID 47805 //
     /*  136130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136133 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  136133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  136136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  136150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  136165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136168 */     GIR_RootConstrainSelectedInstOperands,
     /*  136169 */     // GIR_Coverage, 47805,
     /*  136169 */     GIR_EraseRootFromParent_Done,
     /*  136170 */   // Label 2394: @136170
     /*  136170 */   GIM_Reject,
     /*  136171 */ // Label 2392: @136171
     /*  136171 */ GIM_Reject,
     /*  136172 */ // Label 2277: @136172
     /*  136172 */ GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(136286),
     /*  136177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  136180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  136183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136195 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(136240), // Rule ID 47820 //
     /*  136200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136203 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  136203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  136206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  136220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  136235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136238 */     GIR_RootConstrainSelectedInstOperands,
     /*  136239 */     // GIR_Coverage, 47820,
     /*  136239 */     GIR_EraseRootFromParent_Done,
     /*  136240 */   // Label 2396: @136240
     /*  136240 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(136285), // Rule ID 47821 //
     /*  136245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136248 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  136248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  136251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  136265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  136280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136283 */     GIR_RootConstrainSelectedInstOperands,
     /*  136284 */     // GIR_Coverage, 47821,
     /*  136284 */     GIR_EraseRootFromParent_Done,
     /*  136285 */   // Label 2397: @136285
     /*  136285 */   GIM_Reject,
     /*  136286 */ // Label 2395: @136286
     /*  136286 */ GIM_Reject,
     /*  136287 */ // Label 2278: @136287
     /*  136287 */ GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(136401),
     /*  136292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  136295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  136298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136306 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136310 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(136355), // Rule ID 47864 //
     /*  136315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  136318 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  136318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  136321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  136335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  136350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136353 */     GIR_RootConstrainSelectedInstOperands,
     /*  136354 */     // GIR_Coverage, 47864,
     /*  136354 */     GIR_EraseRootFromParent_Done,
     /*  136355 */   // Label 2399: @136355
     /*  136355 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(136400), // Rule ID 47865 //
     /*  136360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  136363 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  136363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  136366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  136380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  136395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136398 */     GIR_RootConstrainSelectedInstOperands,
     /*  136399 */     // GIR_Coverage, 47865,
     /*  136399 */     GIR_EraseRootFromParent_Done,
     /*  136400 */   // Label 2400: @136400
     /*  136400 */   GIM_Reject,
     /*  136401 */ // Label 2398: @136401
     /*  136401 */ GIM_Reject,
     /*  136402 */ // Label 2279: @136402
     /*  136402 */ GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(137012),
     /*  136407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136417 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(136483), // Rule ID 71773 //
     /*  136422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136464 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136481 */     GIR_RootConstrainSelectedInstOperands,
     /*  136482 */     // GIR_Coverage, 71773,
     /*  136482 */     GIR_EraseRootFromParent_Done,
     /*  136483 */   // Label 2402: @136483
     /*  136483 */   GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(136549), // Rule ID 71774 //
     /*  136488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136503 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136530 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136547 */     GIR_RootConstrainSelectedInstOperands,
     /*  136548 */     // GIR_Coverage, 71774,
     /*  136548 */     GIR_EraseRootFromParent_Done,
     /*  136549 */   // Label 2403: @136549
     /*  136549 */   GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(136615), // Rule ID 71771 //
     /*  136554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136594 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136596 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136613 */     GIR_RootConstrainSelectedInstOperands,
     /*  136614 */     // GIR_Coverage, 71771,
     /*  136614 */     GIR_EraseRootFromParent_Done,
     /*  136615 */   // Label 2404: @136615
     /*  136615 */   GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(136681), // Rule ID 71772 //
     /*  136620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136635 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136660 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136662 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136679 */     GIR_RootConstrainSelectedInstOperands,
     /*  136680 */     // GIR_Coverage, 71772,
     /*  136680 */     GIR_EraseRootFromParent_Done,
     /*  136681 */   // Label 2405: @136681
     /*  136681 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(136747), // Rule ID 71769 //
     /*  136686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136728 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136745 */     GIR_RootConstrainSelectedInstOperands,
     /*  136746 */     // GIR_Coverage, 71769,
     /*  136746 */     GIR_EraseRootFromParent_Done,
     /*  136747 */   // Label 2406: @136747
     /*  136747 */   GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(136813), // Rule ID 71770 //
     /*  136752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136771 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136794 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136811 */     GIR_RootConstrainSelectedInstOperands,
     /*  136812 */     // GIR_Coverage, 71770,
     /*  136812 */     GIR_EraseRootFromParent_Done,
     /*  136813 */   // Label 2407: @136813
     /*  136813 */   GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(136879), // Rule ID 53214 //
     /*  136818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136860 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136877 */     GIR_RootConstrainSelectedInstOperands,
     /*  136878 */     // GIR_Coverage, 53214,
     /*  136878 */     GIR_EraseRootFromParent_Done,
     /*  136879 */   // Label 2408: @136879
     /*  136879 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(136945), // Rule ID 53215 //
     /*  136884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136924 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136926 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136943 */     GIR_RootConstrainSelectedInstOperands,
     /*  136944 */     // GIR_Coverage, 53215,
     /*  136944 */     GIR_EraseRootFromParent_Done,
     /*  136945 */   // Label 2409: @136945
     /*  136945 */   GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(136978), // Rule ID 53202 //
     /*  136950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136961 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  136964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136976 */     GIR_RootConstrainSelectedInstOperands,
     /*  136977 */     // GIR_Coverage, 53202,
     /*  136977 */     GIR_EraseRootFromParent_Done,
     /*  136978 */   // Label 2410: @136978
     /*  136978 */   GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(137011), // Rule ID 53203 //
     /*  136983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136994 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  136997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137009 */     GIR_RootConstrainSelectedInstOperands,
     /*  137010 */     // GIR_Coverage, 53203,
     /*  137010 */     GIR_EraseRootFromParent_Done,
     /*  137011 */   // Label 2411: @137011
     /*  137011 */   GIM_Reject,
     /*  137012 */ // Label 2401: @137012
     /*  137012 */ GIM_Reject,
     /*  137013 */ // Label 2280: @137013
     /*  137013 */ GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(137127),
     /*  137018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  137021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  137024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137036 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(137081), // Rule ID 47796 //
     /*  137041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137044 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  137044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  137047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  137061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137079 */     GIR_RootConstrainSelectedInstOperands,
     /*  137080 */     // GIR_Coverage, 47796,
     /*  137080 */     GIR_EraseRootFromParent_Done,
     /*  137081 */   // Label 2413: @137081
     /*  137081 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(137126), // Rule ID 47797 //
     /*  137086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137089 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  137089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  137092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  137106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137124 */     GIR_RootConstrainSelectedInstOperands,
     /*  137125 */     // GIR_Coverage, 47797,
     /*  137125 */     GIR_EraseRootFromParent_Done,
     /*  137126 */   // Label 2414: @137126
     /*  137126 */   GIM_Reject,
     /*  137127 */ // Label 2412: @137127
     /*  137127 */ GIM_Reject,
     /*  137128 */ // Label 2281: @137128
     /*  137128 */ GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(137242),
     /*  137133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  137136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  137139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137151 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(137196), // Rule ID 47816 //
     /*  137156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137159 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  137159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  137162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  137176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137194 */     GIR_RootConstrainSelectedInstOperands,
     /*  137195 */     // GIR_Coverage, 47816,
     /*  137195 */     GIR_EraseRootFromParent_Done,
     /*  137196 */   // Label 2416: @137196
     /*  137196 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(137241), // Rule ID 47817 //
     /*  137201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137204 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  137204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  137207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  137221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137239 */     GIR_RootConstrainSelectedInstOperands,
     /*  137240 */     // GIR_Coverage, 47817,
     /*  137240 */     GIR_EraseRootFromParent_Done,
     /*  137241 */   // Label 2417: @137241
     /*  137241 */   GIM_Reject,
     /*  137242 */ // Label 2415: @137242
     /*  137242 */ GIM_Reject,
     /*  137243 */ // Label 2282: @137243
     /*  137243 */ GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(137357),
     /*  137248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  137251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  137254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137262 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137266 */   GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(137311), // Rule ID 47852 //
     /*  137271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137274 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  137274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  137277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  137291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137309 */     GIR_RootConstrainSelectedInstOperands,
     /*  137310 */     // GIR_Coverage, 47852,
     /*  137310 */     GIR_EraseRootFromParent_Done,
     /*  137311 */   // Label 2419: @137311
     /*  137311 */   GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(137356), // Rule ID 47853 //
     /*  137316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137319 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  137319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  137322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  137336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137354 */     GIR_RootConstrainSelectedInstOperands,
     /*  137355 */     // GIR_Coverage, 47853,
     /*  137355 */     GIR_EraseRootFromParent_Done,
     /*  137356 */   // Label 2420: @137356
     /*  137356 */   GIM_Reject,
     /*  137357 */ // Label 2418: @137357
     /*  137357 */ GIM_Reject,
     /*  137358 */ // Label 2283: @137358
     /*  137358 */ GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(137472),
     /*  137363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  137366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  137369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137377 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137381 */   GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(137426), // Rule ID 47868 //
     /*  137386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  137389 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  137389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  137392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  137406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  137421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137424 */     GIR_RootConstrainSelectedInstOperands,
     /*  137425 */     // GIR_Coverage, 47868,
     /*  137425 */     GIR_EraseRootFromParent_Done,
     /*  137426 */   // Label 2422: @137426
     /*  137426 */   GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(137471), // Rule ID 47869 //
     /*  137431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  137434 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  137434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  137437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  137451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  137466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137469 */     GIR_RootConstrainSelectedInstOperands,
     /*  137470 */     // GIR_Coverage, 47869,
     /*  137470 */     GIR_EraseRootFromParent_Done,
     /*  137471 */   // Label 2423: @137471
     /*  137471 */   GIM_Reject,
     /*  137472 */ // Label 2421: @137472
     /*  137472 */ GIM_Reject,
     /*  137473 */ // Label 2284: @137473
     /*  137473 */ GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(138083),
     /*  137478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137488 */   GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(137554), // Rule ID 71801 //
     /*  137493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137535 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137552 */     GIR_RootConstrainSelectedInstOperands,
     /*  137553 */     // GIR_Coverage, 71801,
     /*  137553 */     GIR_EraseRootFromParent_Done,
     /*  137554 */   // Label 2425: @137554
     /*  137554 */   GIM_Try, /*On fail goto*//*Label 2426*/ GIMT_Encode4(137620), // Rule ID 71802 //
     /*  137559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137601 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137618 */     GIR_RootConstrainSelectedInstOperands,
     /*  137619 */     // GIR_Coverage, 71802,
     /*  137619 */     GIR_EraseRootFromParent_Done,
     /*  137620 */   // Label 2426: @137620
     /*  137620 */   GIM_Try, /*On fail goto*//*Label 2427*/ GIMT_Encode4(137686), // Rule ID 71799 //
     /*  137625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137667 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137684 */     GIR_RootConstrainSelectedInstOperands,
     /*  137685 */     // GIR_Coverage, 71799,
     /*  137685 */     GIR_EraseRootFromParent_Done,
     /*  137686 */   // Label 2427: @137686
     /*  137686 */   GIM_Try, /*On fail goto*//*Label 2428*/ GIMT_Encode4(137752), // Rule ID 71800 //
     /*  137691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137733 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137750 */     GIR_RootConstrainSelectedInstOperands,
     /*  137751 */     // GIR_Coverage, 71800,
     /*  137751 */     GIR_EraseRootFromParent_Done,
     /*  137752 */   // Label 2428: @137752
     /*  137752 */   GIM_Try, /*On fail goto*//*Label 2429*/ GIMT_Encode4(137818), // Rule ID 71797 //
     /*  137757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137776 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137788 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137797 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137799 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137816 */     GIR_RootConstrainSelectedInstOperands,
     /*  137817 */     // GIR_Coverage, 71797,
     /*  137817 */     GIR_EraseRootFromParent_Done,
     /*  137818 */   // Label 2429: @137818
     /*  137818 */   GIM_Try, /*On fail goto*//*Label 2430*/ GIMT_Encode4(137884), // Rule ID 71798 //
     /*  137823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137863 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137865 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137882 */     GIR_RootConstrainSelectedInstOperands,
     /*  137883 */     // GIR_Coverage, 71798,
     /*  137883 */     GIR_EraseRootFromParent_Done,
     /*  137884 */   // Label 2430: @137884
     /*  137884 */   GIM_Try, /*On fail goto*//*Label 2431*/ GIMT_Encode4(137950), // Rule ID 53232 //
     /*  137889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137908 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137931 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137948 */     GIR_RootConstrainSelectedInstOperands,
     /*  137949 */     // GIR_Coverage, 53232,
     /*  137949 */     GIR_EraseRootFromParent_Done,
     /*  137950 */   // Label 2431: @137950
     /*  137950 */   GIM_Try, /*On fail goto*//*Label 2432*/ GIMT_Encode4(138016), // Rule ID 53233 //
     /*  137955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137974 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137997 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  138000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138014 */     GIR_RootConstrainSelectedInstOperands,
     /*  138015 */     // GIR_Coverage, 53233,
     /*  138015 */     GIR_EraseRootFromParent_Done,
     /*  138016 */   // Label 2432: @138016
     /*  138016 */   GIM_Try, /*On fail goto*//*Label 2433*/ GIMT_Encode4(138049), // Rule ID 53220 //
     /*  138021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138032 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  138035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138047 */     GIR_RootConstrainSelectedInstOperands,
     /*  138048 */     // GIR_Coverage, 53220,
     /*  138048 */     GIR_EraseRootFromParent_Done,
     /*  138049 */   // Label 2433: @138049
     /*  138049 */   GIM_Try, /*On fail goto*//*Label 2434*/ GIMT_Encode4(138082), // Rule ID 53221 //
     /*  138054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138065 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  138068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138080 */     GIR_RootConstrainSelectedInstOperands,
     /*  138081 */     // GIR_Coverage, 53221,
     /*  138081 */     GIR_EraseRootFromParent_Done,
     /*  138082 */   // Label 2434: @138082
     /*  138082 */   GIM_Reject,
     /*  138083 */ // Label 2424: @138083
     /*  138083 */ GIM_Reject,
     /*  138084 */ // Label 2285: @138084
     /*  138084 */ GIM_Try, /*On fail goto*//*Label 2435*/ GIMT_Encode4(138198),
     /*  138089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  138092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  138095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138107 */   GIM_Try, /*On fail goto*//*Label 2436*/ GIMT_Encode4(138152), // Rule ID 47812 //
     /*  138112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138115 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  138115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  138118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  138132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138150 */     GIR_RootConstrainSelectedInstOperands,
     /*  138151 */     // GIR_Coverage, 47812,
     /*  138151 */     GIR_EraseRootFromParent_Done,
     /*  138152 */   // Label 2436: @138152
     /*  138152 */   GIM_Try, /*On fail goto*//*Label 2437*/ GIMT_Encode4(138197), // Rule ID 47813 //
     /*  138157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138160 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  138160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  138163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  138177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138195 */     GIR_RootConstrainSelectedInstOperands,
     /*  138196 */     // GIR_Coverage, 47813,
     /*  138196 */     GIR_EraseRootFromParent_Done,
     /*  138197 */   // Label 2437: @138197
     /*  138197 */   GIM_Reject,
     /*  138198 */ // Label 2435: @138198
     /*  138198 */ GIM_Reject,
     /*  138199 */ // Label 2286: @138199
     /*  138199 */ GIM_Try, /*On fail goto*//*Label 2438*/ GIMT_Encode4(138313),
     /*  138204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  138207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  138210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138218 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138222 */   GIM_Try, /*On fail goto*//*Label 2439*/ GIMT_Encode4(138267), // Rule ID 47840 //
     /*  138227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138230 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  138230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  138233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  138247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138265 */     GIR_RootConstrainSelectedInstOperands,
     /*  138266 */     // GIR_Coverage, 47840,
     /*  138266 */     GIR_EraseRootFromParent_Done,
     /*  138267 */   // Label 2439: @138267
     /*  138267 */   GIM_Try, /*On fail goto*//*Label 2440*/ GIMT_Encode4(138312), // Rule ID 47841 //
     /*  138272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138275 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  138275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  138278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  138292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138310 */     GIR_RootConstrainSelectedInstOperands,
     /*  138311 */     // GIR_Coverage, 47841,
     /*  138311 */     GIR_EraseRootFromParent_Done,
     /*  138312 */   // Label 2440: @138312
     /*  138312 */   GIM_Reject,
     /*  138313 */ // Label 2438: @138313
     /*  138313 */ GIM_Reject,
     /*  138314 */ // Label 2287: @138314
     /*  138314 */ GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(138428),
     /*  138319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  138322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  138325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138333 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138337 */   GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(138382), // Rule ID 47856 //
     /*  138342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138345 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  138345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  138348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  138362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  138377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138380 */     GIR_RootConstrainSelectedInstOperands,
     /*  138381 */     // GIR_Coverage, 47856,
     /*  138381 */     GIR_EraseRootFromParent_Done,
     /*  138382 */   // Label 2442: @138382
     /*  138382 */   GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(138427), // Rule ID 47857 //
     /*  138387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138390 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  138390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  138393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  138407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  138422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138425 */     GIR_RootConstrainSelectedInstOperands,
     /*  138426 */     // GIR_Coverage, 47857,
     /*  138426 */     GIR_EraseRootFromParent_Done,
     /*  138427 */   // Label 2443: @138427
     /*  138427 */   GIM_Reject,
     /*  138428 */ // Label 2441: @138428
     /*  138428 */ GIM_Reject,
     /*  138429 */ // Label 2288: @138429
     /*  138429 */ GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(138543),
     /*  138434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  138437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  138440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138452 */   GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(138497), // Rule ID 47872 //
     /*  138457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  138460 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  138460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  138463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  138477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138495 */     GIR_RootConstrainSelectedInstOperands,
     /*  138496 */     // GIR_Coverage, 47872,
     /*  138496 */     GIR_EraseRootFromParent_Done,
     /*  138497 */   // Label 2445: @138497
     /*  138497 */   GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(138542), // Rule ID 47873 //
     /*  138502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  138505 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  138505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  138508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  138522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138540 */     GIR_RootConstrainSelectedInstOperands,
     /*  138541 */     // GIR_Coverage, 47873,
     /*  138541 */     GIR_EraseRootFromParent_Done,
     /*  138542 */   // Label 2446: @138542
     /*  138542 */   GIM_Reject,
     /*  138543 */ // Label 2444: @138543
     /*  138543 */ GIM_Reject,
     /*  138544 */ // Label 2289: @138544
     /*  138544 */ GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(139154),
     /*  138549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138559 */   GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(138625), // Rule ID 71829 //
     /*  138564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138606 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138623 */     GIR_RootConstrainSelectedInstOperands,
     /*  138624 */     // GIR_Coverage, 71829,
     /*  138624 */     GIR_EraseRootFromParent_Done,
     /*  138625 */   // Label 2448: @138625
     /*  138625 */   GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(138691), // Rule ID 71830 //
     /*  138630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138672 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138689 */     GIR_RootConstrainSelectedInstOperands,
     /*  138690 */     // GIR_Coverage, 71830,
     /*  138690 */     GIR_EraseRootFromParent_Done,
     /*  138691 */   // Label 2449: @138691
     /*  138691 */   GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(138757), // Rule ID 71827 //
     /*  138696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138738 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138755 */     GIR_RootConstrainSelectedInstOperands,
     /*  138756 */     // GIR_Coverage, 71827,
     /*  138756 */     GIR_EraseRootFromParent_Done,
     /*  138757 */   // Label 2450: @138757
     /*  138757 */   GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(138823), // Rule ID 71828 //
     /*  138762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138804 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138821 */     GIR_RootConstrainSelectedInstOperands,
     /*  138822 */     // GIR_Coverage, 71828,
     /*  138822 */     GIR_EraseRootFromParent_Done,
     /*  138823 */   // Label 2451: @138823
     /*  138823 */   GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(138889), // Rule ID 71825 //
     /*  138828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138870 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138887 */     GIR_RootConstrainSelectedInstOperands,
     /*  138888 */     // GIR_Coverage, 71825,
     /*  138888 */     GIR_EraseRootFromParent_Done,
     /*  138889 */   // Label 2452: @138889
     /*  138889 */   GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(138955), // Rule ID 71826 //
     /*  138894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138913 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138936 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138953 */     GIR_RootConstrainSelectedInstOperands,
     /*  138954 */     // GIR_Coverage, 71826,
     /*  138954 */     GIR_EraseRootFromParent_Done,
     /*  138955 */   // Label 2453: @138955
     /*  138955 */   GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(139021), // Rule ID 53250 //
     /*  138960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139002 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  139005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139019 */     GIR_RootConstrainSelectedInstOperands,
     /*  139020 */     // GIR_Coverage, 53250,
     /*  139020 */     GIR_EraseRootFromParent_Done,
     /*  139021 */   // Label 2454: @139021
     /*  139021 */   GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(139087), // Rule ID 53251 //
     /*  139026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  139045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  139049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139068 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  139071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139085 */     GIR_RootConstrainSelectedInstOperands,
     /*  139086 */     // GIR_Coverage, 53251,
     /*  139086 */     GIR_EraseRootFromParent_Done,
     /*  139087 */   // Label 2455: @139087
     /*  139087 */   GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(139120), // Rule ID 53238 //
     /*  139092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139103 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  139106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139118 */     GIR_RootConstrainSelectedInstOperands,
     /*  139119 */     // GIR_Coverage, 53238,
     /*  139119 */     GIR_EraseRootFromParent_Done,
     /*  139120 */   // Label 2456: @139120
     /*  139120 */   GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(139153), // Rule ID 53239 //
     /*  139125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139136 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  139139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139151 */     GIR_RootConstrainSelectedInstOperands,
     /*  139152 */     // GIR_Coverage, 53239,
     /*  139152 */     GIR_EraseRootFromParent_Done,
     /*  139153 */   // Label 2457: @139153
     /*  139153 */   GIM_Reject,
     /*  139154 */ // Label 2447: @139154
     /*  139154 */ GIM_Reject,
     /*  139155 */ // Label 2290: @139155
     /*  139155 */ GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(139269),
     /*  139160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  139163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  139166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  139170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  139174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  139178 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(139223), // Rule ID 47828 //
     /*  139183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139186 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  139186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  139189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  139203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139221 */     GIR_RootConstrainSelectedInstOperands,
     /*  139222 */     // GIR_Coverage, 47828,
     /*  139222 */     GIR_EraseRootFromParent_Done,
     /*  139223 */   // Label 2459: @139223
     /*  139223 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(139268), // Rule ID 47829 //
     /*  139228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139231 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  139231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  139234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  139248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139266 */     GIR_RootConstrainSelectedInstOperands,
     /*  139267 */     // GIR_Coverage, 47829,
     /*  139267 */     GIR_EraseRootFromParent_Done,
     /*  139268 */   // Label 2460: @139268
     /*  139268 */   GIM_Reject,
     /*  139269 */ // Label 2458: @139269
     /*  139269 */ GIM_Reject,
     /*  139270 */ // Label 2291: @139270
     /*  139270 */ GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(139384),
     /*  139275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  139278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  139281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139293 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(139338), // Rule ID 47844 //
     /*  139298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139301 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  139301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  139304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  139318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139336 */     GIR_RootConstrainSelectedInstOperands,
     /*  139337 */     // GIR_Coverage, 47844,
     /*  139337 */     GIR_EraseRootFromParent_Done,
     /*  139338 */   // Label 2462: @139338
     /*  139338 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(139383), // Rule ID 47845 //
     /*  139343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139346 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  139346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  139349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  139363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139381 */     GIR_RootConstrainSelectedInstOperands,
     /*  139382 */     // GIR_Coverage, 47845,
     /*  139382 */     GIR_EraseRootFromParent_Done,
     /*  139383 */   // Label 2463: @139383
     /*  139383 */   GIM_Reject,
     /*  139384 */ // Label 2461: @139384
     /*  139384 */ GIM_Reject,
     /*  139385 */ // Label 2292: @139385
     /*  139385 */ GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(139499),
     /*  139390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  139393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  139396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  139400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  139404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  139408 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(139453), // Rule ID 47860 //
     /*  139413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139416 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  139416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  139419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  139433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139451 */     GIR_RootConstrainSelectedInstOperands,
     /*  139452 */     // GIR_Coverage, 47860,
     /*  139452 */     GIR_EraseRootFromParent_Done,
     /*  139453 */   // Label 2465: @139453
     /*  139453 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(139498), // Rule ID 47861 //
     /*  139458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139461 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  139461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  139464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  139478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139496 */     GIR_RootConstrainSelectedInstOperands,
     /*  139497 */     // GIR_Coverage, 47861,
     /*  139497 */     GIR_EraseRootFromParent_Done,
     /*  139498 */   // Label 2466: @139498
     /*  139498 */   GIM_Reject,
     /*  139499 */ // Label 2464: @139499
     /*  139499 */ GIM_Reject,
     /*  139500 */ // Label 2293: @139500
     /*  139500 */ GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(140110),
     /*  139505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139515 */   GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(139581), // Rule ID 71857 //
     /*  139520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139535 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139562 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139579 */     GIR_RootConstrainSelectedInstOperands,
     /*  139580 */     // GIR_Coverage, 71857,
     /*  139580 */     GIR_EraseRootFromParent_Done,
     /*  139581 */   // Label 2468: @139581
     /*  139581 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(139647), // Rule ID 71858 //
     /*  139586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139601 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139628 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139645 */     GIR_RootConstrainSelectedInstOperands,
     /*  139646 */     // GIR_Coverage, 71858,
     /*  139646 */     GIR_EraseRootFromParent_Done,
     /*  139647 */   // Label 2469: @139647
     /*  139647 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(139713), // Rule ID 71855 //
     /*  139652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139667 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139692 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139694 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139711 */     GIR_RootConstrainSelectedInstOperands,
     /*  139712 */     // GIR_Coverage, 71855,
     /*  139712 */     GIR_EraseRootFromParent_Done,
     /*  139713 */   // Label 2470: @139713
     /*  139713 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(139779), // Rule ID 71856 //
     /*  139718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139758 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139760 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139777 */     GIR_RootConstrainSelectedInstOperands,
     /*  139778 */     // GIR_Coverage, 71856,
     /*  139778 */     GIR_EraseRootFromParent_Done,
     /*  139779 */   // Label 2471: @139779
     /*  139779 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(139845), // Rule ID 71853 //
     /*  139784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139826 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139843 */     GIR_RootConstrainSelectedInstOperands,
     /*  139844 */     // GIR_Coverage, 71853,
     /*  139844 */     GIR_EraseRootFromParent_Done,
     /*  139845 */   // Label 2472: @139845
     /*  139845 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(139911), // Rule ID 71854 //
     /*  139850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139869 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139892 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139909 */     GIR_RootConstrainSelectedInstOperands,
     /*  139910 */     // GIR_Coverage, 71854,
     /*  139910 */     GIR_EraseRootFromParent_Done,
     /*  139911 */   // Label 2473: @139911
     /*  139911 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(139977), // Rule ID 53268 //
     /*  139916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139935 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139956 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139958 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139975 */     GIR_RootConstrainSelectedInstOperands,
     /*  139976 */     // GIR_Coverage, 53268,
     /*  139976 */     GIR_EraseRootFromParent_Done,
     /*  139977 */   // Label 2474: @139977
     /*  139977 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(140043), // Rule ID 53269 //
     /*  139982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  140001 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  140005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140024 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  140027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140041 */     GIR_RootConstrainSelectedInstOperands,
     /*  140042 */     // GIR_Coverage, 53269,
     /*  140042 */     GIR_EraseRootFromParent_Done,
     /*  140043 */   // Label 2475: @140043
     /*  140043 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(140076), // Rule ID 53256 //
     /*  140048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140059 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  140062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140074 */     GIR_RootConstrainSelectedInstOperands,
     /*  140075 */     // GIR_Coverage, 53256,
     /*  140075 */     GIR_EraseRootFromParent_Done,
     /*  140076 */   // Label 2476: @140076
     /*  140076 */   GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(140109), // Rule ID 53257 //
     /*  140081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140092 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  140095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140107 */     GIR_RootConstrainSelectedInstOperands,
     /*  140108 */     // GIR_Coverage, 53257,
     /*  140108 */     GIR_EraseRootFromParent_Done,
     /*  140109 */   // Label 2477: @140109
     /*  140109 */   GIM_Reject,
     /*  140110 */ // Label 2467: @140110
     /*  140110 */ GIM_Reject,
     /*  140111 */ // Label 2294: @140111
     /*  140111 */ GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(140225),
     /*  140116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  140119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  140122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140134 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(140179), // Rule ID 47832 //
     /*  140139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140142 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  140142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  140145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  140159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140177 */     GIR_RootConstrainSelectedInstOperands,
     /*  140178 */     // GIR_Coverage, 47832,
     /*  140178 */     GIR_EraseRootFromParent_Done,
     /*  140179 */   // Label 2479: @140179
     /*  140179 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(140224), // Rule ID 47833 //
     /*  140184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140187 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  140187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  140190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  140204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140222 */     GIR_RootConstrainSelectedInstOperands,
     /*  140223 */     // GIR_Coverage, 47833,
     /*  140223 */     GIR_EraseRootFromParent_Done,
     /*  140224 */   // Label 2480: @140224
     /*  140224 */   GIM_Reject,
     /*  140225 */ // Label 2478: @140225
     /*  140225 */ GIM_Reject,
     /*  140226 */ // Label 2295: @140226
     /*  140226 */ GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(140340),
     /*  140231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  140234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  140237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140249 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(140294), // Rule ID 47848 //
     /*  140254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140257 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  140257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  140260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  140274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140292 */     GIR_RootConstrainSelectedInstOperands,
     /*  140293 */     // GIR_Coverage, 47848,
     /*  140293 */     GIR_EraseRootFromParent_Done,
     /*  140294 */   // Label 2482: @140294
     /*  140294 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(140339), // Rule ID 47849 //
     /*  140299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140302 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  140302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  140305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  140319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140337 */     GIR_RootConstrainSelectedInstOperands,
     /*  140338 */     // GIR_Coverage, 47849,
     /*  140338 */     GIR_EraseRootFromParent_Done,
     /*  140339 */   // Label 2483: @140339
     /*  140339 */   GIM_Reject,
     /*  140340 */ // Label 2481: @140340
     /*  140340 */ GIM_Reject,
     /*  140341 */ // Label 2296: @140341
     /*  140341 */ GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(140951),
     /*  140346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140356 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(140422), // Rule ID 71885 //
     /*  140361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140376 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140380 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140384 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140388 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140403 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140420 */     GIR_RootConstrainSelectedInstOperands,
     /*  140421 */     // GIR_Coverage, 71885,
     /*  140421 */     GIR_EraseRootFromParent_Done,
     /*  140422 */   // Label 2485: @140422
     /*  140422 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(140488), // Rule ID 71886 //
     /*  140427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140469 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140486 */     GIR_RootConstrainSelectedInstOperands,
     /*  140487 */     // GIR_Coverage, 71886,
     /*  140487 */     GIR_EraseRootFromParent_Done,
     /*  140488 */   // Label 2486: @140488
     /*  140488 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(140554), // Rule ID 71883 //
     /*  140493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140535 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140552 */     GIR_RootConstrainSelectedInstOperands,
     /*  140553 */     // GIR_Coverage, 71883,
     /*  140553 */     GIR_EraseRootFromParent_Done,
     /*  140554 */   // Label 2487: @140554
     /*  140554 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(140620), // Rule ID 71884 //
     /*  140559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140601 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140618 */     GIR_RootConstrainSelectedInstOperands,
     /*  140619 */     // GIR_Coverage, 71884,
     /*  140619 */     GIR_EraseRootFromParent_Done,
     /*  140620 */   // Label 2488: @140620
     /*  140620 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(140686), // Rule ID 71881 //
     /*  140625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140667 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140684 */     GIR_RootConstrainSelectedInstOperands,
     /*  140685 */     // GIR_Coverage, 71881,
     /*  140685 */     GIR_EraseRootFromParent_Done,
     /*  140686 */   // Label 2489: @140686
     /*  140686 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(140752), // Rule ID 71882 //
     /*  140691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140733 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140750 */     GIR_RootConstrainSelectedInstOperands,
     /*  140751 */     // GIR_Coverage, 71882,
     /*  140751 */     GIR_EraseRootFromParent_Done,
     /*  140752 */   // Label 2490: @140752
     /*  140752 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(140818), // Rule ID 53286 //
     /*  140757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140776 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140793 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140797 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140799 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140816 */     GIR_RootConstrainSelectedInstOperands,
     /*  140817 */     // GIR_Coverage, 53286,
     /*  140817 */     GIR_EraseRootFromParent_Done,
     /*  140818 */   // Label 2491: @140818
     /*  140818 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(140884), // Rule ID 53287 //
     /*  140823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140863 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140865 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140882 */     GIR_RootConstrainSelectedInstOperands,
     /*  140883 */     // GIR_Coverage, 53287,
     /*  140883 */     GIR_EraseRootFromParent_Done,
     /*  140884 */   // Label 2492: @140884
     /*  140884 */   GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(140917), // Rule ID 53274 //
     /*  140889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140900 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  140903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140915 */     GIR_RootConstrainSelectedInstOperands,
     /*  140916 */     // GIR_Coverage, 53274,
     /*  140916 */     GIR_EraseRootFromParent_Done,
     /*  140917 */   // Label 2493: @140917
     /*  140917 */   GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(140950), // Rule ID 53275 //
     /*  140922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140933 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  140936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140948 */     GIR_RootConstrainSelectedInstOperands,
     /*  140949 */     // GIR_Coverage, 53275,
     /*  140949 */     GIR_EraseRootFromParent_Done,
     /*  140950 */   // Label 2494: @140950
     /*  140950 */   GIM_Reject,
     /*  140951 */ // Label 2484: @140951
     /*  140951 */ GIM_Reject,
     /*  140952 */ // Label 2297: @140952
     /*  140952 */ GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(141066),
     /*  140957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  140960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  140963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140975 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(141020), // Rule ID 47836 //
     /*  140980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140983 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  140983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  140986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  141000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141018 */     GIR_RootConstrainSelectedInstOperands,
     /*  141019 */     // GIR_Coverage, 47836,
     /*  141019 */     GIR_EraseRootFromParent_Done,
     /*  141020 */   // Label 2496: @141020
     /*  141020 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(141065), // Rule ID 47837 //
     /*  141025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141028 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  141028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  141031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  141045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141063 */     GIR_RootConstrainSelectedInstOperands,
     /*  141064 */     // GIR_Coverage, 47837,
     /*  141064 */     GIR_EraseRootFromParent_Done,
     /*  141065 */   // Label 2497: @141065
     /*  141065 */   GIM_Reject,
     /*  141066 */ // Label 2495: @141066
     /*  141066 */ GIM_Reject,
     /*  141067 */ // Label 2298: @141067
     /*  141067 */ GIM_Reject,
     /*  141068 */ // Label 9: @141068
     /*  141068 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2529*/ GIMT_Encode4(155974),
     /*  141079 */ /*GILLT_s32*//*Label 2498*/ GIMT_Encode4(141203),
     /*  141083 */ /*GILLT_s64*//*Label 2499*/ GIMT_Encode4(141741),
     /*  141087 */ /*GILLT_nxv1s1*//*Label 2500*/ GIMT_Encode4(142167),
     /*  141091 */ /*GILLT_nxv1s8*//*Label 2501*/ GIMT_Encode4(143778),
     /*  141095 */ /*GILLT_nxv1s16*//*Label 2502*/ GIMT_Encode4(143893),
     /*  141099 */ /*GILLT_nxv1s32*//*Label 2503*/ GIMT_Encode4(144008),
     /*  141103 */ /*GILLT_nxv1s64*//*Label 2504*/ GIMT_Encode4(144123),
     /*  141107 */ /*GILLT_nxv2s1*//*Label 2505*/ GIMT_Encode4(144238),
     /*  141111 */ /*GILLT_nxv2s8*//*Label 2506*/ GIMT_Encode4(145849),
     /*  141115 */ /*GILLT_nxv2s16*//*Label 2507*/ GIMT_Encode4(145964),
     /*  141119 */ /*GILLT_nxv2s32*//*Label 2508*/ GIMT_Encode4(146079),
     /*  141123 */ /*GILLT_nxv2s64*//*Label 2509*/ GIMT_Encode4(146194),
     /*  141127 */ /*GILLT_nxv4s1*//*Label 2510*/ GIMT_Encode4(146309),
     /*  141131 */ /*GILLT_nxv4s8*//*Label 2511*/ GIMT_Encode4(147920),
     /*  141135 */ /*GILLT_nxv4s16*//*Label 2512*/ GIMT_Encode4(148035),
     /*  141139 */ /*GILLT_nxv4s32*//*Label 2513*/ GIMT_Encode4(148150),
     /*  141143 */ /*GILLT_nxv4s64*//*Label 2514*/ GIMT_Encode4(148265),
     /*  141147 */ /*GILLT_nxv8s1*//*Label 2515*/ GIMT_Encode4(148380),
     /*  141151 */ /*GILLT_nxv8s8*//*Label 2516*/ GIMT_Encode4(149991),
     /*  141155 */ /*GILLT_nxv8s16*//*Label 2517*/ GIMT_Encode4(150106),
     /*  141159 */ /*GILLT_nxv8s32*//*Label 2518*/ GIMT_Encode4(150221),
     /*  141163 */ /*GILLT_nxv8s64*//*Label 2519*/ GIMT_Encode4(150336),
     /*  141167 */ /*GILLT_nxv16s1*//*Label 2520*/ GIMT_Encode4(150451),
     /*  141171 */ /*GILLT_nxv16s8*//*Label 2521*/ GIMT_Encode4(152062),
     /*  141175 */ /*GILLT_nxv16s16*//*Label 2522*/ GIMT_Encode4(152177),
     /*  141179 */ /*GILLT_nxv16s32*//*Label 2523*/ GIMT_Encode4(152292),
     /*  141183 */ /*GILLT_nxv32s1*//*Label 2524*/ GIMT_Encode4(152407),
     /*  141187 */ /*GILLT_nxv32s8*//*Label 2525*/ GIMT_Encode4(154018),
     /*  141191 */ /*GILLT_nxv32s16*//*Label 2526*/ GIMT_Encode4(154133),
     /*  141195 */ /*GILLT_nxv64s1*//*Label 2527*/ GIMT_Encode4(154248),
     /*  141199 */ /*GILLT_nxv64s8*//*Label 2528*/ GIMT_Encode4(155859),
     /*  141203 */ // Label 2498: @141203
     /*  141203 */ GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(141740),
     /*  141208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  141211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  141214 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(141297), // Rule ID 2485 //
     /*  141219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  141222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  141242 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  141246 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  141250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141252 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141259 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] })  =>  (ADDI:{ *:[i32] } (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })
     /*  141259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  141262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  141266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  141277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  141287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141295 */     GIR_RootConstrainSelectedInstOperands,
     /*  141296 */     // GIR_Coverage, 2485,
     /*  141296 */     GIR_EraseRootFromParent_Done,
     /*  141297 */   // Label 2531: @141297
     /*  141297 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(141356), // Rule ID 2479 //
     /*  141302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  141305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141321 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  141325 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  141329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141335 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141342 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  141345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141354 */     GIR_RootConstrainSelectedInstOperands,
     /*  141355 */     // GIR_Coverage, 2479,
     /*  141355 */     GIR_EraseRootFromParent_Done,
     /*  141356 */   // Label 2532: @141356
     /*  141356 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(141415), // Rule ID 65506 //
     /*  141361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  141364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  141388 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  141392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141394 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141401 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  141404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141413 */     GIR_RootConstrainSelectedInstOperands,
     /*  141414 */     // GIR_Coverage, 65506,
     /*  141414 */     GIR_EraseRootFromParent_Done,
     /*  141415 */   // Label 2533: @141415
     /*  141415 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(141471), // Rule ID 65490 //
     /*  141420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  141423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  141443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141448 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  141452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141458 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs2)  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141469 */     GIR_RootConstrainSelectedInstOperands,
     /*  141470 */     // GIR_Coverage, 65490,
     /*  141470 */     GIR_EraseRootFromParent_Done,
     /*  141471 */   // Label 2534: @141471
     /*  141471 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(141530), // Rule ID 2453 //
     /*  141476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  141479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  141499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141509 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  141513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141515 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141528 */     GIR_RootConstrainSelectedInstOperands,
     /*  141529 */     // GIR_Coverage, 2453,
     /*  141529 */     GIR_EraseRootFromParent_Done,
     /*  141530 */   // Label 2535: @141530
     /*  141530 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(141586), // Rule ID 65492 //
     /*  141535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  141538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  141562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141567 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  141571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141573 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  141584 */     GIR_RootConstrainSelectedInstOperands,
     /*  141585 */     // GIR_Coverage, 65492,
     /*  141585 */     GIR_EraseRootFromParent_Done,
     /*  141586 */   // Label 2536: @141586
     /*  141586 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(141628), // Rule ID 95 //
     /*  141591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  141594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  141614 */     // MIs[1] Operand 1
     /*  141614 */     // No operand predicates
     /*  141614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141616 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  141616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  141619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141626 */     GIR_RootConstrainSelectedInstOperands,
     /*  141627 */     // GIR_Coverage, 95,
     /*  141627 */     GIR_EraseRootFromParent_Done,
     /*  141628 */   // Label 2537: @141628
     /*  141628 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(141670), // Rule ID 64534 //
     /*  141633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  141636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  141656 */     // MIs[1] Operand 1
     /*  141656 */     // No operand predicates
     /*  141656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141658 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_XORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  141658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORAI),
     /*  141661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  141663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141668 */     GIR_RootConstrainSelectedInstOperands,
     /*  141669 */     // GIR_Coverage, 64534,
     /*  141669 */     GIR_EraseRootFromParent_Done,
     /*  141670 */   // Label 2538: @141670
     /*  141670 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(141712), // Rule ID 64538 //
     /*  141675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  141678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  141698 */     // MIs[1] Operand 1
     /*  141698 */     // No operand predicates
     /*  141698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141700 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_XORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  141700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORI),
     /*  141703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141710 */     GIR_RootConstrainSelectedInstOperands,
     /*  141711 */     // GIR_Coverage, 64538,
     /*  141711 */     GIR_EraseRootFromParent_Done,
     /*  141712 */   // Label 2539: @141712
     /*  141712 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(141739), // Rule ID 93 //
     /*  141717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  141720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141732 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  141737 */     GIR_RootConstrainSelectedInstOperands,
     /*  141738 */     // GIR_Coverage, 93,
     /*  141738 */     GIR_Done,
     /*  141739 */   // Label 2540: @141739
     /*  141739 */   GIM_Reject,
     /*  141740 */ // Label 2530: @141740
     /*  141740 */ GIM_Reject,
     /*  141741 */ // Label 2499: @141741
     /*  141741 */ GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(142166),
     /*  141746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  141749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  141752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141756 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(141835), // Rule ID 2484 //
     /*  141761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  141764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141776 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141780 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  141784 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  141788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141790 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141797 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } -1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] })  =>  (ADDI:{ *:[i64] } (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })
     /*  141797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  141800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  141804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  141815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  141825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141833 */     GIR_RootConstrainSelectedInstOperands,
     /*  141834 */     // GIR_Coverage, 2484,
     /*  141834 */     GIR_EraseRootFromParent_Done,
     /*  141835 */   // Label 2542: @141835
     /*  141835 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(141890), // Rule ID 2478 //
     /*  141840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  141843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141859 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  141863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141869 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141876 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  141879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141888 */     GIR_RootConstrainSelectedInstOperands,
     /*  141889 */     // GIR_Coverage, 2478,
     /*  141889 */     GIR_EraseRootFromParent_Done,
     /*  141890 */   // Label 2543: @141890
     /*  141890 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(141945), // Rule ID 65505 //
     /*  141895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  141898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141918 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  141922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141924 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141931 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  141934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141943 */     GIR_RootConstrainSelectedInstOperands,
     /*  141944 */     // GIR_Coverage, 65505,
     /*  141944 */     GIR_EraseRootFromParent_Done,
     /*  141945 */   // Label 2544: @141945
     /*  141945 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(141997), // Rule ID 65489 //
     /*  141950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  141953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141974 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  141978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141984 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141995 */     GIR_RootConstrainSelectedInstOperands,
     /*  141996 */     // GIR_Coverage, 65489,
     /*  141996 */     GIR_EraseRootFromParent_Done,
     /*  141997 */   // Label 2545: @141997
     /*  141997 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(142052), // Rule ID 2452 //
     /*  142002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  142005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  142021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  142026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  142031 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  142035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142037 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  142037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  142040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142050 */     GIR_RootConstrainSelectedInstOperands,
     /*  142051 */     // GIR_Coverage, 2452,
     /*  142051 */     GIR_EraseRootFromParent_Done,
     /*  142052 */   // Label 2546: @142052
     /*  142052 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(142104), // Rule ID 65491 //
     /*  142057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  142060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  142064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142076 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  142080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  142085 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  142089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142091 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }))  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  142091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  142094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142102 */     GIR_RootConstrainSelectedInstOperands,
     /*  142103 */     // GIR_Coverage, 65491,
     /*  142103 */     GIR_EraseRootFromParent_Done,
     /*  142104 */   // Label 2547: @142104
     /*  142104 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(142142), // Rule ID 94 //
     /*  142109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  142112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  142116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  142128 */     // MIs[1] Operand 1
     /*  142128 */     // No operand predicates
     /*  142128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142130 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  142130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  142133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  142137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  142140 */     GIR_RootConstrainSelectedInstOperands,
     /*  142141 */     // GIR_Coverage, 94,
     /*  142141 */     GIR_EraseRootFromParent_Done,
     /*  142142 */   // Label 2548: @142142
     /*  142142 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(142165), // Rule ID 92 //
     /*  142147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  142150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  142154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  142158 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  142158 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  142163 */     GIR_RootConstrainSelectedInstOperands,
     /*  142164 */     // GIR_Coverage, 92,
     /*  142164 */     GIR_Done,
     /*  142165 */   // Label 2549: @142165
     /*  142165 */   GIM_Reject,
     /*  142166 */ // Label 2541: @142166
     /*  142166 */ GIM_Reject,
     /*  142167 */ // Label 2500: @142167
     /*  142167 */ GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(143777),
     /*  142172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142182 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(142251), // Rule ID 53170 //
     /*  142187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142230 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142249 */     GIR_RootConstrainSelectedInstOperands,
     /*  142250 */     // GIR_Coverage, 53170,
     /*  142250 */     GIR_EraseRootFromParent_Done,
     /*  142251 */   // Label 2551: @142251
     /*  142251 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(142320), // Rule ID 53171 //
     /*  142256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142271 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142297 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142299 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142318 */     GIR_RootConstrainSelectedInstOperands,
     /*  142319 */     // GIR_Coverage, 53171,
     /*  142319 */     GIR_EraseRootFromParent_Done,
     /*  142320 */   // Label 2552: @142320
     /*  142320 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(142389), // Rule ID 53172 //
     /*  142325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142368 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  142371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142387 */     GIR_RootConstrainSelectedInstOperands,
     /*  142388 */     // GIR_Coverage, 53172,
     /*  142388 */     GIR_EraseRootFromParent_Done,
     /*  142389 */   // Label 2553: @142389
     /*  142389 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(142458), // Rule ID 53173 //
     /*  142394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142409 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142435 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142437 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  142440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142456 */     GIR_RootConstrainSelectedInstOperands,
     /*  142457 */     // GIR_Coverage, 53173,
     /*  142457 */     GIR_EraseRootFromParent_Done,
     /*  142458 */   // Label 2554: @142458
     /*  142458 */   GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(142524), // Rule ID 71699 //
     /*  142463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142478 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142503 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142505 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142522 */     GIR_RootConstrainSelectedInstOperands,
     /*  142523 */     // GIR_Coverage, 71699,
     /*  142523 */     GIR_EraseRootFromParent_Done,
     /*  142524 */   // Label 2555: @142524
     /*  142524 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(142590), // Rule ID 71700 //
     /*  142529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142544 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142569 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142571 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142588 */     GIR_RootConstrainSelectedInstOperands,
     /*  142589 */     // GIR_Coverage, 71700,
     /*  142589 */     GIR_EraseRootFromParent_Done,
     /*  142590 */   // Label 2556: @142590
     /*  142590 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(142656), // Rule ID 71697 //
     /*  142595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142610 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142635 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142637 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142654 */     GIR_RootConstrainSelectedInstOperands,
     /*  142655 */     // GIR_Coverage, 71697,
     /*  142655 */     GIR_EraseRootFromParent_Done,
     /*  142656 */   // Label 2557: @142656
     /*  142656 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(142722), // Rule ID 71698 //
     /*  142661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142676 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142703 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142720 */     GIR_RootConstrainSelectedInstOperands,
     /*  142721 */     // GIR_Coverage, 71698,
     /*  142721 */     GIR_EraseRootFromParent_Done,
     /*  142722 */   // Label 2558: @142722
     /*  142722 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(142791), // Rule ID 53174 //
     /*  142727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142770 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142789 */     GIR_RootConstrainSelectedInstOperands,
     /*  142790 */     // GIR_Coverage, 53174,
     /*  142790 */     GIR_EraseRootFromParent_Done,
     /*  142791 */   // Label 2559: @142791
     /*  142791 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(142860), // Rule ID 53175 //
     /*  142796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142833 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142839 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142858 */     GIR_RootConstrainSelectedInstOperands,
     /*  142859 */     // GIR_Coverage, 53175,
     /*  142859 */     GIR_EraseRootFromParent_Done,
     /*  142860 */   // Label 2560: @142860
     /*  142860 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(142929), // Rule ID 71693 //
     /*  142865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142892 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142896 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142908 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142927 */     GIR_RootConstrainSelectedInstOperands,
     /*  142928 */     // GIR_Coverage, 71693,
     /*  142928 */     GIR_EraseRootFromParent_Done,
     /*  142929 */   // Label 2561: @142929
     /*  142929 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(142998), // Rule ID 71694 //
     /*  142934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142961 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142965 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142970 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142977 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142996 */     GIR_RootConstrainSelectedInstOperands,
     /*  142997 */     // GIR_Coverage, 71694,
     /*  142997 */     GIR_EraseRootFromParent_Done,
     /*  142998 */   // Label 2562: @142998
     /*  142998 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(143067), // Rule ID 71695 //
     /*  143003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143030 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143039 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143046 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  143049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  143055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  143059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143065 */     GIR_RootConstrainSelectedInstOperands,
     /*  143066 */     // GIR_Coverage, 71695,
     /*  143066 */     GIR_EraseRootFromParent_Done,
     /*  143067 */   // Label 2563: @143067
     /*  143067 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(143136), // Rule ID 71696 //
     /*  143072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143099 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143103 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143108 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143113 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143115 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  143118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  143124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  143128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143134 */     GIR_RootConstrainSelectedInstOperands,
     /*  143135 */     // GIR_Coverage, 71696,
     /*  143135 */     GIR_EraseRootFromParent_Done,
     /*  143136 */   // Label 2564: @143136
     /*  143136 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(143205), // Rule ID 71701 //
     /*  143141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143168 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143184 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  143187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  143193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  143197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143203 */     GIR_RootConstrainSelectedInstOperands,
     /*  143204 */     // GIR_Coverage, 71701,
     /*  143204 */     GIR_EraseRootFromParent_Done,
     /*  143205 */   // Label 2565: @143205
     /*  143205 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(143274), // Rule ID 71702 //
     /*  143210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143237 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143241 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143253 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  143256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  143262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  143266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143272 */     GIR_RootConstrainSelectedInstOperands,
     /*  143273 */     // GIR_Coverage, 71702,
     /*  143273 */     GIR_EraseRootFromParent_Done,
     /*  143274 */   // Label 2566: @143274
     /*  143274 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(143340), // Rule ID 71705 //
     /*  143279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143298 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143319 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143321 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  143324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  143330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  143332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143338 */     GIR_RootConstrainSelectedInstOperands,
     /*  143339 */     // GIR_Coverage, 71705,
     /*  143339 */     GIR_EraseRootFromParent_Done,
     /*  143340 */   // Label 2567: @143340
     /*  143340 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(143406), // Rule ID 71706 //
     /*  143345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143387 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  143390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  143396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  143398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143404 */     GIR_RootConstrainSelectedInstOperands,
     /*  143405 */     // GIR_Coverage, 71706,
     /*  143405 */     GIR_EraseRootFromParent_Done,
     /*  143406 */   // Label 2568: @143406
     /*  143406 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(143472), // Rule ID 71703 //
     /*  143411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143430 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  143443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143451 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143453 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  143456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  143464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143470 */     GIR_RootConstrainSelectedInstOperands,
     /*  143471 */     // GIR_Coverage, 71703,
     /*  143471 */     GIR_EraseRootFromParent_Done,
     /*  143472 */   // Label 2569: @143472
     /*  143472 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(143538), // Rule ID 71704 //
     /*  143477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143496 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  143509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143513 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143517 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143519 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  143522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  143530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143536 */     GIR_RootConstrainSelectedInstOperands,
     /*  143537 */     // GIR_Coverage, 71704,
     /*  143537 */     GIR_EraseRootFromParent_Done,
     /*  143538 */   // Label 2570: @143538
     /*  143538 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(143581), // Rule ID 71719 //
     /*  143543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143564 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  143567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  143571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  143573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143579 */     GIR_RootConstrainSelectedInstOperands,
     /*  143580 */     // GIR_Coverage, 71719,
     /*  143580 */     GIR_EraseRootFromParent_Done,
     /*  143581 */   // Label 2571: @143581
     /*  143581 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(143624), // Rule ID 71720 //
     /*  143586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143607 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  143610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  143614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  143616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143622 */     GIR_RootConstrainSelectedInstOperands,
     /*  143623 */     // GIR_Coverage, 71720,
     /*  143623 */     GIR_EraseRootFromParent_Done,
     /*  143624 */   // Label 2572: @143624
     /*  143624 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(143667), // Rule ID 53180 //
     /*  143629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143650 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  143653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143665 */     GIR_RootConstrainSelectedInstOperands,
     /*  143666 */     // GIR_Coverage, 53180,
     /*  143666 */     GIR_EraseRootFromParent_Done,
     /*  143667 */   // Label 2573: @143667
     /*  143667 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(143710), // Rule ID 53181 //
     /*  143672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143693 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  143696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143708 */     GIR_RootConstrainSelectedInstOperands,
     /*  143709 */     // GIR_Coverage, 53181,
     /*  143709 */     GIR_EraseRootFromParent_Done,
     /*  143710 */   // Label 2574: @143710
     /*  143710 */   GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(143743), // Rule ID 53168 //
     /*  143715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143726 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  143729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143741 */     GIR_RootConstrainSelectedInstOperands,
     /*  143742 */     // GIR_Coverage, 53168,
     /*  143742 */     GIR_EraseRootFromParent_Done,
     /*  143743 */   // Label 2575: @143743
     /*  143743 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(143776), // Rule ID 53169 //
     /*  143748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143759 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  143762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143774 */     GIR_RootConstrainSelectedInstOperands,
     /*  143775 */     // GIR_Coverage, 53169,
     /*  143775 */     GIR_EraseRootFromParent_Done,
     /*  143776 */   // Label 2576: @143776
     /*  143776 */   GIM_Reject,
     /*  143777 */ // Label 2550: @143777
     /*  143777 */ GIM_Reject,
     /*  143778 */ // Label 2501: @143778
     /*  143778 */ GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(143892),
     /*  143783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  143786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  143789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143801 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(143846), // Rule ID 47920 //
     /*  143806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143809 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  143809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  143812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  143826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143844 */     GIR_RootConstrainSelectedInstOperands,
     /*  143845 */     // GIR_Coverage, 47920,
     /*  143845 */     GIR_EraseRootFromParent_Done,
     /*  143846 */   // Label 2578: @143846
     /*  143846 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(143891), // Rule ID 47921 //
     /*  143851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143854 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  143854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  143857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  143871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143889 */     GIR_RootConstrainSelectedInstOperands,
     /*  143890 */     // GIR_Coverage, 47921,
     /*  143890 */     GIR_EraseRootFromParent_Done,
     /*  143891 */   // Label 2579: @143891
     /*  143891 */   GIM_Reject,
     /*  143892 */ // Label 2577: @143892
     /*  143892 */ GIM_Reject,
     /*  143893 */ // Label 2502: @143893
     /*  143893 */ GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(144007),
     /*  143898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  143901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  143904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143916 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(143961), // Rule ID 47932 //
     /*  143921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143924 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  143924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  143927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  143941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143959 */     GIR_RootConstrainSelectedInstOperands,
     /*  143960 */     // GIR_Coverage, 47932,
     /*  143960 */     GIR_EraseRootFromParent_Done,
     /*  143961 */   // Label 2581: @143961
     /*  143961 */   GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(144006), // Rule ID 47933 //
     /*  143966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143969 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  143969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  143972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  143986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  144001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  144004 */     GIR_RootConstrainSelectedInstOperands,
     /*  144005 */     // GIR_Coverage, 47933,
     /*  144005 */     GIR_EraseRootFromParent_Done,
     /*  144006 */   // Label 2582: @144006
     /*  144006 */   GIM_Reject,
     /*  144007 */ // Label 2580: @144007
     /*  144007 */ GIM_Reject,
     /*  144008 */ // Label 2503: @144008
     /*  144008 */ GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(144122),
     /*  144013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  144016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  144019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144031 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(144076), // Rule ID 47940 //
     /*  144036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144039 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  144039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  144042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  144046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  144051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  144053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  144056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  144061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  144063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  144074 */     GIR_RootConstrainSelectedInstOperands,
     /*  144075 */     // GIR_Coverage, 47940,
     /*  144075 */     GIR_EraseRootFromParent_Done,
     /*  144076 */   // Label 2584: @144076
     /*  144076 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(144121), // Rule ID 47941 //
     /*  144081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144084 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  144084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  144087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  144091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  144096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  144098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  144101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  144106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  144108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  144119 */     GIR_RootConstrainSelectedInstOperands,
     /*  144120 */     // GIR_Coverage, 47941,
     /*  144120 */     GIR_EraseRootFromParent_Done,
     /*  144121 */   // Label 2585: @144121
     /*  144121 */   GIM_Reject,
     /*  144122 */ // Label 2583: @144122
     /*  144122 */ GIM_Reject,
     /*  144123 */ // Label 2504: @144123
     /*  144123 */ GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(144237),
     /*  144128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  144131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  144134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144146 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(144191), // Rule ID 47956 //
     /*  144151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  144154 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  144154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  144157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  144161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  144166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  144168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  144171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  144176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  144178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  144189 */     GIR_RootConstrainSelectedInstOperands,
     /*  144190 */     // GIR_Coverage, 47956,
     /*  144190 */     GIR_EraseRootFromParent_Done,
     /*  144191 */   // Label 2587: @144191
     /*  144191 */   GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(144236), // Rule ID 47957 //
     /*  144196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  144199 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  144199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  144202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  144206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  144211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  144213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  144216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  144221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  144223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  144234 */     GIR_RootConstrainSelectedInstOperands,
     /*  144235 */     // GIR_Coverage, 47957,
     /*  144235 */     GIR_EraseRootFromParent_Done,
     /*  144236 */   // Label 2588: @144236
     /*  144236 */   GIM_Reject,
     /*  144237 */ // Label 2586: @144237
     /*  144237 */ GIM_Reject,
     /*  144238 */ // Label 2505: @144238
     /*  144238 */ GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(145848),
     /*  144243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144253 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(144322), // Rule ID 53188 //
     /*  144258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144287 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144291 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144295 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144299 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144301 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  144304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144320 */     GIR_RootConstrainSelectedInstOperands,
     /*  144321 */     // GIR_Coverage, 53188,
     /*  144321 */     GIR_EraseRootFromParent_Done,
     /*  144322 */   // Label 2590: @144322
     /*  144322 */   GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(144391), // Rule ID 53189 //
     /*  144327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144368 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144370 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  144373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144389 */     GIR_RootConstrainSelectedInstOperands,
     /*  144390 */     // GIR_Coverage, 53189,
     /*  144390 */     GIR_EraseRootFromParent_Done,
     /*  144391 */   // Label 2591: @144391
     /*  144391 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(144460), // Rule ID 53190 //
     /*  144396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144437 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144439 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  144442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144458 */     GIR_RootConstrainSelectedInstOperands,
     /*  144459 */     // GIR_Coverage, 53190,
     /*  144459 */     GIR_EraseRootFromParent_Done,
     /*  144460 */   // Label 2592: @144460
     /*  144460 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(144529), // Rule ID 53191 //
     /*  144465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144508 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  144511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144527 */     GIR_RootConstrainSelectedInstOperands,
     /*  144528 */     // GIR_Coverage, 53191,
     /*  144528 */     GIR_EraseRootFromParent_Done,
     /*  144529 */   // Label 2593: @144529
     /*  144529 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(144595), // Rule ID 71727 //
     /*  144534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144576 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144593 */     GIR_RootConstrainSelectedInstOperands,
     /*  144594 */     // GIR_Coverage, 71727,
     /*  144594 */     GIR_EraseRootFromParent_Done,
     /*  144595 */   // Label 2594: @144595
     /*  144595 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(144661), // Rule ID 71728 //
     /*  144600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144642 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144659 */     GIR_RootConstrainSelectedInstOperands,
     /*  144660 */     // GIR_Coverage, 71728,
     /*  144660 */     GIR_EraseRootFromParent_Done,
     /*  144661 */   // Label 2595: @144661
     /*  144661 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(144727), // Rule ID 71725 //
     /*  144666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144708 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144725 */     GIR_RootConstrainSelectedInstOperands,
     /*  144726 */     // GIR_Coverage, 71725,
     /*  144726 */     GIR_EraseRootFromParent_Done,
     /*  144727 */   // Label 2596: @144727
     /*  144727 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(144793), // Rule ID 71726 //
     /*  144732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144774 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144791 */     GIR_RootConstrainSelectedInstOperands,
     /*  144792 */     // GIR_Coverage, 71726,
     /*  144792 */     GIR_EraseRootFromParent_Done,
     /*  144793 */   // Label 2597: @144793
     /*  144793 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(144862), // Rule ID 53192 //
     /*  144798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144841 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144860 */     GIR_RootConstrainSelectedInstOperands,
     /*  144861 */     // GIR_Coverage, 53192,
     /*  144861 */     GIR_EraseRootFromParent_Done,
     /*  144862 */   // Label 2598: @144862
     /*  144862 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(144931), // Rule ID 53193 //
     /*  144867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144908 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144910 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144929 */     GIR_RootConstrainSelectedInstOperands,
     /*  144930 */     // GIR_Coverage, 53193,
     /*  144930 */     GIR_EraseRootFromParent_Done,
     /*  144931 */   // Label 2599: @144931
     /*  144931 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(145000), // Rule ID 71721 //
     /*  144936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144963 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144972 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144977 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144979 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  144982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144998 */     GIR_RootConstrainSelectedInstOperands,
     /*  144999 */     // GIR_Coverage, 71721,
     /*  144999 */     GIR_EraseRootFromParent_Done,
     /*  145000 */   // Label 2600: @145000
     /*  145000 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(145069), // Rule ID 71722 //
     /*  145005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145032 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145048 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  145057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  145061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145067 */     GIR_RootConstrainSelectedInstOperands,
     /*  145068 */     // GIR_Coverage, 71722,
     /*  145068 */     GIR_EraseRootFromParent_Done,
     /*  145069 */   // Label 2601: @145069
     /*  145069 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(145138), // Rule ID 71723 //
     /*  145074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145101 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145117 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  145120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  145126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  145130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145136 */     GIR_RootConstrainSelectedInstOperands,
     /*  145137 */     // GIR_Coverage, 71723,
     /*  145137 */     GIR_EraseRootFromParent_Done,
     /*  145138 */   // Label 2602: @145138
     /*  145138 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(145207), // Rule ID 71724 //
     /*  145143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145170 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145174 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145179 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145184 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145186 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  145189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  145195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  145199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145205 */     GIR_RootConstrainSelectedInstOperands,
     /*  145206 */     // GIR_Coverage, 71724,
     /*  145206 */     GIR_EraseRootFromParent_Done,
     /*  145207 */   // Label 2603: @145207
     /*  145207 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(145276), // Rule ID 71729 //
     /*  145212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145239 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145243 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145255 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  145258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  145264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  145268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145274 */     GIR_RootConstrainSelectedInstOperands,
     /*  145275 */     // GIR_Coverage, 71729,
     /*  145275 */     GIR_EraseRootFromParent_Done,
     /*  145276 */   // Label 2604: @145276
     /*  145276 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(145345), // Rule ID 71730 //
     /*  145281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145308 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145324 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  145327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  145333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  145337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145343 */     GIR_RootConstrainSelectedInstOperands,
     /*  145344 */     // GIR_Coverage, 71730,
     /*  145344 */     GIR_EraseRootFromParent_Done,
     /*  145345 */   // Label 2605: @145345
     /*  145345 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(145411), // Rule ID 71733 //
     /*  145350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145369 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  145377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145392 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  145395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  145401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  145403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145409 */     GIR_RootConstrainSelectedInstOperands,
     /*  145410 */     // GIR_Coverage, 71733,
     /*  145410 */     GIR_EraseRootFromParent_Done,
     /*  145411 */   // Label 2606: @145411
     /*  145411 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(145477), // Rule ID 71734 //
     /*  145416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  145443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145458 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  145461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  145467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  145469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145475 */     GIR_RootConstrainSelectedInstOperands,
     /*  145476 */     // GIR_Coverage, 71734,
     /*  145476 */     GIR_EraseRootFromParent_Done,
     /*  145477 */   // Label 2607: @145477
     /*  145477 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(145543), // Rule ID 71731 //
     /*  145482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145501 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  145514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145524 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  145527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  145535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145541 */     GIR_RootConstrainSelectedInstOperands,
     /*  145542 */     // GIR_Coverage, 71731,
     /*  145542 */     GIR_EraseRootFromParent_Done,
     /*  145543 */   // Label 2608: @145543
     /*  145543 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(145609), // Rule ID 71732 //
     /*  145548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  145580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145590 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  145593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  145601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145607 */     GIR_RootConstrainSelectedInstOperands,
     /*  145608 */     // GIR_Coverage, 71732,
     /*  145608 */     GIR_EraseRootFromParent_Done,
     /*  145609 */   // Label 2609: @145609
     /*  145609 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(145652), // Rule ID 71747 //
     /*  145614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145635 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145650 */     GIR_RootConstrainSelectedInstOperands,
     /*  145651 */     // GIR_Coverage, 71747,
     /*  145651 */     GIR_EraseRootFromParent_Done,
     /*  145652 */   // Label 2610: @145652
     /*  145652 */   GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(145695), // Rule ID 71748 //
     /*  145657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145678 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145693 */     GIR_RootConstrainSelectedInstOperands,
     /*  145694 */     // GIR_Coverage, 71748,
     /*  145694 */     GIR_EraseRootFromParent_Done,
     /*  145695 */   // Label 2611: @145695
     /*  145695 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(145738), // Rule ID 53198 //
     /*  145700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145721 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145736 */     GIR_RootConstrainSelectedInstOperands,
     /*  145737 */     // GIR_Coverage, 53198,
     /*  145737 */     GIR_EraseRootFromParent_Done,
     /*  145738 */   // Label 2612: @145738
     /*  145738 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(145781), // Rule ID 53199 //
     /*  145743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145764 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145779 */     GIR_RootConstrainSelectedInstOperands,
     /*  145780 */     // GIR_Coverage, 53199,
     /*  145780 */     GIR_EraseRootFromParent_Done,
     /*  145781 */   // Label 2613: @145781
     /*  145781 */   GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(145814), // Rule ID 53186 //
     /*  145786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145797 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  145800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145812 */     GIR_RootConstrainSelectedInstOperands,
     /*  145813 */     // GIR_Coverage, 53186,
     /*  145813 */     GIR_EraseRootFromParent_Done,
     /*  145814 */   // Label 2614: @145814
     /*  145814 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(145847), // Rule ID 53187 //
     /*  145819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145830 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  145833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145845 */     GIR_RootConstrainSelectedInstOperands,
     /*  145846 */     // GIR_Coverage, 53187,
     /*  145846 */     GIR_EraseRootFromParent_Done,
     /*  145847 */   // Label 2615: @145847
     /*  145847 */   GIM_Reject,
     /*  145848 */ // Label 2589: @145848
     /*  145848 */ GIM_Reject,
     /*  145849 */ // Label 2506: @145849
     /*  145849 */ GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(145963),
     /*  145854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  145857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  145860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145872 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(145917), // Rule ID 47924 //
     /*  145877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145880 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  145880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  145883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  145897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145915 */     GIR_RootConstrainSelectedInstOperands,
     /*  145916 */     // GIR_Coverage, 47924,
     /*  145916 */     GIR_EraseRootFromParent_Done,
     /*  145917 */   // Label 2617: @145917
     /*  145917 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(145962), // Rule ID 47925 //
     /*  145922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145925 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  145925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  145928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  145942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145960 */     GIR_RootConstrainSelectedInstOperands,
     /*  145961 */     // GIR_Coverage, 47925,
     /*  145961 */     GIR_EraseRootFromParent_Done,
     /*  145962 */   // Label 2618: @145962
     /*  145962 */   GIM_Reject,
     /*  145963 */ // Label 2616: @145963
     /*  145963 */ GIM_Reject,
     /*  145964 */ // Label 2507: @145964
     /*  145964 */ GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(146078),
     /*  145969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  145972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  145975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145987 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(146032), // Rule ID 47936 //
     /*  145992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145995 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  145995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  145998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  146002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  146007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  146009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  146012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  146017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  146019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  146030 */     GIR_RootConstrainSelectedInstOperands,
     /*  146031 */     // GIR_Coverage, 47936,
     /*  146031 */     GIR_EraseRootFromParent_Done,
     /*  146032 */   // Label 2620: @146032
     /*  146032 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(146077), // Rule ID 47937 //
     /*  146037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146040 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  146040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  146043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  146047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  146052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  146054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  146057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  146062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  146064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  146075 */     GIR_RootConstrainSelectedInstOperands,
     /*  146076 */     // GIR_Coverage, 47937,
     /*  146076 */     GIR_EraseRootFromParent_Done,
     /*  146077 */   // Label 2621: @146077
     /*  146077 */   GIM_Reject,
     /*  146078 */ // Label 2619: @146078
     /*  146078 */ GIM_Reject,
     /*  146079 */ // Label 2508: @146079
     /*  146079 */ GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(146193),
     /*  146084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  146087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  146090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146102 */   GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(146147), // Rule ID 47952 //
     /*  146107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146110 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  146110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  146113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  146117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  146122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  146124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  146127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  146132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  146134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  146142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  146145 */     GIR_RootConstrainSelectedInstOperands,
     /*  146146 */     // GIR_Coverage, 47952,
     /*  146146 */     GIR_EraseRootFromParent_Done,
     /*  146147 */   // Label 2623: @146147
     /*  146147 */   GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(146192), // Rule ID 47953 //
     /*  146152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146155 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  146155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  146158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  146162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  146167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  146169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  146172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  146177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  146179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  146187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  146190 */     GIR_RootConstrainSelectedInstOperands,
     /*  146191 */     // GIR_Coverage, 47953,
     /*  146191 */     GIR_EraseRootFromParent_Done,
     /*  146192 */   // Label 2624: @146192
     /*  146192 */   GIM_Reject,
     /*  146193 */ // Label 2622: @146193
     /*  146193 */ GIM_Reject,
     /*  146194 */ // Label 2509: @146194
     /*  146194 */ GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(146308),
     /*  146199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  146202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  146205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146217 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(146262), // Rule ID 47996 //
     /*  146222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  146225 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  146225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  146228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  146232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  146237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  146239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  146242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  146247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  146249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  146257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  146260 */     GIR_RootConstrainSelectedInstOperands,
     /*  146261 */     // GIR_Coverage, 47996,
     /*  146261 */     GIR_EraseRootFromParent_Done,
     /*  146262 */   // Label 2626: @146262
     /*  146262 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(146307), // Rule ID 47997 //
     /*  146267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  146270 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  146270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  146273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  146277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  146282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  146284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  146287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  146292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  146294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  146302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  146305 */     GIR_RootConstrainSelectedInstOperands,
     /*  146306 */     // GIR_Coverage, 47997,
     /*  146306 */     GIR_EraseRootFromParent_Done,
     /*  146307 */   // Label 2627: @146307
     /*  146307 */   GIM_Reject,
     /*  146308 */ // Label 2625: @146308
     /*  146308 */ GIM_Reject,
     /*  146309 */ // Label 2510: @146309
     /*  146309 */ GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(147919),
     /*  146314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146324 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(146393), // Rule ID 53206 //
     /*  146329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146370 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146372 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  146375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146391 */     GIR_RootConstrainSelectedInstOperands,
     /*  146392 */     // GIR_Coverage, 53206,
     /*  146392 */     GIR_EraseRootFromParent_Done,
     /*  146393 */   // Label 2629: @146393
     /*  146393 */   GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(146462), // Rule ID 53207 //
     /*  146398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146413 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146441 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  146444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146460 */     GIR_RootConstrainSelectedInstOperands,
     /*  146461 */     // GIR_Coverage, 53207,
     /*  146461 */     GIR_EraseRootFromParent_Done,
     /*  146462 */   // Label 2630: @146462
     /*  146462 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(146531), // Rule ID 53208 //
     /*  146467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146482 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146510 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  146513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146529 */     GIR_RootConstrainSelectedInstOperands,
     /*  146530 */     // GIR_Coverage, 53208,
     /*  146530 */     GIR_EraseRootFromParent_Done,
     /*  146531 */   // Label 2631: @146531
     /*  146531 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(146600), // Rule ID 53209 //
     /*  146536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146551 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146579 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  146582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146598 */     GIR_RootConstrainSelectedInstOperands,
     /*  146599 */     // GIR_Coverage, 53209,
     /*  146599 */     GIR_EraseRootFromParent_Done,
     /*  146600 */   // Label 2632: @146600
     /*  146600 */   GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(146666), // Rule ID 71755 //
     /*  146605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146647 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146664 */     GIR_RootConstrainSelectedInstOperands,
     /*  146665 */     // GIR_Coverage, 71755,
     /*  146665 */     GIR_EraseRootFromParent_Done,
     /*  146666 */   // Label 2633: @146666
     /*  146666 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(146732), // Rule ID 71756 //
     /*  146671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146713 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146730 */     GIR_RootConstrainSelectedInstOperands,
     /*  146731 */     // GIR_Coverage, 71756,
     /*  146731 */     GIR_EraseRootFromParent_Done,
     /*  146732 */   // Label 2634: @146732
     /*  146732 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(146798), // Rule ID 71753 //
     /*  146737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146752 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146779 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146796 */     GIR_RootConstrainSelectedInstOperands,
     /*  146797 */     // GIR_Coverage, 71753,
     /*  146797 */     GIR_EraseRootFromParent_Done,
     /*  146798 */   // Label 2635: @146798
     /*  146798 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(146864), // Rule ID 71754 //
     /*  146803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146818 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146845 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146862 */     GIR_RootConstrainSelectedInstOperands,
     /*  146863 */     // GIR_Coverage, 71754,
     /*  146863 */     GIR_EraseRootFromParent_Done,
     /*  146864 */   // Label 2636: @146864
     /*  146864 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(146933), // Rule ID 53210 //
     /*  146869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146910 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146912 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146931 */     GIR_RootConstrainSelectedInstOperands,
     /*  146932 */     // GIR_Coverage, 53210,
     /*  146932 */     GIR_EraseRootFromParent_Done,
     /*  146933 */   // Label 2637: @146933
     /*  146933 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(147002), // Rule ID 53211 //
     /*  146938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146979 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146981 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147000 */     GIR_RootConstrainSelectedInstOperands,
     /*  147001 */     // GIR_Coverage, 53211,
     /*  147001 */     GIR_EraseRootFromParent_Done,
     /*  147002 */   // Label 2638: @147002
     /*  147002 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(147071), // Rule ID 71749 //
     /*  147007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147034 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147038 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147043 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147048 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147050 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  147059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  147063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147069 */     GIR_RootConstrainSelectedInstOperands,
     /*  147070 */     // GIR_Coverage, 71749,
     /*  147070 */     GIR_EraseRootFromParent_Done,
     /*  147071 */   // Label 2639: @147071
     /*  147071 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(147140), // Rule ID 71750 //
     /*  147076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147103 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147107 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147119 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  147128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  147132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147138 */     GIR_RootConstrainSelectedInstOperands,
     /*  147139 */     // GIR_Coverage, 71750,
     /*  147139 */     GIR_EraseRootFromParent_Done,
     /*  147140 */   // Label 2640: @147140
     /*  147140 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(147209), // Rule ID 71751 //
     /*  147145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147172 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147176 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147188 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  147191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  147197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  147201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147207 */     GIR_RootConstrainSelectedInstOperands,
     /*  147208 */     // GIR_Coverage, 71751,
     /*  147208 */     GIR_EraseRootFromParent_Done,
     /*  147209 */   // Label 2641: @147209
     /*  147209 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(147278), // Rule ID 71752 //
     /*  147214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147229 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147233 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147237 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147241 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147245 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147255 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147257 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  147260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  147266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  147270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147276 */     GIR_RootConstrainSelectedInstOperands,
     /*  147277 */     // GIR_Coverage, 71752,
     /*  147277 */     GIR_EraseRootFromParent_Done,
     /*  147278 */   // Label 2642: @147278
     /*  147278 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(147347), // Rule ID 71757 //
     /*  147283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147310 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147324 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147326 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  147335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  147339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147345 */     GIR_RootConstrainSelectedInstOperands,
     /*  147346 */     // GIR_Coverage, 71757,
     /*  147346 */     GIR_EraseRootFromParent_Done,
     /*  147347 */   // Label 2643: @147347
     /*  147347 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(147416), // Rule ID 71758 //
     /*  147352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147379 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147383 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147393 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147395 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  147404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  147408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147414 */     GIR_RootConstrainSelectedInstOperands,
     /*  147415 */     // GIR_Coverage, 71758,
     /*  147415 */     GIR_EraseRootFromParent_Done,
     /*  147416 */   // Label 2644: @147416
     /*  147416 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(147482), // Rule ID 71761 //
     /*  147421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  147448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147456 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147463 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  147472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147480 */     GIR_RootConstrainSelectedInstOperands,
     /*  147481 */     // GIR_Coverage, 71761,
     /*  147481 */     GIR_EraseRootFromParent_Done,
     /*  147482 */   // Label 2645: @147482
     /*  147482 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(147548), // Rule ID 71762 //
     /*  147487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  147514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147529 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  147538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147546 */     GIR_RootConstrainSelectedInstOperands,
     /*  147547 */     // GIR_Coverage, 71762,
     /*  147547 */     GIR_EraseRootFromParent_Done,
     /*  147548 */   // Label 2646: @147548
     /*  147548 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(147614), // Rule ID 71759 //
     /*  147553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147572 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  147585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147595 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147612 */     GIR_RootConstrainSelectedInstOperands,
     /*  147613 */     // GIR_Coverage, 71759,
     /*  147613 */     GIR_EraseRootFromParent_Done,
     /*  147614 */   // Label 2647: @147614
     /*  147614 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(147680), // Rule ID 71760 //
     /*  147619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147638 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  147651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147655 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147661 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147678 */     GIR_RootConstrainSelectedInstOperands,
     /*  147679 */     // GIR_Coverage, 71760,
     /*  147679 */     GIR_EraseRootFromParent_Done,
     /*  147680 */   // Label 2648: @147680
     /*  147680 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(147723), // Rule ID 71775 //
     /*  147685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147706 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147721 */     GIR_RootConstrainSelectedInstOperands,
     /*  147722 */     // GIR_Coverage, 71775,
     /*  147722 */     GIR_EraseRootFromParent_Done,
     /*  147723 */   // Label 2649: @147723
     /*  147723 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(147766), // Rule ID 71776 //
     /*  147728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147749 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147764 */     GIR_RootConstrainSelectedInstOperands,
     /*  147765 */     // GIR_Coverage, 71776,
     /*  147765 */     GIR_EraseRootFromParent_Done,
     /*  147766 */   // Label 2650: @147766
     /*  147766 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(147809), // Rule ID 53216 //
     /*  147771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147792 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147807 */     GIR_RootConstrainSelectedInstOperands,
     /*  147808 */     // GIR_Coverage, 53216,
     /*  147808 */     GIR_EraseRootFromParent_Done,
     /*  147809 */   // Label 2651: @147809
     /*  147809 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(147852), // Rule ID 53217 //
     /*  147814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147835 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147850 */     GIR_RootConstrainSelectedInstOperands,
     /*  147851 */     // GIR_Coverage, 53217,
     /*  147851 */     GIR_EraseRootFromParent_Done,
     /*  147852 */   // Label 2652: @147852
     /*  147852 */   GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(147885), // Rule ID 53204 //
     /*  147857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147868 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  147871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147883 */     GIR_RootConstrainSelectedInstOperands,
     /*  147884 */     // GIR_Coverage, 53204,
     /*  147884 */     GIR_EraseRootFromParent_Done,
     /*  147885 */   // Label 2653: @147885
     /*  147885 */   GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(147918), // Rule ID 53205 //
     /*  147890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147901 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  147904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147916 */     GIR_RootConstrainSelectedInstOperands,
     /*  147917 */     // GIR_Coverage, 53205,
     /*  147917 */     GIR_EraseRootFromParent_Done,
     /*  147918 */   // Label 2654: @147918
     /*  147918 */   GIM_Reject,
     /*  147919 */ // Label 2628: @147919
     /*  147919 */ GIM_Reject,
     /*  147920 */ // Label 2511: @147920
     /*  147920 */ GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(148034),
     /*  147925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  147928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  147931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147943 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(147988), // Rule ID 47928 //
     /*  147948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147951 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  147951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  147954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  147968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147986 */     GIR_RootConstrainSelectedInstOperands,
     /*  147987 */     // GIR_Coverage, 47928,
     /*  147987 */     GIR_EraseRootFromParent_Done,
     /*  147988 */   // Label 2656: @147988
     /*  147988 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(148033), // Rule ID 47929 //
     /*  147993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147996 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  147996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  147999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  148013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148031 */     GIR_RootConstrainSelectedInstOperands,
     /*  148032 */     // GIR_Coverage, 47929,
     /*  148032 */     GIR_EraseRootFromParent_Done,
     /*  148033 */   // Label 2657: @148033
     /*  148033 */   GIM_Reject,
     /*  148034 */ // Label 2655: @148034
     /*  148034 */ GIM_Reject,
     /*  148035 */ // Label 2512: @148035
     /*  148035 */ GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(148149),
     /*  148040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  148043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  148046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148058 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(148103), // Rule ID 47948 //
     /*  148063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148066 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  148066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  148069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  148083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  148098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148101 */     GIR_RootConstrainSelectedInstOperands,
     /*  148102 */     // GIR_Coverage, 47948,
     /*  148102 */     GIR_EraseRootFromParent_Done,
     /*  148103 */   // Label 2659: @148103
     /*  148103 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(148148), // Rule ID 47949 //
     /*  148108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148111 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  148111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  148114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  148128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  148143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148146 */     GIR_RootConstrainSelectedInstOperands,
     /*  148147 */     // GIR_Coverage, 47949,
     /*  148147 */     GIR_EraseRootFromParent_Done,
     /*  148148 */   // Label 2660: @148148
     /*  148148 */   GIM_Reject,
     /*  148149 */ // Label 2658: @148149
     /*  148149 */ GIM_Reject,
     /*  148150 */ // Label 2513: @148150
     /*  148150 */ GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(148264),
     /*  148155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  148158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  148161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148173 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(148218), // Rule ID 47984 //
     /*  148178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148181 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  148181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  148184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  148198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148216 */     GIR_RootConstrainSelectedInstOperands,
     /*  148217 */     // GIR_Coverage, 47984,
     /*  148217 */     GIR_EraseRootFromParent_Done,
     /*  148218 */   // Label 2662: @148218
     /*  148218 */   GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(148263), // Rule ID 47985 //
     /*  148223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148226 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  148226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  148229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  148243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148261 */     GIR_RootConstrainSelectedInstOperands,
     /*  148262 */     // GIR_Coverage, 47985,
     /*  148262 */     GIR_EraseRootFromParent_Done,
     /*  148263 */   // Label 2663: @148263
     /*  148263 */   GIM_Reject,
     /*  148264 */ // Label 2661: @148264
     /*  148264 */ GIM_Reject,
     /*  148265 */ // Label 2514: @148265
     /*  148265 */ GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(148379),
     /*  148270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  148273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  148276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148288 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(148333), // Rule ID 48000 //
     /*  148293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  148296 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  148296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  148299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  148313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148331 */     GIR_RootConstrainSelectedInstOperands,
     /*  148332 */     // GIR_Coverage, 48000,
     /*  148332 */     GIR_EraseRootFromParent_Done,
     /*  148333 */   // Label 2665: @148333
     /*  148333 */   GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(148378), // Rule ID 48001 //
     /*  148338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  148341 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  148341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  148344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  148358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148376 */     GIR_RootConstrainSelectedInstOperands,
     /*  148377 */     // GIR_Coverage, 48001,
     /*  148377 */     GIR_EraseRootFromParent_Done,
     /*  148378 */   // Label 2666: @148378
     /*  148378 */   GIM_Reject,
     /*  148379 */ // Label 2664: @148379
     /*  148379 */ GIM_Reject,
     /*  148380 */ // Label 2515: @148380
     /*  148380 */ GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(149990),
     /*  148385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148395 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(148464), // Rule ID 53224 //
     /*  148400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148415 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148443 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  148446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148462 */     GIR_RootConstrainSelectedInstOperands,
     /*  148463 */     // GIR_Coverage, 53224,
     /*  148463 */     GIR_EraseRootFromParent_Done,
     /*  148464 */   // Label 2668: @148464
     /*  148464 */   GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(148533), // Rule ID 53225 //
     /*  148469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148484 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148498 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148502 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148506 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148512 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  148515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148531 */     GIR_RootConstrainSelectedInstOperands,
     /*  148532 */     // GIR_Coverage, 53225,
     /*  148532 */     GIR_EraseRootFromParent_Done,
     /*  148533 */   // Label 2669: @148533
     /*  148533 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(148602), // Rule ID 53226 //
     /*  148538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148553 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148581 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  148584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148600 */     GIR_RootConstrainSelectedInstOperands,
     /*  148601 */     // GIR_Coverage, 53226,
     /*  148601 */     GIR_EraseRootFromParent_Done,
     /*  148602 */   // Label 2670: @148602
     /*  148602 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(148671), // Rule ID 53227 //
     /*  148607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148648 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148650 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  148653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148669 */     GIR_RootConstrainSelectedInstOperands,
     /*  148670 */     // GIR_Coverage, 53227,
     /*  148670 */     GIR_EraseRootFromParent_Done,
     /*  148671 */   // Label 2671: @148671
     /*  148671 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(148737), // Rule ID 71783 //
     /*  148676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148691 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148718 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148735 */     GIR_RootConstrainSelectedInstOperands,
     /*  148736 */     // GIR_Coverage, 71783,
     /*  148736 */     GIR_EraseRootFromParent_Done,
     /*  148737 */   // Label 2672: @148737
     /*  148737 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(148803), // Rule ID 71784 //
     /*  148742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148784 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148801 */     GIR_RootConstrainSelectedInstOperands,
     /*  148802 */     // GIR_Coverage, 71784,
     /*  148802 */     GIR_EraseRootFromParent_Done,
     /*  148803 */   // Label 2673: @148803
     /*  148803 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(148869), // Rule ID 71781 //
     /*  148808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148840 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148850 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148867 */     GIR_RootConstrainSelectedInstOperands,
     /*  148868 */     // GIR_Coverage, 71781,
     /*  148868 */     GIR_EraseRootFromParent_Done,
     /*  148869 */   // Label 2674: @148869
     /*  148869 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(148935), // Rule ID 71782 //
     /*  148874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148889 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148916 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148933 */     GIR_RootConstrainSelectedInstOperands,
     /*  148934 */     // GIR_Coverage, 71782,
     /*  148934 */     GIR_EraseRootFromParent_Done,
     /*  148935 */   // Label 2675: @148935
     /*  148935 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(149004), // Rule ID 53228 //
     /*  148940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148981 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148983 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149002 */     GIR_RootConstrainSelectedInstOperands,
     /*  149003 */     // GIR_Coverage, 53228,
     /*  149003 */     GIR_EraseRootFromParent_Done,
     /*  149004 */   // Label 2676: @149004
     /*  149004 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(149073), // Rule ID 53229 //
     /*  149009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149024 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149052 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149071 */     GIR_RootConstrainSelectedInstOperands,
     /*  149072 */     // GIR_Coverage, 53229,
     /*  149072 */     GIR_EraseRootFromParent_Done,
     /*  149073 */   // Label 2677: @149073
     /*  149073 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(149142), // Rule ID 71777 //
     /*  149078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149105 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149109 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149114 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149119 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149121 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149140 */     GIR_RootConstrainSelectedInstOperands,
     /*  149141 */     // GIR_Coverage, 71777,
     /*  149141 */     GIR_EraseRootFromParent_Done,
     /*  149142 */   // Label 2678: @149142
     /*  149142 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(149211), // Rule ID 71778 //
     /*  149147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149174 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149190 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149209 */     GIR_RootConstrainSelectedInstOperands,
     /*  149210 */     // GIR_Coverage, 71778,
     /*  149210 */     GIR_EraseRootFromParent_Done,
     /*  149211 */   // Label 2679: @149211
     /*  149211 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(149280), // Rule ID 71779 //
     /*  149216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149243 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149247 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149252 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149259 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  149262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149278 */     GIR_RootConstrainSelectedInstOperands,
     /*  149279 */     // GIR_Coverage, 71779,
     /*  149279 */     GIR_EraseRootFromParent_Done,
     /*  149280 */   // Label 2680: @149280
     /*  149280 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(149349), // Rule ID 71780 //
     /*  149285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149312 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149321 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149326 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149328 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  149331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149347 */     GIR_RootConstrainSelectedInstOperands,
     /*  149348 */     // GIR_Coverage, 71780,
     /*  149348 */     GIR_EraseRootFromParent_Done,
     /*  149349 */   // Label 2681: @149349
     /*  149349 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(149418), // Rule ID 71785 //
     /*  149354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149381 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149395 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149397 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149416 */     GIR_RootConstrainSelectedInstOperands,
     /*  149417 */     // GIR_Coverage, 71785,
     /*  149417 */     GIR_EraseRootFromParent_Done,
     /*  149418 */   // Label 2682: @149418
     /*  149418 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(149487), // Rule ID 71786 //
     /*  149423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149446 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149450 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149466 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149485 */     GIR_RootConstrainSelectedInstOperands,
     /*  149486 */     // GIR_Coverage, 71786,
     /*  149486 */     GIR_EraseRootFromParent_Done,
     /*  149487 */   // Label 2683: @149487
     /*  149487 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(149553), // Rule ID 71789 //
     /*  149492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149511 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149523 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149534 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  149545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149551 */     GIR_RootConstrainSelectedInstOperands,
     /*  149552 */     // GIR_Coverage, 71789,
     /*  149552 */     GIR_EraseRootFromParent_Done,
     /*  149553 */   // Label 2684: @149553
     /*  149553 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(149619), // Rule ID 71790 //
     /*  149558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149598 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149600 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  149611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149617 */     GIR_RootConstrainSelectedInstOperands,
     /*  149618 */     // GIR_Coverage, 71790,
     /*  149618 */     GIR_EraseRootFromParent_Done,
     /*  149619 */   // Label 2685: @149619
     /*  149619 */   GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(149685), // Rule ID 71787 //
     /*  149624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149664 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149666 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  149677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149683 */     GIR_RootConstrainSelectedInstOperands,
     /*  149684 */     // GIR_Coverage, 71787,
     /*  149684 */     GIR_EraseRootFromParent_Done,
     /*  149685 */   // Label 2686: @149685
     /*  149685 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(149751), // Rule ID 71788 //
     /*  149690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149709 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149730 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149732 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  149743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149749 */     GIR_RootConstrainSelectedInstOperands,
     /*  149750 */     // GIR_Coverage, 71788,
     /*  149750 */     GIR_EraseRootFromParent_Done,
     /*  149751 */   // Label 2687: @149751
     /*  149751 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(149794), // Rule ID 71803 //
     /*  149756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149777 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149792 */     GIR_RootConstrainSelectedInstOperands,
     /*  149793 */     // GIR_Coverage, 71803,
     /*  149793 */     GIR_EraseRootFromParent_Done,
     /*  149794 */   // Label 2688: @149794
     /*  149794 */   GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(149837), // Rule ID 71804 //
     /*  149799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149820 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149835 */     GIR_RootConstrainSelectedInstOperands,
     /*  149836 */     // GIR_Coverage, 71804,
     /*  149836 */     GIR_EraseRootFromParent_Done,
     /*  149837 */   // Label 2689: @149837
     /*  149837 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(149880), // Rule ID 53234 //
     /*  149842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149863 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149878 */     GIR_RootConstrainSelectedInstOperands,
     /*  149879 */     // GIR_Coverage, 53234,
     /*  149879 */     GIR_EraseRootFromParent_Done,
     /*  149880 */   // Label 2690: @149880
     /*  149880 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(149923), // Rule ID 53235 //
     /*  149885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149906 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149921 */     GIR_RootConstrainSelectedInstOperands,
     /*  149922 */     // GIR_Coverage, 53235,
     /*  149922 */     GIR_EraseRootFromParent_Done,
     /*  149923 */   // Label 2691: @149923
     /*  149923 */   GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(149956), // Rule ID 53222 //
     /*  149928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149939 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  149942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149954 */     GIR_RootConstrainSelectedInstOperands,
     /*  149955 */     // GIR_Coverage, 53222,
     /*  149955 */     GIR_EraseRootFromParent_Done,
     /*  149956 */   // Label 2692: @149956
     /*  149956 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(149989), // Rule ID 53223 //
     /*  149961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149972 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  149975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149987 */     GIR_RootConstrainSelectedInstOperands,
     /*  149988 */     // GIR_Coverage, 53223,
     /*  149988 */     GIR_EraseRootFromParent_Done,
     /*  149989 */   // Label 2693: @149989
     /*  149989 */   GIM_Reject,
     /*  149990 */ // Label 2667: @149990
     /*  149990 */ GIM_Reject,
     /*  149991 */ // Label 2516: @149991
     /*  149991 */ GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(150105),
     /*  149996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  149999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  150002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150014 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(150059), // Rule ID 47944 //
     /*  150019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150022 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  150022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  150025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  150039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150057 */     GIR_RootConstrainSelectedInstOperands,
     /*  150058 */     // GIR_Coverage, 47944,
     /*  150058 */     GIR_EraseRootFromParent_Done,
     /*  150059 */   // Label 2695: @150059
     /*  150059 */   GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(150104), // Rule ID 47945 //
     /*  150064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150067 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  150067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  150070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  150084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150102 */     GIR_RootConstrainSelectedInstOperands,
     /*  150103 */     // GIR_Coverage, 47945,
     /*  150103 */     GIR_EraseRootFromParent_Done,
     /*  150104 */   // Label 2696: @150104
     /*  150104 */   GIM_Reject,
     /*  150105 */ // Label 2694: @150105
     /*  150105 */ GIM_Reject,
     /*  150106 */ // Label 2517: @150106
     /*  150106 */ GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(150220),
     /*  150111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  150114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  150117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150129 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(150174), // Rule ID 47972 //
     /*  150134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150137 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  150137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  150140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  150154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150172 */     GIR_RootConstrainSelectedInstOperands,
     /*  150173 */     // GIR_Coverage, 47972,
     /*  150173 */     GIR_EraseRootFromParent_Done,
     /*  150174 */   // Label 2698: @150174
     /*  150174 */   GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(150219), // Rule ID 47973 //
     /*  150179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150182 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  150182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  150185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  150199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150217 */     GIR_RootConstrainSelectedInstOperands,
     /*  150218 */     // GIR_Coverage, 47973,
     /*  150218 */     GIR_EraseRootFromParent_Done,
     /*  150219 */   // Label 2699: @150219
     /*  150219 */   GIM_Reject,
     /*  150220 */ // Label 2697: @150220
     /*  150220 */ GIM_Reject,
     /*  150221 */ // Label 2518: @150221
     /*  150221 */ GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(150335),
     /*  150226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  150229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  150232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150244 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(150289), // Rule ID 47988 //
     /*  150249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150252 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  150252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  150255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  150269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150287 */     GIR_RootConstrainSelectedInstOperands,
     /*  150288 */     // GIR_Coverage, 47988,
     /*  150288 */     GIR_EraseRootFromParent_Done,
     /*  150289 */   // Label 2701: @150289
     /*  150289 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(150334), // Rule ID 47989 //
     /*  150294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150297 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  150297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  150300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  150314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150332 */     GIR_RootConstrainSelectedInstOperands,
     /*  150333 */     // GIR_Coverage, 47989,
     /*  150333 */     GIR_EraseRootFromParent_Done,
     /*  150334 */   // Label 2702: @150334
     /*  150334 */   GIM_Reject,
     /*  150335 */ // Label 2700: @150335
     /*  150335 */ GIM_Reject,
     /*  150336 */ // Label 2519: @150336
     /*  150336 */ GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(150450),
     /*  150341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  150344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  150347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150359 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(150404), // Rule ID 48004 //
     /*  150364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  150367 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  150367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  150370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  150384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  150399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150402 */     GIR_RootConstrainSelectedInstOperands,
     /*  150403 */     // GIR_Coverage, 48004,
     /*  150403 */     GIR_EraseRootFromParent_Done,
     /*  150404 */   // Label 2704: @150404
     /*  150404 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(150449), // Rule ID 48005 //
     /*  150409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  150412 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  150412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  150415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  150429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  150444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150447 */     GIR_RootConstrainSelectedInstOperands,
     /*  150448 */     // GIR_Coverage, 48005,
     /*  150448 */     GIR_EraseRootFromParent_Done,
     /*  150449 */   // Label 2705: @150449
     /*  150449 */   GIM_Reject,
     /*  150450 */ // Label 2703: @150450
     /*  150450 */ GIM_Reject,
     /*  150451 */ // Label 2520: @150451
     /*  150451 */ GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(152061),
     /*  150456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150466 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(150535), // Rule ID 53242 //
     /*  150471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150495 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150512 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150514 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  150517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150533 */     GIR_RootConstrainSelectedInstOperands,
     /*  150534 */     // GIR_Coverage, 53242,
     /*  150534 */     GIR_EraseRootFromParent_Done,
     /*  150535 */   // Label 2707: @150535
     /*  150535 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(150604), // Rule ID 53243 //
     /*  150540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150583 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  150586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150602 */     GIR_RootConstrainSelectedInstOperands,
     /*  150603 */     // GIR_Coverage, 53243,
     /*  150603 */     GIR_EraseRootFromParent_Done,
     /*  150604 */   // Label 2708: @150604
     /*  150604 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(150673), // Rule ID 53244 //
     /*  150609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150652 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  150655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150671 */     GIR_RootConstrainSelectedInstOperands,
     /*  150672 */     // GIR_Coverage, 53244,
     /*  150672 */     GIR_EraseRootFromParent_Done,
     /*  150673 */   // Label 2709: @150673
     /*  150673 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(150742), // Rule ID 53245 //
     /*  150678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150693 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150715 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150721 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  150724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150740 */     GIR_RootConstrainSelectedInstOperands,
     /*  150741 */     // GIR_Coverage, 53245,
     /*  150741 */     GIR_EraseRootFromParent_Done,
     /*  150742 */   // Label 2710: @150742
     /*  150742 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(150808), // Rule ID 71811 //
     /*  150747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150789 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150806 */     GIR_RootConstrainSelectedInstOperands,
     /*  150807 */     // GIR_Coverage, 71811,
     /*  150807 */     GIR_EraseRootFromParent_Done,
     /*  150808 */   // Label 2711: @150808
     /*  150808 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(150874), // Rule ID 71812 //
     /*  150813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150840 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150853 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150855 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150872 */     GIR_RootConstrainSelectedInstOperands,
     /*  150873 */     // GIR_Coverage, 71812,
     /*  150873 */     GIR_EraseRootFromParent_Done,
     /*  150874 */   // Label 2712: @150874
     /*  150874 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(150940), // Rule ID 71809 //
     /*  150879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150894 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150919 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150921 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150938 */     GIR_RootConstrainSelectedInstOperands,
     /*  150939 */     // GIR_Coverage, 71809,
     /*  150939 */     GIR_EraseRootFromParent_Done,
     /*  150940 */   // Label 2713: @150940
     /*  150940 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(151006), // Rule ID 71810 //
     /*  150945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150985 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150987 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151004 */     GIR_RootConstrainSelectedInstOperands,
     /*  151005 */     // GIR_Coverage, 71810,
     /*  151005 */     GIR_EraseRootFromParent_Done,
     /*  151006 */   // Label 2714: @151006
     /*  151006 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(151075), // Rule ID 53246 //
     /*  151011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151026 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151040 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151044 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151048 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  151052 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151054 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  151067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151073 */     GIR_RootConstrainSelectedInstOperands,
     /*  151074 */     // GIR_Coverage, 53246,
     /*  151074 */     GIR_EraseRootFromParent_Done,
     /*  151075 */   // Label 2715: @151075
     /*  151075 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(151144), // Rule ID 53247 //
     /*  151080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  151121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151123 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  151136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151142 */     GIR_RootConstrainSelectedInstOperands,
     /*  151143 */     // GIR_Coverage, 53247,
     /*  151143 */     GIR_EraseRootFromParent_Done,
     /*  151144 */   // Label 2716: @151144
     /*  151144 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(151213), // Rule ID 71805 //
     /*  151149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  151172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151176 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151180 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151185 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151190 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151192 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  151201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  151205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151211 */     GIR_RootConstrainSelectedInstOperands,
     /*  151212 */     // GIR_Coverage, 71805,
     /*  151212 */     GIR_EraseRootFromParent_Done,
     /*  151213 */   // Label 2717: @151213
     /*  151213 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(151282), // Rule ID 71806 //
     /*  151218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  151241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151245 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151261 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  151270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  151274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151280 */     GIR_RootConstrainSelectedInstOperands,
     /*  151281 */     // GIR_Coverage, 71806,
     /*  151281 */     GIR_EraseRootFromParent_Done,
     /*  151282 */   // Label 2718: @151282
     /*  151282 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(151351), // Rule ID 71807 //
     /*  151287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  151310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151314 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151323 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151330 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  151333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  151339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  151343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151349 */     GIR_RootConstrainSelectedInstOperands,
     /*  151350 */     // GIR_Coverage, 71807,
     /*  151350 */     GIR_EraseRootFromParent_Done,
     /*  151351 */   // Label 2719: @151351
     /*  151351 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(151420), // Rule ID 71808 //
     /*  151356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  151379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151383 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151392 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151397 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151399 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  151402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  151408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  151412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151418 */     GIR_RootConstrainSelectedInstOperands,
     /*  151419 */     // GIR_Coverage, 71808,
     /*  151419 */     GIR_EraseRootFromParent_Done,
     /*  151420 */   // Label 2720: @151420
     /*  151420 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(151489), // Rule ID 71813 //
     /*  151425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151452 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151461 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151468 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  151477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  151481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151487 */     GIR_RootConstrainSelectedInstOperands,
     /*  151488 */     // GIR_Coverage, 71813,
     /*  151488 */     GIR_EraseRootFromParent_Done,
     /*  151489 */   // Label 2721: @151489
     /*  151489 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(151558), // Rule ID 71814 //
     /*  151494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151521 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151525 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151537 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  151546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  151550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151556 */     GIR_RootConstrainSelectedInstOperands,
     /*  151557 */     // GIR_Coverage, 71814,
     /*  151557 */     GIR_EraseRootFromParent_Done,
     /*  151558 */   // Label 2722: @151558
     /*  151558 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(151624), // Rule ID 71817 //
     /*  151563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  151590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  151598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151605 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  151614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151622 */     GIR_RootConstrainSelectedInstOperands,
     /*  151623 */     // GIR_Coverage, 71817,
     /*  151623 */     GIR_EraseRootFromParent_Done,
     /*  151624 */   // Label 2723: @151624
     /*  151624 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(151690), // Rule ID 71818 //
     /*  151629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  151656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  151664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151671 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  151680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151688 */     GIR_RootConstrainSelectedInstOperands,
     /*  151689 */     // GIR_Coverage, 71818,
     /*  151689 */     GIR_EraseRootFromParent_Done,
     /*  151690 */   // Label 2724: @151690
     /*  151690 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(151756), // Rule ID 71815 //
     /*  151695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151714 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  151727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  151735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151737 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151754 */     GIR_RootConstrainSelectedInstOperands,
     /*  151755 */     // GIR_Coverage, 71815,
     /*  151755 */     GIR_EraseRootFromParent_Done,
     /*  151756 */   // Label 2725: @151756
     /*  151756 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(151822), // Rule ID 71816 //
     /*  151761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151780 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  151793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  151801 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151803 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151820 */     GIR_RootConstrainSelectedInstOperands,
     /*  151821 */     // GIR_Coverage, 71816,
     /*  151821 */     GIR_EraseRootFromParent_Done,
     /*  151822 */   // Label 2726: @151822
     /*  151822 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(151865), // Rule ID 71831 //
     /*  151827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151848 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151863 */     GIR_RootConstrainSelectedInstOperands,
     /*  151864 */     // GIR_Coverage, 71831,
     /*  151864 */     GIR_EraseRootFromParent_Done,
     /*  151865 */   // Label 2727: @151865
     /*  151865 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(151908), // Rule ID 71832 //
     /*  151870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151891 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151906 */     GIR_RootConstrainSelectedInstOperands,
     /*  151907 */     // GIR_Coverage, 71832,
     /*  151907 */     GIR_EraseRootFromParent_Done,
     /*  151908 */   // Label 2728: @151908
     /*  151908 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(151951), // Rule ID 53252 //
     /*  151913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151934 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151949 */     GIR_RootConstrainSelectedInstOperands,
     /*  151950 */     // GIR_Coverage, 53252,
     /*  151950 */     GIR_EraseRootFromParent_Done,
     /*  151951 */   // Label 2729: @151951
     /*  151951 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(151994), // Rule ID 53253 //
     /*  151956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151977 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151992 */     GIR_RootConstrainSelectedInstOperands,
     /*  151993 */     // GIR_Coverage, 53253,
     /*  151993 */     GIR_EraseRootFromParent_Done,
     /*  151994 */   // Label 2730: @151994
     /*  151994 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(152027), // Rule ID 53240 //
     /*  151999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152010 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  152013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152025 */     GIR_RootConstrainSelectedInstOperands,
     /*  152026 */     // GIR_Coverage, 53240,
     /*  152026 */     GIR_EraseRootFromParent_Done,
     /*  152027 */   // Label 2731: @152027
     /*  152027 */   GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(152060), // Rule ID 53241 //
     /*  152032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152043 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  152046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152058 */     GIR_RootConstrainSelectedInstOperands,
     /*  152059 */     // GIR_Coverage, 53241,
     /*  152059 */     GIR_EraseRootFromParent_Done,
     /*  152060 */   // Label 2732: @152060
     /*  152060 */   GIM_Reject,
     /*  152061 */ // Label 2706: @152061
     /*  152061 */ GIM_Reject,
     /*  152062 */ // Label 2521: @152062
     /*  152062 */ GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(152176),
     /*  152067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  152070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  152073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152085 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(152130), // Rule ID 47960 //
     /*  152090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152093 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  152093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  152096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  152100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  152105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  152107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  152110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  152115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152128 */     GIR_RootConstrainSelectedInstOperands,
     /*  152129 */     // GIR_Coverage, 47960,
     /*  152129 */     GIR_EraseRootFromParent_Done,
     /*  152130 */   // Label 2734: @152130
     /*  152130 */   GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(152175), // Rule ID 47961 //
     /*  152135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152138 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  152138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  152141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  152145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  152150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  152152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  152155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  152160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152173 */     GIR_RootConstrainSelectedInstOperands,
     /*  152174 */     // GIR_Coverage, 47961,
     /*  152174 */     GIR_EraseRootFromParent_Done,
     /*  152175 */   // Label 2735: @152175
     /*  152175 */   GIM_Reject,
     /*  152176 */ // Label 2733: @152176
     /*  152176 */ GIM_Reject,
     /*  152177 */ // Label 2522: @152177
     /*  152177 */ GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(152291),
     /*  152182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  152185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  152188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152200 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(152245), // Rule ID 47976 //
     /*  152205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152208 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  152208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  152211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  152215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  152220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  152222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  152225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  152230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152243 */     GIR_RootConstrainSelectedInstOperands,
     /*  152244 */     // GIR_Coverage, 47976,
     /*  152244 */     GIR_EraseRootFromParent_Done,
     /*  152245 */   // Label 2737: @152245
     /*  152245 */   GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(152290), // Rule ID 47977 //
     /*  152250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152253 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  152253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  152256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  152260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  152265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  152267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  152270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  152275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152288 */     GIR_RootConstrainSelectedInstOperands,
     /*  152289 */     // GIR_Coverage, 47977,
     /*  152289 */     GIR_EraseRootFromParent_Done,
     /*  152290 */   // Label 2738: @152290
     /*  152290 */   GIM_Reject,
     /*  152291 */ // Label 2736: @152291
     /*  152291 */ GIM_Reject,
     /*  152292 */ // Label 2523: @152292
     /*  152292 */ GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(152406),
     /*  152297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  152300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  152303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152315 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(152360), // Rule ID 47992 //
     /*  152320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152323 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  152323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  152326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  152330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  152335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  152337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  152340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  152345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152358 */     GIR_RootConstrainSelectedInstOperands,
     /*  152359 */     // GIR_Coverage, 47992,
     /*  152359 */     GIR_EraseRootFromParent_Done,
     /*  152360 */   // Label 2740: @152360
     /*  152360 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(152405), // Rule ID 47993 //
     /*  152365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152368 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  152368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  152371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  152375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  152380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  152382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  152385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  152390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152403 */     GIR_RootConstrainSelectedInstOperands,
     /*  152404 */     // GIR_Coverage, 47993,
     /*  152404 */     GIR_EraseRootFromParent_Done,
     /*  152405 */   // Label 2741: @152405
     /*  152405 */   GIM_Reject,
     /*  152406 */ // Label 2739: @152406
     /*  152406 */ GIM_Reject,
     /*  152407 */ // Label 2524: @152407
     /*  152407 */ GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(154017),
     /*  152412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152422 */   GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(152491), // Rule ID 53260 //
     /*  152427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  152438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152470 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  152473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152489 */     GIR_RootConstrainSelectedInstOperands,
     /*  152490 */     // GIR_Coverage, 53260,
     /*  152490 */     GIR_EraseRootFromParent_Done,
     /*  152491 */   // Label 2743: @152491
     /*  152491 */   GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(152560), // Rule ID 53261 //
     /*  152496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  152507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152511 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152539 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  152542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152558 */     GIR_RootConstrainSelectedInstOperands,
     /*  152559 */     // GIR_Coverage, 53261,
     /*  152559 */     GIR_EraseRootFromParent_Done,
     /*  152560 */   // Label 2744: @152560
     /*  152560 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(152629), // Rule ID 53262 //
     /*  152565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  152576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152580 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152608 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  152611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152627 */     GIR_RootConstrainSelectedInstOperands,
     /*  152628 */     // GIR_Coverage, 53262,
     /*  152628 */     GIR_EraseRootFromParent_Done,
     /*  152629 */   // Label 2745: @152629
     /*  152629 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(152698), // Rule ID 53263 //
     /*  152634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  152645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152675 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152677 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  152680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152696 */     GIR_RootConstrainSelectedInstOperands,
     /*  152697 */     // GIR_Coverage, 53263,
     /*  152697 */     GIR_EraseRootFromParent_Done,
     /*  152698 */   // Label 2746: @152698
     /*  152698 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(152764), // Rule ID 71839 //
     /*  152703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  152726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152745 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  152754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152762 */     GIR_RootConstrainSelectedInstOperands,
     /*  152763 */     // GIR_Coverage, 71839,
     /*  152763 */     GIR_EraseRootFromParent_Done,
     /*  152764 */   // Label 2747: @152764
     /*  152764 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(152830), // Rule ID 71840 //
     /*  152769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  152792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152811 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  152820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152828 */     GIR_RootConstrainSelectedInstOperands,
     /*  152829 */     // GIR_Coverage, 71840,
     /*  152829 */     GIR_EraseRootFromParent_Done,
     /*  152830 */   // Label 2748: @152830
     /*  152830 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(152896), // Rule ID 71837 //
     /*  152835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  152863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152877 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152894 */     GIR_RootConstrainSelectedInstOperands,
     /*  152895 */     // GIR_Coverage, 71837,
     /*  152895 */     GIR_EraseRootFromParent_Done,
     /*  152896 */   // Label 2749: @152896
     /*  152896 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(152962), // Rule ID 71838 //
     /*  152901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152916 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  152929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152943 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152960 */     GIR_RootConstrainSelectedInstOperands,
     /*  152961 */     // GIR_Coverage, 71838,
     /*  152961 */     GIR_EraseRootFromParent_Done,
     /*  152962 */   // Label 2750: @152962
     /*  152962 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(153031), // Rule ID 53264 //
     /*  152967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  153008 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153010 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  153023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153029 */     GIR_RootConstrainSelectedInstOperands,
     /*  153030 */     // GIR_Coverage, 53264,
     /*  153030 */     GIR_EraseRootFromParent_Done,
     /*  153031 */   // Label 2751: @153031
     /*  153031 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(153100), // Rule ID 53265 //
     /*  153036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  153077 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153079 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  153092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153098 */     GIR_RootConstrainSelectedInstOperands,
     /*  153099 */     // GIR_Coverage, 53265,
     /*  153099 */     GIR_EraseRootFromParent_Done,
     /*  153100 */   // Label 2752: @153100
     /*  153100 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(153169), // Rule ID 71833 //
     /*  153105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  153120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  153128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153132 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153136 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153148 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  153157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  153161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153167 */     GIR_RootConstrainSelectedInstOperands,
     /*  153168 */     // GIR_Coverage, 71833,
     /*  153168 */     GIR_EraseRootFromParent_Done,
     /*  153169 */   // Label 2753: @153169
     /*  153169 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(153238), // Rule ID 71834 //
     /*  153174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  153197 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153201 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153205 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153217 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  153226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  153230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153236 */     GIR_RootConstrainSelectedInstOperands,
     /*  153237 */     // GIR_Coverage, 71834,
     /*  153237 */     GIR_EraseRootFromParent_Done,
     /*  153238 */   // Label 2754: @153238
     /*  153238 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(153307), // Rule ID 71835 //
     /*  153243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  153258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  153266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153270 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153274 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153286 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  153289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  153295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  153299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153305 */     GIR_RootConstrainSelectedInstOperands,
     /*  153306 */     // GIR_Coverage, 71835,
     /*  153306 */     GIR_EraseRootFromParent_Done,
     /*  153307 */   // Label 2755: @153307
     /*  153307 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(153376), // Rule ID 71836 //
     /*  153312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  153335 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153339 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153348 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153355 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  153358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  153364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  153368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153374 */     GIR_RootConstrainSelectedInstOperands,
     /*  153375 */     // GIR_Coverage, 71836,
     /*  153375 */     GIR_EraseRootFromParent_Done,
     /*  153376 */   // Label 2756: @153376
     /*  153376 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(153445), // Rule ID 71841 //
     /*  153381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  153396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153408 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153424 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  153433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  153437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153443 */     GIR_RootConstrainSelectedInstOperands,
     /*  153444 */     // GIR_Coverage, 71841,
     /*  153444 */     GIR_EraseRootFromParent_Done,
     /*  153445 */   // Label 2757: @153445
     /*  153445 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(153514), // Rule ID 71842 //
     /*  153450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153477 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153491 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153493 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  153502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  153506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153512 */     GIR_RootConstrainSelectedInstOperands,
     /*  153513 */     // GIR_Coverage, 71842,
     /*  153513 */     GIR_EraseRootFromParent_Done,
     /*  153514 */   // Label 2758: @153514
     /*  153514 */   GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(153580), // Rule ID 71845 //
     /*  153519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153538 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  153546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  153554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153559 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153561 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  153570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153578 */     GIR_RootConstrainSelectedInstOperands,
     /*  153579 */     // GIR_Coverage, 71845,
     /*  153579 */     GIR_EraseRootFromParent_Done,
     /*  153580 */   // Label 2759: @153580
     /*  153580 */   GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(153646), // Rule ID 71846 //
     /*  153585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153604 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  153612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  153620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153627 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  153636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153644 */     GIR_RootConstrainSelectedInstOperands,
     /*  153645 */     // GIR_Coverage, 71846,
     /*  153645 */     GIR_EraseRootFromParent_Done,
     /*  153646 */   // Label 2760: @153646
     /*  153646 */   GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(153712), // Rule ID 71843 //
     /*  153651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153670 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  153683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  153691 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153693 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153710 */     GIR_RootConstrainSelectedInstOperands,
     /*  153711 */     // GIR_Coverage, 71843,
     /*  153711 */     GIR_EraseRootFromParent_Done,
     /*  153712 */   // Label 2761: @153712
     /*  153712 */   GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(153778), // Rule ID 71844 //
     /*  153717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  153749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  153757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153759 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153776 */     GIR_RootConstrainSelectedInstOperands,
     /*  153777 */     // GIR_Coverage, 71844,
     /*  153777 */     GIR_EraseRootFromParent_Done,
     /*  153778 */   // Label 2762: @153778
     /*  153778 */   GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(153821), // Rule ID 71859 //
     /*  153783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  153798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153804 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153819 */     GIR_RootConstrainSelectedInstOperands,
     /*  153820 */     // GIR_Coverage, 71859,
     /*  153820 */     GIR_EraseRootFromParent_Done,
     /*  153821 */   // Label 2763: @153821
     /*  153821 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(153864), // Rule ID 71860 //
     /*  153826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153847 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153862 */     GIR_RootConstrainSelectedInstOperands,
     /*  153863 */     // GIR_Coverage, 71860,
     /*  153863 */     GIR_EraseRootFromParent_Done,
     /*  153864 */   // Label 2764: @153864
     /*  153864 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(153907), // Rule ID 53270 //
     /*  153869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  153888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153890 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153905 */     GIR_RootConstrainSelectedInstOperands,
     /*  153906 */     // GIR_Coverage, 53270,
     /*  153906 */     GIR_EraseRootFromParent_Done,
     /*  153907 */   // Label 2765: @153907
     /*  153907 */   GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(153950), // Rule ID 53271 //
     /*  153912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153933 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153948 */     GIR_RootConstrainSelectedInstOperands,
     /*  153949 */     // GIR_Coverage, 53271,
     /*  153949 */     GIR_EraseRootFromParent_Done,
     /*  153950 */   // Label 2766: @153950
     /*  153950 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(153983), // Rule ID 53258 //
     /*  153955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153966 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  153969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153981 */     GIR_RootConstrainSelectedInstOperands,
     /*  153982 */     // GIR_Coverage, 53258,
     /*  153982 */     GIR_EraseRootFromParent_Done,
     /*  153983 */   // Label 2767: @153983
     /*  153983 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(154016), // Rule ID 53259 //
     /*  153988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153999 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  154002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  154006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154014 */     GIR_RootConstrainSelectedInstOperands,
     /*  154015 */     // GIR_Coverage, 53259,
     /*  154015 */     GIR_EraseRootFromParent_Done,
     /*  154016 */   // Label 2768: @154016
     /*  154016 */   GIM_Reject,
     /*  154017 */ // Label 2742: @154017
     /*  154017 */ GIM_Reject,
     /*  154018 */ // Label 2525: @154018
     /*  154018 */ GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(154132),
     /*  154023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  154026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  154029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  154033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  154037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  154041 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(154086), // Rule ID 47964 //
     /*  154046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154049 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  154049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  154052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  154056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  154061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  154063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  154066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  154071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  154073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154084 */     GIR_RootConstrainSelectedInstOperands,
     /*  154085 */     // GIR_Coverage, 47964,
     /*  154085 */     GIR_EraseRootFromParent_Done,
     /*  154086 */   // Label 2770: @154086
     /*  154086 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(154131), // Rule ID 47965 //
     /*  154091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154094 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  154094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  154097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  154101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  154106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  154108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  154111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  154116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  154118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154129 */     GIR_RootConstrainSelectedInstOperands,
     /*  154130 */     // GIR_Coverage, 47965,
     /*  154130 */     GIR_EraseRootFromParent_Done,
     /*  154131 */   // Label 2771: @154131
     /*  154131 */   GIM_Reject,
     /*  154132 */ // Label 2769: @154132
     /*  154132 */ GIM_Reject,
     /*  154133 */ // Label 2526: @154133
     /*  154133 */ GIM_Try, /*On fail goto*//*Label 2772*/ GIMT_Encode4(154247),
     /*  154138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  154141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  154144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  154148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  154152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  154156 */   GIM_Try, /*On fail goto*//*Label 2773*/ GIMT_Encode4(154201), // Rule ID 47980 //
     /*  154161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154164 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  154164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  154167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  154171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  154176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  154178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  154181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  154186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  154188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  154196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154199 */     GIR_RootConstrainSelectedInstOperands,
     /*  154200 */     // GIR_Coverage, 47980,
     /*  154200 */     GIR_EraseRootFromParent_Done,
     /*  154201 */   // Label 2773: @154201
     /*  154201 */   GIM_Try, /*On fail goto*//*Label 2774*/ GIMT_Encode4(154246), // Rule ID 47981 //
     /*  154206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154209 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  154209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  154212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  154216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  154221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  154223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  154226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  154231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  154233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  154241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154244 */     GIR_RootConstrainSelectedInstOperands,
     /*  154245 */     // GIR_Coverage, 47981,
     /*  154245 */     GIR_EraseRootFromParent_Done,
     /*  154246 */   // Label 2774: @154246
     /*  154246 */   GIM_Reject,
     /*  154247 */ // Label 2772: @154247
     /*  154247 */ GIM_Reject,
     /*  154248 */ // Label 2527: @154248
     /*  154248 */ GIM_Try, /*On fail goto*//*Label 2775*/ GIMT_Encode4(155858),
     /*  154253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154263 */   GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(154332), // Rule ID 53278 //
     /*  154268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  154279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154283 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154311 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  154314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154330 */     GIR_RootConstrainSelectedInstOperands,
     /*  154331 */     // GIR_Coverage, 53278,
     /*  154331 */     GIR_EraseRootFromParent_Done,
     /*  154332 */   // Label 2776: @154332
     /*  154332 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(154401), // Rule ID 53279 //
     /*  154337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  154348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154352 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154378 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154380 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  154383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154399 */     GIR_RootConstrainSelectedInstOperands,
     /*  154400 */     // GIR_Coverage, 53279,
     /*  154400 */     GIR_EraseRootFromParent_Done,
     /*  154401 */   // Label 2777: @154401
     /*  154401 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(154470), // Rule ID 53280 //
     /*  154406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  154417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154449 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  154452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154468 */     GIR_RootConstrainSelectedInstOperands,
     /*  154469 */     // GIR_Coverage, 53280,
     /*  154469 */     GIR_EraseRootFromParent_Done,
     /*  154470 */   // Label 2778: @154470
     /*  154470 */   GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(154539), // Rule ID 53281 //
     /*  154475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  154486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154512 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154516 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154518 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  154521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154537 */     GIR_RootConstrainSelectedInstOperands,
     /*  154538 */     // GIR_Coverage, 53281,
     /*  154538 */     GIR_EraseRootFromParent_Done,
     /*  154539 */   // Label 2779: @154539
     /*  154539 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(154605), // Rule ID 71867 //
     /*  154544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154559 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154571 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154586 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154603 */     GIR_RootConstrainSelectedInstOperands,
     /*  154604 */     // GIR_Coverage, 71867,
     /*  154604 */     GIR_EraseRootFromParent_Done,
     /*  154605 */   // Label 2780: @154605
     /*  154605 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(154671), // Rule ID 71868 //
     /*  154610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154652 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154669 */     GIR_RootConstrainSelectedInstOperands,
     /*  154670 */     // GIR_Coverage, 71868,
     /*  154670 */     GIR_EraseRootFromParent_Done,
     /*  154671 */   // Label 2781: @154671
     /*  154671 */   GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(154737), // Rule ID 71865 //
     /*  154676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154691 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154718 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154735 */     GIR_RootConstrainSelectedInstOperands,
     /*  154736 */     // GIR_Coverage, 71865,
     /*  154736 */     GIR_EraseRootFromParent_Done,
     /*  154737 */   // Label 2782: @154737
     /*  154737 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(154803), // Rule ID 71866 //
     /*  154742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154784 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154801 */     GIR_RootConstrainSelectedInstOperands,
     /*  154802 */     // GIR_Coverage, 71866,
     /*  154802 */     GIR_EraseRootFromParent_Done,
     /*  154803 */   // Label 2783: @154803
     /*  154803 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(154872), // Rule ID 53282 //
     /*  154808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154849 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154851 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154870 */     GIR_RootConstrainSelectedInstOperands,
     /*  154871 */     // GIR_Coverage, 53282,
     /*  154871 */     GIR_EraseRootFromParent_Done,
     /*  154872 */   // Label 2784: @154872
     /*  154872 */   GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(154941), // Rule ID 53283 //
     /*  154877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154892 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154920 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154939 */     GIR_RootConstrainSelectedInstOperands,
     /*  154940 */     // GIR_Coverage, 53283,
     /*  154940 */     GIR_EraseRootFromParent_Done,
     /*  154941 */   // Label 2785: @154941
     /*  154941 */   GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(155010), // Rule ID 71861 //
     /*  154946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  154961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  154969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154973 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154977 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154982 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154989 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  154992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  155002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155008 */     GIR_RootConstrainSelectedInstOperands,
     /*  155009 */     // GIR_Coverage, 71861,
     /*  155009 */     GIR_EraseRootFromParent_Done,
     /*  155010 */   // Label 2786: @155010
     /*  155010 */   GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(155079), // Rule ID 71862 //
     /*  155015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  155034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  155038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155042 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155046 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155051 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155056 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155058 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  155067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  155071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155077 */     GIR_RootConstrainSelectedInstOperands,
     /*  155078 */     // GIR_Coverage, 71862,
     /*  155078 */     GIR_EraseRootFromParent_Done,
     /*  155079 */   // Label 2787: @155079
     /*  155079 */   GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(155148), // Rule ID 71863 //
     /*  155084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  155099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  155103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  155107 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155111 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155125 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155127 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  155130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  155136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  155140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155146 */     GIR_RootConstrainSelectedInstOperands,
     /*  155147 */     // GIR_Coverage, 71863,
     /*  155147 */     GIR_EraseRootFromParent_Done,
     /*  155148 */   // Label 2788: @155148
     /*  155148 */   GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(155217), // Rule ID 71864 //
     /*  155153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  155172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  155176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155180 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155189 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155196 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  155199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  155205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  155209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155215 */     GIR_RootConstrainSelectedInstOperands,
     /*  155216 */     // GIR_Coverage, 71864,
     /*  155216 */     GIR_EraseRootFromParent_Done,
     /*  155217 */   // Label 2789: @155217
     /*  155217 */   GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(155286), // Rule ID 71869 //
     /*  155222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  155237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  155241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  155245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155249 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155253 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155263 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155265 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  155268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  155274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  155278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155284 */     GIR_RootConstrainSelectedInstOperands,
     /*  155285 */     // GIR_Coverage, 71869,
     /*  155285 */     GIR_EraseRootFromParent_Done,
     /*  155286 */   // Label 2790: @155286
     /*  155286 */   GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(155355), // Rule ID 71870 //
     /*  155291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  155310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  155314 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155318 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155327 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155334 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  155337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  155343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  155347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155353 */     GIR_RootConstrainSelectedInstOperands,
     /*  155354 */     // GIR_Coverage, 71870,
     /*  155354 */     GIR_EraseRootFromParent_Done,
     /*  155355 */   // Label 2791: @155355
     /*  155355 */   GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(155421), // Rule ID 71873 //
     /*  155360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  155375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155379 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  155387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  155395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155402 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  155405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  155411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  155413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155419 */     GIR_RootConstrainSelectedInstOperands,
     /*  155420 */     // GIR_Coverage, 71873,
     /*  155420 */     GIR_EraseRootFromParent_Done,
     /*  155421 */   // Label 2792: @155421
     /*  155421 */   GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(155487), // Rule ID 71874 //
     /*  155426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  155441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  155453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155468 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  155471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  155477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  155479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155485 */     GIR_RootConstrainSelectedInstOperands,
     /*  155486 */     // GIR_Coverage, 71874,
     /*  155486 */     GIR_EraseRootFromParent_Done,
     /*  155487 */   // Label 2793: @155487
     /*  155487 */   GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(155553), // Rule ID 71871 //
     /*  155492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  155507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155511 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  155532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155534 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  155537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  155545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155551 */     GIR_RootConstrainSelectedInstOperands,
     /*  155552 */     // GIR_Coverage, 71871,
     /*  155552 */     GIR_EraseRootFromParent_Done,
     /*  155553 */   // Label 2794: @155553
     /*  155553 */   GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(155619), // Rule ID 71872 //
     /*  155558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  155573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155598 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155600 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  155603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  155611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155617 */     GIR_RootConstrainSelectedInstOperands,
     /*  155618 */     // GIR_Coverage, 71872,
     /*  155618 */     GIR_EraseRootFromParent_Done,
     /*  155619 */   // Label 2795: @155619
     /*  155619 */   GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(155662), // Rule ID 71887 //
     /*  155624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  155639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155645 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155660 */     GIR_RootConstrainSelectedInstOperands,
     /*  155661 */     // GIR_Coverage, 71887,
     /*  155661 */     GIR_EraseRootFromParent_Done,
     /*  155662 */   // Label 2796: @155662
     /*  155662 */   GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(155705), // Rule ID 71888 //
     /*  155667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155688 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155703 */     GIR_RootConstrainSelectedInstOperands,
     /*  155704 */     // GIR_Coverage, 71888,
     /*  155704 */     GIR_EraseRootFromParent_Done,
     /*  155705 */   // Label 2797: @155705
     /*  155705 */   GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(155748), // Rule ID 53288 //
     /*  155710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  155729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155731 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155746 */     GIR_RootConstrainSelectedInstOperands,
     /*  155747 */     // GIR_Coverage, 53288,
     /*  155747 */     GIR_EraseRootFromParent_Done,
     /*  155748 */   // Label 2798: @155748
     /*  155748 */   GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(155791), // Rule ID 53289 //
     /*  155753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155774 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155789 */     GIR_RootConstrainSelectedInstOperands,
     /*  155790 */     // GIR_Coverage, 53289,
     /*  155790 */     GIR_EraseRootFromParent_Done,
     /*  155791 */   // Label 2799: @155791
     /*  155791 */   GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(155824), // Rule ID 53276 //
     /*  155796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155807 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  155810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155822 */     GIR_RootConstrainSelectedInstOperands,
     /*  155823 */     // GIR_Coverage, 53276,
     /*  155823 */     GIR_EraseRootFromParent_Done,
     /*  155824 */   // Label 2800: @155824
     /*  155824 */   GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(155857), // Rule ID 53277 //
     /*  155829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155840 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  155843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155855 */     GIR_RootConstrainSelectedInstOperands,
     /*  155856 */     // GIR_Coverage, 53277,
     /*  155856 */     GIR_EraseRootFromParent_Done,
     /*  155857 */   // Label 2801: @155857
     /*  155857 */   GIM_Reject,
     /*  155858 */ // Label 2775: @155858
     /*  155858 */ GIM_Reject,
     /*  155859 */ // Label 2528: @155859
     /*  155859 */ GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(155973),
     /*  155864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  155867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  155870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155882 */   GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(155927), // Rule ID 47968 //
     /*  155887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155890 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  155890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  155893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  155897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  155902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  155904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  155907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  155912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155925 */     GIR_RootConstrainSelectedInstOperands,
     /*  155926 */     // GIR_Coverage, 47968,
     /*  155926 */     GIR_EraseRootFromParent_Done,
     /*  155927 */   // Label 2803: @155927
     /*  155927 */   GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(155972), // Rule ID 47969 //
     /*  155932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155935 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  155935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  155938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  155942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  155947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  155949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  155952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  155957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155970 */     GIR_RootConstrainSelectedInstOperands,
     /*  155971 */     // GIR_Coverage, 47969,
     /*  155971 */     GIR_EraseRootFromParent_Done,
     /*  155972 */   // Label 2804: @155972
     /*  155972 */   GIM_Reject,
     /*  155973 */ // Label 2802: @155973
     /*  155973 */ GIM_Reject,
     /*  155974 */ // Label 2529: @155974
     /*  155974 */ GIM_Reject,
     /*  155975 */ // Label 10: @155975
     /*  155975 */ GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(156035),
     /*  155980 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  155984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155988 */   GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(156011), // Rule ID 116 //
     /*  155993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  155996 */     // MIs[0] Operand 1
     /*  155996 */     // No operand predicates
     /*  155996 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i64] })
     /*  155996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  155999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156001 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  156006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  156009 */     GIR_RootConstrainSelectedInstOperands,
     /*  156010 */     // GIR_Coverage, 116,
     /*  156010 */     GIR_EraseRootFromParent_Done,
     /*  156011 */   // Label 2806: @156011
     /*  156011 */   GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(156034), // Rule ID 117 //
     /*  156016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  156019 */     // MIs[0] Operand 1
     /*  156019 */     // No operand predicates
     /*  156019 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i32] })
     /*  156019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  156022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156024 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  156029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  156032 */     GIR_RootConstrainSelectedInstOperands,
     /*  156033 */     // GIR_Coverage, 117,
     /*  156033 */     GIR_EraseRootFromParent_Done,
     /*  156034 */   // Label 2807: @156034
     /*  156034 */   GIM_Reject,
     /*  156035 */ // Label 2805: @156035
     /*  156035 */ GIM_Reject,
     /*  156036 */ // Label 11: @156036
     /*  156036 */ GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(156096),
     /*  156041 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  156044 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  156047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  156053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156061 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156065 */   GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(156080), // Rule ID 56 //
     /*  156070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  156073 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  156073 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  156078 */     GIR_RootConstrainSelectedInstOperands,
     /*  156079 */     // GIR_Coverage, 56,
     /*  156079 */     GIR_Done,
     /*  156080 */   // Label 2809: @156080
     /*  156080 */   GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(156095), // Rule ID 57 //
     /*  156085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  156088 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  156088 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  156093 */     GIR_RootConstrainSelectedInstOperands,
     /*  156094 */     // GIR_Coverage, 57,
     /*  156094 */     GIR_Done,
     /*  156095 */   // Label 2810: @156095
     /*  156095 */   GIM_Reject,
     /*  156096 */ // Label 2808: @156096
     /*  156096 */ GIM_Reject,
     /*  156097 */ // Label 12: @156097
     /*  156097 */ GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(156187),
     /*  156102 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  156105 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  156108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  156114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156126 */   GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(156141), // Rule ID 54 //
     /*  156131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  156134 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  156134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  156139 */     GIR_RootConstrainSelectedInstOperands,
     /*  156140 */     // GIR_Coverage, 54,
     /*  156140 */     GIR_Done,
     /*  156141 */   // Label 2812: @156141
     /*  156141 */   GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(156156), // Rule ID 55 //
     /*  156146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  156149 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  156149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  156154 */     GIR_RootConstrainSelectedInstOperands,
     /*  156155 */     // GIR_Coverage, 55,
     /*  156155 */     GIR_Done,
     /*  156156 */   // Label 2813: @156156
     /*  156156 */   GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(156171), // Rule ID 2404 //
     /*  156161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0),
     /*  156164 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  156164 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  156169 */     GIR_RootConstrainSelectedInstOperands,
     /*  156170 */     // GIR_Coverage, 2404,
     /*  156170 */     GIR_Done,
     /*  156171 */   // Label 2814: @156171
     /*  156171 */   GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(156186), // Rule ID 2405 //
     /*  156176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1),
     /*  156179 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  156179 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  156184 */     GIR_RootConstrainSelectedInstOperands,
     /*  156185 */     // GIR_Coverage, 2405,
     /*  156185 */     GIR_Done,
     /*  156186 */   // Label 2815: @156186
     /*  156186 */   GIM_Reject,
     /*  156187 */ // Label 2811: @156187
     /*  156187 */ GIM_Reject,
     /*  156188 */ // Label 13: @156188
     /*  156188 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2818*/ GIMT_Encode4(156554),
     /*  156199 */ /*GILLT_s32*//*Label 2816*/ GIMT_Encode4(156207),
     /*  156203 */ /*GILLT_s64*//*Label 2817*/ GIMT_Encode4(156444),
     /*  156207 */ // Label 2816: @156207
     /*  156207 */ GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(156443),
     /*  156212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156215 */   GIM_Try, /*On fail goto*//*Label 2820*/ GIMT_Encode4(156238), // Rule ID 1447 //
     /*  156220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  156223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156231 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  156231 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  156236 */     GIR_RootConstrainSelectedInstOperands,
     /*  156237 */     // GIR_Coverage, 1447,
     /*  156237 */     GIR_Done,
     /*  156238 */   // Label 2820: @156238
     /*  156238 */   GIM_Try, /*On fail goto*//*Label 2821*/ GIMT_Encode4(156261), // Rule ID 1448 //
     /*  156243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  156246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156254 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  156254 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  156259 */     GIR_RootConstrainSelectedInstOperands,
     /*  156260 */     // GIR_Coverage, 1448,
     /*  156260 */     GIR_Done,
     /*  156261 */   // Label 2821: @156261
     /*  156261 */   GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(156284), // Rule ID 1449 //
     /*  156266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  156269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156277 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  156277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  156282 */     GIR_RootConstrainSelectedInstOperands,
     /*  156283 */     // GIR_Coverage, 1449,
     /*  156283 */     GIR_Done,
     /*  156284 */   // Label 2822: @156284
     /*  156284 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(156307), // Rule ID 1450 //
     /*  156289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  156292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156300 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  156300 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  156305 */     GIR_RootConstrainSelectedInstOperands,
     /*  156306 */     // GIR_Coverage, 1450,
     /*  156306 */     GIR_Done,
     /*  156307 */   // Label 2823: @156307
     /*  156307 */   GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(156345), // Rule ID 1451 //
     /*  156312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  156315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156323 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  156323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  156326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  156328 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  156334 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156339 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156344 */     // GIR_Coverage, 1451,
     /*  156344 */     GIR_EraseRootFromParent_Done,
     /*  156345 */   // Label 2824: @156345
     /*  156345 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(156383), // Rule ID 1452 //
     /*  156350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  156353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156361 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  156361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  156364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  156366 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  156372 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156377 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156382 */     // GIR_Coverage, 1452,
     /*  156382 */     GIR_EraseRootFromParent_Done,
     /*  156383 */   // Label 2825: @156383
     /*  156383 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(156442), // Rule ID 1453 //
     /*  156388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  156391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156399 */     // (bitconvert:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), FPR32INX:{ *:[f32] }:$rs1, sub_32:{ *:[i32] })
     /*  156399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  156402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  156416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  156418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  156426 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156431 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156436 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156441 */     // GIR_Coverage, 1453,
     /*  156441 */     GIR_EraseRootFromParent_Done,
     /*  156442 */   // Label 2826: @156442
     /*  156442 */   GIM_Reject,
     /*  156443 */ // Label 2819: @156443
     /*  156443 */ GIM_Reject,
     /*  156444 */ // Label 2817: @156444
     /*  156444 */ GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(156553),
     /*  156449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156452 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(156475), // Rule ID 1900 //
     /*  156457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  156460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156468 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FMV_D_X:{ *:[f64] } GPR:{ *:[i64] }:$rs1)
     /*  156468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_D_X),
     /*  156473 */     GIR_RootConstrainSelectedInstOperands,
     /*  156474 */     // GIR_Coverage, 1900,
     /*  156474 */     GIR_Done,
     /*  156475 */   // Label 2828: @156475
     /*  156475 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(156498), // Rule ID 1901 //
     /*  156480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  156483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156491 */     // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMV_X_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)
     /*  156491 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_D),
     /*  156496 */     GIR_RootConstrainSelectedInstOperands,
     /*  156497 */     // GIR_Coverage, 1901,
     /*  156497 */     GIR_Done,
     /*  156498 */   // Label 2829: @156498
     /*  156498 */   GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(156525), // Rule ID 1928 //
     /*  156503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  156506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156514 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i32] })
     /*  156514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  156519 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156524 */     // GIR_Coverage, 1928,
     /*  156524 */     GIR_Done,
     /*  156525 */   // Label 2830: @156525
     /*  156525 */   GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(156552), // Rule ID 1929 //
     /*  156530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  156533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156541 */     // (bitconvert:{ *:[i64] } GPR:{ *:[f64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[i64] } GPR:{ *:[f64] }:$rs1, GPR:{ *:[i32] })
     /*  156541 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  156546 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156551 */     // GIR_Coverage, 1929,
     /*  156551 */     GIR_Done,
     /*  156552 */   // Label 2831: @156552
     /*  156552 */   GIM_Reject,
     /*  156553 */ // Label 2827: @156553
     /*  156553 */ GIM_Reject,
     /*  156554 */ // Label 2818: @156554
     /*  156554 */ GIM_Reject,
     /*  156555 */ // Label 14: @156555
     /*  156555 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2835*/ GIMT_Encode4(156752),
     /*  156566 */ /*GILLT_s16*//*Label 2832*/ GIMT_Encode4(156578),
     /*  156570 */ /*GILLT_s32*//*Label 2833*/ GIMT_Encode4(156636),
     /*  156574 */ /*GILLT_s64*//*Label 2834*/ GIMT_Encode4(156694),
     /*  156578 */ // Label 2832: @156578
     /*  156578 */ GIM_Try, /*On fail goto*//*Label 2836*/ GIMT_Encode4(156635),
     /*  156583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156594 */   GIM_Try, /*On fail goto*//*Label 2837*/ GIMT_Encode4(156614), // Rule ID 2436 //
     /*  156599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  156602 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /*  156602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  156605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156612 */     GIR_RootConstrainSelectedInstOperands,
     /*  156613 */     // GIR_Coverage, 2436,
     /*  156613 */     GIR_EraseRootFromParent_Done,
     /*  156614 */   // Label 2837: @156614
     /*  156614 */   GIM_Try, /*On fail goto*//*Label 2838*/ GIMT_Encode4(156634), // Rule ID 2437 //
     /*  156619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  156622 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /*  156622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  156625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156632 */     GIR_RootConstrainSelectedInstOperands,
     /*  156633 */     // GIR_Coverage, 2437,
     /*  156633 */     GIR_EraseRootFromParent_Done,
     /*  156634 */   // Label 2838: @156634
     /*  156634 */   GIM_Reject,
     /*  156635 */ // Label 2836: @156635
     /*  156635 */ GIM_Reject,
     /*  156636 */ // Label 2833: @156636
     /*  156636 */ GIM_Try, /*On fail goto*//*Label 2839*/ GIMT_Encode4(156693),
     /*  156641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156652 */   GIM_Try, /*On fail goto*//*Label 2840*/ GIMT_Encode4(156672), // Rule ID 2354 //
     /*  156657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  156660 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /*  156660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156670 */     GIR_RootConstrainSelectedInstOperands,
     /*  156671 */     // GIR_Coverage, 2354,
     /*  156671 */     GIR_EraseRootFromParent_Done,
     /*  156672 */   // Label 2840: @156672
     /*  156672 */   GIM_Try, /*On fail goto*//*Label 2841*/ GIMT_Encode4(156692), // Rule ID 2355 //
     /*  156677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  156680 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /*  156680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156690 */     GIR_RootConstrainSelectedInstOperands,
     /*  156691 */     // GIR_Coverage, 2355,
     /*  156691 */     GIR_EraseRootFromParent_Done,
     /*  156692 */   // Label 2841: @156692
     /*  156692 */   GIM_Reject,
     /*  156693 */ // Label 2839: @156693
     /*  156693 */ GIM_Reject,
     /*  156694 */ // Label 2834: @156694
     /*  156694 */ GIM_Try, /*On fail goto*//*Label 2842*/ GIMT_Encode4(156751),
     /*  156699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156710 */   GIM_Try, /*On fail goto*//*Label 2843*/ GIMT_Encode4(156730), // Rule ID 2394 //
     /*  156715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  156718 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /*  156718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156728 */     GIR_RootConstrainSelectedInstOperands,
     /*  156729 */     // GIR_Coverage, 2394,
     /*  156729 */     GIR_EraseRootFromParent_Done,
     /*  156730 */   // Label 2843: @156730
     /*  156730 */   GIM_Try, /*On fail goto*//*Label 2844*/ GIMT_Encode4(156750), // Rule ID 2395 //
     /*  156735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  156738 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /*  156738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156748 */     GIR_RootConstrainSelectedInstOperands,
     /*  156749 */     // GIR_Coverage, 2395,
     /*  156749 */     GIR_EraseRootFromParent_Done,
     /*  156750 */   // Label 2844: @156750
     /*  156750 */   GIM_Reject,
     /*  156751 */ // Label 2842: @156751
     /*  156751 */ GIM_Reject,
     /*  156752 */ // Label 2835: @156752
     /*  156752 */ GIM_Reject,
     /*  156753 */ // Label 15: @156753
     /*  156753 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2848*/ GIMT_Encode4(156950),
     /*  156764 */ /*GILLT_s16*//*Label 2845*/ GIMT_Encode4(156776),
     /*  156768 */ /*GILLT_s32*//*Label 2846*/ GIMT_Encode4(156834),
     /*  156772 */ /*GILLT_s64*//*Label 2847*/ GIMT_Encode4(156892),
     /*  156776 */ // Label 2845: @156776
     /*  156776 */ GIM_Try, /*On fail goto*//*Label 2849*/ GIMT_Encode4(156833),
     /*  156781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156792 */   GIM_Try, /*On fail goto*//*Label 2850*/ GIMT_Encode4(156812), // Rule ID 2420 //
     /*  156797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  156800 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /*  156800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  156803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156810 */     GIR_RootConstrainSelectedInstOperands,
     /*  156811 */     // GIR_Coverage, 2420,
     /*  156811 */     GIR_EraseRootFromParent_Done,
     /*  156812 */   // Label 2850: @156812
     /*  156812 */   GIM_Try, /*On fail goto*//*Label 2851*/ GIMT_Encode4(156832), // Rule ID 2421 //
     /*  156817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  156820 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /*  156820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  156823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156830 */     GIR_RootConstrainSelectedInstOperands,
     /*  156831 */     // GIR_Coverage, 2421,
     /*  156831 */     GIR_EraseRootFromParent_Done,
     /*  156832 */   // Label 2851: @156832
     /*  156832 */   GIM_Reject,
     /*  156833 */ // Label 2849: @156833
     /*  156833 */ GIM_Reject,
     /*  156834 */ // Label 2846: @156834
     /*  156834 */ GIM_Try, /*On fail goto*//*Label 2852*/ GIMT_Encode4(156891),
     /*  156839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156850 */   GIM_Try, /*On fail goto*//*Label 2853*/ GIMT_Encode4(156870), // Rule ID 2338 //
     /*  156855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  156858 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /*  156858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156868 */     GIR_RootConstrainSelectedInstOperands,
     /*  156869 */     // GIR_Coverage, 2338,
     /*  156869 */     GIR_EraseRootFromParent_Done,
     /*  156870 */   // Label 2853: @156870
     /*  156870 */   GIM_Try, /*On fail goto*//*Label 2854*/ GIMT_Encode4(156890), // Rule ID 2339 //
     /*  156875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  156878 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /*  156878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156888 */     GIR_RootConstrainSelectedInstOperands,
     /*  156889 */     // GIR_Coverage, 2339,
     /*  156889 */     GIR_EraseRootFromParent_Done,
     /*  156890 */   // Label 2854: @156890
     /*  156890 */   GIM_Reject,
     /*  156891 */ // Label 2852: @156891
     /*  156891 */ GIM_Reject,
     /*  156892 */ // Label 2847: @156892
     /*  156892 */ GIM_Try, /*On fail goto*//*Label 2855*/ GIMT_Encode4(156949),
     /*  156897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156908 */   GIM_Try, /*On fail goto*//*Label 2856*/ GIMT_Encode4(156928), // Rule ID 2378 //
     /*  156913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  156916 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /*  156916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156926 */     GIR_RootConstrainSelectedInstOperands,
     /*  156927 */     // GIR_Coverage, 2378,
     /*  156927 */     GIR_EraseRootFromParent_Done,
     /*  156928 */   // Label 2856: @156928
     /*  156928 */   GIM_Try, /*On fail goto*//*Label 2857*/ GIMT_Encode4(156948), // Rule ID 2379 //
     /*  156933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  156936 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /*  156936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156946 */     GIR_RootConstrainSelectedInstOperands,
     /*  156947 */     // GIR_Coverage, 2379,
     /*  156947 */     GIR_EraseRootFromParent_Done,
     /*  156948 */   // Label 2857: @156948
     /*  156948 */   GIM_Reject,
     /*  156949 */ // Label 2855: @156949
     /*  156949 */ GIM_Reject,
     /*  156950 */ // Label 2848: @156950
     /*  156950 */ GIM_Reject,
     /*  156951 */ // Label 16: @156951
     /*  156951 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2860*/ GIMT_Encode4(157530),
     /*  156962 */ /*GILLT_s32*//*Label 2858*/ GIMT_Encode4(156970),
     /*  156966 */ /*GILLT_s64*//*Label 2859*/ GIMT_Encode4(157343),
     /*  156970 */ // Label 2858: @156970
     /*  156970 */ GIM_Try, /*On fail goto*//*Label 2861*/ GIMT_Encode4(157001), // Rule ID 1466 //
     /*  156975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  156978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156989 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  156989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  156992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156994 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156999 */   GIR_RootConstrainSelectedInstOperands,
     /*  157000 */   // GIR_Coverage, 1466,
     /*  157000 */   GIR_EraseRootFromParent_Done,
     /*  157001 */ // Label 2861: @157001
     /*  157001 */ GIM_Try, /*On fail goto*//*Label 2862*/ GIMT_Encode4(157032), // Rule ID 1467 //
     /*  157006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  157009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  157012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157020 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  157020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  157023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157025 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157030 */   GIR_RootConstrainSelectedInstOperands,
     /*  157031 */   // GIR_Coverage, 1467,
     /*  157031 */   GIR_EraseRootFromParent_Done,
     /*  157032 */ // Label 2862: @157032
     /*  157032 */ GIM_Try, /*On fail goto*//*Label 2863*/ GIMT_Encode4(157063), // Rule ID 1492 //
     /*  157037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  157040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  157043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  157051 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  157051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  157054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157056 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157061 */   GIR_RootConstrainSelectedInstOperands,
     /*  157062 */   // GIR_Coverage, 1492,
     /*  157062 */   GIR_EraseRootFromParent_Done,
     /*  157063 */ // Label 2863: @157063
     /*  157063 */ GIM_Try, /*On fail goto*//*Label 2864*/ GIMT_Encode4(157094), // Rule ID 1493 //
     /*  157068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  157071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  157074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  157082 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  157082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  157085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157087 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157092 */   GIR_RootConstrainSelectedInstOperands,
     /*  157093 */   // GIR_Coverage, 1493,
     /*  157093 */   GIR_EraseRootFromParent_Done,
     /*  157094 */ // Label 2864: @157094
     /*  157094 */ GIM_Try, /*On fail goto*//*Label 2865*/ GIMT_Encode4(157125), // Rule ID 1860 //
     /*  157099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /*  157102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157113 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  157116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157118 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157123 */   GIR_RootConstrainSelectedInstOperands,
     /*  157124 */   // GIR_Coverage, 1860,
     /*  157124 */   GIR_EraseRootFromParent_Done,
     /*  157125 */ // Label 2865: @157125
     /*  157125 */ GIM_Try, /*On fail goto*//*Label 2866*/ GIMT_Encode4(157156), // Rule ID 1861 //
     /*  157130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /*  157133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157144 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  157144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  157147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157149 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157154 */   GIR_RootConstrainSelectedInstOperands,
     /*  157155 */   // GIR_Coverage, 1861,
     /*  157155 */   GIR_EraseRootFromParent_Done,
     /*  157156 */ // Label 2866: @157156
     /*  157156 */ GIM_Try, /*On fail goto*//*Label 2867*/ GIMT_Encode4(157187), // Rule ID 1886 //
     /*  157161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /*  157164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  157175 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  157178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157180 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157185 */   GIR_RootConstrainSelectedInstOperands,
     /*  157186 */   // GIR_Coverage, 1886,
     /*  157186 */   GIR_EraseRootFromParent_Done,
     /*  157187 */ // Label 2867: @157187
     /*  157187 */ GIM_Try, /*On fail goto*//*Label 2868*/ GIMT_Encode4(157218), // Rule ID 1887 //
     /*  157192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /*  157195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  157206 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  157206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  157209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157211 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157216 */   GIR_RootConstrainSelectedInstOperands,
     /*  157217 */   // GIR_Coverage, 1887,
     /*  157217 */   GIR_EraseRootFromParent_Done,
     /*  157218 */ // Label 2868: @157218
     /*  157218 */ GIM_Try, /*On fail goto*//*Label 2869*/ GIMT_Encode4(157249), // Rule ID 2202 //
     /*  157223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /*  157226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157237 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  157237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  157240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157242 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157247 */   GIR_RootConstrainSelectedInstOperands,
     /*  157248 */   // GIR_Coverage, 2202,
     /*  157248 */   GIR_EraseRootFromParent_Done,
     /*  157249 */ // Label 2869: @157249
     /*  157249 */ GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(157280), // Rule ID 2203 //
     /*  157254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /*  157257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157268 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  157268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  157271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157273 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157278 */   GIR_RootConstrainSelectedInstOperands,
     /*  157279 */   // GIR_Coverage, 2203,
     /*  157279 */   GIR_EraseRootFromParent_Done,
     /*  157280 */ // Label 2870: @157280
     /*  157280 */ GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(157311), // Rule ID 2228 //
     /*  157285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /*  157288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  157299 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  157299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  157302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157304 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157309 */   GIR_RootConstrainSelectedInstOperands,
     /*  157310 */   // GIR_Coverage, 2228,
     /*  157310 */   GIR_EraseRootFromParent_Done,
     /*  157311 */ // Label 2871: @157311
     /*  157311 */ GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(157342), // Rule ID 2229 //
     /*  157316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /*  157319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  157330 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  157330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  157333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157335 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157340 */   GIR_RootConstrainSelectedInstOperands,
     /*  157341 */   // GIR_Coverage, 2229,
     /*  157341 */   GIR_EraseRootFromParent_Done,
     /*  157342 */ // Label 2872: @157342
     /*  157342 */ GIM_Reject,
     /*  157343 */ // Label 2859: @157343
     /*  157343 */ GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(157374), // Rule ID 1519 //
     /*  157348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  157351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  157354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157362 */   // (lrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  157362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  157365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157367 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157372 */   GIR_RootConstrainSelectedInstOperands,
     /*  157373 */   // GIR_Coverage, 1519,
     /*  157373 */   GIR_EraseRootFromParent_Done,
     /*  157374 */ // Label 2873: @157374
     /*  157374 */ GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(157405), // Rule ID 1547 //
     /*  157379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  157382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  157385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  157393 */   // (lrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  157393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  157396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157398 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157403 */   GIR_RootConstrainSelectedInstOperands,
     /*  157404 */   // GIR_Coverage, 1547,
     /*  157404 */   GIR_EraseRootFromParent_Done,
     /*  157405 */ // Label 2874: @157405
     /*  157405 */ GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(157436), // Rule ID 1917 //
     /*  157410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  157413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157424 */   // (lrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  157427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157429 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157434 */   GIR_RootConstrainSelectedInstOperands,
     /*  157435 */   // GIR_Coverage, 1917,
     /*  157435 */   GIR_EraseRootFromParent_Done,
     /*  157436 */ // Label 2875: @157436
     /*  157436 */ GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(157467), // Rule ID 1945 //
     /*  157441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  157444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157455 */   // (lrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  157458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157460 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157465 */   GIR_RootConstrainSelectedInstOperands,
     /*  157466 */   // GIR_Coverage, 1945,
     /*  157466 */   GIR_EraseRootFromParent_Done,
     /*  157467 */ // Label 2876: @157467
     /*  157467 */ GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(157498), // Rule ID 2253 //
     /*  157472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  157475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157486 */   // (lrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  157486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  157489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157491 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157496 */   GIR_RootConstrainSelectedInstOperands,
     /*  157497 */   // GIR_Coverage, 2253,
     /*  157497 */   GIR_EraseRootFromParent_Done,
     /*  157498 */ // Label 2877: @157498
     /*  157498 */ GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(157529), // Rule ID 2279 //
     /*  157503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  157506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  157517 */   // (lrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  157517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  157520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157522 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157527 */   GIR_RootConstrainSelectedInstOperands,
     /*  157528 */   // GIR_Coverage, 2279,
     /*  157528 */   GIR_EraseRootFromParent_Done,
     /*  157529 */ // Label 2878: @157529
     /*  157529 */ GIM_Reject,
     /*  157530 */ // Label 2860: @157530
     /*  157530 */ GIM_Reject,
     /*  157531 */ // Label 17: @157531
     /*  157531 */ GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(157740),
     /*  157536 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  157539 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2883*/ GIMT_Encode4(157739),
     /*  157550 */   /*GILLT_s16*//*Label 2880*/ GIMT_Encode4(157562),
     /*  157554 */   /*GILLT_s32*//*Label 2881*/ GIMT_Encode4(157621),
     /*  157558 */   /*GILLT_s64*//*Label 2882*/ GIMT_Encode4(157680),
     /*  157562 */   // Label 2880: @157562
     /*  157562 */   GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(157620),
     /*  157567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157571 */     GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(157595), // Rule ID 2255 //
     /*  157576 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  157579 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157583 */       // (llrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  157583 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  157586 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157588 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157590 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157593 */       GIR_RootConstrainSelectedInstOperands,
     /*  157594 */       // GIR_Coverage, 2255,
     /*  157594 */       GIR_EraseRootFromParent_Done,
     /*  157595 */     // Label 2885: @157595
     /*  157595 */     GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(157619), // Rule ID 2281 //
     /*  157600 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  157603 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  157607 */       // (llrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  157607 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  157610 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157612 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157614 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157617 */       GIR_RootConstrainSelectedInstOperands,
     /*  157618 */       // GIR_Coverage, 2281,
     /*  157618 */       GIR_EraseRootFromParent_Done,
     /*  157619 */     // Label 2886: @157619
     /*  157619 */     GIM_Reject,
     /*  157620 */   // Label 2884: @157620
     /*  157620 */   GIM_Reject,
     /*  157621 */   // Label 2881: @157621
     /*  157621 */   GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(157679),
     /*  157626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157630 */     GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(157654), // Rule ID 1521 //
     /*  157635 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  157638 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157642 */       // (llrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  157642 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  157645 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157647 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157649 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157652 */       GIR_RootConstrainSelectedInstOperands,
     /*  157653 */       // GIR_Coverage, 1521,
     /*  157653 */       GIR_EraseRootFromParent_Done,
     /*  157654 */     // Label 2888: @157654
     /*  157654 */     GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(157678), // Rule ID 1549 //
     /*  157659 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  157662 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  157666 */       // (llrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  157666 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  157669 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157671 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157673 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157676 */       GIR_RootConstrainSelectedInstOperands,
     /*  157677 */       // GIR_Coverage, 1549,
     /*  157677 */       GIR_EraseRootFromParent_Done,
     /*  157678 */     // Label 2889: @157678
     /*  157678 */     GIM_Reject,
     /*  157679 */   // Label 2887: @157679
     /*  157679 */   GIM_Reject,
     /*  157680 */   // Label 2882: @157680
     /*  157680 */   GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(157738),
     /*  157685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157689 */     GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(157713), // Rule ID 1919 //
     /*  157694 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  157697 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157701 */       // (llrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157701 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  157704 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157706 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157708 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157711 */       GIR_RootConstrainSelectedInstOperands,
     /*  157712 */       // GIR_Coverage, 1919,
     /*  157712 */       GIR_EraseRootFromParent_Done,
     /*  157713 */     // Label 2891: @157713
     /*  157713 */     GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(157737), // Rule ID 1947 //
     /*  157718 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  157721 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157725 */       // (llrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157725 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  157728 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157730 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157732 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157735 */       GIR_RootConstrainSelectedInstOperands,
     /*  157736 */       // GIR_Coverage, 1947,
     /*  157736 */       GIR_EraseRootFromParent_Done,
     /*  157737 */     // Label 2892: @157737
     /*  157737 */     GIM_Reject,
     /*  157738 */   // Label 2890: @157738
     /*  157738 */   GIM_Reject,
     /*  157739 */   // Label 2883: @157739
     /*  157739 */   GIM_Reject,
     /*  157740 */ // Label 2879: @157740
     /*  157740 */ GIM_Reject,
     /*  157741 */ // Label 18: @157741
     /*  157741 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2896*/ GIMT_Encode4(157938),
     /*  157752 */ /*GILLT_s16*//*Label 2893*/ GIMT_Encode4(157764),
     /*  157756 */ /*GILLT_s32*//*Label 2894*/ GIMT_Encode4(157822),
     /*  157760 */ /*GILLT_s64*//*Label 2895*/ GIMT_Encode4(157880),
     /*  157764 */ // Label 2893: @157764
     /*  157764 */ GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(157821),
     /*  157769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157780 */   GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(157800), // Rule ID 2424 //
     /*  157785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  157788 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /*  157788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  157791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157798 */     GIR_RootConstrainSelectedInstOperands,
     /*  157799 */     // GIR_Coverage, 2424,
     /*  157799 */     GIR_EraseRootFromParent_Done,
     /*  157800 */   // Label 2898: @157800
     /*  157800 */   GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(157820), // Rule ID 2425 //
     /*  157805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  157808 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /*  157808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  157811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157818 */     GIR_RootConstrainSelectedInstOperands,
     /*  157819 */     // GIR_Coverage, 2425,
     /*  157819 */     GIR_EraseRootFromParent_Done,
     /*  157820 */   // Label 2899: @157820
     /*  157820 */   GIM_Reject,
     /*  157821 */ // Label 2897: @157821
     /*  157821 */ GIM_Reject,
     /*  157822 */ // Label 2894: @157822
     /*  157822 */ GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(157879),
     /*  157827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  157830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157838 */   GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(157858), // Rule ID 2342 //
     /*  157843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  157846 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /*  157846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  157849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157856 */     GIR_RootConstrainSelectedInstOperands,
     /*  157857 */     // GIR_Coverage, 2342,
     /*  157857 */     GIR_EraseRootFromParent_Done,
     /*  157858 */   // Label 2901: @157858
     /*  157858 */   GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(157878), // Rule ID 2343 //
     /*  157863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  157866 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /*  157866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  157869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157876 */     GIR_RootConstrainSelectedInstOperands,
     /*  157877 */     // GIR_Coverage, 2343,
     /*  157877 */     GIR_EraseRootFromParent_Done,
     /*  157878 */   // Label 2902: @157878
     /*  157878 */   GIM_Reject,
     /*  157879 */ // Label 2900: @157879
     /*  157879 */ GIM_Reject,
     /*  157880 */ // Label 2895: @157880
     /*  157880 */ GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(157937),
     /*  157885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157896 */   GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(157916), // Rule ID 2382 //
     /*  157901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  157904 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i64] })
     /*  157904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  157907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157914 */     GIR_RootConstrainSelectedInstOperands,
     /*  157915 */     // GIR_Coverage, 2382,
     /*  157915 */     GIR_EraseRootFromParent_Done,
     /*  157916 */   // Label 2904: @157916
     /*  157916 */   GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(157936), // Rule ID 2383 //
     /*  157921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  157924 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i32] })
     /*  157924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  157927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157934 */     GIR_RootConstrainSelectedInstOperands,
     /*  157935 */     // GIR_Coverage, 2383,
     /*  157935 */     GIR_EraseRootFromParent_Done,
     /*  157936 */   // Label 2905: @157936
     /*  157936 */   GIM_Reject,
     /*  157937 */ // Label 2903: @157937
     /*  157937 */ GIM_Reject,
     /*  157938 */ // Label 2896: @157938
     /*  157938 */ GIM_Reject,
     /*  157939 */ // Label 19: @157939
     /*  157939 */ GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(157977), // Rule ID 291 //
     /*  157944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157947 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  157950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157954 */   // (readcyclecounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3072:{ *:[i64] }, X0:{ *:[i64] })
     /*  157954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  157957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157959 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3072),
     /*  157969 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  157975 */   GIR_RootConstrainSelectedInstOperands,
     /*  157976 */   // GIR_Coverage, 291,
     /*  157976 */   GIR_EraseRootFromParent_Done,
     /*  157977 */ // Label 2906: @157977
     /*  157977 */ GIM_Reject,
     /*  157978 */ // Label 20: @157978
     /*  157978 */ GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(158016), // Rule ID 292 //
     /*  157983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157986 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  157989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157993 */   // (readsteadycounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3073:{ *:[i64] }, X0:{ *:[i64] })
     /*  157993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  157996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157998 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3073),
     /*  158008 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  158014 */   GIR_RootConstrainSelectedInstOperands,
     /*  158015 */   // GIR_Coverage, 292,
     /*  158015 */   GIR_EraseRootFromParent_Done,
     /*  158016 */ // Label 2907: @158016
     /*  158016 */ GIM_Reject,
     /*  158017 */ // Label 21: @158017
     /*  158017 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 2942*/ GIMT_Encode4(166994),
     /*  158028 */ /*GILLT_p0s32*//*Label 2908*/ GIMT_Encode4(158164),
     /*  158032 */ /*GILLT_p0s64*//*Label 2909*/ GIMT_Encode4(158258),
     /*  158036 */ /*GILLT_s16*//*Label 2910*/ GIMT_Encode4(158352),
     /*  158040 */ /*GILLT_s32*//*Label 2911*/ GIMT_Encode4(159007),
     /*  158044 */ /*GILLT_s64*//*Label 2912*/ GIMT_Encode4(160462),
     /*  158048 */ /*GILLT_nxv1s1*//*Label 2913*/ GIMT_Encode4(161688),
     /*  158052 */ /*GILLT_nxv1s8*//*Label 2914*/ GIMT_Encode4(161808),
     /*  158056 */ /*GILLT_nxv1s16*//*Label 2915*/ GIMT_Encode4(161936),
     /*  158060 */ /*GILLT_nxv1s32*//*Label 2916*/ GIMT_Encode4(162174),
     /*  158064 */ /*GILLT_nxv1s64*//*Label 2917*/ GIMT_Encode4(162412),
     /*  158068 */ /*GILLT_nxv2s1*//*Label 2918*/ GIMT_Encode4(162650),
     /*  158072 */ /*GILLT_nxv2s8*//*Label 2919*/ GIMT_Encode4(162770),
     /*  158076 */ /*GILLT_nxv2s16*//*Label 2920*/ GIMT_Encode4(162898),
     /*  158080 */ /*GILLT_nxv2s32*//*Label 2921*/ GIMT_Encode4(163136),
     /*  158084 */ /*GILLT_nxv2s64*//*Label 2922*/ GIMT_Encode4(163374),
     /*  158088 */ /*GILLT_nxv4s1*//*Label 2923*/ GIMT_Encode4(163612),
     /*  158092 */ /*GILLT_nxv4s8*//*Label 2924*/ GIMT_Encode4(163732),
     /*  158096 */ /*GILLT_nxv4s16*//*Label 2925*/ GIMT_Encode4(163860),
     /*  158100 */ /*GILLT_nxv4s32*//*Label 2926*/ GIMT_Encode4(164098),
     /*  158104 */ /*GILLT_nxv4s64*//*Label 2927*/ GIMT_Encode4(164336),
     /*  158108 */ /*GILLT_nxv8s1*//*Label 2928*/ GIMT_Encode4(164574),
     /*  158112 */ /*GILLT_nxv8s8*//*Label 2929*/ GIMT_Encode4(164694),
     /*  158116 */ /*GILLT_nxv8s16*//*Label 2930*/ GIMT_Encode4(164822),
     /*  158120 */ /*GILLT_nxv8s32*//*Label 2931*/ GIMT_Encode4(165060),
     /*  158124 */ /*GILLT_nxv8s64*//*Label 2932*/ GIMT_Encode4(165298),
     /*  158128 */ /*GILLT_nxv16s1*//*Label 2933*/ GIMT_Encode4(165536),
     /*  158132 */ /*GILLT_nxv16s8*//*Label 2934*/ GIMT_Encode4(165656),
     /*  158136 */ /*GILLT_nxv16s16*//*Label 2935*/ GIMT_Encode4(165784),
     /*  158140 */ /*GILLT_nxv16s32*//*Label 2936*/ GIMT_Encode4(166022),
     /*  158144 */ /*GILLT_nxv32s1*//*Label 2937*/ GIMT_Encode4(166260),
     /*  158148 */ /*GILLT_nxv32s8*//*Label 2938*/ GIMT_Encode4(166380),
     /*  158152 */ /*GILLT_nxv32s16*//*Label 2939*/ GIMT_Encode4(166508),
     /*  158156 */ /*GILLT_nxv64s1*//*Label 2940*/ GIMT_Encode4(166746),
     /*  158160 */ /*GILLT_nxv64s8*//*Label 2941*/ GIMT_Encode4(166866),
     /*  158164 */ // Label 2908: @158164
     /*  158164 */ GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(158257),
     /*  158169 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158172 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158180 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158184 */   GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(158220), // Rule ID 65367 //
     /*  158189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  158192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158199 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  158202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158218 */     GIR_RootConstrainSelectedInstOperands,
     /*  158219 */     // GIR_Coverage, 65367,
     /*  158219 */     GIR_EraseRootFromParent_Done,
     /*  158220 */   // Label 2944: @158220
     /*  158220 */   GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(158256), // Rule ID 65371 //
     /*  158225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  158228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158235 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  158238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158254 */     GIR_RootConstrainSelectedInstOperands,
     /*  158255 */     // GIR_Coverage, 65371,
     /*  158255 */     GIR_EraseRootFromParent_Done,
     /*  158256 */   // Label 2945: @158256
     /*  158256 */   GIM_Reject,
     /*  158257 */ // Label 2943: @158257
     /*  158257 */ GIM_Reject,
     /*  158258 */ // Label 2909: @158258
     /*  158258 */ GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(158351),
     /*  158263 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158266 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158274 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158278 */   GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(158314), // Rule ID 65366 //
     /*  158283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  158286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158293 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  158296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158312 */     GIR_RootConstrainSelectedInstOperands,
     /*  158313 */     // GIR_Coverage, 65366,
     /*  158313 */     GIR_EraseRootFromParent_Done,
     /*  158314 */   // Label 2947: @158314
     /*  158314 */   GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(158350), // Rule ID 65370 //
     /*  158319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  158322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158329 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  158332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158344 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158348 */     GIR_RootConstrainSelectedInstOperands,
     /*  158349 */     // GIR_Coverage, 65370,
     /*  158349 */     GIR_EraseRootFromParent_Done,
     /*  158350 */   // Label 2948: @158350
     /*  158350 */   GIM_Reject,
     /*  158351 */ // Label 2946: @158351
     /*  158351 */ GIM_Reject,
     /*  158352 */ // Label 2910: @158352
     /*  158352 */ GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(158403), // Rule ID 2150 //
     /*  158357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  158360 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158363 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  158371 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158375 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158382 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  158385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158387 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158392 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158397 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158401 */   GIR_RootConstrainSelectedInstOperands,
     /*  158402 */   // GIR_Coverage, 2150,
     /*  158402 */   GIR_EraseRootFromParent_Done,
     /*  158403 */ // Label 2949: @158403
     /*  158403 */ GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(158454), // Rule ID 2151 //
     /*  158408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  158411 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158414 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  158422 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158426 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158433 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  158436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158438 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158443 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158448 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158452 */   GIR_RootConstrainSelectedInstOperands,
     /*  158453 */   // GIR_Coverage, 2151,
     /*  158453 */   GIR_EraseRootFromParent_Done,
     /*  158454 */ // Label 2950: @158454
     /*  158454 */ GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(158505), // Rule ID 2156 //
     /*  158459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  158462 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158465 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  158473 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158477 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158484 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  158487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158489 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158494 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158499 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158503 */   GIR_RootConstrainSelectedInstOperands,
     /*  158504 */   // GIR_Coverage, 2156,
     /*  158504 */   GIR_EraseRootFromParent_Done,
     /*  158505 */ // Label 2951: @158505
     /*  158505 */ GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(158556), // Rule ID 2157 //
     /*  158510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  158513 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158516 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  158524 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158528 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158535 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  158538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158540 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158545 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158550 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158554 */   GIR_RootConstrainSelectedInstOperands,
     /*  158555 */   // GIR_Coverage, 2157,
     /*  158555 */   GIR_EraseRootFromParent_Done,
     /*  158556 */ // Label 2952: @158556
     /*  158556 */ GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(158607), // Rule ID 65374 //
     /*  158561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  158564 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158567 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158575 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158579 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158586 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158591 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158596 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158601 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158605 */   GIR_RootConstrainSelectedInstOperands,
     /*  158606 */   // GIR_Coverage, 65374,
     /*  158606 */   GIR_EraseRootFromParent_Done,
     /*  158607 */ // Label 2953: @158607
     /*  158607 */ GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(158658), // Rule ID 65375 //
     /*  158612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  158615 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158618 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158626 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158630 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158637 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158642 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158647 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158652 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158656 */   GIR_RootConstrainSelectedInstOperands,
     /*  158657 */   // GIR_Coverage, 65375,
     /*  158657 */   GIR_EraseRootFromParent_Done,
     /*  158658 */ // Label 2954: @158658
     /*  158658 */ GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(158716), // Rule ID 65378 //
     /*  158663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  158666 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158669 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158673 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158684 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158688 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158695 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  158698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158700 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158710 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158714 */   GIR_RootConstrainSelectedInstOperands,
     /*  158715 */   // GIR_Coverage, 65378,
     /*  158715 */   GIR_EraseRootFromParent_Done,
     /*  158716 */ // Label 2955: @158716
     /*  158716 */ GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(158774), // Rule ID 65379 //
     /*  158721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  158724 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158727 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158731 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158742 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158746 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158753 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  158756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158758 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158763 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158768 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158772 */   GIR_RootConstrainSelectedInstOperands,
     /*  158773 */   // GIR_Coverage, 65379,
     /*  158773 */   GIR_EraseRootFromParent_Done,
     /*  158774 */ // Label 2956: @158774
     /*  158774 */ GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(158832), // Rule ID 65382 //
     /*  158779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  158782 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158785 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158789 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158800 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158804 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158811 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  158814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158816 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158821 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158826 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158830 */   GIR_RootConstrainSelectedInstOperands,
     /*  158831 */   // GIR_Coverage, 65382,
     /*  158831 */   GIR_EraseRootFromParent_Done,
     /*  158832 */ // Label 2957: @158832
     /*  158832 */ GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(158890), // Rule ID 65383 //
     /*  158837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  158840 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158843 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158847 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158858 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158862 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158869 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  158872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158874 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158879 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158884 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158888 */   GIR_RootConstrainSelectedInstOperands,
     /*  158889 */   // GIR_Coverage, 65383,
     /*  158889 */   GIR_EraseRootFromParent_Done,
     /*  158890 */ // Label 2958: @158890
     /*  158890 */ GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(158948), // Rule ID 65384 //
     /*  158895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  158898 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158901 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158905 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  158912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158916 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158920 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158927 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158932 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158937 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158942 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158946 */   GIR_RootConstrainSelectedInstOperands,
     /*  158947 */   // GIR_Coverage, 65384,
     /*  158947 */   GIR_EraseRootFromParent_Done,
     /*  158948 */ // Label 2959: @158948
     /*  158948 */ GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(159006), // Rule ID 65385 //
     /*  158953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  158956 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158959 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158963 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  158970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158974 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158978 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158985 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158990 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158995 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159000 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159004 */   GIR_RootConstrainSelectedInstOperands,
     /*  159005 */   // GIR_Coverage, 65385,
     /*  159005 */   GIR_EraseRootFromParent_Done,
     /*  159006 */ // Label 2960: @159006
     /*  159006 */ GIM_Reject,
     /*  159007 */ // Label 2911: @159007
     /*  159007 */ GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(159065), // Rule ID 237 //
     /*  159012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  159015 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159018 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159022 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159033 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159037 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159044 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  159047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159049 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159054 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159059 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159063 */   GIR_RootConstrainSelectedInstOperands,
     /*  159064 */   // GIR_Coverage, 237,
     /*  159064 */   GIR_EraseRootFromParent_Done,
     /*  159065 */ // Label 2961: @159065
     /*  159065 */ GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(159123), // Rule ID 241 //
     /*  159070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  159073 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159076 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159080 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159091 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159095 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159102 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  159105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159107 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159112 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159117 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159121 */   GIR_RootConstrainSelectedInstOperands,
     /*  159122 */   // GIR_Coverage, 241,
     /*  159122 */   GIR_EraseRootFromParent_Done,
     /*  159123 */ // Label 2962: @159123
     /*  159123 */ GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(159174), // Rule ID 242 //
     /*  159128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  159131 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159134 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159142 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159146 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159153 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  159153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  159156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159158 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159163 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159168 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159172 */   GIR_RootConstrainSelectedInstOperands,
     /*  159173 */   // GIR_Coverage, 242,
     /*  159173 */   GIR_EraseRootFromParent_Done,
     /*  159174 */ // Label 2963: @159174
     /*  159174 */ GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(159225), // Rule ID 243 //
     /*  159179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  159182 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159185 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159193 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159197 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159204 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  159207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159209 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159214 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159219 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159223 */   GIR_RootConstrainSelectedInstOperands,
     /*  159224 */   // GIR_Coverage, 243,
     /*  159224 */   GIR_EraseRootFromParent_Done,
     /*  159225 */ // Label 2964: @159225
     /*  159225 */ GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(159286), // Rule ID 326 //
     /*  159230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  159233 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  159236 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159240 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159247 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  159250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159254 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159258 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159265 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10096>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  159268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159270 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159275 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159280 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159284 */   GIR_RootConstrainSelectedInstOperands,
     /*  159285 */   // GIR_Coverage, 326,
     /*  159285 */   GIR_EraseRootFromParent_Done,
     /*  159286 */ // Label 2965: @159286
     /*  159286 */ GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(159347), // Rule ID 330 //
     /*  159291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  159294 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  159297 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159301 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159308 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  159311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159315 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159319 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159326 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10098>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  159329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159331 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159336 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159341 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159345 */   GIR_RootConstrainSelectedInstOperands,
     /*  159346 */   // GIR_Coverage, 330,
     /*  159346 */   GIR_EraseRootFromParent_Done,
     /*  159347 */ // Label 2966: @159347
     /*  159347 */ GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(159408), // Rule ID 344 //
     /*  159352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode1),
     /*  159355 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  159358 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159362 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  159369 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  159372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159376 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159380 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159387 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10110>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  159390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159392 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159397 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159402 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159406 */   GIR_RootConstrainSelectedInstOperands,
     /*  159407 */   // GIR_Coverage, 344,
     /*  159407 */   GIR_EraseRootFromParent_Done,
     /*  159408 */ // Label 2967: @159408
     /*  159408 */ GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(159469), // Rule ID 346 //
     /*  159413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  159416 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  159419 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159423 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  159430 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  159433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159437 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159441 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159448 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10112>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  159451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159453 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159458 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159463 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159467 */   GIR_RootConstrainSelectedInstOperands,
     /*  159468 */   // GIR_Coverage, 346,
     /*  159468 */   GIR_EraseRootFromParent_Done,
     /*  159469 */ // Label 2968: @159469
     /*  159469 */ GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(159520), // Rule ID 1437 //
     /*  159474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  159477 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159480 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  159488 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159492 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159499 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  159499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  159502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159504 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159509 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159514 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159518 */   GIR_RootConstrainSelectedInstOperands,
     /*  159519 */   // GIR_Coverage, 1437,
     /*  159519 */   GIR_EraseRootFromParent_Done,
     /*  159520 */ // Label 2969: @159520
     /*  159520 */ GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(159571), // Rule ID 1438 //
     /*  159525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  159528 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159531 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  159539 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159543 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159550 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  159553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159555 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159560 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159565 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159569 */   GIR_RootConstrainSelectedInstOperands,
     /*  159570 */   // GIR_Coverage, 1438,
     /*  159570 */   GIR_EraseRootFromParent_Done,
     /*  159571 */ // Label 2970: @159571
     /*  159571 */ GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(159622), // Rule ID 1443 //
     /*  159576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  159579 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159582 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  159590 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159594 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159601 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  159601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  159604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159606 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159611 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159616 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159620 */   GIR_RootConstrainSelectedInstOperands,
     /*  159621 */   // GIR_Coverage, 1443,
     /*  159621 */   GIR_EraseRootFromParent_Done,
     /*  159622 */ // Label 2971: @159622
     /*  159622 */ GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(159673), // Rule ID 1444 //
     /*  159627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  159630 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159633 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  159641 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159645 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159652 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  159655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159657 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159662 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159667 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159671 */   GIR_RootConstrainSelectedInstOperands,
     /*  159672 */   // GIR_Coverage, 1444,
     /*  159672 */   GIR_EraseRootFromParent_Done,
     /*  159673 */ // Label 2972: @159673
     /*  159673 */ GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(159731), // Rule ID 65390 //
     /*  159678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  159681 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  159684 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159688 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  159695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159699 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159703 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159710 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  159710 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  159713 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159715 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159720 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159725 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159729 */   GIR_RootConstrainSelectedInstOperands,
     /*  159730 */   // GIR_Coverage, 65390,
     /*  159730 */   GIR_EraseRootFromParent_Done,
     /*  159731 */ // Label 2973: @159731
     /*  159731 */ GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(159789), // Rule ID 65391 //
     /*  159736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  159739 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  159742 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159746 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  159753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159757 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159761 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159768 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  159771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159773 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159778 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159783 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159787 */   GIR_RootConstrainSelectedInstOperands,
     /*  159788 */   // GIR_Coverage, 65391,
     /*  159788 */   GIR_EraseRootFromParent_Done,
     /*  159789 */ // Label 2974: @159789
     /*  159789 */ GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(159847), // Rule ID 65394 //
     /*  159794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  159797 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159800 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159804 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159815 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159819 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159826 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  159826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  159829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159831 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159836 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159841 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159845 */   GIR_RootConstrainSelectedInstOperands,
     /*  159846 */   // GIR_Coverage, 65394,
     /*  159846 */   GIR_EraseRootFromParent_Done,
     /*  159847 */ // Label 2975: @159847
     /*  159847 */ GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(159905), // Rule ID 65395 //
     /*  159852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  159855 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159858 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159862 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159873 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159877 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159884 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  159887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159889 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159894 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159899 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159903 */   GIR_RootConstrainSelectedInstOperands,
     /*  159904 */   // GIR_Coverage, 65395,
     /*  159904 */   GIR_EraseRootFromParent_Done,
     /*  159905 */ // Label 2976: @159905
     /*  159905 */ GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(159963), // Rule ID 65396 //
     /*  159910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  159913 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159916 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159920 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159931 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159935 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159942 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  159942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  159945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159947 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159952 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159957 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159961 */   GIR_RootConstrainSelectedInstOperands,
     /*  159962 */   // GIR_Coverage, 65396,
     /*  159962 */   GIR_EraseRootFromParent_Done,
     /*  159963 */ // Label 2977: @159963
     /*  159963 */ GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(160021), // Rule ID 65397 //
     /*  159968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  159971 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159974 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159978 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159989 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159993 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160000 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  160003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160005 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160010 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160015 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160019 */   GIR_RootConstrainSelectedInstOperands,
     /*  160020 */   // GIR_Coverage, 65397,
     /*  160020 */   GIR_EraseRootFromParent_Done,
     /*  160021 */ // Label 2978: @160021
     /*  160021 */ GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(160065), // Rule ID 1102 //
     /*  160026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  160029 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160032 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160036 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160043 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160050 */   // MIs[0] rs1
     /*  160050 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160058 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10600>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160058 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  160063 */   GIR_RootConstrainSelectedInstOperands,
     /*  160064 */   // GIR_Coverage, 1102,
     /*  160064 */   GIR_Done,
     /*  160065 */ // Label 2979: @160065
     /*  160065 */ GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(160109), // Rule ID 1106 //
     /*  160070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  160073 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160076 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160080 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160087 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  160090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160094 */   // MIs[0] rs1
     /*  160094 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160102 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10602>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160102 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  160107 */   GIR_RootConstrainSelectedInstOperands,
     /*  160108 */   // GIR_Coverage, 1106,
     /*  160108 */   GIR_Done,
     /*  160109 */ // Label 2980: @160109
     /*  160109 */ GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(160153), // Rule ID 1110 //
     /*  160114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  160117 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160120 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160124 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160131 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160138 */   // MIs[0] rs1
     /*  160138 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160146 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10604>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160146 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  160151 */   GIR_RootConstrainSelectedInstOperands,
     /*  160152 */   // GIR_Coverage, 1110,
     /*  160152 */   GIR_Done,
     /*  160153 */ // Label 2981: @160153
     /*  160153 */ GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(160197), // Rule ID 1114 //
     /*  160158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  160161 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160164 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160168 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160175 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  160178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160182 */   // MIs[0] rs1
     /*  160182 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160190 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10606>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160190 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  160195 */   GIR_RootConstrainSelectedInstOperands,
     /*  160196 */   // GIR_Coverage, 1114,
     /*  160196 */   GIR_Done,
     /*  160197 */ // Label 2982: @160197
     /*  160197 */ GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(160241), // Rule ID 1130 //
     /*  160202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  160205 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160208 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160212 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160219 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160226 */   // MIs[0] rs1
     /*  160226 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160234 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10620>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160234 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  160239 */   GIR_RootConstrainSelectedInstOperands,
     /*  160240 */   // GIR_Coverage, 1130,
     /*  160240 */   GIR_Done,
     /*  160241 */ // Label 2983: @160241
     /*  160241 */ GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(160285), // Rule ID 1132 //
     /*  160246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  160249 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160252 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160256 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160263 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  160266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160270 */   // MIs[0] rs1
     /*  160270 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160278 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10622>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160278 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  160283 */   GIR_RootConstrainSelectedInstOperands,
     /*  160284 */   // GIR_Coverage, 1132,
     /*  160284 */   GIR_Done,
     /*  160285 */ // Label 2984: @160285
     /*  160285 */ GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(160329), // Rule ID 1134 //
     /*  160290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  160293 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160296 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160300 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160307 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160314 */   // MIs[0] rs1
     /*  160314 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160322 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10624>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160322 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  160327 */   GIR_RootConstrainSelectedInstOperands,
     /*  160328 */   // GIR_Coverage, 1134,
     /*  160328 */   GIR_Done,
     /*  160329 */ // Label 2985: @160329
     /*  160329 */ GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(160373), // Rule ID 1138 //
     /*  160334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  160337 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160340 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160344 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160351 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  160354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160358 */   // MIs[0] rs1
     /*  160358 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160366 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10626>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160366 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  160371 */   GIR_RootConstrainSelectedInstOperands,
     /*  160372 */   // GIR_Coverage, 1138,
     /*  160372 */   GIR_Done,
     /*  160373 */ // Label 2986: @160373
     /*  160373 */ GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(160417), // Rule ID 1142 //
     /*  160378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  160381 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160384 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160388 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  160395 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160402 */   // MIs[0] rs1
     /*  160402 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160410 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10628>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160410 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  160415 */   GIR_RootConstrainSelectedInstOperands,
     /*  160416 */   // GIR_Coverage, 1142,
     /*  160416 */   GIR_Done,
     /*  160417 */ // Label 2987: @160417
     /*  160417 */ GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(160461), // Rule ID 1144 //
     /*  160422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  160425 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160428 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160432 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  160439 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  160442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160446 */   // MIs[0] rs1
     /*  160446 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160454 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10630>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160454 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  160459 */   GIR_RootConstrainSelectedInstOperands,
     /*  160460 */   // GIR_Coverage, 1144,
     /*  160460 */   GIR_Done,
     /*  160461 */ // Label 2988: @160461
     /*  160461 */ GIM_Reject,
     /*  160462 */ // Label 2912: @160462
     /*  160462 */ GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(160520), // Rule ID 236 //
     /*  160467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  160470 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160473 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160477 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160488 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160492 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160499 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  160502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160504 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160509 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160514 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160518 */   GIR_RootConstrainSelectedInstOperands,
     /*  160519 */   // GIR_Coverage, 236,
     /*  160519 */   GIR_EraseRootFromParent_Done,
     /*  160520 */ // Label 2989: @160520
     /*  160520 */ GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(160578), // Rule ID 240 //
     /*  160525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  160528 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160531 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160535 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160546 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160550 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160557 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  160560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160562 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160567 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160572 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160576 */   GIR_RootConstrainSelectedInstOperands,
     /*  160577 */   // GIR_Coverage, 240,
     /*  160577 */   GIR_EraseRootFromParent_Done,
     /*  160578 */ // Label 2990: @160578
     /*  160578 */ GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(160636), // Rule ID 286 //
     /*  160583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  160586 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160589 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160593 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160604 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160608 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160615 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160620 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160625 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160630 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160634 */   GIR_RootConstrainSelectedInstOperands,
     /*  160635 */   // GIR_Coverage, 286,
     /*  160635 */   GIR_EraseRootFromParent_Done,
     /*  160636 */ // Label 2991: @160636
     /*  160636 */ GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(160687), // Rule ID 288 //
     /*  160641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  160644 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160647 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160655 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160659 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160666 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  160669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160671 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160676 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160681 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160685 */   GIR_RootConstrainSelectedInstOperands,
     /*  160686 */   // GIR_Coverage, 288,
     /*  160686 */   GIR_EraseRootFromParent_Done,
     /*  160687 */ // Label 2992: @160687
     /*  160687 */ GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(160748), // Rule ID 325 //
     /*  160692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  160695 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160698 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160702 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160709 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160716 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160720 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160727 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10096>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  160730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160732 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160737 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160742 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160746 */   GIR_RootConstrainSelectedInstOperands,
     /*  160747 */   // GIR_Coverage, 325,
     /*  160747 */   GIR_EraseRootFromParent_Done,
     /*  160748 */ // Label 2993: @160748
     /*  160748 */ GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(160809), // Rule ID 329 //
     /*  160753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  160756 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160759 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160763 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160770 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160777 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160781 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160788 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10098>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  160791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160793 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160798 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160803 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160807 */   GIR_RootConstrainSelectedInstOperands,
     /*  160808 */   // GIR_Coverage, 329,
     /*  160808 */   GIR_EraseRootFromParent_Done,
     /*  160809 */ // Label 2994: @160809
     /*  160809 */ GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(160870), // Rule ID 343 //
     /*  160814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode0),
     /*  160817 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160820 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160824 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160831 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160838 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160842 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160849 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10110>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160854 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160859 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160864 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160868 */   GIR_RootConstrainSelectedInstOperands,
     /*  160869 */   // GIR_Coverage, 343,
     /*  160869 */   GIR_EraseRootFromParent_Done,
     /*  160870 */ // Label 2995: @160870
     /*  160870 */ GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(160931), // Rule ID 345 //
     /*  160875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  160878 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160881 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160885 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160892 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160899 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160903 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160910 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10112>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160920 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160925 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160929 */   GIR_RootConstrainSelectedInstOperands,
     /*  160930 */   // GIR_Coverage, 345,
     /*  160930 */   GIR_EraseRootFromParent_Done,
     /*  160931 */ // Label 2996: @160931
     /*  160931 */ GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(160992), // Rule ID 351 //
     /*  160936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  160939 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160942 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160946 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  160953 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160960 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160964 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160971 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10116>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  160974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160976 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160981 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160986 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160990 */   GIR_RootConstrainSelectedInstOperands,
     /*  160991 */   // GIR_Coverage, 351,
     /*  160991 */   GIR_EraseRootFromParent_Done,
     /*  160992 */ // Label 2997: @160992
     /*  160992 */ GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(161043), // Rule ID 1835 //
     /*  160997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  161000 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161003 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  161011 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161015 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161022 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  161025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161027 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161032 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161037 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161041 */   GIR_RootConstrainSelectedInstOperands,
     /*  161042 */   // GIR_Coverage, 1835,
     /*  161042 */   GIR_EraseRootFromParent_Done,
     /*  161043 */ // Label 2998: @161043
     /*  161043 */ GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(161094), // Rule ID 1836 //
     /*  161048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  161051 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161054 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  161062 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161066 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161073 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  161073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  161076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161078 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161083 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161088 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161092 */   GIR_RootConstrainSelectedInstOperands,
     /*  161093 */   // GIR_Coverage, 1836,
     /*  161093 */   GIR_EraseRootFromParent_Done,
     /*  161094 */ // Label 2999: @161094
     /*  161094 */ GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(161145), // Rule ID 1840 //
     /*  161099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  161102 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161105 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161113 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161117 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161124 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  161127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161129 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161134 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161139 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161143 */   GIR_RootConstrainSelectedInstOperands,
     /*  161144 */   // GIR_Coverage, 1840,
     /*  161144 */   GIR_EraseRootFromParent_Done,
     /*  161145 */ // Label 3000: @161145
     /*  161145 */ GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(161196), // Rule ID 1844 //
     /*  161150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode0),
     /*  161153 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161156 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  161164 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161168 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161175 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD_RV32:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD_RV32),
     /*  161178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161180 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161185 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161190 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161194 */   GIR_RootConstrainSelectedInstOperands,
     /*  161195 */   // GIR_Coverage, 1844,
     /*  161195 */   GIR_EraseRootFromParent_Done,
     /*  161196 */ // Label 3001: @161196
     /*  161196 */ GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(161247), // Rule ID 1845 //
     /*  161201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode1),
     /*  161204 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161207 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  161215 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161219 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161226 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD_RV32:{ *:[f64] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  161226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD_RV32),
     /*  161229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161231 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161236 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161241 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161245 */   GIR_RootConstrainSelectedInstOperands,
     /*  161246 */   // GIR_Coverage, 1845,
     /*  161246 */   GIR_EraseRootFromParent_Done,
     /*  161247 */ // Label 3002: @161247
     /*  161247 */ GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(161291), // Rule ID 1101 //
     /*  161252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  161255 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161258 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161262 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161269 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161276 */   // MIs[0] rs1
     /*  161276 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161284 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10600>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161284 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  161289 */   GIR_RootConstrainSelectedInstOperands,
     /*  161290 */   // GIR_Coverage, 1101,
     /*  161290 */   GIR_Done,
     /*  161291 */ // Label 3003: @161291
     /*  161291 */ GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(161335), // Rule ID 1105 //
     /*  161296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  161299 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161302 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161306 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161313 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161320 */   // MIs[0] rs1
     /*  161320 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161328 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10602>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161328 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  161333 */   GIR_RootConstrainSelectedInstOperands,
     /*  161334 */   // GIR_Coverage, 1105,
     /*  161334 */   GIR_Done,
     /*  161335 */ // Label 3004: @161335
     /*  161335 */ GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(161379), // Rule ID 1109 //
     /*  161340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  161343 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161346 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161350 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161357 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161364 */   // MIs[0] rs1
     /*  161364 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161372 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10604>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161372 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  161377 */   GIR_RootConstrainSelectedInstOperands,
     /*  161378 */   // GIR_Coverage, 1109,
     /*  161378 */   GIR_Done,
     /*  161379 */ // Label 3005: @161379
     /*  161379 */ GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(161423), // Rule ID 1113 //
     /*  161384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  161387 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161390 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161394 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161401 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161408 */   // MIs[0] rs1
     /*  161408 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161416 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10606>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161416 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  161421 */   GIR_RootConstrainSelectedInstOperands,
     /*  161422 */   // GIR_Coverage, 1113,
     /*  161422 */   GIR_Done,
     /*  161423 */ // Label 3006: @161423
     /*  161423 */ GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(161467), // Rule ID 1129 //
     /*  161428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  161431 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161434 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161438 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161445 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161452 */   // MIs[0] rs1
     /*  161452 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161460 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10620>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161460 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  161465 */   GIR_RootConstrainSelectedInstOperands,
     /*  161466 */   // GIR_Coverage, 1129,
     /*  161466 */   GIR_Done,
     /*  161467 */ // Label 3007: @161467
     /*  161467 */ GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(161511), // Rule ID 1131 //
     /*  161472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  161475 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161478 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161482 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161489 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161496 */   // MIs[0] rs1
     /*  161496 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161504 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10622>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161504 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  161509 */   GIR_RootConstrainSelectedInstOperands,
     /*  161510 */   // GIR_Coverage, 1131,
     /*  161510 */   GIR_Done,
     /*  161511 */ // Label 3008: @161511
     /*  161511 */ GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(161555), // Rule ID 1133 //
     /*  161516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  161519 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161522 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161526 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161533 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161540 */   // MIs[0] rs1
     /*  161540 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161548 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10624>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161548 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  161553 */   GIR_RootConstrainSelectedInstOperands,
     /*  161554 */   // GIR_Coverage, 1133,
     /*  161554 */   GIR_Done,
     /*  161555 */ // Label 3009: @161555
     /*  161555 */ GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(161599), // Rule ID 1137 //
     /*  161560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  161563 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161566 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161570 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161577 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161584 */   // MIs[0] rs1
     /*  161584 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161592 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10626>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161592 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  161597 */   GIR_RootConstrainSelectedInstOperands,
     /*  161598 */   // GIR_Coverage, 1137,
     /*  161598 */   GIR_Done,
     /*  161599 */ // Label 3010: @161599
     /*  161599 */ GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(161643), // Rule ID 1141 //
     /*  161604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  161607 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161610 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161614 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  161621 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161628 */   // MIs[0] rs1
     /*  161628 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161636 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10628>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161636 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  161641 */   GIR_RootConstrainSelectedInstOperands,
     /*  161642 */   // GIR_Coverage, 1141,
     /*  161642 */   GIR_Done,
     /*  161643 */ // Label 3011: @161643
     /*  161643 */ GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(161687), // Rule ID 1143 //
     /*  161648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  161651 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161654 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161658 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  161665 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161672 */   // MIs[0] rs1
     /*  161672 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161680 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10630>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161680 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  161685 */   GIR_RootConstrainSelectedInstOperands,
     /*  161686 */   // GIR_Coverage, 1143,
     /*  161686 */   GIR_Done,
     /*  161687 */ // Label 3012: @161687
     /*  161687 */ GIM_Reject,
     /*  161688 */ // Label 2913: @161688
     /*  161688 */ GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(161807),
     /*  161693 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161696 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161704 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161712 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(161759), // Rule ID 45746 //
     /*  161717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161720 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  161720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  161723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  161737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161753 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161757 */     GIR_RootConstrainSelectedInstOperands,
     /*  161758 */     // GIR_Coverage, 45746,
     /*  161758 */     GIR_EraseRootFromParent_Done,
     /*  161759 */   // Label 3014: @161759
     /*  161759 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(161806), // Rule ID 45747 //
     /*  161764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161767 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  161767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  161770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  161784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161804 */     GIR_RootConstrainSelectedInstOperands,
     /*  161805 */     // GIR_Coverage, 45747,
     /*  161805 */     GIR_EraseRootFromParent_Done,
     /*  161806 */   // Label 3015: @161806
     /*  161806 */   GIM_Reject,
     /*  161807 */ // Label 3013: @161807
     /*  161807 */ GIM_Reject,
     /*  161808 */ // Label 2914: @161808
     /*  161808 */ GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(161935),
     /*  161813 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161816 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161824 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(161879), // Rule ID 45742 //
     /*  161829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161832 */     // MIs[0] rs1
     /*  161832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161840 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  161840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  161843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  161857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161877 */     GIR_RootConstrainSelectedInstOperands,
     /*  161878 */     // GIR_Coverage, 45742,
     /*  161878 */     GIR_EraseRootFromParent_Done,
     /*  161879 */   // Label 3017: @161879
     /*  161879 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(161934), // Rule ID 45743 //
     /*  161884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161887 */     // MIs[0] rs1
     /*  161887 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161895 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  161895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  161898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  161912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161932 */     GIR_RootConstrainSelectedInstOperands,
     /*  161933 */     // GIR_Coverage, 45743,
     /*  161933 */     GIR_EraseRootFromParent_Done,
     /*  161934 */   // Label 3018: @161934
     /*  161934 */   GIM_Reject,
     /*  161935 */ // Label 3016: @161935
     /*  161935 */ GIM_Reject,
     /*  161936 */ // Label 2915: @161936
     /*  161936 */ GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(162173),
     /*  161941 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161944 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161952 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(162007), // Rule ID 45938 //
     /*  161957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161960 */     // MIs[0] rs1
     /*  161960 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161968 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  161968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  161971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  161985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162001 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162005 */     GIR_RootConstrainSelectedInstOperands,
     /*  162006 */     // GIR_Coverage, 45938,
     /*  162006 */     GIR_EraseRootFromParent_Done,
     /*  162007 */   // Label 3020: @162007
     /*  162007 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(162062), // Rule ID 45939 //
     /*  162012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162015 */     // MIs[0] rs1
     /*  162015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162023 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  162026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  162040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162060 */     GIR_RootConstrainSelectedInstOperands,
     /*  162061 */     // GIR_Coverage, 45939,
     /*  162061 */     GIR_EraseRootFromParent_Done,
     /*  162062 */   // Label 3021: @162062
     /*  162062 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(162117), // Rule ID 46014 //
     /*  162067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  162070 */     // MIs[0] rs1
     /*  162070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162078 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  162081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  162095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162115 */     GIR_RootConstrainSelectedInstOperands,
     /*  162116 */     // GIR_Coverage, 46014,
     /*  162116 */     GIR_EraseRootFromParent_Done,
     /*  162117 */   // Label 3022: @162117
     /*  162117 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(162172), // Rule ID 46015 //
     /*  162122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  162125 */     // MIs[0] rs1
     /*  162125 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162133 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  162136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  162150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162170 */     GIR_RootConstrainSelectedInstOperands,
     /*  162171 */     // GIR_Coverage, 46015,
     /*  162171 */     GIR_EraseRootFromParent_Done,
     /*  162172 */   // Label 3023: @162172
     /*  162172 */   GIM_Reject,
     /*  162173 */ // Label 3019: @162173
     /*  162173 */ GIM_Reject,
     /*  162174 */ // Label 2916: @162174
     /*  162174 */ GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(162411),
     /*  162179 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162182 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162190 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(162245), // Rule ID 45946 //
     /*  162195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162198 */     // MIs[0] rs1
     /*  162198 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162206 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  162209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  162223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162243 */     GIR_RootConstrainSelectedInstOperands,
     /*  162244 */     // GIR_Coverage, 45946,
     /*  162244 */     GIR_EraseRootFromParent_Done,
     /*  162245 */   // Label 3025: @162245
     /*  162245 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(162300), // Rule ID 45947 //
     /*  162250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162253 */     // MIs[0] rs1
     /*  162253 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162261 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  162264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  162278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162294 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162298 */     GIR_RootConstrainSelectedInstOperands,
     /*  162299 */     // GIR_Coverage, 45947,
     /*  162299 */     GIR_EraseRootFromParent_Done,
     /*  162300 */   // Label 3026: @162300
     /*  162300 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(162355), // Rule ID 46022 //
     /*  162305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  162308 */     // MIs[0] rs1
     /*  162308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162316 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  162319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  162333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162349 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162353 */     GIR_RootConstrainSelectedInstOperands,
     /*  162354 */     // GIR_Coverage, 46022,
     /*  162354 */     GIR_EraseRootFromParent_Done,
     /*  162355 */   // Label 3027: @162355
     /*  162355 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(162410), // Rule ID 46023 //
     /*  162360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  162363 */     // MIs[0] rs1
     /*  162363 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162371 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  162374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  162388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162404 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162408 */     GIR_RootConstrainSelectedInstOperands,
     /*  162409 */     // GIR_Coverage, 46023,
     /*  162409 */     GIR_EraseRootFromParent_Done,
     /*  162410 */   // Label 3028: @162410
     /*  162410 */   GIM_Reject,
     /*  162411 */ // Label 3024: @162411
     /*  162411 */ GIM_Reject,
     /*  162412 */ // Label 2917: @162412
     /*  162412 */ GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(162649),
     /*  162417 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162420 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162428 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(162483), // Rule ID 45962 //
     /*  162433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  162436 */     // MIs[0] rs1
     /*  162436 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162444 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  162444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  162447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  162461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  162474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162481 */     GIR_RootConstrainSelectedInstOperands,
     /*  162482 */     // GIR_Coverage, 45962,
     /*  162482 */     GIR_EraseRootFromParent_Done,
     /*  162483 */   // Label 3030: @162483
     /*  162483 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(162538), // Rule ID 45963 //
     /*  162488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  162491 */     // MIs[0] rs1
     /*  162491 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162499 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  162499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  162502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  162516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  162529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162532 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162536 */     GIR_RootConstrainSelectedInstOperands,
     /*  162537 */     // GIR_Coverage, 45963,
     /*  162537 */     GIR_EraseRootFromParent_Done,
     /*  162538 */   // Label 3031: @162538
     /*  162538 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(162593), // Rule ID 46034 //
     /*  162543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  162546 */     // MIs[0] rs1
     /*  162546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162554 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  162554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  162557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  162571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  162584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162591 */     GIR_RootConstrainSelectedInstOperands,
     /*  162592 */     // GIR_Coverage, 46034,
     /*  162592 */     GIR_EraseRootFromParent_Done,
     /*  162593 */   // Label 3032: @162593
     /*  162593 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(162648), // Rule ID 46035 //
     /*  162598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  162601 */     // MIs[0] rs1
     /*  162601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162609 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  162609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  162612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  162626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  162639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162646 */     GIR_RootConstrainSelectedInstOperands,
     /*  162647 */     // GIR_Coverage, 46035,
     /*  162647 */     GIR_EraseRootFromParent_Done,
     /*  162648 */   // Label 3033: @162648
     /*  162648 */   GIM_Reject,
     /*  162649 */ // Label 3029: @162649
     /*  162649 */ GIM_Reject,
     /*  162650 */ // Label 2918: @162650
     /*  162650 */ GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(162769),
     /*  162655 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162658 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162666 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162674 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(162721), // Rule ID 46074 //
     /*  162679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162682 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  162682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  162685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  162699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162719 */     GIR_RootConstrainSelectedInstOperands,
     /*  162720 */     // GIR_Coverage, 46074,
     /*  162720 */     GIR_EraseRootFromParent_Done,
     /*  162721 */   // Label 3035: @162721
     /*  162721 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(162768), // Rule ID 46075 //
     /*  162726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162729 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  162729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  162732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  162746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162766 */     GIR_RootConstrainSelectedInstOperands,
     /*  162767 */     // GIR_Coverage, 46075,
     /*  162767 */     GIR_EraseRootFromParent_Done,
     /*  162768 */   // Label 3036: @162768
     /*  162768 */   GIM_Reject,
     /*  162769 */ // Label 3034: @162769
     /*  162769 */ GIM_Reject,
     /*  162770 */ // Label 2919: @162770
     /*  162770 */ GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(162897),
     /*  162775 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162778 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162786 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(162841), // Rule ID 45930 //
     /*  162791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162794 */     // MIs[0] rs1
     /*  162794 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162802 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  162805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  162819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162839 */     GIR_RootConstrainSelectedInstOperands,
     /*  162840 */     // GIR_Coverage, 45930,
     /*  162840 */     GIR_EraseRootFromParent_Done,
     /*  162841 */   // Label 3038: @162841
     /*  162841 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(162896), // Rule ID 45931 //
     /*  162846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162849 */     // MIs[0] rs1
     /*  162849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162857 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  162857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  162860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  162874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162894 */     GIR_RootConstrainSelectedInstOperands,
     /*  162895 */     // GIR_Coverage, 45931,
     /*  162895 */     GIR_EraseRootFromParent_Done,
     /*  162896 */   // Label 3039: @162896
     /*  162896 */   GIM_Reject,
     /*  162897 */ // Label 3037: @162897
     /*  162897 */ GIM_Reject,
     /*  162898 */ // Label 2920: @162898
     /*  162898 */ GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(163135),
     /*  162903 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162906 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162914 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(162969), // Rule ID 45942 //
     /*  162919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162922 */     // MIs[0] rs1
     /*  162922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162930 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  162933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  162947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162963 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162967 */     GIR_RootConstrainSelectedInstOperands,
     /*  162968 */     // GIR_Coverage, 45942,
     /*  162968 */     GIR_EraseRootFromParent_Done,
     /*  162969 */   // Label 3041: @162969
     /*  162969 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(163024), // Rule ID 45943 //
     /*  162974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162977 */     // MIs[0] rs1
     /*  162977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162985 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  162988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  163002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163018 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163022 */     GIR_RootConstrainSelectedInstOperands,
     /*  163023 */     // GIR_Coverage, 45943,
     /*  163023 */     GIR_EraseRootFromParent_Done,
     /*  163024 */   // Label 3042: @163024
     /*  163024 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(163079), // Rule ID 46018 //
     /*  163029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  163032 */     // MIs[0] rs1
     /*  163032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163040 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  163040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  163043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  163057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163077 */     GIR_RootConstrainSelectedInstOperands,
     /*  163078 */     // GIR_Coverage, 46018,
     /*  163078 */     GIR_EraseRootFromParent_Done,
     /*  163079 */   // Label 3043: @163079
     /*  163079 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(163134), // Rule ID 46019 //
     /*  163084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  163087 */     // MIs[0] rs1
     /*  163087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163095 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  163098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  163112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163128 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163132 */     GIR_RootConstrainSelectedInstOperands,
     /*  163133 */     // GIR_Coverage, 46019,
     /*  163133 */     GIR_EraseRootFromParent_Done,
     /*  163134 */   // Label 3044: @163134
     /*  163134 */   GIM_Reject,
     /*  163135 */ // Label 3040: @163135
     /*  163135 */ GIM_Reject,
     /*  163136 */ // Label 2921: @163136
     /*  163136 */ GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(163373),
     /*  163141 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163144 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163152 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(163207), // Rule ID 45958 //
     /*  163157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163160 */     // MIs[0] rs1
     /*  163160 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163168 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  163168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  163171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  163185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163201 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163205 */     GIR_RootConstrainSelectedInstOperands,
     /*  163206 */     // GIR_Coverage, 45958,
     /*  163206 */     GIR_EraseRootFromParent_Done,
     /*  163207 */   // Label 3046: @163207
     /*  163207 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(163262), // Rule ID 45959 //
     /*  163212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163215 */     // MIs[0] rs1
     /*  163215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163223 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  163223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  163226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  163240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163260 */     GIR_RootConstrainSelectedInstOperands,
     /*  163261 */     // GIR_Coverage, 45959,
     /*  163261 */     GIR_EraseRootFromParent_Done,
     /*  163262 */   // Label 3047: @163262
     /*  163262 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(163317), // Rule ID 46030 //
     /*  163267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  163270 */     // MIs[0] rs1
     /*  163270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163278 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  163278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  163281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  163295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163315 */     GIR_RootConstrainSelectedInstOperands,
     /*  163316 */     // GIR_Coverage, 46030,
     /*  163316 */     GIR_EraseRootFromParent_Done,
     /*  163317 */   // Label 3048: @163317
     /*  163317 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(163372), // Rule ID 46031 //
     /*  163322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  163325 */     // MIs[0] rs1
     /*  163325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163333 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  163333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  163336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  163350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163370 */     GIR_RootConstrainSelectedInstOperands,
     /*  163371 */     // GIR_Coverage, 46031,
     /*  163371 */     GIR_EraseRootFromParent_Done,
     /*  163372 */   // Label 3049: @163372
     /*  163372 */   GIM_Reject,
     /*  163373 */ // Label 3045: @163373
     /*  163373 */ GIM_Reject,
     /*  163374 */ // Label 2922: @163374
     /*  163374 */ GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(163611),
     /*  163379 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163382 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  163390 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(163445), // Rule ID 46002 //
     /*  163395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  163398 */     // MIs[0] rs1
     /*  163398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163406 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  163406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  163409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  163423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163443 */     GIR_RootConstrainSelectedInstOperands,
     /*  163444 */     // GIR_Coverage, 46002,
     /*  163444 */     GIR_EraseRootFromParent_Done,
     /*  163445 */   // Label 3051: @163445
     /*  163445 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(163500), // Rule ID 46003 //
     /*  163450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  163453 */     // MIs[0] rs1
     /*  163453 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163461 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  163461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  163464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  163478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163498 */     GIR_RootConstrainSelectedInstOperands,
     /*  163499 */     // GIR_Coverage, 46003,
     /*  163499 */     GIR_EraseRootFromParent_Done,
     /*  163500 */   // Label 3052: @163500
     /*  163500 */   GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(163555), // Rule ID 46062 //
     /*  163505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  163508 */     // MIs[0] rs1
     /*  163508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163516 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  163516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  163519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  163533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163549 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163553 */     GIR_RootConstrainSelectedInstOperands,
     /*  163554 */     // GIR_Coverage, 46062,
     /*  163554 */     GIR_EraseRootFromParent_Done,
     /*  163555 */   // Label 3053: @163555
     /*  163555 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(163610), // Rule ID 46063 //
     /*  163560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  163563 */     // MIs[0] rs1
     /*  163563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163571 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  163571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  163574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  163588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163608 */     GIR_RootConstrainSelectedInstOperands,
     /*  163609 */     // GIR_Coverage, 46063,
     /*  163609 */     GIR_EraseRootFromParent_Done,
     /*  163610 */   // Label 3054: @163610
     /*  163610 */   GIM_Reject,
     /*  163611 */ // Label 3050: @163611
     /*  163611 */ GIM_Reject,
     /*  163612 */ // Label 2923: @163612
     /*  163612 */ GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(163731),
     /*  163617 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163620 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163628 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163636 */   GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(163683), // Rule ID 46078 //
     /*  163641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163644 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  163644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  163647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  163661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163677 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163681 */     GIR_RootConstrainSelectedInstOperands,
     /*  163682 */     // GIR_Coverage, 46078,
     /*  163682 */     GIR_EraseRootFromParent_Done,
     /*  163683 */   // Label 3056: @163683
     /*  163683 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(163730), // Rule ID 46079 //
     /*  163688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163691 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  163691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  163694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  163708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163728 */     GIR_RootConstrainSelectedInstOperands,
     /*  163729 */     // GIR_Coverage, 46079,
     /*  163729 */     GIR_EraseRootFromParent_Done,
     /*  163730 */   // Label 3057: @163730
     /*  163730 */   GIM_Reject,
     /*  163731 */ // Label 3055: @163731
     /*  163731 */ GIM_Reject,
     /*  163732 */ // Label 2924: @163732
     /*  163732 */ GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(163859),
     /*  163737 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163740 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163748 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(163803), // Rule ID 45934 //
     /*  163753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163756 */     // MIs[0] rs1
     /*  163756 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163764 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  163764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  163767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  163781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163801 */     GIR_RootConstrainSelectedInstOperands,
     /*  163802 */     // GIR_Coverage, 45934,
     /*  163802 */     GIR_EraseRootFromParent_Done,
     /*  163803 */   // Label 3059: @163803
     /*  163803 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(163858), // Rule ID 45935 //
     /*  163808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163811 */     // MIs[0] rs1
     /*  163811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163819 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  163819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  163822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  163836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163852 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163856 */     GIR_RootConstrainSelectedInstOperands,
     /*  163857 */     // GIR_Coverage, 45935,
     /*  163857 */     GIR_EraseRootFromParent_Done,
     /*  163858 */   // Label 3060: @163858
     /*  163858 */   GIM_Reject,
     /*  163859 */ // Label 3058: @163859
     /*  163859 */ GIM_Reject,
     /*  163860 */ // Label 2925: @163860
     /*  163860 */ GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(164097),
     /*  163865 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163868 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163876 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(163931), // Rule ID 45954 //
     /*  163881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163884 */     // MIs[0] rs1
     /*  163884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163892 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  163892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  163895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  163909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163925 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163929 */     GIR_RootConstrainSelectedInstOperands,
     /*  163930 */     // GIR_Coverage, 45954,
     /*  163930 */     GIR_EraseRootFromParent_Done,
     /*  163931 */   // Label 3062: @163931
     /*  163931 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(163986), // Rule ID 45955 //
     /*  163936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163939 */     // MIs[0] rs1
     /*  163939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163947 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  163950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  163964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163984 */     GIR_RootConstrainSelectedInstOperands,
     /*  163985 */     // GIR_Coverage, 45955,
     /*  163985 */     GIR_EraseRootFromParent_Done,
     /*  163986 */   // Label 3063: @163986
     /*  163986 */   GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(164041), // Rule ID 46026 //
     /*  163991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  163994 */     // MIs[0] rs1
     /*  163994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164002 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  164002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  164005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  164019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164039 */     GIR_RootConstrainSelectedInstOperands,
     /*  164040 */     // GIR_Coverage, 46026,
     /*  164040 */     GIR_EraseRootFromParent_Done,
     /*  164041 */   // Label 3064: @164041
     /*  164041 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(164096), // Rule ID 46027 //
     /*  164046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  164049 */     // MIs[0] rs1
     /*  164049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164057 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  164057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  164060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  164074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164094 */     GIR_RootConstrainSelectedInstOperands,
     /*  164095 */     // GIR_Coverage, 46027,
     /*  164095 */     GIR_EraseRootFromParent_Done,
     /*  164096 */   // Label 3065: @164096
     /*  164096 */   GIM_Reject,
     /*  164097 */ // Label 3061: @164097
     /*  164097 */ GIM_Reject,
     /*  164098 */ // Label 2926: @164098
     /*  164098 */ GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(164335),
     /*  164103 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164106 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  164114 */   GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(164169), // Rule ID 45990 //
     /*  164119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164122 */     // MIs[0] rs1
     /*  164122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164130 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  164130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  164133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  164147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164163 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164167 */     GIR_RootConstrainSelectedInstOperands,
     /*  164168 */     // GIR_Coverage, 45990,
     /*  164168 */     GIR_EraseRootFromParent_Done,
     /*  164169 */   // Label 3067: @164169
     /*  164169 */   GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(164224), // Rule ID 45991 //
     /*  164174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164177 */     // MIs[0] rs1
     /*  164177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164185 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  164185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  164188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  164202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164218 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164222 */     GIR_RootConstrainSelectedInstOperands,
     /*  164223 */     // GIR_Coverage, 45991,
     /*  164223 */     GIR_EraseRootFromParent_Done,
     /*  164224 */   // Label 3068: @164224
     /*  164224 */   GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(164279), // Rule ID 46050 //
     /*  164229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  164232 */     // MIs[0] rs1
     /*  164232 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164240 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  164240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  164243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  164257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164277 */     GIR_RootConstrainSelectedInstOperands,
     /*  164278 */     // GIR_Coverage, 46050,
     /*  164278 */     GIR_EraseRootFromParent_Done,
     /*  164279 */   // Label 3069: @164279
     /*  164279 */   GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(164334), // Rule ID 46051 //
     /*  164284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  164287 */     // MIs[0] rs1
     /*  164287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164295 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  164295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  164298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  164312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164328 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164332 */     GIR_RootConstrainSelectedInstOperands,
     /*  164333 */     // GIR_Coverage, 46051,
     /*  164333 */     GIR_EraseRootFromParent_Done,
     /*  164334 */   // Label 3070: @164334
     /*  164334 */   GIM_Reject,
     /*  164335 */ // Label 3066: @164335
     /*  164335 */ GIM_Reject,
     /*  164336 */ // Label 2927: @164336
     /*  164336 */ GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(164573),
     /*  164341 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164344 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  164352 */   GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(164407), // Rule ID 46006 //
     /*  164357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  164360 */     // MIs[0] rs1
     /*  164360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164368 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  164368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  164371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  164385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164405 */     GIR_RootConstrainSelectedInstOperands,
     /*  164406 */     // GIR_Coverage, 46006,
     /*  164406 */     GIR_EraseRootFromParent_Done,
     /*  164407 */   // Label 3072: @164407
     /*  164407 */   GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(164462), // Rule ID 46007 //
     /*  164412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  164415 */     // MIs[0] rs1
     /*  164415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164423 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  164423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  164426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  164440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164456 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164460 */     GIR_RootConstrainSelectedInstOperands,
     /*  164461 */     // GIR_Coverage, 46007,
     /*  164461 */     GIR_EraseRootFromParent_Done,
     /*  164462 */   // Label 3073: @164462
     /*  164462 */   GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(164517), // Rule ID 46066 //
     /*  164467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  164470 */     // MIs[0] rs1
     /*  164470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164478 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  164478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  164481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  164495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164511 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164515 */     GIR_RootConstrainSelectedInstOperands,
     /*  164516 */     // GIR_Coverage, 46066,
     /*  164516 */     GIR_EraseRootFromParent_Done,
     /*  164517 */   // Label 3074: @164517
     /*  164517 */   GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(164572), // Rule ID 46067 //
     /*  164522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  164525 */     // MIs[0] rs1
     /*  164525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164533 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  164533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  164536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  164550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164570 */     GIR_RootConstrainSelectedInstOperands,
     /*  164571 */     // GIR_Coverage, 46067,
     /*  164571 */     GIR_EraseRootFromParent_Done,
     /*  164572 */   // Label 3075: @164572
     /*  164572 */   GIM_Reject,
     /*  164573 */ // Label 3071: @164573
     /*  164573 */ GIM_Reject,
     /*  164574 */ // Label 2928: @164574
     /*  164574 */ GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(164693),
     /*  164579 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164582 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164590 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164598 */   GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(164645), // Rule ID 46082 //
     /*  164603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164606 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  164606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  164609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  164623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  164636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164643 */     GIR_RootConstrainSelectedInstOperands,
     /*  164644 */     // GIR_Coverage, 46082,
     /*  164644 */     GIR_EraseRootFromParent_Done,
     /*  164645 */   // Label 3077: @164645
     /*  164645 */   GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(164692), // Rule ID 46083 //
     /*  164650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164653 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  164653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  164656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  164670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  164683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164690 */     GIR_RootConstrainSelectedInstOperands,
     /*  164691 */     // GIR_Coverage, 46083,
     /*  164691 */     GIR_EraseRootFromParent_Done,
     /*  164692 */   // Label 3078: @164692
     /*  164692 */   GIM_Reject,
     /*  164693 */ // Label 3076: @164693
     /*  164693 */ GIM_Reject,
     /*  164694 */ // Label 2929: @164694
     /*  164694 */ GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(164821),
     /*  164699 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164702 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164710 */   GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(164765), // Rule ID 45950 //
     /*  164715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164718 */     // MIs[0] rs1
     /*  164718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164726 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  164726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  164729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  164743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164763 */     GIR_RootConstrainSelectedInstOperands,
     /*  164764 */     // GIR_Coverage, 45950,
     /*  164764 */     GIR_EraseRootFromParent_Done,
     /*  164765 */   // Label 3080: @164765
     /*  164765 */   GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(164820), // Rule ID 45951 //
     /*  164770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164773 */     // MIs[0] rs1
     /*  164773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164781 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  164781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  164784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  164798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164814 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164818 */     GIR_RootConstrainSelectedInstOperands,
     /*  164819 */     // GIR_Coverage, 45951,
     /*  164819 */     GIR_EraseRootFromParent_Done,
     /*  164820 */   // Label 3081: @164820
     /*  164820 */   GIM_Reject,
     /*  164821 */ // Label 3079: @164821
     /*  164821 */ GIM_Reject,
     /*  164822 */ // Label 2930: @164822
     /*  164822 */ GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(165059),
     /*  164827 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164830 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  164838 */   GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(164893), // Rule ID 45978 //
     /*  164843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164846 */     // MIs[0] rs1
     /*  164846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164854 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  164854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  164857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  164871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164891 */     GIR_RootConstrainSelectedInstOperands,
     /*  164892 */     // GIR_Coverage, 45978,
     /*  164892 */     GIR_EraseRootFromParent_Done,
     /*  164893 */   // Label 3083: @164893
     /*  164893 */   GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(164948), // Rule ID 45979 //
     /*  164898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164901 */     // MIs[0] rs1
     /*  164901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164909 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  164909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  164912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  164926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164946 */     GIR_RootConstrainSelectedInstOperands,
     /*  164947 */     // GIR_Coverage, 45979,
     /*  164947 */     GIR_EraseRootFromParent_Done,
     /*  164948 */   // Label 3084: @164948
     /*  164948 */   GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(165003), // Rule ID 46038 //
     /*  164953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  164956 */     // MIs[0] rs1
     /*  164956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164964 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  164964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  164967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  164981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165001 */     GIR_RootConstrainSelectedInstOperands,
     /*  165002 */     // GIR_Coverage, 46038,
     /*  165002 */     GIR_EraseRootFromParent_Done,
     /*  165003 */   // Label 3085: @165003
     /*  165003 */   GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(165058), // Rule ID 46039 //
     /*  165008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  165011 */     // MIs[0] rs1
     /*  165011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165019 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  165019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  165022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  165036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165052 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165056 */     GIR_RootConstrainSelectedInstOperands,
     /*  165057 */     // GIR_Coverage, 46039,
     /*  165057 */     GIR_EraseRootFromParent_Done,
     /*  165058 */   // Label 3086: @165058
     /*  165058 */   GIM_Reject,
     /*  165059 */ // Label 3082: @165059
     /*  165059 */ GIM_Reject,
     /*  165060 */ // Label 2931: @165060
     /*  165060 */ GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(165297),
     /*  165065 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165068 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165076 */   GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(165131), // Rule ID 45994 //
     /*  165081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165084 */     // MIs[0] rs1
     /*  165084 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165092 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  165092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  165095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  165109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165125 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165129 */     GIR_RootConstrainSelectedInstOperands,
     /*  165130 */     // GIR_Coverage, 45994,
     /*  165130 */     GIR_EraseRootFromParent_Done,
     /*  165131 */   // Label 3088: @165131
     /*  165131 */   GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(165186), // Rule ID 45995 //
     /*  165136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165139 */     // MIs[0] rs1
     /*  165139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165147 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  165147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  165150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  165164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165180 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165184 */     GIR_RootConstrainSelectedInstOperands,
     /*  165185 */     // GIR_Coverage, 45995,
     /*  165185 */     GIR_EraseRootFromParent_Done,
     /*  165186 */   // Label 3089: @165186
     /*  165186 */   GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(165241), // Rule ID 46054 //
     /*  165191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  165194 */     // MIs[0] rs1
     /*  165194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165202 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  165202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  165205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  165219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165235 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165239 */     GIR_RootConstrainSelectedInstOperands,
     /*  165240 */     // GIR_Coverage, 46054,
     /*  165240 */     GIR_EraseRootFromParent_Done,
     /*  165241 */   // Label 3090: @165241
     /*  165241 */   GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(165296), // Rule ID 46055 //
     /*  165246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  165249 */     // MIs[0] rs1
     /*  165249 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165257 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  165257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  165260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  165274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165290 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165294 */     GIR_RootConstrainSelectedInstOperands,
     /*  165295 */     // GIR_Coverage, 46055,
     /*  165295 */     GIR_EraseRootFromParent_Done,
     /*  165296 */   // Label 3091: @165296
     /*  165296 */   GIM_Reject,
     /*  165297 */ // Label 3087: @165297
     /*  165297 */ GIM_Reject,
     /*  165298 */ // Label 2932: @165298
     /*  165298 */ GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(165535),
     /*  165303 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165306 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  165314 */   GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(165369), // Rule ID 46010 //
     /*  165319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  165322 */     // MIs[0] rs1
     /*  165322 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165330 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  165330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  165333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  165347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165363 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165367 */     GIR_RootConstrainSelectedInstOperands,
     /*  165368 */     // GIR_Coverage, 46010,
     /*  165368 */     GIR_EraseRootFromParent_Done,
     /*  165369 */   // Label 3093: @165369
     /*  165369 */   GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(165424), // Rule ID 46011 //
     /*  165374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  165377 */     // MIs[0] rs1
     /*  165377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165385 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  165385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  165388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  165402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165418 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165422 */     GIR_RootConstrainSelectedInstOperands,
     /*  165423 */     // GIR_Coverage, 46011,
     /*  165423 */     GIR_EraseRootFromParent_Done,
     /*  165424 */   // Label 3094: @165424
     /*  165424 */   GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(165479), // Rule ID 46070 //
     /*  165429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  165432 */     // MIs[0] rs1
     /*  165432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165440 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  165440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  165443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  165457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165473 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165477 */     GIR_RootConstrainSelectedInstOperands,
     /*  165478 */     // GIR_Coverage, 46070,
     /*  165478 */     GIR_EraseRootFromParent_Done,
     /*  165479 */   // Label 3095: @165479
     /*  165479 */   GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(165534), // Rule ID 46071 //
     /*  165484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  165487 */     // MIs[0] rs1
     /*  165487 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165495 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  165495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  165498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  165512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165528 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165532 */     GIR_RootConstrainSelectedInstOperands,
     /*  165533 */     // GIR_Coverage, 46071,
     /*  165533 */     GIR_EraseRootFromParent_Done,
     /*  165534 */   // Label 3096: @165534
     /*  165534 */   GIM_Reject,
     /*  165535 */ // Label 3092: @165535
     /*  165535 */ GIM_Reject,
     /*  165536 */ // Label 2933: @165536
     /*  165536 */ GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(165655),
     /*  165541 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165544 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165552 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165560 */   GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(165607), // Rule ID 46086 //
     /*  165565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165568 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  165568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  165571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  165585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  165598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165601 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165605 */     GIR_RootConstrainSelectedInstOperands,
     /*  165606 */     // GIR_Coverage, 46086,
     /*  165606 */     GIR_EraseRootFromParent_Done,
     /*  165607 */   // Label 3098: @165607
     /*  165607 */   GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(165654), // Rule ID 46087 //
     /*  165612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165615 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  165615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  165618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  165632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  165645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165652 */     GIR_RootConstrainSelectedInstOperands,
     /*  165653 */     // GIR_Coverage, 46087,
     /*  165653 */     GIR_EraseRootFromParent_Done,
     /*  165654 */   // Label 3099: @165654
     /*  165654 */   GIM_Reject,
     /*  165655 */ // Label 3097: @165655
     /*  165655 */ GIM_Reject,
     /*  165656 */ // Label 2934: @165656
     /*  165656 */ GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(165783),
     /*  165661 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165664 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165672 */   GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(165727), // Rule ID 45966 //
     /*  165677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165680 */     // MIs[0] rs1
     /*  165680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165688 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  165688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  165691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  165705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165725 */     GIR_RootConstrainSelectedInstOperands,
     /*  165726 */     // GIR_Coverage, 45966,
     /*  165726 */     GIR_EraseRootFromParent_Done,
     /*  165727 */   // Label 3101: @165727
     /*  165727 */   GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(165782), // Rule ID 45967 //
     /*  165732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165735 */     // MIs[0] rs1
     /*  165735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165743 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  165743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  165746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  165760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165776 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165780 */     GIR_RootConstrainSelectedInstOperands,
     /*  165781 */     // GIR_Coverage, 45967,
     /*  165781 */     GIR_EraseRootFromParent_Done,
     /*  165782 */   // Label 3102: @165782
     /*  165782 */   GIM_Reject,
     /*  165783 */ // Label 3100: @165783
     /*  165783 */ GIM_Reject,
     /*  165784 */ // Label 2935: @165784
     /*  165784 */ GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(166021),
     /*  165789 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165792 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165800 */   GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(165855), // Rule ID 45982 //
     /*  165805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165808 */     // MIs[0] rs1
     /*  165808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165816 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  165816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  165819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  165833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165849 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165853 */     GIR_RootConstrainSelectedInstOperands,
     /*  165854 */     // GIR_Coverage, 45982,
     /*  165854 */     GIR_EraseRootFromParent_Done,
     /*  165855 */   // Label 3104: @165855
     /*  165855 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(165910), // Rule ID 45983 //
     /*  165860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165863 */     // MIs[0] rs1
     /*  165863 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165871 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  165871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  165874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  165888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165904 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165908 */     GIR_RootConstrainSelectedInstOperands,
     /*  165909 */     // GIR_Coverage, 45983,
     /*  165909 */     GIR_EraseRootFromParent_Done,
     /*  165910 */   // Label 3105: @165910
     /*  165910 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(165965), // Rule ID 46042 //
     /*  165915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  165918 */     // MIs[0] rs1
     /*  165918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165926 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  165926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  165929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  165943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165963 */     GIR_RootConstrainSelectedInstOperands,
     /*  165964 */     // GIR_Coverage, 46042,
     /*  165964 */     GIR_EraseRootFromParent_Done,
     /*  165965 */   // Label 3106: @165965
     /*  165965 */   GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(166020), // Rule ID 46043 //
     /*  165970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  165973 */     // MIs[0] rs1
     /*  165973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165981 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  165981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  165984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  165998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166018 */     GIR_RootConstrainSelectedInstOperands,
     /*  166019 */     // GIR_Coverage, 46043,
     /*  166019 */     GIR_EraseRootFromParent_Done,
     /*  166020 */   // Label 3107: @166020
     /*  166020 */   GIM_Reject,
     /*  166021 */ // Label 3103: @166021
     /*  166021 */ GIM_Reject,
     /*  166022 */ // Label 2936: @166022
     /*  166022 */ GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(166259),
     /*  166027 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166030 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166038 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(166093), // Rule ID 45998 //
     /*  166043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166046 */     // MIs[0] rs1
     /*  166046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166054 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  166054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  166057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  166071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166091 */     GIR_RootConstrainSelectedInstOperands,
     /*  166092 */     // GIR_Coverage, 45998,
     /*  166092 */     GIR_EraseRootFromParent_Done,
     /*  166093 */   // Label 3109: @166093
     /*  166093 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(166148), // Rule ID 45999 //
     /*  166098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166101 */     // MIs[0] rs1
     /*  166101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166109 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  166109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  166112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  166126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166142 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166146 */     GIR_RootConstrainSelectedInstOperands,
     /*  166147 */     // GIR_Coverage, 45999,
     /*  166147 */     GIR_EraseRootFromParent_Done,
     /*  166148 */   // Label 3110: @166148
     /*  166148 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(166203), // Rule ID 46058 //
     /*  166153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  166156 */     // MIs[0] rs1
     /*  166156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166164 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  166164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  166167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  166181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166197 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166201 */     GIR_RootConstrainSelectedInstOperands,
     /*  166202 */     // GIR_Coverage, 46058,
     /*  166202 */     GIR_EraseRootFromParent_Done,
     /*  166203 */   // Label 3111: @166203
     /*  166203 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(166258), // Rule ID 46059 //
     /*  166208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  166211 */     // MIs[0] rs1
     /*  166211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166219 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  166219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  166222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  166236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166256 */     GIR_RootConstrainSelectedInstOperands,
     /*  166257 */     // GIR_Coverage, 46059,
     /*  166257 */     GIR_EraseRootFromParent_Done,
     /*  166258 */   // Label 3112: @166258
     /*  166258 */   GIM_Reject,
     /*  166259 */ // Label 3108: @166259
     /*  166259 */ GIM_Reject,
     /*  166260 */ // Label 2937: @166260
     /*  166260 */ GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(166379),
     /*  166265 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166268 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166276 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166284 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(166331), // Rule ID 46090 //
     /*  166289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166292 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  166292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  166295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  166309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166325 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166329 */     GIR_RootConstrainSelectedInstOperands,
     /*  166330 */     // GIR_Coverage, 46090,
     /*  166330 */     GIR_EraseRootFromParent_Done,
     /*  166331 */   // Label 3114: @166331
     /*  166331 */   GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(166378), // Rule ID 46091 //
     /*  166336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166339 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  166339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  166342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  166356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166376 */     GIR_RootConstrainSelectedInstOperands,
     /*  166377 */     // GIR_Coverage, 46091,
     /*  166377 */     GIR_EraseRootFromParent_Done,
     /*  166378 */   // Label 3115: @166378
     /*  166378 */   GIM_Reject,
     /*  166379 */ // Label 3113: @166379
     /*  166379 */ GIM_Reject,
     /*  166380 */ // Label 2938: @166380
     /*  166380 */ GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(166507),
     /*  166385 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166388 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166396 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(166451), // Rule ID 45970 //
     /*  166401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166404 */     // MIs[0] rs1
     /*  166404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166412 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  166412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  166415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  166429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166445 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166449 */     GIR_RootConstrainSelectedInstOperands,
     /*  166450 */     // GIR_Coverage, 45970,
     /*  166450 */     GIR_EraseRootFromParent_Done,
     /*  166451 */   // Label 3117: @166451
     /*  166451 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(166506), // Rule ID 45971 //
     /*  166456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166459 */     // MIs[0] rs1
     /*  166459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166467 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  166467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  166470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  166484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166500 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166504 */     GIR_RootConstrainSelectedInstOperands,
     /*  166505 */     // GIR_Coverage, 45971,
     /*  166505 */     GIR_EraseRootFromParent_Done,
     /*  166506 */   // Label 3118: @166506
     /*  166506 */   GIM_Reject,
     /*  166507 */ // Label 3116: @166507
     /*  166507 */ GIM_Reject,
     /*  166508 */ // Label 2939: @166508
     /*  166508 */ GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(166745),
     /*  166513 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166516 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166524 */   GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(166579), // Rule ID 45986 //
     /*  166529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166532 */     // MIs[0] rs1
     /*  166532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166540 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  166540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  166543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  166557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166577 */     GIR_RootConstrainSelectedInstOperands,
     /*  166578 */     // GIR_Coverage, 45986,
     /*  166578 */     GIR_EraseRootFromParent_Done,
     /*  166579 */   // Label 3120: @166579
     /*  166579 */   GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(166634), // Rule ID 45987 //
     /*  166584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166587 */     // MIs[0] rs1
     /*  166587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166595 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  166595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  166598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  166612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166632 */     GIR_RootConstrainSelectedInstOperands,
     /*  166633 */     // GIR_Coverage, 45987,
     /*  166633 */     GIR_EraseRootFromParent_Done,
     /*  166634 */   // Label 3121: @166634
     /*  166634 */   GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(166689), // Rule ID 46046 //
     /*  166639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  166642 */     // MIs[0] rs1
     /*  166642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166650 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  166650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  166653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  166667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166687 */     GIR_RootConstrainSelectedInstOperands,
     /*  166688 */     // GIR_Coverage, 46046,
     /*  166688 */     GIR_EraseRootFromParent_Done,
     /*  166689 */   // Label 3122: @166689
     /*  166689 */   GIM_Try, /*On fail goto*//*Label 3123*/ GIMT_Encode4(166744), // Rule ID 46047 //
     /*  166694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  166697 */     // MIs[0] rs1
     /*  166697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166705 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  166705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  166708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  166722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166742 */     GIR_RootConstrainSelectedInstOperands,
     /*  166743 */     // GIR_Coverage, 46047,
     /*  166743 */     GIR_EraseRootFromParent_Done,
     /*  166744 */   // Label 3123: @166744
     /*  166744 */   GIM_Reject,
     /*  166745 */ // Label 3119: @166745
     /*  166745 */ GIM_Reject,
     /*  166746 */ // Label 2940: @166746
     /*  166746 */ GIM_Try, /*On fail goto*//*Label 3124*/ GIMT_Encode4(166865),
     /*  166751 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166754 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166762 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166770 */   GIM_Try, /*On fail goto*//*Label 3125*/ GIMT_Encode4(166817), // Rule ID 46094 //
     /*  166775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166778 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  166778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  166781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  166795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166815 */     GIR_RootConstrainSelectedInstOperands,
     /*  166816 */     // GIR_Coverage, 46094,
     /*  166816 */     GIR_EraseRootFromParent_Done,
     /*  166817 */   // Label 3125: @166817
     /*  166817 */   GIM_Try, /*On fail goto*//*Label 3126*/ GIMT_Encode4(166864), // Rule ID 46095 //
     /*  166822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166825 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  166825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  166828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  166842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166862 */     GIR_RootConstrainSelectedInstOperands,
     /*  166863 */     // GIR_Coverage, 46095,
     /*  166863 */     GIR_EraseRootFromParent_Done,
     /*  166864 */   // Label 3126: @166864
     /*  166864 */   GIM_Reject,
     /*  166865 */ // Label 3124: @166865
     /*  166865 */ GIM_Reject,
     /*  166866 */ // Label 2941: @166866
     /*  166866 */ GIM_Try, /*On fail goto*//*Label 3127*/ GIMT_Encode4(166993),
     /*  166871 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166874 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166882 */   GIM_Try, /*On fail goto*//*Label 3128*/ GIMT_Encode4(166937), // Rule ID 45974 //
     /*  166887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166890 */     // MIs[0] rs1
     /*  166890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166898 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  166898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  166901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  166915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166931 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166935 */     GIR_RootConstrainSelectedInstOperands,
     /*  166936 */     // GIR_Coverage, 45974,
     /*  166936 */     GIR_EraseRootFromParent_Done,
     /*  166937 */   // Label 3128: @166937
     /*  166937 */   GIM_Try, /*On fail goto*//*Label 3129*/ GIMT_Encode4(166992), // Rule ID 45975 //
     /*  166942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166945 */     // MIs[0] rs1
     /*  166945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166953 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  166953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  166956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  166970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166990 */     GIR_RootConstrainSelectedInstOperands,
     /*  166991 */     // GIR_Coverage, 45975,
     /*  166991 */     GIR_EraseRootFromParent_Done,
     /*  166992 */   // Label 3129: @166992
     /*  166992 */   GIM_Reject,
     /*  166993 */ // Label 3127: @166993
     /*  166993 */ GIM_Reject,
     /*  166994 */ // Label 2942: @166994
     /*  166994 */ GIM_Reject,
     /*  166995 */ // Label 22: @166995
     /*  166995 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3132*/ GIMT_Encode4(168108),
     /*  167006 */ /*GILLT_s32*//*Label 3130*/ GIMT_Encode4(167014),
     /*  167010 */ /*GILLT_s64*//*Label 3131*/ GIMT_Encode4(167534),
     /*  167014 */ // Label 3130: @167014
     /*  167014 */ GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(167068), // Rule ID 235 //
     /*  167019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  167022 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167025 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167036 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167040 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167047 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  167050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167052 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167057 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167062 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167066 */   GIR_RootConstrainSelectedInstOperands,
     /*  167067 */   // GIR_Coverage, 235,
     /*  167067 */   GIR_EraseRootFromParent_Done,
     /*  167068 */ // Label 3133: @167068
     /*  167068 */ GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(167122), // Rule ID 239 //
     /*  167073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  167076 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167079 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167090 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167094 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167101 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  167104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167106 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167111 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167116 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167120 */   GIR_RootConstrainSelectedInstOperands,
     /*  167121 */   // GIR_Coverage, 239,
     /*  167121 */   GIR_EraseRootFromParent_Done,
     /*  167122 */ // Label 3134: @167122
     /*  167122 */ GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(167179), // Rule ID 328 //
     /*  167127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  167130 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167133 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167140 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  167143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167147 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167151 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167158 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10096>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  167161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167163 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167168 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167173 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167177 */   GIR_RootConstrainSelectedInstOperands,
     /*  167178 */   // GIR_Coverage, 328,
     /*  167178 */   GIR_EraseRootFromParent_Done,
     /*  167179 */ // Label 3135: @167179
     /*  167179 */ GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(167236), // Rule ID 332 //
     /*  167184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  167187 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167190 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167197 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  167200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167204 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167208 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167215 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10098>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  167218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167220 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167225 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167230 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167234 */   GIR_RootConstrainSelectedInstOperands,
     /*  167235 */   // GIR_Coverage, 332,
     /*  167235 */   GIR_EraseRootFromParent_Done,
     /*  167236 */ // Label 3136: @167236
     /*  167236 */ GIM_Try, /*On fail goto*//*Label 3137*/ GIMT_Encode4(167293), // Rule ID 348 //
     /*  167241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  167244 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167247 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  167254 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  167257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167261 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167265 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167272 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10112>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  167275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167277 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167282 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167287 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167291 */   GIR_RootConstrainSelectedInstOperands,
     /*  167292 */   // GIR_Coverage, 348,
     /*  167292 */   GIR_EraseRootFromParent_Done,
     /*  167293 */ // Label 3137: @167293
     /*  167293 */ GIM_Try, /*On fail goto*//*Label 3138*/ GIMT_Encode4(167333), // Rule ID 1104 //
     /*  167298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  167301 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167304 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167311 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  167314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167318 */   // MIs[0] rs1
     /*  167318 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167326 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10600>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  167326 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  167331 */   GIR_RootConstrainSelectedInstOperands,
     /*  167332 */   // GIR_Coverage, 1104,
     /*  167332 */   GIR_Done,
     /*  167333 */ // Label 3138: @167333
     /*  167333 */ GIM_Try, /*On fail goto*//*Label 3139*/ GIMT_Encode4(167373), // Rule ID 1108 //
     /*  167338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  167341 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167344 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167351 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  167354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167358 */   // MIs[0] rs1
     /*  167358 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167366 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10602>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  167366 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  167371 */   GIR_RootConstrainSelectedInstOperands,
     /*  167372 */   // GIR_Coverage, 1108,
     /*  167372 */   GIR_Done,
     /*  167373 */ // Label 3139: @167373
     /*  167373 */ GIM_Try, /*On fail goto*//*Label 3140*/ GIMT_Encode4(167413), // Rule ID 1112 //
     /*  167378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  167381 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167384 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167391 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  167394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167398 */   // MIs[0] rs1
     /*  167398 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167406 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10604>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  167406 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  167411 */   GIR_RootConstrainSelectedInstOperands,
     /*  167412 */   // GIR_Coverage, 1112,
     /*  167412 */   GIR_Done,
     /*  167413 */ // Label 3140: @167413
     /*  167413 */ GIM_Try, /*On fail goto*//*Label 3141*/ GIMT_Encode4(167453), // Rule ID 1116 //
     /*  167418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  167421 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167424 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167431 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  167434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167438 */   // MIs[0] rs1
     /*  167438 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167446 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10606>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  167446 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  167451 */   GIR_RootConstrainSelectedInstOperands,
     /*  167452 */   // GIR_Coverage, 1116,
     /*  167452 */   GIR_Done,
     /*  167453 */ // Label 3141: @167453
     /*  167453 */ GIM_Try, /*On fail goto*//*Label 3142*/ GIMT_Encode4(167493), // Rule ID 1136 //
     /*  167458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  167461 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167464 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  167471 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  167474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167478 */   // MIs[0] rs1
     /*  167478 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167486 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10624>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  167486 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  167491 */   GIR_RootConstrainSelectedInstOperands,
     /*  167492 */   // GIR_Coverage, 1136,
     /*  167492 */   GIR_Done,
     /*  167493 */ // Label 3142: @167493
     /*  167493 */ GIM_Try, /*On fail goto*//*Label 3143*/ GIMT_Encode4(167533), // Rule ID 1140 //
     /*  167498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  167501 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167504 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  167511 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  167514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167518 */   // MIs[0] rs1
     /*  167518 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167526 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10626>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  167526 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  167531 */   GIR_RootConstrainSelectedInstOperands,
     /*  167532 */   // GIR_Coverage, 1140,
     /*  167532 */   GIR_Done,
     /*  167533 */ // Label 3143: @167533
     /*  167533 */ GIM_Reject,
     /*  167534 */ // Label 3131: @167534
     /*  167534 */ GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(167588), // Rule ID 234 //
     /*  167539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  167542 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167545 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167556 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167560 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167567 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  167570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167572 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167577 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167582 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167586 */   GIR_RootConstrainSelectedInstOperands,
     /*  167587 */   // GIR_Coverage, 234,
     /*  167587 */   GIR_EraseRootFromParent_Done,
     /*  167588 */ // Label 3144: @167588
     /*  167588 */ GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(167642), // Rule ID 238 //
     /*  167593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  167596 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167599 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167610 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167614 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167621 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  167624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167626 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167631 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167636 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167640 */   GIR_RootConstrainSelectedInstOperands,
     /*  167641 */   // GIR_Coverage, 238,
     /*  167641 */   GIR_EraseRootFromParent_Done,
     /*  167642 */ // Label 3145: @167642
     /*  167642 */ GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(167696), // Rule ID 285 //
     /*  167647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  167650 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167653 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  167660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167664 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167668 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167675 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  167678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167685 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167690 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167694 */   GIR_RootConstrainSelectedInstOperands,
     /*  167695 */   // GIR_Coverage, 285,
     /*  167695 */   GIR_EraseRootFromParent_Done,
     /*  167696 */ // Label 3146: @167696
     /*  167696 */ GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(167753), // Rule ID 327 //
     /*  167701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  167704 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167707 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167714 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  167717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167721 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167725 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167732 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10096>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  167735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167737 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167742 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167747 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167751 */   GIR_RootConstrainSelectedInstOperands,
     /*  167752 */   // GIR_Coverage, 327,
     /*  167752 */   GIR_EraseRootFromParent_Done,
     /*  167753 */ // Label 3147: @167753
     /*  167753 */ GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(167810), // Rule ID 331 //
     /*  167758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  167761 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167764 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167771 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  167774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167778 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167782 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167789 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10098>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  167792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167794 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167799 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167804 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167808 */   GIR_RootConstrainSelectedInstOperands,
     /*  167809 */   // GIR_Coverage, 331,
     /*  167809 */   GIR_EraseRootFromParent_Done,
     /*  167810 */ // Label 3148: @167810
     /*  167810 */ GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(167867), // Rule ID 347 //
     /*  167815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  167818 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167821 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  167828 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  167831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167835 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167839 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167846 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10112>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  167849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167851 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167856 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167861 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167865 */   GIR_RootConstrainSelectedInstOperands,
     /*  167866 */   // GIR_Coverage, 347,
     /*  167866 */   GIR_EraseRootFromParent_Done,
     /*  167867 */ // Label 3149: @167867
     /*  167867 */ GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(167907), // Rule ID 1103 //
     /*  167872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  167875 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167878 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167885 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  167888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167892 */   // MIs[0] rs1
     /*  167892 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167900 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10600>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  167900 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  167905 */   GIR_RootConstrainSelectedInstOperands,
     /*  167906 */   // GIR_Coverage, 1103,
     /*  167906 */   GIR_Done,
     /*  167907 */ // Label 3150: @167907
     /*  167907 */ GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(167947), // Rule ID 1107 //
     /*  167912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  167915 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167918 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167925 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  167928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167932 */   // MIs[0] rs1
     /*  167932 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167940 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10602>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  167940 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  167945 */   GIR_RootConstrainSelectedInstOperands,
     /*  167946 */   // GIR_Coverage, 1107,
     /*  167946 */   GIR_Done,
     /*  167947 */ // Label 3151: @167947
     /*  167947 */ GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(167987), // Rule ID 1111 //
     /*  167952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  167955 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167958 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167965 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  167968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167972 */   // MIs[0] rs1
     /*  167972 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167980 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10604>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  167980 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  167985 */   GIR_RootConstrainSelectedInstOperands,
     /*  167986 */   // GIR_Coverage, 1111,
     /*  167986 */   GIR_Done,
     /*  167987 */ // Label 3152: @167987
     /*  167987 */ GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(168027), // Rule ID 1115 //
     /*  167992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  167995 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167998 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168005 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  168008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168012 */   // MIs[0] rs1
     /*  168012 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  168016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168020 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10606>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  168020 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  168025 */   GIR_RootConstrainSelectedInstOperands,
     /*  168026 */   // GIR_Coverage, 1115,
     /*  168026 */   GIR_Done,
     /*  168027 */ // Label 3153: @168027
     /*  168027 */ GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(168067), // Rule ID 1135 //
     /*  168032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  168035 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168038 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168045 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168052 */   // MIs[0] rs1
     /*  168052 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  168056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168060 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10624>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  168060 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  168065 */   GIR_RootConstrainSelectedInstOperands,
     /*  168066 */   // GIR_Coverage, 1135,
     /*  168066 */   GIR_Done,
     /*  168067 */ // Label 3154: @168067
     /*  168067 */ GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(168107), // Rule ID 1139 //
     /*  168072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  168075 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168078 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168085 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  168088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168092 */   // MIs[0] rs1
     /*  168092 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  168096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168100 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10626>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  168100 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  168105 */   GIR_RootConstrainSelectedInstOperands,
     /*  168106 */   // GIR_Coverage, 1139,
     /*  168106 */   GIR_Done,
     /*  168107 */ // Label 3155: @168107
     /*  168107 */ GIM_Reject,
     /*  168108 */ // Label 3132: @168108
     /*  168108 */ GIM_Reject,
     /*  168109 */ // Label 23: @168109
     /*  168109 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3158*/ GIMT_Encode4(168742),
     /*  168120 */ /*GILLT_s32*//*Label 3156*/ GIMT_Encode4(168128),
     /*  168124 */ /*GILLT_s64*//*Label 3157*/ GIMT_Encode4(168408),
     /*  168128 */ // Label 3156: @168128
     /*  168128 */ GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(168182), // Rule ID 245 //
     /*  168133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  168136 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168139 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168150 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168154 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168161 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  168164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168166 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168171 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168176 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168180 */   GIR_RootConstrainSelectedInstOperands,
     /*  168181 */   // GIR_Coverage, 245,
     /*  168181 */   GIR_EraseRootFromParent_Done,
     /*  168182 */ // Label 3159: @168182
     /*  168182 */ GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(168236), // Rule ID 247 //
     /*  168187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  168190 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168193 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168204 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168208 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168215 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  168218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168220 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168225 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168230 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168234 */   GIR_RootConstrainSelectedInstOperands,
     /*  168235 */   // GIR_Coverage, 247,
     /*  168235 */   GIR_EraseRootFromParent_Done,
     /*  168236 */ // Label 3160: @168236
     /*  168236 */ GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(168293), // Rule ID 334 //
     /*  168241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  168244 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168247 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168254 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168261 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168265 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168272 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_10100>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  168275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168277 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168282 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168287 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168291 */   GIR_RootConstrainSelectedInstOperands,
     /*  168292 */   // GIR_Coverage, 334,
     /*  168292 */   GIR_EraseRootFromParent_Done,
     /*  168293 */ // Label 3161: @168293
     /*  168293 */ GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(168350), // Rule ID 336 //
     /*  168298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  168301 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168304 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168311 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168318 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168322 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168329 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_10102>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  168332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168334 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168339 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168344 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168348 */   GIR_RootConstrainSelectedInstOperands,
     /*  168349 */   // GIR_Coverage, 336,
     /*  168349 */   GIR_EraseRootFromParent_Done,
     /*  168350 */ // Label 3162: @168350
     /*  168350 */ GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(168407), // Rule ID 350 //
     /*  168355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  168358 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168361 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168368 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168375 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168379 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168386 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_32>><<P:Predicate_anonymous_10114>>  =>  (LWU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  168389 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168391 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168396 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168401 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168405 */   GIR_RootConstrainSelectedInstOperands,
     /*  168406 */   // GIR_Coverage, 350,
     /*  168406 */   GIR_EraseRootFromParent_Done,
     /*  168407 */ // Label 3163: @168407
     /*  168407 */ GIM_Reject,
     /*  168408 */ // Label 3157: @168408
     /*  168408 */ GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(168462), // Rule ID 244 //
     /*  168413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  168416 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168419 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168430 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168434 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168441 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  168444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168446 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168451 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168456 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168460 */   GIR_RootConstrainSelectedInstOperands,
     /*  168461 */   // GIR_Coverage, 244,
     /*  168461 */   GIR_EraseRootFromParent_Done,
     /*  168462 */ // Label 3164: @168462
     /*  168462 */ GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(168516), // Rule ID 246 //
     /*  168467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  168470 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168473 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168484 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168488 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168495 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  168498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168500 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168505 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168510 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168514 */   GIR_RootConstrainSelectedInstOperands,
     /*  168515 */   // GIR_Coverage, 246,
     /*  168515 */   GIR_EraseRootFromParent_Done,
     /*  168516 */ // Label 3165: @168516
     /*  168516 */ GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(168570), // Rule ID 287 //
     /*  168521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  168524 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168527 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168538 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168542 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168549 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  168552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168554 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168559 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168564 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168568 */   GIR_RootConstrainSelectedInstOperands,
     /*  168569 */   // GIR_Coverage, 287,
     /*  168569 */   GIR_EraseRootFromParent_Done,
     /*  168570 */ // Label 3166: @168570
     /*  168570 */ GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(168627), // Rule ID 333 //
     /*  168575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  168578 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168581 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168588 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168595 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168599 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168606 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_10100>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  168609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168611 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168616 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168621 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168625 */   GIR_RootConstrainSelectedInstOperands,
     /*  168626 */   // GIR_Coverage, 333,
     /*  168626 */   GIR_EraseRootFromParent_Done,
     /*  168627 */ // Label 3167: @168627
     /*  168627 */ GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(168684), // Rule ID 335 //
     /*  168632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  168635 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168638 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168645 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168652 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168656 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168663 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_10102>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  168666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168668 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168673 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168678 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168682 */   GIR_RootConstrainSelectedInstOperands,
     /*  168683 */   // GIR_Coverage, 335,
     /*  168683 */   GIR_EraseRootFromParent_Done,
     /*  168684 */ // Label 3168: @168684
     /*  168684 */ GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(168741), // Rule ID 349 //
     /*  168689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  168692 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168695 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168702 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168709 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168713 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168720 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_32>><<P:Predicate_anonymous_10114>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  168723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168725 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168730 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168735 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168739 */   GIR_RootConstrainSelectedInstOperands,
     /*  168740 */   // GIR_Coverage, 349,
     /*  168740 */   GIR_EraseRootFromParent_Done,
     /*  168741 */ // Label 3169: @168741
     /*  168741 */ GIM_Reject,
     /*  168742 */ // Label 3158: @168742
     /*  168742 */ GIM_Reject,
     /*  168743 */ // Label 24: @168743
     /*  168743 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 3204*/ GIMT_Encode4(175642),
     /*  168754 */ /*GILLT_p0s32*//*Label 3170*/ GIMT_Encode4(168890),
     /*  168758 */ /*GILLT_p0s64*//*Label 3171*/ GIMT_Encode4(168984),
     /*  168762 */ /*GILLT_s16*//*Label 3172*/ GIMT_Encode4(169078),
     /*  168766 */ /*GILLT_s32*//*Label 3173*/ GIMT_Encode4(169717),
     /*  168770 */ /*GILLT_s64*//*Label 3174*/ GIMT_Encode4(171019),
     /*  168774 */ /*GILLT_nxv1s1*//*Label 3175*/ GIMT_Encode4(172096),
     /*  168778 */ /*GILLT_nxv1s8*//*Label 3176*/ GIMT_Encode4(172176),
     /*  168782 */ /*GILLT_nxv1s16*//*Label 3177*/ GIMT_Encode4(172264),
     /*  168786 */ /*GILLT_nxv1s32*//*Label 3178*/ GIMT_Encode4(172422),
     /*  168790 */ /*GILLT_nxv1s64*//*Label 3179*/ GIMT_Encode4(172580),
     /*  168794 */ /*GILLT_nxv2s1*//*Label 3180*/ GIMT_Encode4(172738),
     /*  168798 */ /*GILLT_nxv2s8*//*Label 3181*/ GIMT_Encode4(172818),
     /*  168802 */ /*GILLT_nxv2s16*//*Label 3182*/ GIMT_Encode4(172906),
     /*  168806 */ /*GILLT_nxv2s32*//*Label 3183*/ GIMT_Encode4(173064),
     /*  168810 */ /*GILLT_nxv2s64*//*Label 3184*/ GIMT_Encode4(173222),
     /*  168814 */ /*GILLT_nxv4s1*//*Label 3185*/ GIMT_Encode4(173380),
     /*  168818 */ /*GILLT_nxv4s8*//*Label 3186*/ GIMT_Encode4(173460),
     /*  168822 */ /*GILLT_nxv4s16*//*Label 3187*/ GIMT_Encode4(173548),
     /*  168826 */ /*GILLT_nxv4s32*//*Label 3188*/ GIMT_Encode4(173706),
     /*  168830 */ /*GILLT_nxv4s64*//*Label 3189*/ GIMT_Encode4(173864),
     /*  168834 */ /*GILLT_nxv8s1*//*Label 3190*/ GIMT_Encode4(174022),
     /*  168838 */ /*GILLT_nxv8s8*//*Label 3191*/ GIMT_Encode4(174102),
     /*  168842 */ /*GILLT_nxv8s16*//*Label 3192*/ GIMT_Encode4(174190),
     /*  168846 */ /*GILLT_nxv8s32*//*Label 3193*/ GIMT_Encode4(174348),
     /*  168850 */ /*GILLT_nxv8s64*//*Label 3194*/ GIMT_Encode4(174506),
     /*  168854 */ /*GILLT_nxv16s1*//*Label 3195*/ GIMT_Encode4(174664),
     /*  168858 */ /*GILLT_nxv16s8*//*Label 3196*/ GIMT_Encode4(174744),
     /*  168862 */ /*GILLT_nxv16s16*//*Label 3197*/ GIMT_Encode4(174832),
     /*  168866 */ /*GILLT_nxv16s32*//*Label 3198*/ GIMT_Encode4(174990),
     /*  168870 */ /*GILLT_nxv32s1*//*Label 3199*/ GIMT_Encode4(175148),
     /*  168874 */ /*GILLT_nxv32s8*//*Label 3200*/ GIMT_Encode4(175228),
     /*  168878 */ /*GILLT_nxv32s16*//*Label 3201*/ GIMT_Encode4(175316),
     /*  168882 */ /*GILLT_nxv64s1*//*Label 3202*/ GIMT_Encode4(175474),
     /*  168886 */ /*GILLT_nxv64s8*//*Label 3203*/ GIMT_Encode4(175554),
     /*  168890 */ // Label 3170: @168890
     /*  168890 */ GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(168983),
     /*  168895 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168898 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168906 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168910 */   GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(168946), // Rule ID 65369 //
     /*  168915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  168918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168925 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  168928 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168944 */     GIR_RootConstrainSelectedInstOperands,
     /*  168945 */     // GIR_Coverage, 65369,
     /*  168945 */     GIR_EraseRootFromParent_Done,
     /*  168946 */   // Label 3206: @168946
     /*  168946 */   GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(168982), // Rule ID 65373 //
     /*  168951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  168954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168961 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  168964 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168980 */     GIR_RootConstrainSelectedInstOperands,
     /*  168981 */     // GIR_Coverage, 65373,
     /*  168981 */     GIR_EraseRootFromParent_Done,
     /*  168982 */   // Label 3207: @168982
     /*  168982 */   GIM_Reject,
     /*  168983 */ // Label 3205: @168983
     /*  168983 */ GIM_Reject,
     /*  168984 */ // Label 3171: @168984
     /*  168984 */ GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(169077),
     /*  168989 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168992 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169000 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169004 */   GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(169040), // Rule ID 65368 //
     /*  169009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  169012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169019 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169022 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169034 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169038 */     GIR_RootConstrainSelectedInstOperands,
     /*  169039 */     // GIR_Coverage, 65368,
     /*  169039 */     GIR_EraseRootFromParent_Done,
     /*  169040 */   // Label 3209: @169040
     /*  169040 */   GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(169076), // Rule ID 65372 //
     /*  169045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169055 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  169058 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169070 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169074 */     GIR_RootConstrainSelectedInstOperands,
     /*  169075 */     // GIR_Coverage, 65372,
     /*  169075 */     GIR_EraseRootFromParent_Done,
     /*  169076 */   // Label 3210: @169076
     /*  169076 */   GIM_Reject,
     /*  169077 */ // Label 3208: @169077
     /*  169077 */ GIM_Reject,
     /*  169078 */ // Label 3172: @169078
     /*  169078 */ GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(169132), // Rule ID 65386 //
     /*  169083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  169086 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169089 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169100 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169104 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169111 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169114 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169116 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169121 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169126 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169130 */   GIR_RootConstrainSelectedInstOperands,
     /*  169131 */   // GIR_Coverage, 65386,
     /*  169131 */   GIR_EraseRootFromParent_Done,
     /*  169132 */ // Label 3211: @169132
     /*  169132 */ GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(169186), // Rule ID 65387 //
     /*  169137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  169140 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169143 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169154 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169158 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169165 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169168 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169170 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169175 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169180 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169184 */   GIR_RootConstrainSelectedInstOperands,
     /*  169185 */   // GIR_Coverage, 65387,
     /*  169185 */   GIR_EraseRootFromParent_Done,
     /*  169186 */ // Label 3212: @169186
     /*  169186 */ GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(169240), // Rule ID 65388 //
     /*  169191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  169194 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169197 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169208 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169212 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169219 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169222 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169224 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169229 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169234 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169238 */   GIR_RootConstrainSelectedInstOperands,
     /*  169239 */   // GIR_Coverage, 65388,
     /*  169239 */   GIR_EraseRootFromParent_Done,
     /*  169240 */ // Label 3213: @169240
     /*  169240 */ GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(169294), // Rule ID 65389 //
     /*  169245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  169248 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169251 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169262 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169266 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169273 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169276 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169278 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169283 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169288 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169292 */   GIR_RootConstrainSelectedInstOperands,
     /*  169293 */   // GIR_Coverage, 65389,
     /*  169293 */   GIR_EraseRootFromParent_Done,
     /*  169294 */ // Label 3214: @169294
     /*  169294 */ GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(169345), // Rule ID 2152 //
     /*  169299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  169302 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169305 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  169313 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169317 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169324 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  169327 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169329 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169334 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169339 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169343 */   GIR_RootConstrainSelectedInstOperands,
     /*  169344 */   // GIR_Coverage, 2152,
     /*  169344 */   GIR_EraseRootFromParent_Done,
     /*  169345 */ // Label 3215: @169345
     /*  169345 */ GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(169396), // Rule ID 2153 //
     /*  169350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  169353 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169356 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  169364 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169368 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169375 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  169378 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169380 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169385 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169390 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169394 */   GIR_RootConstrainSelectedInstOperands,
     /*  169395 */   // GIR_Coverage, 2153,
     /*  169395 */   GIR_EraseRootFromParent_Done,
     /*  169396 */ // Label 3216: @169396
     /*  169396 */ GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(169447), // Rule ID 2158 //
     /*  169401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  169404 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169407 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  169415 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169419 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169426 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  169429 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169431 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169436 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169441 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169445 */   GIR_RootConstrainSelectedInstOperands,
     /*  169446 */   // GIR_Coverage, 2158,
     /*  169446 */   GIR_EraseRootFromParent_Done,
     /*  169447 */ // Label 3217: @169447
     /*  169447 */ GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(169498), // Rule ID 2159 //
     /*  169452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  169455 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169458 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  169466 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169470 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169477 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  169480 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169482 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169487 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169492 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169496 */   GIR_RootConstrainSelectedInstOperands,
     /*  169497 */   // GIR_Coverage, 2159,
     /*  169497 */   GIR_EraseRootFromParent_Done,
     /*  169498 */ // Label 3218: @169498
     /*  169498 */ GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(169549), // Rule ID 65376 //
     /*  169503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  169506 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169509 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169517 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169521 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169528 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169531 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169533 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169538 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169543 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169547 */   GIR_RootConstrainSelectedInstOperands,
     /*  169548 */   // GIR_Coverage, 65376,
     /*  169548 */   GIR_EraseRootFromParent_Done,
     /*  169549 */ // Label 3219: @169549
     /*  169549 */ GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(169600), // Rule ID 65377 //
     /*  169554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169557 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169560 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169568 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169572 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169579 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169582 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169584 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169589 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169594 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169598 */   GIR_RootConstrainSelectedInstOperands,
     /*  169599 */   // GIR_Coverage, 65377,
     /*  169599 */   GIR_EraseRootFromParent_Done,
     /*  169600 */ // Label 3220: @169600
     /*  169600 */ GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(169658), // Rule ID 65380 //
     /*  169605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  169608 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169611 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169615 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169626 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169630 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169637 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169640 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169642 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169647 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169652 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169656 */   GIR_RootConstrainSelectedInstOperands,
     /*  169657 */   // GIR_Coverage, 65380,
     /*  169657 */   GIR_EraseRootFromParent_Done,
     /*  169658 */ // Label 3221: @169658
     /*  169658 */ GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(169716), // Rule ID 65381 //
     /*  169663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169666 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169669 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169673 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169684 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169688 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169695 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169698 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169700 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169710 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169714 */   GIR_RootConstrainSelectedInstOperands,
     /*  169715 */   // GIR_Coverage, 65381,
     /*  169715 */   GIR_EraseRootFromParent_Done,
     /*  169716 */ // Label 3222: @169716
     /*  169716 */ GIM_Reject,
     /*  169717 */ // Label 3173: @169717
     /*  169717 */ GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(169774), // Rule ID 338 //
     /*  169722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  169725 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169728 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169735 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169742 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169746 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169753 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10104>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169756 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169758 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169763 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169768 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169772 */   GIR_RootConstrainSelectedInstOperands,
     /*  169773 */   // GIR_Coverage, 338,
     /*  169773 */   GIR_EraseRootFromParent_Done,
     /*  169774 */ // Label 3223: @169774
     /*  169774 */ GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(169831), // Rule ID 340 //
     /*  169779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  169782 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169785 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169792 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169799 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169803 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169810 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10106>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169813 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169815 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169820 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169825 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169829 */   GIR_RootConstrainSelectedInstOperands,
     /*  169830 */   // GIR_Coverage, 340,
     /*  169830 */   GIR_EraseRootFromParent_Done,
     /*  169831 */ // Label 3224: @169831
     /*  169831 */ GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(169888), // Rule ID 342 //
     /*  169836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  169839 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169842 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169849 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169856 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169860 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169867 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10108>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169870 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169872 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169877 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169882 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169886 */   GIR_RootConstrainSelectedInstOperands,
     /*  169887 */   // GIR_Coverage, 342,
     /*  169887 */   GIR_EraseRootFromParent_Done,
     /*  169888 */ // Label 3225: @169888
     /*  169888 */ GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(169942), // Rule ID 65392 //
     /*  169893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  169896 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169899 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169910 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169914 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169921 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169924 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169926 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169931 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169936 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169940 */   GIR_RootConstrainSelectedInstOperands,
     /*  169941 */   // GIR_Coverage, 65392,
     /*  169941 */   GIR_EraseRootFromParent_Done,
     /*  169942 */ // Label 3226: @169942
     /*  169942 */ GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(169996), // Rule ID 65393 //
     /*  169947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  169950 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169953 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169964 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169968 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169975 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169978 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169980 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169985 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169990 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169994 */   GIR_RootConstrainSelectedInstOperands,
     /*  169995 */   // GIR_Coverage, 65393,
     /*  169995 */   GIR_EraseRootFromParent_Done,
     /*  169996 */ // Label 3227: @169996
     /*  169996 */ GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(170054), // Rule ID 249 //
     /*  170001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  170004 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170007 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170011 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170022 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170026 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170033 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  170036 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170038 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170043 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170048 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170052 */   GIR_RootConstrainSelectedInstOperands,
     /*  170053 */   // GIR_Coverage, 249,
     /*  170053 */   GIR_EraseRootFromParent_Done,
     /*  170054 */ // Label 3228: @170054
     /*  170054 */ GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(170112), // Rule ID 251 //
     /*  170059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  170062 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170065 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170069 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170080 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170084 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170091 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170094 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170096 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170101 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170106 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170110 */   GIR_RootConstrainSelectedInstOperands,
     /*  170111 */   // GIR_Coverage, 251,
     /*  170111 */   GIR_EraseRootFromParent_Done,
     /*  170112 */ // Label 3229: @170112
     /*  170112 */ GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(170163), // Rule ID 252 //
     /*  170117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  170120 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170123 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170131 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170135 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170142 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  170145 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170147 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170152 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170157 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170161 */   GIR_RootConstrainSelectedInstOperands,
     /*  170162 */   // GIR_Coverage, 252,
     /*  170162 */   GIR_EraseRootFromParent_Done,
     /*  170163 */ // Label 3230: @170163
     /*  170163 */ GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(170214), // Rule ID 253 //
     /*  170168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  170171 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170174 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170182 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170186 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170193 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  170196 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170198 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170203 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170208 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170212 */   GIR_RootConstrainSelectedInstOperands,
     /*  170213 */   // GIR_Coverage, 253,
     /*  170213 */   GIR_EraseRootFromParent_Done,
     /*  170214 */ // Label 3231: @170214
     /*  170214 */ GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(170265), // Rule ID 1439 //
     /*  170219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  170222 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170225 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  170233 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170237 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170244 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  170247 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170249 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170254 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170259 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170263 */   GIR_RootConstrainSelectedInstOperands,
     /*  170264 */   // GIR_Coverage, 1439,
     /*  170264 */   GIR_EraseRootFromParent_Done,
     /*  170265 */ // Label 3232: @170265
     /*  170265 */ GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(170316), // Rule ID 1440 //
     /*  170270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  170273 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170276 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  170284 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170288 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170295 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  170298 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170300 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170305 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170310 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170314 */   GIR_RootConstrainSelectedInstOperands,
     /*  170315 */   // GIR_Coverage, 1440,
     /*  170315 */   GIR_EraseRootFromParent_Done,
     /*  170316 */ // Label 3233: @170316
     /*  170316 */ GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(170367), // Rule ID 1445 //
     /*  170321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  170324 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170327 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  170335 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170339 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170346 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  170349 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170351 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170356 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170361 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170365 */   GIR_RootConstrainSelectedInstOperands,
     /*  170366 */   // GIR_Coverage, 1445,
     /*  170366 */   GIR_EraseRootFromParent_Done,
     /*  170367 */ // Label 3234: @170367
     /*  170367 */ GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(170418), // Rule ID 1446 //
     /*  170372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  170375 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170378 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  170386 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170390 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170397 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  170400 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170402 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170407 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170412 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170416 */   GIR_RootConstrainSelectedInstOperands,
     /*  170417 */   // GIR_Coverage, 1446,
     /*  170417 */   GIR_EraseRootFromParent_Done,
     /*  170418 */ // Label 3235: @170418
     /*  170418 */ GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(170476), // Rule ID 65398 //
     /*  170423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  170426 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170429 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170433 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170444 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170448 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170455 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  170458 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170460 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170465 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170470 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170474 */   GIR_RootConstrainSelectedInstOperands,
     /*  170475 */   // GIR_Coverage, 65398,
     /*  170475 */   GIR_EraseRootFromParent_Done,
     /*  170476 */ // Label 3236: @170476
     /*  170476 */ GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(170534), // Rule ID 65399 //
     /*  170481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  170484 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170487 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170491 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170502 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170506 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170513 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  170516 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170518 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170523 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170528 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170532 */   GIR_RootConstrainSelectedInstOperands,
     /*  170533 */   // GIR_Coverage, 65399,
     /*  170533 */   GIR_EraseRootFromParent_Done,
     /*  170534 */ // Label 3237: @170534
     /*  170534 */ GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(170592), // Rule ID 65400 //
     /*  170539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  170542 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170545 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170549 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170560 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170564 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170571 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170574 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170576 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170581 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170586 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170590 */   GIR_RootConstrainSelectedInstOperands,
     /*  170591 */   // GIR_Coverage, 65400,
     /*  170591 */   GIR_EraseRootFromParent_Done,
     /*  170592 */ // Label 3238: @170592
     /*  170592 */ GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(170650), // Rule ID 65401 //
     /*  170597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  170600 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170603 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170607 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170618 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170622 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170629 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170632 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170634 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170639 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170644 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170648 */   GIR_RootConstrainSelectedInstOperands,
     /*  170649 */   // GIR_Coverage, 65401,
     /*  170649 */   GIR_EraseRootFromParent_Done,
     /*  170650 */ // Label 3239: @170650
     /*  170650 */ GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(170696), // Rule ID 1118 //
     /*  170655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170658 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170661 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170668 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170675 */   // MIs[0] rs1
     /*  170675 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170683 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10608>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  170686 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170688 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170690 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170694 */   GIR_RootConstrainSelectedInstOperands,
     /*  170695 */   // GIR_Coverage, 1118,
     /*  170695 */   GIR_EraseRootFromParent_Done,
     /*  170696 */ // Label 3240: @170696
     /*  170696 */ GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(170742), // Rule ID 1120 //
     /*  170701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170704 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170707 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170714 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170721 */   // MIs[0] rs1
     /*  170721 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170729 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10610>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  170732 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170734 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170736 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170740 */   GIR_RootConstrainSelectedInstOperands,
     /*  170741 */   // GIR_Coverage, 1120,
     /*  170741 */   GIR_EraseRootFromParent_Done,
     /*  170742 */ // Label 3241: @170742
     /*  170742 */ GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(170788), // Rule ID 1122 //
     /*  170747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170750 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170753 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170760 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170767 */   // MIs[0] rs1
     /*  170767 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170775 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10612>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  170778 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170780 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170782 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170786 */   GIR_RootConstrainSelectedInstOperands,
     /*  170787 */   // GIR_Coverage, 1122,
     /*  170787 */   GIR_EraseRootFromParent_Done,
     /*  170788 */ // Label 3242: @170788
     /*  170788 */ GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(170834), // Rule ID 1124 //
     /*  170793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170796 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170799 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170806 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170813 */   // MIs[0] rs1
     /*  170813 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170821 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10614>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  170824 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170826 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170828 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170832 */   GIR_RootConstrainSelectedInstOperands,
     /*  170833 */   // GIR_Coverage, 1124,
     /*  170833 */   GIR_EraseRootFromParent_Done,
     /*  170834 */ // Label 3243: @170834
     /*  170834 */ GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(170880), // Rule ID 1126 //
     /*  170839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170842 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170845 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170852 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170859 */   // MIs[0] rs1
     /*  170859 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170867 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10616>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  170870 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170872 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170874 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170878 */   GIR_RootConstrainSelectedInstOperands,
     /*  170879 */   // GIR_Coverage, 1126,
     /*  170879 */   GIR_EraseRootFromParent_Done,
     /*  170880 */ // Label 3244: @170880
     /*  170880 */ GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(170926), // Rule ID 1128 //
     /*  170885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  170888 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170891 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170898 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170905 */   // MIs[0] rs1
     /*  170905 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170913 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10618>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  170916 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170918 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170920 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170924 */   GIR_RootConstrainSelectedInstOperands,
     /*  170925 */   // GIR_Coverage, 1128,
     /*  170925 */   GIR_EraseRootFromParent_Done,
     /*  170926 */ // Label 3245: @170926
     /*  170926 */ GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(170972), // Rule ID 1146 //
     /*  170931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  170934 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170937 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170944 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170951 */   // MIs[0] rs1
     /*  170951 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170959 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10632>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  170962 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170964 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170966 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170970 */   GIR_RootConstrainSelectedInstOperands,
     /*  170971 */   // GIR_Coverage, 1146,
     /*  170971 */   GIR_EraseRootFromParent_Done,
     /*  170972 */ // Label 3246: @170972
     /*  170972 */ GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(171018), // Rule ID 1148 //
     /*  170977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  170980 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170983 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170990 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170997 */   // MIs[0] rs1
     /*  170997 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171005 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10634>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  171005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  171008 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171010 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171012 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171016 */   GIR_RootConstrainSelectedInstOperands,
     /*  171017 */   // GIR_Coverage, 1148,
     /*  171017 */   GIR_EraseRootFromParent_Done,
     /*  171018 */ // Label 3247: @171018
     /*  171018 */ GIM_Reject,
     /*  171019 */ // Label 3174: @171019
     /*  171019 */ GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(171076), // Rule ID 337 //
     /*  171024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  171027 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171030 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171037 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171044 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171048 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171055 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10104>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  171058 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171060 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171065 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171070 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171074 */   GIR_RootConstrainSelectedInstOperands,
     /*  171075 */   // GIR_Coverage, 337,
     /*  171075 */   GIR_EraseRootFromParent_Done,
     /*  171076 */ // Label 3248: @171076
     /*  171076 */ GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(171133), // Rule ID 339 //
     /*  171081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  171084 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171087 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171094 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171101 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171105 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171112 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10106>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  171115 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171117 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171122 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171127 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171131 */   GIR_RootConstrainSelectedInstOperands,
     /*  171132 */   // GIR_Coverage, 339,
     /*  171132 */   GIR_EraseRootFromParent_Done,
     /*  171133 */ // Label 3249: @171133
     /*  171133 */ GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(171190), // Rule ID 341 //
     /*  171138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  171141 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171144 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171151 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171158 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171162 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171169 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10108>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  171172 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171174 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171179 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171184 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171188 */   GIR_RootConstrainSelectedInstOperands,
     /*  171189 */   // GIR_Coverage, 341,
     /*  171189 */   GIR_EraseRootFromParent_Done,
     /*  171190 */ // Label 3250: @171190
     /*  171190 */ GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(171247), // Rule ID 352 //
     /*  171195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  171198 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171201 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171208 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171215 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171219 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171226 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10118>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  171229 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171231 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171236 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171241 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171245 */   GIR_RootConstrainSelectedInstOperands,
     /*  171246 */   // GIR_Coverage, 352,
     /*  171246 */   GIR_EraseRootFromParent_Done,
     /*  171247 */ // Label 3251: @171247
     /*  171247 */ GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(171305), // Rule ID 248 //
     /*  171252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  171255 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171258 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171262 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171273 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171277 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171284 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  171287 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171289 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171294 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171299 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171303 */   GIR_RootConstrainSelectedInstOperands,
     /*  171304 */   // GIR_Coverage, 248,
     /*  171304 */   GIR_EraseRootFromParent_Done,
     /*  171305 */ // Label 3252: @171305
     /*  171305 */ GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(171363), // Rule ID 250 //
     /*  171310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  171313 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171316 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171320 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171331 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171335 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171342 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  171345 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171347 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171352 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171357 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171361 */   GIR_RootConstrainSelectedInstOperands,
     /*  171362 */   // GIR_Coverage, 250,
     /*  171362 */   GIR_EraseRootFromParent_Done,
     /*  171363 */ // Label 3253: @171363
     /*  171363 */ GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(171421), // Rule ID 289 //
     /*  171368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  171371 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171374 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171378 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171389 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171393 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171400 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  171403 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171405 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171410 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171415 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171419 */   GIR_RootConstrainSelectedInstOperands,
     /*  171420 */   // GIR_Coverage, 289,
     /*  171420 */   GIR_EraseRootFromParent_Done,
     /*  171421 */ // Label 3254: @171421
     /*  171421 */ GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(171472), // Rule ID 290 //
     /*  171426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  171429 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171432 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171440 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171444 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171451 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  171454 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171456 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171461 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171466 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171470 */   GIR_RootConstrainSelectedInstOperands,
     /*  171471 */   // GIR_Coverage, 290,
     /*  171471 */   GIR_EraseRootFromParent_Done,
     /*  171472 */ // Label 3255: @171472
     /*  171472 */ GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(171523), // Rule ID 1837 //
     /*  171477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  171480 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171483 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  171491 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171495 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171502 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  171505 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171507 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171512 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171517 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171521 */   GIR_RootConstrainSelectedInstOperands,
     /*  171522 */   // GIR_Coverage, 1837,
     /*  171522 */   GIR_EraseRootFromParent_Done,
     /*  171523 */ // Label 3256: @171523
     /*  171523 */ GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(171574), // Rule ID 1838 //
     /*  171528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  171531 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171534 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  171542 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171546 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171553 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  171556 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171558 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171563 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171568 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171572 */   GIR_RootConstrainSelectedInstOperands,
     /*  171573 */   // GIR_Coverage, 1838,
     /*  171573 */   GIR_EraseRootFromParent_Done,
     /*  171574 */ // Label 3257: @171574
     /*  171574 */ GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(171625), // Rule ID 1841 //
     /*  171579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  171582 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171585 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171593 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171597 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171604 */   // (st GPR:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  171607 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171609 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171614 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171619 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171623 */   GIR_RootConstrainSelectedInstOperands,
     /*  171624 */   // GIR_Coverage, 1841,
     /*  171624 */   GIR_EraseRootFromParent_Done,
     /*  171625 */ // Label 3258: @171625
     /*  171625 */ GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(171676), // Rule ID 1846 //
     /*  171630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode0),
     /*  171633 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171636 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  171644 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171648 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171655 */   // (st GPRPair:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD_RV32 GPRPair:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RV32),
     /*  171658 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171660 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171665 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171670 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171674 */   GIR_RootConstrainSelectedInstOperands,
     /*  171675 */   // GIR_Coverage, 1846,
     /*  171675 */   GIR_EraseRootFromParent_Done,
     /*  171676 */ // Label 3259: @171676
     /*  171676 */ GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(171727), // Rule ID 1847 //
     /*  171681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode1),
     /*  171684 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171687 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  171695 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171699 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171706 */   // (st GPRPair:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD_RV32 GPRPair:{ *:[f64] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RV32),
     /*  171709 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171711 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171716 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171721 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171725 */   GIR_RootConstrainSelectedInstOperands,
     /*  171726 */   // GIR_Coverage, 1847,
     /*  171726 */   GIR_EraseRootFromParent_Done,
     /*  171727 */ // Label 3260: @171727
     /*  171727 */ GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(171773), // Rule ID 1117 //
     /*  171732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171735 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171738 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171745 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171752 */   // MIs[0] rs1
     /*  171752 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171760 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10608>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  171763 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171765 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171767 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171771 */   GIR_RootConstrainSelectedInstOperands,
     /*  171772 */   // GIR_Coverage, 1117,
     /*  171772 */   GIR_EraseRootFromParent_Done,
     /*  171773 */ // Label 3261: @171773
     /*  171773 */ GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(171819), // Rule ID 1119 //
     /*  171778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171781 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171784 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171791 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171798 */   // MIs[0] rs1
     /*  171798 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171806 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10610>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  171809 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171811 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171813 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171817 */   GIR_RootConstrainSelectedInstOperands,
     /*  171818 */   // GIR_Coverage, 1119,
     /*  171818 */   GIR_EraseRootFromParent_Done,
     /*  171819 */ // Label 3262: @171819
     /*  171819 */ GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(171865), // Rule ID 1121 //
     /*  171824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171827 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171830 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171837 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171844 */   // MIs[0] rs1
     /*  171844 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171852 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10612>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  171855 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171857 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171859 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171863 */   GIR_RootConstrainSelectedInstOperands,
     /*  171864 */   // GIR_Coverage, 1121,
     /*  171864 */   GIR_EraseRootFromParent_Done,
     /*  171865 */ // Label 3263: @171865
     /*  171865 */ GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(171911), // Rule ID 1123 //
     /*  171870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171873 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171876 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171883 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171890 */   // MIs[0] rs1
     /*  171890 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171898 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10614>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  171901 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171903 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171905 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171909 */   GIR_RootConstrainSelectedInstOperands,
     /*  171910 */   // GIR_Coverage, 1123,
     /*  171910 */   GIR_EraseRootFromParent_Done,
     /*  171911 */ // Label 3264: @171911
     /*  171911 */ GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(171957), // Rule ID 1125 //
     /*  171916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171919 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171922 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171929 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171936 */   // MIs[0] rs1
     /*  171936 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171944 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10616>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  171947 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171949 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171951 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171955 */   GIR_RootConstrainSelectedInstOperands,
     /*  171956 */   // GIR_Coverage, 1125,
     /*  171956 */   GIR_EraseRootFromParent_Done,
     /*  171957 */ // Label 3265: @171957
     /*  171957 */ GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(172003), // Rule ID 1127 //
     /*  171962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  171965 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171968 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171975 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171982 */   // MIs[0] rs1
     /*  171982 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171990 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10618>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  171990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  171993 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171995 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171997 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172001 */   GIR_RootConstrainSelectedInstOperands,
     /*  172002 */   // GIR_Coverage, 1127,
     /*  172002 */   GIR_EraseRootFromParent_Done,
     /*  172003 */ // Label 3266: @172003
     /*  172003 */ GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(172049), // Rule ID 1145 //
     /*  172008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  172011 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  172014 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  172021 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  172024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172028 */   // MIs[0] rs1
     /*  172028 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172036 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10632>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  172036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  172039 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172041 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172043 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172047 */   GIR_RootConstrainSelectedInstOperands,
     /*  172048 */   // GIR_Coverage, 1145,
     /*  172048 */   GIR_EraseRootFromParent_Done,
     /*  172049 */ // Label 3267: @172049
     /*  172049 */ GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(172095), // Rule ID 1147 //
     /*  172054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  172057 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  172060 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  172067 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  172070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172074 */   // MIs[0] rs1
     /*  172074 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172082 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10634>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  172082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  172085 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172087 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172089 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172093 */   GIR_RootConstrainSelectedInstOperands,
     /*  172094 */   // GIR_Coverage, 1147,
     /*  172094 */   GIR_EraseRootFromParent_Done,
     /*  172095 */ // Label 3268: @172095
     /*  172095 */ GIM_Reject,
     /*  172096 */ // Label 3175: @172096
     /*  172096 */ GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(172175),
     /*  172101 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172104 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172112 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172120 */   GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(172147), // Rule ID 45748 //
     /*  172125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172128 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  172128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  172131 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172145 */     GIR_RootConstrainSelectedInstOperands,
     /*  172146 */     // GIR_Coverage, 45748,
     /*  172146 */     GIR_EraseRootFromParent_Done,
     /*  172147 */   // Label 3270: @172147
     /*  172147 */   GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(172174), // Rule ID 45749 //
     /*  172152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172155 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  172155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  172158 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172172 */     GIR_RootConstrainSelectedInstOperands,
     /*  172173 */     // GIR_Coverage, 45749,
     /*  172173 */     GIR_EraseRootFromParent_Done,
     /*  172174 */   // Label 3271: @172174
     /*  172174 */   GIM_Reject,
     /*  172175 */ // Label 3269: @172175
     /*  172175 */ GIM_Reject,
     /*  172176 */ // Label 3176: @172176
     /*  172176 */ GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(172263),
     /*  172181 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172184 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172192 */   GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(172227), // Rule ID 45744 //
     /*  172197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172200 */     // MIs[0] rs1
     /*  172200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172208 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  172208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  172211 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172221 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172225 */     GIR_RootConstrainSelectedInstOperands,
     /*  172226 */     // GIR_Coverage, 45744,
     /*  172226 */     GIR_EraseRootFromParent_Done,
     /*  172227 */   // Label 3273: @172227
     /*  172227 */   GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(172262), // Rule ID 45745 //
     /*  172232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172235 */     // MIs[0] rs1
     /*  172235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172243 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  172243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  172246 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172260 */     GIR_RootConstrainSelectedInstOperands,
     /*  172261 */     // GIR_Coverage, 45745,
     /*  172261 */     GIR_EraseRootFromParent_Done,
     /*  172262 */   // Label 3274: @172262
     /*  172262 */   GIM_Reject,
     /*  172263 */ // Label 3272: @172263
     /*  172263 */ GIM_Reject,
     /*  172264 */ // Label 3177: @172264
     /*  172264 */ GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(172421),
     /*  172269 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172272 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172280 */   GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(172315), // Rule ID 45940 //
     /*  172285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172288 */     // MIs[0] rs1
     /*  172288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172296 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  172299 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172313 */     GIR_RootConstrainSelectedInstOperands,
     /*  172314 */     // GIR_Coverage, 45940,
     /*  172314 */     GIR_EraseRootFromParent_Done,
     /*  172315 */   // Label 3276: @172315
     /*  172315 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(172350), // Rule ID 45941 //
     /*  172320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172323 */     // MIs[0] rs1
     /*  172323 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172331 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  172334 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172344 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172348 */     GIR_RootConstrainSelectedInstOperands,
     /*  172349 */     // GIR_Coverage, 45941,
     /*  172349 */     GIR_EraseRootFromParent_Done,
     /*  172350 */   // Label 3277: @172350
     /*  172350 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(172385), // Rule ID 46016 //
     /*  172355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  172358 */     // MIs[0] rs1
     /*  172358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172366 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  172369 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172383 */     GIR_RootConstrainSelectedInstOperands,
     /*  172384 */     // GIR_Coverage, 46016,
     /*  172384 */     GIR_EraseRootFromParent_Done,
     /*  172385 */   // Label 3278: @172385
     /*  172385 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(172420), // Rule ID 46017 //
     /*  172390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  172393 */     // MIs[0] rs1
     /*  172393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172401 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  172404 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172418 */     GIR_RootConstrainSelectedInstOperands,
     /*  172419 */     // GIR_Coverage, 46017,
     /*  172419 */     GIR_EraseRootFromParent_Done,
     /*  172420 */   // Label 3279: @172420
     /*  172420 */   GIM_Reject,
     /*  172421 */ // Label 3275: @172421
     /*  172421 */ GIM_Reject,
     /*  172422 */ // Label 3178: @172422
     /*  172422 */ GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(172579),
     /*  172427 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172430 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172438 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(172473), // Rule ID 45948 //
     /*  172443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172446 */     // MIs[0] rs1
     /*  172446 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172454 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  172457 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172471 */     GIR_RootConstrainSelectedInstOperands,
     /*  172472 */     // GIR_Coverage, 45948,
     /*  172472 */     GIR_EraseRootFromParent_Done,
     /*  172473 */   // Label 3281: @172473
     /*  172473 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(172508), // Rule ID 45949 //
     /*  172478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172481 */     // MIs[0] rs1
     /*  172481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172489 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  172492 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172502 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172506 */     GIR_RootConstrainSelectedInstOperands,
     /*  172507 */     // GIR_Coverage, 45949,
     /*  172507 */     GIR_EraseRootFromParent_Done,
     /*  172508 */   // Label 3282: @172508
     /*  172508 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(172543), // Rule ID 46024 //
     /*  172513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  172516 */     // MIs[0] rs1
     /*  172516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172524 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  172527 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172537 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172541 */     GIR_RootConstrainSelectedInstOperands,
     /*  172542 */     // GIR_Coverage, 46024,
     /*  172542 */     GIR_EraseRootFromParent_Done,
     /*  172543 */   // Label 3283: @172543
     /*  172543 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(172578), // Rule ID 46025 //
     /*  172548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  172551 */     // MIs[0] rs1
     /*  172551 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172559 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  172562 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172576 */     GIR_RootConstrainSelectedInstOperands,
     /*  172577 */     // GIR_Coverage, 46025,
     /*  172577 */     GIR_EraseRootFromParent_Done,
     /*  172578 */   // Label 3284: @172578
     /*  172578 */   GIM_Reject,
     /*  172579 */ // Label 3280: @172579
     /*  172579 */ GIM_Reject,
     /*  172580 */ // Label 3179: @172580
     /*  172580 */ GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(172737),
     /*  172585 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172588 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172596 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(172631), // Rule ID 45964 //
     /*  172601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172604 */     // MIs[0] rs1
     /*  172604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172612 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  172615 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172629 */     GIR_RootConstrainSelectedInstOperands,
     /*  172630 */     // GIR_Coverage, 45964,
     /*  172630 */     GIR_EraseRootFromParent_Done,
     /*  172631 */   // Label 3286: @172631
     /*  172631 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(172666), // Rule ID 45965 //
     /*  172636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172639 */     // MIs[0] rs1
     /*  172639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172647 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  172650 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172660 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172664 */     GIR_RootConstrainSelectedInstOperands,
     /*  172665 */     // GIR_Coverage, 45965,
     /*  172665 */     GIR_EraseRootFromParent_Done,
     /*  172666 */   // Label 3287: @172666
     /*  172666 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(172701), // Rule ID 46036 //
     /*  172671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  172674 */     // MIs[0] rs1
     /*  172674 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172682 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  172685 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172695 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172699 */     GIR_RootConstrainSelectedInstOperands,
     /*  172700 */     // GIR_Coverage, 46036,
     /*  172700 */     GIR_EraseRootFromParent_Done,
     /*  172701 */   // Label 3288: @172701
     /*  172701 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(172736), // Rule ID 46037 //
     /*  172706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  172709 */     // MIs[0] rs1
     /*  172709 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172717 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  172720 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172734 */     GIR_RootConstrainSelectedInstOperands,
     /*  172735 */     // GIR_Coverage, 46037,
     /*  172735 */     GIR_EraseRootFromParent_Done,
     /*  172736 */   // Label 3289: @172736
     /*  172736 */   GIM_Reject,
     /*  172737 */ // Label 3285: @172737
     /*  172737 */ GIM_Reject,
     /*  172738 */ // Label 3180: @172738
     /*  172738 */ GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(172817),
     /*  172743 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172746 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172754 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172762 */   GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(172789), // Rule ID 46076 //
     /*  172767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172770 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  172770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  172773 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172783 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172787 */     GIR_RootConstrainSelectedInstOperands,
     /*  172788 */     // GIR_Coverage, 46076,
     /*  172788 */     GIR_EraseRootFromParent_Done,
     /*  172789 */   // Label 3291: @172789
     /*  172789 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(172816), // Rule ID 46077 //
     /*  172794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172797 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  172797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  172800 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172814 */     GIR_RootConstrainSelectedInstOperands,
     /*  172815 */     // GIR_Coverage, 46077,
     /*  172815 */     GIR_EraseRootFromParent_Done,
     /*  172816 */   // Label 3292: @172816
     /*  172816 */   GIM_Reject,
     /*  172817 */ // Label 3290: @172817
     /*  172817 */ GIM_Reject,
     /*  172818 */ // Label 3181: @172818
     /*  172818 */ GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(172905),
     /*  172823 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172826 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172834 */   GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(172869), // Rule ID 45932 //
     /*  172839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172842 */     // MIs[0] rs1
     /*  172842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172850 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  172850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  172853 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172863 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172867 */     GIR_RootConstrainSelectedInstOperands,
     /*  172868 */     // GIR_Coverage, 45932,
     /*  172868 */     GIR_EraseRootFromParent_Done,
     /*  172869 */   // Label 3294: @172869
     /*  172869 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(172904), // Rule ID 45933 //
     /*  172874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172877 */     // MIs[0] rs1
     /*  172877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172885 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  172885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  172888 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172902 */     GIR_RootConstrainSelectedInstOperands,
     /*  172903 */     // GIR_Coverage, 45933,
     /*  172903 */     GIR_EraseRootFromParent_Done,
     /*  172904 */   // Label 3295: @172904
     /*  172904 */   GIM_Reject,
     /*  172905 */ // Label 3293: @172905
     /*  172905 */ GIM_Reject,
     /*  172906 */ // Label 3182: @172906
     /*  172906 */ GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(173063),
     /*  172911 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172914 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172922 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(172957), // Rule ID 45944 //
     /*  172927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172930 */     // MIs[0] rs1
     /*  172930 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172938 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  172941 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172955 */     GIR_RootConstrainSelectedInstOperands,
     /*  172956 */     // GIR_Coverage, 45944,
     /*  172956 */     GIR_EraseRootFromParent_Done,
     /*  172957 */   // Label 3297: @172957
     /*  172957 */   GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(172992), // Rule ID 45945 //
     /*  172962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172965 */     // MIs[0] rs1
     /*  172965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172973 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  172976 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172990 */     GIR_RootConstrainSelectedInstOperands,
     /*  172991 */     // GIR_Coverage, 45945,
     /*  172991 */     GIR_EraseRootFromParent_Done,
     /*  172992 */   // Label 3298: @172992
     /*  172992 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(173027), // Rule ID 46020 //
     /*  172997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  173000 */     // MIs[0] rs1
     /*  173000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173008 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  173011 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173025 */     GIR_RootConstrainSelectedInstOperands,
     /*  173026 */     // GIR_Coverage, 46020,
     /*  173026 */     GIR_EraseRootFromParent_Done,
     /*  173027 */   // Label 3299: @173027
     /*  173027 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(173062), // Rule ID 46021 //
     /*  173032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  173035 */     // MIs[0] rs1
     /*  173035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173043 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  173046 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173060 */     GIR_RootConstrainSelectedInstOperands,
     /*  173061 */     // GIR_Coverage, 46021,
     /*  173061 */     GIR_EraseRootFromParent_Done,
     /*  173062 */   // Label 3300: @173062
     /*  173062 */   GIM_Reject,
     /*  173063 */ // Label 3296: @173063
     /*  173063 */ GIM_Reject,
     /*  173064 */ // Label 3183: @173064
     /*  173064 */ GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(173221),
     /*  173069 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173072 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173080 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(173115), // Rule ID 45960 //
     /*  173085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173088 */     // MIs[0] rs1
     /*  173088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173096 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  173099 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173113 */     GIR_RootConstrainSelectedInstOperands,
     /*  173114 */     // GIR_Coverage, 45960,
     /*  173114 */     GIR_EraseRootFromParent_Done,
     /*  173115 */   // Label 3302: @173115
     /*  173115 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(173150), // Rule ID 45961 //
     /*  173120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173123 */     // MIs[0] rs1
     /*  173123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173131 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  173134 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173148 */     GIR_RootConstrainSelectedInstOperands,
     /*  173149 */     // GIR_Coverage, 45961,
     /*  173149 */     GIR_EraseRootFromParent_Done,
     /*  173150 */   // Label 3303: @173150
     /*  173150 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(173185), // Rule ID 46032 //
     /*  173155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  173158 */     // MIs[0] rs1
     /*  173158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173166 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  173169 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173183 */     GIR_RootConstrainSelectedInstOperands,
     /*  173184 */     // GIR_Coverage, 46032,
     /*  173184 */     GIR_EraseRootFromParent_Done,
     /*  173185 */   // Label 3304: @173185
     /*  173185 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(173220), // Rule ID 46033 //
     /*  173190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  173193 */     // MIs[0] rs1
     /*  173193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173201 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  173204 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173218 */     GIR_RootConstrainSelectedInstOperands,
     /*  173219 */     // GIR_Coverage, 46033,
     /*  173219 */     GIR_EraseRootFromParent_Done,
     /*  173220 */   // Label 3305: @173220
     /*  173220 */   GIM_Reject,
     /*  173221 */ // Label 3301: @173221
     /*  173221 */ GIM_Reject,
     /*  173222 */ // Label 3184: @173222
     /*  173222 */ GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(173379),
     /*  173227 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173230 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173238 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(173273), // Rule ID 46004 //
     /*  173243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  173246 */     // MIs[0] rs1
     /*  173246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173254 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  173257 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173271 */     GIR_RootConstrainSelectedInstOperands,
     /*  173272 */     // GIR_Coverage, 46004,
     /*  173272 */     GIR_EraseRootFromParent_Done,
     /*  173273 */   // Label 3307: @173273
     /*  173273 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(173308), // Rule ID 46005 //
     /*  173278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  173281 */     // MIs[0] rs1
     /*  173281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173289 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  173292 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173306 */     GIR_RootConstrainSelectedInstOperands,
     /*  173307 */     // GIR_Coverage, 46005,
     /*  173307 */     GIR_EraseRootFromParent_Done,
     /*  173308 */   // Label 3308: @173308
     /*  173308 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(173343), // Rule ID 46064 //
     /*  173313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  173316 */     // MIs[0] rs1
     /*  173316 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173324 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  173327 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173337 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173341 */     GIR_RootConstrainSelectedInstOperands,
     /*  173342 */     // GIR_Coverage, 46064,
     /*  173342 */     GIR_EraseRootFromParent_Done,
     /*  173343 */   // Label 3309: @173343
     /*  173343 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(173378), // Rule ID 46065 //
     /*  173348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  173351 */     // MIs[0] rs1
     /*  173351 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173359 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  173362 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173376 */     GIR_RootConstrainSelectedInstOperands,
     /*  173377 */     // GIR_Coverage, 46065,
     /*  173377 */     GIR_EraseRootFromParent_Done,
     /*  173378 */   // Label 3310: @173378
     /*  173378 */   GIM_Reject,
     /*  173379 */ // Label 3306: @173379
     /*  173379 */ GIM_Reject,
     /*  173380 */ // Label 3185: @173380
     /*  173380 */ GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(173459),
     /*  173385 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173388 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173396 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173404 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(173431), // Rule ID 46080 //
     /*  173409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173412 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  173412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  173415 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173425 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173429 */     GIR_RootConstrainSelectedInstOperands,
     /*  173430 */     // GIR_Coverage, 46080,
     /*  173430 */     GIR_EraseRootFromParent_Done,
     /*  173431 */   // Label 3312: @173431
     /*  173431 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(173458), // Rule ID 46081 //
     /*  173436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173439 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  173439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  173442 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173456 */     GIR_RootConstrainSelectedInstOperands,
     /*  173457 */     // GIR_Coverage, 46081,
     /*  173457 */     GIR_EraseRootFromParent_Done,
     /*  173458 */   // Label 3313: @173458
     /*  173458 */   GIM_Reject,
     /*  173459 */ // Label 3311: @173459
     /*  173459 */ GIM_Reject,
     /*  173460 */ // Label 3186: @173460
     /*  173460 */ GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(173547),
     /*  173465 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173468 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173476 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(173511), // Rule ID 45936 //
     /*  173481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173484 */     // MIs[0] rs1
     /*  173484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173492 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  173492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  173495 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173505 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173509 */     GIR_RootConstrainSelectedInstOperands,
     /*  173510 */     // GIR_Coverage, 45936,
     /*  173510 */     GIR_EraseRootFromParent_Done,
     /*  173511 */   // Label 3315: @173511
     /*  173511 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(173546), // Rule ID 45937 //
     /*  173516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173519 */     // MIs[0] rs1
     /*  173519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173527 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  173527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  173530 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173544 */     GIR_RootConstrainSelectedInstOperands,
     /*  173545 */     // GIR_Coverage, 45937,
     /*  173545 */     GIR_EraseRootFromParent_Done,
     /*  173546 */   // Label 3316: @173546
     /*  173546 */   GIM_Reject,
     /*  173547 */ // Label 3314: @173547
     /*  173547 */ GIM_Reject,
     /*  173548 */ // Label 3187: @173548
     /*  173548 */ GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(173705),
     /*  173553 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173556 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173564 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(173599), // Rule ID 45956 //
     /*  173569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173572 */     // MIs[0] rs1
     /*  173572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173580 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  173583 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173597 */     GIR_RootConstrainSelectedInstOperands,
     /*  173598 */     // GIR_Coverage, 45956,
     /*  173598 */     GIR_EraseRootFromParent_Done,
     /*  173599 */   // Label 3318: @173599
     /*  173599 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(173634), // Rule ID 45957 //
     /*  173604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173607 */     // MIs[0] rs1
     /*  173607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173615 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  173618 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173632 */     GIR_RootConstrainSelectedInstOperands,
     /*  173633 */     // GIR_Coverage, 45957,
     /*  173633 */     GIR_EraseRootFromParent_Done,
     /*  173634 */   // Label 3319: @173634
     /*  173634 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(173669), // Rule ID 46028 //
     /*  173639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  173642 */     // MIs[0] rs1
     /*  173642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173650 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  173653 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173663 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173667 */     GIR_RootConstrainSelectedInstOperands,
     /*  173668 */     // GIR_Coverage, 46028,
     /*  173668 */     GIR_EraseRootFromParent_Done,
     /*  173669 */   // Label 3320: @173669
     /*  173669 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(173704), // Rule ID 46029 //
     /*  173674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  173677 */     // MIs[0] rs1
     /*  173677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173685 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  173688 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173702 */     GIR_RootConstrainSelectedInstOperands,
     /*  173703 */     // GIR_Coverage, 46029,
     /*  173703 */     GIR_EraseRootFromParent_Done,
     /*  173704 */   // Label 3321: @173704
     /*  173704 */   GIM_Reject,
     /*  173705 */ // Label 3317: @173705
     /*  173705 */ GIM_Reject,
     /*  173706 */ // Label 3188: @173706
     /*  173706 */ GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(173863),
     /*  173711 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173714 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173722 */   GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(173757), // Rule ID 45992 //
     /*  173727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173730 */     // MIs[0] rs1
     /*  173730 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173738 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  173741 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173755 */     GIR_RootConstrainSelectedInstOperands,
     /*  173756 */     // GIR_Coverage, 45992,
     /*  173756 */     GIR_EraseRootFromParent_Done,
     /*  173757 */   // Label 3323: @173757
     /*  173757 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(173792), // Rule ID 45993 //
     /*  173762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173765 */     // MIs[0] rs1
     /*  173765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173773 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  173776 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173790 */     GIR_RootConstrainSelectedInstOperands,
     /*  173791 */     // GIR_Coverage, 45993,
     /*  173791 */     GIR_EraseRootFromParent_Done,
     /*  173792 */   // Label 3324: @173792
     /*  173792 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(173827), // Rule ID 46052 //
     /*  173797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  173800 */     // MIs[0] rs1
     /*  173800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173808 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  173811 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173821 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173825 */     GIR_RootConstrainSelectedInstOperands,
     /*  173826 */     // GIR_Coverage, 46052,
     /*  173826 */     GIR_EraseRootFromParent_Done,
     /*  173827 */   // Label 3325: @173827
     /*  173827 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(173862), // Rule ID 46053 //
     /*  173832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  173835 */     // MIs[0] rs1
     /*  173835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173843 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  173846 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173860 */     GIR_RootConstrainSelectedInstOperands,
     /*  173861 */     // GIR_Coverage, 46053,
     /*  173861 */     GIR_EraseRootFromParent_Done,
     /*  173862 */   // Label 3326: @173862
     /*  173862 */   GIM_Reject,
     /*  173863 */ // Label 3322: @173863
     /*  173863 */ GIM_Reject,
     /*  173864 */ // Label 3189: @173864
     /*  173864 */ GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(174021),
     /*  173869 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173872 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  173880 */   GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(173915), // Rule ID 46008 //
     /*  173885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  173888 */     // MIs[0] rs1
     /*  173888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173896 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  173899 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173909 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173913 */     GIR_RootConstrainSelectedInstOperands,
     /*  173914 */     // GIR_Coverage, 46008,
     /*  173914 */     GIR_EraseRootFromParent_Done,
     /*  173915 */   // Label 3328: @173915
     /*  173915 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(173950), // Rule ID 46009 //
     /*  173920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  173923 */     // MIs[0] rs1
     /*  173923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173931 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  173934 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173944 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173948 */     GIR_RootConstrainSelectedInstOperands,
     /*  173949 */     // GIR_Coverage, 46009,
     /*  173949 */     GIR_EraseRootFromParent_Done,
     /*  173950 */   // Label 3329: @173950
     /*  173950 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(173985), // Rule ID 46068 //
     /*  173955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  173958 */     // MIs[0] rs1
     /*  173958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173966 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  173969 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173979 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173983 */     GIR_RootConstrainSelectedInstOperands,
     /*  173984 */     // GIR_Coverage, 46068,
     /*  173984 */     GIR_EraseRootFromParent_Done,
     /*  173985 */   // Label 3330: @173985
     /*  173985 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(174020), // Rule ID 46069 //
     /*  173990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  173993 */     // MIs[0] rs1
     /*  173993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174001 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  174001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  174004 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  174014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174018 */     GIR_RootConstrainSelectedInstOperands,
     /*  174019 */     // GIR_Coverage, 46069,
     /*  174019 */     GIR_EraseRootFromParent_Done,
     /*  174020 */   // Label 3331: @174020
     /*  174020 */   GIM_Reject,
     /*  174021 */ // Label 3327: @174021
     /*  174021 */ GIM_Reject,
     /*  174022 */ // Label 3190: @174022
     /*  174022 */ GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(174101),
     /*  174027 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174030 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174038 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174046 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(174073), // Rule ID 46084 //
     /*  174051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174054 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  174054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  174057 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174067 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174071 */     GIR_RootConstrainSelectedInstOperands,
     /*  174072 */     // GIR_Coverage, 46084,
     /*  174072 */     GIR_EraseRootFromParent_Done,
     /*  174073 */   // Label 3333: @174073
     /*  174073 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(174100), // Rule ID 46085 //
     /*  174078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174081 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  174081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  174084 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174098 */     GIR_RootConstrainSelectedInstOperands,
     /*  174099 */     // GIR_Coverage, 46085,
     /*  174099 */     GIR_EraseRootFromParent_Done,
     /*  174100 */   // Label 3334: @174100
     /*  174100 */   GIM_Reject,
     /*  174101 */ // Label 3332: @174101
     /*  174101 */ GIM_Reject,
     /*  174102 */ // Label 3191: @174102
     /*  174102 */ GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(174189),
     /*  174107 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174110 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174118 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(174153), // Rule ID 45952 //
     /*  174123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174126 */     // MIs[0] rs1
     /*  174126 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174134 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  174134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  174137 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174147 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174151 */     GIR_RootConstrainSelectedInstOperands,
     /*  174152 */     // GIR_Coverage, 45952,
     /*  174152 */     GIR_EraseRootFromParent_Done,
     /*  174153 */   // Label 3336: @174153
     /*  174153 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(174188), // Rule ID 45953 //
     /*  174158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174161 */     // MIs[0] rs1
     /*  174161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174169 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  174169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  174172 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174182 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174186 */     GIR_RootConstrainSelectedInstOperands,
     /*  174187 */     // GIR_Coverage, 45953,
     /*  174187 */     GIR_EraseRootFromParent_Done,
     /*  174188 */   // Label 3337: @174188
     /*  174188 */   GIM_Reject,
     /*  174189 */ // Label 3335: @174189
     /*  174189 */ GIM_Reject,
     /*  174190 */ // Label 3192: @174190
     /*  174190 */ GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(174347),
     /*  174195 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174198 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174206 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(174241), // Rule ID 45980 //
     /*  174211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174214 */     // MIs[0] rs1
     /*  174214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174222 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  174225 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174235 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174239 */     GIR_RootConstrainSelectedInstOperands,
     /*  174240 */     // GIR_Coverage, 45980,
     /*  174240 */     GIR_EraseRootFromParent_Done,
     /*  174241 */   // Label 3339: @174241
     /*  174241 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(174276), // Rule ID 45981 //
     /*  174246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174249 */     // MIs[0] rs1
     /*  174249 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174257 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  174260 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174274 */     GIR_RootConstrainSelectedInstOperands,
     /*  174275 */     // GIR_Coverage, 45981,
     /*  174275 */     GIR_EraseRootFromParent_Done,
     /*  174276 */   // Label 3340: @174276
     /*  174276 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(174311), // Rule ID 46040 //
     /*  174281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  174284 */     // MIs[0] rs1
     /*  174284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174292 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  174295 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174309 */     GIR_RootConstrainSelectedInstOperands,
     /*  174310 */     // GIR_Coverage, 46040,
     /*  174310 */     GIR_EraseRootFromParent_Done,
     /*  174311 */   // Label 3341: @174311
     /*  174311 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(174346), // Rule ID 46041 //
     /*  174316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  174319 */     // MIs[0] rs1
     /*  174319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174327 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  174330 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174344 */     GIR_RootConstrainSelectedInstOperands,
     /*  174345 */     // GIR_Coverage, 46041,
     /*  174345 */     GIR_EraseRootFromParent_Done,
     /*  174346 */   // Label 3342: @174346
     /*  174346 */   GIM_Reject,
     /*  174347 */ // Label 3338: @174347
     /*  174347 */ GIM_Reject,
     /*  174348 */ // Label 3193: @174348
     /*  174348 */ GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(174505),
     /*  174353 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174356 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174364 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(174399), // Rule ID 45996 //
     /*  174369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174372 */     // MIs[0] rs1
     /*  174372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174380 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  174380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  174383 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174397 */     GIR_RootConstrainSelectedInstOperands,
     /*  174398 */     // GIR_Coverage, 45996,
     /*  174398 */     GIR_EraseRootFromParent_Done,
     /*  174399 */   // Label 3344: @174399
     /*  174399 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(174434), // Rule ID 45997 //
     /*  174404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174407 */     // MIs[0] rs1
     /*  174407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174415 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  174415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  174418 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174432 */     GIR_RootConstrainSelectedInstOperands,
     /*  174433 */     // GIR_Coverage, 45997,
     /*  174433 */     GIR_EraseRootFromParent_Done,
     /*  174434 */   // Label 3345: @174434
     /*  174434 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(174469), // Rule ID 46056 //
     /*  174439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  174442 */     // MIs[0] rs1
     /*  174442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174450 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  174450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  174453 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174467 */     GIR_RootConstrainSelectedInstOperands,
     /*  174468 */     // GIR_Coverage, 46056,
     /*  174468 */     GIR_EraseRootFromParent_Done,
     /*  174469 */   // Label 3346: @174469
     /*  174469 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(174504), // Rule ID 46057 //
     /*  174474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  174477 */     // MIs[0] rs1
     /*  174477 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174485 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  174485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  174488 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174498 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174502 */     GIR_RootConstrainSelectedInstOperands,
     /*  174503 */     // GIR_Coverage, 46057,
     /*  174503 */     GIR_EraseRootFromParent_Done,
     /*  174504 */   // Label 3347: @174504
     /*  174504 */   GIM_Reject,
     /*  174505 */ // Label 3343: @174505
     /*  174505 */ GIM_Reject,
     /*  174506 */ // Label 3194: @174506
     /*  174506 */ GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(174663),
     /*  174511 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174514 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174522 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(174557), // Rule ID 46012 //
     /*  174527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  174530 */     // MIs[0] rs1
     /*  174530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174538 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  174538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  174541 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  174551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174555 */     GIR_RootConstrainSelectedInstOperands,
     /*  174556 */     // GIR_Coverage, 46012,
     /*  174556 */     GIR_EraseRootFromParent_Done,
     /*  174557 */   // Label 3349: @174557
     /*  174557 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(174592), // Rule ID 46013 //
     /*  174562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  174565 */     // MIs[0] rs1
     /*  174565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174573 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  174573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  174576 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  174586 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174590 */     GIR_RootConstrainSelectedInstOperands,
     /*  174591 */     // GIR_Coverage, 46013,
     /*  174591 */     GIR_EraseRootFromParent_Done,
     /*  174592 */   // Label 3350: @174592
     /*  174592 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(174627), // Rule ID 46072 //
     /*  174597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  174600 */     // MIs[0] rs1
     /*  174600 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174608 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  174608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  174611 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  174621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174625 */     GIR_RootConstrainSelectedInstOperands,
     /*  174626 */     // GIR_Coverage, 46072,
     /*  174626 */     GIR_EraseRootFromParent_Done,
     /*  174627 */   // Label 3351: @174627
     /*  174627 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(174662), // Rule ID 46073 //
     /*  174632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  174635 */     // MIs[0] rs1
     /*  174635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174643 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  174643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  174646 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  174656 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174660 */     GIR_RootConstrainSelectedInstOperands,
     /*  174661 */     // GIR_Coverage, 46073,
     /*  174661 */     GIR_EraseRootFromParent_Done,
     /*  174662 */   // Label 3352: @174662
     /*  174662 */   GIM_Reject,
     /*  174663 */ // Label 3348: @174663
     /*  174663 */ GIM_Reject,
     /*  174664 */ // Label 3195: @174664
     /*  174664 */ GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(174743),
     /*  174669 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174672 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174680 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174688 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(174715), // Rule ID 46088 //
     /*  174693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174696 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  174696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  174699 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174709 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174713 */     GIR_RootConstrainSelectedInstOperands,
     /*  174714 */     // GIR_Coverage, 46088,
     /*  174714 */     GIR_EraseRootFromParent_Done,
     /*  174715 */   // Label 3354: @174715
     /*  174715 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(174742), // Rule ID 46089 //
     /*  174720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174723 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  174723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  174726 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174740 */     GIR_RootConstrainSelectedInstOperands,
     /*  174741 */     // GIR_Coverage, 46089,
     /*  174741 */     GIR_EraseRootFromParent_Done,
     /*  174742 */   // Label 3355: @174742
     /*  174742 */   GIM_Reject,
     /*  174743 */ // Label 3353: @174743
     /*  174743 */ GIM_Reject,
     /*  174744 */ // Label 3196: @174744
     /*  174744 */ GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(174831),
     /*  174749 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174752 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174760 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(174795), // Rule ID 45968 //
     /*  174765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174768 */     // MIs[0] rs1
     /*  174768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174776 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  174776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  174779 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174789 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174793 */     GIR_RootConstrainSelectedInstOperands,
     /*  174794 */     // GIR_Coverage, 45968,
     /*  174794 */     GIR_EraseRootFromParent_Done,
     /*  174795 */   // Label 3357: @174795
     /*  174795 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(174830), // Rule ID 45969 //
     /*  174800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174803 */     // MIs[0] rs1
     /*  174803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174811 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  174811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  174814 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174828 */     GIR_RootConstrainSelectedInstOperands,
     /*  174829 */     // GIR_Coverage, 45969,
     /*  174829 */     GIR_EraseRootFromParent_Done,
     /*  174830 */   // Label 3358: @174830
     /*  174830 */   GIM_Reject,
     /*  174831 */ // Label 3356: @174831
     /*  174831 */ GIM_Reject,
     /*  174832 */ // Label 3197: @174832
     /*  174832 */ GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(174989),
     /*  174837 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174840 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174848 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(174883), // Rule ID 45984 //
     /*  174853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174856 */     // MIs[0] rs1
     /*  174856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174864 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  174867 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174881 */     GIR_RootConstrainSelectedInstOperands,
     /*  174882 */     // GIR_Coverage, 45984,
     /*  174882 */     GIR_EraseRootFromParent_Done,
     /*  174883 */   // Label 3360: @174883
     /*  174883 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(174918), // Rule ID 45985 //
     /*  174888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174891 */     // MIs[0] rs1
     /*  174891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174899 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  174902 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174912 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174916 */     GIR_RootConstrainSelectedInstOperands,
     /*  174917 */     // GIR_Coverage, 45985,
     /*  174917 */     GIR_EraseRootFromParent_Done,
     /*  174918 */   // Label 3361: @174918
     /*  174918 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(174953), // Rule ID 46044 //
     /*  174923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  174926 */     // MIs[0] rs1
     /*  174926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174934 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  174937 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174947 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174951 */     GIR_RootConstrainSelectedInstOperands,
     /*  174952 */     // GIR_Coverage, 46044,
     /*  174952 */     GIR_EraseRootFromParent_Done,
     /*  174953 */   // Label 3362: @174953
     /*  174953 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(174988), // Rule ID 46045 //
     /*  174958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  174961 */     // MIs[0] rs1
     /*  174961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174969 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  174972 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174986 */     GIR_RootConstrainSelectedInstOperands,
     /*  174987 */     // GIR_Coverage, 46045,
     /*  174987 */     GIR_EraseRootFromParent_Done,
     /*  174988 */   // Label 3363: @174988
     /*  174988 */   GIM_Reject,
     /*  174989 */ // Label 3359: @174989
     /*  174989 */ GIM_Reject,
     /*  174990 */ // Label 3198: @174990
     /*  174990 */ GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(175147),
     /*  174995 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174998 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  175006 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(175041), // Rule ID 46000 //
     /*  175011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175014 */     // MIs[0] rs1
     /*  175014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175022 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  175022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  175025 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  175035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175039 */     GIR_RootConstrainSelectedInstOperands,
     /*  175040 */     // GIR_Coverage, 46000,
     /*  175040 */     GIR_EraseRootFromParent_Done,
     /*  175041 */   // Label 3365: @175041
     /*  175041 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(175076), // Rule ID 46001 //
     /*  175046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175049 */     // MIs[0] rs1
     /*  175049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175057 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  175057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  175060 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  175070 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175074 */     GIR_RootConstrainSelectedInstOperands,
     /*  175075 */     // GIR_Coverage, 46001,
     /*  175075 */     GIR_EraseRootFromParent_Done,
     /*  175076 */   // Label 3366: @175076
     /*  175076 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(175111), // Rule ID 46060 //
     /*  175081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  175084 */     // MIs[0] rs1
     /*  175084 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175092 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  175092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  175095 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  175105 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175109 */     GIR_RootConstrainSelectedInstOperands,
     /*  175110 */     // GIR_Coverage, 46060,
     /*  175110 */     GIR_EraseRootFromParent_Done,
     /*  175111 */   // Label 3367: @175111
     /*  175111 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(175146), // Rule ID 46061 //
     /*  175116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  175119 */     // MIs[0] rs1
     /*  175119 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175127 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  175127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  175130 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  175140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175144 */     GIR_RootConstrainSelectedInstOperands,
     /*  175145 */     // GIR_Coverage, 46061,
     /*  175145 */     GIR_EraseRootFromParent_Done,
     /*  175146 */   // Label 3368: @175146
     /*  175146 */   GIM_Reject,
     /*  175147 */ // Label 3364: @175147
     /*  175147 */ GIM_Reject,
     /*  175148 */ // Label 3199: @175148
     /*  175148 */ GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(175227),
     /*  175153 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175156 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175164 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175172 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(175199), // Rule ID 46092 //
     /*  175177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175180 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  175180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  175183 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  175193 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175197 */     GIR_RootConstrainSelectedInstOperands,
     /*  175198 */     // GIR_Coverage, 46092,
     /*  175198 */     GIR_EraseRootFromParent_Done,
     /*  175199 */   // Label 3370: @175199
     /*  175199 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(175226), // Rule ID 46093 //
     /*  175204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175207 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  175207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  175210 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  175220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175224 */     GIR_RootConstrainSelectedInstOperands,
     /*  175225 */     // GIR_Coverage, 46093,
     /*  175225 */     GIR_EraseRootFromParent_Done,
     /*  175226 */   // Label 3371: @175226
     /*  175226 */   GIM_Reject,
     /*  175227 */ // Label 3369: @175227
     /*  175227 */ GIM_Reject,
     /*  175228 */ // Label 3200: @175228
     /*  175228 */ GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(175315),
     /*  175233 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175236 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  175244 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(175279), // Rule ID 45972 //
     /*  175249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175252 */     // MIs[0] rs1
     /*  175252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175260 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  175260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  175263 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175277 */     GIR_RootConstrainSelectedInstOperands,
     /*  175278 */     // GIR_Coverage, 45972,
     /*  175278 */     GIR_EraseRootFromParent_Done,
     /*  175279 */   // Label 3373: @175279
     /*  175279 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(175314), // Rule ID 45973 //
     /*  175284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175287 */     // MIs[0] rs1
     /*  175287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175295 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  175295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  175298 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175312 */     GIR_RootConstrainSelectedInstOperands,
     /*  175313 */     // GIR_Coverage, 45973,
     /*  175313 */     GIR_EraseRootFromParent_Done,
     /*  175314 */   // Label 3374: @175314
     /*  175314 */   GIM_Reject,
     /*  175315 */ // Label 3372: @175315
     /*  175315 */ GIM_Reject,
     /*  175316 */ // Label 3201: @175316
     /*  175316 */ GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(175473),
     /*  175321 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175324 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  175332 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(175367), // Rule ID 45988 //
     /*  175337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175340 */     // MIs[0] rs1
     /*  175340 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175348 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  175348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  175351 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175365 */     GIR_RootConstrainSelectedInstOperands,
     /*  175366 */     // GIR_Coverage, 45988,
     /*  175366 */     GIR_EraseRootFromParent_Done,
     /*  175367 */   // Label 3376: @175367
     /*  175367 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(175402), // Rule ID 45989 //
     /*  175372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175375 */     // MIs[0] rs1
     /*  175375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175383 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  175383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  175386 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175396 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175400 */     GIR_RootConstrainSelectedInstOperands,
     /*  175401 */     // GIR_Coverage, 45989,
     /*  175401 */     GIR_EraseRootFromParent_Done,
     /*  175402 */   // Label 3377: @175402
     /*  175402 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(175437), // Rule ID 46048 //
     /*  175407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  175410 */     // MIs[0] rs1
     /*  175410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175418 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  175418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  175421 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175435 */     GIR_RootConstrainSelectedInstOperands,
     /*  175436 */     // GIR_Coverage, 46048,
     /*  175436 */     GIR_EraseRootFromParent_Done,
     /*  175437 */   // Label 3378: @175437
     /*  175437 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(175472), // Rule ID 46049 //
     /*  175442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  175445 */     // MIs[0] rs1
     /*  175445 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175453 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  175453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  175456 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175466 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175470 */     GIR_RootConstrainSelectedInstOperands,
     /*  175471 */     // GIR_Coverage, 46049,
     /*  175471 */     GIR_EraseRootFromParent_Done,
     /*  175472 */   // Label 3379: @175472
     /*  175472 */   GIM_Reject,
     /*  175473 */ // Label 3375: @175473
     /*  175473 */ GIM_Reject,
     /*  175474 */ // Label 3202: @175474
     /*  175474 */ GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(175553),
     /*  175479 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175482 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175490 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175498 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(175525), // Rule ID 46096 //
     /*  175503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175506 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  175506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  175509 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  175519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175523 */     GIR_RootConstrainSelectedInstOperands,
     /*  175524 */     // GIR_Coverage, 46096,
     /*  175524 */     GIR_EraseRootFromParent_Done,
     /*  175525 */   // Label 3381: @175525
     /*  175525 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(175552), // Rule ID 46097 //
     /*  175530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175533 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  175533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  175536 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  175546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175550 */     GIR_RootConstrainSelectedInstOperands,
     /*  175551 */     // GIR_Coverage, 46097,
     /*  175551 */     GIR_EraseRootFromParent_Done,
     /*  175552 */   // Label 3382: @175552
     /*  175552 */   GIM_Reject,
     /*  175553 */ // Label 3380: @175553
     /*  175553 */ GIM_Reject,
     /*  175554 */ // Label 3203: @175554
     /*  175554 */ GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(175641),
     /*  175559 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175562 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  175570 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(175605), // Rule ID 45976 //
     /*  175575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175578 */     // MIs[0] rs1
     /*  175578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175586 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  175586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  175589 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175603 */     GIR_RootConstrainSelectedInstOperands,
     /*  175604 */     // GIR_Coverage, 45976,
     /*  175604 */     GIR_EraseRootFromParent_Done,
     /*  175605 */   // Label 3384: @175605
     /*  175605 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(175640), // Rule ID 45977 //
     /*  175610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175613 */     // MIs[0] rs1
     /*  175613 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175621 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  175621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  175624 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175634 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175638 */     GIR_RootConstrainSelectedInstOperands,
     /*  175639 */     // GIR_Coverage, 45977,
     /*  175639 */     GIR_EraseRootFromParent_Done,
     /*  175640 */   // Label 3385: @175640
     /*  175640 */   GIM_Reject,
     /*  175641 */ // Label 3383: @175641
     /*  175641 */ GIM_Reject,
     /*  175642 */ // Label 3204: @175642
     /*  175642 */ GIM_Reject,
     /*  175643 */ // Label 25: @175643
     /*  175643 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3388*/ GIMT_Encode4(180528),
     /*  175654 */ /*GILLT_s32*//*Label 3386*/ GIMT_Encode4(175662),
     /*  175658 */ /*GILLT_s64*//*Label 3387*/ GIMT_Encode4(177655),
     /*  175662 */ // Label 3386: @175662
     /*  175662 */ GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(177654),
     /*  175667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  175670 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  175673 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(175739), // Rule ID 655 //
     /*  175678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175681 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175688 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175695 */     // MIs[0] addr
     /*  175695 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175711 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 2:{ *:[i32] })
     /*  175711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175719 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175724 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175726 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175728 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  175733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175737 */     GIR_RootConstrainSelectedInstOperands,
     /*  175738 */     // GIR_Coverage, 655,
     /*  175738 */     GIR_EraseRootFromParent_Done,
     /*  175739 */   // Label 3390: @175739
     /*  175739 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(175805), // Rule ID 657 //
     /*  175744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175747 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175754 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175761 */     // MIs[0] addr
     /*  175761 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175777 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 4:{ *:[i32] })
     /*  175777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175785 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175790 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175792 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175794 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175803 */     GIR_RootConstrainSelectedInstOperands,
     /*  175804 */     // GIR_Coverage, 657,
     /*  175804 */     GIR_EraseRootFromParent_Done,
     /*  175805 */   // Label 3391: @175805
     /*  175805 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(175871), // Rule ID 659 //
     /*  175810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175827 */     // MIs[0] addr
     /*  175827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175843 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 5:{ *:[i32] })
     /*  175843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175851 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175856 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175858 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175860 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  175865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175869 */     GIR_RootConstrainSelectedInstOperands,
     /*  175870 */     // GIR_Coverage, 659,
     /*  175870 */     GIR_EraseRootFromParent_Done,
     /*  175871 */   // Label 3392: @175871
     /*  175871 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(175937), // Rule ID 661 //
     /*  175876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175893 */     // MIs[0] addr
     /*  175893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175909 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 6:{ *:[i32] })
     /*  175909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175917 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175922 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175924 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175926 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175931 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175935 */     GIR_RootConstrainSelectedInstOperands,
     /*  175936 */     // GIR_Coverage, 661,
     /*  175936 */     GIR_EraseRootFromParent_Done,
     /*  175937 */   // Label 3393: @175937
     /*  175937 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(176003), // Rule ID 663 //
     /*  175942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  175945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175959 */     // MIs[0] addr
     /*  175959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175975 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 7:{ *:[i32] })
     /*  175975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175983 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175988 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175990 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175992 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  175997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176001 */     GIR_RootConstrainSelectedInstOperands,
     /*  176002 */     // GIR_Coverage, 663,
     /*  176002 */     GIR_EraseRootFromParent_Done,
     /*  176003 */   // Label 3394: @176003
     /*  176003 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(176058), // Rule ID 672 //
     /*  176008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176011 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176018 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176025 */     // MIs[0] addr
     /*  176025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176041 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  176044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176046 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176048 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176050 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176052 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176056 */     GIR_RootConstrainSelectedInstOperands,
     /*  176057 */     // GIR_Coverage, 672,
     /*  176057 */     GIR_EraseRootFromParent_Done,
     /*  176058 */   // Label 3395: @176058
     /*  176058 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(176113), // Rule ID 674 //
     /*  176063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176066 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176073 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176080 */     // MIs[0] addr
     /*  176080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176096 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  176099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176101 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176103 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176105 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176107 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176111 */     GIR_RootConstrainSelectedInstOperands,
     /*  176112 */     // GIR_Coverage, 674,
     /*  176112 */     GIR_EraseRootFromParent_Done,
     /*  176113 */   // Label 3396: @176113
     /*  176113 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(176168), // Rule ID 676 //
     /*  176118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176121 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176128 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176135 */     // MIs[0] addr
     /*  176135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176151 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  176154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176156 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176158 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176160 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176166 */     GIR_RootConstrainSelectedInstOperands,
     /*  176167 */     // GIR_Coverage, 676,
     /*  176167 */     GIR_EraseRootFromParent_Done,
     /*  176168 */   // Label 3397: @176168
     /*  176168 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(176223), // Rule ID 678 //
     /*  176173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176176 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176183 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176190 */     // MIs[0] addr
     /*  176190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176206 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  176209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176211 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176213 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176215 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176221 */     GIR_RootConstrainSelectedInstOperands,
     /*  176222 */     // GIR_Coverage, 678,
     /*  176222 */     GIR_EraseRootFromParent_Done,
     /*  176223 */   // Label 3398: @176223
     /*  176223 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(176278), // Rule ID 680 //
     /*  176228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176231 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176238 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176245 */     // MIs[0] addr
     /*  176245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176261 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  176264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176266 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176268 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176270 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176276 */     GIR_RootConstrainSelectedInstOperands,
     /*  176277 */     // GIR_Coverage, 680,
     /*  176277 */     GIR_EraseRootFromParent_Done,
     /*  176278 */   // Label 3399: @176278
     /*  176278 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(176333), // Rule ID 682 //
     /*  176283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176300 */     // MIs[0] addr
     /*  176300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176316 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  176319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176321 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176323 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176325 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176331 */     GIR_RootConstrainSelectedInstOperands,
     /*  176332 */     // GIR_Coverage, 682,
     /*  176332 */     GIR_EraseRootFromParent_Done,
     /*  176333 */   // Label 3400: @176333
     /*  176333 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(176388), // Rule ID 684 //
     /*  176338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176341 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176348 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176355 */     // MIs[0] addr
     /*  176355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176371 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  176374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176376 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176378 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176380 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176386 */     GIR_RootConstrainSelectedInstOperands,
     /*  176387 */     // GIR_Coverage, 684,
     /*  176387 */     GIR_EraseRootFromParent_Done,
     /*  176388 */   // Label 3401: @176388
     /*  176388 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(176443), // Rule ID 686 //
     /*  176393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176410 */     // MIs[0] addr
     /*  176410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176426 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  176429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176431 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176433 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176435 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176441 */     GIR_RootConstrainSelectedInstOperands,
     /*  176442 */     // GIR_Coverage, 686,
     /*  176442 */     GIR_EraseRootFromParent_Done,
     /*  176443 */   // Label 3402: @176443
     /*  176443 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(176498), // Rule ID 688 //
     /*  176448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176451 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176458 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176465 */     // MIs[0] addr
     /*  176465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176481 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  176484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176486 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176488 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176490 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176496 */     GIR_RootConstrainSelectedInstOperands,
     /*  176497 */     // GIR_Coverage, 688,
     /*  176497 */     GIR_EraseRootFromParent_Done,
     /*  176498 */   // Label 3403: @176498
     /*  176498 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(176553), // Rule ID 690 //
     /*  176503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176506 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176513 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176520 */     // MIs[0] addr
     /*  176520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176536 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  176539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176541 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176543 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176545 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176551 */     GIR_RootConstrainSelectedInstOperands,
     /*  176552 */     // GIR_Coverage, 690,
     /*  176552 */     GIR_EraseRootFromParent_Done,
     /*  176553 */   // Label 3404: @176553
     /*  176553 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(176608), // Rule ID 1062 //
     /*  176558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176561 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176568 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176575 */     // MIs[0] addr
     /*  176575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176591 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176596 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176598 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176600 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176606 */     GIR_RootConstrainSelectedInstOperands,
     /*  176607 */     // GIR_Coverage, 1062,
     /*  176607 */     GIR_EraseRootFromParent_Done,
     /*  176608 */   // Label 3405: @176608
     /*  176608 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(176663), // Rule ID 1064 //
     /*  176613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176616 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176623 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176630 */     // MIs[0] addr
     /*  176630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176646 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  176649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176651 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176653 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176655 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176657 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176661 */     GIR_RootConstrainSelectedInstOperands,
     /*  176662 */     // GIR_Coverage, 1064,
     /*  176662 */     GIR_EraseRootFromParent_Done,
     /*  176663 */   // Label 3406: @176663
     /*  176663 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(176718), // Rule ID 1066 //
     /*  176668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176671 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176685 */     // MIs[0] addr
     /*  176685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176701 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  176704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176706 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176708 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176710 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176712 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176716 */     GIR_RootConstrainSelectedInstOperands,
     /*  176717 */     // GIR_Coverage, 1066,
     /*  176717 */     GIR_EraseRootFromParent_Done,
     /*  176718 */   // Label 3407: @176718
     /*  176718 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(176773), // Rule ID 1068 //
     /*  176723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176726 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176733 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176740 */     // MIs[0] addr
     /*  176740 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176756 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  176759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176761 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176763 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176765 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176767 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176771 */     GIR_RootConstrainSelectedInstOperands,
     /*  176772 */     // GIR_Coverage, 1068,
     /*  176772 */     GIR_EraseRootFromParent_Done,
     /*  176773 */   // Label 3408: @176773
     /*  176773 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(176828), // Rule ID 1070 //
     /*  176778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176795 */     // MIs[0] addr
     /*  176795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176811 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  176814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176816 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176818 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176820 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176826 */     GIR_RootConstrainSelectedInstOperands,
     /*  176827 */     // GIR_Coverage, 1070,
     /*  176827 */     GIR_EraseRootFromParent_Done,
     /*  176828 */   // Label 3409: @176828
     /*  176828 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(176883), // Rule ID 1072 //
     /*  176833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176836 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176843 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176850 */     // MIs[0] addr
     /*  176850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176866 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176871 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176873 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176875 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176881 */     GIR_RootConstrainSelectedInstOperands,
     /*  176882 */     // GIR_Coverage, 1072,
     /*  176882 */     GIR_EraseRootFromParent_Done,
     /*  176883 */   // Label 3410: @176883
     /*  176883 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(176938), // Rule ID 1074 //
     /*  176888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176891 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176898 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176905 */     // MIs[0] addr
     /*  176905 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176921 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176926 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176928 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176930 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176932 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176936 */     GIR_RootConstrainSelectedInstOperands,
     /*  176937 */     // GIR_Coverage, 1074,
     /*  176937 */     GIR_EraseRootFromParent_Done,
     /*  176938 */   // Label 3411: @176938
     /*  176938 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(176993), // Rule ID 1076 //
     /*  176943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176946 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176953 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176960 */     // MIs[0] addr
     /*  176960 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176976 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  176979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176981 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176983 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176985 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176987 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176991 */     GIR_RootConstrainSelectedInstOperands,
     /*  176992 */     // GIR_Coverage, 1076,
     /*  176992 */     GIR_EraseRootFromParent_Done,
     /*  176993 */   // Label 3412: @176993
     /*  176993 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(177048), // Rule ID 1078 //
     /*  176998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  177001 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177008 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177015 */     // MIs[0] addr
     /*  177015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177031 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  177031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  177034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177036 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177038 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177040 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177046 */     GIR_RootConstrainSelectedInstOperands,
     /*  177047 */     // GIR_Coverage, 1078,
     /*  177047 */     GIR_EraseRootFromParent_Done,
     /*  177048 */   // Label 3413: @177048
     /*  177048 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(177103), // Rule ID 1080 //
     /*  177053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  177056 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177063 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177070 */     // MIs[0] addr
     /*  177070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177086 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  177086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  177089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177091 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177093 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177095 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177097 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177101 */     GIR_RootConstrainSelectedInstOperands,
     /*  177102 */     // GIR_Coverage, 1080,
     /*  177102 */     GIR_EraseRootFromParent_Done,
     /*  177103 */   // Label 3414: @177103
     /*  177103 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(177158), // Rule ID 1082 //
     /*  177108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  177111 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177118 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177125 */     // MIs[0] addr
     /*  177125 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177141 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  177141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  177144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177146 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177148 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177150 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177156 */     GIR_RootConstrainSelectedInstOperands,
     /*  177157 */     // GIR_Coverage, 1082,
     /*  177157 */     GIR_EraseRootFromParent_Done,
     /*  177158 */   // Label 3415: @177158
     /*  177158 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(177213), // Rule ID 1084 //
     /*  177163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  177166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177180 */     // MIs[0] addr
     /*  177180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177196 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  177196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  177199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177201 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177203 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177205 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177211 */     GIR_RootConstrainSelectedInstOperands,
     /*  177212 */     // GIR_Coverage, 1084,
     /*  177212 */     GIR_EraseRootFromParent_Done,
     /*  177213 */   // Label 3416: @177213
     /*  177213 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(177268), // Rule ID 1086 //
     /*  177218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  177221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177235 */     // MIs[0] addr
     /*  177235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177251 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  177251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  177254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177256 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177258 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177260 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177262 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177266 */     GIR_RootConstrainSelectedInstOperands,
     /*  177267 */     // GIR_Coverage, 1086,
     /*  177267 */     GIR_EraseRootFromParent_Done,
     /*  177268 */   // Label 3417: @177268
     /*  177268 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(177323), // Rule ID 1088 //
     /*  177273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  177276 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177283 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177290 */     // MIs[0] addr
     /*  177290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177306 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  177306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  177309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177311 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177313 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177315 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177321 */     GIR_RootConstrainSelectedInstOperands,
     /*  177322 */     // GIR_Coverage, 1088,
     /*  177322 */     GIR_EraseRootFromParent_Done,
     /*  177323 */   // Label 3418: @177323
     /*  177323 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(177378), // Rule ID 1090 //
     /*  177328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  177331 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177338 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177345 */     // MIs[0] addr
     /*  177345 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177361 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  177361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  177364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177366 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177368 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177370 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177376 */     GIR_RootConstrainSelectedInstOperands,
     /*  177377 */     // GIR_Coverage, 1090,
     /*  177377 */     GIR_EraseRootFromParent_Done,
     /*  177378 */   // Label 3419: @177378
     /*  177378 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(177433), // Rule ID 1092 //
     /*  177383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  177386 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177393 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177400 */     // MIs[0] addr
     /*  177400 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177416 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  177416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  177419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177421 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177423 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177425 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177431 */     GIR_RootConstrainSelectedInstOperands,
     /*  177432 */     // GIR_Coverage, 1092,
     /*  177432 */     GIR_EraseRootFromParent_Done,
     /*  177433 */   // Label 3420: @177433
     /*  177433 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(177488), // Rule ID 1094 //
     /*  177438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  177441 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177448 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177455 */     // MIs[0] addr
     /*  177455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177471 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  177471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  177474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177476 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177478 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177480 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177482 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177486 */     GIR_RootConstrainSelectedInstOperands,
     /*  177487 */     // GIR_Coverage, 1094,
     /*  177487 */     GIR_EraseRootFromParent_Done,
     /*  177488 */   // Label 3421: @177488
     /*  177488 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(177543), // Rule ID 1096 //
     /*  177493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  177496 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177503 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177510 */     // MIs[0] addr
     /*  177510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177526 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  177526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  177529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177531 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177533 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177535 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177537 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177541 */     GIR_RootConstrainSelectedInstOperands,
     /*  177542 */     // GIR_Coverage, 1096,
     /*  177542 */     GIR_EraseRootFromParent_Done,
     /*  177543 */   // Label 3422: @177543
     /*  177543 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(177598), // Rule ID 1098 //
     /*  177548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  177551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177565 */     // MIs[0] addr
     /*  177565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177581 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  177581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  177584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177586 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177588 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177590 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177596 */     GIR_RootConstrainSelectedInstOperands,
     /*  177597 */     // GIR_Coverage, 1098,
     /*  177597 */     GIR_EraseRootFromParent_Done,
     /*  177598 */   // Label 3423: @177598
     /*  177598 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(177653), // Rule ID 1100 //
     /*  177603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  177606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177620 */     // MIs[0] addr
     /*  177620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177636 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  177636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  177639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177641 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177643 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177645 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177647 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177651 */     GIR_RootConstrainSelectedInstOperands,
     /*  177652 */     // GIR_Coverage, 1100,
     /*  177652 */     GIR_EraseRootFromParent_Done,
     /*  177653 */   // Label 3424: @177653
     /*  177653 */   GIM_Reject,
     /*  177654 */ // Label 3389: @177654
     /*  177654 */ GIM_Reject,
     /*  177655 */ // Label 3387: @177655
     /*  177655 */ GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(180527),
     /*  177660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  177663 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  177666 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(177732), // Rule ID 654 //
     /*  177671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177688 */     // MIs[0] addr
     /*  177688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177704 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  177704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177712 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177717 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177719 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177721 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  177726 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177730 */     GIR_RootConstrainSelectedInstOperands,
     /*  177731 */     // GIR_Coverage, 654,
     /*  177731 */     GIR_EraseRootFromParent_Done,
     /*  177732 */   // Label 3426: @177732
     /*  177732 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(177798), // Rule ID 656 //
     /*  177737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177754 */     // MIs[0] addr
     /*  177754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177770 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  177770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177778 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177783 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177785 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177787 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177792 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177796 */     GIR_RootConstrainSelectedInstOperands,
     /*  177797 */     // GIR_Coverage, 656,
     /*  177797 */     GIR_EraseRootFromParent_Done,
     /*  177798 */   // Label 3427: @177798
     /*  177798 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(177864), // Rule ID 658 //
     /*  177803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177806 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177813 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177820 */     // MIs[0] addr
     /*  177820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177836 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  177836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177844 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177849 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177851 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177853 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177862 */     GIR_RootConstrainSelectedInstOperands,
     /*  177863 */     // GIR_Coverage, 658,
     /*  177863 */     GIR_EraseRootFromParent_Done,
     /*  177864 */   // Label 3428: @177864
     /*  177864 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(177930), // Rule ID 660 //
     /*  177869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177872 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177879 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177886 */     // MIs[0] addr
     /*  177886 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177902 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  177902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177910 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177915 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177917 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177919 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177928 */     GIR_RootConstrainSelectedInstOperands,
     /*  177929 */     // GIR_Coverage, 660,
     /*  177929 */     GIR_EraseRootFromParent_Done,
     /*  177930 */   // Label 3429: @177930
     /*  177930 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(177996), // Rule ID 662 //
     /*  177935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  177938 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177945 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177952 */     // MIs[0] addr
     /*  177952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177968 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  177968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  177974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177976 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177981 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177983 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177985 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  177990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177994 */     GIR_RootConstrainSelectedInstOperands,
     /*  177995 */     // GIR_Coverage, 662,
     /*  177995 */     GIR_EraseRootFromParent_Done,
     /*  177996 */   // Label 3430: @177996
     /*  177996 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(178062), // Rule ID 664 //
     /*  178001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  178004 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178011 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178018 */     // MIs[0] addr
     /*  178018 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  178022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178034 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  178034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  178037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  178040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  178042 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  178047 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178049 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178051 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  178056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178060 */     GIR_RootConstrainSelectedInstOperands,
     /*  178061 */     // GIR_Coverage, 664,
     /*  178061 */     GIR_EraseRootFromParent_Done,
     /*  178062 */   // Label 3431: @178062
     /*  178062 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(178128), // Rule ID 665 //
     /*  178067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  178070 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178077 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178084 */     // MIs[0] addr
     /*  178084 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  178088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178100 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  178100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  178103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  178106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  178108 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  178113 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178115 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178117 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178126 */     GIR_RootConstrainSelectedInstOperands,
     /*  178127 */     // GIR_Coverage, 665,
     /*  178127 */     GIR_EraseRootFromParent_Done,
     /*  178128 */   // Label 3432: @178128
     /*  178128 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(178194), // Rule ID 666 //
     /*  178133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  178136 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178143 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178150 */     // MIs[0] addr
     /*  178150 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  178154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178166 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  178166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  178169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  178172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  178174 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  178179 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178181 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178183 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178192 */     GIR_RootConstrainSelectedInstOperands,
     /*  178193 */     // GIR_Coverage, 666,
     /*  178193 */     GIR_EraseRootFromParent_Done,
     /*  178194 */   // Label 3433: @178194
     /*  178194 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(178260), // Rule ID 667 //
     /*  178199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  178202 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178209 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178216 */     // MIs[0] addr
     /*  178216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  178220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178232 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  178232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  178235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  178238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  178240 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  178245 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178247 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178249 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178254 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178258 */     GIR_RootConstrainSelectedInstOperands,
     /*  178259 */     // GIR_Coverage, 667,
     /*  178259 */     GIR_EraseRootFromParent_Done,
     /*  178260 */   // Label 3434: @178260
     /*  178260 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(178326), // Rule ID 668 //
     /*  178265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  178268 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178275 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178282 */     // MIs[0] addr
     /*  178282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  178286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178298 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  178298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  178301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  178304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  178306 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  178311 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178313 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178315 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  178320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178324 */     GIR_RootConstrainSelectedInstOperands,
     /*  178325 */     // GIR_Coverage, 668,
     /*  178325 */     GIR_EraseRootFromParent_Done,
     /*  178326 */   // Label 3435: @178326
     /*  178326 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(178381), // Rule ID 671 //
     /*  178331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178334 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178341 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178348 */     // MIs[0] addr
     /*  178348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178364 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178369 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178371 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178373 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178379 */     GIR_RootConstrainSelectedInstOperands,
     /*  178380 */     // GIR_Coverage, 671,
     /*  178380 */     GIR_EraseRootFromParent_Done,
     /*  178381 */   // Label 3436: @178381
     /*  178381 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(178436), // Rule ID 673 //
     /*  178386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178389 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178396 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178403 */     // MIs[0] addr
     /*  178403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178419 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  178422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178424 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178426 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178428 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178430 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178434 */     GIR_RootConstrainSelectedInstOperands,
     /*  178435 */     // GIR_Coverage, 673,
     /*  178435 */     GIR_EraseRootFromParent_Done,
     /*  178436 */   // Label 3437: @178436
     /*  178436 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(178491), // Rule ID 675 //
     /*  178441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178444 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178451 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178458 */     // MIs[0] addr
     /*  178458 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178474 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  178477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178479 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178481 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178483 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178489 */     GIR_RootConstrainSelectedInstOperands,
     /*  178490 */     // GIR_Coverage, 675,
     /*  178490 */     GIR_EraseRootFromParent_Done,
     /*  178491 */   // Label 3438: @178491
     /*  178491 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(178546), // Rule ID 677 //
     /*  178496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178499 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178506 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178513 */     // MIs[0] addr
     /*  178513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178529 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  178532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178534 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178536 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178538 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178544 */     GIR_RootConstrainSelectedInstOperands,
     /*  178545 */     // GIR_Coverage, 677,
     /*  178545 */     GIR_EraseRootFromParent_Done,
     /*  178546 */   // Label 3439: @178546
     /*  178546 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(178601), // Rule ID 679 //
     /*  178551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178554 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178561 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178568 */     // MIs[0] addr
     /*  178568 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178584 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  178587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178589 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178591 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178593 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178595 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178599 */     GIR_RootConstrainSelectedInstOperands,
     /*  178600 */     // GIR_Coverage, 679,
     /*  178600 */     GIR_EraseRootFromParent_Done,
     /*  178601 */   // Label 3440: @178601
     /*  178601 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(178656), // Rule ID 681 //
     /*  178606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178623 */     // MIs[0] addr
     /*  178623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178639 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178644 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178646 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178648 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178654 */     GIR_RootConstrainSelectedInstOperands,
     /*  178655 */     // GIR_Coverage, 681,
     /*  178655 */     GIR_EraseRootFromParent_Done,
     /*  178656 */   // Label 3441: @178656
     /*  178656 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(178711), // Rule ID 683 //
     /*  178661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178664 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178671 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178678 */     // MIs[0] addr
     /*  178678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178694 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178699 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178701 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178703 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178705 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178709 */     GIR_RootConstrainSelectedInstOperands,
     /*  178710 */     // GIR_Coverage, 683,
     /*  178710 */     GIR_EraseRootFromParent_Done,
     /*  178711 */   // Label 3442: @178711
     /*  178711 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(178766), // Rule ID 685 //
     /*  178716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178719 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178726 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178733 */     // MIs[0] addr
     /*  178733 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178749 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178754 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178756 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178758 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178760 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178764 */     GIR_RootConstrainSelectedInstOperands,
     /*  178765 */     // GIR_Coverage, 685,
     /*  178765 */     GIR_EraseRootFromParent_Done,
     /*  178766 */   // Label 3443: @178766
     /*  178766 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(178821), // Rule ID 687 //
     /*  178771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178774 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178781 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178788 */     // MIs[0] addr
     /*  178788 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178804 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178809 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178811 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178813 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178819 */     GIR_RootConstrainSelectedInstOperands,
     /*  178820 */     // GIR_Coverage, 687,
     /*  178820 */     GIR_EraseRootFromParent_Done,
     /*  178821 */   // Label 3444: @178821
     /*  178821 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(178876), // Rule ID 689 //
     /*  178826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178829 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178836 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178843 */     // MIs[0] addr
     /*  178843 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178859 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  178862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178864 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178866 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178868 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178874 */     GIR_RootConstrainSelectedInstOperands,
     /*  178875 */     // GIR_Coverage, 689,
     /*  178875 */     GIR_EraseRootFromParent_Done,
     /*  178876 */   // Label 3445: @178876
     /*  178876 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(178931), // Rule ID 691 //
     /*  178881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178884 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178891 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178898 */     // MIs[0] addr
     /*  178898 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178914 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178919 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178921 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178923 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178925 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178929 */     GIR_RootConstrainSelectedInstOperands,
     /*  178930 */     // GIR_Coverage, 691,
     /*  178930 */     GIR_EraseRootFromParent_Done,
     /*  178931 */   // Label 3446: @178931
     /*  178931 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(178986), // Rule ID 692 //
     /*  178936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178939 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178946 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178953 */     // MIs[0] addr
     /*  178953 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178969 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ),
     /*  178972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178974 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178976 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178978 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178984 */     GIR_RootConstrainSelectedInstOperands,
     /*  178985 */     // GIR_Coverage, 692,
     /*  178985 */     GIR_EraseRootFromParent_Done,
     /*  178986 */   // Label 3447: @178986
     /*  178986 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(179041), // Rule ID 693 //
     /*  178991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  179001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179008 */     // MIs[0] addr
     /*  179008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179024 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_RL),
     /*  179027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179029 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179031 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179033 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179039 */     GIR_RootConstrainSelectedInstOperands,
     /*  179040 */     // GIR_Coverage, 693,
     /*  179040 */     GIR_EraseRootFromParent_Done,
     /*  179041 */   // Label 3448: @179041
     /*  179041 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(179096), // Rule ID 694 //
     /*  179046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  179049 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  179056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179063 */     // MIs[0] addr
     /*  179063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179079 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  179082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179084 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179086 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179088 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179094 */     GIR_RootConstrainSelectedInstOperands,
     /*  179095 */     // GIR_Coverage, 694,
     /*  179095 */     GIR_EraseRootFromParent_Done,
     /*  179096 */   // Label 3449: @179096
     /*  179096 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(179151), // Rule ID 695 //
     /*  179101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  179104 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  179111 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179118 */     // MIs[0] addr
     /*  179118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179134 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  179137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179139 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179141 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179143 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179145 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179149 */     GIR_RootConstrainSelectedInstOperands,
     /*  179150 */     // GIR_Coverage, 695,
     /*  179150 */     GIR_EraseRootFromParent_Done,
     /*  179151 */   // Label 3450: @179151
     /*  179151 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(179206), // Rule ID 696 //
     /*  179156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  179159 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  179166 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179173 */     // MIs[0] addr
     /*  179173 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179189 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  179192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179194 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179196 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179198 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179204 */     GIR_RootConstrainSelectedInstOperands,
     /*  179205 */     // GIR_Coverage, 696,
     /*  179205 */     GIR_EraseRootFromParent_Done,
     /*  179206 */   // Label 3451: @179206
     /*  179206 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(179261), // Rule ID 697 //
     /*  179211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  179214 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  179221 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179228 */     // MIs[0] addr
     /*  179228 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179244 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  179247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179249 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179251 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179253 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179259 */     GIR_RootConstrainSelectedInstOperands,
     /*  179260 */     // GIR_Coverage, 697,
     /*  179260 */     GIR_EraseRootFromParent_Done,
     /*  179261 */   // Label 3452: @179261
     /*  179261 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(179316), // Rule ID 698 //
     /*  179266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  179269 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  179276 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179283 */     // MIs[0] addr
     /*  179283 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179299 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  179302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179304 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179306 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179308 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179310 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179314 */     GIR_RootConstrainSelectedInstOperands,
     /*  179315 */     // GIR_Coverage, 698,
     /*  179315 */     GIR_EraseRootFromParent_Done,
     /*  179316 */   // Label 3453: @179316
     /*  179316 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(179371), // Rule ID 699 //
     /*  179321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  179324 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  179331 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179338 */     // MIs[0] addr
     /*  179338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179354 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  179357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179359 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179361 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179363 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179365 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179369 */     GIR_RootConstrainSelectedInstOperands,
     /*  179370 */     // GIR_Coverage, 699,
     /*  179370 */     GIR_EraseRootFromParent_Done,
     /*  179371 */   // Label 3454: @179371
     /*  179371 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(179426), // Rule ID 700 //
     /*  179376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  179379 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  179386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179393 */     // MIs[0] addr
     /*  179393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179409 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  179412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179414 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179416 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179418 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179420 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179424 */     GIR_RootConstrainSelectedInstOperands,
     /*  179425 */     // GIR_Coverage, 700,
     /*  179425 */     GIR_EraseRootFromParent_Done,
     /*  179426 */   // Label 3455: @179426
     /*  179426 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(179481), // Rule ID 1061 //
     /*  179431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179448 */     // MIs[0] addr
     /*  179448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179464 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179469 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179471 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179473 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179479 */     GIR_RootConstrainSelectedInstOperands,
     /*  179480 */     // GIR_Coverage, 1061,
     /*  179480 */     GIR_EraseRootFromParent_Done,
     /*  179481 */   // Label 3456: @179481
     /*  179481 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(179536), // Rule ID 1063 //
     /*  179486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179489 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179496 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179503 */     // MIs[0] addr
     /*  179503 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179519 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  179522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179524 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179526 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179528 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179530 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179534 */     GIR_RootConstrainSelectedInstOperands,
     /*  179535 */     // GIR_Coverage, 1063,
     /*  179535 */     GIR_EraseRootFromParent_Done,
     /*  179536 */   // Label 3457: @179536
     /*  179536 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(179591), // Rule ID 1065 //
     /*  179541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179544 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179551 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179558 */     // MIs[0] addr
     /*  179558 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179574 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  179577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179579 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179581 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179583 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179585 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179589 */     GIR_RootConstrainSelectedInstOperands,
     /*  179590 */     // GIR_Coverage, 1065,
     /*  179590 */     GIR_EraseRootFromParent_Done,
     /*  179591 */   // Label 3458: @179591
     /*  179591 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(179646), // Rule ID 1067 //
     /*  179596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179599 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179606 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179613 */     // MIs[0] addr
     /*  179613 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179629 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  179632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179634 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179636 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179638 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179640 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179644 */     GIR_RootConstrainSelectedInstOperands,
     /*  179645 */     // GIR_Coverage, 1067,
     /*  179645 */     GIR_EraseRootFromParent_Done,
     /*  179646 */   // Label 3459: @179646
     /*  179646 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(179701), // Rule ID 1069 //
     /*  179651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179654 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179661 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179668 */     // MIs[0] addr
     /*  179668 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179684 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  179687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179689 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179691 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179693 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179695 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179699 */     GIR_RootConstrainSelectedInstOperands,
     /*  179700 */     // GIR_Coverage, 1069,
     /*  179700 */     GIR_EraseRootFromParent_Done,
     /*  179701 */   // Label 3460: @179701
     /*  179701 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(179756), // Rule ID 1071 //
     /*  179706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179709 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179716 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179723 */     // MIs[0] addr
     /*  179723 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179739 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179744 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179746 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179748 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179754 */     GIR_RootConstrainSelectedInstOperands,
     /*  179755 */     // GIR_Coverage, 1071,
     /*  179755 */     GIR_EraseRootFromParent_Done,
     /*  179756 */   // Label 3461: @179756
     /*  179756 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(179811), // Rule ID 1073 //
     /*  179761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179778 */     // MIs[0] addr
     /*  179778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179794 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179799 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179801 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179803 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179805 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179809 */     GIR_RootConstrainSelectedInstOperands,
     /*  179810 */     // GIR_Coverage, 1073,
     /*  179810 */     GIR_EraseRootFromParent_Done,
     /*  179811 */   // Label 3462: @179811
     /*  179811 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(179866), // Rule ID 1075 //
     /*  179816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179833 */     // MIs[0] addr
     /*  179833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179849 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179854 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179856 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179858 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179860 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179864 */     GIR_RootConstrainSelectedInstOperands,
     /*  179865 */     // GIR_Coverage, 1075,
     /*  179865 */     GIR_EraseRootFromParent_Done,
     /*  179866 */   // Label 3463: @179866
     /*  179866 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(179921), // Rule ID 1077 //
     /*  179871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179874 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179881 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179888 */     // MIs[0] addr
     /*  179888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179904 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179909 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179911 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179913 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179915 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179919 */     GIR_RootConstrainSelectedInstOperands,
     /*  179920 */     // GIR_Coverage, 1077,
     /*  179920 */     GIR_EraseRootFromParent_Done,
     /*  179921 */   // Label 3464: @179921
     /*  179921 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(179976), // Rule ID 1079 //
     /*  179926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179936 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179943 */     // MIs[0] addr
     /*  179943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179959 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  179962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179964 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179966 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179968 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179970 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179974 */     GIR_RootConstrainSelectedInstOperands,
     /*  179975 */     // GIR_Coverage, 1079,
     /*  179975 */     GIR_EraseRootFromParent_Done,
     /*  179976 */   // Label 3465: @179976
     /*  179976 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(180031), // Rule ID 1081 //
     /*  179981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179984 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179991 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179998 */     // MIs[0] addr
     /*  179998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180014 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  180014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  180017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180019 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180021 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180023 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180025 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180029 */     GIR_RootConstrainSelectedInstOperands,
     /*  180030 */     // GIR_Coverage, 1081,
     /*  180030 */     GIR_EraseRootFromParent_Done,
     /*  180031 */   // Label 3466: @180031
     /*  180031 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(180086), // Rule ID 1083 //
     /*  180036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  180039 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180046 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180053 */     // MIs[0] addr
     /*  180053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180069 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  180069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  180072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180074 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180076 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180078 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180080 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180084 */     GIR_RootConstrainSelectedInstOperands,
     /*  180085 */     // GIR_Coverage, 1083,
     /*  180085 */     GIR_EraseRootFromParent_Done,
     /*  180086 */   // Label 3467: @180086
     /*  180086 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(180141), // Rule ID 1085 //
     /*  180091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  180094 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180101 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180108 */     // MIs[0] addr
     /*  180108 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180124 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  180124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  180127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180129 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180131 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180133 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180139 */     GIR_RootConstrainSelectedInstOperands,
     /*  180140 */     // GIR_Coverage, 1085,
     /*  180140 */     GIR_EraseRootFromParent_Done,
     /*  180141 */   // Label 3468: @180141
     /*  180141 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(180196), // Rule ID 1087 //
     /*  180146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  180149 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180156 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180163 */     // MIs[0] addr
     /*  180163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180179 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  180179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  180182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180184 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180186 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180188 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180194 */     GIR_RootConstrainSelectedInstOperands,
     /*  180195 */     // GIR_Coverage, 1087,
     /*  180195 */     GIR_EraseRootFromParent_Done,
     /*  180196 */   // Label 3469: @180196
     /*  180196 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(180251), // Rule ID 1089 //
     /*  180201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  180204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180218 */     // MIs[0] addr
     /*  180218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180234 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  180234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  180237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180239 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180241 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180243 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180249 */     GIR_RootConstrainSelectedInstOperands,
     /*  180250 */     // GIR_Coverage, 1089,
     /*  180250 */     GIR_EraseRootFromParent_Done,
     /*  180251 */   // Label 3470: @180251
     /*  180251 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(180306), // Rule ID 1091 //
     /*  180256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  180259 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180266 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180273 */     // MIs[0] addr
     /*  180273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180289 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  180289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  180292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180294 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180296 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180298 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180300 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180304 */     GIR_RootConstrainSelectedInstOperands,
     /*  180305 */     // GIR_Coverage, 1091,
     /*  180305 */     GIR_EraseRootFromParent_Done,
     /*  180306 */   // Label 3471: @180306
     /*  180306 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(180361), // Rule ID 1093 //
     /*  180311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  180314 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180321 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180328 */     // MIs[0] addr
     /*  180328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180344 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  180344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  180347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180349 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180351 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180353 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180359 */     GIR_RootConstrainSelectedInstOperands,
     /*  180360 */     // GIR_Coverage, 1093,
     /*  180360 */     GIR_EraseRootFromParent_Done,
     /*  180361 */   // Label 3472: @180361
     /*  180361 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(180416), // Rule ID 1095 //
     /*  180366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  180369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180383 */     // MIs[0] addr
     /*  180383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180399 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  180399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  180402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180404 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180406 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180408 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180410 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180414 */     GIR_RootConstrainSelectedInstOperands,
     /*  180415 */     // GIR_Coverage, 1095,
     /*  180415 */     GIR_EraseRootFromParent_Done,
     /*  180416 */   // Label 3473: @180416
     /*  180416 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(180471), // Rule ID 1097 //
     /*  180421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  180424 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180431 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180438 */     // MIs[0] addr
     /*  180438 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180454 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  180454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  180457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180459 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180461 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180463 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180469 */     GIR_RootConstrainSelectedInstOperands,
     /*  180470 */     // GIR_Coverage, 1097,
     /*  180470 */     GIR_EraseRootFromParent_Done,
     /*  180471 */   // Label 3474: @180471
     /*  180471 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(180526), // Rule ID 1099 //
     /*  180476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  180479 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180486 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180493 */     // MIs[0] addr
     /*  180493 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180509 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  180509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  180512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180514 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180516 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180518 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180520 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180524 */     GIR_RootConstrainSelectedInstOperands,
     /*  180525 */     // GIR_Coverage, 1099,
     /*  180525 */     GIR_EraseRootFromParent_Done,
     /*  180526 */   // Label 3475: @180526
     /*  180526 */   GIM_Reject,
     /*  180527 */ // Label 3425: @180527
     /*  180527 */ GIM_Reject,
     /*  180528 */ // Label 3388: @180528
     /*  180528 */ GIM_Reject,
     /*  180529 */ // Label 26: @180529
     /*  180529 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3478*/ GIMT_Encode4(183438),
     /*  180540 */ /*GILLT_s32*//*Label 3476*/ GIMT_Encode4(180548),
     /*  180544 */ /*GILLT_s64*//*Label 3477*/ GIMT_Encode4(181788),
     /*  180548 */ // Label 3476: @180548
     /*  180548 */ GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(181787),
     /*  180553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  180556 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(180597), // Rule ID 354 //
     /*  180561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  180564 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180571 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180578 */     // MIs[0] rs1
     /*  180578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180590 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180590 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180595 */     GIR_RootConstrainSelectedInstOperands,
     /*  180596 */     // GIR_Coverage, 354,
     /*  180596 */     GIR_Done,
     /*  180597 */   // Label 3480: @180597
     /*  180597 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(180638), // Rule ID 356 //
     /*  180602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  180605 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180612 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180619 */     // MIs[0] rs1
     /*  180619 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180631 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180631 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  180636 */     GIR_RootConstrainSelectedInstOperands,
     /*  180637 */     // GIR_Coverage, 356,
     /*  180637 */     GIR_Done,
     /*  180638 */   // Label 3481: @180638
     /*  180638 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(180679), // Rule ID 358 //
     /*  180643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  180646 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180653 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180660 */     // MIs[0] rs1
     /*  180660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180672 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180672 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  180677 */     GIR_RootConstrainSelectedInstOperands,
     /*  180678 */     // GIR_Coverage, 358,
     /*  180678 */     GIR_Done,
     /*  180679 */   // Label 3482: @180679
     /*  180679 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(180720), // Rule ID 360 //
     /*  180684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  180687 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180694 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180701 */     // MIs[0] rs1
     /*  180701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180713 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  180718 */     GIR_RootConstrainSelectedInstOperands,
     /*  180719 */     // GIR_Coverage, 360,
     /*  180719 */     GIR_Done,
     /*  180720 */   // Label 3483: @180720
     /*  180720 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(180761), // Rule ID 362 //
     /*  180725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  180728 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180735 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180742 */     // MIs[0] rs1
     /*  180742 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180754 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180754 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  180759 */     GIR_RootConstrainSelectedInstOperands,
     /*  180760 */     // GIR_Coverage, 362,
     /*  180760 */     GIR_Done,
     /*  180761 */   // Label 3484: @180761
     /*  180761 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(180802), // Rule ID 364 //
     /*  180766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180769 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180776 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180783 */     // MIs[0] rs1
     /*  180783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180795 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180795 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180800 */     GIR_RootConstrainSelectedInstOperands,
     /*  180801 */     // GIR_Coverage, 364,
     /*  180801 */     GIR_Done,
     /*  180802 */   // Label 3485: @180802
     /*  180802 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(180843), // Rule ID 366 //
     /*  180807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180810 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180817 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180824 */     // MIs[0] rs1
     /*  180824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180836 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180836 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180841 */     GIR_RootConstrainSelectedInstOperands,
     /*  180842 */     // GIR_Coverage, 366,
     /*  180842 */     GIR_Done,
     /*  180843 */   // Label 3486: @180843
     /*  180843 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(180884), // Rule ID 368 //
     /*  180848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180851 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180858 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180865 */     // MIs[0] rs1
     /*  180865 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180877 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180877 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180882 */     GIR_RootConstrainSelectedInstOperands,
     /*  180883 */     // GIR_Coverage, 368,
     /*  180883 */     GIR_Done,
     /*  180884 */   // Label 3487: @180884
     /*  180884 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(180925), // Rule ID 370 //
     /*  180889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180892 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180899 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180906 */     // MIs[0] rs1
     /*  180906 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180918 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180918 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180923 */     GIR_RootConstrainSelectedInstOperands,
     /*  180924 */     // GIR_Coverage, 370,
     /*  180924 */     GIR_Done,
     /*  180925 */   // Label 3488: @180925
     /*  180925 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(180966), // Rule ID 372 //
     /*  180930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  180933 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180940 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180947 */     // MIs[0] rs1
     /*  180947 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180959 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180959 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180964 */     GIR_RootConstrainSelectedInstOperands,
     /*  180965 */     // GIR_Coverage, 372,
     /*  180965 */     GIR_Done,
     /*  180966 */   // Label 3489: @180966
     /*  180966 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(181007), // Rule ID 702 //
     /*  180971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180974 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180981 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180988 */     // MIs[0] rs1
     /*  180988 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181000 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181000 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181005 */     GIR_RootConstrainSelectedInstOperands,
     /*  181006 */     // GIR_Coverage, 702,
     /*  181006 */     GIR_Done,
     /*  181007 */   // Label 3490: @181007
     /*  181007 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(181048), // Rule ID 704 //
     /*  181012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181015 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181022 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181029 */     // MIs[0] rs1
     /*  181029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181041 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181041 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  181046 */     GIR_RootConstrainSelectedInstOperands,
     /*  181047 */     // GIR_Coverage, 704,
     /*  181047 */     GIR_Done,
     /*  181048 */   // Label 3491: @181048
     /*  181048 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(181089), // Rule ID 706 //
     /*  181053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181056 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181063 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181070 */     // MIs[0] rs1
     /*  181070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181082 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181082 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  181087 */     GIR_RootConstrainSelectedInstOperands,
     /*  181088 */     // GIR_Coverage, 706,
     /*  181088 */     GIR_Done,
     /*  181089 */   // Label 3492: @181089
     /*  181089 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(181130), // Rule ID 708 //
     /*  181094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181097 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181104 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181111 */     // MIs[0] rs1
     /*  181111 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181123 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181123 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  181128 */     GIR_RootConstrainSelectedInstOperands,
     /*  181129 */     // GIR_Coverage, 708,
     /*  181129 */     GIR_Done,
     /*  181130 */   // Label 3493: @181130
     /*  181130 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(181171), // Rule ID 710 //
     /*  181135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181138 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181145 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181152 */     // MIs[0] rs1
     /*  181152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181164 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181164 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  181169 */     GIR_RootConstrainSelectedInstOperands,
     /*  181170 */     // GIR_Coverage, 710,
     /*  181170 */     GIR_Done,
     /*  181171 */   // Label 3494: @181171
     /*  181171 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(181212), // Rule ID 712 //
     /*  181176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181179 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181186 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181193 */     // MIs[0] rs1
     /*  181193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181205 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181210 */     GIR_RootConstrainSelectedInstOperands,
     /*  181211 */     // GIR_Coverage, 712,
     /*  181211 */     GIR_Done,
     /*  181212 */   // Label 3495: @181212
     /*  181212 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(181253), // Rule ID 714 //
     /*  181217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181220 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181227 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181234 */     // MIs[0] rs1
     /*  181234 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181246 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181246 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181251 */     GIR_RootConstrainSelectedInstOperands,
     /*  181252 */     // GIR_Coverage, 714,
     /*  181252 */     GIR_Done,
     /*  181253 */   // Label 3496: @181253
     /*  181253 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(181294), // Rule ID 716 //
     /*  181258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181261 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181268 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181275 */     // MIs[0] rs1
     /*  181275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181287 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181287 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181292 */     GIR_RootConstrainSelectedInstOperands,
     /*  181293 */     // GIR_Coverage, 716,
     /*  181293 */     GIR_Done,
     /*  181294 */   // Label 3497: @181294
     /*  181294 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(181335), // Rule ID 718 //
     /*  181299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181302 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181309 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181316 */     // MIs[0] rs1
     /*  181316 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181328 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181328 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181333 */     GIR_RootConstrainSelectedInstOperands,
     /*  181334 */     // GIR_Coverage, 718,
     /*  181334 */     GIR_Done,
     /*  181335 */   // Label 3498: @181335
     /*  181335 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(181376), // Rule ID 720 //
     /*  181340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181343 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181350 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181357 */     // MIs[0] rs1
     /*  181357 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181369 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181374 */     GIR_RootConstrainSelectedInstOperands,
     /*  181375 */     // GIR_Coverage, 720,
     /*  181375 */     GIR_Done,
     /*  181376 */   // Label 3499: @181376
     /*  181376 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(181417), // Rule ID 882 //
     /*  181381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181384 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181391 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181398 */     // MIs[0] rs1
     /*  181398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181410 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181415 */     GIR_RootConstrainSelectedInstOperands,
     /*  181416 */     // GIR_Coverage, 882,
     /*  181416 */     GIR_Done,
     /*  181417 */   // Label 3500: @181417
     /*  181417 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(181458), // Rule ID 884 //
     /*  181422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181425 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181432 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181439 */     // MIs[0] rs1
     /*  181439 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181451 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181451 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  181456 */     GIR_RootConstrainSelectedInstOperands,
     /*  181457 */     // GIR_Coverage, 884,
     /*  181457 */     GIR_Done,
     /*  181458 */   // Label 3501: @181458
     /*  181458 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(181499), // Rule ID 886 //
     /*  181463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181466 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181473 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181480 */     // MIs[0] rs1
     /*  181480 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181492 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181492 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  181497 */     GIR_RootConstrainSelectedInstOperands,
     /*  181498 */     // GIR_Coverage, 886,
     /*  181498 */     GIR_Done,
     /*  181499 */   // Label 3502: @181499
     /*  181499 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(181540), // Rule ID 888 //
     /*  181504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181507 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181514 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181521 */     // MIs[0] rs1
     /*  181521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181533 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  181538 */     GIR_RootConstrainSelectedInstOperands,
     /*  181539 */     // GIR_Coverage, 888,
     /*  181539 */     GIR_Done,
     /*  181540 */   // Label 3503: @181540
     /*  181540 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(181581), // Rule ID 890 //
     /*  181545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181548 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181555 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181562 */     // MIs[0] rs1
     /*  181562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181574 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  181579 */     GIR_RootConstrainSelectedInstOperands,
     /*  181580 */     // GIR_Coverage, 890,
     /*  181580 */     GIR_Done,
     /*  181581 */   // Label 3504: @181581
     /*  181581 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(181622), // Rule ID 892 //
     /*  181586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181589 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181596 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181603 */     // MIs[0] rs1
     /*  181603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181615 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181615 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181620 */     GIR_RootConstrainSelectedInstOperands,
     /*  181621 */     // GIR_Coverage, 892,
     /*  181621 */     GIR_Done,
     /*  181622 */   // Label 3505: @181622
     /*  181622 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(181663), // Rule ID 894 //
     /*  181627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181644 */     // MIs[0] rs1
     /*  181644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181656 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181661 */     GIR_RootConstrainSelectedInstOperands,
     /*  181662 */     // GIR_Coverage, 894,
     /*  181662 */     GIR_Done,
     /*  181663 */   // Label 3506: @181663
     /*  181663 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(181704), // Rule ID 896 //
     /*  181668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181671 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181685 */     // MIs[0] rs1
     /*  181685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181697 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181697 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181702 */     GIR_RootConstrainSelectedInstOperands,
     /*  181703 */     // GIR_Coverage, 896,
     /*  181703 */     GIR_Done,
     /*  181704 */   // Label 3507: @181704
     /*  181704 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(181745), // Rule ID 898 //
     /*  181709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181712 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181719 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181726 */     // MIs[0] rs1
     /*  181726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181738 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181743 */     GIR_RootConstrainSelectedInstOperands,
     /*  181744 */     // GIR_Coverage, 898,
     /*  181744 */     GIR_Done,
     /*  181745 */   // Label 3508: @181745
     /*  181745 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(181786), // Rule ID 900 //
     /*  181750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181753 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181760 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181767 */     // MIs[0] rs1
     /*  181767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181779 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181784 */     GIR_RootConstrainSelectedInstOperands,
     /*  181785 */     // GIR_Coverage, 900,
     /*  181785 */     GIR_Done,
     /*  181786 */   // Label 3509: @181786
     /*  181786 */   GIM_Reject,
     /*  181787 */ // Label 3479: @181787
     /*  181787 */ GIM_Reject,
     /*  181788 */ // Label 3477: @181788
     /*  181788 */ GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(183437),
     /*  181793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  181796 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(181837), // Rule ID 353 //
     /*  181801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181804 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181811 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181818 */     // MIs[0] rs1
     /*  181818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181830 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181830 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181835 */     GIR_RootConstrainSelectedInstOperands,
     /*  181836 */     // GIR_Coverage, 353,
     /*  181836 */     GIR_Done,
     /*  181837 */   // Label 3511: @181837
     /*  181837 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(181878), // Rule ID 355 //
     /*  181842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181845 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181852 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181859 */     // MIs[0] rs1
     /*  181859 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181871 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181871 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  181876 */     GIR_RootConstrainSelectedInstOperands,
     /*  181877 */     // GIR_Coverage, 355,
     /*  181877 */     GIR_Done,
     /*  181878 */   // Label 3512: @181878
     /*  181878 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(181919), // Rule ID 357 //
     /*  181883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181886 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181893 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181900 */     // MIs[0] rs1
     /*  181900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181912 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181912 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  181917 */     GIR_RootConstrainSelectedInstOperands,
     /*  181918 */     // GIR_Coverage, 357,
     /*  181918 */     GIR_Done,
     /*  181919 */   // Label 3513: @181919
     /*  181919 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(181960), // Rule ID 359 //
     /*  181924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181927 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181934 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181941 */     // MIs[0] rs1
     /*  181941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181953 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181953 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  181958 */     GIR_RootConstrainSelectedInstOperands,
     /*  181959 */     // GIR_Coverage, 359,
     /*  181959 */     GIR_Done,
     /*  181960 */   // Label 3514: @181960
     /*  181960 */   GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(182001), // Rule ID 361 //
     /*  181965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  181968 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181975 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181982 */     // MIs[0] rs1
     /*  181982 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181994 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181994 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  181999 */     GIR_RootConstrainSelectedInstOperands,
     /*  182000 */     // GIR_Coverage, 361,
     /*  182000 */     GIR_Done,
     /*  182001 */   // Label 3515: @182001
     /*  182001 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(182042), // Rule ID 363 //
     /*  182006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  182009 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182016 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182023 */     // MIs[0] rs1
     /*  182023 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182035 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182035 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  182040 */     GIR_RootConstrainSelectedInstOperands,
     /*  182041 */     // GIR_Coverage, 363,
     /*  182041 */     GIR_Done,
     /*  182042 */   // Label 3516: @182042
     /*  182042 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(182083), // Rule ID 365 //
     /*  182047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  182050 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182057 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182064 */     // MIs[0] rs1
     /*  182064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182076 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182076 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  182081 */     GIR_RootConstrainSelectedInstOperands,
     /*  182082 */     // GIR_Coverage, 365,
     /*  182082 */     GIR_Done,
     /*  182083 */   // Label 3517: @182083
     /*  182083 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(182124), // Rule ID 367 //
     /*  182088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  182091 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182098 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182105 */     // MIs[0] rs1
     /*  182105 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182117 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182117 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  182122 */     GIR_RootConstrainSelectedInstOperands,
     /*  182123 */     // GIR_Coverage, 367,
     /*  182123 */     GIR_Done,
     /*  182124 */   // Label 3518: @182124
     /*  182124 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(182165), // Rule ID 369 //
     /*  182129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  182132 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182139 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182146 */     // MIs[0] rs1
     /*  182146 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182158 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182158 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  182163 */     GIR_RootConstrainSelectedInstOperands,
     /*  182164 */     // GIR_Coverage, 369,
     /*  182164 */     GIR_Done,
     /*  182165 */   // Label 3519: @182165
     /*  182165 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(182206), // Rule ID 371 //
     /*  182170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  182173 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182180 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182187 */     // MIs[0] rs1
     /*  182187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182199 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182199 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  182204 */     GIR_RootConstrainSelectedInstOperands,
     /*  182205 */     // GIR_Coverage, 371,
     /*  182205 */     GIR_Done,
     /*  182206 */   // Label 3520: @182206
     /*  182206 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(182247), // Rule ID 533 //
     /*  182211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182214 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182221 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182228 */     // MIs[0] rs1
     /*  182228 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182240 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182240 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  182245 */     GIR_RootConstrainSelectedInstOperands,
     /*  182246 */     // GIR_Coverage, 533,
     /*  182246 */     GIR_Done,
     /*  182247 */   // Label 3521: @182247
     /*  182247 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(182288), // Rule ID 534 //
     /*  182252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182255 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182262 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182269 */     // MIs[0] rs1
     /*  182269 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182281 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182281 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ),
     /*  182286 */     GIR_RootConstrainSelectedInstOperands,
     /*  182287 */     // GIR_Coverage, 534,
     /*  182287 */     GIR_Done,
     /*  182288 */   // Label 3522: @182288
     /*  182288 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(182329), // Rule ID 535 //
     /*  182293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182296 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182303 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182310 */     // MIs[0] rs1
     /*  182310 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182322 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182322 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_RL),
     /*  182327 */     GIR_RootConstrainSelectedInstOperands,
     /*  182328 */     // GIR_Coverage, 535,
     /*  182328 */     GIR_Done,
     /*  182329 */   // Label 3523: @182329
     /*  182329 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(182370), // Rule ID 536 //
     /*  182334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182337 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182344 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182351 */     // MIs[0] rs1
     /*  182351 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182363 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182363 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  182368 */     GIR_RootConstrainSelectedInstOperands,
     /*  182369 */     // GIR_Coverage, 536,
     /*  182369 */     GIR_Done,
     /*  182370 */   // Label 3524: @182370
     /*  182370 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(182411), // Rule ID 537 //
     /*  182375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182378 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182385 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182392 */     // MIs[0] rs1
     /*  182392 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182404 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182404 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  182409 */     GIR_RootConstrainSelectedInstOperands,
     /*  182410 */     // GIR_Coverage, 537,
     /*  182410 */     GIR_Done,
     /*  182411 */   // Label 3525: @182411
     /*  182411 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(182452), // Rule ID 538 //
     /*  182416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  182419 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182426 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182433 */     // MIs[0] rs1
     /*  182433 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182445 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182445 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  182450 */     GIR_RootConstrainSelectedInstOperands,
     /*  182451 */     // GIR_Coverage, 538,
     /*  182451 */     GIR_Done,
     /*  182452 */   // Label 3526: @182452
     /*  182452 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(182493), // Rule ID 539 //
     /*  182457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  182460 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182467 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182474 */     // MIs[0] rs1
     /*  182474 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182486 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182486 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  182491 */     GIR_RootConstrainSelectedInstOperands,
     /*  182492 */     // GIR_Coverage, 539,
     /*  182492 */     GIR_Done,
     /*  182493 */   // Label 3527: @182493
     /*  182493 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(182534), // Rule ID 540 //
     /*  182498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  182501 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182508 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182515 */     // MIs[0] rs1
     /*  182515 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182527 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182527 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  182532 */     GIR_RootConstrainSelectedInstOperands,
     /*  182533 */     // GIR_Coverage, 540,
     /*  182533 */     GIR_Done,
     /*  182534 */   // Label 3528: @182534
     /*  182534 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(182575), // Rule ID 541 //
     /*  182539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  182542 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182549 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182556 */     // MIs[0] rs1
     /*  182556 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182568 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182568 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  182573 */     GIR_RootConstrainSelectedInstOperands,
     /*  182574 */     // GIR_Coverage, 541,
     /*  182574 */     GIR_Done,
     /*  182575 */   // Label 3529: @182575
     /*  182575 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(182616), // Rule ID 542 //
     /*  182580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  182583 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182590 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182597 */     // MIs[0] rs1
     /*  182597 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182609 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182609 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  182614 */     GIR_RootConstrainSelectedInstOperands,
     /*  182615 */     // GIR_Coverage, 542,
     /*  182615 */     GIR_Done,
     /*  182616 */   // Label 3530: @182616
     /*  182616 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(182657), // Rule ID 701 //
     /*  182621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182624 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182631 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182638 */     // MIs[0] rs1
     /*  182638 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182650 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182655 */     GIR_RootConstrainSelectedInstOperands,
     /*  182656 */     // GIR_Coverage, 701,
     /*  182656 */     GIR_Done,
     /*  182657 */   // Label 3531: @182657
     /*  182657 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(182698), // Rule ID 703 //
     /*  182662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182665 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182672 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182679 */     // MIs[0] rs1
     /*  182679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182691 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182691 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  182696 */     GIR_RootConstrainSelectedInstOperands,
     /*  182697 */     // GIR_Coverage, 703,
     /*  182697 */     GIR_Done,
     /*  182698 */   // Label 3532: @182698
     /*  182698 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(182739), // Rule ID 705 //
     /*  182703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182706 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182713 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182720 */     // MIs[0] rs1
     /*  182720 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182732 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  182737 */     GIR_RootConstrainSelectedInstOperands,
     /*  182738 */     // GIR_Coverage, 705,
     /*  182738 */     GIR_Done,
     /*  182739 */   // Label 3533: @182739
     /*  182739 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(182780), // Rule ID 707 //
     /*  182744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182747 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182754 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182761 */     // MIs[0] rs1
     /*  182761 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182773 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182773 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  182778 */     GIR_RootConstrainSelectedInstOperands,
     /*  182779 */     // GIR_Coverage, 707,
     /*  182779 */     GIR_Done,
     /*  182780 */   // Label 3534: @182780
     /*  182780 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(182821), // Rule ID 709 //
     /*  182785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182788 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182795 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182802 */     // MIs[0] rs1
     /*  182802 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182814 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182814 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  182819 */     GIR_RootConstrainSelectedInstOperands,
     /*  182820 */     // GIR_Coverage, 709,
     /*  182820 */     GIR_Done,
     /*  182821 */   // Label 3535: @182821
     /*  182821 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(182862), // Rule ID 711 //
     /*  182826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182829 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182836 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182843 */     // MIs[0] rs1
     /*  182843 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182855 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182855 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182860 */     GIR_RootConstrainSelectedInstOperands,
     /*  182861 */     // GIR_Coverage, 711,
     /*  182861 */     GIR_Done,
     /*  182862 */   // Label 3536: @182862
     /*  182862 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(182903), // Rule ID 713 //
     /*  182867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182870 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182877 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182884 */     // MIs[0] rs1
     /*  182884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182896 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182896 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182901 */     GIR_RootConstrainSelectedInstOperands,
     /*  182902 */     // GIR_Coverage, 713,
     /*  182902 */     GIR_Done,
     /*  182903 */   // Label 3537: @182903
     /*  182903 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(182944), // Rule ID 715 //
     /*  182908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182911 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182918 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182925 */     // MIs[0] rs1
     /*  182925 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182937 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182937 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182942 */     GIR_RootConstrainSelectedInstOperands,
     /*  182943 */     // GIR_Coverage, 715,
     /*  182943 */     GIR_Done,
     /*  182944 */   // Label 3538: @182944
     /*  182944 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(182985), // Rule ID 717 //
     /*  182949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182952 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182959 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182966 */     // MIs[0] rs1
     /*  182966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182978 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182978 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  182983 */     GIR_RootConstrainSelectedInstOperands,
     /*  182984 */     // GIR_Coverage, 717,
     /*  182984 */     GIR_Done,
     /*  182985 */   // Label 3539: @182985
     /*  182985 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(183026), // Rule ID 719 //
     /*  182990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182993 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183000 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183007 */     // MIs[0] rs1
     /*  183007 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183019 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183019 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  183024 */     GIR_RootConstrainSelectedInstOperands,
     /*  183025 */     // GIR_Coverage, 719,
     /*  183025 */     GIR_Done,
     /*  183026 */   // Label 3540: @183026
     /*  183026 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(183067), // Rule ID 881 //
     /*  183031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183034 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183041 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183048 */     // MIs[0] rs1
     /*  183048 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183060 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183060 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  183065 */     GIR_RootConstrainSelectedInstOperands,
     /*  183066 */     // GIR_Coverage, 881,
     /*  183066 */     GIR_Done,
     /*  183067 */   // Label 3541: @183067
     /*  183067 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(183108), // Rule ID 883 //
     /*  183072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183075 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183082 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183089 */     // MIs[0] rs1
     /*  183089 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183101 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183101 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  183106 */     GIR_RootConstrainSelectedInstOperands,
     /*  183107 */     // GIR_Coverage, 883,
     /*  183107 */     GIR_Done,
     /*  183108 */   // Label 3542: @183108
     /*  183108 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(183149), // Rule ID 885 //
     /*  183113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183116 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183123 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183130 */     // MIs[0] rs1
     /*  183130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183142 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183142 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  183147 */     GIR_RootConstrainSelectedInstOperands,
     /*  183148 */     // GIR_Coverage, 885,
     /*  183148 */     GIR_Done,
     /*  183149 */   // Label 3543: @183149
     /*  183149 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(183190), // Rule ID 887 //
     /*  183154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183157 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183164 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183171 */     // MIs[0] rs1
     /*  183171 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183183 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183183 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  183188 */     GIR_RootConstrainSelectedInstOperands,
     /*  183189 */     // GIR_Coverage, 887,
     /*  183189 */     GIR_Done,
     /*  183190 */   // Label 3544: @183190
     /*  183190 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(183231), // Rule ID 889 //
     /*  183195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183198 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183205 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183212 */     // MIs[0] rs1
     /*  183212 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183224 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183224 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  183229 */     GIR_RootConstrainSelectedInstOperands,
     /*  183230 */     // GIR_Coverage, 889,
     /*  183230 */     GIR_Done,
     /*  183231 */   // Label 3545: @183231
     /*  183231 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(183272), // Rule ID 891 //
     /*  183236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183239 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183246 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183253 */     // MIs[0] rs1
     /*  183253 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183265 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183265 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  183270 */     GIR_RootConstrainSelectedInstOperands,
     /*  183271 */     // GIR_Coverage, 891,
     /*  183271 */     GIR_Done,
     /*  183272 */   // Label 3546: @183272
     /*  183272 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(183313), // Rule ID 893 //
     /*  183277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183280 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183287 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183294 */     // MIs[0] rs1
     /*  183294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183306 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  183311 */     GIR_RootConstrainSelectedInstOperands,
     /*  183312 */     // GIR_Coverage, 893,
     /*  183312 */     GIR_Done,
     /*  183313 */   // Label 3547: @183313
     /*  183313 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(183354), // Rule ID 895 //
     /*  183318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183321 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183328 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183335 */     // MIs[0] rs1
     /*  183335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183347 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183347 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  183352 */     GIR_RootConstrainSelectedInstOperands,
     /*  183353 */     // GIR_Coverage, 895,
     /*  183353 */     GIR_Done,
     /*  183354 */   // Label 3548: @183354
     /*  183354 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(183395), // Rule ID 897 //
     /*  183359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183362 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183369 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183376 */     // MIs[0] rs1
     /*  183376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183388 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183388 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  183393 */     GIR_RootConstrainSelectedInstOperands,
     /*  183394 */     // GIR_Coverage, 897,
     /*  183394 */     GIR_Done,
     /*  183395 */   // Label 3549: @183395
     /*  183395 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(183436), // Rule ID 899 //
     /*  183400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183403 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183410 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183417 */     // MIs[0] rs1
     /*  183417 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183429 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183429 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  183434 */     GIR_RootConstrainSelectedInstOperands,
     /*  183435 */     // GIR_Coverage, 899,
     /*  183435 */     GIR_Done,
     /*  183436 */   // Label 3550: @183436
     /*  183436 */   GIM_Reject,
     /*  183437 */ // Label 3510: @183437
     /*  183437 */ GIM_Reject,
     /*  183438 */ // Label 3478: @183438
     /*  183438 */ GIM_Reject,
     /*  183439 */ // Label 27: @183439
     /*  183439 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3553*/ GIMT_Encode4(186348),
     /*  183450 */ /*GILLT_s32*//*Label 3551*/ GIMT_Encode4(183458),
     /*  183454 */ /*GILLT_s64*//*Label 3552*/ GIMT_Encode4(184698),
     /*  183458 */ // Label 3551: @183458
     /*  183458 */ GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(184697),
     /*  183463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  183466 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(183507), // Rule ID 374 //
     /*  183471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  183474 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183481 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183488 */     // MIs[0] rs1
     /*  183488 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183500 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183500 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183505 */     GIR_RootConstrainSelectedInstOperands,
     /*  183506 */     // GIR_Coverage, 374,
     /*  183506 */     GIR_Done,
     /*  183507 */   // Label 3555: @183507
     /*  183507 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(183548), // Rule ID 376 //
     /*  183512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  183515 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183522 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183529 */     // MIs[0] rs1
     /*  183529 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183541 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183541 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  183546 */     GIR_RootConstrainSelectedInstOperands,
     /*  183547 */     // GIR_Coverage, 376,
     /*  183547 */     GIR_Done,
     /*  183548 */   // Label 3556: @183548
     /*  183548 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(183589), // Rule ID 378 //
     /*  183553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  183556 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183563 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183570 */     // MIs[0] rs1
     /*  183570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183582 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183582 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  183587 */     GIR_RootConstrainSelectedInstOperands,
     /*  183588 */     // GIR_Coverage, 378,
     /*  183588 */     GIR_Done,
     /*  183589 */   // Label 3557: @183589
     /*  183589 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(183630), // Rule ID 380 //
     /*  183594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  183597 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183604 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183611 */     // MIs[0] rs1
     /*  183611 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183623 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183623 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  183628 */     GIR_RootConstrainSelectedInstOperands,
     /*  183629 */     // GIR_Coverage, 380,
     /*  183629 */     GIR_Done,
     /*  183630 */   // Label 3558: @183630
     /*  183630 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(183671), // Rule ID 382 //
     /*  183635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  183638 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183645 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183652 */     // MIs[0] rs1
     /*  183652 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183664 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183664 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  183669 */     GIR_RootConstrainSelectedInstOperands,
     /*  183670 */     // GIR_Coverage, 382,
     /*  183670 */     GIR_Done,
     /*  183671 */   // Label 3559: @183671
     /*  183671 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(183712), // Rule ID 384 //
     /*  183676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183679 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183686 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183693 */     // MIs[0] rs1
     /*  183693 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183705 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183710 */     GIR_RootConstrainSelectedInstOperands,
     /*  183711 */     // GIR_Coverage, 384,
     /*  183711 */     GIR_Done,
     /*  183712 */   // Label 3560: @183712
     /*  183712 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(183753), // Rule ID 386 //
     /*  183717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183720 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183727 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183734 */     // MIs[0] rs1
     /*  183734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183746 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183746 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183751 */     GIR_RootConstrainSelectedInstOperands,
     /*  183752 */     // GIR_Coverage, 386,
     /*  183752 */     GIR_Done,
     /*  183753 */   // Label 3561: @183753
     /*  183753 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(183794), // Rule ID 388 //
     /*  183758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183761 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183768 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183775 */     // MIs[0] rs1
     /*  183775 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183787 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183787 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183792 */     GIR_RootConstrainSelectedInstOperands,
     /*  183793 */     // GIR_Coverage, 388,
     /*  183793 */     GIR_Done,
     /*  183794 */   // Label 3562: @183794
     /*  183794 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(183835), // Rule ID 390 //
     /*  183799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183802 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183809 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183816 */     // MIs[0] rs1
     /*  183816 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183828 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183828 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183833 */     GIR_RootConstrainSelectedInstOperands,
     /*  183834 */     // GIR_Coverage, 390,
     /*  183834 */     GIR_Done,
     /*  183835 */   // Label 3563: @183835
     /*  183835 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(183876), // Rule ID 392 //
     /*  183840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183843 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183850 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183857 */     // MIs[0] rs1
     /*  183857 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183869 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183869 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183874 */     GIR_RootConstrainSelectedInstOperands,
     /*  183875 */     // GIR_Coverage, 392,
     /*  183875 */     GIR_Done,
     /*  183876 */   // Label 3564: @183876
     /*  183876 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(183917), // Rule ID 722 //
     /*  183881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183884 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183891 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183898 */     // MIs[0] rs1
     /*  183898 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183910 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183910 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183915 */     GIR_RootConstrainSelectedInstOperands,
     /*  183916 */     // GIR_Coverage, 722,
     /*  183916 */     GIR_Done,
     /*  183917 */   // Label 3565: @183917
     /*  183917 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(183958), // Rule ID 724 //
     /*  183922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183925 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183932 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183939 */     // MIs[0] rs1
     /*  183939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183951 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183951 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  183956 */     GIR_RootConstrainSelectedInstOperands,
     /*  183957 */     // GIR_Coverage, 724,
     /*  183957 */     GIR_Done,
     /*  183958 */   // Label 3566: @183958
     /*  183958 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(183999), // Rule ID 726 //
     /*  183963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183966 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183973 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183980 */     // MIs[0] rs1
     /*  183980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183992 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183992 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  183997 */     GIR_RootConstrainSelectedInstOperands,
     /*  183998 */     // GIR_Coverage, 726,
     /*  183998 */     GIR_Done,
     /*  183999 */   // Label 3567: @183999
     /*  183999 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(184040), // Rule ID 728 //
     /*  184004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184007 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184014 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184021 */     // MIs[0] rs1
     /*  184021 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184033 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184033 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  184038 */     GIR_RootConstrainSelectedInstOperands,
     /*  184039 */     // GIR_Coverage, 728,
     /*  184039 */     GIR_Done,
     /*  184040 */   // Label 3568: @184040
     /*  184040 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(184081), // Rule ID 730 //
     /*  184045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184048 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184055 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184062 */     // MIs[0] rs1
     /*  184062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184074 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184074 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  184079 */     GIR_RootConstrainSelectedInstOperands,
     /*  184080 */     // GIR_Coverage, 730,
     /*  184080 */     GIR_Done,
     /*  184081 */   // Label 3569: @184081
     /*  184081 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(184122), // Rule ID 732 //
     /*  184086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184089 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184096 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184103 */     // MIs[0] rs1
     /*  184103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184115 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184115 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184120 */     GIR_RootConstrainSelectedInstOperands,
     /*  184121 */     // GIR_Coverage, 732,
     /*  184121 */     GIR_Done,
     /*  184122 */   // Label 3570: @184122
     /*  184122 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(184163), // Rule ID 734 //
     /*  184127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184130 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184137 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184144 */     // MIs[0] rs1
     /*  184144 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184156 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184156 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184161 */     GIR_RootConstrainSelectedInstOperands,
     /*  184162 */     // GIR_Coverage, 734,
     /*  184162 */     GIR_Done,
     /*  184163 */   // Label 3571: @184163
     /*  184163 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(184204), // Rule ID 736 //
     /*  184168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184171 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184178 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184185 */     // MIs[0] rs1
     /*  184185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184197 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184197 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184202 */     GIR_RootConstrainSelectedInstOperands,
     /*  184203 */     // GIR_Coverage, 736,
     /*  184203 */     GIR_Done,
     /*  184204 */   // Label 3572: @184204
     /*  184204 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(184245), // Rule ID 738 //
     /*  184209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184212 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184219 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184226 */     // MIs[0] rs1
     /*  184226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184238 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184238 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184243 */     GIR_RootConstrainSelectedInstOperands,
     /*  184244 */     // GIR_Coverage, 738,
     /*  184244 */     GIR_Done,
     /*  184245 */   // Label 3573: @184245
     /*  184245 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(184286), // Rule ID 740 //
     /*  184250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184253 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184260 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184267 */     // MIs[0] rs1
     /*  184267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184279 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184279 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184284 */     GIR_RootConstrainSelectedInstOperands,
     /*  184285 */     // GIR_Coverage, 740,
     /*  184285 */     GIR_Done,
     /*  184286 */   // Label 3574: @184286
     /*  184286 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(184327), // Rule ID 902 //
     /*  184291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184294 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184301 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184308 */     // MIs[0] rs1
     /*  184308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184320 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184320 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  184325 */     GIR_RootConstrainSelectedInstOperands,
     /*  184326 */     // GIR_Coverage, 902,
     /*  184326 */     GIR_Done,
     /*  184327 */   // Label 3575: @184327
     /*  184327 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(184368), // Rule ID 904 //
     /*  184332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184335 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184342 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184349 */     // MIs[0] rs1
     /*  184349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184361 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184361 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  184366 */     GIR_RootConstrainSelectedInstOperands,
     /*  184367 */     // GIR_Coverage, 904,
     /*  184367 */     GIR_Done,
     /*  184368 */   // Label 3576: @184368
     /*  184368 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(184409), // Rule ID 906 //
     /*  184373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184376 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184383 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184390 */     // MIs[0] rs1
     /*  184390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184402 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184402 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  184407 */     GIR_RootConstrainSelectedInstOperands,
     /*  184408 */     // GIR_Coverage, 906,
     /*  184408 */     GIR_Done,
     /*  184409 */   // Label 3577: @184409
     /*  184409 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(184450), // Rule ID 908 //
     /*  184414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184417 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184424 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184431 */     // MIs[0] rs1
     /*  184431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184443 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184443 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  184448 */     GIR_RootConstrainSelectedInstOperands,
     /*  184449 */     // GIR_Coverage, 908,
     /*  184449 */     GIR_Done,
     /*  184450 */   // Label 3578: @184450
     /*  184450 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(184491), // Rule ID 910 //
     /*  184455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184472 */     // MIs[0] rs1
     /*  184472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184484 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  184489 */     GIR_RootConstrainSelectedInstOperands,
     /*  184490 */     // GIR_Coverage, 910,
     /*  184490 */     GIR_Done,
     /*  184491 */   // Label 3579: @184491
     /*  184491 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(184532), // Rule ID 912 //
     /*  184496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184499 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184506 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184513 */     // MIs[0] rs1
     /*  184513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184525 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  184530 */     GIR_RootConstrainSelectedInstOperands,
     /*  184531 */     // GIR_Coverage, 912,
     /*  184531 */     GIR_Done,
     /*  184532 */   // Label 3580: @184532
     /*  184532 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(184573), // Rule ID 914 //
     /*  184537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184547 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184554 */     // MIs[0] rs1
     /*  184554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184566 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  184571 */     GIR_RootConstrainSelectedInstOperands,
     /*  184572 */     // GIR_Coverage, 914,
     /*  184572 */     GIR_Done,
     /*  184573 */   // Label 3581: @184573
     /*  184573 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(184614), // Rule ID 916 //
     /*  184578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184581 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184588 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184595 */     // MIs[0] rs1
     /*  184595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184607 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  184612 */     GIR_RootConstrainSelectedInstOperands,
     /*  184613 */     // GIR_Coverage, 916,
     /*  184613 */     GIR_Done,
     /*  184614 */   // Label 3582: @184614
     /*  184614 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(184655), // Rule ID 918 //
     /*  184619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184622 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184629 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184636 */     // MIs[0] rs1
     /*  184636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184648 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  184653 */     GIR_RootConstrainSelectedInstOperands,
     /*  184654 */     // GIR_Coverage, 918,
     /*  184654 */     GIR_Done,
     /*  184655 */   // Label 3583: @184655
     /*  184655 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(184696), // Rule ID 920 //
     /*  184660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184677 */     // MIs[0] rs1
     /*  184677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184689 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  184694 */     GIR_RootConstrainSelectedInstOperands,
     /*  184695 */     // GIR_Coverage, 920,
     /*  184695 */     GIR_Done,
     /*  184696 */   // Label 3584: @184696
     /*  184696 */   GIM_Reject,
     /*  184697 */ // Label 3554: @184697
     /*  184697 */ GIM_Reject,
     /*  184698 */ // Label 3552: @184698
     /*  184698 */ GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(186347),
     /*  184703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  184706 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(184747), // Rule ID 373 //
     /*  184711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184714 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184721 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184728 */     // MIs[0] rs1
     /*  184728 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184740 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184740 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184745 */     GIR_RootConstrainSelectedInstOperands,
     /*  184746 */     // GIR_Coverage, 373,
     /*  184746 */     GIR_Done,
     /*  184747 */   // Label 3586: @184747
     /*  184747 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(184788), // Rule ID 375 //
     /*  184752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184755 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184762 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184769 */     // MIs[0] rs1
     /*  184769 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184781 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184781 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  184786 */     GIR_RootConstrainSelectedInstOperands,
     /*  184787 */     // GIR_Coverage, 375,
     /*  184787 */     GIR_Done,
     /*  184788 */   // Label 3587: @184788
     /*  184788 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(184829), // Rule ID 377 //
     /*  184793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184796 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184803 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184810 */     // MIs[0] rs1
     /*  184810 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184822 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184822 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  184827 */     GIR_RootConstrainSelectedInstOperands,
     /*  184828 */     // GIR_Coverage, 377,
     /*  184828 */     GIR_Done,
     /*  184829 */   // Label 3588: @184829
     /*  184829 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(184870), // Rule ID 379 //
     /*  184834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184837 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184844 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184851 */     // MIs[0] rs1
     /*  184851 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184863 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184863 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  184868 */     GIR_RootConstrainSelectedInstOperands,
     /*  184869 */     // GIR_Coverage, 379,
     /*  184869 */     GIR_Done,
     /*  184870 */   // Label 3589: @184870
     /*  184870 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(184911), // Rule ID 381 //
     /*  184875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184878 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184885 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184892 */     // MIs[0] rs1
     /*  184892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184904 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184904 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  184909 */     GIR_RootConstrainSelectedInstOperands,
     /*  184910 */     // GIR_Coverage, 381,
     /*  184910 */     GIR_Done,
     /*  184911 */   // Label 3590: @184911
     /*  184911 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(184952), // Rule ID 383 //
     /*  184916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184919 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184926 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184933 */     // MIs[0] rs1
     /*  184933 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184945 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184945 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184950 */     GIR_RootConstrainSelectedInstOperands,
     /*  184951 */     // GIR_Coverage, 383,
     /*  184951 */     GIR_Done,
     /*  184952 */   // Label 3591: @184952
     /*  184952 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(184993), // Rule ID 385 //
     /*  184957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184960 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184967 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184974 */     // MIs[0] rs1
     /*  184974 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184986 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184986 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184991 */     GIR_RootConstrainSelectedInstOperands,
     /*  184992 */     // GIR_Coverage, 385,
     /*  184992 */     GIR_Done,
     /*  184993 */   // Label 3592: @184993
     /*  184993 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(185034), // Rule ID 387 //
     /*  184998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185001 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185008 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185015 */     // MIs[0] rs1
     /*  185015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185027 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185027 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  185032 */     GIR_RootConstrainSelectedInstOperands,
     /*  185033 */     // GIR_Coverage, 387,
     /*  185033 */     GIR_Done,
     /*  185034 */   // Label 3593: @185034
     /*  185034 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(185075), // Rule ID 389 //
     /*  185039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185042 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185049 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185056 */     // MIs[0] rs1
     /*  185056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185068 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185068 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  185073 */     GIR_RootConstrainSelectedInstOperands,
     /*  185074 */     // GIR_Coverage, 389,
     /*  185074 */     GIR_Done,
     /*  185075 */   // Label 3594: @185075
     /*  185075 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(185116), // Rule ID 391 //
     /*  185080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185083 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185090 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185097 */     // MIs[0] rs1
     /*  185097 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185109 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185109 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  185114 */     GIR_RootConstrainSelectedInstOperands,
     /*  185115 */     // GIR_Coverage, 391,
     /*  185115 */     GIR_Done,
     /*  185116 */   // Label 3595: @185116
     /*  185116 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(185157), // Rule ID 543 //
     /*  185121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185124 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185131 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185138 */     // MIs[0] rs1
     /*  185138 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185150 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185150 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  185155 */     GIR_RootConstrainSelectedInstOperands,
     /*  185156 */     // GIR_Coverage, 543,
     /*  185156 */     GIR_Done,
     /*  185157 */   // Label 3596: @185157
     /*  185157 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(185198), // Rule ID 544 //
     /*  185162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185165 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185172 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185179 */     // MIs[0] rs1
     /*  185179 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185191 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185191 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ),
     /*  185196 */     GIR_RootConstrainSelectedInstOperands,
     /*  185197 */     // GIR_Coverage, 544,
     /*  185197 */     GIR_Done,
     /*  185198 */   // Label 3597: @185198
     /*  185198 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(185239), // Rule ID 545 //
     /*  185203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185206 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185213 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185220 */     // MIs[0] rs1
     /*  185220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185232 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185232 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_RL),
     /*  185237 */     GIR_RootConstrainSelectedInstOperands,
     /*  185238 */     // GIR_Coverage, 545,
     /*  185238 */     GIR_Done,
     /*  185239 */   // Label 3598: @185239
     /*  185239 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(185280), // Rule ID 546 //
     /*  185244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185247 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185254 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185261 */     // MIs[0] rs1
     /*  185261 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185273 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185273 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  185278 */     GIR_RootConstrainSelectedInstOperands,
     /*  185279 */     // GIR_Coverage, 546,
     /*  185279 */     GIR_Done,
     /*  185280 */   // Label 3599: @185280
     /*  185280 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(185321), // Rule ID 547 //
     /*  185285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185288 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185295 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185302 */     // MIs[0] rs1
     /*  185302 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185314 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185314 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  185319 */     GIR_RootConstrainSelectedInstOperands,
     /*  185320 */     // GIR_Coverage, 547,
     /*  185320 */     GIR_Done,
     /*  185321 */   // Label 3600: @185321
     /*  185321 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(185362), // Rule ID 548 //
     /*  185326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185329 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185336 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185343 */     // MIs[0] rs1
     /*  185343 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185355 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185355 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  185360 */     GIR_RootConstrainSelectedInstOperands,
     /*  185361 */     // GIR_Coverage, 548,
     /*  185361 */     GIR_Done,
     /*  185362 */   // Label 3601: @185362
     /*  185362 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(185403), // Rule ID 549 //
     /*  185367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185370 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185377 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185384 */     // MIs[0] rs1
     /*  185384 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185396 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185396 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  185401 */     GIR_RootConstrainSelectedInstOperands,
     /*  185402 */     // GIR_Coverage, 549,
     /*  185402 */     GIR_Done,
     /*  185403 */   // Label 3602: @185403
     /*  185403 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(185444), // Rule ID 550 //
     /*  185408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185411 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185418 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185425 */     // MIs[0] rs1
     /*  185425 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185437 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185437 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  185442 */     GIR_RootConstrainSelectedInstOperands,
     /*  185443 */     // GIR_Coverage, 550,
     /*  185443 */     GIR_Done,
     /*  185444 */   // Label 3603: @185444
     /*  185444 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(185485), // Rule ID 551 //
     /*  185449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185452 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185459 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185466 */     // MIs[0] rs1
     /*  185466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185478 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185478 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  185483 */     GIR_RootConstrainSelectedInstOperands,
     /*  185484 */     // GIR_Coverage, 551,
     /*  185484 */     GIR_Done,
     /*  185485 */   // Label 3604: @185485
     /*  185485 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(185526), // Rule ID 552 //
     /*  185490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185493 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185500 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185507 */     // MIs[0] rs1
     /*  185507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185519 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185519 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  185524 */     GIR_RootConstrainSelectedInstOperands,
     /*  185525 */     // GIR_Coverage, 552,
     /*  185525 */     GIR_Done,
     /*  185526 */   // Label 3605: @185526
     /*  185526 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(185567), // Rule ID 721 //
     /*  185531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185534 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185541 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185548 */     // MIs[0] rs1
     /*  185548 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185560 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185560 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185565 */     GIR_RootConstrainSelectedInstOperands,
     /*  185566 */     // GIR_Coverage, 721,
     /*  185566 */     GIR_Done,
     /*  185567 */   // Label 3606: @185567
     /*  185567 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(185608), // Rule ID 723 //
     /*  185572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185575 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185582 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185589 */     // MIs[0] rs1
     /*  185589 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185601 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185601 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  185606 */     GIR_RootConstrainSelectedInstOperands,
     /*  185607 */     // GIR_Coverage, 723,
     /*  185607 */     GIR_Done,
     /*  185608 */   // Label 3607: @185608
     /*  185608 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(185649), // Rule ID 725 //
     /*  185613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185616 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185623 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185630 */     // MIs[0] rs1
     /*  185630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185642 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185642 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  185647 */     GIR_RootConstrainSelectedInstOperands,
     /*  185648 */     // GIR_Coverage, 725,
     /*  185648 */     GIR_Done,
     /*  185649 */   // Label 3608: @185649
     /*  185649 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(185690), // Rule ID 727 //
     /*  185654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185657 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185664 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185671 */     // MIs[0] rs1
     /*  185671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185683 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185683 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  185688 */     GIR_RootConstrainSelectedInstOperands,
     /*  185689 */     // GIR_Coverage, 727,
     /*  185689 */     GIR_Done,
     /*  185690 */   // Label 3609: @185690
     /*  185690 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(185731), // Rule ID 729 //
     /*  185695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185698 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185705 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185712 */     // MIs[0] rs1
     /*  185712 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185724 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185724 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  185729 */     GIR_RootConstrainSelectedInstOperands,
     /*  185730 */     // GIR_Coverage, 729,
     /*  185730 */     GIR_Done,
     /*  185731 */   // Label 3610: @185731
     /*  185731 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(185772), // Rule ID 731 //
     /*  185736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185739 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185746 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185753 */     // MIs[0] rs1
     /*  185753 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185765 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185765 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185770 */     GIR_RootConstrainSelectedInstOperands,
     /*  185771 */     // GIR_Coverage, 731,
     /*  185771 */     GIR_Done,
     /*  185772 */   // Label 3611: @185772
     /*  185772 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(185813), // Rule ID 733 //
     /*  185777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185780 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185787 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185794 */     // MIs[0] rs1
     /*  185794 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185806 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185806 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185811 */     GIR_RootConstrainSelectedInstOperands,
     /*  185812 */     // GIR_Coverage, 733,
     /*  185812 */     GIR_Done,
     /*  185813 */   // Label 3612: @185813
     /*  185813 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(185854), // Rule ID 735 //
     /*  185818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185821 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185828 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185835 */     // MIs[0] rs1
     /*  185835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185847 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185847 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185852 */     GIR_RootConstrainSelectedInstOperands,
     /*  185853 */     // GIR_Coverage, 735,
     /*  185853 */     GIR_Done,
     /*  185854 */   // Label 3613: @185854
     /*  185854 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(185895), // Rule ID 737 //
     /*  185859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185862 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185869 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185876 */     // MIs[0] rs1
     /*  185876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185888 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185888 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185893 */     GIR_RootConstrainSelectedInstOperands,
     /*  185894 */     // GIR_Coverage, 737,
     /*  185894 */     GIR_Done,
     /*  185895 */   // Label 3614: @185895
     /*  185895 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(185936), // Rule ID 739 //
     /*  185900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185903 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185910 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185917 */     // MIs[0] rs1
     /*  185917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185929 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  185934 */     GIR_RootConstrainSelectedInstOperands,
     /*  185935 */     // GIR_Coverage, 739,
     /*  185935 */     GIR_Done,
     /*  185936 */   // Label 3615: @185936
     /*  185936 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(185977), // Rule ID 901 //
     /*  185941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185944 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185951 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185958 */     // MIs[0] rs1
     /*  185958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185970 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185975 */     GIR_RootConstrainSelectedInstOperands,
     /*  185976 */     // GIR_Coverage, 901,
     /*  185976 */     GIR_Done,
     /*  185977 */   // Label 3616: @185977
     /*  185977 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(186018), // Rule ID 903 //
     /*  185982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185985 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185992 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185999 */     // MIs[0] rs1
     /*  185999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186011 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186011 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  186016 */     GIR_RootConstrainSelectedInstOperands,
     /*  186017 */     // GIR_Coverage, 903,
     /*  186017 */     GIR_Done,
     /*  186018 */   // Label 3617: @186018
     /*  186018 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(186059), // Rule ID 905 //
     /*  186023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186026 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186033 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186040 */     // MIs[0] rs1
     /*  186040 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186052 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186052 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  186057 */     GIR_RootConstrainSelectedInstOperands,
     /*  186058 */     // GIR_Coverage, 905,
     /*  186058 */     GIR_Done,
     /*  186059 */   // Label 3618: @186059
     /*  186059 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(186100), // Rule ID 907 //
     /*  186064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186067 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186074 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186081 */     // MIs[0] rs1
     /*  186081 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186093 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186093 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  186098 */     GIR_RootConstrainSelectedInstOperands,
     /*  186099 */     // GIR_Coverage, 907,
     /*  186099 */     GIR_Done,
     /*  186100 */   // Label 3619: @186100
     /*  186100 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(186141), // Rule ID 909 //
     /*  186105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186108 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186115 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186122 */     // MIs[0] rs1
     /*  186122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186134 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  186139 */     GIR_RootConstrainSelectedInstOperands,
     /*  186140 */     // GIR_Coverage, 909,
     /*  186140 */     GIR_Done,
     /*  186141 */   // Label 3620: @186141
     /*  186141 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(186182), // Rule ID 911 //
     /*  186146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186149 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186156 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186163 */     // MIs[0] rs1
     /*  186163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186175 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186175 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  186180 */     GIR_RootConstrainSelectedInstOperands,
     /*  186181 */     // GIR_Coverage, 911,
     /*  186181 */     GIR_Done,
     /*  186182 */   // Label 3621: @186182
     /*  186182 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(186223), // Rule ID 913 //
     /*  186187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186190 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186197 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186204 */     // MIs[0] rs1
     /*  186204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186216 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186216 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  186221 */     GIR_RootConstrainSelectedInstOperands,
     /*  186222 */     // GIR_Coverage, 913,
     /*  186222 */     GIR_Done,
     /*  186223 */   // Label 3622: @186223
     /*  186223 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(186264), // Rule ID 915 //
     /*  186228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186231 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186238 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186245 */     // MIs[0] rs1
     /*  186245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186257 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186257 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  186262 */     GIR_RootConstrainSelectedInstOperands,
     /*  186263 */     // GIR_Coverage, 915,
     /*  186263 */     GIR_Done,
     /*  186264 */   // Label 3623: @186264
     /*  186264 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(186305), // Rule ID 917 //
     /*  186269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186272 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186279 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186286 */     // MIs[0] rs1
     /*  186286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186298 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  186303 */     GIR_RootConstrainSelectedInstOperands,
     /*  186304 */     // GIR_Coverage, 917,
     /*  186304 */     GIR_Done,
     /*  186305 */   // Label 3624: @186305
     /*  186305 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(186346), // Rule ID 919 //
     /*  186310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186313 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186320 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186327 */     // MIs[0] rs1
     /*  186327 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186339 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186339 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  186344 */     GIR_RootConstrainSelectedInstOperands,
     /*  186345 */     // GIR_Coverage, 919,
     /*  186345 */     GIR_Done,
     /*  186346 */   // Label 3625: @186346
     /*  186346 */   GIM_Reject,
     /*  186347 */ // Label 3585: @186347
     /*  186347 */ GIM_Reject,
     /*  186348 */ // Label 3553: @186348
     /*  186348 */ GIM_Reject,
     /*  186349 */ // Label 28: @186349
     /*  186349 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3628*/ GIMT_Encode4(189258),
     /*  186360 */ /*GILLT_s32*//*Label 3626*/ GIMT_Encode4(186368),
     /*  186364 */ /*GILLT_s64*//*Label 3627*/ GIMT_Encode4(187608),
     /*  186368 */ // Label 3626: @186368
     /*  186368 */ GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(187607),
     /*  186373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  186376 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(186417), // Rule ID 394 //
     /*  186381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  186384 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186391 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186398 */     // MIs[0] rs1
     /*  186398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186410 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186415 */     GIR_RootConstrainSelectedInstOperands,
     /*  186416 */     // GIR_Coverage, 394,
     /*  186416 */     GIR_Done,
     /*  186417 */   // Label 3630: @186417
     /*  186417 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(186458), // Rule ID 396 //
     /*  186422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  186425 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186432 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186439 */     // MIs[0] rs1
     /*  186439 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186451 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186451 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  186456 */     GIR_RootConstrainSelectedInstOperands,
     /*  186457 */     // GIR_Coverage, 396,
     /*  186457 */     GIR_Done,
     /*  186458 */   // Label 3631: @186458
     /*  186458 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(186499), // Rule ID 398 //
     /*  186463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  186466 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186473 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186480 */     // MIs[0] rs1
     /*  186480 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186492 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186492 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  186497 */     GIR_RootConstrainSelectedInstOperands,
     /*  186498 */     // GIR_Coverage, 398,
     /*  186498 */     GIR_Done,
     /*  186499 */   // Label 3632: @186499
     /*  186499 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(186540), // Rule ID 400 //
     /*  186504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  186507 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186514 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186521 */     // MIs[0] rs1
     /*  186521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186533 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  186538 */     GIR_RootConstrainSelectedInstOperands,
     /*  186539 */     // GIR_Coverage, 400,
     /*  186539 */     GIR_Done,
     /*  186540 */   // Label 3633: @186540
     /*  186540 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(186581), // Rule ID 402 //
     /*  186545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  186548 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186555 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186562 */     // MIs[0] rs1
     /*  186562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186574 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  186579 */     GIR_RootConstrainSelectedInstOperands,
     /*  186580 */     // GIR_Coverage, 402,
     /*  186580 */     GIR_Done,
     /*  186581 */   // Label 3634: @186581
     /*  186581 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(186622), // Rule ID 404 //
     /*  186586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186589 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186596 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186603 */     // MIs[0] rs1
     /*  186603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186615 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186615 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186620 */     GIR_RootConstrainSelectedInstOperands,
     /*  186621 */     // GIR_Coverage, 404,
     /*  186621 */     GIR_Done,
     /*  186622 */   // Label 3635: @186622
     /*  186622 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(186663), // Rule ID 406 //
     /*  186627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186644 */     // MIs[0] rs1
     /*  186644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186656 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186661 */     GIR_RootConstrainSelectedInstOperands,
     /*  186662 */     // GIR_Coverage, 406,
     /*  186662 */     GIR_Done,
     /*  186663 */   // Label 3636: @186663
     /*  186663 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(186704), // Rule ID 408 //
     /*  186668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186671 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186685 */     // MIs[0] rs1
     /*  186685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186697 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186697 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186702 */     GIR_RootConstrainSelectedInstOperands,
     /*  186703 */     // GIR_Coverage, 408,
     /*  186703 */     GIR_Done,
     /*  186704 */   // Label 3637: @186704
     /*  186704 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(186745), // Rule ID 410 //
     /*  186709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186712 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186719 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186726 */     // MIs[0] rs1
     /*  186726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186738 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186743 */     GIR_RootConstrainSelectedInstOperands,
     /*  186744 */     // GIR_Coverage, 410,
     /*  186744 */     GIR_Done,
     /*  186745 */   // Label 3638: @186745
     /*  186745 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(186786), // Rule ID 412 //
     /*  186750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186753 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186760 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186767 */     // MIs[0] rs1
     /*  186767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186779 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186784 */     GIR_RootConstrainSelectedInstOperands,
     /*  186785 */     // GIR_Coverage, 412,
     /*  186785 */     GIR_Done,
     /*  186786 */   // Label 3639: @186786
     /*  186786 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(186827), // Rule ID 742 //
     /*  186791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186794 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186801 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186808 */     // MIs[0] rs1
     /*  186808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186820 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186820 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186825 */     GIR_RootConstrainSelectedInstOperands,
     /*  186826 */     // GIR_Coverage, 742,
     /*  186826 */     GIR_Done,
     /*  186827 */   // Label 3640: @186827
     /*  186827 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(186868), // Rule ID 744 //
     /*  186832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186835 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186842 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186849 */     // MIs[0] rs1
     /*  186849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186861 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  186866 */     GIR_RootConstrainSelectedInstOperands,
     /*  186867 */     // GIR_Coverage, 744,
     /*  186867 */     GIR_Done,
     /*  186868 */   // Label 3641: @186868
     /*  186868 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(186909), // Rule ID 746 //
     /*  186873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186876 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186883 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186890 */     // MIs[0] rs1
     /*  186890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186902 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  186907 */     GIR_RootConstrainSelectedInstOperands,
     /*  186908 */     // GIR_Coverage, 746,
     /*  186908 */     GIR_Done,
     /*  186909 */   // Label 3642: @186909
     /*  186909 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(186950), // Rule ID 748 //
     /*  186914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186917 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186924 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186931 */     // MIs[0] rs1
     /*  186931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186943 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186943 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  186948 */     GIR_RootConstrainSelectedInstOperands,
     /*  186949 */     // GIR_Coverage, 748,
     /*  186949 */     GIR_Done,
     /*  186950 */   // Label 3643: @186950
     /*  186950 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(186991), // Rule ID 750 //
     /*  186955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186958 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186965 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186972 */     // MIs[0] rs1
     /*  186972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186984 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  186989 */     GIR_RootConstrainSelectedInstOperands,
     /*  186990 */     // GIR_Coverage, 750,
     /*  186990 */     GIR_Done,
     /*  186991 */   // Label 3644: @186991
     /*  186991 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(187032), // Rule ID 752 //
     /*  186996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186999 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187006 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187013 */     // MIs[0] rs1
     /*  187013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187025 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187030 */     GIR_RootConstrainSelectedInstOperands,
     /*  187031 */     // GIR_Coverage, 752,
     /*  187031 */     GIR_Done,
     /*  187032 */   // Label 3645: @187032
     /*  187032 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(187073), // Rule ID 754 //
     /*  187037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187040 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187047 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187054 */     // MIs[0] rs1
     /*  187054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187066 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187066 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187071 */     GIR_RootConstrainSelectedInstOperands,
     /*  187072 */     // GIR_Coverage, 754,
     /*  187072 */     GIR_Done,
     /*  187073 */   // Label 3646: @187073
     /*  187073 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(187114), // Rule ID 756 //
     /*  187078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187081 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187095 */     // MIs[0] rs1
     /*  187095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187107 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187112 */     GIR_RootConstrainSelectedInstOperands,
     /*  187113 */     // GIR_Coverage, 756,
     /*  187113 */     GIR_Done,
     /*  187114 */   // Label 3647: @187114
     /*  187114 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(187155), // Rule ID 758 //
     /*  187119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187122 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187129 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187136 */     // MIs[0] rs1
     /*  187136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187148 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187148 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187153 */     GIR_RootConstrainSelectedInstOperands,
     /*  187154 */     // GIR_Coverage, 758,
     /*  187154 */     GIR_Done,
     /*  187155 */   // Label 3648: @187155
     /*  187155 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(187196), // Rule ID 760 //
     /*  187160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187163 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187170 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187177 */     // MIs[0] rs1
     /*  187177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187189 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187194 */     GIR_RootConstrainSelectedInstOperands,
     /*  187195 */     // GIR_Coverage, 760,
     /*  187195 */     GIR_Done,
     /*  187196 */   // Label 3649: @187196
     /*  187196 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(187237), // Rule ID 922 //
     /*  187201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187218 */     // MIs[0] rs1
     /*  187218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187230 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  187235 */     GIR_RootConstrainSelectedInstOperands,
     /*  187236 */     // GIR_Coverage, 922,
     /*  187236 */     GIR_Done,
     /*  187237 */   // Label 3650: @187237
     /*  187237 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(187278), // Rule ID 924 //
     /*  187242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187259 */     // MIs[0] rs1
     /*  187259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187271 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  187276 */     GIR_RootConstrainSelectedInstOperands,
     /*  187277 */     // GIR_Coverage, 924,
     /*  187277 */     GIR_Done,
     /*  187278 */   // Label 3651: @187278
     /*  187278 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(187319), // Rule ID 926 //
     /*  187283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187300 */     // MIs[0] rs1
     /*  187300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187312 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  187317 */     GIR_RootConstrainSelectedInstOperands,
     /*  187318 */     // GIR_Coverage, 926,
     /*  187318 */     GIR_Done,
     /*  187319 */   // Label 3652: @187319
     /*  187319 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(187360), // Rule ID 928 //
     /*  187324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187341 */     // MIs[0] rs1
     /*  187341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187353 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  187358 */     GIR_RootConstrainSelectedInstOperands,
     /*  187359 */     // GIR_Coverage, 928,
     /*  187359 */     GIR_Done,
     /*  187360 */   // Label 3653: @187360
     /*  187360 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(187401), // Rule ID 930 //
     /*  187365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187382 */     // MIs[0] rs1
     /*  187382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187394 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  187399 */     GIR_RootConstrainSelectedInstOperands,
     /*  187400 */     // GIR_Coverage, 930,
     /*  187400 */     GIR_Done,
     /*  187401 */   // Label 3654: @187401
     /*  187401 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(187442), // Rule ID 932 //
     /*  187406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187423 */     // MIs[0] rs1
     /*  187423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187435 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  187440 */     GIR_RootConstrainSelectedInstOperands,
     /*  187441 */     // GIR_Coverage, 932,
     /*  187441 */     GIR_Done,
     /*  187442 */   // Label 3655: @187442
     /*  187442 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(187483), // Rule ID 934 //
     /*  187447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187464 */     // MIs[0] rs1
     /*  187464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187476 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  187481 */     GIR_RootConstrainSelectedInstOperands,
     /*  187482 */     // GIR_Coverage, 934,
     /*  187482 */     GIR_Done,
     /*  187483 */   // Label 3656: @187483
     /*  187483 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(187524), // Rule ID 936 //
     /*  187488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187505 */     // MIs[0] rs1
     /*  187505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187517 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  187522 */     GIR_RootConstrainSelectedInstOperands,
     /*  187523 */     // GIR_Coverage, 936,
     /*  187523 */     GIR_Done,
     /*  187524 */   // Label 3657: @187524
     /*  187524 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(187565), // Rule ID 938 //
     /*  187529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187546 */     // MIs[0] rs1
     /*  187546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187558 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  187563 */     GIR_RootConstrainSelectedInstOperands,
     /*  187564 */     // GIR_Coverage, 938,
     /*  187564 */     GIR_Done,
     /*  187565 */   // Label 3658: @187565
     /*  187565 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(187606), // Rule ID 940 //
     /*  187570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187587 */     // MIs[0] rs1
     /*  187587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187599 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  187604 */     GIR_RootConstrainSelectedInstOperands,
     /*  187605 */     // GIR_Coverage, 940,
     /*  187605 */     GIR_Done,
     /*  187606 */   // Label 3659: @187606
     /*  187606 */   GIM_Reject,
     /*  187607 */ // Label 3629: @187607
     /*  187607 */ GIM_Reject,
     /*  187608 */ // Label 3627: @187608
     /*  187608 */ GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(189257),
     /*  187613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  187616 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(187657), // Rule ID 393 //
     /*  187621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187624 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187631 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187638 */     // MIs[0] rs1
     /*  187638 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187650 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187655 */     GIR_RootConstrainSelectedInstOperands,
     /*  187656 */     // GIR_Coverage, 393,
     /*  187656 */     GIR_Done,
     /*  187657 */   // Label 3661: @187657
     /*  187657 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(187698), // Rule ID 395 //
     /*  187662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187665 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187672 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187679 */     // MIs[0] rs1
     /*  187679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187691 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187691 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  187696 */     GIR_RootConstrainSelectedInstOperands,
     /*  187697 */     // GIR_Coverage, 395,
     /*  187697 */     GIR_Done,
     /*  187698 */   // Label 3662: @187698
     /*  187698 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(187739), // Rule ID 397 //
     /*  187703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187706 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187713 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187720 */     // MIs[0] rs1
     /*  187720 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187732 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  187737 */     GIR_RootConstrainSelectedInstOperands,
     /*  187738 */     // GIR_Coverage, 397,
     /*  187738 */     GIR_Done,
     /*  187739 */   // Label 3663: @187739
     /*  187739 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(187780), // Rule ID 399 //
     /*  187744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187747 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187754 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187761 */     // MIs[0] rs1
     /*  187761 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187773 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187773 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  187778 */     GIR_RootConstrainSelectedInstOperands,
     /*  187779 */     // GIR_Coverage, 399,
     /*  187779 */     GIR_Done,
     /*  187780 */   // Label 3664: @187780
     /*  187780 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(187821), // Rule ID 401 //
     /*  187785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187788 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187795 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187802 */     // MIs[0] rs1
     /*  187802 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187814 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187814 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  187819 */     GIR_RootConstrainSelectedInstOperands,
     /*  187820 */     // GIR_Coverage, 401,
     /*  187820 */     GIR_Done,
     /*  187821 */   // Label 3665: @187821
     /*  187821 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(187862), // Rule ID 403 //
     /*  187826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187829 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187836 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187843 */     // MIs[0] rs1
     /*  187843 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187855 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187855 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187860 */     GIR_RootConstrainSelectedInstOperands,
     /*  187861 */     // GIR_Coverage, 403,
     /*  187861 */     GIR_Done,
     /*  187862 */   // Label 3666: @187862
     /*  187862 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(187903), // Rule ID 405 //
     /*  187867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187870 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187877 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187884 */     // MIs[0] rs1
     /*  187884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187896 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187896 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187901 */     GIR_RootConstrainSelectedInstOperands,
     /*  187902 */     // GIR_Coverage, 405,
     /*  187902 */     GIR_Done,
     /*  187903 */   // Label 3667: @187903
     /*  187903 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(187944), // Rule ID 407 //
     /*  187908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187911 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187918 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187925 */     // MIs[0] rs1
     /*  187925 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187937 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187937 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187942 */     GIR_RootConstrainSelectedInstOperands,
     /*  187943 */     // GIR_Coverage, 407,
     /*  187943 */     GIR_Done,
     /*  187944 */   // Label 3668: @187944
     /*  187944 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(187985), // Rule ID 409 //
     /*  187949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187952 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187959 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187966 */     // MIs[0] rs1
     /*  187966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187978 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187978 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  187983 */     GIR_RootConstrainSelectedInstOperands,
     /*  187984 */     // GIR_Coverage, 409,
     /*  187984 */     GIR_Done,
     /*  187985 */   // Label 3669: @187985
     /*  187985 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(188026), // Rule ID 411 //
     /*  187990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187993 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188000 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188007 */     // MIs[0] rs1
     /*  188007 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188019 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188019 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  188024 */     GIR_RootConstrainSelectedInstOperands,
     /*  188025 */     // GIR_Coverage, 411,
     /*  188025 */     GIR_Done,
     /*  188026 */   // Label 3670: @188026
     /*  188026 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(188067), // Rule ID 553 //
     /*  188031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188034 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188041 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188048 */     // MIs[0] rs1
     /*  188048 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188060 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188060 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  188065 */     GIR_RootConstrainSelectedInstOperands,
     /*  188066 */     // GIR_Coverage, 553,
     /*  188066 */     GIR_Done,
     /*  188067 */   // Label 3671: @188067
     /*  188067 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(188108), // Rule ID 554 //
     /*  188072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188075 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188082 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188089 */     // MIs[0] rs1
     /*  188089 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188101 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188101 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ),
     /*  188106 */     GIR_RootConstrainSelectedInstOperands,
     /*  188107 */     // GIR_Coverage, 554,
     /*  188107 */     GIR_Done,
     /*  188108 */   // Label 3672: @188108
     /*  188108 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(188149), // Rule ID 555 //
     /*  188113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188116 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188123 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188130 */     // MIs[0] rs1
     /*  188130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188142 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188142 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_RL),
     /*  188147 */     GIR_RootConstrainSelectedInstOperands,
     /*  188148 */     // GIR_Coverage, 555,
     /*  188148 */     GIR_Done,
     /*  188149 */   // Label 3673: @188149
     /*  188149 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(188190), // Rule ID 556 //
     /*  188154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188157 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188164 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188171 */     // MIs[0] rs1
     /*  188171 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188183 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188183 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  188188 */     GIR_RootConstrainSelectedInstOperands,
     /*  188189 */     // GIR_Coverage, 556,
     /*  188189 */     GIR_Done,
     /*  188190 */   // Label 3674: @188190
     /*  188190 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(188231), // Rule ID 557 //
     /*  188195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188198 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188205 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188212 */     // MIs[0] rs1
     /*  188212 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188224 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188224 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  188229 */     GIR_RootConstrainSelectedInstOperands,
     /*  188230 */     // GIR_Coverage, 557,
     /*  188230 */     GIR_Done,
     /*  188231 */   // Label 3675: @188231
     /*  188231 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(188272), // Rule ID 558 //
     /*  188236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188239 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188246 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188253 */     // MIs[0] rs1
     /*  188253 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188265 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188265 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  188270 */     GIR_RootConstrainSelectedInstOperands,
     /*  188271 */     // GIR_Coverage, 558,
     /*  188271 */     GIR_Done,
     /*  188272 */   // Label 3676: @188272
     /*  188272 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(188313), // Rule ID 559 //
     /*  188277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188280 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188287 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188294 */     // MIs[0] rs1
     /*  188294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188306 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  188311 */     GIR_RootConstrainSelectedInstOperands,
     /*  188312 */     // GIR_Coverage, 559,
     /*  188312 */     GIR_Done,
     /*  188313 */   // Label 3677: @188313
     /*  188313 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(188354), // Rule ID 560 //
     /*  188318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188321 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188328 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188335 */     // MIs[0] rs1
     /*  188335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188347 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188347 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  188352 */     GIR_RootConstrainSelectedInstOperands,
     /*  188353 */     // GIR_Coverage, 560,
     /*  188353 */     GIR_Done,
     /*  188354 */   // Label 3678: @188354
     /*  188354 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(188395), // Rule ID 561 //
     /*  188359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188362 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188369 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188376 */     // MIs[0] rs1
     /*  188376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188388 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188388 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  188393 */     GIR_RootConstrainSelectedInstOperands,
     /*  188394 */     // GIR_Coverage, 561,
     /*  188394 */     GIR_Done,
     /*  188395 */   // Label 3679: @188395
     /*  188395 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(188436), // Rule ID 562 //
     /*  188400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188403 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188410 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188417 */     // MIs[0] rs1
     /*  188417 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188429 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188429 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  188434 */     GIR_RootConstrainSelectedInstOperands,
     /*  188435 */     // GIR_Coverage, 562,
     /*  188435 */     GIR_Done,
     /*  188436 */   // Label 3680: @188436
     /*  188436 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(188477), // Rule ID 741 //
     /*  188441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188444 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188451 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188458 */     // MIs[0] rs1
     /*  188458 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188470 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188470 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188475 */     GIR_RootConstrainSelectedInstOperands,
     /*  188476 */     // GIR_Coverage, 741,
     /*  188476 */     GIR_Done,
     /*  188477 */   // Label 3681: @188477
     /*  188477 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(188518), // Rule ID 743 //
     /*  188482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188485 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188492 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188499 */     // MIs[0] rs1
     /*  188499 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188511 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188511 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  188516 */     GIR_RootConstrainSelectedInstOperands,
     /*  188517 */     // GIR_Coverage, 743,
     /*  188517 */     GIR_Done,
     /*  188518 */   // Label 3682: @188518
     /*  188518 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(188559), // Rule ID 745 //
     /*  188523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188526 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188533 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188540 */     // MIs[0] rs1
     /*  188540 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188552 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188552 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  188557 */     GIR_RootConstrainSelectedInstOperands,
     /*  188558 */     // GIR_Coverage, 745,
     /*  188558 */     GIR_Done,
     /*  188559 */   // Label 3683: @188559
     /*  188559 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(188600), // Rule ID 747 //
     /*  188564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188567 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188574 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188581 */     // MIs[0] rs1
     /*  188581 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188593 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188593 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  188598 */     GIR_RootConstrainSelectedInstOperands,
     /*  188599 */     // GIR_Coverage, 747,
     /*  188599 */     GIR_Done,
     /*  188600 */   // Label 3684: @188600
     /*  188600 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(188641), // Rule ID 749 //
     /*  188605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188608 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188615 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188622 */     // MIs[0] rs1
     /*  188622 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188634 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188634 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  188639 */     GIR_RootConstrainSelectedInstOperands,
     /*  188640 */     // GIR_Coverage, 749,
     /*  188640 */     GIR_Done,
     /*  188641 */   // Label 3685: @188641
     /*  188641 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(188682), // Rule ID 751 //
     /*  188646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188649 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188656 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188663 */     // MIs[0] rs1
     /*  188663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188675 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188680 */     GIR_RootConstrainSelectedInstOperands,
     /*  188681 */     // GIR_Coverage, 751,
     /*  188681 */     GIR_Done,
     /*  188682 */   // Label 3686: @188682
     /*  188682 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(188723), // Rule ID 753 //
     /*  188687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188690 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188697 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188704 */     // MIs[0] rs1
     /*  188704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188716 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188716 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188721 */     GIR_RootConstrainSelectedInstOperands,
     /*  188722 */     // GIR_Coverage, 753,
     /*  188722 */     GIR_Done,
     /*  188723 */   // Label 3687: @188723
     /*  188723 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(188764), // Rule ID 755 //
     /*  188728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188731 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188738 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188745 */     // MIs[0] rs1
     /*  188745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188757 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188762 */     GIR_RootConstrainSelectedInstOperands,
     /*  188763 */     // GIR_Coverage, 755,
     /*  188763 */     GIR_Done,
     /*  188764 */   // Label 3688: @188764
     /*  188764 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(188805), // Rule ID 757 //
     /*  188769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188772 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188779 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188786 */     // MIs[0] rs1
     /*  188786 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188798 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188798 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188803 */     GIR_RootConstrainSelectedInstOperands,
     /*  188804 */     // GIR_Coverage, 757,
     /*  188804 */     GIR_Done,
     /*  188805 */   // Label 3689: @188805
     /*  188805 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(188846), // Rule ID 759 //
     /*  188810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188827 */     // MIs[0] rs1
     /*  188827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188839 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188839 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  188844 */     GIR_RootConstrainSelectedInstOperands,
     /*  188845 */     // GIR_Coverage, 759,
     /*  188845 */     GIR_Done,
     /*  188846 */   // Label 3690: @188846
     /*  188846 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(188887), // Rule ID 921 //
     /*  188851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188854 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188861 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188868 */     // MIs[0] rs1
     /*  188868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188880 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188880 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188885 */     GIR_RootConstrainSelectedInstOperands,
     /*  188886 */     // GIR_Coverage, 921,
     /*  188886 */     GIR_Done,
     /*  188887 */   // Label 3691: @188887
     /*  188887 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(188928), // Rule ID 923 //
     /*  188892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188895 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188902 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188909 */     // MIs[0] rs1
     /*  188909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188921 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188921 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  188926 */     GIR_RootConstrainSelectedInstOperands,
     /*  188927 */     // GIR_Coverage, 923,
     /*  188927 */     GIR_Done,
     /*  188928 */   // Label 3692: @188928
     /*  188928 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(188969), // Rule ID 925 //
     /*  188933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188950 */     // MIs[0] rs1
     /*  188950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188962 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  188967 */     GIR_RootConstrainSelectedInstOperands,
     /*  188968 */     // GIR_Coverage, 925,
     /*  188968 */     GIR_Done,
     /*  188969 */   // Label 3693: @188969
     /*  188969 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(189010), // Rule ID 927 //
     /*  188974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188977 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188984 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188991 */     // MIs[0] rs1
     /*  188991 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189003 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189003 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  189008 */     GIR_RootConstrainSelectedInstOperands,
     /*  189009 */     // GIR_Coverage, 927,
     /*  189009 */     GIR_Done,
     /*  189010 */   // Label 3694: @189010
     /*  189010 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(189051), // Rule ID 929 //
     /*  189015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189032 */     // MIs[0] rs1
     /*  189032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189044 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  189049 */     GIR_RootConstrainSelectedInstOperands,
     /*  189050 */     // GIR_Coverage, 929,
     /*  189050 */     GIR_Done,
     /*  189051 */   // Label 3695: @189051
     /*  189051 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(189092), // Rule ID 931 //
     /*  189056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189059 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189066 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189073 */     // MIs[0] rs1
     /*  189073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189085 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  189090 */     GIR_RootConstrainSelectedInstOperands,
     /*  189091 */     // GIR_Coverage, 931,
     /*  189091 */     GIR_Done,
     /*  189092 */   // Label 3696: @189092
     /*  189092 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(189133), // Rule ID 933 //
     /*  189097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189100 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189107 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189114 */     // MIs[0] rs1
     /*  189114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189126 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  189131 */     GIR_RootConstrainSelectedInstOperands,
     /*  189132 */     // GIR_Coverage, 933,
     /*  189132 */     GIR_Done,
     /*  189133 */   // Label 3697: @189133
     /*  189133 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(189174), // Rule ID 935 //
     /*  189138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189141 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189148 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189155 */     // MIs[0] rs1
     /*  189155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189167 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  189172 */     GIR_RootConstrainSelectedInstOperands,
     /*  189173 */     // GIR_Coverage, 935,
     /*  189173 */     GIR_Done,
     /*  189174 */   // Label 3698: @189174
     /*  189174 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(189215), // Rule ID 937 //
     /*  189179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189182 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189189 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189196 */     // MIs[0] rs1
     /*  189196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189208 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189208 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  189213 */     GIR_RootConstrainSelectedInstOperands,
     /*  189214 */     // GIR_Coverage, 937,
     /*  189214 */     GIR_Done,
     /*  189215 */   // Label 3699: @189215
     /*  189215 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(189256), // Rule ID 939 //
     /*  189220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189223 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189230 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189237 */     // MIs[0] rs1
     /*  189237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189249 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  189254 */     GIR_RootConstrainSelectedInstOperands,
     /*  189255 */     // GIR_Coverage, 939,
     /*  189255 */     GIR_Done,
     /*  189256 */   // Label 3700: @189256
     /*  189256 */   GIM_Reject,
     /*  189257 */ // Label 3660: @189257
     /*  189257 */ GIM_Reject,
     /*  189258 */ // Label 3628: @189258
     /*  189258 */ GIM_Reject,
     /*  189259 */ // Label 29: @189259
     /*  189259 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3703*/ GIMT_Encode4(190170),
     /*  189270 */ /*GILLT_s32*//*Label 3701*/ GIMT_Encode4(189278),
     /*  189274 */ /*GILLT_s64*//*Label 3702*/ GIMT_Encode4(189560),
     /*  189278 */ // Label 3701: @189278
     /*  189278 */ GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(189559),
     /*  189283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  189286 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189293 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(189346), // Rule ID 624 //
     /*  189298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  189301 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189308 */     // MIs[0] addr
     /*  189308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189320 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 2:{ *:[i32] })
     /*  189320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189328 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189333 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189335 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  189340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189344 */     GIR_RootConstrainSelectedInstOperands,
     /*  189345 */     // GIR_Coverage, 624,
     /*  189345 */     GIR_EraseRootFromParent_Done,
     /*  189346 */   // Label 3705: @189346
     /*  189346 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(189399), // Rule ID 626 //
     /*  189351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  189354 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189361 */     // MIs[0] addr
     /*  189361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189373 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 4:{ *:[i32] })
     /*  189373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189381 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189386 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189388 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189397 */     GIR_RootConstrainSelectedInstOperands,
     /*  189398 */     // GIR_Coverage, 626,
     /*  189398 */     GIR_EraseRootFromParent_Done,
     /*  189399 */   // Label 3706: @189399
     /*  189399 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(189452), // Rule ID 628 //
     /*  189404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  189407 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189414 */     // MIs[0] addr
     /*  189414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189426 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 5:{ *:[i32] })
     /*  189426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189434 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189439 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189441 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  189446 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189450 */     GIR_RootConstrainSelectedInstOperands,
     /*  189451 */     // GIR_Coverage, 628,
     /*  189451 */     GIR_EraseRootFromParent_Done,
     /*  189452 */   // Label 3707: @189452
     /*  189452 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(189505), // Rule ID 630 //
     /*  189457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  189460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189467 */     // MIs[0] addr
     /*  189467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189479 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 6:{ *:[i32] })
     /*  189479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189487 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189492 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189494 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  189499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189503 */     GIR_RootConstrainSelectedInstOperands,
     /*  189504 */     // GIR_Coverage, 630,
     /*  189504 */     GIR_EraseRootFromParent_Done,
     /*  189505 */   // Label 3708: @189505
     /*  189505 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(189558), // Rule ID 632 //
     /*  189510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  189513 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189520 */     // MIs[0] addr
     /*  189520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189532 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 7:{ *:[i32] })
     /*  189532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189540 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189545 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189547 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  189552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189556 */     GIR_RootConstrainSelectedInstOperands,
     /*  189557 */     // GIR_Coverage, 632,
     /*  189557 */     GIR_EraseRootFromParent_Done,
     /*  189558 */   // Label 3709: @189558
     /*  189558 */   GIM_Reject,
     /*  189559 */ // Label 3704: @189559
     /*  189559 */ GIM_Reject,
     /*  189560 */ // Label 3702: @189560
     /*  189560 */ GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(190169),
     /*  189565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  189568 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(189628), // Rule ID 623 //
     /*  189573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  189576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189590 */     // MIs[0] addr
     /*  189590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189602 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  189602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189610 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189615 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189617 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  189622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189626 */     GIR_RootConstrainSelectedInstOperands,
     /*  189627 */     // GIR_Coverage, 623,
     /*  189627 */     GIR_EraseRootFromParent_Done,
     /*  189628 */   // Label 3711: @189628
     /*  189628 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(189688), // Rule ID 625 //
     /*  189633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  189636 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189643 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189650 */     // MIs[0] addr
     /*  189650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189662 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  189662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189670 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189675 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189677 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189682 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189686 */     GIR_RootConstrainSelectedInstOperands,
     /*  189687 */     // GIR_Coverage, 625,
     /*  189687 */     GIR_EraseRootFromParent_Done,
     /*  189688 */   // Label 3712: @189688
     /*  189688 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(189748), // Rule ID 627 //
     /*  189693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  189696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189710 */     // MIs[0] addr
     /*  189710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189722 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  189722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189730 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189735 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189737 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  189742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189746 */     GIR_RootConstrainSelectedInstOperands,
     /*  189747 */     // GIR_Coverage, 627,
     /*  189747 */     GIR_EraseRootFromParent_Done,
     /*  189748 */   // Label 3713: @189748
     /*  189748 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(189808), // Rule ID 629 //
     /*  189753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  189756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189770 */     // MIs[0] addr
     /*  189770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189782 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  189782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189790 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189795 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189797 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  189802 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189806 */     GIR_RootConstrainSelectedInstOperands,
     /*  189807 */     // GIR_Coverage, 629,
     /*  189807 */     GIR_EraseRootFromParent_Done,
     /*  189808 */   // Label 3714: @189808
     /*  189808 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(189868), // Rule ID 631 //
     /*  189813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  189816 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189823 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189830 */     // MIs[0] addr
     /*  189830 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189842 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  189842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  189848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189850 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189855 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189857 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  189862 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189866 */     GIR_RootConstrainSelectedInstOperands,
     /*  189867 */     // GIR_Coverage, 631,
     /*  189867 */     GIR_EraseRootFromParent_Done,
     /*  189868 */   // Label 3715: @189868
     /*  189868 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(189928), // Rule ID 641 //
     /*  189873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189876 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189883 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189890 */     // MIs[0] addr
     /*  189890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189902 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_monotonic>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  189902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189910 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189915 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189917 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  189922 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189926 */     GIR_RootConstrainSelectedInstOperands,
     /*  189927 */     // GIR_Coverage, 641,
     /*  189927 */     GIR_EraseRootFromParent_Done,
     /*  189928 */   // Label 3716: @189928
     /*  189928 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(189988), // Rule ID 642 //
     /*  189933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189950 */     // MIs[0] addr
     /*  189950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189962 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acquire>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  189962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189970 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189975 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189977 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189986 */     GIR_RootConstrainSelectedInstOperands,
     /*  189987 */     // GIR_Coverage, 642,
     /*  189987 */     GIR_EraseRootFromParent_Done,
     /*  189988 */   // Label 3717: @189988
     /*  189988 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(190048), // Rule ID 643 //
     /*  189993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189996 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190003 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190010 */     // MIs[0] addr
     /*  190010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  190014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190022 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_release>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  190022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  190025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  190028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  190030 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  190035 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  190037 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  190039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  190042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  190046 */     GIR_RootConstrainSelectedInstOperands,
     /*  190047 */     // GIR_Coverage, 643,
     /*  190047 */     GIR_EraseRootFromParent_Done,
     /*  190048 */   // Label 3718: @190048
     /*  190048 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(190108), // Rule ID 644 //
     /*  190053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  190056 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190063 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190070 */     // MIs[0] addr
     /*  190070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  190074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190082 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acq_rel>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  190082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  190085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  190088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  190090 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  190095 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  190097 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  190099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  190102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  190106 */     GIR_RootConstrainSelectedInstOperands,
     /*  190107 */     // GIR_Coverage, 644,
     /*  190107 */     GIR_EraseRootFromParent_Done,
     /*  190108 */   // Label 3719: @190108
     /*  190108 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(190168), // Rule ID 645 //
     /*  190113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  190116 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190123 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190130 */     // MIs[0] addr
     /*  190130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  190134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190142 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_seq_cst>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  190142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  190145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  190148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  190150 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  190155 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  190157 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  190159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  190162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  190166 */     GIR_RootConstrainSelectedInstOperands,
     /*  190167 */     // GIR_Coverage, 645,
     /*  190167 */     GIR_EraseRootFromParent_Done,
     /*  190168 */   // Label 3720: @190168
     /*  190168 */   GIM_Reject,
     /*  190169 */ // Label 3710: @190169
     /*  190169 */ GIM_Reject,
     /*  190170 */ // Label 3703: @190170
     /*  190170 */ GIM_Reject,
     /*  190171 */ // Label 30: @190171
     /*  190171 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3723*/ GIMT_Encode4(193080),
     /*  190182 */ /*GILLT_s32*//*Label 3721*/ GIMT_Encode4(190190),
     /*  190186 */ /*GILLT_s64*//*Label 3722*/ GIMT_Encode4(191430),
     /*  190190 */ // Label 3721: @190190
     /*  190190 */ GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(191429),
     /*  190195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  190198 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(190239), // Rule ID 414 //
     /*  190203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190206 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190213 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190220 */     // MIs[0] rs1
     /*  190220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190232 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190232 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190237 */     GIR_RootConstrainSelectedInstOperands,
     /*  190238 */     // GIR_Coverage, 414,
     /*  190238 */     GIR_Done,
     /*  190239 */   // Label 3725: @190239
     /*  190239 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(190280), // Rule ID 416 //
     /*  190244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190247 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190254 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190261 */     // MIs[0] rs1
     /*  190261 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190273 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190273 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  190278 */     GIR_RootConstrainSelectedInstOperands,
     /*  190279 */     // GIR_Coverage, 416,
     /*  190279 */     GIR_Done,
     /*  190280 */   // Label 3726: @190280
     /*  190280 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(190321), // Rule ID 418 //
     /*  190285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190288 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190295 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190302 */     // MIs[0] rs1
     /*  190302 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190314 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190314 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  190319 */     GIR_RootConstrainSelectedInstOperands,
     /*  190320 */     // GIR_Coverage, 418,
     /*  190320 */     GIR_Done,
     /*  190321 */   // Label 3727: @190321
     /*  190321 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(190362), // Rule ID 420 //
     /*  190326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190329 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190336 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190343 */     // MIs[0] rs1
     /*  190343 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190355 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190355 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  190360 */     GIR_RootConstrainSelectedInstOperands,
     /*  190361 */     // GIR_Coverage, 420,
     /*  190361 */     GIR_Done,
     /*  190362 */   // Label 3728: @190362
     /*  190362 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(190403), // Rule ID 422 //
     /*  190367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190370 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190377 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190384 */     // MIs[0] rs1
     /*  190384 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190396 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190396 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  190401 */     GIR_RootConstrainSelectedInstOperands,
     /*  190402 */     // GIR_Coverage, 422,
     /*  190402 */     GIR_Done,
     /*  190403 */   // Label 3729: @190403
     /*  190403 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(190444), // Rule ID 424 //
     /*  190408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190411 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190418 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190425 */     // MIs[0] rs1
     /*  190425 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190437 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190437 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190442 */     GIR_RootConstrainSelectedInstOperands,
     /*  190443 */     // GIR_Coverage, 424,
     /*  190443 */     GIR_Done,
     /*  190444 */   // Label 3730: @190444
     /*  190444 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(190485), // Rule ID 426 //
     /*  190449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190452 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190459 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190466 */     // MIs[0] rs1
     /*  190466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190478 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190478 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190483 */     GIR_RootConstrainSelectedInstOperands,
     /*  190484 */     // GIR_Coverage, 426,
     /*  190484 */     GIR_Done,
     /*  190485 */   // Label 3731: @190485
     /*  190485 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(190526), // Rule ID 428 //
     /*  190490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190493 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190500 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190507 */     // MIs[0] rs1
     /*  190507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190519 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190519 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190524 */     GIR_RootConstrainSelectedInstOperands,
     /*  190525 */     // GIR_Coverage, 428,
     /*  190525 */     GIR_Done,
     /*  190526 */   // Label 3732: @190526
     /*  190526 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(190567), // Rule ID 430 //
     /*  190531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190534 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190541 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190548 */     // MIs[0] rs1
     /*  190548 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190560 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190560 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190565 */     GIR_RootConstrainSelectedInstOperands,
     /*  190566 */     // GIR_Coverage, 430,
     /*  190566 */     GIR_Done,
     /*  190567 */   // Label 3733: @190567
     /*  190567 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(190608), // Rule ID 432 //
     /*  190572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190575 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190582 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190589 */     // MIs[0] rs1
     /*  190589 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190601 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190601 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190606 */     GIR_RootConstrainSelectedInstOperands,
     /*  190607 */     // GIR_Coverage, 432,
     /*  190607 */     GIR_Done,
     /*  190608 */   // Label 3734: @190608
     /*  190608 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(190649), // Rule ID 762 //
     /*  190613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190616 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190623 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190630 */     // MIs[0] rs1
     /*  190630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190642 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190642 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190647 */     GIR_RootConstrainSelectedInstOperands,
     /*  190648 */     // GIR_Coverage, 762,
     /*  190648 */     GIR_Done,
     /*  190649 */   // Label 3735: @190649
     /*  190649 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(190690), // Rule ID 764 //
     /*  190654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190657 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190664 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190671 */     // MIs[0] rs1
     /*  190671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190683 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190683 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  190688 */     GIR_RootConstrainSelectedInstOperands,
     /*  190689 */     // GIR_Coverage, 764,
     /*  190689 */     GIR_Done,
     /*  190690 */   // Label 3736: @190690
     /*  190690 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(190731), // Rule ID 766 //
     /*  190695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190698 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190705 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190712 */     // MIs[0] rs1
     /*  190712 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190724 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190724 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  190729 */     GIR_RootConstrainSelectedInstOperands,
     /*  190730 */     // GIR_Coverage, 766,
     /*  190730 */     GIR_Done,
     /*  190731 */   // Label 3737: @190731
     /*  190731 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(190772), // Rule ID 768 //
     /*  190736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190739 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190746 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190753 */     // MIs[0] rs1
     /*  190753 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190765 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190765 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  190770 */     GIR_RootConstrainSelectedInstOperands,
     /*  190771 */     // GIR_Coverage, 768,
     /*  190771 */     GIR_Done,
     /*  190772 */   // Label 3738: @190772
     /*  190772 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(190813), // Rule ID 770 //
     /*  190777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190780 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190787 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190794 */     // MIs[0] rs1
     /*  190794 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190806 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190806 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  190811 */     GIR_RootConstrainSelectedInstOperands,
     /*  190812 */     // GIR_Coverage, 770,
     /*  190812 */     GIR_Done,
     /*  190813 */   // Label 3739: @190813
     /*  190813 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(190854), // Rule ID 772 //
     /*  190818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190821 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190828 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190835 */     // MIs[0] rs1
     /*  190835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190847 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190847 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190852 */     GIR_RootConstrainSelectedInstOperands,
     /*  190853 */     // GIR_Coverage, 772,
     /*  190853 */     GIR_Done,
     /*  190854 */   // Label 3740: @190854
     /*  190854 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(190895), // Rule ID 774 //
     /*  190859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190862 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190869 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190876 */     // MIs[0] rs1
     /*  190876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190888 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190888 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190893 */     GIR_RootConstrainSelectedInstOperands,
     /*  190894 */     // GIR_Coverage, 774,
     /*  190894 */     GIR_Done,
     /*  190895 */   // Label 3741: @190895
     /*  190895 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(190936), // Rule ID 776 //
     /*  190900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190903 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190910 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190917 */     // MIs[0] rs1
     /*  190917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190929 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190934 */     GIR_RootConstrainSelectedInstOperands,
     /*  190935 */     // GIR_Coverage, 776,
     /*  190935 */     GIR_Done,
     /*  190936 */   // Label 3742: @190936
     /*  190936 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(190977), // Rule ID 778 //
     /*  190941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190944 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190951 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190958 */     // MIs[0] rs1
     /*  190958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190970 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190975 */     GIR_RootConstrainSelectedInstOperands,
     /*  190976 */     // GIR_Coverage, 778,
     /*  190976 */     GIR_Done,
     /*  190977 */   // Label 3743: @190977
     /*  190977 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(191018), // Rule ID 780 //
     /*  190982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190985 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190992 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190999 */     // MIs[0] rs1
     /*  190999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191011 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191011 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191016 */     GIR_RootConstrainSelectedInstOperands,
     /*  191017 */     // GIR_Coverage, 780,
     /*  191017 */     GIR_Done,
     /*  191018 */   // Label 3744: @191018
     /*  191018 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(191059), // Rule ID 942 //
     /*  191023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191026 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191033 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191040 */     // MIs[0] rs1
     /*  191040 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191052 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191052 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191057 */     GIR_RootConstrainSelectedInstOperands,
     /*  191058 */     // GIR_Coverage, 942,
     /*  191058 */     GIR_Done,
     /*  191059 */   // Label 3745: @191059
     /*  191059 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(191100), // Rule ID 944 //
     /*  191064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191067 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191074 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191081 */     // MIs[0] rs1
     /*  191081 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191093 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191093 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  191098 */     GIR_RootConstrainSelectedInstOperands,
     /*  191099 */     // GIR_Coverage, 944,
     /*  191099 */     GIR_Done,
     /*  191100 */   // Label 3746: @191100
     /*  191100 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(191141), // Rule ID 946 //
     /*  191105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191108 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191115 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191122 */     // MIs[0] rs1
     /*  191122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191134 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  191139 */     GIR_RootConstrainSelectedInstOperands,
     /*  191140 */     // GIR_Coverage, 946,
     /*  191140 */     GIR_Done,
     /*  191141 */   // Label 3747: @191141
     /*  191141 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(191182), // Rule ID 948 //
     /*  191146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191149 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191156 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191163 */     // MIs[0] rs1
     /*  191163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191175 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191175 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  191180 */     GIR_RootConstrainSelectedInstOperands,
     /*  191181 */     // GIR_Coverage, 948,
     /*  191181 */     GIR_Done,
     /*  191182 */   // Label 3748: @191182
     /*  191182 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(191223), // Rule ID 950 //
     /*  191187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191190 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191197 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191204 */     // MIs[0] rs1
     /*  191204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191216 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191216 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  191221 */     GIR_RootConstrainSelectedInstOperands,
     /*  191222 */     // GIR_Coverage, 950,
     /*  191222 */     GIR_Done,
     /*  191223 */   // Label 3749: @191223
     /*  191223 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(191264), // Rule ID 952 //
     /*  191228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191231 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191238 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191245 */     // MIs[0] rs1
     /*  191245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191257 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191257 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191262 */     GIR_RootConstrainSelectedInstOperands,
     /*  191263 */     // GIR_Coverage, 952,
     /*  191263 */     GIR_Done,
     /*  191264 */   // Label 3750: @191264
     /*  191264 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(191305), // Rule ID 954 //
     /*  191269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191272 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191279 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191286 */     // MIs[0] rs1
     /*  191286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191298 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191303 */     GIR_RootConstrainSelectedInstOperands,
     /*  191304 */     // GIR_Coverage, 954,
     /*  191304 */     GIR_Done,
     /*  191305 */   // Label 3751: @191305
     /*  191305 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(191346), // Rule ID 956 //
     /*  191310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191313 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191320 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191327 */     // MIs[0] rs1
     /*  191327 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191339 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191339 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191344 */     GIR_RootConstrainSelectedInstOperands,
     /*  191345 */     // GIR_Coverage, 956,
     /*  191345 */     GIR_Done,
     /*  191346 */   // Label 3752: @191346
     /*  191346 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(191387), // Rule ID 958 //
     /*  191351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191354 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191361 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191368 */     // MIs[0] rs1
     /*  191368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191380 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191385 */     GIR_RootConstrainSelectedInstOperands,
     /*  191386 */     // GIR_Coverage, 958,
     /*  191386 */     GIR_Done,
     /*  191387 */   // Label 3753: @191387
     /*  191387 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(191428), // Rule ID 960 //
     /*  191392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191395 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191402 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191409 */     // MIs[0] rs1
     /*  191409 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191421 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191426 */     GIR_RootConstrainSelectedInstOperands,
     /*  191427 */     // GIR_Coverage, 960,
     /*  191427 */     GIR_Done,
     /*  191428 */   // Label 3754: @191428
     /*  191428 */   GIM_Reject,
     /*  191429 */ // Label 3724: @191429
     /*  191429 */ GIM_Reject,
     /*  191430 */ // Label 3722: @191430
     /*  191430 */ GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(193079),
     /*  191435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  191438 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(191479), // Rule ID 413 //
     /*  191443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191446 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191453 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191460 */     // MIs[0] rs1
     /*  191460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191472 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191472 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191477 */     GIR_RootConstrainSelectedInstOperands,
     /*  191478 */     // GIR_Coverage, 413,
     /*  191478 */     GIR_Done,
     /*  191479 */   // Label 3756: @191479
     /*  191479 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(191520), // Rule ID 415 //
     /*  191484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191487 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191494 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191501 */     // MIs[0] rs1
     /*  191501 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191513 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191513 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  191518 */     GIR_RootConstrainSelectedInstOperands,
     /*  191519 */     // GIR_Coverage, 415,
     /*  191519 */     GIR_Done,
     /*  191520 */   // Label 3757: @191520
     /*  191520 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(191561), // Rule ID 417 //
     /*  191525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191528 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191535 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191542 */     // MIs[0] rs1
     /*  191542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191554 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191554 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  191559 */     GIR_RootConstrainSelectedInstOperands,
     /*  191560 */     // GIR_Coverage, 417,
     /*  191560 */     GIR_Done,
     /*  191561 */   // Label 3758: @191561
     /*  191561 */   GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(191602), // Rule ID 419 //
     /*  191566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191569 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191576 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191583 */     // MIs[0] rs1
     /*  191583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191595 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191595 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  191600 */     GIR_RootConstrainSelectedInstOperands,
     /*  191601 */     // GIR_Coverage, 419,
     /*  191601 */     GIR_Done,
     /*  191602 */   // Label 3759: @191602
     /*  191602 */   GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(191643), // Rule ID 421 //
     /*  191607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191610 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191617 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191624 */     // MIs[0] rs1
     /*  191624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191636 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191636 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  191641 */     GIR_RootConstrainSelectedInstOperands,
     /*  191642 */     // GIR_Coverage, 421,
     /*  191642 */     GIR_Done,
     /*  191643 */   // Label 3760: @191643
     /*  191643 */   GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(191684), // Rule ID 423 //
     /*  191648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191651 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191658 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191665 */     // MIs[0] rs1
     /*  191665 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191677 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191677 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191682 */     GIR_RootConstrainSelectedInstOperands,
     /*  191683 */     // GIR_Coverage, 423,
     /*  191683 */     GIR_Done,
     /*  191684 */   // Label 3761: @191684
     /*  191684 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(191725), // Rule ID 425 //
     /*  191689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191692 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191699 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191706 */     // MIs[0] rs1
     /*  191706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191718 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191718 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191723 */     GIR_RootConstrainSelectedInstOperands,
     /*  191724 */     // GIR_Coverage, 425,
     /*  191724 */     GIR_Done,
     /*  191725 */   // Label 3762: @191725
     /*  191725 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(191766), // Rule ID 427 //
     /*  191730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191733 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191740 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191747 */     // MIs[0] rs1
     /*  191747 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191759 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191759 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191764 */     GIR_RootConstrainSelectedInstOperands,
     /*  191765 */     // GIR_Coverage, 427,
     /*  191765 */     GIR_Done,
     /*  191766 */   // Label 3763: @191766
     /*  191766 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(191807), // Rule ID 429 //
     /*  191771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191774 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191781 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191788 */     // MIs[0] rs1
     /*  191788 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191800 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191800 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191805 */     GIR_RootConstrainSelectedInstOperands,
     /*  191806 */     // GIR_Coverage, 429,
     /*  191806 */     GIR_Done,
     /*  191807 */   // Label 3764: @191807
     /*  191807 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(191848), // Rule ID 431 //
     /*  191812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191815 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191822 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191829 */     // MIs[0] rs1
     /*  191829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191841 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191841 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  191846 */     GIR_RootConstrainSelectedInstOperands,
     /*  191847 */     // GIR_Coverage, 431,
     /*  191847 */     GIR_Done,
     /*  191848 */   // Label 3765: @191848
     /*  191848 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(191889), // Rule ID 563 //
     /*  191853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191856 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191863 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191870 */     // MIs[0] rs1
     /*  191870 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191882 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191882 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191887 */     GIR_RootConstrainSelectedInstOperands,
     /*  191888 */     // GIR_Coverage, 563,
     /*  191888 */     GIR_Done,
     /*  191889 */   // Label 3766: @191889
     /*  191889 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(191930), // Rule ID 564 //
     /*  191894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191897 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191904 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191911 */     // MIs[0] rs1
     /*  191911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191923 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191923 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ),
     /*  191928 */     GIR_RootConstrainSelectedInstOperands,
     /*  191929 */     // GIR_Coverage, 564,
     /*  191929 */     GIR_Done,
     /*  191930 */   // Label 3767: @191930
     /*  191930 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(191971), // Rule ID 565 //
     /*  191935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191938 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191945 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191952 */     // MIs[0] rs1
     /*  191952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191964 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191964 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_RL),
     /*  191969 */     GIR_RootConstrainSelectedInstOperands,
     /*  191970 */     // GIR_Coverage, 565,
     /*  191970 */     GIR_Done,
     /*  191971 */   // Label 3768: @191971
     /*  191971 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(192012), // Rule ID 566 //
     /*  191976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191979 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191986 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191993 */     // MIs[0] rs1
     /*  191993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192005 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192005 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  192010 */     GIR_RootConstrainSelectedInstOperands,
     /*  192011 */     // GIR_Coverage, 566,
     /*  192011 */     GIR_Done,
     /*  192012 */   // Label 3769: @192012
     /*  192012 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(192053), // Rule ID 567 //
     /*  192017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  192020 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192027 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192034 */     // MIs[0] rs1
     /*  192034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192046 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192046 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  192051 */     GIR_RootConstrainSelectedInstOperands,
     /*  192052 */     // GIR_Coverage, 567,
     /*  192052 */     GIR_Done,
     /*  192053 */   // Label 3770: @192053
     /*  192053 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(192094), // Rule ID 568 //
     /*  192058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192061 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192068 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192075 */     // MIs[0] rs1
     /*  192075 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192087 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192087 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  192092 */     GIR_RootConstrainSelectedInstOperands,
     /*  192093 */     // GIR_Coverage, 568,
     /*  192093 */     GIR_Done,
     /*  192094 */   // Label 3771: @192094
     /*  192094 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(192135), // Rule ID 569 //
     /*  192099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192102 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192109 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192116 */     // MIs[0] rs1
     /*  192116 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192128 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192128 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  192133 */     GIR_RootConstrainSelectedInstOperands,
     /*  192134 */     // GIR_Coverage, 569,
     /*  192134 */     GIR_Done,
     /*  192135 */   // Label 3772: @192135
     /*  192135 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(192176), // Rule ID 570 //
     /*  192140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192143 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192150 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192157 */     // MIs[0] rs1
     /*  192157 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192169 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192169 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  192174 */     GIR_RootConstrainSelectedInstOperands,
     /*  192175 */     // GIR_Coverage, 570,
     /*  192175 */     GIR_Done,
     /*  192176 */   // Label 3773: @192176
     /*  192176 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(192217), // Rule ID 571 //
     /*  192181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192184 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192191 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192198 */     // MIs[0] rs1
     /*  192198 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192210 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192210 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  192215 */     GIR_RootConstrainSelectedInstOperands,
     /*  192216 */     // GIR_Coverage, 571,
     /*  192216 */     GIR_Done,
     /*  192217 */   // Label 3774: @192217
     /*  192217 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(192258), // Rule ID 572 //
     /*  192222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192225 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192232 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192239 */     // MIs[0] rs1
     /*  192239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192251 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192251 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  192256 */     GIR_RootConstrainSelectedInstOperands,
     /*  192257 */     // GIR_Coverage, 572,
     /*  192257 */     GIR_Done,
     /*  192258 */   // Label 3775: @192258
     /*  192258 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(192299), // Rule ID 761 //
     /*  192263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192266 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192273 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192280 */     // MIs[0] rs1
     /*  192280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192292 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192292 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  192297 */     GIR_RootConstrainSelectedInstOperands,
     /*  192298 */     // GIR_Coverage, 761,
     /*  192298 */     GIR_Done,
     /*  192299 */   // Label 3776: @192299
     /*  192299 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(192340), // Rule ID 763 //
     /*  192304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192307 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192314 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192321 */     // MIs[0] rs1
     /*  192321 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192333 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192333 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  192338 */     GIR_RootConstrainSelectedInstOperands,
     /*  192339 */     // GIR_Coverage, 763,
     /*  192339 */     GIR_Done,
     /*  192340 */   // Label 3777: @192340
     /*  192340 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(192381), // Rule ID 765 //
     /*  192345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192348 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192355 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192362 */     // MIs[0] rs1
     /*  192362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192374 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192374 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  192379 */     GIR_RootConstrainSelectedInstOperands,
     /*  192380 */     // GIR_Coverage, 765,
     /*  192380 */     GIR_Done,
     /*  192381 */   // Label 3778: @192381
     /*  192381 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(192422), // Rule ID 767 //
     /*  192386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192389 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192396 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192403 */     // MIs[0] rs1
     /*  192403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192415 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192415 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  192420 */     GIR_RootConstrainSelectedInstOperands,
     /*  192421 */     // GIR_Coverage, 767,
     /*  192421 */     GIR_Done,
     /*  192422 */   // Label 3779: @192422
     /*  192422 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(192463), // Rule ID 769 //
     /*  192427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192430 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192437 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192444 */     // MIs[0] rs1
     /*  192444 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192456 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192456 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  192461 */     GIR_RootConstrainSelectedInstOperands,
     /*  192462 */     // GIR_Coverage, 769,
     /*  192462 */     GIR_Done,
     /*  192463 */   // Label 3780: @192463
     /*  192463 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(192504), // Rule ID 771 //
     /*  192468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192471 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192478 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192485 */     // MIs[0] rs1
     /*  192485 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192497 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192497 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  192502 */     GIR_RootConstrainSelectedInstOperands,
     /*  192503 */     // GIR_Coverage, 771,
     /*  192503 */     GIR_Done,
     /*  192504 */   // Label 3781: @192504
     /*  192504 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(192545), // Rule ID 773 //
     /*  192509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192512 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192519 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192526 */     // MIs[0] rs1
     /*  192526 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192538 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  192543 */     GIR_RootConstrainSelectedInstOperands,
     /*  192544 */     // GIR_Coverage, 773,
     /*  192544 */     GIR_Done,
     /*  192545 */   // Label 3782: @192545
     /*  192545 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(192586), // Rule ID 775 //
     /*  192550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192553 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192560 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192567 */     // MIs[0] rs1
     /*  192567 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192579 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192579 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  192584 */     GIR_RootConstrainSelectedInstOperands,
     /*  192585 */     // GIR_Coverage, 775,
     /*  192585 */     GIR_Done,
     /*  192586 */   // Label 3783: @192586
     /*  192586 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(192627), // Rule ID 777 //
     /*  192591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192594 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192601 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192608 */     // MIs[0] rs1
     /*  192608 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192620 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192620 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  192625 */     GIR_RootConstrainSelectedInstOperands,
     /*  192626 */     // GIR_Coverage, 777,
     /*  192626 */     GIR_Done,
     /*  192627 */   // Label 3784: @192627
     /*  192627 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(192668), // Rule ID 779 //
     /*  192632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192635 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192642 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192649 */     // MIs[0] rs1
     /*  192649 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192661 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192661 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  192666 */     GIR_RootConstrainSelectedInstOperands,
     /*  192667 */     // GIR_Coverage, 779,
     /*  192667 */     GIR_Done,
     /*  192668 */   // Label 3785: @192668
     /*  192668 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(192709), // Rule ID 941 //
     /*  192673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192676 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192683 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192690 */     // MIs[0] rs1
     /*  192690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192702 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192707 */     GIR_RootConstrainSelectedInstOperands,
     /*  192708 */     // GIR_Coverage, 941,
     /*  192708 */     GIR_Done,
     /*  192709 */   // Label 3786: @192709
     /*  192709 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(192750), // Rule ID 943 //
     /*  192714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192717 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192724 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192731 */     // MIs[0] rs1
     /*  192731 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192743 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192743 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  192748 */     GIR_RootConstrainSelectedInstOperands,
     /*  192749 */     // GIR_Coverage, 943,
     /*  192749 */     GIR_Done,
     /*  192750 */   // Label 3787: @192750
     /*  192750 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(192791), // Rule ID 945 //
     /*  192755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192758 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192765 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192772 */     // MIs[0] rs1
     /*  192772 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192784 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192784 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  192789 */     GIR_RootConstrainSelectedInstOperands,
     /*  192790 */     // GIR_Coverage, 945,
     /*  192790 */     GIR_Done,
     /*  192791 */   // Label 3788: @192791
     /*  192791 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(192832), // Rule ID 947 //
     /*  192796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192799 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192806 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192813 */     // MIs[0] rs1
     /*  192813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192825 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192825 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  192830 */     GIR_RootConstrainSelectedInstOperands,
     /*  192831 */     // GIR_Coverage, 947,
     /*  192831 */     GIR_Done,
     /*  192832 */   // Label 3789: @192832
     /*  192832 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(192873), // Rule ID 949 //
     /*  192837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192840 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192847 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192854 */     // MIs[0] rs1
     /*  192854 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192866 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192866 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  192871 */     GIR_RootConstrainSelectedInstOperands,
     /*  192872 */     // GIR_Coverage, 949,
     /*  192872 */     GIR_Done,
     /*  192873 */   // Label 3790: @192873
     /*  192873 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(192914), // Rule ID 951 //
     /*  192878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192881 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192888 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192895 */     // MIs[0] rs1
     /*  192895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192907 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192907 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192912 */     GIR_RootConstrainSelectedInstOperands,
     /*  192913 */     // GIR_Coverage, 951,
     /*  192913 */     GIR_Done,
     /*  192914 */   // Label 3791: @192914
     /*  192914 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(192955), // Rule ID 953 //
     /*  192919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192922 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192929 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192936 */     // MIs[0] rs1
     /*  192936 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192948 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192948 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192953 */     GIR_RootConstrainSelectedInstOperands,
     /*  192954 */     // GIR_Coverage, 953,
     /*  192954 */     GIR_Done,
     /*  192955 */   // Label 3792: @192955
     /*  192955 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(192996), // Rule ID 955 //
     /*  192960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192963 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192970 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192977 */     // MIs[0] rs1
     /*  192977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192989 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192989 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  192994 */     GIR_RootConstrainSelectedInstOperands,
     /*  192995 */     // GIR_Coverage, 955,
     /*  192995 */     GIR_Done,
     /*  192996 */   // Label 3793: @192996
     /*  192996 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(193037), // Rule ID 957 //
     /*  193001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193004 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193011 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193018 */     // MIs[0] rs1
     /*  193018 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193030 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193030 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  193035 */     GIR_RootConstrainSelectedInstOperands,
     /*  193036 */     // GIR_Coverage, 957,
     /*  193036 */     GIR_Done,
     /*  193037 */   // Label 3794: @193037
     /*  193037 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(193078), // Rule ID 959 //
     /*  193042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193045 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193052 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193059 */     // MIs[0] rs1
     /*  193059 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193071 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193071 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  193076 */     GIR_RootConstrainSelectedInstOperands,
     /*  193077 */     // GIR_Coverage, 959,
     /*  193077 */     GIR_Done,
     /*  193078 */   // Label 3795: @193078
     /*  193078 */   GIM_Reject,
     /*  193079 */ // Label 3755: @193079
     /*  193079 */ GIM_Reject,
     /*  193080 */ // Label 3723: @193080
     /*  193080 */ GIM_Reject,
     /*  193081 */ // Label 31: @193081
     /*  193081 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3798*/ GIMT_Encode4(195990),
     /*  193092 */ /*GILLT_s32*//*Label 3796*/ GIMT_Encode4(193100),
     /*  193096 */ /*GILLT_s64*//*Label 3797*/ GIMT_Encode4(194340),
     /*  193100 */ // Label 3796: @193100
     /*  193100 */ GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(194339),
     /*  193105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  193108 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(193149), // Rule ID 434 //
     /*  193113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193116 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193123 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193130 */     // MIs[0] rs1
     /*  193130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193142 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193142 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193147 */     GIR_RootConstrainSelectedInstOperands,
     /*  193148 */     // GIR_Coverage, 434,
     /*  193148 */     GIR_Done,
     /*  193149 */   // Label 3800: @193149
     /*  193149 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(193190), // Rule ID 436 //
     /*  193154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193157 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193164 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193171 */     // MIs[0] rs1
     /*  193171 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193183 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193183 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  193188 */     GIR_RootConstrainSelectedInstOperands,
     /*  193189 */     // GIR_Coverage, 436,
     /*  193189 */     GIR_Done,
     /*  193190 */   // Label 3801: @193190
     /*  193190 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(193231), // Rule ID 438 //
     /*  193195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193198 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193205 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193212 */     // MIs[0] rs1
     /*  193212 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193224 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193224 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  193229 */     GIR_RootConstrainSelectedInstOperands,
     /*  193230 */     // GIR_Coverage, 438,
     /*  193230 */     GIR_Done,
     /*  193231 */   // Label 3802: @193231
     /*  193231 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(193272), // Rule ID 440 //
     /*  193236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193239 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193246 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193253 */     // MIs[0] rs1
     /*  193253 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193265 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193265 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  193270 */     GIR_RootConstrainSelectedInstOperands,
     /*  193271 */     // GIR_Coverage, 440,
     /*  193271 */     GIR_Done,
     /*  193272 */   // Label 3803: @193272
     /*  193272 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(193313), // Rule ID 442 //
     /*  193277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193280 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193287 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193294 */     // MIs[0] rs1
     /*  193294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193306 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  193311 */     GIR_RootConstrainSelectedInstOperands,
     /*  193312 */     // GIR_Coverage, 442,
     /*  193312 */     GIR_Done,
     /*  193313 */   // Label 3804: @193313
     /*  193313 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(193354), // Rule ID 444 //
     /*  193318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  193321 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193328 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193335 */     // MIs[0] rs1
     /*  193335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193347 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193347 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193352 */     GIR_RootConstrainSelectedInstOperands,
     /*  193353 */     // GIR_Coverage, 444,
     /*  193353 */     GIR_Done,
     /*  193354 */   // Label 3805: @193354
     /*  193354 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(193395), // Rule ID 446 //
     /*  193359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  193362 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193369 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193376 */     // MIs[0] rs1
     /*  193376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193388 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193388 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193393 */     GIR_RootConstrainSelectedInstOperands,
     /*  193394 */     // GIR_Coverage, 446,
     /*  193394 */     GIR_Done,
     /*  193395 */   // Label 3806: @193395
     /*  193395 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(193436), // Rule ID 448 //
     /*  193400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  193403 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193410 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193417 */     // MIs[0] rs1
     /*  193417 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193429 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193429 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193434 */     GIR_RootConstrainSelectedInstOperands,
     /*  193435 */     // GIR_Coverage, 448,
     /*  193435 */     GIR_Done,
     /*  193436 */   // Label 3807: @193436
     /*  193436 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(193477), // Rule ID 450 //
     /*  193441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  193444 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193451 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193458 */     // MIs[0] rs1
     /*  193458 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193470 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193470 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193475 */     GIR_RootConstrainSelectedInstOperands,
     /*  193476 */     // GIR_Coverage, 450,
     /*  193476 */     GIR_Done,
     /*  193477 */   // Label 3808: @193477
     /*  193477 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(193518), // Rule ID 452 //
     /*  193482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  193485 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193492 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193499 */     // MIs[0] rs1
     /*  193499 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193511 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193511 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193516 */     GIR_RootConstrainSelectedInstOperands,
     /*  193517 */     // GIR_Coverage, 452,
     /*  193517 */     GIR_Done,
     /*  193518 */   // Label 3809: @193518
     /*  193518 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(193559), // Rule ID 782 //
     /*  193523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193526 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193533 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193540 */     // MIs[0] rs1
     /*  193540 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193552 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193552 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193557 */     GIR_RootConstrainSelectedInstOperands,
     /*  193558 */     // GIR_Coverage, 782,
     /*  193558 */     GIR_Done,
     /*  193559 */   // Label 3810: @193559
     /*  193559 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(193600), // Rule ID 784 //
     /*  193564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193567 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193574 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193581 */     // MIs[0] rs1
     /*  193581 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193593 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193593 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  193598 */     GIR_RootConstrainSelectedInstOperands,
     /*  193599 */     // GIR_Coverage, 784,
     /*  193599 */     GIR_Done,
     /*  193600 */   // Label 3811: @193600
     /*  193600 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(193641), // Rule ID 786 //
     /*  193605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193608 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193615 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193622 */     // MIs[0] rs1
     /*  193622 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193634 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193634 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  193639 */     GIR_RootConstrainSelectedInstOperands,
     /*  193640 */     // GIR_Coverage, 786,
     /*  193640 */     GIR_Done,
     /*  193641 */   // Label 3812: @193641
     /*  193641 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(193682), // Rule ID 788 //
     /*  193646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193649 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193656 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193663 */     // MIs[0] rs1
     /*  193663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193675 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  193680 */     GIR_RootConstrainSelectedInstOperands,
     /*  193681 */     // GIR_Coverage, 788,
     /*  193681 */     GIR_Done,
     /*  193682 */   // Label 3813: @193682
     /*  193682 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(193723), // Rule ID 790 //
     /*  193687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193690 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193697 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193704 */     // MIs[0] rs1
     /*  193704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193716 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193716 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  193721 */     GIR_RootConstrainSelectedInstOperands,
     /*  193722 */     // GIR_Coverage, 790,
     /*  193722 */     GIR_Done,
     /*  193723 */   // Label 3814: @193723
     /*  193723 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(193764), // Rule ID 792 //
     /*  193728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193731 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193738 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193745 */     // MIs[0] rs1
     /*  193745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193757 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193762 */     GIR_RootConstrainSelectedInstOperands,
     /*  193763 */     // GIR_Coverage, 792,
     /*  193763 */     GIR_Done,
     /*  193764 */   // Label 3815: @193764
     /*  193764 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(193805), // Rule ID 794 //
     /*  193769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193772 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193779 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193786 */     // MIs[0] rs1
     /*  193786 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193798 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193798 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193803 */     GIR_RootConstrainSelectedInstOperands,
     /*  193804 */     // GIR_Coverage, 794,
     /*  193804 */     GIR_Done,
     /*  193805 */   // Label 3816: @193805
     /*  193805 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(193846), // Rule ID 796 //
     /*  193810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193827 */     // MIs[0] rs1
     /*  193827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193839 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193839 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193844 */     GIR_RootConstrainSelectedInstOperands,
     /*  193845 */     // GIR_Coverage, 796,
     /*  193845 */     GIR_Done,
     /*  193846 */   // Label 3817: @193846
     /*  193846 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(193887), // Rule ID 798 //
     /*  193851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193854 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193861 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193868 */     // MIs[0] rs1
     /*  193868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193880 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193880 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193885 */     GIR_RootConstrainSelectedInstOperands,
     /*  193886 */     // GIR_Coverage, 798,
     /*  193886 */     GIR_Done,
     /*  193887 */   // Label 3818: @193887
     /*  193887 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(193928), // Rule ID 800 //
     /*  193892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193895 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193902 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193909 */     // MIs[0] rs1
     /*  193909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193921 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193921 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193926 */     GIR_RootConstrainSelectedInstOperands,
     /*  193927 */     // GIR_Coverage, 800,
     /*  193927 */     GIR_Done,
     /*  193928 */   // Label 3819: @193928
     /*  193928 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(193969), // Rule ID 962 //
     /*  193933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193950 */     // MIs[0] rs1
     /*  193950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193962 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193967 */     GIR_RootConstrainSelectedInstOperands,
     /*  193968 */     // GIR_Coverage, 962,
     /*  193968 */     GIR_Done,
     /*  193969 */   // Label 3820: @193969
     /*  193969 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(194010), // Rule ID 964 //
     /*  193974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  193977 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193984 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193991 */     // MIs[0] rs1
     /*  193991 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194003 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194003 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  194008 */     GIR_RootConstrainSelectedInstOperands,
     /*  194009 */     // GIR_Coverage, 964,
     /*  194009 */     GIR_Done,
     /*  194010 */   // Label 3821: @194010
     /*  194010 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(194051), // Rule ID 966 //
     /*  194015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194032 */     // MIs[0] rs1
     /*  194032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194044 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  194049 */     GIR_RootConstrainSelectedInstOperands,
     /*  194050 */     // GIR_Coverage, 966,
     /*  194050 */     GIR_Done,
     /*  194051 */   // Label 3822: @194051
     /*  194051 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(194092), // Rule ID 968 //
     /*  194056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194059 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194066 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194073 */     // MIs[0] rs1
     /*  194073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194085 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  194090 */     GIR_RootConstrainSelectedInstOperands,
     /*  194091 */     // GIR_Coverage, 968,
     /*  194091 */     GIR_Done,
     /*  194092 */   // Label 3823: @194092
     /*  194092 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(194133), // Rule ID 970 //
     /*  194097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194100 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194107 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194114 */     // MIs[0] rs1
     /*  194114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194126 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  194131 */     GIR_RootConstrainSelectedInstOperands,
     /*  194132 */     // GIR_Coverage, 970,
     /*  194132 */     GIR_Done,
     /*  194133 */   // Label 3824: @194133
     /*  194133 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(194174), // Rule ID 972 //
     /*  194138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194141 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194148 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194155 */     // MIs[0] rs1
     /*  194155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194167 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194172 */     GIR_RootConstrainSelectedInstOperands,
     /*  194173 */     // GIR_Coverage, 972,
     /*  194173 */     GIR_Done,
     /*  194174 */   // Label 3825: @194174
     /*  194174 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(194215), // Rule ID 974 //
     /*  194179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194182 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194189 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194196 */     // MIs[0] rs1
     /*  194196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194208 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194208 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194213 */     GIR_RootConstrainSelectedInstOperands,
     /*  194214 */     // GIR_Coverage, 974,
     /*  194214 */     GIR_Done,
     /*  194215 */   // Label 3826: @194215
     /*  194215 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(194256), // Rule ID 976 //
     /*  194220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194223 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194230 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194237 */     // MIs[0] rs1
     /*  194237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194249 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194254 */     GIR_RootConstrainSelectedInstOperands,
     /*  194255 */     // GIR_Coverage, 976,
     /*  194255 */     GIR_Done,
     /*  194256 */   // Label 3827: @194256
     /*  194256 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(194297), // Rule ID 978 //
     /*  194261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194278 */     // MIs[0] rs1
     /*  194278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194290 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194295 */     GIR_RootConstrainSelectedInstOperands,
     /*  194296 */     // GIR_Coverage, 978,
     /*  194296 */     GIR_Done,
     /*  194297 */   // Label 3828: @194297
     /*  194297 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(194338), // Rule ID 980 //
     /*  194302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194305 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194312 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194319 */     // MIs[0] rs1
     /*  194319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194331 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194336 */     GIR_RootConstrainSelectedInstOperands,
     /*  194337 */     // GIR_Coverage, 980,
     /*  194337 */     GIR_Done,
     /*  194338 */   // Label 3829: @194338
     /*  194338 */   GIM_Reject,
     /*  194339 */ // Label 3799: @194339
     /*  194339 */ GIM_Reject,
     /*  194340 */ // Label 3797: @194340
     /*  194340 */ GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(195989),
     /*  194345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  194348 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(194389), // Rule ID 433 //
     /*  194353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  194356 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194363 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194370 */     // MIs[0] rs1
     /*  194370 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194382 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194382 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  194387 */     GIR_RootConstrainSelectedInstOperands,
     /*  194388 */     // GIR_Coverage, 433,
     /*  194388 */     GIR_Done,
     /*  194389 */   // Label 3831: @194389
     /*  194389 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(194430), // Rule ID 435 //
     /*  194394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  194397 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194404 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194411 */     // MIs[0] rs1
     /*  194411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194423 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194423 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  194428 */     GIR_RootConstrainSelectedInstOperands,
     /*  194429 */     // GIR_Coverage, 435,
     /*  194429 */     GIR_Done,
     /*  194430 */   // Label 3832: @194430
     /*  194430 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(194471), // Rule ID 437 //
     /*  194435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  194438 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194445 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194452 */     // MIs[0] rs1
     /*  194452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194464 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  194469 */     GIR_RootConstrainSelectedInstOperands,
     /*  194470 */     // GIR_Coverage, 437,
     /*  194470 */     GIR_Done,
     /*  194471 */   // Label 3833: @194471
     /*  194471 */   GIM_Try, /*On fail goto*//*Label 3834*/ GIMT_Encode4(194512), // Rule ID 439 //
     /*  194476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  194479 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194486 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194493 */     // MIs[0] rs1
     /*  194493 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194505 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194505 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  194510 */     GIR_RootConstrainSelectedInstOperands,
     /*  194511 */     // GIR_Coverage, 439,
     /*  194511 */     GIR_Done,
     /*  194512 */   // Label 3834: @194512
     /*  194512 */   GIM_Try, /*On fail goto*//*Label 3835*/ GIMT_Encode4(194553), // Rule ID 441 //
     /*  194517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  194520 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194527 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194534 */     // MIs[0] rs1
     /*  194534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194546 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194546 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  194551 */     GIR_RootConstrainSelectedInstOperands,
     /*  194552 */     // GIR_Coverage, 441,
     /*  194552 */     GIR_Done,
     /*  194553 */   // Label 3835: @194553
     /*  194553 */   GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(194594), // Rule ID 443 //
     /*  194558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  194561 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194568 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194575 */     // MIs[0] rs1
     /*  194575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194587 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194587 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  194592 */     GIR_RootConstrainSelectedInstOperands,
     /*  194593 */     // GIR_Coverage, 443,
     /*  194593 */     GIR_Done,
     /*  194594 */   // Label 3836: @194594
     /*  194594 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(194635), // Rule ID 445 //
     /*  194599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  194602 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194609 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194616 */     // MIs[0] rs1
     /*  194616 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194628 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194628 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  194633 */     GIR_RootConstrainSelectedInstOperands,
     /*  194634 */     // GIR_Coverage, 445,
     /*  194634 */     GIR_Done,
     /*  194635 */   // Label 3837: @194635
     /*  194635 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(194676), // Rule ID 447 //
     /*  194640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  194643 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194650 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194657 */     // MIs[0] rs1
     /*  194657 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194669 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194669 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  194674 */     GIR_RootConstrainSelectedInstOperands,
     /*  194675 */     // GIR_Coverage, 447,
     /*  194675 */     GIR_Done,
     /*  194676 */   // Label 3838: @194676
     /*  194676 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(194717), // Rule ID 449 //
     /*  194681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  194684 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194691 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194698 */     // MIs[0] rs1
     /*  194698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194710 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194710 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  194715 */     GIR_RootConstrainSelectedInstOperands,
     /*  194716 */     // GIR_Coverage, 449,
     /*  194716 */     GIR_Done,
     /*  194717 */   // Label 3839: @194717
     /*  194717 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(194758), // Rule ID 451 //
     /*  194722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  194725 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194732 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194739 */     // MIs[0] rs1
     /*  194739 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194751 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194751 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  194756 */     GIR_RootConstrainSelectedInstOperands,
     /*  194757 */     // GIR_Coverage, 451,
     /*  194757 */     GIR_Done,
     /*  194758 */   // Label 3840: @194758
     /*  194758 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(194799), // Rule ID 573 //
     /*  194763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194766 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194773 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194780 */     // MIs[0] rs1
     /*  194780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194792 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194792 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194797 */     GIR_RootConstrainSelectedInstOperands,
     /*  194798 */     // GIR_Coverage, 573,
     /*  194798 */     GIR_Done,
     /*  194799 */   // Label 3841: @194799
     /*  194799 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(194840), // Rule ID 574 //
     /*  194804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194807 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194814 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194821 */     // MIs[0] rs1
     /*  194821 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194833 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194833 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ),
     /*  194838 */     GIR_RootConstrainSelectedInstOperands,
     /*  194839 */     // GIR_Coverage, 574,
     /*  194839 */     GIR_Done,
     /*  194840 */   // Label 3842: @194840
     /*  194840 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(194881), // Rule ID 575 //
     /*  194845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194848 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194855 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194862 */     // MIs[0] rs1
     /*  194862 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194874 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194874 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_RL),
     /*  194879 */     GIR_RootConstrainSelectedInstOperands,
     /*  194880 */     // GIR_Coverage, 575,
     /*  194880 */     GIR_Done,
     /*  194881 */   // Label 3843: @194881
     /*  194881 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(194922), // Rule ID 576 //
     /*  194886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194889 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194896 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194903 */     // MIs[0] rs1
     /*  194903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194915 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194915 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  194920 */     GIR_RootConstrainSelectedInstOperands,
     /*  194921 */     // GIR_Coverage, 576,
     /*  194921 */     GIR_Done,
     /*  194922 */   // Label 3844: @194922
     /*  194922 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(194963), // Rule ID 577 //
     /*  194927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  194930 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194937 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194944 */     // MIs[0] rs1
     /*  194944 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194956 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194956 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  194961 */     GIR_RootConstrainSelectedInstOperands,
     /*  194962 */     // GIR_Coverage, 577,
     /*  194962 */     GIR_Done,
     /*  194963 */   // Label 3845: @194963
     /*  194963 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(195004), // Rule ID 578 //
     /*  194968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194971 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194978 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194985 */     // MIs[0] rs1
     /*  194985 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194997 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194997 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  195002 */     GIR_RootConstrainSelectedInstOperands,
     /*  195003 */     // GIR_Coverage, 578,
     /*  195003 */     GIR_Done,
     /*  195004 */   // Label 3846: @195004
     /*  195004 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(195045), // Rule ID 579 //
     /*  195009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195012 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195019 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195026 */     // MIs[0] rs1
     /*  195026 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195038 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195038 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  195043 */     GIR_RootConstrainSelectedInstOperands,
     /*  195044 */     // GIR_Coverage, 579,
     /*  195044 */     GIR_Done,
     /*  195045 */   // Label 3847: @195045
     /*  195045 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(195086), // Rule ID 580 //
     /*  195050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195053 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195060 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195067 */     // MIs[0] rs1
     /*  195067 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195079 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195079 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  195084 */     GIR_RootConstrainSelectedInstOperands,
     /*  195085 */     // GIR_Coverage, 580,
     /*  195085 */     GIR_Done,
     /*  195086 */   // Label 3848: @195086
     /*  195086 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(195127), // Rule ID 581 //
     /*  195091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195094 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195101 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195108 */     // MIs[0] rs1
     /*  195108 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195120 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195120 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  195125 */     GIR_RootConstrainSelectedInstOperands,
     /*  195126 */     // GIR_Coverage, 581,
     /*  195126 */     GIR_Done,
     /*  195127 */   // Label 3849: @195127
     /*  195127 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(195168), // Rule ID 582 //
     /*  195132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195135 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195142 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195149 */     // MIs[0] rs1
     /*  195149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195161 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195161 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  195166 */     GIR_RootConstrainSelectedInstOperands,
     /*  195167 */     // GIR_Coverage, 582,
     /*  195167 */     GIR_Done,
     /*  195168 */   // Label 3850: @195168
     /*  195168 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(195209), // Rule ID 781 //
     /*  195173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195176 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195183 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195190 */     // MIs[0] rs1
     /*  195190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195202 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195202 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  195207 */     GIR_RootConstrainSelectedInstOperands,
     /*  195208 */     // GIR_Coverage, 781,
     /*  195208 */     GIR_Done,
     /*  195209 */   // Label 3851: @195209
     /*  195209 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(195250), // Rule ID 783 //
     /*  195214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195217 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195224 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195231 */     // MIs[0] rs1
     /*  195231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195243 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195243 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  195248 */     GIR_RootConstrainSelectedInstOperands,
     /*  195249 */     // GIR_Coverage, 783,
     /*  195249 */     GIR_Done,
     /*  195250 */   // Label 3852: @195250
     /*  195250 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(195291), // Rule ID 785 //
     /*  195255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195258 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195265 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195272 */     // MIs[0] rs1
     /*  195272 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195284 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195284 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  195289 */     GIR_RootConstrainSelectedInstOperands,
     /*  195290 */     // GIR_Coverage, 785,
     /*  195290 */     GIR_Done,
     /*  195291 */   // Label 3853: @195291
     /*  195291 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(195332), // Rule ID 787 //
     /*  195296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195299 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195306 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195313 */     // MIs[0] rs1
     /*  195313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195325 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195325 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  195330 */     GIR_RootConstrainSelectedInstOperands,
     /*  195331 */     // GIR_Coverage, 787,
     /*  195331 */     GIR_Done,
     /*  195332 */   // Label 3854: @195332
     /*  195332 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(195373), // Rule ID 789 //
     /*  195337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195340 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195347 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195354 */     // MIs[0] rs1
     /*  195354 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195366 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195366 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  195371 */     GIR_RootConstrainSelectedInstOperands,
     /*  195372 */     // GIR_Coverage, 789,
     /*  195372 */     GIR_Done,
     /*  195373 */   // Label 3855: @195373
     /*  195373 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(195414), // Rule ID 791 //
     /*  195378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195381 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195388 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195395 */     // MIs[0] rs1
     /*  195395 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195407 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195407 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  195412 */     GIR_RootConstrainSelectedInstOperands,
     /*  195413 */     // GIR_Coverage, 791,
     /*  195413 */     GIR_Done,
     /*  195414 */   // Label 3856: @195414
     /*  195414 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(195455), // Rule ID 793 //
     /*  195419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195422 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195429 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195436 */     // MIs[0] rs1
     /*  195436 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195448 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195448 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  195453 */     GIR_RootConstrainSelectedInstOperands,
     /*  195454 */     // GIR_Coverage, 793,
     /*  195454 */     GIR_Done,
     /*  195455 */   // Label 3857: @195455
     /*  195455 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(195496), // Rule ID 795 //
     /*  195460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195463 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195470 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195477 */     // MIs[0] rs1
     /*  195477 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195489 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195489 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  195494 */     GIR_RootConstrainSelectedInstOperands,
     /*  195495 */     // GIR_Coverage, 795,
     /*  195495 */     GIR_Done,
     /*  195496 */   // Label 3858: @195496
     /*  195496 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(195537), // Rule ID 797 //
     /*  195501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195504 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195511 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195518 */     // MIs[0] rs1
     /*  195518 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195530 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195530 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  195535 */     GIR_RootConstrainSelectedInstOperands,
     /*  195536 */     // GIR_Coverage, 797,
     /*  195536 */     GIR_Done,
     /*  195537 */   // Label 3859: @195537
     /*  195537 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(195578), // Rule ID 799 //
     /*  195542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195545 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195552 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195559 */     // MIs[0] rs1
     /*  195559 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195571 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195571 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  195576 */     GIR_RootConstrainSelectedInstOperands,
     /*  195577 */     // GIR_Coverage, 799,
     /*  195577 */     GIR_Done,
     /*  195578 */   // Label 3860: @195578
     /*  195578 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(195619), // Rule ID 961 //
     /*  195583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195586 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195593 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195600 */     // MIs[0] rs1
     /*  195600 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195612 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195612 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195617 */     GIR_RootConstrainSelectedInstOperands,
     /*  195618 */     // GIR_Coverage, 961,
     /*  195618 */     GIR_Done,
     /*  195619 */   // Label 3861: @195619
     /*  195619 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(195660), // Rule ID 963 //
     /*  195624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195627 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195634 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195641 */     // MIs[0] rs1
     /*  195641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195653 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195653 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  195658 */     GIR_RootConstrainSelectedInstOperands,
     /*  195659 */     // GIR_Coverage, 963,
     /*  195659 */     GIR_Done,
     /*  195660 */   // Label 3862: @195660
     /*  195660 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(195701), // Rule ID 965 //
     /*  195665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195668 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195675 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195682 */     // MIs[0] rs1
     /*  195682 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195694 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195694 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  195699 */     GIR_RootConstrainSelectedInstOperands,
     /*  195700 */     // GIR_Coverage, 965,
     /*  195700 */     GIR_Done,
     /*  195701 */   // Label 3863: @195701
     /*  195701 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(195742), // Rule ID 967 //
     /*  195706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195709 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195716 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195723 */     // MIs[0] rs1
     /*  195723 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195735 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195735 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  195740 */     GIR_RootConstrainSelectedInstOperands,
     /*  195741 */     // GIR_Coverage, 967,
     /*  195741 */     GIR_Done,
     /*  195742 */   // Label 3864: @195742
     /*  195742 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(195783), // Rule ID 969 //
     /*  195747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195750 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195757 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195764 */     // MIs[0] rs1
     /*  195764 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195776 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195776 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  195781 */     GIR_RootConstrainSelectedInstOperands,
     /*  195782 */     // GIR_Coverage, 969,
     /*  195782 */     GIR_Done,
     /*  195783 */   // Label 3865: @195783
     /*  195783 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(195824), // Rule ID 971 //
     /*  195788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195791 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195798 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195805 */     // MIs[0] rs1
     /*  195805 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195817 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195817 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195822 */     GIR_RootConstrainSelectedInstOperands,
     /*  195823 */     // GIR_Coverage, 971,
     /*  195823 */     GIR_Done,
     /*  195824 */   // Label 3866: @195824
     /*  195824 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(195865), // Rule ID 973 //
     /*  195829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195832 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195839 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195846 */     // MIs[0] rs1
     /*  195846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195858 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195858 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195863 */     GIR_RootConstrainSelectedInstOperands,
     /*  195864 */     // GIR_Coverage, 973,
     /*  195864 */     GIR_Done,
     /*  195865 */   // Label 3867: @195865
     /*  195865 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(195906), // Rule ID 975 //
     /*  195870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195873 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195880 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195887 */     // MIs[0] rs1
     /*  195887 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195899 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195899 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195904 */     GIR_RootConstrainSelectedInstOperands,
     /*  195905 */     // GIR_Coverage, 975,
     /*  195905 */     GIR_Done,
     /*  195906 */   // Label 3868: @195906
     /*  195906 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(195947), // Rule ID 977 //
     /*  195911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195914 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195921 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195928 */     // MIs[0] rs1
     /*  195928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195940 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195940 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195945 */     GIR_RootConstrainSelectedInstOperands,
     /*  195946 */     // GIR_Coverage, 977,
     /*  195946 */     GIR_Done,
     /*  195947 */   // Label 3869: @195947
     /*  195947 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(195988), // Rule ID 979 //
     /*  195952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195955 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195962 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195969 */     // MIs[0] rs1
     /*  195969 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195981 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195981 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  195986 */     GIR_RootConstrainSelectedInstOperands,
     /*  195987 */     // GIR_Coverage, 979,
     /*  195987 */     GIR_Done,
     /*  195988 */   // Label 3870: @195988
     /*  195988 */   GIM_Reject,
     /*  195989 */ // Label 3830: @195989
     /*  195989 */ GIM_Reject,
     /*  195990 */ // Label 3798: @195990
     /*  195990 */ GIM_Reject,
     /*  195991 */ // Label 32: @195991
     /*  195991 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3873*/ GIMT_Encode4(198900),
     /*  196002 */ /*GILLT_s32*//*Label 3871*/ GIMT_Encode4(196010),
     /*  196006 */ /*GILLT_s64*//*Label 3872*/ GIMT_Encode4(197250),
     /*  196010 */ // Label 3871: @196010
     /*  196010 */ GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(197249),
     /*  196015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  196018 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(196059), // Rule ID 454 //
     /*  196023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196026 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196033 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196040 */     // MIs[0] rs1
     /*  196040 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196052 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196052 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196057 */     GIR_RootConstrainSelectedInstOperands,
     /*  196058 */     // GIR_Coverage, 454,
     /*  196058 */     GIR_Done,
     /*  196059 */   // Label 3875: @196059
     /*  196059 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(196100), // Rule ID 456 //
     /*  196064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196067 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196074 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196081 */     // MIs[0] rs1
     /*  196081 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196093 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196093 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  196098 */     GIR_RootConstrainSelectedInstOperands,
     /*  196099 */     // GIR_Coverage, 456,
     /*  196099 */     GIR_Done,
     /*  196100 */   // Label 3876: @196100
     /*  196100 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(196141), // Rule ID 458 //
     /*  196105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196108 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196115 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196122 */     // MIs[0] rs1
     /*  196122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196134 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  196139 */     GIR_RootConstrainSelectedInstOperands,
     /*  196140 */     // GIR_Coverage, 458,
     /*  196140 */     GIR_Done,
     /*  196141 */   // Label 3877: @196141
     /*  196141 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(196182), // Rule ID 460 //
     /*  196146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196149 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196156 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196163 */     // MIs[0] rs1
     /*  196163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196175 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196175 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  196180 */     GIR_RootConstrainSelectedInstOperands,
     /*  196181 */     // GIR_Coverage, 460,
     /*  196181 */     GIR_Done,
     /*  196182 */   // Label 3878: @196182
     /*  196182 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(196223), // Rule ID 462 //
     /*  196187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196190 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196197 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196204 */     // MIs[0] rs1
     /*  196204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196216 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196216 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  196221 */     GIR_RootConstrainSelectedInstOperands,
     /*  196222 */     // GIR_Coverage, 462,
     /*  196222 */     GIR_Done,
     /*  196223 */   // Label 3879: @196223
     /*  196223 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(196264), // Rule ID 464 //
     /*  196228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196231 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196238 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196245 */     // MIs[0] rs1
     /*  196245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196257 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196257 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196262 */     GIR_RootConstrainSelectedInstOperands,
     /*  196263 */     // GIR_Coverage, 464,
     /*  196263 */     GIR_Done,
     /*  196264 */   // Label 3880: @196264
     /*  196264 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(196305), // Rule ID 466 //
     /*  196269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196272 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196279 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196286 */     // MIs[0] rs1
     /*  196286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196298 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196303 */     GIR_RootConstrainSelectedInstOperands,
     /*  196304 */     // GIR_Coverage, 466,
     /*  196304 */     GIR_Done,
     /*  196305 */   // Label 3881: @196305
     /*  196305 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(196346), // Rule ID 468 //
     /*  196310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196313 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196320 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196327 */     // MIs[0] rs1
     /*  196327 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196339 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196339 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196344 */     GIR_RootConstrainSelectedInstOperands,
     /*  196345 */     // GIR_Coverage, 468,
     /*  196345 */     GIR_Done,
     /*  196346 */   // Label 3882: @196346
     /*  196346 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(196387), // Rule ID 470 //
     /*  196351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196354 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196361 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196368 */     // MIs[0] rs1
     /*  196368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196380 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196385 */     GIR_RootConstrainSelectedInstOperands,
     /*  196386 */     // GIR_Coverage, 470,
     /*  196386 */     GIR_Done,
     /*  196387 */   // Label 3883: @196387
     /*  196387 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(196428), // Rule ID 472 //
     /*  196392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196395 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196402 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196409 */     // MIs[0] rs1
     /*  196409 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196421 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196426 */     GIR_RootConstrainSelectedInstOperands,
     /*  196427 */     // GIR_Coverage, 472,
     /*  196427 */     GIR_Done,
     /*  196428 */   // Label 3884: @196428
     /*  196428 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(196469), // Rule ID 802 //
     /*  196433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196436 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196443 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196450 */     // MIs[0] rs1
     /*  196450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196462 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196467 */     GIR_RootConstrainSelectedInstOperands,
     /*  196468 */     // GIR_Coverage, 802,
     /*  196468 */     GIR_Done,
     /*  196469 */   // Label 3885: @196469
     /*  196469 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(196510), // Rule ID 804 //
     /*  196474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196477 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196484 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196491 */     // MIs[0] rs1
     /*  196491 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196503 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196503 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  196508 */     GIR_RootConstrainSelectedInstOperands,
     /*  196509 */     // GIR_Coverage, 804,
     /*  196509 */     GIR_Done,
     /*  196510 */   // Label 3886: @196510
     /*  196510 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(196551), // Rule ID 806 //
     /*  196515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196518 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196525 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196532 */     // MIs[0] rs1
     /*  196532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196544 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  196549 */     GIR_RootConstrainSelectedInstOperands,
     /*  196550 */     // GIR_Coverage, 806,
     /*  196550 */     GIR_Done,
     /*  196551 */   // Label 3887: @196551
     /*  196551 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(196592), // Rule ID 808 //
     /*  196556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196559 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196566 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196573 */     // MIs[0] rs1
     /*  196573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196585 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196585 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  196590 */     GIR_RootConstrainSelectedInstOperands,
     /*  196591 */     // GIR_Coverage, 808,
     /*  196591 */     GIR_Done,
     /*  196592 */   // Label 3888: @196592
     /*  196592 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(196633), // Rule ID 810 //
     /*  196597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196600 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196607 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196614 */     // MIs[0] rs1
     /*  196614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196626 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196626 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  196631 */     GIR_RootConstrainSelectedInstOperands,
     /*  196632 */     // GIR_Coverage, 810,
     /*  196632 */     GIR_Done,
     /*  196633 */   // Label 3889: @196633
     /*  196633 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(196674), // Rule ID 812 //
     /*  196638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196641 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196648 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196655 */     // MIs[0] rs1
     /*  196655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196667 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196667 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196672 */     GIR_RootConstrainSelectedInstOperands,
     /*  196673 */     // GIR_Coverage, 812,
     /*  196673 */     GIR_Done,
     /*  196674 */   // Label 3890: @196674
     /*  196674 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(196715), // Rule ID 814 //
     /*  196679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196682 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196689 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196696 */     // MIs[0] rs1
     /*  196696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196708 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196708 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196713 */     GIR_RootConstrainSelectedInstOperands,
     /*  196714 */     // GIR_Coverage, 814,
     /*  196714 */     GIR_Done,
     /*  196715 */   // Label 3891: @196715
     /*  196715 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(196756), // Rule ID 816 //
     /*  196720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196730 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196737 */     // MIs[0] rs1
     /*  196737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196749 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196754 */     GIR_RootConstrainSelectedInstOperands,
     /*  196755 */     // GIR_Coverage, 816,
     /*  196755 */     GIR_Done,
     /*  196756 */   // Label 3892: @196756
     /*  196756 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(196797), // Rule ID 818 //
     /*  196761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196778 */     // MIs[0] rs1
     /*  196778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196790 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196795 */     GIR_RootConstrainSelectedInstOperands,
     /*  196796 */     // GIR_Coverage, 818,
     /*  196796 */     GIR_Done,
     /*  196797 */   // Label 3893: @196797
     /*  196797 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(196838), // Rule ID 820 //
     /*  196802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196819 */     // MIs[0] rs1
     /*  196819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196831 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196831 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196836 */     GIR_RootConstrainSelectedInstOperands,
     /*  196837 */     // GIR_Coverage, 820,
     /*  196837 */     GIR_Done,
     /*  196838 */   // Label 3894: @196838
     /*  196838 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(196879), // Rule ID 982 //
     /*  196843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196860 */     // MIs[0] rs1
     /*  196860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196872 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196877 */     GIR_RootConstrainSelectedInstOperands,
     /*  196878 */     // GIR_Coverage, 982,
     /*  196878 */     GIR_Done,
     /*  196879 */   // Label 3895: @196879
     /*  196879 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(196920), // Rule ID 984 //
     /*  196884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196901 */     // MIs[0] rs1
     /*  196901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196913 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  196918 */     GIR_RootConstrainSelectedInstOperands,
     /*  196919 */     // GIR_Coverage, 984,
     /*  196919 */     GIR_Done,
     /*  196920 */   // Label 3896: @196920
     /*  196920 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(196961), // Rule ID 986 //
     /*  196925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196935 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196942 */     // MIs[0] rs1
     /*  196942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196954 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  196959 */     GIR_RootConstrainSelectedInstOperands,
     /*  196960 */     // GIR_Coverage, 986,
     /*  196960 */     GIR_Done,
     /*  196961 */   // Label 3897: @196961
     /*  196961 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(197002), // Rule ID 988 //
     /*  196966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  196969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196983 */     // MIs[0] rs1
     /*  196983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196995 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  197000 */     GIR_RootConstrainSelectedInstOperands,
     /*  197001 */     // GIR_Coverage, 988,
     /*  197001 */     GIR_Done,
     /*  197002 */   // Label 3898: @197002
     /*  197002 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(197043), // Rule ID 990 //
     /*  197007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197010 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197017 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197024 */     // MIs[0] rs1
     /*  197024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197036 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  197041 */     GIR_RootConstrainSelectedInstOperands,
     /*  197042 */     // GIR_Coverage, 990,
     /*  197042 */     GIR_Done,
     /*  197043 */   // Label 3899: @197043
     /*  197043 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(197084), // Rule ID 992 //
     /*  197048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197065 */     // MIs[0] rs1
     /*  197065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197077 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197082 */     GIR_RootConstrainSelectedInstOperands,
     /*  197083 */     // GIR_Coverage, 992,
     /*  197083 */     GIR_Done,
     /*  197084 */   // Label 3900: @197084
     /*  197084 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(197125), // Rule ID 994 //
     /*  197089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197106 */     // MIs[0] rs1
     /*  197106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197118 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197123 */     GIR_RootConstrainSelectedInstOperands,
     /*  197124 */     // GIR_Coverage, 994,
     /*  197124 */     GIR_Done,
     /*  197125 */   // Label 3901: @197125
     /*  197125 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(197166), // Rule ID 996 //
     /*  197130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197133 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197147 */     // MIs[0] rs1
     /*  197147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197159 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197164 */     GIR_RootConstrainSelectedInstOperands,
     /*  197165 */     // GIR_Coverage, 996,
     /*  197165 */     GIR_Done,
     /*  197166 */   // Label 3902: @197166
     /*  197166 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(197207), // Rule ID 998 //
     /*  197171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197188 */     // MIs[0] rs1
     /*  197188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197200 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197200 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197205 */     GIR_RootConstrainSelectedInstOperands,
     /*  197206 */     // GIR_Coverage, 998,
     /*  197206 */     GIR_Done,
     /*  197207 */   // Label 3903: @197207
     /*  197207 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(197248), // Rule ID 1000 //
     /*  197212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197229 */     // MIs[0] rs1
     /*  197229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197241 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197246 */     GIR_RootConstrainSelectedInstOperands,
     /*  197247 */     // GIR_Coverage, 1000,
     /*  197247 */     GIR_Done,
     /*  197248 */   // Label 3904: @197248
     /*  197248 */   GIM_Reject,
     /*  197249 */ // Label 3874: @197249
     /*  197249 */ GIM_Reject,
     /*  197250 */ // Label 3872: @197250
     /*  197250 */ GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(198899),
     /*  197255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  197258 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(197299), // Rule ID 453 //
     /*  197263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  197266 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197273 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197280 */     // MIs[0] rs1
     /*  197280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197292 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197292 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  197297 */     GIR_RootConstrainSelectedInstOperands,
     /*  197298 */     // GIR_Coverage, 453,
     /*  197298 */     GIR_Done,
     /*  197299 */   // Label 3906: @197299
     /*  197299 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(197340), // Rule ID 455 //
     /*  197304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  197307 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197314 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197321 */     // MIs[0] rs1
     /*  197321 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197333 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197333 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  197338 */     GIR_RootConstrainSelectedInstOperands,
     /*  197339 */     // GIR_Coverage, 455,
     /*  197339 */     GIR_Done,
     /*  197340 */   // Label 3907: @197340
     /*  197340 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(197381), // Rule ID 457 //
     /*  197345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  197348 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197355 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197362 */     // MIs[0] rs1
     /*  197362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197374 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197374 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  197379 */     GIR_RootConstrainSelectedInstOperands,
     /*  197380 */     // GIR_Coverage, 457,
     /*  197380 */     GIR_Done,
     /*  197381 */   // Label 3908: @197381
     /*  197381 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(197422), // Rule ID 459 //
     /*  197386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  197389 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197396 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197403 */     // MIs[0] rs1
     /*  197403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197415 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197415 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  197420 */     GIR_RootConstrainSelectedInstOperands,
     /*  197421 */     // GIR_Coverage, 459,
     /*  197421 */     GIR_Done,
     /*  197422 */   // Label 3909: @197422
     /*  197422 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(197463), // Rule ID 461 //
     /*  197427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  197430 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197437 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197444 */     // MIs[0] rs1
     /*  197444 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197456 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197456 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  197461 */     GIR_RootConstrainSelectedInstOperands,
     /*  197462 */     // GIR_Coverage, 461,
     /*  197462 */     GIR_Done,
     /*  197463 */   // Label 3910: @197463
     /*  197463 */   GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(197504), // Rule ID 463 //
     /*  197468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  197471 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197478 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197485 */     // MIs[0] rs1
     /*  197485 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197497 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197497 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  197502 */     GIR_RootConstrainSelectedInstOperands,
     /*  197503 */     // GIR_Coverage, 463,
     /*  197503 */     GIR_Done,
     /*  197504 */   // Label 3911: @197504
     /*  197504 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(197545), // Rule ID 465 //
     /*  197509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  197512 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197519 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197526 */     // MIs[0] rs1
     /*  197526 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197538 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  197543 */     GIR_RootConstrainSelectedInstOperands,
     /*  197544 */     // GIR_Coverage, 465,
     /*  197544 */     GIR_Done,
     /*  197545 */   // Label 3912: @197545
     /*  197545 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(197586), // Rule ID 467 //
     /*  197550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  197553 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197560 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197567 */     // MIs[0] rs1
     /*  197567 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197579 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197579 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  197584 */     GIR_RootConstrainSelectedInstOperands,
     /*  197585 */     // GIR_Coverage, 467,
     /*  197585 */     GIR_Done,
     /*  197586 */   // Label 3913: @197586
     /*  197586 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(197627), // Rule ID 469 //
     /*  197591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  197594 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197601 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197608 */     // MIs[0] rs1
     /*  197608 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197620 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197620 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  197625 */     GIR_RootConstrainSelectedInstOperands,
     /*  197626 */     // GIR_Coverage, 469,
     /*  197626 */     GIR_Done,
     /*  197627 */   // Label 3914: @197627
     /*  197627 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(197668), // Rule ID 471 //
     /*  197632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  197635 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197642 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197649 */     // MIs[0] rs1
     /*  197649 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197661 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197661 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  197666 */     GIR_RootConstrainSelectedInstOperands,
     /*  197667 */     // GIR_Coverage, 471,
     /*  197667 */     GIR_Done,
     /*  197668 */   // Label 3915: @197668
     /*  197668 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(197709), // Rule ID 583 //
     /*  197673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197676 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197683 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197690 */     // MIs[0] rs1
     /*  197690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197702 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197707 */     GIR_RootConstrainSelectedInstOperands,
     /*  197708 */     // GIR_Coverage, 583,
     /*  197708 */     GIR_Done,
     /*  197709 */   // Label 3916: @197709
     /*  197709 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(197750), // Rule ID 584 //
     /*  197714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197717 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197724 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197731 */     // MIs[0] rs1
     /*  197731 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197743 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197743 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ),
     /*  197748 */     GIR_RootConstrainSelectedInstOperands,
     /*  197749 */     // GIR_Coverage, 584,
     /*  197749 */     GIR_Done,
     /*  197750 */   // Label 3917: @197750
     /*  197750 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(197791), // Rule ID 585 //
     /*  197755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197758 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197765 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197772 */     // MIs[0] rs1
     /*  197772 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197784 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197784 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_RL),
     /*  197789 */     GIR_RootConstrainSelectedInstOperands,
     /*  197790 */     // GIR_Coverage, 585,
     /*  197790 */     GIR_Done,
     /*  197791 */   // Label 3918: @197791
     /*  197791 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(197832), // Rule ID 586 //
     /*  197796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197799 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197806 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197813 */     // MIs[0] rs1
     /*  197813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197825 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197825 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  197830 */     GIR_RootConstrainSelectedInstOperands,
     /*  197831 */     // GIR_Coverage, 586,
     /*  197831 */     GIR_Done,
     /*  197832 */   // Label 3919: @197832
     /*  197832 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(197873), // Rule ID 587 //
     /*  197837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  197840 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197847 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197854 */     // MIs[0] rs1
     /*  197854 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197866 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197866 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  197871 */     GIR_RootConstrainSelectedInstOperands,
     /*  197872 */     // GIR_Coverage, 587,
     /*  197872 */     GIR_Done,
     /*  197873 */   // Label 3920: @197873
     /*  197873 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(197914), // Rule ID 588 //
     /*  197878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  197881 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197888 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197895 */     // MIs[0] rs1
     /*  197895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197907 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197907 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197912 */     GIR_RootConstrainSelectedInstOperands,
     /*  197913 */     // GIR_Coverage, 588,
     /*  197913 */     GIR_Done,
     /*  197914 */   // Label 3921: @197914
     /*  197914 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(197955), // Rule ID 589 //
     /*  197919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  197922 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197929 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197936 */     // MIs[0] rs1
     /*  197936 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197948 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197948 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197953 */     GIR_RootConstrainSelectedInstOperands,
     /*  197954 */     // GIR_Coverage, 589,
     /*  197954 */     GIR_Done,
     /*  197955 */   // Label 3922: @197955
     /*  197955 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(197996), // Rule ID 590 //
     /*  197960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  197963 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  197970 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197977 */     // MIs[0] rs1
     /*  197977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197989 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197989 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  197994 */     GIR_RootConstrainSelectedInstOperands,
     /*  197995 */     // GIR_Coverage, 590,
     /*  197995 */     GIR_Done,
     /*  197996 */   // Label 3923: @197996
     /*  197996 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(198037), // Rule ID 591 //
     /*  198001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198004 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198011 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198018 */     // MIs[0] rs1
     /*  198018 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198030 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198030 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  198035 */     GIR_RootConstrainSelectedInstOperands,
     /*  198036 */     // GIR_Coverage, 591,
     /*  198036 */     GIR_Done,
     /*  198037 */   // Label 3924: @198037
     /*  198037 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(198078), // Rule ID 592 //
     /*  198042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198045 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198052 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198059 */     // MIs[0] rs1
     /*  198059 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198071 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198071 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  198076 */     GIR_RootConstrainSelectedInstOperands,
     /*  198077 */     // GIR_Coverage, 592,
     /*  198077 */     GIR_Done,
     /*  198078 */   // Label 3925: @198078
     /*  198078 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(198119), // Rule ID 801 //
     /*  198083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198086 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198093 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198100 */     // MIs[0] rs1
     /*  198100 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198112 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198112 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  198117 */     GIR_RootConstrainSelectedInstOperands,
     /*  198118 */     // GIR_Coverage, 801,
     /*  198118 */     GIR_Done,
     /*  198119 */   // Label 3926: @198119
     /*  198119 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(198160), // Rule ID 803 //
     /*  198124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198127 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198134 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198141 */     // MIs[0] rs1
     /*  198141 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198153 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198153 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  198158 */     GIR_RootConstrainSelectedInstOperands,
     /*  198159 */     // GIR_Coverage, 803,
     /*  198159 */     GIR_Done,
     /*  198160 */   // Label 3927: @198160
     /*  198160 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(198201), // Rule ID 805 //
     /*  198165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198168 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198175 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198182 */     // MIs[0] rs1
     /*  198182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198194 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198194 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  198199 */     GIR_RootConstrainSelectedInstOperands,
     /*  198200 */     // GIR_Coverage, 805,
     /*  198200 */     GIR_Done,
     /*  198201 */   // Label 3928: @198201
     /*  198201 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(198242), // Rule ID 807 //
     /*  198206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198209 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198216 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198223 */     // MIs[0] rs1
     /*  198223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198235 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198235 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  198240 */     GIR_RootConstrainSelectedInstOperands,
     /*  198241 */     // GIR_Coverage, 807,
     /*  198241 */     GIR_Done,
     /*  198242 */   // Label 3929: @198242
     /*  198242 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(198283), // Rule ID 809 //
     /*  198247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198250 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198257 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198264 */     // MIs[0] rs1
     /*  198264 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198276 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  198281 */     GIR_RootConstrainSelectedInstOperands,
     /*  198282 */     // GIR_Coverage, 809,
     /*  198282 */     GIR_Done,
     /*  198283 */   // Label 3930: @198283
     /*  198283 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(198324), // Rule ID 811 //
     /*  198288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198291 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198298 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198305 */     // MIs[0] rs1
     /*  198305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198317 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198317 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  198322 */     GIR_RootConstrainSelectedInstOperands,
     /*  198323 */     // GIR_Coverage, 811,
     /*  198323 */     GIR_Done,
     /*  198324 */   // Label 3931: @198324
     /*  198324 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(198365), // Rule ID 813 //
     /*  198329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198332 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198339 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198346 */     // MIs[0] rs1
     /*  198346 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198358 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198358 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  198363 */     GIR_RootConstrainSelectedInstOperands,
     /*  198364 */     // GIR_Coverage, 813,
     /*  198364 */     GIR_Done,
     /*  198365 */   // Label 3932: @198365
     /*  198365 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(198406), // Rule ID 815 //
     /*  198370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198373 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198380 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198387 */     // MIs[0] rs1
     /*  198387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198399 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198399 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  198404 */     GIR_RootConstrainSelectedInstOperands,
     /*  198405 */     // GIR_Coverage, 815,
     /*  198405 */     GIR_Done,
     /*  198406 */   // Label 3933: @198406
     /*  198406 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(198447), // Rule ID 817 //
     /*  198411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198414 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198421 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198428 */     // MIs[0] rs1
     /*  198428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198440 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198440 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  198445 */     GIR_RootConstrainSelectedInstOperands,
     /*  198446 */     // GIR_Coverage, 817,
     /*  198446 */     GIR_Done,
     /*  198447 */   // Label 3934: @198447
     /*  198447 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(198488), // Rule ID 819 //
     /*  198452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198455 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198462 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198469 */     // MIs[0] rs1
     /*  198469 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198481 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198481 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  198486 */     GIR_RootConstrainSelectedInstOperands,
     /*  198487 */     // GIR_Coverage, 819,
     /*  198487 */     GIR_Done,
     /*  198488 */   // Label 3935: @198488
     /*  198488 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(198529), // Rule ID 981 //
     /*  198493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198496 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198503 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198510 */     // MIs[0] rs1
     /*  198510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198522 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198522 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198527 */     GIR_RootConstrainSelectedInstOperands,
     /*  198528 */     // GIR_Coverage, 981,
     /*  198528 */     GIR_Done,
     /*  198529 */   // Label 3936: @198529
     /*  198529 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(198570), // Rule ID 983 //
     /*  198534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198537 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198544 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198551 */     // MIs[0] rs1
     /*  198551 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198563 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198563 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  198568 */     GIR_RootConstrainSelectedInstOperands,
     /*  198569 */     // GIR_Coverage, 983,
     /*  198569 */     GIR_Done,
     /*  198570 */   // Label 3937: @198570
     /*  198570 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(198611), // Rule ID 985 //
     /*  198575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198578 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198585 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198592 */     // MIs[0] rs1
     /*  198592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198604 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198604 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  198609 */     GIR_RootConstrainSelectedInstOperands,
     /*  198610 */     // GIR_Coverage, 985,
     /*  198610 */     GIR_Done,
     /*  198611 */   // Label 3938: @198611
     /*  198611 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(198652), // Rule ID 987 //
     /*  198616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198619 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198626 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198633 */     // MIs[0] rs1
     /*  198633 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198645 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198645 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  198650 */     GIR_RootConstrainSelectedInstOperands,
     /*  198651 */     // GIR_Coverage, 987,
     /*  198651 */     GIR_Done,
     /*  198652 */   // Label 3939: @198652
     /*  198652 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(198693), // Rule ID 989 //
     /*  198657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198660 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198667 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198674 */     // MIs[0] rs1
     /*  198674 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198686 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198686 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  198691 */     GIR_RootConstrainSelectedInstOperands,
     /*  198692 */     // GIR_Coverage, 989,
     /*  198692 */     GIR_Done,
     /*  198693 */   // Label 3940: @198693
     /*  198693 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(198734), // Rule ID 991 //
     /*  198698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198701 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198708 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198715 */     // MIs[0] rs1
     /*  198715 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198727 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198727 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198732 */     GIR_RootConstrainSelectedInstOperands,
     /*  198733 */     // GIR_Coverage, 991,
     /*  198733 */     GIR_Done,
     /*  198734 */   // Label 3941: @198734
     /*  198734 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(198775), // Rule ID 993 //
     /*  198739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198742 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198749 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198756 */     // MIs[0] rs1
     /*  198756 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198768 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198768 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198773 */     GIR_RootConstrainSelectedInstOperands,
     /*  198774 */     // GIR_Coverage, 993,
     /*  198774 */     GIR_Done,
     /*  198775 */   // Label 3942: @198775
     /*  198775 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(198816), // Rule ID 995 //
     /*  198780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198783 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198790 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198797 */     // MIs[0] rs1
     /*  198797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198809 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198809 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198814 */     GIR_RootConstrainSelectedInstOperands,
     /*  198815 */     // GIR_Coverage, 995,
     /*  198815 */     GIR_Done,
     /*  198816 */   // Label 3943: @198816
     /*  198816 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(198857), // Rule ID 997 //
     /*  198821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198824 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198831 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198838 */     // MIs[0] rs1
     /*  198838 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198850 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198850 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198855 */     GIR_RootConstrainSelectedInstOperands,
     /*  198856 */     // GIR_Coverage, 997,
     /*  198856 */     GIR_Done,
     /*  198857 */   // Label 3944: @198857
     /*  198857 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(198898), // Rule ID 999 //
     /*  198862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198865 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198872 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198879 */     // MIs[0] rs1
     /*  198879 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198891 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198891 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  198896 */     GIR_RootConstrainSelectedInstOperands,
     /*  198897 */     // GIR_Coverage, 999,
     /*  198897 */     GIR_Done,
     /*  198898 */   // Label 3945: @198898
     /*  198898 */   GIM_Reject,
     /*  198899 */ // Label 3905: @198899
     /*  198899 */ GIM_Reject,
     /*  198900 */ // Label 3873: @198900
     /*  198900 */ GIM_Reject,
     /*  198901 */ // Label 33: @198901
     /*  198901 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3948*/ GIMT_Encode4(201810),
     /*  198912 */ /*GILLT_s32*//*Label 3946*/ GIMT_Encode4(198920),
     /*  198916 */ /*GILLT_s64*//*Label 3947*/ GIMT_Encode4(200160),
     /*  198920 */ // Label 3946: @198920
     /*  198920 */ GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(200159),
     /*  198925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  198928 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(198969), // Rule ID 474 //
     /*  198933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198950 */     // MIs[0] rs1
     /*  198950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198962 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198967 */     GIR_RootConstrainSelectedInstOperands,
     /*  198968 */     // GIR_Coverage, 474,
     /*  198968 */     GIR_Done,
     /*  198969 */   // Label 3950: @198969
     /*  198969 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(199010), // Rule ID 476 //
     /*  198974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  198977 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198984 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198991 */     // MIs[0] rs1
     /*  198991 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199003 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199003 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  199008 */     GIR_RootConstrainSelectedInstOperands,
     /*  199009 */     // GIR_Coverage, 476,
     /*  199009 */     GIR_Done,
     /*  199010 */   // Label 3951: @199010
     /*  199010 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(199051), // Rule ID 478 //
     /*  199015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199032 */     // MIs[0] rs1
     /*  199032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199044 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  199049 */     GIR_RootConstrainSelectedInstOperands,
     /*  199050 */     // GIR_Coverage, 478,
     /*  199050 */     GIR_Done,
     /*  199051 */   // Label 3952: @199051
     /*  199051 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(199092), // Rule ID 480 //
     /*  199056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199059 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199066 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199073 */     // MIs[0] rs1
     /*  199073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199085 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  199090 */     GIR_RootConstrainSelectedInstOperands,
     /*  199091 */     // GIR_Coverage, 480,
     /*  199091 */     GIR_Done,
     /*  199092 */   // Label 3953: @199092
     /*  199092 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(199133), // Rule ID 482 //
     /*  199097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199100 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199107 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199114 */     // MIs[0] rs1
     /*  199114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199126 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  199131 */     GIR_RootConstrainSelectedInstOperands,
     /*  199132 */     // GIR_Coverage, 482,
     /*  199132 */     GIR_Done,
     /*  199133 */   // Label 3954: @199133
     /*  199133 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(199174), // Rule ID 484 //
     /*  199138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199141 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199148 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199155 */     // MIs[0] rs1
     /*  199155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199167 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199172 */     GIR_RootConstrainSelectedInstOperands,
     /*  199173 */     // GIR_Coverage, 484,
     /*  199173 */     GIR_Done,
     /*  199174 */   // Label 3955: @199174
     /*  199174 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(199215), // Rule ID 486 //
     /*  199179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199182 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199189 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199196 */     // MIs[0] rs1
     /*  199196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199208 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199208 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199213 */     GIR_RootConstrainSelectedInstOperands,
     /*  199214 */     // GIR_Coverage, 486,
     /*  199214 */     GIR_Done,
     /*  199215 */   // Label 3956: @199215
     /*  199215 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(199256), // Rule ID 488 //
     /*  199220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199223 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199230 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199237 */     // MIs[0] rs1
     /*  199237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199249 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199254 */     GIR_RootConstrainSelectedInstOperands,
     /*  199255 */     // GIR_Coverage, 488,
     /*  199255 */     GIR_Done,
     /*  199256 */   // Label 3957: @199256
     /*  199256 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(199297), // Rule ID 490 //
     /*  199261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199278 */     // MIs[0] rs1
     /*  199278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199290 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199295 */     GIR_RootConstrainSelectedInstOperands,
     /*  199296 */     // GIR_Coverage, 490,
     /*  199296 */     GIR_Done,
     /*  199297 */   // Label 3958: @199297
     /*  199297 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(199338), // Rule ID 492 //
     /*  199302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199305 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199312 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199319 */     // MIs[0] rs1
     /*  199319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199331 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199336 */     GIR_RootConstrainSelectedInstOperands,
     /*  199337 */     // GIR_Coverage, 492,
     /*  199337 */     GIR_Done,
     /*  199338 */   // Label 3959: @199338
     /*  199338 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(199379), // Rule ID 822 //
     /*  199343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199346 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199353 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199360 */     // MIs[0] rs1
     /*  199360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199372 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199377 */     GIR_RootConstrainSelectedInstOperands,
     /*  199378 */     // GIR_Coverage, 822,
     /*  199378 */     GIR_Done,
     /*  199379 */   // Label 3960: @199379
     /*  199379 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(199420), // Rule ID 824 //
     /*  199384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199387 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199394 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199401 */     // MIs[0] rs1
     /*  199401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199413 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  199418 */     GIR_RootConstrainSelectedInstOperands,
     /*  199419 */     // GIR_Coverage, 824,
     /*  199419 */     GIR_Done,
     /*  199420 */   // Label 3961: @199420
     /*  199420 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(199461), // Rule ID 826 //
     /*  199425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199428 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199442 */     // MIs[0] rs1
     /*  199442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199454 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  199459 */     GIR_RootConstrainSelectedInstOperands,
     /*  199460 */     // GIR_Coverage, 826,
     /*  199460 */     GIR_Done,
     /*  199461 */   // Label 3962: @199461
     /*  199461 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(199502), // Rule ID 828 //
     /*  199466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199469 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199476 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199483 */     // MIs[0] rs1
     /*  199483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199495 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199495 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  199500 */     GIR_RootConstrainSelectedInstOperands,
     /*  199501 */     // GIR_Coverage, 828,
     /*  199501 */     GIR_Done,
     /*  199502 */   // Label 3963: @199502
     /*  199502 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(199543), // Rule ID 830 //
     /*  199507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199524 */     // MIs[0] rs1
     /*  199524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199536 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  199541 */     GIR_RootConstrainSelectedInstOperands,
     /*  199542 */     // GIR_Coverage, 830,
     /*  199542 */     GIR_Done,
     /*  199543 */   // Label 3964: @199543
     /*  199543 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(199584), // Rule ID 832 //
     /*  199548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199565 */     // MIs[0] rs1
     /*  199565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199577 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199582 */     GIR_RootConstrainSelectedInstOperands,
     /*  199583 */     // GIR_Coverage, 832,
     /*  199583 */     GIR_Done,
     /*  199584 */   // Label 3965: @199584
     /*  199584 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(199625), // Rule ID 834 //
     /*  199589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199592 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199599 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199606 */     // MIs[0] rs1
     /*  199606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199618 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199623 */     GIR_RootConstrainSelectedInstOperands,
     /*  199624 */     // GIR_Coverage, 834,
     /*  199624 */     GIR_Done,
     /*  199625 */   // Label 3966: @199625
     /*  199625 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(199666), // Rule ID 836 //
     /*  199630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199647 */     // MIs[0] rs1
     /*  199647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199659 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199664 */     GIR_RootConstrainSelectedInstOperands,
     /*  199665 */     // GIR_Coverage, 836,
     /*  199665 */     GIR_Done,
     /*  199666 */   // Label 3967: @199666
     /*  199666 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(199707), // Rule ID 838 //
     /*  199671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199688 */     // MIs[0] rs1
     /*  199688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199700 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199705 */     GIR_RootConstrainSelectedInstOperands,
     /*  199706 */     // GIR_Coverage, 838,
     /*  199706 */     GIR_Done,
     /*  199707 */   // Label 3968: @199707
     /*  199707 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(199748), // Rule ID 840 //
     /*  199712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199729 */     // MIs[0] rs1
     /*  199729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199741 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199746 */     GIR_RootConstrainSelectedInstOperands,
     /*  199747 */     // GIR_Coverage, 840,
     /*  199747 */     GIR_Done,
     /*  199748 */   // Label 3969: @199748
     /*  199748 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(199789), // Rule ID 1002 //
     /*  199753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199770 */     // MIs[0] rs1
     /*  199770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199782 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199787 */     GIR_RootConstrainSelectedInstOperands,
     /*  199788 */     // GIR_Coverage, 1002,
     /*  199788 */     GIR_Done,
     /*  199789 */   // Label 3970: @199789
     /*  199789 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(199830), // Rule ID 1004 //
     /*  199794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199811 */     // MIs[0] rs1
     /*  199811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199823 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  199828 */     GIR_RootConstrainSelectedInstOperands,
     /*  199829 */     // GIR_Coverage, 1004,
     /*  199829 */     GIR_Done,
     /*  199830 */   // Label 3971: @199830
     /*  199830 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(199871), // Rule ID 1006 //
     /*  199835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199852 */     // MIs[0] rs1
     /*  199852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199864 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  199869 */     GIR_RootConstrainSelectedInstOperands,
     /*  199870 */     // GIR_Coverage, 1006,
     /*  199870 */     GIR_Done,
     /*  199871 */   // Label 3972: @199871
     /*  199871 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(199912), // Rule ID 1008 //
     /*  199876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199893 */     // MIs[0] rs1
     /*  199893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199905 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  199910 */     GIR_RootConstrainSelectedInstOperands,
     /*  199911 */     // GIR_Coverage, 1008,
     /*  199911 */     GIR_Done,
     /*  199912 */   // Label 3973: @199912
     /*  199912 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(199953), // Rule ID 1010 //
     /*  199917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199934 */     // MIs[0] rs1
     /*  199934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199946 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  199951 */     GIR_RootConstrainSelectedInstOperands,
     /*  199952 */     // GIR_Coverage, 1010,
     /*  199952 */     GIR_Done,
     /*  199953 */   // Label 3974: @199953
     /*  199953 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(199994), // Rule ID 1012 //
     /*  199958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199975 */     // MIs[0] rs1
     /*  199975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199987 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199992 */     GIR_RootConstrainSelectedInstOperands,
     /*  199993 */     // GIR_Coverage, 1012,
     /*  199993 */     GIR_Done,
     /*  199994 */   // Label 3975: @199994
     /*  199994 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(200035), // Rule ID 1014 //
     /*  199999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200016 */     // MIs[0] rs1
     /*  200016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200028 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200033 */     GIR_RootConstrainSelectedInstOperands,
     /*  200034 */     // GIR_Coverage, 1014,
     /*  200034 */     GIR_Done,
     /*  200035 */   // Label 3976: @200035
     /*  200035 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(200076), // Rule ID 1016 //
     /*  200040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200057 */     // MIs[0] rs1
     /*  200057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200069 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200074 */     GIR_RootConstrainSelectedInstOperands,
     /*  200075 */     // GIR_Coverage, 1016,
     /*  200075 */     GIR_Done,
     /*  200076 */   // Label 3977: @200076
     /*  200076 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(200117), // Rule ID 1018 //
     /*  200081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200098 */     // MIs[0] rs1
     /*  200098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200110 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200115 */     GIR_RootConstrainSelectedInstOperands,
     /*  200116 */     // GIR_Coverage, 1018,
     /*  200116 */     GIR_Done,
     /*  200117 */   // Label 3978: @200117
     /*  200117 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(200158), // Rule ID 1020 //
     /*  200122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200139 */     // MIs[0] rs1
     /*  200139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200151 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200156 */     GIR_RootConstrainSelectedInstOperands,
     /*  200157 */     // GIR_Coverage, 1020,
     /*  200157 */     GIR_Done,
     /*  200158 */   // Label 3979: @200158
     /*  200158 */   GIM_Reject,
     /*  200159 */ // Label 3949: @200159
     /*  200159 */ GIM_Reject,
     /*  200160 */ // Label 3947: @200160
     /*  200160 */ GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(201809),
     /*  200165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  200168 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(200209), // Rule ID 473 //
     /*  200173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200176 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200183 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200190 */     // MIs[0] rs1
     /*  200190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200202 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200202 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  200207 */     GIR_RootConstrainSelectedInstOperands,
     /*  200208 */     // GIR_Coverage, 473,
     /*  200208 */     GIR_Done,
     /*  200209 */   // Label 3981: @200209
     /*  200209 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(200250), // Rule ID 475 //
     /*  200214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200217 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200224 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200231 */     // MIs[0] rs1
     /*  200231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200243 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200243 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  200248 */     GIR_RootConstrainSelectedInstOperands,
     /*  200249 */     // GIR_Coverage, 475,
     /*  200249 */     GIR_Done,
     /*  200250 */   // Label 3982: @200250
     /*  200250 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(200291), // Rule ID 477 //
     /*  200255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200258 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200265 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200272 */     // MIs[0] rs1
     /*  200272 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200284 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200284 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  200289 */     GIR_RootConstrainSelectedInstOperands,
     /*  200290 */     // GIR_Coverage, 477,
     /*  200290 */     GIR_Done,
     /*  200291 */   // Label 3983: @200291
     /*  200291 */   GIM_Try, /*On fail goto*//*Label 3984*/ GIMT_Encode4(200332), // Rule ID 479 //
     /*  200296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200299 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200306 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200313 */     // MIs[0] rs1
     /*  200313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200325 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200325 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  200330 */     GIR_RootConstrainSelectedInstOperands,
     /*  200331 */     // GIR_Coverage, 479,
     /*  200331 */     GIR_Done,
     /*  200332 */   // Label 3984: @200332
     /*  200332 */   GIM_Try, /*On fail goto*//*Label 3985*/ GIMT_Encode4(200373), // Rule ID 481 //
     /*  200337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200340 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200347 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200354 */     // MIs[0] rs1
     /*  200354 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200366 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200366 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  200371 */     GIR_RootConstrainSelectedInstOperands,
     /*  200372 */     // GIR_Coverage, 481,
     /*  200372 */     GIR_Done,
     /*  200373 */   // Label 3985: @200373
     /*  200373 */   GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(200414), // Rule ID 483 //
     /*  200378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  200381 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200388 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200395 */     // MIs[0] rs1
     /*  200395 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200407 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200407 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  200412 */     GIR_RootConstrainSelectedInstOperands,
     /*  200413 */     // GIR_Coverage, 483,
     /*  200413 */     GIR_Done,
     /*  200414 */   // Label 3986: @200414
     /*  200414 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(200455), // Rule ID 485 //
     /*  200419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  200422 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200429 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200436 */     // MIs[0] rs1
     /*  200436 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200448 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200448 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  200453 */     GIR_RootConstrainSelectedInstOperands,
     /*  200454 */     // GIR_Coverage, 485,
     /*  200454 */     GIR_Done,
     /*  200455 */   // Label 3987: @200455
     /*  200455 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(200496), // Rule ID 487 //
     /*  200460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  200463 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200470 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200477 */     // MIs[0] rs1
     /*  200477 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200489 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200489 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  200494 */     GIR_RootConstrainSelectedInstOperands,
     /*  200495 */     // GIR_Coverage, 487,
     /*  200495 */     GIR_Done,
     /*  200496 */   // Label 3988: @200496
     /*  200496 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(200537), // Rule ID 489 //
     /*  200501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  200504 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200511 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200518 */     // MIs[0] rs1
     /*  200518 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200530 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200530 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  200535 */     GIR_RootConstrainSelectedInstOperands,
     /*  200536 */     // GIR_Coverage, 489,
     /*  200536 */     GIR_Done,
     /*  200537 */   // Label 3989: @200537
     /*  200537 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(200578), // Rule ID 491 //
     /*  200542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  200545 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200552 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200559 */     // MIs[0] rs1
     /*  200559 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200571 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200571 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  200576 */     GIR_RootConstrainSelectedInstOperands,
     /*  200577 */     // GIR_Coverage, 491,
     /*  200577 */     GIR_Done,
     /*  200578 */   // Label 3990: @200578
     /*  200578 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(200619), // Rule ID 593 //
     /*  200583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  200586 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200593 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200600 */     // MIs[0] rs1
     /*  200600 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200612 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200612 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200617 */     GIR_RootConstrainSelectedInstOperands,
     /*  200618 */     // GIR_Coverage, 593,
     /*  200618 */     GIR_Done,
     /*  200619 */   // Label 3991: @200619
     /*  200619 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(200660), // Rule ID 594 //
     /*  200624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  200627 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200634 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200641 */     // MIs[0] rs1
     /*  200641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200653 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200653 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ),
     /*  200658 */     GIR_RootConstrainSelectedInstOperands,
     /*  200659 */     // GIR_Coverage, 594,
     /*  200659 */     GIR_Done,
     /*  200660 */   // Label 3992: @200660
     /*  200660 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(200701), // Rule ID 595 //
     /*  200665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  200668 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200675 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200682 */     // MIs[0] rs1
     /*  200682 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200694 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200694 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_RL),
     /*  200699 */     GIR_RootConstrainSelectedInstOperands,
     /*  200700 */     // GIR_Coverage, 595,
     /*  200700 */     GIR_Done,
     /*  200701 */   // Label 3993: @200701
     /*  200701 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(200742), // Rule ID 596 //
     /*  200706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  200709 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200716 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200723 */     // MIs[0] rs1
     /*  200723 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200735 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200735 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  200740 */     GIR_RootConstrainSelectedInstOperands,
     /*  200741 */     // GIR_Coverage, 596,
     /*  200741 */     GIR_Done,
     /*  200742 */   // Label 3994: @200742
     /*  200742 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(200783), // Rule ID 597 //
     /*  200747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  200750 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200757 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200764 */     // MIs[0] rs1
     /*  200764 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200776 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200776 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  200781 */     GIR_RootConstrainSelectedInstOperands,
     /*  200782 */     // GIR_Coverage, 597,
     /*  200782 */     GIR_Done,
     /*  200783 */   // Label 3995: @200783
     /*  200783 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(200824), // Rule ID 598 //
     /*  200788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200791 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200798 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200805 */     // MIs[0] rs1
     /*  200805 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200817 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200817 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200822 */     GIR_RootConstrainSelectedInstOperands,
     /*  200823 */     // GIR_Coverage, 598,
     /*  200823 */     GIR_Done,
     /*  200824 */   // Label 3996: @200824
     /*  200824 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(200865), // Rule ID 599 //
     /*  200829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200832 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200839 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200846 */     // MIs[0] rs1
     /*  200846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200858 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200858 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200863 */     GIR_RootConstrainSelectedInstOperands,
     /*  200864 */     // GIR_Coverage, 599,
     /*  200864 */     GIR_Done,
     /*  200865 */   // Label 3997: @200865
     /*  200865 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(200906), // Rule ID 600 //
     /*  200870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200873 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200880 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200887 */     // MIs[0] rs1
     /*  200887 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200899 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200899 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200904 */     GIR_RootConstrainSelectedInstOperands,
     /*  200905 */     // GIR_Coverage, 600,
     /*  200905 */     GIR_Done,
     /*  200906 */   // Label 3998: @200906
     /*  200906 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(200947), // Rule ID 601 //
     /*  200911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200914 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200921 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200928 */     // MIs[0] rs1
     /*  200928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200940 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200940 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200945 */     GIR_RootConstrainSelectedInstOperands,
     /*  200946 */     // GIR_Coverage, 601,
     /*  200946 */     GIR_Done,
     /*  200947 */   // Label 3999: @200947
     /*  200947 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(200988), // Rule ID 602 //
     /*  200952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  200955 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  200962 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200969 */     // MIs[0] rs1
     /*  200969 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200981 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200981 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  200986 */     GIR_RootConstrainSelectedInstOperands,
     /*  200987 */     // GIR_Coverage, 602,
     /*  200987 */     GIR_Done,
     /*  200988 */   // Label 4000: @200988
     /*  200988 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(201029), // Rule ID 821 //
     /*  200993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200996 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201003 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201010 */     // MIs[0] rs1
     /*  201010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201022 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201022 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  201027 */     GIR_RootConstrainSelectedInstOperands,
     /*  201028 */     // GIR_Coverage, 821,
     /*  201028 */     GIR_Done,
     /*  201029 */   // Label 4001: @201029
     /*  201029 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(201070), // Rule ID 823 //
     /*  201034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201037 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201044 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201051 */     // MIs[0] rs1
     /*  201051 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201063 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201063 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  201068 */     GIR_RootConstrainSelectedInstOperands,
     /*  201069 */     // GIR_Coverage, 823,
     /*  201069 */     GIR_Done,
     /*  201070 */   // Label 4002: @201070
     /*  201070 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(201111), // Rule ID 825 //
     /*  201075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201078 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201085 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201092 */     // MIs[0] rs1
     /*  201092 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201104 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201104 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  201109 */     GIR_RootConstrainSelectedInstOperands,
     /*  201110 */     // GIR_Coverage, 825,
     /*  201110 */     GIR_Done,
     /*  201111 */   // Label 4003: @201111
     /*  201111 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(201152), // Rule ID 827 //
     /*  201116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201119 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201126 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201133 */     // MIs[0] rs1
     /*  201133 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201145 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201145 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  201150 */     GIR_RootConstrainSelectedInstOperands,
     /*  201151 */     // GIR_Coverage, 827,
     /*  201151 */     GIR_Done,
     /*  201152 */   // Label 4004: @201152
     /*  201152 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(201193), // Rule ID 829 //
     /*  201157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201160 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201167 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201174 */     // MIs[0] rs1
     /*  201174 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201186 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201186 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  201191 */     GIR_RootConstrainSelectedInstOperands,
     /*  201192 */     // GIR_Coverage, 829,
     /*  201192 */     GIR_Done,
     /*  201193 */   // Label 4005: @201193
     /*  201193 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(201234), // Rule ID 831 //
     /*  201198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201201 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201208 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201215 */     // MIs[0] rs1
     /*  201215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201227 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201227 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  201232 */     GIR_RootConstrainSelectedInstOperands,
     /*  201233 */     // GIR_Coverage, 831,
     /*  201233 */     GIR_Done,
     /*  201234 */   // Label 4006: @201234
     /*  201234 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(201275), // Rule ID 833 //
     /*  201239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201242 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201249 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201256 */     // MIs[0] rs1
     /*  201256 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201268 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201268 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  201273 */     GIR_RootConstrainSelectedInstOperands,
     /*  201274 */     // GIR_Coverage, 833,
     /*  201274 */     GIR_Done,
     /*  201275 */   // Label 4007: @201275
     /*  201275 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(201316), // Rule ID 835 //
     /*  201280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201283 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201290 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201297 */     // MIs[0] rs1
     /*  201297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201309 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201309 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  201314 */     GIR_RootConstrainSelectedInstOperands,
     /*  201315 */     // GIR_Coverage, 835,
     /*  201315 */     GIR_Done,
     /*  201316 */   // Label 4008: @201316
     /*  201316 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(201357), // Rule ID 837 //
     /*  201321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201324 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201331 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201338 */     // MIs[0] rs1
     /*  201338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201350 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201350 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  201355 */     GIR_RootConstrainSelectedInstOperands,
     /*  201356 */     // GIR_Coverage, 837,
     /*  201356 */     GIR_Done,
     /*  201357 */   // Label 4009: @201357
     /*  201357 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(201398), // Rule ID 839 //
     /*  201362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201365 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201372 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201379 */     // MIs[0] rs1
     /*  201379 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201391 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  201396 */     GIR_RootConstrainSelectedInstOperands,
     /*  201397 */     // GIR_Coverage, 839,
     /*  201397 */     GIR_Done,
     /*  201398 */   // Label 4010: @201398
     /*  201398 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(201439), // Rule ID 1001 //
     /*  201403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201406 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201413 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201420 */     // MIs[0] rs1
     /*  201420 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201432 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201432 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201437 */     GIR_RootConstrainSelectedInstOperands,
     /*  201438 */     // GIR_Coverage, 1001,
     /*  201438 */     GIR_Done,
     /*  201439 */   // Label 4011: @201439
     /*  201439 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(201480), // Rule ID 1003 //
     /*  201444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201447 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201454 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201461 */     // MIs[0] rs1
     /*  201461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201473 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201473 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  201478 */     GIR_RootConstrainSelectedInstOperands,
     /*  201479 */     // GIR_Coverage, 1003,
     /*  201479 */     GIR_Done,
     /*  201480 */   // Label 4012: @201480
     /*  201480 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(201521), // Rule ID 1005 //
     /*  201485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201488 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201495 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201502 */     // MIs[0] rs1
     /*  201502 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201514 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  201519 */     GIR_RootConstrainSelectedInstOperands,
     /*  201520 */     // GIR_Coverage, 1005,
     /*  201520 */     GIR_Done,
     /*  201521 */   // Label 4013: @201521
     /*  201521 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(201562), // Rule ID 1007 //
     /*  201526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201529 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201536 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201543 */     // MIs[0] rs1
     /*  201543 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201555 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201555 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  201560 */     GIR_RootConstrainSelectedInstOperands,
     /*  201561 */     // GIR_Coverage, 1007,
     /*  201561 */     GIR_Done,
     /*  201562 */   // Label 4014: @201562
     /*  201562 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(201603), // Rule ID 1009 //
     /*  201567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201570 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201577 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201584 */     // MIs[0] rs1
     /*  201584 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201596 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201596 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  201601 */     GIR_RootConstrainSelectedInstOperands,
     /*  201602 */     // GIR_Coverage, 1009,
     /*  201602 */     GIR_Done,
     /*  201603 */   // Label 4015: @201603
     /*  201603 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(201644), // Rule ID 1011 //
     /*  201608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201611 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201618 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201625 */     // MIs[0] rs1
     /*  201625 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201637 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201637 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201642 */     GIR_RootConstrainSelectedInstOperands,
     /*  201643 */     // GIR_Coverage, 1011,
     /*  201643 */     GIR_Done,
     /*  201644 */   // Label 4016: @201644
     /*  201644 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(201685), // Rule ID 1013 //
     /*  201649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201652 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201659 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201666 */     // MIs[0] rs1
     /*  201666 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201678 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201683 */     GIR_RootConstrainSelectedInstOperands,
     /*  201684 */     // GIR_Coverage, 1013,
     /*  201684 */     GIR_Done,
     /*  201685 */   // Label 4017: @201685
     /*  201685 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(201726), // Rule ID 1015 //
     /*  201690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201693 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201700 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201707 */     // MIs[0] rs1
     /*  201707 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201719 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201719 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201724 */     GIR_RootConstrainSelectedInstOperands,
     /*  201725 */     // GIR_Coverage, 1015,
     /*  201725 */     GIR_Done,
     /*  201726 */   // Label 4018: @201726
     /*  201726 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(201767), // Rule ID 1017 //
     /*  201731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201734 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201741 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201748 */     // MIs[0] rs1
     /*  201748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201760 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201760 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201765 */     GIR_RootConstrainSelectedInstOperands,
     /*  201766 */     // GIR_Coverage, 1017,
     /*  201766 */     GIR_Done,
     /*  201767 */   // Label 4019: @201767
     /*  201767 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(201808), // Rule ID 1019 //
     /*  201772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201775 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201782 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201789 */     // MIs[0] rs1
     /*  201789 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201801 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201801 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  201806 */     GIR_RootConstrainSelectedInstOperands,
     /*  201807 */     // GIR_Coverage, 1019,
     /*  201807 */     GIR_Done,
     /*  201808 */   // Label 4020: @201808
     /*  201808 */   GIM_Reject,
     /*  201809 */ // Label 3980: @201809
     /*  201809 */ GIM_Reject,
     /*  201810 */ // Label 3948: @201810
     /*  201810 */ GIM_Reject,
     /*  201811 */ // Label 34: @201811
     /*  201811 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4023*/ GIMT_Encode4(204720),
     /*  201822 */ /*GILLT_s32*//*Label 4021*/ GIMT_Encode4(201830),
     /*  201826 */ /*GILLT_s64*//*Label 4022*/ GIMT_Encode4(203070),
     /*  201830 */ // Label 4021: @201830
     /*  201830 */ GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(203069),
     /*  201835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201838 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(201879), // Rule ID 494 //
     /*  201843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201860 */     // MIs[0] rs1
     /*  201860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201872 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201877 */     GIR_RootConstrainSelectedInstOperands,
     /*  201878 */     // GIR_Coverage, 494,
     /*  201878 */     GIR_Done,
     /*  201879 */   // Label 4025: @201879
     /*  201879 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(201920), // Rule ID 496 //
     /*  201884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201901 */     // MIs[0] rs1
     /*  201901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201913 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  201918 */     GIR_RootConstrainSelectedInstOperands,
     /*  201919 */     // GIR_Coverage, 496,
     /*  201919 */     GIR_Done,
     /*  201920 */   // Label 4026: @201920
     /*  201920 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(201961), // Rule ID 498 //
     /*  201925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201935 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201942 */     // MIs[0] rs1
     /*  201942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201954 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  201959 */     GIR_RootConstrainSelectedInstOperands,
     /*  201960 */     // GIR_Coverage, 498,
     /*  201960 */     GIR_Done,
     /*  201961 */   // Label 4027: @201961
     /*  201961 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(202002), // Rule ID 500 //
     /*  201966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  201969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201983 */     // MIs[0] rs1
     /*  201983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201995 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  202000 */     GIR_RootConstrainSelectedInstOperands,
     /*  202001 */     // GIR_Coverage, 500,
     /*  202001 */     GIR_Done,
     /*  202002 */   // Label 4028: @202002
     /*  202002 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(202043), // Rule ID 502 //
     /*  202007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202010 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202017 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202024 */     // MIs[0] rs1
     /*  202024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202036 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  202041 */     GIR_RootConstrainSelectedInstOperands,
     /*  202042 */     // GIR_Coverage, 502,
     /*  202042 */     GIR_Done,
     /*  202043 */   // Label 4029: @202043
     /*  202043 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(202084), // Rule ID 504 //
     /*  202048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202065 */     // MIs[0] rs1
     /*  202065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202077 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202082 */     GIR_RootConstrainSelectedInstOperands,
     /*  202083 */     // GIR_Coverage, 504,
     /*  202083 */     GIR_Done,
     /*  202084 */   // Label 4030: @202084
     /*  202084 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(202125), // Rule ID 506 //
     /*  202089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202106 */     // MIs[0] rs1
     /*  202106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202118 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202123 */     GIR_RootConstrainSelectedInstOperands,
     /*  202124 */     // GIR_Coverage, 506,
     /*  202124 */     GIR_Done,
     /*  202125 */   // Label 4031: @202125
     /*  202125 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(202166), // Rule ID 508 //
     /*  202130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202133 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202147 */     // MIs[0] rs1
     /*  202147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202159 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202164 */     GIR_RootConstrainSelectedInstOperands,
     /*  202165 */     // GIR_Coverage, 508,
     /*  202165 */     GIR_Done,
     /*  202166 */   // Label 4032: @202166
     /*  202166 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(202207), // Rule ID 510 //
     /*  202171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202188 */     // MIs[0] rs1
     /*  202188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202200 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202200 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202205 */     GIR_RootConstrainSelectedInstOperands,
     /*  202206 */     // GIR_Coverage, 510,
     /*  202206 */     GIR_Done,
     /*  202207 */   // Label 4033: @202207
     /*  202207 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(202248), // Rule ID 512 //
     /*  202212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202229 */     // MIs[0] rs1
     /*  202229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202241 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202246 */     GIR_RootConstrainSelectedInstOperands,
     /*  202247 */     // GIR_Coverage, 512,
     /*  202247 */     GIR_Done,
     /*  202248 */   // Label 4034: @202248
     /*  202248 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(202289), // Rule ID 842 //
     /*  202253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202270 */     // MIs[0] rs1
     /*  202270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202282 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  202287 */     GIR_RootConstrainSelectedInstOperands,
     /*  202288 */     // GIR_Coverage, 842,
     /*  202288 */     GIR_Done,
     /*  202289 */   // Label 4035: @202289
     /*  202289 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(202330), // Rule ID 844 //
     /*  202294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202311 */     // MIs[0] rs1
     /*  202311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202323 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202323 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  202328 */     GIR_RootConstrainSelectedInstOperands,
     /*  202329 */     // GIR_Coverage, 844,
     /*  202329 */     GIR_Done,
     /*  202330 */   // Label 4036: @202330
     /*  202330 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(202371), // Rule ID 846 //
     /*  202335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202352 */     // MIs[0] rs1
     /*  202352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202364 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  202369 */     GIR_RootConstrainSelectedInstOperands,
     /*  202370 */     // GIR_Coverage, 846,
     /*  202370 */     GIR_Done,
     /*  202371 */   // Label 4037: @202371
     /*  202371 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(202412), // Rule ID 848 //
     /*  202376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202379 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202393 */     // MIs[0] rs1
     /*  202393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202405 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  202410 */     GIR_RootConstrainSelectedInstOperands,
     /*  202411 */     // GIR_Coverage, 848,
     /*  202411 */     GIR_Done,
     /*  202412 */   // Label 4038: @202412
     /*  202412 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(202453), // Rule ID 850 //
     /*  202417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202434 */     // MIs[0] rs1
     /*  202434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202446 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  202451 */     GIR_RootConstrainSelectedInstOperands,
     /*  202452 */     // GIR_Coverage, 850,
     /*  202452 */     GIR_Done,
     /*  202453 */   // Label 4039: @202453
     /*  202453 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(202494), // Rule ID 852 //
     /*  202458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202475 */     // MIs[0] rs1
     /*  202475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202487 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  202492 */     GIR_RootConstrainSelectedInstOperands,
     /*  202493 */     // GIR_Coverage, 852,
     /*  202493 */     GIR_Done,
     /*  202494 */   // Label 4040: @202494
     /*  202494 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(202535), // Rule ID 854 //
     /*  202499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202516 */     // MIs[0] rs1
     /*  202516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202528 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  202533 */     GIR_RootConstrainSelectedInstOperands,
     /*  202534 */     // GIR_Coverage, 854,
     /*  202534 */     GIR_Done,
     /*  202535 */   // Label 4041: @202535
     /*  202535 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(202576), // Rule ID 856 //
     /*  202540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202557 */     // MIs[0] rs1
     /*  202557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202569 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  202574 */     GIR_RootConstrainSelectedInstOperands,
     /*  202575 */     // GIR_Coverage, 856,
     /*  202575 */     GIR_Done,
     /*  202576 */   // Label 4042: @202576
     /*  202576 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(202617), // Rule ID 858 //
     /*  202581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202598 */     // MIs[0] rs1
     /*  202598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202610 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  202615 */     GIR_RootConstrainSelectedInstOperands,
     /*  202616 */     // GIR_Coverage, 858,
     /*  202616 */     GIR_Done,
     /*  202617 */   // Label 4043: @202617
     /*  202617 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(202658), // Rule ID 860 //
     /*  202622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202639 */     // MIs[0] rs1
     /*  202639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202651 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  202656 */     GIR_RootConstrainSelectedInstOperands,
     /*  202657 */     // GIR_Coverage, 860,
     /*  202657 */     GIR_Done,
     /*  202658 */   // Label 4044: @202658
     /*  202658 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(202699), // Rule ID 1022 //
     /*  202663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202680 */     // MIs[0] rs1
     /*  202680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202692 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202697 */     GIR_RootConstrainSelectedInstOperands,
     /*  202698 */     // GIR_Coverage, 1022,
     /*  202698 */     GIR_Done,
     /*  202699 */   // Label 4045: @202699
     /*  202699 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(202740), // Rule ID 1024 //
     /*  202704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202721 */     // MIs[0] rs1
     /*  202721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202733 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  202738 */     GIR_RootConstrainSelectedInstOperands,
     /*  202739 */     // GIR_Coverage, 1024,
     /*  202739 */     GIR_Done,
     /*  202740 */   // Label 4046: @202740
     /*  202740 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(202781), // Rule ID 1026 //
     /*  202745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202762 */     // MIs[0] rs1
     /*  202762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202774 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  202779 */     GIR_RootConstrainSelectedInstOperands,
     /*  202780 */     // GIR_Coverage, 1026,
     /*  202780 */     GIR_Done,
     /*  202781 */   // Label 4047: @202781
     /*  202781 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(202822), // Rule ID 1028 //
     /*  202786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202803 */     // MIs[0] rs1
     /*  202803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202815 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  202820 */     GIR_RootConstrainSelectedInstOperands,
     /*  202821 */     // GIR_Coverage, 1028,
     /*  202821 */     GIR_Done,
     /*  202822 */   // Label 4048: @202822
     /*  202822 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(202863), // Rule ID 1030 //
     /*  202827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202844 */     // MIs[0] rs1
     /*  202844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202856 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  202861 */     GIR_RootConstrainSelectedInstOperands,
     /*  202862 */     // GIR_Coverage, 1030,
     /*  202862 */     GIR_Done,
     /*  202863 */   // Label 4049: @202863
     /*  202863 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(202904), // Rule ID 1032 //
     /*  202868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202885 */     // MIs[0] rs1
     /*  202885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202897 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202902 */     GIR_RootConstrainSelectedInstOperands,
     /*  202903 */     // GIR_Coverage, 1032,
     /*  202903 */     GIR_Done,
     /*  202904 */   // Label 4050: @202904
     /*  202904 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(202945), // Rule ID 1034 //
     /*  202909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202926 */     // MIs[0] rs1
     /*  202926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202938 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202943 */     GIR_RootConstrainSelectedInstOperands,
     /*  202944 */     // GIR_Coverage, 1034,
     /*  202944 */     GIR_Done,
     /*  202945 */   // Label 4051: @202945
     /*  202945 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(202986), // Rule ID 1036 //
     /*  202950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202967 */     // MIs[0] rs1
     /*  202967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202979 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202984 */     GIR_RootConstrainSelectedInstOperands,
     /*  202985 */     // GIR_Coverage, 1036,
     /*  202985 */     GIR_Done,
     /*  202986 */   // Label 4052: @202986
     /*  202986 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(203027), // Rule ID 1038 //
     /*  202991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  202994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203008 */     // MIs[0] rs1
     /*  203008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203020 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203025 */     GIR_RootConstrainSelectedInstOperands,
     /*  203026 */     // GIR_Coverage, 1038,
     /*  203026 */     GIR_Done,
     /*  203027 */   // Label 4053: @203027
     /*  203027 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(203068), // Rule ID 1040 //
     /*  203032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203049 */     // MIs[0] rs1
     /*  203049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203061 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203066 */     GIR_RootConstrainSelectedInstOperands,
     /*  203067 */     // GIR_Coverage, 1040,
     /*  203067 */     GIR_Done,
     /*  203068 */   // Label 4054: @203068
     /*  203068 */   GIM_Reject,
     /*  203069 */ // Label 4024: @203069
     /*  203069 */ GIM_Reject,
     /*  203070 */ // Label 4022: @203070
     /*  203070 */ GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(204719),
     /*  203075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  203078 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(203119), // Rule ID 493 //
     /*  203083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203086 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203093 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203100 */     // MIs[0] rs1
     /*  203100 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203112 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203112 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  203117 */     GIR_RootConstrainSelectedInstOperands,
     /*  203118 */     // GIR_Coverage, 493,
     /*  203118 */     GIR_Done,
     /*  203119 */   // Label 4056: @203119
     /*  203119 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(203160), // Rule ID 495 //
     /*  203124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203127 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203134 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203141 */     // MIs[0] rs1
     /*  203141 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203153 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203153 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  203158 */     GIR_RootConstrainSelectedInstOperands,
     /*  203159 */     // GIR_Coverage, 495,
     /*  203159 */     GIR_Done,
     /*  203160 */   // Label 4057: @203160
     /*  203160 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(203201), // Rule ID 497 //
     /*  203165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203168 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203175 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203182 */     // MIs[0] rs1
     /*  203182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203194 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203194 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  203199 */     GIR_RootConstrainSelectedInstOperands,
     /*  203200 */     // GIR_Coverage, 497,
     /*  203200 */     GIR_Done,
     /*  203201 */   // Label 4058: @203201
     /*  203201 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(203242), // Rule ID 499 //
     /*  203206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203209 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203216 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203223 */     // MIs[0] rs1
     /*  203223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203235 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203235 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  203240 */     GIR_RootConstrainSelectedInstOperands,
     /*  203241 */     // GIR_Coverage, 499,
     /*  203241 */     GIR_Done,
     /*  203242 */   // Label 4059: @203242
     /*  203242 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(203283), // Rule ID 501 //
     /*  203247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203250 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203257 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203264 */     // MIs[0] rs1
     /*  203264 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203276 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  203281 */     GIR_RootConstrainSelectedInstOperands,
     /*  203282 */     // GIR_Coverage, 501,
     /*  203282 */     GIR_Done,
     /*  203283 */   // Label 4060: @203283
     /*  203283 */   GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(203324), // Rule ID 503 //
     /*  203288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  203291 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203298 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203305 */     // MIs[0] rs1
     /*  203305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203317 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203317 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  203322 */     GIR_RootConstrainSelectedInstOperands,
     /*  203323 */     // GIR_Coverage, 503,
     /*  203323 */     GIR_Done,
     /*  203324 */   // Label 4061: @203324
     /*  203324 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(203365), // Rule ID 505 //
     /*  203329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  203332 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203339 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203346 */     // MIs[0] rs1
     /*  203346 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203358 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203358 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  203363 */     GIR_RootConstrainSelectedInstOperands,
     /*  203364 */     // GIR_Coverage, 505,
     /*  203364 */     GIR_Done,
     /*  203365 */   // Label 4062: @203365
     /*  203365 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(203406), // Rule ID 507 //
     /*  203370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  203373 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203380 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203387 */     // MIs[0] rs1
     /*  203387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203399 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203399 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  203404 */     GIR_RootConstrainSelectedInstOperands,
     /*  203405 */     // GIR_Coverage, 507,
     /*  203405 */     GIR_Done,
     /*  203406 */   // Label 4063: @203406
     /*  203406 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(203447), // Rule ID 509 //
     /*  203411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  203414 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203421 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203428 */     // MIs[0] rs1
     /*  203428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203440 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203440 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  203445 */     GIR_RootConstrainSelectedInstOperands,
     /*  203446 */     // GIR_Coverage, 509,
     /*  203446 */     GIR_Done,
     /*  203447 */   // Label 4064: @203447
     /*  203447 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(203488), // Rule ID 511 //
     /*  203452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  203455 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203462 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203469 */     // MIs[0] rs1
     /*  203469 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203481 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203481 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  203486 */     GIR_RootConstrainSelectedInstOperands,
     /*  203487 */     // GIR_Coverage, 511,
     /*  203487 */     GIR_Done,
     /*  203488 */   // Label 4065: @203488
     /*  203488 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(203529), // Rule ID 603 //
     /*  203493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  203496 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203503 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203510 */     // MIs[0] rs1
     /*  203510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203522 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203522 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203527 */     GIR_RootConstrainSelectedInstOperands,
     /*  203528 */     // GIR_Coverage, 603,
     /*  203528 */     GIR_Done,
     /*  203529 */   // Label 4066: @203529
     /*  203529 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(203570), // Rule ID 604 //
     /*  203534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  203537 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203544 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203551 */     // MIs[0] rs1
     /*  203551 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203563 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203563 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ),
     /*  203568 */     GIR_RootConstrainSelectedInstOperands,
     /*  203569 */     // GIR_Coverage, 604,
     /*  203569 */     GIR_Done,
     /*  203570 */   // Label 4067: @203570
     /*  203570 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(203611), // Rule ID 605 //
     /*  203575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  203578 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203585 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203592 */     // MIs[0] rs1
     /*  203592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203604 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203604 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_RL),
     /*  203609 */     GIR_RootConstrainSelectedInstOperands,
     /*  203610 */     // GIR_Coverage, 605,
     /*  203610 */     GIR_Done,
     /*  203611 */   // Label 4068: @203611
     /*  203611 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(203652), // Rule ID 606 //
     /*  203616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  203619 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203626 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203633 */     // MIs[0] rs1
     /*  203633 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203645 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203645 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  203650 */     GIR_RootConstrainSelectedInstOperands,
     /*  203651 */     // GIR_Coverage, 606,
     /*  203651 */     GIR_Done,
     /*  203652 */   // Label 4069: @203652
     /*  203652 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(203693), // Rule ID 607 //
     /*  203657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  203660 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203667 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203674 */     // MIs[0] rs1
     /*  203674 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203686 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203686 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  203691 */     GIR_RootConstrainSelectedInstOperands,
     /*  203692 */     // GIR_Coverage, 607,
     /*  203692 */     GIR_Done,
     /*  203693 */   // Label 4070: @203693
     /*  203693 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(203734), // Rule ID 608 //
     /*  203698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203701 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203708 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203715 */     // MIs[0] rs1
     /*  203715 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203727 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203727 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203732 */     GIR_RootConstrainSelectedInstOperands,
     /*  203733 */     // GIR_Coverage, 608,
     /*  203733 */     GIR_Done,
     /*  203734 */   // Label 4071: @203734
     /*  203734 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(203775), // Rule ID 609 //
     /*  203739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203742 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203749 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203756 */     // MIs[0] rs1
     /*  203756 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203768 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203768 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203773 */     GIR_RootConstrainSelectedInstOperands,
     /*  203774 */     // GIR_Coverage, 609,
     /*  203774 */     GIR_Done,
     /*  203775 */   // Label 4072: @203775
     /*  203775 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(203816), // Rule ID 610 //
     /*  203780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203783 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203790 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203797 */     // MIs[0] rs1
     /*  203797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203809 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203809 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203814 */     GIR_RootConstrainSelectedInstOperands,
     /*  203815 */     // GIR_Coverage, 610,
     /*  203815 */     GIR_Done,
     /*  203816 */   // Label 4073: @203816
     /*  203816 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(203857), // Rule ID 611 //
     /*  203821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203824 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203831 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203838 */     // MIs[0] rs1
     /*  203838 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203850 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203850 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203855 */     GIR_RootConstrainSelectedInstOperands,
     /*  203856 */     // GIR_Coverage, 611,
     /*  203856 */     GIR_Done,
     /*  203857 */   // Label 4074: @203857
     /*  203857 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(203898), // Rule ID 612 //
     /*  203862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  203865 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  203872 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203879 */     // MIs[0] rs1
     /*  203879 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203891 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203891 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  203896 */     GIR_RootConstrainSelectedInstOperands,
     /*  203897 */     // GIR_Coverage, 612,
     /*  203897 */     GIR_Done,
     /*  203898 */   // Label 4075: @203898
     /*  203898 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(203939), // Rule ID 841 //
     /*  203903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203906 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203913 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203920 */     // MIs[0] rs1
     /*  203920 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203932 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203932 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203937 */     GIR_RootConstrainSelectedInstOperands,
     /*  203938 */     // GIR_Coverage, 841,
     /*  203938 */     GIR_Done,
     /*  203939 */   // Label 4076: @203939
     /*  203939 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(203980), // Rule ID 843 //
     /*  203944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203947 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203954 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203961 */     // MIs[0] rs1
     /*  203961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203973 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203973 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  203978 */     GIR_RootConstrainSelectedInstOperands,
     /*  203979 */     // GIR_Coverage, 843,
     /*  203979 */     GIR_Done,
     /*  203980 */   // Label 4077: @203980
     /*  203980 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(204021), // Rule ID 845 //
     /*  203985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203988 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203995 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204002 */     // MIs[0] rs1
     /*  204002 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204014 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204014 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  204019 */     GIR_RootConstrainSelectedInstOperands,
     /*  204020 */     // GIR_Coverage, 845,
     /*  204020 */     GIR_Done,
     /*  204021 */   // Label 4078: @204021
     /*  204021 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(204062), // Rule ID 847 //
     /*  204026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204029 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204036 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204043 */     // MIs[0] rs1
     /*  204043 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204055 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204055 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  204060 */     GIR_RootConstrainSelectedInstOperands,
     /*  204061 */     // GIR_Coverage, 847,
     /*  204061 */     GIR_Done,
     /*  204062 */   // Label 4079: @204062
     /*  204062 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(204103), // Rule ID 849 //
     /*  204067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204070 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204077 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204084 */     // MIs[0] rs1
     /*  204084 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204096 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204096 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  204101 */     GIR_RootConstrainSelectedInstOperands,
     /*  204102 */     // GIR_Coverage, 849,
     /*  204102 */     GIR_Done,
     /*  204103 */   // Label 4080: @204103
     /*  204103 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(204144), // Rule ID 851 //
     /*  204108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204111 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204118 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204125 */     // MIs[0] rs1
     /*  204125 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204137 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204137 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  204142 */     GIR_RootConstrainSelectedInstOperands,
     /*  204143 */     // GIR_Coverage, 851,
     /*  204143 */     GIR_Done,
     /*  204144 */   // Label 4081: @204144
     /*  204144 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(204185), // Rule ID 853 //
     /*  204149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204152 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204159 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204166 */     // MIs[0] rs1
     /*  204166 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204178 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204178 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  204183 */     GIR_RootConstrainSelectedInstOperands,
     /*  204184 */     // GIR_Coverage, 853,
     /*  204184 */     GIR_Done,
     /*  204185 */   // Label 4082: @204185
     /*  204185 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(204226), // Rule ID 855 //
     /*  204190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204193 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204200 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204207 */     // MIs[0] rs1
     /*  204207 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204219 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204219 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  204224 */     GIR_RootConstrainSelectedInstOperands,
     /*  204225 */     // GIR_Coverage, 855,
     /*  204225 */     GIR_Done,
     /*  204226 */   // Label 4083: @204226
     /*  204226 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(204267), // Rule ID 857 //
     /*  204231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204234 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204241 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204248 */     // MIs[0] rs1
     /*  204248 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204260 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204260 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  204265 */     GIR_RootConstrainSelectedInstOperands,
     /*  204266 */     // GIR_Coverage, 857,
     /*  204266 */     GIR_Done,
     /*  204267 */   // Label 4084: @204267
     /*  204267 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(204308), // Rule ID 859 //
     /*  204272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204275 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204282 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204289 */     // MIs[0] rs1
     /*  204289 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204301 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204301 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  204306 */     GIR_RootConstrainSelectedInstOperands,
     /*  204307 */     // GIR_Coverage, 859,
     /*  204307 */     GIR_Done,
     /*  204308 */   // Label 4085: @204308
     /*  204308 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(204349), // Rule ID 1021 //
     /*  204313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204316 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204323 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204330 */     // MIs[0] rs1
     /*  204330 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204342 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204342 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  204347 */     GIR_RootConstrainSelectedInstOperands,
     /*  204348 */     // GIR_Coverage, 1021,
     /*  204348 */     GIR_Done,
     /*  204349 */   // Label 4086: @204349
     /*  204349 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(204390), // Rule ID 1023 //
     /*  204354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204357 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204364 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204371 */     // MIs[0] rs1
     /*  204371 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204383 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204383 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  204388 */     GIR_RootConstrainSelectedInstOperands,
     /*  204389 */     // GIR_Coverage, 1023,
     /*  204389 */     GIR_Done,
     /*  204390 */   // Label 4087: @204390
     /*  204390 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(204431), // Rule ID 1025 //
     /*  204395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204398 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204405 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204412 */     // MIs[0] rs1
     /*  204412 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204424 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204424 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  204429 */     GIR_RootConstrainSelectedInstOperands,
     /*  204430 */     // GIR_Coverage, 1025,
     /*  204430 */     GIR_Done,
     /*  204431 */   // Label 4088: @204431
     /*  204431 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(204472), // Rule ID 1027 //
     /*  204436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204439 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204446 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204453 */     // MIs[0] rs1
     /*  204453 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204465 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204465 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  204470 */     GIR_RootConstrainSelectedInstOperands,
     /*  204471 */     // GIR_Coverage, 1027,
     /*  204471 */     GIR_Done,
     /*  204472 */   // Label 4089: @204472
     /*  204472 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(204513), // Rule ID 1029 //
     /*  204477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204480 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204487 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204494 */     // MIs[0] rs1
     /*  204494 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204506 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204506 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  204511 */     GIR_RootConstrainSelectedInstOperands,
     /*  204512 */     // GIR_Coverage, 1029,
     /*  204512 */     GIR_Done,
     /*  204513 */   // Label 4090: @204513
     /*  204513 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(204554), // Rule ID 1031 //
     /*  204518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204521 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204528 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204535 */     // MIs[0] rs1
     /*  204535 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204547 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204547 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  204552 */     GIR_RootConstrainSelectedInstOperands,
     /*  204553 */     // GIR_Coverage, 1031,
     /*  204553 */     GIR_Done,
     /*  204554 */   // Label 4091: @204554
     /*  204554 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(204595), // Rule ID 1033 //
     /*  204559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204562 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204569 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204576 */     // MIs[0] rs1
     /*  204576 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204588 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204588 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  204593 */     GIR_RootConstrainSelectedInstOperands,
     /*  204594 */     // GIR_Coverage, 1033,
     /*  204594 */     GIR_Done,
     /*  204595 */   // Label 4092: @204595
     /*  204595 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(204636), // Rule ID 1035 //
     /*  204600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204603 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204610 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204617 */     // MIs[0] rs1
     /*  204617 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204629 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204629 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  204634 */     GIR_RootConstrainSelectedInstOperands,
     /*  204635 */     // GIR_Coverage, 1035,
     /*  204635 */     GIR_Done,
     /*  204636 */   // Label 4093: @204636
     /*  204636 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(204677), // Rule ID 1037 //
     /*  204641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204644 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204651 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204658 */     // MIs[0] rs1
     /*  204658 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204670 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204670 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  204675 */     GIR_RootConstrainSelectedInstOperands,
     /*  204676 */     // GIR_Coverage, 1037,
     /*  204676 */     GIR_Done,
     /*  204677 */   // Label 4094: @204677
     /*  204677 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(204718), // Rule ID 1039 //
     /*  204682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204685 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204692 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204699 */     // MIs[0] rs1
     /*  204699 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204711 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204711 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  204716 */     GIR_RootConstrainSelectedInstOperands,
     /*  204717 */     // GIR_Coverage, 1039,
     /*  204717 */     GIR_Done,
     /*  204718 */   // Label 4095: @204718
     /*  204718 */   GIM_Reject,
     /*  204719 */ // Label 4055: @204719
     /*  204719 */ GIM_Reject,
     /*  204720 */ // Label 4023: @204720
     /*  204720 */ GIM_Reject,
     /*  204721 */ // Label 35: @204721
     /*  204721 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4098*/ GIMT_Encode4(207630),
     /*  204732 */ /*GILLT_s32*//*Label 4096*/ GIMT_Encode4(204740),
     /*  204736 */ /*GILLT_s64*//*Label 4097*/ GIMT_Encode4(205980),
     /*  204740 */ // Label 4096: @204740
     /*  204740 */ GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(205979),
     /*  204745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  204748 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(204789), // Rule ID 514 //
     /*  204753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204770 */     // MIs[0] rs1
     /*  204770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204782 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204787 */     GIR_RootConstrainSelectedInstOperands,
     /*  204788 */     // GIR_Coverage, 514,
     /*  204788 */     GIR_Done,
     /*  204789 */   // Label 4100: @204789
     /*  204789 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(204830), // Rule ID 516 //
     /*  204794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204811 */     // MIs[0] rs1
     /*  204811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204823 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  204828 */     GIR_RootConstrainSelectedInstOperands,
     /*  204829 */     // GIR_Coverage, 516,
     /*  204829 */     GIR_Done,
     /*  204830 */   // Label 4101: @204830
     /*  204830 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(204871), // Rule ID 518 //
     /*  204835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204852 */     // MIs[0] rs1
     /*  204852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204864 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  204869 */     GIR_RootConstrainSelectedInstOperands,
     /*  204870 */     // GIR_Coverage, 518,
     /*  204870 */     GIR_Done,
     /*  204871 */   // Label 4102: @204871
     /*  204871 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(204912), // Rule ID 520 //
     /*  204876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204893 */     // MIs[0] rs1
     /*  204893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204905 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  204910 */     GIR_RootConstrainSelectedInstOperands,
     /*  204911 */     // GIR_Coverage, 520,
     /*  204911 */     GIR_Done,
     /*  204912 */   // Label 4103: @204912
     /*  204912 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(204953), // Rule ID 522 //
     /*  204917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  204920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204934 */     // MIs[0] rs1
     /*  204934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204946 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  204951 */     GIR_RootConstrainSelectedInstOperands,
     /*  204952 */     // GIR_Coverage, 522,
     /*  204952 */     GIR_Done,
     /*  204953 */   // Label 4104: @204953
     /*  204953 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(204994), // Rule ID 524 //
     /*  204958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204975 */     // MIs[0] rs1
     /*  204975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204987 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204992 */     GIR_RootConstrainSelectedInstOperands,
     /*  204993 */     // GIR_Coverage, 524,
     /*  204993 */     GIR_Done,
     /*  204994 */   // Label 4105: @204994
     /*  204994 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(205035), // Rule ID 526 //
     /*  204999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205016 */     // MIs[0] rs1
     /*  205016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205028 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205033 */     GIR_RootConstrainSelectedInstOperands,
     /*  205034 */     // GIR_Coverage, 526,
     /*  205034 */     GIR_Done,
     /*  205035 */   // Label 4106: @205035
     /*  205035 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(205076), // Rule ID 528 //
     /*  205040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205057 */     // MIs[0] rs1
     /*  205057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205069 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205074 */     GIR_RootConstrainSelectedInstOperands,
     /*  205075 */     // GIR_Coverage, 528,
     /*  205075 */     GIR_Done,
     /*  205076 */   // Label 4107: @205076
     /*  205076 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(205117), // Rule ID 530 //
     /*  205081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205098 */     // MIs[0] rs1
     /*  205098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205110 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205115 */     GIR_RootConstrainSelectedInstOperands,
     /*  205116 */     // GIR_Coverage, 530,
     /*  205116 */     GIR_Done,
     /*  205117 */   // Label 4108: @205117
     /*  205117 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(205158), // Rule ID 532 //
     /*  205122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205139 */     // MIs[0] rs1
     /*  205139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205151 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205156 */     GIR_RootConstrainSelectedInstOperands,
     /*  205157 */     // GIR_Coverage, 532,
     /*  205157 */     GIR_Done,
     /*  205158 */   // Label 4109: @205158
     /*  205158 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(205199), // Rule ID 862 //
     /*  205163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205180 */     // MIs[0] rs1
     /*  205180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205192 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  205197 */     GIR_RootConstrainSelectedInstOperands,
     /*  205198 */     // GIR_Coverage, 862,
     /*  205198 */     GIR_Done,
     /*  205199 */   // Label 4110: @205199
     /*  205199 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(205240), // Rule ID 864 //
     /*  205204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205221 */     // MIs[0] rs1
     /*  205221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205233 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  205238 */     GIR_RootConstrainSelectedInstOperands,
     /*  205239 */     // GIR_Coverage, 864,
     /*  205239 */     GIR_Done,
     /*  205240 */   // Label 4111: @205240
     /*  205240 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(205281), // Rule ID 866 //
     /*  205245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205262 */     // MIs[0] rs1
     /*  205262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205274 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  205279 */     GIR_RootConstrainSelectedInstOperands,
     /*  205280 */     // GIR_Coverage, 866,
     /*  205280 */     GIR_Done,
     /*  205281 */   // Label 4112: @205281
     /*  205281 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(205322), // Rule ID 868 //
     /*  205286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205303 */     // MIs[0] rs1
     /*  205303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205315 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  205320 */     GIR_RootConstrainSelectedInstOperands,
     /*  205321 */     // GIR_Coverage, 868,
     /*  205321 */     GIR_Done,
     /*  205322 */   // Label 4113: @205322
     /*  205322 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(205363), // Rule ID 870 //
     /*  205327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205344 */     // MIs[0] rs1
     /*  205344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205356 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  205361 */     GIR_RootConstrainSelectedInstOperands,
     /*  205362 */     // GIR_Coverage, 870,
     /*  205362 */     GIR_Done,
     /*  205363 */   // Label 4114: @205363
     /*  205363 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(205404), // Rule ID 872 //
     /*  205368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205385 */     // MIs[0] rs1
     /*  205385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205397 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  205402 */     GIR_RootConstrainSelectedInstOperands,
     /*  205403 */     // GIR_Coverage, 872,
     /*  205403 */     GIR_Done,
     /*  205404 */   // Label 4115: @205404
     /*  205404 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(205445), // Rule ID 874 //
     /*  205409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205426 */     // MIs[0] rs1
     /*  205426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205438 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  205443 */     GIR_RootConstrainSelectedInstOperands,
     /*  205444 */     // GIR_Coverage, 874,
     /*  205444 */     GIR_Done,
     /*  205445 */   // Label 4116: @205445
     /*  205445 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(205486), // Rule ID 876 //
     /*  205450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205467 */     // MIs[0] rs1
     /*  205467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205479 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  205484 */     GIR_RootConstrainSelectedInstOperands,
     /*  205485 */     // GIR_Coverage, 876,
     /*  205485 */     GIR_Done,
     /*  205486 */   // Label 4117: @205486
     /*  205486 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(205527), // Rule ID 878 //
     /*  205491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205508 */     // MIs[0] rs1
     /*  205508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205520 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  205525 */     GIR_RootConstrainSelectedInstOperands,
     /*  205526 */     // GIR_Coverage, 878,
     /*  205526 */     GIR_Done,
     /*  205527 */   // Label 4118: @205527
     /*  205527 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(205568), // Rule ID 880 //
     /*  205532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205549 */     // MIs[0] rs1
     /*  205549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205561 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  205566 */     GIR_RootConstrainSelectedInstOperands,
     /*  205567 */     // GIR_Coverage, 880,
     /*  205567 */     GIR_Done,
     /*  205568 */   // Label 4119: @205568
     /*  205568 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(205609), // Rule ID 1042 //
     /*  205573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205590 */     // MIs[0] rs1
     /*  205590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205602 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205607 */     GIR_RootConstrainSelectedInstOperands,
     /*  205608 */     // GIR_Coverage, 1042,
     /*  205608 */     GIR_Done,
     /*  205609 */   // Label 4120: @205609
     /*  205609 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(205650), // Rule ID 1044 //
     /*  205614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205631 */     // MIs[0] rs1
     /*  205631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205643 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  205648 */     GIR_RootConstrainSelectedInstOperands,
     /*  205649 */     // GIR_Coverage, 1044,
     /*  205649 */     GIR_Done,
     /*  205650 */   // Label 4121: @205650
     /*  205650 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(205691), // Rule ID 1046 //
     /*  205655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205672 */     // MIs[0] rs1
     /*  205672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205684 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  205689 */     GIR_RootConstrainSelectedInstOperands,
     /*  205690 */     // GIR_Coverage, 1046,
     /*  205690 */     GIR_Done,
     /*  205691 */   // Label 4122: @205691
     /*  205691 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(205732), // Rule ID 1048 //
     /*  205696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205713 */     // MIs[0] rs1
     /*  205713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205725 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  205730 */     GIR_RootConstrainSelectedInstOperands,
     /*  205731 */     // GIR_Coverage, 1048,
     /*  205731 */     GIR_Done,
     /*  205732 */   // Label 4123: @205732
     /*  205732 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(205773), // Rule ID 1050 //
     /*  205737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205754 */     // MIs[0] rs1
     /*  205754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205766 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  205771 */     GIR_RootConstrainSelectedInstOperands,
     /*  205772 */     // GIR_Coverage, 1050,
     /*  205772 */     GIR_Done,
     /*  205773 */   // Label 4124: @205773
     /*  205773 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(205814), // Rule ID 1052 //
     /*  205778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205795 */     // MIs[0] rs1
     /*  205795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205807 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205812 */     GIR_RootConstrainSelectedInstOperands,
     /*  205813 */     // GIR_Coverage, 1052,
     /*  205813 */     GIR_Done,
     /*  205814 */   // Label 4125: @205814
     /*  205814 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(205855), // Rule ID 1054 //
     /*  205819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205836 */     // MIs[0] rs1
     /*  205836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205848 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205853 */     GIR_RootConstrainSelectedInstOperands,
     /*  205854 */     // GIR_Coverage, 1054,
     /*  205854 */     GIR_Done,
     /*  205855 */   // Label 4126: @205855
     /*  205855 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(205896), // Rule ID 1056 //
     /*  205860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205877 */     // MIs[0] rs1
     /*  205877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205889 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205894 */     GIR_RootConstrainSelectedInstOperands,
     /*  205895 */     // GIR_Coverage, 1056,
     /*  205895 */     GIR_Done,
     /*  205896 */   // Label 4127: @205896
     /*  205896 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(205937), // Rule ID 1058 //
     /*  205901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205918 */     // MIs[0] rs1
     /*  205918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205930 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205935 */     GIR_RootConstrainSelectedInstOperands,
     /*  205936 */     // GIR_Coverage, 1058,
     /*  205936 */     GIR_Done,
     /*  205937 */   // Label 4128: @205937
     /*  205937 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(205978), // Rule ID 1060 //
     /*  205942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205959 */     // MIs[0] rs1
     /*  205959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205971 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205976 */     GIR_RootConstrainSelectedInstOperands,
     /*  205977 */     // GIR_Coverage, 1060,
     /*  205977 */     GIR_Done,
     /*  205978 */   // Label 4129: @205978
     /*  205978 */   GIM_Reject,
     /*  205979 */ // Label 4099: @205979
     /*  205979 */ GIM_Reject,
     /*  205980 */ // Label 4097: @205980
     /*  205980 */ GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(207629),
     /*  205985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  205988 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(206029), // Rule ID 513 //
     /*  205993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205996 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206003 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206010 */     // MIs[0] rs1
     /*  206010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206022 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206022 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  206027 */     GIR_RootConstrainSelectedInstOperands,
     /*  206028 */     // GIR_Coverage, 513,
     /*  206028 */     GIR_Done,
     /*  206029 */   // Label 4131: @206029
     /*  206029 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(206070), // Rule ID 515 //
     /*  206034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206037 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206044 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206051 */     // MIs[0] rs1
     /*  206051 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206063 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206063 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  206068 */     GIR_RootConstrainSelectedInstOperands,
     /*  206069 */     // GIR_Coverage, 515,
     /*  206069 */     GIR_Done,
     /*  206070 */   // Label 4132: @206070
     /*  206070 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(206111), // Rule ID 517 //
     /*  206075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206078 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206085 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206092 */     // MIs[0] rs1
     /*  206092 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206104 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206104 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  206109 */     GIR_RootConstrainSelectedInstOperands,
     /*  206110 */     // GIR_Coverage, 517,
     /*  206110 */     GIR_Done,
     /*  206111 */   // Label 4133: @206111
     /*  206111 */   GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(206152), // Rule ID 519 //
     /*  206116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206119 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206126 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206133 */     // MIs[0] rs1
     /*  206133 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206145 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206145 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  206150 */     GIR_RootConstrainSelectedInstOperands,
     /*  206151 */     // GIR_Coverage, 519,
     /*  206151 */     GIR_Done,
     /*  206152 */   // Label 4134: @206152
     /*  206152 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(206193), // Rule ID 521 //
     /*  206157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206160 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206167 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206174 */     // MIs[0] rs1
     /*  206174 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206186 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206186 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  206191 */     GIR_RootConstrainSelectedInstOperands,
     /*  206192 */     // GIR_Coverage, 521,
     /*  206192 */     GIR_Done,
     /*  206193 */   // Label 4135: @206193
     /*  206193 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(206234), // Rule ID 523 //
     /*  206198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  206201 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206208 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206215 */     // MIs[0] rs1
     /*  206215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206227 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206227 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  206232 */     GIR_RootConstrainSelectedInstOperands,
     /*  206233 */     // GIR_Coverage, 523,
     /*  206233 */     GIR_Done,
     /*  206234 */   // Label 4136: @206234
     /*  206234 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(206275), // Rule ID 525 //
     /*  206239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  206242 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206249 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206256 */     // MIs[0] rs1
     /*  206256 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206268 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206268 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  206273 */     GIR_RootConstrainSelectedInstOperands,
     /*  206274 */     // GIR_Coverage, 525,
     /*  206274 */     GIR_Done,
     /*  206275 */   // Label 4137: @206275
     /*  206275 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(206316), // Rule ID 527 //
     /*  206280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  206283 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206290 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206297 */     // MIs[0] rs1
     /*  206297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206309 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206309 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  206314 */     GIR_RootConstrainSelectedInstOperands,
     /*  206315 */     // GIR_Coverage, 527,
     /*  206315 */     GIR_Done,
     /*  206316 */   // Label 4138: @206316
     /*  206316 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(206357), // Rule ID 529 //
     /*  206321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  206324 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206331 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206338 */     // MIs[0] rs1
     /*  206338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206350 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206350 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  206355 */     GIR_RootConstrainSelectedInstOperands,
     /*  206356 */     // GIR_Coverage, 529,
     /*  206356 */     GIR_Done,
     /*  206357 */   // Label 4139: @206357
     /*  206357 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(206398), // Rule ID 531 //
     /*  206362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  206365 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206372 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206379 */     // MIs[0] rs1
     /*  206379 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206391 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  206396 */     GIR_RootConstrainSelectedInstOperands,
     /*  206397 */     // GIR_Coverage, 531,
     /*  206397 */     GIR_Done,
     /*  206398 */   // Label 4140: @206398
     /*  206398 */   GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(206439), // Rule ID 613 //
     /*  206403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  206406 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206413 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206420 */     // MIs[0] rs1
     /*  206420 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206432 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206432 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206437 */     GIR_RootConstrainSelectedInstOperands,
     /*  206438 */     // GIR_Coverage, 613,
     /*  206438 */     GIR_Done,
     /*  206439 */   // Label 4141: @206439
     /*  206439 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(206480), // Rule ID 614 //
     /*  206444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  206447 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206454 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206461 */     // MIs[0] rs1
     /*  206461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206473 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206473 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ),
     /*  206478 */     GIR_RootConstrainSelectedInstOperands,
     /*  206479 */     // GIR_Coverage, 614,
     /*  206479 */     GIR_Done,
     /*  206480 */   // Label 4142: @206480
     /*  206480 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(206521), // Rule ID 615 //
     /*  206485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  206488 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206495 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206502 */     // MIs[0] rs1
     /*  206502 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206514 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_RL),
     /*  206519 */     GIR_RootConstrainSelectedInstOperands,
     /*  206520 */     // GIR_Coverage, 615,
     /*  206520 */     GIR_Done,
     /*  206521 */   // Label 4143: @206521
     /*  206521 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(206562), // Rule ID 616 //
     /*  206526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  206529 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206536 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206543 */     // MIs[0] rs1
     /*  206543 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206555 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206555 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  206560 */     GIR_RootConstrainSelectedInstOperands,
     /*  206561 */     // GIR_Coverage, 616,
     /*  206561 */     GIR_Done,
     /*  206562 */   // Label 4144: @206562
     /*  206562 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(206603), // Rule ID 617 //
     /*  206567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  206570 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206577 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206584 */     // MIs[0] rs1
     /*  206584 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206596 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206596 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  206601 */     GIR_RootConstrainSelectedInstOperands,
     /*  206602 */     // GIR_Coverage, 617,
     /*  206602 */     GIR_Done,
     /*  206603 */   // Label 4145: @206603
     /*  206603 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(206644), // Rule ID 618 //
     /*  206608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  206611 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206618 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206625 */     // MIs[0] rs1
     /*  206625 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206637 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206637 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206642 */     GIR_RootConstrainSelectedInstOperands,
     /*  206643 */     // GIR_Coverage, 618,
     /*  206643 */     GIR_Done,
     /*  206644 */   // Label 4146: @206644
     /*  206644 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(206685), // Rule ID 619 //
     /*  206649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  206652 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206659 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206666 */     // MIs[0] rs1
     /*  206666 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206678 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206683 */     GIR_RootConstrainSelectedInstOperands,
     /*  206684 */     // GIR_Coverage, 619,
     /*  206684 */     GIR_Done,
     /*  206685 */   // Label 4147: @206685
     /*  206685 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(206726), // Rule ID 620 //
     /*  206690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  206693 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206700 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206707 */     // MIs[0] rs1
     /*  206707 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206719 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206719 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206724 */     GIR_RootConstrainSelectedInstOperands,
     /*  206725 */     // GIR_Coverage, 620,
     /*  206725 */     GIR_Done,
     /*  206726 */   // Label 4148: @206726
     /*  206726 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(206767), // Rule ID 621 //
     /*  206731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  206734 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206741 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206748 */     // MIs[0] rs1
     /*  206748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206760 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206760 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206765 */     GIR_RootConstrainSelectedInstOperands,
     /*  206766 */     // GIR_Coverage, 621,
     /*  206766 */     GIR_Done,
     /*  206767 */   // Label 4149: @206767
     /*  206767 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(206808), // Rule ID 622 //
     /*  206772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  206775 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206782 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206789 */     // MIs[0] rs1
     /*  206789 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206801 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206801 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  206806 */     GIR_RootConstrainSelectedInstOperands,
     /*  206807 */     // GIR_Coverage, 622,
     /*  206807 */     GIR_Done,
     /*  206808 */   // Label 4150: @206808
     /*  206808 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(206849), // Rule ID 861 //
     /*  206813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206816 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206823 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206830 */     // MIs[0] rs1
     /*  206830 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206842 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206842 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206847 */     GIR_RootConstrainSelectedInstOperands,
     /*  206848 */     // GIR_Coverage, 861,
     /*  206848 */     GIR_Done,
     /*  206849 */   // Label 4151: @206849
     /*  206849 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(206890), // Rule ID 863 //
     /*  206854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206857 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206864 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206871 */     // MIs[0] rs1
     /*  206871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206883 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206883 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  206888 */     GIR_RootConstrainSelectedInstOperands,
     /*  206889 */     // GIR_Coverage, 863,
     /*  206889 */     GIR_Done,
     /*  206890 */   // Label 4152: @206890
     /*  206890 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(206931), // Rule ID 865 //
     /*  206895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206898 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206905 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206912 */     // MIs[0] rs1
     /*  206912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206924 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206924 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  206929 */     GIR_RootConstrainSelectedInstOperands,
     /*  206930 */     // GIR_Coverage, 865,
     /*  206930 */     GIR_Done,
     /*  206931 */   // Label 4153: @206931
     /*  206931 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(206972), // Rule ID 867 //
     /*  206936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206939 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206946 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206953 */     // MIs[0] rs1
     /*  206953 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206965 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206965 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  206970 */     GIR_RootConstrainSelectedInstOperands,
     /*  206971 */     // GIR_Coverage, 867,
     /*  206971 */     GIR_Done,
     /*  206972 */   // Label 4154: @206972
     /*  206972 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(207013), // Rule ID 869 //
     /*  206977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206980 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206987 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206994 */     // MIs[0] rs1
     /*  206994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207006 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207006 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  207011 */     GIR_RootConstrainSelectedInstOperands,
     /*  207012 */     // GIR_Coverage, 869,
     /*  207012 */     GIR_Done,
     /*  207013 */   // Label 4155: @207013
     /*  207013 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(207054), // Rule ID 871 //
     /*  207018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207021 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207028 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207035 */     // MIs[0] rs1
     /*  207035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207047 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207047 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  207052 */     GIR_RootConstrainSelectedInstOperands,
     /*  207053 */     // GIR_Coverage, 871,
     /*  207053 */     GIR_Done,
     /*  207054 */   // Label 4156: @207054
     /*  207054 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(207095), // Rule ID 873 //
     /*  207059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207062 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207069 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207076 */     // MIs[0] rs1
     /*  207076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207088 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207088 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  207093 */     GIR_RootConstrainSelectedInstOperands,
     /*  207094 */     // GIR_Coverage, 873,
     /*  207094 */     GIR_Done,
     /*  207095 */   // Label 4157: @207095
     /*  207095 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(207136), // Rule ID 875 //
     /*  207100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207103 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207110 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207117 */     // MIs[0] rs1
     /*  207117 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207129 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207129 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  207134 */     GIR_RootConstrainSelectedInstOperands,
     /*  207135 */     // GIR_Coverage, 875,
     /*  207135 */     GIR_Done,
     /*  207136 */   // Label 4158: @207136
     /*  207136 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(207177), // Rule ID 877 //
     /*  207141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207144 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207151 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207158 */     // MIs[0] rs1
     /*  207158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207170 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207170 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  207175 */     GIR_RootConstrainSelectedInstOperands,
     /*  207176 */     // GIR_Coverage, 877,
     /*  207176 */     GIR_Done,
     /*  207177 */   // Label 4159: @207177
     /*  207177 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(207218), // Rule ID 879 //
     /*  207182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207185 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207192 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207199 */     // MIs[0] rs1
     /*  207199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207211 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207211 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  207216 */     GIR_RootConstrainSelectedInstOperands,
     /*  207217 */     // GIR_Coverage, 879,
     /*  207217 */     GIR_Done,
     /*  207218 */   // Label 4160: @207218
     /*  207218 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(207259), // Rule ID 1041 //
     /*  207223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207226 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207233 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207240 */     // MIs[0] rs1
     /*  207240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207252 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207252 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  207257 */     GIR_RootConstrainSelectedInstOperands,
     /*  207258 */     // GIR_Coverage, 1041,
     /*  207258 */     GIR_Done,
     /*  207259 */   // Label 4161: @207259
     /*  207259 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(207300), // Rule ID 1043 //
     /*  207264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207267 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207274 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207281 */     // MIs[0] rs1
     /*  207281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207293 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  207298 */     GIR_RootConstrainSelectedInstOperands,
     /*  207299 */     // GIR_Coverage, 1043,
     /*  207299 */     GIR_Done,
     /*  207300 */   // Label 4162: @207300
     /*  207300 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(207341), // Rule ID 1045 //
     /*  207305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207308 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207315 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207322 */     // MIs[0] rs1
     /*  207322 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207334 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207334 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  207339 */     GIR_RootConstrainSelectedInstOperands,
     /*  207340 */     // GIR_Coverage, 1045,
     /*  207340 */     GIR_Done,
     /*  207341 */   // Label 4163: @207341
     /*  207341 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(207382), // Rule ID 1047 //
     /*  207346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207349 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207356 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207363 */     // MIs[0] rs1
     /*  207363 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207375 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207375 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  207380 */     GIR_RootConstrainSelectedInstOperands,
     /*  207381 */     // GIR_Coverage, 1047,
     /*  207381 */     GIR_Done,
     /*  207382 */   // Label 4164: @207382
     /*  207382 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(207423), // Rule ID 1049 //
     /*  207387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207390 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207397 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207404 */     // MIs[0] rs1
     /*  207404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207416 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  207421 */     GIR_RootConstrainSelectedInstOperands,
     /*  207422 */     // GIR_Coverage, 1049,
     /*  207422 */     GIR_Done,
     /*  207423 */   // Label 4165: @207423
     /*  207423 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(207464), // Rule ID 1051 //
     /*  207428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207431 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207438 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207445 */     // MIs[0] rs1
     /*  207445 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207457 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207457 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  207462 */     GIR_RootConstrainSelectedInstOperands,
     /*  207463 */     // GIR_Coverage, 1051,
     /*  207463 */     GIR_Done,
     /*  207464 */   // Label 4166: @207464
     /*  207464 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(207505), // Rule ID 1053 //
     /*  207469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207472 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207479 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207486 */     // MIs[0] rs1
     /*  207486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207498 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207498 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  207503 */     GIR_RootConstrainSelectedInstOperands,
     /*  207504 */     // GIR_Coverage, 1053,
     /*  207504 */     GIR_Done,
     /*  207505 */   // Label 4167: @207505
     /*  207505 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(207546), // Rule ID 1055 //
     /*  207510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207513 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207520 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207527 */     // MIs[0] rs1
     /*  207527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207539 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207539 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  207544 */     GIR_RootConstrainSelectedInstOperands,
     /*  207545 */     // GIR_Coverage, 1055,
     /*  207545 */     GIR_Done,
     /*  207546 */   // Label 4168: @207546
     /*  207546 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(207587), // Rule ID 1057 //
     /*  207551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207554 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207561 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207568 */     // MIs[0] rs1
     /*  207568 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207580 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207580 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  207585 */     GIR_RootConstrainSelectedInstOperands,
     /*  207586 */     // GIR_Coverage, 1057,
     /*  207586 */     GIR_Done,
     /*  207587 */   // Label 4169: @207587
     /*  207587 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(207628), // Rule ID 1059 //
     /*  207592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207595 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207602 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207609 */     // MIs[0] rs1
     /*  207609 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207621 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207621 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  207626 */     GIR_RootConstrainSelectedInstOperands,
     /*  207627 */     // GIR_Coverage, 1059,
     /*  207627 */     GIR_Done,
     /*  207628 */   // Label 4170: @207628
     /*  207628 */   GIM_Reject,
     /*  207629 */ // Label 4130: @207629
     /*  207629 */ GIM_Reject,
     /*  207630 */ // Label 4098: @207630
     /*  207630 */ GIM_Reject,
     /*  207631 */ // Label 36: @207631
     /*  207631 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4173*/ GIMT_Encode4(207848),
     /*  207642 */ /*GILLT_s32*//*Label 4171*/ GIMT_Encode4(207650),
     /*  207646 */ /*GILLT_s64*//*Label 4172*/ GIMT_Encode4(207749),
     /*  207650 */ // Label 4171: @207650
     /*  207650 */ GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(207676), // Rule ID 255 //
     /*  207655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207658 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  207662 */   // MIs[0] Operand 1
     /*  207662 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207665 */   // (atomic_fence 4:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 2:{ *:[i32] }, 3:{ *:[i32] })
     /*  207665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  207671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207674 */   GIR_RootConstrainSelectedInstOperands,
     /*  207675 */   // GIR_Coverage, 255,
     /*  207675 */   GIR_EraseRootFromParent_Done,
     /*  207676 */ // Label 4174: @207676
     /*  207676 */ GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(207702), // Rule ID 257 //
     /*  207681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207684 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  207688 */   // MIs[0] Operand 1
     /*  207688 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207691 */   // (atomic_fence 5:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  207691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  207700 */   GIR_RootConstrainSelectedInstOperands,
     /*  207701 */   // GIR_Coverage, 257,
     /*  207701 */   GIR_EraseRootFromParent_Done,
     /*  207702 */ // Label 4175: @207702
     /*  207702 */ GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(207722), // Rule ID 259 //
     /*  207707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207710 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  207714 */   // MIs[0] Operand 1
     /*  207714 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207717 */   // (atomic_fence 6:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE_TSO)
     /*  207717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  207720 */   GIR_RootConstrainSelectedInstOperands,
     /*  207721 */   // GIR_Coverage, 259,
     /*  207721 */   GIR_EraseRootFromParent_Done,
     /*  207722 */ // Label 4176: @207722
     /*  207722 */ GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(207748), // Rule ID 261 //
     /*  207727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207730 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  207734 */   // MIs[0] Operand 1
     /*  207734 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207737 */   // (atomic_fence 7:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  207737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207746 */   GIR_RootConstrainSelectedInstOperands,
     /*  207747 */   // GIR_Coverage, 261,
     /*  207747 */   GIR_EraseRootFromParent_Done,
     /*  207748 */ // Label 4177: @207748
     /*  207748 */ GIM_Reject,
     /*  207749 */ // Label 4172: @207749
     /*  207749 */ GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(207775), // Rule ID 254 //
     /*  207754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207757 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  207761 */   // MIs[0] Operand 1
     /*  207761 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207764 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 2:{ *:[i64] }, 3:{ *:[i64] })
     /*  207764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  207770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207773 */   GIR_RootConstrainSelectedInstOperands,
     /*  207774 */   // GIR_Coverage, 254,
     /*  207774 */   GIR_EraseRootFromParent_Done,
     /*  207775 */ // Label 4178: @207775
     /*  207775 */ GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(207801), // Rule ID 256 //
     /*  207780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207783 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  207787 */   // MIs[0] Operand 1
     /*  207787 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207790 */   // (atomic_fence 5:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  207790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  207799 */   GIR_RootConstrainSelectedInstOperands,
     /*  207800 */   // GIR_Coverage, 256,
     /*  207800 */   GIR_EraseRootFromParent_Done,
     /*  207801 */ // Label 4179: @207801
     /*  207801 */ GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(207821), // Rule ID 258 //
     /*  207806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207809 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  207813 */   // MIs[0] Operand 1
     /*  207813 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207816 */   // (atomic_fence 6:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE_TSO)
     /*  207816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  207819 */   GIR_RootConstrainSelectedInstOperands,
     /*  207820 */   // GIR_Coverage, 258,
     /*  207820 */   GIR_EraseRootFromParent_Done,
     /*  207821 */ // Label 4180: @207821
     /*  207821 */ GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(207847), // Rule ID 260 //
     /*  207826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207829 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  207833 */   // MIs[0] Operand 1
     /*  207833 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  207836 */   // (atomic_fence 7:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  207836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  207839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207845 */   GIR_RootConstrainSelectedInstOperands,
     /*  207846 */   // GIR_Coverage, 260,
     /*  207846 */   GIR_EraseRootFromParent_Done,
     /*  207847 */ // Label 4181: @207847
     /*  207847 */ GIM_Reject,
     /*  207848 */ // Label 4173: @207848
     /*  207848 */ GIM_Reject,
     /*  207849 */ // Label 37: @207849
     /*  207849 */ GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(209334),
     /*  207854 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  207857 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(207902), // Rule ID 2718 //
     /*  207862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207887 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  207890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207900 */     GIR_RootConstrainSelectedInstOperands,
     /*  207901 */     // GIR_Coverage, 2718,
     /*  207901 */     GIR_EraseRootFromParent_Done,
     /*  207902 */   // Label 4183: @207902
     /*  207902 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(207947), // Rule ID 2719 //
     /*  207907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207932 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  207935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207945 */     GIR_RootConstrainSelectedInstOperands,
     /*  207946 */     // GIR_Coverage, 2719,
     /*  207946 */     GIR_EraseRootFromParent_Done,
     /*  207947 */   // Label 4184: @207947
     /*  207947 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(207992), // Rule ID 23268 //
     /*  207952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  207963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207977 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  207980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207990 */     GIR_RootConstrainSelectedInstOperands,
     /*  207991 */     // GIR_Coverage, 23268,
     /*  207991 */     GIR_EraseRootFromParent_Done,
     /*  207992 */   // Label 4185: @207992
     /*  207992 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(208037), // Rule ID 23269 //
     /*  207997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  208005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208022 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  208025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208035 */     GIR_RootConstrainSelectedInstOperands,
     /*  208036 */     // GIR_Coverage, 23269,
     /*  208036 */     GIR_EraseRootFromParent_Done,
     /*  208037 */   // Label 4186: @208037
     /*  208037 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(208082), // Rule ID 23270 //
     /*  208042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  208050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208067 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  208070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208080 */     GIR_RootConstrainSelectedInstOperands,
     /*  208081 */     // GIR_Coverage, 23270,
     /*  208081 */     GIR_EraseRootFromParent_Done,
     /*  208082 */   // Label 4187: @208082
     /*  208082 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(208127), // Rule ID 23271 //
     /*  208087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  208095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  208115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208125 */     GIR_RootConstrainSelectedInstOperands,
     /*  208126 */     // GIR_Coverage, 23271,
     /*  208126 */     GIR_EraseRootFromParent_Done,
     /*  208127 */   // Label 4188: @208127
     /*  208127 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(208172), // Rule ID 23272 //
     /*  208132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  208140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  208143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208157 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  208160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208170 */     GIR_RootConstrainSelectedInstOperands,
     /*  208171 */     // GIR_Coverage, 23272,
     /*  208171 */     GIR_EraseRootFromParent_Done,
     /*  208172 */   // Label 4189: @208172
     /*  208172 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(208217), // Rule ID 23273 //
     /*  208177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  208185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  208188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208202 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  208205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208215 */     GIR_RootConstrainSelectedInstOperands,
     /*  208216 */     // GIR_Coverage, 23273,
     /*  208216 */     GIR_EraseRootFromParent_Done,
     /*  208217 */   // Label 4190: @208217
     /*  208217 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(208262), // Rule ID 23274 //
     /*  208222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  208230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  208233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208247 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  208250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208260 */     GIR_RootConstrainSelectedInstOperands,
     /*  208261 */     // GIR_Coverage, 23274,
     /*  208261 */     GIR_EraseRootFromParent_Done,
     /*  208262 */   // Label 4191: @208262
     /*  208262 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(208307), // Rule ID 23275 //
     /*  208267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  208275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  208278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  208295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208305 */     GIR_RootConstrainSelectedInstOperands,
     /*  208306 */     // GIR_Coverage, 23275,
     /*  208306 */     GIR_EraseRootFromParent_Done,
     /*  208307 */   // Label 4192: @208307
     /*  208307 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(208352), // Rule ID 23276 //
     /*  208312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  208320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  208323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208337 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  208340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208350 */     GIR_RootConstrainSelectedInstOperands,
     /*  208351 */     // GIR_Coverage, 23276,
     /*  208351 */     GIR_EraseRootFromParent_Done,
     /*  208352 */   // Label 4193: @208352
     /*  208352 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(208397), // Rule ID 23277 //
     /*  208357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  208365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  208368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208382 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  208385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208395 */     GIR_RootConstrainSelectedInstOperands,
     /*  208396 */     // GIR_Coverage, 23277,
     /*  208396 */     GIR_EraseRootFromParent_Done,
     /*  208397 */   // Label 4194: @208397
     /*  208397 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(208442), // Rule ID 23278 //
     /*  208402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  208410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  208413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208427 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  208430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208440 */     GIR_RootConstrainSelectedInstOperands,
     /*  208441 */     // GIR_Coverage, 23278,
     /*  208441 */     GIR_EraseRootFromParent_Done,
     /*  208442 */   // Label 4195: @208442
     /*  208442 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(208487), // Rule ID 23279 //
     /*  208447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  208455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  208458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208472 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11434:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  208475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208485 */     GIR_RootConstrainSelectedInstOperands,
     /*  208486 */     // GIR_Coverage, 23279,
     /*  208486 */     GIR_EraseRootFromParent_Done,
     /*  208487 */   // Label 4196: @208487
     /*  208487 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(208532), // Rule ID 23280 //
     /*  208492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208517 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  208520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208530 */     GIR_RootConstrainSelectedInstOperands,
     /*  208531 */     // GIR_Coverage, 23280,
     /*  208531 */     GIR_EraseRootFromParent_Done,
     /*  208532 */   // Label 4197: @208532
     /*  208532 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(208577), // Rule ID 23281 //
     /*  208537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208562 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  208565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208575 */     GIR_RootConstrainSelectedInstOperands,
     /*  208576 */     // GIR_Coverage, 23281,
     /*  208576 */     GIR_EraseRootFromParent_Done,
     /*  208577 */   // Label 4198: @208577
     /*  208577 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(208622), // Rule ID 23282 //
     /*  208582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208607 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  208610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208620 */     GIR_RootConstrainSelectedInstOperands,
     /*  208621 */     // GIR_Coverage, 23282,
     /*  208621 */     GIR_EraseRootFromParent_Done,
     /*  208622 */   // Label 4199: @208622
     /*  208622 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(208667), // Rule ID 23283 //
     /*  208627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  208655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208665 */     GIR_RootConstrainSelectedInstOperands,
     /*  208666 */     // GIR_Coverage, 23283,
     /*  208666 */     GIR_EraseRootFromParent_Done,
     /*  208667 */   // Label 4200: @208667
     /*  208667 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(208712), // Rule ID 23284 //
     /*  208672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208697 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  208700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208710 */     GIR_RootConstrainSelectedInstOperands,
     /*  208711 */     // GIR_Coverage, 23284,
     /*  208711 */     GIR_EraseRootFromParent_Done,
     /*  208712 */   // Label 4201: @208712
     /*  208712 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(208757), // Rule ID 23285 //
     /*  208717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208742 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  208745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208755 */     GIR_RootConstrainSelectedInstOperands,
     /*  208756 */     // GIR_Coverage, 23285,
     /*  208756 */     GIR_EraseRootFromParent_Done,
     /*  208757 */   // Label 4202: @208757
     /*  208757 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(208802), // Rule ID 23286 //
     /*  208762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  208773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208787 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  208790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208800 */     GIR_RootConstrainSelectedInstOperands,
     /*  208801 */     // GIR_Coverage, 23286,
     /*  208801 */     GIR_EraseRootFromParent_Done,
     /*  208802 */   // Label 4203: @208802
     /*  208802 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(208847), // Rule ID 23287 //
     /*  208807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  208818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208832 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  208835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208845 */     GIR_RootConstrainSelectedInstOperands,
     /*  208846 */     // GIR_Coverage, 23287,
     /*  208846 */     GIR_EraseRootFromParent_Done,
     /*  208847 */   // Label 4204: @208847
     /*  208847 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(208892), // Rule ID 23288 //
     /*  208852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  208863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208877 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  208880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208890 */     GIR_RootConstrainSelectedInstOperands,
     /*  208891 */     // GIR_Coverage, 23288,
     /*  208891 */     GIR_EraseRootFromParent_Done,
     /*  208892 */   // Label 4205: @208892
     /*  208892 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(208937), // Rule ID 23289 //
     /*  208897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  208908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208922 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  208925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208935 */     GIR_RootConstrainSelectedInstOperands,
     /*  208936 */     // GIR_Coverage, 23289,
     /*  208936 */     GIR_EraseRootFromParent_Done,
     /*  208937 */   // Label 4206: @208937
     /*  208937 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(208982), // Rule ID 23290 //
     /*  208942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  208953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208967 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  208970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208980 */     GIR_RootConstrainSelectedInstOperands,
     /*  208981 */     // GIR_Coverage, 23290,
     /*  208981 */     GIR_EraseRootFromParent_Done,
     /*  208982 */   // Label 4207: @208982
     /*  208982 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(209027), // Rule ID 23291 //
     /*  208987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  208995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  208998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  209001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209012 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  209015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209025 */     GIR_RootConstrainSelectedInstOperands,
     /*  209026 */     // GIR_Coverage, 23291,
     /*  209026 */     GIR_EraseRootFromParent_Done,
     /*  209027 */   // Label 4208: @209027
     /*  209027 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(209072), // Rule ID 23292 //
     /*  209032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  209040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  209043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  209046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209057 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  209060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209070 */     GIR_RootConstrainSelectedInstOperands,
     /*  209071 */     // GIR_Coverage, 23292,
     /*  209071 */     GIR_EraseRootFromParent_Done,
     /*  209072 */   // Label 4209: @209072
     /*  209072 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(209117), // Rule ID 23293 //
     /*  209077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  209085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  209088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  209091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209102 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11462:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  209105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209115 */     GIR_RootConstrainSelectedInstOperands,
     /*  209116 */     // GIR_Coverage, 23293,
     /*  209116 */     GIR_EraseRootFromParent_Done,
     /*  209117 */   // Label 4210: @209117
     /*  209117 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(209153), // Rule ID 2655 //
     /*  209122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  209125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64im),
     /*  209130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  209136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209144 */     // (intrinsic_wo_chain:{ *:[i64] } 10976:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (AES64IM:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  209144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64IM),
     /*  209147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209151 */     GIR_RootConstrainSelectedInstOperands,
     /*  209152 */     // GIR_Coverage, 2655,
     /*  209152 */     GIR_EraseRootFromParent_Done,
     /*  209153 */   // Label 4211: @209153
     /*  209153 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(209189), // Rule ID 2676 //
     /*  209158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  209161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0),
     /*  209166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  209172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209180 */     // (intrinsic_wo_chain:{ *:[i64] } 11129:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  209180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0),
     /*  209183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209187 */     GIR_RootConstrainSelectedInstOperands,
     /*  209188 */     // GIR_Coverage, 2676,
     /*  209188 */     GIR_EraseRootFromParent_Done,
     /*  209189 */   // Label 4212: @209189
     /*  209189 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(209225), // Rule ID 2677 //
     /*  209194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  209197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1),
     /*  209202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  209208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209216 */     // (intrinsic_wo_chain:{ *:[i64] } 11132:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  209216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1),
     /*  209219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209223 */     GIR_RootConstrainSelectedInstOperands,
     /*  209224 */     // GIR_Coverage, 2677,
     /*  209224 */     GIR_EraseRootFromParent_Done,
     /*  209225 */   // Label 4213: @209225
     /*  209225 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(209261), // Rule ID 2678 //
     /*  209230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  209233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0),
     /*  209238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  209244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209252 */     // (intrinsic_wo_chain:{ *:[i64] } 11135:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  209252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0),
     /*  209255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209259 */     GIR_RootConstrainSelectedInstOperands,
     /*  209260 */     // GIR_Coverage, 2678,
     /*  209260 */     GIR_EraseRootFromParent_Done,
     /*  209261 */   // Label 4214: @209261
     /*  209261 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(209297), // Rule ID 2679 //
     /*  209266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  209269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1),
     /*  209274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  209280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209288 */     // (intrinsic_wo_chain:{ *:[i64] } 11137:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  209288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1),
     /*  209291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209295 */     GIR_RootConstrainSelectedInstOperands,
     /*  209296 */     // GIR_Coverage, 2679,
     /*  209296 */     GIR_EraseRootFromParent_Done,
     /*  209297 */   // Label 4215: @209297
     /*  209297 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(209333), // Rule ID 64446 //
     /*  209302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  209305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_clb),
     /*  209310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  209316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209324 */     // (intrinsic_wo_chain:{ *:[i32] } 10996:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1)  =>  (CV_CLB:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  209324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLB),
     /*  209327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209331 */     GIR_RootConstrainSelectedInstOperands,
     /*  209332 */     // GIR_Coverage, 64446,
     /*  209332 */     GIR_EraseRootFromParent_Done,
     /*  209333 */   // Label 4216: @209333
     /*  209333 */   GIM_Reject,
     /*  209334 */ // Label 4182: @209334
     /*  209334 */ GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(216622),
     /*  209339 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  209342 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(209396), // Rule ID 2688 //
     /*  209347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209379 */     // (intrinsic_wo_chain:{ *:[i64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  209382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209394 */     GIR_RootConstrainSelectedInstOperands,
     /*  209395 */     // GIR_Coverage, 2688,
     /*  209395 */     GIR_EraseRootFromParent_Done,
     /*  209396 */   // Label 4218: @209396
     /*  209396 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(209450), // Rule ID 2689 //
     /*  209401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209433 */     // (intrinsic_wo_chain:{ *:[i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  209436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209448 */     GIR_RootConstrainSelectedInstOperands,
     /*  209449 */     // GIR_Coverage, 2689,
     /*  209449 */     GIR_EraseRootFromParent_Done,
     /*  209450 */   // Label 4219: @209450
     /*  209450 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(209504), // Rule ID 2694 //
     /*  209455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  209463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209487 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  209490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209502 */     GIR_RootConstrainSelectedInstOperands,
     /*  209503 */     // GIR_Coverage, 2694,
     /*  209503 */     GIR_EraseRootFromParent_Done,
     /*  209504 */   // Label 4220: @209504
     /*  209504 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(209558), // Rule ID 2695 //
     /*  209509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  209517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209541 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  209544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209556 */     GIR_RootConstrainSelectedInstOperands,
     /*  209557 */     // GIR_Coverage, 2695,
     /*  209557 */     GIR_EraseRootFromParent_Done,
     /*  209558 */   // Label 4221: @209558
     /*  209558 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(209615), // Rule ID 2714 //
     /*  209563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  209571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  209574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  209577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209595 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  209595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  209598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  209602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209613 */     GIR_RootConstrainSelectedInstOperands,
     /*  209614 */     // GIR_Coverage, 2714,
     /*  209614 */     GIR_EraseRootFromParent_Done,
     /*  209615 */   // Label 4222: @209615
     /*  209615 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(209672), // Rule ID 2715 //
     /*  209620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  209628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  209631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  209634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209652 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  209652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  209655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  209659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209670 */     GIR_RootConstrainSelectedInstOperands,
     /*  209671 */     // GIR_Coverage, 2715,
     /*  209671 */     GIR_EraseRootFromParent_Done,
     /*  209672 */   // Label 4223: @209672
     /*  209672 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(209726), // Rule ID 23294 //
     /*  209677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209709 */     // (intrinsic_wo_chain:{ *:[i64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  209712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209724 */     GIR_RootConstrainSelectedInstOperands,
     /*  209725 */     // GIR_Coverage, 23294,
     /*  209725 */     GIR_EraseRootFromParent_Done,
     /*  209726 */   // Label 4224: @209726
     /*  209726 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(209780), // Rule ID 23295 //
     /*  209731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209763 */     // (intrinsic_wo_chain:{ *:[i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  209766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209778 */     GIR_RootConstrainSelectedInstOperands,
     /*  209779 */     // GIR_Coverage, 23295,
     /*  209779 */     GIR_EraseRootFromParent_Done,
     /*  209780 */   // Label 4225: @209780
     /*  209780 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(209834), // Rule ID 23298 //
     /*  209785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209817 */     // (intrinsic_wo_chain:{ *:[i64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  209820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209832 */     GIR_RootConstrainSelectedInstOperands,
     /*  209833 */     // GIR_Coverage, 23298,
     /*  209833 */     GIR_EraseRootFromParent_Done,
     /*  209834 */   // Label 4226: @209834
     /*  209834 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(209888), // Rule ID 23299 //
     /*  209839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209871 */     // (intrinsic_wo_chain:{ *:[i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  209874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209886 */     GIR_RootConstrainSelectedInstOperands,
     /*  209887 */     // GIR_Coverage, 23299,
     /*  209887 */     GIR_EraseRootFromParent_Done,
     /*  209888 */   // Label 4227: @209888
     /*  209888 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(209942), // Rule ID 23302 //
     /*  209893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209925 */     // (intrinsic_wo_chain:{ *:[i64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  209928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209940 */     GIR_RootConstrainSelectedInstOperands,
     /*  209941 */     // GIR_Coverage, 23302,
     /*  209941 */     GIR_EraseRootFromParent_Done,
     /*  209942 */   // Label 4228: @209942
     /*  209942 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(209996), // Rule ID 23303 //
     /*  209947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209979 */     // (intrinsic_wo_chain:{ *:[i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  209982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209994 */     GIR_RootConstrainSelectedInstOperands,
     /*  209995 */     // GIR_Coverage, 23303,
     /*  209995 */     GIR_EraseRootFromParent_Done,
     /*  209996 */   // Label 4229: @209996
     /*  209996 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(210050), // Rule ID 23306 //
     /*  210001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  210009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210033 */     // (intrinsic_wo_chain:{ *:[i64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  210036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210048 */     GIR_RootConstrainSelectedInstOperands,
     /*  210049 */     // GIR_Coverage, 23306,
     /*  210049 */     GIR_EraseRootFromParent_Done,
     /*  210050 */   // Label 4230: @210050
     /*  210050 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(210104), // Rule ID 23307 //
     /*  210055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  210063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210087 */     // (intrinsic_wo_chain:{ *:[i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  210090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210102 */     GIR_RootConstrainSelectedInstOperands,
     /*  210103 */     // GIR_Coverage, 23307,
     /*  210103 */     GIR_EraseRootFromParent_Done,
     /*  210104 */   // Label 4231: @210104
     /*  210104 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(210158), // Rule ID 23310 //
     /*  210109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  210117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210141 */     // (intrinsic_wo_chain:{ *:[i64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  210144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210156 */     GIR_RootConstrainSelectedInstOperands,
     /*  210157 */     // GIR_Coverage, 23310,
     /*  210157 */     GIR_EraseRootFromParent_Done,
     /*  210158 */   // Label 4232: @210158
     /*  210158 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(210212), // Rule ID 23311 //
     /*  210163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  210171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210195 */     // (intrinsic_wo_chain:{ *:[i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  210198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210210 */     GIR_RootConstrainSelectedInstOperands,
     /*  210211 */     // GIR_Coverage, 23311,
     /*  210211 */     GIR_EraseRootFromParent_Done,
     /*  210212 */   // Label 4233: @210212
     /*  210212 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(210266), // Rule ID 23314 //
     /*  210217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  210225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210249 */     // (intrinsic_wo_chain:{ *:[i64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  210252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210264 */     GIR_RootConstrainSelectedInstOperands,
     /*  210265 */     // GIR_Coverage, 23314,
     /*  210265 */     GIR_EraseRootFromParent_Done,
     /*  210266 */   // Label 4234: @210266
     /*  210266 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(210320), // Rule ID 23315 //
     /*  210271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  210279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210303 */     // (intrinsic_wo_chain:{ *:[i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  210306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210318 */     GIR_RootConstrainSelectedInstOperands,
     /*  210319 */     // GIR_Coverage, 23315,
     /*  210319 */     GIR_EraseRootFromParent_Done,
     /*  210320 */   // Label 4235: @210320
     /*  210320 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(210374), // Rule ID 23318 //
     /*  210325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  210339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210357 */     // (intrinsic_wo_chain:{ *:[i64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  210360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210372 */     GIR_RootConstrainSelectedInstOperands,
     /*  210373 */     // GIR_Coverage, 23318,
     /*  210373 */     GIR_EraseRootFromParent_Done,
     /*  210374 */   // Label 4236: @210374
     /*  210374 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(210428), // Rule ID 23319 //
     /*  210379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  210393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210411 */     // (intrinsic_wo_chain:{ *:[i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  210414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210426 */     GIR_RootConstrainSelectedInstOperands,
     /*  210427 */     // GIR_Coverage, 23319,
     /*  210427 */     GIR_EraseRootFromParent_Done,
     /*  210428 */   // Label 4237: @210428
     /*  210428 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(210482), // Rule ID 23322 //
     /*  210433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210465 */     // (intrinsic_wo_chain:{ *:[i64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  210468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210480 */     GIR_RootConstrainSelectedInstOperands,
     /*  210481 */     // GIR_Coverage, 23322,
     /*  210481 */     GIR_EraseRootFromParent_Done,
     /*  210482 */   // Label 4238: @210482
     /*  210482 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(210536), // Rule ID 23323 //
     /*  210487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210519 */     // (intrinsic_wo_chain:{ *:[i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  210522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210534 */     GIR_RootConstrainSelectedInstOperands,
     /*  210535 */     // GIR_Coverage, 23323,
     /*  210535 */     GIR_EraseRootFromParent_Done,
     /*  210536 */   // Label 4239: @210536
     /*  210536 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(210590), // Rule ID 23326 //
     /*  210541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210573 */     // (intrinsic_wo_chain:{ *:[i64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  210576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210588 */     GIR_RootConstrainSelectedInstOperands,
     /*  210589 */     // GIR_Coverage, 23326,
     /*  210589 */     GIR_EraseRootFromParent_Done,
     /*  210590 */   // Label 4240: @210590
     /*  210590 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(210644), // Rule ID 23327 //
     /*  210595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210627 */     // (intrinsic_wo_chain:{ *:[i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  210630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210642 */     GIR_RootConstrainSelectedInstOperands,
     /*  210643 */     // GIR_Coverage, 23327,
     /*  210643 */     GIR_EraseRootFromParent_Done,
     /*  210644 */   // Label 4241: @210644
     /*  210644 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(210698), // Rule ID 23330 //
     /*  210649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210681 */     // (intrinsic_wo_chain:{ *:[i64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  210684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210696 */     GIR_RootConstrainSelectedInstOperands,
     /*  210697 */     // GIR_Coverage, 23330,
     /*  210697 */     GIR_EraseRootFromParent_Done,
     /*  210698 */   // Label 4242: @210698
     /*  210698 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(210752), // Rule ID 23331 //
     /*  210703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210735 */     // (intrinsic_wo_chain:{ *:[i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  210738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210750 */     GIR_RootConstrainSelectedInstOperands,
     /*  210751 */     // GIR_Coverage, 23331,
     /*  210751 */     GIR_EraseRootFromParent_Done,
     /*  210752 */   // Label 4243: @210752
     /*  210752 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(210806), // Rule ID 23334 //
     /*  210757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210789 */     // (intrinsic_wo_chain:{ *:[i64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  210792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210804 */     GIR_RootConstrainSelectedInstOperands,
     /*  210805 */     // GIR_Coverage, 23334,
     /*  210805 */     GIR_EraseRootFromParent_Done,
     /*  210806 */   // Label 4244: @210806
     /*  210806 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(210860), // Rule ID 23335 //
     /*  210811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210843 */     // (intrinsic_wo_chain:{ *:[i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  210846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210858 */     GIR_RootConstrainSelectedInstOperands,
     /*  210859 */     // GIR_Coverage, 23335,
     /*  210859 */     GIR_EraseRootFromParent_Done,
     /*  210860 */   // Label 4245: @210860
     /*  210860 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(210914), // Rule ID 23338 //
     /*  210865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210897 */     // (intrinsic_wo_chain:{ *:[i64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  210900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210912 */     GIR_RootConstrainSelectedInstOperands,
     /*  210913 */     // GIR_Coverage, 23338,
     /*  210913 */     GIR_EraseRootFromParent_Done,
     /*  210914 */   // Label 4246: @210914
     /*  210914 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(210968), // Rule ID 23339 //
     /*  210919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  210930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210951 */     // (intrinsic_wo_chain:{ *:[i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  210954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210966 */     GIR_RootConstrainSelectedInstOperands,
     /*  210967 */     // GIR_Coverage, 23339,
     /*  210967 */     GIR_EraseRootFromParent_Done,
     /*  210968 */   // Label 4247: @210968
     /*  210968 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(211022), // Rule ID 23342 //
     /*  210973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  210981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  210984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211005 */     // (intrinsic_wo_chain:{ *:[i64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  211008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211020 */     GIR_RootConstrainSelectedInstOperands,
     /*  211021 */     // GIR_Coverage, 23342,
     /*  211021 */     GIR_EraseRootFromParent_Done,
     /*  211022 */   // Label 4248: @211022
     /*  211022 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(211076), // Rule ID 23343 //
     /*  211027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  211035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  211038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  211041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211059 */     // (intrinsic_wo_chain:{ *:[i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  211062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211074 */     GIR_RootConstrainSelectedInstOperands,
     /*  211075 */     // GIR_Coverage, 23343,
     /*  211075 */     GIR_EraseRootFromParent_Done,
     /*  211076 */   // Label 4249: @211076
     /*  211076 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(211130), // Rule ID 23346 //
     /*  211081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211113 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  211116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211128 */     GIR_RootConstrainSelectedInstOperands,
     /*  211129 */     // GIR_Coverage, 23346,
     /*  211129 */     GIR_EraseRootFromParent_Done,
     /*  211130 */   // Label 4250: @211130
     /*  211130 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(211184), // Rule ID 23347 //
     /*  211135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211167 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  211170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211182 */     GIR_RootConstrainSelectedInstOperands,
     /*  211183 */     // GIR_Coverage, 23347,
     /*  211183 */     GIR_EraseRootFromParent_Done,
     /*  211184 */   // Label 4251: @211184
     /*  211184 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(211238), // Rule ID 23350 //
     /*  211189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  211203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211221 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  211224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211236 */     GIR_RootConstrainSelectedInstOperands,
     /*  211237 */     // GIR_Coverage, 23350,
     /*  211237 */     GIR_EraseRootFromParent_Done,
     /*  211238 */   // Label 4252: @211238
     /*  211238 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(211292), // Rule ID 23351 //
     /*  211243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  211257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211275 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  211278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211290 */     GIR_RootConstrainSelectedInstOperands,
     /*  211291 */     // GIR_Coverage, 23351,
     /*  211291 */     GIR_EraseRootFromParent_Done,
     /*  211292 */   // Label 4253: @211292
     /*  211292 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(211346), // Rule ID 23354 //
     /*  211297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  211311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211329 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  211332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211344 */     GIR_RootConstrainSelectedInstOperands,
     /*  211345 */     // GIR_Coverage, 23354,
     /*  211345 */     GIR_EraseRootFromParent_Done,
     /*  211346 */   // Label 4254: @211346
     /*  211346 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(211400), // Rule ID 23355 //
     /*  211351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  211365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211383 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  211386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211398 */     GIR_RootConstrainSelectedInstOperands,
     /*  211399 */     // GIR_Coverage, 23355,
     /*  211399 */     GIR_EraseRootFromParent_Done,
     /*  211400 */   // Label 4255: @211400
     /*  211400 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(211454), // Rule ID 23358 //
     /*  211405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211437 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  211440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211452 */     GIR_RootConstrainSelectedInstOperands,
     /*  211453 */     // GIR_Coverage, 23358,
     /*  211453 */     GIR_EraseRootFromParent_Done,
     /*  211454 */   // Label 4256: @211454
     /*  211454 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(211508), // Rule ID 23359 //
     /*  211459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211491 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  211494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211506 */     GIR_RootConstrainSelectedInstOperands,
     /*  211507 */     // GIR_Coverage, 23359,
     /*  211507 */     GIR_EraseRootFromParent_Done,
     /*  211508 */   // Label 4257: @211508
     /*  211508 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(211562), // Rule ID 23362 //
     /*  211513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  211527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211545 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  211548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211560 */     GIR_RootConstrainSelectedInstOperands,
     /*  211561 */     // GIR_Coverage, 23362,
     /*  211561 */     GIR_EraseRootFromParent_Done,
     /*  211562 */   // Label 4258: @211562
     /*  211562 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(211616), // Rule ID 23363 //
     /*  211567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  211581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211599 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  211602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211614 */     GIR_RootConstrainSelectedInstOperands,
     /*  211615 */     // GIR_Coverage, 23363,
     /*  211615 */     GIR_EraseRootFromParent_Done,
     /*  211616 */   // Label 4259: @211616
     /*  211616 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(211670), // Rule ID 23366 //
     /*  211621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  211635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211653 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  211656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211668 */     GIR_RootConstrainSelectedInstOperands,
     /*  211669 */     // GIR_Coverage, 23366,
     /*  211669 */     GIR_EraseRootFromParent_Done,
     /*  211670 */   // Label 4260: @211670
     /*  211670 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(211724), // Rule ID 23367 //
     /*  211675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  211683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  211689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211707 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  211710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211722 */     GIR_RootConstrainSelectedInstOperands,
     /*  211723 */     // GIR_Coverage, 23367,
     /*  211723 */     GIR_EraseRootFromParent_Done,
     /*  211724 */   // Label 4261: @211724
     /*  211724 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(211778), // Rule ID 23370 //
     /*  211729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211761 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  211764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211776 */     GIR_RootConstrainSelectedInstOperands,
     /*  211777 */     // GIR_Coverage, 23370,
     /*  211777 */     GIR_EraseRootFromParent_Done,
     /*  211778 */   // Label 4262: @211778
     /*  211778 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(211832), // Rule ID 23371 //
     /*  211783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211815 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  211818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211830 */     GIR_RootConstrainSelectedInstOperands,
     /*  211831 */     // GIR_Coverage, 23371,
     /*  211831 */     GIR_EraseRootFromParent_Done,
     /*  211832 */   // Label 4263: @211832
     /*  211832 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(211886), // Rule ID 23374 //
     /*  211837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211869 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  211872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211884 */     GIR_RootConstrainSelectedInstOperands,
     /*  211885 */     // GIR_Coverage, 23374,
     /*  211885 */     GIR_EraseRootFromParent_Done,
     /*  211886 */   // Label 4264: @211886
     /*  211886 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(211940), // Rule ID 23375 //
     /*  211891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211923 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  211926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211938 */     GIR_RootConstrainSelectedInstOperands,
     /*  211939 */     // GIR_Coverage, 23375,
     /*  211939 */     GIR_EraseRootFromParent_Done,
     /*  211940 */   // Label 4265: @211940
     /*  211940 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(211994), // Rule ID 23378 //
     /*  211945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  211959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211977 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  211980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211992 */     GIR_RootConstrainSelectedInstOperands,
     /*  211993 */     // GIR_Coverage, 23378,
     /*  211993 */     GIR_EraseRootFromParent_Done,
     /*  211994 */   // Label 4266: @211994
     /*  211994 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(212048), // Rule ID 23379 //
     /*  211999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  212007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  212013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212031 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  212034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212046 */     GIR_RootConstrainSelectedInstOperands,
     /*  212047 */     // GIR_Coverage, 23379,
     /*  212047 */     GIR_EraseRootFromParent_Done,
     /*  212048 */   // Label 4267: @212048
     /*  212048 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(212102), // Rule ID 23382 //
     /*  212053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  212061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  212067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212085 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  212088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212100 */     GIR_RootConstrainSelectedInstOperands,
     /*  212101 */     // GIR_Coverage, 23382,
     /*  212101 */     GIR_EraseRootFromParent_Done,
     /*  212102 */   // Label 4268: @212102
     /*  212102 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(212156), // Rule ID 23383 //
     /*  212107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  212115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  212121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212139 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  212142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212154 */     GIR_RootConstrainSelectedInstOperands,
     /*  212155 */     // GIR_Coverage, 23383,
     /*  212155 */     GIR_EraseRootFromParent_Done,
     /*  212156 */   // Label 4269: @212156
     /*  212156 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(212210), // Rule ID 23386 //
     /*  212161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  212169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  212175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212193 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  212196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212208 */     GIR_RootConstrainSelectedInstOperands,
     /*  212209 */     // GIR_Coverage, 23386,
     /*  212209 */     GIR_EraseRootFromParent_Done,
     /*  212210 */   // Label 4270: @212210
     /*  212210 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(212264), // Rule ID 23387 //
     /*  212215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  212223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  212229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212247 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  212250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212262 */     GIR_RootConstrainSelectedInstOperands,
     /*  212263 */     // GIR_Coverage, 23387,
     /*  212263 */     GIR_EraseRootFromParent_Done,
     /*  212264 */   // Label 4271: @212264
     /*  212264 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(212318), // Rule ID 23390 //
     /*  212269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  212277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  212283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212301 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  212304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212316 */     GIR_RootConstrainSelectedInstOperands,
     /*  212317 */     // GIR_Coverage, 23390,
     /*  212317 */     GIR_EraseRootFromParent_Done,
     /*  212318 */   // Label 4272: @212318
     /*  212318 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(212372), // Rule ID 23391 //
     /*  212323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  212331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  212337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212355 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  212358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212370 */     GIR_RootConstrainSelectedInstOperands,
     /*  212371 */     // GIR_Coverage, 23391,
     /*  212371 */     GIR_EraseRootFromParent_Done,
     /*  212372 */   // Label 4273: @212372
     /*  212372 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(212426), // Rule ID 23394 //
     /*  212377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  212385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  212391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212409 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  212412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212424 */     GIR_RootConstrainSelectedInstOperands,
     /*  212425 */     // GIR_Coverage, 23394,
     /*  212425 */     GIR_EraseRootFromParent_Done,
     /*  212426 */   // Label 4274: @212426
     /*  212426 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(212480), // Rule ID 23395 //
     /*  212431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  212439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  212445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212463 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11471:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  212466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212478 */     GIR_RootConstrainSelectedInstOperands,
     /*  212479 */     // GIR_Coverage, 23395,
     /*  212479 */     GIR_EraseRootFromParent_Done,
     /*  212480 */   // Label 4275: @212480
     /*  212480 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(212534), // Rule ID 23398 //
     /*  212485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  212499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212517 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  212520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212532 */     GIR_RootConstrainSelectedInstOperands,
     /*  212533 */     // GIR_Coverage, 23398,
     /*  212533 */     GIR_EraseRootFromParent_Done,
     /*  212534 */   // Label 4276: @212534
     /*  212534 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(212588), // Rule ID 23399 //
     /*  212539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  212553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212571 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  212574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212586 */     GIR_RootConstrainSelectedInstOperands,
     /*  212587 */     // GIR_Coverage, 23399,
     /*  212587 */     GIR_EraseRootFromParent_Done,
     /*  212588 */   // Label 4277: @212588
     /*  212588 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(212642), // Rule ID 23402 //
     /*  212593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  212607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212625 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  212628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212640 */     GIR_RootConstrainSelectedInstOperands,
     /*  212641 */     // GIR_Coverage, 23402,
     /*  212641 */     GIR_EraseRootFromParent_Done,
     /*  212642 */   // Label 4278: @212642
     /*  212642 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(212696), // Rule ID 23403 //
     /*  212647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  212661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212679 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  212682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212694 */     GIR_RootConstrainSelectedInstOperands,
     /*  212695 */     // GIR_Coverage, 23403,
     /*  212695 */     GIR_EraseRootFromParent_Done,
     /*  212696 */   // Label 4279: @212696
     /*  212696 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(212750), // Rule ID 23406 //
     /*  212701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  212715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212733 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  212736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212748 */     GIR_RootConstrainSelectedInstOperands,
     /*  212749 */     // GIR_Coverage, 23406,
     /*  212749 */     GIR_EraseRootFromParent_Done,
     /*  212750 */   // Label 4280: @212750
     /*  212750 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(212804), // Rule ID 23407 //
     /*  212755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  212769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212787 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  212790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212802 */     GIR_RootConstrainSelectedInstOperands,
     /*  212803 */     // GIR_Coverage, 23407,
     /*  212803 */     GIR_EraseRootFromParent_Done,
     /*  212804 */   // Label 4281: @212804
     /*  212804 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(212858), // Rule ID 23410 //
     /*  212809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  212823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212841 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  212844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212856 */     GIR_RootConstrainSelectedInstOperands,
     /*  212857 */     // GIR_Coverage, 23410,
     /*  212857 */     GIR_EraseRootFromParent_Done,
     /*  212858 */   // Label 4282: @212858
     /*  212858 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(212912), // Rule ID 23411 //
     /*  212863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  212877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212895 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  212898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212910 */     GIR_RootConstrainSelectedInstOperands,
     /*  212911 */     // GIR_Coverage, 23411,
     /*  212911 */     GIR_EraseRootFromParent_Done,
     /*  212912 */   // Label 4283: @212912
     /*  212912 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(212966), // Rule ID 23414 //
     /*  212917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  212931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212949 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  212952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212964 */     GIR_RootConstrainSelectedInstOperands,
     /*  212965 */     // GIR_Coverage, 23414,
     /*  212965 */     GIR_EraseRootFromParent_Done,
     /*  212966 */   // Label 4284: @212966
     /*  212966 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(213020), // Rule ID 23415 //
     /*  212971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  212985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213003 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  213006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213018 */     GIR_RootConstrainSelectedInstOperands,
     /*  213019 */     // GIR_Coverage, 23415,
     /*  213019 */     GIR_EraseRootFromParent_Done,
     /*  213020 */   // Label 4285: @213020
     /*  213020 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(213074), // Rule ID 23418 //
     /*  213025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  213033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  213036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  213039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213057 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  213060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213072 */     GIR_RootConstrainSelectedInstOperands,
     /*  213073 */     // GIR_Coverage, 23418,
     /*  213073 */     GIR_EraseRootFromParent_Done,
     /*  213074 */   // Label 4286: @213074
     /*  213074 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(213128), // Rule ID 23419 //
     /*  213079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  213087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  213090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  213093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213111 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  213114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213126 */     GIR_RootConstrainSelectedInstOperands,
     /*  213127 */     // GIR_Coverage, 23419,
     /*  213127 */     GIR_EraseRootFromParent_Done,
     /*  213128 */   // Label 4287: @213128
     /*  213128 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(213182), // Rule ID 23422 //
     /*  213133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  213141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  213144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  213147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213165 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  213168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213180 */     GIR_RootConstrainSelectedInstOperands,
     /*  213181 */     // GIR_Coverage, 23422,
     /*  213181 */     GIR_EraseRootFromParent_Done,
     /*  213182 */   // Label 4288: @213182
     /*  213182 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(213236), // Rule ID 23423 //
     /*  213187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  213195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  213198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  213201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213219 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11483:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  213222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213234 */     GIR_RootConstrainSelectedInstOperands,
     /*  213235 */     // GIR_Coverage, 23423,
     /*  213235 */     GIR_EraseRootFromParent_Done,
     /*  213236 */   // Label 4289: @213236
     /*  213236 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(213293), // Rule ID 23510 //
     /*  213241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  213252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  213255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213273 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  213276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213291 */     GIR_RootConstrainSelectedInstOperands,
     /*  213292 */     // GIR_Coverage, 23510,
     /*  213292 */     GIR_EraseRootFromParent_Done,
     /*  213293 */   // Label 4290: @213293
     /*  213293 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(213350), // Rule ID 23511 //
     /*  213298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  213309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  213312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213330 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  213333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213348 */     GIR_RootConstrainSelectedInstOperands,
     /*  213349 */     // GIR_Coverage, 23511,
     /*  213349 */     GIR_EraseRootFromParent_Done,
     /*  213350 */   // Label 4291: @213350
     /*  213350 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(213407), // Rule ID 23514 //
     /*  213355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  213366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  213369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213387 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  213390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213405 */     GIR_RootConstrainSelectedInstOperands,
     /*  213406 */     // GIR_Coverage, 23514,
     /*  213406 */     GIR_EraseRootFromParent_Done,
     /*  213407 */   // Label 4292: @213407
     /*  213407 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(213464), // Rule ID 23515 //
     /*  213412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  213423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  213426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213444 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  213447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213462 */     GIR_RootConstrainSelectedInstOperands,
     /*  213463 */     // GIR_Coverage, 23515,
     /*  213463 */     GIR_EraseRootFromParent_Done,
     /*  213464 */   // Label 4293: @213464
     /*  213464 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(213521), // Rule ID 23518 //
     /*  213469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  213480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  213483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  213501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  213504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213519 */     GIR_RootConstrainSelectedInstOperands,
     /*  213520 */     // GIR_Coverage, 23518,
     /*  213520 */     GIR_EraseRootFromParent_Done,
     /*  213521 */   // Label 4294: @213521
     /*  213521 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(213578), // Rule ID 23519 //
     /*  213526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  213537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  213540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213558 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  213558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  213561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213576 */     GIR_RootConstrainSelectedInstOperands,
     /*  213577 */     // GIR_Coverage, 23519,
     /*  213577 */     GIR_EraseRootFromParent_Done,
     /*  213578 */   // Label 4295: @213578
     /*  213578 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(213635), // Rule ID 23522 //
     /*  213583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  213594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  213597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213615 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  213615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  213618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213633 */     GIR_RootConstrainSelectedInstOperands,
     /*  213634 */     // GIR_Coverage, 23522,
     /*  213634 */     GIR_EraseRootFromParent_Done,
     /*  213635 */   // Label 4296: @213635
     /*  213635 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(213692), // Rule ID 23523 //
     /*  213640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  213651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  213654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  213672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  213675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213690 */     GIR_RootConstrainSelectedInstOperands,
     /*  213691 */     // GIR_Coverage, 23523,
     /*  213691 */     GIR_EraseRootFromParent_Done,
     /*  213692 */   // Label 4297: @213692
     /*  213692 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(213749), // Rule ID 23526 //
     /*  213697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  213708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  213711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213729 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  213729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  213732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213747 */     GIR_RootConstrainSelectedInstOperands,
     /*  213748 */     // GIR_Coverage, 23526,
     /*  213748 */     GIR_EraseRootFromParent_Done,
     /*  213749 */   // Label 4298: @213749
     /*  213749 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(213806), // Rule ID 23527 //
     /*  213754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  213765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  213768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  213786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  213789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213804 */     GIR_RootConstrainSelectedInstOperands,
     /*  213805 */     // GIR_Coverage, 23527,
     /*  213805 */     GIR_EraseRootFromParent_Done,
     /*  213806 */   // Label 4299: @213806
     /*  213806 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(213863), // Rule ID 23530 //
     /*  213811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  213822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  213825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213843 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213861 */     GIR_RootConstrainSelectedInstOperands,
     /*  213862 */     // GIR_Coverage, 23530,
     /*  213862 */     GIR_EraseRootFromParent_Done,
     /*  213863 */   // Label 4300: @213863
     /*  213863 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(213920), // Rule ID 23531 //
     /*  213868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  213879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  213882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213900 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213918 */     GIR_RootConstrainSelectedInstOperands,
     /*  213919 */     // GIR_Coverage, 23531,
     /*  213919 */     GIR_EraseRootFromParent_Done,
     /*  213920 */   // Label 4301: @213920
     /*  213920 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(213977), // Rule ID 23534 //
     /*  213925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  213936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  213939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213957 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  213957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213975 */     GIR_RootConstrainSelectedInstOperands,
     /*  213976 */     // GIR_Coverage, 23534,
     /*  213976 */     GIR_EraseRootFromParent_Done,
     /*  213977 */   // Label 4302: @213977
     /*  213977 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(214034), // Rule ID 23535 //
     /*  213982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  213993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  213996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  214017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214032 */     GIR_RootConstrainSelectedInstOperands,
     /*  214033 */     // GIR_Coverage, 23535,
     /*  214033 */     GIR_EraseRootFromParent_Done,
     /*  214034 */   // Label 4303: @214034
     /*  214034 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(214091), // Rule ID 23538 //
     /*  214039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  214050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  214053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  214071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  214074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214089 */     GIR_RootConstrainSelectedInstOperands,
     /*  214090 */     // GIR_Coverage, 23538,
     /*  214090 */     GIR_EraseRootFromParent_Done,
     /*  214091 */   // Label 4304: @214091
     /*  214091 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(214148), // Rule ID 23539 //
     /*  214096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  214107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  214110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  214128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  214131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214146 */     GIR_RootConstrainSelectedInstOperands,
     /*  214147 */     // GIR_Coverage, 23539,
     /*  214147 */     GIR_EraseRootFromParent_Done,
     /*  214148 */   // Label 4305: @214148
     /*  214148 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(214205), // Rule ID 23542 //
     /*  214153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  214164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  214167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214185 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  214185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  214188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214203 */     GIR_RootConstrainSelectedInstOperands,
     /*  214204 */     // GIR_Coverage, 23542,
     /*  214204 */     GIR_EraseRootFromParent_Done,
     /*  214205 */   // Label 4306: @214205
     /*  214205 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(214262), // Rule ID 23543 //
     /*  214210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  214221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  214224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214242 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  214242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  214245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214260 */     GIR_RootConstrainSelectedInstOperands,
     /*  214261 */     // GIR_Coverage, 23543,
     /*  214261 */     GIR_EraseRootFromParent_Done,
     /*  214262 */   // Label 4307: @214262
     /*  214262 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(214319), // Rule ID 23546 //
     /*  214267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  214278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  214281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214299 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  214299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214317 */     GIR_RootConstrainSelectedInstOperands,
     /*  214318 */     // GIR_Coverage, 23546,
     /*  214318 */     GIR_EraseRootFromParent_Done,
     /*  214319 */   // Label 4308: @214319
     /*  214319 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(214376), // Rule ID 23547 //
     /*  214324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  214335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  214338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214356 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  214356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214374 */     GIR_RootConstrainSelectedInstOperands,
     /*  214375 */     // GIR_Coverage, 23547,
     /*  214375 */     GIR_EraseRootFromParent_Done,
     /*  214376 */   // Label 4309: @214376
     /*  214376 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(214433), // Rule ID 23550 //
     /*  214381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  214392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  214395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214413 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  214413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214431 */     GIR_RootConstrainSelectedInstOperands,
     /*  214432 */     // GIR_Coverage, 23550,
     /*  214432 */     GIR_EraseRootFromParent_Done,
     /*  214433 */   // Label 4310: @214433
     /*  214433 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(214490), // Rule ID 23551 //
     /*  214438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  214449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  214452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214470 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  214470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214488 */     GIR_RootConstrainSelectedInstOperands,
     /*  214489 */     // GIR_Coverage, 23551,
     /*  214489 */     GIR_EraseRootFromParent_Done,
     /*  214490 */   // Label 4311: @214490
     /*  214490 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(214547), // Rule ID 23554 //
     /*  214495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  214506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  214509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214527 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  214527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214545 */     GIR_RootConstrainSelectedInstOperands,
     /*  214546 */     // GIR_Coverage, 23554,
     /*  214546 */     GIR_EraseRootFromParent_Done,
     /*  214547 */   // Label 4312: @214547
     /*  214547 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(214604), // Rule ID 23555 //
     /*  214552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  214563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  214566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214584 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  214584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214602 */     GIR_RootConstrainSelectedInstOperands,
     /*  214603 */     // GIR_Coverage, 23555,
     /*  214603 */     GIR_EraseRootFromParent_Done,
     /*  214604 */   // Label 4313: @214604
     /*  214604 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(214661), // Rule ID 23558 //
     /*  214609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  214620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  214623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214641 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  214641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214659 */     GIR_RootConstrainSelectedInstOperands,
     /*  214660 */     // GIR_Coverage, 23558,
     /*  214660 */     GIR_EraseRootFromParent_Done,
     /*  214661 */   // Label 4314: @214661
     /*  214661 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(214718), // Rule ID 23559 //
     /*  214666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  214677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  214680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214698 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214716 */     GIR_RootConstrainSelectedInstOperands,
     /*  214717 */     // GIR_Coverage, 23559,
     /*  214717 */     GIR_EraseRootFromParent_Done,
     /*  214718 */   // Label 4315: @214718
     /*  214718 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(214775), // Rule ID 23562 //
     /*  214723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  214734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  214737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214755 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  214755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214773 */     GIR_RootConstrainSelectedInstOperands,
     /*  214774 */     // GIR_Coverage, 23562,
     /*  214774 */     GIR_EraseRootFromParent_Done,
     /*  214775 */   // Label 4316: @214775
     /*  214775 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(214832), // Rule ID 23563 //
     /*  214780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  214791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  214794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214812 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214830 */     GIR_RootConstrainSelectedInstOperands,
     /*  214831 */     // GIR_Coverage, 23563,
     /*  214831 */     GIR_EraseRootFromParent_Done,
     /*  214832 */   // Label 4317: @214832
     /*  214832 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(214889), // Rule ID 23566 //
     /*  214837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  214848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  214851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214869 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  214869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214887 */     GIR_RootConstrainSelectedInstOperands,
     /*  214888 */     // GIR_Coverage, 23566,
     /*  214888 */     GIR_EraseRootFromParent_Done,
     /*  214889 */   // Label 4318: @214889
     /*  214889 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(214946), // Rule ID 23567 //
     /*  214894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  214905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  214908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214926 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214944 */     GIR_RootConstrainSelectedInstOperands,
     /*  214945 */     // GIR_Coverage, 23567,
     /*  214945 */     GIR_EraseRootFromParent_Done,
     /*  214946 */   // Label 4319: @214946
     /*  214946 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(215003), // Rule ID 23570 //
     /*  214951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  214962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  214965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  214983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215001 */     GIR_RootConstrainSelectedInstOperands,
     /*  215002 */     // GIR_Coverage, 23570,
     /*  215002 */     GIR_EraseRootFromParent_Done,
     /*  215003 */   // Label 4320: @215003
     /*  215003 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(215060), // Rule ID 23571 //
     /*  215008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  215016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  215019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  215022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  215040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  215043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215058 */     GIR_RootConstrainSelectedInstOperands,
     /*  215059 */     // GIR_Coverage, 23571,
     /*  215059 */     GIR_EraseRootFromParent_Done,
     /*  215060 */   // Label 4321: @215060
     /*  215060 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(215117), // Rule ID 23574 //
     /*  215065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  215073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  215076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  215079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215097 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  215097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  215100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215115 */     GIR_RootConstrainSelectedInstOperands,
     /*  215116 */     // GIR_Coverage, 23574,
     /*  215116 */     GIR_EraseRootFromParent_Done,
     /*  215117 */   // Label 4322: @215117
     /*  215117 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(215174), // Rule ID 23575 //
     /*  215122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  215130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  215133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  215136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215154 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  215154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  215157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215172 */     GIR_RootConstrainSelectedInstOperands,
     /*  215173 */     // GIR_Coverage, 23575,
     /*  215173 */     GIR_EraseRootFromParent_Done,
     /*  215174 */   // Label 4323: @215174
     /*  215174 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(215231), // Rule ID 23578 //
     /*  215179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  215187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  215190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  215193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  215211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  215214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215229 */     GIR_RootConstrainSelectedInstOperands,
     /*  215230 */     // GIR_Coverage, 23578,
     /*  215230 */     GIR_EraseRootFromParent_Done,
     /*  215231 */   // Label 4324: @215231
     /*  215231 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(215288), // Rule ID 23579 //
     /*  215236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  215244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  215247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  215250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  215268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  215271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215286 */     GIR_RootConstrainSelectedInstOperands,
     /*  215287 */     // GIR_Coverage, 23579,
     /*  215287 */     GIR_EraseRootFromParent_Done,
     /*  215288 */   // Label 4325: @215288
     /*  215288 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(215345), // Rule ID 23582 //
     /*  215293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  215296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  215301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  215304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  215307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215325 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  215325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  215328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215343 */     GIR_RootConstrainSelectedInstOperands,
     /*  215344 */     // GIR_Coverage, 23582,
     /*  215344 */     GIR_EraseRootFromParent_Done,
     /*  215345 */   // Label 4326: @215345
     /*  215345 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(215402), // Rule ID 23583 //
     /*  215350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  215353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  215358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  215361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  215364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215382 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  215382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  215385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215400 */     GIR_RootConstrainSelectedInstOperands,
     /*  215401 */     // GIR_Coverage, 23583,
     /*  215401 */     GIR_EraseRootFromParent_Done,
     /*  215402 */   // Label 4327: @215402
     /*  215402 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(215459), // Rule ID 23586 //
     /*  215407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  215410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  215415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  215418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  215421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215439 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  215439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  215442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215457 */     GIR_RootConstrainSelectedInstOperands,
     /*  215458 */     // GIR_Coverage, 23586,
     /*  215458 */     GIR_EraseRootFromParent_Done,
     /*  215459 */   // Label 4328: @215459
     /*  215459 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(215516), // Rule ID 23587 //
     /*  215464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  215467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  215472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  215475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  215478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  215496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  215499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215514 */     GIR_RootConstrainSelectedInstOperands,
     /*  215515 */     // GIR_Coverage, 23587,
     /*  215515 */     GIR_EraseRootFromParent_Done,
     /*  215516 */   // Label 4329: @215516
     /*  215516 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(215573), // Rule ID 23590 //
     /*  215521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  215524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  215529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  215532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  215535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215553 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  215553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  215556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215571 */     GIR_RootConstrainSelectedInstOperands,
     /*  215572 */     // GIR_Coverage, 23590,
     /*  215572 */     GIR_EraseRootFromParent_Done,
     /*  215573 */   // Label 4330: @215573
     /*  215573 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(215630), // Rule ID 23591 //
     /*  215578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  215581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  215586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  215589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  215592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215610 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  215610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  215613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215628 */     GIR_RootConstrainSelectedInstOperands,
     /*  215629 */     // GIR_Coverage, 23591,
     /*  215629 */     GIR_EraseRootFromParent_Done,
     /*  215630 */   // Label 4331: @215630
     /*  215630 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(215676), // Rule ID 2657 //
     /*  215635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  215638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks1i),
     /*  215643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215657 */     // MIs[0] rnum
     /*  215657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  215660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_rnum),
     /*  215665 */     // (intrinsic_wo_chain:{ *:[i64] } 10977:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)  =>  (AES64KS1I:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)
     /*  215665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS1I),
     /*  215668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rnum
     /*  215674 */     GIR_RootConstrainSelectedInstOperands,
     /*  215675 */     // GIR_Coverage, 2657,
     /*  215675 */     GIR_EraseRootFromParent_Done,
     /*  215676 */   // Label 4332: @215676
     /*  215676 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(215721), // Rule ID 64454 //
     /*  215681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  215684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clip),
     /*  215689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215710 */     // (intrinsic_wo_chain:{ *:[i32] } 10987:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPR),
     /*  215713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215719 */     GIR_RootConstrainSelectedInstOperands,
     /*  215720 */     // GIR_Coverage, 64454,
     /*  215720 */     GIR_EraseRootFromParent_Done,
     /*  215721 */   // Label 4333: @215721
     /*  215721 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(215766), // Rule ID 64481 //
     /*  215726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  215729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clipu),
     /*  215734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215755 */     // (intrinsic_wo_chain:{ *:[i32] } 10988:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPUR),
     /*  215758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215764 */     GIR_RootConstrainSelectedInstOperands,
     /*  215765 */     // GIR_Coverage, 64481,
     /*  215765 */     GIR_EraseRootFromParent_Done,
     /*  215766 */   // Label 4334: @215766
     /*  215766 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(215811), // Rule ID 2647 //
     /*  215771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  215774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  215779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215800 */     // (intrinsic_wo_chain:{ *:[i64] } 11695:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM4:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  215803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215809 */     GIR_RootConstrainSelectedInstOperands,
     /*  215810 */     // GIR_Coverage, 2647,
     /*  215810 */     GIR_EraseRootFromParent_Done,
     /*  215811 */   // Label 4335: @215811
     /*  215811 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(215856), // Rule ID 2648 //
     /*  215816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  215819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  215824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215845 */     // (intrinsic_wo_chain:{ *:[i32] } 11695:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM4:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  215848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215854 */     GIR_RootConstrainSelectedInstOperands,
     /*  215855 */     // GIR_Coverage, 2648,
     /*  215855 */     GIR_EraseRootFromParent_Done,
     /*  215856 */   // Label 4336: @215856
     /*  215856 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(215901), // Rule ID 2649 //
     /*  215861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  215864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  215869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215890 */     // (intrinsic_wo_chain:{ *:[i64] } 11696:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM8:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  215893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215899 */     GIR_RootConstrainSelectedInstOperands,
     /*  215900 */     // GIR_Coverage, 2649,
     /*  215900 */     GIR_EraseRootFromParent_Done,
     /*  215901 */   // Label 4337: @215901
     /*  215901 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(215946), // Rule ID 2650 //
     /*  215906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  215909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  215914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215935 */     // (intrinsic_wo_chain:{ *:[i32] } 11696:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM8:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  215938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215944 */     GIR_RootConstrainSelectedInstOperands,
     /*  215945 */     // GIR_Coverage, 2650,
     /*  215945 */     GIR_EraseRootFromParent_Done,
     /*  215946 */   // Label 4338: @215946
     /*  215946 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(215991), // Rule ID 2653 //
     /*  215951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  215954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ds),
     /*  215959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215980 */     // (intrinsic_wo_chain:{ *:[i64] } 10972:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DS),
     /*  215983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215989 */     GIR_RootConstrainSelectedInstOperands,
     /*  215990 */     // GIR_Coverage, 2653,
     /*  215990 */     GIR_EraseRootFromParent_Done,
     /*  215991 */   // Label 4339: @215991
     /*  215991 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(216036), // Rule ID 2654 //
     /*  215996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  215999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64dsm),
     /*  216004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  216007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  216010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216025 */     // (intrinsic_wo_chain:{ *:[i64] } 10973:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DSM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  216025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DSM),
     /*  216028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216034 */     GIR_RootConstrainSelectedInstOperands,
     /*  216035 */     // GIR_Coverage, 2654,
     /*  216035 */     GIR_EraseRootFromParent_Done,
     /*  216036 */   // Label 4340: @216036
     /*  216036 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(216081), // Rule ID 2656 //
     /*  216041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  216044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks2),
     /*  216049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  216052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  216055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216070 */     // (intrinsic_wo_chain:{ *:[i64] } 10978:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64KS2:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  216070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS2),
     /*  216073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216079 */     GIR_RootConstrainSelectedInstOperands,
     /*  216080 */     // GIR_Coverage, 2656,
     /*  216080 */     GIR_EraseRootFromParent_Done,
     /*  216081 */   // Label 4341: @216081
     /*  216081 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(216126), // Rule ID 2660 //
     /*  216086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  216089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64es),
     /*  216094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  216097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  216100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216115 */     // (intrinsic_wo_chain:{ *:[i64] } 10974:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ES:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  216115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ES),
     /*  216118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216124 */     GIR_RootConstrainSelectedInstOperands,
     /*  216125 */     // GIR_Coverage, 2660,
     /*  216125 */     GIR_EraseRootFromParent_Done,
     /*  216126 */   // Label 4342: @216126
     /*  216126 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(216171), // Rule ID 2661 //
     /*  216131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  216134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64esm),
     /*  216139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  216142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  216145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216160 */     // (intrinsic_wo_chain:{ *:[i64] } 10975:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ESM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  216160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ESM),
     /*  216163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216169 */     GIR_RootConstrainSelectedInstOperands,
     /*  216170 */     // GIR_Coverage, 2661,
     /*  216170 */     GIR_EraseRootFromParent_Done,
     /*  216171 */   // Label 4343: @216171
     /*  216171 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(216216), // Rule ID 2670 //
     /*  216176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  216179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0l),
     /*  216184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  216187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  216190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216205 */     // (intrinsic_wo_chain:{ *:[i32] } 11131:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  216205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0L),
     /*  216208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216214 */     GIR_RootConstrainSelectedInstOperands,
     /*  216215 */     // GIR_Coverage, 2670,
     /*  216215 */     GIR_EraseRootFromParent_Done,
     /*  216216 */   // Label 4344: @216216
     /*  216216 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(216261), // Rule ID 2671 //
     /*  216221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  216224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0h),
     /*  216229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  216232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  216235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216250 */     // (intrinsic_wo_chain:{ *:[i32] } 11130:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  216250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0H),
     /*  216253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216259 */     GIR_RootConstrainSelectedInstOperands,
     /*  216260 */     // GIR_Coverage, 2671,
     /*  216260 */     GIR_EraseRootFromParent_Done,
     /*  216261 */   // Label 4345: @216261
     /*  216261 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(216306), // Rule ID 2672 //
     /*  216266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  216269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1l),
     /*  216274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  216277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  216280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216295 */     // (intrinsic_wo_chain:{ *:[i32] } 11134:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  216295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1L),
     /*  216298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216304 */     GIR_RootConstrainSelectedInstOperands,
     /*  216305 */     // GIR_Coverage, 2672,
     /*  216305 */     GIR_EraseRootFromParent_Done,
     /*  216306 */   // Label 4346: @216306
     /*  216306 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(216351), // Rule ID 2673 //
     /*  216311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  216314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1h),
     /*  216319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  216322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  216325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216340 */     // (intrinsic_wo_chain:{ *:[i32] } 11133:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  216340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1H),
     /*  216343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216349 */     GIR_RootConstrainSelectedInstOperands,
     /*  216350 */     // GIR_Coverage, 2673,
     /*  216350 */     GIR_EraseRootFromParent_Done,
     /*  216351 */   // Label 4347: @216351
     /*  216351 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(216396), // Rule ID 2674 //
     /*  216356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  216359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0r),
     /*  216364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  216367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  216370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216385 */     // (intrinsic_wo_chain:{ *:[i32] } 11136:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM0R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  216385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0R),
     /*  216388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216394 */     GIR_RootConstrainSelectedInstOperands,
     /*  216395 */     // GIR_Coverage, 2674,
     /*  216395 */     GIR_EraseRootFromParent_Done,
     /*  216396 */   // Label 4348: @216396
     /*  216396 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(216441), // Rule ID 2675 //
     /*  216401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  216404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1r),
     /*  216409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  216412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  216415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216430 */     // (intrinsic_wo_chain:{ *:[i32] } 11138:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM1R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  216430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1R),
     /*  216433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216439 */     GIR_RootConstrainSelectedInstOperands,
     /*  216440 */     // GIR_Coverage, 2675,
     /*  216440 */     GIR_EraseRootFromParent_Done,
     /*  216441 */   // Label 4349: @216441
     /*  216441 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(216486), // Rule ID 64431 //
     /*  216446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  216449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extract),
     /*  216454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  216457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  216460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216475 */     // (intrinsic_wo_chain:{ *:[i32] } 10997:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  216475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTR),
     /*  216478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216484 */     GIR_RootConstrainSelectedInstOperands,
     /*  216485 */     // GIR_Coverage, 64431,
     /*  216485 */     GIR_EraseRootFromParent_Done,
     /*  216486 */   // Label 4350: @216486
     /*  216486 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(216531), // Rule ID 64433 //
     /*  216491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  216494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extractu),
     /*  216499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  216502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  216505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216520 */     // (intrinsic_wo_chain:{ *:[i32] } 10998:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  216520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTUR),
     /*  216523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216529 */     GIR_RootConstrainSelectedInstOperands,
     /*  216530 */     // GIR_Coverage, 64433,
     /*  216530 */     GIR_EraseRootFromParent_Done,
     /*  216531 */   // Label 4351: @216531
     /*  216531 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(216576), // Rule ID 64435 //
     /*  216536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  216539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bclr),
     /*  216544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  216547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  216550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216565 */     // (intrinsic_wo_chain:{ *:[i32] } 10993:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BCLRR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  216565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BCLRR),
     /*  216568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216574 */     GIR_RootConstrainSelectedInstOperands,
     /*  216575 */     // GIR_Coverage, 64435,
     /*  216575 */     GIR_EraseRootFromParent_Done,
     /*  216576 */   // Label 4352: @216576
     /*  216576 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(216621), // Rule ID 64437 //
     /*  216581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  216584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bset),
     /*  216589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  216592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  216595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  216610 */     // (intrinsic_wo_chain:{ *:[i32] } 10995:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BSETR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  216610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BSETR),
     /*  216613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  216619 */     GIR_RootConstrainSelectedInstOperands,
     /*  216620 */     // GIR_Coverage, 64437,
     /*  216620 */     GIR_EraseRootFromParent_Done,
     /*  216621 */   // Label 4353: @216621
     /*  216621 */   GIM_Reject,
     /*  216622 */ // Label 4217: @216622
     /*  216622 */ GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(387527),
     /*  216627 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  216630 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(216704), // Rule ID 5468 //
     /*  216635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  216649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216675 */     // MIs[1] Operand 1
     /*  216675 */     // No operand predicates
     /*  216675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216684 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  216687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216702 */     GIR_RootConstrainSelectedInstOperands,
     /*  216703 */     // GIR_Coverage, 5468,
     /*  216703 */     GIR_EraseRootFromParent_Done,
     /*  216704 */   // Label 4355: @216704
     /*  216704 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(216778), // Rule ID 5469 //
     /*  216709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  216723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216749 */     // MIs[1] Operand 1
     /*  216749 */     // No operand predicates
     /*  216749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216758 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  216761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216776 */     GIR_RootConstrainSelectedInstOperands,
     /*  216777 */     // GIR_Coverage, 5469,
     /*  216777 */     GIR_EraseRootFromParent_Done,
     /*  216778 */   // Label 4356: @216778
     /*  216778 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(216852), // Rule ID 5470 //
     /*  216783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  216797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216823 */     // MIs[1] Operand 1
     /*  216823 */     // No operand predicates
     /*  216823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216850 */     GIR_RootConstrainSelectedInstOperands,
     /*  216851 */     // GIR_Coverage, 5470,
     /*  216851 */     GIR_EraseRootFromParent_Done,
     /*  216852 */   // Label 4357: @216852
     /*  216852 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(216926), // Rule ID 5471 //
     /*  216857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  216871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216897 */     // MIs[1] Operand 1
     /*  216897 */     // No operand predicates
     /*  216897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216906 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216924 */     GIR_RootConstrainSelectedInstOperands,
     /*  216925 */     // GIR_Coverage, 5471,
     /*  216925 */     GIR_EraseRootFromParent_Done,
     /*  216926 */   // Label 4358: @216926
     /*  216926 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(217000), // Rule ID 5472 //
     /*  216931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  216945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216971 */     // MIs[1] Operand 1
     /*  216971 */     // No operand predicates
     /*  216971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216980 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216998 */     GIR_RootConstrainSelectedInstOperands,
     /*  216999 */     // GIR_Coverage, 5472,
     /*  216999 */     GIR_EraseRootFromParent_Done,
     /*  217000 */   // Label 4359: @217000
     /*  217000 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(217074), // Rule ID 5473 //
     /*  217005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  217019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217045 */     // MIs[1] Operand 1
     /*  217045 */     // No operand predicates
     /*  217045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217054 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  217057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217072 */     GIR_RootConstrainSelectedInstOperands,
     /*  217073 */     // GIR_Coverage, 5473,
     /*  217073 */     GIR_EraseRootFromParent_Done,
     /*  217074 */   // Label 4360: @217074
     /*  217074 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(217148), // Rule ID 5474 //
     /*  217079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  217090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  217093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217119 */     // MIs[1] Operand 1
     /*  217119 */     // No operand predicates
     /*  217119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217128 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  217131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217146 */     GIR_RootConstrainSelectedInstOperands,
     /*  217147 */     // GIR_Coverage, 5474,
     /*  217147 */     GIR_EraseRootFromParent_Done,
     /*  217148 */   // Label 4361: @217148
     /*  217148 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(217222), // Rule ID 5475 //
     /*  217153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  217164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  217167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217193 */     // MIs[1] Operand 1
     /*  217193 */     // No operand predicates
     /*  217193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217202 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  217202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  217205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217220 */     GIR_RootConstrainSelectedInstOperands,
     /*  217221 */     // GIR_Coverage, 5475,
     /*  217221 */     GIR_EraseRootFromParent_Done,
     /*  217222 */   // Label 4362: @217222
     /*  217222 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(217296), // Rule ID 5476 //
     /*  217227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  217241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217267 */     // MIs[1] Operand 1
     /*  217267 */     // No operand predicates
     /*  217267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  217279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217294 */     GIR_RootConstrainSelectedInstOperands,
     /*  217295 */     // GIR_Coverage, 5476,
     /*  217295 */     GIR_EraseRootFromParent_Done,
     /*  217296 */   // Label 4363: @217296
     /*  217296 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(217370), // Rule ID 5477 //
     /*  217301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  217315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217341 */     // MIs[1] Operand 1
     /*  217341 */     // No operand predicates
     /*  217341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217350 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  217350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  217353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217368 */     GIR_RootConstrainSelectedInstOperands,
     /*  217369 */     // GIR_Coverage, 5477,
     /*  217369 */     GIR_EraseRootFromParent_Done,
     /*  217370 */   // Label 4364: @217370
     /*  217370 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(217444), // Rule ID 5478 //
     /*  217375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  217386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  217389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217415 */     // MIs[1] Operand 1
     /*  217415 */     // No operand predicates
     /*  217415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  217424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  217427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217442 */     GIR_RootConstrainSelectedInstOperands,
     /*  217443 */     // GIR_Coverage, 5478,
     /*  217443 */     GIR_EraseRootFromParent_Done,
     /*  217444 */   // Label 4365: @217444
     /*  217444 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(217518), // Rule ID 5479 //
     /*  217449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  217460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  217463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217489 */     // MIs[1] Operand 1
     /*  217489 */     // No operand predicates
     /*  217489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217498 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  217498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  217501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217516 */     GIR_RootConstrainSelectedInstOperands,
     /*  217517 */     // GIR_Coverage, 5479,
     /*  217517 */     GIR_EraseRootFromParent_Done,
     /*  217518 */   // Label 4366: @217518
     /*  217518 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(217592), // Rule ID 5480 //
     /*  217523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  217537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217563 */     // MIs[1] Operand 1
     /*  217563 */     // No operand predicates
     /*  217563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217572 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217590 */     GIR_RootConstrainSelectedInstOperands,
     /*  217591 */     // GIR_Coverage, 5480,
     /*  217591 */     GIR_EraseRootFromParent_Done,
     /*  217592 */   // Label 4367: @217592
     /*  217592 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(217666), // Rule ID 5481 //
     /*  217597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  217611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217637 */     // MIs[1] Operand 1
     /*  217637 */     // No operand predicates
     /*  217637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217646 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217664 */     GIR_RootConstrainSelectedInstOperands,
     /*  217665 */     // GIR_Coverage, 5481,
     /*  217665 */     GIR_EraseRootFromParent_Done,
     /*  217666 */   // Label 4368: @217666
     /*  217666 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(217740), // Rule ID 5482 //
     /*  217671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217711 */     // MIs[1] Operand 1
     /*  217711 */     // No operand predicates
     /*  217711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217720 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217738 */     GIR_RootConstrainSelectedInstOperands,
     /*  217739 */     // GIR_Coverage, 5482,
     /*  217739 */     GIR_EraseRootFromParent_Done,
     /*  217740 */   // Label 4369: @217740
     /*  217740 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(217814), // Rule ID 5483 //
     /*  217745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217785 */     // MIs[1] Operand 1
     /*  217785 */     // No operand predicates
     /*  217785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217794 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  217794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217812 */     GIR_RootConstrainSelectedInstOperands,
     /*  217813 */     // GIR_Coverage, 5483,
     /*  217813 */     GIR_EraseRootFromParent_Done,
     /*  217814 */   // Label 4370: @217814
     /*  217814 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(217888), // Rule ID 5484 //
     /*  217819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217859 */     // MIs[1] Operand 1
     /*  217859 */     // No operand predicates
     /*  217859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217868 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  217868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217886 */     GIR_RootConstrainSelectedInstOperands,
     /*  217887 */     // GIR_Coverage, 5484,
     /*  217887 */     GIR_EraseRootFromParent_Done,
     /*  217888 */   // Label 4371: @217888
     /*  217888 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(217962), // Rule ID 5485 //
     /*  217893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217933 */     // MIs[1] Operand 1
     /*  217933 */     // No operand predicates
     /*  217933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217942 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  217942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  217945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217960 */     GIR_RootConstrainSelectedInstOperands,
     /*  217961 */     // GIR_Coverage, 5485,
     /*  217961 */     GIR_EraseRootFromParent_Done,
     /*  217962 */   // Label 4372: @217962
     /*  217962 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(218036), // Rule ID 5486 //
     /*  217967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  217970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  217978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218007 */     // MIs[1] Operand 1
     /*  218007 */     // No operand predicates
     /*  218007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  218016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  218019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218034 */     GIR_RootConstrainSelectedInstOperands,
     /*  218035 */     // GIR_Coverage, 5486,
     /*  218035 */     GIR_EraseRootFromParent_Done,
     /*  218036 */   // Label 4373: @218036
     /*  218036 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(218110), // Rule ID 5487 //
     /*  218041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  218044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  218052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  218055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218081 */     // MIs[1] Operand 1
     /*  218081 */     // No operand predicates
     /*  218081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218090 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  218090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  218093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218108 */     GIR_RootConstrainSelectedInstOperands,
     /*  218109 */     // GIR_Coverage, 5487,
     /*  218109 */     GIR_EraseRootFromParent_Done,
     /*  218110 */   // Label 4374: @218110
     /*  218110 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(218184), // Rule ID 5488 //
     /*  218115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  218129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218155 */     // MIs[1] Operand 1
     /*  218155 */     // No operand predicates
     /*  218155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218164 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  218164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218182 */     GIR_RootConstrainSelectedInstOperands,
     /*  218183 */     // GIR_Coverage, 5488,
     /*  218183 */     GIR_EraseRootFromParent_Done,
     /*  218184 */   // Label 4375: @218184
     /*  218184 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(218258), // Rule ID 5489 //
     /*  218189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  218203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218229 */     // MIs[1] Operand 1
     /*  218229 */     // No operand predicates
     /*  218229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218238 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  218238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218256 */     GIR_RootConstrainSelectedInstOperands,
     /*  218257 */     // GIR_Coverage, 5489,
     /*  218257 */     GIR_EraseRootFromParent_Done,
     /*  218258 */   // Label 4376: @218258
     /*  218258 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(218332), // Rule ID 5490 //
     /*  218263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  218274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  218277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218303 */     // MIs[1] Operand 1
     /*  218303 */     // No operand predicates
     /*  218303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218312 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  218312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218330 */     GIR_RootConstrainSelectedInstOperands,
     /*  218331 */     // GIR_Coverage, 5490,
     /*  218331 */     GIR_EraseRootFromParent_Done,
     /*  218332 */   // Label 4377: @218332
     /*  218332 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(218406), // Rule ID 5491 //
     /*  218337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  218348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  218351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218377 */     // MIs[1] Operand 1
     /*  218377 */     // No operand predicates
     /*  218377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218386 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  218386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218404 */     GIR_RootConstrainSelectedInstOperands,
     /*  218405 */     // GIR_Coverage, 5491,
     /*  218405 */     GIR_EraseRootFromParent_Done,
     /*  218406 */   // Label 4378: @218406
     /*  218406 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(218480), // Rule ID 5492 //
     /*  218411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  218422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  218425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218451 */     // MIs[1] Operand 1
     /*  218451 */     // No operand predicates
     /*  218451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218460 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  218460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218478 */     GIR_RootConstrainSelectedInstOperands,
     /*  218479 */     // GIR_Coverage, 5492,
     /*  218479 */     GIR_EraseRootFromParent_Done,
     /*  218480 */   // Label 4379: @218480
     /*  218480 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(218554), // Rule ID 5493 //
     /*  218485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  218496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  218499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218525 */     // MIs[1] Operand 1
     /*  218525 */     // No operand predicates
     /*  218525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218534 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  218534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218552 */     GIR_RootConstrainSelectedInstOperands,
     /*  218553 */     // GIR_Coverage, 5493,
     /*  218553 */     GIR_EraseRootFromParent_Done,
     /*  218554 */   // Label 4380: @218554
     /*  218554 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(218628), // Rule ID 5494 //
     /*  218559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  218573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218599 */     // MIs[1] Operand 1
     /*  218599 */     // No operand predicates
     /*  218599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  218608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218626 */     GIR_RootConstrainSelectedInstOperands,
     /*  218627 */     // GIR_Coverage, 5494,
     /*  218627 */     GIR_EraseRootFromParent_Done,
     /*  218628 */   // Label 4381: @218628
     /*  218628 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(218702), // Rule ID 5495 //
     /*  218633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  218647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218673 */     // MIs[1] Operand 1
     /*  218673 */     // No operand predicates
     /*  218673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218682 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218700 */     GIR_RootConstrainSelectedInstOperands,
     /*  218701 */     // GIR_Coverage, 5495,
     /*  218701 */     GIR_EraseRootFromParent_Done,
     /*  218702 */   // Label 4382: @218702
     /*  218702 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(218776), // Rule ID 5496 //
     /*  218707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218747 */     // MIs[1] Operand 1
     /*  218747 */     // No operand predicates
     /*  218747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218756 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  218756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218774 */     GIR_RootConstrainSelectedInstOperands,
     /*  218775 */     // GIR_Coverage, 5496,
     /*  218775 */     GIR_EraseRootFromParent_Done,
     /*  218776 */   // Label 4383: @218776
     /*  218776 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(218850), // Rule ID 5497 //
     /*  218781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218821 */     // MIs[1] Operand 1
     /*  218821 */     // No operand predicates
     /*  218821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218830 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218848 */     GIR_RootConstrainSelectedInstOperands,
     /*  218849 */     // GIR_Coverage, 5497,
     /*  218849 */     GIR_EraseRootFromParent_Done,
     /*  218850 */   // Label 4384: @218850
     /*  218850 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(218924), // Rule ID 5498 //
     /*  218855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  218866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218895 */     // MIs[1] Operand 1
     /*  218895 */     // No operand predicates
     /*  218895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218904 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  218904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218922 */     GIR_RootConstrainSelectedInstOperands,
     /*  218923 */     // GIR_Coverage, 5498,
     /*  218923 */     GIR_EraseRootFromParent_Done,
     /*  218924 */   // Label 4385: @218924
     /*  218924 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(218998), // Rule ID 5499 //
     /*  218929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  218940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218969 */     // MIs[1] Operand 1
     /*  218969 */     // No operand predicates
     /*  218969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218978 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218996 */     GIR_RootConstrainSelectedInstOperands,
     /*  218997 */     // GIR_Coverage, 5499,
     /*  218997 */     GIR_EraseRootFromParent_Done,
     /*  218998 */   // Label 4386: @218998
     /*  218998 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(219072), // Rule ID 5500 //
     /*  219003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  219017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219043 */     // MIs[1] Operand 1
     /*  219043 */     // No operand predicates
     /*  219043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219052 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  219052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  219055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219070 */     GIR_RootConstrainSelectedInstOperands,
     /*  219071 */     // GIR_Coverage, 5500,
     /*  219071 */     GIR_EraseRootFromParent_Done,
     /*  219072 */   // Label 4387: @219072
     /*  219072 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(219146), // Rule ID 5501 //
     /*  219077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  219091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219117 */     // MIs[1] Operand 1
     /*  219117 */     // No operand predicates
     /*  219117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219126 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  219126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  219129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219144 */     GIR_RootConstrainSelectedInstOperands,
     /*  219145 */     // GIR_Coverage, 5501,
     /*  219145 */     GIR_EraseRootFromParent_Done,
     /*  219146 */   // Label 4388: @219146
     /*  219146 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(219220), // Rule ID 5502 //
     /*  219151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  219165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219191 */     // MIs[1] Operand 1
     /*  219191 */     // No operand predicates
     /*  219191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219200 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  219200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  219203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219218 */     GIR_RootConstrainSelectedInstOperands,
     /*  219219 */     // GIR_Coverage, 5502,
     /*  219219 */     GIR_EraseRootFromParent_Done,
     /*  219220 */   // Label 4389: @219220
     /*  219220 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(219294), // Rule ID 5503 //
     /*  219225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  219239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219265 */     // MIs[1] Operand 1
     /*  219265 */     // No operand predicates
     /*  219265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219274 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  219274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  219277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219292 */     GIR_RootConstrainSelectedInstOperands,
     /*  219293 */     // GIR_Coverage, 5503,
     /*  219293 */     GIR_EraseRootFromParent_Done,
     /*  219294 */   // Label 4390: @219294
     /*  219294 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(219368), // Rule ID 5504 //
     /*  219299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  219310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  219313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219339 */     // MIs[1] Operand 1
     /*  219339 */     // No operand predicates
     /*  219339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219348 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  219348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  219351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219366 */     GIR_RootConstrainSelectedInstOperands,
     /*  219367 */     // GIR_Coverage, 5504,
     /*  219367 */     GIR_EraseRootFromParent_Done,
     /*  219368 */   // Label 4391: @219368
     /*  219368 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(219442), // Rule ID 5505 //
     /*  219373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  219384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  219387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219413 */     // MIs[1] Operand 1
     /*  219413 */     // No operand predicates
     /*  219413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219422 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  219422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  219425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219440 */     GIR_RootConstrainSelectedInstOperands,
     /*  219441 */     // GIR_Coverage, 5505,
     /*  219441 */     GIR_EraseRootFromParent_Done,
     /*  219442 */   // Label 4392: @219442
     /*  219442 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(219516), // Rule ID 5506 //
     /*  219447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  219450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  219461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219487 */     // MIs[1] Operand 1
     /*  219487 */     // No operand predicates
     /*  219487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  219496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  219499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219514 */     GIR_RootConstrainSelectedInstOperands,
     /*  219515 */     // GIR_Coverage, 5506,
     /*  219515 */     GIR_EraseRootFromParent_Done,
     /*  219516 */   // Label 4393: @219516
     /*  219516 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(219590), // Rule ID 5507 //
     /*  219521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  219535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219561 */     // MIs[1] Operand 1
     /*  219561 */     // No operand predicates
     /*  219561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219570 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  219570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  219573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219588 */     GIR_RootConstrainSelectedInstOperands,
     /*  219589 */     // GIR_Coverage, 5507,
     /*  219589 */     GIR_EraseRootFromParent_Done,
     /*  219590 */   // Label 4394: @219590
     /*  219590 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(219664), // Rule ID 5508 //
     /*  219595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  219598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  219609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219635 */     // MIs[1] Operand 1
     /*  219635 */     // No operand predicates
     /*  219635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  219644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  219647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219662 */     GIR_RootConstrainSelectedInstOperands,
     /*  219663 */     // GIR_Coverage, 5508,
     /*  219663 */     GIR_EraseRootFromParent_Done,
     /*  219664 */   // Label 4395: @219664
     /*  219664 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(219738), // Rule ID 5509 //
     /*  219669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  219683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219709 */     // MIs[1] Operand 1
     /*  219709 */     // No operand predicates
     /*  219709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219718 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  219718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  219721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219736 */     GIR_RootConstrainSelectedInstOperands,
     /*  219737 */     // GIR_Coverage, 5509,
     /*  219737 */     GIR_EraseRootFromParent_Done,
     /*  219738 */   // Label 4396: @219738
     /*  219738 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(219812), // Rule ID 5510 //
     /*  219743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  219746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219783 */     // MIs[1] Operand 1
     /*  219783 */     // No operand predicates
     /*  219783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219792 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  219792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  219795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219810 */     GIR_RootConstrainSelectedInstOperands,
     /*  219811 */     // GIR_Coverage, 5510,
     /*  219811 */     GIR_EraseRootFromParent_Done,
     /*  219812 */   // Label 4397: @219812
     /*  219812 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(219886), // Rule ID 5511 //
     /*  219817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  219825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219857 */     // MIs[1] Operand 1
     /*  219857 */     // No operand predicates
     /*  219857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219866 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  219866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  219869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219884 */     GIR_RootConstrainSelectedInstOperands,
     /*  219885 */     // GIR_Coverage, 5511,
     /*  219885 */     GIR_EraseRootFromParent_Done,
     /*  219886 */   // Label 4398: @219886
     /*  219886 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(219960), // Rule ID 7980 //
     /*  219891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  219905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219931 */     // MIs[1] Operand 1
     /*  219931 */     // No operand predicates
     /*  219931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  219943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219958 */     GIR_RootConstrainSelectedInstOperands,
     /*  219959 */     // GIR_Coverage, 7980,
     /*  219959 */     GIR_EraseRootFromParent_Done,
     /*  219960 */   // Label 4399: @219960
     /*  219960 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(220034), // Rule ID 7981 //
     /*  219965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  219979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220005 */     // MIs[1] Operand 1
     /*  220005 */     // No operand predicates
     /*  220005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220014 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  220017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220032 */     GIR_RootConstrainSelectedInstOperands,
     /*  220033 */     // GIR_Coverage, 7981,
     /*  220033 */     GIR_EraseRootFromParent_Done,
     /*  220034 */   // Label 4400: @220034
     /*  220034 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(220108), // Rule ID 7984 //
     /*  220039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  220053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220079 */     // MIs[1] Operand 1
     /*  220079 */     // No operand predicates
     /*  220079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  220091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220106 */     GIR_RootConstrainSelectedInstOperands,
     /*  220107 */     // GIR_Coverage, 7984,
     /*  220107 */     GIR_EraseRootFromParent_Done,
     /*  220108 */   // Label 4401: @220108
     /*  220108 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(220182), // Rule ID 7985 //
     /*  220113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  220127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220153 */     // MIs[1] Operand 1
     /*  220153 */     // No operand predicates
     /*  220153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220162 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  220165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220180 */     GIR_RootConstrainSelectedInstOperands,
     /*  220181 */     // GIR_Coverage, 7985,
     /*  220181 */     GIR_EraseRootFromParent_Done,
     /*  220182 */   // Label 4402: @220182
     /*  220182 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(220256), // Rule ID 7988 //
     /*  220187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  220201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220227 */     // MIs[1] Operand 1
     /*  220227 */     // No operand predicates
     /*  220227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220236 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  220239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220254 */     GIR_RootConstrainSelectedInstOperands,
     /*  220255 */     // GIR_Coverage, 7988,
     /*  220255 */     GIR_EraseRootFromParent_Done,
     /*  220256 */   // Label 4403: @220256
     /*  220256 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(220330), // Rule ID 7989 //
     /*  220261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  220275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220301 */     // MIs[1] Operand 1
     /*  220301 */     // No operand predicates
     /*  220301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220310 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  220313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220328 */     GIR_RootConstrainSelectedInstOperands,
     /*  220329 */     // GIR_Coverage, 7989,
     /*  220329 */     GIR_EraseRootFromParent_Done,
     /*  220330 */   // Label 4404: @220330
     /*  220330 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(220404), // Rule ID 7992 //
     /*  220335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  220349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220375 */     // MIs[1] Operand 1
     /*  220375 */     // No operand predicates
     /*  220375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220384 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  220387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220402 */     GIR_RootConstrainSelectedInstOperands,
     /*  220403 */     // GIR_Coverage, 7992,
     /*  220403 */     GIR_EraseRootFromParent_Done,
     /*  220404 */   // Label 4405: @220404
     /*  220404 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(220478), // Rule ID 7993 //
     /*  220409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  220423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220449 */     // MIs[1] Operand 1
     /*  220449 */     // No operand predicates
     /*  220449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220458 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  220461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220476 */     GIR_RootConstrainSelectedInstOperands,
     /*  220477 */     // GIR_Coverage, 7993,
     /*  220477 */     GIR_EraseRootFromParent_Done,
     /*  220478 */   // Label 4406: @220478
     /*  220478 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(220552), // Rule ID 7996 //
     /*  220483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  220497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220523 */     // MIs[1] Operand 1
     /*  220523 */     // No operand predicates
     /*  220523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  220535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220550 */     GIR_RootConstrainSelectedInstOperands,
     /*  220551 */     // GIR_Coverage, 7996,
     /*  220551 */     GIR_EraseRootFromParent_Done,
     /*  220552 */   // Label 4407: @220552
     /*  220552 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(220626), // Rule ID 7997 //
     /*  220557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  220571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220597 */     // MIs[1] Operand 1
     /*  220597 */     // No operand predicates
     /*  220597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220606 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  220609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220624 */     GIR_RootConstrainSelectedInstOperands,
     /*  220625 */     // GIR_Coverage, 7997,
     /*  220625 */     GIR_EraseRootFromParent_Done,
     /*  220626 */   // Label 4408: @220626
     /*  220626 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(220700), // Rule ID 8000 //
     /*  220631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  220645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220671 */     // MIs[1] Operand 1
     /*  220671 */     // No operand predicates
     /*  220671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220680 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  220683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220698 */     GIR_RootConstrainSelectedInstOperands,
     /*  220699 */     // GIR_Coverage, 8000,
     /*  220699 */     GIR_EraseRootFromParent_Done,
     /*  220700 */   // Label 4409: @220700
     /*  220700 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(220774), // Rule ID 8001 //
     /*  220705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  220719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220745 */     // MIs[1] Operand 1
     /*  220745 */     // No operand predicates
     /*  220745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220754 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  220754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  220757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220772 */     GIR_RootConstrainSelectedInstOperands,
     /*  220773 */     // GIR_Coverage, 8001,
     /*  220773 */     GIR_EraseRootFromParent_Done,
     /*  220774 */   // Label 4410: @220774
     /*  220774 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(220848), // Rule ID 8004 //
     /*  220779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  220793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220819 */     // MIs[1] Operand 1
     /*  220819 */     // No operand predicates
     /*  220819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220828 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220846 */     GIR_RootConstrainSelectedInstOperands,
     /*  220847 */     // GIR_Coverage, 8004,
     /*  220847 */     GIR_EraseRootFromParent_Done,
     /*  220848 */   // Label 4411: @220848
     /*  220848 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(220922), // Rule ID 8005 //
     /*  220853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  220867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220893 */     // MIs[1] Operand 1
     /*  220893 */     // No operand predicates
     /*  220893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220902 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220920 */     GIR_RootConstrainSelectedInstOperands,
     /*  220921 */     // GIR_Coverage, 8005,
     /*  220921 */     GIR_EraseRootFromParent_Done,
     /*  220922 */   // Label 4412: @220922
     /*  220922 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(220996), // Rule ID 8008 //
     /*  220927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  220941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220967 */     // MIs[1] Operand 1
     /*  220967 */     // No operand predicates
     /*  220967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220994 */     GIR_RootConstrainSelectedInstOperands,
     /*  220995 */     // GIR_Coverage, 8008,
     /*  220995 */     GIR_EraseRootFromParent_Done,
     /*  220996 */   // Label 4413: @220996
     /*  220996 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(221070), // Rule ID 8009 //
     /*  221001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  221015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221041 */     // MIs[1] Operand 1
     /*  221041 */     // No operand predicates
     /*  221041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221050 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  221053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221068 */     GIR_RootConstrainSelectedInstOperands,
     /*  221069 */     // GIR_Coverage, 8009,
     /*  221069 */     GIR_EraseRootFromParent_Done,
     /*  221070 */   // Label 4414: @221070
     /*  221070 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(221144), // Rule ID 8012 //
     /*  221075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  221089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221115 */     // MIs[1] Operand 1
     /*  221115 */     // No operand predicates
     /*  221115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221124 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  221127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221142 */     GIR_RootConstrainSelectedInstOperands,
     /*  221143 */     // GIR_Coverage, 8012,
     /*  221143 */     GIR_EraseRootFromParent_Done,
     /*  221144 */   // Label 4415: @221144
     /*  221144 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(221218), // Rule ID 8013 //
     /*  221149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  221163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221189 */     // MIs[1] Operand 1
     /*  221189 */     // No operand predicates
     /*  221189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221198 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  221201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221216 */     GIR_RootConstrainSelectedInstOperands,
     /*  221217 */     // GIR_Coverage, 8013,
     /*  221217 */     GIR_EraseRootFromParent_Done,
     /*  221218 */   // Label 4416: @221218
     /*  221218 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(221292), // Rule ID 8016 //
     /*  221223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  221226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  221237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221263 */     // MIs[1] Operand 1
     /*  221263 */     // No operand predicates
     /*  221263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  221272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  221275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221290 */     GIR_RootConstrainSelectedInstOperands,
     /*  221291 */     // GIR_Coverage, 8016,
     /*  221291 */     GIR_EraseRootFromParent_Done,
     /*  221292 */   // Label 4417: @221292
     /*  221292 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(221366), // Rule ID 8017 //
     /*  221297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  221300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  221311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221337 */     // MIs[1] Operand 1
     /*  221337 */     // No operand predicates
     /*  221337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221346 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  221346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  221349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221364 */     GIR_RootConstrainSelectedInstOperands,
     /*  221365 */     // GIR_Coverage, 8017,
     /*  221365 */     GIR_EraseRootFromParent_Done,
     /*  221366 */   // Label 4418: @221366
     /*  221366 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(221440), // Rule ID 8020 //
     /*  221371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  221385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221411 */     // MIs[1] Operand 1
     /*  221411 */     // No operand predicates
     /*  221411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221420 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221438 */     GIR_RootConstrainSelectedInstOperands,
     /*  221439 */     // GIR_Coverage, 8020,
     /*  221439 */     GIR_EraseRootFromParent_Done,
     /*  221440 */   // Label 4419: @221440
     /*  221440 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(221514), // Rule ID 8021 //
     /*  221445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  221459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221485 */     // MIs[1] Operand 1
     /*  221485 */     // No operand predicates
     /*  221485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221494 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221512 */     GIR_RootConstrainSelectedInstOperands,
     /*  221513 */     // GIR_Coverage, 8021,
     /*  221513 */     GIR_EraseRootFromParent_Done,
     /*  221514 */   // Label 4420: @221514
     /*  221514 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(221588), // Rule ID 8024 //
     /*  221519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  221533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221559 */     // MIs[1] Operand 1
     /*  221559 */     // No operand predicates
     /*  221559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221568 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221586 */     GIR_RootConstrainSelectedInstOperands,
     /*  221587 */     // GIR_Coverage, 8024,
     /*  221587 */     GIR_EraseRootFromParent_Done,
     /*  221588 */   // Label 4421: @221588
     /*  221588 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(221662), // Rule ID 8025 //
     /*  221593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  221607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221633 */     // MIs[1] Operand 1
     /*  221633 */     // No operand predicates
     /*  221633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221642 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221660 */     GIR_RootConstrainSelectedInstOperands,
     /*  221661 */     // GIR_Coverage, 8025,
     /*  221661 */     GIR_EraseRootFromParent_Done,
     /*  221662 */   // Label 4422: @221662
     /*  221662 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(221736), // Rule ID 8028 //
     /*  221667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  221678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  221681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221707 */     // MIs[1] Operand 1
     /*  221707 */     // No operand predicates
     /*  221707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221716 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221734 */     GIR_RootConstrainSelectedInstOperands,
     /*  221735 */     // GIR_Coverage, 8028,
     /*  221735 */     GIR_EraseRootFromParent_Done,
     /*  221736 */   // Label 4423: @221736
     /*  221736 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(221810), // Rule ID 8029 //
     /*  221741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  221752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  221755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221781 */     // MIs[1] Operand 1
     /*  221781 */     // No operand predicates
     /*  221781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221790 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221808 */     GIR_RootConstrainSelectedInstOperands,
     /*  221809 */     // GIR_Coverage, 8029,
     /*  221809 */     GIR_EraseRootFromParent_Done,
     /*  221810 */   // Label 4424: @221810
     /*  221810 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(221884), // Rule ID 8032 //
     /*  221815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  221829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221855 */     // MIs[1] Operand 1
     /*  221855 */     // No operand predicates
     /*  221855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221882 */     GIR_RootConstrainSelectedInstOperands,
     /*  221883 */     // GIR_Coverage, 8032,
     /*  221883 */     GIR_EraseRootFromParent_Done,
     /*  221884 */   // Label 4425: @221884
     /*  221884 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(221958), // Rule ID 8033 //
     /*  221889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  221903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221929 */     // MIs[1] Operand 1
     /*  221929 */     // No operand predicates
     /*  221929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221938 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221956 */     GIR_RootConstrainSelectedInstOperands,
     /*  221957 */     // GIR_Coverage, 8033,
     /*  221957 */     GIR_EraseRootFromParent_Done,
     /*  221958 */   // Label 4426: @221958
     /*  221958 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(222032), // Rule ID 8036 //
     /*  221963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  221977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222003 */     // MIs[1] Operand 1
     /*  222003 */     // No operand predicates
     /*  222003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222012 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  222015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222030 */     GIR_RootConstrainSelectedInstOperands,
     /*  222031 */     // GIR_Coverage, 8036,
     /*  222031 */     GIR_EraseRootFromParent_Done,
     /*  222032 */   // Label 4427: @222032
     /*  222032 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(222106), // Rule ID 8037 //
     /*  222037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  222051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222077 */     // MIs[1] Operand 1
     /*  222077 */     // No operand predicates
     /*  222077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222086 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  222089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222104 */     GIR_RootConstrainSelectedInstOperands,
     /*  222105 */     // GIR_Coverage, 8037,
     /*  222105 */     GIR_EraseRootFromParent_Done,
     /*  222106 */   // Label 4428: @222106
     /*  222106 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(222180), // Rule ID 8040 //
     /*  222111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  222122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  222125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222151 */     // MIs[1] Operand 1
     /*  222151 */     // No operand predicates
     /*  222151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222160 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  222163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222178 */     GIR_RootConstrainSelectedInstOperands,
     /*  222179 */     // GIR_Coverage, 8040,
     /*  222179 */     GIR_EraseRootFromParent_Done,
     /*  222180 */   // Label 4429: @222180
     /*  222180 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(222254), // Rule ID 8041 //
     /*  222185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  222196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  222199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222225 */     // MIs[1] Operand 1
     /*  222225 */     // No operand predicates
     /*  222225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222234 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  222237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222252 */     GIR_RootConstrainSelectedInstOperands,
     /*  222253 */     // GIR_Coverage, 8041,
     /*  222253 */     GIR_EraseRootFromParent_Done,
     /*  222254 */   // Label 4430: @222254
     /*  222254 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(222328), // Rule ID 8044 //
     /*  222259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  222273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222299 */     // MIs[1] Operand 1
     /*  222299 */     // No operand predicates
     /*  222299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  222311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222326 */     GIR_RootConstrainSelectedInstOperands,
     /*  222327 */     // GIR_Coverage, 8044,
     /*  222327 */     GIR_EraseRootFromParent_Done,
     /*  222328 */   // Label 4431: @222328
     /*  222328 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(222402), // Rule ID 8045 //
     /*  222333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  222347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222373 */     // MIs[1] Operand 1
     /*  222373 */     // No operand predicates
     /*  222373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222382 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  222385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222400 */     GIR_RootConstrainSelectedInstOperands,
     /*  222401 */     // GIR_Coverage, 8045,
     /*  222401 */     GIR_EraseRootFromParent_Done,
     /*  222402 */   // Label 4432: @222402
     /*  222402 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(222476), // Rule ID 8048 //
     /*  222407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  222421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222447 */     // MIs[1] Operand 1
     /*  222447 */     // No operand predicates
     /*  222447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  222459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222474 */     GIR_RootConstrainSelectedInstOperands,
     /*  222475 */     // GIR_Coverage, 8048,
     /*  222475 */     GIR_EraseRootFromParent_Done,
     /*  222476 */   // Label 4433: @222476
     /*  222476 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(222550), // Rule ID 8049 //
     /*  222481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  222495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222521 */     // MIs[1] Operand 1
     /*  222521 */     // No operand predicates
     /*  222521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222530 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  222533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222548 */     GIR_RootConstrainSelectedInstOperands,
     /*  222549 */     // GIR_Coverage, 8049,
     /*  222549 */     GIR_EraseRootFromParent_Done,
     /*  222550 */   // Label 4434: @222550
     /*  222550 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(222624), // Rule ID 8052 //
     /*  222555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  222569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222595 */     // MIs[1] Operand 1
     /*  222595 */     // No operand predicates
     /*  222595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222604 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  222607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222622 */     GIR_RootConstrainSelectedInstOperands,
     /*  222623 */     // GIR_Coverage, 8052,
     /*  222623 */     GIR_EraseRootFromParent_Done,
     /*  222624 */   // Label 4435: @222624
     /*  222624 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(222698), // Rule ID 8053 //
     /*  222629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  222643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222669 */     // MIs[1] Operand 1
     /*  222669 */     // No operand predicates
     /*  222669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222678 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  222681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222696 */     GIR_RootConstrainSelectedInstOperands,
     /*  222697 */     // GIR_Coverage, 8053,
     /*  222697 */     GIR_EraseRootFromParent_Done,
     /*  222698 */   // Label 4436: @222698
     /*  222698 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(222772), // Rule ID 8056 //
     /*  222703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  222717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222743 */     // MIs[1] Operand 1
     /*  222743 */     // No operand predicates
     /*  222743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222752 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  222755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222770 */     GIR_RootConstrainSelectedInstOperands,
     /*  222771 */     // GIR_Coverage, 8056,
     /*  222771 */     GIR_EraseRootFromParent_Done,
     /*  222772 */   // Label 4437: @222772
     /*  222772 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(222846), // Rule ID 8057 //
     /*  222777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  222791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222817 */     // MIs[1] Operand 1
     /*  222817 */     // No operand predicates
     /*  222817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222826 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  222829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222844 */     GIR_RootConstrainSelectedInstOperands,
     /*  222845 */     // GIR_Coverage, 8057,
     /*  222845 */     GIR_EraseRootFromParent_Done,
     /*  222846 */   // Label 4438: @222846
     /*  222846 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(222920), // Rule ID 8060 //
     /*  222851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  222865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222891 */     // MIs[1] Operand 1
     /*  222891 */     // No operand predicates
     /*  222891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222900 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  222903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222918 */     GIR_RootConstrainSelectedInstOperands,
     /*  222919 */     // GIR_Coverage, 8060,
     /*  222919 */     GIR_EraseRootFromParent_Done,
     /*  222920 */   // Label 4439: @222920
     /*  222920 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(222994), // Rule ID 8061 //
     /*  222925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  222933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  222939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222965 */     // MIs[1] Operand 1
     /*  222965 */     // No operand predicates
     /*  222965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222974 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  222977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222992 */     GIR_RootConstrainSelectedInstOperands,
     /*  222993 */     // GIR_Coverage, 8061,
     /*  222993 */     GIR_EraseRootFromParent_Done,
     /*  222994 */   // Label 4440: @222994
     /*  222994 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(223068), // Rule ID 8064 //
     /*  222999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  223013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223039 */     // MIs[1] Operand 1
     /*  223039 */     // No operand predicates
     /*  223039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223048 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  223051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223066 */     GIR_RootConstrainSelectedInstOperands,
     /*  223067 */     // GIR_Coverage, 8064,
     /*  223067 */     GIR_EraseRootFromParent_Done,
     /*  223068 */   // Label 4441: @223068
     /*  223068 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(223142), // Rule ID 8065 //
     /*  223073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  223087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223113 */     // MIs[1] Operand 1
     /*  223113 */     // No operand predicates
     /*  223113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223122 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  223125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223140 */     GIR_RootConstrainSelectedInstOperands,
     /*  223141 */     // GIR_Coverage, 8065,
     /*  223141 */     GIR_EraseRootFromParent_Done,
     /*  223142 */   // Label 4442: @223142
     /*  223142 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(223216), // Rule ID 8244 //
     /*  223147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  223161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223187 */     // MIs[1] Operand 1
     /*  223187 */     // No operand predicates
     /*  223187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223196 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  223199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223214 */     GIR_RootConstrainSelectedInstOperands,
     /*  223215 */     // GIR_Coverage, 8244,
     /*  223215 */     GIR_EraseRootFromParent_Done,
     /*  223216 */   // Label 4443: @223216
     /*  223216 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(223290), // Rule ID 8245 //
     /*  223221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  223235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223261 */     // MIs[1] Operand 1
     /*  223261 */     // No operand predicates
     /*  223261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223270 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  223273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223288 */     GIR_RootConstrainSelectedInstOperands,
     /*  223289 */     // GIR_Coverage, 8245,
     /*  223289 */     GIR_EraseRootFromParent_Done,
     /*  223290 */   // Label 4444: @223290
     /*  223290 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(223364), // Rule ID 8248 //
     /*  223295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  223309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223335 */     // MIs[1] Operand 1
     /*  223335 */     // No operand predicates
     /*  223335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  223347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223362 */     GIR_RootConstrainSelectedInstOperands,
     /*  223363 */     // GIR_Coverage, 8248,
     /*  223363 */     GIR_EraseRootFromParent_Done,
     /*  223364 */   // Label 4445: @223364
     /*  223364 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(223438), // Rule ID 8249 //
     /*  223369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  223383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223409 */     // MIs[1] Operand 1
     /*  223409 */     // No operand predicates
     /*  223409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223418 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  223421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223436 */     GIR_RootConstrainSelectedInstOperands,
     /*  223437 */     // GIR_Coverage, 8249,
     /*  223437 */     GIR_EraseRootFromParent_Done,
     /*  223438 */   // Label 4446: @223438
     /*  223438 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(223512), // Rule ID 8252 //
     /*  223443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  223457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223483 */     // MIs[1] Operand 1
     /*  223483 */     // No operand predicates
     /*  223483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223492 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  223495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223510 */     GIR_RootConstrainSelectedInstOperands,
     /*  223511 */     // GIR_Coverage, 8252,
     /*  223511 */     GIR_EraseRootFromParent_Done,
     /*  223512 */   // Label 4447: @223512
     /*  223512 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(223586), // Rule ID 8253 //
     /*  223517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  223531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223557 */     // MIs[1] Operand 1
     /*  223557 */     // No operand predicates
     /*  223557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223566 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  223569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223584 */     GIR_RootConstrainSelectedInstOperands,
     /*  223585 */     // GIR_Coverage, 8253,
     /*  223585 */     GIR_EraseRootFromParent_Done,
     /*  223586 */   // Label 4448: @223586
     /*  223586 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(223660), // Rule ID 8256 //
     /*  223591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  223605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223631 */     // MIs[1] Operand 1
     /*  223631 */     // No operand predicates
     /*  223631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  223643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223658 */     GIR_RootConstrainSelectedInstOperands,
     /*  223659 */     // GIR_Coverage, 8256,
     /*  223659 */     GIR_EraseRootFromParent_Done,
     /*  223660 */   // Label 4449: @223660
     /*  223660 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(223734), // Rule ID 8257 //
     /*  223665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  223679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223705 */     // MIs[1] Operand 1
     /*  223705 */     // No operand predicates
     /*  223705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223714 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  223717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223732 */     GIR_RootConstrainSelectedInstOperands,
     /*  223733 */     // GIR_Coverage, 8257,
     /*  223733 */     GIR_EraseRootFromParent_Done,
     /*  223734 */   // Label 4450: @223734
     /*  223734 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(223808), // Rule ID 8260 //
     /*  223739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  223753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223779 */     // MIs[1] Operand 1
     /*  223779 */     // No operand predicates
     /*  223779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  223791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223806 */     GIR_RootConstrainSelectedInstOperands,
     /*  223807 */     // GIR_Coverage, 8260,
     /*  223807 */     GIR_EraseRootFromParent_Done,
     /*  223808 */   // Label 4451: @223808
     /*  223808 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(223882), // Rule ID 8261 //
     /*  223813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  223827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223853 */     // MIs[1] Operand 1
     /*  223853 */     // No operand predicates
     /*  223853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223862 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  223865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223880 */     GIR_RootConstrainSelectedInstOperands,
     /*  223881 */     // GIR_Coverage, 8261,
     /*  223881 */     GIR_EraseRootFromParent_Done,
     /*  223882 */   // Label 4452: @223882
     /*  223882 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(223956), // Rule ID 8264 //
     /*  223887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  223901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223927 */     // MIs[1] Operand 1
     /*  223927 */     // No operand predicates
     /*  223927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  223939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223954 */     GIR_RootConstrainSelectedInstOperands,
     /*  223955 */     // GIR_Coverage, 8264,
     /*  223955 */     GIR_EraseRootFromParent_Done,
     /*  223956 */   // Label 4453: @223956
     /*  223956 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(224030), // Rule ID 8265 //
     /*  223961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  223975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224001 */     // MIs[1] Operand 1
     /*  224001 */     // No operand predicates
     /*  224001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224010 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  224013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224028 */     GIR_RootConstrainSelectedInstOperands,
     /*  224029 */     // GIR_Coverage, 8265,
     /*  224029 */     GIR_EraseRootFromParent_Done,
     /*  224030 */   // Label 4454: @224030
     /*  224030 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(224104), // Rule ID 8268 //
     /*  224035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  224049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224075 */     // MIs[1] Operand 1
     /*  224075 */     // No operand predicates
     /*  224075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  224087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224102 */     GIR_RootConstrainSelectedInstOperands,
     /*  224103 */     // GIR_Coverage, 8268,
     /*  224103 */     GIR_EraseRootFromParent_Done,
     /*  224104 */   // Label 4455: @224104
     /*  224104 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(224178), // Rule ID 8269 //
     /*  224109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  224123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224149 */     // MIs[1] Operand 1
     /*  224149 */     // No operand predicates
     /*  224149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224158 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  224161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224176 */     GIR_RootConstrainSelectedInstOperands,
     /*  224177 */     // GIR_Coverage, 8269,
     /*  224177 */     GIR_EraseRootFromParent_Done,
     /*  224178 */   // Label 4456: @224178
     /*  224178 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(224252), // Rule ID 8272 //
     /*  224183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  224197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224223 */     // MIs[1] Operand 1
     /*  224223 */     // No operand predicates
     /*  224223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224232 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  224235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224250 */     GIR_RootConstrainSelectedInstOperands,
     /*  224251 */     // GIR_Coverage, 8272,
     /*  224251 */     GIR_EraseRootFromParent_Done,
     /*  224252 */   // Label 4457: @224252
     /*  224252 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(224326), // Rule ID 8273 //
     /*  224257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  224271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224297 */     // MIs[1] Operand 1
     /*  224297 */     // No operand predicates
     /*  224297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224306 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  224309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224324 */     GIR_RootConstrainSelectedInstOperands,
     /*  224325 */     // GIR_Coverage, 8273,
     /*  224325 */     GIR_EraseRootFromParent_Done,
     /*  224326 */   // Label 4458: @224326
     /*  224326 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(224400), // Rule ID 8276 //
     /*  224331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  224345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224371 */     // MIs[1] Operand 1
     /*  224371 */     // No operand predicates
     /*  224371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  224383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224398 */     GIR_RootConstrainSelectedInstOperands,
     /*  224399 */     // GIR_Coverage, 8276,
     /*  224399 */     GIR_EraseRootFromParent_Done,
     /*  224400 */   // Label 4459: @224400
     /*  224400 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(224474), // Rule ID 8277 //
     /*  224405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  224419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224445 */     // MIs[1] Operand 1
     /*  224445 */     // No operand predicates
     /*  224445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224454 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  224457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224472 */     GIR_RootConstrainSelectedInstOperands,
     /*  224473 */     // GIR_Coverage, 8277,
     /*  224473 */     GIR_EraseRootFromParent_Done,
     /*  224474 */   // Label 4460: @224474
     /*  224474 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(224548), // Rule ID 8280 //
     /*  224479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  224482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  224493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224519 */     // MIs[1] Operand 1
     /*  224519 */     // No operand predicates
     /*  224519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  224528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  224531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224546 */     GIR_RootConstrainSelectedInstOperands,
     /*  224547 */     // GIR_Coverage, 8280,
     /*  224547 */     GIR_EraseRootFromParent_Done,
     /*  224548 */   // Label 4461: @224548
     /*  224548 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(224622), // Rule ID 8281 //
     /*  224553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  224556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  224567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224593 */     // MIs[1] Operand 1
     /*  224593 */     // No operand predicates
     /*  224593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224602 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  224602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  224605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224620 */     GIR_RootConstrainSelectedInstOperands,
     /*  224621 */     // GIR_Coverage, 8281,
     /*  224621 */     GIR_EraseRootFromParent_Done,
     /*  224622 */   // Label 4462: @224622
     /*  224622 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(224696), // Rule ID 8284 //
     /*  224627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  224641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224667 */     // MIs[1] Operand 1
     /*  224667 */     // No operand predicates
     /*  224667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224676 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224694 */     GIR_RootConstrainSelectedInstOperands,
     /*  224695 */     // GIR_Coverage, 8284,
     /*  224695 */     GIR_EraseRootFromParent_Done,
     /*  224696 */   // Label 4463: @224696
     /*  224696 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(224770), // Rule ID 8285 //
     /*  224701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  224715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224741 */     // MIs[1] Operand 1
     /*  224741 */     // No operand predicates
     /*  224741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224750 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224768 */     GIR_RootConstrainSelectedInstOperands,
     /*  224769 */     // GIR_Coverage, 8285,
     /*  224769 */     GIR_EraseRootFromParent_Done,
     /*  224770 */   // Label 4464: @224770
     /*  224770 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(224844), // Rule ID 8288 //
     /*  224775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  224789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224815 */     // MIs[1] Operand 1
     /*  224815 */     // No operand predicates
     /*  224815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224824 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224842 */     GIR_RootConstrainSelectedInstOperands,
     /*  224843 */     // GIR_Coverage, 8288,
     /*  224843 */     GIR_EraseRootFromParent_Done,
     /*  224844 */   // Label 4465: @224844
     /*  224844 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(224918), // Rule ID 8289 //
     /*  224849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  224863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224889 */     // MIs[1] Operand 1
     /*  224889 */     // No operand predicates
     /*  224889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224898 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224916 */     GIR_RootConstrainSelectedInstOperands,
     /*  224917 */     // GIR_Coverage, 8289,
     /*  224917 */     GIR_EraseRootFromParent_Done,
     /*  224918 */   // Label 4466: @224918
     /*  224918 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(224992), // Rule ID 8292 //
     /*  224923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  224934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  224937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224963 */     // MIs[1] Operand 1
     /*  224963 */     // No operand predicates
     /*  224963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224972 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224990 */     GIR_RootConstrainSelectedInstOperands,
     /*  224991 */     // GIR_Coverage, 8292,
     /*  224991 */     GIR_EraseRootFromParent_Done,
     /*  224992 */   // Label 4467: @224992
     /*  224992 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(225066), // Rule ID 8293 //
     /*  224997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  225008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  225011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225037 */     // MIs[1] Operand 1
     /*  225037 */     // No operand predicates
     /*  225037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225046 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225064 */     GIR_RootConstrainSelectedInstOperands,
     /*  225065 */     // GIR_Coverage, 8293,
     /*  225065 */     GIR_EraseRootFromParent_Done,
     /*  225066 */   // Label 4468: @225066
     /*  225066 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(225140), // Rule ID 8296 //
     /*  225071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  225085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225111 */     // MIs[1] Operand 1
     /*  225111 */     // No operand predicates
     /*  225111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225120 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  225123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225138 */     GIR_RootConstrainSelectedInstOperands,
     /*  225139 */     // GIR_Coverage, 8296,
     /*  225139 */     GIR_EraseRootFromParent_Done,
     /*  225140 */   // Label 4469: @225140
     /*  225140 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(225214), // Rule ID 8297 //
     /*  225145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  225159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225185 */     // MIs[1] Operand 1
     /*  225185 */     // No operand predicates
     /*  225185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225194 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  225197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225212 */     GIR_RootConstrainSelectedInstOperands,
     /*  225213 */     // GIR_Coverage, 8297,
     /*  225213 */     GIR_EraseRootFromParent_Done,
     /*  225214 */   // Label 4470: @225214
     /*  225214 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(225288), // Rule ID 8300 //
     /*  225219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  225233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225259 */     // MIs[1] Operand 1
     /*  225259 */     // No operand predicates
     /*  225259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225268 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225286 */     GIR_RootConstrainSelectedInstOperands,
     /*  225287 */     // GIR_Coverage, 8300,
     /*  225287 */     GIR_EraseRootFromParent_Done,
     /*  225288 */   // Label 4471: @225288
     /*  225288 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(225362), // Rule ID 8301 //
     /*  225293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  225307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225333 */     // MIs[1] Operand 1
     /*  225333 */     // No operand predicates
     /*  225333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225342 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225360 */     GIR_RootConstrainSelectedInstOperands,
     /*  225361 */     // GIR_Coverage, 8301,
     /*  225361 */     GIR_EraseRootFromParent_Done,
     /*  225362 */   // Label 4472: @225362
     /*  225362 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(225436), // Rule ID 8304 //
     /*  225367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  225381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225407 */     // MIs[1] Operand 1
     /*  225407 */     // No operand predicates
     /*  225407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225416 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225434 */     GIR_RootConstrainSelectedInstOperands,
     /*  225435 */     // GIR_Coverage, 8304,
     /*  225435 */     GIR_EraseRootFromParent_Done,
     /*  225436 */   // Label 4473: @225436
     /*  225436 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(225510), // Rule ID 8305 //
     /*  225441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  225455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225481 */     // MIs[1] Operand 1
     /*  225481 */     // No operand predicates
     /*  225481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225490 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225508 */     GIR_RootConstrainSelectedInstOperands,
     /*  225509 */     // GIR_Coverage, 8305,
     /*  225509 */     GIR_EraseRootFromParent_Done,
     /*  225510 */   // Label 4474: @225510
     /*  225510 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(225584), // Rule ID 8308 //
     /*  225515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  225529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225555 */     // MIs[1] Operand 1
     /*  225555 */     // No operand predicates
     /*  225555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  225567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225582 */     GIR_RootConstrainSelectedInstOperands,
     /*  225583 */     // GIR_Coverage, 8308,
     /*  225583 */     GIR_EraseRootFromParent_Done,
     /*  225584 */   // Label 4475: @225584
     /*  225584 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(225658), // Rule ID 8309 //
     /*  225589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  225603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225629 */     // MIs[1] Operand 1
     /*  225629 */     // No operand predicates
     /*  225629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225638 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  225641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225656 */     GIR_RootConstrainSelectedInstOperands,
     /*  225657 */     // GIR_Coverage, 8309,
     /*  225657 */     GIR_EraseRootFromParent_Done,
     /*  225658 */   // Label 4476: @225658
     /*  225658 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(225732), // Rule ID 8312 //
     /*  225663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225703 */     // MIs[1] Operand 1
     /*  225703 */     // No operand predicates
     /*  225703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225712 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225730 */     GIR_RootConstrainSelectedInstOperands,
     /*  225731 */     // GIR_Coverage, 8312,
     /*  225731 */     GIR_EraseRootFromParent_Done,
     /*  225732 */   // Label 4477: @225732
     /*  225732 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(225806), // Rule ID 8313 //
     /*  225737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225777 */     // MIs[1] Operand 1
     /*  225777 */     // No operand predicates
     /*  225777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225786 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225804 */     GIR_RootConstrainSelectedInstOperands,
     /*  225805 */     // GIR_Coverage, 8313,
     /*  225805 */     GIR_EraseRootFromParent_Done,
     /*  225806 */   // Label 4478: @225806
     /*  225806 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(225880), // Rule ID 8316 //
     /*  225811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  225825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225851 */     // MIs[1] Operand 1
     /*  225851 */     // No operand predicates
     /*  225851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225860 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225878 */     GIR_RootConstrainSelectedInstOperands,
     /*  225879 */     // GIR_Coverage, 8316,
     /*  225879 */     GIR_EraseRootFromParent_Done,
     /*  225880 */   // Label 4479: @225880
     /*  225880 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(225954), // Rule ID 8317 //
     /*  225885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  225899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225925 */     // MIs[1] Operand 1
     /*  225925 */     // No operand predicates
     /*  225925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225934 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225952 */     GIR_RootConstrainSelectedInstOperands,
     /*  225953 */     // GIR_Coverage, 8317,
     /*  225953 */     GIR_EraseRootFromParent_Done,
     /*  225954 */   // Label 4480: @225954
     /*  225954 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(226028), // Rule ID 8320 //
     /*  225959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  225973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225999 */     // MIs[1] Operand 1
     /*  225999 */     // No operand predicates
     /*  225999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  226011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226026 */     GIR_RootConstrainSelectedInstOperands,
     /*  226027 */     // GIR_Coverage, 8320,
     /*  226027 */     GIR_EraseRootFromParent_Done,
     /*  226028 */   // Label 4481: @226028
     /*  226028 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(226102), // Rule ID 8321 //
     /*  226033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  226036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  226041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  226047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226073 */     // MIs[1] Operand 1
     /*  226073 */     // No operand predicates
     /*  226073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226082 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  226085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226100 */     GIR_RootConstrainSelectedInstOperands,
     /*  226101 */     // GIR_Coverage, 8321,
     /*  226101 */     GIR_EraseRootFromParent_Done,
     /*  226102 */   // Label 4482: @226102
     /*  226102 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(226176), // Rule ID 8324 //
     /*  226107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  226110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  226115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  226121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226147 */     // MIs[1] Operand 1
     /*  226147 */     // No operand predicates
     /*  226147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  226159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226174 */     GIR_RootConstrainSelectedInstOperands,
     /*  226175 */     // GIR_Coverage, 8324,
     /*  226175 */     GIR_EraseRootFromParent_Done,
     /*  226176 */   // Label 4483: @226176
     /*  226176 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(226250), // Rule ID 8325 //
     /*  226181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  226184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  226189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  226195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226221 */     // MIs[1] Operand 1
     /*  226221 */     // No operand predicates
     /*  226221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226230 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  226233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226248 */     GIR_RootConstrainSelectedInstOperands,
     /*  226249 */     // GIR_Coverage, 8325,
     /*  226249 */     GIR_EraseRootFromParent_Done,
     /*  226250 */   // Label 4484: @226250
     /*  226250 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(226324), // Rule ID 8328 //
     /*  226255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  226258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  226263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  226269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226295 */     // MIs[1] Operand 1
     /*  226295 */     // No operand predicates
     /*  226295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  226307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226322 */     GIR_RootConstrainSelectedInstOperands,
     /*  226323 */     // GIR_Coverage, 8328,
     /*  226323 */     GIR_EraseRootFromParent_Done,
     /*  226324 */   // Label 4485: @226324
     /*  226324 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(226398), // Rule ID 8329 //
     /*  226329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  226332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  226337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  226343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226369 */     // MIs[1] Operand 1
     /*  226369 */     // No operand predicates
     /*  226369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226378 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  226381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226396 */     GIR_RootConstrainSelectedInstOperands,
     /*  226397 */     // GIR_Coverage, 8329,
     /*  226397 */     GIR_EraseRootFromParent_Done,
     /*  226398 */   // Label 4486: @226398
     /*  226398 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(226472), // Rule ID 8860 //
     /*  226403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  226417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226443 */     // MIs[1] Operand 1
     /*  226443 */     // No operand predicates
     /*  226443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226452 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  226455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226470 */     GIR_RootConstrainSelectedInstOperands,
     /*  226471 */     // GIR_Coverage, 8860,
     /*  226471 */     GIR_EraseRootFromParent_Done,
     /*  226472 */   // Label 4487: @226472
     /*  226472 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(226546), // Rule ID 8861 //
     /*  226477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  226491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226517 */     // MIs[1] Operand 1
     /*  226517 */     // No operand predicates
     /*  226517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226526 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  226529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226544 */     GIR_RootConstrainSelectedInstOperands,
     /*  226545 */     // GIR_Coverage, 8861,
     /*  226545 */     GIR_EraseRootFromParent_Done,
     /*  226546 */   // Label 4488: @226546
     /*  226546 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(226620), // Rule ID 8864 //
     /*  226551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  226565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226591 */     // MIs[1] Operand 1
     /*  226591 */     // No operand predicates
     /*  226591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226600 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  226603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226618 */     GIR_RootConstrainSelectedInstOperands,
     /*  226619 */     // GIR_Coverage, 8864,
     /*  226619 */     GIR_EraseRootFromParent_Done,
     /*  226620 */   // Label 4489: @226620
     /*  226620 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(226694), // Rule ID 8865 //
     /*  226625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  226639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226665 */     // MIs[1] Operand 1
     /*  226665 */     // No operand predicates
     /*  226665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226674 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  226677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226692 */     GIR_RootConstrainSelectedInstOperands,
     /*  226693 */     // GIR_Coverage, 8865,
     /*  226693 */     GIR_EraseRootFromParent_Done,
     /*  226694 */   // Label 4490: @226694
     /*  226694 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(226768), // Rule ID 8868 //
     /*  226699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  226713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226739 */     // MIs[1] Operand 1
     /*  226739 */     // No operand predicates
     /*  226739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226766 */     GIR_RootConstrainSelectedInstOperands,
     /*  226767 */     // GIR_Coverage, 8868,
     /*  226767 */     GIR_EraseRootFromParent_Done,
     /*  226768 */   // Label 4491: @226768
     /*  226768 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(226842), // Rule ID 8869 //
     /*  226773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  226787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226813 */     // MIs[1] Operand 1
     /*  226813 */     // No operand predicates
     /*  226813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226840 */     GIR_RootConstrainSelectedInstOperands,
     /*  226841 */     // GIR_Coverage, 8869,
     /*  226841 */     GIR_EraseRootFromParent_Done,
     /*  226842 */   // Label 4492: @226842
     /*  226842 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(226916), // Rule ID 8872 //
     /*  226847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  226861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226887 */     // MIs[1] Operand 1
     /*  226887 */     // No operand predicates
     /*  226887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226896 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  226899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226914 */     GIR_RootConstrainSelectedInstOperands,
     /*  226915 */     // GIR_Coverage, 8872,
     /*  226915 */     GIR_EraseRootFromParent_Done,
     /*  226916 */   // Label 4493: @226916
     /*  226916 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(226990), // Rule ID 8873 //
     /*  226921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  226935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226961 */     // MIs[1] Operand 1
     /*  226961 */     // No operand predicates
     /*  226961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226970 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  226973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226988 */     GIR_RootConstrainSelectedInstOperands,
     /*  226989 */     // GIR_Coverage, 8873,
     /*  226989 */     GIR_EraseRootFromParent_Done,
     /*  226990 */   // Label 4494: @226990
     /*  226990 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(227064), // Rule ID 8876 //
     /*  226995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  227009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227035 */     // MIs[1] Operand 1
     /*  227035 */     // No operand predicates
     /*  227035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227044 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  227047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227062 */     GIR_RootConstrainSelectedInstOperands,
     /*  227063 */     // GIR_Coverage, 8876,
     /*  227063 */     GIR_EraseRootFromParent_Done,
     /*  227064 */   // Label 4495: @227064
     /*  227064 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(227138), // Rule ID 8877 //
     /*  227069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  227083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227109 */     // MIs[1] Operand 1
     /*  227109 */     // No operand predicates
     /*  227109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227118 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  227121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227136 */     GIR_RootConstrainSelectedInstOperands,
     /*  227137 */     // GIR_Coverage, 8877,
     /*  227137 */     GIR_EraseRootFromParent_Done,
     /*  227138 */   // Label 4496: @227138
     /*  227138 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(227212), // Rule ID 8880 //
     /*  227143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  227157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227183 */     // MIs[1] Operand 1
     /*  227183 */     // No operand predicates
     /*  227183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227192 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  227195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227210 */     GIR_RootConstrainSelectedInstOperands,
     /*  227211 */     // GIR_Coverage, 8880,
     /*  227211 */     GIR_EraseRootFromParent_Done,
     /*  227212 */   // Label 4497: @227212
     /*  227212 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(227286), // Rule ID 8881 //
     /*  227217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  227231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227257 */     // MIs[1] Operand 1
     /*  227257 */     // No operand predicates
     /*  227257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227266 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  227269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227284 */     GIR_RootConstrainSelectedInstOperands,
     /*  227285 */     // GIR_Coverage, 8881,
     /*  227285 */     GIR_EraseRootFromParent_Done,
     /*  227286 */   // Label 4498: @227286
     /*  227286 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(227360), // Rule ID 8884 //
     /*  227291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  227305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227331 */     // MIs[1] Operand 1
     /*  227331 */     // No operand predicates
     /*  227331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227358 */     GIR_RootConstrainSelectedInstOperands,
     /*  227359 */     // GIR_Coverage, 8884,
     /*  227359 */     GIR_EraseRootFromParent_Done,
     /*  227360 */   // Label 4499: @227360
     /*  227360 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(227434), // Rule ID 8885 //
     /*  227365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  227379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227405 */     // MIs[1] Operand 1
     /*  227405 */     // No operand predicates
     /*  227405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227414 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227432 */     GIR_RootConstrainSelectedInstOperands,
     /*  227433 */     // GIR_Coverage, 8885,
     /*  227433 */     GIR_EraseRootFromParent_Done,
     /*  227434 */   // Label 4500: @227434
     /*  227434 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(227508), // Rule ID 8888 //
     /*  227439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  227453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227479 */     // MIs[1] Operand 1
     /*  227479 */     // No operand predicates
     /*  227479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227506 */     GIR_RootConstrainSelectedInstOperands,
     /*  227507 */     // GIR_Coverage, 8888,
     /*  227507 */     GIR_EraseRootFromParent_Done,
     /*  227508 */   // Label 4501: @227508
     /*  227508 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(227582), // Rule ID 8889 //
     /*  227513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  227527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227553 */     // MIs[1] Operand 1
     /*  227553 */     // No operand predicates
     /*  227553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227562 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227580 */     GIR_RootConstrainSelectedInstOperands,
     /*  227581 */     // GIR_Coverage, 8889,
     /*  227581 */     GIR_EraseRootFromParent_Done,
     /*  227582 */   // Label 4502: @227582
     /*  227582 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(227656), // Rule ID 8892 //
     /*  227587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  227601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227627 */     // MIs[1] Operand 1
     /*  227627 */     // No operand predicates
     /*  227627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227636 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227654 */     GIR_RootConstrainSelectedInstOperands,
     /*  227655 */     // GIR_Coverage, 8892,
     /*  227655 */     GIR_EraseRootFromParent_Done,
     /*  227656 */   // Label 4503: @227656
     /*  227656 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(227730), // Rule ID 8893 //
     /*  227661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  227675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227701 */     // MIs[1] Operand 1
     /*  227701 */     // No operand predicates
     /*  227701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227710 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227728 */     GIR_RootConstrainSelectedInstOperands,
     /*  227729 */     // GIR_Coverage, 8893,
     /*  227729 */     GIR_EraseRootFromParent_Done,
     /*  227730 */   // Label 4504: @227730
     /*  227730 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(227804), // Rule ID 8896 //
     /*  227735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  227738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  227749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227775 */     // MIs[1] Operand 1
     /*  227775 */     // No operand predicates
     /*  227775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  227784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227802 */     GIR_RootConstrainSelectedInstOperands,
     /*  227803 */     // GIR_Coverage, 8896,
     /*  227803 */     GIR_EraseRootFromParent_Done,
     /*  227804 */   // Label 4505: @227804
     /*  227804 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(227878), // Rule ID 8897 //
     /*  227809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  227812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  227823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227849 */     // MIs[1] Operand 1
     /*  227849 */     // No operand predicates
     /*  227849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227858 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  227858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  227861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227876 */     GIR_RootConstrainSelectedInstOperands,
     /*  227877 */     // GIR_Coverage, 8897,
     /*  227877 */     GIR_EraseRootFromParent_Done,
     /*  227878 */   // Label 4506: @227878
     /*  227878 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(227952), // Rule ID 8900 //
     /*  227883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  227897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227923 */     // MIs[1] Operand 1
     /*  227923 */     // No operand predicates
     /*  227923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227932 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227950 */     GIR_RootConstrainSelectedInstOperands,
     /*  227951 */     // GIR_Coverage, 8900,
     /*  227951 */     GIR_EraseRootFromParent_Done,
     /*  227952 */   // Label 4507: @227952
     /*  227952 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(228026), // Rule ID 8901 //
     /*  227957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  227971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227997 */     // MIs[1] Operand 1
     /*  227997 */     // No operand predicates
     /*  227997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228006 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228024 */     GIR_RootConstrainSelectedInstOperands,
     /*  228025 */     // GIR_Coverage, 8901,
     /*  228025 */     GIR_EraseRootFromParent_Done,
     /*  228026 */   // Label 4508: @228026
     /*  228026 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(228100), // Rule ID 8904 //
     /*  228031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  228045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228071 */     // MIs[1] Operand 1
     /*  228071 */     // No operand predicates
     /*  228071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228080 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228098 */     GIR_RootConstrainSelectedInstOperands,
     /*  228099 */     // GIR_Coverage, 8904,
     /*  228099 */     GIR_EraseRootFromParent_Done,
     /*  228100 */   // Label 4509: @228100
     /*  228100 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(228174), // Rule ID 8905 //
     /*  228105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  228119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228145 */     // MIs[1] Operand 1
     /*  228145 */     // No operand predicates
     /*  228145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228154 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228172 */     GIR_RootConstrainSelectedInstOperands,
     /*  228173 */     // GIR_Coverage, 8905,
     /*  228173 */     GIR_EraseRootFromParent_Done,
     /*  228174 */   // Label 4510: @228174
     /*  228174 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(228248), // Rule ID 8908 //
     /*  228179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  228190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  228193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228219 */     // MIs[1] Operand 1
     /*  228219 */     // No operand predicates
     /*  228219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228228 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228246 */     GIR_RootConstrainSelectedInstOperands,
     /*  228247 */     // GIR_Coverage, 8908,
     /*  228247 */     GIR_EraseRootFromParent_Done,
     /*  228248 */   // Label 4511: @228248
     /*  228248 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(228322), // Rule ID 8909 //
     /*  228253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  228264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  228267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228293 */     // MIs[1] Operand 1
     /*  228293 */     // No operand predicates
     /*  228293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228302 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228320 */     GIR_RootConstrainSelectedInstOperands,
     /*  228321 */     // GIR_Coverage, 8909,
     /*  228321 */     GIR_EraseRootFromParent_Done,
     /*  228322 */   // Label 4512: @228322
     /*  228322 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(228396), // Rule ID 8912 //
     /*  228327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  228341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228367 */     // MIs[1] Operand 1
     /*  228367 */     // No operand predicates
     /*  228367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228394 */     GIR_RootConstrainSelectedInstOperands,
     /*  228395 */     // GIR_Coverage, 8912,
     /*  228395 */     GIR_EraseRootFromParent_Done,
     /*  228396 */   // Label 4513: @228396
     /*  228396 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(228470), // Rule ID 8913 //
     /*  228401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  228415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228441 */     // MIs[1] Operand 1
     /*  228441 */     // No operand predicates
     /*  228441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228450 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228468 */     GIR_RootConstrainSelectedInstOperands,
     /*  228469 */     // GIR_Coverage, 8913,
     /*  228469 */     GIR_EraseRootFromParent_Done,
     /*  228470 */   // Label 4514: @228470
     /*  228470 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(228544), // Rule ID 8916 //
     /*  228475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  228489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228515 */     // MIs[1] Operand 1
     /*  228515 */     // No operand predicates
     /*  228515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228524 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228542 */     GIR_RootConstrainSelectedInstOperands,
     /*  228543 */     // GIR_Coverage, 8916,
     /*  228543 */     GIR_EraseRootFromParent_Done,
     /*  228544 */   // Label 4515: @228544
     /*  228544 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(228618), // Rule ID 8917 //
     /*  228549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  228563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228589 */     // MIs[1] Operand 1
     /*  228589 */     // No operand predicates
     /*  228589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228598 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228616 */     GIR_RootConstrainSelectedInstOperands,
     /*  228617 */     // GIR_Coverage, 8917,
     /*  228617 */     GIR_EraseRootFromParent_Done,
     /*  228618 */   // Label 4516: @228618
     /*  228618 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(228692), // Rule ID 8920 //
     /*  228623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  228637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228663 */     // MIs[1] Operand 1
     /*  228663 */     // No operand predicates
     /*  228663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228672 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228690 */     GIR_RootConstrainSelectedInstOperands,
     /*  228691 */     // GIR_Coverage, 8920,
     /*  228691 */     GIR_EraseRootFromParent_Done,
     /*  228692 */   // Label 4517: @228692
     /*  228692 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(228766), // Rule ID 8921 //
     /*  228697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  228711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228737 */     // MIs[1] Operand 1
     /*  228737 */     // No operand predicates
     /*  228737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228746 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228764 */     GIR_RootConstrainSelectedInstOperands,
     /*  228765 */     // GIR_Coverage, 8921,
     /*  228765 */     GIR_EraseRootFromParent_Done,
     /*  228766 */   // Label 4518: @228766
     /*  228766 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(228840), // Rule ID 8924 //
     /*  228771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  228785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228811 */     // MIs[1] Operand 1
     /*  228811 */     // No operand predicates
     /*  228811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228820 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228838 */     GIR_RootConstrainSelectedInstOperands,
     /*  228839 */     // GIR_Coverage, 8924,
     /*  228839 */     GIR_EraseRootFromParent_Done,
     /*  228840 */   // Label 4519: @228840
     /*  228840 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(228914), // Rule ID 8925 //
     /*  228845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  228859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228885 */     // MIs[1] Operand 1
     /*  228885 */     // No operand predicates
     /*  228885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228894 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228912 */     GIR_RootConstrainSelectedInstOperands,
     /*  228913 */     // GIR_Coverage, 8925,
     /*  228913 */     GIR_EraseRootFromParent_Done,
     /*  228914 */   // Label 4520: @228914
     /*  228914 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(228988), // Rule ID 8928 //
     /*  228919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  228933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228959 */     // MIs[1] Operand 1
     /*  228959 */     // No operand predicates
     /*  228959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228986 */     GIR_RootConstrainSelectedInstOperands,
     /*  228987 */     // GIR_Coverage, 8928,
     /*  228987 */     GIR_EraseRootFromParent_Done,
     /*  228988 */   // Label 4521: @228988
     /*  228988 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(229062), // Rule ID 8929 //
     /*  228993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  229001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  229007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229033 */     // MIs[1] Operand 1
     /*  229033 */     // No operand predicates
     /*  229033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229042 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  229045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229060 */     GIR_RootConstrainSelectedInstOperands,
     /*  229061 */     // GIR_Coverage, 8929,
     /*  229061 */     GIR_EraseRootFromParent_Done,
     /*  229062 */   // Label 4522: @229062
     /*  229062 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(229136), // Rule ID 8932 //
     /*  229067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  229075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  229081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229107 */     // MIs[1] Operand 1
     /*  229107 */     // No operand predicates
     /*  229107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229116 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  229119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229134 */     GIR_RootConstrainSelectedInstOperands,
     /*  229135 */     // GIR_Coverage, 8932,
     /*  229135 */     GIR_EraseRootFromParent_Done,
     /*  229136 */   // Label 4523: @229136
     /*  229136 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(229210), // Rule ID 8933 //
     /*  229141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  229149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  229155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229181 */     // MIs[1] Operand 1
     /*  229181 */     // No operand predicates
     /*  229181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229190 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  229193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229208 */     GIR_RootConstrainSelectedInstOperands,
     /*  229209 */     // GIR_Coverage, 8933,
     /*  229209 */     GIR_EraseRootFromParent_Done,
     /*  229210 */   // Label 4524: @229210
     /*  229210 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(229284), // Rule ID 8936 //
     /*  229215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  229218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  229223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  229229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229255 */     // MIs[1] Operand 1
     /*  229255 */     // No operand predicates
     /*  229255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229264 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  229267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229282 */     GIR_RootConstrainSelectedInstOperands,
     /*  229283 */     // GIR_Coverage, 8936,
     /*  229283 */     GIR_EraseRootFromParent_Done,
     /*  229284 */   // Label 4525: @229284
     /*  229284 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(229358), // Rule ID 8937 //
     /*  229289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  229292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  229297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  229303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229329 */     // MIs[1] Operand 1
     /*  229329 */     // No operand predicates
     /*  229329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229338 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  229338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  229341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229356 */     GIR_RootConstrainSelectedInstOperands,
     /*  229357 */     // GIR_Coverage, 8937,
     /*  229357 */     GIR_EraseRootFromParent_Done,
     /*  229358 */   // Label 4526: @229358
     /*  229358 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(229432), // Rule ID 8940 //
     /*  229363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  229366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  229371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  229377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229403 */     // MIs[1] Operand 1
     /*  229403 */     // No operand predicates
     /*  229403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  229415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229430 */     GIR_RootConstrainSelectedInstOperands,
     /*  229431 */     // GIR_Coverage, 8940,
     /*  229431 */     GIR_EraseRootFromParent_Done,
     /*  229432 */   // Label 4527: @229432
     /*  229432 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(229506), // Rule ID 8941 //
     /*  229437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  229440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  229445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  229451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229477 */     // MIs[1] Operand 1
     /*  229477 */     // No operand predicates
     /*  229477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229486 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  229486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  229489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229504 */     GIR_RootConstrainSelectedInstOperands,
     /*  229505 */     // GIR_Coverage, 8941,
     /*  229505 */     GIR_EraseRootFromParent_Done,
     /*  229506 */   // Label 4528: @229506
     /*  229506 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(229580), // Rule ID 8944 //
     /*  229511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  229514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  229519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  229525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229551 */     // MIs[1] Operand 1
     /*  229551 */     // No operand predicates
     /*  229551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  229563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229578 */     GIR_RootConstrainSelectedInstOperands,
     /*  229579 */     // GIR_Coverage, 8944,
     /*  229579 */     GIR_EraseRootFromParent_Done,
     /*  229580 */   // Label 4529: @229580
     /*  229580 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(229654), // Rule ID 8945 //
     /*  229585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  229588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  229593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  229599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229625 */     // MIs[1] Operand 1
     /*  229625 */     // No operand predicates
     /*  229625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229634 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  229634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  229637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229652 */     GIR_RootConstrainSelectedInstOperands,
     /*  229653 */     // GIR_Coverage, 8945,
     /*  229653 */     GIR_EraseRootFromParent_Done,
     /*  229654 */   // Label 4530: @229654
     /*  229654 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(229728), // Rule ID 9124 //
     /*  229659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  229673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229699 */     // MIs[1] Operand 1
     /*  229699 */     // No operand predicates
     /*  229699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  229711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229726 */     GIR_RootConstrainSelectedInstOperands,
     /*  229727 */     // GIR_Coverage, 9124,
     /*  229727 */     GIR_EraseRootFromParent_Done,
     /*  229728 */   // Label 4531: @229728
     /*  229728 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(229802), // Rule ID 9125 //
     /*  229733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  229747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229773 */     // MIs[1] Operand 1
     /*  229773 */     // No operand predicates
     /*  229773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229782 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  229785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229800 */     GIR_RootConstrainSelectedInstOperands,
     /*  229801 */     // GIR_Coverage, 9125,
     /*  229801 */     GIR_EraseRootFromParent_Done,
     /*  229802 */   // Label 4532: @229802
     /*  229802 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(229876), // Rule ID 9128 //
     /*  229807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  229821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229847 */     // MIs[1] Operand 1
     /*  229847 */     // No operand predicates
     /*  229847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229856 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229874 */     GIR_RootConstrainSelectedInstOperands,
     /*  229875 */     // GIR_Coverage, 9128,
     /*  229875 */     GIR_EraseRootFromParent_Done,
     /*  229876 */   // Label 4533: @229876
     /*  229876 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(229950), // Rule ID 9129 //
     /*  229881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  229895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229921 */     // MIs[1] Operand 1
     /*  229921 */     // No operand predicates
     /*  229921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229930 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229948 */     GIR_RootConstrainSelectedInstOperands,
     /*  229949 */     // GIR_Coverage, 9129,
     /*  229949 */     GIR_EraseRootFromParent_Done,
     /*  229950 */   // Label 4534: @229950
     /*  229950 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(230024), // Rule ID 9132 //
     /*  229955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  229969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229995 */     // MIs[1] Operand 1
     /*  229995 */     // No operand predicates
     /*  229995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230004 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  230007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230022 */     GIR_RootConstrainSelectedInstOperands,
     /*  230023 */     // GIR_Coverage, 9132,
     /*  230023 */     GIR_EraseRootFromParent_Done,
     /*  230024 */   // Label 4535: @230024
     /*  230024 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(230098), // Rule ID 9133 //
     /*  230029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  230043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230069 */     // MIs[1] Operand 1
     /*  230069 */     // No operand predicates
     /*  230069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230078 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  230081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230096 */     GIR_RootConstrainSelectedInstOperands,
     /*  230097 */     // GIR_Coverage, 9133,
     /*  230097 */     GIR_EraseRootFromParent_Done,
     /*  230098 */   // Label 4536: @230098
     /*  230098 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(230172), // Rule ID 9136 //
     /*  230103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  230117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230143 */     // MIs[1] Operand 1
     /*  230143 */     // No operand predicates
     /*  230143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  230155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230170 */     GIR_RootConstrainSelectedInstOperands,
     /*  230171 */     // GIR_Coverage, 9136,
     /*  230171 */     GIR_EraseRootFromParent_Done,
     /*  230172 */   // Label 4537: @230172
     /*  230172 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(230246), // Rule ID 9137 //
     /*  230177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  230191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230217 */     // MIs[1] Operand 1
     /*  230217 */     // No operand predicates
     /*  230217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230226 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  230229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230244 */     GIR_RootConstrainSelectedInstOperands,
     /*  230245 */     // GIR_Coverage, 9137,
     /*  230245 */     GIR_EraseRootFromParent_Done,
     /*  230246 */   // Label 4538: @230246
     /*  230246 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(230320), // Rule ID 9140 //
     /*  230251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  230265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230291 */     // MIs[1] Operand 1
     /*  230291 */     // No operand predicates
     /*  230291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  230303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230318 */     GIR_RootConstrainSelectedInstOperands,
     /*  230319 */     // GIR_Coverage, 9140,
     /*  230319 */     GIR_EraseRootFromParent_Done,
     /*  230320 */   // Label 4539: @230320
     /*  230320 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(230394), // Rule ID 9141 //
     /*  230325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  230339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230365 */     // MIs[1] Operand 1
     /*  230365 */     // No operand predicates
     /*  230365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230374 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  230377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230392 */     GIR_RootConstrainSelectedInstOperands,
     /*  230393 */     // GIR_Coverage, 9141,
     /*  230393 */     GIR_EraseRootFromParent_Done,
     /*  230394 */   // Label 4540: @230394
     /*  230394 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(230468), // Rule ID 9144 //
     /*  230399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  230413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230439 */     // MIs[1] Operand 1
     /*  230439 */     // No operand predicates
     /*  230439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  230451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230466 */     GIR_RootConstrainSelectedInstOperands,
     /*  230467 */     // GIR_Coverage, 9144,
     /*  230467 */     GIR_EraseRootFromParent_Done,
     /*  230468 */   // Label 4541: @230468
     /*  230468 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(230542), // Rule ID 9145 //
     /*  230473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  230487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230513 */     // MIs[1] Operand 1
     /*  230513 */     // No operand predicates
     /*  230513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230522 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  230525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230540 */     GIR_RootConstrainSelectedInstOperands,
     /*  230541 */     // GIR_Coverage, 9145,
     /*  230541 */     GIR_EraseRootFromParent_Done,
     /*  230542 */   // Label 4542: @230542
     /*  230542 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(230616), // Rule ID 9148 //
     /*  230547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  230561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230587 */     // MIs[1] Operand 1
     /*  230587 */     // No operand predicates
     /*  230587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230596 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230614 */     GIR_RootConstrainSelectedInstOperands,
     /*  230615 */     // GIR_Coverage, 9148,
     /*  230615 */     GIR_EraseRootFromParent_Done,
     /*  230616 */   // Label 4543: @230616
     /*  230616 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(230690), // Rule ID 9149 //
     /*  230621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  230635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230661 */     // MIs[1] Operand 1
     /*  230661 */     // No operand predicates
     /*  230661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230670 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230688 */     GIR_RootConstrainSelectedInstOperands,
     /*  230689 */     // GIR_Coverage, 9149,
     /*  230689 */     GIR_EraseRootFromParent_Done,
     /*  230690 */   // Label 4544: @230690
     /*  230690 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(230764), // Rule ID 9152 //
     /*  230695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  230709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230735 */     // MIs[1] Operand 1
     /*  230735 */     // No operand predicates
     /*  230735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230744 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230762 */     GIR_RootConstrainSelectedInstOperands,
     /*  230763 */     // GIR_Coverage, 9152,
     /*  230763 */     GIR_EraseRootFromParent_Done,
     /*  230764 */   // Label 4545: @230764
     /*  230764 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(230838), // Rule ID 9153 //
     /*  230769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  230783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230809 */     // MIs[1] Operand 1
     /*  230809 */     // No operand predicates
     /*  230809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230818 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230836 */     GIR_RootConstrainSelectedInstOperands,
     /*  230837 */     // GIR_Coverage, 9153,
     /*  230837 */     GIR_EraseRootFromParent_Done,
     /*  230838 */   // Label 4546: @230838
     /*  230838 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(230912), // Rule ID 9156 //
     /*  230843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  230857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230883 */     // MIs[1] Operand 1
     /*  230883 */     // No operand predicates
     /*  230883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230892 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230910 */     GIR_RootConstrainSelectedInstOperands,
     /*  230911 */     // GIR_Coverage, 9156,
     /*  230911 */     GIR_EraseRootFromParent_Done,
     /*  230912 */   // Label 4547: @230912
     /*  230912 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(230986), // Rule ID 9157 //
     /*  230917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  230931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230957 */     // MIs[1] Operand 1
     /*  230957 */     // No operand predicates
     /*  230957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230966 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230984 */     GIR_RootConstrainSelectedInstOperands,
     /*  230985 */     // GIR_Coverage, 9157,
     /*  230985 */     GIR_EraseRootFromParent_Done,
     /*  230986 */   // Label 4548: @230986
     /*  230986 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(231060), // Rule ID 9160 //
     /*  230991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  230994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  231005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231031 */     // MIs[1] Operand 1
     /*  231031 */     // No operand predicates
     /*  231031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231040 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  231043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231058 */     GIR_RootConstrainSelectedInstOperands,
     /*  231059 */     // GIR_Coverage, 9160,
     /*  231059 */     GIR_EraseRootFromParent_Done,
     /*  231060 */   // Label 4549: @231060
     /*  231060 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(231134), // Rule ID 9161 //
     /*  231065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  231068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  231079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231105 */     // MIs[1] Operand 1
     /*  231105 */     // No operand predicates
     /*  231105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231114 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  231117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231132 */     GIR_RootConstrainSelectedInstOperands,
     /*  231133 */     // GIR_Coverage, 9161,
     /*  231133 */     GIR_EraseRootFromParent_Done,
     /*  231134 */   // Label 4550: @231134
     /*  231134 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(231208), // Rule ID 9164 //
     /*  231139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  231153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231179 */     // MIs[1] Operand 1
     /*  231179 */     // No operand predicates
     /*  231179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231206 */     GIR_RootConstrainSelectedInstOperands,
     /*  231207 */     // GIR_Coverage, 9164,
     /*  231207 */     GIR_EraseRootFromParent_Done,
     /*  231208 */   // Label 4551: @231208
     /*  231208 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(231282), // Rule ID 9165 //
     /*  231213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  231227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231253 */     // MIs[1] Operand 1
     /*  231253 */     // No operand predicates
     /*  231253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231262 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231280 */     GIR_RootConstrainSelectedInstOperands,
     /*  231281 */     // GIR_Coverage, 9165,
     /*  231281 */     GIR_EraseRootFromParent_Done,
     /*  231282 */   // Label 4552: @231282
     /*  231282 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(231356), // Rule ID 9168 //
     /*  231287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  231301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231327 */     // MIs[1] Operand 1
     /*  231327 */     // No operand predicates
     /*  231327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231336 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231354 */     GIR_RootConstrainSelectedInstOperands,
     /*  231355 */     // GIR_Coverage, 9168,
     /*  231355 */     GIR_EraseRootFromParent_Done,
     /*  231356 */   // Label 4553: @231356
     /*  231356 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(231430), // Rule ID 9169 //
     /*  231361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  231375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231401 */     // MIs[1] Operand 1
     /*  231401 */     // No operand predicates
     /*  231401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231410 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231428 */     GIR_RootConstrainSelectedInstOperands,
     /*  231429 */     // GIR_Coverage, 9169,
     /*  231429 */     GIR_EraseRootFromParent_Done,
     /*  231430 */   // Label 4554: @231430
     /*  231430 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(231504), // Rule ID 9172 //
     /*  231435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  231446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  231449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231475 */     // MIs[1] Operand 1
     /*  231475 */     // No operand predicates
     /*  231475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231484 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231502 */     GIR_RootConstrainSelectedInstOperands,
     /*  231503 */     // GIR_Coverage, 9172,
     /*  231503 */     GIR_EraseRootFromParent_Done,
     /*  231504 */   // Label 4555: @231504
     /*  231504 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(231578), // Rule ID 9173 //
     /*  231509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  231520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  231523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231549 */     // MIs[1] Operand 1
     /*  231549 */     // No operand predicates
     /*  231549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231558 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231576 */     GIR_RootConstrainSelectedInstOperands,
     /*  231577 */     // GIR_Coverage, 9173,
     /*  231577 */     GIR_EraseRootFromParent_Done,
     /*  231578 */   // Label 4556: @231578
     /*  231578 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(231652), // Rule ID 9176 //
     /*  231583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  231597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231623 */     // MIs[1] Operand 1
     /*  231623 */     // No operand predicates
     /*  231623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231650 */     GIR_RootConstrainSelectedInstOperands,
     /*  231651 */     // GIR_Coverage, 9176,
     /*  231651 */     GIR_EraseRootFromParent_Done,
     /*  231652 */   // Label 4557: @231652
     /*  231652 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(231726), // Rule ID 9177 //
     /*  231657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  231671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231697 */     // MIs[1] Operand 1
     /*  231697 */     // No operand predicates
     /*  231697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231706 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231724 */     GIR_RootConstrainSelectedInstOperands,
     /*  231725 */     // GIR_Coverage, 9177,
     /*  231725 */     GIR_EraseRootFromParent_Done,
     /*  231726 */   // Label 4558: @231726
     /*  231726 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(231800), // Rule ID 9180 //
     /*  231731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  231745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231771 */     // MIs[1] Operand 1
     /*  231771 */     // No operand predicates
     /*  231771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231798 */     GIR_RootConstrainSelectedInstOperands,
     /*  231799 */     // GIR_Coverage, 9180,
     /*  231799 */     GIR_EraseRootFromParent_Done,
     /*  231800 */   // Label 4559: @231800
     /*  231800 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(231874), // Rule ID 9181 //
     /*  231805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  231819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231845 */     // MIs[1] Operand 1
     /*  231845 */     // No operand predicates
     /*  231845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231854 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231872 */     GIR_RootConstrainSelectedInstOperands,
     /*  231873 */     // GIR_Coverage, 9181,
     /*  231873 */     GIR_EraseRootFromParent_Done,
     /*  231874 */   // Label 4560: @231874
     /*  231874 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(231948), // Rule ID 9184 //
     /*  231879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  231893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231919 */     // MIs[1] Operand 1
     /*  231919 */     // No operand predicates
     /*  231919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231928 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231946 */     GIR_RootConstrainSelectedInstOperands,
     /*  231947 */     // GIR_Coverage, 9184,
     /*  231947 */     GIR_EraseRootFromParent_Done,
     /*  231948 */   // Label 4561: @231948
     /*  231948 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(232022), // Rule ID 9185 //
     /*  231953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  231967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231993 */     // MIs[1] Operand 1
     /*  231993 */     // No operand predicates
     /*  231993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232002 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  232005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232020 */     GIR_RootConstrainSelectedInstOperands,
     /*  232021 */     // GIR_Coverage, 9185,
     /*  232021 */     GIR_EraseRootFromParent_Done,
     /*  232022 */   // Label 4562: @232022
     /*  232022 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(232096), // Rule ID 9188 //
     /*  232027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  232041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232067 */     // MIs[1] Operand 1
     /*  232067 */     // No operand predicates
     /*  232067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  232079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232094 */     GIR_RootConstrainSelectedInstOperands,
     /*  232095 */     // GIR_Coverage, 9188,
     /*  232095 */     GIR_EraseRootFromParent_Done,
     /*  232096 */   // Label 4563: @232096
     /*  232096 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(232170), // Rule ID 9189 //
     /*  232101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  232115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232141 */     // MIs[1] Operand 1
     /*  232141 */     // No operand predicates
     /*  232141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232150 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  232153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232168 */     GIR_RootConstrainSelectedInstOperands,
     /*  232169 */     // GIR_Coverage, 9189,
     /*  232169 */     GIR_EraseRootFromParent_Done,
     /*  232170 */   // Label 4564: @232170
     /*  232170 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(232244), // Rule ID 9192 //
     /*  232175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  232189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232215 */     // MIs[1] Operand 1
     /*  232215 */     // No operand predicates
     /*  232215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  232227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232242 */     GIR_RootConstrainSelectedInstOperands,
     /*  232243 */     // GIR_Coverage, 9192,
     /*  232243 */     GIR_EraseRootFromParent_Done,
     /*  232244 */   // Label 4565: @232244
     /*  232244 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(232318), // Rule ID 9193 //
     /*  232249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  232263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232289 */     // MIs[1] Operand 1
     /*  232289 */     // No operand predicates
     /*  232289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232298 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  232301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232316 */     GIR_RootConstrainSelectedInstOperands,
     /*  232317 */     // GIR_Coverage, 9193,
     /*  232317 */     GIR_EraseRootFromParent_Done,
     /*  232318 */   // Label 4566: @232318
     /*  232318 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(232392), // Rule ID 9196 //
     /*  232323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  232337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232363 */     // MIs[1] Operand 1
     /*  232363 */     // No operand predicates
     /*  232363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232372 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  232375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232390 */     GIR_RootConstrainSelectedInstOperands,
     /*  232391 */     // GIR_Coverage, 9196,
     /*  232391 */     GIR_EraseRootFromParent_Done,
     /*  232392 */   // Label 4567: @232392
     /*  232392 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(232466), // Rule ID 9197 //
     /*  232397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  232411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232437 */     // MIs[1] Operand 1
     /*  232437 */     // No operand predicates
     /*  232437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232446 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  232449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232464 */     GIR_RootConstrainSelectedInstOperands,
     /*  232465 */     // GIR_Coverage, 9197,
     /*  232465 */     GIR_EraseRootFromParent_Done,
     /*  232466 */   // Label 4568: @232466
     /*  232466 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(232540), // Rule ID 9200 //
     /*  232471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  232474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  232485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232511 */     // MIs[1] Operand 1
     /*  232511 */     // No operand predicates
     /*  232511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  232523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232538 */     GIR_RootConstrainSelectedInstOperands,
     /*  232539 */     // GIR_Coverage, 9200,
     /*  232539 */     GIR_EraseRootFromParent_Done,
     /*  232540 */   // Label 4569: @232540
     /*  232540 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(232614), // Rule ID 9201 //
     /*  232545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  232559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232585 */     // MIs[1] Operand 1
     /*  232585 */     // No operand predicates
     /*  232585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232594 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  232597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232612 */     GIR_RootConstrainSelectedInstOperands,
     /*  232613 */     // GIR_Coverage, 9201,
     /*  232613 */     GIR_EraseRootFromParent_Done,
     /*  232614 */   // Label 4570: @232614
     /*  232614 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(232688), // Rule ID 9204 //
     /*  232619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  232622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  232633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232659 */     // MIs[1] Operand 1
     /*  232659 */     // No operand predicates
     /*  232659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  232671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232686 */     GIR_RootConstrainSelectedInstOperands,
     /*  232687 */     // GIR_Coverage, 9204,
     /*  232687 */     GIR_EraseRootFromParent_Done,
     /*  232688 */   // Label 4571: @232688
     /*  232688 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(232762), // Rule ID 9205 //
     /*  232693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  232707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232733 */     // MIs[1] Operand 1
     /*  232733 */     // No operand predicates
     /*  232733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232742 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  232745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232760 */     GIR_RootConstrainSelectedInstOperands,
     /*  232761 */     // GIR_Coverage, 9205,
     /*  232761 */     GIR_EraseRootFromParent_Done,
     /*  232762 */   // Label 4572: @232762
     /*  232762 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(232836), // Rule ID 9208 //
     /*  232767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  232770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  232781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232807 */     // MIs[1] Operand 1
     /*  232807 */     // No operand predicates
     /*  232807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232816 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  232819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232834 */     GIR_RootConstrainSelectedInstOperands,
     /*  232835 */     // GIR_Coverage, 9208,
     /*  232835 */     GIR_EraseRootFromParent_Done,
     /*  232836 */   // Label 4573: @232836
     /*  232836 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(232910), // Rule ID 9209 //
     /*  232841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  232849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  232855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232881 */     // MIs[1] Operand 1
     /*  232881 */     // No operand predicates
     /*  232881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232890 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  232893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232908 */     GIR_RootConstrainSelectedInstOperands,
     /*  232909 */     // GIR_Coverage, 9209,
     /*  232909 */     GIR_EraseRootFromParent_Done,
     /*  232910 */   // Label 4574: @232910
     /*  232910 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(232984), // Rule ID 9300 //
     /*  232915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  232929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232955 */     // MIs[1] Operand 1
     /*  232955 */     // No operand predicates
     /*  232955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232964 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  232967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232982 */     GIR_RootConstrainSelectedInstOperands,
     /*  232983 */     // GIR_Coverage, 9300,
     /*  232983 */     GIR_EraseRootFromParent_Done,
     /*  232984 */   // Label 4575: @232984
     /*  232984 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(233058), // Rule ID 9301 //
     /*  232989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233029 */     // MIs[1] Operand 1
     /*  233029 */     // No operand predicates
     /*  233029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233038 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  233041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233056 */     GIR_RootConstrainSelectedInstOperands,
     /*  233057 */     // GIR_Coverage, 9301,
     /*  233057 */     GIR_EraseRootFromParent_Done,
     /*  233058 */   // Label 4576: @233058
     /*  233058 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(233132), // Rule ID 9304 //
     /*  233063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  233077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233103 */     // MIs[1] Operand 1
     /*  233103 */     // No operand predicates
     /*  233103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  233115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233130 */     GIR_RootConstrainSelectedInstOperands,
     /*  233131 */     // GIR_Coverage, 9304,
     /*  233131 */     GIR_EraseRootFromParent_Done,
     /*  233132 */   // Label 4577: @233132
     /*  233132 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(233206), // Rule ID 9305 //
     /*  233137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  233151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233177 */     // MIs[1] Operand 1
     /*  233177 */     // No operand predicates
     /*  233177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233186 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  233189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233204 */     GIR_RootConstrainSelectedInstOperands,
     /*  233205 */     // GIR_Coverage, 9305,
     /*  233205 */     GIR_EraseRootFromParent_Done,
     /*  233206 */   // Label 4578: @233206
     /*  233206 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(233280), // Rule ID 9308 //
     /*  233211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  233225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233251 */     // MIs[1] Operand 1
     /*  233251 */     // No operand predicates
     /*  233251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  233263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233278 */     GIR_RootConstrainSelectedInstOperands,
     /*  233279 */     // GIR_Coverage, 9308,
     /*  233279 */     GIR_EraseRootFromParent_Done,
     /*  233280 */   // Label 4579: @233280
     /*  233280 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(233354), // Rule ID 9309 //
     /*  233285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  233299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233325 */     // MIs[1] Operand 1
     /*  233325 */     // No operand predicates
     /*  233325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233334 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  233337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233352 */     GIR_RootConstrainSelectedInstOperands,
     /*  233353 */     // GIR_Coverage, 9309,
     /*  233353 */     GIR_EraseRootFromParent_Done,
     /*  233354 */   // Label 4580: @233354
     /*  233354 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(233428), // Rule ID 9312 //
     /*  233359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  233373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233399 */     // MIs[1] Operand 1
     /*  233399 */     // No operand predicates
     /*  233399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233408 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  233411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233426 */     GIR_RootConstrainSelectedInstOperands,
     /*  233427 */     // GIR_Coverage, 9312,
     /*  233427 */     GIR_EraseRootFromParent_Done,
     /*  233428 */   // Label 4581: @233428
     /*  233428 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(233502), // Rule ID 9313 //
     /*  233433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  233447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233473 */     // MIs[1] Operand 1
     /*  233473 */     // No operand predicates
     /*  233473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233482 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  233485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233500 */     GIR_RootConstrainSelectedInstOperands,
     /*  233501 */     // GIR_Coverage, 9313,
     /*  233501 */     GIR_EraseRootFromParent_Done,
     /*  233502 */   // Label 4582: @233502
     /*  233502 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(233576), // Rule ID 9316 //
     /*  233507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  233521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233547 */     // MIs[1] Operand 1
     /*  233547 */     // No operand predicates
     /*  233547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  233559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233574 */     GIR_RootConstrainSelectedInstOperands,
     /*  233575 */     // GIR_Coverage, 9316,
     /*  233575 */     GIR_EraseRootFromParent_Done,
     /*  233576 */   // Label 4583: @233576
     /*  233576 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(233650), // Rule ID 9317 //
     /*  233581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  233595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233621 */     // MIs[1] Operand 1
     /*  233621 */     // No operand predicates
     /*  233621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233630 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  233633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233648 */     GIR_RootConstrainSelectedInstOperands,
     /*  233649 */     // GIR_Coverage, 9317,
     /*  233649 */     GIR_EraseRootFromParent_Done,
     /*  233650 */   // Label 4584: @233650
     /*  233650 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(233724), // Rule ID 9320 //
     /*  233655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  233669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233695 */     // MIs[1] Operand 1
     /*  233695 */     // No operand predicates
     /*  233695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233704 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  233707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233722 */     GIR_RootConstrainSelectedInstOperands,
     /*  233723 */     // GIR_Coverage, 9320,
     /*  233723 */     GIR_EraseRootFromParent_Done,
     /*  233724 */   // Label 4585: @233724
     /*  233724 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(233798), // Rule ID 9321 //
     /*  233729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  233743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233769 */     // MIs[1] Operand 1
     /*  233769 */     // No operand predicates
     /*  233769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233778 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  233781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233796 */     GIR_RootConstrainSelectedInstOperands,
     /*  233797 */     // GIR_Coverage, 9321,
     /*  233797 */     GIR_EraseRootFromParent_Done,
     /*  233798 */   // Label 4586: @233798
     /*  233798 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(233872), // Rule ID 9324 //
     /*  233803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  233817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233843 */     // MIs[1] Operand 1
     /*  233843 */     // No operand predicates
     /*  233843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233870 */     GIR_RootConstrainSelectedInstOperands,
     /*  233871 */     // GIR_Coverage, 9324,
     /*  233871 */     GIR_EraseRootFromParent_Done,
     /*  233872 */   // Label 4587: @233872
     /*  233872 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(233946), // Rule ID 9325 //
     /*  233877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  233891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233917 */     // MIs[1] Operand 1
     /*  233917 */     // No operand predicates
     /*  233917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233926 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233944 */     GIR_RootConstrainSelectedInstOperands,
     /*  233945 */     // GIR_Coverage, 9325,
     /*  233945 */     GIR_EraseRootFromParent_Done,
     /*  233946 */   // Label 4588: @233946
     /*  233946 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(234020), // Rule ID 9328 //
     /*  233951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  233965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233991 */     // MIs[1] Operand 1
     /*  233991 */     // No operand predicates
     /*  233991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  234003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234018 */     GIR_RootConstrainSelectedInstOperands,
     /*  234019 */     // GIR_Coverage, 9328,
     /*  234019 */     GIR_EraseRootFromParent_Done,
     /*  234020 */   // Label 4589: @234020
     /*  234020 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(234094), // Rule ID 9329 //
     /*  234025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  234039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234065 */     // MIs[1] Operand 1
     /*  234065 */     // No operand predicates
     /*  234065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234074 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  234077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234092 */     GIR_RootConstrainSelectedInstOperands,
     /*  234093 */     // GIR_Coverage, 9329,
     /*  234093 */     GIR_EraseRootFromParent_Done,
     /*  234094 */   // Label 4590: @234094
     /*  234094 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(234168), // Rule ID 9332 //
     /*  234099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  234113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234139 */     // MIs[1] Operand 1
     /*  234139 */     // No operand predicates
     /*  234139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  234151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234166 */     GIR_RootConstrainSelectedInstOperands,
     /*  234167 */     // GIR_Coverage, 9332,
     /*  234167 */     GIR_EraseRootFromParent_Done,
     /*  234168 */   // Label 4591: @234168
     /*  234168 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(234242), // Rule ID 9333 //
     /*  234173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  234187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234213 */     // MIs[1] Operand 1
     /*  234213 */     // No operand predicates
     /*  234213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234222 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  234225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234240 */     GIR_RootConstrainSelectedInstOperands,
     /*  234241 */     // GIR_Coverage, 9333,
     /*  234241 */     GIR_EraseRootFromParent_Done,
     /*  234242 */   // Label 4592: @234242
     /*  234242 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(234316), // Rule ID 9336 //
     /*  234247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  234250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  234261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234287 */     // MIs[1] Operand 1
     /*  234287 */     // No operand predicates
     /*  234287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  234296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  234299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234314 */     GIR_RootConstrainSelectedInstOperands,
     /*  234315 */     // GIR_Coverage, 9336,
     /*  234315 */     GIR_EraseRootFromParent_Done,
     /*  234316 */   // Label 4593: @234316
     /*  234316 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(234390), // Rule ID 9337 //
     /*  234321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  234324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  234335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234361 */     // MIs[1] Operand 1
     /*  234361 */     // No operand predicates
     /*  234361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234370 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  234370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  234373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234388 */     GIR_RootConstrainSelectedInstOperands,
     /*  234389 */     // GIR_Coverage, 9337,
     /*  234389 */     GIR_EraseRootFromParent_Done,
     /*  234390 */   // Label 4594: @234390
     /*  234390 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(234464), // Rule ID 9340 //
     /*  234395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  234409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234435 */     // MIs[1] Operand 1
     /*  234435 */     // No operand predicates
     /*  234435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234444 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234462 */     GIR_RootConstrainSelectedInstOperands,
     /*  234463 */     // GIR_Coverage, 9340,
     /*  234463 */     GIR_EraseRootFromParent_Done,
     /*  234464 */   // Label 4595: @234464
     /*  234464 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(234538), // Rule ID 9341 //
     /*  234469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  234483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234509 */     // MIs[1] Operand 1
     /*  234509 */     // No operand predicates
     /*  234509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234518 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234536 */     GIR_RootConstrainSelectedInstOperands,
     /*  234537 */     // GIR_Coverage, 9341,
     /*  234537 */     GIR_EraseRootFromParent_Done,
     /*  234538 */   // Label 4596: @234538
     /*  234538 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(234612), // Rule ID 9344 //
     /*  234543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  234557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234583 */     // MIs[1] Operand 1
     /*  234583 */     // No operand predicates
     /*  234583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234592 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234610 */     GIR_RootConstrainSelectedInstOperands,
     /*  234611 */     // GIR_Coverage, 9344,
     /*  234611 */     GIR_EraseRootFromParent_Done,
     /*  234612 */   // Label 4597: @234612
     /*  234612 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(234686), // Rule ID 9345 //
     /*  234617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  234631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234657 */     // MIs[1] Operand 1
     /*  234657 */     // No operand predicates
     /*  234657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234666 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234684 */     GIR_RootConstrainSelectedInstOperands,
     /*  234685 */     // GIR_Coverage, 9345,
     /*  234685 */     GIR_EraseRootFromParent_Done,
     /*  234686 */   // Label 4598: @234686
     /*  234686 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(234760), // Rule ID 9348 //
     /*  234691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  234702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  234705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234731 */     // MIs[1] Operand 1
     /*  234731 */     // No operand predicates
     /*  234731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234740 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234758 */     GIR_RootConstrainSelectedInstOperands,
     /*  234759 */     // GIR_Coverage, 9348,
     /*  234759 */     GIR_EraseRootFromParent_Done,
     /*  234760 */   // Label 4599: @234760
     /*  234760 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(234834), // Rule ID 9349 //
     /*  234765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  234776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  234779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234805 */     // MIs[1] Operand 1
     /*  234805 */     // No operand predicates
     /*  234805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234814 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234832 */     GIR_RootConstrainSelectedInstOperands,
     /*  234833 */     // GIR_Coverage, 9349,
     /*  234833 */     GIR_EraseRootFromParent_Done,
     /*  234834 */   // Label 4600: @234834
     /*  234834 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(234908), // Rule ID 9352 //
     /*  234839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  234853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234879 */     // MIs[1] Operand 1
     /*  234879 */     // No operand predicates
     /*  234879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234906 */     GIR_RootConstrainSelectedInstOperands,
     /*  234907 */     // GIR_Coverage, 9352,
     /*  234907 */     GIR_EraseRootFromParent_Done,
     /*  234908 */   // Label 4601: @234908
     /*  234908 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(234982), // Rule ID 9353 //
     /*  234913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  234927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234953 */     // MIs[1] Operand 1
     /*  234953 */     // No operand predicates
     /*  234953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234962 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234980 */     GIR_RootConstrainSelectedInstOperands,
     /*  234981 */     // GIR_Coverage, 9353,
     /*  234981 */     GIR_EraseRootFromParent_Done,
     /*  234982 */   // Label 4602: @234982
     /*  234982 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(235056), // Rule ID 9356 //
     /*  234987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  235001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235027 */     // MIs[1] Operand 1
     /*  235027 */     // No operand predicates
     /*  235027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  235039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235054 */     GIR_RootConstrainSelectedInstOperands,
     /*  235055 */     // GIR_Coverage, 9356,
     /*  235055 */     GIR_EraseRootFromParent_Done,
     /*  235056 */   // Label 4603: @235056
     /*  235056 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(235130), // Rule ID 9357 //
     /*  235061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  235075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235101 */     // MIs[1] Operand 1
     /*  235101 */     // No operand predicates
     /*  235101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235110 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  235113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235128 */     GIR_RootConstrainSelectedInstOperands,
     /*  235129 */     // GIR_Coverage, 9357,
     /*  235129 */     GIR_EraseRootFromParent_Done,
     /*  235130 */   // Label 4604: @235130
     /*  235130 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(235204), // Rule ID 9360 //
     /*  235135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  235146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  235149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235175 */     // MIs[1] Operand 1
     /*  235175 */     // No operand predicates
     /*  235175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235184 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  235187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235202 */     GIR_RootConstrainSelectedInstOperands,
     /*  235203 */     // GIR_Coverage, 9360,
     /*  235203 */     GIR_EraseRootFromParent_Done,
     /*  235204 */   // Label 4605: @235204
     /*  235204 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(235278), // Rule ID 9361 //
     /*  235209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  235220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  235223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235249 */     // MIs[1] Operand 1
     /*  235249 */     // No operand predicates
     /*  235249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235258 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  235261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235276 */     GIR_RootConstrainSelectedInstOperands,
     /*  235277 */     // GIR_Coverage, 9361,
     /*  235277 */     GIR_EraseRootFromParent_Done,
     /*  235278 */   // Label 4606: @235278
     /*  235278 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(235352), // Rule ID 9364 //
     /*  235283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  235297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235323 */     // MIs[1] Operand 1
     /*  235323 */     // No operand predicates
     /*  235323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235332 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  235335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235350 */     GIR_RootConstrainSelectedInstOperands,
     /*  235351 */     // GIR_Coverage, 9364,
     /*  235351 */     GIR_EraseRootFromParent_Done,
     /*  235352 */   // Label 4607: @235352
     /*  235352 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(235426), // Rule ID 9365 //
     /*  235357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  235371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235397 */     // MIs[1] Operand 1
     /*  235397 */     // No operand predicates
     /*  235397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235406 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  235409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235424 */     GIR_RootConstrainSelectedInstOperands,
     /*  235425 */     // GIR_Coverage, 9365,
     /*  235425 */     GIR_EraseRootFromParent_Done,
     /*  235426 */   // Label 4608: @235426
     /*  235426 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(235500), // Rule ID 9368 //
     /*  235431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  235445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235471 */     // MIs[1] Operand 1
     /*  235471 */     // No operand predicates
     /*  235471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235480 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  235483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235498 */     GIR_RootConstrainSelectedInstOperands,
     /*  235499 */     // GIR_Coverage, 9368,
     /*  235499 */     GIR_EraseRootFromParent_Done,
     /*  235500 */   // Label 4609: @235500
     /*  235500 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(235574), // Rule ID 9369 //
     /*  235505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  235519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235545 */     // MIs[1] Operand 1
     /*  235545 */     // No operand predicates
     /*  235545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235554 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  235557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235572 */     GIR_RootConstrainSelectedInstOperands,
     /*  235573 */     // GIR_Coverage, 9369,
     /*  235573 */     GIR_EraseRootFromParent_Done,
     /*  235574 */   // Label 4610: @235574
     /*  235574 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(235648), // Rule ID 9372 //
     /*  235579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  235593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235619 */     // MIs[1] Operand 1
     /*  235619 */     // No operand predicates
     /*  235619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  235631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235646 */     GIR_RootConstrainSelectedInstOperands,
     /*  235647 */     // GIR_Coverage, 9372,
     /*  235647 */     GIR_EraseRootFromParent_Done,
     /*  235648 */   // Label 4611: @235648
     /*  235648 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(235722), // Rule ID 9373 //
     /*  235653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  235667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235693 */     // MIs[1] Operand 1
     /*  235693 */     // No operand predicates
     /*  235693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235702 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  235705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235720 */     GIR_RootConstrainSelectedInstOperands,
     /*  235721 */     // GIR_Coverage, 9373,
     /*  235721 */     GIR_EraseRootFromParent_Done,
     /*  235722 */   // Label 4612: @235722
     /*  235722 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(235796), // Rule ID 9376 //
     /*  235727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  235730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  235741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235767 */     // MIs[1] Operand 1
     /*  235767 */     // No operand predicates
     /*  235767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  235779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235794 */     GIR_RootConstrainSelectedInstOperands,
     /*  235795 */     // GIR_Coverage, 9376,
     /*  235795 */     GIR_EraseRootFromParent_Done,
     /*  235796 */   // Label 4613: @235796
     /*  235796 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(235870), // Rule ID 9377 //
     /*  235801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  235804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  235815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235841 */     // MIs[1] Operand 1
     /*  235841 */     // No operand predicates
     /*  235841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235850 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  235853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235868 */     GIR_RootConstrainSelectedInstOperands,
     /*  235869 */     // GIR_Coverage, 9377,
     /*  235869 */     GIR_EraseRootFromParent_Done,
     /*  235870 */   // Label 4614: @235870
     /*  235870 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(235944), // Rule ID 9380 //
     /*  235875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  235878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  235889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235915 */     // MIs[1] Operand 1
     /*  235915 */     // No operand predicates
     /*  235915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235924 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  235927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235942 */     GIR_RootConstrainSelectedInstOperands,
     /*  235943 */     // GIR_Coverage, 9380,
     /*  235943 */     GIR_EraseRootFromParent_Done,
     /*  235944 */   // Label 4615: @235944
     /*  235944 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(236018), // Rule ID 9381 //
     /*  235949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  235952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  235963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235989 */     // MIs[1] Operand 1
     /*  235989 */     // No operand predicates
     /*  235989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235998 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  236001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236016 */     GIR_RootConstrainSelectedInstOperands,
     /*  236017 */     // GIR_Coverage, 9381,
     /*  236017 */     GIR_EraseRootFromParent_Done,
     /*  236018 */   // Label 4616: @236018
     /*  236018 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(236092), // Rule ID 9384 //
     /*  236023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  236037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236063 */     // MIs[1] Operand 1
     /*  236063 */     // No operand predicates
     /*  236063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236072 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  236075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236090 */     GIR_RootConstrainSelectedInstOperands,
     /*  236091 */     // GIR_Coverage, 9384,
     /*  236091 */     GIR_EraseRootFromParent_Done,
     /*  236092 */   // Label 4617: @236092
     /*  236092 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(236166), // Rule ID 9385 //
     /*  236097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  236111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236137 */     // MIs[1] Operand 1
     /*  236137 */     // No operand predicates
     /*  236137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236146 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  236149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236164 */     GIR_RootConstrainSelectedInstOperands,
     /*  236165 */     // GIR_Coverage, 9385,
     /*  236165 */     GIR_EraseRootFromParent_Done,
     /*  236166 */   // Label 4618: @236166
     /*  236166 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(236240), // Rule ID 9476 //
     /*  236171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  236185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236211 */     // MIs[1] Operand 1
     /*  236211 */     // No operand predicates
     /*  236211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236220 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  236223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236238 */     GIR_RootConstrainSelectedInstOperands,
     /*  236239 */     // GIR_Coverage, 9476,
     /*  236239 */     GIR_EraseRootFromParent_Done,
     /*  236240 */   // Label 4619: @236240
     /*  236240 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(236314), // Rule ID 9477 //
     /*  236245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  236259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236285 */     // MIs[1] Operand 1
     /*  236285 */     // No operand predicates
     /*  236285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236294 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  236297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236312 */     GIR_RootConstrainSelectedInstOperands,
     /*  236313 */     // GIR_Coverage, 9477,
     /*  236313 */     GIR_EraseRootFromParent_Done,
     /*  236314 */   // Label 4620: @236314
     /*  236314 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(236388), // Rule ID 9480 //
     /*  236319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  236333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236359 */     // MIs[1] Operand 1
     /*  236359 */     // No operand predicates
     /*  236359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  236371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236386 */     GIR_RootConstrainSelectedInstOperands,
     /*  236387 */     // GIR_Coverage, 9480,
     /*  236387 */     GIR_EraseRootFromParent_Done,
     /*  236388 */   // Label 4621: @236388
     /*  236388 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(236462), // Rule ID 9481 //
     /*  236393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  236407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236433 */     // MIs[1] Operand 1
     /*  236433 */     // No operand predicates
     /*  236433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236442 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  236445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236460 */     GIR_RootConstrainSelectedInstOperands,
     /*  236461 */     // GIR_Coverage, 9481,
     /*  236461 */     GIR_EraseRootFromParent_Done,
     /*  236462 */   // Label 4622: @236462
     /*  236462 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(236536), // Rule ID 9484 //
     /*  236467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  236481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236507 */     // MIs[1] Operand 1
     /*  236507 */     // No operand predicates
     /*  236507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236516 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  236519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236534 */     GIR_RootConstrainSelectedInstOperands,
     /*  236535 */     // GIR_Coverage, 9484,
     /*  236535 */     GIR_EraseRootFromParent_Done,
     /*  236536 */   // Label 4623: @236536
     /*  236536 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(236610), // Rule ID 9485 //
     /*  236541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  236555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236581 */     // MIs[1] Operand 1
     /*  236581 */     // No operand predicates
     /*  236581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236590 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  236593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236608 */     GIR_RootConstrainSelectedInstOperands,
     /*  236609 */     // GIR_Coverage, 9485,
     /*  236609 */     GIR_EraseRootFromParent_Done,
     /*  236610 */   // Label 4624: @236610
     /*  236610 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(236684), // Rule ID 9488 //
     /*  236615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  236629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236655 */     // MIs[1] Operand 1
     /*  236655 */     // No operand predicates
     /*  236655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  236667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236682 */     GIR_RootConstrainSelectedInstOperands,
     /*  236683 */     // GIR_Coverage, 9488,
     /*  236683 */     GIR_EraseRootFromParent_Done,
     /*  236684 */   // Label 4625: @236684
     /*  236684 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(236758), // Rule ID 9489 //
     /*  236689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  236703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236729 */     // MIs[1] Operand 1
     /*  236729 */     // No operand predicates
     /*  236729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236738 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  236741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236756 */     GIR_RootConstrainSelectedInstOperands,
     /*  236757 */     // GIR_Coverage, 9489,
     /*  236757 */     GIR_EraseRootFromParent_Done,
     /*  236758 */   // Label 4626: @236758
     /*  236758 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(236832), // Rule ID 9492 //
     /*  236763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  236777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236803 */     // MIs[1] Operand 1
     /*  236803 */     // No operand predicates
     /*  236803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  236815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236830 */     GIR_RootConstrainSelectedInstOperands,
     /*  236831 */     // GIR_Coverage, 9492,
     /*  236831 */     GIR_EraseRootFromParent_Done,
     /*  236832 */   // Label 4627: @236832
     /*  236832 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(236906), // Rule ID 9493 //
     /*  236837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  236851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236877 */     // MIs[1] Operand 1
     /*  236877 */     // No operand predicates
     /*  236877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236886 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  236889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236904 */     GIR_RootConstrainSelectedInstOperands,
     /*  236905 */     // GIR_Coverage, 9493,
     /*  236905 */     GIR_EraseRootFromParent_Done,
     /*  236906 */   // Label 4628: @236906
     /*  236906 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(236980), // Rule ID 9496 //
     /*  236911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  236925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236951 */     // MIs[1] Operand 1
     /*  236951 */     // No operand predicates
     /*  236951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  236963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236978 */     GIR_RootConstrainSelectedInstOperands,
     /*  236979 */     // GIR_Coverage, 9496,
     /*  236979 */     GIR_EraseRootFromParent_Done,
     /*  236980 */   // Label 4629: @236980
     /*  236980 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(237054), // Rule ID 9497 //
     /*  236985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  236999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237025 */     // MIs[1] Operand 1
     /*  237025 */     // No operand predicates
     /*  237025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237034 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  237037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237052 */     GIR_RootConstrainSelectedInstOperands,
     /*  237053 */     // GIR_Coverage, 9497,
     /*  237053 */     GIR_EraseRootFromParent_Done,
     /*  237054 */   // Label 4630: @237054
     /*  237054 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(237128), // Rule ID 9500 //
     /*  237059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  237073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237099 */     // MIs[1] Operand 1
     /*  237099 */     // No operand predicates
     /*  237099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  237111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237126 */     GIR_RootConstrainSelectedInstOperands,
     /*  237127 */     // GIR_Coverage, 9500,
     /*  237127 */     GIR_EraseRootFromParent_Done,
     /*  237128 */   // Label 4631: @237128
     /*  237128 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(237202), // Rule ID 9501 //
     /*  237133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  237147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237173 */     // MIs[1] Operand 1
     /*  237173 */     // No operand predicates
     /*  237173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237182 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  237185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237200 */     GIR_RootConstrainSelectedInstOperands,
     /*  237201 */     // GIR_Coverage, 9501,
     /*  237201 */     GIR_EraseRootFromParent_Done,
     /*  237202 */   // Label 4632: @237202
     /*  237202 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(237276), // Rule ID 9504 //
     /*  237207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  237221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237247 */     // MIs[1] Operand 1
     /*  237247 */     // No operand predicates
     /*  237247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237256 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  237259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237274 */     GIR_RootConstrainSelectedInstOperands,
     /*  237275 */     // GIR_Coverage, 9504,
     /*  237275 */     GIR_EraseRootFromParent_Done,
     /*  237276 */   // Label 4633: @237276
     /*  237276 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(237350), // Rule ID 9505 //
     /*  237281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  237295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237321 */     // MIs[1] Operand 1
     /*  237321 */     // No operand predicates
     /*  237321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237330 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  237333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237348 */     GIR_RootConstrainSelectedInstOperands,
     /*  237349 */     // GIR_Coverage, 9505,
     /*  237349 */     GIR_EraseRootFromParent_Done,
     /*  237350 */   // Label 4634: @237350
     /*  237350 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(237424), // Rule ID 9508 //
     /*  237355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  237369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237395 */     // MIs[1] Operand 1
     /*  237395 */     // No operand predicates
     /*  237395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237404 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  237407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237422 */     GIR_RootConstrainSelectedInstOperands,
     /*  237423 */     // GIR_Coverage, 9508,
     /*  237423 */     GIR_EraseRootFromParent_Done,
     /*  237424 */   // Label 4635: @237424
     /*  237424 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(237498), // Rule ID 9509 //
     /*  237429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  237443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237469 */     // MIs[1] Operand 1
     /*  237469 */     // No operand predicates
     /*  237469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237478 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  237481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237496 */     GIR_RootConstrainSelectedInstOperands,
     /*  237497 */     // GIR_Coverage, 9509,
     /*  237497 */     GIR_EraseRootFromParent_Done,
     /*  237498 */   // Label 4636: @237498
     /*  237498 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(237572), // Rule ID 9512 //
     /*  237503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  237506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  237517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237543 */     // MIs[1] Operand 1
     /*  237543 */     // No operand predicates
     /*  237543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  237552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  237555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237570 */     GIR_RootConstrainSelectedInstOperands,
     /*  237571 */     // GIR_Coverage, 9512,
     /*  237571 */     GIR_EraseRootFromParent_Done,
     /*  237572 */   // Label 4637: @237572
     /*  237572 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(237646), // Rule ID 9513 //
     /*  237577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  237580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  237591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237617 */     // MIs[1] Operand 1
     /*  237617 */     // No operand predicates
     /*  237617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237626 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  237626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  237629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237644 */     GIR_RootConstrainSelectedInstOperands,
     /*  237645 */     // GIR_Coverage, 9513,
     /*  237645 */     GIR_EraseRootFromParent_Done,
     /*  237646 */   // Label 4638: @237646
     /*  237646 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(237720), // Rule ID 9516 //
     /*  237651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  237665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237691 */     // MIs[1] Operand 1
     /*  237691 */     // No operand predicates
     /*  237691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237700 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237718 */     GIR_RootConstrainSelectedInstOperands,
     /*  237719 */     // GIR_Coverage, 9516,
     /*  237719 */     GIR_EraseRootFromParent_Done,
     /*  237720 */   // Label 4639: @237720
     /*  237720 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(237794), // Rule ID 9517 //
     /*  237725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  237739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237765 */     // MIs[1] Operand 1
     /*  237765 */     // No operand predicates
     /*  237765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237774 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237792 */     GIR_RootConstrainSelectedInstOperands,
     /*  237793 */     // GIR_Coverage, 9517,
     /*  237793 */     GIR_EraseRootFromParent_Done,
     /*  237794 */   // Label 4640: @237794
     /*  237794 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(237868), // Rule ID 9520 //
     /*  237799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  237813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237839 */     // MIs[1] Operand 1
     /*  237839 */     // No operand predicates
     /*  237839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237848 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237866 */     GIR_RootConstrainSelectedInstOperands,
     /*  237867 */     // GIR_Coverage, 9520,
     /*  237867 */     GIR_EraseRootFromParent_Done,
     /*  237868 */   // Label 4641: @237868
     /*  237868 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(237942), // Rule ID 9521 //
     /*  237873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  237887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237913 */     // MIs[1] Operand 1
     /*  237913 */     // No operand predicates
     /*  237913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237922 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237940 */     GIR_RootConstrainSelectedInstOperands,
     /*  237941 */     // GIR_Coverage, 9521,
     /*  237941 */     GIR_EraseRootFromParent_Done,
     /*  237942 */   // Label 4642: @237942
     /*  237942 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(238016), // Rule ID 9524 //
     /*  237947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  237958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  237961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237987 */     // MIs[1] Operand 1
     /*  237987 */     // No operand predicates
     /*  237987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237996 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238014 */     GIR_RootConstrainSelectedInstOperands,
     /*  238015 */     // GIR_Coverage, 9524,
     /*  238015 */     GIR_EraseRootFromParent_Done,
     /*  238016 */   // Label 4643: @238016
     /*  238016 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(238090), // Rule ID 9525 //
     /*  238021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  238032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  238035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238061 */     // MIs[1] Operand 1
     /*  238061 */     // No operand predicates
     /*  238061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238070 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  238070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238088 */     GIR_RootConstrainSelectedInstOperands,
     /*  238089 */     // GIR_Coverage, 9525,
     /*  238089 */     GIR_EraseRootFromParent_Done,
     /*  238090 */   // Label 4644: @238090
     /*  238090 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(238164), // Rule ID 9528 //
     /*  238095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  238109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238135 */     // MIs[1] Operand 1
     /*  238135 */     // No operand predicates
     /*  238135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  238147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238162 */     GIR_RootConstrainSelectedInstOperands,
     /*  238163 */     // GIR_Coverage, 9528,
     /*  238163 */     GIR_EraseRootFromParent_Done,
     /*  238164 */   // Label 4645: @238164
     /*  238164 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(238238), // Rule ID 9529 //
     /*  238169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  238183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238209 */     // MIs[1] Operand 1
     /*  238209 */     // No operand predicates
     /*  238209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238218 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  238221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238236 */     GIR_RootConstrainSelectedInstOperands,
     /*  238237 */     // GIR_Coverage, 9529,
     /*  238237 */     GIR_EraseRootFromParent_Done,
     /*  238238 */   // Label 4646: @238238
     /*  238238 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(238312), // Rule ID 9532 //
     /*  238243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  238257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238283 */     // MIs[1] Operand 1
     /*  238283 */     // No operand predicates
     /*  238283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238310 */     GIR_RootConstrainSelectedInstOperands,
     /*  238311 */     // GIR_Coverage, 9532,
     /*  238311 */     GIR_EraseRootFromParent_Done,
     /*  238312 */   // Label 4647: @238312
     /*  238312 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(238386), // Rule ID 9533 //
     /*  238317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  238331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238357 */     // MIs[1] Operand 1
     /*  238357 */     // No operand predicates
     /*  238357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238366 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238384 */     GIR_RootConstrainSelectedInstOperands,
     /*  238385 */     // GIR_Coverage, 9533,
     /*  238385 */     GIR_EraseRootFromParent_Done,
     /*  238386 */   // Label 4648: @238386
     /*  238386 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(238460), // Rule ID 9536 //
     /*  238391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  238405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238431 */     // MIs[1] Operand 1
     /*  238431 */     // No operand predicates
     /*  238431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238440 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238458 */     GIR_RootConstrainSelectedInstOperands,
     /*  238459 */     // GIR_Coverage, 9536,
     /*  238459 */     GIR_EraseRootFromParent_Done,
     /*  238460 */   // Label 4649: @238460
     /*  238460 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(238534), // Rule ID 9537 //
     /*  238465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  238479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238505 */     // MIs[1] Operand 1
     /*  238505 */     // No operand predicates
     /*  238505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238514 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238532 */     GIR_RootConstrainSelectedInstOperands,
     /*  238533 */     // GIR_Coverage, 9537,
     /*  238533 */     GIR_EraseRootFromParent_Done,
     /*  238534 */   // Label 4650: @238534
     /*  238534 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(238608), // Rule ID 9540 //
     /*  238539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  238553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238579 */     // MIs[1] Operand 1
     /*  238579 */     // No operand predicates
     /*  238579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  238591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238606 */     GIR_RootConstrainSelectedInstOperands,
     /*  238607 */     // GIR_Coverage, 9540,
     /*  238607 */     GIR_EraseRootFromParent_Done,
     /*  238608 */   // Label 4651: @238608
     /*  238608 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(238682), // Rule ID 9541 //
     /*  238613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  238627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238653 */     // MIs[1] Operand 1
     /*  238653 */     // No operand predicates
     /*  238653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238662 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  238665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238680 */     GIR_RootConstrainSelectedInstOperands,
     /*  238681 */     // GIR_Coverage, 9541,
     /*  238681 */     GIR_EraseRootFromParent_Done,
     /*  238682 */   // Label 4652: @238682
     /*  238682 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(238756), // Rule ID 9544 //
     /*  238687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  238701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238727 */     // MIs[1] Operand 1
     /*  238727 */     // No operand predicates
     /*  238727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238754 */     GIR_RootConstrainSelectedInstOperands,
     /*  238755 */     // GIR_Coverage, 9544,
     /*  238755 */     GIR_EraseRootFromParent_Done,
     /*  238756 */   // Label 4653: @238756
     /*  238756 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(238830), // Rule ID 9545 //
     /*  238761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  238775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238801 */     // MIs[1] Operand 1
     /*  238801 */     // No operand predicates
     /*  238801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238810 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238828 */     GIR_RootConstrainSelectedInstOperands,
     /*  238829 */     // GIR_Coverage, 9545,
     /*  238829 */     GIR_EraseRootFromParent_Done,
     /*  238830 */   // Label 4654: @238830
     /*  238830 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(238904), // Rule ID 9548 //
     /*  238835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  238849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238875 */     // MIs[1] Operand 1
     /*  238875 */     // No operand predicates
     /*  238875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238884 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238902 */     GIR_RootConstrainSelectedInstOperands,
     /*  238903 */     // GIR_Coverage, 9548,
     /*  238903 */     GIR_EraseRootFromParent_Done,
     /*  238904 */   // Label 4655: @238904
     /*  238904 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(238978), // Rule ID 9549 //
     /*  238909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  238923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238949 */     // MIs[1] Operand 1
     /*  238949 */     // No operand predicates
     /*  238949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238958 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238976 */     GIR_RootConstrainSelectedInstOperands,
     /*  238977 */     // GIR_Coverage, 9549,
     /*  238977 */     GIR_EraseRootFromParent_Done,
     /*  238978 */   // Label 4656: @238978
     /*  238978 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(239052), // Rule ID 9552 //
     /*  238983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  238986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  238994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  238997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239023 */     // MIs[1] Operand 1
     /*  239023 */     // No operand predicates
     /*  239023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239032 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  239035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239050 */     GIR_RootConstrainSelectedInstOperands,
     /*  239051 */     // GIR_Coverage, 9552,
     /*  239051 */     GIR_EraseRootFromParent_Done,
     /*  239052 */   // Label 4657: @239052
     /*  239052 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(239126), // Rule ID 9553 //
     /*  239057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  239060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  239065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239097 */     // MIs[1] Operand 1
     /*  239097 */     // No operand predicates
     /*  239097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239106 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  239109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239124 */     GIR_RootConstrainSelectedInstOperands,
     /*  239125 */     // GIR_Coverage, 9553,
     /*  239125 */     GIR_EraseRootFromParent_Done,
     /*  239126 */   // Label 4658: @239126
     /*  239126 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(239200), // Rule ID 9556 //
     /*  239131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  239134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  239139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  239145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239171 */     // MIs[1] Operand 1
     /*  239171 */     // No operand predicates
     /*  239171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239180 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  239183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239198 */     GIR_RootConstrainSelectedInstOperands,
     /*  239199 */     // GIR_Coverage, 9556,
     /*  239199 */     GIR_EraseRootFromParent_Done,
     /*  239200 */   // Label 4659: @239200
     /*  239200 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(239274), // Rule ID 9557 //
     /*  239205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  239208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  239213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  239219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239245 */     // MIs[1] Operand 1
     /*  239245 */     // No operand predicates
     /*  239245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239254 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  239257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239272 */     GIR_RootConstrainSelectedInstOperands,
     /*  239273 */     // GIR_Coverage, 9557,
     /*  239273 */     GIR_EraseRootFromParent_Done,
     /*  239274 */   // Label 4660: @239274
     /*  239274 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(239348), // Rule ID 9560 //
     /*  239279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  239282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  239287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  239293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239319 */     // MIs[1] Operand 1
     /*  239319 */     // No operand predicates
     /*  239319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  239331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239346 */     GIR_RootConstrainSelectedInstOperands,
     /*  239347 */     // GIR_Coverage, 9560,
     /*  239347 */     GIR_EraseRootFromParent_Done,
     /*  239348 */   // Label 4661: @239348
     /*  239348 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(239422), // Rule ID 9561 //
     /*  239353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  239356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  239361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  239367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239393 */     // MIs[1] Operand 1
     /*  239393 */     // No operand predicates
     /*  239393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239402 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  239405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239420 */     GIR_RootConstrainSelectedInstOperands,
     /*  239421 */     // GIR_Coverage, 9561,
     /*  239421 */     GIR_EraseRootFromParent_Done,
     /*  239422 */   // Label 4662: @239422
     /*  239422 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(239478), // Rule ID 64451 //
     /*  239427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  239430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bitrev),
     /*  239435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  239438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  239441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  239445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  239449 */     // MIs[0] pts
     /*  239449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  239452 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  239457 */     // MIs[0] radix
     /*  239457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  239460 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm2),
     /*  239465 */     // (intrinsic_wo_chain:{ *:[i32] } 10994:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts)
     /*  239465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /*  239468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239472 */     GIR_RootToRootCopy, /*OpIdx*/4, // radix
     /*  239474 */     GIR_RootToRootCopy, /*OpIdx*/3, // pts
     /*  239476 */     GIR_RootConstrainSelectedInstOperands,
     /*  239477 */     // GIR_Coverage, 64451,
     /*  239477 */     GIR_EraseRootFromParent_Done,
     /*  239478 */   // Label 4663: @239478
     /*  239478 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(239541), // Rule ID 2690 //
     /*  239483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  239486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  239491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  239494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  239497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  239507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  239515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239522 */     // (intrinsic_wo_chain:{ *:[i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  239522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  239525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239529 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  239531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239539 */     GIR_RootConstrainSelectedInstOperands,
     /*  239540 */     // GIR_Coverage, 2690,
     /*  239540 */     GIR_EraseRootFromParent_Done,
     /*  239541 */   // Label 4664: @239541
     /*  239541 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(239604), // Rule ID 2691 //
     /*  239546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  239549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  239554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  239557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  239560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  239570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  239578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239585 */     // (intrinsic_wo_chain:{ *:[i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  239585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  239588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239592 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  239594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239602 */     GIR_RootConstrainSelectedInstOperands,
     /*  239603 */     // GIR_Coverage, 2691,
     /*  239603 */     GIR_EraseRootFromParent_Done,
     /*  239604 */   // Label 4665: @239604
     /*  239604 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(239670), // Rule ID 2698 //
     /*  239609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  239617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  239620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239648 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  239648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  239651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239668 */     GIR_RootConstrainSelectedInstOperands,
     /*  239669 */     // GIR_Coverage, 2698,
     /*  239669 */     GIR_EraseRootFromParent_Done,
     /*  239670 */   // Label 4666: @239670
     /*  239670 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(239736), // Rule ID 2699 //
     /*  239675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  239683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  239686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239714 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  239714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  239717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239734 */     GIR_RootConstrainSelectedInstOperands,
     /*  239735 */     // GIR_Coverage, 2699,
     /*  239735 */     GIR_EraseRootFromParent_Done,
     /*  239736 */   // Label 4667: @239736
     /*  239736 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(239802), // Rule ID 2702 //
     /*  239741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239780 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11693:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  239783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239800 */     GIR_RootConstrainSelectedInstOperands,
     /*  239801 */     // GIR_Coverage, 2702,
     /*  239801 */     GIR_EraseRootFromParent_Done,
     /*  239802 */   // Label 4668: @239802
     /*  239802 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(239868), // Rule ID 2703 //
     /*  239807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11693:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  239849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239866 */     GIR_RootConstrainSelectedInstOperands,
     /*  239867 */     // GIR_Coverage, 2703,
     /*  239867 */     GIR_EraseRootFromParent_Done,
     /*  239868 */   // Label 4669: @239868
     /*  239868 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(239934), // Rule ID 2706 //
     /*  239873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  239876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  239881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239912 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  239915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239932 */     GIR_RootConstrainSelectedInstOperands,
     /*  239933 */     // GIR_Coverage, 2706,
     /*  239933 */     GIR_EraseRootFromParent_Done,
     /*  239934 */   // Label 4670: @239934
     /*  239934 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(240000), // Rule ID 2707 //
     /*  239939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  239942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  239947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239978 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  239981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239998 */     GIR_RootConstrainSelectedInstOperands,
     /*  239999 */     // GIR_Coverage, 2707,
     /*  239999 */     GIR_EraseRootFromParent_Done,
     /*  240000 */   // Label 4671: @240000
     /*  240000 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(240063), // Rule ID 2720 //
     /*  240005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  240013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  240019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  240022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240044 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  240044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  240047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240061 */     GIR_RootConstrainSelectedInstOperands,
     /*  240062 */     // GIR_Coverage, 2720,
     /*  240062 */     GIR_EraseRootFromParent_Done,
     /*  240063 */   // Label 4672: @240063
     /*  240063 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(240126), // Rule ID 2721 //
     /*  240068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  240076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  240082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  240085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240107 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  240107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  240110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240124 */     GIR_RootConstrainSelectedInstOperands,
     /*  240125 */     // GIR_Coverage, 2721,
     /*  240125 */     GIR_EraseRootFromParent_Done,
     /*  240126 */   // Label 4673: @240126
     /*  240126 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(240189), // Rule ID 2732 //
     /*  240131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  240139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  240145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  240148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240170 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  240170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  240173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240187 */     GIR_RootConstrainSelectedInstOperands,
     /*  240188 */     // GIR_Coverage, 2732,
     /*  240188 */     GIR_EraseRootFromParent_Done,
     /*  240189 */   // Label 4674: @240189
     /*  240189 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(240252), // Rule ID 2733 //
     /*  240194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  240202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  240208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  240211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240233 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  240233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  240236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240250 */     GIR_RootConstrainSelectedInstOperands,
     /*  240251 */     // GIR_Coverage, 2733,
     /*  240251 */     GIR_EraseRootFromParent_Done,
     /*  240252 */   // Label 4675: @240252
     /*  240252 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(240315), // Rule ID 2740 //
     /*  240257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  240265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  240271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  240274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  240296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  240299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240313 */     GIR_RootConstrainSelectedInstOperands,
     /*  240314 */     // GIR_Coverage, 2740,
     /*  240314 */     GIR_EraseRootFromParent_Done,
     /*  240315 */   // Label 4676: @240315
     /*  240315 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(240378), // Rule ID 2741 //
     /*  240320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  240328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  240334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  240337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240359 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  240359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  240362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240376 */     GIR_RootConstrainSelectedInstOperands,
     /*  240377 */     // GIR_Coverage, 2741,
     /*  240377 */     GIR_EraseRootFromParent_Done,
     /*  240378 */   // Label 4677: @240378
     /*  240378 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(240444), // Rule ID 2742 //
     /*  240383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  240386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  240391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  240394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  240397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  240400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  240425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240442 */     GIR_RootConstrainSelectedInstOperands,
     /*  240443 */     // GIR_Coverage, 2742,
     /*  240443 */     GIR_EraseRootFromParent_Done,
     /*  240444 */   // Label 4678: @240444
     /*  240444 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(240510), // Rule ID 2743 //
     /*  240449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  240452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  240457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  240460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  240463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  240466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240488 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  240491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240508 */     GIR_RootConstrainSelectedInstOperands,
     /*  240509 */     // GIR_Coverage, 2743,
     /*  240509 */     GIR_EraseRootFromParent_Done,
     /*  240510 */   // Label 4679: @240510
     /*  240510 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(240573), // Rule ID 2754 //
     /*  240515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  240523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  240529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  240532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240554 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  240554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  240557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240571 */     GIR_RootConstrainSelectedInstOperands,
     /*  240572 */     // GIR_Coverage, 2754,
     /*  240572 */     GIR_EraseRootFromParent_Done,
     /*  240573 */   // Label 4680: @240573
     /*  240573 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(240636), // Rule ID 2755 //
     /*  240578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  240586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  240592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  240595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240617 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  240617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  240620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240634 */     GIR_RootConstrainSelectedInstOperands,
     /*  240635 */     // GIR_Coverage, 2755,
     /*  240635 */     GIR_EraseRootFromParent_Done,
     /*  240636 */   // Label 4681: @240636
     /*  240636 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(240702), // Rule ID 4902 //
     /*  240641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  240652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  240655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  240658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240680 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11693:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240700 */     GIR_RootConstrainSelectedInstOperands,
     /*  240701 */     // GIR_Coverage, 4902,
     /*  240701 */     GIR_EraseRootFromParent_Done,
     /*  240702 */   // Label 4682: @240702
     /*  240702 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(240768), // Rule ID 4903 //
     /*  240707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  240718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  240721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  240724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240746 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11693:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240766 */     GIR_RootConstrainSelectedInstOperands,
     /*  240767 */     // GIR_Coverage, 4903,
     /*  240767 */     GIR_EraseRootFromParent_Done,
     /*  240768 */   // Label 4683: @240768
     /*  240768 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(240834), // Rule ID 4906 //
     /*  240773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  240784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  240787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  240790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240812 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11693:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240832 */     GIR_RootConstrainSelectedInstOperands,
     /*  240833 */     // GIR_Coverage, 4906,
     /*  240833 */     GIR_EraseRootFromParent_Done,
     /*  240834 */   // Label 4684: @240834
     /*  240834 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(240900), // Rule ID 4907 //
     /*  240839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  240850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  240853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  240856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11693:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240898 */     GIR_RootConstrainSelectedInstOperands,
     /*  240899 */     // GIR_Coverage, 4907,
     /*  240899 */     GIR_EraseRootFromParent_Done,
     /*  240900 */   // Label 4685: @240900
     /*  240900 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(240966), // Rule ID 4910 //
     /*  240905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  240916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  240919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  240922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11693:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  240947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240964 */     GIR_RootConstrainSelectedInstOperands,
     /*  240965 */     // GIR_Coverage, 4910,
     /*  240965 */     GIR_EraseRootFromParent_Done,
     /*  240966 */   // Label 4686: @240966
     /*  240966 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(241032), // Rule ID 4911 //
     /*  240971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  240982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  240985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  240988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241010 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11693:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  241010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  241013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241030 */     GIR_RootConstrainSelectedInstOperands,
     /*  241031 */     // GIR_Coverage, 4911,
     /*  241031 */     GIR_EraseRootFromParent_Done,
     /*  241032 */   // Label 4687: @241032
     /*  241032 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(241098), // Rule ID 4914 //
     /*  241037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  241048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  241051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  241054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11693:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  241076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241096 */     GIR_RootConstrainSelectedInstOperands,
     /*  241097 */     // GIR_Coverage, 4914,
     /*  241097 */     GIR_EraseRootFromParent_Done,
     /*  241098 */   // Label 4688: @241098
     /*  241098 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(241164), // Rule ID 4915 //
     /*  241103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  241114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  241117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  241120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241142 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11693:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  241142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241162 */     GIR_RootConstrainSelectedInstOperands,
     /*  241163 */     // GIR_Coverage, 4915,
     /*  241163 */     GIR_EraseRootFromParent_Done,
     /*  241164 */   // Label 4689: @241164
     /*  241164 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(241230), // Rule ID 4918 //
     /*  241169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  241180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  241183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  241186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11693:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  241208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241228 */     GIR_RootConstrainSelectedInstOperands,
     /*  241229 */     // GIR_Coverage, 4918,
     /*  241229 */     GIR_EraseRootFromParent_Done,
     /*  241230 */   // Label 4690: @241230
     /*  241230 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(241296), // Rule ID 4919 //
     /*  241235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  241246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  241249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  241252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241274 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11693:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  241274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241294 */     GIR_RootConstrainSelectedInstOperands,
     /*  241295 */     // GIR_Coverage, 4919,
     /*  241295 */     GIR_EraseRootFromParent_Done,
     /*  241296 */   // Label 4691: @241296
     /*  241296 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(241362), // Rule ID 4922 //
     /*  241301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  241312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  241318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241340 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11693:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  241343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241360 */     GIR_RootConstrainSelectedInstOperands,
     /*  241361 */     // GIR_Coverage, 4922,
     /*  241361 */     GIR_EraseRootFromParent_Done,
     /*  241362 */   // Label 4692: @241362
     /*  241362 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(241428), // Rule ID 4923 //
     /*  241367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  241378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  241384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241406 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11693:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  241409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241426 */     GIR_RootConstrainSelectedInstOperands,
     /*  241427 */     // GIR_Coverage, 4923,
     /*  241427 */     GIR_EraseRootFromParent_Done,
     /*  241428 */   // Label 4693: @241428
     /*  241428 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(241494), // Rule ID 4926 //
     /*  241433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  241444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  241450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11693:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  241475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241492 */     GIR_RootConstrainSelectedInstOperands,
     /*  241493 */     // GIR_Coverage, 4926,
     /*  241493 */     GIR_EraseRootFromParent_Done,
     /*  241494 */   // Label 4694: @241494
     /*  241494 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(241560), // Rule ID 4927 //
     /*  241499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  241510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  241516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11693:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  241541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241558 */     GIR_RootConstrainSelectedInstOperands,
     /*  241559 */     // GIR_Coverage, 4927,
     /*  241559 */     GIR_EraseRootFromParent_Done,
     /*  241560 */   // Label 4695: @241560
     /*  241560 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(241626), // Rule ID 4930 //
     /*  241565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  241576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  241579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  241582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241604 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11693:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  241607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241624 */     GIR_RootConstrainSelectedInstOperands,
     /*  241625 */     // GIR_Coverage, 4930,
     /*  241625 */     GIR_EraseRootFromParent_Done,
     /*  241626 */   // Label 4696: @241626
     /*  241626 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(241692), // Rule ID 4931 //
     /*  241631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  241642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  241645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  241648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241670 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11693:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  241673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241690 */     GIR_RootConstrainSelectedInstOperands,
     /*  241691 */     // GIR_Coverage, 4931,
     /*  241691 */     GIR_EraseRootFromParent_Done,
     /*  241692 */   // Label 4697: @241692
     /*  241692 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(241758), // Rule ID 4934 //
     /*  241697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  241708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  241711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  241714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11693:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241756 */     GIR_RootConstrainSelectedInstOperands,
     /*  241757 */     // GIR_Coverage, 4934,
     /*  241757 */     GIR_EraseRootFromParent_Done,
     /*  241758 */   // Label 4698: @241758
     /*  241758 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(241824), // Rule ID 4935 //
     /*  241763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  241774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  241777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  241780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241802 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11693:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241822 */     GIR_RootConstrainSelectedInstOperands,
     /*  241823 */     // GIR_Coverage, 4935,
     /*  241823 */     GIR_EraseRootFromParent_Done,
     /*  241824 */   // Label 4699: @241824
     /*  241824 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(241890), // Rule ID 4938 //
     /*  241829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  241840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  241843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  241846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241868 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11693:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241888 */     GIR_RootConstrainSelectedInstOperands,
     /*  241889 */     // GIR_Coverage, 4938,
     /*  241889 */     GIR_EraseRootFromParent_Done,
     /*  241890 */   // Label 4700: @241890
     /*  241890 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(241956), // Rule ID 4939 //
     /*  241895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  241906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  241909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  241912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241934 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11693:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241954 */     GIR_RootConstrainSelectedInstOperands,
     /*  241955 */     // GIR_Coverage, 4939,
     /*  241955 */     GIR_EraseRootFromParent_Done,
     /*  241956 */   // Label 4701: @241956
     /*  241956 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(242022), // Rule ID 4942 //
     /*  241961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  241972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  241978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242000 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11693:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  242003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242020 */     GIR_RootConstrainSelectedInstOperands,
     /*  242021 */     // GIR_Coverage, 4942,
     /*  242021 */     GIR_EraseRootFromParent_Done,
     /*  242022 */   // Label 4702: @242022
     /*  242022 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(242088), // Rule ID 4943 //
     /*  242027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  242038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  242044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11693:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  242069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242086 */     GIR_RootConstrainSelectedInstOperands,
     /*  242087 */     // GIR_Coverage, 4943,
     /*  242087 */     GIR_EraseRootFromParent_Done,
     /*  242088 */   // Label 4703: @242088
     /*  242088 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(242154), // Rule ID 4946 //
     /*  242093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  242110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242132 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11693:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  242135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242152 */     GIR_RootConstrainSelectedInstOperands,
     /*  242153 */     // GIR_Coverage, 4946,
     /*  242153 */     GIR_EraseRootFromParent_Done,
     /*  242154 */   // Label 4704: @242154
     /*  242154 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(242220), // Rule ID 4947 //
     /*  242159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  242176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242198 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11693:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  242201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242218 */     GIR_RootConstrainSelectedInstOperands,
     /*  242219 */     // GIR_Coverage, 4947,
     /*  242219 */     GIR_EraseRootFromParent_Done,
     /*  242220 */   // Label 4705: @242220
     /*  242220 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(242286), // Rule ID 4950 //
     /*  242225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  242242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11693:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  242267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242284 */     GIR_RootConstrainSelectedInstOperands,
     /*  242285 */     // GIR_Coverage, 4950,
     /*  242285 */     GIR_EraseRootFromParent_Done,
     /*  242286 */   // Label 4706: @242286
     /*  242286 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(242352), // Rule ID 4951 //
     /*  242291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  242308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11693:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  242333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242350 */     GIR_RootConstrainSelectedInstOperands,
     /*  242351 */     // GIR_Coverage, 4951,
     /*  242351 */     GIR_EraseRootFromParent_Done,
     /*  242352 */   // Label 4707: @242352
     /*  242352 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(242418), // Rule ID 4954 //
     /*  242357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  242368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  242374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242396 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11693:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  242399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242416 */     GIR_RootConstrainSelectedInstOperands,
     /*  242417 */     // GIR_Coverage, 4954,
     /*  242417 */     GIR_EraseRootFromParent_Done,
     /*  242418 */   // Label 4708: @242418
     /*  242418 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(242484), // Rule ID 4955 //
     /*  242423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  242434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  242440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242462 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11693:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  242465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242482 */     GIR_RootConstrainSelectedInstOperands,
     /*  242483 */     // GIR_Coverage, 4955,
     /*  242483 */     GIR_EraseRootFromParent_Done,
     /*  242484 */   // Label 4709: @242484
     /*  242484 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(242550), // Rule ID 4958 //
     /*  242489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  242500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  242503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  242506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242528 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11693:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  242528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  242531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242548 */     GIR_RootConstrainSelectedInstOperands,
     /*  242549 */     // GIR_Coverage, 4958,
     /*  242549 */     GIR_EraseRootFromParent_Done,
     /*  242550 */   // Label 4710: @242550
     /*  242550 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(242616), // Rule ID 4959 //
     /*  242555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  242566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  242569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  242572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242594 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11693:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  242597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242614 */     GIR_RootConstrainSelectedInstOperands,
     /*  242615 */     // GIR_Coverage, 4959,
     /*  242615 */     GIR_EraseRootFromParent_Done,
     /*  242616 */   // Label 4711: @242616
     /*  242616 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(242682), // Rule ID 4962 //
     /*  242621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  242632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  242635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  242638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242660 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11693:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  242660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  242663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242680 */     GIR_RootConstrainSelectedInstOperands,
     /*  242681 */     // GIR_Coverage, 4962,
     /*  242681 */     GIR_EraseRootFromParent_Done,
     /*  242682 */   // Label 4712: @242682
     /*  242682 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(242748), // Rule ID 4963 //
     /*  242687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  242698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  242701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  242704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11693:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  242729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242746 */     GIR_RootConstrainSelectedInstOperands,
     /*  242747 */     // GIR_Coverage, 4963,
     /*  242747 */     GIR_EraseRootFromParent_Done,
     /*  242748 */   // Label 4713: @242748
     /*  242748 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(242814), // Rule ID 4966 //
     /*  242753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  242764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  242770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242792 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11693:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  242792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242812 */     GIR_RootConstrainSelectedInstOperands,
     /*  242813 */     // GIR_Coverage, 4966,
     /*  242813 */     GIR_EraseRootFromParent_Done,
     /*  242814 */   // Label 4714: @242814
     /*  242814 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(242880), // Rule ID 4967 //
     /*  242819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  242830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  242836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242858 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11693:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242878 */     GIR_RootConstrainSelectedInstOperands,
     /*  242879 */     // GIR_Coverage, 4967,
     /*  242879 */     GIR_EraseRootFromParent_Done,
     /*  242880 */   // Label 4715: @242880
     /*  242880 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(242946), // Rule ID 4970 //
     /*  242885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  242896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  242902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11693:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  242924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242944 */     GIR_RootConstrainSelectedInstOperands,
     /*  242945 */     // GIR_Coverage, 4970,
     /*  242945 */     GIR_EraseRootFromParent_Done,
     /*  242946 */   // Label 4716: @242946
     /*  242946 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(243012), // Rule ID 4971 //
     /*  242951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  242962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  242968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11693:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243010 */     GIR_RootConstrainSelectedInstOperands,
     /*  243011 */     // GIR_Coverage, 4971,
     /*  243011 */     GIR_EraseRootFromParent_Done,
     /*  243012 */   // Label 4717: @243012
     /*  243012 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(243078), // Rule ID 4974 //
     /*  243017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  243028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  243031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  243034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243056 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11693:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  243056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  243059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243076 */     GIR_RootConstrainSelectedInstOperands,
     /*  243077 */     // GIR_Coverage, 4974,
     /*  243077 */     GIR_EraseRootFromParent_Done,
     /*  243078 */   // Label 4718: @243078
     /*  243078 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(243144), // Rule ID 4975 //
     /*  243083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  243094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  243097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  243100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243122 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11693:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  243122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  243125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243142 */     GIR_RootConstrainSelectedInstOperands,
     /*  243143 */     // GIR_Coverage, 4975,
     /*  243143 */     GIR_EraseRootFromParent_Done,
     /*  243144 */   // Label 4719: @243144
     /*  243144 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(243210), // Rule ID 4978 //
     /*  243149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  243160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  243163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  243166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243188 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11693:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  243191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243208 */     GIR_RootConstrainSelectedInstOperands,
     /*  243209 */     // GIR_Coverage, 4978,
     /*  243209 */     GIR_EraseRootFromParent_Done,
     /*  243210 */   // Label 4720: @243210
     /*  243210 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(243276), // Rule ID 4979 //
     /*  243215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  243226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  243229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  243232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243254 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11693:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  243257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243274 */     GIR_RootConstrainSelectedInstOperands,
     /*  243275 */     // GIR_Coverage, 4979,
     /*  243275 */     GIR_EraseRootFromParent_Done,
     /*  243276 */   // Label 4721: @243276
     /*  243276 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(243342), // Rule ID 4982 //
     /*  243281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  243292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  243298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243320 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11693:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  243323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243340 */     GIR_RootConstrainSelectedInstOperands,
     /*  243341 */     // GIR_Coverage, 4982,
     /*  243341 */     GIR_EraseRootFromParent_Done,
     /*  243342 */   // Label 4722: @243342
     /*  243342 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(243408), // Rule ID 4983 //
     /*  243347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  243358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  243364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11693:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  243389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243406 */     GIR_RootConstrainSelectedInstOperands,
     /*  243407 */     // GIR_Coverage, 4983,
     /*  243407 */     GIR_EraseRootFromParent_Done,
     /*  243408 */   // Label 4723: @243408
     /*  243408 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(243474), // Rule ID 4986 //
     /*  243413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  243424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  243430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11693:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  243455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243472 */     GIR_RootConstrainSelectedInstOperands,
     /*  243473 */     // GIR_Coverage, 4986,
     /*  243473 */     GIR_EraseRootFromParent_Done,
     /*  243474 */   // Label 4724: @243474
     /*  243474 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(243540), // Rule ID 4987 //
     /*  243479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  243490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  243496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243518 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11693:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  243521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243538 */     GIR_RootConstrainSelectedInstOperands,
     /*  243539 */     // GIR_Coverage, 4987,
     /*  243539 */     GIR_EraseRootFromParent_Done,
     /*  243540 */   // Label 4725: @243540
     /*  243540 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(243606), // Rule ID 4990 //
     /*  243545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  243556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  243562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11693:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  243587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243604 */     GIR_RootConstrainSelectedInstOperands,
     /*  243605 */     // GIR_Coverage, 4990,
     /*  243605 */     GIR_EraseRootFromParent_Done,
     /*  243606 */   // Label 4726: @243606
     /*  243606 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(243672), // Rule ID 4991 //
     /*  243611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  243622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  243628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243650 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11693:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  243653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243670 */     GIR_RootConstrainSelectedInstOperands,
     /*  243671 */     // GIR_Coverage, 4991,
     /*  243671 */     GIR_EraseRootFromParent_Done,
     /*  243672 */   // Label 4727: @243672
     /*  243672 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(243738), // Rule ID 4994 //
     /*  243677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  243688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  243691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11693:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  243719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243736 */     GIR_RootConstrainSelectedInstOperands,
     /*  243737 */     // GIR_Coverage, 4994,
     /*  243737 */     GIR_EraseRootFromParent_Done,
     /*  243738 */   // Label 4728: @243738
     /*  243738 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(243804), // Rule ID 4995 //
     /*  243743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  243754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  243757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243782 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11693:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  243785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243802 */     GIR_RootConstrainSelectedInstOperands,
     /*  243803 */     // GIR_Coverage, 4995,
     /*  243803 */     GIR_EraseRootFromParent_Done,
     /*  243804 */   // Label 4729: @243804
     /*  243804 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(243870), // Rule ID 4998 //
     /*  243809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  243820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243848 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11693:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  243851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243868 */     GIR_RootConstrainSelectedInstOperands,
     /*  243869 */     // GIR_Coverage, 4998,
     /*  243869 */     GIR_EraseRootFromParent_Done,
     /*  243870 */   // Label 4730: @243870
     /*  243870 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(243936), // Rule ID 4999 //
     /*  243875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  243886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243914 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11693:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  243917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243934 */     GIR_RootConstrainSelectedInstOperands,
     /*  243935 */     // GIR_Coverage, 4999,
     /*  243935 */     GIR_EraseRootFromParent_Done,
     /*  243936 */   // Label 4731: @243936
     /*  243936 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(244002), // Rule ID 5002 //
     /*  243941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  243952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  243958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11693:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  243983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244000 */     GIR_RootConstrainSelectedInstOperands,
     /*  244001 */     // GIR_Coverage, 5002,
     /*  244001 */     GIR_EraseRootFromParent_Done,
     /*  244002 */   // Label 4732: @244002
     /*  244002 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(244068), // Rule ID 5003 //
     /*  244007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  244010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  244018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  244021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  244024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244046 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11693:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  244049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244066 */     GIR_RootConstrainSelectedInstOperands,
     /*  244067 */     // GIR_Coverage, 5003,
     /*  244067 */     GIR_EraseRootFromParent_Done,
     /*  244068 */   // Label 4733: @244068
     /*  244068 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(244134), // Rule ID 5006 //
     /*  244073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  244084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  244087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  244090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244112 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11693:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  244115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244132 */     GIR_RootConstrainSelectedInstOperands,
     /*  244133 */     // GIR_Coverage, 5006,
     /*  244133 */     GIR_EraseRootFromParent_Done,
     /*  244134 */   // Label 4734: @244134
     /*  244134 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(244200), // Rule ID 5007 //
     /*  244139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  244142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  244150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  244153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  244156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244178 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11693:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  244181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244198 */     GIR_RootConstrainSelectedInstOperands,
     /*  244199 */     // GIR_Coverage, 5007,
     /*  244199 */     GIR_EraseRootFromParent_Done,
     /*  244200 */   // Label 4735: @244200
     /*  244200 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(244266), // Rule ID 5010 //
     /*  244205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  244216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  244219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  244222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244244 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  244247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244264 */     GIR_RootConstrainSelectedInstOperands,
     /*  244265 */     // GIR_Coverage, 5010,
     /*  244265 */     GIR_EraseRootFromParent_Done,
     /*  244266 */   // Label 4736: @244266
     /*  244266 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(244332), // Rule ID 5011 //
     /*  244271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  244282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  244285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  244288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244310 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  244313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244330 */     GIR_RootConstrainSelectedInstOperands,
     /*  244331 */     // GIR_Coverage, 5011,
     /*  244331 */     GIR_EraseRootFromParent_Done,
     /*  244332 */   // Label 4737: @244332
     /*  244332 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(244398), // Rule ID 5014 //
     /*  244337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  244348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  244351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  244354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244376 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  244379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244396 */     GIR_RootConstrainSelectedInstOperands,
     /*  244397 */     // GIR_Coverage, 5014,
     /*  244397 */     GIR_EraseRootFromParent_Done,
     /*  244398 */   // Label 4738: @244398
     /*  244398 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(244464), // Rule ID 5015 //
     /*  244403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  244414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  244417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  244420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244442 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  244445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244462 */     GIR_RootConstrainSelectedInstOperands,
     /*  244463 */     // GIR_Coverage, 5015,
     /*  244463 */     GIR_EraseRootFromParent_Done,
     /*  244464 */   // Label 4739: @244464
     /*  244464 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(244530), // Rule ID 5018 //
     /*  244469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  244480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  244483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  244486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244528 */     GIR_RootConstrainSelectedInstOperands,
     /*  244529 */     // GIR_Coverage, 5018,
     /*  244529 */     GIR_EraseRootFromParent_Done,
     /*  244530 */   // Label 4740: @244530
     /*  244530 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(244596), // Rule ID 5019 //
     /*  244535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  244546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  244549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  244552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244594 */     GIR_RootConstrainSelectedInstOperands,
     /*  244595 */     // GIR_Coverage, 5019,
     /*  244595 */     GIR_EraseRootFromParent_Done,
     /*  244596 */   // Label 4741: @244596
     /*  244596 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(244662), // Rule ID 5022 //
     /*  244601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  244612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  244615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  244618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244640 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244660 */     GIR_RootConstrainSelectedInstOperands,
     /*  244661 */     // GIR_Coverage, 5022,
     /*  244661 */     GIR_EraseRootFromParent_Done,
     /*  244662 */   // Label 4742: @244662
     /*  244662 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(244728), // Rule ID 5023 //
     /*  244667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  244678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  244681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  244684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244706 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244726 */     GIR_RootConstrainSelectedInstOperands,
     /*  244727 */     // GIR_Coverage, 5023,
     /*  244727 */     GIR_EraseRootFromParent_Done,
     /*  244728 */   // Label 4743: @244728
     /*  244728 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(244794), // Rule ID 5026 //
     /*  244733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  244750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244792 */     GIR_RootConstrainSelectedInstOperands,
     /*  244793 */     // GIR_Coverage, 5026,
     /*  244793 */     GIR_EraseRootFromParent_Done,
     /*  244794 */   // Label 4744: @244794
     /*  244794 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(244860), // Rule ID 5027 //
     /*  244799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  244816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244838 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244858 */     GIR_RootConstrainSelectedInstOperands,
     /*  244859 */     // GIR_Coverage, 5027,
     /*  244859 */     GIR_EraseRootFromParent_Done,
     /*  244860 */   // Label 4745: @244860
     /*  244860 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(244926), // Rule ID 5030 //
     /*  244865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  244882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244904 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244924 */     GIR_RootConstrainSelectedInstOperands,
     /*  244925 */     // GIR_Coverage, 5030,
     /*  244925 */     GIR_EraseRootFromParent_Done,
     /*  244926 */   // Label 4746: @244926
     /*  244926 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(244992), // Rule ID 5031 //
     /*  244931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  244948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244970 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244990 */     GIR_RootConstrainSelectedInstOperands,
     /*  244991 */     // GIR_Coverage, 5031,
     /*  244991 */     GIR_EraseRootFromParent_Done,
     /*  244992 */   // Label 4747: @244992
     /*  244992 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(245058), // Rule ID 5034 //
     /*  244997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  245039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245056 */     GIR_RootConstrainSelectedInstOperands,
     /*  245057 */     // GIR_Coverage, 5034,
     /*  245057 */     GIR_EraseRootFromParent_Done,
     /*  245058 */   // Label 4748: @245058
     /*  245058 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(245124), // Rule ID 5035 //
     /*  245063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245102 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  245105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245122 */     GIR_RootConstrainSelectedInstOperands,
     /*  245123 */     // GIR_Coverage, 5035,
     /*  245123 */     GIR_EraseRootFromParent_Done,
     /*  245124 */   // Label 4749: @245124
     /*  245124 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(245190), // Rule ID 5038 //
     /*  245129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  245171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245188 */     GIR_RootConstrainSelectedInstOperands,
     /*  245189 */     // GIR_Coverage, 5038,
     /*  245189 */     GIR_EraseRootFromParent_Done,
     /*  245190 */   // Label 4750: @245190
     /*  245190 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(245256), // Rule ID 5039 //
     /*  245195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  245237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245254 */     GIR_RootConstrainSelectedInstOperands,
     /*  245255 */     // GIR_Coverage, 5039,
     /*  245255 */     GIR_EraseRootFromParent_Done,
     /*  245256 */   // Label 4751: @245256
     /*  245256 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(245322), // Rule ID 5042 //
     /*  245261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  245278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  245303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245320 */     GIR_RootConstrainSelectedInstOperands,
     /*  245321 */     // GIR_Coverage, 5042,
     /*  245321 */     GIR_EraseRootFromParent_Done,
     /*  245322 */   // Label 4752: @245322
     /*  245322 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(245388), // Rule ID 5043 //
     /*  245327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  245344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  245369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245386 */     GIR_RootConstrainSelectedInstOperands,
     /*  245387 */     // GIR_Coverage, 5043,
     /*  245387 */     GIR_EraseRootFromParent_Done,
     /*  245388 */   // Label 4753: @245388
     /*  245388 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(245454), // Rule ID 5046 //
     /*  245393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  245410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245432 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  245435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245452 */     GIR_RootConstrainSelectedInstOperands,
     /*  245453 */     // GIR_Coverage, 5046,
     /*  245453 */     GIR_EraseRootFromParent_Done,
     /*  245454 */   // Label 4754: @245454
     /*  245454 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(245520), // Rule ID 5047 //
     /*  245459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  245476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  245501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245518 */     GIR_RootConstrainSelectedInstOperands,
     /*  245519 */     // GIR_Coverage, 5047,
     /*  245519 */     GIR_EraseRootFromParent_Done,
     /*  245520 */   // Label 4755: @245520
     /*  245520 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(245586), // Rule ID 5050 //
     /*  245525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  245536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  245539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  245542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245564 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  245567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245584 */     GIR_RootConstrainSelectedInstOperands,
     /*  245585 */     // GIR_Coverage, 5050,
     /*  245585 */     GIR_EraseRootFromParent_Done,
     /*  245586 */   // Label 4756: @245586
     /*  245586 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(245652), // Rule ID 5051 //
     /*  245591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  245602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  245605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  245608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  245633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245650 */     GIR_RootConstrainSelectedInstOperands,
     /*  245651 */     // GIR_Coverage, 5051,
     /*  245651 */     GIR_EraseRootFromParent_Done,
     /*  245652 */   // Label 4757: @245652
     /*  245652 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(245718), // Rule ID 5054 //
     /*  245657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245696 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  245699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245716 */     GIR_RootConstrainSelectedInstOperands,
     /*  245717 */     // GIR_Coverage, 5054,
     /*  245717 */     GIR_EraseRootFromParent_Done,
     /*  245718 */   // Label 4758: @245718
     /*  245718 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(245784), // Rule ID 5055 //
     /*  245723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245762 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  245765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245782 */     GIR_RootConstrainSelectedInstOperands,
     /*  245783 */     // GIR_Coverage, 5055,
     /*  245783 */     GIR_EraseRootFromParent_Done,
     /*  245784 */   // Label 4759: @245784
     /*  245784 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(245850), // Rule ID 5058 //
     /*  245789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245828 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  245831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245848 */     GIR_RootConstrainSelectedInstOperands,
     /*  245849 */     // GIR_Coverage, 5058,
     /*  245849 */     GIR_EraseRootFromParent_Done,
     /*  245850 */   // Label 4760: @245850
     /*  245850 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(245916), // Rule ID 5059 //
     /*  245855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245894 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  245897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245914 */     GIR_RootConstrainSelectedInstOperands,
     /*  245915 */     // GIR_Coverage, 5059,
     /*  245915 */     GIR_EraseRootFromParent_Done,
     /*  245916 */   // Label 4761: @245916
     /*  245916 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(245982), // Rule ID 5062 //
     /*  245921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  245938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245960 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  245963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245980 */     GIR_RootConstrainSelectedInstOperands,
     /*  245981 */     // GIR_Coverage, 5062,
     /*  245981 */     GIR_EraseRootFromParent_Done,
     /*  245982 */   // Label 4762: @245982
     /*  245982 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(246048), // Rule ID 5063 //
     /*  245987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  246004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  246029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246046 */     GIR_RootConstrainSelectedInstOperands,
     /*  246047 */     // GIR_Coverage, 5063,
     /*  246047 */     GIR_EraseRootFromParent_Done,
     /*  246048 */   // Label 4763: @246048
     /*  246048 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(246114), // Rule ID 5066 //
     /*  246053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  246070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246092 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  246095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246112 */     GIR_RootConstrainSelectedInstOperands,
     /*  246113 */     // GIR_Coverage, 5066,
     /*  246113 */     GIR_EraseRootFromParent_Done,
     /*  246114 */   // Label 4764: @246114
     /*  246114 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(246180), // Rule ID 5067 //
     /*  246119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  246136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  246161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246178 */     GIR_RootConstrainSelectedInstOperands,
     /*  246179 */     // GIR_Coverage, 5067,
     /*  246179 */     GIR_EraseRootFromParent_Done,
     /*  246180 */   // Label 4765: @246180
     /*  246180 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(246246), // Rule ID 5070 //
     /*  246185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  246196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  246199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  246227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246244 */     GIR_RootConstrainSelectedInstOperands,
     /*  246245 */     // GIR_Coverage, 5070,
     /*  246245 */     GIR_EraseRootFromParent_Done,
     /*  246246 */   // Label 4766: @246246
     /*  246246 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(246312), // Rule ID 5071 //
     /*  246251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  246262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  246265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  246293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246310 */     GIR_RootConstrainSelectedInstOperands,
     /*  246311 */     // GIR_Coverage, 5071,
     /*  246311 */     GIR_EraseRootFromParent_Done,
     /*  246312 */   // Label 4767: @246312
     /*  246312 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(246378), // Rule ID 5074 //
     /*  246317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  246328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  246331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  246359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246376 */     GIR_RootConstrainSelectedInstOperands,
     /*  246377 */     // GIR_Coverage, 5074,
     /*  246377 */     GIR_EraseRootFromParent_Done,
     /*  246378 */   // Label 4768: @246378
     /*  246378 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(246444), // Rule ID 5075 //
     /*  246383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  246394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  246397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246422 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  246425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246442 */     GIR_RootConstrainSelectedInstOperands,
     /*  246443 */     // GIR_Coverage, 5075,
     /*  246443 */     GIR_EraseRootFromParent_Done,
     /*  246444 */   // Label 4769: @246444
     /*  246444 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(246510), // Rule ID 5078 //
     /*  246449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  246460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  246463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246488 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  246491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246508 */     GIR_RootConstrainSelectedInstOperands,
     /*  246509 */     // GIR_Coverage, 5078,
     /*  246509 */     GIR_EraseRootFromParent_Done,
     /*  246510 */   // Label 4770: @246510
     /*  246510 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(246576), // Rule ID 5079 //
     /*  246515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  246526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  246529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246554 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  246557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246574 */     GIR_RootConstrainSelectedInstOperands,
     /*  246575 */     // GIR_Coverage, 5079,
     /*  246575 */     GIR_EraseRootFromParent_Done,
     /*  246576 */   // Label 4771: @246576
     /*  246576 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(246642), // Rule ID 5082 //
     /*  246581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  246592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  246595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  246598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246620 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  246623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246640 */     GIR_RootConstrainSelectedInstOperands,
     /*  246641 */     // GIR_Coverage, 5082,
     /*  246641 */     GIR_EraseRootFromParent_Done,
     /*  246642 */   // Label 4772: @246642
     /*  246642 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(246708), // Rule ID 5083 //
     /*  246647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  246658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  246661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  246664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  246689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246706 */     GIR_RootConstrainSelectedInstOperands,
     /*  246707 */     // GIR_Coverage, 5083,
     /*  246707 */     GIR_EraseRootFromParent_Done,
     /*  246708 */   // Label 4773: @246708
     /*  246708 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(246774), // Rule ID 5086 //
     /*  246713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  246730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246772 */     GIR_RootConstrainSelectedInstOperands,
     /*  246773 */     // GIR_Coverage, 5086,
     /*  246773 */     GIR_EraseRootFromParent_Done,
     /*  246774 */   // Label 4774: @246774
     /*  246774 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(246840), // Rule ID 5087 //
     /*  246779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  246796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246838 */     GIR_RootConstrainSelectedInstOperands,
     /*  246839 */     // GIR_Coverage, 5087,
     /*  246839 */     GIR_EraseRootFromParent_Done,
     /*  246840 */   // Label 4775: @246840
     /*  246840 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(246906), // Rule ID 5090 //
     /*  246845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  246862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  246887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246904 */     GIR_RootConstrainSelectedInstOperands,
     /*  246905 */     // GIR_Coverage, 5090,
     /*  246905 */     GIR_EraseRootFromParent_Done,
     /*  246906 */   // Label 4776: @246906
     /*  246906 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(246972), // Rule ID 5091 //
     /*  246911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  246928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246950 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  246953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246970 */     GIR_RootConstrainSelectedInstOperands,
     /*  246971 */     // GIR_Coverage, 5091,
     /*  246971 */     GIR_EraseRootFromParent_Done,
     /*  246972 */   // Label 4777: @246972
     /*  246972 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(247038), // Rule ID 5094 //
     /*  246977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  246994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  247019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247036 */     GIR_RootConstrainSelectedInstOperands,
     /*  247037 */     // GIR_Coverage, 5094,
     /*  247037 */     GIR_EraseRootFromParent_Done,
     /*  247038 */   // Label 4778: @247038
     /*  247038 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(247104), // Rule ID 5095 //
     /*  247043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  247054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  247057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247082 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  247085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247102 */     GIR_RootConstrainSelectedInstOperands,
     /*  247103 */     // GIR_Coverage, 5095,
     /*  247103 */     GIR_EraseRootFromParent_Done,
     /*  247104 */   // Label 4779: @247104
     /*  247104 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(247170), // Rule ID 5098 //
     /*  247109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247148 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  247151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247168 */     GIR_RootConstrainSelectedInstOperands,
     /*  247169 */     // GIR_Coverage, 5098,
     /*  247169 */     GIR_EraseRootFromParent_Done,
     /*  247170 */   // Label 4780: @247170
     /*  247170 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(247236), // Rule ID 5099 //
     /*  247175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247214 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  247217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247234 */     GIR_RootConstrainSelectedInstOperands,
     /*  247235 */     // GIR_Coverage, 5099,
     /*  247235 */     GIR_EraseRootFromParent_Done,
     /*  247236 */   // Label 4781: @247236
     /*  247236 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(247302), // Rule ID 5102 //
     /*  247241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  247258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247280 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  247283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247300 */     GIR_RootConstrainSelectedInstOperands,
     /*  247301 */     // GIR_Coverage, 5102,
     /*  247301 */     GIR_EraseRootFromParent_Done,
     /*  247302 */   // Label 4782: @247302
     /*  247302 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(247368), // Rule ID 5103 //
     /*  247307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  247324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  247349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247366 */     GIR_RootConstrainSelectedInstOperands,
     /*  247367 */     // GIR_Coverage, 5103,
     /*  247367 */     GIR_EraseRootFromParent_Done,
     /*  247368 */   // Label 4783: @247368
     /*  247368 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(247434), // Rule ID 5106 //
     /*  247373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  247390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247412 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  247415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247432 */     GIR_RootConstrainSelectedInstOperands,
     /*  247433 */     // GIR_Coverage, 5106,
     /*  247433 */     GIR_EraseRootFromParent_Done,
     /*  247434 */   // Label 4784: @247434
     /*  247434 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(247500), // Rule ID 5107 //
     /*  247439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  247456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  247481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247498 */     GIR_RootConstrainSelectedInstOperands,
     /*  247499 */     // GIR_Coverage, 5107,
     /*  247499 */     GIR_EraseRootFromParent_Done,
     /*  247500 */   // Label 4785: @247500
     /*  247500 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(247566), // Rule ID 5110 //
     /*  247505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  247516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  247519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  247547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247564 */     GIR_RootConstrainSelectedInstOperands,
     /*  247565 */     // GIR_Coverage, 5110,
     /*  247565 */     GIR_EraseRootFromParent_Done,
     /*  247566 */   // Label 4786: @247566
     /*  247566 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(247632), // Rule ID 5111 //
     /*  247571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  247582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  247585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247610 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  247613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247630 */     GIR_RootConstrainSelectedInstOperands,
     /*  247631 */     // GIR_Coverage, 5111,
     /*  247631 */     GIR_EraseRootFromParent_Done,
     /*  247632 */   // Label 4787: @247632
     /*  247632 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(247698), // Rule ID 5114 //
     /*  247637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247676 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  247679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247696 */     GIR_RootConstrainSelectedInstOperands,
     /*  247697 */     // GIR_Coverage, 5114,
     /*  247697 */     GIR_EraseRootFromParent_Done,
     /*  247698 */   // Label 4788: @247698
     /*  247698 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(247764), // Rule ID 5115 //
     /*  247703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247742 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  247745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247762 */     GIR_RootConstrainSelectedInstOperands,
     /*  247763 */     // GIR_Coverage, 5115,
     /*  247763 */     GIR_EraseRootFromParent_Done,
     /*  247764 */   // Label 4789: @247764
     /*  247764 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(247830), // Rule ID 5118 //
     /*  247769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247808 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  247811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247828 */     GIR_RootConstrainSelectedInstOperands,
     /*  247829 */     // GIR_Coverage, 5118,
     /*  247829 */     GIR_EraseRootFromParent_Done,
     /*  247830 */   // Label 4790: @247830
     /*  247830 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(247896), // Rule ID 5119 //
     /*  247835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  247877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247894 */     GIR_RootConstrainSelectedInstOperands,
     /*  247895 */     // GIR_Coverage, 5119,
     /*  247895 */     GIR_EraseRootFromParent_Done,
     /*  247896 */   // Label 4791: @247896
     /*  247896 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(247959), // Rule ID 5382 //
     /*  247901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  247915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247940 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  247943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247957 */     GIR_RootConstrainSelectedInstOperands,
     /*  247958 */     // GIR_Coverage, 5382,
     /*  247958 */     GIR_EraseRootFromParent_Done,
     /*  247959 */   // Label 4792: @247959
     /*  247959 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(248022), // Rule ID 5383 //
     /*  247964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  247978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248003 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  248006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248020 */     GIR_RootConstrainSelectedInstOperands,
     /*  248021 */     // GIR_Coverage, 5383,
     /*  248021 */     GIR_EraseRootFromParent_Done,
     /*  248022 */   // Label 4793: @248022
     /*  248022 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(248085), // Rule ID 5384 //
     /*  248027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  248041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  248044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248066 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  248069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248083 */     GIR_RootConstrainSelectedInstOperands,
     /*  248084 */     // GIR_Coverage, 5384,
     /*  248084 */     GIR_EraseRootFromParent_Done,
     /*  248085 */   // Label 4794: @248085
     /*  248085 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(248148), // Rule ID 5385 //
     /*  248090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  248104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  248107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248129 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  248132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248146 */     GIR_RootConstrainSelectedInstOperands,
     /*  248147 */     // GIR_Coverage, 5385,
     /*  248147 */     GIR_EraseRootFromParent_Done,
     /*  248148 */   // Label 4795: @248148
     /*  248148 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(248211), // Rule ID 5386 //
     /*  248153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  248167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  248170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248192 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  248195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248209 */     GIR_RootConstrainSelectedInstOperands,
     /*  248210 */     // GIR_Coverage, 5386,
     /*  248210 */     GIR_EraseRootFromParent_Done,
     /*  248211 */   // Label 4796: @248211
     /*  248211 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(248274), // Rule ID 5387 //
     /*  248216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  248230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  248233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248255 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  248258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248272 */     GIR_RootConstrainSelectedInstOperands,
     /*  248273 */     // GIR_Coverage, 5387,
     /*  248273 */     GIR_EraseRootFromParent_Done,
     /*  248274 */   // Label 4797: @248274
     /*  248274 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(248337), // Rule ID 5388 //
     /*  248279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  248293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  248296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248318 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  248321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248335 */     GIR_RootConstrainSelectedInstOperands,
     /*  248336 */     // GIR_Coverage, 5388,
     /*  248336 */     GIR_EraseRootFromParent_Done,
     /*  248337 */   // Label 4798: @248337
     /*  248337 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(248400), // Rule ID 5389 //
     /*  248342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  248356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  248359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248381 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  248384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248398 */     GIR_RootConstrainSelectedInstOperands,
     /*  248399 */     // GIR_Coverage, 5389,
     /*  248399 */     GIR_EraseRootFromParent_Done,
     /*  248400 */   // Label 4799: @248400
     /*  248400 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(248463), // Rule ID 5390 //
     /*  248405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  248419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  248422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248444 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  248444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  248447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248461 */     GIR_RootConstrainSelectedInstOperands,
     /*  248462 */     // GIR_Coverage, 5390,
     /*  248462 */     GIR_EraseRootFromParent_Done,
     /*  248463 */   // Label 4800: @248463
     /*  248463 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(248526), // Rule ID 5391 //
     /*  248468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  248482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  248485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248507 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  248507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  248510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248524 */     GIR_RootConstrainSelectedInstOperands,
     /*  248525 */     // GIR_Coverage, 5391,
     /*  248525 */     GIR_EraseRootFromParent_Done,
     /*  248526 */   // Label 4801: @248526
     /*  248526 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(248589), // Rule ID 5392 //
     /*  248531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  248545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  248548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248570 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248587 */     GIR_RootConstrainSelectedInstOperands,
     /*  248588 */     // GIR_Coverage, 5392,
     /*  248588 */     GIR_EraseRootFromParent_Done,
     /*  248589 */   // Label 4802: @248589
     /*  248589 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(248652), // Rule ID 5393 //
     /*  248594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  248608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  248611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248633 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248650 */     GIR_RootConstrainSelectedInstOperands,
     /*  248651 */     // GIR_Coverage, 5393,
     /*  248651 */     GIR_EraseRootFromParent_Done,
     /*  248652 */   // Label 4803: @248652
     /*  248652 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(248715), // Rule ID 5394 //
     /*  248657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  248671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  248674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248696 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248713 */     GIR_RootConstrainSelectedInstOperands,
     /*  248714 */     // GIR_Coverage, 5394,
     /*  248714 */     GIR_EraseRootFromParent_Done,
     /*  248715 */   // Label 4804: @248715
     /*  248715 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(248778), // Rule ID 5395 //
     /*  248720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  248734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  248737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248759 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248776 */     GIR_RootConstrainSelectedInstOperands,
     /*  248777 */     // GIR_Coverage, 5395,
     /*  248777 */     GIR_EraseRootFromParent_Done,
     /*  248778 */   // Label 4805: @248778
     /*  248778 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(248841), // Rule ID 5396 //
     /*  248783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  248797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  248800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248822 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  248822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248839 */     GIR_RootConstrainSelectedInstOperands,
     /*  248840 */     // GIR_Coverage, 5396,
     /*  248840 */     GIR_EraseRootFromParent_Done,
     /*  248841 */   // Label 4806: @248841
     /*  248841 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(248904), // Rule ID 5397 //
     /*  248846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  248860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  248863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248885 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  248885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248902 */     GIR_RootConstrainSelectedInstOperands,
     /*  248903 */     // GIR_Coverage, 5397,
     /*  248903 */     GIR_EraseRootFromParent_Done,
     /*  248904 */   // Label 4807: @248904
     /*  248904 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(248967), // Rule ID 5398 //
     /*  248909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  248912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  248923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  248926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248948 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  248948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  248951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248965 */     GIR_RootConstrainSelectedInstOperands,
     /*  248966 */     // GIR_Coverage, 5398,
     /*  248966 */     GIR_EraseRootFromParent_Done,
     /*  248967 */   // Label 4808: @248967
     /*  248967 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(249030), // Rule ID 5399 //
     /*  248972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  248975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  248986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  248989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249011 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  249014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249028 */     GIR_RootConstrainSelectedInstOperands,
     /*  249029 */     // GIR_Coverage, 5399,
     /*  249029 */     GIR_EraseRootFromParent_Done,
     /*  249030 */   // Label 4809: @249030
     /*  249030 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(249093), // Rule ID 5400 //
     /*  249035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  249046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  249049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  249052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249074 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249091 */     GIR_RootConstrainSelectedInstOperands,
     /*  249092 */     // GIR_Coverage, 5400,
     /*  249092 */     GIR_EraseRootFromParent_Done,
     /*  249093 */   // Label 4810: @249093
     /*  249093 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(249156), // Rule ID 5401 //
     /*  249098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  249109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  249112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  249115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249137 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249154 */     GIR_RootConstrainSelectedInstOperands,
     /*  249155 */     // GIR_Coverage, 5401,
     /*  249155 */     GIR_EraseRootFromParent_Done,
     /*  249156 */   // Label 4811: @249156
     /*  249156 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(249219), // Rule ID 5402 //
     /*  249161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  249172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  249175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  249178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249200 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249217 */     GIR_RootConstrainSelectedInstOperands,
     /*  249218 */     // GIR_Coverage, 5402,
     /*  249218 */     GIR_EraseRootFromParent_Done,
     /*  249219 */   // Label 4812: @249219
     /*  249219 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(249282), // Rule ID 5403 //
     /*  249224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  249235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  249238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  249241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249263 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249280 */     GIR_RootConstrainSelectedInstOperands,
     /*  249281 */     // GIR_Coverage, 5403,
     /*  249281 */     GIR_EraseRootFromParent_Done,
     /*  249282 */   // Label 4813: @249282
     /*  249282 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(249345), // Rule ID 5404 //
     /*  249287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  249298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  249301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  249304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249326 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249343 */     GIR_RootConstrainSelectedInstOperands,
     /*  249344 */     // GIR_Coverage, 5404,
     /*  249344 */     GIR_EraseRootFromParent_Done,
     /*  249345 */   // Label 4814: @249345
     /*  249345 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(249408), // Rule ID 5405 //
     /*  249350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  249361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  249364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  249367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249389 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249406 */     GIR_RootConstrainSelectedInstOperands,
     /*  249407 */     // GIR_Coverage, 5405,
     /*  249407 */     GIR_EraseRootFromParent_Done,
     /*  249408 */   // Label 4815: @249408
     /*  249408 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(249471), // Rule ID 5406 //
     /*  249413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  249427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  249430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  249452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249469 */     GIR_RootConstrainSelectedInstOperands,
     /*  249470 */     // GIR_Coverage, 5406,
     /*  249470 */     GIR_EraseRootFromParent_Done,
     /*  249471 */   // Label 4816: @249471
     /*  249471 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(249534), // Rule ID 5407 //
     /*  249476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  249490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  249493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249515 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  249515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249532 */     GIR_RootConstrainSelectedInstOperands,
     /*  249533 */     // GIR_Coverage, 5407,
     /*  249533 */     GIR_EraseRootFromParent_Done,
     /*  249534 */   // Label 4817: @249534
     /*  249534 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(249597), // Rule ID 5408 //
     /*  249539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  249550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  249553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  249556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249578 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  249578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249595 */     GIR_RootConstrainSelectedInstOperands,
     /*  249596 */     // GIR_Coverage, 5408,
     /*  249596 */     GIR_EraseRootFromParent_Done,
     /*  249597 */   // Label 4818: @249597
     /*  249597 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(249660), // Rule ID 5409 //
     /*  249602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  249613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  249616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  249619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249641 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  249641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249658 */     GIR_RootConstrainSelectedInstOperands,
     /*  249659 */     // GIR_Coverage, 5409,
     /*  249659 */     GIR_EraseRootFromParent_Done,
     /*  249660 */   // Label 4819: @249660
     /*  249660 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(249723), // Rule ID 5410 //
     /*  249665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  249676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  249679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  249682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249704 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  249704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249721 */     GIR_RootConstrainSelectedInstOperands,
     /*  249722 */     // GIR_Coverage, 5410,
     /*  249722 */     GIR_EraseRootFromParent_Done,
     /*  249723 */   // Label 4820: @249723
     /*  249723 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(249786), // Rule ID 5411 //
     /*  249728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  249739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  249742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  249745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249767 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  249767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249784 */     GIR_RootConstrainSelectedInstOperands,
     /*  249785 */     // GIR_Coverage, 5411,
     /*  249785 */     GIR_EraseRootFromParent_Done,
     /*  249786 */   // Label 4821: @249786
     /*  249786 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(249849), // Rule ID 5412 //
     /*  249791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  249808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249830 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  249830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249847 */     GIR_RootConstrainSelectedInstOperands,
     /*  249848 */     // GIR_Coverage, 5412,
     /*  249848 */     GIR_EraseRootFromParent_Done,
     /*  249849 */   // Label 4822: @249849
     /*  249849 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(249912), // Rule ID 5413 //
     /*  249854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  249871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249893 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  249893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249910 */     GIR_RootConstrainSelectedInstOperands,
     /*  249911 */     // GIR_Coverage, 5413,
     /*  249911 */     GIR_EraseRootFromParent_Done,
     /*  249912 */   // Label 4823: @249912
     /*  249912 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(249975), // Rule ID 5414 //
     /*  249917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  249934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249956 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  249956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249973 */     GIR_RootConstrainSelectedInstOperands,
     /*  249974 */     // GIR_Coverage, 5414,
     /*  249974 */     GIR_EraseRootFromParent_Done,
     /*  249975 */   // Label 4824: @249975
     /*  249975 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(250038), // Rule ID 5415 //
     /*  249980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  249997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250019 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  250022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250036 */     GIR_RootConstrainSelectedInstOperands,
     /*  250037 */     // GIR_Coverage, 5415,
     /*  250037 */     GIR_EraseRootFromParent_Done,
     /*  250038 */   // Label 4825: @250038
     /*  250038 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(250101), // Rule ID 5416 //
     /*  250043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  250057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  250060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250082 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  250082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  250085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250099 */     GIR_RootConstrainSelectedInstOperands,
     /*  250100 */     // GIR_Coverage, 5416,
     /*  250100 */     GIR_EraseRootFromParent_Done,
     /*  250101 */   // Label 4826: @250101
     /*  250101 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(250164), // Rule ID 5417 //
     /*  250106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  250120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  250123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250145 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  250148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250162 */     GIR_RootConstrainSelectedInstOperands,
     /*  250163 */     // GIR_Coverage, 5417,
     /*  250163 */     GIR_EraseRootFromParent_Done,
     /*  250164 */   // Label 4827: @250164
     /*  250164 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(250227), // Rule ID 5418 //
     /*  250169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  250172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  250183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  250186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250208 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  250208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  250211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250225 */     GIR_RootConstrainSelectedInstOperands,
     /*  250226 */     // GIR_Coverage, 5418,
     /*  250226 */     GIR_EraseRootFromParent_Done,
     /*  250227 */   // Label 4828: @250227
     /*  250227 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(250290), // Rule ID 5419 //
     /*  250232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  250235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  250246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  250249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250271 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  250271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  250274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250288 */     GIR_RootConstrainSelectedInstOperands,
     /*  250289 */     // GIR_Coverage, 5419,
     /*  250289 */     GIR_EraseRootFromParent_Done,
     /*  250290 */   // Label 4829: @250290
     /*  250290 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(250353), // Rule ID 5420 //
     /*  250295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  250298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  250312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250334 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  250334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  250337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250351 */     GIR_RootConstrainSelectedInstOperands,
     /*  250352 */     // GIR_Coverage, 5420,
     /*  250352 */     GIR_EraseRootFromParent_Done,
     /*  250353 */   // Label 4830: @250353
     /*  250353 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(250416), // Rule ID 5421 //
     /*  250358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  250361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  250375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250397 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  250397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  250400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250414 */     GIR_RootConstrainSelectedInstOperands,
     /*  250415 */     // GIR_Coverage, 5421,
     /*  250415 */     GIR_EraseRootFromParent_Done,
     /*  250416 */   // Label 4831: @250416
     /*  250416 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(250479), // Rule ID 5422 //
     /*  250421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  250424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  250435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  250438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250460 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  250460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  250463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250477 */     GIR_RootConstrainSelectedInstOperands,
     /*  250478 */     // GIR_Coverage, 5422,
     /*  250478 */     GIR_EraseRootFromParent_Done,
     /*  250479 */   // Label 4832: @250479
     /*  250479 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(250542), // Rule ID 5423 //
     /*  250484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  250487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  250498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  250501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250523 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  250523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  250526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250540 */     GIR_RootConstrainSelectedInstOperands,
     /*  250541 */     // GIR_Coverage, 5423,
     /*  250541 */     GIR_EraseRootFromParent_Done,
     /*  250542 */   // Label 4833: @250542
     /*  250542 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(250605), // Rule ID 5424 //
     /*  250547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  250561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250586 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  250589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250603 */     GIR_RootConstrainSelectedInstOperands,
     /*  250604 */     // GIR_Coverage, 5424,
     /*  250604 */     GIR_EraseRootFromParent_Done,
     /*  250605 */   // Label 4834: @250605
     /*  250605 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(250668), // Rule ID 5425 //
     /*  250610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  250624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250649 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  250652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250666 */     GIR_RootConstrainSelectedInstOperands,
     /*  250667 */     // GIR_Coverage, 5425,
     /*  250667 */     GIR_EraseRootFromParent_Done,
     /*  250668 */   // Label 4835: @250668
     /*  250668 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(250731), // Rule ID 5426 //
     /*  250673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  250687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250712 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  250715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250729 */     GIR_RootConstrainSelectedInstOperands,
     /*  250730 */     // GIR_Coverage, 5426,
     /*  250730 */     GIR_EraseRootFromParent_Done,
     /*  250731 */   // Label 4836: @250731
     /*  250731 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(250794), // Rule ID 5427 //
     /*  250736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  250750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250775 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  250778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250792 */     GIR_RootConstrainSelectedInstOperands,
     /*  250793 */     // GIR_Coverage, 5427,
     /*  250793 */     GIR_EraseRootFromParent_Done,
     /*  250794 */   // Label 4837: @250794
     /*  250794 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(250857), // Rule ID 5428 //
     /*  250799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  250813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250838 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250855 */     GIR_RootConstrainSelectedInstOperands,
     /*  250856 */     // GIR_Coverage, 5428,
     /*  250856 */     GIR_EraseRootFromParent_Done,
     /*  250857 */   // Label 4838: @250857
     /*  250857 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(250920), // Rule ID 5429 //
     /*  250862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  250876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250901 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250918 */     GIR_RootConstrainSelectedInstOperands,
     /*  250919 */     // GIR_Coverage, 5429,
     /*  250919 */     GIR_EraseRootFromParent_Done,
     /*  250920 */   // Label 4839: @250920
     /*  250920 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(250983), // Rule ID 5430 //
     /*  250925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  250939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250964 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  250967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250981 */     GIR_RootConstrainSelectedInstOperands,
     /*  250982 */     // GIR_Coverage, 5430,
     /*  250982 */     GIR_EraseRootFromParent_Done,
     /*  250983 */   // Label 4840: @250983
     /*  250983 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(251046), // Rule ID 5431 //
     /*  250988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  251002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251027 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  251030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251044 */     GIR_RootConstrainSelectedInstOperands,
     /*  251045 */     // GIR_Coverage, 5431,
     /*  251045 */     GIR_EraseRootFromParent_Done,
     /*  251046 */   // Label 4841: @251046
     /*  251046 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(251109), // Rule ID 5432 //
     /*  251051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  251065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251090 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  251093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251107 */     GIR_RootConstrainSelectedInstOperands,
     /*  251108 */     // GIR_Coverage, 5432,
     /*  251108 */     GIR_EraseRootFromParent_Done,
     /*  251109 */   // Label 4842: @251109
     /*  251109 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(251172), // Rule ID 5433 //
     /*  251114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  251128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251153 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  251156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251170 */     GIR_RootConstrainSelectedInstOperands,
     /*  251171 */     // GIR_Coverage, 5433,
     /*  251171 */     GIR_EraseRootFromParent_Done,
     /*  251172 */   // Label 4843: @251172
     /*  251172 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(251235), // Rule ID 5434 //
     /*  251177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  251191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251216 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  251219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251233 */     GIR_RootConstrainSelectedInstOperands,
     /*  251234 */     // GIR_Coverage, 5434,
     /*  251234 */     GIR_EraseRootFromParent_Done,
     /*  251235 */   // Label 4844: @251235
     /*  251235 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(251298), // Rule ID 5435 //
     /*  251240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  251254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251279 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  251282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251296 */     GIR_RootConstrainSelectedInstOperands,
     /*  251297 */     // GIR_Coverage, 5435,
     /*  251297 */     GIR_EraseRootFromParent_Done,
     /*  251298 */   // Label 4845: @251298
     /*  251298 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(251361), // Rule ID 5436 //
     /*  251303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  251317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251342 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  251345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251359 */     GIR_RootConstrainSelectedInstOperands,
     /*  251360 */     // GIR_Coverage, 5436,
     /*  251360 */     GIR_EraseRootFromParent_Done,
     /*  251361 */   // Label 4846: @251361
     /*  251361 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(251424), // Rule ID 5437 //
     /*  251366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  251380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251405 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  251408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251422 */     GIR_RootConstrainSelectedInstOperands,
     /*  251423 */     // GIR_Coverage, 5437,
     /*  251423 */     GIR_EraseRootFromParent_Done,
     /*  251424 */   // Label 4847: @251424
     /*  251424 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(251487), // Rule ID 5438 //
     /*  251429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  251443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251468 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  251471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251485 */     GIR_RootConstrainSelectedInstOperands,
     /*  251486 */     // GIR_Coverage, 5438,
     /*  251486 */     GIR_EraseRootFromParent_Done,
     /*  251487 */   // Label 4848: @251487
     /*  251487 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(251550), // Rule ID 5439 //
     /*  251492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  251506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251531 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  251534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251548 */     GIR_RootConstrainSelectedInstOperands,
     /*  251549 */     // GIR_Coverage, 5439,
     /*  251549 */     GIR_EraseRootFromParent_Done,
     /*  251550 */   // Label 4849: @251550
     /*  251550 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(251613), // Rule ID 5440 //
     /*  251555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  251569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251594 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  251597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251611 */     GIR_RootConstrainSelectedInstOperands,
     /*  251612 */     // GIR_Coverage, 5440,
     /*  251612 */     GIR_EraseRootFromParent_Done,
     /*  251613 */   // Label 4850: @251613
     /*  251613 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(251676), // Rule ID 5441 //
     /*  251618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  251632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251657 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  251660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251674 */     GIR_RootConstrainSelectedInstOperands,
     /*  251675 */     // GIR_Coverage, 5441,
     /*  251675 */     GIR_EraseRootFromParent_Done,
     /*  251676 */   // Label 4851: @251676
     /*  251676 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(251739), // Rule ID 5442 //
     /*  251681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  251684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251720 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  251720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  251723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251737 */     GIR_RootConstrainSelectedInstOperands,
     /*  251738 */     // GIR_Coverage, 5442,
     /*  251738 */     GIR_EraseRootFromParent_Done,
     /*  251739 */   // Label 4852: @251739
     /*  251739 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(251802), // Rule ID 5443 //
     /*  251744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  251747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251783 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  251783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  251786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251800 */     GIR_RootConstrainSelectedInstOperands,
     /*  251801 */     // GIR_Coverage, 5443,
     /*  251801 */     GIR_EraseRootFromParent_Done,
     /*  251802 */   // Label 4853: @251802
     /*  251802 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(251865), // Rule ID 5444 //
     /*  251807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  251821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251846 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251863 */     GIR_RootConstrainSelectedInstOperands,
     /*  251864 */     // GIR_Coverage, 5444,
     /*  251864 */     GIR_EraseRootFromParent_Done,
     /*  251865 */   // Label 4854: @251865
     /*  251865 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(251928), // Rule ID 5445 //
     /*  251870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  251884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251909 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251926 */     GIR_RootConstrainSelectedInstOperands,
     /*  251927 */     // GIR_Coverage, 5445,
     /*  251927 */     GIR_EraseRootFromParent_Done,
     /*  251928 */   // Label 4855: @251928
     /*  251928 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(251991), // Rule ID 5446 //
     /*  251933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  251947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251972 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251989 */     GIR_RootConstrainSelectedInstOperands,
     /*  251990 */     // GIR_Coverage, 5446,
     /*  251990 */     GIR_EraseRootFromParent_Done,
     /*  251991 */   // Label 4856: @251991
     /*  251991 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(252054), // Rule ID 5447 //
     /*  251996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  252007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  252010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252035 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252052 */     GIR_RootConstrainSelectedInstOperands,
     /*  252053 */     // GIR_Coverage, 5447,
     /*  252053 */     GIR_EraseRootFromParent_Done,
     /*  252054 */   // Label 4857: @252054
     /*  252054 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(252117), // Rule ID 5448 //
     /*  252059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  252070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  252073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252098 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252115 */     GIR_RootConstrainSelectedInstOperands,
     /*  252116 */     // GIR_Coverage, 5448,
     /*  252116 */     GIR_EraseRootFromParent_Done,
     /*  252117 */   // Label 4858: @252117
     /*  252117 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(252180), // Rule ID 5449 //
     /*  252122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  252133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  252136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252161 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252178 */     GIR_RootConstrainSelectedInstOperands,
     /*  252179 */     // GIR_Coverage, 5449,
     /*  252179 */     GIR_EraseRootFromParent_Done,
     /*  252180 */   // Label 4859: @252180
     /*  252180 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(252243), // Rule ID 5450 //
     /*  252185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  252199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  252227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252241 */     GIR_RootConstrainSelectedInstOperands,
     /*  252242 */     // GIR_Coverage, 5450,
     /*  252242 */     GIR_EraseRootFromParent_Done,
     /*  252243 */   // Label 4860: @252243
     /*  252243 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(252306), // Rule ID 5451 //
     /*  252248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  252262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252287 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  252290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252304 */     GIR_RootConstrainSelectedInstOperands,
     /*  252305 */     // GIR_Coverage, 5451,
     /*  252305 */     GIR_EraseRootFromParent_Done,
     /*  252306 */   // Label 4861: @252306
     /*  252306 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(252369), // Rule ID 5452 //
     /*  252311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  252325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252350 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252367 */     GIR_RootConstrainSelectedInstOperands,
     /*  252368 */     // GIR_Coverage, 5452,
     /*  252368 */     GIR_EraseRootFromParent_Done,
     /*  252369 */   // Label 4862: @252369
     /*  252369 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(252432), // Rule ID 5453 //
     /*  252374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  252388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252413 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252430 */     GIR_RootConstrainSelectedInstOperands,
     /*  252431 */     // GIR_Coverage, 5453,
     /*  252431 */     GIR_EraseRootFromParent_Done,
     /*  252432 */   // Label 4863: @252432
     /*  252432 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(252495), // Rule ID 5454 //
     /*  252437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  252448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  252451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252476 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252493 */     GIR_RootConstrainSelectedInstOperands,
     /*  252494 */     // GIR_Coverage, 5454,
     /*  252494 */     GIR_EraseRootFromParent_Done,
     /*  252495 */   // Label 4864: @252495
     /*  252495 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(252558), // Rule ID 5455 //
     /*  252500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  252511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  252514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252539 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252556 */     GIR_RootConstrainSelectedInstOperands,
     /*  252557 */     // GIR_Coverage, 5455,
     /*  252557 */     GIR_EraseRootFromParent_Done,
     /*  252558 */   // Label 4865: @252558
     /*  252558 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(252621), // Rule ID 5456 //
     /*  252563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  252577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252602 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  252605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252619 */     GIR_RootConstrainSelectedInstOperands,
     /*  252620 */     // GIR_Coverage, 5456,
     /*  252620 */     GIR_EraseRootFromParent_Done,
     /*  252621 */   // Label 4866: @252621
     /*  252621 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(252684), // Rule ID 5457 //
     /*  252626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  252640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252665 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  252668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252682 */     GIR_RootConstrainSelectedInstOperands,
     /*  252683 */     // GIR_Coverage, 5457,
     /*  252683 */     GIR_EraseRootFromParent_Done,
     /*  252684 */   // Label 4867: @252684
     /*  252684 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(252747), // Rule ID 5458 //
     /*  252689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  252703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252745 */     GIR_RootConstrainSelectedInstOperands,
     /*  252746 */     // GIR_Coverage, 5458,
     /*  252746 */     GIR_EraseRootFromParent_Done,
     /*  252747 */   // Label 4868: @252747
     /*  252747 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(252810), // Rule ID 5459 //
     /*  252752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  252766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252791 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252808 */     GIR_RootConstrainSelectedInstOperands,
     /*  252809 */     // GIR_Coverage, 5459,
     /*  252809 */     GIR_EraseRootFromParent_Done,
     /*  252810 */   // Label 4869: @252810
     /*  252810 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(252873), // Rule ID 5460 //
     /*  252815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  252829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252854 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252871 */     GIR_RootConstrainSelectedInstOperands,
     /*  252872 */     // GIR_Coverage, 5460,
     /*  252872 */     GIR_EraseRootFromParent_Done,
     /*  252873 */   // Label 4870: @252873
     /*  252873 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(252936), // Rule ID 5461 //
     /*  252878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  252892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252917 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252934 */     GIR_RootConstrainSelectedInstOperands,
     /*  252935 */     // GIR_Coverage, 5461,
     /*  252935 */     GIR_EraseRootFromParent_Done,
     /*  252936 */   // Label 4871: @252936
     /*  252936 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(252999), // Rule ID 5462 //
     /*  252941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  252955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252980 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  252983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252997 */     GIR_RootConstrainSelectedInstOperands,
     /*  252998 */     // GIR_Coverage, 5462,
     /*  252998 */     GIR_EraseRootFromParent_Done,
     /*  252999 */   // Label 4872: @252999
     /*  252999 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(253062), // Rule ID 5463 //
     /*  253004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  253018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  253021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  253036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253043 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  253046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253060 */     GIR_RootConstrainSelectedInstOperands,
     /*  253061 */     // GIR_Coverage, 5463,
     /*  253061 */     GIR_EraseRootFromParent_Done,
     /*  253062 */   // Label 4873: @253062
     /*  253062 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(253125), // Rule ID 5464 //
     /*  253067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  253081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  253084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  253099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253106 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  253109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253123 */     GIR_RootConstrainSelectedInstOperands,
     /*  253124 */     // GIR_Coverage, 5464,
     /*  253124 */     GIR_EraseRootFromParent_Done,
     /*  253125 */   // Label 4874: @253125
     /*  253125 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(253188), // Rule ID 5465 //
     /*  253130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  253144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  253147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  253162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253169 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  253172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253186 */     GIR_RootConstrainSelectedInstOperands,
     /*  253187 */     // GIR_Coverage, 5465,
     /*  253187 */     GIR_EraseRootFromParent_Done,
     /*  253188 */   // Label 4875: @253188
     /*  253188 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(253251), // Rule ID 5466 //
     /*  253193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  253207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  253210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  253225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  253235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253249 */     GIR_RootConstrainSelectedInstOperands,
     /*  253250 */     // GIR_Coverage, 5466,
     /*  253250 */     GIR_EraseRootFromParent_Done,
     /*  253251 */   // Label 4876: @253251
     /*  253251 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(253314), // Rule ID 5467 //
     /*  253256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  253270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  253273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  253288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253295 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  253298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253312 */     GIR_RootConstrainSelectedInstOperands,
     /*  253313 */     // GIR_Coverage, 5467,
     /*  253313 */     GIR_EraseRootFromParent_Done,
     /*  253314 */   // Label 4877: @253314
     /*  253314 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(253377), // Rule ID 5688 //
     /*  253319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  253333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  253336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253358 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  253361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253375 */     GIR_RootConstrainSelectedInstOperands,
     /*  253376 */     // GIR_Coverage, 5688,
     /*  253376 */     GIR_EraseRootFromParent_Done,
     /*  253377 */   // Label 4878: @253377
     /*  253377 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(253440), // Rule ID 5689 //
     /*  253382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  253396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  253399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253421 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  253424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253438 */     GIR_RootConstrainSelectedInstOperands,
     /*  253439 */     // GIR_Coverage, 5689,
     /*  253439 */     GIR_EraseRootFromParent_Done,
     /*  253440 */   // Label 4879: @253440
     /*  253440 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(253503), // Rule ID 5690 //
     /*  253445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  253459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  253462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253484 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  253487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253501 */     GIR_RootConstrainSelectedInstOperands,
     /*  253502 */     // GIR_Coverage, 5690,
     /*  253502 */     GIR_EraseRootFromParent_Done,
     /*  253503 */   // Label 4880: @253503
     /*  253503 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(253566), // Rule ID 5691 //
     /*  253508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  253522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  253525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253547 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  253550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253564 */     GIR_RootConstrainSelectedInstOperands,
     /*  253565 */     // GIR_Coverage, 5691,
     /*  253565 */     GIR_EraseRootFromParent_Done,
     /*  253566 */   // Label 4881: @253566
     /*  253566 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(253629), // Rule ID 5692 //
     /*  253571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  253585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  253588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253610 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253627 */     GIR_RootConstrainSelectedInstOperands,
     /*  253628 */     // GIR_Coverage, 5692,
     /*  253628 */     GIR_EraseRootFromParent_Done,
     /*  253629 */   // Label 4882: @253629
     /*  253629 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(253692), // Rule ID 5693 //
     /*  253634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  253648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  253651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253673 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253690 */     GIR_RootConstrainSelectedInstOperands,
     /*  253691 */     // GIR_Coverage, 5693,
     /*  253691 */     GIR_EraseRootFromParent_Done,
     /*  253692 */   // Label 4883: @253692
     /*  253692 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(253755), // Rule ID 5694 //
     /*  253697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  253711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  253714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253736 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  253739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253753 */     GIR_RootConstrainSelectedInstOperands,
     /*  253754 */     // GIR_Coverage, 5694,
     /*  253754 */     GIR_EraseRootFromParent_Done,
     /*  253755 */   // Label 4884: @253755
     /*  253755 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(253818), // Rule ID 5695 //
     /*  253760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  253774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  253777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253799 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  253802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253816 */     GIR_RootConstrainSelectedInstOperands,
     /*  253817 */     // GIR_Coverage, 5695,
     /*  253817 */     GIR_EraseRootFromParent_Done,
     /*  253818 */   // Label 4885: @253818
     /*  253818 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(253881), // Rule ID 5696 //
     /*  253823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  253837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  253840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253862 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253879 */     GIR_RootConstrainSelectedInstOperands,
     /*  253880 */     // GIR_Coverage, 5696,
     /*  253880 */     GIR_EraseRootFromParent_Done,
     /*  253881 */   // Label 4886: @253881
     /*  253881 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(253944), // Rule ID 5697 //
     /*  253886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  253900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  253903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253925 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253942 */     GIR_RootConstrainSelectedInstOperands,
     /*  253943 */     // GIR_Coverage, 5697,
     /*  253943 */     GIR_EraseRootFromParent_Done,
     /*  253944 */   // Label 4887: @253944
     /*  253944 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(254007), // Rule ID 5698 //
     /*  253949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  253963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  253966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253988 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  253991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254005 */     GIR_RootConstrainSelectedInstOperands,
     /*  254006 */     // GIR_Coverage, 5698,
     /*  254006 */     GIR_EraseRootFromParent_Done,
     /*  254007 */   // Label 4888: @254007
     /*  254007 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(254070), // Rule ID 5699 //
     /*  254012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  254026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  254029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254051 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  254054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254068 */     GIR_RootConstrainSelectedInstOperands,
     /*  254069 */     // GIR_Coverage, 5699,
     /*  254069 */     GIR_EraseRootFromParent_Done,
     /*  254070 */   // Label 4889: @254070
     /*  254070 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(254133), // Rule ID 5700 //
     /*  254075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  254089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  254092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254114 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  254117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254131 */     GIR_RootConstrainSelectedInstOperands,
     /*  254132 */     // GIR_Coverage, 5700,
     /*  254132 */     GIR_EraseRootFromParent_Done,
     /*  254133 */   // Label 4890: @254133
     /*  254133 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(254196), // Rule ID 5701 //
     /*  254138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  254152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  254155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254177 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  254180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254194 */     GIR_RootConstrainSelectedInstOperands,
     /*  254195 */     // GIR_Coverage, 5701,
     /*  254195 */     GIR_EraseRootFromParent_Done,
     /*  254196 */   // Label 4891: @254196
     /*  254196 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(254259), // Rule ID 5702 //
     /*  254201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  254215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  254218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254240 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  254243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254257 */     GIR_RootConstrainSelectedInstOperands,
     /*  254258 */     // GIR_Coverage, 5702,
     /*  254258 */     GIR_EraseRootFromParent_Done,
     /*  254259 */   // Label 4892: @254259
     /*  254259 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(254322), // Rule ID 5703 //
     /*  254264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  254278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  254281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254303 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  254306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254320 */     GIR_RootConstrainSelectedInstOperands,
     /*  254321 */     // GIR_Coverage, 5703,
     /*  254321 */     GIR_EraseRootFromParent_Done,
     /*  254322 */   // Label 4893: @254322
     /*  254322 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(254385), // Rule ID 5704 //
     /*  254327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  254341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  254344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254366 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  254369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254383 */     GIR_RootConstrainSelectedInstOperands,
     /*  254384 */     // GIR_Coverage, 5704,
     /*  254384 */     GIR_EraseRootFromParent_Done,
     /*  254385 */   // Label 4894: @254385
     /*  254385 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(254448), // Rule ID 5705 //
     /*  254390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  254404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  254407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254429 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  254432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254446 */     GIR_RootConstrainSelectedInstOperands,
     /*  254447 */     // GIR_Coverage, 5705,
     /*  254447 */     GIR_EraseRootFromParent_Done,
     /*  254448 */   // Label 4895: @254448
     /*  254448 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(254511), // Rule ID 5706 //
     /*  254453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  254467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  254470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  254495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254509 */     GIR_RootConstrainSelectedInstOperands,
     /*  254510 */     // GIR_Coverage, 5706,
     /*  254510 */     GIR_EraseRootFromParent_Done,
     /*  254511 */   // Label 4896: @254511
     /*  254511 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(254574), // Rule ID 5707 //
     /*  254516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  254530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  254533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254555 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  254558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254572 */     GIR_RootConstrainSelectedInstOperands,
     /*  254573 */     // GIR_Coverage, 5707,
     /*  254573 */     GIR_EraseRootFromParent_Done,
     /*  254574 */   // Label 4897: @254574
     /*  254574 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(254637), // Rule ID 5708 //
     /*  254579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  254593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  254596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254618 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254635 */     GIR_RootConstrainSelectedInstOperands,
     /*  254636 */     // GIR_Coverage, 5708,
     /*  254636 */     GIR_EraseRootFromParent_Done,
     /*  254637 */   // Label 4898: @254637
     /*  254637 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(254700), // Rule ID 5709 //
     /*  254642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  254656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  254659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254681 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254698 */     GIR_RootConstrainSelectedInstOperands,
     /*  254699 */     // GIR_Coverage, 5709,
     /*  254699 */     GIR_EraseRootFromParent_Done,
     /*  254700 */   // Label 4899: @254700
     /*  254700 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(254763), // Rule ID 5710 //
     /*  254705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  254719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  254722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254744 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254761 */     GIR_RootConstrainSelectedInstOperands,
     /*  254762 */     // GIR_Coverage, 5710,
     /*  254762 */     GIR_EraseRootFromParent_Done,
     /*  254763 */   // Label 4900: @254763
     /*  254763 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(254826), // Rule ID 5711 //
     /*  254768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  254782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  254785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254807 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254824 */     GIR_RootConstrainSelectedInstOperands,
     /*  254825 */     // GIR_Coverage, 5711,
     /*  254825 */     GIR_EraseRootFromParent_Done,
     /*  254826 */   // Label 4901: @254826
     /*  254826 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(254889), // Rule ID 5712 //
     /*  254831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  254842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  254845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  254848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254870 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254887 */     GIR_RootConstrainSelectedInstOperands,
     /*  254888 */     // GIR_Coverage, 5712,
     /*  254888 */     GIR_EraseRootFromParent_Done,
     /*  254889 */   // Label 4902: @254889
     /*  254889 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(254952), // Rule ID 5713 //
     /*  254894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  254905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  254908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  254911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254933 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254950 */     GIR_RootConstrainSelectedInstOperands,
     /*  254951 */     // GIR_Coverage, 5713,
     /*  254951 */     GIR_EraseRootFromParent_Done,
     /*  254952 */   // Label 4903: @254952
     /*  254952 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(255015), // Rule ID 5714 //
     /*  254957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  254971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  254974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254996 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255013 */     GIR_RootConstrainSelectedInstOperands,
     /*  255014 */     // GIR_Coverage, 5714,
     /*  255014 */     GIR_EraseRootFromParent_Done,
     /*  255015 */   // Label 4904: @255015
     /*  255015 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(255078), // Rule ID 5715 //
     /*  255020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  255034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  255037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255059 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  255062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255076 */     GIR_RootConstrainSelectedInstOperands,
     /*  255077 */     // GIR_Coverage, 5715,
     /*  255077 */     GIR_EraseRootFromParent_Done,
     /*  255078 */   // Label 4905: @255078
     /*  255078 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(255141), // Rule ID 5716 //
     /*  255083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  255097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  255100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255122 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  255125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255139 */     GIR_RootConstrainSelectedInstOperands,
     /*  255140 */     // GIR_Coverage, 5716,
     /*  255140 */     GIR_EraseRootFromParent_Done,
     /*  255141 */   // Label 4906: @255141
     /*  255141 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(255204), // Rule ID 5717 //
     /*  255146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  255160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  255163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255185 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  255188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255202 */     GIR_RootConstrainSelectedInstOperands,
     /*  255203 */     // GIR_Coverage, 5717,
     /*  255203 */     GIR_EraseRootFromParent_Done,
     /*  255204 */   // Label 4907: @255204
     /*  255204 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(255267), // Rule ID 5718 //
     /*  255209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  255220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  255223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  255226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255248 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  255251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255265 */     GIR_RootConstrainSelectedInstOperands,
     /*  255266 */     // GIR_Coverage, 5718,
     /*  255266 */     GIR_EraseRootFromParent_Done,
     /*  255267 */   // Label 4908: @255267
     /*  255267 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(255330), // Rule ID 5719 //
     /*  255272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  255283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  255286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  255289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255311 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  255314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255328 */     GIR_RootConstrainSelectedInstOperands,
     /*  255329 */     // GIR_Coverage, 5719,
     /*  255329 */     GIR_EraseRootFromParent_Done,
     /*  255330 */   // Label 4909: @255330
     /*  255330 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(255393), // Rule ID 5720 //
     /*  255335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  255349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  255352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255374 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  255374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  255377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255391 */     GIR_RootConstrainSelectedInstOperands,
     /*  255392 */     // GIR_Coverage, 5720,
     /*  255392 */     GIR_EraseRootFromParent_Done,
     /*  255393 */   // Label 4910: @255393
     /*  255393 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(255456), // Rule ID 5721 //
     /*  255398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  255412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  255415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255437 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  255440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255454 */     GIR_RootConstrainSelectedInstOperands,
     /*  255455 */     // GIR_Coverage, 5721,
     /*  255455 */     GIR_EraseRootFromParent_Done,
     /*  255456 */   // Label 4911: @255456
     /*  255456 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(255519), // Rule ID 5722 //
     /*  255461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  255475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  255478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255500 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  255500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  255503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255517 */     GIR_RootConstrainSelectedInstOperands,
     /*  255518 */     // GIR_Coverage, 5722,
     /*  255518 */     GIR_EraseRootFromParent_Done,
     /*  255519 */   // Label 4912: @255519
     /*  255519 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(255582), // Rule ID 5723 //
     /*  255524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  255538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  255541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255563 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  255566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255580 */     GIR_RootConstrainSelectedInstOperands,
     /*  255581 */     // GIR_Coverage, 5723,
     /*  255581 */     GIR_EraseRootFromParent_Done,
     /*  255582 */   // Label 4913: @255582
     /*  255582 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(255645), // Rule ID 5724 //
     /*  255587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  255601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  255604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255626 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  255626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  255629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255643 */     GIR_RootConstrainSelectedInstOperands,
     /*  255644 */     // GIR_Coverage, 5724,
     /*  255644 */     GIR_EraseRootFromParent_Done,
     /*  255645 */   // Label 4914: @255645
     /*  255645 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(255708), // Rule ID 5725 //
     /*  255650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  255664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  255667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255689 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  255692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255706 */     GIR_RootConstrainSelectedInstOperands,
     /*  255707 */     // GIR_Coverage, 5725,
     /*  255707 */     GIR_EraseRootFromParent_Done,
     /*  255708 */   // Label 4915: @255708
     /*  255708 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(255771), // Rule ID 5726 //
     /*  255713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  255716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  255727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  255730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255752 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  255752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  255755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255769 */     GIR_RootConstrainSelectedInstOperands,
     /*  255770 */     // GIR_Coverage, 5726,
     /*  255770 */     GIR_EraseRootFromParent_Done,
     /*  255771 */   // Label 4916: @255771
     /*  255771 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(255834), // Rule ID 5727 //
     /*  255776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  255779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  255790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  255793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255815 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  255818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255832 */     GIR_RootConstrainSelectedInstOperands,
     /*  255833 */     // GIR_Coverage, 5727,
     /*  255833 */     GIR_EraseRootFromParent_Done,
     /*  255834 */   // Label 4917: @255834
     /*  255834 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(255897), // Rule ID 5728 //
     /*  255839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  255842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  255853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  255856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255878 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  255878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  255881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255895 */     GIR_RootConstrainSelectedInstOperands,
     /*  255896 */     // GIR_Coverage, 5728,
     /*  255896 */     GIR_EraseRootFromParent_Done,
     /*  255897 */   // Label 4918: @255897
     /*  255897 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(255960), // Rule ID 5729 //
     /*  255902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  255905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  255916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  255919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255941 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  255944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255958 */     GIR_RootConstrainSelectedInstOperands,
     /*  255959 */     // GIR_Coverage, 5729,
     /*  255959 */     GIR_EraseRootFromParent_Done,
     /*  255960 */   // Label 4919: @255960
     /*  255960 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(256023), // Rule ID 5730 //
     /*  255965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  255968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  255979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  255982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256004 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  256007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256021 */     GIR_RootConstrainSelectedInstOperands,
     /*  256022 */     // GIR_Coverage, 5730,
     /*  256022 */     GIR_EraseRootFromParent_Done,
     /*  256023 */   // Label 4920: @256023
     /*  256023 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(256086), // Rule ID 5731 //
     /*  256028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  256042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  256045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256067 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  256070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256084 */     GIR_RootConstrainSelectedInstOperands,
     /*  256085 */     // GIR_Coverage, 5731,
     /*  256085 */     GIR_EraseRootFromParent_Done,
     /*  256086 */   // Label 4921: @256086
     /*  256086 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(256149), // Rule ID 5732 //
     /*  256091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  256105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256130 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  256133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256147 */     GIR_RootConstrainSelectedInstOperands,
     /*  256148 */     // GIR_Coverage, 5732,
     /*  256148 */     GIR_EraseRootFromParent_Done,
     /*  256149 */   // Label 4922: @256149
     /*  256149 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(256212), // Rule ID 5733 //
     /*  256154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  256168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256193 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  256196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256210 */     GIR_RootConstrainSelectedInstOperands,
     /*  256211 */     // GIR_Coverage, 5733,
     /*  256211 */     GIR_EraseRootFromParent_Done,
     /*  256212 */   // Label 4923: @256212
     /*  256212 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(256275), // Rule ID 5734 //
     /*  256217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  256231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256256 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  256259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256273 */     GIR_RootConstrainSelectedInstOperands,
     /*  256274 */     // GIR_Coverage, 5734,
     /*  256274 */     GIR_EraseRootFromParent_Done,
     /*  256275 */   // Label 4924: @256275
     /*  256275 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(256338), // Rule ID 5735 //
     /*  256280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  256294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256319 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  256322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256336 */     GIR_RootConstrainSelectedInstOperands,
     /*  256337 */     // GIR_Coverage, 5735,
     /*  256337 */     GIR_EraseRootFromParent_Done,
     /*  256338 */   // Label 4925: @256338
     /*  256338 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(256401), // Rule ID 5736 //
     /*  256343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  256357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256382 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  256385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256399 */     GIR_RootConstrainSelectedInstOperands,
     /*  256400 */     // GIR_Coverage, 5736,
     /*  256400 */     GIR_EraseRootFromParent_Done,
     /*  256401 */   // Label 4926: @256401
     /*  256401 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(256464), // Rule ID 5737 //
     /*  256406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  256420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256445 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  256448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256462 */     GIR_RootConstrainSelectedInstOperands,
     /*  256463 */     // GIR_Coverage, 5737,
     /*  256463 */     GIR_EraseRootFromParent_Done,
     /*  256464 */   // Label 4927: @256464
     /*  256464 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(256527), // Rule ID 5738 //
     /*  256469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  256483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  256511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256525 */     GIR_RootConstrainSelectedInstOperands,
     /*  256526 */     // GIR_Coverage, 5738,
     /*  256526 */     GIR_EraseRootFromParent_Done,
     /*  256527 */   // Label 4928: @256527
     /*  256527 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(256590), // Rule ID 5739 //
     /*  256532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  256546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256571 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  256574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256588 */     GIR_RootConstrainSelectedInstOperands,
     /*  256589 */     // GIR_Coverage, 5739,
     /*  256589 */     GIR_EraseRootFromParent_Done,
     /*  256590 */   // Label 4929: @256590
     /*  256590 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(256653), // Rule ID 5740 //
     /*  256595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  256609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256634 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  256637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256651 */     GIR_RootConstrainSelectedInstOperands,
     /*  256652 */     // GIR_Coverage, 5740,
     /*  256652 */     GIR_EraseRootFromParent_Done,
     /*  256653 */   // Label 4930: @256653
     /*  256653 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(256716), // Rule ID 5741 //
     /*  256658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  256672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256697 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  256700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256714 */     GIR_RootConstrainSelectedInstOperands,
     /*  256715 */     // GIR_Coverage, 5741,
     /*  256715 */     GIR_EraseRootFromParent_Done,
     /*  256716 */   // Label 4931: @256716
     /*  256716 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(256779), // Rule ID 5742 //
     /*  256721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  256735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256760 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  256763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256777 */     GIR_RootConstrainSelectedInstOperands,
     /*  256778 */     // GIR_Coverage, 5742,
     /*  256778 */     GIR_EraseRootFromParent_Done,
     /*  256779 */   // Label 4932: @256779
     /*  256779 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(256842), // Rule ID 5743 //
     /*  256784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  256798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256823 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  256826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256840 */     GIR_RootConstrainSelectedInstOperands,
     /*  256841 */     // GIR_Coverage, 5743,
     /*  256841 */     GIR_EraseRootFromParent_Done,
     /*  256842 */   // Label 4933: @256842
     /*  256842 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(256905), // Rule ID 5744 //
     /*  256847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  256861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256886 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256903 */     GIR_RootConstrainSelectedInstOperands,
     /*  256904 */     // GIR_Coverage, 5744,
     /*  256904 */     GIR_EraseRootFromParent_Done,
     /*  256905 */   // Label 4934: @256905
     /*  256905 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(256968), // Rule ID 5745 //
     /*  256910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  256924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256949 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256966 */     GIR_RootConstrainSelectedInstOperands,
     /*  256967 */     // GIR_Coverage, 5745,
     /*  256967 */     GIR_EraseRootFromParent_Done,
     /*  256968 */   // Label 4935: @256968
     /*  256968 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(257031), // Rule ID 5746 //
     /*  256973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  256987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257012 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  257015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257029 */     GIR_RootConstrainSelectedInstOperands,
     /*  257030 */     // GIR_Coverage, 5746,
     /*  257030 */     GIR_EraseRootFromParent_Done,
     /*  257031 */   // Label 4936: @257031
     /*  257031 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(257094), // Rule ID 5747 //
     /*  257036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  257050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257075 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  257078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257092 */     GIR_RootConstrainSelectedInstOperands,
     /*  257093 */     // GIR_Coverage, 5747,
     /*  257093 */     GIR_EraseRootFromParent_Done,
     /*  257094 */   // Label 4937: @257094
     /*  257094 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(257157), // Rule ID 5748 //
     /*  257099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  257113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257138 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  257141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257155 */     GIR_RootConstrainSelectedInstOperands,
     /*  257156 */     // GIR_Coverage, 5748,
     /*  257156 */     GIR_EraseRootFromParent_Done,
     /*  257157 */   // Label 4938: @257157
     /*  257157 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(257220), // Rule ID 5749 //
     /*  257162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  257176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257201 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  257204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257218 */     GIR_RootConstrainSelectedInstOperands,
     /*  257219 */     // GIR_Coverage, 5749,
     /*  257219 */     GIR_EraseRootFromParent_Done,
     /*  257220 */   // Label 4939: @257220
     /*  257220 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(257283), // Rule ID 5750 //
     /*  257225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  257239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  257267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257281 */     GIR_RootConstrainSelectedInstOperands,
     /*  257282 */     // GIR_Coverage, 5750,
     /*  257282 */     GIR_EraseRootFromParent_Done,
     /*  257283 */   // Label 4940: @257283
     /*  257283 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(257346), // Rule ID 5751 //
     /*  257288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  257302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257327 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  257330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257344 */     GIR_RootConstrainSelectedInstOperands,
     /*  257345 */     // GIR_Coverage, 5751,
     /*  257345 */     GIR_EraseRootFromParent_Done,
     /*  257346 */   // Label 4941: @257346
     /*  257346 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(257409), // Rule ID 5752 //
     /*  257351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  257365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257390 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257407 */     GIR_RootConstrainSelectedInstOperands,
     /*  257408 */     // GIR_Coverage, 5752,
     /*  257408 */     GIR_EraseRootFromParent_Done,
     /*  257409 */   // Label 4942: @257409
     /*  257409 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(257472), // Rule ID 5753 //
     /*  257414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  257428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257453 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257470 */     GIR_RootConstrainSelectedInstOperands,
     /*  257471 */     // GIR_Coverage, 5753,
     /*  257471 */     GIR_EraseRootFromParent_Done,
     /*  257472 */   // Label 4943: @257472
     /*  257472 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(257535), // Rule ID 5754 //
     /*  257477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  257488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  257491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257516 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257533 */     GIR_RootConstrainSelectedInstOperands,
     /*  257534 */     // GIR_Coverage, 5754,
     /*  257534 */     GIR_EraseRootFromParent_Done,
     /*  257535 */   // Label 4944: @257535
     /*  257535 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(257598), // Rule ID 5755 //
     /*  257540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  257551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  257554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257579 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257596 */     GIR_RootConstrainSelectedInstOperands,
     /*  257597 */     // GIR_Coverage, 5755,
     /*  257597 */     GIR_EraseRootFromParent_Done,
     /*  257598 */   // Label 4945: @257598
     /*  257598 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(257661), // Rule ID 5756 //
     /*  257603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  257614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  257617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257642 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257659 */     GIR_RootConstrainSelectedInstOperands,
     /*  257660 */     // GIR_Coverage, 5756,
     /*  257660 */     GIR_EraseRootFromParent_Done,
     /*  257661 */   // Label 4946: @257661
     /*  257661 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(257724), // Rule ID 5757 //
     /*  257666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  257677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  257680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257705 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257722 */     GIR_RootConstrainSelectedInstOperands,
     /*  257723 */     // GIR_Coverage, 5757,
     /*  257723 */     GIR_EraseRootFromParent_Done,
     /*  257724 */   // Label 4947: @257724
     /*  257724 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(257787), // Rule ID 5758 //
     /*  257729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  257743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257768 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257785 */     GIR_RootConstrainSelectedInstOperands,
     /*  257786 */     // GIR_Coverage, 5758,
     /*  257786 */     GIR_EraseRootFromParent_Done,
     /*  257787 */   // Label 4948: @257787
     /*  257787 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(257850), // Rule ID 5759 //
     /*  257792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  257806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257831 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257848 */     GIR_RootConstrainSelectedInstOperands,
     /*  257849 */     // GIR_Coverage, 5759,
     /*  257849 */     GIR_EraseRootFromParent_Done,
     /*  257850 */   // Label 4949: @257850
     /*  257850 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(257913), // Rule ID 5760 //
     /*  257855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  257869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257894 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257911 */     GIR_RootConstrainSelectedInstOperands,
     /*  257912 */     // GIR_Coverage, 5760,
     /*  257912 */     GIR_EraseRootFromParent_Done,
     /*  257913 */   // Label 4950: @257913
     /*  257913 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(257976), // Rule ID 5761 //
     /*  257918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  257932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257957 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257974 */     GIR_RootConstrainSelectedInstOperands,
     /*  257975 */     // GIR_Coverage, 5761,
     /*  257975 */     GIR_EraseRootFromParent_Done,
     /*  257976 */   // Label 4951: @257976
     /*  257976 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(258039), // Rule ID 5762 //
     /*  257981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  257992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  257995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258020 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  258023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258037 */     GIR_RootConstrainSelectedInstOperands,
     /*  258038 */     // GIR_Coverage, 5762,
     /*  258038 */     GIR_EraseRootFromParent_Done,
     /*  258039 */   // Label 4952: @258039
     /*  258039 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(258102), // Rule ID 5763 //
     /*  258044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  258058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  258061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258083 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  258086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258100 */     GIR_RootConstrainSelectedInstOperands,
     /*  258101 */     // GIR_Coverage, 5763,
     /*  258101 */     GIR_EraseRootFromParent_Done,
     /*  258102 */   // Label 4953: @258102
     /*  258102 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(258165), // Rule ID 5764 //
     /*  258107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  258121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  258124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258146 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  258149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258163 */     GIR_RootConstrainSelectedInstOperands,
     /*  258164 */     // GIR_Coverage, 5764,
     /*  258164 */     GIR_EraseRootFromParent_Done,
     /*  258165 */   // Label 4954: @258165
     /*  258165 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(258228), // Rule ID 5765 //
     /*  258170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  258184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  258187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258209 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  258212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258226 */     GIR_RootConstrainSelectedInstOperands,
     /*  258227 */     // GIR_Coverage, 5765,
     /*  258227 */     GIR_EraseRootFromParent_Done,
     /*  258228 */   // Label 4955: @258228
     /*  258228 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(258291), // Rule ID 5766 //
     /*  258233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  258247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  258250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258272 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  258275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258289 */     GIR_RootConstrainSelectedInstOperands,
     /*  258290 */     // GIR_Coverage, 5766,
     /*  258290 */     GIR_EraseRootFromParent_Done,
     /*  258291 */   // Label 4956: @258291
     /*  258291 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(258354), // Rule ID 5767 //
     /*  258296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  258310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  258313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258335 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  258338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258352 */     GIR_RootConstrainSelectedInstOperands,
     /*  258353 */     // GIR_Coverage, 5767,
     /*  258353 */     GIR_EraseRootFromParent_Done,
     /*  258354 */   // Label 4957: @258354
     /*  258354 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(258417), // Rule ID 5768 //
     /*  258359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  258373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  258376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258398 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  258401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258415 */     GIR_RootConstrainSelectedInstOperands,
     /*  258416 */     // GIR_Coverage, 5768,
     /*  258416 */     GIR_EraseRootFromParent_Done,
     /*  258417 */   // Label 4958: @258417
     /*  258417 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(258480), // Rule ID 5769 //
     /*  258422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  258436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  258439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258461 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  258464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258478 */     GIR_RootConstrainSelectedInstOperands,
     /*  258479 */     // GIR_Coverage, 5769,
     /*  258479 */     GIR_EraseRootFromParent_Done,
     /*  258480 */   // Label 4959: @258480
     /*  258480 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(258543), // Rule ID 5770 //
     /*  258485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  258488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  258499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  258502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258524 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  258524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  258527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258541 */     GIR_RootConstrainSelectedInstOperands,
     /*  258542 */     // GIR_Coverage, 5770,
     /*  258542 */     GIR_EraseRootFromParent_Done,
     /*  258543 */   // Label 4960: @258543
     /*  258543 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(258606), // Rule ID 5771 //
     /*  258548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  258562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  258565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258587 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  258590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258604 */     GIR_RootConstrainSelectedInstOperands,
     /*  258605 */     // GIR_Coverage, 5771,
     /*  258605 */     GIR_EraseRootFromParent_Done,
     /*  258606 */   // Label 4961: @258606
     /*  258606 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(258669), // Rule ID 5772 //
     /*  258611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  258614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  258625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  258628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258650 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  258650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  258653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258667 */     GIR_RootConstrainSelectedInstOperands,
     /*  258668 */     // GIR_Coverage, 5772,
     /*  258668 */     GIR_EraseRootFromParent_Done,
     /*  258669 */   // Label 4962: @258669
     /*  258669 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(258732), // Rule ID 5773 //
     /*  258674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  258688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  258691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258713 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  258716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258730 */     GIR_RootConstrainSelectedInstOperands,
     /*  258731 */     // GIR_Coverage, 5773,
     /*  258731 */     GIR_EraseRootFromParent_Done,
     /*  258732 */   // Label 4963: @258732
     /*  258732 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(258795), // Rule ID 5774 //
     /*  258737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  258740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  258751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  258754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258776 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  258776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  258779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258793 */     GIR_RootConstrainSelectedInstOperands,
     /*  258794 */     // GIR_Coverage, 5774,
     /*  258794 */     GIR_EraseRootFromParent_Done,
     /*  258795 */   // Label 4964: @258795
     /*  258795 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(258858), // Rule ID 5775 //
     /*  258800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  258814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  258817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  258832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258839 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  258842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258856 */     GIR_RootConstrainSelectedInstOperands,
     /*  258857 */     // GIR_Coverage, 5775,
     /*  258857 */     GIR_EraseRootFromParent_Done,
     /*  258858 */   // Label 4965: @258858
     /*  258858 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(258921), // Rule ID 7808 //
     /*  258863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  258877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  258880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258902 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258919 */     GIR_RootConstrainSelectedInstOperands,
     /*  258920 */     // GIR_Coverage, 7808,
     /*  258920 */     GIR_EraseRootFromParent_Done,
     /*  258921 */   // Label 4966: @258921
     /*  258921 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(258984), // Rule ID 7809 //
     /*  258926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  258940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  258943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258965 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258982 */     GIR_RootConstrainSelectedInstOperands,
     /*  258983 */     // GIR_Coverage, 7809,
     /*  258983 */     GIR_EraseRootFromParent_Done,
     /*  258984 */   // Label 4967: @258984
     /*  258984 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(259047), // Rule ID 7812 //
     /*  258989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  259003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  259006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  259031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259045 */     GIR_RootConstrainSelectedInstOperands,
     /*  259046 */     // GIR_Coverage, 7812,
     /*  259046 */     GIR_EraseRootFromParent_Done,
     /*  259047 */   // Label 4968: @259047
     /*  259047 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(259110), // Rule ID 7813 //
     /*  259052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  259066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  259069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259091 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  259094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259108 */     GIR_RootConstrainSelectedInstOperands,
     /*  259109 */     // GIR_Coverage, 7813,
     /*  259109 */     GIR_EraseRootFromParent_Done,
     /*  259110 */   // Label 4969: @259110
     /*  259110 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(259173), // Rule ID 7816 //
     /*  259115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  259129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  259132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259154 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  259157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259171 */     GIR_RootConstrainSelectedInstOperands,
     /*  259172 */     // GIR_Coverage, 7816,
     /*  259172 */     GIR_EraseRootFromParent_Done,
     /*  259173 */   // Label 4970: @259173
     /*  259173 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(259236), // Rule ID 7817 //
     /*  259178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  259192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  259195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259217 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  259220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259234 */     GIR_RootConstrainSelectedInstOperands,
     /*  259235 */     // GIR_Coverage, 7817,
     /*  259235 */     GIR_EraseRootFromParent_Done,
     /*  259236 */   // Label 4971: @259236
     /*  259236 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(259299), // Rule ID 7820 //
     /*  259241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  259255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  259258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259280 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  259283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259297 */     GIR_RootConstrainSelectedInstOperands,
     /*  259298 */     // GIR_Coverage, 7820,
     /*  259298 */     GIR_EraseRootFromParent_Done,
     /*  259299 */   // Label 4972: @259299
     /*  259299 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(259362), // Rule ID 7821 //
     /*  259304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  259318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  259321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259343 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  259346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259360 */     GIR_RootConstrainSelectedInstOperands,
     /*  259361 */     // GIR_Coverage, 7821,
     /*  259361 */     GIR_EraseRootFromParent_Done,
     /*  259362 */   // Label 4973: @259362
     /*  259362 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(259425), // Rule ID 7824 //
     /*  259367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  259381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  259384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259406 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  259409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259423 */     GIR_RootConstrainSelectedInstOperands,
     /*  259424 */     // GIR_Coverage, 7824,
     /*  259424 */     GIR_EraseRootFromParent_Done,
     /*  259425 */   // Label 4974: @259425
     /*  259425 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(259488), // Rule ID 7825 //
     /*  259430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  259444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  259447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259469 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  259472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259486 */     GIR_RootConstrainSelectedInstOperands,
     /*  259487 */     // GIR_Coverage, 7825,
     /*  259487 */     GIR_EraseRootFromParent_Done,
     /*  259488 */   // Label 4975: @259488
     /*  259488 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(259551), // Rule ID 7828 //
     /*  259493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  259507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  259510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259532 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259549 */     GIR_RootConstrainSelectedInstOperands,
     /*  259550 */     // GIR_Coverage, 7828,
     /*  259550 */     GIR_EraseRootFromParent_Done,
     /*  259551 */   // Label 4976: @259551
     /*  259551 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(259614), // Rule ID 7829 //
     /*  259556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  259570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  259573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259595 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259612 */     GIR_RootConstrainSelectedInstOperands,
     /*  259613 */     // GIR_Coverage, 7829,
     /*  259613 */     GIR_EraseRootFromParent_Done,
     /*  259614 */   // Label 4977: @259614
     /*  259614 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(259677), // Rule ID 7832 //
     /*  259619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  259633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  259636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259658 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259675 */     GIR_RootConstrainSelectedInstOperands,
     /*  259676 */     // GIR_Coverage, 7832,
     /*  259676 */     GIR_EraseRootFromParent_Done,
     /*  259677 */   // Label 4978: @259677
     /*  259677 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(259740), // Rule ID 7833 //
     /*  259682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  259696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  259699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259721 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259738 */     GIR_RootConstrainSelectedInstOperands,
     /*  259739 */     // GIR_Coverage, 7833,
     /*  259739 */     GIR_EraseRootFromParent_Done,
     /*  259740 */   // Label 4979: @259740
     /*  259740 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(259803), // Rule ID 7836 //
     /*  259745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  259759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  259762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259801 */     GIR_RootConstrainSelectedInstOperands,
     /*  259802 */     // GIR_Coverage, 7836,
     /*  259802 */     GIR_EraseRootFromParent_Done,
     /*  259803 */   // Label 4980: @259803
     /*  259803 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(259866), // Rule ID 7837 //
     /*  259808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  259822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  259825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259847 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259864 */     GIR_RootConstrainSelectedInstOperands,
     /*  259865 */     // GIR_Coverage, 7837,
     /*  259865 */     GIR_EraseRootFromParent_Done,
     /*  259866 */   // Label 4981: @259866
     /*  259866 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(259929), // Rule ID 7840 //
     /*  259871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  259885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  259888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259910 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259927 */     GIR_RootConstrainSelectedInstOperands,
     /*  259928 */     // GIR_Coverage, 7840,
     /*  259928 */     GIR_EraseRootFromParent_Done,
     /*  259929 */   // Label 4982: @259929
     /*  259929 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(259992), // Rule ID 7841 //
     /*  259934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  259948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  259951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259973 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  259976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259990 */     GIR_RootConstrainSelectedInstOperands,
     /*  259991 */     // GIR_Coverage, 7841,
     /*  259991 */     GIR_EraseRootFromParent_Done,
     /*  259992 */   // Label 4983: @259992
     /*  259992 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(260055), // Rule ID 7844 //
     /*  259997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  260011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  260014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260053 */     GIR_RootConstrainSelectedInstOperands,
     /*  260054 */     // GIR_Coverage, 7844,
     /*  260054 */     GIR_EraseRootFromParent_Done,
     /*  260055 */   // Label 4984: @260055
     /*  260055 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(260118), // Rule ID 7845 //
     /*  260060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  260074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  260077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260099 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260116 */     GIR_RootConstrainSelectedInstOperands,
     /*  260117 */     // GIR_Coverage, 7845,
     /*  260117 */     GIR_EraseRootFromParent_Done,
     /*  260118 */   // Label 4985: @260118
     /*  260118 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(260181), // Rule ID 7848 //
     /*  260123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  260134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  260137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  260140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260162 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260179 */     GIR_RootConstrainSelectedInstOperands,
     /*  260180 */     // GIR_Coverage, 7848,
     /*  260180 */     GIR_EraseRootFromParent_Done,
     /*  260181 */   // Label 4986: @260181
     /*  260181 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(260244), // Rule ID 7849 //
     /*  260186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  260197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  260200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  260203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260225 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260242 */     GIR_RootConstrainSelectedInstOperands,
     /*  260243 */     // GIR_Coverage, 7849,
     /*  260243 */     GIR_EraseRootFromParent_Done,
     /*  260244 */   // Label 4987: @260244
     /*  260244 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(260307), // Rule ID 7852 //
     /*  260249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  260260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  260263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  260266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260288 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260305 */     GIR_RootConstrainSelectedInstOperands,
     /*  260306 */     // GIR_Coverage, 7852,
     /*  260306 */     GIR_EraseRootFromParent_Done,
     /*  260307 */   // Label 4988: @260307
     /*  260307 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(260370), // Rule ID 7853 //
     /*  260312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  260323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  260326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  260329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260351 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260368 */     GIR_RootConstrainSelectedInstOperands,
     /*  260369 */     // GIR_Coverage, 7853,
     /*  260369 */     GIR_EraseRootFromParent_Done,
     /*  260370 */   // Label 4989: @260370
     /*  260370 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(260433), // Rule ID 7856 //
     /*  260375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  260389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  260392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260414 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260431 */     GIR_RootConstrainSelectedInstOperands,
     /*  260432 */     // GIR_Coverage, 7856,
     /*  260432 */     GIR_EraseRootFromParent_Done,
     /*  260433 */   // Label 4990: @260433
     /*  260433 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(260496), // Rule ID 7857 //
     /*  260438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  260452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  260455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260477 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260494 */     GIR_RootConstrainSelectedInstOperands,
     /*  260495 */     // GIR_Coverage, 7857,
     /*  260495 */     GIR_EraseRootFromParent_Done,
     /*  260496 */   // Label 4991: @260496
     /*  260496 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(260559), // Rule ID 7860 //
     /*  260501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  260515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  260518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260557 */     GIR_RootConstrainSelectedInstOperands,
     /*  260558 */     // GIR_Coverage, 7860,
     /*  260558 */     GIR_EraseRootFromParent_Done,
     /*  260559 */   // Label 4992: @260559
     /*  260559 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(260622), // Rule ID 7861 //
     /*  260564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  260578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  260581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260603 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260620 */     GIR_RootConstrainSelectedInstOperands,
     /*  260621 */     // GIR_Coverage, 7861,
     /*  260621 */     GIR_EraseRootFromParent_Done,
     /*  260622 */   // Label 4993: @260622
     /*  260622 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(260685), // Rule ID 7864 //
     /*  260627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  260638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  260641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  260644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260666 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260683 */     GIR_RootConstrainSelectedInstOperands,
     /*  260684 */     // GIR_Coverage, 7864,
     /*  260684 */     GIR_EraseRootFromParent_Done,
     /*  260685 */   // Label 4994: @260685
     /*  260685 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(260748), // Rule ID 7865 //
     /*  260690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  260701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  260704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  260707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260729 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260746 */     GIR_RootConstrainSelectedInstOperands,
     /*  260747 */     // GIR_Coverage, 7865,
     /*  260747 */     GIR_EraseRootFromParent_Done,
     /*  260748 */   // Label 4995: @260748
     /*  260748 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(260811), // Rule ID 7868 //
     /*  260753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  260767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  260770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260792 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260809 */     GIR_RootConstrainSelectedInstOperands,
     /*  260810 */     // GIR_Coverage, 7868,
     /*  260810 */     GIR_EraseRootFromParent_Done,
     /*  260811 */   // Label 4996: @260811
     /*  260811 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(260874), // Rule ID 7869 //
     /*  260816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  260830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  260833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260855 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260872 */     GIR_RootConstrainSelectedInstOperands,
     /*  260873 */     // GIR_Coverage, 7869,
     /*  260873 */     GIR_EraseRootFromParent_Done,
     /*  260874 */   // Label 4997: @260874
     /*  260874 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(260937), // Rule ID 7872 //
     /*  260879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  260893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  260896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260918 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260935 */     GIR_RootConstrainSelectedInstOperands,
     /*  260936 */     // GIR_Coverage, 7872,
     /*  260936 */     GIR_EraseRootFromParent_Done,
     /*  260937 */   // Label 4998: @260937
     /*  260937 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(261000), // Rule ID 7873 //
     /*  260942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  260956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  260959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260981 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260998 */     GIR_RootConstrainSelectedInstOperands,
     /*  260999 */     // GIR_Coverage, 7873,
     /*  260999 */     GIR_EraseRootFromParent_Done,
     /*  261000 */   // Label 4999: @261000
     /*  261000 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(261063), // Rule ID 7876 //
     /*  261005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  261019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  261022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261044 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  261047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261061 */     GIR_RootConstrainSelectedInstOperands,
     /*  261062 */     // GIR_Coverage, 7876,
     /*  261062 */     GIR_EraseRootFromParent_Done,
     /*  261063 */   // Label 5000: @261063
     /*  261063 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(261126), // Rule ID 7877 //
     /*  261068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  261082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  261085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261107 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  261110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261124 */     GIR_RootConstrainSelectedInstOperands,
     /*  261125 */     // GIR_Coverage, 7877,
     /*  261125 */     GIR_EraseRootFromParent_Done,
     /*  261126 */   // Label 5001: @261126
     /*  261126 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(261189), // Rule ID 7880 //
     /*  261131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  261134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  261145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  261148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261170 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  261170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  261173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261187 */     GIR_RootConstrainSelectedInstOperands,
     /*  261188 */     // GIR_Coverage, 7880,
     /*  261188 */     GIR_EraseRootFromParent_Done,
     /*  261189 */   // Label 5002: @261189
     /*  261189 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(261252), // Rule ID 7881 //
     /*  261194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  261197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  261208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  261211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261233 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  261233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  261236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261250 */     GIR_RootConstrainSelectedInstOperands,
     /*  261251 */     // GIR_Coverage, 7881,
     /*  261251 */     GIR_EraseRootFromParent_Done,
     /*  261252 */   // Label 5003: @261252
     /*  261252 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(261315), // Rule ID 7884 //
     /*  261257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  261260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  261271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  261274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  261296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  261299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261313 */     GIR_RootConstrainSelectedInstOperands,
     /*  261314 */     // GIR_Coverage, 7884,
     /*  261314 */     GIR_EraseRootFromParent_Done,
     /*  261315 */   // Label 5004: @261315
     /*  261315 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(261378), // Rule ID 7885 //
     /*  261320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  261323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  261334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  261337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261359 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  261359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  261362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261376 */     GIR_RootConstrainSelectedInstOperands,
     /*  261377 */     // GIR_Coverage, 7885,
     /*  261377 */     GIR_EraseRootFromParent_Done,
     /*  261378 */   // Label 5005: @261378
     /*  261378 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(261441), // Rule ID 7888 //
     /*  261383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  261386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  261397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  261400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261422 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  261422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  261425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261439 */     GIR_RootConstrainSelectedInstOperands,
     /*  261440 */     // GIR_Coverage, 7888,
     /*  261440 */     GIR_EraseRootFromParent_Done,
     /*  261441 */   // Label 5006: @261441
     /*  261441 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(261504), // Rule ID 7889 //
     /*  261446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  261449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  261460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  261463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261485 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  261485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  261488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261502 */     GIR_RootConstrainSelectedInstOperands,
     /*  261503 */     // GIR_Coverage, 7889,
     /*  261503 */     GIR_EraseRootFromParent_Done,
     /*  261504 */   // Label 5007: @261504
     /*  261504 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(261567), // Rule ID 7892 //
     /*  261509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  261523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261548 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  261551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261565 */     GIR_RootConstrainSelectedInstOperands,
     /*  261566 */     // GIR_Coverage, 7892,
     /*  261566 */     GIR_EraseRootFromParent_Done,
     /*  261567 */   // Label 5008: @261567
     /*  261567 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(261630), // Rule ID 7893 //
     /*  261572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  261586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261611 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  261614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261628 */     GIR_RootConstrainSelectedInstOperands,
     /*  261629 */     // GIR_Coverage, 7893,
     /*  261629 */     GIR_EraseRootFromParent_Done,
     /*  261630 */   // Label 5009: @261630
     /*  261630 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(261693), // Rule ID 7896 //
     /*  261635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  261649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261674 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  261677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261691 */     GIR_RootConstrainSelectedInstOperands,
     /*  261692 */     // GIR_Coverage, 7896,
     /*  261692 */     GIR_EraseRootFromParent_Done,
     /*  261693 */   // Label 5010: @261693
     /*  261693 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(261756), // Rule ID 7897 //
     /*  261698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  261712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261737 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  261740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261754 */     GIR_RootConstrainSelectedInstOperands,
     /*  261755 */     // GIR_Coverage, 7897,
     /*  261755 */     GIR_EraseRootFromParent_Done,
     /*  261756 */   // Label 5011: @261756
     /*  261756 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(261819), // Rule ID 7900 //
     /*  261761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  261775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261817 */     GIR_RootConstrainSelectedInstOperands,
     /*  261818 */     // GIR_Coverage, 7900,
     /*  261818 */     GIR_EraseRootFromParent_Done,
     /*  261819 */   // Label 5012: @261819
     /*  261819 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(261882), // Rule ID 7901 //
     /*  261824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  261838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261880 */     GIR_RootConstrainSelectedInstOperands,
     /*  261881 */     // GIR_Coverage, 7901,
     /*  261881 */     GIR_EraseRootFromParent_Done,
     /*  261882 */   // Label 5013: @261882
     /*  261882 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(261945), // Rule ID 7904 //
     /*  261887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  261901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261926 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  261929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261943 */     GIR_RootConstrainSelectedInstOperands,
     /*  261944 */     // GIR_Coverage, 7904,
     /*  261944 */     GIR_EraseRootFromParent_Done,
     /*  261945 */   // Label 5014: @261945
     /*  261945 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(262008), // Rule ID 7905 //
     /*  261950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  261964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261989 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  261992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262006 */     GIR_RootConstrainSelectedInstOperands,
     /*  262007 */     // GIR_Coverage, 7905,
     /*  262007 */     GIR_EraseRootFromParent_Done,
     /*  262008 */   // Label 5015: @262008
     /*  262008 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(262071), // Rule ID 7908 //
     /*  262013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  262027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  262055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262069 */     GIR_RootConstrainSelectedInstOperands,
     /*  262070 */     // GIR_Coverage, 7908,
     /*  262070 */     GIR_EraseRootFromParent_Done,
     /*  262071 */   // Label 5016: @262071
     /*  262071 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(262134), // Rule ID 7909 //
     /*  262076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  262090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262115 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  262118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262132 */     GIR_RootConstrainSelectedInstOperands,
     /*  262133 */     // GIR_Coverage, 7909,
     /*  262133 */     GIR_EraseRootFromParent_Done,
     /*  262134 */   // Label 5017: @262134
     /*  262134 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(262197), // Rule ID 7912 //
     /*  262139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  262153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262178 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  262181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262195 */     GIR_RootConstrainSelectedInstOperands,
     /*  262196 */     // GIR_Coverage, 7912,
     /*  262196 */     GIR_EraseRootFromParent_Done,
     /*  262197 */   // Label 5018: @262197
     /*  262197 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(262260), // Rule ID 7913 //
     /*  262202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  262216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262241 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  262244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262258 */     GIR_RootConstrainSelectedInstOperands,
     /*  262259 */     // GIR_Coverage, 7913,
     /*  262259 */     GIR_EraseRootFromParent_Done,
     /*  262260 */   // Label 5019: @262260
     /*  262260 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(262323), // Rule ID 7916 //
     /*  262265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  262279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  262307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262321 */     GIR_RootConstrainSelectedInstOperands,
     /*  262322 */     // GIR_Coverage, 7916,
     /*  262322 */     GIR_EraseRootFromParent_Done,
     /*  262323 */   // Label 5020: @262323
     /*  262323 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(262386), // Rule ID 7917 //
     /*  262328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  262342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262367 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  262370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262384 */     GIR_RootConstrainSelectedInstOperands,
     /*  262385 */     // GIR_Coverage, 7917,
     /*  262385 */     GIR_EraseRootFromParent_Done,
     /*  262386 */   // Label 5021: @262386
     /*  262386 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(262449), // Rule ID 7920 //
     /*  262391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  262405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262430 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  262433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262447 */     GIR_RootConstrainSelectedInstOperands,
     /*  262448 */     // GIR_Coverage, 7920,
     /*  262448 */     GIR_EraseRootFromParent_Done,
     /*  262449 */   // Label 5022: @262449
     /*  262449 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(262512), // Rule ID 7921 //
     /*  262454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  262468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262493 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  262496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262510 */     GIR_RootConstrainSelectedInstOperands,
     /*  262511 */     // GIR_Coverage, 7921,
     /*  262511 */     GIR_EraseRootFromParent_Done,
     /*  262512 */   // Label 5023: @262512
     /*  262512 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(262575), // Rule ID 7924 //
     /*  262517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  262531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  262559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262573 */     GIR_RootConstrainSelectedInstOperands,
     /*  262574 */     // GIR_Coverage, 7924,
     /*  262574 */     GIR_EraseRootFromParent_Done,
     /*  262575 */   // Label 5024: @262575
     /*  262575 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(262638), // Rule ID 7925 //
     /*  262580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  262594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262619 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  262622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262636 */     GIR_RootConstrainSelectedInstOperands,
     /*  262637 */     // GIR_Coverage, 7925,
     /*  262637 */     GIR_EraseRootFromParent_Done,
     /*  262638 */   // Label 5025: @262638
     /*  262638 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(262701), // Rule ID 7928 //
     /*  262643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  262657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262682 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  262685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262699 */     GIR_RootConstrainSelectedInstOperands,
     /*  262700 */     // GIR_Coverage, 7928,
     /*  262700 */     GIR_EraseRootFromParent_Done,
     /*  262701 */   // Label 5026: @262701
     /*  262701 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(262764), // Rule ID 7929 //
     /*  262706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  262720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262745 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  262748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262762 */     GIR_RootConstrainSelectedInstOperands,
     /*  262763 */     // GIR_Coverage, 7929,
     /*  262763 */     GIR_EraseRootFromParent_Done,
     /*  262764 */   // Label 5027: @262764
     /*  262764 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(262827), // Rule ID 7932 //
     /*  262769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  262783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262808 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262825 */     GIR_RootConstrainSelectedInstOperands,
     /*  262826 */     // GIR_Coverage, 7932,
     /*  262826 */     GIR_EraseRootFromParent_Done,
     /*  262827 */   // Label 5028: @262827
     /*  262827 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(262890), // Rule ID 7933 //
     /*  262832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  262846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262871 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262888 */     GIR_RootConstrainSelectedInstOperands,
     /*  262889 */     // GIR_Coverage, 7933,
     /*  262889 */     GIR_EraseRootFromParent_Done,
     /*  262890 */   // Label 5029: @262890
     /*  262890 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(262953), // Rule ID 7936 //
     /*  262895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  262909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262934 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262951 */     GIR_RootConstrainSelectedInstOperands,
     /*  262952 */     // GIR_Coverage, 7936,
     /*  262952 */     GIR_EraseRootFromParent_Done,
     /*  262953 */   // Label 5030: @262953
     /*  262953 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(263016), // Rule ID 7937 //
     /*  262958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  262972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262997 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263014 */     GIR_RootConstrainSelectedInstOperands,
     /*  263015 */     // GIR_Coverage, 7937,
     /*  263015 */     GIR_EraseRootFromParent_Done,
     /*  263016 */   // Label 5031: @263016
     /*  263016 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(263079), // Rule ID 7940 //
     /*  263021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  263032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  263035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263060 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263077 */     GIR_RootConstrainSelectedInstOperands,
     /*  263078 */     // GIR_Coverage, 7940,
     /*  263078 */     GIR_EraseRootFromParent_Done,
     /*  263079 */   // Label 5032: @263079
     /*  263079 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(263142), // Rule ID 7941 //
     /*  263084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  263095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  263098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263123 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263140 */     GIR_RootConstrainSelectedInstOperands,
     /*  263141 */     // GIR_Coverage, 7941,
     /*  263141 */     GIR_EraseRootFromParent_Done,
     /*  263142 */   // Label 5033: @263142
     /*  263142 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(263205), // Rule ID 7944 //
     /*  263147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  263161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263186 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  263189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263203 */     GIR_RootConstrainSelectedInstOperands,
     /*  263204 */     // GIR_Coverage, 7944,
     /*  263204 */     GIR_EraseRootFromParent_Done,
     /*  263205 */   // Label 5034: @263205
     /*  263205 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(263268), // Rule ID 7945 //
     /*  263210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  263224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263249 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  263252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263266 */     GIR_RootConstrainSelectedInstOperands,
     /*  263267 */     // GIR_Coverage, 7945,
     /*  263267 */     GIR_EraseRootFromParent_Done,
     /*  263268 */   // Label 5035: @263268
     /*  263268 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(263331), // Rule ID 7948 //
     /*  263273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  263287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263312 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263329 */     GIR_RootConstrainSelectedInstOperands,
     /*  263330 */     // GIR_Coverage, 7948,
     /*  263330 */     GIR_EraseRootFromParent_Done,
     /*  263331 */   // Label 5036: @263331
     /*  263331 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(263394), // Rule ID 7949 //
     /*  263336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  263350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263375 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263392 */     GIR_RootConstrainSelectedInstOperands,
     /*  263393 */     // GIR_Coverage, 7949,
     /*  263393 */     GIR_EraseRootFromParent_Done,
     /*  263394 */   // Label 5037: @263394
     /*  263394 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(263457), // Rule ID 7952 //
     /*  263399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  263413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263438 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263455 */     GIR_RootConstrainSelectedInstOperands,
     /*  263456 */     // GIR_Coverage, 7952,
     /*  263456 */     GIR_EraseRootFromParent_Done,
     /*  263457 */   // Label 5038: @263457
     /*  263457 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(263520), // Rule ID 7953 //
     /*  263462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  263476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263501 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263518 */     GIR_RootConstrainSelectedInstOperands,
     /*  263519 */     // GIR_Coverage, 7953,
     /*  263519 */     GIR_EraseRootFromParent_Done,
     /*  263520 */   // Label 5039: @263520
     /*  263520 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(263583), // Rule ID 7956 //
     /*  263525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  263539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  263567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263581 */     GIR_RootConstrainSelectedInstOperands,
     /*  263582 */     // GIR_Coverage, 7956,
     /*  263582 */     GIR_EraseRootFromParent_Done,
     /*  263583 */   // Label 5040: @263583
     /*  263583 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(263646), // Rule ID 7957 //
     /*  263588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  263602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263627 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  263630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263644 */     GIR_RootConstrainSelectedInstOperands,
     /*  263645 */     // GIR_Coverage, 7957,
     /*  263645 */     GIR_EraseRootFromParent_Done,
     /*  263646 */   // Label 5041: @263646
     /*  263646 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(263709), // Rule ID 7960 //
     /*  263651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  263665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263690 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263707 */     GIR_RootConstrainSelectedInstOperands,
     /*  263708 */     // GIR_Coverage, 7960,
     /*  263708 */     GIR_EraseRootFromParent_Done,
     /*  263709 */   // Label 5042: @263709
     /*  263709 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(263772), // Rule ID 7961 //
     /*  263714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  263728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263753 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263770 */     GIR_RootConstrainSelectedInstOperands,
     /*  263771 */     // GIR_Coverage, 7961,
     /*  263771 */     GIR_EraseRootFromParent_Done,
     /*  263772 */   // Label 5043: @263772
     /*  263772 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(263835), // Rule ID 7964 //
     /*  263777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  263791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263816 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263833 */     GIR_RootConstrainSelectedInstOperands,
     /*  263834 */     // GIR_Coverage, 7964,
     /*  263834 */     GIR_EraseRootFromParent_Done,
     /*  263835 */   // Label 5044: @263835
     /*  263835 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(263898), // Rule ID 7965 //
     /*  263840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  263854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263879 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263896 */     GIR_RootConstrainSelectedInstOperands,
     /*  263897 */     // GIR_Coverage, 7965,
     /*  263897 */     GIR_EraseRootFromParent_Done,
     /*  263898 */   // Label 5045: @263898
     /*  263898 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(263961), // Rule ID 7968 //
     /*  263903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  263906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  263917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263942 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  263945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263959 */     GIR_RootConstrainSelectedInstOperands,
     /*  263960 */     // GIR_Coverage, 7968,
     /*  263960 */     GIR_EraseRootFromParent_Done,
     /*  263961 */   // Label 5046: @263961
     /*  263961 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(264024), // Rule ID 7969 //
     /*  263966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  263969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  263980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264005 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  264008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264022 */     GIR_RootConstrainSelectedInstOperands,
     /*  264023 */     // GIR_Coverage, 7969,
     /*  264023 */     GIR_EraseRootFromParent_Done,
     /*  264024 */   // Label 5047: @264024
     /*  264024 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(264087), // Rule ID 7972 //
     /*  264029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  264043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  264046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  264061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  264071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264085 */     GIR_RootConstrainSelectedInstOperands,
     /*  264086 */     // GIR_Coverage, 7972,
     /*  264086 */     GIR_EraseRootFromParent_Done,
     /*  264087 */   // Label 5048: @264087
     /*  264087 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(264150), // Rule ID 7973 //
     /*  264092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  264106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  264109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  264124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264131 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  264134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264148 */     GIR_RootConstrainSelectedInstOperands,
     /*  264149 */     // GIR_Coverage, 7973,
     /*  264149 */     GIR_EraseRootFromParent_Done,
     /*  264150 */   // Label 5049: @264150
     /*  264150 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(264213), // Rule ID 7976 //
     /*  264155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  264169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  264172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  264187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264194 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  264197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264211 */     GIR_RootConstrainSelectedInstOperands,
     /*  264212 */     // GIR_Coverage, 7976,
     /*  264212 */     GIR_EraseRootFromParent_Done,
     /*  264213 */   // Label 5050: @264213
     /*  264213 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(264276), // Rule ID 7977 //
     /*  264218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  264232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  264235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  264250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264257 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  264260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264274 */     GIR_RootConstrainSelectedInstOperands,
     /*  264275 */     // GIR_Coverage, 7977,
     /*  264275 */     GIR_EraseRootFromParent_Done,
     /*  264276 */   // Label 5051: @264276
     /*  264276 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(264339), // Rule ID 8068 //
     /*  264281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  264295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  264298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264320 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  264323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264337 */     GIR_RootConstrainSelectedInstOperands,
     /*  264338 */     // GIR_Coverage, 8068,
     /*  264338 */     GIR_EraseRootFromParent_Done,
     /*  264339 */   // Label 5052: @264339
     /*  264339 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(264402), // Rule ID 8069 //
     /*  264344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  264358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  264361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264383 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  264386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264400 */     GIR_RootConstrainSelectedInstOperands,
     /*  264401 */     // GIR_Coverage, 8069,
     /*  264401 */     GIR_EraseRootFromParent_Done,
     /*  264402 */   // Label 5053: @264402
     /*  264402 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(264465), // Rule ID 8072 //
     /*  264407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  264421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  264424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264446 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  264449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264463 */     GIR_RootConstrainSelectedInstOperands,
     /*  264464 */     // GIR_Coverage, 8072,
     /*  264464 */     GIR_EraseRootFromParent_Done,
     /*  264465 */   // Label 5054: @264465
     /*  264465 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(264528), // Rule ID 8073 //
     /*  264470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  264484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  264487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264509 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  264512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264526 */     GIR_RootConstrainSelectedInstOperands,
     /*  264527 */     // GIR_Coverage, 8073,
     /*  264527 */     GIR_EraseRootFromParent_Done,
     /*  264528 */   // Label 5055: @264528
     /*  264528 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(264591), // Rule ID 8076 //
     /*  264533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  264547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  264550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264572 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  264575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264589 */     GIR_RootConstrainSelectedInstOperands,
     /*  264590 */     // GIR_Coverage, 8076,
     /*  264590 */     GIR_EraseRootFromParent_Done,
     /*  264591 */   // Label 5056: @264591
     /*  264591 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(264654), // Rule ID 8077 //
     /*  264596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  264610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  264613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264635 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  264638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264652 */     GIR_RootConstrainSelectedInstOperands,
     /*  264653 */     // GIR_Coverage, 8077,
     /*  264653 */     GIR_EraseRootFromParent_Done,
     /*  264654 */   // Label 5057: @264654
     /*  264654 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(264717), // Rule ID 8080 //
     /*  264659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  264673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  264676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264698 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  264701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264715 */     GIR_RootConstrainSelectedInstOperands,
     /*  264716 */     // GIR_Coverage, 8080,
     /*  264716 */     GIR_EraseRootFromParent_Done,
     /*  264717 */   // Label 5058: @264717
     /*  264717 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(264780), // Rule ID 8081 //
     /*  264722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  264736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  264739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264761 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  264764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264778 */     GIR_RootConstrainSelectedInstOperands,
     /*  264779 */     // GIR_Coverage, 8081,
     /*  264779 */     GIR_EraseRootFromParent_Done,
     /*  264780 */   // Label 5059: @264780
     /*  264780 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(264843), // Rule ID 8084 //
     /*  264785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  264799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  264802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264824 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  264827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264841 */     GIR_RootConstrainSelectedInstOperands,
     /*  264842 */     // GIR_Coverage, 8084,
     /*  264842 */     GIR_EraseRootFromParent_Done,
     /*  264843 */   // Label 5060: @264843
     /*  264843 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(264906), // Rule ID 8085 //
     /*  264848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  264862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  264865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264887 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  264890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264904 */     GIR_RootConstrainSelectedInstOperands,
     /*  264905 */     // GIR_Coverage, 8085,
     /*  264905 */     GIR_EraseRootFromParent_Done,
     /*  264906 */   // Label 5061: @264906
     /*  264906 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(264969), // Rule ID 8088 //
     /*  264911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  264925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  264928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264950 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  264953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264967 */     GIR_RootConstrainSelectedInstOperands,
     /*  264968 */     // GIR_Coverage, 8088,
     /*  264968 */     GIR_EraseRootFromParent_Done,
     /*  264969 */   // Label 5062: @264969
     /*  264969 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(265032), // Rule ID 8089 //
     /*  264974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  264988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  264991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265013 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  265016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265030 */     GIR_RootConstrainSelectedInstOperands,
     /*  265031 */     // GIR_Coverage, 8089,
     /*  265031 */     GIR_EraseRootFromParent_Done,
     /*  265032 */   // Label 5063: @265032
     /*  265032 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(265095), // Rule ID 8092 //
     /*  265037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  265051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  265054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265076 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  265079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265093 */     GIR_RootConstrainSelectedInstOperands,
     /*  265094 */     // GIR_Coverage, 8092,
     /*  265094 */     GIR_EraseRootFromParent_Done,
     /*  265095 */   // Label 5064: @265095
     /*  265095 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(265158), // Rule ID 8093 //
     /*  265100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  265114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  265117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265139 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  265142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265156 */     GIR_RootConstrainSelectedInstOperands,
     /*  265157 */     // GIR_Coverage, 8093,
     /*  265157 */     GIR_EraseRootFromParent_Done,
     /*  265158 */   // Label 5065: @265158
     /*  265158 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(265221), // Rule ID 8096 //
     /*  265163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  265177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  265180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265202 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  265205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265219 */     GIR_RootConstrainSelectedInstOperands,
     /*  265220 */     // GIR_Coverage, 8096,
     /*  265220 */     GIR_EraseRootFromParent_Done,
     /*  265221 */   // Label 5066: @265221
     /*  265221 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(265284), // Rule ID 8097 //
     /*  265226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  265240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  265243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265265 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  265268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265282 */     GIR_RootConstrainSelectedInstOperands,
     /*  265283 */     // GIR_Coverage, 8097,
     /*  265283 */     GIR_EraseRootFromParent_Done,
     /*  265284 */   // Label 5067: @265284
     /*  265284 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(265347), // Rule ID 8100 //
     /*  265289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  265303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  265306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265328 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  265331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265345 */     GIR_RootConstrainSelectedInstOperands,
     /*  265346 */     // GIR_Coverage, 8100,
     /*  265346 */     GIR_EraseRootFromParent_Done,
     /*  265347 */   // Label 5068: @265347
     /*  265347 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(265410), // Rule ID 8101 //
     /*  265352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  265366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  265369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265391 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  265394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265408 */     GIR_RootConstrainSelectedInstOperands,
     /*  265409 */     // GIR_Coverage, 8101,
     /*  265409 */     GIR_EraseRootFromParent_Done,
     /*  265410 */   // Label 5069: @265410
     /*  265410 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(265473), // Rule ID 8104 //
     /*  265415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  265429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  265432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265454 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  265457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265471 */     GIR_RootConstrainSelectedInstOperands,
     /*  265472 */     // GIR_Coverage, 8104,
     /*  265472 */     GIR_EraseRootFromParent_Done,
     /*  265473 */   // Label 5070: @265473
     /*  265473 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(265536), // Rule ID 8105 //
     /*  265478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  265492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  265495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265517 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  265520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265534 */     GIR_RootConstrainSelectedInstOperands,
     /*  265535 */     // GIR_Coverage, 8105,
     /*  265535 */     GIR_EraseRootFromParent_Done,
     /*  265536 */   // Label 5071: @265536
     /*  265536 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(265599), // Rule ID 8108 //
     /*  265541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  265555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  265558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265580 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265597 */     GIR_RootConstrainSelectedInstOperands,
     /*  265598 */     // GIR_Coverage, 8108,
     /*  265598 */     GIR_EraseRootFromParent_Done,
     /*  265599 */   // Label 5072: @265599
     /*  265599 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(265662), // Rule ID 8109 //
     /*  265604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  265618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  265621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265643 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265660 */     GIR_RootConstrainSelectedInstOperands,
     /*  265661 */     // GIR_Coverage, 8109,
     /*  265661 */     GIR_EraseRootFromParent_Done,
     /*  265662 */   // Label 5073: @265662
     /*  265662 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(265725), // Rule ID 8112 //
     /*  265667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  265681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  265684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265706 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265723 */     GIR_RootConstrainSelectedInstOperands,
     /*  265724 */     // GIR_Coverage, 8112,
     /*  265724 */     GIR_EraseRootFromParent_Done,
     /*  265725 */   // Label 5074: @265725
     /*  265725 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(265788), // Rule ID 8113 //
     /*  265730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  265744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  265747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265769 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265786 */     GIR_RootConstrainSelectedInstOperands,
     /*  265787 */     // GIR_Coverage, 8113,
     /*  265787 */     GIR_EraseRootFromParent_Done,
     /*  265788 */   // Label 5075: @265788
     /*  265788 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(265851), // Rule ID 8116 //
     /*  265793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  265804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  265807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  265810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265832 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265849 */     GIR_RootConstrainSelectedInstOperands,
     /*  265850 */     // GIR_Coverage, 8116,
     /*  265850 */     GIR_EraseRootFromParent_Done,
     /*  265851 */   // Label 5076: @265851
     /*  265851 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(265914), // Rule ID 8117 //
     /*  265856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  265867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  265870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  265873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265895 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265912 */     GIR_RootConstrainSelectedInstOperands,
     /*  265913 */     // GIR_Coverage, 8117,
     /*  265913 */     GIR_EraseRootFromParent_Done,
     /*  265914 */   // Label 5077: @265914
     /*  265914 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(265977), // Rule ID 8120 //
     /*  265919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  265933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  265936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265958 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265975 */     GIR_RootConstrainSelectedInstOperands,
     /*  265976 */     // GIR_Coverage, 8120,
     /*  265976 */     GIR_EraseRootFromParent_Done,
     /*  265977 */   // Label 5078: @265977
     /*  265977 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(266040), // Rule ID 8121 //
     /*  265982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  265996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  265999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266021 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  266024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266038 */     GIR_RootConstrainSelectedInstOperands,
     /*  266039 */     // GIR_Coverage, 8121,
     /*  266039 */     GIR_EraseRootFromParent_Done,
     /*  266040 */   // Label 5079: @266040
     /*  266040 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(266103), // Rule ID 8124 //
     /*  266045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  266059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  266062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266084 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  266087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266101 */     GIR_RootConstrainSelectedInstOperands,
     /*  266102 */     // GIR_Coverage, 8124,
     /*  266102 */     GIR_EraseRootFromParent_Done,
     /*  266103 */   // Label 5080: @266103
     /*  266103 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(266166), // Rule ID 8125 //
     /*  266108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  266122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  266125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266147 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  266150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266164 */     GIR_RootConstrainSelectedInstOperands,
     /*  266165 */     // GIR_Coverage, 8125,
     /*  266165 */     GIR_EraseRootFromParent_Done,
     /*  266166 */   // Label 5081: @266166
     /*  266166 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(266229), // Rule ID 8128 //
     /*  266171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  266185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  266188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266210 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  266213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266227 */     GIR_RootConstrainSelectedInstOperands,
     /*  266228 */     // GIR_Coverage, 8128,
     /*  266228 */     GIR_EraseRootFromParent_Done,
     /*  266229 */   // Label 5082: @266229
     /*  266229 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(266292), // Rule ID 8129 //
     /*  266234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  266248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  266251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266273 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  266276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266290 */     GIR_RootConstrainSelectedInstOperands,
     /*  266291 */     // GIR_Coverage, 8129,
     /*  266291 */     GIR_EraseRootFromParent_Done,
     /*  266292 */   // Label 5083: @266292
     /*  266292 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(266355), // Rule ID 8132 //
     /*  266297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  266311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  266314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266336 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  266339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266353 */     GIR_RootConstrainSelectedInstOperands,
     /*  266354 */     // GIR_Coverage, 8132,
     /*  266354 */     GIR_EraseRootFromParent_Done,
     /*  266355 */   // Label 5084: @266355
     /*  266355 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(266418), // Rule ID 8133 //
     /*  266360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  266374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  266377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266399 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  266399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  266402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266416 */     GIR_RootConstrainSelectedInstOperands,
     /*  266417 */     // GIR_Coverage, 8133,
     /*  266417 */     GIR_EraseRootFromParent_Done,
     /*  266418 */   // Label 5085: @266418
     /*  266418 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(266481), // Rule ID 8136 //
     /*  266423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  266437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  266440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266462 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  266465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266479 */     GIR_RootConstrainSelectedInstOperands,
     /*  266480 */     // GIR_Coverage, 8136,
     /*  266480 */     GIR_EraseRootFromParent_Done,
     /*  266481 */   // Label 5086: @266481
     /*  266481 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(266544), // Rule ID 8137 //
     /*  266486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  266500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  266503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266525 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  266525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  266528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266542 */     GIR_RootConstrainSelectedInstOperands,
     /*  266543 */     // GIR_Coverage, 8137,
     /*  266543 */     GIR_EraseRootFromParent_Done,
     /*  266544 */   // Label 5087: @266544
     /*  266544 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(266607), // Rule ID 8140 //
     /*  266549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  266563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  266566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266588 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  266591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266605 */     GIR_RootConstrainSelectedInstOperands,
     /*  266606 */     // GIR_Coverage, 8140,
     /*  266606 */     GIR_EraseRootFromParent_Done,
     /*  266607 */   // Label 5088: @266607
     /*  266607 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(266670), // Rule ID 8141 //
     /*  266612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  266626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  266629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266651 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  266651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  266654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266668 */     GIR_RootConstrainSelectedInstOperands,
     /*  266669 */     // GIR_Coverage, 8141,
     /*  266669 */     GIR_EraseRootFromParent_Done,
     /*  266670 */   // Label 5089: @266670
     /*  266670 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(266733), // Rule ID 8144 //
     /*  266675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  266678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  266689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  266692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266714 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  266714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  266717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266731 */     GIR_RootConstrainSelectedInstOperands,
     /*  266732 */     // GIR_Coverage, 8144,
     /*  266732 */     GIR_EraseRootFromParent_Done,
     /*  266733 */   // Label 5090: @266733
     /*  266733 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(266796), // Rule ID 8145 //
     /*  266738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  266741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  266752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  266755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266777 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  266777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  266780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266794 */     GIR_RootConstrainSelectedInstOperands,
     /*  266795 */     // GIR_Coverage, 8145,
     /*  266795 */     GIR_EraseRootFromParent_Done,
     /*  266796 */   // Label 5091: @266796
     /*  266796 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(266859), // Rule ID 8148 //
     /*  266801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  266804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  266815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  266818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266840 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  266840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  266843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266857 */     GIR_RootConstrainSelectedInstOperands,
     /*  266858 */     // GIR_Coverage, 8148,
     /*  266858 */     GIR_EraseRootFromParent_Done,
     /*  266859 */   // Label 5092: @266859
     /*  266859 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(266922), // Rule ID 8149 //
     /*  266864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  266867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  266878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  266881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266903 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  266903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  266906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266920 */     GIR_RootConstrainSelectedInstOperands,
     /*  266921 */     // GIR_Coverage, 8149,
     /*  266921 */     GIR_EraseRootFromParent_Done,
     /*  266922 */   // Label 5093: @266922
     /*  266922 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(266985), // Rule ID 8152 //
     /*  266927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  266930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  266941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  266944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266966 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  266966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  266969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266983 */     GIR_RootConstrainSelectedInstOperands,
     /*  266984 */     // GIR_Coverage, 8152,
     /*  266984 */     GIR_EraseRootFromParent_Done,
     /*  266985 */   // Label 5094: @266985
     /*  266985 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(267048), // Rule ID 8153 //
     /*  266990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  266993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  267004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  267007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267029 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  267032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267046 */     GIR_RootConstrainSelectedInstOperands,
     /*  267047 */     // GIR_Coverage, 8153,
     /*  267047 */     GIR_EraseRootFromParent_Done,
     /*  267048 */   // Label 5095: @267048
     /*  267048 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(267111), // Rule ID 8156 //
     /*  267053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  267067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267092 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  267095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267109 */     GIR_RootConstrainSelectedInstOperands,
     /*  267110 */     // GIR_Coverage, 8156,
     /*  267110 */     GIR_EraseRootFromParent_Done,
     /*  267111 */   // Label 5096: @267111
     /*  267111 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(267174), // Rule ID 8157 //
     /*  267116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  267130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267155 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  267158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267172 */     GIR_RootConstrainSelectedInstOperands,
     /*  267173 */     // GIR_Coverage, 8157,
     /*  267173 */     GIR_EraseRootFromParent_Done,
     /*  267174 */   // Label 5097: @267174
     /*  267174 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(267237), // Rule ID 8160 //
     /*  267179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  267193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267218 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  267221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267235 */     GIR_RootConstrainSelectedInstOperands,
     /*  267236 */     // GIR_Coverage, 8160,
     /*  267236 */     GIR_EraseRootFromParent_Done,
     /*  267237 */   // Label 5098: @267237
     /*  267237 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(267300), // Rule ID 8161 //
     /*  267242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  267256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267281 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  267284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267298 */     GIR_RootConstrainSelectedInstOperands,
     /*  267299 */     // GIR_Coverage, 8161,
     /*  267299 */     GIR_EraseRootFromParent_Done,
     /*  267300 */   // Label 5099: @267300
     /*  267300 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(267363), // Rule ID 8164 //
     /*  267305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  267319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267344 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  267347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267361 */     GIR_RootConstrainSelectedInstOperands,
     /*  267362 */     // GIR_Coverage, 8164,
     /*  267362 */     GIR_EraseRootFromParent_Done,
     /*  267363 */   // Label 5100: @267363
     /*  267363 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(267426), // Rule ID 8165 //
     /*  267368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  267382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267407 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  267410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267424 */     GIR_RootConstrainSelectedInstOperands,
     /*  267425 */     // GIR_Coverage, 8165,
     /*  267425 */     GIR_EraseRootFromParent_Done,
     /*  267426 */   // Label 5101: @267426
     /*  267426 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(267489), // Rule ID 8168 //
     /*  267431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  267445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267470 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  267473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267487 */     GIR_RootConstrainSelectedInstOperands,
     /*  267488 */     // GIR_Coverage, 8168,
     /*  267488 */     GIR_EraseRootFromParent_Done,
     /*  267489 */   // Label 5102: @267489
     /*  267489 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(267552), // Rule ID 8169 //
     /*  267494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  267508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267533 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  267536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267550 */     GIR_RootConstrainSelectedInstOperands,
     /*  267551 */     // GIR_Coverage, 8169,
     /*  267551 */     GIR_EraseRootFromParent_Done,
     /*  267552 */   // Label 5103: @267552
     /*  267552 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(267615), // Rule ID 8172 //
     /*  267557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  267571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  267599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267613 */     GIR_RootConstrainSelectedInstOperands,
     /*  267614 */     // GIR_Coverage, 8172,
     /*  267614 */     GIR_EraseRootFromParent_Done,
     /*  267615 */   // Label 5104: @267615
     /*  267615 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(267678), // Rule ID 8173 //
     /*  267620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  267634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267659 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  267662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267676 */     GIR_RootConstrainSelectedInstOperands,
     /*  267677 */     // GIR_Coverage, 8173,
     /*  267677 */     GIR_EraseRootFromParent_Done,
     /*  267678 */   // Label 5105: @267678
     /*  267678 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(267741), // Rule ID 8176 //
     /*  267683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  267697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267722 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  267725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267739 */     GIR_RootConstrainSelectedInstOperands,
     /*  267740 */     // GIR_Coverage, 8176,
     /*  267740 */     GIR_EraseRootFromParent_Done,
     /*  267741 */   // Label 5106: @267741
     /*  267741 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(267804), // Rule ID 8177 //
     /*  267746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  267760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267785 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  267788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267802 */     GIR_RootConstrainSelectedInstOperands,
     /*  267803 */     // GIR_Coverage, 8177,
     /*  267803 */     GIR_EraseRootFromParent_Done,
     /*  267804 */   // Label 5107: @267804
     /*  267804 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(267867), // Rule ID 8180 //
     /*  267809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  267823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267848 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267865 */     GIR_RootConstrainSelectedInstOperands,
     /*  267866 */     // GIR_Coverage, 8180,
     /*  267866 */     GIR_EraseRootFromParent_Done,
     /*  267867 */   // Label 5108: @267867
     /*  267867 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(267930), // Rule ID 8181 //
     /*  267872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  267886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267911 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267928 */     GIR_RootConstrainSelectedInstOperands,
     /*  267929 */     // GIR_Coverage, 8181,
     /*  267929 */     GIR_EraseRootFromParent_Done,
     /*  267930 */   // Label 5109: @267930
     /*  267930 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(267993), // Rule ID 8184 //
     /*  267935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  267949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267974 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267991 */     GIR_RootConstrainSelectedInstOperands,
     /*  267992 */     // GIR_Coverage, 8184,
     /*  267992 */     GIR_EraseRootFromParent_Done,
     /*  267993 */   // Label 5110: @267993
     /*  267993 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(268056), // Rule ID 8185 //
     /*  267998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  268012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268037 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  268040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268054 */     GIR_RootConstrainSelectedInstOperands,
     /*  268055 */     // GIR_Coverage, 8185,
     /*  268055 */     GIR_EraseRootFromParent_Done,
     /*  268056 */   // Label 5111: @268056
     /*  268056 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(268119), // Rule ID 8188 //
     /*  268061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  268075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268100 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  268103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268117 */     GIR_RootConstrainSelectedInstOperands,
     /*  268118 */     // GIR_Coverage, 8188,
     /*  268118 */     GIR_EraseRootFromParent_Done,
     /*  268119 */   // Label 5112: @268119
     /*  268119 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(268182), // Rule ID 8189 //
     /*  268124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  268138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268163 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  268166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268180 */     GIR_RootConstrainSelectedInstOperands,
     /*  268181 */     // GIR_Coverage, 8189,
     /*  268181 */     GIR_EraseRootFromParent_Done,
     /*  268182 */   // Label 5113: @268182
     /*  268182 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(268245), // Rule ID 8192 //
     /*  268187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  268201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268226 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  268229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268243 */     GIR_RootConstrainSelectedInstOperands,
     /*  268244 */     // GIR_Coverage, 8192,
     /*  268244 */     GIR_EraseRootFromParent_Done,
     /*  268245 */   // Label 5114: @268245
     /*  268245 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(268308), // Rule ID 8193 //
     /*  268250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  268264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268289 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  268292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268306 */     GIR_RootConstrainSelectedInstOperands,
     /*  268307 */     // GIR_Coverage, 8193,
     /*  268307 */     GIR_EraseRootFromParent_Done,
     /*  268308 */   // Label 5115: @268308
     /*  268308 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(268371), // Rule ID 8196 //
     /*  268313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  268327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268352 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268369 */     GIR_RootConstrainSelectedInstOperands,
     /*  268370 */     // GIR_Coverage, 8196,
     /*  268370 */     GIR_EraseRootFromParent_Done,
     /*  268371 */   // Label 5116: @268371
     /*  268371 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(268434), // Rule ID 8197 //
     /*  268376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  268390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268415 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268432 */     GIR_RootConstrainSelectedInstOperands,
     /*  268433 */     // GIR_Coverage, 8197,
     /*  268433 */     GIR_EraseRootFromParent_Done,
     /*  268434 */   // Label 5117: @268434
     /*  268434 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(268497), // Rule ID 8200 //
     /*  268439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  268450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  268453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268478 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268495 */     GIR_RootConstrainSelectedInstOperands,
     /*  268496 */     // GIR_Coverage, 8200,
     /*  268496 */     GIR_EraseRootFromParent_Done,
     /*  268497 */   // Label 5118: @268497
     /*  268497 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(268560), // Rule ID 8201 //
     /*  268502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  268513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  268516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268541 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268558 */     GIR_RootConstrainSelectedInstOperands,
     /*  268559 */     // GIR_Coverage, 8201,
     /*  268559 */     GIR_EraseRootFromParent_Done,
     /*  268560 */   // Label 5119: @268560
     /*  268560 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(268623), // Rule ID 8204 //
     /*  268565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  268576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  268579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268604 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268621 */     GIR_RootConstrainSelectedInstOperands,
     /*  268622 */     // GIR_Coverage, 8204,
     /*  268622 */     GIR_EraseRootFromParent_Done,
     /*  268623 */   // Label 5120: @268623
     /*  268623 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(268686), // Rule ID 8205 //
     /*  268628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  268639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  268642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268667 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268684 */     GIR_RootConstrainSelectedInstOperands,
     /*  268685 */     // GIR_Coverage, 8205,
     /*  268685 */     GIR_EraseRootFromParent_Done,
     /*  268686 */   // Label 5121: @268686
     /*  268686 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(268749), // Rule ID 8208 //
     /*  268691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  268705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268730 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268747 */     GIR_RootConstrainSelectedInstOperands,
     /*  268748 */     // GIR_Coverage, 8208,
     /*  268748 */     GIR_EraseRootFromParent_Done,
     /*  268749 */   // Label 5122: @268749
     /*  268749 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(268812), // Rule ID 8209 //
     /*  268754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  268768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268793 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268810 */     GIR_RootConstrainSelectedInstOperands,
     /*  268811 */     // GIR_Coverage, 8209,
     /*  268811 */     GIR_EraseRootFromParent_Done,
     /*  268812 */   // Label 5123: @268812
     /*  268812 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(268875), // Rule ID 8212 //
     /*  268817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  268831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268856 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268873 */     GIR_RootConstrainSelectedInstOperands,
     /*  268874 */     // GIR_Coverage, 8212,
     /*  268874 */     GIR_EraseRootFromParent_Done,
     /*  268875 */   // Label 5124: @268875
     /*  268875 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(268938), // Rule ID 8213 //
     /*  268880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  268894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268919 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268936 */     GIR_RootConstrainSelectedInstOperands,
     /*  268937 */     // GIR_Coverage, 8213,
     /*  268937 */     GIR_EraseRootFromParent_Done,
     /*  268938 */   // Label 5125: @268938
     /*  268938 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(269001), // Rule ID 8216 //
     /*  268943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  268954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  268957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268982 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268999 */     GIR_RootConstrainSelectedInstOperands,
     /*  269000 */     // GIR_Coverage, 8216,
     /*  269000 */     GIR_EraseRootFromParent_Done,
     /*  269001 */   // Label 5126: @269001
     /*  269001 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(269064), // Rule ID 8217 //
     /*  269006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  269020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  269023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269045 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  269048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269062 */     GIR_RootConstrainSelectedInstOperands,
     /*  269063 */     // GIR_Coverage, 8217,
     /*  269063 */     GIR_EraseRootFromParent_Done,
     /*  269064 */   // Label 5127: @269064
     /*  269064 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(269127), // Rule ID 8220 //
     /*  269069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  269083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  269086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269108 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  269111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269125 */     GIR_RootConstrainSelectedInstOperands,
     /*  269126 */     // GIR_Coverage, 8220,
     /*  269126 */     GIR_EraseRootFromParent_Done,
     /*  269127 */   // Label 5128: @269127
     /*  269127 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(269190), // Rule ID 8221 //
     /*  269132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  269146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  269149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269171 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  269174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269188 */     GIR_RootConstrainSelectedInstOperands,
     /*  269189 */     // GIR_Coverage, 8221,
     /*  269189 */     GIR_EraseRootFromParent_Done,
     /*  269190 */   // Label 5129: @269190
     /*  269190 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(269253), // Rule ID 8224 //
     /*  269195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  269209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  269212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269234 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  269237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269251 */     GIR_RootConstrainSelectedInstOperands,
     /*  269252 */     // GIR_Coverage, 8224,
     /*  269252 */     GIR_EraseRootFromParent_Done,
     /*  269253 */   // Label 5130: @269253
     /*  269253 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(269316), // Rule ID 8225 //
     /*  269258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  269272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  269275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269297 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  269300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269314 */     GIR_RootConstrainSelectedInstOperands,
     /*  269315 */     // GIR_Coverage, 8225,
     /*  269315 */     GIR_EraseRootFromParent_Done,
     /*  269316 */   // Label 5131: @269316
     /*  269316 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(269379), // Rule ID 8228 //
     /*  269321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  269335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  269338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269360 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  269363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269377 */     GIR_RootConstrainSelectedInstOperands,
     /*  269378 */     // GIR_Coverage, 8228,
     /*  269378 */     GIR_EraseRootFromParent_Done,
     /*  269379 */   // Label 5132: @269379
     /*  269379 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(269442), // Rule ID 8229 //
     /*  269384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  269398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  269401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269423 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  269426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269440 */     GIR_RootConstrainSelectedInstOperands,
     /*  269441 */     // GIR_Coverage, 8229,
     /*  269441 */     GIR_EraseRootFromParent_Done,
     /*  269442 */   // Label 5133: @269442
     /*  269442 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(269505), // Rule ID 8232 //
     /*  269447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  269450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  269461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  269464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269486 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  269486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  269489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269503 */     GIR_RootConstrainSelectedInstOperands,
     /*  269504 */     // GIR_Coverage, 8232,
     /*  269504 */     GIR_EraseRootFromParent_Done,
     /*  269505 */   // Label 5134: @269505
     /*  269505 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(269568), // Rule ID 8233 //
     /*  269510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  269513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  269524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  269527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269549 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  269549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  269552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269566 */     GIR_RootConstrainSelectedInstOperands,
     /*  269567 */     // GIR_Coverage, 8233,
     /*  269567 */     GIR_EraseRootFromParent_Done,
     /*  269568 */   // Label 5135: @269568
     /*  269568 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(269631), // Rule ID 8236 //
     /*  269573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  269576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  269587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  269590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269612 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  269612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  269615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269629 */     GIR_RootConstrainSelectedInstOperands,
     /*  269630 */     // GIR_Coverage, 8236,
     /*  269630 */     GIR_EraseRootFromParent_Done,
     /*  269631 */   // Label 5136: @269631
     /*  269631 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(269694), // Rule ID 8237 //
     /*  269636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  269639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  269650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  269653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269675 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  269675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  269678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269692 */     GIR_RootConstrainSelectedInstOperands,
     /*  269693 */     // GIR_Coverage, 8237,
     /*  269693 */     GIR_EraseRootFromParent_Done,
     /*  269694 */   // Label 5137: @269694
     /*  269694 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(269757), // Rule ID 8240 //
     /*  269699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  269702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  269713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  269716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269738 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  269738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  269741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269755 */     GIR_RootConstrainSelectedInstOperands,
     /*  269756 */     // GIR_Coverage, 8240,
     /*  269756 */     GIR_EraseRootFromParent_Done,
     /*  269757 */   // Label 5138: @269757
     /*  269757 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(269820), // Rule ID 8241 //
     /*  269762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  269765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  269776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  269779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269801 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  269801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  269804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269818 */     GIR_RootConstrainSelectedInstOperands,
     /*  269819 */     // GIR_Coverage, 8241,
     /*  269819 */     GIR_EraseRootFromParent_Done,
     /*  269820 */   // Label 5139: @269820
     /*  269820 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(269883), // Rule ID 8332 //
     /*  269825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  269839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  269842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269864 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  269867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269881 */     GIR_RootConstrainSelectedInstOperands,
     /*  269882 */     // GIR_Coverage, 8332,
     /*  269882 */     GIR_EraseRootFromParent_Done,
     /*  269883 */   // Label 5140: @269883
     /*  269883 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(269946), // Rule ID 8333 //
     /*  269888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  269902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  269905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269927 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  269930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269944 */     GIR_RootConstrainSelectedInstOperands,
     /*  269945 */     // GIR_Coverage, 8333,
     /*  269945 */     GIR_EraseRootFromParent_Done,
     /*  269946 */   // Label 5141: @269946
     /*  269946 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(270009), // Rule ID 8336 //
     /*  269951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  269965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  269968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269990 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270007 */     GIR_RootConstrainSelectedInstOperands,
     /*  270008 */     // GIR_Coverage, 8336,
     /*  270008 */     GIR_EraseRootFromParent_Done,
     /*  270009 */   // Label 5142: @270009
     /*  270009 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(270072), // Rule ID 8337 //
     /*  270014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  270028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  270031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270053 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  270056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270070 */     GIR_RootConstrainSelectedInstOperands,
     /*  270071 */     // GIR_Coverage, 8337,
     /*  270071 */     GIR_EraseRootFromParent_Done,
     /*  270072 */   // Label 5143: @270072
     /*  270072 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(270135), // Rule ID 8340 //
     /*  270077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  270091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  270094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  270119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270133 */     GIR_RootConstrainSelectedInstOperands,
     /*  270134 */     // GIR_Coverage, 8340,
     /*  270134 */     GIR_EraseRootFromParent_Done,
     /*  270135 */   // Label 5144: @270135
     /*  270135 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(270198), // Rule ID 8341 //
     /*  270140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  270154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  270157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270179 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  270182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270196 */     GIR_RootConstrainSelectedInstOperands,
     /*  270197 */     // GIR_Coverage, 8341,
     /*  270197 */     GIR_EraseRootFromParent_Done,
     /*  270198 */   // Label 5145: @270198
     /*  270198 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(270261), // Rule ID 8344 //
     /*  270203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  270217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  270220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270242 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  270245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270259 */     GIR_RootConstrainSelectedInstOperands,
     /*  270260 */     // GIR_Coverage, 8344,
     /*  270260 */     GIR_EraseRootFromParent_Done,
     /*  270261 */   // Label 5146: @270261
     /*  270261 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(270324), // Rule ID 8345 //
     /*  270266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  270280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  270283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270305 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  270308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270322 */     GIR_RootConstrainSelectedInstOperands,
     /*  270323 */     // GIR_Coverage, 8345,
     /*  270323 */     GIR_EraseRootFromParent_Done,
     /*  270324 */   // Label 5147: @270324
     /*  270324 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(270387), // Rule ID 8348 //
     /*  270329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  270343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  270346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  270371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270385 */     GIR_RootConstrainSelectedInstOperands,
     /*  270386 */     // GIR_Coverage, 8348,
     /*  270386 */     GIR_EraseRootFromParent_Done,
     /*  270387 */   // Label 5148: @270387
     /*  270387 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(270450), // Rule ID 8349 //
     /*  270392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  270406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  270409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270431 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  270434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270448 */     GIR_RootConstrainSelectedInstOperands,
     /*  270449 */     // GIR_Coverage, 8349,
     /*  270449 */     GIR_EraseRootFromParent_Done,
     /*  270450 */   // Label 5149: @270450
     /*  270450 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(270513), // Rule ID 8352 //
     /*  270455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  270469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  270472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270494 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  270497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270511 */     GIR_RootConstrainSelectedInstOperands,
     /*  270512 */     // GIR_Coverage, 8352,
     /*  270512 */     GIR_EraseRootFromParent_Done,
     /*  270513 */   // Label 5150: @270513
     /*  270513 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(270576), // Rule ID 8353 //
     /*  270518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  270532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  270535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270557 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  270560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270574 */     GIR_RootConstrainSelectedInstOperands,
     /*  270575 */     // GIR_Coverage, 8353,
     /*  270575 */     GIR_EraseRootFromParent_Done,
     /*  270576 */   // Label 5151: @270576
     /*  270576 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(270639), // Rule ID 8356 //
     /*  270581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  270595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  270598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270637 */     GIR_RootConstrainSelectedInstOperands,
     /*  270638 */     // GIR_Coverage, 8356,
     /*  270638 */     GIR_EraseRootFromParent_Done,
     /*  270639 */   // Label 5152: @270639
     /*  270639 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(270702), // Rule ID 8357 //
     /*  270644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  270658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  270661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270683 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270700 */     GIR_RootConstrainSelectedInstOperands,
     /*  270701 */     // GIR_Coverage, 8357,
     /*  270701 */     GIR_EraseRootFromParent_Done,
     /*  270702 */   // Label 5153: @270702
     /*  270702 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(270765), // Rule ID 8360 //
     /*  270707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  270721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  270724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270746 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270763 */     GIR_RootConstrainSelectedInstOperands,
     /*  270764 */     // GIR_Coverage, 8360,
     /*  270764 */     GIR_EraseRootFromParent_Done,
     /*  270765 */   // Label 5154: @270765
     /*  270765 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(270828), // Rule ID 8361 //
     /*  270770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  270784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  270787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270809 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270826 */     GIR_RootConstrainSelectedInstOperands,
     /*  270827 */     // GIR_Coverage, 8361,
     /*  270827 */     GIR_EraseRootFromParent_Done,
     /*  270828 */   // Label 5155: @270828
     /*  270828 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(270891), // Rule ID 8364 //
     /*  270833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  270847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  270850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270872 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270889 */     GIR_RootConstrainSelectedInstOperands,
     /*  270890 */     // GIR_Coverage, 8364,
     /*  270890 */     GIR_EraseRootFromParent_Done,
     /*  270891 */   // Label 5156: @270891
     /*  270891 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(270954), // Rule ID 8365 //
     /*  270896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  270910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  270913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270935 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  270938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270952 */     GIR_RootConstrainSelectedInstOperands,
     /*  270953 */     // GIR_Coverage, 8365,
     /*  270953 */     GIR_EraseRootFromParent_Done,
     /*  270954 */   // Label 5157: @270954
     /*  270954 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(271017), // Rule ID 8368 //
     /*  270959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  270973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  270976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  271001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271015 */     GIR_RootConstrainSelectedInstOperands,
     /*  271016 */     // GIR_Coverage, 8368,
     /*  271016 */     GIR_EraseRootFromParent_Done,
     /*  271017 */   // Label 5158: @271017
     /*  271017 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(271080), // Rule ID 8369 //
     /*  271022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  271036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  271039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271061 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  271064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271078 */     GIR_RootConstrainSelectedInstOperands,
     /*  271079 */     // GIR_Coverage, 8369,
     /*  271079 */     GIR_EraseRootFromParent_Done,
     /*  271080 */   // Label 5159: @271080
     /*  271080 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(271143), // Rule ID 8372 //
     /*  271085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  271099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  271102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271124 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271141 */     GIR_RootConstrainSelectedInstOperands,
     /*  271142 */     // GIR_Coverage, 8372,
     /*  271142 */     GIR_EraseRootFromParent_Done,
     /*  271143 */   // Label 5160: @271143
     /*  271143 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(271206), // Rule ID 8373 //
     /*  271148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  271162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  271165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271187 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271204 */     GIR_RootConstrainSelectedInstOperands,
     /*  271205 */     // GIR_Coverage, 8373,
     /*  271205 */     GIR_EraseRootFromParent_Done,
     /*  271206 */   // Label 5161: @271206
     /*  271206 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(271269), // Rule ID 8376 //
     /*  271211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  271222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  271225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  271228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271250 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271267 */     GIR_RootConstrainSelectedInstOperands,
     /*  271268 */     // GIR_Coverage, 8376,
     /*  271268 */     GIR_EraseRootFromParent_Done,
     /*  271269 */   // Label 5162: @271269
     /*  271269 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(271332), // Rule ID 8377 //
     /*  271274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  271285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  271288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  271291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271313 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271330 */     GIR_RootConstrainSelectedInstOperands,
     /*  271331 */     // GIR_Coverage, 8377,
     /*  271331 */     GIR_EraseRootFromParent_Done,
     /*  271332 */   // Label 5163: @271332
     /*  271332 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(271395), // Rule ID 8380 //
     /*  271337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  271348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  271351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  271354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271376 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271393 */     GIR_RootConstrainSelectedInstOperands,
     /*  271394 */     // GIR_Coverage, 8380,
     /*  271394 */     GIR_EraseRootFromParent_Done,
     /*  271395 */   // Label 5164: @271395
     /*  271395 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(271458), // Rule ID 8381 //
     /*  271400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  271411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  271414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  271417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271439 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271456 */     GIR_RootConstrainSelectedInstOperands,
     /*  271457 */     // GIR_Coverage, 8381,
     /*  271457 */     GIR_EraseRootFromParent_Done,
     /*  271458 */   // Label 5165: @271458
     /*  271458 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(271521), // Rule ID 8384 //
     /*  271463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  271477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  271480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271502 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271519 */     GIR_RootConstrainSelectedInstOperands,
     /*  271520 */     // GIR_Coverage, 8384,
     /*  271520 */     GIR_EraseRootFromParent_Done,
     /*  271521 */   // Label 5166: @271521
     /*  271521 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(271584), // Rule ID 8385 //
     /*  271526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  271540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  271543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271565 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271582 */     GIR_RootConstrainSelectedInstOperands,
     /*  271583 */     // GIR_Coverage, 8385,
     /*  271583 */     GIR_EraseRootFromParent_Done,
     /*  271584 */   // Label 5167: @271584
     /*  271584 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(271647), // Rule ID 8388 //
     /*  271589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  271603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  271606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271645 */     GIR_RootConstrainSelectedInstOperands,
     /*  271646 */     // GIR_Coverage, 8388,
     /*  271646 */     GIR_EraseRootFromParent_Done,
     /*  271647 */   // Label 5168: @271647
     /*  271647 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(271710), // Rule ID 8389 //
     /*  271652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  271666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  271669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271691 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271708 */     GIR_RootConstrainSelectedInstOperands,
     /*  271709 */     // GIR_Coverage, 8389,
     /*  271709 */     GIR_EraseRootFromParent_Done,
     /*  271710 */   // Label 5169: @271710
     /*  271710 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(271773), // Rule ID 8392 //
     /*  271715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  271726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  271729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  271732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271754 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271771 */     GIR_RootConstrainSelectedInstOperands,
     /*  271772 */     // GIR_Coverage, 8392,
     /*  271772 */     GIR_EraseRootFromParent_Done,
     /*  271773 */   // Label 5170: @271773
     /*  271773 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(271836), // Rule ID 8393 //
     /*  271778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  271789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  271792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  271795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271817 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271834 */     GIR_RootConstrainSelectedInstOperands,
     /*  271835 */     // GIR_Coverage, 8393,
     /*  271835 */     GIR_EraseRootFromParent_Done,
     /*  271836 */   // Label 5171: @271836
     /*  271836 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(271899), // Rule ID 8396 //
     /*  271841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  271855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  271858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271897 */     GIR_RootConstrainSelectedInstOperands,
     /*  271898 */     // GIR_Coverage, 8396,
     /*  271898 */     GIR_EraseRootFromParent_Done,
     /*  271899 */   // Label 5172: @271899
     /*  271899 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(271962), // Rule ID 8397 //
     /*  271904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  271918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  271921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271943 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271960 */     GIR_RootConstrainSelectedInstOperands,
     /*  271961 */     // GIR_Coverage, 8397,
     /*  271961 */     GIR_EraseRootFromParent_Done,
     /*  271962 */   // Label 5173: @271962
     /*  271962 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(272025), // Rule ID 8400 //
     /*  271967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  271981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  271984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272006 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  272009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272023 */     GIR_RootConstrainSelectedInstOperands,
     /*  272024 */     // GIR_Coverage, 8400,
     /*  272024 */     GIR_EraseRootFromParent_Done,
     /*  272025 */   // Label 5174: @272025
     /*  272025 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(272088), // Rule ID 8401 //
     /*  272030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  272044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  272047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272069 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  272072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272086 */     GIR_RootConstrainSelectedInstOperands,
     /*  272087 */     // GIR_Coverage, 8401,
     /*  272087 */     GIR_EraseRootFromParent_Done,
     /*  272088 */   // Label 5175: @272088
     /*  272088 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(272151), // Rule ID 8404 //
     /*  272093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  272107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  272110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272132 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  272135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272149 */     GIR_RootConstrainSelectedInstOperands,
     /*  272150 */     // GIR_Coverage, 8404,
     /*  272150 */     GIR_EraseRootFromParent_Done,
     /*  272151 */   // Label 5176: @272151
     /*  272151 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(272214), // Rule ID 8405 //
     /*  272156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  272170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  272173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272195 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  272198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272212 */     GIR_RootConstrainSelectedInstOperands,
     /*  272213 */     // GIR_Coverage, 8405,
     /*  272213 */     GIR_EraseRootFromParent_Done,
     /*  272214 */   // Label 5177: @272214
     /*  272214 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(272277), // Rule ID 8408 //
     /*  272219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  272222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  272233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  272236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272258 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  272258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  272261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272275 */     GIR_RootConstrainSelectedInstOperands,
     /*  272276 */     // GIR_Coverage, 8408,
     /*  272276 */     GIR_EraseRootFromParent_Done,
     /*  272277 */   // Label 5178: @272277
     /*  272277 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(272340), // Rule ID 8409 //
     /*  272282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  272285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  272296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  272299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272321 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  272321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  272324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272338 */     GIR_RootConstrainSelectedInstOperands,
     /*  272339 */     // GIR_Coverage, 8409,
     /*  272339 */     GIR_EraseRootFromParent_Done,
     /*  272340 */   // Label 5179: @272340
     /*  272340 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(272403), // Rule ID 8412 //
     /*  272345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  272348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  272359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  272362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272384 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  272384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  272387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272401 */     GIR_RootConstrainSelectedInstOperands,
     /*  272402 */     // GIR_Coverage, 8412,
     /*  272402 */     GIR_EraseRootFromParent_Done,
     /*  272403 */   // Label 5180: @272403
     /*  272403 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(272466), // Rule ID 8413 //
     /*  272408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  272411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  272422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  272425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272447 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  272447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  272450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272464 */     GIR_RootConstrainSelectedInstOperands,
     /*  272465 */     // GIR_Coverage, 8413,
     /*  272465 */     GIR_EraseRootFromParent_Done,
     /*  272466 */   // Label 5181: @272466
     /*  272466 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(272529), // Rule ID 8416 //
     /*  272471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  272474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  272485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  272488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272510 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  272510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  272513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272527 */     GIR_RootConstrainSelectedInstOperands,
     /*  272528 */     // GIR_Coverage, 8416,
     /*  272528 */     GIR_EraseRootFromParent_Done,
     /*  272529 */   // Label 5182: @272529
     /*  272529 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(272592), // Rule ID 8417 //
     /*  272534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  272537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  272548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  272551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272573 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  272573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  272576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272590 */     GIR_RootConstrainSelectedInstOperands,
     /*  272591 */     // GIR_Coverage, 8417,
     /*  272591 */     GIR_EraseRootFromParent_Done,
     /*  272592 */   // Label 5183: @272592
     /*  272592 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(272655), // Rule ID 8420 //
     /*  272597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  272611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272636 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  272639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272653 */     GIR_RootConstrainSelectedInstOperands,
     /*  272654 */     // GIR_Coverage, 8420,
     /*  272654 */     GIR_EraseRootFromParent_Done,
     /*  272655 */   // Label 5184: @272655
     /*  272655 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(272718), // Rule ID 8421 //
     /*  272660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  272674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272699 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  272702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272716 */     GIR_RootConstrainSelectedInstOperands,
     /*  272717 */     // GIR_Coverage, 8421,
     /*  272717 */     GIR_EraseRootFromParent_Done,
     /*  272718 */   // Label 5185: @272718
     /*  272718 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(272781), // Rule ID 8424 //
     /*  272723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  272737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272762 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  272765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272779 */     GIR_RootConstrainSelectedInstOperands,
     /*  272780 */     // GIR_Coverage, 8424,
     /*  272780 */     GIR_EraseRootFromParent_Done,
     /*  272781 */   // Label 5186: @272781
     /*  272781 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(272844), // Rule ID 8425 //
     /*  272786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  272800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272825 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  272828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272842 */     GIR_RootConstrainSelectedInstOperands,
     /*  272843 */     // GIR_Coverage, 8425,
     /*  272843 */     GIR_EraseRootFromParent_Done,
     /*  272844 */   // Label 5187: @272844
     /*  272844 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(272907), // Rule ID 8428 //
     /*  272849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  272863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272905 */     GIR_RootConstrainSelectedInstOperands,
     /*  272906 */     // GIR_Coverage, 8428,
     /*  272906 */     GIR_EraseRootFromParent_Done,
     /*  272907 */   // Label 5188: @272907
     /*  272907 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(272970), // Rule ID 8429 //
     /*  272912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  272926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272951 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272968 */     GIR_RootConstrainSelectedInstOperands,
     /*  272969 */     // GIR_Coverage, 8429,
     /*  272969 */     GIR_EraseRootFromParent_Done,
     /*  272970 */   // Label 5189: @272970
     /*  272970 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(273033), // Rule ID 8432 //
     /*  272975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  272989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273014 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  273017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273031 */     GIR_RootConstrainSelectedInstOperands,
     /*  273032 */     // GIR_Coverage, 8432,
     /*  273032 */     GIR_EraseRootFromParent_Done,
     /*  273033 */   // Label 5190: @273033
     /*  273033 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(273096), // Rule ID 8433 //
     /*  273038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  273052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273077 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  273080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273094 */     GIR_RootConstrainSelectedInstOperands,
     /*  273095 */     // GIR_Coverage, 8433,
     /*  273095 */     GIR_EraseRootFromParent_Done,
     /*  273096 */   // Label 5191: @273096
     /*  273096 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(273159), // Rule ID 8436 //
     /*  273101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  273115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  273143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273157 */     GIR_RootConstrainSelectedInstOperands,
     /*  273158 */     // GIR_Coverage, 8436,
     /*  273158 */     GIR_EraseRootFromParent_Done,
     /*  273159 */   // Label 5192: @273159
     /*  273159 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(273222), // Rule ID 8437 //
     /*  273164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  273178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273203 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  273206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273220 */     GIR_RootConstrainSelectedInstOperands,
     /*  273221 */     // GIR_Coverage, 8437,
     /*  273221 */     GIR_EraseRootFromParent_Done,
     /*  273222 */   // Label 5193: @273222
     /*  273222 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(273285), // Rule ID 8440 //
     /*  273227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  273241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273266 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  273269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273283 */     GIR_RootConstrainSelectedInstOperands,
     /*  273284 */     // GIR_Coverage, 8440,
     /*  273284 */     GIR_EraseRootFromParent_Done,
     /*  273285 */   // Label 5194: @273285
     /*  273285 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(273348), // Rule ID 8441 //
     /*  273290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  273304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273329 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  273332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273346 */     GIR_RootConstrainSelectedInstOperands,
     /*  273347 */     // GIR_Coverage, 8441,
     /*  273347 */     GIR_EraseRootFromParent_Done,
     /*  273348 */   // Label 5195: @273348
     /*  273348 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(273411), // Rule ID 8444 //
     /*  273353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  273367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273392 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273409 */     GIR_RootConstrainSelectedInstOperands,
     /*  273410 */     // GIR_Coverage, 8444,
     /*  273410 */     GIR_EraseRootFromParent_Done,
     /*  273411 */   // Label 5196: @273411
     /*  273411 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(273474), // Rule ID 8445 //
     /*  273416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  273430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273455 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273472 */     GIR_RootConstrainSelectedInstOperands,
     /*  273473 */     // GIR_Coverage, 8445,
     /*  273473 */     GIR_EraseRootFromParent_Done,
     /*  273474 */   // Label 5197: @273474
     /*  273474 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(273537), // Rule ID 8448 //
     /*  273479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  273493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273518 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273535 */     GIR_RootConstrainSelectedInstOperands,
     /*  273536 */     // GIR_Coverage, 8448,
     /*  273536 */     GIR_EraseRootFromParent_Done,
     /*  273537 */   // Label 5198: @273537
     /*  273537 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(273600), // Rule ID 8449 //
     /*  273542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  273556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273581 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273598 */     GIR_RootConstrainSelectedInstOperands,
     /*  273599 */     // GIR_Coverage, 8449,
     /*  273599 */     GIR_EraseRootFromParent_Done,
     /*  273600 */   // Label 5199: @273600
     /*  273600 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(273663), // Rule ID 8452 //
     /*  273605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  273619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273644 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273661 */     GIR_RootConstrainSelectedInstOperands,
     /*  273662 */     // GIR_Coverage, 8452,
     /*  273662 */     GIR_EraseRootFromParent_Done,
     /*  273663 */   // Label 5200: @273663
     /*  273663 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(273726), // Rule ID 8453 //
     /*  273668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  273682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273707 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273724 */     GIR_RootConstrainSelectedInstOperands,
     /*  273725 */     // GIR_Coverage, 8453,
     /*  273725 */     GIR_EraseRootFromParent_Done,
     /*  273726 */   // Label 5201: @273726
     /*  273726 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(273789), // Rule ID 8456 //
     /*  273731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  273745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273770 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273787 */     GIR_RootConstrainSelectedInstOperands,
     /*  273788 */     // GIR_Coverage, 8456,
     /*  273788 */     GIR_EraseRootFromParent_Done,
     /*  273789 */   // Label 5202: @273789
     /*  273789 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(273852), // Rule ID 8457 //
     /*  273794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  273808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273833 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  273836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273850 */     GIR_RootConstrainSelectedInstOperands,
     /*  273851 */     // GIR_Coverage, 8457,
     /*  273851 */     GIR_EraseRootFromParent_Done,
     /*  273852 */   // Label 5203: @273852
     /*  273852 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(273915), // Rule ID 8460 //
     /*  273857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  273871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273896 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273913 */     GIR_RootConstrainSelectedInstOperands,
     /*  273914 */     // GIR_Coverage, 8460,
     /*  273914 */     GIR_EraseRootFromParent_Done,
     /*  273915 */   // Label 5204: @273915
     /*  273915 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(273978), // Rule ID 8461 //
     /*  273920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  273934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273959 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273976 */     GIR_RootConstrainSelectedInstOperands,
     /*  273977 */     // GIR_Coverage, 8461,
     /*  273977 */     GIR_EraseRootFromParent_Done,
     /*  273978 */   // Label 5205: @273978
     /*  273978 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(274041), // Rule ID 8464 //
     /*  273983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  273997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274022 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274039 */     GIR_RootConstrainSelectedInstOperands,
     /*  274040 */     // GIR_Coverage, 8464,
     /*  274040 */     GIR_EraseRootFromParent_Done,
     /*  274041 */   // Label 5206: @274041
     /*  274041 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(274104), // Rule ID 8465 //
     /*  274046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  274057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  274060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274085 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274102 */     GIR_RootConstrainSelectedInstOperands,
     /*  274103 */     // GIR_Coverage, 8465,
     /*  274103 */     GIR_EraseRootFromParent_Done,
     /*  274104 */   // Label 5207: @274104
     /*  274104 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(274167), // Rule ID 8468 //
     /*  274109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  274120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  274123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274148 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274165 */     GIR_RootConstrainSelectedInstOperands,
     /*  274166 */     // GIR_Coverage, 8468,
     /*  274166 */     GIR_EraseRootFromParent_Done,
     /*  274167 */   // Label 5208: @274167
     /*  274167 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(274230), // Rule ID 8469 //
     /*  274172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  274183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  274186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274211 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274228 */     GIR_RootConstrainSelectedInstOperands,
     /*  274229 */     // GIR_Coverage, 8469,
     /*  274229 */     GIR_EraseRootFromParent_Done,
     /*  274230 */   // Label 5209: @274230
     /*  274230 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(274293), // Rule ID 8472 //
     /*  274235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  274249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274274 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  274277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274291 */     GIR_RootConstrainSelectedInstOperands,
     /*  274292 */     // GIR_Coverage, 8472,
     /*  274292 */     GIR_EraseRootFromParent_Done,
     /*  274293 */   // Label 5210: @274293
     /*  274293 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(274356), // Rule ID 8473 //
     /*  274298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  274312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274337 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  274340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274354 */     GIR_RootConstrainSelectedInstOperands,
     /*  274355 */     // GIR_Coverage, 8473,
     /*  274355 */     GIR_EraseRootFromParent_Done,
     /*  274356 */   // Label 5211: @274356
     /*  274356 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(274419), // Rule ID 8476 //
     /*  274361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  274375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274400 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274417 */     GIR_RootConstrainSelectedInstOperands,
     /*  274418 */     // GIR_Coverage, 8476,
     /*  274418 */     GIR_EraseRootFromParent_Done,
     /*  274419 */   // Label 5212: @274419
     /*  274419 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(274482), // Rule ID 8477 //
     /*  274424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  274438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274463 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274480 */     GIR_RootConstrainSelectedInstOperands,
     /*  274481 */     // GIR_Coverage, 8477,
     /*  274481 */     GIR_EraseRootFromParent_Done,
     /*  274482 */   // Label 5213: @274482
     /*  274482 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(274545), // Rule ID 8480 //
     /*  274487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  274498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  274501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274526 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274543 */     GIR_RootConstrainSelectedInstOperands,
     /*  274544 */     // GIR_Coverage, 8480,
     /*  274544 */     GIR_EraseRootFromParent_Done,
     /*  274545 */   // Label 5214: @274545
     /*  274545 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(274608), // Rule ID 8481 //
     /*  274550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  274561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  274564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274589 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274606 */     GIR_RootConstrainSelectedInstOperands,
     /*  274607 */     // GIR_Coverage, 8481,
     /*  274607 */     GIR_EraseRootFromParent_Done,
     /*  274608 */   // Label 5215: @274608
     /*  274608 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(274671), // Rule ID 8484 //
     /*  274613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  274627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  274655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274669 */     GIR_RootConstrainSelectedInstOperands,
     /*  274670 */     // GIR_Coverage, 8484,
     /*  274670 */     GIR_EraseRootFromParent_Done,
     /*  274671 */   // Label 5216: @274671
     /*  274671 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(274734), // Rule ID 8485 //
     /*  274676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  274690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274715 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  274718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274732 */     GIR_RootConstrainSelectedInstOperands,
     /*  274733 */     // GIR_Coverage, 8485,
     /*  274733 */     GIR_EraseRootFromParent_Done,
     /*  274734 */   // Label 5217: @274734
     /*  274734 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(274797), // Rule ID 8488 //
     /*  274739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  274753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274778 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274795 */     GIR_RootConstrainSelectedInstOperands,
     /*  274796 */     // GIR_Coverage, 8488,
     /*  274796 */     GIR_EraseRootFromParent_Done,
     /*  274797 */   // Label 5218: @274797
     /*  274797 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(274860), // Rule ID 8489 //
     /*  274802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  274816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274841 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274858 */     GIR_RootConstrainSelectedInstOperands,
     /*  274859 */     // GIR_Coverage, 8489,
     /*  274859 */     GIR_EraseRootFromParent_Done,
     /*  274860 */   // Label 5219: @274860
     /*  274860 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(274923), // Rule ID 8492 //
     /*  274865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  274879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274904 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274921 */     GIR_RootConstrainSelectedInstOperands,
     /*  274922 */     // GIR_Coverage, 8492,
     /*  274922 */     GIR_EraseRootFromParent_Done,
     /*  274923 */   // Label 5220: @274923
     /*  274923 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(274986), // Rule ID 8493 //
     /*  274928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  274942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274967 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274984 */     GIR_RootConstrainSelectedInstOperands,
     /*  274985 */     // GIR_Coverage, 8493,
     /*  274985 */     GIR_EraseRootFromParent_Done,
     /*  274986 */   // Label 5221: @274986
     /*  274986 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(275049), // Rule ID 8496 //
     /*  274991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  275005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  275008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  275023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275030 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  275033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275047 */     GIR_RootConstrainSelectedInstOperands,
     /*  275048 */     // GIR_Coverage, 8496,
     /*  275048 */     GIR_EraseRootFromParent_Done,
     /*  275049 */   // Label 5222: @275049
     /*  275049 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(275112), // Rule ID 8497 //
     /*  275054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  275068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  275071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  275086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275093 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  275096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275110 */     GIR_RootConstrainSelectedInstOperands,
     /*  275111 */     // GIR_Coverage, 8497,
     /*  275111 */     GIR_EraseRootFromParent_Done,
     /*  275112 */   // Label 5223: @275112
     /*  275112 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(275175), // Rule ID 8500 //
     /*  275117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  275131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  275134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  275149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  275159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275173 */     GIR_RootConstrainSelectedInstOperands,
     /*  275174 */     // GIR_Coverage, 8500,
     /*  275174 */     GIR_EraseRootFromParent_Done,
     /*  275175 */   // Label 5224: @275175
     /*  275175 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(275238), // Rule ID 8501 //
     /*  275180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  275194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  275197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  275212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275219 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  275222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275236 */     GIR_RootConstrainSelectedInstOperands,
     /*  275237 */     // GIR_Coverage, 8501,
     /*  275237 */     GIR_EraseRootFromParent_Done,
     /*  275238 */   // Label 5225: @275238
     /*  275238 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(275301), // Rule ID 8504 //
     /*  275243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  275257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  275260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  275275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275282 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  275285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275299 */     GIR_RootConstrainSelectedInstOperands,
     /*  275300 */     // GIR_Coverage, 8504,
     /*  275300 */     GIR_EraseRootFromParent_Done,
     /*  275301 */   // Label 5226: @275301
     /*  275301 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(275364), // Rule ID 8505 //
     /*  275306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  275320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  275323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  275338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275345 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  275348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275362 */     GIR_RootConstrainSelectedInstOperands,
     /*  275363 */     // GIR_Coverage, 8505,
     /*  275363 */     GIR_EraseRootFromParent_Done,
     /*  275364 */   // Label 5227: @275364
     /*  275364 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(275427), // Rule ID 8508 //
     /*  275369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  275383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  275386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275408 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  275411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275425 */     GIR_RootConstrainSelectedInstOperands,
     /*  275426 */     // GIR_Coverage, 8508,
     /*  275426 */     GIR_EraseRootFromParent_Done,
     /*  275427 */   // Label 5228: @275427
     /*  275427 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(275490), // Rule ID 8509 //
     /*  275432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  275446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  275449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275471 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  275474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275488 */     GIR_RootConstrainSelectedInstOperands,
     /*  275489 */     // GIR_Coverage, 8509,
     /*  275489 */     GIR_EraseRootFromParent_Done,
     /*  275490 */   // Label 5229: @275490
     /*  275490 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(275553), // Rule ID 8512 //
     /*  275495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  275509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  275512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275534 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  275537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275551 */     GIR_RootConstrainSelectedInstOperands,
     /*  275552 */     // GIR_Coverage, 8512,
     /*  275552 */     GIR_EraseRootFromParent_Done,
     /*  275553 */   // Label 5230: @275553
     /*  275553 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(275616), // Rule ID 8513 //
     /*  275558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  275572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  275575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275597 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  275600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275614 */     GIR_RootConstrainSelectedInstOperands,
     /*  275615 */     // GIR_Coverage, 8513,
     /*  275615 */     GIR_EraseRootFromParent_Done,
     /*  275616 */   // Label 5231: @275616
     /*  275616 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(275679), // Rule ID 8516 //
     /*  275621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  275635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  275638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275660 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275677 */     GIR_RootConstrainSelectedInstOperands,
     /*  275678 */     // GIR_Coverage, 8516,
     /*  275678 */     GIR_EraseRootFromParent_Done,
     /*  275679 */   // Label 5232: @275679
     /*  275679 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(275742), // Rule ID 8517 //
     /*  275684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  275698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  275701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275723 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275740 */     GIR_RootConstrainSelectedInstOperands,
     /*  275741 */     // GIR_Coverage, 8517,
     /*  275741 */     GIR_EraseRootFromParent_Done,
     /*  275742 */   // Label 5233: @275742
     /*  275742 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(275805), // Rule ID 8520 //
     /*  275747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  275761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  275764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275786 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  275789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275803 */     GIR_RootConstrainSelectedInstOperands,
     /*  275804 */     // GIR_Coverage, 8520,
     /*  275804 */     GIR_EraseRootFromParent_Done,
     /*  275805 */   // Label 5234: @275805
     /*  275805 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(275868), // Rule ID 8521 //
     /*  275810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  275824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  275827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275849 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  275852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275866 */     GIR_RootConstrainSelectedInstOperands,
     /*  275867 */     // GIR_Coverage, 8521,
     /*  275867 */     GIR_EraseRootFromParent_Done,
     /*  275868 */   // Label 5235: @275868
     /*  275868 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(275931), // Rule ID 8524 //
     /*  275873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  275887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  275890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275929 */     GIR_RootConstrainSelectedInstOperands,
     /*  275930 */     // GIR_Coverage, 8524,
     /*  275930 */     GIR_EraseRootFromParent_Done,
     /*  275931 */   // Label 5236: @275931
     /*  275931 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(275994), // Rule ID 8525 //
     /*  275936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  275950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  275953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275975 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  275978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275992 */     GIR_RootConstrainSelectedInstOperands,
     /*  275993 */     // GIR_Coverage, 8525,
     /*  275993 */     GIR_EraseRootFromParent_Done,
     /*  275994 */   // Label 5237: @275994
     /*  275994 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(276057), // Rule ID 8528 //
     /*  275999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  276013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  276016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276038 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  276041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276055 */     GIR_RootConstrainSelectedInstOperands,
     /*  276056 */     // GIR_Coverage, 8528,
     /*  276056 */     GIR_EraseRootFromParent_Done,
     /*  276057 */   // Label 5238: @276057
     /*  276057 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(276120), // Rule ID 8529 //
     /*  276062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  276076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  276079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276101 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  276104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276118 */     GIR_RootConstrainSelectedInstOperands,
     /*  276119 */     // GIR_Coverage, 8529,
     /*  276119 */     GIR_EraseRootFromParent_Done,
     /*  276120 */   // Label 5239: @276120
     /*  276120 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(276183), // Rule ID 8532 //
     /*  276125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  276139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  276142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276164 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  276167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276181 */     GIR_RootConstrainSelectedInstOperands,
     /*  276182 */     // GIR_Coverage, 8532,
     /*  276182 */     GIR_EraseRootFromParent_Done,
     /*  276183 */   // Label 5240: @276183
     /*  276183 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(276246), // Rule ID 8533 //
     /*  276188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  276202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  276205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276227 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  276230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276244 */     GIR_RootConstrainSelectedInstOperands,
     /*  276245 */     // GIR_Coverage, 8533,
     /*  276245 */     GIR_EraseRootFromParent_Done,
     /*  276246 */   // Label 5241: @276246
     /*  276246 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(276309), // Rule ID 8536 //
     /*  276251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  276265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  276268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276290 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  276293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276307 */     GIR_RootConstrainSelectedInstOperands,
     /*  276308 */     // GIR_Coverage, 8536,
     /*  276308 */     GIR_EraseRootFromParent_Done,
     /*  276309 */   // Label 5242: @276309
     /*  276309 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(276372), // Rule ID 8537 //
     /*  276314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  276328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  276331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276353 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  276356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276370 */     GIR_RootConstrainSelectedInstOperands,
     /*  276371 */     // GIR_Coverage, 8537,
     /*  276371 */     GIR_EraseRootFromParent_Done,
     /*  276372 */   // Label 5243: @276372
     /*  276372 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(276435), // Rule ID 8540 //
     /*  276377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  276391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  276394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276416 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  276419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276433 */     GIR_RootConstrainSelectedInstOperands,
     /*  276434 */     // GIR_Coverage, 8540,
     /*  276434 */     GIR_EraseRootFromParent_Done,
     /*  276435 */   // Label 5244: @276435
     /*  276435 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(276498), // Rule ID 8541 //
     /*  276440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  276454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  276457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276479 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  276482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276496 */     GIR_RootConstrainSelectedInstOperands,
     /*  276497 */     // GIR_Coverage, 8541,
     /*  276497 */     GIR_EraseRootFromParent_Done,
     /*  276498 */   // Label 5245: @276498
     /*  276498 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(276561), // Rule ID 8544 //
     /*  276503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  276517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  276520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276542 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  276545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276559 */     GIR_RootConstrainSelectedInstOperands,
     /*  276560 */     // GIR_Coverage, 8544,
     /*  276560 */     GIR_EraseRootFromParent_Done,
     /*  276561 */   // Label 5246: @276561
     /*  276561 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(276624), // Rule ID 8545 //
     /*  276566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  276580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  276583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276605 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  276608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276622 */     GIR_RootConstrainSelectedInstOperands,
     /*  276623 */     // GIR_Coverage, 8545,
     /*  276623 */     GIR_EraseRootFromParent_Done,
     /*  276624 */   // Label 5247: @276624
     /*  276624 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(276687), // Rule ID 8548 //
     /*  276629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  276643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  276646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276668 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276685 */     GIR_RootConstrainSelectedInstOperands,
     /*  276686 */     // GIR_Coverage, 8548,
     /*  276686 */     GIR_EraseRootFromParent_Done,
     /*  276687 */   // Label 5248: @276687
     /*  276687 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(276750), // Rule ID 8549 //
     /*  276692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  276706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  276709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276731 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276748 */     GIR_RootConstrainSelectedInstOperands,
     /*  276749 */     // GIR_Coverage, 8549,
     /*  276749 */     GIR_EraseRootFromParent_Done,
     /*  276750 */   // Label 5249: @276750
     /*  276750 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(276813), // Rule ID 8552 //
     /*  276755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  276769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  276772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276794 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276811 */     GIR_RootConstrainSelectedInstOperands,
     /*  276812 */     // GIR_Coverage, 8552,
     /*  276812 */     GIR_EraseRootFromParent_Done,
     /*  276813 */   // Label 5250: @276813
     /*  276813 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(276876), // Rule ID 8553 //
     /*  276818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  276832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  276835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276857 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276874 */     GIR_RootConstrainSelectedInstOperands,
     /*  276875 */     // GIR_Coverage, 8553,
     /*  276875 */     GIR_EraseRootFromParent_Done,
     /*  276876 */   // Label 5251: @276876
     /*  276876 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(276939), // Rule ID 8556 //
     /*  276881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  276892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  276895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  276898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276920 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276937 */     GIR_RootConstrainSelectedInstOperands,
     /*  276938 */     // GIR_Coverage, 8556,
     /*  276938 */     GIR_EraseRootFromParent_Done,
     /*  276939 */   // Label 5252: @276939
     /*  276939 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(277002), // Rule ID 8557 //
     /*  276944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  276955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  276958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  276961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276983 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277000 */     GIR_RootConstrainSelectedInstOperands,
     /*  277001 */     // GIR_Coverage, 8557,
     /*  277001 */     GIR_EraseRootFromParent_Done,
     /*  277002 */   // Label 5253: @277002
     /*  277002 */   GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(277065), // Rule ID 8560 //
     /*  277007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  277021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  277024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277046 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  277049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277063 */     GIR_RootConstrainSelectedInstOperands,
     /*  277064 */     // GIR_Coverage, 8560,
     /*  277064 */     GIR_EraseRootFromParent_Done,
     /*  277065 */   // Label 5254: @277065
     /*  277065 */   GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(277128), // Rule ID 8561 //
     /*  277070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  277084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  277087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277109 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  277112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277126 */     GIR_RootConstrainSelectedInstOperands,
     /*  277127 */     // GIR_Coverage, 8561,
     /*  277127 */     GIR_EraseRootFromParent_Done,
     /*  277128 */   // Label 5255: @277128
     /*  277128 */   GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(277191), // Rule ID 8564 //
     /*  277133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  277147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  277150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277172 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  277175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277189 */     GIR_RootConstrainSelectedInstOperands,
     /*  277190 */     // GIR_Coverage, 8564,
     /*  277190 */     GIR_EraseRootFromParent_Done,
     /*  277191 */   // Label 5256: @277191
     /*  277191 */   GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(277254), // Rule ID 8565 //
     /*  277196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  277210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  277213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277235 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  277238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277252 */     GIR_RootConstrainSelectedInstOperands,
     /*  277253 */     // GIR_Coverage, 8565,
     /*  277253 */     GIR_EraseRootFromParent_Done,
     /*  277254 */   // Label 5257: @277254
     /*  277254 */   GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(277317), // Rule ID 8568 //
     /*  277259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  277270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  277273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  277276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277298 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277315 */     GIR_RootConstrainSelectedInstOperands,
     /*  277316 */     // GIR_Coverage, 8568,
     /*  277316 */     GIR_EraseRootFromParent_Done,
     /*  277317 */   // Label 5258: @277317
     /*  277317 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(277380), // Rule ID 8569 //
     /*  277322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  277333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  277336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  277339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277361 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277378 */     GIR_RootConstrainSelectedInstOperands,
     /*  277379 */     // GIR_Coverage, 8569,
     /*  277379 */     GIR_EraseRootFromParent_Done,
     /*  277380 */   // Label 5259: @277380
     /*  277380 */   GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(277443), // Rule ID 8572 //
     /*  277385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  277399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  277402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277424 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  277427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277441 */     GIR_RootConstrainSelectedInstOperands,
     /*  277442 */     // GIR_Coverage, 8572,
     /*  277442 */     GIR_EraseRootFromParent_Done,
     /*  277443 */   // Label 5260: @277443
     /*  277443 */   GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(277506), // Rule ID 8573 //
     /*  277448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  277462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  277465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277487 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  277490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277504 */     GIR_RootConstrainSelectedInstOperands,
     /*  277505 */     // GIR_Coverage, 8573,
     /*  277505 */     GIR_EraseRootFromParent_Done,
     /*  277506 */   // Label 5261: @277506
     /*  277506 */   GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(277569), // Rule ID 8576 //
     /*  277511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  277525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  277528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277550 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  277553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277567 */     GIR_RootConstrainSelectedInstOperands,
     /*  277568 */     // GIR_Coverage, 8576,
     /*  277568 */     GIR_EraseRootFromParent_Done,
     /*  277569 */   // Label 5262: @277569
     /*  277569 */   GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(277632), // Rule ID 8577 //
     /*  277574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  277588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  277591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277613 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  277616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277630 */     GIR_RootConstrainSelectedInstOperands,
     /*  277631 */     // GIR_Coverage, 8577,
     /*  277631 */     GIR_EraseRootFromParent_Done,
     /*  277632 */   // Label 5263: @277632
     /*  277632 */   GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(277695), // Rule ID 8580 //
     /*  277637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  277651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  277654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277676 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277693 */     GIR_RootConstrainSelectedInstOperands,
     /*  277694 */     // GIR_Coverage, 8580,
     /*  277694 */     GIR_EraseRootFromParent_Done,
     /*  277695 */   // Label 5264: @277695
     /*  277695 */   GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(277758), // Rule ID 8581 //
     /*  277700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  277714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  277717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277739 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277756 */     GIR_RootConstrainSelectedInstOperands,
     /*  277757 */     // GIR_Coverage, 8581,
     /*  277757 */     GIR_EraseRootFromParent_Done,
     /*  277758 */   // Label 5265: @277758
     /*  277758 */   GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(277821), // Rule ID 8584 //
     /*  277763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  277766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  277777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  277780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277802 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  277805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277819 */     GIR_RootConstrainSelectedInstOperands,
     /*  277820 */     // GIR_Coverage, 8584,
     /*  277820 */     GIR_EraseRootFromParent_Done,
     /*  277821 */   // Label 5266: @277821
     /*  277821 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(277884), // Rule ID 8585 //
     /*  277826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  277840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  277843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277865 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  277868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277882 */     GIR_RootConstrainSelectedInstOperands,
     /*  277883 */     // GIR_Coverage, 8585,
     /*  277883 */     GIR_EraseRootFromParent_Done,
     /*  277884 */   // Label 5267: @277884
     /*  277884 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(277947), // Rule ID 8588 //
     /*  277889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  277892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  277903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  277906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277928 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  277931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277945 */     GIR_RootConstrainSelectedInstOperands,
     /*  277946 */     // GIR_Coverage, 8588,
     /*  277946 */     GIR_EraseRootFromParent_Done,
     /*  277947 */   // Label 5268: @277947
     /*  277947 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(278010), // Rule ID 8589 //
     /*  277952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  277966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  277969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277991 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  277994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278008 */     GIR_RootConstrainSelectedInstOperands,
     /*  278009 */     // GIR_Coverage, 8589,
     /*  278009 */     GIR_EraseRootFromParent_Done,
     /*  278010 */   // Label 5269: @278010
     /*  278010 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(278073), // Rule ID 8592 //
     /*  278015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  278029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  278032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278054 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  278057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278071 */     GIR_RootConstrainSelectedInstOperands,
     /*  278072 */     // GIR_Coverage, 8592,
     /*  278072 */     GIR_EraseRootFromParent_Done,
     /*  278073 */   // Label 5270: @278073
     /*  278073 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(278136), // Rule ID 8593 //
     /*  278078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  278081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  278092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  278095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278117 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  278120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278134 */     GIR_RootConstrainSelectedInstOperands,
     /*  278135 */     // GIR_Coverage, 8593,
     /*  278135 */     GIR_EraseRootFromParent_Done,
     /*  278136 */   // Label 5271: @278136
     /*  278136 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(278199), // Rule ID 8596 //
     /*  278141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  278155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278180 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  278183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278197 */     GIR_RootConstrainSelectedInstOperands,
     /*  278198 */     // GIR_Coverage, 8596,
     /*  278198 */     GIR_EraseRootFromParent_Done,
     /*  278199 */   // Label 5272: @278199
     /*  278199 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(278262), // Rule ID 8597 //
     /*  278204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  278218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278243 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  278246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278260 */     GIR_RootConstrainSelectedInstOperands,
     /*  278261 */     // GIR_Coverage, 8597,
     /*  278261 */     GIR_EraseRootFromParent_Done,
     /*  278262 */   // Label 5273: @278262
     /*  278262 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(278325), // Rule ID 8600 //
     /*  278267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  278281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278306 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  278309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278323 */     GIR_RootConstrainSelectedInstOperands,
     /*  278324 */     // GIR_Coverage, 8600,
     /*  278324 */     GIR_EraseRootFromParent_Done,
     /*  278325 */   // Label 5274: @278325
     /*  278325 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(278388), // Rule ID 8601 //
     /*  278330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  278344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278369 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  278372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278386 */     GIR_RootConstrainSelectedInstOperands,
     /*  278387 */     // GIR_Coverage, 8601,
     /*  278387 */     GIR_EraseRootFromParent_Done,
     /*  278388 */   // Label 5275: @278388
     /*  278388 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(278451), // Rule ID 8604 //
     /*  278393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  278407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278432 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278449 */     GIR_RootConstrainSelectedInstOperands,
     /*  278450 */     // GIR_Coverage, 8604,
     /*  278450 */     GIR_EraseRootFromParent_Done,
     /*  278451 */   // Label 5276: @278451
     /*  278451 */   GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(278514), // Rule ID 8605 //
     /*  278456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  278470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278495 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278512 */     GIR_RootConstrainSelectedInstOperands,
     /*  278513 */     // GIR_Coverage, 8605,
     /*  278513 */     GIR_EraseRootFromParent_Done,
     /*  278514 */   // Label 5277: @278514
     /*  278514 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(278577), // Rule ID 8608 //
     /*  278519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  278533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278558 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  278561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278575 */     GIR_RootConstrainSelectedInstOperands,
     /*  278576 */     // GIR_Coverage, 8608,
     /*  278576 */     GIR_EraseRootFromParent_Done,
     /*  278577 */   // Label 5278: @278577
     /*  278577 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(278640), // Rule ID 8609 //
     /*  278582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  278596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278621 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  278624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278638 */     GIR_RootConstrainSelectedInstOperands,
     /*  278639 */     // GIR_Coverage, 8609,
     /*  278639 */     GIR_EraseRootFromParent_Done,
     /*  278640 */   // Label 5279: @278640
     /*  278640 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(278703), // Rule ID 8612 //
     /*  278645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  278659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278701 */     GIR_RootConstrainSelectedInstOperands,
     /*  278702 */     // GIR_Coverage, 8612,
     /*  278702 */     GIR_EraseRootFromParent_Done,
     /*  278703 */   // Label 5280: @278703
     /*  278703 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(278766), // Rule ID 8613 //
     /*  278708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  278722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278747 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278764 */     GIR_RootConstrainSelectedInstOperands,
     /*  278765 */     // GIR_Coverage, 8613,
     /*  278765 */     GIR_EraseRootFromParent_Done,
     /*  278766 */   // Label 5281: @278766
     /*  278766 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(278829), // Rule ID 8616 //
     /*  278771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  278785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278810 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278827 */     GIR_RootConstrainSelectedInstOperands,
     /*  278828 */     // GIR_Coverage, 8616,
     /*  278828 */     GIR_EraseRootFromParent_Done,
     /*  278829 */   // Label 5282: @278829
     /*  278829 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(278892), // Rule ID 8617 //
     /*  278834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  278848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278873 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  278876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278890 */     GIR_RootConstrainSelectedInstOperands,
     /*  278891 */     // GIR_Coverage, 8617,
     /*  278891 */     GIR_EraseRootFromParent_Done,
     /*  278892 */   // Label 5283: @278892
     /*  278892 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(278955), // Rule ID 8620 //
     /*  278897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  278911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278953 */     GIR_RootConstrainSelectedInstOperands,
     /*  278954 */     // GIR_Coverage, 8620,
     /*  278954 */     GIR_EraseRootFromParent_Done,
     /*  278955 */   // Label 5284: @278955
     /*  278955 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(279018), // Rule ID 8621 //
     /*  278960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  278974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278999 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  279002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279016 */     GIR_RootConstrainSelectedInstOperands,
     /*  279017 */     // GIR_Coverage, 8621,
     /*  279017 */     GIR_EraseRootFromParent_Done,
     /*  279018 */   // Label 5285: @279018
     /*  279018 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(279081), // Rule ID 8624 //
     /*  279023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  279037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279062 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  279065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279079 */     GIR_RootConstrainSelectedInstOperands,
     /*  279080 */     // GIR_Coverage, 8624,
     /*  279080 */     GIR_EraseRootFromParent_Done,
     /*  279081 */   // Label 5286: @279081
     /*  279081 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(279144), // Rule ID 8625 //
     /*  279086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  279100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279125 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  279128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279142 */     GIR_RootConstrainSelectedInstOperands,
     /*  279143 */     // GIR_Coverage, 8625,
     /*  279143 */     GIR_EraseRootFromParent_Done,
     /*  279144 */   // Label 5287: @279144
     /*  279144 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(279207), // Rule ID 8628 //
     /*  279149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  279163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279188 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  279191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279205 */     GIR_RootConstrainSelectedInstOperands,
     /*  279206 */     // GIR_Coverage, 8628,
     /*  279206 */     GIR_EraseRootFromParent_Done,
     /*  279207 */   // Label 5288: @279207
     /*  279207 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(279270), // Rule ID 8629 //
     /*  279212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  279226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279251 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  279254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279268 */     GIR_RootConstrainSelectedInstOperands,
     /*  279269 */     // GIR_Coverage, 8629,
     /*  279269 */     GIR_EraseRootFromParent_Done,
     /*  279270 */   // Label 5289: @279270
     /*  279270 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(279333), // Rule ID 8632 //
     /*  279275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  279289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279314 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  279317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279331 */     GIR_RootConstrainSelectedInstOperands,
     /*  279332 */     // GIR_Coverage, 8632,
     /*  279332 */     GIR_EraseRootFromParent_Done,
     /*  279333 */   // Label 5290: @279333
     /*  279333 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(279396), // Rule ID 8633 //
     /*  279338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  279352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279377 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  279380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279394 */     GIR_RootConstrainSelectedInstOperands,
     /*  279395 */     // GIR_Coverage, 8633,
     /*  279395 */     GIR_EraseRootFromParent_Done,
     /*  279396 */   // Label 5291: @279396
     /*  279396 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(279459), // Rule ID 8636 //
     /*  279401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  279415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279440 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279457 */     GIR_RootConstrainSelectedInstOperands,
     /*  279458 */     // GIR_Coverage, 8636,
     /*  279458 */     GIR_EraseRootFromParent_Done,
     /*  279459 */   // Label 5292: @279459
     /*  279459 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(279522), // Rule ID 8637 //
     /*  279464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  279478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279503 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279520 */     GIR_RootConstrainSelectedInstOperands,
     /*  279521 */     // GIR_Coverage, 8637,
     /*  279521 */     GIR_EraseRootFromParent_Done,
     /*  279522 */   // Label 5293: @279522
     /*  279522 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(279585), // Rule ID 8640 //
     /*  279527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  279538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  279541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279566 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279583 */     GIR_RootConstrainSelectedInstOperands,
     /*  279584 */     // GIR_Coverage, 8640,
     /*  279584 */     GIR_EraseRootFromParent_Done,
     /*  279585 */   // Label 5294: @279585
     /*  279585 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(279648), // Rule ID 8641 //
     /*  279590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  279601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  279604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279629 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279646 */     GIR_RootConstrainSelectedInstOperands,
     /*  279647 */     // GIR_Coverage, 8641,
     /*  279647 */     GIR_EraseRootFromParent_Done,
     /*  279648 */   // Label 5295: @279648
     /*  279648 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(279711), // Rule ID 8644 //
     /*  279653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  279664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  279667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279692 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279709 */     GIR_RootConstrainSelectedInstOperands,
     /*  279710 */     // GIR_Coverage, 8644,
     /*  279710 */     GIR_EraseRootFromParent_Done,
     /*  279711 */   // Label 5296: @279711
     /*  279711 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(279774), // Rule ID 8645 //
     /*  279716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  279727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  279730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279755 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279772 */     GIR_RootConstrainSelectedInstOperands,
     /*  279773 */     // GIR_Coverage, 8645,
     /*  279773 */     GIR_EraseRootFromParent_Done,
     /*  279774 */   // Label 5297: @279774
     /*  279774 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(279837), // Rule ID 8648 //
     /*  279779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  279793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279818 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279835 */     GIR_RootConstrainSelectedInstOperands,
     /*  279836 */     // GIR_Coverage, 8648,
     /*  279836 */     GIR_EraseRootFromParent_Done,
     /*  279837 */   // Label 5298: @279837
     /*  279837 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(279900), // Rule ID 8649 //
     /*  279842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  279856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279881 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279898 */     GIR_RootConstrainSelectedInstOperands,
     /*  279899 */     // GIR_Coverage, 8649,
     /*  279899 */     GIR_EraseRootFromParent_Done,
     /*  279900 */   // Label 5299: @279900
     /*  279900 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(279963), // Rule ID 8652 //
     /*  279905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  279919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279944 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279961 */     GIR_RootConstrainSelectedInstOperands,
     /*  279962 */     // GIR_Coverage, 8652,
     /*  279962 */     GIR_EraseRootFromParent_Done,
     /*  279963 */   // Label 5300: @279963
     /*  279963 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(280026), // Rule ID 8653 //
     /*  279968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  279982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280007 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  280010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280024 */     GIR_RootConstrainSelectedInstOperands,
     /*  280025 */     // GIR_Coverage, 8653,
     /*  280025 */     GIR_EraseRootFromParent_Done,
     /*  280026 */   // Label 5301: @280026
     /*  280026 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(280089), // Rule ID 8656 //
     /*  280031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  280045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  280048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280070 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  280073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280087 */     GIR_RootConstrainSelectedInstOperands,
     /*  280088 */     // GIR_Coverage, 8656,
     /*  280088 */     GIR_EraseRootFromParent_Done,
     /*  280089 */   // Label 5302: @280089
     /*  280089 */   GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(280152), // Rule ID 8657 //
     /*  280094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  280108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  280111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280133 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  280136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280150 */     GIR_RootConstrainSelectedInstOperands,
     /*  280151 */     // GIR_Coverage, 8657,
     /*  280151 */     GIR_EraseRootFromParent_Done,
     /*  280152 */   // Label 5303: @280152
     /*  280152 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(280215), // Rule ID 8660 //
     /*  280157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  280171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  280174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280196 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  280199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280213 */     GIR_RootConstrainSelectedInstOperands,
     /*  280214 */     // GIR_Coverage, 8660,
     /*  280214 */     GIR_EraseRootFromParent_Done,
     /*  280215 */   // Label 5304: @280215
     /*  280215 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(280278), // Rule ID 8661 //
     /*  280220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  280234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  280237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280259 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  280262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280276 */     GIR_RootConstrainSelectedInstOperands,
     /*  280277 */     // GIR_Coverage, 8661,
     /*  280277 */     GIR_EraseRootFromParent_Done,
     /*  280278 */   // Label 5305: @280278
     /*  280278 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(280341), // Rule ID 8664 //
     /*  280283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  280297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  280300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280322 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  280325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280339 */     GIR_RootConstrainSelectedInstOperands,
     /*  280340 */     // GIR_Coverage, 8664,
     /*  280340 */     GIR_EraseRootFromParent_Done,
     /*  280341 */   // Label 5306: @280341
     /*  280341 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(280404), // Rule ID 8665 //
     /*  280346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  280360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  280363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280385 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  280388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280402 */     GIR_RootConstrainSelectedInstOperands,
     /*  280403 */     // GIR_Coverage, 8665,
     /*  280403 */     GIR_EraseRootFromParent_Done,
     /*  280404 */   // Label 5307: @280404
     /*  280404 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(280467), // Rule ID 8668 //
     /*  280409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  280423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  280426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  280451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280465 */     GIR_RootConstrainSelectedInstOperands,
     /*  280466 */     // GIR_Coverage, 8668,
     /*  280466 */     GIR_EraseRootFromParent_Done,
     /*  280467 */   // Label 5308: @280467
     /*  280467 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(280530), // Rule ID 8669 //
     /*  280472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  280486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  280489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280511 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  280514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280528 */     GIR_RootConstrainSelectedInstOperands,
     /*  280529 */     // GIR_Coverage, 8669,
     /*  280529 */     GIR_EraseRootFromParent_Done,
     /*  280530 */   // Label 5309: @280530
     /*  280530 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(280593), // Rule ID 8672 //
     /*  280535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  280538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  280549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  280552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280574 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  280574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  280577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280591 */     GIR_RootConstrainSelectedInstOperands,
     /*  280592 */     // GIR_Coverage, 8672,
     /*  280592 */     GIR_EraseRootFromParent_Done,
     /*  280593 */   // Label 5310: @280593
     /*  280593 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(280656), // Rule ID 8673 //
     /*  280598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  280601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  280612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  280615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280637 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  280637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  280640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280654 */     GIR_RootConstrainSelectedInstOperands,
     /*  280655 */     // GIR_Coverage, 8673,
     /*  280655 */     GIR_EraseRootFromParent_Done,
     /*  280656 */   // Label 5311: @280656
     /*  280656 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(280719), // Rule ID 8676 //
     /*  280661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  280664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  280675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  280678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280700 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  280700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  280703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280717 */     GIR_RootConstrainSelectedInstOperands,
     /*  280718 */     // GIR_Coverage, 8676,
     /*  280718 */     GIR_EraseRootFromParent_Done,
     /*  280719 */   // Label 5312: @280719
     /*  280719 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(280782), // Rule ID 8677 //
     /*  280724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  280727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  280738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  280741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280763 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  280763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  280766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280780 */     GIR_RootConstrainSelectedInstOperands,
     /*  280781 */     // GIR_Coverage, 8677,
     /*  280781 */     GIR_EraseRootFromParent_Done,
     /*  280782 */   // Label 5313: @280782
     /*  280782 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(280845), // Rule ID 8680 //
     /*  280787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  280790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  280801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  280804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280826 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  280826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  280829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280843 */     GIR_RootConstrainSelectedInstOperands,
     /*  280844 */     // GIR_Coverage, 8680,
     /*  280844 */     GIR_EraseRootFromParent_Done,
     /*  280845 */   // Label 5314: @280845
     /*  280845 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(280908), // Rule ID 8681 //
     /*  280850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  280853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  280864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  280867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  280882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280889 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  280889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  280892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280906 */     GIR_RootConstrainSelectedInstOperands,
     /*  280907 */     // GIR_Coverage, 8681,
     /*  280907 */     GIR_EraseRootFromParent_Done,
     /*  280908 */   // Label 5315: @280908
     /*  280908 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(280971), // Rule ID 8684 //
     /*  280913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  280927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  280930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  280955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280969 */     GIR_RootConstrainSelectedInstOperands,
     /*  280970 */     // GIR_Coverage, 8684,
     /*  280970 */     GIR_EraseRootFromParent_Done,
     /*  280971 */   // Label 5316: @280971
     /*  280971 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(281034), // Rule ID 8685 //
     /*  280976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  280990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  280993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281015 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  281018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281032 */     GIR_RootConstrainSelectedInstOperands,
     /*  281033 */     // GIR_Coverage, 8685,
     /*  281033 */     GIR_EraseRootFromParent_Done,
     /*  281034 */   // Label 5317: @281034
     /*  281034 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(281097), // Rule ID 8688 //
     /*  281039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  281053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  281056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281078 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  281081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281095 */     GIR_RootConstrainSelectedInstOperands,
     /*  281096 */     // GIR_Coverage, 8688,
     /*  281096 */     GIR_EraseRootFromParent_Done,
     /*  281097 */   // Label 5318: @281097
     /*  281097 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(281160), // Rule ID 8689 //
     /*  281102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  281116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  281119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281141 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  281144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281158 */     GIR_RootConstrainSelectedInstOperands,
     /*  281159 */     // GIR_Coverage, 8689,
     /*  281159 */     GIR_EraseRootFromParent_Done,
     /*  281160 */   // Label 5319: @281160
     /*  281160 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(281223), // Rule ID 8692 //
     /*  281165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  281179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  281182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  281207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281221 */     GIR_RootConstrainSelectedInstOperands,
     /*  281222 */     // GIR_Coverage, 8692,
     /*  281222 */     GIR_EraseRootFromParent_Done,
     /*  281223 */   // Label 5320: @281223
     /*  281223 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(281286), // Rule ID 8693 //
     /*  281228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  281242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  281245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281267 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  281270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281284 */     GIR_RootConstrainSelectedInstOperands,
     /*  281285 */     // GIR_Coverage, 8693,
     /*  281285 */     GIR_EraseRootFromParent_Done,
     /*  281286 */   // Label 5321: @281286
     /*  281286 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(281349), // Rule ID 8696 //
     /*  281291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  281305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  281308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281330 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  281333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281347 */     GIR_RootConstrainSelectedInstOperands,
     /*  281348 */     // GIR_Coverage, 8696,
     /*  281348 */     GIR_EraseRootFromParent_Done,
     /*  281349 */   // Label 5322: @281349
     /*  281349 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(281412), // Rule ID 8697 //
     /*  281354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  281368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  281371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281393 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  281396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281410 */     GIR_RootConstrainSelectedInstOperands,
     /*  281411 */     // GIR_Coverage, 8697,
     /*  281411 */     GIR_EraseRootFromParent_Done,
     /*  281412 */   // Label 5323: @281412
     /*  281412 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(281475), // Rule ID 8700 //
     /*  281417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  281431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  281434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281456 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  281459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281473 */     GIR_RootConstrainSelectedInstOperands,
     /*  281474 */     // GIR_Coverage, 8700,
     /*  281474 */     GIR_EraseRootFromParent_Done,
     /*  281475 */   // Label 5324: @281475
     /*  281475 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(281538), // Rule ID 8701 //
     /*  281480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  281494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  281497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281519 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  281522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281536 */     GIR_RootConstrainSelectedInstOperands,
     /*  281537 */     // GIR_Coverage, 8701,
     /*  281537 */     GIR_EraseRootFromParent_Done,
     /*  281538 */   // Label 5325: @281538
     /*  281538 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(281601), // Rule ID 8704 //
     /*  281543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  281557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  281560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281582 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  281585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281599 */     GIR_RootConstrainSelectedInstOperands,
     /*  281600 */     // GIR_Coverage, 8704,
     /*  281600 */     GIR_EraseRootFromParent_Done,
     /*  281601 */   // Label 5326: @281601
     /*  281601 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(281664), // Rule ID 8705 //
     /*  281606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  281620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  281623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281645 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  281648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281662 */     GIR_RootConstrainSelectedInstOperands,
     /*  281663 */     // GIR_Coverage, 8705,
     /*  281663 */     GIR_EraseRootFromParent_Done,
     /*  281664 */   // Label 5327: @281664
     /*  281664 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(281727), // Rule ID 8708 //
     /*  281669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  281683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  281686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281708 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281725 */     GIR_RootConstrainSelectedInstOperands,
     /*  281726 */     // GIR_Coverage, 8708,
     /*  281726 */     GIR_EraseRootFromParent_Done,
     /*  281727 */   // Label 5328: @281727
     /*  281727 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(281790), // Rule ID 8709 //
     /*  281732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  281746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  281749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281771 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281788 */     GIR_RootConstrainSelectedInstOperands,
     /*  281789 */     // GIR_Coverage, 8709,
     /*  281789 */     GIR_EraseRootFromParent_Done,
     /*  281790 */   // Label 5329: @281790
     /*  281790 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(281853), // Rule ID 8712 //
     /*  281795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  281809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  281812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281834 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281851 */     GIR_RootConstrainSelectedInstOperands,
     /*  281852 */     // GIR_Coverage, 8712,
     /*  281852 */     GIR_EraseRootFromParent_Done,
     /*  281853 */   // Label 5330: @281853
     /*  281853 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(281916), // Rule ID 8713 //
     /*  281858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  281872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  281875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281897 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281914 */     GIR_RootConstrainSelectedInstOperands,
     /*  281915 */     // GIR_Coverage, 8713,
     /*  281915 */     GIR_EraseRootFromParent_Done,
     /*  281916 */   // Label 5331: @281916
     /*  281916 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(281979), // Rule ID 8716 //
     /*  281921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  281935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  281938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281960 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281977 */     GIR_RootConstrainSelectedInstOperands,
     /*  281978 */     // GIR_Coverage, 8716,
     /*  281978 */     GIR_EraseRootFromParent_Done,
     /*  281979 */   // Label 5332: @281979
     /*  281979 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(282042), // Rule ID 8717 //
     /*  281984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  281998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  282001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282023 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  282026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282040 */     GIR_RootConstrainSelectedInstOperands,
     /*  282041 */     // GIR_Coverage, 8717,
     /*  282041 */     GIR_EraseRootFromParent_Done,
     /*  282042 */   // Label 5333: @282042
     /*  282042 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(282105), // Rule ID 8720 //
     /*  282047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  282061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  282064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282086 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  282089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282103 */     GIR_RootConstrainSelectedInstOperands,
     /*  282104 */     // GIR_Coverage, 8720,
     /*  282104 */     GIR_EraseRootFromParent_Done,
     /*  282105 */   // Label 5334: @282105
     /*  282105 */   GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(282168), // Rule ID 8721 //
     /*  282110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  282124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  282127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282149 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  282152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282166 */     GIR_RootConstrainSelectedInstOperands,
     /*  282167 */     // GIR_Coverage, 8721,
     /*  282167 */     GIR_EraseRootFromParent_Done,
     /*  282168 */   // Label 5335: @282168
     /*  282168 */   GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(282231), // Rule ID 8724 //
     /*  282173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  282187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  282190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282212 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282229 */     GIR_RootConstrainSelectedInstOperands,
     /*  282230 */     // GIR_Coverage, 8724,
     /*  282230 */     GIR_EraseRootFromParent_Done,
     /*  282231 */   // Label 5336: @282231
     /*  282231 */   GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(282294), // Rule ID 8725 //
     /*  282236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  282250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  282253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282275 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282292 */     GIR_RootConstrainSelectedInstOperands,
     /*  282293 */     // GIR_Coverage, 8725,
     /*  282293 */     GIR_EraseRootFromParent_Done,
     /*  282294 */   // Label 5337: @282294
     /*  282294 */   GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(282357), // Rule ID 8728 //
     /*  282299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  282310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  282313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  282316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282338 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282355 */     GIR_RootConstrainSelectedInstOperands,
     /*  282356 */     // GIR_Coverage, 8728,
     /*  282356 */     GIR_EraseRootFromParent_Done,
     /*  282357 */   // Label 5338: @282357
     /*  282357 */   GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(282420), // Rule ID 8729 //
     /*  282362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  282373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  282376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  282379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282401 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282418 */     GIR_RootConstrainSelectedInstOperands,
     /*  282419 */     // GIR_Coverage, 8729,
     /*  282419 */     GIR_EraseRootFromParent_Done,
     /*  282420 */   // Label 5339: @282420
     /*  282420 */   GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(282483), // Rule ID 8732 //
     /*  282425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  282436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  282439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  282442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282464 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282481 */     GIR_RootConstrainSelectedInstOperands,
     /*  282482 */     // GIR_Coverage, 8732,
     /*  282482 */     GIR_EraseRootFromParent_Done,
     /*  282483 */   // Label 5340: @282483
     /*  282483 */   GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(282546), // Rule ID 8733 //
     /*  282488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  282499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  282502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  282505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282527 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282544 */     GIR_RootConstrainSelectedInstOperands,
     /*  282545 */     // GIR_Coverage, 8733,
     /*  282545 */     GIR_EraseRootFromParent_Done,
     /*  282546 */   // Label 5341: @282546
     /*  282546 */   GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(282609), // Rule ID 8736 //
     /*  282551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  282565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  282568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282590 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282607 */     GIR_RootConstrainSelectedInstOperands,
     /*  282608 */     // GIR_Coverage, 8736,
     /*  282608 */     GIR_EraseRootFromParent_Done,
     /*  282609 */   // Label 5342: @282609
     /*  282609 */   GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(282672), // Rule ID 8737 //
     /*  282614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  282628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  282631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282653 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282670 */     GIR_RootConstrainSelectedInstOperands,
     /*  282671 */     // GIR_Coverage, 8737,
     /*  282671 */     GIR_EraseRootFromParent_Done,
     /*  282672 */   // Label 5343: @282672
     /*  282672 */   GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(282735), // Rule ID 8740 //
     /*  282677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  282691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  282694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282716 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282733 */     GIR_RootConstrainSelectedInstOperands,
     /*  282734 */     // GIR_Coverage, 8740,
     /*  282734 */     GIR_EraseRootFromParent_Done,
     /*  282735 */   // Label 5344: @282735
     /*  282735 */   GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(282798), // Rule ID 8741 //
     /*  282740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  282754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  282757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282779 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282796 */     GIR_RootConstrainSelectedInstOperands,
     /*  282797 */     // GIR_Coverage, 8741,
     /*  282797 */     GIR_EraseRootFromParent_Done,
     /*  282798 */   // Label 5345: @282798
     /*  282798 */   GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(282861), // Rule ID 8744 //
     /*  282803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  282814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  282817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  282820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282842 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282859 */     GIR_RootConstrainSelectedInstOperands,
     /*  282860 */     // GIR_Coverage, 8744,
     /*  282860 */     GIR_EraseRootFromParent_Done,
     /*  282861 */   // Label 5346: @282861
     /*  282861 */   GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(282924), // Rule ID 8745 //
     /*  282866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  282877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  282880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  282883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282905 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282922 */     GIR_RootConstrainSelectedInstOperands,
     /*  282923 */     // GIR_Coverage, 8745,
     /*  282923 */     GIR_EraseRootFromParent_Done,
     /*  282924 */   // Label 5347: @282924
     /*  282924 */   GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(282987), // Rule ID 8748 //
     /*  282929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  282943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  282946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282968 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282985 */     GIR_RootConstrainSelectedInstOperands,
     /*  282986 */     // GIR_Coverage, 8748,
     /*  282986 */     GIR_EraseRootFromParent_Done,
     /*  282987 */   // Label 5348: @282987
     /*  282987 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(283050), // Rule ID 8749 //
     /*  282992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  283006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  283009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283031 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  283034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283048 */     GIR_RootConstrainSelectedInstOperands,
     /*  283049 */     // GIR_Coverage, 8749,
     /*  283049 */     GIR_EraseRootFromParent_Done,
     /*  283050 */   // Label 5349: @283050
     /*  283050 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(283113), // Rule ID 8752 //
     /*  283055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  283069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  283072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283094 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  283097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283111 */     GIR_RootConstrainSelectedInstOperands,
     /*  283112 */     // GIR_Coverage, 8752,
     /*  283112 */     GIR_EraseRootFromParent_Done,
     /*  283113 */   // Label 5350: @283113
     /*  283113 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(283176), // Rule ID 8753 //
     /*  283118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  283132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  283135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283157 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  283160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283174 */     GIR_RootConstrainSelectedInstOperands,
     /*  283175 */     // GIR_Coverage, 8753,
     /*  283175 */     GIR_EraseRootFromParent_Done,
     /*  283176 */   // Label 5351: @283176
     /*  283176 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(283239), // Rule ID 8756 //
     /*  283181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  283195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  283198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283220 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  283223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283237 */     GIR_RootConstrainSelectedInstOperands,
     /*  283238 */     // GIR_Coverage, 8756,
     /*  283238 */     GIR_EraseRootFromParent_Done,
     /*  283239 */   // Label 5352: @283239
     /*  283239 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(283302), // Rule ID 8757 //
     /*  283244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  283258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  283261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283283 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  283286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283300 */     GIR_RootConstrainSelectedInstOperands,
     /*  283301 */     // GIR_Coverage, 8757,
     /*  283301 */     GIR_EraseRootFromParent_Done,
     /*  283302 */   // Label 5353: @283302
     /*  283302 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(283365), // Rule ID 8760 //
     /*  283307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  283310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  283321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  283324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283346 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  283346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  283349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283363 */     GIR_RootConstrainSelectedInstOperands,
     /*  283364 */     // GIR_Coverage, 8760,
     /*  283364 */     GIR_EraseRootFromParent_Done,
     /*  283365 */   // Label 5354: @283365
     /*  283365 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(283428), // Rule ID 8761 //
     /*  283370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  283373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  283384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  283387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283409 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  283409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  283412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283426 */     GIR_RootConstrainSelectedInstOperands,
     /*  283427 */     // GIR_Coverage, 8761,
     /*  283427 */     GIR_EraseRootFromParent_Done,
     /*  283428 */   // Label 5355: @283428
     /*  283428 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(283491), // Rule ID 8764 //
     /*  283433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  283436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  283447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  283450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  283472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  283475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283489 */     GIR_RootConstrainSelectedInstOperands,
     /*  283490 */     // GIR_Coverage, 8764,
     /*  283490 */     GIR_EraseRootFromParent_Done,
     /*  283491 */   // Label 5356: @283491
     /*  283491 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(283554), // Rule ID 8765 //
     /*  283496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  283499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  283510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  283513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283535 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  283535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  283538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283552 */     GIR_RootConstrainSelectedInstOperands,
     /*  283553 */     // GIR_Coverage, 8765,
     /*  283553 */     GIR_EraseRootFromParent_Done,
     /*  283554 */   // Label 5357: @283554
     /*  283554 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(283617), // Rule ID 8768 //
     /*  283559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  283562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  283573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  283576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283598 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  283598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  283601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283615 */     GIR_RootConstrainSelectedInstOperands,
     /*  283616 */     // GIR_Coverage, 8768,
     /*  283616 */     GIR_EraseRootFromParent_Done,
     /*  283617 */   // Label 5358: @283617
     /*  283617 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(283680), // Rule ID 8769 //
     /*  283622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  283625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  283636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  283639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283661 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  283661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  283664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283678 */     GIR_RootConstrainSelectedInstOperands,
     /*  283679 */     // GIR_Coverage, 8769,
     /*  283679 */     GIR_EraseRootFromParent_Done,
     /*  283680 */   // Label 5359: @283680
     /*  283680 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(283743), // Rule ID 8772 //
     /*  283685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  283699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  283727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283741 */     GIR_RootConstrainSelectedInstOperands,
     /*  283742 */     // GIR_Coverage, 8772,
     /*  283742 */     GIR_EraseRootFromParent_Done,
     /*  283743 */   // Label 5360: @283743
     /*  283743 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(283806), // Rule ID 8773 //
     /*  283748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  283762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283787 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  283790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283804 */     GIR_RootConstrainSelectedInstOperands,
     /*  283805 */     // GIR_Coverage, 8773,
     /*  283805 */     GIR_EraseRootFromParent_Done,
     /*  283806 */   // Label 5361: @283806
     /*  283806 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(283869), // Rule ID 8776 //
     /*  283811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  283825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283850 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283867 */     GIR_RootConstrainSelectedInstOperands,
     /*  283868 */     // GIR_Coverage, 8776,
     /*  283868 */     GIR_EraseRootFromParent_Done,
     /*  283869 */   // Label 5362: @283869
     /*  283869 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(283932), // Rule ID 8777 //
     /*  283874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  283888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283913 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283930 */     GIR_RootConstrainSelectedInstOperands,
     /*  283931 */     // GIR_Coverage, 8777,
     /*  283931 */     GIR_EraseRootFromParent_Done,
     /*  283932 */   // Label 5363: @283932
     /*  283932 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(283995), // Rule ID 8780 //
     /*  283937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  283951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283993 */     GIR_RootConstrainSelectedInstOperands,
     /*  283994 */     // GIR_Coverage, 8780,
     /*  283994 */     GIR_EraseRootFromParent_Done,
     /*  283995 */   // Label 5364: @283995
     /*  283995 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(284058), // Rule ID 8781 //
     /*  284000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  284014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284039 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  284042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284056 */     GIR_RootConstrainSelectedInstOperands,
     /*  284057 */     // GIR_Coverage, 8781,
     /*  284057 */     GIR_EraseRootFromParent_Done,
     /*  284058 */   // Label 5365: @284058
     /*  284058 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(284121), // Rule ID 8784 //
     /*  284063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  284077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284102 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  284105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284119 */     GIR_RootConstrainSelectedInstOperands,
     /*  284120 */     // GIR_Coverage, 8784,
     /*  284120 */     GIR_EraseRootFromParent_Done,
     /*  284121 */   // Label 5366: @284121
     /*  284121 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(284184), // Rule ID 8785 //
     /*  284126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  284140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284165 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  284168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284182 */     GIR_RootConstrainSelectedInstOperands,
     /*  284183 */     // GIR_Coverage, 8785,
     /*  284183 */     GIR_EraseRootFromParent_Done,
     /*  284184 */   // Label 5367: @284184
     /*  284184 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(284247), // Rule ID 8788 //
     /*  284189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  284203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  284231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284245 */     GIR_RootConstrainSelectedInstOperands,
     /*  284246 */     // GIR_Coverage, 8788,
     /*  284246 */     GIR_EraseRootFromParent_Done,
     /*  284247 */   // Label 5368: @284247
     /*  284247 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(284310), // Rule ID 8789 //
     /*  284252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  284266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284291 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  284294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284308 */     GIR_RootConstrainSelectedInstOperands,
     /*  284309 */     // GIR_Coverage, 8789,
     /*  284309 */     GIR_EraseRootFromParent_Done,
     /*  284310 */   // Label 5369: @284310
     /*  284310 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(284373), // Rule ID 8792 //
     /*  284315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  284329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284354 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  284357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284371 */     GIR_RootConstrainSelectedInstOperands,
     /*  284372 */     // GIR_Coverage, 8792,
     /*  284372 */     GIR_EraseRootFromParent_Done,
     /*  284373 */   // Label 5370: @284373
     /*  284373 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(284436), // Rule ID 8793 //
     /*  284378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  284392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284417 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  284420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284434 */     GIR_RootConstrainSelectedInstOperands,
     /*  284435 */     // GIR_Coverage, 8793,
     /*  284435 */     GIR_EraseRootFromParent_Done,
     /*  284436 */   // Label 5371: @284436
     /*  284436 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(284499), // Rule ID 8796 //
     /*  284441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  284455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284480 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284497 */     GIR_RootConstrainSelectedInstOperands,
     /*  284498 */     // GIR_Coverage, 8796,
     /*  284498 */     GIR_EraseRootFromParent_Done,
     /*  284499 */   // Label 5372: @284499
     /*  284499 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(284562), // Rule ID 8797 //
     /*  284504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  284518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284543 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284560 */     GIR_RootConstrainSelectedInstOperands,
     /*  284561 */     // GIR_Coverage, 8797,
     /*  284561 */     GIR_EraseRootFromParent_Done,
     /*  284562 */   // Label 5373: @284562
     /*  284562 */   GIM_Try, /*On fail goto*//*Label 5374*/ GIMT_Encode4(284625), // Rule ID 8800 //
     /*  284567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  284581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284606 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284623 */     GIR_RootConstrainSelectedInstOperands,
     /*  284624 */     // GIR_Coverage, 8800,
     /*  284624 */     GIR_EraseRootFromParent_Done,
     /*  284625 */   // Label 5374: @284625
     /*  284625 */   GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(284688), // Rule ID 8801 //
     /*  284630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  284644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284669 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284686 */     GIR_RootConstrainSelectedInstOperands,
     /*  284687 */     // GIR_Coverage, 8801,
     /*  284687 */     GIR_EraseRootFromParent_Done,
     /*  284688 */   // Label 5375: @284688
     /*  284688 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(284751), // Rule ID 8804 //
     /*  284693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  284707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284732 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284749 */     GIR_RootConstrainSelectedInstOperands,
     /*  284750 */     // GIR_Coverage, 8804,
     /*  284750 */     GIR_EraseRootFromParent_Done,
     /*  284751 */   // Label 5376: @284751
     /*  284751 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(284814), // Rule ID 8805 //
     /*  284756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  284770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284795 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284812 */     GIR_RootConstrainSelectedInstOperands,
     /*  284813 */     // GIR_Coverage, 8805,
     /*  284813 */     GIR_EraseRootFromParent_Done,
     /*  284814 */   // Label 5377: @284814
     /*  284814 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(284877), // Rule ID 8808 //
     /*  284819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  284833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284858 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284875 */     GIR_RootConstrainSelectedInstOperands,
     /*  284876 */     // GIR_Coverage, 8808,
     /*  284876 */     GIR_EraseRootFromParent_Done,
     /*  284877 */   // Label 5378: @284877
     /*  284877 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(284940), // Rule ID 8809 //
     /*  284882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  284896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284921 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  284924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284938 */     GIR_RootConstrainSelectedInstOperands,
     /*  284939 */     // GIR_Coverage, 8809,
     /*  284939 */     GIR_EraseRootFromParent_Done,
     /*  284940 */   // Label 5379: @284940
     /*  284940 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(285003), // Rule ID 8812 //
     /*  284945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  284959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284984 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285001 */     GIR_RootConstrainSelectedInstOperands,
     /*  285002 */     // GIR_Coverage, 8812,
     /*  285002 */     GIR_EraseRootFromParent_Done,
     /*  285003 */   // Label 5380: @285003
     /*  285003 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(285066), // Rule ID 8813 //
     /*  285008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  285022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285047 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285064 */     GIR_RootConstrainSelectedInstOperands,
     /*  285065 */     // GIR_Coverage, 8813,
     /*  285065 */     GIR_EraseRootFromParent_Done,
     /*  285066 */   // Label 5381: @285066
     /*  285066 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(285129), // Rule ID 8816 //
     /*  285071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  285082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  285085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285110 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285127 */     GIR_RootConstrainSelectedInstOperands,
     /*  285128 */     // GIR_Coverage, 8816,
     /*  285128 */     GIR_EraseRootFromParent_Done,
     /*  285129 */   // Label 5382: @285129
     /*  285129 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(285192), // Rule ID 8817 //
     /*  285134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  285145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  285148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285173 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285190 */     GIR_RootConstrainSelectedInstOperands,
     /*  285191 */     // GIR_Coverage, 8817,
     /*  285191 */     GIR_EraseRootFromParent_Done,
     /*  285192 */   // Label 5383: @285192
     /*  285192 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(285255), // Rule ID 8820 //
     /*  285197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  285208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  285211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285236 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285253 */     GIR_RootConstrainSelectedInstOperands,
     /*  285254 */     // GIR_Coverage, 8820,
     /*  285254 */     GIR_EraseRootFromParent_Done,
     /*  285255 */   // Label 5384: @285255
     /*  285255 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(285318), // Rule ID 8821 //
     /*  285260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  285271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  285274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285299 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285316 */     GIR_RootConstrainSelectedInstOperands,
     /*  285317 */     // GIR_Coverage, 8821,
     /*  285317 */     GIR_EraseRootFromParent_Done,
     /*  285318 */   // Label 5385: @285318
     /*  285318 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(285381), // Rule ID 8824 //
     /*  285323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  285337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285362 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285379 */     GIR_RootConstrainSelectedInstOperands,
     /*  285380 */     // GIR_Coverage, 8824,
     /*  285380 */     GIR_EraseRootFromParent_Done,
     /*  285381 */   // Label 5386: @285381
     /*  285381 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(285444), // Rule ID 8825 //
     /*  285386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  285400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285425 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285442 */     GIR_RootConstrainSelectedInstOperands,
     /*  285443 */     // GIR_Coverage, 8825,
     /*  285443 */     GIR_EraseRootFromParent_Done,
     /*  285444 */   // Label 5387: @285444
     /*  285444 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(285507), // Rule ID 8828 //
     /*  285449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  285463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285488 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285505 */     GIR_RootConstrainSelectedInstOperands,
     /*  285506 */     // GIR_Coverage, 8828,
     /*  285506 */     GIR_EraseRootFromParent_Done,
     /*  285507 */   // Label 5388: @285507
     /*  285507 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(285570), // Rule ID 8829 //
     /*  285512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  285526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285551 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285568 */     GIR_RootConstrainSelectedInstOperands,
     /*  285569 */     // GIR_Coverage, 8829,
     /*  285569 */     GIR_EraseRootFromParent_Done,
     /*  285570 */   // Label 5389: @285570
     /*  285570 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(285633), // Rule ID 8832 //
     /*  285575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  285586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  285589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285614 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285631 */     GIR_RootConstrainSelectedInstOperands,
     /*  285632 */     // GIR_Coverage, 8832,
     /*  285632 */     GIR_EraseRootFromParent_Done,
     /*  285633 */   // Label 5390: @285633
     /*  285633 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(285696), // Rule ID 8833 //
     /*  285638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  285649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  285652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285677 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285694 */     GIR_RootConstrainSelectedInstOperands,
     /*  285695 */     // GIR_Coverage, 8833,
     /*  285695 */     GIR_EraseRootFromParent_Done,
     /*  285696 */   // Label 5391: @285696
     /*  285696 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(285759), // Rule ID 8836 //
     /*  285701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  285715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285757 */     GIR_RootConstrainSelectedInstOperands,
     /*  285758 */     // GIR_Coverage, 8836,
     /*  285758 */     GIR_EraseRootFromParent_Done,
     /*  285759 */   // Label 5392: @285759
     /*  285759 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(285822), // Rule ID 8837 //
     /*  285764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  285778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285803 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285820 */     GIR_RootConstrainSelectedInstOperands,
     /*  285821 */     // GIR_Coverage, 8837,
     /*  285821 */     GIR_EraseRootFromParent_Done,
     /*  285822 */   // Label 5393: @285822
     /*  285822 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(285885), // Rule ID 8840 //
     /*  285827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  285841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285866 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285883 */     GIR_RootConstrainSelectedInstOperands,
     /*  285884 */     // GIR_Coverage, 8840,
     /*  285884 */     GIR_EraseRootFromParent_Done,
     /*  285885 */   // Label 5394: @285885
     /*  285885 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(285948), // Rule ID 8841 //
     /*  285890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  285904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285929 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285946 */     GIR_RootConstrainSelectedInstOperands,
     /*  285947 */     // GIR_Coverage, 8841,
     /*  285947 */     GIR_EraseRootFromParent_Done,
     /*  285948 */   // Label 5395: @285948
     /*  285948 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(286011), // Rule ID 8844 //
     /*  285953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  285967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285992 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286009 */     GIR_RootConstrainSelectedInstOperands,
     /*  286010 */     // GIR_Coverage, 8844,
     /*  286010 */     GIR_EraseRootFromParent_Done,
     /*  286011 */   // Label 5396: @286011
     /*  286011 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(286074), // Rule ID 8845 //
     /*  286016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  286030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  286033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286055 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  286058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286072 */     GIR_RootConstrainSelectedInstOperands,
     /*  286073 */     // GIR_Coverage, 8845,
     /*  286073 */     GIR_EraseRootFromParent_Done,
     /*  286074 */   // Label 5397: @286074
     /*  286074 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(286137), // Rule ID 8848 //
     /*  286079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  286093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  286096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286118 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  286121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286135 */     GIR_RootConstrainSelectedInstOperands,
     /*  286136 */     // GIR_Coverage, 8848,
     /*  286136 */     GIR_EraseRootFromParent_Done,
     /*  286137 */   // Label 5398: @286137
     /*  286137 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(286200), // Rule ID 8849 //
     /*  286142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  286156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  286159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286181 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  286181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  286184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286198 */     GIR_RootConstrainSelectedInstOperands,
     /*  286199 */     // GIR_Coverage, 8849,
     /*  286199 */     GIR_EraseRootFromParent_Done,
     /*  286200 */   // Label 5399: @286200
     /*  286200 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(286263), // Rule ID 8852 //
     /*  286205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  286219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  286222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286244 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  286247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286261 */     GIR_RootConstrainSelectedInstOperands,
     /*  286262 */     // GIR_Coverage, 8852,
     /*  286262 */     GIR_EraseRootFromParent_Done,
     /*  286263 */   // Label 5400: @286263
     /*  286263 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(286326), // Rule ID 8853 //
     /*  286268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  286282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  286285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286307 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  286307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  286310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286324 */     GIR_RootConstrainSelectedInstOperands,
     /*  286325 */     // GIR_Coverage, 8853,
     /*  286325 */     GIR_EraseRootFromParent_Done,
     /*  286326 */   // Label 5401: @286326
     /*  286326 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(286389), // Rule ID 8856 //
     /*  286331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  286345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  286348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286370 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  286373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286387 */     GIR_RootConstrainSelectedInstOperands,
     /*  286388 */     // GIR_Coverage, 8856,
     /*  286388 */     GIR_EraseRootFromParent_Done,
     /*  286389 */   // Label 5402: @286389
     /*  286389 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(286452), // Rule ID 8857 //
     /*  286394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  286408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  286411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286433 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  286433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  286436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286450 */     GIR_RootConstrainSelectedInstOperands,
     /*  286451 */     // GIR_Coverage, 8857,
     /*  286451 */     GIR_EraseRootFromParent_Done,
     /*  286452 */   // Label 5403: @286452
     /*  286452 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(286515), // Rule ID 8948 //
     /*  286457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  286471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  286474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286496 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  286499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286513 */     GIR_RootConstrainSelectedInstOperands,
     /*  286514 */     // GIR_Coverage, 8948,
     /*  286514 */     GIR_EraseRootFromParent_Done,
     /*  286515 */   // Label 5404: @286515
     /*  286515 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(286578), // Rule ID 8949 //
     /*  286520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  286534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  286537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286559 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  286562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286576 */     GIR_RootConstrainSelectedInstOperands,
     /*  286577 */     // GIR_Coverage, 8949,
     /*  286577 */     GIR_EraseRootFromParent_Done,
     /*  286578 */   // Label 5405: @286578
     /*  286578 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(286641), // Rule ID 8952 //
     /*  286583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  286597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  286600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286622 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  286625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286639 */     GIR_RootConstrainSelectedInstOperands,
     /*  286640 */     // GIR_Coverage, 8952,
     /*  286640 */     GIR_EraseRootFromParent_Done,
     /*  286641 */   // Label 5406: @286641
     /*  286641 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(286704), // Rule ID 8953 //
     /*  286646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  286660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  286663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286685 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  286688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286702 */     GIR_RootConstrainSelectedInstOperands,
     /*  286703 */     // GIR_Coverage, 8953,
     /*  286703 */     GIR_EraseRootFromParent_Done,
     /*  286704 */   // Label 5407: @286704
     /*  286704 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(286767), // Rule ID 8956 //
     /*  286709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  286723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  286726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286765 */     GIR_RootConstrainSelectedInstOperands,
     /*  286766 */     // GIR_Coverage, 8956,
     /*  286766 */     GIR_EraseRootFromParent_Done,
     /*  286767 */   // Label 5408: @286767
     /*  286767 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(286830), // Rule ID 8957 //
     /*  286772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  286786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  286789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286811 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286828 */     GIR_RootConstrainSelectedInstOperands,
     /*  286829 */     // GIR_Coverage, 8957,
     /*  286829 */     GIR_EraseRootFromParent_Done,
     /*  286830 */   // Label 5409: @286830
     /*  286830 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(286893), // Rule ID 8960 //
     /*  286835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  286849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  286852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286874 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  286877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286891 */     GIR_RootConstrainSelectedInstOperands,
     /*  286892 */     // GIR_Coverage, 8960,
     /*  286892 */     GIR_EraseRootFromParent_Done,
     /*  286893 */   // Label 5410: @286893
     /*  286893 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(286956), // Rule ID 8961 //
     /*  286898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  286912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  286915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286937 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  286940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286954 */     GIR_RootConstrainSelectedInstOperands,
     /*  286955 */     // GIR_Coverage, 8961,
     /*  286955 */     GIR_EraseRootFromParent_Done,
     /*  286956 */   // Label 5411: @286956
     /*  286956 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(287019), // Rule ID 8964 //
     /*  286961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  286975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  286978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  287003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287017 */     GIR_RootConstrainSelectedInstOperands,
     /*  287018 */     // GIR_Coverage, 8964,
     /*  287018 */     GIR_EraseRootFromParent_Done,
     /*  287019 */   // Label 5412: @287019
     /*  287019 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(287082), // Rule ID 8965 //
     /*  287024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  287038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  287041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287063 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  287066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287080 */     GIR_RootConstrainSelectedInstOperands,
     /*  287081 */     // GIR_Coverage, 8965,
     /*  287081 */     GIR_EraseRootFromParent_Done,
     /*  287082 */   // Label 5413: @287082
     /*  287082 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(287145), // Rule ID 8968 //
     /*  287087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  287101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  287104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287126 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  287129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287143 */     GIR_RootConstrainSelectedInstOperands,
     /*  287144 */     // GIR_Coverage, 8968,
     /*  287144 */     GIR_EraseRootFromParent_Done,
     /*  287145 */   // Label 5414: @287145
     /*  287145 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(287208), // Rule ID 8969 //
     /*  287150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  287164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  287167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287189 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  287192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287206 */     GIR_RootConstrainSelectedInstOperands,
     /*  287207 */     // GIR_Coverage, 8969,
     /*  287207 */     GIR_EraseRootFromParent_Done,
     /*  287208 */   // Label 5415: @287208
     /*  287208 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(287271), // Rule ID 8972 //
     /*  287213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  287227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  287230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287252 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  287255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287269 */     GIR_RootConstrainSelectedInstOperands,
     /*  287270 */     // GIR_Coverage, 8972,
     /*  287270 */     GIR_EraseRootFromParent_Done,
     /*  287271 */   // Label 5416: @287271
     /*  287271 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(287334), // Rule ID 8973 //
     /*  287276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  287290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  287293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287315 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  287318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287332 */     GIR_RootConstrainSelectedInstOperands,
     /*  287333 */     // GIR_Coverage, 8973,
     /*  287333 */     GIR_EraseRootFromParent_Done,
     /*  287334 */   // Label 5417: @287334
     /*  287334 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(287397), // Rule ID 8976 //
     /*  287339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  287353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  287356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287378 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  287381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287395 */     GIR_RootConstrainSelectedInstOperands,
     /*  287396 */     // GIR_Coverage, 8976,
     /*  287396 */     GIR_EraseRootFromParent_Done,
     /*  287397 */   // Label 5418: @287397
     /*  287397 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(287460), // Rule ID 8977 //
     /*  287402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  287416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  287419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287441 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  287444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287458 */     GIR_RootConstrainSelectedInstOperands,
     /*  287459 */     // GIR_Coverage, 8977,
     /*  287459 */     GIR_EraseRootFromParent_Done,
     /*  287460 */   // Label 5419: @287460
     /*  287460 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(287523), // Rule ID 8980 //
     /*  287465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  287479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  287482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287504 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  287507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287521 */     GIR_RootConstrainSelectedInstOperands,
     /*  287522 */     // GIR_Coverage, 8980,
     /*  287522 */     GIR_EraseRootFromParent_Done,
     /*  287523 */   // Label 5420: @287523
     /*  287523 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(287586), // Rule ID 8981 //
     /*  287528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  287542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  287545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287567 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  287570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287584 */     GIR_RootConstrainSelectedInstOperands,
     /*  287585 */     // GIR_Coverage, 8981,
     /*  287585 */     GIR_EraseRootFromParent_Done,
     /*  287586 */   // Label 5421: @287586
     /*  287586 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(287649), // Rule ID 8984 //
     /*  287591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  287605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  287608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287630 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  287633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287647 */     GIR_RootConstrainSelectedInstOperands,
     /*  287648 */     // GIR_Coverage, 8984,
     /*  287648 */     GIR_EraseRootFromParent_Done,
     /*  287649 */   // Label 5422: @287649
     /*  287649 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(287712), // Rule ID 8985 //
     /*  287654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  287668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  287671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287693 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  287696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287710 */     GIR_RootConstrainSelectedInstOperands,
     /*  287711 */     // GIR_Coverage, 8985,
     /*  287711 */     GIR_EraseRootFromParent_Done,
     /*  287712 */   // Label 5423: @287712
     /*  287712 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(287775), // Rule ID 8988 //
     /*  287717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  287731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  287734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287756 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287773 */     GIR_RootConstrainSelectedInstOperands,
     /*  287774 */     // GIR_Coverage, 8988,
     /*  287774 */     GIR_EraseRootFromParent_Done,
     /*  287775 */   // Label 5424: @287775
     /*  287775 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(287838), // Rule ID 8989 //
     /*  287780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  287794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  287797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287819 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287836 */     GIR_RootConstrainSelectedInstOperands,
     /*  287837 */     // GIR_Coverage, 8989,
     /*  287837 */     GIR_EraseRootFromParent_Done,
     /*  287838 */   // Label 5425: @287838
     /*  287838 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(287901), // Rule ID 8992 //
     /*  287843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  287857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  287860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287882 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287899 */     GIR_RootConstrainSelectedInstOperands,
     /*  287900 */     // GIR_Coverage, 8992,
     /*  287900 */     GIR_EraseRootFromParent_Done,
     /*  287901 */   // Label 5426: @287901
     /*  287901 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(287964), // Rule ID 8993 //
     /*  287906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  287920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  287923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287945 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287962 */     GIR_RootConstrainSelectedInstOperands,
     /*  287963 */     // GIR_Coverage, 8993,
     /*  287963 */     GIR_EraseRootFromParent_Done,
     /*  287964 */   // Label 5427: @287964
     /*  287964 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(288027), // Rule ID 8996 //
     /*  287969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  287980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  287983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  287986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288008 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288025 */     GIR_RootConstrainSelectedInstOperands,
     /*  288026 */     // GIR_Coverage, 8996,
     /*  288026 */     GIR_EraseRootFromParent_Done,
     /*  288027 */   // Label 5428: @288027
     /*  288027 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(288090), // Rule ID 8997 //
     /*  288032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  288043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  288046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  288049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288071 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288088 */     GIR_RootConstrainSelectedInstOperands,
     /*  288089 */     // GIR_Coverage, 8997,
     /*  288089 */     GIR_EraseRootFromParent_Done,
     /*  288090 */   // Label 5429: @288090
     /*  288090 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(288153), // Rule ID 9000 //
     /*  288095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  288109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  288112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288134 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  288137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288151 */     GIR_RootConstrainSelectedInstOperands,
     /*  288152 */     // GIR_Coverage, 9000,
     /*  288152 */     GIR_EraseRootFromParent_Done,
     /*  288153 */   // Label 5430: @288153
     /*  288153 */   GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(288216), // Rule ID 9001 //
     /*  288158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  288172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  288175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288197 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  288200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288214 */     GIR_RootConstrainSelectedInstOperands,
     /*  288215 */     // GIR_Coverage, 9001,
     /*  288215 */     GIR_EraseRootFromParent_Done,
     /*  288216 */   // Label 5431: @288216
     /*  288216 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(288279), // Rule ID 9004 //
     /*  288221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  288235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  288238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288260 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  288263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288277 */     GIR_RootConstrainSelectedInstOperands,
     /*  288278 */     // GIR_Coverage, 9004,
     /*  288278 */     GIR_EraseRootFromParent_Done,
     /*  288279 */   // Label 5432: @288279
     /*  288279 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(288342), // Rule ID 9005 //
     /*  288284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  288298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  288301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288323 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  288326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288340 */     GIR_RootConstrainSelectedInstOperands,
     /*  288341 */     // GIR_Coverage, 9005,
     /*  288341 */     GIR_EraseRootFromParent_Done,
     /*  288342 */   // Label 5433: @288342
     /*  288342 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(288405), // Rule ID 9008 //
     /*  288347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  288358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  288361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  288364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288386 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288403 */     GIR_RootConstrainSelectedInstOperands,
     /*  288404 */     // GIR_Coverage, 9008,
     /*  288404 */     GIR_EraseRootFromParent_Done,
     /*  288405 */   // Label 5434: @288405
     /*  288405 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(288468), // Rule ID 9009 //
     /*  288410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  288421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  288424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  288427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288449 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288466 */     GIR_RootConstrainSelectedInstOperands,
     /*  288467 */     // GIR_Coverage, 9009,
     /*  288467 */     GIR_EraseRootFromParent_Done,
     /*  288468 */   // Label 5435: @288468
     /*  288468 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(288531), // Rule ID 9012 //
     /*  288473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  288487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  288490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  288515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288529 */     GIR_RootConstrainSelectedInstOperands,
     /*  288530 */     // GIR_Coverage, 9012,
     /*  288530 */     GIR_EraseRootFromParent_Done,
     /*  288531 */   // Label 5436: @288531
     /*  288531 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(288594), // Rule ID 9013 //
     /*  288536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  288550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  288553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288575 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  288578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288592 */     GIR_RootConstrainSelectedInstOperands,
     /*  288593 */     // GIR_Coverage, 9013,
     /*  288593 */     GIR_EraseRootFromParent_Done,
     /*  288594 */   // Label 5437: @288594
     /*  288594 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(288657), // Rule ID 9016 //
     /*  288599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  288613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  288616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288638 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  288641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288655 */     GIR_RootConstrainSelectedInstOperands,
     /*  288656 */     // GIR_Coverage, 9016,
     /*  288656 */     GIR_EraseRootFromParent_Done,
     /*  288657 */   // Label 5438: @288657
     /*  288657 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(288720), // Rule ID 9017 //
     /*  288662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  288676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  288679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288701 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  288704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288718 */     GIR_RootConstrainSelectedInstOperands,
     /*  288719 */     // GIR_Coverage, 9017,
     /*  288719 */     GIR_EraseRootFromParent_Done,
     /*  288720 */   // Label 5439: @288720
     /*  288720 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(288783), // Rule ID 9020 //
     /*  288725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  288739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  288742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288764 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288781 */     GIR_RootConstrainSelectedInstOperands,
     /*  288782 */     // GIR_Coverage, 9020,
     /*  288782 */     GIR_EraseRootFromParent_Done,
     /*  288783 */   // Label 5440: @288783
     /*  288783 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(288846), // Rule ID 9021 //
     /*  288788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  288802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  288805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288827 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288844 */     GIR_RootConstrainSelectedInstOperands,
     /*  288845 */     // GIR_Coverage, 9021,
     /*  288845 */     GIR_EraseRootFromParent_Done,
     /*  288846 */   // Label 5441: @288846
     /*  288846 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(288909), // Rule ID 9024 //
     /*  288851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  288865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  288868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288890 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  288890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  288893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288907 */     GIR_RootConstrainSelectedInstOperands,
     /*  288908 */     // GIR_Coverage, 9024,
     /*  288908 */     GIR_EraseRootFromParent_Done,
     /*  288909 */   // Label 5442: @288909
     /*  288909 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(288972), // Rule ID 9025 //
     /*  288914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  288917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  288928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  288931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288953 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  288953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  288956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288970 */     GIR_RootConstrainSelectedInstOperands,
     /*  288971 */     // GIR_Coverage, 9025,
     /*  288971 */     GIR_EraseRootFromParent_Done,
     /*  288972 */   // Label 5443: @288972
     /*  288972 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(289035), // Rule ID 9028 //
     /*  288977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  288991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  288994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289016 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  289019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289033 */     GIR_RootConstrainSelectedInstOperands,
     /*  289034 */     // GIR_Coverage, 9028,
     /*  289034 */     GIR_EraseRootFromParent_Done,
     /*  289035 */   // Label 5444: @289035
     /*  289035 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(289098), // Rule ID 9029 //
     /*  289040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  289054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  289057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289079 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  289082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289096 */     GIR_RootConstrainSelectedInstOperands,
     /*  289097 */     // GIR_Coverage, 9029,
     /*  289097 */     GIR_EraseRootFromParent_Done,
     /*  289098 */   // Label 5445: @289098
     /*  289098 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(289161), // Rule ID 9032 //
     /*  289103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  289106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  289117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  289120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289142 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  289145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289159 */     GIR_RootConstrainSelectedInstOperands,
     /*  289160 */     // GIR_Coverage, 9032,
     /*  289160 */     GIR_EraseRootFromParent_Done,
     /*  289161 */   // Label 5446: @289161
     /*  289161 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(289224), // Rule ID 9033 //
     /*  289166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  289180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  289183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289205 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  289208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289222 */     GIR_RootConstrainSelectedInstOperands,
     /*  289223 */     // GIR_Coverage, 9033,
     /*  289223 */     GIR_EraseRootFromParent_Done,
     /*  289224 */   // Label 5447: @289224
     /*  289224 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(289287), // Rule ID 9036 //
     /*  289229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  289243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289268 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  289271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289285 */     GIR_RootConstrainSelectedInstOperands,
     /*  289286 */     // GIR_Coverage, 9036,
     /*  289286 */     GIR_EraseRootFromParent_Done,
     /*  289287 */   // Label 5448: @289287
     /*  289287 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(289350), // Rule ID 9037 //
     /*  289292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  289306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289331 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  289334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289348 */     GIR_RootConstrainSelectedInstOperands,
     /*  289349 */     // GIR_Coverage, 9037,
     /*  289349 */     GIR_EraseRootFromParent_Done,
     /*  289350 */   // Label 5449: @289350
     /*  289350 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(289413), // Rule ID 9040 //
     /*  289355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  289369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289394 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  289397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289411 */     GIR_RootConstrainSelectedInstOperands,
     /*  289412 */     // GIR_Coverage, 9040,
     /*  289412 */     GIR_EraseRootFromParent_Done,
     /*  289413 */   // Label 5450: @289413
     /*  289413 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(289476), // Rule ID 9041 //
     /*  289418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  289432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289457 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  289460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289474 */     GIR_RootConstrainSelectedInstOperands,
     /*  289475 */     // GIR_Coverage, 9041,
     /*  289475 */     GIR_EraseRootFromParent_Done,
     /*  289476 */   // Label 5451: @289476
     /*  289476 */   GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(289539), // Rule ID 9044 //
     /*  289481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  289495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289520 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289537 */     GIR_RootConstrainSelectedInstOperands,
     /*  289538 */     // GIR_Coverage, 9044,
     /*  289538 */     GIR_EraseRootFromParent_Done,
     /*  289539 */   // Label 5452: @289539
     /*  289539 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(289602), // Rule ID 9045 //
     /*  289544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  289558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289583 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289600 */     GIR_RootConstrainSelectedInstOperands,
     /*  289601 */     // GIR_Coverage, 9045,
     /*  289601 */     GIR_EraseRootFromParent_Done,
     /*  289602 */   // Label 5453: @289602
     /*  289602 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(289665), // Rule ID 9048 //
     /*  289607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  289621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289646 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  289649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289663 */     GIR_RootConstrainSelectedInstOperands,
     /*  289664 */     // GIR_Coverage, 9048,
     /*  289664 */     GIR_EraseRootFromParent_Done,
     /*  289665 */   // Label 5454: @289665
     /*  289665 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(289728), // Rule ID 9049 //
     /*  289670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  289684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289709 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  289712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289726 */     GIR_RootConstrainSelectedInstOperands,
     /*  289727 */     // GIR_Coverage, 9049,
     /*  289727 */     GIR_EraseRootFromParent_Done,
     /*  289728 */   // Label 5455: @289728
     /*  289728 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(289791), // Rule ID 9052 //
     /*  289733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  289747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289772 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289789 */     GIR_RootConstrainSelectedInstOperands,
     /*  289790 */     // GIR_Coverage, 9052,
     /*  289790 */     GIR_EraseRootFromParent_Done,
     /*  289791 */   // Label 5456: @289791
     /*  289791 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(289854), // Rule ID 9053 //
     /*  289796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  289810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289835 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289852 */     GIR_RootConstrainSelectedInstOperands,
     /*  289853 */     // GIR_Coverage, 9053,
     /*  289853 */     GIR_EraseRootFromParent_Done,
     /*  289854 */   // Label 5457: @289854
     /*  289854 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(289917), // Rule ID 9056 //
     /*  289859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  289873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289898 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289915 */     GIR_RootConstrainSelectedInstOperands,
     /*  289916 */     // GIR_Coverage, 9056,
     /*  289916 */     GIR_EraseRootFromParent_Done,
     /*  289917 */   // Label 5458: @289917
     /*  289917 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(289980), // Rule ID 9057 //
     /*  289922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  289936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289961 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  289964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289978 */     GIR_RootConstrainSelectedInstOperands,
     /*  289979 */     // GIR_Coverage, 9057,
     /*  289979 */     GIR_EraseRootFromParent_Done,
     /*  289980 */   // Label 5459: @289980
     /*  289980 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(290043), // Rule ID 9060 //
     /*  289985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  289999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290024 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  290027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290041 */     GIR_RootConstrainSelectedInstOperands,
     /*  290042 */     // GIR_Coverage, 9060,
     /*  290042 */     GIR_EraseRootFromParent_Done,
     /*  290043 */   // Label 5460: @290043
     /*  290043 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(290106), // Rule ID 9061 //
     /*  290048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  290062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290087 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  290090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290104 */     GIR_RootConstrainSelectedInstOperands,
     /*  290105 */     // GIR_Coverage, 9061,
     /*  290105 */     GIR_EraseRootFromParent_Done,
     /*  290106 */   // Label 5461: @290106
     /*  290106 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(290169), // Rule ID 9064 //
     /*  290111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  290125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290150 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  290153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290167 */     GIR_RootConstrainSelectedInstOperands,
     /*  290168 */     // GIR_Coverage, 9064,
     /*  290168 */     GIR_EraseRootFromParent_Done,
     /*  290169 */   // Label 5462: @290169
     /*  290169 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(290232), // Rule ID 9065 //
     /*  290174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  290188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290213 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  290216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290230 */     GIR_RootConstrainSelectedInstOperands,
     /*  290231 */     // GIR_Coverage, 9065,
     /*  290231 */     GIR_EraseRootFromParent_Done,
     /*  290232 */   // Label 5463: @290232
     /*  290232 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(290295), // Rule ID 9068 //
     /*  290237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  290251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  290279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290293 */     GIR_RootConstrainSelectedInstOperands,
     /*  290294 */     // GIR_Coverage, 9068,
     /*  290294 */     GIR_EraseRootFromParent_Done,
     /*  290295 */   // Label 5464: @290295
     /*  290295 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(290358), // Rule ID 9069 //
     /*  290300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  290314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290339 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  290342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290356 */     GIR_RootConstrainSelectedInstOperands,
     /*  290357 */     // GIR_Coverage, 9069,
     /*  290357 */     GIR_EraseRootFromParent_Done,
     /*  290358 */   // Label 5465: @290358
     /*  290358 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(290421), // Rule ID 9072 //
     /*  290363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  290377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290402 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  290405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290419 */     GIR_RootConstrainSelectedInstOperands,
     /*  290420 */     // GIR_Coverage, 9072,
     /*  290420 */     GIR_EraseRootFromParent_Done,
     /*  290421 */   // Label 5466: @290421
     /*  290421 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(290484), // Rule ID 9073 //
     /*  290426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  290440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290465 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  290468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290482 */     GIR_RootConstrainSelectedInstOperands,
     /*  290483 */     // GIR_Coverage, 9073,
     /*  290483 */     GIR_EraseRootFromParent_Done,
     /*  290484 */   // Label 5467: @290484
     /*  290484 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(290547), // Rule ID 9076 //
     /*  290489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  290503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290528 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290545 */     GIR_RootConstrainSelectedInstOperands,
     /*  290546 */     // GIR_Coverage, 9076,
     /*  290546 */     GIR_EraseRootFromParent_Done,
     /*  290547 */   // Label 5468: @290547
     /*  290547 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(290610), // Rule ID 9077 //
     /*  290552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  290566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290591 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290608 */     GIR_RootConstrainSelectedInstOperands,
     /*  290609 */     // GIR_Coverage, 9077,
     /*  290609 */     GIR_EraseRootFromParent_Done,
     /*  290610 */   // Label 5469: @290610
     /*  290610 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(290673), // Rule ID 9080 //
     /*  290615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  290626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  290629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290654 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290671 */     GIR_RootConstrainSelectedInstOperands,
     /*  290672 */     // GIR_Coverage, 9080,
     /*  290672 */     GIR_EraseRootFromParent_Done,
     /*  290673 */   // Label 5470: @290673
     /*  290673 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(290736), // Rule ID 9081 //
     /*  290678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  290689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  290692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290717 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290734 */     GIR_RootConstrainSelectedInstOperands,
     /*  290735 */     // GIR_Coverage, 9081,
     /*  290735 */     GIR_EraseRootFromParent_Done,
     /*  290736 */   // Label 5471: @290736
     /*  290736 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(290799), // Rule ID 9084 //
     /*  290741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  290752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  290755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290780 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290797 */     GIR_RootConstrainSelectedInstOperands,
     /*  290798 */     // GIR_Coverage, 9084,
     /*  290798 */     GIR_EraseRootFromParent_Done,
     /*  290799 */   // Label 5472: @290799
     /*  290799 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(290862), // Rule ID 9085 //
     /*  290804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  290815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  290818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290843 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290860 */     GIR_RootConstrainSelectedInstOperands,
     /*  290861 */     // GIR_Coverage, 9085,
     /*  290861 */     GIR_EraseRootFromParent_Done,
     /*  290862 */   // Label 5473: @290862
     /*  290862 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(290925), // Rule ID 9088 //
     /*  290867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  290881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290906 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290923 */     GIR_RootConstrainSelectedInstOperands,
     /*  290924 */     // GIR_Coverage, 9088,
     /*  290924 */     GIR_EraseRootFromParent_Done,
     /*  290925 */   // Label 5474: @290925
     /*  290925 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(290988), // Rule ID 9089 //
     /*  290930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  290944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290969 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290986 */     GIR_RootConstrainSelectedInstOperands,
     /*  290987 */     // GIR_Coverage, 9089,
     /*  290987 */     GIR_EraseRootFromParent_Done,
     /*  290988 */   // Label 5475: @290988
     /*  290988 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(291051), // Rule ID 9092 //
     /*  290993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  291007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291032 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  291035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291049 */     GIR_RootConstrainSelectedInstOperands,
     /*  291050 */     // GIR_Coverage, 9092,
     /*  291050 */     GIR_EraseRootFromParent_Done,
     /*  291051 */   // Label 5476: @291051
     /*  291051 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(291114), // Rule ID 9093 //
     /*  291056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  291070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291095 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  291098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291112 */     GIR_RootConstrainSelectedInstOperands,
     /*  291113 */     // GIR_Coverage, 9093,
     /*  291113 */     GIR_EraseRootFromParent_Done,
     /*  291114 */   // Label 5477: @291114
     /*  291114 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(291177), // Rule ID 9096 //
     /*  291119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  291133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291158 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  291161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291175 */     GIR_RootConstrainSelectedInstOperands,
     /*  291176 */     // GIR_Coverage, 9096,
     /*  291176 */     GIR_EraseRootFromParent_Done,
     /*  291177 */   // Label 5478: @291177
     /*  291177 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(291240), // Rule ID 9097 //
     /*  291182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  291196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291221 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  291224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291238 */     GIR_RootConstrainSelectedInstOperands,
     /*  291239 */     // GIR_Coverage, 9097,
     /*  291239 */     GIR_EraseRootFromParent_Done,
     /*  291240 */   // Label 5479: @291240
     /*  291240 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(291303), // Rule ID 9100 //
     /*  291245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  291259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  291287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291301 */     GIR_RootConstrainSelectedInstOperands,
     /*  291302 */     // GIR_Coverage, 9100,
     /*  291302 */     GIR_EraseRootFromParent_Done,
     /*  291303 */   // Label 5480: @291303
     /*  291303 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(291366), // Rule ID 9101 //
     /*  291308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  291322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291347 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  291347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  291350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291364 */     GIR_RootConstrainSelectedInstOperands,
     /*  291365 */     // GIR_Coverage, 9101,
     /*  291365 */     GIR_EraseRootFromParent_Done,
     /*  291366 */   // Label 5481: @291366
     /*  291366 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(291429), // Rule ID 9104 //
     /*  291371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  291385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291410 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  291413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291427 */     GIR_RootConstrainSelectedInstOperands,
     /*  291428 */     // GIR_Coverage, 9104,
     /*  291428 */     GIR_EraseRootFromParent_Done,
     /*  291429 */   // Label 5482: @291429
     /*  291429 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(291492), // Rule ID 9105 //
     /*  291434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  291448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291473 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  291473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  291476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291490 */     GIR_RootConstrainSelectedInstOperands,
     /*  291491 */     // GIR_Coverage, 9105,
     /*  291491 */     GIR_EraseRootFromParent_Done,
     /*  291492 */   // Label 5483: @291492
     /*  291492 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(291555), // Rule ID 9108 //
     /*  291497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  291511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291536 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  291539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291553 */     GIR_RootConstrainSelectedInstOperands,
     /*  291554 */     // GIR_Coverage, 9108,
     /*  291554 */     GIR_EraseRootFromParent_Done,
     /*  291555 */   // Label 5484: @291555
     /*  291555 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(291618), // Rule ID 9109 //
     /*  291560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  291574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291599 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  291599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  291602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291616 */     GIR_RootConstrainSelectedInstOperands,
     /*  291617 */     // GIR_Coverage, 9109,
     /*  291617 */     GIR_EraseRootFromParent_Done,
     /*  291618 */   // Label 5485: @291618
     /*  291618 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(291681), // Rule ID 9112 //
     /*  291623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  291626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  291637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291662 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  291662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  291665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291679 */     GIR_RootConstrainSelectedInstOperands,
     /*  291680 */     // GIR_Coverage, 9112,
     /*  291680 */     GIR_EraseRootFromParent_Done,
     /*  291681 */   // Label 5486: @291681
     /*  291681 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(291744), // Rule ID 9113 //
     /*  291686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  291689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  291700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291725 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  291725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  291728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291742 */     GIR_RootConstrainSelectedInstOperands,
     /*  291743 */     // GIR_Coverage, 9113,
     /*  291743 */     GIR_EraseRootFromParent_Done,
     /*  291744 */   // Label 5487: @291744
     /*  291744 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(291807), // Rule ID 9116 //
     /*  291749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  291752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  291763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291788 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  291788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  291791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291805 */     GIR_RootConstrainSelectedInstOperands,
     /*  291806 */     // GIR_Coverage, 9116,
     /*  291806 */     GIR_EraseRootFromParent_Done,
     /*  291807 */   // Label 5488: @291807
     /*  291807 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(291870), // Rule ID 9117 //
     /*  291812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  291815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  291826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291851 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  291851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  291854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291868 */     GIR_RootConstrainSelectedInstOperands,
     /*  291869 */     // GIR_Coverage, 9117,
     /*  291869 */     GIR_EraseRootFromParent_Done,
     /*  291870 */   // Label 5489: @291870
     /*  291870 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(291933), // Rule ID 9120 //
     /*  291875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  291878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  291889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291914 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  291914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  291917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291931 */     GIR_RootConstrainSelectedInstOperands,
     /*  291932 */     // GIR_Coverage, 9120,
     /*  291932 */     GIR_EraseRootFromParent_Done,
     /*  291933 */   // Label 5490: @291933
     /*  291933 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(291996), // Rule ID 9121 //
     /*  291938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  291941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  291952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291977 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  291977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  291980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291994 */     GIR_RootConstrainSelectedInstOperands,
     /*  291995 */     // GIR_Coverage, 9121,
     /*  291995 */     GIR_EraseRootFromParent_Done,
     /*  291996 */   // Label 5491: @291996
     /*  291996 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(292059), // Rule ID 9212 //
     /*  292001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  292015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292040 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  292043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292057 */     GIR_RootConstrainSelectedInstOperands,
     /*  292058 */     // GIR_Coverage, 9212,
     /*  292058 */     GIR_EraseRootFromParent_Done,
     /*  292059 */   // Label 5492: @292059
     /*  292059 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(292122), // Rule ID 9213 //
     /*  292064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  292078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292103 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  292106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292120 */     GIR_RootConstrainSelectedInstOperands,
     /*  292121 */     // GIR_Coverage, 9213,
     /*  292121 */     GIR_EraseRootFromParent_Done,
     /*  292122 */   // Label 5493: @292122
     /*  292122 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(292185), // Rule ID 9216 //
     /*  292127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  292141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292166 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  292169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292183 */     GIR_RootConstrainSelectedInstOperands,
     /*  292184 */     // GIR_Coverage, 9216,
     /*  292184 */     GIR_EraseRootFromParent_Done,
     /*  292185 */   // Label 5494: @292185
     /*  292185 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(292248), // Rule ID 9217 //
     /*  292190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  292204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292229 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  292232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292246 */     GIR_RootConstrainSelectedInstOperands,
     /*  292247 */     // GIR_Coverage, 9217,
     /*  292247 */     GIR_EraseRootFromParent_Done,
     /*  292248 */   // Label 5495: @292248
     /*  292248 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(292311), // Rule ID 9220 //
     /*  292253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  292267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292292 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  292295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292309 */     GIR_RootConstrainSelectedInstOperands,
     /*  292310 */     // GIR_Coverage, 9220,
     /*  292310 */     GIR_EraseRootFromParent_Done,
     /*  292311 */   // Label 5496: @292311
     /*  292311 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(292374), // Rule ID 9221 //
     /*  292316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  292330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292355 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  292358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292372 */     GIR_RootConstrainSelectedInstOperands,
     /*  292373 */     // GIR_Coverage, 9221,
     /*  292373 */     GIR_EraseRootFromParent_Done,
     /*  292374 */   // Label 5497: @292374
     /*  292374 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(292437), // Rule ID 9224 //
     /*  292379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  292393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292418 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  292421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292435 */     GIR_RootConstrainSelectedInstOperands,
     /*  292436 */     // GIR_Coverage, 9224,
     /*  292436 */     GIR_EraseRootFromParent_Done,
     /*  292437 */   // Label 5498: @292437
     /*  292437 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(292500), // Rule ID 9225 //
     /*  292442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  292456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292481 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  292484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292498 */     GIR_RootConstrainSelectedInstOperands,
     /*  292499 */     // GIR_Coverage, 9225,
     /*  292499 */     GIR_EraseRootFromParent_Done,
     /*  292500 */   // Label 5499: @292500
     /*  292500 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(292563), // Rule ID 9228 //
     /*  292505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  292519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292544 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  292547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292561 */     GIR_RootConstrainSelectedInstOperands,
     /*  292562 */     // GIR_Coverage, 9228,
     /*  292562 */     GIR_EraseRootFromParent_Done,
     /*  292563 */   // Label 5500: @292563
     /*  292563 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(292626), // Rule ID 9229 //
     /*  292568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  292582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292607 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  292610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292624 */     GIR_RootConstrainSelectedInstOperands,
     /*  292625 */     // GIR_Coverage, 9229,
     /*  292625 */     GIR_EraseRootFromParent_Done,
     /*  292626 */   // Label 5501: @292626
     /*  292626 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(292689), // Rule ID 9232 //
     /*  292631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  292645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292670 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  292673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292687 */     GIR_RootConstrainSelectedInstOperands,
     /*  292688 */     // GIR_Coverage, 9232,
     /*  292688 */     GIR_EraseRootFromParent_Done,
     /*  292689 */   // Label 5502: @292689
     /*  292689 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(292752), // Rule ID 9233 //
     /*  292694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  292708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292733 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  292736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292750 */     GIR_RootConstrainSelectedInstOperands,
     /*  292751 */     // GIR_Coverage, 9233,
     /*  292751 */     GIR_EraseRootFromParent_Done,
     /*  292752 */   // Label 5503: @292752
     /*  292752 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(292815), // Rule ID 9236 //
     /*  292757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  292771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292796 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292813 */     GIR_RootConstrainSelectedInstOperands,
     /*  292814 */     // GIR_Coverage, 9236,
     /*  292814 */     GIR_EraseRootFromParent_Done,
     /*  292815 */   // Label 5504: @292815
     /*  292815 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(292878), // Rule ID 9237 //
     /*  292820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  292834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292859 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292876 */     GIR_RootConstrainSelectedInstOperands,
     /*  292877 */     // GIR_Coverage, 9237,
     /*  292877 */     GIR_EraseRootFromParent_Done,
     /*  292878 */   // Label 5505: @292878
     /*  292878 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(292941), // Rule ID 9240 //
     /*  292883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  292897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292922 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292939 */     GIR_RootConstrainSelectedInstOperands,
     /*  292940 */     // GIR_Coverage, 9240,
     /*  292940 */     GIR_EraseRootFromParent_Done,
     /*  292941 */   // Label 5506: @292941
     /*  292941 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(293004), // Rule ID 9241 //
     /*  292946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  292960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292985 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293002 */     GIR_RootConstrainSelectedInstOperands,
     /*  293003 */     // GIR_Coverage, 9241,
     /*  293003 */     GIR_EraseRootFromParent_Done,
     /*  293004 */   // Label 5507: @293004
     /*  293004 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(293067), // Rule ID 9244 //
     /*  293009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  293023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  293051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293065 */     GIR_RootConstrainSelectedInstOperands,
     /*  293066 */     // GIR_Coverage, 9244,
     /*  293066 */     GIR_EraseRootFromParent_Done,
     /*  293067 */   // Label 5508: @293067
     /*  293067 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(293130), // Rule ID 9245 //
     /*  293072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  293086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293111 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  293114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293128 */     GIR_RootConstrainSelectedInstOperands,
     /*  293129 */     // GIR_Coverage, 9245,
     /*  293129 */     GIR_EraseRootFromParent_Done,
     /*  293130 */   // Label 5509: @293130
     /*  293130 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(293193), // Rule ID 9248 //
     /*  293135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  293149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293174 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  293177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293191 */     GIR_RootConstrainSelectedInstOperands,
     /*  293192 */     // GIR_Coverage, 9248,
     /*  293192 */     GIR_EraseRootFromParent_Done,
     /*  293193 */   // Label 5510: @293193
     /*  293193 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(293256), // Rule ID 9249 //
     /*  293198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  293212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293237 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  293240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293254 */     GIR_RootConstrainSelectedInstOperands,
     /*  293255 */     // GIR_Coverage, 9249,
     /*  293255 */     GIR_EraseRootFromParent_Done,
     /*  293256 */   // Label 5511: @293256
     /*  293256 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(293319), // Rule ID 9252 //
     /*  293261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  293275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293300 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293317 */     GIR_RootConstrainSelectedInstOperands,
     /*  293318 */     // GIR_Coverage, 9252,
     /*  293318 */     GIR_EraseRootFromParent_Done,
     /*  293319 */   // Label 5512: @293319
     /*  293319 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(293382), // Rule ID 9253 //
     /*  293324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  293338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293363 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293380 */     GIR_RootConstrainSelectedInstOperands,
     /*  293381 */     // GIR_Coverage, 9253,
     /*  293381 */     GIR_EraseRootFromParent_Done,
     /*  293382 */   // Label 5513: @293382
     /*  293382 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(293445), // Rule ID 9256 //
     /*  293387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  293398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  293401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293426 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293443 */     GIR_RootConstrainSelectedInstOperands,
     /*  293444 */     // GIR_Coverage, 9256,
     /*  293444 */     GIR_EraseRootFromParent_Done,
     /*  293445 */   // Label 5514: @293445
     /*  293445 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(293508), // Rule ID 9257 //
     /*  293450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  293461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  293464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293489 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293506 */     GIR_RootConstrainSelectedInstOperands,
     /*  293507 */     // GIR_Coverage, 9257,
     /*  293507 */     GIR_EraseRootFromParent_Done,
     /*  293508 */   // Label 5515: @293508
     /*  293508 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(293571), // Rule ID 9260 //
     /*  293513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  293524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  293527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293552 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293569 */     GIR_RootConstrainSelectedInstOperands,
     /*  293570 */     // GIR_Coverage, 9260,
     /*  293570 */     GIR_EraseRootFromParent_Done,
     /*  293571 */   // Label 5516: @293571
     /*  293571 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(293634), // Rule ID 9261 //
     /*  293576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  293587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  293590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293615 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293632 */     GIR_RootConstrainSelectedInstOperands,
     /*  293633 */     // GIR_Coverage, 9261,
     /*  293633 */     GIR_EraseRootFromParent_Done,
     /*  293634 */   // Label 5517: @293634
     /*  293634 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(293697), // Rule ID 9264 //
     /*  293639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  293653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293678 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293695 */     GIR_RootConstrainSelectedInstOperands,
     /*  293696 */     // GIR_Coverage, 9264,
     /*  293696 */     GIR_EraseRootFromParent_Done,
     /*  293697 */   // Label 5518: @293697
     /*  293697 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(293760), // Rule ID 9265 //
     /*  293702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  293716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293741 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293758 */     GIR_RootConstrainSelectedInstOperands,
     /*  293759 */     // GIR_Coverage, 9265,
     /*  293759 */     GIR_EraseRootFromParent_Done,
     /*  293760 */   // Label 5519: @293760
     /*  293760 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(293823), // Rule ID 9268 //
     /*  293765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  293779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293804 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293821 */     GIR_RootConstrainSelectedInstOperands,
     /*  293822 */     // GIR_Coverage, 9268,
     /*  293822 */     GIR_EraseRootFromParent_Done,
     /*  293823 */   // Label 5520: @293823
     /*  293823 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(293886), // Rule ID 9269 //
     /*  293828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  293842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293867 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293884 */     GIR_RootConstrainSelectedInstOperands,
     /*  293885 */     // GIR_Coverage, 9269,
     /*  293885 */     GIR_EraseRootFromParent_Done,
     /*  293886 */   // Label 5521: @293886
     /*  293886 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(293949), // Rule ID 9272 //
     /*  293891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  293902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  293905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293930 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293947 */     GIR_RootConstrainSelectedInstOperands,
     /*  293948 */     // GIR_Coverage, 9272,
     /*  293948 */     GIR_EraseRootFromParent_Done,
     /*  293949 */   // Label 5522: @293949
     /*  293949 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(294012), // Rule ID 9273 //
     /*  293954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  293965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  293968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293993 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294010 */     GIR_RootConstrainSelectedInstOperands,
     /*  294011 */     // GIR_Coverage, 9273,
     /*  294011 */     GIR_EraseRootFromParent_Done,
     /*  294012 */   // Label 5523: @294012
     /*  294012 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(294075), // Rule ID 9276 //
     /*  294017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  294031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294056 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  294059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294073 */     GIR_RootConstrainSelectedInstOperands,
     /*  294074 */     // GIR_Coverage, 9276,
     /*  294074 */     GIR_EraseRootFromParent_Done,
     /*  294075 */   // Label 5524: @294075
     /*  294075 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(294138), // Rule ID 9277 //
     /*  294080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  294094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294119 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  294122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294136 */     GIR_RootConstrainSelectedInstOperands,
     /*  294137 */     // GIR_Coverage, 9277,
     /*  294137 */     GIR_EraseRootFromParent_Done,
     /*  294138 */   // Label 5525: @294138
     /*  294138 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(294201), // Rule ID 9280 //
     /*  294143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  294157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294182 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  294185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294199 */     GIR_RootConstrainSelectedInstOperands,
     /*  294200 */     // GIR_Coverage, 9280,
     /*  294200 */     GIR_EraseRootFromParent_Done,
     /*  294201 */   // Label 5526: @294201
     /*  294201 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(294264), // Rule ID 9281 //
     /*  294206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  294220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294245 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  294248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294262 */     GIR_RootConstrainSelectedInstOperands,
     /*  294263 */     // GIR_Coverage, 9281,
     /*  294263 */     GIR_EraseRootFromParent_Done,
     /*  294264 */   // Label 5527: @294264
     /*  294264 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(294327), // Rule ID 9284 //
     /*  294269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  294283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294308 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  294311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294325 */     GIR_RootConstrainSelectedInstOperands,
     /*  294326 */     // GIR_Coverage, 9284,
     /*  294326 */     GIR_EraseRootFromParent_Done,
     /*  294327 */   // Label 5528: @294327
     /*  294327 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(294390), // Rule ID 9285 //
     /*  294332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  294346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294371 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  294374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294388 */     GIR_RootConstrainSelectedInstOperands,
     /*  294389 */     // GIR_Coverage, 9285,
     /*  294389 */     GIR_EraseRootFromParent_Done,
     /*  294390 */   // Label 5529: @294390
     /*  294390 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(294453), // Rule ID 9288 //
     /*  294395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  294398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  294409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294434 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  294434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  294437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294451 */     GIR_RootConstrainSelectedInstOperands,
     /*  294452 */     // GIR_Coverage, 9288,
     /*  294452 */     GIR_EraseRootFromParent_Done,
     /*  294453 */   // Label 5530: @294453
     /*  294453 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(294516), // Rule ID 9289 //
     /*  294458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  294461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  294472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294497 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  294497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  294500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294514 */     GIR_RootConstrainSelectedInstOperands,
     /*  294515 */     // GIR_Coverage, 9289,
     /*  294515 */     GIR_EraseRootFromParent_Done,
     /*  294516 */   // Label 5531: @294516
     /*  294516 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(294579), // Rule ID 9292 //
     /*  294521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  294524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  294535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294560 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  294560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  294563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294577 */     GIR_RootConstrainSelectedInstOperands,
     /*  294578 */     // GIR_Coverage, 9292,
     /*  294578 */     GIR_EraseRootFromParent_Done,
     /*  294579 */   // Label 5532: @294579
     /*  294579 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(294642), // Rule ID 9293 //
     /*  294584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  294587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  294598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294623 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  294623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  294626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294640 */     GIR_RootConstrainSelectedInstOperands,
     /*  294641 */     // GIR_Coverage, 9293,
     /*  294641 */     GIR_EraseRootFromParent_Done,
     /*  294642 */   // Label 5533: @294642
     /*  294642 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(294705), // Rule ID 9296 //
     /*  294647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  294650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  294661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294686 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  294686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  294689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294703 */     GIR_RootConstrainSelectedInstOperands,
     /*  294704 */     // GIR_Coverage, 9296,
     /*  294704 */     GIR_EraseRootFromParent_Done,
     /*  294705 */   // Label 5534: @294705
     /*  294705 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(294768), // Rule ID 9297 //
     /*  294710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  294713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  294718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  294724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294749 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  294749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  294752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294766 */     GIR_RootConstrainSelectedInstOperands,
     /*  294767 */     // GIR_Coverage, 9297,
     /*  294767 */     GIR_EraseRootFromParent_Done,
     /*  294768 */   // Label 5535: @294768
     /*  294768 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(294831), // Rule ID 9388 //
     /*  294773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  294787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294812 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  294815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294829 */     GIR_RootConstrainSelectedInstOperands,
     /*  294830 */     // GIR_Coverage, 9388,
     /*  294830 */     GIR_EraseRootFromParent_Done,
     /*  294831 */   // Label 5536: @294831
     /*  294831 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(294894), // Rule ID 9389 //
     /*  294836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  294850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294875 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  294878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294892 */     GIR_RootConstrainSelectedInstOperands,
     /*  294893 */     // GIR_Coverage, 9389,
     /*  294893 */     GIR_EraseRootFromParent_Done,
     /*  294894 */   // Label 5537: @294894
     /*  294894 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(294957), // Rule ID 9392 //
     /*  294899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  294913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294938 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  294941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294955 */     GIR_RootConstrainSelectedInstOperands,
     /*  294956 */     // GIR_Coverage, 9392,
     /*  294956 */     GIR_EraseRootFromParent_Done,
     /*  294957 */   // Label 5538: @294957
     /*  294957 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(295020), // Rule ID 9393 //
     /*  294962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  294976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295001 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  295004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295018 */     GIR_RootConstrainSelectedInstOperands,
     /*  295019 */     // GIR_Coverage, 9393,
     /*  295019 */     GIR_EraseRootFromParent_Done,
     /*  295020 */   // Label 5539: @295020
     /*  295020 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(295083), // Rule ID 9396 //
     /*  295025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  295039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295064 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  295067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295081 */     GIR_RootConstrainSelectedInstOperands,
     /*  295082 */     // GIR_Coverage, 9396,
     /*  295082 */     GIR_EraseRootFromParent_Done,
     /*  295083 */   // Label 5540: @295083
     /*  295083 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(295146), // Rule ID 9397 //
     /*  295088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  295102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295127 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  295130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295144 */     GIR_RootConstrainSelectedInstOperands,
     /*  295145 */     // GIR_Coverage, 9397,
     /*  295145 */     GIR_EraseRootFromParent_Done,
     /*  295146 */   // Label 5541: @295146
     /*  295146 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(295209), // Rule ID 9400 //
     /*  295151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  295165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295190 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  295193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295207 */     GIR_RootConstrainSelectedInstOperands,
     /*  295208 */     // GIR_Coverage, 9400,
     /*  295208 */     GIR_EraseRootFromParent_Done,
     /*  295209 */   // Label 5542: @295209
     /*  295209 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(295272), // Rule ID 9401 //
     /*  295214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  295228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295253 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  295256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295270 */     GIR_RootConstrainSelectedInstOperands,
     /*  295271 */     // GIR_Coverage, 9401,
     /*  295271 */     GIR_EraseRootFromParent_Done,
     /*  295272 */   // Label 5543: @295272
     /*  295272 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(295335), // Rule ID 9404 //
     /*  295277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  295291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295316 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  295319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295333 */     GIR_RootConstrainSelectedInstOperands,
     /*  295334 */     // GIR_Coverage, 9404,
     /*  295334 */     GIR_EraseRootFromParent_Done,
     /*  295335 */   // Label 5544: @295335
     /*  295335 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(295398), // Rule ID 9405 //
     /*  295340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  295354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295379 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  295382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295396 */     GIR_RootConstrainSelectedInstOperands,
     /*  295397 */     // GIR_Coverage, 9405,
     /*  295397 */     GIR_EraseRootFromParent_Done,
     /*  295398 */   // Label 5545: @295398
     /*  295398 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(295461), // Rule ID 9408 //
     /*  295403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  295417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295442 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  295445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295459 */     GIR_RootConstrainSelectedInstOperands,
     /*  295460 */     // GIR_Coverage, 9408,
     /*  295460 */     GIR_EraseRootFromParent_Done,
     /*  295461 */   // Label 5546: @295461
     /*  295461 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(295524), // Rule ID 9409 //
     /*  295466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  295480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295505 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  295508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295522 */     GIR_RootConstrainSelectedInstOperands,
     /*  295523 */     // GIR_Coverage, 9409,
     /*  295523 */     GIR_EraseRootFromParent_Done,
     /*  295524 */   // Label 5547: @295524
     /*  295524 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(295587), // Rule ID 9412 //
     /*  295529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  295543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295568 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295585 */     GIR_RootConstrainSelectedInstOperands,
     /*  295586 */     // GIR_Coverage, 9412,
     /*  295586 */     GIR_EraseRootFromParent_Done,
     /*  295587 */   // Label 5548: @295587
     /*  295587 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(295650), // Rule ID 9413 //
     /*  295592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  295606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295631 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295648 */     GIR_RootConstrainSelectedInstOperands,
     /*  295649 */     // GIR_Coverage, 9413,
     /*  295649 */     GIR_EraseRootFromParent_Done,
     /*  295650 */   // Label 5549: @295650
     /*  295650 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(295713), // Rule ID 9416 //
     /*  295655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  295669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295694 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295711 */     GIR_RootConstrainSelectedInstOperands,
     /*  295712 */     // GIR_Coverage, 9416,
     /*  295712 */     GIR_EraseRootFromParent_Done,
     /*  295713 */   // Label 5550: @295713
     /*  295713 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(295776), // Rule ID 9417 //
     /*  295718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  295732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295757 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295774 */     GIR_RootConstrainSelectedInstOperands,
     /*  295775 */     // GIR_Coverage, 9417,
     /*  295775 */     GIR_EraseRootFromParent_Done,
     /*  295776 */   // Label 5551: @295776
     /*  295776 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(295839), // Rule ID 9420 //
     /*  295781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  295795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295820 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295837 */     GIR_RootConstrainSelectedInstOperands,
     /*  295838 */     // GIR_Coverage, 9420,
     /*  295838 */     GIR_EraseRootFromParent_Done,
     /*  295839 */   // Label 5552: @295839
     /*  295839 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(295902), // Rule ID 9421 //
     /*  295844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  295858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295883 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295900 */     GIR_RootConstrainSelectedInstOperands,
     /*  295901 */     // GIR_Coverage, 9421,
     /*  295901 */     GIR_EraseRootFromParent_Done,
     /*  295902 */   // Label 5553: @295902
     /*  295902 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(295965), // Rule ID 9424 //
     /*  295907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  295921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295946 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  295949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295963 */     GIR_RootConstrainSelectedInstOperands,
     /*  295964 */     // GIR_Coverage, 9424,
     /*  295964 */     GIR_EraseRootFromParent_Done,
     /*  295965 */   // Label 5554: @295965
     /*  295965 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(296028), // Rule ID 9425 //
     /*  295970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  295984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296009 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  296012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296026 */     GIR_RootConstrainSelectedInstOperands,
     /*  296027 */     // GIR_Coverage, 9425,
     /*  296027 */     GIR_EraseRootFromParent_Done,
     /*  296028 */   // Label 5555: @296028
     /*  296028 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(296091), // Rule ID 9428 //
     /*  296033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  296047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296072 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296089 */     GIR_RootConstrainSelectedInstOperands,
     /*  296090 */     // GIR_Coverage, 9428,
     /*  296090 */     GIR_EraseRootFromParent_Done,
     /*  296091 */   // Label 5556: @296091
     /*  296091 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(296154), // Rule ID 9429 //
     /*  296096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  296110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296135 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296152 */     GIR_RootConstrainSelectedInstOperands,
     /*  296153 */     // GIR_Coverage, 9429,
     /*  296153 */     GIR_EraseRootFromParent_Done,
     /*  296154 */   // Label 5557: @296154
     /*  296154 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(296217), // Rule ID 9432 //
     /*  296159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  296170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  296173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296198 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296215 */     GIR_RootConstrainSelectedInstOperands,
     /*  296216 */     // GIR_Coverage, 9432,
     /*  296216 */     GIR_EraseRootFromParent_Done,
     /*  296217 */   // Label 5558: @296217
     /*  296217 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(296280), // Rule ID 9433 //
     /*  296222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  296233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  296236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296261 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296278 */     GIR_RootConstrainSelectedInstOperands,
     /*  296279 */     // GIR_Coverage, 9433,
     /*  296279 */     GIR_EraseRootFromParent_Done,
     /*  296280 */   // Label 5559: @296280
     /*  296280 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(296343), // Rule ID 9436 //
     /*  296285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  296296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  296299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296324 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296341 */     GIR_RootConstrainSelectedInstOperands,
     /*  296342 */     // GIR_Coverage, 9436,
     /*  296342 */     GIR_EraseRootFromParent_Done,
     /*  296343 */   // Label 5560: @296343
     /*  296343 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(296406), // Rule ID 9437 //
     /*  296348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  296359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  296362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296387 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296404 */     GIR_RootConstrainSelectedInstOperands,
     /*  296405 */     // GIR_Coverage, 9437,
     /*  296405 */     GIR_EraseRootFromParent_Done,
     /*  296406 */   // Label 5561: @296406
     /*  296406 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(296469), // Rule ID 9440 //
     /*  296411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  296425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296450 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296467 */     GIR_RootConstrainSelectedInstOperands,
     /*  296468 */     // GIR_Coverage, 9440,
     /*  296468 */     GIR_EraseRootFromParent_Done,
     /*  296469 */   // Label 5562: @296469
     /*  296469 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(296532), // Rule ID 9441 //
     /*  296474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  296488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296513 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296530 */     GIR_RootConstrainSelectedInstOperands,
     /*  296531 */     // GIR_Coverage, 9441,
     /*  296531 */     GIR_EraseRootFromParent_Done,
     /*  296532 */   // Label 5563: @296532
     /*  296532 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(296595), // Rule ID 9444 //
     /*  296537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  296551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296576 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296593 */     GIR_RootConstrainSelectedInstOperands,
     /*  296594 */     // GIR_Coverage, 9444,
     /*  296594 */     GIR_EraseRootFromParent_Done,
     /*  296595 */   // Label 5564: @296595
     /*  296595 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(296658), // Rule ID 9445 //
     /*  296600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  296614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296639 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296656 */     GIR_RootConstrainSelectedInstOperands,
     /*  296657 */     // GIR_Coverage, 9445,
     /*  296657 */     GIR_EraseRootFromParent_Done,
     /*  296658 */   // Label 5565: @296658
     /*  296658 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(296721), // Rule ID 9448 //
     /*  296663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  296674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  296677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296702 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296719 */     GIR_RootConstrainSelectedInstOperands,
     /*  296720 */     // GIR_Coverage, 9448,
     /*  296720 */     GIR_EraseRootFromParent_Done,
     /*  296721 */   // Label 5566: @296721
     /*  296721 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(296784), // Rule ID 9449 //
     /*  296726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  296737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  296740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296765 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296782 */     GIR_RootConstrainSelectedInstOperands,
     /*  296783 */     // GIR_Coverage, 9449,
     /*  296783 */     GIR_EraseRootFromParent_Done,
     /*  296784 */   // Label 5567: @296784
     /*  296784 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(296847), // Rule ID 9452 //
     /*  296789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  296803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296845 */     GIR_RootConstrainSelectedInstOperands,
     /*  296846 */     // GIR_Coverage, 9452,
     /*  296846 */     GIR_EraseRootFromParent_Done,
     /*  296847 */   // Label 5568: @296847
     /*  296847 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(296910), // Rule ID 9453 //
     /*  296852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  296866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296891 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296908 */     GIR_RootConstrainSelectedInstOperands,
     /*  296909 */     // GIR_Coverage, 9453,
     /*  296909 */     GIR_EraseRootFromParent_Done,
     /*  296910 */   // Label 5569: @296910
     /*  296910 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(296973), // Rule ID 9456 //
     /*  296915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  296929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296954 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296971 */     GIR_RootConstrainSelectedInstOperands,
     /*  296972 */     // GIR_Coverage, 9456,
     /*  296972 */     GIR_EraseRootFromParent_Done,
     /*  296973 */   // Label 5570: @296973
     /*  296973 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(297036), // Rule ID 9457 //
     /*  296978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  296992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297017 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  297020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297034 */     GIR_RootConstrainSelectedInstOperands,
     /*  297035 */     // GIR_Coverage, 9457,
     /*  297035 */     GIR_EraseRootFromParent_Done,
     /*  297036 */   // Label 5571: @297036
     /*  297036 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(297099), // Rule ID 9460 //
     /*  297041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  297049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  297055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297080 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  297083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297097 */     GIR_RootConstrainSelectedInstOperands,
     /*  297098 */     // GIR_Coverage, 9460,
     /*  297098 */     GIR_EraseRootFromParent_Done,
     /*  297099 */   // Label 5572: @297099
     /*  297099 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(297162), // Rule ID 9461 //
     /*  297104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  297112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  297118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297143 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  297146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297160 */     GIR_RootConstrainSelectedInstOperands,
     /*  297161 */     // GIR_Coverage, 9461,
     /*  297161 */     GIR_EraseRootFromParent_Done,
     /*  297162 */   // Label 5573: @297162
     /*  297162 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(297225), // Rule ID 9464 //
     /*  297167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  297170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  297175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  297181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297206 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  297209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297223 */     GIR_RootConstrainSelectedInstOperands,
     /*  297224 */     // GIR_Coverage, 9464,
     /*  297224 */     GIR_EraseRootFromParent_Done,
     /*  297225 */   // Label 5574: @297225
     /*  297225 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(297288), // Rule ID 9465 //
     /*  297230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  297233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  297238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  297244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297269 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  297272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297286 */     GIR_RootConstrainSelectedInstOperands,
     /*  297287 */     // GIR_Coverage, 9465,
     /*  297287 */     GIR_EraseRootFromParent_Done,
     /*  297288 */   // Label 5575: @297288
     /*  297288 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(297351), // Rule ID 9468 //
     /*  297293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  297296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  297301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  297307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297332 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  297335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297349 */     GIR_RootConstrainSelectedInstOperands,
     /*  297350 */     // GIR_Coverage, 9468,
     /*  297350 */     GIR_EraseRootFromParent_Done,
     /*  297351 */   // Label 5576: @297351
     /*  297351 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(297414), // Rule ID 9469 //
     /*  297356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  297359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  297364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  297370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297395 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  297398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297412 */     GIR_RootConstrainSelectedInstOperands,
     /*  297413 */     // GIR_Coverage, 9469,
     /*  297413 */     GIR_EraseRootFromParent_Done,
     /*  297414 */   // Label 5577: @297414
     /*  297414 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(297477), // Rule ID 9472 //
     /*  297419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  297422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  297427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  297433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297458 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  297461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297475 */     GIR_RootConstrainSelectedInstOperands,
     /*  297476 */     // GIR_Coverage, 9472,
     /*  297476 */     GIR_EraseRootFromParent_Done,
     /*  297477 */   // Label 5578: @297477
     /*  297477 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(297540), // Rule ID 9473 //
     /*  297482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  297485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  297490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  297496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297521 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  297524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297538 */     GIR_RootConstrainSelectedInstOperands,
     /*  297539 */     // GIR_Coverage, 9473,
     /*  297539 */     GIR_EraseRootFromParent_Done,
     /*  297540 */   // Label 5579: @297540
     /*  297540 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(297603), // Rule ID 9564 //
     /*  297545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  297559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  297562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297584 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  297587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297601 */     GIR_RootConstrainSelectedInstOperands,
     /*  297602 */     // GIR_Coverage, 9564,
     /*  297602 */     GIR_EraseRootFromParent_Done,
     /*  297603 */   // Label 5580: @297603
     /*  297603 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(297666), // Rule ID 9565 //
     /*  297608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  297622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  297625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297647 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  297650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297664 */     GIR_RootConstrainSelectedInstOperands,
     /*  297665 */     // GIR_Coverage, 9565,
     /*  297665 */     GIR_EraseRootFromParent_Done,
     /*  297666 */   // Label 5581: @297666
     /*  297666 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(297729), // Rule ID 9568 //
     /*  297671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  297685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  297688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297710 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297727 */     GIR_RootConstrainSelectedInstOperands,
     /*  297728 */     // GIR_Coverage, 9568,
     /*  297728 */     GIR_EraseRootFromParent_Done,
     /*  297729 */   // Label 5582: @297729
     /*  297729 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(297792), // Rule ID 9569 //
     /*  297734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  297748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  297751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297773 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297790 */     GIR_RootConstrainSelectedInstOperands,
     /*  297791 */     // GIR_Coverage, 9569,
     /*  297791 */     GIR_EraseRootFromParent_Done,
     /*  297792 */   // Label 5583: @297792
     /*  297792 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(297855), // Rule ID 9572 //
     /*  297797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  297811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  297814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297836 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  297839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297853 */     GIR_RootConstrainSelectedInstOperands,
     /*  297854 */     // GIR_Coverage, 9572,
     /*  297854 */     GIR_EraseRootFromParent_Done,
     /*  297855 */   // Label 5584: @297855
     /*  297855 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(297918), // Rule ID 9573 //
     /*  297860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  297874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  297877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297899 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  297902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297916 */     GIR_RootConstrainSelectedInstOperands,
     /*  297917 */     // GIR_Coverage, 9573,
     /*  297917 */     GIR_EraseRootFromParent_Done,
     /*  297918 */   // Label 5585: @297918
     /*  297918 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(297981), // Rule ID 9576 //
     /*  297923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  297937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  297940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297962 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297979 */     GIR_RootConstrainSelectedInstOperands,
     /*  297980 */     // GIR_Coverage, 9576,
     /*  297980 */     GIR_EraseRootFromParent_Done,
     /*  297981 */   // Label 5586: @297981
     /*  297981 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(298044), // Rule ID 9577 //
     /*  297986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  298000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  298003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298025 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  298028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298042 */     GIR_RootConstrainSelectedInstOperands,
     /*  298043 */     // GIR_Coverage, 9577,
     /*  298043 */     GIR_EraseRootFromParent_Done,
     /*  298044 */   // Label 5587: @298044
     /*  298044 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(298107), // Rule ID 9580 //
     /*  298049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  298063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  298066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298088 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  298091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298105 */     GIR_RootConstrainSelectedInstOperands,
     /*  298106 */     // GIR_Coverage, 9580,
     /*  298106 */     GIR_EraseRootFromParent_Done,
     /*  298107 */   // Label 5588: @298107
     /*  298107 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(298170), // Rule ID 9581 //
     /*  298112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  298126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  298129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298151 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  298154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298168 */     GIR_RootConstrainSelectedInstOperands,
     /*  298169 */     // GIR_Coverage, 9581,
     /*  298169 */     GIR_EraseRootFromParent_Done,
     /*  298170 */   // Label 5589: @298170
     /*  298170 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(298233), // Rule ID 9584 //
     /*  298175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  298189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  298192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298214 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  298217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298231 */     GIR_RootConstrainSelectedInstOperands,
     /*  298232 */     // GIR_Coverage, 9584,
     /*  298232 */     GIR_EraseRootFromParent_Done,
     /*  298233 */   // Label 5590: @298233
     /*  298233 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(298296), // Rule ID 9585 //
     /*  298238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  298252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  298255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298277 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  298280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298294 */     GIR_RootConstrainSelectedInstOperands,
     /*  298295 */     // GIR_Coverage, 9585,
     /*  298295 */     GIR_EraseRootFromParent_Done,
     /*  298296 */   // Label 5591: @298296
     /*  298296 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(298359), // Rule ID 9588 //
     /*  298301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  298315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  298318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298340 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  298343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298357 */     GIR_RootConstrainSelectedInstOperands,
     /*  298358 */     // GIR_Coverage, 9588,
     /*  298358 */     GIR_EraseRootFromParent_Done,
     /*  298359 */   // Label 5592: @298359
     /*  298359 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(298422), // Rule ID 9589 //
     /*  298364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  298378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  298381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298403 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  298406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298420 */     GIR_RootConstrainSelectedInstOperands,
     /*  298421 */     // GIR_Coverage, 9589,
     /*  298421 */     GIR_EraseRootFromParent_Done,
     /*  298422 */   // Label 5593: @298422
     /*  298422 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(298485), // Rule ID 9592 //
     /*  298427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  298441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  298444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298466 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  298469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298483 */     GIR_RootConstrainSelectedInstOperands,
     /*  298484 */     // GIR_Coverage, 9592,
     /*  298484 */     GIR_EraseRootFromParent_Done,
     /*  298485 */   // Label 5594: @298485
     /*  298485 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(298548), // Rule ID 9593 //
     /*  298490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  298504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  298507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298529 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  298532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298546 */     GIR_RootConstrainSelectedInstOperands,
     /*  298547 */     // GIR_Coverage, 9593,
     /*  298547 */     GIR_EraseRootFromParent_Done,
     /*  298548 */   // Label 5595: @298548
     /*  298548 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(298611), // Rule ID 9596 //
     /*  298553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  298567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  298570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  298595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298609 */     GIR_RootConstrainSelectedInstOperands,
     /*  298610 */     // GIR_Coverage, 9596,
     /*  298610 */     GIR_EraseRootFromParent_Done,
     /*  298611 */   // Label 5596: @298611
     /*  298611 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(298674), // Rule ID 9597 //
     /*  298616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  298630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  298633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298655 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  298658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298672 */     GIR_RootConstrainSelectedInstOperands,
     /*  298673 */     // GIR_Coverage, 9597,
     /*  298673 */     GIR_EraseRootFromParent_Done,
     /*  298674 */   // Label 5597: @298674
     /*  298674 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(298737), // Rule ID 9600 //
     /*  298679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  298693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  298696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298718 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298735 */     GIR_RootConstrainSelectedInstOperands,
     /*  298736 */     // GIR_Coverage, 9600,
     /*  298736 */     GIR_EraseRootFromParent_Done,
     /*  298737 */   // Label 5598: @298737
     /*  298737 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(298800), // Rule ID 9601 //
     /*  298742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  298756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  298759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298781 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298798 */     GIR_RootConstrainSelectedInstOperands,
     /*  298799 */     // GIR_Coverage, 9601,
     /*  298799 */     GIR_EraseRootFromParent_Done,
     /*  298800 */   // Label 5599: @298800
     /*  298800 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(298863), // Rule ID 9604 //
     /*  298805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  298819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  298822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298844 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298861 */     GIR_RootConstrainSelectedInstOperands,
     /*  298862 */     // GIR_Coverage, 9604,
     /*  298862 */     GIR_EraseRootFromParent_Done,
     /*  298863 */   // Label 5600: @298863
     /*  298863 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(298926), // Rule ID 9605 //
     /*  298868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  298882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  298885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298907 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298924 */     GIR_RootConstrainSelectedInstOperands,
     /*  298925 */     // GIR_Coverage, 9605,
     /*  298925 */     GIR_EraseRootFromParent_Done,
     /*  298926 */   // Label 5601: @298926
     /*  298926 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(298989), // Rule ID 9608 //
     /*  298931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  298942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  298945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  298948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298970 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298987 */     GIR_RootConstrainSelectedInstOperands,
     /*  298988 */     // GIR_Coverage, 9608,
     /*  298988 */     GIR_EraseRootFromParent_Done,
     /*  298989 */   // Label 5602: @298989
     /*  298989 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(299052), // Rule ID 9609 //
     /*  298994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  299005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  299008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  299011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299033 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299050 */     GIR_RootConstrainSelectedInstOperands,
     /*  299051 */     // GIR_Coverage, 9609,
     /*  299051 */     GIR_EraseRootFromParent_Done,
     /*  299052 */   // Label 5603: @299052
     /*  299052 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(299115), // Rule ID 9612 //
     /*  299057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  299071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  299074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299096 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  299099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299113 */     GIR_RootConstrainSelectedInstOperands,
     /*  299114 */     // GIR_Coverage, 9612,
     /*  299114 */     GIR_EraseRootFromParent_Done,
     /*  299115 */   // Label 5604: @299115
     /*  299115 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(299178), // Rule ID 9613 //
     /*  299120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  299134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  299137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299159 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  299162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299176 */     GIR_RootConstrainSelectedInstOperands,
     /*  299177 */     // GIR_Coverage, 9613,
     /*  299177 */     GIR_EraseRootFromParent_Done,
     /*  299178 */   // Label 5605: @299178
     /*  299178 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(299241), // Rule ID 9616 //
     /*  299183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  299197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  299200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299222 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  299225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299239 */     GIR_RootConstrainSelectedInstOperands,
     /*  299240 */     // GIR_Coverage, 9616,
     /*  299240 */     GIR_EraseRootFromParent_Done,
     /*  299241 */   // Label 5606: @299241
     /*  299241 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(299304), // Rule ID 9617 //
     /*  299246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  299260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  299263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299285 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  299288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299302 */     GIR_RootConstrainSelectedInstOperands,
     /*  299303 */     // GIR_Coverage, 9617,
     /*  299303 */     GIR_EraseRootFromParent_Done,
     /*  299304 */   // Label 5607: @299304
     /*  299304 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(299367), // Rule ID 9620 //
     /*  299309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  299320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  299323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  299326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299348 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299365 */     GIR_RootConstrainSelectedInstOperands,
     /*  299366 */     // GIR_Coverage, 9620,
     /*  299366 */     GIR_EraseRootFromParent_Done,
     /*  299367 */   // Label 5608: @299367
     /*  299367 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(299430), // Rule ID 9621 //
     /*  299372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  299383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  299386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  299389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299411 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299428 */     GIR_RootConstrainSelectedInstOperands,
     /*  299429 */     // GIR_Coverage, 9621,
     /*  299429 */     GIR_EraseRootFromParent_Done,
     /*  299430 */   // Label 5609: @299430
     /*  299430 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(299493), // Rule ID 9624 //
     /*  299435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  299449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  299452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299474 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  299477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299491 */     GIR_RootConstrainSelectedInstOperands,
     /*  299492 */     // GIR_Coverage, 9624,
     /*  299492 */     GIR_EraseRootFromParent_Done,
     /*  299493 */   // Label 5610: @299493
     /*  299493 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(299556), // Rule ID 9625 //
     /*  299498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  299512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  299515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299537 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  299540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299554 */     GIR_RootConstrainSelectedInstOperands,
     /*  299555 */     // GIR_Coverage, 9625,
     /*  299555 */     GIR_EraseRootFromParent_Done,
     /*  299556 */   // Label 5611: @299556
     /*  299556 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(299619), // Rule ID 9628 //
     /*  299561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  299575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  299578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299600 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  299603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299617 */     GIR_RootConstrainSelectedInstOperands,
     /*  299618 */     // GIR_Coverage, 9628,
     /*  299618 */     GIR_EraseRootFromParent_Done,
     /*  299619 */   // Label 5612: @299619
     /*  299619 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(299682), // Rule ID 9629 //
     /*  299624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  299638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  299641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299663 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  299666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299680 */     GIR_RootConstrainSelectedInstOperands,
     /*  299681 */     // GIR_Coverage, 9629,
     /*  299681 */     GIR_EraseRootFromParent_Done,
     /*  299682 */   // Label 5613: @299682
     /*  299682 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(299745), // Rule ID 9632 //
     /*  299687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  299701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  299704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299726 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299743 */     GIR_RootConstrainSelectedInstOperands,
     /*  299744 */     // GIR_Coverage, 9632,
     /*  299744 */     GIR_EraseRootFromParent_Done,
     /*  299745 */   // Label 5614: @299745
     /*  299745 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(299808), // Rule ID 9633 //
     /*  299750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  299764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  299767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299789 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299806 */     GIR_RootConstrainSelectedInstOperands,
     /*  299807 */     // GIR_Coverage, 9633,
     /*  299807 */     GIR_EraseRootFromParent_Done,
     /*  299808 */   // Label 5615: @299808
     /*  299808 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(299871), // Rule ID 9636 //
     /*  299813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  299816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  299827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  299830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299852 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  299855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299869 */     GIR_RootConstrainSelectedInstOperands,
     /*  299870 */     // GIR_Coverage, 9636,
     /*  299870 */     GIR_EraseRootFromParent_Done,
     /*  299871 */   // Label 5616: @299871
     /*  299871 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(299934), // Rule ID 9637 //
     /*  299876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  299879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  299890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  299893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299915 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  299918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299932 */     GIR_RootConstrainSelectedInstOperands,
     /*  299933 */     // GIR_Coverage, 9637,
     /*  299933 */     GIR_EraseRootFromParent_Done,
     /*  299934 */   // Label 5617: @299934
     /*  299934 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(299997), // Rule ID 9640 //
     /*  299939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  299942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  299953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  299956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299978 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  299981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299995 */     GIR_RootConstrainSelectedInstOperands,
     /*  299996 */     // GIR_Coverage, 9640,
     /*  299996 */     GIR_EraseRootFromParent_Done,
     /*  299997 */   // Label 5618: @299997
     /*  299997 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(300060), // Rule ID 9641 //
     /*  300002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  300010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  300016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  300019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300041 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  300044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300058 */     GIR_RootConstrainSelectedInstOperands,
     /*  300059 */     // GIR_Coverage, 9641,
     /*  300059 */     GIR_EraseRootFromParent_Done,
     /*  300060 */   // Label 5619: @300060
     /*  300060 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(300123), // Rule ID 9644 //
     /*  300065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  300073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  300079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  300082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  300107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300121 */     GIR_RootConstrainSelectedInstOperands,
     /*  300122 */     // GIR_Coverage, 9644,
     /*  300122 */     GIR_EraseRootFromParent_Done,
     /*  300123 */   // Label 5620: @300123
     /*  300123 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(300186), // Rule ID 9645 //
     /*  300128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  300136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  300142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  300145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300167 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  300170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300184 */     GIR_RootConstrainSelectedInstOperands,
     /*  300185 */     // GIR_Coverage, 9645,
     /*  300185 */     GIR_EraseRootFromParent_Done,
     /*  300186 */   // Label 5621: @300186
     /*  300186 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(300249), // Rule ID 9648 //
     /*  300191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  300205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  300208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300230 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  300233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300247 */     GIR_RootConstrainSelectedInstOperands,
     /*  300248 */     // GIR_Coverage, 9648,
     /*  300248 */     GIR_EraseRootFromParent_Done,
     /*  300249 */   // Label 5622: @300249
     /*  300249 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(300312), // Rule ID 9649 //
     /*  300254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  300268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  300271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300293 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  300296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300310 */     GIR_RootConstrainSelectedInstOperands,
     /*  300311 */     // GIR_Coverage, 9649,
     /*  300311 */     GIR_EraseRootFromParent_Done,
     /*  300312 */   // Label 5623: @300312
     /*  300312 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(300375), // Rule ID 9652 //
     /*  300317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  300331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  300334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  300359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300373 */     GIR_RootConstrainSelectedInstOperands,
     /*  300374 */     // GIR_Coverage, 9652,
     /*  300374 */     GIR_EraseRootFromParent_Done,
     /*  300375 */   // Label 5624: @300375
     /*  300375 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(300438), // Rule ID 9653 //
     /*  300380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  300394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  300397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300419 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  300422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300436 */     GIR_RootConstrainSelectedInstOperands,
     /*  300437 */     // GIR_Coverage, 9653,
     /*  300437 */     GIR_EraseRootFromParent_Done,
     /*  300438 */   // Label 5625: @300438
     /*  300438 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(300501), // Rule ID 9656 //
     /*  300443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  300457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  300460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300482 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300499 */     GIR_RootConstrainSelectedInstOperands,
     /*  300500 */     // GIR_Coverage, 9656,
     /*  300500 */     GIR_EraseRootFromParent_Done,
     /*  300501 */   // Label 5626: @300501
     /*  300501 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(300564), // Rule ID 9657 //
     /*  300506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  300520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  300523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300545 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300562 */     GIR_RootConstrainSelectedInstOperands,
     /*  300563 */     // GIR_Coverage, 9657,
     /*  300563 */     GIR_EraseRootFromParent_Done,
     /*  300564 */   // Label 5627: @300564
     /*  300564 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(300627), // Rule ID 9660 //
     /*  300569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  300583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  300586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300608 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  300611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300625 */     GIR_RootConstrainSelectedInstOperands,
     /*  300626 */     // GIR_Coverage, 9660,
     /*  300626 */     GIR_EraseRootFromParent_Done,
     /*  300627 */   // Label 5628: @300627
     /*  300627 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(300690), // Rule ID 9661 //
     /*  300632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  300646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  300649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300671 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  300674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300688 */     GIR_RootConstrainSelectedInstOperands,
     /*  300689 */     // GIR_Coverage, 9661,
     /*  300689 */     GIR_EraseRootFromParent_Done,
     /*  300690 */   // Label 5629: @300690
     /*  300690 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(300753), // Rule ID 9664 //
     /*  300695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  300709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  300712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300734 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300751 */     GIR_RootConstrainSelectedInstOperands,
     /*  300752 */     // GIR_Coverage, 9664,
     /*  300752 */     GIR_EraseRootFromParent_Done,
     /*  300753 */   // Label 5630: @300753
     /*  300753 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(300816), // Rule ID 9665 //
     /*  300758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  300772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  300775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300797 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300814 */     GIR_RootConstrainSelectedInstOperands,
     /*  300815 */     // GIR_Coverage, 9665,
     /*  300815 */     GIR_EraseRootFromParent_Done,
     /*  300816 */   // Label 5631: @300816
     /*  300816 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(300879), // Rule ID 9668 //
     /*  300821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  300835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  300838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300877 */     GIR_RootConstrainSelectedInstOperands,
     /*  300878 */     // GIR_Coverage, 9668,
     /*  300878 */     GIR_EraseRootFromParent_Done,
     /*  300879 */   // Label 5632: @300879
     /*  300879 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(300942), // Rule ID 9669 //
     /*  300884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  300898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  300901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300923 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  300926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300940 */     GIR_RootConstrainSelectedInstOperands,
     /*  300941 */     // GIR_Coverage, 9669,
     /*  300941 */     GIR_EraseRootFromParent_Done,
     /*  300942 */   // Label 5633: @300942
     /*  300942 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(301005), // Rule ID 9672 //
     /*  300947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  300961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  300964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300986 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301003 */     GIR_RootConstrainSelectedInstOperands,
     /*  301004 */     // GIR_Coverage, 9672,
     /*  301004 */     GIR_EraseRootFromParent_Done,
     /*  301005 */   // Label 5634: @301005
     /*  301005 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(301068), // Rule ID 9673 //
     /*  301010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  301024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  301027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301049 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  301052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301066 */     GIR_RootConstrainSelectedInstOperands,
     /*  301067 */     // GIR_Coverage, 9673,
     /*  301067 */     GIR_EraseRootFromParent_Done,
     /*  301068 */   // Label 5635: @301068
     /*  301068 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(301131), // Rule ID 9676 //
     /*  301073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  301087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  301090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  301115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301129 */     GIR_RootConstrainSelectedInstOperands,
     /*  301130 */     // GIR_Coverage, 9676,
     /*  301130 */     GIR_EraseRootFromParent_Done,
     /*  301131 */   // Label 5636: @301131
     /*  301131 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(301194), // Rule ID 9677 //
     /*  301136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  301150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  301153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301175 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  301178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301192 */     GIR_RootConstrainSelectedInstOperands,
     /*  301193 */     // GIR_Coverage, 9677,
     /*  301193 */     GIR_EraseRootFromParent_Done,
     /*  301194 */   // Label 5637: @301194
     /*  301194 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(301257), // Rule ID 9680 //
     /*  301199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  301213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  301216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301238 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  301241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301255 */     GIR_RootConstrainSelectedInstOperands,
     /*  301256 */     // GIR_Coverage, 9680,
     /*  301256 */     GIR_EraseRootFromParent_Done,
     /*  301257 */   // Label 5638: @301257
     /*  301257 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(301320), // Rule ID 9681 //
     /*  301262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  301276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  301279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301301 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  301304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301318 */     GIR_RootConstrainSelectedInstOperands,
     /*  301319 */     // GIR_Coverage, 9681,
     /*  301319 */     GIR_EraseRootFromParent_Done,
     /*  301320 */   // Label 5639: @301320
     /*  301320 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(301383), // Rule ID 9684 //
     /*  301325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  301339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  301342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  301367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301381 */     GIR_RootConstrainSelectedInstOperands,
     /*  301382 */     // GIR_Coverage, 9684,
     /*  301382 */     GIR_EraseRootFromParent_Done,
     /*  301383 */   // Label 5640: @301383
     /*  301383 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(301446), // Rule ID 9685 //
     /*  301388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  301402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  301405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301427 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  301430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301444 */     GIR_RootConstrainSelectedInstOperands,
     /*  301445 */     // GIR_Coverage, 9685,
     /*  301445 */     GIR_EraseRootFromParent_Done,
     /*  301446 */   // Label 5641: @301446
     /*  301446 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(301509), // Rule ID 9688 //
     /*  301451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  301465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  301468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301490 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301507 */     GIR_RootConstrainSelectedInstOperands,
     /*  301508 */     // GIR_Coverage, 9688,
     /*  301508 */     GIR_EraseRootFromParent_Done,
     /*  301509 */   // Label 5642: @301509
     /*  301509 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(301572), // Rule ID 9689 //
     /*  301514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  301528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  301531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301553 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301570 */     GIR_RootConstrainSelectedInstOperands,
     /*  301571 */     // GIR_Coverage, 9689,
     /*  301571 */     GIR_EraseRootFromParent_Done,
     /*  301572 */   // Label 5643: @301572
     /*  301572 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(301635), // Rule ID 9692 //
     /*  301577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  301588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  301591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  301594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301616 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301633 */     GIR_RootConstrainSelectedInstOperands,
     /*  301634 */     // GIR_Coverage, 9692,
     /*  301634 */     GIR_EraseRootFromParent_Done,
     /*  301635 */   // Label 5644: @301635
     /*  301635 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(301698), // Rule ID 9693 //
     /*  301640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  301651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  301654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  301657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301679 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301696 */     GIR_RootConstrainSelectedInstOperands,
     /*  301697 */     // GIR_Coverage, 9693,
     /*  301697 */     GIR_EraseRootFromParent_Done,
     /*  301698 */   // Label 5645: @301698
     /*  301698 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(301761), // Rule ID 9696 //
     /*  301703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  301714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  301717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  301720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301742 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301759 */     GIR_RootConstrainSelectedInstOperands,
     /*  301760 */     // GIR_Coverage, 9696,
     /*  301760 */     GIR_EraseRootFromParent_Done,
     /*  301761 */   // Label 5646: @301761
     /*  301761 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(301824), // Rule ID 9697 //
     /*  301766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  301777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  301780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  301783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301805 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301822 */     GIR_RootConstrainSelectedInstOperands,
     /*  301823 */     // GIR_Coverage, 9697,
     /*  301823 */     GIR_EraseRootFromParent_Done,
     /*  301824 */   // Label 5647: @301824
     /*  301824 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(301887), // Rule ID 9700 //
     /*  301829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  301843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  301846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301868 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301885 */     GIR_RootConstrainSelectedInstOperands,
     /*  301886 */     // GIR_Coverage, 9700,
     /*  301886 */     GIR_EraseRootFromParent_Done,
     /*  301887 */   // Label 5648: @301887
     /*  301887 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(301950), // Rule ID 9701 //
     /*  301892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  301906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  301909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301931 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301948 */     GIR_RootConstrainSelectedInstOperands,
     /*  301949 */     // GIR_Coverage, 9701,
     /*  301949 */     GIR_EraseRootFromParent_Done,
     /*  301950 */   // Label 5649: @301950
     /*  301950 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(302013), // Rule ID 9704 //
     /*  301955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  301969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  301972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301994 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302011 */     GIR_RootConstrainSelectedInstOperands,
     /*  302012 */     // GIR_Coverage, 9704,
     /*  302012 */     GIR_EraseRootFromParent_Done,
     /*  302013 */   // Label 5650: @302013
     /*  302013 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(302076), // Rule ID 9705 //
     /*  302018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  302032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  302035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302057 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  302060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302074 */     GIR_RootConstrainSelectedInstOperands,
     /*  302075 */     // GIR_Coverage, 9705,
     /*  302075 */     GIR_EraseRootFromParent_Done,
     /*  302076 */   // Label 5651: @302076
     /*  302076 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(302139), // Rule ID 9708 //
     /*  302081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  302092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  302095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  302098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302120 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  302123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302137 */     GIR_RootConstrainSelectedInstOperands,
     /*  302138 */     // GIR_Coverage, 9708,
     /*  302138 */     GIR_EraseRootFromParent_Done,
     /*  302139 */   // Label 5652: @302139
     /*  302139 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(302202), // Rule ID 9709 //
     /*  302144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  302155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  302158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  302161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302183 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  302186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302200 */     GIR_RootConstrainSelectedInstOperands,
     /*  302201 */     // GIR_Coverage, 9709,
     /*  302201 */     GIR_EraseRootFromParent_Done,
     /*  302202 */   // Label 5653: @302202
     /*  302202 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(302265), // Rule ID 9712 //
     /*  302207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  302221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  302224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302246 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  302249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302263 */     GIR_RootConstrainSelectedInstOperands,
     /*  302264 */     // GIR_Coverage, 9712,
     /*  302264 */     GIR_EraseRootFromParent_Done,
     /*  302265 */   // Label 5654: @302265
     /*  302265 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(302328), // Rule ID 9713 //
     /*  302270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  302284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  302287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302309 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  302312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302326 */     GIR_RootConstrainSelectedInstOperands,
     /*  302327 */     // GIR_Coverage, 9713,
     /*  302327 */     GIR_EraseRootFromParent_Done,
     /*  302328 */   // Label 5655: @302328
     /*  302328 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(302391), // Rule ID 9716 //
     /*  302333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  302347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  302350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  302375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302389 */     GIR_RootConstrainSelectedInstOperands,
     /*  302390 */     // GIR_Coverage, 9716,
     /*  302390 */     GIR_EraseRootFromParent_Done,
     /*  302391 */   // Label 5656: @302391
     /*  302391 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(302454), // Rule ID 9717 //
     /*  302396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  302410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  302413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302435 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  302438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302452 */     GIR_RootConstrainSelectedInstOperands,
     /*  302453 */     // GIR_Coverage, 9717,
     /*  302453 */     GIR_EraseRootFromParent_Done,
     /*  302454 */   // Label 5657: @302454
     /*  302454 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(302517), // Rule ID 9720 //
     /*  302459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  302473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  302476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302498 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  302501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302515 */     GIR_RootConstrainSelectedInstOperands,
     /*  302516 */     // GIR_Coverage, 9720,
     /*  302516 */     GIR_EraseRootFromParent_Done,
     /*  302517 */   // Label 5658: @302517
     /*  302517 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(302580), // Rule ID 9721 //
     /*  302522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  302536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  302539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302561 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  302564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302578 */     GIR_RootConstrainSelectedInstOperands,
     /*  302579 */     // GIR_Coverage, 9721,
     /*  302579 */     GIR_EraseRootFromParent_Done,
     /*  302580 */   // Label 5659: @302580
     /*  302580 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(302643), // Rule ID 9724 //
     /*  302585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  302588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  302599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  302602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302624 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  302627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302641 */     GIR_RootConstrainSelectedInstOperands,
     /*  302642 */     // GIR_Coverage, 9724,
     /*  302642 */     GIR_EraseRootFromParent_Done,
     /*  302643 */   // Label 5660: @302643
     /*  302643 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(302706), // Rule ID 9725 //
     /*  302648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  302651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  302662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  302665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302687 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  302690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302704 */     GIR_RootConstrainSelectedInstOperands,
     /*  302705 */     // GIR_Coverage, 9725,
     /*  302705 */     GIR_EraseRootFromParent_Done,
     /*  302706 */   // Label 5661: @302706
     /*  302706 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(302769), // Rule ID 9728 //
     /*  302711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  302714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  302725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  302728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302750 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  302753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302767 */     GIR_RootConstrainSelectedInstOperands,
     /*  302768 */     // GIR_Coverage, 9728,
     /*  302768 */     GIR_EraseRootFromParent_Done,
     /*  302769 */   // Label 5662: @302769
     /*  302769 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(302832), // Rule ID 9729 //
     /*  302774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  302777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  302788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  302791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302813 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  302816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302830 */     GIR_RootConstrainSelectedInstOperands,
     /*  302831 */     // GIR_Coverage, 9729,
     /*  302831 */     GIR_EraseRootFromParent_Done,
     /*  302832 */   // Label 5663: @302832
     /*  302832 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(302895), // Rule ID 9732 //
     /*  302837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  302840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  302851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  302854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302876 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  302879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302893 */     GIR_RootConstrainSelectedInstOperands,
     /*  302894 */     // GIR_Coverage, 9732,
     /*  302894 */     GIR_EraseRootFromParent_Done,
     /*  302895 */   // Label 5664: @302895
     /*  302895 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(302958), // Rule ID 9733 //
     /*  302900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  302903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  302908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  302914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  302917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302939 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  302942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302956 */     GIR_RootConstrainSelectedInstOperands,
     /*  302957 */     // GIR_Coverage, 9733,
     /*  302957 */     GIR_EraseRootFromParent_Done,
     /*  302958 */   // Label 5665: @302958
     /*  302958 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(303021), // Rule ID 9736 //
     /*  302963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  302977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  302980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303002 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  303005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303019 */     GIR_RootConstrainSelectedInstOperands,
     /*  303020 */     // GIR_Coverage, 9736,
     /*  303020 */     GIR_EraseRootFromParent_Done,
     /*  303021 */   // Label 5666: @303021
     /*  303021 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(303084), // Rule ID 9737 //
     /*  303026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  303040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  303043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303065 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  303068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303082 */     GIR_RootConstrainSelectedInstOperands,
     /*  303083 */     // GIR_Coverage, 9737,
     /*  303083 */     GIR_EraseRootFromParent_Done,
     /*  303084 */   // Label 5667: @303084
     /*  303084 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(303147), // Rule ID 9740 //
     /*  303089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  303103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  303106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  303131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303145 */     GIR_RootConstrainSelectedInstOperands,
     /*  303146 */     // GIR_Coverage, 9740,
     /*  303146 */     GIR_EraseRootFromParent_Done,
     /*  303147 */   // Label 5668: @303147
     /*  303147 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(303210), // Rule ID 9741 //
     /*  303152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  303166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  303169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303191 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  303194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303208 */     GIR_RootConstrainSelectedInstOperands,
     /*  303209 */     // GIR_Coverage, 9741,
     /*  303209 */     GIR_EraseRootFromParent_Done,
     /*  303210 */   // Label 5669: @303210
     /*  303210 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(303273), // Rule ID 9744 //
     /*  303215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  303229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  303232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303254 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  303257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303271 */     GIR_RootConstrainSelectedInstOperands,
     /*  303272 */     // GIR_Coverage, 9744,
     /*  303272 */     GIR_EraseRootFromParent_Done,
     /*  303273 */   // Label 5670: @303273
     /*  303273 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(303336), // Rule ID 9745 //
     /*  303278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  303292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  303295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303317 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  303320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303334 */     GIR_RootConstrainSelectedInstOperands,
     /*  303335 */     // GIR_Coverage, 9745,
     /*  303335 */     GIR_EraseRootFromParent_Done,
     /*  303336 */   // Label 5671: @303336
     /*  303336 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(303399), // Rule ID 9748 //
     /*  303341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  303355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  303358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303380 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  303383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303397 */     GIR_RootConstrainSelectedInstOperands,
     /*  303398 */     // GIR_Coverage, 9748,
     /*  303398 */     GIR_EraseRootFromParent_Done,
     /*  303399 */   // Label 5672: @303399
     /*  303399 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(303462), // Rule ID 9749 //
     /*  303404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  303418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  303421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303443 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  303446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303460 */     GIR_RootConstrainSelectedInstOperands,
     /*  303461 */     // GIR_Coverage, 9749,
     /*  303461 */     GIR_EraseRootFromParent_Done,
     /*  303462 */   // Label 5673: @303462
     /*  303462 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(303525), // Rule ID 9752 //
     /*  303467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  303481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  303484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303506 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  303509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303523 */     GIR_RootConstrainSelectedInstOperands,
     /*  303524 */     // GIR_Coverage, 9752,
     /*  303524 */     GIR_EraseRootFromParent_Done,
     /*  303525 */   // Label 5674: @303525
     /*  303525 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(303588), // Rule ID 9753 //
     /*  303530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  303544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  303547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303569 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  303572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303586 */     GIR_RootConstrainSelectedInstOperands,
     /*  303587 */     // GIR_Coverage, 9753,
     /*  303587 */     GIR_EraseRootFromParent_Done,
     /*  303588 */   // Label 5675: @303588
     /*  303588 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(303651), // Rule ID 9756 //
     /*  303593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  303607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  303610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  303632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  303635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303649 */     GIR_RootConstrainSelectedInstOperands,
     /*  303650 */     // GIR_Coverage, 9756,
     /*  303650 */     GIR_EraseRootFromParent_Done,
     /*  303651 */   // Label 5676: @303651
     /*  303651 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(303714), // Rule ID 9757 //
     /*  303656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  303670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  303673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303695 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  303698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303712 */     GIR_RootConstrainSelectedInstOperands,
     /*  303713 */     // GIR_Coverage, 9757,
     /*  303713 */     GIR_EraseRootFromParent_Done,
     /*  303714 */   // Label 5677: @303714
     /*  303714 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(303777), // Rule ID 9760 //
     /*  303719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  303733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  303736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303758 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303775 */     GIR_RootConstrainSelectedInstOperands,
     /*  303776 */     // GIR_Coverage, 9760,
     /*  303776 */     GIR_EraseRootFromParent_Done,
     /*  303777 */   // Label 5678: @303777
     /*  303777 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(303840), // Rule ID 9761 //
     /*  303782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  303796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  303799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303821 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303838 */     GIR_RootConstrainSelectedInstOperands,
     /*  303839 */     // GIR_Coverage, 9761,
     /*  303839 */     GIR_EraseRootFromParent_Done,
     /*  303840 */   // Label 5679: @303840
     /*  303840 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(303903), // Rule ID 9764 //
     /*  303845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  303859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  303862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303884 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303901 */     GIR_RootConstrainSelectedInstOperands,
     /*  303902 */     // GIR_Coverage, 9764,
     /*  303902 */     GIR_EraseRootFromParent_Done,
     /*  303903 */   // Label 5680: @303903
     /*  303903 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(303966), // Rule ID 9765 //
     /*  303908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  303922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  303925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303947 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303964 */     GIR_RootConstrainSelectedInstOperands,
     /*  303965 */     // GIR_Coverage, 9765,
     /*  303965 */     GIR_EraseRootFromParent_Done,
     /*  303966 */   // Label 5681: @303966
     /*  303966 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(304029), // Rule ID 9768 //
     /*  303971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  303985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  303988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304010 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  304013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304027 */     GIR_RootConstrainSelectedInstOperands,
     /*  304028 */     // GIR_Coverage, 9768,
     /*  304028 */     GIR_EraseRootFromParent_Done,
     /*  304029 */   // Label 5682: @304029
     /*  304029 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(304092), // Rule ID 9769 //
     /*  304034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  304048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  304051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304073 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  304076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304090 */     GIR_RootConstrainSelectedInstOperands,
     /*  304091 */     // GIR_Coverage, 9769,
     /*  304091 */     GIR_EraseRootFromParent_Done,
     /*  304092 */   // Label 5683: @304092
     /*  304092 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(304155), // Rule ID 9772 //
     /*  304097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  304111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  304114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  304139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304153 */     GIR_RootConstrainSelectedInstOperands,
     /*  304154 */     // GIR_Coverage, 9772,
     /*  304154 */     GIR_EraseRootFromParent_Done,
     /*  304155 */   // Label 5684: @304155
     /*  304155 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(304218), // Rule ID 9773 //
     /*  304160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  304174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  304177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304199 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  304202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304216 */     GIR_RootConstrainSelectedInstOperands,
     /*  304217 */     // GIR_Coverage, 9773,
     /*  304217 */     GIR_EraseRootFromParent_Done,
     /*  304218 */   // Label 5685: @304218
     /*  304218 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(304281), // Rule ID 9776 //
     /*  304223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  304237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  304240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304262 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304279 */     GIR_RootConstrainSelectedInstOperands,
     /*  304280 */     // GIR_Coverage, 9776,
     /*  304280 */     GIR_EraseRootFromParent_Done,
     /*  304281 */   // Label 5686: @304281
     /*  304281 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(304344), // Rule ID 9777 //
     /*  304286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  304300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  304303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304325 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304342 */     GIR_RootConstrainSelectedInstOperands,
     /*  304343 */     // GIR_Coverage, 9777,
     /*  304343 */     GIR_EraseRootFromParent_Done,
     /*  304344 */   // Label 5687: @304344
     /*  304344 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(304407), // Rule ID 9780 //
     /*  304349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  304360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  304363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  304366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304388 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304405 */     GIR_RootConstrainSelectedInstOperands,
     /*  304406 */     // GIR_Coverage, 9780,
     /*  304406 */     GIR_EraseRootFromParent_Done,
     /*  304407 */   // Label 5688: @304407
     /*  304407 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(304470), // Rule ID 9781 //
     /*  304412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  304423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  304426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  304429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304451 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304468 */     GIR_RootConstrainSelectedInstOperands,
     /*  304469 */     // GIR_Coverage, 9781,
     /*  304469 */     GIR_EraseRootFromParent_Done,
     /*  304470 */   // Label 5689: @304470
     /*  304470 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(304533), // Rule ID 9784 //
     /*  304475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  304486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  304489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  304492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304514 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304531 */     GIR_RootConstrainSelectedInstOperands,
     /*  304532 */     // GIR_Coverage, 9784,
     /*  304532 */     GIR_EraseRootFromParent_Done,
     /*  304533 */   // Label 5690: @304533
     /*  304533 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(304596), // Rule ID 9785 //
     /*  304538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  304549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  304552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  304555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304577 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304594 */     GIR_RootConstrainSelectedInstOperands,
     /*  304595 */     // GIR_Coverage, 9785,
     /*  304595 */     GIR_EraseRootFromParent_Done,
     /*  304596 */   // Label 5691: @304596
     /*  304596 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(304659), // Rule ID 9788 //
     /*  304601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  304615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  304618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304640 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304657 */     GIR_RootConstrainSelectedInstOperands,
     /*  304658 */     // GIR_Coverage, 9788,
     /*  304658 */     GIR_EraseRootFromParent_Done,
     /*  304659 */   // Label 5692: @304659
     /*  304659 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(304722), // Rule ID 9789 //
     /*  304664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  304678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  304681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304703 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304720 */     GIR_RootConstrainSelectedInstOperands,
     /*  304721 */     // GIR_Coverage, 9789,
     /*  304721 */     GIR_EraseRootFromParent_Done,
     /*  304722 */   // Label 5693: @304722
     /*  304722 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(304785), // Rule ID 9792 //
     /*  304727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  304741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  304744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304766 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304783 */     GIR_RootConstrainSelectedInstOperands,
     /*  304784 */     // GIR_Coverage, 9792,
     /*  304784 */     GIR_EraseRootFromParent_Done,
     /*  304785 */   // Label 5694: @304785
     /*  304785 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(304848), // Rule ID 9793 //
     /*  304790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  304804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  304807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304829 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304846 */     GIR_RootConstrainSelectedInstOperands,
     /*  304847 */     // GIR_Coverage, 9793,
     /*  304847 */     GIR_EraseRootFromParent_Done,
     /*  304848 */   // Label 5695: @304848
     /*  304848 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(304911), // Rule ID 9796 //
     /*  304853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  304864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  304867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  304870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304892 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304909 */     GIR_RootConstrainSelectedInstOperands,
     /*  304910 */     // GIR_Coverage, 9796,
     /*  304910 */     GIR_EraseRootFromParent_Done,
     /*  304911 */   // Label 5696: @304911
     /*  304911 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(304974), // Rule ID 9797 //
     /*  304916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  304927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  304930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  304933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304955 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304972 */     GIR_RootConstrainSelectedInstOperands,
     /*  304973 */     // GIR_Coverage, 9797,
     /*  304973 */     GIR_EraseRootFromParent_Done,
     /*  304974 */   // Label 5697: @304974
     /*  304974 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(305037), // Rule ID 9800 //
     /*  304979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  304993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  304996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305018 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  305021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305035 */     GIR_RootConstrainSelectedInstOperands,
     /*  305036 */     // GIR_Coverage, 9800,
     /*  305036 */     GIR_EraseRootFromParent_Done,
     /*  305037 */   // Label 5698: @305037
     /*  305037 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(305100), // Rule ID 9801 //
     /*  305042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  305050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  305056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  305059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305081 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  305084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305098 */     GIR_RootConstrainSelectedInstOperands,
     /*  305099 */     // GIR_Coverage, 9801,
     /*  305099 */     GIR_EraseRootFromParent_Done,
     /*  305100 */   // Label 5699: @305100
     /*  305100 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(305163), // Rule ID 9804 //
     /*  305105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  305113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  305119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  305122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  305147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305161 */     GIR_RootConstrainSelectedInstOperands,
     /*  305162 */     // GIR_Coverage, 9804,
     /*  305162 */     GIR_EraseRootFromParent_Done,
     /*  305163 */   // Label 5700: @305163
     /*  305163 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(305226), // Rule ID 9805 //
     /*  305168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  305176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  305182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  305185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305207 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  305210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305224 */     GIR_RootConstrainSelectedInstOperands,
     /*  305225 */     // GIR_Coverage, 9805,
     /*  305225 */     GIR_EraseRootFromParent_Done,
     /*  305226 */   // Label 5701: @305226
     /*  305226 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(305289), // Rule ID 9808 //
     /*  305231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  305239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  305245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  305248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305270 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  305273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305287 */     GIR_RootConstrainSelectedInstOperands,
     /*  305288 */     // GIR_Coverage, 9808,
     /*  305288 */     GIR_EraseRootFromParent_Done,
     /*  305289 */   // Label 5702: @305289
     /*  305289 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(305352), // Rule ID 9809 //
     /*  305294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  305302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  305308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  305311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305333 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  305336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305350 */     GIR_RootConstrainSelectedInstOperands,
     /*  305351 */     // GIR_Coverage, 9809,
     /*  305351 */     GIR_EraseRootFromParent_Done,
     /*  305352 */   // Label 5703: @305352
     /*  305352 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(305415), // Rule ID 9812 //
     /*  305357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  305360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  305365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  305371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  305374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  305396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  305399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305413 */     GIR_RootConstrainSelectedInstOperands,
     /*  305414 */     // GIR_Coverage, 9812,
     /*  305414 */     GIR_EraseRootFromParent_Done,
     /*  305415 */   // Label 5704: @305415
     /*  305415 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(305478), // Rule ID 9813 //
     /*  305420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  305423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  305428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  305434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  305437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305459 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  305459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  305462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305476 */     GIR_RootConstrainSelectedInstOperands,
     /*  305477 */     // GIR_Coverage, 9813,
     /*  305477 */     GIR_EraseRootFromParent_Done,
     /*  305478 */   // Label 5705: @305478
     /*  305478 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(305541), // Rule ID 9816 //
     /*  305483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  305486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  305491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  305497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  305500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305522 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  305522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  305525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305539 */     GIR_RootConstrainSelectedInstOperands,
     /*  305540 */     // GIR_Coverage, 9816,
     /*  305540 */     GIR_EraseRootFromParent_Done,
     /*  305541 */   // Label 5706: @305541
     /*  305541 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(305604), // Rule ID 9817 //
     /*  305546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  305549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  305554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  305560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  305563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305585 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  305585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  305588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305602 */     GIR_RootConstrainSelectedInstOperands,
     /*  305603 */     // GIR_Coverage, 9817,
     /*  305603 */     GIR_EraseRootFromParent_Done,
     /*  305604 */   // Label 5707: @305604
     /*  305604 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(305667), // Rule ID 9820 //
     /*  305609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  305612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  305617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  305623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  305626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  305648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  305651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305665 */     GIR_RootConstrainSelectedInstOperands,
     /*  305666 */     // GIR_Coverage, 9820,
     /*  305666 */     GIR_EraseRootFromParent_Done,
     /*  305667 */   // Label 5708: @305667
     /*  305667 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(305730), // Rule ID 9821 //
     /*  305672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  305675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  305680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  305686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  305689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305711 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  305711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  305714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305728 */     GIR_RootConstrainSelectedInstOperands,
     /*  305729 */     // GIR_Coverage, 9821,
     /*  305729 */     GIR_EraseRootFromParent_Done,
     /*  305730 */   // Label 5709: @305730
     /*  305730 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(305793), // Rule ID 9824 //
     /*  305735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  305749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  305752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305774 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  305777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305791 */     GIR_RootConstrainSelectedInstOperands,
     /*  305792 */     // GIR_Coverage, 9824,
     /*  305792 */     GIR_EraseRootFromParent_Done,
     /*  305793 */   // Label 5710: @305793
     /*  305793 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(305856), // Rule ID 9825 //
     /*  305798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  305812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  305815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305837 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  305840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305854 */     GIR_RootConstrainSelectedInstOperands,
     /*  305855 */     // GIR_Coverage, 9825,
     /*  305855 */     GIR_EraseRootFromParent_Done,
     /*  305856 */   // Label 5711: @305856
     /*  305856 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(305919), // Rule ID 9828 //
     /*  305861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  305875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  305878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305917 */     GIR_RootConstrainSelectedInstOperands,
     /*  305918 */     // GIR_Coverage, 9828,
     /*  305918 */     GIR_EraseRootFromParent_Done,
     /*  305919 */   // Label 5712: @305919
     /*  305919 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(305982), // Rule ID 9829 //
     /*  305924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  305938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  305941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305963 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305980 */     GIR_RootConstrainSelectedInstOperands,
     /*  305981 */     // GIR_Coverage, 9829,
     /*  305981 */     GIR_EraseRootFromParent_Done,
     /*  305982 */   // Label 5713: @305982
     /*  305982 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(306045), // Rule ID 9832 //
     /*  305987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  306001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  306004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306026 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  306029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306043 */     GIR_RootConstrainSelectedInstOperands,
     /*  306044 */     // GIR_Coverage, 9832,
     /*  306044 */     GIR_EraseRootFromParent_Done,
     /*  306045 */   // Label 5714: @306045
     /*  306045 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(306108), // Rule ID 9833 //
     /*  306050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  306064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  306067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306089 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  306092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306106 */     GIR_RootConstrainSelectedInstOperands,
     /*  306107 */     // GIR_Coverage, 9833,
     /*  306107 */     GIR_EraseRootFromParent_Done,
     /*  306108 */   // Label 5715: @306108
     /*  306108 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(306171), // Rule ID 9836 //
     /*  306113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  306127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  306130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  306155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306169 */     GIR_RootConstrainSelectedInstOperands,
     /*  306170 */     // GIR_Coverage, 9836,
     /*  306170 */     GIR_EraseRootFromParent_Done,
     /*  306171 */   // Label 5716: @306171
     /*  306171 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(306234), // Rule ID 9837 //
     /*  306176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  306190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  306193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306215 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  306218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306232 */     GIR_RootConstrainSelectedInstOperands,
     /*  306233 */     // GIR_Coverage, 9837,
     /*  306233 */     GIR_EraseRootFromParent_Done,
     /*  306234 */   // Label 5717: @306234
     /*  306234 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(306297), // Rule ID 9840 //
     /*  306239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  306253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  306256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306278 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  306281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306295 */     GIR_RootConstrainSelectedInstOperands,
     /*  306296 */     // GIR_Coverage, 9840,
     /*  306296 */     GIR_EraseRootFromParent_Done,
     /*  306297 */   // Label 5718: @306297
     /*  306297 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(306360), // Rule ID 9841 //
     /*  306302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  306316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  306319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306341 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  306344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306358 */     GIR_RootConstrainSelectedInstOperands,
     /*  306359 */     // GIR_Coverage, 9841,
     /*  306359 */     GIR_EraseRootFromParent_Done,
     /*  306360 */   // Label 5719: @306360
     /*  306360 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(306423), // Rule ID 9844 //
     /*  306365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  306379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  306382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306404 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  306407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306421 */     GIR_RootConstrainSelectedInstOperands,
     /*  306422 */     // GIR_Coverage, 9844,
     /*  306422 */     GIR_EraseRootFromParent_Done,
     /*  306423 */   // Label 5720: @306423
     /*  306423 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(306486), // Rule ID 9845 //
     /*  306428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  306442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  306445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306467 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  306470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306484 */     GIR_RootConstrainSelectedInstOperands,
     /*  306485 */     // GIR_Coverage, 9845,
     /*  306485 */     GIR_EraseRootFromParent_Done,
     /*  306486 */   // Label 5721: @306486
     /*  306486 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(306549), // Rule ID 9848 //
     /*  306491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  306505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  306508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306530 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306547 */     GIR_RootConstrainSelectedInstOperands,
     /*  306548 */     // GIR_Coverage, 9848,
     /*  306548 */     GIR_EraseRootFromParent_Done,
     /*  306549 */   // Label 5722: @306549
     /*  306549 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(306612), // Rule ID 9849 //
     /*  306554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  306568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  306571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306593 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306610 */     GIR_RootConstrainSelectedInstOperands,
     /*  306611 */     // GIR_Coverage, 9849,
     /*  306611 */     GIR_EraseRootFromParent_Done,
     /*  306612 */   // Label 5723: @306612
     /*  306612 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(306675), // Rule ID 9852 //
     /*  306617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  306631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  306634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306656 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306673 */     GIR_RootConstrainSelectedInstOperands,
     /*  306674 */     // GIR_Coverage, 9852,
     /*  306674 */     GIR_EraseRootFromParent_Done,
     /*  306675 */   // Label 5724: @306675
     /*  306675 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(306738), // Rule ID 9853 //
     /*  306680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  306694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  306697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306719 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306736 */     GIR_RootConstrainSelectedInstOperands,
     /*  306737 */     // GIR_Coverage, 9853,
     /*  306737 */     GIR_EraseRootFromParent_Done,
     /*  306738 */   // Label 5725: @306738
     /*  306738 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(306801), // Rule ID 9856 //
     /*  306743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  306757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  306760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306782 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306799 */     GIR_RootConstrainSelectedInstOperands,
     /*  306800 */     // GIR_Coverage, 9856,
     /*  306800 */     GIR_EraseRootFromParent_Done,
     /*  306801 */   // Label 5726: @306801
     /*  306801 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(306864), // Rule ID 9857 //
     /*  306806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  306820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  306823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306845 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306862 */     GIR_RootConstrainSelectedInstOperands,
     /*  306863 */     // GIR_Coverage, 9857,
     /*  306863 */     GIR_EraseRootFromParent_Done,
     /*  306864 */   // Label 5727: @306864
     /*  306864 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(306927), // Rule ID 9860 //
     /*  306869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  306883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  306886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  306908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306925 */     GIR_RootConstrainSelectedInstOperands,
     /*  306926 */     // GIR_Coverage, 9860,
     /*  306926 */     GIR_EraseRootFromParent_Done,
     /*  306927 */   // Label 5728: @306927
     /*  306927 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(306990), // Rule ID 9861 //
     /*  306932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  306946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  306949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306971 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  306971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  306974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306988 */     GIR_RootConstrainSelectedInstOperands,
     /*  306989 */     // GIR_Coverage, 9861,
     /*  306989 */     GIR_EraseRootFromParent_Done,
     /*  306990 */   // Label 5729: @306990
     /*  306990 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(307053), // Rule ID 9864 //
     /*  306995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  307006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  307009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  307012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307034 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  307034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307051 */     GIR_RootConstrainSelectedInstOperands,
     /*  307052 */     // GIR_Coverage, 9864,
     /*  307052 */     GIR_EraseRootFromParent_Done,
     /*  307053 */   // Label 5730: @307053
     /*  307053 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(307116), // Rule ID 9865 //
     /*  307058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  307069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  307072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  307075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307097 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  307097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307114 */     GIR_RootConstrainSelectedInstOperands,
     /*  307115 */     // GIR_Coverage, 9865,
     /*  307115 */     GIR_EraseRootFromParent_Done,
     /*  307116 */   // Label 5731: @307116
     /*  307116 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(307179), // Rule ID 9868 //
     /*  307121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  307132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  307135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  307138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307160 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  307160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307177 */     GIR_RootConstrainSelectedInstOperands,
     /*  307178 */     // GIR_Coverage, 9868,
     /*  307178 */     GIR_EraseRootFromParent_Done,
     /*  307179 */   // Label 5732: @307179
     /*  307179 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(307242), // Rule ID 9869 //
     /*  307184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  307195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  307198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  307201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307223 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  307223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307240 */     GIR_RootConstrainSelectedInstOperands,
     /*  307241 */     // GIR_Coverage, 9869,
     /*  307241 */     GIR_EraseRootFromParent_Done,
     /*  307242 */   // Label 5733: @307242
     /*  307242 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(307305), // Rule ID 9872 //
     /*  307247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  307258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  307261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  307264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307286 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  307286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307303 */     GIR_RootConstrainSelectedInstOperands,
     /*  307304 */     // GIR_Coverage, 9872,
     /*  307304 */     GIR_EraseRootFromParent_Done,
     /*  307305 */   // Label 5734: @307305
     /*  307305 */   GIM_Try, /*On fail goto*//*Label 5735*/ GIMT_Encode4(307368), // Rule ID 9873 //
     /*  307310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  307321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  307324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  307327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307349 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  307349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307366 */     GIR_RootConstrainSelectedInstOperands,
     /*  307367 */     // GIR_Coverage, 9873,
     /*  307367 */     GIR_EraseRootFromParent_Done,
     /*  307368 */   // Label 5735: @307368
     /*  307368 */   GIM_Try, /*On fail goto*//*Label 5736*/ GIMT_Encode4(307431), // Rule ID 9876 //
     /*  307373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  307387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  307390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  307412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307429 */     GIR_RootConstrainSelectedInstOperands,
     /*  307430 */     // GIR_Coverage, 9876,
     /*  307430 */     GIR_EraseRootFromParent_Done,
     /*  307431 */   // Label 5736: @307431
     /*  307431 */   GIM_Try, /*On fail goto*//*Label 5737*/ GIMT_Encode4(307494), // Rule ID 9877 //
     /*  307436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  307450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  307453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307475 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  307475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307492 */     GIR_RootConstrainSelectedInstOperands,
     /*  307493 */     // GIR_Coverage, 9877,
     /*  307493 */     GIR_EraseRootFromParent_Done,
     /*  307494 */   // Label 5737: @307494
     /*  307494 */   GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(307557), // Rule ID 9880 //
     /*  307499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  307510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  307513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  307516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307538 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  307538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307555 */     GIR_RootConstrainSelectedInstOperands,
     /*  307556 */     // GIR_Coverage, 9880,
     /*  307556 */     GIR_EraseRootFromParent_Done,
     /*  307557 */   // Label 5738: @307557
     /*  307557 */   GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(307620), // Rule ID 9881 //
     /*  307562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  307573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  307576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  307579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307601 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  307601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307618 */     GIR_RootConstrainSelectedInstOperands,
     /*  307619 */     // GIR_Coverage, 9881,
     /*  307619 */     GIR_EraseRootFromParent_Done,
     /*  307620 */   // Label 5739: @307620
     /*  307620 */   GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(307683), // Rule ID 9884 //
     /*  307625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  307636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  307639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  307642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307664 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  307664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307681 */     GIR_RootConstrainSelectedInstOperands,
     /*  307682 */     // GIR_Coverage, 9884,
     /*  307682 */     GIR_EraseRootFromParent_Done,
     /*  307683 */   // Label 5740: @307683
     /*  307683 */   GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(307746), // Rule ID 9885 //
     /*  307688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  307699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  307702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  307705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307727 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  307727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307744 */     GIR_RootConstrainSelectedInstOperands,
     /*  307745 */     // GIR_Coverage, 9885,
     /*  307745 */     GIR_EraseRootFromParent_Done,
     /*  307746 */   // Label 5741: @307746
     /*  307746 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(307809), // Rule ID 9888 //
     /*  307751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  307765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  307768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307790 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  307790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307807 */     GIR_RootConstrainSelectedInstOperands,
     /*  307808 */     // GIR_Coverage, 9888,
     /*  307808 */     GIR_EraseRootFromParent_Done,
     /*  307809 */   // Label 5742: @307809
     /*  307809 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(307872), // Rule ID 9889 //
     /*  307814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  307828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  307831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307853 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307870 */     GIR_RootConstrainSelectedInstOperands,
     /*  307871 */     // GIR_Coverage, 9889,
     /*  307871 */     GIR_EraseRootFromParent_Done,
     /*  307872 */   // Label 5743: @307872
     /*  307872 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(307935), // Rule ID 9892 //
     /*  307877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  307891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  307894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307916 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  307916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307933 */     GIR_RootConstrainSelectedInstOperands,
     /*  307934 */     // GIR_Coverage, 9892,
     /*  307934 */     GIR_EraseRootFromParent_Done,
     /*  307935 */   // Label 5744: @307935
     /*  307935 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(307998), // Rule ID 9893 //
     /*  307940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  307954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  307957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307979 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307996 */     GIR_RootConstrainSelectedInstOperands,
     /*  307997 */     // GIR_Coverage, 9893,
     /*  307997 */     GIR_EraseRootFromParent_Done,
     /*  307998 */   // Label 5745: @307998
     /*  307998 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(308061), // Rule ID 9896 //
     /*  308003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  308011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  308017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  308020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308042 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  308042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  308045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308059 */     GIR_RootConstrainSelectedInstOperands,
     /*  308060 */     // GIR_Coverage, 9896,
     /*  308060 */     GIR_EraseRootFromParent_Done,
     /*  308061 */   // Label 5746: @308061
     /*  308061 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(308124), // Rule ID 9897 //
     /*  308066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  308074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  308080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  308083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308105 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  308105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  308108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308122 */     GIR_RootConstrainSelectedInstOperands,
     /*  308123 */     // GIR_Coverage, 9897,
     /*  308123 */     GIR_EraseRootFromParent_Done,
     /*  308124 */   // Label 5747: @308124
     /*  308124 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(308187), // Rule ID 9900 //
     /*  308129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  308132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  308137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  308140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  308143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  308146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308168 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  308168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  308171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308185 */     GIR_RootConstrainSelectedInstOperands,
     /*  308186 */     // GIR_Coverage, 9900,
     /*  308186 */     GIR_EraseRootFromParent_Done,
     /*  308187 */   // Label 5748: @308187
     /*  308187 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(308250), // Rule ID 9901 //
     /*  308192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  308195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  308200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  308203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  308206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  308209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308231 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  308231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  308234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308248 */     GIR_RootConstrainSelectedInstOperands,
     /*  308249 */     // GIR_Coverage, 9901,
     /*  308249 */     GIR_EraseRootFromParent_Done,
     /*  308250 */   // Label 5749: @308250
     /*  308250 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(308313), // Rule ID 9904 //
     /*  308255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  308258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  308263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  308266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  308269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  308272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308294 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  308294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  308297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308311 */     GIR_RootConstrainSelectedInstOperands,
     /*  308312 */     // GIR_Coverage, 9904,
     /*  308312 */     GIR_EraseRootFromParent_Done,
     /*  308313 */   // Label 5750: @308313
     /*  308313 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(308376), // Rule ID 9905 //
     /*  308318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  308321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  308326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  308329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  308332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  308335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308357 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  308357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  308360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308374 */     GIR_RootConstrainSelectedInstOperands,
     /*  308375 */     // GIR_Coverage, 9905,
     /*  308375 */     GIR_EraseRootFromParent_Done,
     /*  308376 */   // Label 5751: @308376
     /*  308376 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(308439), // Rule ID 9908 //
     /*  308381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  308384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  308389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  308392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  308395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  308398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308420 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  308420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  308423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308437 */     GIR_RootConstrainSelectedInstOperands,
     /*  308438 */     // GIR_Coverage, 9908,
     /*  308438 */     GIR_EraseRootFromParent_Done,
     /*  308439 */   // Label 5752: @308439
     /*  308439 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(308502), // Rule ID 9909 //
     /*  308444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  308447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  308452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  308455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  308458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  308461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308483 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  308483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  308486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308500 */     GIR_RootConstrainSelectedInstOperands,
     /*  308501 */     // GIR_Coverage, 9909,
     /*  308501 */     GIR_EraseRootFromParent_Done,
     /*  308502 */   // Label 5753: @308502
     /*  308502 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(308568), // Rule ID 13984 //
     /*  308507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  308518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  308521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  308524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308546 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  308549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308566 */     GIR_RootConstrainSelectedInstOperands,
     /*  308567 */     // GIR_Coverage, 13984,
     /*  308567 */     GIR_EraseRootFromParent_Done,
     /*  308568 */   // Label 5754: @308568
     /*  308568 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(308634), // Rule ID 13985 //
     /*  308573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  308584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  308587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  308590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308612 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  308615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308632 */     GIR_RootConstrainSelectedInstOperands,
     /*  308633 */     // GIR_Coverage, 13985,
     /*  308633 */     GIR_EraseRootFromParent_Done,
     /*  308634 */   // Label 5755: @308634
     /*  308634 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(308700), // Rule ID 13986 //
     /*  308639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  308650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  308653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  308656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  308681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308698 */     GIR_RootConstrainSelectedInstOperands,
     /*  308699 */     // GIR_Coverage, 13986,
     /*  308699 */     GIR_EraseRootFromParent_Done,
     /*  308700 */   // Label 5756: @308700
     /*  308700 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(308766), // Rule ID 13987 //
     /*  308705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  308716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  308719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  308722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308744 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  308747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308764 */     GIR_RootConstrainSelectedInstOperands,
     /*  308765 */     // GIR_Coverage, 13987,
     /*  308765 */     GIR_EraseRootFromParent_Done,
     /*  308766 */   // Label 5757: @308766
     /*  308766 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(308832), // Rule ID 13988 //
     /*  308771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  308782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  308785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  308788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308810 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308830 */     GIR_RootConstrainSelectedInstOperands,
     /*  308831 */     // GIR_Coverage, 13988,
     /*  308831 */     GIR_EraseRootFromParent_Done,
     /*  308832 */   // Label 5758: @308832
     /*  308832 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(308898), // Rule ID 13989 //
     /*  308837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  308848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  308851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  308854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308876 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308896 */     GIR_RootConstrainSelectedInstOperands,
     /*  308897 */     // GIR_Coverage, 13989,
     /*  308897 */     GIR_EraseRootFromParent_Done,
     /*  308898 */   // Label 5759: @308898
     /*  308898 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(308964), // Rule ID 13990 //
     /*  308903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  308914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  308917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  308920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308942 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  308945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308962 */     GIR_RootConstrainSelectedInstOperands,
     /*  308963 */     // GIR_Coverage, 13990,
     /*  308963 */     GIR_EraseRootFromParent_Done,
     /*  308964 */   // Label 5760: @308964
     /*  308964 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(309030), // Rule ID 13991 //
     /*  308969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  308980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  308983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  308986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309008 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  309011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309028 */     GIR_RootConstrainSelectedInstOperands,
     /*  309029 */     // GIR_Coverage, 13991,
     /*  309029 */     GIR_EraseRootFromParent_Done,
     /*  309030 */   // Label 5761: @309030
     /*  309030 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(309096), // Rule ID 13992 //
     /*  309035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  309046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  309049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  309052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309074 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  309077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309094 */     GIR_RootConstrainSelectedInstOperands,
     /*  309095 */     // GIR_Coverage, 13992,
     /*  309095 */     GIR_EraseRootFromParent_Done,
     /*  309096 */   // Label 5762: @309096
     /*  309096 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(309162), // Rule ID 13993 //
     /*  309101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  309112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  309115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  309118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309140 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  309143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309160 */     GIR_RootConstrainSelectedInstOperands,
     /*  309161 */     // GIR_Coverage, 13993,
     /*  309161 */     GIR_EraseRootFromParent_Done,
     /*  309162 */   // Label 5763: @309162
     /*  309162 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(309228), // Rule ID 13994 //
     /*  309167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  309178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  309181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  309184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309206 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  309209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309226 */     GIR_RootConstrainSelectedInstOperands,
     /*  309227 */     // GIR_Coverage, 13994,
     /*  309227 */     GIR_EraseRootFromParent_Done,
     /*  309228 */   // Label 5764: @309228
     /*  309228 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(309294), // Rule ID 13995 //
     /*  309233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  309244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  309247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  309250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  309275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309292 */     GIR_RootConstrainSelectedInstOperands,
     /*  309293 */     // GIR_Coverage, 13995,
     /*  309293 */     GIR_EraseRootFromParent_Done,
     /*  309294 */   // Label 5765: @309294
     /*  309294 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(309360), // Rule ID 13996 //
     /*  309299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  309310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  309313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  309316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309338 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  309338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309358 */     GIR_RootConstrainSelectedInstOperands,
     /*  309359 */     // GIR_Coverage, 13996,
     /*  309359 */     GIR_EraseRootFromParent_Done,
     /*  309360 */   // Label 5766: @309360
     /*  309360 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(309426), // Rule ID 13997 //
     /*  309365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  309376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  309379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  309382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  309404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309424 */     GIR_RootConstrainSelectedInstOperands,
     /*  309425 */     // GIR_Coverage, 13997,
     /*  309425 */     GIR_EraseRootFromParent_Done,
     /*  309426 */   // Label 5767: @309426
     /*  309426 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(309492), // Rule ID 13998 //
     /*  309431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  309442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  309445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  309448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309470 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309490 */     GIR_RootConstrainSelectedInstOperands,
     /*  309491 */     // GIR_Coverage, 13998,
     /*  309491 */     GIR_EraseRootFromParent_Done,
     /*  309492 */   // Label 5768: @309492
     /*  309492 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(309558), // Rule ID 13999 //
     /*  309497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  309508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  309511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  309514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309556 */     GIR_RootConstrainSelectedInstOperands,
     /*  309557 */     // GIR_Coverage, 13999,
     /*  309557 */     GIR_EraseRootFromParent_Done,
     /*  309558 */   // Label 5769: @309558
     /*  309558 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(309624), // Rule ID 14000 //
     /*  309563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  309574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  309577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  309580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309622 */     GIR_RootConstrainSelectedInstOperands,
     /*  309623 */     // GIR_Coverage, 14000,
     /*  309623 */     GIR_EraseRootFromParent_Done,
     /*  309624 */   // Label 5770: @309624
     /*  309624 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(309690), // Rule ID 14001 //
     /*  309629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  309640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  309643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  309646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309688 */     GIR_RootConstrainSelectedInstOperands,
     /*  309689 */     // GIR_Coverage, 14001,
     /*  309689 */     GIR_EraseRootFromParent_Done,
     /*  309690 */   // Label 5771: @309690
     /*  309690 */   GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(309756), // Rule ID 14002 //
     /*  309695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  309698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  309706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  309709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  309712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309734 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  309734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309754 */     GIR_RootConstrainSelectedInstOperands,
     /*  309755 */     // GIR_Coverage, 14002,
     /*  309755 */     GIR_EraseRootFromParent_Done,
     /*  309756 */   // Label 5772: @309756
     /*  309756 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(309822), // Rule ID 14003 //
     /*  309761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  309764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  309772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  309775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  309778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  309800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309820 */     GIR_RootConstrainSelectedInstOperands,
     /*  309821 */     // GIR_Coverage, 14003,
     /*  309821 */     GIR_EraseRootFromParent_Done,
     /*  309822 */   // Label 5773: @309822
     /*  309822 */   GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(309888), // Rule ID 14004 //
     /*  309827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  309838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  309841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  309844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309866 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  309866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309886 */     GIR_RootConstrainSelectedInstOperands,
     /*  309887 */     // GIR_Coverage, 14004,
     /*  309887 */     GIR_EraseRootFromParent_Done,
     /*  309888 */   // Label 5774: @309888
     /*  309888 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(309954), // Rule ID 14005 //
     /*  309893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  309904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  309907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  309910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309932 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  309932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309952 */     GIR_RootConstrainSelectedInstOperands,
     /*  309953 */     // GIR_Coverage, 14005,
     /*  309953 */     GIR_EraseRootFromParent_Done,
     /*  309954 */   // Label 5775: @309954
     /*  309954 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(310020), // Rule ID 14006 //
     /*  309959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  309970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  309973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  309976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309998 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  309998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310018 */     GIR_RootConstrainSelectedInstOperands,
     /*  310019 */     // GIR_Coverage, 14006,
     /*  310019 */     GIR_EraseRootFromParent_Done,
     /*  310020 */   // Label 5776: @310020
     /*  310020 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(310086), // Rule ID 14007 //
     /*  310025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  310036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  310039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  310042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310064 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  310064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310084 */     GIR_RootConstrainSelectedInstOperands,
     /*  310085 */     // GIR_Coverage, 14007,
     /*  310085 */     GIR_EraseRootFromParent_Done,
     /*  310086 */   // Label 5777: @310086
     /*  310086 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(310152), // Rule ID 14008 //
     /*  310091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  310102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  310105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  310108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310130 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  310130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310150 */     GIR_RootConstrainSelectedInstOperands,
     /*  310151 */     // GIR_Coverage, 14008,
     /*  310151 */     GIR_EraseRootFromParent_Done,
     /*  310152 */   // Label 5778: @310152
     /*  310152 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(310218), // Rule ID 14009 //
     /*  310157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  310168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  310171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  310174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310196 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  310196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310216 */     GIR_RootConstrainSelectedInstOperands,
     /*  310217 */     // GIR_Coverage, 14009,
     /*  310217 */     GIR_EraseRootFromParent_Done,
     /*  310218 */   // Label 5779: @310218
     /*  310218 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(310284), // Rule ID 14010 //
     /*  310223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  310234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  310237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  310240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310262 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310282 */     GIR_RootConstrainSelectedInstOperands,
     /*  310283 */     // GIR_Coverage, 14010,
     /*  310283 */     GIR_EraseRootFromParent_Done,
     /*  310284 */   // Label 5780: @310284
     /*  310284 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(310350), // Rule ID 14011 //
     /*  310289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  310300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  310303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  310306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310328 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310348 */     GIR_RootConstrainSelectedInstOperands,
     /*  310349 */     // GIR_Coverage, 14011,
     /*  310349 */     GIR_EraseRootFromParent_Done,
     /*  310350 */   // Label 5781: @310350
     /*  310350 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(310416), // Rule ID 14012 //
     /*  310355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  310366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  310369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  310372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310414 */     GIR_RootConstrainSelectedInstOperands,
     /*  310415 */     // GIR_Coverage, 14012,
     /*  310415 */     GIR_EraseRootFromParent_Done,
     /*  310416 */   // Label 5782: @310416
     /*  310416 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(310482), // Rule ID 14013 //
     /*  310421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  310432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  310435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  310438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310460 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310480 */     GIR_RootConstrainSelectedInstOperands,
     /*  310481 */     // GIR_Coverage, 14013,
     /*  310481 */     GIR_EraseRootFromParent_Done,
     /*  310482 */   // Label 5783: @310482
     /*  310482 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(310548), // Rule ID 14014 //
     /*  310487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  310498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  310501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  310504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310526 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310546 */     GIR_RootConstrainSelectedInstOperands,
     /*  310547 */     // GIR_Coverage, 14014,
     /*  310547 */     GIR_EraseRootFromParent_Done,
     /*  310548 */   // Label 5784: @310548
     /*  310548 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(310614), // Rule ID 14015 //
     /*  310553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  310564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  310567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  310570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310592 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310612 */     GIR_RootConstrainSelectedInstOperands,
     /*  310613 */     // GIR_Coverage, 14015,
     /*  310613 */     GIR_EraseRootFromParent_Done,
     /*  310614 */   // Label 5785: @310614
     /*  310614 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(310680), // Rule ID 14016 //
     /*  310619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  310630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  310633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  310636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310678 */     GIR_RootConstrainSelectedInstOperands,
     /*  310679 */     // GIR_Coverage, 14016,
     /*  310679 */     GIR_EraseRootFromParent_Done,
     /*  310680 */   // Label 5786: @310680
     /*  310680 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(310746), // Rule ID 14017 //
     /*  310685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  310696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  310699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  310702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310744 */     GIR_RootConstrainSelectedInstOperands,
     /*  310745 */     // GIR_Coverage, 14017,
     /*  310745 */     GIR_EraseRootFromParent_Done,
     /*  310746 */   // Label 5787: @310746
     /*  310746 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(310812), // Rule ID 14018 //
     /*  310751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  310762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  310765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  310768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310810 */     GIR_RootConstrainSelectedInstOperands,
     /*  310811 */     // GIR_Coverage, 14018,
     /*  310811 */     GIR_EraseRootFromParent_Done,
     /*  310812 */   // Label 5788: @310812
     /*  310812 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(310878), // Rule ID 14019 //
     /*  310817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  310828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  310831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  310834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310856 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310876 */     GIR_RootConstrainSelectedInstOperands,
     /*  310877 */     // GIR_Coverage, 14019,
     /*  310877 */     GIR_EraseRootFromParent_Done,
     /*  310878 */   // Label 5789: @310878
     /*  310878 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(310944), // Rule ID 14020 //
     /*  310883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  310894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  310897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  310900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310922 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310942 */     GIR_RootConstrainSelectedInstOperands,
     /*  310943 */     // GIR_Coverage, 14020,
     /*  310943 */     GIR_EraseRootFromParent_Done,
     /*  310944 */   // Label 5790: @310944
     /*  310944 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(311010), // Rule ID 14021 //
     /*  310949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  310960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  310963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  310966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310988 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311008 */     GIR_RootConstrainSelectedInstOperands,
     /*  311009 */     // GIR_Coverage, 14021,
     /*  311009 */     GIR_EraseRootFromParent_Done,
     /*  311010 */   // Label 5791: @311010
     /*  311010 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(311076), // Rule ID 14022 //
     /*  311015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  311018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  311026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  311029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  311032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311054 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  311054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311074 */     GIR_RootConstrainSelectedInstOperands,
     /*  311075 */     // GIR_Coverage, 14022,
     /*  311075 */     GIR_EraseRootFromParent_Done,
     /*  311076 */   // Label 5792: @311076
     /*  311076 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(311142), // Rule ID 14023 //
     /*  311081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  311084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  311092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  311095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  311098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311120 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  311120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311140 */     GIR_RootConstrainSelectedInstOperands,
     /*  311141 */     // GIR_Coverage, 14023,
     /*  311141 */     GIR_EraseRootFromParent_Done,
     /*  311142 */   // Label 5793: @311142
     /*  311142 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(311208), // Rule ID 14024 //
     /*  311147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  311150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  311158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  311161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  311164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  311186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311206 */     GIR_RootConstrainSelectedInstOperands,
     /*  311207 */     // GIR_Coverage, 14024,
     /*  311207 */     GIR_EraseRootFromParent_Done,
     /*  311208 */   // Label 5794: @311208
     /*  311208 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(311274), // Rule ID 14025 //
     /*  311213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  311216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  311224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  311227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  311230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311252 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  311252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311272 */     GIR_RootConstrainSelectedInstOperands,
     /*  311273 */     // GIR_Coverage, 14025,
     /*  311273 */     GIR_EraseRootFromParent_Done,
     /*  311274 */   // Label 5795: @311274
     /*  311274 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(311340), // Rule ID 14026 //
     /*  311279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  311282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  311290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  311293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  311296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311318 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  311318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311338 */     GIR_RootConstrainSelectedInstOperands,
     /*  311339 */     // GIR_Coverage, 14026,
     /*  311339 */     GIR_EraseRootFromParent_Done,
     /*  311340 */   // Label 5796: @311340
     /*  311340 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(311406), // Rule ID 14027 //
     /*  311345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  311348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  311356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  311359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  311362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311384 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  311384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311404 */     GIR_RootConstrainSelectedInstOperands,
     /*  311405 */     // GIR_Coverage, 14027,
     /*  311405 */     GIR_EraseRootFromParent_Done,
     /*  311406 */   // Label 5797: @311406
     /*  311406 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(311472), // Rule ID 14028 //
     /*  311411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  311422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  311425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  311428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311450 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  311453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311470 */     GIR_RootConstrainSelectedInstOperands,
     /*  311471 */     // GIR_Coverage, 14028,
     /*  311471 */     GIR_EraseRootFromParent_Done,
     /*  311472 */   // Label 5798: @311472
     /*  311472 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(311538), // Rule ID 14029 //
     /*  311477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  311488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  311491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  311494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311516 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  311519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311536 */     GIR_RootConstrainSelectedInstOperands,
     /*  311537 */     // GIR_Coverage, 14029,
     /*  311537 */     GIR_EraseRootFromParent_Done,
     /*  311538 */   // Label 5799: @311538
     /*  311538 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(311604), // Rule ID 14030 //
     /*  311543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  311554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  311557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  311560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311582 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  311585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311602 */     GIR_RootConstrainSelectedInstOperands,
     /*  311603 */     // GIR_Coverage, 14030,
     /*  311603 */     GIR_EraseRootFromParent_Done,
     /*  311604 */   // Label 5800: @311604
     /*  311604 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(311670), // Rule ID 14031 //
     /*  311609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  311620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  311623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  311626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311648 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  311651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311668 */     GIR_RootConstrainSelectedInstOperands,
     /*  311669 */     // GIR_Coverage, 14031,
     /*  311669 */     GIR_EraseRootFromParent_Done,
     /*  311670 */   // Label 5801: @311670
     /*  311670 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(311736), // Rule ID 14032 //
     /*  311675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  311686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  311689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  311692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311714 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  311717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311734 */     GIR_RootConstrainSelectedInstOperands,
     /*  311735 */     // GIR_Coverage, 14032,
     /*  311735 */     GIR_EraseRootFromParent_Done,
     /*  311736 */   // Label 5802: @311736
     /*  311736 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(311802), // Rule ID 14033 //
     /*  311741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  311752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  311755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  311758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311780 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  311783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311800 */     GIR_RootConstrainSelectedInstOperands,
     /*  311801 */     // GIR_Coverage, 14033,
     /*  311801 */     GIR_EraseRootFromParent_Done,
     /*  311802 */   // Label 5803: @311802
     /*  311802 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(311868), // Rule ID 14034 //
     /*  311807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  311818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  311821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  311824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311846 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311866 */     GIR_RootConstrainSelectedInstOperands,
     /*  311867 */     // GIR_Coverage, 14034,
     /*  311867 */     GIR_EraseRootFromParent_Done,
     /*  311868 */   // Label 5804: @311868
     /*  311868 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(311934), // Rule ID 14035 //
     /*  311873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  311884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  311887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  311890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311912 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311932 */     GIR_RootConstrainSelectedInstOperands,
     /*  311933 */     // GIR_Coverage, 14035,
     /*  311933 */     GIR_EraseRootFromParent_Done,
     /*  311934 */   // Label 5805: @311934
     /*  311934 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(312000), // Rule ID 14036 //
     /*  311939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  311950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  311953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  311956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311978 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311998 */     GIR_RootConstrainSelectedInstOperands,
     /*  311999 */     // GIR_Coverage, 14036,
     /*  311999 */     GIR_EraseRootFromParent_Done,
     /*  312000 */   // Label 5806: @312000
     /*  312000 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(312066), // Rule ID 14037 //
     /*  312005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  312016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  312019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  312022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312044 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  312047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312064 */     GIR_RootConstrainSelectedInstOperands,
     /*  312065 */     // GIR_Coverage, 14037,
     /*  312065 */     GIR_EraseRootFromParent_Done,
     /*  312066 */   // Label 5807: @312066
     /*  312066 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(312132), // Rule ID 14038 //
     /*  312071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  312082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  312085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  312088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312110 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  312113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312130 */     GIR_RootConstrainSelectedInstOperands,
     /*  312131 */     // GIR_Coverage, 14038,
     /*  312131 */     GIR_EraseRootFromParent_Done,
     /*  312132 */   // Label 5808: @312132
     /*  312132 */   GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(312198), // Rule ID 14039 //
     /*  312137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  312148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  312151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  312154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312176 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  312179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312196 */     GIR_RootConstrainSelectedInstOperands,
     /*  312197 */     // GIR_Coverage, 14039,
     /*  312197 */     GIR_EraseRootFromParent_Done,
     /*  312198 */   // Label 5809: @312198
     /*  312198 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(312264), // Rule ID 14040 //
     /*  312203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  312206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  312214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  312217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  312220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312242 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  312245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312262 */     GIR_RootConstrainSelectedInstOperands,
     /*  312263 */     // GIR_Coverage, 14040,
     /*  312263 */     GIR_EraseRootFromParent_Done,
     /*  312264 */   // Label 5810: @312264
     /*  312264 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(312330), // Rule ID 14041 //
     /*  312269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  312272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  312280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  312283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  312286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312308 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  312311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312328 */     GIR_RootConstrainSelectedInstOperands,
     /*  312329 */     // GIR_Coverage, 14041,
     /*  312329 */     GIR_EraseRootFromParent_Done,
     /*  312330 */   // Label 5811: @312330
     /*  312330 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(312396), // Rule ID 14042 //
     /*  312335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  312338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  312346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  312349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  312352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312374 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312394 */     GIR_RootConstrainSelectedInstOperands,
     /*  312395 */     // GIR_Coverage, 14042,
     /*  312395 */     GIR_EraseRootFromParent_Done,
     /*  312396 */   // Label 5812: @312396
     /*  312396 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(312462), // Rule ID 14043 //
     /*  312401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  312404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  312412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  312415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  312418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312440 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312460 */     GIR_RootConstrainSelectedInstOperands,
     /*  312461 */     // GIR_Coverage, 14043,
     /*  312461 */     GIR_EraseRootFromParent_Done,
     /*  312462 */   // Label 5813: @312462
     /*  312462 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(312528), // Rule ID 14044 //
     /*  312467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  312470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  312478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  312481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  312484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312506 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312526 */     GIR_RootConstrainSelectedInstOperands,
     /*  312527 */     // GIR_Coverage, 14044,
     /*  312527 */     GIR_EraseRootFromParent_Done,
     /*  312528 */   // Label 5814: @312528
     /*  312528 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(312594), // Rule ID 14045 //
     /*  312533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  312536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  312544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  312547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  312550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312572 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312592 */     GIR_RootConstrainSelectedInstOperands,
     /*  312593 */     // GIR_Coverage, 14045,
     /*  312593 */     GIR_EraseRootFromParent_Done,
     /*  312594 */   // Label 5815: @312594
     /*  312594 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(312660), // Rule ID 14046 //
     /*  312599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  312610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  312613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  312616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312638 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  312641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312658 */     GIR_RootConstrainSelectedInstOperands,
     /*  312659 */     // GIR_Coverage, 14046,
     /*  312659 */     GIR_EraseRootFromParent_Done,
     /*  312660 */   // Label 5816: @312660
     /*  312660 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(312726), // Rule ID 14047 //
     /*  312665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  312676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  312679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  312682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312704 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  312707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312724 */     GIR_RootConstrainSelectedInstOperands,
     /*  312725 */     // GIR_Coverage, 14047,
     /*  312725 */     GIR_EraseRootFromParent_Done,
     /*  312726 */   // Label 5817: @312726
     /*  312726 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(312792), // Rule ID 14048 //
     /*  312731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  312742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  312745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  312748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312770 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312790 */     GIR_RootConstrainSelectedInstOperands,
     /*  312791 */     // GIR_Coverage, 14048,
     /*  312791 */     GIR_EraseRootFromParent_Done,
     /*  312792 */   // Label 5818: @312792
     /*  312792 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(312858), // Rule ID 14049 //
     /*  312797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  312808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  312811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  312814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312836 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312856 */     GIR_RootConstrainSelectedInstOperands,
     /*  312857 */     // GIR_Coverage, 14049,
     /*  312857 */     GIR_EraseRootFromParent_Done,
     /*  312858 */   // Label 5819: @312858
     /*  312858 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(312924), // Rule ID 14050 //
     /*  312863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  312874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  312877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  312880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312902 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312922 */     GIR_RootConstrainSelectedInstOperands,
     /*  312923 */     // GIR_Coverage, 14050,
     /*  312923 */     GIR_EraseRootFromParent_Done,
     /*  312924 */   // Label 5820: @312924
     /*  312924 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(312990), // Rule ID 14051 //
     /*  312929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  312940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  312943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  312946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312968 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312988 */     GIR_RootConstrainSelectedInstOperands,
     /*  312989 */     // GIR_Coverage, 14051,
     /*  312989 */     GIR_EraseRootFromParent_Done,
     /*  312990 */   // Label 5821: @312990
     /*  312990 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(313056), // Rule ID 14052 //
     /*  312995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  313006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  313009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  313012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313034 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  313034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  313037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313054 */     GIR_RootConstrainSelectedInstOperands,
     /*  313055 */     // GIR_Coverage, 14052,
     /*  313055 */     GIR_EraseRootFromParent_Done,
     /*  313056 */   // Label 5822: @313056
     /*  313056 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(313122), // Rule ID 14053 //
     /*  313061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  313072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  313075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  313078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313100 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  313100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  313103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313120 */     GIR_RootConstrainSelectedInstOperands,
     /*  313121 */     // GIR_Coverage, 14053,
     /*  313121 */     GIR_EraseRootFromParent_Done,
     /*  313122 */   // Label 5823: @313122
     /*  313122 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(313188), // Rule ID 14054 //
     /*  313127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  313130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  313138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  313141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  313144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313166 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  313166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  313169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313186 */     GIR_RootConstrainSelectedInstOperands,
     /*  313187 */     // GIR_Coverage, 14054,
     /*  313187 */     GIR_EraseRootFromParent_Done,
     /*  313188 */   // Label 5824: @313188
     /*  313188 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(313254), // Rule ID 14055 //
     /*  313193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  313204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  313207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  313210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313232 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  313232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  313235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313252 */     GIR_RootConstrainSelectedInstOperands,
     /*  313253 */     // GIR_Coverage, 14055,
     /*  313253 */     GIR_EraseRootFromParent_Done,
     /*  313254 */   // Label 5825: @313254
     /*  313254 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(313320), // Rule ID 14056 //
     /*  313259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  313262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  313270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  313273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  313276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313298 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  313298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  313301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313318 */     GIR_RootConstrainSelectedInstOperands,
     /*  313319 */     // GIR_Coverage, 14056,
     /*  313319 */     GIR_EraseRootFromParent_Done,
     /*  313320 */   // Label 5826: @313320
     /*  313320 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(313386), // Rule ID 14057 //
     /*  313325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  313336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  313339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  313342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313364 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  313364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  313367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313384 */     GIR_RootConstrainSelectedInstOperands,
     /*  313385 */     // GIR_Coverage, 14057,
     /*  313385 */     GIR_EraseRootFromParent_Done,
     /*  313386 */   // Label 5827: @313386
     /*  313386 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(313452), // Rule ID 19060 //
     /*  313391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  313402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  313405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  313408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313430 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  313433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313450 */     GIR_RootConstrainSelectedInstOperands,
     /*  313451 */     // GIR_Coverage, 19060,
     /*  313451 */     GIR_EraseRootFromParent_Done,
     /*  313452 */   // Label 5828: @313452
     /*  313452 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(313518), // Rule ID 19061 //
     /*  313457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  313468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  313471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  313474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313496 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  313499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313516 */     GIR_RootConstrainSelectedInstOperands,
     /*  313517 */     // GIR_Coverage, 19061,
     /*  313517 */     GIR_EraseRootFromParent_Done,
     /*  313518 */   // Label 5829: @313518
     /*  313518 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(313584), // Rule ID 19064 //
     /*  313523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  313534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  313537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  313540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313562 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  313565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313582 */     GIR_RootConstrainSelectedInstOperands,
     /*  313583 */     // GIR_Coverage, 19064,
     /*  313583 */     GIR_EraseRootFromParent_Done,
     /*  313584 */   // Label 5830: @313584
     /*  313584 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(313650), // Rule ID 19065 //
     /*  313589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  313600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  313603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  313606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313628 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  313631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313648 */     GIR_RootConstrainSelectedInstOperands,
     /*  313649 */     // GIR_Coverage, 19065,
     /*  313649 */     GIR_EraseRootFromParent_Done,
     /*  313650 */   // Label 5831: @313650
     /*  313650 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(313716), // Rule ID 19068 //
     /*  313655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  313666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  313669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313694 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  313697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313714 */     GIR_RootConstrainSelectedInstOperands,
     /*  313715 */     // GIR_Coverage, 19068,
     /*  313715 */     GIR_EraseRootFromParent_Done,
     /*  313716 */   // Label 5832: @313716
     /*  313716 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(313782), // Rule ID 19069 //
     /*  313721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  313732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  313735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313760 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  313763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313780 */     GIR_RootConstrainSelectedInstOperands,
     /*  313781 */     // GIR_Coverage, 19069,
     /*  313781 */     GIR_EraseRootFromParent_Done,
     /*  313782 */   // Label 5833: @313782
     /*  313782 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(313848), // Rule ID 19072 //
     /*  313787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  313798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313826 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  313829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313846 */     GIR_RootConstrainSelectedInstOperands,
     /*  313847 */     // GIR_Coverage, 19072,
     /*  313847 */     GIR_EraseRootFromParent_Done,
     /*  313848 */   // Label 5834: @313848
     /*  313848 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(313914), // Rule ID 19073 //
     /*  313853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  313864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313892 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  313895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313912 */     GIR_RootConstrainSelectedInstOperands,
     /*  313913 */     // GIR_Coverage, 19073,
     /*  313913 */     GIR_EraseRootFromParent_Done,
     /*  313914 */   // Label 5835: @313914
     /*  313914 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(313980), // Rule ID 19076 //
     /*  313919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  313922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  313936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313958 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  313958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  313961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313978 */     GIR_RootConstrainSelectedInstOperands,
     /*  313979 */     // GIR_Coverage, 19076,
     /*  313979 */     GIR_EraseRootFromParent_Done,
     /*  313980 */   // Label 5836: @313980
     /*  313980 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(314046), // Rule ID 19077 //
     /*  313985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  314002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314024 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  314027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314044 */     GIR_RootConstrainSelectedInstOperands,
     /*  314045 */     // GIR_Coverage, 19077,
     /*  314045 */     GIR_EraseRootFromParent_Done,
     /*  314046 */   // Label 5837: @314046
     /*  314046 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(314112), // Rule ID 19080 //
     /*  314051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  314062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  314065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  314068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314090 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  314093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314110 */     GIR_RootConstrainSelectedInstOperands,
     /*  314111 */     // GIR_Coverage, 19080,
     /*  314111 */     GIR_EraseRootFromParent_Done,
     /*  314112 */   // Label 5838: @314112
     /*  314112 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(314178), // Rule ID 19081 //
     /*  314117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  314128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  314131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  314134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314156 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  314156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  314159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314176 */     GIR_RootConstrainSelectedInstOperands,
     /*  314177 */     // GIR_Coverage, 19081,
     /*  314177 */     GIR_EraseRootFromParent_Done,
     /*  314178 */   // Label 5839: @314178
     /*  314178 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(314244), // Rule ID 19084 //
     /*  314183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  314194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  314197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  314200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314222 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  314225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314242 */     GIR_RootConstrainSelectedInstOperands,
     /*  314243 */     // GIR_Coverage, 19084,
     /*  314243 */     GIR_EraseRootFromParent_Done,
     /*  314244 */   // Label 5840: @314244
     /*  314244 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(314310), // Rule ID 19085 //
     /*  314249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  314260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  314263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  314266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314288 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  314288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  314291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314308 */     GIR_RootConstrainSelectedInstOperands,
     /*  314309 */     // GIR_Coverage, 19085,
     /*  314309 */     GIR_EraseRootFromParent_Done,
     /*  314310 */   // Label 5841: @314310
     /*  314310 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(314376), // Rule ID 19088 //
     /*  314315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  314326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  314329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  314332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314354 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  314357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314374 */     GIR_RootConstrainSelectedInstOperands,
     /*  314375 */     // GIR_Coverage, 19088,
     /*  314375 */     GIR_EraseRootFromParent_Done,
     /*  314376 */   // Label 5842: @314376
     /*  314376 */   GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(314442), // Rule ID 19089 //
     /*  314381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  314392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  314395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  314398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314420 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  314420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  314423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314440 */     GIR_RootConstrainSelectedInstOperands,
     /*  314441 */     // GIR_Coverage, 19089,
     /*  314441 */     GIR_EraseRootFromParent_Done,
     /*  314442 */   // Label 5843: @314442
     /*  314442 */   GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(314508), // Rule ID 19092 //
     /*  314447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  314458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  314461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  314464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314486 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  314486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  314489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314506 */     GIR_RootConstrainSelectedInstOperands,
     /*  314507 */     // GIR_Coverage, 19092,
     /*  314507 */     GIR_EraseRootFromParent_Done,
     /*  314508 */   // Label 5844: @314508
     /*  314508 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(314574), // Rule ID 19093 //
     /*  314513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  314524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  314527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  314530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314552 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  314555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314572 */     GIR_RootConstrainSelectedInstOperands,
     /*  314573 */     // GIR_Coverage, 19093,
     /*  314573 */     GIR_EraseRootFromParent_Done,
     /*  314574 */   // Label 5845: @314574
     /*  314574 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(314640), // Rule ID 19096 //
     /*  314579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  314590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  314593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  314596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314618 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  314618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  314621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314638 */     GIR_RootConstrainSelectedInstOperands,
     /*  314639 */     // GIR_Coverage, 19096,
     /*  314639 */     GIR_EraseRootFromParent_Done,
     /*  314640 */   // Label 5846: @314640
     /*  314640 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(314706), // Rule ID 19097 //
     /*  314645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  314656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  314659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  314662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314684 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  314687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314704 */     GIR_RootConstrainSelectedInstOperands,
     /*  314705 */     // GIR_Coverage, 19097,
     /*  314705 */     GIR_EraseRootFromParent_Done,
     /*  314706 */   // Label 5847: @314706
     /*  314706 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(314772), // Rule ID 19100 //
     /*  314711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  314722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  314725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  314728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314750 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  314750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  314753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314770 */     GIR_RootConstrainSelectedInstOperands,
     /*  314771 */     // GIR_Coverage, 19100,
     /*  314771 */     GIR_EraseRootFromParent_Done,
     /*  314772 */   // Label 5848: @314772
     /*  314772 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(314838), // Rule ID 19101 //
     /*  314777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  314788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  314791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  314794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314816 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  314819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314836 */     GIR_RootConstrainSelectedInstOperands,
     /*  314837 */     // GIR_Coverage, 19101,
     /*  314837 */     GIR_EraseRootFromParent_Done,
     /*  314838 */   // Label 5849: @314838
     /*  314838 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(314904), // Rule ID 19104 //
     /*  314843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  314854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  314857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  314860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314882 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  314885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314902 */     GIR_RootConstrainSelectedInstOperands,
     /*  314903 */     // GIR_Coverage, 19104,
     /*  314903 */     GIR_EraseRootFromParent_Done,
     /*  314904 */   // Label 5850: @314904
     /*  314904 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(314970), // Rule ID 19105 //
     /*  314909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  314920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  314923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  314926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314948 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  314951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314968 */     GIR_RootConstrainSelectedInstOperands,
     /*  314969 */     // GIR_Coverage, 19105,
     /*  314969 */     GIR_EraseRootFromParent_Done,
     /*  314970 */   // Label 5851: @314970
     /*  314970 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(315036), // Rule ID 19108 //
     /*  314975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  314986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  314989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  314992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315014 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  315014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  315017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315034 */     GIR_RootConstrainSelectedInstOperands,
     /*  315035 */     // GIR_Coverage, 19108,
     /*  315035 */     GIR_EraseRootFromParent_Done,
     /*  315036 */   // Label 5852: @315036
     /*  315036 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(315102), // Rule ID 19109 //
     /*  315041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  315049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  315052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  315055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  315058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315080 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  315080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  315083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315100 */     GIR_RootConstrainSelectedInstOperands,
     /*  315101 */     // GIR_Coverage, 19109,
     /*  315101 */     GIR_EraseRootFromParent_Done,
     /*  315102 */   // Label 5853: @315102
     /*  315102 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(315168), // Rule ID 19112 //
     /*  315107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  315115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  315118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  315121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  315124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315146 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  315146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  315149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315166 */     GIR_RootConstrainSelectedInstOperands,
     /*  315167 */     // GIR_Coverage, 19112,
     /*  315167 */     GIR_EraseRootFromParent_Done,
     /*  315168 */   // Label 5854: @315168
     /*  315168 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(315234), // Rule ID 19113 //
     /*  315173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  315181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  315184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  315187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  315190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315212 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  315212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  315215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315232 */     GIR_RootConstrainSelectedInstOperands,
     /*  315233 */     // GIR_Coverage, 19113,
     /*  315233 */     GIR_EraseRootFromParent_Done,
     /*  315234 */   // Label 5855: @315234
     /*  315234 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(315297), // Rule ID 19776 //
     /*  315239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  315253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  315256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315278 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  315281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315295 */     GIR_RootConstrainSelectedInstOperands,
     /*  315296 */     // GIR_Coverage, 19776,
     /*  315296 */     GIR_EraseRootFromParent_Done,
     /*  315297 */   // Label 5856: @315297
     /*  315297 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(315360), // Rule ID 19777 //
     /*  315302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  315316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  315319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315341 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  315344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315358 */     GIR_RootConstrainSelectedInstOperands,
     /*  315359 */     // GIR_Coverage, 19777,
     /*  315359 */     GIR_EraseRootFromParent_Done,
     /*  315360 */   // Label 5857: @315360
     /*  315360 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(315423), // Rule ID 19780 //
     /*  315365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  315379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  315382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315404 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  315407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315421 */     GIR_RootConstrainSelectedInstOperands,
     /*  315422 */     // GIR_Coverage, 19780,
     /*  315422 */     GIR_EraseRootFromParent_Done,
     /*  315423 */   // Label 5858: @315423
     /*  315423 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(315486), // Rule ID 19781 //
     /*  315428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  315442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  315445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315467 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  315470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315484 */     GIR_RootConstrainSelectedInstOperands,
     /*  315485 */     // GIR_Coverage, 19781,
     /*  315485 */     GIR_EraseRootFromParent_Done,
     /*  315486 */   // Label 5859: @315486
     /*  315486 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(315549), // Rule ID 19784 //
     /*  315491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  315508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315530 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  315533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315547 */     GIR_RootConstrainSelectedInstOperands,
     /*  315548 */     // GIR_Coverage, 19784,
     /*  315548 */     GIR_EraseRootFromParent_Done,
     /*  315549 */   // Label 5860: @315549
     /*  315549 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(315612), // Rule ID 19785 //
     /*  315554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  315571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  315596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315610 */     GIR_RootConstrainSelectedInstOperands,
     /*  315611 */     // GIR_Coverage, 19785,
     /*  315611 */     GIR_EraseRootFromParent_Done,
     /*  315612 */   // Label 5861: @315612
     /*  315612 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(315675), // Rule ID 19788 //
     /*  315617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  315631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  315634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315656 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315673 */     GIR_RootConstrainSelectedInstOperands,
     /*  315674 */     // GIR_Coverage, 19788,
     /*  315674 */     GIR_EraseRootFromParent_Done,
     /*  315675 */   // Label 5862: @315675
     /*  315675 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(315738), // Rule ID 19789 //
     /*  315680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  315694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  315697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315719 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315736 */     GIR_RootConstrainSelectedInstOperands,
     /*  315737 */     // GIR_Coverage, 19789,
     /*  315737 */     GIR_EraseRootFromParent_Done,
     /*  315738 */   // Label 5863: @315738
     /*  315738 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(315801), // Rule ID 19792 //
     /*  315743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  315760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315782 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315799 */     GIR_RootConstrainSelectedInstOperands,
     /*  315800 */     // GIR_Coverage, 19792,
     /*  315800 */     GIR_EraseRootFromParent_Done,
     /*  315801 */   // Label 5864: @315801
     /*  315801 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(315864), // Rule ID 19793 //
     /*  315806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  315823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315845 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315862 */     GIR_RootConstrainSelectedInstOperands,
     /*  315863 */     // GIR_Coverage, 19793,
     /*  315863 */     GIR_EraseRootFromParent_Done,
     /*  315864 */   // Label 5865: @315864
     /*  315864 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(315927), // Rule ID 19796 //
     /*  315869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  315883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  315908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315925 */     GIR_RootConstrainSelectedInstOperands,
     /*  315926 */     // GIR_Coverage, 19796,
     /*  315926 */     GIR_EraseRootFromParent_Done,
     /*  315927 */   // Label 5866: @315927
     /*  315927 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(315990), // Rule ID 19797 //
     /*  315932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  315946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315971 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  315971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  315974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315988 */     GIR_RootConstrainSelectedInstOperands,
     /*  315989 */     // GIR_Coverage, 19797,
     /*  315989 */     GIR_EraseRootFromParent_Done,
     /*  315990 */   // Label 5867: @315990
     /*  315990 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(316053), // Rule ID 19800 //
     /*  315995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  316009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  316012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316034 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  316037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316051 */     GIR_RootConstrainSelectedInstOperands,
     /*  316052 */     // GIR_Coverage, 19800,
     /*  316052 */     GIR_EraseRootFromParent_Done,
     /*  316053 */   // Label 5868: @316053
     /*  316053 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(316116), // Rule ID 19801 //
     /*  316058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  316072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  316075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316097 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  316100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316114 */     GIR_RootConstrainSelectedInstOperands,
     /*  316115 */     // GIR_Coverage, 19801,
     /*  316115 */     GIR_EraseRootFromParent_Done,
     /*  316116 */   // Label 5869: @316116
     /*  316116 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(316179), // Rule ID 19804 //
     /*  316121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  316132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  316135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  316138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316160 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  316163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316177 */     GIR_RootConstrainSelectedInstOperands,
     /*  316178 */     // GIR_Coverage, 19804,
     /*  316178 */     GIR_EraseRootFromParent_Done,
     /*  316179 */   // Label 5870: @316179
     /*  316179 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(316242), // Rule ID 19805 //
     /*  316184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  316195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  316198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  316201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316223 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  316226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316240 */     GIR_RootConstrainSelectedInstOperands,
     /*  316241 */     // GIR_Coverage, 19805,
     /*  316241 */     GIR_EraseRootFromParent_Done,
     /*  316242 */   // Label 5871: @316242
     /*  316242 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(316305), // Rule ID 19808 //
     /*  316247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  316258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  316261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  316264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316286 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  316289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316303 */     GIR_RootConstrainSelectedInstOperands,
     /*  316304 */     // GIR_Coverage, 19808,
     /*  316304 */     GIR_EraseRootFromParent_Done,
     /*  316305 */   // Label 5872: @316305
     /*  316305 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(316368), // Rule ID 19809 //
     /*  316310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  316321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  316324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  316327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316349 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  316352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316366 */     GIR_RootConstrainSelectedInstOperands,
     /*  316367 */     // GIR_Coverage, 19809,
     /*  316367 */     GIR_EraseRootFromParent_Done,
     /*  316368 */   // Label 5873: @316368
     /*  316368 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(316431), // Rule ID 19812 //
     /*  316373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  316387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  316390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  316415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316429 */     GIR_RootConstrainSelectedInstOperands,
     /*  316430 */     // GIR_Coverage, 19812,
     /*  316430 */     GIR_EraseRootFromParent_Done,
     /*  316431 */   // Label 5874: @316431
     /*  316431 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(316494), // Rule ID 19813 //
     /*  316436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  316450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  316453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316475 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  316478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316492 */     GIR_RootConstrainSelectedInstOperands,
     /*  316493 */     // GIR_Coverage, 19813,
     /*  316493 */     GIR_EraseRootFromParent_Done,
     /*  316494 */   // Label 5875: @316494
     /*  316494 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(316557), // Rule ID 19816 //
     /*  316499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  316513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  316516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316538 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  316541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316555 */     GIR_RootConstrainSelectedInstOperands,
     /*  316556 */     // GIR_Coverage, 19816,
     /*  316556 */     GIR_EraseRootFromParent_Done,
     /*  316557 */   // Label 5876: @316557
     /*  316557 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(316620), // Rule ID 19817 //
     /*  316562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  316576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  316579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316601 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  316604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316618 */     GIR_RootConstrainSelectedInstOperands,
     /*  316619 */     // GIR_Coverage, 19817,
     /*  316619 */     GIR_EraseRootFromParent_Done,
     /*  316620 */   // Label 5877: @316620
     /*  316620 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(316683), // Rule ID 19820 //
     /*  316625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  316636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  316639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  316642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316664 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  316667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316681 */     GIR_RootConstrainSelectedInstOperands,
     /*  316682 */     // GIR_Coverage, 19820,
     /*  316682 */     GIR_EraseRootFromParent_Done,
     /*  316683 */   // Label 5878: @316683
     /*  316683 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(316746), // Rule ID 19821 //
     /*  316688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  316699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  316702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  316705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316727 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  316730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316744 */     GIR_RootConstrainSelectedInstOperands,
     /*  316745 */     // GIR_Coverage, 19821,
     /*  316745 */     GIR_EraseRootFromParent_Done,
     /*  316746 */   // Label 5879: @316746
     /*  316746 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(316809), // Rule ID 19824 //
     /*  316751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  316765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  316768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316790 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  316793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316807 */     GIR_RootConstrainSelectedInstOperands,
     /*  316808 */     // GIR_Coverage, 19824,
     /*  316808 */     GIR_EraseRootFromParent_Done,
     /*  316809 */   // Label 5880: @316809
     /*  316809 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(316872), // Rule ID 19825 //
     /*  316814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  316828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  316831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316853 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  316856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316870 */     GIR_RootConstrainSelectedInstOperands,
     /*  316871 */     // GIR_Coverage, 19825,
     /*  316871 */     GIR_EraseRootFromParent_Done,
     /*  316872 */   // Label 5881: @316872
     /*  316872 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(316935), // Rule ID 19828 //
     /*  316877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  316891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  316894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316916 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  316919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316933 */     GIR_RootConstrainSelectedInstOperands,
     /*  316934 */     // GIR_Coverage, 19828,
     /*  316934 */     GIR_EraseRootFromParent_Done,
     /*  316935 */   // Label 5882: @316935
     /*  316935 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(316998), // Rule ID 19829 //
     /*  316940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  316954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  316957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316979 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  316982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316996 */     GIR_RootConstrainSelectedInstOperands,
     /*  316997 */     // GIR_Coverage, 19829,
     /*  316997 */     GIR_EraseRootFromParent_Done,
     /*  316998 */   // Label 5883: @316998
     /*  316998 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(317061), // Rule ID 19832 //
     /*  317003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  317017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  317020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317042 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  317045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317059 */     GIR_RootConstrainSelectedInstOperands,
     /*  317060 */     // GIR_Coverage, 19832,
     /*  317060 */     GIR_EraseRootFromParent_Done,
     /*  317061 */   // Label 5884: @317061
     /*  317061 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(317124), // Rule ID 19833 //
     /*  317066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  317080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  317083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317105 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  317108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317122 */     GIR_RootConstrainSelectedInstOperands,
     /*  317123 */     // GIR_Coverage, 19833,
     /*  317123 */     GIR_EraseRootFromParent_Done,
     /*  317124 */   // Label 5885: @317124
     /*  317124 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(317187), // Rule ID 19836 //
     /*  317129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  317143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317168 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  317171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317185 */     GIR_RootConstrainSelectedInstOperands,
     /*  317186 */     // GIR_Coverage, 19836,
     /*  317186 */     GIR_EraseRootFromParent_Done,
     /*  317187 */   // Label 5886: @317187
     /*  317187 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(317250), // Rule ID 19837 //
     /*  317192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  317206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317231 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  317234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317248 */     GIR_RootConstrainSelectedInstOperands,
     /*  317249 */     // GIR_Coverage, 19837,
     /*  317249 */     GIR_EraseRootFromParent_Done,
     /*  317250 */   // Label 5887: @317250
     /*  317250 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(317313), // Rule ID 19840 //
     /*  317255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  317269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317294 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  317297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317311 */     GIR_RootConstrainSelectedInstOperands,
     /*  317312 */     // GIR_Coverage, 19840,
     /*  317312 */     GIR_EraseRootFromParent_Done,
     /*  317313 */   // Label 5888: @317313
     /*  317313 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(317376), // Rule ID 19841 //
     /*  317318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  317332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317357 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  317360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317374 */     GIR_RootConstrainSelectedInstOperands,
     /*  317375 */     // GIR_Coverage, 19841,
     /*  317375 */     GIR_EraseRootFromParent_Done,
     /*  317376 */   // Label 5889: @317376
     /*  317376 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(317439), // Rule ID 19844 //
     /*  317381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  317395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317420 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  317423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317437 */     GIR_RootConstrainSelectedInstOperands,
     /*  317438 */     // GIR_Coverage, 19844,
     /*  317438 */     GIR_EraseRootFromParent_Done,
     /*  317439 */   // Label 5890: @317439
     /*  317439 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(317502), // Rule ID 19845 //
     /*  317444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  317458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317483 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  317486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317500 */     GIR_RootConstrainSelectedInstOperands,
     /*  317501 */     // GIR_Coverage, 19845,
     /*  317501 */     GIR_EraseRootFromParent_Done,
     /*  317502 */   // Label 5891: @317502
     /*  317502 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(317565), // Rule ID 19848 //
     /*  317507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317546 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  317549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317563 */     GIR_RootConstrainSelectedInstOperands,
     /*  317564 */     // GIR_Coverage, 19848,
     /*  317564 */     GIR_EraseRootFromParent_Done,
     /*  317565 */   // Label 5892: @317565
     /*  317565 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(317628), // Rule ID 19849 //
     /*  317570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317609 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  317612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317626 */     GIR_RootConstrainSelectedInstOperands,
     /*  317627 */     // GIR_Coverage, 19849,
     /*  317627 */     GIR_EraseRootFromParent_Done,
     /*  317628 */   // Label 5893: @317628
     /*  317628 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(317691), // Rule ID 19852 //
     /*  317633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  317647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  317675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317689 */     GIR_RootConstrainSelectedInstOperands,
     /*  317690 */     // GIR_Coverage, 19852,
     /*  317690 */     GIR_EraseRootFromParent_Done,
     /*  317691 */   // Label 5894: @317691
     /*  317691 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(317754), // Rule ID 19853 //
     /*  317696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  317710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317735 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  317738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317752 */     GIR_RootConstrainSelectedInstOperands,
     /*  317753 */     // GIR_Coverage, 19853,
     /*  317753 */     GIR_EraseRootFromParent_Done,
     /*  317754 */   // Label 5895: @317754
     /*  317754 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(317817), // Rule ID 19856 //
     /*  317759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  317773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317798 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  317801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317815 */     GIR_RootConstrainSelectedInstOperands,
     /*  317816 */     // GIR_Coverage, 19856,
     /*  317816 */     GIR_EraseRootFromParent_Done,
     /*  317817 */   // Label 5896: @317817
     /*  317817 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(317880), // Rule ID 19857 //
     /*  317822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  317836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317861 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  317864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317878 */     GIR_RootConstrainSelectedInstOperands,
     /*  317879 */     // GIR_Coverage, 19857,
     /*  317879 */     GIR_EraseRootFromParent_Done,
     /*  317880 */   // Label 5897: @317880
     /*  317880 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(317943), // Rule ID 19860 //
     /*  317885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317924 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  317927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317941 */     GIR_RootConstrainSelectedInstOperands,
     /*  317942 */     // GIR_Coverage, 19860,
     /*  317942 */     GIR_EraseRootFromParent_Done,
     /*  317943 */   // Label 5898: @317943
     /*  317943 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(318006), // Rule ID 19861 //
     /*  317948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317987 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  317990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318004 */     GIR_RootConstrainSelectedInstOperands,
     /*  318005 */     // GIR_Coverage, 19861,
     /*  318005 */     GIR_EraseRootFromParent_Done,
     /*  318006 */   // Label 5899: @318006
     /*  318006 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(318069), // Rule ID 19864 //
     /*  318011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  318022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  318025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318050 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  318053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318067 */     GIR_RootConstrainSelectedInstOperands,
     /*  318068 */     // GIR_Coverage, 19864,
     /*  318068 */     GIR_EraseRootFromParent_Done,
     /*  318069 */   // Label 5900: @318069
     /*  318069 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(318132), // Rule ID 19865 //
     /*  318074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  318085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  318088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318113 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  318116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318130 */     GIR_RootConstrainSelectedInstOperands,
     /*  318131 */     // GIR_Coverage, 19865,
     /*  318131 */     GIR_EraseRootFromParent_Done,
     /*  318132 */   // Label 5901: @318132
     /*  318132 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(318195), // Rule ID 19868 //
     /*  318137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  318148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  318151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318176 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  318179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318193 */     GIR_RootConstrainSelectedInstOperands,
     /*  318194 */     // GIR_Coverage, 19868,
     /*  318194 */     GIR_EraseRootFromParent_Done,
     /*  318195 */   // Label 5902: @318195
     /*  318195 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(318258), // Rule ID 19869 //
     /*  318200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  318211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  318214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318239 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  318242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318256 */     GIR_RootConstrainSelectedInstOperands,
     /*  318257 */     // GIR_Coverage, 19869,
     /*  318257 */     GIR_EraseRootFromParent_Done,
     /*  318258 */   // Label 5903: @318258
     /*  318258 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(318321), // Rule ID 19872 //
     /*  318263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  318277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318302 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  318305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318319 */     GIR_RootConstrainSelectedInstOperands,
     /*  318320 */     // GIR_Coverage, 19872,
     /*  318320 */     GIR_EraseRootFromParent_Done,
     /*  318321 */   // Label 5904: @318321
     /*  318321 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(318384), // Rule ID 19873 //
     /*  318326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  318340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318365 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  318368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318382 */     GIR_RootConstrainSelectedInstOperands,
     /*  318383 */     // GIR_Coverage, 19873,
     /*  318383 */     GIR_EraseRootFromParent_Done,
     /*  318384 */   // Label 5905: @318384
     /*  318384 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(318447), // Rule ID 19876 //
     /*  318389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  318403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  318431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318445 */     GIR_RootConstrainSelectedInstOperands,
     /*  318446 */     // GIR_Coverage, 19876,
     /*  318446 */     GIR_EraseRootFromParent_Done,
     /*  318447 */   // Label 5906: @318447
     /*  318447 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(318510), // Rule ID 19877 //
     /*  318452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  318466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318491 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  318494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318508 */     GIR_RootConstrainSelectedInstOperands,
     /*  318509 */     // GIR_Coverage, 19877,
     /*  318509 */     GIR_EraseRootFromParent_Done,
     /*  318510 */   // Label 5907: @318510
     /*  318510 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(318573), // Rule ID 19880 //
     /*  318515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  318526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  318529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318554 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  318557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318571 */     GIR_RootConstrainSelectedInstOperands,
     /*  318572 */     // GIR_Coverage, 19880,
     /*  318572 */     GIR_EraseRootFromParent_Done,
     /*  318573 */   // Label 5908: @318573
     /*  318573 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(318636), // Rule ID 19881 //
     /*  318578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  318589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  318592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318617 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  318620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318634 */     GIR_RootConstrainSelectedInstOperands,
     /*  318635 */     // GIR_Coverage, 19881,
     /*  318635 */     GIR_EraseRootFromParent_Done,
     /*  318636 */   // Label 5909: @318636
     /*  318636 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(318699), // Rule ID 19884 //
     /*  318641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  318655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  318683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318697 */     GIR_RootConstrainSelectedInstOperands,
     /*  318698 */     // GIR_Coverage, 19884,
     /*  318698 */     GIR_EraseRootFromParent_Done,
     /*  318699 */   // Label 5910: @318699
     /*  318699 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(318762), // Rule ID 19885 //
     /*  318704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  318718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318743 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  318746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318760 */     GIR_RootConstrainSelectedInstOperands,
     /*  318761 */     // GIR_Coverage, 19885,
     /*  318761 */     GIR_EraseRootFromParent_Done,
     /*  318762 */   // Label 5911: @318762
     /*  318762 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(318825), // Rule ID 19888 //
     /*  318767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  318781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318806 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  318809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318823 */     GIR_RootConstrainSelectedInstOperands,
     /*  318824 */     // GIR_Coverage, 19888,
     /*  318824 */     GIR_EraseRootFromParent_Done,
     /*  318825 */   // Label 5912: @318825
     /*  318825 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(318888), // Rule ID 19889 //
     /*  318830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  318844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  318872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318886 */     GIR_RootConstrainSelectedInstOperands,
     /*  318887 */     // GIR_Coverage, 19889,
     /*  318887 */     GIR_EraseRootFromParent_Done,
     /*  318888 */   // Label 5913: @318888
     /*  318888 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(318951), // Rule ID 19892 //
     /*  318893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  318907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  318935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318949 */     GIR_RootConstrainSelectedInstOperands,
     /*  318950 */     // GIR_Coverage, 19892,
     /*  318950 */     GIR_EraseRootFromParent_Done,
     /*  318951 */   // Label 5914: @318951
     /*  318951 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(319014), // Rule ID 19893 //
     /*  318956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  318970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318995 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  318998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319012 */     GIR_RootConstrainSelectedInstOperands,
     /*  319013 */     // GIR_Coverage, 19893,
     /*  319013 */     GIR_EraseRootFromParent_Done,
     /*  319014 */   // Label 5915: @319014
     /*  319014 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(319077), // Rule ID 19896 //
     /*  319019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  319033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319058 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  319061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319075 */     GIR_RootConstrainSelectedInstOperands,
     /*  319076 */     // GIR_Coverage, 19896,
     /*  319076 */     GIR_EraseRootFromParent_Done,
     /*  319077 */   // Label 5916: @319077
     /*  319077 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(319140), // Rule ID 19897 //
     /*  319082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  319096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319121 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  319124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319138 */     GIR_RootConstrainSelectedInstOperands,
     /*  319139 */     // GIR_Coverage, 19897,
     /*  319139 */     GIR_EraseRootFromParent_Done,
     /*  319140 */   // Label 5917: @319140
     /*  319140 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(319203), // Rule ID 19900 //
     /*  319145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  319159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319184 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  319187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319201 */     GIR_RootConstrainSelectedInstOperands,
     /*  319202 */     // GIR_Coverage, 19900,
     /*  319202 */     GIR_EraseRootFromParent_Done,
     /*  319203 */   // Label 5918: @319203
     /*  319203 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(319266), // Rule ID 19901 //
     /*  319208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  319222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319247 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  319250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319264 */     GIR_RootConstrainSelectedInstOperands,
     /*  319265 */     // GIR_Coverage, 19901,
     /*  319265 */     GIR_EraseRootFromParent_Done,
     /*  319266 */   // Label 5919: @319266
     /*  319266 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(319329), // Rule ID 19904 //
     /*  319271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  319285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  319288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319310 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  319313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319327 */     GIR_RootConstrainSelectedInstOperands,
     /*  319328 */     // GIR_Coverage, 19904,
     /*  319328 */     GIR_EraseRootFromParent_Done,
     /*  319329 */   // Label 5920: @319329
     /*  319329 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(319392), // Rule ID 19905 //
     /*  319334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  319348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  319351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319373 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  319376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319390 */     GIR_RootConstrainSelectedInstOperands,
     /*  319391 */     // GIR_Coverage, 19905,
     /*  319391 */     GIR_EraseRootFromParent_Done,
     /*  319392 */   // Label 5921: @319392
     /*  319392 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(319455), // Rule ID 19908 //
     /*  319397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  319411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  319414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  319439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319453 */     GIR_RootConstrainSelectedInstOperands,
     /*  319454 */     // GIR_Coverage, 19908,
     /*  319454 */     GIR_EraseRootFromParent_Done,
     /*  319455 */   // Label 5922: @319455
     /*  319455 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(319518), // Rule ID 19909 //
     /*  319460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  319474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  319477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319499 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  319502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319516 */     GIR_RootConstrainSelectedInstOperands,
     /*  319517 */     // GIR_Coverage, 19909,
     /*  319517 */     GIR_EraseRootFromParent_Done,
     /*  319518 */   // Label 5923: @319518
     /*  319518 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(319581), // Rule ID 19912 //
     /*  319523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  319537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  319540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319562 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  319565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319579 */     GIR_RootConstrainSelectedInstOperands,
     /*  319580 */     // GIR_Coverage, 19912,
     /*  319580 */     GIR_EraseRootFromParent_Done,
     /*  319581 */   // Label 5924: @319581
     /*  319581 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(319644), // Rule ID 19913 //
     /*  319586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  319600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  319603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319625 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  319628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319642 */     GIR_RootConstrainSelectedInstOperands,
     /*  319643 */     // GIR_Coverage, 19913,
     /*  319643 */     GIR_EraseRootFromParent_Done,
     /*  319644 */   // Label 5925: @319644
     /*  319644 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(319707), // Rule ID 19916 //
     /*  319649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  319663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  319666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319688 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  319691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319705 */     GIR_RootConstrainSelectedInstOperands,
     /*  319706 */     // GIR_Coverage, 19916,
     /*  319706 */     GIR_EraseRootFromParent_Done,
     /*  319707 */   // Label 5926: @319707
     /*  319707 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(319770), // Rule ID 19917 //
     /*  319712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  319726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  319729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319751 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  319754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319768 */     GIR_RootConstrainSelectedInstOperands,
     /*  319769 */     // GIR_Coverage, 19917,
     /*  319769 */     GIR_EraseRootFromParent_Done,
     /*  319770 */   // Label 5927: @319770
     /*  319770 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(319833), // Rule ID 19920 //
     /*  319775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  319789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  319792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319814 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319831 */     GIR_RootConstrainSelectedInstOperands,
     /*  319832 */     // GIR_Coverage, 19920,
     /*  319832 */     GIR_EraseRootFromParent_Done,
     /*  319833 */   // Label 5928: @319833
     /*  319833 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(319896), // Rule ID 19921 //
     /*  319838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  319852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  319855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319877 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319894 */     GIR_RootConstrainSelectedInstOperands,
     /*  319895 */     // GIR_Coverage, 19921,
     /*  319895 */     GIR_EraseRootFromParent_Done,
     /*  319896 */   // Label 5929: @319896
     /*  319896 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(319959), // Rule ID 19924 //
     /*  319901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  319915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  319918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319940 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319957 */     GIR_RootConstrainSelectedInstOperands,
     /*  319958 */     // GIR_Coverage, 19924,
     /*  319958 */     GIR_EraseRootFromParent_Done,
     /*  319959 */   // Label 5930: @319959
     /*  319959 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(320022), // Rule ID 19925 //
     /*  319964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  319978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  319981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320003 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  320006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320020 */     GIR_RootConstrainSelectedInstOperands,
     /*  320021 */     // GIR_Coverage, 19925,
     /*  320021 */     GIR_EraseRootFromParent_Done,
     /*  320022 */   // Label 5931: @320022
     /*  320022 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(320085), // Rule ID 19928 //
     /*  320027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  320038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  320041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  320044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320066 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  320069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320083 */     GIR_RootConstrainSelectedInstOperands,
     /*  320084 */     // GIR_Coverage, 19928,
     /*  320084 */     GIR_EraseRootFromParent_Done,
     /*  320085 */   // Label 5932: @320085
     /*  320085 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(320148), // Rule ID 19929 //
     /*  320090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  320101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  320104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  320107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320129 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  320132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320146 */     GIR_RootConstrainSelectedInstOperands,
     /*  320147 */     // GIR_Coverage, 19929,
     /*  320147 */     GIR_EraseRootFromParent_Done,
     /*  320148 */   // Label 5933: @320148
     /*  320148 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(320211), // Rule ID 19932 //
     /*  320153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  320167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  320170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320192 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  320195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320209 */     GIR_RootConstrainSelectedInstOperands,
     /*  320210 */     // GIR_Coverage, 19932,
     /*  320210 */     GIR_EraseRootFromParent_Done,
     /*  320211 */   // Label 5934: @320211
     /*  320211 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(320274), // Rule ID 19933 //
     /*  320216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  320230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  320233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320255 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  320258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320272 */     GIR_RootConstrainSelectedInstOperands,
     /*  320273 */     // GIR_Coverage, 19933,
     /*  320273 */     GIR_EraseRootFromParent_Done,
     /*  320274 */   // Label 5935: @320274
     /*  320274 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(320337), // Rule ID 19936 //
     /*  320279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  320293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  320296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320318 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  320321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320335 */     GIR_RootConstrainSelectedInstOperands,
     /*  320336 */     // GIR_Coverage, 19936,
     /*  320336 */     GIR_EraseRootFromParent_Done,
     /*  320337 */   // Label 5936: @320337
     /*  320337 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(320400), // Rule ID 19937 //
     /*  320342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  320356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  320359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320381 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  320384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320398 */     GIR_RootConstrainSelectedInstOperands,
     /*  320399 */     // GIR_Coverage, 19937,
     /*  320399 */     GIR_EraseRootFromParent_Done,
     /*  320400 */   // Label 5937: @320400
     /*  320400 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(320463), // Rule ID 19940 //
     /*  320405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  320419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  320422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320444 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  320447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320461 */     GIR_RootConstrainSelectedInstOperands,
     /*  320462 */     // GIR_Coverage, 19940,
     /*  320462 */     GIR_EraseRootFromParent_Done,
     /*  320463 */   // Label 5938: @320463
     /*  320463 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(320526), // Rule ID 19941 //
     /*  320468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  320482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  320485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320507 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  320510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320524 */     GIR_RootConstrainSelectedInstOperands,
     /*  320525 */     // GIR_Coverage, 19941,
     /*  320525 */     GIR_EraseRootFromParent_Done,
     /*  320526 */   // Label 5939: @320526
     /*  320526 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(320589), // Rule ID 19944 //
     /*  320531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  320545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  320548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320570 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  320573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320587 */     GIR_RootConstrainSelectedInstOperands,
     /*  320588 */     // GIR_Coverage, 19944,
     /*  320588 */     GIR_EraseRootFromParent_Done,
     /*  320589 */   // Label 5940: @320589
     /*  320589 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(320652), // Rule ID 19945 //
     /*  320594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  320608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  320611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320633 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  320636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320650 */     GIR_RootConstrainSelectedInstOperands,
     /*  320651 */     // GIR_Coverage, 19945,
     /*  320651 */     GIR_EraseRootFromParent_Done,
     /*  320652 */   // Label 5941: @320652
     /*  320652 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(320715), // Rule ID 19948 //
     /*  320657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  320671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  320674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320696 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  320699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320713 */     GIR_RootConstrainSelectedInstOperands,
     /*  320714 */     // GIR_Coverage, 19948,
     /*  320714 */     GIR_EraseRootFromParent_Done,
     /*  320715 */   // Label 5942: @320715
     /*  320715 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(320778), // Rule ID 19949 //
     /*  320720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  320734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  320737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320759 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  320762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320776 */     GIR_RootConstrainSelectedInstOperands,
     /*  320777 */     // GIR_Coverage, 19949,
     /*  320777 */     GIR_EraseRootFromParent_Done,
     /*  320778 */   // Label 5943: @320778
     /*  320778 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(320841), // Rule ID 19952 //
     /*  320783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  320797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  320800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320822 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  320825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320839 */     GIR_RootConstrainSelectedInstOperands,
     /*  320840 */     // GIR_Coverage, 19952,
     /*  320840 */     GIR_EraseRootFromParent_Done,
     /*  320841 */   // Label 5944: @320841
     /*  320841 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(320904), // Rule ID 19953 //
     /*  320846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  320860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  320863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320885 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  320888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320902 */     GIR_RootConstrainSelectedInstOperands,
     /*  320903 */     // GIR_Coverage, 19953,
     /*  320903 */     GIR_EraseRootFromParent_Done,
     /*  320904 */   // Label 5945: @320904
     /*  320904 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(320967), // Rule ID 19956 //
     /*  320909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  320923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320948 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  320951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320965 */     GIR_RootConstrainSelectedInstOperands,
     /*  320966 */     // GIR_Coverage, 19956,
     /*  320966 */     GIR_EraseRootFromParent_Done,
     /*  320967 */   // Label 5946: @320967
     /*  320967 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(321030), // Rule ID 19957 //
     /*  320972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  320986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321011 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  321014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321028 */     GIR_RootConstrainSelectedInstOperands,
     /*  321029 */     // GIR_Coverage, 19957,
     /*  321029 */     GIR_EraseRootFromParent_Done,
     /*  321030 */   // Label 5947: @321030
     /*  321030 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(321093), // Rule ID 19960 //
     /*  321035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  321049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321074 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  321077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321091 */     GIR_RootConstrainSelectedInstOperands,
     /*  321092 */     // GIR_Coverage, 19960,
     /*  321092 */     GIR_EraseRootFromParent_Done,
     /*  321093 */   // Label 5948: @321093
     /*  321093 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(321156), // Rule ID 19961 //
     /*  321098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  321112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321137 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  321140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321154 */     GIR_RootConstrainSelectedInstOperands,
     /*  321155 */     // GIR_Coverage, 19961,
     /*  321155 */     GIR_EraseRootFromParent_Done,
     /*  321156 */   // Label 5949: @321156
     /*  321156 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(321219), // Rule ID 19964 //
     /*  321161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  321175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321200 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  321203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321217 */     GIR_RootConstrainSelectedInstOperands,
     /*  321218 */     // GIR_Coverage, 19964,
     /*  321218 */     GIR_EraseRootFromParent_Done,
     /*  321219 */   // Label 5950: @321219
     /*  321219 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(321282), // Rule ID 19965 //
     /*  321224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  321238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321263 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  321266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321280 */     GIR_RootConstrainSelectedInstOperands,
     /*  321281 */     // GIR_Coverage, 19965,
     /*  321281 */     GIR_EraseRootFromParent_Done,
     /*  321282 */   // Label 5951: @321282
     /*  321282 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(321345), // Rule ID 19968 //
     /*  321287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  321301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321326 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  321329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321343 */     GIR_RootConstrainSelectedInstOperands,
     /*  321344 */     // GIR_Coverage, 19968,
     /*  321344 */     GIR_EraseRootFromParent_Done,
     /*  321345 */   // Label 5952: @321345
     /*  321345 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(321408), // Rule ID 19969 //
     /*  321350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  321364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321389 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  321392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321406 */     GIR_RootConstrainSelectedInstOperands,
     /*  321407 */     // GIR_Coverage, 19969,
     /*  321407 */     GIR_EraseRootFromParent_Done,
     /*  321408 */   // Label 5953: @321408
     /*  321408 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(321471), // Rule ID 19972 //
     /*  321413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  321427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321452 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  321455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321469 */     GIR_RootConstrainSelectedInstOperands,
     /*  321470 */     // GIR_Coverage, 19972,
     /*  321470 */     GIR_EraseRootFromParent_Done,
     /*  321471 */   // Label 5954: @321471
     /*  321471 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(321534), // Rule ID 19973 //
     /*  321476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  321490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321515 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  321518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321532 */     GIR_RootConstrainSelectedInstOperands,
     /*  321533 */     // GIR_Coverage, 19973,
     /*  321533 */     GIR_EraseRootFromParent_Done,
     /*  321534 */   // Label 5955: @321534
     /*  321534 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(321597), // Rule ID 19976 //
     /*  321539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  321553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321578 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  321581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321595 */     GIR_RootConstrainSelectedInstOperands,
     /*  321596 */     // GIR_Coverage, 19976,
     /*  321596 */     GIR_EraseRootFromParent_Done,
     /*  321597 */   // Label 5956: @321597
     /*  321597 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(321660), // Rule ID 19977 //
     /*  321602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  321616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321641 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  321644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321658 */     GIR_RootConstrainSelectedInstOperands,
     /*  321659 */     // GIR_Coverage, 19977,
     /*  321659 */     GIR_EraseRootFromParent_Done,
     /*  321660 */   // Label 5957: @321660
     /*  321660 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(321723), // Rule ID 19980 //
     /*  321665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  321679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321704 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  321707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321721 */     GIR_RootConstrainSelectedInstOperands,
     /*  321722 */     // GIR_Coverage, 19980,
     /*  321722 */     GIR_EraseRootFromParent_Done,
     /*  321723 */   // Label 5958: @321723
     /*  321723 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(321786), // Rule ID 19981 //
     /*  321728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  321742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321767 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  321770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321784 */     GIR_RootConstrainSelectedInstOperands,
     /*  321785 */     // GIR_Coverage, 19981,
     /*  321785 */     GIR_EraseRootFromParent_Done,
     /*  321786 */   // Label 5959: @321786
     /*  321786 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(321849), // Rule ID 19984 //
     /*  321791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  321805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321830 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  321833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321847 */     GIR_RootConstrainSelectedInstOperands,
     /*  321848 */     // GIR_Coverage, 19984,
     /*  321848 */     GIR_EraseRootFromParent_Done,
     /*  321849 */   // Label 5960: @321849
     /*  321849 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(321912), // Rule ID 19985 //
     /*  321854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  321868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321893 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  321896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321910 */     GIR_RootConstrainSelectedInstOperands,
     /*  321911 */     // GIR_Coverage, 19985,
     /*  321911 */     GIR_EraseRootFromParent_Done,
     /*  321912 */   // Label 5961: @321912
     /*  321912 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(321975), // Rule ID 19988 //
     /*  321917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  321928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  321931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321956 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  321959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321973 */     GIR_RootConstrainSelectedInstOperands,
     /*  321974 */     // GIR_Coverage, 19988,
     /*  321974 */     GIR_EraseRootFromParent_Done,
     /*  321975 */   // Label 5962: @321975
     /*  321975 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(322038), // Rule ID 19989 //
     /*  321980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  321991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  321994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322019 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  322022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322036 */     GIR_RootConstrainSelectedInstOperands,
     /*  322037 */     // GIR_Coverage, 19989,
     /*  322037 */     GIR_EraseRootFromParent_Done,
     /*  322038 */   // Label 5963: @322038
     /*  322038 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(322101), // Rule ID 19992 //
     /*  322043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  322057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322082 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  322085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322099 */     GIR_RootConstrainSelectedInstOperands,
     /*  322100 */     // GIR_Coverage, 19992,
     /*  322100 */     GIR_EraseRootFromParent_Done,
     /*  322101 */   // Label 5964: @322101
     /*  322101 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(322164), // Rule ID 19993 //
     /*  322106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  322120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322145 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  322148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322162 */     GIR_RootConstrainSelectedInstOperands,
     /*  322163 */     // GIR_Coverage, 19993,
     /*  322163 */     GIR_EraseRootFromParent_Done,
     /*  322164 */   // Label 5965: @322164
     /*  322164 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(322227), // Rule ID 19996 //
     /*  322169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  322183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322208 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  322211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322225 */     GIR_RootConstrainSelectedInstOperands,
     /*  322226 */     // GIR_Coverage, 19996,
     /*  322226 */     GIR_EraseRootFromParent_Done,
     /*  322227 */   // Label 5966: @322227
     /*  322227 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(322290), // Rule ID 19997 //
     /*  322232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  322246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322271 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  322274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322288 */     GIR_RootConstrainSelectedInstOperands,
     /*  322289 */     // GIR_Coverage, 19997,
     /*  322289 */     GIR_EraseRootFromParent_Done,
     /*  322290 */   // Label 5967: @322290
     /*  322290 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(322353), // Rule ID 20000 //
     /*  322295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  322309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322334 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  322337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322351 */     GIR_RootConstrainSelectedInstOperands,
     /*  322352 */     // GIR_Coverage, 20000,
     /*  322352 */     GIR_EraseRootFromParent_Done,
     /*  322353 */   // Label 5968: @322353
     /*  322353 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(322416), // Rule ID 20001 //
     /*  322358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  322372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322397 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  322400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322414 */     GIR_RootConstrainSelectedInstOperands,
     /*  322415 */     // GIR_Coverage, 20001,
     /*  322415 */     GIR_EraseRootFromParent_Done,
     /*  322416 */   // Label 5969: @322416
     /*  322416 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(322479), // Rule ID 20004 //
     /*  322421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  322435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  322463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322477 */     GIR_RootConstrainSelectedInstOperands,
     /*  322478 */     // GIR_Coverage, 20004,
     /*  322478 */     GIR_EraseRootFromParent_Done,
     /*  322479 */   // Label 5970: @322479
     /*  322479 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(322542), // Rule ID 20005 //
     /*  322484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  322498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322523 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  322526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322540 */     GIR_RootConstrainSelectedInstOperands,
     /*  322541 */     // GIR_Coverage, 20005,
     /*  322541 */     GIR_EraseRootFromParent_Done,
     /*  322542 */   // Label 5971: @322542
     /*  322542 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(322605), // Rule ID 20008 //
     /*  322547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  322561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322586 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  322589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322603 */     GIR_RootConstrainSelectedInstOperands,
     /*  322604 */     // GIR_Coverage, 20008,
     /*  322604 */     GIR_EraseRootFromParent_Done,
     /*  322605 */   // Label 5972: @322605
     /*  322605 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(322668), // Rule ID 20009 //
     /*  322610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  322624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322649 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  322652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322666 */     GIR_RootConstrainSelectedInstOperands,
     /*  322667 */     // GIR_Coverage, 20009,
     /*  322667 */     GIR_EraseRootFromParent_Done,
     /*  322668 */   // Label 5973: @322668
     /*  322668 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(322731), // Rule ID 20012 //
     /*  322673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  322687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322712 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  322715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322729 */     GIR_RootConstrainSelectedInstOperands,
     /*  322730 */     // GIR_Coverage, 20012,
     /*  322730 */     GIR_EraseRootFromParent_Done,
     /*  322731 */   // Label 5974: @322731
     /*  322731 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(322794), // Rule ID 20013 //
     /*  322736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  322750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322775 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  322778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322792 */     GIR_RootConstrainSelectedInstOperands,
     /*  322793 */     // GIR_Coverage, 20013,
     /*  322793 */     GIR_EraseRootFromParent_Done,
     /*  322794 */   // Label 5975: @322794
     /*  322794 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(322857), // Rule ID 20016 //
     /*  322799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  322813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  322816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322838 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  322841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322855 */     GIR_RootConstrainSelectedInstOperands,
     /*  322856 */     // GIR_Coverage, 20016,
     /*  322856 */     GIR_EraseRootFromParent_Done,
     /*  322857 */   // Label 5976: @322857
     /*  322857 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(322920), // Rule ID 20017 //
     /*  322862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  322876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  322879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322901 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  322904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322918 */     GIR_RootConstrainSelectedInstOperands,
     /*  322919 */     // GIR_Coverage, 20017,
     /*  322919 */     GIR_EraseRootFromParent_Done,
     /*  322920 */   // Label 5977: @322920
     /*  322920 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(322983), // Rule ID 20020 //
     /*  322925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  322939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  322942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322964 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  322967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322981 */     GIR_RootConstrainSelectedInstOperands,
     /*  322982 */     // GIR_Coverage, 20020,
     /*  322982 */     GIR_EraseRootFromParent_Done,
     /*  322983 */   // Label 5978: @322983
     /*  322983 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(323046), // Rule ID 20021 //
     /*  322988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  323002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  323005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323027 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  323030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323044 */     GIR_RootConstrainSelectedInstOperands,
     /*  323045 */     // GIR_Coverage, 20021,
     /*  323045 */     GIR_EraseRootFromParent_Done,
     /*  323046 */   // Label 5979: @323046
     /*  323046 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(323109), // Rule ID 20024 //
     /*  323051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  323065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  323068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323090 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  323093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323107 */     GIR_RootConstrainSelectedInstOperands,
     /*  323108 */     // GIR_Coverage, 20024,
     /*  323108 */     GIR_EraseRootFromParent_Done,
     /*  323109 */   // Label 5980: @323109
     /*  323109 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(323172), // Rule ID 20025 //
     /*  323114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  323128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  323131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323153 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  323156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323170 */     GIR_RootConstrainSelectedInstOperands,
     /*  323171 */     // GIR_Coverage, 20025,
     /*  323171 */     GIR_EraseRootFromParent_Done,
     /*  323172 */   // Label 5981: @323172
     /*  323172 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(323235), // Rule ID 20028 //
     /*  323177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  323191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  323194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323216 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  323219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323233 */     GIR_RootConstrainSelectedInstOperands,
     /*  323234 */     // GIR_Coverage, 20028,
     /*  323234 */     GIR_EraseRootFromParent_Done,
     /*  323235 */   // Label 5982: @323235
     /*  323235 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(323298), // Rule ID 20029 //
     /*  323240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  323254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  323257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323279 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  323282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323296 */     GIR_RootConstrainSelectedInstOperands,
     /*  323297 */     // GIR_Coverage, 20029,
     /*  323297 */     GIR_EraseRootFromParent_Done,
     /*  323298 */   // Label 5983: @323298
     /*  323298 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(323361), // Rule ID 20032 //
     /*  323303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  323317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  323320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323342 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  323345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323359 */     GIR_RootConstrainSelectedInstOperands,
     /*  323360 */     // GIR_Coverage, 20032,
     /*  323360 */     GIR_EraseRootFromParent_Done,
     /*  323361 */   // Label 5984: @323361
     /*  323361 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(323424), // Rule ID 20033 //
     /*  323366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  323380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  323383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323405 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  323408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323422 */     GIR_RootConstrainSelectedInstOperands,
     /*  323423 */     // GIR_Coverage, 20033,
     /*  323423 */     GIR_EraseRootFromParent_Done,
     /*  323424 */   // Label 5985: @323424
     /*  323424 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(323487), // Rule ID 20036 //
     /*  323429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  323443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  323446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323468 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  323471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323485 */     GIR_RootConstrainSelectedInstOperands,
     /*  323486 */     // GIR_Coverage, 20036,
     /*  323486 */     GIR_EraseRootFromParent_Done,
     /*  323487 */   // Label 5986: @323487
     /*  323487 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(323550), // Rule ID 20037 //
     /*  323492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  323506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  323509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323531 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  323534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323548 */     GIR_RootConstrainSelectedInstOperands,
     /*  323549 */     // GIR_Coverage, 20037,
     /*  323549 */     GIR_EraseRootFromParent_Done,
     /*  323550 */   // Label 5987: @323550
     /*  323550 */   GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(323613), // Rule ID 20040 //
     /*  323555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  323569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323594 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323611 */     GIR_RootConstrainSelectedInstOperands,
     /*  323612 */     // GIR_Coverage, 20040,
     /*  323612 */     GIR_EraseRootFromParent_Done,
     /*  323613 */   // Label 5988: @323613
     /*  323613 */   GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(323676), // Rule ID 20041 //
     /*  323618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  323632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323657 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323674 */     GIR_RootConstrainSelectedInstOperands,
     /*  323675 */     // GIR_Coverage, 20041,
     /*  323675 */     GIR_EraseRootFromParent_Done,
     /*  323676 */   // Label 5989: @323676
     /*  323676 */   GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(323739), // Rule ID 20044 //
     /*  323681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  323695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323720 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323737 */     GIR_RootConstrainSelectedInstOperands,
     /*  323738 */     // GIR_Coverage, 20044,
     /*  323738 */     GIR_EraseRootFromParent_Done,
     /*  323739 */   // Label 5990: @323739
     /*  323739 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(323802), // Rule ID 20045 //
     /*  323744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  323758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323783 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323800 */     GIR_RootConstrainSelectedInstOperands,
     /*  323801 */     // GIR_Coverage, 20045,
     /*  323801 */     GIR_EraseRootFromParent_Done,
     /*  323802 */   // Label 5991: @323802
     /*  323802 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(323865), // Rule ID 20048 //
     /*  323807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  323818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  323821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323846 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323863 */     GIR_RootConstrainSelectedInstOperands,
     /*  323864 */     // GIR_Coverage, 20048,
     /*  323864 */     GIR_EraseRootFromParent_Done,
     /*  323865 */   // Label 5992: @323865
     /*  323865 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(323928), // Rule ID 20049 //
     /*  323870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  323881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  323884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323909 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323926 */     GIR_RootConstrainSelectedInstOperands,
     /*  323927 */     // GIR_Coverage, 20049,
     /*  323927 */     GIR_EraseRootFromParent_Done,
     /*  323928 */   // Label 5993: @323928
     /*  323928 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(323991), // Rule ID 20052 //
     /*  323933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  323947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  323950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323989 */     GIR_RootConstrainSelectedInstOperands,
     /*  323990 */     // GIR_Coverage, 20052,
     /*  323990 */     GIR_EraseRootFromParent_Done,
     /*  323991 */   // Label 5994: @323991
     /*  323991 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(324054), // Rule ID 20053 //
     /*  323996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  324010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324035 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  324038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324052 */     GIR_RootConstrainSelectedInstOperands,
     /*  324053 */     // GIR_Coverage, 20053,
     /*  324053 */     GIR_EraseRootFromParent_Done,
     /*  324054 */   // Label 5995: @324054
     /*  324054 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(324117), // Rule ID 20056 //
     /*  324059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  324073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  324076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324098 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  324101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324115 */     GIR_RootConstrainSelectedInstOperands,
     /*  324116 */     // GIR_Coverage, 20056,
     /*  324116 */     GIR_EraseRootFromParent_Done,
     /*  324117 */   // Label 5996: @324117
     /*  324117 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(324180), // Rule ID 20057 //
     /*  324122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  324136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  324139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324161 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  324164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324178 */     GIR_RootConstrainSelectedInstOperands,
     /*  324179 */     // GIR_Coverage, 20057,
     /*  324179 */     GIR_EraseRootFromParent_Done,
     /*  324180 */   // Label 5997: @324180
     /*  324180 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(324243), // Rule ID 20060 //
     /*  324185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  324199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  324202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324224 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  324227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324241 */     GIR_RootConstrainSelectedInstOperands,
     /*  324242 */     // GIR_Coverage, 20060,
     /*  324242 */     GIR_EraseRootFromParent_Done,
     /*  324243 */   // Label 5998: @324243
     /*  324243 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(324306), // Rule ID 20061 //
     /*  324248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  324262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  324265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324287 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  324290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324304 */     GIR_RootConstrainSelectedInstOperands,
     /*  324305 */     // GIR_Coverage, 20061,
     /*  324305 */     GIR_EraseRootFromParent_Done,
     /*  324306 */   // Label 5999: @324306
     /*  324306 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(324369), // Rule ID 20064 //
     /*  324311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  324325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  324328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324350 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  324353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324367 */     GIR_RootConstrainSelectedInstOperands,
     /*  324368 */     // GIR_Coverage, 20064,
     /*  324368 */     GIR_EraseRootFromParent_Done,
     /*  324369 */   // Label 6000: @324369
     /*  324369 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(324432), // Rule ID 20065 //
     /*  324374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  324388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  324391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324413 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  324416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324430 */     GIR_RootConstrainSelectedInstOperands,
     /*  324431 */     // GIR_Coverage, 20065,
     /*  324431 */     GIR_EraseRootFromParent_Done,
     /*  324432 */   // Label 6001: @324432
     /*  324432 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(324495), // Rule ID 20068 //
     /*  324437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  324451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  324454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  324479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324493 */     GIR_RootConstrainSelectedInstOperands,
     /*  324494 */     // GIR_Coverage, 20068,
     /*  324494 */     GIR_EraseRootFromParent_Done,
     /*  324495 */   // Label 6002: @324495
     /*  324495 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(324558), // Rule ID 20069 //
     /*  324500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  324514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  324517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324539 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  324542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324556 */     GIR_RootConstrainSelectedInstOperands,
     /*  324557 */     // GIR_Coverage, 20069,
     /*  324557 */     GIR_EraseRootFromParent_Done,
     /*  324558 */   // Label 6003: @324558
     /*  324558 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(324621), // Rule ID 20072 //
     /*  324563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  324577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  324580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324602 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  324605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324619 */     GIR_RootConstrainSelectedInstOperands,
     /*  324620 */     // GIR_Coverage, 20072,
     /*  324620 */     GIR_EraseRootFromParent_Done,
     /*  324621 */   // Label 6004: @324621
     /*  324621 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(324684), // Rule ID 20073 //
     /*  324626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  324640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  324643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324665 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  324668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324682 */     GIR_RootConstrainSelectedInstOperands,
     /*  324683 */     // GIR_Coverage, 20073,
     /*  324683 */     GIR_EraseRootFromParent_Done,
     /*  324684 */   // Label 6005: @324684
     /*  324684 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(324747), // Rule ID 20076 //
     /*  324689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  324703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  324731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324745 */     GIR_RootConstrainSelectedInstOperands,
     /*  324746 */     // GIR_Coverage, 20076,
     /*  324746 */     GIR_EraseRootFromParent_Done,
     /*  324747 */   // Label 6006: @324747
     /*  324747 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(324810), // Rule ID 20077 //
     /*  324752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  324766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324791 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  324794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324808 */     GIR_RootConstrainSelectedInstOperands,
     /*  324809 */     // GIR_Coverage, 20077,
     /*  324809 */     GIR_EraseRootFromParent_Done,
     /*  324810 */   // Label 6007: @324810
     /*  324810 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(324873), // Rule ID 20080 //
     /*  324815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  324829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324854 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  324857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324871 */     GIR_RootConstrainSelectedInstOperands,
     /*  324872 */     // GIR_Coverage, 20080,
     /*  324872 */     GIR_EraseRootFromParent_Done,
     /*  324873 */   // Label 6008: @324873
     /*  324873 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(324936), // Rule ID 20081 //
     /*  324878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  324892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324917 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  324920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324934 */     GIR_RootConstrainSelectedInstOperands,
     /*  324935 */     // GIR_Coverage, 20081,
     /*  324935 */     GIR_EraseRootFromParent_Done,
     /*  324936 */   // Label 6009: @324936
     /*  324936 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(324999), // Rule ID 20084 //
     /*  324941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  324955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324980 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  324983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324997 */     GIR_RootConstrainSelectedInstOperands,
     /*  324998 */     // GIR_Coverage, 20084,
     /*  324998 */     GIR_EraseRootFromParent_Done,
     /*  324999 */   // Label 6010: @324999
     /*  324999 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(325062), // Rule ID 20085 //
     /*  325004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  325018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325043 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  325046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325060 */     GIR_RootConstrainSelectedInstOperands,
     /*  325061 */     // GIR_Coverage, 20085,
     /*  325061 */     GIR_EraseRootFromParent_Done,
     /*  325062 */   // Label 6011: @325062
     /*  325062 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(325125), // Rule ID 20088 //
     /*  325067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  325081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325106 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  325109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325123 */     GIR_RootConstrainSelectedInstOperands,
     /*  325124 */     // GIR_Coverage, 20088,
     /*  325124 */     GIR_EraseRootFromParent_Done,
     /*  325125 */   // Label 6012: @325125
     /*  325125 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(325188), // Rule ID 20089 //
     /*  325130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  325144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325169 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  325172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325186 */     GIR_RootConstrainSelectedInstOperands,
     /*  325187 */     // GIR_Coverage, 20089,
     /*  325187 */     GIR_EraseRootFromParent_Done,
     /*  325188 */   // Label 6013: @325188
     /*  325188 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(325251), // Rule ID 20092 //
     /*  325193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  325207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325232 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  325235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325249 */     GIR_RootConstrainSelectedInstOperands,
     /*  325250 */     // GIR_Coverage, 20092,
     /*  325250 */     GIR_EraseRootFromParent_Done,
     /*  325251 */   // Label 6014: @325251
     /*  325251 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(325314), // Rule ID 20093 //
     /*  325256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  325270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325295 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  325298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325312 */     GIR_RootConstrainSelectedInstOperands,
     /*  325313 */     // GIR_Coverage, 20093,
     /*  325313 */     GIR_EraseRootFromParent_Done,
     /*  325314 */   // Label 6015: @325314
     /*  325314 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(325377), // Rule ID 20096 //
     /*  325319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  325333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325358 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  325361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325375 */     GIR_RootConstrainSelectedInstOperands,
     /*  325376 */     // GIR_Coverage, 20096,
     /*  325376 */     GIR_EraseRootFromParent_Done,
     /*  325377 */   // Label 6016: @325377
     /*  325377 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(325440), // Rule ID 20097 //
     /*  325382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  325396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325421 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  325424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325438 */     GIR_RootConstrainSelectedInstOperands,
     /*  325439 */     // GIR_Coverage, 20097,
     /*  325439 */     GIR_EraseRootFromParent_Done,
     /*  325440 */   // Label 6017: @325440
     /*  325440 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(325503), // Rule ID 20100 //
     /*  325445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  325459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325484 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  325487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325501 */     GIR_RootConstrainSelectedInstOperands,
     /*  325502 */     // GIR_Coverage, 20100,
     /*  325502 */     GIR_EraseRootFromParent_Done,
     /*  325503 */   // Label 6018: @325503
     /*  325503 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(325566), // Rule ID 20101 //
     /*  325508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  325522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325547 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  325550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325564 */     GIR_RootConstrainSelectedInstOperands,
     /*  325565 */     // GIR_Coverage, 20101,
     /*  325565 */     GIR_EraseRootFromParent_Done,
     /*  325566 */   // Label 6019: @325566
     /*  325566 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(325629), // Rule ID 20104 //
     /*  325571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  325585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325610 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  325613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325627 */     GIR_RootConstrainSelectedInstOperands,
     /*  325628 */     // GIR_Coverage, 20104,
     /*  325628 */     GIR_EraseRootFromParent_Done,
     /*  325629 */   // Label 6020: @325629
     /*  325629 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(325692), // Rule ID 20105 //
     /*  325634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  325648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325673 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  325676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325690 */     GIR_RootConstrainSelectedInstOperands,
     /*  325691 */     // GIR_Coverage, 20105,
     /*  325691 */     GIR_EraseRootFromParent_Done,
     /*  325692 */   // Label 6021: @325692
     /*  325692 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(325755), // Rule ID 20108 //
     /*  325697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  325708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  325711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325736 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  325739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325753 */     GIR_RootConstrainSelectedInstOperands,
     /*  325754 */     // GIR_Coverage, 20108,
     /*  325754 */     GIR_EraseRootFromParent_Done,
     /*  325755 */   // Label 6022: @325755
     /*  325755 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(325818), // Rule ID 20109 //
     /*  325760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  325771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  325774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325799 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  325802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325816 */     GIR_RootConstrainSelectedInstOperands,
     /*  325817 */     // GIR_Coverage, 20109,
     /*  325817 */     GIR_EraseRootFromParent_Done,
     /*  325818 */   // Label 6023: @325818
     /*  325818 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(325881), // Rule ID 20112 //
     /*  325823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  325837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325862 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  325865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325879 */     GIR_RootConstrainSelectedInstOperands,
     /*  325880 */     // GIR_Coverage, 20112,
     /*  325880 */     GIR_EraseRootFromParent_Done,
     /*  325881 */   // Label 6024: @325881
     /*  325881 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(325944), // Rule ID 20113 //
     /*  325886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  325900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325925 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  325928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325942 */     GIR_RootConstrainSelectedInstOperands,
     /*  325943 */     // GIR_Coverage, 20113,
     /*  325943 */     GIR_EraseRootFromParent_Done,
     /*  325944 */   // Label 6025: @325944
     /*  325944 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(326007), // Rule ID 20116 //
     /*  325949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  325963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325988 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  325991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326005 */     GIR_RootConstrainSelectedInstOperands,
     /*  326006 */     // GIR_Coverage, 20116,
     /*  326006 */     GIR_EraseRootFromParent_Done,
     /*  326007 */   // Label 6026: @326007
     /*  326007 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(326070), // Rule ID 20117 //
     /*  326012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  326026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326051 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  326054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326068 */     GIR_RootConstrainSelectedInstOperands,
     /*  326069 */     // GIR_Coverage, 20117,
     /*  326069 */     GIR_EraseRootFromParent_Done,
     /*  326070 */   // Label 6027: @326070
     /*  326070 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(326133), // Rule ID 20120 //
     /*  326075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  326089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326114 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  326117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326131 */     GIR_RootConstrainSelectedInstOperands,
     /*  326132 */     // GIR_Coverage, 20120,
     /*  326132 */     GIR_EraseRootFromParent_Done,
     /*  326133 */   // Label 6028: @326133
     /*  326133 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(326196), // Rule ID 20121 //
     /*  326138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  326152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326177 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  326180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326194 */     GIR_RootConstrainSelectedInstOperands,
     /*  326195 */     // GIR_Coverage, 20121,
     /*  326195 */     GIR_EraseRootFromParent_Done,
     /*  326196 */   // Label 6029: @326196
     /*  326196 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(326259), // Rule ID 20124 //
     /*  326201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  326215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326240 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  326243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326257 */     GIR_RootConstrainSelectedInstOperands,
     /*  326258 */     // GIR_Coverage, 20124,
     /*  326258 */     GIR_EraseRootFromParent_Done,
     /*  326259 */   // Label 6030: @326259
     /*  326259 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(326322), // Rule ID 20125 //
     /*  326264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  326278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326303 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  326306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326320 */     GIR_RootConstrainSelectedInstOperands,
     /*  326321 */     // GIR_Coverage, 20125,
     /*  326321 */     GIR_EraseRootFromParent_Done,
     /*  326322 */   // Label 6031: @326322
     /*  326322 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(326385), // Rule ID 20128 //
     /*  326327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  326341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326366 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  326369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326383 */     GIR_RootConstrainSelectedInstOperands,
     /*  326384 */     // GIR_Coverage, 20128,
     /*  326384 */     GIR_EraseRootFromParent_Done,
     /*  326385 */   // Label 6032: @326385
     /*  326385 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(326448), // Rule ID 20129 //
     /*  326390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  326404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326429 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  326432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326446 */     GIR_RootConstrainSelectedInstOperands,
     /*  326447 */     // GIR_Coverage, 20129,
     /*  326447 */     GIR_EraseRootFromParent_Done,
     /*  326448 */   // Label 6033: @326448
     /*  326448 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(326511), // Rule ID 20132 //
     /*  326453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  326467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326492 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  326495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326509 */     GIR_RootConstrainSelectedInstOperands,
     /*  326510 */     // GIR_Coverage, 20132,
     /*  326510 */     GIR_EraseRootFromParent_Done,
     /*  326511 */   // Label 6034: @326511
     /*  326511 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(326574), // Rule ID 20133 //
     /*  326516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  326530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326555 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  326558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326572 */     GIR_RootConstrainSelectedInstOperands,
     /*  326573 */     // GIR_Coverage, 20133,
     /*  326573 */     GIR_EraseRootFromParent_Done,
     /*  326574 */   // Label 6035: @326574
     /*  326574 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(326637), // Rule ID 20136 //
     /*  326579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  326593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  326596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326618 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  326621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326635 */     GIR_RootConstrainSelectedInstOperands,
     /*  326636 */     // GIR_Coverage, 20136,
     /*  326636 */     GIR_EraseRootFromParent_Done,
     /*  326637 */   // Label 6036: @326637
     /*  326637 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(326700), // Rule ID 20137 //
     /*  326642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  326656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  326659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326681 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  326684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326698 */     GIR_RootConstrainSelectedInstOperands,
     /*  326699 */     // GIR_Coverage, 20137,
     /*  326699 */     GIR_EraseRootFromParent_Done,
     /*  326700 */   // Label 6037: @326700
     /*  326700 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(326763), // Rule ID 20140 //
     /*  326705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  326719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  326722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326744 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  326747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326761 */     GIR_RootConstrainSelectedInstOperands,
     /*  326762 */     // GIR_Coverage, 20140,
     /*  326762 */     GIR_EraseRootFromParent_Done,
     /*  326763 */   // Label 6038: @326763
     /*  326763 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(326826), // Rule ID 20141 //
     /*  326768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  326782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  326785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326807 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  326810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326824 */     GIR_RootConstrainSelectedInstOperands,
     /*  326825 */     // GIR_Coverage, 20141,
     /*  326825 */     GIR_EraseRootFromParent_Done,
     /*  326826 */   // Label 6039: @326826
     /*  326826 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(326889), // Rule ID 20144 //
     /*  326831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  326845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  326848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326870 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  326873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326887 */     GIR_RootConstrainSelectedInstOperands,
     /*  326888 */     // GIR_Coverage, 20144,
     /*  326888 */     GIR_EraseRootFromParent_Done,
     /*  326889 */   // Label 6040: @326889
     /*  326889 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(326952), // Rule ID 20145 //
     /*  326894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  326908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  326911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326933 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  326936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326950 */     GIR_RootConstrainSelectedInstOperands,
     /*  326951 */     // GIR_Coverage, 20145,
     /*  326951 */     GIR_EraseRootFromParent_Done,
     /*  326952 */   // Label 6041: @326952
     /*  326952 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(327015), // Rule ID 20148 //
     /*  326957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  326971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  326974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326996 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327013 */     GIR_RootConstrainSelectedInstOperands,
     /*  327014 */     // GIR_Coverage, 20148,
     /*  327014 */     GIR_EraseRootFromParent_Done,
     /*  327015 */   // Label 6042: @327015
     /*  327015 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(327078), // Rule ID 20149 //
     /*  327020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  327034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  327037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327059 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  327062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327076 */     GIR_RootConstrainSelectedInstOperands,
     /*  327077 */     // GIR_Coverage, 20149,
     /*  327077 */     GIR_EraseRootFromParent_Done,
     /*  327078 */   // Label 6043: @327078
     /*  327078 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(327141), // Rule ID 20152 //
     /*  327083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  327097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  327100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327122 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  327125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327139 */     GIR_RootConstrainSelectedInstOperands,
     /*  327140 */     // GIR_Coverage, 20152,
     /*  327140 */     GIR_EraseRootFromParent_Done,
     /*  327141 */   // Label 6044: @327141
     /*  327141 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(327204), // Rule ID 20153 //
     /*  327146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  327160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  327163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327185 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  327188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327202 */     GIR_RootConstrainSelectedInstOperands,
     /*  327203 */     // GIR_Coverage, 20153,
     /*  327203 */     GIR_EraseRootFromParent_Done,
     /*  327204 */   // Label 6045: @327204
     /*  327204 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(327267), // Rule ID 20156 //
     /*  327209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  327223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  327226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  327251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327265 */     GIR_RootConstrainSelectedInstOperands,
     /*  327266 */     // GIR_Coverage, 20156,
     /*  327266 */     GIR_EraseRootFromParent_Done,
     /*  327267 */   // Label 6046: @327267
     /*  327267 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(327330), // Rule ID 20157 //
     /*  327272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  327286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  327289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327311 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  327314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327328 */     GIR_RootConstrainSelectedInstOperands,
     /*  327329 */     // GIR_Coverage, 20157,
     /*  327329 */     GIR_EraseRootFromParent_Done,
     /*  327330 */   // Label 6047: @327330
     /*  327330 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(327393), // Rule ID 20160 //
     /*  327335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  327349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  327352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327374 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327391 */     GIR_RootConstrainSelectedInstOperands,
     /*  327392 */     // GIR_Coverage, 20160,
     /*  327392 */     GIR_EraseRootFromParent_Done,
     /*  327393 */   // Label 6048: @327393
     /*  327393 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(327456), // Rule ID 20161 //
     /*  327398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  327412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  327415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327437 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327454 */     GIR_RootConstrainSelectedInstOperands,
     /*  327455 */     // GIR_Coverage, 20161,
     /*  327455 */     GIR_EraseRootFromParent_Done,
     /*  327456 */   // Label 6049: @327456
     /*  327456 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(327519), // Rule ID 20164 //
     /*  327461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  327475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  327478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327500 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327517 */     GIR_RootConstrainSelectedInstOperands,
     /*  327518 */     // GIR_Coverage, 20164,
     /*  327518 */     GIR_EraseRootFromParent_Done,
     /*  327519 */   // Label 6050: @327519
     /*  327519 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(327582), // Rule ID 20165 //
     /*  327524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  327538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  327541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327563 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327580 */     GIR_RootConstrainSelectedInstOperands,
     /*  327581 */     // GIR_Coverage, 20165,
     /*  327581 */     GIR_EraseRootFromParent_Done,
     /*  327582 */   // Label 6051: @327582
     /*  327582 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(327645), // Rule ID 20168 //
     /*  327587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  327598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  327601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  327604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327626 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327643 */     GIR_RootConstrainSelectedInstOperands,
     /*  327644 */     // GIR_Coverage, 20168,
     /*  327644 */     GIR_EraseRootFromParent_Done,
     /*  327645 */   // Label 6052: @327645
     /*  327645 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(327708), // Rule ID 20169 //
     /*  327650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  327661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  327664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  327667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327689 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327706 */     GIR_RootConstrainSelectedInstOperands,
     /*  327707 */     // GIR_Coverage, 20169,
     /*  327707 */     GIR_EraseRootFromParent_Done,
     /*  327708 */   // Label 6053: @327708
     /*  327708 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(327771), // Rule ID 20172 //
     /*  327713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  327727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  327730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327752 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327769 */     GIR_RootConstrainSelectedInstOperands,
     /*  327770 */     // GIR_Coverage, 20172,
     /*  327770 */     GIR_EraseRootFromParent_Done,
     /*  327771 */   // Label 6054: @327771
     /*  327771 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(327834), // Rule ID 20173 //
     /*  327776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  327790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  327793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327815 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327832 */     GIR_RootConstrainSelectedInstOperands,
     /*  327833 */     // GIR_Coverage, 20173,
     /*  327833 */     GIR_EraseRootFromParent_Done,
     /*  327834 */   // Label 6055: @327834
     /*  327834 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(327897), // Rule ID 20176 //
     /*  327839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  327853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  327856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327878 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327895 */     GIR_RootConstrainSelectedInstOperands,
     /*  327896 */     // GIR_Coverage, 20176,
     /*  327896 */     GIR_EraseRootFromParent_Done,
     /*  327897 */   // Label 6056: @327897
     /*  327897 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(327960), // Rule ID 20177 //
     /*  327902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  327916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  327919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327941 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327958 */     GIR_RootConstrainSelectedInstOperands,
     /*  327959 */     // GIR_Coverage, 20177,
     /*  327959 */     GIR_EraseRootFromParent_Done,
     /*  327960 */   // Label 6057: @327960
     /*  327960 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(328023), // Rule ID 20180 //
     /*  327965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  327979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  327982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328004 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  328007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328021 */     GIR_RootConstrainSelectedInstOperands,
     /*  328022 */     // GIR_Coverage, 20180,
     /*  328022 */     GIR_EraseRootFromParent_Done,
     /*  328023 */   // Label 6058: @328023
     /*  328023 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(328086), // Rule ID 20181 //
     /*  328028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  328042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  328045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328067 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  328070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328084 */     GIR_RootConstrainSelectedInstOperands,
     /*  328085 */     // GIR_Coverage, 20181,
     /*  328085 */     GIR_EraseRootFromParent_Done,
     /*  328086 */   // Label 6059: @328086
     /*  328086 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(328149), // Rule ID 20184 //
     /*  328091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  328105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  328108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328130 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  328133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328147 */     GIR_RootConstrainSelectedInstOperands,
     /*  328148 */     // GIR_Coverage, 20184,
     /*  328148 */     GIR_EraseRootFromParent_Done,
     /*  328149 */   // Label 6060: @328149
     /*  328149 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(328212), // Rule ID 20185 //
     /*  328154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  328168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  328171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328193 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  328196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328210 */     GIR_RootConstrainSelectedInstOperands,
     /*  328211 */     // GIR_Coverage, 20185,
     /*  328211 */     GIR_EraseRootFromParent_Done,
     /*  328212 */   // Label 6061: @328212
     /*  328212 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(328275), // Rule ID 20188 //
     /*  328217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  328231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  328234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328256 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  328259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328273 */     GIR_RootConstrainSelectedInstOperands,
     /*  328274 */     // GIR_Coverage, 20188,
     /*  328274 */     GIR_EraseRootFromParent_Done,
     /*  328275 */   // Label 6062: @328275
     /*  328275 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(328338), // Rule ID 20189 //
     /*  328280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  328294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  328297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328319 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  328322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328336 */     GIR_RootConstrainSelectedInstOperands,
     /*  328337 */     // GIR_Coverage, 20189,
     /*  328337 */     GIR_EraseRootFromParent_Done,
     /*  328338 */   // Label 6063: @328338
     /*  328338 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(328401), // Rule ID 20192 //
     /*  328343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  328357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  328360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328382 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  328385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328399 */     GIR_RootConstrainSelectedInstOperands,
     /*  328400 */     // GIR_Coverage, 20192,
     /*  328400 */     GIR_EraseRootFromParent_Done,
     /*  328401 */   // Label 6064: @328401
     /*  328401 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(328464), // Rule ID 20193 //
     /*  328406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  328420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  328423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328445 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  328448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328462 */     GIR_RootConstrainSelectedInstOperands,
     /*  328463 */     // GIR_Coverage, 20193,
     /*  328463 */     GIR_EraseRootFromParent_Done,
     /*  328464 */   // Label 6065: @328464
     /*  328464 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(328527), // Rule ID 20196 //
     /*  328469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  328483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  328511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328525 */     GIR_RootConstrainSelectedInstOperands,
     /*  328526 */     // GIR_Coverage, 20196,
     /*  328526 */     GIR_EraseRootFromParent_Done,
     /*  328527 */   // Label 6066: @328527
     /*  328527 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(328590), // Rule ID 20197 //
     /*  328532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  328546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328571 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  328574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328588 */     GIR_RootConstrainSelectedInstOperands,
     /*  328589 */     // GIR_Coverage, 20197,
     /*  328589 */     GIR_EraseRootFromParent_Done,
     /*  328590 */   // Label 6067: @328590
     /*  328590 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(328653), // Rule ID 20200 //
     /*  328595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  328609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328634 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  328637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328651 */     GIR_RootConstrainSelectedInstOperands,
     /*  328652 */     // GIR_Coverage, 20200,
     /*  328652 */     GIR_EraseRootFromParent_Done,
     /*  328653 */   // Label 6068: @328653
     /*  328653 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(328716), // Rule ID 20201 //
     /*  328658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  328672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328697 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  328700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328714 */     GIR_RootConstrainSelectedInstOperands,
     /*  328715 */     // GIR_Coverage, 20201,
     /*  328715 */     GIR_EraseRootFromParent_Done,
     /*  328716 */   // Label 6069: @328716
     /*  328716 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(328779), // Rule ID 20204 //
     /*  328721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328760 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  328763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328777 */     GIR_RootConstrainSelectedInstOperands,
     /*  328778 */     // GIR_Coverage, 20204,
     /*  328778 */     GIR_EraseRootFromParent_Done,
     /*  328779 */   // Label 6070: @328779
     /*  328779 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(328842), // Rule ID 20205 //
     /*  328784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328823 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  328826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328840 */     GIR_RootConstrainSelectedInstOperands,
     /*  328841 */     // GIR_Coverage, 20205,
     /*  328841 */     GIR_EraseRootFromParent_Done,
     /*  328842 */   // Label 6071: @328842
     /*  328842 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(328905), // Rule ID 20208 //
     /*  328847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328886 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  328889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328903 */     GIR_RootConstrainSelectedInstOperands,
     /*  328904 */     // GIR_Coverage, 20208,
     /*  328904 */     GIR_EraseRootFromParent_Done,
     /*  328905 */   // Label 6072: @328905
     /*  328905 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(328968), // Rule ID 20209 //
     /*  328910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328949 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  328952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328966 */     GIR_RootConstrainSelectedInstOperands,
     /*  328967 */     // GIR_Coverage, 20209,
     /*  328967 */     GIR_EraseRootFromParent_Done,
     /*  328968 */   // Label 6073: @328968
     /*  328968 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(329031), // Rule ID 20212 //
     /*  328973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  329015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329029 */     GIR_RootConstrainSelectedInstOperands,
     /*  329030 */     // GIR_Coverage, 20212,
     /*  329030 */     GIR_EraseRootFromParent_Done,
     /*  329031 */   // Label 6074: @329031
     /*  329031 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(329094), // Rule ID 20213 //
     /*  329036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  329050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329075 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  329078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329092 */     GIR_RootConstrainSelectedInstOperands,
     /*  329093 */     // GIR_Coverage, 20213,
     /*  329093 */     GIR_EraseRootFromParent_Done,
     /*  329094 */   // Label 6075: @329094
     /*  329094 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(329157), // Rule ID 20216 //
     /*  329099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  329113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329138 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  329141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329155 */     GIR_RootConstrainSelectedInstOperands,
     /*  329156 */     // GIR_Coverage, 20216,
     /*  329156 */     GIR_EraseRootFromParent_Done,
     /*  329157 */   // Label 6076: @329157
     /*  329157 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(329220), // Rule ID 20217 //
     /*  329162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  329176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329201 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  329204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329218 */     GIR_RootConstrainSelectedInstOperands,
     /*  329219 */     // GIR_Coverage, 20217,
     /*  329219 */     GIR_EraseRootFromParent_Done,
     /*  329220 */   // Label 6077: @329220
     /*  329220 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(329283), // Rule ID 20220 //
     /*  329225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  329239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  329267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329281 */     GIR_RootConstrainSelectedInstOperands,
     /*  329282 */     // GIR_Coverage, 20220,
     /*  329282 */     GIR_EraseRootFromParent_Done,
     /*  329283 */   // Label 6078: @329283
     /*  329283 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(329346), // Rule ID 20221 //
     /*  329288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  329302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329327 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  329330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329344 */     GIR_RootConstrainSelectedInstOperands,
     /*  329345 */     // GIR_Coverage, 20221,
     /*  329345 */     GIR_EraseRootFromParent_Done,
     /*  329346 */   // Label 6079: @329346
     /*  329346 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(329409), // Rule ID 20224 //
     /*  329351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  329365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329390 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  329393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329407 */     GIR_RootConstrainSelectedInstOperands,
     /*  329408 */     // GIR_Coverage, 20224,
     /*  329408 */     GIR_EraseRootFromParent_Done,
     /*  329409 */   // Label 6080: @329409
     /*  329409 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(329472), // Rule ID 20225 //
     /*  329414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  329428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329453 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  329456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329470 */     GIR_RootConstrainSelectedInstOperands,
     /*  329471 */     // GIR_Coverage, 20225,
     /*  329471 */     GIR_EraseRootFromParent_Done,
     /*  329472 */   // Label 6081: @329472
     /*  329472 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(329535), // Rule ID 20228 //
     /*  329477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  329491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329516 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  329519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329533 */     GIR_RootConstrainSelectedInstOperands,
     /*  329534 */     // GIR_Coverage, 20228,
     /*  329534 */     GIR_EraseRootFromParent_Done,
     /*  329535 */   // Label 6082: @329535
     /*  329535 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(329598), // Rule ID 20229 //
     /*  329540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  329554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329579 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  329582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329596 */     GIR_RootConstrainSelectedInstOperands,
     /*  329597 */     // GIR_Coverage, 20229,
     /*  329597 */     GIR_EraseRootFromParent_Done,
     /*  329598 */   // Label 6083: @329598
     /*  329598 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(329661), // Rule ID 20232 //
     /*  329603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  329617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329642 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  329645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329659 */     GIR_RootConstrainSelectedInstOperands,
     /*  329660 */     // GIR_Coverage, 20232,
     /*  329660 */     GIR_EraseRootFromParent_Done,
     /*  329661 */   // Label 6084: @329661
     /*  329661 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(329724), // Rule ID 20233 //
     /*  329666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  329680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329705 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  329708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329722 */     GIR_RootConstrainSelectedInstOperands,
     /*  329723 */     // GIR_Coverage, 20233,
     /*  329723 */     GIR_EraseRootFromParent_Done,
     /*  329724 */   // Label 6085: @329724
     /*  329724 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(329787), // Rule ID 20236 //
     /*  329729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329768 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  329771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329785 */     GIR_RootConstrainSelectedInstOperands,
     /*  329786 */     // GIR_Coverage, 20236,
     /*  329786 */     GIR_EraseRootFromParent_Done,
     /*  329787 */   // Label 6086: @329787
     /*  329787 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(329850), // Rule ID 20237 //
     /*  329792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329831 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  329834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329848 */     GIR_RootConstrainSelectedInstOperands,
     /*  329849 */     // GIR_Coverage, 20237,
     /*  329849 */     GIR_EraseRootFromParent_Done,
     /*  329850 */   // Label 6087: @329850
     /*  329850 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(329913), // Rule ID 20240 //
     /*  329855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329894 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  329897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329911 */     GIR_RootConstrainSelectedInstOperands,
     /*  329912 */     // GIR_Coverage, 20240,
     /*  329912 */     GIR_EraseRootFromParent_Done,
     /*  329913 */   // Label 6088: @329913
     /*  329913 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(329976), // Rule ID 20241 //
     /*  329918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329957 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  329960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329974 */     GIR_RootConstrainSelectedInstOperands,
     /*  329975 */     // GIR_Coverage, 20241,
     /*  329975 */     GIR_EraseRootFromParent_Done,
     /*  329976 */   // Label 6089: @329976
     /*  329976 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(330039), // Rule ID 20244 //
     /*  329981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330020 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  330023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330037 */     GIR_RootConstrainSelectedInstOperands,
     /*  330038 */     // GIR_Coverage, 20244,
     /*  330038 */     GIR_EraseRootFromParent_Done,
     /*  330039 */   // Label 6090: @330039
     /*  330039 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(330102), // Rule ID 20245 //
     /*  330044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  330058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330083 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  330086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330100 */     GIR_RootConstrainSelectedInstOperands,
     /*  330101 */     // GIR_Coverage, 20245,
     /*  330101 */     GIR_EraseRootFromParent_Done,
     /*  330102 */   // Label 6091: @330102
     /*  330102 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(330165), // Rule ID 20248 //
     /*  330107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  330121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330146 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  330149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330163 */     GIR_RootConstrainSelectedInstOperands,
     /*  330164 */     // GIR_Coverage, 20248,
     /*  330164 */     GIR_EraseRootFromParent_Done,
     /*  330165 */   // Label 6092: @330165
     /*  330165 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(330228), // Rule ID 20249 //
     /*  330170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  330184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330209 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  330212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330226 */     GIR_RootConstrainSelectedInstOperands,
     /*  330227 */     // GIR_Coverage, 20249,
     /*  330227 */     GIR_EraseRootFromParent_Done,
     /*  330228 */   // Label 6093: @330228
     /*  330228 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(330291), // Rule ID 20252 //
     /*  330233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  330247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330272 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  330275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330289 */     GIR_RootConstrainSelectedInstOperands,
     /*  330290 */     // GIR_Coverage, 20252,
     /*  330290 */     GIR_EraseRootFromParent_Done,
     /*  330291 */   // Label 6094: @330291
     /*  330291 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(330354), // Rule ID 20253 //
     /*  330296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  330310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330335 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  330338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330352 */     GIR_RootConstrainSelectedInstOperands,
     /*  330353 */     // GIR_Coverage, 20253,
     /*  330353 */     GIR_EraseRootFromParent_Done,
     /*  330354 */   // Label 6095: @330354
     /*  330354 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(330417), // Rule ID 20256 //
     /*  330359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  330373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330398 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  330401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330415 */     GIR_RootConstrainSelectedInstOperands,
     /*  330416 */     // GIR_Coverage, 20256,
     /*  330416 */     GIR_EraseRootFromParent_Done,
     /*  330417 */   // Label 6096: @330417
     /*  330417 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(330480), // Rule ID 20257 //
     /*  330422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  330436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330461 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  330464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330478 */     GIR_RootConstrainSelectedInstOperands,
     /*  330479 */     // GIR_Coverage, 20257,
     /*  330479 */     GIR_EraseRootFromParent_Done,
     /*  330480 */   // Label 6097: @330480
     /*  330480 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(330543), // Rule ID 20260 //
     /*  330485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  330499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330524 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  330527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330541 */     GIR_RootConstrainSelectedInstOperands,
     /*  330542 */     // GIR_Coverage, 20260,
     /*  330542 */     GIR_EraseRootFromParent_Done,
     /*  330543 */   // Label 6098: @330543
     /*  330543 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(330606), // Rule ID 20261 //
     /*  330548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  330562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330587 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  330590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330604 */     GIR_RootConstrainSelectedInstOperands,
     /*  330605 */     // GIR_Coverage, 20261,
     /*  330605 */     GIR_EraseRootFromParent_Done,
     /*  330606 */   // Label 6099: @330606
     /*  330606 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(330669), // Rule ID 20264 //
     /*  330611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  330625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330650 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  330653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330667 */     GIR_RootConstrainSelectedInstOperands,
     /*  330668 */     // GIR_Coverage, 20264,
     /*  330668 */     GIR_EraseRootFromParent_Done,
     /*  330669 */   // Label 6100: @330669
     /*  330669 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(330732), // Rule ID 20265 //
     /*  330674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  330688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330713 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  330716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330730 */     GIR_RootConstrainSelectedInstOperands,
     /*  330731 */     // GIR_Coverage, 20265,
     /*  330731 */     GIR_EraseRootFromParent_Done,
     /*  330732 */   // Label 6101: @330732
     /*  330732 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(330795), // Rule ID 20268 //
     /*  330737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  330751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330776 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  330779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330793 */     GIR_RootConstrainSelectedInstOperands,
     /*  330794 */     // GIR_Coverage, 20268,
     /*  330794 */     GIR_EraseRootFromParent_Done,
     /*  330795 */   // Label 6102: @330795
     /*  330795 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(330858), // Rule ID 20269 //
     /*  330800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  330814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330839 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  330842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330856 */     GIR_RootConstrainSelectedInstOperands,
     /*  330857 */     // GIR_Coverage, 20269,
     /*  330857 */     GIR_EraseRootFromParent_Done,
     /*  330858 */   // Label 6103: @330858
     /*  330858 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(330921), // Rule ID 20272 //
     /*  330863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330902 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  330905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330919 */     GIR_RootConstrainSelectedInstOperands,
     /*  330920 */     // GIR_Coverage, 20272,
     /*  330920 */     GIR_EraseRootFromParent_Done,
     /*  330921 */   // Label 6104: @330921
     /*  330921 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(330984), // Rule ID 20273 //
     /*  330926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330965 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  330968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330982 */     GIR_RootConstrainSelectedInstOperands,
     /*  330983 */     // GIR_Coverage, 20273,
     /*  330983 */     GIR_EraseRootFromParent_Done,
     /*  330984 */   // Label 6105: @330984
     /*  330984 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(331047), // Rule ID 20276 //
     /*  330989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  331003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  331031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331045 */     GIR_RootConstrainSelectedInstOperands,
     /*  331046 */     // GIR_Coverage, 20276,
     /*  331046 */     GIR_EraseRootFromParent_Done,
     /*  331047 */   // Label 6106: @331047
     /*  331047 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(331110), // Rule ID 20277 //
     /*  331052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  331066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331091 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  331094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331108 */     GIR_RootConstrainSelectedInstOperands,
     /*  331109 */     // GIR_Coverage, 20277,
     /*  331109 */     GIR_EraseRootFromParent_Done,
     /*  331110 */   // Label 6107: @331110
     /*  331110 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(331173), // Rule ID 20280 //
     /*  331115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  331129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331154 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  331157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331171 */     GIR_RootConstrainSelectedInstOperands,
     /*  331172 */     // GIR_Coverage, 20280,
     /*  331172 */     GIR_EraseRootFromParent_Done,
     /*  331173 */   // Label 6108: @331173
     /*  331173 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(331236), // Rule ID 20281 //
     /*  331178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  331192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331217 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  331220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331234 */     GIR_RootConstrainSelectedInstOperands,
     /*  331235 */     // GIR_Coverage, 20281,
     /*  331235 */     GIR_EraseRootFromParent_Done,
     /*  331236 */   // Label 6109: @331236
     /*  331236 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(331299), // Rule ID 20284 //
     /*  331241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  331255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331280 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  331283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331297 */     GIR_RootConstrainSelectedInstOperands,
     /*  331298 */     // GIR_Coverage, 20284,
     /*  331298 */     GIR_EraseRootFromParent_Done,
     /*  331299 */   // Label 6110: @331299
     /*  331299 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(331362), // Rule ID 20285 //
     /*  331304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  331318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331343 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  331346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331360 */     GIR_RootConstrainSelectedInstOperands,
     /*  331361 */     // GIR_Coverage, 20285,
     /*  331361 */     GIR_EraseRootFromParent_Done,
     /*  331362 */   // Label 6111: @331362
     /*  331362 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(331425), // Rule ID 20288 //
     /*  331367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  331378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  331381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331406 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  331409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331423 */     GIR_RootConstrainSelectedInstOperands,
     /*  331424 */     // GIR_Coverage, 20288,
     /*  331424 */     GIR_EraseRootFromParent_Done,
     /*  331425 */   // Label 6112: @331425
     /*  331425 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(331488), // Rule ID 20289 //
     /*  331430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  331441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  331444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331469 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  331472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331486 */     GIR_RootConstrainSelectedInstOperands,
     /*  331487 */     // GIR_Coverage, 20289,
     /*  331487 */     GIR_EraseRootFromParent_Done,
     /*  331488 */   // Label 6113: @331488
     /*  331488 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(331551), // Rule ID 20292 //
     /*  331493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  331507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  331535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331549 */     GIR_RootConstrainSelectedInstOperands,
     /*  331550 */     // GIR_Coverage, 20292,
     /*  331550 */     GIR_EraseRootFromParent_Done,
     /*  331551 */   // Label 6114: @331551
     /*  331551 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(331614), // Rule ID 20293 //
     /*  331556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  331570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331595 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  331598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331612 */     GIR_RootConstrainSelectedInstOperands,
     /*  331613 */     // GIR_Coverage, 20293,
     /*  331613 */     GIR_EraseRootFromParent_Done,
     /*  331614 */   // Label 6115: @331614
     /*  331614 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(331677), // Rule ID 20296 //
     /*  331619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  331633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331658 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  331661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331675 */     GIR_RootConstrainSelectedInstOperands,
     /*  331676 */     // GIR_Coverage, 20296,
     /*  331676 */     GIR_EraseRootFromParent_Done,
     /*  331677 */   // Label 6116: @331677
     /*  331677 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(331740), // Rule ID 20297 //
     /*  331682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  331696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331721 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  331724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331738 */     GIR_RootConstrainSelectedInstOperands,
     /*  331739 */     // GIR_Coverage, 20297,
     /*  331739 */     GIR_EraseRootFromParent_Done,
     /*  331740 */   // Label 6117: @331740
     /*  331740 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(331803), // Rule ID 20300 //
     /*  331745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331784 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  331787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331801 */     GIR_RootConstrainSelectedInstOperands,
     /*  331802 */     // GIR_Coverage, 20300,
     /*  331802 */     GIR_EraseRootFromParent_Done,
     /*  331803 */   // Label 6118: @331803
     /*  331803 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(331866), // Rule ID 20301 //
     /*  331808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331847 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  331850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331864 */     GIR_RootConstrainSelectedInstOperands,
     /*  331865 */     // GIR_Coverage, 20301,
     /*  331865 */     GIR_EraseRootFromParent_Done,
     /*  331866 */   // Label 6119: @331866
     /*  331866 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(331929), // Rule ID 20304 //
     /*  331871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331910 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  331913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331927 */     GIR_RootConstrainSelectedInstOperands,
     /*  331928 */     // GIR_Coverage, 20304,
     /*  331928 */     GIR_EraseRootFromParent_Done,
     /*  331929 */   // Label 6120: @331929
     /*  331929 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(331992), // Rule ID 20305 //
     /*  331934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331973 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  331976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331990 */     GIR_RootConstrainSelectedInstOperands,
     /*  331991 */     // GIR_Coverage, 20305,
     /*  331991 */     GIR_EraseRootFromParent_Done,
     /*  331992 */   // Label 6121: @331992
     /*  331992 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(332055), // Rule ID 20308 //
     /*  331997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  332011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332036 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  332039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332053 */     GIR_RootConstrainSelectedInstOperands,
     /*  332054 */     // GIR_Coverage, 20308,
     /*  332054 */     GIR_EraseRootFromParent_Done,
     /*  332055 */   // Label 6122: @332055
     /*  332055 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(332118), // Rule ID 20309 //
     /*  332060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  332074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332099 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  332102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332116 */     GIR_RootConstrainSelectedInstOperands,
     /*  332117 */     // GIR_Coverage, 20309,
     /*  332117 */     GIR_EraseRootFromParent_Done,
     /*  332118 */   // Label 6123: @332118
     /*  332118 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(332181), // Rule ID 20312 //
     /*  332123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  332137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332162 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  332165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332179 */     GIR_RootConstrainSelectedInstOperands,
     /*  332180 */     // GIR_Coverage, 20312,
     /*  332180 */     GIR_EraseRootFromParent_Done,
     /*  332181 */   // Label 6124: @332181
     /*  332181 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(332244), // Rule ID 20313 //
     /*  332186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  332200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332225 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  332228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332242 */     GIR_RootConstrainSelectedInstOperands,
     /*  332243 */     // GIR_Coverage, 20313,
     /*  332243 */     GIR_EraseRootFromParent_Done,
     /*  332244 */   // Label 6125: @332244
     /*  332244 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(332307), // Rule ID 20316 //
     /*  332249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  332263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332288 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  332291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332305 */     GIR_RootConstrainSelectedInstOperands,
     /*  332306 */     // GIR_Coverage, 20316,
     /*  332306 */     GIR_EraseRootFromParent_Done,
     /*  332307 */   // Label 6126: @332307
     /*  332307 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(332370), // Rule ID 20317 //
     /*  332312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  332326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332351 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  332354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332368 */     GIR_RootConstrainSelectedInstOperands,
     /*  332369 */     // GIR_Coverage, 20317,
     /*  332369 */     GIR_EraseRootFromParent_Done,
     /*  332370 */   // Label 6127: @332370
     /*  332370 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(332433), // Rule ID 20320 //
     /*  332375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  332389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332414 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  332417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332431 */     GIR_RootConstrainSelectedInstOperands,
     /*  332432 */     // GIR_Coverage, 20320,
     /*  332432 */     GIR_EraseRootFromParent_Done,
     /*  332433 */   // Label 6128: @332433
     /*  332433 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(332496), // Rule ID 20321 //
     /*  332438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  332452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332477 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  332480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332494 */     GIR_RootConstrainSelectedInstOperands,
     /*  332495 */     // GIR_Coverage, 20321,
     /*  332495 */     GIR_EraseRootFromParent_Done,
     /*  332496 */   // Label 6129: @332496
     /*  332496 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(332559), // Rule ID 20324 //
     /*  332501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332540 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  332543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332557 */     GIR_RootConstrainSelectedInstOperands,
     /*  332558 */     // GIR_Coverage, 20324,
     /*  332558 */     GIR_EraseRootFromParent_Done,
     /*  332559 */   // Label 6130: @332559
     /*  332559 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(332622), // Rule ID 20325 //
     /*  332564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332603 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  332606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332620 */     GIR_RootConstrainSelectedInstOperands,
     /*  332621 */     // GIR_Coverage, 20325,
     /*  332621 */     GIR_EraseRootFromParent_Done,
     /*  332622 */   // Label 6131: @332622
     /*  332622 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(332685), // Rule ID 20328 //
     /*  332627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  332641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332666 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  332669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332683 */     GIR_RootConstrainSelectedInstOperands,
     /*  332684 */     // GIR_Coverage, 20328,
     /*  332684 */     GIR_EraseRootFromParent_Done,
     /*  332685 */   // Label 6132: @332685
     /*  332685 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(332748), // Rule ID 20329 //
     /*  332690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  332704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332729 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  332732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332746 */     GIR_RootConstrainSelectedInstOperands,
     /*  332747 */     // GIR_Coverage, 20329,
     /*  332747 */     GIR_EraseRootFromParent_Done,
     /*  332748 */   // Label 6133: @332748
     /*  332748 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(332811), // Rule ID 20332 //
     /*  332753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  332795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332809 */     GIR_RootConstrainSelectedInstOperands,
     /*  332810 */     // GIR_Coverage, 20332,
     /*  332810 */     GIR_EraseRootFromParent_Done,
     /*  332811 */   // Label 6134: @332811
     /*  332811 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(332874), // Rule ID 20333 //
     /*  332816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332855 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  332858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332872 */     GIR_RootConstrainSelectedInstOperands,
     /*  332873 */     // GIR_Coverage, 20333,
     /*  332873 */     GIR_EraseRootFromParent_Done,
     /*  332874 */   // Label 6135: @332874
     /*  332874 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(332937), // Rule ID 20336 //
     /*  332879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  332893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332918 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  332921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332935 */     GIR_RootConstrainSelectedInstOperands,
     /*  332936 */     // GIR_Coverage, 20336,
     /*  332936 */     GIR_EraseRootFromParent_Done,
     /*  332937 */   // Label 6136: @332937
     /*  332937 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(333000), // Rule ID 20337 //
     /*  332942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  332956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332981 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  332984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332998 */     GIR_RootConstrainSelectedInstOperands,
     /*  332999 */     // GIR_Coverage, 20337,
     /*  332999 */     GIR_EraseRootFromParent_Done,
     /*  333000 */   // Label 6137: @333000
     /*  333000 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(333063), // Rule ID 20340 //
     /*  333005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  333019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  333047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333061 */     GIR_RootConstrainSelectedInstOperands,
     /*  333062 */     // GIR_Coverage, 20340,
     /*  333062 */     GIR_EraseRootFromParent_Done,
     /*  333063 */   // Label 6138: @333063
     /*  333063 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(333126), // Rule ID 20341 //
     /*  333068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  333082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333107 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  333110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333124 */     GIR_RootConstrainSelectedInstOperands,
     /*  333125 */     // GIR_Coverage, 20341,
     /*  333125 */     GIR_EraseRootFromParent_Done,
     /*  333126 */   // Label 6139: @333126
     /*  333126 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(333189), // Rule ID 20344 //
     /*  333131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  333145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333170 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  333173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333187 */     GIR_RootConstrainSelectedInstOperands,
     /*  333188 */     // GIR_Coverage, 20344,
     /*  333188 */     GIR_EraseRootFromParent_Done,
     /*  333189 */   // Label 6140: @333189
     /*  333189 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(333252), // Rule ID 20345 //
     /*  333194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  333208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333233 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  333236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333250 */     GIR_RootConstrainSelectedInstOperands,
     /*  333251 */     // GIR_Coverage, 20345,
     /*  333251 */     GIR_EraseRootFromParent_Done,
     /*  333252 */   // Label 6141: @333252
     /*  333252 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(333315), // Rule ID 20348 //
     /*  333257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  333268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  333271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333296 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  333299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333313 */     GIR_RootConstrainSelectedInstOperands,
     /*  333314 */     // GIR_Coverage, 20348,
     /*  333314 */     GIR_EraseRootFromParent_Done,
     /*  333315 */   // Label 6142: @333315
     /*  333315 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(333378), // Rule ID 20349 //
     /*  333320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  333331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  333334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333359 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  333362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333376 */     GIR_RootConstrainSelectedInstOperands,
     /*  333377 */     // GIR_Coverage, 20349,
     /*  333377 */     GIR_EraseRootFromParent_Done,
     /*  333378 */   // Label 6143: @333378
     /*  333378 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(333441), // Rule ID 20352 //
     /*  333383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  333397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333422 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  333425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333439 */     GIR_RootConstrainSelectedInstOperands,
     /*  333440 */     // GIR_Coverage, 20352,
     /*  333440 */     GIR_EraseRootFromParent_Done,
     /*  333441 */   // Label 6144: @333441
     /*  333441 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(333504), // Rule ID 20353 //
     /*  333446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  333460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333485 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  333488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333502 */     GIR_RootConstrainSelectedInstOperands,
     /*  333503 */     // GIR_Coverage, 20353,
     /*  333503 */     GIR_EraseRootFromParent_Done,
     /*  333504 */   // Label 6145: @333504
     /*  333504 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(333567), // Rule ID 20356 //
     /*  333509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  333523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  333551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333565 */     GIR_RootConstrainSelectedInstOperands,
     /*  333566 */     // GIR_Coverage, 20356,
     /*  333566 */     GIR_EraseRootFromParent_Done,
     /*  333567 */   // Label 6146: @333567
     /*  333567 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(333630), // Rule ID 20357 //
     /*  333572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  333586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333611 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  333614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333628 */     GIR_RootConstrainSelectedInstOperands,
     /*  333629 */     // GIR_Coverage, 20357,
     /*  333629 */     GIR_EraseRootFromParent_Done,
     /*  333630 */   // Label 6147: @333630
     /*  333630 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(333693), // Rule ID 20360 //
     /*  333635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  333649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333674 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  333677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333691 */     GIR_RootConstrainSelectedInstOperands,
     /*  333692 */     // GIR_Coverage, 20360,
     /*  333692 */     GIR_EraseRootFromParent_Done,
     /*  333693 */   // Label 6148: @333693
     /*  333693 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(333756), // Rule ID 20361 //
     /*  333698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  333712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333737 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  333740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333754 */     GIR_RootConstrainSelectedInstOperands,
     /*  333755 */     // GIR_Coverage, 20361,
     /*  333755 */     GIR_EraseRootFromParent_Done,
     /*  333756 */   // Label 6149: @333756
     /*  333756 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(333819), // Rule ID 20364 //
     /*  333761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  333775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  333803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333817 */     GIR_RootConstrainSelectedInstOperands,
     /*  333818 */     // GIR_Coverage, 20364,
     /*  333818 */     GIR_EraseRootFromParent_Done,
     /*  333819 */   // Label 6150: @333819
     /*  333819 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(333882), // Rule ID 20365 //
     /*  333824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  333838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333863 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  333866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333880 */     GIR_RootConstrainSelectedInstOperands,
     /*  333881 */     // GIR_Coverage, 20365,
     /*  333881 */     GIR_EraseRootFromParent_Done,
     /*  333882 */   // Label 6151: @333882
     /*  333882 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(333945), // Rule ID 20368 //
     /*  333887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  333901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333926 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  333929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333943 */     GIR_RootConstrainSelectedInstOperands,
     /*  333944 */     // GIR_Coverage, 20368,
     /*  333944 */     GIR_EraseRootFromParent_Done,
     /*  333945 */   // Label 6152: @333945
     /*  333945 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(334008), // Rule ID 20369 //
     /*  333950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  333964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333989 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  333992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334006 */     GIR_RootConstrainSelectedInstOperands,
     /*  334007 */     // GIR_Coverage, 20369,
     /*  334007 */     GIR_EraseRootFromParent_Done,
     /*  334008 */   // Label 6153: @334008
     /*  334008 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(334071), // Rule ID 20372 //
     /*  334013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  334027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  334030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  334045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334052 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  334055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334069 */     GIR_RootConstrainSelectedInstOperands,
     /*  334070 */     // GIR_Coverage, 20372,
     /*  334070 */     GIR_EraseRootFromParent_Done,
     /*  334071 */   // Label 6154: @334071
     /*  334071 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(334134), // Rule ID 20373 //
     /*  334076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  334090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  334093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  334108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334115 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  334118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334132 */     GIR_RootConstrainSelectedInstOperands,
     /*  334133 */     // GIR_Coverage, 20373,
     /*  334133 */     GIR_EraseRootFromParent_Done,
     /*  334134 */   // Label 6155: @334134
     /*  334134 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(334197), // Rule ID 20376 //
     /*  334139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  334153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  334156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334178 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  334181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334195 */     GIR_RootConstrainSelectedInstOperands,
     /*  334196 */     // GIR_Coverage, 20376,
     /*  334196 */     GIR_EraseRootFromParent_Done,
     /*  334197 */   // Label 6156: @334197
     /*  334197 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(334260), // Rule ID 20377 //
     /*  334202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  334216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  334219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334241 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  334244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334258 */     GIR_RootConstrainSelectedInstOperands,
     /*  334259 */     // GIR_Coverage, 20377,
     /*  334259 */     GIR_EraseRootFromParent_Done,
     /*  334260 */   // Label 6157: @334260
     /*  334260 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(334323), // Rule ID 20380 //
     /*  334265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  334279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  334282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334304 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  334307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334321 */     GIR_RootConstrainSelectedInstOperands,
     /*  334322 */     // GIR_Coverage, 20380,
     /*  334322 */     GIR_EraseRootFromParent_Done,
     /*  334323 */   // Label 6158: @334323
     /*  334323 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(334386), // Rule ID 20381 //
     /*  334328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  334342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  334345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334367 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  334370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334384 */     GIR_RootConstrainSelectedInstOperands,
     /*  334385 */     // GIR_Coverage, 20381,
     /*  334385 */     GIR_EraseRootFromParent_Done,
     /*  334386 */   // Label 6159: @334386
     /*  334386 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(334449), // Rule ID 20384 //
     /*  334391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  334405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  334408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334430 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  334433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334447 */     GIR_RootConstrainSelectedInstOperands,
     /*  334448 */     // GIR_Coverage, 20384,
     /*  334448 */     GIR_EraseRootFromParent_Done,
     /*  334449 */   // Label 6160: @334449
     /*  334449 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(334512), // Rule ID 20385 //
     /*  334454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  334468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  334471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334493 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  334496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334510 */     GIR_RootConstrainSelectedInstOperands,
     /*  334511 */     // GIR_Coverage, 20385,
     /*  334511 */     GIR_EraseRootFromParent_Done,
     /*  334512 */   // Label 6161: @334512
     /*  334512 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(334575), // Rule ID 20388 //
     /*  334517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  334531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  334534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334556 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334573 */     GIR_RootConstrainSelectedInstOperands,
     /*  334574 */     // GIR_Coverage, 20388,
     /*  334574 */     GIR_EraseRootFromParent_Done,
     /*  334575 */   // Label 6162: @334575
     /*  334575 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(334638), // Rule ID 20389 //
     /*  334580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  334594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  334597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334619 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334636 */     GIR_RootConstrainSelectedInstOperands,
     /*  334637 */     // GIR_Coverage, 20389,
     /*  334637 */     GIR_EraseRootFromParent_Done,
     /*  334638 */   // Label 6163: @334638
     /*  334638 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(334701), // Rule ID 20392 //
     /*  334643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  334657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  334660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334682 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334699 */     GIR_RootConstrainSelectedInstOperands,
     /*  334700 */     // GIR_Coverage, 20392,
     /*  334700 */     GIR_EraseRootFromParent_Done,
     /*  334701 */   // Label 6164: @334701
     /*  334701 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(334764), // Rule ID 20393 //
     /*  334706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  334720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  334723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334745 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334762 */     GIR_RootConstrainSelectedInstOperands,
     /*  334763 */     // GIR_Coverage, 20393,
     /*  334763 */     GIR_EraseRootFromParent_Done,
     /*  334764 */   // Label 6165: @334764
     /*  334764 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(334827), // Rule ID 20396 //
     /*  334769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  334786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334808 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334825 */     GIR_RootConstrainSelectedInstOperands,
     /*  334826 */     // GIR_Coverage, 20396,
     /*  334826 */     GIR_EraseRootFromParent_Done,
     /*  334827 */   // Label 6166: @334827
     /*  334827 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(334890), // Rule ID 20397 //
     /*  334832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  334849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334871 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  334874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334888 */     GIR_RootConstrainSelectedInstOperands,
     /*  334889 */     // GIR_Coverage, 20397,
     /*  334889 */     GIR_EraseRootFromParent_Done,
     /*  334890 */   // Label 6167: @334890
     /*  334890 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(334953), // Rule ID 20400 //
     /*  334895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  334912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334934 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334951 */     GIR_RootConstrainSelectedInstOperands,
     /*  334952 */     // GIR_Coverage, 20400,
     /*  334952 */     GIR_EraseRootFromParent_Done,
     /*  334953 */   // Label 6168: @334953
     /*  334953 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(335016), // Rule ID 20401 //
     /*  334958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  334975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334997 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  335000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335014 */     GIR_RootConstrainSelectedInstOperands,
     /*  335015 */     // GIR_Coverage, 20401,
     /*  335015 */     GIR_EraseRootFromParent_Done,
     /*  335016 */   // Label 6169: @335016
     /*  335016 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(335079), // Rule ID 20404 //
     /*  335021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  335035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  335038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335060 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  335063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335077 */     GIR_RootConstrainSelectedInstOperands,
     /*  335078 */     // GIR_Coverage, 20404,
     /*  335078 */     GIR_EraseRootFromParent_Done,
     /*  335079 */   // Label 6170: @335079
     /*  335079 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(335142), // Rule ID 20405 //
     /*  335084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  335098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  335101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335123 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  335126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335140 */     GIR_RootConstrainSelectedInstOperands,
     /*  335141 */     // GIR_Coverage, 20405,
     /*  335141 */     GIR_EraseRootFromParent_Done,
     /*  335142 */   // Label 6171: @335142
     /*  335142 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(335205), // Rule ID 20408 //
     /*  335147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  335158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  335161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  335164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335186 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  335189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335203 */     GIR_RootConstrainSelectedInstOperands,
     /*  335204 */     // GIR_Coverage, 20408,
     /*  335204 */     GIR_EraseRootFromParent_Done,
     /*  335205 */   // Label 6172: @335205
     /*  335205 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(335268), // Rule ID 20409 //
     /*  335210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  335221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  335224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  335227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335249 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  335252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335266 */     GIR_RootConstrainSelectedInstOperands,
     /*  335267 */     // GIR_Coverage, 20409,
     /*  335267 */     GIR_EraseRootFromParent_Done,
     /*  335268 */   // Label 6173: @335268
     /*  335268 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(335331), // Rule ID 20412 //
     /*  335273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  335287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  335290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  335315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335329 */     GIR_RootConstrainSelectedInstOperands,
     /*  335330 */     // GIR_Coverage, 20412,
     /*  335330 */     GIR_EraseRootFromParent_Done,
     /*  335331 */   // Label 6174: @335331
     /*  335331 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(335394), // Rule ID 20413 //
     /*  335336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  335350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  335353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335375 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  335378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335392 */     GIR_RootConstrainSelectedInstOperands,
     /*  335393 */     // GIR_Coverage, 20413,
     /*  335393 */     GIR_EraseRootFromParent_Done,
     /*  335394 */   // Label 6175: @335394
     /*  335394 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(335457), // Rule ID 20416 //
     /*  335399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  335413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  335416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335438 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  335441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335455 */     GIR_RootConstrainSelectedInstOperands,
     /*  335456 */     // GIR_Coverage, 20416,
     /*  335456 */     GIR_EraseRootFromParent_Done,
     /*  335457 */   // Label 6176: @335457
     /*  335457 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(335520), // Rule ID 20417 //
     /*  335462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  335476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  335479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335501 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  335504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335518 */     GIR_RootConstrainSelectedInstOperands,
     /*  335519 */     // GIR_Coverage, 20417,
     /*  335519 */     GIR_EraseRootFromParent_Done,
     /*  335520 */   // Label 6177: @335520
     /*  335520 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(335583), // Rule ID 20420 //
     /*  335525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  335539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  335542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335564 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  335567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335581 */     GIR_RootConstrainSelectedInstOperands,
     /*  335582 */     // GIR_Coverage, 20420,
     /*  335582 */     GIR_EraseRootFromParent_Done,
     /*  335583 */   // Label 6178: @335583
     /*  335583 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(335646), // Rule ID 20421 //
     /*  335588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  335602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  335605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335627 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  335630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335644 */     GIR_RootConstrainSelectedInstOperands,
     /*  335645 */     // GIR_Coverage, 20421,
     /*  335645 */     GIR_EraseRootFromParent_Done,
     /*  335646 */   // Label 6179: @335646
     /*  335646 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(335709), // Rule ID 20424 //
     /*  335651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  335665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  335668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335690 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  335693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335707 */     GIR_RootConstrainSelectedInstOperands,
     /*  335708 */     // GIR_Coverage, 20424,
     /*  335708 */     GIR_EraseRootFromParent_Done,
     /*  335709 */   // Label 6180: @335709
     /*  335709 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(335772), // Rule ID 20425 //
     /*  335714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  335728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  335731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335753 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  335756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335770 */     GIR_RootConstrainSelectedInstOperands,
     /*  335771 */     // GIR_Coverage, 20425,
     /*  335771 */     GIR_EraseRootFromParent_Done,
     /*  335772 */   // Label 6181: @335772
     /*  335772 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(335835), // Rule ID 20428 //
     /*  335777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  335794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  335819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335833 */     GIR_RootConstrainSelectedInstOperands,
     /*  335834 */     // GIR_Coverage, 20428,
     /*  335834 */     GIR_EraseRootFromParent_Done,
     /*  335835 */   // Label 6182: @335835
     /*  335835 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(335898), // Rule ID 20429 //
     /*  335840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  335857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335879 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  335882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335896 */     GIR_RootConstrainSelectedInstOperands,
     /*  335897 */     // GIR_Coverage, 20429,
     /*  335897 */     GIR_EraseRootFromParent_Done,
     /*  335898 */   // Label 6183: @335898
     /*  335898 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(335961), // Rule ID 20432 //
     /*  335903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  335920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335942 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  335945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335959 */     GIR_RootConstrainSelectedInstOperands,
     /*  335960 */     // GIR_Coverage, 20432,
     /*  335960 */     GIR_EraseRootFromParent_Done,
     /*  335961 */   // Label 6184: @335961
     /*  335961 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(336024), // Rule ID 20433 //
     /*  335966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  335983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336005 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  336008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336022 */     GIR_RootConstrainSelectedInstOperands,
     /*  336023 */     // GIR_Coverage, 20433,
     /*  336023 */     GIR_EraseRootFromParent_Done,
     /*  336024 */   // Label 6185: @336024
     /*  336024 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(336087), // Rule ID 20436 //
     /*  336029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  336043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  336046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  336071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336085 */     GIR_RootConstrainSelectedInstOperands,
     /*  336086 */     // GIR_Coverage, 20436,
     /*  336086 */     GIR_EraseRootFromParent_Done,
     /*  336087 */   // Label 6186: @336087
     /*  336087 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(336150), // Rule ID 20437 //
     /*  336092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  336106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  336109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336131 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  336134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336148 */     GIR_RootConstrainSelectedInstOperands,
     /*  336149 */     // GIR_Coverage, 20437,
     /*  336149 */     GIR_EraseRootFromParent_Done,
     /*  336150 */   // Label 6187: @336150
     /*  336150 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(336213), // Rule ID 20440 //
     /*  336155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  336169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  336172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336194 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  336197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336211 */     GIR_RootConstrainSelectedInstOperands,
     /*  336212 */     // GIR_Coverage, 20440,
     /*  336212 */     GIR_EraseRootFromParent_Done,
     /*  336213 */   // Label 6188: @336213
     /*  336213 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(336276), // Rule ID 20441 //
     /*  336218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  336232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  336235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336257 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  336260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336274 */     GIR_RootConstrainSelectedInstOperands,
     /*  336275 */     // GIR_Coverage, 20441,
     /*  336275 */     GIR_EraseRootFromParent_Done,
     /*  336276 */   // Label 6189: @336276
     /*  336276 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(336339), // Rule ID 20444 //
     /*  336281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  336295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  336298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336320 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  336323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336337 */     GIR_RootConstrainSelectedInstOperands,
     /*  336338 */     // GIR_Coverage, 20444,
     /*  336338 */     GIR_EraseRootFromParent_Done,
     /*  336339 */   // Label 6190: @336339
     /*  336339 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(336402), // Rule ID 20445 //
     /*  336344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  336358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  336361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336383 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  336386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336400 */     GIR_RootConstrainSelectedInstOperands,
     /*  336401 */     // GIR_Coverage, 20445,
     /*  336401 */     GIR_EraseRootFromParent_Done,
     /*  336402 */   // Label 6191: @336402
     /*  336402 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(336465), // Rule ID 20448 //
     /*  336407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  336421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  336424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336446 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  336449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336463 */     GIR_RootConstrainSelectedInstOperands,
     /*  336464 */     // GIR_Coverage, 20448,
     /*  336464 */     GIR_EraseRootFromParent_Done,
     /*  336465 */   // Label 6192: @336465
     /*  336465 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(336528), // Rule ID 20449 //
     /*  336470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  336484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  336487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336509 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  336512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336526 */     GIR_RootConstrainSelectedInstOperands,
     /*  336527 */     // GIR_Coverage, 20449,
     /*  336527 */     GIR_EraseRootFromParent_Done,
     /*  336528 */   // Label 6193: @336528
     /*  336528 */   GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(336591), // Rule ID 20452 //
     /*  336533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  336547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  336550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  336575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336589 */     GIR_RootConstrainSelectedInstOperands,
     /*  336590 */     // GIR_Coverage, 20452,
     /*  336590 */     GIR_EraseRootFromParent_Done,
     /*  336591 */   // Label 6194: @336591
     /*  336591 */   GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(336654), // Rule ID 20453 //
     /*  336596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  336610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  336613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336635 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  336638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336652 */     GIR_RootConstrainSelectedInstOperands,
     /*  336653 */     // GIR_Coverage, 20453,
     /*  336653 */     GIR_EraseRootFromParent_Done,
     /*  336654 */   // Label 6195: @336654
     /*  336654 */   GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(336717), // Rule ID 20456 //
     /*  336659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  336673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  336676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336698 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  336701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336715 */     GIR_RootConstrainSelectedInstOperands,
     /*  336716 */     // GIR_Coverage, 20456,
     /*  336716 */     GIR_EraseRootFromParent_Done,
     /*  336717 */   // Label 6196: @336717
     /*  336717 */   GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(336780), // Rule ID 20457 //
     /*  336722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  336736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  336739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336761 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  336764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336778 */     GIR_RootConstrainSelectedInstOperands,
     /*  336779 */     // GIR_Coverage, 20457,
     /*  336779 */     GIR_EraseRootFromParent_Done,
     /*  336780 */   // Label 6197: @336780
     /*  336780 */   GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(336843), // Rule ID 20460 //
     /*  336785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  336799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  336802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336841 */     GIR_RootConstrainSelectedInstOperands,
     /*  336842 */     // GIR_Coverage, 20460,
     /*  336842 */     GIR_EraseRootFromParent_Done,
     /*  336843 */   // Label 6198: @336843
     /*  336843 */   GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(336906), // Rule ID 20461 //
     /*  336848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  336862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  336865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336887 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336904 */     GIR_RootConstrainSelectedInstOperands,
     /*  336905 */     // GIR_Coverage, 20461,
     /*  336905 */     GIR_EraseRootFromParent_Done,
     /*  336906 */   // Label 6199: @336906
     /*  336906 */   GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(336969), // Rule ID 20464 //
     /*  336911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  336925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  336928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336950 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336967 */     GIR_RootConstrainSelectedInstOperands,
     /*  336968 */     // GIR_Coverage, 20464,
     /*  336968 */     GIR_EraseRootFromParent_Done,
     /*  336969 */   // Label 6200: @336969
     /*  336969 */   GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(337032), // Rule ID 20465 //
     /*  336974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  336988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  336991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337013 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  337013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  337016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337030 */     GIR_RootConstrainSelectedInstOperands,
     /*  337031 */     // GIR_Coverage, 20465,
     /*  337031 */     GIR_EraseRootFromParent_Done,
     /*  337032 */   // Label 6201: @337032
     /*  337032 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(337095), // Rule ID 20468 //
     /*  337037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  337040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  337048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  337051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  337054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337076 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  337076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  337079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337093 */     GIR_RootConstrainSelectedInstOperands,
     /*  337094 */     // GIR_Coverage, 20468,
     /*  337094 */     GIR_EraseRootFromParent_Done,
     /*  337095 */   // Label 6202: @337095
     /*  337095 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(337158), // Rule ID 20469 //
     /*  337100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  337103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  337111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  337114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  337117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337139 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  337139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  337142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337156 */     GIR_RootConstrainSelectedInstOperands,
     /*  337157 */     // GIR_Coverage, 20469,
     /*  337157 */     GIR_EraseRootFromParent_Done,
     /*  337158 */   // Label 6203: @337158
     /*  337158 */   GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(337221), // Rule ID 20472 //
     /*  337163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  337166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  337177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  337180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337202 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  337202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  337205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337219 */     GIR_RootConstrainSelectedInstOperands,
     /*  337220 */     // GIR_Coverage, 20472,
     /*  337220 */     GIR_EraseRootFromParent_Done,
     /*  337221 */   // Label 6204: @337221
     /*  337221 */   GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(337284), // Rule ID 20473 //
     /*  337226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  337229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  337240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  337243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337265 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  337265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  337268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337282 */     GIR_RootConstrainSelectedInstOperands,
     /*  337283 */     // GIR_Coverage, 20473,
     /*  337283 */     GIR_EraseRootFromParent_Done,
     /*  337284 */   // Label 6205: @337284
     /*  337284 */   GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(337347), // Rule ID 20476 //
     /*  337289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  337292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  337303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  337306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  337328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  337331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337345 */     GIR_RootConstrainSelectedInstOperands,
     /*  337346 */     // GIR_Coverage, 20476,
     /*  337346 */     GIR_EraseRootFromParent_Done,
     /*  337347 */   // Label 6206: @337347
     /*  337347 */   GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(337410), // Rule ID 20477 //
     /*  337352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  337355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  337366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  337369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337391 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  337391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  337394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337408 */     GIR_RootConstrainSelectedInstOperands,
     /*  337409 */     // GIR_Coverage, 20477,
     /*  337409 */     GIR_EraseRootFromParent_Done,
     /*  337410 */   // Label 6207: @337410
     /*  337410 */   GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(337473), // Rule ID 20480 //
     /*  337415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  337418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  337426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  337429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  337432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337454 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  337454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  337457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337471 */     GIR_RootConstrainSelectedInstOperands,
     /*  337472 */     // GIR_Coverage, 20480,
     /*  337472 */     GIR_EraseRootFromParent_Done,
     /*  337473 */   // Label 6208: @337473
     /*  337473 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(337536), // Rule ID 20481 //
     /*  337478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  337481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  337489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  337492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  337495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337517 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  337517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  337520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337534 */     GIR_RootConstrainSelectedInstOperands,
     /*  337535 */     // GIR_Coverage, 20481,
     /*  337535 */     GIR_EraseRootFromParent_Done,
     /*  337536 */   // Label 6209: @337536
     /*  337536 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(337599), // Rule ID 20484 //
     /*  337541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  337552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  337555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  337558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337580 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  337583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337597 */     GIR_RootConstrainSelectedInstOperands,
     /*  337598 */     // GIR_Coverage, 20484,
     /*  337598 */     GIR_EraseRootFromParent_Done,
     /*  337599 */   // Label 6210: @337599
     /*  337599 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(337662), // Rule ID 20485 //
     /*  337604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  337615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  337618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  337621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337643 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  337646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337660 */     GIR_RootConstrainSelectedInstOperands,
     /*  337661 */     // GIR_Coverage, 20485,
     /*  337661 */     GIR_EraseRootFromParent_Done,
     /*  337662 */   // Label 6211: @337662
     /*  337662 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(337725), // Rule ID 20488 //
     /*  337667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  337684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337706 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  337709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337723 */     GIR_RootConstrainSelectedInstOperands,
     /*  337724 */     // GIR_Coverage, 20488,
     /*  337724 */     GIR_EraseRootFromParent_Done,
     /*  337725 */   // Label 6212: @337725
     /*  337725 */   GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(337788), // Rule ID 20489 //
     /*  337730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  337747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337769 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  337772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337786 */     GIR_RootConstrainSelectedInstOperands,
     /*  337787 */     // GIR_Coverage, 20489,
     /*  337787 */     GIR_EraseRootFromParent_Done,
     /*  337788 */   // Label 6213: @337788
     /*  337788 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(337851), // Rule ID 20492 //
     /*  337793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  337810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337832 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  337835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337849 */     GIR_RootConstrainSelectedInstOperands,
     /*  337850 */     // GIR_Coverage, 20492,
     /*  337850 */     GIR_EraseRootFromParent_Done,
     /*  337851 */   // Label 6214: @337851
     /*  337851 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(337914), // Rule ID 20493 //
     /*  337856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  337873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337895 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  337898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337912 */     GIR_RootConstrainSelectedInstOperands,
     /*  337913 */     // GIR_Coverage, 20493,
     /*  337913 */     GIR_EraseRootFromParent_Done,
     /*  337914 */   // Label 6215: @337914
     /*  337914 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(337980), // Rule ID 20496 //
     /*  337919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  337930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  337933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  337936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337958 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  337961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337978 */     GIR_RootConstrainSelectedInstOperands,
     /*  337979 */     // GIR_Coverage, 20496,
     /*  337979 */     GIR_EraseRootFromParent_Done,
     /*  337980 */   // Label 6216: @337980
     /*  337980 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(338046), // Rule ID 20497 //
     /*  337985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  337996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  337999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  338002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  338027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338044 */     GIR_RootConstrainSelectedInstOperands,
     /*  338045 */     // GIR_Coverage, 20497,
     /*  338045 */     GIR_EraseRootFromParent_Done,
     /*  338046 */   // Label 6217: @338046
     /*  338046 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(338112), // Rule ID 20500 //
     /*  338051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  338062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  338065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  338068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338090 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  338093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338110 */     GIR_RootConstrainSelectedInstOperands,
     /*  338111 */     // GIR_Coverage, 20500,
     /*  338111 */     GIR_EraseRootFromParent_Done,
     /*  338112 */   // Label 6218: @338112
     /*  338112 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(338178), // Rule ID 20501 //
     /*  338117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  338128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  338131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  338134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338156 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  338159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338176 */     GIR_RootConstrainSelectedInstOperands,
     /*  338177 */     // GIR_Coverage, 20501,
     /*  338177 */     GIR_EraseRootFromParent_Done,
     /*  338178 */   // Label 6219: @338178
     /*  338178 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(338244), // Rule ID 20504 //
     /*  338183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  338194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  338197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  338200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  338225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338242 */     GIR_RootConstrainSelectedInstOperands,
     /*  338243 */     // GIR_Coverage, 20504,
     /*  338243 */     GIR_EraseRootFromParent_Done,
     /*  338244 */   // Label 6220: @338244
     /*  338244 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(338310), // Rule ID 20505 //
     /*  338249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  338260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  338263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  338266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338288 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  338291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338308 */     GIR_RootConstrainSelectedInstOperands,
     /*  338309 */     // GIR_Coverage, 20505,
     /*  338309 */     GIR_EraseRootFromParent_Done,
     /*  338310 */   // Label 6221: @338310
     /*  338310 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(338376), // Rule ID 20508 //
     /*  338315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  338326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  338357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338374 */     GIR_RootConstrainSelectedInstOperands,
     /*  338375 */     // GIR_Coverage, 20508,
     /*  338375 */     GIR_EraseRootFromParent_Done,
     /*  338376 */   // Label 6222: @338376
     /*  338376 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(338442), // Rule ID 20509 //
     /*  338381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  338392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  338423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338440 */     GIR_RootConstrainSelectedInstOperands,
     /*  338441 */     // GIR_Coverage, 20509,
     /*  338441 */     GIR_EraseRootFromParent_Done,
     /*  338442 */   // Label 6223: @338442
     /*  338442 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(338508), // Rule ID 20512 //
     /*  338447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  338458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  338461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  338464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  338486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  338489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338506 */     GIR_RootConstrainSelectedInstOperands,
     /*  338507 */     // GIR_Coverage, 20512,
     /*  338507 */     GIR_EraseRootFromParent_Done,
     /*  338508 */   // Label 6224: @338508
     /*  338508 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(338574), // Rule ID 20513 //
     /*  338513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  338516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  338524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  338527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  338530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  338552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  338555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338572 */     GIR_RootConstrainSelectedInstOperands,
     /*  338573 */     // GIR_Coverage, 20513,
     /*  338573 */     GIR_EraseRootFromParent_Done,
     /*  338574 */   // Label 6225: @338574
     /*  338574 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(338640), // Rule ID 20516 //
     /*  338579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  338590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  338593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  338596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338618 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338638 */     GIR_RootConstrainSelectedInstOperands,
     /*  338639 */     // GIR_Coverage, 20516,
     /*  338639 */     GIR_EraseRootFromParent_Done,
     /*  338640 */   // Label 6226: @338640
     /*  338640 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(338706), // Rule ID 20517 //
     /*  338645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  338656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  338659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  338662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338684 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338704 */     GIR_RootConstrainSelectedInstOperands,
     /*  338705 */     // GIR_Coverage, 20517,
     /*  338705 */     GIR_EraseRootFromParent_Done,
     /*  338706 */   // Label 6227: @338706
     /*  338706 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(338772), // Rule ID 20520 //
     /*  338711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  338722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338750 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338770 */     GIR_RootConstrainSelectedInstOperands,
     /*  338771 */     // GIR_Coverage, 20520,
     /*  338771 */     GIR_EraseRootFromParent_Done,
     /*  338772 */   // Label 6228: @338772
     /*  338772 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(338838), // Rule ID 20521 //
     /*  338777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  338788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338816 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338836 */     GIR_RootConstrainSelectedInstOperands,
     /*  338837 */     // GIR_Coverage, 20521,
     /*  338837 */     GIR_EraseRootFromParent_Done,
     /*  338838 */   // Label 6229: @338838
     /*  338838 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(338904), // Rule ID 20524 //
     /*  338843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  338854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338882 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338902 */     GIR_RootConstrainSelectedInstOperands,
     /*  338903 */     // GIR_Coverage, 20524,
     /*  338903 */     GIR_EraseRootFromParent_Done,
     /*  338904 */   // Label 6230: @338904
     /*  338904 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(338970), // Rule ID 20525 //
     /*  338909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  338920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338948 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338968 */     GIR_RootConstrainSelectedInstOperands,
     /*  338969 */     // GIR_Coverage, 20525,
     /*  338969 */     GIR_EraseRootFromParent_Done,
     /*  338970 */   // Label 6231: @338970
     /*  338970 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(339036), // Rule ID 20528 //
     /*  338975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  338986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  339017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339034 */     GIR_RootConstrainSelectedInstOperands,
     /*  339035 */     // GIR_Coverage, 20528,
     /*  339035 */     GIR_EraseRootFromParent_Done,
     /*  339036 */   // Label 6232: @339036
     /*  339036 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(339102), // Rule ID 20529 //
     /*  339041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  339049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  339052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  339055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  339058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  339083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339100 */     GIR_RootConstrainSelectedInstOperands,
     /*  339101 */     // GIR_Coverage, 20529,
     /*  339101 */     GIR_EraseRootFromParent_Done,
     /*  339102 */   // Label 6233: @339102
     /*  339102 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(339168), // Rule ID 20532 //
     /*  339107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  339115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  339118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  339121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  339124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  339149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339166 */     GIR_RootConstrainSelectedInstOperands,
     /*  339167 */     // GIR_Coverage, 20532,
     /*  339167 */     GIR_EraseRootFromParent_Done,
     /*  339168 */   // Label 6234: @339168
     /*  339168 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(339234), // Rule ID 20533 //
     /*  339173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  339181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  339184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  339187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  339190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339212 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  339215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339232 */     GIR_RootConstrainSelectedInstOperands,
     /*  339233 */     // GIR_Coverage, 20533,
     /*  339233 */     GIR_EraseRootFromParent_Done,
     /*  339234 */   // Label 6235: @339234
     /*  339234 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(339300), // Rule ID 20536 //
     /*  339239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  339247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  339250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  339253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  339256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  339281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339298 */     GIR_RootConstrainSelectedInstOperands,
     /*  339299 */     // GIR_Coverage, 20536,
     /*  339299 */     GIR_EraseRootFromParent_Done,
     /*  339300 */   // Label 6236: @339300
     /*  339300 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(339366), // Rule ID 20537 //
     /*  339305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  339313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  339316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  339319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  339322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  339347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339364 */     GIR_RootConstrainSelectedInstOperands,
     /*  339365 */     // GIR_Coverage, 20537,
     /*  339365 */     GIR_EraseRootFromParent_Done,
     /*  339366 */   // Label 6237: @339366
     /*  339366 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(339432), // Rule ID 20540 //
     /*  339371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  339374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  339379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  339382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  339385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  339388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339410 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  339413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339430 */     GIR_RootConstrainSelectedInstOperands,
     /*  339431 */     // GIR_Coverage, 20540,
     /*  339431 */     GIR_EraseRootFromParent_Done,
     /*  339432 */   // Label 6238: @339432
     /*  339432 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(339498), // Rule ID 20541 //
     /*  339437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  339440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  339445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  339448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  339451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  339454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339476 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  339479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339496 */     GIR_RootConstrainSelectedInstOperands,
     /*  339497 */     // GIR_Coverage, 20541,
     /*  339497 */     GIR_EraseRootFromParent_Done,
     /*  339498 */   // Label 6239: @339498
     /*  339498 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(339564), // Rule ID 20544 //
     /*  339503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  339506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  339511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  339514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  339517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  339520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339542 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  339545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339562 */     GIR_RootConstrainSelectedInstOperands,
     /*  339563 */     // GIR_Coverage, 20544,
     /*  339563 */     GIR_EraseRootFromParent_Done,
     /*  339564 */   // Label 6240: @339564
     /*  339564 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(339630), // Rule ID 20545 //
     /*  339569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  339572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  339577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  339580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  339583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  339586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  339611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339628 */     GIR_RootConstrainSelectedInstOperands,
     /*  339629 */     // GIR_Coverage, 20545,
     /*  339629 */     GIR_EraseRootFromParent_Done,
     /*  339630 */   // Label 6241: @339630
     /*  339630 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(339696), // Rule ID 20548 //
     /*  339635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  339638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  339643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  339646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  339649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  339652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  339677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339694 */     GIR_RootConstrainSelectedInstOperands,
     /*  339695 */     // GIR_Coverage, 20548,
     /*  339695 */     GIR_EraseRootFromParent_Done,
     /*  339696 */   // Label 6242: @339696
     /*  339696 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(339762), // Rule ID 20549 //
     /*  339701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  339704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  339709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  339712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  339715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  339718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339740 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  339743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339760 */     GIR_RootConstrainSelectedInstOperands,
     /*  339761 */     // GIR_Coverage, 20549,
     /*  339761 */     GIR_EraseRootFromParent_Done,
     /*  339762 */   // Label 6243: @339762
     /*  339762 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(339828), // Rule ID 20874 //
     /*  339767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  339778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339806 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  339809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339826 */     GIR_RootConstrainSelectedInstOperands,
     /*  339827 */     // GIR_Coverage, 20874,
     /*  339827 */     GIR_EraseRootFromParent_Done,
     /*  339828 */   // Label 6244: @339828
     /*  339828 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(339894), // Rule ID 20875 //
     /*  339833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  339844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  339875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339892 */     GIR_RootConstrainSelectedInstOperands,
     /*  339893 */     // GIR_Coverage, 20875,
     /*  339893 */     GIR_EraseRootFromParent_Done,
     /*  339894 */   // Label 6245: @339894
     /*  339894 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(339960), // Rule ID 20878 //
     /*  339899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  339910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  339916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339938 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  339941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339958 */     GIR_RootConstrainSelectedInstOperands,
     /*  339959 */     // GIR_Coverage, 20878,
     /*  339959 */     GIR_EraseRootFromParent_Done,
     /*  339960 */   // Label 6246: @339960
     /*  339960 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(340026), // Rule ID 20879 //
     /*  339965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  339976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  339982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340004 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  340007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340024 */     GIR_RootConstrainSelectedInstOperands,
     /*  340025 */     // GIR_Coverage, 20879,
     /*  340025 */     GIR_EraseRootFromParent_Done,
     /*  340026 */   // Label 6247: @340026
     /*  340026 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(340092), // Rule ID 20882 //
     /*  340031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  340042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  340045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  340048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340070 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  340073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340090 */     GIR_RootConstrainSelectedInstOperands,
     /*  340091 */     // GIR_Coverage, 20882,
     /*  340091 */     GIR_EraseRootFromParent_Done,
     /*  340092 */   // Label 6248: @340092
     /*  340092 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(340158), // Rule ID 20883 //
     /*  340097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  340108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  340111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  340114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340136 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  340139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340156 */     GIR_RootConstrainSelectedInstOperands,
     /*  340157 */     // GIR_Coverage, 20883,
     /*  340157 */     GIR_EraseRootFromParent_Done,
     /*  340158 */   // Label 6249: @340158
     /*  340158 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(340224), // Rule ID 20886 //
     /*  340163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  340174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  340177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  340180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  340205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340222 */     GIR_RootConstrainSelectedInstOperands,
     /*  340223 */     // GIR_Coverage, 20886,
     /*  340223 */     GIR_EraseRootFromParent_Done,
     /*  340224 */   // Label 6250: @340224
     /*  340224 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(340290), // Rule ID 20887 //
     /*  340229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  340240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  340243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  340246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  340271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340288 */     GIR_RootConstrainSelectedInstOperands,
     /*  340289 */     // GIR_Coverage, 20887,
     /*  340289 */     GIR_EraseRootFromParent_Done,
     /*  340290 */   // Label 6251: @340290
     /*  340290 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(340356), // Rule ID 20890 //
     /*  340295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  340306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  340309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  340312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  340337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340354 */     GIR_RootConstrainSelectedInstOperands,
     /*  340355 */     // GIR_Coverage, 20890,
     /*  340355 */     GIR_EraseRootFromParent_Done,
     /*  340356 */   // Label 6252: @340356
     /*  340356 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(340422), // Rule ID 20891 //
     /*  340361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  340372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  340375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  340378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340400 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  340403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340420 */     GIR_RootConstrainSelectedInstOperands,
     /*  340421 */     // GIR_Coverage, 20891,
     /*  340421 */     GIR_EraseRootFromParent_Done,
     /*  340422 */   // Label 6253: @340422
     /*  340422 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(340488), // Rule ID 20894 //
     /*  340427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  340438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  340441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  340444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340466 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  340469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340486 */     GIR_RootConstrainSelectedInstOperands,
     /*  340487 */     // GIR_Coverage, 20894,
     /*  340487 */     GIR_EraseRootFromParent_Done,
     /*  340488 */   // Label 6254: @340488
     /*  340488 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(340554), // Rule ID 20895 //
     /*  340493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  340496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  340504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  340507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  340510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340532 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  340535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340552 */     GIR_RootConstrainSelectedInstOperands,
     /*  340553 */     // GIR_Coverage, 20895,
     /*  340553 */     GIR_EraseRootFromParent_Done,
     /*  340554 */   // Label 6255: @340554
     /*  340554 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(340620), // Rule ID 20898 //
     /*  340559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  340570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  340573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  340576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340598 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340618 */     GIR_RootConstrainSelectedInstOperands,
     /*  340619 */     // GIR_Coverage, 20898,
     /*  340619 */     GIR_EraseRootFromParent_Done,
     /*  340620 */   // Label 6256: @340620
     /*  340620 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(340686), // Rule ID 20899 //
     /*  340625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  340636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  340639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  340642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340664 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340684 */     GIR_RootConstrainSelectedInstOperands,
     /*  340685 */     // GIR_Coverage, 20899,
     /*  340685 */     GIR_EraseRootFromParent_Done,
     /*  340686 */   // Label 6257: @340686
     /*  340686 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(340752), // Rule ID 20902 //
     /*  340691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  340702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  340705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340730 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340750 */     GIR_RootConstrainSelectedInstOperands,
     /*  340751 */     // GIR_Coverage, 20902,
     /*  340751 */     GIR_EraseRootFromParent_Done,
     /*  340752 */   // Label 6258: @340752
     /*  340752 */   GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(340818), // Rule ID 20903 //
     /*  340757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  340768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  340771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340816 */     GIR_RootConstrainSelectedInstOperands,
     /*  340817 */     // GIR_Coverage, 20903,
     /*  340817 */     GIR_EraseRootFromParent_Done,
     /*  340818 */   // Label 6259: @340818
     /*  340818 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(340884), // Rule ID 20906 //
     /*  340823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  340834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  340837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  340840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340882 */     GIR_RootConstrainSelectedInstOperands,
     /*  340883 */     // GIR_Coverage, 20906,
     /*  340883 */     GIR_EraseRootFromParent_Done,
     /*  340884 */   // Label 6260: @340884
     /*  340884 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(340950), // Rule ID 20907 //
     /*  340889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  340900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  340903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  340906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340928 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340948 */     GIR_RootConstrainSelectedInstOperands,
     /*  340949 */     // GIR_Coverage, 20907,
     /*  340949 */     GIR_EraseRootFromParent_Done,
     /*  340950 */   // Label 6261: @340950
     /*  340950 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(341016), // Rule ID 20910 //
     /*  340955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  340966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  340969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  340972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341014 */     GIR_RootConstrainSelectedInstOperands,
     /*  341015 */     // GIR_Coverage, 20910,
     /*  341015 */     GIR_EraseRootFromParent_Done,
     /*  341016 */   // Label 6262: @341016
     /*  341016 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(341082), // Rule ID 20911 //
     /*  341021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  341029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  341032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  341035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  341038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341060 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  341063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341080 */     GIR_RootConstrainSelectedInstOperands,
     /*  341081 */     // GIR_Coverage, 20911,
     /*  341081 */     GIR_EraseRootFromParent_Done,
     /*  341082 */   // Label 6263: @341082
     /*  341082 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(341148), // Rule ID 20914 //
     /*  341087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  341095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  341098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  341101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  341104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  341129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341146 */     GIR_RootConstrainSelectedInstOperands,
     /*  341147 */     // GIR_Coverage, 20914,
     /*  341147 */     GIR_EraseRootFromParent_Done,
     /*  341148 */   // Label 6264: @341148
     /*  341148 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(341214), // Rule ID 20915 //
     /*  341153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  341161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  341164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  341167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  341170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  341195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341212 */     GIR_RootConstrainSelectedInstOperands,
     /*  341213 */     // GIR_Coverage, 20915,
     /*  341213 */     GIR_EraseRootFromParent_Done,
     /*  341214 */   // Label 6265: @341214
     /*  341214 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(341280), // Rule ID 20918 //
     /*  341219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  341227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  341230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  341233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  341236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  341261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341278 */     GIR_RootConstrainSelectedInstOperands,
     /*  341279 */     // GIR_Coverage, 20918,
     /*  341279 */     GIR_EraseRootFromParent_Done,
     /*  341280 */   // Label 6266: @341280
     /*  341280 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(341346), // Rule ID 20919 //
     /*  341285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  341293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  341296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  341299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  341302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  341327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341344 */     GIR_RootConstrainSelectedInstOperands,
     /*  341345 */     // GIR_Coverage, 20919,
     /*  341345 */     GIR_EraseRootFromParent_Done,
     /*  341346 */   // Label 6267: @341346
     /*  341346 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(341412), // Rule ID 20922 //
     /*  341351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  341354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  341359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  341362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  341365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  341368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341390 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  341390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  341393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341410 */     GIR_RootConstrainSelectedInstOperands,
     /*  341411 */     // GIR_Coverage, 20922,
     /*  341411 */     GIR_EraseRootFromParent_Done,
     /*  341412 */   // Label 6268: @341412
     /*  341412 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(341478), // Rule ID 20923 //
     /*  341417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  341420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  341425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  341428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  341431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  341434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  341456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  341459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341476 */     GIR_RootConstrainSelectedInstOperands,
     /*  341477 */     // GIR_Coverage, 20923,
     /*  341477 */     GIR_EraseRootFromParent_Done,
     /*  341478 */   // Label 6269: @341478
     /*  341478 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(341544), // Rule ID 20926 //
     /*  341483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  341486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  341491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  341494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  341497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  341500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341522 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  341522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  341525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341542 */     GIR_RootConstrainSelectedInstOperands,
     /*  341543 */     // GIR_Coverage, 20926,
     /*  341543 */     GIR_EraseRootFromParent_Done,
     /*  341544 */   // Label 6270: @341544
     /*  341544 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(341610), // Rule ID 20927 //
     /*  341549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  341552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  341557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  341560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  341563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  341566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341588 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  341588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  341591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341608 */     GIR_RootConstrainSelectedInstOperands,
     /*  341609 */     // GIR_Coverage, 20927,
     /*  341609 */     GIR_EraseRootFromParent_Done,
     /*  341610 */   // Label 6271: @341610
     /*  341610 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(341676), // Rule ID 20930 //
     /*  341615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  341618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  341623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  341626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  341629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  341632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341654 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  341654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  341657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341674 */     GIR_RootConstrainSelectedInstOperands,
     /*  341675 */     // GIR_Coverage, 20930,
     /*  341675 */     GIR_EraseRootFromParent_Done,
     /*  341676 */   // Label 6272: @341676
     /*  341676 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(341742), // Rule ID 20931 //
     /*  341681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  341684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  341689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  341692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  341695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  341698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341720 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  341720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  341723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341740 */     GIR_RootConstrainSelectedInstOperands,
     /*  341741 */     // GIR_Coverage, 20931,
     /*  341741 */     GIR_EraseRootFromParent_Done,
     /*  341742 */   // Label 6273: @341742
     /*  341742 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(341808), // Rule ID 20934 //
     /*  341747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  341758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  341761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  341764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341786 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  341789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341806 */     GIR_RootConstrainSelectedInstOperands,
     /*  341807 */     // GIR_Coverage, 20934,
     /*  341807 */     GIR_EraseRootFromParent_Done,
     /*  341808 */   // Label 6274: @341808
     /*  341808 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(341874), // Rule ID 20935 //
     /*  341813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  341824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  341827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  341830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  341855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341872 */     GIR_RootConstrainSelectedInstOperands,
     /*  341873 */     // GIR_Coverage, 20935,
     /*  341873 */     GIR_EraseRootFromParent_Done,
     /*  341874 */   // Label 6275: @341874
     /*  341874 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(341940), // Rule ID 20938 //
     /*  341879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341918 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  341921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341938 */     GIR_RootConstrainSelectedInstOperands,
     /*  341939 */     // GIR_Coverage, 20938,
     /*  341939 */     GIR_EraseRootFromParent_Done,
     /*  341940 */   // Label 6276: @341940
     /*  341940 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(342006), // Rule ID 20939 //
     /*  341945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341984 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  341987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342004 */     GIR_RootConstrainSelectedInstOperands,
     /*  342005 */     // GIR_Coverage, 20939,
     /*  342005 */     GIR_EraseRootFromParent_Done,
     /*  342006 */   // Label 6277: @342006
     /*  342006 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(342072), // Rule ID 20942 //
     /*  342011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  342022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  342025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  342028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342050 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  342053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342070 */     GIR_RootConstrainSelectedInstOperands,
     /*  342071 */     // GIR_Coverage, 20942,
     /*  342071 */     GIR_EraseRootFromParent_Done,
     /*  342072 */   // Label 6278: @342072
     /*  342072 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(342138), // Rule ID 20943 //
     /*  342077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  342088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  342091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  342094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342116 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  342119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342136 */     GIR_RootConstrainSelectedInstOperands,
     /*  342137 */     // GIR_Coverage, 20943,
     /*  342137 */     GIR_EraseRootFromParent_Done,
     /*  342138 */   // Label 6279: @342138
     /*  342138 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(342204), // Rule ID 20946 //
     /*  342143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  342154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  342157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  342160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  342185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342202 */     GIR_RootConstrainSelectedInstOperands,
     /*  342203 */     // GIR_Coverage, 20946,
     /*  342203 */     GIR_EraseRootFromParent_Done,
     /*  342204 */   // Label 6280: @342204
     /*  342204 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(342270), // Rule ID 20947 //
     /*  342209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  342220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  342223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  342226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  342251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342268 */     GIR_RootConstrainSelectedInstOperands,
     /*  342269 */     // GIR_Coverage, 20947,
     /*  342269 */     GIR_EraseRootFromParent_Done,
     /*  342270 */   // Label 6281: @342270
     /*  342270 */   GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(342336), // Rule ID 20950 //
     /*  342275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  342292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342314 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  342317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342334 */     GIR_RootConstrainSelectedInstOperands,
     /*  342335 */     // GIR_Coverage, 20950,
     /*  342335 */     GIR_EraseRootFromParent_Done,
     /*  342336 */   // Label 6282: @342336
     /*  342336 */   GIM_Try, /*On fail goto*//*Label 6283*/ GIMT_Encode4(342402), // Rule ID 20951 //
     /*  342341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  342358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  342383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342400 */     GIR_RootConstrainSelectedInstOperands,
     /*  342401 */     // GIR_Coverage, 20951,
     /*  342401 */     GIR_EraseRootFromParent_Done,
     /*  342402 */   // Label 6283: @342402
     /*  342402 */   GIM_Try, /*On fail goto*//*Label 6284*/ GIMT_Encode4(342468), // Rule ID 20954 //
     /*  342407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  342418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  342421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  342424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  342449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342466 */     GIR_RootConstrainSelectedInstOperands,
     /*  342467 */     // GIR_Coverage, 20954,
     /*  342467 */     GIR_EraseRootFromParent_Done,
     /*  342468 */   // Label 6284: @342468
     /*  342468 */   GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(342534), // Rule ID 20955 //
     /*  342473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  342484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  342487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  342490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342512 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  342515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342532 */     GIR_RootConstrainSelectedInstOperands,
     /*  342533 */     // GIR_Coverage, 20955,
     /*  342533 */     GIR_EraseRootFromParent_Done,
     /*  342534 */   // Label 6285: @342534
     /*  342534 */   GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(342600), // Rule ID 20958 //
     /*  342539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  342550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  342553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  342556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342578 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342598 */     GIR_RootConstrainSelectedInstOperands,
     /*  342599 */     // GIR_Coverage, 20958,
     /*  342599 */     GIR_EraseRootFromParent_Done,
     /*  342600 */   // Label 6286: @342600
     /*  342600 */   GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(342666), // Rule ID 20959 //
     /*  342605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  342616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  342619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  342622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342644 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342664 */     GIR_RootConstrainSelectedInstOperands,
     /*  342665 */     // GIR_Coverage, 20959,
     /*  342665 */     GIR_EraseRootFromParent_Done,
     /*  342666 */   // Label 6287: @342666
     /*  342666 */   GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(342732), // Rule ID 20962 //
     /*  342671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  342682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  342685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342710 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342730 */     GIR_RootConstrainSelectedInstOperands,
     /*  342731 */     // GIR_Coverage, 20962,
     /*  342731 */     GIR_EraseRootFromParent_Done,
     /*  342732 */   // Label 6288: @342732
     /*  342732 */   GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(342798), // Rule ID 20963 //
     /*  342737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  342748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  342751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342776 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342796 */     GIR_RootConstrainSelectedInstOperands,
     /*  342797 */     // GIR_Coverage, 20963,
     /*  342797 */     GIR_EraseRootFromParent_Done,
     /*  342798 */   // Label 6289: @342798
     /*  342798 */   GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(342864), // Rule ID 20966 //
     /*  342803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  342814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  342817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  342820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342862 */     GIR_RootConstrainSelectedInstOperands,
     /*  342863 */     // GIR_Coverage, 20966,
     /*  342863 */     GIR_EraseRootFromParent_Done,
     /*  342864 */   // Label 6290: @342864
     /*  342864 */   GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(342930), // Rule ID 20967 //
     /*  342869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  342880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  342883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  342886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342908 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342928 */     GIR_RootConstrainSelectedInstOperands,
     /*  342929 */     // GIR_Coverage, 20967,
     /*  342929 */     GIR_EraseRootFromParent_Done,
     /*  342930 */   // Label 6291: @342930
     /*  342930 */   GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(342996), // Rule ID 20970 //
     /*  342935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342974 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342994 */     GIR_RootConstrainSelectedInstOperands,
     /*  342995 */     // GIR_Coverage, 20970,
     /*  342995 */     GIR_EraseRootFromParent_Done,
     /*  342996 */   // Label 6292: @342996
     /*  342996 */   GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(343062), // Rule ID 20971 //
     /*  343001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  343004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  343009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  343012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  343015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  343018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  343043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343060 */     GIR_RootConstrainSelectedInstOperands,
     /*  343061 */     // GIR_Coverage, 20971,
     /*  343061 */     GIR_EraseRootFromParent_Done,
     /*  343062 */   // Label 6293: @343062
     /*  343062 */   GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(343128), // Rule ID 20974 //
     /*  343067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  343070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  343075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  343084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343106 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  343109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343126 */     GIR_RootConstrainSelectedInstOperands,
     /*  343127 */     // GIR_Coverage, 20974,
     /*  343127 */     GIR_EraseRootFromParent_Done,
     /*  343128 */   // Label 6294: @343128
     /*  343128 */   GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(343194), // Rule ID 20975 //
     /*  343133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  343136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  343141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  343150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  343175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343192 */     GIR_RootConstrainSelectedInstOperands,
     /*  343193 */     // GIR_Coverage, 20975,
     /*  343193 */     GIR_EraseRootFromParent_Done,
     /*  343194 */   // Label 6295: @343194
     /*  343194 */   GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(343260), // Rule ID 20978 //
     /*  343199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  343202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  343207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  343216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343238 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  343241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343258 */     GIR_RootConstrainSelectedInstOperands,
     /*  343259 */     // GIR_Coverage, 20978,
     /*  343259 */     GIR_EraseRootFromParent_Done,
     /*  343260 */   // Label 6296: @343260
     /*  343260 */   GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(343326), // Rule ID 20979 //
     /*  343265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  343268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  343273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  343282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343304 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  343307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343324 */     GIR_RootConstrainSelectedInstOperands,
     /*  343325 */     // GIR_Coverage, 20979,
     /*  343325 */     GIR_EraseRootFromParent_Done,
     /*  343326 */   // Label 6297: @343326
     /*  343326 */   GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(343392), // Rule ID 20982 //
     /*  343331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  343334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  343339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  343348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343370 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  343373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343390 */     GIR_RootConstrainSelectedInstOperands,
     /*  343391 */     // GIR_Coverage, 20982,
     /*  343391 */     GIR_EraseRootFromParent_Done,
     /*  343392 */   // Label 6298: @343392
     /*  343392 */   GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(343458), // Rule ID 20983 //
     /*  343397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  343400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  343405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  343414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343436 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  343439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343456 */     GIR_RootConstrainSelectedInstOperands,
     /*  343457 */     // GIR_Coverage, 20983,
     /*  343457 */     GIR_EraseRootFromParent_Done,
     /*  343458 */   // Label 6299: @343458
     /*  343458 */   GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(343524), // Rule ID 20986 //
     /*  343463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  343466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  343471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  343480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343502 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  343505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343522 */     GIR_RootConstrainSelectedInstOperands,
     /*  343523 */     // GIR_Coverage, 20986,
     /*  343523 */     GIR_EraseRootFromParent_Done,
     /*  343524 */   // Label 6300: @343524
     /*  343524 */   GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(343590), // Rule ID 20987 //
     /*  343529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  343532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  343537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  343546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  343571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343588 */     GIR_RootConstrainSelectedInstOperands,
     /*  343589 */     // GIR_Coverage, 20987,
     /*  343589 */     GIR_EraseRootFromParent_Done,
     /*  343590 */   // Label 6301: @343590
     /*  343590 */   GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(343656), // Rule ID 20990 //
     /*  343595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  343598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  343603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  343612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343634 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  343637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343654 */     GIR_RootConstrainSelectedInstOperands,
     /*  343655 */     // GIR_Coverage, 20990,
     /*  343655 */     GIR_EraseRootFromParent_Done,
     /*  343656 */   // Label 6302: @343656
     /*  343656 */   GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(343722), // Rule ID 20991 //
     /*  343661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  343664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  343669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  343678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343700 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  343703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343720 */     GIR_RootConstrainSelectedInstOperands,
     /*  343721 */     // GIR_Coverage, 20991,
     /*  343721 */     GIR_EraseRootFromParent_Done,
     /*  343722 */   // Label 6303: @343722
     /*  343722 */   GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(343788), // Rule ID 21258 //
     /*  343727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343766 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  343769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343786 */     GIR_RootConstrainSelectedInstOperands,
     /*  343787 */     // GIR_Coverage, 21258,
     /*  343787 */     GIR_EraseRootFromParent_Done,
     /*  343788 */   // Label 6304: @343788
     /*  343788 */   GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(343854), // Rule ID 21259 //
     /*  343793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343832 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  343835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343852 */     GIR_RootConstrainSelectedInstOperands,
     /*  343853 */     // GIR_Coverage, 21259,
     /*  343853 */     GIR_EraseRootFromParent_Done,
     /*  343854 */   // Label 6305: @343854
     /*  343854 */   GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(343920), // Rule ID 21262 //
     /*  343859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  343870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  343873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  343876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343898 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343918 */     GIR_RootConstrainSelectedInstOperands,
     /*  343919 */     // GIR_Coverage, 21262,
     /*  343919 */     GIR_EraseRootFromParent_Done,
     /*  343920 */   // Label 6306: @343920
     /*  343920 */   GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(343986), // Rule ID 21263 //
     /*  343925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  343936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  343939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  343942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343984 */     GIR_RootConstrainSelectedInstOperands,
     /*  343985 */     // GIR_Coverage, 21263,
     /*  343985 */     GIR_EraseRootFromParent_Done,
     /*  343986 */   // Label 6307: @343986
     /*  343986 */   GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(344052), // Rule ID 21266 //
     /*  343991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  344033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344050 */     GIR_RootConstrainSelectedInstOperands,
     /*  344051 */     // GIR_Coverage, 21266,
     /*  344051 */     GIR_EraseRootFromParent_Done,
     /*  344052 */   // Label 6308: @344052
     /*  344052 */   GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(344118), // Rule ID 21267 //
     /*  344057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  344099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344116 */     GIR_RootConstrainSelectedInstOperands,
     /*  344117 */     // GIR_Coverage, 21267,
     /*  344117 */     GIR_EraseRootFromParent_Done,
     /*  344118 */   // Label 6309: @344118
     /*  344118 */   GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(344184), // Rule ID 21270 //
     /*  344123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344162 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  344165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344182 */     GIR_RootConstrainSelectedInstOperands,
     /*  344183 */     // GIR_Coverage, 21270,
     /*  344183 */     GIR_EraseRootFromParent_Done,
     /*  344184 */   // Label 6310: @344184
     /*  344184 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(344250), // Rule ID 21271 //
     /*  344189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344228 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  344231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344248 */     GIR_RootConstrainSelectedInstOperands,
     /*  344249 */     // GIR_Coverage, 21271,
     /*  344249 */     GIR_EraseRootFromParent_Done,
     /*  344250 */   // Label 6311: @344250
     /*  344250 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(344316), // Rule ID 21274 //
     /*  344255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344294 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  344297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344314 */     GIR_RootConstrainSelectedInstOperands,
     /*  344315 */     // GIR_Coverage, 21274,
     /*  344315 */     GIR_EraseRootFromParent_Done,
     /*  344316 */   // Label 6312: @344316
     /*  344316 */   GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(344382), // Rule ID 21275 //
     /*  344321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344360 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  344363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344380 */     GIR_RootConstrainSelectedInstOperands,
     /*  344381 */     // GIR_Coverage, 21275,
     /*  344381 */     GIR_EraseRootFromParent_Done,
     /*  344382 */   // Label 6313: @344382
     /*  344382 */   GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(344448), // Rule ID 21278 //
     /*  344387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  344429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344446 */     GIR_RootConstrainSelectedInstOperands,
     /*  344447 */     // GIR_Coverage, 21278,
     /*  344447 */     GIR_EraseRootFromParent_Done,
     /*  344448 */   // Label 6314: @344448
     /*  344448 */   GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(344514), // Rule ID 21279 //
     /*  344453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344492 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  344495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344512 */     GIR_RootConstrainSelectedInstOperands,
     /*  344513 */     // GIR_Coverage, 21279,
     /*  344513 */     GIR_EraseRootFromParent_Done,
     /*  344514 */   // Label 6315: @344514
     /*  344514 */   GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(344580), // Rule ID 21282 //
     /*  344519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  344530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  344533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  344536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344558 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  344561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344578 */     GIR_RootConstrainSelectedInstOperands,
     /*  344579 */     // GIR_Coverage, 21282,
     /*  344579 */     GIR_EraseRootFromParent_Done,
     /*  344580 */   // Label 6316: @344580
     /*  344580 */   GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(344646), // Rule ID 21283 //
     /*  344585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  344596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  344599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  344602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344624 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  344627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344644 */     GIR_RootConstrainSelectedInstOperands,
     /*  344645 */     // GIR_Coverage, 21283,
     /*  344645 */     GIR_EraseRootFromParent_Done,
     /*  344646 */   // Label 6317: @344646
     /*  344646 */   GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(344712), // Rule ID 21286 //
     /*  344651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  344662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  344665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344690 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  344693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344710 */     GIR_RootConstrainSelectedInstOperands,
     /*  344711 */     // GIR_Coverage, 21286,
     /*  344711 */     GIR_EraseRootFromParent_Done,
     /*  344712 */   // Label 6318: @344712
     /*  344712 */   GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(344778), // Rule ID 21287 //
     /*  344717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  344728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  344731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344756 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  344759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344776 */     GIR_RootConstrainSelectedInstOperands,
     /*  344777 */     // GIR_Coverage, 21287,
     /*  344777 */     GIR_EraseRootFromParent_Done,
     /*  344778 */   // Label 6319: @344778
     /*  344778 */   GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(344844), // Rule ID 21290 //
     /*  344783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  344825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344842 */     GIR_RootConstrainSelectedInstOperands,
     /*  344843 */     // GIR_Coverage, 21290,
     /*  344843 */     GIR_EraseRootFromParent_Done,
     /*  344844 */   // Label 6320: @344844
     /*  344844 */   GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(344910), // Rule ID 21291 //
     /*  344849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  344857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344888 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  344891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344908 */     GIR_RootConstrainSelectedInstOperands,
     /*  344909 */     // GIR_Coverage, 21291,
     /*  344909 */     GIR_EraseRootFromParent_Done,
     /*  344910 */   // Label 6321: @344910
     /*  344910 */   GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(344976), // Rule ID 21294 //
     /*  344915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  344926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  344929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  344932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  344957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344974 */     GIR_RootConstrainSelectedInstOperands,
     /*  344975 */     // GIR_Coverage, 21294,
     /*  344975 */     GIR_EraseRootFromParent_Done,
     /*  344976 */   // Label 6322: @344976
     /*  344976 */   GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(345042), // Rule ID 21295 //
     /*  344981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  344992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  344995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  344998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345020 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  345023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345040 */     GIR_RootConstrainSelectedInstOperands,
     /*  345041 */     // GIR_Coverage, 21295,
     /*  345041 */     GIR_EraseRootFromParent_Done,
     /*  345042 */   // Label 6323: @345042
     /*  345042 */   GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(345108), // Rule ID 21298 //
     /*  345047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  345058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  345061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  345064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345086 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  345089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345106 */     GIR_RootConstrainSelectedInstOperands,
     /*  345107 */     // GIR_Coverage, 21298,
     /*  345107 */     GIR_EraseRootFromParent_Done,
     /*  345108 */   // Label 6324: @345108
     /*  345108 */   GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(345174), // Rule ID 21299 //
     /*  345113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  345124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  345127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  345130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  345155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345172 */     GIR_RootConstrainSelectedInstOperands,
     /*  345173 */     // GIR_Coverage, 21299,
     /*  345173 */     GIR_EraseRootFromParent_Done,
     /*  345174 */   // Label 6325: @345174
     /*  345174 */   GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(345240), // Rule ID 21302 //
     /*  345179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  345190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  345193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  345196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345218 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  345221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345238 */     GIR_RootConstrainSelectedInstOperands,
     /*  345239 */     // GIR_Coverage, 21302,
     /*  345239 */     GIR_EraseRootFromParent_Done,
     /*  345240 */   // Label 6326: @345240
     /*  345240 */   GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(345306), // Rule ID 21303 //
     /*  345245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  345256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  345259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  345262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  345287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345304 */     GIR_RootConstrainSelectedInstOperands,
     /*  345305 */     // GIR_Coverage, 21303,
     /*  345305 */     GIR_EraseRootFromParent_Done,
     /*  345306 */   // Label 6327: @345306
     /*  345306 */   GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(345372), // Rule ID 21306 //
     /*  345311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  345322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  345325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  345328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345350 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  345353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345370 */     GIR_RootConstrainSelectedInstOperands,
     /*  345371 */     // GIR_Coverage, 21306,
     /*  345371 */     GIR_EraseRootFromParent_Done,
     /*  345372 */   // Label 6328: @345372
     /*  345372 */   GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(345438), // Rule ID 21307 //
     /*  345377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  345388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  345391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  345394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345416 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  345419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345436 */     GIR_RootConstrainSelectedInstOperands,
     /*  345437 */     // GIR_Coverage, 21307,
     /*  345437 */     GIR_EraseRootFromParent_Done,
     /*  345438 */   // Label 6329: @345438
     /*  345438 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(345504), // Rule ID 21310 //
     /*  345443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  345454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  345457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  345460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  345485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345502 */     GIR_RootConstrainSelectedInstOperands,
     /*  345503 */     // GIR_Coverage, 21310,
     /*  345503 */     GIR_EraseRootFromParent_Done,
     /*  345504 */   // Label 6330: @345504
     /*  345504 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(345570), // Rule ID 21311 //
     /*  345509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  345520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  345523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  345526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345548 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  345551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345568 */     GIR_RootConstrainSelectedInstOperands,
     /*  345569 */     // GIR_Coverage, 21311,
     /*  345569 */     GIR_EraseRootFromParent_Done,
     /*  345570 */   // Label 6331: @345570
     /*  345570 */   GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(345636), // Rule ID 21314 //
     /*  345575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  345578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  345586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  345589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  345592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345614 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  345617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345634 */     GIR_RootConstrainSelectedInstOperands,
     /*  345635 */     // GIR_Coverage, 21314,
     /*  345635 */     GIR_EraseRootFromParent_Done,
     /*  345636 */   // Label 6332: @345636
     /*  345636 */   GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(345702), // Rule ID 21315 //
     /*  345641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  345644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  345652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  345655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  345658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  345683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345700 */     GIR_RootConstrainSelectedInstOperands,
     /*  345701 */     // GIR_Coverage, 21315,
     /*  345701 */     GIR_EraseRootFromParent_Done,
     /*  345702 */   // Label 6333: @345702
     /*  345702 */   GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(345768), // Rule ID 21318 //
     /*  345707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  345710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  345718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  345721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  345724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  345749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345766 */     GIR_RootConstrainSelectedInstOperands,
     /*  345767 */     // GIR_Coverage, 21318,
     /*  345767 */     GIR_EraseRootFromParent_Done,
     /*  345768 */   // Label 6334: @345768
     /*  345768 */   GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(345834), // Rule ID 21319 //
     /*  345773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  345776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  345784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  345787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  345790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345812 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  345815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345832 */     GIR_RootConstrainSelectedInstOperands,
     /*  345833 */     // GIR_Coverage, 21319,
     /*  345833 */     GIR_EraseRootFromParent_Done,
     /*  345834 */   // Label 6335: @345834
     /*  345834 */   GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(345900), // Rule ID 21322 //
     /*  345839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  345842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  345850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  345853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  345856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345878 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  345881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345898 */     GIR_RootConstrainSelectedInstOperands,
     /*  345899 */     // GIR_Coverage, 21322,
     /*  345899 */     GIR_EraseRootFromParent_Done,
     /*  345900 */   // Label 6336: @345900
     /*  345900 */   GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(345966), // Rule ID 21323 //
     /*  345905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  345908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  345916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  345919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  345922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345944 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  345947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345964 */     GIR_RootConstrainSelectedInstOperands,
     /*  345965 */     // GIR_Coverage, 21323,
     /*  345965 */     GIR_EraseRootFromParent_Done,
     /*  345966 */   // Label 6337: @345966
     /*  345966 */   GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(346032), // Rule ID 21326 //
     /*  345971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  345974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  345979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  345982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  345985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  345988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  346013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346030 */     GIR_RootConstrainSelectedInstOperands,
     /*  346031 */     // GIR_Coverage, 21326,
     /*  346031 */     GIR_EraseRootFromParent_Done,
     /*  346032 */   // Label 6338: @346032
     /*  346032 */   GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(346098), // Rule ID 21327 //
     /*  346037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  346040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  346045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  346048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  346051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  346054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  346079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346096 */     GIR_RootConstrainSelectedInstOperands,
     /*  346097 */     // GIR_Coverage, 21327,
     /*  346097 */     GIR_EraseRootFromParent_Done,
     /*  346098 */   // Label 6339: @346098
     /*  346098 */   GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(346164), // Rule ID 21330 //
     /*  346103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  346114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  346117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  346120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346142 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  346145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346162 */     GIR_RootConstrainSelectedInstOperands,
     /*  346163 */     // GIR_Coverage, 21330,
     /*  346163 */     GIR_EraseRootFromParent_Done,
     /*  346164 */   // Label 6340: @346164
     /*  346164 */   GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(346230), // Rule ID 21331 //
     /*  346169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  346180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  346183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  346186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346208 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  346211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346228 */     GIR_RootConstrainSelectedInstOperands,
     /*  346229 */     // GIR_Coverage, 21331,
     /*  346229 */     GIR_EraseRootFromParent_Done,
     /*  346230 */   // Label 6341: @346230
     /*  346230 */   GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(346296), // Rule ID 21334 //
     /*  346235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  346246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  346249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  346252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346274 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  346277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346294 */     GIR_RootConstrainSelectedInstOperands,
     /*  346295 */     // GIR_Coverage, 21334,
     /*  346295 */     GIR_EraseRootFromParent_Done,
     /*  346296 */   // Label 6342: @346296
     /*  346296 */   GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(346362), // Rule ID 21335 //
     /*  346301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  346312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  346315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  346318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346340 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  346343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346360 */     GIR_RootConstrainSelectedInstOperands,
     /*  346361 */     // GIR_Coverage, 21335,
     /*  346361 */     GIR_EraseRootFromParent_Done,
     /*  346362 */   // Label 6343: @346362
     /*  346362 */   GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(346428), // Rule ID 21338 //
     /*  346367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  346378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  346381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  346384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346406 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  346409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346426 */     GIR_RootConstrainSelectedInstOperands,
     /*  346427 */     // GIR_Coverage, 21338,
     /*  346427 */     GIR_EraseRootFromParent_Done,
     /*  346428 */   // Label 6344: @346428
     /*  346428 */   GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(346494), // Rule ID 21339 //
     /*  346433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  346444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  346447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  346450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346472 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  346475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346492 */     GIR_RootConstrainSelectedInstOperands,
     /*  346493 */     // GIR_Coverage, 21339,
     /*  346493 */     GIR_EraseRootFromParent_Done,
     /*  346494 */   // Label 6345: @346494
     /*  346494 */   GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(346560), // Rule ID 21342 //
     /*  346499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  346510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  346513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  346516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346538 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  346541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346558 */     GIR_RootConstrainSelectedInstOperands,
     /*  346559 */     // GIR_Coverage, 21342,
     /*  346559 */     GIR_EraseRootFromParent_Done,
     /*  346560 */   // Label 6346: @346560
     /*  346560 */   GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(346626), // Rule ID 21343 //
     /*  346565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  346576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  346579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  346582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346604 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  346607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346624 */     GIR_RootConstrainSelectedInstOperands,
     /*  346625 */     // GIR_Coverage, 21343,
     /*  346625 */     GIR_EraseRootFromParent_Done,
     /*  346626 */   // Label 6347: @346626
     /*  346626 */   GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(346692), // Rule ID 21346 //
     /*  346631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  346642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  346645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  346648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346670 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  346673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346690 */     GIR_RootConstrainSelectedInstOperands,
     /*  346691 */     // GIR_Coverage, 21346,
     /*  346691 */     GIR_EraseRootFromParent_Done,
     /*  346692 */   // Label 6348: @346692
     /*  346692 */   GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(346758), // Rule ID 21347 //
     /*  346697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  346708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  346711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  346714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346736 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  346739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346756 */     GIR_RootConstrainSelectedInstOperands,
     /*  346757 */     // GIR_Coverage, 21347,
     /*  346757 */     GIR_EraseRootFromParent_Done,
     /*  346758 */   // Label 6349: @346758
     /*  346758 */   GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(346824), // Rule ID 21350 //
     /*  346763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  346780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346802 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  346805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346822 */     GIR_RootConstrainSelectedInstOperands,
     /*  346823 */     // GIR_Coverage, 21350,
     /*  346823 */     GIR_EraseRootFromParent_Done,
     /*  346824 */   // Label 6350: @346824
     /*  346824 */   GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(346890), // Rule ID 21351 //
     /*  346829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  346846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346868 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  346871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346888 */     GIR_RootConstrainSelectedInstOperands,
     /*  346889 */     // GIR_Coverage, 21351,
     /*  346889 */     GIR_EraseRootFromParent_Done,
     /*  346890 */   // Label 6351: @346890
     /*  346890 */   GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(346956), // Rule ID 21354 //
     /*  346895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  346906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  346909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  346912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346934 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  346937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346954 */     GIR_RootConstrainSelectedInstOperands,
     /*  346955 */     // GIR_Coverage, 21354,
     /*  346955 */     GIR_EraseRootFromParent_Done,
     /*  346956 */   // Label 6352: @346956
     /*  346956 */   GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(347022), // Rule ID 21355 //
     /*  346961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  346972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  346975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  346978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347000 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  347003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347020 */     GIR_RootConstrainSelectedInstOperands,
     /*  347021 */     // GIR_Coverage, 21355,
     /*  347021 */     GIR_EraseRootFromParent_Done,
     /*  347022 */   // Label 6353: @347022
     /*  347022 */   GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(347088), // Rule ID 21358 //
     /*  347027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  347038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  347041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  347044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347066 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  347069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347086 */     GIR_RootConstrainSelectedInstOperands,
     /*  347087 */     // GIR_Coverage, 21358,
     /*  347087 */     GIR_EraseRootFromParent_Done,
     /*  347088 */   // Label 6354: @347088
     /*  347088 */   GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(347154), // Rule ID 21359 //
     /*  347093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  347104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  347107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  347110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347132 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  347135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347152 */     GIR_RootConstrainSelectedInstOperands,
     /*  347153 */     // GIR_Coverage, 21359,
     /*  347153 */     GIR_EraseRootFromParent_Done,
     /*  347154 */   // Label 6355: @347154
     /*  347154 */   GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(347220), // Rule ID 21362 //
     /*  347159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  347170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  347173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  347176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347198 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  347201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347218 */     GIR_RootConstrainSelectedInstOperands,
     /*  347219 */     // GIR_Coverage, 21362,
     /*  347219 */     GIR_EraseRootFromParent_Done,
     /*  347220 */   // Label 6356: @347220
     /*  347220 */   GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(347286), // Rule ID 21363 //
     /*  347225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  347236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  347239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  347242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347264 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  347267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347284 */     GIR_RootConstrainSelectedInstOperands,
     /*  347285 */     // GIR_Coverage, 21363,
     /*  347285 */     GIR_EraseRootFromParent_Done,
     /*  347286 */   // Label 6357: @347286
     /*  347286 */   GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(347352), // Rule ID 21366 //
     /*  347291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  347302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  347305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  347308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347330 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  347333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347350 */     GIR_RootConstrainSelectedInstOperands,
     /*  347351 */     // GIR_Coverage, 21366,
     /*  347351 */     GIR_EraseRootFromParent_Done,
     /*  347352 */   // Label 6358: @347352
     /*  347352 */   GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(347418), // Rule ID 21367 //
     /*  347357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  347368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  347371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  347374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347396 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  347399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347416 */     GIR_RootConstrainSelectedInstOperands,
     /*  347417 */     // GIR_Coverage, 21367,
     /*  347417 */     GIR_EraseRootFromParent_Done,
     /*  347418 */   // Label 6359: @347418
     /*  347418 */   GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(347484), // Rule ID 21370 //
     /*  347423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  347434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  347437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  347440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347462 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  347465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347482 */     GIR_RootConstrainSelectedInstOperands,
     /*  347483 */     // GIR_Coverage, 21370,
     /*  347483 */     GIR_EraseRootFromParent_Done,
     /*  347484 */   // Label 6360: @347484
     /*  347484 */   GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(347550), // Rule ID 21371 //
     /*  347489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  347500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  347503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  347506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347528 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  347531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347548 */     GIR_RootConstrainSelectedInstOperands,
     /*  347549 */     // GIR_Coverage, 21371,
     /*  347549 */     GIR_EraseRootFromParent_Done,
     /*  347550 */   // Label 6361: @347550
     /*  347550 */   GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(347616), // Rule ID 21374 //
     /*  347555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  347566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  347569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  347572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347594 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  347597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347614 */     GIR_RootConstrainSelectedInstOperands,
     /*  347615 */     // GIR_Coverage, 21374,
     /*  347615 */     GIR_EraseRootFromParent_Done,
     /*  347616 */   // Label 6362: @347616
     /*  347616 */   GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(347682), // Rule ID 21375 //
     /*  347621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  347632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  347635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  347638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347660 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  347663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347680 */     GIR_RootConstrainSelectedInstOperands,
     /*  347681 */     // GIR_Coverage, 21375,
     /*  347681 */     GIR_EraseRootFromParent_Done,
     /*  347682 */   // Label 6363: @347682
     /*  347682 */   GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(347748), // Rule ID 21378 //
     /*  347687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  347698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  347701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  347704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347726 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  347729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347746 */     GIR_RootConstrainSelectedInstOperands,
     /*  347747 */     // GIR_Coverage, 21378,
     /*  347747 */     GIR_EraseRootFromParent_Done,
     /*  347748 */   // Label 6364: @347748
     /*  347748 */   GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(347814), // Rule ID 21379 //
     /*  347753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  347764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  347767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  347770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347792 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  347795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347812 */     GIR_RootConstrainSelectedInstOperands,
     /*  347813 */     // GIR_Coverage, 21379,
     /*  347813 */     GIR_EraseRootFromParent_Done,
     /*  347814 */   // Label 6365: @347814
     /*  347814 */   GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(347880), // Rule ID 21382 //
     /*  347819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  347830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  347833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347858 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  347861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347878 */     GIR_RootConstrainSelectedInstOperands,
     /*  347879 */     // GIR_Coverage, 21382,
     /*  347879 */     GIR_EraseRootFromParent_Done,
     /*  347880 */   // Label 6366: @347880
     /*  347880 */   GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(347946), // Rule ID 21383 //
     /*  347885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  347896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  347899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347924 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  347927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347944 */     GIR_RootConstrainSelectedInstOperands,
     /*  347945 */     // GIR_Coverage, 21383,
     /*  347945 */     GIR_EraseRootFromParent_Done,
     /*  347946 */   // Label 6367: @347946
     /*  347946 */   GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(348012), // Rule ID 21386 //
     /*  347951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  347959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  347968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347990 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  347993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348010 */     GIR_RootConstrainSelectedInstOperands,
     /*  348011 */     // GIR_Coverage, 21386,
     /*  348011 */     GIR_EraseRootFromParent_Done,
     /*  348012 */   // Label 6368: @348012
     /*  348012 */   GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(348078), // Rule ID 21387 //
     /*  348017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  348020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  348025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348056 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  348059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348076 */     GIR_RootConstrainSelectedInstOperands,
     /*  348077 */     // GIR_Coverage, 21387,
     /*  348077 */     GIR_EraseRootFromParent_Done,
     /*  348078 */   // Label 6369: @348078
     /*  348078 */   GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(348144), // Rule ID 21390 //
     /*  348083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  348094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  348097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  348100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348122 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  348125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348142 */     GIR_RootConstrainSelectedInstOperands,
     /*  348143 */     // GIR_Coverage, 21390,
     /*  348143 */     GIR_EraseRootFromParent_Done,
     /*  348144 */   // Label 6370: @348144
     /*  348144 */   GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(348210), // Rule ID 21391 //
     /*  348149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  348160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  348163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  348166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348188 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  348191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348208 */     GIR_RootConstrainSelectedInstOperands,
     /*  348209 */     // GIR_Coverage, 21391,
     /*  348209 */     GIR_EraseRootFromParent_Done,
     /*  348210 */   // Label 6371: @348210
     /*  348210 */   GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(348276), // Rule ID 21394 //
     /*  348215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  348226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  348229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  348232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348254 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  348257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348274 */     GIR_RootConstrainSelectedInstOperands,
     /*  348275 */     // GIR_Coverage, 21394,
     /*  348275 */     GIR_EraseRootFromParent_Done,
     /*  348276 */   // Label 6372: @348276
     /*  348276 */   GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(348342), // Rule ID 21395 //
     /*  348281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  348292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  348295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  348298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348320 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  348323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348340 */     GIR_RootConstrainSelectedInstOperands,
     /*  348341 */     // GIR_Coverage, 21395,
     /*  348341 */     GIR_EraseRootFromParent_Done,
     /*  348342 */   // Label 6373: @348342
     /*  348342 */   GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(348408), // Rule ID 21398 //
     /*  348347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  348358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  348361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  348364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348386 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  348389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348406 */     GIR_RootConstrainSelectedInstOperands,
     /*  348407 */     // GIR_Coverage, 21398,
     /*  348407 */     GIR_EraseRootFromParent_Done,
     /*  348408 */   // Label 6374: @348408
     /*  348408 */   GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(348474), // Rule ID 21399 //
     /*  348413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  348424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  348427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  348430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348452 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  348455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348472 */     GIR_RootConstrainSelectedInstOperands,
     /*  348473 */     // GIR_Coverage, 21399,
     /*  348473 */     GIR_EraseRootFromParent_Done,
     /*  348474 */   // Label 6375: @348474
     /*  348474 */   GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(348540), // Rule ID 21402 //
     /*  348479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  348490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  348493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  348496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348518 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  348521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348538 */     GIR_RootConstrainSelectedInstOperands,
     /*  348539 */     // GIR_Coverage, 21402,
     /*  348539 */     GIR_EraseRootFromParent_Done,
     /*  348540 */   // Label 6376: @348540
     /*  348540 */   GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(348606), // Rule ID 21403 //
     /*  348545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  348556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  348559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  348562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348584 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  348587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348604 */     GIR_RootConstrainSelectedInstOperands,
     /*  348605 */     // GIR_Coverage, 21403,
     /*  348605 */     GIR_EraseRootFromParent_Done,
     /*  348606 */   // Label 6377: @348606
     /*  348606 */   GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(348672), // Rule ID 21406 //
     /*  348611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  348622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  348625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  348628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348650 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  348653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348670 */     GIR_RootConstrainSelectedInstOperands,
     /*  348671 */     // GIR_Coverage, 21406,
     /*  348671 */     GIR_EraseRootFromParent_Done,
     /*  348672 */   // Label 6378: @348672
     /*  348672 */   GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(348738), // Rule ID 21407 //
     /*  348677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  348688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  348691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  348694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348716 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  348719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348736 */     GIR_RootConstrainSelectedInstOperands,
     /*  348737 */     // GIR_Coverage, 21407,
     /*  348737 */     GIR_EraseRootFromParent_Done,
     /*  348738 */   // Label 6379: @348738
     /*  348738 */   GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(348804), // Rule ID 21410 //
     /*  348743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  348754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  348757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  348760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348782 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  348785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348802 */     GIR_RootConstrainSelectedInstOperands,
     /*  348803 */     // GIR_Coverage, 21410,
     /*  348803 */     GIR_EraseRootFromParent_Done,
     /*  348804 */   // Label 6380: @348804
     /*  348804 */   GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(348870), // Rule ID 21411 //
     /*  348809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  348820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  348823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  348826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348848 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  348851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348868 */     GIR_RootConstrainSelectedInstOperands,
     /*  348869 */     // GIR_Coverage, 21411,
     /*  348869 */     GIR_EraseRootFromParent_Done,
     /*  348870 */   // Label 6381: @348870
     /*  348870 */   GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(348936), // Rule ID 21414 //
     /*  348875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  348892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348914 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  348917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348934 */     GIR_RootConstrainSelectedInstOperands,
     /*  348935 */     // GIR_Coverage, 21414,
     /*  348935 */     GIR_EraseRootFromParent_Done,
     /*  348936 */   // Label 6382: @348936
     /*  348936 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(349002), // Rule ID 21415 //
     /*  348941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  348958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348980 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  348983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349000 */     GIR_RootConstrainSelectedInstOperands,
     /*  349001 */     // GIR_Coverage, 21415,
     /*  349001 */     GIR_EraseRootFromParent_Done,
     /*  349002 */   // Label 6383: @349002
     /*  349002 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(349068), // Rule ID 21418 //
     /*  349007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  349010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349046 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  349049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349066 */     GIR_RootConstrainSelectedInstOperands,
     /*  349067 */     // GIR_Coverage, 21418,
     /*  349067 */     GIR_EraseRootFromParent_Done,
     /*  349068 */   // Label 6384: @349068
     /*  349068 */   GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(349134), // Rule ID 21419 //
     /*  349073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  349076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349112 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  349115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349132 */     GIR_RootConstrainSelectedInstOperands,
     /*  349133 */     // GIR_Coverage, 21419,
     /*  349133 */     GIR_EraseRootFromParent_Done,
     /*  349134 */   // Label 6385: @349134
     /*  349134 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(349200), // Rule ID 21422 //
     /*  349139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  349142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349178 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  349181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349198 */     GIR_RootConstrainSelectedInstOperands,
     /*  349199 */     // GIR_Coverage, 21422,
     /*  349199 */     GIR_EraseRootFromParent_Done,
     /*  349200 */   // Label 6386: @349200
     /*  349200 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(349266), // Rule ID 21423 //
     /*  349205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  349208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349244 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  349247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349264 */     GIR_RootConstrainSelectedInstOperands,
     /*  349265 */     // GIR_Coverage, 21423,
     /*  349265 */     GIR_EraseRootFromParent_Done,
     /*  349266 */   // Label 6387: @349266
     /*  349266 */   GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(349332), // Rule ID 21426 //
     /*  349271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  349274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349310 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  349313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349330 */     GIR_RootConstrainSelectedInstOperands,
     /*  349331 */     // GIR_Coverage, 21426,
     /*  349331 */     GIR_EraseRootFromParent_Done,
     /*  349332 */   // Label 6388: @349332
     /*  349332 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(349398), // Rule ID 21427 //
     /*  349337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  349340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349376 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  349379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349396 */     GIR_RootConstrainSelectedInstOperands,
     /*  349397 */     // GIR_Coverage, 21427,
     /*  349397 */     GIR_EraseRootFromParent_Done,
     /*  349398 */   // Label 6389: @349398
     /*  349398 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(349464), // Rule ID 21430 //
     /*  349403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  349406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349442 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  349445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349462 */     GIR_RootConstrainSelectedInstOperands,
     /*  349463 */     // GIR_Coverage, 21430,
     /*  349463 */     GIR_EraseRootFromParent_Done,
     /*  349464 */   // Label 6390: @349464
     /*  349464 */   GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(349530), // Rule ID 21431 //
     /*  349469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  349472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349508 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  349511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349528 */     GIR_RootConstrainSelectedInstOperands,
     /*  349529 */     // GIR_Coverage, 21431,
     /*  349529 */     GIR_EraseRootFromParent_Done,
     /*  349530 */   // Label 6391: @349530
     /*  349530 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(349596), // Rule ID 21434 //
     /*  349535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  349538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  349546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  349549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349574 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  349577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349594 */     GIR_RootConstrainSelectedInstOperands,
     /*  349595 */     // GIR_Coverage, 21434,
     /*  349595 */     GIR_EraseRootFromParent_Done,
     /*  349596 */   // Label 6392: @349596
     /*  349596 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(349662), // Rule ID 21435 //
     /*  349601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  349604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  349612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  349615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  349643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349660 */     GIR_RootConstrainSelectedInstOperands,
     /*  349661 */     // GIR_Coverage, 21435,
     /*  349661 */     GIR_EraseRootFromParent_Done,
     /*  349662 */   // Label 6393: @349662
     /*  349662 */   GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(349728), // Rule ID 21438 //
     /*  349667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  349670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349706 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  349709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349726 */     GIR_RootConstrainSelectedInstOperands,
     /*  349727 */     // GIR_Coverage, 21438,
     /*  349727 */     GIR_EraseRootFromParent_Done,
     /*  349728 */   // Label 6394: @349728
     /*  349728 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(349794), // Rule ID 21439 //
     /*  349733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  349736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349772 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  349775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349792 */     GIR_RootConstrainSelectedInstOperands,
     /*  349793 */     // GIR_Coverage, 21439,
     /*  349793 */     GIR_EraseRootFromParent_Done,
     /*  349794 */   // Label 6395: @349794
     /*  349794 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(349860), // Rule ID 21442 //
     /*  349799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  349802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  349810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  349813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349838 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  349841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349858 */     GIR_RootConstrainSelectedInstOperands,
     /*  349859 */     // GIR_Coverage, 21442,
     /*  349859 */     GIR_EraseRootFromParent_Done,
     /*  349860 */   // Label 6396: @349860
     /*  349860 */   GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(349926), // Rule ID 21443 //
     /*  349865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  349868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  349876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  349879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349904 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  349907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349924 */     GIR_RootConstrainSelectedInstOperands,
     /*  349925 */     // GIR_Coverage, 21443,
     /*  349925 */     GIR_EraseRootFromParent_Done,
     /*  349926 */   // Label 6397: @349926
     /*  349926 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(349992), // Rule ID 21446 //
     /*  349931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  349934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  349939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  349942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  349945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  349948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349970 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  349973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349990 */     GIR_RootConstrainSelectedInstOperands,
     /*  349991 */     // GIR_Coverage, 21446,
     /*  349991 */     GIR_EraseRootFromParent_Done,
     /*  349992 */   // Label 6398: @349992
     /*  349992 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(350058), // Rule ID 21447 //
     /*  349997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  350000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  350005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  350008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  350011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350036 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  350039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350056 */     GIR_RootConstrainSelectedInstOperands,
     /*  350057 */     // GIR_Coverage, 21447,
     /*  350057 */     GIR_EraseRootFromParent_Done,
     /*  350058 */   // Label 6399: @350058
     /*  350058 */   GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(350124), // Rule ID 21450 //
     /*  350063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  350066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  350074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  350077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350102 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  350105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350122 */     GIR_RootConstrainSelectedInstOperands,
     /*  350123 */     // GIR_Coverage, 21450,
     /*  350123 */     GIR_EraseRootFromParent_Done,
     /*  350124 */   // Label 6400: @350124
     /*  350124 */   GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(350190), // Rule ID 21451 //
     /*  350129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  350132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  350140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  350143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350168 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  350171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350188 */     GIR_RootConstrainSelectedInstOperands,
     /*  350189 */     // GIR_Coverage, 21451,
     /*  350189 */     GIR_EraseRootFromParent_Done,
     /*  350190 */   // Label 6401: @350190
     /*  350190 */   GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(350256), // Rule ID 21454 //
     /*  350195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  350198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  350206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  350209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350234 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  350237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350254 */     GIR_RootConstrainSelectedInstOperands,
     /*  350255 */     // GIR_Coverage, 21454,
     /*  350255 */     GIR_EraseRootFromParent_Done,
     /*  350256 */   // Label 6402: @350256
     /*  350256 */   GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(350322), // Rule ID 21455 //
     /*  350261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  350264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  350272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  350275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350300 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  350303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350320 */     GIR_RootConstrainSelectedInstOperands,
     /*  350321 */     // GIR_Coverage, 21455,
     /*  350321 */     GIR_EraseRootFromParent_Done,
     /*  350322 */   // Label 6403: @350322
     /*  350322 */   GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(350388), // Rule ID 21458 //
     /*  350327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  350330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  350338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  350341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350366 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  350369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350386 */     GIR_RootConstrainSelectedInstOperands,
     /*  350387 */     // GIR_Coverage, 21458,
     /*  350387 */     GIR_EraseRootFromParent_Done,
     /*  350388 */   // Label 6404: @350388
     /*  350388 */   GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(350454), // Rule ID 21459 //
     /*  350393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  350396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  350404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  350407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350432 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  350435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350452 */     GIR_RootConstrainSelectedInstOperands,
     /*  350453 */     // GIR_Coverage, 21459,
     /*  350453 */     GIR_EraseRootFromParent_Done,
     /*  350454 */   // Label 6405: @350454
     /*  350454 */   GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(350520), // Rule ID 21462 //
     /*  350459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  350462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  350470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  350473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  350476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350498 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  350501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350518 */     GIR_RootConstrainSelectedInstOperands,
     /*  350519 */     // GIR_Coverage, 21462,
     /*  350519 */     GIR_EraseRootFromParent_Done,
     /*  350520 */   // Label 6406: @350520
     /*  350520 */   GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(350586), // Rule ID 21463 //
     /*  350525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  350528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  350536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  350539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  350542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350564 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  350567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350584 */     GIR_RootConstrainSelectedInstOperands,
     /*  350585 */     // GIR_Coverage, 21463,
     /*  350585 */     GIR_EraseRootFromParent_Done,
     /*  350586 */   // Label 6407: @350586
     /*  350586 */   GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(350652), // Rule ID 21466 //
     /*  350591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  350594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  350602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  350605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  350608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350630 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  350633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350650 */     GIR_RootConstrainSelectedInstOperands,
     /*  350651 */     // GIR_Coverage, 21466,
     /*  350651 */     GIR_EraseRootFromParent_Done,
     /*  350652 */   // Label 6408: @350652
     /*  350652 */   GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(350718), // Rule ID 21467 //
     /*  350657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  350660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  350668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  350671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  350674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350696 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  350699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350716 */     GIR_RootConstrainSelectedInstOperands,
     /*  350717 */     // GIR_Coverage, 21467,
     /*  350717 */     GIR_EraseRootFromParent_Done,
     /*  350718 */   // Label 6409: @350718
     /*  350718 */   GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(350784), // Rule ID 21470 //
     /*  350723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  350726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  350734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  350737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  350740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350762 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  350765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350782 */     GIR_RootConstrainSelectedInstOperands,
     /*  350783 */     // GIR_Coverage, 21470,
     /*  350783 */     GIR_EraseRootFromParent_Done,
     /*  350784 */   // Label 6410: @350784
     /*  350784 */   GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(350850), // Rule ID 21471 //
     /*  350789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  350792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  350800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  350803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  350806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350828 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  350831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350848 */     GIR_RootConstrainSelectedInstOperands,
     /*  350849 */     // GIR_Coverage, 21471,
     /*  350849 */     GIR_EraseRootFromParent_Done,
     /*  350850 */   // Label 6411: @350850
     /*  350850 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(350916), // Rule ID 21474 //
     /*  350855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  350858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  350866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  350869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  350872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350894 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  350897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350914 */     GIR_RootConstrainSelectedInstOperands,
     /*  350915 */     // GIR_Coverage, 21474,
     /*  350915 */     GIR_EraseRootFromParent_Done,
     /*  350916 */   // Label 6412: @350916
     /*  350916 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(350982), // Rule ID 21475 //
     /*  350921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  350924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  350932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  350935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  350938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350960 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  350963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350980 */     GIR_RootConstrainSelectedInstOperands,
     /*  350981 */     // GIR_Coverage, 21475,
     /*  350981 */     GIR_EraseRootFromParent_Done,
     /*  350982 */   // Label 6413: @350982
     /*  350982 */   GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(351048), // Rule ID 21478 //
     /*  350987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  350990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  350998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  351001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351026 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  351029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351046 */     GIR_RootConstrainSelectedInstOperands,
     /*  351047 */     // GIR_Coverage, 21478,
     /*  351047 */     GIR_EraseRootFromParent_Done,
     /*  351048 */   // Label 6414: @351048
     /*  351048 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(351114), // Rule ID 21479 //
     /*  351053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  351056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  351061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  351064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  351067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351092 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  351095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351112 */     GIR_RootConstrainSelectedInstOperands,
     /*  351113 */     // GIR_Coverage, 21479,
     /*  351113 */     GIR_EraseRootFromParent_Done,
     /*  351114 */   // Label 6415: @351114
     /*  351114 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(351180), // Rule ID 21482 //
     /*  351119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  351122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  351127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  351130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  351133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351158 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  351161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351178 */     GIR_RootConstrainSelectedInstOperands,
     /*  351179 */     // GIR_Coverage, 21482,
     /*  351179 */     GIR_EraseRootFromParent_Done,
     /*  351180 */   // Label 6416: @351180
     /*  351180 */   GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(351246), // Rule ID 21483 //
     /*  351185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  351188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  351193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  351196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  351199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351224 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  351227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351244 */     GIR_RootConstrainSelectedInstOperands,
     /*  351245 */     // GIR_Coverage, 21483,
     /*  351245 */     GIR_EraseRootFromParent_Done,
     /*  351246 */   // Label 6417: @351246
     /*  351246 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(351312), // Rule ID 21726 //
     /*  351251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  351262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  351265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  351268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351290 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  351293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351310 */     GIR_RootConstrainSelectedInstOperands,
     /*  351311 */     // GIR_Coverage, 21726,
     /*  351311 */     GIR_EraseRootFromParent_Done,
     /*  351312 */   // Label 6418: @351312
     /*  351312 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(351378), // Rule ID 21727 //
     /*  351317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  351328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  351331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  351334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351356 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  351359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351376 */     GIR_RootConstrainSelectedInstOperands,
     /*  351377 */     // GIR_Coverage, 21727,
     /*  351377 */     GIR_EraseRootFromParent_Done,
     /*  351378 */   // Label 6419: @351378
     /*  351378 */   GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(351444), // Rule ID 21730 //
     /*  351383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  351394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  351397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  351400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351422 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  351425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351442 */     GIR_RootConstrainSelectedInstOperands,
     /*  351443 */     // GIR_Coverage, 21730,
     /*  351443 */     GIR_EraseRootFromParent_Done,
     /*  351444 */   // Label 6420: @351444
     /*  351444 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(351510), // Rule ID 21731 //
     /*  351449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  351460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  351463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  351466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351488 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  351491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351508 */     GIR_RootConstrainSelectedInstOperands,
     /*  351509 */     // GIR_Coverage, 21731,
     /*  351509 */     GIR_EraseRootFromParent_Done,
     /*  351510 */   // Label 6421: @351510
     /*  351510 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(351576), // Rule ID 21734 //
     /*  351515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  351526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  351529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  351532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351554 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351574 */     GIR_RootConstrainSelectedInstOperands,
     /*  351575 */     // GIR_Coverage, 21734,
     /*  351575 */     GIR_EraseRootFromParent_Done,
     /*  351576 */   // Label 6422: @351576
     /*  351576 */   GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(351642), // Rule ID 21735 //
     /*  351581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  351592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  351595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  351598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351620 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351640 */     GIR_RootConstrainSelectedInstOperands,
     /*  351641 */     // GIR_Coverage, 21735,
     /*  351641 */     GIR_EraseRootFromParent_Done,
     /*  351642 */   // Label 6423: @351642
     /*  351642 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(351708), // Rule ID 21738 //
     /*  351647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  351658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  351661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  351664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351686 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351706 */     GIR_RootConstrainSelectedInstOperands,
     /*  351707 */     // GIR_Coverage, 21738,
     /*  351707 */     GIR_EraseRootFromParent_Done,
     /*  351708 */   // Label 6424: @351708
     /*  351708 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(351774), // Rule ID 21739 //
     /*  351713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  351724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  351727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  351730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11249:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351772 */     GIR_RootConstrainSelectedInstOperands,
     /*  351773 */     // GIR_Coverage, 21739,
     /*  351773 */     GIR_EraseRootFromParent_Done,
     /*  351774 */   // Label 6425: @351774
     /*  351774 */   GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(351840), // Rule ID 21742 //
     /*  351779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  351790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  351793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  351796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351818 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351838 */     GIR_RootConstrainSelectedInstOperands,
     /*  351839 */     // GIR_Coverage, 21742,
     /*  351839 */     GIR_EraseRootFromParent_Done,
     /*  351840 */   // Label 6426: @351840
     /*  351840 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(351906), // Rule ID 21743 //
     /*  351845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  351856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  351859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  351862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351884 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351904 */     GIR_RootConstrainSelectedInstOperands,
     /*  351905 */     // GIR_Coverage, 21743,
     /*  351905 */     GIR_EraseRootFromParent_Done,
     /*  351906 */   // Label 6427: @351906
     /*  351906 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(351972), // Rule ID 21746 //
     /*  351911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  351922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  351925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  351928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351950 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  351953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351970 */     GIR_RootConstrainSelectedInstOperands,
     /*  351971 */     // GIR_Coverage, 21746,
     /*  351971 */     GIR_EraseRootFromParent_Done,
     /*  351972 */   // Label 6428: @351972
     /*  351972 */   GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(352038), // Rule ID 21747 //
     /*  351977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  351988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  351991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  351994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352016 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  352019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352036 */     GIR_RootConstrainSelectedInstOperands,
     /*  352037 */     // GIR_Coverage, 21747,
     /*  352037 */     GIR_EraseRootFromParent_Done,
     /*  352038 */   // Label 6429: @352038
     /*  352038 */   GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(352104), // Rule ID 21750 //
     /*  352043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  352054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  352057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  352060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352082 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  352085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352102 */     GIR_RootConstrainSelectedInstOperands,
     /*  352103 */     // GIR_Coverage, 21750,
     /*  352103 */     GIR_EraseRootFromParent_Done,
     /*  352104 */   // Label 6430: @352104
     /*  352104 */   GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(352170), // Rule ID 21751 //
     /*  352109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  352120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  352123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  352126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352148 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  352151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352168 */     GIR_RootConstrainSelectedInstOperands,
     /*  352169 */     // GIR_Coverage, 21751,
     /*  352169 */     GIR_EraseRootFromParent_Done,
     /*  352170 */   // Label 6431: @352170
     /*  352170 */   GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(352236), // Rule ID 21754 //
     /*  352175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  352186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  352189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  352192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352214 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  352217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352234 */     GIR_RootConstrainSelectedInstOperands,
     /*  352235 */     // GIR_Coverage, 21754,
     /*  352235 */     GIR_EraseRootFromParent_Done,
     /*  352236 */   // Label 6432: @352236
     /*  352236 */   GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(352302), // Rule ID 21755 //
     /*  352241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  352252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  352255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  352258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352280 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  352283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352300 */     GIR_RootConstrainSelectedInstOperands,
     /*  352301 */     // GIR_Coverage, 21755,
     /*  352301 */     GIR_EraseRootFromParent_Done,
     /*  352302 */   // Label 6433: @352302
     /*  352302 */   GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(352368), // Rule ID 21758 //
     /*  352307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  352318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  352321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  352324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  352349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352366 */     GIR_RootConstrainSelectedInstOperands,
     /*  352367 */     // GIR_Coverage, 21758,
     /*  352367 */     GIR_EraseRootFromParent_Done,
     /*  352368 */   // Label 6434: @352368
     /*  352368 */   GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(352434), // Rule ID 21759 //
     /*  352373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  352384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  352387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  352390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352412 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  352415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352432 */     GIR_RootConstrainSelectedInstOperands,
     /*  352433 */     // GIR_Coverage, 21759,
     /*  352433 */     GIR_EraseRootFromParent_Done,
     /*  352434 */   // Label 6435: @352434
     /*  352434 */   GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(352500), // Rule ID 21762 //
     /*  352439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  352450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  352453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  352456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352478 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  352481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352498 */     GIR_RootConstrainSelectedInstOperands,
     /*  352499 */     // GIR_Coverage, 21762,
     /*  352499 */     GIR_EraseRootFromParent_Done,
     /*  352500 */   // Label 6436: @352500
     /*  352500 */   GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(352566), // Rule ID 21763 //
     /*  352505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  352516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  352519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  352522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352544 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  352547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352564 */     GIR_RootConstrainSelectedInstOperands,
     /*  352565 */     // GIR_Coverage, 21763,
     /*  352565 */     GIR_EraseRootFromParent_Done,
     /*  352566 */   // Label 6437: @352566
     /*  352566 */   GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(352632), // Rule ID 21766 //
     /*  352571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  352582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  352585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  352588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352610 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  352613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352630 */     GIR_RootConstrainSelectedInstOperands,
     /*  352631 */     // GIR_Coverage, 21766,
     /*  352631 */     GIR_EraseRootFromParent_Done,
     /*  352632 */   // Label 6438: @352632
     /*  352632 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(352698), // Rule ID 21767 //
     /*  352637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  352648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  352651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  352654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352676 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  352679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352696 */     GIR_RootConstrainSelectedInstOperands,
     /*  352697 */     // GIR_Coverage, 21767,
     /*  352697 */     GIR_EraseRootFromParent_Done,
     /*  352698 */   // Label 6439: @352698
     /*  352698 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(352764), // Rule ID 21770 //
     /*  352703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  352714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  352717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  352720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  352745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352762 */     GIR_RootConstrainSelectedInstOperands,
     /*  352763 */     // GIR_Coverage, 21770,
     /*  352763 */     GIR_EraseRootFromParent_Done,
     /*  352764 */   // Label 6440: @352764
     /*  352764 */   GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(352830), // Rule ID 21771 //
     /*  352769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  352780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  352783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  352786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  352811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352828 */     GIR_RootConstrainSelectedInstOperands,
     /*  352829 */     // GIR_Coverage, 21771,
     /*  352829 */     GIR_EraseRootFromParent_Done,
     /*  352830 */   // Label 6441: @352830
     /*  352830 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(352896), // Rule ID 21774 //
     /*  352835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  352852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  352877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352894 */     GIR_RootConstrainSelectedInstOperands,
     /*  352895 */     // GIR_Coverage, 21774,
     /*  352895 */     GIR_EraseRootFromParent_Done,
     /*  352896 */   // Label 6442: @352896
     /*  352896 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(352962), // Rule ID 21775 //
     /*  352901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  352918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352940 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  352943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352960 */     GIR_RootConstrainSelectedInstOperands,
     /*  352961 */     // GIR_Coverage, 21775,
     /*  352961 */     GIR_EraseRootFromParent_Done,
     /*  352962 */   // Label 6443: @352962
     /*  352962 */   GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(353028), // Rule ID 21778 //
     /*  352967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  352978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  352981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  352984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353006 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  353009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353026 */     GIR_RootConstrainSelectedInstOperands,
     /*  353027 */     // GIR_Coverage, 21778,
     /*  353027 */     GIR_EraseRootFromParent_Done,
     /*  353028 */   // Label 6444: @353028
     /*  353028 */   GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(353094), // Rule ID 21779 //
     /*  353033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  353041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  353044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  353047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  353050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  353075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353092 */     GIR_RootConstrainSelectedInstOperands,
     /*  353093 */     // GIR_Coverage, 21779,
     /*  353093 */     GIR_EraseRootFromParent_Done,
     /*  353094 */   // Label 6445: @353094
     /*  353094 */   GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(353160), // Rule ID 21782 //
     /*  353099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  353107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  353110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  353113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  353116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353138 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  353141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353158 */     GIR_RootConstrainSelectedInstOperands,
     /*  353159 */     // GIR_Coverage, 21782,
     /*  353159 */     GIR_EraseRootFromParent_Done,
     /*  353160 */   // Label 6446: @353160
     /*  353160 */   GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(353226), // Rule ID 21783 //
     /*  353165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  353173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  353176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  353179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  353182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353204 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  353207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353224 */     GIR_RootConstrainSelectedInstOperands,
     /*  353225 */     // GIR_Coverage, 21783,
     /*  353225 */     GIR_EraseRootFromParent_Done,
     /*  353226 */   // Label 6447: @353226
     /*  353226 */   GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(353292), // Rule ID 21786 //
     /*  353231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  353234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  353242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  353245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  353248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353270 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  353273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353290 */     GIR_RootConstrainSelectedInstOperands,
     /*  353291 */     // GIR_Coverage, 21786,
     /*  353291 */     GIR_EraseRootFromParent_Done,
     /*  353292 */   // Label 6448: @353292
     /*  353292 */   GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(353358), // Rule ID 21787 //
     /*  353297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  353300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  353308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  353311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  353314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  353339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353356 */     GIR_RootConstrainSelectedInstOperands,
     /*  353357 */     // GIR_Coverage, 21787,
     /*  353357 */     GIR_EraseRootFromParent_Done,
     /*  353358 */   // Label 6449: @353358
     /*  353358 */   GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(353424), // Rule ID 21790 //
     /*  353363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  353366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  353374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  353377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  353380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353402 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  353405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353422 */     GIR_RootConstrainSelectedInstOperands,
     /*  353423 */     // GIR_Coverage, 21790,
     /*  353423 */     GIR_EraseRootFromParent_Done,
     /*  353424 */   // Label 6450: @353424
     /*  353424 */   GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(353490), // Rule ID 21791 //
     /*  353429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  353432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  353440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  353443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  353446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353468 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  353471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353488 */     GIR_RootConstrainSelectedInstOperands,
     /*  353489 */     // GIR_Coverage, 21791,
     /*  353489 */     GIR_EraseRootFromParent_Done,
     /*  353490 */   // Label 6451: @353490
     /*  353490 */   GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(353556), // Rule ID 21794 //
     /*  353495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  353498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  353506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  353509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  353512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353534 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11247:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353554 */     GIR_RootConstrainSelectedInstOperands,
     /*  353555 */     // GIR_Coverage, 21794,
     /*  353555 */     GIR_EraseRootFromParent_Done,
     /*  353556 */   // Label 6452: @353556
     /*  353556 */   GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(353622), // Rule ID 21795 //
     /*  353561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  353564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  353572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  353575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  353578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353600 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11247:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353620 */     GIR_RootConstrainSelectedInstOperands,
     /*  353621 */     // GIR_Coverage, 21795,
     /*  353621 */     GIR_EraseRootFromParent_Done,
     /*  353622 */   // Label 6453: @353622
     /*  353622 */   GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(353688), // Rule ID 21798 //
     /*  353627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  353630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  353638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  353641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  353644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353666 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11247:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353686 */     GIR_RootConstrainSelectedInstOperands,
     /*  353687 */     // GIR_Coverage, 21798,
     /*  353687 */     GIR_EraseRootFromParent_Done,
     /*  353688 */   // Label 6454: @353688
     /*  353688 */   GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(353754), // Rule ID 21799 //
     /*  353693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  353696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  353704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  353707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  353710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11247:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353752 */     GIR_RootConstrainSelectedInstOperands,
     /*  353753 */     // GIR_Coverage, 21799,
     /*  353753 */     GIR_EraseRootFromParent_Done,
     /*  353754 */   // Label 6455: @353754
     /*  353754 */   GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(353820), // Rule ID 21802 //
     /*  353759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  353762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  353770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  353773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  353776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353798 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353818 */     GIR_RootConstrainSelectedInstOperands,
     /*  353819 */     // GIR_Coverage, 21802,
     /*  353819 */     GIR_EraseRootFromParent_Done,
     /*  353820 */   // Label 6456: @353820
     /*  353820 */   GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(353886), // Rule ID 21803 //
     /*  353825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  353828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  353836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  353839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  353842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353864 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353884 */     GIR_RootConstrainSelectedInstOperands,
     /*  353885 */     // GIR_Coverage, 21803,
     /*  353885 */     GIR_EraseRootFromParent_Done,
     /*  353886 */   // Label 6457: @353886
     /*  353886 */   GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(353952), // Rule ID 21806 //
     /*  353891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  353894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  353902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  353905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  353908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353930 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353950 */     GIR_RootConstrainSelectedInstOperands,
     /*  353951 */     // GIR_Coverage, 21806,
     /*  353951 */     GIR_EraseRootFromParent_Done,
     /*  353952 */   // Label 6458: @353952
     /*  353952 */   GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(354018), // Rule ID 21807 //
     /*  353957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  353960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  353968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  353971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  353974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353996 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354016 */     GIR_RootConstrainSelectedInstOperands,
     /*  354017 */     // GIR_Coverage, 21807,
     /*  354017 */     GIR_EraseRootFromParent_Done,
     /*  354018 */   // Label 6459: @354018
     /*  354018 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(354084), // Rule ID 21810 //
     /*  354023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  354026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  354034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  354037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354062 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  354065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354082 */     GIR_RootConstrainSelectedInstOperands,
     /*  354083 */     // GIR_Coverage, 21810,
     /*  354083 */     GIR_EraseRootFromParent_Done,
     /*  354084 */   // Label 6460: @354084
     /*  354084 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(354150), // Rule ID 21811 //
     /*  354089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  354092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  354100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  354103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354128 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  354131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354148 */     GIR_RootConstrainSelectedInstOperands,
     /*  354149 */     // GIR_Coverage, 21811,
     /*  354149 */     GIR_EraseRootFromParent_Done,
     /*  354150 */   // Label 6461: @354150
     /*  354150 */   GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(354216), // Rule ID 21814 //
     /*  354155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  354158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  354166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  354169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354194 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  354197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354214 */     GIR_RootConstrainSelectedInstOperands,
     /*  354215 */     // GIR_Coverage, 21814,
     /*  354215 */     GIR_EraseRootFromParent_Done,
     /*  354216 */   // Label 6462: @354216
     /*  354216 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(354282), // Rule ID 21815 //
     /*  354221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  354224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  354232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  354235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354260 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  354263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354280 */     GIR_RootConstrainSelectedInstOperands,
     /*  354281 */     // GIR_Coverage, 21815,
     /*  354281 */     GIR_EraseRootFromParent_Done,
     /*  354282 */   // Label 6463: @354282
     /*  354282 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(354348), // Rule ID 21818 //
     /*  354287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  354290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  354298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  354301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354326 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  354329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354346 */     GIR_RootConstrainSelectedInstOperands,
     /*  354347 */     // GIR_Coverage, 21818,
     /*  354347 */     GIR_EraseRootFromParent_Done,
     /*  354348 */   // Label 6464: @354348
     /*  354348 */   GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(354414), // Rule ID 21819 //
     /*  354353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  354356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  354364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  354367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  354395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354412 */     GIR_RootConstrainSelectedInstOperands,
     /*  354413 */     // GIR_Coverage, 21819,
     /*  354413 */     GIR_EraseRootFromParent_Done,
     /*  354414 */   // Label 6465: @354414
     /*  354414 */   GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(354480), // Rule ID 21822 //
     /*  354419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  354422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  354430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  354433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  354461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354478 */     GIR_RootConstrainSelectedInstOperands,
     /*  354479 */     // GIR_Coverage, 21822,
     /*  354479 */     GIR_EraseRootFromParent_Done,
     /*  354480 */   // Label 6466: @354480
     /*  354480 */   GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(354546), // Rule ID 21823 //
     /*  354485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  354488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  354496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  354499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  354527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354544 */     GIR_RootConstrainSelectedInstOperands,
     /*  354545 */     // GIR_Coverage, 21823,
     /*  354545 */     GIR_EraseRootFromParent_Done,
     /*  354546 */   // Label 6467: @354546
     /*  354546 */   GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(354612), // Rule ID 21826 //
     /*  354551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  354554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  354562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  354565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  354568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354590 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  354593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354610 */     GIR_RootConstrainSelectedInstOperands,
     /*  354611 */     // GIR_Coverage, 21826,
     /*  354611 */     GIR_EraseRootFromParent_Done,
     /*  354612 */   // Label 6468: @354612
     /*  354612 */   GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(354678), // Rule ID 21827 //
     /*  354617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  354620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  354628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  354631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  354634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354656 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  354659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354676 */     GIR_RootConstrainSelectedInstOperands,
     /*  354677 */     // GIR_Coverage, 21827,
     /*  354677 */     GIR_EraseRootFromParent_Done,
     /*  354678 */   // Label 6469: @354678
     /*  354678 */   GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(354744), // Rule ID 21830 //
     /*  354683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  354686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  354694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  354697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  354700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  354725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354742 */     GIR_RootConstrainSelectedInstOperands,
     /*  354743 */     // GIR_Coverage, 21830,
     /*  354743 */     GIR_EraseRootFromParent_Done,
     /*  354744 */   // Label 6470: @354744
     /*  354744 */   GIM_Try, /*On fail goto*//*Label 6471*/ GIMT_Encode4(354810), // Rule ID 21831 //
     /*  354749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  354760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  354763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  354766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354788 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  354791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354808 */     GIR_RootConstrainSelectedInstOperands,
     /*  354809 */     // GIR_Coverage, 21831,
     /*  354809 */     GIR_EraseRootFromParent_Done,
     /*  354810 */   // Label 6471: @354810
     /*  354810 */   GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(354876), // Rule ID 21834 //
     /*  354815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  354818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  354826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  354829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  354832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354854 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  354857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354874 */     GIR_RootConstrainSelectedInstOperands,
     /*  354875 */     // GIR_Coverage, 21834,
     /*  354875 */     GIR_EraseRootFromParent_Done,
     /*  354876 */   // Label 6472: @354876
     /*  354876 */   GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(354942), // Rule ID 21835 //
     /*  354881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  354892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  354895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  354898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354920 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  354923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354940 */     GIR_RootConstrainSelectedInstOperands,
     /*  354941 */     // GIR_Coverage, 21835,
     /*  354941 */     GIR_EraseRootFromParent_Done,
     /*  354942 */   // Label 6473: @354942
     /*  354942 */   GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(355008), // Rule ID 21838 //
     /*  354947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  354950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  354958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  354961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  354964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354986 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  354989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355006 */     GIR_RootConstrainSelectedInstOperands,
     /*  355007 */     // GIR_Coverage, 21838,
     /*  355007 */     GIR_EraseRootFromParent_Done,
     /*  355008 */   // Label 6474: @355008
     /*  355008 */   GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(355074), // Rule ID 21839 //
     /*  355013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  355016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  355021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  355024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  355027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  355030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  355055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355072 */     GIR_RootConstrainSelectedInstOperands,
     /*  355073 */     // GIR_Coverage, 21839,
     /*  355073 */     GIR_EraseRootFromParent_Done,
     /*  355074 */   // Label 6475: @355074
     /*  355074 */   GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(355140), // Rule ID 21842 //
     /*  355079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  355082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  355087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  355090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  355093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  355096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  355121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355138 */     GIR_RootConstrainSelectedInstOperands,
     /*  355139 */     // GIR_Coverage, 21842,
     /*  355139 */     GIR_EraseRootFromParent_Done,
     /*  355140 */   // Label 6476: @355140
     /*  355140 */   GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(355206), // Rule ID 21843 //
     /*  355145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  355148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  355153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  355156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  355159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  355162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  355187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355204 */     GIR_RootConstrainSelectedInstOperands,
     /*  355205 */     // GIR_Coverage, 21843,
     /*  355205 */     GIR_EraseRootFromParent_Done,
     /*  355206 */   // Label 6477: @355206
     /*  355206 */   GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(355272), // Rule ID 21954 //
     /*  355211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  355214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  355222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  355225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  355228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355250 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  355253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355270 */     GIR_RootConstrainSelectedInstOperands,
     /*  355271 */     // GIR_Coverage, 21954,
     /*  355271 */     GIR_EraseRootFromParent_Done,
     /*  355272 */   // Label 6478: @355272
     /*  355272 */   GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(355338), // Rule ID 21955 //
     /*  355277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  355280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  355288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  355291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  355294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355316 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  355319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355336 */     GIR_RootConstrainSelectedInstOperands,
     /*  355337 */     // GIR_Coverage, 21955,
     /*  355337 */     GIR_EraseRootFromParent_Done,
     /*  355338 */   // Label 6479: @355338
     /*  355338 */   GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(355404), // Rule ID 21958 //
     /*  355343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  355346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  355354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  355357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  355360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355382 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  355385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355402 */     GIR_RootConstrainSelectedInstOperands,
     /*  355403 */     // GIR_Coverage, 21958,
     /*  355403 */     GIR_EraseRootFromParent_Done,
     /*  355404 */   // Label 6480: @355404
     /*  355404 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(355470), // Rule ID 21959 //
     /*  355409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  355412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  355420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  355423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  355426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355448 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  355451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355468 */     GIR_RootConstrainSelectedInstOperands,
     /*  355469 */     // GIR_Coverage, 21959,
     /*  355469 */     GIR_EraseRootFromParent_Done,
     /*  355470 */   // Label 6481: @355470
     /*  355470 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(355536), // Rule ID 21962 //
     /*  355475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  355478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  355486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  355489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  355492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355514 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  355517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355534 */     GIR_RootConstrainSelectedInstOperands,
     /*  355535 */     // GIR_Coverage, 21962,
     /*  355535 */     GIR_EraseRootFromParent_Done,
     /*  355536 */   // Label 6482: @355536
     /*  355536 */   GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(355602), // Rule ID 21963 //
     /*  355541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  355544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  355552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  355555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  355558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355580 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  355583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355600 */     GIR_RootConstrainSelectedInstOperands,
     /*  355601 */     // GIR_Coverage, 21963,
     /*  355601 */     GIR_EraseRootFromParent_Done,
     /*  355602 */   // Label 6483: @355602
     /*  355602 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(355668), // Rule ID 21966 //
     /*  355607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  355610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  355618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  355621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  355624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355646 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  355649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355666 */     GIR_RootConstrainSelectedInstOperands,
     /*  355667 */     // GIR_Coverage, 21966,
     /*  355667 */     GIR_EraseRootFromParent_Done,
     /*  355668 */   // Label 6484: @355668
     /*  355668 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(355734), // Rule ID 21967 //
     /*  355673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  355676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  355684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  355687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  355690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355712 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  355715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355732 */     GIR_RootConstrainSelectedInstOperands,
     /*  355733 */     // GIR_Coverage, 21967,
     /*  355733 */     GIR_EraseRootFromParent_Done,
     /*  355734 */   // Label 6485: @355734
     /*  355734 */   GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(355800), // Rule ID 21970 //
     /*  355739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  355742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  355750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  355753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  355756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355778 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  355781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355798 */     GIR_RootConstrainSelectedInstOperands,
     /*  355799 */     // GIR_Coverage, 21970,
     /*  355799 */     GIR_EraseRootFromParent_Done,
     /*  355800 */   // Label 6486: @355800
     /*  355800 */   GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(355866), // Rule ID 21971 //
     /*  355805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  355808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  355816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  355819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  355822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355844 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  355847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355864 */     GIR_RootConstrainSelectedInstOperands,
     /*  355865 */     // GIR_Coverage, 21971,
     /*  355865 */     GIR_EraseRootFromParent_Done,
     /*  355866 */   // Label 6487: @355866
     /*  355866 */   GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(355932), // Rule ID 21974 //
     /*  355871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  355882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  355885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  355888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355910 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  355913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355930 */     GIR_RootConstrainSelectedInstOperands,
     /*  355931 */     // GIR_Coverage, 21974,
     /*  355931 */     GIR_EraseRootFromParent_Done,
     /*  355932 */   // Label 6488: @355932
     /*  355932 */   GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(355998), // Rule ID 21975 //
     /*  355937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  355948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  355951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  355954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355976 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  355979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355996 */     GIR_RootConstrainSelectedInstOperands,
     /*  355997 */     // GIR_Coverage, 21975,
     /*  355997 */     GIR_EraseRootFromParent_Done,
     /*  355998 */   // Label 6489: @355998
     /*  355998 */   GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(356064), // Rule ID 21978 //
     /*  356003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  356006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  356011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  356014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  356017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  356020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356042 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  356045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356062 */     GIR_RootConstrainSelectedInstOperands,
     /*  356063 */     // GIR_Coverage, 21978,
     /*  356063 */     GIR_EraseRootFromParent_Done,
     /*  356064 */   // Label 6490: @356064
     /*  356064 */   GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(356130), // Rule ID 21979 //
     /*  356069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  356072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  356077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  356080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  356083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  356086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356108 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  356111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356128 */     GIR_RootConstrainSelectedInstOperands,
     /*  356129 */     // GIR_Coverage, 21979,
     /*  356129 */     GIR_EraseRootFromParent_Done,
     /*  356130 */   // Label 6491: @356130
     /*  356130 */   GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(356196), // Rule ID 21982 //
     /*  356135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  356138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  356143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  356146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  356149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  356152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356174 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  356177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356194 */     GIR_RootConstrainSelectedInstOperands,
     /*  356195 */     // GIR_Coverage, 21982,
     /*  356195 */     GIR_EraseRootFromParent_Done,
     /*  356196 */   // Label 6492: @356196
     /*  356196 */   GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(356262), // Rule ID 21983 //
     /*  356201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  356204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  356209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  356212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  356215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  356218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356240 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  356243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356260 */     GIR_RootConstrainSelectedInstOperands,
     /*  356261 */     // GIR_Coverage, 21983,
     /*  356261 */     GIR_EraseRootFromParent_Done,
     /*  356262 */   // Label 6493: @356262
     /*  356262 */   GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(356328), // Rule ID 21986 //
     /*  356267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  356270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  356275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  356278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  356281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  356284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356306 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  356309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356326 */     GIR_RootConstrainSelectedInstOperands,
     /*  356327 */     // GIR_Coverage, 21986,
     /*  356327 */     GIR_EraseRootFromParent_Done,
     /*  356328 */   // Label 6494: @356328
     /*  356328 */   GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(356394), // Rule ID 21987 //
     /*  356333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  356336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  356341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  356344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  356347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  356350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356372 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  356375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356392 */     GIR_RootConstrainSelectedInstOperands,
     /*  356393 */     // GIR_Coverage, 21987,
     /*  356393 */     GIR_EraseRootFromParent_Done,
     /*  356394 */   // Label 6495: @356394
     /*  356394 */   GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(356457), // Rule ID 23158 //
     /*  356399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  356410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356438 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  356441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356455 */     GIR_RootConstrainSelectedInstOperands,
     /*  356456 */     // GIR_Coverage, 23158,
     /*  356456 */     GIR_EraseRootFromParent_Done,
     /*  356457 */   // Label 6496: @356457
     /*  356457 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(356520), // Rule ID 23159 //
     /*  356462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  356473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356501 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  356504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356518 */     GIR_RootConstrainSelectedInstOperands,
     /*  356519 */     // GIR_Coverage, 23159,
     /*  356519 */     GIR_EraseRootFromParent_Done,
     /*  356520 */   // Label 6497: @356520
     /*  356520 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(356583), // Rule ID 23160 //
     /*  356525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  356567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356581 */     GIR_RootConstrainSelectedInstOperands,
     /*  356582 */     // GIR_Coverage, 23160,
     /*  356582 */     GIR_EraseRootFromParent_Done,
     /*  356583 */   // Label 6498: @356583
     /*  356583 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(356646), // Rule ID 23161 //
     /*  356588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356627 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  356630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356644 */     GIR_RootConstrainSelectedInstOperands,
     /*  356645 */     // GIR_Coverage, 23161,
     /*  356645 */     GIR_EraseRootFromParent_Done,
     /*  356646 */   // Label 6499: @356646
     /*  356646 */   GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(356709), // Rule ID 23162 //
     /*  356651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356690 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  356693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356707 */     GIR_RootConstrainSelectedInstOperands,
     /*  356708 */     // GIR_Coverage, 23162,
     /*  356708 */     GIR_EraseRootFromParent_Done,
     /*  356709 */   // Label 6500: @356709
     /*  356709 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(356772), // Rule ID 23163 //
     /*  356714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356753 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  356756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356770 */     GIR_RootConstrainSelectedInstOperands,
     /*  356771 */     // GIR_Coverage, 23163,
     /*  356771 */     GIR_EraseRootFromParent_Done,
     /*  356772 */   // Label 6501: @356772
     /*  356772 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(356835), // Rule ID 23164 //
     /*  356777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356816 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  356819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356833 */     GIR_RootConstrainSelectedInstOperands,
     /*  356834 */     // GIR_Coverage, 23164,
     /*  356834 */     GIR_EraseRootFromParent_Done,
     /*  356835 */   // Label 6502: @356835
     /*  356835 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(356898), // Rule ID 23165 //
     /*  356840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356879 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  356882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356896 */     GIR_RootConstrainSelectedInstOperands,
     /*  356897 */     // GIR_Coverage, 23165,
     /*  356897 */     GIR_EraseRootFromParent_Done,
     /*  356898 */   // Label 6503: @356898
     /*  356898 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(356961), // Rule ID 23166 //
     /*  356903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356942 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  356945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356959 */     GIR_RootConstrainSelectedInstOperands,
     /*  356960 */     // GIR_Coverage, 23166,
     /*  356960 */     GIR_EraseRootFromParent_Done,
     /*  356961 */   // Label 6504: @356961
     /*  356961 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(357024), // Rule ID 23167 //
     /*  356966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  356974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357005 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  357008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357022 */     GIR_RootConstrainSelectedInstOperands,
     /*  357023 */     // GIR_Coverage, 23167,
     /*  357023 */     GIR_EraseRootFromParent_Done,
     /*  357024 */   // Label 6505: @357024
     /*  357024 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(357087), // Rule ID 23168 //
     /*  357029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  357037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357068 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  357071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357085 */     GIR_RootConstrainSelectedInstOperands,
     /*  357086 */     // GIR_Coverage, 23168,
     /*  357086 */     GIR_EraseRootFromParent_Done,
     /*  357087 */   // Label 6506: @357087
     /*  357087 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(357150), // Rule ID 23169 //
     /*  357092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  357100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357131 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  357134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357148 */     GIR_RootConstrainSelectedInstOperands,
     /*  357149 */     // GIR_Coverage, 23169,
     /*  357149 */     GIR_EraseRootFromParent_Done,
     /*  357150 */   // Label 6507: @357150
     /*  357150 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(357213), // Rule ID 23170 //
     /*  357155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357194 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  357197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357211 */     GIR_RootConstrainSelectedInstOperands,
     /*  357212 */     // GIR_Coverage, 23170,
     /*  357212 */     GIR_EraseRootFromParent_Done,
     /*  357213 */   // Label 6508: @357213
     /*  357213 */   GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(357276), // Rule ID 23171 //
     /*  357218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357257 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  357260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357274 */     GIR_RootConstrainSelectedInstOperands,
     /*  357275 */     // GIR_Coverage, 23171,
     /*  357275 */     GIR_EraseRootFromParent_Done,
     /*  357276 */   // Label 6509: @357276
     /*  357276 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(357339), // Rule ID 23172 //
     /*  357281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  357292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357320 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  357323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357337 */     GIR_RootConstrainSelectedInstOperands,
     /*  357338 */     // GIR_Coverage, 23172,
     /*  357338 */     GIR_EraseRootFromParent_Done,
     /*  357339 */   // Label 6510: @357339
     /*  357339 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(357402), // Rule ID 23173 //
     /*  357344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  357355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357383 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  357386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357400 */     GIR_RootConstrainSelectedInstOperands,
     /*  357401 */     // GIR_Coverage, 23173,
     /*  357401 */     GIR_EraseRootFromParent_Done,
     /*  357402 */   // Label 6511: @357402
     /*  357402 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(357465), // Rule ID 23174 //
     /*  357407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  357418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357446 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  357449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357463 */     GIR_RootConstrainSelectedInstOperands,
     /*  357464 */     // GIR_Coverage, 23174,
     /*  357464 */     GIR_EraseRootFromParent_Done,
     /*  357465 */   // Label 6512: @357465
     /*  357465 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(357528), // Rule ID 23175 //
     /*  357470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  357481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357509 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  357512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357526 */     GIR_RootConstrainSelectedInstOperands,
     /*  357527 */     // GIR_Coverage, 23175,
     /*  357527 */     GIR_EraseRootFromParent_Done,
     /*  357528 */   // Label 6513: @357528
     /*  357528 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(357591), // Rule ID 23176 //
     /*  357533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357572 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  357575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357589 */     GIR_RootConstrainSelectedInstOperands,
     /*  357590 */     // GIR_Coverage, 23176,
     /*  357590 */     GIR_EraseRootFromParent_Done,
     /*  357591 */   // Label 6514: @357591
     /*  357591 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(357654), // Rule ID 23177 //
     /*  357596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357635 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  357638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357652 */     GIR_RootConstrainSelectedInstOperands,
     /*  357653 */     // GIR_Coverage, 23177,
     /*  357653 */     GIR_EraseRootFromParent_Done,
     /*  357654 */   // Label 6515: @357654
     /*  357654 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(357717), // Rule ID 23178 //
     /*  357659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357698 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  357701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357715 */     GIR_RootConstrainSelectedInstOperands,
     /*  357716 */     // GIR_Coverage, 23178,
     /*  357716 */     GIR_EraseRootFromParent_Done,
     /*  357717 */   // Label 6516: @357717
     /*  357717 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(357780), // Rule ID 23179 //
     /*  357722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357761 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  357764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357778 */     GIR_RootConstrainSelectedInstOperands,
     /*  357779 */     // GIR_Coverage, 23179,
     /*  357779 */     GIR_EraseRootFromParent_Done,
     /*  357780 */   // Label 6517: @357780
     /*  357780 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(357843), // Rule ID 23180 //
     /*  357785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  357796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357824 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  357827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357841 */     GIR_RootConstrainSelectedInstOperands,
     /*  357842 */     // GIR_Coverage, 23180,
     /*  357842 */     GIR_EraseRootFromParent_Done,
     /*  357843 */   // Label 6518: @357843
     /*  357843 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(357906), // Rule ID 23181 //
     /*  357848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  357859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357887 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  357890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357904 */     GIR_RootConstrainSelectedInstOperands,
     /*  357905 */     // GIR_Coverage, 23181,
     /*  357905 */     GIR_EraseRootFromParent_Done,
     /*  357906 */   // Label 6519: @357906
     /*  357906 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(357969), // Rule ID 23182 //
     /*  357911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357950 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  357953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357967 */     GIR_RootConstrainSelectedInstOperands,
     /*  357968 */     // GIR_Coverage, 23182,
     /*  357968 */     GIR_EraseRootFromParent_Done,
     /*  357969 */   // Label 6520: @357969
     /*  357969 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(358032), // Rule ID 23183 //
     /*  357974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  357982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358013 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  358016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358030 */     GIR_RootConstrainSelectedInstOperands,
     /*  358031 */     // GIR_Coverage, 23183,
     /*  358031 */     GIR_EraseRootFromParent_Done,
     /*  358032 */   // Label 6521: @358032
     /*  358032 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(358095), // Rule ID 23184 //
     /*  358037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358076 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  358079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358093 */     GIR_RootConstrainSelectedInstOperands,
     /*  358094 */     // GIR_Coverage, 23184,
     /*  358094 */     GIR_EraseRootFromParent_Done,
     /*  358095 */   // Label 6522: @358095
     /*  358095 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(358158), // Rule ID 23185 //
     /*  358100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358139 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  358142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358156 */     GIR_RootConstrainSelectedInstOperands,
     /*  358157 */     // GIR_Coverage, 23185,
     /*  358157 */     GIR_EraseRootFromParent_Done,
     /*  358158 */   // Label 6523: @358158
     /*  358158 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(358221), // Rule ID 23186 //
     /*  358163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358202 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  358205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358219 */     GIR_RootConstrainSelectedInstOperands,
     /*  358220 */     // GIR_Coverage, 23186,
     /*  358220 */     GIR_EraseRootFromParent_Done,
     /*  358221 */   // Label 6524: @358221
     /*  358221 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(358284), // Rule ID 23187 //
     /*  358226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358265 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  358268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358282 */     GIR_RootConstrainSelectedInstOperands,
     /*  358283 */     // GIR_Coverage, 23187,
     /*  358283 */     GIR_EraseRootFromParent_Done,
     /*  358284 */   // Label 6525: @358284
     /*  358284 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(358347), // Rule ID 23188 //
     /*  358289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  358300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  358303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  358331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358345 */     GIR_RootConstrainSelectedInstOperands,
     /*  358346 */     // GIR_Coverage, 23188,
     /*  358346 */     GIR_EraseRootFromParent_Done,
     /*  358347 */   // Label 6526: @358347
     /*  358347 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(358410), // Rule ID 23189 //
     /*  358352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  358363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  358366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358391 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  358394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358408 */     GIR_RootConstrainSelectedInstOperands,
     /*  358409 */     // GIR_Coverage, 23189,
     /*  358409 */     GIR_EraseRootFromParent_Done,
     /*  358410 */   // Label 6527: @358410
     /*  358410 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(358473), // Rule ID 23190 //
     /*  358415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  358426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  358429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358454 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  358457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358471 */     GIR_RootConstrainSelectedInstOperands,
     /*  358472 */     // GIR_Coverage, 23190,
     /*  358472 */     GIR_EraseRootFromParent_Done,
     /*  358473 */   // Label 6528: @358473
     /*  358473 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(358536), // Rule ID 23191 //
     /*  358478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  358489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  358492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358517 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  358520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358534 */     GIR_RootConstrainSelectedInstOperands,
     /*  358535 */     // GIR_Coverage, 23191,
     /*  358535 */     GIR_EraseRootFromParent_Done,
     /*  358536 */   // Label 6529: @358536
     /*  358536 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(358599), // Rule ID 23192 //
     /*  358541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358580 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  358583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358597 */     GIR_RootConstrainSelectedInstOperands,
     /*  358598 */     // GIR_Coverage, 23192,
     /*  358598 */     GIR_EraseRootFromParent_Done,
     /*  358599 */   // Label 6530: @358599
     /*  358599 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(358662), // Rule ID 23193 //
     /*  358604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358643 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  358646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358660 */     GIR_RootConstrainSelectedInstOperands,
     /*  358661 */     // GIR_Coverage, 23193,
     /*  358661 */     GIR_EraseRootFromParent_Done,
     /*  358662 */   // Label 6531: @358662
     /*  358662 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(358725), // Rule ID 23194 //
     /*  358667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358706 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  358709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358723 */     GIR_RootConstrainSelectedInstOperands,
     /*  358724 */     // GIR_Coverage, 23194,
     /*  358724 */     GIR_EraseRootFromParent_Done,
     /*  358725 */   // Label 6532: @358725
     /*  358725 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(358788), // Rule ID 23195 //
     /*  358730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358769 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  358772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358786 */     GIR_RootConstrainSelectedInstOperands,
     /*  358787 */     // GIR_Coverage, 23195,
     /*  358787 */     GIR_EraseRootFromParent_Done,
     /*  358788 */   // Label 6533: @358788
     /*  358788 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(358851), // Rule ID 23196 //
     /*  358793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  358804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  358807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  358810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358832 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  358835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358849 */     GIR_RootConstrainSelectedInstOperands,
     /*  358850 */     // GIR_Coverage, 23196,
     /*  358850 */     GIR_EraseRootFromParent_Done,
     /*  358851 */   // Label 6534: @358851
     /*  358851 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(358914), // Rule ID 23197 //
     /*  358856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  358864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  358867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  358870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  358873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358895 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  358898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358912 */     GIR_RootConstrainSelectedInstOperands,
     /*  358913 */     // GIR_Coverage, 23197,
     /*  358913 */     GIR_EraseRootFromParent_Done,
     /*  358914 */   // Label 6535: @358914
     /*  358914 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(358977), // Rule ID 23198 //
     /*  358919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358958 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  358961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358975 */     GIR_RootConstrainSelectedInstOperands,
     /*  358976 */     // GIR_Coverage, 23198,
     /*  358976 */     GIR_EraseRootFromParent_Done,
     /*  358977 */   // Label 6536: @358977
     /*  358977 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(359040), // Rule ID 23199 //
     /*  358982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359021 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  359024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359038 */     GIR_RootConstrainSelectedInstOperands,
     /*  359039 */     // GIR_Coverage, 23199,
     /*  359039 */     GIR_EraseRootFromParent_Done,
     /*  359040 */   // Label 6537: @359040
     /*  359040 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(359103), // Rule ID 23200 //
     /*  359045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359084 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  359087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359101 */     GIR_RootConstrainSelectedInstOperands,
     /*  359102 */     // GIR_Coverage, 23200,
     /*  359102 */     GIR_EraseRootFromParent_Done,
     /*  359103 */   // Label 6538: @359103
     /*  359103 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(359166), // Rule ID 23201 //
     /*  359108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359147 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  359150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359164 */     GIR_RootConstrainSelectedInstOperands,
     /*  359165 */     // GIR_Coverage, 23201,
     /*  359165 */     GIR_EraseRootFromParent_Done,
     /*  359166 */   // Label 6539: @359166
     /*  359166 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(359229), // Rule ID 23202 //
     /*  359171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359210 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  359213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359227 */     GIR_RootConstrainSelectedInstOperands,
     /*  359228 */     // GIR_Coverage, 23202,
     /*  359228 */     GIR_EraseRootFromParent_Done,
     /*  359229 */   // Label 6540: @359229
     /*  359229 */   GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(359292), // Rule ID 23203 //
     /*  359234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359273 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  359276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359290 */     GIR_RootConstrainSelectedInstOperands,
     /*  359291 */     // GIR_Coverage, 23203,
     /*  359291 */     GIR_EraseRootFromParent_Done,
     /*  359292 */   // Label 6541: @359292
     /*  359292 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(359355), // Rule ID 23204 //
     /*  359297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  359308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  359311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359336 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  359339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359353 */     GIR_RootConstrainSelectedInstOperands,
     /*  359354 */     // GIR_Coverage, 23204,
     /*  359354 */     GIR_EraseRootFromParent_Done,
     /*  359355 */   // Label 6542: @359355
     /*  359355 */   GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(359418), // Rule ID 23205 //
     /*  359360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  359371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  359374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359399 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  359402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359416 */     GIR_RootConstrainSelectedInstOperands,
     /*  359417 */     // GIR_Coverage, 23205,
     /*  359417 */     GIR_EraseRootFromParent_Done,
     /*  359418 */   // Label 6543: @359418
     /*  359418 */   GIM_Try, /*On fail goto*//*Label 6544*/ GIMT_Encode4(359481), // Rule ID 23206 //
     /*  359423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  359434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  359437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359462 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  359465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359479 */     GIR_RootConstrainSelectedInstOperands,
     /*  359480 */     // GIR_Coverage, 23206,
     /*  359480 */     GIR_EraseRootFromParent_Done,
     /*  359481 */   // Label 6544: @359481
     /*  359481 */   GIM_Try, /*On fail goto*//*Label 6545*/ GIMT_Encode4(359544), // Rule ID 23207 //
     /*  359486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  359497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  359500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359525 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  359528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359542 */     GIR_RootConstrainSelectedInstOperands,
     /*  359543 */     // GIR_Coverage, 23207,
     /*  359543 */     GIR_EraseRootFromParent_Done,
     /*  359544 */   // Label 6545: @359544
     /*  359544 */   GIM_Try, /*On fail goto*//*Label 6546*/ GIMT_Encode4(359607), // Rule ID 23208 //
     /*  359549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359588 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  359591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359605 */     GIR_RootConstrainSelectedInstOperands,
     /*  359606 */     // GIR_Coverage, 23208,
     /*  359606 */     GIR_EraseRootFromParent_Done,
     /*  359607 */   // Label 6546: @359607
     /*  359607 */   GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(359670), // Rule ID 23209 //
     /*  359612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359651 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  359654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359668 */     GIR_RootConstrainSelectedInstOperands,
     /*  359669 */     // GIR_Coverage, 23209,
     /*  359669 */     GIR_EraseRootFromParent_Done,
     /*  359670 */   // Label 6547: @359670
     /*  359670 */   GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(359733), // Rule ID 23210 //
     /*  359675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359714 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  359717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359731 */     GIR_RootConstrainSelectedInstOperands,
     /*  359732 */     // GIR_Coverage, 23210,
     /*  359732 */     GIR_EraseRootFromParent_Done,
     /*  359733 */   // Label 6548: @359733
     /*  359733 */   GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(359796), // Rule ID 23211 //
     /*  359738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  359746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359777 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11498:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  359780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359794 */     GIR_RootConstrainSelectedInstOperands,
     /*  359795 */     // GIR_Coverage, 23211,
     /*  359795 */     GIR_EraseRootFromParent_Done,
     /*  359796 */   // Label 6549: @359796
     /*  359796 */   GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(359859), // Rule ID 23212 //
     /*  359801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  359812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  359815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  359843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359857 */     GIR_RootConstrainSelectedInstOperands,
     /*  359858 */     // GIR_Coverage, 23212,
     /*  359858 */     GIR_EraseRootFromParent_Done,
     /*  359859 */   // Label 6550: @359859
     /*  359859 */   GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(359922), // Rule ID 23213 //
     /*  359864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  359875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  359878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359903 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  359906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359920 */     GIR_RootConstrainSelectedInstOperands,
     /*  359921 */     // GIR_Coverage, 23213,
     /*  359921 */     GIR_EraseRootFromParent_Done,
     /*  359922 */   // Label 6551: @359922
     /*  359922 */   GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(359985), // Rule ID 23214 //
     /*  359927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359966 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  359969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359983 */     GIR_RootConstrainSelectedInstOperands,
     /*  359984 */     // GIR_Coverage, 23214,
     /*  359984 */     GIR_EraseRootFromParent_Done,
     /*  359985 */   // Label 6552: @359985
     /*  359985 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(360048), // Rule ID 23215 //
     /*  359990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360029 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  360032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360046 */     GIR_RootConstrainSelectedInstOperands,
     /*  360047 */     // GIR_Coverage, 23215,
     /*  360047 */     GIR_EraseRootFromParent_Done,
     /*  360048 */   // Label 6553: @360048
     /*  360048 */   GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(360111), // Rule ID 23216 //
     /*  360053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  360061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360092 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  360095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360109 */     GIR_RootConstrainSelectedInstOperands,
     /*  360110 */     // GIR_Coverage, 23216,
     /*  360110 */     GIR_EraseRootFromParent_Done,
     /*  360111 */   // Label 6554: @360111
     /*  360111 */   GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(360174), // Rule ID 23217 //
     /*  360116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  360124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360155 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  360158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360172 */     GIR_RootConstrainSelectedInstOperands,
     /*  360173 */     // GIR_Coverage, 23217,
     /*  360173 */     GIR_EraseRootFromParent_Done,
     /*  360174 */   // Label 6555: @360174
     /*  360174 */   GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(360237), // Rule ID 23218 //
     /*  360179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  360187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360218 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  360221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360235 */     GIR_RootConstrainSelectedInstOperands,
     /*  360236 */     // GIR_Coverage, 23218,
     /*  360236 */     GIR_EraseRootFromParent_Done,
     /*  360237 */   // Label 6556: @360237
     /*  360237 */   GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(360300), // Rule ID 23219 //
     /*  360242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  360250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360281 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  360284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360298 */     GIR_RootConstrainSelectedInstOperands,
     /*  360299 */     // GIR_Coverage, 23219,
     /*  360299 */     GIR_EraseRootFromParent_Done,
     /*  360300 */   // Label 6557: @360300
     /*  360300 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(360363), // Rule ID 23220 //
     /*  360305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  360313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360344 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  360347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360361 */     GIR_RootConstrainSelectedInstOperands,
     /*  360362 */     // GIR_Coverage, 23220,
     /*  360362 */     GIR_EraseRootFromParent_Done,
     /*  360363 */   // Label 6558: @360363
     /*  360363 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(360426), // Rule ID 23221 //
     /*  360368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  360376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360407 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  360410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360424 */     GIR_RootConstrainSelectedInstOperands,
     /*  360425 */     // GIR_Coverage, 23221,
     /*  360425 */     GIR_EraseRootFromParent_Done,
     /*  360426 */   // Label 6559: @360426
     /*  360426 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(360489), // Rule ID 23222 //
     /*  360431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  360439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360470 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  360473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360487 */     GIR_RootConstrainSelectedInstOperands,
     /*  360488 */     // GIR_Coverage, 23222,
     /*  360488 */     GIR_EraseRootFromParent_Done,
     /*  360489 */   // Label 6560: @360489
     /*  360489 */   GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(360552), // Rule ID 23223 //
     /*  360494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  360502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360533 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  360536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360550 */     GIR_RootConstrainSelectedInstOperands,
     /*  360551 */     // GIR_Coverage, 23223,
     /*  360551 */     GIR_EraseRootFromParent_Done,
     /*  360552 */   // Label 6561: @360552
     /*  360552 */   GIM_Try, /*On fail goto*//*Label 6562*/ GIMT_Encode4(360615), // Rule ID 23224 //
     /*  360557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  360565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360596 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  360599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360613 */     GIR_RootConstrainSelectedInstOperands,
     /*  360614 */     // GIR_Coverage, 23224,
     /*  360614 */     GIR_EraseRootFromParent_Done,
     /*  360615 */   // Label 6562: @360615
     /*  360615 */   GIM_Try, /*On fail goto*//*Label 6563*/ GIMT_Encode4(360678), // Rule ID 23225 //
     /*  360620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  360628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360659 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  360662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360676 */     GIR_RootConstrainSelectedInstOperands,
     /*  360677 */     // GIR_Coverage, 23225,
     /*  360677 */     GIR_EraseRootFromParent_Done,
     /*  360678 */   // Label 6563: @360678
     /*  360678 */   GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(360741), // Rule ID 23226 //
     /*  360683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360722 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  360725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360739 */     GIR_RootConstrainSelectedInstOperands,
     /*  360740 */     // GIR_Coverage, 23226,
     /*  360740 */     GIR_EraseRootFromParent_Done,
     /*  360741 */   // Label 6564: @360741
     /*  360741 */   GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(360804), // Rule ID 23227 //
     /*  360746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360785 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  360788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360802 */     GIR_RootConstrainSelectedInstOperands,
     /*  360803 */     // GIR_Coverage, 23227,
     /*  360803 */     GIR_EraseRootFromParent_Done,
     /*  360804 */   // Label 6565: @360804
     /*  360804 */   GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(360867), // Rule ID 23228 //
     /*  360809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360848 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  360851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360865 */     GIR_RootConstrainSelectedInstOperands,
     /*  360866 */     // GIR_Coverage, 23228,
     /*  360866 */     GIR_EraseRootFromParent_Done,
     /*  360867 */   // Label 6566: @360867
     /*  360867 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(360930), // Rule ID 23229 //
     /*  360872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360911 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  360914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360928 */     GIR_RootConstrainSelectedInstOperands,
     /*  360929 */     // GIR_Coverage, 23229,
     /*  360929 */     GIR_EraseRootFromParent_Done,
     /*  360930 */   // Label 6567: @360930
     /*  360930 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(360993), // Rule ID 23230 //
     /*  360935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360974 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  360977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360991 */     GIR_RootConstrainSelectedInstOperands,
     /*  360992 */     // GIR_Coverage, 23230,
     /*  360992 */     GIR_EraseRootFromParent_Done,
     /*  360993 */   // Label 6568: @360993
     /*  360993 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(361056), // Rule ID 23231 //
     /*  360998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  361006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361037 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  361040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361054 */     GIR_RootConstrainSelectedInstOperands,
     /*  361055 */     // GIR_Coverage, 23231,
     /*  361055 */     GIR_EraseRootFromParent_Done,
     /*  361056 */   // Label 6569: @361056
     /*  361056 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(361119), // Rule ID 23232 //
     /*  361061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  361069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361100 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  361103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361117 */     GIR_RootConstrainSelectedInstOperands,
     /*  361118 */     // GIR_Coverage, 23232,
     /*  361118 */     GIR_EraseRootFromParent_Done,
     /*  361119 */   // Label 6570: @361119
     /*  361119 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(361182), // Rule ID 23233 //
     /*  361124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  361132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361163 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  361166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361180 */     GIR_RootConstrainSelectedInstOperands,
     /*  361181 */     // GIR_Coverage, 23233,
     /*  361181 */     GIR_EraseRootFromParent_Done,
     /*  361182 */   // Label 6571: @361182
     /*  361182 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(361245), // Rule ID 23234 //
     /*  361187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  361195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361226 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  361229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361243 */     GIR_RootConstrainSelectedInstOperands,
     /*  361244 */     // GIR_Coverage, 23234,
     /*  361244 */     GIR_EraseRootFromParent_Done,
     /*  361245 */   // Label 6572: @361245
     /*  361245 */   GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(361308), // Rule ID 23235 //
     /*  361250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  361258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361289 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  361292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361306 */     GIR_RootConstrainSelectedInstOperands,
     /*  361307 */     // GIR_Coverage, 23235,
     /*  361307 */     GIR_EraseRootFromParent_Done,
     /*  361308 */   // Label 6573: @361308
     /*  361308 */   GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(361371), // Rule ID 23236 //
     /*  361313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  361321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361352 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  361355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361369 */     GIR_RootConstrainSelectedInstOperands,
     /*  361370 */     // GIR_Coverage, 23236,
     /*  361370 */     GIR_EraseRootFromParent_Done,
     /*  361371 */   // Label 6574: @361371
     /*  361371 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(361434), // Rule ID 23237 //
     /*  361376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  361384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361415 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  361418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361432 */     GIR_RootConstrainSelectedInstOperands,
     /*  361433 */     // GIR_Coverage, 23237,
     /*  361433 */     GIR_EraseRootFromParent_Done,
     /*  361434 */   // Label 6575: @361434
     /*  361434 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(361497), // Rule ID 23238 //
     /*  361439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  361447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361478 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  361481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361495 */     GIR_RootConstrainSelectedInstOperands,
     /*  361496 */     // GIR_Coverage, 23238,
     /*  361496 */     GIR_EraseRootFromParent_Done,
     /*  361497 */   // Label 6576: @361497
     /*  361497 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(361560), // Rule ID 23239 //
     /*  361502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  361510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361541 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  361544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361558 */     GIR_RootConstrainSelectedInstOperands,
     /*  361559 */     // GIR_Coverage, 23239,
     /*  361559 */     GIR_EraseRootFromParent_Done,
     /*  361560 */   // Label 6577: @361560
     /*  361560 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(361623), // Rule ID 23240 //
     /*  361565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  361607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361621 */     GIR_RootConstrainSelectedInstOperands,
     /*  361622 */     // GIR_Coverage, 23240,
     /*  361622 */     GIR_EraseRootFromParent_Done,
     /*  361623 */   // Label 6578: @361623
     /*  361623 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(361686), // Rule ID 23241 //
     /*  361628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361667 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  361670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361684 */     GIR_RootConstrainSelectedInstOperands,
     /*  361685 */     // GIR_Coverage, 23241,
     /*  361685 */     GIR_EraseRootFromParent_Done,
     /*  361686 */   // Label 6579: @361686
     /*  361686 */   GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(361749), // Rule ID 23242 //
     /*  361691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361730 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  361733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361747 */     GIR_RootConstrainSelectedInstOperands,
     /*  361748 */     // GIR_Coverage, 23242,
     /*  361748 */     GIR_EraseRootFromParent_Done,
     /*  361749 */   // Label 6580: @361749
     /*  361749 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(361812), // Rule ID 23243 //
     /*  361754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361793 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  361796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361810 */     GIR_RootConstrainSelectedInstOperands,
     /*  361811 */     // GIR_Coverage, 23243,
     /*  361811 */     GIR_EraseRootFromParent_Done,
     /*  361812 */   // Label 6581: @361812
     /*  361812 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(361875), // Rule ID 23244 //
     /*  361817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361856 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  361859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361873 */     GIR_RootConstrainSelectedInstOperands,
     /*  361874 */     // GIR_Coverage, 23244,
     /*  361874 */     GIR_EraseRootFromParent_Done,
     /*  361875 */   // Label 6582: @361875
     /*  361875 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(361938), // Rule ID 23245 //
     /*  361880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361919 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  361922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361936 */     GIR_RootConstrainSelectedInstOperands,
     /*  361937 */     // GIR_Coverage, 23245,
     /*  361937 */     GIR_EraseRootFromParent_Done,
     /*  361938 */   // Label 6583: @361938
     /*  361938 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(362001), // Rule ID 23246 //
     /*  361943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361982 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  361985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361999 */     GIR_RootConstrainSelectedInstOperands,
     /*  362000 */     // GIR_Coverage, 23246,
     /*  362000 */     GIR_EraseRootFromParent_Done,
     /*  362001 */   // Label 6584: @362001
     /*  362001 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(362064), // Rule ID 23247 //
     /*  362006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  362014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  362017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362045 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  362048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362062 */     GIR_RootConstrainSelectedInstOperands,
     /*  362063 */     // GIR_Coverage, 23247,
     /*  362063 */     GIR_EraseRootFromParent_Done,
     /*  362064 */   // Label 6585: @362064
     /*  362064 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(362127), // Rule ID 23248 //
     /*  362069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  362077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362108 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  362111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362125 */     GIR_RootConstrainSelectedInstOperands,
     /*  362126 */     // GIR_Coverage, 23248,
     /*  362126 */     GIR_EraseRootFromParent_Done,
     /*  362127 */   // Label 6586: @362127
     /*  362127 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(362190), // Rule ID 23249 //
     /*  362132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  362140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362171 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  362174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362188 */     GIR_RootConstrainSelectedInstOperands,
     /*  362189 */     // GIR_Coverage, 23249,
     /*  362189 */     GIR_EraseRootFromParent_Done,
     /*  362190 */   // Label 6587: @362190
     /*  362190 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(362253), // Rule ID 23250 //
     /*  362195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  362203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362234 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  362237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362251 */     GIR_RootConstrainSelectedInstOperands,
     /*  362252 */     // GIR_Coverage, 23250,
     /*  362252 */     GIR_EraseRootFromParent_Done,
     /*  362253 */   // Label 6588: @362253
     /*  362253 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(362316), // Rule ID 23251 //
     /*  362258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  362266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362297 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  362300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362314 */     GIR_RootConstrainSelectedInstOperands,
     /*  362315 */     // GIR_Coverage, 23251,
     /*  362315 */     GIR_EraseRootFromParent_Done,
     /*  362316 */   // Label 6589: @362316
     /*  362316 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(362379), // Rule ID 23252 //
     /*  362321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  362329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362360 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  362363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362377 */     GIR_RootConstrainSelectedInstOperands,
     /*  362378 */     // GIR_Coverage, 23252,
     /*  362378 */     GIR_EraseRootFromParent_Done,
     /*  362379 */   // Label 6590: @362379
     /*  362379 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(362442), // Rule ID 23253 //
     /*  362384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  362392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362423 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  362426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362440 */     GIR_RootConstrainSelectedInstOperands,
     /*  362441 */     // GIR_Coverage, 23253,
     /*  362441 */     GIR_EraseRootFromParent_Done,
     /*  362442 */   // Label 6591: @362442
     /*  362442 */   GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(362505), // Rule ID 23254 //
     /*  362447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  362458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  362461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  362464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362486 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  362489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362503 */     GIR_RootConstrainSelectedInstOperands,
     /*  362504 */     // GIR_Coverage, 23254,
     /*  362504 */     GIR_EraseRootFromParent_Done,
     /*  362505 */   // Label 6592: @362505
     /*  362505 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(362568), // Rule ID 23255 //
     /*  362510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  362521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  362524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  362527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362549 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  362552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362566 */     GIR_RootConstrainSelectedInstOperands,
     /*  362567 */     // GIR_Coverage, 23255,
     /*  362567 */     GIR_EraseRootFromParent_Done,
     /*  362568 */   // Label 6593: @362568
     /*  362568 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(362631), // Rule ID 23256 //
     /*  362573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  362584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  362615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362629 */     GIR_RootConstrainSelectedInstOperands,
     /*  362630 */     // GIR_Coverage, 23256,
     /*  362630 */     GIR_EraseRootFromParent_Done,
     /*  362631 */   // Label 6594: @362631
     /*  362631 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(362694), // Rule ID 23257 //
     /*  362636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  362647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362675 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  362678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362692 */     GIR_RootConstrainSelectedInstOperands,
     /*  362693 */     // GIR_Coverage, 23257,
     /*  362693 */     GIR_EraseRootFromParent_Done,
     /*  362694 */   // Label 6595: @362694
     /*  362694 */   GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(362757), // Rule ID 23258 //
     /*  362699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  362710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362738 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  362741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362755 */     GIR_RootConstrainSelectedInstOperands,
     /*  362756 */     // GIR_Coverage, 23258,
     /*  362756 */     GIR_EraseRootFromParent_Done,
     /*  362757 */   // Label 6596: @362757
     /*  362757 */   GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(362820), // Rule ID 23259 //
     /*  362762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  362773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362801 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  362804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362818 */     GIR_RootConstrainSelectedInstOperands,
     /*  362819 */     // GIR_Coverage, 23259,
     /*  362819 */     GIR_EraseRootFromParent_Done,
     /*  362820 */   // Label 6597: @362820
     /*  362820 */   GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(362883), // Rule ID 23260 //
     /*  362825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  362836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  362867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362881 */     GIR_RootConstrainSelectedInstOperands,
     /*  362882 */     // GIR_Coverage, 23260,
     /*  362882 */     GIR_EraseRootFromParent_Done,
     /*  362883 */   // Label 6598: @362883
     /*  362883 */   GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(362946), // Rule ID 23261 //
     /*  362888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  362899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362927 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  362930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362944 */     GIR_RootConstrainSelectedInstOperands,
     /*  362945 */     // GIR_Coverage, 23261,
     /*  362945 */     GIR_EraseRootFromParent_Done,
     /*  362946 */   // Label 6599: @362946
     /*  362946 */   GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(363009), // Rule ID 23262 //
     /*  362951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362990 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  362993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363007 */     GIR_RootConstrainSelectedInstOperands,
     /*  363008 */     // GIR_Coverage, 23262,
     /*  363008 */     GIR_EraseRootFromParent_Done,
     /*  363009 */   // Label 6600: @363009
     /*  363009 */   GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(363072), // Rule ID 23263 //
     /*  363014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  363022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  363025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363053 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  363056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363070 */     GIR_RootConstrainSelectedInstOperands,
     /*  363071 */     // GIR_Coverage, 23263,
     /*  363071 */     GIR_EraseRootFromParent_Done,
     /*  363072 */   // Label 6601: @363072
     /*  363072 */   GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(363135), // Rule ID 23264 //
     /*  363077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  363085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  363088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363116 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  363119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363133 */     GIR_RootConstrainSelectedInstOperands,
     /*  363134 */     // GIR_Coverage, 23264,
     /*  363134 */     GIR_EraseRootFromParent_Done,
     /*  363135 */   // Label 6602: @363135
     /*  363135 */   GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(363198), // Rule ID 23265 //
     /*  363140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  363148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  363151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363179 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  363182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363196 */     GIR_RootConstrainSelectedInstOperands,
     /*  363197 */     // GIR_Coverage, 23265,
     /*  363197 */     GIR_EraseRootFromParent_Done,
     /*  363198 */   // Label 6603: @363198
     /*  363198 */   GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(363261), // Rule ID 23266 //
     /*  363203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  363211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  363214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363242 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  363245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363259 */     GIR_RootConstrainSelectedInstOperands,
     /*  363260 */     // GIR_Coverage, 23266,
     /*  363260 */     GIR_EraseRootFromParent_Done,
     /*  363261 */   // Label 6604: @363261
     /*  363261 */   GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(363324), // Rule ID 23267 //
     /*  363266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  363274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  363277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363305 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11497:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  363308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363322 */     GIR_RootConstrainSelectedInstOperands,
     /*  363323 */     // GIR_Coverage, 23267,
     /*  363323 */     GIR_EraseRootFromParent_Done,
     /*  363324 */   // Label 6605: @363324
     /*  363324 */   GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(363387), // Rule ID 23296 //
     /*  363329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363368 */     // (intrinsic_wo_chain:{ *:[i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  363371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363375 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363385 */     GIR_RootConstrainSelectedInstOperands,
     /*  363386 */     // GIR_Coverage, 23296,
     /*  363386 */     GIR_EraseRootFromParent_Done,
     /*  363387 */   // Label 6606: @363387
     /*  363387 */   GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(363450), // Rule ID 23297 //
     /*  363392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363431 */     // (intrinsic_wo_chain:{ *:[i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  363434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363438 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363448 */     GIR_RootConstrainSelectedInstOperands,
     /*  363449 */     // GIR_Coverage, 23297,
     /*  363449 */     GIR_EraseRootFromParent_Done,
     /*  363450 */   // Label 6607: @363450
     /*  363450 */   GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(363513), // Rule ID 23300 //
     /*  363455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363494 */     // (intrinsic_wo_chain:{ *:[i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  363497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363501 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363511 */     GIR_RootConstrainSelectedInstOperands,
     /*  363512 */     // GIR_Coverage, 23300,
     /*  363512 */     GIR_EraseRootFromParent_Done,
     /*  363513 */   // Label 6608: @363513
     /*  363513 */   GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(363576), // Rule ID 23301 //
     /*  363518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363557 */     // (intrinsic_wo_chain:{ *:[i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  363560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363564 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363574 */     GIR_RootConstrainSelectedInstOperands,
     /*  363575 */     // GIR_Coverage, 23301,
     /*  363575 */     GIR_EraseRootFromParent_Done,
     /*  363576 */   // Label 6609: @363576
     /*  363576 */   GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(363639), // Rule ID 23304 //
     /*  363581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363620 */     // (intrinsic_wo_chain:{ *:[i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  363623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363627 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363637 */     GIR_RootConstrainSelectedInstOperands,
     /*  363638 */     // GIR_Coverage, 23304,
     /*  363638 */     GIR_EraseRootFromParent_Done,
     /*  363639 */   // Label 6610: @363639
     /*  363639 */   GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(363702), // Rule ID 23305 //
     /*  363644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363683 */     // (intrinsic_wo_chain:{ *:[i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  363686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363690 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363700 */     GIR_RootConstrainSelectedInstOperands,
     /*  363701 */     // GIR_Coverage, 23305,
     /*  363701 */     GIR_EraseRootFromParent_Done,
     /*  363702 */   // Label 6611: @363702
     /*  363702 */   GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(363765), // Rule ID 23308 //
     /*  363707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363746 */     // (intrinsic_wo_chain:{ *:[i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  363749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363753 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363763 */     GIR_RootConstrainSelectedInstOperands,
     /*  363764 */     // GIR_Coverage, 23308,
     /*  363764 */     GIR_EraseRootFromParent_Done,
     /*  363765 */   // Label 6612: @363765
     /*  363765 */   GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(363828), // Rule ID 23309 //
     /*  363770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363809 */     // (intrinsic_wo_chain:{ *:[i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  363812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363816 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363826 */     GIR_RootConstrainSelectedInstOperands,
     /*  363827 */     // GIR_Coverage, 23309,
     /*  363827 */     GIR_EraseRootFromParent_Done,
     /*  363828 */   // Label 6613: @363828
     /*  363828 */   GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(363891), // Rule ID 23312 //
     /*  363833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363872 */     // (intrinsic_wo_chain:{ *:[i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  363875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363879 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363889 */     GIR_RootConstrainSelectedInstOperands,
     /*  363890 */     // GIR_Coverage, 23312,
     /*  363890 */     GIR_EraseRootFromParent_Done,
     /*  363891 */   // Label 6614: @363891
     /*  363891 */   GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(363954), // Rule ID 23313 //
     /*  363896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363935 */     // (intrinsic_wo_chain:{ *:[i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  363938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363942 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363952 */     GIR_RootConstrainSelectedInstOperands,
     /*  363953 */     // GIR_Coverage, 23313,
     /*  363953 */     GIR_EraseRootFromParent_Done,
     /*  363954 */   // Label 6615: @363954
     /*  363954 */   GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(364017), // Rule ID 23316 //
     /*  363959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  363967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363998 */     // (intrinsic_wo_chain:{ *:[i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  364001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364005 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364015 */     GIR_RootConstrainSelectedInstOperands,
     /*  364016 */     // GIR_Coverage, 23316,
     /*  364016 */     GIR_EraseRootFromParent_Done,
     /*  364017 */   // Label 6616: @364017
     /*  364017 */   GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(364080), // Rule ID 23317 //
     /*  364022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  364025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  364030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  364033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364061 */     // (intrinsic_wo_chain:{ *:[i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  364064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364068 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364078 */     GIR_RootConstrainSelectedInstOperands,
     /*  364079 */     // GIR_Coverage, 23317,
     /*  364079 */     GIR_EraseRootFromParent_Done,
     /*  364080 */   // Label 6617: @364080
     /*  364080 */   GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(364143), // Rule ID 23320 //
     /*  364085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  364088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  364096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  364099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364124 */     // (intrinsic_wo_chain:{ *:[i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  364127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364131 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364141 */     GIR_RootConstrainSelectedInstOperands,
     /*  364142 */     // GIR_Coverage, 23320,
     /*  364142 */     GIR_EraseRootFromParent_Done,
     /*  364143 */   // Label 6618: @364143
     /*  364143 */   GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(364206), // Rule ID 23321 //
     /*  364148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  364151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  364159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  364162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364187 */     // (intrinsic_wo_chain:{ *:[i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  364190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364194 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364204 */     GIR_RootConstrainSelectedInstOperands,
     /*  364205 */     // GIR_Coverage, 23321,
     /*  364205 */     GIR_EraseRootFromParent_Done,
     /*  364206 */   // Label 6619: @364206
     /*  364206 */   GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(364269), // Rule ID 23324 //
     /*  364211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  364214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  364222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  364225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364250 */     // (intrinsic_wo_chain:{ *:[i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  364253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364257 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364267 */     GIR_RootConstrainSelectedInstOperands,
     /*  364268 */     // GIR_Coverage, 23324,
     /*  364268 */     GIR_EraseRootFromParent_Done,
     /*  364269 */   // Label 6620: @364269
     /*  364269 */   GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(364332), // Rule ID 23325 //
     /*  364274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  364277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  364285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  364288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364313 */     // (intrinsic_wo_chain:{ *:[i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  364316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364320 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364330 */     GIR_RootConstrainSelectedInstOperands,
     /*  364331 */     // GIR_Coverage, 23325,
     /*  364331 */     GIR_EraseRootFromParent_Done,
     /*  364332 */   // Label 6621: @364332
     /*  364332 */   GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(364395), // Rule ID 23328 //
     /*  364337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  364340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  364348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  364351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364376 */     // (intrinsic_wo_chain:{ *:[i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  364379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364383 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364393 */     GIR_RootConstrainSelectedInstOperands,
     /*  364394 */     // GIR_Coverage, 23328,
     /*  364394 */     GIR_EraseRootFromParent_Done,
     /*  364395 */   // Label 6622: @364395
     /*  364395 */   GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(364458), // Rule ID 23329 //
     /*  364400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  364403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  364411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  364414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364439 */     // (intrinsic_wo_chain:{ *:[i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  364442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364446 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364456 */     GIR_RootConstrainSelectedInstOperands,
     /*  364457 */     // GIR_Coverage, 23329,
     /*  364457 */     GIR_EraseRootFromParent_Done,
     /*  364458 */   // Label 6623: @364458
     /*  364458 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(364521), // Rule ID 23332 //
     /*  364463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  364466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  364474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  364477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364502 */     // (intrinsic_wo_chain:{ *:[i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  364505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364509 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364519 */     GIR_RootConstrainSelectedInstOperands,
     /*  364520 */     // GIR_Coverage, 23332,
     /*  364520 */     GIR_EraseRootFromParent_Done,
     /*  364521 */   // Label 6624: @364521
     /*  364521 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(364584), // Rule ID 23333 //
     /*  364526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  364529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  364537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  364540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364565 */     // (intrinsic_wo_chain:{ *:[i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  364568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364572 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364582 */     GIR_RootConstrainSelectedInstOperands,
     /*  364583 */     // GIR_Coverage, 23333,
     /*  364583 */     GIR_EraseRootFromParent_Done,
     /*  364584 */   // Label 6625: @364584
     /*  364584 */   GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(364647), // Rule ID 23336 //
     /*  364589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  364592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  364600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  364603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364628 */     // (intrinsic_wo_chain:{ *:[i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  364631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364635 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364645 */     GIR_RootConstrainSelectedInstOperands,
     /*  364646 */     // GIR_Coverage, 23336,
     /*  364646 */     GIR_EraseRootFromParent_Done,
     /*  364647 */   // Label 6626: @364647
     /*  364647 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(364710), // Rule ID 23337 //
     /*  364652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  364655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  364663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  364666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364691 */     // (intrinsic_wo_chain:{ *:[i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  364694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364698 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364708 */     GIR_RootConstrainSelectedInstOperands,
     /*  364709 */     // GIR_Coverage, 23337,
     /*  364709 */     GIR_EraseRootFromParent_Done,
     /*  364710 */   // Label 6627: @364710
     /*  364710 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(364773), // Rule ID 23340 //
     /*  364715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  364718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  364726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  364729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364754 */     // (intrinsic_wo_chain:{ *:[i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  364757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364761 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364771 */     GIR_RootConstrainSelectedInstOperands,
     /*  364772 */     // GIR_Coverage, 23340,
     /*  364772 */     GIR_EraseRootFromParent_Done,
     /*  364773 */   // Label 6628: @364773
     /*  364773 */   GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(364836), // Rule ID 23341 //
     /*  364778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  364781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  364789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  364792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364817 */     // (intrinsic_wo_chain:{ *:[i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  364820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364824 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364834 */     GIR_RootConstrainSelectedInstOperands,
     /*  364835 */     // GIR_Coverage, 23341,
     /*  364835 */     GIR_EraseRootFromParent_Done,
     /*  364836 */   // Label 6629: @364836
     /*  364836 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(364899), // Rule ID 23344 //
     /*  364841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  364844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  364852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364880 */     // (intrinsic_wo_chain:{ *:[i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  364883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364887 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364897 */     GIR_RootConstrainSelectedInstOperands,
     /*  364898 */     // GIR_Coverage, 23344,
     /*  364898 */     GIR_EraseRootFromParent_Done,
     /*  364899 */   // Label 6630: @364899
     /*  364899 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(364962), // Rule ID 23345 //
     /*  364904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  364907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  364912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  364915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  364928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  364936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364943 */     // (intrinsic_wo_chain:{ *:[i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  364946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364950 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  364952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364960 */     GIR_RootConstrainSelectedInstOperands,
     /*  364961 */     // GIR_Coverage, 23345,
     /*  364961 */     GIR_EraseRootFromParent_Done,
     /*  364962 */   // Label 6631: @364962
     /*  364962 */   GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(365028), // Rule ID 23426 //
     /*  364967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  364978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  364981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365006 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  365009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365026 */     GIR_RootConstrainSelectedInstOperands,
     /*  365027 */     // GIR_Coverage, 23426,
     /*  365027 */     GIR_EraseRootFromParent_Done,
     /*  365028 */   // Label 6632: @365028
     /*  365028 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(365094), // Rule ID 23427 //
     /*  365033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  365044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  365047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365072 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  365075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365092 */     GIR_RootConstrainSelectedInstOperands,
     /*  365093 */     // GIR_Coverage, 23427,
     /*  365093 */     GIR_EraseRootFromParent_Done,
     /*  365094 */   // Label 6633: @365094
     /*  365094 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(365160), // Rule ID 23430 //
     /*  365099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  365110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  365113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365138 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  365141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365158 */     GIR_RootConstrainSelectedInstOperands,
     /*  365159 */     // GIR_Coverage, 23430,
     /*  365159 */     GIR_EraseRootFromParent_Done,
     /*  365160 */   // Label 6634: @365160
     /*  365160 */   GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(365226), // Rule ID 23431 //
     /*  365165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  365176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  365179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365204 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  365207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365224 */     GIR_RootConstrainSelectedInstOperands,
     /*  365225 */     // GIR_Coverage, 23431,
     /*  365225 */     GIR_EraseRootFromParent_Done,
     /*  365226 */   // Label 6635: @365226
     /*  365226 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(365292), // Rule ID 23434 //
     /*  365231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  365242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  365245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365270 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  365273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365290 */     GIR_RootConstrainSelectedInstOperands,
     /*  365291 */     // GIR_Coverage, 23434,
     /*  365291 */     GIR_EraseRootFromParent_Done,
     /*  365292 */   // Label 6636: @365292
     /*  365292 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(365358), // Rule ID 23435 //
     /*  365297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  365308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  365311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  365339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365356 */     GIR_RootConstrainSelectedInstOperands,
     /*  365357 */     // GIR_Coverage, 23435,
     /*  365357 */     GIR_EraseRootFromParent_Done,
     /*  365358 */   // Label 6637: @365358
     /*  365358 */   GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(365424), // Rule ID 23438 //
     /*  365363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  365374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  365377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  365405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365422 */     GIR_RootConstrainSelectedInstOperands,
     /*  365423 */     // GIR_Coverage, 23438,
     /*  365423 */     GIR_EraseRootFromParent_Done,
     /*  365424 */   // Label 6638: @365424
     /*  365424 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(365490), // Rule ID 23439 //
     /*  365429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  365440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  365443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365468 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  365471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365488 */     GIR_RootConstrainSelectedInstOperands,
     /*  365489 */     // GIR_Coverage, 23439,
     /*  365489 */     GIR_EraseRootFromParent_Done,
     /*  365490 */   // Label 6639: @365490
     /*  365490 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(365556), // Rule ID 23442 //
     /*  365495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  365506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  365509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  365534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  365537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365554 */     GIR_RootConstrainSelectedInstOperands,
     /*  365555 */     // GIR_Coverage, 23442,
     /*  365555 */     GIR_EraseRootFromParent_Done,
     /*  365556 */   // Label 6640: @365556
     /*  365556 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(365622), // Rule ID 23443 //
     /*  365561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  365572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  365575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365600 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  365600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  365603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365620 */     GIR_RootConstrainSelectedInstOperands,
     /*  365621 */     // GIR_Coverage, 23443,
     /*  365621 */     GIR_EraseRootFromParent_Done,
     /*  365622 */   // Label 6641: @365622
     /*  365622 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(365688), // Rule ID 23446 //
     /*  365627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  365638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  365641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365666 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365686 */     GIR_RootConstrainSelectedInstOperands,
     /*  365687 */     // GIR_Coverage, 23446,
     /*  365687 */     GIR_EraseRootFromParent_Done,
     /*  365688 */   // Label 6642: @365688
     /*  365688 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(365754), // Rule ID 23447 //
     /*  365693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  365704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  365707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365752 */     GIR_RootConstrainSelectedInstOperands,
     /*  365753 */     // GIR_Coverage, 23447,
     /*  365753 */     GIR_EraseRootFromParent_Done,
     /*  365754 */   // Label 6643: @365754
     /*  365754 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(365820), // Rule ID 23450 //
     /*  365759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  365770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  365773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365818 */     GIR_RootConstrainSelectedInstOperands,
     /*  365819 */     // GIR_Coverage, 23450,
     /*  365819 */     GIR_EraseRootFromParent_Done,
     /*  365820 */   // Label 6644: @365820
     /*  365820 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(365886), // Rule ID 23451 //
     /*  365825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  365836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  365839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365884 */     GIR_RootConstrainSelectedInstOperands,
     /*  365885 */     // GIR_Coverage, 23451,
     /*  365885 */     GIR_EraseRootFromParent_Done,
     /*  365886 */   // Label 6645: @365886
     /*  365886 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(365952), // Rule ID 23454 //
     /*  365891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  365902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  365905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  365930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365950 */     GIR_RootConstrainSelectedInstOperands,
     /*  365951 */     // GIR_Coverage, 23454,
     /*  365951 */     GIR_EraseRootFromParent_Done,
     /*  365952 */   // Label 6646: @365952
     /*  365952 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(366018), // Rule ID 23455 //
     /*  365957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  365968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  365971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  365996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366016 */     GIR_RootConstrainSelectedInstOperands,
     /*  366017 */     // GIR_Coverage, 23455,
     /*  366017 */     GIR_EraseRootFromParent_Done,
     /*  366018 */   // Label 6647: @366018
     /*  366018 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(366084), // Rule ID 23458 //
     /*  366023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  366034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  366037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  366040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366062 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  366065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366082 */     GIR_RootConstrainSelectedInstOperands,
     /*  366083 */     // GIR_Coverage, 23458,
     /*  366083 */     GIR_EraseRootFromParent_Done,
     /*  366084 */   // Label 6648: @366084
     /*  366084 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(366150), // Rule ID 23459 //
     /*  366089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  366092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  366100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  366103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  366106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  366131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366148 */     GIR_RootConstrainSelectedInstOperands,
     /*  366149 */     // GIR_Coverage, 23459,
     /*  366149 */     GIR_EraseRootFromParent_Done,
     /*  366150 */   // Label 6649: @366150
     /*  366150 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(366216), // Rule ID 23462 //
     /*  366155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  366166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  366169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366194 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366214 */     GIR_RootConstrainSelectedInstOperands,
     /*  366215 */     // GIR_Coverage, 23462,
     /*  366215 */     GIR_EraseRootFromParent_Done,
     /*  366216 */   // Label 6650: @366216
     /*  366216 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(366282), // Rule ID 23463 //
     /*  366221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  366232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  366235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366260 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366280 */     GIR_RootConstrainSelectedInstOperands,
     /*  366281 */     // GIR_Coverage, 23463,
     /*  366281 */     GIR_EraseRootFromParent_Done,
     /*  366282 */   // Label 6651: @366282
     /*  366282 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(366348), // Rule ID 23466 //
     /*  366287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  366298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  366301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366326 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366346 */     GIR_RootConstrainSelectedInstOperands,
     /*  366347 */     // GIR_Coverage, 23466,
     /*  366347 */     GIR_EraseRootFromParent_Done,
     /*  366348 */   // Label 6652: @366348
     /*  366348 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(366414), // Rule ID 23467 //
     /*  366353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  366364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  366367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366392 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366412 */     GIR_RootConstrainSelectedInstOperands,
     /*  366413 */     // GIR_Coverage, 23467,
     /*  366413 */     GIR_EraseRootFromParent_Done,
     /*  366414 */   // Label 6653: @366414
     /*  366414 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(366480), // Rule ID 23470 //
     /*  366419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  366430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  366433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  366436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366458 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366478 */     GIR_RootConstrainSelectedInstOperands,
     /*  366479 */     // GIR_Coverage, 23470,
     /*  366479 */     GIR_EraseRootFromParent_Done,
     /*  366480 */   // Label 6654: @366480
     /*  366480 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(366546), // Rule ID 23471 //
     /*  366485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  366496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  366499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  366502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366524 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366544 */     GIR_RootConstrainSelectedInstOperands,
     /*  366545 */     // GIR_Coverage, 23471,
     /*  366545 */     GIR_EraseRootFromParent_Done,
     /*  366546 */   // Label 6655: @366546
     /*  366546 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(366612), // Rule ID 23474 //
     /*  366551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  366562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  366565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366590 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  366590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366610 */     GIR_RootConstrainSelectedInstOperands,
     /*  366611 */     // GIR_Coverage, 23474,
     /*  366611 */     GIR_EraseRootFromParent_Done,
     /*  366612 */   // Label 6656: @366612
     /*  366612 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(366678), // Rule ID 23475 //
     /*  366617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  366628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  366631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366656 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  366656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366676 */     GIR_RootConstrainSelectedInstOperands,
     /*  366677 */     // GIR_Coverage, 23475,
     /*  366677 */     GIR_EraseRootFromParent_Done,
     /*  366678 */   // Label 6657: @366678
     /*  366678 */   GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(366744), // Rule ID 23478 //
     /*  366683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  366694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  366697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366722 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  366722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366742 */     GIR_RootConstrainSelectedInstOperands,
     /*  366743 */     // GIR_Coverage, 23478,
     /*  366743 */     GIR_EraseRootFromParent_Done,
     /*  366744 */   // Label 6658: @366744
     /*  366744 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(366810), // Rule ID 23479 //
     /*  366749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  366760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  366763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366788 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  366788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366808 */     GIR_RootConstrainSelectedInstOperands,
     /*  366809 */     // GIR_Coverage, 23479,
     /*  366809 */     GIR_EraseRootFromParent_Done,
     /*  366810 */   // Label 6659: @366810
     /*  366810 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(366876), // Rule ID 23482 //
     /*  366815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  366826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  366829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366854 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  366854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366874 */     GIR_RootConstrainSelectedInstOperands,
     /*  366875 */     // GIR_Coverage, 23482,
     /*  366875 */     GIR_EraseRootFromParent_Done,
     /*  366876 */   // Label 6660: @366876
     /*  366876 */   GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(366942), // Rule ID 23483 //
     /*  366881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  366892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  366895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366920 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  366920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366940 */     GIR_RootConstrainSelectedInstOperands,
     /*  366941 */     // GIR_Coverage, 23483,
     /*  366941 */     GIR_EraseRootFromParent_Done,
     /*  366942 */   // Label 6661: @366942
     /*  366942 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(367008), // Rule ID 23486 //
     /*  366947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  366958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  366961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366986 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367006 */     GIR_RootConstrainSelectedInstOperands,
     /*  367007 */     // GIR_Coverage, 23486,
     /*  367007 */     GIR_EraseRootFromParent_Done,
     /*  367008 */   // Label 6662: @367008
     /*  367008 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(367074), // Rule ID 23487 //
     /*  367013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  367021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  367024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  367027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  367030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  367055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367072 */     GIR_RootConstrainSelectedInstOperands,
     /*  367073 */     // GIR_Coverage, 23487,
     /*  367073 */     GIR_EraseRootFromParent_Done,
     /*  367074 */   // Label 6663: @367074
     /*  367074 */   GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(367140), // Rule ID 23490 //
     /*  367079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  367087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  367090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  367093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  367121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367138 */     GIR_RootConstrainSelectedInstOperands,
     /*  367139 */     // GIR_Coverage, 23490,
     /*  367139 */     GIR_EraseRootFromParent_Done,
     /*  367140 */   // Label 6664: @367140
     /*  367140 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(367206), // Rule ID 23491 //
     /*  367145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  367153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  367156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  367159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  367187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367204 */     GIR_RootConstrainSelectedInstOperands,
     /*  367205 */     // GIR_Coverage, 23491,
     /*  367205 */     GIR_EraseRootFromParent_Done,
     /*  367206 */   // Label 6665: @367206
     /*  367206 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(367272), // Rule ID 23494 //
     /*  367211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  367219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  367222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  367225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  367228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  367253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367270 */     GIR_RootConstrainSelectedInstOperands,
     /*  367271 */     // GIR_Coverage, 23494,
     /*  367271 */     GIR_EraseRootFromParent_Done,
     /*  367272 */   // Label 6666: @367272
     /*  367272 */   GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(367338), // Rule ID 23495 //
     /*  367277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  367285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  367288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  367291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  367294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367316 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  367319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367336 */     GIR_RootConstrainSelectedInstOperands,
     /*  367337 */     // GIR_Coverage, 23495,
     /*  367337 */     GIR_EraseRootFromParent_Done,
     /*  367338 */   // Label 6667: @367338
     /*  367338 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(367404), // Rule ID 23498 //
     /*  367343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  367346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  367351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  367354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  367357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  367360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367382 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  367382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  367385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367402 */     GIR_RootConstrainSelectedInstOperands,
     /*  367403 */     // GIR_Coverage, 23498,
     /*  367403 */     GIR_EraseRootFromParent_Done,
     /*  367404 */   // Label 6668: @367404
     /*  367404 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(367470), // Rule ID 23499 //
     /*  367409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  367412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  367417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  367420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  367423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  367426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367448 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  367448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  367451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367468 */     GIR_RootConstrainSelectedInstOperands,
     /*  367469 */     // GIR_Coverage, 23499,
     /*  367469 */     GIR_EraseRootFromParent_Done,
     /*  367470 */   // Label 6669: @367470
     /*  367470 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(367536), // Rule ID 23502 //
     /*  367475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  367478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  367483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  367486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  367489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  367492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367514 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  367514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  367517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367534 */     GIR_RootConstrainSelectedInstOperands,
     /*  367535 */     // GIR_Coverage, 23502,
     /*  367535 */     GIR_EraseRootFromParent_Done,
     /*  367536 */   // Label 6670: @367536
     /*  367536 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(367602), // Rule ID 23503 //
     /*  367541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  367544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  367549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  367552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  367555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  367558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367580 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  367580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  367583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367600 */     GIR_RootConstrainSelectedInstOperands,
     /*  367601 */     // GIR_Coverage, 23503,
     /*  367601 */     GIR_EraseRootFromParent_Done,
     /*  367602 */   // Label 6671: @367602
     /*  367602 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(367668), // Rule ID 23506 //
     /*  367607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  367610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  367615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  367618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  367621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  367646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  367649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367666 */     GIR_RootConstrainSelectedInstOperands,
     /*  367667 */     // GIR_Coverage, 23506,
     /*  367667 */     GIR_EraseRootFromParent_Done,
     /*  367668 */   // Label 6672: @367668
     /*  367668 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(367734), // Rule ID 23507 //
     /*  367673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  367676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  367681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  367684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  367687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367712 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  367712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  367715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367732 */     GIR_RootConstrainSelectedInstOperands,
     /*  367733 */     // GIR_Coverage, 23507,
     /*  367733 */     GIR_EraseRootFromParent_Done,
     /*  367734 */   // Label 6673: @367734
     /*  367734 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(367800), // Rule ID 60622 //
     /*  367739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  367750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  367753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  367756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367778 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  367781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367798 */     GIR_RootConstrainSelectedInstOperands,
     /*  367799 */     // GIR_Coverage, 60622,
     /*  367799 */     GIR_EraseRootFromParent_Done,
     /*  367800 */   // Label 6674: @367800
     /*  367800 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(367866), // Rule ID 60623 //
     /*  367805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  367816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  367819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  367822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367844 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  367847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367864 */     GIR_RootConstrainSelectedInstOperands,
     /*  367865 */     // GIR_Coverage, 60623,
     /*  367865 */     GIR_EraseRootFromParent_Done,
     /*  367866 */   // Label 6675: @367866
     /*  367866 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(367932), // Rule ID 60626 //
     /*  367871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  367882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  367885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  367888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367910 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367930 */     GIR_RootConstrainSelectedInstOperands,
     /*  367931 */     // GIR_Coverage, 60626,
     /*  367931 */     GIR_EraseRootFromParent_Done,
     /*  367932 */   // Label 6676: @367932
     /*  367932 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(367998), // Rule ID 60627 //
     /*  367937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  367948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  367951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  367954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367976 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367996 */     GIR_RootConstrainSelectedInstOperands,
     /*  367997 */     // GIR_Coverage, 60627,
     /*  367997 */     GIR_EraseRootFromParent_Done,
     /*  367998 */   // Label 6677: @367998
     /*  367998 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(368064), // Rule ID 60630 //
     /*  368003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  368014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  368017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  368020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368042 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  368045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368062 */     GIR_RootConstrainSelectedInstOperands,
     /*  368063 */     // GIR_Coverage, 60630,
     /*  368063 */     GIR_EraseRootFromParent_Done,
     /*  368064 */   // Label 6678: @368064
     /*  368064 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(368130), // Rule ID 60631 //
     /*  368069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  368080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  368083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  368086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  368111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368128 */     GIR_RootConstrainSelectedInstOperands,
     /*  368129 */     // GIR_Coverage, 60631,
     /*  368129 */     GIR_EraseRootFromParent_Done,
     /*  368130 */   // Label 6679: @368130
     /*  368130 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(368196), // Rule ID 60634 //
     /*  368135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  368146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  368149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  368152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  368177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368194 */     GIR_RootConstrainSelectedInstOperands,
     /*  368195 */     // GIR_Coverage, 60634,
     /*  368195 */     GIR_EraseRootFromParent_Done,
     /*  368196 */   // Label 6680: @368196
     /*  368196 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(368262), // Rule ID 60635 //
     /*  368201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  368212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  368215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  368218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368240 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  368243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368260 */     GIR_RootConstrainSelectedInstOperands,
     /*  368261 */     // GIR_Coverage, 60635,
     /*  368261 */     GIR_EraseRootFromParent_Done,
     /*  368262 */   // Label 6681: @368262
     /*  368262 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(368328), // Rule ID 60638 //
     /*  368267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  368278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  368281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  368284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368306 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  368309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368326 */     GIR_RootConstrainSelectedInstOperands,
     /*  368327 */     // GIR_Coverage, 60638,
     /*  368327 */     GIR_EraseRootFromParent_Done,
     /*  368328 */   // Label 6682: @368328
     /*  368328 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(368394), // Rule ID 60639 //
     /*  368333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  368344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  368347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  368350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  368375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368392 */     GIR_RootConstrainSelectedInstOperands,
     /*  368393 */     // GIR_Coverage, 60639,
     /*  368393 */     GIR_EraseRootFromParent_Done,
     /*  368394 */   // Label 6683: @368394
     /*  368394 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(368460), // Rule ID 60642 //
     /*  368399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  368410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  368413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  368416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368438 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  368441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368458 */     GIR_RootConstrainSelectedInstOperands,
     /*  368459 */     // GIR_Coverage, 60642,
     /*  368459 */     GIR_EraseRootFromParent_Done,
     /*  368460 */   // Label 6684: @368460
     /*  368460 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(368526), // Rule ID 60643 //
     /*  368465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  368476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  368479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  368482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368504 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  368504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  368507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368524 */     GIR_RootConstrainSelectedInstOperands,
     /*  368525 */     // GIR_Coverage, 60643,
     /*  368525 */     GIR_EraseRootFromParent_Done,
     /*  368526 */   // Label 6685: @368526
     /*  368526 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(368592), // Rule ID 60646 //
     /*  368531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  368542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  368545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  368548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368570 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368590 */     GIR_RootConstrainSelectedInstOperands,
     /*  368591 */     // GIR_Coverage, 60646,
     /*  368591 */     GIR_EraseRootFromParent_Done,
     /*  368592 */   // Label 6686: @368592
     /*  368592 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(368658), // Rule ID 60647 //
     /*  368597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  368608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  368611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  368614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368656 */     GIR_RootConstrainSelectedInstOperands,
     /*  368657 */     // GIR_Coverage, 60647,
     /*  368657 */     GIR_EraseRootFromParent_Done,
     /*  368658 */   // Label 6687: @368658
     /*  368658 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(368724), // Rule ID 60650 //
     /*  368663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  368674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  368677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  368680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368722 */     GIR_RootConstrainSelectedInstOperands,
     /*  368723 */     // GIR_Coverage, 60650,
     /*  368723 */     GIR_EraseRootFromParent_Done,
     /*  368724 */   // Label 6688: @368724
     /*  368724 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(368790), // Rule ID 60651 //
     /*  368729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  368740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  368743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  368746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368768 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368788 */     GIR_RootConstrainSelectedInstOperands,
     /*  368789 */     // GIR_Coverage, 60651,
     /*  368789 */     GIR_EraseRootFromParent_Done,
     /*  368790 */   // Label 6689: @368790
     /*  368790 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(368856), // Rule ID 60654 //
     /*  368795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  368806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  368809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  368812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368854 */     GIR_RootConstrainSelectedInstOperands,
     /*  368855 */     // GIR_Coverage, 60654,
     /*  368855 */     GIR_EraseRootFromParent_Done,
     /*  368856 */   // Label 6690: @368856
     /*  368856 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(368922), // Rule ID 60655 //
     /*  368861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  368872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  368875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  368878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  368900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368920 */     GIR_RootConstrainSelectedInstOperands,
     /*  368921 */     // GIR_Coverage, 60655,
     /*  368921 */     GIR_EraseRootFromParent_Done,
     /*  368922 */   // Label 6691: @368922
     /*  368922 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(368988), // Rule ID 60658 //
     /*  368927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  368938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  368941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  368944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368966 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  368966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  368969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  368983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368986 */     GIR_RootConstrainSelectedInstOperands,
     /*  368987 */     // GIR_Coverage, 60658,
     /*  368987 */     GIR_EraseRootFromParent_Done,
     /*  368988 */   // Label 6692: @368988
     /*  368988 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(369054), // Rule ID 60659 //
     /*  368993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  369004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  369007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  369010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  369035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369052 */     GIR_RootConstrainSelectedInstOperands,
     /*  369053 */     // GIR_Coverage, 60659,
     /*  369053 */     GIR_EraseRootFromParent_Done,
     /*  369054 */   // Label 6693: @369054
     /*  369054 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(369120), // Rule ID 60662 //
     /*  369059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  369070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  369073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  369076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369098 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369118 */     GIR_RootConstrainSelectedInstOperands,
     /*  369119 */     // GIR_Coverage, 60662,
     /*  369119 */     GIR_EraseRootFromParent_Done,
     /*  369120 */   // Label 6694: @369120
     /*  369120 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(369186), // Rule ID 60663 //
     /*  369125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  369136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  369139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  369142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369164 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369184 */     GIR_RootConstrainSelectedInstOperands,
     /*  369185 */     // GIR_Coverage, 60663,
     /*  369185 */     GIR_EraseRootFromParent_Done,
     /*  369186 */   // Label 6695: @369186
     /*  369186 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(369252), // Rule ID 60666 //
     /*  369191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  369202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  369205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  369208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369230 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369250 */     GIR_RootConstrainSelectedInstOperands,
     /*  369251 */     // GIR_Coverage, 60666,
     /*  369251 */     GIR_EraseRootFromParent_Done,
     /*  369252 */   // Label 6696: @369252
     /*  369252 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(369318), // Rule ID 60667 //
     /*  369257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  369268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  369271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  369274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369296 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369316 */     GIR_RootConstrainSelectedInstOperands,
     /*  369317 */     // GIR_Coverage, 60667,
     /*  369317 */     GIR_EraseRootFromParent_Done,
     /*  369318 */   // Label 6697: @369318
     /*  369318 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(369384), // Rule ID 60670 //
     /*  369323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  369334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  369337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  369340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369362 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369382 */     GIR_RootConstrainSelectedInstOperands,
     /*  369383 */     // GIR_Coverage, 60670,
     /*  369383 */     GIR_EraseRootFromParent_Done,
     /*  369384 */   // Label 6698: @369384
     /*  369384 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(369450), // Rule ID 60671 //
     /*  369389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  369400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  369403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  369406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369428 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369448 */     GIR_RootConstrainSelectedInstOperands,
     /*  369449 */     // GIR_Coverage, 60671,
     /*  369449 */     GIR_EraseRootFromParent_Done,
     /*  369450 */   // Label 6699: @369450
     /*  369450 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(369516), // Rule ID 60674 //
     /*  369455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  369466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  369469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  369472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369514 */     GIR_RootConstrainSelectedInstOperands,
     /*  369515 */     // GIR_Coverage, 60674,
     /*  369515 */     GIR_EraseRootFromParent_Done,
     /*  369516 */   // Label 6700: @369516
     /*  369516 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(369582), // Rule ID 60675 //
     /*  369521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  369532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  369535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  369538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369560 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369580 */     GIR_RootConstrainSelectedInstOperands,
     /*  369581 */     // GIR_Coverage, 60675,
     /*  369581 */     GIR_EraseRootFromParent_Done,
     /*  369582 */   // Label 6701: @369582
     /*  369582 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(369648), // Rule ID 60678 //
     /*  369587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  369598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  369601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  369604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369646 */     GIR_RootConstrainSelectedInstOperands,
     /*  369647 */     // GIR_Coverage, 60678,
     /*  369647 */     GIR_EraseRootFromParent_Done,
     /*  369648 */   // Label 6702: @369648
     /*  369648 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(369714), // Rule ID 60679 //
     /*  369653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  369664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  369667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  369670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369692 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369712 */     GIR_RootConstrainSelectedInstOperands,
     /*  369713 */     // GIR_Coverage, 60679,
     /*  369713 */     GIR_EraseRootFromParent_Done,
     /*  369714 */   // Label 6703: @369714
     /*  369714 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(369780), // Rule ID 60682 //
     /*  369719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  369730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  369733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  369736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369778 */     GIR_RootConstrainSelectedInstOperands,
     /*  369779 */     // GIR_Coverage, 60682,
     /*  369779 */     GIR_EraseRootFromParent_Done,
     /*  369780 */   // Label 6704: @369780
     /*  369780 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(369846), // Rule ID 60683 //
     /*  369785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  369796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  369799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  369802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369824 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369844 */     GIR_RootConstrainSelectedInstOperands,
     /*  369845 */     // GIR_Coverage, 60683,
     /*  369845 */     GIR_EraseRootFromParent_Done,
     /*  369846 */   // Label 6705: @369846
     /*  369846 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(369912), // Rule ID 60686 //
     /*  369851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  369862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  369865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  369868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369890 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369910 */     GIR_RootConstrainSelectedInstOperands,
     /*  369911 */     // GIR_Coverage, 60686,
     /*  369911 */     GIR_EraseRootFromParent_Done,
     /*  369912 */   // Label 6706: @369912
     /*  369912 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(369978), // Rule ID 60687 //
     /*  369917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  369928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  369931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  369934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369956 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369976 */     GIR_RootConstrainSelectedInstOperands,
     /*  369977 */     // GIR_Coverage, 60687,
     /*  369977 */     GIR_EraseRootFromParent_Done,
     /*  369978 */   // Label 6707: @369978
     /*  369978 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(370044), // Rule ID 60690 //
     /*  369983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  369994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  369997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  370000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  370025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370042 */     GIR_RootConstrainSelectedInstOperands,
     /*  370043 */     // GIR_Coverage, 60690,
     /*  370043 */     GIR_EraseRootFromParent_Done,
     /*  370044 */   // Label 6708: @370044
     /*  370044 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(370110), // Rule ID 60691 //
     /*  370049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  370057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  370060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  370063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  370066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370088 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  370091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370108 */     GIR_RootConstrainSelectedInstOperands,
     /*  370109 */     // GIR_Coverage, 60691,
     /*  370109 */     GIR_EraseRootFromParent_Done,
     /*  370110 */   // Label 6709: @370110
     /*  370110 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(370176), // Rule ID 60694 //
     /*  370115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  370123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  370126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  370129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  370132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370154 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  370157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370174 */     GIR_RootConstrainSelectedInstOperands,
     /*  370175 */     // GIR_Coverage, 60694,
     /*  370175 */     GIR_EraseRootFromParent_Done,
     /*  370176 */   // Label 6710: @370176
     /*  370176 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(370242), // Rule ID 60695 //
     /*  370181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  370189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  370192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  370195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  370198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370220 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  370223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370240 */     GIR_RootConstrainSelectedInstOperands,
     /*  370241 */     // GIR_Coverage, 60695,
     /*  370241 */     GIR_EraseRootFromParent_Done,
     /*  370242 */   // Label 6711: @370242
     /*  370242 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(370308), // Rule ID 60698 //
     /*  370247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  370255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  370258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  370261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  370264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370286 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  370286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  370289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370306 */     GIR_RootConstrainSelectedInstOperands,
     /*  370307 */     // GIR_Coverage, 60698,
     /*  370307 */     GIR_EraseRootFromParent_Done,
     /*  370308 */   // Label 6712: @370308
     /*  370308 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(370374), // Rule ID 60699 //
     /*  370313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  370321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  370324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  370327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  370330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  370352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  370355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370372 */     GIR_RootConstrainSelectedInstOperands,
     /*  370373 */     // GIR_Coverage, 60699,
     /*  370373 */     GIR_EraseRootFromParent_Done,
     /*  370374 */   // Label 6713: @370374
     /*  370374 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(370440), // Rule ID 60702 //
     /*  370379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  370387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  370390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  370393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  370396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370418 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  370418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  370421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370438 */     GIR_RootConstrainSelectedInstOperands,
     /*  370439 */     // GIR_Coverage, 60702,
     /*  370439 */     GIR_EraseRootFromParent_Done,
     /*  370440 */   // Label 6714: @370440
     /*  370440 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(370506), // Rule ID 60703 //
     /*  370445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  370453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  370456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  370459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  370462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  370484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  370487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370504 */     GIR_RootConstrainSelectedInstOperands,
     /*  370505 */     // GIR_Coverage, 60703,
     /*  370505 */     GIR_EraseRootFromParent_Done,
     /*  370506 */   // Label 6715: @370506
     /*  370506 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(370572), // Rule ID 60706 //
     /*  370511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  370519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  370522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  370525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  370528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370550 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  370550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  370553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370570 */     GIR_RootConstrainSelectedInstOperands,
     /*  370571 */     // GIR_Coverage, 60706,
     /*  370571 */     GIR_EraseRootFromParent_Done,
     /*  370572 */   // Label 6716: @370572
     /*  370572 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(370638), // Rule ID 60707 //
     /*  370577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  370585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  370588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  370591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  370594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370616 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  370616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  370619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370636 */     GIR_RootConstrainSelectedInstOperands,
     /*  370637 */     // GIR_Coverage, 60707,
     /*  370637 */     GIR_EraseRootFromParent_Done,
     /*  370638 */   // Label 6717: @370638
     /*  370638 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(370704), // Rule ID 60710 //
     /*  370643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  370654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  370657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  370660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370682 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  370685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370702 */     GIR_RootConstrainSelectedInstOperands,
     /*  370703 */     // GIR_Coverage, 60710,
     /*  370703 */     GIR_EraseRootFromParent_Done,
     /*  370704 */   // Label 6718: @370704
     /*  370704 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(370770), // Rule ID 60711 //
     /*  370709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  370720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  370723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  370726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370748 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  370751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370768 */     GIR_RootConstrainSelectedInstOperands,
     /*  370769 */     // GIR_Coverage, 60711,
     /*  370769 */     GIR_EraseRootFromParent_Done,
     /*  370770 */   // Label 6719: @370770
     /*  370770 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(370836), // Rule ID 60714 //
     /*  370775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  370786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  370789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  370792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370814 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  370817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370834 */     GIR_RootConstrainSelectedInstOperands,
     /*  370835 */     // GIR_Coverage, 60714,
     /*  370835 */     GIR_EraseRootFromParent_Done,
     /*  370836 */   // Label 6720: @370836
     /*  370836 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(370902), // Rule ID 60715 //
     /*  370841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  370852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  370855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  370858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370880 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  370883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370900 */     GIR_RootConstrainSelectedInstOperands,
     /*  370901 */     // GIR_Coverage, 60715,
     /*  370901 */     GIR_EraseRootFromParent_Done,
     /*  370902 */   // Label 6721: @370902
     /*  370902 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(370968), // Rule ID 60718 //
     /*  370907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  370918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  370921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  370924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370946 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370966 */     GIR_RootConstrainSelectedInstOperands,
     /*  370967 */     // GIR_Coverage, 60718,
     /*  370967 */     GIR_EraseRootFromParent_Done,
     /*  370968 */   // Label 6722: @370968
     /*  370968 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(371034), // Rule ID 60719 //
     /*  370973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  370984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  370987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  370990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371012 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  371015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371032 */     GIR_RootConstrainSelectedInstOperands,
     /*  371033 */     // GIR_Coverage, 60719,
     /*  371033 */     GIR_EraseRootFromParent_Done,
     /*  371034 */   // Label 6723: @371034
     /*  371034 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(371100), // Rule ID 60722 //
     /*  371039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  371050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  371053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  371056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371078 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  371081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371098 */     GIR_RootConstrainSelectedInstOperands,
     /*  371099 */     // GIR_Coverage, 60722,
     /*  371099 */     GIR_EraseRootFromParent_Done,
     /*  371100 */   // Label 6724: @371100
     /*  371100 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(371166), // Rule ID 60723 //
     /*  371105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  371116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  371119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  371122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371144 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  371147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371164 */     GIR_RootConstrainSelectedInstOperands,
     /*  371165 */     // GIR_Coverage, 60723,
     /*  371165 */     GIR_EraseRootFromParent_Done,
     /*  371166 */   // Label 6725: @371166
     /*  371166 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(371232), // Rule ID 60726 //
     /*  371171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  371182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  371185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  371188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371210 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  371213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371230 */     GIR_RootConstrainSelectedInstOperands,
     /*  371231 */     // GIR_Coverage, 60726,
     /*  371231 */     GIR_EraseRootFromParent_Done,
     /*  371232 */   // Label 6726: @371232
     /*  371232 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(371298), // Rule ID 60727 //
     /*  371237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  371248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  371251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  371254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371276 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  371279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371296 */     GIR_RootConstrainSelectedInstOperands,
     /*  371297 */     // GIR_Coverage, 60727,
     /*  371297 */     GIR_EraseRootFromParent_Done,
     /*  371298 */   // Label 6727: @371298
     /*  371298 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(371364), // Rule ID 60730 //
     /*  371303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  371314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  371317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  371320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  371345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371362 */     GIR_RootConstrainSelectedInstOperands,
     /*  371363 */     // GIR_Coverage, 60730,
     /*  371363 */     GIR_EraseRootFromParent_Done,
     /*  371364 */   // Label 6728: @371364
     /*  371364 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(371430), // Rule ID 60731 //
     /*  371369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  371380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  371383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  371386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  371411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371428 */     GIR_RootConstrainSelectedInstOperands,
     /*  371429 */     // GIR_Coverage, 60731,
     /*  371429 */     GIR_EraseRootFromParent_Done,
     /*  371430 */   // Label 6729: @371430
     /*  371430 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(371496), // Rule ID 60734 //
     /*  371435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  371446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  371449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  371452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371474 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371494 */     GIR_RootConstrainSelectedInstOperands,
     /*  371495 */     // GIR_Coverage, 60734,
     /*  371495 */     GIR_EraseRootFromParent_Done,
     /*  371496 */   // Label 6730: @371496
     /*  371496 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(371562), // Rule ID 60735 //
     /*  371501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  371512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  371515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  371518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371560 */     GIR_RootConstrainSelectedInstOperands,
     /*  371561 */     // GIR_Coverage, 60735,
     /*  371561 */     GIR_EraseRootFromParent_Done,
     /*  371562 */   // Label 6731: @371562
     /*  371562 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(371628), // Rule ID 60738 //
     /*  371567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  371578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  371581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  371584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371606 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371626 */     GIR_RootConstrainSelectedInstOperands,
     /*  371627 */     // GIR_Coverage, 60738,
     /*  371627 */     GIR_EraseRootFromParent_Done,
     /*  371628 */   // Label 6732: @371628
     /*  371628 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(371694), // Rule ID 60739 //
     /*  371633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  371644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  371647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  371650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371692 */     GIR_RootConstrainSelectedInstOperands,
     /*  371693 */     // GIR_Coverage, 60739,
     /*  371693 */     GIR_EraseRootFromParent_Done,
     /*  371694 */   // Label 6733: @371694
     /*  371694 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(371760), // Rule ID 60742 //
     /*  371699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  371710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  371713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  371716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371738 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371758 */     GIR_RootConstrainSelectedInstOperands,
     /*  371759 */     // GIR_Coverage, 60742,
     /*  371759 */     GIR_EraseRootFromParent_Done,
     /*  371760 */   // Label 6734: @371760
     /*  371760 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(371826), // Rule ID 60743 //
     /*  371765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  371776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  371779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  371782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371824 */     GIR_RootConstrainSelectedInstOperands,
     /*  371825 */     // GIR_Coverage, 60743,
     /*  371825 */     GIR_EraseRootFromParent_Done,
     /*  371826 */   // Label 6735: @371826
     /*  371826 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(371892), // Rule ID 60746 //
     /*  371831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  371842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  371845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  371848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371870 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371890 */     GIR_RootConstrainSelectedInstOperands,
     /*  371891 */     // GIR_Coverage, 60746,
     /*  371891 */     GIR_EraseRootFromParent_Done,
     /*  371892 */   // Label 6736: @371892
     /*  371892 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(371958), // Rule ID 60747 //
     /*  371897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  371908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  371911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  371914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  371936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  371939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371956 */     GIR_RootConstrainSelectedInstOperands,
     /*  371957 */     // GIR_Coverage, 60747,
     /*  371957 */     GIR_EraseRootFromParent_Done,
     /*  371958 */   // Label 6737: @371958
     /*  371958 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(372024), // Rule ID 60750 //
     /*  371963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  371974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  371977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  371980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372002 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372022 */     GIR_RootConstrainSelectedInstOperands,
     /*  372023 */     // GIR_Coverage, 60750,
     /*  372023 */     GIR_EraseRootFromParent_Done,
     /*  372024 */   // Label 6738: @372024
     /*  372024 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(372090), // Rule ID 60751 //
     /*  372029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  372040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  372043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  372046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372068 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372088 */     GIR_RootConstrainSelectedInstOperands,
     /*  372089 */     // GIR_Coverage, 60751,
     /*  372089 */     GIR_EraseRootFromParent_Done,
     /*  372090 */   // Label 6739: @372090
     /*  372090 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(372156), // Rule ID 60754 //
     /*  372095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  372106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  372109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  372112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372134 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372154 */     GIR_RootConstrainSelectedInstOperands,
     /*  372155 */     // GIR_Coverage, 60754,
     /*  372155 */     GIR_EraseRootFromParent_Done,
     /*  372156 */   // Label 6740: @372156
     /*  372156 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(372222), // Rule ID 60755 //
     /*  372161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  372172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  372175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  372178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372200 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372220 */     GIR_RootConstrainSelectedInstOperands,
     /*  372221 */     // GIR_Coverage, 60755,
     /*  372221 */     GIR_EraseRootFromParent_Done,
     /*  372222 */   // Label 6741: @372222
     /*  372222 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(372288), // Rule ID 60758 //
     /*  372227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  372238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  372241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  372244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372266 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372286 */     GIR_RootConstrainSelectedInstOperands,
     /*  372287 */     // GIR_Coverage, 60758,
     /*  372287 */     GIR_EraseRootFromParent_Done,
     /*  372288 */   // Label 6742: @372288
     /*  372288 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(372354), // Rule ID 60759 //
     /*  372293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  372304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  372307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  372310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372332 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372352 */     GIR_RootConstrainSelectedInstOperands,
     /*  372353 */     // GIR_Coverage, 60759,
     /*  372353 */     GIR_EraseRootFromParent_Done,
     /*  372354 */   // Label 6743: @372354
     /*  372354 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(372420), // Rule ID 60762 //
     /*  372359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  372370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  372373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  372376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372398 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372418 */     GIR_RootConstrainSelectedInstOperands,
     /*  372419 */     // GIR_Coverage, 60762,
     /*  372419 */     GIR_EraseRootFromParent_Done,
     /*  372420 */   // Label 6744: @372420
     /*  372420 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(372486), // Rule ID 60763 //
     /*  372425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  372436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  372439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  372442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372464 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372484 */     GIR_RootConstrainSelectedInstOperands,
     /*  372485 */     // GIR_Coverage, 60763,
     /*  372485 */     GIR_EraseRootFromParent_Done,
     /*  372486 */   // Label 6745: @372486
     /*  372486 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(372552), // Rule ID 60766 //
     /*  372491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  372502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  372505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  372508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372530 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372550 */     GIR_RootConstrainSelectedInstOperands,
     /*  372551 */     // GIR_Coverage, 60766,
     /*  372551 */     GIR_EraseRootFromParent_Done,
     /*  372552 */   // Label 6746: @372552
     /*  372552 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(372618), // Rule ID 60767 //
     /*  372557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  372568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  372571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  372574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372596 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372616 */     GIR_RootConstrainSelectedInstOperands,
     /*  372617 */     // GIR_Coverage, 60767,
     /*  372617 */     GIR_EraseRootFromParent_Done,
     /*  372618 */   // Label 6747: @372618
     /*  372618 */   GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(372684), // Rule ID 60770 //
     /*  372623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  372634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  372637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  372640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372662 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372682 */     GIR_RootConstrainSelectedInstOperands,
     /*  372683 */     // GIR_Coverage, 60770,
     /*  372683 */     GIR_EraseRootFromParent_Done,
     /*  372684 */   // Label 6748: @372684
     /*  372684 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(372750), // Rule ID 60771 //
     /*  372689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  372700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  372703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  372706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372728 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372748 */     GIR_RootConstrainSelectedInstOperands,
     /*  372749 */     // GIR_Coverage, 60771,
     /*  372749 */     GIR_EraseRootFromParent_Done,
     /*  372750 */   // Label 6749: @372750
     /*  372750 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(372816), // Rule ID 60774 //
     /*  372755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  372766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  372769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  372772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372814 */     GIR_RootConstrainSelectedInstOperands,
     /*  372815 */     // GIR_Coverage, 60774,
     /*  372815 */     GIR_EraseRootFromParent_Done,
     /*  372816 */   // Label 6750: @372816
     /*  372816 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(372882), // Rule ID 60775 //
     /*  372821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  372832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  372835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  372838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372860 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372880 */     GIR_RootConstrainSelectedInstOperands,
     /*  372881 */     // GIR_Coverage, 60775,
     /*  372881 */     GIR_EraseRootFromParent_Done,
     /*  372882 */   // Label 6751: @372882
     /*  372882 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(372948), // Rule ID 60778 //
     /*  372887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  372898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  372901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  372904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372946 */     GIR_RootConstrainSelectedInstOperands,
     /*  372947 */     // GIR_Coverage, 60778,
     /*  372947 */     GIR_EraseRootFromParent_Done,
     /*  372948 */   // Label 6752: @372948
     /*  372948 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(373014), // Rule ID 60779 //
     /*  372953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  372964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  372967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  372970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372992 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373012 */     GIR_RootConstrainSelectedInstOperands,
     /*  373013 */     // GIR_Coverage, 60779,
     /*  373013 */     GIR_EraseRootFromParent_Done,
     /*  373014 */   // Label 6753: @373014
     /*  373014 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(373080), // Rule ID 60782 //
     /*  373019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  373027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  373030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  373033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  373036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  373061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373078 */     GIR_RootConstrainSelectedInstOperands,
     /*  373079 */     // GIR_Coverage, 60782,
     /*  373079 */     GIR_EraseRootFromParent_Done,
     /*  373080 */   // Label 6754: @373080
     /*  373080 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(373146), // Rule ID 60783 //
     /*  373085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  373093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  373096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  373099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  373102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373124 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  373127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373144 */     GIR_RootConstrainSelectedInstOperands,
     /*  373145 */     // GIR_Coverage, 60783,
     /*  373145 */     GIR_EraseRootFromParent_Done,
     /*  373146 */   // Label 6755: @373146
     /*  373146 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(373212), // Rule ID 60786 //
     /*  373151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  373159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  373162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  373165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  373168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373190 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  373190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  373193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373210 */     GIR_RootConstrainSelectedInstOperands,
     /*  373211 */     // GIR_Coverage, 60786,
     /*  373211 */     GIR_EraseRootFromParent_Done,
     /*  373212 */   // Label 6756: @373212
     /*  373212 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(373278), // Rule ID 60787 //
     /*  373217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  373225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  373228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  373231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  373234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  373256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  373259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373276 */     GIR_RootConstrainSelectedInstOperands,
     /*  373277 */     // GIR_Coverage, 60787,
     /*  373277 */     GIR_EraseRootFromParent_Done,
     /*  373278 */   // Label 6757: @373278
     /*  373278 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(373344), // Rule ID 60790 //
     /*  373283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  373291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  373294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  373297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  373300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  373322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  373325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373342 */     GIR_RootConstrainSelectedInstOperands,
     /*  373343 */     // GIR_Coverage, 60790,
     /*  373343 */     GIR_EraseRootFromParent_Done,
     /*  373344 */   // Label 6758: @373344
     /*  373344 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(373410), // Rule ID 60791 //
     /*  373349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  373357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  373360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  373363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  373366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373388 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  373388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  373391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373408 */     GIR_RootConstrainSelectedInstOperands,
     /*  373409 */     // GIR_Coverage, 60791,
     /*  373409 */     GIR_EraseRootFromParent_Done,
     /*  373410 */   // Label 6759: @373410
     /*  373410 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(373476), // Rule ID 60794 //
     /*  373415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  373423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  373426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  373429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  373432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373454 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  373454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  373457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373474 */     GIR_RootConstrainSelectedInstOperands,
     /*  373475 */     // GIR_Coverage, 60794,
     /*  373475 */     GIR_EraseRootFromParent_Done,
     /*  373476 */   // Label 6760: @373476
     /*  373476 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(373542), // Rule ID 60795 //
     /*  373481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  373489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  373492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  373495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  373498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  373520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  373523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373540 */     GIR_RootConstrainSelectedInstOperands,
     /*  373541 */     // GIR_Coverage, 60795,
     /*  373541 */     GIR_EraseRootFromParent_Done,
     /*  373542 */   // Label 6761: @373542
     /*  373542 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(373608), // Rule ID 60798 //
     /*  373547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  373558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  373561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  373564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373586 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  373589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373606 */     GIR_RootConstrainSelectedInstOperands,
     /*  373607 */     // GIR_Coverage, 60798,
     /*  373607 */     GIR_EraseRootFromParent_Done,
     /*  373608 */   // Label 6762: @373608
     /*  373608 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(373674), // Rule ID 60799 //
     /*  373613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  373624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  373627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  373630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373652 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  373655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373672 */     GIR_RootConstrainSelectedInstOperands,
     /*  373673 */     // GIR_Coverage, 60799,
     /*  373673 */     GIR_EraseRootFromParent_Done,
     /*  373674 */   // Label 6763: @373674
     /*  373674 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(373740), // Rule ID 60802 //
     /*  373679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  373690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  373693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  373696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373718 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  373721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373738 */     GIR_RootConstrainSelectedInstOperands,
     /*  373739 */     // GIR_Coverage, 60802,
     /*  373739 */     GIR_EraseRootFromParent_Done,
     /*  373740 */   // Label 6764: @373740
     /*  373740 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(373806), // Rule ID 60803 //
     /*  373745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  373756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  373759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  373762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373784 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  373787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373804 */     GIR_RootConstrainSelectedInstOperands,
     /*  373805 */     // GIR_Coverage, 60803,
     /*  373805 */     GIR_EraseRootFromParent_Done,
     /*  373806 */   // Label 6765: @373806
     /*  373806 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(373872), // Rule ID 60806 //
     /*  373811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  373822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  373825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  373828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373850 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373870 */     GIR_RootConstrainSelectedInstOperands,
     /*  373871 */     // GIR_Coverage, 60806,
     /*  373871 */     GIR_EraseRootFromParent_Done,
     /*  373872 */   // Label 6766: @373872
     /*  373872 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(373938), // Rule ID 60807 //
     /*  373877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  373888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  373891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  373894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373916 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373936 */     GIR_RootConstrainSelectedInstOperands,
     /*  373937 */     // GIR_Coverage, 60807,
     /*  373937 */     GIR_EraseRootFromParent_Done,
     /*  373938 */   // Label 6767: @373938
     /*  373938 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(374004), // Rule ID 60810 //
     /*  373943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  373954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  373957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  373960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373982 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  373985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374002 */     GIR_RootConstrainSelectedInstOperands,
     /*  374003 */     // GIR_Coverage, 60810,
     /*  374003 */     GIR_EraseRootFromParent_Done,
     /*  374004 */   // Label 6768: @374004
     /*  374004 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(374070), // Rule ID 60811 //
     /*  374009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  374020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  374023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  374026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374048 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  374051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374068 */     GIR_RootConstrainSelectedInstOperands,
     /*  374069 */     // GIR_Coverage, 60811,
     /*  374069 */     GIR_EraseRootFromParent_Done,
     /*  374070 */   // Label 6769: @374070
     /*  374070 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(374136), // Rule ID 60814 //
     /*  374075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  374086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  374089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  374092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374114 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  374117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374134 */     GIR_RootConstrainSelectedInstOperands,
     /*  374135 */     // GIR_Coverage, 60814,
     /*  374135 */     GIR_EraseRootFromParent_Done,
     /*  374136 */   // Label 6770: @374136
     /*  374136 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(374202), // Rule ID 60815 //
     /*  374141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  374152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  374155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  374158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  374183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374200 */     GIR_RootConstrainSelectedInstOperands,
     /*  374201 */     // GIR_Coverage, 60815,
     /*  374201 */     GIR_EraseRootFromParent_Done,
     /*  374202 */   // Label 6771: @374202
     /*  374202 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(374268), // Rule ID 60818 //
     /*  374207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  374218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  374221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  374224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  374249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374266 */     GIR_RootConstrainSelectedInstOperands,
     /*  374267 */     // GIR_Coverage, 60818,
     /*  374267 */     GIR_EraseRootFromParent_Done,
     /*  374268 */   // Label 6772: @374268
     /*  374268 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(374334), // Rule ID 60819 //
     /*  374273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  374284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  374287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  374290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374312 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  374315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374332 */     GIR_RootConstrainSelectedInstOperands,
     /*  374333 */     // GIR_Coverage, 60819,
     /*  374333 */     GIR_EraseRootFromParent_Done,
     /*  374334 */   // Label 6773: @374334
     /*  374334 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(374400), // Rule ID 60822 //
     /*  374339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  374350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  374353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  374356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374398 */     GIR_RootConstrainSelectedInstOperands,
     /*  374399 */     // GIR_Coverage, 60822,
     /*  374399 */     GIR_EraseRootFromParent_Done,
     /*  374400 */   // Label 6774: @374400
     /*  374400 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(374466), // Rule ID 60823 //
     /*  374405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  374416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  374419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  374422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374464 */     GIR_RootConstrainSelectedInstOperands,
     /*  374465 */     // GIR_Coverage, 60823,
     /*  374465 */     GIR_EraseRootFromParent_Done,
     /*  374466 */   // Label 6775: @374466
     /*  374466 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(374532), // Rule ID 60826 //
     /*  374471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  374482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  374485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  374488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374510 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374530 */     GIR_RootConstrainSelectedInstOperands,
     /*  374531 */     // GIR_Coverage, 60826,
     /*  374531 */     GIR_EraseRootFromParent_Done,
     /*  374532 */   // Label 6776: @374532
     /*  374532 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(374598), // Rule ID 60827 //
     /*  374537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  374548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  374551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  374554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374596 */     GIR_RootConstrainSelectedInstOperands,
     /*  374597 */     // GIR_Coverage, 60827,
     /*  374597 */     GIR_EraseRootFromParent_Done,
     /*  374598 */   // Label 6777: @374598
     /*  374598 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(374664), // Rule ID 60830 //
     /*  374603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  374614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  374617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  374620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374662 */     GIR_RootConstrainSelectedInstOperands,
     /*  374663 */     // GIR_Coverage, 60830,
     /*  374663 */     GIR_EraseRootFromParent_Done,
     /*  374664 */   // Label 6778: @374664
     /*  374664 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(374730), // Rule ID 60831 //
     /*  374669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  374680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  374683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  374686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374728 */     GIR_RootConstrainSelectedInstOperands,
     /*  374729 */     // GIR_Coverage, 60831,
     /*  374729 */     GIR_EraseRootFromParent_Done,
     /*  374730 */   // Label 6779: @374730
     /*  374730 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(374796), // Rule ID 60834 //
     /*  374735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  374746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  374749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  374752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374774 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374794 */     GIR_RootConstrainSelectedInstOperands,
     /*  374795 */     // GIR_Coverage, 60834,
     /*  374795 */     GIR_EraseRootFromParent_Done,
     /*  374796 */   // Label 6780: @374796
     /*  374796 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(374862), // Rule ID 60835 //
     /*  374801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  374812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  374815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  374818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  374843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374860 */     GIR_RootConstrainSelectedInstOperands,
     /*  374861 */     // GIR_Coverage, 60835,
     /*  374861 */     GIR_EraseRootFromParent_Done,
     /*  374862 */   // Label 6781: @374862
     /*  374862 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(374928), // Rule ID 60838 //
     /*  374867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  374878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  374881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  374884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374906 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374926 */     GIR_RootConstrainSelectedInstOperands,
     /*  374927 */     // GIR_Coverage, 60838,
     /*  374927 */     GIR_EraseRootFromParent_Done,
     /*  374928 */   // Label 6782: @374928
     /*  374928 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(374994), // Rule ID 60839 //
     /*  374933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  374944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  374947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  374950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374972 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374992 */     GIR_RootConstrainSelectedInstOperands,
     /*  374993 */     // GIR_Coverage, 60839,
     /*  374993 */     GIR_EraseRootFromParent_Done,
     /*  374994 */   // Label 6783: @374994
     /*  374994 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(375060), // Rule ID 60842 //
     /*  374999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  375010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  375013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  375016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375038 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375058 */     GIR_RootConstrainSelectedInstOperands,
     /*  375059 */     // GIR_Coverage, 60842,
     /*  375059 */     GIR_EraseRootFromParent_Done,
     /*  375060 */   // Label 6784: @375060
     /*  375060 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(375126), // Rule ID 60843 //
     /*  375065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  375076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  375079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  375082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375104 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375124 */     GIR_RootConstrainSelectedInstOperands,
     /*  375125 */     // GIR_Coverage, 60843,
     /*  375125 */     GIR_EraseRootFromParent_Done,
     /*  375126 */   // Label 6785: @375126
     /*  375126 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(375192), // Rule ID 60846 //
     /*  375131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  375142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  375145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  375148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375170 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375190 */     GIR_RootConstrainSelectedInstOperands,
     /*  375191 */     // GIR_Coverage, 60846,
     /*  375191 */     GIR_EraseRootFromParent_Done,
     /*  375192 */   // Label 6786: @375192
     /*  375192 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(375258), // Rule ID 60847 //
     /*  375197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  375208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  375211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  375214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375236 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375256 */     GIR_RootConstrainSelectedInstOperands,
     /*  375257 */     // GIR_Coverage, 60847,
     /*  375257 */     GIR_EraseRootFromParent_Done,
     /*  375258 */   // Label 6787: @375258
     /*  375258 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(375324), // Rule ID 60850 //
     /*  375263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  375274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  375277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  375280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375302 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375322 */     GIR_RootConstrainSelectedInstOperands,
     /*  375323 */     // GIR_Coverage, 60850,
     /*  375323 */     GIR_EraseRootFromParent_Done,
     /*  375324 */   // Label 6788: @375324
     /*  375324 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(375390), // Rule ID 60851 //
     /*  375329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  375340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  375343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  375346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375388 */     GIR_RootConstrainSelectedInstOperands,
     /*  375389 */     // GIR_Coverage, 60851,
     /*  375389 */     GIR_EraseRootFromParent_Done,
     /*  375390 */   // Label 6789: @375390
     /*  375390 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(375456), // Rule ID 60854 //
     /*  375395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  375406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  375409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  375412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375434 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375454 */     GIR_RootConstrainSelectedInstOperands,
     /*  375455 */     // GIR_Coverage, 60854,
     /*  375455 */     GIR_EraseRootFromParent_Done,
     /*  375456 */   // Label 6790: @375456
     /*  375456 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(375522), // Rule ID 60855 //
     /*  375461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  375472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  375475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  375478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375500 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375520 */     GIR_RootConstrainSelectedInstOperands,
     /*  375521 */     // GIR_Coverage, 60855,
     /*  375521 */     GIR_EraseRootFromParent_Done,
     /*  375522 */   // Label 6791: @375522
     /*  375522 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(375588), // Rule ID 60858 //
     /*  375527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  375538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  375541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  375544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375586 */     GIR_RootConstrainSelectedInstOperands,
     /*  375587 */     // GIR_Coverage, 60858,
     /*  375587 */     GIR_EraseRootFromParent_Done,
     /*  375588 */   // Label 6792: @375588
     /*  375588 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(375654), // Rule ID 60859 //
     /*  375593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  375604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  375607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  375610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375632 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375652 */     GIR_RootConstrainSelectedInstOperands,
     /*  375653 */     // GIR_Coverage, 60859,
     /*  375653 */     GIR_EraseRootFromParent_Done,
     /*  375654 */   // Label 6793: @375654
     /*  375654 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(375720), // Rule ID 60862 //
     /*  375659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  375670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  375673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  375676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375698 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375718 */     GIR_RootConstrainSelectedInstOperands,
     /*  375719 */     // GIR_Coverage, 60862,
     /*  375719 */     GIR_EraseRootFromParent_Done,
     /*  375720 */   // Label 6794: @375720
     /*  375720 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(375786), // Rule ID 60863 //
     /*  375725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  375736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  375739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  375742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375784 */     GIR_RootConstrainSelectedInstOperands,
     /*  375785 */     // GIR_Coverage, 60863,
     /*  375785 */     GIR_EraseRootFromParent_Done,
     /*  375786 */   // Label 6795: @375786
     /*  375786 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(375852), // Rule ID 60866 //
     /*  375791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  375802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  375805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  375808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375830 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375850 */     GIR_RootConstrainSelectedInstOperands,
     /*  375851 */     // GIR_Coverage, 60866,
     /*  375851 */     GIR_EraseRootFromParent_Done,
     /*  375852 */   // Label 6796: @375852
     /*  375852 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(375918), // Rule ID 60867 //
     /*  375857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  375868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  375871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  375874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375896 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375916 */     GIR_RootConstrainSelectedInstOperands,
     /*  375917 */     // GIR_Coverage, 60867,
     /*  375917 */     GIR_EraseRootFromParent_Done,
     /*  375918 */   // Label 6797: @375918
     /*  375918 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(375984), // Rule ID 60870 //
     /*  375923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  375934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  375937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  375940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375982 */     GIR_RootConstrainSelectedInstOperands,
     /*  375983 */     // GIR_Coverage, 60870,
     /*  375983 */     GIR_EraseRootFromParent_Done,
     /*  375984 */   // Label 6798: @375984
     /*  375984 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(376050), // Rule ID 60871 //
     /*  375989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  376000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  376003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  376006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  376031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376048 */     GIR_RootConstrainSelectedInstOperands,
     /*  376049 */     // GIR_Coverage, 60871,
     /*  376049 */     GIR_EraseRootFromParent_Done,
     /*  376050 */   // Label 6799: @376050
     /*  376050 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(376116), // Rule ID 60874 //
     /*  376055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  376063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  376066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  376069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  376072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376094 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  376097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376114 */     GIR_RootConstrainSelectedInstOperands,
     /*  376115 */     // GIR_Coverage, 60874,
     /*  376115 */     GIR_EraseRootFromParent_Done,
     /*  376116 */   // Label 6800: @376116
     /*  376116 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(376182), // Rule ID 60875 //
     /*  376121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  376129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  376132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  376135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  376138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376160 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  376163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376180 */     GIR_RootConstrainSelectedInstOperands,
     /*  376181 */     // GIR_Coverage, 60875,
     /*  376181 */     GIR_EraseRootFromParent_Done,
     /*  376182 */   // Label 6801: @376182
     /*  376182 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(376248), // Rule ID 60878 //
     /*  376187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  376195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  376198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  376201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  376204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376226 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  376229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376246 */     GIR_RootConstrainSelectedInstOperands,
     /*  376247 */     // GIR_Coverage, 60878,
     /*  376247 */     GIR_EraseRootFromParent_Done,
     /*  376248 */   // Label 6802: @376248
     /*  376248 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(376314), // Rule ID 60879 //
     /*  376253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  376261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  376264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  376267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  376270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376292 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  376295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376312 */     GIR_RootConstrainSelectedInstOperands,
     /*  376313 */     // GIR_Coverage, 60879,
     /*  376313 */     GIR_EraseRootFromParent_Done,
     /*  376314 */   // Label 6803: @376314
     /*  376314 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(376380), // Rule ID 60882 //
     /*  376319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  376327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  376330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  376333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  376336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  376361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376378 */     GIR_RootConstrainSelectedInstOperands,
     /*  376379 */     // GIR_Coverage, 60882,
     /*  376379 */     GIR_EraseRootFromParent_Done,
     /*  376380 */   // Label 6804: @376380
     /*  376380 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(376446), // Rule ID 60883 //
     /*  376385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  376393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  376396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  376399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  376402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  376427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376444 */     GIR_RootConstrainSelectedInstOperands,
     /*  376445 */     // GIR_Coverage, 60883,
     /*  376445 */     GIR_EraseRootFromParent_Done,
     /*  376446 */   // Label 6805: @376446
     /*  376446 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(376512), // Rule ID 60886 //
     /*  376451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  376462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  376465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  376468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376490 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  376493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376510 */     GIR_RootConstrainSelectedInstOperands,
     /*  376511 */     // GIR_Coverage, 60886,
     /*  376511 */     GIR_EraseRootFromParent_Done,
     /*  376512 */   // Label 6806: @376512
     /*  376512 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(376578), // Rule ID 60887 //
     /*  376517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  376528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  376531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  376534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376556 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  376559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376576 */     GIR_RootConstrainSelectedInstOperands,
     /*  376577 */     // GIR_Coverage, 60887,
     /*  376577 */     GIR_EraseRootFromParent_Done,
     /*  376578 */   // Label 6807: @376578
     /*  376578 */   GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(376644), // Rule ID 60890 //
     /*  376583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  376594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  376597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  376600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  376625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376642 */     GIR_RootConstrainSelectedInstOperands,
     /*  376643 */     // GIR_Coverage, 60890,
     /*  376643 */     GIR_EraseRootFromParent_Done,
     /*  376644 */   // Label 6808: @376644
     /*  376644 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(376710), // Rule ID 60891 //
     /*  376649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  376660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  376663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  376666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376688 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  376691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376708 */     GIR_RootConstrainSelectedInstOperands,
     /*  376709 */     // GIR_Coverage, 60891,
     /*  376709 */     GIR_EraseRootFromParent_Done,
     /*  376710 */   // Label 6809: @376710
     /*  376710 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(376776), // Rule ID 60894 //
     /*  376715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  376726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  376729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  376732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376754 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376774 */     GIR_RootConstrainSelectedInstOperands,
     /*  376775 */     // GIR_Coverage, 60894,
     /*  376775 */     GIR_EraseRootFromParent_Done,
     /*  376776 */   // Label 6810: @376776
     /*  376776 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(376842), // Rule ID 60895 //
     /*  376781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  376792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  376795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  376798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376820 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376840 */     GIR_RootConstrainSelectedInstOperands,
     /*  376841 */     // GIR_Coverage, 60895,
     /*  376841 */     GIR_EraseRootFromParent_Done,
     /*  376842 */   // Label 6811: @376842
     /*  376842 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(376908), // Rule ID 60898 //
     /*  376847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  376858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  376861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  376864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376886 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  376889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376906 */     GIR_RootConstrainSelectedInstOperands,
     /*  376907 */     // GIR_Coverage, 60898,
     /*  376907 */     GIR_EraseRootFromParent_Done,
     /*  376908 */   // Label 6812: @376908
     /*  376908 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(376974), // Rule ID 60899 //
     /*  376913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  376924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  376927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  376930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  376955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376972 */     GIR_RootConstrainSelectedInstOperands,
     /*  376973 */     // GIR_Coverage, 60899,
     /*  376973 */     GIR_EraseRootFromParent_Done,
     /*  376974 */   // Label 6813: @376974
     /*  376974 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(377040), // Rule ID 60902 //
     /*  376979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  376990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  376993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  376996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377018 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  377021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377038 */     GIR_RootConstrainSelectedInstOperands,
     /*  377039 */     // GIR_Coverage, 60902,
     /*  377039 */     GIR_EraseRootFromParent_Done,
     /*  377040 */   // Label 6814: @377040
     /*  377040 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(377106), // Rule ID 60903 //
     /*  377045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  377056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  377059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  377062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377084 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  377087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377104 */     GIR_RootConstrainSelectedInstOperands,
     /*  377105 */     // GIR_Coverage, 60903,
     /*  377105 */     GIR_EraseRootFromParent_Done,
     /*  377106 */   // Label 6815: @377106
     /*  377106 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(377172), // Rule ID 60906 //
     /*  377111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  377122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  377125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  377128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377150 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  377153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377170 */     GIR_RootConstrainSelectedInstOperands,
     /*  377171 */     // GIR_Coverage, 60906,
     /*  377171 */     GIR_EraseRootFromParent_Done,
     /*  377172 */   // Label 6816: @377172
     /*  377172 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(377238), // Rule ID 60907 //
     /*  377177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  377188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  377191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  377194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377216 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  377219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377236 */     GIR_RootConstrainSelectedInstOperands,
     /*  377237 */     // GIR_Coverage, 60907,
     /*  377237 */     GIR_EraseRootFromParent_Done,
     /*  377238 */   // Label 6817: @377238
     /*  377238 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(377304), // Rule ID 60910 //
     /*  377243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  377254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  377257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  377260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377282 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11193:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  377285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377302 */     GIR_RootConstrainSelectedInstOperands,
     /*  377303 */     // GIR_Coverage, 60910,
     /*  377303 */     GIR_EraseRootFromParent_Done,
     /*  377304 */   // Label 6818: @377304
     /*  377304 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(377370), // Rule ID 60911 //
     /*  377309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  377320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  377323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  377326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11193:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  377351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377368 */     GIR_RootConstrainSelectedInstOperands,
     /*  377369 */     // GIR_Coverage, 60911,
     /*  377369 */     GIR_EraseRootFromParent_Done,
     /*  377370 */   // Label 6819: @377370
     /*  377370 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(377436), // Rule ID 60914 //
     /*  377375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  377386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  377389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  377392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  377417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377434 */     GIR_RootConstrainSelectedInstOperands,
     /*  377435 */     // GIR_Coverage, 60914,
     /*  377435 */     GIR_EraseRootFromParent_Done,
     /*  377436 */   // Label 6820: @377436
     /*  377436 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(377502), // Rule ID 60915 //
     /*  377441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  377452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  377455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  377458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377480 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  377483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377500 */     GIR_RootConstrainSelectedInstOperands,
     /*  377501 */     // GIR_Coverage, 60915,
     /*  377501 */     GIR_EraseRootFromParent_Done,
     /*  377502 */   // Label 6821: @377502
     /*  377502 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(377568), // Rule ID 60918 //
     /*  377507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  377518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  377521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  377524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  377549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377566 */     GIR_RootConstrainSelectedInstOperands,
     /*  377567 */     // GIR_Coverage, 60918,
     /*  377567 */     GIR_EraseRootFromParent_Done,
     /*  377568 */   // Label 6822: @377568
     /*  377568 */   GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(377634), // Rule ID 60919 //
     /*  377573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  377584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  377587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  377590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  377615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377632 */     GIR_RootConstrainSelectedInstOperands,
     /*  377633 */     // GIR_Coverage, 60919,
     /*  377633 */     GIR_EraseRootFromParent_Done,
     /*  377634 */   // Label 6823: @377634
     /*  377634 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(377700), // Rule ID 60922 //
     /*  377639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  377650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  377653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  377656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  377678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  377681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377698 */     GIR_RootConstrainSelectedInstOperands,
     /*  377699 */     // GIR_Coverage, 60922,
     /*  377699 */     GIR_EraseRootFromParent_Done,
     /*  377700 */   // Label 6824: @377700
     /*  377700 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(377766), // Rule ID 60923 //
     /*  377705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  377716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  377719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  377722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  377744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  377747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377764 */     GIR_RootConstrainSelectedInstOperands,
     /*  377765 */     // GIR_Coverage, 60923,
     /*  377765 */     GIR_EraseRootFromParent_Done,
     /*  377766 */   // Label 6825: @377766
     /*  377766 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(377832), // Rule ID 60926 //
     /*  377771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  377782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  377785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  377788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377810 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377830 */     GIR_RootConstrainSelectedInstOperands,
     /*  377831 */     // GIR_Coverage, 60926,
     /*  377831 */     GIR_EraseRootFromParent_Done,
     /*  377832 */   // Label 6826: @377832
     /*  377832 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(377898), // Rule ID 60927 //
     /*  377837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  377848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  377851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  377854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377876 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377896 */     GIR_RootConstrainSelectedInstOperands,
     /*  377897 */     // GIR_Coverage, 60927,
     /*  377897 */     GIR_EraseRootFromParent_Done,
     /*  377898 */   // Label 6827: @377898
     /*  377898 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(377964), // Rule ID 60930 //
     /*  377903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  377914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  377917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  377920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377942 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377962 */     GIR_RootConstrainSelectedInstOperands,
     /*  377963 */     // GIR_Coverage, 60930,
     /*  377963 */     GIR_EraseRootFromParent_Done,
     /*  377964 */   // Label 6828: @377964
     /*  377964 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(378030), // Rule ID 60931 //
     /*  377969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  377980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  377983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  377986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378008 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378028 */     GIR_RootConstrainSelectedInstOperands,
     /*  378029 */     // GIR_Coverage, 60931,
     /*  378029 */     GIR_EraseRootFromParent_Done,
     /*  378030 */   // Label 6829: @378030
     /*  378030 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(378096), // Rule ID 60934 //
     /*  378035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  378046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  378049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  378052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378074 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378094 */     GIR_RootConstrainSelectedInstOperands,
     /*  378095 */     // GIR_Coverage, 60934,
     /*  378095 */     GIR_EraseRootFromParent_Done,
     /*  378096 */   // Label 6830: @378096
     /*  378096 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(378162), // Rule ID 60935 //
     /*  378101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  378112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  378115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  378118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378140 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378160 */     GIR_RootConstrainSelectedInstOperands,
     /*  378161 */     // GIR_Coverage, 60935,
     /*  378161 */     GIR_EraseRootFromParent_Done,
     /*  378162 */   // Label 6831: @378162
     /*  378162 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(378228), // Rule ID 60938 //
     /*  378167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  378178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  378181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  378184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378206 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  378209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378226 */     GIR_RootConstrainSelectedInstOperands,
     /*  378227 */     // GIR_Coverage, 60938,
     /*  378227 */     GIR_EraseRootFromParent_Done,
     /*  378228 */   // Label 6832: @378228
     /*  378228 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(378294), // Rule ID 60939 //
     /*  378233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  378244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  378247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  378250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378272 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  378275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378292 */     GIR_RootConstrainSelectedInstOperands,
     /*  378293 */     // GIR_Coverage, 60939,
     /*  378293 */     GIR_EraseRootFromParent_Done,
     /*  378294 */   // Label 6833: @378294
     /*  378294 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(378360), // Rule ID 60942 //
     /*  378299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  378310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  378313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  378316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378338 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378358 */     GIR_RootConstrainSelectedInstOperands,
     /*  378359 */     // GIR_Coverage, 60942,
     /*  378359 */     GIR_EraseRootFromParent_Done,
     /*  378360 */   // Label 6834: @378360
     /*  378360 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(378426), // Rule ID 60943 //
     /*  378365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  378376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  378379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  378382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378404 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378424 */     GIR_RootConstrainSelectedInstOperands,
     /*  378425 */     // GIR_Coverage, 60943,
     /*  378425 */     GIR_EraseRootFromParent_Done,
     /*  378426 */   // Label 6835: @378426
     /*  378426 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(378492), // Rule ID 60946 //
     /*  378431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  378442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  378445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  378448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378470 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378490 */     GIR_RootConstrainSelectedInstOperands,
     /*  378491 */     // GIR_Coverage, 60946,
     /*  378491 */     GIR_EraseRootFromParent_Done,
     /*  378492 */   // Label 6836: @378492
     /*  378492 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(378558), // Rule ID 60947 //
     /*  378497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  378508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  378511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  378514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378536 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378556 */     GIR_RootConstrainSelectedInstOperands,
     /*  378557 */     // GIR_Coverage, 60947,
     /*  378557 */     GIR_EraseRootFromParent_Done,
     /*  378558 */   // Label 6837: @378558
     /*  378558 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(378624), // Rule ID 60950 //
     /*  378563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  378574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  378577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  378580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  378605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378622 */     GIR_RootConstrainSelectedInstOperands,
     /*  378623 */     // GIR_Coverage, 60950,
     /*  378623 */     GIR_EraseRootFromParent_Done,
     /*  378624 */   // Label 6838: @378624
     /*  378624 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(378690), // Rule ID 60951 //
     /*  378629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  378640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  378643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  378646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  378671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378688 */     GIR_RootConstrainSelectedInstOperands,
     /*  378689 */     // GIR_Coverage, 60951,
     /*  378689 */     GIR_EraseRootFromParent_Done,
     /*  378690 */   // Label 6839: @378690
     /*  378690 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(378756), // Rule ID 60954 //
     /*  378695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  378706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  378709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  378712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378734 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378754 */     GIR_RootConstrainSelectedInstOperands,
     /*  378755 */     // GIR_Coverage, 60954,
     /*  378755 */     GIR_EraseRootFromParent_Done,
     /*  378756 */   // Label 6840: @378756
     /*  378756 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(378822), // Rule ID 60955 //
     /*  378761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  378772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  378775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  378778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378820 */     GIR_RootConstrainSelectedInstOperands,
     /*  378821 */     // GIR_Coverage, 60955,
     /*  378821 */     GIR_EraseRootFromParent_Done,
     /*  378822 */   // Label 6841: @378822
     /*  378822 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(378888), // Rule ID 60958 //
     /*  378827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  378838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  378841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  378844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378886 */     GIR_RootConstrainSelectedInstOperands,
     /*  378887 */     // GIR_Coverage, 60958,
     /*  378887 */     GIR_EraseRootFromParent_Done,
     /*  378888 */   // Label 6842: @378888
     /*  378888 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(378954), // Rule ID 60959 //
     /*  378893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  378904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  378907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  378910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378952 */     GIR_RootConstrainSelectedInstOperands,
     /*  378953 */     // GIR_Coverage, 60959,
     /*  378953 */     GIR_EraseRootFromParent_Done,
     /*  378954 */   // Label 6843: @378954
     /*  378954 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(379020), // Rule ID 60962 //
     /*  378959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  378970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  378973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  378976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378998 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  379001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379018 */     GIR_RootConstrainSelectedInstOperands,
     /*  379019 */     // GIR_Coverage, 60962,
     /*  379019 */     GIR_EraseRootFromParent_Done,
     /*  379020 */   // Label 6844: @379020
     /*  379020 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(379086), // Rule ID 60963 //
     /*  379025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  379033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  379036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  379039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  379042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  379067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379084 */     GIR_RootConstrainSelectedInstOperands,
     /*  379085 */     // GIR_Coverage, 60963,
     /*  379085 */     GIR_EraseRootFromParent_Done,
     /*  379086 */   // Label 6845: @379086
     /*  379086 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(379152), // Rule ID 60966 //
     /*  379091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  379099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  379102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  379105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  379108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379130 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  379133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379150 */     GIR_RootConstrainSelectedInstOperands,
     /*  379151 */     // GIR_Coverage, 60966,
     /*  379151 */     GIR_EraseRootFromParent_Done,
     /*  379152 */   // Label 6846: @379152
     /*  379152 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(379218), // Rule ID 60967 //
     /*  379157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  379165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  379168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  379171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  379174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  379199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379216 */     GIR_RootConstrainSelectedInstOperands,
     /*  379217 */     // GIR_Coverage, 60967,
     /*  379217 */     GIR_EraseRootFromParent_Done,
     /*  379218 */   // Label 6847: @379218
     /*  379218 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(379284), // Rule ID 60970 //
     /*  379223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  379231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  379234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  379237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  379240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379262 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  379265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379282 */     GIR_RootConstrainSelectedInstOperands,
     /*  379283 */     // GIR_Coverage, 60970,
     /*  379283 */     GIR_EraseRootFromParent_Done,
     /*  379284 */   // Label 6848: @379284
     /*  379284 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(379350), // Rule ID 60971 //
     /*  379289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  379297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  379300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  379303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  379306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379328 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  379331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379348 */     GIR_RootConstrainSelectedInstOperands,
     /*  379349 */     // GIR_Coverage, 60971,
     /*  379349 */     GIR_EraseRootFromParent_Done,
     /*  379350 */   // Label 6849: @379350
     /*  379350 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(379416), // Rule ID 61394 //
     /*  379355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  379366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  379369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  379372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379394 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  379397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379414 */     GIR_RootConstrainSelectedInstOperands,
     /*  379415 */     // GIR_Coverage, 61394,
     /*  379415 */     GIR_EraseRootFromParent_Done,
     /*  379416 */   // Label 6850: @379416
     /*  379416 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(379482), // Rule ID 61395 //
     /*  379421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  379432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  379435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  379438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379460 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  379463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379480 */     GIR_RootConstrainSelectedInstOperands,
     /*  379481 */     // GIR_Coverage, 61395,
     /*  379481 */     GIR_EraseRootFromParent_Done,
     /*  379482 */   // Label 6851: @379482
     /*  379482 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(379548), // Rule ID 61398 //
     /*  379487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  379498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  379501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  379504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379526 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  379529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379546 */     GIR_RootConstrainSelectedInstOperands,
     /*  379547 */     // GIR_Coverage, 61398,
     /*  379547 */     GIR_EraseRootFromParent_Done,
     /*  379548 */   // Label 6852: @379548
     /*  379548 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(379614), // Rule ID 61399 //
     /*  379553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  379564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  379567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  379570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379592 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  379595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379612 */     GIR_RootConstrainSelectedInstOperands,
     /*  379613 */     // GIR_Coverage, 61399,
     /*  379613 */     GIR_EraseRootFromParent_Done,
     /*  379614 */   // Label 6853: @379614
     /*  379614 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(379680), // Rule ID 61402 //
     /*  379619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  379630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  379633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  379636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379658 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379678 */     GIR_RootConstrainSelectedInstOperands,
     /*  379679 */     // GIR_Coverage, 61402,
     /*  379679 */     GIR_EraseRootFromParent_Done,
     /*  379680 */   // Label 6854: @379680
     /*  379680 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(379746), // Rule ID 61403 //
     /*  379685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  379696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  379699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  379702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379724 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379744 */     GIR_RootConstrainSelectedInstOperands,
     /*  379745 */     // GIR_Coverage, 61403,
     /*  379745 */     GIR_EraseRootFromParent_Done,
     /*  379746 */   // Label 6855: @379746
     /*  379746 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(379812), // Rule ID 61406 //
     /*  379751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  379762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  379765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  379768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379790 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  379793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379810 */     GIR_RootConstrainSelectedInstOperands,
     /*  379811 */     // GIR_Coverage, 61406,
     /*  379811 */     GIR_EraseRootFromParent_Done,
     /*  379812 */   // Label 6856: @379812
     /*  379812 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(379878), // Rule ID 61407 //
     /*  379817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  379828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  379831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  379834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379856 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  379859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379876 */     GIR_RootConstrainSelectedInstOperands,
     /*  379877 */     // GIR_Coverage, 61407,
     /*  379877 */     GIR_EraseRootFromParent_Done,
     /*  379878 */   // Label 6857: @379878
     /*  379878 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(379944), // Rule ID 61410 //
     /*  379883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  379894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  379897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  379900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379922 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379942 */     GIR_RootConstrainSelectedInstOperands,
     /*  379943 */     // GIR_Coverage, 61410,
     /*  379943 */     GIR_EraseRootFromParent_Done,
     /*  379944 */   // Label 6858: @379944
     /*  379944 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(380010), // Rule ID 61411 //
     /*  379949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  379960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  379963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  379966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379988 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380008 */     GIR_RootConstrainSelectedInstOperands,
     /*  380009 */     // GIR_Coverage, 61411,
     /*  380009 */     GIR_EraseRootFromParent_Done,
     /*  380010 */   // Label 6859: @380010
     /*  380010 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(380076), // Rule ID 61414 //
     /*  380015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  380026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  380029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  380032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  380057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380074 */     GIR_RootConstrainSelectedInstOperands,
     /*  380075 */     // GIR_Coverage, 61414,
     /*  380075 */     GIR_EraseRootFromParent_Done,
     /*  380076 */   // Label 6860: @380076
     /*  380076 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(380142), // Rule ID 61415 //
     /*  380081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  380092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  380095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  380098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  380123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380140 */     GIR_RootConstrainSelectedInstOperands,
     /*  380141 */     // GIR_Coverage, 61415,
     /*  380141 */     GIR_EraseRootFromParent_Done,
     /*  380142 */   // Label 6861: @380142
     /*  380142 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(380208), // Rule ID 61418 //
     /*  380147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  380158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  380161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  380164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380186 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  380189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380206 */     GIR_RootConstrainSelectedInstOperands,
     /*  380207 */     // GIR_Coverage, 61418,
     /*  380207 */     GIR_EraseRootFromParent_Done,
     /*  380208 */   // Label 6862: @380208
     /*  380208 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(380274), // Rule ID 61419 //
     /*  380213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  380224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  380227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  380230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  380255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380272 */     GIR_RootConstrainSelectedInstOperands,
     /*  380273 */     // GIR_Coverage, 61419,
     /*  380273 */     GIR_EraseRootFromParent_Done,
     /*  380274 */   // Label 6863: @380274
     /*  380274 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(380340), // Rule ID 61422 //
     /*  380279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  380290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  380293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  380296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380318 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  380321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380338 */     GIR_RootConstrainSelectedInstOperands,
     /*  380339 */     // GIR_Coverage, 61422,
     /*  380339 */     GIR_EraseRootFromParent_Done,
     /*  380340 */   // Label 6864: @380340
     /*  380340 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(380406), // Rule ID 61423 //
     /*  380345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  380356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  380359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  380362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  380387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380404 */     GIR_RootConstrainSelectedInstOperands,
     /*  380405 */     // GIR_Coverage, 61423,
     /*  380405 */     GIR_EraseRootFromParent_Done,
     /*  380406 */   // Label 6865: @380406
     /*  380406 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(380472), // Rule ID 61426 //
     /*  380411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  380422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  380425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  380428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  380453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380470 */     GIR_RootConstrainSelectedInstOperands,
     /*  380471 */     // GIR_Coverage, 61426,
     /*  380471 */     GIR_EraseRootFromParent_Done,
     /*  380472 */   // Label 6866: @380472
     /*  380472 */   GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(380538), // Rule ID 61427 //
     /*  380477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  380488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  380491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  380494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  380519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380536 */     GIR_RootConstrainSelectedInstOperands,
     /*  380537 */     // GIR_Coverage, 61427,
     /*  380537 */     GIR_EraseRootFromParent_Done,
     /*  380538 */   // Label 6867: @380538
     /*  380538 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(380604), // Rule ID 61430 //
     /*  380543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  380554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  380557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  380560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  380582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  380585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380602 */     GIR_RootConstrainSelectedInstOperands,
     /*  380603 */     // GIR_Coverage, 61430,
     /*  380603 */     GIR_EraseRootFromParent_Done,
     /*  380604 */   // Label 6868: @380604
     /*  380604 */   GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(380670), // Rule ID 61431 //
     /*  380609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  380620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  380623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  380626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  380648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  380651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380668 */     GIR_RootConstrainSelectedInstOperands,
     /*  380669 */     // GIR_Coverage, 61431,
     /*  380669 */     GIR_EraseRootFromParent_Done,
     /*  380670 */   // Label 6869: @380670
     /*  380670 */   GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(380736), // Rule ID 61434 //
     /*  380675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  380686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  380689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  380692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380714 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380734 */     GIR_RootConstrainSelectedInstOperands,
     /*  380735 */     // GIR_Coverage, 61434,
     /*  380735 */     GIR_EraseRootFromParent_Done,
     /*  380736 */   // Label 6870: @380736
     /*  380736 */   GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(380802), // Rule ID 61435 //
     /*  380741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  380752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  380755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  380758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380780 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380800 */     GIR_RootConstrainSelectedInstOperands,
     /*  380801 */     // GIR_Coverage, 61435,
     /*  380801 */     GIR_EraseRootFromParent_Done,
     /*  380802 */   // Label 6871: @380802
     /*  380802 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(380868), // Rule ID 61438 //
     /*  380807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  380818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  380821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  380824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380866 */     GIR_RootConstrainSelectedInstOperands,
     /*  380867 */     // GIR_Coverage, 61438,
     /*  380867 */     GIR_EraseRootFromParent_Done,
     /*  380868 */   // Label 6872: @380868
     /*  380868 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(380934), // Rule ID 61439 //
     /*  380873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  380884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  380887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  380890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380912 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380932 */     GIR_RootConstrainSelectedInstOperands,
     /*  380933 */     // GIR_Coverage, 61439,
     /*  380933 */     GIR_EraseRootFromParent_Done,
     /*  380934 */   // Label 6873: @380934
     /*  380934 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(381000), // Rule ID 61442 //
     /*  380939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  380950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  380953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  380956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380978 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380998 */     GIR_RootConstrainSelectedInstOperands,
     /*  380999 */     // GIR_Coverage, 61442,
     /*  380999 */     GIR_EraseRootFromParent_Done,
     /*  381000 */   // Label 6874: @381000
     /*  381000 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(381066), // Rule ID 61443 //
     /*  381005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  381016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  381019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  381022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381044 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381064 */     GIR_RootConstrainSelectedInstOperands,
     /*  381065 */     // GIR_Coverage, 61443,
     /*  381065 */     GIR_EraseRootFromParent_Done,
     /*  381066 */   // Label 6875: @381066
     /*  381066 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(381132), // Rule ID 61446 //
     /*  381071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  381082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  381085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  381088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381110 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  381113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381130 */     GIR_RootConstrainSelectedInstOperands,
     /*  381131 */     // GIR_Coverage, 61446,
     /*  381131 */     GIR_EraseRootFromParent_Done,
     /*  381132 */   // Label 6876: @381132
     /*  381132 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(381198), // Rule ID 61447 //
     /*  381137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  381148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  381151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  381154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381176 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  381179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381196 */     GIR_RootConstrainSelectedInstOperands,
     /*  381197 */     // GIR_Coverage, 61447,
     /*  381197 */     GIR_EraseRootFromParent_Done,
     /*  381198 */   // Label 6877: @381198
     /*  381198 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(381264), // Rule ID 61450 //
     /*  381203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  381214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  381217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  381220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381242 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  381245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381262 */     GIR_RootConstrainSelectedInstOperands,
     /*  381263 */     // GIR_Coverage, 61450,
     /*  381263 */     GIR_EraseRootFromParent_Done,
     /*  381264 */   // Label 6878: @381264
     /*  381264 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(381330), // Rule ID 61451 //
     /*  381269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  381280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  381283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  381286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  381311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381328 */     GIR_RootConstrainSelectedInstOperands,
     /*  381329 */     // GIR_Coverage, 61451,
     /*  381329 */     GIR_EraseRootFromParent_Done,
     /*  381330 */   // Label 6879: @381330
     /*  381330 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(381396), // Rule ID 61454 //
     /*  381335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  381346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  381349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  381352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381374 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381394 */     GIR_RootConstrainSelectedInstOperands,
     /*  381395 */     // GIR_Coverage, 61454,
     /*  381395 */     GIR_EraseRootFromParent_Done,
     /*  381396 */   // Label 6880: @381396
     /*  381396 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(381462), // Rule ID 61455 //
     /*  381401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  381412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  381415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  381418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381440 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381460 */     GIR_RootConstrainSelectedInstOperands,
     /*  381461 */     // GIR_Coverage, 61455,
     /*  381461 */     GIR_EraseRootFromParent_Done,
     /*  381462 */   // Label 6881: @381462
     /*  381462 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(381528), // Rule ID 61458 //
     /*  381467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  381478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  381481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  381484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381506 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  381509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381526 */     GIR_RootConstrainSelectedInstOperands,
     /*  381527 */     // GIR_Coverage, 61458,
     /*  381527 */     GIR_EraseRootFromParent_Done,
     /*  381528 */   // Label 6882: @381528
     /*  381528 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(381594), // Rule ID 61459 //
     /*  381533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  381544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  381547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  381550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381572 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  381575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381592 */     GIR_RootConstrainSelectedInstOperands,
     /*  381593 */     // GIR_Coverage, 61459,
     /*  381593 */     GIR_EraseRootFromParent_Done,
     /*  381594 */   // Label 6883: @381594
     /*  381594 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(381660), // Rule ID 61462 //
     /*  381599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  381610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  381613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  381616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  381641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381658 */     GIR_RootConstrainSelectedInstOperands,
     /*  381659 */     // GIR_Coverage, 61462,
     /*  381659 */     GIR_EraseRootFromParent_Done,
     /*  381660 */   // Label 6884: @381660
     /*  381660 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(381726), // Rule ID 61463 //
     /*  381665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  381676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  381679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  381682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381704 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  381707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381724 */     GIR_RootConstrainSelectedInstOperands,
     /*  381725 */     // GIR_Coverage, 61463,
     /*  381725 */     GIR_EraseRootFromParent_Done,
     /*  381726 */   // Label 6885: @381726
     /*  381726 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(381792), // Rule ID 61466 //
     /*  381731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  381742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  381745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  381748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381790 */     GIR_RootConstrainSelectedInstOperands,
     /*  381791 */     // GIR_Coverage, 61466,
     /*  381791 */     GIR_EraseRootFromParent_Done,
     /*  381792 */   // Label 6886: @381792
     /*  381792 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(381858), // Rule ID 61467 //
     /*  381797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  381808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  381811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  381814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381836 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381856 */     GIR_RootConstrainSelectedInstOperands,
     /*  381857 */     // GIR_Coverage, 61467,
     /*  381857 */     GIR_EraseRootFromParent_Done,
     /*  381858 */   // Label 6887: @381858
     /*  381858 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(381924), // Rule ID 61470 //
     /*  381863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  381874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  381877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  381880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381902 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  381905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381922 */     GIR_RootConstrainSelectedInstOperands,
     /*  381923 */     // GIR_Coverage, 61470,
     /*  381923 */     GIR_EraseRootFromParent_Done,
     /*  381924 */   // Label 6888: @381924
     /*  381924 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(381990), // Rule ID 61471 //
     /*  381929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  381940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  381943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  381946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381968 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  381971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381988 */     GIR_RootConstrainSelectedInstOperands,
     /*  381989 */     // GIR_Coverage, 61471,
     /*  381989 */     GIR_EraseRootFromParent_Done,
     /*  381990 */   // Label 6889: @381990
     /*  381990 */   GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(382056), // Rule ID 61474 //
     /*  381995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  382003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  382006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  382009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  382012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  382037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382054 */     GIR_RootConstrainSelectedInstOperands,
     /*  382055 */     // GIR_Coverage, 61474,
     /*  382055 */     GIR_EraseRootFromParent_Done,
     /*  382056 */   // Label 6890: @382056
     /*  382056 */   GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(382122), // Rule ID 61475 //
     /*  382061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  382069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  382072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  382075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  382078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382100 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  382103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382120 */     GIR_RootConstrainSelectedInstOperands,
     /*  382121 */     // GIR_Coverage, 61475,
     /*  382121 */     GIR_EraseRootFromParent_Done,
     /*  382122 */   // Label 6891: @382122
     /*  382122 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(382188), // Rule ID 61478 //
     /*  382127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  382135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  382138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  382141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  382144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382166 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  382169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382186 */     GIR_RootConstrainSelectedInstOperands,
     /*  382187 */     // GIR_Coverage, 61478,
     /*  382187 */     GIR_EraseRootFromParent_Done,
     /*  382188 */   // Label 6892: @382188
     /*  382188 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(382254), // Rule ID 61479 //
     /*  382193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  382201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  382204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  382207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  382210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382232 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  382235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382252 */     GIR_RootConstrainSelectedInstOperands,
     /*  382253 */     // GIR_Coverage, 61479,
     /*  382253 */     GIR_EraseRootFromParent_Done,
     /*  382254 */   // Label 6893: @382254
     /*  382254 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(382320), // Rule ID 61482 //
     /*  382259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  382270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  382273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  382276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382298 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  382301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382318 */     GIR_RootConstrainSelectedInstOperands,
     /*  382319 */     // GIR_Coverage, 61482,
     /*  382319 */     GIR_EraseRootFromParent_Done,
     /*  382320 */   // Label 6894: @382320
     /*  382320 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(382386), // Rule ID 61483 //
     /*  382325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  382336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  382339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  382342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382364 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  382367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382384 */     GIR_RootConstrainSelectedInstOperands,
     /*  382385 */     // GIR_Coverage, 61483,
     /*  382385 */     GIR_EraseRootFromParent_Done,
     /*  382386 */   // Label 6895: @382386
     /*  382386 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(382452), // Rule ID 61486 //
     /*  382391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  382402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  382405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  382408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382430 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  382433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382450 */     GIR_RootConstrainSelectedInstOperands,
     /*  382451 */     // GIR_Coverage, 61486,
     /*  382451 */     GIR_EraseRootFromParent_Done,
     /*  382452 */   // Label 6896: @382452
     /*  382452 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(382518), // Rule ID 61487 //
     /*  382457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  382468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  382471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  382474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382496 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  382499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382516 */     GIR_RootConstrainSelectedInstOperands,
     /*  382517 */     // GIR_Coverage, 61487,
     /*  382517 */     GIR_EraseRootFromParent_Done,
     /*  382518 */   // Label 6897: @382518
     /*  382518 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(382584), // Rule ID 61490 //
     /*  382523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  382534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  382537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  382540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382562 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  382565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382582 */     GIR_RootConstrainSelectedInstOperands,
     /*  382583 */     // GIR_Coverage, 61490,
     /*  382583 */     GIR_EraseRootFromParent_Done,
     /*  382584 */   // Label 6898: @382584
     /*  382584 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(382650), // Rule ID 61491 //
     /*  382589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  382600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  382603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  382606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382628 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  382631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382648 */     GIR_RootConstrainSelectedInstOperands,
     /*  382649 */     // GIR_Coverage, 61491,
     /*  382649 */     GIR_EraseRootFromParent_Done,
     /*  382650 */   // Label 6899: @382650
     /*  382650 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(382716), // Rule ID 61494 //
     /*  382655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  382666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  382669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  382672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382694 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  382697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382714 */     GIR_RootConstrainSelectedInstOperands,
     /*  382715 */     // GIR_Coverage, 61494,
     /*  382715 */     GIR_EraseRootFromParent_Done,
     /*  382716 */   // Label 6900: @382716
     /*  382716 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(382782), // Rule ID 61495 //
     /*  382721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  382732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  382735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  382738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382760 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  382763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382780 */     GIR_RootConstrainSelectedInstOperands,
     /*  382781 */     // GIR_Coverage, 61495,
     /*  382781 */     GIR_EraseRootFromParent_Done,
     /*  382782 */   // Label 6901: @382782
     /*  382782 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(382848), // Rule ID 61498 //
     /*  382787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  382798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  382801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  382804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382826 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  382829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382846 */     GIR_RootConstrainSelectedInstOperands,
     /*  382847 */     // GIR_Coverage, 61498,
     /*  382847 */     GIR_EraseRootFromParent_Done,
     /*  382848 */   // Label 6902: @382848
     /*  382848 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(382914), // Rule ID 61499 //
     /*  382853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  382864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  382867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  382870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  382895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382912 */     GIR_RootConstrainSelectedInstOperands,
     /*  382913 */     // GIR_Coverage, 61499,
     /*  382913 */     GIR_EraseRootFromParent_Done,
     /*  382914 */   // Label 6903: @382914
     /*  382914 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(382980), // Rule ID 61502 //
     /*  382919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  382930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  382933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  382936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  382961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382978 */     GIR_RootConstrainSelectedInstOperands,
     /*  382979 */     // GIR_Coverage, 61502,
     /*  382979 */     GIR_EraseRootFromParent_Done,
     /*  382980 */   // Label 6904: @382980
     /*  382980 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(383046), // Rule ID 61503 //
     /*  382985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  382996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  382999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  383002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383024 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  383027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383044 */     GIR_RootConstrainSelectedInstOperands,
     /*  383045 */     // GIR_Coverage, 61503,
     /*  383045 */     GIR_EraseRootFromParent_Done,
     /*  383046 */   // Label 6905: @383046
     /*  383046 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(383112), // Rule ID 61506 //
     /*  383051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  383062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  383065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  383068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383090 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  383093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383110 */     GIR_RootConstrainSelectedInstOperands,
     /*  383111 */     // GIR_Coverage, 61506,
     /*  383111 */     GIR_EraseRootFromParent_Done,
     /*  383112 */   // Label 6906: @383112
     /*  383112 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(383178), // Rule ID 61507 //
     /*  383117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  383128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  383131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  383134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  383159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383176 */     GIR_RootConstrainSelectedInstOperands,
     /*  383177 */     // GIR_Coverage, 61507,
     /*  383177 */     GIR_EraseRootFromParent_Done,
     /*  383178 */   // Label 6907: @383178
     /*  383178 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(383244), // Rule ID 61510 //
     /*  383183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  383194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  383197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  383200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  383225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383242 */     GIR_RootConstrainSelectedInstOperands,
     /*  383243 */     // GIR_Coverage, 61510,
     /*  383243 */     GIR_EraseRootFromParent_Done,
     /*  383244 */   // Label 6908: @383244
     /*  383244 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(383310), // Rule ID 61511 //
     /*  383249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  383260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  383263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  383266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383288 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  383291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383308 */     GIR_RootConstrainSelectedInstOperands,
     /*  383309 */     // GIR_Coverage, 61511,
     /*  383309 */     GIR_EraseRootFromParent_Done,
     /*  383310 */   // Label 6909: @383310
     /*  383310 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(383376), // Rule ID 61514 //
     /*  383315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  383326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  383329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  383332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  383357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383374 */     GIR_RootConstrainSelectedInstOperands,
     /*  383375 */     // GIR_Coverage, 61514,
     /*  383375 */     GIR_EraseRootFromParent_Done,
     /*  383376 */   // Label 6910: @383376
     /*  383376 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(383442), // Rule ID 61515 //
     /*  383381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  383392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  383395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  383398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  383423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383440 */     GIR_RootConstrainSelectedInstOperands,
     /*  383441 */     // GIR_Coverage, 61515,
     /*  383441 */     GIR_EraseRootFromParent_Done,
     /*  383442 */   // Label 6911: @383442
     /*  383442 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(383508), // Rule ID 61518 //
     /*  383447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  383458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  383461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  383464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  383486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  383489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383506 */     GIR_RootConstrainSelectedInstOperands,
     /*  383507 */     // GIR_Coverage, 61518,
     /*  383507 */     GIR_EraseRootFromParent_Done,
     /*  383508 */   // Label 6912: @383508
     /*  383508 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(383574), // Rule ID 61519 //
     /*  383513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  383524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  383527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  383530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  383552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  383555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383572 */     GIR_RootConstrainSelectedInstOperands,
     /*  383573 */     // GIR_Coverage, 61519,
     /*  383573 */     GIR_EraseRootFromParent_Done,
     /*  383574 */   // Label 6913: @383574
     /*  383574 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(383640), // Rule ID 61522 //
     /*  383579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  383590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  383593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  383596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383618 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383638 */     GIR_RootConstrainSelectedInstOperands,
     /*  383639 */     // GIR_Coverage, 61522,
     /*  383639 */     GIR_EraseRootFromParent_Done,
     /*  383640 */   // Label 6914: @383640
     /*  383640 */   GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(383706), // Rule ID 61523 //
     /*  383645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  383656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  383659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  383662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383684 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383704 */     GIR_RootConstrainSelectedInstOperands,
     /*  383705 */     // GIR_Coverage, 61523,
     /*  383705 */     GIR_EraseRootFromParent_Done,
     /*  383706 */   // Label 6915: @383706
     /*  383706 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(383772), // Rule ID 61526 //
     /*  383711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  383722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  383725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  383728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383750 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383770 */     GIR_RootConstrainSelectedInstOperands,
     /*  383771 */     // GIR_Coverage, 61526,
     /*  383771 */     GIR_EraseRootFromParent_Done,
     /*  383772 */   // Label 6916: @383772
     /*  383772 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(383838), // Rule ID 61527 //
     /*  383777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  383788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  383791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  383794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383816 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383836 */     GIR_RootConstrainSelectedInstOperands,
     /*  383837 */     // GIR_Coverage, 61527,
     /*  383837 */     GIR_EraseRootFromParent_Done,
     /*  383838 */   // Label 6917: @383838
     /*  383838 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(383904), // Rule ID 61530 //
     /*  383843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  383854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  383857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  383860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383882 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383902 */     GIR_RootConstrainSelectedInstOperands,
     /*  383903 */     // GIR_Coverage, 61530,
     /*  383903 */     GIR_EraseRootFromParent_Done,
     /*  383904 */   // Label 6918: @383904
     /*  383904 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(383970), // Rule ID 61531 //
     /*  383909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  383920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  383923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  383926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383948 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383968 */     GIR_RootConstrainSelectedInstOperands,
     /*  383969 */     // GIR_Coverage, 61531,
     /*  383969 */     GIR_EraseRootFromParent_Done,
     /*  383970 */   // Label 6919: @383970
     /*  383970 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(384036), // Rule ID 61534 //
     /*  383975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  383986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  383989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  383992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  384017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384034 */     GIR_RootConstrainSelectedInstOperands,
     /*  384035 */     // GIR_Coverage, 61534,
     /*  384035 */     GIR_EraseRootFromParent_Done,
     /*  384036 */   // Label 6920: @384036
     /*  384036 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(384102), // Rule ID 61535 //
     /*  384041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  384052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  384055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  384058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384080 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  384083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384100 */     GIR_RootConstrainSelectedInstOperands,
     /*  384101 */     // GIR_Coverage, 61535,
     /*  384101 */     GIR_EraseRootFromParent_Done,
     /*  384102 */   // Label 6921: @384102
     /*  384102 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(384168), // Rule ID 61538 //
     /*  384107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  384118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  384121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  384124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  384149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384166 */     GIR_RootConstrainSelectedInstOperands,
     /*  384167 */     // GIR_Coverage, 61538,
     /*  384167 */     GIR_EraseRootFromParent_Done,
     /*  384168 */   // Label 6922: @384168
     /*  384168 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(384234), // Rule ID 61539 //
     /*  384173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  384184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  384187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  384190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  384215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384232 */     GIR_RootConstrainSelectedInstOperands,
     /*  384233 */     // GIR_Coverage, 61539,
     /*  384233 */     GIR_EraseRootFromParent_Done,
     /*  384234 */   // Label 6923: @384234
     /*  384234 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(384300), // Rule ID 61542 //
     /*  384239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  384250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  384253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  384256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384298 */     GIR_RootConstrainSelectedInstOperands,
     /*  384299 */     // GIR_Coverage, 61542,
     /*  384299 */     GIR_EraseRootFromParent_Done,
     /*  384300 */   // Label 6924: @384300
     /*  384300 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(384366), // Rule ID 61543 //
     /*  384305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  384316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  384319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  384322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384344 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384364 */     GIR_RootConstrainSelectedInstOperands,
     /*  384365 */     // GIR_Coverage, 61543,
     /*  384365 */     GIR_EraseRootFromParent_Done,
     /*  384366 */   // Label 6925: @384366
     /*  384366 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(384432), // Rule ID 61546 //
     /*  384371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  384382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  384385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  384388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384410 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  384410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  384413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384430 */     GIR_RootConstrainSelectedInstOperands,
     /*  384431 */     // GIR_Coverage, 61546,
     /*  384431 */     GIR_EraseRootFromParent_Done,
     /*  384432 */   // Label 6926: @384432
     /*  384432 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(384498), // Rule ID 61547 //
     /*  384437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  384448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  384451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  384454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384476 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  384476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  384479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384496 */     GIR_RootConstrainSelectedInstOperands,
     /*  384497 */     // GIR_Coverage, 61547,
     /*  384497 */     GIR_EraseRootFromParent_Done,
     /*  384498 */   // Label 6927: @384498
     /*  384498 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(384564), // Rule ID 61550 //
     /*  384503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  384514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  384517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  384520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  384542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  384545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384562 */     GIR_RootConstrainSelectedInstOperands,
     /*  384563 */     // GIR_Coverage, 61550,
     /*  384563 */     GIR_EraseRootFromParent_Done,
     /*  384564 */   // Label 6928: @384564
     /*  384564 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(384630), // Rule ID 61551 //
     /*  384569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  384580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  384583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  384586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  384608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  384611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384628 */     GIR_RootConstrainSelectedInstOperands,
     /*  384629 */     // GIR_Coverage, 61551,
     /*  384629 */     GIR_EraseRootFromParent_Done,
     /*  384630 */   // Label 6929: @384630
     /*  384630 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(384696), // Rule ID 61554 //
     /*  384635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  384646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  384649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  384652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  384674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384694 */     GIR_RootConstrainSelectedInstOperands,
     /*  384695 */     // GIR_Coverage, 61554,
     /*  384695 */     GIR_EraseRootFromParent_Done,
     /*  384696 */   // Label 6930: @384696
     /*  384696 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(384762), // Rule ID 61555 //
     /*  384701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  384712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  384715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  384718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384740 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  384740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384760 */     GIR_RootConstrainSelectedInstOperands,
     /*  384761 */     // GIR_Coverage, 61555,
     /*  384761 */     GIR_EraseRootFromParent_Done,
     /*  384762 */   // Label 6931: @384762
     /*  384762 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(384828), // Rule ID 61558 //
     /*  384767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  384778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  384781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  384784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384806 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  384809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384826 */     GIR_RootConstrainSelectedInstOperands,
     /*  384827 */     // GIR_Coverage, 61558,
     /*  384827 */     GIR_EraseRootFromParent_Done,
     /*  384828 */   // Label 6932: @384828
     /*  384828 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(384894), // Rule ID 61559 //
     /*  384833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  384844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  384847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  384850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384872 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  384875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384892 */     GIR_RootConstrainSelectedInstOperands,
     /*  384893 */     // GIR_Coverage, 61559,
     /*  384893 */     GIR_EraseRootFromParent_Done,
     /*  384894 */   // Label 6933: @384894
     /*  384894 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(384960), // Rule ID 61562 //
     /*  384899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  384910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  384913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  384916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384938 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  384941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384958 */     GIR_RootConstrainSelectedInstOperands,
     /*  384959 */     // GIR_Coverage, 61562,
     /*  384959 */     GIR_EraseRootFromParent_Done,
     /*  384960 */   // Label 6934: @384960
     /*  384960 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(385026), // Rule ID 61563 //
     /*  384965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  384976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  384979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  384982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385004 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  385004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  385007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385024 */     GIR_RootConstrainSelectedInstOperands,
     /*  385025 */     // GIR_Coverage, 61563,
     /*  385025 */     GIR_EraseRootFromParent_Done,
     /*  385026 */   // Label 6935: @385026
     /*  385026 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(385092), // Rule ID 61566 //
     /*  385031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  385039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  385042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  385045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  385048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385070 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  385070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  385073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385090 */     GIR_RootConstrainSelectedInstOperands,
     /*  385091 */     // GIR_Coverage, 61566,
     /*  385091 */     GIR_EraseRootFromParent_Done,
     /*  385092 */   // Label 6936: @385092
     /*  385092 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(385158), // Rule ID 61567 //
     /*  385097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  385105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  385108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  385111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  385114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385136 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  385136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  385139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385156 */     GIR_RootConstrainSelectedInstOperands,
     /*  385157 */     // GIR_Coverage, 61567,
     /*  385157 */     GIR_EraseRootFromParent_Done,
     /*  385158 */   // Label 6937: @385158
     /*  385158 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(385223), // Rule ID 64458 //
     /*  385163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  385171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385207 */     // MIs[1] Operand 1
     /*  385207 */     // No operand predicates
     /*  385207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385209 */     // (intrinsic_wo_chain:{ *:[i32] } 10983:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  385209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDN),
     /*  385212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  385221 */     GIR_RootConstrainSelectedInstOperands,
     /*  385222 */     // GIR_Coverage, 64458,
     /*  385222 */     GIR_EraseRootFromParent_Done,
     /*  385223 */   // Label 6938: @385223
     /*  385223 */   GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(385288), // Rule ID 64485 //
     /*  385228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  385236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385272 */     // MIs[1] Operand 1
     /*  385272 */     // No operand predicates
     /*  385272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385274 */     // (intrinsic_wo_chain:{ *:[i32] } 10985:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  385274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUN),
     /*  385277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  385286 */     GIR_RootConstrainSelectedInstOperands,
     /*  385287 */     // GIR_Coverage, 64485,
     /*  385287 */     GIR_EraseRootFromParent_Done,
     /*  385288 */   // Label 6939: @385288
     /*  385288 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(385353), // Rule ID 64488 //
     /*  385293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  385301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385337 */     // MIs[1] Operand 1
     /*  385337 */     // No operand predicates
     /*  385337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385339 */     // (intrinsic_wo_chain:{ *:[i32] } 10984:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  385339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRN),
     /*  385342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  385351 */     GIR_RootConstrainSelectedInstOperands,
     /*  385352 */     // GIR_Coverage, 64488,
     /*  385352 */     GIR_EraseRootFromParent_Done,
     /*  385353 */   // Label 6940: @385353
     /*  385353 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(385418), // Rule ID 64491 //
     /*  385358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  385366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385402 */     // MIs[1] Operand 1
     /*  385402 */     // No operand predicates
     /*  385402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385404 */     // (intrinsic_wo_chain:{ *:[i32] } 10986:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  385404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURN),
     /*  385407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  385416 */     GIR_RootConstrainSelectedInstOperands,
     /*  385417 */     // GIR_Coverage, 64491,
     /*  385417 */     GIR_EraseRootFromParent_Done,
     /*  385418 */   // Label 6941: @385418
     /*  385418 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(385483), // Rule ID 64494 //
     /*  385423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  385431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385467 */     // MIs[1] Operand 1
     /*  385467 */     // No operand predicates
     /*  385467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385469 */     // (intrinsic_wo_chain:{ *:[i32] } 10989:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  385469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBN),
     /*  385472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  385481 */     GIR_RootConstrainSelectedInstOperands,
     /*  385482 */     // GIR_Coverage, 64494,
     /*  385482 */     GIR_EraseRootFromParent_Done,
     /*  385483 */   // Label 6942: @385483
     /*  385483 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(385548), // Rule ID 64497 //
     /*  385488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  385496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385532 */     // MIs[1] Operand 1
     /*  385532 */     // No operand predicates
     /*  385532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385534 */     // (intrinsic_wo_chain:{ *:[i32] } 10991:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  385534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUN),
     /*  385537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  385546 */     GIR_RootConstrainSelectedInstOperands,
     /*  385547 */     // GIR_Coverage, 64497,
     /*  385547 */     GIR_EraseRootFromParent_Done,
     /*  385548 */   // Label 6943: @385548
     /*  385548 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(385613), // Rule ID 64500 //
     /*  385553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  385561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385597 */     // MIs[1] Operand 1
     /*  385597 */     // No operand predicates
     /*  385597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385599 */     // (intrinsic_wo_chain:{ *:[i32] } 10990:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  385599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRN),
     /*  385602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  385611 */     GIR_RootConstrainSelectedInstOperands,
     /*  385612 */     // GIR_Coverage, 64500,
     /*  385612 */     GIR_EraseRootFromParent_Done,
     /*  385613 */   // Label 6944: @385613
     /*  385613 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(385678), // Rule ID 64503 //
     /*  385618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  385626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385662 */     // MIs[1] Operand 1
     /*  385662 */     // No operand predicates
     /*  385662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385664 */     // (intrinsic_wo_chain:{ *:[i32] } 10992:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  385664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURN),
     /*  385667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  385676 */     GIR_RootConstrainSelectedInstOperands,
     /*  385677 */     // GIR_Coverage, 64503,
     /*  385677 */     GIR_EraseRootFromParent_Done,
     /*  385678 */   // Label 6945: @385678
     /*  385678 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(385733), // Rule ID 2651 //
     /*  385683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  385686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsi),
     /*  385691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385712 */     // MIs[0] imm
     /*  385712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385715 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  385720 */     // (intrinsic_wo_chain:{ *:[i32] } 10968:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  385720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSI),
     /*  385723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385729 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  385731 */     GIR_RootConstrainSelectedInstOperands,
     /*  385732 */     // GIR_Coverage, 2651,
     /*  385732 */     GIR_EraseRootFromParent_Done,
     /*  385733 */   // Label 6946: @385733
     /*  385733 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(385788), // Rule ID 2652 //
     /*  385738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  385741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsmi),
     /*  385746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385767 */     // MIs[0] imm
     /*  385767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385770 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  385775 */     // (intrinsic_wo_chain:{ *:[i32] } 10969:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  385775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSMI),
     /*  385778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385784 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  385786 */     GIR_RootConstrainSelectedInstOperands,
     /*  385787 */     // GIR_Coverage, 2652,
     /*  385787 */     GIR_EraseRootFromParent_Done,
     /*  385788 */   // Label 6947: @385788
     /*  385788 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(385843), // Rule ID 2658 //
     /*  385793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  385796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esi),
     /*  385801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385822 */     // MIs[0] imm
     /*  385822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385825 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  385830 */     // (intrinsic_wo_chain:{ *:[i32] } 10970:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  385830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESI),
     /*  385833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385839 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  385841 */     GIR_RootConstrainSelectedInstOperands,
     /*  385842 */     // GIR_Coverage, 2658,
     /*  385842 */     GIR_EraseRootFromParent_Done,
     /*  385843 */   // Label 6948: @385843
     /*  385843 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(385898), // Rule ID 2659 //
     /*  385848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  385851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esmi),
     /*  385856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385877 */     // MIs[0] imm
     /*  385877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  385885 */     // (intrinsic_wo_chain:{ *:[i32] } 10971:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  385885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESMI),
     /*  385888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385894 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  385896 */     GIR_RootConstrainSelectedInstOperands,
     /*  385897 */     // GIR_Coverage, 2659,
     /*  385897 */     GIR_EraseRootFromParent_Done,
     /*  385898 */   // Label 6949: @385898
     /*  385898 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(385953), // Rule ID 64514 //
     /*  385903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluN),
     /*  385911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385932 */     // MIs[0] imm5
     /*  385932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385935 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385940 */     // (intrinsic_wo_chain:{ *:[i32] } 11016:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULUN),
     /*  385943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385949 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385951 */     GIR_RootConstrainSelectedInstOperands,
     /*  385952 */     // GIR_Coverage, 64514,
     /*  385952 */     GIR_EraseRootFromParent_Done,
     /*  385953 */   // Label 6950: @385953
     /*  385953 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(386008), // Rule ID 64515 //
     /*  385958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuN),
     /*  385966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385987 */     // MIs[0] imm5
     /*  385987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385995 */     // (intrinsic_wo_chain:{ *:[i32] } 11012:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHUN),
     /*  385998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386004 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  386006 */     GIR_RootConstrainSelectedInstOperands,
     /*  386007 */     // GIR_Coverage, 64515,
     /*  386007 */     GIR_EraseRootFromParent_Done,
     /*  386008 */   // Label 6951: @386008
     /*  386008 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(386063), // Rule ID 64516 //
     /*  386013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsN),
     /*  386021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386042 */     // MIs[0] imm5
     /*  386042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386045 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  386050 */     // (intrinsic_wo_chain:{ *:[i32] } 11014:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  386050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSN),
     /*  386053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386059 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  386061 */     GIR_RootConstrainSelectedInstOperands,
     /*  386062 */     // GIR_Coverage, 64516,
     /*  386062 */     GIR_EraseRootFromParent_Done,
     /*  386063 */   // Label 6952: @386063
     /*  386063 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(386118), // Rule ID 64517 //
     /*  386068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsN),
     /*  386076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386097 */     // MIs[0] imm5
     /*  386097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386100 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  386105 */     // (intrinsic_wo_chain:{ *:[i32] } 11010:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  386105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSN),
     /*  386108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386114 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  386116 */     GIR_RootConstrainSelectedInstOperands,
     /*  386117 */     // GIR_Coverage, 64517,
     /*  386117 */     GIR_EraseRootFromParent_Done,
     /*  386118 */   // Label 6953: @386118
     /*  386118 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(386173), // Rule ID 64518 //
     /*  386123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluRN),
     /*  386131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386152 */     // MIs[0] imm5
     /*  386152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386155 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  386160 */     // (intrinsic_wo_chain:{ *:[i32] } 11017:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  386160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULURN),
     /*  386163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386169 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  386171 */     GIR_RootConstrainSelectedInstOperands,
     /*  386172 */     // GIR_Coverage, 64518,
     /*  386172 */     GIR_EraseRootFromParent_Done,
     /*  386173 */   // Label 6954: @386173
     /*  386173 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(386228), // Rule ID 64519 //
     /*  386178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuRN),
     /*  386186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386207 */     // MIs[0] imm5
     /*  386207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386210 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  386215 */     // (intrinsic_wo_chain:{ *:[i32] } 11013:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  386215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHURN),
     /*  386218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386224 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  386226 */     GIR_RootConstrainSelectedInstOperands,
     /*  386227 */     // GIR_Coverage, 64519,
     /*  386227 */     GIR_EraseRootFromParent_Done,
     /*  386228 */   // Label 6955: @386228
     /*  386228 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(386283), // Rule ID 64520 //
     /*  386233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsRN),
     /*  386241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386262 */     // MIs[0] imm5
     /*  386262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386265 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  386270 */     // (intrinsic_wo_chain:{ *:[i32] } 11015:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  386270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSRN),
     /*  386273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386279 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  386281 */     GIR_RootConstrainSelectedInstOperands,
     /*  386282 */     // GIR_Coverage, 64520,
     /*  386282 */     GIR_EraseRootFromParent_Done,
     /*  386283 */   // Label 6956: @386283
     /*  386283 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(386338), // Rule ID 64521 //
     /*  386288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsRN),
     /*  386296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386317 */     // MIs[0] imm5
     /*  386317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386320 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  386325 */     // (intrinsic_wo_chain:{ *:[i32] } 11011:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  386325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSRN),
     /*  386328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386334 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  386336 */     GIR_RootConstrainSelectedInstOperands,
     /*  386337 */     // GIR_Coverage, 64521,
     /*  386337 */     GIR_EraseRootFromParent_Done,
     /*  386338 */   // Label 6957: @386338
     /*  386338 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(386392), // Rule ID 64456 //
     /*  386343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  386351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386379 */     // (intrinsic_wo_chain:{ *:[i32] } 10983:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  386382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386390 */     GIR_RootConstrainSelectedInstOperands,
     /*  386391 */     // GIR_Coverage, 64456,
     /*  386391 */     GIR_EraseRootFromParent_Done,
     /*  386392 */   // Label 6958: @386392
     /*  386392 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(386446), // Rule ID 64457 //
     /*  386397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  386405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386433 */     // (intrinsic_wo_chain:{ *:[i32] } 10983:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  386436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386444 */     GIR_RootConstrainSelectedInstOperands,
     /*  386445 */     // GIR_Coverage, 64457,
     /*  386445 */     GIR_EraseRootFromParent_Done,
     /*  386446 */   // Label 6959: @386446
     /*  386446 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(386500), // Rule ID 64483 //
     /*  386451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  386459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386487 */     // (intrinsic_wo_chain:{ *:[i32] } 10985:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  386490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386498 */     GIR_RootConstrainSelectedInstOperands,
     /*  386499 */     // GIR_Coverage, 64483,
     /*  386499 */     GIR_EraseRootFromParent_Done,
     /*  386500 */   // Label 6960: @386500
     /*  386500 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(386554), // Rule ID 64484 //
     /*  386505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  386513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386541 */     // (intrinsic_wo_chain:{ *:[i32] } 10985:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  386544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386552 */     GIR_RootConstrainSelectedInstOperands,
     /*  386553 */     // GIR_Coverage, 64484,
     /*  386553 */     GIR_EraseRootFromParent_Done,
     /*  386554 */   // Label 6961: @386554
     /*  386554 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(386608), // Rule ID 64486 //
     /*  386559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  386567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386595 */     // (intrinsic_wo_chain:{ *:[i32] } 10984:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  386598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386606 */     GIR_RootConstrainSelectedInstOperands,
     /*  386607 */     // GIR_Coverage, 64486,
     /*  386607 */     GIR_EraseRootFromParent_Done,
     /*  386608 */   // Label 6962: @386608
     /*  386608 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(386662), // Rule ID 64487 //
     /*  386613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  386621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386649 */     // (intrinsic_wo_chain:{ *:[i32] } 10984:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  386652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386660 */     GIR_RootConstrainSelectedInstOperands,
     /*  386661 */     // GIR_Coverage, 64487,
     /*  386661 */     GIR_EraseRootFromParent_Done,
     /*  386662 */   // Label 6963: @386662
     /*  386662 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(386716), // Rule ID 64489 //
     /*  386667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  386675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386703 */     // (intrinsic_wo_chain:{ *:[i32] } 10986:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  386706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386714 */     GIR_RootConstrainSelectedInstOperands,
     /*  386715 */     // GIR_Coverage, 64489,
     /*  386715 */     GIR_EraseRootFromParent_Done,
     /*  386716 */   // Label 6964: @386716
     /*  386716 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(386770), // Rule ID 64490 //
     /*  386721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  386729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386757 */     // (intrinsic_wo_chain:{ *:[i32] } 10986:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  386760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386768 */     GIR_RootConstrainSelectedInstOperands,
     /*  386769 */     // GIR_Coverage, 64490,
     /*  386769 */     GIR_EraseRootFromParent_Done,
     /*  386770 */   // Label 6965: @386770
     /*  386770 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(386824), // Rule ID 64492 //
     /*  386775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  386783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386811 */     // (intrinsic_wo_chain:{ *:[i32] } 10989:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  386814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386822 */     GIR_RootConstrainSelectedInstOperands,
     /*  386823 */     // GIR_Coverage, 64492,
     /*  386823 */     GIR_EraseRootFromParent_Done,
     /*  386824 */   // Label 6966: @386824
     /*  386824 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(386878), // Rule ID 64493 //
     /*  386829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  386837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386865 */     // (intrinsic_wo_chain:{ *:[i32] } 10989:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  386868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386876 */     GIR_RootConstrainSelectedInstOperands,
     /*  386877 */     // GIR_Coverage, 64493,
     /*  386877 */     GIR_EraseRootFromParent_Done,
     /*  386878 */   // Label 6967: @386878
     /*  386878 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(386932), // Rule ID 64495 //
     /*  386883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  386891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386919 */     // (intrinsic_wo_chain:{ *:[i32] } 10991:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  386922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386930 */     GIR_RootConstrainSelectedInstOperands,
     /*  386931 */     // GIR_Coverage, 64495,
     /*  386931 */     GIR_EraseRootFromParent_Done,
     /*  386932 */   // Label 6968: @386932
     /*  386932 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(386986), // Rule ID 64496 //
     /*  386937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  386945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386973 */     // (intrinsic_wo_chain:{ *:[i32] } 10991:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  386976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386984 */     GIR_RootConstrainSelectedInstOperands,
     /*  386985 */     // GIR_Coverage, 64496,
     /*  386985 */     GIR_EraseRootFromParent_Done,
     /*  386986 */   // Label 6969: @386986
     /*  386986 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(387040), // Rule ID 64498 //
     /*  386991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  386994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  386999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  387002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  387005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  387008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387027 */     // (intrinsic_wo_chain:{ *:[i32] } 10990:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  387027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  387030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  387032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  387034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  387038 */     GIR_RootConstrainSelectedInstOperands,
     /*  387039 */     // GIR_Coverage, 64498,
     /*  387039 */     GIR_EraseRootFromParent_Done,
     /*  387040 */   // Label 6970: @387040
     /*  387040 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(387094), // Rule ID 64499 //
     /*  387045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  387048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  387053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  387056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  387059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  387062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387081 */     // (intrinsic_wo_chain:{ *:[i32] } 10990:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  387081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  387084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  387086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  387088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  387092 */     GIR_RootConstrainSelectedInstOperands,
     /*  387093 */     // GIR_Coverage, 64499,
     /*  387093 */     GIR_EraseRootFromParent_Done,
     /*  387094 */   // Label 6971: @387094
     /*  387094 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(387148), // Rule ID 64501 //
     /*  387099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  387102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  387107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  387110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  387113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  387116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387135 */     // (intrinsic_wo_chain:{ *:[i32] } 10992:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  387135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  387138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  387140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  387142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  387146 */     GIR_RootConstrainSelectedInstOperands,
     /*  387147 */     // GIR_Coverage, 64501,
     /*  387147 */     GIR_EraseRootFromParent_Done,
     /*  387148 */   // Label 6972: @387148
     /*  387148 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(387202), // Rule ID 64502 //
     /*  387153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  387156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  387161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  387164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  387167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  387170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387189 */     // (intrinsic_wo_chain:{ *:[i32] } 10992:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  387189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  387192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  387194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  387196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  387200 */     GIR_RootConstrainSelectedInstOperands,
     /*  387201 */     // GIR_Coverage, 64502,
     /*  387201 */     GIR_EraseRootFromParent_Done,
     /*  387202 */   // Label 6973: @387202
     /*  387202 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(387256), // Rule ID 64439 //
     /*  387207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /*  387210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  387215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  387218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  387221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  387224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387243 */     // (intrinsic_wo_chain:{ *:[i32] } 10999:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  387243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  387246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  387248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  387250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  387252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387254 */     GIR_RootConstrainSelectedInstOperands,
     /*  387255 */     // GIR_Coverage, 64439,
     /*  387255 */     GIR_EraseRootFromParent_Done,
     /*  387256 */   // Label 6974: @387256
     /*  387256 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(387310), // Rule ID 64440 //
     /*  387261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  387264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  387269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  387272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  387275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  387278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387297 */     // (intrinsic_wo_chain:{ *:[i32] } 10999:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  387297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  387300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  387302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  387304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  387306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387308 */     GIR_RootConstrainSelectedInstOperands,
     /*  387309 */     // GIR_Coverage, 64440,
     /*  387309 */     GIR_EraseRootFromParent_Done,
     /*  387310 */   // Label 6975: @387310
     /*  387310 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(387364), // Rule ID 64510 //
     /*  387315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  387318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  387323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  387326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  387329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  387332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387351 */     // (intrinsic_wo_chain:{ *:[i32] } 11000:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  387351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  387354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  387356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  387358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  387360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387362 */     GIR_RootConstrainSelectedInstOperands,
     /*  387363 */     // GIR_Coverage, 64510,
     /*  387363 */     GIR_EraseRootFromParent_Done,
     /*  387364 */   // Label 6976: @387364
     /*  387364 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(387418), // Rule ID 64511 //
     /*  387369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  387372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  387377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  387380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  387383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  387386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387405 */     // (intrinsic_wo_chain:{ *:[i32] } 11000:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  387405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  387408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  387410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  387412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  387414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387416 */     GIR_RootConstrainSelectedInstOperands,
     /*  387417 */     // GIR_Coverage, 64511,
     /*  387417 */     GIR_EraseRootFromParent_Done,
     /*  387418 */   // Label 6977: @387418
     /*  387418 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(387472), // Rule ID 64512 //
     /*  387423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  387426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  387431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  387434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  387437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  387440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387459 */     // (intrinsic_wo_chain:{ *:[i32] } 11009:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  387459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  387462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  387464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  387466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  387468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387470 */     GIR_RootConstrainSelectedInstOperands,
     /*  387471 */     // GIR_Coverage, 64512,
     /*  387471 */     GIR_EraseRootFromParent_Done,
     /*  387472 */   // Label 6978: @387472
     /*  387472 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(387526), // Rule ID 64513 //
     /*  387477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  387480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  387485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  387488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  387491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  387494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387513 */     // (intrinsic_wo_chain:{ *:[i32] } 11009:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  387513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  387516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  387518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  387520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  387522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387524 */     GIR_RootConstrainSelectedInstOperands,
     /*  387525 */     // GIR_Coverage, 64513,
     /*  387525 */     GIR_EraseRootFromParent_Done,
     /*  387526 */   // Label 6979: @387526
     /*  387526 */   GIM_Reject,
     /*  387527 */ // Label 4354: @387527
     /*  387527 */ GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(906304),
     /*  387532 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  387535 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(387610), // Rule ID 62843 //
     /*  387540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  387551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387558 */     // MIs[0] op1
     /*  387558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387561 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387566 */     // MIs[0] op2
     /*  387566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387569 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387574 */     // MIs[0] op3
     /*  387574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387577 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387589 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_MF8),
     /*  387592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387594 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387596 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387598 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387608 */     GIR_RootConstrainSelectedInstOperands,
     /*  387609 */     // GIR_Coverage, 62843,
     /*  387609 */     GIR_EraseRootFromParent_Done,
     /*  387610 */   // Label 6981: @387610
     /*  387610 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(387685), // Rule ID 62844 //
     /*  387615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  387626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387633 */     // MIs[0] op1
     /*  387633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387636 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387641 */     // MIs[0] op2
     /*  387641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387644 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387649 */     // MIs[0] op3
     /*  387649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387652 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387664 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_MF8),
     /*  387667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387669 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387671 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387673 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387683 */     GIR_RootConstrainSelectedInstOperands,
     /*  387684 */     // GIR_Coverage, 62844,
     /*  387684 */     GIR_EraseRootFromParent_Done,
     /*  387685 */   // Label 6982: @387685
     /*  387685 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(387760), // Rule ID 62875 //
     /*  387690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  387701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387708 */     // MIs[0] op1
     /*  387708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387716 */     // MIs[0] op2
     /*  387716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387719 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387724 */     // MIs[0] op3
     /*  387724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387727 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387739 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_MF4),
     /*  387742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387744 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387746 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387748 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387758 */     GIR_RootConstrainSelectedInstOperands,
     /*  387759 */     // GIR_Coverage, 62875,
     /*  387759 */     GIR_EraseRootFromParent_Done,
     /*  387760 */   // Label 6983: @387760
     /*  387760 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(387835), // Rule ID 62876 //
     /*  387765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  387776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387783 */     // MIs[0] op1
     /*  387783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387786 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387791 */     // MIs[0] op2
     /*  387791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387799 */     // MIs[0] op3
     /*  387799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387802 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387814 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_MF4),
     /*  387817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387819 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387821 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387823 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387833 */     GIR_RootConstrainSelectedInstOperands,
     /*  387834 */     // GIR_Coverage, 62876,
     /*  387834 */     GIR_EraseRootFromParent_Done,
     /*  387835 */   // Label 6984: @387835
     /*  387835 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(387910), // Rule ID 62919 //
     /*  387840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  387851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387858 */     // MIs[0] op1
     /*  387858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387861 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387866 */     // MIs[0] op2
     /*  387866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387869 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387874 */     // MIs[0] op3
     /*  387874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387877 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387889 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_MF2),
     /*  387892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387894 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387896 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387898 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387908 */     GIR_RootConstrainSelectedInstOperands,
     /*  387909 */     // GIR_Coverage, 62919,
     /*  387909 */     GIR_EraseRootFromParent_Done,
     /*  387910 */   // Label 6985: @387910
     /*  387910 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(387985), // Rule ID 62920 //
     /*  387915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  387926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387933 */     // MIs[0] op1
     /*  387933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387936 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387941 */     // MIs[0] op2
     /*  387941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387944 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387949 */     // MIs[0] op3
     /*  387949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387952 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387964 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_MF2),
     /*  387967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387969 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387971 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387973 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387983 */     GIR_RootConstrainSelectedInstOperands,
     /*  387984 */     // GIR_Coverage, 62920,
     /*  387984 */     GIR_EraseRootFromParent_Done,
     /*  387985 */   // Label 6986: @387985
     /*  387985 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(388060), // Rule ID 62963 //
     /*  387990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  388001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388008 */     // MIs[0] op1
     /*  388008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388011 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388016 */     // MIs[0] op2
     /*  388016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388019 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388024 */     // MIs[0] op3
     /*  388024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388027 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388039 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  388039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_MF4),
     /*  388042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388044 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388046 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388048 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388058 */     GIR_RootConstrainSelectedInstOperands,
     /*  388059 */     // GIR_Coverage, 62963,
     /*  388059 */     GIR_EraseRootFromParent_Done,
     /*  388060 */   // Label 6987: @388060
     /*  388060 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(388135), // Rule ID 62964 //
     /*  388065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  388076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388083 */     // MIs[0] op1
     /*  388083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388091 */     // MIs[0] op2
     /*  388091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388094 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388099 */     // MIs[0] op3
     /*  388099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388102 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_MF4),
     /*  388117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388119 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388121 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388123 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388133 */     GIR_RootConstrainSelectedInstOperands,
     /*  388134 */     // GIR_Coverage, 62964,
     /*  388134 */     GIR_EraseRootFromParent_Done,
     /*  388135 */   // Label 6988: @388135
     /*  388135 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(388210), // Rule ID 63019 //
     /*  388140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  388151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388158 */     // MIs[0] op1
     /*  388158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388161 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388166 */     // MIs[0] op2
     /*  388166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388169 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388174 */     // MIs[0] op3
     /*  388174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388177 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388189 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  388189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_MF2),
     /*  388192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388194 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388196 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388198 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388208 */     GIR_RootConstrainSelectedInstOperands,
     /*  388209 */     // GIR_Coverage, 63019,
     /*  388209 */     GIR_EraseRootFromParent_Done,
     /*  388210 */   // Label 6989: @388210
     /*  388210 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(388285), // Rule ID 63020 //
     /*  388215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  388226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388233 */     // MIs[0] op1
     /*  388233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388241 */     // MIs[0] op2
     /*  388241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388244 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388249 */     // MIs[0] op3
     /*  388249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388252 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388264 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_MF2),
     /*  388267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388269 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388271 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388273 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388283 */     GIR_RootConstrainSelectedInstOperands,
     /*  388284 */     // GIR_Coverage, 63020,
     /*  388284 */     GIR_EraseRootFromParent_Done,
     /*  388285 */   // Label 6990: @388285
     /*  388285 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(388360), // Rule ID 63075 //
     /*  388290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  388301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388308 */     // MIs[0] op1
     /*  388308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388311 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388316 */     // MIs[0] op2
     /*  388316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388319 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388324 */     // MIs[0] op3
     /*  388324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388327 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388339 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  388339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_MF2),
     /*  388342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388344 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388346 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388348 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388358 */     GIR_RootConstrainSelectedInstOperands,
     /*  388359 */     // GIR_Coverage, 63075,
     /*  388359 */     GIR_EraseRootFromParent_Done,
     /*  388360 */   // Label 6991: @388360
     /*  388360 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(388435), // Rule ID 63076 //
     /*  388365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  388376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388383 */     // MIs[0] op1
     /*  388383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388391 */     // MIs[0] op2
     /*  388391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388394 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388399 */     // MIs[0] op3
     /*  388399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388402 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  388414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_MF2),
     /*  388417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388419 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388421 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388423 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388433 */     GIR_RootConstrainSelectedInstOperands,
     /*  388434 */     // GIR_Coverage, 63076,
     /*  388434 */     GIR_EraseRootFromParent_Done,
     /*  388435 */   // Label 6992: @388435
     /*  388435 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(388510), // Rule ID 63131 //
     /*  388440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  388451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388458 */     // MIs[0] op1
     /*  388458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388466 */     // MIs[0] op2
     /*  388466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388469 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388474 */     // MIs[0] op3
     /*  388474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388489 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M1),
     /*  388492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388494 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388496 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388498 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388508 */     GIR_RootConstrainSelectedInstOperands,
     /*  388509 */     // GIR_Coverage, 63131,
     /*  388509 */     GIR_EraseRootFromParent_Done,
     /*  388510 */   // Label 6993: @388510
     /*  388510 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(388585), // Rule ID 63132 //
     /*  388515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  388526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388533 */     // MIs[0] op1
     /*  388533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388541 */     // MIs[0] op2
     /*  388541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388549 */     // MIs[0] op3
     /*  388549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388552 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388564 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M1),
     /*  388567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388569 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388571 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388573 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388583 */     GIR_RootConstrainSelectedInstOperands,
     /*  388584 */     // GIR_Coverage, 63132,
     /*  388584 */     GIR_EraseRootFromParent_Done,
     /*  388585 */   // Label 6994: @388585
     /*  388585 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(388660), // Rule ID 63175 //
     /*  388590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  388601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388608 */     // MIs[0] op1
     /*  388608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388611 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388616 */     // MIs[0] op2
     /*  388616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388619 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388624 */     // MIs[0] op3
     /*  388624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388627 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  388639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M1),
     /*  388642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388644 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388646 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388648 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388658 */     GIR_RootConstrainSelectedInstOperands,
     /*  388659 */     // GIR_Coverage, 63175,
     /*  388659 */     GIR_EraseRootFromParent_Done,
     /*  388660 */   // Label 6995: @388660
     /*  388660 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(388735), // Rule ID 63176 //
     /*  388665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  388676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388683 */     // MIs[0] op1
     /*  388683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388691 */     // MIs[0] op2
     /*  388691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388699 */     // MIs[0] op3
     /*  388699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388702 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M1),
     /*  388717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388719 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388721 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388723 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388733 */     GIR_RootConstrainSelectedInstOperands,
     /*  388734 */     // GIR_Coverage, 63176,
     /*  388734 */     GIR_EraseRootFromParent_Done,
     /*  388735 */   // Label 6996: @388735
     /*  388735 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(388810), // Rule ID 63231 //
     /*  388740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  388751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388758 */     // MIs[0] op1
     /*  388758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388761 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388766 */     // MIs[0] op2
     /*  388766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388774 */     // MIs[0] op3
     /*  388774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  388789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M1),
     /*  388792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388794 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388796 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388798 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388808 */     GIR_RootConstrainSelectedInstOperands,
     /*  388809 */     // GIR_Coverage, 63231,
     /*  388809 */     GIR_EraseRootFromParent_Done,
     /*  388810 */   // Label 6997: @388810
     /*  388810 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(388885), // Rule ID 63232 //
     /*  388815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  388826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388833 */     // MIs[0] op1
     /*  388833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388841 */     // MIs[0] op2
     /*  388841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388844 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388849 */     // MIs[0] op3
     /*  388849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  388864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M1),
     /*  388867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388869 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388871 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388873 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388883 */     GIR_RootConstrainSelectedInstOperands,
     /*  388884 */     // GIR_Coverage, 63232,
     /*  388884 */     GIR_EraseRootFromParent_Done,
     /*  388885 */   // Label 6998: @388885
     /*  388885 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(388960), // Rule ID 63287 //
     /*  388890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  388901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388908 */     // MIs[0] op1
     /*  388908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388916 */     // MIs[0] op2
     /*  388916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388924 */     // MIs[0] op3
     /*  388924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388939 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  388939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M1),
     /*  388942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388944 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388946 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388948 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388958 */     GIR_RootConstrainSelectedInstOperands,
     /*  388959 */     // GIR_Coverage, 63287,
     /*  388959 */     GIR_EraseRootFromParent_Done,
     /*  388960 */   // Label 6999: @388960
     /*  388960 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(389035), // Rule ID 63288 //
     /*  388965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  388976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388983 */     // MIs[0] op1
     /*  388983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388991 */     // MIs[0] op2
     /*  388991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388994 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388999 */     // MIs[0] op3
     /*  388999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389014 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  389014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M1),
     /*  389017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389019 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389021 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389023 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389033 */     GIR_RootConstrainSelectedInstOperands,
     /*  389034 */     // GIR_Coverage, 63288,
     /*  389034 */     GIR_EraseRootFromParent_Done,
     /*  389035 */   // Label 7000: @389035
     /*  389035 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(389110), // Rule ID 63343 //
     /*  389040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  389051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389058 */     // MIs[0] op1
     /*  389058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389066 */     // MIs[0] op2
     /*  389066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389074 */     // MIs[0] op3
     /*  389074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389077 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389089 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  389089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M2),
     /*  389092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389094 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389096 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389098 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389108 */     GIR_RootConstrainSelectedInstOperands,
     /*  389109 */     // GIR_Coverage, 63343,
     /*  389109 */     GIR_EraseRootFromParent_Done,
     /*  389110 */   // Label 7001: @389110
     /*  389110 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(389185), // Rule ID 63344 //
     /*  389115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  389126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389133 */     // MIs[0] op1
     /*  389133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389136 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389141 */     // MIs[0] op2
     /*  389141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389144 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389149 */     // MIs[0] op3
     /*  389149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389164 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  389164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M2),
     /*  389167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389169 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389171 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389173 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389183 */     GIR_RootConstrainSelectedInstOperands,
     /*  389184 */     // GIR_Coverage, 63344,
     /*  389184 */     GIR_EraseRootFromParent_Done,
     /*  389185 */   // Label 7002: @389185
     /*  389185 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(389260), // Rule ID 63387 //
     /*  389190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  389201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389208 */     // MIs[0] op1
     /*  389208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389216 */     // MIs[0] op2
     /*  389216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389219 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389224 */     // MIs[0] op3
     /*  389224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389227 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389239 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  389239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M4),
     /*  389242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389244 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389246 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389248 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389258 */     GIR_RootConstrainSelectedInstOperands,
     /*  389259 */     // GIR_Coverage, 63387,
     /*  389259 */     GIR_EraseRootFromParent_Done,
     /*  389260 */   // Label 7003: @389260
     /*  389260 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(389335), // Rule ID 63388 //
     /*  389265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  389276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389283 */     // MIs[0] op1
     /*  389283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389286 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389291 */     // MIs[0] op2
     /*  389291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389294 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389299 */     // MIs[0] op3
     /*  389299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  389314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M4),
     /*  389317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389319 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389321 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389323 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389333 */     GIR_RootConstrainSelectedInstOperands,
     /*  389334 */     // GIR_Coverage, 63388,
     /*  389334 */     GIR_EraseRootFromParent_Done,
     /*  389335 */   // Label 7004: @389335
     /*  389335 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(389410), // Rule ID 63431 //
     /*  389340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  389351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389358 */     // MIs[0] op1
     /*  389358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389361 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389366 */     // MIs[0] op2
     /*  389366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389369 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389374 */     // MIs[0] op3
     /*  389374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389377 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389389 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  389389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M8),
     /*  389392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389394 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389396 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389398 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389408 */     GIR_RootConstrainSelectedInstOperands,
     /*  389409 */     // GIR_Coverage, 63431,
     /*  389409 */     GIR_EraseRootFromParent_Done,
     /*  389410 */   // Label 7005: @389410
     /*  389410 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(389485), // Rule ID 63432 //
     /*  389415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  389426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389433 */     // MIs[0] op1
     /*  389433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389436 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389441 */     // MIs[0] op2
     /*  389441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389444 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389449 */     // MIs[0] op3
     /*  389449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389452 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389464 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  389464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M8),
     /*  389467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389469 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389471 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389473 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389483 */     GIR_RootConstrainSelectedInstOperands,
     /*  389484 */     // GIR_Coverage, 63432,
     /*  389484 */     GIR_EraseRootFromParent_Done,
     /*  389485 */   // Label 7006: @389485
     /*  389485 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(389560), // Rule ID 63475 //
     /*  389490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  389501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389508 */     // MIs[0] op1
     /*  389508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389511 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389516 */     // MIs[0] op2
     /*  389516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389519 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389524 */     // MIs[0] op3
     /*  389524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389527 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389539 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  389539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M2),
     /*  389542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389544 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389546 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389548 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389558 */     GIR_RootConstrainSelectedInstOperands,
     /*  389559 */     // GIR_Coverage, 63475,
     /*  389559 */     GIR_EraseRootFromParent_Done,
     /*  389560 */   // Label 7007: @389560
     /*  389560 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(389635), // Rule ID 63476 //
     /*  389565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  389576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389583 */     // MIs[0] op1
     /*  389583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389586 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389591 */     // MIs[0] op2
     /*  389591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389599 */     // MIs[0] op3
     /*  389599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389602 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  389614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M2),
     /*  389617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389619 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389621 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389623 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389633 */     GIR_RootConstrainSelectedInstOperands,
     /*  389634 */     // GIR_Coverage, 63476,
     /*  389634 */     GIR_EraseRootFromParent_Done,
     /*  389635 */   // Label 7008: @389635
     /*  389635 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(389710), // Rule ID 63531 //
     /*  389640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  389651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389658 */     // MIs[0] op1
     /*  389658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389661 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389666 */     // MIs[0] op2
     /*  389666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389669 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389674 */     // MIs[0] op3
     /*  389674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389677 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389689 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  389689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M4),
     /*  389692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389694 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389696 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389698 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389708 */     GIR_RootConstrainSelectedInstOperands,
     /*  389709 */     // GIR_Coverage, 63531,
     /*  389709 */     GIR_EraseRootFromParent_Done,
     /*  389710 */   // Label 7009: @389710
     /*  389710 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(389785), // Rule ID 63532 //
     /*  389715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  389726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389733 */     // MIs[0] op1
     /*  389733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389736 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389741 */     // MIs[0] op2
     /*  389741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389744 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389749 */     // MIs[0] op3
     /*  389749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389752 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  389764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M4),
     /*  389767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389769 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389771 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389773 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389783 */     GIR_RootConstrainSelectedInstOperands,
     /*  389784 */     // GIR_Coverage, 63532,
     /*  389784 */     GIR_EraseRootFromParent_Done,
     /*  389785 */   // Label 7010: @389785
     /*  389785 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(389860), // Rule ID 63587 //
     /*  389790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  389801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389808 */     // MIs[0] op1
     /*  389808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389811 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389816 */     // MIs[0] op2
     /*  389816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389819 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389824 */     // MIs[0] op3
     /*  389824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389827 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389839 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  389839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M8),
     /*  389842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389844 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389846 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389848 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389858 */     GIR_RootConstrainSelectedInstOperands,
     /*  389859 */     // GIR_Coverage, 63587,
     /*  389859 */     GIR_EraseRootFromParent_Done,
     /*  389860 */   // Label 7011: @389860
     /*  389860 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(389935), // Rule ID 63588 //
     /*  389865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  389876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389883 */     // MIs[0] op1
     /*  389883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389886 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389891 */     // MIs[0] op2
     /*  389891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389894 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389899 */     // MIs[0] op3
     /*  389899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389902 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  389914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M8),
     /*  389917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389919 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389921 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389923 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389933 */     GIR_RootConstrainSelectedInstOperands,
     /*  389934 */     // GIR_Coverage, 63588,
     /*  389934 */     GIR_EraseRootFromParent_Done,
     /*  389935 */   // Label 7012: @389935
     /*  389935 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(390010), // Rule ID 63643 //
     /*  389940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  389951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389958 */     // MIs[0] op1
     /*  389958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389961 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389966 */     // MIs[0] op2
     /*  389966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389969 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389974 */     // MIs[0] op3
     /*  389974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389977 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M2),
     /*  389992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389994 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389996 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389998 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390008 */     GIR_RootConstrainSelectedInstOperands,
     /*  390009 */     // GIR_Coverage, 63643,
     /*  390009 */     GIR_EraseRootFromParent_Done,
     /*  390010 */   // Label 7013: @390010
     /*  390010 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(390085), // Rule ID 63644 //
     /*  390015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  390026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390033 */     // MIs[0] op1
     /*  390033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390036 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390041 */     // MIs[0] op2
     /*  390041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390044 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390049 */     // MIs[0] op3
     /*  390049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390052 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  390064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M2),
     /*  390067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390069 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390071 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390073 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390083 */     GIR_RootConstrainSelectedInstOperands,
     /*  390084 */     // GIR_Coverage, 63644,
     /*  390084 */     GIR_EraseRootFromParent_Done,
     /*  390085 */   // Label 7014: @390085
     /*  390085 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(390160), // Rule ID 63699 //
     /*  390090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  390101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390108 */     // MIs[0] op1
     /*  390108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390111 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390116 */     // MIs[0] op2
     /*  390116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390119 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390124 */     // MIs[0] op3
     /*  390124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390139 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  390139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M4),
     /*  390142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390144 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390146 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390148 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390158 */     GIR_RootConstrainSelectedInstOperands,
     /*  390159 */     // GIR_Coverage, 63699,
     /*  390159 */     GIR_EraseRootFromParent_Done,
     /*  390160 */   // Label 7015: @390160
     /*  390160 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(390235), // Rule ID 63700 //
     /*  390165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  390176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390183 */     // MIs[0] op1
     /*  390183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390191 */     // MIs[0] op2
     /*  390191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390194 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390199 */     // MIs[0] op3
     /*  390199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390202 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390214 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  390214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M4),
     /*  390217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390219 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390221 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390223 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390233 */     GIR_RootConstrainSelectedInstOperands,
     /*  390234 */     // GIR_Coverage, 63700,
     /*  390234 */     GIR_EraseRootFromParent_Done,
     /*  390235 */   // Label 7016: @390235
     /*  390235 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(390310), // Rule ID 63755 //
     /*  390240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  390251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390258 */     // MIs[0] op1
     /*  390258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390266 */     // MIs[0] op2
     /*  390266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390269 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390274 */     // MIs[0] op3
     /*  390274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390277 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390289 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  390289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M8),
     /*  390292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390294 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390296 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390298 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390308 */     GIR_RootConstrainSelectedInstOperands,
     /*  390309 */     // GIR_Coverage, 63755,
     /*  390309 */     GIR_EraseRootFromParent_Done,
     /*  390310 */   // Label 7017: @390310
     /*  390310 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(390385), // Rule ID 63756 //
     /*  390315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  390326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390333 */     // MIs[0] op1
     /*  390333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390336 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390341 */     // MIs[0] op2
     /*  390341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390344 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390349 */     // MIs[0] op3
     /*  390349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390364 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  390364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M8),
     /*  390367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390369 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390371 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390373 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390383 */     GIR_RootConstrainSelectedInstOperands,
     /*  390384 */     // GIR_Coverage, 63756,
     /*  390384 */     GIR_EraseRootFromParent_Done,
     /*  390385 */   // Label 7018: @390385
     /*  390385 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(390460), // Rule ID 63811 //
     /*  390390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  390401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390408 */     // MIs[0] op1
     /*  390408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390416 */     // MIs[0] op2
     /*  390416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390424 */     // MIs[0] op3
     /*  390424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390439 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  390439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M2),
     /*  390442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390444 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390446 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390448 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390458 */     GIR_RootConstrainSelectedInstOperands,
     /*  390459 */     // GIR_Coverage, 63811,
     /*  390459 */     GIR_EraseRootFromParent_Done,
     /*  390460 */   // Label 7019: @390460
     /*  390460 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(390535), // Rule ID 63812 //
     /*  390465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  390476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390483 */     // MIs[0] op1
     /*  390483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390486 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390491 */     // MIs[0] op2
     /*  390491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390499 */     // MIs[0] op3
     /*  390499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390514 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  390514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M2),
     /*  390517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390519 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390521 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390523 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390533 */     GIR_RootConstrainSelectedInstOperands,
     /*  390534 */     // GIR_Coverage, 63812,
     /*  390534 */     GIR_EraseRootFromParent_Done,
     /*  390535 */   // Label 7020: @390535
     /*  390535 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(390610), // Rule ID 63867 //
     /*  390540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  390551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390558 */     // MIs[0] op1
     /*  390558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390561 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390566 */     // MIs[0] op2
     /*  390566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390569 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390574 */     // MIs[0] op3
     /*  390574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390577 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390589 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  390589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M4),
     /*  390592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390594 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390596 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390598 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390608 */     GIR_RootConstrainSelectedInstOperands,
     /*  390609 */     // GIR_Coverage, 63867,
     /*  390609 */     GIR_EraseRootFromParent_Done,
     /*  390610 */   // Label 7021: @390610
     /*  390610 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(390685), // Rule ID 63868 //
     /*  390615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  390626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390633 */     // MIs[0] op1
     /*  390633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390636 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390641 */     // MIs[0] op2
     /*  390641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390644 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390649 */     // MIs[0] op3
     /*  390649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390652 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390664 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  390664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M4),
     /*  390667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390669 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390671 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390673 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390683 */     GIR_RootConstrainSelectedInstOperands,
     /*  390684 */     // GIR_Coverage, 63868,
     /*  390684 */     GIR_EraseRootFromParent_Done,
     /*  390685 */   // Label 7022: @390685
     /*  390685 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(390760), // Rule ID 63923 //
     /*  390690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  390701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390708 */     // MIs[0] op1
     /*  390708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390716 */     // MIs[0] op2
     /*  390716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390719 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390724 */     // MIs[0] op3
     /*  390724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390727 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390739 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  390739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M8),
     /*  390742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390744 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390746 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390748 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390758 */     GIR_RootConstrainSelectedInstOperands,
     /*  390759 */     // GIR_Coverage, 63923,
     /*  390759 */     GIR_EraseRootFromParent_Done,
     /*  390760 */   // Label 7023: @390760
     /*  390760 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(390835), // Rule ID 63924 //
     /*  390765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  390773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  390776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390783 */     // MIs[0] op1
     /*  390783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390786 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390791 */     // MIs[0] op2
     /*  390791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390799 */     // MIs[0] op3
     /*  390799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390802 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390814 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  390814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_I_M8),
     /*  390817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390819 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390821 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390823 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390833 */     GIR_RootConstrainSelectedInstOperands,
     /*  390834 */     // GIR_Coverage, 63924,
     /*  390834 */     GIR_EraseRootFromParent_Done,
     /*  390835 */   // Label 7024: @390835
     /*  390835 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(390909), // Rule ID 62825 //
     /*  390840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  390851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390861 */     // MIs[0] op1
     /*  390861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390869 */     // MIs[0] op2
     /*  390869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390888 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_MF8),
     /*  390891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390893 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390895 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390897 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390907 */     GIR_RootConstrainSelectedInstOperands,
     /*  390908 */     // GIR_Coverage, 62825,
     /*  390908 */     GIR_EraseRootFromParent_Done,
     /*  390909 */   // Label 7025: @390909
     /*  390909 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(390983), // Rule ID 62826 //
     /*  390914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  390925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390935 */     // MIs[0] op1
     /*  390935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390943 */     // MIs[0] op2
     /*  390943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390946 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390962 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_MF8),
     /*  390965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390967 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390969 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390971 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390981 */     GIR_RootConstrainSelectedInstOperands,
     /*  390982 */     // GIR_Coverage, 62826,
     /*  390982 */     GIR_EraseRootFromParent_Done,
     /*  390983 */   // Label 7026: @390983
     /*  390983 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(391057), // Rule ID 62871 //
     /*  390988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  390999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391009 */     // MIs[0] op1
     /*  391009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391017 */     // MIs[0] op2
     /*  391017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391036 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_MF4),
     /*  391039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391041 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391043 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391045 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391055 */     GIR_RootConstrainSelectedInstOperands,
     /*  391056 */     // GIR_Coverage, 62871,
     /*  391056 */     GIR_EraseRootFromParent_Done,
     /*  391057 */   // Label 7027: @391057
     /*  391057 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(391131), // Rule ID 62872 //
     /*  391062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  391073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391083 */     // MIs[0] op1
     /*  391083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391091 */     // MIs[0] op2
     /*  391091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391094 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391110 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_MF4),
     /*  391113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391115 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391117 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391119 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391129 */     GIR_RootConstrainSelectedInstOperands,
     /*  391130 */     // GIR_Coverage, 62872,
     /*  391130 */     GIR_EraseRootFromParent_Done,
     /*  391131 */   // Label 7028: @391131
     /*  391131 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(391205), // Rule ID 62915 //
     /*  391136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  391147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391157 */     // MIs[0] op1
     /*  391157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391165 */     // MIs[0] op2
     /*  391165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391184 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_MF2),
     /*  391187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391189 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391191 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391193 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391203 */     GIR_RootConstrainSelectedInstOperands,
     /*  391204 */     // GIR_Coverage, 62915,
     /*  391204 */     GIR_EraseRootFromParent_Done,
     /*  391205 */   // Label 7029: @391205
     /*  391205 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(391279), // Rule ID 62916 //
     /*  391210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  391221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391231 */     // MIs[0] op1
     /*  391231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391239 */     // MIs[0] op2
     /*  391239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391242 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391258 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_MF2),
     /*  391261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391263 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391265 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391267 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391277 */     GIR_RootConstrainSelectedInstOperands,
     /*  391278 */     // GIR_Coverage, 62916,
     /*  391278 */     GIR_EraseRootFromParent_Done,
     /*  391279 */   // Label 7030: @391279
     /*  391279 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(391353), // Rule ID 62959 //
     /*  391284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  391295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391305 */     // MIs[0] op1
     /*  391305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391308 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391313 */     // MIs[0] op2
     /*  391313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391332 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  391332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_MF4),
     /*  391335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391337 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391339 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391341 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391351 */     GIR_RootConstrainSelectedInstOperands,
     /*  391352 */     // GIR_Coverage, 62959,
     /*  391352 */     GIR_EraseRootFromParent_Done,
     /*  391353 */   // Label 7031: @391353
     /*  391353 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(391427), // Rule ID 62960 //
     /*  391358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  391369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391379 */     // MIs[0] op1
     /*  391379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391387 */     // MIs[0] op2
     /*  391387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391406 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  391406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_MF4),
     /*  391409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391411 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391413 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391415 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391425 */     GIR_RootConstrainSelectedInstOperands,
     /*  391426 */     // GIR_Coverage, 62960,
     /*  391426 */     GIR_EraseRootFromParent_Done,
     /*  391427 */   // Label 7032: @391427
     /*  391427 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(391501), // Rule ID 63015 //
     /*  391432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  391443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391453 */     // MIs[0] op1
     /*  391453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391456 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391461 */     // MIs[0] op2
     /*  391461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391464 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391480 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  391480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_MF2),
     /*  391483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391485 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391487 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391489 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391499 */     GIR_RootConstrainSelectedInstOperands,
     /*  391500 */     // GIR_Coverage, 63015,
     /*  391500 */     GIR_EraseRootFromParent_Done,
     /*  391501 */   // Label 7033: @391501
     /*  391501 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(391575), // Rule ID 63016 //
     /*  391506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  391517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391527 */     // MIs[0] op1
     /*  391527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391535 */     // MIs[0] op2
     /*  391535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391538 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391554 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  391554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_MF2),
     /*  391557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391559 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391561 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391563 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391573 */     GIR_RootConstrainSelectedInstOperands,
     /*  391574 */     // GIR_Coverage, 63016,
     /*  391574 */     GIR_EraseRootFromParent_Done,
     /*  391575 */   // Label 7034: @391575
     /*  391575 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(391649), // Rule ID 63071 //
     /*  391580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  391591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391601 */     // MIs[0] op1
     /*  391601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391604 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391609 */     // MIs[0] op2
     /*  391609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  391628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_MF2),
     /*  391631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391633 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391635 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391637 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391647 */     GIR_RootConstrainSelectedInstOperands,
     /*  391648 */     // GIR_Coverage, 63071,
     /*  391648 */     GIR_EraseRootFromParent_Done,
     /*  391649 */   // Label 7035: @391649
     /*  391649 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(391723), // Rule ID 63072 //
     /*  391654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  391665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391675 */     // MIs[0] op1
     /*  391675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391683 */     // MIs[0] op2
     /*  391683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  391702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_MF2),
     /*  391705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391707 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391709 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391711 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391721 */     GIR_RootConstrainSelectedInstOperands,
     /*  391722 */     // GIR_Coverage, 63072,
     /*  391722 */     GIR_EraseRootFromParent_Done,
     /*  391723 */   // Label 7036: @391723
     /*  391723 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(391797), // Rule ID 63127 //
     /*  391728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  391739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391749 */     // MIs[0] op1
     /*  391749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391752 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391757 */     // MIs[0] op2
     /*  391757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391760 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391776 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M1),
     /*  391779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391781 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391783 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391785 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391795 */     GIR_RootConstrainSelectedInstOperands,
     /*  391796 */     // GIR_Coverage, 63127,
     /*  391796 */     GIR_EraseRootFromParent_Done,
     /*  391797 */   // Label 7037: @391797
     /*  391797 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(391871), // Rule ID 63128 //
     /*  391802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  391813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391823 */     // MIs[0] op1
     /*  391823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391831 */     // MIs[0] op2
     /*  391831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391834 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391850 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M1),
     /*  391853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391855 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391857 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391859 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391869 */     GIR_RootConstrainSelectedInstOperands,
     /*  391870 */     // GIR_Coverage, 63128,
     /*  391870 */     GIR_EraseRootFromParent_Done,
     /*  391871 */   // Label 7038: @391871
     /*  391871 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(391945), // Rule ID 63171 //
     /*  391876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  391887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391897 */     // MIs[0] op1
     /*  391897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391905 */     // MIs[0] op2
     /*  391905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  391924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M1),
     /*  391927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391929 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391931 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391933 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391943 */     GIR_RootConstrainSelectedInstOperands,
     /*  391944 */     // GIR_Coverage, 63171,
     /*  391944 */     GIR_EraseRootFromParent_Done,
     /*  391945 */   // Label 7039: @391945
     /*  391945 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(392019), // Rule ID 63172 //
     /*  391950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  391961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391971 */     // MIs[0] op1
     /*  391971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391979 */     // MIs[0] op2
     /*  391979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391982 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  391998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M1),
     /*  392001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392003 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392005 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392007 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392017 */     GIR_RootConstrainSelectedInstOperands,
     /*  392018 */     // GIR_Coverage, 63172,
     /*  392018 */     GIR_EraseRootFromParent_Done,
     /*  392019 */   // Label 7040: @392019
     /*  392019 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(392093), // Rule ID 63227 //
     /*  392024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  392035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392045 */     // MIs[0] op1
     /*  392045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392048 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392053 */     // MIs[0] op2
     /*  392053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392056 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M1),
     /*  392075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392077 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392079 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392081 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392091 */     GIR_RootConstrainSelectedInstOperands,
     /*  392092 */     // GIR_Coverage, 63227,
     /*  392092 */     GIR_EraseRootFromParent_Done,
     /*  392093 */   // Label 7041: @392093
     /*  392093 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(392167), // Rule ID 63228 //
     /*  392098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  392109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392119 */     // MIs[0] op1
     /*  392119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392127 */     // MIs[0] op2
     /*  392127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M1),
     /*  392149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392151 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392153 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392155 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392165 */     GIR_RootConstrainSelectedInstOperands,
     /*  392166 */     // GIR_Coverage, 63228,
     /*  392166 */     GIR_EraseRootFromParent_Done,
     /*  392167 */   // Label 7042: @392167
     /*  392167 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(392241), // Rule ID 63283 //
     /*  392172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  392183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392193 */     // MIs[0] op1
     /*  392193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392201 */     // MIs[0] op2
     /*  392201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392220 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  392220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M1),
     /*  392223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392225 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392227 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392229 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392239 */     GIR_RootConstrainSelectedInstOperands,
     /*  392240 */     // GIR_Coverage, 63283,
     /*  392240 */     GIR_EraseRootFromParent_Done,
     /*  392241 */   // Label 7043: @392241
     /*  392241 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(392315), // Rule ID 63284 //
     /*  392246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  392257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392267 */     // MIs[0] op1
     /*  392267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392270 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392275 */     // MIs[0] op2
     /*  392275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392278 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392294 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  392294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M1),
     /*  392297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392299 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392301 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392303 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392313 */     GIR_RootConstrainSelectedInstOperands,
     /*  392314 */     // GIR_Coverage, 63284,
     /*  392314 */     GIR_EraseRootFromParent_Done,
     /*  392315 */   // Label 7044: @392315
     /*  392315 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(392389), // Rule ID 63339 //
     /*  392320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  392331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392341 */     // MIs[0] op1
     /*  392341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392344 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392349 */     // MIs[0] op2
     /*  392349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392368 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  392368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M2),
     /*  392371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392373 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392375 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392377 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392387 */     GIR_RootConstrainSelectedInstOperands,
     /*  392388 */     // GIR_Coverage, 63339,
     /*  392388 */     GIR_EraseRootFromParent_Done,
     /*  392389 */   // Label 7045: @392389
     /*  392389 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(392463), // Rule ID 63340 //
     /*  392394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  392405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392415 */     // MIs[0] op1
     /*  392415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392418 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392423 */     // MIs[0] op2
     /*  392423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392442 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M2),
     /*  392445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392447 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392449 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392451 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392461 */     GIR_RootConstrainSelectedInstOperands,
     /*  392462 */     // GIR_Coverage, 63340,
     /*  392462 */     GIR_EraseRootFromParent_Done,
     /*  392463 */   // Label 7046: @392463
     /*  392463 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(392537), // Rule ID 63383 //
     /*  392468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  392479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392489 */     // MIs[0] op1
     /*  392489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392497 */     // MIs[0] op2
     /*  392497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392516 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  392516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M4),
     /*  392519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392521 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392523 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392525 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392535 */     GIR_RootConstrainSelectedInstOperands,
     /*  392536 */     // GIR_Coverage, 63383,
     /*  392536 */     GIR_EraseRootFromParent_Done,
     /*  392537 */   // Label 7047: @392537
     /*  392537 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(392611), // Rule ID 63384 //
     /*  392542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  392553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392563 */     // MIs[0] op1
     /*  392563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392571 */     // MIs[0] op2
     /*  392571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392574 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392590 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M4),
     /*  392593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392595 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392597 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392599 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392609 */     GIR_RootConstrainSelectedInstOperands,
     /*  392610 */     // GIR_Coverage, 63384,
     /*  392610 */     GIR_EraseRootFromParent_Done,
     /*  392611 */   // Label 7048: @392611
     /*  392611 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(392685), // Rule ID 63427 //
     /*  392616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  392627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392637 */     // MIs[0] op1
     /*  392637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392640 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392645 */     // MIs[0] op2
     /*  392645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392648 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392664 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  392664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M8),
     /*  392667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392669 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392671 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392673 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392683 */     GIR_RootConstrainSelectedInstOperands,
     /*  392684 */     // GIR_Coverage, 63427,
     /*  392684 */     GIR_EraseRootFromParent_Done,
     /*  392685 */   // Label 7049: @392685
     /*  392685 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(392759), // Rule ID 63428 //
     /*  392690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  392701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392711 */     // MIs[0] op1
     /*  392711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392719 */     // MIs[0] op2
     /*  392719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392738 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M8),
     /*  392741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392743 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392745 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392747 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392757 */     GIR_RootConstrainSelectedInstOperands,
     /*  392758 */     // GIR_Coverage, 63428,
     /*  392758 */     GIR_EraseRootFromParent_Done,
     /*  392759 */   // Label 7050: @392759
     /*  392759 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(392833), // Rule ID 63471 //
     /*  392764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  392775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392785 */     // MIs[0] op1
     /*  392785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392793 */     // MIs[0] op2
     /*  392793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392796 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392812 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M2),
     /*  392815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392817 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392819 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392821 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392831 */     GIR_RootConstrainSelectedInstOperands,
     /*  392832 */     // GIR_Coverage, 63471,
     /*  392832 */     GIR_EraseRootFromParent_Done,
     /*  392833 */   // Label 7051: @392833
     /*  392833 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(392907), // Rule ID 63472 //
     /*  392838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  392849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392859 */     // MIs[0] op1
     /*  392859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392862 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392867 */     // MIs[0] op2
     /*  392867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392870 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392886 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M2),
     /*  392889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392891 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392893 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392895 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392905 */     GIR_RootConstrainSelectedInstOperands,
     /*  392906 */     // GIR_Coverage, 63472,
     /*  392906 */     GIR_EraseRootFromParent_Done,
     /*  392907 */   // Label 7052: @392907
     /*  392907 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(392981), // Rule ID 63527 //
     /*  392912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  392923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392933 */     // MIs[0] op1
     /*  392933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392936 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392941 */     // MIs[0] op2
     /*  392941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392944 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392960 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M4),
     /*  392963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392965 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392967 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392969 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392979 */     GIR_RootConstrainSelectedInstOperands,
     /*  392980 */     // GIR_Coverage, 63527,
     /*  392980 */     GIR_EraseRootFromParent_Done,
     /*  392981 */   // Label 7053: @392981
     /*  392981 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(393055), // Rule ID 63528 //
     /*  392986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  392997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393007 */     // MIs[0] op1
     /*  393007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393015 */     // MIs[0] op2
     /*  393015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393034 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M4),
     /*  393037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393039 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393041 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393043 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393053 */     GIR_RootConstrainSelectedInstOperands,
     /*  393054 */     // GIR_Coverage, 63528,
     /*  393054 */     GIR_EraseRootFromParent_Done,
     /*  393055 */   // Label 7054: @393055
     /*  393055 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(393129), // Rule ID 63583 //
     /*  393060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  393071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393081 */     // MIs[0] op1
     /*  393081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393084 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393089 */     // MIs[0] op2
     /*  393089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393092 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393108 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M8),
     /*  393111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393113 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393115 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393117 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393127 */     GIR_RootConstrainSelectedInstOperands,
     /*  393128 */     // GIR_Coverage, 63583,
     /*  393128 */     GIR_EraseRootFromParent_Done,
     /*  393129 */   // Label 7055: @393129
     /*  393129 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(393203), // Rule ID 63584 //
     /*  393134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  393145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393155 */     // MIs[0] op1
     /*  393155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393163 */     // MIs[0] op2
     /*  393163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393182 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M8),
     /*  393185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393187 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393189 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393191 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393201 */     GIR_RootConstrainSelectedInstOperands,
     /*  393202 */     // GIR_Coverage, 63584,
     /*  393202 */     GIR_EraseRootFromParent_Done,
     /*  393203 */   // Label 7056: @393203
     /*  393203 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(393277), // Rule ID 63639 //
     /*  393208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  393219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393229 */     // MIs[0] op1
     /*  393229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393237 */     // MIs[0] op2
     /*  393237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393240 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  393256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M2),
     /*  393259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393261 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393263 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393265 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393275 */     GIR_RootConstrainSelectedInstOperands,
     /*  393276 */     // GIR_Coverage, 63639,
     /*  393276 */     GIR_EraseRootFromParent_Done,
     /*  393277 */   // Label 7057: @393277
     /*  393277 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(393351), // Rule ID 63640 //
     /*  393282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  393293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393303 */     // MIs[0] op1
     /*  393303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393306 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393311 */     // MIs[0] op2
     /*  393311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  393330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M2),
     /*  393333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393335 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393337 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393339 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393349 */     GIR_RootConstrainSelectedInstOperands,
     /*  393350 */     // GIR_Coverage, 63640,
     /*  393350 */     GIR_EraseRootFromParent_Done,
     /*  393351 */   // Label 7058: @393351
     /*  393351 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(393425), // Rule ID 63695 //
     /*  393356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  393367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393377 */     // MIs[0] op1
     /*  393377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393385 */     // MIs[0] op2
     /*  393385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393388 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393404 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  393404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M4),
     /*  393407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393409 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393411 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393413 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393423 */     GIR_RootConstrainSelectedInstOperands,
     /*  393424 */     // GIR_Coverage, 63695,
     /*  393424 */     GIR_EraseRootFromParent_Done,
     /*  393425 */   // Label 7059: @393425
     /*  393425 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(393499), // Rule ID 63696 //
     /*  393430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  393441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393451 */     // MIs[0] op1
     /*  393451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393454 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393459 */     // MIs[0] op2
     /*  393459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393462 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  393478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M4),
     /*  393481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393483 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393485 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393487 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393497 */     GIR_RootConstrainSelectedInstOperands,
     /*  393498 */     // GIR_Coverage, 63696,
     /*  393498 */     GIR_EraseRootFromParent_Done,
     /*  393499 */   // Label 7060: @393499
     /*  393499 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(393573), // Rule ID 63751 //
     /*  393504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  393515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393525 */     // MIs[0] op1
     /*  393525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393533 */     // MIs[0] op2
     /*  393533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393552 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  393552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M8),
     /*  393555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393557 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393559 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393561 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393571 */     GIR_RootConstrainSelectedInstOperands,
     /*  393572 */     // GIR_Coverage, 63751,
     /*  393572 */     GIR_EraseRootFromParent_Done,
     /*  393573 */   // Label 7061: @393573
     /*  393573 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(393647), // Rule ID 63752 //
     /*  393578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  393589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393599 */     // MIs[0] op1
     /*  393599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393602 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393607 */     // MIs[0] op2
     /*  393607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393610 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  393626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M8),
     /*  393629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393631 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393633 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393635 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393645 */     GIR_RootConstrainSelectedInstOperands,
     /*  393646 */     // GIR_Coverage, 63752,
     /*  393646 */     GIR_EraseRootFromParent_Done,
     /*  393647 */   // Label 7062: @393647
     /*  393647 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(393721), // Rule ID 63807 //
     /*  393652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  393663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393673 */     // MIs[0] op1
     /*  393673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393681 */     // MIs[0] op2
     /*  393681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393684 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393700 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  393700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M2),
     /*  393703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393705 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393707 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393709 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393719 */     GIR_RootConstrainSelectedInstOperands,
     /*  393720 */     // GIR_Coverage, 63807,
     /*  393720 */     GIR_EraseRootFromParent_Done,
     /*  393721 */   // Label 7063: @393721
     /*  393721 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(393795), // Rule ID 63808 //
     /*  393726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  393737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393747 */     // MIs[0] op1
     /*  393747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393750 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393755 */     // MIs[0] op2
     /*  393755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393758 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393774 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  393774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M2),
     /*  393777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393779 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393781 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393783 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393793 */     GIR_RootConstrainSelectedInstOperands,
     /*  393794 */     // GIR_Coverage, 63808,
     /*  393794 */     GIR_EraseRootFromParent_Done,
     /*  393795 */   // Label 7064: @393795
     /*  393795 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(393869), // Rule ID 63863 //
     /*  393800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  393811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393821 */     // MIs[0] op1
     /*  393821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393829 */     // MIs[0] op2
     /*  393829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393832 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  393848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M4),
     /*  393851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393867 */     GIR_RootConstrainSelectedInstOperands,
     /*  393868 */     // GIR_Coverage, 63863,
     /*  393868 */     GIR_EraseRootFromParent_Done,
     /*  393869 */   // Label 7065: @393869
     /*  393869 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(393943), // Rule ID 63864 //
     /*  393874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  393885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393895 */     // MIs[0] op1
     /*  393895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393898 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393903 */     // MIs[0] op2
     /*  393903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393906 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393922 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  393922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M4),
     /*  393925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393927 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393929 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393931 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393941 */     GIR_RootConstrainSelectedInstOperands,
     /*  393942 */     // GIR_Coverage, 63864,
     /*  393942 */     GIR_EraseRootFromParent_Done,
     /*  393943 */   // Label 7066: @393943
     /*  393943 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(394017), // Rule ID 63919 //
     /*  393948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  393956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  393959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393969 */     // MIs[0] op1
     /*  393969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393977 */     // MIs[0] op2
     /*  393977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393980 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  393989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  393996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M8),
     /*  393999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394001 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394003 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394005 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394015 */     GIR_RootConstrainSelectedInstOperands,
     /*  394016 */     // GIR_Coverage, 63919,
     /*  394016 */     GIR_EraseRootFromParent_Done,
     /*  394017 */   // Label 7067: @394017
     /*  394017 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(394091), // Rule ID 63920 //
     /*  394022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  394033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  394036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394043 */     // MIs[0] op1
     /*  394043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394051 */     // MIs[0] op2
     /*  394051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394070 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_X_M8),
     /*  394073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394075 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394077 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394079 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394089 */     GIR_RootConstrainSelectedInstOperands,
     /*  394090 */     // GIR_Coverage, 63920,
     /*  394090 */     GIR_EraseRootFromParent_Done,
     /*  394091 */   // Label 7068: @394091
     /*  394091 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(394165), // Rule ID 62849 //
     /*  394096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  394107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  394110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394117 */     // MIs[0] op1
     /*  394117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394129 */     // MIs[0] op3
     /*  394129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394132 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394144 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_MF8),
     /*  394147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394149 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394151 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394153 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394163 */     GIR_RootConstrainSelectedInstOperands,
     /*  394164 */     // GIR_Coverage, 62849,
     /*  394164 */     GIR_EraseRootFromParent_Done,
     /*  394165 */   // Label 7069: @394165
     /*  394165 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(394239), // Rule ID 62850 //
     /*  394170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  394181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  394184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394191 */     // MIs[0] op1
     /*  394191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394194 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394203 */     // MIs[0] op3
     /*  394203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394206 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394218 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_MF8),
     /*  394221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394223 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394225 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394227 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394237 */     GIR_RootConstrainSelectedInstOperands,
     /*  394238 */     // GIR_Coverage, 62850,
     /*  394238 */     GIR_EraseRootFromParent_Done,
     /*  394239 */   // Label 7070: @394239
     /*  394239 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(394313), // Rule ID 62887 //
     /*  394244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  394255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  394258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394265 */     // MIs[0] op1
     /*  394265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394268 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394277 */     // MIs[0] op3
     /*  394277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394292 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_MF4),
     /*  394295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394297 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394299 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394301 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394311 */     GIR_RootConstrainSelectedInstOperands,
     /*  394312 */     // GIR_Coverage, 62887,
     /*  394312 */     GIR_EraseRootFromParent_Done,
     /*  394313 */   // Label 7071: @394313
     /*  394313 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(394387), // Rule ID 62888 //
     /*  394318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  394329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  394332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394339 */     // MIs[0] op1
     /*  394339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394351 */     // MIs[0] op3
     /*  394351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394366 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_MF4),
     /*  394369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394371 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394373 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394375 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394385 */     GIR_RootConstrainSelectedInstOperands,
     /*  394386 */     // GIR_Coverage, 62888,
     /*  394386 */     GIR_EraseRootFromParent_Done,
     /*  394387 */   // Label 7072: @394387
     /*  394387 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(394461), // Rule ID 62931 //
     /*  394392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  394403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  394406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394413 */     // MIs[0] op1
     /*  394413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394425 */     // MIs[0] op3
     /*  394425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394428 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394440 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_MF2),
     /*  394443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394445 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394447 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394449 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394459 */     GIR_RootConstrainSelectedInstOperands,
     /*  394460 */     // GIR_Coverage, 62931,
     /*  394460 */     GIR_EraseRootFromParent_Done,
     /*  394461 */   // Label 7073: @394461
     /*  394461 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(394535), // Rule ID 62932 //
     /*  394466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  394477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  394480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394487 */     // MIs[0] op1
     /*  394487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394490 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394499 */     // MIs[0] op3
     /*  394499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394514 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_MF2),
     /*  394517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394519 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394521 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394523 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394533 */     GIR_RootConstrainSelectedInstOperands,
     /*  394534 */     // GIR_Coverage, 62932,
     /*  394534 */     GIR_EraseRootFromParent_Done,
     /*  394535 */   // Label 7074: @394535
     /*  394535 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(394609), // Rule ID 62975 //
     /*  394540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  394551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  394554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394561 */     // MIs[0] op1
     /*  394561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394573 */     // MIs[0] op3
     /*  394573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394576 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  394588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_MF4),
     /*  394591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394593 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394595 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394597 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394607 */     GIR_RootConstrainSelectedInstOperands,
     /*  394608 */     // GIR_Coverage, 62975,
     /*  394608 */     GIR_EraseRootFromParent_Done,
     /*  394609 */   // Label 7075: @394609
     /*  394609 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(394683), // Rule ID 62976 //
     /*  394614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  394625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  394628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394635 */     // MIs[0] op1
     /*  394635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394647 */     // MIs[0] op3
     /*  394647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394662 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  394662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_MF4),
     /*  394665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394667 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394669 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394671 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394681 */     GIR_RootConstrainSelectedInstOperands,
     /*  394682 */     // GIR_Coverage, 62976,
     /*  394682 */     GIR_EraseRootFromParent_Done,
     /*  394683 */   // Label 7076: @394683
     /*  394683 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(394757), // Rule ID 63031 //
     /*  394688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  394699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  394702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394709 */     // MIs[0] op1
     /*  394709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394712 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394721 */     // MIs[0] op3
     /*  394721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394724 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  394736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_MF2),
     /*  394739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394741 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394743 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394745 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394755 */     GIR_RootConstrainSelectedInstOperands,
     /*  394756 */     // GIR_Coverage, 63031,
     /*  394756 */     GIR_EraseRootFromParent_Done,
     /*  394757 */   // Label 7077: @394757
     /*  394757 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(394831), // Rule ID 63032 //
     /*  394762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  394773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  394776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394783 */     // MIs[0] op1
     /*  394783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394786 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394795 */     // MIs[0] op3
     /*  394795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394798 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394810 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  394810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_MF2),
     /*  394813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394815 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394817 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394819 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394829 */     GIR_RootConstrainSelectedInstOperands,
     /*  394830 */     // GIR_Coverage, 63032,
     /*  394830 */     GIR_EraseRootFromParent_Done,
     /*  394831 */   // Label 7078: @394831
     /*  394831 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(394905), // Rule ID 63087 //
     /*  394836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  394847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  394850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394857 */     // MIs[0] op1
     /*  394857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394869 */     // MIs[0] op3
     /*  394869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394884 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  394884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_MF2),
     /*  394887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394889 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394891 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394893 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394903 */     GIR_RootConstrainSelectedInstOperands,
     /*  394904 */     // GIR_Coverage, 63087,
     /*  394904 */     GIR_EraseRootFromParent_Done,
     /*  394905 */   // Label 7079: @394905
     /*  394905 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(394979), // Rule ID 63088 //
     /*  394910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  394921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  394924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394931 */     // MIs[0] op1
     /*  394931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394934 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394943 */     // MIs[0] op3
     /*  394943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394946 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_MF2),
     /*  394961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394963 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394965 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394967 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394977 */     GIR_RootConstrainSelectedInstOperands,
     /*  394978 */     // GIR_Coverage, 63088,
     /*  394978 */     GIR_EraseRootFromParent_Done,
     /*  394979 */   // Label 7080: @394979
     /*  394979 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(395053), // Rule ID 63143 //
     /*  394984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  394995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  394998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395005 */     // MIs[0] op1
     /*  395005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395017 */     // MIs[0] op3
     /*  395017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M1),
     /*  395035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395037 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395039 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395041 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395051 */     GIR_RootConstrainSelectedInstOperands,
     /*  395052 */     // GIR_Coverage, 63143,
     /*  395052 */     GIR_EraseRootFromParent_Done,
     /*  395053 */   // Label 7081: @395053
     /*  395053 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(395127), // Rule ID 63144 //
     /*  395058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  395069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  395072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395079 */     // MIs[0] op1
     /*  395079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395082 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395091 */     // MIs[0] op3
     /*  395091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395094 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395106 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M1),
     /*  395109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395111 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395113 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395115 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395125 */     GIR_RootConstrainSelectedInstOperands,
     /*  395126 */     // GIR_Coverage, 63144,
     /*  395126 */     GIR_EraseRootFromParent_Done,
     /*  395127 */   // Label 7082: @395127
     /*  395127 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(395201), // Rule ID 63187 //
     /*  395132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  395143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  395146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395153 */     // MIs[0] op1
     /*  395153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395165 */     // MIs[0] op3
     /*  395165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M1),
     /*  395183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395185 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395187 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395189 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395199 */     GIR_RootConstrainSelectedInstOperands,
     /*  395200 */     // GIR_Coverage, 63187,
     /*  395200 */     GIR_EraseRootFromParent_Done,
     /*  395201 */   // Label 7083: @395201
     /*  395201 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(395275), // Rule ID 63188 //
     /*  395206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  395217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  395220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395227 */     // MIs[0] op1
     /*  395227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395230 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395239 */     // MIs[0] op3
     /*  395239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395242 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395254 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M1),
     /*  395257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395259 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395261 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395263 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395273 */     GIR_RootConstrainSelectedInstOperands,
     /*  395274 */     // GIR_Coverage, 63188,
     /*  395274 */     GIR_EraseRootFromParent_Done,
     /*  395275 */   // Label 7084: @395275
     /*  395275 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(395349), // Rule ID 63243 //
     /*  395280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  395291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  395294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395301 */     // MIs[0] op1
     /*  395301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395304 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395313 */     // MIs[0] op3
     /*  395313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M1),
     /*  395331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395333 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395335 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395337 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395347 */     GIR_RootConstrainSelectedInstOperands,
     /*  395348 */     // GIR_Coverage, 63243,
     /*  395348 */     GIR_EraseRootFromParent_Done,
     /*  395349 */   // Label 7085: @395349
     /*  395349 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(395423), // Rule ID 63244 //
     /*  395354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  395365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  395368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395375 */     // MIs[0] op1
     /*  395375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395387 */     // MIs[0] op3
     /*  395387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M1),
     /*  395405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395407 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395409 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395411 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395421 */     GIR_RootConstrainSelectedInstOperands,
     /*  395422 */     // GIR_Coverage, 63244,
     /*  395422 */     GIR_EraseRootFromParent_Done,
     /*  395423 */   // Label 7086: @395423
     /*  395423 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(395497), // Rule ID 63299 //
     /*  395428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  395439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  395442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395449 */     // MIs[0] op1
     /*  395449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395452 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395461 */     // MIs[0] op3
     /*  395461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395464 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  395476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M1),
     /*  395479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395481 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395483 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395485 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395495 */     GIR_RootConstrainSelectedInstOperands,
     /*  395496 */     // GIR_Coverage, 63299,
     /*  395496 */     GIR_EraseRootFromParent_Done,
     /*  395497 */   // Label 7087: @395497
     /*  395497 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(395571), // Rule ID 63300 //
     /*  395502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  395513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  395516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395523 */     // MIs[0] op1
     /*  395523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395526 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395535 */     // MIs[0] op3
     /*  395535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395538 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395550 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  395550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M1),
     /*  395553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395555 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395557 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395559 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395569 */     GIR_RootConstrainSelectedInstOperands,
     /*  395570 */     // GIR_Coverage, 63300,
     /*  395570 */     GIR_EraseRootFromParent_Done,
     /*  395571 */   // Label 7088: @395571
     /*  395571 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(395645), // Rule ID 63355 //
     /*  395576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  395587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  395590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395597 */     // MIs[0] op1
     /*  395597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395600 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395609 */     // MIs[0] op3
     /*  395609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M2),
     /*  395627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395629 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395631 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395633 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395643 */     GIR_RootConstrainSelectedInstOperands,
     /*  395644 */     // GIR_Coverage, 63355,
     /*  395644 */     GIR_EraseRootFromParent_Done,
     /*  395645 */   // Label 7089: @395645
     /*  395645 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(395719), // Rule ID 63356 //
     /*  395650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  395661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  395664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395671 */     // MIs[0] op1
     /*  395671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395683 */     // MIs[0] op3
     /*  395683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395698 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M2),
     /*  395701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395703 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395705 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395707 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395717 */     GIR_RootConstrainSelectedInstOperands,
     /*  395718 */     // GIR_Coverage, 63356,
     /*  395718 */     GIR_EraseRootFromParent_Done,
     /*  395719 */   // Label 7090: @395719
     /*  395719 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(395793), // Rule ID 63399 //
     /*  395724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  395735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  395738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395745 */     // MIs[0] op1
     /*  395745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395748 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395757 */     // MIs[0] op3
     /*  395757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395760 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395772 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M4),
     /*  395775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395777 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395779 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395781 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395791 */     GIR_RootConstrainSelectedInstOperands,
     /*  395792 */     // GIR_Coverage, 63399,
     /*  395792 */     GIR_EraseRootFromParent_Done,
     /*  395793 */   // Label 7091: @395793
     /*  395793 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(395867), // Rule ID 63400 //
     /*  395798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  395809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  395812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395819 */     // MIs[0] op1
     /*  395819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395822 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395831 */     // MIs[0] op3
     /*  395831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395834 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M4),
     /*  395849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395851 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395853 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395855 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395865 */     GIR_RootConstrainSelectedInstOperands,
     /*  395866 */     // GIR_Coverage, 63400,
     /*  395866 */     GIR_EraseRootFromParent_Done,
     /*  395867 */   // Label 7092: @395867
     /*  395867 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(395941), // Rule ID 63443 //
     /*  395872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  395883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  395886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395893 */     // MIs[0] op1
     /*  395893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395905 */     // MIs[0] op3
     /*  395905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395920 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M8),
     /*  395923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395925 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395927 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395929 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395939 */     GIR_RootConstrainSelectedInstOperands,
     /*  395940 */     // GIR_Coverage, 63443,
     /*  395940 */     GIR_EraseRootFromParent_Done,
     /*  395941 */   // Label 7093: @395941
     /*  395941 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(396015), // Rule ID 63444 //
     /*  395946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  395957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  395960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395967 */     // MIs[0] op1
     /*  395967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395979 */     // MIs[0] op3
     /*  395979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395982 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395994 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M8),
     /*  395997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395999 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396001 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396003 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396013 */     GIR_RootConstrainSelectedInstOperands,
     /*  396014 */     // GIR_Coverage, 63444,
     /*  396014 */     GIR_EraseRootFromParent_Done,
     /*  396015 */   // Label 7094: @396015
     /*  396015 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(396089), // Rule ID 63487 //
     /*  396020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  396031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  396034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396041 */     // MIs[0] op1
     /*  396041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396044 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396053 */     // MIs[0] op3
     /*  396053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396056 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396068 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  396068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M2),
     /*  396071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396073 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396075 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396077 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396087 */     GIR_RootConstrainSelectedInstOperands,
     /*  396088 */     // GIR_Coverage, 63487,
     /*  396088 */     GIR_EraseRootFromParent_Done,
     /*  396089 */   // Label 7095: @396089
     /*  396089 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(396163), // Rule ID 63488 //
     /*  396094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  396105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  396108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396115 */     // MIs[0] op1
     /*  396115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396118 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396127 */     // MIs[0] op3
     /*  396127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  396142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M2),
     /*  396145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396147 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396149 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396151 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396161 */     GIR_RootConstrainSelectedInstOperands,
     /*  396162 */     // GIR_Coverage, 63488,
     /*  396162 */     GIR_EraseRootFromParent_Done,
     /*  396163 */   // Label 7096: @396163
     /*  396163 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(396237), // Rule ID 63543 //
     /*  396168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  396179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  396182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396189 */     // MIs[0] op1
     /*  396189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396192 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396201 */     // MIs[0] op3
     /*  396201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396216 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  396216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M4),
     /*  396219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396221 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396223 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396225 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396235 */     GIR_RootConstrainSelectedInstOperands,
     /*  396236 */     // GIR_Coverage, 63543,
     /*  396236 */     GIR_EraseRootFromParent_Done,
     /*  396237 */   // Label 7097: @396237
     /*  396237 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(396311), // Rule ID 63544 //
     /*  396242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  396253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  396256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396263 */     // MIs[0] op1
     /*  396263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396266 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396275 */     // MIs[0] op3
     /*  396275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396278 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396290 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  396290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M4),
     /*  396293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396295 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396297 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396299 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396309 */     GIR_RootConstrainSelectedInstOperands,
     /*  396310 */     // GIR_Coverage, 63544,
     /*  396310 */     GIR_EraseRootFromParent_Done,
     /*  396311 */   // Label 7098: @396311
     /*  396311 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(396385), // Rule ID 63599 //
     /*  396316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  396327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  396330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396337 */     // MIs[0] op1
     /*  396337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396340 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396349 */     // MIs[0] op3
     /*  396349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396364 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  396364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M8),
     /*  396367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396369 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396371 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396373 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396383 */     GIR_RootConstrainSelectedInstOperands,
     /*  396384 */     // GIR_Coverage, 63599,
     /*  396384 */     GIR_EraseRootFromParent_Done,
     /*  396385 */   // Label 7099: @396385
     /*  396385 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(396459), // Rule ID 63600 //
     /*  396390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  396401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  396404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396411 */     // MIs[0] op1
     /*  396411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396414 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396423 */     // MIs[0] op3
     /*  396423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396438 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  396438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M8),
     /*  396441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396443 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396445 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396447 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396457 */     GIR_RootConstrainSelectedInstOperands,
     /*  396458 */     // GIR_Coverage, 63600,
     /*  396458 */     GIR_EraseRootFromParent_Done,
     /*  396459 */   // Label 7100: @396459
     /*  396459 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(396533), // Rule ID 63655 //
     /*  396464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  396475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  396478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396485 */     // MIs[0] op1
     /*  396485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396497 */     // MIs[0] op3
     /*  396497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396512 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  396512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M2),
     /*  396515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396517 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396519 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396521 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396531 */     GIR_RootConstrainSelectedInstOperands,
     /*  396532 */     // GIR_Coverage, 63655,
     /*  396532 */     GIR_EraseRootFromParent_Done,
     /*  396533 */   // Label 7101: @396533
     /*  396533 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(396607), // Rule ID 63656 //
     /*  396538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  396549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  396552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396559 */     // MIs[0] op1
     /*  396559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396562 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396571 */     // MIs[0] op3
     /*  396571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396574 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  396586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M2),
     /*  396589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396591 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396593 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396595 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396605 */     GIR_RootConstrainSelectedInstOperands,
     /*  396606 */     // GIR_Coverage, 63656,
     /*  396606 */     GIR_EraseRootFromParent_Done,
     /*  396607 */   // Label 7102: @396607
     /*  396607 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(396681), // Rule ID 63711 //
     /*  396612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  396623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  396626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396633 */     // MIs[0] op1
     /*  396633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396636 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396645 */     // MIs[0] op3
     /*  396645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396648 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396660 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  396660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M4),
     /*  396663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396665 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396667 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396669 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396679 */     GIR_RootConstrainSelectedInstOperands,
     /*  396680 */     // GIR_Coverage, 63711,
     /*  396680 */     GIR_EraseRootFromParent_Done,
     /*  396681 */   // Label 7103: @396681
     /*  396681 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(396755), // Rule ID 63712 //
     /*  396686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  396697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  396700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396707 */     // MIs[0] op1
     /*  396707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396710 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396719 */     // MIs[0] op3
     /*  396719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396734 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  396734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M4),
     /*  396737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396739 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396741 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396743 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396753 */     GIR_RootConstrainSelectedInstOperands,
     /*  396754 */     // GIR_Coverage, 63712,
     /*  396754 */     GIR_EraseRootFromParent_Done,
     /*  396755 */   // Label 7104: @396755
     /*  396755 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(396829), // Rule ID 63767 //
     /*  396760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  396771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  396774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396781 */     // MIs[0] op1
     /*  396781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396784 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396793 */     // MIs[0] op3
     /*  396793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396796 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396808 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  396808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M8),
     /*  396811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396813 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396815 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396817 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396827 */     GIR_RootConstrainSelectedInstOperands,
     /*  396828 */     // GIR_Coverage, 63767,
     /*  396828 */     GIR_EraseRootFromParent_Done,
     /*  396829 */   // Label 7105: @396829
     /*  396829 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(396903), // Rule ID 63768 //
     /*  396834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  396845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  396848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396855 */     // MIs[0] op1
     /*  396855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396867 */     // MIs[0] op3
     /*  396867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396870 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396882 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  396882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M8),
     /*  396885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396887 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396889 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396891 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396901 */     GIR_RootConstrainSelectedInstOperands,
     /*  396902 */     // GIR_Coverage, 63768,
     /*  396902 */     GIR_EraseRootFromParent_Done,
     /*  396903 */   // Label 7106: @396903
     /*  396903 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(396977), // Rule ID 63823 //
     /*  396908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  396919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  396922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396929 */     // MIs[0] op1
     /*  396929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396932 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396941 */     // MIs[0] op3
     /*  396941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396944 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396956 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  396956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M2),
     /*  396959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396961 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396963 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396965 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396975 */     GIR_RootConstrainSelectedInstOperands,
     /*  396976 */     // GIR_Coverage, 63823,
     /*  396976 */     GIR_EraseRootFromParent_Done,
     /*  396977 */   // Label 7107: @396977
     /*  396977 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(397051), // Rule ID 63824 //
     /*  396982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  396993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  396996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397003 */     // MIs[0] op1
     /*  397003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397015 */     // MIs[0] op3
     /*  397015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397030 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  397030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M2),
     /*  397033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397035 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397037 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397039 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397049 */     GIR_RootConstrainSelectedInstOperands,
     /*  397050 */     // GIR_Coverage, 63824,
     /*  397050 */     GIR_EraseRootFromParent_Done,
     /*  397051 */   // Label 7108: @397051
     /*  397051 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(397125), // Rule ID 63879 //
     /*  397056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  397064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  397067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  397070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397077 */     // MIs[0] op1
     /*  397077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397080 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397089 */     // MIs[0] op3
     /*  397089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397092 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397104 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  397104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M4),
     /*  397107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397109 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397111 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397113 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397123 */     GIR_RootConstrainSelectedInstOperands,
     /*  397124 */     // GIR_Coverage, 63879,
     /*  397124 */     GIR_EraseRootFromParent_Done,
     /*  397125 */   // Label 7109: @397125
     /*  397125 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(397199), // Rule ID 63880 //
     /*  397130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  397138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  397141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  397144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397151 */     // MIs[0] op1
     /*  397151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397163 */     // MIs[0] op3
     /*  397163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397178 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  397178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M4),
     /*  397181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397183 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397185 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397187 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397197 */     GIR_RootConstrainSelectedInstOperands,
     /*  397198 */     // GIR_Coverage, 63880,
     /*  397198 */     GIR_EraseRootFromParent_Done,
     /*  397199 */   // Label 7110: @397199
     /*  397199 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(397273), // Rule ID 63935 //
     /*  397204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  397212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  397215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  397218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397225 */     // MIs[0] op1
     /*  397225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397228 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397237 */     // MIs[0] op3
     /*  397237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397240 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397252 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  397252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M8),
     /*  397255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397257 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397259 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397261 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397271 */     GIR_RootConstrainSelectedInstOperands,
     /*  397272 */     // GIR_Coverage, 63935,
     /*  397272 */     GIR_EraseRootFromParent_Done,
     /*  397273 */   // Label 7111: @397273
     /*  397273 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(397347), // Rule ID 63936 //
     /*  397278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  397286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  397289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  397292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397299 */     // MIs[0] op1
     /*  397299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397311 */     // MIs[0] op3
     /*  397311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397326 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  397326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IV_M8),
     /*  397329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397331 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397333 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397335 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397345 */     GIR_RootConstrainSelectedInstOperands,
     /*  397346 */     // GIR_Coverage, 63936,
     /*  397346 */     GIR_EraseRootFromParent_Done,
     /*  397347 */   // Label 7112: @397347
     /*  397347 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(397422), // Rule ID 7360 //
     /*  397352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  397363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  397366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  397369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397387 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397398 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  397398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  397401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397420 */     GIR_RootConstrainSelectedInstOperands,
     /*  397421 */     // GIR_Coverage, 7360,
     /*  397421 */     GIR_EraseRootFromParent_Done,
     /*  397422 */   // Label 7113: @397422
     /*  397422 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(397497), // Rule ID 7361 //
     /*  397427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  397438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  397441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  397444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397462 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397473 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  397473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  397476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397495 */     GIR_RootConstrainSelectedInstOperands,
     /*  397496 */     // GIR_Coverage, 7361,
     /*  397496 */     GIR_EraseRootFromParent_Done,
     /*  397497 */   // Label 7114: @397497
     /*  397497 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(397572), // Rule ID 7364 //
     /*  397502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  397513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  397516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  397519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397537 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397548 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  397548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  397551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397570 */     GIR_RootConstrainSelectedInstOperands,
     /*  397571 */     // GIR_Coverage, 7364,
     /*  397571 */     GIR_EraseRootFromParent_Done,
     /*  397572 */   // Label 7115: @397572
     /*  397572 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(397647), // Rule ID 7365 //
     /*  397577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  397588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  397591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  397594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397612 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397623 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  397623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  397626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397645 */     GIR_RootConstrainSelectedInstOperands,
     /*  397646 */     // GIR_Coverage, 7365,
     /*  397646 */     GIR_EraseRootFromParent_Done,
     /*  397647 */   // Label 7116: @397647
     /*  397647 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(397722), // Rule ID 7368 //
     /*  397652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  397663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  397666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  397669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397687 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397698 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  397698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397720 */     GIR_RootConstrainSelectedInstOperands,
     /*  397721 */     // GIR_Coverage, 7368,
     /*  397721 */     GIR_EraseRootFromParent_Done,
     /*  397722 */   // Label 7117: @397722
     /*  397722 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(397797), // Rule ID 7369 //
     /*  397727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  397738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  397741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  397744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397762 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397773 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  397773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397795 */     GIR_RootConstrainSelectedInstOperands,
     /*  397796 */     // GIR_Coverage, 7369,
     /*  397796 */     GIR_EraseRootFromParent_Done,
     /*  397797 */   // Label 7118: @397797
     /*  397797 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(397872), // Rule ID 7372 //
     /*  397802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  397813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  397816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  397819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397837 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397848 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  397851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397870 */     GIR_RootConstrainSelectedInstOperands,
     /*  397871 */     // GIR_Coverage, 7372,
     /*  397871 */     GIR_EraseRootFromParent_Done,
     /*  397872 */   // Label 7119: @397872
     /*  397872 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(397947), // Rule ID 7373 //
     /*  397877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  397888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  397891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  397894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397912 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397923 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  397926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397945 */     GIR_RootConstrainSelectedInstOperands,
     /*  397946 */     // GIR_Coverage, 7373,
     /*  397946 */     GIR_EraseRootFromParent_Done,
     /*  397947 */   // Label 7120: @397947
     /*  397947 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(398022), // Rule ID 7376 //
     /*  397952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  397963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  397966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  397969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397987 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397998 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  398001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398020 */     GIR_RootConstrainSelectedInstOperands,
     /*  398021 */     // GIR_Coverage, 7376,
     /*  398021 */     GIR_EraseRootFromParent_Done,
     /*  398022 */   // Label 7121: @398022
     /*  398022 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(398097), // Rule ID 7377 //
     /*  398027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  398038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  398041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  398044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398062 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398073 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  398076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398095 */     GIR_RootConstrainSelectedInstOperands,
     /*  398096 */     // GIR_Coverage, 7377,
     /*  398096 */     GIR_EraseRootFromParent_Done,
     /*  398097 */   // Label 7122: @398097
     /*  398097 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(398172), // Rule ID 7380 //
     /*  398102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  398113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  398116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  398119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398137 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  398148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  398151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398170 */     GIR_RootConstrainSelectedInstOperands,
     /*  398171 */     // GIR_Coverage, 7380,
     /*  398171 */     GIR_EraseRootFromParent_Done,
     /*  398172 */   // Label 7123: @398172
     /*  398172 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(398247), // Rule ID 7381 //
     /*  398177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  398188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  398191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  398194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398212 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398223 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  398223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  398226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398245 */     GIR_RootConstrainSelectedInstOperands,
     /*  398246 */     // GIR_Coverage, 7381,
     /*  398246 */     GIR_EraseRootFromParent_Done,
     /*  398247 */   // Label 7124: @398247
     /*  398247 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(398322), // Rule ID 7384 //
     /*  398252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  398263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  398266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  398269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398287 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398298 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  398298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398320 */     GIR_RootConstrainSelectedInstOperands,
     /*  398321 */     // GIR_Coverage, 7384,
     /*  398321 */     GIR_EraseRootFromParent_Done,
     /*  398322 */   // Label 7125: @398322
     /*  398322 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(398397), // Rule ID 7385 //
     /*  398327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  398338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  398341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  398344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398362 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398373 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  398373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398395 */     GIR_RootConstrainSelectedInstOperands,
     /*  398396 */     // GIR_Coverage, 7385,
     /*  398396 */     GIR_EraseRootFromParent_Done,
     /*  398397 */   // Label 7126: @398397
     /*  398397 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(398472), // Rule ID 7388 //
     /*  398402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  398413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  398416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  398419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398437 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398448 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398470 */     GIR_RootConstrainSelectedInstOperands,
     /*  398471 */     // GIR_Coverage, 7388,
     /*  398471 */     GIR_EraseRootFromParent_Done,
     /*  398472 */   // Label 7127: @398472
     /*  398472 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(398547), // Rule ID 7389 //
     /*  398477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  398488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  398491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  398494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398512 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398523 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398545 */     GIR_RootConstrainSelectedInstOperands,
     /*  398546 */     // GIR_Coverage, 7389,
     /*  398546 */     GIR_EraseRootFromParent_Done,
     /*  398547 */   // Label 7128: @398547
     /*  398547 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(398622), // Rule ID 7392 //
     /*  398552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  398563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  398566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  398569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398587 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398598 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  398598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398620 */     GIR_RootConstrainSelectedInstOperands,
     /*  398621 */     // GIR_Coverage, 7392,
     /*  398621 */     GIR_EraseRootFromParent_Done,
     /*  398622 */   // Label 7129: @398622
     /*  398622 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(398697), // Rule ID 7393 //
     /*  398627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  398638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  398641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  398644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398662 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398673 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  398673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398695 */     GIR_RootConstrainSelectedInstOperands,
     /*  398696 */     // GIR_Coverage, 7393,
     /*  398696 */     GIR_EraseRootFromParent_Done,
     /*  398697 */   // Label 7130: @398697
     /*  398697 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(398772), // Rule ID 7396 //
     /*  398702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  398705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  398713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  398716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  398719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398737 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398748 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  398748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398770 */     GIR_RootConstrainSelectedInstOperands,
     /*  398771 */     // GIR_Coverage, 7396,
     /*  398771 */     GIR_EraseRootFromParent_Done,
     /*  398772 */   // Label 7131: @398772
     /*  398772 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(398847), // Rule ID 7397 //
     /*  398777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  398780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  398788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  398791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  398794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398812 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398823 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  398823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  398826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398845 */     GIR_RootConstrainSelectedInstOperands,
     /*  398846 */     // GIR_Coverage, 7397,
     /*  398846 */     GIR_EraseRootFromParent_Done,
     /*  398847 */   // Label 7132: @398847
     /*  398847 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(398922), // Rule ID 7400 //
     /*  398852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  398863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  398866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  398869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398887 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398898 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  398898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398920 */     GIR_RootConstrainSelectedInstOperands,
     /*  398921 */     // GIR_Coverage, 7400,
     /*  398921 */     GIR_EraseRootFromParent_Done,
     /*  398922 */   // Label 7133: @398922
     /*  398922 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(398997), // Rule ID 7401 //
     /*  398927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  398938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  398941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  398944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398962 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398973 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  398973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398995 */     GIR_RootConstrainSelectedInstOperands,
     /*  398996 */     // GIR_Coverage, 7401,
     /*  398996 */     GIR_EraseRootFromParent_Done,
     /*  398997 */   // Label 7134: @398997
     /*  398997 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(399072), // Rule ID 7404 //
     /*  399002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  399013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  399016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  399019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399037 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399048 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  399048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399070 */     GIR_RootConstrainSelectedInstOperands,
     /*  399071 */     // GIR_Coverage, 7404,
     /*  399071 */     GIR_EraseRootFromParent_Done,
     /*  399072 */   // Label 7135: @399072
     /*  399072 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(399147), // Rule ID 7405 //
     /*  399077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  399088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  399091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  399094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399112 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399123 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  399123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399145 */     GIR_RootConstrainSelectedInstOperands,
     /*  399146 */     // GIR_Coverage, 7405,
     /*  399146 */     GIR_EraseRootFromParent_Done,
     /*  399147 */   // Label 7136: @399147
     /*  399147 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(399222), // Rule ID 7408 //
     /*  399152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  399163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  399166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  399169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399187 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399198 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  399198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399220 */     GIR_RootConstrainSelectedInstOperands,
     /*  399221 */     // GIR_Coverage, 7408,
     /*  399221 */     GIR_EraseRootFromParent_Done,
     /*  399222 */   // Label 7137: @399222
     /*  399222 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(399297), // Rule ID 7409 //
     /*  399227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  399238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  399241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  399244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399262 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399273 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  399273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399295 */     GIR_RootConstrainSelectedInstOperands,
     /*  399296 */     // GIR_Coverage, 7409,
     /*  399296 */     GIR_EraseRootFromParent_Done,
     /*  399297 */   // Label 7138: @399297
     /*  399297 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(399372), // Rule ID 7412 //
     /*  399302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  399313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  399316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  399319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399337 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399348 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  399348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399370 */     GIR_RootConstrainSelectedInstOperands,
     /*  399371 */     // GIR_Coverage, 7412,
     /*  399371 */     GIR_EraseRootFromParent_Done,
     /*  399372 */   // Label 7139: @399372
     /*  399372 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(399447), // Rule ID 7413 //
     /*  399377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  399388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  399391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  399394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399412 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399423 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399445 */     GIR_RootConstrainSelectedInstOperands,
     /*  399446 */     // GIR_Coverage, 7413,
     /*  399446 */     GIR_EraseRootFromParent_Done,
     /*  399447 */   // Label 7140: @399447
     /*  399447 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(399522), // Rule ID 7416 //
     /*  399452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  399463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  399466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  399469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399487 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399498 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  399498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399520 */     GIR_RootConstrainSelectedInstOperands,
     /*  399521 */     // GIR_Coverage, 7416,
     /*  399521 */     GIR_EraseRootFromParent_Done,
     /*  399522 */   // Label 7141: @399522
     /*  399522 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(399597), // Rule ID 7417 //
     /*  399527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  399538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  399541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  399544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399562 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399573 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399595 */     GIR_RootConstrainSelectedInstOperands,
     /*  399596 */     // GIR_Coverage, 7417,
     /*  399596 */     GIR_EraseRootFromParent_Done,
     /*  399597 */   // Label 7142: @399597
     /*  399597 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(399672), // Rule ID 7420 //
     /*  399602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  399613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  399616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  399619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399637 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399648 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  399648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399670 */     GIR_RootConstrainSelectedInstOperands,
     /*  399671 */     // GIR_Coverage, 7420,
     /*  399671 */     GIR_EraseRootFromParent_Done,
     /*  399672 */   // Label 7143: @399672
     /*  399672 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(399747), // Rule ID 7421 //
     /*  399677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  399688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  399691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  399694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399712 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399723 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399745 */     GIR_RootConstrainSelectedInstOperands,
     /*  399746 */     // GIR_Coverage, 7421,
     /*  399746 */     GIR_EraseRootFromParent_Done,
     /*  399747 */   // Label 7144: @399747
     /*  399747 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(399822), // Rule ID 7424 //
     /*  399752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  399763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  399766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  399769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399787 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399820 */     GIR_RootConstrainSelectedInstOperands,
     /*  399821 */     // GIR_Coverage, 7424,
     /*  399821 */     GIR_EraseRootFromParent_Done,
     /*  399822 */   // Label 7145: @399822
     /*  399822 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(399897), // Rule ID 7425 //
     /*  399827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  399838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  399841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  399844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399862 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399873 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399895 */     GIR_RootConstrainSelectedInstOperands,
     /*  399896 */     // GIR_Coverage, 7425,
     /*  399896 */     GIR_EraseRootFromParent_Done,
     /*  399897 */   // Label 7146: @399897
     /*  399897 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(399972), // Rule ID 7428 //
     /*  399902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  399913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  399916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  399919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399937 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399948 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399970 */     GIR_RootConstrainSelectedInstOperands,
     /*  399971 */     // GIR_Coverage, 7428,
     /*  399971 */     GIR_EraseRootFromParent_Done,
     /*  399972 */   // Label 7147: @399972
     /*  399972 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(400047), // Rule ID 7429 //
     /*  399977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  399988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  399991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  399994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400012 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  400016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400023 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  400026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400045 */     GIR_RootConstrainSelectedInstOperands,
     /*  400046 */     // GIR_Coverage, 7429,
     /*  400046 */     GIR_EraseRootFromParent_Done,
     /*  400047 */   // Label 7148: @400047
     /*  400047 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(400122), // Rule ID 7432 //
     /*  400052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  400055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  400060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  400063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  400066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  400069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  400072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400087 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  400091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  400098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  400101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400120 */     GIR_RootConstrainSelectedInstOperands,
     /*  400121 */     // GIR_Coverage, 7432,
     /*  400121 */     GIR_EraseRootFromParent_Done,
     /*  400122 */   // Label 7149: @400122
     /*  400122 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(400197), // Rule ID 7433 //
     /*  400127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  400130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  400135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  400138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  400141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  400144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  400147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400162 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  400166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400173 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  400176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400195 */     GIR_RootConstrainSelectedInstOperands,
     /*  400196 */     // GIR_Coverage, 7433,
     /*  400196 */     GIR_EraseRootFromParent_Done,
     /*  400197 */   // Label 7150: @400197
     /*  400197 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(400272), // Rule ID 7436 //
     /*  400202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  400205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  400210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  400213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  400216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  400219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  400222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400237 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  400241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400248 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  400248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  400251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400270 */     GIR_RootConstrainSelectedInstOperands,
     /*  400271 */     // GIR_Coverage, 7436,
     /*  400271 */     GIR_EraseRootFromParent_Done,
     /*  400272 */   // Label 7151: @400272
     /*  400272 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(400347), // Rule ID 7437 //
     /*  400277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  400280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  400285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  400288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  400291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  400294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  400297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400312 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  400316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400323 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  400323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  400326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400345 */     GIR_RootConstrainSelectedInstOperands,
     /*  400346 */     // GIR_Coverage, 7437,
     /*  400346 */     GIR_EraseRootFromParent_Done,
     /*  400347 */   // Label 7152: @400347
     /*  400347 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(400422), // Rule ID 7440 //
     /*  400352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  400355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  400360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  400363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  400366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  400369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  400372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400387 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  400391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400398 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  400398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  400401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400420 */     GIR_RootConstrainSelectedInstOperands,
     /*  400421 */     // GIR_Coverage, 7440,
     /*  400421 */     GIR_EraseRootFromParent_Done,
     /*  400422 */   // Label 7153: @400422
     /*  400422 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(400497), // Rule ID 7441 //
     /*  400427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  400430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  400435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  400438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  400441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  400444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  400447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400462 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  400466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400473 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  400473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  400476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400495 */     GIR_RootConstrainSelectedInstOperands,
     /*  400496 */     // GIR_Coverage, 7441,
     /*  400496 */     GIR_EraseRootFromParent_Done,
     /*  400497 */   // Label 7154: @400497
     /*  400497 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(400572), // Rule ID 7444 //
     /*  400502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  400505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  400510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  400513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  400516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  400519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  400522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400537 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  400541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400548 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  400548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  400551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400570 */     GIR_RootConstrainSelectedInstOperands,
     /*  400571 */     // GIR_Coverage, 7444,
     /*  400571 */     GIR_EraseRootFromParent_Done,
     /*  400572 */   // Label 7155: @400572
     /*  400572 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(400647), // Rule ID 7445 //
     /*  400577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  400580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  400585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  400588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  400591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  400594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  400597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400612 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  400616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400623 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  400623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  400626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400645 */     GIR_RootConstrainSelectedInstOperands,
     /*  400646 */     // GIR_Coverage, 7445,
     /*  400646 */     GIR_EraseRootFromParent_Done,
     /*  400647 */   // Label 7156: @400647
     /*  400647 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(400724), // Rule ID 2750 //
     /*  400652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  400663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  400666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  400669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400684 */     // MIs[0] Operand 4
     /*  400684 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400702 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  400705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400722 */     GIR_RootConstrainSelectedInstOperands,
     /*  400723 */     // GIR_Coverage, 2750,
     /*  400723 */     GIR_EraseRootFromParent_Done,
     /*  400724 */   // Label 7157: @400724
     /*  400724 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(400801), // Rule ID 2751 //
     /*  400729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  400740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  400743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  400746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400761 */     // MIs[0] Operand 4
     /*  400761 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400779 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  400782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400799 */     GIR_RootConstrainSelectedInstOperands,
     /*  400800 */     // GIR_Coverage, 2751,
     /*  400800 */     GIR_EraseRootFromParent_Done,
     /*  400801 */   // Label 7158: @400801
     /*  400801 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(400878), // Rule ID 20642 //
     /*  400806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  400817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  400820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  400823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400838 */     // MIs[0] Operand 4
     /*  400838 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  400859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400876 */     GIR_RootConstrainSelectedInstOperands,
     /*  400877 */     // GIR_Coverage, 20642,
     /*  400877 */     GIR_EraseRootFromParent_Done,
     /*  400878 */   // Label 7159: @400878
     /*  400878 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(400955), // Rule ID 20643 //
     /*  400883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  400894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  400897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  400900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400915 */     // MIs[0] Operand 4
     /*  400915 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400933 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  400936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400953 */     GIR_RootConstrainSelectedInstOperands,
     /*  400954 */     // GIR_Coverage, 20643,
     /*  400954 */     GIR_EraseRootFromParent_Done,
     /*  400955 */   // Label 7160: @400955
     /*  400955 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(401032), // Rule ID 20646 //
     /*  400960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  400963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  400971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  400974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  400977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400992 */     // MIs[0] Operand 4
     /*  400992 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  401013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401030 */     GIR_RootConstrainSelectedInstOperands,
     /*  401031 */     // GIR_Coverage, 20646,
     /*  401031 */     GIR_EraseRootFromParent_Done,
     /*  401032 */   // Label 7161: @401032
     /*  401032 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(401109), // Rule ID 20647 //
     /*  401037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  401048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  401051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  401054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401069 */     // MIs[0] Operand 4
     /*  401069 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401087 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  401090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401107 */     GIR_RootConstrainSelectedInstOperands,
     /*  401108 */     // GIR_Coverage, 20647,
     /*  401108 */     GIR_EraseRootFromParent_Done,
     /*  401109 */   // Label 7162: @401109
     /*  401109 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(401186), // Rule ID 20650 //
     /*  401114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  401125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  401128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  401131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401146 */     // MIs[0] Operand 4
     /*  401146 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  401167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401184 */     GIR_RootConstrainSelectedInstOperands,
     /*  401185 */     // GIR_Coverage, 20650,
     /*  401185 */     GIR_EraseRootFromParent_Done,
     /*  401186 */   // Label 7163: @401186
     /*  401186 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(401263), // Rule ID 20651 //
     /*  401191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  401202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  401205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  401208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401223 */     // MIs[0] Operand 4
     /*  401223 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401241 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  401244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401261 */     GIR_RootConstrainSelectedInstOperands,
     /*  401262 */     // GIR_Coverage, 20651,
     /*  401262 */     GIR_EraseRootFromParent_Done,
     /*  401263 */   // Label 7164: @401263
     /*  401263 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(401340), // Rule ID 20654 //
     /*  401268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  401271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  401279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  401282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  401285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401300 */     // MIs[0] Operand 4
     /*  401300 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  401321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401338 */     GIR_RootConstrainSelectedInstOperands,
     /*  401339 */     // GIR_Coverage, 20654,
     /*  401339 */     GIR_EraseRootFromParent_Done,
     /*  401340 */   // Label 7165: @401340
     /*  401340 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(401417), // Rule ID 20655 //
     /*  401345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  401356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  401359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  401362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401377 */     // MIs[0] Operand 4
     /*  401377 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401395 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  401398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401415 */     GIR_RootConstrainSelectedInstOperands,
     /*  401416 */     // GIR_Coverage, 20655,
     /*  401416 */     GIR_EraseRootFromParent_Done,
     /*  401417 */   // Label 7166: @401417
     /*  401417 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(401494), // Rule ID 20658 //
     /*  401422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  401425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  401433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  401436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  401439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401454 */     // MIs[0] Operand 4
     /*  401454 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401472 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  401472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  401475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401492 */     GIR_RootConstrainSelectedInstOperands,
     /*  401493 */     // GIR_Coverage, 20658,
     /*  401493 */     GIR_EraseRootFromParent_Done,
     /*  401494 */   // Label 7167: @401494
     /*  401494 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(401571), // Rule ID 20659 //
     /*  401499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  401502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  401510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  401513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  401516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401531 */     // MIs[0] Operand 4
     /*  401531 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401549 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  401549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  401552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401569 */     GIR_RootConstrainSelectedInstOperands,
     /*  401570 */     // GIR_Coverage, 20659,
     /*  401570 */     GIR_EraseRootFromParent_Done,
     /*  401571 */   // Label 7168: @401571
     /*  401571 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(401648), // Rule ID 20662 //
     /*  401576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  401587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  401590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  401593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401608 */     // MIs[0] Operand 4
     /*  401608 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401626 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401646 */     GIR_RootConstrainSelectedInstOperands,
     /*  401647 */     // GIR_Coverage, 20662,
     /*  401647 */     GIR_EraseRootFromParent_Done,
     /*  401648 */   // Label 7169: @401648
     /*  401648 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(401725), // Rule ID 20663 //
     /*  401653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  401664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  401667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  401670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401685 */     // MIs[0] Operand 4
     /*  401685 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401703 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401723 */     GIR_RootConstrainSelectedInstOperands,
     /*  401724 */     // GIR_Coverage, 20663,
     /*  401724 */     GIR_EraseRootFromParent_Done,
     /*  401725 */   // Label 7170: @401725
     /*  401725 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(401802), // Rule ID 20666 //
     /*  401730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  401741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  401744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  401747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401762 */     // MIs[0] Operand 4
     /*  401762 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401800 */     GIR_RootConstrainSelectedInstOperands,
     /*  401801 */     // GIR_Coverage, 20666,
     /*  401801 */     GIR_EraseRootFromParent_Done,
     /*  401802 */   // Label 7171: @401802
     /*  401802 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(401879), // Rule ID 20667 //
     /*  401807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  401818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  401821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  401824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401839 */     // MIs[0] Operand 4
     /*  401839 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401857 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401877 */     GIR_RootConstrainSelectedInstOperands,
     /*  401878 */     // GIR_Coverage, 20667,
     /*  401878 */     GIR_EraseRootFromParent_Done,
     /*  401879 */   // Label 7172: @401879
     /*  401879 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(401956), // Rule ID 20670 //
     /*  401884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  401895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  401898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  401901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401916 */     // MIs[0] Operand 4
     /*  401916 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401934 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401954 */     GIR_RootConstrainSelectedInstOperands,
     /*  401955 */     // GIR_Coverage, 20670,
     /*  401955 */     GIR_EraseRootFromParent_Done,
     /*  401956 */   // Label 7173: @401956
     /*  401956 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(402033), // Rule ID 20671 //
     /*  401961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  401972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  401975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  401978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401993 */     // MIs[0] Operand 4
     /*  401993 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402011 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  402014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402031 */     GIR_RootConstrainSelectedInstOperands,
     /*  402032 */     // GIR_Coverage, 20671,
     /*  402032 */     GIR_EraseRootFromParent_Done,
     /*  402033 */   // Label 7174: @402033
     /*  402033 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(402110), // Rule ID 20674 //
     /*  402038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  402049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  402052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  402055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402070 */     // MIs[0] Operand 4
     /*  402070 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  402091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402108 */     GIR_RootConstrainSelectedInstOperands,
     /*  402109 */     // GIR_Coverage, 20674,
     /*  402109 */     GIR_EraseRootFromParent_Done,
     /*  402110 */   // Label 7175: @402110
     /*  402110 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(402187), // Rule ID 20675 //
     /*  402115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  402126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  402129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  402132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402147 */     // MIs[0] Operand 4
     /*  402147 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402165 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  402168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402185 */     GIR_RootConstrainSelectedInstOperands,
     /*  402186 */     // GIR_Coverage, 20675,
     /*  402186 */     GIR_EraseRootFromParent_Done,
     /*  402187 */   // Label 7176: @402187
     /*  402187 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(402264), // Rule ID 20678 //
     /*  402192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  402203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  402206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  402209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402224 */     // MIs[0] Operand 4
     /*  402224 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  402245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402262 */     GIR_RootConstrainSelectedInstOperands,
     /*  402263 */     // GIR_Coverage, 20678,
     /*  402263 */     GIR_EraseRootFromParent_Done,
     /*  402264 */   // Label 7177: @402264
     /*  402264 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(402341), // Rule ID 20679 //
     /*  402269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  402280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  402283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  402286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402301 */     // MIs[0] Operand 4
     /*  402301 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402319 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  402322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402339 */     GIR_RootConstrainSelectedInstOperands,
     /*  402340 */     // GIR_Coverage, 20679,
     /*  402340 */     GIR_EraseRootFromParent_Done,
     /*  402341 */   // Label 7178: @402341
     /*  402341 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(402418), // Rule ID 20682 //
     /*  402346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  402357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  402360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  402363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402378 */     // MIs[0] Operand 4
     /*  402378 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  402399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402416 */     GIR_RootConstrainSelectedInstOperands,
     /*  402417 */     // GIR_Coverage, 20682,
     /*  402417 */     GIR_EraseRootFromParent_Done,
     /*  402418 */   // Label 7179: @402418
     /*  402418 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(402495), // Rule ID 20683 //
     /*  402423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  402434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  402437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  402440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402455 */     // MIs[0] Operand 4
     /*  402455 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402473 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  402476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402493 */     GIR_RootConstrainSelectedInstOperands,
     /*  402494 */     // GIR_Coverage, 20683,
     /*  402494 */     GIR_EraseRootFromParent_Done,
     /*  402495 */   // Label 7180: @402495
     /*  402495 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(402572), // Rule ID 20686 //
     /*  402500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  402503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  402511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  402514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  402517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402532 */     // MIs[0] Operand 4
     /*  402532 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402550 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  402553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402570 */     GIR_RootConstrainSelectedInstOperands,
     /*  402571 */     // GIR_Coverage, 20686,
     /*  402571 */     GIR_EraseRootFromParent_Done,
     /*  402572 */   // Label 7181: @402572
     /*  402572 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(402649), // Rule ID 20687 //
     /*  402577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  402580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  402588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  402591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  402594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402609 */     // MIs[0] Operand 4
     /*  402609 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  402630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402647 */     GIR_RootConstrainSelectedInstOperands,
     /*  402648 */     // GIR_Coverage, 20687,
     /*  402648 */     GIR_EraseRootFromParent_Done,
     /*  402649 */   // Label 7182: @402649
     /*  402649 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(402726), // Rule ID 20690 //
     /*  402654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  402657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  402665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  402668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  402671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402686 */     // MIs[0] Operand 4
     /*  402686 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402704 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  402707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402724 */     GIR_RootConstrainSelectedInstOperands,
     /*  402725 */     // GIR_Coverage, 20690,
     /*  402725 */     GIR_EraseRootFromParent_Done,
     /*  402726 */   // Label 7183: @402726
     /*  402726 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(402803), // Rule ID 20691 //
     /*  402731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  402734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  402742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  402745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  402748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402763 */     // MIs[0] Operand 4
     /*  402763 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402781 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  402784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402801 */     GIR_RootConstrainSelectedInstOperands,
     /*  402802 */     // GIR_Coverage, 20691,
     /*  402802 */     GIR_EraseRootFromParent_Done,
     /*  402803 */   // Label 7184: @402803
     /*  402803 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(402880), // Rule ID 20694 //
     /*  402808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  402811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  402819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  402822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  402825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402840 */     // MIs[0] Operand 4
     /*  402840 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  402861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402878 */     GIR_RootConstrainSelectedInstOperands,
     /*  402879 */     // GIR_Coverage, 20694,
     /*  402879 */     GIR_EraseRootFromParent_Done,
     /*  402880 */   // Label 7185: @402880
     /*  402880 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(402957), // Rule ID 20695 //
     /*  402885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  402888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  402893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  402896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  402899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  402902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402917 */     // MIs[0] Operand 4
     /*  402917 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402935 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  402938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402955 */     GIR_RootConstrainSelectedInstOperands,
     /*  402956 */     // GIR_Coverage, 20695,
     /*  402956 */     GIR_EraseRootFromParent_Done,
     /*  402957 */   // Label 7186: @402957
     /*  402957 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(403034), // Rule ID 20698 //
     /*  402962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  402973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  402976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  402979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402994 */     // MIs[0] Operand 4
     /*  402994 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403012 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  403015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403032 */     GIR_RootConstrainSelectedInstOperands,
     /*  403033 */     // GIR_Coverage, 20698,
     /*  403033 */     GIR_EraseRootFromParent_Done,
     /*  403034 */   // Label 7187: @403034
     /*  403034 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(403111), // Rule ID 20699 //
     /*  403039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  403050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  403053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  403056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403071 */     // MIs[0] Operand 4
     /*  403071 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403089 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  403092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403109 */     GIR_RootConstrainSelectedInstOperands,
     /*  403110 */     // GIR_Coverage, 20699,
     /*  403110 */     GIR_EraseRootFromParent_Done,
     /*  403111 */   // Label 7188: @403111
     /*  403111 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(403188), // Rule ID 20702 //
     /*  403116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  403127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  403130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  403133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403148 */     // MIs[0] Operand 4
     /*  403148 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403166 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  403169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403186 */     GIR_RootConstrainSelectedInstOperands,
     /*  403187 */     // GIR_Coverage, 20702,
     /*  403187 */     GIR_EraseRootFromParent_Done,
     /*  403188 */   // Label 7189: @403188
     /*  403188 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(403265), // Rule ID 20703 //
     /*  403193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  403204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  403207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  403210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403225 */     // MIs[0] Operand 4
     /*  403225 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403243 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  403246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403263 */     GIR_RootConstrainSelectedInstOperands,
     /*  403264 */     // GIR_Coverage, 20703,
     /*  403264 */     GIR_EraseRootFromParent_Done,
     /*  403265 */   // Label 7190: @403265
     /*  403265 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(403342), // Rule ID 20706 //
     /*  403270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  403281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  403284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  403287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403302 */     // MIs[0] Operand 4
     /*  403302 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403320 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  403323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403340 */     GIR_RootConstrainSelectedInstOperands,
     /*  403341 */     // GIR_Coverage, 20706,
     /*  403341 */     GIR_EraseRootFromParent_Done,
     /*  403342 */   // Label 7191: @403342
     /*  403342 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(403419), // Rule ID 20707 //
     /*  403347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  403350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  403358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  403361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  403364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403379 */     // MIs[0] Operand 4
     /*  403379 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403397 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  403400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403417 */     GIR_RootConstrainSelectedInstOperands,
     /*  403418 */     // GIR_Coverage, 20707,
     /*  403418 */     GIR_EraseRootFromParent_Done,
     /*  403419 */   // Label 7192: @403419
     /*  403419 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(403496), // Rule ID 20710 //
     /*  403424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  403435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  403438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  403441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403456 */     // MIs[0] Operand 4
     /*  403456 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403474 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  403477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403494 */     GIR_RootConstrainSelectedInstOperands,
     /*  403495 */     // GIR_Coverage, 20710,
     /*  403495 */     GIR_EraseRootFromParent_Done,
     /*  403496 */   // Label 7193: @403496
     /*  403496 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(403573), // Rule ID 20711 //
     /*  403501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  403512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  403515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  403518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403533 */     // MIs[0] Operand 4
     /*  403533 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403551 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  403554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403571 */     GIR_RootConstrainSelectedInstOperands,
     /*  403572 */     // GIR_Coverage, 20711,
     /*  403572 */     GIR_EraseRootFromParent_Done,
     /*  403573 */   // Label 7194: @403573
     /*  403573 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(403650), // Rule ID 20714 //
     /*  403578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  403589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  403592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  403595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403610 */     // MIs[0] Operand 4
     /*  403610 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  403631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403648 */     GIR_RootConstrainSelectedInstOperands,
     /*  403649 */     // GIR_Coverage, 20714,
     /*  403649 */     GIR_EraseRootFromParent_Done,
     /*  403650 */   // Label 7195: @403650
     /*  403650 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(403727), // Rule ID 20715 //
     /*  403655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  403658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  403666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  403669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  403672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403687 */     // MIs[0] Operand 4
     /*  403687 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403705 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  403708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403725 */     GIR_RootConstrainSelectedInstOperands,
     /*  403726 */     // GIR_Coverage, 20715,
     /*  403726 */     GIR_EraseRootFromParent_Done,
     /*  403727 */   // Label 7196: @403727
     /*  403727 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(403804), // Rule ID 20718 //
     /*  403732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  403735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  403743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  403746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  403749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403764 */     // MIs[0] Operand 4
     /*  403764 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403782 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  403782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  403785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403802 */     GIR_RootConstrainSelectedInstOperands,
     /*  403803 */     // GIR_Coverage, 20718,
     /*  403803 */     GIR_EraseRootFromParent_Done,
     /*  403804 */   // Label 7197: @403804
     /*  403804 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(403881), // Rule ID 20719 //
     /*  403809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  403812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  403820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  403823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  403826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403841 */     // MIs[0] Operand 4
     /*  403841 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403859 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  403859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  403862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403879 */     GIR_RootConstrainSelectedInstOperands,
     /*  403880 */     // GIR_Coverage, 20719,
     /*  403880 */     GIR_EraseRootFromParent_Done,
     /*  403881 */   // Label 7198: @403881
     /*  403881 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(403958), // Rule ID 20722 //
     /*  403886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  403897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  403900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403918 */     // MIs[0] Operand 4
     /*  403918 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403956 */     GIR_RootConstrainSelectedInstOperands,
     /*  403957 */     // GIR_Coverage, 20722,
     /*  403957 */     GIR_EraseRootFromParent_Done,
     /*  403958 */   // Label 7199: @403958
     /*  403958 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(404035), // Rule ID 20723 //
     /*  403963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  403974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  403977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403995 */     // MIs[0] Operand 4
     /*  403995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404013 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  404016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404033 */     GIR_RootConstrainSelectedInstOperands,
     /*  404034 */     // GIR_Coverage, 20723,
     /*  404034 */     GIR_EraseRootFromParent_Done,
     /*  404035 */   // Label 7200: @404035
     /*  404035 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(404112), // Rule ID 20726 //
     /*  404040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  404051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  404054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  404057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404072 */     // MIs[0] Operand 4
     /*  404072 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404090 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  404093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404110 */     GIR_RootConstrainSelectedInstOperands,
     /*  404111 */     // GIR_Coverage, 20726,
     /*  404111 */     GIR_EraseRootFromParent_Done,
     /*  404112 */   // Label 7201: @404112
     /*  404112 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(404189), // Rule ID 20727 //
     /*  404117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  404128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  404131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  404134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404149 */     // MIs[0] Operand 4
     /*  404149 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  404170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404187 */     GIR_RootConstrainSelectedInstOperands,
     /*  404188 */     // GIR_Coverage, 20727,
     /*  404188 */     GIR_EraseRootFromParent_Done,
     /*  404189 */   // Label 7202: @404189
     /*  404189 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(404266), // Rule ID 20730 //
     /*  404194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  404205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  404208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  404211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404226 */     // MIs[0] Operand 4
     /*  404226 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404244 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404264 */     GIR_RootConstrainSelectedInstOperands,
     /*  404265 */     // GIR_Coverage, 20730,
     /*  404265 */     GIR_EraseRootFromParent_Done,
     /*  404266 */   // Label 7203: @404266
     /*  404266 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(404343), // Rule ID 20731 //
     /*  404271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  404282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  404285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  404288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404303 */     // MIs[0] Operand 4
     /*  404303 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404341 */     GIR_RootConstrainSelectedInstOperands,
     /*  404342 */     // GIR_Coverage, 20731,
     /*  404342 */     GIR_EraseRootFromParent_Done,
     /*  404343 */   // Label 7204: @404343
     /*  404343 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(404420), // Rule ID 20734 //
     /*  404348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  404351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  404365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404380 */     // MIs[0] Operand 4
     /*  404380 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404398 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  404398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  404401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404418 */     GIR_RootConstrainSelectedInstOperands,
     /*  404419 */     // GIR_Coverage, 20734,
     /*  404419 */     GIR_EraseRootFromParent_Done,
     /*  404420 */   // Label 7205: @404420
     /*  404420 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(404497), // Rule ID 20735 //
     /*  404425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  404428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  404442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404457 */     // MIs[0] Operand 4
     /*  404457 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404475 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  404478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404495 */     GIR_RootConstrainSelectedInstOperands,
     /*  404496 */     // GIR_Coverage, 20735,
     /*  404496 */     GIR_EraseRootFromParent_Done,
     /*  404497 */   // Label 7206: @404497
     /*  404497 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(404574), // Rule ID 20738 //
     /*  404502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  404505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  404513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  404516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  404519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404534 */     // MIs[0] Operand 4
     /*  404534 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404552 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  404552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  404555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404572 */     GIR_RootConstrainSelectedInstOperands,
     /*  404573 */     // GIR_Coverage, 20738,
     /*  404573 */     GIR_EraseRootFromParent_Done,
     /*  404574 */   // Label 7207: @404574
     /*  404574 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(404651), // Rule ID 20739 //
     /*  404579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  404582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  404590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  404593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  404596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404611 */     // MIs[0] Operand 4
     /*  404611 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  404632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404649 */     GIR_RootConstrainSelectedInstOperands,
     /*  404650 */     // GIR_Coverage, 20739,
     /*  404650 */     GIR_EraseRootFromParent_Done,
     /*  404651 */   // Label 7208: @404651
     /*  404651 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(404728), // Rule ID 20742 //
     /*  404656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  404659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  404667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  404670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  404673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404688 */     // MIs[0] Operand 4
     /*  404688 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404706 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  404706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404726 */     GIR_RootConstrainSelectedInstOperands,
     /*  404727 */     // GIR_Coverage, 20742,
     /*  404727 */     GIR_EraseRootFromParent_Done,
     /*  404728 */   // Label 7209: @404728
     /*  404728 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(404805), // Rule ID 20743 //
     /*  404733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  404736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  404744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  404747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  404750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404765 */     // MIs[0] Operand 4
     /*  404765 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404783 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404803 */     GIR_RootConstrainSelectedInstOperands,
     /*  404804 */     // GIR_Coverage, 20743,
     /*  404804 */     GIR_EraseRootFromParent_Done,
     /*  404805 */   // Label 7210: @404805
     /*  404805 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(404882), // Rule ID 20746 //
     /*  404810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  404813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  404821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  404824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  404827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404842 */     // MIs[0] Operand 4
     /*  404842 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404860 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  404863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404880 */     GIR_RootConstrainSelectedInstOperands,
     /*  404881 */     // GIR_Coverage, 20746,
     /*  404881 */     GIR_EraseRootFromParent_Done,
     /*  404882 */   // Label 7211: @404882
     /*  404882 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(404959), // Rule ID 20747 //
     /*  404887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  404890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  404898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  404901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  404904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404919 */     // MIs[0] Operand 4
     /*  404919 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404937 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  404940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404957 */     GIR_RootConstrainSelectedInstOperands,
     /*  404958 */     // GIR_Coverage, 20747,
     /*  404958 */     GIR_EraseRootFromParent_Done,
     /*  404959 */   // Label 7212: @404959
     /*  404959 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(405036), // Rule ID 20750 //
     /*  404964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  404967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  404975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  404978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  404981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404996 */     // MIs[0] Operand 4
     /*  404996 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  405014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  405017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  405031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405034 */     GIR_RootConstrainSelectedInstOperands,
     /*  405035 */     // GIR_Coverage, 20750,
     /*  405035 */     GIR_EraseRootFromParent_Done,
     /*  405036 */   // Label 7213: @405036
     /*  405036 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(405113), // Rule ID 20751 //
     /*  405041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  405044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  405049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  405052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  405055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  405058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405073 */     // MIs[0] Operand 4
     /*  405073 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405091 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  405091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  405094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  405108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405111 */     GIR_RootConstrainSelectedInstOperands,
     /*  405112 */     // GIR_Coverage, 20751,
     /*  405112 */     GIR_EraseRootFromParent_Done,
     /*  405113 */   // Label 7214: @405113
     /*  405113 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(405190), // Rule ID 20754 //
     /*  405118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  405121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  405126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  405129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  405132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  405135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405150 */     // MIs[0] Operand 4
     /*  405150 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405168 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  405168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  405171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  405185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405188 */     GIR_RootConstrainSelectedInstOperands,
     /*  405189 */     // GIR_Coverage, 20754,
     /*  405189 */     GIR_EraseRootFromParent_Done,
     /*  405190 */   // Label 7215: @405190
     /*  405190 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(405267), // Rule ID 20755 //
     /*  405195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  405198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  405203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  405206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  405209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  405212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405227 */     // MIs[0] Operand 4
     /*  405227 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405245 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  405245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  405248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  405262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405265 */     GIR_RootConstrainSelectedInstOperands,
     /*  405266 */     // GIR_Coverage, 20755,
     /*  405266 */     GIR_EraseRootFromParent_Done,
     /*  405267 */   // Label 7216: @405267
     /*  405267 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(405344), // Rule ID 21114 //
     /*  405272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  405283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  405286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  405289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405304 */     // MIs[0] Operand 4
     /*  405304 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  405325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405342 */     GIR_RootConstrainSelectedInstOperands,
     /*  405343 */     // GIR_Coverage, 21114,
     /*  405343 */     GIR_EraseRootFromParent_Done,
     /*  405344 */   // Label 7217: @405344
     /*  405344 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(405421), // Rule ID 21115 //
     /*  405349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  405360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  405363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  405366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405381 */     // MIs[0] Operand 4
     /*  405381 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  405402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405419 */     GIR_RootConstrainSelectedInstOperands,
     /*  405420 */     // GIR_Coverage, 21115,
     /*  405420 */     GIR_EraseRootFromParent_Done,
     /*  405421 */   // Label 7218: @405421
     /*  405421 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(405498), // Rule ID 21118 //
     /*  405426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  405443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405458 */     // MIs[0] Operand 4
     /*  405458 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  405479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405496 */     GIR_RootConstrainSelectedInstOperands,
     /*  405497 */     // GIR_Coverage, 21118,
     /*  405497 */     GIR_EraseRootFromParent_Done,
     /*  405498 */   // Label 7219: @405498
     /*  405498 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(405575), // Rule ID 21119 //
     /*  405503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  405520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405535 */     // MIs[0] Operand 4
     /*  405535 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  405556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405573 */     GIR_RootConstrainSelectedInstOperands,
     /*  405574 */     // GIR_Coverage, 21119,
     /*  405574 */     GIR_EraseRootFromParent_Done,
     /*  405575 */   // Label 7220: @405575
     /*  405575 */   GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(405652), // Rule ID 21122 //
     /*  405580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  405597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405612 */     // MIs[0] Operand 4
     /*  405612 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  405633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405650 */     GIR_RootConstrainSelectedInstOperands,
     /*  405651 */     // GIR_Coverage, 21122,
     /*  405651 */     GIR_EraseRootFromParent_Done,
     /*  405652 */   // Label 7221: @405652
     /*  405652 */   GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(405729), // Rule ID 21123 //
     /*  405657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  405674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405689 */     // MIs[0] Operand 4
     /*  405689 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405707 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  405710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405727 */     GIR_RootConstrainSelectedInstOperands,
     /*  405728 */     // GIR_Coverage, 21123,
     /*  405728 */     GIR_EraseRootFromParent_Done,
     /*  405729 */   // Label 7222: @405729
     /*  405729 */   GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(405806), // Rule ID 21126 //
     /*  405734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  405751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405766 */     // MIs[0] Operand 4
     /*  405766 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405804 */     GIR_RootConstrainSelectedInstOperands,
     /*  405805 */     // GIR_Coverage, 21126,
     /*  405805 */     GIR_EraseRootFromParent_Done,
     /*  405806 */   // Label 7223: @405806
     /*  405806 */   GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(405883), // Rule ID 21127 //
     /*  405811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  405828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405843 */     // MIs[0] Operand 4
     /*  405843 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405861 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405881 */     GIR_RootConstrainSelectedInstOperands,
     /*  405882 */     // GIR_Coverage, 21127,
     /*  405882 */     GIR_EraseRootFromParent_Done,
     /*  405883 */   // Label 7224: @405883
     /*  405883 */   GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(405960), // Rule ID 21130 //
     /*  405888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  405905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405920 */     // MIs[0] Operand 4
     /*  405920 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405938 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  405941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405958 */     GIR_RootConstrainSelectedInstOperands,
     /*  405959 */     // GIR_Coverage, 21130,
     /*  405959 */     GIR_EraseRootFromParent_Done,
     /*  405960 */   // Label 7225: @405960
     /*  405960 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(406037), // Rule ID 21131 //
     /*  405965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  405982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405997 */     // MIs[0] Operand 4
     /*  405997 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406015 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  406018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406035 */     GIR_RootConstrainSelectedInstOperands,
     /*  406036 */     // GIR_Coverage, 21131,
     /*  406036 */     GIR_EraseRootFromParent_Done,
     /*  406037 */   // Label 7226: @406037
     /*  406037 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(406114), // Rule ID 21134 //
     /*  406042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  406050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  406053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  406056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406074 */     // MIs[0] Operand 4
     /*  406074 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  406095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406112 */     GIR_RootConstrainSelectedInstOperands,
     /*  406113 */     // GIR_Coverage, 21134,
     /*  406113 */     GIR_EraseRootFromParent_Done,
     /*  406114 */   // Label 7227: @406114
     /*  406114 */   GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(406191), // Rule ID 21135 //
     /*  406119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  406127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  406130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  406133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406151 */     // MIs[0] Operand 4
     /*  406151 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406169 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  406172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406189 */     GIR_RootConstrainSelectedInstOperands,
     /*  406190 */     // GIR_Coverage, 21135,
     /*  406190 */     GIR_EraseRootFromParent_Done,
     /*  406191 */   // Label 7228: @406191
     /*  406191 */   GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(406268), // Rule ID 21138 //
     /*  406196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  406204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406228 */     // MIs[0] Operand 4
     /*  406228 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  406249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406266 */     GIR_RootConstrainSelectedInstOperands,
     /*  406267 */     // GIR_Coverage, 21138,
     /*  406267 */     GIR_EraseRootFromParent_Done,
     /*  406268 */   // Label 7229: @406268
     /*  406268 */   GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(406345), // Rule ID 21139 //
     /*  406273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  406281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406305 */     // MIs[0] Operand 4
     /*  406305 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406323 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  406326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406343 */     GIR_RootConstrainSelectedInstOperands,
     /*  406344 */     // GIR_Coverage, 21139,
     /*  406344 */     GIR_EraseRootFromParent_Done,
     /*  406345 */   // Label 7230: @406345
     /*  406345 */   GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(406422), // Rule ID 21142 //
     /*  406350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  406358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  406361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406382 */     // MIs[0] Operand 4
     /*  406382 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406400 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  406403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406420 */     GIR_RootConstrainSelectedInstOperands,
     /*  406421 */     // GIR_Coverage, 21142,
     /*  406421 */     GIR_EraseRootFromParent_Done,
     /*  406422 */   // Label 7231: @406422
     /*  406422 */   GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(406499), // Rule ID 21143 //
     /*  406427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  406435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  406438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406459 */     // MIs[0] Operand 4
     /*  406459 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406477 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  406480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406497 */     GIR_RootConstrainSelectedInstOperands,
     /*  406498 */     // GIR_Coverage, 21143,
     /*  406498 */     GIR_EraseRootFromParent_Done,
     /*  406499 */   // Label 7232: @406499
     /*  406499 */   GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(406576), // Rule ID 21146 //
     /*  406504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  406512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  406515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  406518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  406521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406536 */     // MIs[0] Operand 4
     /*  406536 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406554 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  406557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406574 */     GIR_RootConstrainSelectedInstOperands,
     /*  406575 */     // GIR_Coverage, 21146,
     /*  406575 */     GIR_EraseRootFromParent_Done,
     /*  406576 */   // Label 7233: @406576
     /*  406576 */   GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(406653), // Rule ID 21147 //
     /*  406581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  406589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  406592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  406595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  406598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406613 */     // MIs[0] Operand 4
     /*  406613 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406631 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  406634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406651 */     GIR_RootConstrainSelectedInstOperands,
     /*  406652 */     // GIR_Coverage, 21147,
     /*  406652 */     GIR_EraseRootFromParent_Done,
     /*  406653 */   // Label 7234: @406653
     /*  406653 */   GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(406730), // Rule ID 21150 //
     /*  406658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  406669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  406672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406690 */     // MIs[0] Operand 4
     /*  406690 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  406711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406728 */     GIR_RootConstrainSelectedInstOperands,
     /*  406729 */     // GIR_Coverage, 21150,
     /*  406729 */     GIR_EraseRootFromParent_Done,
     /*  406730 */   // Label 7235: @406730
     /*  406730 */   GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(406807), // Rule ID 21151 //
     /*  406735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  406746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  406749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406767 */     // MIs[0] Operand 4
     /*  406767 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406785 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  406788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406805 */     GIR_RootConstrainSelectedInstOperands,
     /*  406806 */     // GIR_Coverage, 21151,
     /*  406806 */     GIR_EraseRootFromParent_Done,
     /*  406807 */   // Label 7236: @406807
     /*  406807 */   GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(406884), // Rule ID 21154 //
     /*  406812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  406823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  406826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  406829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406844 */     // MIs[0] Operand 4
     /*  406844 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406862 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406882 */     GIR_RootConstrainSelectedInstOperands,
     /*  406883 */     // GIR_Coverage, 21154,
     /*  406883 */     GIR_EraseRootFromParent_Done,
     /*  406884 */   // Label 7237: @406884
     /*  406884 */   GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(406961), // Rule ID 21155 //
     /*  406889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  406900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  406903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  406906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406921 */     // MIs[0] Operand 4
     /*  406921 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406959 */     GIR_RootConstrainSelectedInstOperands,
     /*  406960 */     // GIR_Coverage, 21155,
     /*  406960 */     GIR_EraseRootFromParent_Done,
     /*  406961 */   // Label 7238: @406961
     /*  406961 */   GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(407038), // Rule ID 21158 //
     /*  406966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  406983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406998 */     // MIs[0] Operand 4
     /*  406998 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  407019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407036 */     GIR_RootConstrainSelectedInstOperands,
     /*  407037 */     // GIR_Coverage, 21158,
     /*  407037 */     GIR_EraseRootFromParent_Done,
     /*  407038 */   // Label 7239: @407038
     /*  407038 */   GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(407115), // Rule ID 21159 //
     /*  407043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  407054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  407057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407075 */     // MIs[0] Operand 4
     /*  407075 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407093 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  407096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407113 */     GIR_RootConstrainSelectedInstOperands,
     /*  407114 */     // GIR_Coverage, 21159,
     /*  407114 */     GIR_EraseRootFromParent_Done,
     /*  407115 */   // Label 7240: @407115
     /*  407115 */   GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(407192), // Rule ID 21162 //
     /*  407120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  407131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  407134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407152 */     // MIs[0] Operand 4
     /*  407152 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407170 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  407173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407190 */     GIR_RootConstrainSelectedInstOperands,
     /*  407191 */     // GIR_Coverage, 21162,
     /*  407191 */     GIR_EraseRootFromParent_Done,
     /*  407192 */   // Label 7241: @407192
     /*  407192 */   GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(407269), // Rule ID 21163 //
     /*  407197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  407208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  407211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407229 */     // MIs[0] Operand 4
     /*  407229 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  407250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407267 */     GIR_RootConstrainSelectedInstOperands,
     /*  407268 */     // GIR_Coverage, 21163,
     /*  407268 */     GIR_EraseRootFromParent_Done,
     /*  407269 */   // Label 7242: @407269
     /*  407269 */   GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(407346), // Rule ID 21166 //
     /*  407274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  407285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  407288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  407291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407306 */     // MIs[0] Operand 4
     /*  407306 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  407327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407344 */     GIR_RootConstrainSelectedInstOperands,
     /*  407345 */     // GIR_Coverage, 21166,
     /*  407345 */     GIR_EraseRootFromParent_Done,
     /*  407346 */   // Label 7243: @407346
     /*  407346 */   GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(407423), // Rule ID 21167 //
     /*  407351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  407362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  407365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  407368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407383 */     // MIs[0] Operand 4
     /*  407383 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407401 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  407404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407421 */     GIR_RootConstrainSelectedInstOperands,
     /*  407422 */     // GIR_Coverage, 21167,
     /*  407422 */     GIR_EraseRootFromParent_Done,
     /*  407423 */   // Label 7244: @407423
     /*  407423 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(407500), // Rule ID 21170 //
     /*  407428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  407431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  407439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  407442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407460 */     // MIs[0] Operand 4
     /*  407460 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  407481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407498 */     GIR_RootConstrainSelectedInstOperands,
     /*  407499 */     // GIR_Coverage, 21170,
     /*  407499 */     GIR_EraseRootFromParent_Done,
     /*  407500 */   // Label 7245: @407500
     /*  407500 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(407577), // Rule ID 21171 //
     /*  407505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  407508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  407516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  407519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407537 */     // MIs[0] Operand 4
     /*  407537 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407555 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  407558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407575 */     GIR_RootConstrainSelectedInstOperands,
     /*  407576 */     // GIR_Coverage, 21171,
     /*  407576 */     GIR_EraseRootFromParent_Done,
     /*  407577 */   // Label 7246: @407577
     /*  407577 */   GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(407654), // Rule ID 21174 //
     /*  407582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  407585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  407593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  407596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407614 */     // MIs[0] Operand 4
     /*  407614 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407632 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  407635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407652 */     GIR_RootConstrainSelectedInstOperands,
     /*  407653 */     // GIR_Coverage, 21174,
     /*  407653 */     GIR_EraseRootFromParent_Done,
     /*  407654 */   // Label 7247: @407654
     /*  407654 */   GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(407731), // Rule ID 21175 //
     /*  407659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  407662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  407670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  407673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407691 */     // MIs[0] Operand 4
     /*  407691 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407709 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  407712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407729 */     GIR_RootConstrainSelectedInstOperands,
     /*  407730 */     // GIR_Coverage, 21175,
     /*  407730 */     GIR_EraseRootFromParent_Done,
     /*  407731 */   // Label 7248: @407731
     /*  407731 */   GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(407808), // Rule ID 21178 //
     /*  407736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  407739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  407747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  407750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407768 */     // MIs[0] Operand 4
     /*  407768 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407786 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  407789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407806 */     GIR_RootConstrainSelectedInstOperands,
     /*  407807 */     // GIR_Coverage, 21178,
     /*  407807 */     GIR_EraseRootFromParent_Done,
     /*  407808 */   // Label 7249: @407808
     /*  407808 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(407885), // Rule ID 21179 //
     /*  407813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  407816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  407824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  407827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407845 */     // MIs[0] Operand 4
     /*  407845 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407863 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  407866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407883 */     GIR_RootConstrainSelectedInstOperands,
     /*  407884 */     // GIR_Coverage, 21179,
     /*  407884 */     GIR_EraseRootFromParent_Done,
     /*  407885 */   // Label 7250: @407885
     /*  407885 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(407962), // Rule ID 21182 //
     /*  407890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  407893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  407901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  407904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  407907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407922 */     // MIs[0] Operand 4
     /*  407922 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407940 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  407943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407960 */     GIR_RootConstrainSelectedInstOperands,
     /*  407961 */     // GIR_Coverage, 21182,
     /*  407961 */     GIR_EraseRootFromParent_Done,
     /*  407962 */   // Label 7251: @407962
     /*  407962 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(408039), // Rule ID 21183 //
     /*  407967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  407970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  407975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  407978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  407981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  407984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407999 */     // MIs[0] Operand 4
     /*  407999 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408017 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  408020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408037 */     GIR_RootConstrainSelectedInstOperands,
     /*  408038 */     // GIR_Coverage, 21183,
     /*  408038 */     GIR_EraseRootFromParent_Done,
     /*  408039 */   // Label 7252: @408039
     /*  408039 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(408116), // Rule ID 21486 //
     /*  408044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  408055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  408058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  408061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408076 */     // MIs[0] Operand 4
     /*  408076 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408094 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  408097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408114 */     GIR_RootConstrainSelectedInstOperands,
     /*  408115 */     // GIR_Coverage, 21486,
     /*  408115 */     GIR_EraseRootFromParent_Done,
     /*  408116 */   // Label 7253: @408116
     /*  408116 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(408193), // Rule ID 21487 //
     /*  408121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  408132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  408135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  408138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408153 */     // MIs[0] Operand 4
     /*  408153 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408171 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  408174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408191 */     GIR_RootConstrainSelectedInstOperands,
     /*  408192 */     // GIR_Coverage, 21487,
     /*  408192 */     GIR_EraseRootFromParent_Done,
     /*  408193 */   // Label 7254: @408193
     /*  408193 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(408270), // Rule ID 21490 //
     /*  408198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  408209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  408212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  408215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408230 */     // MIs[0] Operand 4
     /*  408230 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408248 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  408251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408268 */     GIR_RootConstrainSelectedInstOperands,
     /*  408269 */     // GIR_Coverage, 21490,
     /*  408269 */     GIR_EraseRootFromParent_Done,
     /*  408270 */   // Label 7255: @408270
     /*  408270 */   GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(408347), // Rule ID 21491 //
     /*  408275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  408286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  408289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  408292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408307 */     // MIs[0] Operand 4
     /*  408307 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408325 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  408328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408345 */     GIR_RootConstrainSelectedInstOperands,
     /*  408346 */     // GIR_Coverage, 21491,
     /*  408346 */     GIR_EraseRootFromParent_Done,
     /*  408347 */   // Label 7256: @408347
     /*  408347 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(408424), // Rule ID 21494 //
     /*  408352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  408363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  408366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  408369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408384 */     // MIs[0] Operand 4
     /*  408384 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408402 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408422 */     GIR_RootConstrainSelectedInstOperands,
     /*  408423 */     // GIR_Coverage, 21494,
     /*  408423 */     GIR_EraseRootFromParent_Done,
     /*  408424 */   // Label 7257: @408424
     /*  408424 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(408501), // Rule ID 21495 //
     /*  408429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  408440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  408443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  408446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408461 */     // MIs[0] Operand 4
     /*  408461 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408479 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408499 */     GIR_RootConstrainSelectedInstOperands,
     /*  408500 */     // GIR_Coverage, 21495,
     /*  408500 */     GIR_EraseRootFromParent_Done,
     /*  408501 */   // Label 7258: @408501
     /*  408501 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(408578), // Rule ID 21498 //
     /*  408506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  408517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  408520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  408523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408538 */     // MIs[0] Operand 4
     /*  408538 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408556 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408576 */     GIR_RootConstrainSelectedInstOperands,
     /*  408577 */     // GIR_Coverage, 21498,
     /*  408577 */     GIR_EraseRootFromParent_Done,
     /*  408578 */   // Label 7259: @408578
     /*  408578 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(408655), // Rule ID 21499 //
     /*  408583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  408594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  408597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  408600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408615 */     // MIs[0] Operand 4
     /*  408615 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408633 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408653 */     GIR_RootConstrainSelectedInstOperands,
     /*  408654 */     // GIR_Coverage, 21499,
     /*  408654 */     GIR_EraseRootFromParent_Done,
     /*  408655 */   // Label 7260: @408655
     /*  408655 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(408732), // Rule ID 21502 //
     /*  408660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  408671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  408674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  408677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408692 */     // MIs[0] Operand 4
     /*  408692 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408710 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408730 */     GIR_RootConstrainSelectedInstOperands,
     /*  408731 */     // GIR_Coverage, 21502,
     /*  408731 */     GIR_EraseRootFromParent_Done,
     /*  408732 */   // Label 7261: @408732
     /*  408732 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(408809), // Rule ID 21503 //
     /*  408737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  408748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  408751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  408754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408769 */     // MIs[0] Operand 4
     /*  408769 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408787 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408807 */     GIR_RootConstrainSelectedInstOperands,
     /*  408808 */     // GIR_Coverage, 21503,
     /*  408808 */     GIR_EraseRootFromParent_Done,
     /*  408809 */   // Label 7262: @408809
     /*  408809 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(408886), // Rule ID 21506 //
     /*  408814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  408825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  408828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  408831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408846 */     // MIs[0] Operand 4
     /*  408846 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408864 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  408867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408884 */     GIR_RootConstrainSelectedInstOperands,
     /*  408885 */     // GIR_Coverage, 21506,
     /*  408885 */     GIR_EraseRootFromParent_Done,
     /*  408886 */   // Label 7263: @408886
     /*  408886 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(408963), // Rule ID 21507 //
     /*  408891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  408902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  408905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  408908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408923 */     // MIs[0] Operand 4
     /*  408923 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408941 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  408944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408961 */     GIR_RootConstrainSelectedInstOperands,
     /*  408962 */     // GIR_Coverage, 21507,
     /*  408962 */     GIR_EraseRootFromParent_Done,
     /*  408963 */   // Label 7264: @408963
     /*  408963 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(409040), // Rule ID 21510 //
     /*  408968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  408979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  408982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409000 */     // MIs[0] Operand 4
     /*  409000 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  409021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409038 */     GIR_RootConstrainSelectedInstOperands,
     /*  409039 */     // GIR_Coverage, 21510,
     /*  409039 */     GIR_EraseRootFromParent_Done,
     /*  409040 */   // Label 7265: @409040
     /*  409040 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(409117), // Rule ID 21511 //
     /*  409045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  409048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  409056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  409059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409077 */     // MIs[0] Operand 4
     /*  409077 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409095 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  409098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409115 */     GIR_RootConstrainSelectedInstOperands,
     /*  409116 */     // GIR_Coverage, 21511,
     /*  409116 */     GIR_EraseRootFromParent_Done,
     /*  409117 */   // Label 7266: @409117
     /*  409117 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(409194), // Rule ID 21514 //
     /*  409122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  409125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  409133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  409136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409154 */     // MIs[0] Operand 4
     /*  409154 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  409175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409192 */     GIR_RootConstrainSelectedInstOperands,
     /*  409193 */     // GIR_Coverage, 21514,
     /*  409193 */     GIR_EraseRootFromParent_Done,
     /*  409194 */   // Label 7267: @409194
     /*  409194 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(409271), // Rule ID 21515 //
     /*  409199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  409202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  409210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  409213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409231 */     // MIs[0] Operand 4
     /*  409231 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409249 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  409252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409269 */     GIR_RootConstrainSelectedInstOperands,
     /*  409270 */     // GIR_Coverage, 21515,
     /*  409270 */     GIR_EraseRootFromParent_Done,
     /*  409271 */   // Label 7268: @409271
     /*  409271 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(409348), // Rule ID 21518 //
     /*  409276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  409279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  409287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  409290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409308 */     // MIs[0] Operand 4
     /*  409308 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409326 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  409329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409346 */     GIR_RootConstrainSelectedInstOperands,
     /*  409347 */     // GIR_Coverage, 21518,
     /*  409347 */     GIR_EraseRootFromParent_Done,
     /*  409348 */   // Label 7269: @409348
     /*  409348 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(409425), // Rule ID 21519 //
     /*  409353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  409356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  409364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  409367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409385 */     // MIs[0] Operand 4
     /*  409385 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409403 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  409406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409423 */     GIR_RootConstrainSelectedInstOperands,
     /*  409424 */     // GIR_Coverage, 21519,
     /*  409424 */     GIR_EraseRootFromParent_Done,
     /*  409425 */   // Label 7270: @409425
     /*  409425 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(409502), // Rule ID 21522 //
     /*  409430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  409433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  409441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  409444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  409447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409462 */     // MIs[0] Operand 4
     /*  409462 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409480 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  409483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409500 */     GIR_RootConstrainSelectedInstOperands,
     /*  409501 */     // GIR_Coverage, 21522,
     /*  409501 */     GIR_EraseRootFromParent_Done,
     /*  409502 */   // Label 7271: @409502
     /*  409502 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(409579), // Rule ID 21523 //
     /*  409507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  409510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  409518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  409521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  409524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409539 */     // MIs[0] Operand 4
     /*  409539 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409557 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  409560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409577 */     GIR_RootConstrainSelectedInstOperands,
     /*  409578 */     // GIR_Coverage, 21523,
     /*  409578 */     GIR_EraseRootFromParent_Done,
     /*  409579 */   // Label 7272: @409579
     /*  409579 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(409656), // Rule ID 21526 //
     /*  409584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  409587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  409595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  409598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  409601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409616 */     // MIs[0] Operand 4
     /*  409616 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409634 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  409637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409654 */     GIR_RootConstrainSelectedInstOperands,
     /*  409655 */     // GIR_Coverage, 21526,
     /*  409655 */     GIR_EraseRootFromParent_Done,
     /*  409656 */   // Label 7273: @409656
     /*  409656 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(409733), // Rule ID 21527 //
     /*  409661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  409664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  409672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  409675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  409678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409693 */     // MIs[0] Operand 4
     /*  409693 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409711 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  409714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409731 */     GIR_RootConstrainSelectedInstOperands,
     /*  409732 */     // GIR_Coverage, 21527,
     /*  409732 */     GIR_EraseRootFromParent_Done,
     /*  409733 */   // Label 7274: @409733
     /*  409733 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(409810), // Rule ID 21530 //
     /*  409738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  409749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  409752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409770 */     // MIs[0] Operand 4
     /*  409770 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409788 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  409791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409808 */     GIR_RootConstrainSelectedInstOperands,
     /*  409809 */     // GIR_Coverage, 21530,
     /*  409809 */     GIR_EraseRootFromParent_Done,
     /*  409810 */   // Label 7275: @409810
     /*  409810 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(409887), // Rule ID 21531 //
     /*  409815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  409826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  409829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409847 */     // MIs[0] Operand 4
     /*  409847 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409865 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  409868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409885 */     GIR_RootConstrainSelectedInstOperands,
     /*  409886 */     // GIR_Coverage, 21531,
     /*  409886 */     GIR_EraseRootFromParent_Done,
     /*  409887 */   // Label 7276: @409887
     /*  409887 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(409964), // Rule ID 21534 //
     /*  409892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  409909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409924 */     // MIs[0] Operand 4
     /*  409924 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409942 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  409945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409962 */     GIR_RootConstrainSelectedInstOperands,
     /*  409963 */     // GIR_Coverage, 21534,
     /*  409963 */     GIR_EraseRootFromParent_Done,
     /*  409964 */   // Label 7277: @409964
     /*  409964 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(410041), // Rule ID 21535 //
     /*  409969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  409986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410001 */     // MIs[0] Operand 4
     /*  410001 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  410022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410039 */     GIR_RootConstrainSelectedInstOperands,
     /*  410040 */     // GIR_Coverage, 21535,
     /*  410040 */     GIR_EraseRootFromParent_Done,
     /*  410041 */   // Label 7278: @410041
     /*  410041 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(410118), // Rule ID 21538 //
     /*  410046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  410049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  410054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  410063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410078 */     // MIs[0] Operand 4
     /*  410078 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  410096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  410099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410116 */     GIR_RootConstrainSelectedInstOperands,
     /*  410117 */     // GIR_Coverage, 21538,
     /*  410117 */     GIR_EraseRootFromParent_Done,
     /*  410118 */   // Label 7279: @410118
     /*  410118 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(410195), // Rule ID 21539 //
     /*  410123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  410126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  410131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  410140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410155 */     // MIs[0] Operand 4
     /*  410155 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410173 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  410176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410193 */     GIR_RootConstrainSelectedInstOperands,
     /*  410194 */     // GIR_Coverage, 21539,
     /*  410194 */     GIR_EraseRootFromParent_Done,
     /*  410195 */   // Label 7280: @410195
     /*  410195 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(410272), // Rule ID 21542 //
     /*  410200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  410203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  410208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  410211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  410214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  410217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410232 */     // MIs[0] Operand 4
     /*  410232 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410250 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  410250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  410253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410270 */     GIR_RootConstrainSelectedInstOperands,
     /*  410271 */     // GIR_Coverage, 21542,
     /*  410271 */     GIR_EraseRootFromParent_Done,
     /*  410272 */   // Label 7281: @410272
     /*  410272 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(410349), // Rule ID 21543 //
     /*  410277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  410280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  410285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  410288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  410291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  410294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410309 */     // MIs[0] Operand 4
     /*  410309 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410327 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  410330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410347 */     GIR_RootConstrainSelectedInstOperands,
     /*  410348 */     // GIR_Coverage, 21543,
     /*  410348 */     GIR_EraseRootFromParent_Done,
     /*  410349 */   // Label 7282: @410349
     /*  410349 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(410426), // Rule ID 21546 //
     /*  410354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  410365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  410368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  410371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410386 */     // MIs[0] Operand 4
     /*  410386 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410404 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  410407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410424 */     GIR_RootConstrainSelectedInstOperands,
     /*  410425 */     // GIR_Coverage, 21546,
     /*  410425 */     GIR_EraseRootFromParent_Done,
     /*  410426 */   // Label 7283: @410426
     /*  410426 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(410503), // Rule ID 21547 //
     /*  410431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  410442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  410445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  410448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410463 */     // MIs[0] Operand 4
     /*  410463 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410481 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  410484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410501 */     GIR_RootConstrainSelectedInstOperands,
     /*  410502 */     // GIR_Coverage, 21547,
     /*  410502 */     GIR_EraseRootFromParent_Done,
     /*  410503 */   // Label 7284: @410503
     /*  410503 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(410580), // Rule ID 21550 //
     /*  410508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  410519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  410522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  410525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410540 */     // MIs[0] Operand 4
     /*  410540 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410558 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  410561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410578 */     GIR_RootConstrainSelectedInstOperands,
     /*  410579 */     // GIR_Coverage, 21550,
     /*  410579 */     GIR_EraseRootFromParent_Done,
     /*  410580 */   // Label 7285: @410580
     /*  410580 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(410657), // Rule ID 21551 //
     /*  410585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  410596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  410599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  410602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410617 */     // MIs[0] Operand 4
     /*  410617 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410635 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  410638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410655 */     GIR_RootConstrainSelectedInstOperands,
     /*  410656 */     // GIR_Coverage, 21551,
     /*  410656 */     GIR_EraseRootFromParent_Done,
     /*  410657 */   // Label 7286: @410657
     /*  410657 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(410734), // Rule ID 21554 //
     /*  410662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  410673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  410676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  410679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410694 */     // MIs[0] Operand 4
     /*  410694 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410712 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410732 */     GIR_RootConstrainSelectedInstOperands,
     /*  410733 */     // GIR_Coverage, 21554,
     /*  410733 */     GIR_EraseRootFromParent_Done,
     /*  410734 */   // Label 7287: @410734
     /*  410734 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(410811), // Rule ID 21555 //
     /*  410739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  410750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  410753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  410756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410771 */     // MIs[0] Operand 4
     /*  410771 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410789 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410809 */     GIR_RootConstrainSelectedInstOperands,
     /*  410810 */     // GIR_Coverage, 21555,
     /*  410810 */     GIR_EraseRootFromParent_Done,
     /*  410811 */   // Label 7288: @410811
     /*  410811 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(410888), // Rule ID 21558 //
     /*  410816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  410827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  410830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410848 */     // MIs[0] Operand 4
     /*  410848 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410866 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  410869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410886 */     GIR_RootConstrainSelectedInstOperands,
     /*  410887 */     // GIR_Coverage, 21558,
     /*  410887 */     GIR_EraseRootFromParent_Done,
     /*  410888 */   // Label 7289: @410888
     /*  410888 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(410965), // Rule ID 21559 //
     /*  410893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  410904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  410907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410925 */     // MIs[0] Operand 4
     /*  410925 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410943 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  410946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410963 */     GIR_RootConstrainSelectedInstOperands,
     /*  410964 */     // GIR_Coverage, 21559,
     /*  410964 */     GIR_EraseRootFromParent_Done,
     /*  410965 */   // Label 7290: @410965
     /*  410965 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(411042), // Rule ID 21562 //
     /*  410970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  410981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  410984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411002 */     // MIs[0] Operand 4
     /*  411002 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411020 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  411020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411040 */     GIR_RootConstrainSelectedInstOperands,
     /*  411041 */     // GIR_Coverage, 21562,
     /*  411041 */     GIR_EraseRootFromParent_Done,
     /*  411042 */   // Label 7291: @411042
     /*  411042 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(411119), // Rule ID 21563 //
     /*  411047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  411050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  411058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  411061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  411064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411079 */     // MIs[0] Operand 4
     /*  411079 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411097 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  411097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411117 */     GIR_RootConstrainSelectedInstOperands,
     /*  411118 */     // GIR_Coverage, 21563,
     /*  411118 */     GIR_EraseRootFromParent_Done,
     /*  411119 */   // Label 7292: @411119
     /*  411119 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(411196), // Rule ID 21566 //
     /*  411124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  411127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  411135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  411138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  411141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411156 */     // MIs[0] Operand 4
     /*  411156 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411174 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  411174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411194 */     GIR_RootConstrainSelectedInstOperands,
     /*  411195 */     // GIR_Coverage, 21566,
     /*  411195 */     GIR_EraseRootFromParent_Done,
     /*  411196 */   // Label 7293: @411196
     /*  411196 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(411273), // Rule ID 21567 //
     /*  411201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  411204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  411212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  411215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  411218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411233 */     // MIs[0] Operand 4
     /*  411233 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411251 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  411251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411271 */     GIR_RootConstrainSelectedInstOperands,
     /*  411272 */     // GIR_Coverage, 21567,
     /*  411272 */     GIR_EraseRootFromParent_Done,
     /*  411273 */   // Label 7294: @411273
     /*  411273 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(411350), // Rule ID 21570 //
     /*  411278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  411281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  411289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  411292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411310 */     // MIs[0] Operand 4
     /*  411310 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411328 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  411331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411348 */     GIR_RootConstrainSelectedInstOperands,
     /*  411349 */     // GIR_Coverage, 21570,
     /*  411349 */     GIR_EraseRootFromParent_Done,
     /*  411350 */   // Label 7295: @411350
     /*  411350 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(411427), // Rule ID 21571 //
     /*  411355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  411358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  411366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  411369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411387 */     // MIs[0] Operand 4
     /*  411387 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411405 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  411408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411425 */     GIR_RootConstrainSelectedInstOperands,
     /*  411426 */     // GIR_Coverage, 21571,
     /*  411426 */     GIR_EraseRootFromParent_Done,
     /*  411427 */   // Label 7296: @411427
     /*  411427 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(411504), // Rule ID 21574 //
     /*  411432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  411435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  411443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  411446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411464 */     // MIs[0] Operand 4
     /*  411464 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411482 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  411485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411502 */     GIR_RootConstrainSelectedInstOperands,
     /*  411503 */     // GIR_Coverage, 21574,
     /*  411503 */     GIR_EraseRootFromParent_Done,
     /*  411504 */   // Label 7297: @411504
     /*  411504 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(411581), // Rule ID 21575 //
     /*  411509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  411512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  411520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  411523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411541 */     // MIs[0] Operand 4
     /*  411541 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411559 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  411562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411579 */     GIR_RootConstrainSelectedInstOperands,
     /*  411580 */     // GIR_Coverage, 21575,
     /*  411580 */     GIR_EraseRootFromParent_Done,
     /*  411581 */   // Label 7298: @411581
     /*  411581 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(411658), // Rule ID 21578 //
     /*  411586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  411589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  411597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  411600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411618 */     // MIs[0] Operand 4
     /*  411618 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  411639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411656 */     GIR_RootConstrainSelectedInstOperands,
     /*  411657 */     // GIR_Coverage, 21578,
     /*  411657 */     GIR_EraseRootFromParent_Done,
     /*  411658 */   // Label 7299: @411658
     /*  411658 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(411735), // Rule ID 21579 //
     /*  411663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  411666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  411674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  411677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411695 */     // MIs[0] Operand 4
     /*  411695 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411713 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  411716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411733 */     GIR_RootConstrainSelectedInstOperands,
     /*  411734 */     // GIR_Coverage, 21579,
     /*  411734 */     GIR_EraseRootFromParent_Done,
     /*  411735 */   // Label 7300: @411735
     /*  411735 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(411812), // Rule ID 21582 //
     /*  411740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  411743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  411751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  411754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  411757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411772 */     // MIs[0] Operand 4
     /*  411772 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411810 */     GIR_RootConstrainSelectedInstOperands,
     /*  411811 */     // GIR_Coverage, 21582,
     /*  411811 */     GIR_EraseRootFromParent_Done,
     /*  411812 */   // Label 7301: @411812
     /*  411812 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(411889), // Rule ID 21583 //
     /*  411817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  411820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  411828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  411831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  411834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411849 */     // MIs[0] Operand 4
     /*  411849 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411867 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411887 */     GIR_RootConstrainSelectedInstOperands,
     /*  411888 */     // GIR_Coverage, 21583,
     /*  411888 */     GIR_EraseRootFromParent_Done,
     /*  411889 */   // Label 7302: @411889
     /*  411889 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(411966), // Rule ID 21586 //
     /*  411894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  411897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  411905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  411908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  411911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411926 */     // MIs[0] Operand 4
     /*  411926 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411944 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411964 */     GIR_RootConstrainSelectedInstOperands,
     /*  411965 */     // GIR_Coverage, 21586,
     /*  411965 */     GIR_EraseRootFromParent_Done,
     /*  411966 */   // Label 7303: @411966
     /*  411966 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(412043), // Rule ID 21587 //
     /*  411971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  411974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  411982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  411985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  411988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412003 */     // MIs[0] Operand 4
     /*  412003 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412021 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  412021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  412024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412041 */     GIR_RootConstrainSelectedInstOperands,
     /*  412042 */     // GIR_Coverage, 21587,
     /*  412042 */     GIR_EraseRootFromParent_Done,
     /*  412043 */   // Label 7304: @412043
     /*  412043 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(412120), // Rule ID 21590 //
     /*  412048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  412051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  412056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  412062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  412065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412080 */     // MIs[0] Operand 4
     /*  412080 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412098 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  412098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  412101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412118 */     GIR_RootConstrainSelectedInstOperands,
     /*  412119 */     // GIR_Coverage, 21590,
     /*  412119 */     GIR_EraseRootFromParent_Done,
     /*  412120 */   // Label 7305: @412120
     /*  412120 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(412197), // Rule ID 21591 //
     /*  412125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  412128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  412133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  412139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  412142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412157 */     // MIs[0] Operand 4
     /*  412157 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412175 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  412175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  412178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412195 */     GIR_RootConstrainSelectedInstOperands,
     /*  412196 */     // GIR_Coverage, 21591,
     /*  412196 */     GIR_EraseRootFromParent_Done,
     /*  412197 */   // Label 7306: @412197
     /*  412197 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(412274), // Rule ID 21594 //
     /*  412202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  412205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  412210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  412213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  412216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  412219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412234 */     // MIs[0] Operand 4
     /*  412234 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  412252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  412255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412272 */     GIR_RootConstrainSelectedInstOperands,
     /*  412273 */     // GIR_Coverage, 21594,
     /*  412273 */     GIR_EraseRootFromParent_Done,
     /*  412274 */   // Label 7307: @412274
     /*  412274 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(412351), // Rule ID 21595 //
     /*  412279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  412282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  412287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  412290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  412293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  412296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412311 */     // MIs[0] Operand 4
     /*  412311 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412329 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  412329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  412332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412349 */     GIR_RootConstrainSelectedInstOperands,
     /*  412350 */     // GIR_Coverage, 21595,
     /*  412350 */     GIR_EraseRootFromParent_Done,
     /*  412351 */   // Label 7308: @412351
     /*  412351 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(412428), // Rule ID 21598 //
     /*  412356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  412359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  412364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  412367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  412370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  412373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412388 */     // MIs[0] Operand 4
     /*  412388 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  412406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  412409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412426 */     GIR_RootConstrainSelectedInstOperands,
     /*  412427 */     // GIR_Coverage, 21598,
     /*  412427 */     GIR_EraseRootFromParent_Done,
     /*  412428 */   // Label 7309: @412428
     /*  412428 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(412505), // Rule ID 21599 //
     /*  412433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  412436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  412441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  412444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  412447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  412450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412465 */     // MIs[0] Operand 4
     /*  412465 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  412483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  412486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412503 */     GIR_RootConstrainSelectedInstOperands,
     /*  412504 */     // GIR_Coverage, 21599,
     /*  412504 */     GIR_EraseRootFromParent_Done,
     /*  412505 */   // Label 7310: @412505
     /*  412505 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(412582), // Rule ID 21602 //
     /*  412510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  412513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  412518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  412521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  412524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  412527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412542 */     // MIs[0] Operand 4
     /*  412542 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  412560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  412563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412580 */     GIR_RootConstrainSelectedInstOperands,
     /*  412581 */     // GIR_Coverage, 21602,
     /*  412581 */     GIR_EraseRootFromParent_Done,
     /*  412582 */   // Label 7311: @412582
     /*  412582 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(412659), // Rule ID 21603 //
     /*  412587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  412590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  412595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  412598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  412601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  412604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412619 */     // MIs[0] Operand 4
     /*  412619 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412637 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  412637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  412640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412657 */     GIR_RootConstrainSelectedInstOperands,
     /*  412658 */     // GIR_Coverage, 21603,
     /*  412658 */     GIR_EraseRootFromParent_Done,
     /*  412659 */   // Label 7312: @412659
     /*  412659 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(412732), // Rule ID 62831 //
     /*  412664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  412678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412688 */     // MIs[0] op1
     /*  412688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412691 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412711 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_MF8),
     /*  412714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412716 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412718 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412720 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412730 */     GIR_RootConstrainSelectedInstOperands,
     /*  412731 */     // GIR_Coverage, 62831,
     /*  412731 */     GIR_EraseRootFromParent_Done,
     /*  412732 */   // Label 7313: @412732
     /*  412732 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(412805), // Rule ID 62832 //
     /*  412737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  412751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412761 */     // MIs[0] op1
     /*  412761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412764 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412784 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_MF8),
     /*  412787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412789 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412791 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412793 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412803 */     GIR_RootConstrainSelectedInstOperands,
     /*  412804 */     // GIR_Coverage, 62832,
     /*  412804 */     GIR_EraseRootFromParent_Done,
     /*  412805 */   // Label 7314: @412805
     /*  412805 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(412878), // Rule ID 62855 //
     /*  412810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  412824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  412827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412834 */     // MIs[0] op1
     /*  412834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412837 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412857 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_MF8),
     /*  412860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412862 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412864 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412866 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412876 */     GIR_RootConstrainSelectedInstOperands,
     /*  412877 */     // GIR_Coverage, 62855,
     /*  412877 */     GIR_EraseRootFromParent_Done,
     /*  412878 */   // Label 7315: @412878
     /*  412878 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(412951), // Rule ID 62856 //
     /*  412883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  412897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  412900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412907 */     // MIs[0] op1
     /*  412907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412910 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412930 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_MF8),
     /*  412933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412935 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412937 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412939 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412949 */     GIR_RootConstrainSelectedInstOperands,
     /*  412950 */     // GIR_Coverage, 62856,
     /*  412950 */     GIR_EraseRootFromParent_Done,
     /*  412951 */   // Label 7316: @412951
     /*  412951 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(413024), // Rule ID 62881 //
     /*  412956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  412970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412980 */     // MIs[0] op1
     /*  412980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412983 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413003 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  413003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_MF4),
     /*  413006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413008 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413010 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413012 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413022 */     GIR_RootConstrainSelectedInstOperands,
     /*  413023 */     // GIR_Coverage, 62881,
     /*  413023 */     GIR_EraseRootFromParent_Done,
     /*  413024 */   // Label 7317: @413024
     /*  413024 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(413097), // Rule ID 62882 //
     /*  413029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  413040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  413043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413053 */     // MIs[0] op1
     /*  413053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413056 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413076 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  413076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_MF4),
     /*  413079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413081 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413083 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413085 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413095 */     GIR_RootConstrainSelectedInstOperands,
     /*  413096 */     // GIR_Coverage, 62882,
     /*  413096 */     GIR_EraseRootFromParent_Done,
     /*  413097 */   // Label 7318: @413097
     /*  413097 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(413170), // Rule ID 62893 //
     /*  413102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  413113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  413116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  413119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413126 */     // MIs[0] op1
     /*  413126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413149 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  413149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_MF4),
     /*  413152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413154 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413156 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413158 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413168 */     GIR_RootConstrainSelectedInstOperands,
     /*  413169 */     // GIR_Coverage, 62893,
     /*  413169 */     GIR_EraseRootFromParent_Done,
     /*  413170 */   // Label 7319: @413170
     /*  413170 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(413243), // Rule ID 62894 //
     /*  413175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  413186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  413189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  413192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413199 */     // MIs[0] op1
     /*  413199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413202 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413222 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  413222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_MF4),
     /*  413225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413227 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413229 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413231 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413241 */     GIR_RootConstrainSelectedInstOperands,
     /*  413242 */     // GIR_Coverage, 62894,
     /*  413242 */     GIR_EraseRootFromParent_Done,
     /*  413243 */   // Label 7320: @413243
     /*  413243 */   GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(413316), // Rule ID 62925 //
     /*  413248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  413259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  413262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413272 */     // MIs[0] op1
     /*  413272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413295 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  413295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_MF2),
     /*  413298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413300 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413302 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413304 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413314 */     GIR_RootConstrainSelectedInstOperands,
     /*  413315 */     // GIR_Coverage, 62925,
     /*  413315 */     GIR_EraseRootFromParent_Done,
     /*  413316 */   // Label 7321: @413316
     /*  413316 */   GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(413389), // Rule ID 62926 //
     /*  413321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  413332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  413335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413345 */     // MIs[0] op1
     /*  413345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413348 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413368 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  413368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_MF2),
     /*  413371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413373 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413375 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413377 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413387 */     GIR_RootConstrainSelectedInstOperands,
     /*  413388 */     // GIR_Coverage, 62926,
     /*  413388 */     GIR_EraseRootFromParent_Done,
     /*  413389 */   // Label 7322: @413389
     /*  413389 */   GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(413462), // Rule ID 62937 //
     /*  413394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  413405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  413408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  413411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413418 */     // MIs[0] op1
     /*  413418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413441 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  413441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_MF2),
     /*  413444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413446 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413448 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413450 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413460 */     GIR_RootConstrainSelectedInstOperands,
     /*  413461 */     // GIR_Coverage, 62937,
     /*  413461 */     GIR_EraseRootFromParent_Done,
     /*  413462 */   // Label 7323: @413462
     /*  413462 */   GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(413535), // Rule ID 62938 //
     /*  413467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  413478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  413481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  413484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413491 */     // MIs[0] op1
     /*  413491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413514 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  413514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_MF2),
     /*  413517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413519 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413521 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413523 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413533 */     GIR_RootConstrainSelectedInstOperands,
     /*  413534 */     // GIR_Coverage, 62938,
     /*  413534 */     GIR_EraseRootFromParent_Done,
     /*  413535 */   // Label 7324: @413535
     /*  413535 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(413608), // Rule ID 62969 //
     /*  413540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413564 */     // MIs[0] op1
     /*  413564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413587 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_MF4),
     /*  413590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413592 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413594 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413596 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413606 */     GIR_RootConstrainSelectedInstOperands,
     /*  413607 */     // GIR_Coverage, 62969,
     /*  413607 */     GIR_EraseRootFromParent_Done,
     /*  413608 */   // Label 7325: @413608
     /*  413608 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(413681), // Rule ID 62970 //
     /*  413613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413637 */     // MIs[0] op1
     /*  413637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413640 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413660 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_MF4),
     /*  413663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413665 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413667 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413669 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413679 */     GIR_RootConstrainSelectedInstOperands,
     /*  413680 */     // GIR_Coverage, 62970,
     /*  413680 */     GIR_EraseRootFromParent_Done,
     /*  413681 */   // Label 7326: @413681
     /*  413681 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(413754), // Rule ID 62981 //
     /*  413686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  413703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413710 */     // MIs[0] op1
     /*  413710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413713 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_MF4),
     /*  413736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413738 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413740 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413742 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413752 */     GIR_RootConstrainSelectedInstOperands,
     /*  413753 */     // GIR_Coverage, 62981,
     /*  413753 */     GIR_EraseRootFromParent_Done,
     /*  413754 */   // Label 7327: @413754
     /*  413754 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(413827), // Rule ID 62982 //
     /*  413759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  413776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413783 */     // MIs[0] op1
     /*  413783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413786 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413806 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_MF4),
     /*  413809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413811 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413813 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413815 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413825 */     GIR_RootConstrainSelectedInstOperands,
     /*  413826 */     // GIR_Coverage, 62982,
     /*  413826 */     GIR_EraseRootFromParent_Done,
     /*  413827 */   // Label 7328: @413827
     /*  413827 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(413900), // Rule ID 63005 //
     /*  413832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413856 */     // MIs[0] op1
     /*  413856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413859 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413879 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16V_MF4),
     /*  413882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413884 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413886 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413888 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413898 */     GIR_RootConstrainSelectedInstOperands,
     /*  413899 */     // GIR_Coverage, 63005,
     /*  413899 */     GIR_EraseRootFromParent_Done,
     /*  413900 */   // Label 7329: @413900
     /*  413900 */   GIM_Try, /*On fail goto*//*Label 7330*/ GIMT_Encode4(413973), // Rule ID 63006 //
     /*  413905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413929 */     // MIs[0] op1
     /*  413929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413932 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16V_MF4),
     /*  413955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413957 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413959 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413961 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413971 */     GIR_RootConstrainSelectedInstOperands,
     /*  413972 */     // GIR_Coverage, 63006,
     /*  413972 */     GIR_EraseRootFromParent_Done,
     /*  413973 */   // Label 7330: @413973
     /*  413973 */   GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(414046), // Rule ID 63025 //
     /*  413978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414002 */     // MIs[0] op1
     /*  414002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414005 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414025 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_MF2),
     /*  414028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414030 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414032 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414034 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414044 */     GIR_RootConstrainSelectedInstOperands,
     /*  414045 */     // GIR_Coverage, 63025,
     /*  414045 */     GIR_EraseRootFromParent_Done,
     /*  414046 */   // Label 7331: @414046
     /*  414046 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(414119), // Rule ID 63026 //
     /*  414051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  414062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  414065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414075 */     // MIs[0] op1
     /*  414075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414078 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414098 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_MF2),
     /*  414101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414103 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414105 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414107 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414117 */     GIR_RootConstrainSelectedInstOperands,
     /*  414118 */     // GIR_Coverage, 63026,
     /*  414118 */     GIR_EraseRootFromParent_Done,
     /*  414119 */   // Label 7332: @414119
     /*  414119 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(414192), // Rule ID 63037 //
     /*  414124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  414135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  414138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  414141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414148 */     // MIs[0] op1
     /*  414148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414151 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_MF2),
     /*  414174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414176 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414178 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414180 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414190 */     GIR_RootConstrainSelectedInstOperands,
     /*  414191 */     // GIR_Coverage, 63037,
     /*  414191 */     GIR_EraseRootFromParent_Done,
     /*  414192 */   // Label 7333: @414192
     /*  414192 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(414265), // Rule ID 63038 //
     /*  414197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  414208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  414211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  414214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414221 */     // MIs[0] op1
     /*  414221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414244 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_MF2),
     /*  414247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414249 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414251 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414253 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414263 */     GIR_RootConstrainSelectedInstOperands,
     /*  414264 */     // GIR_Coverage, 63038,
     /*  414264 */     GIR_EraseRootFromParent_Done,
     /*  414265 */   // Label 7334: @414265
     /*  414265 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(414338), // Rule ID 63061 //
     /*  414270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  414281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  414284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  414287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414294 */     // MIs[0] op1
     /*  414294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414297 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  414310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414317 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16V_MF2),
     /*  414320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414322 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414324 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414326 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414336 */     GIR_RootConstrainSelectedInstOperands,
     /*  414337 */     // GIR_Coverage, 63061,
     /*  414337 */     GIR_EraseRootFromParent_Done,
     /*  414338 */   // Label 7335: @414338
     /*  414338 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(414411), // Rule ID 63062 //
     /*  414343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  414354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  414357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  414360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414367 */     // MIs[0] op1
     /*  414367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  414383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414390 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16V_MF2),
     /*  414393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414395 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414397 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414399 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414409 */     GIR_RootConstrainSelectedInstOperands,
     /*  414410 */     // GIR_Coverage, 63062,
     /*  414410 */     GIR_EraseRootFromParent_Done,
     /*  414411 */   // Label 7336: @414411
     /*  414411 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(414484), // Rule ID 63081 //
     /*  414416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  414427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414440 */     // MIs[0] op1
     /*  414440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414443 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414463 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  414463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_MF2),
     /*  414466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414468 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414470 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414472 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414482 */     GIR_RootConstrainSelectedInstOperands,
     /*  414483 */     // GIR_Coverage, 63081,
     /*  414483 */     GIR_EraseRootFromParent_Done,
     /*  414484 */   // Label 7337: @414484
     /*  414484 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(414557), // Rule ID 63082 //
     /*  414489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  414500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414513 */     // MIs[0] op1
     /*  414513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414516 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414536 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  414536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_MF2),
     /*  414539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414541 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414543 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414545 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414555 */     GIR_RootConstrainSelectedInstOperands,
     /*  414556 */     // GIR_Coverage, 63082,
     /*  414556 */     GIR_EraseRootFromParent_Done,
     /*  414557 */   // Label 7338: @414557
     /*  414557 */   GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(414630), // Rule ID 63093 //
     /*  414562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  414573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  414579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414586 */     // MIs[0] op1
     /*  414586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414589 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414609 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  414609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_MF2),
     /*  414612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414614 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414616 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414618 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414628 */     GIR_RootConstrainSelectedInstOperands,
     /*  414629 */     // GIR_Coverage, 63093,
     /*  414629 */     GIR_EraseRootFromParent_Done,
     /*  414630 */   // Label 7339: @414630
     /*  414630 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(414703), // Rule ID 63094 //
     /*  414635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  414646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  414652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414659 */     // MIs[0] op1
     /*  414659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414682 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  414682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_MF2),
     /*  414685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414687 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414689 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414691 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414701 */     GIR_RootConstrainSelectedInstOperands,
     /*  414702 */     // GIR_Coverage, 63094,
     /*  414702 */     GIR_EraseRootFromParent_Done,
     /*  414703 */   // Label 7340: @414703
     /*  414703 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(414776), // Rule ID 63117 //
     /*  414708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  414719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414732 */     // MIs[0] op1
     /*  414732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  414748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414755 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  414755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32V_MF2),
     /*  414758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414760 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414762 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414764 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414774 */     GIR_RootConstrainSelectedInstOperands,
     /*  414775 */     // GIR_Coverage, 63117,
     /*  414775 */     GIR_EraseRootFromParent_Done,
     /*  414776 */   // Label 7341: @414776
     /*  414776 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(414849), // Rule ID 63118 //
     /*  414781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  414792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414805 */     // MIs[0] op1
     /*  414805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414808 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  414821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414828 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  414828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32V_MF2),
     /*  414831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414833 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414835 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414837 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414847 */     GIR_RootConstrainSelectedInstOperands,
     /*  414848 */     // GIR_Coverage, 63118,
     /*  414848 */     GIR_EraseRootFromParent_Done,
     /*  414849 */   // Label 7342: @414849
     /*  414849 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(414922), // Rule ID 63137 //
     /*  414854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  414868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414878 */     // MIs[0] op1
     /*  414878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414881 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414901 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M1),
     /*  414904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414906 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414908 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414910 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414920 */     GIR_RootConstrainSelectedInstOperands,
     /*  414921 */     // GIR_Coverage, 63137,
     /*  414921 */     GIR_EraseRootFromParent_Done,
     /*  414922 */   // Label 7343: @414922
     /*  414922 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(414995), // Rule ID 63138 //
     /*  414927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  414941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414951 */     // MIs[0] op1
     /*  414951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414954 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414974 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M1),
     /*  414977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414979 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414981 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414983 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414993 */     GIR_RootConstrainSelectedInstOperands,
     /*  414994 */     // GIR_Coverage, 63138,
     /*  414994 */     GIR_EraseRootFromParent_Done,
     /*  414995 */   // Label 7344: @414995
     /*  414995 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(415068), // Rule ID 63149 //
     /*  415000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  415011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  415014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  415017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415024 */     // MIs[0] op1
     /*  415024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415027 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415047 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M1),
     /*  415050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415052 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415054 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415056 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415066 */     GIR_RootConstrainSelectedInstOperands,
     /*  415067 */     // GIR_Coverage, 63149,
     /*  415067 */     GIR_EraseRootFromParent_Done,
     /*  415068 */   // Label 7345: @415068
     /*  415068 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(415141), // Rule ID 63150 //
     /*  415073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  415084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  415087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  415090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415097 */     // MIs[0] op1
     /*  415097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415100 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415120 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  415120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M1),
     /*  415123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415125 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415127 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415129 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415139 */     GIR_RootConstrainSelectedInstOperands,
     /*  415140 */     // GIR_Coverage, 63150,
     /*  415140 */     GIR_EraseRootFromParent_Done,
     /*  415141 */   // Label 7346: @415141
     /*  415141 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(415214), // Rule ID 63181 //
     /*  415146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  415157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  415160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415170 */     // MIs[0] op1
     /*  415170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415173 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415193 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  415193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M1),
     /*  415196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415198 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415200 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415202 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415212 */     GIR_RootConstrainSelectedInstOperands,
     /*  415213 */     // GIR_Coverage, 63181,
     /*  415213 */     GIR_EraseRootFromParent_Done,
     /*  415214 */   // Label 7347: @415214
     /*  415214 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(415287), // Rule ID 63182 //
     /*  415219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  415230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  415233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415243 */     // MIs[0] op1
     /*  415243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415246 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  415266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M1),
     /*  415269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415271 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415273 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415275 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415285 */     GIR_RootConstrainSelectedInstOperands,
     /*  415286 */     // GIR_Coverage, 63182,
     /*  415286 */     GIR_EraseRootFromParent_Done,
     /*  415287 */   // Label 7348: @415287
     /*  415287 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(415360), // Rule ID 63193 //
     /*  415292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  415303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  415306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  415309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415316 */     // MIs[0] op1
     /*  415316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415319 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  415339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M1),
     /*  415342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415344 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415346 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415348 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415358 */     GIR_RootConstrainSelectedInstOperands,
     /*  415359 */     // GIR_Coverage, 63193,
     /*  415359 */     GIR_EraseRootFromParent_Done,
     /*  415360 */   // Label 7349: @415360
     /*  415360 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(415433), // Rule ID 63194 //
     /*  415365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  415376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  415379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  415382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415389 */     // MIs[0] op1
     /*  415389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415392 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415412 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  415412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M1),
     /*  415415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415417 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415419 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415421 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415431 */     GIR_RootConstrainSelectedInstOperands,
     /*  415432 */     // GIR_Coverage, 63194,
     /*  415432 */     GIR_EraseRootFromParent_Done,
     /*  415433 */   // Label 7350: @415433
     /*  415433 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(415506), // Rule ID 63217 //
     /*  415438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  415449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  415452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  415455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415462 */     // MIs[0] op1
     /*  415462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415465 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  415478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415485 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  415485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16V_M1),
     /*  415488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415490 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415492 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415494 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415504 */     GIR_RootConstrainSelectedInstOperands,
     /*  415505 */     // GIR_Coverage, 63217,
     /*  415505 */     GIR_EraseRootFromParent_Done,
     /*  415506 */   // Label 7351: @415506
     /*  415506 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(415579), // Rule ID 63218 //
     /*  415511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  415522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  415525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  415528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415535 */     // MIs[0] op1
     /*  415535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415538 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  415551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  415558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16V_M1),
     /*  415561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415563 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415565 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415567 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415577 */     GIR_RootConstrainSelectedInstOperands,
     /*  415578 */     // GIR_Coverage, 63218,
     /*  415578 */     GIR_EraseRootFromParent_Done,
     /*  415579 */   // Label 7352: @415579
     /*  415579 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(415652), // Rule ID 63237 //
     /*  415584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415608 */     // MIs[0] op1
     /*  415608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415611 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415631 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  415631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M1),
     /*  415634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415636 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415638 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415640 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415650 */     GIR_RootConstrainSelectedInstOperands,
     /*  415651 */     // GIR_Coverage, 63237,
     /*  415651 */     GIR_EraseRootFromParent_Done,
     /*  415652 */   // Label 7353: @415652
     /*  415652 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(415725), // Rule ID 63238 //
     /*  415657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415681 */     // MIs[0] op1
     /*  415681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415684 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415704 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  415704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M1),
     /*  415707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415709 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415711 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415713 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415723 */     GIR_RootConstrainSelectedInstOperands,
     /*  415724 */     // GIR_Coverage, 63238,
     /*  415724 */     GIR_EraseRootFromParent_Done,
     /*  415725 */   // Label 7354: @415725
     /*  415725 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(415798), // Rule ID 63249 //
     /*  415730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  415747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415754 */     // MIs[0] op1
     /*  415754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415757 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  415777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M1),
     /*  415780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415782 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415784 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415786 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415796 */     GIR_RootConstrainSelectedInstOperands,
     /*  415797 */     // GIR_Coverage, 63249,
     /*  415797 */     GIR_EraseRootFromParent_Done,
     /*  415798 */   // Label 7355: @415798
     /*  415798 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(415871), // Rule ID 63250 //
     /*  415803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  415820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415827 */     // MIs[0] op1
     /*  415827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415850 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  415850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M1),
     /*  415853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415855 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415857 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415859 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415869 */     GIR_RootConstrainSelectedInstOperands,
     /*  415870 */     // GIR_Coverage, 63250,
     /*  415870 */     GIR_EraseRootFromParent_Done,
     /*  415871 */   // Label 7356: @415871
     /*  415871 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(415944), // Rule ID 63273 //
     /*  415876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415900 */     // MIs[0] op1
     /*  415900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  415916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  415923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32V_M1),
     /*  415926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415928 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415930 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415932 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415942 */     GIR_RootConstrainSelectedInstOperands,
     /*  415943 */     // GIR_Coverage, 63273,
     /*  415943 */     GIR_EraseRootFromParent_Done,
     /*  415944 */   // Label 7357: @415944
     /*  415944 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(416017), // Rule ID 63274 //
     /*  415949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415973 */     // MIs[0] op1
     /*  415973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  415989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  415996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32V_M1),
     /*  415999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416001 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416003 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416005 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416015 */     GIR_RootConstrainSelectedInstOperands,
     /*  416016 */     // GIR_Coverage, 63274,
     /*  416016 */     GIR_EraseRootFromParent_Done,
     /*  416017 */   // Label 7358: @416017
     /*  416017 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(416090), // Rule ID 63293 //
     /*  416022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  416033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  416036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416046 */     // MIs[0] op1
     /*  416046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416049 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416069 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  416069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M1),
     /*  416072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416074 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416076 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416078 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  416088 */     GIR_RootConstrainSelectedInstOperands,
     /*  416089 */     // GIR_Coverage, 63293,
     /*  416089 */     GIR_EraseRootFromParent_Done,
     /*  416090 */   // Label 7359: @416090
     /*  416090 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(416163), // Rule ID 63294 //
     /*  416095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  416106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  416109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416119 */     // MIs[0] op1
     /*  416119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  416142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M1),
     /*  416145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416147 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416149 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416151 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  416161 */     GIR_RootConstrainSelectedInstOperands,
     /*  416162 */     // GIR_Coverage, 63294,
     /*  416162 */     GIR_EraseRootFromParent_Done,
     /*  416163 */   // Label 7360: @416163
     /*  416163 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(416236), // Rule ID 63305 //
     /*  416168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  416179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  416182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  416185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416192 */     // MIs[0] op1
     /*  416192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416195 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416215 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  416215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M1),
     /*  416218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416220 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416222 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416224 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  416234 */     GIR_RootConstrainSelectedInstOperands,
     /*  416235 */     // GIR_Coverage, 63305,
     /*  416235 */     GIR_EraseRootFromParent_Done,
     /*  416236 */   // Label 7361: @416236
     /*  416236 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(416309), // Rule ID 63306 //
     /*  416241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  416252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  416255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  416258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416265 */     // MIs[0] op1
     /*  416265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416268 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416288 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  416288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M1),
     /*  416291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416293 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416295 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416297 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  416307 */     GIR_RootConstrainSelectedInstOperands,
     /*  416308 */     // GIR_Coverage, 63306,
     /*  416308 */     GIR_EraseRootFromParent_Done,
     /*  416309 */   // Label 7362: @416309
     /*  416309 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(416382), // Rule ID 63329 //
     /*  416314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  416322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  416325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  416328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416338 */     // MIs[0] op1
     /*  416338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416341 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  416346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  416354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416361 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  416361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64V_M1),
     /*  416364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416366 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416368 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416370 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  416380 */     GIR_RootConstrainSelectedInstOperands,
     /*  416381 */     // GIR_Coverage, 63329,
     /*  416381 */     GIR_EraseRootFromParent_Done,
     /*  416382 */   // Label 7363: @416382
     /*  416382 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(416455), // Rule ID 63330 //
     /*  416387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  416395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  416398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  416401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416411 */     // MIs[0] op1
     /*  416411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416414 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  416419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  416427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  416434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64V_M1),
     /*  416437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416439 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416441 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416443 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  416453 */     GIR_RootConstrainSelectedInstOperands,
     /*  416454 */     // GIR_Coverage, 63330,
     /*  416454 */     GIR_EraseRootFromParent_Done,
     /*  416455 */   // Label 7364: @416455
     /*  416455 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(416528), // Rule ID 63349 //
     /*  416460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  416471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  416474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416484 */     // MIs[0] op1
     /*  416484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416487 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416507 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M2),
     /*  416510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416512 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416514 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416516 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416526 */     GIR_RootConstrainSelectedInstOperands,
     /*  416527 */     // GIR_Coverage, 63349,
     /*  416527 */     GIR_EraseRootFromParent_Done,
     /*  416528 */   // Label 7365: @416528
     /*  416528 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(416601), // Rule ID 63350 //
     /*  416533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  416544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  416547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416557 */     // MIs[0] op1
     /*  416557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416580 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M2),
     /*  416583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416585 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416587 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416589 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416599 */     GIR_RootConstrainSelectedInstOperands,
     /*  416600 */     // GIR_Coverage, 63350,
     /*  416600 */     GIR_EraseRootFromParent_Done,
     /*  416601 */   // Label 7366: @416601
     /*  416601 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(416674), // Rule ID 63361 //
     /*  416606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  416617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  416620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  416623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416630 */     // MIs[0] op1
     /*  416630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416633 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416653 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M2),
     /*  416656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416658 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416660 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416662 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416672 */     GIR_RootConstrainSelectedInstOperands,
     /*  416673 */     // GIR_Coverage, 63361,
     /*  416673 */     GIR_EraseRootFromParent_Done,
     /*  416674 */   // Label 7367: @416674
     /*  416674 */   GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(416747), // Rule ID 63362 //
     /*  416679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  416690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  416693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  416696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416703 */     // MIs[0] op1
     /*  416703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416726 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M2),
     /*  416729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416731 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416733 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416735 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416745 */     GIR_RootConstrainSelectedInstOperands,
     /*  416746 */     // GIR_Coverage, 63362,
     /*  416746 */     GIR_EraseRootFromParent_Done,
     /*  416747 */   // Label 7368: @416747
     /*  416747 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(416820), // Rule ID 63393 //
     /*  416752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  416763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  416766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416776 */     // MIs[0] op1
     /*  416776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416779 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416799 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M4),
     /*  416802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416804 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416806 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416808 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416818 */     GIR_RootConstrainSelectedInstOperands,
     /*  416819 */     // GIR_Coverage, 63393,
     /*  416819 */     GIR_EraseRootFromParent_Done,
     /*  416820 */   // Label 7369: @416820
     /*  416820 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(416893), // Rule ID 63394 //
     /*  416825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  416836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  416839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416849 */     // MIs[0] op1
     /*  416849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416872 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M4),
     /*  416875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416877 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416879 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416881 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416891 */     GIR_RootConstrainSelectedInstOperands,
     /*  416892 */     // GIR_Coverage, 63394,
     /*  416892 */     GIR_EraseRootFromParent_Done,
     /*  416893 */   // Label 7370: @416893
     /*  416893 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(416966), // Rule ID 63405 //
     /*  416898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  416909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  416912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  416915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416922 */     // MIs[0] op1
     /*  416922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416925 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416945 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M4),
     /*  416948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416950 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416952 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416954 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416964 */     GIR_RootConstrainSelectedInstOperands,
     /*  416965 */     // GIR_Coverage, 63405,
     /*  416965 */     GIR_EraseRootFromParent_Done,
     /*  416966 */   // Label 7371: @416966
     /*  416966 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(417039), // Rule ID 63406 //
     /*  416971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  416982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  416985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  416988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416995 */     // MIs[0] op1
     /*  416995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416998 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417018 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  417018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M4),
     /*  417021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417023 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417025 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417027 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417037 */     GIR_RootConstrainSelectedInstOperands,
     /*  417038 */     // GIR_Coverage, 63406,
     /*  417038 */     GIR_EraseRootFromParent_Done,
     /*  417039 */   // Label 7372: @417039
     /*  417039 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(417112), // Rule ID 63437 //
     /*  417044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  417055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  417058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417068 */     // MIs[0] op1
     /*  417068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417071 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417091 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  417091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M8),
     /*  417094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417096 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417098 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417100 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417110 */     GIR_RootConstrainSelectedInstOperands,
     /*  417111 */     // GIR_Coverage, 63437,
     /*  417111 */     GIR_EraseRootFromParent_Done,
     /*  417112 */   // Label 7373: @417112
     /*  417112 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(417185), // Rule ID 63438 //
     /*  417117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  417128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  417131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417141 */     // MIs[0] op1
     /*  417141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417144 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417164 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  417164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M8),
     /*  417167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417169 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417171 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417173 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417183 */     GIR_RootConstrainSelectedInstOperands,
     /*  417184 */     // GIR_Coverage, 63438,
     /*  417184 */     GIR_EraseRootFromParent_Done,
     /*  417185 */   // Label 7374: @417185
     /*  417185 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(417258), // Rule ID 63449 //
     /*  417190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  417201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  417204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  417207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417214 */     // MIs[0] op1
     /*  417214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417217 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417237 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  417237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M8),
     /*  417240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417242 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417244 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417246 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417256 */     GIR_RootConstrainSelectedInstOperands,
     /*  417257 */     // GIR_Coverage, 63449,
     /*  417257 */     GIR_EraseRootFromParent_Done,
     /*  417258 */   // Label 7375: @417258
     /*  417258 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(417331), // Rule ID 63450 //
     /*  417263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  417274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  417277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  417280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417287 */     // MIs[0] op1
     /*  417287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417290 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417310 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  417310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M8),
     /*  417313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417315 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417317 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417319 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417329 */     GIR_RootConstrainSelectedInstOperands,
     /*  417330 */     // GIR_Coverage, 63450,
     /*  417330 */     GIR_EraseRootFromParent_Done,
     /*  417331 */   // Label 7376: @417331
     /*  417331 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(417404), // Rule ID 63481 //
     /*  417336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  417347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  417350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417360 */     // MIs[0] op1
     /*  417360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417383 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M2),
     /*  417386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417388 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417390 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417392 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417402 */     GIR_RootConstrainSelectedInstOperands,
     /*  417403 */     // GIR_Coverage, 63481,
     /*  417403 */     GIR_EraseRootFromParent_Done,
     /*  417404 */   // Label 7377: @417404
     /*  417404 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(417477), // Rule ID 63482 //
     /*  417409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  417420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  417423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417433 */     // MIs[0] op1
     /*  417433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417436 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417456 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M2),
     /*  417459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417461 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417463 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417465 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417475 */     GIR_RootConstrainSelectedInstOperands,
     /*  417476 */     // GIR_Coverage, 63482,
     /*  417476 */     GIR_EraseRootFromParent_Done,
     /*  417477 */   // Label 7378: @417477
     /*  417477 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(417550), // Rule ID 63493 //
     /*  417482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  417493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  417496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  417499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417506 */     // MIs[0] op1
     /*  417506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417509 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417529 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M2),
     /*  417532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417534 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417536 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417538 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417548 */     GIR_RootConstrainSelectedInstOperands,
     /*  417549 */     // GIR_Coverage, 63493,
     /*  417549 */     GIR_EraseRootFromParent_Done,
     /*  417550 */   // Label 7379: @417550
     /*  417550 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(417623), // Rule ID 63494 //
     /*  417555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  417566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  417569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  417572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417579 */     // MIs[0] op1
     /*  417579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417582 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417602 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M2),
     /*  417605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417607 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417609 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417611 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417621 */     GIR_RootConstrainSelectedInstOperands,
     /*  417622 */     // GIR_Coverage, 63494,
     /*  417622 */     GIR_EraseRootFromParent_Done,
     /*  417623 */   // Label 7380: @417623
     /*  417623 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(417696), // Rule ID 63517 //
     /*  417628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  417639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  417642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417652 */     // MIs[0] op1
     /*  417652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417655 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417675 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16V_M2),
     /*  417678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417680 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417682 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417684 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417694 */     GIR_RootConstrainSelectedInstOperands,
     /*  417695 */     // GIR_Coverage, 63517,
     /*  417695 */     GIR_EraseRootFromParent_Done,
     /*  417696 */   // Label 7381: @417696
     /*  417696 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(417769), // Rule ID 63518 //
     /*  417701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  417712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  417715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417725 */     // MIs[0] op1
     /*  417725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417728 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417748 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16V_M2),
     /*  417751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417753 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417755 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417757 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417767 */     GIR_RootConstrainSelectedInstOperands,
     /*  417768 */     // GIR_Coverage, 63518,
     /*  417768 */     GIR_EraseRootFromParent_Done,
     /*  417769 */   // Label 7382: @417769
     /*  417769 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(417842), // Rule ID 63537 //
     /*  417774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417798 */     // MIs[0] op1
     /*  417798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417821 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M4),
     /*  417824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417826 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417828 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417830 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417840 */     GIR_RootConstrainSelectedInstOperands,
     /*  417841 */     // GIR_Coverage, 63537,
     /*  417841 */     GIR_EraseRootFromParent_Done,
     /*  417842 */   // Label 7383: @417842
     /*  417842 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(417915), // Rule ID 63538 //
     /*  417847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417871 */     // MIs[0] op1
     /*  417871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417874 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417894 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M4),
     /*  417897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417899 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417901 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417903 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417913 */     GIR_RootConstrainSelectedInstOperands,
     /*  417914 */     // GIR_Coverage, 63538,
     /*  417914 */     GIR_EraseRootFromParent_Done,
     /*  417915 */   // Label 7384: @417915
     /*  417915 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(417988), // Rule ID 63549 //
     /*  417920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  417937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417944 */     // MIs[0] op1
     /*  417944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417967 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M4),
     /*  417970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417972 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417974 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417976 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417986 */     GIR_RootConstrainSelectedInstOperands,
     /*  417987 */     // GIR_Coverage, 63549,
     /*  417987 */     GIR_EraseRootFromParent_Done,
     /*  417988 */   // Label 7385: @417988
     /*  417988 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(418061), // Rule ID 63550 //
     /*  417993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  418004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  418007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  418010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418017 */     // MIs[0] op1
     /*  418017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418040 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  418040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M4),
     /*  418043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418045 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418047 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418049 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418059 */     GIR_RootConstrainSelectedInstOperands,
     /*  418060 */     // GIR_Coverage, 63550,
     /*  418060 */     GIR_EraseRootFromParent_Done,
     /*  418061 */   // Label 7386: @418061
     /*  418061 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(418134), // Rule ID 63573 //
     /*  418066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  418077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  418080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  418083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418090 */     // MIs[0] op1
     /*  418090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  418106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418113 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  418113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16V_M4),
     /*  418116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418118 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418120 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418122 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418132 */     GIR_RootConstrainSelectedInstOperands,
     /*  418133 */     // GIR_Coverage, 63573,
     /*  418133 */     GIR_EraseRootFromParent_Done,
     /*  418134 */   // Label 7387: @418134
     /*  418134 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(418207), // Rule ID 63574 //
     /*  418139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  418150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  418153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  418156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418163 */     // MIs[0] op1
     /*  418163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  418179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418186 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  418186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16V_M4),
     /*  418189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418191 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418193 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418195 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418205 */     GIR_RootConstrainSelectedInstOperands,
     /*  418206 */     // GIR_Coverage, 63574,
     /*  418206 */     GIR_EraseRootFromParent_Done,
     /*  418207 */   // Label 7388: @418207
     /*  418207 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(418280), // Rule ID 63593 //
     /*  418212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  418223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  418226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418236 */     // MIs[0] op1
     /*  418236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418259 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  418259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M8),
     /*  418262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418264 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418266 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418268 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418278 */     GIR_RootConstrainSelectedInstOperands,
     /*  418279 */     // GIR_Coverage, 63593,
     /*  418279 */     GIR_EraseRootFromParent_Done,
     /*  418280 */   // Label 7389: @418280
     /*  418280 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(418353), // Rule ID 63594 //
     /*  418285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  418296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  418299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418309 */     // MIs[0] op1
     /*  418309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418312 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418332 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  418332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M8),
     /*  418335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418337 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418339 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418341 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418351 */     GIR_RootConstrainSelectedInstOperands,
     /*  418352 */     // GIR_Coverage, 63594,
     /*  418352 */     GIR_EraseRootFromParent_Done,
     /*  418353 */   // Label 7390: @418353
     /*  418353 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(418426), // Rule ID 63605 //
     /*  418358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  418369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  418372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  418375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418382 */     // MIs[0] op1
     /*  418382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418385 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418405 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  418405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M8),
     /*  418408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418410 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418412 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418414 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418424 */     GIR_RootConstrainSelectedInstOperands,
     /*  418425 */     // GIR_Coverage, 63605,
     /*  418425 */     GIR_EraseRootFromParent_Done,
     /*  418426 */   // Label 7391: @418426
     /*  418426 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(418499), // Rule ID 63606 //
     /*  418431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  418442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  418445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  418448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418455 */     // MIs[0] op1
     /*  418455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418458 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  418478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M8),
     /*  418481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418483 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418485 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418487 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418497 */     GIR_RootConstrainSelectedInstOperands,
     /*  418498 */     // GIR_Coverage, 63606,
     /*  418498 */     GIR_EraseRootFromParent_Done,
     /*  418499 */   // Label 7392: @418499
     /*  418499 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(418572), // Rule ID 63629 //
     /*  418504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  418515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  418518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  418521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418528 */     // MIs[0] op1
     /*  418528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418531 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  418544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418551 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  418551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16V_M8),
     /*  418554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418556 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418558 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418560 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418570 */     GIR_RootConstrainSelectedInstOperands,
     /*  418571 */     // GIR_Coverage, 63629,
     /*  418571 */     GIR_EraseRootFromParent_Done,
     /*  418572 */   // Label 7393: @418572
     /*  418572 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(418645), // Rule ID 63630 //
     /*  418577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  418588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  418591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  418594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418601 */     // MIs[0] op1
     /*  418601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418604 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  418617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418624 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  418624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16V_M8),
     /*  418627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418629 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418631 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418633 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418643 */     GIR_RootConstrainSelectedInstOperands,
     /*  418644 */     // GIR_Coverage, 63630,
     /*  418644 */     GIR_EraseRootFromParent_Done,
     /*  418645 */   // Label 7394: @418645
     /*  418645 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(418718), // Rule ID 63649 //
     /*  418650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418674 */     // MIs[0] op1
     /*  418674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418677 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M2),
     /*  418700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418702 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418704 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418706 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418716 */     GIR_RootConstrainSelectedInstOperands,
     /*  418717 */     // GIR_Coverage, 63649,
     /*  418717 */     GIR_EraseRootFromParent_Done,
     /*  418718 */   // Label 7395: @418718
     /*  418718 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(418791), // Rule ID 63650 //
     /*  418723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418747 */     // MIs[0] op1
     /*  418747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418750 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418770 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M2),
     /*  418773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418775 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418777 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418779 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418789 */     GIR_RootConstrainSelectedInstOperands,
     /*  418790 */     // GIR_Coverage, 63650,
     /*  418790 */     GIR_EraseRootFromParent_Done,
     /*  418791 */   // Label 7396: @418791
     /*  418791 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(418864), // Rule ID 63661 //
     /*  418796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  418813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418820 */     // MIs[0] op1
     /*  418820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418823 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M2),
     /*  418846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418848 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418850 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418852 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418862 */     GIR_RootConstrainSelectedInstOperands,
     /*  418863 */     // GIR_Coverage, 63661,
     /*  418863 */     GIR_EraseRootFromParent_Done,
     /*  418864 */   // Label 7397: @418864
     /*  418864 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(418937), // Rule ID 63662 //
     /*  418869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  418886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418893 */     // MIs[0] op1
     /*  418893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418916 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M2),
     /*  418919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418921 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418923 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418925 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418935 */     GIR_RootConstrainSelectedInstOperands,
     /*  418936 */     // GIR_Coverage, 63662,
     /*  418936 */     GIR_EraseRootFromParent_Done,
     /*  418937 */   // Label 7398: @418937
     /*  418937 */   GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(419010), // Rule ID 63685 //
     /*  418942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418966 */     // MIs[0] op1
     /*  418966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418969 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32V_M2),
     /*  418992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418994 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418996 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418998 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419008 */     GIR_RootConstrainSelectedInstOperands,
     /*  419009 */     // GIR_Coverage, 63685,
     /*  419009 */     GIR_EraseRootFromParent_Done,
     /*  419010 */   // Label 7399: @419010
     /*  419010 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(419083), // Rule ID 63686 //
     /*  419015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  419026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  419029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419039 */     // MIs[0] op1
     /*  419039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  419055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419062 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32V_M2),
     /*  419065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419067 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419069 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419071 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419081 */     GIR_RootConstrainSelectedInstOperands,
     /*  419082 */     // GIR_Coverage, 63686,
     /*  419082 */     GIR_EraseRootFromParent_Done,
     /*  419083 */   // Label 7400: @419083
     /*  419083 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(419156), // Rule ID 63705 //
     /*  419088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  419099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419112 */     // MIs[0] op1
     /*  419112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419115 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419135 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M4),
     /*  419138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419140 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419142 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419144 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419154 */     GIR_RootConstrainSelectedInstOperands,
     /*  419155 */     // GIR_Coverage, 63705,
     /*  419155 */     GIR_EraseRootFromParent_Done,
     /*  419156 */   // Label 7401: @419156
     /*  419156 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(419229), // Rule ID 63706 //
     /*  419161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  419172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419185 */     // MIs[0] op1
     /*  419185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M4),
     /*  419211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419213 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419215 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419217 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419227 */     GIR_RootConstrainSelectedInstOperands,
     /*  419228 */     // GIR_Coverage, 63706,
     /*  419228 */     GIR_EraseRootFromParent_Done,
     /*  419229 */   // Label 7402: @419229
     /*  419229 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(419302), // Rule ID 63717 //
     /*  419234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  419245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  419251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419258 */     // MIs[0] op1
     /*  419258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419281 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M4),
     /*  419284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419286 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419288 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419290 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419300 */     GIR_RootConstrainSelectedInstOperands,
     /*  419301 */     // GIR_Coverage, 63717,
     /*  419301 */     GIR_EraseRootFromParent_Done,
     /*  419302 */   // Label 7403: @419302
     /*  419302 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(419375), // Rule ID 63718 //
     /*  419307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  419318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  419324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419331 */     // MIs[0] op1
     /*  419331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419354 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M4),
     /*  419357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419359 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419361 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419363 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419373 */     GIR_RootConstrainSelectedInstOperands,
     /*  419374 */     // GIR_Coverage, 63718,
     /*  419374 */     GIR_EraseRootFromParent_Done,
     /*  419375 */   // Label 7404: @419375
     /*  419375 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(419448), // Rule ID 63741 //
     /*  419380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  419391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419404 */     // MIs[0] op1
     /*  419404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419407 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  419420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32V_M4),
     /*  419430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419432 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419434 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419436 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419446 */     GIR_RootConstrainSelectedInstOperands,
     /*  419447 */     // GIR_Coverage, 63741,
     /*  419447 */     GIR_EraseRootFromParent_Done,
     /*  419448 */   // Label 7405: @419448
     /*  419448 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(419521), // Rule ID 63742 //
     /*  419453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  419464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419477 */     // MIs[0] op1
     /*  419477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  419493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419500 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32V_M4),
     /*  419503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419505 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419507 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419509 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419519 */     GIR_RootConstrainSelectedInstOperands,
     /*  419520 */     // GIR_Coverage, 63742,
     /*  419520 */     GIR_EraseRootFromParent_Done,
     /*  419521 */   // Label 7406: @419521
     /*  419521 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(419594), // Rule ID 63761 //
     /*  419526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419550 */     // MIs[0] op1
     /*  419550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419553 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419573 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M8),
     /*  419576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419578 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419580 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419582 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419592 */     GIR_RootConstrainSelectedInstOperands,
     /*  419593 */     // GIR_Coverage, 63761,
     /*  419593 */     GIR_EraseRootFromParent_Done,
     /*  419594 */   // Label 7407: @419594
     /*  419594 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(419667), // Rule ID 63762 //
     /*  419599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419623 */     // MIs[0] op1
     /*  419623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419626 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419646 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M8),
     /*  419649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419651 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419653 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419655 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419665 */     GIR_RootConstrainSelectedInstOperands,
     /*  419666 */     // GIR_Coverage, 63762,
     /*  419666 */     GIR_EraseRootFromParent_Done,
     /*  419667 */   // Label 7408: @419667
     /*  419667 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(419740), // Rule ID 63773 //
     /*  419672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  419689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419696 */     // MIs[0] op1
     /*  419696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419699 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419719 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M8),
     /*  419722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419724 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419726 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419728 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419738 */     GIR_RootConstrainSelectedInstOperands,
     /*  419739 */     // GIR_Coverage, 63773,
     /*  419739 */     GIR_EraseRootFromParent_Done,
     /*  419740 */   // Label 7409: @419740
     /*  419740 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(419813), // Rule ID 63774 //
     /*  419745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  419762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419769 */     // MIs[0] op1
     /*  419769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419772 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419792 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M8),
     /*  419795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419797 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419799 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419801 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419811 */     GIR_RootConstrainSelectedInstOperands,
     /*  419812 */     // GIR_Coverage, 63774,
     /*  419812 */     GIR_EraseRootFromParent_Done,
     /*  419813 */   // Label 7410: @419813
     /*  419813 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(419886), // Rule ID 63797 //
     /*  419818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419842 */     // MIs[0] op1
     /*  419842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419845 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  419858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419865 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32V_M8),
     /*  419868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419870 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419872 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419874 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419884 */     GIR_RootConstrainSelectedInstOperands,
     /*  419885 */     // GIR_Coverage, 63797,
     /*  419885 */     GIR_EraseRootFromParent_Done,
     /*  419886 */   // Label 7411: @419886
     /*  419886 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(419959), // Rule ID 63798 //
     /*  419891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419915 */     // MIs[0] op1
     /*  419915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419918 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  419931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419938 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32V_M8),
     /*  419941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419943 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419945 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419947 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419957 */     GIR_RootConstrainSelectedInstOperands,
     /*  419958 */     // GIR_Coverage, 63798,
     /*  419958 */     GIR_EraseRootFromParent_Done,
     /*  419959 */   // Label 7412: @419959
     /*  419959 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(420032), // Rule ID 63817 //
     /*  419964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419988 */     // MIs[0] op1
     /*  419988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419991 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420011 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M2),
     /*  420014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420016 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420018 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420020 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420030 */     GIR_RootConstrainSelectedInstOperands,
     /*  420031 */     // GIR_Coverage, 63817,
     /*  420031 */     GIR_EraseRootFromParent_Done,
     /*  420032 */   // Label 7413: @420032
     /*  420032 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(420105), // Rule ID 63818 //
     /*  420037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  420048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  420051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420061 */     // MIs[0] op1
     /*  420061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420064 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M2),
     /*  420087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420089 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420091 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420093 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420103 */     GIR_RootConstrainSelectedInstOperands,
     /*  420104 */     // GIR_Coverage, 63818,
     /*  420104 */     GIR_EraseRootFromParent_Done,
     /*  420105 */   // Label 7414: @420105
     /*  420105 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(420178), // Rule ID 63829 //
     /*  420110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  420121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  420124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  420127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420134 */     // MIs[0] op1
     /*  420134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420157 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M2),
     /*  420160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420162 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420164 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420166 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420176 */     GIR_RootConstrainSelectedInstOperands,
     /*  420177 */     // GIR_Coverage, 63829,
     /*  420177 */     GIR_EraseRootFromParent_Done,
     /*  420178 */   // Label 7415: @420178
     /*  420178 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(420251), // Rule ID 63830 //
     /*  420183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  420194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  420197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  420200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420207 */     // MIs[0] op1
     /*  420207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420210 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420230 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M2),
     /*  420233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420235 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420237 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420239 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420249 */     GIR_RootConstrainSelectedInstOperands,
     /*  420250 */     // GIR_Coverage, 63830,
     /*  420250 */     GIR_EraseRootFromParent_Done,
     /*  420251 */   // Label 7416: @420251
     /*  420251 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(420324), // Rule ID 63853 //
     /*  420256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  420267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  420270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420280 */     // MIs[0] op1
     /*  420280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420303 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64V_M2),
     /*  420306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420308 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420310 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420312 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420322 */     GIR_RootConstrainSelectedInstOperands,
     /*  420323 */     // GIR_Coverage, 63853,
     /*  420323 */     GIR_EraseRootFromParent_Done,
     /*  420324 */   // Label 7417: @420324
     /*  420324 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(420397), // Rule ID 63854 //
     /*  420329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  420340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  420343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420353 */     // MIs[0] op1
     /*  420353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64V_M2),
     /*  420379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420381 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420383 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420385 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420395 */     GIR_RootConstrainSelectedInstOperands,
     /*  420396 */     // GIR_Coverage, 63854,
     /*  420396 */     GIR_EraseRootFromParent_Done,
     /*  420397 */   // Label 7418: @420397
     /*  420397 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(420470), // Rule ID 63873 //
     /*  420402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  420413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  420416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420426 */     // MIs[0] op1
     /*  420426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420429 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M4),
     /*  420452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420454 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420456 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420458 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420468 */     GIR_RootConstrainSelectedInstOperands,
     /*  420469 */     // GIR_Coverage, 63873,
     /*  420469 */     GIR_EraseRootFromParent_Done,
     /*  420470 */   // Label 7419: @420470
     /*  420470 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(420543), // Rule ID 63874 //
     /*  420475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  420486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  420489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420499 */     // MIs[0] op1
     /*  420499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420522 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M4),
     /*  420525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420527 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420529 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420531 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420541 */     GIR_RootConstrainSelectedInstOperands,
     /*  420542 */     // GIR_Coverage, 63874,
     /*  420542 */     GIR_EraseRootFromParent_Done,
     /*  420543 */   // Label 7420: @420543
     /*  420543 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(420616), // Rule ID 63885 //
     /*  420548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  420559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  420562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  420565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420572 */     // MIs[0] op1
     /*  420572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420575 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420595 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M4),
     /*  420598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420600 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420602 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420604 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420614 */     GIR_RootConstrainSelectedInstOperands,
     /*  420615 */     // GIR_Coverage, 63885,
     /*  420615 */     GIR_EraseRootFromParent_Done,
     /*  420616 */   // Label 7421: @420616
     /*  420616 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(420689), // Rule ID 63886 //
     /*  420621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  420632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  420635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  420638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420645 */     // MIs[0] op1
     /*  420645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420648 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M4),
     /*  420671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420673 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420675 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420677 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420687 */     GIR_RootConstrainSelectedInstOperands,
     /*  420688 */     // GIR_Coverage, 63886,
     /*  420688 */     GIR_EraseRootFromParent_Done,
     /*  420689 */   // Label 7422: @420689
     /*  420689 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(420762), // Rule ID 63909 //
     /*  420694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  420705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  420708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420718 */     // MIs[0] op1
     /*  420718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420741 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64V_M4),
     /*  420744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420746 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420748 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420750 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420760 */     GIR_RootConstrainSelectedInstOperands,
     /*  420761 */     // GIR_Coverage, 63909,
     /*  420761 */     GIR_EraseRootFromParent_Done,
     /*  420762 */   // Label 7423: @420762
     /*  420762 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(420835), // Rule ID 63910 //
     /*  420767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  420778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  420781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420791 */     // MIs[0] op1
     /*  420791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420814 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64V_M4),
     /*  420817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420819 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420821 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420823 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420833 */     GIR_RootConstrainSelectedInstOperands,
     /*  420834 */     // GIR_Coverage, 63910,
     /*  420834 */     GIR_EraseRootFromParent_Done,
     /*  420835 */   // Label 7424: @420835
     /*  420835 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(420908), // Rule ID 63929 //
     /*  420840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420864 */     // MIs[0] op1
     /*  420864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420867 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420887 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M8),
     /*  420890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420892 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420894 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420896 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420906 */     GIR_RootConstrainSelectedInstOperands,
     /*  420907 */     // GIR_Coverage, 63929,
     /*  420907 */     GIR_EraseRootFromParent_Done,
     /*  420908 */   // Label 7425: @420908
     /*  420908 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(420981), // Rule ID 63930 //
     /*  420913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420937 */     // MIs[0] op1
     /*  420937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420960 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XV_M8),
     /*  420963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420965 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420967 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420969 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420979 */     GIR_RootConstrainSelectedInstOperands,
     /*  420980 */     // GIR_Coverage, 63930,
     /*  420980 */     GIR_EraseRootFromParent_Done,
     /*  420981 */   // Label 7426: @420981
     /*  420981 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(421054), // Rule ID 63941 //
     /*  420986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  421000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  421003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421010 */     // MIs[0] op1
     /*  421010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421013 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  421033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M8),
     /*  421036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421038 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421040 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421042 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421052 */     GIR_RootConstrainSelectedInstOperands,
     /*  421053 */     // GIR_Coverage, 63941,
     /*  421053 */     GIR_EraseRootFromParent_Done,
     /*  421054 */   // Label 7427: @421054
     /*  421054 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(421127), // Rule ID 63942 //
     /*  421059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  421070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  421073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  421076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421083 */     // MIs[0] op1
     /*  421083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421106 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  421106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VV_M8),
     /*  421109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421111 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421113 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421115 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421125 */     GIR_RootConstrainSelectedInstOperands,
     /*  421126 */     // GIR_Coverage, 63942,
     /*  421126 */     GIR_EraseRootFromParent_Done,
     /*  421127 */   // Label 7428: @421127
     /*  421127 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(421200), // Rule ID 63965 //
     /*  421132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  421140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  421143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  421146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421156 */     // MIs[0] op1
     /*  421156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421159 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  421164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  421172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421179 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  421179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64V_M8),
     /*  421182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421184 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421186 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421188 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421198 */     GIR_RootConstrainSelectedInstOperands,
     /*  421199 */     // GIR_Coverage, 63965,
     /*  421199 */     GIR_EraseRootFromParent_Done,
     /*  421200 */   // Label 7429: @421200
     /*  421200 */   GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(421273), // Rule ID 63966 //
     /*  421205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  421213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  421216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  421219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421229 */     // MIs[0] op1
     /*  421229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  421237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  421245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421252 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  421252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64V_M8),
     /*  421255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421257 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421259 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421261 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421271 */     GIR_RootConstrainSelectedInstOperands,
     /*  421272 */     // GIR_Coverage, 63966,
     /*  421272 */     GIR_EraseRootFromParent_Done,
     /*  421273 */   // Label 7430: @421273
     /*  421273 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(421356), // Rule ID 5338 //
     /*  421278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  421292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421321 */     // MIs[1] Operand 1
     /*  421321 */     // No operand predicates
     /*  421321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421334 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  421337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421354 */     GIR_RootConstrainSelectedInstOperands,
     /*  421355 */     // GIR_Coverage, 5338,
     /*  421355 */     GIR_EraseRootFromParent_Done,
     /*  421356 */   // Label 7431: @421356
     /*  421356 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(421439), // Rule ID 5339 //
     /*  421361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  421375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421404 */     // MIs[1] Operand 1
     /*  421404 */     // No operand predicates
     /*  421404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421417 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  421420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421437 */     GIR_RootConstrainSelectedInstOperands,
     /*  421438 */     // GIR_Coverage, 5339,
     /*  421438 */     GIR_EraseRootFromParent_Done,
     /*  421439 */   // Label 7432: @421439
     /*  421439 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(421522), // Rule ID 5340 //
     /*  421444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  421455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  421458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  421464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421487 */     // MIs[1] Operand 1
     /*  421487 */     // No operand predicates
     /*  421487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421500 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  421503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421520 */     GIR_RootConstrainSelectedInstOperands,
     /*  421521 */     // GIR_Coverage, 5340,
     /*  421521 */     GIR_EraseRootFromParent_Done,
     /*  421522 */   // Label 7433: @421522
     /*  421522 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(421605), // Rule ID 5341 //
     /*  421527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  421538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  421541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  421547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421570 */     // MIs[1] Operand 1
     /*  421570 */     // No operand predicates
     /*  421570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421583 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  421586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421603 */     GIR_RootConstrainSelectedInstOperands,
     /*  421604 */     // GIR_Coverage, 5341,
     /*  421604 */     GIR_EraseRootFromParent_Done,
     /*  421605 */   // Label 7434: @421605
     /*  421605 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(421688), // Rule ID 5342 //
     /*  421610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  421624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421653 */     // MIs[1] Operand 1
     /*  421653 */     // No operand predicates
     /*  421653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421666 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421686 */     GIR_RootConstrainSelectedInstOperands,
     /*  421687 */     // GIR_Coverage, 5342,
     /*  421687 */     GIR_EraseRootFromParent_Done,
     /*  421688 */   // Label 7435: @421688
     /*  421688 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(421771), // Rule ID 5343 //
     /*  421693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  421707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421736 */     // MIs[1] Operand 1
     /*  421736 */     // No operand predicates
     /*  421736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421749 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421769 */     GIR_RootConstrainSelectedInstOperands,
     /*  421770 */     // GIR_Coverage, 5343,
     /*  421770 */     GIR_EraseRootFromParent_Done,
     /*  421771 */   // Label 7436: @421771
     /*  421771 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(421854), // Rule ID 5344 //
     /*  421776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  421790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421819 */     // MIs[1] Operand 1
     /*  421819 */     // No operand predicates
     /*  421819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421832 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  421835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421852 */     GIR_RootConstrainSelectedInstOperands,
     /*  421853 */     // GIR_Coverage, 5344,
     /*  421853 */     GIR_EraseRootFromParent_Done,
     /*  421854 */   // Label 7437: @421854
     /*  421854 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(421937), // Rule ID 5345 //
     /*  421859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  421873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421902 */     // MIs[1] Operand 1
     /*  421902 */     // No operand predicates
     /*  421902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421915 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  421918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421935 */     GIR_RootConstrainSelectedInstOperands,
     /*  421936 */     // GIR_Coverage, 5345,
     /*  421936 */     GIR_EraseRootFromParent_Done,
     /*  421937 */   // Label 7438: @421937
     /*  421937 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(422020), // Rule ID 5346 //
     /*  421942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  421953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  421956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  421962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421985 */     // MIs[1] Operand 1
     /*  421985 */     // No operand predicates
     /*  421985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421998 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  422001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422018 */     GIR_RootConstrainSelectedInstOperands,
     /*  422019 */     // GIR_Coverage, 5346,
     /*  422019 */     GIR_EraseRootFromParent_Done,
     /*  422020 */   // Label 7439: @422020
     /*  422020 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(422103), // Rule ID 5347 //
     /*  422025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  422036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  422039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  422045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422068 */     // MIs[1] Operand 1
     /*  422068 */     // No operand predicates
     /*  422068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422081 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  422084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422101 */     GIR_RootConstrainSelectedInstOperands,
     /*  422102 */     // GIR_Coverage, 5347,
     /*  422102 */     GIR_EraseRootFromParent_Done,
     /*  422103 */   // Label 7440: @422103
     /*  422103 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(422186), // Rule ID 5348 //
     /*  422108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  422119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  422122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  422128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422151 */     // MIs[1] Operand 1
     /*  422151 */     // No operand predicates
     /*  422151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422164 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  422167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422184 */     GIR_RootConstrainSelectedInstOperands,
     /*  422185 */     // GIR_Coverage, 5348,
     /*  422185 */     GIR_EraseRootFromParent_Done,
     /*  422186 */   // Label 7441: @422186
     /*  422186 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(422269), // Rule ID 5349 //
     /*  422191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  422202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  422205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  422211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422234 */     // MIs[1] Operand 1
     /*  422234 */     // No operand predicates
     /*  422234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422247 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  422250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422267 */     GIR_RootConstrainSelectedInstOperands,
     /*  422268 */     // GIR_Coverage, 5349,
     /*  422268 */     GIR_EraseRootFromParent_Done,
     /*  422269 */   // Label 7442: @422269
     /*  422269 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(422352), // Rule ID 5350 //
     /*  422274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  422285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  422288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  422294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422317 */     // MIs[1] Operand 1
     /*  422317 */     // No operand predicates
     /*  422317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422330 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  422330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422350 */     GIR_RootConstrainSelectedInstOperands,
     /*  422351 */     // GIR_Coverage, 5350,
     /*  422351 */     GIR_EraseRootFromParent_Done,
     /*  422352 */   // Label 7443: @422352
     /*  422352 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(422435), // Rule ID 5351 //
     /*  422357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  422368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  422371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  422377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422400 */     // MIs[1] Operand 1
     /*  422400 */     // No operand predicates
     /*  422400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422413 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  422413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422433 */     GIR_RootConstrainSelectedInstOperands,
     /*  422434 */     // GIR_Coverage, 5351,
     /*  422434 */     GIR_EraseRootFromParent_Done,
     /*  422435 */   // Label 7444: @422435
     /*  422435 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(422518), // Rule ID 5352 //
     /*  422440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  422451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  422454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  422460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422483 */     // MIs[1] Operand 1
     /*  422483 */     // No operand predicates
     /*  422483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422496 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422516 */     GIR_RootConstrainSelectedInstOperands,
     /*  422517 */     // GIR_Coverage, 5352,
     /*  422517 */     GIR_EraseRootFromParent_Done,
     /*  422518 */   // Label 7445: @422518
     /*  422518 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(422601), // Rule ID 5353 //
     /*  422523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  422534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  422537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  422543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422566 */     // MIs[1] Operand 1
     /*  422566 */     // No operand predicates
     /*  422566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422579 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422599 */     GIR_RootConstrainSelectedInstOperands,
     /*  422600 */     // GIR_Coverage, 5353,
     /*  422600 */     GIR_EraseRootFromParent_Done,
     /*  422601 */   // Label 7446: @422601
     /*  422601 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(422684), // Rule ID 5354 //
     /*  422606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  422617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  422620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  422626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422649 */     // MIs[1] Operand 1
     /*  422649 */     // No operand predicates
     /*  422649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422662 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422682 */     GIR_RootConstrainSelectedInstOperands,
     /*  422683 */     // GIR_Coverage, 5354,
     /*  422683 */     GIR_EraseRootFromParent_Done,
     /*  422684 */   // Label 7447: @422684
     /*  422684 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(422767), // Rule ID 5355 //
     /*  422689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  422700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  422703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  422709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422732 */     // MIs[1] Operand 1
     /*  422732 */     // No operand predicates
     /*  422732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422745 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422765 */     GIR_RootConstrainSelectedInstOperands,
     /*  422766 */     // GIR_Coverage, 5355,
     /*  422766 */     GIR_EraseRootFromParent_Done,
     /*  422767 */   // Label 7448: @422767
     /*  422767 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(422850), // Rule ID 5356 //
     /*  422772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  422775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  422783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  422786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  422792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422815 */     // MIs[1] Operand 1
     /*  422815 */     // No operand predicates
     /*  422815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422828 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  422828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422848 */     GIR_RootConstrainSelectedInstOperands,
     /*  422849 */     // GIR_Coverage, 5356,
     /*  422849 */     GIR_EraseRootFromParent_Done,
     /*  422850 */   // Label 7449: @422850
     /*  422850 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(422933), // Rule ID 5357 //
     /*  422855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  422858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  422866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  422869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  422875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422898 */     // MIs[1] Operand 1
     /*  422898 */     // No operand predicates
     /*  422898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422911 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  422911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  422914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422931 */     GIR_RootConstrainSelectedInstOperands,
     /*  422932 */     // GIR_Coverage, 5357,
     /*  422932 */     GIR_EraseRootFromParent_Done,
     /*  422933 */   // Label 7450: @422933
     /*  422933 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(423016), // Rule ID 5358 //
     /*  422938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  422949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  422952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  422958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422981 */     // MIs[1] Operand 1
     /*  422981 */     // No operand predicates
     /*  422981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422994 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  422994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  423014 */     GIR_RootConstrainSelectedInstOperands,
     /*  423015 */     // GIR_Coverage, 5358,
     /*  423015 */     GIR_EraseRootFromParent_Done,
     /*  423016 */   // Label 7451: @423016
     /*  423016 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(423099), // Rule ID 5359 //
     /*  423021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  423032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  423035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  423041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423064 */     // MIs[1] Operand 1
     /*  423064 */     // No operand predicates
     /*  423064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423077 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  423077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  423097 */     GIR_RootConstrainSelectedInstOperands,
     /*  423098 */     // GIR_Coverage, 5359,
     /*  423098 */     GIR_EraseRootFromParent_Done,
     /*  423099 */   // Label 7452: @423099
     /*  423099 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(423182), // Rule ID 5360 //
     /*  423104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  423115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  423118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  423124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423147 */     // MIs[1] Operand 1
     /*  423147 */     // No operand predicates
     /*  423147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423160 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  423160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  423180 */     GIR_RootConstrainSelectedInstOperands,
     /*  423181 */     // GIR_Coverage, 5360,
     /*  423181 */     GIR_EraseRootFromParent_Done,
     /*  423182 */   // Label 7453: @423182
     /*  423182 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(423265), // Rule ID 5361 //
     /*  423187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  423198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  423201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  423207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423230 */     // MIs[1] Operand 1
     /*  423230 */     // No operand predicates
     /*  423230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423243 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  423243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  423263 */     GIR_RootConstrainSelectedInstOperands,
     /*  423264 */     // GIR_Coverage, 5361,
     /*  423264 */     GIR_EraseRootFromParent_Done,
     /*  423265 */   // Label 7454: @423265
     /*  423265 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(423348), // Rule ID 5362 //
     /*  423270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  423281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  423284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  423290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423313 */     // MIs[1] Operand 1
     /*  423313 */     // No operand predicates
     /*  423313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423326 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  423326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  423346 */     GIR_RootConstrainSelectedInstOperands,
     /*  423347 */     // GIR_Coverage, 5362,
     /*  423347 */     GIR_EraseRootFromParent_Done,
     /*  423348 */   // Label 7455: @423348
     /*  423348 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(423431), // Rule ID 5363 //
     /*  423353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  423364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  423367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  423373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423396 */     // MIs[1] Operand 1
     /*  423396 */     // No operand predicates
     /*  423396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423409 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  423409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  423429 */     GIR_RootConstrainSelectedInstOperands,
     /*  423430 */     // GIR_Coverage, 5363,
     /*  423430 */     GIR_EraseRootFromParent_Done,
     /*  423431 */   // Label 7456: @423431
     /*  423431 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(423514), // Rule ID 5364 //
     /*  423436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  423450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423479 */     // MIs[1] Operand 1
     /*  423479 */     // No operand predicates
     /*  423479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423492 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  423492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423512 */     GIR_RootConstrainSelectedInstOperands,
     /*  423513 */     // GIR_Coverage, 5364,
     /*  423513 */     GIR_EraseRootFromParent_Done,
     /*  423514 */   // Label 7457: @423514
     /*  423514 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(423597), // Rule ID 5365 //
     /*  423519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  423533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423562 */     // MIs[1] Operand 1
     /*  423562 */     // No operand predicates
     /*  423562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423575 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  423575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423595 */     GIR_RootConstrainSelectedInstOperands,
     /*  423596 */     // GIR_Coverage, 5365,
     /*  423596 */     GIR_EraseRootFromParent_Done,
     /*  423597 */   // Label 7458: @423597
     /*  423597 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(423680), // Rule ID 5366 //
     /*  423602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  423613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  423616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  423622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423645 */     // MIs[1] Operand 1
     /*  423645 */     // No operand predicates
     /*  423645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423658 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  423658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423678 */     GIR_RootConstrainSelectedInstOperands,
     /*  423679 */     // GIR_Coverage, 5366,
     /*  423679 */     GIR_EraseRootFromParent_Done,
     /*  423680 */   // Label 7459: @423680
     /*  423680 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(423763), // Rule ID 5367 //
     /*  423685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  423696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  423699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  423705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423728 */     // MIs[1] Operand 1
     /*  423728 */     // No operand predicates
     /*  423728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423741 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  423741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423761 */     GIR_RootConstrainSelectedInstOperands,
     /*  423762 */     // GIR_Coverage, 5367,
     /*  423762 */     GIR_EraseRootFromParent_Done,
     /*  423763 */   // Label 7460: @423763
     /*  423763 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(423846), // Rule ID 5368 //
     /*  423768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  423779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  423782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  423788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423811 */     // MIs[1] Operand 1
     /*  423811 */     // No operand predicates
     /*  423811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423824 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  423824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423844 */     GIR_RootConstrainSelectedInstOperands,
     /*  423845 */     // GIR_Coverage, 5368,
     /*  423845 */     GIR_EraseRootFromParent_Done,
     /*  423846 */   // Label 7461: @423846
     /*  423846 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(423929), // Rule ID 5369 //
     /*  423851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  423862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  423865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  423871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423894 */     // MIs[1] Operand 1
     /*  423894 */     // No operand predicates
     /*  423894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423907 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  423907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423927 */     GIR_RootConstrainSelectedInstOperands,
     /*  423928 */     // GIR_Coverage, 5369,
     /*  423928 */     GIR_EraseRootFromParent_Done,
     /*  423929 */   // Label 7462: @423929
     /*  423929 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(424012), // Rule ID 5370 //
     /*  423934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  423945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  423948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  423954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423977 */     // MIs[1] Operand 1
     /*  423977 */     // No operand predicates
     /*  423977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423990 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424010 */     GIR_RootConstrainSelectedInstOperands,
     /*  424011 */     // GIR_Coverage, 5370,
     /*  424011 */     GIR_EraseRootFromParent_Done,
     /*  424012 */   // Label 7463: @424012
     /*  424012 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(424095), // Rule ID 5371 //
     /*  424017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  424028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  424031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  424034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  424037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424060 */     // MIs[1] Operand 1
     /*  424060 */     // No operand predicates
     /*  424060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424073 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  424073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  424076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424093 */     GIR_RootConstrainSelectedInstOperands,
     /*  424094 */     // GIR_Coverage, 5371,
     /*  424094 */     GIR_EraseRootFromParent_Done,
     /*  424095 */   // Label 7464: @424095
     /*  424095 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(424178), // Rule ID 5372 //
     /*  424100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  424111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  424114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  424117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  424120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424143 */     // MIs[1] Operand 1
     /*  424143 */     // No operand predicates
     /*  424143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424156 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  424156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  424159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424176 */     GIR_RootConstrainSelectedInstOperands,
     /*  424177 */     // GIR_Coverage, 5372,
     /*  424177 */     GIR_EraseRootFromParent_Done,
     /*  424178 */   // Label 7465: @424178
     /*  424178 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(424261), // Rule ID 5373 //
     /*  424183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  424194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  424197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  424200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  424203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424226 */     // MIs[1] Operand 1
     /*  424226 */     // No operand predicates
     /*  424226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424239 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  424239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  424242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424259 */     GIR_RootConstrainSelectedInstOperands,
     /*  424260 */     // GIR_Coverage, 5373,
     /*  424260 */     GIR_EraseRootFromParent_Done,
     /*  424261 */   // Label 7466: @424261
     /*  424261 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(424344), // Rule ID 5374 //
     /*  424266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  424277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  424280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  424283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  424286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424309 */     // MIs[1] Operand 1
     /*  424309 */     // No operand predicates
     /*  424309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424322 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  424322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  424325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424342 */     GIR_RootConstrainSelectedInstOperands,
     /*  424343 */     // GIR_Coverage, 5374,
     /*  424343 */     GIR_EraseRootFromParent_Done,
     /*  424344 */   // Label 7467: @424344
     /*  424344 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(424427), // Rule ID 5375 //
     /*  424349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  424360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  424363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  424366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  424369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424392 */     // MIs[1] Operand 1
     /*  424392 */     // No operand predicates
     /*  424392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424405 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  424405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  424408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424425 */     GIR_RootConstrainSelectedInstOperands,
     /*  424426 */     // GIR_Coverage, 5375,
     /*  424426 */     GIR_EraseRootFromParent_Done,
     /*  424427 */   // Label 7468: @424427
     /*  424427 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(424510), // Rule ID 5376 //
     /*  424432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  424435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  424443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  424446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  424449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  424452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424475 */     // MIs[1] Operand 1
     /*  424475 */     // No operand predicates
     /*  424475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  424491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424508 */     GIR_RootConstrainSelectedInstOperands,
     /*  424509 */     // GIR_Coverage, 5376,
     /*  424509 */     GIR_EraseRootFromParent_Done,
     /*  424510 */   // Label 7469: @424510
     /*  424510 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(424593), // Rule ID 5377 //
     /*  424515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  424518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  424526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  424529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  424532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  424535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424558 */     // MIs[1] Operand 1
     /*  424558 */     // No operand predicates
     /*  424558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424571 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  424574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424591 */     GIR_RootConstrainSelectedInstOperands,
     /*  424592 */     // GIR_Coverage, 5377,
     /*  424592 */     GIR_EraseRootFromParent_Done,
     /*  424593 */   // Label 7470: @424593
     /*  424593 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(424676), // Rule ID 5378 //
     /*  424598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  424601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  424609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  424612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  424615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  424618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424641 */     // MIs[1] Operand 1
     /*  424641 */     // No operand predicates
     /*  424641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424654 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  424657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424664 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424674 */     GIR_RootConstrainSelectedInstOperands,
     /*  424675 */     // GIR_Coverage, 5378,
     /*  424675 */     GIR_EraseRootFromParent_Done,
     /*  424676 */   // Label 7471: @424676
     /*  424676 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(424759), // Rule ID 5379 //
     /*  424681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  424684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  424692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  424695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  424698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  424701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424724 */     // MIs[1] Operand 1
     /*  424724 */     // No operand predicates
     /*  424724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424737 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  424740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424757 */     GIR_RootConstrainSelectedInstOperands,
     /*  424758 */     // GIR_Coverage, 5379,
     /*  424758 */     GIR_EraseRootFromParent_Done,
     /*  424759 */   // Label 7472: @424759
     /*  424759 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(424842), // Rule ID 5380 //
     /*  424764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  424767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  424775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  424778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  424781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  424784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424807 */     // MIs[1] Operand 1
     /*  424807 */     // No operand predicates
     /*  424807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424820 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  424823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424840 */     GIR_RootConstrainSelectedInstOperands,
     /*  424841 */     // GIR_Coverage, 5380,
     /*  424841 */     GIR_EraseRootFromParent_Done,
     /*  424842 */   // Label 7473: @424842
     /*  424842 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(424925), // Rule ID 5381 //
     /*  424847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  424850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  424858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  424861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  424864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  424867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424890 */     // MIs[1] Operand 1
     /*  424890 */     // No operand predicates
     /*  424890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424903 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  424906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424923 */     GIR_RootConstrainSelectedInstOperands,
     /*  424924 */     // GIR_Coverage, 5381,
     /*  424924 */     GIR_EraseRootFromParent_Done,
     /*  424925 */   // Label 7474: @424925
     /*  424925 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(425001), // Rule ID 60614 //
     /*  424930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424962 */     // MIs[0] rs2
     /*  424962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424965 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424977 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  424980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424999 */     GIR_RootConstrainSelectedInstOperands,
     /*  425000 */     // GIR_Coverage, 60614,
     /*  425000 */     GIR_EraseRootFromParent_Done,
     /*  425001 */   // Label 7475: @425001
     /*  425001 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(425077), // Rule ID 60615 //
     /*  425006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  425009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  425014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  425017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  425020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  425023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425038 */     // MIs[0] rs2
     /*  425038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425041 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425053 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  425056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425075 */     GIR_RootConstrainSelectedInstOperands,
     /*  425076 */     // GIR_Coverage, 60615,
     /*  425076 */     GIR_EraseRootFromParent_Done,
     /*  425077 */   // Label 7476: @425077
     /*  425077 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(425153), // Rule ID 62260 //
     /*  425082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  425085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  425090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  425093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  425096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  425099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425114 */     // MIs[0] rs2
     /*  425114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425129 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  425132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425151 */     GIR_RootConstrainSelectedInstOperands,
     /*  425152 */     // GIR_Coverage, 62260,
     /*  425152 */     GIR_EraseRootFromParent_Done,
     /*  425153 */   // Label 7477: @425153
     /*  425153 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(425229), // Rule ID 62261 //
     /*  425158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  425161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  425166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  425169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  425172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  425175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425190 */     // MIs[0] rs2
     /*  425190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425193 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425205 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  425208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425227 */     GIR_RootConstrainSelectedInstOperands,
     /*  425228 */     // GIR_Coverage, 62261,
     /*  425228 */     GIR_EraseRootFromParent_Done,
     /*  425229 */   // Label 7478: @425229
     /*  425229 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(425305), // Rule ID 62262 //
     /*  425234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  425237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  425242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  425245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  425248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  425251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425266 */     // MIs[0] rs2
     /*  425266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425269 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425281 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  425284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425303 */     GIR_RootConstrainSelectedInstOperands,
     /*  425304 */     // GIR_Coverage, 62262,
     /*  425304 */     GIR_EraseRootFromParent_Done,
     /*  425305 */   // Label 7479: @425305
     /*  425305 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(425381), // Rule ID 62263 //
     /*  425310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  425313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  425318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  425321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  425324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  425327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425342 */     // MIs[0] rs2
     /*  425342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425345 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  425360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425379 */     GIR_RootConstrainSelectedInstOperands,
     /*  425380 */     // GIR_Coverage, 62263,
     /*  425380 */     GIR_EraseRootFromParent_Done,
     /*  425381 */   // Label 7480: @425381
     /*  425381 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(425457), // Rule ID 62264 //
     /*  425386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  425389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  425394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425418 */     // MIs[0] rs2
     /*  425418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  425436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425455 */     GIR_RootConstrainSelectedInstOperands,
     /*  425456 */     // GIR_Coverage, 62264,
     /*  425456 */     GIR_EraseRootFromParent_Done,
     /*  425457 */   // Label 7481: @425457
     /*  425457 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(425533), // Rule ID 62265 //
     /*  425462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  425465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  425470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425494 */     // MIs[0] rs2
     /*  425494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425497 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425509 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  425512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425531 */     GIR_RootConstrainSelectedInstOperands,
     /*  425532 */     // GIR_Coverage, 62265,
     /*  425532 */     GIR_EraseRootFromParent_Done,
     /*  425533 */   // Label 7482: @425533
     /*  425533 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(425609), // Rule ID 62266 //
     /*  425538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  425541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  425546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425570 */     // MIs[0] rs2
     /*  425570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425585 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  425588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425607 */     GIR_RootConstrainSelectedInstOperands,
     /*  425608 */     // GIR_Coverage, 62266,
     /*  425608 */     GIR_EraseRootFromParent_Done,
     /*  425609 */   // Label 7483: @425609
     /*  425609 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(425685), // Rule ID 62267 //
     /*  425614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  425617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  425622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425646 */     // MIs[0] rs2
     /*  425646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425649 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425661 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  425664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425683 */     GIR_RootConstrainSelectedInstOperands,
     /*  425684 */     // GIR_Coverage, 62267,
     /*  425684 */     GIR_EraseRootFromParent_Done,
     /*  425685 */   // Label 7484: @425685
     /*  425685 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(425761), // Rule ID 62388 //
     /*  425690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  425701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  425704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  425707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425722 */     // MIs[0] rs2
     /*  425722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425725 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425737 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  425740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425759 */     GIR_RootConstrainSelectedInstOperands,
     /*  425760 */     // GIR_Coverage, 62388,
     /*  425760 */     GIR_EraseRootFromParent_Done,
     /*  425761 */   // Label 7485: @425761
     /*  425761 */   GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(425837), // Rule ID 62389 //
     /*  425766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  425777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  425780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  425783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425798 */     // MIs[0] rs2
     /*  425798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425813 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  425816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425835 */     GIR_RootConstrainSelectedInstOperands,
     /*  425836 */     // GIR_Coverage, 62389,
     /*  425836 */     GIR_EraseRootFromParent_Done,
     /*  425837 */   // Label 7486: @425837
     /*  425837 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(425913), // Rule ID 62390 //
     /*  425842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  425853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  425856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  425859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425874 */     // MIs[0] rs2
     /*  425874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425877 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425889 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  425892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425911 */     GIR_RootConstrainSelectedInstOperands,
     /*  425912 */     // GIR_Coverage, 62390,
     /*  425912 */     GIR_EraseRootFromParent_Done,
     /*  425913 */   // Label 7487: @425913
     /*  425913 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(425989), // Rule ID 62391 //
     /*  425918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  425929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  425932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  425935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425950 */     // MIs[0] rs2
     /*  425950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425953 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  425968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425987 */     GIR_RootConstrainSelectedInstOperands,
     /*  425988 */     // GIR_Coverage, 62391,
     /*  425988 */     GIR_EraseRootFromParent_Done,
     /*  425989 */   // Label 7488: @425989
     /*  425989 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(426065), // Rule ID 62392 //
     /*  425994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  426002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  426005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  426008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  426011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426026 */     // MIs[0] rs2
     /*  426026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426029 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  426034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426041 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  426044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  426052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426063 */     GIR_RootConstrainSelectedInstOperands,
     /*  426064 */     // GIR_Coverage, 62392,
     /*  426064 */     GIR_EraseRootFromParent_Done,
     /*  426065 */   // Label 7489: @426065
     /*  426065 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(426141), // Rule ID 62393 //
     /*  426070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  426073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  426078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  426081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  426084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  426087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426102 */     // MIs[0] rs2
     /*  426102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  426110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426117 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  426120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  426128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426139 */     GIR_RootConstrainSelectedInstOperands,
     /*  426140 */     // GIR_Coverage, 62393,
     /*  426140 */     GIR_EraseRootFromParent_Done,
     /*  426141 */   // Label 7490: @426141
     /*  426141 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(426217), // Rule ID 62394 //
     /*  426146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  426149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  426154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  426157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  426160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  426163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426178 */     // MIs[0] rs2
     /*  426178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426181 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  426186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426193 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  426196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  426204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426215 */     GIR_RootConstrainSelectedInstOperands,
     /*  426216 */     // GIR_Coverage, 62394,
     /*  426216 */     GIR_EraseRootFromParent_Done,
     /*  426217 */   // Label 7491: @426217
     /*  426217 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(426293), // Rule ID 62395 //
     /*  426222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  426225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  426230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  426233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  426236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  426239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426254 */     // MIs[0] rs2
     /*  426254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426257 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  426262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426269 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  426272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  426280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426291 */     GIR_RootConstrainSelectedInstOperands,
     /*  426292 */     // GIR_Coverage, 62395,
     /*  426292 */     GIR_EraseRootFromParent_Done,
     /*  426293 */   // Label 7492: @426293
     /*  426293 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(426369), // Rule ID 62396 //
     /*  426298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  426301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  426306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  426309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  426312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  426315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426330 */     // MIs[0] rs2
     /*  426330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426333 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  426338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426345 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  426348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  426356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426367 */     GIR_RootConstrainSelectedInstOperands,
     /*  426368 */     // GIR_Coverage, 62396,
     /*  426368 */     GIR_EraseRootFromParent_Done,
     /*  426369 */   // Label 7493: @426369
     /*  426369 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(426445), // Rule ID 62397 //
     /*  426374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  426377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  426382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  426385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  426388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  426391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426406 */     // MIs[0] rs2
     /*  426406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  426414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426421 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  426424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  426432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426443 */     GIR_RootConstrainSelectedInstOperands,
     /*  426444 */     // GIR_Coverage, 62397,
     /*  426444 */     GIR_EraseRootFromParent_Done,
     /*  426445 */   // Label 7494: @426445
     /*  426445 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(426533), // Rule ID 2800 //
     /*  426450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  426461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  426464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  426467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426497 */     // MIs[1] Operand 1
     /*  426497 */     // No operand predicates
     /*  426497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426506 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  426506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  426509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426515 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426531 */     GIR_RootConstrainSelectedInstOperands,
     /*  426532 */     // GIR_Coverage, 2800,
     /*  426532 */     GIR_EraseRootFromParent_Done,
     /*  426533 */   // Label 7495: @426533
     /*  426533 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(426621), // Rule ID 2801 //
     /*  426538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  426549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  426552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  426555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426585 */     // MIs[1] Operand 1
     /*  426585 */     // No operand predicates
     /*  426585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426594 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  426597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426603 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426619 */     GIR_RootConstrainSelectedInstOperands,
     /*  426620 */     // GIR_Coverage, 2801,
     /*  426620 */     GIR_EraseRootFromParent_Done,
     /*  426621 */   // Label 7496: @426621
     /*  426621 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(426709), // Rule ID 2808 //
     /*  426626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  426637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  426640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  426643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426673 */     // MIs[1] Operand 1
     /*  426673 */     // No operand predicates
     /*  426673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426682 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  426682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  426685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426691 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426707 */     GIR_RootConstrainSelectedInstOperands,
     /*  426708 */     // GIR_Coverage, 2808,
     /*  426708 */     GIR_EraseRootFromParent_Done,
     /*  426709 */   // Label 7497: @426709
     /*  426709 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(426797), // Rule ID 2809 //
     /*  426714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  426725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  426728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  426731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426761 */     // MIs[1] Operand 1
     /*  426761 */     // No operand predicates
     /*  426761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426770 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  426773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426779 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426795 */     GIR_RootConstrainSelectedInstOperands,
     /*  426796 */     // GIR_Coverage, 2809,
     /*  426796 */     GIR_EraseRootFromParent_Done,
     /*  426797 */   // Label 7498: @426797
     /*  426797 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(426885), // Rule ID 2816 //
     /*  426802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  426813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  426816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  426819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426849 */     // MIs[1] Operand 1
     /*  426849 */     // No operand predicates
     /*  426849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426858 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  426858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426867 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426883 */     GIR_RootConstrainSelectedInstOperands,
     /*  426884 */     // GIR_Coverage, 2816,
     /*  426884 */     GIR_EraseRootFromParent_Done,
     /*  426885 */   // Label 7499: @426885
     /*  426885 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(426973), // Rule ID 2817 //
     /*  426890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  426901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  426904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  426907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426937 */     // MIs[1] Operand 1
     /*  426937 */     // No operand predicates
     /*  426937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426946 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426955 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426971 */     GIR_RootConstrainSelectedInstOperands,
     /*  426972 */     // GIR_Coverage, 2817,
     /*  426972 */     GIR_EraseRootFromParent_Done,
     /*  426973 */   // Label 7500: @426973
     /*  426973 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(427061), // Rule ID 2824 //
     /*  426978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  426989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  426992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  426995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427025 */     // MIs[1] Operand 1
     /*  427025 */     // No operand predicates
     /*  427025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427034 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  427037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427043 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427059 */     GIR_RootConstrainSelectedInstOperands,
     /*  427060 */     // GIR_Coverage, 2824,
     /*  427060 */     GIR_EraseRootFromParent_Done,
     /*  427061 */   // Label 7501: @427061
     /*  427061 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(427149), // Rule ID 2825 //
     /*  427066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  427077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  427080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  427083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427113 */     // MIs[1] Operand 1
     /*  427113 */     // No operand predicates
     /*  427113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  427125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427131 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427147 */     GIR_RootConstrainSelectedInstOperands,
     /*  427148 */     // GIR_Coverage, 2825,
     /*  427148 */     GIR_EraseRootFromParent_Done,
     /*  427149 */   // Label 7502: @427149
     /*  427149 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(427237), // Rule ID 2832 //
     /*  427154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  427165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  427168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  427171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427201 */     // MIs[1] Operand 1
     /*  427201 */     // No operand predicates
     /*  427201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427210 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  427213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427219 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427235 */     GIR_RootConstrainSelectedInstOperands,
     /*  427236 */     // GIR_Coverage, 2832,
     /*  427236 */     GIR_EraseRootFromParent_Done,
     /*  427237 */   // Label 7503: @427237
     /*  427237 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(427325), // Rule ID 2833 //
     /*  427242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  427253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  427256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  427259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427289 */     // MIs[1] Operand 1
     /*  427289 */     // No operand predicates
     /*  427289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427298 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  427301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427307 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427323 */     GIR_RootConstrainSelectedInstOperands,
     /*  427324 */     // GIR_Coverage, 2833,
     /*  427324 */     GIR_EraseRootFromParent_Done,
     /*  427325 */   // Label 7504: @427325
     /*  427325 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(427413), // Rule ID 2840 //
     /*  427330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  427341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  427344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  427347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427377 */     // MIs[1] Operand 1
     /*  427377 */     // No operand predicates
     /*  427377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  427386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  427389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427395 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427411 */     GIR_RootConstrainSelectedInstOperands,
     /*  427412 */     // GIR_Coverage, 2840,
     /*  427412 */     GIR_EraseRootFromParent_Done,
     /*  427413 */   // Label 7505: @427413
     /*  427413 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(427501), // Rule ID 2841 //
     /*  427418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  427429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  427432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  427435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427465 */     // MIs[1] Operand 1
     /*  427465 */     // No operand predicates
     /*  427465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  427474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  427477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427483 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427499 */     GIR_RootConstrainSelectedInstOperands,
     /*  427500 */     // GIR_Coverage, 2841,
     /*  427500 */     GIR_EraseRootFromParent_Done,
     /*  427501 */   // Label 7506: @427501
     /*  427501 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(427589), // Rule ID 2848 //
     /*  427506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  427517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  427520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  427523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427553 */     // MIs[1] Operand 1
     /*  427553 */     // No operand predicates
     /*  427553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427562 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427571 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427587 */     GIR_RootConstrainSelectedInstOperands,
     /*  427588 */     // GIR_Coverage, 2848,
     /*  427588 */     GIR_EraseRootFromParent_Done,
     /*  427589 */   // Label 7507: @427589
     /*  427589 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(427677), // Rule ID 2849 //
     /*  427594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  427605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  427608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  427611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427641 */     // MIs[1] Operand 1
     /*  427641 */     // No operand predicates
     /*  427641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427650 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427659 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427675 */     GIR_RootConstrainSelectedInstOperands,
     /*  427676 */     // GIR_Coverage, 2849,
     /*  427676 */     GIR_EraseRootFromParent_Done,
     /*  427677 */   // Label 7508: @427677
     /*  427677 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(427765), // Rule ID 2856 //
     /*  427682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  427693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  427696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  427699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427729 */     // MIs[1] Operand 1
     /*  427729 */     // No operand predicates
     /*  427729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427738 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427747 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427763 */     GIR_RootConstrainSelectedInstOperands,
     /*  427764 */     // GIR_Coverage, 2856,
     /*  427764 */     GIR_EraseRootFromParent_Done,
     /*  427765 */   // Label 7509: @427765
     /*  427765 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(427853), // Rule ID 2857 //
     /*  427770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  427781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  427784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  427787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427817 */     // MIs[1] Operand 1
     /*  427817 */     // No operand predicates
     /*  427817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427826 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427835 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427851 */     GIR_RootConstrainSelectedInstOperands,
     /*  427852 */     // GIR_Coverage, 2857,
     /*  427852 */     GIR_EraseRootFromParent_Done,
     /*  427853 */   // Label 7510: @427853
     /*  427853 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(427941), // Rule ID 2864 //
     /*  427858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  427869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  427872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  427875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427905 */     // MIs[1] Operand 1
     /*  427905 */     // No operand predicates
     /*  427905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427914 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  427914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427923 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427939 */     GIR_RootConstrainSelectedInstOperands,
     /*  427940 */     // GIR_Coverage, 2864,
     /*  427940 */     GIR_EraseRootFromParent_Done,
     /*  427941 */   // Label 7511: @427941
     /*  427941 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(428029), // Rule ID 2865 //
     /*  427946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  427957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  427960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  427963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427993 */     // MIs[1] Operand 1
     /*  427993 */     // No operand predicates
     /*  427993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  428005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428011 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428027 */     GIR_RootConstrainSelectedInstOperands,
     /*  428028 */     // GIR_Coverage, 2865,
     /*  428028 */     GIR_EraseRootFromParent_Done,
     /*  428029 */   // Label 7512: @428029
     /*  428029 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(428117), // Rule ID 2872 //
     /*  428034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  428045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  428048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  428051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428081 */     // MIs[1] Operand 1
     /*  428081 */     // No operand predicates
     /*  428081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428090 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  428090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  428093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428099 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428115 */     GIR_RootConstrainSelectedInstOperands,
     /*  428116 */     // GIR_Coverage, 2872,
     /*  428116 */     GIR_EraseRootFromParent_Done,
     /*  428117 */   // Label 7513: @428117
     /*  428117 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(428205), // Rule ID 2873 //
     /*  428122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  428125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  428133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  428136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  428139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428169 */     // MIs[1] Operand 1
     /*  428169 */     // No operand predicates
     /*  428169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  428178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  428181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428187 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428203 */     GIR_RootConstrainSelectedInstOperands,
     /*  428204 */     // GIR_Coverage, 2873,
     /*  428204 */     GIR_EraseRootFromParent_Done,
     /*  428205 */   // Label 7514: @428205
     /*  428205 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(428293), // Rule ID 2880 //
     /*  428210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  428221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  428224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  428227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428257 */     // MIs[1] Operand 1
     /*  428257 */     // No operand predicates
     /*  428257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  428266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428275 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428291 */     GIR_RootConstrainSelectedInstOperands,
     /*  428292 */     // GIR_Coverage, 2880,
     /*  428292 */     GIR_EraseRootFromParent_Done,
     /*  428293 */   // Label 7515: @428293
     /*  428293 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(428381), // Rule ID 2881 //
     /*  428298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  428309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  428312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  428315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428345 */     // MIs[1] Operand 1
     /*  428345 */     // No operand predicates
     /*  428345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428354 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  428354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428363 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428379 */     GIR_RootConstrainSelectedInstOperands,
     /*  428380 */     // GIR_Coverage, 2881,
     /*  428380 */     GIR_EraseRootFromParent_Done,
     /*  428381 */   // Label 7516: @428381
     /*  428381 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(428469), // Rule ID 2888 //
     /*  428386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  428397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  428400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  428403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428433 */     // MIs[1] Operand 1
     /*  428433 */     // No operand predicates
     /*  428433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428442 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  428442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428451 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428467 */     GIR_RootConstrainSelectedInstOperands,
     /*  428468 */     // GIR_Coverage, 2888,
     /*  428468 */     GIR_EraseRootFromParent_Done,
     /*  428469 */   // Label 7517: @428469
     /*  428469 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(428557), // Rule ID 2889 //
     /*  428474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  428485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  428488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  428491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428521 */     // MIs[1] Operand 1
     /*  428521 */     // No operand predicates
     /*  428521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428530 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  428530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428539 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428555 */     GIR_RootConstrainSelectedInstOperands,
     /*  428556 */     // GIR_Coverage, 2889,
     /*  428556 */     GIR_EraseRootFromParent_Done,
     /*  428557 */   // Label 7518: @428557
     /*  428557 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(428645), // Rule ID 2896 //
     /*  428562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  428573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  428576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  428579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428609 */     // MIs[1] Operand 1
     /*  428609 */     // No operand predicates
     /*  428609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428618 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  428618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428627 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428643 */     GIR_RootConstrainSelectedInstOperands,
     /*  428644 */     // GIR_Coverage, 2896,
     /*  428644 */     GIR_EraseRootFromParent_Done,
     /*  428645 */   // Label 7519: @428645
     /*  428645 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(428733), // Rule ID 2897 //
     /*  428650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  428661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  428664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  428667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428697 */     // MIs[1] Operand 1
     /*  428697 */     // No operand predicates
     /*  428697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428706 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  428706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428715 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428731 */     GIR_RootConstrainSelectedInstOperands,
     /*  428732 */     // GIR_Coverage, 2897,
     /*  428732 */     GIR_EraseRootFromParent_Done,
     /*  428733 */   // Label 7520: @428733
     /*  428733 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(428821), // Rule ID 2904 //
     /*  428738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  428749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  428752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  428755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428785 */     // MIs[1] Operand 1
     /*  428785 */     // No operand predicates
     /*  428785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428794 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428803 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428819 */     GIR_RootConstrainSelectedInstOperands,
     /*  428820 */     // GIR_Coverage, 2904,
     /*  428820 */     GIR_EraseRootFromParent_Done,
     /*  428821 */   // Label 7521: @428821
     /*  428821 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(428909), // Rule ID 2905 //
     /*  428826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  428837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  428840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  428843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428873 */     // MIs[1] Operand 1
     /*  428873 */     // No operand predicates
     /*  428873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428882 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428891 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428907 */     GIR_RootConstrainSelectedInstOperands,
     /*  428908 */     // GIR_Coverage, 2905,
     /*  428908 */     GIR_EraseRootFromParent_Done,
     /*  428909 */   // Label 7522: @428909
     /*  428909 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(428997), // Rule ID 2912 //
     /*  428914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  428925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  428928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  428931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428961 */     // MIs[1] Operand 1
     /*  428961 */     // No operand predicates
     /*  428961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428970 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428979 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428995 */     GIR_RootConstrainSelectedInstOperands,
     /*  428996 */     // GIR_Coverage, 2912,
     /*  428996 */     GIR_EraseRootFromParent_Done,
     /*  428997 */   // Label 7523: @428997
     /*  428997 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(429085), // Rule ID 2913 //
     /*  429002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  429013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  429016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  429019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429049 */     // MIs[1] Operand 1
     /*  429049 */     // No operand predicates
     /*  429049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429058 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  429061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429067 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429083 */     GIR_RootConstrainSelectedInstOperands,
     /*  429084 */     // GIR_Coverage, 2913,
     /*  429084 */     GIR_EraseRootFromParent_Done,
     /*  429085 */   // Label 7524: @429085
     /*  429085 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(429173), // Rule ID 2920 //
     /*  429090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  429101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  429104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  429107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429137 */     // MIs[1] Operand 1
     /*  429137 */     // No operand predicates
     /*  429137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429155 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429171 */     GIR_RootConstrainSelectedInstOperands,
     /*  429172 */     // GIR_Coverage, 2920,
     /*  429172 */     GIR_EraseRootFromParent_Done,
     /*  429173 */   // Label 7525: @429173
     /*  429173 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(429261), // Rule ID 2921 //
     /*  429178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  429189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  429192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  429195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429225 */     // MIs[1] Operand 1
     /*  429225 */     // No operand predicates
     /*  429225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429234 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429243 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429259 */     GIR_RootConstrainSelectedInstOperands,
     /*  429260 */     // GIR_Coverage, 2921,
     /*  429260 */     GIR_EraseRootFromParent_Done,
     /*  429261 */   // Label 7526: @429261
     /*  429261 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(429349), // Rule ID 2928 //
     /*  429266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429313 */     // MIs[1] Operand 1
     /*  429313 */     // No operand predicates
     /*  429313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429322 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  429325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429331 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429347 */     GIR_RootConstrainSelectedInstOperands,
     /*  429348 */     // GIR_Coverage, 2928,
     /*  429348 */     GIR_EraseRootFromParent_Done,
     /*  429349 */   // Label 7527: @429349
     /*  429349 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(429437), // Rule ID 2929 //
     /*  429354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429401 */     // MIs[1] Operand 1
     /*  429401 */     // No operand predicates
     /*  429401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429410 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  429413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429419 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429435 */     GIR_RootConstrainSelectedInstOperands,
     /*  429436 */     // GIR_Coverage, 2929,
     /*  429436 */     GIR_EraseRootFromParent_Done,
     /*  429437 */   // Label 7528: @429437
     /*  429437 */   GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(429525), // Rule ID 2936 //
     /*  429442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429489 */     // MIs[1] Operand 1
     /*  429489 */     // No operand predicates
     /*  429489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  429501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429507 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429523 */     GIR_RootConstrainSelectedInstOperands,
     /*  429524 */     // GIR_Coverage, 2936,
     /*  429524 */     GIR_EraseRootFromParent_Done,
     /*  429525 */   // Label 7529: @429525
     /*  429525 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(429613), // Rule ID 2937 //
     /*  429530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429577 */     // MIs[1] Operand 1
     /*  429577 */     // No operand predicates
     /*  429577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  429589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429595 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429611 */     GIR_RootConstrainSelectedInstOperands,
     /*  429612 */     // GIR_Coverage, 2937,
     /*  429612 */     GIR_EraseRootFromParent_Done,
     /*  429613 */   // Label 7530: @429613
     /*  429613 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(429701), // Rule ID 2944 //
     /*  429618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429665 */     // MIs[1] Operand 1
     /*  429665 */     // No operand predicates
     /*  429665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429683 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429699 */     GIR_RootConstrainSelectedInstOperands,
     /*  429700 */     // GIR_Coverage, 2944,
     /*  429700 */     GIR_EraseRootFromParent_Done,
     /*  429701 */   // Label 7531: @429701
     /*  429701 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(429789), // Rule ID 2945 //
     /*  429706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429753 */     // MIs[1] Operand 1
     /*  429753 */     // No operand predicates
     /*  429753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429771 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429787 */     GIR_RootConstrainSelectedInstOperands,
     /*  429788 */     // GIR_Coverage, 2945,
     /*  429788 */     GIR_EraseRootFromParent_Done,
     /*  429789 */   // Label 7532: @429789
     /*  429789 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(429877), // Rule ID 2952 //
     /*  429794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  429797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  429805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  429808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  429811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429841 */     // MIs[1] Operand 1
     /*  429841 */     // No operand predicates
     /*  429841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429850 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  429850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  429853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429859 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429875 */     GIR_RootConstrainSelectedInstOperands,
     /*  429876 */     // GIR_Coverage, 2952,
     /*  429876 */     GIR_EraseRootFromParent_Done,
     /*  429877 */   // Label 7533: @429877
     /*  429877 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(429965), // Rule ID 2953 //
     /*  429882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  429885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  429893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  429896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  429899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429929 */     // MIs[1] Operand 1
     /*  429929 */     // No operand predicates
     /*  429929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429938 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  429941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429947 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429963 */     GIR_RootConstrainSelectedInstOperands,
     /*  429964 */     // GIR_Coverage, 2953,
     /*  429964 */     GIR_EraseRootFromParent_Done,
     /*  429965 */   // Label 7534: @429965
     /*  429965 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(430053), // Rule ID 2960 //
     /*  429970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  429973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  429981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  429984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  429987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430017 */     // MIs[1] Operand 1
     /*  430017 */     // No operand predicates
     /*  430017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  430026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  430029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430035 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430051 */     GIR_RootConstrainSelectedInstOperands,
     /*  430052 */     // GIR_Coverage, 2960,
     /*  430052 */     GIR_EraseRootFromParent_Done,
     /*  430053 */   // Label 7535: @430053
     /*  430053 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(430141), // Rule ID 2961 //
     /*  430058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  430061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  430069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  430072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  430075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430105 */     // MIs[1] Operand 1
     /*  430105 */     // No operand predicates
     /*  430105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  430114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  430117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430123 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430139 */     GIR_RootConstrainSelectedInstOperands,
     /*  430140 */     // GIR_Coverage, 2961,
     /*  430140 */     GIR_EraseRootFromParent_Done,
     /*  430141 */   // Label 7536: @430141
     /*  430141 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(430229), // Rule ID 2968 //
     /*  430146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  430149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  430157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  430160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  430163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430193 */     // MIs[1] Operand 1
     /*  430193 */     // No operand predicates
     /*  430193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430202 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  430202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  430205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430211 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430227 */     GIR_RootConstrainSelectedInstOperands,
     /*  430228 */     // GIR_Coverage, 2968,
     /*  430228 */     GIR_EraseRootFromParent_Done,
     /*  430229 */   // Label 7537: @430229
     /*  430229 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(430317), // Rule ID 2969 //
     /*  430234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  430237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  430245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  430248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  430251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430281 */     // MIs[1] Operand 1
     /*  430281 */     // No operand predicates
     /*  430281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430290 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  430290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  430293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430299 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430315 */     GIR_RootConstrainSelectedInstOperands,
     /*  430316 */     // GIR_Coverage, 2969,
     /*  430316 */     GIR_EraseRootFromParent_Done,
     /*  430317 */   // Label 7538: @430317
     /*  430317 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(430403), // Rule ID 3152 //
     /*  430322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  430333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  430336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  430339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430369 */     // MIs[1] Operand 1
     /*  430369 */     // No operand predicates
     /*  430369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430378 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  430381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430401 */     GIR_RootConstrainSelectedInstOperands,
     /*  430402 */     // GIR_Coverage, 3152,
     /*  430402 */     GIR_EraseRootFromParent_Done,
     /*  430403 */   // Label 7539: @430403
     /*  430403 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(430489), // Rule ID 3153 //
     /*  430408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  430419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  430422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  430425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430455 */     // MIs[1] Operand 1
     /*  430455 */     // No operand predicates
     /*  430455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430464 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  430467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430487 */     GIR_RootConstrainSelectedInstOperands,
     /*  430488 */     // GIR_Coverage, 3153,
     /*  430488 */     GIR_EraseRootFromParent_Done,
     /*  430489 */   // Label 7540: @430489
     /*  430489 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(430575), // Rule ID 3156 //
     /*  430494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  430505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  430508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  430511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430541 */     // MIs[1] Operand 1
     /*  430541 */     // No operand predicates
     /*  430541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430550 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430573 */     GIR_RootConstrainSelectedInstOperands,
     /*  430574 */     // GIR_Coverage, 3156,
     /*  430574 */     GIR_EraseRootFromParent_Done,
     /*  430575 */   // Label 7541: @430575
     /*  430575 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(430661), // Rule ID 3157 //
     /*  430580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  430591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  430594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  430597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430627 */     // MIs[1] Operand 1
     /*  430627 */     // No operand predicates
     /*  430627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430636 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430659 */     GIR_RootConstrainSelectedInstOperands,
     /*  430660 */     // GIR_Coverage, 3157,
     /*  430660 */     GIR_EraseRootFromParent_Done,
     /*  430661 */   // Label 7542: @430661
     /*  430661 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(430747), // Rule ID 3160 //
     /*  430666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  430677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  430680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  430683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430713 */     // MIs[1] Operand 1
     /*  430713 */     // No operand predicates
     /*  430713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430722 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430745 */     GIR_RootConstrainSelectedInstOperands,
     /*  430746 */     // GIR_Coverage, 3160,
     /*  430746 */     GIR_EraseRootFromParent_Done,
     /*  430747 */   // Label 7543: @430747
     /*  430747 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(430833), // Rule ID 3161 //
     /*  430752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  430763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  430766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  430769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430799 */     // MIs[1] Operand 1
     /*  430799 */     // No operand predicates
     /*  430799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430808 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430831 */     GIR_RootConstrainSelectedInstOperands,
     /*  430832 */     // GIR_Coverage, 3161,
     /*  430832 */     GIR_EraseRootFromParent_Done,
     /*  430833 */   // Label 7544: @430833
     /*  430833 */   GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(430919), // Rule ID 3164 //
     /*  430838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430885 */     // MIs[1] Operand 1
     /*  430885 */     // No operand predicates
     /*  430885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430894 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430917 */     GIR_RootConstrainSelectedInstOperands,
     /*  430918 */     // GIR_Coverage, 3164,
     /*  430918 */     GIR_EraseRootFromParent_Done,
     /*  430919 */   // Label 7545: @430919
     /*  430919 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(431005), // Rule ID 3165 //
     /*  430924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430971 */     // MIs[1] Operand 1
     /*  430971 */     // No operand predicates
     /*  430971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430980 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431003 */     GIR_RootConstrainSelectedInstOperands,
     /*  431004 */     // GIR_Coverage, 3165,
     /*  431004 */     GIR_EraseRootFromParent_Done,
     /*  431005 */   // Label 7546: @431005
     /*  431005 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(431091), // Rule ID 3168 //
     /*  431010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  431021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  431024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  431027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431057 */     // MIs[1] Operand 1
     /*  431057 */     // No operand predicates
     /*  431057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431066 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  431069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431089 */     GIR_RootConstrainSelectedInstOperands,
     /*  431090 */     // GIR_Coverage, 3168,
     /*  431090 */     GIR_EraseRootFromParent_Done,
     /*  431091 */   // Label 7547: @431091
     /*  431091 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(431177), // Rule ID 3169 //
     /*  431096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  431107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  431110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  431113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431143 */     // MIs[1] Operand 1
     /*  431143 */     // No operand predicates
     /*  431143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  431155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431175 */     GIR_RootConstrainSelectedInstOperands,
     /*  431176 */     // GIR_Coverage, 3169,
     /*  431176 */     GIR_EraseRootFromParent_Done,
     /*  431177 */   // Label 7548: @431177
     /*  431177 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(431263), // Rule ID 3172 //
     /*  431182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  431193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  431196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  431199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431229 */     // MIs[1] Operand 1
     /*  431229 */     // No operand predicates
     /*  431229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431238 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  431241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431261 */     GIR_RootConstrainSelectedInstOperands,
     /*  431262 */     // GIR_Coverage, 3172,
     /*  431262 */     GIR_EraseRootFromParent_Done,
     /*  431263 */   // Label 7549: @431263
     /*  431263 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(431349), // Rule ID 3173 //
     /*  431268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  431279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  431282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  431285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431315 */     // MIs[1] Operand 1
     /*  431315 */     // No operand predicates
     /*  431315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  431327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431347 */     GIR_RootConstrainSelectedInstOperands,
     /*  431348 */     // GIR_Coverage, 3173,
     /*  431348 */     GIR_EraseRootFromParent_Done,
     /*  431349 */   // Label 7550: @431349
     /*  431349 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(431435), // Rule ID 3176 //
     /*  431354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  431365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  431368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  431371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431401 */     // MIs[1] Operand 1
     /*  431401 */     // No operand predicates
     /*  431401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431410 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431433 */     GIR_RootConstrainSelectedInstOperands,
     /*  431434 */     // GIR_Coverage, 3176,
     /*  431434 */     GIR_EraseRootFromParent_Done,
     /*  431435 */   // Label 7551: @431435
     /*  431435 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(431521), // Rule ID 3177 //
     /*  431440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  431451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  431454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  431457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431487 */     // MIs[1] Operand 1
     /*  431487 */     // No operand predicates
     /*  431487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431519 */     GIR_RootConstrainSelectedInstOperands,
     /*  431520 */     // GIR_Coverage, 3177,
     /*  431520 */     GIR_EraseRootFromParent_Done,
     /*  431521 */   // Label 7552: @431521
     /*  431521 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(431607), // Rule ID 3180 //
     /*  431526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  431537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  431540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  431543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431573 */     // MIs[1] Operand 1
     /*  431573 */     // No operand predicates
     /*  431573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431605 */     GIR_RootConstrainSelectedInstOperands,
     /*  431606 */     // GIR_Coverage, 3180,
     /*  431606 */     GIR_EraseRootFromParent_Done,
     /*  431607 */   // Label 7553: @431607
     /*  431607 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(431693), // Rule ID 3181 //
     /*  431612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  431623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  431626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  431629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431659 */     // MIs[1] Operand 1
     /*  431659 */     // No operand predicates
     /*  431659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431691 */     GIR_RootConstrainSelectedInstOperands,
     /*  431692 */     // GIR_Coverage, 3181,
     /*  431692 */     GIR_EraseRootFromParent_Done,
     /*  431693 */   // Label 7554: @431693
     /*  431693 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(431779), // Rule ID 3184 //
     /*  431698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  431709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  431712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  431715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431745 */     // MIs[1] Operand 1
     /*  431745 */     // No operand predicates
     /*  431745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431754 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431777 */     GIR_RootConstrainSelectedInstOperands,
     /*  431778 */     // GIR_Coverage, 3184,
     /*  431778 */     GIR_EraseRootFromParent_Done,
     /*  431779 */   // Label 7555: @431779
     /*  431779 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(431865), // Rule ID 3185 //
     /*  431784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  431795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  431798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  431801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431831 */     // MIs[1] Operand 1
     /*  431831 */     // No operand predicates
     /*  431831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431863 */     GIR_RootConstrainSelectedInstOperands,
     /*  431864 */     // GIR_Coverage, 3185,
     /*  431864 */     GIR_EraseRootFromParent_Done,
     /*  431865 */   // Label 7556: @431865
     /*  431865 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(431951), // Rule ID 3188 //
     /*  431870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  431873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431917 */     // MIs[1] Operand 1
     /*  431917 */     // No operand predicates
     /*  431917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431926 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  431926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431949 */     GIR_RootConstrainSelectedInstOperands,
     /*  431950 */     // GIR_Coverage, 3188,
     /*  431950 */     GIR_EraseRootFromParent_Done,
     /*  431951 */   // Label 7557: @431951
     /*  431951 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(432037), // Rule ID 3189 //
     /*  431956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  431959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432003 */     // MIs[1] Operand 1
     /*  432003 */     // No operand predicates
     /*  432003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  432015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432035 */     GIR_RootConstrainSelectedInstOperands,
     /*  432036 */     // GIR_Coverage, 3189,
     /*  432036 */     GIR_EraseRootFromParent_Done,
     /*  432037 */   // Label 7558: @432037
     /*  432037 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(432123), // Rule ID 3192 //
     /*  432042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  432053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  432056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  432059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432089 */     // MIs[1] Operand 1
     /*  432089 */     // No operand predicates
     /*  432089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432098 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432121 */     GIR_RootConstrainSelectedInstOperands,
     /*  432122 */     // GIR_Coverage, 3192,
     /*  432122 */     GIR_EraseRootFromParent_Done,
     /*  432123 */   // Label 7559: @432123
     /*  432123 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(432209), // Rule ID 3193 //
     /*  432128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  432139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  432142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  432145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432175 */     // MIs[1] Operand 1
     /*  432175 */     // No operand predicates
     /*  432175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432184 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432207 */     GIR_RootConstrainSelectedInstOperands,
     /*  432208 */     // GIR_Coverage, 3193,
     /*  432208 */     GIR_EraseRootFromParent_Done,
     /*  432209 */   // Label 7560: @432209
     /*  432209 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(432295), // Rule ID 3196 //
     /*  432214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  432225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  432228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  432231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432261 */     // MIs[1] Operand 1
     /*  432261 */     // No operand predicates
     /*  432261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432270 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432293 */     GIR_RootConstrainSelectedInstOperands,
     /*  432294 */     // GIR_Coverage, 3196,
     /*  432294 */     GIR_EraseRootFromParent_Done,
     /*  432295 */   // Label 7561: @432295
     /*  432295 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(432381), // Rule ID 3197 //
     /*  432300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  432311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  432314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  432317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432347 */     // MIs[1] Operand 1
     /*  432347 */     // No operand predicates
     /*  432347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432356 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432379 */     GIR_RootConstrainSelectedInstOperands,
     /*  432380 */     // GIR_Coverage, 3197,
     /*  432380 */     GIR_EraseRootFromParent_Done,
     /*  432381 */   // Label 7562: @432381
     /*  432381 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(432467), // Rule ID 3200 //
     /*  432386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  432397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  432400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  432403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432433 */     // MIs[1] Operand 1
     /*  432433 */     // No operand predicates
     /*  432433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432442 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432465 */     GIR_RootConstrainSelectedInstOperands,
     /*  432466 */     // GIR_Coverage, 3200,
     /*  432466 */     GIR_EraseRootFromParent_Done,
     /*  432467 */   // Label 7563: @432467
     /*  432467 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(432553), // Rule ID 3201 //
     /*  432472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  432483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  432486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  432489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432519 */     // MIs[1] Operand 1
     /*  432519 */     // No operand predicates
     /*  432519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432528 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432551 */     GIR_RootConstrainSelectedInstOperands,
     /*  432552 */     // GIR_Coverage, 3201,
     /*  432552 */     GIR_EraseRootFromParent_Done,
     /*  432553 */   // Label 7564: @432553
     /*  432553 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(432639), // Rule ID 3204 //
     /*  432558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  432569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  432572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  432575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432605 */     // MIs[1] Operand 1
     /*  432605 */     // No operand predicates
     /*  432605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432637 */     GIR_RootConstrainSelectedInstOperands,
     /*  432638 */     // GIR_Coverage, 3204,
     /*  432638 */     GIR_EraseRootFromParent_Done,
     /*  432639 */   // Label 7565: @432639
     /*  432639 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(432725), // Rule ID 3205 //
     /*  432644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  432655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  432658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  432661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432691 */     // MIs[1] Operand 1
     /*  432691 */     // No operand predicates
     /*  432691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432723 */     GIR_RootConstrainSelectedInstOperands,
     /*  432724 */     // GIR_Coverage, 3205,
     /*  432724 */     GIR_EraseRootFromParent_Done,
     /*  432725 */   // Label 7566: @432725
     /*  432725 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(432811), // Rule ID 3208 //
     /*  432730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  432741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  432744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  432747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432777 */     // MIs[1] Operand 1
     /*  432777 */     // No operand predicates
     /*  432777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432809 */     GIR_RootConstrainSelectedInstOperands,
     /*  432810 */     // GIR_Coverage, 3208,
     /*  432810 */     GIR_EraseRootFromParent_Done,
     /*  432811 */   // Label 7567: @432811
     /*  432811 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(432897), // Rule ID 3209 //
     /*  432816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  432827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  432830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  432833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432863 */     // MIs[1] Operand 1
     /*  432863 */     // No operand predicates
     /*  432863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432895 */     GIR_RootConstrainSelectedInstOperands,
     /*  432896 */     // GIR_Coverage, 3209,
     /*  432896 */     GIR_EraseRootFromParent_Done,
     /*  432897 */   // Label 7568: @432897
     /*  432897 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(432983), // Rule ID 3212 //
     /*  432902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  432913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  432916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  432919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432949 */     // MIs[1] Operand 1
     /*  432949 */     // No operand predicates
     /*  432949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432981 */     GIR_RootConstrainSelectedInstOperands,
     /*  432982 */     // GIR_Coverage, 3212,
     /*  432982 */     GIR_EraseRootFromParent_Done,
     /*  432983 */   // Label 7569: @432983
     /*  432983 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(433069), // Rule ID 3213 //
     /*  432988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  432999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  433002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  433005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433035 */     // MIs[1] Operand 1
     /*  433035 */     // No operand predicates
     /*  433035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433044 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433067 */     GIR_RootConstrainSelectedInstOperands,
     /*  433068 */     // GIR_Coverage, 3213,
     /*  433068 */     GIR_EraseRootFromParent_Done,
     /*  433069 */   // Label 7570: @433069
     /*  433069 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(433155), // Rule ID 3216 //
     /*  433074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  433085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  433088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  433091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433121 */     // MIs[1] Operand 1
     /*  433121 */     // No operand predicates
     /*  433121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433130 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433153 */     GIR_RootConstrainSelectedInstOperands,
     /*  433154 */     // GIR_Coverage, 3216,
     /*  433154 */     GIR_EraseRootFromParent_Done,
     /*  433155 */   // Label 7571: @433155
     /*  433155 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(433241), // Rule ID 3217 //
     /*  433160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  433171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  433174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  433177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433207 */     // MIs[1] Operand 1
     /*  433207 */     // No operand predicates
     /*  433207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433216 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433239 */     GIR_RootConstrainSelectedInstOperands,
     /*  433240 */     // GIR_Coverage, 3217,
     /*  433240 */     GIR_EraseRootFromParent_Done,
     /*  433241 */   // Label 7572: @433241
     /*  433241 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(433327), // Rule ID 3220 //
     /*  433246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  433257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  433260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  433263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433293 */     // MIs[1] Operand 1
     /*  433293 */     // No operand predicates
     /*  433293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433302 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433325 */     GIR_RootConstrainSelectedInstOperands,
     /*  433326 */     // GIR_Coverage, 3220,
     /*  433326 */     GIR_EraseRootFromParent_Done,
     /*  433327 */   // Label 7573: @433327
     /*  433327 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(433413), // Rule ID 3221 //
     /*  433332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  433343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  433346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  433349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433379 */     // MIs[1] Operand 1
     /*  433379 */     // No operand predicates
     /*  433379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433388 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433411 */     GIR_RootConstrainSelectedInstOperands,
     /*  433412 */     // GIR_Coverage, 3221,
     /*  433412 */     GIR_EraseRootFromParent_Done,
     /*  433413 */   // Label 7574: @433413
     /*  433413 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(433499), // Rule ID 3224 //
     /*  433418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  433429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  433432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  433435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433465 */     // MIs[1] Operand 1
     /*  433465 */     // No operand predicates
     /*  433465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433474 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433497 */     GIR_RootConstrainSelectedInstOperands,
     /*  433498 */     // GIR_Coverage, 3224,
     /*  433498 */     GIR_EraseRootFromParent_Done,
     /*  433499 */   // Label 7575: @433499
     /*  433499 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(433585), // Rule ID 3225 //
     /*  433504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  433515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  433518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  433521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433551 */     // MIs[1] Operand 1
     /*  433551 */     // No operand predicates
     /*  433551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433560 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433583 */     GIR_RootConstrainSelectedInstOperands,
     /*  433584 */     // GIR_Coverage, 3225,
     /*  433584 */     GIR_EraseRootFromParent_Done,
     /*  433585 */   // Label 7576: @433585
     /*  433585 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(433671), // Rule ID 3228 //
     /*  433590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  433601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  433604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  433607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433637 */     // MIs[1] Operand 1
     /*  433637 */     // No operand predicates
     /*  433637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433669 */     GIR_RootConstrainSelectedInstOperands,
     /*  433670 */     // GIR_Coverage, 3228,
     /*  433670 */     GIR_EraseRootFromParent_Done,
     /*  433671 */   // Label 7577: @433671
     /*  433671 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(433757), // Rule ID 3229 //
     /*  433676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  433687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  433690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  433693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433723 */     // MIs[1] Operand 1
     /*  433723 */     // No operand predicates
     /*  433723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433732 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433755 */     GIR_RootConstrainSelectedInstOperands,
     /*  433756 */     // GIR_Coverage, 3229,
     /*  433756 */     GIR_EraseRootFromParent_Done,
     /*  433757 */   // Label 7578: @433757
     /*  433757 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(433843), // Rule ID 3232 //
     /*  433762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  433773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  433776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  433779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433809 */     // MIs[1] Operand 1
     /*  433809 */     // No operand predicates
     /*  433809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433841 */     GIR_RootConstrainSelectedInstOperands,
     /*  433842 */     // GIR_Coverage, 3232,
     /*  433842 */     GIR_EraseRootFromParent_Done,
     /*  433843 */   // Label 7579: @433843
     /*  433843 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(433929), // Rule ID 3233 //
     /*  433848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  433859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  433862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  433865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433895 */     // MIs[1] Operand 1
     /*  433895 */     // No operand predicates
     /*  433895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433904 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433927 */     GIR_RootConstrainSelectedInstOperands,
     /*  433928 */     // GIR_Coverage, 3233,
     /*  433928 */     GIR_EraseRootFromParent_Done,
     /*  433929 */   // Label 7580: @433929
     /*  433929 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(434015), // Rule ID 3236 //
     /*  433934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  433945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  433948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  433951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433981 */     // MIs[1] Operand 1
     /*  433981 */     // No operand predicates
     /*  433981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433990 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434013 */     GIR_RootConstrainSelectedInstOperands,
     /*  434014 */     // GIR_Coverage, 3236,
     /*  434014 */     GIR_EraseRootFromParent_Done,
     /*  434015 */   // Label 7581: @434015
     /*  434015 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(434101), // Rule ID 3237 //
     /*  434020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  434023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  434031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  434034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  434037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434067 */     // MIs[1] Operand 1
     /*  434067 */     // No operand predicates
     /*  434067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  434076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  434079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434099 */     GIR_RootConstrainSelectedInstOperands,
     /*  434100 */     // GIR_Coverage, 3237,
     /*  434100 */     GIR_EraseRootFromParent_Done,
     /*  434101 */   // Label 7582: @434101
     /*  434101 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(434187), // Rule ID 3504 //
     /*  434106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  434117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  434120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  434123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434153 */     // MIs[1] Operand 1
     /*  434153 */     // No operand predicates
     /*  434153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434162 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  434165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434185 */     GIR_RootConstrainSelectedInstOperands,
     /*  434186 */     // GIR_Coverage, 3504,
     /*  434186 */     GIR_EraseRootFromParent_Done,
     /*  434187 */   // Label 7583: @434187
     /*  434187 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(434273), // Rule ID 3505 //
     /*  434192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  434203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  434206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  434209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434239 */     // MIs[1] Operand 1
     /*  434239 */     // No operand predicates
     /*  434239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434248 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  434251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434271 */     GIR_RootConstrainSelectedInstOperands,
     /*  434272 */     // GIR_Coverage, 3505,
     /*  434272 */     GIR_EraseRootFromParent_Done,
     /*  434273 */   // Label 7584: @434273
     /*  434273 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(434359), // Rule ID 3508 //
     /*  434278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  434289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  434292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  434295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434325 */     // MIs[1] Operand 1
     /*  434325 */     // No operand predicates
     /*  434325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434334 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  434337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434357 */     GIR_RootConstrainSelectedInstOperands,
     /*  434358 */     // GIR_Coverage, 3508,
     /*  434358 */     GIR_EraseRootFromParent_Done,
     /*  434359 */   // Label 7585: @434359
     /*  434359 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(434445), // Rule ID 3509 //
     /*  434364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  434375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  434378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  434381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434411 */     // MIs[1] Operand 1
     /*  434411 */     // No operand predicates
     /*  434411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434420 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  434423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434443 */     GIR_RootConstrainSelectedInstOperands,
     /*  434444 */     // GIR_Coverage, 3509,
     /*  434444 */     GIR_EraseRootFromParent_Done,
     /*  434445 */   // Label 7586: @434445
     /*  434445 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(434531), // Rule ID 3512 //
     /*  434450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  434461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  434464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  434467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434497 */     // MIs[1] Operand 1
     /*  434497 */     // No operand predicates
     /*  434497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434506 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434529 */     GIR_RootConstrainSelectedInstOperands,
     /*  434530 */     // GIR_Coverage, 3512,
     /*  434530 */     GIR_EraseRootFromParent_Done,
     /*  434531 */   // Label 7587: @434531
     /*  434531 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(434617), // Rule ID 3513 //
     /*  434536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  434547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  434550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  434553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434583 */     // MIs[1] Operand 1
     /*  434583 */     // No operand predicates
     /*  434583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434592 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434615 */     GIR_RootConstrainSelectedInstOperands,
     /*  434616 */     // GIR_Coverage, 3513,
     /*  434616 */     GIR_EraseRootFromParent_Done,
     /*  434617 */   // Label 7588: @434617
     /*  434617 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(434703), // Rule ID 3516 //
     /*  434622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  434633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  434636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  434639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434669 */     // MIs[1] Operand 1
     /*  434669 */     // No operand predicates
     /*  434669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  434681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434701 */     GIR_RootConstrainSelectedInstOperands,
     /*  434702 */     // GIR_Coverage, 3516,
     /*  434702 */     GIR_EraseRootFromParent_Done,
     /*  434703 */   // Label 7589: @434703
     /*  434703 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(434789), // Rule ID 3517 //
     /*  434708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  434719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  434722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  434725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434755 */     // MIs[1] Operand 1
     /*  434755 */     // No operand predicates
     /*  434755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434764 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  434767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434787 */     GIR_RootConstrainSelectedInstOperands,
     /*  434788 */     // GIR_Coverage, 3517,
     /*  434788 */     GIR_EraseRootFromParent_Done,
     /*  434789 */   // Label 7590: @434789
     /*  434789 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(434875), // Rule ID 3520 //
     /*  434794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  434805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  434808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  434811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434841 */     // MIs[1] Operand 1
     /*  434841 */     // No operand predicates
     /*  434841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434850 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434873 */     GIR_RootConstrainSelectedInstOperands,
     /*  434874 */     // GIR_Coverage, 3520,
     /*  434874 */     GIR_EraseRootFromParent_Done,
     /*  434875 */   // Label 7591: @434875
     /*  434875 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(434961), // Rule ID 3521 //
     /*  434880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  434891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  434894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  434897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434927 */     // MIs[1] Operand 1
     /*  434927 */     // No operand predicates
     /*  434927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434936 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434959 */     GIR_RootConstrainSelectedInstOperands,
     /*  434960 */     // GIR_Coverage, 3521,
     /*  434960 */     GIR_EraseRootFromParent_Done,
     /*  434961 */   // Label 7592: @434961
     /*  434961 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(435047), // Rule ID 3524 //
     /*  434966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  434977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  434980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  434983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435013 */     // MIs[1] Operand 1
     /*  435013 */     // No operand predicates
     /*  435013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  435025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435045 */     GIR_RootConstrainSelectedInstOperands,
     /*  435046 */     // GIR_Coverage, 3524,
     /*  435046 */     GIR_EraseRootFromParent_Done,
     /*  435047 */   // Label 7593: @435047
     /*  435047 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(435133), // Rule ID 3525 //
     /*  435052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  435063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  435066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  435069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435099 */     // MIs[1] Operand 1
     /*  435099 */     // No operand predicates
     /*  435099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435108 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  435111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435131 */     GIR_RootConstrainSelectedInstOperands,
     /*  435132 */     // GIR_Coverage, 3525,
     /*  435132 */     GIR_EraseRootFromParent_Done,
     /*  435133 */   // Label 7594: @435133
     /*  435133 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(435219), // Rule ID 3528 //
     /*  435138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  435149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  435152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  435155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435185 */     // MIs[1] Operand 1
     /*  435185 */     // No operand predicates
     /*  435185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435194 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  435197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435217 */     GIR_RootConstrainSelectedInstOperands,
     /*  435218 */     // GIR_Coverage, 3528,
     /*  435218 */     GIR_EraseRootFromParent_Done,
     /*  435219 */   // Label 7595: @435219
     /*  435219 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(435305), // Rule ID 3529 //
     /*  435224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  435235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  435238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  435241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435271 */     // MIs[1] Operand 1
     /*  435271 */     // No operand predicates
     /*  435271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  435283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435303 */     GIR_RootConstrainSelectedInstOperands,
     /*  435304 */     // GIR_Coverage, 3529,
     /*  435304 */     GIR_EraseRootFromParent_Done,
     /*  435305 */   // Label 7596: @435305
     /*  435305 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(435391), // Rule ID 3532 //
     /*  435310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  435321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  435324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  435327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435357 */     // MIs[1] Operand 1
     /*  435357 */     // No operand predicates
     /*  435357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435366 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  435369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435389 */     GIR_RootConstrainSelectedInstOperands,
     /*  435390 */     // GIR_Coverage, 3532,
     /*  435390 */     GIR_EraseRootFromParent_Done,
     /*  435391 */   // Label 7597: @435391
     /*  435391 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(435477), // Rule ID 3533 //
     /*  435396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  435407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  435410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  435413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435443 */     // MIs[1] Operand 1
     /*  435443 */     // No operand predicates
     /*  435443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  435455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435475 */     GIR_RootConstrainSelectedInstOperands,
     /*  435476 */     // GIR_Coverage, 3533,
     /*  435476 */     GIR_EraseRootFromParent_Done,
     /*  435477 */   // Label 7598: @435477
     /*  435477 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(435563), // Rule ID 3536 //
     /*  435482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  435493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  435496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  435499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435529 */     // MIs[1] Operand 1
     /*  435529 */     // No operand predicates
     /*  435529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  435541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435561 */     GIR_RootConstrainSelectedInstOperands,
     /*  435562 */     // GIR_Coverage, 3536,
     /*  435562 */     GIR_EraseRootFromParent_Done,
     /*  435563 */   // Label 7599: @435563
     /*  435563 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(435649), // Rule ID 3537 //
     /*  435568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  435579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  435582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  435585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435615 */     // MIs[1] Operand 1
     /*  435615 */     // No operand predicates
     /*  435615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  435627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435647 */     GIR_RootConstrainSelectedInstOperands,
     /*  435648 */     // GIR_Coverage, 3537,
     /*  435648 */     GIR_EraseRootFromParent_Done,
     /*  435649 */   // Label 7600: @435649
     /*  435649 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(435735), // Rule ID 3540 //
     /*  435654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  435657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  435665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  435668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  435671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435701 */     // MIs[1] Operand 1
     /*  435701 */     // No operand predicates
     /*  435701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435710 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  435710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  435713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435733 */     GIR_RootConstrainSelectedInstOperands,
     /*  435734 */     // GIR_Coverage, 3540,
     /*  435734 */     GIR_EraseRootFromParent_Done,
     /*  435735 */   // Label 7601: @435735
     /*  435735 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(435821), // Rule ID 3541 //
     /*  435740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  435743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  435751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  435754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  435757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435787 */     // MIs[1] Operand 1
     /*  435787 */     // No operand predicates
     /*  435787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435796 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  435796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  435799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435819 */     GIR_RootConstrainSelectedInstOperands,
     /*  435820 */     // GIR_Coverage, 3541,
     /*  435820 */     GIR_EraseRootFromParent_Done,
     /*  435821 */   // Label 7602: @435821
     /*  435821 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(435907), // Rule ID 3544 //
     /*  435826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  435837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  435840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  435843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435873 */     // MIs[1] Operand 1
     /*  435873 */     // No operand predicates
     /*  435873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435882 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435905 */     GIR_RootConstrainSelectedInstOperands,
     /*  435906 */     // GIR_Coverage, 3544,
     /*  435906 */     GIR_EraseRootFromParent_Done,
     /*  435907 */   // Label 7603: @435907
     /*  435907 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(435993), // Rule ID 3545 //
     /*  435912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  435923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  435926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  435929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435959 */     // MIs[1] Operand 1
     /*  435959 */     // No operand predicates
     /*  435959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435968 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435991 */     GIR_RootConstrainSelectedInstOperands,
     /*  435992 */     // GIR_Coverage, 3545,
     /*  435992 */     GIR_EraseRootFromParent_Done,
     /*  435993 */   // Label 7604: @435993
     /*  435993 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(436079), // Rule ID 3548 //
     /*  435998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  436009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  436012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  436015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436045 */     // MIs[1] Operand 1
     /*  436045 */     // No operand predicates
     /*  436045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436054 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  436054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436077 */     GIR_RootConstrainSelectedInstOperands,
     /*  436078 */     // GIR_Coverage, 3548,
     /*  436078 */     GIR_EraseRootFromParent_Done,
     /*  436079 */   // Label 7605: @436079
     /*  436079 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(436165), // Rule ID 3549 //
     /*  436084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  436095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  436098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  436101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436131 */     // MIs[1] Operand 1
     /*  436131 */     // No operand predicates
     /*  436131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436140 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436163 */     GIR_RootConstrainSelectedInstOperands,
     /*  436164 */     // GIR_Coverage, 3549,
     /*  436164 */     GIR_EraseRootFromParent_Done,
     /*  436165 */   // Label 7606: @436165
     /*  436165 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(436251), // Rule ID 3552 //
     /*  436170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  436181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  436184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  436187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436217 */     // MIs[1] Operand 1
     /*  436217 */     // No operand predicates
     /*  436217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436226 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  436226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436249 */     GIR_RootConstrainSelectedInstOperands,
     /*  436250 */     // GIR_Coverage, 3552,
     /*  436250 */     GIR_EraseRootFromParent_Done,
     /*  436251 */   // Label 7607: @436251
     /*  436251 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(436337), // Rule ID 3553 //
     /*  436256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  436267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  436270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  436273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436303 */     // MIs[1] Operand 1
     /*  436303 */     // No operand predicates
     /*  436303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436312 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436335 */     GIR_RootConstrainSelectedInstOperands,
     /*  436336 */     // GIR_Coverage, 3553,
     /*  436336 */     GIR_EraseRootFromParent_Done,
     /*  436337 */   // Label 7608: @436337
     /*  436337 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(436423), // Rule ID 3556 //
     /*  436342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  436353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  436356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  436359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436389 */     // MIs[1] Operand 1
     /*  436389 */     // No operand predicates
     /*  436389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436398 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436421 */     GIR_RootConstrainSelectedInstOperands,
     /*  436422 */     // GIR_Coverage, 3556,
     /*  436422 */     GIR_EraseRootFromParent_Done,
     /*  436423 */   // Label 7609: @436423
     /*  436423 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(436509), // Rule ID 3557 //
     /*  436428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  436439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  436442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  436445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436475 */     // MIs[1] Operand 1
     /*  436475 */     // No operand predicates
     /*  436475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436484 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436507 */     GIR_RootConstrainSelectedInstOperands,
     /*  436508 */     // GIR_Coverage, 3557,
     /*  436508 */     GIR_EraseRootFromParent_Done,
     /*  436509 */   // Label 7610: @436509
     /*  436509 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(436595), // Rule ID 3560 //
     /*  436514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  436525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  436528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  436531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436561 */     // MIs[1] Operand 1
     /*  436561 */     // No operand predicates
     /*  436561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436570 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436593 */     GIR_RootConstrainSelectedInstOperands,
     /*  436594 */     // GIR_Coverage, 3560,
     /*  436594 */     GIR_EraseRootFromParent_Done,
     /*  436595 */   // Label 7611: @436595
     /*  436595 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(436681), // Rule ID 3561 //
     /*  436600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  436611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  436614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  436617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436647 */     // MIs[1] Operand 1
     /*  436647 */     // No operand predicates
     /*  436647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436656 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436679 */     GIR_RootConstrainSelectedInstOperands,
     /*  436680 */     // GIR_Coverage, 3561,
     /*  436680 */     GIR_EraseRootFromParent_Done,
     /*  436681 */   // Label 7612: @436681
     /*  436681 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(436767), // Rule ID 3564 //
     /*  436686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  436697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  436700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  436703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436733 */     // MIs[1] Operand 1
     /*  436733 */     // No operand predicates
     /*  436733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436742 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436765 */     GIR_RootConstrainSelectedInstOperands,
     /*  436766 */     // GIR_Coverage, 3564,
     /*  436766 */     GIR_EraseRootFromParent_Done,
     /*  436767 */   // Label 7613: @436767
     /*  436767 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(436853), // Rule ID 3565 //
     /*  436772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  436783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  436786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  436789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436819 */     // MIs[1] Operand 1
     /*  436819 */     // No operand predicates
     /*  436819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436828 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436851 */     GIR_RootConstrainSelectedInstOperands,
     /*  436852 */     // GIR_Coverage, 3565,
     /*  436852 */     GIR_EraseRootFromParent_Done,
     /*  436853 */   // Label 7614: @436853
     /*  436853 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(436939), // Rule ID 3568 //
     /*  436858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  436869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  436872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436905 */     // MIs[1] Operand 1
     /*  436905 */     // No operand predicates
     /*  436905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436914 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436937 */     GIR_RootConstrainSelectedInstOperands,
     /*  436938 */     // GIR_Coverage, 3568,
     /*  436938 */     GIR_EraseRootFromParent_Done,
     /*  436939 */   // Label 7615: @436939
     /*  436939 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(437025), // Rule ID 3569 //
     /*  436944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  436955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  436958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436991 */     // MIs[1] Operand 1
     /*  436991 */     // No operand predicates
     /*  436991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  437003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437023 */     GIR_RootConstrainSelectedInstOperands,
     /*  437024 */     // GIR_Coverage, 3569,
     /*  437024 */     GIR_EraseRootFromParent_Done,
     /*  437025 */   // Label 7616: @437025
     /*  437025 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(437111), // Rule ID 3572 //
     /*  437030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  437041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  437044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  437047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437077 */     // MIs[1] Operand 1
     /*  437077 */     // No operand predicates
     /*  437077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  437089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437109 */     GIR_RootConstrainSelectedInstOperands,
     /*  437110 */     // GIR_Coverage, 3572,
     /*  437110 */     GIR_EraseRootFromParent_Done,
     /*  437111 */   // Label 7617: @437111
     /*  437111 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(437197), // Rule ID 3573 //
     /*  437116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  437127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  437130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  437133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437163 */     // MIs[1] Operand 1
     /*  437163 */     // No operand predicates
     /*  437163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  437175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437195 */     GIR_RootConstrainSelectedInstOperands,
     /*  437196 */     // GIR_Coverage, 3573,
     /*  437196 */     GIR_EraseRootFromParent_Done,
     /*  437197 */   // Label 7618: @437197
     /*  437197 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(437283), // Rule ID 3576 //
     /*  437202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  437213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  437216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  437219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437249 */     // MIs[1] Operand 1
     /*  437249 */     // No operand predicates
     /*  437249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  437261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437281 */     GIR_RootConstrainSelectedInstOperands,
     /*  437282 */     // GIR_Coverage, 3576,
     /*  437282 */     GIR_EraseRootFromParent_Done,
     /*  437283 */   // Label 7619: @437283
     /*  437283 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(437369), // Rule ID 3577 //
     /*  437288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  437299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  437302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  437305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437335 */     // MIs[1] Operand 1
     /*  437335 */     // No operand predicates
     /*  437335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  437347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437367 */     GIR_RootConstrainSelectedInstOperands,
     /*  437368 */     // GIR_Coverage, 3577,
     /*  437368 */     GIR_EraseRootFromParent_Done,
     /*  437369 */   // Label 7620: @437369
     /*  437369 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(437455), // Rule ID 3580 //
     /*  437374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  437385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  437388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  437391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437421 */     // MIs[1] Operand 1
     /*  437421 */     // No operand predicates
     /*  437421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437430 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  437433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437453 */     GIR_RootConstrainSelectedInstOperands,
     /*  437454 */     // GIR_Coverage, 3580,
     /*  437454 */     GIR_EraseRootFromParent_Done,
     /*  437455 */   // Label 7621: @437455
     /*  437455 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(437541), // Rule ID 3581 //
     /*  437460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  437463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  437471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  437474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  437477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437507 */     // MIs[1] Operand 1
     /*  437507 */     // No operand predicates
     /*  437507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437516 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  437519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437539 */     GIR_RootConstrainSelectedInstOperands,
     /*  437540 */     // GIR_Coverage, 3581,
     /*  437540 */     GIR_EraseRootFromParent_Done,
     /*  437541 */   // Label 7622: @437541
     /*  437541 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(437627), // Rule ID 3584 //
     /*  437546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  437557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  437560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  437563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437593 */     // MIs[1] Operand 1
     /*  437593 */     // No operand predicates
     /*  437593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  437605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437625 */     GIR_RootConstrainSelectedInstOperands,
     /*  437626 */     // GIR_Coverage, 3584,
     /*  437626 */     GIR_EraseRootFromParent_Done,
     /*  437627 */   // Label 7623: @437627
     /*  437627 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(437713), // Rule ID 3585 //
     /*  437632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  437635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  437643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  437646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  437649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437679 */     // MIs[1] Operand 1
     /*  437679 */     // No operand predicates
     /*  437679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  437691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437711 */     GIR_RootConstrainSelectedInstOperands,
     /*  437712 */     // GIR_Coverage, 3585,
     /*  437712 */     GIR_EraseRootFromParent_Done,
     /*  437713 */   // Label 7624: @437713
     /*  437713 */   GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(437799), // Rule ID 3588 //
     /*  437718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  437729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  437732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  437735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437765 */     // MIs[1] Operand 1
     /*  437765 */     // No operand predicates
     /*  437765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  437777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437797 */     GIR_RootConstrainSelectedInstOperands,
     /*  437798 */     // GIR_Coverage, 3588,
     /*  437798 */     GIR_EraseRootFromParent_Done,
     /*  437799 */   // Label 7625: @437799
     /*  437799 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(437885), // Rule ID 3589 //
     /*  437804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  437807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  437815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  437818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  437821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437851 */     // MIs[1] Operand 1
     /*  437851 */     // No operand predicates
     /*  437851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  437863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437883 */     GIR_RootConstrainSelectedInstOperands,
     /*  437884 */     // GIR_Coverage, 3589,
     /*  437884 */     GIR_EraseRootFromParent_Done,
     /*  437885 */   // Label 7626: @437885
     /*  437885 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(437971), // Rule ID 5952 //
     /*  437890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  437907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437937 */     // MIs[1] Operand 1
     /*  437937 */     // No operand predicates
     /*  437937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437946 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  437949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437969 */     GIR_RootConstrainSelectedInstOperands,
     /*  437970 */     // GIR_Coverage, 5952,
     /*  437970 */     GIR_EraseRootFromParent_Done,
     /*  437971 */   // Label 7627: @437971
     /*  437971 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(438057), // Rule ID 5953 //
     /*  437976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  437993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438023 */     // MIs[1] Operand 1
     /*  438023 */     // No operand predicates
     /*  438023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438032 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  438035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438055 */     GIR_RootConstrainSelectedInstOperands,
     /*  438056 */     // GIR_Coverage, 5953,
     /*  438056 */     GIR_EraseRootFromParent_Done,
     /*  438057 */   // Label 7628: @438057
     /*  438057 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(438143), // Rule ID 5956 //
     /*  438062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  438073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  438076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  438079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438109 */     // MIs[1] Operand 1
     /*  438109 */     // No operand predicates
     /*  438109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438118 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  438121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438141 */     GIR_RootConstrainSelectedInstOperands,
     /*  438142 */     // GIR_Coverage, 5956,
     /*  438142 */     GIR_EraseRootFromParent_Done,
     /*  438143 */   // Label 7629: @438143
     /*  438143 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(438229), // Rule ID 5957 //
     /*  438148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  438159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  438162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  438165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438195 */     // MIs[1] Operand 1
     /*  438195 */     // No operand predicates
     /*  438195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438204 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  438207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438227 */     GIR_RootConstrainSelectedInstOperands,
     /*  438228 */     // GIR_Coverage, 5957,
     /*  438228 */     GIR_EraseRootFromParent_Done,
     /*  438229 */   // Label 7630: @438229
     /*  438229 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(438315), // Rule ID 5960 //
     /*  438234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  438245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  438248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  438251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438281 */     // MIs[1] Operand 1
     /*  438281 */     // No operand predicates
     /*  438281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438290 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  438293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438313 */     GIR_RootConstrainSelectedInstOperands,
     /*  438314 */     // GIR_Coverage, 5960,
     /*  438314 */     GIR_EraseRootFromParent_Done,
     /*  438315 */   // Label 7631: @438315
     /*  438315 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(438401), // Rule ID 5961 //
     /*  438320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  438331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  438334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  438337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438367 */     // MIs[1] Operand 1
     /*  438367 */     // No operand predicates
     /*  438367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438376 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  438379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438399 */     GIR_RootConstrainSelectedInstOperands,
     /*  438400 */     // GIR_Coverage, 5961,
     /*  438400 */     GIR_EraseRootFromParent_Done,
     /*  438401 */   // Label 7632: @438401
     /*  438401 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(438487), // Rule ID 5964 //
     /*  438406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  438417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  438420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  438423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438453 */     // MIs[1] Operand 1
     /*  438453 */     // No operand predicates
     /*  438453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438462 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  438465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438485 */     GIR_RootConstrainSelectedInstOperands,
     /*  438486 */     // GIR_Coverage, 5964,
     /*  438486 */     GIR_EraseRootFromParent_Done,
     /*  438487 */   // Label 7633: @438487
     /*  438487 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(438573), // Rule ID 5965 //
     /*  438492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  438503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  438506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  438509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438539 */     // MIs[1] Operand 1
     /*  438539 */     // No operand predicates
     /*  438539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438548 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  438551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438571 */     GIR_RootConstrainSelectedInstOperands,
     /*  438572 */     // GIR_Coverage, 5965,
     /*  438572 */     GIR_EraseRootFromParent_Done,
     /*  438573 */   // Label 7634: @438573
     /*  438573 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(438659), // Rule ID 5968 //
     /*  438578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  438589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  438592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  438595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438625 */     // MIs[1] Operand 1
     /*  438625 */     // No operand predicates
     /*  438625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438634 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  438637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438657 */     GIR_RootConstrainSelectedInstOperands,
     /*  438658 */     // GIR_Coverage, 5968,
     /*  438658 */     GIR_EraseRootFromParent_Done,
     /*  438659 */   // Label 7635: @438659
     /*  438659 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(438745), // Rule ID 5969 //
     /*  438664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  438675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  438678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  438681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438711 */     // MIs[1] Operand 1
     /*  438711 */     // No operand predicates
     /*  438711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438720 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  438723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438743 */     GIR_RootConstrainSelectedInstOperands,
     /*  438744 */     // GIR_Coverage, 5969,
     /*  438744 */     GIR_EraseRootFromParent_Done,
     /*  438745 */   // Label 7636: @438745
     /*  438745 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(438831), // Rule ID 5972 //
     /*  438750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438797 */     // MIs[1] Operand 1
     /*  438797 */     // No operand predicates
     /*  438797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438806 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  438809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438829 */     GIR_RootConstrainSelectedInstOperands,
     /*  438830 */     // GIR_Coverage, 5972,
     /*  438830 */     GIR_EraseRootFromParent_Done,
     /*  438831 */   // Label 7637: @438831
     /*  438831 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(438917), // Rule ID 5973 //
     /*  438836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438883 */     // MIs[1] Operand 1
     /*  438883 */     // No operand predicates
     /*  438883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438892 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  438895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438915 */     GIR_RootConstrainSelectedInstOperands,
     /*  438916 */     // GIR_Coverage, 5973,
     /*  438916 */     GIR_EraseRootFromParent_Done,
     /*  438917 */   // Label 7638: @438917
     /*  438917 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(439003), // Rule ID 5976 //
     /*  438922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  438933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  438936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  438939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438969 */     // MIs[1] Operand 1
     /*  438969 */     // No operand predicates
     /*  438969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438978 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439001 */     GIR_RootConstrainSelectedInstOperands,
     /*  439002 */     // GIR_Coverage, 5976,
     /*  439002 */     GIR_EraseRootFromParent_Done,
     /*  439003 */   // Label 7639: @439003
     /*  439003 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(439089), // Rule ID 5977 //
     /*  439008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  439019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  439022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  439025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439055 */     // MIs[1] Operand 1
     /*  439055 */     // No operand predicates
     /*  439055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439064 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  439067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439087 */     GIR_RootConstrainSelectedInstOperands,
     /*  439088 */     // GIR_Coverage, 5977,
     /*  439088 */     GIR_EraseRootFromParent_Done,
     /*  439089 */   // Label 7640: @439089
     /*  439089 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(439175), // Rule ID 5980 //
     /*  439094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  439105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  439108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  439111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439141 */     // MIs[1] Operand 1
     /*  439141 */     // No operand predicates
     /*  439141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439150 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  439153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439173 */     GIR_RootConstrainSelectedInstOperands,
     /*  439174 */     // GIR_Coverage, 5980,
     /*  439174 */     GIR_EraseRootFromParent_Done,
     /*  439175 */   // Label 7641: @439175
     /*  439175 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(439261), // Rule ID 5981 //
     /*  439180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  439191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  439194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  439197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439227 */     // MIs[1] Operand 1
     /*  439227 */     // No operand predicates
     /*  439227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  439239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439259 */     GIR_RootConstrainSelectedInstOperands,
     /*  439260 */     // GIR_Coverage, 5981,
     /*  439260 */     GIR_EraseRootFromParent_Done,
     /*  439261 */   // Label 7642: @439261
     /*  439261 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(439347), // Rule ID 5984 //
     /*  439266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  439277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  439280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  439283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439313 */     // MIs[1] Operand 1
     /*  439313 */     // No operand predicates
     /*  439313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  439325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439345 */     GIR_RootConstrainSelectedInstOperands,
     /*  439346 */     // GIR_Coverage, 5984,
     /*  439346 */     GIR_EraseRootFromParent_Done,
     /*  439347 */   // Label 7643: @439347
     /*  439347 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(439433), // Rule ID 5985 //
     /*  439352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  439363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  439366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  439369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439399 */     // MIs[1] Operand 1
     /*  439399 */     // No operand predicates
     /*  439399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  439411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439431 */     GIR_RootConstrainSelectedInstOperands,
     /*  439432 */     // GIR_Coverage, 5985,
     /*  439432 */     GIR_EraseRootFromParent_Done,
     /*  439433 */   // Label 7644: @439433
     /*  439433 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(439519), // Rule ID 5988 //
     /*  439438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  439441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  439449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  439452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  439455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439485 */     // MIs[1] Operand 1
     /*  439485 */     // No operand predicates
     /*  439485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  439494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  439497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  439514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439517 */     GIR_RootConstrainSelectedInstOperands,
     /*  439518 */     // GIR_Coverage, 5988,
     /*  439518 */     GIR_EraseRootFromParent_Done,
     /*  439519 */   // Label 7645: @439519
     /*  439519 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(439605), // Rule ID 5989 //
     /*  439524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  439527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  439535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  439538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  439541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439571 */     // MIs[1] Operand 1
     /*  439571 */     // No operand predicates
     /*  439571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  439580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  439583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  439600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439603 */     GIR_RootConstrainSelectedInstOperands,
     /*  439604 */     // GIR_Coverage, 5989,
     /*  439604 */     GIR_EraseRootFromParent_Done,
     /*  439605 */   // Label 7646: @439605
     /*  439605 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(439691), // Rule ID 5992 //
     /*  439610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  439621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  439624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  439627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439657 */     // MIs[1] Operand 1
     /*  439657 */     // No operand predicates
     /*  439657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439666 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439689 */     GIR_RootConstrainSelectedInstOperands,
     /*  439690 */     // GIR_Coverage, 5992,
     /*  439690 */     GIR_EraseRootFromParent_Done,
     /*  439691 */   // Label 7647: @439691
     /*  439691 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(439777), // Rule ID 5993 //
     /*  439696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  439707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  439710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  439713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439743 */     // MIs[1] Operand 1
     /*  439743 */     // No operand predicates
     /*  439743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439752 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439775 */     GIR_RootConstrainSelectedInstOperands,
     /*  439776 */     // GIR_Coverage, 5993,
     /*  439776 */     GIR_EraseRootFromParent_Done,
     /*  439777 */   // Label 7648: @439777
     /*  439777 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(439863), // Rule ID 5996 //
     /*  439782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  439793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  439796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  439799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439829 */     // MIs[1] Operand 1
     /*  439829 */     // No operand predicates
     /*  439829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439838 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439861 */     GIR_RootConstrainSelectedInstOperands,
     /*  439862 */     // GIR_Coverage, 5996,
     /*  439862 */     GIR_EraseRootFromParent_Done,
     /*  439863 */   // Label 7649: @439863
     /*  439863 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(439949), // Rule ID 5997 //
     /*  439868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  439879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  439882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  439885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439915 */     // MIs[1] Operand 1
     /*  439915 */     // No operand predicates
     /*  439915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439924 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439947 */     GIR_RootConstrainSelectedInstOperands,
     /*  439948 */     // GIR_Coverage, 5997,
     /*  439948 */     GIR_EraseRootFromParent_Done,
     /*  439949 */   // Label 7650: @439949
     /*  439949 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(440035), // Rule ID 6000 //
     /*  439954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  439965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  439968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  439971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440001 */     // MIs[1] Operand 1
     /*  440001 */     // No operand predicates
     /*  440001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440010 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440033 */     GIR_RootConstrainSelectedInstOperands,
     /*  440034 */     // GIR_Coverage, 6000,
     /*  440034 */     GIR_EraseRootFromParent_Done,
     /*  440035 */   // Label 7651: @440035
     /*  440035 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(440121), // Rule ID 6001 //
     /*  440040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  440051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  440054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  440057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440087 */     // MIs[1] Operand 1
     /*  440087 */     // No operand predicates
     /*  440087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440096 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440119 */     GIR_RootConstrainSelectedInstOperands,
     /*  440120 */     // GIR_Coverage, 6001,
     /*  440120 */     GIR_EraseRootFromParent_Done,
     /*  440121 */   // Label 7652: @440121
     /*  440121 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(440207), // Rule ID 6004 //
     /*  440126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  440137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  440140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  440143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440173 */     // MIs[1] Operand 1
     /*  440173 */     // No operand predicates
     /*  440173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440182 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440205 */     GIR_RootConstrainSelectedInstOperands,
     /*  440206 */     // GIR_Coverage, 6004,
     /*  440206 */     GIR_EraseRootFromParent_Done,
     /*  440207 */   // Label 7653: @440207
     /*  440207 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(440293), // Rule ID 6005 //
     /*  440212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  440223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  440226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  440229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440259 */     // MIs[1] Operand 1
     /*  440259 */     // No operand predicates
     /*  440259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440291 */     GIR_RootConstrainSelectedInstOperands,
     /*  440292 */     // GIR_Coverage, 6005,
     /*  440292 */     GIR_EraseRootFromParent_Done,
     /*  440293 */   // Label 7654: @440293
     /*  440293 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(440379), // Rule ID 6008 //
     /*  440298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  440309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  440312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  440315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440345 */     // MIs[1] Operand 1
     /*  440345 */     // No operand predicates
     /*  440345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440354 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440377 */     GIR_RootConstrainSelectedInstOperands,
     /*  440378 */     // GIR_Coverage, 6008,
     /*  440378 */     GIR_EraseRootFromParent_Done,
     /*  440379 */   // Label 7655: @440379
     /*  440379 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(440465), // Rule ID 6009 //
     /*  440384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  440395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  440398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  440401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440431 */     // MIs[1] Operand 1
     /*  440431 */     // No operand predicates
     /*  440431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440440 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440463 */     GIR_RootConstrainSelectedInstOperands,
     /*  440464 */     // GIR_Coverage, 6009,
     /*  440464 */     GIR_EraseRootFromParent_Done,
     /*  440465 */   // Label 7656: @440465
     /*  440465 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(440551), // Rule ID 6012 //
     /*  440470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  440481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  440484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  440487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440517 */     // MIs[1] Operand 1
     /*  440517 */     // No operand predicates
     /*  440517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440526 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440549 */     GIR_RootConstrainSelectedInstOperands,
     /*  440550 */     // GIR_Coverage, 6012,
     /*  440550 */     GIR_EraseRootFromParent_Done,
     /*  440551 */   // Label 7657: @440551
     /*  440551 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(440637), // Rule ID 6013 //
     /*  440556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  440567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  440570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  440573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440603 */     // MIs[1] Operand 1
     /*  440603 */     // No operand predicates
     /*  440603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440612 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440635 */     GIR_RootConstrainSelectedInstOperands,
     /*  440636 */     // GIR_Coverage, 6013,
     /*  440636 */     GIR_EraseRootFromParent_Done,
     /*  440637 */   // Label 7658: @440637
     /*  440637 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(440723), // Rule ID 6016 //
     /*  440642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  440653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  440656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  440659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440689 */     // MIs[1] Operand 1
     /*  440689 */     // No operand predicates
     /*  440689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440698 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440721 */     GIR_RootConstrainSelectedInstOperands,
     /*  440722 */     // GIR_Coverage, 6016,
     /*  440722 */     GIR_EraseRootFromParent_Done,
     /*  440723 */   // Label 7659: @440723
     /*  440723 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(440809), // Rule ID 6017 //
     /*  440728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  440739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  440742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  440745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440775 */     // MIs[1] Operand 1
     /*  440775 */     // No operand predicates
     /*  440775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440784 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440807 */     GIR_RootConstrainSelectedInstOperands,
     /*  440808 */     // GIR_Coverage, 6017,
     /*  440808 */     GIR_EraseRootFromParent_Done,
     /*  440809 */   // Label 7660: @440809
     /*  440809 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(440895), // Rule ID 6020 //
     /*  440814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  440825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  440828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  440831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440861 */     // MIs[1] Operand 1
     /*  440861 */     // No operand predicates
     /*  440861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440870 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440893 */     GIR_RootConstrainSelectedInstOperands,
     /*  440894 */     // GIR_Coverage, 6020,
     /*  440894 */     GIR_EraseRootFromParent_Done,
     /*  440895 */   // Label 7661: @440895
     /*  440895 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(440981), // Rule ID 6021 //
     /*  440900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  440911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  440914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  440917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440947 */     // MIs[1] Operand 1
     /*  440947 */     // No operand predicates
     /*  440947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440956 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440979 */     GIR_RootConstrainSelectedInstOperands,
     /*  440980 */     // GIR_Coverage, 6021,
     /*  440980 */     GIR_EraseRootFromParent_Done,
     /*  440981 */   // Label 7662: @440981
     /*  440981 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(441067), // Rule ID 6024 //
     /*  440986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  440997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  441000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  441003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441033 */     // MIs[1] Operand 1
     /*  441033 */     // No operand predicates
     /*  441033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  441045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441065 */     GIR_RootConstrainSelectedInstOperands,
     /*  441066 */     // GIR_Coverage, 6024,
     /*  441066 */     GIR_EraseRootFromParent_Done,
     /*  441067 */   // Label 7663: @441067
     /*  441067 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(441153), // Rule ID 6025 //
     /*  441072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  441083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  441086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  441089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441119 */     // MIs[1] Operand 1
     /*  441119 */     // No operand predicates
     /*  441119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441128 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  441131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441151 */     GIR_RootConstrainSelectedInstOperands,
     /*  441152 */     // GIR_Coverage, 6025,
     /*  441152 */     GIR_EraseRootFromParent_Done,
     /*  441153 */   // Label 7664: @441153
     /*  441153 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(441239), // Rule ID 6028 //
     /*  441158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  441161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  441169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  441172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  441175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441205 */     // MIs[1] Operand 1
     /*  441205 */     // No operand predicates
     /*  441205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441214 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  441214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  441217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441237 */     GIR_RootConstrainSelectedInstOperands,
     /*  441238 */     // GIR_Coverage, 6028,
     /*  441238 */     GIR_EraseRootFromParent_Done,
     /*  441239 */   // Label 7665: @441239
     /*  441239 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(441325), // Rule ID 6029 //
     /*  441244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  441255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  441258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  441261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441291 */     // MIs[1] Operand 1
     /*  441291 */     // No operand predicates
     /*  441291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441300 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  441300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  441303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441323 */     GIR_RootConstrainSelectedInstOperands,
     /*  441324 */     // GIR_Coverage, 6029,
     /*  441324 */     GIR_EraseRootFromParent_Done,
     /*  441325 */   // Label 7666: @441325
     /*  441325 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(441411), // Rule ID 6032 //
     /*  441330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  441333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  441341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  441344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441377 */     // MIs[1] Operand 1
     /*  441377 */     // No operand predicates
     /*  441377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441386 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  441386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  441389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441409 */     GIR_RootConstrainSelectedInstOperands,
     /*  441410 */     // GIR_Coverage, 6032,
     /*  441410 */     GIR_EraseRootFromParent_Done,
     /*  441411 */   // Label 7667: @441411
     /*  441411 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(441497), // Rule ID 6033 //
     /*  441416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  441427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  441430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441463 */     // MIs[1] Operand 1
     /*  441463 */     // No operand predicates
     /*  441463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  441472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  441475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441495 */     GIR_RootConstrainSelectedInstOperands,
     /*  441496 */     // GIR_Coverage, 6033,
     /*  441496 */     GIR_EraseRootFromParent_Done,
     /*  441497 */   // Label 7668: @441497
     /*  441497 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(441583), // Rule ID 6036 //
     /*  441502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  441505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  441513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  441516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  441519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441549 */     // MIs[1] Operand 1
     /*  441549 */     // No operand predicates
     /*  441549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441558 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  441558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  441561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441581 */     GIR_RootConstrainSelectedInstOperands,
     /*  441582 */     // GIR_Coverage, 6036,
     /*  441582 */     GIR_EraseRootFromParent_Done,
     /*  441583 */   // Label 7669: @441583
     /*  441583 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(441669), // Rule ID 6037 //
     /*  441588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  441599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  441602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  441605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441635 */     // MIs[1] Operand 1
     /*  441635 */     // No operand predicates
     /*  441635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  441644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  441647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441667 */     GIR_RootConstrainSelectedInstOperands,
     /*  441668 */     // GIR_Coverage, 6037,
     /*  441668 */     GIR_EraseRootFromParent_Done,
     /*  441669 */   // Label 7670: @441669
     /*  441669 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(441755), // Rule ID 6216 //
     /*  441674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  441685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  441688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  441691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441721 */     // MIs[1] Operand 1
     /*  441721 */     // No operand predicates
     /*  441721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441730 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  441733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441753 */     GIR_RootConstrainSelectedInstOperands,
     /*  441754 */     // GIR_Coverage, 6216,
     /*  441754 */     GIR_EraseRootFromParent_Done,
     /*  441755 */   // Label 7671: @441755
     /*  441755 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(441841), // Rule ID 6217 //
     /*  441760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  441771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  441774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  441777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441807 */     // MIs[1] Operand 1
     /*  441807 */     // No operand predicates
     /*  441807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441816 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  441819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441839 */     GIR_RootConstrainSelectedInstOperands,
     /*  441840 */     // GIR_Coverage, 6217,
     /*  441840 */     GIR_EraseRootFromParent_Done,
     /*  441841 */   // Label 7672: @441841
     /*  441841 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(441927), // Rule ID 6220 //
     /*  441846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  441857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  441860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  441863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441893 */     // MIs[1] Operand 1
     /*  441893 */     // No operand predicates
     /*  441893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441902 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441925 */     GIR_RootConstrainSelectedInstOperands,
     /*  441926 */     // GIR_Coverage, 6220,
     /*  441926 */     GIR_EraseRootFromParent_Done,
     /*  441927 */   // Label 7673: @441927
     /*  441927 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(442013), // Rule ID 6221 //
     /*  441932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  441943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  441946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  441949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441979 */     // MIs[1] Operand 1
     /*  441979 */     // No operand predicates
     /*  441979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441988 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442011 */     GIR_RootConstrainSelectedInstOperands,
     /*  442012 */     // GIR_Coverage, 6221,
     /*  442012 */     GIR_EraseRootFromParent_Done,
     /*  442013 */   // Label 7674: @442013
     /*  442013 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(442099), // Rule ID 6224 //
     /*  442018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  442029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  442032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  442035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442065 */     // MIs[1] Operand 1
     /*  442065 */     // No operand predicates
     /*  442065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442074 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  442077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442097 */     GIR_RootConstrainSelectedInstOperands,
     /*  442098 */     // GIR_Coverage, 6224,
     /*  442098 */     GIR_EraseRootFromParent_Done,
     /*  442099 */   // Label 7675: @442099
     /*  442099 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(442185), // Rule ID 6225 //
     /*  442104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  442115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  442118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  442121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442151 */     // MIs[1] Operand 1
     /*  442151 */     // No operand predicates
     /*  442151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442160 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  442163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442183 */     GIR_RootConstrainSelectedInstOperands,
     /*  442184 */     // GIR_Coverage, 6225,
     /*  442184 */     GIR_EraseRootFromParent_Done,
     /*  442185 */   // Label 7676: @442185
     /*  442185 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(442271), // Rule ID 6228 //
     /*  442190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  442201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  442204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  442207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442237 */     // MIs[1] Operand 1
     /*  442237 */     // No operand predicates
     /*  442237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  442249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442269 */     GIR_RootConstrainSelectedInstOperands,
     /*  442270 */     // GIR_Coverage, 6228,
     /*  442270 */     GIR_EraseRootFromParent_Done,
     /*  442271 */   // Label 7677: @442271
     /*  442271 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(442357), // Rule ID 6229 //
     /*  442276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  442287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  442290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  442293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442323 */     // MIs[1] Operand 1
     /*  442323 */     // No operand predicates
     /*  442323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442332 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  442335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442355 */     GIR_RootConstrainSelectedInstOperands,
     /*  442356 */     // GIR_Coverage, 6229,
     /*  442356 */     GIR_EraseRootFromParent_Done,
     /*  442357 */   // Label 7678: @442357
     /*  442357 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(442443), // Rule ID 6232 //
     /*  442362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  442373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  442376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  442379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442409 */     // MIs[1] Operand 1
     /*  442409 */     // No operand predicates
     /*  442409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442418 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  442421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442441 */     GIR_RootConstrainSelectedInstOperands,
     /*  442442 */     // GIR_Coverage, 6232,
     /*  442442 */     GIR_EraseRootFromParent_Done,
     /*  442443 */   // Label 7679: @442443
     /*  442443 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(442529), // Rule ID 6233 //
     /*  442448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  442459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  442462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  442465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442495 */     // MIs[1] Operand 1
     /*  442495 */     // No operand predicates
     /*  442495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442504 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  442507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442527 */     GIR_RootConstrainSelectedInstOperands,
     /*  442528 */     // GIR_Coverage, 6233,
     /*  442528 */     GIR_EraseRootFromParent_Done,
     /*  442529 */   // Label 7680: @442529
     /*  442529 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(442615), // Rule ID 6236 //
     /*  442534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  442545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  442548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  442551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442581 */     // MIs[1] Operand 1
     /*  442581 */     // No operand predicates
     /*  442581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442590 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  442593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442613 */     GIR_RootConstrainSelectedInstOperands,
     /*  442614 */     // GIR_Coverage, 6236,
     /*  442614 */     GIR_EraseRootFromParent_Done,
     /*  442615 */   // Label 7681: @442615
     /*  442615 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(442701), // Rule ID 6237 //
     /*  442620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  442631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  442634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  442637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442667 */     // MIs[1] Operand 1
     /*  442667 */     // No operand predicates
     /*  442667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442676 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  442679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442699 */     GIR_RootConstrainSelectedInstOperands,
     /*  442700 */     // GIR_Coverage, 6237,
     /*  442700 */     GIR_EraseRootFromParent_Done,
     /*  442701 */   // Label 7682: @442701
     /*  442701 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(442787), // Rule ID 6240 //
     /*  442706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  442717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  442720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  442723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442753 */     // MIs[1] Operand 1
     /*  442753 */     // No operand predicates
     /*  442753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442762 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442785 */     GIR_RootConstrainSelectedInstOperands,
     /*  442786 */     // GIR_Coverage, 6240,
     /*  442786 */     GIR_EraseRootFromParent_Done,
     /*  442787 */   // Label 7683: @442787
     /*  442787 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(442873), // Rule ID 6241 //
     /*  442792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  442803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  442806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  442809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442839 */     // MIs[1] Operand 1
     /*  442839 */     // No operand predicates
     /*  442839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442848 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442871 */     GIR_RootConstrainSelectedInstOperands,
     /*  442872 */     // GIR_Coverage, 6241,
     /*  442872 */     GIR_EraseRootFromParent_Done,
     /*  442873 */   // Label 7684: @442873
     /*  442873 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(442959), // Rule ID 6244 //
     /*  442878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  442889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  442892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  442895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442925 */     // MIs[1] Operand 1
     /*  442925 */     // No operand predicates
     /*  442925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442934 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442957 */     GIR_RootConstrainSelectedInstOperands,
     /*  442958 */     // GIR_Coverage, 6244,
     /*  442958 */     GIR_EraseRootFromParent_Done,
     /*  442959 */   // Label 7685: @442959
     /*  442959 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(443045), // Rule ID 6245 //
     /*  442964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  442975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  442978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  442981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443011 */     // MIs[1] Operand 1
     /*  443011 */     // No operand predicates
     /*  443011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  443023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443043 */     GIR_RootConstrainSelectedInstOperands,
     /*  443044 */     // GIR_Coverage, 6245,
     /*  443044 */     GIR_EraseRootFromParent_Done,
     /*  443045 */   // Label 7686: @443045
     /*  443045 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(443131), // Rule ID 6248 //
     /*  443050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  443061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  443064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  443067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443097 */     // MIs[1] Operand 1
     /*  443097 */     // No operand predicates
     /*  443097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443106 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  443109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443129 */     GIR_RootConstrainSelectedInstOperands,
     /*  443130 */     // GIR_Coverage, 6248,
     /*  443130 */     GIR_EraseRootFromParent_Done,
     /*  443131 */   // Label 7687: @443131
     /*  443131 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(443217), // Rule ID 6249 //
     /*  443136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  443147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  443150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  443153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443183 */     // MIs[1] Operand 1
     /*  443183 */     // No operand predicates
     /*  443183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  443195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443215 */     GIR_RootConstrainSelectedInstOperands,
     /*  443216 */     // GIR_Coverage, 6249,
     /*  443216 */     GIR_EraseRootFromParent_Done,
     /*  443217 */   // Label 7688: @443217
     /*  443217 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(443303), // Rule ID 6252 //
     /*  443222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  443225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  443233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  443236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  443239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443269 */     // MIs[1] Operand 1
     /*  443269 */     // No operand predicates
     /*  443269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443278 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  443278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  443281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443301 */     GIR_RootConstrainSelectedInstOperands,
     /*  443302 */     // GIR_Coverage, 6252,
     /*  443302 */     GIR_EraseRootFromParent_Done,
     /*  443303 */   // Label 7689: @443303
     /*  443303 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(443389), // Rule ID 6253 //
     /*  443308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  443311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  443319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  443322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  443325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443355 */     // MIs[1] Operand 1
     /*  443355 */     // No operand predicates
     /*  443355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  443364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  443367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443387 */     GIR_RootConstrainSelectedInstOperands,
     /*  443388 */     // GIR_Coverage, 6253,
     /*  443388 */     GIR_EraseRootFromParent_Done,
     /*  443389 */   // Label 7690: @443389
     /*  443389 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(443475), // Rule ID 6256 //
     /*  443394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  443405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  443408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  443411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443441 */     // MIs[1] Operand 1
     /*  443441 */     // No operand predicates
     /*  443441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443450 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443473 */     GIR_RootConstrainSelectedInstOperands,
     /*  443474 */     // GIR_Coverage, 6256,
     /*  443474 */     GIR_EraseRootFromParent_Done,
     /*  443475 */   // Label 7691: @443475
     /*  443475 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(443561), // Rule ID 6257 //
     /*  443480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  443491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  443494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  443497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443527 */     // MIs[1] Operand 1
     /*  443527 */     // No operand predicates
     /*  443527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443559 */     GIR_RootConstrainSelectedInstOperands,
     /*  443560 */     // GIR_Coverage, 6257,
     /*  443560 */     GIR_EraseRootFromParent_Done,
     /*  443561 */   // Label 7692: @443561
     /*  443561 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(443647), // Rule ID 6260 //
     /*  443566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  443577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  443580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  443583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443613 */     // MIs[1] Operand 1
     /*  443613 */     // No operand predicates
     /*  443613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443622 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443645 */     GIR_RootConstrainSelectedInstOperands,
     /*  443646 */     // GIR_Coverage, 6260,
     /*  443646 */     GIR_EraseRootFromParent_Done,
     /*  443647 */   // Label 7693: @443647
     /*  443647 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(443733), // Rule ID 6261 //
     /*  443652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  443663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  443666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  443669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443699 */     // MIs[1] Operand 1
     /*  443699 */     // No operand predicates
     /*  443699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443708 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443731 */     GIR_RootConstrainSelectedInstOperands,
     /*  443732 */     // GIR_Coverage, 6261,
     /*  443732 */     GIR_EraseRootFromParent_Done,
     /*  443733 */   // Label 7694: @443733
     /*  443733 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(443819), // Rule ID 6264 //
     /*  443738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  443749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  443752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  443755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443785 */     // MIs[1] Operand 1
     /*  443785 */     // No operand predicates
     /*  443785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443794 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443817 */     GIR_RootConstrainSelectedInstOperands,
     /*  443818 */     // GIR_Coverage, 6264,
     /*  443818 */     GIR_EraseRootFromParent_Done,
     /*  443819 */   // Label 7695: @443819
     /*  443819 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(443905), // Rule ID 6265 //
     /*  443824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  443835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  443838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  443841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443871 */     // MIs[1] Operand 1
     /*  443871 */     // No operand predicates
     /*  443871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443880 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443903 */     GIR_RootConstrainSelectedInstOperands,
     /*  443904 */     // GIR_Coverage, 6265,
     /*  443904 */     GIR_EraseRootFromParent_Done,
     /*  443905 */   // Label 7696: @443905
     /*  443905 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(443991), // Rule ID 6268 //
     /*  443910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  443921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  443924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  443927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443957 */     // MIs[1] Operand 1
     /*  443957 */     // No operand predicates
     /*  443957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443966 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443989 */     GIR_RootConstrainSelectedInstOperands,
     /*  443990 */     // GIR_Coverage, 6268,
     /*  443990 */     GIR_EraseRootFromParent_Done,
     /*  443991 */   // Label 7697: @443991
     /*  443991 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(444077), // Rule ID 6269 //
     /*  443996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  444007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  444010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  444013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444043 */     // MIs[1] Operand 1
     /*  444043 */     // No operand predicates
     /*  444043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444052 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  444055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444075 */     GIR_RootConstrainSelectedInstOperands,
     /*  444076 */     // GIR_Coverage, 6269,
     /*  444076 */     GIR_EraseRootFromParent_Done,
     /*  444077 */   // Label 7698: @444077
     /*  444077 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(444163), // Rule ID 6272 //
     /*  444082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  444093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  444096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  444099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444129 */     // MIs[1] Operand 1
     /*  444129 */     // No operand predicates
     /*  444129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444138 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444161 */     GIR_RootConstrainSelectedInstOperands,
     /*  444162 */     // GIR_Coverage, 6272,
     /*  444162 */     GIR_EraseRootFromParent_Done,
     /*  444163 */   // Label 7699: @444163
     /*  444163 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(444249), // Rule ID 6273 //
     /*  444168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  444179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  444182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  444185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444215 */     // MIs[1] Operand 1
     /*  444215 */     // No operand predicates
     /*  444215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444224 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444247 */     GIR_RootConstrainSelectedInstOperands,
     /*  444248 */     // GIR_Coverage, 6273,
     /*  444248 */     GIR_EraseRootFromParent_Done,
     /*  444249 */   // Label 7700: @444249
     /*  444249 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(444335), // Rule ID 6276 //
     /*  444254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  444265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  444268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  444271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444301 */     // MIs[1] Operand 1
     /*  444301 */     // No operand predicates
     /*  444301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444310 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444333 */     GIR_RootConstrainSelectedInstOperands,
     /*  444334 */     // GIR_Coverage, 6276,
     /*  444334 */     GIR_EraseRootFromParent_Done,
     /*  444335 */   // Label 7701: @444335
     /*  444335 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(444421), // Rule ID 6277 //
     /*  444340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  444351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  444354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  444357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444387 */     // MIs[1] Operand 1
     /*  444387 */     // No operand predicates
     /*  444387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444396 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444419 */     GIR_RootConstrainSelectedInstOperands,
     /*  444420 */     // GIR_Coverage, 6277,
     /*  444420 */     GIR_EraseRootFromParent_Done,
     /*  444421 */   // Label 7702: @444421
     /*  444421 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(444507), // Rule ID 6280 //
     /*  444426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  444437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  444440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  444443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444473 */     // MIs[1] Operand 1
     /*  444473 */     // No operand predicates
     /*  444473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444482 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  444485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444505 */     GIR_RootConstrainSelectedInstOperands,
     /*  444506 */     // GIR_Coverage, 6280,
     /*  444506 */     GIR_EraseRootFromParent_Done,
     /*  444507 */   // Label 7703: @444507
     /*  444507 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(444593), // Rule ID 6281 //
     /*  444512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  444523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  444526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  444529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444559 */     // MIs[1] Operand 1
     /*  444559 */     // No operand predicates
     /*  444559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  444571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444591 */     GIR_RootConstrainSelectedInstOperands,
     /*  444592 */     // GIR_Coverage, 6281,
     /*  444592 */     GIR_EraseRootFromParent_Done,
     /*  444593 */   // Label 7704: @444593
     /*  444593 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(444679), // Rule ID 6284 //
     /*  444598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  444609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  444612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  444615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444645 */     // MIs[1] Operand 1
     /*  444645 */     // No operand predicates
     /*  444645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444677 */     GIR_RootConstrainSelectedInstOperands,
     /*  444678 */     // GIR_Coverage, 6284,
     /*  444678 */     GIR_EraseRootFromParent_Done,
     /*  444679 */   // Label 7705: @444679
     /*  444679 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(444765), // Rule ID 6285 //
     /*  444684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  444695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  444698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  444701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444731 */     // MIs[1] Operand 1
     /*  444731 */     // No operand predicates
     /*  444731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444740 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444763 */     GIR_RootConstrainSelectedInstOperands,
     /*  444764 */     // GIR_Coverage, 6285,
     /*  444764 */     GIR_EraseRootFromParent_Done,
     /*  444765 */   // Label 7706: @444765
     /*  444765 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(444851), // Rule ID 6288 //
     /*  444770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  444781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  444784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  444787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444817 */     // MIs[1] Operand 1
     /*  444817 */     // No operand predicates
     /*  444817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444849 */     GIR_RootConstrainSelectedInstOperands,
     /*  444850 */     // GIR_Coverage, 6288,
     /*  444850 */     GIR_EraseRootFromParent_Done,
     /*  444851 */   // Label 7707: @444851
     /*  444851 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(444937), // Rule ID 6289 //
     /*  444856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  444867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  444870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  444873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444903 */     // MIs[1] Operand 1
     /*  444903 */     // No operand predicates
     /*  444903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444935 */     GIR_RootConstrainSelectedInstOperands,
     /*  444936 */     // GIR_Coverage, 6289,
     /*  444936 */     GIR_EraseRootFromParent_Done,
     /*  444937 */   // Label 7708: @444937
     /*  444937 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(445023), // Rule ID 6292 //
     /*  444942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  444953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  444956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  444959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444989 */     // MIs[1] Operand 1
     /*  444989 */     // No operand predicates
     /*  444989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444998 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  445001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445021 */     GIR_RootConstrainSelectedInstOperands,
     /*  445022 */     // GIR_Coverage, 6292,
     /*  445022 */     GIR_EraseRootFromParent_Done,
     /*  445023 */   // Label 7709: @445023
     /*  445023 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(445109), // Rule ID 6293 //
     /*  445028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  445031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  445039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  445042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  445045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445075 */     // MIs[1] Operand 1
     /*  445075 */     // No operand predicates
     /*  445075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  445084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  445087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445107 */     GIR_RootConstrainSelectedInstOperands,
     /*  445108 */     // GIR_Coverage, 6293,
     /*  445108 */     GIR_EraseRootFromParent_Done,
     /*  445109 */   // Label 7710: @445109
     /*  445109 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(445195), // Rule ID 6296 //
     /*  445114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  445117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  445125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  445128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  445131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445161 */     // MIs[1] Operand 1
     /*  445161 */     // No operand predicates
     /*  445161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445170 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  445170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  445173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445193 */     GIR_RootConstrainSelectedInstOperands,
     /*  445194 */     // GIR_Coverage, 6296,
     /*  445194 */     GIR_EraseRootFromParent_Done,
     /*  445195 */   // Label 7711: @445195
     /*  445195 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(445281), // Rule ID 6297 //
     /*  445200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  445203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  445211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  445214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  445217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445247 */     // MIs[1] Operand 1
     /*  445247 */     // No operand predicates
     /*  445247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445256 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  445256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  445259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445279 */     GIR_RootConstrainSelectedInstOperands,
     /*  445280 */     // GIR_Coverage, 6297,
     /*  445280 */     GIR_EraseRootFromParent_Done,
     /*  445281 */   // Label 7712: @445281
     /*  445281 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(445367), // Rule ID 6300 //
     /*  445286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  445289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  445297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  445300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  445303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445333 */     // MIs[1] Operand 1
     /*  445333 */     // No operand predicates
     /*  445333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445342 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  445342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  445345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445365 */     GIR_RootConstrainSelectedInstOperands,
     /*  445366 */     // GIR_Coverage, 6300,
     /*  445366 */     GIR_EraseRootFromParent_Done,
     /*  445367 */   // Label 7713: @445367
     /*  445367 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(445453), // Rule ID 6301 //
     /*  445372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  445375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  445383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  445386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  445389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445419 */     // MIs[1] Operand 1
     /*  445419 */     // No operand predicates
     /*  445419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445428 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  445428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  445431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445451 */     GIR_RootConstrainSelectedInstOperands,
     /*  445452 */     // GIR_Coverage, 6301,
     /*  445452 */     GIR_EraseRootFromParent_Done,
     /*  445453 */   // Label 7714: @445453
     /*  445453 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(445539), // Rule ID 6480 //
     /*  445458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  445469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  445472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  445475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445505 */     // MIs[1] Operand 1
     /*  445505 */     // No operand predicates
     /*  445505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445514 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  445517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445537 */     GIR_RootConstrainSelectedInstOperands,
     /*  445538 */     // GIR_Coverage, 6480,
     /*  445538 */     GIR_EraseRootFromParent_Done,
     /*  445539 */   // Label 7715: @445539
     /*  445539 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(445625), // Rule ID 6481 //
     /*  445544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  445555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  445558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  445561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445591 */     // MIs[1] Operand 1
     /*  445591 */     // No operand predicates
     /*  445591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445600 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  445603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445623 */     GIR_RootConstrainSelectedInstOperands,
     /*  445624 */     // GIR_Coverage, 6481,
     /*  445624 */     GIR_EraseRootFromParent_Done,
     /*  445625 */   // Label 7716: @445625
     /*  445625 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(445711), // Rule ID 6484 //
     /*  445630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  445641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  445644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  445647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445677 */     // MIs[1] Operand 1
     /*  445677 */     // No operand predicates
     /*  445677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445686 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  445689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445709 */     GIR_RootConstrainSelectedInstOperands,
     /*  445710 */     // GIR_Coverage, 6484,
     /*  445710 */     GIR_EraseRootFromParent_Done,
     /*  445711 */   // Label 7717: @445711
     /*  445711 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(445797), // Rule ID 6485 //
     /*  445716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  445727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  445730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  445733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445763 */     // MIs[1] Operand 1
     /*  445763 */     // No operand predicates
     /*  445763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445772 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  445775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445795 */     GIR_RootConstrainSelectedInstOperands,
     /*  445796 */     // GIR_Coverage, 6485,
     /*  445796 */     GIR_EraseRootFromParent_Done,
     /*  445797 */   // Label 7718: @445797
     /*  445797 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(445883), // Rule ID 6488 //
     /*  445802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  445813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  445816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  445819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445849 */     // MIs[1] Operand 1
     /*  445849 */     // No operand predicates
     /*  445849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445858 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445881 */     GIR_RootConstrainSelectedInstOperands,
     /*  445882 */     // GIR_Coverage, 6488,
     /*  445882 */     GIR_EraseRootFromParent_Done,
     /*  445883 */   // Label 7719: @445883
     /*  445883 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(445969), // Rule ID 6489 //
     /*  445888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  445899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  445902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  445905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445935 */     // MIs[1] Operand 1
     /*  445935 */     // No operand predicates
     /*  445935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445944 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445967 */     GIR_RootConstrainSelectedInstOperands,
     /*  445968 */     // GIR_Coverage, 6489,
     /*  445968 */     GIR_EraseRootFromParent_Done,
     /*  445969 */   // Label 7720: @445969
     /*  445969 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(446055), // Rule ID 6492 //
     /*  445974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  445991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446021 */     // MIs[1] Operand 1
     /*  446021 */     // No operand predicates
     /*  446021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446030 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  446033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446053 */     GIR_RootConstrainSelectedInstOperands,
     /*  446054 */     // GIR_Coverage, 6492,
     /*  446054 */     GIR_EraseRootFromParent_Done,
     /*  446055 */   // Label 7721: @446055
     /*  446055 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(446141), // Rule ID 6493 //
     /*  446060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  446071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  446074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  446077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446107 */     // MIs[1] Operand 1
     /*  446107 */     // No operand predicates
     /*  446107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446116 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  446119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446139 */     GIR_RootConstrainSelectedInstOperands,
     /*  446140 */     // GIR_Coverage, 6493,
     /*  446140 */     GIR_EraseRootFromParent_Done,
     /*  446141 */   // Label 7722: @446141
     /*  446141 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(446227), // Rule ID 6496 //
     /*  446146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  446157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  446160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  446163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446193 */     // MIs[1] Operand 1
     /*  446193 */     // No operand predicates
     /*  446193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446202 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  446205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446225 */     GIR_RootConstrainSelectedInstOperands,
     /*  446226 */     // GIR_Coverage, 6496,
     /*  446226 */     GIR_EraseRootFromParent_Done,
     /*  446227 */   // Label 7723: @446227
     /*  446227 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(446313), // Rule ID 6497 //
     /*  446232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  446243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  446246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  446249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446279 */     // MIs[1] Operand 1
     /*  446279 */     // No operand predicates
     /*  446279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446288 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  446291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446311 */     GIR_RootConstrainSelectedInstOperands,
     /*  446312 */     // GIR_Coverage, 6497,
     /*  446312 */     GIR_EraseRootFromParent_Done,
     /*  446313 */   // Label 7724: @446313
     /*  446313 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(446399), // Rule ID 6500 //
     /*  446318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  446335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446365 */     // MIs[1] Operand 1
     /*  446365 */     // No operand predicates
     /*  446365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446374 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  446377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446397 */     GIR_RootConstrainSelectedInstOperands,
     /*  446398 */     // GIR_Coverage, 6500,
     /*  446398 */     GIR_EraseRootFromParent_Done,
     /*  446399 */   // Label 7725: @446399
     /*  446399 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(446485), // Rule ID 6501 //
     /*  446404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  446421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446451 */     // MIs[1] Operand 1
     /*  446451 */     // No operand predicates
     /*  446451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446460 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  446463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446483 */     GIR_RootConstrainSelectedInstOperands,
     /*  446484 */     // GIR_Coverage, 6501,
     /*  446484 */     GIR_EraseRootFromParent_Done,
     /*  446485 */   // Label 7726: @446485
     /*  446485 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(446571), // Rule ID 6504 //
     /*  446490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  446501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  446504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  446507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446537 */     // MIs[1] Operand 1
     /*  446537 */     // No operand predicates
     /*  446537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446546 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446569 */     GIR_RootConstrainSelectedInstOperands,
     /*  446570 */     // GIR_Coverage, 6504,
     /*  446570 */     GIR_EraseRootFromParent_Done,
     /*  446571 */   // Label 7727: @446571
     /*  446571 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(446657), // Rule ID 6505 //
     /*  446576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  446587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  446590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  446593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446623 */     // MIs[1] Operand 1
     /*  446623 */     // No operand predicates
     /*  446623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446655 */     GIR_RootConstrainSelectedInstOperands,
     /*  446656 */     // GIR_Coverage, 6505,
     /*  446656 */     GIR_EraseRootFromParent_Done,
     /*  446657 */   // Label 7728: @446657
     /*  446657 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(446743), // Rule ID 6508 //
     /*  446662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  446673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  446676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  446679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446709 */     // MIs[1] Operand 1
     /*  446709 */     // No operand predicates
     /*  446709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446718 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446741 */     GIR_RootConstrainSelectedInstOperands,
     /*  446742 */     // GIR_Coverage, 6508,
     /*  446742 */     GIR_EraseRootFromParent_Done,
     /*  446743 */   // Label 7729: @446743
     /*  446743 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(446829), // Rule ID 6509 //
     /*  446748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  446759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  446762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  446765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446795 */     // MIs[1] Operand 1
     /*  446795 */     // No operand predicates
     /*  446795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446804 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446827 */     GIR_RootConstrainSelectedInstOperands,
     /*  446828 */     // GIR_Coverage, 6509,
     /*  446828 */     GIR_EraseRootFromParent_Done,
     /*  446829 */   // Label 7730: @446829
     /*  446829 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(446915), // Rule ID 6512 //
     /*  446834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  446851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446881 */     // MIs[1] Operand 1
     /*  446881 */     // No operand predicates
     /*  446881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446913 */     GIR_RootConstrainSelectedInstOperands,
     /*  446914 */     // GIR_Coverage, 6512,
     /*  446914 */     GIR_EraseRootFromParent_Done,
     /*  446915 */   // Label 7731: @446915
     /*  446915 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(447001), // Rule ID 6513 //
     /*  446920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  446937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446967 */     // MIs[1] Operand 1
     /*  446967 */     // No operand predicates
     /*  446967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446999 */     GIR_RootConstrainSelectedInstOperands,
     /*  447000 */     // GIR_Coverage, 6513,
     /*  447000 */     GIR_EraseRootFromParent_Done,
     /*  447001 */   // Label 7732: @447001
     /*  447001 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(447087), // Rule ID 6516 //
     /*  447006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  447009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  447017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  447020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  447023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447053 */     // MIs[1] Operand 1
     /*  447053 */     // No operand predicates
     /*  447053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447062 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  447062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  447065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447085 */     GIR_RootConstrainSelectedInstOperands,
     /*  447086 */     // GIR_Coverage, 6516,
     /*  447086 */     GIR_EraseRootFromParent_Done,
     /*  447087 */   // Label 7733: @447087
     /*  447087 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(447173), // Rule ID 6517 //
     /*  447092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  447095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  447103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  447106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  447109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447139 */     // MIs[1] Operand 1
     /*  447139 */     // No operand predicates
     /*  447139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  447148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  447151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447171 */     GIR_RootConstrainSelectedInstOperands,
     /*  447172 */     // GIR_Coverage, 6517,
     /*  447172 */     GIR_EraseRootFromParent_Done,
     /*  447173 */   // Label 7734: @447173
     /*  447173 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(447259), // Rule ID 6520 //
     /*  447178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  447189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  447192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  447195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447225 */     // MIs[1] Operand 1
     /*  447225 */     // No operand predicates
     /*  447225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447234 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447257 */     GIR_RootConstrainSelectedInstOperands,
     /*  447258 */     // GIR_Coverage, 6520,
     /*  447258 */     GIR_EraseRootFromParent_Done,
     /*  447259 */   // Label 7735: @447259
     /*  447259 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(447345), // Rule ID 6521 //
     /*  447264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  447275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  447278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  447281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447311 */     // MIs[1] Operand 1
     /*  447311 */     // No operand predicates
     /*  447311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447320 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447343 */     GIR_RootConstrainSelectedInstOperands,
     /*  447344 */     // GIR_Coverage, 6521,
     /*  447344 */     GIR_EraseRootFromParent_Done,
     /*  447345 */   // Label 7736: @447345
     /*  447345 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(447431), // Rule ID 6524 //
     /*  447350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  447361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  447364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  447367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447397 */     // MIs[1] Operand 1
     /*  447397 */     // No operand predicates
     /*  447397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447406 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447429 */     GIR_RootConstrainSelectedInstOperands,
     /*  447430 */     // GIR_Coverage, 6524,
     /*  447430 */     GIR_EraseRootFromParent_Done,
     /*  447431 */   // Label 7737: @447431
     /*  447431 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(447517), // Rule ID 6525 //
     /*  447436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  447447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  447450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  447453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447483 */     // MIs[1] Operand 1
     /*  447483 */     // No operand predicates
     /*  447483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447492 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447515 */     GIR_RootConstrainSelectedInstOperands,
     /*  447516 */     // GIR_Coverage, 6525,
     /*  447516 */     GIR_EraseRootFromParent_Done,
     /*  447517 */   // Label 7738: @447517
     /*  447517 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(447603), // Rule ID 6528 //
     /*  447522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  447533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  447536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  447539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447569 */     // MIs[1] Operand 1
     /*  447569 */     // No operand predicates
     /*  447569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447578 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447601 */     GIR_RootConstrainSelectedInstOperands,
     /*  447602 */     // GIR_Coverage, 6528,
     /*  447602 */     GIR_EraseRootFromParent_Done,
     /*  447603 */   // Label 7739: @447603
     /*  447603 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(447689), // Rule ID 6529 //
     /*  447608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  447619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  447622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  447625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447655 */     // MIs[1] Operand 1
     /*  447655 */     // No operand predicates
     /*  447655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447664 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447687 */     GIR_RootConstrainSelectedInstOperands,
     /*  447688 */     // GIR_Coverage, 6529,
     /*  447688 */     GIR_EraseRootFromParent_Done,
     /*  447689 */   // Label 7740: @447689
     /*  447689 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(447775), // Rule ID 6532 //
     /*  447694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  447711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447741 */     // MIs[1] Operand 1
     /*  447741 */     // No operand predicates
     /*  447741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447750 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447773 */     GIR_RootConstrainSelectedInstOperands,
     /*  447774 */     // GIR_Coverage, 6532,
     /*  447774 */     GIR_EraseRootFromParent_Done,
     /*  447775 */   // Label 7741: @447775
     /*  447775 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(447861), // Rule ID 6533 //
     /*  447780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  447797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447827 */     // MIs[1] Operand 1
     /*  447827 */     // No operand predicates
     /*  447827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447836 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447859 */     GIR_RootConstrainSelectedInstOperands,
     /*  447860 */     // GIR_Coverage, 6533,
     /*  447860 */     GIR_EraseRootFromParent_Done,
     /*  447861 */   // Label 7742: @447861
     /*  447861 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(447947), // Rule ID 6536 //
     /*  447866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  447877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  447880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  447883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447913 */     // MIs[1] Operand 1
     /*  447913 */     // No operand predicates
     /*  447913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447922 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447945 */     GIR_RootConstrainSelectedInstOperands,
     /*  447946 */     // GIR_Coverage, 6536,
     /*  447946 */     GIR_EraseRootFromParent_Done,
     /*  447947 */   // Label 7743: @447947
     /*  447947 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(448033), // Rule ID 6537 //
     /*  447952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  447963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  447966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  447969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447999 */     // MIs[1] Operand 1
     /*  447999 */     // No operand predicates
     /*  447999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  448011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448031 */     GIR_RootConstrainSelectedInstOperands,
     /*  448032 */     // GIR_Coverage, 6537,
     /*  448032 */     GIR_EraseRootFromParent_Done,
     /*  448033 */   // Label 7744: @448033
     /*  448033 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(448119), // Rule ID 6540 //
     /*  448038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  448049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  448052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  448055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448085 */     // MIs[1] Operand 1
     /*  448085 */     // No operand predicates
     /*  448085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448094 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448117 */     GIR_RootConstrainSelectedInstOperands,
     /*  448118 */     // GIR_Coverage, 6540,
     /*  448118 */     GIR_EraseRootFromParent_Done,
     /*  448119 */   // Label 7745: @448119
     /*  448119 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(448205), // Rule ID 6541 //
     /*  448124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  448135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  448138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  448141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448171 */     // MIs[1] Operand 1
     /*  448171 */     // No operand predicates
     /*  448171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448180 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448203 */     GIR_RootConstrainSelectedInstOperands,
     /*  448204 */     // GIR_Coverage, 6541,
     /*  448204 */     GIR_EraseRootFromParent_Done,
     /*  448205 */   // Label 7746: @448205
     /*  448205 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(448291), // Rule ID 6544 //
     /*  448210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  448221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  448224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  448227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448257 */     // MIs[1] Operand 1
     /*  448257 */     // No operand predicates
     /*  448257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448266 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  448266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  448269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448289 */     GIR_RootConstrainSelectedInstOperands,
     /*  448290 */     // GIR_Coverage, 6544,
     /*  448290 */     GIR_EraseRootFromParent_Done,
     /*  448291 */   // Label 7747: @448291
     /*  448291 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(448377), // Rule ID 6545 //
     /*  448296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  448307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  448310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  448313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448343 */     // MIs[1] Operand 1
     /*  448343 */     // No operand predicates
     /*  448343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  448355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448375 */     GIR_RootConstrainSelectedInstOperands,
     /*  448376 */     // GIR_Coverage, 6545,
     /*  448376 */     GIR_EraseRootFromParent_Done,
     /*  448377 */   // Label 7748: @448377
     /*  448377 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(448463), // Rule ID 6548 //
     /*  448382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  448393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  448396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  448399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448429 */     // MIs[1] Operand 1
     /*  448429 */     // No operand predicates
     /*  448429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448438 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  448438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  448441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448461 */     GIR_RootConstrainSelectedInstOperands,
     /*  448462 */     // GIR_Coverage, 6548,
     /*  448462 */     GIR_EraseRootFromParent_Done,
     /*  448463 */   // Label 7749: @448463
     /*  448463 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(448549), // Rule ID 6549 //
     /*  448468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  448479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  448482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  448485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448515 */     // MIs[1] Operand 1
     /*  448515 */     // No operand predicates
     /*  448515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  448527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448547 */     GIR_RootConstrainSelectedInstOperands,
     /*  448548 */     // GIR_Coverage, 6549,
     /*  448548 */     GIR_EraseRootFromParent_Done,
     /*  448549 */   // Label 7750: @448549
     /*  448549 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(448635), // Rule ID 6552 //
     /*  448554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  448565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  448568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  448571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448601 */     // MIs[1] Operand 1
     /*  448601 */     // No operand predicates
     /*  448601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448610 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  448610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448633 */     GIR_RootConstrainSelectedInstOperands,
     /*  448634 */     // GIR_Coverage, 6552,
     /*  448634 */     GIR_EraseRootFromParent_Done,
     /*  448635 */   // Label 7751: @448635
     /*  448635 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(448721), // Rule ID 6553 //
     /*  448640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  448651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  448654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  448657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448687 */     // MIs[1] Operand 1
     /*  448687 */     // No operand predicates
     /*  448687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448719 */     GIR_RootConstrainSelectedInstOperands,
     /*  448720 */     // GIR_Coverage, 6553,
     /*  448720 */     GIR_EraseRootFromParent_Done,
     /*  448721 */   // Label 7752: @448721
     /*  448721 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(448807), // Rule ID 6556 //
     /*  448726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  448737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  448740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  448743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448773 */     // MIs[1] Operand 1
     /*  448773 */     // No operand predicates
     /*  448773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448782 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  448785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448805 */     GIR_RootConstrainSelectedInstOperands,
     /*  448806 */     // GIR_Coverage, 6556,
     /*  448806 */     GIR_EraseRootFromParent_Done,
     /*  448807 */   // Label 7753: @448807
     /*  448807 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(448893), // Rule ID 6557 //
     /*  448812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  448823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  448826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  448829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448859 */     // MIs[1] Operand 1
     /*  448859 */     // No operand predicates
     /*  448859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448868 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  448871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448891 */     GIR_RootConstrainSelectedInstOperands,
     /*  448892 */     // GIR_Coverage, 6557,
     /*  448892 */     GIR_EraseRootFromParent_Done,
     /*  448893 */   // Label 7754: @448893
     /*  448893 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(448979), // Rule ID 6560 //
     /*  448898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  448909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  448912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  448915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448945 */     // MIs[1] Operand 1
     /*  448945 */     // No operand predicates
     /*  448945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448954 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  448957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448977 */     GIR_RootConstrainSelectedInstOperands,
     /*  448978 */     // GIR_Coverage, 6560,
     /*  448978 */     GIR_EraseRootFromParent_Done,
     /*  448979 */   // Label 7755: @448979
     /*  448979 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(449065), // Rule ID 6561 //
     /*  448984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  448995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  448998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  449001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449031 */     // MIs[1] Operand 1
     /*  449031 */     // No operand predicates
     /*  449031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  449040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  449043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449063 */     GIR_RootConstrainSelectedInstOperands,
     /*  449064 */     // GIR_Coverage, 6561,
     /*  449064 */     GIR_EraseRootFromParent_Done,
     /*  449065 */   // Label 7756: @449065
     /*  449065 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(449151), // Rule ID 6564 //
     /*  449070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  449073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  449081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  449084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  449087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449117 */     // MIs[1] Operand 1
     /*  449117 */     // No operand predicates
     /*  449117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449126 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  449126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  449129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449149 */     GIR_RootConstrainSelectedInstOperands,
     /*  449150 */     // GIR_Coverage, 6564,
     /*  449150 */     GIR_EraseRootFromParent_Done,
     /*  449151 */   // Label 7757: @449151
     /*  449151 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(449237), // Rule ID 6565 //
     /*  449156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  449159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  449167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  449170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  449173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449203 */     // MIs[1] Operand 1
     /*  449203 */     // No operand predicates
     /*  449203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449212 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  449212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  449215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449235 */     GIR_RootConstrainSelectedInstOperands,
     /*  449236 */     // GIR_Coverage, 6565,
     /*  449236 */     GIR_EraseRootFromParent_Done,
     /*  449237 */   // Label 7758: @449237
     /*  449237 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(449323), // Rule ID 6744 //
     /*  449242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  449253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  449256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  449259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449289 */     // MIs[1] Operand 1
     /*  449289 */     // No operand predicates
     /*  449289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449298 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  449301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449321 */     GIR_RootConstrainSelectedInstOperands,
     /*  449322 */     // GIR_Coverage, 6744,
     /*  449322 */     GIR_EraseRootFromParent_Done,
     /*  449323 */   // Label 7759: @449323
     /*  449323 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(449409), // Rule ID 6745 //
     /*  449328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  449339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  449342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  449345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449375 */     // MIs[1] Operand 1
     /*  449375 */     // No operand predicates
     /*  449375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449384 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  449387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449407 */     GIR_RootConstrainSelectedInstOperands,
     /*  449408 */     // GIR_Coverage, 6745,
     /*  449408 */     GIR_EraseRootFromParent_Done,
     /*  449409 */   // Label 7760: @449409
     /*  449409 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(449495), // Rule ID 6748 //
     /*  449414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  449425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  449428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  449431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449461 */     // MIs[1] Operand 1
     /*  449461 */     // No operand predicates
     /*  449461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449470 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  449473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449493 */     GIR_RootConstrainSelectedInstOperands,
     /*  449494 */     // GIR_Coverage, 6748,
     /*  449494 */     GIR_EraseRootFromParent_Done,
     /*  449495 */   // Label 7761: @449495
     /*  449495 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(449581), // Rule ID 6749 //
     /*  449500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  449511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  449514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  449517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449547 */     // MIs[1] Operand 1
     /*  449547 */     // No operand predicates
     /*  449547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449556 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  449559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449579 */     GIR_RootConstrainSelectedInstOperands,
     /*  449580 */     // GIR_Coverage, 6749,
     /*  449580 */     GIR_EraseRootFromParent_Done,
     /*  449581 */   // Label 7762: @449581
     /*  449581 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(449667), // Rule ID 6752 //
     /*  449586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  449597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  449600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  449603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449633 */     // MIs[1] Operand 1
     /*  449633 */     // No operand predicates
     /*  449633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449642 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449665 */     GIR_RootConstrainSelectedInstOperands,
     /*  449666 */     // GIR_Coverage, 6752,
     /*  449666 */     GIR_EraseRootFromParent_Done,
     /*  449667 */   // Label 7763: @449667
     /*  449667 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(449753), // Rule ID 6753 //
     /*  449672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  449683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  449686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  449689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449719 */     // MIs[1] Operand 1
     /*  449719 */     // No operand predicates
     /*  449719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449728 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449751 */     GIR_RootConstrainSelectedInstOperands,
     /*  449752 */     // GIR_Coverage, 6753,
     /*  449752 */     GIR_EraseRootFromParent_Done,
     /*  449753 */   // Label 7764: @449753
     /*  449753 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(449839), // Rule ID 6756 //
     /*  449758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  449775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449805 */     // MIs[1] Operand 1
     /*  449805 */     // No operand predicates
     /*  449805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449814 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  449817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449837 */     GIR_RootConstrainSelectedInstOperands,
     /*  449838 */     // GIR_Coverage, 6756,
     /*  449838 */     GIR_EraseRootFromParent_Done,
     /*  449839 */   // Label 7765: @449839
     /*  449839 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(449925), // Rule ID 6757 //
     /*  449844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  449861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449891 */     // MIs[1] Operand 1
     /*  449891 */     // No operand predicates
     /*  449891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449900 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  449903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449923 */     GIR_RootConstrainSelectedInstOperands,
     /*  449924 */     // GIR_Coverage, 6757,
     /*  449924 */     GIR_EraseRootFromParent_Done,
     /*  449925 */   // Label 7766: @449925
     /*  449925 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(450011), // Rule ID 6760 //
     /*  449930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  449941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  449944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  449947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449977 */     // MIs[1] Operand 1
     /*  449977 */     // No operand predicates
     /*  449977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449986 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450009 */     GIR_RootConstrainSelectedInstOperands,
     /*  450010 */     // GIR_Coverage, 6760,
     /*  450010 */     GIR_EraseRootFromParent_Done,
     /*  450011 */   // Label 7767: @450011
     /*  450011 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(450097), // Rule ID 6761 //
     /*  450016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  450027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  450030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  450033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450063 */     // MIs[1] Operand 1
     /*  450063 */     // No operand predicates
     /*  450063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  450075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450095 */     GIR_RootConstrainSelectedInstOperands,
     /*  450096 */     // GIR_Coverage, 6761,
     /*  450096 */     GIR_EraseRootFromParent_Done,
     /*  450097 */   // Label 7768: @450097
     /*  450097 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(450183), // Rule ID 6764 //
     /*  450102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  450113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  450116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  450119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450149 */     // MIs[1] Operand 1
     /*  450149 */     // No operand predicates
     /*  450149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450158 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  450158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  450161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450181 */     GIR_RootConstrainSelectedInstOperands,
     /*  450182 */     // GIR_Coverage, 6764,
     /*  450182 */     GIR_EraseRootFromParent_Done,
     /*  450183 */   // Label 7769: @450183
     /*  450183 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(450269), // Rule ID 6765 //
     /*  450188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  450199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  450202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  450205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450235 */     // MIs[1] Operand 1
     /*  450235 */     // No operand predicates
     /*  450235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450244 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  450244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  450247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450267 */     GIR_RootConstrainSelectedInstOperands,
     /*  450268 */     // GIR_Coverage, 6765,
     /*  450268 */     GIR_EraseRootFromParent_Done,
     /*  450269 */   // Label 7770: @450269
     /*  450269 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(450355), // Rule ID 6768 //
     /*  450274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  450285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  450288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  450291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450321 */     // MIs[1] Operand 1
     /*  450321 */     // No operand predicates
     /*  450321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450330 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450353 */     GIR_RootConstrainSelectedInstOperands,
     /*  450354 */     // GIR_Coverage, 6768,
     /*  450354 */     GIR_EraseRootFromParent_Done,
     /*  450355 */   // Label 7771: @450355
     /*  450355 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(450441), // Rule ID 6769 //
     /*  450360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  450371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  450374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  450377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450407 */     // MIs[1] Operand 1
     /*  450407 */     // No operand predicates
     /*  450407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450439 */     GIR_RootConstrainSelectedInstOperands,
     /*  450440 */     // GIR_Coverage, 6769,
     /*  450440 */     GIR_EraseRootFromParent_Done,
     /*  450441 */   // Label 7772: @450441
     /*  450441 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(450527), // Rule ID 6772 //
     /*  450446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  450457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  450460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  450463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450493 */     // MIs[1] Operand 1
     /*  450493 */     // No operand predicates
     /*  450493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450502 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450525 */     GIR_RootConstrainSelectedInstOperands,
     /*  450526 */     // GIR_Coverage, 6772,
     /*  450526 */     GIR_EraseRootFromParent_Done,
     /*  450527 */   // Label 7773: @450527
     /*  450527 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(450613), // Rule ID 6773 //
     /*  450532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  450543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  450546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  450549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450579 */     // MIs[1] Operand 1
     /*  450579 */     // No operand predicates
     /*  450579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450611 */     GIR_RootConstrainSelectedInstOperands,
     /*  450612 */     // GIR_Coverage, 6773,
     /*  450612 */     GIR_EraseRootFromParent_Done,
     /*  450613 */   // Label 7774: @450613
     /*  450613 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(450699), // Rule ID 6776 //
     /*  450618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  450629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  450632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  450635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450665 */     // MIs[1] Operand 1
     /*  450665 */     // No operand predicates
     /*  450665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450674 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  450674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450697 */     GIR_RootConstrainSelectedInstOperands,
     /*  450698 */     // GIR_Coverage, 6776,
     /*  450698 */     GIR_EraseRootFromParent_Done,
     /*  450699 */   // Label 7775: @450699
     /*  450699 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(450785), // Rule ID 6777 //
     /*  450704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  450715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  450718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  450721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450751 */     // MIs[1] Operand 1
     /*  450751 */     // No operand predicates
     /*  450751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450760 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  450760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450783 */     GIR_RootConstrainSelectedInstOperands,
     /*  450784 */     // GIR_Coverage, 6777,
     /*  450784 */     GIR_EraseRootFromParent_Done,
     /*  450785 */   // Label 7776: @450785
     /*  450785 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(450871), // Rule ID 6780 //
     /*  450790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  450793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  450801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  450804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  450807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450837 */     // MIs[1] Operand 1
     /*  450837 */     // No operand predicates
     /*  450837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  450846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450869 */     GIR_RootConstrainSelectedInstOperands,
     /*  450870 */     // GIR_Coverage, 6780,
     /*  450870 */     GIR_EraseRootFromParent_Done,
     /*  450871 */   // Label 7777: @450871
     /*  450871 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(450957), // Rule ID 6781 //
     /*  450876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  450879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  450887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  450890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  450893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450923 */     // MIs[1] Operand 1
     /*  450923 */     // No operand predicates
     /*  450923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  450932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  450935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450955 */     GIR_RootConstrainSelectedInstOperands,
     /*  450956 */     // GIR_Coverage, 6781,
     /*  450956 */     GIR_EraseRootFromParent_Done,
     /*  450957 */   // Label 7778: @450957
     /*  450957 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(451043), // Rule ID 6784 //
     /*  450962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  450973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  450976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  450979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451009 */     // MIs[1] Operand 1
     /*  451009 */     // No operand predicates
     /*  451009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451018 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451041 */     GIR_RootConstrainSelectedInstOperands,
     /*  451042 */     // GIR_Coverage, 6784,
     /*  451042 */     GIR_EraseRootFromParent_Done,
     /*  451043 */   // Label 7779: @451043
     /*  451043 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(451129), // Rule ID 6785 //
     /*  451048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  451059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  451062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  451065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451095 */     // MIs[1] Operand 1
     /*  451095 */     // No operand predicates
     /*  451095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451104 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451127 */     GIR_RootConstrainSelectedInstOperands,
     /*  451128 */     // GIR_Coverage, 6785,
     /*  451128 */     GIR_EraseRootFromParent_Done,
     /*  451129 */   // Label 7780: @451129
     /*  451129 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(451215), // Rule ID 6788 //
     /*  451134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  451145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  451148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  451151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451181 */     // MIs[1] Operand 1
     /*  451181 */     // No operand predicates
     /*  451181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451190 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451213 */     GIR_RootConstrainSelectedInstOperands,
     /*  451214 */     // GIR_Coverage, 6788,
     /*  451214 */     GIR_EraseRootFromParent_Done,
     /*  451215 */   // Label 7781: @451215
     /*  451215 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(451301), // Rule ID 6789 //
     /*  451220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  451231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  451234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  451237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451267 */     // MIs[1] Operand 1
     /*  451267 */     // No operand predicates
     /*  451267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451276 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451299 */     GIR_RootConstrainSelectedInstOperands,
     /*  451300 */     // GIR_Coverage, 6789,
     /*  451300 */     GIR_EraseRootFromParent_Done,
     /*  451301 */   // Label 7782: @451301
     /*  451301 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(451387), // Rule ID 6792 //
     /*  451306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  451317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  451320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  451323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451353 */     // MIs[1] Operand 1
     /*  451353 */     // No operand predicates
     /*  451353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451362 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451385 */     GIR_RootConstrainSelectedInstOperands,
     /*  451386 */     // GIR_Coverage, 6792,
     /*  451386 */     GIR_EraseRootFromParent_Done,
     /*  451387 */   // Label 7783: @451387
     /*  451387 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(451473), // Rule ID 6793 //
     /*  451392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  451403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  451406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  451409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451439 */     // MIs[1] Operand 1
     /*  451439 */     // No operand predicates
     /*  451439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451448 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451471 */     GIR_RootConstrainSelectedInstOperands,
     /*  451472 */     // GIR_Coverage, 6793,
     /*  451472 */     GIR_EraseRootFromParent_Done,
     /*  451473 */   // Label 7784: @451473
     /*  451473 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(451559), // Rule ID 6796 //
     /*  451478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  451489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  451492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  451495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451525 */     // MIs[1] Operand 1
     /*  451525 */     // No operand predicates
     /*  451525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451534 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451557 */     GIR_RootConstrainSelectedInstOperands,
     /*  451558 */     // GIR_Coverage, 6796,
     /*  451558 */     GIR_EraseRootFromParent_Done,
     /*  451559 */   // Label 7785: @451559
     /*  451559 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(451645), // Rule ID 6797 //
     /*  451564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  451575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  451578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  451581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451611 */     // MIs[1] Operand 1
     /*  451611 */     // No operand predicates
     /*  451611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451620 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451643 */     GIR_RootConstrainSelectedInstOperands,
     /*  451644 */     // GIR_Coverage, 6797,
     /*  451644 */     GIR_EraseRootFromParent_Done,
     /*  451645 */   // Label 7786: @451645
     /*  451645 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(451731), // Rule ID 6800 //
     /*  451650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  451661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  451664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  451667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451697 */     // MIs[1] Operand 1
     /*  451697 */     // No operand predicates
     /*  451697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451706 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451729 */     GIR_RootConstrainSelectedInstOperands,
     /*  451730 */     // GIR_Coverage, 6800,
     /*  451730 */     GIR_EraseRootFromParent_Done,
     /*  451731 */   // Label 7787: @451731
     /*  451731 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(451817), // Rule ID 6801 //
     /*  451736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  451747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  451750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  451753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451783 */     // MIs[1] Operand 1
     /*  451783 */     // No operand predicates
     /*  451783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451815 */     GIR_RootConstrainSelectedInstOperands,
     /*  451816 */     // GIR_Coverage, 6801,
     /*  451816 */     GIR_EraseRootFromParent_Done,
     /*  451817 */   // Label 7788: @451817
     /*  451817 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(451903), // Rule ID 6804 //
     /*  451822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  451833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  451836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  451839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451869 */     // MIs[1] Operand 1
     /*  451869 */     // No operand predicates
     /*  451869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451878 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451901 */     GIR_RootConstrainSelectedInstOperands,
     /*  451902 */     // GIR_Coverage, 6804,
     /*  451902 */     GIR_EraseRootFromParent_Done,
     /*  451903 */   // Label 7789: @451903
     /*  451903 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(451989), // Rule ID 6805 //
     /*  451908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  451919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  451922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  451925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451955 */     // MIs[1] Operand 1
     /*  451955 */     // No operand predicates
     /*  451955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451964 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451987 */     GIR_RootConstrainSelectedInstOperands,
     /*  451988 */     // GIR_Coverage, 6805,
     /*  451988 */     GIR_EraseRootFromParent_Done,
     /*  451989 */   // Label 7790: @451989
     /*  451989 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(452075), // Rule ID 6808 //
     /*  451994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  452005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  452008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  452011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452041 */     // MIs[1] Operand 1
     /*  452041 */     // No operand predicates
     /*  452041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452050 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  452053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452073 */     GIR_RootConstrainSelectedInstOperands,
     /*  452074 */     // GIR_Coverage, 6808,
     /*  452074 */     GIR_EraseRootFromParent_Done,
     /*  452075 */   // Label 7791: @452075
     /*  452075 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(452161), // Rule ID 6809 //
     /*  452080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  452091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  452094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  452097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452127 */     // MIs[1] Operand 1
     /*  452127 */     // No operand predicates
     /*  452127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  452139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452159 */     GIR_RootConstrainSelectedInstOperands,
     /*  452160 */     // GIR_Coverage, 6809,
     /*  452160 */     GIR_EraseRootFromParent_Done,
     /*  452161 */   // Label 7792: @452161
     /*  452161 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(452247), // Rule ID 6812 //
     /*  452166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  452177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  452180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  452183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452213 */     // MIs[1] Operand 1
     /*  452213 */     // No operand predicates
     /*  452213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  452225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452245 */     GIR_RootConstrainSelectedInstOperands,
     /*  452246 */     // GIR_Coverage, 6812,
     /*  452246 */     GIR_EraseRootFromParent_Done,
     /*  452247 */   // Label 7793: @452247
     /*  452247 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(452333), // Rule ID 6813 //
     /*  452252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  452263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  452266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  452269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452299 */     // MIs[1] Operand 1
     /*  452299 */     // No operand predicates
     /*  452299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  452311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452331 */     GIR_RootConstrainSelectedInstOperands,
     /*  452332 */     // GIR_Coverage, 6813,
     /*  452332 */     GIR_EraseRootFromParent_Done,
     /*  452333 */   // Label 7794: @452333
     /*  452333 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(452419), // Rule ID 6816 //
     /*  452338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  452349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  452352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  452355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452385 */     // MIs[1] Operand 1
     /*  452385 */     // No operand predicates
     /*  452385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452394 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  452397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452417 */     GIR_RootConstrainSelectedInstOperands,
     /*  452418 */     // GIR_Coverage, 6816,
     /*  452418 */     GIR_EraseRootFromParent_Done,
     /*  452419 */   // Label 7795: @452419
     /*  452419 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(452505), // Rule ID 6817 //
     /*  452424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  452435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  452438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  452441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452471 */     // MIs[1] Operand 1
     /*  452471 */     // No operand predicates
     /*  452471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452480 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  452483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452503 */     GIR_RootConstrainSelectedInstOperands,
     /*  452504 */     // GIR_Coverage, 6817,
     /*  452504 */     GIR_EraseRootFromParent_Done,
     /*  452505 */   // Label 7796: @452505
     /*  452505 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(452591), // Rule ID 6820 //
     /*  452510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  452521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  452524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  452527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452557 */     // MIs[1] Operand 1
     /*  452557 */     // No operand predicates
     /*  452557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  452569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452589 */     GIR_RootConstrainSelectedInstOperands,
     /*  452590 */     // GIR_Coverage, 6820,
     /*  452590 */     GIR_EraseRootFromParent_Done,
     /*  452591 */   // Label 7797: @452591
     /*  452591 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(452677), // Rule ID 6821 //
     /*  452596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  452607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  452610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  452613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452643 */     // MIs[1] Operand 1
     /*  452643 */     // No operand predicates
     /*  452643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  452655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452675 */     GIR_RootConstrainSelectedInstOperands,
     /*  452676 */     // GIR_Coverage, 6821,
     /*  452676 */     GIR_EraseRootFromParent_Done,
     /*  452677 */   // Label 7798: @452677
     /*  452677 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(452763), // Rule ID 6824 //
     /*  452682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  452693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  452696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  452699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452729 */     // MIs[1] Operand 1
     /*  452729 */     // No operand predicates
     /*  452729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452738 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  452741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452761 */     GIR_RootConstrainSelectedInstOperands,
     /*  452762 */     // GIR_Coverage, 6824,
     /*  452762 */     GIR_EraseRootFromParent_Done,
     /*  452763 */   // Label 7799: @452763
     /*  452763 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(452849), // Rule ID 6825 //
     /*  452768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  452779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  452782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  452785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452815 */     // MIs[1] Operand 1
     /*  452815 */     // No operand predicates
     /*  452815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  452827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452847 */     GIR_RootConstrainSelectedInstOperands,
     /*  452848 */     // GIR_Coverage, 6825,
     /*  452848 */     GIR_EraseRootFromParent_Done,
     /*  452849 */   // Label 7800: @452849
     /*  452849 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(452935), // Rule ID 6828 //
     /*  452854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  452865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  452868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  452871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452901 */     // MIs[1] Operand 1
     /*  452901 */     // No operand predicates
     /*  452901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  452913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452933 */     GIR_RootConstrainSelectedInstOperands,
     /*  452934 */     // GIR_Coverage, 6828,
     /*  452934 */     GIR_EraseRootFromParent_Done,
     /*  452935 */   // Label 7801: @452935
     /*  452935 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(453021), // Rule ID 6829 //
     /*  452940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  452951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  452954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  452957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452987 */     // MIs[1] Operand 1
     /*  452987 */     // No operand predicates
     /*  452987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  452999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453019 */     GIR_RootConstrainSelectedInstOperands,
     /*  453020 */     // GIR_Coverage, 6829,
     /*  453020 */     GIR_EraseRootFromParent_Done,
     /*  453021 */   // Label 7802: @453021
     /*  453021 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(453107), // Rule ID 7008 //
     /*  453026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  453037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  453040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  453043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453073 */     // MIs[1] Operand 1
     /*  453073 */     // No operand predicates
     /*  453073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453082 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  453085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453105 */     GIR_RootConstrainSelectedInstOperands,
     /*  453106 */     // GIR_Coverage, 7008,
     /*  453106 */     GIR_EraseRootFromParent_Done,
     /*  453107 */   // Label 7803: @453107
     /*  453107 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(453193), // Rule ID 7009 //
     /*  453112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  453123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  453126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  453129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453159 */     // MIs[1] Operand 1
     /*  453159 */     // No operand predicates
     /*  453159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453168 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  453171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453191 */     GIR_RootConstrainSelectedInstOperands,
     /*  453192 */     // GIR_Coverage, 7009,
     /*  453192 */     GIR_EraseRootFromParent_Done,
     /*  453193 */   // Label 7804: @453193
     /*  453193 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(453279), // Rule ID 7012 //
     /*  453198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  453209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  453212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  453215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453245 */     // MIs[1] Operand 1
     /*  453245 */     // No operand predicates
     /*  453245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453254 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  453257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453277 */     GIR_RootConstrainSelectedInstOperands,
     /*  453278 */     // GIR_Coverage, 7012,
     /*  453278 */     GIR_EraseRootFromParent_Done,
     /*  453279 */   // Label 7805: @453279
     /*  453279 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(453365), // Rule ID 7013 //
     /*  453284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  453295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  453298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  453301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453331 */     // MIs[1] Operand 1
     /*  453331 */     // No operand predicates
     /*  453331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453340 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  453343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453363 */     GIR_RootConstrainSelectedInstOperands,
     /*  453364 */     // GIR_Coverage, 7013,
     /*  453364 */     GIR_EraseRootFromParent_Done,
     /*  453365 */   // Label 7806: @453365
     /*  453365 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(453451), // Rule ID 7016 //
     /*  453370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  453381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  453384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  453387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453417 */     // MIs[1] Operand 1
     /*  453417 */     // No operand predicates
     /*  453417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453426 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  453429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453449 */     GIR_RootConstrainSelectedInstOperands,
     /*  453450 */     // GIR_Coverage, 7016,
     /*  453450 */     GIR_EraseRootFromParent_Done,
     /*  453451 */   // Label 7807: @453451
     /*  453451 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(453537), // Rule ID 7017 //
     /*  453456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  453467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  453470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  453473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453503 */     // MIs[1] Operand 1
     /*  453503 */     // No operand predicates
     /*  453503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453512 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  453515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453535 */     GIR_RootConstrainSelectedInstOperands,
     /*  453536 */     // GIR_Coverage, 7017,
     /*  453536 */     GIR_EraseRootFromParent_Done,
     /*  453537 */   // Label 7808: @453537
     /*  453537 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(453623), // Rule ID 7020 //
     /*  453542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  453553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  453556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  453559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453589 */     // MIs[1] Operand 1
     /*  453589 */     // No operand predicates
     /*  453589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453598 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  453601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453621 */     GIR_RootConstrainSelectedInstOperands,
     /*  453622 */     // GIR_Coverage, 7020,
     /*  453622 */     GIR_EraseRootFromParent_Done,
     /*  453623 */   // Label 7809: @453623
     /*  453623 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(453709), // Rule ID 7021 //
     /*  453628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  453639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  453642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  453645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453675 */     // MIs[1] Operand 1
     /*  453675 */     // No operand predicates
     /*  453675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  453687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453707 */     GIR_RootConstrainSelectedInstOperands,
     /*  453708 */     // GIR_Coverage, 7021,
     /*  453708 */     GIR_EraseRootFromParent_Done,
     /*  453709 */   // Label 7810: @453709
     /*  453709 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(453795), // Rule ID 7024 //
     /*  453714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  453725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  453728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453761 */     // MIs[1] Operand 1
     /*  453761 */     // No operand predicates
     /*  453761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453770 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  453773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453793 */     GIR_RootConstrainSelectedInstOperands,
     /*  453794 */     // GIR_Coverage, 7024,
     /*  453794 */     GIR_EraseRootFromParent_Done,
     /*  453795 */   // Label 7811: @453795
     /*  453795 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(453881), // Rule ID 7025 //
     /*  453800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  453811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  453814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453847 */     // MIs[1] Operand 1
     /*  453847 */     // No operand predicates
     /*  453847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  453859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453879 */     GIR_RootConstrainSelectedInstOperands,
     /*  453880 */     // GIR_Coverage, 7025,
     /*  453880 */     GIR_EraseRootFromParent_Done,
     /*  453881 */   // Label 7812: @453881
     /*  453881 */   GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(453967), // Rule ID 7028 //
     /*  453886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  453897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  453900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  453903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453933 */     // MIs[1] Operand 1
     /*  453933 */     // No operand predicates
     /*  453933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  453945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453965 */     GIR_RootConstrainSelectedInstOperands,
     /*  453966 */     // GIR_Coverage, 7028,
     /*  453966 */     GIR_EraseRootFromParent_Done,
     /*  453967 */   // Label 7813: @453967
     /*  453967 */   GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(454053), // Rule ID 7029 //
     /*  453972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  453983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  453986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  453989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454019 */     // MIs[1] Operand 1
     /*  454019 */     // No operand predicates
     /*  454019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  454028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  454031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454051 */     GIR_RootConstrainSelectedInstOperands,
     /*  454052 */     // GIR_Coverage, 7029,
     /*  454052 */     GIR_EraseRootFromParent_Done,
     /*  454053 */   // Label 7814: @454053
     /*  454053 */   GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(454139), // Rule ID 7032 //
     /*  454058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  454069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  454072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  454075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454105 */     // MIs[1] Operand 1
     /*  454105 */     // No operand predicates
     /*  454105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454114 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  454117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454137 */     GIR_RootConstrainSelectedInstOperands,
     /*  454138 */     // GIR_Coverage, 7032,
     /*  454138 */     GIR_EraseRootFromParent_Done,
     /*  454139 */   // Label 7815: @454139
     /*  454139 */   GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(454225), // Rule ID 7033 //
     /*  454144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  454155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  454158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  454161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454191 */     // MIs[1] Operand 1
     /*  454191 */     // No operand predicates
     /*  454191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  454203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454223 */     GIR_RootConstrainSelectedInstOperands,
     /*  454224 */     // GIR_Coverage, 7033,
     /*  454224 */     GIR_EraseRootFromParent_Done,
     /*  454225 */   // Label 7816: @454225
     /*  454225 */   GIM_Try, /*On fail goto*//*Label 7817*/ GIMT_Encode4(454311), // Rule ID 7036 //
     /*  454230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  454241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  454244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  454247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454277 */     // MIs[1] Operand 1
     /*  454277 */     // No operand predicates
     /*  454277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454286 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  454289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454309 */     GIR_RootConstrainSelectedInstOperands,
     /*  454310 */     // GIR_Coverage, 7036,
     /*  454310 */     GIR_EraseRootFromParent_Done,
     /*  454311 */   // Label 7817: @454311
     /*  454311 */   GIM_Try, /*On fail goto*//*Label 7818*/ GIMT_Encode4(454397), // Rule ID 7037 //
     /*  454316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  454327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  454330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  454333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454363 */     // MIs[1] Operand 1
     /*  454363 */     // No operand predicates
     /*  454363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  454375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454395 */     GIR_RootConstrainSelectedInstOperands,
     /*  454396 */     // GIR_Coverage, 7037,
     /*  454396 */     GIR_EraseRootFromParent_Done,
     /*  454397 */   // Label 7818: @454397
     /*  454397 */   GIM_Try, /*On fail goto*//*Label 7819*/ GIMT_Encode4(454483), // Rule ID 7040 //
     /*  454402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  454413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  454416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  454419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454449 */     // MIs[1] Operand 1
     /*  454449 */     // No operand predicates
     /*  454449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  454458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  454461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454481 */     GIR_RootConstrainSelectedInstOperands,
     /*  454482 */     // GIR_Coverage, 7040,
     /*  454482 */     GIR_EraseRootFromParent_Done,
     /*  454483 */   // Label 7819: @454483
     /*  454483 */   GIM_Try, /*On fail goto*//*Label 7820*/ GIMT_Encode4(454569), // Rule ID 7041 //
     /*  454488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  454499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  454502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  454505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454535 */     // MIs[1] Operand 1
     /*  454535 */     // No operand predicates
     /*  454535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  454544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  454547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454567 */     GIR_RootConstrainSelectedInstOperands,
     /*  454568 */     // GIR_Coverage, 7041,
     /*  454568 */     GIR_EraseRootFromParent_Done,
     /*  454569 */   // Label 7820: @454569
     /*  454569 */   GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(454655), // Rule ID 7044 //
     /*  454574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  454577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  454585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  454588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  454591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454621 */     // MIs[1] Operand 1
     /*  454621 */     // No operand predicates
     /*  454621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454630 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  454630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  454633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454653 */     GIR_RootConstrainSelectedInstOperands,
     /*  454654 */     // GIR_Coverage, 7044,
     /*  454654 */     GIR_EraseRootFromParent_Done,
     /*  454655 */   // Label 7821: @454655
     /*  454655 */   GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(454741), // Rule ID 7045 //
     /*  454660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  454663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  454671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  454674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  454677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454707 */     // MIs[1] Operand 1
     /*  454707 */     // No operand predicates
     /*  454707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  454716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  454719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454739 */     GIR_RootConstrainSelectedInstOperands,
     /*  454740 */     // GIR_Coverage, 7045,
     /*  454740 */     GIR_EraseRootFromParent_Done,
     /*  454741 */   // Label 7822: @454741
     /*  454741 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(454827), // Rule ID 7048 //
     /*  454746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  454763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454793 */     // MIs[1] Operand 1
     /*  454793 */     // No operand predicates
     /*  454793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454825 */     GIR_RootConstrainSelectedInstOperands,
     /*  454826 */     // GIR_Coverage, 7048,
     /*  454826 */     GIR_EraseRootFromParent_Done,
     /*  454827 */   // Label 7823: @454827
     /*  454827 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(454913), // Rule ID 7049 //
     /*  454832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  454849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454879 */     // MIs[1] Operand 1
     /*  454879 */     // No operand predicates
     /*  454879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454888 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454911 */     GIR_RootConstrainSelectedInstOperands,
     /*  454912 */     // GIR_Coverage, 7049,
     /*  454912 */     GIR_EraseRootFromParent_Done,
     /*  454913 */   // Label 7824: @454913
     /*  454913 */   GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(454999), // Rule ID 7052 //
     /*  454918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  454929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  454932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  454935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454965 */     // MIs[1] Operand 1
     /*  454965 */     // No operand predicates
     /*  454965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454974 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454997 */     GIR_RootConstrainSelectedInstOperands,
     /*  454998 */     // GIR_Coverage, 7052,
     /*  454998 */     GIR_EraseRootFromParent_Done,
     /*  454999 */   // Label 7825: @454999
     /*  454999 */   GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(455085), // Rule ID 7053 //
     /*  455004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  455015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  455018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  455021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455051 */     // MIs[1] Operand 1
     /*  455051 */     // No operand predicates
     /*  455051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455060 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  455060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455083 */     GIR_RootConstrainSelectedInstOperands,
     /*  455084 */     // GIR_Coverage, 7053,
     /*  455084 */     GIR_EraseRootFromParent_Done,
     /*  455085 */   // Label 7826: @455085
     /*  455085 */   GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(455171), // Rule ID 7056 //
     /*  455090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  455101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  455104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  455107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455137 */     // MIs[1] Operand 1
     /*  455137 */     // No operand predicates
     /*  455137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455146 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  455146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455169 */     GIR_RootConstrainSelectedInstOperands,
     /*  455170 */     // GIR_Coverage, 7056,
     /*  455170 */     GIR_EraseRootFromParent_Done,
     /*  455171 */   // Label 7827: @455171
     /*  455171 */   GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(455257), // Rule ID 7057 //
     /*  455176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  455187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  455190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  455193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455223 */     // MIs[1] Operand 1
     /*  455223 */     // No operand predicates
     /*  455223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455232 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  455232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455255 */     GIR_RootConstrainSelectedInstOperands,
     /*  455256 */     // GIR_Coverage, 7057,
     /*  455256 */     GIR_EraseRootFromParent_Done,
     /*  455257 */   // Label 7828: @455257
     /*  455257 */   GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(455343), // Rule ID 7060 //
     /*  455262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  455273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  455276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  455279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455309 */     // MIs[1] Operand 1
     /*  455309 */     // No operand predicates
     /*  455309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455341 */     GIR_RootConstrainSelectedInstOperands,
     /*  455342 */     // GIR_Coverage, 7060,
     /*  455342 */     GIR_EraseRootFromParent_Done,
     /*  455343 */   // Label 7829: @455343
     /*  455343 */   GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(455429), // Rule ID 7061 //
     /*  455348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  455359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  455362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  455365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455395 */     // MIs[1] Operand 1
     /*  455395 */     // No operand predicates
     /*  455395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455404 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455427 */     GIR_RootConstrainSelectedInstOperands,
     /*  455428 */     // GIR_Coverage, 7061,
     /*  455428 */     GIR_EraseRootFromParent_Done,
     /*  455429 */   // Label 7830: @455429
     /*  455429 */   GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(455515), // Rule ID 7064 //
     /*  455434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  455445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  455448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  455451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455481 */     // MIs[1] Operand 1
     /*  455481 */     // No operand predicates
     /*  455481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455490 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455513 */     GIR_RootConstrainSelectedInstOperands,
     /*  455514 */     // GIR_Coverage, 7064,
     /*  455514 */     GIR_EraseRootFromParent_Done,
     /*  455515 */   // Label 7831: @455515
     /*  455515 */   GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(455601), // Rule ID 7065 //
     /*  455520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  455531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  455534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  455537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455567 */     // MIs[1] Operand 1
     /*  455567 */     // No operand predicates
     /*  455567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455576 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455599 */     GIR_RootConstrainSelectedInstOperands,
     /*  455600 */     // GIR_Coverage, 7065,
     /*  455600 */     GIR_EraseRootFromParent_Done,
     /*  455601 */   // Label 7832: @455601
     /*  455601 */   GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(455687), // Rule ID 7068 //
     /*  455606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  455617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  455620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  455623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455653 */     // MIs[1] Operand 1
     /*  455653 */     // No operand predicates
     /*  455653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455662 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455685 */     GIR_RootConstrainSelectedInstOperands,
     /*  455686 */     // GIR_Coverage, 7068,
     /*  455686 */     GIR_EraseRootFromParent_Done,
     /*  455687 */   // Label 7833: @455687
     /*  455687 */   GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(455773), // Rule ID 7069 //
     /*  455692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  455703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  455706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  455709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455739 */     // MIs[1] Operand 1
     /*  455739 */     // No operand predicates
     /*  455739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455748 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455771 */     GIR_RootConstrainSelectedInstOperands,
     /*  455772 */     // GIR_Coverage, 7069,
     /*  455772 */     GIR_EraseRootFromParent_Done,
     /*  455773 */   // Label 7834: @455773
     /*  455773 */   GIM_Try, /*On fail goto*//*Label 7835*/ GIMT_Encode4(455859), // Rule ID 7072 //
     /*  455778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  455789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  455792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  455795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455825 */     // MIs[1] Operand 1
     /*  455825 */     // No operand predicates
     /*  455825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455834 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455857 */     GIR_RootConstrainSelectedInstOperands,
     /*  455858 */     // GIR_Coverage, 7072,
     /*  455858 */     GIR_EraseRootFromParent_Done,
     /*  455859 */   // Label 7835: @455859
     /*  455859 */   GIM_Try, /*On fail goto*//*Label 7836*/ GIMT_Encode4(455945), // Rule ID 7073 //
     /*  455864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  455875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  455878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  455881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455911 */     // MIs[1] Operand 1
     /*  455911 */     // No operand predicates
     /*  455911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455920 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455943 */     GIR_RootConstrainSelectedInstOperands,
     /*  455944 */     // GIR_Coverage, 7073,
     /*  455944 */     GIR_EraseRootFromParent_Done,
     /*  455945 */   // Label 7836: @455945
     /*  455945 */   GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(456031), // Rule ID 7076 //
     /*  455950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  455961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  455964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455997 */     // MIs[1] Operand 1
     /*  455997 */     // No operand predicates
     /*  455997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456006 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  456006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  456009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456029 */     GIR_RootConstrainSelectedInstOperands,
     /*  456030 */     // GIR_Coverage, 7076,
     /*  456030 */     GIR_EraseRootFromParent_Done,
     /*  456031 */   // Label 7837: @456031
     /*  456031 */   GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(456117), // Rule ID 7077 //
     /*  456036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  456047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  456050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  456053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456083 */     // MIs[1] Operand 1
     /*  456083 */     // No operand predicates
     /*  456083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456092 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  456092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  456095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456115 */     GIR_RootConstrainSelectedInstOperands,
     /*  456116 */     // GIR_Coverage, 7077,
     /*  456116 */     GIR_EraseRootFromParent_Done,
     /*  456117 */   // Label 7838: @456117
     /*  456117 */   GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(456203), // Rule ID 7080 //
     /*  456122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  456133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  456136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  456139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456169 */     // MIs[1] Operand 1
     /*  456169 */     // No operand predicates
     /*  456169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  456178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  456181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456201 */     GIR_RootConstrainSelectedInstOperands,
     /*  456202 */     // GIR_Coverage, 7080,
     /*  456202 */     GIR_EraseRootFromParent_Done,
     /*  456203 */   // Label 7839: @456203
     /*  456203 */   GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(456289), // Rule ID 7081 //
     /*  456208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  456219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  456222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  456225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456255 */     // MIs[1] Operand 1
     /*  456255 */     // No operand predicates
     /*  456255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456264 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  456264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  456267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456287 */     GIR_RootConstrainSelectedInstOperands,
     /*  456288 */     // GIR_Coverage, 7081,
     /*  456288 */     GIR_EraseRootFromParent_Done,
     /*  456289 */   // Label 7840: @456289
     /*  456289 */   GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(456375), // Rule ID 7084 //
     /*  456294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  456297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  456305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  456308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  456311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456341 */     // MIs[1] Operand 1
     /*  456341 */     // No operand predicates
     /*  456341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456350 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  456353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456373 */     GIR_RootConstrainSelectedInstOperands,
     /*  456374 */     // GIR_Coverage, 7084,
     /*  456374 */     GIR_EraseRootFromParent_Done,
     /*  456375 */   // Label 7841: @456375
     /*  456375 */   GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(456461), // Rule ID 7085 //
     /*  456380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  456391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  456394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  456397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456427 */     // MIs[1] Operand 1
     /*  456427 */     // No operand predicates
     /*  456427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456436 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  456439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456459 */     GIR_RootConstrainSelectedInstOperands,
     /*  456460 */     // GIR_Coverage, 7085,
     /*  456460 */     GIR_EraseRootFromParent_Done,
     /*  456461 */   // Label 7842: @456461
     /*  456461 */   GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(456547), // Rule ID 7088 //
     /*  456466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  456469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  456477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  456480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  456483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456513 */     // MIs[1] Operand 1
     /*  456513 */     // No operand predicates
     /*  456513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456522 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  456525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456545 */     GIR_RootConstrainSelectedInstOperands,
     /*  456546 */     // GIR_Coverage, 7088,
     /*  456546 */     GIR_EraseRootFromParent_Done,
     /*  456547 */   // Label 7843: @456547
     /*  456547 */   GIM_Try, /*On fail goto*//*Label 7844*/ GIMT_Encode4(456633), // Rule ID 7089 //
     /*  456552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  456563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  456566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  456569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456599 */     // MIs[1] Operand 1
     /*  456599 */     // No operand predicates
     /*  456599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  456611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456631 */     GIR_RootConstrainSelectedInstOperands,
     /*  456632 */     // GIR_Coverage, 7089,
     /*  456632 */     GIR_EraseRootFromParent_Done,
     /*  456633 */   // Label 7844: @456633
     /*  456633 */   GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(456719), // Rule ID 7092 //
     /*  456638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  456641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  456649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  456652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  456655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456685 */     // MIs[1] Operand 1
     /*  456685 */     // No operand predicates
     /*  456685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456694 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  456697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456717 */     GIR_RootConstrainSelectedInstOperands,
     /*  456718 */     // GIR_Coverage, 7092,
     /*  456718 */     GIR_EraseRootFromParent_Done,
     /*  456719 */   // Label 7845: @456719
     /*  456719 */   GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(456805), // Rule ID 7093 //
     /*  456724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  456735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  456738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  456741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456771 */     // MIs[1] Operand 1
     /*  456771 */     // No operand predicates
     /*  456771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456780 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  456783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456803 */     GIR_RootConstrainSelectedInstOperands,
     /*  456804 */     // GIR_Coverage, 7093,
     /*  456804 */     GIR_EraseRootFromParent_Done,
     /*  456805 */   // Label 7846: @456805
     /*  456805 */   GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(456891), // Rule ID 7272 //
     /*  456810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  456821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  456824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  456827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456857 */     // MIs[1] Operand 1
     /*  456857 */     // No operand predicates
     /*  456857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456866 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  456869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456889 */     GIR_RootConstrainSelectedInstOperands,
     /*  456890 */     // GIR_Coverage, 7272,
     /*  456890 */     GIR_EraseRootFromParent_Done,
     /*  456891 */   // Label 7847: @456891
     /*  456891 */   GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(456977), // Rule ID 7273 //
     /*  456896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  456907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  456910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  456913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456943 */     // MIs[1] Operand 1
     /*  456943 */     // No operand predicates
     /*  456943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456952 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  456955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456975 */     GIR_RootConstrainSelectedInstOperands,
     /*  456976 */     // GIR_Coverage, 7273,
     /*  456976 */     GIR_EraseRootFromParent_Done,
     /*  456977 */   // Label 7848: @456977
     /*  456977 */   GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(457063), // Rule ID 7276 //
     /*  456982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  456993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  456996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  456999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457029 */     // MIs[1] Operand 1
     /*  457029 */     // No operand predicates
     /*  457029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457038 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  457041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457061 */     GIR_RootConstrainSelectedInstOperands,
     /*  457062 */     // GIR_Coverage, 7276,
     /*  457062 */     GIR_EraseRootFromParent_Done,
     /*  457063 */   // Label 7849: @457063
     /*  457063 */   GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(457149), // Rule ID 7277 //
     /*  457068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  457079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  457082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  457085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457115 */     // MIs[1] Operand 1
     /*  457115 */     // No operand predicates
     /*  457115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457124 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  457127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457147 */     GIR_RootConstrainSelectedInstOperands,
     /*  457148 */     // GIR_Coverage, 7277,
     /*  457148 */     GIR_EraseRootFromParent_Done,
     /*  457149 */   // Label 7850: @457149
     /*  457149 */   GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(457235), // Rule ID 7280 //
     /*  457154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  457165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  457168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  457171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457201 */     // MIs[1] Operand 1
     /*  457201 */     // No operand predicates
     /*  457201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457210 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  457213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457233 */     GIR_RootConstrainSelectedInstOperands,
     /*  457234 */     // GIR_Coverage, 7280,
     /*  457234 */     GIR_EraseRootFromParent_Done,
     /*  457235 */   // Label 7851: @457235
     /*  457235 */   GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(457321), // Rule ID 7281 //
     /*  457240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  457251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  457254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  457257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457287 */     // MIs[1] Operand 1
     /*  457287 */     // No operand predicates
     /*  457287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  457299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457319 */     GIR_RootConstrainSelectedInstOperands,
     /*  457320 */     // GIR_Coverage, 7281,
     /*  457320 */     GIR_EraseRootFromParent_Done,
     /*  457321 */   // Label 7852: @457321
     /*  457321 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(457407), // Rule ID 7284 //
     /*  457326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  457337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  457340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  457343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457373 */     // MIs[1] Operand 1
     /*  457373 */     // No operand predicates
     /*  457373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457382 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  457385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457405 */     GIR_RootConstrainSelectedInstOperands,
     /*  457406 */     // GIR_Coverage, 7284,
     /*  457406 */     GIR_EraseRootFromParent_Done,
     /*  457407 */   // Label 7853: @457407
     /*  457407 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(457493), // Rule ID 7285 //
     /*  457412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  457423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  457426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  457429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457459 */     // MIs[1] Operand 1
     /*  457459 */     // No operand predicates
     /*  457459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457468 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  457471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457491 */     GIR_RootConstrainSelectedInstOperands,
     /*  457492 */     // GIR_Coverage, 7285,
     /*  457492 */     GIR_EraseRootFromParent_Done,
     /*  457493 */   // Label 7854: @457493
     /*  457493 */   GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(457579), // Rule ID 7288 //
     /*  457498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  457509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  457512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  457515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457545 */     // MIs[1] Operand 1
     /*  457545 */     // No operand predicates
     /*  457545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457554 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  457557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457577 */     GIR_RootConstrainSelectedInstOperands,
     /*  457578 */     // GIR_Coverage, 7288,
     /*  457578 */     GIR_EraseRootFromParent_Done,
     /*  457579 */   // Label 7855: @457579
     /*  457579 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(457665), // Rule ID 7289 //
     /*  457584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  457595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  457598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  457601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457631 */     // MIs[1] Operand 1
     /*  457631 */     // No operand predicates
     /*  457631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457640 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  457643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457663 */     GIR_RootConstrainSelectedInstOperands,
     /*  457664 */     // GIR_Coverage, 7289,
     /*  457664 */     GIR_EraseRootFromParent_Done,
     /*  457665 */   // Label 7856: @457665
     /*  457665 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(457751), // Rule ID 7292 //
     /*  457670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  457681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  457684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  457687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457717 */     // MIs[1] Operand 1
     /*  457717 */     // No operand predicates
     /*  457717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  457729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457749 */     GIR_RootConstrainSelectedInstOperands,
     /*  457750 */     // GIR_Coverage, 7292,
     /*  457750 */     GIR_EraseRootFromParent_Done,
     /*  457751 */   // Label 7857: @457751
     /*  457751 */   GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(457837), // Rule ID 7293 //
     /*  457756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  457767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  457770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  457773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457803 */     // MIs[1] Operand 1
     /*  457803 */     // No operand predicates
     /*  457803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457812 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  457815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457835 */     GIR_RootConstrainSelectedInstOperands,
     /*  457836 */     // GIR_Coverage, 7293,
     /*  457836 */     GIR_EraseRootFromParent_Done,
     /*  457837 */   // Label 7858: @457837
     /*  457837 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(457923), // Rule ID 7296 //
     /*  457842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  457853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  457856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  457859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457889 */     // MIs[1] Operand 1
     /*  457889 */     // No operand predicates
     /*  457889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457898 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457921 */     GIR_RootConstrainSelectedInstOperands,
     /*  457922 */     // GIR_Coverage, 7296,
     /*  457922 */     GIR_EraseRootFromParent_Done,
     /*  457923 */   // Label 7859: @457923
     /*  457923 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(458009), // Rule ID 7297 //
     /*  457928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  457939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  457942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  457945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457975 */     // MIs[1] Operand 1
     /*  457975 */     // No operand predicates
     /*  457975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458007 */     GIR_RootConstrainSelectedInstOperands,
     /*  458008 */     // GIR_Coverage, 7297,
     /*  458008 */     GIR_EraseRootFromParent_Done,
     /*  458009 */   // Label 7860: @458009
     /*  458009 */   GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(458095), // Rule ID 7300 //
     /*  458014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  458025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  458028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  458031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458061 */     // MIs[1] Operand 1
     /*  458061 */     // No operand predicates
     /*  458061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458070 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  458073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458093 */     GIR_RootConstrainSelectedInstOperands,
     /*  458094 */     // GIR_Coverage, 7300,
     /*  458094 */     GIR_EraseRootFromParent_Done,
     /*  458095 */   // Label 7861: @458095
     /*  458095 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(458181), // Rule ID 7301 //
     /*  458100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  458111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  458114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  458117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458147 */     // MIs[1] Operand 1
     /*  458147 */     // No operand predicates
     /*  458147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  458159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458179 */     GIR_RootConstrainSelectedInstOperands,
     /*  458180 */     // GIR_Coverage, 7301,
     /*  458180 */     GIR_EraseRootFromParent_Done,
     /*  458181 */   // Label 7862: @458181
     /*  458181 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(458267), // Rule ID 7304 //
     /*  458186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  458197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  458200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  458203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458233 */     // MIs[1] Operand 1
     /*  458233 */     // No operand predicates
     /*  458233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458242 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  458245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458265 */     GIR_RootConstrainSelectedInstOperands,
     /*  458266 */     // GIR_Coverage, 7304,
     /*  458266 */     GIR_EraseRootFromParent_Done,
     /*  458267 */   // Label 7863: @458267
     /*  458267 */   GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(458353), // Rule ID 7305 //
     /*  458272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  458283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  458286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  458289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458319 */     // MIs[1] Operand 1
     /*  458319 */     // No operand predicates
     /*  458319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  458331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458351 */     GIR_RootConstrainSelectedInstOperands,
     /*  458352 */     // GIR_Coverage, 7305,
     /*  458352 */     GIR_EraseRootFromParent_Done,
     /*  458353 */   // Label 7864: @458353
     /*  458353 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(458439), // Rule ID 7308 //
     /*  458358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  458361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  458369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  458372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  458375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458405 */     // MIs[1] Operand 1
     /*  458405 */     // No operand predicates
     /*  458405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458414 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  458414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  458417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458437 */     GIR_RootConstrainSelectedInstOperands,
     /*  458438 */     // GIR_Coverage, 7308,
     /*  458438 */     GIR_EraseRootFromParent_Done,
     /*  458439 */   // Label 7865: @458439
     /*  458439 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(458525), // Rule ID 7309 //
     /*  458444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  458447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  458455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  458458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  458461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458491 */     // MIs[1] Operand 1
     /*  458491 */     // No operand predicates
     /*  458491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458500 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  458500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  458503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458523 */     GIR_RootConstrainSelectedInstOperands,
     /*  458524 */     // GIR_Coverage, 7309,
     /*  458524 */     GIR_EraseRootFromParent_Done,
     /*  458525 */   // Label 7866: @458525
     /*  458525 */   GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(458611), // Rule ID 7312 //
     /*  458530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  458541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  458544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  458547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458577 */     // MIs[1] Operand 1
     /*  458577 */     // No operand predicates
     /*  458577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458586 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458609 */     GIR_RootConstrainSelectedInstOperands,
     /*  458610 */     // GIR_Coverage, 7312,
     /*  458610 */     GIR_EraseRootFromParent_Done,
     /*  458611 */   // Label 7867: @458611
     /*  458611 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(458697), // Rule ID 7313 //
     /*  458616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  458627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  458630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  458633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458663 */     // MIs[1] Operand 1
     /*  458663 */     // No operand predicates
     /*  458663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458695 */     GIR_RootConstrainSelectedInstOperands,
     /*  458696 */     // GIR_Coverage, 7313,
     /*  458696 */     GIR_EraseRootFromParent_Done,
     /*  458697 */   // Label 7868: @458697
     /*  458697 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(458783), // Rule ID 7316 //
     /*  458702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  458713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  458716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  458719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458749 */     // MIs[1] Operand 1
     /*  458749 */     // No operand predicates
     /*  458749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458758 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458781 */     GIR_RootConstrainSelectedInstOperands,
     /*  458782 */     // GIR_Coverage, 7316,
     /*  458782 */     GIR_EraseRootFromParent_Done,
     /*  458783 */   // Label 7869: @458783
     /*  458783 */   GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(458869), // Rule ID 7317 //
     /*  458788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  458799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  458802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  458805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458835 */     // MIs[1] Operand 1
     /*  458835 */     // No operand predicates
     /*  458835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458844 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458867 */     GIR_RootConstrainSelectedInstOperands,
     /*  458868 */     // GIR_Coverage, 7317,
     /*  458868 */     GIR_EraseRootFromParent_Done,
     /*  458869 */   // Label 7870: @458869
     /*  458869 */   GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(458955), // Rule ID 7320 //
     /*  458874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  458885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  458888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  458891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458921 */     // MIs[1] Operand 1
     /*  458921 */     // No operand predicates
     /*  458921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458930 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458953 */     GIR_RootConstrainSelectedInstOperands,
     /*  458954 */     // GIR_Coverage, 7320,
     /*  458954 */     GIR_EraseRootFromParent_Done,
     /*  458955 */   // Label 7871: @458955
     /*  458955 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(459041), // Rule ID 7321 //
     /*  458960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  458971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  458974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  458977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459007 */     // MIs[1] Operand 1
     /*  459007 */     // No operand predicates
     /*  459007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459016 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459039 */     GIR_RootConstrainSelectedInstOperands,
     /*  459040 */     // GIR_Coverage, 7321,
     /*  459040 */     GIR_EraseRootFromParent_Done,
     /*  459041 */   // Label 7872: @459041
     /*  459041 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(459127), // Rule ID 7324 //
     /*  459046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  459057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  459060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  459063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459093 */     // MIs[1] Operand 1
     /*  459093 */     // No operand predicates
     /*  459093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459102 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459125 */     GIR_RootConstrainSelectedInstOperands,
     /*  459126 */     // GIR_Coverage, 7324,
     /*  459126 */     GIR_EraseRootFromParent_Done,
     /*  459127 */   // Label 7873: @459127
     /*  459127 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(459213), // Rule ID 7325 //
     /*  459132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  459143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  459146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  459149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459179 */     // MIs[1] Operand 1
     /*  459179 */     // No operand predicates
     /*  459179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459188 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459211 */     GIR_RootConstrainSelectedInstOperands,
     /*  459212 */     // GIR_Coverage, 7325,
     /*  459212 */     GIR_EraseRootFromParent_Done,
     /*  459213 */   // Label 7874: @459213
     /*  459213 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(459299), // Rule ID 7328 //
     /*  459218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  459229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  459232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  459235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459265 */     // MIs[1] Operand 1
     /*  459265 */     // No operand predicates
     /*  459265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459274 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459297 */     GIR_RootConstrainSelectedInstOperands,
     /*  459298 */     // GIR_Coverage, 7328,
     /*  459298 */     GIR_EraseRootFromParent_Done,
     /*  459299 */   // Label 7875: @459299
     /*  459299 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(459385), // Rule ID 7329 //
     /*  459304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  459315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  459318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  459321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459351 */     // MIs[1] Operand 1
     /*  459351 */     // No operand predicates
     /*  459351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459360 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459383 */     GIR_RootConstrainSelectedInstOperands,
     /*  459384 */     // GIR_Coverage, 7329,
     /*  459384 */     GIR_EraseRootFromParent_Done,
     /*  459385 */   // Label 7876: @459385
     /*  459385 */   GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(459471), // Rule ID 7332 //
     /*  459390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  459401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  459404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  459407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459437 */     // MIs[1] Operand 1
     /*  459437 */     // No operand predicates
     /*  459437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459469 */     GIR_RootConstrainSelectedInstOperands,
     /*  459470 */     // GIR_Coverage, 7332,
     /*  459470 */     GIR_EraseRootFromParent_Done,
     /*  459471 */   // Label 7877: @459471
     /*  459471 */   GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(459557), // Rule ID 7333 //
     /*  459476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  459487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  459490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  459493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459523 */     // MIs[1] Operand 1
     /*  459523 */     // No operand predicates
     /*  459523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459532 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459555 */     GIR_RootConstrainSelectedInstOperands,
     /*  459556 */     // GIR_Coverage, 7333,
     /*  459556 */     GIR_EraseRootFromParent_Done,
     /*  459557 */   // Label 7878: @459557
     /*  459557 */   GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(459643), // Rule ID 7336 //
     /*  459562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  459573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  459576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  459579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459609 */     // MIs[1] Operand 1
     /*  459609 */     // No operand predicates
     /*  459609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459618 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459641 */     GIR_RootConstrainSelectedInstOperands,
     /*  459642 */     // GIR_Coverage, 7336,
     /*  459642 */     GIR_EraseRootFromParent_Done,
     /*  459643 */   // Label 7879: @459643
     /*  459643 */   GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(459729), // Rule ID 7337 //
     /*  459648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  459659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  459662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  459665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459695 */     // MIs[1] Operand 1
     /*  459695 */     // No operand predicates
     /*  459695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459704 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459727 */     GIR_RootConstrainSelectedInstOperands,
     /*  459728 */     // GIR_Coverage, 7337,
     /*  459728 */     GIR_EraseRootFromParent_Done,
     /*  459729 */   // Label 7880: @459729
     /*  459729 */   GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(459815), // Rule ID 7340 //
     /*  459734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  459745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  459748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  459751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459781 */     // MIs[1] Operand 1
     /*  459781 */     // No operand predicates
     /*  459781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459813 */     GIR_RootConstrainSelectedInstOperands,
     /*  459814 */     // GIR_Coverage, 7340,
     /*  459814 */     GIR_EraseRootFromParent_Done,
     /*  459815 */   // Label 7881: @459815
     /*  459815 */   GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(459901), // Rule ID 7341 //
     /*  459820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  459831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  459834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  459837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459867 */     // MIs[1] Operand 1
     /*  459867 */     // No operand predicates
     /*  459867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459899 */     GIR_RootConstrainSelectedInstOperands,
     /*  459900 */     // GIR_Coverage, 7341,
     /*  459900 */     GIR_EraseRootFromParent_Done,
     /*  459901 */   // Label 7882: @459901
     /*  459901 */   GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(459987), // Rule ID 7344 //
     /*  459906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  459917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  459920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  459923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459953 */     // MIs[1] Operand 1
     /*  459953 */     // No operand predicates
     /*  459953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459985 */     GIR_RootConstrainSelectedInstOperands,
     /*  459986 */     // GIR_Coverage, 7344,
     /*  459986 */     GIR_EraseRootFromParent_Done,
     /*  459987 */   // Label 7883: @459987
     /*  459987 */   GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(460073), // Rule ID 7345 //
     /*  459992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  460003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  460006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  460009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460039 */     // MIs[1] Operand 1
     /*  460039 */     // No operand predicates
     /*  460039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460048 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  460048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  460051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460071 */     GIR_RootConstrainSelectedInstOperands,
     /*  460072 */     // GIR_Coverage, 7345,
     /*  460072 */     GIR_EraseRootFromParent_Done,
     /*  460073 */   // Label 7884: @460073
     /*  460073 */   GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(460159), // Rule ID 7348 //
     /*  460078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  460081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  460089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  460092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  460095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460125 */     // MIs[1] Operand 1
     /*  460125 */     // No operand predicates
     /*  460125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460134 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  460137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460157 */     GIR_RootConstrainSelectedInstOperands,
     /*  460158 */     // GIR_Coverage, 7348,
     /*  460158 */     GIR_EraseRootFromParent_Done,
     /*  460159 */   // Label 7885: @460159
     /*  460159 */   GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(460245), // Rule ID 7349 //
     /*  460164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  460175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  460178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  460181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460211 */     // MIs[1] Operand 1
     /*  460211 */     // No operand predicates
     /*  460211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460220 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  460223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460243 */     GIR_RootConstrainSelectedInstOperands,
     /*  460244 */     // GIR_Coverage, 7349,
     /*  460244 */     GIR_EraseRootFromParent_Done,
     /*  460245 */   // Label 7886: @460245
     /*  460245 */   GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(460331), // Rule ID 7352 //
     /*  460250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  460253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  460261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  460264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  460267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460297 */     // MIs[1] Operand 1
     /*  460297 */     // No operand predicates
     /*  460297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460306 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  460309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460329 */     GIR_RootConstrainSelectedInstOperands,
     /*  460330 */     // GIR_Coverage, 7352,
     /*  460330 */     GIR_EraseRootFromParent_Done,
     /*  460331 */   // Label 7887: @460331
     /*  460331 */   GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(460417), // Rule ID 7353 //
     /*  460336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  460347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  460350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  460353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460383 */     // MIs[1] Operand 1
     /*  460383 */     // No operand predicates
     /*  460383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460392 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  460395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460415 */     GIR_RootConstrainSelectedInstOperands,
     /*  460416 */     // GIR_Coverage, 7353,
     /*  460416 */     GIR_EraseRootFromParent_Done,
     /*  460417 */   // Label 7888: @460417
     /*  460417 */   GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(460503), // Rule ID 7356 //
     /*  460422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  460425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  460433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  460436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  460439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460469 */     // MIs[1] Operand 1
     /*  460469 */     // No operand predicates
     /*  460469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460478 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  460481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460501 */     GIR_RootConstrainSelectedInstOperands,
     /*  460502 */     // GIR_Coverage, 7356,
     /*  460502 */     GIR_EraseRootFromParent_Done,
     /*  460503 */   // Label 7889: @460503
     /*  460503 */   GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(460589), // Rule ID 7357 //
     /*  460508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  460519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  460522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  460525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460555 */     // MIs[1] Operand 1
     /*  460555 */     // No operand predicates
     /*  460555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460564 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  460567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460587 */     GIR_RootConstrainSelectedInstOperands,
     /*  460588 */     // GIR_Coverage, 7357,
     /*  460588 */     GIR_EraseRootFromParent_Done,
     /*  460589 */   // Label 7890: @460589
     /*  460589 */   GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(460675), // Rule ID 7568 //
     /*  460594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  460605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  460608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  460611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460641 */     // MIs[1] Operand 1
     /*  460641 */     // No operand predicates
     /*  460641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460650 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  460653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460673 */     GIR_RootConstrainSelectedInstOperands,
     /*  460674 */     // GIR_Coverage, 7568,
     /*  460674 */     GIR_EraseRootFromParent_Done,
     /*  460675 */   // Label 7891: @460675
     /*  460675 */   GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(460761), // Rule ID 7569 //
     /*  460680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  460691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  460694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  460697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460727 */     // MIs[1] Operand 1
     /*  460727 */     // No operand predicates
     /*  460727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460736 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  460739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460759 */     GIR_RootConstrainSelectedInstOperands,
     /*  460760 */     // GIR_Coverage, 7569,
     /*  460760 */     GIR_EraseRootFromParent_Done,
     /*  460761 */   // Label 7892: @460761
     /*  460761 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(460847), // Rule ID 7572 //
     /*  460766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  460777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  460780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  460783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460813 */     // MIs[1] Operand 1
     /*  460813 */     // No operand predicates
     /*  460813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  460825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460845 */     GIR_RootConstrainSelectedInstOperands,
     /*  460846 */     // GIR_Coverage, 7572,
     /*  460846 */     GIR_EraseRootFromParent_Done,
     /*  460847 */   // Label 7893: @460847
     /*  460847 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(460933), // Rule ID 7573 //
     /*  460852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  460863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  460866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  460869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460899 */     // MIs[1] Operand 1
     /*  460899 */     // No operand predicates
     /*  460899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460908 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  460911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460931 */     GIR_RootConstrainSelectedInstOperands,
     /*  460932 */     // GIR_Coverage, 7573,
     /*  460932 */     GIR_EraseRootFromParent_Done,
     /*  460933 */   // Label 7894: @460933
     /*  460933 */   GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(461019), // Rule ID 7576 //
     /*  460938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  460949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  460952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  460955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460985 */     // MIs[1] Operand 1
     /*  460985 */     // No operand predicates
     /*  460985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460994 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  460997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461017 */     GIR_RootConstrainSelectedInstOperands,
     /*  461018 */     // GIR_Coverage, 7576,
     /*  461018 */     GIR_EraseRootFromParent_Done,
     /*  461019 */   // Label 7895: @461019
     /*  461019 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(461105), // Rule ID 7577 //
     /*  461024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  461035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  461038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  461041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461071 */     // MIs[1] Operand 1
     /*  461071 */     // No operand predicates
     /*  461071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461080 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461103 */     GIR_RootConstrainSelectedInstOperands,
     /*  461104 */     // GIR_Coverage, 7577,
     /*  461104 */     GIR_EraseRootFromParent_Done,
     /*  461105 */   // Label 7896: @461105
     /*  461105 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(461191), // Rule ID 7580 //
     /*  461110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  461121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  461124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  461127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461157 */     // MIs[1] Operand 1
     /*  461157 */     // No operand predicates
     /*  461157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461166 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  461169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461189 */     GIR_RootConstrainSelectedInstOperands,
     /*  461190 */     // GIR_Coverage, 7580,
     /*  461190 */     GIR_EraseRootFromParent_Done,
     /*  461191 */   // Label 7897: @461191
     /*  461191 */   GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(461277), // Rule ID 7581 //
     /*  461196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  461207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  461210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  461213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461243 */     // MIs[1] Operand 1
     /*  461243 */     // No operand predicates
     /*  461243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  461255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461275 */     GIR_RootConstrainSelectedInstOperands,
     /*  461276 */     // GIR_Coverage, 7581,
     /*  461276 */     GIR_EraseRootFromParent_Done,
     /*  461277 */   // Label 7898: @461277
     /*  461277 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(461363), // Rule ID 7584 //
     /*  461282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  461293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  461296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  461299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461329 */     // MIs[1] Operand 1
     /*  461329 */     // No operand predicates
     /*  461329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461338 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461361 */     GIR_RootConstrainSelectedInstOperands,
     /*  461362 */     // GIR_Coverage, 7584,
     /*  461362 */     GIR_EraseRootFromParent_Done,
     /*  461363 */   // Label 7899: @461363
     /*  461363 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(461449), // Rule ID 7585 //
     /*  461368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  461379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  461382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  461385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461415 */     // MIs[1] Operand 1
     /*  461415 */     // No operand predicates
     /*  461415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461424 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461447 */     GIR_RootConstrainSelectedInstOperands,
     /*  461448 */     // GIR_Coverage, 7585,
     /*  461448 */     GIR_EraseRootFromParent_Done,
     /*  461449 */   // Label 7900: @461449
     /*  461449 */   GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(461535), // Rule ID 7588 //
     /*  461454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  461465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  461468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  461471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461501 */     // MIs[1] Operand 1
     /*  461501 */     // No operand predicates
     /*  461501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461510 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  461513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461533 */     GIR_RootConstrainSelectedInstOperands,
     /*  461534 */     // GIR_Coverage, 7588,
     /*  461534 */     GIR_EraseRootFromParent_Done,
     /*  461535 */   // Label 7901: @461535
     /*  461535 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(461621), // Rule ID 7589 //
     /*  461540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  461551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  461554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  461557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461587 */     // MIs[1] Operand 1
     /*  461587 */     // No operand predicates
     /*  461587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461596 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  461599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461619 */     GIR_RootConstrainSelectedInstOperands,
     /*  461620 */     // GIR_Coverage, 7589,
     /*  461620 */     GIR_EraseRootFromParent_Done,
     /*  461621 */   // Label 7902: @461621
     /*  461621 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(461707), // Rule ID 7592 //
     /*  461626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  461637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  461640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  461643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461673 */     // MIs[1] Operand 1
     /*  461673 */     // No operand predicates
     /*  461673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461682 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  461685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461705 */     GIR_RootConstrainSelectedInstOperands,
     /*  461706 */     // GIR_Coverage, 7592,
     /*  461706 */     GIR_EraseRootFromParent_Done,
     /*  461707 */   // Label 7903: @461707
     /*  461707 */   GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(461793), // Rule ID 7593 //
     /*  461712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  461723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  461726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  461729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461759 */     // MIs[1] Operand 1
     /*  461759 */     // No operand predicates
     /*  461759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  461771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461791 */     GIR_RootConstrainSelectedInstOperands,
     /*  461792 */     // GIR_Coverage, 7593,
     /*  461792 */     GIR_EraseRootFromParent_Done,
     /*  461793 */   // Label 7904: @461793
     /*  461793 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(461879), // Rule ID 7596 //
     /*  461798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  461809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  461815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461845 */     // MIs[1] Operand 1
     /*  461845 */     // No operand predicates
     /*  461845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461854 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461877 */     GIR_RootConstrainSelectedInstOperands,
     /*  461878 */     // GIR_Coverage, 7596,
     /*  461878 */     GIR_EraseRootFromParent_Done,
     /*  461879 */   // Label 7905: @461879
     /*  461879 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(461965), // Rule ID 7597 //
     /*  461884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  461895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  461901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461931 */     // MIs[1] Operand 1
     /*  461931 */     // No operand predicates
     /*  461931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461963 */     GIR_RootConstrainSelectedInstOperands,
     /*  461964 */     // GIR_Coverage, 7597,
     /*  461964 */     GIR_EraseRootFromParent_Done,
     /*  461965 */   // Label 7906: @461965
     /*  461965 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(462051), // Rule ID 7600 //
     /*  461970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  461981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  461984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  461987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462017 */     // MIs[1] Operand 1
     /*  462017 */     // No operand predicates
     /*  462017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462026 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  462029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462049 */     GIR_RootConstrainSelectedInstOperands,
     /*  462050 */     // GIR_Coverage, 7600,
     /*  462050 */     GIR_EraseRootFromParent_Done,
     /*  462051 */   // Label 7907: @462051
     /*  462051 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(462137), // Rule ID 7601 //
     /*  462056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  462067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  462070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  462073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462103 */     // MIs[1] Operand 1
     /*  462103 */     // No operand predicates
     /*  462103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  462115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462135 */     GIR_RootConstrainSelectedInstOperands,
     /*  462136 */     // GIR_Coverage, 7601,
     /*  462136 */     GIR_EraseRootFromParent_Done,
     /*  462137 */   // Label 7908: @462137
     /*  462137 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(462223), // Rule ID 7604 //
     /*  462142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  462153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  462156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  462159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462189 */     // MIs[1] Operand 1
     /*  462189 */     // No operand predicates
     /*  462189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462198 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  462201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462221 */     GIR_RootConstrainSelectedInstOperands,
     /*  462222 */     // GIR_Coverage, 7604,
     /*  462222 */     GIR_EraseRootFromParent_Done,
     /*  462223 */   // Label 7909: @462223
     /*  462223 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(462309), // Rule ID 7605 //
     /*  462228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  462239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  462242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  462245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462275 */     // MIs[1] Operand 1
     /*  462275 */     // No operand predicates
     /*  462275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  462287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462307 */     GIR_RootConstrainSelectedInstOperands,
     /*  462308 */     // GIR_Coverage, 7605,
     /*  462308 */     GIR_EraseRootFromParent_Done,
     /*  462309 */   // Label 7910: @462309
     /*  462309 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(462395), // Rule ID 7608 //
     /*  462314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  462325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  462328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  462331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462361 */     // MIs[1] Operand 1
     /*  462361 */     // No operand predicates
     /*  462361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462370 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  462373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462393 */     GIR_RootConstrainSelectedInstOperands,
     /*  462394 */     // GIR_Coverage, 7608,
     /*  462394 */     GIR_EraseRootFromParent_Done,
     /*  462395 */   // Label 7911: @462395
     /*  462395 */   GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(462481), // Rule ID 7609 //
     /*  462400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  462411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  462414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  462417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462447 */     // MIs[1] Operand 1
     /*  462447 */     // No operand predicates
     /*  462447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  462459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462479 */     GIR_RootConstrainSelectedInstOperands,
     /*  462480 */     // GIR_Coverage, 7609,
     /*  462480 */     GIR_EraseRootFromParent_Done,
     /*  462481 */   // Label 7912: @462481
     /*  462481 */   GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(462567), // Rule ID 7612 //
     /*  462486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  462489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  462497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  462500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  462503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462533 */     // MIs[1] Operand 1
     /*  462533 */     // No operand predicates
     /*  462533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  462545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462565 */     GIR_RootConstrainSelectedInstOperands,
     /*  462566 */     // GIR_Coverage, 7612,
     /*  462566 */     GIR_EraseRootFromParent_Done,
     /*  462567 */   // Label 7913: @462567
     /*  462567 */   GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(462653), // Rule ID 7613 //
     /*  462572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  462575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  462583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  462586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  462589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462619 */     // MIs[1] Operand 1
     /*  462619 */     // No operand predicates
     /*  462619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  462631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462651 */     GIR_RootConstrainSelectedInstOperands,
     /*  462652 */     // GIR_Coverage, 7613,
     /*  462652 */     GIR_EraseRootFromParent_Done,
     /*  462653 */   // Label 7914: @462653
     /*  462653 */   GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(462739), // Rule ID 7616 //
     /*  462658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  462661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  462669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  462672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  462675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462705 */     // MIs[1] Operand 1
     /*  462705 */     // No operand predicates
     /*  462705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  462717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462737 */     GIR_RootConstrainSelectedInstOperands,
     /*  462738 */     // GIR_Coverage, 7616,
     /*  462738 */     GIR_EraseRootFromParent_Done,
     /*  462739 */   // Label 7915: @462739
     /*  462739 */   GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(462825), // Rule ID 7617 //
     /*  462744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  462747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  462755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  462758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  462761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462791 */     // MIs[1] Operand 1
     /*  462791 */     // No operand predicates
     /*  462791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462800 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  462803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462823 */     GIR_RootConstrainSelectedInstOperands,
     /*  462824 */     // GIR_Coverage, 7617,
     /*  462824 */     GIR_EraseRootFromParent_Done,
     /*  462825 */   // Label 7916: @462825
     /*  462825 */   GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(462911), // Rule ID 7620 //
     /*  462830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  462833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  462841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  462844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  462847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462877 */     // MIs[1] Operand 1
     /*  462877 */     // No operand predicates
     /*  462877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462886 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  462889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462909 */     GIR_RootConstrainSelectedInstOperands,
     /*  462910 */     // GIR_Coverage, 7620,
     /*  462910 */     GIR_EraseRootFromParent_Done,
     /*  462911 */   // Label 7917: @462911
     /*  462911 */   GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(462997), // Rule ID 7621 //
     /*  462916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  462919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  462924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  462927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  462930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  462933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462963 */     // MIs[1] Operand 1
     /*  462963 */     // No operand predicates
     /*  462963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  462975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462995 */     GIR_RootConstrainSelectedInstOperands,
     /*  462996 */     // GIR_Coverage, 7621,
     /*  462996 */     GIR_EraseRootFromParent_Done,
     /*  462997 */   // Label 7918: @462997
     /*  462997 */   GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(463083), // Rule ID 7624 //
     /*  463002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  463005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  463010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  463013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  463016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  463019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463049 */     // MIs[1] Operand 1
     /*  463049 */     // No operand predicates
     /*  463049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  463061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463081 */     GIR_RootConstrainSelectedInstOperands,
     /*  463082 */     // GIR_Coverage, 7624,
     /*  463082 */     GIR_EraseRootFromParent_Done,
     /*  463083 */   // Label 7919: @463083
     /*  463083 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(463169), // Rule ID 7625 //
     /*  463088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  463091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  463096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  463099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  463102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  463105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463135 */     // MIs[1] Operand 1
     /*  463135 */     // No operand predicates
     /*  463135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  463147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463167 */     GIR_RootConstrainSelectedInstOperands,
     /*  463168 */     // GIR_Coverage, 7625,
     /*  463168 */     GIR_EraseRootFromParent_Done,
     /*  463169 */   // Label 7920: @463169
     /*  463169 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(463255), // Rule ID 7748 //
     /*  463174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  463185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  463188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  463191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463221 */     // MIs[1] Operand 1
     /*  463221 */     // No operand predicates
     /*  463221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463230 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  463233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463253 */     GIR_RootConstrainSelectedInstOperands,
     /*  463254 */     // GIR_Coverage, 7748,
     /*  463254 */     GIR_EraseRootFromParent_Done,
     /*  463255 */   // Label 7921: @463255
     /*  463255 */   GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(463341), // Rule ID 7749 //
     /*  463260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  463271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  463274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  463277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463307 */     // MIs[1] Operand 1
     /*  463307 */     // No operand predicates
     /*  463307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463316 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  463319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463339 */     GIR_RootConstrainSelectedInstOperands,
     /*  463340 */     // GIR_Coverage, 7749,
     /*  463340 */     GIR_EraseRootFromParent_Done,
     /*  463341 */   // Label 7922: @463341
     /*  463341 */   GIM_Try, /*On fail goto*//*Label 7923*/ GIMT_Encode4(463427), // Rule ID 7752 //
     /*  463346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  463357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  463360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  463363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463393 */     // MIs[1] Operand 1
     /*  463393 */     // No operand predicates
     /*  463393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463402 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  463405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463425 */     GIR_RootConstrainSelectedInstOperands,
     /*  463426 */     // GIR_Coverage, 7752,
     /*  463426 */     GIR_EraseRootFromParent_Done,
     /*  463427 */   // Label 7923: @463427
     /*  463427 */   GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(463513), // Rule ID 7753 //
     /*  463432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  463443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  463446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  463449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463479 */     // MIs[1] Operand 1
     /*  463479 */     // No operand predicates
     /*  463479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463488 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  463491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463511 */     GIR_RootConstrainSelectedInstOperands,
     /*  463512 */     // GIR_Coverage, 7753,
     /*  463512 */     GIR_EraseRootFromParent_Done,
     /*  463513 */   // Label 7924: @463513
     /*  463513 */   GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(463599), // Rule ID 7756 //
     /*  463518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  463529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  463532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  463535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463565 */     // MIs[1] Operand 1
     /*  463565 */     // No operand predicates
     /*  463565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463574 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  463577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463597 */     GIR_RootConstrainSelectedInstOperands,
     /*  463598 */     // GIR_Coverage, 7756,
     /*  463598 */     GIR_EraseRootFromParent_Done,
     /*  463599 */   // Label 7925: @463599
     /*  463599 */   GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(463685), // Rule ID 7757 //
     /*  463604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  463615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  463618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  463621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463651 */     // MIs[1] Operand 1
     /*  463651 */     // No operand predicates
     /*  463651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463660 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  463663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463683 */     GIR_RootConstrainSelectedInstOperands,
     /*  463684 */     // GIR_Coverage, 7757,
     /*  463684 */     GIR_EraseRootFromParent_Done,
     /*  463685 */   // Label 7926: @463685
     /*  463685 */   GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(463771), // Rule ID 7760 //
     /*  463690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  463701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  463704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  463707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463737 */     // MIs[1] Operand 1
     /*  463737 */     // No operand predicates
     /*  463737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463746 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463769 */     GIR_RootConstrainSelectedInstOperands,
     /*  463770 */     // GIR_Coverage, 7760,
     /*  463770 */     GIR_EraseRootFromParent_Done,
     /*  463771 */   // Label 7927: @463771
     /*  463771 */   GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(463857), // Rule ID 7761 //
     /*  463776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  463787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  463790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  463793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463823 */     // MIs[1] Operand 1
     /*  463823 */     // No operand predicates
     /*  463823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463855 */     GIR_RootConstrainSelectedInstOperands,
     /*  463856 */     // GIR_Coverage, 7761,
     /*  463856 */     GIR_EraseRootFromParent_Done,
     /*  463857 */   // Label 7928: @463857
     /*  463857 */   GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(463943), // Rule ID 7764 //
     /*  463862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  463873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  463876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  463879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463909 */     // MIs[1] Operand 1
     /*  463909 */     // No operand predicates
     /*  463909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463918 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  463921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463941 */     GIR_RootConstrainSelectedInstOperands,
     /*  463942 */     // GIR_Coverage, 7764,
     /*  463942 */     GIR_EraseRootFromParent_Done,
     /*  463943 */   // Label 7929: @463943
     /*  463943 */   GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(464029), // Rule ID 7765 //
     /*  463948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  463959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  463962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  463965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463995 */     // MIs[1] Operand 1
     /*  463995 */     // No operand predicates
     /*  463995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464004 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464027 */     GIR_RootConstrainSelectedInstOperands,
     /*  464028 */     // GIR_Coverage, 7765,
     /*  464028 */     GIR_EraseRootFromParent_Done,
     /*  464029 */   // Label 7930: @464029
     /*  464029 */   GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(464115), // Rule ID 7768 //
     /*  464034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  464045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  464048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  464051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464081 */     // MIs[1] Operand 1
     /*  464081 */     // No operand predicates
     /*  464081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464090 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  464093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464113 */     GIR_RootConstrainSelectedInstOperands,
     /*  464114 */     // GIR_Coverage, 7768,
     /*  464114 */     GIR_EraseRootFromParent_Done,
     /*  464115 */   // Label 7931: @464115
     /*  464115 */   GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(464201), // Rule ID 7769 //
     /*  464120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  464131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  464134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  464137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464167 */     // MIs[1] Operand 1
     /*  464167 */     // No operand predicates
     /*  464167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464176 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  464179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464199 */     GIR_RootConstrainSelectedInstOperands,
     /*  464200 */     // GIR_Coverage, 7769,
     /*  464200 */     GIR_EraseRootFromParent_Done,
     /*  464201 */   // Label 7932: @464201
     /*  464201 */   GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(464287), // Rule ID 7772 //
     /*  464206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  464217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  464220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  464223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464253 */     // MIs[1] Operand 1
     /*  464253 */     // No operand predicates
     /*  464253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464262 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  464265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464285 */     GIR_RootConstrainSelectedInstOperands,
     /*  464286 */     // GIR_Coverage, 7772,
     /*  464286 */     GIR_EraseRootFromParent_Done,
     /*  464287 */   // Label 7933: @464287
     /*  464287 */   GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(464373), // Rule ID 7773 //
     /*  464292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  464303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  464306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  464309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464339 */     // MIs[1] Operand 1
     /*  464339 */     // No operand predicates
     /*  464339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464348 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  464351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464371 */     GIR_RootConstrainSelectedInstOperands,
     /*  464372 */     // GIR_Coverage, 7773,
     /*  464372 */     GIR_EraseRootFromParent_Done,
     /*  464373 */   // Label 7934: @464373
     /*  464373 */   GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(464459), // Rule ID 7776 //
     /*  464378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  464389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  464392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  464395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464425 */     // MIs[1] Operand 1
     /*  464425 */     // No operand predicates
     /*  464425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  464437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464457 */     GIR_RootConstrainSelectedInstOperands,
     /*  464458 */     // GIR_Coverage, 7776,
     /*  464458 */     GIR_EraseRootFromParent_Done,
     /*  464459 */   // Label 7935: @464459
     /*  464459 */   GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(464545), // Rule ID 7777 //
     /*  464464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  464475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  464478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  464481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464511 */     // MIs[1] Operand 1
     /*  464511 */     // No operand predicates
     /*  464511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  464523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464543 */     GIR_RootConstrainSelectedInstOperands,
     /*  464544 */     // GIR_Coverage, 7777,
     /*  464544 */     GIR_EraseRootFromParent_Done,
     /*  464545 */   // Label 7936: @464545
     /*  464545 */   GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(464631), // Rule ID 7780 //
     /*  464550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  464561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  464564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  464567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464597 */     // MIs[1] Operand 1
     /*  464597 */     // No operand predicates
     /*  464597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464606 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  464609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464629 */     GIR_RootConstrainSelectedInstOperands,
     /*  464630 */     // GIR_Coverage, 7780,
     /*  464630 */     GIR_EraseRootFromParent_Done,
     /*  464631 */   // Label 7937: @464631
     /*  464631 */   GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(464717), // Rule ID 7781 //
     /*  464636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  464647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  464650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  464653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464683 */     // MIs[1] Operand 1
     /*  464683 */     // No operand predicates
     /*  464683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  464695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464715 */     GIR_RootConstrainSelectedInstOperands,
     /*  464716 */     // GIR_Coverage, 7781,
     /*  464716 */     GIR_EraseRootFromParent_Done,
     /*  464717 */   // Label 7938: @464717
     /*  464717 */   GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(464803), // Rule ID 7784 //
     /*  464722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  464733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  464736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  464739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464769 */     // MIs[1] Operand 1
     /*  464769 */     // No operand predicates
     /*  464769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464801 */     GIR_RootConstrainSelectedInstOperands,
     /*  464802 */     // GIR_Coverage, 7784,
     /*  464802 */     GIR_EraseRootFromParent_Done,
     /*  464803 */   // Label 7939: @464803
     /*  464803 */   GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(464889), // Rule ID 7785 //
     /*  464808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  464819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  464822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  464825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464855 */     // MIs[1] Operand 1
     /*  464855 */     // No operand predicates
     /*  464855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464887 */     GIR_RootConstrainSelectedInstOperands,
     /*  464888 */     // GIR_Coverage, 7785,
     /*  464888 */     GIR_EraseRootFromParent_Done,
     /*  464889 */   // Label 7940: @464889
     /*  464889 */   GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(464975), // Rule ID 7788 //
     /*  464894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  464905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  464908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  464911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464941 */     // MIs[1] Operand 1
     /*  464941 */     // No operand predicates
     /*  464941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464950 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  464953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464973 */     GIR_RootConstrainSelectedInstOperands,
     /*  464974 */     // GIR_Coverage, 7788,
     /*  464974 */     GIR_EraseRootFromParent_Done,
     /*  464975 */   // Label 7941: @464975
     /*  464975 */   GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(465061), // Rule ID 7789 //
     /*  464980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  464991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  464994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  464997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465027 */     // MIs[1] Operand 1
     /*  465027 */     // No operand predicates
     /*  465027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  465039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465059 */     GIR_RootConstrainSelectedInstOperands,
     /*  465060 */     // GIR_Coverage, 7789,
     /*  465060 */     GIR_EraseRootFromParent_Done,
     /*  465061 */   // Label 7942: @465061
     /*  465061 */   GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(465147), // Rule ID 7792 //
     /*  465066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  465069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  465074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  465077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  465080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  465083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465113 */     // MIs[1] Operand 1
     /*  465113 */     // No operand predicates
     /*  465113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  465122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  465125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465145 */     GIR_RootConstrainSelectedInstOperands,
     /*  465146 */     // GIR_Coverage, 7792,
     /*  465146 */     GIR_EraseRootFromParent_Done,
     /*  465147 */   // Label 7943: @465147
     /*  465147 */   GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(465233), // Rule ID 7793 //
     /*  465152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  465155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  465160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  465163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  465166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  465169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465199 */     // MIs[1] Operand 1
     /*  465199 */     // No operand predicates
     /*  465199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465208 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  465211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465231 */     GIR_RootConstrainSelectedInstOperands,
     /*  465232 */     // GIR_Coverage, 7793,
     /*  465232 */     GIR_EraseRootFromParent_Done,
     /*  465233 */   // Label 7944: @465233
     /*  465233 */   GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(465319), // Rule ID 7796 //
     /*  465238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  465241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  465246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  465249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  465252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  465255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465285 */     // MIs[1] Operand 1
     /*  465285 */     // No operand predicates
     /*  465285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465294 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  465294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  465297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465317 */     GIR_RootConstrainSelectedInstOperands,
     /*  465318 */     // GIR_Coverage, 7796,
     /*  465318 */     GIR_EraseRootFromParent_Done,
     /*  465319 */   // Label 7945: @465319
     /*  465319 */   GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(465405), // Rule ID 7797 //
     /*  465324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  465327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  465332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  465335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  465338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  465341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465371 */     // MIs[1] Operand 1
     /*  465371 */     // No operand predicates
     /*  465371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  465383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465403 */     GIR_RootConstrainSelectedInstOperands,
     /*  465404 */     // GIR_Coverage, 7797,
     /*  465404 */     GIR_EraseRootFromParent_Done,
     /*  465405 */   // Label 7946: @465405
     /*  465405 */   GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(465491), // Rule ID 7800 //
     /*  465410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  465413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  465418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  465421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  465424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  465427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465457 */     // MIs[1] Operand 1
     /*  465457 */     // No operand predicates
     /*  465457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465466 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  465466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  465469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465489 */     GIR_RootConstrainSelectedInstOperands,
     /*  465490 */     // GIR_Coverage, 7800,
     /*  465490 */     GIR_EraseRootFromParent_Done,
     /*  465491 */   // Label 7947: @465491
     /*  465491 */   GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(465577), // Rule ID 7801 //
     /*  465496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  465499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  465504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  465507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  465510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  465513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465543 */     // MIs[1] Operand 1
     /*  465543 */     // No operand predicates
     /*  465543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  465555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465575 */     GIR_RootConstrainSelectedInstOperands,
     /*  465576 */     // GIR_Coverage, 7801,
     /*  465576 */     GIR_EraseRootFromParent_Done,
     /*  465577 */   // Label 7948: @465577
     /*  465577 */   GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(465663), // Rule ID 7804 //
     /*  465582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  465585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  465590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  465593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  465596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  465599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465629 */     // MIs[1] Operand 1
     /*  465629 */     // No operand predicates
     /*  465629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  465638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  465641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465661 */     GIR_RootConstrainSelectedInstOperands,
     /*  465662 */     // GIR_Coverage, 7804,
     /*  465662 */     GIR_EraseRootFromParent_Done,
     /*  465663 */   // Label 7949: @465663
     /*  465663 */   GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(465749), // Rule ID 7805 //
     /*  465668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  465671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  465676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  465679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  465682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  465685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465715 */     // MIs[1] Operand 1
     /*  465715 */     // No operand predicates
     /*  465715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  465727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465747 */     GIR_RootConstrainSelectedInstOperands,
     /*  465748 */     // GIR_Coverage, 7805,
     /*  465748 */     GIR_EraseRootFromParent_Done,
     /*  465749 */   // Label 7950: @465749
     /*  465749 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(465838), // Rule ID 14234 //
     /*  465754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  465765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  465768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  465771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465801 */     // MIs[1] Operand 1
     /*  465801 */     // No operand predicates
     /*  465801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465810 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  465813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465836 */     GIR_RootConstrainSelectedInstOperands,
     /*  465837 */     // GIR_Coverage, 14234,
     /*  465837 */     GIR_EraseRootFromParent_Done,
     /*  465838 */   // Label 7951: @465838
     /*  465838 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(465927), // Rule ID 14235 //
     /*  465843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  465854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  465857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  465860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465890 */     // MIs[1] Operand 1
     /*  465890 */     // No operand predicates
     /*  465890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465899 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  465902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465922 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465925 */     GIR_RootConstrainSelectedInstOperands,
     /*  465926 */     // GIR_Coverage, 14235,
     /*  465926 */     GIR_EraseRootFromParent_Done,
     /*  465927 */   // Label 7952: @465927
     /*  465927 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(466016), // Rule ID 14238 //
     /*  465932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  465943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  465946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  465949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465979 */     // MIs[1] Operand 1
     /*  465979 */     // No operand predicates
     /*  465979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465988 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466014 */     GIR_RootConstrainSelectedInstOperands,
     /*  466015 */     // GIR_Coverage, 14238,
     /*  466015 */     GIR_EraseRootFromParent_Done,
     /*  466016 */   // Label 7953: @466016
     /*  466016 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(466105), // Rule ID 14239 //
     /*  466021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  466032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  466035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  466038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466068 */     // MIs[1] Operand 1
     /*  466068 */     // No operand predicates
     /*  466068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466077 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  466080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466100 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466103 */     GIR_RootConstrainSelectedInstOperands,
     /*  466104 */     // GIR_Coverage, 14239,
     /*  466104 */     GIR_EraseRootFromParent_Done,
     /*  466105 */   // Label 7954: @466105
     /*  466105 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(466194), // Rule ID 14242 //
     /*  466110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  466121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  466124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  466127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466157 */     // MIs[1] Operand 1
     /*  466157 */     // No operand predicates
     /*  466157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466166 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  466169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466192 */     GIR_RootConstrainSelectedInstOperands,
     /*  466193 */     // GIR_Coverage, 14242,
     /*  466193 */     GIR_EraseRootFromParent_Done,
     /*  466194 */   // Label 7955: @466194
     /*  466194 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(466283), // Rule ID 14243 //
     /*  466199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  466210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  466213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  466216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466246 */     // MIs[1] Operand 1
     /*  466246 */     // No operand predicates
     /*  466246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466255 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  466258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466281 */     GIR_RootConstrainSelectedInstOperands,
     /*  466282 */     // GIR_Coverage, 14243,
     /*  466282 */     GIR_EraseRootFromParent_Done,
     /*  466283 */   // Label 7956: @466283
     /*  466283 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(466372), // Rule ID 14246 //
     /*  466288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  466299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  466302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  466305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466335 */     // MIs[1] Operand 1
     /*  466335 */     // No operand predicates
     /*  466335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  466347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466370 */     GIR_RootConstrainSelectedInstOperands,
     /*  466371 */     // GIR_Coverage, 14246,
     /*  466371 */     GIR_EraseRootFromParent_Done,
     /*  466372 */   // Label 7957: @466372
     /*  466372 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(466461), // Rule ID 14247 //
     /*  466377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  466388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  466391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  466394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466424 */     // MIs[1] Operand 1
     /*  466424 */     // No operand predicates
     /*  466424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  466436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466459 */     GIR_RootConstrainSelectedInstOperands,
     /*  466460 */     // GIR_Coverage, 14247,
     /*  466460 */     GIR_EraseRootFromParent_Done,
     /*  466461 */   // Label 7958: @466461
     /*  466461 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(466550), // Rule ID 14250 //
     /*  466466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  466477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  466480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  466483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466513 */     // MIs[1] Operand 1
     /*  466513 */     // No operand predicates
     /*  466513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466522 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  466525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466548 */     GIR_RootConstrainSelectedInstOperands,
     /*  466549 */     // GIR_Coverage, 14250,
     /*  466549 */     GIR_EraseRootFromParent_Done,
     /*  466550 */   // Label 7959: @466550
     /*  466550 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(466639), // Rule ID 14251 //
     /*  466555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  466566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  466569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  466572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466602 */     // MIs[1] Operand 1
     /*  466602 */     // No operand predicates
     /*  466602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466611 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  466614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466637 */     GIR_RootConstrainSelectedInstOperands,
     /*  466638 */     // GIR_Coverage, 14251,
     /*  466638 */     GIR_EraseRootFromParent_Done,
     /*  466639 */   // Label 7960: @466639
     /*  466639 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(466728), // Rule ID 14254 //
     /*  466644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  466655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  466658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  466661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466691 */     // MIs[1] Operand 1
     /*  466691 */     // No operand predicates
     /*  466691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466700 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  466703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466726 */     GIR_RootConstrainSelectedInstOperands,
     /*  466727 */     // GIR_Coverage, 14254,
     /*  466727 */     GIR_EraseRootFromParent_Done,
     /*  466728 */   // Label 7961: @466728
     /*  466728 */   GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(466817), // Rule ID 14255 //
     /*  466733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  466744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  466747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  466750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466780 */     // MIs[1] Operand 1
     /*  466780 */     // No operand predicates
     /*  466780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466789 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  466792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466815 */     GIR_RootConstrainSelectedInstOperands,
     /*  466816 */     // GIR_Coverage, 14255,
     /*  466816 */     GIR_EraseRootFromParent_Done,
     /*  466817 */   // Label 7962: @466817
     /*  466817 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(466906), // Rule ID 14258 //
     /*  466822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  466833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  466836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  466839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466869 */     // MIs[1] Operand 1
     /*  466869 */     // No operand predicates
     /*  466869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466878 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466904 */     GIR_RootConstrainSelectedInstOperands,
     /*  466905 */     // GIR_Coverage, 14258,
     /*  466905 */     GIR_EraseRootFromParent_Done,
     /*  466906 */   // Label 7963: @466906
     /*  466906 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(466995), // Rule ID 14259 //
     /*  466911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  466922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  466925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  466928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466958 */     // MIs[1] Operand 1
     /*  466958 */     // No operand predicates
     /*  466958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466993 */     GIR_RootConstrainSelectedInstOperands,
     /*  466994 */     // GIR_Coverage, 14259,
     /*  466994 */     GIR_EraseRootFromParent_Done,
     /*  466995 */   // Label 7964: @466995
     /*  466995 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(467084), // Rule ID 14262 //
     /*  467000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  467011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  467014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  467017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467047 */     // MIs[1] Operand 1
     /*  467047 */     // No operand predicates
     /*  467047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467056 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  467059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467082 */     GIR_RootConstrainSelectedInstOperands,
     /*  467083 */     // GIR_Coverage, 14262,
     /*  467083 */     GIR_EraseRootFromParent_Done,
     /*  467084 */   // Label 7965: @467084
     /*  467084 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(467173), // Rule ID 14263 //
     /*  467089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  467100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  467103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  467106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467136 */     // MIs[1] Operand 1
     /*  467136 */     // No operand predicates
     /*  467136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467145 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  467148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467171 */     GIR_RootConstrainSelectedInstOperands,
     /*  467172 */     // GIR_Coverage, 14263,
     /*  467172 */     GIR_EraseRootFromParent_Done,
     /*  467173 */   // Label 7966: @467173
     /*  467173 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(467262), // Rule ID 14266 //
     /*  467178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  467189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  467192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  467195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467225 */     // MIs[1] Operand 1
     /*  467225 */     // No operand predicates
     /*  467225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  467237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467260 */     GIR_RootConstrainSelectedInstOperands,
     /*  467261 */     // GIR_Coverage, 14266,
     /*  467261 */     GIR_EraseRootFromParent_Done,
     /*  467262 */   // Label 7967: @467262
     /*  467262 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(467351), // Rule ID 14267 //
     /*  467267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  467278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  467281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  467284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467314 */     // MIs[1] Operand 1
     /*  467314 */     // No operand predicates
     /*  467314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  467323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  467326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467349 */     GIR_RootConstrainSelectedInstOperands,
     /*  467350 */     // GIR_Coverage, 14267,
     /*  467350 */     GIR_EraseRootFromParent_Done,
     /*  467351 */   // Label 7968: @467351
     /*  467351 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(467440), // Rule ID 14270 //
     /*  467356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  467359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  467367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  467370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  467373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467403 */     // MIs[1] Operand 1
     /*  467403 */     // No operand predicates
     /*  467403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467412 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  467412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  467415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467438 */     GIR_RootConstrainSelectedInstOperands,
     /*  467439 */     // GIR_Coverage, 14270,
     /*  467439 */     GIR_EraseRootFromParent_Done,
     /*  467440 */   // Label 7969: @467440
     /*  467440 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(467529), // Rule ID 14271 //
     /*  467445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  467448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  467456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  467459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  467462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467492 */     // MIs[1] Operand 1
     /*  467492 */     // No operand predicates
     /*  467492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467501 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  467501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  467504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467527 */     GIR_RootConstrainSelectedInstOperands,
     /*  467528 */     // GIR_Coverage, 14271,
     /*  467528 */     GIR_EraseRootFromParent_Done,
     /*  467529 */   // Label 7970: @467529
     /*  467529 */   GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(467618), // Rule ID 14274 //
     /*  467534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  467545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  467548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  467551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467581 */     // MIs[1] Operand 1
     /*  467581 */     // No operand predicates
     /*  467581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467590 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467616 */     GIR_RootConstrainSelectedInstOperands,
     /*  467617 */     // GIR_Coverage, 14274,
     /*  467617 */     GIR_EraseRootFromParent_Done,
     /*  467618 */   // Label 7971: @467618
     /*  467618 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(467707), // Rule ID 14275 //
     /*  467623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  467634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  467637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  467640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467670 */     // MIs[1] Operand 1
     /*  467670 */     // No operand predicates
     /*  467670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467679 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467705 */     GIR_RootConstrainSelectedInstOperands,
     /*  467706 */     // GIR_Coverage, 14275,
     /*  467706 */     GIR_EraseRootFromParent_Done,
     /*  467707 */   // Label 7972: @467707
     /*  467707 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(467796), // Rule ID 14278 //
     /*  467712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  467723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  467726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  467729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467759 */     // MIs[1] Operand 1
     /*  467759 */     // No operand predicates
     /*  467759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467768 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467794 */     GIR_RootConstrainSelectedInstOperands,
     /*  467795 */     // GIR_Coverage, 14278,
     /*  467795 */     GIR_EraseRootFromParent_Done,
     /*  467796 */   // Label 7973: @467796
     /*  467796 */   GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(467885), // Rule ID 14279 //
     /*  467801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  467812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  467815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  467818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467848 */     // MIs[1] Operand 1
     /*  467848 */     // No operand predicates
     /*  467848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467857 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467883 */     GIR_RootConstrainSelectedInstOperands,
     /*  467884 */     // GIR_Coverage, 14279,
     /*  467884 */     GIR_EraseRootFromParent_Done,
     /*  467885 */   // Label 7974: @467885
     /*  467885 */   GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(467974), // Rule ID 14282 //
     /*  467890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  467901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  467904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  467907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467937 */     // MIs[1] Operand 1
     /*  467937 */     // No operand predicates
     /*  467937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467946 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467972 */     GIR_RootConstrainSelectedInstOperands,
     /*  467973 */     // GIR_Coverage, 14282,
     /*  467973 */     GIR_EraseRootFromParent_Done,
     /*  467974 */   // Label 7975: @467974
     /*  467974 */   GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(468063), // Rule ID 14283 //
     /*  467979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  467990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  467993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  467996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468026 */     // MIs[1] Operand 1
     /*  468026 */     // No operand predicates
     /*  468026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468035 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468061 */     GIR_RootConstrainSelectedInstOperands,
     /*  468062 */     // GIR_Coverage, 14283,
     /*  468062 */     GIR_EraseRootFromParent_Done,
     /*  468063 */   // Label 7976: @468063
     /*  468063 */   GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(468152), // Rule ID 14286 //
     /*  468068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  468079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  468082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  468085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468115 */     // MIs[1] Operand 1
     /*  468115 */     // No operand predicates
     /*  468115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468147 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468150 */     GIR_RootConstrainSelectedInstOperands,
     /*  468151 */     // GIR_Coverage, 14286,
     /*  468151 */     GIR_EraseRootFromParent_Done,
     /*  468152 */   // Label 7977: @468152
     /*  468152 */   GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(468241), // Rule ID 14287 //
     /*  468157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  468168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  468171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  468174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468204 */     // MIs[1] Operand 1
     /*  468204 */     // No operand predicates
     /*  468204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468213 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468239 */     GIR_RootConstrainSelectedInstOperands,
     /*  468240 */     // GIR_Coverage, 14287,
     /*  468240 */     GIR_EraseRootFromParent_Done,
     /*  468241 */   // Label 7978: @468241
     /*  468241 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(468330), // Rule ID 14290 //
     /*  468246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  468257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  468260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  468263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468293 */     // MIs[1] Operand 1
     /*  468293 */     // No operand predicates
     /*  468293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468302 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468328 */     GIR_RootConstrainSelectedInstOperands,
     /*  468329 */     // GIR_Coverage, 14290,
     /*  468329 */     GIR_EraseRootFromParent_Done,
     /*  468330 */   // Label 7979: @468330
     /*  468330 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(468419), // Rule ID 14291 //
     /*  468335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  468346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  468349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  468352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468382 */     // MIs[1] Operand 1
     /*  468382 */     // No operand predicates
     /*  468382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468391 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468417 */     GIR_RootConstrainSelectedInstOperands,
     /*  468418 */     // GIR_Coverage, 14291,
     /*  468418 */     GIR_EraseRootFromParent_Done,
     /*  468419 */   // Label 7980: @468419
     /*  468419 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(468508), // Rule ID 14294 //
     /*  468424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  468435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  468438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  468441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468471 */     // MIs[1] Operand 1
     /*  468471 */     // No operand predicates
     /*  468471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468480 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468506 */     GIR_RootConstrainSelectedInstOperands,
     /*  468507 */     // GIR_Coverage, 14294,
     /*  468507 */     GIR_EraseRootFromParent_Done,
     /*  468508 */   // Label 7981: @468508
     /*  468508 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(468597), // Rule ID 14295 //
     /*  468513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  468524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  468527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  468530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468560 */     // MIs[1] Operand 1
     /*  468560 */     // No operand predicates
     /*  468560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468569 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468595 */     GIR_RootConstrainSelectedInstOperands,
     /*  468596 */     // GIR_Coverage, 14295,
     /*  468596 */     GIR_EraseRootFromParent_Done,
     /*  468597 */   // Label 7982: @468597
     /*  468597 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(468686), // Rule ID 14298 //
     /*  468602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  468613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  468616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  468619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468649 */     // MIs[1] Operand 1
     /*  468649 */     // No operand predicates
     /*  468649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468684 */     GIR_RootConstrainSelectedInstOperands,
     /*  468685 */     // GIR_Coverage, 14298,
     /*  468685 */     GIR_EraseRootFromParent_Done,
     /*  468686 */   // Label 7983: @468686
     /*  468686 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(468775), // Rule ID 14299 //
     /*  468691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  468702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  468705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  468708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468738 */     // MIs[1] Operand 1
     /*  468738 */     // No operand predicates
     /*  468738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468773 */     GIR_RootConstrainSelectedInstOperands,
     /*  468774 */     // GIR_Coverage, 14299,
     /*  468774 */     GIR_EraseRootFromParent_Done,
     /*  468775 */   // Label 7984: @468775
     /*  468775 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(468864), // Rule ID 14302 //
     /*  468780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  468791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  468794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468827 */     // MIs[1] Operand 1
     /*  468827 */     // No operand predicates
     /*  468827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468862 */     GIR_RootConstrainSelectedInstOperands,
     /*  468863 */     // GIR_Coverage, 14302,
     /*  468863 */     GIR_EraseRootFromParent_Done,
     /*  468864 */   // Label 7985: @468864
     /*  468864 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(468953), // Rule ID 14303 //
     /*  468869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  468880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  468883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468916 */     // MIs[1] Operand 1
     /*  468916 */     // No operand predicates
     /*  468916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468925 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468951 */     GIR_RootConstrainSelectedInstOperands,
     /*  468952 */     // GIR_Coverage, 14303,
     /*  468952 */     GIR_EraseRootFromParent_Done,
     /*  468953 */   // Label 7986: @468953
     /*  468953 */   GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(469042), // Rule ID 14306 //
     /*  468958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  468969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  468972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  468975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469005 */     // MIs[1] Operand 1
     /*  469005 */     // No operand predicates
     /*  469005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469014 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  469017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469040 */     GIR_RootConstrainSelectedInstOperands,
     /*  469041 */     // GIR_Coverage, 14306,
     /*  469041 */     GIR_EraseRootFromParent_Done,
     /*  469042 */   // Label 7987: @469042
     /*  469042 */   GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(469131), // Rule ID 14307 //
     /*  469047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  469058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  469061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  469064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469094 */     // MIs[1] Operand 1
     /*  469094 */     // No operand predicates
     /*  469094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469103 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  469106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469129 */     GIR_RootConstrainSelectedInstOperands,
     /*  469130 */     // GIR_Coverage, 14307,
     /*  469130 */     GIR_EraseRootFromParent_Done,
     /*  469131 */   // Label 7988: @469131
     /*  469131 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(469220), // Rule ID 14310 //
     /*  469136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  469139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  469147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  469150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  469153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469183 */     // MIs[1] Operand 1
     /*  469183 */     // No operand predicates
     /*  469183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469192 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  469192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  469195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  469212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469218 */     GIR_RootConstrainSelectedInstOperands,
     /*  469219 */     // GIR_Coverage, 14310,
     /*  469219 */     GIR_EraseRootFromParent_Done,
     /*  469220 */   // Label 7989: @469220
     /*  469220 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(469309), // Rule ID 14311 //
     /*  469225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  469228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  469236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  469239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  469242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469272 */     // MIs[1] Operand 1
     /*  469272 */     // No operand predicates
     /*  469272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469281 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  469281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  469284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  469301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469307 */     GIR_RootConstrainSelectedInstOperands,
     /*  469308 */     // GIR_Coverage, 14311,
     /*  469308 */     GIR_EraseRootFromParent_Done,
     /*  469309 */   // Label 7990: @469309
     /*  469309 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(469398), // Rule ID 14314 //
     /*  469314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  469317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  469325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  469328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  469331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469361 */     // MIs[1] Operand 1
     /*  469361 */     // No operand predicates
     /*  469361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469370 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  469370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  469373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  469390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469396 */     GIR_RootConstrainSelectedInstOperands,
     /*  469397 */     // GIR_Coverage, 14314,
     /*  469397 */     GIR_EraseRootFromParent_Done,
     /*  469398 */   // Label 7991: @469398
     /*  469398 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(469487), // Rule ID 14315 //
     /*  469403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  469406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  469414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  469417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  469420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469450 */     // MIs[1] Operand 1
     /*  469450 */     // No operand predicates
     /*  469450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469459 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  469459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  469462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  469479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469485 */     GIR_RootConstrainSelectedInstOperands,
     /*  469486 */     // GIR_Coverage, 14315,
     /*  469486 */     GIR_EraseRootFromParent_Done,
     /*  469487 */   // Label 7992: @469487
     /*  469487 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(469576), // Rule ID 14318 //
     /*  469492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  469495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  469503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  469506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  469509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469539 */     // MIs[1] Operand 1
     /*  469539 */     // No operand predicates
     /*  469539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469548 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  469548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  469551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  469568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469574 */     GIR_RootConstrainSelectedInstOperands,
     /*  469575 */     // GIR_Coverage, 14318,
     /*  469575 */     GIR_EraseRootFromParent_Done,
     /*  469576 */   // Label 7993: @469576
     /*  469576 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(469665), // Rule ID 14319 //
     /*  469581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  469584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  469592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  469595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  469598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469628 */     // MIs[1] Operand 1
     /*  469628 */     // No operand predicates
     /*  469628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469637 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  469637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  469640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  469657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469663 */     GIR_RootConstrainSelectedInstOperands,
     /*  469664 */     // GIR_Coverage, 14319,
     /*  469664 */     GIR_EraseRootFromParent_Done,
     /*  469665 */   // Label 7994: @469665
     /*  469665 */   GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(469754), // Rule ID 14498 //
     /*  469670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  469681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  469684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  469687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469717 */     // MIs[1] Operand 1
     /*  469717 */     // No operand predicates
     /*  469717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469726 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  469729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469752 */     GIR_RootConstrainSelectedInstOperands,
     /*  469753 */     // GIR_Coverage, 14498,
     /*  469753 */     GIR_EraseRootFromParent_Done,
     /*  469754 */   // Label 7995: @469754
     /*  469754 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(469843), // Rule ID 14499 //
     /*  469759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  469770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  469773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  469776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469806 */     // MIs[1] Operand 1
     /*  469806 */     // No operand predicates
     /*  469806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469815 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  469818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469841 */     GIR_RootConstrainSelectedInstOperands,
     /*  469842 */     // GIR_Coverage, 14499,
     /*  469842 */     GIR_EraseRootFromParent_Done,
     /*  469843 */   // Label 7996: @469843
     /*  469843 */   GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(469932), // Rule ID 14502 //
     /*  469848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  469859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  469862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  469865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469895 */     // MIs[1] Operand 1
     /*  469895 */     // No operand predicates
     /*  469895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469904 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469930 */     GIR_RootConstrainSelectedInstOperands,
     /*  469931 */     // GIR_Coverage, 14502,
     /*  469931 */     GIR_EraseRootFromParent_Done,
     /*  469932 */   // Label 7997: @469932
     /*  469932 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(470021), // Rule ID 14503 //
     /*  469937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  469948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  469951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  469954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469984 */     // MIs[1] Operand 1
     /*  469984 */     // No operand predicates
     /*  469984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469993 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470019 */     GIR_RootConstrainSelectedInstOperands,
     /*  470020 */     // GIR_Coverage, 14503,
     /*  470020 */     GIR_EraseRootFromParent_Done,
     /*  470021 */   // Label 7998: @470021
     /*  470021 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(470110), // Rule ID 14506 //
     /*  470026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  470037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  470040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  470043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470073 */     // MIs[1] Operand 1
     /*  470073 */     // No operand predicates
     /*  470073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470082 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  470085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470108 */     GIR_RootConstrainSelectedInstOperands,
     /*  470109 */     // GIR_Coverage, 14506,
     /*  470109 */     GIR_EraseRootFromParent_Done,
     /*  470110 */   // Label 7999: @470110
     /*  470110 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(470199), // Rule ID 14507 //
     /*  470115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  470126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  470129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  470132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470162 */     // MIs[1] Operand 1
     /*  470162 */     // No operand predicates
     /*  470162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  470174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470197 */     GIR_RootConstrainSelectedInstOperands,
     /*  470198 */     // GIR_Coverage, 14507,
     /*  470198 */     GIR_EraseRootFromParent_Done,
     /*  470199 */   // Label 8000: @470199
     /*  470199 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(470288), // Rule ID 14510 //
     /*  470204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  470215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  470218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  470221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470251 */     // MIs[1] Operand 1
     /*  470251 */     // No operand predicates
     /*  470251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470260 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  470263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470286 */     GIR_RootConstrainSelectedInstOperands,
     /*  470287 */     // GIR_Coverage, 14510,
     /*  470287 */     GIR_EraseRootFromParent_Done,
     /*  470288 */   // Label 8001: @470288
     /*  470288 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(470377), // Rule ID 14511 //
     /*  470293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  470304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  470307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  470310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470340 */     // MIs[1] Operand 1
     /*  470340 */     // No operand predicates
     /*  470340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470349 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  470352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470375 */     GIR_RootConstrainSelectedInstOperands,
     /*  470376 */     // GIR_Coverage, 14511,
     /*  470376 */     GIR_EraseRootFromParent_Done,
     /*  470377 */   // Label 8002: @470377
     /*  470377 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(470466), // Rule ID 14514 //
     /*  470382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  470393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  470396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  470399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470429 */     // MIs[1] Operand 1
     /*  470429 */     // No operand predicates
     /*  470429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470438 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  470441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470464 */     GIR_RootConstrainSelectedInstOperands,
     /*  470465 */     // GIR_Coverage, 14514,
     /*  470465 */     GIR_EraseRootFromParent_Done,
     /*  470466 */   // Label 8003: @470466
     /*  470466 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(470555), // Rule ID 14515 //
     /*  470471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  470482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  470485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  470488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470518 */     // MIs[1] Operand 1
     /*  470518 */     // No operand predicates
     /*  470518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470527 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  470530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470553 */     GIR_RootConstrainSelectedInstOperands,
     /*  470554 */     // GIR_Coverage, 14515,
     /*  470554 */     GIR_EraseRootFromParent_Done,
     /*  470555 */   // Label 8004: @470555
     /*  470555 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(470644), // Rule ID 14518 //
     /*  470560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  470571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  470574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  470577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470607 */     // MIs[1] Operand 1
     /*  470607 */     // No operand predicates
     /*  470607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  470619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470642 */     GIR_RootConstrainSelectedInstOperands,
     /*  470643 */     // GIR_Coverage, 14518,
     /*  470643 */     GIR_EraseRootFromParent_Done,
     /*  470644 */   // Label 8005: @470644
     /*  470644 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(470733), // Rule ID 14519 //
     /*  470649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  470660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  470663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  470666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470696 */     // MIs[1] Operand 1
     /*  470696 */     // No operand predicates
     /*  470696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470705 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  470708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470731 */     GIR_RootConstrainSelectedInstOperands,
     /*  470732 */     // GIR_Coverage, 14519,
     /*  470732 */     GIR_EraseRootFromParent_Done,
     /*  470733 */   // Label 8006: @470733
     /*  470733 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(470822), // Rule ID 14522 //
     /*  470738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  470749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  470752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  470755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470785 */     // MIs[1] Operand 1
     /*  470785 */     // No operand predicates
     /*  470785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470794 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470820 */     GIR_RootConstrainSelectedInstOperands,
     /*  470821 */     // GIR_Coverage, 14522,
     /*  470821 */     GIR_EraseRootFromParent_Done,
     /*  470822 */   // Label 8007: @470822
     /*  470822 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(470911), // Rule ID 14523 //
     /*  470827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  470838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  470841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  470844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470874 */     // MIs[1] Operand 1
     /*  470874 */     // No operand predicates
     /*  470874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470909 */     GIR_RootConstrainSelectedInstOperands,
     /*  470910 */     // GIR_Coverage, 14523,
     /*  470910 */     GIR_EraseRootFromParent_Done,
     /*  470911 */   // Label 8008: @470911
     /*  470911 */   GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(471000), // Rule ID 14526 //
     /*  470916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  470927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  470930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  470933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470963 */     // MIs[1] Operand 1
     /*  470963 */     // No operand predicates
     /*  470963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470972 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470998 */     GIR_RootConstrainSelectedInstOperands,
     /*  470999 */     // GIR_Coverage, 14526,
     /*  470999 */     GIR_EraseRootFromParent_Done,
     /*  471000 */   // Label 8009: @471000
     /*  471000 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(471089), // Rule ID 14527 //
     /*  471005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  471016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  471019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  471022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471052 */     // MIs[1] Operand 1
     /*  471052 */     // No operand predicates
     /*  471052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471061 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  471064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471087 */     GIR_RootConstrainSelectedInstOperands,
     /*  471088 */     // GIR_Coverage, 14527,
     /*  471088 */     GIR_EraseRootFromParent_Done,
     /*  471089 */   // Label 8010: @471089
     /*  471089 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(471178), // Rule ID 14530 //
     /*  471094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  471105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  471108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  471111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471141 */     // MIs[1] Operand 1
     /*  471141 */     // No operand predicates
     /*  471141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471150 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  471153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471176 */     GIR_RootConstrainSelectedInstOperands,
     /*  471177 */     // GIR_Coverage, 14530,
     /*  471177 */     GIR_EraseRootFromParent_Done,
     /*  471178 */   // Label 8011: @471178
     /*  471178 */   GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(471267), // Rule ID 14531 //
     /*  471183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  471194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  471197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  471200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471230 */     // MIs[1] Operand 1
     /*  471230 */     // No operand predicates
     /*  471230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471239 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  471242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471262 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471265 */     GIR_RootConstrainSelectedInstOperands,
     /*  471266 */     // GIR_Coverage, 14531,
     /*  471266 */     GIR_EraseRootFromParent_Done,
     /*  471267 */   // Label 8012: @471267
     /*  471267 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(471356), // Rule ID 14534 //
     /*  471272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  471275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  471283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  471286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  471289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471319 */     // MIs[1] Operand 1
     /*  471319 */     // No operand predicates
     /*  471319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  471328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  471331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471354 */     GIR_RootConstrainSelectedInstOperands,
     /*  471355 */     // GIR_Coverage, 14534,
     /*  471355 */     GIR_EraseRootFromParent_Done,
     /*  471356 */   // Label 8013: @471356
     /*  471356 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(471445), // Rule ID 14535 //
     /*  471361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  471364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  471372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  471375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  471378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471408 */     // MIs[1] Operand 1
     /*  471408 */     // No operand predicates
     /*  471408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471417 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  471417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  471420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471440 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471443 */     GIR_RootConstrainSelectedInstOperands,
     /*  471444 */     // GIR_Coverage, 14535,
     /*  471444 */     GIR_EraseRootFromParent_Done,
     /*  471445 */   // Label 8014: @471445
     /*  471445 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(471534), // Rule ID 14538 //
     /*  471450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  471461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  471464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  471467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471497 */     // MIs[1] Operand 1
     /*  471497 */     // No operand predicates
     /*  471497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471506 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471532 */     GIR_RootConstrainSelectedInstOperands,
     /*  471533 */     // GIR_Coverage, 14538,
     /*  471533 */     GIR_EraseRootFromParent_Done,
     /*  471534 */   // Label 8015: @471534
     /*  471534 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(471623), // Rule ID 14539 //
     /*  471539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  471550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  471553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  471556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471586 */     // MIs[1] Operand 1
     /*  471586 */     // No operand predicates
     /*  471586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471595 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471621 */     GIR_RootConstrainSelectedInstOperands,
     /*  471622 */     // GIR_Coverage, 14539,
     /*  471622 */     GIR_EraseRootFromParent_Done,
     /*  471623 */   // Label 8016: @471623
     /*  471623 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(471712), // Rule ID 14542 //
     /*  471628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  471639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  471642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  471645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471675 */     // MIs[1] Operand 1
     /*  471675 */     // No operand predicates
     /*  471675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471710 */     GIR_RootConstrainSelectedInstOperands,
     /*  471711 */     // GIR_Coverage, 14542,
     /*  471711 */     GIR_EraseRootFromParent_Done,
     /*  471712 */   // Label 8017: @471712
     /*  471712 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(471801), // Rule ID 14543 //
     /*  471717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  471728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  471731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  471734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471764 */     // MIs[1] Operand 1
     /*  471764 */     // No operand predicates
     /*  471764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471773 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471799 */     GIR_RootConstrainSelectedInstOperands,
     /*  471800 */     // GIR_Coverage, 14543,
     /*  471800 */     GIR_EraseRootFromParent_Done,
     /*  471801 */   // Label 8018: @471801
     /*  471801 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(471890), // Rule ID 14546 //
     /*  471806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  471817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  471820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  471823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471853 */     // MIs[1] Operand 1
     /*  471853 */     // No operand predicates
     /*  471853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471862 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471888 */     GIR_RootConstrainSelectedInstOperands,
     /*  471889 */     // GIR_Coverage, 14546,
     /*  471889 */     GIR_EraseRootFromParent_Done,
     /*  471890 */   // Label 8019: @471890
     /*  471890 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(471979), // Rule ID 14547 //
     /*  471895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  471906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  471909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  471912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471942 */     // MIs[1] Operand 1
     /*  471942 */     // No operand predicates
     /*  471942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471951 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471977 */     GIR_RootConstrainSelectedInstOperands,
     /*  471978 */     // GIR_Coverage, 14547,
     /*  471978 */     GIR_EraseRootFromParent_Done,
     /*  471979 */   // Label 8020: @471979
     /*  471979 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(472068), // Rule ID 14550 //
     /*  471984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  471995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  471998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  472001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472031 */     // MIs[1] Operand 1
     /*  472031 */     // No operand predicates
     /*  472031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472040 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  472043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472066 */     GIR_RootConstrainSelectedInstOperands,
     /*  472067 */     // GIR_Coverage, 14550,
     /*  472067 */     GIR_EraseRootFromParent_Done,
     /*  472068 */   // Label 8021: @472068
     /*  472068 */   GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(472157), // Rule ID 14551 //
     /*  472073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  472084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  472087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  472090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472120 */     // MIs[1] Operand 1
     /*  472120 */     // No operand predicates
     /*  472120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472129 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  472132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472155 */     GIR_RootConstrainSelectedInstOperands,
     /*  472156 */     // GIR_Coverage, 14551,
     /*  472156 */     GIR_EraseRootFromParent_Done,
     /*  472157 */   // Label 8022: @472157
     /*  472157 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(472246), // Rule ID 14554 //
     /*  472162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  472173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  472176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  472179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472209 */     // MIs[1] Operand 1
     /*  472209 */     // No operand predicates
     /*  472209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472218 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472244 */     GIR_RootConstrainSelectedInstOperands,
     /*  472245 */     // GIR_Coverage, 14554,
     /*  472245 */     GIR_EraseRootFromParent_Done,
     /*  472246 */   // Label 8023: @472246
     /*  472246 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(472335), // Rule ID 14555 //
     /*  472251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  472262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  472265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  472268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472298 */     // MIs[1] Operand 1
     /*  472298 */     // No operand predicates
     /*  472298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472307 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472333 */     GIR_RootConstrainSelectedInstOperands,
     /*  472334 */     // GIR_Coverage, 14555,
     /*  472334 */     GIR_EraseRootFromParent_Done,
     /*  472335 */   // Label 8024: @472335
     /*  472335 */   GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(472424), // Rule ID 14558 //
     /*  472340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  472351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  472354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  472357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472387 */     // MIs[1] Operand 1
     /*  472387 */     // No operand predicates
     /*  472387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472396 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472422 */     GIR_RootConstrainSelectedInstOperands,
     /*  472423 */     // GIR_Coverage, 14558,
     /*  472423 */     GIR_EraseRootFromParent_Done,
     /*  472424 */   // Label 8025: @472424
     /*  472424 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(472513), // Rule ID 14559 //
     /*  472429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  472440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  472443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  472446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472476 */     // MIs[1] Operand 1
     /*  472476 */     // No operand predicates
     /*  472476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472485 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472511 */     GIR_RootConstrainSelectedInstOperands,
     /*  472512 */     // GIR_Coverage, 14559,
     /*  472512 */     GIR_EraseRootFromParent_Done,
     /*  472513 */   // Label 8026: @472513
     /*  472513 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(472602), // Rule ID 14562 //
     /*  472518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  472529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  472532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  472535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472565 */     // MIs[1] Operand 1
     /*  472565 */     // No operand predicates
     /*  472565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  472577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472600 */     GIR_RootConstrainSelectedInstOperands,
     /*  472601 */     // GIR_Coverage, 14562,
     /*  472601 */     GIR_EraseRootFromParent_Done,
     /*  472602 */   // Label 8027: @472602
     /*  472602 */   GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(472691), // Rule ID 14563 //
     /*  472607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  472618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  472621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  472624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472654 */     // MIs[1] Operand 1
     /*  472654 */     // No operand predicates
     /*  472654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472663 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  472666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472689 */     GIR_RootConstrainSelectedInstOperands,
     /*  472690 */     // GIR_Coverage, 14563,
     /*  472690 */     GIR_EraseRootFromParent_Done,
     /*  472691 */   // Label 8028: @472691
     /*  472691 */   GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(472780), // Rule ID 14566 //
     /*  472696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  472707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  472710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  472713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472743 */     // MIs[1] Operand 1
     /*  472743 */     // No operand predicates
     /*  472743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472778 */     GIR_RootConstrainSelectedInstOperands,
     /*  472779 */     // GIR_Coverage, 14566,
     /*  472779 */     GIR_EraseRootFromParent_Done,
     /*  472780 */   // Label 8029: @472780
     /*  472780 */   GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(472869), // Rule ID 14567 //
     /*  472785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  472796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  472799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  472802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472832 */     // MIs[1] Operand 1
     /*  472832 */     // No operand predicates
     /*  472832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472841 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472867 */     GIR_RootConstrainSelectedInstOperands,
     /*  472868 */     // GIR_Coverage, 14567,
     /*  472868 */     GIR_EraseRootFromParent_Done,
     /*  472869 */   // Label 8030: @472869
     /*  472869 */   GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(472958), // Rule ID 14570 //
     /*  472874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  472885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  472888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  472891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472921 */     // MIs[1] Operand 1
     /*  472921 */     // No operand predicates
     /*  472921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472930 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472956 */     GIR_RootConstrainSelectedInstOperands,
     /*  472957 */     // GIR_Coverage, 14570,
     /*  472957 */     GIR_EraseRootFromParent_Done,
     /*  472958 */   // Label 8031: @472958
     /*  472958 */   GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(473047), // Rule ID 14571 //
     /*  472963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  472974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  472977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  472980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473010 */     // MIs[1] Operand 1
     /*  473010 */     // No operand predicates
     /*  473010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473019 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  473019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  473022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473045 */     GIR_RootConstrainSelectedInstOperands,
     /*  473046 */     // GIR_Coverage, 14571,
     /*  473046 */     GIR_EraseRootFromParent_Done,
     /*  473047 */   // Label 8032: @473047
     /*  473047 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(473136), // Rule ID 14574 //
     /*  473052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  473055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  473063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  473066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  473069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473099 */     // MIs[1] Operand 1
     /*  473099 */     // No operand predicates
     /*  473099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473108 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  473108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  473111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473134 */     GIR_RootConstrainSelectedInstOperands,
     /*  473135 */     // GIR_Coverage, 14574,
     /*  473135 */     GIR_EraseRootFromParent_Done,
     /*  473136 */   // Label 8033: @473136
     /*  473136 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(473225), // Rule ID 14575 //
     /*  473141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  473144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  473152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  473155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  473158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473188 */     // MIs[1] Operand 1
     /*  473188 */     // No operand predicates
     /*  473188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473197 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  473197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  473200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473223 */     GIR_RootConstrainSelectedInstOperands,
     /*  473224 */     // GIR_Coverage, 14575,
     /*  473224 */     GIR_EraseRootFromParent_Done,
     /*  473225 */   // Label 8034: @473225
     /*  473225 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(473314), // Rule ID 14578 //
     /*  473230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  473233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  473241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  473244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  473247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473277 */     // MIs[1] Operand 1
     /*  473277 */     // No operand predicates
     /*  473277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473286 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  473286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  473289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473309 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473312 */     GIR_RootConstrainSelectedInstOperands,
     /*  473313 */     // GIR_Coverage, 14578,
     /*  473313 */     GIR_EraseRootFromParent_Done,
     /*  473314 */   // Label 8035: @473314
     /*  473314 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(473403), // Rule ID 14579 //
     /*  473319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  473322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  473330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  473333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  473336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473366 */     // MIs[1] Operand 1
     /*  473366 */     // No operand predicates
     /*  473366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473375 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  473375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  473378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473401 */     GIR_RootConstrainSelectedInstOperands,
     /*  473402 */     // GIR_Coverage, 14579,
     /*  473402 */     GIR_EraseRootFromParent_Done,
     /*  473403 */   // Label 8036: @473403
     /*  473403 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(473492), // Rule ID 14582 //
     /*  473408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  473411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  473419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  473422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  473425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473455 */     // MIs[1] Operand 1
     /*  473455 */     // No operand predicates
     /*  473455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473464 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  473464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  473467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473490 */     GIR_RootConstrainSelectedInstOperands,
     /*  473491 */     // GIR_Coverage, 14582,
     /*  473491 */     GIR_EraseRootFromParent_Done,
     /*  473492 */   // Label 8037: @473492
     /*  473492 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(473581), // Rule ID 14583 //
     /*  473497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  473500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  473508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  473511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  473514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473544 */     // MIs[1] Operand 1
     /*  473544 */     // No operand predicates
     /*  473544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473553 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  473553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  473556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473579 */     GIR_RootConstrainSelectedInstOperands,
     /*  473580 */     // GIR_Coverage, 14583,
     /*  473580 */     GIR_EraseRootFromParent_Done,
     /*  473581 */   // Label 8038: @473581
     /*  473581 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(473667), // Rule ID 24678 //
     /*  473586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  473597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  473600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  473603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473633 */     // MIs[1] Operand 1
     /*  473633 */     // No operand predicates
     /*  473633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473642 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  473645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473665 */     GIR_RootConstrainSelectedInstOperands,
     /*  473666 */     // GIR_Coverage, 24678,
     /*  473666 */     GIR_EraseRootFromParent_Done,
     /*  473667 */   // Label 8039: @473667
     /*  473667 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(473753), // Rule ID 24679 //
     /*  473672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  473683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  473686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  473689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473719 */     // MIs[1] Operand 1
     /*  473719 */     // No operand predicates
     /*  473719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473728 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  473731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473751 */     GIR_RootConstrainSelectedInstOperands,
     /*  473752 */     // GIR_Coverage, 24679,
     /*  473752 */     GIR_EraseRootFromParent_Done,
     /*  473753 */   // Label 8040: @473753
     /*  473753 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(473839), // Rule ID 24682 //
     /*  473758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  473769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  473772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  473775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473805 */     // MIs[1] Operand 1
     /*  473805 */     // No operand predicates
     /*  473805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473814 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473837 */     GIR_RootConstrainSelectedInstOperands,
     /*  473838 */     // GIR_Coverage, 24682,
     /*  473838 */     GIR_EraseRootFromParent_Done,
     /*  473839 */   // Label 8041: @473839
     /*  473839 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(473925), // Rule ID 24683 //
     /*  473844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  473855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  473858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  473861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473891 */     // MIs[1] Operand 1
     /*  473891 */     // No operand predicates
     /*  473891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473900 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473923 */     GIR_RootConstrainSelectedInstOperands,
     /*  473924 */     // GIR_Coverage, 24683,
     /*  473924 */     GIR_EraseRootFromParent_Done,
     /*  473925 */   // Label 8042: @473925
     /*  473925 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(474011), // Rule ID 24686 //
     /*  473930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  473941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  473944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  473947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473977 */     // MIs[1] Operand 1
     /*  473977 */     // No operand predicates
     /*  473977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473986 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474009 */     GIR_RootConstrainSelectedInstOperands,
     /*  474010 */     // GIR_Coverage, 24686,
     /*  474010 */     GIR_EraseRootFromParent_Done,
     /*  474011 */   // Label 8043: @474011
     /*  474011 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(474097), // Rule ID 24687 //
     /*  474016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  474027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  474030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  474033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474063 */     // MIs[1] Operand 1
     /*  474063 */     // No operand predicates
     /*  474063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  474075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474095 */     GIR_RootConstrainSelectedInstOperands,
     /*  474096 */     // GIR_Coverage, 24687,
     /*  474096 */     GIR_EraseRootFromParent_Done,
     /*  474097 */   // Label 8044: @474097
     /*  474097 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(474183), // Rule ID 24690 //
     /*  474102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  474113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  474116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  474119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474149 */     // MIs[1] Operand 1
     /*  474149 */     // No operand predicates
     /*  474149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474158 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  474161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474181 */     GIR_RootConstrainSelectedInstOperands,
     /*  474182 */     // GIR_Coverage, 24690,
     /*  474182 */     GIR_EraseRootFromParent_Done,
     /*  474183 */   // Label 8045: @474183
     /*  474183 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(474269), // Rule ID 24691 //
     /*  474188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  474199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  474202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  474205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474235 */     // MIs[1] Operand 1
     /*  474235 */     // No operand predicates
     /*  474235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474244 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  474247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474267 */     GIR_RootConstrainSelectedInstOperands,
     /*  474268 */     // GIR_Coverage, 24691,
     /*  474268 */     GIR_EraseRootFromParent_Done,
     /*  474269 */   // Label 8046: @474269
     /*  474269 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(474355), // Rule ID 24694 //
     /*  474274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  474285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  474288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  474291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474321 */     // MIs[1] Operand 1
     /*  474321 */     // No operand predicates
     /*  474321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474330 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  474333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474353 */     GIR_RootConstrainSelectedInstOperands,
     /*  474354 */     // GIR_Coverage, 24694,
     /*  474354 */     GIR_EraseRootFromParent_Done,
     /*  474355 */   // Label 8047: @474355
     /*  474355 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(474441), // Rule ID 24695 //
     /*  474360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  474371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  474374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  474377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474407 */     // MIs[1] Operand 1
     /*  474407 */     // No operand predicates
     /*  474407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474416 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  474419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474439 */     GIR_RootConstrainSelectedInstOperands,
     /*  474440 */     // GIR_Coverage, 24695,
     /*  474440 */     GIR_EraseRootFromParent_Done,
     /*  474441 */   // Label 8048: @474441
     /*  474441 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(474527), // Rule ID 24698 //
     /*  474446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  474457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  474460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  474463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474493 */     // MIs[1] Operand 1
     /*  474493 */     // No operand predicates
     /*  474493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474502 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  474505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474525 */     GIR_RootConstrainSelectedInstOperands,
     /*  474526 */     // GIR_Coverage, 24698,
     /*  474526 */     GIR_EraseRootFromParent_Done,
     /*  474527 */   // Label 8049: @474527
     /*  474527 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(474613), // Rule ID 24699 //
     /*  474532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  474543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  474546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  474549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474579 */     // MIs[1] Operand 1
     /*  474579 */     // No operand predicates
     /*  474579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474588 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  474591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474611 */     GIR_RootConstrainSelectedInstOperands,
     /*  474612 */     // GIR_Coverage, 24699,
     /*  474612 */     GIR_EraseRootFromParent_Done,
     /*  474613 */   // Label 8050: @474613
     /*  474613 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(474699), // Rule ID 24702 //
     /*  474618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  474629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  474632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  474635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474665 */     // MIs[1] Operand 1
     /*  474665 */     // No operand predicates
     /*  474665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474674 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474697 */     GIR_RootConstrainSelectedInstOperands,
     /*  474698 */     // GIR_Coverage, 24702,
     /*  474698 */     GIR_EraseRootFromParent_Done,
     /*  474699 */   // Label 8051: @474699
     /*  474699 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(474785), // Rule ID 24703 //
     /*  474704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  474715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  474718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  474721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474751 */     // MIs[1] Operand 1
     /*  474751 */     // No operand predicates
     /*  474751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474760 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474783 */     GIR_RootConstrainSelectedInstOperands,
     /*  474784 */     // GIR_Coverage, 24703,
     /*  474784 */     GIR_EraseRootFromParent_Done,
     /*  474785 */   // Label 8052: @474785
     /*  474785 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(474871), // Rule ID 24706 //
     /*  474790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  474807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474837 */     // MIs[1] Operand 1
     /*  474837 */     // No operand predicates
     /*  474837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474846 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474869 */     GIR_RootConstrainSelectedInstOperands,
     /*  474870 */     // GIR_Coverage, 24706,
     /*  474870 */     GIR_EraseRootFromParent_Done,
     /*  474871 */   // Label 8053: @474871
     /*  474871 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(474957), // Rule ID 24707 //
     /*  474876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  474893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474923 */     // MIs[1] Operand 1
     /*  474923 */     // No operand predicates
     /*  474923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474955 */     GIR_RootConstrainSelectedInstOperands,
     /*  474956 */     // GIR_Coverage, 24707,
     /*  474956 */     GIR_EraseRootFromParent_Done,
     /*  474957 */   // Label 8054: @474957
     /*  474957 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(475043), // Rule ID 24710 //
     /*  474962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  474973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  474976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  474979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475009 */     // MIs[1] Operand 1
     /*  475009 */     // No operand predicates
     /*  475009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475018 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  475021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475041 */     GIR_RootConstrainSelectedInstOperands,
     /*  475042 */     // GIR_Coverage, 24710,
     /*  475042 */     GIR_EraseRootFromParent_Done,
     /*  475043 */   // Label 8055: @475043
     /*  475043 */   GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(475129), // Rule ID 24711 //
     /*  475048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  475059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  475062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  475065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475095 */     // MIs[1] Operand 1
     /*  475095 */     // No operand predicates
     /*  475095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475104 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  475107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475127 */     GIR_RootConstrainSelectedInstOperands,
     /*  475128 */     // GIR_Coverage, 24711,
     /*  475128 */     GIR_EraseRootFromParent_Done,
     /*  475129 */   // Label 8056: @475129
     /*  475129 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(475215), // Rule ID 24714 //
     /*  475134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  475137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  475145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  475148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  475151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475181 */     // MIs[1] Operand 1
     /*  475181 */     // No operand predicates
     /*  475181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475190 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  475190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  475193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475213 */     GIR_RootConstrainSelectedInstOperands,
     /*  475214 */     // GIR_Coverage, 24714,
     /*  475214 */     GIR_EraseRootFromParent_Done,
     /*  475215 */   // Label 8057: @475215
     /*  475215 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(475301), // Rule ID 24715 //
     /*  475220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  475223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  475231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  475234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  475237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475267 */     // MIs[1] Operand 1
     /*  475267 */     // No operand predicates
     /*  475267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  475276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  475279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475299 */     GIR_RootConstrainSelectedInstOperands,
     /*  475300 */     // GIR_Coverage, 24715,
     /*  475300 */     GIR_EraseRootFromParent_Done,
     /*  475301 */   // Label 8058: @475301
     /*  475301 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(475387), // Rule ID 24718 //
     /*  475306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  475317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  475320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  475323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475353 */     // MIs[1] Operand 1
     /*  475353 */     // No operand predicates
     /*  475353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475362 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475385 */     GIR_RootConstrainSelectedInstOperands,
     /*  475386 */     // GIR_Coverage, 24718,
     /*  475386 */     GIR_EraseRootFromParent_Done,
     /*  475387 */   // Label 8059: @475387
     /*  475387 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(475473), // Rule ID 24719 //
     /*  475392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  475403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  475406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  475409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475439 */     // MIs[1] Operand 1
     /*  475439 */     // No operand predicates
     /*  475439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475448 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475471 */     GIR_RootConstrainSelectedInstOperands,
     /*  475472 */     // GIR_Coverage, 24719,
     /*  475472 */     GIR_EraseRootFromParent_Done,
     /*  475473 */   // Label 8060: @475473
     /*  475473 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(475559), // Rule ID 24722 //
     /*  475478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  475489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  475492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  475495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475525 */     // MIs[1] Operand 1
     /*  475525 */     // No operand predicates
     /*  475525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475534 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475557 */     GIR_RootConstrainSelectedInstOperands,
     /*  475558 */     // GIR_Coverage, 24722,
     /*  475558 */     GIR_EraseRootFromParent_Done,
     /*  475559 */   // Label 8061: @475559
     /*  475559 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(475645), // Rule ID 24723 //
     /*  475564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  475575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  475578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  475581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475611 */     // MIs[1] Operand 1
     /*  475611 */     // No operand predicates
     /*  475611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475620 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475643 */     GIR_RootConstrainSelectedInstOperands,
     /*  475644 */     // GIR_Coverage, 24723,
     /*  475644 */     GIR_EraseRootFromParent_Done,
     /*  475645 */   // Label 8062: @475645
     /*  475645 */   GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(475731), // Rule ID 24726 //
     /*  475650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  475661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  475664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  475667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475697 */     // MIs[1] Operand 1
     /*  475697 */     // No operand predicates
     /*  475697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475706 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475729 */     GIR_RootConstrainSelectedInstOperands,
     /*  475730 */     // GIR_Coverage, 24726,
     /*  475730 */     GIR_EraseRootFromParent_Done,
     /*  475731 */   // Label 8063: @475731
     /*  475731 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(475817), // Rule ID 24727 //
     /*  475736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  475747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  475750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  475753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475783 */     // MIs[1] Operand 1
     /*  475783 */     // No operand predicates
     /*  475783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475792 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475815 */     GIR_RootConstrainSelectedInstOperands,
     /*  475816 */     // GIR_Coverage, 24727,
     /*  475816 */     GIR_EraseRootFromParent_Done,
     /*  475817 */   // Label 8064: @475817
     /*  475817 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(475903), // Rule ID 24730 //
     /*  475822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  475833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  475836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475869 */     // MIs[1] Operand 1
     /*  475869 */     // No operand predicates
     /*  475869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475901 */     GIR_RootConstrainSelectedInstOperands,
     /*  475902 */     // GIR_Coverage, 24730,
     /*  475902 */     GIR_EraseRootFromParent_Done,
     /*  475903 */   // Label 8065: @475903
     /*  475903 */   GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(475989), // Rule ID 24731 //
     /*  475908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  475919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  475922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475955 */     // MIs[1] Operand 1
     /*  475955 */     // No operand predicates
     /*  475955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475964 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475987 */     GIR_RootConstrainSelectedInstOperands,
     /*  475988 */     // GIR_Coverage, 24731,
     /*  475988 */     GIR_EraseRootFromParent_Done,
     /*  475989 */   // Label 8066: @475989
     /*  475989 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(476075), // Rule ID 24734 //
     /*  475994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  476005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  476008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  476011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476041 */     // MIs[1] Operand 1
     /*  476041 */     // No operand predicates
     /*  476041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476050 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  476050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  476053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476073 */     GIR_RootConstrainSelectedInstOperands,
     /*  476074 */     // GIR_Coverage, 24734,
     /*  476074 */     GIR_EraseRootFromParent_Done,
     /*  476075 */   // Label 8067: @476075
     /*  476075 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(476161), // Rule ID 24735 //
     /*  476080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  476091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  476094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  476097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476127 */     // MIs[1] Operand 1
     /*  476127 */     // No operand predicates
     /*  476127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  476139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476159 */     GIR_RootConstrainSelectedInstOperands,
     /*  476160 */     // GIR_Coverage, 24735,
     /*  476160 */     GIR_EraseRootFromParent_Done,
     /*  476161 */   // Label 8068: @476161
     /*  476161 */   GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(476247), // Rule ID 24738 //
     /*  476166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  476177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  476180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  476183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476213 */     // MIs[1] Operand 1
     /*  476213 */     // No operand predicates
     /*  476213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476222 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  476222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476245 */     GIR_RootConstrainSelectedInstOperands,
     /*  476246 */     // GIR_Coverage, 24738,
     /*  476246 */     GIR_EraseRootFromParent_Done,
     /*  476247 */   // Label 8069: @476247
     /*  476247 */   GIM_Try, /*On fail goto*//*Label 8070*/ GIMT_Encode4(476333), // Rule ID 24739 //
     /*  476252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  476263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  476266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  476269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476299 */     // MIs[1] Operand 1
     /*  476299 */     // No operand predicates
     /*  476299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476308 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476331 */     GIR_RootConstrainSelectedInstOperands,
     /*  476332 */     // GIR_Coverage, 24739,
     /*  476332 */     GIR_EraseRootFromParent_Done,
     /*  476333 */   // Label 8070: @476333
     /*  476333 */   GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(476419), // Rule ID 24742 //
     /*  476338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  476349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  476352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476385 */     // MIs[1] Operand 1
     /*  476385 */     // No operand predicates
     /*  476385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476394 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476417 */     GIR_RootConstrainSelectedInstOperands,
     /*  476418 */     // GIR_Coverage, 24742,
     /*  476418 */     GIR_EraseRootFromParent_Done,
     /*  476419 */   // Label 8071: @476419
     /*  476419 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(476505), // Rule ID 24743 //
     /*  476424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  476435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  476438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476471 */     // MIs[1] Operand 1
     /*  476471 */     // No operand predicates
     /*  476471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476480 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476503 */     GIR_RootConstrainSelectedInstOperands,
     /*  476504 */     // GIR_Coverage, 24743,
     /*  476504 */     GIR_EraseRootFromParent_Done,
     /*  476505 */   // Label 8072: @476505
     /*  476505 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(476591), // Rule ID 24746 //
     /*  476510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  476521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  476524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  476527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476557 */     // MIs[1] Operand 1
     /*  476557 */     // No operand predicates
     /*  476557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476566 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  476569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476589 */     GIR_RootConstrainSelectedInstOperands,
     /*  476590 */     // GIR_Coverage, 24746,
     /*  476590 */     GIR_EraseRootFromParent_Done,
     /*  476591 */   // Label 8073: @476591
     /*  476591 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(476677), // Rule ID 24747 //
     /*  476596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  476607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  476610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  476613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476643 */     // MIs[1] Operand 1
     /*  476643 */     // No operand predicates
     /*  476643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476652 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  476655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476675 */     GIR_RootConstrainSelectedInstOperands,
     /*  476676 */     // GIR_Coverage, 24747,
     /*  476676 */     GIR_EraseRootFromParent_Done,
     /*  476677 */   // Label 8074: @476677
     /*  476677 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(476763), // Rule ID 24750 //
     /*  476682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  476693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  476696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  476699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476729 */     // MIs[1] Operand 1
     /*  476729 */     // No operand predicates
     /*  476729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476738 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476761 */     GIR_RootConstrainSelectedInstOperands,
     /*  476762 */     // GIR_Coverage, 24750,
     /*  476762 */     GIR_EraseRootFromParent_Done,
     /*  476763 */   // Label 8075: @476763
     /*  476763 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(476849), // Rule ID 24751 //
     /*  476768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  476779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  476782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  476785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476815 */     // MIs[1] Operand 1
     /*  476815 */     // No operand predicates
     /*  476815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476824 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476847 */     GIR_RootConstrainSelectedInstOperands,
     /*  476848 */     // GIR_Coverage, 24751,
     /*  476848 */     GIR_EraseRootFromParent_Done,
     /*  476849 */   // Label 8076: @476849
     /*  476849 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(476935), // Rule ID 24754 //
     /*  476854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  476871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476901 */     // MIs[1] Operand 1
     /*  476901 */     // No operand predicates
     /*  476901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476910 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476933 */     GIR_RootConstrainSelectedInstOperands,
     /*  476934 */     // GIR_Coverage, 24754,
     /*  476934 */     GIR_EraseRootFromParent_Done,
     /*  476935 */   // Label 8077: @476935
     /*  476935 */   GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(477021), // Rule ID 24755 //
     /*  476940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  476957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476987 */     // MIs[1] Operand 1
     /*  476987 */     // No operand predicates
     /*  476987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476996 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477019 */     GIR_RootConstrainSelectedInstOperands,
     /*  477020 */     // GIR_Coverage, 24755,
     /*  477020 */     GIR_EraseRootFromParent_Done,
     /*  477021 */   // Label 8078: @477021
     /*  477021 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(477107), // Rule ID 24758 //
     /*  477026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  477029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  477037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  477040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  477043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477073 */     // MIs[1] Operand 1
     /*  477073 */     // No operand predicates
     /*  477073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477082 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477105 */     GIR_RootConstrainSelectedInstOperands,
     /*  477106 */     // GIR_Coverage, 24758,
     /*  477106 */     GIR_EraseRootFromParent_Done,
     /*  477107 */   // Label 8079: @477107
     /*  477107 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(477193), // Rule ID 24759 //
     /*  477112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  477115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  477123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  477126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  477129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477159 */     // MIs[1] Operand 1
     /*  477159 */     // No operand predicates
     /*  477159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477168 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477191 */     GIR_RootConstrainSelectedInstOperands,
     /*  477192 */     // GIR_Coverage, 24759,
     /*  477192 */     GIR_EraseRootFromParent_Done,
     /*  477193 */   // Label 8080: @477193
     /*  477193 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(477279), // Rule ID 24762 //
     /*  477198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  477201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  477209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  477212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  477215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477245 */     // MIs[1] Operand 1
     /*  477245 */     // No operand predicates
     /*  477245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477254 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477277 */     GIR_RootConstrainSelectedInstOperands,
     /*  477278 */     // GIR_Coverage, 24762,
     /*  477278 */     GIR_EraseRootFromParent_Done,
     /*  477279 */   // Label 8081: @477279
     /*  477279 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(477365), // Rule ID 24763 //
     /*  477284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  477287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  477295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  477298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  477301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477331 */     // MIs[1] Operand 1
     /*  477331 */     // No operand predicates
     /*  477331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477340 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477363 */     GIR_RootConstrainSelectedInstOperands,
     /*  477364 */     // GIR_Coverage, 24763,
     /*  477364 */     GIR_EraseRootFromParent_Done,
     /*  477365 */   // Label 8082: @477365
     /*  477365 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(477451), // Rule ID 24970 //
     /*  477370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  477381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  477384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477417 */     // MIs[1] Operand 1
     /*  477417 */     // No operand predicates
     /*  477417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477426 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477449 */     GIR_RootConstrainSelectedInstOperands,
     /*  477450 */     // GIR_Coverage, 24970,
     /*  477450 */     GIR_EraseRootFromParent_Done,
     /*  477451 */   // Label 8083: @477451
     /*  477451 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(477537), // Rule ID 24971 //
     /*  477456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  477467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  477470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477503 */     // MIs[1] Operand 1
     /*  477503 */     // No operand predicates
     /*  477503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477512 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477535 */     GIR_RootConstrainSelectedInstOperands,
     /*  477536 */     // GIR_Coverage, 24971,
     /*  477536 */     GIR_EraseRootFromParent_Done,
     /*  477537 */   // Label 8084: @477537
     /*  477537 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(477623), // Rule ID 24974 //
     /*  477542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  477553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  477556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  477559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477589 */     // MIs[1] Operand 1
     /*  477589 */     // No operand predicates
     /*  477589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477598 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  477601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477621 */     GIR_RootConstrainSelectedInstOperands,
     /*  477622 */     // GIR_Coverage, 24974,
     /*  477622 */     GIR_EraseRootFromParent_Done,
     /*  477623 */   // Label 8085: @477623
     /*  477623 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(477709), // Rule ID 24975 //
     /*  477628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  477639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  477642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  477645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477675 */     // MIs[1] Operand 1
     /*  477675 */     // No operand predicates
     /*  477675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477684 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  477687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477707 */     GIR_RootConstrainSelectedInstOperands,
     /*  477708 */     // GIR_Coverage, 24975,
     /*  477708 */     GIR_EraseRootFromParent_Done,
     /*  477709 */   // Label 8086: @477709
     /*  477709 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(477795), // Rule ID 24978 //
     /*  477714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  477725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  477728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  477731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477761 */     // MIs[1] Operand 1
     /*  477761 */     // No operand predicates
     /*  477761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477770 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  477770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  477773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477793 */     GIR_RootConstrainSelectedInstOperands,
     /*  477794 */     // GIR_Coverage, 24978,
     /*  477794 */     GIR_EraseRootFromParent_Done,
     /*  477795 */   // Label 8087: @477795
     /*  477795 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(477881), // Rule ID 24979 //
     /*  477800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  477811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  477814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  477817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477847 */     // MIs[1] Operand 1
     /*  477847 */     // No operand predicates
     /*  477847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477856 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  477859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477879 */     GIR_RootConstrainSelectedInstOperands,
     /*  477880 */     // GIR_Coverage, 24979,
     /*  477880 */     GIR_EraseRootFromParent_Done,
     /*  477881 */   // Label 8088: @477881
     /*  477881 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(477967), // Rule ID 24982 //
     /*  477886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  477897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  477900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  477903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477933 */     // MIs[1] Operand 1
     /*  477933 */     // No operand predicates
     /*  477933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477942 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  477945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477965 */     GIR_RootConstrainSelectedInstOperands,
     /*  477966 */     // GIR_Coverage, 24982,
     /*  477966 */     GIR_EraseRootFromParent_Done,
     /*  477967 */   // Label 8089: @477967
     /*  477967 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(478053), // Rule ID 24983 //
     /*  477972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  477983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  477986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  477989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478019 */     // MIs[1] Operand 1
     /*  478019 */     // No operand predicates
     /*  478019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478028 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478051 */     GIR_RootConstrainSelectedInstOperands,
     /*  478052 */     // GIR_Coverage, 24983,
     /*  478052 */     GIR_EraseRootFromParent_Done,
     /*  478053 */   // Label 8090: @478053
     /*  478053 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(478139), // Rule ID 24986 //
     /*  478058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  478069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  478072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  478075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478105 */     // MIs[1] Operand 1
     /*  478105 */     // No operand predicates
     /*  478105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478114 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478137 */     GIR_RootConstrainSelectedInstOperands,
     /*  478138 */     // GIR_Coverage, 24986,
     /*  478138 */     GIR_EraseRootFromParent_Done,
     /*  478139 */   // Label 8091: @478139
     /*  478139 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(478225), // Rule ID 24987 //
     /*  478144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  478155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  478158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  478161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478191 */     // MIs[1] Operand 1
     /*  478191 */     // No operand predicates
     /*  478191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478200 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478223 */     GIR_RootConstrainSelectedInstOperands,
     /*  478224 */     // GIR_Coverage, 24987,
     /*  478224 */     GIR_EraseRootFromParent_Done,
     /*  478225 */   // Label 8092: @478225
     /*  478225 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(478311), // Rule ID 24990 //
     /*  478230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  478233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  478241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  478244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  478247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478277 */     // MIs[1] Operand 1
     /*  478277 */     // No operand predicates
     /*  478277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478286 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  478286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478309 */     GIR_RootConstrainSelectedInstOperands,
     /*  478310 */     // GIR_Coverage, 24990,
     /*  478310 */     GIR_EraseRootFromParent_Done,
     /*  478311 */   // Label 8093: @478311
     /*  478311 */   GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(478397), // Rule ID 24991 //
     /*  478316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  478319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  478327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  478330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  478333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478363 */     // MIs[1] Operand 1
     /*  478363 */     // No operand predicates
     /*  478363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478372 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  478372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478395 */     GIR_RootConstrainSelectedInstOperands,
     /*  478396 */     // GIR_Coverage, 24991,
     /*  478396 */     GIR_EraseRootFromParent_Done,
     /*  478397 */   // Label 8094: @478397
     /*  478397 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(478483), // Rule ID 24994 //
     /*  478402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  478413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  478416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478449 */     // MIs[1] Operand 1
     /*  478449 */     // No operand predicates
     /*  478449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478458 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  478461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478481 */     GIR_RootConstrainSelectedInstOperands,
     /*  478482 */     // GIR_Coverage, 24994,
     /*  478482 */     GIR_EraseRootFromParent_Done,
     /*  478483 */   // Label 8095: @478483
     /*  478483 */   GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(478569), // Rule ID 24995 //
     /*  478488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  478499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  478502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478535 */     // MIs[1] Operand 1
     /*  478535 */     // No operand predicates
     /*  478535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478544 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  478547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478567 */     GIR_RootConstrainSelectedInstOperands,
     /*  478568 */     // GIR_Coverage, 24995,
     /*  478568 */     GIR_EraseRootFromParent_Done,
     /*  478569 */   // Label 8096: @478569
     /*  478569 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(478655), // Rule ID 24998 //
     /*  478574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  478585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  478588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  478591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478621 */     // MIs[1] Operand 1
     /*  478621 */     // No operand predicates
     /*  478621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478630 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  478633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478653 */     GIR_RootConstrainSelectedInstOperands,
     /*  478654 */     // GIR_Coverage, 24998,
     /*  478654 */     GIR_EraseRootFromParent_Done,
     /*  478655 */   // Label 8097: @478655
     /*  478655 */   GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(478741), // Rule ID 24999 //
     /*  478660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  478671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  478674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  478677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478707 */     // MIs[1] Operand 1
     /*  478707 */     // No operand predicates
     /*  478707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478716 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  478719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478739 */     GIR_RootConstrainSelectedInstOperands,
     /*  478740 */     // GIR_Coverage, 24999,
     /*  478740 */     GIR_EraseRootFromParent_Done,
     /*  478741 */   // Label 8098: @478741
     /*  478741 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(478827), // Rule ID 25002 //
     /*  478746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  478757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  478760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  478763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478793 */     // MIs[1] Operand 1
     /*  478793 */     // No operand predicates
     /*  478793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478802 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  478805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478825 */     GIR_RootConstrainSelectedInstOperands,
     /*  478826 */     // GIR_Coverage, 25002,
     /*  478826 */     GIR_EraseRootFromParent_Done,
     /*  478827 */   // Label 8099: @478827
     /*  478827 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(478913), // Rule ID 25003 //
     /*  478832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  478843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  478846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  478849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478879 */     // MIs[1] Operand 1
     /*  478879 */     // No operand predicates
     /*  478879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478888 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  478891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478911 */     GIR_RootConstrainSelectedInstOperands,
     /*  478912 */     // GIR_Coverage, 25003,
     /*  478912 */     GIR_EraseRootFromParent_Done,
     /*  478913 */   // Label 8100: @478913
     /*  478913 */   GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(478999), // Rule ID 25006 //
     /*  478918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  478929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  478932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  478935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478965 */     // MIs[1] Operand 1
     /*  478965 */     // No operand predicates
     /*  478965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478974 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  478977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478997 */     GIR_RootConstrainSelectedInstOperands,
     /*  478998 */     // GIR_Coverage, 25006,
     /*  478998 */     GIR_EraseRootFromParent_Done,
     /*  478999 */   // Label 8101: @478999
     /*  478999 */   GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(479085), // Rule ID 25007 //
     /*  479004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  479015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  479018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  479021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479051 */     // MIs[1] Operand 1
     /*  479051 */     // No operand predicates
     /*  479051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479060 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  479060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  479063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479083 */     GIR_RootConstrainSelectedInstOperands,
     /*  479084 */     // GIR_Coverage, 25007,
     /*  479084 */     GIR_EraseRootFromParent_Done,
     /*  479085 */   // Label 8102: @479085
     /*  479085 */   GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(479171), // Rule ID 25010 //
     /*  479090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  479101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  479104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  479107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479137 */     // MIs[1] Operand 1
     /*  479137 */     // No operand predicates
     /*  479137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479146 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  479146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479169 */     GIR_RootConstrainSelectedInstOperands,
     /*  479170 */     // GIR_Coverage, 25010,
     /*  479170 */     GIR_EraseRootFromParent_Done,
     /*  479171 */   // Label 8103: @479171
     /*  479171 */   GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(479257), // Rule ID 25011 //
     /*  479176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  479187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  479190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  479193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479223 */     // MIs[1] Operand 1
     /*  479223 */     // No operand predicates
     /*  479223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479232 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  479232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479255 */     GIR_RootConstrainSelectedInstOperands,
     /*  479256 */     // GIR_Coverage, 25011,
     /*  479256 */     GIR_EraseRootFromParent_Done,
     /*  479257 */   // Label 8104: @479257
     /*  479257 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(479343), // Rule ID 25014 //
     /*  479262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  479273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  479276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  479279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479309 */     // MIs[1] Operand 1
     /*  479309 */     // No operand predicates
     /*  479309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479318 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  479318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479341 */     GIR_RootConstrainSelectedInstOperands,
     /*  479342 */     // GIR_Coverage, 25014,
     /*  479342 */     GIR_EraseRootFromParent_Done,
     /*  479343 */   // Label 8105: @479343
     /*  479343 */   GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(479429), // Rule ID 25015 //
     /*  479348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  479359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  479362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  479365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479395 */     // MIs[1] Operand 1
     /*  479395 */     // No operand predicates
     /*  479395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479404 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  479404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479427 */     GIR_RootConstrainSelectedInstOperands,
     /*  479428 */     // GIR_Coverage, 25015,
     /*  479428 */     GIR_EraseRootFromParent_Done,
     /*  479429 */   // Label 8106: @479429
     /*  479429 */   GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(479515), // Rule ID 25018 //
     /*  479434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  479437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  479445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  479448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  479451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479481 */     // MIs[1] Operand 1
     /*  479481 */     // No operand predicates
     /*  479481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479490 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  479490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  479493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  479510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479513 */     GIR_RootConstrainSelectedInstOperands,
     /*  479514 */     // GIR_Coverage, 25018,
     /*  479514 */     GIR_EraseRootFromParent_Done,
     /*  479515 */   // Label 8107: @479515
     /*  479515 */   GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(479601), // Rule ID 25019 //
     /*  479520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  479523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  479531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  479534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  479537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479567 */     // MIs[1] Operand 1
     /*  479567 */     // No operand predicates
     /*  479567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479576 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  479576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  479579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  479596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479599 */     GIR_RootConstrainSelectedInstOperands,
     /*  479600 */     // GIR_Coverage, 25019,
     /*  479600 */     GIR_EraseRootFromParent_Done,
     /*  479601 */   // Label 8108: @479601
     /*  479601 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(479687), // Rule ID 25022 //
     /*  479606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  479609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  479617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  479620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  479623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479653 */     // MIs[1] Operand 1
     /*  479653 */     // No operand predicates
     /*  479653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479662 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  479662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  479682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479685 */     GIR_RootConstrainSelectedInstOperands,
     /*  479686 */     // GIR_Coverage, 25022,
     /*  479686 */     GIR_EraseRootFromParent_Done,
     /*  479687 */   // Label 8109: @479687
     /*  479687 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(479773), // Rule ID 25023 //
     /*  479692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  479695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  479703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  479706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  479709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479739 */     // MIs[1] Operand 1
     /*  479739 */     // No operand predicates
     /*  479739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479748 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  479748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  479768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479771 */     GIR_RootConstrainSelectedInstOperands,
     /*  479772 */     // GIR_Coverage, 25023,
     /*  479772 */     GIR_EraseRootFromParent_Done,
     /*  479773 */   // Label 8110: @479773
     /*  479773 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(479859), // Rule ID 25026 //
     /*  479778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  479781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  479789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  479792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  479795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479825 */     // MIs[1] Operand 1
     /*  479825 */     // No operand predicates
     /*  479825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479834 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  479834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  479854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479857 */     GIR_RootConstrainSelectedInstOperands,
     /*  479858 */     // GIR_Coverage, 25026,
     /*  479858 */     GIR_EraseRootFromParent_Done,
     /*  479859 */   // Label 8111: @479859
     /*  479859 */   GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(479945), // Rule ID 25027 //
     /*  479864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  479867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  479875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  479878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  479881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479911 */     // MIs[1] Operand 1
     /*  479911 */     // No operand predicates
     /*  479911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479920 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  479920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  479940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479943 */     GIR_RootConstrainSelectedInstOperands,
     /*  479944 */     // GIR_Coverage, 25027,
     /*  479944 */     GIR_EraseRootFromParent_Done,
     /*  479945 */   // Label 8112: @479945
     /*  479945 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(480031), // Rule ID 61038 //
     /*  479950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  479961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  479964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  479967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479997 */     // MIs[1] Operand 1
     /*  479997 */     // No operand predicates
     /*  479997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480006 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  480006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  480009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480029 */     GIR_RootConstrainSelectedInstOperands,
     /*  480030 */     // GIR_Coverage, 61038,
     /*  480030 */     GIR_EraseRootFromParent_Done,
     /*  480031 */   // Label 8113: @480031
     /*  480031 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(480117), // Rule ID 61039 //
     /*  480036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  480047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  480050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  480053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480083 */     // MIs[1] Operand 1
     /*  480083 */     // No operand predicates
     /*  480083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480092 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  480092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  480095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480115 */     GIR_RootConstrainSelectedInstOperands,
     /*  480116 */     // GIR_Coverage, 61039,
     /*  480116 */     GIR_EraseRootFromParent_Done,
     /*  480117 */   // Label 8114: @480117
     /*  480117 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(480203), // Rule ID 61046 //
     /*  480122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  480133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  480136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  480139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480169 */     // MIs[1] Operand 1
     /*  480169 */     // No operand predicates
     /*  480169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480178 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  480178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  480181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480201 */     GIR_RootConstrainSelectedInstOperands,
     /*  480202 */     // GIR_Coverage, 61046,
     /*  480202 */     GIR_EraseRootFromParent_Done,
     /*  480203 */   // Label 8115: @480203
     /*  480203 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(480289), // Rule ID 61047 //
     /*  480208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  480219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  480222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  480225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480255 */     // MIs[1] Operand 1
     /*  480255 */     // No operand predicates
     /*  480255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480264 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  480264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  480267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480287 */     GIR_RootConstrainSelectedInstOperands,
     /*  480288 */     // GIR_Coverage, 61047,
     /*  480288 */     GIR_EraseRootFromParent_Done,
     /*  480289 */   // Label 8116: @480289
     /*  480289 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(480375), // Rule ID 61054 //
     /*  480294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  480305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  480308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  480311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480341 */     // MIs[1] Operand 1
     /*  480341 */     // No operand predicates
     /*  480341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480350 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  480350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480373 */     GIR_RootConstrainSelectedInstOperands,
     /*  480374 */     // GIR_Coverage, 61054,
     /*  480374 */     GIR_EraseRootFromParent_Done,
     /*  480375 */   // Label 8117: @480375
     /*  480375 */   GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(480461), // Rule ID 61055 //
     /*  480380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  480391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  480394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  480397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480427 */     // MIs[1] Operand 1
     /*  480427 */     // No operand predicates
     /*  480427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480436 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  480436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480459 */     GIR_RootConstrainSelectedInstOperands,
     /*  480460 */     // GIR_Coverage, 61055,
     /*  480460 */     GIR_EraseRootFromParent_Done,
     /*  480461 */   // Label 8118: @480461
     /*  480461 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(480547), // Rule ID 61062 //
     /*  480466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  480477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  480480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  480483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480513 */     // MIs[1] Operand 1
     /*  480513 */     // No operand predicates
     /*  480513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  480522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  480525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480545 */     GIR_RootConstrainSelectedInstOperands,
     /*  480546 */     // GIR_Coverage, 61062,
     /*  480546 */     GIR_EraseRootFromParent_Done,
     /*  480547 */   // Label 8119: @480547
     /*  480547 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(480633), // Rule ID 61063 //
     /*  480552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  480563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  480566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  480569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480599 */     // MIs[1] Operand 1
     /*  480599 */     // No operand predicates
     /*  480599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  480608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  480611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480631 */     GIR_RootConstrainSelectedInstOperands,
     /*  480632 */     // GIR_Coverage, 61063,
     /*  480632 */     GIR_EraseRootFromParent_Done,
     /*  480633 */   // Label 8120: @480633
     /*  480633 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(480719), // Rule ID 61070 //
     /*  480638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  480649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  480652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  480655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480685 */     // MIs[1] Operand 1
     /*  480685 */     // No operand predicates
     /*  480685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  480694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480717 */     GIR_RootConstrainSelectedInstOperands,
     /*  480718 */     // GIR_Coverage, 61070,
     /*  480718 */     GIR_EraseRootFromParent_Done,
     /*  480719 */   // Label 8121: @480719
     /*  480719 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(480805), // Rule ID 61071 //
     /*  480724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  480735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  480738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  480741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480771 */     // MIs[1] Operand 1
     /*  480771 */     // No operand predicates
     /*  480771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  480780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480803 */     GIR_RootConstrainSelectedInstOperands,
     /*  480804 */     // GIR_Coverage, 61071,
     /*  480804 */     GIR_EraseRootFromParent_Done,
     /*  480805 */   // Label 8122: @480805
     /*  480805 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(480891), // Rule ID 61078 //
     /*  480810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  480821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  480824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  480827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480857 */     // MIs[1] Operand 1
     /*  480857 */     // No operand predicates
     /*  480857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  480866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  480869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480889 */     GIR_RootConstrainSelectedInstOperands,
     /*  480890 */     // GIR_Coverage, 61078,
     /*  480890 */     GIR_EraseRootFromParent_Done,
     /*  480891 */   // Label 8123: @480891
     /*  480891 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(480977), // Rule ID 61079 //
     /*  480896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  480907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  480910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  480913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480943 */     // MIs[1] Operand 1
     /*  480943 */     // No operand predicates
     /*  480943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  480952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  480955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480975 */     GIR_RootConstrainSelectedInstOperands,
     /*  480976 */     // GIR_Coverage, 61079,
     /*  480976 */     GIR_EraseRootFromParent_Done,
     /*  480977 */   // Label 8124: @480977
     /*  480977 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(481063), // Rule ID 61086 //
     /*  480982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  480993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  480996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  480999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481029 */     // MIs[1] Operand 1
     /*  481029 */     // No operand predicates
     /*  481029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481038 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  481038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  481041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481061 */     GIR_RootConstrainSelectedInstOperands,
     /*  481062 */     // GIR_Coverage, 61086,
     /*  481062 */     GIR_EraseRootFromParent_Done,
     /*  481063 */   // Label 8125: @481063
     /*  481063 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(481149), // Rule ID 61087 //
     /*  481068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  481079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  481082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  481085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481115 */     // MIs[1] Operand 1
     /*  481115 */     // No operand predicates
     /*  481115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481124 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  481124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  481127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481147 */     GIR_RootConstrainSelectedInstOperands,
     /*  481148 */     // GIR_Coverage, 61087,
     /*  481148 */     GIR_EraseRootFromParent_Done,
     /*  481149 */   // Label 8126: @481149
     /*  481149 */   GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(481235), // Rule ID 61094 //
     /*  481154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  481165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  481168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  481171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481201 */     // MIs[1] Operand 1
     /*  481201 */     // No operand predicates
     /*  481201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11681:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  481210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  481213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481233 */     GIR_RootConstrainSelectedInstOperands,
     /*  481234 */     // GIR_Coverage, 61094,
     /*  481234 */     GIR_EraseRootFromParent_Done,
     /*  481235 */   // Label 8127: @481235
     /*  481235 */   GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(481321), // Rule ID 61095 //
     /*  481240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  481251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  481254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  481257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481287 */     // MIs[1] Operand 1
     /*  481287 */     // No operand predicates
     /*  481287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11681:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  481296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  481299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481319 */     GIR_RootConstrainSelectedInstOperands,
     /*  481320 */     // GIR_Coverage, 61095,
     /*  481320 */     GIR_EraseRootFromParent_Done,
     /*  481321 */   // Label 8128: @481321
     /*  481321 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(481407), // Rule ID 61102 //
     /*  481326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  481337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  481340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  481343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481373 */     // MIs[1] Operand 1
     /*  481373 */     // No operand predicates
     /*  481373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481382 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  481382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  481385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481405 */     GIR_RootConstrainSelectedInstOperands,
     /*  481406 */     // GIR_Coverage, 61102,
     /*  481406 */     GIR_EraseRootFromParent_Done,
     /*  481407 */   // Label 8129: @481407
     /*  481407 */   GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(481493), // Rule ID 61103 //
     /*  481412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  481423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  481426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  481429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481459 */     // MIs[1] Operand 1
     /*  481459 */     // No operand predicates
     /*  481459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481468 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  481468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  481471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481491 */     GIR_RootConstrainSelectedInstOperands,
     /*  481492 */     // GIR_Coverage, 61103,
     /*  481492 */     GIR_EraseRootFromParent_Done,
     /*  481493 */   // Label 8130: @481493
     /*  481493 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(481579), // Rule ID 61110 //
     /*  481498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  481509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  481512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  481515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481545 */     // MIs[1] Operand 1
     /*  481545 */     // No operand predicates
     /*  481545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  481554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  481557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481577 */     GIR_RootConstrainSelectedInstOperands,
     /*  481578 */     // GIR_Coverage, 61110,
     /*  481578 */     GIR_EraseRootFromParent_Done,
     /*  481579 */   // Label 8131: @481579
     /*  481579 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(481665), // Rule ID 61111 //
     /*  481584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  481595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  481598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  481601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481631 */     // MIs[1] Operand 1
     /*  481631 */     // No operand predicates
     /*  481631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481640 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  481640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  481643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481663 */     GIR_RootConstrainSelectedInstOperands,
     /*  481664 */     // GIR_Coverage, 61111,
     /*  481664 */     GIR_EraseRootFromParent_Done,
     /*  481665 */   // Label 8132: @481665
     /*  481665 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(481751), // Rule ID 61118 //
     /*  481670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  481681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  481684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  481687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481717 */     // MIs[1] Operand 1
     /*  481717 */     // No operand predicates
     /*  481717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481726 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  481726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481749 */     GIR_RootConstrainSelectedInstOperands,
     /*  481750 */     // GIR_Coverage, 61118,
     /*  481750 */     GIR_EraseRootFromParent_Done,
     /*  481751 */   // Label 8133: @481751
     /*  481751 */   GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(481837), // Rule ID 61119 //
     /*  481756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  481767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  481770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  481773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481803 */     // MIs[1] Operand 1
     /*  481803 */     // No operand predicates
     /*  481803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481812 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  481812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481835 */     GIR_RootConstrainSelectedInstOperands,
     /*  481836 */     // GIR_Coverage, 61119,
     /*  481836 */     GIR_EraseRootFromParent_Done,
     /*  481837 */   // Label 8134: @481837
     /*  481837 */   GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(481923), // Rule ID 61126 //
     /*  481842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  481859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481889 */     // MIs[1] Operand 1
     /*  481889 */     // No operand predicates
     /*  481889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481898 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  481901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481921 */     GIR_RootConstrainSelectedInstOperands,
     /*  481922 */     // GIR_Coverage, 61126,
     /*  481922 */     GIR_EraseRootFromParent_Done,
     /*  481923 */   // Label 8135: @481923
     /*  481923 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(482009), // Rule ID 61127 //
     /*  481928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  481945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481975 */     // MIs[1] Operand 1
     /*  481975 */     // No operand predicates
     /*  481975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  481987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482007 */     GIR_RootConstrainSelectedInstOperands,
     /*  482008 */     // GIR_Coverage, 61127,
     /*  482008 */     GIR_EraseRootFromParent_Done,
     /*  482009 */   // Label 8136: @482009
     /*  482009 */   GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(482095), // Rule ID 61134 //
     /*  482014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  482017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  482022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  482025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  482028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  482031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482061 */     // MIs[1] Operand 1
     /*  482061 */     // No operand predicates
     /*  482061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482070 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  482070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  482073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482093 */     GIR_RootConstrainSelectedInstOperands,
     /*  482094 */     // GIR_Coverage, 61134,
     /*  482094 */     GIR_EraseRootFromParent_Done,
     /*  482095 */   // Label 8137: @482095
     /*  482095 */   GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(482181), // Rule ID 61135 //
     /*  482100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  482103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  482108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  482111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  482114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  482117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482147 */     // MIs[1] Operand 1
     /*  482147 */     // No operand predicates
     /*  482147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482156 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  482156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  482159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482179 */     GIR_RootConstrainSelectedInstOperands,
     /*  482180 */     // GIR_Coverage, 61135,
     /*  482180 */     GIR_EraseRootFromParent_Done,
     /*  482181 */   // Label 8138: @482181
     /*  482181 */   GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(482267), // Rule ID 61142 //
     /*  482186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  482189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  482194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  482197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  482200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  482203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482233 */     // MIs[1] Operand 1
     /*  482233 */     // No operand predicates
     /*  482233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482242 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  482242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  482245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482265 */     GIR_RootConstrainSelectedInstOperands,
     /*  482266 */     // GIR_Coverage, 61142,
     /*  482266 */     GIR_EraseRootFromParent_Done,
     /*  482267 */   // Label 8139: @482267
     /*  482267 */   GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(482353), // Rule ID 61143 //
     /*  482272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  482275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  482280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  482283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  482286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  482289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482319 */     // MIs[1] Operand 1
     /*  482319 */     // No operand predicates
     /*  482319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482328 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  482328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  482331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482351 */     GIR_RootConstrainSelectedInstOperands,
     /*  482352 */     // GIR_Coverage, 61143,
     /*  482352 */     GIR_EraseRootFromParent_Done,
     /*  482353 */   // Label 8140: @482353
     /*  482353 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(482439), // Rule ID 61150 //
     /*  482358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  482361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  482366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  482369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  482372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  482375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482405 */     // MIs[1] Operand 1
     /*  482405 */     // No operand predicates
     /*  482405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482414 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  482414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  482417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482437 */     GIR_RootConstrainSelectedInstOperands,
     /*  482438 */     // GIR_Coverage, 61150,
     /*  482438 */     GIR_EraseRootFromParent_Done,
     /*  482439 */   // Label 8141: @482439
     /*  482439 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(482525), // Rule ID 61151 //
     /*  482444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  482447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  482452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  482455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  482458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  482461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482491 */     // MIs[1] Operand 1
     /*  482491 */     // No operand predicates
     /*  482491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  482500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  482503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482523 */     GIR_RootConstrainSelectedInstOperands,
     /*  482524 */     // GIR_Coverage, 61151,
     /*  482524 */     GIR_EraseRootFromParent_Done,
     /*  482525 */   // Label 8142: @482525
     /*  482525 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(482611), // Rule ID 62006 //
     /*  482530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  482541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  482544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  482547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482577 */     // MIs[1] Operand 1
     /*  482577 */     // No operand predicates
     /*  482577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482586 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  482589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482609 */     GIR_RootConstrainSelectedInstOperands,
     /*  482610 */     // GIR_Coverage, 62006,
     /*  482610 */     GIR_EraseRootFromParent_Done,
     /*  482611 */   // Label 8143: @482611
     /*  482611 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(482697), // Rule ID 62007 //
     /*  482616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  482627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  482630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  482633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482663 */     // MIs[1] Operand 1
     /*  482663 */     // No operand predicates
     /*  482663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  482675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482695 */     GIR_RootConstrainSelectedInstOperands,
     /*  482696 */     // GIR_Coverage, 62007,
     /*  482696 */     GIR_EraseRootFromParent_Done,
     /*  482697 */   // Label 8144: @482697
     /*  482697 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(482783), // Rule ID 62010 //
     /*  482702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  482713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  482716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  482719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482749 */     // MIs[1] Operand 1
     /*  482749 */     // No operand predicates
     /*  482749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482758 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482781 */     GIR_RootConstrainSelectedInstOperands,
     /*  482782 */     // GIR_Coverage, 62010,
     /*  482782 */     GIR_EraseRootFromParent_Done,
     /*  482783 */   // Label 8145: @482783
     /*  482783 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(482869), // Rule ID 62011 //
     /*  482788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  482799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  482802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  482805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482835 */     // MIs[1] Operand 1
     /*  482835 */     // No operand predicates
     /*  482835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482844 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482867 */     GIR_RootConstrainSelectedInstOperands,
     /*  482868 */     // GIR_Coverage, 62011,
     /*  482868 */     GIR_EraseRootFromParent_Done,
     /*  482869 */   // Label 8146: @482869
     /*  482869 */   GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(482955), // Rule ID 62014 //
     /*  482874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  482885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  482888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  482891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482921 */     // MIs[1] Operand 1
     /*  482921 */     // No operand predicates
     /*  482921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482930 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482953 */     GIR_RootConstrainSelectedInstOperands,
     /*  482954 */     // GIR_Coverage, 62014,
     /*  482954 */     GIR_EraseRootFromParent_Done,
     /*  482955 */   // Label 8147: @482955
     /*  482955 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(483041), // Rule ID 62015 //
     /*  482960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  482971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  482974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  482977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483007 */     // MIs[1] Operand 1
     /*  483007 */     // No operand predicates
     /*  483007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483016 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  483019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483039 */     GIR_RootConstrainSelectedInstOperands,
     /*  483040 */     // GIR_Coverage, 62015,
     /*  483040 */     GIR_EraseRootFromParent_Done,
     /*  483041 */   // Label 8148: @483041
     /*  483041 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(483127), // Rule ID 62018 //
     /*  483046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  483057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  483060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  483063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483093 */     // MIs[1] Operand 1
     /*  483093 */     // No operand predicates
     /*  483093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483102 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  483105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483125 */     GIR_RootConstrainSelectedInstOperands,
     /*  483126 */     // GIR_Coverage, 62018,
     /*  483126 */     GIR_EraseRootFromParent_Done,
     /*  483127 */   // Label 8149: @483127
     /*  483127 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(483213), // Rule ID 62019 //
     /*  483132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  483143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  483146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  483149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483179 */     // MIs[1] Operand 1
     /*  483179 */     // No operand predicates
     /*  483179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483188 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  483191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483211 */     GIR_RootConstrainSelectedInstOperands,
     /*  483212 */     // GIR_Coverage, 62019,
     /*  483212 */     GIR_EraseRootFromParent_Done,
     /*  483213 */   // Label 8150: @483213
     /*  483213 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(483299), // Rule ID 62022 //
     /*  483218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  483229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  483232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  483235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483265 */     // MIs[1] Operand 1
     /*  483265 */     // No operand predicates
     /*  483265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483274 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  483277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483297 */     GIR_RootConstrainSelectedInstOperands,
     /*  483298 */     // GIR_Coverage, 62022,
     /*  483298 */     GIR_EraseRootFromParent_Done,
     /*  483299 */   // Label 8151: @483299
     /*  483299 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(483385), // Rule ID 62023 //
     /*  483304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  483315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  483318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  483321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483351 */     // MIs[1] Operand 1
     /*  483351 */     // No operand predicates
     /*  483351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483360 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  483363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483383 */     GIR_RootConstrainSelectedInstOperands,
     /*  483384 */     // GIR_Coverage, 62023,
     /*  483384 */     GIR_EraseRootFromParent_Done,
     /*  483385 */   // Label 8152: @483385
     /*  483385 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(483471), // Rule ID 62026 //
     /*  483390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  483401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  483404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  483407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483437 */     // MIs[1] Operand 1
     /*  483437 */     // No operand predicates
     /*  483437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483446 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  483449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483469 */     GIR_RootConstrainSelectedInstOperands,
     /*  483470 */     // GIR_Coverage, 62026,
     /*  483470 */     GIR_EraseRootFromParent_Done,
     /*  483471 */   // Label 8153: @483471
     /*  483471 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(483557), // Rule ID 62027 //
     /*  483476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  483487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  483490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  483493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483523 */     // MIs[1] Operand 1
     /*  483523 */     // No operand predicates
     /*  483523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483532 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  483535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483555 */     GIR_RootConstrainSelectedInstOperands,
     /*  483556 */     // GIR_Coverage, 62027,
     /*  483556 */     GIR_EraseRootFromParent_Done,
     /*  483557 */   // Label 8154: @483557
     /*  483557 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(483643), // Rule ID 62030 //
     /*  483562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  483573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  483576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  483579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483609 */     // MIs[1] Operand 1
     /*  483609 */     // No operand predicates
     /*  483609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483618 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483641 */     GIR_RootConstrainSelectedInstOperands,
     /*  483642 */     // GIR_Coverage, 62030,
     /*  483642 */     GIR_EraseRootFromParent_Done,
     /*  483643 */   // Label 8155: @483643
     /*  483643 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(483729), // Rule ID 62031 //
     /*  483648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  483659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  483662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  483665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483695 */     // MIs[1] Operand 1
     /*  483695 */     // No operand predicates
     /*  483695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483704 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483727 */     GIR_RootConstrainSelectedInstOperands,
     /*  483728 */     // GIR_Coverage, 62031,
     /*  483728 */     GIR_EraseRootFromParent_Done,
     /*  483729 */   // Label 8156: @483729
     /*  483729 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(483815), // Rule ID 62034 //
     /*  483734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  483748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  483751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483781 */     // MIs[1] Operand 1
     /*  483781 */     // No operand predicates
     /*  483781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483790 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483813 */     GIR_RootConstrainSelectedInstOperands,
     /*  483814 */     // GIR_Coverage, 62034,
     /*  483814 */     GIR_EraseRootFromParent_Done,
     /*  483815 */   // Label 8157: @483815
     /*  483815 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(483901), // Rule ID 62035 //
     /*  483820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  483834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  483837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483867 */     // MIs[1] Operand 1
     /*  483867 */     // No operand predicates
     /*  483867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483899 */     GIR_RootConstrainSelectedInstOperands,
     /*  483900 */     // GIR_Coverage, 62035,
     /*  483900 */     GIR_EraseRootFromParent_Done,
     /*  483901 */   // Label 8158: @483901
     /*  483901 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(483987), // Rule ID 62038 //
     /*  483906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  483917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  483920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  483923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483953 */     // MIs[1] Operand 1
     /*  483953 */     // No operand predicates
     /*  483953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483962 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483985 */     GIR_RootConstrainSelectedInstOperands,
     /*  483986 */     // GIR_Coverage, 62038,
     /*  483986 */     GIR_EraseRootFromParent_Done,
     /*  483987 */   // Label 8159: @483987
     /*  483987 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(484073), // Rule ID 62039 //
     /*  483992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  484003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  484006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  484009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484039 */     // MIs[1] Operand 1
     /*  484039 */     // No operand predicates
     /*  484039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  484048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  484051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484071 */     GIR_RootConstrainSelectedInstOperands,
     /*  484072 */     // GIR_Coverage, 62039,
     /*  484072 */     GIR_EraseRootFromParent_Done,
     /*  484073 */   // Label 8160: @484073
     /*  484073 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(484159), // Rule ID 62042 //
     /*  484078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  484089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  484092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  484095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484125 */     // MIs[1] Operand 1
     /*  484125 */     // No operand predicates
     /*  484125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484134 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  484134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  484137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  484154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484157 */     GIR_RootConstrainSelectedInstOperands,
     /*  484158 */     // GIR_Coverage, 62042,
     /*  484158 */     GIR_EraseRootFromParent_Done,
     /*  484159 */   // Label 8161: @484159
     /*  484159 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(484245), // Rule ID 62043 //
     /*  484164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  484175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  484178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  484181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484211 */     // MIs[1] Operand 1
     /*  484211 */     // No operand predicates
     /*  484211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484220 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  484220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  484223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  484240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484243 */     GIR_RootConstrainSelectedInstOperands,
     /*  484244 */     // GIR_Coverage, 62043,
     /*  484244 */     GIR_EraseRootFromParent_Done,
     /*  484245 */   // Label 8162: @484245
     /*  484245 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(484331), // Rule ID 62046 //
     /*  484250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  484261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  484264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  484267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484297 */     // MIs[1] Operand 1
     /*  484297 */     // No operand predicates
     /*  484297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484306 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484329 */     GIR_RootConstrainSelectedInstOperands,
     /*  484330 */     // GIR_Coverage, 62046,
     /*  484330 */     GIR_EraseRootFromParent_Done,
     /*  484331 */   // Label 8163: @484331
     /*  484331 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(484417), // Rule ID 62047 //
     /*  484336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  484347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  484350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  484353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484383 */     // MIs[1] Operand 1
     /*  484383 */     // No operand predicates
     /*  484383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484392 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484415 */     GIR_RootConstrainSelectedInstOperands,
     /*  484416 */     // GIR_Coverage, 62047,
     /*  484416 */     GIR_EraseRootFromParent_Done,
     /*  484417 */   // Label 8164: @484417
     /*  484417 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(484503), // Rule ID 62050 //
     /*  484422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  484433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  484436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  484439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484469 */     // MIs[1] Operand 1
     /*  484469 */     // No operand predicates
     /*  484469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484478 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484501 */     GIR_RootConstrainSelectedInstOperands,
     /*  484502 */     // GIR_Coverage, 62050,
     /*  484502 */     GIR_EraseRootFromParent_Done,
     /*  484503 */   // Label 8165: @484503
     /*  484503 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(484589), // Rule ID 62051 //
     /*  484508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  484519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  484522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  484525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484555 */     // MIs[1] Operand 1
     /*  484555 */     // No operand predicates
     /*  484555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484564 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484587 */     GIR_RootConstrainSelectedInstOperands,
     /*  484588 */     // GIR_Coverage, 62051,
     /*  484588 */     GIR_EraseRootFromParent_Done,
     /*  484589 */   // Label 8166: @484589
     /*  484589 */   GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(484675), // Rule ID 62054 //
     /*  484594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  484605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  484608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  484611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484641 */     // MIs[1] Operand 1
     /*  484641 */     // No operand predicates
     /*  484641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484650 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484673 */     GIR_RootConstrainSelectedInstOperands,
     /*  484674 */     // GIR_Coverage, 62054,
     /*  484674 */     GIR_EraseRootFromParent_Done,
     /*  484675 */   // Label 8167: @484675
     /*  484675 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(484761), // Rule ID 62055 //
     /*  484680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  484691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  484694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  484697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484727 */     // MIs[1] Operand 1
     /*  484727 */     // No operand predicates
     /*  484727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484736 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484759 */     GIR_RootConstrainSelectedInstOperands,
     /*  484760 */     // GIR_Coverage, 62055,
     /*  484760 */     GIR_EraseRootFromParent_Done,
     /*  484761 */   // Label 8168: @484761
     /*  484761 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(484847), // Rule ID 62058 //
     /*  484766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484813 */     // MIs[1] Operand 1
     /*  484813 */     // No operand predicates
     /*  484813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484845 */     GIR_RootConstrainSelectedInstOperands,
     /*  484846 */     // GIR_Coverage, 62058,
     /*  484846 */     GIR_EraseRootFromParent_Done,
     /*  484847 */   // Label 8169: @484847
     /*  484847 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(484933), // Rule ID 62059 //
     /*  484852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484899 */     // MIs[1] Operand 1
     /*  484899 */     // No operand predicates
     /*  484899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484908 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484931 */     GIR_RootConstrainSelectedInstOperands,
     /*  484932 */     // GIR_Coverage, 62059,
     /*  484932 */     GIR_EraseRootFromParent_Done,
     /*  484933 */   // Label 8170: @484933
     /*  484933 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(485019), // Rule ID 62062 //
     /*  484938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  484955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484985 */     // MIs[1] Operand 1
     /*  484985 */     // No operand predicates
     /*  484985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484994 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485017 */     GIR_RootConstrainSelectedInstOperands,
     /*  485018 */     // GIR_Coverage, 62062,
     /*  485018 */     GIR_EraseRootFromParent_Done,
     /*  485019 */   // Label 8171: @485019
     /*  485019 */   GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(485105), // Rule ID 62063 //
     /*  485024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  485035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  485038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  485041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485071 */     // MIs[1] Operand 1
     /*  485071 */     // No operand predicates
     /*  485071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485080 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  485083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485103 */     GIR_RootConstrainSelectedInstOperands,
     /*  485104 */     // GIR_Coverage, 62063,
     /*  485104 */     GIR_EraseRootFromParent_Done,
     /*  485105 */   // Label 8172: @485105
     /*  485105 */   GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(485191), // Rule ID 62066 //
     /*  485110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  485121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  485124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  485127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485157 */     // MIs[1] Operand 1
     /*  485157 */     // No operand predicates
     /*  485157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485166 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  485166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485189 */     GIR_RootConstrainSelectedInstOperands,
     /*  485190 */     // GIR_Coverage, 62066,
     /*  485190 */     GIR_EraseRootFromParent_Done,
     /*  485191 */   // Label 8173: @485191
     /*  485191 */   GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(485277), // Rule ID 62067 //
     /*  485196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  485207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  485210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  485213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485243 */     // MIs[1] Operand 1
     /*  485243 */     // No operand predicates
     /*  485243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485252 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485275 */     GIR_RootConstrainSelectedInstOperands,
     /*  485276 */     // GIR_Coverage, 62067,
     /*  485276 */     GIR_EraseRootFromParent_Done,
     /*  485277 */   // Label 8174: @485277
     /*  485277 */   GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(485363), // Rule ID 62070 //
     /*  485282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  485293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  485296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485329 */     // MIs[1] Operand 1
     /*  485329 */     // No operand predicates
     /*  485329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  485341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485361 */     GIR_RootConstrainSelectedInstOperands,
     /*  485362 */     // GIR_Coverage, 62070,
     /*  485362 */     GIR_EraseRootFromParent_Done,
     /*  485363 */   // Label 8175: @485363
     /*  485363 */   GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(485449), // Rule ID 62071 //
     /*  485368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  485379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  485382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485415 */     // MIs[1] Operand 1
     /*  485415 */     // No operand predicates
     /*  485415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  485427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485447 */     GIR_RootConstrainSelectedInstOperands,
     /*  485448 */     // GIR_Coverage, 62071,
     /*  485448 */     GIR_EraseRootFromParent_Done,
     /*  485449 */   // Label 8176: @485449
     /*  485449 */   GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(485535), // Rule ID 62074 //
     /*  485454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  485465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  485468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  485471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485501 */     // MIs[1] Operand 1
     /*  485501 */     // No operand predicates
     /*  485501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485510 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  485513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485533 */     GIR_RootConstrainSelectedInstOperands,
     /*  485534 */     // GIR_Coverage, 62074,
     /*  485534 */     GIR_EraseRootFromParent_Done,
     /*  485535 */   // Label 8177: @485535
     /*  485535 */   GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(485621), // Rule ID 62075 //
     /*  485540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  485551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  485554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  485557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485587 */     // MIs[1] Operand 1
     /*  485587 */     // No operand predicates
     /*  485587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  485599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485619 */     GIR_RootConstrainSelectedInstOperands,
     /*  485620 */     // GIR_Coverage, 62075,
     /*  485620 */     GIR_EraseRootFromParent_Done,
     /*  485621 */   // Label 8178: @485621
     /*  485621 */   GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(485707), // Rule ID 62078 //
     /*  485626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  485643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485673 */     // MIs[1] Operand 1
     /*  485673 */     // No operand predicates
     /*  485673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485682 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485705 */     GIR_RootConstrainSelectedInstOperands,
     /*  485706 */     // GIR_Coverage, 62078,
     /*  485706 */     GIR_EraseRootFromParent_Done,
     /*  485707 */   // Label 8179: @485707
     /*  485707 */   GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(485793), // Rule ID 62079 //
     /*  485712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  485729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485759 */     // MIs[1] Operand 1
     /*  485759 */     // No operand predicates
     /*  485759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485768 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485791 */     GIR_RootConstrainSelectedInstOperands,
     /*  485792 */     // GIR_Coverage, 62079,
     /*  485792 */     GIR_EraseRootFromParent_Done,
     /*  485793 */   // Label 8180: @485793
     /*  485793 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(485879), // Rule ID 62082 //
     /*  485798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  485815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485845 */     // MIs[1] Operand 1
     /*  485845 */     // No operand predicates
     /*  485845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485854 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  485854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  485857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485877 */     GIR_RootConstrainSelectedInstOperands,
     /*  485878 */     // GIR_Coverage, 62082,
     /*  485878 */     GIR_EraseRootFromParent_Done,
     /*  485879 */   // Label 8181: @485879
     /*  485879 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(485965), // Rule ID 62083 //
     /*  485884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  485901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485931 */     // MIs[1] Operand 1
     /*  485931 */     // No operand predicates
     /*  485931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485940 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  485940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  485943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485963 */     GIR_RootConstrainSelectedInstOperands,
     /*  485964 */     // GIR_Coverage, 62083,
     /*  485964 */     GIR_EraseRootFromParent_Done,
     /*  485965 */   // Label 8182: @485965
     /*  485965 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(486051), // Rule ID 62086 //
     /*  485970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  485987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486017 */     // MIs[1] Operand 1
     /*  486017 */     // No operand predicates
     /*  486017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  486026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  486029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  486046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486049 */     GIR_RootConstrainSelectedInstOperands,
     /*  486050 */     // GIR_Coverage, 62086,
     /*  486050 */     GIR_EraseRootFromParent_Done,
     /*  486051 */   // Label 8183: @486051
     /*  486051 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(486137), // Rule ID 62087 //
     /*  486056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  486067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  486070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  486073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486103 */     // MIs[1] Operand 1
     /*  486103 */     // No operand predicates
     /*  486103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  486112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  486115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  486132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486135 */     GIR_RootConstrainSelectedInstOperands,
     /*  486136 */     // GIR_Coverage, 62087,
     /*  486136 */     GIR_EraseRootFromParent_Done,
     /*  486137 */   // Label 8184: @486137
     /*  486137 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(486223), // Rule ID 62090 //
     /*  486142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  486153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  486156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  486159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486189 */     // MIs[1] Operand 1
     /*  486189 */     // No operand predicates
     /*  486189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486198 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  486198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  486201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  486218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486221 */     GIR_RootConstrainSelectedInstOperands,
     /*  486222 */     // GIR_Coverage, 62090,
     /*  486222 */     GIR_EraseRootFromParent_Done,
     /*  486223 */   // Label 8185: @486223
     /*  486223 */   GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(486309), // Rule ID 62091 //
     /*  486228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  486239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  486242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  486245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486275 */     // MIs[1] Operand 1
     /*  486275 */     // No operand predicates
     /*  486275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486284 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  486284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  486287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  486304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486307 */     GIR_RootConstrainSelectedInstOperands,
     /*  486308 */     // GIR_Coverage, 62091,
     /*  486308 */     GIR_EraseRootFromParent_Done,
     /*  486309 */   // Label 8186: @486309
     /*  486309 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(486388), // Rule ID 2756 //
     /*  486314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  486325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  486328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  486334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  486369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486386 */     GIR_RootConstrainSelectedInstOperands,
     /*  486387 */     // GIR_Coverage, 2756,
     /*  486387 */     GIR_EraseRootFromParent_Done,
     /*  486388 */   // Label 8187: @486388
     /*  486388 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(486467), // Rule ID 2757 //
     /*  486393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  486404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  486407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  486413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486445 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  486448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486465 */     GIR_RootConstrainSelectedInstOperands,
     /*  486466 */     // GIR_Coverage, 2757,
     /*  486466 */     GIR_EraseRootFromParent_Done,
     /*  486467 */   // Label 8188: @486467
     /*  486467 */   GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(486546), // Rule ID 4072 //
     /*  486472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  486483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  486486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  486489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  486492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  486527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486544 */     GIR_RootConstrainSelectedInstOperands,
     /*  486545 */     // GIR_Coverage, 4072,
     /*  486545 */     GIR_EraseRootFromParent_Done,
     /*  486546 */   // Label 8189: @486546
     /*  486546 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(486625), // Rule ID 4073 //
     /*  486551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  486562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  486565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  486568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  486571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486603 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  486606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486623 */     GIR_RootConstrainSelectedInstOperands,
     /*  486624 */     // GIR_Coverage, 4073,
     /*  486624 */     GIR_EraseRootFromParent_Done,
     /*  486625 */   // Label 8190: @486625
     /*  486625 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(486704), // Rule ID 4082 //
     /*  486630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  486641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  486644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  486647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  486650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486702 */     GIR_RootConstrainSelectedInstOperands,
     /*  486703 */     // GIR_Coverage, 4082,
     /*  486703 */     GIR_EraseRootFromParent_Done,
     /*  486704 */   // Label 8191: @486704
     /*  486704 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(486783), // Rule ID 4083 //
     /*  486709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  486720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  486723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  486726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  486729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486761 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486781 */     GIR_RootConstrainSelectedInstOperands,
     /*  486782 */     // GIR_Coverage, 4083,
     /*  486782 */     GIR_EraseRootFromParent_Done,
     /*  486783 */   // Label 8192: @486783
     /*  486783 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(486862), // Rule ID 4092 //
     /*  486788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  486805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  486808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486840 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  486843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486860 */     GIR_RootConstrainSelectedInstOperands,
     /*  486861 */     // GIR_Coverage, 4092,
     /*  486861 */     GIR_EraseRootFromParent_Done,
     /*  486862 */   // Label 8193: @486862
     /*  486862 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(486941), // Rule ID 4093 //
     /*  486867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  486884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  486887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486919 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  486922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486939 */     GIR_RootConstrainSelectedInstOperands,
     /*  486940 */     // GIR_Coverage, 4093,
     /*  486940 */     GIR_EraseRootFromParent_Done,
     /*  486941 */   // Label 8194: @486941
     /*  486941 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(487020), // Rule ID 4102 //
     /*  486946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  486957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  486960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  486963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  486966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486998 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487018 */     GIR_RootConstrainSelectedInstOperands,
     /*  487019 */     // GIR_Coverage, 4102,
     /*  487019 */     GIR_EraseRootFromParent_Done,
     /*  487020 */   // Label 8195: @487020
     /*  487020 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(487099), // Rule ID 4103 //
     /*  487025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  487036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  487039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  487042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  487045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487077 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  487077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487097 */     GIR_RootConstrainSelectedInstOperands,
     /*  487098 */     // GIR_Coverage, 4103,
     /*  487098 */     GIR_EraseRootFromParent_Done,
     /*  487099 */   // Label 8196: @487099
     /*  487099 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(487178), // Rule ID 4112 //
     /*  487104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  487115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  487118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  487121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  487124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487156 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  487156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487176 */     GIR_RootConstrainSelectedInstOperands,
     /*  487177 */     // GIR_Coverage, 4112,
     /*  487177 */     GIR_EraseRootFromParent_Done,
     /*  487178 */   // Label 8197: @487178
     /*  487178 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(487257), // Rule ID 4113 //
     /*  487183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  487194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  487197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  487200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  487203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487235 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  487235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487255 */     GIR_RootConstrainSelectedInstOperands,
     /*  487256 */     // GIR_Coverage, 4113,
     /*  487256 */     GIR_EraseRootFromParent_Done,
     /*  487257 */   // Label 8198: @487257
     /*  487257 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(487336), // Rule ID 4122 //
     /*  487262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  487273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  487276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  487282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  487317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487334 */     GIR_RootConstrainSelectedInstOperands,
     /*  487335 */     // GIR_Coverage, 4122,
     /*  487335 */     GIR_EraseRootFromParent_Done,
     /*  487336 */   // Label 8199: @487336
     /*  487336 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(487415), // Rule ID 4123 //
     /*  487341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  487352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  487355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  487361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  487396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487413 */     GIR_RootConstrainSelectedInstOperands,
     /*  487414 */     // GIR_Coverage, 4123,
     /*  487414 */     GIR_EraseRootFromParent_Done,
     /*  487415 */   // Label 8200: @487415
     /*  487415 */   GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(487494), // Rule ID 4132 //
     /*  487420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  487431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  487434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  487440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  487475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487492 */     GIR_RootConstrainSelectedInstOperands,
     /*  487493 */     // GIR_Coverage, 4132,
     /*  487493 */     GIR_EraseRootFromParent_Done,
     /*  487494 */   // Label 8201: @487494
     /*  487494 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(487573), // Rule ID 4133 //
     /*  487499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  487510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  487513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  487519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  487554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487571 */     GIR_RootConstrainSelectedInstOperands,
     /*  487572 */     // GIR_Coverage, 4133,
     /*  487572 */     GIR_EraseRootFromParent_Done,
     /*  487573 */   // Label 8202: @487573
     /*  487573 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(487652), // Rule ID 4142 //
     /*  487578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  487589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  487592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  487595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  487598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  487633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487650 */     GIR_RootConstrainSelectedInstOperands,
     /*  487651 */     // GIR_Coverage, 4142,
     /*  487651 */     GIR_EraseRootFromParent_Done,
     /*  487652 */   // Label 8203: @487652
     /*  487652 */   GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(487731), // Rule ID 4143 //
     /*  487657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  487668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  487671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  487674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  487677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  487712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487729 */     GIR_RootConstrainSelectedInstOperands,
     /*  487730 */     // GIR_Coverage, 4143,
     /*  487730 */     GIR_EraseRootFromParent_Done,
     /*  487731 */   // Label 8204: @487731
     /*  487731 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(487810), // Rule ID 4152 //
     /*  487736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  487756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487788 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487808 */     GIR_RootConstrainSelectedInstOperands,
     /*  487809 */     // GIR_Coverage, 4152,
     /*  487809 */     GIR_EraseRootFromParent_Done,
     /*  487810 */   // Label 8205: @487810
     /*  487810 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(487889), // Rule ID 4153 //
     /*  487815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  487835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487867 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487887 */     GIR_RootConstrainSelectedInstOperands,
     /*  487888 */     // GIR_Coverage, 4153,
     /*  487888 */     GIR_EraseRootFromParent_Done,
     /*  487889 */   // Label 8206: @487889
     /*  487889 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(487968), // Rule ID 4162 //
     /*  487894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  487905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  487908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  487911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  487914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487966 */     GIR_RootConstrainSelectedInstOperands,
     /*  487967 */     // GIR_Coverage, 4162,
     /*  487967 */     GIR_EraseRootFromParent_Done,
     /*  487968 */   // Label 8207: @487968
     /*  487968 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(488047), // Rule ID 4163 //
     /*  487973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  487984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  487987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  487990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  487993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488025 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  488025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  488028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488045 */     GIR_RootConstrainSelectedInstOperands,
     /*  488046 */     // GIR_Coverage, 4163,
     /*  488046 */     GIR_EraseRootFromParent_Done,
     /*  488047 */   // Label 8208: @488047
     /*  488047 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(488126), // Rule ID 4172 //
     /*  488052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  488055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  488060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  488063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  488066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  488069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  488072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488104 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  488104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  488107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488124 */     GIR_RootConstrainSelectedInstOperands,
     /*  488125 */     // GIR_Coverage, 4172,
     /*  488125 */     GIR_EraseRootFromParent_Done,
     /*  488126 */   // Label 8209: @488126
     /*  488126 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(488205), // Rule ID 4173 //
     /*  488131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  488134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  488139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  488142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  488145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  488148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  488151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488183 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  488183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  488186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488203 */     GIR_RootConstrainSelectedInstOperands,
     /*  488204 */     // GIR_Coverage, 4173,
     /*  488204 */     GIR_EraseRootFromParent_Done,
     /*  488205 */   // Label 8210: @488205
     /*  488205 */   GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(488284), // Rule ID 4182 //
     /*  488210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  488213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  488218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  488221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  488224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  488227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  488230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488262 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  488262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  488265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488282 */     GIR_RootConstrainSelectedInstOperands,
     /*  488283 */     // GIR_Coverage, 4182,
     /*  488283 */     GIR_EraseRootFromParent_Done,
     /*  488284 */   // Label 8211: @488284
     /*  488284 */   GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(488363), // Rule ID 4183 //
     /*  488289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  488292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  488297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  488300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  488303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  488306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  488309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488341 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  488341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  488344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488361 */     GIR_RootConstrainSelectedInstOperands,
     /*  488362 */     // GIR_Coverage, 4183,
     /*  488362 */     GIR_EraseRootFromParent_Done,
     /*  488363 */   // Label 8212: @488363
     /*  488363 */   GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(488442), // Rule ID 4192 //
     /*  488368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  488371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  488376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  488379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  488382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  488385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  488388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488420 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  488420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  488423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488440 */     GIR_RootConstrainSelectedInstOperands,
     /*  488441 */     // GIR_Coverage, 4192,
     /*  488441 */     GIR_EraseRootFromParent_Done,
     /*  488442 */   // Label 8213: @488442
     /*  488442 */   GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(488521), // Rule ID 4193 //
     /*  488447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  488450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  488455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  488458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  488461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  488464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  488467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488499 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  488499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  488502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488519 */     GIR_RootConstrainSelectedInstOperands,
     /*  488520 */     // GIR_Coverage, 4193,
     /*  488520 */     GIR_EraseRootFromParent_Done,
     /*  488521 */   // Label 8214: @488521
     /*  488521 */   GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(488600), // Rule ID 4202 //
     /*  488526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  488529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  488534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  488537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  488540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  488543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  488546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  488578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  488581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488598 */     GIR_RootConstrainSelectedInstOperands,
     /*  488599 */     // GIR_Coverage, 4202,
     /*  488599 */     GIR_EraseRootFromParent_Done,
     /*  488600 */   // Label 8215: @488600
     /*  488600 */   GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(488679), // Rule ID 4203 //
     /*  488605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  488608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  488613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  488616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  488619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  488622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  488625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488657 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11661:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  488657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  488660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488677 */     GIR_RootConstrainSelectedInstOperands,
     /*  488678 */     // GIR_Coverage, 4203,
     /*  488678 */     GIR_EraseRootFromParent_Done,
     /*  488679 */   // Label 8216: @488679
     /*  488679 */   GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(488758), // Rule ID 4272 //
     /*  488684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  488695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  488698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  488701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  488704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488736 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  488739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488756 */     GIR_RootConstrainSelectedInstOperands,
     /*  488757 */     // GIR_Coverage, 4272,
     /*  488757 */     GIR_EraseRootFromParent_Done,
     /*  488758 */   // Label 8217: @488758
     /*  488758 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(488837), // Rule ID 4273 //
     /*  488763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  488774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  488777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  488780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  488783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488815 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  488818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488835 */     GIR_RootConstrainSelectedInstOperands,
     /*  488836 */     // GIR_Coverage, 4273,
     /*  488836 */     GIR_EraseRootFromParent_Done,
     /*  488837 */   // Label 8218: @488837
     /*  488837 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(488916), // Rule ID 4282 //
     /*  488842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  488853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  488856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  488859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  488862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488894 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  488897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488914 */     GIR_RootConstrainSelectedInstOperands,
     /*  488915 */     // GIR_Coverage, 4282,
     /*  488915 */     GIR_EraseRootFromParent_Done,
     /*  488916 */   // Label 8219: @488916
     /*  488916 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(488995), // Rule ID 4283 //
     /*  488921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  488932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  488935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  488938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  488941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488973 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  488976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488993 */     GIR_RootConstrainSelectedInstOperands,
     /*  488994 */     // GIR_Coverage, 4283,
     /*  488994 */     GIR_EraseRootFromParent_Done,
     /*  488995 */   // Label 8220: @488995
     /*  488995 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(489074), // Rule ID 4292 //
     /*  489000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  489011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  489014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  489017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  489020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  489052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489072 */     GIR_RootConstrainSelectedInstOperands,
     /*  489073 */     // GIR_Coverage, 4292,
     /*  489073 */     GIR_EraseRootFromParent_Done,
     /*  489074 */   // Label 8221: @489074
     /*  489074 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(489153), // Rule ID 4293 //
     /*  489079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  489090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  489093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  489096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  489099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489131 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  489131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489151 */     GIR_RootConstrainSelectedInstOperands,
     /*  489152 */     // GIR_Coverage, 4293,
     /*  489152 */     GIR_EraseRootFromParent_Done,
     /*  489153 */   // Label 8222: @489153
     /*  489153 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(489232), // Rule ID 4302 //
     /*  489158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  489169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  489172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  489175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  489178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489210 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  489210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  489213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489230 */     GIR_RootConstrainSelectedInstOperands,
     /*  489231 */     // GIR_Coverage, 4302,
     /*  489231 */     GIR_EraseRootFromParent_Done,
     /*  489232 */   // Label 8223: @489232
     /*  489232 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(489311), // Rule ID 4303 //
     /*  489237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  489248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  489251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  489254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  489257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489289 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  489289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  489292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489309 */     GIR_RootConstrainSelectedInstOperands,
     /*  489310 */     // GIR_Coverage, 4303,
     /*  489310 */     GIR_EraseRootFromParent_Done,
     /*  489311 */   // Label 8224: @489311
     /*  489311 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(489390), // Rule ID 4312 //
     /*  489316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  489327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  489330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  489333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  489336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  489368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489388 */     GIR_RootConstrainSelectedInstOperands,
     /*  489389 */     // GIR_Coverage, 4312,
     /*  489389 */     GIR_EraseRootFromParent_Done,
     /*  489390 */   // Label 8225: @489390
     /*  489390 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(489469), // Rule ID 4313 //
     /*  489395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  489406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  489409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  489412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  489415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489447 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  489447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489467 */     GIR_RootConstrainSelectedInstOperands,
     /*  489468 */     // GIR_Coverage, 4313,
     /*  489468 */     GIR_EraseRootFromParent_Done,
     /*  489469 */   // Label 8226: @489469
     /*  489469 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(489548), // Rule ID 4322 //
     /*  489474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  489485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  489488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  489491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  489494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489526 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  489526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489546 */     GIR_RootConstrainSelectedInstOperands,
     /*  489547 */     // GIR_Coverage, 4322,
     /*  489547 */     GIR_EraseRootFromParent_Done,
     /*  489548 */   // Label 8227: @489548
     /*  489548 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(489627), // Rule ID 4323 //
     /*  489553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  489564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  489567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  489570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  489573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489605 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  489605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489625 */     GIR_RootConstrainSelectedInstOperands,
     /*  489626 */     // GIR_Coverage, 4323,
     /*  489626 */     GIR_EraseRootFromParent_Done,
     /*  489627 */   // Label 8228: @489627
     /*  489627 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(489706), // Rule ID 4332 //
     /*  489632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  489643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  489646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  489649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  489652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  489687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489704 */     GIR_RootConstrainSelectedInstOperands,
     /*  489705 */     // GIR_Coverage, 4332,
     /*  489705 */     GIR_EraseRootFromParent_Done,
     /*  489706 */   // Label 8229: @489706
     /*  489706 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(489785), // Rule ID 4333 //
     /*  489711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  489722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  489725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  489728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  489731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489763 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  489766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489783 */     GIR_RootConstrainSelectedInstOperands,
     /*  489784 */     // GIR_Coverage, 4333,
     /*  489784 */     GIR_EraseRootFromParent_Done,
     /*  489785 */   // Label 8230: @489785
     /*  489785 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(489864), // Rule ID 4342 //
     /*  489790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  489801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  489804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  489807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  489810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489862 */     GIR_RootConstrainSelectedInstOperands,
     /*  489863 */     // GIR_Coverage, 4342,
     /*  489863 */     GIR_EraseRootFromParent_Done,
     /*  489864 */   // Label 8231: @489864
     /*  489864 */   GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(489943), // Rule ID 4343 //
     /*  489869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  489880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  489883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  489886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  489889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489921 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489941 */     GIR_RootConstrainSelectedInstOperands,
     /*  489942 */     // GIR_Coverage, 4343,
     /*  489942 */     GIR_EraseRootFromParent_Done,
     /*  489943 */   // Label 8232: @489943
     /*  489943 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(490022), // Rule ID 4352 //
     /*  489948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  489959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  489962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  489965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  489968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  490000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  490003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490020 */     GIR_RootConstrainSelectedInstOperands,
     /*  490021 */     // GIR_Coverage, 4352,
     /*  490021 */     GIR_EraseRootFromParent_Done,
     /*  490022 */   // Label 8233: @490022
     /*  490022 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(490101), // Rule ID 4353 //
     /*  490027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  490038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  490041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  490044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  490047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490079 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  490079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  490082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490099 */     GIR_RootConstrainSelectedInstOperands,
     /*  490100 */     // GIR_Coverage, 4353,
     /*  490100 */     GIR_EraseRootFromParent_Done,
     /*  490101 */   // Label 8234: @490101
     /*  490101 */   GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(490180), // Rule ID 4362 //
     /*  490106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  490117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  490120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  490123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  490126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  490158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  490161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490178 */     GIR_RootConstrainSelectedInstOperands,
     /*  490179 */     // GIR_Coverage, 4362,
     /*  490179 */     GIR_EraseRootFromParent_Done,
     /*  490180 */   // Label 8235: @490180
     /*  490180 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(490259), // Rule ID 4363 //
     /*  490185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  490196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  490199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  490202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  490205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490237 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  490237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  490240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490257 */     GIR_RootConstrainSelectedInstOperands,
     /*  490258 */     // GIR_Coverage, 4363,
     /*  490258 */     GIR_EraseRootFromParent_Done,
     /*  490259 */   // Label 8236: @490259
     /*  490259 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(490338), // Rule ID 4372 //
     /*  490264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  490275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  490278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  490281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  490284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490316 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  490316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  490319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490336 */     GIR_RootConstrainSelectedInstOperands,
     /*  490337 */     // GIR_Coverage, 4372,
     /*  490337 */     GIR_EraseRootFromParent_Done,
     /*  490338 */   // Label 8237: @490338
     /*  490338 */   GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(490417), // Rule ID 4373 //
     /*  490343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  490354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  490357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  490360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  490363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490395 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  490395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  490398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490415 */     GIR_RootConstrainSelectedInstOperands,
     /*  490416 */     // GIR_Coverage, 4373,
     /*  490416 */     GIR_EraseRootFromParent_Done,
     /*  490417 */   // Label 8238: @490417
     /*  490417 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(490496), // Rule ID 4382 //
     /*  490422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  490425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  490433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  490436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  490439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  490442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  490474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  490477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490494 */     GIR_RootConstrainSelectedInstOperands,
     /*  490495 */     // GIR_Coverage, 4382,
     /*  490495 */     GIR_EraseRootFromParent_Done,
     /*  490496 */   // Label 8239: @490496
     /*  490496 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(490575), // Rule ID 4383 //
     /*  490501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  490512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  490515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  490518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  490521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  490553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  490556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490573 */     GIR_RootConstrainSelectedInstOperands,
     /*  490574 */     // GIR_Coverage, 4383,
     /*  490574 */     GIR_EraseRootFromParent_Done,
     /*  490575 */   // Label 8240: @490575
     /*  490575 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(490654), // Rule ID 4392 //
     /*  490580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  490583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  490591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  490594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  490597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  490600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490632 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  490632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  490635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490652 */     GIR_RootConstrainSelectedInstOperands,
     /*  490653 */     // GIR_Coverage, 4392,
     /*  490653 */     GIR_EraseRootFromParent_Done,
     /*  490654 */   // Label 8241: @490654
     /*  490654 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(490733), // Rule ID 4393 //
     /*  490659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  490670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  490673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  490676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  490679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490711 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  490711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  490714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490731 */     GIR_RootConstrainSelectedInstOperands,
     /*  490732 */     // GIR_Coverage, 4393,
     /*  490732 */     GIR_EraseRootFromParent_Done,
     /*  490733 */   // Label 8242: @490733
     /*  490733 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(490812), // Rule ID 4402 //
     /*  490738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  490741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  490749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  490752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  490755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  490758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490790 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  490790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  490793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490810 */     GIR_RootConstrainSelectedInstOperands,
     /*  490811 */     // GIR_Coverage, 4402,
     /*  490811 */     GIR_EraseRootFromParent_Done,
     /*  490812 */   // Label 8243: @490812
     /*  490812 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(490891), // Rule ID 4403 //
     /*  490817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  490828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  490831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  490834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  490837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490869 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  490869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  490872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490889 */     GIR_RootConstrainSelectedInstOperands,
     /*  490890 */     // GIR_Coverage, 4403,
     /*  490890 */     GIR_EraseRootFromParent_Done,
     /*  490891 */   // Label 8244: @490891
     /*  490891 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(490970), // Rule ID 4412 //
     /*  490896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  490899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  490907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  490910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  490913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  490916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490948 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  490948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  490951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490968 */     GIR_RootConstrainSelectedInstOperands,
     /*  490969 */     // GIR_Coverage, 4412,
     /*  490969 */     GIR_EraseRootFromParent_Done,
     /*  490970 */   // Label 8245: @490970
     /*  490970 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(491049), // Rule ID 4413 //
     /*  490975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  490983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  490986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  490989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  490992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  490995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491027 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11689:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  491027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  491030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491047 */     GIR_RootConstrainSelectedInstOperands,
     /*  491048 */     // GIR_Coverage, 4413,
     /*  491048 */     GIR_EraseRootFromParent_Done,
     /*  491049 */   // Label 8246: @491049
     /*  491049 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(491128), // Rule ID 4482 //
     /*  491054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  491065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  491068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  491071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  491074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491106 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  491109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491126 */     GIR_RootConstrainSelectedInstOperands,
     /*  491127 */     // GIR_Coverage, 4482,
     /*  491127 */     GIR_EraseRootFromParent_Done,
     /*  491128 */   // Label 8247: @491128
     /*  491128 */   GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(491207), // Rule ID 4483 //
     /*  491133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  491144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  491147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  491150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  491153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491185 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  491188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491205 */     GIR_RootConstrainSelectedInstOperands,
     /*  491206 */     // GIR_Coverage, 4483,
     /*  491206 */     GIR_EraseRootFromParent_Done,
     /*  491207 */   // Label 8248: @491207
     /*  491207 */   GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(491286), // Rule ID 4492 //
     /*  491212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  491223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  491226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  491229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  491232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491264 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  491267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491284 */     GIR_RootConstrainSelectedInstOperands,
     /*  491285 */     // GIR_Coverage, 4492,
     /*  491285 */     GIR_EraseRootFromParent_Done,
     /*  491286 */   // Label 8249: @491286
     /*  491286 */   GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(491365), // Rule ID 4493 //
     /*  491291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  491302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  491305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  491308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  491311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491343 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  491346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491363 */     GIR_RootConstrainSelectedInstOperands,
     /*  491364 */     // GIR_Coverage, 4493,
     /*  491364 */     GIR_EraseRootFromParent_Done,
     /*  491365 */   // Label 8250: @491365
     /*  491365 */   GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(491444), // Rule ID 4502 //
     /*  491370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  491381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  491384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  491387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  491390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491442 */     GIR_RootConstrainSelectedInstOperands,
     /*  491443 */     // GIR_Coverage, 4502,
     /*  491443 */     GIR_EraseRootFromParent_Done,
     /*  491444 */   // Label 8251: @491444
     /*  491444 */   GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(491523), // Rule ID 4503 //
     /*  491449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  491460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  491463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  491466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  491469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491501 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491521 */     GIR_RootConstrainSelectedInstOperands,
     /*  491522 */     // GIR_Coverage, 4503,
     /*  491522 */     GIR_EraseRootFromParent_Done,
     /*  491523 */   // Label 8252: @491523
     /*  491523 */   GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(491602), // Rule ID 4512 //
     /*  491528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  491539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  491542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  491545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  491548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491580 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  491583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491600 */     GIR_RootConstrainSelectedInstOperands,
     /*  491601 */     // GIR_Coverage, 4512,
     /*  491601 */     GIR_EraseRootFromParent_Done,
     /*  491602 */   // Label 8253: @491602
     /*  491602 */   GIM_Try, /*On fail goto*//*Label 8254*/ GIMT_Encode4(491681), // Rule ID 4513 //
     /*  491607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  491618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  491621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  491624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  491627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491659 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  491662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491679 */     GIR_RootConstrainSelectedInstOperands,
     /*  491680 */     // GIR_Coverage, 4513,
     /*  491680 */     GIR_EraseRootFromParent_Done,
     /*  491681 */   // Label 8254: @491681
     /*  491681 */   GIM_Try, /*On fail goto*//*Label 8255*/ GIMT_Encode4(491760), // Rule ID 4522 //
     /*  491686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  491697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  491700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  491703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  491706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491738 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491758 */     GIR_RootConstrainSelectedInstOperands,
     /*  491759 */     // GIR_Coverage, 4522,
     /*  491759 */     GIR_EraseRootFromParent_Done,
     /*  491760 */   // Label 8255: @491760
     /*  491760 */   GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(491839), // Rule ID 4523 //
     /*  491765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  491776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  491779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  491782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  491785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491817 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491837 */     GIR_RootConstrainSelectedInstOperands,
     /*  491838 */     // GIR_Coverage, 4523,
     /*  491838 */     GIR_EraseRootFromParent_Done,
     /*  491839 */   // Label 8256: @491839
     /*  491839 */   GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(491918), // Rule ID 4532 //
     /*  491844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  491855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  491858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  491861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  491864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491896 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  491899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491916 */     GIR_RootConstrainSelectedInstOperands,
     /*  491917 */     // GIR_Coverage, 4532,
     /*  491917 */     GIR_EraseRootFromParent_Done,
     /*  491918 */   // Label 8257: @491918
     /*  491918 */   GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(491997), // Rule ID 4533 //
     /*  491923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  491934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  491937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  491940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  491943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491975 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  491978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491995 */     GIR_RootConstrainSelectedInstOperands,
     /*  491996 */     // GIR_Coverage, 4533,
     /*  491996 */     GIR_EraseRootFromParent_Done,
     /*  491997 */   // Label 8258: @491997
     /*  491997 */   GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(492076), // Rule ID 4542 //
     /*  492002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  492013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  492016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  492019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  492022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  492054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  492057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492074 */     GIR_RootConstrainSelectedInstOperands,
     /*  492075 */     // GIR_Coverage, 4542,
     /*  492075 */     GIR_EraseRootFromParent_Done,
     /*  492076 */   // Label 8259: @492076
     /*  492076 */   GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(492155), // Rule ID 4543 //
     /*  492081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  492092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  492095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  492098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  492101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  492136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492153 */     GIR_RootConstrainSelectedInstOperands,
     /*  492154 */     // GIR_Coverage, 4543,
     /*  492154 */     GIR_EraseRootFromParent_Done,
     /*  492155 */   // Label 8260: @492155
     /*  492155 */   GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(492234), // Rule ID 4552 //
     /*  492160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  492171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  492174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  492177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  492180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  492212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  492215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492232 */     GIR_RootConstrainSelectedInstOperands,
     /*  492233 */     // GIR_Coverage, 4552,
     /*  492233 */     GIR_EraseRootFromParent_Done,
     /*  492234 */   // Label 8261: @492234
     /*  492234 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(492313), // Rule ID 4553 //
     /*  492239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  492250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  492253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  492256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  492259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492291 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  492294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492311 */     GIR_RootConstrainSelectedInstOperands,
     /*  492312 */     // GIR_Coverage, 4553,
     /*  492312 */     GIR_EraseRootFromParent_Done,
     /*  492313 */   // Label 8262: @492313
     /*  492313 */   GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(492392), // Rule ID 4562 //
     /*  492318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  492329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  492332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  492335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  492338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492370 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  492370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  492373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492390 */     GIR_RootConstrainSelectedInstOperands,
     /*  492391 */     // GIR_Coverage, 4562,
     /*  492391 */     GIR_EraseRootFromParent_Done,
     /*  492392 */   // Label 8263: @492392
     /*  492392 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(492471), // Rule ID 4563 //
     /*  492397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  492408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  492411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  492414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  492417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  492452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492469 */     GIR_RootConstrainSelectedInstOperands,
     /*  492470 */     // GIR_Coverage, 4563,
     /*  492470 */     GIR_EraseRootFromParent_Done,
     /*  492471 */   // Label 8264: @492471
     /*  492471 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(492550), // Rule ID 4572 //
     /*  492476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  492487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  492490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  492493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  492496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492528 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  492528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  492531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492548 */     GIR_RootConstrainSelectedInstOperands,
     /*  492549 */     // GIR_Coverage, 4572,
     /*  492549 */     GIR_EraseRootFromParent_Done,
     /*  492550 */   // Label 8265: @492550
     /*  492550 */   GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(492629), // Rule ID 4573 //
     /*  492555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  492566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  492569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  492572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  492575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492607 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  492610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492627 */     GIR_RootConstrainSelectedInstOperands,
     /*  492628 */     // GIR_Coverage, 4573,
     /*  492628 */     GIR_EraseRootFromParent_Done,
     /*  492629 */   // Label 8266: @492629
     /*  492629 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(492708), // Rule ID 4582 //
     /*  492634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  492645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  492648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  492651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  492654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  492686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492706 */     GIR_RootConstrainSelectedInstOperands,
     /*  492707 */     // GIR_Coverage, 4582,
     /*  492707 */     GIR_EraseRootFromParent_Done,
     /*  492708 */   // Label 8267: @492708
     /*  492708 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(492787), // Rule ID 4583 //
     /*  492713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  492724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  492727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  492730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  492733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492765 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492785 */     GIR_RootConstrainSelectedInstOperands,
     /*  492786 */     // GIR_Coverage, 4583,
     /*  492786 */     GIR_EraseRootFromParent_Done,
     /*  492787 */   // Label 8268: @492787
     /*  492787 */   GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(492866), // Rule ID 4592 //
     /*  492792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  492803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  492806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  492809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  492812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492844 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  492847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492864 */     GIR_RootConstrainSelectedInstOperands,
     /*  492865 */     // GIR_Coverage, 4592,
     /*  492865 */     GIR_EraseRootFromParent_Done,
     /*  492866 */   // Label 8269: @492866
     /*  492866 */   GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(492945), // Rule ID 4593 //
     /*  492871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  492882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  492885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  492888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  492891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492923 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  492926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492943 */     GIR_RootConstrainSelectedInstOperands,
     /*  492944 */     // GIR_Coverage, 4593,
     /*  492944 */     GIR_EraseRootFromParent_Done,
     /*  492945 */   // Label 8270: @492945
     /*  492945 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(493024), // Rule ID 4602 //
     /*  492950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  492961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  492964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  492967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  492970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493002 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  493002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  493005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493022 */     GIR_RootConstrainSelectedInstOperands,
     /*  493023 */     // GIR_Coverage, 4602,
     /*  493023 */     GIR_EraseRootFromParent_Done,
     /*  493024 */   // Label 8271: @493024
     /*  493024 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(493103), // Rule ID 4603 //
     /*  493029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  493032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  493037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  493040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  493043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  493046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  493049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493081 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  493081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  493084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493101 */     GIR_RootConstrainSelectedInstOperands,
     /*  493102 */     // GIR_Coverage, 4603,
     /*  493102 */     GIR_EraseRootFromParent_Done,
     /*  493103 */   // Label 8272: @493103
     /*  493103 */   GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(493182), // Rule ID 4612 //
     /*  493108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  493111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  493116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  493119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  493122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  493125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  493128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493160 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  493160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  493163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493180 */     GIR_RootConstrainSelectedInstOperands,
     /*  493181 */     // GIR_Coverage, 4612,
     /*  493181 */     GIR_EraseRootFromParent_Done,
     /*  493182 */   // Label 8273: @493182
     /*  493182 */   GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(493261), // Rule ID 4613 //
     /*  493187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  493190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  493195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  493198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  493201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  493204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  493207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493239 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  493239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  493242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493259 */     GIR_RootConstrainSelectedInstOperands,
     /*  493260 */     // GIR_Coverage, 4613,
     /*  493260 */     GIR_EraseRootFromParent_Done,
     /*  493261 */   // Label 8274: @493261
     /*  493261 */   GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(493340), // Rule ID 4622 //
     /*  493266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  493269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  493274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  493277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  493280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  493283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  493286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493318 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  493318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  493321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493338 */     GIR_RootConstrainSelectedInstOperands,
     /*  493339 */     // GIR_Coverage, 4622,
     /*  493339 */     GIR_EraseRootFromParent_Done,
     /*  493340 */   // Label 8275: @493340
     /*  493340 */   GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(493419), // Rule ID 4623 //
     /*  493345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  493348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  493353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  493356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  493359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  493362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  493365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493397 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11657:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  493397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  493400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493417 */     GIR_RootConstrainSelectedInstOperands,
     /*  493418 */     // GIR_Coverage, 4623,
     /*  493418 */     GIR_EraseRootFromParent_Done,
     /*  493419 */   // Label 8276: @493419
     /*  493419 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(493498), // Rule ID 4692 //
     /*  493424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  493435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  493438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  493441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  493444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493476 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  493479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493496 */     GIR_RootConstrainSelectedInstOperands,
     /*  493497 */     // GIR_Coverage, 4692,
     /*  493497 */     GIR_EraseRootFromParent_Done,
     /*  493498 */   // Label 8277: @493498
     /*  493498 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(493577), // Rule ID 4693 //
     /*  493503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  493514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  493517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  493520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  493523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493555 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  493558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493575 */     GIR_RootConstrainSelectedInstOperands,
     /*  493576 */     // GIR_Coverage, 4693,
     /*  493576 */     GIR_EraseRootFromParent_Done,
     /*  493577 */   // Label 8278: @493577
     /*  493577 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(493656), // Rule ID 4702 //
     /*  493582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  493593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  493596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  493599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  493602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493634 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  493637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493654 */     GIR_RootConstrainSelectedInstOperands,
     /*  493655 */     // GIR_Coverage, 4702,
     /*  493655 */     GIR_EraseRootFromParent_Done,
     /*  493656 */   // Label 8279: @493656
     /*  493656 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(493735), // Rule ID 4703 //
     /*  493661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  493672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  493675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  493678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  493681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493713 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  493716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493733 */     GIR_RootConstrainSelectedInstOperands,
     /*  493734 */     // GIR_Coverage, 4703,
     /*  493734 */     GIR_EraseRootFromParent_Done,
     /*  493735 */   // Label 8280: @493735
     /*  493735 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(493814), // Rule ID 4712 //
     /*  493740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  493751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  493754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  493757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  493760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493812 */     GIR_RootConstrainSelectedInstOperands,
     /*  493813 */     // GIR_Coverage, 4712,
     /*  493813 */     GIR_EraseRootFromParent_Done,
     /*  493814 */   // Label 8281: @493814
     /*  493814 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(493893), // Rule ID 4713 //
     /*  493819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  493830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  493833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  493836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  493839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493871 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493891 */     GIR_RootConstrainSelectedInstOperands,
     /*  493892 */     // GIR_Coverage, 4713,
     /*  493892 */     GIR_EraseRootFromParent_Done,
     /*  493893 */   // Label 8282: @493893
     /*  493893 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(493972), // Rule ID 4722 //
     /*  493898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  493909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  493912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  493915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  493918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  493953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493970 */     GIR_RootConstrainSelectedInstOperands,
     /*  493971 */     // GIR_Coverage, 4722,
     /*  493971 */     GIR_EraseRootFromParent_Done,
     /*  493972 */   // Label 8283: @493972
     /*  493972 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(494051), // Rule ID 4723 //
     /*  493977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  493988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  493991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  493994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  493997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494029 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  494029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494049 */     GIR_RootConstrainSelectedInstOperands,
     /*  494050 */     // GIR_Coverage, 4723,
     /*  494050 */     GIR_EraseRootFromParent_Done,
     /*  494051 */   // Label 8284: @494051
     /*  494051 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(494130), // Rule ID 4732 //
     /*  494056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  494067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  494070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  494073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  494076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  494108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494128 */     GIR_RootConstrainSelectedInstOperands,
     /*  494129 */     // GIR_Coverage, 4732,
     /*  494129 */     GIR_EraseRootFromParent_Done,
     /*  494130 */   // Label 8285: @494130
     /*  494130 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(494209), // Rule ID 4733 //
     /*  494135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  494146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  494149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  494152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  494155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494187 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  494187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494207 */     GIR_RootConstrainSelectedInstOperands,
     /*  494208 */     // GIR_Coverage, 4733,
     /*  494208 */     GIR_EraseRootFromParent_Done,
     /*  494209 */   // Label 8286: @494209
     /*  494209 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(494288), // Rule ID 4742 //
     /*  494214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  494225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  494228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  494231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  494234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494266 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  494266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  494269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494286 */     GIR_RootConstrainSelectedInstOperands,
     /*  494287 */     // GIR_Coverage, 4742,
     /*  494287 */     GIR_EraseRootFromParent_Done,
     /*  494288 */   // Label 8287: @494288
     /*  494288 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(494367), // Rule ID 4743 //
     /*  494293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  494304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  494307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  494310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  494313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494345 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  494345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  494348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494365 */     GIR_RootConstrainSelectedInstOperands,
     /*  494366 */     // GIR_Coverage, 4743,
     /*  494366 */     GIR_EraseRootFromParent_Done,
     /*  494367 */   // Label 8288: @494367
     /*  494367 */   GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(494446), // Rule ID 4752 //
     /*  494372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  494383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  494386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  494389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  494392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494424 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  494427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494444 */     GIR_RootConstrainSelectedInstOperands,
     /*  494445 */     // GIR_Coverage, 4752,
     /*  494445 */     GIR_EraseRootFromParent_Done,
     /*  494446 */   // Label 8289: @494446
     /*  494446 */   GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(494525), // Rule ID 4753 //
     /*  494451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  494462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  494465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  494468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  494471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494503 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  494506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494523 */     GIR_RootConstrainSelectedInstOperands,
     /*  494524 */     // GIR_Coverage, 4753,
     /*  494524 */     GIR_EraseRootFromParent_Done,
     /*  494525 */   // Label 8290: @494525
     /*  494525 */   GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(494604), // Rule ID 4762 //
     /*  494530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  494541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  494544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  494547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  494550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494582 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  494585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494602 */     GIR_RootConstrainSelectedInstOperands,
     /*  494603 */     // GIR_Coverage, 4762,
     /*  494603 */     GIR_EraseRootFromParent_Done,
     /*  494604 */   // Label 8291: @494604
     /*  494604 */   GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(494683), // Rule ID 4763 //
     /*  494609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  494620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  494623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  494626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  494629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494661 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  494664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494681 */     GIR_RootConstrainSelectedInstOperands,
     /*  494682 */     // GIR_Coverage, 4763,
     /*  494682 */     GIR_EraseRootFromParent_Done,
     /*  494683 */   // Label 8292: @494683
     /*  494683 */   GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(494762), // Rule ID 4772 //
     /*  494688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  494699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  494702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  494705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  494708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494740 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494760 */     GIR_RootConstrainSelectedInstOperands,
     /*  494761 */     // GIR_Coverage, 4772,
     /*  494761 */     GIR_EraseRootFromParent_Done,
     /*  494762 */   // Label 8293: @494762
     /*  494762 */   GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(494841), // Rule ID 4773 //
     /*  494767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  494778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  494781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  494784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  494787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494839 */     GIR_RootConstrainSelectedInstOperands,
     /*  494840 */     // GIR_Coverage, 4773,
     /*  494840 */     GIR_EraseRootFromParent_Done,
     /*  494841 */   // Label 8294: @494841
     /*  494841 */   GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(494920), // Rule ID 4782 //
     /*  494846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  494863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  494866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494918 */     GIR_RootConstrainSelectedInstOperands,
     /*  494919 */     // GIR_Coverage, 4782,
     /*  494919 */     GIR_EraseRootFromParent_Done,
     /*  494920 */   // Label 8295: @494920
     /*  494920 */   GIM_Try, /*On fail goto*//*Label 8296*/ GIMT_Encode4(494999), // Rule ID 4783 //
     /*  494925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  494942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  494945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494997 */     GIR_RootConstrainSelectedInstOperands,
     /*  494998 */     // GIR_Coverage, 4783,
     /*  494998 */     GIR_EraseRootFromParent_Done,
     /*  494999 */   // Label 8296: @494999
     /*  494999 */   GIM_Try, /*On fail goto*//*Label 8297*/ GIMT_Encode4(495078), // Rule ID 4792 //
     /*  495004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  495012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  495015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  495018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  495021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  495024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495056 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  495056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  495059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495076 */     GIR_RootConstrainSelectedInstOperands,
     /*  495077 */     // GIR_Coverage, 4792,
     /*  495077 */     GIR_EraseRootFromParent_Done,
     /*  495078 */   // Label 8297: @495078
     /*  495078 */   GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(495157), // Rule ID 4793 //
     /*  495083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  495091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  495094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  495097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  495100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  495103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495135 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  495135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  495138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495155 */     GIR_RootConstrainSelectedInstOperands,
     /*  495156 */     // GIR_Coverage, 4793,
     /*  495156 */     GIR_EraseRootFromParent_Done,
     /*  495157 */   // Label 8298: @495157
     /*  495157 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(495236), // Rule ID 4802 //
     /*  495162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  495165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  495170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  495173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  495176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  495179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  495182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  495214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  495217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495234 */     GIR_RootConstrainSelectedInstOperands,
     /*  495235 */     // GIR_Coverage, 4802,
     /*  495235 */     GIR_EraseRootFromParent_Done,
     /*  495236 */   // Label 8299: @495236
     /*  495236 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(495315), // Rule ID 4803 //
     /*  495241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  495244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  495249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  495252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  495255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  495258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  495261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495293 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  495293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  495296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495313 */     GIR_RootConstrainSelectedInstOperands,
     /*  495314 */     // GIR_Coverage, 4803,
     /*  495314 */     GIR_EraseRootFromParent_Done,
     /*  495315 */   // Label 8300: @495315
     /*  495315 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(495394), // Rule ID 4812 //
     /*  495320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  495323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  495328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  495331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  495334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  495337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  495340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495372 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  495372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  495375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495392 */     GIR_RootConstrainSelectedInstOperands,
     /*  495393 */     // GIR_Coverage, 4812,
     /*  495393 */     GIR_EraseRootFromParent_Done,
     /*  495394 */   // Label 8301: @495394
     /*  495394 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(495473), // Rule ID 4813 //
     /*  495399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  495402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  495407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  495410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  495413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  495416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  495419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495451 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  495451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  495454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495471 */     GIR_RootConstrainSelectedInstOperands,
     /*  495472 */     // GIR_Coverage, 4813,
     /*  495472 */     GIR_EraseRootFromParent_Done,
     /*  495473 */   // Label 8302: @495473
     /*  495473 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(495552), // Rule ID 4822 //
     /*  495478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  495481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  495486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  495489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  495492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  495495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  495498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495530 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  495530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  495533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495550 */     GIR_RootConstrainSelectedInstOperands,
     /*  495551 */     // GIR_Coverage, 4822,
     /*  495551 */     GIR_EraseRootFromParent_Done,
     /*  495552 */   // Label 8303: @495552
     /*  495552 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(495631), // Rule ID 4823 //
     /*  495557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  495560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  495565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  495568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  495571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  495574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  495577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495609 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  495609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  495612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495629 */     GIR_RootConstrainSelectedInstOperands,
     /*  495630 */     // GIR_Coverage, 4823,
     /*  495630 */     GIR_EraseRootFromParent_Done,
     /*  495631 */   // Label 8304: @495631
     /*  495631 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(495710), // Rule ID 4832 //
     /*  495636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  495639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  495644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  495647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  495650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  495653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  495656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495688 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  495688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  495691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495708 */     GIR_RootConstrainSelectedInstOperands,
     /*  495709 */     // GIR_Coverage, 4832,
     /*  495709 */     GIR_EraseRootFromParent_Done,
     /*  495710 */   // Label 8305: @495710
     /*  495710 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(495789), // Rule ID 4833 //
     /*  495715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  495718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  495723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  495726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  495729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  495732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  495735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495767 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11685:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  495767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  495770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495787 */     GIR_RootConstrainSelectedInstOperands,
     /*  495788 */     // GIR_Coverage, 4833,
     /*  495788 */     GIR_EraseRootFromParent_Done,
     /*  495789 */   // Label 8306: @495789
     /*  495789 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(495857), // Rule ID 2716 //
     /*  495794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  495805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  495808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495826 */     // MIs[0] policy
     /*  495826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  495839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495843 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495853 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495855 */     GIR_RootConstrainSelectedInstOperands,
     /*  495856 */     // GIR_Coverage, 2716,
     /*  495856 */     GIR_EraseRootFromParent_Done,
     /*  495857 */   // Label 8307: @495857
     /*  495857 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(495925), // Rule ID 2717 //
     /*  495862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  495873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  495876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495894 */     // MIs[0] policy
     /*  495894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495904 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  495907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495911 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495921 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495923 */     GIR_RootConstrainSelectedInstOperands,
     /*  495924 */     // GIR_Coverage, 2717,
     /*  495924 */     GIR_EraseRootFromParent_Done,
     /*  495925 */   // Label 8308: @495925
     /*  495925 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(495993), // Rule ID 23512 //
     /*  495930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  495941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  495944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495962 */     // MIs[0] policy
     /*  495962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495972 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  495975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495979 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495989 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495991 */     GIR_RootConstrainSelectedInstOperands,
     /*  495992 */     // GIR_Coverage, 23512,
     /*  495992 */     GIR_EraseRootFromParent_Done,
     /*  495993 */   // Label 8309: @495993
     /*  495993 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(496061), // Rule ID 23513 //
     /*  495998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  496009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  496012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  496015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496030 */     // MIs[0] policy
     /*  496030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496040 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  496043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496047 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496057 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496059 */     GIR_RootConstrainSelectedInstOperands,
     /*  496060 */     // GIR_Coverage, 23513,
     /*  496060 */     GIR_EraseRootFromParent_Done,
     /*  496061 */   // Label 8310: @496061
     /*  496061 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(496129), // Rule ID 23516 //
     /*  496066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  496077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  496080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  496083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496098 */     // MIs[0] policy
     /*  496098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  496111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496115 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496125 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496127 */     GIR_RootConstrainSelectedInstOperands,
     /*  496128 */     // GIR_Coverage, 23516,
     /*  496128 */     GIR_EraseRootFromParent_Done,
     /*  496129 */   // Label 8311: @496129
     /*  496129 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(496197), // Rule ID 23517 //
     /*  496134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  496145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  496148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  496151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496166 */     // MIs[0] policy
     /*  496166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496176 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  496179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496183 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496193 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496195 */     GIR_RootConstrainSelectedInstOperands,
     /*  496196 */     // GIR_Coverage, 23517,
     /*  496196 */     GIR_EraseRootFromParent_Done,
     /*  496197 */   // Label 8312: @496197
     /*  496197 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(496265), // Rule ID 23520 //
     /*  496202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  496213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  496216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  496219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496234 */     // MIs[0] policy
     /*  496234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496244 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  496247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496251 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496261 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496263 */     GIR_RootConstrainSelectedInstOperands,
     /*  496264 */     // GIR_Coverage, 23520,
     /*  496264 */     GIR_EraseRootFromParent_Done,
     /*  496265 */   // Label 8313: @496265
     /*  496265 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(496333), // Rule ID 23521 //
     /*  496270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  496281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  496284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  496287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496302 */     // MIs[0] policy
     /*  496302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496312 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  496315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496319 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496329 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496331 */     GIR_RootConstrainSelectedInstOperands,
     /*  496332 */     // GIR_Coverage, 23521,
     /*  496332 */     GIR_EraseRootFromParent_Done,
     /*  496333 */   // Label 8314: @496333
     /*  496333 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(496401), // Rule ID 23524 //
     /*  496338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  496349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  496352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  496355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496370 */     // MIs[0] policy
     /*  496370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  496383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496387 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496397 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496399 */     GIR_RootConstrainSelectedInstOperands,
     /*  496400 */     // GIR_Coverage, 23524,
     /*  496400 */     GIR_EraseRootFromParent_Done,
     /*  496401 */   // Label 8315: @496401
     /*  496401 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(496469), // Rule ID 23525 //
     /*  496406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  496417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  496420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  496423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496438 */     // MIs[0] policy
     /*  496438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496448 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  496451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496455 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496465 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496467 */     GIR_RootConstrainSelectedInstOperands,
     /*  496468 */     // GIR_Coverage, 23525,
     /*  496468 */     GIR_EraseRootFromParent_Done,
     /*  496469 */   // Label 8316: @496469
     /*  496469 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(496537), // Rule ID 23528 //
     /*  496474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  496485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  496488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  496491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496506 */     // MIs[0] policy
     /*  496506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496516 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  496519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496523 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496533 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496535 */     GIR_RootConstrainSelectedInstOperands,
     /*  496536 */     // GIR_Coverage, 23528,
     /*  496536 */     GIR_EraseRootFromParent_Done,
     /*  496537 */   // Label 8317: @496537
     /*  496537 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(496605), // Rule ID 23529 //
     /*  496542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  496553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  496556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  496559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496574 */     // MIs[0] policy
     /*  496574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496584 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  496587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496591 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496601 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496603 */     GIR_RootConstrainSelectedInstOperands,
     /*  496604 */     // GIR_Coverage, 23529,
     /*  496604 */     GIR_EraseRootFromParent_Done,
     /*  496605 */   // Label 8318: @496605
     /*  496605 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(496673), // Rule ID 23532 //
     /*  496610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  496621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  496624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496642 */     // MIs[0] policy
     /*  496642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496652 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496659 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496669 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496671 */     GIR_RootConstrainSelectedInstOperands,
     /*  496672 */     // GIR_Coverage, 23532,
     /*  496672 */     GIR_EraseRootFromParent_Done,
     /*  496673 */   // Label 8319: @496673
     /*  496673 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(496741), // Rule ID 23533 //
     /*  496678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  496689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  496692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496710 */     // MIs[0] policy
     /*  496710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496720 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496727 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496737 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496739 */     GIR_RootConstrainSelectedInstOperands,
     /*  496740 */     // GIR_Coverage, 23533,
     /*  496740 */     GIR_EraseRootFromParent_Done,
     /*  496741 */   // Label 8320: @496741
     /*  496741 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(496809), // Rule ID 23536 //
     /*  496746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  496757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  496760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  496763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496778 */     // MIs[0] policy
     /*  496778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496788 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496795 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496805 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496807 */     GIR_RootConstrainSelectedInstOperands,
     /*  496808 */     // GIR_Coverage, 23536,
     /*  496808 */     GIR_EraseRootFromParent_Done,
     /*  496809 */   // Label 8321: @496809
     /*  496809 */   GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(496877), // Rule ID 23537 //
     /*  496814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  496825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  496828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  496831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496846 */     // MIs[0] policy
     /*  496846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496863 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496873 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496875 */     GIR_RootConstrainSelectedInstOperands,
     /*  496876 */     // GIR_Coverage, 23537,
     /*  496876 */     GIR_EraseRootFromParent_Done,
     /*  496877 */   // Label 8322: @496877
     /*  496877 */   GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(496945), // Rule ID 23540 //
     /*  496882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  496893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  496896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  496899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496914 */     // MIs[0] policy
     /*  496914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496931 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496941 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496943 */     GIR_RootConstrainSelectedInstOperands,
     /*  496944 */     // GIR_Coverage, 23540,
     /*  496944 */     GIR_EraseRootFromParent_Done,
     /*  496945 */   // Label 8323: @496945
     /*  496945 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(497013), // Rule ID 23541 //
     /*  496950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  496961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  496964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  496967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496982 */     // MIs[0] policy
     /*  496982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496999 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497009 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497011 */     GIR_RootConstrainSelectedInstOperands,
     /*  497012 */     // GIR_Coverage, 23541,
     /*  497012 */     GIR_EraseRootFromParent_Done,
     /*  497013 */   // Label 8324: @497013
     /*  497013 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(497081), // Rule ID 23544 //
     /*  497018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  497021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  497029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  497032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  497035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  497042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497050 */     // MIs[0] policy
     /*  497050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497060 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  497063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497067 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497077 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497079 */     GIR_RootConstrainSelectedInstOperands,
     /*  497080 */     // GIR_Coverage, 23544,
     /*  497080 */     GIR_EraseRootFromParent_Done,
     /*  497081 */   // Label 8325: @497081
     /*  497081 */   GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(497149), // Rule ID 23545 //
     /*  497086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  497089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  497097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  497100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  497103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  497110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497118 */     // MIs[0] policy
     /*  497118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  497131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497135 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497145 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497147 */     GIR_RootConstrainSelectedInstOperands,
     /*  497148 */     // GIR_Coverage, 23545,
     /*  497148 */     GIR_EraseRootFromParent_Done,
     /*  497149 */   // Label 8326: @497149
     /*  497149 */   GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(497217), // Rule ID 23548 //
     /*  497154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  497165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  497168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497186 */     // MIs[0] policy
     /*  497186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497196 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497203 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497213 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497215 */     GIR_RootConstrainSelectedInstOperands,
     /*  497216 */     // GIR_Coverage, 23548,
     /*  497216 */     GIR_EraseRootFromParent_Done,
     /*  497217 */   // Label 8327: @497217
     /*  497217 */   GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(497285), // Rule ID 23549 //
     /*  497222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  497233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  497236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497254 */     // MIs[0] policy
     /*  497254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497264 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497271 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497281 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497283 */     GIR_RootConstrainSelectedInstOperands,
     /*  497284 */     // GIR_Coverage, 23549,
     /*  497284 */     GIR_EraseRootFromParent_Done,
     /*  497285 */   // Label 8328: @497285
     /*  497285 */   GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(497353), // Rule ID 23552 //
     /*  497290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  497301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  497304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  497307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497322 */     // MIs[0] policy
     /*  497322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497332 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497339 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497349 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497351 */     GIR_RootConstrainSelectedInstOperands,
     /*  497352 */     // GIR_Coverage, 23552,
     /*  497352 */     GIR_EraseRootFromParent_Done,
     /*  497353 */   // Label 8329: @497353
     /*  497353 */   GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(497421), // Rule ID 23553 //
     /*  497358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  497369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  497372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  497375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497390 */     // MIs[0] policy
     /*  497390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497400 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497407 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497417 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497419 */     GIR_RootConstrainSelectedInstOperands,
     /*  497420 */     // GIR_Coverage, 23553,
     /*  497420 */     GIR_EraseRootFromParent_Done,
     /*  497421 */   // Label 8330: @497421
     /*  497421 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(497489), // Rule ID 23556 //
     /*  497426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  497437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  497440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  497443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497458 */     // MIs[0] policy
     /*  497458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497468 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497475 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497485 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497487 */     GIR_RootConstrainSelectedInstOperands,
     /*  497488 */     // GIR_Coverage, 23556,
     /*  497488 */     GIR_EraseRootFromParent_Done,
     /*  497489 */   // Label 8331: @497489
     /*  497489 */   GIM_Try, /*On fail goto*//*Label 8332*/ GIMT_Encode4(497557), // Rule ID 23557 //
     /*  497494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  497505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  497508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  497511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497526 */     // MIs[0] policy
     /*  497526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497536 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497543 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497553 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497555 */     GIR_RootConstrainSelectedInstOperands,
     /*  497556 */     // GIR_Coverage, 23557,
     /*  497556 */     GIR_EraseRootFromParent_Done,
     /*  497557 */   // Label 8332: @497557
     /*  497557 */   GIM_Try, /*On fail goto*//*Label 8333*/ GIMT_Encode4(497625), // Rule ID 23560 //
     /*  497562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  497573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  497576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497594 */     // MIs[0] policy
     /*  497594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497604 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497611 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497621 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497623 */     GIR_RootConstrainSelectedInstOperands,
     /*  497624 */     // GIR_Coverage, 23560,
     /*  497624 */     GIR_EraseRootFromParent_Done,
     /*  497625 */   // Label 8333: @497625
     /*  497625 */   GIM_Try, /*On fail goto*//*Label 8334*/ GIMT_Encode4(497693), // Rule ID 23561 //
     /*  497630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  497641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  497644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497662 */     // MIs[0] policy
     /*  497662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497672 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497679 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497689 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497691 */     GIR_RootConstrainSelectedInstOperands,
     /*  497692 */     // GIR_Coverage, 23561,
     /*  497692 */     GIR_EraseRootFromParent_Done,
     /*  497693 */   // Label 8334: @497693
     /*  497693 */   GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(497761), // Rule ID 23564 //
     /*  497698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497730 */     // MIs[0] policy
     /*  497730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497740 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497747 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497757 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497759 */     GIR_RootConstrainSelectedInstOperands,
     /*  497760 */     // GIR_Coverage, 23564,
     /*  497760 */     GIR_EraseRootFromParent_Done,
     /*  497761 */   // Label 8335: @497761
     /*  497761 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(497829), // Rule ID 23565 //
     /*  497766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497798 */     // MIs[0] policy
     /*  497798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497808 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497815 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497825 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497827 */     GIR_RootConstrainSelectedInstOperands,
     /*  497828 */     // GIR_Coverage, 23565,
     /*  497828 */     GIR_EraseRootFromParent_Done,
     /*  497829 */   // Label 8336: @497829
     /*  497829 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(497897), // Rule ID 23568 //
     /*  497834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  497848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  497851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497866 */     // MIs[0] policy
     /*  497866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497883 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497893 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497895 */     GIR_RootConstrainSelectedInstOperands,
     /*  497896 */     // GIR_Coverage, 23568,
     /*  497896 */     GIR_EraseRootFromParent_Done,
     /*  497897 */   // Label 8337: @497897
     /*  497897 */   GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(497965), // Rule ID 23569 //
     /*  497902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  497916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  497919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497934 */     // MIs[0] policy
     /*  497934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497944 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497951 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497961 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497963 */     GIR_RootConstrainSelectedInstOperands,
     /*  497964 */     // GIR_Coverage, 23569,
     /*  497964 */     GIR_EraseRootFromParent_Done,
     /*  497965 */   // Label 8338: @497965
     /*  497965 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(498033), // Rule ID 23572 //
     /*  497970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  497981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  497984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498002 */     // MIs[0] policy
     /*  498002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  498015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498019 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498029 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498031 */     GIR_RootConstrainSelectedInstOperands,
     /*  498032 */     // GIR_Coverage, 23572,
     /*  498032 */     GIR_EraseRootFromParent_Done,
     /*  498033 */   // Label 8339: @498033
     /*  498033 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(498101), // Rule ID 23573 //
     /*  498038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  498046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  498055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  498062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498070 */     // MIs[0] policy
     /*  498070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  498083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498087 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498097 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498099 */     GIR_RootConstrainSelectedInstOperands,
     /*  498100 */     // GIR_Coverage, 23573,
     /*  498100 */     GIR_EraseRootFromParent_Done,
     /*  498101 */   // Label 8340: @498101
     /*  498101 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(498169), // Rule ID 23576 //
     /*  498106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  498114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  498123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  498130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498138 */     // MIs[0] policy
     /*  498138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498148 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  498151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498155 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498165 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498167 */     GIR_RootConstrainSelectedInstOperands,
     /*  498168 */     // GIR_Coverage, 23576,
     /*  498168 */     GIR_EraseRootFromParent_Done,
     /*  498169 */   // Label 8341: @498169
     /*  498169 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(498237), // Rule ID 23577 //
     /*  498174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  498182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  498191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  498198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498206 */     // MIs[0] policy
     /*  498206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498216 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  498219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498223 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498233 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498235 */     GIR_RootConstrainSelectedInstOperands,
     /*  498236 */     // GIR_Coverage, 23577,
     /*  498236 */     GIR_EraseRootFromParent_Done,
     /*  498237 */   // Label 8342: @498237
     /*  498237 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(498305), // Rule ID 23580 //
     /*  498242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  498250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  498259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  498266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498274 */     // MIs[0] policy
     /*  498274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  498287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498291 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498301 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498303 */     GIR_RootConstrainSelectedInstOperands,
     /*  498304 */     // GIR_Coverage, 23580,
     /*  498304 */     GIR_EraseRootFromParent_Done,
     /*  498305 */   // Label 8343: @498305
     /*  498305 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(498373), // Rule ID 23581 //
     /*  498310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  498318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  498327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  498334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498342 */     // MIs[0] policy
     /*  498342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498352 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  498355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498359 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498369 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498371 */     GIR_RootConstrainSelectedInstOperands,
     /*  498372 */     // GIR_Coverage, 23581,
     /*  498372 */     GIR_EraseRootFromParent_Done,
     /*  498373 */   // Label 8344: @498373
     /*  498373 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(498441), // Rule ID 23584 //
     /*  498378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  498381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  498386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  498389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  498392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  498395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  498402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498410 */     // MIs[0] policy
     /*  498410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498420 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  498423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498427 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  498437 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498439 */     GIR_RootConstrainSelectedInstOperands,
     /*  498440 */     // GIR_Coverage, 23584,
     /*  498440 */     GIR_EraseRootFromParent_Done,
     /*  498441 */   // Label 8345: @498441
     /*  498441 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(498509), // Rule ID 23585 //
     /*  498446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  498449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  498454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  498457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  498460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  498463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  498470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498478 */     // MIs[0] policy
     /*  498478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498488 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  498491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498495 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  498505 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498507 */     GIR_RootConstrainSelectedInstOperands,
     /*  498508 */     // GIR_Coverage, 23585,
     /*  498508 */     GIR_EraseRootFromParent_Done,
     /*  498509 */   // Label 8346: @498509
     /*  498509 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(498577), // Rule ID 23588 //
     /*  498514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  498517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  498522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  498525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  498528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  498531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  498538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498546 */     // MIs[0] policy
     /*  498546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498556 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  498559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498563 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  498573 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498575 */     GIR_RootConstrainSelectedInstOperands,
     /*  498576 */     // GIR_Coverage, 23588,
     /*  498576 */     GIR_EraseRootFromParent_Done,
     /*  498577 */   // Label 8347: @498577
     /*  498577 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(498645), // Rule ID 23589 //
     /*  498582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  498585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  498590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  498593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  498596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  498599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  498606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498614 */     // MIs[0] policy
     /*  498614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  498627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498631 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  498641 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498643 */     GIR_RootConstrainSelectedInstOperands,
     /*  498644 */     // GIR_Coverage, 23589,
     /*  498644 */     GIR_EraseRootFromParent_Done,
     /*  498645 */   // Label 8348: @498645
     /*  498645 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(498713), // Rule ID 23592 //
     /*  498650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  498653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  498658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  498661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  498664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  498667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  498674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498682 */     // MIs[0] policy
     /*  498682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498692 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  498695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498699 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  498709 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498711 */     GIR_RootConstrainSelectedInstOperands,
     /*  498712 */     // GIR_Coverage, 23592,
     /*  498712 */     GIR_EraseRootFromParent_Done,
     /*  498713 */   // Label 8349: @498713
     /*  498713 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(498781), // Rule ID 23593 //
     /*  498718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  498721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  498726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  498729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  498732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  498735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  498742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  498750 */     // MIs[0] policy
     /*  498750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498760 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  498763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498767 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  498769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  498777 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498779 */     GIR_RootConstrainSelectedInstOperands,
     /*  498780 */     // GIR_Coverage, 23593,
     /*  498780 */     GIR_EraseRootFromParent_Done,
     /*  498781 */   // Label 8350: @498781
     /*  498781 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(498849), // Rule ID 60606 //
     /*  498786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498818 */     // MIs[0] policy
     /*  498818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498828 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  498831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498845 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498847 */     GIR_RootConstrainSelectedInstOperands,
     /*  498848 */     // GIR_Coverage, 60606,
     /*  498848 */     GIR_EraseRootFromParent_Done,
     /*  498849 */   // Label 8351: @498849
     /*  498849 */   GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(498917), // Rule ID 60607 //
     /*  498854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498886 */     // MIs[0] policy
     /*  498886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  498899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498913 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498915 */     GIR_RootConstrainSelectedInstOperands,
     /*  498916 */     // GIR_Coverage, 60607,
     /*  498916 */     GIR_EraseRootFromParent_Done,
     /*  498917 */   // Label 8352: @498917
     /*  498917 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(498985), // Rule ID 60608 //
     /*  498922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498954 */     // MIs[0] policy
     /*  498954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498964 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  498967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498981 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498983 */     GIR_RootConstrainSelectedInstOperands,
     /*  498984 */     // GIR_Coverage, 60608,
     /*  498984 */     GIR_EraseRootFromParent_Done,
     /*  498985 */   // Label 8353: @498985
     /*  498985 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(499053), // Rule ID 60609 //
     /*  498990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  499001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  499004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499022 */     // MIs[0] policy
     /*  499022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499032 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  499035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499049 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499051 */     GIR_RootConstrainSelectedInstOperands,
     /*  499052 */     // GIR_Coverage, 60609,
     /*  499052 */     GIR_EraseRootFromParent_Done,
     /*  499053 */   // Label 8354: @499053
     /*  499053 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(499121), // Rule ID 62102 //
     /*  499058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  499061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  499066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499090 */     // MIs[0] policy
     /*  499090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  499103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499117 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499119 */     GIR_RootConstrainSelectedInstOperands,
     /*  499120 */     // GIR_Coverage, 62102,
     /*  499120 */     GIR_EraseRootFromParent_Done,
     /*  499121 */   // Label 8355: @499121
     /*  499121 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(499189), // Rule ID 62103 //
     /*  499126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  499129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  499134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499158 */     // MIs[0] policy
     /*  499158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  499171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499185 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499187 */     GIR_RootConstrainSelectedInstOperands,
     /*  499188 */     // GIR_Coverage, 62103,
     /*  499188 */     GIR_EraseRootFromParent_Done,
     /*  499189 */   // Label 8356: @499189
     /*  499189 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(499257), // Rule ID 62104 //
     /*  499194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  499197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  499202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499226 */     // MIs[0] policy
     /*  499226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499236 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  499239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499253 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499255 */     GIR_RootConstrainSelectedInstOperands,
     /*  499256 */     // GIR_Coverage, 62104,
     /*  499256 */     GIR_EraseRootFromParent_Done,
     /*  499257 */   // Label 8357: @499257
     /*  499257 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(499325), // Rule ID 62105 //
     /*  499262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  499265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  499270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499294 */     // MIs[0] policy
     /*  499294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499304 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  499307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499321 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499323 */     GIR_RootConstrainSelectedInstOperands,
     /*  499324 */     // GIR_Coverage, 62105,
     /*  499324 */     GIR_EraseRootFromParent_Done,
     /*  499325 */   // Label 8358: @499325
     /*  499325 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(499393), // Rule ID 62106 //
     /*  499330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  499333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  499338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499362 */     // MIs[0] policy
     /*  499362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499372 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  499375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499389 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499391 */     GIR_RootConstrainSelectedInstOperands,
     /*  499392 */     // GIR_Coverage, 62106,
     /*  499392 */     GIR_EraseRootFromParent_Done,
     /*  499393 */   // Label 8359: @499393
     /*  499393 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(499461), // Rule ID 62107 //
     /*  499398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  499401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  499406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499430 */     // MIs[0] policy
     /*  499430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  499443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499457 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499459 */     GIR_RootConstrainSelectedInstOperands,
     /*  499460 */     // GIR_Coverage, 62107,
     /*  499460 */     GIR_EraseRootFromParent_Done,
     /*  499461 */   // Label 8360: @499461
     /*  499461 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(499529), // Rule ID 62108 //
     /*  499466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  499469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  499474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  499483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499498 */     // MIs[0] policy
     /*  499498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  499511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499525 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499527 */     GIR_RootConstrainSelectedInstOperands,
     /*  499528 */     // GIR_Coverage, 62108,
     /*  499528 */     GIR_EraseRootFromParent_Done,
     /*  499529 */   // Label 8361: @499529
     /*  499529 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(499597), // Rule ID 62109 //
     /*  499534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  499537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  499542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  499551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499566 */     // MIs[0] policy
     /*  499566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499576 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  499579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499593 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499595 */     GIR_RootConstrainSelectedInstOperands,
     /*  499596 */     // GIR_Coverage, 62109,
     /*  499596 */     GIR_EraseRootFromParent_Done,
     /*  499597 */   // Label 8362: @499597
     /*  499597 */   GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(499665), // Rule ID 62110 //
     /*  499602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  499613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  499616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499634 */     // MIs[0] policy
     /*  499634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  499647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499661 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499663 */     GIR_RootConstrainSelectedInstOperands,
     /*  499664 */     // GIR_Coverage, 62110,
     /*  499664 */     GIR_EraseRootFromParent_Done,
     /*  499665 */   // Label 8363: @499665
     /*  499665 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(499733), // Rule ID 62111 //
     /*  499670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  499681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  499684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499702 */     // MIs[0] policy
     /*  499702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499712 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  499715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499729 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499731 */     GIR_RootConstrainSelectedInstOperands,
     /*  499732 */     // GIR_Coverage, 62111,
     /*  499732 */     GIR_EraseRootFromParent_Done,
     /*  499733 */   // Label 8364: @499733
     /*  499733 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(499801), // Rule ID 62112 //
     /*  499738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499770 */     // MIs[0] policy
     /*  499770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  499783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499797 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499799 */     GIR_RootConstrainSelectedInstOperands,
     /*  499800 */     // GIR_Coverage, 62112,
     /*  499800 */     GIR_EraseRootFromParent_Done,
     /*  499801 */   // Label 8365: @499801
     /*  499801 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(499869), // Rule ID 62113 //
     /*  499806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499838 */     // MIs[0] policy
     /*  499838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  499851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499865 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499867 */     GIR_RootConstrainSelectedInstOperands,
     /*  499868 */     // GIR_Coverage, 62113,
     /*  499868 */     GIR_EraseRootFromParent_Done,
     /*  499869 */   // Label 8366: @499869
     /*  499869 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(499937), // Rule ID 62114 //
     /*  499874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499906 */     // MIs[0] policy
     /*  499906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499916 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  499919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499933 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499935 */     GIR_RootConstrainSelectedInstOperands,
     /*  499936 */     // GIR_Coverage, 62114,
     /*  499936 */     GIR_EraseRootFromParent_Done,
     /*  499937 */   // Label 8367: @499937
     /*  499937 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(500005), // Rule ID 62115 //
     /*  499942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499974 */     // MIs[0] policy
     /*  499974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  499987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500001 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500003 */     GIR_RootConstrainSelectedInstOperands,
     /*  500004 */     // GIR_Coverage, 62115,
     /*  500004 */     GIR_EraseRootFromParent_Done,
     /*  500005 */   // Label 8368: @500005
     /*  500005 */   GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(500073), // Rule ID 62116 //
     /*  500010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  500018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500042 */     // MIs[0] policy
     /*  500042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500052 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  500055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500069 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500071 */     GIR_RootConstrainSelectedInstOperands,
     /*  500072 */     // GIR_Coverage, 62116,
     /*  500072 */     GIR_EraseRootFromParent_Done,
     /*  500073 */   // Label 8369: @500073
     /*  500073 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(500141), // Rule ID 62117 //
     /*  500078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  500086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500110 */     // MIs[0] policy
     /*  500110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500120 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  500123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500137 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500139 */     GIR_RootConstrainSelectedInstOperands,
     /*  500140 */     // GIR_Coverage, 62117,
     /*  500140 */     GIR_EraseRootFromParent_Done,
     /*  500141 */   // Label 8370: @500141
     /*  500141 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(500209), // Rule ID 62118 //
     /*  500146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  500154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  500163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500178 */     // MIs[0] policy
     /*  500178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500188 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  500191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500205 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500207 */     GIR_RootConstrainSelectedInstOperands,
     /*  500208 */     // GIR_Coverage, 62118,
     /*  500208 */     GIR_EraseRootFromParent_Done,
     /*  500209 */   // Label 8371: @500209
     /*  500209 */   GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(500277), // Rule ID 62119 //
     /*  500214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  500222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  500231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500246 */     // MIs[0] policy
     /*  500246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500256 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  500259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500273 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500275 */     GIR_RootConstrainSelectedInstOperands,
     /*  500276 */     // GIR_Coverage, 62119,
     /*  500276 */     GIR_EraseRootFromParent_Done,
     /*  500277 */   // Label 8372: @500277
     /*  500277 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(500345), // Rule ID 62120 //
     /*  500282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500314 */     // MIs[0] policy
     /*  500314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  500327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500341 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500343 */     GIR_RootConstrainSelectedInstOperands,
     /*  500344 */     // GIR_Coverage, 62120,
     /*  500344 */     GIR_EraseRootFromParent_Done,
     /*  500345 */   // Label 8373: @500345
     /*  500345 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(500413), // Rule ID 62121 //
     /*  500350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500382 */     // MIs[0] policy
     /*  500382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  500395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500409 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500411 */     GIR_RootConstrainSelectedInstOperands,
     /*  500412 */     // GIR_Coverage, 62121,
     /*  500412 */     GIR_EraseRootFromParent_Done,
     /*  500413 */   // Label 8374: @500413
     /*  500413 */   GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(500481), // Rule ID 62122 //
     /*  500418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500450 */     // MIs[0] policy
     /*  500450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  500463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500477 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500479 */     GIR_RootConstrainSelectedInstOperands,
     /*  500480 */     // GIR_Coverage, 62122,
     /*  500480 */     GIR_EraseRootFromParent_Done,
     /*  500481 */   // Label 8375: @500481
     /*  500481 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(500549), // Rule ID 62123 //
     /*  500486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500518 */     // MIs[0] policy
     /*  500518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  500531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500545 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500547 */     GIR_RootConstrainSelectedInstOperands,
     /*  500548 */     // GIR_Coverage, 62123,
     /*  500548 */     GIR_EraseRootFromParent_Done,
     /*  500549 */   // Label 8376: @500549
     /*  500549 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(500617), // Rule ID 62124 //
     /*  500554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500586 */     // MIs[0] policy
     /*  500586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  500599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500613 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500615 */     GIR_RootConstrainSelectedInstOperands,
     /*  500616 */     // GIR_Coverage, 62124,
     /*  500616 */     GIR_EraseRootFromParent_Done,
     /*  500617 */   // Label 8377: @500617
     /*  500617 */   GIM_Try, /*On fail goto*//*Label 8378*/ GIMT_Encode4(500685), // Rule ID 62125 //
     /*  500622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500654 */     // MIs[0] policy
     /*  500654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500664 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  500667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500681 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500683 */     GIR_RootConstrainSelectedInstOperands,
     /*  500684 */     // GIR_Coverage, 62125,
     /*  500684 */     GIR_EraseRootFromParent_Done,
     /*  500685 */   // Label 8378: @500685
     /*  500685 */   GIM_Try, /*On fail goto*//*Label 8379*/ GIMT_Encode4(500753), // Rule ID 62126 //
     /*  500690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500722 */     // MIs[0] policy
     /*  500722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500732 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  500735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500749 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500751 */     GIR_RootConstrainSelectedInstOperands,
     /*  500752 */     // GIR_Coverage, 62126,
     /*  500752 */     GIR_EraseRootFromParent_Done,
     /*  500753 */   // Label 8379: @500753
     /*  500753 */   GIM_Try, /*On fail goto*//*Label 8380*/ GIMT_Encode4(500821), // Rule ID 62127 //
     /*  500758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500790 */     // MIs[0] policy
     /*  500790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500800 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  500803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500817 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500819 */     GIR_RootConstrainSelectedInstOperands,
     /*  500820 */     // GIR_Coverage, 62127,
     /*  500820 */     GIR_EraseRootFromParent_Done,
     /*  500821 */   // Label 8380: @500821
     /*  500821 */   GIM_Try, /*On fail goto*//*Label 8381*/ GIMT_Encode4(500889), // Rule ID 62128 //
     /*  500826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500858 */     // MIs[0] policy
     /*  500858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500868 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  500871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500885 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500887 */     GIR_RootConstrainSelectedInstOperands,
     /*  500888 */     // GIR_Coverage, 62128,
     /*  500888 */     GIR_EraseRootFromParent_Done,
     /*  500889 */   // Label 8381: @500889
     /*  500889 */   GIM_Try, /*On fail goto*//*Label 8382*/ GIMT_Encode4(500957), // Rule ID 62129 //
     /*  500894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500926 */     // MIs[0] policy
     /*  500926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  500939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500953 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500955 */     GIR_RootConstrainSelectedInstOperands,
     /*  500956 */     // GIR_Coverage, 62129,
     /*  500956 */     GIR_EraseRootFromParent_Done,
     /*  500957 */   // Label 8382: @500957
     /*  500957 */   GIM_Try, /*On fail goto*//*Label 8383*/ GIMT_Encode4(501025), // Rule ID 62130 //
     /*  500962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500994 */     // MIs[0] policy
     /*  500994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501004 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  501007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501021 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501023 */     GIR_RootConstrainSelectedInstOperands,
     /*  501024 */     // GIR_Coverage, 62130,
     /*  501024 */     GIR_EraseRootFromParent_Done,
     /*  501025 */   // Label 8383: @501025
     /*  501025 */   GIM_Try, /*On fail goto*//*Label 8384*/ GIMT_Encode4(501093), // Rule ID 62131 //
     /*  501030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501062 */     // MIs[0] policy
     /*  501062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501072 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  501075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501089 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501091 */     GIR_RootConstrainSelectedInstOperands,
     /*  501092 */     // GIR_Coverage, 62131,
     /*  501092 */     GIR_EraseRootFromParent_Done,
     /*  501093 */   // Label 8384: @501093
     /*  501093 */   GIM_Try, /*On fail goto*//*Label 8385*/ GIMT_Encode4(501161), // Rule ID 62132 //
     /*  501098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501130 */     // MIs[0] policy
     /*  501130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501140 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  501143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501157 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501159 */     GIR_RootConstrainSelectedInstOperands,
     /*  501160 */     // GIR_Coverage, 62132,
     /*  501160 */     GIR_EraseRootFromParent_Done,
     /*  501161 */   // Label 8385: @501161
     /*  501161 */   GIM_Try, /*On fail goto*//*Label 8386*/ GIMT_Encode4(501229), // Rule ID 62133 //
     /*  501166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501198 */     // MIs[0] policy
     /*  501198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  501211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501225 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501227 */     GIR_RootConstrainSelectedInstOperands,
     /*  501228 */     // GIR_Coverage, 62133,
     /*  501228 */     GIR_EraseRootFromParent_Done,
     /*  501229 */   // Label 8386: @501229
     /*  501229 */   GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(501297), // Rule ID 62134 //
     /*  501234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501266 */     // MIs[0] policy
     /*  501266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501276 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  501279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501293 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501295 */     GIR_RootConstrainSelectedInstOperands,
     /*  501296 */     // GIR_Coverage, 62134,
     /*  501296 */     GIR_EraseRootFromParent_Done,
     /*  501297 */   // Label 8387: @501297
     /*  501297 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(501365), // Rule ID 62135 //
     /*  501302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501334 */     // MIs[0] policy
     /*  501334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  501347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501361 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501363 */     GIR_RootConstrainSelectedInstOperands,
     /*  501364 */     // GIR_Coverage, 62135,
     /*  501364 */     GIR_EraseRootFromParent_Done,
     /*  501365 */   // Label 8388: @501365
     /*  501365 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(501433), // Rule ID 62136 //
     /*  501370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501402 */     // MIs[0] policy
     /*  501402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501412 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  501415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501429 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501431 */     GIR_RootConstrainSelectedInstOperands,
     /*  501432 */     // GIR_Coverage, 62136,
     /*  501432 */     GIR_EraseRootFromParent_Done,
     /*  501433 */   // Label 8389: @501433
     /*  501433 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(501501), // Rule ID 62137 //
     /*  501438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501470 */     // MIs[0] policy
     /*  501470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501480 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  501483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501497 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501499 */     GIR_RootConstrainSelectedInstOperands,
     /*  501500 */     // GIR_Coverage, 62137,
     /*  501500 */     GIR_EraseRootFromParent_Done,
     /*  501501 */   // Label 8390: @501501
     /*  501501 */   GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(501569), // Rule ID 62138 //
     /*  501506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501538 */     // MIs[0] policy
     /*  501538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501548 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  501551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501565 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501567 */     GIR_RootConstrainSelectedInstOperands,
     /*  501568 */     // GIR_Coverage, 62138,
     /*  501568 */     GIR_EraseRootFromParent_Done,
     /*  501569 */   // Label 8391: @501569
     /*  501569 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(501637), // Rule ID 62139 //
     /*  501574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501606 */     // MIs[0] policy
     /*  501606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  501619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501633 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501635 */     GIR_RootConstrainSelectedInstOperands,
     /*  501636 */     // GIR_Coverage, 62139,
     /*  501636 */     GIR_EraseRootFromParent_Done,
     /*  501637 */   // Label 8392: @501637
     /*  501637 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(501705), // Rule ID 62140 //
     /*  501642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501674 */     // MIs[0] policy
     /*  501674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  501687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501701 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501703 */     GIR_RootConstrainSelectedInstOperands,
     /*  501704 */     // GIR_Coverage, 62140,
     /*  501704 */     GIR_EraseRootFromParent_Done,
     /*  501705 */   // Label 8393: @501705
     /*  501705 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(501773), // Rule ID 62141 //
     /*  501710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501742 */     // MIs[0] policy
     /*  501742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  501755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501769 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501771 */     GIR_RootConstrainSelectedInstOperands,
     /*  501772 */     // GIR_Coverage, 62141,
     /*  501772 */     GIR_EraseRootFromParent_Done,
     /*  501773 */   // Label 8394: @501773
     /*  501773 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(501841), // Rule ID 62142 //
     /*  501778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501810 */     // MIs[0] policy
     /*  501810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501820 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  501823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501837 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501839 */     GIR_RootConstrainSelectedInstOperands,
     /*  501840 */     // GIR_Coverage, 62142,
     /*  501840 */     GIR_EraseRootFromParent_Done,
     /*  501841 */   // Label 8395: @501841
     /*  501841 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(501909), // Rule ID 62143 //
     /*  501846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501878 */     // MIs[0] policy
     /*  501878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501888 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  501891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501905 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501907 */     GIR_RootConstrainSelectedInstOperands,
     /*  501908 */     // GIR_Coverage, 62143,
     /*  501908 */     GIR_EraseRootFromParent_Done,
     /*  501909 */   // Label 8396: @501909
     /*  501909 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(501977), // Rule ID 62144 //
     /*  501914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501946 */     // MIs[0] policy
     /*  501946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501956 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  501959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501973 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501975 */     GIR_RootConstrainSelectedInstOperands,
     /*  501976 */     // GIR_Coverage, 62144,
     /*  501976 */     GIR_EraseRootFromParent_Done,
     /*  501977 */   // Label 8397: @501977
     /*  501977 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(502045), // Rule ID 62145 //
     /*  501982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  501990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502014 */     // MIs[0] policy
     /*  502014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502024 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  502027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502041 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502043 */     GIR_RootConstrainSelectedInstOperands,
     /*  502044 */     // GIR_Coverage, 62145,
     /*  502044 */     GIR_EraseRootFromParent_Done,
     /*  502045 */   // Label 8398: @502045
     /*  502045 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(502113), // Rule ID 62146 //
     /*  502050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  502058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502082 */     // MIs[0] policy
     /*  502082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  502095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502109 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502111 */     GIR_RootConstrainSelectedInstOperands,
     /*  502112 */     // GIR_Coverage, 62146,
     /*  502112 */     GIR_EraseRootFromParent_Done,
     /*  502113 */   // Label 8399: @502113
     /*  502113 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(502181), // Rule ID 62147 //
     /*  502118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  502126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502150 */     // MIs[0] policy
     /*  502150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502160 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  502163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502177 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502179 */     GIR_RootConstrainSelectedInstOperands,
     /*  502180 */     // GIR_Coverage, 62147,
     /*  502180 */     GIR_EraseRootFromParent_Done,
     /*  502181 */   // Label 8400: @502181
     /*  502181 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(502249), // Rule ID 62148 //
     /*  502186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  502194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502218 */     // MIs[0] policy
     /*  502218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  502231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502245 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502247 */     GIR_RootConstrainSelectedInstOperands,
     /*  502248 */     // GIR_Coverage, 62148,
     /*  502248 */     GIR_EraseRootFromParent_Done,
     /*  502249 */   // Label 8401: @502249
     /*  502249 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(502317), // Rule ID 62149 //
     /*  502254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  502262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502286 */     // MIs[0] policy
     /*  502286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  502299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502313 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502315 */     GIR_RootConstrainSelectedInstOperands,
     /*  502316 */     // GIR_Coverage, 62149,
     /*  502316 */     GIR_EraseRootFromParent_Done,
     /*  502317 */   // Label 8402: @502317
     /*  502317 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(502385), // Rule ID 62150 //
     /*  502322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  502330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502354 */     // MIs[0] policy
     /*  502354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  502367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502381 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502383 */     GIR_RootConstrainSelectedInstOperands,
     /*  502384 */     // GIR_Coverage, 62150,
     /*  502384 */     GIR_EraseRootFromParent_Done,
     /*  502385 */   // Label 8403: @502385
     /*  502385 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(502453), // Rule ID 62151 //
     /*  502390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  502398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502422 */     // MIs[0] policy
     /*  502422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502432 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  502435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502449 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502451 */     GIR_RootConstrainSelectedInstOperands,
     /*  502452 */     // GIR_Coverage, 62151,
     /*  502452 */     GIR_EraseRootFromParent_Done,
     /*  502453 */   // Label 8404: @502453
     /*  502453 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(502521), // Rule ID 62152 //
     /*  502458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  502466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502490 */     // MIs[0] policy
     /*  502490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502500 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  502503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502517 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502519 */     GIR_RootConstrainSelectedInstOperands,
     /*  502520 */     // GIR_Coverage, 62152,
     /*  502520 */     GIR_EraseRootFromParent_Done,
     /*  502521 */   // Label 8405: @502521
     /*  502521 */   GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(502589), // Rule ID 62153 //
     /*  502526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  502534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502558 */     // MIs[0] policy
     /*  502558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502568 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  502571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502585 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502587 */     GIR_RootConstrainSelectedInstOperands,
     /*  502588 */     // GIR_Coverage, 62153,
     /*  502588 */     GIR_EraseRootFromParent_Done,
     /*  502589 */   // Label 8406: @502589
     /*  502589 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(502657), // Rule ID 62154 //
     /*  502594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  502602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  502611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502626 */     // MIs[0] policy
     /*  502626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502636 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  502639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502653 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502655 */     GIR_RootConstrainSelectedInstOperands,
     /*  502656 */     // GIR_Coverage, 62154,
     /*  502656 */     GIR_EraseRootFromParent_Done,
     /*  502657 */   // Label 8407: @502657
     /*  502657 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(502725), // Rule ID 62155 //
     /*  502662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  502670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  502679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502694 */     // MIs[0] policy
     /*  502694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502704 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  502707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502721 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502723 */     GIR_RootConstrainSelectedInstOperands,
     /*  502724 */     // GIR_Coverage, 62155,
     /*  502724 */     GIR_EraseRootFromParent_Done,
     /*  502725 */   // Label 8408: @502725
     /*  502725 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(502793), // Rule ID 62156 //
     /*  502730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502762 */     // MIs[0] policy
     /*  502762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502772 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  502775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502789 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502791 */     GIR_RootConstrainSelectedInstOperands,
     /*  502792 */     // GIR_Coverage, 62156,
     /*  502792 */     GIR_EraseRootFromParent_Done,
     /*  502793 */   // Label 8409: @502793
     /*  502793 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(502861), // Rule ID 62157 //
     /*  502798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502830 */     // MIs[0] policy
     /*  502830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502840 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  502843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502857 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502859 */     GIR_RootConstrainSelectedInstOperands,
     /*  502860 */     // GIR_Coverage, 62157,
     /*  502860 */     GIR_EraseRootFromParent_Done,
     /*  502861 */   // Label 8410: @502861
     /*  502861 */   GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(502929), // Rule ID 62158 //
     /*  502866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502898 */     // MIs[0] policy
     /*  502898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  502911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502925 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502927 */     GIR_RootConstrainSelectedInstOperands,
     /*  502928 */     // GIR_Coverage, 62158,
     /*  502928 */     GIR_EraseRootFromParent_Done,
     /*  502929 */   // Label 8411: @502929
     /*  502929 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(502997), // Rule ID 62159 //
     /*  502934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502966 */     // MIs[0] policy
     /*  502966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  502979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502993 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502995 */     GIR_RootConstrainSelectedInstOperands,
     /*  502996 */     // GIR_Coverage, 62159,
     /*  502996 */     GIR_EraseRootFromParent_Done,
     /*  502997 */   // Label 8412: @502997
     /*  502997 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(503065), // Rule ID 62160 //
     /*  503002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503034 */     // MIs[0] policy
     /*  503034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503044 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  503047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503061 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503063 */     GIR_RootConstrainSelectedInstOperands,
     /*  503064 */     // GIR_Coverage, 62160,
     /*  503064 */     GIR_EraseRootFromParent_Done,
     /*  503065 */   // Label 8413: @503065
     /*  503065 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(503133), // Rule ID 62161 //
     /*  503070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503102 */     // MIs[0] policy
     /*  503102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503112 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  503115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503129 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503131 */     GIR_RootConstrainSelectedInstOperands,
     /*  503132 */     // GIR_Coverage, 62161,
     /*  503132 */     GIR_EraseRootFromParent_Done,
     /*  503133 */   // Label 8414: @503133
     /*  503133 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(503201), // Rule ID 62162 //
     /*  503138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503170 */     // MIs[0] policy
     /*  503170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503180 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  503183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503197 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503199 */     GIR_RootConstrainSelectedInstOperands,
     /*  503200 */     // GIR_Coverage, 62162,
     /*  503200 */     GIR_EraseRootFromParent_Done,
     /*  503201 */   // Label 8415: @503201
     /*  503201 */   GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(503269), // Rule ID 62163 //
     /*  503206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503238 */     // MIs[0] policy
     /*  503238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503248 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  503251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503265 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503267 */     GIR_RootConstrainSelectedInstOperands,
     /*  503268 */     // GIR_Coverage, 62163,
     /*  503268 */     GIR_EraseRootFromParent_Done,
     /*  503269 */   // Label 8416: @503269
     /*  503269 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(503337), // Rule ID 62164 //
     /*  503274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503306 */     // MIs[0] policy
     /*  503306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503316 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  503319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503333 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503335 */     GIR_RootConstrainSelectedInstOperands,
     /*  503336 */     // GIR_Coverage, 62164,
     /*  503336 */     GIR_EraseRootFromParent_Done,
     /*  503337 */   // Label 8417: @503337
     /*  503337 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(503405), // Rule ID 62165 //
     /*  503342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503374 */     // MIs[0] policy
     /*  503374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  503387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503401 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503403 */     GIR_RootConstrainSelectedInstOperands,
     /*  503404 */     // GIR_Coverage, 62165,
     /*  503404 */     GIR_EraseRootFromParent_Done,
     /*  503405 */   // Label 8418: @503405
     /*  503405 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(503473), // Rule ID 62166 //
     /*  503410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503442 */     // MIs[0] policy
     /*  503442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503452 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  503455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503469 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503471 */     GIR_RootConstrainSelectedInstOperands,
     /*  503472 */     // GIR_Coverage, 62166,
     /*  503472 */     GIR_EraseRootFromParent_Done,
     /*  503473 */   // Label 8419: @503473
     /*  503473 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(503541), // Rule ID 62167 //
     /*  503478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503510 */     // MIs[0] policy
     /*  503510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503520 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  503523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503537 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503539 */     GIR_RootConstrainSelectedInstOperands,
     /*  503540 */     // GIR_Coverage, 62167,
     /*  503540 */     GIR_EraseRootFromParent_Done,
     /*  503541 */   // Label 8420: @503541
     /*  503541 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(503609), // Rule ID 62168 //
     /*  503546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503578 */     // MIs[0] policy
     /*  503578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503588 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  503591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503605 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503607 */     GIR_RootConstrainSelectedInstOperands,
     /*  503608 */     // GIR_Coverage, 62168,
     /*  503608 */     GIR_EraseRootFromParent_Done,
     /*  503609 */   // Label 8421: @503609
     /*  503609 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(503677), // Rule ID 62169 //
     /*  503614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503646 */     // MIs[0] policy
     /*  503646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503656 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  503659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503673 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503675 */     GIR_RootConstrainSelectedInstOperands,
     /*  503676 */     // GIR_Coverage, 62169,
     /*  503676 */     GIR_EraseRootFromParent_Done,
     /*  503677 */   // Label 8422: @503677
     /*  503677 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(503745), // Rule ID 62170 //
     /*  503682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503714 */     // MIs[0] policy
     /*  503714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  503727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503741 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503743 */     GIR_RootConstrainSelectedInstOperands,
     /*  503744 */     // GIR_Coverage, 62170,
     /*  503744 */     GIR_EraseRootFromParent_Done,
     /*  503745 */   // Label 8423: @503745
     /*  503745 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(503813), // Rule ID 62171 //
     /*  503750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503782 */     // MIs[0] policy
     /*  503782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  503795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503809 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503811 */     GIR_RootConstrainSelectedInstOperands,
     /*  503812 */     // GIR_Coverage, 62171,
     /*  503812 */     GIR_EraseRootFromParent_Done,
     /*  503813 */   // Label 8424: @503813
     /*  503813 */   GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(503881), // Rule ID 62172 //
     /*  503818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503850 */     // MIs[0] policy
     /*  503850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503860 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  503863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503877 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503879 */     GIR_RootConstrainSelectedInstOperands,
     /*  503880 */     // GIR_Coverage, 62172,
     /*  503880 */     GIR_EraseRootFromParent_Done,
     /*  503881 */   // Label 8425: @503881
     /*  503881 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(503949), // Rule ID 62173 //
     /*  503886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503918 */     // MIs[0] policy
     /*  503918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503928 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  503931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503945 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503947 */     GIR_RootConstrainSelectedInstOperands,
     /*  503948 */     // GIR_Coverage, 62173,
     /*  503948 */     GIR_EraseRootFromParent_Done,
     /*  503949 */   // Label 8426: @503949
     /*  503949 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(504017), // Rule ID 62174 //
     /*  503954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503986 */     // MIs[0] policy
     /*  503986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  503999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504013 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504015 */     GIR_RootConstrainSelectedInstOperands,
     /*  504016 */     // GIR_Coverage, 62174,
     /*  504016 */     GIR_EraseRootFromParent_Done,
     /*  504017 */   // Label 8427: @504017
     /*  504017 */   GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(504085), // Rule ID 62175 //
     /*  504022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  504030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504054 */     // MIs[0] policy
     /*  504054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504064 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  504067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504081 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504083 */     GIR_RootConstrainSelectedInstOperands,
     /*  504084 */     // GIR_Coverage, 62175,
     /*  504084 */     GIR_EraseRootFromParent_Done,
     /*  504085 */   // Label 8428: @504085
     /*  504085 */   GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(504153), // Rule ID 62176 //
     /*  504090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  504098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504122 */     // MIs[0] policy
     /*  504122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504132 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  504135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504149 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504151 */     GIR_RootConstrainSelectedInstOperands,
     /*  504152 */     // GIR_Coverage, 62176,
     /*  504152 */     GIR_EraseRootFromParent_Done,
     /*  504153 */   // Label 8429: @504153
     /*  504153 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(504221), // Rule ID 62177 //
     /*  504158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  504166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504190 */     // MIs[0] policy
     /*  504190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504200 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  504203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504217 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504219 */     GIR_RootConstrainSelectedInstOperands,
     /*  504220 */     // GIR_Coverage, 62177,
     /*  504220 */     GIR_EraseRootFromParent_Done,
     /*  504221 */   // Label 8430: @504221
     /*  504221 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(504289), // Rule ID 62178 //
     /*  504226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  504234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504258 */     // MIs[0] policy
     /*  504258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  504271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504285 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504287 */     GIR_RootConstrainSelectedInstOperands,
     /*  504288 */     // GIR_Coverage, 62178,
     /*  504288 */     GIR_EraseRootFromParent_Done,
     /*  504289 */   // Label 8431: @504289
     /*  504289 */   GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(504357), // Rule ID 62179 //
     /*  504294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  504302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504326 */     // MIs[0] policy
     /*  504326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  504339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504353 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504355 */     GIR_RootConstrainSelectedInstOperands,
     /*  504356 */     // GIR_Coverage, 62179,
     /*  504356 */     GIR_EraseRootFromParent_Done,
     /*  504357 */   // Label 8432: @504357
     /*  504357 */   GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(504425), // Rule ID 62180 //
     /*  504362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  504370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504394 */     // MIs[0] policy
     /*  504394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504404 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  504407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504421 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504423 */     GIR_RootConstrainSelectedInstOperands,
     /*  504424 */     // GIR_Coverage, 62180,
     /*  504424 */     GIR_EraseRootFromParent_Done,
     /*  504425 */   // Label 8433: @504425
     /*  504425 */   GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(504493), // Rule ID 62181 //
     /*  504430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  504438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504462 */     // MIs[0] policy
     /*  504462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  504475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504489 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504491 */     GIR_RootConstrainSelectedInstOperands,
     /*  504492 */     // GIR_Coverage, 62181,
     /*  504492 */     GIR_EraseRootFromParent_Done,
     /*  504493 */   // Label 8434: @504493
     /*  504493 */   GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(504561), // Rule ID 62182 //
     /*  504498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  504506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504530 */     // MIs[0] policy
     /*  504530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504540 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  504543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504557 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504559 */     GIR_RootConstrainSelectedInstOperands,
     /*  504560 */     // GIR_Coverage, 62182,
     /*  504560 */     GIR_EraseRootFromParent_Done,
     /*  504561 */   // Label 8435: @504561
     /*  504561 */   GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(504629), // Rule ID 62183 //
     /*  504566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  504574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504598 */     // MIs[0] policy
     /*  504598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504608 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  504611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504625 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504627 */     GIR_RootConstrainSelectedInstOperands,
     /*  504628 */     // GIR_Coverage, 62183,
     /*  504628 */     GIR_EraseRootFromParent_Done,
     /*  504629 */   // Label 8436: @504629
     /*  504629 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(504697), // Rule ID 62184 //
     /*  504634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504666 */     // MIs[0] policy
     /*  504666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504676 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  504679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504693 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504695 */     GIR_RootConstrainSelectedInstOperands,
     /*  504696 */     // GIR_Coverage, 62184,
     /*  504696 */     GIR_EraseRootFromParent_Done,
     /*  504697 */   // Label 8437: @504697
     /*  504697 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(504765), // Rule ID 62185 //
     /*  504702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504734 */     // MIs[0] policy
     /*  504734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504744 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  504747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504761 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504763 */     GIR_RootConstrainSelectedInstOperands,
     /*  504764 */     // GIR_Coverage, 62185,
     /*  504764 */     GIR_EraseRootFromParent_Done,
     /*  504765 */   // Label 8438: @504765
     /*  504765 */   GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(504833), // Rule ID 62186 //
     /*  504770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504802 */     // MIs[0] policy
     /*  504802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  504815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504829 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504831 */     GIR_RootConstrainSelectedInstOperands,
     /*  504832 */     // GIR_Coverage, 62186,
     /*  504832 */     GIR_EraseRootFromParent_Done,
     /*  504833 */   // Label 8439: @504833
     /*  504833 */   GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(504901), // Rule ID 62187 //
     /*  504838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504870 */     // MIs[0] policy
     /*  504870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  504883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504897 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504899 */     GIR_RootConstrainSelectedInstOperands,
     /*  504900 */     // GIR_Coverage, 62187,
     /*  504900 */     GIR_EraseRootFromParent_Done,
     /*  504901 */   // Label 8440: @504901
     /*  504901 */   GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(504969), // Rule ID 62188 //
     /*  504906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504938 */     // MIs[0] policy
     /*  504938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504948 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  504951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504965 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504967 */     GIR_RootConstrainSelectedInstOperands,
     /*  504968 */     // GIR_Coverage, 62188,
     /*  504968 */     GIR_EraseRootFromParent_Done,
     /*  504969 */   // Label 8441: @504969
     /*  504969 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(505037), // Rule ID 62189 //
     /*  504974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505006 */     // MIs[0] policy
     /*  505006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  505019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505033 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505035 */     GIR_RootConstrainSelectedInstOperands,
     /*  505036 */     // GIR_Coverage, 62189,
     /*  505036 */     GIR_EraseRootFromParent_Done,
     /*  505037 */   // Label 8442: @505037
     /*  505037 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(505105), // Rule ID 62190 //
     /*  505042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  505050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505074 */     // MIs[0] policy
     /*  505074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505084 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  505087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505101 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505103 */     GIR_RootConstrainSelectedInstOperands,
     /*  505104 */     // GIR_Coverage, 62190,
     /*  505104 */     GIR_EraseRootFromParent_Done,
     /*  505105 */   // Label 8443: @505105
     /*  505105 */   GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(505173), // Rule ID 62191 //
     /*  505110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  505118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505142 */     // MIs[0] policy
     /*  505142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  505155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505169 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505171 */     GIR_RootConstrainSelectedInstOperands,
     /*  505172 */     // GIR_Coverage, 62191,
     /*  505172 */     GIR_EraseRootFromParent_Done,
     /*  505173 */   // Label 8444: @505173
     /*  505173 */   GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(505241), // Rule ID 62192 //
     /*  505178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  505186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  505195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505210 */     // MIs[0] policy
     /*  505210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505220 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  505223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505237 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505239 */     GIR_RootConstrainSelectedInstOperands,
     /*  505240 */     // GIR_Coverage, 62192,
     /*  505240 */     GIR_EraseRootFromParent_Done,
     /*  505241 */   // Label 8445: @505241
     /*  505241 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(505309), // Rule ID 62193 //
     /*  505246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  505254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  505263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505278 */     // MIs[0] policy
     /*  505278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505288 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  505291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505305 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505307 */     GIR_RootConstrainSelectedInstOperands,
     /*  505308 */     // GIR_Coverage, 62193,
     /*  505308 */     GIR_EraseRootFromParent_Done,
     /*  505309 */   // Label 8446: @505309
     /*  505309 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(505377), // Rule ID 62194 //
     /*  505314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  505325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  505328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505346 */     // MIs[0] policy
     /*  505346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505356 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  505359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505373 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505375 */     GIR_RootConstrainSelectedInstOperands,
     /*  505376 */     // GIR_Coverage, 62194,
     /*  505376 */     GIR_EraseRootFromParent_Done,
     /*  505377 */   // Label 8447: @505377
     /*  505377 */   GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(505445), // Rule ID 62195 //
     /*  505382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  505393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  505396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505414 */     // MIs[0] policy
     /*  505414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505424 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  505427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505441 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505443 */     GIR_RootConstrainSelectedInstOperands,
     /*  505444 */     // GIR_Coverage, 62195,
     /*  505444 */     GIR_EraseRootFromParent_Done,
     /*  505445 */   // Label 8448: @505445
     /*  505445 */   GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(505513), // Rule ID 62196 //
     /*  505450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505482 */     // MIs[0] policy
     /*  505482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  505495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505509 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505511 */     GIR_RootConstrainSelectedInstOperands,
     /*  505512 */     // GIR_Coverage, 62196,
     /*  505512 */     GIR_EraseRootFromParent_Done,
     /*  505513 */   // Label 8449: @505513
     /*  505513 */   GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(505581), // Rule ID 62197 //
     /*  505518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505550 */     // MIs[0] policy
     /*  505550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  505563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505577 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505579 */     GIR_RootConstrainSelectedInstOperands,
     /*  505580 */     // GIR_Coverage, 62197,
     /*  505580 */     GIR_EraseRootFromParent_Done,
     /*  505581 */   // Label 8450: @505581
     /*  505581 */   GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(505649), // Rule ID 62198 //
     /*  505586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505618 */     // MIs[0] policy
     /*  505618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  505631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505645 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505647 */     GIR_RootConstrainSelectedInstOperands,
     /*  505648 */     // GIR_Coverage, 62198,
     /*  505648 */     GIR_EraseRootFromParent_Done,
     /*  505649 */   // Label 8451: @505649
     /*  505649 */   GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(505717), // Rule ID 62199 //
     /*  505654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505686 */     // MIs[0] policy
     /*  505686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  505699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505713 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505715 */     GIR_RootConstrainSelectedInstOperands,
     /*  505716 */     // GIR_Coverage, 62199,
     /*  505716 */     GIR_EraseRootFromParent_Done,
     /*  505717 */   // Label 8452: @505717
     /*  505717 */   GIM_Try, /*On fail goto*//*Label 8453*/ GIMT_Encode4(505785), // Rule ID 62200 //
     /*  505722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505754 */     // MIs[0] policy
     /*  505754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  505767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505781 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505783 */     GIR_RootConstrainSelectedInstOperands,
     /*  505784 */     // GIR_Coverage, 62200,
     /*  505784 */     GIR_EraseRootFromParent_Done,
     /*  505785 */   // Label 8453: @505785
     /*  505785 */   GIM_Try, /*On fail goto*//*Label 8454*/ GIMT_Encode4(505853), // Rule ID 62201 //
     /*  505790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505822 */     // MIs[0] policy
     /*  505822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505832 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  505835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505849 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505851 */     GIR_RootConstrainSelectedInstOperands,
     /*  505852 */     // GIR_Coverage, 62201,
     /*  505852 */     GIR_EraseRootFromParent_Done,
     /*  505853 */   // Label 8454: @505853
     /*  505853 */   GIM_Try, /*On fail goto*//*Label 8455*/ GIMT_Encode4(505921), // Rule ID 62202 //
     /*  505858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505890 */     // MIs[0] policy
     /*  505890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  505903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505917 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505919 */     GIR_RootConstrainSelectedInstOperands,
     /*  505920 */     // GIR_Coverage, 62202,
     /*  505920 */     GIR_EraseRootFromParent_Done,
     /*  505921 */   // Label 8455: @505921
     /*  505921 */   GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(505989), // Rule ID 62203 //
     /*  505926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505958 */     // MIs[0] policy
     /*  505958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505968 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  505971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505985 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505987 */     GIR_RootConstrainSelectedInstOperands,
     /*  505988 */     // GIR_Coverage, 62203,
     /*  505988 */     GIR_EraseRootFromParent_Done,
     /*  505989 */   // Label 8456: @505989
     /*  505989 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(506057), // Rule ID 62204 //
     /*  505994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506026 */     // MIs[0] policy
     /*  506026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  506039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506053 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506055 */     GIR_RootConstrainSelectedInstOperands,
     /*  506056 */     // GIR_Coverage, 62204,
     /*  506056 */     GIR_EraseRootFromParent_Done,
     /*  506057 */   // Label 8457: @506057
     /*  506057 */   GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(506125), // Rule ID 62205 //
     /*  506062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506094 */     // MIs[0] policy
     /*  506094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506104 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  506107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506121 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506123 */     GIR_RootConstrainSelectedInstOperands,
     /*  506124 */     // GIR_Coverage, 62205,
     /*  506124 */     GIR_EraseRootFromParent_Done,
     /*  506125 */   // Label 8458: @506125
     /*  506125 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(506193), // Rule ID 62206 //
     /*  506130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506162 */     // MIs[0] policy
     /*  506162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  506175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506189 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506191 */     GIR_RootConstrainSelectedInstOperands,
     /*  506192 */     // GIR_Coverage, 62206,
     /*  506192 */     GIR_EraseRootFromParent_Done,
     /*  506193 */   // Label 8459: @506193
     /*  506193 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(506261), // Rule ID 62207 //
     /*  506198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506230 */     // MIs[0] policy
     /*  506230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506240 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  506243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506257 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506259 */     GIR_RootConstrainSelectedInstOperands,
     /*  506260 */     // GIR_Coverage, 62207,
     /*  506260 */     GIR_EraseRootFromParent_Done,
     /*  506261 */   // Label 8460: @506261
     /*  506261 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(506329), // Rule ID 62208 //
     /*  506266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506298 */     // MIs[0] policy
     /*  506298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  506311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506325 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506327 */     GIR_RootConstrainSelectedInstOperands,
     /*  506328 */     // GIR_Coverage, 62208,
     /*  506328 */     GIR_EraseRootFromParent_Done,
     /*  506329 */   // Label 8461: @506329
     /*  506329 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(506397), // Rule ID 62209 //
     /*  506334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506366 */     // MIs[0] policy
     /*  506366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506376 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  506379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506393 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506395 */     GIR_RootConstrainSelectedInstOperands,
     /*  506396 */     // GIR_Coverage, 62209,
     /*  506396 */     GIR_EraseRootFromParent_Done,
     /*  506397 */   // Label 8462: @506397
     /*  506397 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(506465), // Rule ID 62210 //
     /*  506402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506434 */     // MIs[0] policy
     /*  506434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506444 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  506447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506461 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506463 */     GIR_RootConstrainSelectedInstOperands,
     /*  506464 */     // GIR_Coverage, 62210,
     /*  506464 */     GIR_EraseRootFromParent_Done,
     /*  506465 */   // Label 8463: @506465
     /*  506465 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(506533), // Rule ID 62211 //
     /*  506470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506502 */     // MIs[0] policy
     /*  506502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  506515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506529 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506531 */     GIR_RootConstrainSelectedInstOperands,
     /*  506532 */     // GIR_Coverage, 62211,
     /*  506532 */     GIR_EraseRootFromParent_Done,
     /*  506533 */   // Label 8464: @506533
     /*  506533 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(506601), // Rule ID 62212 //
     /*  506538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506570 */     // MIs[0] policy
     /*  506570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  506583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506597 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506599 */     GIR_RootConstrainSelectedInstOperands,
     /*  506600 */     // GIR_Coverage, 62212,
     /*  506600 */     GIR_EraseRootFromParent_Done,
     /*  506601 */   // Label 8465: @506601
     /*  506601 */   GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(506669), // Rule ID 62213 //
     /*  506606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506638 */     // MIs[0] policy
     /*  506638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  506651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506665 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506667 */     GIR_RootConstrainSelectedInstOperands,
     /*  506668 */     // GIR_Coverage, 62213,
     /*  506668 */     GIR_EraseRootFromParent_Done,
     /*  506669 */   // Label 8466: @506669
     /*  506669 */   GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(506737), // Rule ID 62214 //
     /*  506674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506706 */     // MIs[0] policy
     /*  506706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506716 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  506719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506733 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506735 */     GIR_RootConstrainSelectedInstOperands,
     /*  506736 */     // GIR_Coverage, 62214,
     /*  506736 */     GIR_EraseRootFromParent_Done,
     /*  506737 */   // Label 8467: @506737
     /*  506737 */   GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(506805), // Rule ID 62215 //
     /*  506742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506774 */     // MIs[0] policy
     /*  506774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506784 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  506787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506801 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506803 */     GIR_RootConstrainSelectedInstOperands,
     /*  506804 */     // GIR_Coverage, 62215,
     /*  506804 */     GIR_EraseRootFromParent_Done,
     /*  506805 */   // Label 8468: @506805
     /*  506805 */   GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(506873), // Rule ID 62216 //
     /*  506810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506842 */     // MIs[0] policy
     /*  506842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506852 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  506855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506869 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506871 */     GIR_RootConstrainSelectedInstOperands,
     /*  506872 */     // GIR_Coverage, 62216,
     /*  506872 */     GIR_EraseRootFromParent_Done,
     /*  506873 */   // Label 8469: @506873
     /*  506873 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(506941), // Rule ID 62217 //
     /*  506878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506910 */     // MIs[0] policy
     /*  506910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506920 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  506923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506937 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506939 */     GIR_RootConstrainSelectedInstOperands,
     /*  506940 */     // GIR_Coverage, 62217,
     /*  506940 */     GIR_EraseRootFromParent_Done,
     /*  506941 */   // Label 8470: @506941
     /*  506941 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(507009), // Rule ID 62218 //
     /*  506946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506978 */     // MIs[0] policy
     /*  506978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506988 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  506991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507005 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507007 */     GIR_RootConstrainSelectedInstOperands,
     /*  507008 */     // GIR_Coverage, 62218,
     /*  507008 */     GIR_EraseRootFromParent_Done,
     /*  507009 */   // Label 8471: @507009
     /*  507009 */   GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(507077), // Rule ID 62219 //
     /*  507014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  507022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507046 */     // MIs[0] policy
     /*  507046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507056 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  507059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507073 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507075 */     GIR_RootConstrainSelectedInstOperands,
     /*  507076 */     // GIR_Coverage, 62219,
     /*  507076 */     GIR_EraseRootFromParent_Done,
     /*  507077 */   // Label 8472: @507077
     /*  507077 */   GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(507145), // Rule ID 62220 //
     /*  507082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  507090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507114 */     // MIs[0] policy
     /*  507114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507124 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  507127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507141 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507143 */     GIR_RootConstrainSelectedInstOperands,
     /*  507144 */     // GIR_Coverage, 62220,
     /*  507144 */     GIR_EraseRootFromParent_Done,
     /*  507145 */   // Label 8473: @507145
     /*  507145 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(507213), // Rule ID 62221 //
     /*  507150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  507158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507182 */     // MIs[0] policy
     /*  507182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507192 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  507195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507209 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507211 */     GIR_RootConstrainSelectedInstOperands,
     /*  507212 */     // GIR_Coverage, 62221,
     /*  507212 */     GIR_EraseRootFromParent_Done,
     /*  507213 */   // Label 8474: @507213
     /*  507213 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(507281), // Rule ID 62222 //
     /*  507218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  507229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  507232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507250 */     // MIs[0] policy
     /*  507250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507260 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  507263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507277 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507279 */     GIR_RootConstrainSelectedInstOperands,
     /*  507280 */     // GIR_Coverage, 62222,
     /*  507280 */     GIR_EraseRootFromParent_Done,
     /*  507281 */   // Label 8475: @507281
     /*  507281 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(507349), // Rule ID 62223 //
     /*  507286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  507297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  507300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507318 */     // MIs[0] policy
     /*  507318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507328 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  507331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507345 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507347 */     GIR_RootConstrainSelectedInstOperands,
     /*  507348 */     // GIR_Coverage, 62223,
     /*  507348 */     GIR_EraseRootFromParent_Done,
     /*  507349 */   // Label 8476: @507349
     /*  507349 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(507417), // Rule ID 62224 //
     /*  507354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507386 */     // MIs[0] policy
     /*  507386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  507399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507413 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507415 */     GIR_RootConstrainSelectedInstOperands,
     /*  507416 */     // GIR_Coverage, 62224,
     /*  507416 */     GIR_EraseRootFromParent_Done,
     /*  507417 */   // Label 8477: @507417
     /*  507417 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(507485), // Rule ID 62225 //
     /*  507422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507454 */     // MIs[0] policy
     /*  507454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  507467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507481 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507483 */     GIR_RootConstrainSelectedInstOperands,
     /*  507484 */     // GIR_Coverage, 62225,
     /*  507484 */     GIR_EraseRootFromParent_Done,
     /*  507485 */   // Label 8478: @507485
     /*  507485 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(507553), // Rule ID 62226 //
     /*  507490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507522 */     // MIs[0] policy
     /*  507522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507532 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  507535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507549 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507551 */     GIR_RootConstrainSelectedInstOperands,
     /*  507552 */     // GIR_Coverage, 62226,
     /*  507552 */     GIR_EraseRootFromParent_Done,
     /*  507553 */   // Label 8479: @507553
     /*  507553 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(507621), // Rule ID 62227 //
     /*  507558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507590 */     // MIs[0] policy
     /*  507590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507600 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  507603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507617 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507619 */     GIR_RootConstrainSelectedInstOperands,
     /*  507620 */     // GIR_Coverage, 62227,
     /*  507620 */     GIR_EraseRootFromParent_Done,
     /*  507621 */   // Label 8480: @507621
     /*  507621 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(507689), // Rule ID 62228 //
     /*  507626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507658 */     // MIs[0] policy
     /*  507658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  507671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507685 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507687 */     GIR_RootConstrainSelectedInstOperands,
     /*  507688 */     // GIR_Coverage, 62228,
     /*  507688 */     GIR_EraseRootFromParent_Done,
     /*  507689 */   // Label 8481: @507689
     /*  507689 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(507757), // Rule ID 62229 //
     /*  507694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507726 */     // MIs[0] policy
     /*  507726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  507739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507753 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507755 */     GIR_RootConstrainSelectedInstOperands,
     /*  507756 */     // GIR_Coverage, 62229,
     /*  507756 */     GIR_EraseRootFromParent_Done,
     /*  507757 */   // Label 8482: @507757
     /*  507757 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(507825), // Rule ID 62230 //
     /*  507762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  507779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507794 */     // MIs[0] policy
     /*  507794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507804 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  507807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507821 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507823 */     GIR_RootConstrainSelectedInstOperands,
     /*  507824 */     // GIR_Coverage, 62230,
     /*  507824 */     GIR_EraseRootFromParent_Done,
     /*  507825 */   // Label 8483: @507825
     /*  507825 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(507893), // Rule ID 62231 //
     /*  507830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  507838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  507847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507862 */     // MIs[0] policy
     /*  507862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  507875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507889 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507891 */     GIR_RootConstrainSelectedInstOperands,
     /*  507892 */     // GIR_Coverage, 62231,
     /*  507892 */     GIR_EraseRootFromParent_Done,
     /*  507893 */   // Label 8484: @507893
     /*  507893 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(507961), // Rule ID 62232 //
     /*  507898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  507909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  507912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507930 */     // MIs[0] policy
     /*  507930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507940 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  507943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507957 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507959 */     GIR_RootConstrainSelectedInstOperands,
     /*  507960 */     // GIR_Coverage, 62232,
     /*  507960 */     GIR_EraseRootFromParent_Done,
     /*  507961 */   // Label 8485: @507961
     /*  507961 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(508029), // Rule ID 62233 //
     /*  507966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  507977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  507980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507998 */     // MIs[0] policy
     /*  507998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508008 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  508011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508025 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508027 */     GIR_RootConstrainSelectedInstOperands,
     /*  508028 */     // GIR_Coverage, 62233,
     /*  508028 */     GIR_EraseRootFromParent_Done,
     /*  508029 */   // Label 8486: @508029
     /*  508029 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(508097), // Rule ID 62234 //
     /*  508034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508066 */     // MIs[0] policy
     /*  508066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  508079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508093 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508095 */     GIR_RootConstrainSelectedInstOperands,
     /*  508096 */     // GIR_Coverage, 62234,
     /*  508096 */     GIR_EraseRootFromParent_Done,
     /*  508097 */   // Label 8487: @508097
     /*  508097 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(508165), // Rule ID 62235 //
     /*  508102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508134 */     // MIs[0] policy
     /*  508134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  508147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508161 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508163 */     GIR_RootConstrainSelectedInstOperands,
     /*  508164 */     // GIR_Coverage, 62235,
     /*  508164 */     GIR_EraseRootFromParent_Done,
     /*  508165 */   // Label 8488: @508165
     /*  508165 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(508233), // Rule ID 62236 //
     /*  508170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508202 */     // MIs[0] policy
     /*  508202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  508215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508229 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508231 */     GIR_RootConstrainSelectedInstOperands,
     /*  508232 */     // GIR_Coverage, 62236,
     /*  508232 */     GIR_EraseRootFromParent_Done,
     /*  508233 */   // Label 8489: @508233
     /*  508233 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(508301), // Rule ID 62237 //
     /*  508238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508270 */     // MIs[0] policy
     /*  508270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  508283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508297 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508299 */     GIR_RootConstrainSelectedInstOperands,
     /*  508300 */     // GIR_Coverage, 62237,
     /*  508300 */     GIR_EraseRootFromParent_Done,
     /*  508301 */   // Label 8490: @508301
     /*  508301 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(508369), // Rule ID 62238 //
     /*  508306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508338 */     // MIs[0] policy
     /*  508338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  508351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508365 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508367 */     GIR_RootConstrainSelectedInstOperands,
     /*  508368 */     // GIR_Coverage, 62238,
     /*  508368 */     GIR_EraseRootFromParent_Done,
     /*  508369 */   // Label 8491: @508369
     /*  508369 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(508437), // Rule ID 62239 //
     /*  508374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508406 */     // MIs[0] policy
     /*  508406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  508419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508433 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508435 */     GIR_RootConstrainSelectedInstOperands,
     /*  508436 */     // GIR_Coverage, 62239,
     /*  508436 */     GIR_EraseRootFromParent_Done,
     /*  508437 */   // Label 8492: @508437
     /*  508437 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(508505), // Rule ID 62240 //
     /*  508442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508474 */     // MIs[0] policy
     /*  508474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508484 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  508487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508501 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508503 */     GIR_RootConstrainSelectedInstOperands,
     /*  508504 */     // GIR_Coverage, 62240,
     /*  508504 */     GIR_EraseRootFromParent_Done,
     /*  508505 */   // Label 8493: @508505
     /*  508505 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(508573), // Rule ID 62241 //
     /*  508510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508542 */     // MIs[0] policy
     /*  508542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  508555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508569 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508571 */     GIR_RootConstrainSelectedInstOperands,
     /*  508572 */     // GIR_Coverage, 62241,
     /*  508572 */     GIR_EraseRootFromParent_Done,
     /*  508573 */   // Label 8494: @508573
     /*  508573 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(508641), // Rule ID 62242 //
     /*  508578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508610 */     // MIs[0] policy
     /*  508610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  508623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508637 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508639 */     GIR_RootConstrainSelectedInstOperands,
     /*  508640 */     // GIR_Coverage, 62242,
     /*  508640 */     GIR_EraseRootFromParent_Done,
     /*  508641 */   // Label 8495: @508641
     /*  508641 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(508709), // Rule ID 62243 //
     /*  508646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508678 */     // MIs[0] policy
     /*  508678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  508691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508705 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508707 */     GIR_RootConstrainSelectedInstOperands,
     /*  508708 */     // GIR_Coverage, 62243,
     /*  508708 */     GIR_EraseRootFromParent_Done,
     /*  508709 */   // Label 8496: @508709
     /*  508709 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(508777), // Rule ID 62244 //
     /*  508714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508746 */     // MIs[0] policy
     /*  508746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508756 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  508759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508773 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508775 */     GIR_RootConstrainSelectedInstOperands,
     /*  508776 */     // GIR_Coverage, 62244,
     /*  508776 */     GIR_EraseRootFromParent_Done,
     /*  508777 */   // Label 8497: @508777
     /*  508777 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(508845), // Rule ID 62245 //
     /*  508782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508814 */     // MIs[0] policy
     /*  508814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  508827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508841 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508843 */     GIR_RootConstrainSelectedInstOperands,
     /*  508844 */     // GIR_Coverage, 62245,
     /*  508844 */     GIR_EraseRootFromParent_Done,
     /*  508845 */   // Label 8498: @508845
     /*  508845 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(508913), // Rule ID 62246 //
     /*  508850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508882 */     // MIs[0] policy
     /*  508882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  508895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508909 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508911 */     GIR_RootConstrainSelectedInstOperands,
     /*  508912 */     // GIR_Coverage, 62246,
     /*  508912 */     GIR_EraseRootFromParent_Done,
     /*  508913 */   // Label 8499: @508913
     /*  508913 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(508981), // Rule ID 62247 //
     /*  508918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508950 */     // MIs[0] policy
     /*  508950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508960 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  508963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508977 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508979 */     GIR_RootConstrainSelectedInstOperands,
     /*  508980 */     // GIR_Coverage, 62247,
     /*  508980 */     GIR_EraseRootFromParent_Done,
     /*  508981 */   // Label 8500: @508981
     /*  508981 */   GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(509049), // Rule ID 62248 //
     /*  508986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509018 */     // MIs[0] policy
     /*  509018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509028 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  509031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509045 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509047 */     GIR_RootConstrainSelectedInstOperands,
     /*  509048 */     // GIR_Coverage, 62248,
     /*  509048 */     GIR_EraseRootFromParent_Done,
     /*  509049 */   // Label 8501: @509049
     /*  509049 */   GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(509117), // Rule ID 62249 //
     /*  509054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509086 */     // MIs[0] policy
     /*  509086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  509099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509113 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509115 */     GIR_RootConstrainSelectedInstOperands,
     /*  509116 */     // GIR_Coverage, 62249,
     /*  509116 */     GIR_EraseRootFromParent_Done,
     /*  509117 */   // Label 8502: @509117
     /*  509117 */   GIM_Try, /*On fail goto*//*Label 8503*/ GIMT_Encode4(509185), // Rule ID 62250 //
     /*  509122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509154 */     // MIs[0] policy
     /*  509154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  509167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509181 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509183 */     GIR_RootConstrainSelectedInstOperands,
     /*  509184 */     // GIR_Coverage, 62250,
     /*  509184 */     GIR_EraseRootFromParent_Done,
     /*  509185 */   // Label 8503: @509185
     /*  509185 */   GIM_Try, /*On fail goto*//*Label 8504*/ GIMT_Encode4(509253), // Rule ID 62251 //
     /*  509190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509222 */     // MIs[0] policy
     /*  509222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509232 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  509235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509249 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509251 */     GIR_RootConstrainSelectedInstOperands,
     /*  509252 */     // GIR_Coverage, 62251,
     /*  509252 */     GIR_EraseRootFromParent_Done,
     /*  509253 */   // Label 8504: @509253
     /*  509253 */   GIM_Try, /*On fail goto*//*Label 8505*/ GIMT_Encode4(509321), // Rule ID 62252 //
     /*  509258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509290 */     // MIs[0] policy
     /*  509290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509300 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  509303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509317 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509319 */     GIR_RootConstrainSelectedInstOperands,
     /*  509320 */     // GIR_Coverage, 62252,
     /*  509320 */     GIR_EraseRootFromParent_Done,
     /*  509321 */   // Label 8505: @509321
     /*  509321 */   GIM_Try, /*On fail goto*//*Label 8506*/ GIMT_Encode4(509389), // Rule ID 62253 //
     /*  509326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509358 */     // MIs[0] policy
     /*  509358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  509371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509385 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509387 */     GIR_RootConstrainSelectedInstOperands,
     /*  509388 */     // GIR_Coverage, 62253,
     /*  509388 */     GIR_EraseRootFromParent_Done,
     /*  509389 */   // Label 8506: @509389
     /*  509389 */   GIM_Try, /*On fail goto*//*Label 8507*/ GIMT_Encode4(509457), // Rule ID 62254 //
     /*  509394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509426 */     // MIs[0] policy
     /*  509426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509436 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  509439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509453 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509455 */     GIR_RootConstrainSelectedInstOperands,
     /*  509456 */     // GIR_Coverage, 62254,
     /*  509456 */     GIR_EraseRootFromParent_Done,
     /*  509457 */   // Label 8507: @509457
     /*  509457 */   GIM_Try, /*On fail goto*//*Label 8508*/ GIMT_Encode4(509525), // Rule ID 62255 //
     /*  509462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509494 */     // MIs[0] policy
     /*  509494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509504 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  509507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509521 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509523 */     GIR_RootConstrainSelectedInstOperands,
     /*  509524 */     // GIR_Coverage, 62255,
     /*  509524 */     GIR_EraseRootFromParent_Done,
     /*  509525 */   // Label 8508: @509525
     /*  509525 */   GIM_Try, /*On fail goto*//*Label 8509*/ GIMT_Encode4(509593), // Rule ID 62256 //
     /*  509530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509562 */     // MIs[0] policy
     /*  509562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  509575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509589 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509591 */     GIR_RootConstrainSelectedInstOperands,
     /*  509592 */     // GIR_Coverage, 62256,
     /*  509592 */     GIR_EraseRootFromParent_Done,
     /*  509593 */   // Label 8509: @509593
     /*  509593 */   GIM_Try, /*On fail goto*//*Label 8510*/ GIMT_Encode4(509661), // Rule ID 62257 //
     /*  509598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509630 */     // MIs[0] policy
     /*  509630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509640 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  509643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509657 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509659 */     GIR_RootConstrainSelectedInstOperands,
     /*  509660 */     // GIR_Coverage, 62257,
     /*  509660 */     GIR_EraseRootFromParent_Done,
     /*  509661 */   // Label 8510: @509661
     /*  509661 */   GIM_Try, /*On fail goto*//*Label 8511*/ GIMT_Encode4(509729), // Rule ID 62258 //
     /*  509666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509698 */     // MIs[0] policy
     /*  509698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  509711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509725 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509727 */     GIR_RootConstrainSelectedInstOperands,
     /*  509728 */     // GIR_Coverage, 62258,
     /*  509728 */     GIR_EraseRootFromParent_Done,
     /*  509729 */   // Label 8511: @509729
     /*  509729 */   GIM_Try, /*On fail goto*//*Label 8512*/ GIMT_Encode4(509797), // Rule ID 62259 //
     /*  509734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  509742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509766 */     // MIs[0] policy
     /*  509766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509776 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  509779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509793 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509795 */     GIR_RootConstrainSelectedInstOperands,
     /*  509796 */     // GIR_Coverage, 62259,
     /*  509796 */     GIR_EraseRootFromParent_Done,
     /*  509797 */   // Label 8512: @509797
     /*  509797 */   GIM_Try, /*On fail goto*//*Label 8513*/ GIMT_Encode4(509865), // Rule ID 62276 //
     /*  509802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509834 */     // MIs[0] policy
     /*  509834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509844 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  509847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509861 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509863 */     GIR_RootConstrainSelectedInstOperands,
     /*  509864 */     // GIR_Coverage, 62276,
     /*  509864 */     GIR_EraseRootFromParent_Done,
     /*  509865 */   // Label 8513: @509865
     /*  509865 */   GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(509933), // Rule ID 62277 //
     /*  509870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509902 */     // MIs[0] policy
     /*  509902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  509915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509929 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509931 */     GIR_RootConstrainSelectedInstOperands,
     /*  509932 */     // GIR_Coverage, 62277,
     /*  509932 */     GIR_EraseRootFromParent_Done,
     /*  509933 */   // Label 8514: @509933
     /*  509933 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(510001), // Rule ID 62278 //
     /*  509938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509970 */     // MIs[0] policy
     /*  509970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  509983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509997 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509999 */     GIR_RootConstrainSelectedInstOperands,
     /*  510000 */     // GIR_Coverage, 62278,
     /*  510000 */     GIR_EraseRootFromParent_Done,
     /*  510001 */   // Label 8515: @510001
     /*  510001 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(510069), // Rule ID 62279 //
     /*  510006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510038 */     // MIs[0] policy
     /*  510038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  510051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510065 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510067 */     GIR_RootConstrainSelectedInstOperands,
     /*  510068 */     // GIR_Coverage, 62279,
     /*  510068 */     GIR_EraseRootFromParent_Done,
     /*  510069 */   // Label 8516: @510069
     /*  510069 */   GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(510137), // Rule ID 62280 //
     /*  510074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510106 */     // MIs[0] policy
     /*  510106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  510119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510133 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510135 */     GIR_RootConstrainSelectedInstOperands,
     /*  510136 */     // GIR_Coverage, 62280,
     /*  510136 */     GIR_EraseRootFromParent_Done,
     /*  510137 */   // Label 8517: @510137
     /*  510137 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(510205), // Rule ID 62281 //
     /*  510142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510174 */     // MIs[0] policy
     /*  510174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  510187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510201 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510203 */     GIR_RootConstrainSelectedInstOperands,
     /*  510204 */     // GIR_Coverage, 62281,
     /*  510204 */     GIR_EraseRootFromParent_Done,
     /*  510205 */   // Label 8518: @510205
     /*  510205 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(510273), // Rule ID 62282 //
     /*  510210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510242 */     // MIs[0] policy
     /*  510242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510252 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  510255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510269 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510271 */     GIR_RootConstrainSelectedInstOperands,
     /*  510272 */     // GIR_Coverage, 62282,
     /*  510272 */     GIR_EraseRootFromParent_Done,
     /*  510273 */   // Label 8519: @510273
     /*  510273 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(510341), // Rule ID 62283 //
     /*  510278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510310 */     // MIs[0] policy
     /*  510310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510320 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  510323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510337 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510339 */     GIR_RootConstrainSelectedInstOperands,
     /*  510340 */     // GIR_Coverage, 62283,
     /*  510340 */     GIR_EraseRootFromParent_Done,
     /*  510341 */   // Label 8520: @510341
     /*  510341 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(510409), // Rule ID 62284 //
     /*  510346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510378 */     // MIs[0] policy
     /*  510378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510388 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  510391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510405 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510407 */     GIR_RootConstrainSelectedInstOperands,
     /*  510408 */     // GIR_Coverage, 62284,
     /*  510408 */     GIR_EraseRootFromParent_Done,
     /*  510409 */   // Label 8521: @510409
     /*  510409 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(510477), // Rule ID 62285 //
     /*  510414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510446 */     // MIs[0] policy
     /*  510446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510456 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  510459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510473 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510475 */     GIR_RootConstrainSelectedInstOperands,
     /*  510476 */     // GIR_Coverage, 62285,
     /*  510476 */     GIR_EraseRootFromParent_Done,
     /*  510477 */   // Label 8522: @510477
     /*  510477 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(510545), // Rule ID 62286 //
     /*  510482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510514 */     // MIs[0] policy
     /*  510514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  510527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510541 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510543 */     GIR_RootConstrainSelectedInstOperands,
     /*  510544 */     // GIR_Coverage, 62286,
     /*  510544 */     GIR_EraseRootFromParent_Done,
     /*  510545 */   // Label 8523: @510545
     /*  510545 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(510613), // Rule ID 62287 //
     /*  510550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510582 */     // MIs[0] policy
     /*  510582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  510595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510609 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510611 */     GIR_RootConstrainSelectedInstOperands,
     /*  510612 */     // GIR_Coverage, 62287,
     /*  510612 */     GIR_EraseRootFromParent_Done,
     /*  510613 */   // Label 8524: @510613
     /*  510613 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(510681), // Rule ID 62288 //
     /*  510618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510650 */     // MIs[0] policy
     /*  510650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510660 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  510663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510677 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510679 */     GIR_RootConstrainSelectedInstOperands,
     /*  510680 */     // GIR_Coverage, 62288,
     /*  510680 */     GIR_EraseRootFromParent_Done,
     /*  510681 */   // Label 8525: @510681
     /*  510681 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(510749), // Rule ID 62289 //
     /*  510686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510718 */     // MIs[0] policy
     /*  510718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  510731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510745 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510747 */     GIR_RootConstrainSelectedInstOperands,
     /*  510748 */     // GIR_Coverage, 62289,
     /*  510748 */     GIR_EraseRootFromParent_Done,
     /*  510749 */   // Label 8526: @510749
     /*  510749 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(510817), // Rule ID 62290 //
     /*  510754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510786 */     // MIs[0] policy
     /*  510786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510796 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  510799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510813 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510815 */     GIR_RootConstrainSelectedInstOperands,
     /*  510816 */     // GIR_Coverage, 62290,
     /*  510816 */     GIR_EraseRootFromParent_Done,
     /*  510817 */   // Label 8527: @510817
     /*  510817 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(510885), // Rule ID 62291 //
     /*  510822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510854 */     // MIs[0] policy
     /*  510854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  510867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510881 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510883 */     GIR_RootConstrainSelectedInstOperands,
     /*  510884 */     // GIR_Coverage, 62291,
     /*  510884 */     GIR_EraseRootFromParent_Done,
     /*  510885 */   // Label 8528: @510885
     /*  510885 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(510953), // Rule ID 62292 //
     /*  510890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510922 */     // MIs[0] policy
     /*  510922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510932 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  510935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510949 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510951 */     GIR_RootConstrainSelectedInstOperands,
     /*  510952 */     // GIR_Coverage, 62292,
     /*  510952 */     GIR_EraseRootFromParent_Done,
     /*  510953 */   // Label 8529: @510953
     /*  510953 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(511021), // Rule ID 62293 //
     /*  510958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510990 */     // MIs[0] policy
     /*  510990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  511003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511017 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511019 */     GIR_RootConstrainSelectedInstOperands,
     /*  511020 */     // GIR_Coverage, 62293,
     /*  511020 */     GIR_EraseRootFromParent_Done,
     /*  511021 */   // Label 8530: @511021
     /*  511021 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(511089), // Rule ID 62294 //
     /*  511026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  511034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511058 */     // MIs[0] policy
     /*  511058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  511071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511085 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511087 */     GIR_RootConstrainSelectedInstOperands,
     /*  511088 */     // GIR_Coverage, 62294,
     /*  511088 */     GIR_EraseRootFromParent_Done,
     /*  511089 */   // Label 8531: @511089
     /*  511089 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(511157), // Rule ID 62295 //
     /*  511094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  511102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511126 */     // MIs[0] policy
     /*  511126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  511139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511153 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511155 */     GIR_RootConstrainSelectedInstOperands,
     /*  511156 */     // GIR_Coverage, 62295,
     /*  511156 */     GIR_EraseRootFromParent_Done,
     /*  511157 */   // Label 8532: @511157
     /*  511157 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(511225), // Rule ID 62296 //
     /*  511162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  511170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511194 */     // MIs[0] policy
     /*  511194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511204 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  511207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511221 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511223 */     GIR_RootConstrainSelectedInstOperands,
     /*  511224 */     // GIR_Coverage, 62296,
     /*  511224 */     GIR_EraseRootFromParent_Done,
     /*  511225 */   // Label 8533: @511225
     /*  511225 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(511293), // Rule ID 62297 //
     /*  511230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  511238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511262 */     // MIs[0] policy
     /*  511262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  511275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511289 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511291 */     GIR_RootConstrainSelectedInstOperands,
     /*  511292 */     // GIR_Coverage, 62297,
     /*  511292 */     GIR_EraseRootFromParent_Done,
     /*  511293 */   // Label 8534: @511293
     /*  511293 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(511361), // Rule ID 62298 //
     /*  511298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  511306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511330 */     // MIs[0] policy
     /*  511330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511340 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  511343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511357 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511359 */     GIR_RootConstrainSelectedInstOperands,
     /*  511360 */     // GIR_Coverage, 62298,
     /*  511360 */     GIR_EraseRootFromParent_Done,
     /*  511361 */   // Label 8535: @511361
     /*  511361 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(511429), // Rule ID 62299 //
     /*  511366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  511374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511398 */     // MIs[0] policy
     /*  511398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  511411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511425 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511427 */     GIR_RootConstrainSelectedInstOperands,
     /*  511428 */     // GIR_Coverage, 62299,
     /*  511428 */     GIR_EraseRootFromParent_Done,
     /*  511429 */   // Label 8536: @511429
     /*  511429 */   GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(511497), // Rule ID 62300 //
     /*  511434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  511442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511466 */     // MIs[0] policy
     /*  511466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511476 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  511479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511493 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511495 */     GIR_RootConstrainSelectedInstOperands,
     /*  511496 */     // GIR_Coverage, 62300,
     /*  511496 */     GIR_EraseRootFromParent_Done,
     /*  511497 */   // Label 8537: @511497
     /*  511497 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(511565), // Rule ID 62301 //
     /*  511502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  511510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511534 */     // MIs[0] policy
     /*  511534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511544 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  511547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511561 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511563 */     GIR_RootConstrainSelectedInstOperands,
     /*  511564 */     // GIR_Coverage, 62301,
     /*  511564 */     GIR_EraseRootFromParent_Done,
     /*  511565 */   // Label 8538: @511565
     /*  511565 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(511633), // Rule ID 62302 //
     /*  511570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  511578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511602 */     // MIs[0] policy
     /*  511602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  511615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511629 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511631 */     GIR_RootConstrainSelectedInstOperands,
     /*  511632 */     // GIR_Coverage, 62302,
     /*  511632 */     GIR_EraseRootFromParent_Done,
     /*  511633 */   // Label 8539: @511633
     /*  511633 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(511701), // Rule ID 62303 //
     /*  511638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  511646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511670 */     // MIs[0] policy
     /*  511670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  511683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511697 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511699 */     GIR_RootConstrainSelectedInstOperands,
     /*  511700 */     // GIR_Coverage, 62303,
     /*  511700 */     GIR_EraseRootFromParent_Done,
     /*  511701 */   // Label 8540: @511701
     /*  511701 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(511769), // Rule ID 62398 //
     /*  511706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511738 */     // MIs[0] policy
     /*  511738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511748 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  511751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511765 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511767 */     GIR_RootConstrainSelectedInstOperands,
     /*  511768 */     // GIR_Coverage, 62398,
     /*  511768 */     GIR_EraseRootFromParent_Done,
     /*  511769 */   // Label 8541: @511769
     /*  511769 */   GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(511837), // Rule ID 62399 //
     /*  511774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511806 */     // MIs[0] policy
     /*  511806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511816 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  511819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511833 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511835 */     GIR_RootConstrainSelectedInstOperands,
     /*  511836 */     // GIR_Coverage, 62399,
     /*  511836 */     GIR_EraseRootFromParent_Done,
     /*  511837 */   // Label 8542: @511837
     /*  511837 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(511905), // Rule ID 62400 //
     /*  511842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511874 */     // MIs[0] policy
     /*  511874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  511887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511901 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511903 */     GIR_RootConstrainSelectedInstOperands,
     /*  511904 */     // GIR_Coverage, 62400,
     /*  511904 */     GIR_EraseRootFromParent_Done,
     /*  511905 */   // Label 8543: @511905
     /*  511905 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(511973), // Rule ID 62401 //
     /*  511910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511942 */     // MIs[0] policy
     /*  511942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  511955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511969 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511971 */     GIR_RootConstrainSelectedInstOperands,
     /*  511972 */     // GIR_Coverage, 62401,
     /*  511972 */     GIR_EraseRootFromParent_Done,
     /*  511973 */   // Label 8544: @511973
     /*  511973 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(512041), // Rule ID 62402 //
     /*  511978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512010 */     // MIs[0] policy
     /*  512010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512020 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  512023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512037 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512039 */     GIR_RootConstrainSelectedInstOperands,
     /*  512040 */     // GIR_Coverage, 62402,
     /*  512040 */     GIR_EraseRootFromParent_Done,
     /*  512041 */   // Label 8545: @512041
     /*  512041 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(512109), // Rule ID 62403 //
     /*  512046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  512054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512078 */     // MIs[0] policy
     /*  512078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  512091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512105 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512107 */     GIR_RootConstrainSelectedInstOperands,
     /*  512108 */     // GIR_Coverage, 62403,
     /*  512108 */     GIR_EraseRootFromParent_Done,
     /*  512109 */   // Label 8546: @512109
     /*  512109 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(512177), // Rule ID 62404 //
     /*  512114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  512122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  512131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512146 */     // MIs[0] policy
     /*  512146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512156 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  512159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512173 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512175 */     GIR_RootConstrainSelectedInstOperands,
     /*  512176 */     // GIR_Coverage, 62404,
     /*  512176 */     GIR_EraseRootFromParent_Done,
     /*  512177 */   // Label 8547: @512177
     /*  512177 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(512245), // Rule ID 62405 //
     /*  512182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  512190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  512199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512214 */     // MIs[0] policy
     /*  512214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  512227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512241 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512243 */     GIR_RootConstrainSelectedInstOperands,
     /*  512244 */     // GIR_Coverage, 62405,
     /*  512244 */     GIR_EraseRootFromParent_Done,
     /*  512245 */   // Label 8548: @512245
     /*  512245 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(512313), // Rule ID 62406 //
     /*  512250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  512258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  512267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512282 */     // MIs[0] policy
     /*  512282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  512295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512309 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512311 */     GIR_RootConstrainSelectedInstOperands,
     /*  512312 */     // GIR_Coverage, 62406,
     /*  512312 */     GIR_EraseRootFromParent_Done,
     /*  512313 */   // Label 8549: @512313
     /*  512313 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(512381), // Rule ID 62407 //
     /*  512318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  512326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  512335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512350 */     // MIs[0] policy
     /*  512350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512360 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  512363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512377 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512379 */     GIR_RootConstrainSelectedInstOperands,
     /*  512380 */     // GIR_Coverage, 62407,
     /*  512380 */     GIR_EraseRootFromParent_Done,
     /*  512381 */   // Label 8550: @512381
     /*  512381 */   GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(512449), // Rule ID 62408 //
     /*  512386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  512397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  512400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512418 */     // MIs[0] policy
     /*  512418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512428 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  512431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512445 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512447 */     GIR_RootConstrainSelectedInstOperands,
     /*  512448 */     // GIR_Coverage, 62408,
     /*  512448 */     GIR_EraseRootFromParent_Done,
     /*  512449 */   // Label 8551: @512449
     /*  512449 */   GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(512517), // Rule ID 62409 //
     /*  512454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  512465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  512468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512486 */     // MIs[0] policy
     /*  512486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512496 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  512499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512513 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512515 */     GIR_RootConstrainSelectedInstOperands,
     /*  512516 */     // GIR_Coverage, 62409,
     /*  512516 */     GIR_EraseRootFromParent_Done,
     /*  512517 */   // Label 8552: @512517
     /*  512517 */   GIM_Try, /*On fail goto*//*Label 8553*/ GIMT_Encode4(512585), // Rule ID 62410 //
     /*  512522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512554 */     // MIs[0] policy
     /*  512554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512564 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  512567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512581 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512583 */     GIR_RootConstrainSelectedInstOperands,
     /*  512584 */     // GIR_Coverage, 62410,
     /*  512584 */     GIR_EraseRootFromParent_Done,
     /*  512585 */   // Label 8553: @512585
     /*  512585 */   GIM_Try, /*On fail goto*//*Label 8554*/ GIMT_Encode4(512653), // Rule ID 62411 //
     /*  512590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512622 */     // MIs[0] policy
     /*  512622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  512635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512649 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512651 */     GIR_RootConstrainSelectedInstOperands,
     /*  512652 */     // GIR_Coverage, 62411,
     /*  512652 */     GIR_EraseRootFromParent_Done,
     /*  512653 */   // Label 8554: @512653
     /*  512653 */   GIM_Try, /*On fail goto*//*Label 8555*/ GIMT_Encode4(512721), // Rule ID 62412 //
     /*  512658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512690 */     // MIs[0] policy
     /*  512690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  512703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512717 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512719 */     GIR_RootConstrainSelectedInstOperands,
     /*  512720 */     // GIR_Coverage, 62412,
     /*  512720 */     GIR_EraseRootFromParent_Done,
     /*  512721 */   // Label 8555: @512721
     /*  512721 */   GIM_Try, /*On fail goto*//*Label 8556*/ GIMT_Encode4(512789), // Rule ID 62413 //
     /*  512726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512758 */     // MIs[0] policy
     /*  512758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  512771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512785 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512787 */     GIR_RootConstrainSelectedInstOperands,
     /*  512788 */     // GIR_Coverage, 62413,
     /*  512788 */     GIR_EraseRootFromParent_Done,
     /*  512789 */   // Label 8556: @512789
     /*  512789 */   GIM_Try, /*On fail goto*//*Label 8557*/ GIMT_Encode4(512857), // Rule ID 62414 //
     /*  512794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512826 */     // MIs[0] policy
     /*  512826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  512839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512853 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512855 */     GIR_RootConstrainSelectedInstOperands,
     /*  512856 */     // GIR_Coverage, 62414,
     /*  512856 */     GIR_EraseRootFromParent_Done,
     /*  512857 */   // Label 8557: @512857
     /*  512857 */   GIM_Try, /*On fail goto*//*Label 8558*/ GIMT_Encode4(512925), // Rule ID 62415 //
     /*  512862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512894 */     // MIs[0] policy
     /*  512894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512904 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  512907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512921 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512923 */     GIR_RootConstrainSelectedInstOperands,
     /*  512924 */     // GIR_Coverage, 62415,
     /*  512924 */     GIR_EraseRootFromParent_Done,
     /*  512925 */   // Label 8558: @512925
     /*  512925 */   GIM_Try, /*On fail goto*//*Label 8559*/ GIMT_Encode4(512993), // Rule ID 62416 //
     /*  512930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512962 */     // MIs[0] policy
     /*  512962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  512975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512989 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512991 */     GIR_RootConstrainSelectedInstOperands,
     /*  512992 */     // GIR_Coverage, 62416,
     /*  512992 */     GIR_EraseRootFromParent_Done,
     /*  512993 */   // Label 8559: @512993
     /*  512993 */   GIM_Try, /*On fail goto*//*Label 8560*/ GIMT_Encode4(513061), // Rule ID 62417 //
     /*  512998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  513009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513030 */     // MIs[0] policy
     /*  513030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  513043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513057 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513059 */     GIR_RootConstrainSelectedInstOperands,
     /*  513060 */     // GIR_Coverage, 62417,
     /*  513060 */     GIR_EraseRootFromParent_Done,
     /*  513061 */   // Label 8560: @513061
     /*  513061 */   GIM_Try, /*On fail goto*//*Label 8561*/ GIMT_Encode4(513129), // Rule ID 62418 //
     /*  513066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  513077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513098 */     // MIs[0] policy
     /*  513098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513108 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  513111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513125 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513127 */     GIR_RootConstrainSelectedInstOperands,
     /*  513128 */     // GIR_Coverage, 62418,
     /*  513128 */     GIR_EraseRootFromParent_Done,
     /*  513129 */   // Label 8561: @513129
     /*  513129 */   GIM_Try, /*On fail goto*//*Label 8562*/ GIMT_Encode4(513197), // Rule ID 62419 //
     /*  513134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  513145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513166 */     // MIs[0] policy
     /*  513166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  513179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513193 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513195 */     GIR_RootConstrainSelectedInstOperands,
     /*  513196 */     // GIR_Coverage, 62419,
     /*  513196 */     GIR_EraseRootFromParent_Done,
     /*  513197 */   // Label 8562: @513197
     /*  513197 */   GIM_Try, /*On fail goto*//*Label 8563*/ GIMT_Encode4(513265), // Rule ID 62420 //
     /*  513202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513234 */     // MIs[0] policy
     /*  513234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513244 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  513247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513261 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513263 */     GIR_RootConstrainSelectedInstOperands,
     /*  513264 */     // GIR_Coverage, 62420,
     /*  513264 */     GIR_EraseRootFromParent_Done,
     /*  513265 */   // Label 8563: @513265
     /*  513265 */   GIM_Try, /*On fail goto*//*Label 8564*/ GIMT_Encode4(513333), // Rule ID 62421 //
     /*  513270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513302 */     // MIs[0] policy
     /*  513302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513312 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  513315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513329 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513331 */     GIR_RootConstrainSelectedInstOperands,
     /*  513332 */     // GIR_Coverage, 62421,
     /*  513332 */     GIR_EraseRootFromParent_Done,
     /*  513333 */   // Label 8564: @513333
     /*  513333 */   GIM_Try, /*On fail goto*//*Label 8565*/ GIMT_Encode4(513401), // Rule ID 62422 //
     /*  513338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513370 */     // MIs[0] policy
     /*  513370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513380 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  513383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513397 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513399 */     GIR_RootConstrainSelectedInstOperands,
     /*  513400 */     // GIR_Coverage, 62422,
     /*  513400 */     GIR_EraseRootFromParent_Done,
     /*  513401 */   // Label 8565: @513401
     /*  513401 */   GIM_Try, /*On fail goto*//*Label 8566*/ GIMT_Encode4(513469), // Rule ID 62423 //
     /*  513406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513438 */     // MIs[0] policy
     /*  513438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513448 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  513451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513465 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513467 */     GIR_RootConstrainSelectedInstOperands,
     /*  513468 */     // GIR_Coverage, 62423,
     /*  513468 */     GIR_EraseRootFromParent_Done,
     /*  513469 */   // Label 8566: @513469
     /*  513469 */   GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(513537), // Rule ID 62424 //
     /*  513474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513506 */     // MIs[0] policy
     /*  513506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513516 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  513519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513533 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513535 */     GIR_RootConstrainSelectedInstOperands,
     /*  513536 */     // GIR_Coverage, 62424,
     /*  513536 */     GIR_EraseRootFromParent_Done,
     /*  513537 */   // Label 8567: @513537
     /*  513537 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(513605), // Rule ID 62425 //
     /*  513542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513574 */     // MIs[0] policy
     /*  513574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  513587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513601 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513603 */     GIR_RootConstrainSelectedInstOperands,
     /*  513604 */     // GIR_Coverage, 62425,
     /*  513604 */     GIR_EraseRootFromParent_Done,
     /*  513605 */   // Label 8568: @513605
     /*  513605 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(513673), // Rule ID 62426 //
     /*  513610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513642 */     // MIs[0] policy
     /*  513642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513652 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  513655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513669 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513671 */     GIR_RootConstrainSelectedInstOperands,
     /*  513672 */     // GIR_Coverage, 62426,
     /*  513672 */     GIR_EraseRootFromParent_Done,
     /*  513673 */   // Label 8569: @513673
     /*  513673 */   GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(513741), // Rule ID 62427 //
     /*  513678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513710 */     // MIs[0] policy
     /*  513710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513720 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  513723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513737 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513739 */     GIR_RootConstrainSelectedInstOperands,
     /*  513740 */     // GIR_Coverage, 62427,
     /*  513740 */     GIR_EraseRootFromParent_Done,
     /*  513741 */   // Label 8570: @513741
     /*  513741 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(513809), // Rule ID 62428 //
     /*  513746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513778 */     // MIs[0] policy
     /*  513778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513788 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  513791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513805 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513807 */     GIR_RootConstrainSelectedInstOperands,
     /*  513808 */     // GIR_Coverage, 62428,
     /*  513808 */     GIR_EraseRootFromParent_Done,
     /*  513809 */   // Label 8571: @513809
     /*  513809 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(513877), // Rule ID 62429 //
     /*  513814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513846 */     // MIs[0] policy
     /*  513846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  513859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513873 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513875 */     GIR_RootConstrainSelectedInstOperands,
     /*  513876 */     // GIR_Coverage, 62429,
     /*  513876 */     GIR_EraseRootFromParent_Done,
     /*  513877 */   // Label 8572: @513877
     /*  513877 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(513945), // Rule ID 62430 //
     /*  513882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513914 */     // MIs[0] policy
     /*  513914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  513927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513941 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513943 */     GIR_RootConstrainSelectedInstOperands,
     /*  513944 */     // GIR_Coverage, 62430,
     /*  513944 */     GIR_EraseRootFromParent_Done,
     /*  513945 */   // Label 8573: @513945
     /*  513945 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(514013), // Rule ID 62431 //
     /*  513950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513982 */     // MIs[0] policy
     /*  513982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  513995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514009 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514011 */     GIR_RootConstrainSelectedInstOperands,
     /*  514012 */     // GIR_Coverage, 62431,
     /*  514012 */     GIR_EraseRootFromParent_Done,
     /*  514013 */   // Label 8574: @514013
     /*  514013 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(514081), // Rule ID 62432 //
     /*  514018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  514021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  514026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514050 */     // MIs[0] policy
     /*  514050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514060 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  514063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514077 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514079 */     GIR_RootConstrainSelectedInstOperands,
     /*  514080 */     // GIR_Coverage, 62432,
     /*  514080 */     GIR_EraseRootFromParent_Done,
     /*  514081 */   // Label 8575: @514081
     /*  514081 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(514149), // Rule ID 62433 //
     /*  514086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  514089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  514094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514118 */     // MIs[0] policy
     /*  514118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514128 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  514131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514145 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514147 */     GIR_RootConstrainSelectedInstOperands,
     /*  514148 */     // GIR_Coverage, 62433,
     /*  514148 */     GIR_EraseRootFromParent_Done,
     /*  514149 */   // Label 8576: @514149
     /*  514149 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(514217), // Rule ID 62434 //
     /*  514154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  514157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  514162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  514171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514186 */     // MIs[0] policy
     /*  514186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  514199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514213 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514215 */     GIR_RootConstrainSelectedInstOperands,
     /*  514216 */     // GIR_Coverage, 62434,
     /*  514216 */     GIR_EraseRootFromParent_Done,
     /*  514217 */   // Label 8577: @514217
     /*  514217 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(514285), // Rule ID 62435 //
     /*  514222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  514225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  514230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  514239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514254 */     // MIs[0] policy
     /*  514254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514264 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  514267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514281 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514283 */     GIR_RootConstrainSelectedInstOperands,
     /*  514284 */     // GIR_Coverage, 62435,
     /*  514284 */     GIR_EraseRootFromParent_Done,
     /*  514285 */   // Label 8578: @514285
     /*  514285 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(514356), // Rule ID 2710 //
     /*  514290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  514301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  514304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  514307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514322 */     // MIs[0] round
     /*  514322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514332 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  514335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514341 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514354 */     GIR_RootConstrainSelectedInstOperands,
     /*  514355 */     // GIR_Coverage, 2710,
     /*  514355 */     GIR_EraseRootFromParent_Done,
     /*  514356 */   // Label 8579: @514356
     /*  514356 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(514427), // Rule ID 2711 //
     /*  514361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  514372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  514375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  514378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514393 */     // MIs[0] round
     /*  514393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514403 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  514406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514412 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514425 */     GIR_RootConstrainSelectedInstOperands,
     /*  514426 */     // GIR_Coverage, 2711,
     /*  514426 */     GIR_EraseRootFromParent_Done,
     /*  514427 */   // Label 8580: @514427
     /*  514427 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(514498), // Rule ID 2746 //
     /*  514432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  514435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  514440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  514443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  514446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  514449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514464 */     // MIs[0] round
     /*  514464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  514477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514483 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514496 */     GIR_RootConstrainSelectedInstOperands,
     /*  514497 */     // GIR_Coverage, 2746,
     /*  514497 */     GIR_EraseRootFromParent_Done,
     /*  514498 */   // Label 8581: @514498
     /*  514498 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(514569), // Rule ID 2747 //
     /*  514503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  514506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  514511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  514514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  514517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  514520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514535 */     // MIs[0] round
     /*  514535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514545 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  514548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514554 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514567 */     GIR_RootConstrainSelectedInstOperands,
     /*  514568 */     // GIR_Coverage, 2747,
     /*  514568 */     GIR_EraseRootFromParent_Done,
     /*  514569 */   // Label 8582: @514569
     /*  514569 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(514640), // Rule ID 19004 //
     /*  514574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  514585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  514588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  514591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514606 */     // MIs[0] round
     /*  514606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514616 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  514619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514625 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514638 */     GIR_RootConstrainSelectedInstOperands,
     /*  514639 */     // GIR_Coverage, 19004,
     /*  514639 */     GIR_EraseRootFromParent_Done,
     /*  514640 */   // Label 8583: @514640
     /*  514640 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(514711), // Rule ID 19005 //
     /*  514645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  514656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  514659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  514662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514677 */     // MIs[0] round
     /*  514677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514687 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  514690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514696 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514709 */     GIR_RootConstrainSelectedInstOperands,
     /*  514710 */     // GIR_Coverage, 19005,
     /*  514710 */     GIR_EraseRootFromParent_Done,
     /*  514711 */   // Label 8584: @514711
     /*  514711 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(514782), // Rule ID 19008 //
     /*  514716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  514719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  514727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  514730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514748 */     // MIs[0] round
     /*  514748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514758 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  514761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514767 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514780 */     GIR_RootConstrainSelectedInstOperands,
     /*  514781 */     // GIR_Coverage, 19008,
     /*  514781 */     GIR_EraseRootFromParent_Done,
     /*  514782 */   // Label 8585: @514782
     /*  514782 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(514853), // Rule ID 19009 //
     /*  514787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  514790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  514798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  514801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514819 */     // MIs[0] round
     /*  514819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514829 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  514832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514838 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514851 */     GIR_RootConstrainSelectedInstOperands,
     /*  514852 */     // GIR_Coverage, 19009,
     /*  514852 */     GIR_EraseRootFromParent_Done,
     /*  514853 */   // Label 8586: @514853
     /*  514853 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(514924), // Rule ID 19012 //
     /*  514858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  514869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  514872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  514875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514890 */     // MIs[0] round
     /*  514890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514900 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  514903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514909 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514922 */     GIR_RootConstrainSelectedInstOperands,
     /*  514923 */     // GIR_Coverage, 19012,
     /*  514923 */     GIR_EraseRootFromParent_Done,
     /*  514924 */   // Label 8587: @514924
     /*  514924 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(514995), // Rule ID 19013 //
     /*  514929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  514940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  514943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  514946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514961 */     // MIs[0] round
     /*  514961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514971 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  514974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514980 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514993 */     GIR_RootConstrainSelectedInstOperands,
     /*  514994 */     // GIR_Coverage, 19013,
     /*  514994 */     GIR_EraseRootFromParent_Done,
     /*  514995 */   // Label 8588: @514995
     /*  514995 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(515066), // Rule ID 19016 //
     /*  515000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  515011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  515014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  515017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515032 */     // MIs[0] round
     /*  515032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515042 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  515045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515051 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515064 */     GIR_RootConstrainSelectedInstOperands,
     /*  515065 */     // GIR_Coverage, 19016,
     /*  515065 */     GIR_EraseRootFromParent_Done,
     /*  515066 */   // Label 8589: @515066
     /*  515066 */   GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(515137), // Rule ID 19017 //
     /*  515071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  515082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  515085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  515088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515103 */     // MIs[0] round
     /*  515103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515113 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  515116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515122 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515135 */     GIR_RootConstrainSelectedInstOperands,
     /*  515136 */     // GIR_Coverage, 19017,
     /*  515136 */     GIR_EraseRootFromParent_Done,
     /*  515137 */   // Label 8590: @515137
     /*  515137 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(515208), // Rule ID 19020 //
     /*  515142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  515153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  515156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  515159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515174 */     // MIs[0] round
     /*  515174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515184 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  515187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515193 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515206 */     GIR_RootConstrainSelectedInstOperands,
     /*  515207 */     // GIR_Coverage, 19020,
     /*  515207 */     GIR_EraseRootFromParent_Done,
     /*  515208 */   // Label 8591: @515208
     /*  515208 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(515279), // Rule ID 19021 //
     /*  515213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  515224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  515227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  515230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515245 */     // MIs[0] round
     /*  515245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515255 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  515258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515264 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515277 */     GIR_RootConstrainSelectedInstOperands,
     /*  515278 */     // GIR_Coverage, 19021,
     /*  515278 */     GIR_EraseRootFromParent_Done,
     /*  515279 */   // Label 8592: @515279
     /*  515279 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(515350), // Rule ID 19024 //
     /*  515284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  515295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  515298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  515301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515316 */     // MIs[0] round
     /*  515316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515326 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  515329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515335 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515348 */     GIR_RootConstrainSelectedInstOperands,
     /*  515349 */     // GIR_Coverage, 19024,
     /*  515349 */     GIR_EraseRootFromParent_Done,
     /*  515350 */   // Label 8593: @515350
     /*  515350 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(515421), // Rule ID 19025 //
     /*  515355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  515358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  515366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  515369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  515372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515387 */     // MIs[0] round
     /*  515387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515397 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  515400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515406 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515419 */     GIR_RootConstrainSelectedInstOperands,
     /*  515420 */     // GIR_Coverage, 19025,
     /*  515420 */     GIR_EraseRootFromParent_Done,
     /*  515421 */   // Label 8594: @515421
     /*  515421 */   GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(515492), // Rule ID 19028 //
     /*  515426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  515437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  515440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  515443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515458 */     // MIs[0] round
     /*  515458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515468 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  515471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515477 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515490 */     GIR_RootConstrainSelectedInstOperands,
     /*  515491 */     // GIR_Coverage, 19028,
     /*  515491 */     GIR_EraseRootFromParent_Done,
     /*  515492 */   // Label 8595: @515492
     /*  515492 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(515563), // Rule ID 19029 //
     /*  515497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  515500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  515508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  515511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  515514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515529 */     // MIs[0] round
     /*  515529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515539 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  515542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515548 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515561 */     GIR_RootConstrainSelectedInstOperands,
     /*  515562 */     // GIR_Coverage, 19029,
     /*  515562 */     GIR_EraseRootFromParent_Done,
     /*  515563 */   // Label 8596: @515563
     /*  515563 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(515634), // Rule ID 19032 //
     /*  515568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  515579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  515582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  515585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515600 */     // MIs[0] round
     /*  515600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515610 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  515613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515619 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515632 */     GIR_RootConstrainSelectedInstOperands,
     /*  515633 */     // GIR_Coverage, 19032,
     /*  515633 */     GIR_EraseRootFromParent_Done,
     /*  515634 */   // Label 8597: @515634
     /*  515634 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(515705), // Rule ID 19033 //
     /*  515639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  515642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  515650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  515653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  515656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515671 */     // MIs[0] round
     /*  515671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515681 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  515684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515690 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515703 */     GIR_RootConstrainSelectedInstOperands,
     /*  515704 */     // GIR_Coverage, 19033,
     /*  515704 */     GIR_EraseRootFromParent_Done,
     /*  515705 */   // Label 8598: @515705
     /*  515705 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(515776), // Rule ID 19036 //
     /*  515710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  515721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  515724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515742 */     // MIs[0] round
     /*  515742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515752 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  515755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515761 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515774 */     GIR_RootConstrainSelectedInstOperands,
     /*  515775 */     // GIR_Coverage, 19036,
     /*  515775 */     GIR_EraseRootFromParent_Done,
     /*  515776 */   // Label 8599: @515776
     /*  515776 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(515847), // Rule ID 19037 //
     /*  515781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  515792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  515795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515813 */     // MIs[0] round
     /*  515813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515823 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  515826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515832 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515845 */     GIR_RootConstrainSelectedInstOperands,
     /*  515846 */     // GIR_Coverage, 19037,
     /*  515846 */     GIR_EraseRootFromParent_Done,
     /*  515847 */   // Label 8600: @515847
     /*  515847 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(515918), // Rule ID 19040 //
     /*  515852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515884 */     // MIs[0] round
     /*  515884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515894 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  515897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515903 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515916 */     GIR_RootConstrainSelectedInstOperands,
     /*  515917 */     // GIR_Coverage, 19040,
     /*  515917 */     GIR_EraseRootFromParent_Done,
     /*  515918 */   // Label 8601: @515918
     /*  515918 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(515989), // Rule ID 19041 //
     /*  515923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515955 */     // MIs[0] round
     /*  515955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515965 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  515968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515974 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515987 */     GIR_RootConstrainSelectedInstOperands,
     /*  515988 */     // GIR_Coverage, 19041,
     /*  515988 */     GIR_EraseRootFromParent_Done,
     /*  515989 */   // Label 8602: @515989
     /*  515989 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(516060), // Rule ID 19044 //
     /*  515994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  516002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  516005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  516008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  516011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516026 */     // MIs[0] round
     /*  516026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516036 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  516039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516045 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516058 */     GIR_RootConstrainSelectedInstOperands,
     /*  516059 */     // GIR_Coverage, 19044,
     /*  516059 */     GIR_EraseRootFromParent_Done,
     /*  516060 */   // Label 8603: @516060
     /*  516060 */   GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(516131), // Rule ID 19045 //
     /*  516065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  516068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  516073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  516076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  516079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  516082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516097 */     // MIs[0] round
     /*  516097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516107 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  516110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516116 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516129 */     GIR_RootConstrainSelectedInstOperands,
     /*  516130 */     // GIR_Coverage, 19045,
     /*  516130 */     GIR_EraseRootFromParent_Done,
     /*  516131 */   // Label 8604: @516131
     /*  516131 */   GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(516202), // Rule ID 19048 //
     /*  516136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  516139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  516144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  516147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  516150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  516153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516168 */     // MIs[0] round
     /*  516168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516178 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  516178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  516181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516187 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516200 */     GIR_RootConstrainSelectedInstOperands,
     /*  516201 */     // GIR_Coverage, 19048,
     /*  516201 */     GIR_EraseRootFromParent_Done,
     /*  516202 */   // Label 8605: @516202
     /*  516202 */   GIM_Try, /*On fail goto*//*Label 8606*/ GIMT_Encode4(516273), // Rule ID 19049 //
     /*  516207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  516210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  516215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  516218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  516221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  516224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516239 */     // MIs[0] round
     /*  516239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516249 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  516249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  516252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516258 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516271 */     GIR_RootConstrainSelectedInstOperands,
     /*  516272 */     // GIR_Coverage, 19049,
     /*  516272 */     GIR_EraseRootFromParent_Done,
     /*  516273 */   // Label 8606: @516273
     /*  516273 */   GIM_Try, /*On fail goto*//*Label 8607*/ GIMT_Encode4(516344), // Rule ID 19052 //
     /*  516278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  516281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  516286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  516289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  516292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  516295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516310 */     // MIs[0] round
     /*  516310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516320 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  516320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  516323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516329 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516342 */     GIR_RootConstrainSelectedInstOperands,
     /*  516343 */     // GIR_Coverage, 19052,
     /*  516343 */     GIR_EraseRootFromParent_Done,
     /*  516344 */   // Label 8607: @516344
     /*  516344 */   GIM_Try, /*On fail goto*//*Label 8608*/ GIMT_Encode4(516415), // Rule ID 19053 //
     /*  516349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  516352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  516357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  516360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  516363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  516366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516381 */     // MIs[0] round
     /*  516381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516391 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  516391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  516394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516400 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516413 */     GIR_RootConstrainSelectedInstOperands,
     /*  516414 */     // GIR_Coverage, 19053,
     /*  516414 */     GIR_EraseRootFromParent_Done,
     /*  516415 */   // Label 8608: @516415
     /*  516415 */   GIM_Try, /*On fail goto*//*Label 8609*/ GIMT_Encode4(516486), // Rule ID 19056 //
     /*  516420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  516423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  516428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  516431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  516434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  516437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516452 */     // MIs[0] round
     /*  516452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516462 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  516462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  516465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516471 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516484 */     GIR_RootConstrainSelectedInstOperands,
     /*  516485 */     // GIR_Coverage, 19056,
     /*  516485 */     GIR_EraseRootFromParent_Done,
     /*  516486 */   // Label 8609: @516486
     /*  516486 */   GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(516557), // Rule ID 19057 //
     /*  516491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  516494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  516499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  516502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  516505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  516508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516523 */     // MIs[0] round
     /*  516523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516533 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  516533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  516536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516542 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516555 */     GIR_RootConstrainSelectedInstOperands,
     /*  516556 */     // GIR_Coverage, 19057,
     /*  516556 */     GIR_EraseRootFromParent_Done,
     /*  516557 */   // Label 8610: @516557
     /*  516557 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(516628), // Rule ID 19116 //
     /*  516562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  516573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  516576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  516579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516594 */     // MIs[0] round
     /*  516594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516604 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  516607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516613 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516626 */     GIR_RootConstrainSelectedInstOperands,
     /*  516627 */     // GIR_Coverage, 19116,
     /*  516627 */     GIR_EraseRootFromParent_Done,
     /*  516628 */   // Label 8611: @516628
     /*  516628 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(516699), // Rule ID 19117 //
     /*  516633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  516644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  516647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  516650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516665 */     // MIs[0] round
     /*  516665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516675 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  516678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516684 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516697 */     GIR_RootConstrainSelectedInstOperands,
     /*  516698 */     // GIR_Coverage, 19117,
     /*  516698 */     GIR_EraseRootFromParent_Done,
     /*  516699 */   // Label 8612: @516699
     /*  516699 */   GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(516770), // Rule ID 19120 //
     /*  516704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  516715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  516718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  516721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516736 */     // MIs[0] round
     /*  516736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516746 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  516749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516755 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516768 */     GIR_RootConstrainSelectedInstOperands,
     /*  516769 */     // GIR_Coverage, 19120,
     /*  516769 */     GIR_EraseRootFromParent_Done,
     /*  516770 */   // Label 8613: @516770
     /*  516770 */   GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(516841), // Rule ID 19121 //
     /*  516775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  516786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  516789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  516792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516807 */     // MIs[0] round
     /*  516807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516817 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  516820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516826 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516839 */     GIR_RootConstrainSelectedInstOperands,
     /*  516840 */     // GIR_Coverage, 19121,
     /*  516840 */     GIR_EraseRootFromParent_Done,
     /*  516841 */   // Label 8614: @516841
     /*  516841 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(516912), // Rule ID 19124 //
     /*  516846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  516849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516878 */     // MIs[0] round
     /*  516878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516888 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  516891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516897 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516910 */     GIR_RootConstrainSelectedInstOperands,
     /*  516911 */     // GIR_Coverage, 19124,
     /*  516911 */     GIR_EraseRootFromParent_Done,
     /*  516912 */   // Label 8615: @516912
     /*  516912 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(516983), // Rule ID 19125 //
     /*  516917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  516920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516949 */     // MIs[0] round
     /*  516949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516959 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  516962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516968 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516981 */     GIR_RootConstrainSelectedInstOperands,
     /*  516982 */     // GIR_Coverage, 19125,
     /*  516982 */     GIR_EraseRootFromParent_Done,
     /*  516983 */   // Label 8616: @516983
     /*  516983 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(517054), // Rule ID 19128 //
     /*  516988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  516999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  517002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  517005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517020 */     // MIs[0] round
     /*  517020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517030 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  517033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517039 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517052 */     GIR_RootConstrainSelectedInstOperands,
     /*  517053 */     // GIR_Coverage, 19128,
     /*  517053 */     GIR_EraseRootFromParent_Done,
     /*  517054 */   // Label 8617: @517054
     /*  517054 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(517125), // Rule ID 19129 //
     /*  517059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  517062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  517070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  517073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  517076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517091 */     // MIs[0] round
     /*  517091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517101 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  517104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517110 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517123 */     GIR_RootConstrainSelectedInstOperands,
     /*  517124 */     // GIR_Coverage, 19129,
     /*  517124 */     GIR_EraseRootFromParent_Done,
     /*  517125 */   // Label 8618: @517125
     /*  517125 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(517196), // Rule ID 19132 //
     /*  517130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  517133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  517141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  517144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  517147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517162 */     // MIs[0] round
     /*  517162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517172 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  517175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517181 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517194 */     GIR_RootConstrainSelectedInstOperands,
     /*  517195 */     // GIR_Coverage, 19132,
     /*  517195 */     GIR_EraseRootFromParent_Done,
     /*  517196 */   // Label 8619: @517196
     /*  517196 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(517267), // Rule ID 19133 //
     /*  517201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  517204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  517212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  517215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  517218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517233 */     // MIs[0] round
     /*  517233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517243 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  517246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517252 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517265 */     GIR_RootConstrainSelectedInstOperands,
     /*  517266 */     // GIR_Coverage, 19133,
     /*  517266 */     GIR_EraseRootFromParent_Done,
     /*  517267 */   // Label 8620: @517267
     /*  517267 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(517338), // Rule ID 19136 //
     /*  517272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  517275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  517283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  517286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  517289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517304 */     // MIs[0] round
     /*  517304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517314 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  517317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517323 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517336 */     GIR_RootConstrainSelectedInstOperands,
     /*  517337 */     // GIR_Coverage, 19136,
     /*  517337 */     GIR_EraseRootFromParent_Done,
     /*  517338 */   // Label 8621: @517338
     /*  517338 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(517409), // Rule ID 19137 //
     /*  517343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  517346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  517354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  517357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  517360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517375 */     // MIs[0] round
     /*  517375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517385 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  517388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517394 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517407 */     GIR_RootConstrainSelectedInstOperands,
     /*  517408 */     // GIR_Coverage, 19137,
     /*  517408 */     GIR_EraseRootFromParent_Done,
     /*  517409 */   // Label 8622: @517409
     /*  517409 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(517480), // Rule ID 19140 //
     /*  517414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  517417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  517425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  517428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  517431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517446 */     // MIs[0] round
     /*  517446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517456 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  517459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517465 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517478 */     GIR_RootConstrainSelectedInstOperands,
     /*  517479 */     // GIR_Coverage, 19140,
     /*  517479 */     GIR_EraseRootFromParent_Done,
     /*  517480 */   // Label 8623: @517480
     /*  517480 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(517551), // Rule ID 19141 //
     /*  517485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  517488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  517496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  517499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  517502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517517 */     // MIs[0] round
     /*  517517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517527 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  517530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517536 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517549 */     GIR_RootConstrainSelectedInstOperands,
     /*  517550 */     // GIR_Coverage, 19141,
     /*  517550 */     GIR_EraseRootFromParent_Done,
     /*  517551 */   // Label 8624: @517551
     /*  517551 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(517622), // Rule ID 19144 //
     /*  517556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  517559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  517567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  517570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  517573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517588 */     // MIs[0] round
     /*  517588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517598 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  517601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517607 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517620 */     GIR_RootConstrainSelectedInstOperands,
     /*  517621 */     // GIR_Coverage, 19144,
     /*  517621 */     GIR_EraseRootFromParent_Done,
     /*  517622 */   // Label 8625: @517622
     /*  517622 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(517693), // Rule ID 19145 //
     /*  517627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  517630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  517638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  517641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  517644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517659 */     // MIs[0] round
     /*  517659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517669 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  517672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517678 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517691 */     GIR_RootConstrainSelectedInstOperands,
     /*  517692 */     // GIR_Coverage, 19145,
     /*  517692 */     GIR_EraseRootFromParent_Done,
     /*  517693 */   // Label 8626: @517693
     /*  517693 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(517764), // Rule ID 19148 //
     /*  517698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  517701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  517709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  517712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  517715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517730 */     // MIs[0] round
     /*  517730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517740 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  517743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517749 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517762 */     GIR_RootConstrainSelectedInstOperands,
     /*  517763 */     // GIR_Coverage, 19148,
     /*  517763 */     GIR_EraseRootFromParent_Done,
     /*  517764 */   // Label 8627: @517764
     /*  517764 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(517835), // Rule ID 19149 //
     /*  517769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  517772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  517780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  517783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  517786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517801 */     // MIs[0] round
     /*  517801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517811 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  517814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517820 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517833 */     GIR_RootConstrainSelectedInstOperands,
     /*  517834 */     // GIR_Coverage, 19149,
     /*  517834 */     GIR_EraseRootFromParent_Done,
     /*  517835 */   // Label 8628: @517835
     /*  517835 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(517906), // Rule ID 19152 //
     /*  517840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  517843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517872 */     // MIs[0] round
     /*  517872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517882 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  517885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517891 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517904 */     GIR_RootConstrainSelectedInstOperands,
     /*  517905 */     // GIR_Coverage, 19152,
     /*  517905 */     GIR_EraseRootFromParent_Done,
     /*  517906 */   // Label 8629: @517906
     /*  517906 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(517977), // Rule ID 19153 //
     /*  517911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  517914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517943 */     // MIs[0] round
     /*  517943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517953 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  517956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517962 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517975 */     GIR_RootConstrainSelectedInstOperands,
     /*  517976 */     // GIR_Coverage, 19153,
     /*  517976 */     GIR_EraseRootFromParent_Done,
     /*  517977 */   // Label 8630: @517977
     /*  517977 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(518048), // Rule ID 19156 //
     /*  517982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  517985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518014 */     // MIs[0] round
     /*  518014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518024 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  518027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518033 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518046 */     GIR_RootConstrainSelectedInstOperands,
     /*  518047 */     // GIR_Coverage, 19156,
     /*  518047 */     GIR_EraseRootFromParent_Done,
     /*  518048 */   // Label 8631: @518048
     /*  518048 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(518119), // Rule ID 19157 //
     /*  518053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  518056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  518061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  518064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  518067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  518070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518085 */     // MIs[0] round
     /*  518085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518095 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  518098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518104 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518117 */     GIR_RootConstrainSelectedInstOperands,
     /*  518118 */     // GIR_Coverage, 19157,
     /*  518118 */     GIR_EraseRootFromParent_Done,
     /*  518119 */   // Label 8632: @518119
     /*  518119 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(518190), // Rule ID 19160 //
     /*  518124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  518127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  518132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  518135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  518138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  518141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518156 */     // MIs[0] round
     /*  518156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518166 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  518169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518175 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518188 */     GIR_RootConstrainSelectedInstOperands,
     /*  518189 */     // GIR_Coverage, 19160,
     /*  518189 */     GIR_EraseRootFromParent_Done,
     /*  518190 */   // Label 8633: @518190
     /*  518190 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(518261), // Rule ID 19161 //
     /*  518195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  518198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  518203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  518206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  518209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  518212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518227 */     // MIs[0] round
     /*  518227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518237 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  518240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518246 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518259 */     GIR_RootConstrainSelectedInstOperands,
     /*  518260 */     // GIR_Coverage, 19161,
     /*  518260 */     GIR_EraseRootFromParent_Done,
     /*  518261 */   // Label 8634: @518261
     /*  518261 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(518332), // Rule ID 19164 //
     /*  518266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  518269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  518274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  518277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  518280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  518283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518298 */     // MIs[0] round
     /*  518298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518308 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  518308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  518311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518317 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518330 */     GIR_RootConstrainSelectedInstOperands,
     /*  518331 */     // GIR_Coverage, 19164,
     /*  518331 */     GIR_EraseRootFromParent_Done,
     /*  518332 */   // Label 8635: @518332
     /*  518332 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(518403), // Rule ID 19165 //
     /*  518337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  518340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  518345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  518348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  518351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  518354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518369 */     // MIs[0] round
     /*  518369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518379 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  518379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  518382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518388 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518401 */     GIR_RootConstrainSelectedInstOperands,
     /*  518402 */     // GIR_Coverage, 19165,
     /*  518402 */     GIR_EraseRootFromParent_Done,
     /*  518403 */   // Label 8636: @518403
     /*  518403 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(518474), // Rule ID 19168 //
     /*  518408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  518411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  518416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  518419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  518422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  518425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518440 */     // MIs[0] round
     /*  518440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518450 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  518450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  518453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518459 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518472 */     GIR_RootConstrainSelectedInstOperands,
     /*  518473 */     // GIR_Coverage, 19168,
     /*  518473 */     GIR_EraseRootFromParent_Done,
     /*  518474 */   // Label 8637: @518474
     /*  518474 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(518545), // Rule ID 19169 //
     /*  518479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  518482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  518487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  518490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  518493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  518496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518511 */     // MIs[0] round
     /*  518511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518521 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  518521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  518524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518530 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518543 */     GIR_RootConstrainSelectedInstOperands,
     /*  518544 */     // GIR_Coverage, 19169,
     /*  518544 */     GIR_EraseRootFromParent_Done,
     /*  518545 */   // Label 8638: @518545
     /*  518545 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(518616), // Rule ID 19172 //
     /*  518550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  518553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  518558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  518561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  518564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  518567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518582 */     // MIs[0] round
     /*  518582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518592 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  518592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  518595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518601 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518614 */     GIR_RootConstrainSelectedInstOperands,
     /*  518615 */     // GIR_Coverage, 19172,
     /*  518615 */     GIR_EraseRootFromParent_Done,
     /*  518616 */   // Label 8639: @518616
     /*  518616 */   GIM_Try, /*On fail goto*//*Label 8640*/ GIMT_Encode4(518687), // Rule ID 19173 //
     /*  518621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  518624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  518629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  518632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  518635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  518638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518653 */     // MIs[0] round
     /*  518653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518663 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  518663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  518666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518672 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518685 */     GIR_RootConstrainSelectedInstOperands,
     /*  518686 */     // GIR_Coverage, 19173,
     /*  518686 */     GIR_EraseRootFromParent_Done,
     /*  518687 */   // Label 8640: @518687
     /*  518687 */   GIM_Try, /*On fail goto*//*Label 8641*/ GIMT_Encode4(518758), // Rule ID 20758 //
     /*  518692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518724 */     // MIs[0] round
     /*  518724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518734 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  518737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518743 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518756 */     GIR_RootConstrainSelectedInstOperands,
     /*  518757 */     // GIR_Coverage, 20758,
     /*  518757 */     GIR_EraseRootFromParent_Done,
     /*  518758 */   // Label 8641: @518758
     /*  518758 */   GIM_Try, /*On fail goto*//*Label 8642*/ GIMT_Encode4(518829), // Rule ID 20759 //
     /*  518763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518795 */     // MIs[0] round
     /*  518795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518805 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  518808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518814 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518827 */     GIR_RootConstrainSelectedInstOperands,
     /*  518828 */     // GIR_Coverage, 20759,
     /*  518828 */     GIR_EraseRootFromParent_Done,
     /*  518829 */   // Label 8642: @518829
     /*  518829 */   GIM_Try, /*On fail goto*//*Label 8643*/ GIMT_Encode4(518900), // Rule ID 20762 //
     /*  518834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518866 */     // MIs[0] round
     /*  518866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518876 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  518879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518885 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518898 */     GIR_RootConstrainSelectedInstOperands,
     /*  518899 */     // GIR_Coverage, 20762,
     /*  518899 */     GIR_EraseRootFromParent_Done,
     /*  518900 */   // Label 8643: @518900
     /*  518900 */   GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(518971), // Rule ID 20763 //
     /*  518905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518937 */     // MIs[0] round
     /*  518937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  518950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518956 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518969 */     GIR_RootConstrainSelectedInstOperands,
     /*  518970 */     // GIR_Coverage, 20763,
     /*  518970 */     GIR_EraseRootFromParent_Done,
     /*  518971 */   // Label 8644: @518971
     /*  518971 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(519042), // Rule ID 20766 //
     /*  518976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519008 */     // MIs[0] round
     /*  519008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519018 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  519021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519027 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519040 */     GIR_RootConstrainSelectedInstOperands,
     /*  519041 */     // GIR_Coverage, 20766,
     /*  519041 */     GIR_EraseRootFromParent_Done,
     /*  519042 */   // Label 8645: @519042
     /*  519042 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(519113), // Rule ID 20767 //
     /*  519047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  519058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  519061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  519064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519079 */     // MIs[0] round
     /*  519079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519089 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  519092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519098 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519111 */     GIR_RootConstrainSelectedInstOperands,
     /*  519112 */     // GIR_Coverage, 20767,
     /*  519112 */     GIR_EraseRootFromParent_Done,
     /*  519113 */   // Label 8646: @519113
     /*  519113 */   GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(519184), // Rule ID 20770 //
     /*  519118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  519129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  519132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  519135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519150 */     // MIs[0] round
     /*  519150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  519163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519169 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519182 */     GIR_RootConstrainSelectedInstOperands,
     /*  519183 */     // GIR_Coverage, 20770,
     /*  519183 */     GIR_EraseRootFromParent_Done,
     /*  519184 */   // Label 8647: @519184
     /*  519184 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(519255), // Rule ID 20771 //
     /*  519189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  519200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  519203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  519206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519221 */     // MIs[0] round
     /*  519221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519231 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  519234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519240 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519253 */     GIR_RootConstrainSelectedInstOperands,
     /*  519254 */     // GIR_Coverage, 20771,
     /*  519254 */     GIR_EraseRootFromParent_Done,
     /*  519255 */   // Label 8648: @519255
     /*  519255 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(519326), // Rule ID 20774 //
     /*  519260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  519271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  519274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  519277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519292 */     // MIs[0] round
     /*  519292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519302 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  519305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519311 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519324 */     GIR_RootConstrainSelectedInstOperands,
     /*  519325 */     // GIR_Coverage, 20774,
     /*  519325 */     GIR_EraseRootFromParent_Done,
     /*  519326 */   // Label 8649: @519326
     /*  519326 */   GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(519397), // Rule ID 20775 //
     /*  519331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  519342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  519345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  519348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519363 */     // MIs[0] round
     /*  519363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519373 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  519376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519382 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519395 */     GIR_RootConstrainSelectedInstOperands,
     /*  519396 */     // GIR_Coverage, 20775,
     /*  519396 */     GIR_EraseRootFromParent_Done,
     /*  519397 */   // Label 8650: @519397
     /*  519397 */   GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(519468), // Rule ID 20778 //
     /*  519402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  519405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  519413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  519416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  519419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519434 */     // MIs[0] round
     /*  519434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519453 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519466 */     GIR_RootConstrainSelectedInstOperands,
     /*  519467 */     // GIR_Coverage, 20778,
     /*  519467 */     GIR_EraseRootFromParent_Done,
     /*  519468 */   // Label 8651: @519468
     /*  519468 */   GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(519539), // Rule ID 20779 //
     /*  519473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  519484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  519487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  519490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519505 */     // MIs[0] round
     /*  519505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519524 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519537 */     GIR_RootConstrainSelectedInstOperands,
     /*  519538 */     // GIR_Coverage, 20779,
     /*  519538 */     GIR_EraseRootFromParent_Done,
     /*  519539 */   // Label 8652: @519539
     /*  519539 */   GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(519610), // Rule ID 20782 //
     /*  519544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  519547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  519555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  519558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  519561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519576 */     // MIs[0] round
     /*  519576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519586 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519595 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519608 */     GIR_RootConstrainSelectedInstOperands,
     /*  519609 */     // GIR_Coverage, 20782,
     /*  519609 */     GIR_EraseRootFromParent_Done,
     /*  519610 */   // Label 8653: @519610
     /*  519610 */   GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(519681), // Rule ID 20783 //
     /*  519615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  519626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  519629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  519632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519647 */     // MIs[0] round
     /*  519647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519657 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519666 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519679 */     GIR_RootConstrainSelectedInstOperands,
     /*  519680 */     // GIR_Coverage, 20783,
     /*  519680 */     GIR_EraseRootFromParent_Done,
     /*  519681 */   // Label 8654: @519681
     /*  519681 */   GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(519752), // Rule ID 20786 //
     /*  519686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  519689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519718 */     // MIs[0] round
     /*  519718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519728 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519737 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519750 */     GIR_RootConstrainSelectedInstOperands,
     /*  519751 */     // GIR_Coverage, 20786,
     /*  519751 */     GIR_EraseRootFromParent_Done,
     /*  519752 */   // Label 8655: @519752
     /*  519752 */   GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(519823), // Rule ID 20787 //
     /*  519757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519789 */     // MIs[0] round
     /*  519789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519799 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519808 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519821 */     GIR_RootConstrainSelectedInstOperands,
     /*  519822 */     // GIR_Coverage, 20787,
     /*  519822 */     GIR_EraseRootFromParent_Done,
     /*  519823 */   // Label 8656: @519823
     /*  519823 */   GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(519894), // Rule ID 20790 //
     /*  519828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519860 */     // MIs[0] round
     /*  519860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519870 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519879 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519892 */     GIR_RootConstrainSelectedInstOperands,
     /*  519893 */     // GIR_Coverage, 20790,
     /*  519893 */     GIR_EraseRootFromParent_Done,
     /*  519894 */   // Label 8657: @519894
     /*  519894 */   GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(519965), // Rule ID 20791 //
     /*  519899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519931 */     // MIs[0] round
     /*  519931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519941 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519950 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519963 */     GIR_RootConstrainSelectedInstOperands,
     /*  519964 */     // GIR_Coverage, 20791,
     /*  519964 */     GIR_EraseRootFromParent_Done,
     /*  519965 */   // Label 8658: @519965
     /*  519965 */   GIM_Try, /*On fail goto*//*Label 8659*/ GIMT_Encode4(520036), // Rule ID 20794 //
     /*  519970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  519981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520002 */     // MIs[0] round
     /*  520002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520012 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  520015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520021 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520034 */     GIR_RootConstrainSelectedInstOperands,
     /*  520035 */     // GIR_Coverage, 20794,
     /*  520035 */     GIR_EraseRootFromParent_Done,
     /*  520036 */   // Label 8659: @520036
     /*  520036 */   GIM_Try, /*On fail goto*//*Label 8660*/ GIMT_Encode4(520107), // Rule ID 20795 //
     /*  520041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  520044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  520049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  520052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  520055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  520058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520073 */     // MIs[0] round
     /*  520073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  520086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520092 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520105 */     GIR_RootConstrainSelectedInstOperands,
     /*  520106 */     // GIR_Coverage, 20795,
     /*  520106 */     GIR_EraseRootFromParent_Done,
     /*  520107 */   // Label 8660: @520107
     /*  520107 */   GIM_Try, /*On fail goto*//*Label 8661*/ GIMT_Encode4(520178), // Rule ID 20798 //
     /*  520112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  520115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  520120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  520123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  520126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  520129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520144 */     // MIs[0] round
     /*  520144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520154 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  520157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520163 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520176 */     GIR_RootConstrainSelectedInstOperands,
     /*  520177 */     // GIR_Coverage, 20798,
     /*  520177 */     GIR_EraseRootFromParent_Done,
     /*  520178 */   // Label 8661: @520178
     /*  520178 */   GIM_Try, /*On fail goto*//*Label 8662*/ GIMT_Encode4(520249), // Rule ID 20799 //
     /*  520183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  520186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  520191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  520194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  520197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  520200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520215 */     // MIs[0] round
     /*  520215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  520228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520234 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520247 */     GIR_RootConstrainSelectedInstOperands,
     /*  520248 */     // GIR_Coverage, 20799,
     /*  520248 */     GIR_EraseRootFromParent_Done,
     /*  520249 */   // Label 8662: @520249
     /*  520249 */   GIM_Try, /*On fail goto*//*Label 8663*/ GIMT_Encode4(520320), // Rule ID 20802 //
     /*  520254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  520257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  520262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  520265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  520268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  520271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520286 */     // MIs[0] round
     /*  520286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520296 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  520299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520305 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520318 */     GIR_RootConstrainSelectedInstOperands,
     /*  520319 */     // GIR_Coverage, 20802,
     /*  520319 */     GIR_EraseRootFromParent_Done,
     /*  520320 */   // Label 8663: @520320
     /*  520320 */   GIM_Try, /*On fail goto*//*Label 8664*/ GIMT_Encode4(520391), // Rule ID 20803 //
     /*  520325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  520328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  520333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  520336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  520339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  520342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520357 */     // MIs[0] round
     /*  520357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520367 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  520370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520376 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520389 */     GIR_RootConstrainSelectedInstOperands,
     /*  520390 */     // GIR_Coverage, 20803,
     /*  520390 */     GIR_EraseRootFromParent_Done,
     /*  520391 */   // Label 8664: @520391
     /*  520391 */   GIM_Try, /*On fail goto*//*Label 8665*/ GIMT_Encode4(520462), // Rule ID 20806 //
     /*  520396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  520399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  520404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  520407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  520410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  520413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520428 */     // MIs[0] round
     /*  520428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520438 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  520441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520447 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520460 */     GIR_RootConstrainSelectedInstOperands,
     /*  520461 */     // GIR_Coverage, 20806,
     /*  520461 */     GIR_EraseRootFromParent_Done,
     /*  520462 */   // Label 8665: @520462
     /*  520462 */   GIM_Try, /*On fail goto*//*Label 8666*/ GIMT_Encode4(520533), // Rule ID 20807 //
     /*  520467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  520470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  520475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  520478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  520481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  520484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520499 */     // MIs[0] round
     /*  520499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520509 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  520512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520518 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520531 */     GIR_RootConstrainSelectedInstOperands,
     /*  520532 */     // GIR_Coverage, 20807,
     /*  520532 */     GIR_EraseRootFromParent_Done,
     /*  520533 */   // Label 8666: @520533
     /*  520533 */   GIM_Try, /*On fail goto*//*Label 8667*/ GIMT_Encode4(520604), // Rule ID 20810 //
     /*  520538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  520541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  520546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  520549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  520552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  520555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520570 */     // MIs[0] round
     /*  520570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520580 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  520583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520589 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520602 */     GIR_RootConstrainSelectedInstOperands,
     /*  520603 */     // GIR_Coverage, 20810,
     /*  520603 */     GIR_EraseRootFromParent_Done,
     /*  520604 */   // Label 8667: @520604
     /*  520604 */   GIM_Try, /*On fail goto*//*Label 8668*/ GIMT_Encode4(520675), // Rule ID 20811 //
     /*  520609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  520612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  520617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  520620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  520623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  520626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520641 */     // MIs[0] round
     /*  520641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520651 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  520654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520660 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520673 */     GIR_RootConstrainSelectedInstOperands,
     /*  520674 */     // GIR_Coverage, 20811,
     /*  520674 */     GIR_EraseRootFromParent_Done,
     /*  520675 */   // Label 8668: @520675
     /*  520675 */   GIM_Try, /*On fail goto*//*Label 8669*/ GIMT_Encode4(520746), // Rule ID 20814 //
     /*  520680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520712 */     // MIs[0] round
     /*  520712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520722 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  520725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520731 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520744 */     GIR_RootConstrainSelectedInstOperands,
     /*  520745 */     // GIR_Coverage, 20814,
     /*  520745 */     GIR_EraseRootFromParent_Done,
     /*  520746 */   // Label 8669: @520746
     /*  520746 */   GIM_Try, /*On fail goto*//*Label 8670*/ GIMT_Encode4(520817), // Rule ID 20815 //
     /*  520751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520783 */     // MIs[0] round
     /*  520783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520793 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  520796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520802 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520815 */     GIR_RootConstrainSelectedInstOperands,
     /*  520816 */     // GIR_Coverage, 20815,
     /*  520816 */     GIR_EraseRootFromParent_Done,
     /*  520817 */   // Label 8670: @520817
     /*  520817 */   GIM_Try, /*On fail goto*//*Label 8671*/ GIMT_Encode4(520888), // Rule ID 20818 //
     /*  520822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520854 */     // MIs[0] round
     /*  520854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520864 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  520867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520873 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520886 */     GIR_RootConstrainSelectedInstOperands,
     /*  520887 */     // GIR_Coverage, 20818,
     /*  520887 */     GIR_EraseRootFromParent_Done,
     /*  520888 */   // Label 8671: @520888
     /*  520888 */   GIM_Try, /*On fail goto*//*Label 8672*/ GIMT_Encode4(520959), // Rule ID 20819 //
     /*  520893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520925 */     // MIs[0] round
     /*  520925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520935 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  520938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520944 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520957 */     GIR_RootConstrainSelectedInstOperands,
     /*  520958 */     // GIR_Coverage, 20819,
     /*  520958 */     GIR_EraseRootFromParent_Done,
     /*  520959 */   // Label 8672: @520959
     /*  520959 */   GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(521030), // Rule ID 20822 //
     /*  520964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  520967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  520975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  520978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  520981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520996 */     // MIs[0] round
     /*  520996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  521009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521015 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521028 */     GIR_RootConstrainSelectedInstOperands,
     /*  521029 */     // GIR_Coverage, 20822,
     /*  521029 */     GIR_EraseRootFromParent_Done,
     /*  521030 */   // Label 8673: @521030
     /*  521030 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(521101), // Rule ID 20823 //
     /*  521035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  521046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  521049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  521052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521067 */     // MIs[0] round
     /*  521067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521077 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  521080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521086 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521099 */     GIR_RootConstrainSelectedInstOperands,
     /*  521100 */     // GIR_Coverage, 20823,
     /*  521100 */     GIR_EraseRootFromParent_Done,
     /*  521101 */   // Label 8674: @521101
     /*  521101 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(521172), // Rule ID 20826 //
     /*  521106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  521117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  521120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  521123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521138 */     // MIs[0] round
     /*  521138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521148 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  521151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521157 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521170 */     GIR_RootConstrainSelectedInstOperands,
     /*  521171 */     // GIR_Coverage, 20826,
     /*  521171 */     GIR_EraseRootFromParent_Done,
     /*  521172 */   // Label 8675: @521172
     /*  521172 */   GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(521243), // Rule ID 20827 //
     /*  521177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  521188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  521191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  521194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521209 */     // MIs[0] round
     /*  521209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521219 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  521222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521228 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521241 */     GIR_RootConstrainSelectedInstOperands,
     /*  521242 */     // GIR_Coverage, 20827,
     /*  521242 */     GIR_EraseRootFromParent_Done,
     /*  521243 */   // Label 8676: @521243
     /*  521243 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(521314), // Rule ID 20830 //
     /*  521248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  521259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  521262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  521265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521280 */     // MIs[0] round
     /*  521280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  521293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521299 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521312 */     GIR_RootConstrainSelectedInstOperands,
     /*  521313 */     // GIR_Coverage, 20830,
     /*  521313 */     GIR_EraseRootFromParent_Done,
     /*  521314 */   // Label 8677: @521314
     /*  521314 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(521385), // Rule ID 20831 //
     /*  521319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  521330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  521333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  521336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521351 */     // MIs[0] round
     /*  521351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521361 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  521364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521370 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521383 */     GIR_RootConstrainSelectedInstOperands,
     /*  521384 */     // GIR_Coverage, 20831,
     /*  521384 */     GIR_EraseRootFromParent_Done,
     /*  521385 */   // Label 8678: @521385
     /*  521385 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(521456), // Rule ID 20834 //
     /*  521390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  521393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  521401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  521404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  521407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521422 */     // MIs[0] round
     /*  521422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  521435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521441 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521454 */     GIR_RootConstrainSelectedInstOperands,
     /*  521455 */     // GIR_Coverage, 20834,
     /*  521455 */     GIR_EraseRootFromParent_Done,
     /*  521456 */   // Label 8679: @521456
     /*  521456 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(521527), // Rule ID 20835 //
     /*  521461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  521464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  521472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  521475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  521478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521493 */     // MIs[0] round
     /*  521493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521503 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  521506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521512 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521525 */     GIR_RootConstrainSelectedInstOperands,
     /*  521526 */     // GIR_Coverage, 20835,
     /*  521526 */     GIR_EraseRootFromParent_Done,
     /*  521527 */   // Label 8680: @521527
     /*  521527 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(521598), // Rule ID 20838 //
     /*  521532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  521543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  521546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  521549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521564 */     // MIs[0] round
     /*  521564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521574 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521583 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521596 */     GIR_RootConstrainSelectedInstOperands,
     /*  521597 */     // GIR_Coverage, 20838,
     /*  521597 */     GIR_EraseRootFromParent_Done,
     /*  521598 */   // Label 8681: @521598
     /*  521598 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(521669), // Rule ID 20839 //
     /*  521603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  521614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  521617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  521620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521635 */     // MIs[0] round
     /*  521635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521645 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521654 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521667 */     GIR_RootConstrainSelectedInstOperands,
     /*  521668 */     // GIR_Coverage, 20839,
     /*  521668 */     GIR_EraseRootFromParent_Done,
     /*  521669 */   // Label 8682: @521669
     /*  521669 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(521740), // Rule ID 20842 //
     /*  521674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521706 */     // MIs[0] round
     /*  521706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521716 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521725 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521738 */     GIR_RootConstrainSelectedInstOperands,
     /*  521739 */     // GIR_Coverage, 20842,
     /*  521739 */     GIR_EraseRootFromParent_Done,
     /*  521740 */   // Label 8683: @521740
     /*  521740 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(521811), // Rule ID 20843 //
     /*  521745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521777 */     // MIs[0] round
     /*  521777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521787 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521796 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521809 */     GIR_RootConstrainSelectedInstOperands,
     /*  521810 */     // GIR_Coverage, 20843,
     /*  521810 */     GIR_EraseRootFromParent_Done,
     /*  521811 */   // Label 8684: @521811
     /*  521811 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(521882), // Rule ID 20846 //
     /*  521816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521848 */     // MIs[0] round
     /*  521848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521867 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521880 */     GIR_RootConstrainSelectedInstOperands,
     /*  521881 */     // GIR_Coverage, 20846,
     /*  521881 */     GIR_EraseRootFromParent_Done,
     /*  521882 */   // Label 8685: @521882
     /*  521882 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(521953), // Rule ID 20847 //
     /*  521887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521919 */     // MIs[0] round
     /*  521919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521929 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521938 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521951 */     GIR_RootConstrainSelectedInstOperands,
     /*  521952 */     // GIR_Coverage, 20847,
     /*  521952 */     GIR_EraseRootFromParent_Done,
     /*  521953 */   // Label 8686: @521953
     /*  521953 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(522024), // Rule ID 20850 //
     /*  521958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  521969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  521972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  521975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521990 */     // MIs[0] round
     /*  521990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  522003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522009 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522022 */     GIR_RootConstrainSelectedInstOperands,
     /*  522023 */     // GIR_Coverage, 20850,
     /*  522023 */     GIR_EraseRootFromParent_Done,
     /*  522024 */   // Label 8687: @522024
     /*  522024 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(522095), // Rule ID 20851 //
     /*  522029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  522040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  522043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  522046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522061 */     // MIs[0] round
     /*  522061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  522074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522080 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522093 */     GIR_RootConstrainSelectedInstOperands,
     /*  522094 */     // GIR_Coverage, 20851,
     /*  522094 */     GIR_EraseRootFromParent_Done,
     /*  522095 */   // Label 8688: @522095
     /*  522095 */   GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(522166), // Rule ID 20854 //
     /*  522100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  522111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  522114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  522117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522132 */     // MIs[0] round
     /*  522132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  522145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522151 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522164 */     GIR_RootConstrainSelectedInstOperands,
     /*  522165 */     // GIR_Coverage, 20854,
     /*  522165 */     GIR_EraseRootFromParent_Done,
     /*  522166 */   // Label 8689: @522166
     /*  522166 */   GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(522237), // Rule ID 20855 //
     /*  522171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  522182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  522185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  522188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522203 */     // MIs[0] round
     /*  522203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522213 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  522216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522222 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522235 */     GIR_RootConstrainSelectedInstOperands,
     /*  522236 */     // GIR_Coverage, 20855,
     /*  522236 */     GIR_EraseRootFromParent_Done,
     /*  522237 */   // Label 8690: @522237
     /*  522237 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(522308), // Rule ID 20858 //
     /*  522242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  522253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  522256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  522259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522274 */     // MIs[0] round
     /*  522274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  522287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522293 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522306 */     GIR_RootConstrainSelectedInstOperands,
     /*  522307 */     // GIR_Coverage, 20858,
     /*  522307 */     GIR_EraseRootFromParent_Done,
     /*  522308 */   // Label 8691: @522308
     /*  522308 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(522379), // Rule ID 20859 //
     /*  522313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  522324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  522327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  522330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522345 */     // MIs[0] round
     /*  522345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  522358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522364 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522377 */     GIR_RootConstrainSelectedInstOperands,
     /*  522378 */     // GIR_Coverage, 20859,
     /*  522378 */     GIR_EraseRootFromParent_Done,
     /*  522379 */   // Label 8692: @522379
     /*  522379 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(522450), // Rule ID 20862 //
     /*  522384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  522387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  522395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  522398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  522401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522416 */     // MIs[0] round
     /*  522416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522426 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  522429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522435 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522448 */     GIR_RootConstrainSelectedInstOperands,
     /*  522449 */     // GIR_Coverage, 20862,
     /*  522449 */     GIR_EraseRootFromParent_Done,
     /*  522450 */   // Label 8693: @522450
     /*  522450 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(522521), // Rule ID 20863 //
     /*  522455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  522458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  522466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  522469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  522472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522487 */     // MIs[0] round
     /*  522487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522497 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  522500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522506 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522519 */     GIR_RootConstrainSelectedInstOperands,
     /*  522520 */     // GIR_Coverage, 20863,
     /*  522520 */     GIR_EraseRootFromParent_Done,
     /*  522521 */   // Label 8694: @522521
     /*  522521 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(522592), // Rule ID 20866 //
     /*  522526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  522529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  522537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  522540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  522543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522558 */     // MIs[0] round
     /*  522558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  522571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522577 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522590 */     GIR_RootConstrainSelectedInstOperands,
     /*  522591 */     // GIR_Coverage, 20866,
     /*  522591 */     GIR_EraseRootFromParent_Done,
     /*  522592 */   // Label 8695: @522592
     /*  522592 */   GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(522663), // Rule ID 20867 //
     /*  522597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  522600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  522608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  522611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  522614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522629 */     // MIs[0] round
     /*  522629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522639 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  522642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522648 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522661 */     GIR_RootConstrainSelectedInstOperands,
     /*  522662 */     // GIR_Coverage, 20867,
     /*  522662 */     GIR_EraseRootFromParent_Done,
     /*  522663 */   // Label 8696: @522663
     /*  522663 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(522734), // Rule ID 20870 //
     /*  522668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  522671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522700 */     // MIs[0] round
     /*  522700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522710 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  522713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522719 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522732 */     GIR_RootConstrainSelectedInstOperands,
     /*  522733 */     // GIR_Coverage, 20870,
     /*  522733 */     GIR_EraseRootFromParent_Done,
     /*  522734 */   // Label 8697: @522734
     /*  522734 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(522805), // Rule ID 20871 //
     /*  522739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  522742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  522747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522771 */     // MIs[0] round
     /*  522771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522781 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  522784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522790 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522803 */     GIR_RootConstrainSelectedInstOperands,
     /*  522804 */     // GIR_Coverage, 20871,
     /*  522804 */     GIR_EraseRootFromParent_Done,
     /*  522805 */   // Label 8698: @522805
     /*  522805 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(522876), // Rule ID 20994 //
     /*  522810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  522821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  522824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  522827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522842 */     // MIs[0] round
     /*  522842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522852 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  522855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522861 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522874 */     GIR_RootConstrainSelectedInstOperands,
     /*  522875 */     // GIR_Coverage, 20994,
     /*  522875 */     GIR_EraseRootFromParent_Done,
     /*  522876 */   // Label 8699: @522876
     /*  522876 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(522947), // Rule ID 20995 //
     /*  522881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  522892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  522895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  522898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522913 */     // MIs[0] round
     /*  522913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522923 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  522926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522932 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522945 */     GIR_RootConstrainSelectedInstOperands,
     /*  522946 */     // GIR_Coverage, 20995,
     /*  522946 */     GIR_EraseRootFromParent_Done,
     /*  522947 */   // Label 8700: @522947
     /*  522947 */   GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(523018), // Rule ID 20998 //
     /*  522952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  522963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522984 */     // MIs[0] round
     /*  522984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522994 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  522997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523003 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523016 */     GIR_RootConstrainSelectedInstOperands,
     /*  523017 */     // GIR_Coverage, 20998,
     /*  523017 */     GIR_EraseRootFromParent_Done,
     /*  523018 */   // Label 8701: @523018
     /*  523018 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(523089), // Rule ID 20999 //
     /*  523023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  523034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  523037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  523040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523055 */     // MIs[0] round
     /*  523055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523065 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  523068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523074 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523087 */     GIR_RootConstrainSelectedInstOperands,
     /*  523088 */     // GIR_Coverage, 20999,
     /*  523088 */     GIR_EraseRootFromParent_Done,
     /*  523089 */   // Label 8702: @523089
     /*  523089 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(523160), // Rule ID 21002 //
     /*  523094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  523105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  523108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  523111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523126 */     // MIs[0] round
     /*  523126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523136 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  523139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523145 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523158 */     GIR_RootConstrainSelectedInstOperands,
     /*  523159 */     // GIR_Coverage, 21002,
     /*  523159 */     GIR_EraseRootFromParent_Done,
     /*  523160 */   // Label 8703: @523160
     /*  523160 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(523231), // Rule ID 21003 //
     /*  523165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  523176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  523179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  523182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523197 */     // MIs[0] round
     /*  523197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523207 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  523210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523216 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523229 */     GIR_RootConstrainSelectedInstOperands,
     /*  523230 */     // GIR_Coverage, 21003,
     /*  523230 */     GIR_EraseRootFromParent_Done,
     /*  523231 */   // Label 8704: @523231
     /*  523231 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(523302), // Rule ID 21006 //
     /*  523236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  523247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  523250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  523253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523268 */     // MIs[0] round
     /*  523268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523278 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  523281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523287 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523300 */     GIR_RootConstrainSelectedInstOperands,
     /*  523301 */     // GIR_Coverage, 21006,
     /*  523301 */     GIR_EraseRootFromParent_Done,
     /*  523302 */   // Label 8705: @523302
     /*  523302 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(523373), // Rule ID 21007 //
     /*  523307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  523318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  523321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  523324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523339 */     // MIs[0] round
     /*  523339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523349 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  523352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523358 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523371 */     GIR_RootConstrainSelectedInstOperands,
     /*  523372 */     // GIR_Coverage, 21007,
     /*  523372 */     GIR_EraseRootFromParent_Done,
     /*  523373 */   // Label 8706: @523373
     /*  523373 */   GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(523444), // Rule ID 21010 //
     /*  523378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  523389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  523392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  523395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523410 */     // MIs[0] round
     /*  523410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523420 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  523423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523429 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523442 */     GIR_RootConstrainSelectedInstOperands,
     /*  523443 */     // GIR_Coverage, 21010,
     /*  523443 */     GIR_EraseRootFromParent_Done,
     /*  523444 */   // Label 8707: @523444
     /*  523444 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(523515), // Rule ID 21011 //
     /*  523449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  523460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  523463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  523466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523481 */     // MIs[0] round
     /*  523481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523491 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  523494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523500 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523513 */     GIR_RootConstrainSelectedInstOperands,
     /*  523514 */     // GIR_Coverage, 21011,
     /*  523514 */     GIR_EraseRootFromParent_Done,
     /*  523515 */   // Label 8708: @523515
     /*  523515 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(523586), // Rule ID 21014 //
     /*  523520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  523531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  523534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  523537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523552 */     // MIs[0] round
     /*  523552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523562 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  523565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523571 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523584 */     GIR_RootConstrainSelectedInstOperands,
     /*  523585 */     // GIR_Coverage, 21014,
     /*  523585 */     GIR_EraseRootFromParent_Done,
     /*  523586 */   // Label 8709: @523586
     /*  523586 */   GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(523657), // Rule ID 21015 //
     /*  523591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  523602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  523605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  523608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523623 */     // MIs[0] round
     /*  523623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523633 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  523636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523642 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523655 */     GIR_RootConstrainSelectedInstOperands,
     /*  523656 */     // GIR_Coverage, 21015,
     /*  523656 */     GIR_EraseRootFromParent_Done,
     /*  523657 */   // Label 8710: @523657
     /*  523657 */   GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(523728), // Rule ID 21018 //
     /*  523662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  523673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523694 */     // MIs[0] round
     /*  523694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523704 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  523707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523713 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523726 */     GIR_RootConstrainSelectedInstOperands,
     /*  523727 */     // GIR_Coverage, 21018,
     /*  523727 */     GIR_EraseRootFromParent_Done,
     /*  523728 */   // Label 8711: @523728
     /*  523728 */   GIM_Try, /*On fail goto*//*Label 8712*/ GIMT_Encode4(523799), // Rule ID 21019 //
     /*  523733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  523744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523765 */     // MIs[0] round
     /*  523765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523775 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  523778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523784 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523797 */     GIR_RootConstrainSelectedInstOperands,
     /*  523798 */     // GIR_Coverage, 21019,
     /*  523798 */     GIR_EraseRootFromParent_Done,
     /*  523799 */   // Label 8712: @523799
     /*  523799 */   GIM_Try, /*On fail goto*//*Label 8713*/ GIMT_Encode4(523870), // Rule ID 21022 //
     /*  523804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523836 */     // MIs[0] round
     /*  523836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523846 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  523849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523855 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523868 */     GIR_RootConstrainSelectedInstOperands,
     /*  523869 */     // GIR_Coverage, 21022,
     /*  523869 */     GIR_EraseRootFromParent_Done,
     /*  523870 */   // Label 8713: @523870
     /*  523870 */   GIM_Try, /*On fail goto*//*Label 8714*/ GIMT_Encode4(523941), // Rule ID 21023 //
     /*  523875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523907 */     // MIs[0] round
     /*  523907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523917 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  523920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523926 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523939 */     GIR_RootConstrainSelectedInstOperands,
     /*  523940 */     // GIR_Coverage, 21023,
     /*  523940 */     GIR_EraseRootFromParent_Done,
     /*  523941 */   // Label 8714: @523941
     /*  523941 */   GIM_Try, /*On fail goto*//*Label 8715*/ GIMT_Encode4(524012), // Rule ID 21026 //
     /*  523946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  523957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  523960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523978 */     // MIs[0] round
     /*  523978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523988 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  523991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523997 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524010 */     GIR_RootConstrainSelectedInstOperands,
     /*  524011 */     // GIR_Coverage, 21026,
     /*  524011 */     GIR_EraseRootFromParent_Done,
     /*  524012 */   // Label 8715: @524012
     /*  524012 */   GIM_Try, /*On fail goto*//*Label 8716*/ GIMT_Encode4(524083), // Rule ID 21027 //
     /*  524017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  524028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  524031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  524034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524049 */     // MIs[0] round
     /*  524049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524059 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  524062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524068 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524081 */     GIR_RootConstrainSelectedInstOperands,
     /*  524082 */     // GIR_Coverage, 21027,
     /*  524082 */     GIR_EraseRootFromParent_Done,
     /*  524083 */   // Label 8716: @524083
     /*  524083 */   GIM_Try, /*On fail goto*//*Label 8717*/ GIMT_Encode4(524154), // Rule ID 21030 //
     /*  524088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  524099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  524102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  524105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524120 */     // MIs[0] round
     /*  524120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524130 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  524133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524139 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524152 */     GIR_RootConstrainSelectedInstOperands,
     /*  524153 */     // GIR_Coverage, 21030,
     /*  524153 */     GIR_EraseRootFromParent_Done,
     /*  524154 */   // Label 8717: @524154
     /*  524154 */   GIM_Try, /*On fail goto*//*Label 8718*/ GIMT_Encode4(524225), // Rule ID 21031 //
     /*  524159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  524170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  524173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  524176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524191 */     // MIs[0] round
     /*  524191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524201 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  524204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524210 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524223 */     GIR_RootConstrainSelectedInstOperands,
     /*  524224 */     // GIR_Coverage, 21031,
     /*  524224 */     GIR_EraseRootFromParent_Done,
     /*  524225 */   // Label 8718: @524225
     /*  524225 */   GIM_Try, /*On fail goto*//*Label 8719*/ GIMT_Encode4(524296), // Rule ID 21034 //
     /*  524230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  524241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  524244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  524247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524262 */     // MIs[0] round
     /*  524262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524272 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  524275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524281 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524294 */     GIR_RootConstrainSelectedInstOperands,
     /*  524295 */     // GIR_Coverage, 21034,
     /*  524295 */     GIR_EraseRootFromParent_Done,
     /*  524296 */   // Label 8719: @524296
     /*  524296 */   GIM_Try, /*On fail goto*//*Label 8720*/ GIMT_Encode4(524367), // Rule ID 21035 //
     /*  524301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  524312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  524315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  524318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524333 */     // MIs[0] round
     /*  524333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524343 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  524346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524352 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524365 */     GIR_RootConstrainSelectedInstOperands,
     /*  524366 */     // GIR_Coverage, 21035,
     /*  524366 */     GIR_EraseRootFromParent_Done,
     /*  524367 */   // Label 8720: @524367
     /*  524367 */   GIM_Try, /*On fail goto*//*Label 8721*/ GIMT_Encode4(524438), // Rule ID 21038 //
     /*  524372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  524383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  524386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  524389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524404 */     // MIs[0] round
     /*  524404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524414 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  524417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524423 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524436 */     GIR_RootConstrainSelectedInstOperands,
     /*  524437 */     // GIR_Coverage, 21038,
     /*  524437 */     GIR_EraseRootFromParent_Done,
     /*  524438 */   // Label 8721: @524438
     /*  524438 */   GIM_Try, /*On fail goto*//*Label 8722*/ GIMT_Encode4(524509), // Rule ID 21039 //
     /*  524443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  524454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  524457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  524460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524475 */     // MIs[0] round
     /*  524475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524485 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  524488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524494 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524507 */     GIR_RootConstrainSelectedInstOperands,
     /*  524508 */     // GIR_Coverage, 21039,
     /*  524508 */     GIR_EraseRootFromParent_Done,
     /*  524509 */   // Label 8722: @524509
     /*  524509 */   GIM_Try, /*On fail goto*//*Label 8723*/ GIMT_Encode4(524580), // Rule ID 21042 //
     /*  524514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  524525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  524528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  524531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524546 */     // MIs[0] round
     /*  524546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524556 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  524559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524565 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524578 */     GIR_RootConstrainSelectedInstOperands,
     /*  524579 */     // GIR_Coverage, 21042,
     /*  524579 */     GIR_EraseRootFromParent_Done,
     /*  524580 */   // Label 8723: @524580
     /*  524580 */   GIM_Try, /*On fail goto*//*Label 8724*/ GIMT_Encode4(524651), // Rule ID 21043 //
     /*  524585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  524596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  524599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  524602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524617 */     // MIs[0] round
     /*  524617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524627 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  524630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524636 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524649 */     GIR_RootConstrainSelectedInstOperands,
     /*  524650 */     // GIR_Coverage, 21043,
     /*  524650 */     GIR_EraseRootFromParent_Done,
     /*  524651 */   // Label 8724: @524651
     /*  524651 */   GIM_Try, /*On fail goto*//*Label 8725*/ GIMT_Encode4(524722), // Rule ID 21046 //
     /*  524656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  524667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  524670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  524673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524688 */     // MIs[0] round
     /*  524688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524698 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  524701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524707 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524720 */     GIR_RootConstrainSelectedInstOperands,
     /*  524721 */     // GIR_Coverage, 21046,
     /*  524721 */     GIR_EraseRootFromParent_Done,
     /*  524722 */   // Label 8725: @524722
     /*  524722 */   GIM_Try, /*On fail goto*//*Label 8726*/ GIMT_Encode4(524793), // Rule ID 21047 //
     /*  524727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  524738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  524741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  524744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524759 */     // MIs[0] round
     /*  524759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524769 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  524772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524778 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524791 */     GIR_RootConstrainSelectedInstOperands,
     /*  524792 */     // GIR_Coverage, 21047,
     /*  524792 */     GIR_EraseRootFromParent_Done,
     /*  524793 */   // Label 8726: @524793
     /*  524793 */   GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(524864), // Rule ID 21050 //
     /*  524798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524830 */     // MIs[0] round
     /*  524830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524840 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  524843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524849 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524862 */     GIR_RootConstrainSelectedInstOperands,
     /*  524863 */     // GIR_Coverage, 21050,
     /*  524863 */     GIR_EraseRootFromParent_Done,
     /*  524864 */   // Label 8727: @524864
     /*  524864 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(524935), // Rule ID 21051 //
     /*  524869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  524877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524901 */     // MIs[0] round
     /*  524901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524911 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  524914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524920 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524933 */     GIR_RootConstrainSelectedInstOperands,
     /*  524934 */     // GIR_Coverage, 21051,
     /*  524934 */     GIR_EraseRootFromParent_Done,
     /*  524935 */   // Label 8728: @524935
     /*  524935 */   GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(525006), // Rule ID 21054 //
     /*  524940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  524951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  524954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524972 */     // MIs[0] round
     /*  524972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524982 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  524985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524991 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525004 */     GIR_RootConstrainSelectedInstOperands,
     /*  525005 */     // GIR_Coverage, 21054,
     /*  525005 */     GIR_EraseRootFromParent_Done,
     /*  525006 */   // Label 8729: @525006
     /*  525006 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(525077), // Rule ID 21055 //
     /*  525011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  525022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  525025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  525028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525043 */     // MIs[0] round
     /*  525043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525053 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  525056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525062 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525075 */     GIR_RootConstrainSelectedInstOperands,
     /*  525076 */     // GIR_Coverage, 21055,
     /*  525076 */     GIR_EraseRootFromParent_Done,
     /*  525077 */   // Label 8730: @525077
     /*  525077 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(525148), // Rule ID 21058 //
     /*  525082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  525093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  525096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  525099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525114 */     // MIs[0] round
     /*  525114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525124 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  525127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525133 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525146 */     GIR_RootConstrainSelectedInstOperands,
     /*  525147 */     // GIR_Coverage, 21058,
     /*  525147 */     GIR_EraseRootFromParent_Done,
     /*  525148 */   // Label 8731: @525148
     /*  525148 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(525219), // Rule ID 21059 //
     /*  525153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  525164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  525167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  525170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525185 */     // MIs[0] round
     /*  525185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525195 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  525198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525204 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525217 */     GIR_RootConstrainSelectedInstOperands,
     /*  525218 */     // GIR_Coverage, 21059,
     /*  525218 */     GIR_EraseRootFromParent_Done,
     /*  525219 */   // Label 8732: @525219
     /*  525219 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(525290), // Rule ID 21062 //
     /*  525224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  525235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  525238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  525241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525256 */     // MIs[0] round
     /*  525256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525266 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  525269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525275 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525288 */     GIR_RootConstrainSelectedInstOperands,
     /*  525289 */     // GIR_Coverage, 21062,
     /*  525289 */     GIR_EraseRootFromParent_Done,
     /*  525290 */   // Label 8733: @525290
     /*  525290 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(525361), // Rule ID 21063 //
     /*  525295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  525306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  525309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  525312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525327 */     // MIs[0] round
     /*  525327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525337 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  525340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525346 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525359 */     GIR_RootConstrainSelectedInstOperands,
     /*  525360 */     // GIR_Coverage, 21063,
     /*  525360 */     GIR_EraseRootFromParent_Done,
     /*  525361 */   // Label 8734: @525361
     /*  525361 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(525432), // Rule ID 21066 //
     /*  525366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  525377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  525380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  525383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525398 */     // MIs[0] round
     /*  525398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525408 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  525411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525417 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525430 */     GIR_RootConstrainSelectedInstOperands,
     /*  525431 */     // GIR_Coverage, 21066,
     /*  525431 */     GIR_EraseRootFromParent_Done,
     /*  525432 */   // Label 8735: @525432
     /*  525432 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(525503), // Rule ID 21067 //
     /*  525437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  525448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  525451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  525454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525469 */     // MIs[0] round
     /*  525469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525479 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  525482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525488 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525501 */     GIR_RootConstrainSelectedInstOperands,
     /*  525502 */     // GIR_Coverage, 21067,
     /*  525502 */     GIR_EraseRootFromParent_Done,
     /*  525503 */   // Label 8736: @525503
     /*  525503 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(525574), // Rule ID 21070 //
     /*  525508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  525519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  525522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  525525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525540 */     // MIs[0] round
     /*  525540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525550 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  525553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525559 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525572 */     GIR_RootConstrainSelectedInstOperands,
     /*  525573 */     // GIR_Coverage, 21070,
     /*  525573 */     GIR_EraseRootFromParent_Done,
     /*  525574 */   // Label 8737: @525574
     /*  525574 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(525645), // Rule ID 21071 //
     /*  525579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  525590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  525593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  525596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525611 */     // MIs[0] round
     /*  525611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525621 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  525624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525630 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525643 */     GIR_RootConstrainSelectedInstOperands,
     /*  525644 */     // GIR_Coverage, 21071,
     /*  525644 */     GIR_EraseRootFromParent_Done,
     /*  525645 */   // Label 8738: @525645
     /*  525645 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(525716), // Rule ID 21074 //
     /*  525650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  525653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  525661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  525664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  525667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525682 */     // MIs[0] round
     /*  525682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525692 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  525692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  525695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525701 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525714 */     GIR_RootConstrainSelectedInstOperands,
     /*  525715 */     // GIR_Coverage, 21074,
     /*  525715 */     GIR_EraseRootFromParent_Done,
     /*  525716 */   // Label 8739: @525716
     /*  525716 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(525787), // Rule ID 21075 //
     /*  525721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  525724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  525732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  525735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  525738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525753 */     // MIs[0] round
     /*  525753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525763 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  525763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  525766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525772 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525785 */     GIR_RootConstrainSelectedInstOperands,
     /*  525786 */     // GIR_Coverage, 21075,
     /*  525786 */     GIR_EraseRootFromParent_Done,
     /*  525787 */   // Label 8740: @525787
     /*  525787 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(525858), // Rule ID 21078 //
     /*  525792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525824 */     // MIs[0] round
     /*  525824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525834 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  525837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525843 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525856 */     GIR_RootConstrainSelectedInstOperands,
     /*  525857 */     // GIR_Coverage, 21078,
     /*  525857 */     GIR_EraseRootFromParent_Done,
     /*  525858 */   // Label 8741: @525858
     /*  525858 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(525929), // Rule ID 21079 //
     /*  525863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525895 */     // MIs[0] round
     /*  525895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525905 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  525908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525914 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525927 */     GIR_RootConstrainSelectedInstOperands,
     /*  525928 */     // GIR_Coverage, 21079,
     /*  525928 */     GIR_EraseRootFromParent_Done,
     /*  525929 */   // Label 8742: @525929
     /*  525929 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(526000), // Rule ID 21082 //
     /*  525934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  525945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  525948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525966 */     // MIs[0] round
     /*  525966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525976 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  525979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525985 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525998 */     GIR_RootConstrainSelectedInstOperands,
     /*  525999 */     // GIR_Coverage, 21082,
     /*  525999 */     GIR_EraseRootFromParent_Done,
     /*  526000 */   // Label 8743: @526000
     /*  526000 */   GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(526071), // Rule ID 21083 //
     /*  526005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  526016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  526019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  526022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526037 */     // MIs[0] round
     /*  526037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526047 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  526050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526056 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526069 */     GIR_RootConstrainSelectedInstOperands,
     /*  526070 */     // GIR_Coverage, 21083,
     /*  526070 */     GIR_EraseRootFromParent_Done,
     /*  526071 */   // Label 8744: @526071
     /*  526071 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(526142), // Rule ID 21086 //
     /*  526076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  526087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  526090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  526093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526108 */     // MIs[0] round
     /*  526108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526118 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  526121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526127 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526140 */     GIR_RootConstrainSelectedInstOperands,
     /*  526141 */     // GIR_Coverage, 21086,
     /*  526141 */     GIR_EraseRootFromParent_Done,
     /*  526142 */   // Label 8745: @526142
     /*  526142 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(526213), // Rule ID 21087 //
     /*  526147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  526158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  526161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  526164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526179 */     // MIs[0] round
     /*  526179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526189 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  526192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526198 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526211 */     GIR_RootConstrainSelectedInstOperands,
     /*  526212 */     // GIR_Coverage, 21087,
     /*  526212 */     GIR_EraseRootFromParent_Done,
     /*  526213 */   // Label 8746: @526213
     /*  526213 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(526284), // Rule ID 21090 //
     /*  526218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  526221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  526235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526250 */     // MIs[0] round
     /*  526250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526260 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  526263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526269 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526282 */     GIR_RootConstrainSelectedInstOperands,
     /*  526283 */     // GIR_Coverage, 21090,
     /*  526283 */     GIR_EraseRootFromParent_Done,
     /*  526284 */   // Label 8747: @526284
     /*  526284 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(526355), // Rule ID 21091 //
     /*  526289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  526292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  526306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526321 */     // MIs[0] round
     /*  526321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526331 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  526334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526340 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526353 */     GIR_RootConstrainSelectedInstOperands,
     /*  526354 */     // GIR_Coverage, 21091,
     /*  526354 */     GIR_EraseRootFromParent_Done,
     /*  526355 */   // Label 8748: @526355
     /*  526355 */   GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(526426), // Rule ID 21094 //
     /*  526360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  526363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  526377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526392 */     // MIs[0] round
     /*  526392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526402 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  526405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526411 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526424 */     GIR_RootConstrainSelectedInstOperands,
     /*  526425 */     // GIR_Coverage, 21094,
     /*  526425 */     GIR_EraseRootFromParent_Done,
     /*  526426 */   // Label 8749: @526426
     /*  526426 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(526497), // Rule ID 21095 //
     /*  526431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  526434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  526448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526463 */     // MIs[0] round
     /*  526463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526473 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  526476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526482 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526495 */     GIR_RootConstrainSelectedInstOperands,
     /*  526496 */     // GIR_Coverage, 21095,
     /*  526496 */     GIR_EraseRootFromParent_Done,
     /*  526497 */   // Label 8750: @526497
     /*  526497 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(526568), // Rule ID 21098 //
     /*  526502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  526505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  526519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526534 */     // MIs[0] round
     /*  526534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526544 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  526547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526553 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526566 */     GIR_RootConstrainSelectedInstOperands,
     /*  526567 */     // GIR_Coverage, 21098,
     /*  526567 */     GIR_EraseRootFromParent_Done,
     /*  526568 */   // Label 8751: @526568
     /*  526568 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(526639), // Rule ID 21099 //
     /*  526573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  526576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  526590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526605 */     // MIs[0] round
     /*  526605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526615 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  526618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526624 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526637 */     GIR_RootConstrainSelectedInstOperands,
     /*  526638 */     // GIR_Coverage, 21099,
     /*  526638 */     GIR_EraseRootFromParent_Done,
     /*  526639 */   // Label 8752: @526639
     /*  526639 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(526710), // Rule ID 21102 //
     /*  526644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  526661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526676 */     // MIs[0] round
     /*  526676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526686 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  526689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526695 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526708 */     GIR_RootConstrainSelectedInstOperands,
     /*  526709 */     // GIR_Coverage, 21102,
     /*  526709 */     GIR_EraseRootFromParent_Done,
     /*  526710 */   // Label 8753: @526710
     /*  526710 */   GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(526781), // Rule ID 21103 //
     /*  526715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  526732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526747 */     // MIs[0] round
     /*  526747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526757 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  526760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526766 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526779 */     GIR_RootConstrainSelectedInstOperands,
     /*  526780 */     // GIR_Coverage, 21103,
     /*  526780 */     GIR_EraseRootFromParent_Done,
     /*  526781 */   // Label 8754: @526781
     /*  526781 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(526852), // Rule ID 21106 //
     /*  526786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526818 */     // MIs[0] round
     /*  526818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526828 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  526831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526837 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526850 */     GIR_RootConstrainSelectedInstOperands,
     /*  526851 */     // GIR_Coverage, 21106,
     /*  526851 */     GIR_EraseRootFromParent_Done,
     /*  526852 */   // Label 8755: @526852
     /*  526852 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(526923), // Rule ID 21107 //
     /*  526857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526889 */     // MIs[0] round
     /*  526889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526899 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  526902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526908 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526921 */     GIR_RootConstrainSelectedInstOperands,
     /*  526922 */     // GIR_Coverage, 21107,
     /*  526922 */     GIR_EraseRootFromParent_Done,
     /*  526923 */   // Label 8756: @526923
     /*  526923 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(526994), // Rule ID 21110 //
     /*  526928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  526936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  526939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  526942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  526945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526960 */     // MIs[0] round
     /*  526960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526970 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  526973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526979 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526992 */     GIR_RootConstrainSelectedInstOperands,
     /*  526993 */     // GIR_Coverage, 21110,
     /*  526993 */     GIR_EraseRootFromParent_Done,
     /*  526994 */   // Label 8757: @526994
     /*  526994 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(527065), // Rule ID 21111 //
     /*  526999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  527002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  527007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  527010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  527013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  527016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527031 */     // MIs[0] round
     /*  527031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527041 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  527041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  527044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527050 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  527060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527063 */     GIR_RootConstrainSelectedInstOperands,
     /*  527064 */     // GIR_Coverage, 21111,
     /*  527064 */     GIR_EraseRootFromParent_Done,
     /*  527065 */   // Label 8758: @527065
     /*  527065 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(527136), // Rule ID 21186 //
     /*  527070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527102 */     // MIs[0] round
     /*  527102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527112 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  527115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527121 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527134 */     GIR_RootConstrainSelectedInstOperands,
     /*  527135 */     // GIR_Coverage, 21186,
     /*  527135 */     GIR_EraseRootFromParent_Done,
     /*  527136 */   // Label 8759: @527136
     /*  527136 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(527207), // Rule ID 21187 //
     /*  527141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527173 */     // MIs[0] round
     /*  527173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527183 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  527186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527192 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527205 */     GIR_RootConstrainSelectedInstOperands,
     /*  527206 */     // GIR_Coverage, 21187,
     /*  527206 */     GIR_EraseRootFromParent_Done,
     /*  527207 */   // Label 8760: @527207
     /*  527207 */   GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(527278), // Rule ID 21190 //
     /*  527212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527244 */     // MIs[0] round
     /*  527244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527254 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  527257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527263 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527276 */     GIR_RootConstrainSelectedInstOperands,
     /*  527277 */     // GIR_Coverage, 21190,
     /*  527277 */     GIR_EraseRootFromParent_Done,
     /*  527278 */   // Label 8761: @527278
     /*  527278 */   GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(527349), // Rule ID 21191 //
     /*  527283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527315 */     // MIs[0] round
     /*  527315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527325 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  527328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527334 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527347 */     GIR_RootConstrainSelectedInstOperands,
     /*  527348 */     // GIR_Coverage, 21191,
     /*  527348 */     GIR_EraseRootFromParent_Done,
     /*  527349 */   // Label 8762: @527349
     /*  527349 */   GIM_Try, /*On fail goto*//*Label 8763*/ GIMT_Encode4(527420), // Rule ID 21194 //
     /*  527354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527386 */     // MIs[0] round
     /*  527386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  527399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527405 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527418 */     GIR_RootConstrainSelectedInstOperands,
     /*  527419 */     // GIR_Coverage, 21194,
     /*  527419 */     GIR_EraseRootFromParent_Done,
     /*  527420 */   // Label 8763: @527420
     /*  527420 */   GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(527491), // Rule ID 21195 //
     /*  527425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527457 */     // MIs[0] round
     /*  527457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  527470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527476 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527489 */     GIR_RootConstrainSelectedInstOperands,
     /*  527490 */     // GIR_Coverage, 21195,
     /*  527490 */     GIR_EraseRootFromParent_Done,
     /*  527491 */   // Label 8764: @527491
     /*  527491 */   GIM_Try, /*On fail goto*//*Label 8765*/ GIMT_Encode4(527562), // Rule ID 21198 //
     /*  527496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  527507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  527510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527528 */     // MIs[0] round
     /*  527528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527538 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  527541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527547 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527560 */     GIR_RootConstrainSelectedInstOperands,
     /*  527561 */     // GIR_Coverage, 21198,
     /*  527561 */     GIR_EraseRootFromParent_Done,
     /*  527562 */   // Label 8765: @527562
     /*  527562 */   GIM_Try, /*On fail goto*//*Label 8766*/ GIMT_Encode4(527633), // Rule ID 21199 //
     /*  527567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  527578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  527581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527599 */     // MIs[0] round
     /*  527599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527609 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  527612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527618 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527631 */     GIR_RootConstrainSelectedInstOperands,
     /*  527632 */     // GIR_Coverage, 21199,
     /*  527632 */     GIR_EraseRootFromParent_Done,
     /*  527633 */   // Label 8766: @527633
     /*  527633 */   GIM_Try, /*On fail goto*//*Label 8767*/ GIMT_Encode4(527704), // Rule ID 21202 //
     /*  527638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  527649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  527652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527670 */     // MIs[0] round
     /*  527670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527689 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527702 */     GIR_RootConstrainSelectedInstOperands,
     /*  527703 */     // GIR_Coverage, 21202,
     /*  527703 */     GIR_EraseRootFromParent_Done,
     /*  527704 */   // Label 8767: @527704
     /*  527704 */   GIM_Try, /*On fail goto*//*Label 8768*/ GIMT_Encode4(527775), // Rule ID 21203 //
     /*  527709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  527720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  527723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527741 */     // MIs[0] round
     /*  527741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527751 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527760 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527773 */     GIR_RootConstrainSelectedInstOperands,
     /*  527774 */     // GIR_Coverage, 21203,
     /*  527774 */     GIR_EraseRootFromParent_Done,
     /*  527775 */   // Label 8768: @527775
     /*  527775 */   GIM_Try, /*On fail goto*//*Label 8769*/ GIMT_Encode4(527846), // Rule ID 21206 //
     /*  527780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  527797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527812 */     // MIs[0] round
     /*  527812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  527825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527831 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527844 */     GIR_RootConstrainSelectedInstOperands,
     /*  527845 */     // GIR_Coverage, 21206,
     /*  527845 */     GIR_EraseRootFromParent_Done,
     /*  527846 */   // Label 8769: @527846
     /*  527846 */   GIM_Try, /*On fail goto*//*Label 8770*/ GIMT_Encode4(527917), // Rule ID 21207 //
     /*  527851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  527868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527883 */     // MIs[0] round
     /*  527883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527893 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  527896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527902 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527915 */     GIR_RootConstrainSelectedInstOperands,
     /*  527916 */     // GIR_Coverage, 21207,
     /*  527916 */     GIR_EraseRootFromParent_Done,
     /*  527917 */   // Label 8770: @527917
     /*  527917 */   GIM_Try, /*On fail goto*//*Label 8771*/ GIMT_Encode4(527988), // Rule ID 21210 //
     /*  527922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  527933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  527936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  527939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527954 */     // MIs[0] round
     /*  527954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  527967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527973 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527986 */     GIR_RootConstrainSelectedInstOperands,
     /*  527987 */     // GIR_Coverage, 21210,
     /*  527987 */     GIR_EraseRootFromParent_Done,
     /*  527988 */   // Label 8771: @527988
     /*  527988 */   GIM_Try, /*On fail goto*//*Label 8772*/ GIMT_Encode4(528059), // Rule ID 21211 //
     /*  527993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  528001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528025 */     // MIs[0] round
     /*  528025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528035 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  528038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528044 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528057 */     GIR_RootConstrainSelectedInstOperands,
     /*  528058 */     // GIR_Coverage, 21211,
     /*  528058 */     GIR_EraseRootFromParent_Done,
     /*  528059 */   // Label 8772: @528059
     /*  528059 */   GIM_Try, /*On fail goto*//*Label 8773*/ GIMT_Encode4(528130), // Rule ID 21214 //
     /*  528064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  528072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528096 */     // MIs[0] round
     /*  528096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528106 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  528109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528115 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528128 */     GIR_RootConstrainSelectedInstOperands,
     /*  528129 */     // GIR_Coverage, 21214,
     /*  528129 */     GIR_EraseRootFromParent_Done,
     /*  528130 */   // Label 8773: @528130
     /*  528130 */   GIM_Try, /*On fail goto*//*Label 8774*/ GIMT_Encode4(528201), // Rule ID 21215 //
     /*  528135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  528143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528167 */     // MIs[0] round
     /*  528167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528177 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  528180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528186 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528199 */     GIR_RootConstrainSelectedInstOperands,
     /*  528200 */     // GIR_Coverage, 21215,
     /*  528200 */     GIR_EraseRootFromParent_Done,
     /*  528201 */   // Label 8774: @528201
     /*  528201 */   GIM_Try, /*On fail goto*//*Label 8775*/ GIMT_Encode4(528272), // Rule ID 21218 //
     /*  528206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  528214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528238 */     // MIs[0] round
     /*  528238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528248 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  528251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528257 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528270 */     GIR_RootConstrainSelectedInstOperands,
     /*  528271 */     // GIR_Coverage, 21218,
     /*  528271 */     GIR_EraseRootFromParent_Done,
     /*  528272 */   // Label 8775: @528272
     /*  528272 */   GIM_Try, /*On fail goto*//*Label 8776*/ GIMT_Encode4(528343), // Rule ID 21219 //
     /*  528277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  528285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528309 */     // MIs[0] round
     /*  528309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528319 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  528322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528328 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528341 */     GIR_RootConstrainSelectedInstOperands,
     /*  528342 */     // GIR_Coverage, 21219,
     /*  528342 */     GIR_EraseRootFromParent_Done,
     /*  528343 */   // Label 8776: @528343
     /*  528343 */   GIM_Try, /*On fail goto*//*Label 8777*/ GIMT_Encode4(528414), // Rule ID 21222 //
     /*  528348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  528359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  528362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  528365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528380 */     // MIs[0] round
     /*  528380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  528393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528399 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528412 */     GIR_RootConstrainSelectedInstOperands,
     /*  528413 */     // GIR_Coverage, 21222,
     /*  528413 */     GIR_EraseRootFromParent_Done,
     /*  528414 */   // Label 8777: @528414
     /*  528414 */   GIM_Try, /*On fail goto*//*Label 8778*/ GIMT_Encode4(528485), // Rule ID 21223 //
     /*  528419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  528430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  528433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  528436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528451 */     // MIs[0] round
     /*  528451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528461 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  528464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528470 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528483 */     GIR_RootConstrainSelectedInstOperands,
     /*  528484 */     // GIR_Coverage, 21223,
     /*  528484 */     GIR_EraseRootFromParent_Done,
     /*  528485 */   // Label 8778: @528485
     /*  528485 */   GIM_Try, /*On fail goto*//*Label 8779*/ GIMT_Encode4(528556), // Rule ID 21226 //
     /*  528490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  528501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  528504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  528507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528522 */     // MIs[0] round
     /*  528522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  528535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528541 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528554 */     GIR_RootConstrainSelectedInstOperands,
     /*  528555 */     // GIR_Coverage, 21226,
     /*  528555 */     GIR_EraseRootFromParent_Done,
     /*  528556 */   // Label 8779: @528556
     /*  528556 */   GIM_Try, /*On fail goto*//*Label 8780*/ GIMT_Encode4(528627), // Rule ID 21227 //
     /*  528561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  528572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  528575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  528578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528593 */     // MIs[0] round
     /*  528593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  528606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528612 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528625 */     GIR_RootConstrainSelectedInstOperands,
     /*  528626 */     // GIR_Coverage, 21227,
     /*  528626 */     GIR_EraseRootFromParent_Done,
     /*  528627 */   // Label 8780: @528627
     /*  528627 */   GIM_Try, /*On fail goto*//*Label 8781*/ GIMT_Encode4(528698), // Rule ID 21230 //
     /*  528632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  528643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  528646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  528649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528664 */     // MIs[0] round
     /*  528664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528674 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528683 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528696 */     GIR_RootConstrainSelectedInstOperands,
     /*  528697 */     // GIR_Coverage, 21230,
     /*  528697 */     GIR_EraseRootFromParent_Done,
     /*  528698 */   // Label 8781: @528698
     /*  528698 */   GIM_Try, /*On fail goto*//*Label 8782*/ GIMT_Encode4(528769), // Rule ID 21231 //
     /*  528703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  528714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  528717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  528720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528735 */     // MIs[0] round
     /*  528735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528745 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528754 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528767 */     GIR_RootConstrainSelectedInstOperands,
     /*  528768 */     // GIR_Coverage, 21231,
     /*  528768 */     GIR_EraseRootFromParent_Done,
     /*  528769 */   // Label 8782: @528769
     /*  528769 */   GIM_Try, /*On fail goto*//*Label 8783*/ GIMT_Encode4(528840), // Rule ID 21234 //
     /*  528774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  528785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  528788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  528791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528806 */     // MIs[0] round
     /*  528806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528816 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528825 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528838 */     GIR_RootConstrainSelectedInstOperands,
     /*  528839 */     // GIR_Coverage, 21234,
     /*  528839 */     GIR_EraseRootFromParent_Done,
     /*  528840 */   // Label 8783: @528840
     /*  528840 */   GIM_Try, /*On fail goto*//*Label 8784*/ GIMT_Encode4(528911), // Rule ID 21235 //
     /*  528845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  528856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  528859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  528862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528877 */     // MIs[0] round
     /*  528877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528887 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528896 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528909 */     GIR_RootConstrainSelectedInstOperands,
     /*  528910 */     // GIR_Coverage, 21235,
     /*  528910 */     GIR_EraseRootFromParent_Done,
     /*  528911 */   // Label 8784: @528911
     /*  528911 */   GIM_Try, /*On fail goto*//*Label 8785*/ GIMT_Encode4(528982), // Rule ID 21238 //
     /*  528916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  528927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  528930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  528933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528948 */     // MIs[0] round
     /*  528948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  528961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528967 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528980 */     GIR_RootConstrainSelectedInstOperands,
     /*  528981 */     // GIR_Coverage, 21238,
     /*  528981 */     GIR_EraseRootFromParent_Done,
     /*  528982 */   // Label 8785: @528982
     /*  528982 */   GIM_Try, /*On fail goto*//*Label 8786*/ GIMT_Encode4(529053), // Rule ID 21239 //
     /*  528987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  528998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  529001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529019 */     // MIs[0] round
     /*  529019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529029 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  529032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529038 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529051 */     GIR_RootConstrainSelectedInstOperands,
     /*  529052 */     // GIR_Coverage, 21239,
     /*  529052 */     GIR_EraseRootFromParent_Done,
     /*  529053 */   // Label 8786: @529053
     /*  529053 */   GIM_Try, /*On fail goto*//*Label 8787*/ GIMT_Encode4(529124), // Rule ID 21242 //
     /*  529058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  529061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  529066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  529069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  529072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529090 */     // MIs[0] round
     /*  529090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529100 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  529103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529109 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529122 */     GIR_RootConstrainSelectedInstOperands,
     /*  529123 */     // GIR_Coverage, 21242,
     /*  529123 */     GIR_EraseRootFromParent_Done,
     /*  529124 */   // Label 8787: @529124
     /*  529124 */   GIM_Try, /*On fail goto*//*Label 8788*/ GIMT_Encode4(529195), // Rule ID 21243 //
     /*  529129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  529132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  529137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  529140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  529143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529161 */     // MIs[0] round
     /*  529161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529171 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  529174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529180 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529193 */     GIR_RootConstrainSelectedInstOperands,
     /*  529194 */     // GIR_Coverage, 21243,
     /*  529194 */     GIR_EraseRootFromParent_Done,
     /*  529195 */   // Label 8788: @529195
     /*  529195 */   GIM_Try, /*On fail goto*//*Label 8789*/ GIMT_Encode4(529266), // Rule ID 21246 //
     /*  529200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  529203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  529208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  529211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  529214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529232 */     // MIs[0] round
     /*  529232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529242 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  529245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529251 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529264 */     GIR_RootConstrainSelectedInstOperands,
     /*  529265 */     // GIR_Coverage, 21246,
     /*  529265 */     GIR_EraseRootFromParent_Done,
     /*  529266 */   // Label 8789: @529266
     /*  529266 */   GIM_Try, /*On fail goto*//*Label 8790*/ GIMT_Encode4(529337), // Rule ID 21247 //
     /*  529271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  529274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  529279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  529282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  529285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529303 */     // MIs[0] round
     /*  529303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529313 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  529316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529322 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529335 */     GIR_RootConstrainSelectedInstOperands,
     /*  529336 */     // GIR_Coverage, 21247,
     /*  529336 */     GIR_EraseRootFromParent_Done,
     /*  529337 */   // Label 8790: @529337
     /*  529337 */   GIM_Try, /*On fail goto*//*Label 8791*/ GIMT_Encode4(529408), // Rule ID 21250 //
     /*  529342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  529345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  529350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  529353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  529356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  529359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529374 */     // MIs[0] round
     /*  529374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529384 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  529387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529393 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529406 */     GIR_RootConstrainSelectedInstOperands,
     /*  529407 */     // GIR_Coverage, 21250,
     /*  529407 */     GIR_EraseRootFromParent_Done,
     /*  529408 */   // Label 8791: @529408
     /*  529408 */   GIM_Try, /*On fail goto*//*Label 8792*/ GIMT_Encode4(529479), // Rule ID 21251 //
     /*  529413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  529416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  529421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  529424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  529427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  529430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529445 */     // MIs[0] round
     /*  529445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529455 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  529458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529464 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529477 */     GIR_RootConstrainSelectedInstOperands,
     /*  529478 */     // GIR_Coverage, 21251,
     /*  529478 */     GIR_EraseRootFromParent_Done,
     /*  529479 */   // Label 8792: @529479
     /*  529479 */   GIM_Try, /*On fail goto*//*Label 8793*/ GIMT_Encode4(529550), // Rule ID 21254 //
     /*  529484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  529487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  529492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  529495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  529498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  529501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529516 */     // MIs[0] round
     /*  529516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529526 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  529529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529535 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529548 */     GIR_RootConstrainSelectedInstOperands,
     /*  529549 */     // GIR_Coverage, 21254,
     /*  529549 */     GIR_EraseRootFromParent_Done,
     /*  529550 */   // Label 8793: @529550
     /*  529550 */   GIM_Try, /*On fail goto*//*Label 8794*/ GIMT_Encode4(529621), // Rule ID 21255 //
     /*  529555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  529558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  529563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  529566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  529569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  529572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529587 */     // MIs[0] round
     /*  529587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529597 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  529600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529606 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529619 */     GIR_RootConstrainSelectedInstOperands,
     /*  529620 */     // GIR_Coverage, 21255,
     /*  529620 */     GIR_EraseRootFromParent_Done,
     /*  529621 */   // Label 8794: @529621
     /*  529621 */   GIM_Try, /*On fail goto*//*Label 8795*/ GIMT_Encode4(529692), // Rule ID 21606 //
     /*  529626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  529637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  529640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  529643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529658 */     // MIs[0] round
     /*  529658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529668 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  529671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529677 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529690 */     GIR_RootConstrainSelectedInstOperands,
     /*  529691 */     // GIR_Coverage, 21606,
     /*  529691 */     GIR_EraseRootFromParent_Done,
     /*  529692 */   // Label 8795: @529692
     /*  529692 */   GIM_Try, /*On fail goto*//*Label 8796*/ GIMT_Encode4(529763), // Rule ID 21607 //
     /*  529697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  529708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  529711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  529714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529729 */     // MIs[0] round
     /*  529729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529739 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  529742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529748 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529761 */     GIR_RootConstrainSelectedInstOperands,
     /*  529762 */     // GIR_Coverage, 21607,
     /*  529762 */     GIR_EraseRootFromParent_Done,
     /*  529763 */   // Label 8796: @529763
     /*  529763 */   GIM_Try, /*On fail goto*//*Label 8797*/ GIMT_Encode4(529834), // Rule ID 21610 //
     /*  529768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  529779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  529782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  529785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529800 */     // MIs[0] round
     /*  529800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529810 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529819 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529832 */     GIR_RootConstrainSelectedInstOperands,
     /*  529833 */     // GIR_Coverage, 21610,
     /*  529833 */     GIR_EraseRootFromParent_Done,
     /*  529834 */   // Label 8797: @529834
     /*  529834 */   GIM_Try, /*On fail goto*//*Label 8798*/ GIMT_Encode4(529905), // Rule ID 21611 //
     /*  529839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  529850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  529853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  529856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529871 */     // MIs[0] round
     /*  529871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529881 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529890 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529903 */     GIR_RootConstrainSelectedInstOperands,
     /*  529904 */     // GIR_Coverage, 21611,
     /*  529904 */     GIR_EraseRootFromParent_Done,
     /*  529905 */   // Label 8798: @529905
     /*  529905 */   GIM_Try, /*On fail goto*//*Label 8799*/ GIMT_Encode4(529976), // Rule ID 21614 //
     /*  529910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  529921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  529924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  529927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529942 */     // MIs[0] round
     /*  529942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529952 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  529955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529961 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529974 */     GIR_RootConstrainSelectedInstOperands,
     /*  529975 */     // GIR_Coverage, 21614,
     /*  529975 */     GIR_EraseRootFromParent_Done,
     /*  529976 */   // Label 8799: @529976
     /*  529976 */   GIM_Try, /*On fail goto*//*Label 8800*/ GIMT_Encode4(530047), // Rule ID 21615 //
     /*  529981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  529992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  529995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  529998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530013 */     // MIs[0] round
     /*  530013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530023 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  530026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530032 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530045 */     GIR_RootConstrainSelectedInstOperands,
     /*  530046 */     // GIR_Coverage, 21615,
     /*  530046 */     GIR_EraseRootFromParent_Done,
     /*  530047 */   // Label 8800: @530047
     /*  530047 */   GIM_Try, /*On fail goto*//*Label 8801*/ GIMT_Encode4(530118), // Rule ID 21618 //
     /*  530052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  530063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  530066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  530069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530084 */     // MIs[0] round
     /*  530084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530094 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530103 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530116 */     GIR_RootConstrainSelectedInstOperands,
     /*  530117 */     // GIR_Coverage, 21618,
     /*  530117 */     GIR_EraseRootFromParent_Done,
     /*  530118 */   // Label 8801: @530118
     /*  530118 */   GIM_Try, /*On fail goto*//*Label 8802*/ GIMT_Encode4(530189), // Rule ID 21619 //
     /*  530123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  530134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  530137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  530140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530155 */     // MIs[0] round
     /*  530155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530165 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530174 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530187 */     GIR_RootConstrainSelectedInstOperands,
     /*  530188 */     // GIR_Coverage, 21619,
     /*  530188 */     GIR_EraseRootFromParent_Done,
     /*  530189 */   // Label 8802: @530189
     /*  530189 */   GIM_Try, /*On fail goto*//*Label 8803*/ GIMT_Encode4(530260), // Rule ID 21622 //
     /*  530194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  530205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  530208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  530211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530226 */     // MIs[0] round
     /*  530226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530245 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530258 */     GIR_RootConstrainSelectedInstOperands,
     /*  530259 */     // GIR_Coverage, 21622,
     /*  530259 */     GIR_EraseRootFromParent_Done,
     /*  530260 */   // Label 8803: @530260
     /*  530260 */   GIM_Try, /*On fail goto*//*Label 8804*/ GIMT_Encode4(530331), // Rule ID 21623 //
     /*  530265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  530276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  530279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  530282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530297 */     // MIs[0] round
     /*  530297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530307 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530316 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530329 */     GIR_RootConstrainSelectedInstOperands,
     /*  530330 */     // GIR_Coverage, 21623,
     /*  530330 */     GIR_EraseRootFromParent_Done,
     /*  530331 */   // Label 8804: @530331
     /*  530331 */   GIM_Try, /*On fail goto*//*Label 8805*/ GIMT_Encode4(530402), // Rule ID 21626 //
     /*  530336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  530347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  530350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  530353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530368 */     // MIs[0] round
     /*  530368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530378 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530387 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530400 */     GIR_RootConstrainSelectedInstOperands,
     /*  530401 */     // GIR_Coverage, 21626,
     /*  530401 */     GIR_EraseRootFromParent_Done,
     /*  530402 */   // Label 8805: @530402
     /*  530402 */   GIM_Try, /*On fail goto*//*Label 8806*/ GIMT_Encode4(530473), // Rule ID 21627 //
     /*  530407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  530418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  530421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  530424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530439 */     // MIs[0] round
     /*  530439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530449 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530458 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530471 */     GIR_RootConstrainSelectedInstOperands,
     /*  530472 */     // GIR_Coverage, 21627,
     /*  530472 */     GIR_EraseRootFromParent_Done,
     /*  530473 */   // Label 8806: @530473
     /*  530473 */   GIM_Try, /*On fail goto*//*Label 8807*/ GIMT_Encode4(530544), // Rule ID 21630 //
     /*  530478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  530489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  530492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  530495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530510 */     // MIs[0] round
     /*  530510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530520 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  530523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530529 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530542 */     GIR_RootConstrainSelectedInstOperands,
     /*  530543 */     // GIR_Coverage, 21630,
     /*  530543 */     GIR_EraseRootFromParent_Done,
     /*  530544 */   // Label 8807: @530544
     /*  530544 */   GIM_Try, /*On fail goto*//*Label 8808*/ GIMT_Encode4(530615), // Rule ID 21631 //
     /*  530549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  530560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  530563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  530566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530581 */     // MIs[0] round
     /*  530581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530591 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  530594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530600 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530613 */     GIR_RootConstrainSelectedInstOperands,
     /*  530614 */     // GIR_Coverage, 21631,
     /*  530614 */     GIR_EraseRootFromParent_Done,
     /*  530615 */   // Label 8808: @530615
     /*  530615 */   GIM_Try, /*On fail goto*//*Label 8809*/ GIMT_Encode4(530686), // Rule ID 21634 //
     /*  530620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  530631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  530634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  530637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530652 */     // MIs[0] round
     /*  530652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530662 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  530665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530671 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530684 */     GIR_RootConstrainSelectedInstOperands,
     /*  530685 */     // GIR_Coverage, 21634,
     /*  530685 */     GIR_EraseRootFromParent_Done,
     /*  530686 */   // Label 8809: @530686
     /*  530686 */   GIM_Try, /*On fail goto*//*Label 8810*/ GIMT_Encode4(530757), // Rule ID 21635 //
     /*  530691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  530702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  530705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  530708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530723 */     // MIs[0] round
     /*  530723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530733 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  530736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530742 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530755 */     GIR_RootConstrainSelectedInstOperands,
     /*  530756 */     // GIR_Coverage, 21635,
     /*  530756 */     GIR_EraseRootFromParent_Done,
     /*  530757 */   // Label 8810: @530757
     /*  530757 */   GIM_Try, /*On fail goto*//*Label 8811*/ GIMT_Encode4(530828), // Rule ID 21638 //
     /*  530762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  530773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  530776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  530779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530794 */     // MIs[0] round
     /*  530794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530804 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530813 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530826 */     GIR_RootConstrainSelectedInstOperands,
     /*  530827 */     // GIR_Coverage, 21638,
     /*  530827 */     GIR_EraseRootFromParent_Done,
     /*  530828 */   // Label 8811: @530828
     /*  530828 */   GIM_Try, /*On fail goto*//*Label 8812*/ GIMT_Encode4(530899), // Rule ID 21639 //
     /*  530833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  530844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  530847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  530850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530865 */     // MIs[0] round
     /*  530865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530875 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530884 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530897 */     GIR_RootConstrainSelectedInstOperands,
     /*  530898 */     // GIR_Coverage, 21639,
     /*  530898 */     GIR_EraseRootFromParent_Done,
     /*  530899 */   // Label 8812: @530899
     /*  530899 */   GIM_Try, /*On fail goto*//*Label 8813*/ GIMT_Encode4(530970), // Rule ID 21642 //
     /*  530904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  530915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  530918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530936 */     // MIs[0] round
     /*  530936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530955 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530968 */     GIR_RootConstrainSelectedInstOperands,
     /*  530969 */     // GIR_Coverage, 21642,
     /*  530969 */     GIR_EraseRootFromParent_Done,
     /*  530970 */   // Label 8813: @530970
     /*  530970 */   GIM_Try, /*On fail goto*//*Label 8814*/ GIMT_Encode4(531041), // Rule ID 21643 //
     /*  530975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  530986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  530989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531007 */     // MIs[0] round
     /*  531007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  531020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531026 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531039 */     GIR_RootConstrainSelectedInstOperands,
     /*  531040 */     // GIR_Coverage, 21643,
     /*  531040 */     GIR_EraseRootFromParent_Done,
     /*  531041 */   // Label 8814: @531041
     /*  531041 */   GIM_Try, /*On fail goto*//*Label 8815*/ GIMT_Encode4(531112), // Rule ID 21646 //
     /*  531046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  531049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  531054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  531057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  531060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  531063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531078 */     // MIs[0] round
     /*  531078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531088 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  531091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531097 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531110 */     GIR_RootConstrainSelectedInstOperands,
     /*  531111 */     // GIR_Coverage, 21646,
     /*  531111 */     GIR_EraseRootFromParent_Done,
     /*  531112 */   // Label 8815: @531112
     /*  531112 */   GIM_Try, /*On fail goto*//*Label 8816*/ GIMT_Encode4(531183), // Rule ID 21647 //
     /*  531117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  531120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  531125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  531128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  531131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  531134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531149 */     // MIs[0] round
     /*  531149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531159 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  531162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531168 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531181 */     GIR_RootConstrainSelectedInstOperands,
     /*  531182 */     // GIR_Coverage, 21647,
     /*  531182 */     GIR_EraseRootFromParent_Done,
     /*  531183 */   // Label 8816: @531183
     /*  531183 */   GIM_Try, /*On fail goto*//*Label 8817*/ GIMT_Encode4(531254), // Rule ID 21650 //
     /*  531188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  531191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  531196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  531199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  531202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  531205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531220 */     // MIs[0] round
     /*  531220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531230 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  531233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531239 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531252 */     GIR_RootConstrainSelectedInstOperands,
     /*  531253 */     // GIR_Coverage, 21650,
     /*  531253 */     GIR_EraseRootFromParent_Done,
     /*  531254 */   // Label 8817: @531254
     /*  531254 */   GIM_Try, /*On fail goto*//*Label 8818*/ GIMT_Encode4(531325), // Rule ID 21651 //
     /*  531259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  531262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  531267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  531270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  531273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  531276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531291 */     // MIs[0] round
     /*  531291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531301 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  531304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531310 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531323 */     GIR_RootConstrainSelectedInstOperands,
     /*  531324 */     // GIR_Coverage, 21651,
     /*  531324 */     GIR_EraseRootFromParent_Done,
     /*  531325 */   // Label 8818: @531325
     /*  531325 */   GIM_Try, /*On fail goto*//*Label 8819*/ GIMT_Encode4(531396), // Rule ID 21654 //
     /*  531330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  531333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  531338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  531341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  531344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  531347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531362 */     // MIs[0] round
     /*  531362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  531375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531381 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531394 */     GIR_RootConstrainSelectedInstOperands,
     /*  531395 */     // GIR_Coverage, 21654,
     /*  531395 */     GIR_EraseRootFromParent_Done,
     /*  531396 */   // Label 8819: @531396
     /*  531396 */   GIM_Try, /*On fail goto*//*Label 8820*/ GIMT_Encode4(531467), // Rule ID 21655 //
     /*  531401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  531404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  531409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  531412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  531415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  531418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531433 */     // MIs[0] round
     /*  531433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531443 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  531446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531452 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531465 */     GIR_RootConstrainSelectedInstOperands,
     /*  531466 */     // GIR_Coverage, 21655,
     /*  531466 */     GIR_EraseRootFromParent_Done,
     /*  531467 */   // Label 8820: @531467
     /*  531467 */   GIM_Try, /*On fail goto*//*Label 8821*/ GIMT_Encode4(531538), // Rule ID 21658 //
     /*  531472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  531475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  531480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  531483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  531486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  531489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531504 */     // MIs[0] round
     /*  531504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  531517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531523 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531536 */     GIR_RootConstrainSelectedInstOperands,
     /*  531537 */     // GIR_Coverage, 21658,
     /*  531537 */     GIR_EraseRootFromParent_Done,
     /*  531538 */   // Label 8821: @531538
     /*  531538 */   GIM_Try, /*On fail goto*//*Label 8822*/ GIMT_Encode4(531609), // Rule ID 21659 //
     /*  531543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  531546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  531551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  531554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  531557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  531560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531575 */     // MIs[0] round
     /*  531575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531585 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  531588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531594 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531607 */     GIR_RootConstrainSelectedInstOperands,
     /*  531608 */     // GIR_Coverage, 21659,
     /*  531608 */     GIR_EraseRootFromParent_Done,
     /*  531609 */   // Label 8822: @531609
     /*  531609 */   GIM_Try, /*On fail goto*//*Label 8823*/ GIMT_Encode4(531680), // Rule ID 21662 //
     /*  531614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  531617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  531622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  531625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  531631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531646 */     // MIs[0] round
     /*  531646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531656 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  531659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531665 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531678 */     GIR_RootConstrainSelectedInstOperands,
     /*  531679 */     // GIR_Coverage, 21662,
     /*  531679 */     GIR_EraseRootFromParent_Done,
     /*  531680 */   // Label 8823: @531680
     /*  531680 */   GIM_Try, /*On fail goto*//*Label 8824*/ GIMT_Encode4(531751), // Rule ID 21663 //
     /*  531685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  531688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  531693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  531696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  531702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531717 */     // MIs[0] round
     /*  531717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  531730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531736 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531749 */     GIR_RootConstrainSelectedInstOperands,
     /*  531750 */     // GIR_Coverage, 21663,
     /*  531750 */     GIR_EraseRootFromParent_Done,
     /*  531751 */   // Label 8824: @531751
     /*  531751 */   GIM_Try, /*On fail goto*//*Label 8825*/ GIMT_Encode4(531822), // Rule ID 21666 //
     /*  531756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  531767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  531770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  531773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531788 */     // MIs[0] round
     /*  531788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531798 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  531801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531807 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531820 */     GIR_RootConstrainSelectedInstOperands,
     /*  531821 */     // GIR_Coverage, 21666,
     /*  531821 */     GIR_EraseRootFromParent_Done,
     /*  531822 */   // Label 8825: @531822
     /*  531822 */   GIM_Try, /*On fail goto*//*Label 8826*/ GIMT_Encode4(531893), // Rule ID 21667 //
     /*  531827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  531838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  531841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  531844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531859 */     // MIs[0] round
     /*  531859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531869 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  531872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531878 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531891 */     GIR_RootConstrainSelectedInstOperands,
     /*  531892 */     // GIR_Coverage, 21667,
     /*  531892 */     GIR_EraseRootFromParent_Done,
     /*  531893 */   // Label 8826: @531893
     /*  531893 */   GIM_Try, /*On fail goto*//*Label 8827*/ GIMT_Encode4(531964), // Rule ID 21670 //
     /*  531898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  531909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  531912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  531915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531930 */     // MIs[0] round
     /*  531930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531940 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  531943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531949 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531962 */     GIR_RootConstrainSelectedInstOperands,
     /*  531963 */     // GIR_Coverage, 21670,
     /*  531963 */     GIR_EraseRootFromParent_Done,
     /*  531964 */   // Label 8827: @531964
     /*  531964 */   GIM_Try, /*On fail goto*//*Label 8828*/ GIMT_Encode4(532035), // Rule ID 21671 //
     /*  531969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  531980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  531983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  531986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532001 */     // MIs[0] round
     /*  532001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532011 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  532011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  532014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532020 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532033 */     GIR_RootConstrainSelectedInstOperands,
     /*  532034 */     // GIR_Coverage, 21671,
     /*  532034 */     GIR_EraseRootFromParent_Done,
     /*  532035 */   // Label 8828: @532035
     /*  532035 */   GIM_Try, /*On fail goto*//*Label 8829*/ GIMT_Encode4(532106), // Rule ID 21674 //
     /*  532040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  532051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  532054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  532057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532072 */     // MIs[0] round
     /*  532072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532082 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  532082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532091 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532104 */     GIR_RootConstrainSelectedInstOperands,
     /*  532105 */     // GIR_Coverage, 21674,
     /*  532105 */     GIR_EraseRootFromParent_Done,
     /*  532106 */   // Label 8829: @532106
     /*  532106 */   GIM_Try, /*On fail goto*//*Label 8830*/ GIMT_Encode4(532177), // Rule ID 21675 //
     /*  532111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  532122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  532125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  532128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532143 */     // MIs[0] round
     /*  532143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532153 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  532153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532162 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532175 */     GIR_RootConstrainSelectedInstOperands,
     /*  532176 */     // GIR_Coverage, 21675,
     /*  532176 */     GIR_EraseRootFromParent_Done,
     /*  532177 */   // Label 8830: @532177
     /*  532177 */   GIM_Try, /*On fail goto*//*Label 8831*/ GIMT_Encode4(532248), // Rule ID 21678 //
     /*  532182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  532193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  532196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  532199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532214 */     // MIs[0] round
     /*  532214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  532224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532233 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532246 */     GIR_RootConstrainSelectedInstOperands,
     /*  532247 */     // GIR_Coverage, 21678,
     /*  532247 */     GIR_EraseRootFromParent_Done,
     /*  532248 */   // Label 8831: @532248
     /*  532248 */   GIM_Try, /*On fail goto*//*Label 8832*/ GIMT_Encode4(532319), // Rule ID 21679 //
     /*  532253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  532264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  532267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  532270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532285 */     // MIs[0] round
     /*  532285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532295 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  532295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532304 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532317 */     GIR_RootConstrainSelectedInstOperands,
     /*  532318 */     // GIR_Coverage, 21679,
     /*  532318 */     GIR_EraseRootFromParent_Done,
     /*  532319 */   // Label 8832: @532319
     /*  532319 */   GIM_Try, /*On fail goto*//*Label 8833*/ GIMT_Encode4(532390), // Rule ID 21682 //
     /*  532324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  532335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  532338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  532341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532356 */     // MIs[0] round
     /*  532356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532366 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  532366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532375 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532388 */     GIR_RootConstrainSelectedInstOperands,
     /*  532389 */     // GIR_Coverage, 21682,
     /*  532389 */     GIR_EraseRootFromParent_Done,
     /*  532390 */   // Label 8833: @532390
     /*  532390 */   GIM_Try, /*On fail goto*//*Label 8834*/ GIMT_Encode4(532461), // Rule ID 21683 //
     /*  532395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  532406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  532409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  532412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532427 */     // MIs[0] round
     /*  532427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532437 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  532437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532446 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532459 */     GIR_RootConstrainSelectedInstOperands,
     /*  532460 */     // GIR_Coverage, 21683,
     /*  532460 */     GIR_EraseRootFromParent_Done,
     /*  532461 */   // Label 8834: @532461
     /*  532461 */   GIM_Try, /*On fail goto*//*Label 8835*/ GIMT_Encode4(532532), // Rule ID 21686 //
     /*  532466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  532477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  532480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  532483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532498 */     // MIs[0] round
     /*  532498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532508 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  532508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532517 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532530 */     GIR_RootConstrainSelectedInstOperands,
     /*  532531 */     // GIR_Coverage, 21686,
     /*  532531 */     GIR_EraseRootFromParent_Done,
     /*  532532 */   // Label 8835: @532532
     /*  532532 */   GIM_Try, /*On fail goto*//*Label 8836*/ GIMT_Encode4(532603), // Rule ID 21687 //
     /*  532537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  532548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  532551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  532554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532569 */     // MIs[0] round
     /*  532569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532579 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  532579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532588 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532601 */     GIR_RootConstrainSelectedInstOperands,
     /*  532602 */     // GIR_Coverage, 21687,
     /*  532602 */     GIR_EraseRootFromParent_Done,
     /*  532603 */   // Label 8836: @532603
     /*  532603 */   GIM_Try, /*On fail goto*//*Label 8837*/ GIMT_Encode4(532674), // Rule ID 21690 //
     /*  532608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  532611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  532619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  532622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532640 */     // MIs[0] round
     /*  532640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532650 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  532653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532659 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532672 */     GIR_RootConstrainSelectedInstOperands,
     /*  532673 */     // GIR_Coverage, 21690,
     /*  532673 */     GIR_EraseRootFromParent_Done,
     /*  532674 */   // Label 8837: @532674
     /*  532674 */   GIM_Try, /*On fail goto*//*Label 8838*/ GIMT_Encode4(532745), // Rule ID 21691 //
     /*  532679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  532690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  532693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532711 */     // MIs[0] round
     /*  532711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  532724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532730 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532743 */     GIR_RootConstrainSelectedInstOperands,
     /*  532744 */     // GIR_Coverage, 21691,
     /*  532744 */     GIR_EraseRootFromParent_Done,
     /*  532745 */   // Label 8838: @532745
     /*  532745 */   GIM_Try, /*On fail goto*//*Label 8839*/ GIMT_Encode4(532816), // Rule ID 21694 //
     /*  532750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  532753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  532761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  532764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532782 */     // MIs[0] round
     /*  532782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532792 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532801 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532814 */     GIR_RootConstrainSelectedInstOperands,
     /*  532815 */     // GIR_Coverage, 21694,
     /*  532815 */     GIR_EraseRootFromParent_Done,
     /*  532816 */   // Label 8839: @532816
     /*  532816 */   GIM_Try, /*On fail goto*//*Label 8840*/ GIMT_Encode4(532887), // Rule ID 21695 //
     /*  532821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  532832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  532835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532853 */     // MIs[0] round
     /*  532853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532863 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532872 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532885 */     GIR_RootConstrainSelectedInstOperands,
     /*  532886 */     // GIR_Coverage, 21695,
     /*  532886 */     GIR_EraseRootFromParent_Done,
     /*  532887 */   // Label 8840: @532887
     /*  532887 */   GIM_Try, /*On fail goto*//*Label 8841*/ GIMT_Encode4(532958), // Rule ID 21698 //
     /*  532892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  532895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  532903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  532906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  532909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532924 */     // MIs[0] round
     /*  532924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532934 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532943 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532956 */     GIR_RootConstrainSelectedInstOperands,
     /*  532957 */     // GIR_Coverage, 21698,
     /*  532957 */     GIR_EraseRootFromParent_Done,
     /*  532958 */   // Label 8841: @532958
     /*  532958 */   GIM_Try, /*On fail goto*//*Label 8842*/ GIMT_Encode4(533029), // Rule ID 21699 //
     /*  532963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  532974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  532977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  532980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532995 */     // MIs[0] round
     /*  532995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  533008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533014 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533027 */     GIR_RootConstrainSelectedInstOperands,
     /*  533028 */     // GIR_Coverage, 21699,
     /*  533028 */     GIR_EraseRootFromParent_Done,
     /*  533029 */   // Label 8842: @533029
     /*  533029 */   GIM_Try, /*On fail goto*//*Label 8843*/ GIMT_Encode4(533100), // Rule ID 21702 //
     /*  533034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  533037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533066 */     // MIs[0] round
     /*  533066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  533079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533085 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533098 */     GIR_RootConstrainSelectedInstOperands,
     /*  533099 */     // GIR_Coverage, 21702,
     /*  533099 */     GIR_EraseRootFromParent_Done,
     /*  533100 */   // Label 8843: @533100
     /*  533100 */   GIM_Try, /*On fail goto*//*Label 8844*/ GIMT_Encode4(533171), // Rule ID 21703 //
     /*  533105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  533108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533137 */     // MIs[0] round
     /*  533137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533147 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  533150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533156 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533169 */     GIR_RootConstrainSelectedInstOperands,
     /*  533170 */     // GIR_Coverage, 21703,
     /*  533170 */     GIR_EraseRootFromParent_Done,
     /*  533171 */   // Label 8844: @533171
     /*  533171 */   GIM_Try, /*On fail goto*//*Label 8845*/ GIMT_Encode4(533242), // Rule ID 21706 //
     /*  533176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  533179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533208 */     // MIs[0] round
     /*  533208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533218 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  533221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533227 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533240 */     GIR_RootConstrainSelectedInstOperands,
     /*  533241 */     // GIR_Coverage, 21706,
     /*  533241 */     GIR_EraseRootFromParent_Done,
     /*  533242 */   // Label 8845: @533242
     /*  533242 */   GIM_Try, /*On fail goto*//*Label 8846*/ GIMT_Encode4(533313), // Rule ID 21707 //
     /*  533247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  533250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533279 */     // MIs[0] round
     /*  533279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533289 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  533292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533298 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533311 */     GIR_RootConstrainSelectedInstOperands,
     /*  533312 */     // GIR_Coverage, 21707,
     /*  533312 */     GIR_EraseRootFromParent_Done,
     /*  533313 */   // Label 8846: @533313
     /*  533313 */   GIM_Try, /*On fail goto*//*Label 8847*/ GIMT_Encode4(533384), // Rule ID 21710 //
     /*  533318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  533321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  533335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533350 */     // MIs[0] round
     /*  533350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533360 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  533363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533369 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533382 */     GIR_RootConstrainSelectedInstOperands,
     /*  533383 */     // GIR_Coverage, 21710,
     /*  533383 */     GIR_EraseRootFromParent_Done,
     /*  533384 */   // Label 8847: @533384
     /*  533384 */   GIM_Try, /*On fail goto*//*Label 8848*/ GIMT_Encode4(533455), // Rule ID 21711 //
     /*  533389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  533392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  533406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533421 */     // MIs[0] round
     /*  533421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533431 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  533434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533440 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533453 */     GIR_RootConstrainSelectedInstOperands,
     /*  533454 */     // GIR_Coverage, 21711,
     /*  533454 */     GIR_EraseRootFromParent_Done,
     /*  533455 */   // Label 8848: @533455
     /*  533455 */   GIM_Try, /*On fail goto*//*Label 8849*/ GIMT_Encode4(533526), // Rule ID 21714 //
     /*  533460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  533463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  533471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  533474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  533477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533492 */     // MIs[0] round
     /*  533492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  533505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533511 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533524 */     GIR_RootConstrainSelectedInstOperands,
     /*  533525 */     // GIR_Coverage, 21714,
     /*  533525 */     GIR_EraseRootFromParent_Done,
     /*  533526 */   // Label 8849: @533526
     /*  533526 */   GIM_Try, /*On fail goto*//*Label 8850*/ GIMT_Encode4(533597), // Rule ID 21715 //
     /*  533531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  533534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  533542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  533545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  533548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533563 */     // MIs[0] round
     /*  533563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  533576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533582 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533595 */     GIR_RootConstrainSelectedInstOperands,
     /*  533596 */     // GIR_Coverage, 21715,
     /*  533596 */     GIR_EraseRootFromParent_Done,
     /*  533597 */   // Label 8850: @533597
     /*  533597 */   GIM_Try, /*On fail goto*//*Label 8851*/ GIMT_Encode4(533668), // Rule ID 21718 //
     /*  533602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  533605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  533613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  533616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  533619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533634 */     // MIs[0] round
     /*  533634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533644 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  533647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533653 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533666 */     GIR_RootConstrainSelectedInstOperands,
     /*  533667 */     // GIR_Coverage, 21718,
     /*  533667 */     GIR_EraseRootFromParent_Done,
     /*  533668 */   // Label 8851: @533668
     /*  533668 */   GIM_Try, /*On fail goto*//*Label 8852*/ GIMT_Encode4(533739), // Rule ID 21719 //
     /*  533673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  533676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  533684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  533687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  533690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533705 */     // MIs[0] round
     /*  533705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533715 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  533718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533724 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533737 */     GIR_RootConstrainSelectedInstOperands,
     /*  533738 */     // GIR_Coverage, 21719,
     /*  533738 */     GIR_EraseRootFromParent_Done,
     /*  533739 */   // Label 8852: @533739
     /*  533739 */   GIM_Try, /*On fail goto*//*Label 8853*/ GIMT_Encode4(533810), // Rule ID 21722 //
     /*  533744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  533747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  533755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  533758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  533761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533776 */     // MIs[0] round
     /*  533776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  533789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533795 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533808 */     GIR_RootConstrainSelectedInstOperands,
     /*  533809 */     // GIR_Coverage, 21722,
     /*  533809 */     GIR_EraseRootFromParent_Done,
     /*  533810 */   // Label 8853: @533810
     /*  533810 */   GIM_Try, /*On fail goto*//*Label 8854*/ GIMT_Encode4(533881), // Rule ID 21723 //
     /*  533815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  533818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  533823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  533826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  533829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  533832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533847 */     // MIs[0] round
     /*  533847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533857 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  533860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533866 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533879 */     GIR_RootConstrainSelectedInstOperands,
     /*  533880 */     // GIR_Coverage, 21723,
     /*  533880 */     GIR_EraseRootFromParent_Done,
     /*  533881 */   // Label 8854: @533881
     /*  533881 */   GIM_Try, /*On fail goto*//*Label 8855*/ GIMT_Encode4(533952), // Rule ID 21846 //
     /*  533886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  533897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  533900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  533903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533918 */     // MIs[0] round
     /*  533918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533928 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  533931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533937 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533950 */     GIR_RootConstrainSelectedInstOperands,
     /*  533951 */     // GIR_Coverage, 21846,
     /*  533951 */     GIR_EraseRootFromParent_Done,
     /*  533952 */   // Label 8855: @533952
     /*  533952 */   GIM_Try, /*On fail goto*//*Label 8856*/ GIMT_Encode4(534023), // Rule ID 21847 //
     /*  533957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  533968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  533971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  533974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533989 */     // MIs[0] round
     /*  533989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533999 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  534002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534008 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534021 */     GIR_RootConstrainSelectedInstOperands,
     /*  534022 */     // GIR_Coverage, 21847,
     /*  534022 */     GIR_EraseRootFromParent_Done,
     /*  534023 */   // Label 8856: @534023
     /*  534023 */   GIM_Try, /*On fail goto*//*Label 8857*/ GIMT_Encode4(534094), // Rule ID 21850 //
     /*  534028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534060 */     // MIs[0] round
     /*  534060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534070 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  534073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534079 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534092 */     GIR_RootConstrainSelectedInstOperands,
     /*  534093 */     // GIR_Coverage, 21850,
     /*  534093 */     GIR_EraseRootFromParent_Done,
     /*  534094 */   // Label 8857: @534094
     /*  534094 */   GIM_Try, /*On fail goto*//*Label 8858*/ GIMT_Encode4(534165), // Rule ID 21851 //
     /*  534099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534131 */     // MIs[0] round
     /*  534131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534141 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  534144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534150 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534163 */     GIR_RootConstrainSelectedInstOperands,
     /*  534164 */     // GIR_Coverage, 21851,
     /*  534164 */     GIR_EraseRootFromParent_Done,
     /*  534165 */   // Label 8858: @534165
     /*  534165 */   GIM_Try, /*On fail goto*//*Label 8859*/ GIMT_Encode4(534236), // Rule ID 21854 //
     /*  534170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534202 */     // MIs[0] round
     /*  534202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534212 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  534215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534221 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534234 */     GIR_RootConstrainSelectedInstOperands,
     /*  534235 */     // GIR_Coverage, 21854,
     /*  534235 */     GIR_EraseRootFromParent_Done,
     /*  534236 */   // Label 8859: @534236
     /*  534236 */   GIM_Try, /*On fail goto*//*Label 8860*/ GIMT_Encode4(534307), // Rule ID 21855 //
     /*  534241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534273 */     // MIs[0] round
     /*  534273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534283 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  534286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534292 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534305 */     GIR_RootConstrainSelectedInstOperands,
     /*  534306 */     // GIR_Coverage, 21855,
     /*  534306 */     GIR_EraseRootFromParent_Done,
     /*  534307 */   // Label 8860: @534307
     /*  534307 */   GIM_Try, /*On fail goto*//*Label 8861*/ GIMT_Encode4(534378), // Rule ID 21858 //
     /*  534312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  534329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534344 */     // MIs[0] round
     /*  534344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534354 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  534357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534363 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534376 */     GIR_RootConstrainSelectedInstOperands,
     /*  534377 */     // GIR_Coverage, 21858,
     /*  534377 */     GIR_EraseRootFromParent_Done,
     /*  534378 */   // Label 8861: @534378
     /*  534378 */   GIM_Try, /*On fail goto*//*Label 8862*/ GIMT_Encode4(534449), // Rule ID 21859 //
     /*  534383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  534400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534415 */     // MIs[0] round
     /*  534415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534425 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  534428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534434 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534447 */     GIR_RootConstrainSelectedInstOperands,
     /*  534448 */     // GIR_Coverage, 21859,
     /*  534448 */     GIR_EraseRootFromParent_Done,
     /*  534449 */   // Label 8862: @534449
     /*  534449 */   GIM_Try, /*On fail goto*//*Label 8863*/ GIMT_Encode4(534520), // Rule ID 21862 //
     /*  534454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  534465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  534468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  534471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534486 */     // MIs[0] round
     /*  534486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534496 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  534499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534505 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534518 */     GIR_RootConstrainSelectedInstOperands,
     /*  534519 */     // GIR_Coverage, 21862,
     /*  534519 */     GIR_EraseRootFromParent_Done,
     /*  534520 */   // Label 8863: @534520
     /*  534520 */   GIM_Try, /*On fail goto*//*Label 8864*/ GIMT_Encode4(534591), // Rule ID 21863 //
     /*  534525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  534536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  534539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  534542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534557 */     // MIs[0] round
     /*  534557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534567 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  534570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534576 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534589 */     GIR_RootConstrainSelectedInstOperands,
     /*  534590 */     // GIR_Coverage, 21863,
     /*  534590 */     GIR_EraseRootFromParent_Done,
     /*  534591 */   // Label 8864: @534591
     /*  534591 */   GIM_Try, /*On fail goto*//*Label 8865*/ GIMT_Encode4(534662), // Rule ID 21866 //
     /*  534596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534628 */     // MIs[0] round
     /*  534628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534638 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  534641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534647 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534660 */     GIR_RootConstrainSelectedInstOperands,
     /*  534661 */     // GIR_Coverage, 21866,
     /*  534661 */     GIR_EraseRootFromParent_Done,
     /*  534662 */   // Label 8865: @534662
     /*  534662 */   GIM_Try, /*On fail goto*//*Label 8866*/ GIMT_Encode4(534733), // Rule ID 21867 //
     /*  534667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534699 */     // MIs[0] round
     /*  534699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534709 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  534712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534718 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534731 */     GIR_RootConstrainSelectedInstOperands,
     /*  534732 */     // GIR_Coverage, 21867,
     /*  534732 */     GIR_EraseRootFromParent_Done,
     /*  534733 */   // Label 8866: @534733
     /*  534733 */   GIM_Try, /*On fail goto*//*Label 8867*/ GIMT_Encode4(534804), // Rule ID 21870 //
     /*  534738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  534749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  534752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  534755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534770 */     // MIs[0] round
     /*  534770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534780 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  534783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534789 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534802 */     GIR_RootConstrainSelectedInstOperands,
     /*  534803 */     // GIR_Coverage, 21870,
     /*  534803 */     GIR_EraseRootFromParent_Done,
     /*  534804 */   // Label 8867: @534804
     /*  534804 */   GIM_Try, /*On fail goto*//*Label 8868*/ GIMT_Encode4(534875), // Rule ID 21871 //
     /*  534809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  534820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  534823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  534826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534841 */     // MIs[0] round
     /*  534841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534851 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  534854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534860 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534873 */     GIR_RootConstrainSelectedInstOperands,
     /*  534874 */     // GIR_Coverage, 21871,
     /*  534874 */     GIR_EraseRootFromParent_Done,
     /*  534875 */   // Label 8868: @534875
     /*  534875 */   GIM_Try, /*On fail goto*//*Label 8869*/ GIMT_Encode4(534946), // Rule ID 21874 //
     /*  534880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  534891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  534894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  534897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534912 */     // MIs[0] round
     /*  534912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534922 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  534925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534931 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534944 */     GIR_RootConstrainSelectedInstOperands,
     /*  534945 */     // GIR_Coverage, 21874,
     /*  534945 */     GIR_EraseRootFromParent_Done,
     /*  534946 */   // Label 8869: @534946
     /*  534946 */   GIM_Try, /*On fail goto*//*Label 8870*/ GIMT_Encode4(535017), // Rule ID 21875 //
     /*  534951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  534959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  534962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  534965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  534968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534983 */     // MIs[0] round
     /*  534983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534993 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  534996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535002 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535015 */     GIR_RootConstrainSelectedInstOperands,
     /*  535016 */     // GIR_Coverage, 21875,
     /*  535016 */     GIR_EraseRootFromParent_Done,
     /*  535017 */   // Label 8870: @535017
     /*  535017 */   GIM_Try, /*On fail goto*//*Label 8871*/ GIMT_Encode4(535088), // Rule ID 21878 //
     /*  535022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  535030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535054 */     // MIs[0] round
     /*  535054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535064 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  535067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535073 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535086 */     GIR_RootConstrainSelectedInstOperands,
     /*  535087 */     // GIR_Coverage, 21878,
     /*  535087 */     GIR_EraseRootFromParent_Done,
     /*  535088 */   // Label 8871: @535088
     /*  535088 */   GIM_Try, /*On fail goto*//*Label 8872*/ GIMT_Encode4(535159), // Rule ID 21879 //
     /*  535093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  535101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535125 */     // MIs[0] round
     /*  535125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535135 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  535138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535144 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535157 */     GIR_RootConstrainSelectedInstOperands,
     /*  535158 */     // GIR_Coverage, 21879,
     /*  535158 */     GIR_EraseRootFromParent_Done,
     /*  535159 */   // Label 8872: @535159
     /*  535159 */   GIM_Try, /*On fail goto*//*Label 8873*/ GIMT_Encode4(535230), // Rule ID 21882 //
     /*  535164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  535175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  535178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  535181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535196 */     // MIs[0] round
     /*  535196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535206 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  535209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535215 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535228 */     GIR_RootConstrainSelectedInstOperands,
     /*  535229 */     // GIR_Coverage, 21882,
     /*  535229 */     GIR_EraseRootFromParent_Done,
     /*  535230 */   // Label 8873: @535230
     /*  535230 */   GIM_Try, /*On fail goto*//*Label 8874*/ GIMT_Encode4(535301), // Rule ID 21883 //
     /*  535235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  535246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  535249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  535252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535267 */     // MIs[0] round
     /*  535267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535277 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  535280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535286 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535299 */     GIR_RootConstrainSelectedInstOperands,
     /*  535300 */     // GIR_Coverage, 21883,
     /*  535300 */     GIR_EraseRootFromParent_Done,
     /*  535301 */   // Label 8874: @535301
     /*  535301 */   GIM_Try, /*On fail goto*//*Label 8875*/ GIMT_Encode4(535372), // Rule ID 21886 //
     /*  535306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  535317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  535320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  535323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535338 */     // MIs[0] round
     /*  535338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535348 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  535351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535357 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535370 */     GIR_RootConstrainSelectedInstOperands,
     /*  535371 */     // GIR_Coverage, 21886,
     /*  535371 */     GIR_EraseRootFromParent_Done,
     /*  535372 */   // Label 8875: @535372
     /*  535372 */   GIM_Try, /*On fail goto*//*Label 8876*/ GIMT_Encode4(535443), // Rule ID 21887 //
     /*  535377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  535388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  535391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  535394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535409 */     // MIs[0] round
     /*  535409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535419 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  535422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535428 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535441 */     GIR_RootConstrainSelectedInstOperands,
     /*  535442 */     // GIR_Coverage, 21887,
     /*  535442 */     GIR_EraseRootFromParent_Done,
     /*  535443 */   // Label 8876: @535443
     /*  535443 */   GIM_Try, /*On fail goto*//*Label 8877*/ GIMT_Encode4(535514), // Rule ID 21890 //
     /*  535448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  535459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  535462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  535465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535480 */     // MIs[0] round
     /*  535480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535490 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  535493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535499 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535512 */     GIR_RootConstrainSelectedInstOperands,
     /*  535513 */     // GIR_Coverage, 21890,
     /*  535513 */     GIR_EraseRootFromParent_Done,
     /*  535514 */   // Label 8877: @535514
     /*  535514 */   GIM_Try, /*On fail goto*//*Label 8878*/ GIMT_Encode4(535585), // Rule ID 21891 //
     /*  535519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  535530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  535533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  535536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535551 */     // MIs[0] round
     /*  535551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535561 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  535564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535570 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535583 */     GIR_RootConstrainSelectedInstOperands,
     /*  535584 */     // GIR_Coverage, 21891,
     /*  535584 */     GIR_EraseRootFromParent_Done,
     /*  535585 */   // Label 8878: @535585
     /*  535585 */   GIM_Try, /*On fail goto*//*Label 8879*/ GIMT_Encode4(535656), // Rule ID 21894 //
     /*  535590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  535601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  535607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535622 */     // MIs[0] round
     /*  535622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535632 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  535635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535641 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535654 */     GIR_RootConstrainSelectedInstOperands,
     /*  535655 */     // GIR_Coverage, 21894,
     /*  535655 */     GIR_EraseRootFromParent_Done,
     /*  535656 */   // Label 8879: @535656
     /*  535656 */   GIM_Try, /*On fail goto*//*Label 8880*/ GIMT_Encode4(535727), // Rule ID 21895 //
     /*  535661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  535672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  535678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535693 */     // MIs[0] round
     /*  535693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535703 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  535706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535712 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535725 */     GIR_RootConstrainSelectedInstOperands,
     /*  535726 */     // GIR_Coverage, 21895,
     /*  535726 */     GIR_EraseRootFromParent_Done,
     /*  535727 */   // Label 8880: @535727
     /*  535727 */   GIM_Try, /*On fail goto*//*Label 8881*/ GIMT_Encode4(535798), // Rule ID 21898 //
     /*  535732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  535746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  535749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535764 */     // MIs[0] round
     /*  535764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535774 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  535777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535783 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535796 */     GIR_RootConstrainSelectedInstOperands,
     /*  535797 */     // GIR_Coverage, 21898,
     /*  535797 */     GIR_EraseRootFromParent_Done,
     /*  535798 */   // Label 8881: @535798
     /*  535798 */   GIM_Try, /*On fail goto*//*Label 8882*/ GIMT_Encode4(535869), // Rule ID 21899 //
     /*  535803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  535817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  535820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535835 */     // MIs[0] round
     /*  535835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535845 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  535848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535854 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535867 */     GIR_RootConstrainSelectedInstOperands,
     /*  535868 */     // GIR_Coverage, 21899,
     /*  535868 */     GIR_EraseRootFromParent_Done,
     /*  535869 */   // Label 8882: @535869
     /*  535869 */   GIM_Try, /*On fail goto*//*Label 8883*/ GIMT_Encode4(535940), // Rule ID 21902 //
     /*  535874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535906 */     // MIs[0] round
     /*  535906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535916 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  535919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535925 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535938 */     GIR_RootConstrainSelectedInstOperands,
     /*  535939 */     // GIR_Coverage, 21902,
     /*  535939 */     GIR_EraseRootFromParent_Done,
     /*  535940 */   // Label 8883: @535940
     /*  535940 */   GIM_Try, /*On fail goto*//*Label 8884*/ GIMT_Encode4(536011), // Rule ID 21903 //
     /*  535945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535977 */     // MIs[0] round
     /*  535977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535987 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  535990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535996 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536009 */     GIR_RootConstrainSelectedInstOperands,
     /*  536010 */     // GIR_Coverage, 21903,
     /*  536010 */     GIR_EraseRootFromParent_Done,
     /*  536011 */   // Label 8884: @536011
     /*  536011 */   GIM_Try, /*On fail goto*//*Label 8885*/ GIMT_Encode4(536082), // Rule ID 21906 //
     /*  536016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  536019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  536024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  536027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  536030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  536033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536048 */     // MIs[0] round
     /*  536048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536058 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  536061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536067 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536080 */     GIR_RootConstrainSelectedInstOperands,
     /*  536081 */     // GIR_Coverage, 21906,
     /*  536081 */     GIR_EraseRootFromParent_Done,
     /*  536082 */   // Label 8885: @536082
     /*  536082 */   GIM_Try, /*On fail goto*//*Label 8886*/ GIMT_Encode4(536153), // Rule ID 21907 //
     /*  536087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  536090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  536095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  536098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  536101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  536104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536119 */     // MIs[0] round
     /*  536119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536129 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  536132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536138 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536151 */     GIR_RootConstrainSelectedInstOperands,
     /*  536152 */     // GIR_Coverage, 21907,
     /*  536152 */     GIR_EraseRootFromParent_Done,
     /*  536153 */   // Label 8886: @536153
     /*  536153 */   GIM_Try, /*On fail goto*//*Label 8887*/ GIMT_Encode4(536224), // Rule ID 21910 //
     /*  536158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  536161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  536166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  536169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  536172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  536175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536190 */     // MIs[0] round
     /*  536190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536200 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  536203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536209 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536222 */     GIR_RootConstrainSelectedInstOperands,
     /*  536223 */     // GIR_Coverage, 21910,
     /*  536223 */     GIR_EraseRootFromParent_Done,
     /*  536224 */   // Label 8887: @536224
     /*  536224 */   GIM_Try, /*On fail goto*//*Label 8888*/ GIMT_Encode4(536295), // Rule ID 21911 //
     /*  536229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  536232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  536237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  536240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  536243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  536246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536261 */     // MIs[0] round
     /*  536261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536271 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  536274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536280 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536293 */     GIR_RootConstrainSelectedInstOperands,
     /*  536294 */     // GIR_Coverage, 21911,
     /*  536294 */     GIR_EraseRootFromParent_Done,
     /*  536295 */   // Label 8888: @536295
     /*  536295 */   GIM_Try, /*On fail goto*//*Label 8889*/ GIMT_Encode4(536366), // Rule ID 21914 //
     /*  536300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  536303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  536308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  536311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  536314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  536317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536332 */     // MIs[0] round
     /*  536332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536342 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  536345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536351 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536364 */     GIR_RootConstrainSelectedInstOperands,
     /*  536365 */     // GIR_Coverage, 21914,
     /*  536365 */     GIR_EraseRootFromParent_Done,
     /*  536366 */   // Label 8889: @536366
     /*  536366 */   GIM_Try, /*On fail goto*//*Label 8890*/ GIMT_Encode4(536437), // Rule ID 21915 //
     /*  536371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  536374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  536379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  536382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  536385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  536388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536403 */     // MIs[0] round
     /*  536403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536413 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  536416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536422 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536435 */     GIR_RootConstrainSelectedInstOperands,
     /*  536436 */     // GIR_Coverage, 21915,
     /*  536436 */     GIR_EraseRootFromParent_Done,
     /*  536437 */   // Label 8890: @536437
     /*  536437 */   GIM_Try, /*On fail goto*//*Label 8891*/ GIMT_Encode4(536508), // Rule ID 21918 //
     /*  536442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  536445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536474 */     // MIs[0] round
     /*  536474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536484 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  536487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536493 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536506 */     GIR_RootConstrainSelectedInstOperands,
     /*  536507 */     // GIR_Coverage, 21918,
     /*  536507 */     GIR_EraseRootFromParent_Done,
     /*  536508 */   // Label 8891: @536508
     /*  536508 */   GIM_Try, /*On fail goto*//*Label 8892*/ GIMT_Encode4(536579), // Rule ID 21919 //
     /*  536513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  536516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536545 */     // MIs[0] round
     /*  536545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536555 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  536558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536564 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536577 */     GIR_RootConstrainSelectedInstOperands,
     /*  536578 */     // GIR_Coverage, 21919,
     /*  536578 */     GIR_EraseRootFromParent_Done,
     /*  536579 */   // Label 8892: @536579
     /*  536579 */   GIM_Try, /*On fail goto*//*Label 8893*/ GIMT_Encode4(536650), // Rule ID 21922 //
     /*  536584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  536587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536616 */     // MIs[0] round
     /*  536616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536626 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  536629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536635 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536648 */     GIR_RootConstrainSelectedInstOperands,
     /*  536649 */     // GIR_Coverage, 21922,
     /*  536649 */     GIR_EraseRootFromParent_Done,
     /*  536650 */   // Label 8893: @536650
     /*  536650 */   GIM_Try, /*On fail goto*//*Label 8894*/ GIMT_Encode4(536721), // Rule ID 21923 //
     /*  536655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  536658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536687 */     // MIs[0] round
     /*  536687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536697 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  536700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536706 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536719 */     GIR_RootConstrainSelectedInstOperands,
     /*  536720 */     // GIR_Coverage, 21923,
     /*  536720 */     GIR_EraseRootFromParent_Done,
     /*  536721 */   // Label 8894: @536721
     /*  536721 */   GIM_Try, /*On fail goto*//*Label 8895*/ GIMT_Encode4(536792), // Rule ID 21926 //
     /*  536726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  536729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536758 */     // MIs[0] round
     /*  536758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536768 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  536771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536777 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536790 */     GIR_RootConstrainSelectedInstOperands,
     /*  536791 */     // GIR_Coverage, 21926,
     /*  536791 */     GIR_EraseRootFromParent_Done,
     /*  536792 */   // Label 8895: @536792
     /*  536792 */   GIM_Try, /*On fail goto*//*Label 8896*/ GIMT_Encode4(536863), // Rule ID 21927 //
     /*  536797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  536800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536829 */     // MIs[0] round
     /*  536829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536839 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11239:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  536842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536848 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536861 */     GIR_RootConstrainSelectedInstOperands,
     /*  536862 */     // GIR_Coverage, 21927,
     /*  536862 */     GIR_EraseRootFromParent_Done,
     /*  536863 */   // Label 8896: @536863
     /*  536863 */   GIM_Try, /*On fail goto*//*Label 8897*/ GIMT_Encode4(536934), // Rule ID 21930 //
     /*  536868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  536871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536900 */     // MIs[0] round
     /*  536900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536910 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  536913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536919 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536932 */     GIR_RootConstrainSelectedInstOperands,
     /*  536933 */     // GIR_Coverage, 21930,
     /*  536933 */     GIR_EraseRootFromParent_Done,
     /*  536934 */   // Label 8897: @536934
     /*  536934 */   GIM_Try, /*On fail goto*//*Label 8898*/ GIMT_Encode4(537005), // Rule ID 21931 //
     /*  536939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  536942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536971 */     // MIs[0] round
     /*  536971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536981 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  536984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536990 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537003 */     GIR_RootConstrainSelectedInstOperands,
     /*  537004 */     // GIR_Coverage, 21931,
     /*  537004 */     GIR_EraseRootFromParent_Done,
     /*  537005 */   // Label 8898: @537005
     /*  537005 */   GIM_Try, /*On fail goto*//*Label 8899*/ GIMT_Encode4(537076), // Rule ID 21934 //
     /*  537010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  537013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  537018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  537027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537042 */     // MIs[0] round
     /*  537042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537052 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  537055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537061 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537074 */     GIR_RootConstrainSelectedInstOperands,
     /*  537075 */     // GIR_Coverage, 21934,
     /*  537075 */     GIR_EraseRootFromParent_Done,
     /*  537076 */   // Label 8899: @537076
     /*  537076 */   GIM_Try, /*On fail goto*//*Label 8900*/ GIMT_Encode4(537147), // Rule ID 21935 //
     /*  537081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  537084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  537089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  537098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537113 */     // MIs[0] round
     /*  537113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537123 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  537126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537132 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537145 */     GIR_RootConstrainSelectedInstOperands,
     /*  537146 */     // GIR_Coverage, 21935,
     /*  537146 */     GIR_EraseRootFromParent_Done,
     /*  537147 */   // Label 8900: @537147
     /*  537147 */   GIM_Try, /*On fail goto*//*Label 8901*/ GIMT_Encode4(537218), // Rule ID 21938 //
     /*  537152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  537155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  537160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  537169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537184 */     // MIs[0] round
     /*  537184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537194 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  537197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537203 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537216 */     GIR_RootConstrainSelectedInstOperands,
     /*  537217 */     // GIR_Coverage, 21938,
     /*  537217 */     GIR_EraseRootFromParent_Done,
     /*  537218 */   // Label 8901: @537218
     /*  537218 */   GIM_Try, /*On fail goto*//*Label 8902*/ GIMT_Encode4(537289), // Rule ID 21939 //
     /*  537223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  537226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  537231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  537240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537255 */     // MIs[0] round
     /*  537255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537265 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  537268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537274 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537287 */     GIR_RootConstrainSelectedInstOperands,
     /*  537288 */     // GIR_Coverage, 21939,
     /*  537288 */     GIR_EraseRootFromParent_Done,
     /*  537289 */   // Label 8902: @537289
     /*  537289 */   GIM_Try, /*On fail goto*//*Label 8903*/ GIMT_Encode4(537360), // Rule ID 21942 //
     /*  537294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  537297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  537302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  537305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  537308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  537311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537326 */     // MIs[0] round
     /*  537326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  537339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537345 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537358 */     GIR_RootConstrainSelectedInstOperands,
     /*  537359 */     // GIR_Coverage, 21942,
     /*  537359 */     GIR_EraseRootFromParent_Done,
     /*  537360 */   // Label 8903: @537360
     /*  537360 */   GIM_Try, /*On fail goto*//*Label 8904*/ GIMT_Encode4(537431), // Rule ID 21943 //
     /*  537365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  537368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  537373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  537376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  537379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  537382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537397 */     // MIs[0] round
     /*  537397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537407 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  537410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537416 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537429 */     GIR_RootConstrainSelectedInstOperands,
     /*  537430 */     // GIR_Coverage, 21943,
     /*  537430 */     GIR_EraseRootFromParent_Done,
     /*  537431 */   // Label 8904: @537431
     /*  537431 */   GIM_Try, /*On fail goto*//*Label 8905*/ GIMT_Encode4(537502), // Rule ID 21946 //
     /*  537436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  537439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  537444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  537447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  537450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  537453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537468 */     // MIs[0] round
     /*  537468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537478 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  537481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537487 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537500 */     GIR_RootConstrainSelectedInstOperands,
     /*  537501 */     // GIR_Coverage, 21946,
     /*  537501 */     GIR_EraseRootFromParent_Done,
     /*  537502 */   // Label 8905: @537502
     /*  537502 */   GIM_Try, /*On fail goto*//*Label 8906*/ GIMT_Encode4(537573), // Rule ID 21947 //
     /*  537507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  537510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  537515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  537518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  537521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  537524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537539 */     // MIs[0] round
     /*  537539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537549 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  537552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537558 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537571 */     GIR_RootConstrainSelectedInstOperands,
     /*  537572 */     // GIR_Coverage, 21947,
     /*  537572 */     GIR_EraseRootFromParent_Done,
     /*  537573 */   // Label 8906: @537573
     /*  537573 */   GIM_Try, /*On fail goto*//*Label 8907*/ GIMT_Encode4(537644), // Rule ID 21950 //
     /*  537578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  537581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  537586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  537589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  537592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  537595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537610 */     // MIs[0] round
     /*  537610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537620 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  537623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537629 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537642 */     GIR_RootConstrainSelectedInstOperands,
     /*  537643 */     // GIR_Coverage, 21950,
     /*  537643 */     GIR_EraseRootFromParent_Done,
     /*  537644 */   // Label 8907: @537644
     /*  537644 */   GIM_Try, /*On fail goto*//*Label 8908*/ GIMT_Encode4(537715), // Rule ID 21951 //
     /*  537649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  537652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  537657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  537660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  537663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  537666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537681 */     // MIs[0] round
     /*  537681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537691 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  537694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537700 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537713 */     GIR_RootConstrainSelectedInstOperands,
     /*  537714 */     // GIR_Coverage, 21951,
     /*  537714 */     GIR_EraseRootFromParent_Done,
     /*  537715 */   // Label 8908: @537715
     /*  537715 */   GIM_Try, /*On fail goto*//*Label 8909*/ GIMT_Encode4(537786), // Rule ID 2760 //
     /*  537720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  537737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537748 */     // MIs[0] passthru
     /*  537748 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537764 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  537767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537784 */     GIR_RootConstrainSelectedInstOperands,
     /*  537785 */     // GIR_Coverage, 2760,
     /*  537785 */     GIR_EraseRootFromParent_Done,
     /*  537786 */   // Label 8909: @537786
     /*  537786 */   GIM_Try, /*On fail goto*//*Label 8910*/ GIMT_Encode4(537857), // Rule ID 2761 //
     /*  537791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  537808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537819 */     // MIs[0] passthru
     /*  537819 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537835 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  537838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537855 */     GIR_RootConstrainSelectedInstOperands,
     /*  537856 */     // GIR_Coverage, 2761,
     /*  537856 */     GIR_EraseRootFromParent_Done,
     /*  537857 */   // Label 8910: @537857
     /*  537857 */   GIM_Try, /*On fail goto*//*Label 8911*/ GIMT_Encode4(537928), // Rule ID 4076 //
     /*  537862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  537879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537890 */     // MIs[0] passthru
     /*  537890 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537906 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  537909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537926 */     GIR_RootConstrainSelectedInstOperands,
     /*  537927 */     // GIR_Coverage, 4076,
     /*  537927 */     GIR_EraseRootFromParent_Done,
     /*  537928 */   // Label 8911: @537928
     /*  537928 */   GIM_Try, /*On fail goto*//*Label 8912*/ GIMT_Encode4(537999), // Rule ID 4077 //
     /*  537933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  537950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537961 */     // MIs[0] passthru
     /*  537961 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  537980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537997 */     GIR_RootConstrainSelectedInstOperands,
     /*  537998 */     // GIR_Coverage, 4077,
     /*  537998 */     GIR_EraseRootFromParent_Done,
     /*  537999 */   // Label 8912: @537999
     /*  537999 */   GIM_Try, /*On fail goto*//*Label 8913*/ GIMT_Encode4(538070), // Rule ID 4086 //
     /*  538004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  538015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  538018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  538021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538032 */     // MIs[0] passthru
     /*  538032 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538068 */     GIR_RootConstrainSelectedInstOperands,
     /*  538069 */     // GIR_Coverage, 4086,
     /*  538069 */     GIR_EraseRootFromParent_Done,
     /*  538070 */   // Label 8913: @538070
     /*  538070 */   GIM_Try, /*On fail goto*//*Label 8914*/ GIMT_Encode4(538141), // Rule ID 4087 //
     /*  538075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  538086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  538089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  538092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538103 */     // MIs[0] passthru
     /*  538103 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538119 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  538119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538139 */     GIR_RootConstrainSelectedInstOperands,
     /*  538140 */     // GIR_Coverage, 4087,
     /*  538140 */     GIR_EraseRootFromParent_Done,
     /*  538141 */   // Label 8914: @538141
     /*  538141 */   GIM_Try, /*On fail goto*//*Label 8915*/ GIMT_Encode4(538212), // Rule ID 4096 //
     /*  538146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  538157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  538160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  538163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538174 */     // MIs[0] passthru
     /*  538174 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538210 */     GIR_RootConstrainSelectedInstOperands,
     /*  538211 */     // GIR_Coverage, 4096,
     /*  538211 */     GIR_EraseRootFromParent_Done,
     /*  538212 */   // Label 8915: @538212
     /*  538212 */   GIM_Try, /*On fail goto*//*Label 8916*/ GIMT_Encode4(538283), // Rule ID 4097 //
     /*  538217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  538228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  538231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  538234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538245 */     // MIs[0] passthru
     /*  538245 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538261 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  538261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538281 */     GIR_RootConstrainSelectedInstOperands,
     /*  538282 */     // GIR_Coverage, 4097,
     /*  538282 */     GIR_EraseRootFromParent_Done,
     /*  538283 */   // Label 8916: @538283
     /*  538283 */   GIM_Try, /*On fail goto*//*Label 8917*/ GIMT_Encode4(538354), // Rule ID 4106 //
     /*  538288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  538299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  538302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  538305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538316 */     // MIs[0] passthru
     /*  538316 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538352 */     GIR_RootConstrainSelectedInstOperands,
     /*  538353 */     // GIR_Coverage, 4106,
     /*  538353 */     GIR_EraseRootFromParent_Done,
     /*  538354 */   // Label 8917: @538354
     /*  538354 */   GIM_Try, /*On fail goto*//*Label 8918*/ GIMT_Encode4(538425), // Rule ID 4107 //
     /*  538359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  538370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  538373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  538376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538387 */     // MIs[0] passthru
     /*  538387 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538403 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  538403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538423 */     GIR_RootConstrainSelectedInstOperands,
     /*  538424 */     // GIR_Coverage, 4107,
     /*  538424 */     GIR_EraseRootFromParent_Done,
     /*  538425 */   // Label 8918: @538425
     /*  538425 */   GIM_Try, /*On fail goto*//*Label 8919*/ GIMT_Encode4(538496), // Rule ID 4116 //
     /*  538430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  538441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  538444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  538447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538458 */     // MIs[0] passthru
     /*  538458 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538474 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538494 */     GIR_RootConstrainSelectedInstOperands,
     /*  538495 */     // GIR_Coverage, 4116,
     /*  538495 */     GIR_EraseRootFromParent_Done,
     /*  538496 */   // Label 8919: @538496
     /*  538496 */   GIM_Try, /*On fail goto*//*Label 8920*/ GIMT_Encode4(538567), // Rule ID 4117 //
     /*  538501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  538512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  538515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  538518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538529 */     // MIs[0] passthru
     /*  538529 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538545 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  538545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538565 */     GIR_RootConstrainSelectedInstOperands,
     /*  538566 */     // GIR_Coverage, 4117,
     /*  538566 */     GIR_EraseRootFromParent_Done,
     /*  538567 */   // Label 8920: @538567
     /*  538567 */   GIM_Try, /*On fail goto*//*Label 8921*/ GIMT_Encode4(538638), // Rule ID 4126 //
     /*  538572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  538583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  538586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  538589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538600 */     // MIs[0] passthru
     /*  538600 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  538619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538636 */     GIR_RootConstrainSelectedInstOperands,
     /*  538637 */     // GIR_Coverage, 4126,
     /*  538637 */     GIR_EraseRootFromParent_Done,
     /*  538638 */   // Label 8921: @538638
     /*  538638 */   GIM_Try, /*On fail goto*//*Label 8922*/ GIMT_Encode4(538709), // Rule ID 4127 //
     /*  538643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  538654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  538657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  538660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538671 */     // MIs[0] passthru
     /*  538671 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  538690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538707 */     GIR_RootConstrainSelectedInstOperands,
     /*  538708 */     // GIR_Coverage, 4127,
     /*  538708 */     GIR_EraseRootFromParent_Done,
     /*  538709 */   // Label 8922: @538709
     /*  538709 */   GIM_Try, /*On fail goto*//*Label 8923*/ GIMT_Encode4(538780), // Rule ID 4136 //
     /*  538714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  538731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538742 */     // MIs[0] passthru
     /*  538742 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538758 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538778 */     GIR_RootConstrainSelectedInstOperands,
     /*  538779 */     // GIR_Coverage, 4136,
     /*  538779 */     GIR_EraseRootFromParent_Done,
     /*  538780 */   // Label 8923: @538780
     /*  538780 */   GIM_Try, /*On fail goto*//*Label 8924*/ GIMT_Encode4(538851), // Rule ID 4137 //
     /*  538785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  538802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538813 */     // MIs[0] passthru
     /*  538813 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538829 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538849 */     GIR_RootConstrainSelectedInstOperands,
     /*  538850 */     // GIR_Coverage, 4137,
     /*  538850 */     GIR_EraseRootFromParent_Done,
     /*  538851 */   // Label 8924: @538851
     /*  538851 */   GIM_Try, /*On fail goto*//*Label 8925*/ GIMT_Encode4(538922), // Rule ID 4146 //
     /*  538856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  538873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538884 */     // MIs[0] passthru
     /*  538884 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538920 */     GIR_RootConstrainSelectedInstOperands,
     /*  538921 */     // GIR_Coverage, 4146,
     /*  538921 */     GIR_EraseRootFromParent_Done,
     /*  538922 */   // Label 8925: @538922
     /*  538922 */   GIM_Try, /*On fail goto*//*Label 8926*/ GIMT_Encode4(538993), // Rule ID 4147 //
     /*  538927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  538944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538955 */     // MIs[0] passthru
     /*  538955 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538991 */     GIR_RootConstrainSelectedInstOperands,
     /*  538992 */     // GIR_Coverage, 4147,
     /*  538992 */     GIR_EraseRootFromParent_Done,
     /*  538993 */   // Label 8926: @538993
     /*  538993 */   GIM_Try, /*On fail goto*//*Label 8927*/ GIMT_Encode4(539064), // Rule ID 4156 //
     /*  538998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  539009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  539012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  539015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539026 */     // MIs[0] passthru
     /*  539026 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539042 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  539045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539062 */     GIR_RootConstrainSelectedInstOperands,
     /*  539063 */     // GIR_Coverage, 4156,
     /*  539063 */     GIR_EraseRootFromParent_Done,
     /*  539064 */   // Label 8927: @539064
     /*  539064 */   GIM_Try, /*On fail goto*//*Label 8928*/ GIMT_Encode4(539135), // Rule ID 4157 //
     /*  539069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  539080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  539083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  539086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539097 */     // MIs[0] passthru
     /*  539097 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  539116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539133 */     GIR_RootConstrainSelectedInstOperands,
     /*  539134 */     // GIR_Coverage, 4157,
     /*  539134 */     GIR_EraseRootFromParent_Done,
     /*  539135 */   // Label 8928: @539135
     /*  539135 */   GIM_Try, /*On fail goto*//*Label 8929*/ GIMT_Encode4(539206), // Rule ID 4166 //
     /*  539140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  539151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  539154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  539157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539168 */     // MIs[0] passthru
     /*  539168 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539184 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  539187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539204 */     GIR_RootConstrainSelectedInstOperands,
     /*  539205 */     // GIR_Coverage, 4166,
     /*  539205 */     GIR_EraseRootFromParent_Done,
     /*  539206 */   // Label 8929: @539206
     /*  539206 */   GIM_Try, /*On fail goto*//*Label 8930*/ GIMT_Encode4(539277), // Rule ID 4167 //
     /*  539211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  539222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  539225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  539228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539239 */     // MIs[0] passthru
     /*  539239 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539255 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  539258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539275 */     GIR_RootConstrainSelectedInstOperands,
     /*  539276 */     // GIR_Coverage, 4167,
     /*  539276 */     GIR_EraseRootFromParent_Done,
     /*  539277 */   // Label 8930: @539277
     /*  539277 */   GIM_Try, /*On fail goto*//*Label 8931*/ GIMT_Encode4(539348), // Rule ID 4176 //
     /*  539282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  539285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  539293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  539296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  539299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539310 */     // MIs[0] passthru
     /*  539310 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539326 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  539329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539346 */     GIR_RootConstrainSelectedInstOperands,
     /*  539347 */     // GIR_Coverage, 4176,
     /*  539347 */     GIR_EraseRootFromParent_Done,
     /*  539348 */   // Label 8931: @539348
     /*  539348 */   GIM_Try, /*On fail goto*//*Label 8932*/ GIMT_Encode4(539419), // Rule ID 4177 //
     /*  539353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  539356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  539364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  539367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  539370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539381 */     // MIs[0] passthru
     /*  539381 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539397 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  539400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539417 */     GIR_RootConstrainSelectedInstOperands,
     /*  539418 */     // GIR_Coverage, 4177,
     /*  539418 */     GIR_EraseRootFromParent_Done,
     /*  539419 */   // Label 8932: @539419
     /*  539419 */   GIM_Try, /*On fail goto*//*Label 8933*/ GIMT_Encode4(539490), // Rule ID 4186 //
     /*  539424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  539427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  539435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  539438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  539441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539452 */     // MIs[0] passthru
     /*  539452 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  539471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539488 */     GIR_RootConstrainSelectedInstOperands,
     /*  539489 */     // GIR_Coverage, 4186,
     /*  539489 */     GIR_EraseRootFromParent_Done,
     /*  539490 */   // Label 8933: @539490
     /*  539490 */   GIM_Try, /*On fail goto*//*Label 8934*/ GIMT_Encode4(539561), // Rule ID 4187 //
     /*  539495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  539498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  539506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  539509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  539512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539523 */     // MIs[0] passthru
     /*  539523 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539539 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  539542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539559 */     GIR_RootConstrainSelectedInstOperands,
     /*  539560 */     // GIR_Coverage, 4187,
     /*  539560 */     GIR_EraseRootFromParent_Done,
     /*  539561 */   // Label 8934: @539561
     /*  539561 */   GIM_Try, /*On fail goto*//*Label 8935*/ GIMT_Encode4(539632), // Rule ID 4196 //
     /*  539566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  539569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  539577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  539580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  539583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539594 */     // MIs[0] passthru
     /*  539594 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539610 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  539613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539630 */     GIR_RootConstrainSelectedInstOperands,
     /*  539631 */     // GIR_Coverage, 4196,
     /*  539631 */     GIR_EraseRootFromParent_Done,
     /*  539632 */   // Label 8935: @539632
     /*  539632 */   GIM_Try, /*On fail goto*//*Label 8936*/ GIMT_Encode4(539703), // Rule ID 4197 //
     /*  539637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  539640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  539648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  539651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  539654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539665 */     // MIs[0] passthru
     /*  539665 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539681 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  539684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539701 */     GIR_RootConstrainSelectedInstOperands,
     /*  539702 */     // GIR_Coverage, 4197,
     /*  539702 */     GIR_EraseRootFromParent_Done,
     /*  539703 */   // Label 8936: @539703
     /*  539703 */   GIM_Try, /*On fail goto*//*Label 8937*/ GIMT_Encode4(539774), // Rule ID 4206 //
     /*  539708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  539711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  539719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  539722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  539725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539736 */     // MIs[0] passthru
     /*  539736 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  539755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539772 */     GIR_RootConstrainSelectedInstOperands,
     /*  539773 */     // GIR_Coverage, 4206,
     /*  539773 */     GIR_EraseRootFromParent_Done,
     /*  539774 */   // Label 8937: @539774
     /*  539774 */   GIM_Try, /*On fail goto*//*Label 8938*/ GIMT_Encode4(539845), // Rule ID 4207 //
     /*  539779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  539782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  539790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  539793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  539796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539807 */     // MIs[0] passthru
     /*  539807 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539823 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  539826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539843 */     GIR_RootConstrainSelectedInstOperands,
     /*  539844 */     // GIR_Coverage, 4207,
     /*  539844 */     GIR_EraseRootFromParent_Done,
     /*  539845 */   // Label 8938: @539845
     /*  539845 */   GIM_Try, /*On fail goto*//*Label 8939*/ GIMT_Encode4(539916), // Rule ID 4276 //
     /*  539850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539878 */     // MIs[0] passthru
     /*  539878 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539894 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  539897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539914 */     GIR_RootConstrainSelectedInstOperands,
     /*  539915 */     // GIR_Coverage, 4276,
     /*  539915 */     GIR_EraseRootFromParent_Done,
     /*  539916 */   // Label 8939: @539916
     /*  539916 */   GIM_Try, /*On fail goto*//*Label 8940*/ GIMT_Encode4(539987), // Rule ID 4277 //
     /*  539921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539949 */     // MIs[0] passthru
     /*  539949 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539965 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  539968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539985 */     GIR_RootConstrainSelectedInstOperands,
     /*  539986 */     // GIR_Coverage, 4277,
     /*  539986 */     GIR_EraseRootFromParent_Done,
     /*  539987 */   // Label 8940: @539987
     /*  539987 */   GIM_Try, /*On fail goto*//*Label 8941*/ GIMT_Encode4(540058), // Rule ID 4286 //
     /*  539992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  540003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  540006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  540009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540020 */     // MIs[0] passthru
     /*  540020 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  540039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540056 */     GIR_RootConstrainSelectedInstOperands,
     /*  540057 */     // GIR_Coverage, 4286,
     /*  540057 */     GIR_EraseRootFromParent_Done,
     /*  540058 */   // Label 8941: @540058
     /*  540058 */   GIM_Try, /*On fail goto*//*Label 8942*/ GIMT_Encode4(540129), // Rule ID 4287 //
     /*  540063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  540074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  540077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  540080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540091 */     // MIs[0] passthru
     /*  540091 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540107 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  540110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540127 */     GIR_RootConstrainSelectedInstOperands,
     /*  540128 */     // GIR_Coverage, 4287,
     /*  540128 */     GIR_EraseRootFromParent_Done,
     /*  540129 */   // Label 8942: @540129
     /*  540129 */   GIM_Try, /*On fail goto*//*Label 8943*/ GIMT_Encode4(540200), // Rule ID 4296 //
     /*  540134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  540145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  540148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  540151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540162 */     // MIs[0] passthru
     /*  540162 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540198 */     GIR_RootConstrainSelectedInstOperands,
     /*  540199 */     // GIR_Coverage, 4296,
     /*  540199 */     GIR_EraseRootFromParent_Done,
     /*  540200 */   // Label 8943: @540200
     /*  540200 */   GIM_Try, /*On fail goto*//*Label 8944*/ GIMT_Encode4(540271), // Rule ID 4297 //
     /*  540205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  540216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  540219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  540222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540233 */     // MIs[0] passthru
     /*  540233 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540249 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540269 */     GIR_RootConstrainSelectedInstOperands,
     /*  540270 */     // GIR_Coverage, 4297,
     /*  540270 */     GIR_EraseRootFromParent_Done,
     /*  540271 */   // Label 8944: @540271
     /*  540271 */   GIM_Try, /*On fail goto*//*Label 8945*/ GIMT_Encode4(540342), // Rule ID 4306 //
     /*  540276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  540287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  540290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  540293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540304 */     // MIs[0] passthru
     /*  540304 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540320 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540340 */     GIR_RootConstrainSelectedInstOperands,
     /*  540341 */     // GIR_Coverage, 4306,
     /*  540341 */     GIR_EraseRootFromParent_Done,
     /*  540342 */   // Label 8945: @540342
     /*  540342 */   GIM_Try, /*On fail goto*//*Label 8946*/ GIMT_Encode4(540413), // Rule ID 4307 //
     /*  540347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  540358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  540361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  540364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540375 */     // MIs[0] passthru
     /*  540375 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540391 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540411 */     GIR_RootConstrainSelectedInstOperands,
     /*  540412 */     // GIR_Coverage, 4307,
     /*  540412 */     GIR_EraseRootFromParent_Done,
     /*  540413 */   // Label 8946: @540413
     /*  540413 */   GIM_Try, /*On fail goto*//*Label 8947*/ GIMT_Encode4(540484), // Rule ID 4316 //
     /*  540418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  540429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  540432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  540435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540446 */     // MIs[0] passthru
     /*  540446 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540462 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540482 */     GIR_RootConstrainSelectedInstOperands,
     /*  540483 */     // GIR_Coverage, 4316,
     /*  540483 */     GIR_EraseRootFromParent_Done,
     /*  540484 */   // Label 8947: @540484
     /*  540484 */   GIM_Try, /*On fail goto*//*Label 8948*/ GIMT_Encode4(540555), // Rule ID 4317 //
     /*  540489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  540500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  540503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  540506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540517 */     // MIs[0] passthru
     /*  540517 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540533 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540553 */     GIR_RootConstrainSelectedInstOperands,
     /*  540554 */     // GIR_Coverage, 4317,
     /*  540554 */     GIR_EraseRootFromParent_Done,
     /*  540555 */   // Label 8948: @540555
     /*  540555 */   GIM_Try, /*On fail goto*//*Label 8949*/ GIMT_Encode4(540626), // Rule ID 4326 //
     /*  540560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  540571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  540574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  540577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540588 */     // MIs[0] passthru
     /*  540588 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540604 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540624 */     GIR_RootConstrainSelectedInstOperands,
     /*  540625 */     // GIR_Coverage, 4326,
     /*  540625 */     GIR_EraseRootFromParent_Done,
     /*  540626 */   // Label 8949: @540626
     /*  540626 */   GIM_Try, /*On fail goto*//*Label 8950*/ GIMT_Encode4(540697), // Rule ID 4327 //
     /*  540631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  540642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  540645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  540648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540659 */     // MIs[0] passthru
     /*  540659 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540675 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540695 */     GIR_RootConstrainSelectedInstOperands,
     /*  540696 */     // GIR_Coverage, 4327,
     /*  540696 */     GIR_EraseRootFromParent_Done,
     /*  540697 */   // Label 8950: @540697
     /*  540697 */   GIM_Try, /*On fail goto*//*Label 8951*/ GIMT_Encode4(540768), // Rule ID 4336 //
     /*  540702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  540719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540730 */     // MIs[0] passthru
     /*  540730 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  540749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540766 */     GIR_RootConstrainSelectedInstOperands,
     /*  540767 */     // GIR_Coverage, 4336,
     /*  540767 */     GIR_EraseRootFromParent_Done,
     /*  540768 */   // Label 8951: @540768
     /*  540768 */   GIM_Try, /*On fail goto*//*Label 8952*/ GIMT_Encode4(540839), // Rule ID 4337 //
     /*  540773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  540790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540801 */     // MIs[0] passthru
     /*  540801 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  540820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540837 */     GIR_RootConstrainSelectedInstOperands,
     /*  540838 */     // GIR_Coverage, 4337,
     /*  540838 */     GIR_EraseRootFromParent_Done,
     /*  540839 */   // Label 8952: @540839
     /*  540839 */   GIM_Try, /*On fail goto*//*Label 8953*/ GIMT_Encode4(540910), // Rule ID 4346 //
     /*  540844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  540861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540872 */     // MIs[0] passthru
     /*  540872 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540888 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11689:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540908 */     GIR_RootConstrainSelectedInstOperands,
     /*  540909 */     // GIR_Coverage, 4346,
     /*  540909 */     GIR_EraseRootFromParent_Done,
     /*  540910 */   // Label 8953: @540910
     /*  540910 */   GIM_Try, /*On fail goto*//*Label 8954*/ GIMT_Encode4(540981), // Rule ID 4347 //
     /*  540915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  540932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540943 */     // MIs[0] passthru
     /*  540943 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11689:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540979 */     GIR_RootConstrainSelectedInstOperands,
     /*  540980 */     // GIR_Coverage, 4347,
     /*  540980 */     GIR_EraseRootFromParent_Done,
     /*  540981 */   // Label 8954: @540981
     /*  540981 */   GIM_Try, /*On fail goto*//*Label 8955*/ GIMT_Encode4(541052), // Rule ID 4356 //
     /*  540986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  541000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  541003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541014 */     // MIs[0] passthru
     /*  541014 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  541033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541050 */     GIR_RootConstrainSelectedInstOperands,
     /*  541051 */     // GIR_Coverage, 4356,
     /*  541051 */     GIR_EraseRootFromParent_Done,
     /*  541052 */   // Label 8955: @541052
     /*  541052 */   GIM_Try, /*On fail goto*//*Label 8956*/ GIMT_Encode4(541123), // Rule ID 4357 //
     /*  541057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  541068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  541071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  541074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541085 */     // MIs[0] passthru
     /*  541085 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541101 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  541104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541121 */     GIR_RootConstrainSelectedInstOperands,
     /*  541122 */     // GIR_Coverage, 4357,
     /*  541122 */     GIR_EraseRootFromParent_Done,
     /*  541123 */   // Label 8956: @541123
     /*  541123 */   GIM_Try, /*On fail goto*//*Label 8957*/ GIMT_Encode4(541194), // Rule ID 4366 //
     /*  541128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  541139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  541142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  541145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541156 */     // MIs[0] passthru
     /*  541156 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  541175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541192 */     GIR_RootConstrainSelectedInstOperands,
     /*  541193 */     // GIR_Coverage, 4366,
     /*  541193 */     GIR_EraseRootFromParent_Done,
     /*  541194 */   // Label 8957: @541194
     /*  541194 */   GIM_Try, /*On fail goto*//*Label 8958*/ GIMT_Encode4(541265), // Rule ID 4367 //
     /*  541199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  541210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  541213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  541216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541227 */     // MIs[0] passthru
     /*  541227 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  541246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541263 */     GIR_RootConstrainSelectedInstOperands,
     /*  541264 */     // GIR_Coverage, 4367,
     /*  541264 */     GIR_EraseRootFromParent_Done,
     /*  541265 */   // Label 8958: @541265
     /*  541265 */   GIM_Try, /*On fail goto*//*Label 8959*/ GIMT_Encode4(541336), // Rule ID 4376 //
     /*  541270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  541281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  541284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  541287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541298 */     // MIs[0] passthru
     /*  541298 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  541317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541334 */     GIR_RootConstrainSelectedInstOperands,
     /*  541335 */     // GIR_Coverage, 4376,
     /*  541335 */     GIR_EraseRootFromParent_Done,
     /*  541336 */   // Label 8959: @541336
     /*  541336 */   GIM_Try, /*On fail goto*//*Label 8960*/ GIMT_Encode4(541407), // Rule ID 4377 //
     /*  541341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  541352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  541355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  541358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541369 */     // MIs[0] passthru
     /*  541369 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541385 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  541388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541405 */     GIR_RootConstrainSelectedInstOperands,
     /*  541406 */     // GIR_Coverage, 4377,
     /*  541406 */     GIR_EraseRootFromParent_Done,
     /*  541407 */   // Label 8960: @541407
     /*  541407 */   GIM_Try, /*On fail goto*//*Label 8961*/ GIMT_Encode4(541478), // Rule ID 4386 //
     /*  541412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  541415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  541423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  541426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  541429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541440 */     // MIs[0] passthru
     /*  541440 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541456 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  541459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541476 */     GIR_RootConstrainSelectedInstOperands,
     /*  541477 */     // GIR_Coverage, 4386,
     /*  541477 */     GIR_EraseRootFromParent_Done,
     /*  541478 */   // Label 8961: @541478
     /*  541478 */   GIM_Try, /*On fail goto*//*Label 8962*/ GIMT_Encode4(541549), // Rule ID 4387 //
     /*  541483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  541486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  541494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  541497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  541500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541511 */     // MIs[0] passthru
     /*  541511 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  541530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541547 */     GIR_RootConstrainSelectedInstOperands,
     /*  541548 */     // GIR_Coverage, 4387,
     /*  541548 */     GIR_EraseRootFromParent_Done,
     /*  541549 */   // Label 8962: @541549
     /*  541549 */   GIM_Try, /*On fail goto*//*Label 8963*/ GIMT_Encode4(541620), // Rule ID 4396 //
     /*  541554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  541557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  541565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  541568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  541571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541582 */     // MIs[0] passthru
     /*  541582 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  541601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541618 */     GIR_RootConstrainSelectedInstOperands,
     /*  541619 */     // GIR_Coverage, 4396,
     /*  541619 */     GIR_EraseRootFromParent_Done,
     /*  541620 */   // Label 8963: @541620
     /*  541620 */   GIM_Try, /*On fail goto*//*Label 8964*/ GIMT_Encode4(541691), // Rule ID 4397 //
     /*  541625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  541628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  541636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  541639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  541642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541653 */     // MIs[0] passthru
     /*  541653 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541669 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  541672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541689 */     GIR_RootConstrainSelectedInstOperands,
     /*  541690 */     // GIR_Coverage, 4397,
     /*  541690 */     GIR_EraseRootFromParent_Done,
     /*  541691 */   // Label 8964: @541691
     /*  541691 */   GIM_Try, /*On fail goto*//*Label 8965*/ GIMT_Encode4(541762), // Rule ID 4406 //
     /*  541696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  541699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  541707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  541710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  541713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541724 */     // MIs[0] passthru
     /*  541724 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541740 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  541743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541760 */     GIR_RootConstrainSelectedInstOperands,
     /*  541761 */     // GIR_Coverage, 4406,
     /*  541761 */     GIR_EraseRootFromParent_Done,
     /*  541762 */   // Label 8965: @541762
     /*  541762 */   GIM_Try, /*On fail goto*//*Label 8966*/ GIMT_Encode4(541833), // Rule ID 4407 //
     /*  541767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  541770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  541778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  541781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  541784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541795 */     // MIs[0] passthru
     /*  541795 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  541814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541831 */     GIR_RootConstrainSelectedInstOperands,
     /*  541832 */     // GIR_Coverage, 4407,
     /*  541832 */     GIR_EraseRootFromParent_Done,
     /*  541833 */   // Label 8966: @541833
     /*  541833 */   GIM_Try, /*On fail goto*//*Label 8967*/ GIMT_Encode4(541904), // Rule ID 4416 //
     /*  541838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  541841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  541849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  541852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  541855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541866 */     // MIs[0] passthru
     /*  541866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541882 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  541885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541902 */     GIR_RootConstrainSelectedInstOperands,
     /*  541903 */     // GIR_Coverage, 4416,
     /*  541903 */     GIR_EraseRootFromParent_Done,
     /*  541904 */   // Label 8967: @541904
     /*  541904 */   GIM_Try, /*On fail goto*//*Label 8968*/ GIMT_Encode4(541975), // Rule ID 4417 //
     /*  541909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  541912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  541917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  541920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  541923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  541926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541937 */     // MIs[0] passthru
     /*  541937 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541953 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  541956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541973 */     GIR_RootConstrainSelectedInstOperands,
     /*  541974 */     // GIR_Coverage, 4417,
     /*  541974 */     GIR_EraseRootFromParent_Done,
     /*  541975 */   // Label 8968: @541975
     /*  541975 */   GIM_Try, /*On fail goto*//*Label 8969*/ GIMT_Encode4(542046), // Rule ID 4486 //
     /*  541980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542008 */     // MIs[0] passthru
     /*  542008 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  542027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542044 */     GIR_RootConstrainSelectedInstOperands,
     /*  542045 */     // GIR_Coverage, 4486,
     /*  542045 */     GIR_EraseRootFromParent_Done,
     /*  542046 */   // Label 8969: @542046
     /*  542046 */   GIM_Try, /*On fail goto*//*Label 8970*/ GIMT_Encode4(542117), // Rule ID 4487 //
     /*  542051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  542062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  542065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  542068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542079 */     // MIs[0] passthru
     /*  542079 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542095 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  542098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542115 */     GIR_RootConstrainSelectedInstOperands,
     /*  542116 */     // GIR_Coverage, 4487,
     /*  542116 */     GIR_EraseRootFromParent_Done,
     /*  542117 */   // Label 8970: @542117
     /*  542117 */   GIM_Try, /*On fail goto*//*Label 8971*/ GIMT_Encode4(542188), // Rule ID 4496 //
     /*  542122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  542133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  542136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  542139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542150 */     // MIs[0] passthru
     /*  542150 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542166 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  542169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542186 */     GIR_RootConstrainSelectedInstOperands,
     /*  542187 */     // GIR_Coverage, 4496,
     /*  542187 */     GIR_EraseRootFromParent_Done,
     /*  542188 */   // Label 8971: @542188
     /*  542188 */   GIM_Try, /*On fail goto*//*Label 8972*/ GIMT_Encode4(542259), // Rule ID 4497 //
     /*  542193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  542204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  542207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  542210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542221 */     // MIs[0] passthru
     /*  542221 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542237 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  542240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542257 */     GIR_RootConstrainSelectedInstOperands,
     /*  542258 */     // GIR_Coverage, 4497,
     /*  542258 */     GIR_EraseRootFromParent_Done,
     /*  542259 */   // Label 8972: @542259
     /*  542259 */   GIM_Try, /*On fail goto*//*Label 8973*/ GIMT_Encode4(542330), // Rule ID 4506 //
     /*  542264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  542275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  542278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  542281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542292 */     // MIs[0] passthru
     /*  542292 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542328 */     GIR_RootConstrainSelectedInstOperands,
     /*  542329 */     // GIR_Coverage, 4506,
     /*  542329 */     GIR_EraseRootFromParent_Done,
     /*  542330 */   // Label 8973: @542330
     /*  542330 */   GIM_Try, /*On fail goto*//*Label 8974*/ GIMT_Encode4(542401), // Rule ID 4507 //
     /*  542335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  542346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  542349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  542352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542363 */     // MIs[0] passthru
     /*  542363 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542379 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542399 */     GIR_RootConstrainSelectedInstOperands,
     /*  542400 */     // GIR_Coverage, 4507,
     /*  542400 */     GIR_EraseRootFromParent_Done,
     /*  542401 */   // Label 8974: @542401
     /*  542401 */   GIM_Try, /*On fail goto*//*Label 8975*/ GIMT_Encode4(542472), // Rule ID 4516 //
     /*  542406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  542417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  542420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  542423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542434 */     // MIs[0] passthru
     /*  542434 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542450 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542470 */     GIR_RootConstrainSelectedInstOperands,
     /*  542471 */     // GIR_Coverage, 4516,
     /*  542471 */     GIR_EraseRootFromParent_Done,
     /*  542472 */   // Label 8975: @542472
     /*  542472 */   GIM_Try, /*On fail goto*//*Label 8976*/ GIMT_Encode4(542543), // Rule ID 4517 //
     /*  542477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  542488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  542491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  542494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542505 */     // MIs[0] passthru
     /*  542505 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542541 */     GIR_RootConstrainSelectedInstOperands,
     /*  542542 */     // GIR_Coverage, 4517,
     /*  542542 */     GIR_EraseRootFromParent_Done,
     /*  542543 */   // Label 8976: @542543
     /*  542543 */   GIM_Try, /*On fail goto*//*Label 8977*/ GIMT_Encode4(542614), // Rule ID 4526 //
     /*  542548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  542559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  542562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  542565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542576 */     // MIs[0] passthru
     /*  542576 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542592 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542612 */     GIR_RootConstrainSelectedInstOperands,
     /*  542613 */     // GIR_Coverage, 4526,
     /*  542613 */     GIR_EraseRootFromParent_Done,
     /*  542614 */   // Label 8977: @542614
     /*  542614 */   GIM_Try, /*On fail goto*//*Label 8978*/ GIMT_Encode4(542685), // Rule ID 4527 //
     /*  542619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  542630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  542633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  542636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542647 */     // MIs[0] passthru
     /*  542647 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542663 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542683 */     GIR_RootConstrainSelectedInstOperands,
     /*  542684 */     // GIR_Coverage, 4527,
     /*  542684 */     GIR_EraseRootFromParent_Done,
     /*  542685 */   // Label 8978: @542685
     /*  542685 */   GIM_Try, /*On fail goto*//*Label 8979*/ GIMT_Encode4(542756), // Rule ID 4536 //
     /*  542690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542718 */     // MIs[0] passthru
     /*  542718 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542734 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542754 */     GIR_RootConstrainSelectedInstOperands,
     /*  542755 */     // GIR_Coverage, 4536,
     /*  542755 */     GIR_EraseRootFromParent_Done,
     /*  542756 */   // Label 8979: @542756
     /*  542756 */   GIM_Try, /*On fail goto*//*Label 8980*/ GIMT_Encode4(542827), // Rule ID 4537 //
     /*  542761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542789 */     // MIs[0] passthru
     /*  542789 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542805 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542825 */     GIR_RootConstrainSelectedInstOperands,
     /*  542826 */     // GIR_Coverage, 4537,
     /*  542826 */     GIR_EraseRootFromParent_Done,
     /*  542827 */   // Label 8980: @542827
     /*  542827 */   GIM_Try, /*On fail goto*//*Label 8981*/ GIMT_Encode4(542898), // Rule ID 4546 //
     /*  542832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542860 */     // MIs[0] passthru
     /*  542860 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542876 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  542879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542896 */     GIR_RootConstrainSelectedInstOperands,
     /*  542897 */     // GIR_Coverage, 4546,
     /*  542897 */     GIR_EraseRootFromParent_Done,
     /*  542898 */   // Label 8981: @542898
     /*  542898 */   GIM_Try, /*On fail goto*//*Label 8982*/ GIMT_Encode4(542969), // Rule ID 4547 //
     /*  542903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542931 */     // MIs[0] passthru
     /*  542931 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  542950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542967 */     GIR_RootConstrainSelectedInstOperands,
     /*  542968 */     // GIR_Coverage, 4547,
     /*  542968 */     GIR_EraseRootFromParent_Done,
     /*  542969 */   // Label 8982: @542969
     /*  542969 */   GIM_Try, /*On fail goto*//*Label 8983*/ GIMT_Encode4(543040), // Rule ID 4556 //
     /*  542974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543002 */     // MIs[0] passthru
     /*  543002 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543018 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  543021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543038 */     GIR_RootConstrainSelectedInstOperands,
     /*  543039 */     // GIR_Coverage, 4556,
     /*  543039 */     GIR_EraseRootFromParent_Done,
     /*  543040 */   // Label 8983: @543040
     /*  543040 */   GIM_Try, /*On fail goto*//*Label 8984*/ GIMT_Encode4(543111), // Rule ID 4557 //
     /*  543045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  543056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  543059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  543062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543073 */     // MIs[0] passthru
     /*  543073 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  543092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543109 */     GIR_RootConstrainSelectedInstOperands,
     /*  543110 */     // GIR_Coverage, 4557,
     /*  543110 */     GIR_EraseRootFromParent_Done,
     /*  543111 */   // Label 8984: @543111
     /*  543111 */   GIM_Try, /*On fail goto*//*Label 8985*/ GIMT_Encode4(543182), // Rule ID 4566 //
     /*  543116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  543127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  543130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  543133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543144 */     // MIs[0] passthru
     /*  543144 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543160 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  543163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543180 */     GIR_RootConstrainSelectedInstOperands,
     /*  543181 */     // GIR_Coverage, 4566,
     /*  543181 */     GIR_EraseRootFromParent_Done,
     /*  543182 */   // Label 8985: @543182
     /*  543182 */   GIM_Try, /*On fail goto*//*Label 8986*/ GIMT_Encode4(543253), // Rule ID 4567 //
     /*  543187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  543198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  543201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  543204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543215 */     // MIs[0] passthru
     /*  543215 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543231 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  543234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543251 */     GIR_RootConstrainSelectedInstOperands,
     /*  543252 */     // GIR_Coverage, 4567,
     /*  543252 */     GIR_EraseRootFromParent_Done,
     /*  543253 */   // Label 8986: @543253
     /*  543253 */   GIM_Try, /*On fail goto*//*Label 8987*/ GIMT_Encode4(543324), // Rule ID 4576 //
     /*  543258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  543269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  543272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  543275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543286 */     // MIs[0] passthru
     /*  543286 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543302 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  543305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543322 */     GIR_RootConstrainSelectedInstOperands,
     /*  543323 */     // GIR_Coverage, 4576,
     /*  543323 */     GIR_EraseRootFromParent_Done,
     /*  543324 */   // Label 8987: @543324
     /*  543324 */   GIM_Try, /*On fail goto*//*Label 8988*/ GIMT_Encode4(543395), // Rule ID 4577 //
     /*  543329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  543340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  543343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  543346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543357 */     // MIs[0] passthru
     /*  543357 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543373 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  543376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543393 */     GIR_RootConstrainSelectedInstOperands,
     /*  543394 */     // GIR_Coverage, 4577,
     /*  543394 */     GIR_EraseRootFromParent_Done,
     /*  543395 */   // Label 8988: @543395
     /*  543395 */   GIM_Try, /*On fail goto*//*Label 8989*/ GIMT_Encode4(543466), // Rule ID 4586 //
     /*  543400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  543411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  543414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  543417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543428 */     // MIs[0] passthru
     /*  543428 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543444 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  543447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543464 */     GIR_RootConstrainSelectedInstOperands,
     /*  543465 */     // GIR_Coverage, 4586,
     /*  543465 */     GIR_EraseRootFromParent_Done,
     /*  543466 */   // Label 8989: @543466
     /*  543466 */   GIM_Try, /*On fail goto*//*Label 8990*/ GIMT_Encode4(543537), // Rule ID 4587 //
     /*  543471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  543482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  543485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  543488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543499 */     // MIs[0] passthru
     /*  543499 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543515 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  543518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543535 */     GIR_RootConstrainSelectedInstOperands,
     /*  543536 */     // GIR_Coverage, 4587,
     /*  543536 */     GIR_EraseRootFromParent_Done,
     /*  543537 */   // Label 8990: @543537
     /*  543537 */   GIM_Try, /*On fail goto*//*Label 8991*/ GIMT_Encode4(543608), // Rule ID 4596 //
     /*  543542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  543553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  543556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  543559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543570 */     // MIs[0] passthru
     /*  543570 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  543589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543606 */     GIR_RootConstrainSelectedInstOperands,
     /*  543607 */     // GIR_Coverage, 4596,
     /*  543607 */     GIR_EraseRootFromParent_Done,
     /*  543608 */   // Label 8991: @543608
     /*  543608 */   GIM_Try, /*On fail goto*//*Label 8992*/ GIMT_Encode4(543679), // Rule ID 4597 //
     /*  543613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  543624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  543627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  543630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543641 */     // MIs[0] passthru
     /*  543641 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543657 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  543660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543677 */     GIR_RootConstrainSelectedInstOperands,
     /*  543678 */     // GIR_Coverage, 4597,
     /*  543678 */     GIR_EraseRootFromParent_Done,
     /*  543679 */   // Label 8992: @543679
     /*  543679 */   GIM_Try, /*On fail goto*//*Label 8993*/ GIMT_Encode4(543750), // Rule ID 4606 //
     /*  543684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  543701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543712 */     // MIs[0] passthru
     /*  543712 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543728 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  543731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543748 */     GIR_RootConstrainSelectedInstOperands,
     /*  543749 */     // GIR_Coverage, 4606,
     /*  543749 */     GIR_EraseRootFromParent_Done,
     /*  543750 */   // Label 8993: @543750
     /*  543750 */   GIM_Try, /*On fail goto*//*Label 8994*/ GIMT_Encode4(543821), // Rule ID 4607 //
     /*  543755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  543772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543783 */     // MIs[0] passthru
     /*  543783 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543799 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  543802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543819 */     GIR_RootConstrainSelectedInstOperands,
     /*  543820 */     // GIR_Coverage, 4607,
     /*  543820 */     GIR_EraseRootFromParent_Done,
     /*  543821 */   // Label 8994: @543821
     /*  543821 */   GIM_Try, /*On fail goto*//*Label 8995*/ GIMT_Encode4(543892), // Rule ID 4616 //
     /*  543826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543854 */     // MIs[0] passthru
     /*  543854 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543870 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  543873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543890 */     GIR_RootConstrainSelectedInstOperands,
     /*  543891 */     // GIR_Coverage, 4616,
     /*  543891 */     GIR_EraseRootFromParent_Done,
     /*  543892 */   // Label 8995: @543892
     /*  543892 */   GIM_Try, /*On fail goto*//*Label 8996*/ GIMT_Encode4(543963), // Rule ID 4617 //
     /*  543897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543925 */     // MIs[0] passthru
     /*  543925 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543941 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  543944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543961 */     GIR_RootConstrainSelectedInstOperands,
     /*  543962 */     // GIR_Coverage, 4617,
     /*  543962 */     GIR_EraseRootFromParent_Done,
     /*  543963 */   // Label 8996: @543963
     /*  543963 */   GIM_Try, /*On fail goto*//*Label 8997*/ GIMT_Encode4(544034), // Rule ID 4626 //
     /*  543968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  543976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543996 */     // MIs[0] passthru
     /*  543996 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544012 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  544012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  544015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544032 */     GIR_RootConstrainSelectedInstOperands,
     /*  544033 */     // GIR_Coverage, 4626,
     /*  544033 */     GIR_EraseRootFromParent_Done,
     /*  544034 */   // Label 8997: @544034
     /*  544034 */   GIM_Try, /*On fail goto*//*Label 8998*/ GIMT_Encode4(544105), // Rule ID 4627 //
     /*  544039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  544042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  544047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  544050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  544053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  544056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544067 */     // MIs[0] passthru
     /*  544067 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  544083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  544086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544103 */     GIR_RootConstrainSelectedInstOperands,
     /*  544104 */     // GIR_Coverage, 4627,
     /*  544104 */     GIR_EraseRootFromParent_Done,
     /*  544105 */   // Label 8998: @544105
     /*  544105 */   GIM_Try, /*On fail goto*//*Label 8999*/ GIMT_Encode4(544176), // Rule ID 4696 //
     /*  544110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  544121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  544124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  544127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544138 */     // MIs[0] passthru
     /*  544138 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544154 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  544157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544174 */     GIR_RootConstrainSelectedInstOperands,
     /*  544175 */     // GIR_Coverage, 4696,
     /*  544175 */     GIR_EraseRootFromParent_Done,
     /*  544176 */   // Label 8999: @544176
     /*  544176 */   GIM_Try, /*On fail goto*//*Label 9000*/ GIMT_Encode4(544247), // Rule ID 4697 //
     /*  544181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  544192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  544195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  544198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544209 */     // MIs[0] passthru
     /*  544209 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544225 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  544228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544245 */     GIR_RootConstrainSelectedInstOperands,
     /*  544246 */     // GIR_Coverage, 4697,
     /*  544246 */     GIR_EraseRootFromParent_Done,
     /*  544247 */   // Label 9000: @544247
     /*  544247 */   GIM_Try, /*On fail goto*//*Label 9001*/ GIMT_Encode4(544318), // Rule ID 4706 //
     /*  544252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  544263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  544266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  544269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544280 */     // MIs[0] passthru
     /*  544280 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  544299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544316 */     GIR_RootConstrainSelectedInstOperands,
     /*  544317 */     // GIR_Coverage, 4706,
     /*  544317 */     GIR_EraseRootFromParent_Done,
     /*  544318 */   // Label 9001: @544318
     /*  544318 */   GIM_Try, /*On fail goto*//*Label 9002*/ GIMT_Encode4(544389), // Rule ID 4707 //
     /*  544323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  544334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  544337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  544340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544351 */     // MIs[0] passthru
     /*  544351 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544367 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  544370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544387 */     GIR_RootConstrainSelectedInstOperands,
     /*  544388 */     // GIR_Coverage, 4707,
     /*  544388 */     GIR_EraseRootFromParent_Done,
     /*  544389 */   // Label 9002: @544389
     /*  544389 */   GIM_Try, /*On fail goto*//*Label 9003*/ GIMT_Encode4(544460), // Rule ID 4716 //
     /*  544394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  544405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  544408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  544411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544422 */     // MIs[0] passthru
     /*  544422 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544438 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544458 */     GIR_RootConstrainSelectedInstOperands,
     /*  544459 */     // GIR_Coverage, 4716,
     /*  544459 */     GIR_EraseRootFromParent_Done,
     /*  544460 */   // Label 9003: @544460
     /*  544460 */   GIM_Try, /*On fail goto*//*Label 9004*/ GIMT_Encode4(544531), // Rule ID 4717 //
     /*  544465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  544476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  544479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  544482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544493 */     // MIs[0] passthru
     /*  544493 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544509 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544529 */     GIR_RootConstrainSelectedInstOperands,
     /*  544530 */     // GIR_Coverage, 4717,
     /*  544530 */     GIR_EraseRootFromParent_Done,
     /*  544531 */   // Label 9004: @544531
     /*  544531 */   GIM_Try, /*On fail goto*//*Label 9005*/ GIMT_Encode4(544602), // Rule ID 4726 //
     /*  544536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  544547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  544550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  544553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544564 */     // MIs[0] passthru
     /*  544564 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544580 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544600 */     GIR_RootConstrainSelectedInstOperands,
     /*  544601 */     // GIR_Coverage, 4726,
     /*  544601 */     GIR_EraseRootFromParent_Done,
     /*  544602 */   // Label 9005: @544602
     /*  544602 */   GIM_Try, /*On fail goto*//*Label 9006*/ GIMT_Encode4(544673), // Rule ID 4727 //
     /*  544607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  544618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  544621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  544624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544635 */     // MIs[0] passthru
     /*  544635 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544651 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544671 */     GIR_RootConstrainSelectedInstOperands,
     /*  544672 */     // GIR_Coverage, 4727,
     /*  544672 */     GIR_EraseRootFromParent_Done,
     /*  544673 */   // Label 9006: @544673
     /*  544673 */   GIM_Try, /*On fail goto*//*Label 9007*/ GIMT_Encode4(544744), // Rule ID 4736 //
     /*  544678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  544689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  544692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  544695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544706 */     // MIs[0] passthru
     /*  544706 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544722 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544742 */     GIR_RootConstrainSelectedInstOperands,
     /*  544743 */     // GIR_Coverage, 4736,
     /*  544743 */     GIR_EraseRootFromParent_Done,
     /*  544744 */   // Label 9007: @544744
     /*  544744 */   GIM_Try, /*On fail goto*//*Label 9008*/ GIMT_Encode4(544815), // Rule ID 4737 //
     /*  544749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  544760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  544763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  544766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544777 */     // MIs[0] passthru
     /*  544777 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544793 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544813 */     GIR_RootConstrainSelectedInstOperands,
     /*  544814 */     // GIR_Coverage, 4737,
     /*  544814 */     GIR_EraseRootFromParent_Done,
     /*  544815 */   // Label 9008: @544815
     /*  544815 */   GIM_Try, /*On fail goto*//*Label 9009*/ GIMT_Encode4(544886), // Rule ID 4746 //
     /*  544820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  544837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544848 */     // MIs[0] passthru
     /*  544848 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544864 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544884 */     GIR_RootConstrainSelectedInstOperands,
     /*  544885 */     // GIR_Coverage, 4746,
     /*  544885 */     GIR_EraseRootFromParent_Done,
     /*  544886 */   // Label 9009: @544886
     /*  544886 */   GIM_Try, /*On fail goto*//*Label 9010*/ GIMT_Encode4(544957), // Rule ID 4747 //
     /*  544891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  544908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544919 */     // MIs[0] passthru
     /*  544919 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544935 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544955 */     GIR_RootConstrainSelectedInstOperands,
     /*  544956 */     // GIR_Coverage, 4747,
     /*  544956 */     GIR_EraseRootFromParent_Done,
     /*  544957 */   // Label 9010: @544957
     /*  544957 */   GIM_Try, /*On fail goto*//*Label 9011*/ GIMT_Encode4(545028), // Rule ID 4756 //
     /*  544962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  544979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544990 */     // MIs[0] passthru
     /*  544990 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  545009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545026 */     GIR_RootConstrainSelectedInstOperands,
     /*  545027 */     // GIR_Coverage, 4756,
     /*  545027 */     GIR_EraseRootFromParent_Done,
     /*  545028 */   // Label 9011: @545028
     /*  545028 */   GIM_Try, /*On fail goto*//*Label 9012*/ GIMT_Encode4(545099), // Rule ID 4757 //
     /*  545033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  545044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  545047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  545050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545061 */     // MIs[0] passthru
     /*  545061 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545077 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  545080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545097 */     GIR_RootConstrainSelectedInstOperands,
     /*  545098 */     // GIR_Coverage, 4757,
     /*  545098 */     GIR_EraseRootFromParent_Done,
     /*  545099 */   // Label 9012: @545099
     /*  545099 */   GIM_Try, /*On fail goto*//*Label 9013*/ GIMT_Encode4(545170), // Rule ID 4766 //
     /*  545104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  545115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  545118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  545121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545132 */     // MIs[0] passthru
     /*  545132 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11685:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  545151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545168 */     GIR_RootConstrainSelectedInstOperands,
     /*  545169 */     // GIR_Coverage, 4766,
     /*  545169 */     GIR_EraseRootFromParent_Done,
     /*  545170 */   // Label 9013: @545170
     /*  545170 */   GIM_Try, /*On fail goto*//*Label 9014*/ GIMT_Encode4(545241), // Rule ID 4767 //
     /*  545175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  545186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  545189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  545192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545203 */     // MIs[0] passthru
     /*  545203 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545219 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11685:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  545222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545239 */     GIR_RootConstrainSelectedInstOperands,
     /*  545240 */     // GIR_Coverage, 4767,
     /*  545240 */     GIR_EraseRootFromParent_Done,
     /*  545241 */   // Label 9014: @545241
     /*  545241 */   GIM_Try, /*On fail goto*//*Label 9015*/ GIMT_Encode4(545312), // Rule ID 4776 //
     /*  545246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  545257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  545260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  545263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545274 */     // MIs[0] passthru
     /*  545274 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  545293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545310 */     GIR_RootConstrainSelectedInstOperands,
     /*  545311 */     // GIR_Coverage, 4776,
     /*  545311 */     GIR_EraseRootFromParent_Done,
     /*  545312 */   // Label 9015: @545312
     /*  545312 */   GIM_Try, /*On fail goto*//*Label 9016*/ GIMT_Encode4(545383), // Rule ID 4777 //
     /*  545317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  545328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  545331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  545334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545345 */     // MIs[0] passthru
     /*  545345 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545361 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  545364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545381 */     GIR_RootConstrainSelectedInstOperands,
     /*  545382 */     // GIR_Coverage, 4777,
     /*  545382 */     GIR_EraseRootFromParent_Done,
     /*  545383 */   // Label 9016: @545383
     /*  545383 */   GIM_Try, /*On fail goto*//*Label 9017*/ GIMT_Encode4(545454), // Rule ID 4786 //
     /*  545388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  545399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  545402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  545405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545416 */     // MIs[0] passthru
     /*  545416 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545432 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  545435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545452 */     GIR_RootConstrainSelectedInstOperands,
     /*  545453 */     // GIR_Coverage, 4786,
     /*  545453 */     GIR_EraseRootFromParent_Done,
     /*  545454 */   // Label 9017: @545454
     /*  545454 */   GIM_Try, /*On fail goto*//*Label 9018*/ GIMT_Encode4(545525), // Rule ID 4787 //
     /*  545459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  545470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  545473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  545476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545487 */     // MIs[0] passthru
     /*  545487 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545503 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  545506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545523 */     GIR_RootConstrainSelectedInstOperands,
     /*  545524 */     // GIR_Coverage, 4787,
     /*  545524 */     GIR_EraseRootFromParent_Done,
     /*  545525 */   // Label 9018: @545525
     /*  545525 */   GIM_Try, /*On fail goto*//*Label 9019*/ GIMT_Encode4(545596), // Rule ID 4796 //
     /*  545530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  545541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  545544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  545547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545558 */     // MIs[0] passthru
     /*  545558 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  545577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545594 */     GIR_RootConstrainSelectedInstOperands,
     /*  545595 */     // GIR_Coverage, 4796,
     /*  545595 */     GIR_EraseRootFromParent_Done,
     /*  545596 */   // Label 9019: @545596
     /*  545596 */   GIM_Try, /*On fail goto*//*Label 9020*/ GIMT_Encode4(545667), // Rule ID 4797 //
     /*  545601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  545612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  545615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  545618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545629 */     // MIs[0] passthru
     /*  545629 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545645 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  545648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545665 */     GIR_RootConstrainSelectedInstOperands,
     /*  545666 */     // GIR_Coverage, 4797,
     /*  545666 */     GIR_EraseRootFromParent_Done,
     /*  545667 */   // Label 9020: @545667
     /*  545667 */   GIM_Try, /*On fail goto*//*Label 9021*/ GIMT_Encode4(545738), // Rule ID 4806 //
     /*  545672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  545683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  545686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  545689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545700 */     // MIs[0] passthru
     /*  545700 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  545719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545736 */     GIR_RootConstrainSelectedInstOperands,
     /*  545737 */     // GIR_Coverage, 4806,
     /*  545737 */     GIR_EraseRootFromParent_Done,
     /*  545738 */   // Label 9021: @545738
     /*  545738 */   GIM_Try, /*On fail goto*//*Label 9022*/ GIMT_Encode4(545809), // Rule ID 4807 //
     /*  545743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  545754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  545757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  545760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545771 */     // MIs[0] passthru
     /*  545771 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545787 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  545790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545807 */     GIR_RootConstrainSelectedInstOperands,
     /*  545808 */     // GIR_Coverage, 4807,
     /*  545808 */     GIR_EraseRootFromParent_Done,
     /*  545809 */   // Label 9022: @545809
     /*  545809 */   GIM_Try, /*On fail goto*//*Label 9023*/ GIMT_Encode4(545880), // Rule ID 4816 //
     /*  545814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  545831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545842 */     // MIs[0] passthru
     /*  545842 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  545861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545878 */     GIR_RootConstrainSelectedInstOperands,
     /*  545879 */     // GIR_Coverage, 4816,
     /*  545879 */     GIR_EraseRootFromParent_Done,
     /*  545880 */   // Label 9023: @545880
     /*  545880 */   GIM_Try, /*On fail goto*//*Label 9024*/ GIMT_Encode4(545951), // Rule ID 4817 //
     /*  545885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  545902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545913 */     // MIs[0] passthru
     /*  545913 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545929 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  545932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545949 */     GIR_RootConstrainSelectedInstOperands,
     /*  545950 */     // GIR_Coverage, 4817,
     /*  545950 */     GIR_EraseRootFromParent_Done,
     /*  545951 */   // Label 9024: @545951
     /*  545951 */   GIM_Try, /*On fail goto*//*Label 9025*/ GIMT_Encode4(546022), // Rule ID 4826 //
     /*  545956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  545967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  545970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  545973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545984 */     // MIs[0] passthru
     /*  545984 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546000 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  546000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  546003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546020 */     GIR_RootConstrainSelectedInstOperands,
     /*  546021 */     // GIR_Coverage, 4826,
     /*  546021 */     GIR_EraseRootFromParent_Done,
     /*  546022 */   // Label 9025: @546022
     /*  546022 */   GIM_Try, /*On fail goto*//*Label 9026*/ GIMT_Encode4(546093), // Rule ID 4827 //
     /*  546027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  546030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  546035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  546038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  546041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  546044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546055 */     // MIs[0] passthru
     /*  546055 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546071 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  546071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  546074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546091 */     GIR_RootConstrainSelectedInstOperands,
     /*  546092 */     // GIR_Coverage, 4827,
     /*  546092 */     GIR_EraseRootFromParent_Done,
     /*  546093 */   // Label 9026: @546093
     /*  546093 */   GIM_Try, /*On fail goto*//*Label 9027*/ GIMT_Encode4(546164), // Rule ID 4836 //
     /*  546098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  546101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  546106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  546109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  546112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  546115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546126 */     // MIs[0] passthru
     /*  546126 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  546142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  546145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546162 */     GIR_RootConstrainSelectedInstOperands,
     /*  546163 */     // GIR_Coverage, 4836,
     /*  546163 */     GIR_EraseRootFromParent_Done,
     /*  546164 */   // Label 9027: @546164
     /*  546164 */   GIM_Try, /*On fail goto*//*Label 9028*/ GIMT_Encode4(546235), // Rule ID 4837 //
     /*  546169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  546172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  546177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  546180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  546183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  546186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546197 */     // MIs[0] passthru
     /*  546197 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546213 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  546213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  546216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546233 */     GIR_RootConstrainSelectedInstOperands,
     /*  546234 */     // GIR_Coverage, 4837,
     /*  546234 */     GIR_EraseRootFromParent_Done,
     /*  546235 */   // Label 9028: @546235
     /*  546235 */   GIM_Try, /*On fail goto*//*Label 9029*/ GIMT_Encode4(546307), // Rule ID 2692 //
     /*  546240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  546248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  546260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546286 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  546286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  546289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546305 */     GIR_RootConstrainSelectedInstOperands,
     /*  546306 */     // GIR_Coverage, 2692,
     /*  546306 */     GIR_EraseRootFromParent_Done,
     /*  546307 */   // Label 9029: @546307
     /*  546307 */   GIM_Try, /*On fail goto*//*Label 9030*/ GIMT_Encode4(546379), // Rule ID 2693 //
     /*  546312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  546320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  546332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546358 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  546358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  546361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546377 */     GIR_RootConstrainSelectedInstOperands,
     /*  546378 */     // GIR_Coverage, 2693,
     /*  546378 */     GIR_EraseRootFromParent_Done,
     /*  546379 */   // Label 9030: @546379
     /*  546379 */   GIM_Try, /*On fail goto*//*Label 9031*/ GIMT_Encode4(546454), // Rule ID 2696 //
     /*  546384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  546387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  546392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  546395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  546398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  546401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  546404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  546411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  546423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546430 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  546430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  546433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  546441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  546452 */     GIR_RootConstrainSelectedInstOperands,
     /*  546453 */     // GIR_Coverage, 2696,
     /*  546453 */     GIR_EraseRootFromParent_Done,
     /*  546454 */   // Label 9031: @546454
     /*  546454 */   GIM_Try, /*On fail goto*//*Label 9032*/ GIMT_Encode4(546529), // Rule ID 2697 //
     /*  546459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  546462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  546467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  546470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  546473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  546476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  546479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  546486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  546498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546505 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  546505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  546508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  546516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  546527 */     GIR_RootConstrainSelectedInstOperands,
     /*  546528 */     // GIR_Coverage, 2697,
     /*  546528 */     GIR_EraseRootFromParent_Done,
     /*  546529 */   // Label 9032: @546529
     /*  546529 */   GIM_Try, /*On fail goto*//*Label 9033*/ GIMT_Encode4(546604), // Rule ID 2724 //
     /*  546534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546580 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  546583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546602 */     GIR_RootConstrainSelectedInstOperands,
     /*  546603 */     // GIR_Coverage, 2724,
     /*  546603 */     GIR_EraseRootFromParent_Done,
     /*  546604 */   // Label 9033: @546604
     /*  546604 */   GIM_Try, /*On fail goto*//*Label 9034*/ GIMT_Encode4(546679), // Rule ID 2725 //
     /*  546609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546655 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  546658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546677 */     GIR_RootConstrainSelectedInstOperands,
     /*  546678 */     // GIR_Coverage, 2725,
     /*  546678 */     GIR_EraseRootFromParent_Done,
     /*  546679 */   // Label 9034: @546679
     /*  546679 */   GIM_Try, /*On fail goto*//*Label 9035*/ GIMT_Encode4(546751), // Rule ID 2738 //
     /*  546684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  546692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  546695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  546704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  546723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546730 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  546730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  546733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  546737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  546741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546749 */     GIR_RootConstrainSelectedInstOperands,
     /*  546750 */     // GIR_Coverage, 2738,
     /*  546750 */     GIR_EraseRootFromParent_Done,
     /*  546751 */   // Label 9035: @546751
     /*  546751 */   GIM_Try, /*On fail goto*//*Label 9036*/ GIMT_Encode4(546823), // Rule ID 2739 //
     /*  546756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  546764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  546767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  546776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  546795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546802 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  546802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  546805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  546809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  546813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546821 */     GIR_RootConstrainSelectedInstOperands,
     /*  546822 */     // GIR_Coverage, 2739,
     /*  546822 */     GIR_EraseRootFromParent_Done,
     /*  546823 */   // Label 9036: @546823
     /*  546823 */   GIM_Try, /*On fail goto*//*Label 9037*/ GIMT_Encode4(546898), // Rule ID 2758 //
     /*  546828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  546836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546874 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  546877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546896 */     GIR_RootConstrainSelectedInstOperands,
     /*  546897 */     // GIR_Coverage, 2758,
     /*  546897 */     GIR_EraseRootFromParent_Done,
     /*  546898 */   // Label 9037: @546898
     /*  546898 */   GIM_Try, /*On fail goto*//*Label 9038*/ GIMT_Encode4(546973), // Rule ID 2759 //
     /*  546903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  546911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546949 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  546952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546971 */     GIR_RootConstrainSelectedInstOperands,
     /*  546972 */     // GIR_Coverage, 2759,
     /*  546972 */     GIR_EraseRootFromParent_Done,
     /*  546973 */   // Label 9038: @546973
     /*  546973 */   GIM_Try, /*On fail goto*//*Label 9039*/ GIMT_Encode4(547048), // Rule ID 2784 //
     /*  546978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  546986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  546989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  546992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  547027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  547031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547046 */     GIR_RootConstrainSelectedInstOperands,
     /*  547047 */     // GIR_Coverage, 2784,
     /*  547047 */     GIR_EraseRootFromParent_Done,
     /*  547048 */   // Label 9039: @547048
     /*  547048 */   GIM_Try, /*On fail goto*//*Label 9040*/ GIMT_Encode4(547123), // Rule ID 2785 //
     /*  547053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  547061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  547064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  547067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  547070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  547073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547099 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  547102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  547106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547121 */     GIR_RootConstrainSelectedInstOperands,
     /*  547122 */     // GIR_Coverage, 2785,
     /*  547122 */     GIR_EraseRootFromParent_Done,
     /*  547123 */   // Label 9040: @547123
     /*  547123 */   GIM_Try, /*On fail goto*//*Label 9041*/ GIMT_Encode4(547198), // Rule ID 2796 //
     /*  547128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  547139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  547142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  547145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  547148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547174 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  547177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547196 */     GIR_RootConstrainSelectedInstOperands,
     /*  547197 */     // GIR_Coverage, 2796,
     /*  547197 */     GIR_EraseRootFromParent_Done,
     /*  547198 */   // Label 9041: @547198
     /*  547198 */   GIM_Try, /*On fail goto*//*Label 9042*/ GIMT_Encode4(547273), // Rule ID 2797 //
     /*  547203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  547214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  547217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  547220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  547223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547249 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  547252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547271 */     GIR_RootConstrainSelectedInstOperands,
     /*  547272 */     // GIR_Coverage, 2797,
     /*  547272 */     GIR_EraseRootFromParent_Done,
     /*  547273 */   // Label 9042: @547273
     /*  547273 */   GIM_Try, /*On fail goto*//*Label 9043*/ GIMT_Encode4(547348), // Rule ID 2804 //
     /*  547278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  547289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  547292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  547295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  547298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547324 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  547327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547346 */     GIR_RootConstrainSelectedInstOperands,
     /*  547347 */     // GIR_Coverage, 2804,
     /*  547347 */     GIR_EraseRootFromParent_Done,
     /*  547348 */   // Label 9043: @547348
     /*  547348 */   GIM_Try, /*On fail goto*//*Label 9044*/ GIMT_Encode4(547423), // Rule ID 2805 //
     /*  547353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  547364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  547367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  547370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  547373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547399 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  547402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547421 */     GIR_RootConstrainSelectedInstOperands,
     /*  547422 */     // GIR_Coverage, 2805,
     /*  547422 */     GIR_EraseRootFromParent_Done,
     /*  547423 */   // Label 9044: @547423
     /*  547423 */   GIM_Try, /*On fail goto*//*Label 9045*/ GIMT_Encode4(547498), // Rule ID 2812 //
     /*  547428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  547439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  547442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  547445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  547448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547474 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  547477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547496 */     GIR_RootConstrainSelectedInstOperands,
     /*  547497 */     // GIR_Coverage, 2812,
     /*  547497 */     GIR_EraseRootFromParent_Done,
     /*  547498 */   // Label 9045: @547498
     /*  547498 */   GIM_Try, /*On fail goto*//*Label 9046*/ GIMT_Encode4(547573), // Rule ID 2813 //
     /*  547503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  547514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  547517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  547520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  547523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547549 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  547552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547571 */     GIR_RootConstrainSelectedInstOperands,
     /*  547572 */     // GIR_Coverage, 2813,
     /*  547572 */     GIR_EraseRootFromParent_Done,
     /*  547573 */   // Label 9046: @547573
     /*  547573 */   GIM_Try, /*On fail goto*//*Label 9047*/ GIMT_Encode4(547648), // Rule ID 2820 //
     /*  547578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  547589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  547592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  547595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  547598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547624 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  547627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547646 */     GIR_RootConstrainSelectedInstOperands,
     /*  547647 */     // GIR_Coverage, 2820,
     /*  547647 */     GIR_EraseRootFromParent_Done,
     /*  547648 */   // Label 9047: @547648
     /*  547648 */   GIM_Try, /*On fail goto*//*Label 9048*/ GIMT_Encode4(547723), // Rule ID 2821 //
     /*  547653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  547664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  547667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  547670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  547673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547699 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  547702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547721 */     GIR_RootConstrainSelectedInstOperands,
     /*  547722 */     // GIR_Coverage, 2821,
     /*  547722 */     GIR_EraseRootFromParent_Done,
     /*  547723 */   // Label 9048: @547723
     /*  547723 */   GIM_Try, /*On fail goto*//*Label 9049*/ GIMT_Encode4(547798), // Rule ID 2828 //
     /*  547728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  547739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  547742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  547745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  547748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547774 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  547777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547796 */     GIR_RootConstrainSelectedInstOperands,
     /*  547797 */     // GIR_Coverage, 2828,
     /*  547797 */     GIR_EraseRootFromParent_Done,
     /*  547798 */   // Label 9049: @547798
     /*  547798 */   GIM_Try, /*On fail goto*//*Label 9050*/ GIMT_Encode4(547873), // Rule ID 2829 //
     /*  547803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  547814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  547817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  547820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  547823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547849 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  547852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547871 */     GIR_RootConstrainSelectedInstOperands,
     /*  547872 */     // GIR_Coverage, 2829,
     /*  547872 */     GIR_EraseRootFromParent_Done,
     /*  547873 */   // Label 9050: @547873
     /*  547873 */   GIM_Try, /*On fail goto*//*Label 9051*/ GIMT_Encode4(547948), // Rule ID 2836 //
     /*  547878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  547889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  547892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  547895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547924 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  547927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547946 */     GIR_RootConstrainSelectedInstOperands,
     /*  547947 */     // GIR_Coverage, 2836,
     /*  547947 */     GIR_EraseRootFromParent_Done,
     /*  547948 */   // Label 9051: @547948
     /*  547948 */   GIM_Try, /*On fail goto*//*Label 9052*/ GIMT_Encode4(548023), // Rule ID 2837 //
     /*  547953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  547964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  547967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  547970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547999 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  548002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548021 */     GIR_RootConstrainSelectedInstOperands,
     /*  548022 */     // GIR_Coverage, 2837,
     /*  548022 */     GIR_EraseRootFromParent_Done,
     /*  548023 */   // Label 9052: @548023
     /*  548023 */   GIM_Try, /*On fail goto*//*Label 9053*/ GIMT_Encode4(548098), // Rule ID 2844 //
     /*  548028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  548039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  548042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  548045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  548048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548074 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  548077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548096 */     GIR_RootConstrainSelectedInstOperands,
     /*  548097 */     // GIR_Coverage, 2844,
     /*  548097 */     GIR_EraseRootFromParent_Done,
     /*  548098 */   // Label 9053: @548098
     /*  548098 */   GIM_Try, /*On fail goto*//*Label 9054*/ GIMT_Encode4(548173), // Rule ID 2845 //
     /*  548103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  548114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  548117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  548120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  548123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548149 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  548152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548171 */     GIR_RootConstrainSelectedInstOperands,
     /*  548172 */     // GIR_Coverage, 2845,
     /*  548172 */     GIR_EraseRootFromParent_Done,
     /*  548173 */   // Label 9054: @548173
     /*  548173 */   GIM_Try, /*On fail goto*//*Label 9055*/ GIMT_Encode4(548248), // Rule ID 2852 //
     /*  548178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  548189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  548192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  548195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  548198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  548227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548246 */     GIR_RootConstrainSelectedInstOperands,
     /*  548247 */     // GIR_Coverage, 2852,
     /*  548247 */     GIR_EraseRootFromParent_Done,
     /*  548248 */   // Label 9055: @548248
     /*  548248 */   GIM_Try, /*On fail goto*//*Label 9056*/ GIMT_Encode4(548323), // Rule ID 2853 //
     /*  548253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  548264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  548267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  548270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  548273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548299 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  548302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548321 */     GIR_RootConstrainSelectedInstOperands,
     /*  548322 */     // GIR_Coverage, 2853,
     /*  548322 */     GIR_EraseRootFromParent_Done,
     /*  548323 */   // Label 9056: @548323
     /*  548323 */   GIM_Try, /*On fail goto*//*Label 9057*/ GIMT_Encode4(548398), // Rule ID 2860 //
     /*  548328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  548339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  548342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  548345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  548348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  548377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548396 */     GIR_RootConstrainSelectedInstOperands,
     /*  548397 */     // GIR_Coverage, 2860,
     /*  548397 */     GIR_EraseRootFromParent_Done,
     /*  548398 */   // Label 9057: @548398
     /*  548398 */   GIM_Try, /*On fail goto*//*Label 9058*/ GIMT_Encode4(548473), // Rule ID 2861 //
     /*  548403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  548414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  548417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  548420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  548423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548449 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  548452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548471 */     GIR_RootConstrainSelectedInstOperands,
     /*  548472 */     // GIR_Coverage, 2861,
     /*  548472 */     GIR_EraseRootFromParent_Done,
     /*  548473 */   // Label 9058: @548473
     /*  548473 */   GIM_Try, /*On fail goto*//*Label 9059*/ GIMT_Encode4(548548), // Rule ID 2868 //
     /*  548478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  548481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  548489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  548492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  548495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  548498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548524 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  548524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  548527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548546 */     GIR_RootConstrainSelectedInstOperands,
     /*  548547 */     // GIR_Coverage, 2868,
     /*  548547 */     GIR_EraseRootFromParent_Done,
     /*  548548 */   // Label 9059: @548548
     /*  548548 */   GIM_Try, /*On fail goto*//*Label 9060*/ GIMT_Encode4(548623), // Rule ID 2869 //
     /*  548553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  548556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  548564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  548567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  548570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  548573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548599 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  548599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  548602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548621 */     GIR_RootConstrainSelectedInstOperands,
     /*  548622 */     // GIR_Coverage, 2869,
     /*  548622 */     GIR_EraseRootFromParent_Done,
     /*  548623 */   // Label 9060: @548623
     /*  548623 */   GIM_Try, /*On fail goto*//*Label 9061*/ GIMT_Encode4(548698), // Rule ID 2876 //
     /*  548628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  548639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  548642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  548645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  548648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548696 */     GIR_RootConstrainSelectedInstOperands,
     /*  548697 */     // GIR_Coverage, 2876,
     /*  548697 */     GIR_EraseRootFromParent_Done,
     /*  548698 */   // Label 9061: @548698
     /*  548698 */   GIM_Try, /*On fail goto*//*Label 9062*/ GIMT_Encode4(548773), // Rule ID 2877 //
     /*  548703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  548714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  548717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  548720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  548723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548749 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548771 */     GIR_RootConstrainSelectedInstOperands,
     /*  548772 */     // GIR_Coverage, 2877,
     /*  548772 */     GIR_EraseRootFromParent_Done,
     /*  548773 */   // Label 9062: @548773
     /*  548773 */   GIM_Try, /*On fail goto*//*Label 9063*/ GIMT_Encode4(548848), // Rule ID 2884 //
     /*  548778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  548789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  548792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  548795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  548798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548824 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548846 */     GIR_RootConstrainSelectedInstOperands,
     /*  548847 */     // GIR_Coverage, 2884,
     /*  548847 */     GIR_EraseRootFromParent_Done,
     /*  548848 */   // Label 9063: @548848
     /*  548848 */   GIM_Try, /*On fail goto*//*Label 9064*/ GIMT_Encode4(548923), // Rule ID 2885 //
     /*  548853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  548864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  548867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  548870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  548873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548899 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548921 */     GIR_RootConstrainSelectedInstOperands,
     /*  548922 */     // GIR_Coverage, 2885,
     /*  548922 */     GIR_EraseRootFromParent_Done,
     /*  548923 */   // Label 9064: @548923
     /*  548923 */   GIM_Try, /*On fail goto*//*Label 9065*/ GIMT_Encode4(548998), // Rule ID 2892 //
     /*  548928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  548939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  548942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  548945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  548948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548974 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548996 */     GIR_RootConstrainSelectedInstOperands,
     /*  548997 */     // GIR_Coverage, 2892,
     /*  548997 */     GIR_EraseRootFromParent_Done,
     /*  548998 */   // Label 9065: @548998
     /*  548998 */   GIM_Try, /*On fail goto*//*Label 9066*/ GIMT_Encode4(549073), // Rule ID 2893 //
     /*  549003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  549014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  549017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  549020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  549023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549049 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549071 */     GIR_RootConstrainSelectedInstOperands,
     /*  549072 */     // GIR_Coverage, 2893,
     /*  549072 */     GIR_EraseRootFromParent_Done,
     /*  549073 */   // Label 9066: @549073
     /*  549073 */   GIM_Try, /*On fail goto*//*Label 9067*/ GIMT_Encode4(549148), // Rule ID 2900 //
     /*  549078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  549089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  549092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  549095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  549098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  549127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549146 */     GIR_RootConstrainSelectedInstOperands,
     /*  549147 */     // GIR_Coverage, 2900,
     /*  549147 */     GIR_EraseRootFromParent_Done,
     /*  549148 */   // Label 9067: @549148
     /*  549148 */   GIM_Try, /*On fail goto*//*Label 9068*/ GIMT_Encode4(549223), // Rule ID 2901 //
     /*  549153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  549164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  549167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  549170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  549173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549199 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  549202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549221 */     GIR_RootConstrainSelectedInstOperands,
     /*  549222 */     // GIR_Coverage, 2901,
     /*  549222 */     GIR_EraseRootFromParent_Done,
     /*  549223 */   // Label 9068: @549223
     /*  549223 */   GIM_Try, /*On fail goto*//*Label 9069*/ GIMT_Encode4(549298), // Rule ID 2908 //
     /*  549228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  549239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  549242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  549245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  549248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549274 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549296 */     GIR_RootConstrainSelectedInstOperands,
     /*  549297 */     // GIR_Coverage, 2908,
     /*  549297 */     GIR_EraseRootFromParent_Done,
     /*  549298 */   // Label 9069: @549298
     /*  549298 */   GIM_Try, /*On fail goto*//*Label 9070*/ GIMT_Encode4(549373), // Rule ID 2909 //
     /*  549303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  549314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  549317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  549320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  549323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549349 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549371 */     GIR_RootConstrainSelectedInstOperands,
     /*  549372 */     // GIR_Coverage, 2909,
     /*  549372 */     GIR_EraseRootFromParent_Done,
     /*  549373 */   // Label 9070: @549373
     /*  549373 */   GIM_Try, /*On fail goto*//*Label 9071*/ GIMT_Encode4(549448), // Rule ID 2916 //
     /*  549378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  549389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  549392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  549395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  549398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549446 */     GIR_RootConstrainSelectedInstOperands,
     /*  549447 */     // GIR_Coverage, 2916,
     /*  549447 */     GIR_EraseRootFromParent_Done,
     /*  549448 */   // Label 9071: @549448
     /*  549448 */   GIM_Try, /*On fail goto*//*Label 9072*/ GIMT_Encode4(549523), // Rule ID 2917 //
     /*  549453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  549464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  549467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  549470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  549473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549499 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549521 */     GIR_RootConstrainSelectedInstOperands,
     /*  549522 */     // GIR_Coverage, 2917,
     /*  549522 */     GIR_EraseRootFromParent_Done,
     /*  549523 */   // Label 9072: @549523
     /*  549523 */   GIM_Try, /*On fail goto*//*Label 9073*/ GIMT_Encode4(549598), // Rule ID 2924 //
     /*  549528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  549539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  549542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  549545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  549548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  549577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549596 */     GIR_RootConstrainSelectedInstOperands,
     /*  549597 */     // GIR_Coverage, 2924,
     /*  549597 */     GIR_EraseRootFromParent_Done,
     /*  549598 */   // Label 9073: @549598
     /*  549598 */   GIM_Try, /*On fail goto*//*Label 9074*/ GIMT_Encode4(549673), // Rule ID 2925 //
     /*  549603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  549614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  549617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  549620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  549623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549649 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  549652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549671 */     GIR_RootConstrainSelectedInstOperands,
     /*  549672 */     // GIR_Coverage, 2925,
     /*  549672 */     GIR_EraseRootFromParent_Done,
     /*  549673 */   // Label 9074: @549673
     /*  549673 */   GIM_Try, /*On fail goto*//*Label 9075*/ GIMT_Encode4(549748), // Rule ID 2932 //
     /*  549678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  549695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  549698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549746 */     GIR_RootConstrainSelectedInstOperands,
     /*  549747 */     // GIR_Coverage, 2932,
     /*  549747 */     GIR_EraseRootFromParent_Done,
     /*  549748 */   // Label 9075: @549748
     /*  549748 */   GIM_Try, /*On fail goto*//*Label 9076*/ GIMT_Encode4(549823), // Rule ID 2933 //
     /*  549753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  549770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  549773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549799 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549821 */     GIR_RootConstrainSelectedInstOperands,
     /*  549822 */     // GIR_Coverage, 2933,
     /*  549822 */     GIR_EraseRootFromParent_Done,
     /*  549823 */   // Label 9076: @549823
     /*  549823 */   GIM_Try, /*On fail goto*//*Label 9077*/ GIMT_Encode4(549898), // Rule ID 2940 //
     /*  549828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  549845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  549848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549874 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549896 */     GIR_RootConstrainSelectedInstOperands,
     /*  549897 */     // GIR_Coverage, 2940,
     /*  549897 */     GIR_EraseRootFromParent_Done,
     /*  549898 */   // Label 9077: @549898
     /*  549898 */   GIM_Try, /*On fail goto*//*Label 9078*/ GIMT_Encode4(549973), // Rule ID 2941 //
     /*  549903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  549920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  549923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549971 */     GIR_RootConstrainSelectedInstOperands,
     /*  549972 */     // GIR_Coverage, 2941,
     /*  549972 */     GIR_EraseRootFromParent_Done,
     /*  549973 */   // Label 9078: @549973
     /*  549973 */   GIM_Try, /*On fail goto*//*Label 9079*/ GIMT_Encode4(550048), // Rule ID 2948 //
     /*  549978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  549995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  549998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  550024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  550027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  550033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550046 */     GIR_RootConstrainSelectedInstOperands,
     /*  550047 */     // GIR_Coverage, 2948,
     /*  550047 */     GIR_EraseRootFromParent_Done,
     /*  550048 */   // Label 9079: @550048
     /*  550048 */   GIM_Try, /*On fail goto*//*Label 9080*/ GIMT_Encode4(550123), // Rule ID 2949 //
     /*  550053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  550056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  550061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  550064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  550067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  550070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  550073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  550099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  550102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  550108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550121 */     GIR_RootConstrainSelectedInstOperands,
     /*  550122 */     // GIR_Coverage, 2949,
     /*  550122 */     GIR_EraseRootFromParent_Done,
     /*  550123 */   // Label 9080: @550123
     /*  550123 */   GIM_Try, /*On fail goto*//*Label 9081*/ GIMT_Encode4(550198), // Rule ID 2956 //
     /*  550128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  550131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  550136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  550139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  550142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  550145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  550148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550174 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  550174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  550177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  550183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550196 */     GIR_RootConstrainSelectedInstOperands,
     /*  550197 */     // GIR_Coverage, 2956,
     /*  550197 */     GIR_EraseRootFromParent_Done,
     /*  550198 */   // Label 9081: @550198
     /*  550198 */   GIM_Try, /*On fail goto*//*Label 9082*/ GIMT_Encode4(550273), // Rule ID 2957 //
     /*  550203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  550206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  550211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  550214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  550217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  550220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  550223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550249 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  550249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  550252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  550258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550271 */     GIR_RootConstrainSelectedInstOperands,
     /*  550272 */     // GIR_Coverage, 2957,
     /*  550272 */     GIR_EraseRootFromParent_Done,
     /*  550273 */   // Label 9082: @550273
     /*  550273 */   GIM_Try, /*On fail goto*//*Label 9083*/ GIMT_Encode4(550348), // Rule ID 2964 //
     /*  550278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  550281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  550286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  550289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  550292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  550295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  550298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550324 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  550324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  550327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  550333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550346 */     GIR_RootConstrainSelectedInstOperands,
     /*  550347 */     // GIR_Coverage, 2964,
     /*  550347 */     GIR_EraseRootFromParent_Done,
     /*  550348 */   // Label 9083: @550348
     /*  550348 */   GIM_Try, /*On fail goto*//*Label 9084*/ GIMT_Encode4(550423), // Rule ID 2965 //
     /*  550353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  550356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  550361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  550364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  550367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  550370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  550373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550399 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  550399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  550402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  550408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550421 */     GIR_RootConstrainSelectedInstOperands,
     /*  550422 */     // GIR_Coverage, 2965,
     /*  550422 */     GIR_EraseRootFromParent_Done,
     /*  550423 */   // Label 9084: @550423
     /*  550423 */   GIM_Try, /*On fail goto*//*Label 9085*/ GIMT_Encode4(550498), // Rule ID 2980 //
     /*  550428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  550439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  550442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  550445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  550448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550474 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  550477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550496 */     GIR_RootConstrainSelectedInstOperands,
     /*  550497 */     // GIR_Coverage, 2980,
     /*  550497 */     GIR_EraseRootFromParent_Done,
     /*  550498 */   // Label 9085: @550498
     /*  550498 */   GIM_Try, /*On fail goto*//*Label 9086*/ GIMT_Encode4(550573), // Rule ID 2981 //
     /*  550503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  550514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  550517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  550520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  550523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550549 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  550552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550571 */     GIR_RootConstrainSelectedInstOperands,
     /*  550572 */     // GIR_Coverage, 2981,
     /*  550572 */     GIR_EraseRootFromParent_Done,
     /*  550573 */   // Label 9086: @550573
     /*  550573 */   GIM_Try, /*On fail goto*//*Label 9087*/ GIMT_Encode4(550648), // Rule ID 2984 //
     /*  550578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  550589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  550592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  550595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  550598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550624 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550646 */     GIR_RootConstrainSelectedInstOperands,
     /*  550647 */     // GIR_Coverage, 2984,
     /*  550647 */     GIR_EraseRootFromParent_Done,
     /*  550648 */   // Label 9087: @550648
     /*  550648 */   GIM_Try, /*On fail goto*//*Label 9088*/ GIMT_Encode4(550723), // Rule ID 2985 //
     /*  550653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  550664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  550667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  550670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  550673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550699 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550721 */     GIR_RootConstrainSelectedInstOperands,
     /*  550722 */     // GIR_Coverage, 2985,
     /*  550722 */     GIR_EraseRootFromParent_Done,
     /*  550723 */   // Label 9088: @550723
     /*  550723 */   GIM_Try, /*On fail goto*//*Label 9089*/ GIMT_Encode4(550798), // Rule ID 2988 //
     /*  550728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  550748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550774 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  550777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550796 */     GIR_RootConstrainSelectedInstOperands,
     /*  550797 */     // GIR_Coverage, 2988,
     /*  550797 */     GIR_EraseRootFromParent_Done,
     /*  550798 */   // Label 9089: @550798
     /*  550798 */   GIM_Try, /*On fail goto*//*Label 9090*/ GIMT_Encode4(550873), // Rule ID 2989 //
     /*  550803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  550823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550849 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  550852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550871 */     GIR_RootConstrainSelectedInstOperands,
     /*  550872 */     // GIR_Coverage, 2989,
     /*  550872 */     GIR_EraseRootFromParent_Done,
     /*  550873 */   // Label 9090: @550873
     /*  550873 */   GIM_Try, /*On fail goto*//*Label 9091*/ GIMT_Encode4(550948), // Rule ID 2992 //
     /*  550878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  550889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  550892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  550895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  550898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550924 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550946 */     GIR_RootConstrainSelectedInstOperands,
     /*  550947 */     // GIR_Coverage, 2992,
     /*  550947 */     GIR_EraseRootFromParent_Done,
     /*  550948 */   // Label 9091: @550948
     /*  550948 */   GIM_Try, /*On fail goto*//*Label 9092*/ GIMT_Encode4(551023), // Rule ID 2993 //
     /*  550953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  550964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  550967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  550970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  550973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550999 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  551002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551021 */     GIR_RootConstrainSelectedInstOperands,
     /*  551022 */     // GIR_Coverage, 2993,
     /*  551022 */     GIR_EraseRootFromParent_Done,
     /*  551023 */   // Label 9092: @551023
     /*  551023 */   GIM_Try, /*On fail goto*//*Label 9093*/ GIMT_Encode4(551098), // Rule ID 2996 //
     /*  551028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  551039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  551042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  551045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  551048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  551077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551096 */     GIR_RootConstrainSelectedInstOperands,
     /*  551097 */     // GIR_Coverage, 2996,
     /*  551097 */     GIR_EraseRootFromParent_Done,
     /*  551098 */   // Label 9093: @551098
     /*  551098 */   GIM_Try, /*On fail goto*//*Label 9094*/ GIMT_Encode4(551173), // Rule ID 2997 //
     /*  551103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  551114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  551117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  551120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  551123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551149 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  551152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551171 */     GIR_RootConstrainSelectedInstOperands,
     /*  551172 */     // GIR_Coverage, 2997,
     /*  551172 */     GIR_EraseRootFromParent_Done,
     /*  551173 */   // Label 9094: @551173
     /*  551173 */   GIM_Try, /*On fail goto*//*Label 9095*/ GIMT_Encode4(551248), // Rule ID 3000 //
     /*  551178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  551189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  551192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  551195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  551198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  551227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551246 */     GIR_RootConstrainSelectedInstOperands,
     /*  551247 */     // GIR_Coverage, 3000,
     /*  551247 */     GIR_EraseRootFromParent_Done,
     /*  551248 */   // Label 9095: @551248
     /*  551248 */   GIM_Try, /*On fail goto*//*Label 9096*/ GIMT_Encode4(551323), // Rule ID 3001 //
     /*  551253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  551264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  551267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  551270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  551273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551299 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  551302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551321 */     GIR_RootConstrainSelectedInstOperands,
     /*  551322 */     // GIR_Coverage, 3001,
     /*  551322 */     GIR_EraseRootFromParent_Done,
     /*  551323 */   // Label 9096: @551323
     /*  551323 */   GIM_Try, /*On fail goto*//*Label 9097*/ GIMT_Encode4(551398), // Rule ID 3004 //
     /*  551328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  551339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  551342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  551345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  551348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  551377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551396 */     GIR_RootConstrainSelectedInstOperands,
     /*  551397 */     // GIR_Coverage, 3004,
     /*  551397 */     GIR_EraseRootFromParent_Done,
     /*  551398 */   // Label 9097: @551398
     /*  551398 */   GIM_Try, /*On fail goto*//*Label 9098*/ GIMT_Encode4(551473), // Rule ID 3005 //
     /*  551403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  551414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  551417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  551420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  551423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551449 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  551452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551471 */     GIR_RootConstrainSelectedInstOperands,
     /*  551472 */     // GIR_Coverage, 3005,
     /*  551472 */     GIR_EraseRootFromParent_Done,
     /*  551473 */   // Label 9098: @551473
     /*  551473 */   GIM_Try, /*On fail goto*//*Label 9099*/ GIMT_Encode4(551548), // Rule ID 3008 //
     /*  551478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  551489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  551492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  551495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  551498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  551527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551546 */     GIR_RootConstrainSelectedInstOperands,
     /*  551547 */     // GIR_Coverage, 3008,
     /*  551547 */     GIR_EraseRootFromParent_Done,
     /*  551548 */   // Label 9099: @551548
     /*  551548 */   GIM_Try, /*On fail goto*//*Label 9100*/ GIMT_Encode4(551623), // Rule ID 3009 //
     /*  551553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  551564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  551567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  551570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  551573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551599 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  551602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551621 */     GIR_RootConstrainSelectedInstOperands,
     /*  551622 */     // GIR_Coverage, 3009,
     /*  551622 */     GIR_EraseRootFromParent_Done,
     /*  551623 */   // Label 9100: @551623
     /*  551623 */   GIM_Try, /*On fail goto*//*Label 9101*/ GIMT_Encode4(551698), // Rule ID 3012 //
     /*  551628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  551631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  551639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  551642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  551645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  551648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551674 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  551674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  551677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551696 */     GIR_RootConstrainSelectedInstOperands,
     /*  551697 */     // GIR_Coverage, 3012,
     /*  551697 */     GIR_EraseRootFromParent_Done,
     /*  551698 */   // Label 9101: @551698
     /*  551698 */   GIM_Try, /*On fail goto*//*Label 9102*/ GIMT_Encode4(551773), // Rule ID 3013 //
     /*  551703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  551706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  551714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  551717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  551720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  551723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551749 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  551749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  551752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551771 */     GIR_RootConstrainSelectedInstOperands,
     /*  551772 */     // GIR_Coverage, 3013,
     /*  551772 */     GIR_EraseRootFromParent_Done,
     /*  551773 */   // Label 9102: @551773
     /*  551773 */   GIM_Try, /*On fail goto*//*Label 9103*/ GIMT_Encode4(551848), // Rule ID 3016 //
     /*  551778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  551789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  551792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  551795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  551798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551824 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551846 */     GIR_RootConstrainSelectedInstOperands,
     /*  551847 */     // GIR_Coverage, 3016,
     /*  551847 */     GIR_EraseRootFromParent_Done,
     /*  551848 */   // Label 9103: @551848
     /*  551848 */   GIM_Try, /*On fail goto*//*Label 9104*/ GIMT_Encode4(551923), // Rule ID 3017 //
     /*  551853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  551864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  551867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  551870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  551873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551921 */     GIR_RootConstrainSelectedInstOperands,
     /*  551922 */     // GIR_Coverage, 3017,
     /*  551922 */     GIR_EraseRootFromParent_Done,
     /*  551923 */   // Label 9104: @551923
     /*  551923 */   GIM_Try, /*On fail goto*//*Label 9105*/ GIMT_Encode4(551998), // Rule ID 3020 //
     /*  551928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  551939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  551942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  551945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  551948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551974 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551996 */     GIR_RootConstrainSelectedInstOperands,
     /*  551997 */     // GIR_Coverage, 3020,
     /*  551997 */     GIR_EraseRootFromParent_Done,
     /*  551998 */   // Label 9105: @551998
     /*  551998 */   GIM_Try, /*On fail goto*//*Label 9106*/ GIMT_Encode4(552073), // Rule ID 3021 //
     /*  552003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  552014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  552017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  552020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  552023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552049 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552071 */     GIR_RootConstrainSelectedInstOperands,
     /*  552072 */     // GIR_Coverage, 3021,
     /*  552072 */     GIR_EraseRootFromParent_Done,
     /*  552073 */   // Label 9106: @552073
     /*  552073 */   GIM_Try, /*On fail goto*//*Label 9107*/ GIMT_Encode4(552148), // Rule ID 3024 //
     /*  552078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  552089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  552092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  552095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  552098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552124 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552146 */     GIR_RootConstrainSelectedInstOperands,
     /*  552147 */     // GIR_Coverage, 3024,
     /*  552147 */     GIR_EraseRootFromParent_Done,
     /*  552148 */   // Label 9107: @552148
     /*  552148 */   GIM_Try, /*On fail goto*//*Label 9108*/ GIMT_Encode4(552223), // Rule ID 3025 //
     /*  552153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  552164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  552167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  552170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  552173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552199 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552221 */     GIR_RootConstrainSelectedInstOperands,
     /*  552222 */     // GIR_Coverage, 3025,
     /*  552222 */     GIR_EraseRootFromParent_Done,
     /*  552223 */   // Label 9108: @552223
     /*  552223 */   GIM_Try, /*On fail goto*//*Label 9109*/ GIMT_Encode4(552298), // Rule ID 3028 //
     /*  552228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  552239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  552242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  552245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  552248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552274 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552296 */     GIR_RootConstrainSelectedInstOperands,
     /*  552297 */     // GIR_Coverage, 3028,
     /*  552297 */     GIR_EraseRootFromParent_Done,
     /*  552298 */   // Label 9109: @552298
     /*  552298 */   GIM_Try, /*On fail goto*//*Label 9110*/ GIMT_Encode4(552373), // Rule ID 3029 //
     /*  552303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  552314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  552317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  552320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  552323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552349 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552371 */     GIR_RootConstrainSelectedInstOperands,
     /*  552372 */     // GIR_Coverage, 3029,
     /*  552372 */     GIR_EraseRootFromParent_Done,
     /*  552373 */   // Label 9110: @552373
     /*  552373 */   GIM_Try, /*On fail goto*//*Label 9111*/ GIMT_Encode4(552448), // Rule ID 3032 //
     /*  552378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  552389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  552392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  552395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  552398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552424 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552446 */     GIR_RootConstrainSelectedInstOperands,
     /*  552447 */     // GIR_Coverage, 3032,
     /*  552447 */     GIR_EraseRootFromParent_Done,
     /*  552448 */   // Label 9111: @552448
     /*  552448 */   GIM_Try, /*On fail goto*//*Label 9112*/ GIMT_Encode4(552523), // Rule ID 3033 //
     /*  552453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  552464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  552467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  552470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  552473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552499 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552521 */     GIR_RootConstrainSelectedInstOperands,
     /*  552522 */     // GIR_Coverage, 3033,
     /*  552522 */     GIR_EraseRootFromParent_Done,
     /*  552523 */   // Label 9112: @552523
     /*  552523 */   GIM_Try, /*On fail goto*//*Label 9113*/ GIMT_Encode4(552598), // Rule ID 3036 //
     /*  552528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  552539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  552542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  552545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  552548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552574 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552596 */     GIR_RootConstrainSelectedInstOperands,
     /*  552597 */     // GIR_Coverage, 3036,
     /*  552597 */     GIR_EraseRootFromParent_Done,
     /*  552598 */   // Label 9113: @552598
     /*  552598 */   GIM_Try, /*On fail goto*//*Label 9114*/ GIMT_Encode4(552673), // Rule ID 3037 //
     /*  552603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  552614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  552617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  552620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  552623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552649 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552671 */     GIR_RootConstrainSelectedInstOperands,
     /*  552672 */     // GIR_Coverage, 3037,
     /*  552672 */     GIR_EraseRootFromParent_Done,
     /*  552673 */   // Label 9114: @552673
     /*  552673 */   GIM_Try, /*On fail goto*//*Label 9115*/ GIMT_Encode4(552748), // Rule ID 3040 //
     /*  552678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  552689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  552692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  552695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  552698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552746 */     GIR_RootConstrainSelectedInstOperands,
     /*  552747 */     // GIR_Coverage, 3040,
     /*  552747 */     GIR_EraseRootFromParent_Done,
     /*  552748 */   // Label 9115: @552748
     /*  552748 */   GIM_Try, /*On fail goto*//*Label 9116*/ GIMT_Encode4(552823), // Rule ID 3041 //
     /*  552753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  552764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  552767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  552770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  552773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552799 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552821 */     GIR_RootConstrainSelectedInstOperands,
     /*  552822 */     // GIR_Coverage, 3041,
     /*  552822 */     GIR_EraseRootFromParent_Done,
     /*  552823 */   // Label 9116: @552823
     /*  552823 */   GIM_Try, /*On fail goto*//*Label 9117*/ GIMT_Encode4(552898), // Rule ID 3044 //
     /*  552828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  552839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  552842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  552845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  552848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552874 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552896 */     GIR_RootConstrainSelectedInstOperands,
     /*  552897 */     // GIR_Coverage, 3044,
     /*  552897 */     GIR_EraseRootFromParent_Done,
     /*  552898 */   // Label 9117: @552898
     /*  552898 */   GIM_Try, /*On fail goto*//*Label 9118*/ GIMT_Encode4(552973), // Rule ID 3045 //
     /*  552903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  552914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  552917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  552920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  552923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552949 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552971 */     GIR_RootConstrainSelectedInstOperands,
     /*  552972 */     // GIR_Coverage, 3045,
     /*  552972 */     GIR_EraseRootFromParent_Done,
     /*  552973 */   // Label 9118: @552973
     /*  552973 */   GIM_Try, /*On fail goto*//*Label 9119*/ GIMT_Encode4(553048), // Rule ID 3048 //
     /*  552978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  552989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  552992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  552995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  552998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553024 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  553027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553046 */     GIR_RootConstrainSelectedInstOperands,
     /*  553047 */     // GIR_Coverage, 3048,
     /*  553047 */     GIR_EraseRootFromParent_Done,
     /*  553048 */   // Label 9119: @553048
     /*  553048 */   GIM_Try, /*On fail goto*//*Label 9120*/ GIMT_Encode4(553123), // Rule ID 3049 //
     /*  553053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  553064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  553067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  553070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  553073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553099 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  553102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553121 */     GIR_RootConstrainSelectedInstOperands,
     /*  553122 */     // GIR_Coverage, 3049,
     /*  553122 */     GIR_EraseRootFromParent_Done,
     /*  553123 */   // Label 9120: @553123
     /*  553123 */   GIM_Try, /*On fail goto*//*Label 9121*/ GIMT_Encode4(553198), // Rule ID 3052 //
     /*  553128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  553139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  553142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  553145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  553148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  553177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553196 */     GIR_RootConstrainSelectedInstOperands,
     /*  553197 */     // GIR_Coverage, 3052,
     /*  553197 */     GIR_EraseRootFromParent_Done,
     /*  553198 */   // Label 9121: @553198
     /*  553198 */   GIM_Try, /*On fail goto*//*Label 9122*/ GIMT_Encode4(553273), // Rule ID 3053 //
     /*  553203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  553214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  553217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  553220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  553223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553249 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  553252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553271 */     GIR_RootConstrainSelectedInstOperands,
     /*  553272 */     // GIR_Coverage, 3053,
     /*  553272 */     GIR_EraseRootFromParent_Done,
     /*  553273 */   // Label 9122: @553273
     /*  553273 */   GIM_Try, /*On fail goto*//*Label 9123*/ GIMT_Encode4(553348), // Rule ID 3056 //
     /*  553278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  553289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  553292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  553295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  553298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553324 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  553327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553346 */     GIR_RootConstrainSelectedInstOperands,
     /*  553347 */     // GIR_Coverage, 3056,
     /*  553347 */     GIR_EraseRootFromParent_Done,
     /*  553348 */   // Label 9123: @553348
     /*  553348 */   GIM_Try, /*On fail goto*//*Label 9124*/ GIMT_Encode4(553423), // Rule ID 3057 //
     /*  553353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  553364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  553367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  553370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  553373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553399 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  553402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553421 */     GIR_RootConstrainSelectedInstOperands,
     /*  553422 */     // GIR_Coverage, 3057,
     /*  553422 */     GIR_EraseRootFromParent_Done,
     /*  553423 */   // Label 9124: @553423
     /*  553423 */   GIM_Try, /*On fail goto*//*Label 9125*/ GIMT_Encode4(553498), // Rule ID 3060 //
     /*  553428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  553439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  553442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  553445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  553448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553474 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  553477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553496 */     GIR_RootConstrainSelectedInstOperands,
     /*  553497 */     // GIR_Coverage, 3060,
     /*  553497 */     GIR_EraseRootFromParent_Done,
     /*  553498 */   // Label 9125: @553498
     /*  553498 */   GIM_Try, /*On fail goto*//*Label 9126*/ GIMT_Encode4(553573), // Rule ID 3061 //
     /*  553503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  553514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  553517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  553520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  553523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553549 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  553552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553571 */     GIR_RootConstrainSelectedInstOperands,
     /*  553572 */     // GIR_Coverage, 3061,
     /*  553572 */     GIR_EraseRootFromParent_Done,
     /*  553573 */   // Label 9126: @553573
     /*  553573 */   GIM_Try, /*On fail goto*//*Label 9127*/ GIMT_Encode4(553648), // Rule ID 3064 //
     /*  553578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  553589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  553592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  553595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  553627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553646 */     GIR_RootConstrainSelectedInstOperands,
     /*  553647 */     // GIR_Coverage, 3064,
     /*  553647 */     GIR_EraseRootFromParent_Done,
     /*  553648 */   // Label 9127: @553648
     /*  553648 */   GIM_Try, /*On fail goto*//*Label 9128*/ GIMT_Encode4(553723), // Rule ID 3065 //
     /*  553653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  553664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  553667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  553670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553699 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  553702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553721 */     GIR_RootConstrainSelectedInstOperands,
     /*  553722 */     // GIR_Coverage, 3065,
     /*  553722 */     GIR_EraseRootFromParent_Done,
     /*  553723 */   // Label 9128: @553723
     /*  553723 */   GIM_Try, /*On fail goto*//*Label 9129*/ GIMT_Encode4(553798), // Rule ID 3068 //
     /*  553728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  553739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  553742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  553745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553774 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  553777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553796 */     GIR_RootConstrainSelectedInstOperands,
     /*  553797 */     // GIR_Coverage, 3068,
     /*  553797 */     GIR_EraseRootFromParent_Done,
     /*  553798 */   // Label 9129: @553798
     /*  553798 */   GIM_Try, /*On fail goto*//*Label 9130*/ GIMT_Encode4(553873), // Rule ID 3069 //
     /*  553803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  553814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  553817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  553820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553849 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  553852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553871 */     GIR_RootConstrainSelectedInstOperands,
     /*  553872 */     // GIR_Coverage, 3069,
     /*  553872 */     GIR_EraseRootFromParent_Done,
     /*  553873 */   // Label 9130: @553873
     /*  553873 */   GIM_Try, /*On fail goto*//*Label 9131*/ GIMT_Encode4(553948), // Rule ID 3072 //
     /*  553878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  553889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  553892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  553895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553946 */     GIR_RootConstrainSelectedInstOperands,
     /*  553947 */     // GIR_Coverage, 3072,
     /*  553947 */     GIR_EraseRootFromParent_Done,
     /*  553948 */   // Label 9131: @553948
     /*  553948 */   GIM_Try, /*On fail goto*//*Label 9132*/ GIMT_Encode4(554023), // Rule ID 3073 //
     /*  553953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  553964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  553967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  553970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553999 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  554002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554021 */     GIR_RootConstrainSelectedInstOperands,
     /*  554022 */     // GIR_Coverage, 3073,
     /*  554022 */     GIR_EraseRootFromParent_Done,
     /*  554023 */   // Label 9132: @554023
     /*  554023 */   GIM_Try, /*On fail goto*//*Label 9133*/ GIMT_Encode4(554098), // Rule ID 3076 //
     /*  554028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  554039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  554042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  554045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554074 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  554077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554096 */     GIR_RootConstrainSelectedInstOperands,
     /*  554097 */     // GIR_Coverage, 3076,
     /*  554097 */     GIR_EraseRootFromParent_Done,
     /*  554098 */   // Label 9133: @554098
     /*  554098 */   GIM_Try, /*On fail goto*//*Label 9134*/ GIMT_Encode4(554173), // Rule ID 3077 //
     /*  554103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  554114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  554117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  554120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  554152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554171 */     GIR_RootConstrainSelectedInstOperands,
     /*  554172 */     // GIR_Coverage, 3077,
     /*  554172 */     GIR_EraseRootFromParent_Done,
     /*  554173 */   // Label 9134: @554173
     /*  554173 */   GIM_Try, /*On fail goto*//*Label 9135*/ GIMT_Encode4(554248), // Rule ID 3080 //
     /*  554178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  554189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  554192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  554195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  554227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554246 */     GIR_RootConstrainSelectedInstOperands,
     /*  554247 */     // GIR_Coverage, 3080,
     /*  554247 */     GIR_EraseRootFromParent_Done,
     /*  554248 */   // Label 9135: @554248
     /*  554248 */   GIM_Try, /*On fail goto*//*Label 9136*/ GIMT_Encode4(554323), // Rule ID 3081 //
     /*  554253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  554264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  554267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  554270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554299 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  554302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554321 */     GIR_RootConstrainSelectedInstOperands,
     /*  554322 */     // GIR_Coverage, 3081,
     /*  554322 */     GIR_EraseRootFromParent_Done,
     /*  554323 */   // Label 9136: @554323
     /*  554323 */   GIM_Try, /*On fail goto*//*Label 9137*/ GIMT_Encode4(554398), // Rule ID 3084 //
     /*  554328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  554339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  554342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  554345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554374 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  554377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554396 */     GIR_RootConstrainSelectedInstOperands,
     /*  554397 */     // GIR_Coverage, 3084,
     /*  554397 */     GIR_EraseRootFromParent_Done,
     /*  554398 */   // Label 9137: @554398
     /*  554398 */   GIM_Try, /*On fail goto*//*Label 9138*/ GIMT_Encode4(554473), // Rule ID 3085 //
     /*  554403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  554414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  554417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  554420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554449 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  554452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554471 */     GIR_RootConstrainSelectedInstOperands,
     /*  554472 */     // GIR_Coverage, 3085,
     /*  554472 */     GIR_EraseRootFromParent_Done,
     /*  554473 */   // Label 9138: @554473
     /*  554473 */   GIM_Try, /*On fail goto*//*Label 9139*/ GIMT_Encode4(554548), // Rule ID 3088 //
     /*  554478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  554489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  554492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  554495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554546 */     GIR_RootConstrainSelectedInstOperands,
     /*  554547 */     // GIR_Coverage, 3088,
     /*  554547 */     GIR_EraseRootFromParent_Done,
     /*  554548 */   // Label 9139: @554548
     /*  554548 */   GIM_Try, /*On fail goto*//*Label 9140*/ GIMT_Encode4(554623), // Rule ID 3089 //
     /*  554553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  554564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  554567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  554570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554599 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554621 */     GIR_RootConstrainSelectedInstOperands,
     /*  554622 */     // GIR_Coverage, 3089,
     /*  554622 */     GIR_EraseRootFromParent_Done,
     /*  554623 */   // Label 9140: @554623
     /*  554623 */   GIM_Try, /*On fail goto*//*Label 9141*/ GIMT_Encode4(554698), // Rule ID 3092 //
     /*  554628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  554639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  554642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  554645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554696 */     GIR_RootConstrainSelectedInstOperands,
     /*  554697 */     // GIR_Coverage, 3092,
     /*  554697 */     GIR_EraseRootFromParent_Done,
     /*  554698 */   // Label 9141: @554698
     /*  554698 */   GIM_Try, /*On fail goto*//*Label 9142*/ GIMT_Encode4(554773), // Rule ID 3093 //
     /*  554703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  554714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  554717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  554720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554749 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554771 */     GIR_RootConstrainSelectedInstOperands,
     /*  554772 */     // GIR_Coverage, 3093,
     /*  554772 */     GIR_EraseRootFromParent_Done,
     /*  554773 */   // Label 9142: @554773
     /*  554773 */   GIM_Try, /*On fail goto*//*Label 9143*/ GIMT_Encode4(554848), // Rule ID 3096 //
     /*  554778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  554789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  554792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  554795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554846 */     GIR_RootConstrainSelectedInstOperands,
     /*  554847 */     // GIR_Coverage, 3096,
     /*  554847 */     GIR_EraseRootFromParent_Done,
     /*  554848 */   // Label 9143: @554848
     /*  554848 */   GIM_Try, /*On fail goto*//*Label 9144*/ GIMT_Encode4(554923), // Rule ID 3097 //
     /*  554853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  554864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  554867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  554870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554899 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554921 */     GIR_RootConstrainSelectedInstOperands,
     /*  554922 */     // GIR_Coverage, 3097,
     /*  554922 */     GIR_EraseRootFromParent_Done,
     /*  554923 */   // Label 9144: @554923
     /*  554923 */   GIM_Try, /*On fail goto*//*Label 9145*/ GIMT_Encode4(554998), // Rule ID 3100 //
     /*  554928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  554931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  554939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  554942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  554945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554974 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  554974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  554977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554996 */     GIR_RootConstrainSelectedInstOperands,
     /*  554997 */     // GIR_Coverage, 3100,
     /*  554997 */     GIR_EraseRootFromParent_Done,
     /*  554998 */   // Label 9145: @554998
     /*  554998 */   GIM_Try, /*On fail goto*//*Label 9146*/ GIMT_Encode4(555073), // Rule ID 3101 //
     /*  555003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  555014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  555017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  555020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555049 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  555052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555071 */     GIR_RootConstrainSelectedInstOperands,
     /*  555072 */     // GIR_Coverage, 3101,
     /*  555072 */     GIR_EraseRootFromParent_Done,
     /*  555073 */   // Label 9146: @555073
     /*  555073 */   GIM_Try, /*On fail goto*//*Label 9147*/ GIMT_Encode4(555148), // Rule ID 3104 //
     /*  555078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  555089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  555092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  555095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555124 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555146 */     GIR_RootConstrainSelectedInstOperands,
     /*  555147 */     // GIR_Coverage, 3104,
     /*  555147 */     GIR_EraseRootFromParent_Done,
     /*  555148 */   // Label 9147: @555148
     /*  555148 */   GIM_Try, /*On fail goto*//*Label 9148*/ GIMT_Encode4(555223), // Rule ID 3105 //
     /*  555153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  555164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  555167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  555170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555199 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555221 */     GIR_RootConstrainSelectedInstOperands,
     /*  555222 */     // GIR_Coverage, 3105,
     /*  555222 */     GIR_EraseRootFromParent_Done,
     /*  555223 */   // Label 9148: @555223
     /*  555223 */   GIM_Try, /*On fail goto*//*Label 9149*/ GIMT_Encode4(555298), // Rule ID 3108 //
     /*  555228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  555239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  555242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  555245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555274 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555296 */     GIR_RootConstrainSelectedInstOperands,
     /*  555297 */     // GIR_Coverage, 3108,
     /*  555297 */     GIR_EraseRootFromParent_Done,
     /*  555298 */   // Label 9149: @555298
     /*  555298 */   GIM_Try, /*On fail goto*//*Label 9150*/ GIMT_Encode4(555373), // Rule ID 3109 //
     /*  555303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  555314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  555317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  555320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555349 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555371 */     GIR_RootConstrainSelectedInstOperands,
     /*  555372 */     // GIR_Coverage, 3109,
     /*  555372 */     GIR_EraseRootFromParent_Done,
     /*  555373 */   // Label 9150: @555373
     /*  555373 */   GIM_Try, /*On fail goto*//*Label 9151*/ GIMT_Encode4(555448), // Rule ID 3112 //
     /*  555378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  555389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  555392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  555395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555424 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555446 */     GIR_RootConstrainSelectedInstOperands,
     /*  555447 */     // GIR_Coverage, 3112,
     /*  555447 */     GIR_EraseRootFromParent_Done,
     /*  555448 */   // Label 9151: @555448
     /*  555448 */   GIM_Try, /*On fail goto*//*Label 9152*/ GIMT_Encode4(555523), // Rule ID 3113 //
     /*  555453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  555464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  555467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  555470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555499 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555521 */     GIR_RootConstrainSelectedInstOperands,
     /*  555522 */     // GIR_Coverage, 3113,
     /*  555522 */     GIR_EraseRootFromParent_Done,
     /*  555523 */   // Label 9152: @555523
     /*  555523 */   GIM_Try, /*On fail goto*//*Label 9153*/ GIMT_Encode4(555598), // Rule ID 3116 //
     /*  555528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  555539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  555542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  555545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555574 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555596 */     GIR_RootConstrainSelectedInstOperands,
     /*  555597 */     // GIR_Coverage, 3116,
     /*  555597 */     GIR_EraseRootFromParent_Done,
     /*  555598 */   // Label 9153: @555598
     /*  555598 */   GIM_Try, /*On fail goto*//*Label 9154*/ GIMT_Encode4(555673), // Rule ID 3117 //
     /*  555603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  555614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  555617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  555620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555649 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555671 */     GIR_RootConstrainSelectedInstOperands,
     /*  555672 */     // GIR_Coverage, 3117,
     /*  555672 */     GIR_EraseRootFromParent_Done,
     /*  555673 */   // Label 9154: @555673
     /*  555673 */   GIM_Try, /*On fail goto*//*Label 9155*/ GIMT_Encode4(555748), // Rule ID 3120 //
     /*  555678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  555689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  555692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  555695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555724 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555746 */     GIR_RootConstrainSelectedInstOperands,
     /*  555747 */     // GIR_Coverage, 3120,
     /*  555747 */     GIR_EraseRootFromParent_Done,
     /*  555748 */   // Label 9155: @555748
     /*  555748 */   GIM_Try, /*On fail goto*//*Label 9156*/ GIMT_Encode4(555823), // Rule ID 3121 //
     /*  555753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  555764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  555767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  555770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555799 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555821 */     GIR_RootConstrainSelectedInstOperands,
     /*  555822 */     // GIR_Coverage, 3121,
     /*  555822 */     GIR_EraseRootFromParent_Done,
     /*  555823 */   // Label 9156: @555823
     /*  555823 */   GIM_Try, /*On fail goto*//*Label 9157*/ GIMT_Encode4(555898), // Rule ID 3124 //
     /*  555828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  555839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  555842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  555845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555874 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555896 */     GIR_RootConstrainSelectedInstOperands,
     /*  555897 */     // GIR_Coverage, 3124,
     /*  555897 */     GIR_EraseRootFromParent_Done,
     /*  555898 */   // Label 9157: @555898
     /*  555898 */   GIM_Try, /*On fail goto*//*Label 9158*/ GIMT_Encode4(555973), // Rule ID 3125 //
     /*  555903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  555914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  555917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  555920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555949 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555971 */     GIR_RootConstrainSelectedInstOperands,
     /*  555972 */     // GIR_Coverage, 3125,
     /*  555972 */     GIR_EraseRootFromParent_Done,
     /*  555973 */   // Label 9158: @555973
     /*  555973 */   GIM_Try, /*On fail goto*//*Label 9159*/ GIMT_Encode4(556048), // Rule ID 3128 //
     /*  555978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  555989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  555992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  555995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  556027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556046 */     GIR_RootConstrainSelectedInstOperands,
     /*  556047 */     // GIR_Coverage, 3128,
     /*  556047 */     GIR_EraseRootFromParent_Done,
     /*  556048 */   // Label 9159: @556048
     /*  556048 */   GIM_Try, /*On fail goto*//*Label 9160*/ GIMT_Encode4(556123), // Rule ID 3129 //
     /*  556053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  556064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  556067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  556070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556099 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  556102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556121 */     GIR_RootConstrainSelectedInstOperands,
     /*  556122 */     // GIR_Coverage, 3129,
     /*  556122 */     GIR_EraseRootFromParent_Done,
     /*  556123 */   // Label 9160: @556123
     /*  556123 */   GIM_Try, /*On fail goto*//*Label 9161*/ GIMT_Encode4(556198), // Rule ID 3132 //
     /*  556128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  556139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  556142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  556145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  556177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556196 */     GIR_RootConstrainSelectedInstOperands,
     /*  556197 */     // GIR_Coverage, 3132,
     /*  556197 */     GIR_EraseRootFromParent_Done,
     /*  556198 */   // Label 9161: @556198
     /*  556198 */   GIM_Try, /*On fail goto*//*Label 9162*/ GIMT_Encode4(556273), // Rule ID 3133 //
     /*  556203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  556214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  556217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  556220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556249 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  556252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556271 */     GIR_RootConstrainSelectedInstOperands,
     /*  556272 */     // GIR_Coverage, 3133,
     /*  556272 */     GIR_EraseRootFromParent_Done,
     /*  556273 */   // Label 9162: @556273
     /*  556273 */   GIM_Try, /*On fail goto*//*Label 9163*/ GIMT_Encode4(556348), // Rule ID 3136 //
     /*  556278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  556289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  556292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  556295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  556327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556346 */     GIR_RootConstrainSelectedInstOperands,
     /*  556347 */     // GIR_Coverage, 3136,
     /*  556347 */     GIR_EraseRootFromParent_Done,
     /*  556348 */   // Label 9163: @556348
     /*  556348 */   GIM_Try, /*On fail goto*//*Label 9164*/ GIMT_Encode4(556423), // Rule ID 3137 //
     /*  556353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  556364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  556367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  556370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556399 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  556402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556421 */     GIR_RootConstrainSelectedInstOperands,
     /*  556422 */     // GIR_Coverage, 3137,
     /*  556422 */     GIR_EraseRootFromParent_Done,
     /*  556423 */   // Label 9164: @556423
     /*  556423 */   GIM_Try, /*On fail goto*//*Label 9165*/ GIMT_Encode4(556498), // Rule ID 3140 //
     /*  556428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  556439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  556442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  556445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  556477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556496 */     GIR_RootConstrainSelectedInstOperands,
     /*  556497 */     // GIR_Coverage, 3140,
     /*  556497 */     GIR_EraseRootFromParent_Done,
     /*  556498 */   // Label 9165: @556498
     /*  556498 */   GIM_Try, /*On fail goto*//*Label 9166*/ GIMT_Encode4(556573), // Rule ID 3141 //
     /*  556503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  556514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  556517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  556520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556549 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  556552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556571 */     GIR_RootConstrainSelectedInstOperands,
     /*  556572 */     // GIR_Coverage, 3141,
     /*  556572 */     GIR_EraseRootFromParent_Done,
     /*  556573 */   // Label 9166: @556573
     /*  556573 */   GIM_Try, /*On fail goto*//*Label 9167*/ GIMT_Encode4(556648), // Rule ID 3144 //
     /*  556578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  556589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  556592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  556595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  556627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556646 */     GIR_RootConstrainSelectedInstOperands,
     /*  556647 */     // GIR_Coverage, 3144,
     /*  556647 */     GIR_EraseRootFromParent_Done,
     /*  556648 */   // Label 9167: @556648
     /*  556648 */   GIM_Try, /*On fail goto*//*Label 9168*/ GIMT_Encode4(556723), // Rule ID 3145 //
     /*  556653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  556664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  556667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  556670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  556702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556721 */     GIR_RootConstrainSelectedInstOperands,
     /*  556722 */     // GIR_Coverage, 3145,
     /*  556722 */     GIR_EraseRootFromParent_Done,
     /*  556723 */   // Label 9168: @556723
     /*  556723 */   GIM_Try, /*On fail goto*//*Label 9169*/ GIMT_Encode4(556798), // Rule ID 3148 //
     /*  556728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  556739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  556742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  556745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  556777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556796 */     GIR_RootConstrainSelectedInstOperands,
     /*  556797 */     // GIR_Coverage, 3148,
     /*  556797 */     GIR_EraseRootFromParent_Done,
     /*  556798 */   // Label 9169: @556798
     /*  556798 */   GIM_Try, /*On fail goto*//*Label 9170*/ GIMT_Encode4(556873), // Rule ID 3149 //
     /*  556803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  556814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  556817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  556820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556849 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  556852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556871 */     GIR_RootConstrainSelectedInstOperands,
     /*  556872 */     // GIR_Coverage, 3149,
     /*  556872 */     GIR_EraseRootFromParent_Done,
     /*  556873 */   // Label 9170: @556873
     /*  556873 */   GIM_Try, /*On fail goto*//*Label 9171*/ GIMT_Encode4(556948), // Rule ID 3240 //
     /*  556878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  556889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  556892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  556895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  556898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  556927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556946 */     GIR_RootConstrainSelectedInstOperands,
     /*  556947 */     // GIR_Coverage, 3240,
     /*  556947 */     GIR_EraseRootFromParent_Done,
     /*  556948 */   // Label 9171: @556948
     /*  556948 */   GIM_Try, /*On fail goto*//*Label 9172*/ GIMT_Encode4(557023), // Rule ID 3241 //
     /*  556953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  556964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  556967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  556970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  556973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556999 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  557002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557021 */     GIR_RootConstrainSelectedInstOperands,
     /*  557022 */     // GIR_Coverage, 3241,
     /*  557022 */     GIR_EraseRootFromParent_Done,
     /*  557023 */   // Label 9172: @557023
     /*  557023 */   GIM_Try, /*On fail goto*//*Label 9173*/ GIMT_Encode4(557098), // Rule ID 3244 //
     /*  557028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  557039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  557042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  557045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  557048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557074 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  557077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557096 */     GIR_RootConstrainSelectedInstOperands,
     /*  557097 */     // GIR_Coverage, 3244,
     /*  557097 */     GIR_EraseRootFromParent_Done,
     /*  557098 */   // Label 9173: @557098
     /*  557098 */   GIM_Try, /*On fail goto*//*Label 9174*/ GIMT_Encode4(557173), // Rule ID 3245 //
     /*  557103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  557114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  557117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  557120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  557123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557149 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  557152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557171 */     GIR_RootConstrainSelectedInstOperands,
     /*  557172 */     // GIR_Coverage, 3245,
     /*  557172 */     GIR_EraseRootFromParent_Done,
     /*  557173 */   // Label 9174: @557173
     /*  557173 */   GIM_Try, /*On fail goto*//*Label 9175*/ GIMT_Encode4(557248), // Rule ID 3248 //
     /*  557178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  557189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  557192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  557195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  557198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557224 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  557227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557246 */     GIR_RootConstrainSelectedInstOperands,
     /*  557247 */     // GIR_Coverage, 3248,
     /*  557247 */     GIR_EraseRootFromParent_Done,
     /*  557248 */   // Label 9175: @557248
     /*  557248 */   GIM_Try, /*On fail goto*//*Label 9176*/ GIMT_Encode4(557323), // Rule ID 3249 //
     /*  557253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  557264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  557267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  557270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  557273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557299 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  557302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557321 */     GIR_RootConstrainSelectedInstOperands,
     /*  557322 */     // GIR_Coverage, 3249,
     /*  557322 */     GIR_EraseRootFromParent_Done,
     /*  557323 */   // Label 9176: @557323
     /*  557323 */   GIM_Try, /*On fail goto*//*Label 9177*/ GIMT_Encode4(557398), // Rule ID 3252 //
     /*  557328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  557339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  557342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  557345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  557348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557374 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  557377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557396 */     GIR_RootConstrainSelectedInstOperands,
     /*  557397 */     // GIR_Coverage, 3252,
     /*  557397 */     GIR_EraseRootFromParent_Done,
     /*  557398 */   // Label 9177: @557398
     /*  557398 */   GIM_Try, /*On fail goto*//*Label 9178*/ GIMT_Encode4(557473), // Rule ID 3253 //
     /*  557403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  557414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  557417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  557420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  557423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557449 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  557452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557471 */     GIR_RootConstrainSelectedInstOperands,
     /*  557472 */     // GIR_Coverage, 3253,
     /*  557472 */     GIR_EraseRootFromParent_Done,
     /*  557473 */   // Label 9178: @557473
     /*  557473 */   GIM_Try, /*On fail goto*//*Label 9179*/ GIMT_Encode4(557548), // Rule ID 3256 //
     /*  557478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  557489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  557492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  557495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  557498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  557527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557546 */     GIR_RootConstrainSelectedInstOperands,
     /*  557547 */     // GIR_Coverage, 3256,
     /*  557547 */     GIR_EraseRootFromParent_Done,
     /*  557548 */   // Label 9179: @557548
     /*  557548 */   GIM_Try, /*On fail goto*//*Label 9180*/ GIMT_Encode4(557623), // Rule ID 3257 //
     /*  557553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  557564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  557567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  557570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  557573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557599 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  557602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557621 */     GIR_RootConstrainSelectedInstOperands,
     /*  557622 */     // GIR_Coverage, 3257,
     /*  557622 */     GIR_EraseRootFromParent_Done,
     /*  557623 */   // Label 9180: @557623
     /*  557623 */   GIM_Try, /*On fail goto*//*Label 9181*/ GIMT_Encode4(557698), // Rule ID 3260 //
     /*  557628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  557639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  557642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  557645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  557648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557674 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  557677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557696 */     GIR_RootConstrainSelectedInstOperands,
     /*  557697 */     // GIR_Coverage, 3260,
     /*  557697 */     GIR_EraseRootFromParent_Done,
     /*  557698 */   // Label 9181: @557698
     /*  557698 */   GIM_Try, /*On fail goto*//*Label 9182*/ GIMT_Encode4(557773), // Rule ID 3261 //
     /*  557703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  557714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  557717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  557720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  557723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557749 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  557752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557771 */     GIR_RootConstrainSelectedInstOperands,
     /*  557772 */     // GIR_Coverage, 3261,
     /*  557772 */     GIR_EraseRootFromParent_Done,
     /*  557773 */   // Label 9182: @557773
     /*  557773 */   GIM_Try, /*On fail goto*//*Label 9183*/ GIMT_Encode4(557848), // Rule ID 3264 //
     /*  557778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  557789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  557792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  557795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  557798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557846 */     GIR_RootConstrainSelectedInstOperands,
     /*  557847 */     // GIR_Coverage, 3264,
     /*  557847 */     GIR_EraseRootFromParent_Done,
     /*  557848 */   // Label 9183: @557848
     /*  557848 */   GIM_Try, /*On fail goto*//*Label 9184*/ GIMT_Encode4(557923), // Rule ID 3265 //
     /*  557853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  557864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  557867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  557870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  557873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557899 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557921 */     GIR_RootConstrainSelectedInstOperands,
     /*  557922 */     // GIR_Coverage, 3265,
     /*  557922 */     GIR_EraseRootFromParent_Done,
     /*  557923 */   // Label 9184: @557923
     /*  557923 */   GIM_Try, /*On fail goto*//*Label 9185*/ GIMT_Encode4(557998), // Rule ID 3268 //
     /*  557928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  557939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  557942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  557945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  557948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557996 */     GIR_RootConstrainSelectedInstOperands,
     /*  557997 */     // GIR_Coverage, 3268,
     /*  557997 */     GIR_EraseRootFromParent_Done,
     /*  557998 */   // Label 9185: @557998
     /*  557998 */   GIM_Try, /*On fail goto*//*Label 9186*/ GIMT_Encode4(558073), // Rule ID 3269 //
     /*  558003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  558014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  558017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  558020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  558023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558049 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  558052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558071 */     GIR_RootConstrainSelectedInstOperands,
     /*  558072 */     // GIR_Coverage, 3269,
     /*  558072 */     GIR_EraseRootFromParent_Done,
     /*  558073 */   // Label 9186: @558073
     /*  558073 */   GIM_Try, /*On fail goto*//*Label 9187*/ GIMT_Encode4(558148), // Rule ID 3272 //
     /*  558078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  558089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  558092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  558095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  558098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  558127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558146 */     GIR_RootConstrainSelectedInstOperands,
     /*  558147 */     // GIR_Coverage, 3272,
     /*  558147 */     GIR_EraseRootFromParent_Done,
     /*  558148 */   // Label 9187: @558148
     /*  558148 */   GIM_Try, /*On fail goto*//*Label 9188*/ GIMT_Encode4(558223), // Rule ID 3273 //
     /*  558153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  558164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  558167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  558170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  558173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558199 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  558202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558221 */     GIR_RootConstrainSelectedInstOperands,
     /*  558222 */     // GIR_Coverage, 3273,
     /*  558222 */     GIR_EraseRootFromParent_Done,
     /*  558223 */   // Label 9188: @558223
     /*  558223 */   GIM_Try, /*On fail goto*//*Label 9189*/ GIMT_Encode4(558298), // Rule ID 3276 //
     /*  558228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  558231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  558239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  558242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  558245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  558248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558274 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  558274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  558277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558296 */     GIR_RootConstrainSelectedInstOperands,
     /*  558297 */     // GIR_Coverage, 3276,
     /*  558297 */     GIR_EraseRootFromParent_Done,
     /*  558298 */   // Label 9189: @558298
     /*  558298 */   GIM_Try, /*On fail goto*//*Label 9190*/ GIMT_Encode4(558373), // Rule ID 3277 //
     /*  558303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  558306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  558314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  558317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  558320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  558323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558349 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  558349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  558352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558371 */     GIR_RootConstrainSelectedInstOperands,
     /*  558372 */     // GIR_Coverage, 3277,
     /*  558372 */     GIR_EraseRootFromParent_Done,
     /*  558373 */   // Label 9190: @558373
     /*  558373 */   GIM_Try, /*On fail goto*//*Label 9191*/ GIMT_Encode4(558448), // Rule ID 3280 //
     /*  558378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  558389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  558392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  558395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  558398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558424 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558446 */     GIR_RootConstrainSelectedInstOperands,
     /*  558447 */     // GIR_Coverage, 3280,
     /*  558447 */     GIR_EraseRootFromParent_Done,
     /*  558448 */   // Label 9191: @558448
     /*  558448 */   GIM_Try, /*On fail goto*//*Label 9192*/ GIMT_Encode4(558523), // Rule ID 3281 //
     /*  558453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  558464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  558467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  558470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  558473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558499 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558521 */     GIR_RootConstrainSelectedInstOperands,
     /*  558522 */     // GIR_Coverage, 3281,
     /*  558522 */     GIR_EraseRootFromParent_Done,
     /*  558523 */   // Label 9192: @558523
     /*  558523 */   GIM_Try, /*On fail goto*//*Label 9193*/ GIMT_Encode4(558598), // Rule ID 3284 //
     /*  558528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  558539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  558542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  558545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  558548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558574 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558596 */     GIR_RootConstrainSelectedInstOperands,
     /*  558597 */     // GIR_Coverage, 3284,
     /*  558597 */     GIR_EraseRootFromParent_Done,
     /*  558598 */   // Label 9193: @558598
     /*  558598 */   GIM_Try, /*On fail goto*//*Label 9194*/ GIMT_Encode4(558673), // Rule ID 3285 //
     /*  558603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  558614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  558617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  558620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  558623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558649 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558671 */     GIR_RootConstrainSelectedInstOperands,
     /*  558672 */     // GIR_Coverage, 3285,
     /*  558672 */     GIR_EraseRootFromParent_Done,
     /*  558673 */   // Label 9194: @558673
     /*  558673 */   GIM_Try, /*On fail goto*//*Label 9195*/ GIMT_Encode4(558748), // Rule ID 3288 //
     /*  558678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  558689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  558692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  558695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  558698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558724 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558746 */     GIR_RootConstrainSelectedInstOperands,
     /*  558747 */     // GIR_Coverage, 3288,
     /*  558747 */     GIR_EraseRootFromParent_Done,
     /*  558748 */   // Label 9195: @558748
     /*  558748 */   GIM_Try, /*On fail goto*//*Label 9196*/ GIMT_Encode4(558823), // Rule ID 3289 //
     /*  558753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  558764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  558767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  558770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  558773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558799 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558821 */     GIR_RootConstrainSelectedInstOperands,
     /*  558822 */     // GIR_Coverage, 3289,
     /*  558822 */     GIR_EraseRootFromParent_Done,
     /*  558823 */   // Label 9196: @558823
     /*  558823 */   GIM_Try, /*On fail goto*//*Label 9197*/ GIMT_Encode4(558898), // Rule ID 3292 //
     /*  558828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  558839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  558842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  558845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  558848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558896 */     GIR_RootConstrainSelectedInstOperands,
     /*  558897 */     // GIR_Coverage, 3292,
     /*  558897 */     GIR_EraseRootFromParent_Done,
     /*  558898 */   // Label 9197: @558898
     /*  558898 */   GIM_Try, /*On fail goto*//*Label 9198*/ GIMT_Encode4(558973), // Rule ID 3293 //
     /*  558903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  558914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  558917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  558920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  558923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558949 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558971 */     GIR_RootConstrainSelectedInstOperands,
     /*  558972 */     // GIR_Coverage, 3293,
     /*  558972 */     GIR_EraseRootFromParent_Done,
     /*  558973 */   // Label 9198: @558973
     /*  558973 */   GIM_Try, /*On fail goto*//*Label 9199*/ GIMT_Encode4(559048), // Rule ID 3296 //
     /*  558978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  558989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  558992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  558995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  558998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559024 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  559027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559046 */     GIR_RootConstrainSelectedInstOperands,
     /*  559047 */     // GIR_Coverage, 3296,
     /*  559047 */     GIR_EraseRootFromParent_Done,
     /*  559048 */   // Label 9199: @559048
     /*  559048 */   GIM_Try, /*On fail goto*//*Label 9200*/ GIMT_Encode4(559123), // Rule ID 3297 //
     /*  559053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  559064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  559067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  559070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  559073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559099 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  559102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559121 */     GIR_RootConstrainSelectedInstOperands,
     /*  559122 */     // GIR_Coverage, 3297,
     /*  559122 */     GIR_EraseRootFromParent_Done,
     /*  559123 */   // Label 9200: @559123
     /*  559123 */   GIM_Try, /*On fail goto*//*Label 9201*/ GIMT_Encode4(559198), // Rule ID 3300 //
     /*  559128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  559139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  559142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  559145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  559148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559174 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  559177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559196 */     GIR_RootConstrainSelectedInstOperands,
     /*  559197 */     // GIR_Coverage, 3300,
     /*  559197 */     GIR_EraseRootFromParent_Done,
     /*  559198 */   // Label 9201: @559198
     /*  559198 */   GIM_Try, /*On fail goto*//*Label 9202*/ GIMT_Encode4(559273), // Rule ID 3301 //
     /*  559203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  559214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  559217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  559220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  559223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559249 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  559252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559271 */     GIR_RootConstrainSelectedInstOperands,
     /*  559272 */     // GIR_Coverage, 3301,
     /*  559272 */     GIR_EraseRootFromParent_Done,
     /*  559273 */   // Label 9202: @559273
     /*  559273 */   GIM_Try, /*On fail goto*//*Label 9203*/ GIMT_Encode4(559348), // Rule ID 3304 //
     /*  559278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  559289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  559292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  559295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  559298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  559327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559346 */     GIR_RootConstrainSelectedInstOperands,
     /*  559347 */     // GIR_Coverage, 3304,
     /*  559347 */     GIR_EraseRootFromParent_Done,
     /*  559348 */   // Label 9203: @559348
     /*  559348 */   GIM_Try, /*On fail goto*//*Label 9204*/ GIMT_Encode4(559423), // Rule ID 3305 //
     /*  559353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  559364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  559367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  559370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  559373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559399 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  559402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559421 */     GIR_RootConstrainSelectedInstOperands,
     /*  559422 */     // GIR_Coverage, 3305,
     /*  559422 */     GIR_EraseRootFromParent_Done,
     /*  559423 */   // Label 9204: @559423
     /*  559423 */   GIM_Try, /*On fail goto*//*Label 9205*/ GIMT_Encode4(559498), // Rule ID 3308 //
     /*  559428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  559439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  559442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  559445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  559448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  559477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559496 */     GIR_RootConstrainSelectedInstOperands,
     /*  559497 */     // GIR_Coverage, 3308,
     /*  559497 */     GIR_EraseRootFromParent_Done,
     /*  559498 */   // Label 9205: @559498
     /*  559498 */   GIM_Try, /*On fail goto*//*Label 9206*/ GIMT_Encode4(559573), // Rule ID 3309 //
     /*  559503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  559514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  559517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  559520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  559523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559549 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  559552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559571 */     GIR_RootConstrainSelectedInstOperands,
     /*  559572 */     // GIR_Coverage, 3309,
     /*  559572 */     GIR_EraseRootFromParent_Done,
     /*  559573 */   // Label 9206: @559573
     /*  559573 */   GIM_Try, /*On fail goto*//*Label 9207*/ GIMT_Encode4(559648), // Rule ID 3312 //
     /*  559578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  559589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  559592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  559595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  559598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  559627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559646 */     GIR_RootConstrainSelectedInstOperands,
     /*  559647 */     // GIR_Coverage, 3312,
     /*  559647 */     GIR_EraseRootFromParent_Done,
     /*  559648 */   // Label 9207: @559648
     /*  559648 */   GIM_Try, /*On fail goto*//*Label 9208*/ GIMT_Encode4(559723), // Rule ID 3313 //
     /*  559653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  559664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  559667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  559670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  559673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559699 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  559702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559721 */     GIR_RootConstrainSelectedInstOperands,
     /*  559722 */     // GIR_Coverage, 3313,
     /*  559722 */     GIR_EraseRootFromParent_Done,
     /*  559723 */   // Label 9208: @559723
     /*  559723 */   GIM_Try, /*On fail goto*//*Label 9209*/ GIMT_Encode4(559798), // Rule ID 3316 //
     /*  559728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  559739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  559742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  559745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  559748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559774 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  559777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559796 */     GIR_RootConstrainSelectedInstOperands,
     /*  559797 */     // GIR_Coverage, 3316,
     /*  559797 */     GIR_EraseRootFromParent_Done,
     /*  559798 */   // Label 9209: @559798
     /*  559798 */   GIM_Try, /*On fail goto*//*Label 9210*/ GIMT_Encode4(559873), // Rule ID 3317 //
     /*  559803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  559814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  559817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  559820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  559823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559849 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  559852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559871 */     GIR_RootConstrainSelectedInstOperands,
     /*  559872 */     // GIR_Coverage, 3317,
     /*  559872 */     GIR_EraseRootFromParent_Done,
     /*  559873 */   // Label 9210: @559873
     /*  559873 */   GIM_Try, /*On fail goto*//*Label 9211*/ GIMT_Encode4(559948), // Rule ID 3320 //
     /*  559878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  559889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  559892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  559895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  559898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  559927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559946 */     GIR_RootConstrainSelectedInstOperands,
     /*  559947 */     // GIR_Coverage, 3320,
     /*  559947 */     GIR_EraseRootFromParent_Done,
     /*  559948 */   // Label 9211: @559948
     /*  559948 */   GIM_Try, /*On fail goto*//*Label 9212*/ GIMT_Encode4(560023), // Rule ID 3321 //
     /*  559953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  559964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  559967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  559970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  559973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559999 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  560002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560021 */     GIR_RootConstrainSelectedInstOperands,
     /*  560022 */     // GIR_Coverage, 3321,
     /*  560022 */     GIR_EraseRootFromParent_Done,
     /*  560023 */   // Label 9212: @560023
     /*  560023 */   GIM_Try, /*On fail goto*//*Label 9213*/ GIMT_Encode4(560098), // Rule ID 3324 //
     /*  560028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  560039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  560042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  560045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  560048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  560077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560096 */     GIR_RootConstrainSelectedInstOperands,
     /*  560097 */     // GIR_Coverage, 3324,
     /*  560097 */     GIR_EraseRootFromParent_Done,
     /*  560098 */   // Label 9213: @560098
     /*  560098 */   GIM_Try, /*On fail goto*//*Label 9214*/ GIMT_Encode4(560173), // Rule ID 3325 //
     /*  560103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  560114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  560117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  560120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  560123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560149 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  560152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560171 */     GIR_RootConstrainSelectedInstOperands,
     /*  560172 */     // GIR_Coverage, 3325,
     /*  560172 */     GIR_EraseRootFromParent_Done,
     /*  560173 */   // Label 9214: @560173
     /*  560173 */   GIM_Try, /*On fail goto*//*Label 9215*/ GIMT_Encode4(560248), // Rule ID 3328 //
     /*  560178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  560189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  560192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  560195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560224 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  560227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560246 */     GIR_RootConstrainSelectedInstOperands,
     /*  560247 */     // GIR_Coverage, 3328,
     /*  560247 */     GIR_EraseRootFromParent_Done,
     /*  560248 */   // Label 9215: @560248
     /*  560248 */   GIM_Try, /*On fail goto*//*Label 9216*/ GIMT_Encode4(560323), // Rule ID 3329 //
     /*  560253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  560264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  560267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  560270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560299 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  560302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560321 */     GIR_RootConstrainSelectedInstOperands,
     /*  560322 */     // GIR_Coverage, 3329,
     /*  560322 */     GIR_EraseRootFromParent_Done,
     /*  560323 */   // Label 9216: @560323
     /*  560323 */   GIM_Try, /*On fail goto*//*Label 9217*/ GIMT_Encode4(560398), // Rule ID 3332 //
     /*  560328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  560339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  560342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  560345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560374 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  560377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560396 */     GIR_RootConstrainSelectedInstOperands,
     /*  560397 */     // GIR_Coverage, 3332,
     /*  560397 */     GIR_EraseRootFromParent_Done,
     /*  560398 */   // Label 9217: @560398
     /*  560398 */   GIM_Try, /*On fail goto*//*Label 9218*/ GIMT_Encode4(560473), // Rule ID 3333 //
     /*  560403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  560414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  560417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  560420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560449 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  560452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560471 */     GIR_RootConstrainSelectedInstOperands,
     /*  560472 */     // GIR_Coverage, 3333,
     /*  560472 */     GIR_EraseRootFromParent_Done,
     /*  560473 */   // Label 9218: @560473
     /*  560473 */   GIM_Try, /*On fail goto*//*Label 9219*/ GIMT_Encode4(560548), // Rule ID 3336 //
     /*  560478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  560489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  560492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  560495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560524 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  560527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560546 */     GIR_RootConstrainSelectedInstOperands,
     /*  560547 */     // GIR_Coverage, 3336,
     /*  560547 */     GIR_EraseRootFromParent_Done,
     /*  560548 */   // Label 9219: @560548
     /*  560548 */   GIM_Try, /*On fail goto*//*Label 9220*/ GIMT_Encode4(560623), // Rule ID 3337 //
     /*  560553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  560564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  560567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  560570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560599 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  560602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560621 */     GIR_RootConstrainSelectedInstOperands,
     /*  560622 */     // GIR_Coverage, 3337,
     /*  560622 */     GIR_EraseRootFromParent_Done,
     /*  560623 */   // Label 9220: @560623
     /*  560623 */   GIM_Try, /*On fail goto*//*Label 9221*/ GIMT_Encode4(560698), // Rule ID 3340 //
     /*  560628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  560639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  560642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  560645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  560677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560696 */     GIR_RootConstrainSelectedInstOperands,
     /*  560697 */     // GIR_Coverage, 3340,
     /*  560697 */     GIR_EraseRootFromParent_Done,
     /*  560698 */   // Label 9221: @560698
     /*  560698 */   GIM_Try, /*On fail goto*//*Label 9222*/ GIMT_Encode4(560773), // Rule ID 3341 //
     /*  560703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  560714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  560717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  560720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560749 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  560752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560771 */     GIR_RootConstrainSelectedInstOperands,
     /*  560772 */     // GIR_Coverage, 3341,
     /*  560772 */     GIR_EraseRootFromParent_Done,
     /*  560773 */   // Label 9222: @560773
     /*  560773 */   GIM_Try, /*On fail goto*//*Label 9223*/ GIMT_Encode4(560848), // Rule ID 3344 //
     /*  560778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  560789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  560792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  560795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  560827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560846 */     GIR_RootConstrainSelectedInstOperands,
     /*  560847 */     // GIR_Coverage, 3344,
     /*  560847 */     GIR_EraseRootFromParent_Done,
     /*  560848 */   // Label 9223: @560848
     /*  560848 */   GIM_Try, /*On fail goto*//*Label 9224*/ GIMT_Encode4(560923), // Rule ID 3345 //
     /*  560853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  560864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  560867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  560870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560899 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  560902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560921 */     GIR_RootConstrainSelectedInstOperands,
     /*  560922 */     // GIR_Coverage, 3345,
     /*  560922 */     GIR_EraseRootFromParent_Done,
     /*  560923 */   // Label 9224: @560923
     /*  560923 */   GIM_Try, /*On fail goto*//*Label 9225*/ GIMT_Encode4(560998), // Rule ID 3348 //
     /*  560928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  560939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  560942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  560945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  560977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560996 */     GIR_RootConstrainSelectedInstOperands,
     /*  560997 */     // GIR_Coverage, 3348,
     /*  560997 */     GIR_EraseRootFromParent_Done,
     /*  560998 */   // Label 9225: @560998
     /*  560998 */   GIM_Try, /*On fail goto*//*Label 9226*/ GIMT_Encode4(561073), // Rule ID 3349 //
     /*  561003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  561014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  561017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  561020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561049 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  561052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561071 */     GIR_RootConstrainSelectedInstOperands,
     /*  561072 */     // GIR_Coverage, 3349,
     /*  561072 */     GIR_EraseRootFromParent_Done,
     /*  561073 */   // Label 9226: @561073
     /*  561073 */   GIM_Try, /*On fail goto*//*Label 9227*/ GIMT_Encode4(561148), // Rule ID 3352 //
     /*  561078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  561089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  561092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  561095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  561127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561146 */     GIR_RootConstrainSelectedInstOperands,
     /*  561147 */     // GIR_Coverage, 3352,
     /*  561147 */     GIR_EraseRootFromParent_Done,
     /*  561148 */   // Label 9227: @561148
     /*  561148 */   GIM_Try, /*On fail goto*//*Label 9228*/ GIMT_Encode4(561223), // Rule ID 3353 //
     /*  561153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  561164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  561167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  561170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561199 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11637:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  561202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561221 */     GIR_RootConstrainSelectedInstOperands,
     /*  561222 */     // GIR_Coverage, 3353,
     /*  561222 */     GIR_EraseRootFromParent_Done,
     /*  561223 */   // Label 9228: @561223
     /*  561223 */   GIM_Try, /*On fail goto*//*Label 9229*/ GIMT_Encode4(561298), // Rule ID 3356 //
     /*  561228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  561239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  561242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  561245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  561277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561296 */     GIR_RootConstrainSelectedInstOperands,
     /*  561297 */     // GIR_Coverage, 3356,
     /*  561297 */     GIR_EraseRootFromParent_Done,
     /*  561298 */   // Label 9229: @561298
     /*  561298 */   GIM_Try, /*On fail goto*//*Label 9230*/ GIMT_Encode4(561373), // Rule ID 3357 //
     /*  561303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  561314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  561317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  561320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561349 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11637:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  561352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561371 */     GIR_RootConstrainSelectedInstOperands,
     /*  561372 */     // GIR_Coverage, 3357,
     /*  561372 */     GIR_EraseRootFromParent_Done,
     /*  561373 */   // Label 9230: @561373
     /*  561373 */   GIM_Try, /*On fail goto*//*Label 9231*/ GIMT_Encode4(561448), // Rule ID 3360 //
     /*  561378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  561389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  561392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  561395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  561427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561446 */     GIR_RootConstrainSelectedInstOperands,
     /*  561447 */     // GIR_Coverage, 3360,
     /*  561447 */     GIR_EraseRootFromParent_Done,
     /*  561448 */   // Label 9231: @561448
     /*  561448 */   GIM_Try, /*On fail goto*//*Label 9232*/ GIMT_Encode4(561523), // Rule ID 3361 //
     /*  561453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  561464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  561467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  561470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561499 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11637:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  561502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561521 */     GIR_RootConstrainSelectedInstOperands,
     /*  561522 */     // GIR_Coverage, 3361,
     /*  561522 */     GIR_EraseRootFromParent_Done,
     /*  561523 */   // Label 9232: @561523
     /*  561523 */   GIM_Try, /*On fail goto*//*Label 9233*/ GIMT_Encode4(561598), // Rule ID 3364 //
     /*  561528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  561531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  561539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  561542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  561545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  561574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  561577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561596 */     GIR_RootConstrainSelectedInstOperands,
     /*  561597 */     // GIR_Coverage, 3364,
     /*  561597 */     GIR_EraseRootFromParent_Done,
     /*  561598 */   // Label 9233: @561598
     /*  561598 */   GIM_Try, /*On fail goto*//*Label 9234*/ GIMT_Encode4(561673), // Rule ID 3365 //
     /*  561603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  561606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  561614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  561617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  561620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561649 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11637:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  561649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  561652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561671 */     GIR_RootConstrainSelectedInstOperands,
     /*  561672 */     // GIR_Coverage, 3365,
     /*  561672 */     GIR_EraseRootFromParent_Done,
     /*  561673 */   // Label 9234: @561673
     /*  561673 */   GIM_Try, /*On fail goto*//*Label 9235*/ GIMT_Encode4(561748), // Rule ID 3368 //
     /*  561678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  561689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  561692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  561695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561724 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561746 */     GIR_RootConstrainSelectedInstOperands,
     /*  561747 */     // GIR_Coverage, 3368,
     /*  561747 */     GIR_EraseRootFromParent_Done,
     /*  561748 */   // Label 9235: @561748
     /*  561748 */   GIM_Try, /*On fail goto*//*Label 9236*/ GIMT_Encode4(561823), // Rule ID 3369 //
     /*  561753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  561764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  561767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  561770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561799 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561821 */     GIR_RootConstrainSelectedInstOperands,
     /*  561822 */     // GIR_Coverage, 3369,
     /*  561822 */     GIR_EraseRootFromParent_Done,
     /*  561823 */   // Label 9236: @561823
     /*  561823 */   GIM_Try, /*On fail goto*//*Label 9237*/ GIMT_Encode4(561898), // Rule ID 3372 //
     /*  561828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  561839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  561842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  561845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561874 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561896 */     GIR_RootConstrainSelectedInstOperands,
     /*  561897 */     // GIR_Coverage, 3372,
     /*  561897 */     GIR_EraseRootFromParent_Done,
     /*  561898 */   // Label 9237: @561898
     /*  561898 */   GIM_Try, /*On fail goto*//*Label 9238*/ GIMT_Encode4(561973), // Rule ID 3373 //
     /*  561903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  561914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  561917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  561920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561949 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561971 */     GIR_RootConstrainSelectedInstOperands,
     /*  561972 */     // GIR_Coverage, 3373,
     /*  561972 */     GIR_EraseRootFromParent_Done,
     /*  561973 */   // Label 9238: @561973
     /*  561973 */   GIM_Try, /*On fail goto*//*Label 9239*/ GIMT_Encode4(562048), // Rule ID 3376 //
     /*  561978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  561989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  561992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  561995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562046 */     GIR_RootConstrainSelectedInstOperands,
     /*  562047 */     // GIR_Coverage, 3376,
     /*  562047 */     GIR_EraseRootFromParent_Done,
     /*  562048 */   // Label 9239: @562048
     /*  562048 */   GIM_Try, /*On fail goto*//*Label 9240*/ GIMT_Encode4(562123), // Rule ID 3377 //
     /*  562053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  562064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  562067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  562070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562099 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562121 */     GIR_RootConstrainSelectedInstOperands,
     /*  562122 */     // GIR_Coverage, 3377,
     /*  562122 */     GIR_EraseRootFromParent_Done,
     /*  562123 */   // Label 9240: @562123
     /*  562123 */   GIM_Try, /*On fail goto*//*Label 9241*/ GIMT_Encode4(562198), // Rule ID 3380 //
     /*  562128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  562139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  562142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  562145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  562177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562196 */     GIR_RootConstrainSelectedInstOperands,
     /*  562197 */     // GIR_Coverage, 3380,
     /*  562197 */     GIR_EraseRootFromParent_Done,
     /*  562198 */   // Label 9241: @562198
     /*  562198 */   GIM_Try, /*On fail goto*//*Label 9242*/ GIMT_Encode4(562273), // Rule ID 3381 //
     /*  562203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  562214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  562217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  562220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562249 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  562252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562271 */     GIR_RootConstrainSelectedInstOperands,
     /*  562272 */     // GIR_Coverage, 3381,
     /*  562272 */     GIR_EraseRootFromParent_Done,
     /*  562273 */   // Label 9242: @562273
     /*  562273 */   GIM_Try, /*On fail goto*//*Label 9243*/ GIMT_Encode4(562348), // Rule ID 3384 //
     /*  562278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  562289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  562292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  562295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562346 */     GIR_RootConstrainSelectedInstOperands,
     /*  562347 */     // GIR_Coverage, 3384,
     /*  562347 */     GIR_EraseRootFromParent_Done,
     /*  562348 */   // Label 9243: @562348
     /*  562348 */   GIM_Try, /*On fail goto*//*Label 9244*/ GIMT_Encode4(562423), // Rule ID 3385 //
     /*  562353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  562364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  562367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  562370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562399 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562421 */     GIR_RootConstrainSelectedInstOperands,
     /*  562422 */     // GIR_Coverage, 3385,
     /*  562422 */     GIR_EraseRootFromParent_Done,
     /*  562423 */   // Label 9244: @562423
     /*  562423 */   GIM_Try, /*On fail goto*//*Label 9245*/ GIMT_Encode4(562498), // Rule ID 3388 //
     /*  562428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  562439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  562442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  562445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562474 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562496 */     GIR_RootConstrainSelectedInstOperands,
     /*  562497 */     // GIR_Coverage, 3388,
     /*  562497 */     GIR_EraseRootFromParent_Done,
     /*  562498 */   // Label 9245: @562498
     /*  562498 */   GIM_Try, /*On fail goto*//*Label 9246*/ GIMT_Encode4(562573), // Rule ID 3389 //
     /*  562503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  562514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  562517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  562520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562549 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562571 */     GIR_RootConstrainSelectedInstOperands,
     /*  562572 */     // GIR_Coverage, 3389,
     /*  562572 */     GIR_EraseRootFromParent_Done,
     /*  562573 */   // Label 9246: @562573
     /*  562573 */   GIM_Try, /*On fail goto*//*Label 9247*/ GIMT_Encode4(562648), // Rule ID 3392 //
     /*  562578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  562589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  562592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  562595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  562627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562646 */     GIR_RootConstrainSelectedInstOperands,
     /*  562647 */     // GIR_Coverage, 3392,
     /*  562647 */     GIR_EraseRootFromParent_Done,
     /*  562648 */   // Label 9247: @562648
     /*  562648 */   GIM_Try, /*On fail goto*//*Label 9248*/ GIMT_Encode4(562723), // Rule ID 3393 //
     /*  562653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  562664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  562667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  562670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562699 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  562702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562721 */     GIR_RootConstrainSelectedInstOperands,
     /*  562722 */     // GIR_Coverage, 3393,
     /*  562722 */     GIR_EraseRootFromParent_Done,
     /*  562723 */   // Label 9248: @562723
     /*  562723 */   GIM_Try, /*On fail goto*//*Label 9249*/ GIMT_Encode4(562798), // Rule ID 3396 //
     /*  562728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  562739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  562742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  562745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562796 */     GIR_RootConstrainSelectedInstOperands,
     /*  562797 */     // GIR_Coverage, 3396,
     /*  562797 */     GIR_EraseRootFromParent_Done,
     /*  562798 */   // Label 9249: @562798
     /*  562798 */   GIM_Try, /*On fail goto*//*Label 9250*/ GIMT_Encode4(562873), // Rule ID 3397 //
     /*  562803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  562814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  562817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  562820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562849 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562871 */     GIR_RootConstrainSelectedInstOperands,
     /*  562872 */     // GIR_Coverage, 3397,
     /*  562872 */     GIR_EraseRootFromParent_Done,
     /*  562873 */   // Label 9250: @562873
     /*  562873 */   GIM_Try, /*On fail goto*//*Label 9251*/ GIMT_Encode4(562948), // Rule ID 3400 //
     /*  562878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  562889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  562892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  562895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562946 */     GIR_RootConstrainSelectedInstOperands,
     /*  562947 */     // GIR_Coverage, 3400,
     /*  562947 */     GIR_EraseRootFromParent_Done,
     /*  562948 */   // Label 9251: @562948
     /*  562948 */   GIM_Try, /*On fail goto*//*Label 9252*/ GIMT_Encode4(563023), // Rule ID 3401 //
     /*  562953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  562964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  562967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  562970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562999 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  563002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563021 */     GIR_RootConstrainSelectedInstOperands,
     /*  563022 */     // GIR_Coverage, 3401,
     /*  563022 */     GIR_EraseRootFromParent_Done,
     /*  563023 */   // Label 9252: @563023
     /*  563023 */   GIM_Try, /*On fail goto*//*Label 9253*/ GIMT_Encode4(563098), // Rule ID 3404 //
     /*  563028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  563031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  563039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  563042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  563045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563074 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  563074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  563077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563096 */     GIR_RootConstrainSelectedInstOperands,
     /*  563097 */     // GIR_Coverage, 3404,
     /*  563097 */     GIR_EraseRootFromParent_Done,
     /*  563098 */   // Label 9253: @563098
     /*  563098 */   GIM_Try, /*On fail goto*//*Label 9254*/ GIMT_Encode4(563173), // Rule ID 3405 //
     /*  563103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  563106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  563114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  563117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  563120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563149 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11637:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  563149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  563152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563171 */     GIR_RootConstrainSelectedInstOperands,
     /*  563172 */     // GIR_Coverage, 3405,
     /*  563172 */     GIR_EraseRootFromParent_Done,
     /*  563173 */   // Label 9254: @563173
     /*  563173 */   GIM_Try, /*On fail goto*//*Label 9255*/ GIMT_Encode4(563248), // Rule ID 3408 //
     /*  563178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  563181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  563189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  563192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  563195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  563224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  563227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563246 */     GIR_RootConstrainSelectedInstOperands,
     /*  563247 */     // GIR_Coverage, 3408,
     /*  563247 */     GIR_EraseRootFromParent_Done,
     /*  563248 */   // Label 9255: @563248
     /*  563248 */   GIM_Try, /*On fail goto*//*Label 9256*/ GIMT_Encode4(563323), // Rule ID 3409 //
     /*  563253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  563256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  563264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  563267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  563270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563299 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11637:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  563299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  563302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563321 */     GIR_RootConstrainSelectedInstOperands,
     /*  563322 */     // GIR_Coverage, 3409,
     /*  563322 */     GIR_EraseRootFromParent_Done,
     /*  563323 */   // Label 9256: @563323
     /*  563323 */   GIM_Try, /*On fail goto*//*Label 9257*/ GIMT_Encode4(563398), // Rule ID 3412 //
     /*  563328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  563331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  563339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  563342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  563345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  563374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  563377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563396 */     GIR_RootConstrainSelectedInstOperands,
     /*  563397 */     // GIR_Coverage, 3412,
     /*  563397 */     GIR_EraseRootFromParent_Done,
     /*  563398 */   // Label 9257: @563398
     /*  563398 */   GIM_Try, /*On fail goto*//*Label 9258*/ GIMT_Encode4(563473), // Rule ID 3413 //
     /*  563403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  563406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  563414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  563417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  563420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563449 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11637:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  563449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  563452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563471 */     GIR_RootConstrainSelectedInstOperands,
     /*  563472 */     // GIR_Coverage, 3413,
     /*  563472 */     GIR_EraseRootFromParent_Done,
     /*  563473 */   // Label 9258: @563473
     /*  563473 */   GIM_Try, /*On fail goto*//*Label 9259*/ GIMT_Encode4(563548), // Rule ID 3416 //
     /*  563478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  563489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  563492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  563495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563524 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  563527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563546 */     GIR_RootConstrainSelectedInstOperands,
     /*  563547 */     // GIR_Coverage, 3416,
     /*  563547 */     GIR_EraseRootFromParent_Done,
     /*  563548 */   // Label 9259: @563548
     /*  563548 */   GIM_Try, /*On fail goto*//*Label 9260*/ GIMT_Encode4(563623), // Rule ID 3417 //
     /*  563553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  563564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  563567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  563570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563599 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  563602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563621 */     GIR_RootConstrainSelectedInstOperands,
     /*  563622 */     // GIR_Coverage, 3417,
     /*  563622 */     GIR_EraseRootFromParent_Done,
     /*  563623 */   // Label 9260: @563623
     /*  563623 */   GIM_Try, /*On fail goto*//*Label 9261*/ GIMT_Encode4(563698), // Rule ID 3420 //
     /*  563628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  563639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  563642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  563645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  563677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563696 */     GIR_RootConstrainSelectedInstOperands,
     /*  563697 */     // GIR_Coverage, 3420,
     /*  563697 */     GIR_EraseRootFromParent_Done,
     /*  563698 */   // Label 9261: @563698
     /*  563698 */   GIM_Try, /*On fail goto*//*Label 9262*/ GIMT_Encode4(563773), // Rule ID 3421 //
     /*  563703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  563714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  563717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  563720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563749 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  563752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563771 */     GIR_RootConstrainSelectedInstOperands,
     /*  563772 */     // GIR_Coverage, 3421,
     /*  563772 */     GIR_EraseRootFromParent_Done,
     /*  563773 */   // Label 9262: @563773
     /*  563773 */   GIM_Try, /*On fail goto*//*Label 9263*/ GIMT_Encode4(563848), // Rule ID 3424 //
     /*  563778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  563789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  563792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  563795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563824 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563846 */     GIR_RootConstrainSelectedInstOperands,
     /*  563847 */     // GIR_Coverage, 3424,
     /*  563847 */     GIR_EraseRootFromParent_Done,
     /*  563848 */   // Label 9263: @563848
     /*  563848 */   GIM_Try, /*On fail goto*//*Label 9264*/ GIMT_Encode4(563923), // Rule ID 3425 //
     /*  563853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  563864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  563867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  563870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563899 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563921 */     GIR_RootConstrainSelectedInstOperands,
     /*  563922 */     // GIR_Coverage, 3425,
     /*  563922 */     GIR_EraseRootFromParent_Done,
     /*  563923 */   // Label 9264: @563923
     /*  563923 */   GIM_Try, /*On fail goto*//*Label 9265*/ GIMT_Encode4(563998), // Rule ID 3428 //
     /*  563928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  563939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  563942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  563945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  563977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563996 */     GIR_RootConstrainSelectedInstOperands,
     /*  563997 */     // GIR_Coverage, 3428,
     /*  563997 */     GIR_EraseRootFromParent_Done,
     /*  563998 */   // Label 9265: @563998
     /*  563998 */   GIM_Try, /*On fail goto*//*Label 9266*/ GIMT_Encode4(564073), // Rule ID 3429 //
     /*  564003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  564014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  564017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  564020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564049 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  564052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564071 */     GIR_RootConstrainSelectedInstOperands,
     /*  564072 */     // GIR_Coverage, 3429,
     /*  564072 */     GIR_EraseRootFromParent_Done,
     /*  564073 */   // Label 9266: @564073
     /*  564073 */   GIM_Try, /*On fail goto*//*Label 9267*/ GIMT_Encode4(564148), // Rule ID 3432 //
     /*  564078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  564089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  564092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  564095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  564127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564146 */     GIR_RootConstrainSelectedInstOperands,
     /*  564147 */     // GIR_Coverage, 3432,
     /*  564147 */     GIR_EraseRootFromParent_Done,
     /*  564148 */   // Label 9267: @564148
     /*  564148 */   GIM_Try, /*On fail goto*//*Label 9268*/ GIMT_Encode4(564223), // Rule ID 3433 //
     /*  564153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  564164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  564167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  564170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564199 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  564202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564221 */     GIR_RootConstrainSelectedInstOperands,
     /*  564222 */     // GIR_Coverage, 3433,
     /*  564222 */     GIR_EraseRootFromParent_Done,
     /*  564223 */   // Label 9268: @564223
     /*  564223 */   GIM_Try, /*On fail goto*//*Label 9269*/ GIMT_Encode4(564298), // Rule ID 3436 //
     /*  564228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  564239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  564242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  564245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564274 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  564277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564296 */     GIR_RootConstrainSelectedInstOperands,
     /*  564297 */     // GIR_Coverage, 3436,
     /*  564297 */     GIR_EraseRootFromParent_Done,
     /*  564298 */   // Label 9269: @564298
     /*  564298 */   GIM_Try, /*On fail goto*//*Label 9270*/ GIMT_Encode4(564373), // Rule ID 3437 //
     /*  564303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  564314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  564317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  564320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564349 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  564352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564371 */     GIR_RootConstrainSelectedInstOperands,
     /*  564372 */     // GIR_Coverage, 3437,
     /*  564372 */     GIR_EraseRootFromParent_Done,
     /*  564373 */   // Label 9270: @564373
     /*  564373 */   GIM_Try, /*On fail goto*//*Label 9271*/ GIMT_Encode4(564448), // Rule ID 3440 //
     /*  564378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  564389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  564392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  564395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564446 */     GIR_RootConstrainSelectedInstOperands,
     /*  564447 */     // GIR_Coverage, 3440,
     /*  564447 */     GIR_EraseRootFromParent_Done,
     /*  564448 */   // Label 9271: @564448
     /*  564448 */   GIM_Try, /*On fail goto*//*Label 9272*/ GIMT_Encode4(564523), // Rule ID 3441 //
     /*  564453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  564464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  564467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  564470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564499 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564521 */     GIR_RootConstrainSelectedInstOperands,
     /*  564522 */     // GIR_Coverage, 3441,
     /*  564522 */     GIR_EraseRootFromParent_Done,
     /*  564523 */   // Label 9272: @564523
     /*  564523 */   GIM_Try, /*On fail goto*//*Label 9273*/ GIMT_Encode4(564598), // Rule ID 3444 //
     /*  564528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  564539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  564542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  564545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564596 */     GIR_RootConstrainSelectedInstOperands,
     /*  564597 */     // GIR_Coverage, 3444,
     /*  564597 */     GIR_EraseRootFromParent_Done,
     /*  564598 */   // Label 9273: @564598
     /*  564598 */   GIM_Try, /*On fail goto*//*Label 9274*/ GIMT_Encode4(564673), // Rule ID 3445 //
     /*  564603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  564614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  564617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  564620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564671 */     GIR_RootConstrainSelectedInstOperands,
     /*  564672 */     // GIR_Coverage, 3445,
     /*  564672 */     GIR_EraseRootFromParent_Done,
     /*  564673 */   // Label 9274: @564673
     /*  564673 */   GIM_Try, /*On fail goto*//*Label 9275*/ GIMT_Encode4(564748), // Rule ID 3448 //
     /*  564678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  564689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  564692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  564695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564746 */     GIR_RootConstrainSelectedInstOperands,
     /*  564747 */     // GIR_Coverage, 3448,
     /*  564747 */     GIR_EraseRootFromParent_Done,
     /*  564748 */   // Label 9275: @564748
     /*  564748 */   GIM_Try, /*On fail goto*//*Label 9276*/ GIMT_Encode4(564823), // Rule ID 3449 //
     /*  564753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  564764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  564767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  564770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564799 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564821 */     GIR_RootConstrainSelectedInstOperands,
     /*  564822 */     // GIR_Coverage, 3449,
     /*  564822 */     GIR_EraseRootFromParent_Done,
     /*  564823 */   // Label 9276: @564823
     /*  564823 */   GIM_Try, /*On fail goto*//*Label 9277*/ GIMT_Encode4(564898), // Rule ID 3452 //
     /*  564828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  564831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  564839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  564842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  564845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564874 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  564874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564896 */     GIR_RootConstrainSelectedInstOperands,
     /*  564897 */     // GIR_Coverage, 3452,
     /*  564897 */     GIR_EraseRootFromParent_Done,
     /*  564898 */   // Label 9277: @564898
     /*  564898 */   GIM_Try, /*On fail goto*//*Label 9278*/ GIMT_Encode4(564973), // Rule ID 3453 //
     /*  564903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  564906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  564914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  564917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  564920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564949 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  564949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  564952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564971 */     GIR_RootConstrainSelectedInstOperands,
     /*  564972 */     // GIR_Coverage, 3453,
     /*  564972 */     GIR_EraseRootFromParent_Done,
     /*  564973 */   // Label 9278: @564973
     /*  564973 */   GIM_Try, /*On fail goto*//*Label 9279*/ GIMT_Encode4(565048), // Rule ID 3456 //
     /*  564978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  564989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  564992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  564995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565024 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565046 */     GIR_RootConstrainSelectedInstOperands,
     /*  565047 */     // GIR_Coverage, 3456,
     /*  565047 */     GIR_EraseRootFromParent_Done,
     /*  565048 */   // Label 9279: @565048
     /*  565048 */   GIM_Try, /*On fail goto*//*Label 9280*/ GIMT_Encode4(565123), // Rule ID 3457 //
     /*  565053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  565064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  565067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  565070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565099 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565121 */     GIR_RootConstrainSelectedInstOperands,
     /*  565122 */     // GIR_Coverage, 3457,
     /*  565122 */     GIR_EraseRootFromParent_Done,
     /*  565123 */   // Label 9280: @565123
     /*  565123 */   GIM_Try, /*On fail goto*//*Label 9281*/ GIMT_Encode4(565198), // Rule ID 3460 //
     /*  565128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  565139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  565142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  565145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565174 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565196 */     GIR_RootConstrainSelectedInstOperands,
     /*  565197 */     // GIR_Coverage, 3460,
     /*  565197 */     GIR_EraseRootFromParent_Done,
     /*  565198 */   // Label 9281: @565198
     /*  565198 */   GIM_Try, /*On fail goto*//*Label 9282*/ GIMT_Encode4(565273), // Rule ID 3461 //
     /*  565203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  565214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  565217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  565220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565249 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565271 */     GIR_RootConstrainSelectedInstOperands,
     /*  565272 */     // GIR_Coverage, 3461,
     /*  565272 */     GIR_EraseRootFromParent_Done,
     /*  565273 */   // Label 9282: @565273
     /*  565273 */   GIM_Try, /*On fail goto*//*Label 9283*/ GIMT_Encode4(565348), // Rule ID 3464 //
     /*  565278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  565289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  565292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  565295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565346 */     GIR_RootConstrainSelectedInstOperands,
     /*  565347 */     // GIR_Coverage, 3464,
     /*  565347 */     GIR_EraseRootFromParent_Done,
     /*  565348 */   // Label 9283: @565348
     /*  565348 */   GIM_Try, /*On fail goto*//*Label 9284*/ GIMT_Encode4(565423), // Rule ID 3465 //
     /*  565353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  565364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  565367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  565370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565399 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565421 */     GIR_RootConstrainSelectedInstOperands,
     /*  565422 */     // GIR_Coverage, 3465,
     /*  565422 */     GIR_EraseRootFromParent_Done,
     /*  565423 */   // Label 9284: @565423
     /*  565423 */   GIM_Try, /*On fail goto*//*Label 9285*/ GIMT_Encode4(565498), // Rule ID 3468 //
     /*  565428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  565439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  565442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  565445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565496 */     GIR_RootConstrainSelectedInstOperands,
     /*  565497 */     // GIR_Coverage, 3468,
     /*  565497 */     GIR_EraseRootFromParent_Done,
     /*  565498 */   // Label 9285: @565498
     /*  565498 */   GIM_Try, /*On fail goto*//*Label 9286*/ GIMT_Encode4(565573), // Rule ID 3469 //
     /*  565503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  565514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  565517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  565520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565549 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565571 */     GIR_RootConstrainSelectedInstOperands,
     /*  565572 */     // GIR_Coverage, 3469,
     /*  565572 */     GIR_EraseRootFromParent_Done,
     /*  565573 */   // Label 9286: @565573
     /*  565573 */   GIM_Try, /*On fail goto*//*Label 9287*/ GIMT_Encode4(565648), // Rule ID 3472 //
     /*  565578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  565589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  565592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  565595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565646 */     GIR_RootConstrainSelectedInstOperands,
     /*  565647 */     // GIR_Coverage, 3472,
     /*  565647 */     GIR_EraseRootFromParent_Done,
     /*  565648 */   // Label 9287: @565648
     /*  565648 */   GIM_Try, /*On fail goto*//*Label 9288*/ GIMT_Encode4(565723), // Rule ID 3473 //
     /*  565653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  565664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  565667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  565670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565699 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565721 */     GIR_RootConstrainSelectedInstOperands,
     /*  565722 */     // GIR_Coverage, 3473,
     /*  565722 */     GIR_EraseRootFromParent_Done,
     /*  565723 */   // Label 9288: @565723
     /*  565723 */   GIM_Try, /*On fail goto*//*Label 9289*/ GIMT_Encode4(565798), // Rule ID 3476 //
     /*  565728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  565739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  565742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  565745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565796 */     GIR_RootConstrainSelectedInstOperands,
     /*  565797 */     // GIR_Coverage, 3476,
     /*  565797 */     GIR_EraseRootFromParent_Done,
     /*  565798 */   // Label 9289: @565798
     /*  565798 */   GIM_Try, /*On fail goto*//*Label 9290*/ GIMT_Encode4(565873), // Rule ID 3477 //
     /*  565803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  565814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  565817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  565820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565849 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565871 */     GIR_RootConstrainSelectedInstOperands,
     /*  565872 */     // GIR_Coverage, 3477,
     /*  565872 */     GIR_EraseRootFromParent_Done,
     /*  565873 */   // Label 9290: @565873
     /*  565873 */   GIM_Try, /*On fail goto*//*Label 9291*/ GIMT_Encode4(565948), // Rule ID 3480 //
     /*  565878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  565889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  565892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  565895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565946 */     GIR_RootConstrainSelectedInstOperands,
     /*  565947 */     // GIR_Coverage, 3480,
     /*  565947 */     GIR_EraseRootFromParent_Done,
     /*  565948 */   // Label 9291: @565948
     /*  565948 */   GIM_Try, /*On fail goto*//*Label 9292*/ GIMT_Encode4(566023), // Rule ID 3481 //
     /*  565953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  565964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  565967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  565970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565999 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  566002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566021 */     GIR_RootConstrainSelectedInstOperands,
     /*  566022 */     // GIR_Coverage, 3481,
     /*  566022 */     GIR_EraseRootFromParent_Done,
     /*  566023 */   // Label 9292: @566023
     /*  566023 */   GIM_Try, /*On fail goto*//*Label 9293*/ GIMT_Encode4(566098), // Rule ID 3484 //
     /*  566028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  566036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  566039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  566042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  566077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566096 */     GIR_RootConstrainSelectedInstOperands,
     /*  566097 */     // GIR_Coverage, 3484,
     /*  566097 */     GIR_EraseRootFromParent_Done,
     /*  566098 */   // Label 9293: @566098
     /*  566098 */   GIM_Try, /*On fail goto*//*Label 9294*/ GIMT_Encode4(566173), // Rule ID 3485 //
     /*  566103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  566111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  566114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  566117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566149 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  566152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566171 */     GIR_RootConstrainSelectedInstOperands,
     /*  566172 */     // GIR_Coverage, 3485,
     /*  566172 */     GIR_EraseRootFromParent_Done,
     /*  566173 */   // Label 9294: @566173
     /*  566173 */   GIM_Try, /*On fail goto*//*Label 9295*/ GIMT_Encode4(566248), // Rule ID 3488 //
     /*  566178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  566186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  566189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  566192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  566195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566224 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  566227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566246 */     GIR_RootConstrainSelectedInstOperands,
     /*  566247 */     // GIR_Coverage, 3488,
     /*  566247 */     GIR_EraseRootFromParent_Done,
     /*  566248 */   // Label 9295: @566248
     /*  566248 */   GIM_Try, /*On fail goto*//*Label 9296*/ GIMT_Encode4(566323), // Rule ID 3489 //
     /*  566253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  566261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  566264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  566267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  566270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566299 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  566302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566321 */     GIR_RootConstrainSelectedInstOperands,
     /*  566322 */     // GIR_Coverage, 3489,
     /*  566322 */     GIR_EraseRootFromParent_Done,
     /*  566323 */   // Label 9296: @566323
     /*  566323 */   GIM_Try, /*On fail goto*//*Label 9297*/ GIMT_Encode4(566398), // Rule ID 3492 //
     /*  566328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  566331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  566336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  566339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  566342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  566345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  566374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  566377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566396 */     GIR_RootConstrainSelectedInstOperands,
     /*  566397 */     // GIR_Coverage, 3492,
     /*  566397 */     GIR_EraseRootFromParent_Done,
     /*  566398 */   // Label 9297: @566398
     /*  566398 */   GIM_Try, /*On fail goto*//*Label 9298*/ GIMT_Encode4(566473), // Rule ID 3493 //
     /*  566403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  566406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  566411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  566414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  566417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  566420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566449 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  566449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  566452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566471 */     GIR_RootConstrainSelectedInstOperands,
     /*  566472 */     // GIR_Coverage, 3493,
     /*  566472 */     GIR_EraseRootFromParent_Done,
     /*  566473 */   // Label 9298: @566473
     /*  566473 */   GIM_Try, /*On fail goto*//*Label 9299*/ GIMT_Encode4(566548), // Rule ID 3496 //
     /*  566478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  566481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  566486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  566489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  566492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  566495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  566524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  566527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566546 */     GIR_RootConstrainSelectedInstOperands,
     /*  566547 */     // GIR_Coverage, 3496,
     /*  566547 */     GIR_EraseRootFromParent_Done,
     /*  566548 */   // Label 9299: @566548
     /*  566548 */   GIM_Try, /*On fail goto*//*Label 9300*/ GIMT_Encode4(566623), // Rule ID 3497 //
     /*  566553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  566556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  566561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  566564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  566567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  566570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566599 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  566599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  566602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566621 */     GIR_RootConstrainSelectedInstOperands,
     /*  566622 */     // GIR_Coverage, 3497,
     /*  566622 */     GIR_EraseRootFromParent_Done,
     /*  566623 */   // Label 9300: @566623
     /*  566623 */   GIM_Try, /*On fail goto*//*Label 9301*/ GIMT_Encode4(566698), // Rule ID 3500 //
     /*  566628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  566631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  566636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  566639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  566642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  566645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  566674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  566677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566696 */     GIR_RootConstrainSelectedInstOperands,
     /*  566697 */     // GIR_Coverage, 3500,
     /*  566697 */     GIR_EraseRootFromParent_Done,
     /*  566698 */   // Label 9301: @566698
     /*  566698 */   GIM_Try, /*On fail goto*//*Label 9302*/ GIMT_Encode4(566773), // Rule ID 3501 //
     /*  566703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  566706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  566711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  566714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  566717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  566720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566749 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  566749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  566752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566771 */     GIR_RootConstrainSelectedInstOperands,
     /*  566772 */     // GIR_Coverage, 3501,
     /*  566772 */     GIR_EraseRootFromParent_Done,
     /*  566773 */   // Label 9302: @566773
     /*  566773 */   GIM_Try, /*On fail goto*//*Label 9303*/ GIMT_Encode4(566848), // Rule ID 3592 //
     /*  566778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  566789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  566792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  566795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  566798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566824 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  566827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566846 */     GIR_RootConstrainSelectedInstOperands,
     /*  566847 */     // GIR_Coverage, 3592,
     /*  566847 */     GIR_EraseRootFromParent_Done,
     /*  566848 */   // Label 9303: @566848
     /*  566848 */   GIM_Try, /*On fail goto*//*Label 9304*/ GIMT_Encode4(566923), // Rule ID 3593 //
     /*  566853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  566864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  566867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  566870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  566873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  566902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566921 */     GIR_RootConstrainSelectedInstOperands,
     /*  566922 */     // GIR_Coverage, 3593,
     /*  566922 */     GIR_EraseRootFromParent_Done,
     /*  566923 */   // Label 9304: @566923
     /*  566923 */   GIM_Try, /*On fail goto*//*Label 9305*/ GIMT_Encode4(566998), // Rule ID 3596 //
     /*  566928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  566939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  566942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  566945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  566948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566974 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  566977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566996 */     GIR_RootConstrainSelectedInstOperands,
     /*  566997 */     // GIR_Coverage, 3596,
     /*  566997 */     GIR_EraseRootFromParent_Done,
     /*  566998 */   // Label 9305: @566998
     /*  566998 */   GIM_Try, /*On fail goto*//*Label 9306*/ GIMT_Encode4(567073), // Rule ID 3597 //
     /*  567003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  567014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  567017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  567020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  567023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  567052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567071 */     GIR_RootConstrainSelectedInstOperands,
     /*  567072 */     // GIR_Coverage, 3597,
     /*  567072 */     GIR_EraseRootFromParent_Done,
     /*  567073 */   // Label 9306: @567073
     /*  567073 */   GIM_Try, /*On fail goto*//*Label 9307*/ GIMT_Encode4(567148), // Rule ID 3600 //
     /*  567078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  567089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  567092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  567095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  567098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567124 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567146 */     GIR_RootConstrainSelectedInstOperands,
     /*  567147 */     // GIR_Coverage, 3600,
     /*  567147 */     GIR_EraseRootFromParent_Done,
     /*  567148 */   // Label 9307: @567148
     /*  567148 */   GIM_Try, /*On fail goto*//*Label 9308*/ GIMT_Encode4(567223), // Rule ID 3601 //
     /*  567153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  567164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  567167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  567170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  567173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567199 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567221 */     GIR_RootConstrainSelectedInstOperands,
     /*  567222 */     // GIR_Coverage, 3601,
     /*  567222 */     GIR_EraseRootFromParent_Done,
     /*  567223 */   // Label 9308: @567223
     /*  567223 */   GIM_Try, /*On fail goto*//*Label 9309*/ GIMT_Encode4(567298), // Rule ID 3604 //
     /*  567228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  567239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  567242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  567245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  567248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567274 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  567277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567296 */     GIR_RootConstrainSelectedInstOperands,
     /*  567297 */     // GIR_Coverage, 3604,
     /*  567297 */     GIR_EraseRootFromParent_Done,
     /*  567298 */   // Label 9309: @567298
     /*  567298 */   GIM_Try, /*On fail goto*//*Label 9310*/ GIMT_Encode4(567373), // Rule ID 3605 //
     /*  567303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  567314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  567317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  567320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  567323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567349 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  567352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567371 */     GIR_RootConstrainSelectedInstOperands,
     /*  567372 */     // GIR_Coverage, 3605,
     /*  567372 */     GIR_EraseRootFromParent_Done,
     /*  567373 */   // Label 9310: @567373
     /*  567373 */   GIM_Try, /*On fail goto*//*Label 9311*/ GIMT_Encode4(567448), // Rule ID 3608 //
     /*  567378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  567389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  567392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  567395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  567398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567424 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567446 */     GIR_RootConstrainSelectedInstOperands,
     /*  567447 */     // GIR_Coverage, 3608,
     /*  567447 */     GIR_EraseRootFromParent_Done,
     /*  567448 */   // Label 9311: @567448
     /*  567448 */   GIM_Try, /*On fail goto*//*Label 9312*/ GIMT_Encode4(567523), // Rule ID 3609 //
     /*  567453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  567464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  567467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  567470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  567473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567499 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567521 */     GIR_RootConstrainSelectedInstOperands,
     /*  567522 */     // GIR_Coverage, 3609,
     /*  567522 */     GIR_EraseRootFromParent_Done,
     /*  567523 */   // Label 9312: @567523
     /*  567523 */   GIM_Try, /*On fail goto*//*Label 9313*/ GIMT_Encode4(567598), // Rule ID 3612 //
     /*  567528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  567539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  567542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  567545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  567548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567574 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567596 */     GIR_RootConstrainSelectedInstOperands,
     /*  567597 */     // GIR_Coverage, 3612,
     /*  567597 */     GIR_EraseRootFromParent_Done,
     /*  567598 */   // Label 9313: @567598
     /*  567598 */   GIM_Try, /*On fail goto*//*Label 9314*/ GIMT_Encode4(567673), // Rule ID 3613 //
     /*  567603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  567614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  567617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  567620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  567623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567649 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567671 */     GIR_RootConstrainSelectedInstOperands,
     /*  567672 */     // GIR_Coverage, 3613,
     /*  567672 */     GIR_EraseRootFromParent_Done,
     /*  567673 */   // Label 9314: @567673
     /*  567673 */   GIM_Try, /*On fail goto*//*Label 9315*/ GIMT_Encode4(567748), // Rule ID 3616 //
     /*  567678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  567698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567724 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  567727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567746 */     GIR_RootConstrainSelectedInstOperands,
     /*  567747 */     // GIR_Coverage, 3616,
     /*  567747 */     GIR_EraseRootFromParent_Done,
     /*  567748 */   // Label 9315: @567748
     /*  567748 */   GIM_Try, /*On fail goto*//*Label 9316*/ GIMT_Encode4(567823), // Rule ID 3617 //
     /*  567753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  567773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567799 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  567802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567821 */     GIR_RootConstrainSelectedInstOperands,
     /*  567822 */     // GIR_Coverage, 3617,
     /*  567822 */     GIR_EraseRootFromParent_Done,
     /*  567823 */   // Label 9316: @567823
     /*  567823 */   GIM_Try, /*On fail goto*//*Label 9317*/ GIMT_Encode4(567898), // Rule ID 3620 //
     /*  567828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  567839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  567842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  567848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567896 */     GIR_RootConstrainSelectedInstOperands,
     /*  567897 */     // GIR_Coverage, 3620,
     /*  567897 */     GIR_EraseRootFromParent_Done,
     /*  567898 */   // Label 9317: @567898
     /*  567898 */   GIM_Try, /*On fail goto*//*Label 9318*/ GIMT_Encode4(567973), // Rule ID 3621 //
     /*  567903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  567914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  567917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  567923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567949 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567971 */     GIR_RootConstrainSelectedInstOperands,
     /*  567972 */     // GIR_Coverage, 3621,
     /*  567972 */     GIR_EraseRootFromParent_Done,
     /*  567973 */   // Label 9318: @567973
     /*  567973 */   GIM_Try, /*On fail goto*//*Label 9319*/ GIMT_Encode4(568048), // Rule ID 3624 //
     /*  567978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  567989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  567992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  567995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  567998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  568027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568046 */     GIR_RootConstrainSelectedInstOperands,
     /*  568047 */     // GIR_Coverage, 3624,
     /*  568047 */     GIR_EraseRootFromParent_Done,
     /*  568048 */   // Label 9319: @568048
     /*  568048 */   GIM_Try, /*On fail goto*//*Label 9320*/ GIMT_Encode4(568123), // Rule ID 3625 //
     /*  568053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  568064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  568067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  568070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  568073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568099 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  568102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568121 */     GIR_RootConstrainSelectedInstOperands,
     /*  568122 */     // GIR_Coverage, 3625,
     /*  568122 */     GIR_EraseRootFromParent_Done,
     /*  568123 */   // Label 9320: @568123
     /*  568123 */   GIM_Try, /*On fail goto*//*Label 9321*/ GIMT_Encode4(568198), // Rule ID 3628 //
     /*  568128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  568139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  568142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  568145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  568148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  568177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568196 */     GIR_RootConstrainSelectedInstOperands,
     /*  568197 */     // GIR_Coverage, 3628,
     /*  568197 */     GIR_EraseRootFromParent_Done,
     /*  568198 */   // Label 9321: @568198
     /*  568198 */   GIM_Try, /*On fail goto*//*Label 9322*/ GIMT_Encode4(568273), // Rule ID 3629 //
     /*  568203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  568214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  568217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  568220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  568223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568249 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  568252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568271 */     GIR_RootConstrainSelectedInstOperands,
     /*  568272 */     // GIR_Coverage, 3629,
     /*  568272 */     GIR_EraseRootFromParent_Done,
     /*  568273 */   // Label 9322: @568273
     /*  568273 */   GIM_Try, /*On fail goto*//*Label 9323*/ GIMT_Encode4(568348), // Rule ID 3632 //
     /*  568278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  568289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  568292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  568295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  568298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  568327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568346 */     GIR_RootConstrainSelectedInstOperands,
     /*  568347 */     // GIR_Coverage, 3632,
     /*  568347 */     GIR_EraseRootFromParent_Done,
     /*  568348 */   // Label 9323: @568348
     /*  568348 */   GIM_Try, /*On fail goto*//*Label 9324*/ GIMT_Encode4(568423), // Rule ID 3633 //
     /*  568353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  568364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  568367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  568370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  568373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568399 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  568402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568421 */     GIR_RootConstrainSelectedInstOperands,
     /*  568422 */     // GIR_Coverage, 3633,
     /*  568422 */     GIR_EraseRootFromParent_Done,
     /*  568423 */   // Label 9324: @568423
     /*  568423 */   GIM_Try, /*On fail goto*//*Label 9325*/ GIMT_Encode4(568498), // Rule ID 3636 //
     /*  568428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  568439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  568442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  568445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  568448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  568477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568496 */     GIR_RootConstrainSelectedInstOperands,
     /*  568497 */     // GIR_Coverage, 3636,
     /*  568497 */     GIR_EraseRootFromParent_Done,
     /*  568498 */   // Label 9325: @568498
     /*  568498 */   GIM_Try, /*On fail goto*//*Label 9326*/ GIMT_Encode4(568573), // Rule ID 3637 //
     /*  568503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  568514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  568517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  568520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  568523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568549 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  568552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568571 */     GIR_RootConstrainSelectedInstOperands,
     /*  568572 */     // GIR_Coverage, 3637,
     /*  568572 */     GIR_EraseRootFromParent_Done,
     /*  568573 */   // Label 9326: @568573
     /*  568573 */   GIM_Try, /*On fail goto*//*Label 9327*/ GIMT_Encode4(568648), // Rule ID 3640 //
     /*  568578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  568589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  568592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  568598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568624 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  568627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568646 */     GIR_RootConstrainSelectedInstOperands,
     /*  568647 */     // GIR_Coverage, 3640,
     /*  568647 */     GIR_EraseRootFromParent_Done,
     /*  568648 */   // Label 9327: @568648
     /*  568648 */   GIM_Try, /*On fail goto*//*Label 9328*/ GIMT_Encode4(568723), // Rule ID 3641 //
     /*  568653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  568664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  568667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  568673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568699 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  568702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568721 */     GIR_RootConstrainSelectedInstOperands,
     /*  568722 */     // GIR_Coverage, 3641,
     /*  568722 */     GIR_EraseRootFromParent_Done,
     /*  568723 */   // Label 9328: @568723
     /*  568723 */   GIM_Try, /*On fail goto*//*Label 9329*/ GIMT_Encode4(568798), // Rule ID 3644 //
     /*  568728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  568739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  568742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  568745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  568748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568774 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  568777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568796 */     GIR_RootConstrainSelectedInstOperands,
     /*  568797 */     // GIR_Coverage, 3644,
     /*  568797 */     GIR_EraseRootFromParent_Done,
     /*  568798 */   // Label 9329: @568798
     /*  568798 */   GIM_Try, /*On fail goto*//*Label 9330*/ GIMT_Encode4(568873), // Rule ID 3645 //
     /*  568803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  568814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  568817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  568820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  568823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568849 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  568852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568871 */     GIR_RootConstrainSelectedInstOperands,
     /*  568872 */     // GIR_Coverage, 3645,
     /*  568872 */     GIR_EraseRootFromParent_Done,
     /*  568873 */   // Label 9330: @568873
     /*  568873 */   GIM_Try, /*On fail goto*//*Label 9331*/ GIMT_Encode4(568948), // Rule ID 3648 //
     /*  568878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  568889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  568892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  568895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  568898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568924 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  568927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568946 */     GIR_RootConstrainSelectedInstOperands,
     /*  568947 */     // GIR_Coverage, 3648,
     /*  568947 */     GIR_EraseRootFromParent_Done,
     /*  568948 */   // Label 9331: @568948
     /*  568948 */   GIM_Try, /*On fail goto*//*Label 9332*/ GIMT_Encode4(569023), // Rule ID 3649 //
     /*  568953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  568964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  568967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  568970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  568973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568999 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  569002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569021 */     GIR_RootConstrainSelectedInstOperands,
     /*  569022 */     // GIR_Coverage, 3649,
     /*  569022 */     GIR_EraseRootFromParent_Done,
     /*  569023 */   // Label 9332: @569023
     /*  569023 */   GIM_Try, /*On fail goto*//*Label 9333*/ GIMT_Encode4(569098), // Rule ID 3652 //
     /*  569028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  569039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  569042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  569045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569074 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  569077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569096 */     GIR_RootConstrainSelectedInstOperands,
     /*  569097 */     // GIR_Coverage, 3652,
     /*  569097 */     GIR_EraseRootFromParent_Done,
     /*  569098 */   // Label 9333: @569098
     /*  569098 */   GIM_Try, /*On fail goto*//*Label 9334*/ GIMT_Encode4(569173), // Rule ID 3653 //
     /*  569103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  569114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  569117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  569120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  569152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569171 */     GIR_RootConstrainSelectedInstOperands,
     /*  569172 */     // GIR_Coverage, 3653,
     /*  569172 */     GIR_EraseRootFromParent_Done,
     /*  569173 */   // Label 9334: @569173
     /*  569173 */   GIM_Try, /*On fail goto*//*Label 9335*/ GIMT_Encode4(569248), // Rule ID 3656 //
     /*  569178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  569189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  569192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  569195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  569227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569246 */     GIR_RootConstrainSelectedInstOperands,
     /*  569247 */     // GIR_Coverage, 3656,
     /*  569247 */     GIR_EraseRootFromParent_Done,
     /*  569248 */   // Label 9335: @569248
     /*  569248 */   GIM_Try, /*On fail goto*//*Label 9336*/ GIMT_Encode4(569323), // Rule ID 3657 //
     /*  569253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  569264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  569267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  569270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569299 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  569302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569321 */     GIR_RootConstrainSelectedInstOperands,
     /*  569322 */     // GIR_Coverage, 3657,
     /*  569322 */     GIR_EraseRootFromParent_Done,
     /*  569323 */   // Label 9336: @569323
     /*  569323 */   GIM_Try, /*On fail goto*//*Label 9337*/ GIMT_Encode4(569398), // Rule ID 3660 //
     /*  569328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  569339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  569342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  569345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569396 */     GIR_RootConstrainSelectedInstOperands,
     /*  569397 */     // GIR_Coverage, 3660,
     /*  569397 */     GIR_EraseRootFromParent_Done,
     /*  569398 */   // Label 9337: @569398
     /*  569398 */   GIM_Try, /*On fail goto*//*Label 9338*/ GIMT_Encode4(569473), // Rule ID 3661 //
     /*  569403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  569414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  569417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  569420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569449 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569471 */     GIR_RootConstrainSelectedInstOperands,
     /*  569472 */     // GIR_Coverage, 3661,
     /*  569472 */     GIR_EraseRootFromParent_Done,
     /*  569473 */   // Label 9338: @569473
     /*  569473 */   GIM_Try, /*On fail goto*//*Label 9339*/ GIMT_Encode4(569548), // Rule ID 3664 //
     /*  569478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  569489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  569492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  569495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569546 */     GIR_RootConstrainSelectedInstOperands,
     /*  569547 */     // GIR_Coverage, 3664,
     /*  569547 */     GIR_EraseRootFromParent_Done,
     /*  569548 */   // Label 9339: @569548
     /*  569548 */   GIM_Try, /*On fail goto*//*Label 9340*/ GIMT_Encode4(569623), // Rule ID 3665 //
     /*  569553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  569564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  569567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  569570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569621 */     GIR_RootConstrainSelectedInstOperands,
     /*  569622 */     // GIR_Coverage, 3665,
     /*  569622 */     GIR_EraseRootFromParent_Done,
     /*  569623 */   // Label 9340: @569623
     /*  569623 */   GIM_Try, /*On fail goto*//*Label 9341*/ GIMT_Encode4(569698), // Rule ID 3668 //
     /*  569628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  569645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569674 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569696 */     GIR_RootConstrainSelectedInstOperands,
     /*  569697 */     // GIR_Coverage, 3668,
     /*  569697 */     GIR_EraseRootFromParent_Done,
     /*  569698 */   // Label 9341: @569698
     /*  569698 */   GIM_Try, /*On fail goto*//*Label 9342*/ GIMT_Encode4(569773), // Rule ID 3669 //
     /*  569703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  569720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569749 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569771 */     GIR_RootConstrainSelectedInstOperands,
     /*  569772 */     // GIR_Coverage, 3669,
     /*  569772 */     GIR_EraseRootFromParent_Done,
     /*  569773 */   // Label 9342: @569773
     /*  569773 */   GIM_Try, /*On fail goto*//*Label 9343*/ GIMT_Encode4(569848), // Rule ID 3672 //
     /*  569778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  569795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569824 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569846 */     GIR_RootConstrainSelectedInstOperands,
     /*  569847 */     // GIR_Coverage, 3672,
     /*  569847 */     GIR_EraseRootFromParent_Done,
     /*  569848 */   // Label 9343: @569848
     /*  569848 */   GIM_Try, /*On fail goto*//*Label 9344*/ GIMT_Encode4(569923), // Rule ID 3673 //
     /*  569853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  569870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569899 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569921 */     GIR_RootConstrainSelectedInstOperands,
     /*  569922 */     // GIR_Coverage, 3673,
     /*  569922 */     GIR_EraseRootFromParent_Done,
     /*  569923 */   // Label 9344: @569923
     /*  569923 */   GIM_Try, /*On fail goto*//*Label 9345*/ GIMT_Encode4(569998), // Rule ID 3676 //
     /*  569928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  569939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  569942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  569945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  569977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569996 */     GIR_RootConstrainSelectedInstOperands,
     /*  569997 */     // GIR_Coverage, 3676,
     /*  569997 */     GIR_EraseRootFromParent_Done,
     /*  569998 */   // Label 9345: @569998
     /*  569998 */   GIM_Try, /*On fail goto*//*Label 9346*/ GIMT_Encode4(570073), // Rule ID 3677 //
     /*  570003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  570014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  570017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  570020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570049 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  570052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570071 */     GIR_RootConstrainSelectedInstOperands,
     /*  570072 */     // GIR_Coverage, 3677,
     /*  570072 */     GIR_EraseRootFromParent_Done,
     /*  570073 */   // Label 9346: @570073
     /*  570073 */   GIM_Try, /*On fail goto*//*Label 9347*/ GIMT_Encode4(570148), // Rule ID 3680 //
     /*  570078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  570089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  570092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  570095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  570124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  570127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570146 */     GIR_RootConstrainSelectedInstOperands,
     /*  570147 */     // GIR_Coverage, 3680,
     /*  570147 */     GIR_EraseRootFromParent_Done,
     /*  570148 */   // Label 9347: @570148
     /*  570148 */   GIM_Try, /*On fail goto*//*Label 9348*/ GIMT_Encode4(570223), // Rule ID 3681 //
     /*  570153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  570164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  570167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  570170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570199 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  570202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570221 */     GIR_RootConstrainSelectedInstOperands,
     /*  570222 */     // GIR_Coverage, 3681,
     /*  570222 */     GIR_EraseRootFromParent_Done,
     /*  570223 */   // Label 9348: @570223
     /*  570223 */   GIM_Try, /*On fail goto*//*Label 9349*/ GIMT_Encode4(570298), // Rule ID 3684 //
     /*  570228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  570239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  570242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  570245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  570274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  570277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570296 */     GIR_RootConstrainSelectedInstOperands,
     /*  570297 */     // GIR_Coverage, 3684,
     /*  570297 */     GIR_EraseRootFromParent_Done,
     /*  570298 */   // Label 9349: @570298
     /*  570298 */   GIM_Try, /*On fail goto*//*Label 9350*/ GIMT_Encode4(570373), // Rule ID 3685 //
     /*  570303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  570314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  570317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  570320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570349 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  570352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570371 */     GIR_RootConstrainSelectedInstOperands,
     /*  570372 */     // GIR_Coverage, 3685,
     /*  570372 */     GIR_EraseRootFromParent_Done,
     /*  570373 */   // Label 9350: @570373
     /*  570373 */   GIM_Try, /*On fail goto*//*Label 9351*/ GIMT_Encode4(570448), // Rule ID 3688 //
     /*  570378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  570389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  570392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  570395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570424 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  570424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  570427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570446 */     GIR_RootConstrainSelectedInstOperands,
     /*  570447 */     // GIR_Coverage, 3688,
     /*  570447 */     GIR_EraseRootFromParent_Done,
     /*  570448 */   // Label 9351: @570448
     /*  570448 */   GIM_Try, /*On fail goto*//*Label 9352*/ GIMT_Encode4(570523), // Rule ID 3689 //
     /*  570453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  570464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  570467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  570470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  570502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570521 */     GIR_RootConstrainSelectedInstOperands,
     /*  570522 */     // GIR_Coverage, 3689,
     /*  570522 */     GIR_EraseRootFromParent_Done,
     /*  570523 */   // Label 9352: @570523
     /*  570523 */   GIM_Try, /*On fail goto*//*Label 9353*/ GIMT_Encode4(570598), // Rule ID 3692 //
     /*  570528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  570539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  570542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  570545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  570574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  570577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570596 */     GIR_RootConstrainSelectedInstOperands,
     /*  570597 */     // GIR_Coverage, 3692,
     /*  570597 */     GIR_EraseRootFromParent_Done,
     /*  570598 */   // Label 9353: @570598
     /*  570598 */   GIM_Try, /*On fail goto*//*Label 9354*/ GIMT_Encode4(570673), // Rule ID 3693 //
     /*  570603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  570614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  570617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  570620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570649 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  570652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570671 */     GIR_RootConstrainSelectedInstOperands,
     /*  570672 */     // GIR_Coverage, 3693,
     /*  570672 */     GIR_EraseRootFromParent_Done,
     /*  570673 */   // Label 9354: @570673
     /*  570673 */   GIM_Try, /*On fail goto*//*Label 9355*/ GIMT_Encode4(570748), // Rule ID 3696 //
     /*  570678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  570689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  570692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  570695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570724 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  570727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570746 */     GIR_RootConstrainSelectedInstOperands,
     /*  570747 */     // GIR_Coverage, 3696,
     /*  570747 */     GIR_EraseRootFromParent_Done,
     /*  570748 */   // Label 9355: @570748
     /*  570748 */   GIM_Try, /*On fail goto*//*Label 9356*/ GIMT_Encode4(570823), // Rule ID 3697 //
     /*  570753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  570764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  570767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  570770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570799 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  570802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570821 */     GIR_RootConstrainSelectedInstOperands,
     /*  570822 */     // GIR_Coverage, 3697,
     /*  570822 */     GIR_EraseRootFromParent_Done,
     /*  570823 */   // Label 9356: @570823
     /*  570823 */   GIM_Try, /*On fail goto*//*Label 9357*/ GIMT_Encode4(570898), // Rule ID 3700 //
     /*  570828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  570845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  570877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570896 */     GIR_RootConstrainSelectedInstOperands,
     /*  570897 */     // GIR_Coverage, 3700,
     /*  570897 */     GIR_EraseRootFromParent_Done,
     /*  570898 */   // Label 9357: @570898
     /*  570898 */   GIM_Try, /*On fail goto*//*Label 9358*/ GIMT_Encode4(570973), // Rule ID 3701 //
     /*  570903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  570920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570949 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  570952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570971 */     GIR_RootConstrainSelectedInstOperands,
     /*  570972 */     // GIR_Coverage, 3701,
     /*  570972 */     GIR_EraseRootFromParent_Done,
     /*  570973 */   // Label 9358: @570973
     /*  570973 */   GIM_Try, /*On fail goto*//*Label 9359*/ GIMT_Encode4(571048), // Rule ID 3704 //
     /*  570978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  570995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571024 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  571024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  571027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571046 */     GIR_RootConstrainSelectedInstOperands,
     /*  571047 */     // GIR_Coverage, 3704,
     /*  571047 */     GIR_EraseRootFromParent_Done,
     /*  571048 */   // Label 9359: @571048
     /*  571048 */   GIM_Try, /*On fail goto*//*Label 9360*/ GIMT_Encode4(571123), // Rule ID 3705 //
     /*  571053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  571056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  571064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  571067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  571070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  571073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571099 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  571099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  571102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571121 */     GIR_RootConstrainSelectedInstOperands,
     /*  571122 */     // GIR_Coverage, 3705,
     /*  571122 */     GIR_EraseRootFromParent_Done,
     /*  571123 */   // Label 9360: @571123
     /*  571123 */   GIM_Try, /*On fail goto*//*Label 9361*/ GIMT_Encode4(571198), // Rule ID 3708 //
     /*  571128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  571131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  571139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  571142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  571145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  571148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571174 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  571174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  571177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571196 */     GIR_RootConstrainSelectedInstOperands,
     /*  571197 */     // GIR_Coverage, 3708,
     /*  571197 */     GIR_EraseRootFromParent_Done,
     /*  571198 */   // Label 9361: @571198
     /*  571198 */   GIM_Try, /*On fail goto*//*Label 9362*/ GIMT_Encode4(571273), // Rule ID 3709 //
     /*  571203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  571206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  571214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  571217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  571220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  571223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571249 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  571249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  571252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571271 */     GIR_RootConstrainSelectedInstOperands,
     /*  571272 */     // GIR_Coverage, 3709,
     /*  571272 */     GIR_EraseRootFromParent_Done,
     /*  571273 */   // Label 9362: @571273
     /*  571273 */   GIM_Try, /*On fail goto*//*Label 9363*/ GIMT_Encode4(571348), // Rule ID 3712 //
     /*  571278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  571289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  571292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  571295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  571298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571324 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11687:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  571327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571346 */     GIR_RootConstrainSelectedInstOperands,
     /*  571347 */     // GIR_Coverage, 3712,
     /*  571347 */     GIR_EraseRootFromParent_Done,
     /*  571348 */   // Label 9363: @571348
     /*  571348 */   GIM_Try, /*On fail goto*//*Label 9364*/ GIMT_Encode4(571423), // Rule ID 3713 //
     /*  571353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  571364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  571367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  571370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  571373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571399 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11687:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  571402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571421 */     GIR_RootConstrainSelectedInstOperands,
     /*  571422 */     // GIR_Coverage, 3713,
     /*  571422 */     GIR_EraseRootFromParent_Done,
     /*  571423 */   // Label 9364: @571423
     /*  571423 */   GIM_Try, /*On fail goto*//*Label 9365*/ GIMT_Encode4(571498), // Rule ID 3716 //
     /*  571428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  571439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  571442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  571445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  571448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11687:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  571477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571496 */     GIR_RootConstrainSelectedInstOperands,
     /*  571497 */     // GIR_Coverage, 3716,
     /*  571497 */     GIR_EraseRootFromParent_Done,
     /*  571498 */   // Label 9365: @571498
     /*  571498 */   GIM_Try, /*On fail goto*//*Label 9366*/ GIMT_Encode4(571573), // Rule ID 3717 //
     /*  571503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  571514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  571517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  571520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  571523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571549 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11687:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  571552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571571 */     GIR_RootConstrainSelectedInstOperands,
     /*  571572 */     // GIR_Coverage, 3717,
     /*  571572 */     GIR_EraseRootFromParent_Done,
     /*  571573 */   // Label 9366: @571573
     /*  571573 */   GIM_Try, /*On fail goto*//*Label 9367*/ GIMT_Encode4(571648), // Rule ID 3720 //
     /*  571578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  571589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  571592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  571595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  571598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571624 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11687:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571646 */     GIR_RootConstrainSelectedInstOperands,
     /*  571647 */     // GIR_Coverage, 3720,
     /*  571647 */     GIR_EraseRootFromParent_Done,
     /*  571648 */   // Label 9367: @571648
     /*  571648 */   GIM_Try, /*On fail goto*//*Label 9368*/ GIMT_Encode4(571723), // Rule ID 3721 //
     /*  571653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  571664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  571667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  571670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  571673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11687:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571721 */     GIR_RootConstrainSelectedInstOperands,
     /*  571722 */     // GIR_Coverage, 3721,
     /*  571722 */     GIR_EraseRootFromParent_Done,
     /*  571723 */   // Label 9368: @571723
     /*  571723 */   GIM_Try, /*On fail goto*//*Label 9369*/ GIMT_Encode4(571798), // Rule ID 3724 //
     /*  571728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  571745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  571748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11687:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571796 */     GIR_RootConstrainSelectedInstOperands,
     /*  571797 */     // GIR_Coverage, 3724,
     /*  571797 */     GIR_EraseRootFromParent_Done,
     /*  571798 */   // Label 9369: @571798
     /*  571798 */   GIM_Try, /*On fail goto*//*Label 9370*/ GIMT_Encode4(571873), // Rule ID 3725 //
     /*  571803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  571820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  571823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571849 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11687:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571871 */     GIR_RootConstrainSelectedInstOperands,
     /*  571872 */     // GIR_Coverage, 3725,
     /*  571872 */     GIR_EraseRootFromParent_Done,
     /*  571873 */   // Label 9370: @571873
     /*  571873 */   GIM_Try, /*On fail goto*//*Label 9371*/ GIMT_Encode4(571948), // Rule ID 3728 //
     /*  571878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  571898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11687:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  571927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571946 */     GIR_RootConstrainSelectedInstOperands,
     /*  571947 */     // GIR_Coverage, 3728,
     /*  571947 */     GIR_EraseRootFromParent_Done,
     /*  571948 */   // Label 9371: @571948
     /*  571948 */   GIM_Try, /*On fail goto*//*Label 9372*/ GIMT_Encode4(572023), // Rule ID 3729 //
     /*  571953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  571973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571999 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11687:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572021 */     GIR_RootConstrainSelectedInstOperands,
     /*  572022 */     // GIR_Coverage, 3729,
     /*  572022 */     GIR_EraseRootFromParent_Done,
     /*  572023 */   // Label 9372: @572023
     /*  572023 */   GIM_Try, /*On fail goto*//*Label 9373*/ GIMT_Encode4(572098), // Rule ID 3732 //
     /*  572028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  572039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  572042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  572045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  572048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11687:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572096 */     GIR_RootConstrainSelectedInstOperands,
     /*  572097 */     // GIR_Coverage, 3732,
     /*  572097 */     GIR_EraseRootFromParent_Done,
     /*  572098 */   // Label 9373: @572098
     /*  572098 */   GIM_Try, /*On fail goto*//*Label 9374*/ GIMT_Encode4(572173), // Rule ID 3733 //
     /*  572103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  572114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  572117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  572120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  572123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572149 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11687:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572171 */     GIR_RootConstrainSelectedInstOperands,
     /*  572172 */     // GIR_Coverage, 3733,
     /*  572172 */     GIR_EraseRootFromParent_Done,
     /*  572173 */   // Label 9374: @572173
     /*  572173 */   GIM_Try, /*On fail goto*//*Label 9375*/ GIMT_Encode4(572248), // Rule ID 3736 //
     /*  572178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  572189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  572192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  572195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  572198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11687:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  572227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572246 */     GIR_RootConstrainSelectedInstOperands,
     /*  572247 */     // GIR_Coverage, 3736,
     /*  572247 */     GIR_EraseRootFromParent_Done,
     /*  572248 */   // Label 9375: @572248
     /*  572248 */   GIM_Try, /*On fail goto*//*Label 9376*/ GIMT_Encode4(572323), // Rule ID 3737 //
     /*  572253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  572264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  572267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  572270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  572273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572299 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11687:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  572302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572321 */     GIR_RootConstrainSelectedInstOperands,
     /*  572322 */     // GIR_Coverage, 3737,
     /*  572322 */     GIR_EraseRootFromParent_Done,
     /*  572323 */   // Label 9376: @572323
     /*  572323 */   GIM_Try, /*On fail goto*//*Label 9377*/ GIMT_Encode4(572398), // Rule ID 3740 //
     /*  572328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  572339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  572342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  572345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  572348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11687:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  572377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572396 */     GIR_RootConstrainSelectedInstOperands,
     /*  572397 */     // GIR_Coverage, 3740,
     /*  572397 */     GIR_EraseRootFromParent_Done,
     /*  572398 */   // Label 9377: @572398
     /*  572398 */   GIM_Try, /*On fail goto*//*Label 9378*/ GIMT_Encode4(572473), // Rule ID 3741 //
     /*  572403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  572414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  572417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  572420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  572423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572449 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11687:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  572452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572471 */     GIR_RootConstrainSelectedInstOperands,
     /*  572472 */     // GIR_Coverage, 3741,
     /*  572472 */     GIR_EraseRootFromParent_Done,
     /*  572473 */   // Label 9378: @572473
     /*  572473 */   GIM_Try, /*On fail goto*//*Label 9379*/ GIMT_Encode4(572548), // Rule ID 3744 //
     /*  572478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  572489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  572492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  572495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  572498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11687:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  572527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572546 */     GIR_RootConstrainSelectedInstOperands,
     /*  572547 */     // GIR_Coverage, 3744,
     /*  572547 */     GIR_EraseRootFromParent_Done,
     /*  572548 */   // Label 9379: @572548
     /*  572548 */   GIM_Try, /*On fail goto*//*Label 9380*/ GIMT_Encode4(572623), // Rule ID 3745 //
     /*  572553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  572564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  572567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  572570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  572573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572599 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11687:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  572602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572621 */     GIR_RootConstrainSelectedInstOperands,
     /*  572622 */     // GIR_Coverage, 3745,
     /*  572622 */     GIR_EraseRootFromParent_Done,
     /*  572623 */   // Label 9380: @572623
     /*  572623 */   GIM_Try, /*On fail goto*//*Label 9381*/ GIMT_Encode4(572698), // Rule ID 3748 //
     /*  572628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  572639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  572642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  572645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  572648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11687:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572696 */     GIR_RootConstrainSelectedInstOperands,
     /*  572697 */     // GIR_Coverage, 3748,
     /*  572697 */     GIR_EraseRootFromParent_Done,
     /*  572698 */   // Label 9381: @572698
     /*  572698 */   GIM_Try, /*On fail goto*//*Label 9382*/ GIMT_Encode4(572773), // Rule ID 3749 //
     /*  572703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  572714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  572717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  572720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  572723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572749 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11687:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572771 */     GIR_RootConstrainSelectedInstOperands,
     /*  572772 */     // GIR_Coverage, 3749,
     /*  572772 */     GIR_EraseRootFromParent_Done,
     /*  572773 */   // Label 9382: @572773
     /*  572773 */   GIM_Try, /*On fail goto*//*Label 9383*/ GIMT_Encode4(572848), // Rule ID 3752 //
     /*  572778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  572789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  572798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572824 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11687:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572846 */     GIR_RootConstrainSelectedInstOperands,
     /*  572847 */     // GIR_Coverage, 3752,
     /*  572847 */     GIR_EraseRootFromParent_Done,
     /*  572848 */   // Label 9383: @572848
     /*  572848 */   GIM_Try, /*On fail goto*//*Label 9384*/ GIMT_Encode4(572923), // Rule ID 3753 //
     /*  572853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  572864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  572873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572899 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11687:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572921 */     GIR_RootConstrainSelectedInstOperands,
     /*  572922 */     // GIR_Coverage, 3753,
     /*  572922 */     GIR_EraseRootFromParent_Done,
     /*  572923 */   // Label 9384: @572923
     /*  572923 */   GIM_Try, /*On fail goto*//*Label 9385*/ GIMT_Encode4(572998), // Rule ID 3756 //
     /*  572928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  572948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572974 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11687:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  572977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572996 */     GIR_RootConstrainSelectedInstOperands,
     /*  572997 */     // GIR_Coverage, 3756,
     /*  572997 */     GIR_EraseRootFromParent_Done,
     /*  572998 */   // Label 9385: @572998
     /*  572998 */   GIM_Try, /*On fail goto*//*Label 9386*/ GIMT_Encode4(573073), // Rule ID 3757 //
     /*  573003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  573006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  573014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  573017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  573020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  573023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573049 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11687:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  573052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573071 */     GIR_RootConstrainSelectedInstOperands,
     /*  573072 */     // GIR_Coverage, 3757,
     /*  573072 */     GIR_EraseRootFromParent_Done,
     /*  573073 */   // Label 9386: @573073
     /*  573073 */   GIM_Try, /*On fail goto*//*Label 9387*/ GIMT_Encode4(573148), // Rule ID 3760 //
     /*  573078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  573081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  573089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  573092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  573095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  573098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11687:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  573124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  573127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573146 */     GIR_RootConstrainSelectedInstOperands,
     /*  573147 */     // GIR_Coverage, 3760,
     /*  573147 */     GIR_EraseRootFromParent_Done,
     /*  573148 */   // Label 9387: @573148
     /*  573148 */   GIM_Try, /*On fail goto*//*Label 9388*/ GIMT_Encode4(573223), // Rule ID 3761 //
     /*  573153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  573156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  573164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  573167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  573170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  573173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573199 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11687:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  573202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573221 */     GIR_RootConstrainSelectedInstOperands,
     /*  573222 */     // GIR_Coverage, 3761,
     /*  573222 */     GIR_EraseRootFromParent_Done,
     /*  573223 */   // Label 9388: @573223
     /*  573223 */   GIM_Try, /*On fail goto*//*Label 9389*/ GIMT_Encode4(573298), // Rule ID 3764 //
     /*  573228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  573231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  573239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  573242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  573245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  573248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11687:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  573274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  573277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573296 */     GIR_RootConstrainSelectedInstOperands,
     /*  573297 */     // GIR_Coverage, 3764,
     /*  573297 */     GIR_EraseRootFromParent_Done,
     /*  573298 */   // Label 9389: @573298
     /*  573298 */   GIM_Try, /*On fail goto*//*Label 9390*/ GIMT_Encode4(573373), // Rule ID 3765 //
     /*  573303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  573306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  573314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  573317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  573320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  573323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573349 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11687:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  573352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573371 */     GIR_RootConstrainSelectedInstOperands,
     /*  573372 */     // GIR_Coverage, 3765,
     /*  573372 */     GIR_EraseRootFromParent_Done,
     /*  573373 */   // Label 9390: @573373
     /*  573373 */   GIM_Try, /*On fail goto*//*Label 9391*/ GIMT_Encode4(573448), // Rule ID 3768 //
     /*  573378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  573381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  573389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  573392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  573395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  573398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11687:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  573424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  573427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573446 */     GIR_RootConstrainSelectedInstOperands,
     /*  573447 */     // GIR_Coverage, 3768,
     /*  573447 */     GIR_EraseRootFromParent_Done,
     /*  573448 */   // Label 9391: @573448
     /*  573448 */   GIM_Try, /*On fail goto*//*Label 9392*/ GIMT_Encode4(573523), // Rule ID 3769 //
     /*  573453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  573456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  573464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  573467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  573470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  573473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573499 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11687:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  573502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573521 */     GIR_RootConstrainSelectedInstOperands,
     /*  573522 */     // GIR_Coverage, 3769,
     /*  573522 */     GIR_EraseRootFromParent_Done,
     /*  573523 */   // Label 9392: @573523
     /*  573523 */   GIM_Try, /*On fail goto*//*Label 9393*/ GIMT_Encode4(573598), // Rule ID 3772 //
     /*  573528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  573539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  573542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  573545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573574 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11687:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  573577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573596 */     GIR_RootConstrainSelectedInstOperands,
     /*  573597 */     // GIR_Coverage, 3772,
     /*  573597 */     GIR_EraseRootFromParent_Done,
     /*  573598 */   // Label 9393: @573598
     /*  573598 */   GIM_Try, /*On fail goto*//*Label 9394*/ GIMT_Encode4(573673), // Rule ID 3773 //
     /*  573603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  573614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  573617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  573620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573649 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11687:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  573652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573671 */     GIR_RootConstrainSelectedInstOperands,
     /*  573672 */     // GIR_Coverage, 3773,
     /*  573672 */     GIR_EraseRootFromParent_Done,
     /*  573673 */   // Label 9394: @573673
     /*  573673 */   GIM_Try, /*On fail goto*//*Label 9395*/ GIMT_Encode4(573748), // Rule ID 3776 //
     /*  573678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  573695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11687:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573746 */     GIR_RootConstrainSelectedInstOperands,
     /*  573747 */     // GIR_Coverage, 3776,
     /*  573747 */     GIR_EraseRootFromParent_Done,
     /*  573748 */   // Label 9395: @573748
     /*  573748 */   GIM_Try, /*On fail goto*//*Label 9396*/ GIMT_Encode4(573823), // Rule ID 3777 //
     /*  573753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  573770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573799 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11687:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573821 */     GIR_RootConstrainSelectedInstOperands,
     /*  573822 */     // GIR_Coverage, 3777,
     /*  573822 */     GIR_EraseRootFromParent_Done,
     /*  573823 */   // Label 9396: @573823
     /*  573823 */   GIM_Try, /*On fail goto*//*Label 9397*/ GIMT_Encode4(573898), // Rule ID 3780 //
     /*  573828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11687:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  573877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573896 */     GIR_RootConstrainSelectedInstOperands,
     /*  573897 */     // GIR_Coverage, 3780,
     /*  573897 */     GIR_EraseRootFromParent_Done,
     /*  573898 */   // Label 9397: @573898
     /*  573898 */   GIM_Try, /*On fail goto*//*Label 9398*/ GIMT_Encode4(573973), // Rule ID 3781 //
     /*  573903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573949 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11687:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  573952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573971 */     GIR_RootConstrainSelectedInstOperands,
     /*  573972 */     // GIR_Coverage, 3781,
     /*  573972 */     GIR_EraseRootFromParent_Done,
     /*  573973 */   // Label 9398: @573973
     /*  573973 */   GIM_Try, /*On fail goto*//*Label 9399*/ GIMT_Encode4(574048), // Rule ID 3784 //
     /*  573978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11687:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574046 */     GIR_RootConstrainSelectedInstOperands,
     /*  574047 */     // GIR_Coverage, 3784,
     /*  574047 */     GIR_EraseRootFromParent_Done,
     /*  574048 */   // Label 9399: @574048
     /*  574048 */   GIM_Try, /*On fail goto*//*Label 9400*/ GIMT_Encode4(574123), // Rule ID 3785 //
     /*  574053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  574064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  574067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  574070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11687:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574121 */     GIR_RootConstrainSelectedInstOperands,
     /*  574122 */     // GIR_Coverage, 3785,
     /*  574122 */     GIR_EraseRootFromParent_Done,
     /*  574123 */   // Label 9400: @574123
     /*  574123 */   GIM_Try, /*On fail goto*//*Label 9401*/ GIMT_Encode4(574198), // Rule ID 3788 //
     /*  574128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  574139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  574142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  574145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574174 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11687:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574196 */     GIR_RootConstrainSelectedInstOperands,
     /*  574197 */     // GIR_Coverage, 3788,
     /*  574197 */     GIR_EraseRootFromParent_Done,
     /*  574198 */   // Label 9401: @574198
     /*  574198 */   GIM_Try, /*On fail goto*//*Label 9402*/ GIMT_Encode4(574273), // Rule ID 3789 //
     /*  574203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  574214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  574217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  574220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574249 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11687:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574271 */     GIR_RootConstrainSelectedInstOperands,
     /*  574272 */     // GIR_Coverage, 3789,
     /*  574272 */     GIR_EraseRootFromParent_Done,
     /*  574273 */   // Label 9402: @574273
     /*  574273 */   GIM_Try, /*On fail goto*//*Label 9403*/ GIMT_Encode4(574348), // Rule ID 3792 //
     /*  574278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  574289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  574292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  574295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574324 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11687:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  574327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574346 */     GIR_RootConstrainSelectedInstOperands,
     /*  574347 */     // GIR_Coverage, 3792,
     /*  574347 */     GIR_EraseRootFromParent_Done,
     /*  574348 */   // Label 9403: @574348
     /*  574348 */   GIM_Try, /*On fail goto*//*Label 9404*/ GIMT_Encode4(574423), // Rule ID 3793 //
     /*  574353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  574364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  574367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  574370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574399 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11687:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  574402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574421 */     GIR_RootConstrainSelectedInstOperands,
     /*  574422 */     // GIR_Coverage, 3793,
     /*  574422 */     GIR_EraseRootFromParent_Done,
     /*  574423 */   // Label 9404: @574423
     /*  574423 */   GIM_Try, /*On fail goto*//*Label 9405*/ GIMT_Encode4(574498), // Rule ID 3796 //
     /*  574428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  574439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  574442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  574445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11687:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  574477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574496 */     GIR_RootConstrainSelectedInstOperands,
     /*  574497 */     // GIR_Coverage, 3796,
     /*  574497 */     GIR_EraseRootFromParent_Done,
     /*  574498 */   // Label 9405: @574498
     /*  574498 */   GIM_Try, /*On fail goto*//*Label 9406*/ GIMT_Encode4(574573), // Rule ID 3797 //
     /*  574503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  574514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  574517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  574520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574549 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11687:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  574552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574571 */     GIR_RootConstrainSelectedInstOperands,
     /*  574572 */     // GIR_Coverage, 3797,
     /*  574572 */     GIR_EraseRootFromParent_Done,
     /*  574573 */   // Label 9406: @574573
     /*  574573 */   GIM_Try, /*On fail goto*//*Label 9407*/ GIMT_Encode4(574648), // Rule ID 3800 //
     /*  574578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  574589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  574592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  574595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11687:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  574627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574646 */     GIR_RootConstrainSelectedInstOperands,
     /*  574647 */     // GIR_Coverage, 3800,
     /*  574647 */     GIR_EraseRootFromParent_Done,
     /*  574648 */   // Label 9407: @574648
     /*  574648 */   GIM_Try, /*On fail goto*//*Label 9408*/ GIMT_Encode4(574723), // Rule ID 3801 //
     /*  574653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  574664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  574667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  574670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574699 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11687:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  574702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574721 */     GIR_RootConstrainSelectedInstOperands,
     /*  574722 */     // GIR_Coverage, 3801,
     /*  574722 */     GIR_EraseRootFromParent_Done,
     /*  574723 */   // Label 9408: @574723
     /*  574723 */   GIM_Try, /*On fail goto*//*Label 9409*/ GIMT_Encode4(574798), // Rule ID 3804 //
     /*  574728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  574745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11687:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574796 */     GIR_RootConstrainSelectedInstOperands,
     /*  574797 */     // GIR_Coverage, 3804,
     /*  574797 */     GIR_EraseRootFromParent_Done,
     /*  574798 */   // Label 9409: @574798
     /*  574798 */   GIM_Try, /*On fail goto*//*Label 9410*/ GIMT_Encode4(574873), // Rule ID 3805 //
     /*  574803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  574820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11687:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574871 */     GIR_RootConstrainSelectedInstOperands,
     /*  574872 */     // GIR_Coverage, 3805,
     /*  574872 */     GIR_EraseRootFromParent_Done,
     /*  574873 */   // Label 9410: @574873
     /*  574873 */   GIM_Try, /*On fail goto*//*Label 9411*/ GIMT_Encode4(574948), // Rule ID 3808 //
     /*  574878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11687:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574946 */     GIR_RootConstrainSelectedInstOperands,
     /*  574947 */     // GIR_Coverage, 3808,
     /*  574947 */     GIR_EraseRootFromParent_Done,
     /*  574948 */   // Label 9411: @574948
     /*  574948 */   GIM_Try, /*On fail goto*//*Label 9412*/ GIMT_Encode4(575023), // Rule ID 3809 //
     /*  574953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574999 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11687:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  575002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575021 */     GIR_RootConstrainSelectedInstOperands,
     /*  575022 */     // GIR_Coverage, 3809,
     /*  575022 */     GIR_EraseRootFromParent_Done,
     /*  575023 */   // Label 9412: @575023
     /*  575023 */   GIM_Try, /*On fail goto*//*Label 9413*/ GIMT_Encode4(575098), // Rule ID 3812 //
     /*  575028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  575039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  575042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  575045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575074 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11687:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  575077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575096 */     GIR_RootConstrainSelectedInstOperands,
     /*  575097 */     // GIR_Coverage, 3812,
     /*  575097 */     GIR_EraseRootFromParent_Done,
     /*  575098 */   // Label 9413: @575098
     /*  575098 */   GIM_Try, /*On fail goto*//*Label 9414*/ GIMT_Encode4(575173), // Rule ID 3813 //
     /*  575103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  575114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  575117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  575120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575149 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11687:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  575149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  575152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575171 */     GIR_RootConstrainSelectedInstOperands,
     /*  575172 */     // GIR_Coverage, 3813,
     /*  575172 */     GIR_EraseRootFromParent_Done,
     /*  575173 */   // Label 9414: @575173
     /*  575173 */   GIM_Try, /*On fail goto*//*Label 9415*/ GIMT_Encode4(575248), // Rule ID 3816 //
     /*  575178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  575189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  575192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  575195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11687:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  575227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575246 */     GIR_RootConstrainSelectedInstOperands,
     /*  575247 */     // GIR_Coverage, 3816,
     /*  575247 */     GIR_EraseRootFromParent_Done,
     /*  575248 */   // Label 9415: @575248
     /*  575248 */   GIM_Try, /*On fail goto*//*Label 9416*/ GIMT_Encode4(575323), // Rule ID 3817 //
     /*  575253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  575264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  575267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  575270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575299 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11687:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  575302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575321 */     GIR_RootConstrainSelectedInstOperands,
     /*  575322 */     // GIR_Coverage, 3817,
     /*  575322 */     GIR_EraseRootFromParent_Done,
     /*  575323 */   // Label 9416: @575323
     /*  575323 */   GIM_Try, /*On fail goto*//*Label 9417*/ GIMT_Encode4(575398), // Rule ID 3820 //
     /*  575328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  575339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  575342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  575345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11687:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  575377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575396 */     GIR_RootConstrainSelectedInstOperands,
     /*  575397 */     // GIR_Coverage, 3820,
     /*  575397 */     GIR_EraseRootFromParent_Done,
     /*  575398 */   // Label 9417: @575398
     /*  575398 */   GIM_Try, /*On fail goto*//*Label 9418*/ GIMT_Encode4(575473), // Rule ID 3821 //
     /*  575403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  575414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  575417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  575420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575449 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11687:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  575452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575471 */     GIR_RootConstrainSelectedInstOperands,
     /*  575472 */     // GIR_Coverage, 3821,
     /*  575472 */     GIR_EraseRootFromParent_Done,
     /*  575473 */   // Label 9418: @575473
     /*  575473 */   GIM_Try, /*On fail goto*//*Label 9419*/ GIMT_Encode4(575548), // Rule ID 3824 //
     /*  575478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  575489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  575492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  575495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11687:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  575527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575546 */     GIR_RootConstrainSelectedInstOperands,
     /*  575547 */     // GIR_Coverage, 3824,
     /*  575547 */     GIR_EraseRootFromParent_Done,
     /*  575548 */   // Label 9419: @575548
     /*  575548 */   GIM_Try, /*On fail goto*//*Label 9420*/ GIMT_Encode4(575623), // Rule ID 3825 //
     /*  575553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  575564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  575567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  575570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575599 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11687:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  575602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575621 */     GIR_RootConstrainSelectedInstOperands,
     /*  575622 */     // GIR_Coverage, 3825,
     /*  575622 */     GIR_EraseRootFromParent_Done,
     /*  575623 */   // Label 9420: @575623
     /*  575623 */   GIM_Try, /*On fail goto*//*Label 9421*/ GIMT_Encode4(575698), // Rule ID 3828 //
     /*  575628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  575639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  575642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  575645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11687:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  575677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575696 */     GIR_RootConstrainSelectedInstOperands,
     /*  575697 */     // GIR_Coverage, 3828,
     /*  575697 */     GIR_EraseRootFromParent_Done,
     /*  575698 */   // Label 9421: @575698
     /*  575698 */   GIM_Try, /*On fail goto*//*Label 9422*/ GIMT_Encode4(575773), // Rule ID 3829 //
     /*  575703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  575714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  575717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  575720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575749 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11687:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  575752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575771 */     GIR_RootConstrainSelectedInstOperands,
     /*  575772 */     // GIR_Coverage, 3829,
     /*  575772 */     GIR_EraseRootFromParent_Done,
     /*  575773 */   // Label 9422: @575773
     /*  575773 */   GIM_Try, /*On fail goto*//*Label 9423*/ GIMT_Encode4(575848), // Rule ID 3832 //
     /*  575778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  575798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575824 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  575827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575846 */     GIR_RootConstrainSelectedInstOperands,
     /*  575847 */     // GIR_Coverage, 3832,
     /*  575847 */     GIR_EraseRootFromParent_Done,
     /*  575848 */   // Label 9423: @575848
     /*  575848 */   GIM_Try, /*On fail goto*//*Label 9424*/ GIMT_Encode4(575923), // Rule ID 3833 //
     /*  575853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  575873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  575902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575921 */     GIR_RootConstrainSelectedInstOperands,
     /*  575922 */     // GIR_Coverage, 3833,
     /*  575922 */     GIR_EraseRootFromParent_Done,
     /*  575923 */   // Label 9424: @575923
     /*  575923 */   GIM_Try, /*On fail goto*//*Label 9425*/ GIMT_Encode4(575998), // Rule ID 3836 //
     /*  575928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  575948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575974 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  575977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575996 */     GIR_RootConstrainSelectedInstOperands,
     /*  575997 */     // GIR_Coverage, 3836,
     /*  575997 */     GIR_EraseRootFromParent_Done,
     /*  575998 */   // Label 9425: @575998
     /*  575998 */   GIM_Try, /*On fail goto*//*Label 9426*/ GIMT_Encode4(576073), // Rule ID 3837 //
     /*  576003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  576014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  576017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  576020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  576023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  576052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576071 */     GIR_RootConstrainSelectedInstOperands,
     /*  576072 */     // GIR_Coverage, 3837,
     /*  576072 */     GIR_EraseRootFromParent_Done,
     /*  576073 */   // Label 9426: @576073
     /*  576073 */   GIM_Try, /*On fail goto*//*Label 9427*/ GIMT_Encode4(576148), // Rule ID 3840 //
     /*  576078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  576089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  576092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  576095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  576098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576124 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576146 */     GIR_RootConstrainSelectedInstOperands,
     /*  576147 */     // GIR_Coverage, 3840,
     /*  576147 */     GIR_EraseRootFromParent_Done,
     /*  576148 */   // Label 9427: @576148
     /*  576148 */   GIM_Try, /*On fail goto*//*Label 9428*/ GIMT_Encode4(576223), // Rule ID 3841 //
     /*  576153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  576164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  576167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  576170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  576173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576199 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576221 */     GIR_RootConstrainSelectedInstOperands,
     /*  576222 */     // GIR_Coverage, 3841,
     /*  576222 */     GIR_EraseRootFromParent_Done,
     /*  576223 */   // Label 9428: @576223
     /*  576223 */   GIM_Try, /*On fail goto*//*Label 9429*/ GIMT_Encode4(576298), // Rule ID 3844 //
     /*  576228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  576239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  576242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  576245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  576248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576274 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  576277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576296 */     GIR_RootConstrainSelectedInstOperands,
     /*  576297 */     // GIR_Coverage, 3844,
     /*  576297 */     GIR_EraseRootFromParent_Done,
     /*  576298 */   // Label 9429: @576298
     /*  576298 */   GIM_Try, /*On fail goto*//*Label 9430*/ GIMT_Encode4(576373), // Rule ID 3845 //
     /*  576303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  576314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  576317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  576320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  576323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576349 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  576352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576371 */     GIR_RootConstrainSelectedInstOperands,
     /*  576372 */     // GIR_Coverage, 3845,
     /*  576372 */     GIR_EraseRootFromParent_Done,
     /*  576373 */   // Label 9430: @576373
     /*  576373 */   GIM_Try, /*On fail goto*//*Label 9431*/ GIMT_Encode4(576448), // Rule ID 3848 //
     /*  576378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  576389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  576392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  576395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  576398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576424 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576446 */     GIR_RootConstrainSelectedInstOperands,
     /*  576447 */     // GIR_Coverage, 3848,
     /*  576447 */     GIR_EraseRootFromParent_Done,
     /*  576448 */   // Label 9431: @576448
     /*  576448 */   GIM_Try, /*On fail goto*//*Label 9432*/ GIMT_Encode4(576523), // Rule ID 3849 //
     /*  576453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  576464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  576467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  576470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  576473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576499 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576521 */     GIR_RootConstrainSelectedInstOperands,
     /*  576522 */     // GIR_Coverage, 3849,
     /*  576522 */     GIR_EraseRootFromParent_Done,
     /*  576523 */   // Label 9432: @576523
     /*  576523 */   GIM_Try, /*On fail goto*//*Label 9433*/ GIMT_Encode4(576598), // Rule ID 3852 //
     /*  576528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  576539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  576542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  576545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  576548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576574 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576596 */     GIR_RootConstrainSelectedInstOperands,
     /*  576597 */     // GIR_Coverage, 3852,
     /*  576597 */     GIR_EraseRootFromParent_Done,
     /*  576598 */   // Label 9433: @576598
     /*  576598 */   GIM_Try, /*On fail goto*//*Label 9434*/ GIMT_Encode4(576673), // Rule ID 3853 //
     /*  576603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  576614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  576617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  576620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  576623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576649 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576671 */     GIR_RootConstrainSelectedInstOperands,
     /*  576672 */     // GIR_Coverage, 3853,
     /*  576672 */     GIR_EraseRootFromParent_Done,
     /*  576673 */   // Label 9434: @576673
     /*  576673 */   GIM_Try, /*On fail goto*//*Label 9435*/ GIMT_Encode4(576748), // Rule ID 3856 //
     /*  576678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  576698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576724 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  576727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576746 */     GIR_RootConstrainSelectedInstOperands,
     /*  576747 */     // GIR_Coverage, 3856,
     /*  576747 */     GIR_EraseRootFromParent_Done,
     /*  576748 */   // Label 9435: @576748
     /*  576748 */   GIM_Try, /*On fail goto*//*Label 9436*/ GIMT_Encode4(576823), // Rule ID 3857 //
     /*  576753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  576773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576799 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  576802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576821 */     GIR_RootConstrainSelectedInstOperands,
     /*  576822 */     // GIR_Coverage, 3857,
     /*  576822 */     GIR_EraseRootFromParent_Done,
     /*  576823 */   // Label 9436: @576823
     /*  576823 */   GIM_Try, /*On fail goto*//*Label 9437*/ GIMT_Encode4(576898), // Rule ID 3860 //
     /*  576828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  576848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576896 */     GIR_RootConstrainSelectedInstOperands,
     /*  576897 */     // GIR_Coverage, 3860,
     /*  576897 */     GIR_EraseRootFromParent_Done,
     /*  576898 */   // Label 9437: @576898
     /*  576898 */   GIM_Try, /*On fail goto*//*Label 9438*/ GIMT_Encode4(576973), // Rule ID 3861 //
     /*  576903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  576923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576949 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576971 */     GIR_RootConstrainSelectedInstOperands,
     /*  576972 */     // GIR_Coverage, 3861,
     /*  576972 */     GIR_EraseRootFromParent_Done,
     /*  576973 */   // Label 9438: @576973
     /*  576973 */   GIM_Try, /*On fail goto*//*Label 9439*/ GIMT_Encode4(577048), // Rule ID 3864 //
     /*  576978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  576998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  577024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  577027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577046 */     GIR_RootConstrainSelectedInstOperands,
     /*  577047 */     // GIR_Coverage, 3864,
     /*  577047 */     GIR_EraseRootFromParent_Done,
     /*  577048 */   // Label 9439: @577048
     /*  577048 */   GIM_Try, /*On fail goto*//*Label 9440*/ GIMT_Encode4(577123), // Rule ID 3865 //
     /*  577053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  577064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  577067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  577070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  577073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577099 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  577099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  577102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577121 */     GIR_RootConstrainSelectedInstOperands,
     /*  577122 */     // GIR_Coverage, 3865,
     /*  577122 */     GIR_EraseRootFromParent_Done,
     /*  577123 */   // Label 9440: @577123
     /*  577123 */   GIM_Try, /*On fail goto*//*Label 9441*/ GIMT_Encode4(577198), // Rule ID 3868 //
     /*  577128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  577139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  577142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  577145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  577148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  577174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  577177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577196 */     GIR_RootConstrainSelectedInstOperands,
     /*  577197 */     // GIR_Coverage, 3868,
     /*  577197 */     GIR_EraseRootFromParent_Done,
     /*  577198 */   // Label 9441: @577198
     /*  577198 */   GIM_Try, /*On fail goto*//*Label 9442*/ GIMT_Encode4(577273), // Rule ID 3869 //
     /*  577203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  577214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  577217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  577220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  577223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577249 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  577249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  577252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577271 */     GIR_RootConstrainSelectedInstOperands,
     /*  577272 */     // GIR_Coverage, 3869,
     /*  577272 */     GIR_EraseRootFromParent_Done,
     /*  577273 */   // Label 9442: @577273
     /*  577273 */   GIM_Try, /*On fail goto*//*Label 9443*/ GIMT_Encode4(577348), // Rule ID 3872 //
     /*  577278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  577289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  577292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  577295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  577298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  577324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  577327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577346 */     GIR_RootConstrainSelectedInstOperands,
     /*  577347 */     // GIR_Coverage, 3872,
     /*  577347 */     GIR_EraseRootFromParent_Done,
     /*  577348 */   // Label 9443: @577348
     /*  577348 */   GIM_Try, /*On fail goto*//*Label 9444*/ GIMT_Encode4(577423), // Rule ID 3873 //
     /*  577353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  577364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  577367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  577370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  577373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577399 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  577399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  577402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577421 */     GIR_RootConstrainSelectedInstOperands,
     /*  577422 */     // GIR_Coverage, 3873,
     /*  577422 */     GIR_EraseRootFromParent_Done,
     /*  577423 */   // Label 9444: @577423
     /*  577423 */   GIM_Try, /*On fail goto*//*Label 9445*/ GIMT_Encode4(577498), // Rule ID 3876 //
     /*  577428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  577439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  577442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  577445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  577448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  577477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577496 */     GIR_RootConstrainSelectedInstOperands,
     /*  577497 */     // GIR_Coverage, 3876,
     /*  577497 */     GIR_EraseRootFromParent_Done,
     /*  577498 */   // Label 9445: @577498
     /*  577498 */   GIM_Try, /*On fail goto*//*Label 9446*/ GIMT_Encode4(577573), // Rule ID 3877 //
     /*  577503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  577514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  577517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  577520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  577523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577549 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  577552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577571 */     GIR_RootConstrainSelectedInstOperands,
     /*  577572 */     // GIR_Coverage, 3877,
     /*  577572 */     GIR_EraseRootFromParent_Done,
     /*  577573 */   // Label 9446: @577573
     /*  577573 */   GIM_Try, /*On fail goto*//*Label 9447*/ GIMT_Encode4(577648), // Rule ID 3880 //
     /*  577578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  577589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  577592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  577595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  577598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577624 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  577627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577646 */     GIR_RootConstrainSelectedInstOperands,
     /*  577647 */     // GIR_Coverage, 3880,
     /*  577647 */     GIR_EraseRootFromParent_Done,
     /*  577648 */   // Label 9447: @577648
     /*  577648 */   GIM_Try, /*On fail goto*//*Label 9448*/ GIMT_Encode4(577723), // Rule ID 3881 //
     /*  577653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  577664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  577667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  577670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  577673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577699 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  577702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577721 */     GIR_RootConstrainSelectedInstOperands,
     /*  577722 */     // GIR_Coverage, 3881,
     /*  577722 */     GIR_EraseRootFromParent_Done,
     /*  577723 */   // Label 9448: @577723
     /*  577723 */   GIM_Try, /*On fail goto*//*Label 9449*/ GIMT_Encode4(577798), // Rule ID 3884 //
     /*  577728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  577745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  577748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577774 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  577777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577796 */     GIR_RootConstrainSelectedInstOperands,
     /*  577797 */     // GIR_Coverage, 3884,
     /*  577797 */     GIR_EraseRootFromParent_Done,
     /*  577798 */   // Label 9449: @577798
     /*  577798 */   GIM_Try, /*On fail goto*//*Label 9450*/ GIMT_Encode4(577873), // Rule ID 3885 //
     /*  577803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  577820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  577823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577849 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  577852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577871 */     GIR_RootConstrainSelectedInstOperands,
     /*  577872 */     // GIR_Coverage, 3885,
     /*  577872 */     GIR_EraseRootFromParent_Done,
     /*  577873 */   // Label 9450: @577873
     /*  577873 */   GIM_Try, /*On fail goto*//*Label 9451*/ GIMT_Encode4(577948), // Rule ID 3888 //
     /*  577878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  577898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577924 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  577927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577946 */     GIR_RootConstrainSelectedInstOperands,
     /*  577947 */     // GIR_Coverage, 3888,
     /*  577947 */     GIR_EraseRootFromParent_Done,
     /*  577948 */   // Label 9451: @577948
     /*  577948 */   GIM_Try, /*On fail goto*//*Label 9452*/ GIMT_Encode4(578023), // Rule ID 3889 //
     /*  577953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  577973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577999 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  578002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578021 */     GIR_RootConstrainSelectedInstOperands,
     /*  578022 */     // GIR_Coverage, 3889,
     /*  578022 */     GIR_EraseRootFromParent_Done,
     /*  578023 */   // Label 9452: @578023
     /*  578023 */   GIM_Try, /*On fail goto*//*Label 9453*/ GIMT_Encode4(578098), // Rule ID 3892 //
     /*  578028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  578039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  578042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  578045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578074 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  578077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578096 */     GIR_RootConstrainSelectedInstOperands,
     /*  578097 */     // GIR_Coverage, 3892,
     /*  578097 */     GIR_EraseRootFromParent_Done,
     /*  578098 */   // Label 9453: @578098
     /*  578098 */   GIM_Try, /*On fail goto*//*Label 9454*/ GIMT_Encode4(578173), // Rule ID 3893 //
     /*  578103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  578114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  578117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  578120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  578152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578171 */     GIR_RootConstrainSelectedInstOperands,
     /*  578172 */     // GIR_Coverage, 3893,
     /*  578172 */     GIR_EraseRootFromParent_Done,
     /*  578173 */   // Label 9454: @578173
     /*  578173 */   GIM_Try, /*On fail goto*//*Label 9455*/ GIMT_Encode4(578248), // Rule ID 3896 //
     /*  578178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  578189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  578192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  578195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  578227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578246 */     GIR_RootConstrainSelectedInstOperands,
     /*  578247 */     // GIR_Coverage, 3896,
     /*  578247 */     GIR_EraseRootFromParent_Done,
     /*  578248 */   // Label 9455: @578248
     /*  578248 */   GIM_Try, /*On fail goto*//*Label 9456*/ GIMT_Encode4(578323), // Rule ID 3897 //
     /*  578253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  578264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  578267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  578270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578299 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  578302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578321 */     GIR_RootConstrainSelectedInstOperands,
     /*  578322 */     // GIR_Coverage, 3897,
     /*  578322 */     GIR_EraseRootFromParent_Done,
     /*  578323 */   // Label 9456: @578323
     /*  578323 */   GIM_Try, /*On fail goto*//*Label 9457*/ GIMT_Encode4(578398), // Rule ID 3900 //
     /*  578328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  578339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  578342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  578345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578396 */     GIR_RootConstrainSelectedInstOperands,
     /*  578397 */     // GIR_Coverage, 3900,
     /*  578397 */     GIR_EraseRootFromParent_Done,
     /*  578398 */   // Label 9457: @578398
     /*  578398 */   GIM_Try, /*On fail goto*//*Label 9458*/ GIMT_Encode4(578473), // Rule ID 3901 //
     /*  578403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  578414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  578417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  578420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578449 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578471 */     GIR_RootConstrainSelectedInstOperands,
     /*  578472 */     // GIR_Coverage, 3901,
     /*  578472 */     GIR_EraseRootFromParent_Done,
     /*  578473 */   // Label 9458: @578473
     /*  578473 */   GIM_Try, /*On fail goto*//*Label 9459*/ GIMT_Encode4(578548), // Rule ID 3904 //
     /*  578478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  578489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  578492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  578495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578546 */     GIR_RootConstrainSelectedInstOperands,
     /*  578547 */     // GIR_Coverage, 3904,
     /*  578547 */     GIR_EraseRootFromParent_Done,
     /*  578548 */   // Label 9459: @578548
     /*  578548 */   GIM_Try, /*On fail goto*//*Label 9460*/ GIMT_Encode4(578623), // Rule ID 3905 //
     /*  578553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  578564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  578567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  578570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578621 */     GIR_RootConstrainSelectedInstOperands,
     /*  578622 */     // GIR_Coverage, 3905,
     /*  578622 */     GIR_EraseRootFromParent_Done,
     /*  578623 */   // Label 9460: @578623
     /*  578623 */   GIM_Try, /*On fail goto*//*Label 9461*/ GIMT_Encode4(578698), // Rule ID 3908 //
     /*  578628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  578639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  578642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  578645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578674 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578696 */     GIR_RootConstrainSelectedInstOperands,
     /*  578697 */     // GIR_Coverage, 3908,
     /*  578697 */     GIR_EraseRootFromParent_Done,
     /*  578698 */   // Label 9461: @578698
     /*  578698 */   GIM_Try, /*On fail goto*//*Label 9462*/ GIMT_Encode4(578773), // Rule ID 3909 //
     /*  578703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  578714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  578717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  578720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578749 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578771 */     GIR_RootConstrainSelectedInstOperands,
     /*  578772 */     // GIR_Coverage, 3909,
     /*  578772 */     GIR_EraseRootFromParent_Done,
     /*  578773 */   // Label 9462: @578773
     /*  578773 */   GIM_Try, /*On fail goto*//*Label 9463*/ GIMT_Encode4(578848), // Rule ID 3912 //
     /*  578778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  578795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578824 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578846 */     GIR_RootConstrainSelectedInstOperands,
     /*  578847 */     // GIR_Coverage, 3912,
     /*  578847 */     GIR_EraseRootFromParent_Done,
     /*  578848 */   // Label 9463: @578848
     /*  578848 */   GIM_Try, /*On fail goto*//*Label 9464*/ GIMT_Encode4(578923), // Rule ID 3913 //
     /*  578853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  578870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578899 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578921 */     GIR_RootConstrainSelectedInstOperands,
     /*  578922 */     // GIR_Coverage, 3913,
     /*  578922 */     GIR_EraseRootFromParent_Done,
     /*  578923 */   // Label 9464: @578923
     /*  578923 */   GIM_Try, /*On fail goto*//*Label 9465*/ GIMT_Encode4(578998), // Rule ID 3916 //
     /*  578928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  578977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578996 */     GIR_RootConstrainSelectedInstOperands,
     /*  578997 */     // GIR_Coverage, 3916,
     /*  578997 */     GIR_EraseRootFromParent_Done,
     /*  578998 */   // Label 9465: @578998
     /*  578998 */   GIM_Try, /*On fail goto*//*Label 9466*/ GIMT_Encode4(579073), // Rule ID 3917 //
     /*  579003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  579014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  579017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  579020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579049 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  579052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579071 */     GIR_RootConstrainSelectedInstOperands,
     /*  579072 */     // GIR_Coverage, 3917,
     /*  579072 */     GIR_EraseRootFromParent_Done,
     /*  579073 */   // Label 9466: @579073
     /*  579073 */   GIM_Try, /*On fail goto*//*Label 9467*/ GIMT_Encode4(579148), // Rule ID 3920 //
     /*  579078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  579089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  579092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  579095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  579127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579146 */     GIR_RootConstrainSelectedInstOperands,
     /*  579147 */     // GIR_Coverage, 3920,
     /*  579147 */     GIR_EraseRootFromParent_Done,
     /*  579148 */   // Label 9467: @579148
     /*  579148 */   GIM_Try, /*On fail goto*//*Label 9468*/ GIMT_Encode4(579223), // Rule ID 3921 //
     /*  579153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  579164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  579167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  579170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579199 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  579202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579221 */     GIR_RootConstrainSelectedInstOperands,
     /*  579222 */     // GIR_Coverage, 3921,
     /*  579222 */     GIR_EraseRootFromParent_Done,
     /*  579223 */   // Label 9468: @579223
     /*  579223 */   GIM_Try, /*On fail goto*//*Label 9469*/ GIMT_Encode4(579298), // Rule ID 3924 //
     /*  579228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  579239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  579242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  579245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  579277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579296 */     GIR_RootConstrainSelectedInstOperands,
     /*  579297 */     // GIR_Coverage, 3924,
     /*  579297 */     GIR_EraseRootFromParent_Done,
     /*  579298 */   // Label 9469: @579298
     /*  579298 */   GIM_Try, /*On fail goto*//*Label 9470*/ GIMT_Encode4(579373), // Rule ID 3925 //
     /*  579303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  579314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  579317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  579320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579349 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  579352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579371 */     GIR_RootConstrainSelectedInstOperands,
     /*  579372 */     // GIR_Coverage, 3925,
     /*  579372 */     GIR_EraseRootFromParent_Done,
     /*  579373 */   // Label 9470: @579373
     /*  579373 */   GIM_Try, /*On fail goto*//*Label 9471*/ GIMT_Encode4(579448), // Rule ID 3928 //
     /*  579378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  579389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  579392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  579395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579424 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  579427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579446 */     GIR_RootConstrainSelectedInstOperands,
     /*  579447 */     // GIR_Coverage, 3928,
     /*  579447 */     GIR_EraseRootFromParent_Done,
     /*  579448 */   // Label 9471: @579448
     /*  579448 */   GIM_Try, /*On fail goto*//*Label 9472*/ GIMT_Encode4(579523), // Rule ID 3929 //
     /*  579453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  579464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  579467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  579470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  579502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579521 */     GIR_RootConstrainSelectedInstOperands,
     /*  579522 */     // GIR_Coverage, 3929,
     /*  579522 */     GIR_EraseRootFromParent_Done,
     /*  579523 */   // Label 9472: @579523
     /*  579523 */   GIM_Try, /*On fail goto*//*Label 9473*/ GIMT_Encode4(579598), // Rule ID 3932 //
     /*  579528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  579539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  579542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  579545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  579577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579596 */     GIR_RootConstrainSelectedInstOperands,
     /*  579597 */     // GIR_Coverage, 3932,
     /*  579597 */     GIR_EraseRootFromParent_Done,
     /*  579598 */   // Label 9473: @579598
     /*  579598 */   GIM_Try, /*On fail goto*//*Label 9474*/ GIMT_Encode4(579673), // Rule ID 3933 //
     /*  579603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  579614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  579617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  579620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579649 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  579652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579671 */     GIR_RootConstrainSelectedInstOperands,
     /*  579672 */     // GIR_Coverage, 3933,
     /*  579672 */     GIR_EraseRootFromParent_Done,
     /*  579673 */   // Label 9474: @579673
     /*  579673 */   GIM_Try, /*On fail goto*//*Label 9475*/ GIMT_Encode4(579748), // Rule ID 3936 //
     /*  579678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  579695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579724 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  579727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579746 */     GIR_RootConstrainSelectedInstOperands,
     /*  579747 */     // GIR_Coverage, 3936,
     /*  579747 */     GIR_EraseRootFromParent_Done,
     /*  579748 */   // Label 9475: @579748
     /*  579748 */   GIM_Try, /*On fail goto*//*Label 9476*/ GIMT_Encode4(579823), // Rule ID 3937 //
     /*  579753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  579770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579799 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  579802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579821 */     GIR_RootConstrainSelectedInstOperands,
     /*  579822 */     // GIR_Coverage, 3937,
     /*  579822 */     GIR_EraseRootFromParent_Done,
     /*  579823 */   // Label 9476: @579823
     /*  579823 */   GIM_Try, /*On fail goto*//*Label 9477*/ GIMT_Encode4(579898), // Rule ID 3940 //
     /*  579828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  579877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579896 */     GIR_RootConstrainSelectedInstOperands,
     /*  579897 */     // GIR_Coverage, 3940,
     /*  579897 */     GIR_EraseRootFromParent_Done,
     /*  579898 */   // Label 9477: @579898
     /*  579898 */   GIM_Try, /*On fail goto*//*Label 9478*/ GIMT_Encode4(579973), // Rule ID 3941 //
     /*  579903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579949 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  579952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579971 */     GIR_RootConstrainSelectedInstOperands,
     /*  579972 */     // GIR_Coverage, 3941,
     /*  579972 */     GIR_EraseRootFromParent_Done,
     /*  579973 */   // Label 9478: @579973
     /*  579973 */   GIM_Try, /*On fail goto*//*Label 9479*/ GIMT_Encode4(580048), // Rule ID 3944 //
     /*  579978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  579995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580024 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  580024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  580027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580046 */     GIR_RootConstrainSelectedInstOperands,
     /*  580047 */     // GIR_Coverage, 3944,
     /*  580047 */     GIR_EraseRootFromParent_Done,
     /*  580048 */   // Label 9479: @580048
     /*  580048 */   GIM_Try, /*On fail goto*//*Label 9480*/ GIMT_Encode4(580123), // Rule ID 3945 //
     /*  580053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  580056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  580064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  580067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  580070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580099 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  580099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  580102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580121 */     GIR_RootConstrainSelectedInstOperands,
     /*  580122 */     // GIR_Coverage, 3945,
     /*  580122 */     GIR_EraseRootFromParent_Done,
     /*  580123 */   // Label 9480: @580123
     /*  580123 */   GIM_Try, /*On fail goto*//*Label 9481*/ GIMT_Encode4(580198), // Rule ID 3948 //
     /*  580128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  580131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  580139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  580142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  580145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580174 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  580174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  580177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580196 */     GIR_RootConstrainSelectedInstOperands,
     /*  580197 */     // GIR_Coverage, 3948,
     /*  580197 */     GIR_EraseRootFromParent_Done,
     /*  580198 */   // Label 9481: @580198
     /*  580198 */   GIM_Try, /*On fail goto*//*Label 9482*/ GIMT_Encode4(580273), // Rule ID 3949 //
     /*  580203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  580206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  580214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  580217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  580220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580249 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  580249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  580252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580271 */     GIR_RootConstrainSelectedInstOperands,
     /*  580272 */     // GIR_Coverage, 3949,
     /*  580272 */     GIR_EraseRootFromParent_Done,
     /*  580273 */   // Label 9482: @580273
     /*  580273 */   GIM_Try, /*On fail goto*//*Label 9483*/ GIMT_Encode4(580348), // Rule ID 3952 //
     /*  580278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  580289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  580292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  580295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  580298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580324 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11683:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  580327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580346 */     GIR_RootConstrainSelectedInstOperands,
     /*  580347 */     // GIR_Coverage, 3952,
     /*  580347 */     GIR_EraseRootFromParent_Done,
     /*  580348 */   // Label 9483: @580348
     /*  580348 */   GIM_Try, /*On fail goto*//*Label 9484*/ GIMT_Encode4(580423), // Rule ID 3953 //
     /*  580353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  580364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  580367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  580370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  580373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580399 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11683:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  580402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580421 */     GIR_RootConstrainSelectedInstOperands,
     /*  580422 */     // GIR_Coverage, 3953,
     /*  580422 */     GIR_EraseRootFromParent_Done,
     /*  580423 */   // Label 9484: @580423
     /*  580423 */   GIM_Try, /*On fail goto*//*Label 9485*/ GIMT_Encode4(580498), // Rule ID 3956 //
     /*  580428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  580439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  580442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  580445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  580448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11683:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  580477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580496 */     GIR_RootConstrainSelectedInstOperands,
     /*  580497 */     // GIR_Coverage, 3956,
     /*  580497 */     GIR_EraseRootFromParent_Done,
     /*  580498 */   // Label 9485: @580498
     /*  580498 */   GIM_Try, /*On fail goto*//*Label 9486*/ GIMT_Encode4(580573), // Rule ID 3957 //
     /*  580503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  580514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  580517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  580520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  580523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580549 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11683:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  580552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580571 */     GIR_RootConstrainSelectedInstOperands,
     /*  580572 */     // GIR_Coverage, 3957,
     /*  580572 */     GIR_EraseRootFromParent_Done,
     /*  580573 */   // Label 9486: @580573
     /*  580573 */   GIM_Try, /*On fail goto*//*Label 9487*/ GIMT_Encode4(580648), // Rule ID 3960 //
     /*  580578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  580589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  580592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  580595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  580598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580624 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11683:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580646 */     GIR_RootConstrainSelectedInstOperands,
     /*  580647 */     // GIR_Coverage, 3960,
     /*  580647 */     GIR_EraseRootFromParent_Done,
     /*  580648 */   // Label 9487: @580648
     /*  580648 */   GIM_Try, /*On fail goto*//*Label 9488*/ GIMT_Encode4(580723), // Rule ID 3961 //
     /*  580653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  580664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  580667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  580670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  580673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11683:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580721 */     GIR_RootConstrainSelectedInstOperands,
     /*  580722 */     // GIR_Coverage, 3961,
     /*  580722 */     GIR_EraseRootFromParent_Done,
     /*  580723 */   // Label 9488: @580723
     /*  580723 */   GIM_Try, /*On fail goto*//*Label 9489*/ GIMT_Encode4(580798), // Rule ID 3964 //
     /*  580728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  580739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  580742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  580745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  580748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11683:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580796 */     GIR_RootConstrainSelectedInstOperands,
     /*  580797 */     // GIR_Coverage, 3964,
     /*  580797 */     GIR_EraseRootFromParent_Done,
     /*  580798 */   // Label 9489: @580798
     /*  580798 */   GIM_Try, /*On fail goto*//*Label 9490*/ GIMT_Encode4(580873), // Rule ID 3965 //
     /*  580803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  580814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  580817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  580820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  580823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580849 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11683:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580871 */     GIR_RootConstrainSelectedInstOperands,
     /*  580872 */     // GIR_Coverage, 3965,
     /*  580872 */     GIR_EraseRootFromParent_Done,
     /*  580873 */   // Label 9490: @580873
     /*  580873 */   GIM_Try, /*On fail goto*//*Label 9491*/ GIMT_Encode4(580948), // Rule ID 3968 //
     /*  580878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  580898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11683:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  580927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580946 */     GIR_RootConstrainSelectedInstOperands,
     /*  580947 */     // GIR_Coverage, 3968,
     /*  580947 */     GIR_EraseRootFromParent_Done,
     /*  580948 */   // Label 9491: @580948
     /*  580948 */   GIM_Try, /*On fail goto*//*Label 9492*/ GIMT_Encode4(581023), // Rule ID 3969 //
     /*  580953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  580973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580999 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11683:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581021 */     GIR_RootConstrainSelectedInstOperands,
     /*  581022 */     // GIR_Coverage, 3969,
     /*  581022 */     GIR_EraseRootFromParent_Done,
     /*  581023 */   // Label 9492: @581023
     /*  581023 */   GIM_Try, /*On fail goto*//*Label 9493*/ GIMT_Encode4(581098), // Rule ID 3972 //
     /*  581028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  581039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  581042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  581045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  581048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11683:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581096 */     GIR_RootConstrainSelectedInstOperands,
     /*  581097 */     // GIR_Coverage, 3972,
     /*  581097 */     GIR_EraseRootFromParent_Done,
     /*  581098 */   // Label 9493: @581098
     /*  581098 */   GIM_Try, /*On fail goto*//*Label 9494*/ GIMT_Encode4(581173), // Rule ID 3973 //
     /*  581103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  581114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  581117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  581120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  581123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581149 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11683:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581171 */     GIR_RootConstrainSelectedInstOperands,
     /*  581172 */     // GIR_Coverage, 3973,
     /*  581172 */     GIR_EraseRootFromParent_Done,
     /*  581173 */   // Label 9494: @581173
     /*  581173 */   GIM_Try, /*On fail goto*//*Label 9495*/ GIMT_Encode4(581248), // Rule ID 3976 //
     /*  581178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  581189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  581192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  581195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  581198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11683:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  581227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581246 */     GIR_RootConstrainSelectedInstOperands,
     /*  581247 */     // GIR_Coverage, 3976,
     /*  581247 */     GIR_EraseRootFromParent_Done,
     /*  581248 */   // Label 9495: @581248
     /*  581248 */   GIM_Try, /*On fail goto*//*Label 9496*/ GIMT_Encode4(581323), // Rule ID 3977 //
     /*  581253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  581264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  581267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  581270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  581273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581299 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11683:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  581302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581321 */     GIR_RootConstrainSelectedInstOperands,
     /*  581322 */     // GIR_Coverage, 3977,
     /*  581322 */     GIR_EraseRootFromParent_Done,
     /*  581323 */   // Label 9496: @581323
     /*  581323 */   GIM_Try, /*On fail goto*//*Label 9497*/ GIMT_Encode4(581398), // Rule ID 3980 //
     /*  581328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  581339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  581342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  581345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  581348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11683:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  581377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581396 */     GIR_RootConstrainSelectedInstOperands,
     /*  581397 */     // GIR_Coverage, 3980,
     /*  581397 */     GIR_EraseRootFromParent_Done,
     /*  581398 */   // Label 9497: @581398
     /*  581398 */   GIM_Try, /*On fail goto*//*Label 9498*/ GIMT_Encode4(581473), // Rule ID 3981 //
     /*  581403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  581414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  581417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  581420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  581423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581449 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11683:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  581452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581471 */     GIR_RootConstrainSelectedInstOperands,
     /*  581472 */     // GIR_Coverage, 3981,
     /*  581472 */     GIR_EraseRootFromParent_Done,
     /*  581473 */   // Label 9498: @581473
     /*  581473 */   GIM_Try, /*On fail goto*//*Label 9499*/ GIMT_Encode4(581548), // Rule ID 3984 //
     /*  581478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  581489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  581492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  581495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  581498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11683:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  581527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581546 */     GIR_RootConstrainSelectedInstOperands,
     /*  581547 */     // GIR_Coverage, 3984,
     /*  581547 */     GIR_EraseRootFromParent_Done,
     /*  581548 */   // Label 9499: @581548
     /*  581548 */   GIM_Try, /*On fail goto*//*Label 9500*/ GIMT_Encode4(581623), // Rule ID 3985 //
     /*  581553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  581564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  581567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  581570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  581573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581599 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11683:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  581602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581621 */     GIR_RootConstrainSelectedInstOperands,
     /*  581622 */     // GIR_Coverage, 3985,
     /*  581622 */     GIR_EraseRootFromParent_Done,
     /*  581623 */   // Label 9500: @581623
     /*  581623 */   GIM_Try, /*On fail goto*//*Label 9501*/ GIMT_Encode4(581698), // Rule ID 3988 //
     /*  581628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  581639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  581642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  581645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  581648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11683:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581696 */     GIR_RootConstrainSelectedInstOperands,
     /*  581697 */     // GIR_Coverage, 3988,
     /*  581697 */     GIR_EraseRootFromParent_Done,
     /*  581698 */   // Label 9501: @581698
     /*  581698 */   GIM_Try, /*On fail goto*//*Label 9502*/ GIMT_Encode4(581773), // Rule ID 3989 //
     /*  581703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  581714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  581717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  581720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  581723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581749 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11683:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581771 */     GIR_RootConstrainSelectedInstOperands,
     /*  581772 */     // GIR_Coverage, 3989,
     /*  581772 */     GIR_EraseRootFromParent_Done,
     /*  581773 */   // Label 9502: @581773
     /*  581773 */   GIM_Try, /*On fail goto*//*Label 9503*/ GIMT_Encode4(581848), // Rule ID 3992 //
     /*  581778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  581795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  581798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581824 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11683:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581846 */     GIR_RootConstrainSelectedInstOperands,
     /*  581847 */     // GIR_Coverage, 3992,
     /*  581847 */     GIR_EraseRootFromParent_Done,
     /*  581848 */   // Label 9503: @581848
     /*  581848 */   GIM_Try, /*On fail goto*//*Label 9504*/ GIMT_Encode4(581923), // Rule ID 3993 //
     /*  581853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  581870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  581873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581899 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11683:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581921 */     GIR_RootConstrainSelectedInstOperands,
     /*  581922 */     // GIR_Coverage, 3993,
     /*  581922 */     GIR_EraseRootFromParent_Done,
     /*  581923 */   // Label 9504: @581923
     /*  581923 */   GIM_Try, /*On fail goto*//*Label 9505*/ GIMT_Encode4(581998), // Rule ID 3996 //
     /*  581928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  581948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581974 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11683:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  581977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581996 */     GIR_RootConstrainSelectedInstOperands,
     /*  581997 */     // GIR_Coverage, 3996,
     /*  581997 */     GIR_EraseRootFromParent_Done,
     /*  581998 */   // Label 9505: @581998
     /*  581998 */   GIM_Try, /*On fail goto*//*Label 9506*/ GIMT_Encode4(582073), // Rule ID 3997 //
     /*  582003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  582006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  582014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  582017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  582020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  582023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582049 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11683:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  582049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  582052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582071 */     GIR_RootConstrainSelectedInstOperands,
     /*  582072 */     // GIR_Coverage, 3997,
     /*  582072 */     GIR_EraseRootFromParent_Done,
     /*  582073 */   // Label 9506: @582073
     /*  582073 */   GIM_Try, /*On fail goto*//*Label 9507*/ GIMT_Encode4(582148), // Rule ID 4000 //
     /*  582078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  582081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  582089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  582092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  582095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  582098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11683:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  582124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  582127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582146 */     GIR_RootConstrainSelectedInstOperands,
     /*  582147 */     // GIR_Coverage, 4000,
     /*  582147 */     GIR_EraseRootFromParent_Done,
     /*  582148 */   // Label 9507: @582148
     /*  582148 */   GIM_Try, /*On fail goto*//*Label 9508*/ GIMT_Encode4(582223), // Rule ID 4001 //
     /*  582153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  582156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  582164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  582167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  582170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  582173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582199 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11683:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  582199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  582202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582221 */     GIR_RootConstrainSelectedInstOperands,
     /*  582222 */     // GIR_Coverage, 4001,
     /*  582222 */     GIR_EraseRootFromParent_Done,
     /*  582223 */   // Label 9508: @582223
     /*  582223 */   GIM_Try, /*On fail goto*//*Label 9509*/ GIMT_Encode4(582298), // Rule ID 4004 //
     /*  582228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  582231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  582239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  582242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  582245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  582248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11683:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  582274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  582277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582296 */     GIR_RootConstrainSelectedInstOperands,
     /*  582297 */     // GIR_Coverage, 4004,
     /*  582297 */     GIR_EraseRootFromParent_Done,
     /*  582298 */   // Label 9509: @582298
     /*  582298 */   GIM_Try, /*On fail goto*//*Label 9510*/ GIMT_Encode4(582373), // Rule ID 4005 //
     /*  582303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  582306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  582314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  582317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  582320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  582323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582349 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11683:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  582349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  582352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582371 */     GIR_RootConstrainSelectedInstOperands,
     /*  582372 */     // GIR_Coverage, 4005,
     /*  582372 */     GIR_EraseRootFromParent_Done,
     /*  582373 */   // Label 9510: @582373
     /*  582373 */   GIM_Try, /*On fail goto*//*Label 9511*/ GIMT_Encode4(582448), // Rule ID 4008 //
     /*  582378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  582381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  582389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  582392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  582395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  582398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11683:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  582424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  582427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582446 */     GIR_RootConstrainSelectedInstOperands,
     /*  582447 */     // GIR_Coverage, 4008,
     /*  582447 */     GIR_EraseRootFromParent_Done,
     /*  582448 */   // Label 9511: @582448
     /*  582448 */   GIM_Try, /*On fail goto*//*Label 9512*/ GIMT_Encode4(582523), // Rule ID 4009 //
     /*  582453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  582456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  582464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  582467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  582470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  582473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582499 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11683:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  582499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  582502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582521 */     GIR_RootConstrainSelectedInstOperands,
     /*  582522 */     // GIR_Coverage, 4009,
     /*  582522 */     GIR_EraseRootFromParent_Done,
     /*  582523 */   // Label 9512: @582523
     /*  582523 */   GIM_Try, /*On fail goto*//*Label 9513*/ GIMT_Encode4(582598), // Rule ID 4012 //
     /*  582528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  582539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  582542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  582545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582574 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11683:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  582577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582596 */     GIR_RootConstrainSelectedInstOperands,
     /*  582597 */     // GIR_Coverage, 4012,
     /*  582597 */     GIR_EraseRootFromParent_Done,
     /*  582598 */   // Label 9513: @582598
     /*  582598 */   GIM_Try, /*On fail goto*//*Label 9514*/ GIMT_Encode4(582673), // Rule ID 4013 //
     /*  582603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  582614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  582617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  582620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582649 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11683:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  582652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582671 */     GIR_RootConstrainSelectedInstOperands,
     /*  582672 */     // GIR_Coverage, 4013,
     /*  582672 */     GIR_EraseRootFromParent_Done,
     /*  582673 */   // Label 9514: @582673
     /*  582673 */   GIM_Try, /*On fail goto*//*Label 9515*/ GIMT_Encode4(582748), // Rule ID 4016 //
     /*  582678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  582689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  582692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  582695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11683:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582746 */     GIR_RootConstrainSelectedInstOperands,
     /*  582747 */     // GIR_Coverage, 4016,
     /*  582747 */     GIR_EraseRootFromParent_Done,
     /*  582748 */   // Label 9515: @582748
     /*  582748 */   GIM_Try, /*On fail goto*//*Label 9516*/ GIMT_Encode4(582823), // Rule ID 4017 //
     /*  582753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  582764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  582767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  582770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582799 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11683:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582821 */     GIR_RootConstrainSelectedInstOperands,
     /*  582822 */     // GIR_Coverage, 4017,
     /*  582822 */     GIR_EraseRootFromParent_Done,
     /*  582823 */   // Label 9516: @582823
     /*  582823 */   GIM_Try, /*On fail goto*//*Label 9517*/ GIMT_Encode4(582898), // Rule ID 4020 //
     /*  582828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  582845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11683:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  582877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582896 */     GIR_RootConstrainSelectedInstOperands,
     /*  582897 */     // GIR_Coverage, 4020,
     /*  582897 */     GIR_EraseRootFromParent_Done,
     /*  582898 */   // Label 9517: @582898
     /*  582898 */   GIM_Try, /*On fail goto*//*Label 9518*/ GIMT_Encode4(582973), // Rule ID 4021 //
     /*  582903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  582920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582949 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11683:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  582952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582971 */     GIR_RootConstrainSelectedInstOperands,
     /*  582972 */     // GIR_Coverage, 4021,
     /*  582972 */     GIR_EraseRootFromParent_Done,
     /*  582973 */   // Label 9518: @582973
     /*  582973 */   GIM_Try, /*On fail goto*//*Label 9519*/ GIMT_Encode4(583048), // Rule ID 4024 //
     /*  582978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  582995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11683:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  583024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583046 */     GIR_RootConstrainSelectedInstOperands,
     /*  583047 */     // GIR_Coverage, 4024,
     /*  583047 */     GIR_EraseRootFromParent_Done,
     /*  583048 */   // Label 9519: @583048
     /*  583048 */   GIM_Try, /*On fail goto*//*Label 9520*/ GIMT_Encode4(583123), // Rule ID 4025 //
     /*  583053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  583064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  583067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  583070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11683:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  583099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583121 */     GIR_RootConstrainSelectedInstOperands,
     /*  583122 */     // GIR_Coverage, 4025,
     /*  583122 */     GIR_EraseRootFromParent_Done,
     /*  583123 */   // Label 9520: @583123
     /*  583123 */   GIM_Try, /*On fail goto*//*Label 9521*/ GIMT_Encode4(583198), // Rule ID 4028 //
     /*  583128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  583139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  583142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  583145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583174 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11683:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  583174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583196 */     GIR_RootConstrainSelectedInstOperands,
     /*  583197 */     // GIR_Coverage, 4028,
     /*  583197 */     GIR_EraseRootFromParent_Done,
     /*  583198 */   // Label 9521: @583198
     /*  583198 */   GIM_Try, /*On fail goto*//*Label 9522*/ GIMT_Encode4(583273), // Rule ID 4029 //
     /*  583203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  583214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  583217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  583220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583249 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11683:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  583249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583271 */     GIR_RootConstrainSelectedInstOperands,
     /*  583272 */     // GIR_Coverage, 4029,
     /*  583272 */     GIR_EraseRootFromParent_Done,
     /*  583273 */   // Label 9522: @583273
     /*  583273 */   GIM_Try, /*On fail goto*//*Label 9523*/ GIMT_Encode4(583348), // Rule ID 4032 //
     /*  583278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  583289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  583292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  583295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583324 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11683:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  583324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  583327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583346 */     GIR_RootConstrainSelectedInstOperands,
     /*  583347 */     // GIR_Coverage, 4032,
     /*  583347 */     GIR_EraseRootFromParent_Done,
     /*  583348 */   // Label 9523: @583348
     /*  583348 */   GIM_Try, /*On fail goto*//*Label 9524*/ GIMT_Encode4(583423), // Rule ID 4033 //
     /*  583353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  583364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  583367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  583370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583399 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11683:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  583399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  583402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583421 */     GIR_RootConstrainSelectedInstOperands,
     /*  583422 */     // GIR_Coverage, 4033,
     /*  583422 */     GIR_EraseRootFromParent_Done,
     /*  583423 */   // Label 9524: @583423
     /*  583423 */   GIM_Try, /*On fail goto*//*Label 9525*/ GIMT_Encode4(583498), // Rule ID 4036 //
     /*  583428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  583439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  583442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  583445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11683:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  583477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583496 */     GIR_RootConstrainSelectedInstOperands,
     /*  583497 */     // GIR_Coverage, 4036,
     /*  583497 */     GIR_EraseRootFromParent_Done,
     /*  583498 */   // Label 9525: @583498
     /*  583498 */   GIM_Try, /*On fail goto*//*Label 9526*/ GIMT_Encode4(583573), // Rule ID 4037 //
     /*  583503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  583514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  583517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  583520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583549 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11683:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  583552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583571 */     GIR_RootConstrainSelectedInstOperands,
     /*  583572 */     // GIR_Coverage, 4037,
     /*  583572 */     GIR_EraseRootFromParent_Done,
     /*  583573 */   // Label 9526: @583573
     /*  583573 */   GIM_Try, /*On fail goto*//*Label 9527*/ GIMT_Encode4(583648), // Rule ID 4040 //
     /*  583578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  583589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  583592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  583595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11683:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  583627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583646 */     GIR_RootConstrainSelectedInstOperands,
     /*  583647 */     // GIR_Coverage, 4040,
     /*  583647 */     GIR_EraseRootFromParent_Done,
     /*  583648 */   // Label 9527: @583648
     /*  583648 */   GIM_Try, /*On fail goto*//*Label 9528*/ GIMT_Encode4(583723), // Rule ID 4041 //
     /*  583653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  583664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  583667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  583670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583699 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11683:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  583702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583721 */     GIR_RootConstrainSelectedInstOperands,
     /*  583722 */     // GIR_Coverage, 4041,
     /*  583722 */     GIR_EraseRootFromParent_Done,
     /*  583723 */   // Label 9528: @583723
     /*  583723 */   GIM_Try, /*On fail goto*//*Label 9529*/ GIMT_Encode4(583798), // Rule ID 4044 //
     /*  583728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11683:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583796 */     GIR_RootConstrainSelectedInstOperands,
     /*  583797 */     // GIR_Coverage, 4044,
     /*  583797 */     GIR_EraseRootFromParent_Done,
     /*  583798 */   // Label 9529: @583798
     /*  583798 */   GIM_Try, /*On fail goto*//*Label 9530*/ GIMT_Encode4(583873), // Rule ID 4045 //
     /*  583803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11683:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583871 */     GIR_RootConstrainSelectedInstOperands,
     /*  583872 */     // GIR_Coverage, 4045,
     /*  583872 */     GIR_EraseRootFromParent_Done,
     /*  583873 */   // Label 9530: @583873
     /*  583873 */   GIM_Try, /*On fail goto*//*Label 9531*/ GIMT_Encode4(583948), // Rule ID 4048 //
     /*  583878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  583895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11683:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583946 */     GIR_RootConstrainSelectedInstOperands,
     /*  583947 */     // GIR_Coverage, 4048,
     /*  583947 */     GIR_EraseRootFromParent_Done,
     /*  583948 */   // Label 9531: @583948
     /*  583948 */   GIM_Try, /*On fail goto*//*Label 9532*/ GIMT_Encode4(584023), // Rule ID 4049 //
     /*  583953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  583970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583999 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11683:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  584002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584021 */     GIR_RootConstrainSelectedInstOperands,
     /*  584022 */     // GIR_Coverage, 4049,
     /*  584022 */     GIR_EraseRootFromParent_Done,
     /*  584023 */   // Label 9532: @584023
     /*  584023 */   GIM_Try, /*On fail goto*//*Label 9533*/ GIMT_Encode4(584098), // Rule ID 4052 //
     /*  584028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  584039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  584042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  584045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584074 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11683:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  584077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584096 */     GIR_RootConstrainSelectedInstOperands,
     /*  584097 */     // GIR_Coverage, 4052,
     /*  584097 */     GIR_EraseRootFromParent_Done,
     /*  584098 */   // Label 9533: @584098
     /*  584098 */   GIM_Try, /*On fail goto*//*Label 9534*/ GIMT_Encode4(584173), // Rule ID 4053 //
     /*  584103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  584114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  584117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  584120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584149 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11683:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  584152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584171 */     GIR_RootConstrainSelectedInstOperands,
     /*  584172 */     // GIR_Coverage, 4053,
     /*  584172 */     GIR_EraseRootFromParent_Done,
     /*  584173 */   // Label 9534: @584173
     /*  584173 */   GIM_Try, /*On fail goto*//*Label 9535*/ GIMT_Encode4(584248), // Rule ID 4056 //
     /*  584178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  584181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  584189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  584192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  584195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11683:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  584227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584246 */     GIR_RootConstrainSelectedInstOperands,
     /*  584247 */     // GIR_Coverage, 4056,
     /*  584247 */     GIR_EraseRootFromParent_Done,
     /*  584248 */   // Label 9535: @584248
     /*  584248 */   GIM_Try, /*On fail goto*//*Label 9536*/ GIMT_Encode4(584323), // Rule ID 4057 //
     /*  584253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  584264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  584267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  584270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584299 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11683:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  584302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584321 */     GIR_RootConstrainSelectedInstOperands,
     /*  584322 */     // GIR_Coverage, 4057,
     /*  584322 */     GIR_EraseRootFromParent_Done,
     /*  584323 */   // Label 9536: @584323
     /*  584323 */   GIM_Try, /*On fail goto*//*Label 9537*/ GIMT_Encode4(584398), // Rule ID 4060 //
     /*  584328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  584331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  584339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  584342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  584345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11683:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  584377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584396 */     GIR_RootConstrainSelectedInstOperands,
     /*  584397 */     // GIR_Coverage, 4060,
     /*  584397 */     GIR_EraseRootFromParent_Done,
     /*  584398 */   // Label 9537: @584398
     /*  584398 */   GIM_Try, /*On fail goto*//*Label 9538*/ GIMT_Encode4(584473), // Rule ID 4061 //
     /*  584403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  584414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  584417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  584420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584449 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11683:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  584452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584471 */     GIR_RootConstrainSelectedInstOperands,
     /*  584472 */     // GIR_Coverage, 4061,
     /*  584472 */     GIR_EraseRootFromParent_Done,
     /*  584473 */   // Label 9538: @584473
     /*  584473 */   GIM_Try, /*On fail goto*//*Label 9539*/ GIMT_Encode4(584548), // Rule ID 4064 //
     /*  584478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  584481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  584489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  584492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  584495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11683:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  584527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584546 */     GIR_RootConstrainSelectedInstOperands,
     /*  584547 */     // GIR_Coverage, 4064,
     /*  584547 */     GIR_EraseRootFromParent_Done,
     /*  584548 */   // Label 9539: @584548
     /*  584548 */   GIM_Try, /*On fail goto*//*Label 9540*/ GIMT_Encode4(584623), // Rule ID 4065 //
     /*  584553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  584564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  584567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  584570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584599 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11683:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  584602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584621 */     GIR_RootConstrainSelectedInstOperands,
     /*  584622 */     // GIR_Coverage, 4065,
     /*  584622 */     GIR_EraseRootFromParent_Done,
     /*  584623 */   // Label 9540: @584623
     /*  584623 */   GIM_Try, /*On fail goto*//*Label 9541*/ GIMT_Encode4(584698), // Rule ID 4068 //
     /*  584628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  584631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  584639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  584642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  584645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11683:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  584677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584696 */     GIR_RootConstrainSelectedInstOperands,
     /*  584697 */     // GIR_Coverage, 4068,
     /*  584697 */     GIR_EraseRootFromParent_Done,
     /*  584698 */   // Label 9541: @584698
     /*  584698 */   GIM_Try, /*On fail goto*//*Label 9542*/ GIMT_Encode4(584773), // Rule ID 4069 //
     /*  584703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  584714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  584717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  584720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584749 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11683:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  584752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584771 */     GIR_RootConstrainSelectedInstOperands,
     /*  584772 */     // GIR_Coverage, 4069,
     /*  584772 */     GIR_EraseRootFromParent_Done,
     /*  584773 */   // Label 9542: @584773
     /*  584773 */   GIM_Try, /*On fail goto*//*Label 9543*/ GIMT_Encode4(584848), // Rule ID 4074 //
     /*  584778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  584795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  584798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584846 */     GIR_RootConstrainSelectedInstOperands,
     /*  584847 */     // GIR_Coverage, 4074,
     /*  584847 */     GIR_EraseRootFromParent_Done,
     /*  584848 */   // Label 9543: @584848
     /*  584848 */   GIM_Try, /*On fail goto*//*Label 9544*/ GIMT_Encode4(584923), // Rule ID 4075 //
     /*  584853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  584870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  584873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584899 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584921 */     GIR_RootConstrainSelectedInstOperands,
     /*  584922 */     // GIR_Coverage, 4075,
     /*  584922 */     GIR_EraseRootFromParent_Done,
     /*  584923 */   // Label 9544: @584923
     /*  584923 */   GIM_Try, /*On fail goto*//*Label 9545*/ GIMT_Encode4(584998), // Rule ID 4084 //
     /*  584928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  584945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  584948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  584977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584996 */     GIR_RootConstrainSelectedInstOperands,
     /*  584997 */     // GIR_Coverage, 4084,
     /*  584997 */     GIR_EraseRootFromParent_Done,
     /*  584998 */   // Label 9545: @584998
     /*  584998 */   GIM_Try, /*On fail goto*//*Label 9546*/ GIMT_Encode4(585073), // Rule ID 4085 //
     /*  585003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  585014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  585017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  585020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  585023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585049 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585071 */     GIR_RootConstrainSelectedInstOperands,
     /*  585072 */     // GIR_Coverage, 4085,
     /*  585072 */     GIR_EraseRootFromParent_Done,
     /*  585073 */   // Label 9546: @585073
     /*  585073 */   GIM_Try, /*On fail goto*//*Label 9547*/ GIMT_Encode4(585148), // Rule ID 4094 //
     /*  585078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  585089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  585092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  585095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  585098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585146 */     GIR_RootConstrainSelectedInstOperands,
     /*  585147 */     // GIR_Coverage, 4094,
     /*  585147 */     GIR_EraseRootFromParent_Done,
     /*  585148 */   // Label 9547: @585148
     /*  585148 */   GIM_Try, /*On fail goto*//*Label 9548*/ GIMT_Encode4(585223), // Rule ID 4095 //
     /*  585153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  585164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  585167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  585170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  585173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585199 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585221 */     GIR_RootConstrainSelectedInstOperands,
     /*  585222 */     // GIR_Coverage, 4095,
     /*  585222 */     GIR_EraseRootFromParent_Done,
     /*  585223 */   // Label 9548: @585223
     /*  585223 */   GIM_Try, /*On fail goto*//*Label 9549*/ GIMT_Encode4(585298), // Rule ID 4104 //
     /*  585228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  585239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  585242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  585245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  585248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585274 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  585277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585296 */     GIR_RootConstrainSelectedInstOperands,
     /*  585297 */     // GIR_Coverage, 4104,
     /*  585297 */     GIR_EraseRootFromParent_Done,
     /*  585298 */   // Label 9549: @585298
     /*  585298 */   GIM_Try, /*On fail goto*//*Label 9550*/ GIMT_Encode4(585373), // Rule ID 4105 //
     /*  585303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  585314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  585317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  585320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  585323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585349 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  585352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585371 */     GIR_RootConstrainSelectedInstOperands,
     /*  585372 */     // GIR_Coverage, 4105,
     /*  585372 */     GIR_EraseRootFromParent_Done,
     /*  585373 */   // Label 9550: @585373
     /*  585373 */   GIM_Try, /*On fail goto*//*Label 9551*/ GIMT_Encode4(585448), // Rule ID 4114 //
     /*  585378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  585389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  585392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  585395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  585398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585446 */     GIR_RootConstrainSelectedInstOperands,
     /*  585447 */     // GIR_Coverage, 4114,
     /*  585447 */     GIR_EraseRootFromParent_Done,
     /*  585448 */   // Label 9551: @585448
     /*  585448 */   GIM_Try, /*On fail goto*//*Label 9552*/ GIMT_Encode4(585523), // Rule ID 4115 //
     /*  585453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  585464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  585467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  585470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  585473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585499 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585521 */     GIR_RootConstrainSelectedInstOperands,
     /*  585522 */     // GIR_Coverage, 4115,
     /*  585522 */     GIR_EraseRootFromParent_Done,
     /*  585523 */   // Label 9552: @585523
     /*  585523 */   GIM_Try, /*On fail goto*//*Label 9553*/ GIMT_Encode4(585598), // Rule ID 4124 //
     /*  585528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  585539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  585542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  585545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  585548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585574 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  585577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585596 */     GIR_RootConstrainSelectedInstOperands,
     /*  585597 */     // GIR_Coverage, 4124,
     /*  585597 */     GIR_EraseRootFromParent_Done,
     /*  585598 */   // Label 9553: @585598
     /*  585598 */   GIM_Try, /*On fail goto*//*Label 9554*/ GIMT_Encode4(585673), // Rule ID 4125 //
     /*  585603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  585614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  585617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  585620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  585623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585649 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  585652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585671 */     GIR_RootConstrainSelectedInstOperands,
     /*  585672 */     // GIR_Coverage, 4125,
     /*  585672 */     GIR_EraseRootFromParent_Done,
     /*  585673 */   // Label 9554: @585673
     /*  585673 */   GIM_Try, /*On fail goto*//*Label 9555*/ GIMT_Encode4(585748), // Rule ID 4134 //
     /*  585678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  585698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585746 */     GIR_RootConstrainSelectedInstOperands,
     /*  585747 */     // GIR_Coverage, 4134,
     /*  585747 */     GIR_EraseRootFromParent_Done,
     /*  585748 */   // Label 9555: @585748
     /*  585748 */   GIM_Try, /*On fail goto*//*Label 9556*/ GIMT_Encode4(585823), // Rule ID 4135 //
     /*  585753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  585773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585799 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585821 */     GIR_RootConstrainSelectedInstOperands,
     /*  585822 */     // GIR_Coverage, 4135,
     /*  585822 */     GIR_EraseRootFromParent_Done,
     /*  585823 */   // Label 9556: @585823
     /*  585823 */   GIM_Try, /*On fail goto*//*Label 9557*/ GIMT_Encode4(585898), // Rule ID 4144 //
     /*  585828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  585845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  585848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585874 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585896 */     GIR_RootConstrainSelectedInstOperands,
     /*  585897 */     // GIR_Coverage, 4144,
     /*  585897 */     GIR_EraseRootFromParent_Done,
     /*  585898 */   // Label 9557: @585898
     /*  585898 */   GIM_Try, /*On fail goto*//*Label 9558*/ GIMT_Encode4(585973), // Rule ID 4145 //
     /*  585903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  585920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  585923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585971 */     GIR_RootConstrainSelectedInstOperands,
     /*  585972 */     // GIR_Coverage, 4145,
     /*  585972 */     GIR_EraseRootFromParent_Done,
     /*  585973 */   // Label 9558: @585973
     /*  585973 */   GIM_Try, /*On fail goto*//*Label 9559*/ GIMT_Encode4(586048), // Rule ID 4154 //
     /*  585978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  585995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  585998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586024 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  586027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586046 */     GIR_RootConstrainSelectedInstOperands,
     /*  586047 */     // GIR_Coverage, 4154,
     /*  586047 */     GIR_EraseRootFromParent_Done,
     /*  586048 */   // Label 9559: @586048
     /*  586048 */   GIM_Try, /*On fail goto*//*Label 9560*/ GIMT_Encode4(586123), // Rule ID 4155 //
     /*  586053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  586064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  586067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  586070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  586073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  586102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586121 */     GIR_RootConstrainSelectedInstOperands,
     /*  586122 */     // GIR_Coverage, 4155,
     /*  586122 */     GIR_EraseRootFromParent_Done,
     /*  586123 */   // Label 9560: @586123
     /*  586123 */   GIM_Try, /*On fail goto*//*Label 9561*/ GIMT_Encode4(586198), // Rule ID 4164 //
     /*  586128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  586139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  586142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  586145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  586148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586174 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  586177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586196 */     GIR_RootConstrainSelectedInstOperands,
     /*  586197 */     // GIR_Coverage, 4164,
     /*  586197 */     GIR_EraseRootFromParent_Done,
     /*  586198 */   // Label 9561: @586198
     /*  586198 */   GIM_Try, /*On fail goto*//*Label 9562*/ GIMT_Encode4(586273), // Rule ID 4165 //
     /*  586203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  586214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  586217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  586220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  586223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586249 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  586252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586271 */     GIR_RootConstrainSelectedInstOperands,
     /*  586272 */     // GIR_Coverage, 4165,
     /*  586272 */     GIR_EraseRootFromParent_Done,
     /*  586273 */   // Label 9562: @586273
     /*  586273 */   GIM_Try, /*On fail goto*//*Label 9563*/ GIMT_Encode4(586348), // Rule ID 4174 //
     /*  586278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  586289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  586292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  586295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  586298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586324 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  586327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586346 */     GIR_RootConstrainSelectedInstOperands,
     /*  586347 */     // GIR_Coverage, 4174,
     /*  586347 */     GIR_EraseRootFromParent_Done,
     /*  586348 */   // Label 9563: @586348
     /*  586348 */   GIM_Try, /*On fail goto*//*Label 9564*/ GIMT_Encode4(586423), // Rule ID 4175 //
     /*  586353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  586364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  586367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  586370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  586373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586399 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  586402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586421 */     GIR_RootConstrainSelectedInstOperands,
     /*  586422 */     // GIR_Coverage, 4175,
     /*  586422 */     GIR_EraseRootFromParent_Done,
     /*  586423 */   // Label 9564: @586423
     /*  586423 */   GIM_Try, /*On fail goto*//*Label 9565*/ GIMT_Encode4(586498), // Rule ID 4184 //
     /*  586428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  586439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  586442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  586445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  586448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  586477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586496 */     GIR_RootConstrainSelectedInstOperands,
     /*  586497 */     // GIR_Coverage, 4184,
     /*  586497 */     GIR_EraseRootFromParent_Done,
     /*  586498 */   // Label 9565: @586498
     /*  586498 */   GIM_Try, /*On fail goto*//*Label 9566*/ GIMT_Encode4(586573), // Rule ID 4185 //
     /*  586503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  586514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  586517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  586520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  586523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586549 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  586552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586571 */     GIR_RootConstrainSelectedInstOperands,
     /*  586572 */     // GIR_Coverage, 4185,
     /*  586572 */     GIR_EraseRootFromParent_Done,
     /*  586573 */   // Label 9566: @586573
     /*  586573 */   GIM_Try, /*On fail goto*//*Label 9567*/ GIMT_Encode4(586648), // Rule ID 4194 //
     /*  586578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  586589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  586592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  586595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  586598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  586627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586646 */     GIR_RootConstrainSelectedInstOperands,
     /*  586647 */     // GIR_Coverage, 4194,
     /*  586647 */     GIR_EraseRootFromParent_Done,
     /*  586648 */   // Label 9567: @586648
     /*  586648 */   GIM_Try, /*On fail goto*//*Label 9568*/ GIMT_Encode4(586723), // Rule ID 4195 //
     /*  586653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  586664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  586667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  586670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  586673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  586702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586721 */     GIR_RootConstrainSelectedInstOperands,
     /*  586722 */     // GIR_Coverage, 4195,
     /*  586722 */     GIR_EraseRootFromParent_Done,
     /*  586723 */   // Label 9568: @586723
     /*  586723 */   GIM_Try, /*On fail goto*//*Label 9569*/ GIMT_Encode4(586798), // Rule ID 4204 //
     /*  586728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  586745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  586748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  586777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586796 */     GIR_RootConstrainSelectedInstOperands,
     /*  586797 */     // GIR_Coverage, 4204,
     /*  586797 */     GIR_EraseRootFromParent_Done,
     /*  586798 */   // Label 9569: @586798
     /*  586798 */   GIM_Try, /*On fail goto*//*Label 9570*/ GIMT_Encode4(586873), // Rule ID 4205 //
     /*  586803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  586820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  586823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586849 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  586852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586871 */     GIR_RootConstrainSelectedInstOperands,
     /*  586872 */     // GIR_Coverage, 4205,
     /*  586872 */     GIR_EraseRootFromParent_Done,
     /*  586873 */   // Label 9570: @586873
     /*  586873 */   GIM_Try, /*On fail goto*//*Label 9571*/ GIMT_Encode4(586948), // Rule ID 4212 //
     /*  586878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  586895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586924 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  586927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586946 */     GIR_RootConstrainSelectedInstOperands,
     /*  586947 */     // GIR_Coverage, 4212,
     /*  586947 */     GIR_EraseRootFromParent_Done,
     /*  586948 */   // Label 9571: @586948
     /*  586948 */   GIM_Try, /*On fail goto*//*Label 9572*/ GIMT_Encode4(587023), // Rule ID 4213 //
     /*  586953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  586970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586999 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  587002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587021 */     GIR_RootConstrainSelectedInstOperands,
     /*  587022 */     // GIR_Coverage, 4213,
     /*  587022 */     GIR_EraseRootFromParent_Done,
     /*  587023 */   // Label 9572: @587023
     /*  587023 */   GIM_Try, /*On fail goto*//*Label 9573*/ GIMT_Encode4(587098), // Rule ID 4216 //
     /*  587028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  587039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  587042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  587045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587074 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  587077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587096 */     GIR_RootConstrainSelectedInstOperands,
     /*  587097 */     // GIR_Coverage, 4216,
     /*  587097 */     GIR_EraseRootFromParent_Done,
     /*  587098 */   // Label 9573: @587098
     /*  587098 */   GIM_Try, /*On fail goto*//*Label 9574*/ GIMT_Encode4(587173), // Rule ID 4217 //
     /*  587103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  587114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  587117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  587120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587149 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  587152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587171 */     GIR_RootConstrainSelectedInstOperands,
     /*  587172 */     // GIR_Coverage, 4217,
     /*  587172 */     GIR_EraseRootFromParent_Done,
     /*  587173 */   // Label 9574: @587173
     /*  587173 */   GIM_Try, /*On fail goto*//*Label 9575*/ GIMT_Encode4(587248), // Rule ID 4220 //
     /*  587178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  587189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  587192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  587195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587246 */     GIR_RootConstrainSelectedInstOperands,
     /*  587247 */     // GIR_Coverage, 4220,
     /*  587247 */     GIR_EraseRootFromParent_Done,
     /*  587248 */   // Label 9575: @587248
     /*  587248 */   GIM_Try, /*On fail goto*//*Label 9576*/ GIMT_Encode4(587323), // Rule ID 4221 //
     /*  587253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  587264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  587267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  587270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587299 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587321 */     GIR_RootConstrainSelectedInstOperands,
     /*  587322 */     // GIR_Coverage, 4221,
     /*  587322 */     GIR_EraseRootFromParent_Done,
     /*  587323 */   // Label 9576: @587323
     /*  587323 */   GIM_Try, /*On fail goto*//*Label 9577*/ GIMT_Encode4(587398), // Rule ID 4224 //
     /*  587328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  587339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  587342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  587345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587396 */     GIR_RootConstrainSelectedInstOperands,
     /*  587397 */     // GIR_Coverage, 4224,
     /*  587397 */     GIR_EraseRootFromParent_Done,
     /*  587398 */   // Label 9577: @587398
     /*  587398 */   GIM_Try, /*On fail goto*//*Label 9578*/ GIMT_Encode4(587473), // Rule ID 4225 //
     /*  587403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  587414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  587417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  587420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587449 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587471 */     GIR_RootConstrainSelectedInstOperands,
     /*  587472 */     // GIR_Coverage, 4225,
     /*  587472 */     GIR_EraseRootFromParent_Done,
     /*  587473 */   // Label 9578: @587473
     /*  587473 */   GIM_Try, /*On fail goto*//*Label 9579*/ GIMT_Encode4(587548), // Rule ID 4228 //
     /*  587478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  587489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  587492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  587495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587524 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587546 */     GIR_RootConstrainSelectedInstOperands,
     /*  587547 */     // GIR_Coverage, 4228,
     /*  587547 */     GIR_EraseRootFromParent_Done,
     /*  587548 */   // Label 9579: @587548
     /*  587548 */   GIM_Try, /*On fail goto*//*Label 9580*/ GIMT_Encode4(587623), // Rule ID 4229 //
     /*  587553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  587564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  587567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  587570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587599 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587621 */     GIR_RootConstrainSelectedInstOperands,
     /*  587622 */     // GIR_Coverage, 4229,
     /*  587622 */     GIR_EraseRootFromParent_Done,
     /*  587623 */   // Label 9580: @587623
     /*  587623 */   GIM_Try, /*On fail goto*//*Label 9581*/ GIMT_Encode4(587698), // Rule ID 4232 //
     /*  587628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  587639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  587642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  587645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587674 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587696 */     GIR_RootConstrainSelectedInstOperands,
     /*  587697 */     // GIR_Coverage, 4232,
     /*  587697 */     GIR_EraseRootFromParent_Done,
     /*  587698 */   // Label 9581: @587698
     /*  587698 */   GIM_Try, /*On fail goto*//*Label 9582*/ GIMT_Encode4(587773), // Rule ID 4233 //
     /*  587703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  587714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  587717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  587720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587749 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587771 */     GIR_RootConstrainSelectedInstOperands,
     /*  587772 */     // GIR_Coverage, 4233,
     /*  587772 */     GIR_EraseRootFromParent_Done,
     /*  587773 */   // Label 9582: @587773
     /*  587773 */   GIM_Try, /*On fail goto*//*Label 9583*/ GIMT_Encode4(587848), // Rule ID 4236 //
     /*  587778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587824 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  587827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587846 */     GIR_RootConstrainSelectedInstOperands,
     /*  587847 */     // GIR_Coverage, 4236,
     /*  587847 */     GIR_EraseRootFromParent_Done,
     /*  587848 */   // Label 9583: @587848
     /*  587848 */   GIM_Try, /*On fail goto*//*Label 9584*/ GIMT_Encode4(587923), // Rule ID 4237 //
     /*  587853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  587902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587921 */     GIR_RootConstrainSelectedInstOperands,
     /*  587922 */     // GIR_Coverage, 4237,
     /*  587922 */     GIR_EraseRootFromParent_Done,
     /*  587923 */   // Label 9584: @587923
     /*  587923 */   GIM_Try, /*On fail goto*//*Label 9585*/ GIMT_Encode4(587998), // Rule ID 4240 //
     /*  587928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  587945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587996 */     GIR_RootConstrainSelectedInstOperands,
     /*  587997 */     // GIR_Coverage, 4240,
     /*  587997 */     GIR_EraseRootFromParent_Done,
     /*  587998 */   // Label 9585: @587998
     /*  587998 */   GIM_Try, /*On fail goto*//*Label 9586*/ GIMT_Encode4(588073), // Rule ID 4241 //
     /*  588003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  588014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  588017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  588020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588049 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  588052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588071 */     GIR_RootConstrainSelectedInstOperands,
     /*  588072 */     // GIR_Coverage, 4241,
     /*  588072 */     GIR_EraseRootFromParent_Done,
     /*  588073 */   // Label 9586: @588073
     /*  588073 */   GIM_Try, /*On fail goto*//*Label 9587*/ GIMT_Encode4(588148), // Rule ID 4244 //
     /*  588078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  588089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  588092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  588095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  588127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588146 */     GIR_RootConstrainSelectedInstOperands,
     /*  588147 */     // GIR_Coverage, 4244,
     /*  588147 */     GIR_EraseRootFromParent_Done,
     /*  588148 */   // Label 9587: @588148
     /*  588148 */   GIM_Try, /*On fail goto*//*Label 9588*/ GIMT_Encode4(588223), // Rule ID 4245 //
     /*  588153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  588164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  588167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  588170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  588202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588221 */     GIR_RootConstrainSelectedInstOperands,
     /*  588222 */     // GIR_Coverage, 4245,
     /*  588222 */     GIR_EraseRootFromParent_Done,
     /*  588223 */   // Label 9588: @588223
     /*  588223 */   GIM_Try, /*On fail goto*//*Label 9589*/ GIMT_Encode4(588298), // Rule ID 4248 //
     /*  588228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  588239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  588242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  588245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  588277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588296 */     GIR_RootConstrainSelectedInstOperands,
     /*  588297 */     // GIR_Coverage, 4248,
     /*  588297 */     GIR_EraseRootFromParent_Done,
     /*  588298 */   // Label 9589: @588298
     /*  588298 */   GIM_Try, /*On fail goto*//*Label 9590*/ GIMT_Encode4(588373), // Rule ID 4249 //
     /*  588303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  588314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  588317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  588320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588349 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  588352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588371 */     GIR_RootConstrainSelectedInstOperands,
     /*  588372 */     // GIR_Coverage, 4249,
     /*  588372 */     GIR_EraseRootFromParent_Done,
     /*  588373 */   // Label 9590: @588373
     /*  588373 */   GIM_Try, /*On fail goto*//*Label 9591*/ GIMT_Encode4(588448), // Rule ID 4252 //
     /*  588378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  588389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  588392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  588395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  588427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588446 */     GIR_RootConstrainSelectedInstOperands,
     /*  588447 */     // GIR_Coverage, 4252,
     /*  588447 */     GIR_EraseRootFromParent_Done,
     /*  588448 */   // Label 9591: @588448
     /*  588448 */   GIM_Try, /*On fail goto*//*Label 9592*/ GIMT_Encode4(588523), // Rule ID 4253 //
     /*  588453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  588464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  588467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  588470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  588502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588521 */     GIR_RootConstrainSelectedInstOperands,
     /*  588522 */     // GIR_Coverage, 4253,
     /*  588522 */     GIR_EraseRootFromParent_Done,
     /*  588523 */   // Label 9592: @588523
     /*  588523 */   GIM_Try, /*On fail goto*//*Label 9593*/ GIMT_Encode4(588598), // Rule ID 4256 //
     /*  588528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  588539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  588542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  588545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  588577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588596 */     GIR_RootConstrainSelectedInstOperands,
     /*  588597 */     // GIR_Coverage, 4256,
     /*  588597 */     GIR_EraseRootFromParent_Done,
     /*  588598 */   // Label 9593: @588598
     /*  588598 */   GIM_Try, /*On fail goto*//*Label 9594*/ GIMT_Encode4(588673), // Rule ID 4257 //
     /*  588603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  588614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  588617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  588620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588649 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  588652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588671 */     GIR_RootConstrainSelectedInstOperands,
     /*  588672 */     // GIR_Coverage, 4257,
     /*  588672 */     GIR_EraseRootFromParent_Done,
     /*  588673 */   // Label 9594: @588673
     /*  588673 */   GIM_Try, /*On fail goto*//*Label 9595*/ GIMT_Encode4(588748), // Rule ID 4260 //
     /*  588678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  588695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  588727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588746 */     GIR_RootConstrainSelectedInstOperands,
     /*  588747 */     // GIR_Coverage, 4260,
     /*  588747 */     GIR_EraseRootFromParent_Done,
     /*  588748 */   // Label 9595: @588748
     /*  588748 */   GIM_Try, /*On fail goto*//*Label 9596*/ GIMT_Encode4(588823), // Rule ID 4261 //
     /*  588753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  588770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588799 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11661:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  588802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588821 */     GIR_RootConstrainSelectedInstOperands,
     /*  588822 */     // GIR_Coverage, 4261,
     /*  588822 */     GIR_EraseRootFromParent_Done,
     /*  588823 */   // Label 9596: @588823
     /*  588823 */   GIM_Try, /*On fail goto*//*Label 9597*/ GIMT_Encode4(588898), // Rule ID 4264 //
     /*  588828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  588845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588874 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  588877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588896 */     GIR_RootConstrainSelectedInstOperands,
     /*  588897 */     // GIR_Coverage, 4264,
     /*  588897 */     GIR_EraseRootFromParent_Done,
     /*  588898 */   // Label 9597: @588898
     /*  588898 */   GIM_Try, /*On fail goto*//*Label 9598*/ GIMT_Encode4(588973), // Rule ID 4265 //
     /*  588903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  588920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588949 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11661:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  588952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588971 */     GIR_RootConstrainSelectedInstOperands,
     /*  588972 */     // GIR_Coverage, 4265,
     /*  588972 */     GIR_EraseRootFromParent_Done,
     /*  588973 */   // Label 9598: @588973
     /*  588973 */   GIM_Try, /*On fail goto*//*Label 9599*/ GIMT_Encode4(589048), // Rule ID 4268 //
     /*  588978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  588995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  589024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  589027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589046 */     GIR_RootConstrainSelectedInstOperands,
     /*  589047 */     // GIR_Coverage, 4268,
     /*  589047 */     GIR_EraseRootFromParent_Done,
     /*  589048 */   // Label 9599: @589048
     /*  589048 */   GIM_Try, /*On fail goto*//*Label 9600*/ GIMT_Encode4(589123), // Rule ID 4269 //
     /*  589053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  589056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  589064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  589067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  589070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  589073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589099 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11661:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  589099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  589102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589121 */     GIR_RootConstrainSelectedInstOperands,
     /*  589122 */     // GIR_Coverage, 4269,
     /*  589122 */     GIR_EraseRootFromParent_Done,
     /*  589123 */   // Label 9600: @589123
     /*  589123 */   GIM_Try, /*On fail goto*//*Label 9601*/ GIMT_Encode4(589198), // Rule ID 4274 //
     /*  589128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  589139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  589142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  589145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  589148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  589177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589196 */     GIR_RootConstrainSelectedInstOperands,
     /*  589197 */     // GIR_Coverage, 4274,
     /*  589197 */     GIR_EraseRootFromParent_Done,
     /*  589198 */   // Label 9601: @589198
     /*  589198 */   GIM_Try, /*On fail goto*//*Label 9602*/ GIMT_Encode4(589273), // Rule ID 4275 //
     /*  589203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  589214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  589217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  589220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  589223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589249 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  589252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589271 */     GIR_RootConstrainSelectedInstOperands,
     /*  589272 */     // GIR_Coverage, 4275,
     /*  589272 */     GIR_EraseRootFromParent_Done,
     /*  589273 */   // Label 9602: @589273
     /*  589273 */   GIM_Try, /*On fail goto*//*Label 9603*/ GIMT_Encode4(589348), // Rule ID 4284 //
     /*  589278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  589289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  589292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  589295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  589298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  589327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589346 */     GIR_RootConstrainSelectedInstOperands,
     /*  589347 */     // GIR_Coverage, 4284,
     /*  589347 */     GIR_EraseRootFromParent_Done,
     /*  589348 */   // Label 9603: @589348
     /*  589348 */   GIM_Try, /*On fail goto*//*Label 9604*/ GIMT_Encode4(589423), // Rule ID 4285 //
     /*  589353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  589364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  589367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  589370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  589373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589399 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  589402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589421 */     GIR_RootConstrainSelectedInstOperands,
     /*  589422 */     // GIR_Coverage, 4285,
     /*  589422 */     GIR_EraseRootFromParent_Done,
     /*  589423 */   // Label 9604: @589423
     /*  589423 */   GIM_Try, /*On fail goto*//*Label 9605*/ GIMT_Encode4(589498), // Rule ID 4294 //
     /*  589428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  589439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  589442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  589445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  589448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589474 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589496 */     GIR_RootConstrainSelectedInstOperands,
     /*  589497 */     // GIR_Coverage, 4294,
     /*  589497 */     GIR_EraseRootFromParent_Done,
     /*  589498 */   // Label 9605: @589498
     /*  589498 */   GIM_Try, /*On fail goto*//*Label 9606*/ GIMT_Encode4(589573), // Rule ID 4295 //
     /*  589503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  589514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  589517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  589520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  589523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589549 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589571 */     GIR_RootConstrainSelectedInstOperands,
     /*  589572 */     // GIR_Coverage, 4295,
     /*  589572 */     GIR_EraseRootFromParent_Done,
     /*  589573 */   // Label 9606: @589573
     /*  589573 */   GIM_Try, /*On fail goto*//*Label 9607*/ GIMT_Encode4(589648), // Rule ID 4304 //
     /*  589578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  589589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  589592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  589595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  589598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589624 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589646 */     GIR_RootConstrainSelectedInstOperands,
     /*  589647 */     // GIR_Coverage, 4304,
     /*  589647 */     GIR_EraseRootFromParent_Done,
     /*  589648 */   // Label 9607: @589648
     /*  589648 */   GIM_Try, /*On fail goto*//*Label 9608*/ GIMT_Encode4(589723), // Rule ID 4305 //
     /*  589653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  589664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  589667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  589670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  589673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589721 */     GIR_RootConstrainSelectedInstOperands,
     /*  589722 */     // GIR_Coverage, 4305,
     /*  589722 */     GIR_EraseRootFromParent_Done,
     /*  589723 */   // Label 9608: @589723
     /*  589723 */   GIM_Try, /*On fail goto*//*Label 9609*/ GIMT_Encode4(589798), // Rule ID 4314 //
     /*  589728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  589748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589774 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589796 */     GIR_RootConstrainSelectedInstOperands,
     /*  589797 */     // GIR_Coverage, 4314,
     /*  589797 */     GIR_EraseRootFromParent_Done,
     /*  589798 */   // Label 9609: @589798
     /*  589798 */   GIM_Try, /*On fail goto*//*Label 9610*/ GIMT_Encode4(589873), // Rule ID 4315 //
     /*  589803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  589823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589849 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589871 */     GIR_RootConstrainSelectedInstOperands,
     /*  589872 */     // GIR_Coverage, 4315,
     /*  589872 */     GIR_EraseRootFromParent_Done,
     /*  589873 */   // Label 9610: @589873
     /*  589873 */   GIM_Try, /*On fail goto*//*Label 9611*/ GIMT_Encode4(589948), // Rule ID 4324 //
     /*  589878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  589898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589924 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  589927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589946 */     GIR_RootConstrainSelectedInstOperands,
     /*  589947 */     // GIR_Coverage, 4324,
     /*  589947 */     GIR_EraseRootFromParent_Done,
     /*  589948 */   // Label 9611: @589948
     /*  589948 */   GIM_Try, /*On fail goto*//*Label 9612*/ GIMT_Encode4(590023), // Rule ID 4325 //
     /*  589953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  589973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589999 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590021 */     GIR_RootConstrainSelectedInstOperands,
     /*  590022 */     // GIR_Coverage, 4325,
     /*  590022 */     GIR_EraseRootFromParent_Done,
     /*  590023 */   // Label 9612: @590023
     /*  590023 */   GIM_Try, /*On fail goto*//*Label 9613*/ GIMT_Encode4(590098), // Rule ID 4334 //
     /*  590028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  590039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  590042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  590045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  590048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  590077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590096 */     GIR_RootConstrainSelectedInstOperands,
     /*  590097 */     // GIR_Coverage, 4334,
     /*  590097 */     GIR_EraseRootFromParent_Done,
     /*  590098 */   // Label 9613: @590098
     /*  590098 */   GIM_Try, /*On fail goto*//*Label 9614*/ GIMT_Encode4(590173), // Rule ID 4335 //
     /*  590103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  590114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  590117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  590120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  590123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590149 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  590152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590171 */     GIR_RootConstrainSelectedInstOperands,
     /*  590172 */     // GIR_Coverage, 4335,
     /*  590172 */     GIR_EraseRootFromParent_Done,
     /*  590173 */   // Label 9614: @590173
     /*  590173 */   GIM_Try, /*On fail goto*//*Label 9615*/ GIMT_Encode4(590248), // Rule ID 4344 //
     /*  590178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  590189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  590192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  590195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  590198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11689:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  590227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590246 */     GIR_RootConstrainSelectedInstOperands,
     /*  590247 */     // GIR_Coverage, 4344,
     /*  590247 */     GIR_EraseRootFromParent_Done,
     /*  590248 */   // Label 9615: @590248
     /*  590248 */   GIM_Try, /*On fail goto*//*Label 9616*/ GIMT_Encode4(590323), // Rule ID 4345 //
     /*  590253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  590264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  590267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  590270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  590273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590299 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11689:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  590302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590321 */     GIR_RootConstrainSelectedInstOperands,
     /*  590322 */     // GIR_Coverage, 4345,
     /*  590322 */     GIR_EraseRootFromParent_Done,
     /*  590323 */   // Label 9616: @590323
     /*  590323 */   GIM_Try, /*On fail goto*//*Label 9617*/ GIMT_Encode4(590398), // Rule ID 4354 //
     /*  590328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  590339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  590342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  590345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  590348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  590377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590396 */     GIR_RootConstrainSelectedInstOperands,
     /*  590397 */     // GIR_Coverage, 4354,
     /*  590397 */     GIR_EraseRootFromParent_Done,
     /*  590398 */   // Label 9617: @590398
     /*  590398 */   GIM_Try, /*On fail goto*//*Label 9618*/ GIMT_Encode4(590473), // Rule ID 4355 //
     /*  590403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  590414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  590417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  590420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  590423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  590452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590471 */     GIR_RootConstrainSelectedInstOperands,
     /*  590472 */     // GIR_Coverage, 4355,
     /*  590472 */     GIR_EraseRootFromParent_Done,
     /*  590473 */   // Label 9618: @590473
     /*  590473 */   GIM_Try, /*On fail goto*//*Label 9619*/ GIMT_Encode4(590548), // Rule ID 4364 //
     /*  590478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  590489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  590492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  590495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  590498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  590527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590546 */     GIR_RootConstrainSelectedInstOperands,
     /*  590547 */     // GIR_Coverage, 4364,
     /*  590547 */     GIR_EraseRootFromParent_Done,
     /*  590548 */   // Label 9619: @590548
     /*  590548 */   GIM_Try, /*On fail goto*//*Label 9620*/ GIMT_Encode4(590623), // Rule ID 4365 //
     /*  590553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  590564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  590567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  590570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  590573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  590602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590621 */     GIR_RootConstrainSelectedInstOperands,
     /*  590622 */     // GIR_Coverage, 4365,
     /*  590622 */     GIR_EraseRootFromParent_Done,
     /*  590623 */   // Label 9620: @590623
     /*  590623 */   GIM_Try, /*On fail goto*//*Label 9621*/ GIMT_Encode4(590698), // Rule ID 4374 //
     /*  590628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  590639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  590642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  590645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  590648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590696 */     GIR_RootConstrainSelectedInstOperands,
     /*  590697 */     // GIR_Coverage, 4374,
     /*  590697 */     GIR_EraseRootFromParent_Done,
     /*  590698 */   // Label 9621: @590698
     /*  590698 */   GIM_Try, /*On fail goto*//*Label 9622*/ GIMT_Encode4(590773), // Rule ID 4375 //
     /*  590703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  590714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  590717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  590720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  590723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590749 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590771 */     GIR_RootConstrainSelectedInstOperands,
     /*  590772 */     // GIR_Coverage, 4375,
     /*  590772 */     GIR_EraseRootFromParent_Done,
     /*  590773 */   // Label 9622: @590773
     /*  590773 */   GIM_Try, /*On fail goto*//*Label 9623*/ GIMT_Encode4(590848), // Rule ID 4384 //
     /*  590778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  590798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590824 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  590827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590846 */     GIR_RootConstrainSelectedInstOperands,
     /*  590847 */     // GIR_Coverage, 4384,
     /*  590847 */     GIR_EraseRootFromParent_Done,
     /*  590848 */   // Label 9623: @590848
     /*  590848 */   GIM_Try, /*On fail goto*//*Label 9624*/ GIMT_Encode4(590923), // Rule ID 4385 //
     /*  590853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  590873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590899 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  590902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590921 */     GIR_RootConstrainSelectedInstOperands,
     /*  590922 */     // GIR_Coverage, 4385,
     /*  590922 */     GIR_EraseRootFromParent_Done,
     /*  590923 */   // Label 9624: @590923
     /*  590923 */   GIM_Try, /*On fail goto*//*Label 9625*/ GIMT_Encode4(590998), // Rule ID 4394 //
     /*  590928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  590948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  590977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590996 */     GIR_RootConstrainSelectedInstOperands,
     /*  590997 */     // GIR_Coverage, 4394,
     /*  590997 */     GIR_EraseRootFromParent_Done,
     /*  590998 */   // Label 9625: @590998
     /*  590998 */   GIM_Try, /*On fail goto*//*Label 9626*/ GIMT_Encode4(591073), // Rule ID 4395 //
     /*  591003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  591006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  591014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  591017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  591020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  591023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591049 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  591049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  591052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591071 */     GIR_RootConstrainSelectedInstOperands,
     /*  591072 */     // GIR_Coverage, 4395,
     /*  591072 */     GIR_EraseRootFromParent_Done,
     /*  591073 */   // Label 9626: @591073
     /*  591073 */   GIM_Try, /*On fail goto*//*Label 9627*/ GIMT_Encode4(591148), // Rule ID 4404 //
     /*  591078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  591081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  591089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  591092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  591095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  591098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  591124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  591127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591146 */     GIR_RootConstrainSelectedInstOperands,
     /*  591147 */     // GIR_Coverage, 4404,
     /*  591147 */     GIR_EraseRootFromParent_Done,
     /*  591148 */   // Label 9627: @591148
     /*  591148 */   GIM_Try, /*On fail goto*//*Label 9628*/ GIMT_Encode4(591223), // Rule ID 4405 //
     /*  591153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  591156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  591164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  591167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  591170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  591173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591199 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  591199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  591202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591221 */     GIR_RootConstrainSelectedInstOperands,
     /*  591222 */     // GIR_Coverage, 4405,
     /*  591222 */     GIR_EraseRootFromParent_Done,
     /*  591223 */   // Label 9628: @591223
     /*  591223 */   GIM_Try, /*On fail goto*//*Label 9629*/ GIMT_Encode4(591298), // Rule ID 4414 //
     /*  591228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  591231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  591239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  591242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  591245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  591248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  591274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  591277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591296 */     GIR_RootConstrainSelectedInstOperands,
     /*  591297 */     // GIR_Coverage, 4414,
     /*  591297 */     GIR_EraseRootFromParent_Done,
     /*  591298 */   // Label 9629: @591298
     /*  591298 */   GIM_Try, /*On fail goto*//*Label 9630*/ GIMT_Encode4(591373), // Rule ID 4415 //
     /*  591303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  591306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  591314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  591317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  591320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  591323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591349 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  591349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  591352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591371 */     GIR_RootConstrainSelectedInstOperands,
     /*  591372 */     // GIR_Coverage, 4415,
     /*  591372 */     GIR_EraseRootFromParent_Done,
     /*  591373 */   // Label 9630: @591373
     /*  591373 */   GIM_Try, /*On fail goto*//*Label 9631*/ GIMT_Encode4(591448), // Rule ID 4422 //
     /*  591378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  591389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  591392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  591395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591424 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  591427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591446 */     GIR_RootConstrainSelectedInstOperands,
     /*  591447 */     // GIR_Coverage, 4422,
     /*  591447 */     GIR_EraseRootFromParent_Done,
     /*  591448 */   // Label 9631: @591448
     /*  591448 */   GIM_Try, /*On fail goto*//*Label 9632*/ GIMT_Encode4(591523), // Rule ID 4423 //
     /*  591453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  591464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  591467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  591470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591499 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  591502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591521 */     GIR_RootConstrainSelectedInstOperands,
     /*  591522 */     // GIR_Coverage, 4423,
     /*  591522 */     GIR_EraseRootFromParent_Done,
     /*  591523 */   // Label 9632: @591523
     /*  591523 */   GIM_Try, /*On fail goto*//*Label 9633*/ GIMT_Encode4(591598), // Rule ID 4426 //
     /*  591528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  591539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  591542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  591545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591574 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  591577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591596 */     GIR_RootConstrainSelectedInstOperands,
     /*  591597 */     // GIR_Coverage, 4426,
     /*  591597 */     GIR_EraseRootFromParent_Done,
     /*  591598 */   // Label 9633: @591598
     /*  591598 */   GIM_Try, /*On fail goto*//*Label 9634*/ GIMT_Encode4(591673), // Rule ID 4427 //
     /*  591603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  591614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  591617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  591620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591649 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  591652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591671 */     GIR_RootConstrainSelectedInstOperands,
     /*  591672 */     // GIR_Coverage, 4427,
     /*  591672 */     GIR_EraseRootFromParent_Done,
     /*  591673 */   // Label 9634: @591673
     /*  591673 */   GIM_Try, /*On fail goto*//*Label 9635*/ GIMT_Encode4(591748), // Rule ID 4430 //
     /*  591678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  591689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  591692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  591695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591724 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591746 */     GIR_RootConstrainSelectedInstOperands,
     /*  591747 */     // GIR_Coverage, 4430,
     /*  591747 */     GIR_EraseRootFromParent_Done,
     /*  591748 */   // Label 9635: @591748
     /*  591748 */   GIM_Try, /*On fail goto*//*Label 9636*/ GIMT_Encode4(591823), // Rule ID 4431 //
     /*  591753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  591764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  591767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  591770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591799 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11689:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591821 */     GIR_RootConstrainSelectedInstOperands,
     /*  591822 */     // GIR_Coverage, 4431,
     /*  591822 */     GIR_EraseRootFromParent_Done,
     /*  591823 */   // Label 9636: @591823
     /*  591823 */   GIM_Try, /*On fail goto*//*Label 9637*/ GIMT_Encode4(591898), // Rule ID 4434 //
     /*  591828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  591877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591896 */     GIR_RootConstrainSelectedInstOperands,
     /*  591897 */     // GIR_Coverage, 4434,
     /*  591897 */     GIR_EraseRootFromParent_Done,
     /*  591898 */   // Label 9637: @591898
     /*  591898 */   GIM_Try, /*On fail goto*//*Label 9638*/ GIMT_Encode4(591973), // Rule ID 4435 //
     /*  591903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591949 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  591952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591971 */     GIR_RootConstrainSelectedInstOperands,
     /*  591972 */     // GIR_Coverage, 4435,
     /*  591972 */     GIR_EraseRootFromParent_Done,
     /*  591973 */   // Label 9638: @591973
     /*  591973 */   GIM_Try, /*On fail goto*//*Label 9639*/ GIMT_Encode4(592048), // Rule ID 4438 //
     /*  591978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592024 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592046 */     GIR_RootConstrainSelectedInstOperands,
     /*  592047 */     // GIR_Coverage, 4438,
     /*  592047 */     GIR_EraseRootFromParent_Done,
     /*  592048 */   // Label 9639: @592048
     /*  592048 */   GIM_Try, /*On fail goto*//*Label 9640*/ GIMT_Encode4(592123), // Rule ID 4439 //
     /*  592053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  592064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  592067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  592070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592099 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592121 */     GIR_RootConstrainSelectedInstOperands,
     /*  592122 */     // GIR_Coverage, 4439,
     /*  592122 */     GIR_EraseRootFromParent_Done,
     /*  592123 */   // Label 9640: @592123
     /*  592123 */   GIM_Try, /*On fail goto*//*Label 9641*/ GIMT_Encode4(592198), // Rule ID 4442 //
     /*  592128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  592139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  592142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  592145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592174 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592196 */     GIR_RootConstrainSelectedInstOperands,
     /*  592197 */     // GIR_Coverage, 4442,
     /*  592197 */     GIR_EraseRootFromParent_Done,
     /*  592198 */   // Label 9641: @592198
     /*  592198 */   GIM_Try, /*On fail goto*//*Label 9642*/ GIMT_Encode4(592273), // Rule ID 4443 //
     /*  592203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  592214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  592217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  592220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592249 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592271 */     GIR_RootConstrainSelectedInstOperands,
     /*  592272 */     // GIR_Coverage, 4443,
     /*  592272 */     GIR_EraseRootFromParent_Done,
     /*  592273 */   // Label 9642: @592273
     /*  592273 */   GIM_Try, /*On fail goto*//*Label 9643*/ GIMT_Encode4(592348), // Rule ID 4446 //
     /*  592278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  592289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  592292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  592295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  592327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592346 */     GIR_RootConstrainSelectedInstOperands,
     /*  592347 */     // GIR_Coverage, 4446,
     /*  592347 */     GIR_EraseRootFromParent_Done,
     /*  592348 */   // Label 9643: @592348
     /*  592348 */   GIM_Try, /*On fail goto*//*Label 9644*/ GIMT_Encode4(592423), // Rule ID 4447 //
     /*  592353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  592364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  592367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  592370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  592402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592421 */     GIR_RootConstrainSelectedInstOperands,
     /*  592422 */     // GIR_Coverage, 4447,
     /*  592422 */     GIR_EraseRootFromParent_Done,
     /*  592423 */   // Label 9644: @592423
     /*  592423 */   GIM_Try, /*On fail goto*//*Label 9645*/ GIMT_Encode4(592498), // Rule ID 4450 //
     /*  592428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  592439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  592442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  592445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11689:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  592477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592496 */     GIR_RootConstrainSelectedInstOperands,
     /*  592497 */     // GIR_Coverage, 4450,
     /*  592497 */     GIR_EraseRootFromParent_Done,
     /*  592498 */   // Label 9645: @592498
     /*  592498 */   GIM_Try, /*On fail goto*//*Label 9646*/ GIMT_Encode4(592573), // Rule ID 4451 //
     /*  592503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  592514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  592517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  592520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592549 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11689:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  592552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592571 */     GIR_RootConstrainSelectedInstOperands,
     /*  592572 */     // GIR_Coverage, 4451,
     /*  592572 */     GIR_EraseRootFromParent_Done,
     /*  592573 */   // Label 9646: @592573
     /*  592573 */   GIM_Try, /*On fail goto*//*Label 9647*/ GIMT_Encode4(592648), // Rule ID 4454 //
     /*  592578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  592589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  592592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  592595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  592627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592646 */     GIR_RootConstrainSelectedInstOperands,
     /*  592647 */     // GIR_Coverage, 4454,
     /*  592647 */     GIR_EraseRootFromParent_Done,
     /*  592648 */   // Label 9647: @592648
     /*  592648 */   GIM_Try, /*On fail goto*//*Label 9648*/ GIMT_Encode4(592723), // Rule ID 4455 //
     /*  592653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  592664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  592667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  592670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592699 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  592702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592721 */     GIR_RootConstrainSelectedInstOperands,
     /*  592722 */     // GIR_Coverage, 4455,
     /*  592722 */     GIR_EraseRootFromParent_Done,
     /*  592723 */   // Label 9648: @592723
     /*  592723 */   GIM_Try, /*On fail goto*//*Label 9649*/ GIMT_Encode4(592798), // Rule ID 4458 //
     /*  592728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  592739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  592742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  592745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592796 */     GIR_RootConstrainSelectedInstOperands,
     /*  592797 */     // GIR_Coverage, 4458,
     /*  592797 */     GIR_EraseRootFromParent_Done,
     /*  592798 */   // Label 9649: @592798
     /*  592798 */   GIM_Try, /*On fail goto*//*Label 9650*/ GIMT_Encode4(592873), // Rule ID 4459 //
     /*  592803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  592814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  592817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  592820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592849 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592871 */     GIR_RootConstrainSelectedInstOperands,
     /*  592872 */     // GIR_Coverage, 4459,
     /*  592872 */     GIR_EraseRootFromParent_Done,
     /*  592873 */   // Label 9650: @592873
     /*  592873 */   GIM_Try, /*On fail goto*//*Label 9651*/ GIMT_Encode4(592948), // Rule ID 4462 //
     /*  592878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592946 */     GIR_RootConstrainSelectedInstOperands,
     /*  592947 */     // GIR_Coverage, 4462,
     /*  592947 */     GIR_EraseRootFromParent_Done,
     /*  592948 */   // Label 9651: @592948
     /*  592948 */   GIM_Try, /*On fail goto*//*Label 9652*/ GIMT_Encode4(593023), // Rule ID 4463 //
     /*  592953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592999 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  593002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593021 */     GIR_RootConstrainSelectedInstOperands,
     /*  593022 */     // GIR_Coverage, 4463,
     /*  593022 */     GIR_EraseRootFromParent_Done,
     /*  593023 */   // Label 9652: @593023
     /*  593023 */   GIM_Try, /*On fail goto*//*Label 9653*/ GIMT_Encode4(593098), // Rule ID 4466 //
     /*  593028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  593031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  593039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  593042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  593045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593074 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  593077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593096 */     GIR_RootConstrainSelectedInstOperands,
     /*  593097 */     // GIR_Coverage, 4466,
     /*  593097 */     GIR_EraseRootFromParent_Done,
     /*  593098 */   // Label 9653: @593098
     /*  593098 */   GIM_Try, /*On fail goto*//*Label 9654*/ GIMT_Encode4(593173), // Rule ID 4467 //
     /*  593103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  593106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  593114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  593117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  593120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11689:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  593152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593171 */     GIR_RootConstrainSelectedInstOperands,
     /*  593172 */     // GIR_Coverage, 4467,
     /*  593172 */     GIR_EraseRootFromParent_Done,
     /*  593173 */   // Label 9654: @593173
     /*  593173 */   GIM_Try, /*On fail goto*//*Label 9655*/ GIMT_Encode4(593248), // Rule ID 4470 //
     /*  593178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  593181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  593189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  593192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  593195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593224 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  593227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593246 */     GIR_RootConstrainSelectedInstOperands,
     /*  593247 */     // GIR_Coverage, 4470,
     /*  593247 */     GIR_EraseRootFromParent_Done,
     /*  593248 */   // Label 9655: @593248
     /*  593248 */   GIM_Try, /*On fail goto*//*Label 9656*/ GIMT_Encode4(593323), // Rule ID 4471 //
     /*  593253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  593256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  593264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  593267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  593270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593299 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11689:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  593302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593321 */     GIR_RootConstrainSelectedInstOperands,
     /*  593322 */     // GIR_Coverage, 4471,
     /*  593322 */     GIR_EraseRootFromParent_Done,
     /*  593323 */   // Label 9656: @593323
     /*  593323 */   GIM_Try, /*On fail goto*//*Label 9657*/ GIMT_Encode4(593398), // Rule ID 4474 //
     /*  593328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  593331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  593339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  593342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  593345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593374 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  593377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593396 */     GIR_RootConstrainSelectedInstOperands,
     /*  593397 */     // GIR_Coverage, 4474,
     /*  593397 */     GIR_EraseRootFromParent_Done,
     /*  593398 */   // Label 9657: @593398
     /*  593398 */   GIM_Try, /*On fail goto*//*Label 9658*/ GIMT_Encode4(593473), // Rule ID 4475 //
     /*  593403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  593406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  593414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  593417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  593420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11689:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  593452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593471 */     GIR_RootConstrainSelectedInstOperands,
     /*  593472 */     // GIR_Coverage, 4475,
     /*  593472 */     GIR_EraseRootFromParent_Done,
     /*  593473 */   // Label 9658: @593473
     /*  593473 */   GIM_Try, /*On fail goto*//*Label 9659*/ GIMT_Encode4(593548), // Rule ID 4478 //
     /*  593478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  593481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  593489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  593492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  593495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593524 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  593527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593546 */     GIR_RootConstrainSelectedInstOperands,
     /*  593547 */     // GIR_Coverage, 4478,
     /*  593547 */     GIR_EraseRootFromParent_Done,
     /*  593548 */   // Label 9659: @593548
     /*  593548 */   GIM_Try, /*On fail goto*//*Label 9660*/ GIMT_Encode4(593623), // Rule ID 4479 //
     /*  593553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  593556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  593564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  593567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  593570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593599 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11689:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  593602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593621 */     GIR_RootConstrainSelectedInstOperands,
     /*  593622 */     // GIR_Coverage, 4479,
     /*  593622 */     GIR_EraseRootFromParent_Done,
     /*  593623 */   // Label 9660: @593623
     /*  593623 */   GIM_Try, /*On fail goto*//*Label 9661*/ GIMT_Encode4(593698), // Rule ID 4484 //
     /*  593628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  593639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  593642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  593645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  593648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  593677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593696 */     GIR_RootConstrainSelectedInstOperands,
     /*  593697 */     // GIR_Coverage, 4484,
     /*  593697 */     GIR_EraseRootFromParent_Done,
     /*  593698 */   // Label 9661: @593698
     /*  593698 */   GIM_Try, /*On fail goto*//*Label 9662*/ GIMT_Encode4(593773), // Rule ID 4485 //
     /*  593703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  593714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  593717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  593720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  593723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593749 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  593752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593771 */     GIR_RootConstrainSelectedInstOperands,
     /*  593772 */     // GIR_Coverage, 4485,
     /*  593772 */     GIR_EraseRootFromParent_Done,
     /*  593773 */   // Label 9662: @593773
     /*  593773 */   GIM_Try, /*On fail goto*//*Label 9663*/ GIMT_Encode4(593848), // Rule ID 4494 //
     /*  593778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  593789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  593798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593846 */     GIR_RootConstrainSelectedInstOperands,
     /*  593847 */     // GIR_Coverage, 4494,
     /*  593847 */     GIR_EraseRootFromParent_Done,
     /*  593848 */   // Label 9663: @593848
     /*  593848 */   GIM_Try, /*On fail goto*//*Label 9664*/ GIMT_Encode4(593923), // Rule ID 4495 //
     /*  593853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  593864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  593873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593899 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593921 */     GIR_RootConstrainSelectedInstOperands,
     /*  593922 */     // GIR_Coverage, 4495,
     /*  593922 */     GIR_EraseRootFromParent_Done,
     /*  593923 */   // Label 9664: @593923
     /*  593923 */   GIM_Try, /*On fail goto*//*Label 9665*/ GIMT_Encode4(593998), // Rule ID 4504 //
     /*  593928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  593948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  593977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593996 */     GIR_RootConstrainSelectedInstOperands,
     /*  593997 */     // GIR_Coverage, 4504,
     /*  593997 */     GIR_EraseRootFromParent_Done,
     /*  593998 */   // Label 9665: @593998
     /*  593998 */   GIM_Try, /*On fail goto*//*Label 9666*/ GIMT_Encode4(594073), // Rule ID 4505 //
     /*  594003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  594014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  594017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  594020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  594023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594049 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594071 */     GIR_RootConstrainSelectedInstOperands,
     /*  594072 */     // GIR_Coverage, 4505,
     /*  594072 */     GIR_EraseRootFromParent_Done,
     /*  594073 */   // Label 9666: @594073
     /*  594073 */   GIM_Try, /*On fail goto*//*Label 9667*/ GIMT_Encode4(594148), // Rule ID 4514 //
     /*  594078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  594089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  594092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  594095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  594098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594146 */     GIR_RootConstrainSelectedInstOperands,
     /*  594147 */     // GIR_Coverage, 4514,
     /*  594147 */     GIR_EraseRootFromParent_Done,
     /*  594148 */   // Label 9667: @594148
     /*  594148 */   GIM_Try, /*On fail goto*//*Label 9668*/ GIMT_Encode4(594223), // Rule ID 4515 //
     /*  594153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  594164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  594167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  594170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  594173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594199 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594221 */     GIR_RootConstrainSelectedInstOperands,
     /*  594222 */     // GIR_Coverage, 4515,
     /*  594222 */     GIR_EraseRootFromParent_Done,
     /*  594223 */   // Label 9668: @594223
     /*  594223 */   GIM_Try, /*On fail goto*//*Label 9669*/ GIMT_Encode4(594298), // Rule ID 4524 //
     /*  594228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  594239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  594242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  594245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  594248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594274 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  594277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594296 */     GIR_RootConstrainSelectedInstOperands,
     /*  594297 */     // GIR_Coverage, 4524,
     /*  594297 */     GIR_EraseRootFromParent_Done,
     /*  594298 */   // Label 9669: @594298
     /*  594298 */   GIM_Try, /*On fail goto*//*Label 9670*/ GIMT_Encode4(594373), // Rule ID 4525 //
     /*  594303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  594314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  594317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  594320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  594323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594349 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  594352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594371 */     GIR_RootConstrainSelectedInstOperands,
     /*  594372 */     // GIR_Coverage, 4525,
     /*  594372 */     GIR_EraseRootFromParent_Done,
     /*  594373 */   // Label 9670: @594373
     /*  594373 */   GIM_Try, /*On fail goto*//*Label 9671*/ GIMT_Encode4(594448), // Rule ID 4534 //
     /*  594378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  594389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  594392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  594395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  594398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594446 */     GIR_RootConstrainSelectedInstOperands,
     /*  594447 */     // GIR_Coverage, 4534,
     /*  594447 */     GIR_EraseRootFromParent_Done,
     /*  594448 */   // Label 9671: @594448
     /*  594448 */   GIM_Try, /*On fail goto*//*Label 9672*/ GIMT_Encode4(594523), // Rule ID 4535 //
     /*  594453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  594464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  594467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  594470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  594473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594499 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594521 */     GIR_RootConstrainSelectedInstOperands,
     /*  594522 */     // GIR_Coverage, 4535,
     /*  594522 */     GIR_EraseRootFromParent_Done,
     /*  594523 */   // Label 9672: @594523
     /*  594523 */   GIM_Try, /*On fail goto*//*Label 9673*/ GIMT_Encode4(594598), // Rule ID 4544 //
     /*  594528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  594539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  594542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  594545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  594548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594574 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  594577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594596 */     GIR_RootConstrainSelectedInstOperands,
     /*  594597 */     // GIR_Coverage, 4544,
     /*  594597 */     GIR_EraseRootFromParent_Done,
     /*  594598 */   // Label 9673: @594598
     /*  594598 */   GIM_Try, /*On fail goto*//*Label 9674*/ GIMT_Encode4(594673), // Rule ID 4545 //
     /*  594603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  594614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  594617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  594620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  594623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594649 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  594652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594671 */     GIR_RootConstrainSelectedInstOperands,
     /*  594672 */     // GIR_Coverage, 4545,
     /*  594672 */     GIR_EraseRootFromParent_Done,
     /*  594673 */   // Label 9674: @594673
     /*  594673 */   GIM_Try, /*On fail goto*//*Label 9675*/ GIMT_Encode4(594748), // Rule ID 4554 //
     /*  594678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  594689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  594692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  594695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  594698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594746 */     GIR_RootConstrainSelectedInstOperands,
     /*  594747 */     // GIR_Coverage, 4554,
     /*  594747 */     GIR_EraseRootFromParent_Done,
     /*  594748 */   // Label 9675: @594748
     /*  594748 */   GIM_Try, /*On fail goto*//*Label 9676*/ GIMT_Encode4(594823), // Rule ID 4555 //
     /*  594753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  594764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  594767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  594770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  594773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594799 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594821 */     GIR_RootConstrainSelectedInstOperands,
     /*  594822 */     // GIR_Coverage, 4555,
     /*  594822 */     GIR_EraseRootFromParent_Done,
     /*  594823 */   // Label 9676: @594823
     /*  594823 */   GIM_Try, /*On fail goto*//*Label 9677*/ GIMT_Encode4(594898), // Rule ID 4564 //
     /*  594828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  594848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594874 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594896 */     GIR_RootConstrainSelectedInstOperands,
     /*  594897 */     // GIR_Coverage, 4564,
     /*  594897 */     GIR_EraseRootFromParent_Done,
     /*  594898 */   // Label 9677: @594898
     /*  594898 */   GIM_Try, /*On fail goto*//*Label 9678*/ GIMT_Encode4(594973), // Rule ID 4565 //
     /*  594903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  594923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594971 */     GIR_RootConstrainSelectedInstOperands,
     /*  594972 */     // GIR_Coverage, 4565,
     /*  594972 */     GIR_EraseRootFromParent_Done,
     /*  594973 */   // Label 9678: @594973
     /*  594973 */   GIM_Try, /*On fail goto*//*Label 9679*/ GIMT_Encode4(595048), // Rule ID 4574 //
     /*  594978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  594998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595024 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  595024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  595027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595046 */     GIR_RootConstrainSelectedInstOperands,
     /*  595047 */     // GIR_Coverage, 4574,
     /*  595047 */     GIR_EraseRootFromParent_Done,
     /*  595048 */   // Label 9679: @595048
     /*  595048 */   GIM_Try, /*On fail goto*//*Label 9680*/ GIMT_Encode4(595123), // Rule ID 4575 //
     /*  595053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  595064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  595067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  595070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  595073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  595099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  595102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595121 */     GIR_RootConstrainSelectedInstOperands,
     /*  595122 */     // GIR_Coverage, 4575,
     /*  595122 */     GIR_EraseRootFromParent_Done,
     /*  595123 */   // Label 9680: @595123
     /*  595123 */   GIM_Try, /*On fail goto*//*Label 9681*/ GIMT_Encode4(595198), // Rule ID 4584 //
     /*  595128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  595139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  595142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  595145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  595148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595174 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  595174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  595177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595196 */     GIR_RootConstrainSelectedInstOperands,
     /*  595197 */     // GIR_Coverage, 4584,
     /*  595197 */     GIR_EraseRootFromParent_Done,
     /*  595198 */   // Label 9681: @595198
     /*  595198 */   GIM_Try, /*On fail goto*//*Label 9682*/ GIMT_Encode4(595273), // Rule ID 4585 //
     /*  595203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  595214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  595217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  595220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  595223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595249 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  595249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  595252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595271 */     GIR_RootConstrainSelectedInstOperands,
     /*  595272 */     // GIR_Coverage, 4585,
     /*  595272 */     GIR_EraseRootFromParent_Done,
     /*  595273 */   // Label 9682: @595273
     /*  595273 */   GIM_Try, /*On fail goto*//*Label 9683*/ GIMT_Encode4(595348), // Rule ID 4594 //
     /*  595278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  595289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  595292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  595295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  595298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595324 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  595327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595346 */     GIR_RootConstrainSelectedInstOperands,
     /*  595347 */     // GIR_Coverage, 4594,
     /*  595347 */     GIR_EraseRootFromParent_Done,
     /*  595348 */   // Label 9683: @595348
     /*  595348 */   GIM_Try, /*On fail goto*//*Label 9684*/ GIMT_Encode4(595423), // Rule ID 4595 //
     /*  595353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  595364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  595367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  595370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  595373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595399 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  595402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595421 */     GIR_RootConstrainSelectedInstOperands,
     /*  595422 */     // GIR_Coverage, 4595,
     /*  595422 */     GIR_EraseRootFromParent_Done,
     /*  595423 */   // Label 9684: @595423
     /*  595423 */   GIM_Try, /*On fail goto*//*Label 9685*/ GIMT_Encode4(595498), // Rule ID 4604 //
     /*  595428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  595439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  595442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  595445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  595448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  595477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595496 */     GIR_RootConstrainSelectedInstOperands,
     /*  595497 */     // GIR_Coverage, 4604,
     /*  595497 */     GIR_EraseRootFromParent_Done,
     /*  595498 */   // Label 9685: @595498
     /*  595498 */   GIM_Try, /*On fail goto*//*Label 9686*/ GIMT_Encode4(595573), // Rule ID 4605 //
     /*  595503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  595514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  595517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  595520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  595523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595549 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  595552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595571 */     GIR_RootConstrainSelectedInstOperands,
     /*  595572 */     // GIR_Coverage, 4605,
     /*  595572 */     GIR_EraseRootFromParent_Done,
     /*  595573 */   // Label 9686: @595573
     /*  595573 */   GIM_Try, /*On fail goto*//*Label 9687*/ GIMT_Encode4(595648), // Rule ID 4614 //
     /*  595578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  595589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  595592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  595595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  595598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  595627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595646 */     GIR_RootConstrainSelectedInstOperands,
     /*  595647 */     // GIR_Coverage, 4614,
     /*  595647 */     GIR_EraseRootFromParent_Done,
     /*  595648 */   // Label 9687: @595648
     /*  595648 */   GIM_Try, /*On fail goto*//*Label 9688*/ GIMT_Encode4(595723), // Rule ID 4615 //
     /*  595653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  595664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  595667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  595670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  595673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  595702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595721 */     GIR_RootConstrainSelectedInstOperands,
     /*  595722 */     // GIR_Coverage, 4615,
     /*  595722 */     GIR_EraseRootFromParent_Done,
     /*  595723 */   // Label 9688: @595723
     /*  595723 */   GIM_Try, /*On fail goto*//*Label 9689*/ GIMT_Encode4(595798), // Rule ID 4624 //
     /*  595728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  595748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  595777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595796 */     GIR_RootConstrainSelectedInstOperands,
     /*  595797 */     // GIR_Coverage, 4624,
     /*  595797 */     GIR_EraseRootFromParent_Done,
     /*  595798 */   // Label 9689: @595798
     /*  595798 */   GIM_Try, /*On fail goto*//*Label 9690*/ GIMT_Encode4(595873), // Rule ID 4625 //
     /*  595803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  595823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595849 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  595852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595871 */     GIR_RootConstrainSelectedInstOperands,
     /*  595872 */     // GIR_Coverage, 4625,
     /*  595872 */     GIR_EraseRootFromParent_Done,
     /*  595873 */   // Label 9690: @595873
     /*  595873 */   GIM_Try, /*On fail goto*//*Label 9691*/ GIMT_Encode4(595948), // Rule ID 4632 //
     /*  595878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  595889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595924 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  595927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595946 */     GIR_RootConstrainSelectedInstOperands,
     /*  595947 */     // GIR_Coverage, 4632,
     /*  595947 */     GIR_EraseRootFromParent_Done,
     /*  595948 */   // Label 9691: @595948
     /*  595948 */   GIM_Try, /*On fail goto*//*Label 9692*/ GIMT_Encode4(596023), // Rule ID 4633 //
     /*  595953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  595964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595999 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  596002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596021 */     GIR_RootConstrainSelectedInstOperands,
     /*  596022 */     // GIR_Coverage, 4633,
     /*  596022 */     GIR_EraseRootFromParent_Done,
     /*  596023 */   // Label 9692: @596023
     /*  596023 */   GIM_Try, /*On fail goto*//*Label 9693*/ GIMT_Encode4(596098), // Rule ID 4636 //
     /*  596028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  596039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  596042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  596045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596074 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  596077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596096 */     GIR_RootConstrainSelectedInstOperands,
     /*  596097 */     // GIR_Coverage, 4636,
     /*  596097 */     GIR_EraseRootFromParent_Done,
     /*  596098 */   // Label 9693: @596098
     /*  596098 */   GIM_Try, /*On fail goto*//*Label 9694*/ GIMT_Encode4(596173), // Rule ID 4637 //
     /*  596103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  596114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  596117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  596120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596149 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  596152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596171 */     GIR_RootConstrainSelectedInstOperands,
     /*  596172 */     // GIR_Coverage, 4637,
     /*  596172 */     GIR_EraseRootFromParent_Done,
     /*  596173 */   // Label 9694: @596173
     /*  596173 */   GIM_Try, /*On fail goto*//*Label 9695*/ GIMT_Encode4(596248), // Rule ID 4640 //
     /*  596178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  596189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  596192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  596195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596246 */     GIR_RootConstrainSelectedInstOperands,
     /*  596247 */     // GIR_Coverage, 4640,
     /*  596247 */     GIR_EraseRootFromParent_Done,
     /*  596248 */   // Label 9695: @596248
     /*  596248 */   GIM_Try, /*On fail goto*//*Label 9696*/ GIMT_Encode4(596323), // Rule ID 4641 //
     /*  596253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  596264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  596267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  596270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596299 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596321 */     GIR_RootConstrainSelectedInstOperands,
     /*  596322 */     // GIR_Coverage, 4641,
     /*  596322 */     GIR_EraseRootFromParent_Done,
     /*  596323 */   // Label 9696: @596323
     /*  596323 */   GIM_Try, /*On fail goto*//*Label 9697*/ GIMT_Encode4(596398), // Rule ID 4644 //
     /*  596328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  596339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  596342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  596345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596396 */     GIR_RootConstrainSelectedInstOperands,
     /*  596397 */     // GIR_Coverage, 4644,
     /*  596397 */     GIR_EraseRootFromParent_Done,
     /*  596398 */   // Label 9697: @596398
     /*  596398 */   GIM_Try, /*On fail goto*//*Label 9698*/ GIMT_Encode4(596473), // Rule ID 4645 //
     /*  596403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  596414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  596417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  596420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596449 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596471 */     GIR_RootConstrainSelectedInstOperands,
     /*  596472 */     // GIR_Coverage, 4645,
     /*  596472 */     GIR_EraseRootFromParent_Done,
     /*  596473 */   // Label 9698: @596473
     /*  596473 */   GIM_Try, /*On fail goto*//*Label 9699*/ GIMT_Encode4(596548), // Rule ID 4648 //
     /*  596478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  596489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  596492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  596495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596524 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596546 */     GIR_RootConstrainSelectedInstOperands,
     /*  596547 */     // GIR_Coverage, 4648,
     /*  596547 */     GIR_EraseRootFromParent_Done,
     /*  596548 */   // Label 9699: @596548
     /*  596548 */   GIM_Try, /*On fail goto*//*Label 9700*/ GIMT_Encode4(596623), // Rule ID 4649 //
     /*  596553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  596564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  596567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  596570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596599 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596621 */     GIR_RootConstrainSelectedInstOperands,
     /*  596622 */     // GIR_Coverage, 4649,
     /*  596622 */     GIR_EraseRootFromParent_Done,
     /*  596623 */   // Label 9700: @596623
     /*  596623 */   GIM_Try, /*On fail goto*//*Label 9701*/ GIMT_Encode4(596698), // Rule ID 4652 //
     /*  596628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  596639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  596642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  596645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596674 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596696 */     GIR_RootConstrainSelectedInstOperands,
     /*  596697 */     // GIR_Coverage, 4652,
     /*  596697 */     GIR_EraseRootFromParent_Done,
     /*  596698 */   // Label 9701: @596698
     /*  596698 */   GIM_Try, /*On fail goto*//*Label 9702*/ GIMT_Encode4(596773), // Rule ID 4653 //
     /*  596703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  596714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  596717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  596720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596749 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596771 */     GIR_RootConstrainSelectedInstOperands,
     /*  596772 */     // GIR_Coverage, 4653,
     /*  596772 */     GIR_EraseRootFromParent_Done,
     /*  596773 */   // Label 9702: @596773
     /*  596773 */   GIM_Try, /*On fail goto*//*Label 9703*/ GIMT_Encode4(596848), // Rule ID 4656 //
     /*  596778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  596789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596824 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  596827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596846 */     GIR_RootConstrainSelectedInstOperands,
     /*  596847 */     // GIR_Coverage, 4656,
     /*  596847 */     GIR_EraseRootFromParent_Done,
     /*  596848 */   // Label 9703: @596848
     /*  596848 */   GIM_Try, /*On fail goto*//*Label 9704*/ GIMT_Encode4(596923), // Rule ID 4657 //
     /*  596853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  596864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  596902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596921 */     GIR_RootConstrainSelectedInstOperands,
     /*  596922 */     // GIR_Coverage, 4657,
     /*  596922 */     GIR_EraseRootFromParent_Done,
     /*  596923 */   // Label 9704: @596923
     /*  596923 */   GIM_Try, /*On fail goto*//*Label 9705*/ GIMT_Encode4(596998), // Rule ID 4660 //
     /*  596928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596996 */     GIR_RootConstrainSelectedInstOperands,
     /*  596997 */     // GIR_Coverage, 4660,
     /*  596997 */     GIR_EraseRootFromParent_Done,
     /*  596998 */   // Label 9705: @596998
     /*  596998 */   GIM_Try, /*On fail goto*//*Label 9706*/ GIMT_Encode4(597073), // Rule ID 4661 //
     /*  597003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  597014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  597017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  597020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597049 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  597049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  597052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597071 */     GIR_RootConstrainSelectedInstOperands,
     /*  597072 */     // GIR_Coverage, 4661,
     /*  597072 */     GIR_EraseRootFromParent_Done,
     /*  597073 */   // Label 9706: @597073
     /*  597073 */   GIM_Try, /*On fail goto*//*Label 9707*/ GIMT_Encode4(597148), // Rule ID 4664 //
     /*  597078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  597089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  597092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  597095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  597124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  597127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597146 */     GIR_RootConstrainSelectedInstOperands,
     /*  597147 */     // GIR_Coverage, 4664,
     /*  597147 */     GIR_EraseRootFromParent_Done,
     /*  597148 */   // Label 9707: @597148
     /*  597148 */   GIM_Try, /*On fail goto*//*Label 9708*/ GIMT_Encode4(597223), // Rule ID 4665 //
     /*  597153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  597164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  597167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  597170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  597199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  597202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597221 */     GIR_RootConstrainSelectedInstOperands,
     /*  597222 */     // GIR_Coverage, 4665,
     /*  597222 */     GIR_EraseRootFromParent_Done,
     /*  597223 */   // Label 9708: @597223
     /*  597223 */   GIM_Try, /*On fail goto*//*Label 9709*/ GIMT_Encode4(597298), // Rule ID 4668 //
     /*  597228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  597239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  597242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  597245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  597274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  597277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597296 */     GIR_RootConstrainSelectedInstOperands,
     /*  597297 */     // GIR_Coverage, 4668,
     /*  597297 */     GIR_EraseRootFromParent_Done,
     /*  597298 */   // Label 9709: @597298
     /*  597298 */   GIM_Try, /*On fail goto*//*Label 9710*/ GIMT_Encode4(597373), // Rule ID 4669 //
     /*  597303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  597314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  597317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  597320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597349 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  597349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  597352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597371 */     GIR_RootConstrainSelectedInstOperands,
     /*  597372 */     // GIR_Coverage, 4669,
     /*  597372 */     GIR_EraseRootFromParent_Done,
     /*  597373 */   // Label 9710: @597373
     /*  597373 */   GIM_Try, /*On fail goto*//*Label 9711*/ GIMT_Encode4(597448), // Rule ID 4672 //
     /*  597378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  597389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  597392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  597395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  597424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  597427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597446 */     GIR_RootConstrainSelectedInstOperands,
     /*  597447 */     // GIR_Coverage, 4672,
     /*  597447 */     GIR_EraseRootFromParent_Done,
     /*  597448 */   // Label 9711: @597448
     /*  597448 */   GIM_Try, /*On fail goto*//*Label 9712*/ GIMT_Encode4(597523), // Rule ID 4673 //
     /*  597453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  597464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  597467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  597470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  597499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  597502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597521 */     GIR_RootConstrainSelectedInstOperands,
     /*  597522 */     // GIR_Coverage, 4673,
     /*  597522 */     GIR_EraseRootFromParent_Done,
     /*  597523 */   // Label 9712: @597523
     /*  597523 */   GIM_Try, /*On fail goto*//*Label 9713*/ GIMT_Encode4(597598), // Rule ID 4676 //
     /*  597528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  597539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  597542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  597545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  597577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597596 */     GIR_RootConstrainSelectedInstOperands,
     /*  597597 */     // GIR_Coverage, 4676,
     /*  597597 */     GIR_EraseRootFromParent_Done,
     /*  597598 */   // Label 9713: @597598
     /*  597598 */   GIM_Try, /*On fail goto*//*Label 9714*/ GIMT_Encode4(597673), // Rule ID 4677 //
     /*  597603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  597614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  597617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  597620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597649 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  597652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597671 */     GIR_RootConstrainSelectedInstOperands,
     /*  597672 */     // GIR_Coverage, 4677,
     /*  597672 */     GIR_EraseRootFromParent_Done,
     /*  597673 */   // Label 9714: @597673
     /*  597673 */   GIM_Try, /*On fail goto*//*Label 9715*/ GIMT_Encode4(597748), // Rule ID 4680 //
     /*  597678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  597689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  597692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  597695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  597727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597746 */     GIR_RootConstrainSelectedInstOperands,
     /*  597747 */     // GIR_Coverage, 4680,
     /*  597747 */     GIR_EraseRootFromParent_Done,
     /*  597748 */   // Label 9715: @597748
     /*  597748 */   GIM_Try, /*On fail goto*//*Label 9716*/ GIMT_Encode4(597823), // Rule ID 4681 //
     /*  597753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  597764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  597767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  597770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597799 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  597802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597821 */     GIR_RootConstrainSelectedInstOperands,
     /*  597822 */     // GIR_Coverage, 4681,
     /*  597822 */     GIR_EraseRootFromParent_Done,
     /*  597823 */   // Label 9716: @597823
     /*  597823 */   GIM_Try, /*On fail goto*//*Label 9717*/ GIMT_Encode4(597898), // Rule ID 4684 //
     /*  597828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597874 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  597877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597896 */     GIR_RootConstrainSelectedInstOperands,
     /*  597897 */     // GIR_Coverage, 4684,
     /*  597897 */     GIR_EraseRootFromParent_Done,
     /*  597898 */   // Label 9717: @597898
     /*  597898 */   GIM_Try, /*On fail goto*//*Label 9718*/ GIMT_Encode4(597973), // Rule ID 4685 //
     /*  597903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597949 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  597952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597971 */     GIR_RootConstrainSelectedInstOperands,
     /*  597972 */     // GIR_Coverage, 4685,
     /*  597972 */     GIR_EraseRootFromParent_Done,
     /*  597973 */   // Label 9718: @597973
     /*  597973 */   GIM_Try, /*On fail goto*//*Label 9719*/ GIMT_Encode4(598048), // Rule ID 4688 //
     /*  597978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  598024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  598027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598046 */     GIR_RootConstrainSelectedInstOperands,
     /*  598047 */     // GIR_Coverage, 4688,
     /*  598047 */     GIR_EraseRootFromParent_Done,
     /*  598048 */   // Label 9719: @598048
     /*  598048 */   GIM_Try, /*On fail goto*//*Label 9720*/ GIMT_Encode4(598123), // Rule ID 4689 //
     /*  598053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  598056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  598064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  598067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  598070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598099 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  598099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  598102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598121 */     GIR_RootConstrainSelectedInstOperands,
     /*  598122 */     // GIR_Coverage, 4689,
     /*  598122 */     GIR_EraseRootFromParent_Done,
     /*  598123 */   // Label 9720: @598123
     /*  598123 */   GIM_Try, /*On fail goto*//*Label 9721*/ GIMT_Encode4(598198), // Rule ID 4694 //
     /*  598128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  598139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  598142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  598145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  598148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  598177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598196 */     GIR_RootConstrainSelectedInstOperands,
     /*  598197 */     // GIR_Coverage, 4694,
     /*  598197 */     GIR_EraseRootFromParent_Done,
     /*  598198 */   // Label 9721: @598198
     /*  598198 */   GIM_Try, /*On fail goto*//*Label 9722*/ GIMT_Encode4(598273), // Rule ID 4695 //
     /*  598203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  598214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  598217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  598220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  598223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598249 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  598252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598271 */     GIR_RootConstrainSelectedInstOperands,
     /*  598272 */     // GIR_Coverage, 4695,
     /*  598272 */     GIR_EraseRootFromParent_Done,
     /*  598273 */   // Label 9722: @598273
     /*  598273 */   GIM_Try, /*On fail goto*//*Label 9723*/ GIMT_Encode4(598348), // Rule ID 4704 //
     /*  598278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  598289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  598292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  598295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  598298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  598327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598346 */     GIR_RootConstrainSelectedInstOperands,
     /*  598347 */     // GIR_Coverage, 4704,
     /*  598347 */     GIR_EraseRootFromParent_Done,
     /*  598348 */   // Label 9723: @598348
     /*  598348 */   GIM_Try, /*On fail goto*//*Label 9724*/ GIMT_Encode4(598423), // Rule ID 4705 //
     /*  598353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  598364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  598367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  598370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  598373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598399 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  598402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598421 */     GIR_RootConstrainSelectedInstOperands,
     /*  598422 */     // GIR_Coverage, 4705,
     /*  598422 */     GIR_EraseRootFromParent_Done,
     /*  598423 */   // Label 9724: @598423
     /*  598423 */   GIM_Try, /*On fail goto*//*Label 9725*/ GIMT_Encode4(598498), // Rule ID 4714 //
     /*  598428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  598439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  598442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  598445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  598448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598474 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598496 */     GIR_RootConstrainSelectedInstOperands,
     /*  598497 */     // GIR_Coverage, 4714,
     /*  598497 */     GIR_EraseRootFromParent_Done,
     /*  598498 */   // Label 9725: @598498
     /*  598498 */   GIM_Try, /*On fail goto*//*Label 9726*/ GIMT_Encode4(598573), // Rule ID 4715 //
     /*  598503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  598514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  598517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  598520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  598523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598549 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598571 */     GIR_RootConstrainSelectedInstOperands,
     /*  598572 */     // GIR_Coverage, 4715,
     /*  598572 */     GIR_EraseRootFromParent_Done,
     /*  598573 */   // Label 9726: @598573
     /*  598573 */   GIM_Try, /*On fail goto*//*Label 9727*/ GIMT_Encode4(598648), // Rule ID 4724 //
     /*  598578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  598589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  598592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  598595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  598598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598624 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598646 */     GIR_RootConstrainSelectedInstOperands,
     /*  598647 */     // GIR_Coverage, 4724,
     /*  598647 */     GIR_EraseRootFromParent_Done,
     /*  598648 */   // Label 9727: @598648
     /*  598648 */   GIM_Try, /*On fail goto*//*Label 9728*/ GIMT_Encode4(598723), // Rule ID 4725 //
     /*  598653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  598664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  598667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  598670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  598673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598721 */     GIR_RootConstrainSelectedInstOperands,
     /*  598722 */     // GIR_Coverage, 4725,
     /*  598722 */     GIR_EraseRootFromParent_Done,
     /*  598723 */   // Label 9728: @598723
     /*  598723 */   GIM_Try, /*On fail goto*//*Label 9729*/ GIMT_Encode4(598798), // Rule ID 4734 //
     /*  598728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  598739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  598742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  598745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  598748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598774 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598796 */     GIR_RootConstrainSelectedInstOperands,
     /*  598797 */     // GIR_Coverage, 4734,
     /*  598797 */     GIR_EraseRootFromParent_Done,
     /*  598798 */   // Label 9729: @598798
     /*  598798 */   GIM_Try, /*On fail goto*//*Label 9730*/ GIMT_Encode4(598873), // Rule ID 4735 //
     /*  598803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  598814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  598817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  598820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  598823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598849 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598871 */     GIR_RootConstrainSelectedInstOperands,
     /*  598872 */     // GIR_Coverage, 4735,
     /*  598872 */     GIR_EraseRootFromParent_Done,
     /*  598873 */   // Label 9730: @598873
     /*  598873 */   GIM_Try, /*On fail goto*//*Label 9731*/ GIMT_Encode4(598948), // Rule ID 4744 //
     /*  598878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  598889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  598892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  598895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  598898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598924 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  598927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598946 */     GIR_RootConstrainSelectedInstOperands,
     /*  598947 */     // GIR_Coverage, 4744,
     /*  598947 */     GIR_EraseRootFromParent_Done,
     /*  598948 */   // Label 9731: @598948
     /*  598948 */   GIM_Try, /*On fail goto*//*Label 9732*/ GIMT_Encode4(599023), // Rule ID 4745 //
     /*  598953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  598964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  598967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  598970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  598973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598999 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599021 */     GIR_RootConstrainSelectedInstOperands,
     /*  599022 */     // GIR_Coverage, 4745,
     /*  599022 */     GIR_EraseRootFromParent_Done,
     /*  599023 */   // Label 9732: @599023
     /*  599023 */   GIM_Try, /*On fail goto*//*Label 9733*/ GIMT_Encode4(599098), // Rule ID 4754 //
     /*  599028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  599039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  599042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  599045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  599048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  599077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599096 */     GIR_RootConstrainSelectedInstOperands,
     /*  599097 */     // GIR_Coverage, 4754,
     /*  599097 */     GIR_EraseRootFromParent_Done,
     /*  599098 */   // Label 9733: @599098
     /*  599098 */   GIM_Try, /*On fail goto*//*Label 9734*/ GIMT_Encode4(599173), // Rule ID 4755 //
     /*  599103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  599114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  599117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  599120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  599123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599149 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  599152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599171 */     GIR_RootConstrainSelectedInstOperands,
     /*  599172 */     // GIR_Coverage, 4755,
     /*  599172 */     GIR_EraseRootFromParent_Done,
     /*  599173 */   // Label 9734: @599173
     /*  599173 */   GIM_Try, /*On fail goto*//*Label 9735*/ GIMT_Encode4(599248), // Rule ID 4764 //
     /*  599178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  599189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  599192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  599195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  599198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11685:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  599227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599246 */     GIR_RootConstrainSelectedInstOperands,
     /*  599247 */     // GIR_Coverage, 4764,
     /*  599247 */     GIR_EraseRootFromParent_Done,
     /*  599248 */   // Label 9735: @599248
     /*  599248 */   GIM_Try, /*On fail goto*//*Label 9736*/ GIMT_Encode4(599323), // Rule ID 4765 //
     /*  599253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  599264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  599267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  599270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  599273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599299 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11685:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  599302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599321 */     GIR_RootConstrainSelectedInstOperands,
     /*  599322 */     // GIR_Coverage, 4765,
     /*  599322 */     GIR_EraseRootFromParent_Done,
     /*  599323 */   // Label 9736: @599323
     /*  599323 */   GIM_Try, /*On fail goto*//*Label 9737*/ GIMT_Encode4(599398), // Rule ID 4774 //
     /*  599328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  599339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  599342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  599345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  599348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  599377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599396 */     GIR_RootConstrainSelectedInstOperands,
     /*  599397 */     // GIR_Coverage, 4774,
     /*  599397 */     GIR_EraseRootFromParent_Done,
     /*  599398 */   // Label 9737: @599398
     /*  599398 */   GIM_Try, /*On fail goto*//*Label 9738*/ GIMT_Encode4(599473), // Rule ID 4775 //
     /*  599403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  599414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  599417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  599420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  599423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  599452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599471 */     GIR_RootConstrainSelectedInstOperands,
     /*  599472 */     // GIR_Coverage, 4775,
     /*  599472 */     GIR_EraseRootFromParent_Done,
     /*  599473 */   // Label 9738: @599473
     /*  599473 */   GIM_Try, /*On fail goto*//*Label 9739*/ GIMT_Encode4(599548), // Rule ID 4784 //
     /*  599478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  599489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  599492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  599495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  599498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  599527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599546 */     GIR_RootConstrainSelectedInstOperands,
     /*  599547 */     // GIR_Coverage, 4784,
     /*  599547 */     GIR_EraseRootFromParent_Done,
     /*  599548 */   // Label 9739: @599548
     /*  599548 */   GIM_Try, /*On fail goto*//*Label 9740*/ GIMT_Encode4(599623), // Rule ID 4785 //
     /*  599553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  599564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  599567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  599570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  599573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  599602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599621 */     GIR_RootConstrainSelectedInstOperands,
     /*  599622 */     // GIR_Coverage, 4785,
     /*  599622 */     GIR_EraseRootFromParent_Done,
     /*  599623 */   // Label 9740: @599623
     /*  599623 */   GIM_Try, /*On fail goto*//*Label 9741*/ GIMT_Encode4(599698), // Rule ID 4794 //
     /*  599628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  599639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  599642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  599645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  599648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599696 */     GIR_RootConstrainSelectedInstOperands,
     /*  599697 */     // GIR_Coverage, 4794,
     /*  599697 */     GIR_EraseRootFromParent_Done,
     /*  599698 */   // Label 9741: @599698
     /*  599698 */   GIM_Try, /*On fail goto*//*Label 9742*/ GIMT_Encode4(599773), // Rule ID 4795 //
     /*  599703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  599714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  599717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  599720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  599723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599749 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599771 */     GIR_RootConstrainSelectedInstOperands,
     /*  599772 */     // GIR_Coverage, 4795,
     /*  599772 */     GIR_EraseRootFromParent_Done,
     /*  599773 */   // Label 9742: @599773
     /*  599773 */   GIM_Try, /*On fail goto*//*Label 9743*/ GIMT_Encode4(599848), // Rule ID 4804 //
     /*  599778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  599789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  599792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  599795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  599798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599824 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  599827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599846 */     GIR_RootConstrainSelectedInstOperands,
     /*  599847 */     // GIR_Coverage, 4804,
     /*  599847 */     GIR_EraseRootFromParent_Done,
     /*  599848 */   // Label 9743: @599848
     /*  599848 */   GIM_Try, /*On fail goto*//*Label 9744*/ GIMT_Encode4(599923), // Rule ID 4805 //
     /*  599853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  599864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  599867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  599870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  599873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599899 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  599902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599921 */     GIR_RootConstrainSelectedInstOperands,
     /*  599922 */     // GIR_Coverage, 4805,
     /*  599922 */     GIR_EraseRootFromParent_Done,
     /*  599923 */   // Label 9744: @599923
     /*  599923 */   GIM_Try, /*On fail goto*//*Label 9745*/ GIMT_Encode4(599998), // Rule ID 4814 //
     /*  599928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  599939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  599942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  599945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  599948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  599977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599996 */     GIR_RootConstrainSelectedInstOperands,
     /*  599997 */     // GIR_Coverage, 4814,
     /*  599997 */     GIR_EraseRootFromParent_Done,
     /*  599998 */   // Label 9745: @599998
     /*  599998 */   GIM_Try, /*On fail goto*//*Label 9746*/ GIMT_Encode4(600073), // Rule ID 4815 //
     /*  600003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  600006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  600014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  600017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  600020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  600023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600049 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  600049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  600052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600071 */     GIR_RootConstrainSelectedInstOperands,
     /*  600072 */     // GIR_Coverage, 4815,
     /*  600072 */     GIR_EraseRootFromParent_Done,
     /*  600073 */   // Label 9746: @600073
     /*  600073 */   GIM_Try, /*On fail goto*//*Label 9747*/ GIMT_Encode4(600148), // Rule ID 4824 //
     /*  600078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  600081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  600089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  600092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  600095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  600098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  600124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  600127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600146 */     GIR_RootConstrainSelectedInstOperands,
     /*  600147 */     // GIR_Coverage, 4824,
     /*  600147 */     GIR_EraseRootFromParent_Done,
     /*  600148 */   // Label 9747: @600148
     /*  600148 */   GIM_Try, /*On fail goto*//*Label 9748*/ GIMT_Encode4(600223), // Rule ID 4825 //
     /*  600153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  600156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  600164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  600167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  600170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  600173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600199 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  600199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  600202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600221 */     GIR_RootConstrainSelectedInstOperands,
     /*  600222 */     // GIR_Coverage, 4825,
     /*  600222 */     GIR_EraseRootFromParent_Done,
     /*  600223 */   // Label 9748: @600223
     /*  600223 */   GIM_Try, /*On fail goto*//*Label 9749*/ GIMT_Encode4(600298), // Rule ID 4834 //
     /*  600228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  600231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  600239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  600242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  600245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  600248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  600274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  600277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600296 */     GIR_RootConstrainSelectedInstOperands,
     /*  600297 */     // GIR_Coverage, 4834,
     /*  600297 */     GIR_EraseRootFromParent_Done,
     /*  600298 */   // Label 9749: @600298
     /*  600298 */   GIM_Try, /*On fail goto*//*Label 9750*/ GIMT_Encode4(600373), // Rule ID 4835 //
     /*  600303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  600306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  600314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  600317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  600320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  600323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600349 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  600349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  600352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600371 */     GIR_RootConstrainSelectedInstOperands,
     /*  600372 */     // GIR_Coverage, 4835,
     /*  600372 */     GIR_EraseRootFromParent_Done,
     /*  600373 */   // Label 9750: @600373
     /*  600373 */   GIM_Try, /*On fail goto*//*Label 9751*/ GIMT_Encode4(600448), // Rule ID 4842 //
     /*  600378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  600389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  600392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  600395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600424 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  600427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600446 */     GIR_RootConstrainSelectedInstOperands,
     /*  600447 */     // GIR_Coverage, 4842,
     /*  600447 */     GIR_EraseRootFromParent_Done,
     /*  600448 */   // Label 9751: @600448
     /*  600448 */   GIM_Try, /*On fail goto*//*Label 9752*/ GIMT_Encode4(600523), // Rule ID 4843 //
     /*  600453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  600464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  600467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  600470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600499 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  600502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600521 */     GIR_RootConstrainSelectedInstOperands,
     /*  600522 */     // GIR_Coverage, 4843,
     /*  600522 */     GIR_EraseRootFromParent_Done,
     /*  600523 */   // Label 9752: @600523
     /*  600523 */   GIM_Try, /*On fail goto*//*Label 9753*/ GIMT_Encode4(600598), // Rule ID 4846 //
     /*  600528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  600539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  600542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  600545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600574 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  600577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600596 */     GIR_RootConstrainSelectedInstOperands,
     /*  600597 */     // GIR_Coverage, 4846,
     /*  600597 */     GIR_EraseRootFromParent_Done,
     /*  600598 */   // Label 9753: @600598
     /*  600598 */   GIM_Try, /*On fail goto*//*Label 9754*/ GIMT_Encode4(600673), // Rule ID 4847 //
     /*  600603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  600614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  600617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  600620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600649 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  600652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600671 */     GIR_RootConstrainSelectedInstOperands,
     /*  600672 */     // GIR_Coverage, 4847,
     /*  600672 */     GIR_EraseRootFromParent_Done,
     /*  600673 */   // Label 9754: @600673
     /*  600673 */   GIM_Try, /*On fail goto*//*Label 9755*/ GIMT_Encode4(600748), // Rule ID 4850 //
     /*  600678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  600689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  600692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  600695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600724 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600746 */     GIR_RootConstrainSelectedInstOperands,
     /*  600747 */     // GIR_Coverage, 4850,
     /*  600747 */     GIR_EraseRootFromParent_Done,
     /*  600748 */   // Label 9755: @600748
     /*  600748 */   GIM_Try, /*On fail goto*//*Label 9756*/ GIMT_Encode4(600823), // Rule ID 4851 //
     /*  600753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  600764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  600767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  600770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600799 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11685:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600821 */     GIR_RootConstrainSelectedInstOperands,
     /*  600822 */     // GIR_Coverage, 4851,
     /*  600822 */     GIR_EraseRootFromParent_Done,
     /*  600823 */   // Label 9756: @600823
     /*  600823 */   GIM_Try, /*On fail goto*//*Label 9757*/ GIMT_Encode4(600898), // Rule ID 4854 //
     /*  600828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  600839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  600845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  600877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600896 */     GIR_RootConstrainSelectedInstOperands,
     /*  600897 */     // GIR_Coverage, 4854,
     /*  600897 */     GIR_EraseRootFromParent_Done,
     /*  600898 */   // Label 9757: @600898
     /*  600898 */   GIM_Try, /*On fail goto*//*Label 9758*/ GIMT_Encode4(600973), // Rule ID 4855 //
     /*  600903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  600914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  600920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600949 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  600952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600971 */     GIR_RootConstrainSelectedInstOperands,
     /*  600972 */     // GIR_Coverage, 4855,
     /*  600972 */     GIR_EraseRootFromParent_Done,
     /*  600973 */   // Label 9758: @600973
     /*  600973 */   GIM_Try, /*On fail goto*//*Label 9759*/ GIMT_Encode4(601048), // Rule ID 4858 //
     /*  600978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  600989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  600992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  600995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601024 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  601024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601046 */     GIR_RootConstrainSelectedInstOperands,
     /*  601047 */     // GIR_Coverage, 4858,
     /*  601047 */     GIR_EraseRootFromParent_Done,
     /*  601048 */   // Label 9759: @601048
     /*  601048 */   GIM_Try, /*On fail goto*//*Label 9760*/ GIMT_Encode4(601123), // Rule ID 4859 //
     /*  601053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  601064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  601067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  601070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601099 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  601099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601121 */     GIR_RootConstrainSelectedInstOperands,
     /*  601122 */     // GIR_Coverage, 4859,
     /*  601122 */     GIR_EraseRootFromParent_Done,
     /*  601123 */   // Label 9760: @601123
     /*  601123 */   GIM_Try, /*On fail goto*//*Label 9761*/ GIMT_Encode4(601198), // Rule ID 4862 //
     /*  601128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  601139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  601142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  601145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601174 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  601174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601196 */     GIR_RootConstrainSelectedInstOperands,
     /*  601197 */     // GIR_Coverage, 4862,
     /*  601197 */     GIR_EraseRootFromParent_Done,
     /*  601198 */   // Label 9761: @601198
     /*  601198 */   GIM_Try, /*On fail goto*//*Label 9762*/ GIMT_Encode4(601273), // Rule ID 4863 //
     /*  601203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  601214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  601217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  601220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601249 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  601249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601271 */     GIR_RootConstrainSelectedInstOperands,
     /*  601272 */     // GIR_Coverage, 4863,
     /*  601272 */     GIR_EraseRootFromParent_Done,
     /*  601273 */   // Label 9762: @601273
     /*  601273 */   GIM_Try, /*On fail goto*//*Label 9763*/ GIMT_Encode4(601348), // Rule ID 4866 //
     /*  601278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  601289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  601292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  601295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  601327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601346 */     GIR_RootConstrainSelectedInstOperands,
     /*  601347 */     // GIR_Coverage, 4866,
     /*  601347 */     GIR_EraseRootFromParent_Done,
     /*  601348 */   // Label 9763: @601348
     /*  601348 */   GIM_Try, /*On fail goto*//*Label 9764*/ GIMT_Encode4(601423), // Rule ID 4867 //
     /*  601353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  601364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  601367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  601370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  601402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601421 */     GIR_RootConstrainSelectedInstOperands,
     /*  601422 */     // GIR_Coverage, 4867,
     /*  601422 */     GIR_EraseRootFromParent_Done,
     /*  601423 */   // Label 9764: @601423
     /*  601423 */   GIM_Try, /*On fail goto*//*Label 9765*/ GIMT_Encode4(601498), // Rule ID 4870 //
     /*  601428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  601439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  601442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  601445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11685:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  601477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601496 */     GIR_RootConstrainSelectedInstOperands,
     /*  601497 */     // GIR_Coverage, 4870,
     /*  601497 */     GIR_EraseRootFromParent_Done,
     /*  601498 */   // Label 9765: @601498
     /*  601498 */   GIM_Try, /*On fail goto*//*Label 9766*/ GIMT_Encode4(601573), // Rule ID 4871 //
     /*  601503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  601514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  601517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  601520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601549 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11685:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  601552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601571 */     GIR_RootConstrainSelectedInstOperands,
     /*  601572 */     // GIR_Coverage, 4871,
     /*  601572 */     GIR_EraseRootFromParent_Done,
     /*  601573 */   // Label 9766: @601573
     /*  601573 */   GIM_Try, /*On fail goto*//*Label 9767*/ GIMT_Encode4(601648), // Rule ID 4874 //
     /*  601578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  601589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  601592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  601595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  601627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601646 */     GIR_RootConstrainSelectedInstOperands,
     /*  601647 */     // GIR_Coverage, 4874,
     /*  601647 */     GIR_EraseRootFromParent_Done,
     /*  601648 */   // Label 9767: @601648
     /*  601648 */   GIM_Try, /*On fail goto*//*Label 9768*/ GIMT_Encode4(601723), // Rule ID 4875 //
     /*  601653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  601664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  601667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  601670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601699 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  601702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601721 */     GIR_RootConstrainSelectedInstOperands,
     /*  601722 */     // GIR_Coverage, 4875,
     /*  601722 */     GIR_EraseRootFromParent_Done,
     /*  601723 */   // Label 9768: @601723
     /*  601723 */   GIM_Try, /*On fail goto*//*Label 9769*/ GIMT_Encode4(601798), // Rule ID 4878 //
     /*  601728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  601739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  601742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  601745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601796 */     GIR_RootConstrainSelectedInstOperands,
     /*  601797 */     // GIR_Coverage, 4878,
     /*  601797 */     GIR_EraseRootFromParent_Done,
     /*  601798 */   // Label 9769: @601798
     /*  601798 */   GIM_Try, /*On fail goto*//*Label 9770*/ GIMT_Encode4(601873), // Rule ID 4879 //
     /*  601803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  601814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  601817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  601820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601849 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601871 */     GIR_RootConstrainSelectedInstOperands,
     /*  601872 */     // GIR_Coverage, 4879,
     /*  601872 */     GIR_EraseRootFromParent_Done,
     /*  601873 */   // Label 9770: @601873
     /*  601873 */   GIM_Try, /*On fail goto*//*Label 9771*/ GIMT_Encode4(601948), // Rule ID 4882 //
     /*  601878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  601889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  601895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601946 */     GIR_RootConstrainSelectedInstOperands,
     /*  601947 */     // GIR_Coverage, 4882,
     /*  601947 */     GIR_EraseRootFromParent_Done,
     /*  601948 */   // Label 9771: @601948
     /*  601948 */   GIM_Try, /*On fail goto*//*Label 9772*/ GIMT_Encode4(602023), // Rule ID 4883 //
     /*  601953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  601964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  601970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601999 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  602002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602021 */     GIR_RootConstrainSelectedInstOperands,
     /*  602022 */     // GIR_Coverage, 4883,
     /*  602022 */     GIR_EraseRootFromParent_Done,
     /*  602023 */   // Label 9772: @602023
     /*  602023 */   GIM_Try, /*On fail goto*//*Label 9773*/ GIMT_Encode4(602098), // Rule ID 4886 //
     /*  602028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  602031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  602039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  602042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  602045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  602048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602074 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  602074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  602077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602096 */     GIR_RootConstrainSelectedInstOperands,
     /*  602097 */     // GIR_Coverage, 4886,
     /*  602097 */     GIR_EraseRootFromParent_Done,
     /*  602098 */   // Label 9773: @602098
     /*  602098 */   GIM_Try, /*On fail goto*//*Label 9774*/ GIMT_Encode4(602173), // Rule ID 4887 //
     /*  602103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  602106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  602114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  602117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  602120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  602123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11685:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  602149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  602152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602171 */     GIR_RootConstrainSelectedInstOperands,
     /*  602172 */     // GIR_Coverage, 4887,
     /*  602172 */     GIR_EraseRootFromParent_Done,
     /*  602173 */   // Label 9774: @602173
     /*  602173 */   GIM_Try, /*On fail goto*//*Label 9775*/ GIMT_Encode4(602248), // Rule ID 4890 //
     /*  602178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  602181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  602189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  602192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  602195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  602198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602224 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  602224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  602227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602246 */     GIR_RootConstrainSelectedInstOperands,
     /*  602247 */     // GIR_Coverage, 4890,
     /*  602247 */     GIR_EraseRootFromParent_Done,
     /*  602248 */   // Label 9775: @602248
     /*  602248 */   GIM_Try, /*On fail goto*//*Label 9776*/ GIMT_Encode4(602323), // Rule ID 4891 //
     /*  602253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  602256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  602264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  602267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  602270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  602273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602299 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11685:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  602299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  602302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602321 */     GIR_RootConstrainSelectedInstOperands,
     /*  602322 */     // GIR_Coverage, 4891,
     /*  602322 */     GIR_EraseRootFromParent_Done,
     /*  602323 */   // Label 9776: @602323
     /*  602323 */   GIM_Try, /*On fail goto*//*Label 9777*/ GIMT_Encode4(602398), // Rule ID 4894 //
     /*  602328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  602331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  602339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  602342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  602345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  602348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602374 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  602374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  602377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602396 */     GIR_RootConstrainSelectedInstOperands,
     /*  602397 */     // GIR_Coverage, 4894,
     /*  602397 */     GIR_EraseRootFromParent_Done,
     /*  602398 */   // Label 9777: @602398
     /*  602398 */   GIM_Try, /*On fail goto*//*Label 9778*/ GIMT_Encode4(602473), // Rule ID 4895 //
     /*  602403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  602406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  602414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  602417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  602420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  602423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11685:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  602449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  602452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602471 */     GIR_RootConstrainSelectedInstOperands,
     /*  602472 */     // GIR_Coverage, 4895,
     /*  602472 */     GIR_EraseRootFromParent_Done,
     /*  602473 */   // Label 9778: @602473
     /*  602473 */   GIM_Try, /*On fail goto*//*Label 9779*/ GIMT_Encode4(602548), // Rule ID 4898 //
     /*  602478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  602481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  602489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  602492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  602495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  602498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602524 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  602524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  602527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602546 */     GIR_RootConstrainSelectedInstOperands,
     /*  602547 */     // GIR_Coverage, 4898,
     /*  602547 */     GIR_EraseRootFromParent_Done,
     /*  602548 */   // Label 9779: @602548
     /*  602548 */   GIM_Try, /*On fail goto*//*Label 9780*/ GIMT_Encode4(602623), // Rule ID 4899 //
     /*  602553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  602556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  602564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  602567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  602570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  602573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602599 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11685:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  602599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  602602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602621 */     GIR_RootConstrainSelectedInstOperands,
     /*  602622 */     // GIR_Coverage, 4899,
     /*  602622 */     GIR_EraseRootFromParent_Done,
     /*  602623 */   // Label 9780: @602623
     /*  602623 */   GIM_Try, /*On fail goto*//*Label 9781*/ GIMT_Encode4(602695), // Rule ID 5252 //
     /*  602628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  602642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  602645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602674 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  602677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602693 */     GIR_RootConstrainSelectedInstOperands,
     /*  602694 */     // GIR_Coverage, 5252,
     /*  602694 */     GIR_EraseRootFromParent_Done,
     /*  602695 */   // Label 9781: @602695
     /*  602695 */   GIM_Try, /*On fail goto*//*Label 9782*/ GIMT_Encode4(602767), // Rule ID 5253 //
     /*  602700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  602714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  602717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602746 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  602749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602765 */     GIR_RootConstrainSelectedInstOperands,
     /*  602766 */     // GIR_Coverage, 5253,
     /*  602766 */     GIR_EraseRootFromParent_Done,
     /*  602767 */   // Label 9782: @602767
     /*  602767 */   GIM_Try, /*On fail goto*//*Label 9783*/ GIMT_Encode4(602839), // Rule ID 5254 //
     /*  602772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  602786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  602789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602818 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602837 */     GIR_RootConstrainSelectedInstOperands,
     /*  602838 */     // GIR_Coverage, 5254,
     /*  602838 */     GIR_EraseRootFromParent_Done,
     /*  602839 */   // Label 9783: @602839
     /*  602839 */   GIM_Try, /*On fail goto*//*Label 9784*/ GIMT_Encode4(602911), // Rule ID 5255 //
     /*  602844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  602858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  602861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602890 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602909 */     GIR_RootConstrainSelectedInstOperands,
     /*  602910 */     // GIR_Coverage, 5255,
     /*  602910 */     GIR_EraseRootFromParent_Done,
     /*  602911 */   // Label 9784: @602911
     /*  602911 */   GIM_Try, /*On fail goto*//*Label 9785*/ GIMT_Encode4(602983), // Rule ID 5256 //
     /*  602916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  602930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  602933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602962 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  602965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602981 */     GIR_RootConstrainSelectedInstOperands,
     /*  602982 */     // GIR_Coverage, 5256,
     /*  602982 */     GIR_EraseRootFromParent_Done,
     /*  602983 */   // Label 9785: @602983
     /*  602983 */   GIM_Try, /*On fail goto*//*Label 9786*/ GIMT_Encode4(603055), // Rule ID 5257 //
     /*  602988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  603002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  603005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603034 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  603037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603053 */     GIR_RootConstrainSelectedInstOperands,
     /*  603054 */     // GIR_Coverage, 5257,
     /*  603054 */     GIR_EraseRootFromParent_Done,
     /*  603055 */   // Label 9786: @603055
     /*  603055 */   GIM_Try, /*On fail goto*//*Label 9787*/ GIMT_Encode4(603127), // Rule ID 5258 //
     /*  603060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  603071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  603074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  603077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  603080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603106 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  603109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603125 */     GIR_RootConstrainSelectedInstOperands,
     /*  603126 */     // GIR_Coverage, 5258,
     /*  603126 */     GIR_EraseRootFromParent_Done,
     /*  603127 */   // Label 9787: @603127
     /*  603127 */   GIM_Try, /*On fail goto*//*Label 9788*/ GIMT_Encode4(603199), // Rule ID 5259 //
     /*  603132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  603143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  603146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  603149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  603152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603178 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  603181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603197 */     GIR_RootConstrainSelectedInstOperands,
     /*  603198 */     // GIR_Coverage, 5259,
     /*  603198 */     GIR_EraseRootFromParent_Done,
     /*  603199 */   // Label 9788: @603199
     /*  603199 */   GIM_Try, /*On fail goto*//*Label 9789*/ GIMT_Encode4(603271), // Rule ID 5260 //
     /*  603204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  603218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  603221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603250 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  603250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  603253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603269 */     GIR_RootConstrainSelectedInstOperands,
     /*  603270 */     // GIR_Coverage, 5260,
     /*  603270 */     GIR_EraseRootFromParent_Done,
     /*  603271 */   // Label 9789: @603271
     /*  603271 */   GIM_Try, /*On fail goto*//*Label 9790*/ GIMT_Encode4(603343), // Rule ID 5261 //
     /*  603276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  603290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  603293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603322 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  603322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  603325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603341 */     GIR_RootConstrainSelectedInstOperands,
     /*  603342 */     // GIR_Coverage, 5261,
     /*  603342 */     GIR_EraseRootFromParent_Done,
     /*  603343 */   // Label 9790: @603343
     /*  603343 */   GIM_Try, /*On fail goto*//*Label 9791*/ GIMT_Encode4(603415), // Rule ID 5262 //
     /*  603348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  603362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  603365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603394 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603413 */     GIR_RootConstrainSelectedInstOperands,
     /*  603414 */     // GIR_Coverage, 5262,
     /*  603414 */     GIR_EraseRootFromParent_Done,
     /*  603415 */   // Label 9791: @603415
     /*  603415 */   GIM_Try, /*On fail goto*//*Label 9792*/ GIMT_Encode4(603487), // Rule ID 5263 //
     /*  603420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  603434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  603437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603466 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603485 */     GIR_RootConstrainSelectedInstOperands,
     /*  603486 */     // GIR_Coverage, 5263,
     /*  603486 */     GIR_EraseRootFromParent_Done,
     /*  603487 */   // Label 9792: @603487
     /*  603487 */   GIM_Try, /*On fail goto*//*Label 9793*/ GIMT_Encode4(603559), // Rule ID 5264 //
     /*  603492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  603503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  603506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  603509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  603512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603538 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603557 */     GIR_RootConstrainSelectedInstOperands,
     /*  603558 */     // GIR_Coverage, 5264,
     /*  603558 */     GIR_EraseRootFromParent_Done,
     /*  603559 */   // Label 9793: @603559
     /*  603559 */   GIM_Try, /*On fail goto*//*Label 9794*/ GIMT_Encode4(603631), // Rule ID 5265 //
     /*  603564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  603575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  603578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  603581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  603584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603610 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603629 */     GIR_RootConstrainSelectedInstOperands,
     /*  603630 */     // GIR_Coverage, 5265,
     /*  603630 */     GIR_EraseRootFromParent_Done,
     /*  603631 */   // Label 9794: @603631
     /*  603631 */   GIM_Try, /*On fail goto*//*Label 9795*/ GIMT_Encode4(603703), // Rule ID 5266 //
     /*  603636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  603647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  603650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  603653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  603656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603682 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  603682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603701 */     GIR_RootConstrainSelectedInstOperands,
     /*  603702 */     // GIR_Coverage, 5266,
     /*  603702 */     GIR_EraseRootFromParent_Done,
     /*  603703 */   // Label 9795: @603703
     /*  603703 */   GIM_Try, /*On fail goto*//*Label 9796*/ GIMT_Encode4(603775), // Rule ID 5267 //
     /*  603708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  603719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  603722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  603725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  603728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603754 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  603754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603773 */     GIR_RootConstrainSelectedInstOperands,
     /*  603774 */     // GIR_Coverage, 5267,
     /*  603774 */     GIR_EraseRootFromParent_Done,
     /*  603775 */   // Label 9796: @603775
     /*  603775 */   GIM_Try, /*On fail goto*//*Label 9797*/ GIMT_Encode4(603847), // Rule ID 5268 //
     /*  603780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  603783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  603794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  603797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603826 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  603826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603845 */     GIR_RootConstrainSelectedInstOperands,
     /*  603846 */     // GIR_Coverage, 5268,
     /*  603846 */     GIR_EraseRootFromParent_Done,
     /*  603847 */   // Label 9797: @603847
     /*  603847 */   GIM_Try, /*On fail goto*//*Label 9798*/ GIMT_Encode4(603919), // Rule ID 5269 //
     /*  603852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  603855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  603866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  603869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603898 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  603898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  603901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603917 */     GIR_RootConstrainSelectedInstOperands,
     /*  603918 */     // GIR_Coverage, 5269,
     /*  603918 */     GIR_EraseRootFromParent_Done,
     /*  603919 */   // Label 9798: @603919
     /*  603919 */   GIM_Try, /*On fail goto*//*Label 9799*/ GIMT_Encode4(603991), // Rule ID 5270 //
     /*  603924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  603938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  603941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603970 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603989 */     GIR_RootConstrainSelectedInstOperands,
     /*  603990 */     // GIR_Coverage, 5270,
     /*  603990 */     GIR_EraseRootFromParent_Done,
     /*  603991 */   // Label 9799: @603991
     /*  603991 */   GIM_Try, /*On fail goto*//*Label 9800*/ GIMT_Encode4(604063), // Rule ID 5271 //
     /*  603996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  604010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  604013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604042 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  604042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604061 */     GIR_RootConstrainSelectedInstOperands,
     /*  604062 */     // GIR_Coverage, 5271,
     /*  604062 */     GIR_EraseRootFromParent_Done,
     /*  604063 */   // Label 9800: @604063
     /*  604063 */   GIM_Try, /*On fail goto*//*Label 9801*/ GIMT_Encode4(604135), // Rule ID 5272 //
     /*  604068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  604079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  604082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  604085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  604088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604114 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  604114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604133 */     GIR_RootConstrainSelectedInstOperands,
     /*  604134 */     // GIR_Coverage, 5272,
     /*  604134 */     GIR_EraseRootFromParent_Done,
     /*  604135 */   // Label 9801: @604135
     /*  604135 */   GIM_Try, /*On fail goto*//*Label 9802*/ GIMT_Encode4(604207), // Rule ID 5273 //
     /*  604140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  604151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  604154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  604157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  604160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604186 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  604186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604205 */     GIR_RootConstrainSelectedInstOperands,
     /*  604206 */     // GIR_Coverage, 5273,
     /*  604206 */     GIR_EraseRootFromParent_Done,
     /*  604207 */   // Label 9802: @604207
     /*  604207 */   GIM_Try, /*On fail goto*//*Label 9803*/ GIMT_Encode4(604279), // Rule ID 5274 //
     /*  604212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  604223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  604226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  604229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  604232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604258 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  604258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604277 */     GIR_RootConstrainSelectedInstOperands,
     /*  604278 */     // GIR_Coverage, 5274,
     /*  604278 */     GIR_EraseRootFromParent_Done,
     /*  604279 */   // Label 9803: @604279
     /*  604279 */   GIM_Try, /*On fail goto*//*Label 9804*/ GIMT_Encode4(604351), // Rule ID 5275 //
     /*  604284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  604295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  604298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  604301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  604304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604330 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  604330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604349 */     GIR_RootConstrainSelectedInstOperands,
     /*  604350 */     // GIR_Coverage, 5275,
     /*  604350 */     GIR_EraseRootFromParent_Done,
     /*  604351 */   // Label 9804: @604351
     /*  604351 */   GIM_Try, /*On fail goto*//*Label 9805*/ GIMT_Encode4(604423), // Rule ID 5276 //
     /*  604356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  604370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  604373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604402 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  604402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604421 */     GIR_RootConstrainSelectedInstOperands,
     /*  604422 */     // GIR_Coverage, 5276,
     /*  604422 */     GIR_EraseRootFromParent_Done,
     /*  604423 */   // Label 9805: @604423
     /*  604423 */   GIM_Try, /*On fail goto*//*Label 9806*/ GIMT_Encode4(604495), // Rule ID 5277 //
     /*  604428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  604442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  604445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604474 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  604474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604493 */     GIR_RootConstrainSelectedInstOperands,
     /*  604494 */     // GIR_Coverage, 5277,
     /*  604494 */     GIR_EraseRootFromParent_Done,
     /*  604495 */   // Label 9806: @604495
     /*  604495 */   GIM_Try, /*On fail goto*//*Label 9807*/ GIMT_Encode4(604567), // Rule ID 5278 //
     /*  604500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  604514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  604517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604546 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  604546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604565 */     GIR_RootConstrainSelectedInstOperands,
     /*  604566 */     // GIR_Coverage, 5278,
     /*  604566 */     GIR_EraseRootFromParent_Done,
     /*  604567 */   // Label 9807: @604567
     /*  604567 */   GIM_Try, /*On fail goto*//*Label 9808*/ GIMT_Encode4(604639), // Rule ID 5279 //
     /*  604572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  604586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  604589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604618 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  604618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604637 */     GIR_RootConstrainSelectedInstOperands,
     /*  604638 */     // GIR_Coverage, 5279,
     /*  604638 */     GIR_EraseRootFromParent_Done,
     /*  604639 */   // Label 9808: @604639
     /*  604639 */   GIM_Try, /*On fail goto*//*Label 9809*/ GIMT_Encode4(604711), // Rule ID 5280 //
     /*  604644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  604655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  604658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  604661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  604664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604690 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  604690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604709 */     GIR_RootConstrainSelectedInstOperands,
     /*  604710 */     // GIR_Coverage, 5280,
     /*  604710 */     GIR_EraseRootFromParent_Done,
     /*  604711 */   // Label 9809: @604711
     /*  604711 */   GIM_Try, /*On fail goto*//*Label 9810*/ GIMT_Encode4(604783), // Rule ID 5281 //
     /*  604716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  604727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  604730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  604733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  604736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604762 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  604762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604781 */     GIR_RootConstrainSelectedInstOperands,
     /*  604782 */     // GIR_Coverage, 5281,
     /*  604782 */     GIR_EraseRootFromParent_Done,
     /*  604783 */   // Label 9810: @604783
     /*  604783 */   GIM_Try, /*On fail goto*//*Label 9811*/ GIMT_Encode4(604855), // Rule ID 5282 //
     /*  604788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  604802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  604805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604834 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604853 */     GIR_RootConstrainSelectedInstOperands,
     /*  604854 */     // GIR_Coverage, 5282,
     /*  604854 */     GIR_EraseRootFromParent_Done,
     /*  604855 */   // Label 9811: @604855
     /*  604855 */   GIM_Try, /*On fail goto*//*Label 9812*/ GIMT_Encode4(604927), // Rule ID 5283 //
     /*  604860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  604874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  604877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604906 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604925 */     GIR_RootConstrainSelectedInstOperands,
     /*  604926 */     // GIR_Coverage, 5283,
     /*  604926 */     GIR_EraseRootFromParent_Done,
     /*  604927 */   // Label 9812: @604927
     /*  604927 */   GIM_Try, /*On fail goto*//*Label 9813*/ GIMT_Encode4(604999), // Rule ID 5284 //
     /*  604932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  604946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  604949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604978 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604997 */     GIR_RootConstrainSelectedInstOperands,
     /*  604998 */     // GIR_Coverage, 5284,
     /*  604998 */     GIR_EraseRootFromParent_Done,
     /*  604999 */   // Label 9813: @604999
     /*  604999 */   GIM_Try, /*On fail goto*//*Label 9814*/ GIMT_Encode4(605071), // Rule ID 5285 //
     /*  605004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  605018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  605021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605050 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  605050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  605053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605069 */     GIR_RootConstrainSelectedInstOperands,
     /*  605070 */     // GIR_Coverage, 5285,
     /*  605070 */     GIR_EraseRootFromParent_Done,
     /*  605071 */   // Label 9814: @605071
     /*  605071 */   GIM_Try, /*On fail goto*//*Label 9815*/ GIMT_Encode4(605143), // Rule ID 5286 //
     /*  605076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  605087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  605090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  605093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  605096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605122 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  605122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  605125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605141 */     GIR_RootConstrainSelectedInstOperands,
     /*  605142 */     // GIR_Coverage, 5286,
     /*  605142 */     GIR_EraseRootFromParent_Done,
     /*  605143 */   // Label 9815: @605143
     /*  605143 */   GIM_Try, /*On fail goto*//*Label 9816*/ GIMT_Encode4(605215), // Rule ID 5287 //
     /*  605148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  605159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  605162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  605165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  605168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605194 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  605194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  605197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605213 */     GIR_RootConstrainSelectedInstOperands,
     /*  605214 */     // GIR_Coverage, 5287,
     /*  605214 */     GIR_EraseRootFromParent_Done,
     /*  605215 */   // Label 9816: @605215
     /*  605215 */   GIM_Try, /*On fail goto*//*Label 9817*/ GIMT_Encode4(605287), // Rule ID 5288 //
     /*  605220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  605223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  605234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  605237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605266 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  605266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  605269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  605285 */     GIR_RootConstrainSelectedInstOperands,
     /*  605286 */     // GIR_Coverage, 5288,
     /*  605286 */     GIR_EraseRootFromParent_Done,
     /*  605287 */   // Label 9817: @605287
     /*  605287 */   GIM_Try, /*On fail goto*//*Label 9818*/ GIMT_Encode4(605359), // Rule ID 5289 //
     /*  605292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  605295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  605306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  605309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605338 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  605338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  605341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  605357 */     GIR_RootConstrainSelectedInstOperands,
     /*  605358 */     // GIR_Coverage, 5289,
     /*  605358 */     GIR_EraseRootFromParent_Done,
     /*  605359 */   // Label 9818: @605359
     /*  605359 */   GIM_Try, /*On fail goto*//*Label 9819*/ GIMT_Encode4(605431), // Rule ID 5290 //
     /*  605364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  605367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  605378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  605381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605410 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  605410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  605413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  605429 */     GIR_RootConstrainSelectedInstOperands,
     /*  605430 */     // GIR_Coverage, 5290,
     /*  605430 */     GIR_EraseRootFromParent_Done,
     /*  605431 */   // Label 9819: @605431
     /*  605431 */   GIM_Try, /*On fail goto*//*Label 9820*/ GIMT_Encode4(605503), // Rule ID 5291 //
     /*  605436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  605439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  605450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  605453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605482 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  605482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  605485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  605501 */     GIR_RootConstrainSelectedInstOperands,
     /*  605502 */     // GIR_Coverage, 5291,
     /*  605502 */     GIR_EraseRootFromParent_Done,
     /*  605503 */   // Label 9820: @605503
     /*  605503 */   GIM_Try, /*On fail goto*//*Label 9821*/ GIMT_Encode4(605575), // Rule ID 5292 //
     /*  605508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  605511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  605522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  605525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605554 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  605554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  605557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  605573 */     GIR_RootConstrainSelectedInstOperands,
     /*  605574 */     // GIR_Coverage, 5292,
     /*  605574 */     GIR_EraseRootFromParent_Done,
     /*  605575 */   // Label 9821: @605575
     /*  605575 */   GIM_Try, /*On fail goto*//*Label 9822*/ GIMT_Encode4(605647), // Rule ID 5293 //
     /*  605580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  605583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  605594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  605597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605626 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  605626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  605629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  605645 */     GIR_RootConstrainSelectedInstOperands,
     /*  605646 */     // GIR_Coverage, 5293,
     /*  605646 */     GIR_EraseRootFromParent_Done,
     /*  605647 */   // Label 9822: @605647
     /*  605647 */   GIM_Try, /*On fail goto*//*Label 9823*/ GIMT_Encode4(605719), // Rule ID 5294 //
     /*  605652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  605666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605698 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  605701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605717 */     GIR_RootConstrainSelectedInstOperands,
     /*  605718 */     // GIR_Coverage, 5294,
     /*  605718 */     GIR_EraseRootFromParent_Done,
     /*  605719 */   // Label 9823: @605719
     /*  605719 */   GIM_Try, /*On fail goto*//*Label 9824*/ GIMT_Encode4(605791), // Rule ID 5295 //
     /*  605724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  605738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605770 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  605773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605789 */     GIR_RootConstrainSelectedInstOperands,
     /*  605790 */     // GIR_Coverage, 5295,
     /*  605790 */     GIR_EraseRootFromParent_Done,
     /*  605791 */   // Label 9824: @605791
     /*  605791 */   GIM_Try, /*On fail goto*//*Label 9825*/ GIMT_Encode4(605863), // Rule ID 5296 //
     /*  605796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  605810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605842 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605861 */     GIR_RootConstrainSelectedInstOperands,
     /*  605862 */     // GIR_Coverage, 5296,
     /*  605862 */     GIR_EraseRootFromParent_Done,
     /*  605863 */   // Label 9825: @605863
     /*  605863 */   GIM_Try, /*On fail goto*//*Label 9826*/ GIMT_Encode4(605935), // Rule ID 5297 //
     /*  605868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  605882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605914 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605933 */     GIR_RootConstrainSelectedInstOperands,
     /*  605934 */     // GIR_Coverage, 5297,
     /*  605934 */     GIR_EraseRootFromParent_Done,
     /*  605935 */   // Label 9826: @605935
     /*  605935 */   GIM_Try, /*On fail goto*//*Label 9827*/ GIMT_Encode4(606007), // Rule ID 5298 //
     /*  605940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  605954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605986 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606005 */     GIR_RootConstrainSelectedInstOperands,
     /*  606006 */     // GIR_Coverage, 5298,
     /*  606006 */     GIR_EraseRootFromParent_Done,
     /*  606007 */   // Label 9827: @606007
     /*  606007 */   GIM_Try, /*On fail goto*//*Label 9828*/ GIMT_Encode4(606079), // Rule ID 5299 //
     /*  606012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  606026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606058 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  606061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606077 */     GIR_RootConstrainSelectedInstOperands,
     /*  606078 */     // GIR_Coverage, 5299,
     /*  606078 */     GIR_EraseRootFromParent_Done,
     /*  606079 */   // Label 9828: @606079
     /*  606079 */   GIM_Try, /*On fail goto*//*Label 9829*/ GIMT_Encode4(606151), // Rule ID 5300 //
     /*  606084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  606098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606130 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  606133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606149 */     GIR_RootConstrainSelectedInstOperands,
     /*  606150 */     // GIR_Coverage, 5300,
     /*  606150 */     GIR_EraseRootFromParent_Done,
     /*  606151 */   // Label 9829: @606151
     /*  606151 */   GIM_Try, /*On fail goto*//*Label 9830*/ GIMT_Encode4(606223), // Rule ID 5301 //
     /*  606156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  606170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606202 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  606205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606221 */     GIR_RootConstrainSelectedInstOperands,
     /*  606222 */     // GIR_Coverage, 5301,
     /*  606222 */     GIR_EraseRootFromParent_Done,
     /*  606223 */   // Label 9830: @606223
     /*  606223 */   GIM_Try, /*On fail goto*//*Label 9831*/ GIMT_Encode4(606295), // Rule ID 5302 //
     /*  606228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  606242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606274 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  606277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606293 */     GIR_RootConstrainSelectedInstOperands,
     /*  606294 */     // GIR_Coverage, 5302,
     /*  606294 */     GIR_EraseRootFromParent_Done,
     /*  606295 */   // Label 9831: @606295
     /*  606295 */   GIM_Try, /*On fail goto*//*Label 9832*/ GIMT_Encode4(606367), // Rule ID 5303 //
     /*  606300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  606314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606346 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  606349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606365 */     GIR_RootConstrainSelectedInstOperands,
     /*  606366 */     // GIR_Coverage, 5303,
     /*  606366 */     GIR_EraseRootFromParent_Done,
     /*  606367 */   // Label 9832: @606367
     /*  606367 */   GIM_Try, /*On fail goto*//*Label 9833*/ GIMT_Encode4(606439), // Rule ID 5304 //
     /*  606372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  606386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606418 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  606418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  606421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606437 */     GIR_RootConstrainSelectedInstOperands,
     /*  606438 */     // GIR_Coverage, 5304,
     /*  606438 */     GIR_EraseRootFromParent_Done,
     /*  606439 */   // Label 9833: @606439
     /*  606439 */   GIM_Try, /*On fail goto*//*Label 9834*/ GIMT_Encode4(606511), // Rule ID 5305 //
     /*  606444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  606458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606490 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  606490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  606493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606509 */     GIR_RootConstrainSelectedInstOperands,
     /*  606510 */     // GIR_Coverage, 5305,
     /*  606510 */     GIR_EraseRootFromParent_Done,
     /*  606511 */   // Label 9834: @606511
     /*  606511 */   GIM_Try, /*On fail goto*//*Label 9835*/ GIMT_Encode4(606583), // Rule ID 5306 //
     /*  606516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  606530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606562 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606581 */     GIR_RootConstrainSelectedInstOperands,
     /*  606582 */     // GIR_Coverage, 5306,
     /*  606582 */     GIR_EraseRootFromParent_Done,
     /*  606583 */   // Label 9835: @606583
     /*  606583 */   GIM_Try, /*On fail goto*//*Label 9836*/ GIMT_Encode4(606655), // Rule ID 5307 //
     /*  606588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  606602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606634 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606653 */     GIR_RootConstrainSelectedInstOperands,
     /*  606654 */     // GIR_Coverage, 5307,
     /*  606654 */     GIR_EraseRootFromParent_Done,
     /*  606655 */   // Label 9836: @606655
     /*  606655 */   GIM_Try, /*On fail goto*//*Label 9837*/ GIMT_Encode4(606727), // Rule ID 5308 //
     /*  606660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  606674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606706 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606725 */     GIR_RootConstrainSelectedInstOperands,
     /*  606726 */     // GIR_Coverage, 5308,
     /*  606726 */     GIR_EraseRootFromParent_Done,
     /*  606727 */   // Label 9837: @606727
     /*  606727 */   GIM_Try, /*On fail goto*//*Label 9838*/ GIMT_Encode4(606799), // Rule ID 5309 //
     /*  606732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  606746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606778 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606797 */     GIR_RootConstrainSelectedInstOperands,
     /*  606798 */     // GIR_Coverage, 5309,
     /*  606798 */     GIR_EraseRootFromParent_Done,
     /*  606799 */   // Label 9838: @606799
     /*  606799 */   GIM_Try, /*On fail goto*//*Label 9839*/ GIMT_Encode4(606871), // Rule ID 5310 //
     /*  606804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  606818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606850 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  606850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606869 */     GIR_RootConstrainSelectedInstOperands,
     /*  606870 */     // GIR_Coverage, 5310,
     /*  606870 */     GIR_EraseRootFromParent_Done,
     /*  606871 */   // Label 9839: @606871
     /*  606871 */   GIM_Try, /*On fail goto*//*Label 9840*/ GIMT_Encode4(606943), // Rule ID 5311 //
     /*  606876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  606890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606922 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  606922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606941 */     GIR_RootConstrainSelectedInstOperands,
     /*  606942 */     // GIR_Coverage, 5311,
     /*  606942 */     GIR_EraseRootFromParent_Done,
     /*  606943 */   // Label 9840: @606943
     /*  606943 */   GIM_Try, /*On fail goto*//*Label 9841*/ GIMT_Encode4(607015), // Rule ID 5312 //
     /*  606948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  606951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  606962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606994 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  606994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  606997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607013 */     GIR_RootConstrainSelectedInstOperands,
     /*  607014 */     // GIR_Coverage, 5312,
     /*  607014 */     GIR_EraseRootFromParent_Done,
     /*  607015 */   // Label 9841: @607015
     /*  607015 */   GIM_Try, /*On fail goto*//*Label 9842*/ GIMT_Encode4(607087), // Rule ID 5313 //
     /*  607020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  607034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607066 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  607069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607085 */     GIR_RootConstrainSelectedInstOperands,
     /*  607086 */     // GIR_Coverage, 5313,
     /*  607086 */     GIR_EraseRootFromParent_Done,
     /*  607087 */   // Label 9842: @607087
     /*  607087 */   GIM_Try, /*On fail goto*//*Label 9843*/ GIMT_Encode4(607159), // Rule ID 5314 //
     /*  607092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  607106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607138 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607157 */     GIR_RootConstrainSelectedInstOperands,
     /*  607158 */     // GIR_Coverage, 5314,
     /*  607158 */     GIR_EraseRootFromParent_Done,
     /*  607159 */   // Label 9843: @607159
     /*  607159 */   GIM_Try, /*On fail goto*//*Label 9844*/ GIMT_Encode4(607231), // Rule ID 5315 //
     /*  607164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  607178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607210 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607229 */     GIR_RootConstrainSelectedInstOperands,
     /*  607230 */     // GIR_Coverage, 5315,
     /*  607230 */     GIR_EraseRootFromParent_Done,
     /*  607231 */   // Label 9844: @607231
     /*  607231 */   GIM_Try, /*On fail goto*//*Label 9845*/ GIMT_Encode4(607303), // Rule ID 5316 //
     /*  607236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  607250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607282 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607301 */     GIR_RootConstrainSelectedInstOperands,
     /*  607302 */     // GIR_Coverage, 5316,
     /*  607302 */     GIR_EraseRootFromParent_Done,
     /*  607303 */   // Label 9845: @607303
     /*  607303 */   GIM_Try, /*On fail goto*//*Label 9846*/ GIMT_Encode4(607375), // Rule ID 5317 //
     /*  607308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  607322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607354 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607373 */     GIR_RootConstrainSelectedInstOperands,
     /*  607374 */     // GIR_Coverage, 5317,
     /*  607374 */     GIR_EraseRootFromParent_Done,
     /*  607375 */   // Label 9846: @607375
     /*  607375 */   GIM_Try, /*On fail goto*//*Label 9847*/ GIMT_Encode4(607447), // Rule ID 5318 //
     /*  607380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  607391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  607394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  607400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607426 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607445 */     GIR_RootConstrainSelectedInstOperands,
     /*  607446 */     // GIR_Coverage, 5318,
     /*  607446 */     GIR_EraseRootFromParent_Done,
     /*  607447 */   // Label 9847: @607447
     /*  607447 */   GIM_Try, /*On fail goto*//*Label 9848*/ GIMT_Encode4(607519), // Rule ID 5319 //
     /*  607452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  607463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  607466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  607472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607498 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607517 */     GIR_RootConstrainSelectedInstOperands,
     /*  607518 */     // GIR_Coverage, 5319,
     /*  607518 */     GIR_EraseRootFromParent_Done,
     /*  607519 */   // Label 9848: @607519
     /*  607519 */   GIM_Try, /*On fail goto*//*Label 9849*/ GIMT_Encode4(607591), // Rule ID 5320 //
     /*  607524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  607538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607570 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607589 */     GIR_RootConstrainSelectedInstOperands,
     /*  607590 */     // GIR_Coverage, 5320,
     /*  607590 */     GIR_EraseRootFromParent_Done,
     /*  607591 */   // Label 9849: @607591
     /*  607591 */   GIM_Try, /*On fail goto*//*Label 9850*/ GIMT_Encode4(607663), // Rule ID 5321 //
     /*  607596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  607610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607642 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607661 */     GIR_RootConstrainSelectedInstOperands,
     /*  607662 */     // GIR_Coverage, 5321,
     /*  607662 */     GIR_EraseRootFromParent_Done,
     /*  607663 */   // Label 9850: @607663
     /*  607663 */   GIM_Try, /*On fail goto*//*Label 9851*/ GIMT_Encode4(607735), // Rule ID 5322 //
     /*  607668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  607682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607714 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607733 */     GIR_RootConstrainSelectedInstOperands,
     /*  607734 */     // GIR_Coverage, 5322,
     /*  607734 */     GIR_EraseRootFromParent_Done,
     /*  607735 */   // Label 9851: @607735
     /*  607735 */   GIM_Try, /*On fail goto*//*Label 9852*/ GIMT_Encode4(607807), // Rule ID 5323 //
     /*  607740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  607754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607786 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607805 */     GIR_RootConstrainSelectedInstOperands,
     /*  607806 */     // GIR_Coverage, 5323,
     /*  607806 */     GIR_EraseRootFromParent_Done,
     /*  607807 */   // Label 9852: @607807
     /*  607807 */   GIM_Try, /*On fail goto*//*Label 9853*/ GIMT_Encode4(607879), // Rule ID 5324 //
     /*  607812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  607826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607858 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607877 */     GIR_RootConstrainSelectedInstOperands,
     /*  607878 */     // GIR_Coverage, 5324,
     /*  607878 */     GIR_EraseRootFromParent_Done,
     /*  607879 */   // Label 9853: @607879
     /*  607879 */   GIM_Try, /*On fail goto*//*Label 9854*/ GIMT_Encode4(607951), // Rule ID 5325 //
     /*  607884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  607898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607930 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607949 */     GIR_RootConstrainSelectedInstOperands,
     /*  607950 */     // GIR_Coverage, 5325,
     /*  607950 */     GIR_EraseRootFromParent_Done,
     /*  607951 */   // Label 9854: @607951
     /*  607951 */   GIM_Try, /*On fail goto*//*Label 9855*/ GIMT_Encode4(608023), // Rule ID 5326 //
     /*  607956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  607970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608002 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  608005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608021 */     GIR_RootConstrainSelectedInstOperands,
     /*  608022 */     // GIR_Coverage, 5326,
     /*  608022 */     GIR_EraseRootFromParent_Done,
     /*  608023 */   // Label 9855: @608023
     /*  608023 */   GIM_Try, /*On fail goto*//*Label 9856*/ GIMT_Encode4(608095), // Rule ID 5327 //
     /*  608028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  608042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  608045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608074 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  608077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608093 */     GIR_RootConstrainSelectedInstOperands,
     /*  608094 */     // GIR_Coverage, 5327,
     /*  608094 */     GIR_EraseRootFromParent_Done,
     /*  608095 */   // Label 9856: @608095
     /*  608095 */   GIM_Try, /*On fail goto*//*Label 9857*/ GIMT_Encode4(608167), // Rule ID 5328 //
     /*  608100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  608114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  608117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608146 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  608149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608165 */     GIR_RootConstrainSelectedInstOperands,
     /*  608166 */     // GIR_Coverage, 5328,
     /*  608166 */     GIR_EraseRootFromParent_Done,
     /*  608167 */   // Label 9857: @608167
     /*  608167 */   GIM_Try, /*On fail goto*//*Label 9858*/ GIMT_Encode4(608239), // Rule ID 5329 //
     /*  608172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  608186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  608189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608218 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  608221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608237 */     GIR_RootConstrainSelectedInstOperands,
     /*  608238 */     // GIR_Coverage, 5329,
     /*  608238 */     GIR_EraseRootFromParent_Done,
     /*  608239 */   // Label 9858: @608239
     /*  608239 */   GIM_Try, /*On fail goto*//*Label 9859*/ GIMT_Encode4(608311), // Rule ID 5330 //
     /*  608244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  608258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  608261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608290 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  608293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608309 */     GIR_RootConstrainSelectedInstOperands,
     /*  608310 */     // GIR_Coverage, 5330,
     /*  608310 */     GIR_EraseRootFromParent_Done,
     /*  608311 */   // Label 9859: @608311
     /*  608311 */   GIM_Try, /*On fail goto*//*Label 9860*/ GIMT_Encode4(608383), // Rule ID 5331 //
     /*  608316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  608330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  608333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608362 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  608365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608381 */     GIR_RootConstrainSelectedInstOperands,
     /*  608382 */     // GIR_Coverage, 5331,
     /*  608382 */     GIR_EraseRootFromParent_Done,
     /*  608383 */   // Label 9860: @608383
     /*  608383 */   GIM_Try, /*On fail goto*//*Label 9861*/ GIMT_Encode4(608455), // Rule ID 5332 //
     /*  608388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  608391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  608402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  608405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608434 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  608434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  608437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608453 */     GIR_RootConstrainSelectedInstOperands,
     /*  608454 */     // GIR_Coverage, 5332,
     /*  608454 */     GIR_EraseRootFromParent_Done,
     /*  608455 */   // Label 9861: @608455
     /*  608455 */   GIM_Try, /*On fail goto*//*Label 9862*/ GIMT_Encode4(608527), // Rule ID 5333 //
     /*  608460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  608463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  608474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  608477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608506 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  608506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  608509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608525 */     GIR_RootConstrainSelectedInstOperands,
     /*  608526 */     // GIR_Coverage, 5333,
     /*  608526 */     GIR_EraseRootFromParent_Done,
     /*  608527 */   // Label 9862: @608527
     /*  608527 */   GIM_Try, /*On fail goto*//*Label 9863*/ GIMT_Encode4(608599), // Rule ID 5334 //
     /*  608532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  608535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  608546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  608549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608578 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  608578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  608581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608597 */     GIR_RootConstrainSelectedInstOperands,
     /*  608598 */     // GIR_Coverage, 5334,
     /*  608598 */     GIR_EraseRootFromParent_Done,
     /*  608599 */   // Label 9863: @608599
     /*  608599 */   GIM_Try, /*On fail goto*//*Label 9864*/ GIMT_Encode4(608671), // Rule ID 5335 //
     /*  608604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  608607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  608618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  608621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608650 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  608650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  608653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608669 */     GIR_RootConstrainSelectedInstOperands,
     /*  608670 */     // GIR_Coverage, 5335,
     /*  608670 */     GIR_EraseRootFromParent_Done,
     /*  608671 */   // Label 9864: @608671
     /*  608671 */   GIM_Try, /*On fail goto*//*Label 9865*/ GIMT_Encode4(608743), // Rule ID 5336 //
     /*  608676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  608679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  608690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  608693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608722 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  608722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  608725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608741 */     GIR_RootConstrainSelectedInstOperands,
     /*  608742 */     // GIR_Coverage, 5336,
     /*  608742 */     GIR_EraseRootFromParent_Done,
     /*  608743 */   // Label 9865: @608743
     /*  608743 */   GIM_Try, /*On fail goto*//*Label 9866*/ GIMT_Encode4(608815), // Rule ID 5337 //
     /*  608748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  608751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  608762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  608765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608794 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  608794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  608797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608813 */     GIR_RootConstrainSelectedInstOperands,
     /*  608814 */     // GIR_Coverage, 5337,
     /*  608814 */     GIR_EraseRootFromParent_Done,
     /*  608815 */   // Label 9866: @608815
     /*  608815 */   GIM_Try, /*On fail goto*//*Label 9867*/ GIMT_Encode4(608887), // Rule ID 5600 //
     /*  608820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  608834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  608837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608866 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  608869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608885 */     GIR_RootConstrainSelectedInstOperands,
     /*  608886 */     // GIR_Coverage, 5600,
     /*  608886 */     GIR_EraseRootFromParent_Done,
     /*  608887 */   // Label 9867: @608887
     /*  608887 */   GIM_Try, /*On fail goto*//*Label 9868*/ GIMT_Encode4(608959), // Rule ID 5601 //
     /*  608892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  608906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  608909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608938 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  608941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608957 */     GIR_RootConstrainSelectedInstOperands,
     /*  608958 */     // GIR_Coverage, 5601,
     /*  608958 */     GIR_EraseRootFromParent_Done,
     /*  608959 */   // Label 9868: @608959
     /*  608959 */   GIM_Try, /*On fail goto*//*Label 9869*/ GIMT_Encode4(609031), // Rule ID 5602 //
     /*  608964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  608978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  608981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609010 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  609013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609029 */     GIR_RootConstrainSelectedInstOperands,
     /*  609030 */     // GIR_Coverage, 5602,
     /*  609030 */     GIR_EraseRootFromParent_Done,
     /*  609031 */   // Label 9869: @609031
     /*  609031 */   GIM_Try, /*On fail goto*//*Label 9870*/ GIMT_Encode4(609103), // Rule ID 5603 //
     /*  609036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  609050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  609053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609082 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  609085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609101 */     GIR_RootConstrainSelectedInstOperands,
     /*  609102 */     // GIR_Coverage, 5603,
     /*  609102 */     GIR_EraseRootFromParent_Done,
     /*  609103 */   // Label 9870: @609103
     /*  609103 */   GIM_Try, /*On fail goto*//*Label 9871*/ GIMT_Encode4(609175), // Rule ID 5604 //
     /*  609108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  609122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  609125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609154 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  609157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609173 */     GIR_RootConstrainSelectedInstOperands,
     /*  609174 */     // GIR_Coverage, 5604,
     /*  609174 */     GIR_EraseRootFromParent_Done,
     /*  609175 */   // Label 9871: @609175
     /*  609175 */   GIM_Try, /*On fail goto*//*Label 9872*/ GIMT_Encode4(609247), // Rule ID 5605 //
     /*  609180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  609194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  609197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609226 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  609229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609245 */     GIR_RootConstrainSelectedInstOperands,
     /*  609246 */     // GIR_Coverage, 5605,
     /*  609246 */     GIR_EraseRootFromParent_Done,
     /*  609247 */   // Label 9872: @609247
     /*  609247 */   GIM_Try, /*On fail goto*//*Label 9873*/ GIMT_Encode4(609319), // Rule ID 5606 //
     /*  609252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  609266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  609269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609298 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  609301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609317 */     GIR_RootConstrainSelectedInstOperands,
     /*  609318 */     // GIR_Coverage, 5606,
     /*  609318 */     GIR_EraseRootFromParent_Done,
     /*  609319 */   // Label 9873: @609319
     /*  609319 */   GIM_Try, /*On fail goto*//*Label 9874*/ GIMT_Encode4(609391), // Rule ID 5607 //
     /*  609324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  609338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  609341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609370 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  609370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  609373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609389 */     GIR_RootConstrainSelectedInstOperands,
     /*  609390 */     // GIR_Coverage, 5607,
     /*  609390 */     GIR_EraseRootFromParent_Done,
     /*  609391 */   // Label 9874: @609391
     /*  609391 */   GIM_Try, /*On fail goto*//*Label 9875*/ GIMT_Encode4(609463), // Rule ID 5608 //
     /*  609396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  609410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  609413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609442 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  609445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609461 */     GIR_RootConstrainSelectedInstOperands,
     /*  609462 */     // GIR_Coverage, 5608,
     /*  609462 */     GIR_EraseRootFromParent_Done,
     /*  609463 */   // Label 9875: @609463
     /*  609463 */   GIM_Try, /*On fail goto*//*Label 9876*/ GIMT_Encode4(609535), // Rule ID 5609 //
     /*  609468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  609482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  609485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609514 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  609514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  609517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609533 */     GIR_RootConstrainSelectedInstOperands,
     /*  609534 */     // GIR_Coverage, 5609,
     /*  609534 */     GIR_EraseRootFromParent_Done,
     /*  609535 */   // Label 9876: @609535
     /*  609535 */   GIM_Try, /*On fail goto*//*Label 9877*/ GIMT_Encode4(609607), // Rule ID 5610 //
     /*  609540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  609554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  609557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609586 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  609586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  609589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609605 */     GIR_RootConstrainSelectedInstOperands,
     /*  609606 */     // GIR_Coverage, 5610,
     /*  609606 */     GIR_EraseRootFromParent_Done,
     /*  609607 */   // Label 9877: @609607
     /*  609607 */   GIM_Try, /*On fail goto*//*Label 9878*/ GIMT_Encode4(609679), // Rule ID 5611 //
     /*  609612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  609626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  609629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609658 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  609658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  609661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609677 */     GIR_RootConstrainSelectedInstOperands,
     /*  609678 */     // GIR_Coverage, 5611,
     /*  609678 */     GIR_EraseRootFromParent_Done,
     /*  609679 */   // Label 9878: @609679
     /*  609679 */   GIM_Try, /*On fail goto*//*Label 9879*/ GIMT_Encode4(609751), // Rule ID 5612 //
     /*  609684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  609698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  609701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609730 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609749 */     GIR_RootConstrainSelectedInstOperands,
     /*  609750 */     // GIR_Coverage, 5612,
     /*  609750 */     GIR_EraseRootFromParent_Done,
     /*  609751 */   // Label 9879: @609751
     /*  609751 */   GIM_Try, /*On fail goto*//*Label 9880*/ GIMT_Encode4(609823), // Rule ID 5613 //
     /*  609756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  609770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  609773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609802 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609821 */     GIR_RootConstrainSelectedInstOperands,
     /*  609822 */     // GIR_Coverage, 5613,
     /*  609822 */     GIR_EraseRootFromParent_Done,
     /*  609823 */   // Label 9880: @609823
     /*  609823 */   GIM_Try, /*On fail goto*//*Label 9881*/ GIMT_Encode4(609895), // Rule ID 5614 //
     /*  609828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  609842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  609845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609874 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609893 */     GIR_RootConstrainSelectedInstOperands,
     /*  609894 */     // GIR_Coverage, 5614,
     /*  609894 */     GIR_EraseRootFromParent_Done,
     /*  609895 */   // Label 9881: @609895
     /*  609895 */   GIM_Try, /*On fail goto*//*Label 9882*/ GIMT_Encode4(609967), // Rule ID 5615 //
     /*  609900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  609914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  609917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609946 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  609946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609965 */     GIR_RootConstrainSelectedInstOperands,
     /*  609966 */     // GIR_Coverage, 5615,
     /*  609966 */     GIR_EraseRootFromParent_Done,
     /*  609967 */   // Label 9882: @609967
     /*  609967 */   GIM_Try, /*On fail goto*//*Label 9883*/ GIMT_Encode4(610039), // Rule ID 5616 //
     /*  609972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  609986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  609989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610018 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  610021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610037 */     GIR_RootConstrainSelectedInstOperands,
     /*  610038 */     // GIR_Coverage, 5616,
     /*  610038 */     GIR_EraseRootFromParent_Done,
     /*  610039 */   // Label 9883: @610039
     /*  610039 */   GIM_Try, /*On fail goto*//*Label 9884*/ GIMT_Encode4(610111), // Rule ID 5617 //
     /*  610044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  610058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  610061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610090 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  610093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610109 */     GIR_RootConstrainSelectedInstOperands,
     /*  610110 */     // GIR_Coverage, 5617,
     /*  610110 */     GIR_EraseRootFromParent_Done,
     /*  610111 */   // Label 9884: @610111
     /*  610111 */   GIM_Try, /*On fail goto*//*Label 9885*/ GIMT_Encode4(610183), // Rule ID 5618 //
     /*  610116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  610119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  610130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  610133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610162 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  610162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  610165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610181 */     GIR_RootConstrainSelectedInstOperands,
     /*  610182 */     // GIR_Coverage, 5618,
     /*  610182 */     GIR_EraseRootFromParent_Done,
     /*  610183 */   // Label 9885: @610183
     /*  610183 */   GIM_Try, /*On fail goto*//*Label 9886*/ GIMT_Encode4(610255), // Rule ID 5619 //
     /*  610188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  610191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  610202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  610205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610234 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  610234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  610237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610253 */     GIR_RootConstrainSelectedInstOperands,
     /*  610254 */     // GIR_Coverage, 5619,
     /*  610254 */     GIR_EraseRootFromParent_Done,
     /*  610255 */   // Label 9886: @610255
     /*  610255 */   GIM_Try, /*On fail goto*//*Label 9887*/ GIMT_Encode4(610327), // Rule ID 5620 //
     /*  610260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  610274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  610277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610306 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610325 */     GIR_RootConstrainSelectedInstOperands,
     /*  610326 */     // GIR_Coverage, 5620,
     /*  610326 */     GIR_EraseRootFromParent_Done,
     /*  610327 */   // Label 9887: @610327
     /*  610327 */   GIM_Try, /*On fail goto*//*Label 9888*/ GIMT_Encode4(610399), // Rule ID 5621 //
     /*  610332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  610346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  610349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610378 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610397 */     GIR_RootConstrainSelectedInstOperands,
     /*  610398 */     // GIR_Coverage, 5621,
     /*  610398 */     GIR_EraseRootFromParent_Done,
     /*  610399 */   // Label 9888: @610399
     /*  610399 */   GIM_Try, /*On fail goto*//*Label 9889*/ GIMT_Encode4(610471), // Rule ID 5622 //
     /*  610404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  610415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  610418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  610421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  610424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610450 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610469 */     GIR_RootConstrainSelectedInstOperands,
     /*  610470 */     // GIR_Coverage, 5622,
     /*  610470 */     GIR_EraseRootFromParent_Done,
     /*  610471 */   // Label 9889: @610471
     /*  610471 */   GIM_Try, /*On fail goto*//*Label 9890*/ GIMT_Encode4(610543), // Rule ID 5623 //
     /*  610476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  610487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  610490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  610493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  610496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610522 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610541 */     GIR_RootConstrainSelectedInstOperands,
     /*  610542 */     // GIR_Coverage, 5623,
     /*  610542 */     GIR_EraseRootFromParent_Done,
     /*  610543 */   // Label 9890: @610543
     /*  610543 */   GIM_Try, /*On fail goto*//*Label 9891*/ GIMT_Encode4(610615), // Rule ID 5624 //
     /*  610548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  610559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  610562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  610565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  610568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610594 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610613 */     GIR_RootConstrainSelectedInstOperands,
     /*  610614 */     // GIR_Coverage, 5624,
     /*  610614 */     GIR_EraseRootFromParent_Done,
     /*  610615 */   // Label 9891: @610615
     /*  610615 */   GIM_Try, /*On fail goto*//*Label 9892*/ GIMT_Encode4(610687), // Rule ID 5625 //
     /*  610620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  610631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  610634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  610637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  610640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610666 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610685 */     GIR_RootConstrainSelectedInstOperands,
     /*  610686 */     // GIR_Coverage, 5625,
     /*  610686 */     GIR_EraseRootFromParent_Done,
     /*  610687 */   // Label 9892: @610687
     /*  610687 */   GIM_Try, /*On fail goto*//*Label 9893*/ GIMT_Encode4(610759), // Rule ID 5626 //
     /*  610692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  610706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  610709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610738 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610757 */     GIR_RootConstrainSelectedInstOperands,
     /*  610758 */     // GIR_Coverage, 5626,
     /*  610758 */     GIR_EraseRootFromParent_Done,
     /*  610759 */   // Label 9893: @610759
     /*  610759 */   GIM_Try, /*On fail goto*//*Label 9894*/ GIMT_Encode4(610831), // Rule ID 5627 //
     /*  610764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  610778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  610781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610810 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610829 */     GIR_RootConstrainSelectedInstOperands,
     /*  610830 */     // GIR_Coverage, 5627,
     /*  610830 */     GIR_EraseRootFromParent_Done,
     /*  610831 */   // Label 9894: @610831
     /*  610831 */   GIM_Try, /*On fail goto*//*Label 9895*/ GIMT_Encode4(610903), // Rule ID 5628 //
     /*  610836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  610850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  610853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610882 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610901 */     GIR_RootConstrainSelectedInstOperands,
     /*  610902 */     // GIR_Coverage, 5628,
     /*  610902 */     GIR_EraseRootFromParent_Done,
     /*  610903 */   // Label 9895: @610903
     /*  610903 */   GIM_Try, /*On fail goto*//*Label 9896*/ GIMT_Encode4(610975), // Rule ID 5629 //
     /*  610908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  610922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  610925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610954 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610973 */     GIR_RootConstrainSelectedInstOperands,
     /*  610974 */     // GIR_Coverage, 5629,
     /*  610974 */     GIR_EraseRootFromParent_Done,
     /*  610975 */   // Label 9896: @610975
     /*  610975 */   GIM_Try, /*On fail goto*//*Label 9897*/ GIMT_Encode4(611047), // Rule ID 5630 //
     /*  610980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  610991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  610994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  610997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  611000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611026 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  611029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611045 */     GIR_RootConstrainSelectedInstOperands,
     /*  611046 */     // GIR_Coverage, 5630,
     /*  611046 */     GIR_EraseRootFromParent_Done,
     /*  611047 */   // Label 9897: @611047
     /*  611047 */   GIM_Try, /*On fail goto*//*Label 9898*/ GIMT_Encode4(611119), // Rule ID 5631 //
     /*  611052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  611063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  611066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  611069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  611072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611098 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  611101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611117 */     GIR_RootConstrainSelectedInstOperands,
     /*  611118 */     // GIR_Coverage, 5631,
     /*  611118 */     GIR_EraseRootFromParent_Done,
     /*  611119 */   // Label 9898: @611119
     /*  611119 */   GIM_Try, /*On fail goto*//*Label 9899*/ GIMT_Encode4(611191), // Rule ID 5632 //
     /*  611124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  611138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  611141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611170 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  611170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  611173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611189 */     GIR_RootConstrainSelectedInstOperands,
     /*  611190 */     // GIR_Coverage, 5632,
     /*  611190 */     GIR_EraseRootFromParent_Done,
     /*  611191 */   // Label 9899: @611191
     /*  611191 */   GIM_Try, /*On fail goto*//*Label 9900*/ GIMT_Encode4(611263), // Rule ID 5633 //
     /*  611196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  611210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  611213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611242 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  611242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  611245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611261 */     GIR_RootConstrainSelectedInstOperands,
     /*  611262 */     // GIR_Coverage, 5633,
     /*  611262 */     GIR_EraseRootFromParent_Done,
     /*  611263 */   // Label 9900: @611263
     /*  611263 */   GIM_Try, /*On fail goto*//*Label 9901*/ GIMT_Encode4(611335), // Rule ID 5634 //
     /*  611268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  611282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  611285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611314 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  611314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  611317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611333 */     GIR_RootConstrainSelectedInstOperands,
     /*  611334 */     // GIR_Coverage, 5634,
     /*  611334 */     GIR_EraseRootFromParent_Done,
     /*  611335 */   // Label 9901: @611335
     /*  611335 */   GIM_Try, /*On fail goto*//*Label 9902*/ GIMT_Encode4(611407), // Rule ID 5635 //
     /*  611340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  611354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  611357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611386 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  611386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  611389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611405 */     GIR_RootConstrainSelectedInstOperands,
     /*  611406 */     // GIR_Coverage, 5635,
     /*  611406 */     GIR_EraseRootFromParent_Done,
     /*  611407 */   // Label 9902: @611407
     /*  611407 */   GIM_Try, /*On fail goto*//*Label 9903*/ GIMT_Encode4(611479), // Rule ID 5636 //
     /*  611412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  611426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  611429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611458 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  611458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  611461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611477 */     GIR_RootConstrainSelectedInstOperands,
     /*  611478 */     // GIR_Coverage, 5636,
     /*  611478 */     GIR_EraseRootFromParent_Done,
     /*  611479 */   // Label 9903: @611479
     /*  611479 */   GIM_Try, /*On fail goto*//*Label 9904*/ GIMT_Encode4(611551), // Rule ID 5637 //
     /*  611484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  611498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  611501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611530 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  611530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  611533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611549 */     GIR_RootConstrainSelectedInstOperands,
     /*  611550 */     // GIR_Coverage, 5637,
     /*  611550 */     GIR_EraseRootFromParent_Done,
     /*  611551 */   // Label 9904: @611551
     /*  611551 */   GIM_Try, /*On fail goto*//*Label 9905*/ GIMT_Encode4(611623), // Rule ID 5638 //
     /*  611556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  611559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  611570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  611573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611602 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  611602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  611605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611621 */     GIR_RootConstrainSelectedInstOperands,
     /*  611622 */     // GIR_Coverage, 5638,
     /*  611622 */     GIR_EraseRootFromParent_Done,
     /*  611623 */   // Label 9905: @611623
     /*  611623 */   GIM_Try, /*On fail goto*//*Label 9906*/ GIMT_Encode4(611695), // Rule ID 5639 //
     /*  611628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  611631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  611642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  611645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611674 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  611674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  611677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611693 */     GIR_RootConstrainSelectedInstOperands,
     /*  611694 */     // GIR_Coverage, 5639,
     /*  611694 */     GIR_EraseRootFromParent_Done,
     /*  611695 */   // Label 9906: @611695
     /*  611695 */   GIM_Try, /*On fail goto*//*Label 9907*/ GIMT_Encode4(611767), // Rule ID 5640 //
     /*  611700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  611703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  611714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  611717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611746 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  611746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  611749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611765 */     GIR_RootConstrainSelectedInstOperands,
     /*  611766 */     // GIR_Coverage, 5640,
     /*  611766 */     GIR_EraseRootFromParent_Done,
     /*  611767 */   // Label 9907: @611767
     /*  611767 */   GIM_Try, /*On fail goto*//*Label 9908*/ GIMT_Encode4(611839), // Rule ID 5641 //
     /*  611772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  611775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  611786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  611789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611818 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  611818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  611821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611837 */     GIR_RootConstrainSelectedInstOperands,
     /*  611838 */     // GIR_Coverage, 5641,
     /*  611838 */     GIR_EraseRootFromParent_Done,
     /*  611839 */   // Label 9908: @611839
     /*  611839 */   GIM_Try, /*On fail goto*//*Label 9909*/ GIMT_Encode4(611911), // Rule ID 5642 //
     /*  611844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  611847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  611858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  611861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611890 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  611890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  611893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611909 */     GIR_RootConstrainSelectedInstOperands,
     /*  611910 */     // GIR_Coverage, 5642,
     /*  611910 */     GIR_EraseRootFromParent_Done,
     /*  611911 */   // Label 9909: @611911
     /*  611911 */   GIM_Try, /*On fail goto*//*Label 9910*/ GIMT_Encode4(611983), // Rule ID 5643 //
     /*  611916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  611919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  611930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  611933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611962 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  611962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  611965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611981 */     GIR_RootConstrainSelectedInstOperands,
     /*  611982 */     // GIR_Coverage, 5643,
     /*  611982 */     GIR_EraseRootFromParent_Done,
     /*  611983 */   // Label 9910: @611983
     /*  611983 */   GIM_Try, /*On fail goto*//*Label 9911*/ GIMT_Encode4(612055), // Rule ID 5644 //
     /*  611988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  612002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612034 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  612037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612053 */     GIR_RootConstrainSelectedInstOperands,
     /*  612054 */     // GIR_Coverage, 5644,
     /*  612054 */     GIR_EraseRootFromParent_Done,
     /*  612055 */   // Label 9911: @612055
     /*  612055 */   GIM_Try, /*On fail goto*//*Label 9912*/ GIMT_Encode4(612127), // Rule ID 5645 //
     /*  612060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  612074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612106 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  612109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612125 */     GIR_RootConstrainSelectedInstOperands,
     /*  612126 */     // GIR_Coverage, 5645,
     /*  612126 */     GIR_EraseRootFromParent_Done,
     /*  612127 */   // Label 9912: @612127
     /*  612127 */   GIM_Try, /*On fail goto*//*Label 9913*/ GIMT_Encode4(612199), // Rule ID 5646 //
     /*  612132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  612146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612178 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  612181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612197 */     GIR_RootConstrainSelectedInstOperands,
     /*  612198 */     // GIR_Coverage, 5646,
     /*  612198 */     GIR_EraseRootFromParent_Done,
     /*  612199 */   // Label 9913: @612199
     /*  612199 */   GIM_Try, /*On fail goto*//*Label 9914*/ GIMT_Encode4(612271), // Rule ID 5647 //
     /*  612204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  612218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612250 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  612253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612269 */     GIR_RootConstrainSelectedInstOperands,
     /*  612270 */     // GIR_Coverage, 5647,
     /*  612270 */     GIR_EraseRootFromParent_Done,
     /*  612271 */   // Label 9914: @612271
     /*  612271 */   GIM_Try, /*On fail goto*//*Label 9915*/ GIMT_Encode4(612343), // Rule ID 5648 //
     /*  612276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  612290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612322 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  612325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612341 */     GIR_RootConstrainSelectedInstOperands,
     /*  612342 */     // GIR_Coverage, 5648,
     /*  612342 */     GIR_EraseRootFromParent_Done,
     /*  612343 */   // Label 9915: @612343
     /*  612343 */   GIM_Try, /*On fail goto*//*Label 9916*/ GIMT_Encode4(612415), // Rule ID 5649 //
     /*  612348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  612362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612394 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  612397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612413 */     GIR_RootConstrainSelectedInstOperands,
     /*  612414 */     // GIR_Coverage, 5649,
     /*  612414 */     GIR_EraseRootFromParent_Done,
     /*  612415 */   // Label 9916: @612415
     /*  612415 */   GIM_Try, /*On fail goto*//*Label 9917*/ GIMT_Encode4(612487), // Rule ID 5650 //
     /*  612420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  612434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612466 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  612466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  612469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612485 */     GIR_RootConstrainSelectedInstOperands,
     /*  612486 */     // GIR_Coverage, 5650,
     /*  612486 */     GIR_EraseRootFromParent_Done,
     /*  612487 */   // Label 9917: @612487
     /*  612487 */   GIM_Try, /*On fail goto*//*Label 9918*/ GIMT_Encode4(612559), // Rule ID 5651 //
     /*  612492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  612506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612538 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  612538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  612541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612557 */     GIR_RootConstrainSelectedInstOperands,
     /*  612558 */     // GIR_Coverage, 5651,
     /*  612558 */     GIR_EraseRootFromParent_Done,
     /*  612559 */   // Label 9918: @612559
     /*  612559 */   GIM_Try, /*On fail goto*//*Label 9919*/ GIMT_Encode4(612631), // Rule ID 5652 //
     /*  612564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  612578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612610 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  612610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  612613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612629 */     GIR_RootConstrainSelectedInstOperands,
     /*  612630 */     // GIR_Coverage, 5652,
     /*  612630 */     GIR_EraseRootFromParent_Done,
     /*  612631 */   // Label 9919: @612631
     /*  612631 */   GIM_Try, /*On fail goto*//*Label 9920*/ GIMT_Encode4(612703), // Rule ID 5653 //
     /*  612636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  612650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612682 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  612682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  612685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612701 */     GIR_RootConstrainSelectedInstOperands,
     /*  612702 */     // GIR_Coverage, 5653,
     /*  612702 */     GIR_EraseRootFromParent_Done,
     /*  612703 */   // Label 9920: @612703
     /*  612703 */   GIM_Try, /*On fail goto*//*Label 9921*/ GIMT_Encode4(612775), // Rule ID 5654 //
     /*  612708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  612722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612754 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  612754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  612757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612773 */     GIR_RootConstrainSelectedInstOperands,
     /*  612774 */     // GIR_Coverage, 5654,
     /*  612774 */     GIR_EraseRootFromParent_Done,
     /*  612775 */   // Label 9921: @612775
     /*  612775 */   GIM_Try, /*On fail goto*//*Label 9922*/ GIMT_Encode4(612847), // Rule ID 5655 //
     /*  612780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  612794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612826 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  612829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612845 */     GIR_RootConstrainSelectedInstOperands,
     /*  612846 */     // GIR_Coverage, 5655,
     /*  612846 */     GIR_EraseRootFromParent_Done,
     /*  612847 */   // Label 9922: @612847
     /*  612847 */   GIM_Try, /*On fail goto*//*Label 9923*/ GIMT_Encode4(612919), // Rule ID 5656 //
     /*  612852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  612866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612898 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612917 */     GIR_RootConstrainSelectedInstOperands,
     /*  612918 */     // GIR_Coverage, 5656,
     /*  612918 */     GIR_EraseRootFromParent_Done,
     /*  612919 */   // Label 9923: @612919
     /*  612919 */   GIM_Try, /*On fail goto*//*Label 9924*/ GIMT_Encode4(612991), // Rule ID 5657 //
     /*  612924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  612938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612970 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612989 */     GIR_RootConstrainSelectedInstOperands,
     /*  612990 */     // GIR_Coverage, 5657,
     /*  612990 */     GIR_EraseRootFromParent_Done,
     /*  612991 */   // Label 9924: @612991
     /*  612991 */   GIM_Try, /*On fail goto*//*Label 9925*/ GIMT_Encode4(613063), // Rule ID 5658 //
     /*  612996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  613010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613042 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  613045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613061 */     GIR_RootConstrainSelectedInstOperands,
     /*  613062 */     // GIR_Coverage, 5658,
     /*  613062 */     GIR_EraseRootFromParent_Done,
     /*  613063 */   // Label 9925: @613063
     /*  613063 */   GIM_Try, /*On fail goto*//*Label 9926*/ GIMT_Encode4(613135), // Rule ID 5659 //
     /*  613068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  613082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613114 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  613117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613133 */     GIR_RootConstrainSelectedInstOperands,
     /*  613134 */     // GIR_Coverage, 5659,
     /*  613134 */     GIR_EraseRootFromParent_Done,
     /*  613135 */   // Label 9926: @613135
     /*  613135 */   GIM_Try, /*On fail goto*//*Label 9927*/ GIMT_Encode4(613207), // Rule ID 5660 //
     /*  613140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  613154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613186 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  613189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613205 */     GIR_RootConstrainSelectedInstOperands,
     /*  613206 */     // GIR_Coverage, 5660,
     /*  613206 */     GIR_EraseRootFromParent_Done,
     /*  613207 */   // Label 9927: @613207
     /*  613207 */   GIM_Try, /*On fail goto*//*Label 9928*/ GIMT_Encode4(613279), // Rule ID 5661 //
     /*  613212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  613226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613258 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  613261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613277 */     GIR_RootConstrainSelectedInstOperands,
     /*  613278 */     // GIR_Coverage, 5661,
     /*  613278 */     GIR_EraseRootFromParent_Done,
     /*  613279 */   // Label 9928: @613279
     /*  613279 */   GIM_Try, /*On fail goto*//*Label 9929*/ GIMT_Encode4(613351), // Rule ID 5662 //
     /*  613284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  613287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  613298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613330 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  613330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  613333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613349 */     GIR_RootConstrainSelectedInstOperands,
     /*  613350 */     // GIR_Coverage, 5662,
     /*  613350 */     GIR_EraseRootFromParent_Done,
     /*  613351 */   // Label 9929: @613351
     /*  613351 */   GIM_Try, /*On fail goto*//*Label 9930*/ GIMT_Encode4(613423), // Rule ID 5663 //
     /*  613356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  613359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  613370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613402 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  613402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  613405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613421 */     GIR_RootConstrainSelectedInstOperands,
     /*  613422 */     // GIR_Coverage, 5663,
     /*  613422 */     GIR_EraseRootFromParent_Done,
     /*  613423 */   // Label 9930: @613423
     /*  613423 */   GIM_Try, /*On fail goto*//*Label 9931*/ GIMT_Encode4(613495), // Rule ID 5664 //
     /*  613428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  613442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613474 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  613474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613493 */     GIR_RootConstrainSelectedInstOperands,
     /*  613494 */     // GIR_Coverage, 5664,
     /*  613494 */     GIR_EraseRootFromParent_Done,
     /*  613495 */   // Label 9931: @613495
     /*  613495 */   GIM_Try, /*On fail goto*//*Label 9932*/ GIMT_Encode4(613567), // Rule ID 5665 //
     /*  613500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  613514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613546 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613565 */     GIR_RootConstrainSelectedInstOperands,
     /*  613566 */     // GIR_Coverage, 5665,
     /*  613566 */     GIR_EraseRootFromParent_Done,
     /*  613567 */   // Label 9932: @613567
     /*  613567 */   GIM_Try, /*On fail goto*//*Label 9933*/ GIMT_Encode4(613639), // Rule ID 5666 //
     /*  613572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  613583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  613586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  613592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613618 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  613618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613637 */     GIR_RootConstrainSelectedInstOperands,
     /*  613638 */     // GIR_Coverage, 5666,
     /*  613638 */     GIR_EraseRootFromParent_Done,
     /*  613639 */   // Label 9933: @613639
     /*  613639 */   GIM_Try, /*On fail goto*//*Label 9934*/ GIMT_Encode4(613711), // Rule ID 5667 //
     /*  613644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  613655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  613658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  613664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613690 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613709 */     GIR_RootConstrainSelectedInstOperands,
     /*  613710 */     // GIR_Coverage, 5667,
     /*  613710 */     GIR_EraseRootFromParent_Done,
     /*  613711 */   // Label 9934: @613711
     /*  613711 */   GIM_Try, /*On fail goto*//*Label 9935*/ GIMT_Encode4(613783), // Rule ID 5668 //
     /*  613716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  613727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  613730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  613736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613762 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  613762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613781 */     GIR_RootConstrainSelectedInstOperands,
     /*  613782 */     // GIR_Coverage, 5668,
     /*  613782 */     GIR_EraseRootFromParent_Done,
     /*  613783 */   // Label 9935: @613783
     /*  613783 */   GIM_Try, /*On fail goto*//*Label 9936*/ GIMT_Encode4(613855), // Rule ID 5669 //
     /*  613788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  613799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  613802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  613808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613834 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613853 */     GIR_RootConstrainSelectedInstOperands,
     /*  613854 */     // GIR_Coverage, 5669,
     /*  613854 */     GIR_EraseRootFromParent_Done,
     /*  613855 */   // Label 9936: @613855
     /*  613855 */   GIM_Try, /*On fail goto*//*Label 9937*/ GIMT_Encode4(613927), // Rule ID 5670 //
     /*  613860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  613874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613906 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613925 */     GIR_RootConstrainSelectedInstOperands,
     /*  613926 */     // GIR_Coverage, 5670,
     /*  613926 */     GIR_EraseRootFromParent_Done,
     /*  613927 */   // Label 9937: @613927
     /*  613927 */   GIM_Try, /*On fail goto*//*Label 9938*/ GIMT_Encode4(613999), // Rule ID 5671 //
     /*  613932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  613946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613978 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613997 */     GIR_RootConstrainSelectedInstOperands,
     /*  613998 */     // GIR_Coverage, 5671,
     /*  613998 */     GIR_EraseRootFromParent_Done,
     /*  613999 */   // Label 9938: @613999
     /*  613999 */   GIM_Try, /*On fail goto*//*Label 9939*/ GIMT_Encode4(614071), // Rule ID 5672 //
     /*  614004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  614015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  614018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  614021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614050 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  614050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  614053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614069 */     GIR_RootConstrainSelectedInstOperands,
     /*  614070 */     // GIR_Coverage, 5672,
     /*  614070 */     GIR_EraseRootFromParent_Done,
     /*  614071 */   // Label 9939: @614071
     /*  614071 */   GIM_Try, /*On fail goto*//*Label 9940*/ GIMT_Encode4(614143), // Rule ID 5673 //
     /*  614076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  614087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  614090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614122 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  614122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  614125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614141 */     GIR_RootConstrainSelectedInstOperands,
     /*  614142 */     // GIR_Coverage, 5673,
     /*  614142 */     GIR_EraseRootFromParent_Done,
     /*  614143 */   // Label 9940: @614143
     /*  614143 */   GIM_Try, /*On fail goto*//*Label 9941*/ GIMT_Encode4(614215), // Rule ID 5674 //
     /*  614148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  614159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  614162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  614165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  614168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614194 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  614194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  614197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614213 */     GIR_RootConstrainSelectedInstOperands,
     /*  614214 */     // GIR_Coverage, 5674,
     /*  614214 */     GIR_EraseRootFromParent_Done,
     /*  614215 */   // Label 9941: @614215
     /*  614215 */   GIM_Try, /*On fail goto*//*Label 9942*/ GIMT_Encode4(614287), // Rule ID 5675 //
     /*  614220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  614231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  614234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  614240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614266 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  614266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  614269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614285 */     GIR_RootConstrainSelectedInstOperands,
     /*  614286 */     // GIR_Coverage, 5675,
     /*  614286 */     GIR_EraseRootFromParent_Done,
     /*  614287 */   // Label 9942: @614287
     /*  614287 */   GIM_Try, /*On fail goto*//*Label 9943*/ GIMT_Encode4(614359), // Rule ID 5676 //
     /*  614292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  614306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  614309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614338 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  614338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  614341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614357 */     GIR_RootConstrainSelectedInstOperands,
     /*  614358 */     // GIR_Coverage, 5676,
     /*  614358 */     GIR_EraseRootFromParent_Done,
     /*  614359 */   // Label 9943: @614359
     /*  614359 */   GIM_Try, /*On fail goto*//*Label 9944*/ GIMT_Encode4(614431), // Rule ID 5677 //
     /*  614364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  614378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614410 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  614410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  614413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614429 */     GIR_RootConstrainSelectedInstOperands,
     /*  614430 */     // GIR_Coverage, 5677,
     /*  614430 */     GIR_EraseRootFromParent_Done,
     /*  614431 */   // Label 9944: @614431
     /*  614431 */   GIM_Try, /*On fail goto*//*Label 9945*/ GIMT_Encode4(614503), // Rule ID 5678 //
     /*  614436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  614450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  614453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614482 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  614482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  614485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614501 */     GIR_RootConstrainSelectedInstOperands,
     /*  614502 */     // GIR_Coverage, 5678,
     /*  614502 */     GIR_EraseRootFromParent_Done,
     /*  614503 */   // Label 9945: @614503
     /*  614503 */   GIM_Try, /*On fail goto*//*Label 9946*/ GIMT_Encode4(614575), // Rule ID 5679 //
     /*  614508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  614522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614554 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  614554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  614557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614573 */     GIR_RootConstrainSelectedInstOperands,
     /*  614574 */     // GIR_Coverage, 5679,
     /*  614574 */     GIR_EraseRootFromParent_Done,
     /*  614575 */   // Label 9946: @614575
     /*  614575 */   GIM_Try, /*On fail goto*//*Label 9947*/ GIMT_Encode4(614647), // Rule ID 5680 //
     /*  614580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  614591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  614594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  614597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614626 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  614626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  614629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614645 */     GIR_RootConstrainSelectedInstOperands,
     /*  614646 */     // GIR_Coverage, 5680,
     /*  614646 */     GIR_EraseRootFromParent_Done,
     /*  614647 */   // Label 9947: @614647
     /*  614647 */   GIM_Try, /*On fail goto*//*Label 9948*/ GIMT_Encode4(614719), // Rule ID 5681 //
     /*  614652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  614663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  614666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614698 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  614698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  614701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614717 */     GIR_RootConstrainSelectedInstOperands,
     /*  614718 */     // GIR_Coverage, 5681,
     /*  614718 */     GIR_EraseRootFromParent_Done,
     /*  614719 */   // Label 9948: @614719
     /*  614719 */   GIM_Try, /*On fail goto*//*Label 9949*/ GIMT_Encode4(614791), // Rule ID 5682 //
     /*  614724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  614727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  614735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  614738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  614741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  614744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614770 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  614770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  614773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614789 */     GIR_RootConstrainSelectedInstOperands,
     /*  614790 */     // GIR_Coverage, 5682,
     /*  614790 */     GIR_EraseRootFromParent_Done,
     /*  614791 */   // Label 9949: @614791
     /*  614791 */   GIM_Try, /*On fail goto*//*Label 9950*/ GIMT_Encode4(614863), // Rule ID 5683 //
     /*  614796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  614807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  614810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  614816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614842 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  614842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  614845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614861 */     GIR_RootConstrainSelectedInstOperands,
     /*  614862 */     // GIR_Coverage, 5683,
     /*  614862 */     GIR_EraseRootFromParent_Done,
     /*  614863 */   // Label 9950: @614863
     /*  614863 */   GIM_Try, /*On fail goto*//*Label 9951*/ GIMT_Encode4(614935), // Rule ID 5684 //
     /*  614868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  614871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  614882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  614885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614914 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  614914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  614917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614933 */     GIR_RootConstrainSelectedInstOperands,
     /*  614934 */     // GIR_Coverage, 5684,
     /*  614934 */     GIR_EraseRootFromParent_Done,
     /*  614935 */   // Label 9951: @614935
     /*  614935 */   GIM_Try, /*On fail goto*//*Label 9952*/ GIMT_Encode4(615007), // Rule ID 5685 //
     /*  614940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  614954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  614957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614986 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  614986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  614989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615005 */     GIR_RootConstrainSelectedInstOperands,
     /*  615006 */     // GIR_Coverage, 5685,
     /*  615006 */     GIR_EraseRootFromParent_Done,
     /*  615007 */   // Label 9952: @615007
     /*  615007 */   GIM_Try, /*On fail goto*//*Label 9953*/ GIMT_Encode4(615079), // Rule ID 5686 //
     /*  615012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  615023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  615026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  615029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  615032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615058 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  615058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  615061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615077 */     GIR_RootConstrainSelectedInstOperands,
     /*  615078 */     // GIR_Coverage, 5686,
     /*  615078 */     GIR_EraseRootFromParent_Done,
     /*  615079 */   // Label 9953: @615079
     /*  615079 */   GIM_Try, /*On fail goto*//*Label 9954*/ GIMT_Encode4(615151), // Rule ID 5687 //
     /*  615084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  615095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  615098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  615101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  615104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615130 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  615130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  615133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615149 */     GIR_RootConstrainSelectedInstOperands,
     /*  615150 */     // GIR_Coverage, 5687,
     /*  615150 */     GIR_EraseRootFromParent_Done,
     /*  615151 */   // Label 9954: @615151
     /*  615151 */   GIM_Try, /*On fail goto*//*Label 9955*/ GIMT_Encode4(615226), // Rule ID 5776 //
     /*  615156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  615167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  615170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  615173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  615176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615202 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  615205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615224 */     GIR_RootConstrainSelectedInstOperands,
     /*  615225 */     // GIR_Coverage, 5776,
     /*  615225 */     GIR_EraseRootFromParent_Done,
     /*  615226 */   // Label 9955: @615226
     /*  615226 */   GIM_Try, /*On fail goto*//*Label 9956*/ GIMT_Encode4(615301), // Rule ID 5777 //
     /*  615231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  615242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  615245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  615248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  615251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615277 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  615280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615299 */     GIR_RootConstrainSelectedInstOperands,
     /*  615300 */     // GIR_Coverage, 5777,
     /*  615300 */     GIR_EraseRootFromParent_Done,
     /*  615301 */   // Label 9956: @615301
     /*  615301 */   GIM_Try, /*On fail goto*//*Label 9957*/ GIMT_Encode4(615376), // Rule ID 5780 //
     /*  615306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  615317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  615320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  615323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  615326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615352 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  615355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615374 */     GIR_RootConstrainSelectedInstOperands,
     /*  615375 */     // GIR_Coverage, 5780,
     /*  615375 */     GIR_EraseRootFromParent_Done,
     /*  615376 */   // Label 9957: @615376
     /*  615376 */   GIM_Try, /*On fail goto*//*Label 9958*/ GIMT_Encode4(615451), // Rule ID 5781 //
     /*  615381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  615392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  615395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  615398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  615401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615427 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  615430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615449 */     GIR_RootConstrainSelectedInstOperands,
     /*  615450 */     // GIR_Coverage, 5781,
     /*  615450 */     GIR_EraseRootFromParent_Done,
     /*  615451 */   // Label 9958: @615451
     /*  615451 */   GIM_Try, /*On fail goto*//*Label 9959*/ GIMT_Encode4(615526), // Rule ID 5784 //
     /*  615456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  615467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  615470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  615473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  615476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  615505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615524 */     GIR_RootConstrainSelectedInstOperands,
     /*  615525 */     // GIR_Coverage, 5784,
     /*  615525 */     GIR_EraseRootFromParent_Done,
     /*  615526 */   // Label 9959: @615526
     /*  615526 */   GIM_Try, /*On fail goto*//*Label 9960*/ GIMT_Encode4(615601), // Rule ID 5785 //
     /*  615531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  615542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  615545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  615548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  615551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615577 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  615580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615599 */     GIR_RootConstrainSelectedInstOperands,
     /*  615600 */     // GIR_Coverage, 5785,
     /*  615600 */     GIR_EraseRootFromParent_Done,
     /*  615601 */   // Label 9960: @615601
     /*  615601 */   GIM_Try, /*On fail goto*//*Label 9961*/ GIMT_Encode4(615676), // Rule ID 5788 //
     /*  615606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  615617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  615620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  615623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  615626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615652 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  615655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615674 */     GIR_RootConstrainSelectedInstOperands,
     /*  615675 */     // GIR_Coverage, 5788,
     /*  615675 */     GIR_EraseRootFromParent_Done,
     /*  615676 */   // Label 9961: @615676
     /*  615676 */   GIM_Try, /*On fail goto*//*Label 9962*/ GIMT_Encode4(615751), // Rule ID 5789 //
     /*  615681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  615692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  615695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  615698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  615701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615727 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  615730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615749 */     GIR_RootConstrainSelectedInstOperands,
     /*  615750 */     // GIR_Coverage, 5789,
     /*  615750 */     GIR_EraseRootFromParent_Done,
     /*  615751 */   // Label 9962: @615751
     /*  615751 */   GIM_Try, /*On fail goto*//*Label 9963*/ GIMT_Encode4(615826), // Rule ID 5792 //
     /*  615756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  615767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  615770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  615773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  615776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615802 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  615805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615824 */     GIR_RootConstrainSelectedInstOperands,
     /*  615825 */     // GIR_Coverage, 5792,
     /*  615825 */     GIR_EraseRootFromParent_Done,
     /*  615826 */   // Label 9963: @615826
     /*  615826 */   GIM_Try, /*On fail goto*//*Label 9964*/ GIMT_Encode4(615901), // Rule ID 5793 //
     /*  615831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  615842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  615845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  615848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  615851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615877 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  615880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615899 */     GIR_RootConstrainSelectedInstOperands,
     /*  615900 */     // GIR_Coverage, 5793,
     /*  615900 */     GIR_EraseRootFromParent_Done,
     /*  615901 */   // Label 9964: @615901
     /*  615901 */   GIM_Try, /*On fail goto*//*Label 9965*/ GIMT_Encode4(615976), // Rule ID 5796 //
     /*  615906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  615917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  615920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  615923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  615926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  615955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615974 */     GIR_RootConstrainSelectedInstOperands,
     /*  615975 */     // GIR_Coverage, 5796,
     /*  615975 */     GIR_EraseRootFromParent_Done,
     /*  615976 */   // Label 9965: @615976
     /*  615976 */   GIM_Try, /*On fail goto*//*Label 9966*/ GIMT_Encode4(616051), // Rule ID 5797 //
     /*  615981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  615992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  615995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  615998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  616001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616027 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  616027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  616030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616049 */     GIR_RootConstrainSelectedInstOperands,
     /*  616050 */     // GIR_Coverage, 5797,
     /*  616050 */     GIR_EraseRootFromParent_Done,
     /*  616051 */   // Label 9966: @616051
     /*  616051 */   GIM_Try, /*On fail goto*//*Label 9967*/ GIMT_Encode4(616126), // Rule ID 5800 //
     /*  616056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  616067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  616070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  616073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  616076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  616105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616124 */     GIR_RootConstrainSelectedInstOperands,
     /*  616125 */     // GIR_Coverage, 5800,
     /*  616125 */     GIR_EraseRootFromParent_Done,
     /*  616126 */   // Label 9967: @616126
     /*  616126 */   GIM_Try, /*On fail goto*//*Label 9968*/ GIMT_Encode4(616201), // Rule ID 5801 //
     /*  616131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  616142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  616145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  616148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  616151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  616180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616199 */     GIR_RootConstrainSelectedInstOperands,
     /*  616200 */     // GIR_Coverage, 5801,
     /*  616200 */     GIR_EraseRootFromParent_Done,
     /*  616201 */   // Label 9968: @616201
     /*  616201 */   GIM_Try, /*On fail goto*//*Label 9969*/ GIMT_Encode4(616276), // Rule ID 5804 //
     /*  616206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  616217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  616220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  616223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  616226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  616255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616274 */     GIR_RootConstrainSelectedInstOperands,
     /*  616275 */     // GIR_Coverage, 5804,
     /*  616275 */     GIR_EraseRootFromParent_Done,
     /*  616276 */   // Label 9969: @616276
     /*  616276 */   GIM_Try, /*On fail goto*//*Label 9970*/ GIMT_Encode4(616351), // Rule ID 5805 //
     /*  616281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  616292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  616295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  616298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  616301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  616330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616349 */     GIR_RootConstrainSelectedInstOperands,
     /*  616350 */     // GIR_Coverage, 5805,
     /*  616350 */     GIR_EraseRootFromParent_Done,
     /*  616351 */   // Label 9970: @616351
     /*  616351 */   GIM_Try, /*On fail goto*//*Label 9971*/ GIMT_Encode4(616426), // Rule ID 5808 //
     /*  616356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  616367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  616370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  616373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  616376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  616405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616424 */     GIR_RootConstrainSelectedInstOperands,
     /*  616425 */     // GIR_Coverage, 5808,
     /*  616425 */     GIR_EraseRootFromParent_Done,
     /*  616426 */   // Label 9971: @616426
     /*  616426 */   GIM_Try, /*On fail goto*//*Label 9972*/ GIMT_Encode4(616501), // Rule ID 5809 //
     /*  616431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  616442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  616445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  616448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  616451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  616477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  616480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616499 */     GIR_RootConstrainSelectedInstOperands,
     /*  616500 */     // GIR_Coverage, 5809,
     /*  616500 */     GIR_EraseRootFromParent_Done,
     /*  616501 */   // Label 9972: @616501
     /*  616501 */   GIM_Try, /*On fail goto*//*Label 9973*/ GIMT_Encode4(616576), // Rule ID 5812 //
     /*  616506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  616509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  616517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  616520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  616523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  616526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  616552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  616555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  616571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616574 */     GIR_RootConstrainSelectedInstOperands,
     /*  616575 */     // GIR_Coverage, 5812,
     /*  616575 */     GIR_EraseRootFromParent_Done,
     /*  616576 */   // Label 9973: @616576
     /*  616576 */   GIM_Try, /*On fail goto*//*Label 9974*/ GIMT_Encode4(616651), // Rule ID 5813 //
     /*  616581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  616584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  616592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  616595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  616598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  616601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  616627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  616630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  616646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616649 */     GIR_RootConstrainSelectedInstOperands,
     /*  616650 */     // GIR_Coverage, 5813,
     /*  616650 */     GIR_EraseRootFromParent_Done,
     /*  616651 */   // Label 9974: @616651
     /*  616651 */   GIM_Try, /*On fail goto*//*Label 9975*/ GIMT_Encode4(616726), // Rule ID 5816 //
     /*  616656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  616667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  616670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  616673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  616676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616702 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616724 */     GIR_RootConstrainSelectedInstOperands,
     /*  616725 */     // GIR_Coverage, 5816,
     /*  616725 */     GIR_EraseRootFromParent_Done,
     /*  616726 */   // Label 9975: @616726
     /*  616726 */   GIM_Try, /*On fail goto*//*Label 9976*/ GIMT_Encode4(616801), // Rule ID 5817 //
     /*  616731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  616742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  616745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  616748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  616751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616777 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616799 */     GIR_RootConstrainSelectedInstOperands,
     /*  616800 */     // GIR_Coverage, 5817,
     /*  616800 */     GIR_EraseRootFromParent_Done,
     /*  616801 */   // Label 9976: @616801
     /*  616801 */   GIM_Try, /*On fail goto*//*Label 9977*/ GIMT_Encode4(616876), // Rule ID 5820 //
     /*  616806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  616817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  616820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  616823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  616826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616852 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616874 */     GIR_RootConstrainSelectedInstOperands,
     /*  616875 */     // GIR_Coverage, 5820,
     /*  616875 */     GIR_EraseRootFromParent_Done,
     /*  616876 */   // Label 9977: @616876
     /*  616876 */   GIM_Try, /*On fail goto*//*Label 9978*/ GIMT_Encode4(616951), // Rule ID 5821 //
     /*  616881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  616892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  616895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  616898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  616901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616927 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616949 */     GIR_RootConstrainSelectedInstOperands,
     /*  616950 */     // GIR_Coverage, 5821,
     /*  616950 */     GIR_EraseRootFromParent_Done,
     /*  616951 */   // Label 9978: @616951
     /*  616951 */   GIM_Try, /*On fail goto*//*Label 9979*/ GIMT_Encode4(617026), // Rule ID 5824 //
     /*  616956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  616967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  616970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  616973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  616976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617002 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617024 */     GIR_RootConstrainSelectedInstOperands,
     /*  617025 */     // GIR_Coverage, 5824,
     /*  617025 */     GIR_EraseRootFromParent_Done,
     /*  617026 */   // Label 9979: @617026
     /*  617026 */   GIM_Try, /*On fail goto*//*Label 9980*/ GIMT_Encode4(617101), // Rule ID 5825 //
     /*  617031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  617042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  617045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  617048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  617051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617077 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617099 */     GIR_RootConstrainSelectedInstOperands,
     /*  617100 */     // GIR_Coverage, 5825,
     /*  617100 */     GIR_EraseRootFromParent_Done,
     /*  617101 */   // Label 9980: @617101
     /*  617101 */   GIM_Try, /*On fail goto*//*Label 9981*/ GIMT_Encode4(617176), // Rule ID 5828 //
     /*  617106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  617117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  617120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  617123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  617126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  617155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617174 */     GIR_RootConstrainSelectedInstOperands,
     /*  617175 */     // GIR_Coverage, 5828,
     /*  617175 */     GIR_EraseRootFromParent_Done,
     /*  617176 */   // Label 9981: @617176
     /*  617176 */   GIM_Try, /*On fail goto*//*Label 9982*/ GIMT_Encode4(617251), // Rule ID 5829 //
     /*  617181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  617192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  617195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  617198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  617201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617227 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  617227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  617230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617249 */     GIR_RootConstrainSelectedInstOperands,
     /*  617250 */     // GIR_Coverage, 5829,
     /*  617250 */     GIR_EraseRootFromParent_Done,
     /*  617251 */   // Label 9982: @617251
     /*  617251 */   GIM_Try, /*On fail goto*//*Label 9983*/ GIMT_Encode4(617326), // Rule ID 5832 //
     /*  617256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  617267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  617270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  617273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  617276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617302 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617324 */     GIR_RootConstrainSelectedInstOperands,
     /*  617325 */     // GIR_Coverage, 5832,
     /*  617325 */     GIR_EraseRootFromParent_Done,
     /*  617326 */   // Label 9983: @617326
     /*  617326 */   GIM_Try, /*On fail goto*//*Label 9984*/ GIMT_Encode4(617401), // Rule ID 5833 //
     /*  617331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  617342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  617345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  617348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  617351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617377 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  617377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617399 */     GIR_RootConstrainSelectedInstOperands,
     /*  617400 */     // GIR_Coverage, 5833,
     /*  617400 */     GIR_EraseRootFromParent_Done,
     /*  617401 */   // Label 9984: @617401
     /*  617401 */   GIM_Try, /*On fail goto*//*Label 9985*/ GIMT_Encode4(617476), // Rule ID 5836 //
     /*  617406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  617417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  617420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  617423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  617426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617452 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617474 */     GIR_RootConstrainSelectedInstOperands,
     /*  617475 */     // GIR_Coverage, 5836,
     /*  617475 */     GIR_EraseRootFromParent_Done,
     /*  617476 */   // Label 9985: @617476
     /*  617476 */   GIM_Try, /*On fail goto*//*Label 9986*/ GIMT_Encode4(617551), // Rule ID 5837 //
     /*  617481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  617492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  617495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  617498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  617501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617527 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  617527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617549 */     GIR_RootConstrainSelectedInstOperands,
     /*  617550 */     // GIR_Coverage, 5837,
     /*  617550 */     GIR_EraseRootFromParent_Done,
     /*  617551 */   // Label 9986: @617551
     /*  617551 */   GIM_Try, /*On fail goto*//*Label 9987*/ GIMT_Encode4(617626), // Rule ID 5840 //
     /*  617556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  617567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  617570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  617573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  617576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  617602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  617605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617624 */     GIR_RootConstrainSelectedInstOperands,
     /*  617625 */     // GIR_Coverage, 5840,
     /*  617625 */     GIR_EraseRootFromParent_Done,
     /*  617626 */   // Label 9987: @617626
     /*  617626 */   GIM_Try, /*On fail goto*//*Label 9988*/ GIMT_Encode4(617701), // Rule ID 5841 //
     /*  617631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  617642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  617645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  617648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  617651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  617680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617699 */     GIR_RootConstrainSelectedInstOperands,
     /*  617700 */     // GIR_Coverage, 5841,
     /*  617700 */     GIR_EraseRootFromParent_Done,
     /*  617701 */   // Label 9988: @617701
     /*  617701 */   GIM_Try, /*On fail goto*//*Label 9989*/ GIMT_Encode4(617776), // Rule ID 5844 //
     /*  617706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  617717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  617720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  617723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  617726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  617752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617774 */     GIR_RootConstrainSelectedInstOperands,
     /*  617775 */     // GIR_Coverage, 5844,
     /*  617775 */     GIR_EraseRootFromParent_Done,
     /*  617776 */   // Label 9989: @617776
     /*  617776 */   GIM_Try, /*On fail goto*//*Label 9990*/ GIMT_Encode4(617851), // Rule ID 5845 //
     /*  617781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  617792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  617795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  617798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  617801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617827 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617849 */     GIR_RootConstrainSelectedInstOperands,
     /*  617850 */     // GIR_Coverage, 5845,
     /*  617850 */     GIR_EraseRootFromParent_Done,
     /*  617851 */   // Label 9990: @617851
     /*  617851 */   GIM_Try, /*On fail goto*//*Label 9991*/ GIMT_Encode4(617926), // Rule ID 5848 //
     /*  617856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  617867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  617870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  617873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  617876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  617902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617924 */     GIR_RootConstrainSelectedInstOperands,
     /*  617925 */     // GIR_Coverage, 5848,
     /*  617925 */     GIR_EraseRootFromParent_Done,
     /*  617926 */   // Label 9991: @617926
     /*  617926 */   GIM_Try, /*On fail goto*//*Label 9992*/ GIMT_Encode4(618001), // Rule ID 5849 //
     /*  617931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  617942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  617945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  617948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  617951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617977 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617999 */     GIR_RootConstrainSelectedInstOperands,
     /*  618000 */     // GIR_Coverage, 5849,
     /*  618000 */     GIR_EraseRootFromParent_Done,
     /*  618001 */   // Label 9992: @618001
     /*  618001 */   GIM_Try, /*On fail goto*//*Label 9993*/ GIMT_Encode4(618076), // Rule ID 5852 //
     /*  618006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  618009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  618017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  618020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  618023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  618026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  618052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  618055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618074 */     GIR_RootConstrainSelectedInstOperands,
     /*  618075 */     // GIR_Coverage, 5852,
     /*  618075 */     GIR_EraseRootFromParent_Done,
     /*  618076 */   // Label 9993: @618076
     /*  618076 */   GIM_Try, /*On fail goto*//*Label 9994*/ GIMT_Encode4(618151), // Rule ID 5853 //
     /*  618081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  618084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  618092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  618095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  618098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  618101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618127 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  618127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  618130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618149 */     GIR_RootConstrainSelectedInstOperands,
     /*  618150 */     // GIR_Coverage, 5853,
     /*  618150 */     GIR_EraseRootFromParent_Done,
     /*  618151 */   // Label 9994: @618151
     /*  618151 */   GIM_Try, /*On fail goto*//*Label 9995*/ GIMT_Encode4(618226), // Rule ID 5856 //
     /*  618156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  618159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  618167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  618170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  618173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  618176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618202 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  618202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  618205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618224 */     GIR_RootConstrainSelectedInstOperands,
     /*  618225 */     // GIR_Coverage, 5856,
     /*  618225 */     GIR_EraseRootFromParent_Done,
     /*  618226 */   // Label 9995: @618226
     /*  618226 */   GIM_Try, /*On fail goto*//*Label 9996*/ GIMT_Encode4(618301), // Rule ID 5857 //
     /*  618231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  618234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  618242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  618245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  618248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  618251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618277 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  618277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  618280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618299 */     GIR_RootConstrainSelectedInstOperands,
     /*  618300 */     // GIR_Coverage, 5857,
     /*  618300 */     GIR_EraseRootFromParent_Done,
     /*  618301 */   // Label 9996: @618301
     /*  618301 */   GIM_Try, /*On fail goto*//*Label 9997*/ GIMT_Encode4(618376), // Rule ID 5860 //
     /*  618306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  618309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  618317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  618320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  618323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  618326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  618352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  618355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618374 */     GIR_RootConstrainSelectedInstOperands,
     /*  618375 */     // GIR_Coverage, 5860,
     /*  618375 */     GIR_EraseRootFromParent_Done,
     /*  618376 */   // Label 9997: @618376
     /*  618376 */   GIM_Try, /*On fail goto*//*Label 9998*/ GIMT_Encode4(618451), // Rule ID 5861 //
     /*  618381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  618384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  618392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  618395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  618398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  618401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618427 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  618427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  618430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618449 */     GIR_RootConstrainSelectedInstOperands,
     /*  618450 */     // GIR_Coverage, 5861,
     /*  618450 */     GIR_EraseRootFromParent_Done,
     /*  618451 */   // Label 9998: @618451
     /*  618451 */   GIM_Try, /*On fail goto*//*Label 9999*/ GIMT_Encode4(618526), // Rule ID 5864 //
     /*  618456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  618467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  618470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  618473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  618505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618524 */     GIR_RootConstrainSelectedInstOperands,
     /*  618525 */     // GIR_Coverage, 5864,
     /*  618525 */     GIR_EraseRootFromParent_Done,
     /*  618526 */   // Label 9999: @618526
     /*  618526 */   GIM_Try, /*On fail goto*//*Label 10000*/ GIMT_Encode4(618601), // Rule ID 5865 //
     /*  618531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  618542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  618545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  618548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618577 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  618580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618599 */     GIR_RootConstrainSelectedInstOperands,
     /*  618600 */     // GIR_Coverage, 5865,
     /*  618600 */     GIR_EraseRootFromParent_Done,
     /*  618601 */   // Label 10000: @618601
     /*  618601 */   GIM_Try, /*On fail goto*//*Label 10001*/ GIMT_Encode4(618676), // Rule ID 5868 //
     /*  618606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  618617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  618620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  618623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618652 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  618655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618674 */     GIR_RootConstrainSelectedInstOperands,
     /*  618675 */     // GIR_Coverage, 5868,
     /*  618675 */     GIR_EraseRootFromParent_Done,
     /*  618676 */   // Label 10001: @618676
     /*  618676 */   GIM_Try, /*On fail goto*//*Label 10002*/ GIMT_Encode4(618751), // Rule ID 5869 //
     /*  618681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  618692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  618695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  618698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618727 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  618730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618749 */     GIR_RootConstrainSelectedInstOperands,
     /*  618750 */     // GIR_Coverage, 5869,
     /*  618750 */     GIR_EraseRootFromParent_Done,
     /*  618751 */   // Label 10002: @618751
     /*  618751 */   GIM_Try, /*On fail goto*//*Label 10003*/ GIMT_Encode4(618826), // Rule ID 5872 //
     /*  618756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  618767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  618770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  618773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618824 */     GIR_RootConstrainSelectedInstOperands,
     /*  618825 */     // GIR_Coverage, 5872,
     /*  618825 */     GIR_EraseRootFromParent_Done,
     /*  618826 */   // Label 10003: @618826
     /*  618826 */   GIM_Try, /*On fail goto*//*Label 10004*/ GIMT_Encode4(618901), // Rule ID 5873 //
     /*  618831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  618842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  618845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  618848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618877 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618899 */     GIR_RootConstrainSelectedInstOperands,
     /*  618900 */     // GIR_Coverage, 5873,
     /*  618900 */     GIR_EraseRootFromParent_Done,
     /*  618901 */   // Label 10004: @618901
     /*  618901 */   GIM_Try, /*On fail goto*//*Label 10005*/ GIMT_Encode4(618976), // Rule ID 5876 //
     /*  618906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  618917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  618920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  618923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  618955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618974 */     GIR_RootConstrainSelectedInstOperands,
     /*  618975 */     // GIR_Coverage, 5876,
     /*  618975 */     GIR_EraseRootFromParent_Done,
     /*  618976 */   // Label 10005: @618976
     /*  618976 */   GIM_Try, /*On fail goto*//*Label 10006*/ GIMT_Encode4(619051), // Rule ID 5877 //
     /*  618981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  618992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  618995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  618998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  619030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619049 */     GIR_RootConstrainSelectedInstOperands,
     /*  619050 */     // GIR_Coverage, 5877,
     /*  619050 */     GIR_EraseRootFromParent_Done,
     /*  619051 */   // Label 10006: @619051
     /*  619051 */   GIM_Try, /*On fail goto*//*Label 10007*/ GIMT_Encode4(619126), // Rule ID 5880 //
     /*  619056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  619067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  619070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  619073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  619105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619124 */     GIR_RootConstrainSelectedInstOperands,
     /*  619125 */     // GIR_Coverage, 5880,
     /*  619125 */     GIR_EraseRootFromParent_Done,
     /*  619126 */   // Label 10007: @619126
     /*  619126 */   GIM_Try, /*On fail goto*//*Label 10008*/ GIMT_Encode4(619201), // Rule ID 5881 //
     /*  619131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  619142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  619145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  619148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619177 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  619180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619199 */     GIR_RootConstrainSelectedInstOperands,
     /*  619200 */     // GIR_Coverage, 5881,
     /*  619200 */     GIR_EraseRootFromParent_Done,
     /*  619201 */   // Label 10008: @619201
     /*  619201 */   GIM_Try, /*On fail goto*//*Label 10009*/ GIMT_Encode4(619276), // Rule ID 5884 //
     /*  619206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  619217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  619220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  619223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619252 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  619255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619274 */     GIR_RootConstrainSelectedInstOperands,
     /*  619275 */     // GIR_Coverage, 5884,
     /*  619275 */     GIR_EraseRootFromParent_Done,
     /*  619276 */   // Label 10009: @619276
     /*  619276 */   GIM_Try, /*On fail goto*//*Label 10010*/ GIMT_Encode4(619351), // Rule ID 5885 //
     /*  619281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  619292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  619295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  619298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619327 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  619327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  619330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619349 */     GIR_RootConstrainSelectedInstOperands,
     /*  619350 */     // GIR_Coverage, 5885,
     /*  619350 */     GIR_EraseRootFromParent_Done,
     /*  619351 */   // Label 10010: @619351
     /*  619351 */   GIM_Try, /*On fail goto*//*Label 10011*/ GIMT_Encode4(619426), // Rule ID 5888 //
     /*  619356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  619367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  619370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  619373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619424 */     GIR_RootConstrainSelectedInstOperands,
     /*  619425 */     // GIR_Coverage, 5888,
     /*  619425 */     GIR_EraseRootFromParent_Done,
     /*  619426 */   // Label 10011: @619426
     /*  619426 */   GIM_Try, /*On fail goto*//*Label 10012*/ GIMT_Encode4(619501), // Rule ID 5889 //
     /*  619431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  619442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  619445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  619448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619499 */     GIR_RootConstrainSelectedInstOperands,
     /*  619500 */     // GIR_Coverage, 5889,
     /*  619500 */     GIR_EraseRootFromParent_Done,
     /*  619501 */   // Label 10012: @619501
     /*  619501 */   GIM_Try, /*On fail goto*//*Label 10013*/ GIMT_Encode4(619576), // Rule ID 5892 //
     /*  619506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  619517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  619520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  619523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619574 */     GIR_RootConstrainSelectedInstOperands,
     /*  619575 */     // GIR_Coverage, 5892,
     /*  619575 */     GIR_EraseRootFromParent_Done,
     /*  619576 */   // Label 10013: @619576
     /*  619576 */   GIM_Try, /*On fail goto*//*Label 10014*/ GIMT_Encode4(619651), // Rule ID 5893 //
     /*  619581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  619592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  619595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  619598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619649 */     GIR_RootConstrainSelectedInstOperands,
     /*  619650 */     // GIR_Coverage, 5893,
     /*  619650 */     GIR_EraseRootFromParent_Done,
     /*  619651 */   // Label 10014: @619651
     /*  619651 */   GIM_Try, /*On fail goto*//*Label 10015*/ GIMT_Encode4(619726), // Rule ID 5896 //
     /*  619656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  619667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  619670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  619673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619724 */     GIR_RootConstrainSelectedInstOperands,
     /*  619725 */     // GIR_Coverage, 5896,
     /*  619725 */     GIR_EraseRootFromParent_Done,
     /*  619726 */   // Label 10015: @619726
     /*  619726 */   GIM_Try, /*On fail goto*//*Label 10016*/ GIMT_Encode4(619801), // Rule ID 5897 //
     /*  619731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  619742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  619745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  619748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  619777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619799 */     GIR_RootConstrainSelectedInstOperands,
     /*  619800 */     // GIR_Coverage, 5897,
     /*  619800 */     GIR_EraseRootFromParent_Done,
     /*  619801 */   // Label 10016: @619801
     /*  619801 */   GIM_Try, /*On fail goto*//*Label 10017*/ GIMT_Encode4(619876), // Rule ID 5900 //
     /*  619806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  619809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  619817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  619820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  619823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619874 */     GIR_RootConstrainSelectedInstOperands,
     /*  619875 */     // GIR_Coverage, 5900,
     /*  619875 */     GIR_EraseRootFromParent_Done,
     /*  619876 */   // Label 10017: @619876
     /*  619876 */   GIM_Try, /*On fail goto*//*Label 10018*/ GIMT_Encode4(619951), // Rule ID 5901 //
     /*  619881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  619884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  619892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  619895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  619898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  619927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  619930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619949 */     GIR_RootConstrainSelectedInstOperands,
     /*  619950 */     // GIR_Coverage, 5901,
     /*  619950 */     GIR_EraseRootFromParent_Done,
     /*  619951 */   // Label 10018: @619951
     /*  619951 */   GIM_Try, /*On fail goto*//*Label 10019*/ GIMT_Encode4(620026), // Rule ID 5904 //
     /*  619956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  619967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  619970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  619973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620002 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620024 */     GIR_RootConstrainSelectedInstOperands,
     /*  620025 */     // GIR_Coverage, 5904,
     /*  620025 */     GIR_EraseRootFromParent_Done,
     /*  620026 */   // Label 10019: @620026
     /*  620026 */   GIM_Try, /*On fail goto*//*Label 10020*/ GIMT_Encode4(620101), // Rule ID 5905 //
     /*  620031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  620042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  620045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  620048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620077 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620099 */     GIR_RootConstrainSelectedInstOperands,
     /*  620100 */     // GIR_Coverage, 5905,
     /*  620100 */     GIR_EraseRootFromParent_Done,
     /*  620101 */   // Label 10020: @620101
     /*  620101 */   GIM_Try, /*On fail goto*//*Label 10021*/ GIMT_Encode4(620176), // Rule ID 5908 //
     /*  620106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  620117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  620120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  620123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620152 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620174 */     GIR_RootConstrainSelectedInstOperands,
     /*  620175 */     // GIR_Coverage, 5908,
     /*  620175 */     GIR_EraseRootFromParent_Done,
     /*  620176 */   // Label 10021: @620176
     /*  620176 */   GIM_Try, /*On fail goto*//*Label 10022*/ GIMT_Encode4(620251), // Rule ID 5909 //
     /*  620181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  620192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  620195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  620198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620227 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620249 */     GIR_RootConstrainSelectedInstOperands,
     /*  620250 */     // GIR_Coverage, 5909,
     /*  620250 */     GIR_EraseRootFromParent_Done,
     /*  620251 */   // Label 10022: @620251
     /*  620251 */   GIM_Try, /*On fail goto*//*Label 10023*/ GIMT_Encode4(620326), // Rule ID 5912 //
     /*  620256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  620267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  620270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  620273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620302 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620324 */     GIR_RootConstrainSelectedInstOperands,
     /*  620325 */     // GIR_Coverage, 5912,
     /*  620325 */     GIR_EraseRootFromParent_Done,
     /*  620326 */   // Label 10023: @620326
     /*  620326 */   GIM_Try, /*On fail goto*//*Label 10024*/ GIMT_Encode4(620401), // Rule ID 5913 //
     /*  620331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  620342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  620345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  620348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620377 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620399 */     GIR_RootConstrainSelectedInstOperands,
     /*  620400 */     // GIR_Coverage, 5913,
     /*  620400 */     GIR_EraseRootFromParent_Done,
     /*  620401 */   // Label 10024: @620401
     /*  620401 */   GIM_Try, /*On fail goto*//*Label 10025*/ GIMT_Encode4(620476), // Rule ID 5916 //
     /*  620406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  620417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  620420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  620423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620474 */     GIR_RootConstrainSelectedInstOperands,
     /*  620475 */     // GIR_Coverage, 5916,
     /*  620475 */     GIR_EraseRootFromParent_Done,
     /*  620476 */   // Label 10025: @620476
     /*  620476 */   GIM_Try, /*On fail goto*//*Label 10026*/ GIMT_Encode4(620551), // Rule ID 5917 //
     /*  620481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  620492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  620495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  620498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620527 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620549 */     GIR_RootConstrainSelectedInstOperands,
     /*  620550 */     // GIR_Coverage, 5917,
     /*  620550 */     GIR_EraseRootFromParent_Done,
     /*  620551 */   // Label 10026: @620551
     /*  620551 */   GIM_Try, /*On fail goto*//*Label 10027*/ GIMT_Encode4(620626), // Rule ID 5920 //
     /*  620556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  620567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  620570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  620573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620602 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620624 */     GIR_RootConstrainSelectedInstOperands,
     /*  620625 */     // GIR_Coverage, 5920,
     /*  620625 */     GIR_EraseRootFromParent_Done,
     /*  620626 */   // Label 10027: @620626
     /*  620626 */   GIM_Try, /*On fail goto*//*Label 10028*/ GIMT_Encode4(620701), // Rule ID 5921 //
     /*  620631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  620642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  620645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  620648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620677 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620699 */     GIR_RootConstrainSelectedInstOperands,
     /*  620700 */     // GIR_Coverage, 5921,
     /*  620700 */     GIR_EraseRootFromParent_Done,
     /*  620701 */   // Label 10028: @620701
     /*  620701 */   GIM_Try, /*On fail goto*//*Label 10029*/ GIMT_Encode4(620776), // Rule ID 5924 //
     /*  620706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  620717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  620720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  620723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620774 */     GIR_RootConstrainSelectedInstOperands,
     /*  620775 */     // GIR_Coverage, 5924,
     /*  620775 */     GIR_EraseRootFromParent_Done,
     /*  620776 */   // Label 10029: @620776
     /*  620776 */   GIM_Try, /*On fail goto*//*Label 10030*/ GIMT_Encode4(620851), // Rule ID 5925 //
     /*  620781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  620792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  620795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  620798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620849 */     GIR_RootConstrainSelectedInstOperands,
     /*  620850 */     // GIR_Coverage, 5925,
     /*  620850 */     GIR_EraseRootFromParent_Done,
     /*  620851 */   // Label 10030: @620851
     /*  620851 */   GIM_Try, /*On fail goto*//*Label 10031*/ GIMT_Encode4(620926), // Rule ID 5928 //
     /*  620856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  620867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  620870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  620873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620902 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620924 */     GIR_RootConstrainSelectedInstOperands,
     /*  620925 */     // GIR_Coverage, 5928,
     /*  620925 */     GIR_EraseRootFromParent_Done,
     /*  620926 */   // Label 10031: @620926
     /*  620926 */   GIM_Try, /*On fail goto*//*Label 10032*/ GIMT_Encode4(621001), // Rule ID 5929 //
     /*  620931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  620942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  620945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  620948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620999 */     GIR_RootConstrainSelectedInstOperands,
     /*  621000 */     // GIR_Coverage, 5929,
     /*  621000 */     GIR_EraseRootFromParent_Done,
     /*  621001 */   // Label 10032: @621001
     /*  621001 */   GIM_Try, /*On fail goto*//*Label 10033*/ GIMT_Encode4(621076), // Rule ID 5932 //
     /*  621006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  621017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  621020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  621023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621052 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  621055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621074 */     GIR_RootConstrainSelectedInstOperands,
     /*  621075 */     // GIR_Coverage, 5932,
     /*  621075 */     GIR_EraseRootFromParent_Done,
     /*  621076 */   // Label 10033: @621076
     /*  621076 */   GIM_Try, /*On fail goto*//*Label 10034*/ GIMT_Encode4(621151), // Rule ID 5933 //
     /*  621081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  621092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  621095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  621098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621127 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  621130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621149 */     GIR_RootConstrainSelectedInstOperands,
     /*  621150 */     // GIR_Coverage, 5933,
     /*  621150 */     GIR_EraseRootFromParent_Done,
     /*  621151 */   // Label 10034: @621151
     /*  621151 */   GIM_Try, /*On fail goto*//*Label 10035*/ GIMT_Encode4(621226), // Rule ID 5936 //
     /*  621156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  621167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  621170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  621173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621202 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  621205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621224 */     GIR_RootConstrainSelectedInstOperands,
     /*  621225 */     // GIR_Coverage, 5936,
     /*  621225 */     GIR_EraseRootFromParent_Done,
     /*  621226 */   // Label 10035: @621226
     /*  621226 */   GIM_Try, /*On fail goto*//*Label 10036*/ GIMT_Encode4(621301), // Rule ID 5937 //
     /*  621231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  621242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  621245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  621248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621277 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  621280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621299 */     GIR_RootConstrainSelectedInstOperands,
     /*  621300 */     // GIR_Coverage, 5937,
     /*  621300 */     GIR_EraseRootFromParent_Done,
     /*  621301 */   // Label 10036: @621301
     /*  621301 */   GIM_Try, /*On fail goto*//*Label 10037*/ GIMT_Encode4(621376), // Rule ID 5940 //
     /*  621306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  621309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  621317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  621320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  621323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  621355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621374 */     GIR_RootConstrainSelectedInstOperands,
     /*  621375 */     // GIR_Coverage, 5940,
     /*  621375 */     GIR_EraseRootFromParent_Done,
     /*  621376 */   // Label 10037: @621376
     /*  621376 */   GIM_Try, /*On fail goto*//*Label 10038*/ GIMT_Encode4(621451), // Rule ID 5941 //
     /*  621381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  621384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  621392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  621395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  621398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  621430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621449 */     GIR_RootConstrainSelectedInstOperands,
     /*  621450 */     // GIR_Coverage, 5941,
     /*  621450 */     GIR_EraseRootFromParent_Done,
     /*  621451 */   // Label 10038: @621451
     /*  621451 */   GIM_Try, /*On fail goto*//*Label 10039*/ GIMT_Encode4(621526), // Rule ID 5944 //
     /*  621456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  621459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  621467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  621470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  621473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621502 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  621505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621524 */     GIR_RootConstrainSelectedInstOperands,
     /*  621525 */     // GIR_Coverage, 5944,
     /*  621525 */     GIR_EraseRootFromParent_Done,
     /*  621526 */   // Label 10039: @621526
     /*  621526 */   GIM_Try, /*On fail goto*//*Label 10040*/ GIMT_Encode4(621601), // Rule ID 5945 //
     /*  621531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  621534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  621542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  621545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  621548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621577 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  621580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621599 */     GIR_RootConstrainSelectedInstOperands,
     /*  621600 */     // GIR_Coverage, 5945,
     /*  621600 */     GIR_EraseRootFromParent_Done,
     /*  621601 */   // Label 10040: @621601
     /*  621601 */   GIM_Try, /*On fail goto*//*Label 10041*/ GIMT_Encode4(621676), // Rule ID 5948 //
     /*  621606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  621609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  621617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  621620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  621623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  621655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621674 */     GIR_RootConstrainSelectedInstOperands,
     /*  621675 */     // GIR_Coverage, 5948,
     /*  621675 */     GIR_EraseRootFromParent_Done,
     /*  621676 */   // Label 10041: @621676
     /*  621676 */   GIM_Try, /*On fail goto*//*Label 10042*/ GIMT_Encode4(621751), // Rule ID 5949 //
     /*  621681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  621684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  621692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  621695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  621698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621727 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  621730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621749 */     GIR_RootConstrainSelectedInstOperands,
     /*  621750 */     // GIR_Coverage, 5949,
     /*  621750 */     GIR_EraseRootFromParent_Done,
     /*  621751 */   // Label 10042: @621751
     /*  621751 */   GIM_Try, /*On fail goto*//*Label 10043*/ GIMT_Encode4(621826), // Rule ID 6040 //
     /*  621756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  621767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  621770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  621773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  621776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621802 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  621805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621824 */     GIR_RootConstrainSelectedInstOperands,
     /*  621825 */     // GIR_Coverage, 6040,
     /*  621825 */     GIR_EraseRootFromParent_Done,
     /*  621826 */   // Label 10043: @621826
     /*  621826 */   GIM_Try, /*On fail goto*//*Label 10044*/ GIMT_Encode4(621901), // Rule ID 6041 //
     /*  621831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  621842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  621845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  621848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  621851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621877 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  621880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621899 */     GIR_RootConstrainSelectedInstOperands,
     /*  621900 */     // GIR_Coverage, 6041,
     /*  621900 */     GIR_EraseRootFromParent_Done,
     /*  621901 */   // Label 10044: @621901
     /*  621901 */   GIM_Try, /*On fail goto*//*Label 10045*/ GIMT_Encode4(621976), // Rule ID 6044 //
     /*  621906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  621917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  621920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  621923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  621926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621952 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  621955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621974 */     GIR_RootConstrainSelectedInstOperands,
     /*  621975 */     // GIR_Coverage, 6044,
     /*  621975 */     GIR_EraseRootFromParent_Done,
     /*  621976 */   // Label 10045: @621976
     /*  621976 */   GIM_Try, /*On fail goto*//*Label 10046*/ GIMT_Encode4(622051), // Rule ID 6045 //
     /*  621981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  621992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  621995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  621998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  622001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622027 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  622030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622049 */     GIR_RootConstrainSelectedInstOperands,
     /*  622050 */     // GIR_Coverage, 6045,
     /*  622050 */     GIR_EraseRootFromParent_Done,
     /*  622051 */   // Label 10046: @622051
     /*  622051 */   GIM_Try, /*On fail goto*//*Label 10047*/ GIMT_Encode4(622126), // Rule ID 6048 //
     /*  622056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  622067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  622070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  622073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  622076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622102 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  622105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622124 */     GIR_RootConstrainSelectedInstOperands,
     /*  622125 */     // GIR_Coverage, 6048,
     /*  622125 */     GIR_EraseRootFromParent_Done,
     /*  622126 */   // Label 10047: @622126
     /*  622126 */   GIM_Try, /*On fail goto*//*Label 10048*/ GIMT_Encode4(622201), // Rule ID 6049 //
     /*  622131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  622142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  622145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  622148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  622151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622177 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  622180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622199 */     GIR_RootConstrainSelectedInstOperands,
     /*  622200 */     // GIR_Coverage, 6049,
     /*  622200 */     GIR_EraseRootFromParent_Done,
     /*  622201 */   // Label 10048: @622201
     /*  622201 */   GIM_Try, /*On fail goto*//*Label 10049*/ GIMT_Encode4(622276), // Rule ID 6052 //
     /*  622206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  622217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  622220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  622223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  622226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  622255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622274 */     GIR_RootConstrainSelectedInstOperands,
     /*  622275 */     // GIR_Coverage, 6052,
     /*  622275 */     GIR_EraseRootFromParent_Done,
     /*  622276 */   // Label 10049: @622276
     /*  622276 */   GIM_Try, /*On fail goto*//*Label 10050*/ GIMT_Encode4(622351), // Rule ID 6053 //
     /*  622281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  622292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  622295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  622298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  622301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622327 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  622330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622349 */     GIR_RootConstrainSelectedInstOperands,
     /*  622350 */     // GIR_Coverage, 6053,
     /*  622350 */     GIR_EraseRootFromParent_Done,
     /*  622351 */   // Label 10050: @622351
     /*  622351 */   GIM_Try, /*On fail goto*//*Label 10051*/ GIMT_Encode4(622426), // Rule ID 6056 //
     /*  622356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  622367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  622370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  622373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  622376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  622405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622424 */     GIR_RootConstrainSelectedInstOperands,
     /*  622425 */     // GIR_Coverage, 6056,
     /*  622425 */     GIR_EraseRootFromParent_Done,
     /*  622426 */   // Label 10051: @622426
     /*  622426 */   GIM_Try, /*On fail goto*//*Label 10052*/ GIMT_Encode4(622501), // Rule ID 6057 //
     /*  622431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  622442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  622445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  622448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  622451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622477 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  622480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622499 */     GIR_RootConstrainSelectedInstOperands,
     /*  622500 */     // GIR_Coverage, 6057,
     /*  622500 */     GIR_EraseRootFromParent_Done,
     /*  622501 */   // Label 10052: @622501
     /*  622501 */   GIM_Try, /*On fail goto*//*Label 10053*/ GIMT_Encode4(622576), // Rule ID 6060 //
     /*  622506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  622517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  622520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  622523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  622526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622552 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  622552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  622555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622574 */     GIR_RootConstrainSelectedInstOperands,
     /*  622575 */     // GIR_Coverage, 6060,
     /*  622575 */     GIR_EraseRootFromParent_Done,
     /*  622576 */   // Label 10053: @622576
     /*  622576 */   GIM_Try, /*On fail goto*//*Label 10054*/ GIMT_Encode4(622651), // Rule ID 6061 //
     /*  622581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  622592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  622595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  622598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  622601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622627 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  622627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  622630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622649 */     GIR_RootConstrainSelectedInstOperands,
     /*  622650 */     // GIR_Coverage, 6061,
     /*  622650 */     GIR_EraseRootFromParent_Done,
     /*  622651 */   // Label 10054: @622651
     /*  622651 */   GIM_Try, /*On fail goto*//*Label 10055*/ GIMT_Encode4(622726), // Rule ID 6064 //
     /*  622656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  622667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  622670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  622673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  622676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622724 */     GIR_RootConstrainSelectedInstOperands,
     /*  622725 */     // GIR_Coverage, 6064,
     /*  622725 */     GIR_EraseRootFromParent_Done,
     /*  622726 */   // Label 10055: @622726
     /*  622726 */   GIM_Try, /*On fail goto*//*Label 10056*/ GIMT_Encode4(622801), // Rule ID 6065 //
     /*  622731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  622742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  622745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  622748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  622751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622799 */     GIR_RootConstrainSelectedInstOperands,
     /*  622800 */     // GIR_Coverage, 6065,
     /*  622800 */     GIR_EraseRootFromParent_Done,
     /*  622801 */   // Label 10056: @622801
     /*  622801 */   GIM_Try, /*On fail goto*//*Label 10057*/ GIMT_Encode4(622876), // Rule ID 6068 //
     /*  622806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  622817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  622820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  622823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  622826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622874 */     GIR_RootConstrainSelectedInstOperands,
     /*  622875 */     // GIR_Coverage, 6068,
     /*  622875 */     GIR_EraseRootFromParent_Done,
     /*  622876 */   // Label 10057: @622876
     /*  622876 */   GIM_Try, /*On fail goto*//*Label 10058*/ GIMT_Encode4(622951), // Rule ID 6069 //
     /*  622881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  622892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  622895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  622898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  622901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622949 */     GIR_RootConstrainSelectedInstOperands,
     /*  622950 */     // GIR_Coverage, 6069,
     /*  622950 */     GIR_EraseRootFromParent_Done,
     /*  622951 */   // Label 10058: @622951
     /*  622951 */   GIM_Try, /*On fail goto*//*Label 10059*/ GIMT_Encode4(623026), // Rule ID 6072 //
     /*  622956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  622967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  622970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  622973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  622976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  623005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623024 */     GIR_RootConstrainSelectedInstOperands,
     /*  623025 */     // GIR_Coverage, 6072,
     /*  623025 */     GIR_EraseRootFromParent_Done,
     /*  623026 */   // Label 10059: @623026
     /*  623026 */   GIM_Try, /*On fail goto*//*Label 10060*/ GIMT_Encode4(623101), // Rule ID 6073 //
     /*  623031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  623042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  623045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  623048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  623051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  623080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623099 */     GIR_RootConstrainSelectedInstOperands,
     /*  623100 */     // GIR_Coverage, 6073,
     /*  623100 */     GIR_EraseRootFromParent_Done,
     /*  623101 */   // Label 10060: @623101
     /*  623101 */   GIM_Try, /*On fail goto*//*Label 10061*/ GIMT_Encode4(623176), // Rule ID 6076 //
     /*  623106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  623109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  623117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  623120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  623123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  623126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  623155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623174 */     GIR_RootConstrainSelectedInstOperands,
     /*  623175 */     // GIR_Coverage, 6076,
     /*  623175 */     GIR_EraseRootFromParent_Done,
     /*  623176 */   // Label 10061: @623176
     /*  623176 */   GIM_Try, /*On fail goto*//*Label 10062*/ GIMT_Encode4(623251), // Rule ID 6077 //
     /*  623181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  623184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  623192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  623195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  623198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  623201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  623227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  623230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623249 */     GIR_RootConstrainSelectedInstOperands,
     /*  623250 */     // GIR_Coverage, 6077,
     /*  623250 */     GIR_EraseRootFromParent_Done,
     /*  623251 */   // Label 10062: @623251
     /*  623251 */   GIM_Try, /*On fail goto*//*Label 10063*/ GIMT_Encode4(623326), // Rule ID 6080 //
     /*  623256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  623267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  623270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  623273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  623276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623302 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623324 */     GIR_RootConstrainSelectedInstOperands,
     /*  623325 */     // GIR_Coverage, 6080,
     /*  623325 */     GIR_EraseRootFromParent_Done,
     /*  623326 */   // Label 10063: @623326
     /*  623326 */   GIM_Try, /*On fail goto*//*Label 10064*/ GIMT_Encode4(623401), // Rule ID 6081 //
     /*  623331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  623342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  623345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  623348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  623351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623377 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623399 */     GIR_RootConstrainSelectedInstOperands,
     /*  623400 */     // GIR_Coverage, 6081,
     /*  623400 */     GIR_EraseRootFromParent_Done,
     /*  623401 */   // Label 10064: @623401
     /*  623401 */   GIM_Try, /*On fail goto*//*Label 10065*/ GIMT_Encode4(623476), // Rule ID 6084 //
     /*  623406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  623417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  623420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  623423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  623426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623452 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623474 */     GIR_RootConstrainSelectedInstOperands,
     /*  623475 */     // GIR_Coverage, 6084,
     /*  623475 */     GIR_EraseRootFromParent_Done,
     /*  623476 */   // Label 10065: @623476
     /*  623476 */   GIM_Try, /*On fail goto*//*Label 10066*/ GIMT_Encode4(623551), // Rule ID 6085 //
     /*  623481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  623492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  623495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  623498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  623501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623527 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623549 */     GIR_RootConstrainSelectedInstOperands,
     /*  623550 */     // GIR_Coverage, 6085,
     /*  623550 */     GIR_EraseRootFromParent_Done,
     /*  623551 */   // Label 10066: @623551
     /*  623551 */   GIM_Try, /*On fail goto*//*Label 10067*/ GIMT_Encode4(623626), // Rule ID 6088 //
     /*  623556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  623567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  623570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  623573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  623576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623602 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623624 */     GIR_RootConstrainSelectedInstOperands,
     /*  623625 */     // GIR_Coverage, 6088,
     /*  623625 */     GIR_EraseRootFromParent_Done,
     /*  623626 */   // Label 10067: @623626
     /*  623626 */   GIM_Try, /*On fail goto*//*Label 10068*/ GIMT_Encode4(623701), // Rule ID 6089 //
     /*  623631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  623642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  623645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  623648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  623651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623677 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623699 */     GIR_RootConstrainSelectedInstOperands,
     /*  623700 */     // GIR_Coverage, 6089,
     /*  623700 */     GIR_EraseRootFromParent_Done,
     /*  623701 */   // Label 10068: @623701
     /*  623701 */   GIM_Try, /*On fail goto*//*Label 10069*/ GIMT_Encode4(623776), // Rule ID 6092 //
     /*  623706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  623717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  623720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  623723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  623726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623752 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623774 */     GIR_RootConstrainSelectedInstOperands,
     /*  623775 */     // GIR_Coverage, 6092,
     /*  623775 */     GIR_EraseRootFromParent_Done,
     /*  623776 */   // Label 10069: @623776
     /*  623776 */   GIM_Try, /*On fail goto*//*Label 10070*/ GIMT_Encode4(623851), // Rule ID 6093 //
     /*  623781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  623792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  623795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  623798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  623801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623827 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623849 */     GIR_RootConstrainSelectedInstOperands,
     /*  623850 */     // GIR_Coverage, 6093,
     /*  623850 */     GIR_EraseRootFromParent_Done,
     /*  623851 */   // Label 10070: @623851
     /*  623851 */   GIM_Try, /*On fail goto*//*Label 10071*/ GIMT_Encode4(623926), // Rule ID 6096 //
     /*  623856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  623867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  623870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  623873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  623876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623902 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623924 */     GIR_RootConstrainSelectedInstOperands,
     /*  623925 */     // GIR_Coverage, 6096,
     /*  623925 */     GIR_EraseRootFromParent_Done,
     /*  623926 */   // Label 10071: @623926
     /*  623926 */   GIM_Try, /*On fail goto*//*Label 10072*/ GIMT_Encode4(624001), // Rule ID 6097 //
     /*  623931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  623942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  623945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  623948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  623951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623977 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623999 */     GIR_RootConstrainSelectedInstOperands,
     /*  624000 */     // GIR_Coverage, 6097,
     /*  624000 */     GIR_EraseRootFromParent_Done,
     /*  624001 */   // Label 10072: @624001
     /*  624001 */   GIM_Try, /*On fail goto*//*Label 10073*/ GIMT_Encode4(624076), // Rule ID 6100 //
     /*  624006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  624017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  624020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  624023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  624026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  624055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624074 */     GIR_RootConstrainSelectedInstOperands,
     /*  624075 */     // GIR_Coverage, 6100,
     /*  624075 */     GIR_EraseRootFromParent_Done,
     /*  624076 */   // Label 10073: @624076
     /*  624076 */   GIM_Try, /*On fail goto*//*Label 10074*/ GIMT_Encode4(624151), // Rule ID 6101 //
     /*  624081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  624092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  624095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  624098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  624101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624127 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  624130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624149 */     GIR_RootConstrainSelectedInstOperands,
     /*  624150 */     // GIR_Coverage, 6101,
     /*  624150 */     GIR_EraseRootFromParent_Done,
     /*  624151 */   // Label 10074: @624151
     /*  624151 */   GIM_Try, /*On fail goto*//*Label 10075*/ GIMT_Encode4(624226), // Rule ID 6104 //
     /*  624156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  624167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  624170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  624173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  624176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  624205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624224 */     GIR_RootConstrainSelectedInstOperands,
     /*  624225 */     // GIR_Coverage, 6104,
     /*  624225 */     GIR_EraseRootFromParent_Done,
     /*  624226 */   // Label 10075: @624226
     /*  624226 */   GIM_Try, /*On fail goto*//*Label 10076*/ GIMT_Encode4(624301), // Rule ID 6105 //
     /*  624231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  624242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  624245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  624248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  624251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  624280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624299 */     GIR_RootConstrainSelectedInstOperands,
     /*  624300 */     // GIR_Coverage, 6105,
     /*  624300 */     GIR_EraseRootFromParent_Done,
     /*  624301 */   // Label 10076: @624301
     /*  624301 */   GIM_Try, /*On fail goto*//*Label 10077*/ GIMT_Encode4(624376), // Rule ID 6108 //
     /*  624306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  624317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  624320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  624323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  624326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624352 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  624355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624374 */     GIR_RootConstrainSelectedInstOperands,
     /*  624375 */     // GIR_Coverage, 6108,
     /*  624375 */     GIR_EraseRootFromParent_Done,
     /*  624376 */   // Label 10077: @624376
     /*  624376 */   GIM_Try, /*On fail goto*//*Label 10078*/ GIMT_Encode4(624451), // Rule ID 6109 //
     /*  624381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  624392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  624395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  624398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  624401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  624430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624449 */     GIR_RootConstrainSelectedInstOperands,
     /*  624450 */     // GIR_Coverage, 6109,
     /*  624450 */     GIR_EraseRootFromParent_Done,
     /*  624451 */   // Label 10078: @624451
     /*  624451 */   GIM_Try, /*On fail goto*//*Label 10079*/ GIMT_Encode4(624526), // Rule ID 6112 //
     /*  624456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  624467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  624470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  624473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  624476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  624505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624524 */     GIR_RootConstrainSelectedInstOperands,
     /*  624525 */     // GIR_Coverage, 6112,
     /*  624525 */     GIR_EraseRootFromParent_Done,
     /*  624526 */   // Label 10079: @624526
     /*  624526 */   GIM_Try, /*On fail goto*//*Label 10080*/ GIMT_Encode4(624601), // Rule ID 6113 //
     /*  624531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  624542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  624545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  624548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  624551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624577 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  624580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624599 */     GIR_RootConstrainSelectedInstOperands,
     /*  624600 */     // GIR_Coverage, 6113,
     /*  624600 */     GIR_EraseRootFromParent_Done,
     /*  624601 */   // Label 10080: @624601
     /*  624601 */   GIM_Try, /*On fail goto*//*Label 10081*/ GIMT_Encode4(624676), // Rule ID 6116 //
     /*  624606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  624617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  624620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  624623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  624626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  624655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624674 */     GIR_RootConstrainSelectedInstOperands,
     /*  624675 */     // GIR_Coverage, 6116,
     /*  624675 */     GIR_EraseRootFromParent_Done,
     /*  624676 */   // Label 10081: @624676
     /*  624676 */   GIM_Try, /*On fail goto*//*Label 10082*/ GIMT_Encode4(624751), // Rule ID 6117 //
     /*  624681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  624692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  624695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  624698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  624701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624727 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  624730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624749 */     GIR_RootConstrainSelectedInstOperands,
     /*  624750 */     // GIR_Coverage, 6117,
     /*  624750 */     GIR_EraseRootFromParent_Done,
     /*  624751 */   // Label 10082: @624751
     /*  624751 */   GIM_Try, /*On fail goto*//*Label 10083*/ GIMT_Encode4(624826), // Rule ID 6120 //
     /*  624756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  624767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  624770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  624773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  624776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624802 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  624805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624824 */     GIR_RootConstrainSelectedInstOperands,
     /*  624825 */     // GIR_Coverage, 6120,
     /*  624825 */     GIR_EraseRootFromParent_Done,
     /*  624826 */   // Label 10083: @624826
     /*  624826 */   GIM_Try, /*On fail goto*//*Label 10084*/ GIMT_Encode4(624901), // Rule ID 6121 //
     /*  624831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  624842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  624845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  624848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  624851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624877 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  624880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624899 */     GIR_RootConstrainSelectedInstOperands,
     /*  624900 */     // GIR_Coverage, 6121,
     /*  624900 */     GIR_EraseRootFromParent_Done,
     /*  624901 */   // Label 10084: @624901
     /*  624901 */   GIM_Try, /*On fail goto*//*Label 10085*/ GIMT_Encode4(624976), // Rule ID 6124 //
     /*  624906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  624917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  624920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  624923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  624926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624952 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  624955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624974 */     GIR_RootConstrainSelectedInstOperands,
     /*  624975 */     // GIR_Coverage, 6124,
     /*  624975 */     GIR_EraseRootFromParent_Done,
     /*  624976 */   // Label 10085: @624976
     /*  624976 */   GIM_Try, /*On fail goto*//*Label 10086*/ GIMT_Encode4(625051), // Rule ID 6125 //
     /*  624981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  624992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  624995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  624998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  625001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625027 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  625030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625049 */     GIR_RootConstrainSelectedInstOperands,
     /*  625050 */     // GIR_Coverage, 6125,
     /*  625050 */     GIR_EraseRootFromParent_Done,
     /*  625051 */   // Label 10086: @625051
     /*  625051 */   GIM_Try, /*On fail goto*//*Label 10087*/ GIMT_Encode4(625126), // Rule ID 6128 //
     /*  625056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  625067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  625070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  625073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625102 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  625105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625124 */     GIR_RootConstrainSelectedInstOperands,
     /*  625125 */     // GIR_Coverage, 6128,
     /*  625125 */     GIR_EraseRootFromParent_Done,
     /*  625126 */   // Label 10087: @625126
     /*  625126 */   GIM_Try, /*On fail goto*//*Label 10088*/ GIMT_Encode4(625201), // Rule ID 6129 //
     /*  625131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  625142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  625145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  625148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625177 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  625180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625199 */     GIR_RootConstrainSelectedInstOperands,
     /*  625200 */     // GIR_Coverage, 6129,
     /*  625200 */     GIR_EraseRootFromParent_Done,
     /*  625201 */   // Label 10088: @625201
     /*  625201 */   GIM_Try, /*On fail goto*//*Label 10089*/ GIMT_Encode4(625276), // Rule ID 6132 //
     /*  625206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  625217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  625220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  625223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625252 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  625255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625274 */     GIR_RootConstrainSelectedInstOperands,
     /*  625275 */     // GIR_Coverage, 6132,
     /*  625275 */     GIR_EraseRootFromParent_Done,
     /*  625276 */   // Label 10089: @625276
     /*  625276 */   GIM_Try, /*On fail goto*//*Label 10090*/ GIMT_Encode4(625351), // Rule ID 6133 //
     /*  625281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  625292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  625295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  625298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625327 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  625330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625349 */     GIR_RootConstrainSelectedInstOperands,
     /*  625350 */     // GIR_Coverage, 6133,
     /*  625350 */     GIR_EraseRootFromParent_Done,
     /*  625351 */   // Label 10090: @625351
     /*  625351 */   GIM_Try, /*On fail goto*//*Label 10091*/ GIMT_Encode4(625426), // Rule ID 6136 //
     /*  625356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  625367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  625370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  625373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625402 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625424 */     GIR_RootConstrainSelectedInstOperands,
     /*  625425 */     // GIR_Coverage, 6136,
     /*  625425 */     GIR_EraseRootFromParent_Done,
     /*  625426 */   // Label 10091: @625426
     /*  625426 */   GIM_Try, /*On fail goto*//*Label 10092*/ GIMT_Encode4(625501), // Rule ID 6137 //
     /*  625431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  625442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  625445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  625448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625477 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625499 */     GIR_RootConstrainSelectedInstOperands,
     /*  625500 */     // GIR_Coverage, 6137,
     /*  625500 */     GIR_EraseRootFromParent_Done,
     /*  625501 */   // Label 10092: @625501
     /*  625501 */   GIM_Try, /*On fail goto*//*Label 10093*/ GIMT_Encode4(625576), // Rule ID 6140 //
     /*  625506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  625517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  625520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  625523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  625555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625574 */     GIR_RootConstrainSelectedInstOperands,
     /*  625575 */     // GIR_Coverage, 6140,
     /*  625575 */     GIR_EraseRootFromParent_Done,
     /*  625576 */   // Label 10093: @625576
     /*  625576 */   GIM_Try, /*On fail goto*//*Label 10094*/ GIMT_Encode4(625651), // Rule ID 6141 //
     /*  625581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  625592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  625595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  625598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625627 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  625630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625649 */     GIR_RootConstrainSelectedInstOperands,
     /*  625650 */     // GIR_Coverage, 6141,
     /*  625650 */     GIR_EraseRootFromParent_Done,
     /*  625651 */   // Label 10094: @625651
     /*  625651 */   GIM_Try, /*On fail goto*//*Label 10095*/ GIMT_Encode4(625726), // Rule ID 6144 //
     /*  625656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  625667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  625670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  625673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625702 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625724 */     GIR_RootConstrainSelectedInstOperands,
     /*  625725 */     // GIR_Coverage, 6144,
     /*  625725 */     GIR_EraseRootFromParent_Done,
     /*  625726 */   // Label 10095: @625726
     /*  625726 */   GIM_Try, /*On fail goto*//*Label 10096*/ GIMT_Encode4(625801), // Rule ID 6145 //
     /*  625731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  625742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  625745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  625748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625777 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625799 */     GIR_RootConstrainSelectedInstOperands,
     /*  625800 */     // GIR_Coverage, 6145,
     /*  625800 */     GIR_EraseRootFromParent_Done,
     /*  625801 */   // Label 10096: @625801
     /*  625801 */   GIM_Try, /*On fail goto*//*Label 10097*/ GIMT_Encode4(625876), // Rule ID 6148 //
     /*  625806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  625817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  625820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  625823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625852 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625874 */     GIR_RootConstrainSelectedInstOperands,
     /*  625875 */     // GIR_Coverage, 6148,
     /*  625875 */     GIR_EraseRootFromParent_Done,
     /*  625876 */   // Label 10097: @625876
     /*  625876 */   GIM_Try, /*On fail goto*//*Label 10098*/ GIMT_Encode4(625951), // Rule ID 6149 //
     /*  625881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  625892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  625895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  625898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625927 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  625930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625949 */     GIR_RootConstrainSelectedInstOperands,
     /*  625950 */     // GIR_Coverage, 6149,
     /*  625950 */     GIR_EraseRootFromParent_Done,
     /*  625951 */   // Label 10098: @625951
     /*  625951 */   GIM_Try, /*On fail goto*//*Label 10099*/ GIMT_Encode4(626026), // Rule ID 6152 //
     /*  625956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  625967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  625970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  625973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  626005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626024 */     GIR_RootConstrainSelectedInstOperands,
     /*  626025 */     // GIR_Coverage, 6152,
     /*  626025 */     GIR_EraseRootFromParent_Done,
     /*  626026 */   // Label 10099: @626026
     /*  626026 */   GIM_Try, /*On fail goto*//*Label 10100*/ GIMT_Encode4(626101), // Rule ID 6153 //
     /*  626031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  626042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  626045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  626048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  626080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626099 */     GIR_RootConstrainSelectedInstOperands,
     /*  626100 */     // GIR_Coverage, 6153,
     /*  626100 */     GIR_EraseRootFromParent_Done,
     /*  626101 */   // Label 10100: @626101
     /*  626101 */   GIM_Try, /*On fail goto*//*Label 10101*/ GIMT_Encode4(626176), // Rule ID 6156 //
     /*  626106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  626117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  626120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  626123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  626155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626174 */     GIR_RootConstrainSelectedInstOperands,
     /*  626175 */     // GIR_Coverage, 6156,
     /*  626175 */     GIR_EraseRootFromParent_Done,
     /*  626176 */   // Label 10101: @626176
     /*  626176 */   GIM_Try, /*On fail goto*//*Label 10102*/ GIMT_Encode4(626251), // Rule ID 6157 //
     /*  626181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  626192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  626195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  626198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626227 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  626230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626249 */     GIR_RootConstrainSelectedInstOperands,
     /*  626250 */     // GIR_Coverage, 6157,
     /*  626250 */     GIR_EraseRootFromParent_Done,
     /*  626251 */   // Label 10102: @626251
     /*  626251 */   GIM_Try, /*On fail goto*//*Label 10103*/ GIMT_Encode4(626326), // Rule ID 6160 //
     /*  626256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  626267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  626270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  626273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  626305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626324 */     GIR_RootConstrainSelectedInstOperands,
     /*  626325 */     // GIR_Coverage, 6160,
     /*  626325 */     GIR_EraseRootFromParent_Done,
     /*  626326 */   // Label 10103: @626326
     /*  626326 */   GIM_Try, /*On fail goto*//*Label 10104*/ GIMT_Encode4(626401), // Rule ID 6161 //
     /*  626331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  626342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  626345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  626348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  626380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626399 */     GIR_RootConstrainSelectedInstOperands,
     /*  626400 */     // GIR_Coverage, 6161,
     /*  626400 */     GIR_EraseRootFromParent_Done,
     /*  626401 */   // Label 10104: @626401
     /*  626401 */   GIM_Try, /*On fail goto*//*Label 10105*/ GIMT_Encode4(626476), // Rule ID 6164 //
     /*  626406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  626409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  626455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626474 */     GIR_RootConstrainSelectedInstOperands,
     /*  626475 */     // GIR_Coverage, 6164,
     /*  626475 */     GIR_EraseRootFromParent_Done,
     /*  626476 */   // Label 10105: @626476
     /*  626476 */   GIM_Try, /*On fail goto*//*Label 10106*/ GIMT_Encode4(626551), // Rule ID 6165 //
     /*  626481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  626484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  626530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626549 */     GIR_RootConstrainSelectedInstOperands,
     /*  626550 */     // GIR_Coverage, 6165,
     /*  626550 */     GIR_EraseRootFromParent_Done,
     /*  626551 */   // Label 10106: @626551
     /*  626551 */   GIM_Try, /*On fail goto*//*Label 10107*/ GIMT_Encode4(626626), // Rule ID 6168 //
     /*  626556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  626567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  626570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  626573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626602 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626624 */     GIR_RootConstrainSelectedInstOperands,
     /*  626625 */     // GIR_Coverage, 6168,
     /*  626625 */     GIR_EraseRootFromParent_Done,
     /*  626626 */   // Label 10107: @626626
     /*  626626 */   GIM_Try, /*On fail goto*//*Label 10108*/ GIMT_Encode4(626701), // Rule ID 6169 //
     /*  626631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  626642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  626645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  626648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626677 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626699 */     GIR_RootConstrainSelectedInstOperands,
     /*  626700 */     // GIR_Coverage, 6169,
     /*  626700 */     GIR_EraseRootFromParent_Done,
     /*  626701 */   // Label 10108: @626701
     /*  626701 */   GIM_Try, /*On fail goto*//*Label 10109*/ GIMT_Encode4(626776), // Rule ID 6172 //
     /*  626706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  626717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  626720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  626723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626752 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626774 */     GIR_RootConstrainSelectedInstOperands,
     /*  626775 */     // GIR_Coverage, 6172,
     /*  626775 */     GIR_EraseRootFromParent_Done,
     /*  626776 */   // Label 10109: @626776
     /*  626776 */   GIM_Try, /*On fail goto*//*Label 10110*/ GIMT_Encode4(626851), // Rule ID 6173 //
     /*  626781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  626792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  626795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  626798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626827 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626849 */     GIR_RootConstrainSelectedInstOperands,
     /*  626850 */     // GIR_Coverage, 6173,
     /*  626850 */     GIR_EraseRootFromParent_Done,
     /*  626851 */   // Label 10110: @626851
     /*  626851 */   GIM_Try, /*On fail goto*//*Label 10111*/ GIMT_Encode4(626926), // Rule ID 6176 //
     /*  626856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  626867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  626870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  626873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626902 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626924 */     GIR_RootConstrainSelectedInstOperands,
     /*  626925 */     // GIR_Coverage, 6176,
     /*  626925 */     GIR_EraseRootFromParent_Done,
     /*  626926 */   // Label 10111: @626926
     /*  626926 */   GIM_Try, /*On fail goto*//*Label 10112*/ GIMT_Encode4(627001), // Rule ID 6177 //
     /*  626931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  626942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  626945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  626948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626977 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626999 */     GIR_RootConstrainSelectedInstOperands,
     /*  627000 */     // GIR_Coverage, 6177,
     /*  627000 */     GIR_EraseRootFromParent_Done,
     /*  627001 */   // Label 10112: @627001
     /*  627001 */   GIM_Try, /*On fail goto*//*Label 10113*/ GIMT_Encode4(627076), // Rule ID 6180 //
     /*  627006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  627017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  627020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  627023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627052 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  627055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627074 */     GIR_RootConstrainSelectedInstOperands,
     /*  627075 */     // GIR_Coverage, 6180,
     /*  627075 */     GIR_EraseRootFromParent_Done,
     /*  627076 */   // Label 10113: @627076
     /*  627076 */   GIM_Try, /*On fail goto*//*Label 10114*/ GIMT_Encode4(627151), // Rule ID 6181 //
     /*  627081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  627092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  627095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  627098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627127 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  627130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627149 */     GIR_RootConstrainSelectedInstOperands,
     /*  627150 */     // GIR_Coverage, 6181,
     /*  627150 */     GIR_EraseRootFromParent_Done,
     /*  627151 */   // Label 10114: @627151
     /*  627151 */   GIM_Try, /*On fail goto*//*Label 10115*/ GIMT_Encode4(627226), // Rule ID 6184 //
     /*  627156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  627167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  627170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  627173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627224 */     GIR_RootConstrainSelectedInstOperands,
     /*  627225 */     // GIR_Coverage, 6184,
     /*  627225 */     GIR_EraseRootFromParent_Done,
     /*  627226 */   // Label 10115: @627226
     /*  627226 */   GIM_Try, /*On fail goto*//*Label 10116*/ GIMT_Encode4(627301), // Rule ID 6185 //
     /*  627231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  627242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  627245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  627248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627277 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627299 */     GIR_RootConstrainSelectedInstOperands,
     /*  627300 */     // GIR_Coverage, 6185,
     /*  627300 */     GIR_EraseRootFromParent_Done,
     /*  627301 */   // Label 10116: @627301
     /*  627301 */   GIM_Try, /*On fail goto*//*Label 10117*/ GIMT_Encode4(627376), // Rule ID 6188 //
     /*  627306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  627317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  627320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  627323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627352 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627374 */     GIR_RootConstrainSelectedInstOperands,
     /*  627375 */     // GIR_Coverage, 6188,
     /*  627375 */     GIR_EraseRootFromParent_Done,
     /*  627376 */   // Label 10117: @627376
     /*  627376 */   GIM_Try, /*On fail goto*//*Label 10118*/ GIMT_Encode4(627451), // Rule ID 6189 //
     /*  627381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  627392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  627395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  627398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627427 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627449 */     GIR_RootConstrainSelectedInstOperands,
     /*  627450 */     // GIR_Coverage, 6189,
     /*  627450 */     GIR_EraseRootFromParent_Done,
     /*  627451 */   // Label 10118: @627451
     /*  627451 */   GIM_Try, /*On fail goto*//*Label 10119*/ GIMT_Encode4(627526), // Rule ID 6192 //
     /*  627456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  627467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  627470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  627473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  627505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627524 */     GIR_RootConstrainSelectedInstOperands,
     /*  627525 */     // GIR_Coverage, 6192,
     /*  627525 */     GIR_EraseRootFromParent_Done,
     /*  627526 */   // Label 10119: @627526
     /*  627526 */   GIM_Try, /*On fail goto*//*Label 10120*/ GIMT_Encode4(627601), // Rule ID 6193 //
     /*  627531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  627542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  627545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  627548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  627580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627599 */     GIR_RootConstrainSelectedInstOperands,
     /*  627600 */     // GIR_Coverage, 6193,
     /*  627600 */     GIR_EraseRootFromParent_Done,
     /*  627601 */   // Label 10120: @627601
     /*  627601 */   GIM_Try, /*On fail goto*//*Label 10121*/ GIMT_Encode4(627676), // Rule ID 6196 //
     /*  627606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  627617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  627620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  627623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627652 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627674 */     GIR_RootConstrainSelectedInstOperands,
     /*  627675 */     // GIR_Coverage, 6196,
     /*  627675 */     GIR_EraseRootFromParent_Done,
     /*  627676 */   // Label 10121: @627676
     /*  627676 */   GIM_Try, /*On fail goto*//*Label 10122*/ GIMT_Encode4(627751), // Rule ID 6197 //
     /*  627681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  627692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  627695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  627698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627749 */     GIR_RootConstrainSelectedInstOperands,
     /*  627750 */     // GIR_Coverage, 6197,
     /*  627750 */     GIR_EraseRootFromParent_Done,
     /*  627751 */   // Label 10122: @627751
     /*  627751 */   GIM_Try, /*On fail goto*//*Label 10123*/ GIMT_Encode4(627826), // Rule ID 6200 //
     /*  627756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  627767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  627770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  627773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627802 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627824 */     GIR_RootConstrainSelectedInstOperands,
     /*  627825 */     // GIR_Coverage, 6200,
     /*  627825 */     GIR_EraseRootFromParent_Done,
     /*  627826 */   // Label 10123: @627826
     /*  627826 */   GIM_Try, /*On fail goto*//*Label 10124*/ GIMT_Encode4(627901), // Rule ID 6201 //
     /*  627831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  627842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  627845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  627848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627877 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627899 */     GIR_RootConstrainSelectedInstOperands,
     /*  627900 */     // GIR_Coverage, 6201,
     /*  627900 */     GIR_EraseRootFromParent_Done,
     /*  627901 */   // Label 10124: @627901
     /*  627901 */   GIM_Try, /*On fail goto*//*Label 10125*/ GIMT_Encode4(627976), // Rule ID 6204 //
     /*  627906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  627917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  627920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  627923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627952 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  627955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627974 */     GIR_RootConstrainSelectedInstOperands,
     /*  627975 */     // GIR_Coverage, 6204,
     /*  627975 */     GIR_EraseRootFromParent_Done,
     /*  627976 */   // Label 10125: @627976
     /*  627976 */   GIM_Try, /*On fail goto*//*Label 10126*/ GIMT_Encode4(628051), // Rule ID 6205 //
     /*  627981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  627992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  627995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  627998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  628001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628027 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11511:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  628030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628049 */     GIR_RootConstrainSelectedInstOperands,
     /*  628050 */     // GIR_Coverage, 6205,
     /*  628050 */     GIR_EraseRootFromParent_Done,
     /*  628051 */   // Label 10126: @628051
     /*  628051 */   GIM_Try, /*On fail goto*//*Label 10127*/ GIMT_Encode4(628126), // Rule ID 6208 //
     /*  628056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  628067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  628070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  628073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  628076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628102 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  628105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628124 */     GIR_RootConstrainSelectedInstOperands,
     /*  628125 */     // GIR_Coverage, 6208,
     /*  628125 */     GIR_EraseRootFromParent_Done,
     /*  628126 */   // Label 10127: @628126
     /*  628126 */   GIM_Try, /*On fail goto*//*Label 10128*/ GIMT_Encode4(628201), // Rule ID 6209 //
     /*  628131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  628142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  628145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  628148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  628151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628177 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11511:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  628180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628199 */     GIR_RootConstrainSelectedInstOperands,
     /*  628200 */     // GIR_Coverage, 6209,
     /*  628200 */     GIR_EraseRootFromParent_Done,
     /*  628201 */   // Label 10128: @628201
     /*  628201 */   GIM_Try, /*On fail goto*//*Label 10129*/ GIMT_Encode4(628276), // Rule ID 6212 //
     /*  628206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  628217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  628220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  628223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  628226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628252 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  628255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628274 */     GIR_RootConstrainSelectedInstOperands,
     /*  628275 */     // GIR_Coverage, 6212,
     /*  628275 */     GIR_EraseRootFromParent_Done,
     /*  628276 */   // Label 10129: @628276
     /*  628276 */   GIM_Try, /*On fail goto*//*Label 10130*/ GIMT_Encode4(628351), // Rule ID 6213 //
     /*  628281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  628292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  628295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  628298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  628301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628327 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11511:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  628330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628349 */     GIR_RootConstrainSelectedInstOperands,
     /*  628350 */     // GIR_Coverage, 6213,
     /*  628350 */     GIR_EraseRootFromParent_Done,
     /*  628351 */   // Label 10130: @628351
     /*  628351 */   GIM_Try, /*On fail goto*//*Label 10131*/ GIMT_Encode4(628426), // Rule ID 6304 //
     /*  628356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  628367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  628370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  628373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  628376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628402 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  628405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628424 */     GIR_RootConstrainSelectedInstOperands,
     /*  628425 */     // GIR_Coverage, 6304,
     /*  628425 */     GIR_EraseRootFromParent_Done,
     /*  628426 */   // Label 10131: @628426
     /*  628426 */   GIM_Try, /*On fail goto*//*Label 10132*/ GIMT_Encode4(628501), // Rule ID 6305 //
     /*  628431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  628442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  628445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  628448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  628451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628477 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  628480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628499 */     GIR_RootConstrainSelectedInstOperands,
     /*  628500 */     // GIR_Coverage, 6305,
     /*  628500 */     GIR_EraseRootFromParent_Done,
     /*  628501 */   // Label 10132: @628501
     /*  628501 */   GIM_Try, /*On fail goto*//*Label 10133*/ GIMT_Encode4(628576), // Rule ID 6308 //
     /*  628506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  628517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  628520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  628523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  628526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628552 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  628555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628574 */     GIR_RootConstrainSelectedInstOperands,
     /*  628575 */     // GIR_Coverage, 6308,
     /*  628575 */     GIR_EraseRootFromParent_Done,
     /*  628576 */   // Label 10133: @628576
     /*  628576 */   GIM_Try, /*On fail goto*//*Label 10134*/ GIMT_Encode4(628651), // Rule ID 6309 //
     /*  628581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  628592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  628595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  628598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  628601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628627 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  628630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628649 */     GIR_RootConstrainSelectedInstOperands,
     /*  628650 */     // GIR_Coverage, 6309,
     /*  628650 */     GIR_EraseRootFromParent_Done,
     /*  628651 */   // Label 10134: @628651
     /*  628651 */   GIM_Try, /*On fail goto*//*Label 10135*/ GIMT_Encode4(628726), // Rule ID 6312 //
     /*  628656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  628667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  628670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  628673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  628676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628702 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628724 */     GIR_RootConstrainSelectedInstOperands,
     /*  628725 */     // GIR_Coverage, 6312,
     /*  628725 */     GIR_EraseRootFromParent_Done,
     /*  628726 */   // Label 10135: @628726
     /*  628726 */   GIM_Try, /*On fail goto*//*Label 10136*/ GIMT_Encode4(628801), // Rule ID 6313 //
     /*  628731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  628742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  628745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  628748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  628751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628777 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628799 */     GIR_RootConstrainSelectedInstOperands,
     /*  628800 */     // GIR_Coverage, 6313,
     /*  628800 */     GIR_EraseRootFromParent_Done,
     /*  628801 */   // Label 10136: @628801
     /*  628801 */   GIM_Try, /*On fail goto*//*Label 10137*/ GIMT_Encode4(628876), // Rule ID 6316 //
     /*  628806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  628817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  628820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  628823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  628826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  628855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628874 */     GIR_RootConstrainSelectedInstOperands,
     /*  628875 */     // GIR_Coverage, 6316,
     /*  628875 */     GIR_EraseRootFromParent_Done,
     /*  628876 */   // Label 10137: @628876
     /*  628876 */   GIM_Try, /*On fail goto*//*Label 10138*/ GIMT_Encode4(628951), // Rule ID 6317 //
     /*  628881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  628892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  628895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  628898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  628901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628927 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  628930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628949 */     GIR_RootConstrainSelectedInstOperands,
     /*  628950 */     // GIR_Coverage, 6317,
     /*  628950 */     GIR_EraseRootFromParent_Done,
     /*  628951 */   // Label 10138: @628951
     /*  628951 */   GIM_Try, /*On fail goto*//*Label 10139*/ GIMT_Encode4(629026), // Rule ID 6320 //
     /*  628956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  628967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  628970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  628973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  628976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629002 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  629005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629024 */     GIR_RootConstrainSelectedInstOperands,
     /*  629025 */     // GIR_Coverage, 6320,
     /*  629025 */     GIR_EraseRootFromParent_Done,
     /*  629026 */   // Label 10139: @629026
     /*  629026 */   GIM_Try, /*On fail goto*//*Label 10140*/ GIMT_Encode4(629101), // Rule ID 6321 //
     /*  629031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  629042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  629045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  629048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  629051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629077 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  629080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629099 */     GIR_RootConstrainSelectedInstOperands,
     /*  629100 */     // GIR_Coverage, 6321,
     /*  629100 */     GIR_EraseRootFromParent_Done,
     /*  629101 */   // Label 10140: @629101
     /*  629101 */   GIM_Try, /*On fail goto*//*Label 10141*/ GIMT_Encode4(629176), // Rule ID 6324 //
     /*  629106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  629117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  629120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  629123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  629126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  629155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629174 */     GIR_RootConstrainSelectedInstOperands,
     /*  629175 */     // GIR_Coverage, 6324,
     /*  629175 */     GIR_EraseRootFromParent_Done,
     /*  629176 */   // Label 10141: @629176
     /*  629176 */   GIM_Try, /*On fail goto*//*Label 10142*/ GIMT_Encode4(629251), // Rule ID 6325 //
     /*  629181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  629192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  629195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  629198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  629201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  629230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629249 */     GIR_RootConstrainSelectedInstOperands,
     /*  629250 */     // GIR_Coverage, 6325,
     /*  629250 */     GIR_EraseRootFromParent_Done,
     /*  629251 */   // Label 10142: @629251
     /*  629251 */   GIM_Try, /*On fail goto*//*Label 10143*/ GIMT_Encode4(629326), // Rule ID 6328 //
     /*  629256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  629267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  629270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  629273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  629276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629324 */     GIR_RootConstrainSelectedInstOperands,
     /*  629325 */     // GIR_Coverage, 6328,
     /*  629325 */     GIR_EraseRootFromParent_Done,
     /*  629326 */   // Label 10143: @629326
     /*  629326 */   GIM_Try, /*On fail goto*//*Label 10144*/ GIMT_Encode4(629401), // Rule ID 6329 //
     /*  629331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  629342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  629345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  629348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  629351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629399 */     GIR_RootConstrainSelectedInstOperands,
     /*  629400 */     // GIR_Coverage, 6329,
     /*  629400 */     GIR_EraseRootFromParent_Done,
     /*  629401 */   // Label 10144: @629401
     /*  629401 */   GIM_Try, /*On fail goto*//*Label 10145*/ GIMT_Encode4(629476), // Rule ID 6332 //
     /*  629406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  629417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  629420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  629423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  629426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629474 */     GIR_RootConstrainSelectedInstOperands,
     /*  629475 */     // GIR_Coverage, 6332,
     /*  629475 */     GIR_EraseRootFromParent_Done,
     /*  629476 */   // Label 10145: @629476
     /*  629476 */   GIM_Try, /*On fail goto*//*Label 10146*/ GIMT_Encode4(629551), // Rule ID 6333 //
     /*  629481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  629492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  629495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  629498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  629501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629549 */     GIR_RootConstrainSelectedInstOperands,
     /*  629550 */     // GIR_Coverage, 6333,
     /*  629550 */     GIR_EraseRootFromParent_Done,
     /*  629551 */   // Label 10146: @629551
     /*  629551 */   GIM_Try, /*On fail goto*//*Label 10147*/ GIMT_Encode4(629626), // Rule ID 6336 //
     /*  629556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  629567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  629570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  629573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  629576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629624 */     GIR_RootConstrainSelectedInstOperands,
     /*  629625 */     // GIR_Coverage, 6336,
     /*  629625 */     GIR_EraseRootFromParent_Done,
     /*  629626 */   // Label 10147: @629626
     /*  629626 */   GIM_Try, /*On fail goto*//*Label 10148*/ GIMT_Encode4(629701), // Rule ID 6337 //
     /*  629631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  629642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  629645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  629648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  629651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629699 */     GIR_RootConstrainSelectedInstOperands,
     /*  629700 */     // GIR_Coverage, 6337,
     /*  629700 */     GIR_EraseRootFromParent_Done,
     /*  629701 */   // Label 10148: @629701
     /*  629701 */   GIM_Try, /*On fail goto*//*Label 10149*/ GIMT_Encode4(629776), // Rule ID 6340 //
     /*  629706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  629709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  629717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  629720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  629723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  629726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  629752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629774 */     GIR_RootConstrainSelectedInstOperands,
     /*  629775 */     // GIR_Coverage, 6340,
     /*  629775 */     GIR_EraseRootFromParent_Done,
     /*  629776 */   // Label 10149: @629776
     /*  629776 */   GIM_Try, /*On fail goto*//*Label 10150*/ GIMT_Encode4(629851), // Rule ID 6341 //
     /*  629781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  629784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  629792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  629795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  629798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  629801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  629827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  629830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629849 */     GIR_RootConstrainSelectedInstOperands,
     /*  629850 */     // GIR_Coverage, 6341,
     /*  629850 */     GIR_EraseRootFromParent_Done,
     /*  629851 */   // Label 10150: @629851
     /*  629851 */   GIM_Try, /*On fail goto*//*Label 10151*/ GIMT_Encode4(629926), // Rule ID 6344 //
     /*  629856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  629867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  629870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  629873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  629876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629902 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629924 */     GIR_RootConstrainSelectedInstOperands,
     /*  629925 */     // GIR_Coverage, 6344,
     /*  629925 */     GIR_EraseRootFromParent_Done,
     /*  629926 */   // Label 10151: @629926
     /*  629926 */   GIM_Try, /*On fail goto*//*Label 10152*/ GIMT_Encode4(630001), // Rule ID 6345 //
     /*  629931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  629942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  629945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  629948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  629951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629977 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629999 */     GIR_RootConstrainSelectedInstOperands,
     /*  630000 */     // GIR_Coverage, 6345,
     /*  630000 */     GIR_EraseRootFromParent_Done,
     /*  630001 */   // Label 10152: @630001
     /*  630001 */   GIM_Try, /*On fail goto*//*Label 10153*/ GIMT_Encode4(630076), // Rule ID 6348 //
     /*  630006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  630017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  630020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  630023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  630026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630052 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630074 */     GIR_RootConstrainSelectedInstOperands,
     /*  630075 */     // GIR_Coverage, 6348,
     /*  630075 */     GIR_EraseRootFromParent_Done,
     /*  630076 */   // Label 10153: @630076
     /*  630076 */   GIM_Try, /*On fail goto*//*Label 10154*/ GIMT_Encode4(630151), // Rule ID 6349 //
     /*  630081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  630092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  630095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  630098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  630101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630127 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630149 */     GIR_RootConstrainSelectedInstOperands,
     /*  630150 */     // GIR_Coverage, 6349,
     /*  630150 */     GIR_EraseRootFromParent_Done,
     /*  630151 */   // Label 10154: @630151
     /*  630151 */   GIM_Try, /*On fail goto*//*Label 10155*/ GIMT_Encode4(630226), // Rule ID 6352 //
     /*  630156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  630167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  630170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  630173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  630176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630202 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630224 */     GIR_RootConstrainSelectedInstOperands,
     /*  630225 */     // GIR_Coverage, 6352,
     /*  630225 */     GIR_EraseRootFromParent_Done,
     /*  630226 */   // Label 10155: @630226
     /*  630226 */   GIM_Try, /*On fail goto*//*Label 10156*/ GIMT_Encode4(630301), // Rule ID 6353 //
     /*  630231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  630242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  630245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  630248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  630251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630277 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630299 */     GIR_RootConstrainSelectedInstOperands,
     /*  630300 */     // GIR_Coverage, 6353,
     /*  630300 */     GIR_EraseRootFromParent_Done,
     /*  630301 */   // Label 10156: @630301
     /*  630301 */   GIM_Try, /*On fail goto*//*Label 10157*/ GIMT_Encode4(630376), // Rule ID 6356 //
     /*  630306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  630317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  630320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  630323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  630326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630352 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630374 */     GIR_RootConstrainSelectedInstOperands,
     /*  630375 */     // GIR_Coverage, 6356,
     /*  630375 */     GIR_EraseRootFromParent_Done,
     /*  630376 */   // Label 10157: @630376
     /*  630376 */   GIM_Try, /*On fail goto*//*Label 10158*/ GIMT_Encode4(630451), // Rule ID 6357 //
     /*  630381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  630392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  630395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  630398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  630401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630427 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630449 */     GIR_RootConstrainSelectedInstOperands,
     /*  630450 */     // GIR_Coverage, 6357,
     /*  630450 */     GIR_EraseRootFromParent_Done,
     /*  630451 */   // Label 10158: @630451
     /*  630451 */   GIM_Try, /*On fail goto*//*Label 10159*/ GIMT_Encode4(630526), // Rule ID 6360 //
     /*  630456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  630467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  630470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  630473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  630476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630502 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630524 */     GIR_RootConstrainSelectedInstOperands,
     /*  630525 */     // GIR_Coverage, 6360,
     /*  630525 */     GIR_EraseRootFromParent_Done,
     /*  630526 */   // Label 10159: @630526
     /*  630526 */   GIM_Try, /*On fail goto*//*Label 10160*/ GIMT_Encode4(630601), // Rule ID 6361 //
     /*  630531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  630542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  630545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  630548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  630551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630577 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630599 */     GIR_RootConstrainSelectedInstOperands,
     /*  630600 */     // GIR_Coverage, 6361,
     /*  630600 */     GIR_EraseRootFromParent_Done,
     /*  630601 */   // Label 10160: @630601
     /*  630601 */   GIM_Try, /*On fail goto*//*Label 10161*/ GIMT_Encode4(630676), // Rule ID 6364 //
     /*  630606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  630617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  630620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  630623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  630626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630674 */     GIR_RootConstrainSelectedInstOperands,
     /*  630675 */     // GIR_Coverage, 6364,
     /*  630675 */     GIR_EraseRootFromParent_Done,
     /*  630676 */   // Label 10161: @630676
     /*  630676 */   GIM_Try, /*On fail goto*//*Label 10162*/ GIMT_Encode4(630751), // Rule ID 6365 //
     /*  630681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  630692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  630695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  630698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  630701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630727 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630749 */     GIR_RootConstrainSelectedInstOperands,
     /*  630750 */     // GIR_Coverage, 6365,
     /*  630750 */     GIR_EraseRootFromParent_Done,
     /*  630751 */   // Label 10162: @630751
     /*  630751 */   GIM_Try, /*On fail goto*//*Label 10163*/ GIMT_Encode4(630826), // Rule ID 6368 //
     /*  630756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  630767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  630770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  630773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  630776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630824 */     GIR_RootConstrainSelectedInstOperands,
     /*  630825 */     // GIR_Coverage, 6368,
     /*  630825 */     GIR_EraseRootFromParent_Done,
     /*  630826 */   // Label 10163: @630826
     /*  630826 */   GIM_Try, /*On fail goto*//*Label 10164*/ GIMT_Encode4(630901), // Rule ID 6369 //
     /*  630831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  630842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  630845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  630848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  630851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630877 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630899 */     GIR_RootConstrainSelectedInstOperands,
     /*  630900 */     // GIR_Coverage, 6369,
     /*  630900 */     GIR_EraseRootFromParent_Done,
     /*  630901 */   // Label 10164: @630901
     /*  630901 */   GIM_Try, /*On fail goto*//*Label 10165*/ GIMT_Encode4(630976), // Rule ID 6372 //
     /*  630906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  630917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  630920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  630923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  630926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630952 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630974 */     GIR_RootConstrainSelectedInstOperands,
     /*  630975 */     // GIR_Coverage, 6372,
     /*  630975 */     GIR_EraseRootFromParent_Done,
     /*  630976 */   // Label 10165: @630976
     /*  630976 */   GIM_Try, /*On fail goto*//*Label 10166*/ GIMT_Encode4(631051), // Rule ID 6373 //
     /*  630981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  630992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  630995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  630998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  631001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  631030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631049 */     GIR_RootConstrainSelectedInstOperands,
     /*  631050 */     // GIR_Coverage, 6373,
     /*  631050 */     GIR_EraseRootFromParent_Done,
     /*  631051 */   // Label 10166: @631051
     /*  631051 */   GIM_Try, /*On fail goto*//*Label 10167*/ GIMT_Encode4(631126), // Rule ID 6376 //
     /*  631056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  631067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  631070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  631073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  631076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  631105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631124 */     GIR_RootConstrainSelectedInstOperands,
     /*  631125 */     // GIR_Coverage, 6376,
     /*  631125 */     GIR_EraseRootFromParent_Done,
     /*  631126 */   // Label 10167: @631126
     /*  631126 */   GIM_Try, /*On fail goto*//*Label 10168*/ GIMT_Encode4(631201), // Rule ID 6377 //
     /*  631131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  631142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  631145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  631148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  631151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631177 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  631180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631199 */     GIR_RootConstrainSelectedInstOperands,
     /*  631200 */     // GIR_Coverage, 6377,
     /*  631200 */     GIR_EraseRootFromParent_Done,
     /*  631201 */   // Label 10168: @631201
     /*  631201 */   GIM_Try, /*On fail goto*//*Label 10169*/ GIMT_Encode4(631276), // Rule ID 6380 //
     /*  631206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  631217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  631220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  631223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  631226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  631255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631274 */     GIR_RootConstrainSelectedInstOperands,
     /*  631275 */     // GIR_Coverage, 6380,
     /*  631275 */     GIR_EraseRootFromParent_Done,
     /*  631276 */   // Label 10169: @631276
     /*  631276 */   GIM_Try, /*On fail goto*//*Label 10170*/ GIMT_Encode4(631351), // Rule ID 6381 //
     /*  631281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  631292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  631295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  631298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  631301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631327 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  631327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  631330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631349 */     GIR_RootConstrainSelectedInstOperands,
     /*  631350 */     // GIR_Coverage, 6381,
     /*  631350 */     GIR_EraseRootFromParent_Done,
     /*  631351 */   // Label 10170: @631351
     /*  631351 */   GIM_Try, /*On fail goto*//*Label 10171*/ GIMT_Encode4(631426), // Rule ID 6384 //
     /*  631356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  631367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  631370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  631373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  631376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  631405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631424 */     GIR_RootConstrainSelectedInstOperands,
     /*  631425 */     // GIR_Coverage, 6384,
     /*  631425 */     GIR_EraseRootFromParent_Done,
     /*  631426 */   // Label 10171: @631426
     /*  631426 */   GIM_Try, /*On fail goto*//*Label 10172*/ GIMT_Encode4(631501), // Rule ID 6385 //
     /*  631431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  631442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  631445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  631448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  631451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631477 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  631477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  631480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631499 */     GIR_RootConstrainSelectedInstOperands,
     /*  631500 */     // GIR_Coverage, 6385,
     /*  631500 */     GIR_EraseRootFromParent_Done,
     /*  631501 */   // Label 10172: @631501
     /*  631501 */   GIM_Try, /*On fail goto*//*Label 10173*/ GIMT_Encode4(631576), // Rule ID 6388 //
     /*  631506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  631517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  631520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  631523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  631526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631552 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  631555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631574 */     GIR_RootConstrainSelectedInstOperands,
     /*  631575 */     // GIR_Coverage, 6388,
     /*  631575 */     GIR_EraseRootFromParent_Done,
     /*  631576 */   // Label 10173: @631576
     /*  631576 */   GIM_Try, /*On fail goto*//*Label 10174*/ GIMT_Encode4(631651), // Rule ID 6389 //
     /*  631581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  631592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  631595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  631598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  631601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631627 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  631627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  631630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631649 */     GIR_RootConstrainSelectedInstOperands,
     /*  631650 */     // GIR_Coverage, 6389,
     /*  631650 */     GIR_EraseRootFromParent_Done,
     /*  631651 */   // Label 10174: @631651
     /*  631651 */   GIM_Try, /*On fail goto*//*Label 10175*/ GIMT_Encode4(631726), // Rule ID 6392 //
     /*  631656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  631667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  631670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  631673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631702 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  631705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631724 */     GIR_RootConstrainSelectedInstOperands,
     /*  631725 */     // GIR_Coverage, 6392,
     /*  631725 */     GIR_EraseRootFromParent_Done,
     /*  631726 */   // Label 10175: @631726
     /*  631726 */   GIM_Try, /*On fail goto*//*Label 10176*/ GIMT_Encode4(631801), // Rule ID 6393 //
     /*  631731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  631742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  631745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  631748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631777 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  631780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631799 */     GIR_RootConstrainSelectedInstOperands,
     /*  631800 */     // GIR_Coverage, 6393,
     /*  631800 */     GIR_EraseRootFromParent_Done,
     /*  631801 */   // Label 10176: @631801
     /*  631801 */   GIM_Try, /*On fail goto*//*Label 10177*/ GIMT_Encode4(631876), // Rule ID 6396 //
     /*  631806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  631817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  631820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  631823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631874 */     GIR_RootConstrainSelectedInstOperands,
     /*  631875 */     // GIR_Coverage, 6396,
     /*  631875 */     GIR_EraseRootFromParent_Done,
     /*  631876 */   // Label 10177: @631876
     /*  631876 */   GIM_Try, /*On fail goto*//*Label 10178*/ GIMT_Encode4(631951), // Rule ID 6397 //
     /*  631881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  631892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  631895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  631898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631927 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631949 */     GIR_RootConstrainSelectedInstOperands,
     /*  631950 */     // GIR_Coverage, 6397,
     /*  631950 */     GIR_EraseRootFromParent_Done,
     /*  631951 */   // Label 10178: @631951
     /*  631951 */   GIM_Try, /*On fail goto*//*Label 10179*/ GIMT_Encode4(632026), // Rule ID 6400 //
     /*  631956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  631967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  631970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  631973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632002 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  632005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632024 */     GIR_RootConstrainSelectedInstOperands,
     /*  632025 */     // GIR_Coverage, 6400,
     /*  632025 */     GIR_EraseRootFromParent_Done,
     /*  632026 */   // Label 10179: @632026
     /*  632026 */   GIM_Try, /*On fail goto*//*Label 10180*/ GIMT_Encode4(632101), // Rule ID 6401 //
     /*  632031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  632042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  632045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  632048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632077 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  632080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632099 */     GIR_RootConstrainSelectedInstOperands,
     /*  632100 */     // GIR_Coverage, 6401,
     /*  632100 */     GIR_EraseRootFromParent_Done,
     /*  632101 */   // Label 10180: @632101
     /*  632101 */   GIM_Try, /*On fail goto*//*Label 10181*/ GIMT_Encode4(632176), // Rule ID 6404 //
     /*  632106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  632117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  632120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  632123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  632155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632174 */     GIR_RootConstrainSelectedInstOperands,
     /*  632175 */     // GIR_Coverage, 6404,
     /*  632175 */     GIR_EraseRootFromParent_Done,
     /*  632176 */   // Label 10181: @632176
     /*  632176 */   GIM_Try, /*On fail goto*//*Label 10182*/ GIMT_Encode4(632251), // Rule ID 6405 //
     /*  632181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  632192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  632195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  632198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632227 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  632230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632249 */     GIR_RootConstrainSelectedInstOperands,
     /*  632250 */     // GIR_Coverage, 6405,
     /*  632250 */     GIR_EraseRootFromParent_Done,
     /*  632251 */   // Label 10182: @632251
     /*  632251 */   GIM_Try, /*On fail goto*//*Label 10183*/ GIMT_Encode4(632326), // Rule ID 6408 //
     /*  632256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  632267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  632270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  632273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632302 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  632305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632324 */     GIR_RootConstrainSelectedInstOperands,
     /*  632325 */     // GIR_Coverage, 6408,
     /*  632325 */     GIR_EraseRootFromParent_Done,
     /*  632326 */   // Label 10183: @632326
     /*  632326 */   GIM_Try, /*On fail goto*//*Label 10184*/ GIMT_Encode4(632401), // Rule ID 6409 //
     /*  632331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  632342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  632345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  632348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632377 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  632380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632399 */     GIR_RootConstrainSelectedInstOperands,
     /*  632400 */     // GIR_Coverage, 6409,
     /*  632400 */     GIR_EraseRootFromParent_Done,
     /*  632401 */   // Label 10184: @632401
     /*  632401 */   GIM_Try, /*On fail goto*//*Label 10185*/ GIMT_Encode4(632476), // Rule ID 6412 //
     /*  632406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  632417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  632420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  632423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  632452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  632455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632474 */     GIR_RootConstrainSelectedInstOperands,
     /*  632475 */     // GIR_Coverage, 6412,
     /*  632475 */     GIR_EraseRootFromParent_Done,
     /*  632476 */   // Label 10185: @632476
     /*  632476 */   GIM_Try, /*On fail goto*//*Label 10186*/ GIMT_Encode4(632551), // Rule ID 6413 //
     /*  632481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  632492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  632495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  632498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632527 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  632527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  632530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632549 */     GIR_RootConstrainSelectedInstOperands,
     /*  632550 */     // GIR_Coverage, 6413,
     /*  632550 */     GIR_EraseRootFromParent_Done,
     /*  632551 */   // Label 10186: @632551
     /*  632551 */   GIM_Try, /*On fail goto*//*Label 10187*/ GIMT_Encode4(632626), // Rule ID 6416 //
     /*  632556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  632567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  632570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  632573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632624 */     GIR_RootConstrainSelectedInstOperands,
     /*  632625 */     // GIR_Coverage, 6416,
     /*  632625 */     GIR_EraseRootFromParent_Done,
     /*  632626 */   // Label 10187: @632626
     /*  632626 */   GIM_Try, /*On fail goto*//*Label 10188*/ GIMT_Encode4(632701), // Rule ID 6417 //
     /*  632631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  632642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  632645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  632648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11691:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632699 */     GIR_RootConstrainSelectedInstOperands,
     /*  632700 */     // GIR_Coverage, 6417,
     /*  632700 */     GIR_EraseRootFromParent_Done,
     /*  632701 */   // Label 10188: @632701
     /*  632701 */   GIM_Try, /*On fail goto*//*Label 10189*/ GIMT_Encode4(632776), // Rule ID 6420 //
     /*  632706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  632717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  632720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  632723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632774 */     GIR_RootConstrainSelectedInstOperands,
     /*  632775 */     // GIR_Coverage, 6420,
     /*  632775 */     GIR_EraseRootFromParent_Done,
     /*  632776 */   // Label 10189: @632776
     /*  632776 */   GIM_Try, /*On fail goto*//*Label 10190*/ GIMT_Encode4(632851), // Rule ID 6421 //
     /*  632781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  632792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  632795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  632798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11691:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632849 */     GIR_RootConstrainSelectedInstOperands,
     /*  632850 */     // GIR_Coverage, 6421,
     /*  632850 */     GIR_EraseRootFromParent_Done,
     /*  632851 */   // Label 10190: @632851
     /*  632851 */   GIM_Try, /*On fail goto*//*Label 10191*/ GIMT_Encode4(632926), // Rule ID 6424 //
     /*  632856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  632867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  632870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  632873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  632902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632924 */     GIR_RootConstrainSelectedInstOperands,
     /*  632925 */     // GIR_Coverage, 6424,
     /*  632925 */     GIR_EraseRootFromParent_Done,
     /*  632926 */   // Label 10191: @632926
     /*  632926 */   GIM_Try, /*On fail goto*//*Label 10192*/ GIMT_Encode4(633001), // Rule ID 6425 //
     /*  632931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  632942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  632945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  632948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11691:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  632977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632999 */     GIR_RootConstrainSelectedInstOperands,
     /*  633000 */     // GIR_Coverage, 6425,
     /*  633000 */     GIR_EraseRootFromParent_Done,
     /*  633001 */   // Label 10192: @633001
     /*  633001 */   GIM_Try, /*On fail goto*//*Label 10193*/ GIMT_Encode4(633076), // Rule ID 6428 //
     /*  633006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  633017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  633020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  633023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  633055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633074 */     GIR_RootConstrainSelectedInstOperands,
     /*  633075 */     // GIR_Coverage, 6428,
     /*  633075 */     GIR_EraseRootFromParent_Done,
     /*  633076 */   // Label 10193: @633076
     /*  633076 */   GIM_Try, /*On fail goto*//*Label 10194*/ GIMT_Encode4(633151), // Rule ID 6429 //
     /*  633081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  633092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  633095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  633098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11691:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  633130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633149 */     GIR_RootConstrainSelectedInstOperands,
     /*  633150 */     // GIR_Coverage, 6429,
     /*  633150 */     GIR_EraseRootFromParent_Done,
     /*  633151 */   // Label 10194: @633151
     /*  633151 */   GIM_Try, /*On fail goto*//*Label 10195*/ GIMT_Encode4(633226), // Rule ID 6432 //
     /*  633156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  633167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  633170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  633173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633224 */     GIR_RootConstrainSelectedInstOperands,
     /*  633225 */     // GIR_Coverage, 6432,
     /*  633225 */     GIR_EraseRootFromParent_Done,
     /*  633226 */   // Label 10195: @633226
     /*  633226 */   GIM_Try, /*On fail goto*//*Label 10196*/ GIMT_Encode4(633301), // Rule ID 6433 //
     /*  633231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  633242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  633245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  633248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633277 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633299 */     GIR_RootConstrainSelectedInstOperands,
     /*  633300 */     // GIR_Coverage, 6433,
     /*  633300 */     GIR_EraseRootFromParent_Done,
     /*  633301 */   // Label 10196: @633301
     /*  633301 */   GIM_Try, /*On fail goto*//*Label 10197*/ GIMT_Encode4(633376), // Rule ID 6436 //
     /*  633306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  633317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  633320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  633323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633352 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633374 */     GIR_RootConstrainSelectedInstOperands,
     /*  633375 */     // GIR_Coverage, 6436,
     /*  633375 */     GIR_EraseRootFromParent_Done,
     /*  633376 */   // Label 10197: @633376
     /*  633376 */   GIM_Try, /*On fail goto*//*Label 10198*/ GIMT_Encode4(633451), // Rule ID 6437 //
     /*  633381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  633392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  633395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  633398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633427 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633449 */     GIR_RootConstrainSelectedInstOperands,
     /*  633450 */     // GIR_Coverage, 6437,
     /*  633450 */     GIR_EraseRootFromParent_Done,
     /*  633451 */   // Label 10198: @633451
     /*  633451 */   GIM_Try, /*On fail goto*//*Label 10199*/ GIMT_Encode4(633526), // Rule ID 6440 //
     /*  633456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  633467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  633470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  633473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633502 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633524 */     GIR_RootConstrainSelectedInstOperands,
     /*  633525 */     // GIR_Coverage, 6440,
     /*  633525 */     GIR_EraseRootFromParent_Done,
     /*  633526 */   // Label 10199: @633526
     /*  633526 */   GIM_Try, /*On fail goto*//*Label 10200*/ GIMT_Encode4(633601), // Rule ID 6441 //
     /*  633531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  633542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  633545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  633548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633577 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633599 */     GIR_RootConstrainSelectedInstOperands,
     /*  633600 */     // GIR_Coverage, 6441,
     /*  633600 */     GIR_EraseRootFromParent_Done,
     /*  633601 */   // Label 10200: @633601
     /*  633601 */   GIM_Try, /*On fail goto*//*Label 10201*/ GIMT_Encode4(633676), // Rule ID 6444 //
     /*  633606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  633617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  633620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  633623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633674 */     GIR_RootConstrainSelectedInstOperands,
     /*  633675 */     // GIR_Coverage, 6444,
     /*  633675 */     GIR_EraseRootFromParent_Done,
     /*  633676 */   // Label 10201: @633676
     /*  633676 */   GIM_Try, /*On fail goto*//*Label 10202*/ GIMT_Encode4(633751), // Rule ID 6445 //
     /*  633681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  633692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  633695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  633698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633727 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633749 */     GIR_RootConstrainSelectedInstOperands,
     /*  633750 */     // GIR_Coverage, 6445,
     /*  633750 */     GIR_EraseRootFromParent_Done,
     /*  633751 */   // Label 10202: @633751
     /*  633751 */   GIM_Try, /*On fail goto*//*Label 10203*/ GIMT_Encode4(633826), // Rule ID 6448 //
     /*  633756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  633767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  633770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  633773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633824 */     GIR_RootConstrainSelectedInstOperands,
     /*  633825 */     // GIR_Coverage, 6448,
     /*  633825 */     GIR_EraseRootFromParent_Done,
     /*  633826 */   // Label 10203: @633826
     /*  633826 */   GIM_Try, /*On fail goto*//*Label 10204*/ GIMT_Encode4(633901), // Rule ID 6449 //
     /*  633831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  633842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  633845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  633848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633877 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633899 */     GIR_RootConstrainSelectedInstOperands,
     /*  633900 */     // GIR_Coverage, 6449,
     /*  633900 */     GIR_EraseRootFromParent_Done,
     /*  633901 */   // Label 10204: @633901
     /*  633901 */   GIM_Try, /*On fail goto*//*Label 10205*/ GIMT_Encode4(633976), // Rule ID 6452 //
     /*  633906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  633917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  633920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  633923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633974 */     GIR_RootConstrainSelectedInstOperands,
     /*  633975 */     // GIR_Coverage, 6452,
     /*  633975 */     GIR_EraseRootFromParent_Done,
     /*  633976 */   // Label 10205: @633976
     /*  633976 */   GIM_Try, /*On fail goto*//*Label 10206*/ GIMT_Encode4(634051), // Rule ID 6453 //
     /*  633981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  633992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  633995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  633998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634027 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  634030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634049 */     GIR_RootConstrainSelectedInstOperands,
     /*  634050 */     // GIR_Coverage, 6453,
     /*  634050 */     GIR_EraseRootFromParent_Done,
     /*  634051 */   // Label 10206: @634051
     /*  634051 */   GIM_Try, /*On fail goto*//*Label 10207*/ GIMT_Encode4(634126), // Rule ID 6456 //
     /*  634056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  634067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  634070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  634073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  634105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634124 */     GIR_RootConstrainSelectedInstOperands,
     /*  634125 */     // GIR_Coverage, 6456,
     /*  634125 */     GIR_EraseRootFromParent_Done,
     /*  634126 */   // Label 10207: @634126
     /*  634126 */   GIM_Try, /*On fail goto*//*Label 10208*/ GIMT_Encode4(634201), // Rule ID 6457 //
     /*  634131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  634142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  634145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  634148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634177 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  634180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634199 */     GIR_RootConstrainSelectedInstOperands,
     /*  634200 */     // GIR_Coverage, 6457,
     /*  634200 */     GIR_EraseRootFromParent_Done,
     /*  634201 */   // Label 10208: @634201
     /*  634201 */   GIM_Try, /*On fail goto*//*Label 10209*/ GIMT_Encode4(634276), // Rule ID 6460 //
     /*  634206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  634217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  634220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  634223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634252 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  634255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634274 */     GIR_RootConstrainSelectedInstOperands,
     /*  634275 */     // GIR_Coverage, 6460,
     /*  634275 */     GIR_EraseRootFromParent_Done,
     /*  634276 */   // Label 10209: @634276
     /*  634276 */   GIM_Try, /*On fail goto*//*Label 10210*/ GIMT_Encode4(634351), // Rule ID 6461 //
     /*  634281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  634292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  634295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  634298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634327 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  634330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634349 */     GIR_RootConstrainSelectedInstOperands,
     /*  634350 */     // GIR_Coverage, 6461,
     /*  634350 */     GIR_EraseRootFromParent_Done,
     /*  634351 */   // Label 10210: @634351
     /*  634351 */   GIM_Try, /*On fail goto*//*Label 10211*/ GIMT_Encode4(634426), // Rule ID 6464 //
     /*  634356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  634367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  634370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  634373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  634405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634424 */     GIR_RootConstrainSelectedInstOperands,
     /*  634425 */     // GIR_Coverage, 6464,
     /*  634425 */     GIR_EraseRootFromParent_Done,
     /*  634426 */   // Label 10211: @634426
     /*  634426 */   GIM_Try, /*On fail goto*//*Label 10212*/ GIMT_Encode4(634501), // Rule ID 6465 //
     /*  634431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  634442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  634445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  634448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634477 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  634480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634499 */     GIR_RootConstrainSelectedInstOperands,
     /*  634500 */     // GIR_Coverage, 6465,
     /*  634500 */     GIR_EraseRootFromParent_Done,
     /*  634501 */   // Label 10212: @634501
     /*  634501 */   GIM_Try, /*On fail goto*//*Label 10213*/ GIMT_Encode4(634576), // Rule ID 6468 //
     /*  634506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  634517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  634520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  634523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  634555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634574 */     GIR_RootConstrainSelectedInstOperands,
     /*  634575 */     // GIR_Coverage, 6468,
     /*  634575 */     GIR_EraseRootFromParent_Done,
     /*  634576 */   // Label 10213: @634576
     /*  634576 */   GIM_Try, /*On fail goto*//*Label 10214*/ GIMT_Encode4(634651), // Rule ID 6469 //
     /*  634581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  634592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  634595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  634598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11691:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  634630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634649 */     GIR_RootConstrainSelectedInstOperands,
     /*  634650 */     // GIR_Coverage, 6469,
     /*  634650 */     GIR_EraseRootFromParent_Done,
     /*  634651 */   // Label 10214: @634651
     /*  634651 */   GIM_Try, /*On fail goto*//*Label 10215*/ GIMT_Encode4(634726), // Rule ID 6472 //
     /*  634656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  634667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  634670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  634673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  634705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634724 */     GIR_RootConstrainSelectedInstOperands,
     /*  634725 */     // GIR_Coverage, 6472,
     /*  634725 */     GIR_EraseRootFromParent_Done,
     /*  634726 */   // Label 10215: @634726
     /*  634726 */   GIM_Try, /*On fail goto*//*Label 10216*/ GIMT_Encode4(634801), // Rule ID 6473 //
     /*  634731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  634742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  634745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  634748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634777 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11691:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  634780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634799 */     GIR_RootConstrainSelectedInstOperands,
     /*  634800 */     // GIR_Coverage, 6473,
     /*  634800 */     GIR_EraseRootFromParent_Done,
     /*  634801 */   // Label 10216: @634801
     /*  634801 */   GIM_Try, /*On fail goto*//*Label 10217*/ GIMT_Encode4(634876), // Rule ID 6476 //
     /*  634806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  634817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  634820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  634823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  634855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634874 */     GIR_RootConstrainSelectedInstOperands,
     /*  634875 */     // GIR_Coverage, 6476,
     /*  634875 */     GIR_EraseRootFromParent_Done,
     /*  634876 */   // Label 10217: @634876
     /*  634876 */   GIM_Try, /*On fail goto*//*Label 10218*/ GIMT_Encode4(634951), // Rule ID 6477 //
     /*  634881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  634892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  634895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  634898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634927 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11691:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  634930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634949 */     GIR_RootConstrainSelectedInstOperands,
     /*  634950 */     // GIR_Coverage, 6477,
     /*  634950 */     GIR_EraseRootFromParent_Done,
     /*  634951 */   // Label 10218: @634951
     /*  634951 */   GIM_Try, /*On fail goto*//*Label 10219*/ GIMT_Encode4(635026), // Rule ID 6568 //
     /*  634956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  634967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  634970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  634973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  634976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635002 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  635005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635024 */     GIR_RootConstrainSelectedInstOperands,
     /*  635025 */     // GIR_Coverage, 6568,
     /*  635025 */     GIR_EraseRootFromParent_Done,
     /*  635026 */   // Label 10219: @635026
     /*  635026 */   GIM_Try, /*On fail goto*//*Label 10220*/ GIMT_Encode4(635101), // Rule ID 6569 //
     /*  635031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  635042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  635045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  635048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  635051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635077 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  635080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635099 */     GIR_RootConstrainSelectedInstOperands,
     /*  635100 */     // GIR_Coverage, 6569,
     /*  635100 */     GIR_EraseRootFromParent_Done,
     /*  635101 */   // Label 10220: @635101
     /*  635101 */   GIM_Try, /*On fail goto*//*Label 10221*/ GIMT_Encode4(635176), // Rule ID 6572 //
     /*  635106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  635117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  635120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  635123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  635126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635152 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  635155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635174 */     GIR_RootConstrainSelectedInstOperands,
     /*  635175 */     // GIR_Coverage, 6572,
     /*  635175 */     GIR_EraseRootFromParent_Done,
     /*  635176 */   // Label 10221: @635176
     /*  635176 */   GIM_Try, /*On fail goto*//*Label 10222*/ GIMT_Encode4(635251), // Rule ID 6573 //
     /*  635181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  635192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  635195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  635198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  635201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635227 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  635230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635249 */     GIR_RootConstrainSelectedInstOperands,
     /*  635250 */     // GIR_Coverage, 6573,
     /*  635250 */     GIR_EraseRootFromParent_Done,
     /*  635251 */   // Label 10222: @635251
     /*  635251 */   GIM_Try, /*On fail goto*//*Label 10223*/ GIMT_Encode4(635326), // Rule ID 6576 //
     /*  635256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  635267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  635270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  635273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  635276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635302 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  635305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635324 */     GIR_RootConstrainSelectedInstOperands,
     /*  635325 */     // GIR_Coverage, 6576,
     /*  635325 */     GIR_EraseRootFromParent_Done,
     /*  635326 */   // Label 10223: @635326
     /*  635326 */   GIM_Try, /*On fail goto*//*Label 10224*/ GIMT_Encode4(635401), // Rule ID 6577 //
     /*  635331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  635342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  635345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  635348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  635351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635377 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  635380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635399 */     GIR_RootConstrainSelectedInstOperands,
     /*  635400 */     // GIR_Coverage, 6577,
     /*  635400 */     GIR_EraseRootFromParent_Done,
     /*  635401 */   // Label 10224: @635401
     /*  635401 */   GIM_Try, /*On fail goto*//*Label 10225*/ GIMT_Encode4(635476), // Rule ID 6580 //
     /*  635406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  635417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  635420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  635423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  635426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635452 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  635455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635474 */     GIR_RootConstrainSelectedInstOperands,
     /*  635475 */     // GIR_Coverage, 6580,
     /*  635475 */     GIR_EraseRootFromParent_Done,
     /*  635476 */   // Label 10225: @635476
     /*  635476 */   GIM_Try, /*On fail goto*//*Label 10226*/ GIMT_Encode4(635551), // Rule ID 6581 //
     /*  635481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  635492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  635495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  635498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  635501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635527 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  635530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635549 */     GIR_RootConstrainSelectedInstOperands,
     /*  635550 */     // GIR_Coverage, 6581,
     /*  635550 */     GIR_EraseRootFromParent_Done,
     /*  635551 */   // Label 10226: @635551
     /*  635551 */   GIM_Try, /*On fail goto*//*Label 10227*/ GIMT_Encode4(635626), // Rule ID 6584 //
     /*  635556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  635567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  635570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  635573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  635576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  635605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635624 */     GIR_RootConstrainSelectedInstOperands,
     /*  635625 */     // GIR_Coverage, 6584,
     /*  635625 */     GIR_EraseRootFromParent_Done,
     /*  635626 */   // Label 10227: @635626
     /*  635626 */   GIM_Try, /*On fail goto*//*Label 10228*/ GIMT_Encode4(635701), // Rule ID 6585 //
     /*  635631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  635642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  635645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  635648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  635651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635677 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  635680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635699 */     GIR_RootConstrainSelectedInstOperands,
     /*  635700 */     // GIR_Coverage, 6585,
     /*  635700 */     GIR_EraseRootFromParent_Done,
     /*  635701 */   // Label 10228: @635701
     /*  635701 */   GIM_Try, /*On fail goto*//*Label 10229*/ GIMT_Encode4(635776), // Rule ID 6588 //
     /*  635706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  635717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  635720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  635723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  635726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  635755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635774 */     GIR_RootConstrainSelectedInstOperands,
     /*  635775 */     // GIR_Coverage, 6588,
     /*  635775 */     GIR_EraseRootFromParent_Done,
     /*  635776 */   // Label 10229: @635776
     /*  635776 */   GIM_Try, /*On fail goto*//*Label 10230*/ GIMT_Encode4(635851), // Rule ID 6589 //
     /*  635781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  635792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  635795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  635798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  635801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635827 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  635830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635849 */     GIR_RootConstrainSelectedInstOperands,
     /*  635850 */     // GIR_Coverage, 6589,
     /*  635850 */     GIR_EraseRootFromParent_Done,
     /*  635851 */   // Label 10230: @635851
     /*  635851 */   GIM_Try, /*On fail goto*//*Label 10231*/ GIMT_Encode4(635926), // Rule ID 6592 //
     /*  635856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  635867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  635870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  635873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  635876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635924 */     GIR_RootConstrainSelectedInstOperands,
     /*  635925 */     // GIR_Coverage, 6592,
     /*  635925 */     GIR_EraseRootFromParent_Done,
     /*  635926 */   // Label 10231: @635926
     /*  635926 */   GIM_Try, /*On fail goto*//*Label 10232*/ GIMT_Encode4(636001), // Rule ID 6593 //
     /*  635931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  635942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  635945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  635948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  635951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635999 */     GIR_RootConstrainSelectedInstOperands,
     /*  636000 */     // GIR_Coverage, 6593,
     /*  636000 */     GIR_EraseRootFromParent_Done,
     /*  636001 */   // Label 10232: @636001
     /*  636001 */   GIM_Try, /*On fail goto*//*Label 10233*/ GIMT_Encode4(636076), // Rule ID 6596 //
     /*  636006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  636017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  636020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  636023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  636026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  636055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636074 */     GIR_RootConstrainSelectedInstOperands,
     /*  636075 */     // GIR_Coverage, 6596,
     /*  636075 */     GIR_EraseRootFromParent_Done,
     /*  636076 */   // Label 10233: @636076
     /*  636076 */   GIM_Try, /*On fail goto*//*Label 10234*/ GIMT_Encode4(636151), // Rule ID 6597 //
     /*  636081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  636092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  636095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  636098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  636101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  636130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636149 */     GIR_RootConstrainSelectedInstOperands,
     /*  636150 */     // GIR_Coverage, 6597,
     /*  636150 */     GIR_EraseRootFromParent_Done,
     /*  636151 */   // Label 10234: @636151
     /*  636151 */   GIM_Try, /*On fail goto*//*Label 10235*/ GIMT_Encode4(636226), // Rule ID 6600 //
     /*  636156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  636167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  636170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  636173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  636176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  636205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636224 */     GIR_RootConstrainSelectedInstOperands,
     /*  636225 */     // GIR_Coverage, 6600,
     /*  636225 */     GIR_EraseRootFromParent_Done,
     /*  636226 */   // Label 10235: @636226
     /*  636226 */   GIM_Try, /*On fail goto*//*Label 10236*/ GIMT_Encode4(636301), // Rule ID 6601 //
     /*  636231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  636242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  636245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  636248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  636251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  636280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636299 */     GIR_RootConstrainSelectedInstOperands,
     /*  636300 */     // GIR_Coverage, 6601,
     /*  636300 */     GIR_EraseRootFromParent_Done,
     /*  636301 */   // Label 10236: @636301
     /*  636301 */   GIM_Try, /*On fail goto*//*Label 10237*/ GIMT_Encode4(636376), // Rule ID 6604 //
     /*  636306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  636309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  636317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  636320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  636323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  636326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  636352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  636355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636374 */     GIR_RootConstrainSelectedInstOperands,
     /*  636375 */     // GIR_Coverage, 6604,
     /*  636375 */     GIR_EraseRootFromParent_Done,
     /*  636376 */   // Label 10237: @636376
     /*  636376 */   GIM_Try, /*On fail goto*//*Label 10238*/ GIMT_Encode4(636451), // Rule ID 6605 //
     /*  636381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  636384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  636392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  636395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  636398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  636401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  636427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  636430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636449 */     GIR_RootConstrainSelectedInstOperands,
     /*  636450 */     // GIR_Coverage, 6605,
     /*  636450 */     GIR_EraseRootFromParent_Done,
     /*  636451 */   // Label 10238: @636451
     /*  636451 */   GIM_Try, /*On fail goto*//*Label 10239*/ GIMT_Encode4(636526), // Rule ID 6608 //
     /*  636456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  636467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  636470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  636473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  636476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636502 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636524 */     GIR_RootConstrainSelectedInstOperands,
     /*  636525 */     // GIR_Coverage, 6608,
     /*  636525 */     GIR_EraseRootFromParent_Done,
     /*  636526 */   // Label 10239: @636526
     /*  636526 */   GIM_Try, /*On fail goto*//*Label 10240*/ GIMT_Encode4(636601), // Rule ID 6609 //
     /*  636531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  636542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  636545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  636548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  636551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636577 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636599 */     GIR_RootConstrainSelectedInstOperands,
     /*  636600 */     // GIR_Coverage, 6609,
     /*  636600 */     GIR_EraseRootFromParent_Done,
     /*  636601 */   // Label 10240: @636601
     /*  636601 */   GIM_Try, /*On fail goto*//*Label 10241*/ GIMT_Encode4(636676), // Rule ID 6612 //
     /*  636606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  636617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  636620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  636623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  636626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636652 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636674 */     GIR_RootConstrainSelectedInstOperands,
     /*  636675 */     // GIR_Coverage, 6612,
     /*  636675 */     GIR_EraseRootFromParent_Done,
     /*  636676 */   // Label 10241: @636676
     /*  636676 */   GIM_Try, /*On fail goto*//*Label 10242*/ GIMT_Encode4(636751), // Rule ID 6613 //
     /*  636681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  636692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  636695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  636698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  636701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636727 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636749 */     GIR_RootConstrainSelectedInstOperands,
     /*  636750 */     // GIR_Coverage, 6613,
     /*  636750 */     GIR_EraseRootFromParent_Done,
     /*  636751 */   // Label 10242: @636751
     /*  636751 */   GIM_Try, /*On fail goto*//*Label 10243*/ GIMT_Encode4(636826), // Rule ID 6616 //
     /*  636756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  636767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  636770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  636773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  636776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636802 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636824 */     GIR_RootConstrainSelectedInstOperands,
     /*  636825 */     // GIR_Coverage, 6616,
     /*  636825 */     GIR_EraseRootFromParent_Done,
     /*  636826 */   // Label 10243: @636826
     /*  636826 */   GIM_Try, /*On fail goto*//*Label 10244*/ GIMT_Encode4(636901), // Rule ID 6617 //
     /*  636831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  636842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  636845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  636848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  636851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636877 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636899 */     GIR_RootConstrainSelectedInstOperands,
     /*  636900 */     // GIR_Coverage, 6617,
     /*  636900 */     GIR_EraseRootFromParent_Done,
     /*  636901 */   // Label 10244: @636901
     /*  636901 */   GIM_Try, /*On fail goto*//*Label 10245*/ GIMT_Encode4(636976), // Rule ID 6620 //
     /*  636906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  636917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  636920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  636923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  636926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636952 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636974 */     GIR_RootConstrainSelectedInstOperands,
     /*  636975 */     // GIR_Coverage, 6620,
     /*  636975 */     GIR_EraseRootFromParent_Done,
     /*  636976 */   // Label 10245: @636976
     /*  636976 */   GIM_Try, /*On fail goto*//*Label 10246*/ GIMT_Encode4(637051), // Rule ID 6621 //
     /*  636981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  636992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  636995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  636998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  637001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637027 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  637030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637049 */     GIR_RootConstrainSelectedInstOperands,
     /*  637050 */     // GIR_Coverage, 6621,
     /*  637050 */     GIR_EraseRootFromParent_Done,
     /*  637051 */   // Label 10246: @637051
     /*  637051 */   GIM_Try, /*On fail goto*//*Label 10247*/ GIMT_Encode4(637126), // Rule ID 6624 //
     /*  637056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  637067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  637070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  637073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  637076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637102 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  637105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637124 */     GIR_RootConstrainSelectedInstOperands,
     /*  637125 */     // GIR_Coverage, 6624,
     /*  637125 */     GIR_EraseRootFromParent_Done,
     /*  637126 */   // Label 10247: @637126
     /*  637126 */   GIM_Try, /*On fail goto*//*Label 10248*/ GIMT_Encode4(637201), // Rule ID 6625 //
     /*  637131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  637142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  637145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  637148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  637151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637177 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  637180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637199 */     GIR_RootConstrainSelectedInstOperands,
     /*  637200 */     // GIR_Coverage, 6625,
     /*  637200 */     GIR_EraseRootFromParent_Done,
     /*  637201 */   // Label 10248: @637201
     /*  637201 */   GIM_Try, /*On fail goto*//*Label 10249*/ GIMT_Encode4(637276), // Rule ID 6628 //
     /*  637206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  637217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  637220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  637223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  637226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637252 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637274 */     GIR_RootConstrainSelectedInstOperands,
     /*  637275 */     // GIR_Coverage, 6628,
     /*  637275 */     GIR_EraseRootFromParent_Done,
     /*  637276 */   // Label 10249: @637276
     /*  637276 */   GIM_Try, /*On fail goto*//*Label 10250*/ GIMT_Encode4(637351), // Rule ID 6629 //
     /*  637281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  637292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  637295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  637298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  637301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637327 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637349 */     GIR_RootConstrainSelectedInstOperands,
     /*  637350 */     // GIR_Coverage, 6629,
     /*  637350 */     GIR_EraseRootFromParent_Done,
     /*  637351 */   // Label 10250: @637351
     /*  637351 */   GIM_Try, /*On fail goto*//*Label 10251*/ GIMT_Encode4(637426), // Rule ID 6632 //
     /*  637356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  637367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  637370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  637373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  637376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637402 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  637405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637424 */     GIR_RootConstrainSelectedInstOperands,
     /*  637425 */     // GIR_Coverage, 6632,
     /*  637425 */     GIR_EraseRootFromParent_Done,
     /*  637426 */   // Label 10251: @637426
     /*  637426 */   GIM_Try, /*On fail goto*//*Label 10252*/ GIMT_Encode4(637501), // Rule ID 6633 //
     /*  637431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  637442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  637445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  637448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  637451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  637480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637499 */     GIR_RootConstrainSelectedInstOperands,
     /*  637500 */     // GIR_Coverage, 6633,
     /*  637500 */     GIR_EraseRootFromParent_Done,
     /*  637501 */   // Label 10252: @637501
     /*  637501 */   GIM_Try, /*On fail goto*//*Label 10253*/ GIMT_Encode4(637576), // Rule ID 6636 //
     /*  637506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  637517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  637520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  637523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  637526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637552 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  637555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637574 */     GIR_RootConstrainSelectedInstOperands,
     /*  637575 */     // GIR_Coverage, 6636,
     /*  637575 */     GIR_EraseRootFromParent_Done,
     /*  637576 */   // Label 10253: @637576
     /*  637576 */   GIM_Try, /*On fail goto*//*Label 10254*/ GIMT_Encode4(637651), // Rule ID 6637 //
     /*  637581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  637592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  637595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  637598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  637601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637627 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  637630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637649 */     GIR_RootConstrainSelectedInstOperands,
     /*  637650 */     // GIR_Coverage, 6637,
     /*  637650 */     GIR_EraseRootFromParent_Done,
     /*  637651 */   // Label 10254: @637651
     /*  637651 */   GIM_Try, /*On fail goto*//*Label 10255*/ GIMT_Encode4(637726), // Rule ID 6640 //
     /*  637656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  637667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  637670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  637673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  637676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637702 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637724 */     GIR_RootConstrainSelectedInstOperands,
     /*  637725 */     // GIR_Coverage, 6640,
     /*  637725 */     GIR_EraseRootFromParent_Done,
     /*  637726 */   // Label 10255: @637726
     /*  637726 */   GIM_Try, /*On fail goto*//*Label 10256*/ GIMT_Encode4(637801), // Rule ID 6641 //
     /*  637731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  637742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  637745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  637748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  637751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637777 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637799 */     GIR_RootConstrainSelectedInstOperands,
     /*  637800 */     // GIR_Coverage, 6641,
     /*  637800 */     GIR_EraseRootFromParent_Done,
     /*  637801 */   // Label 10256: @637801
     /*  637801 */   GIM_Try, /*On fail goto*//*Label 10257*/ GIMT_Encode4(637876), // Rule ID 6644 //
     /*  637806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  637817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  637820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  637823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  637826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637852 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  637855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637874 */     GIR_RootConstrainSelectedInstOperands,
     /*  637875 */     // GIR_Coverage, 6644,
     /*  637875 */     GIR_EraseRootFromParent_Done,
     /*  637876 */   // Label 10257: @637876
     /*  637876 */   GIM_Try, /*On fail goto*//*Label 10258*/ GIMT_Encode4(637951), // Rule ID 6645 //
     /*  637881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  637892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  637895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  637898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  637901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637927 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  637930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637949 */     GIR_RootConstrainSelectedInstOperands,
     /*  637950 */     // GIR_Coverage, 6645,
     /*  637950 */     GIR_EraseRootFromParent_Done,
     /*  637951 */   // Label 10258: @637951
     /*  637951 */   GIM_Try, /*On fail goto*//*Label 10259*/ GIMT_Encode4(638026), // Rule ID 6648 //
     /*  637956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  637967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  637970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  637973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  637976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638002 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  638005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638024 */     GIR_RootConstrainSelectedInstOperands,
     /*  638025 */     // GIR_Coverage, 6648,
     /*  638025 */     GIR_EraseRootFromParent_Done,
     /*  638026 */   // Label 10259: @638026
     /*  638026 */   GIM_Try, /*On fail goto*//*Label 10260*/ GIMT_Encode4(638101), // Rule ID 6649 //
     /*  638031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  638042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  638045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  638048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  638051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638077 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  638080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638099 */     GIR_RootConstrainSelectedInstOperands,
     /*  638100 */     // GIR_Coverage, 6649,
     /*  638100 */     GIR_EraseRootFromParent_Done,
     /*  638101 */   // Label 10260: @638101
     /*  638101 */   GIM_Try, /*On fail goto*//*Label 10261*/ GIMT_Encode4(638176), // Rule ID 6652 //
     /*  638106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  638117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  638120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  638123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  638126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638152 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  638155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638174 */     GIR_RootConstrainSelectedInstOperands,
     /*  638175 */     // GIR_Coverage, 6652,
     /*  638175 */     GIR_EraseRootFromParent_Done,
     /*  638176 */   // Label 10261: @638176
     /*  638176 */   GIM_Try, /*On fail goto*//*Label 10262*/ GIMT_Encode4(638251), // Rule ID 6653 //
     /*  638181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  638192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  638195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  638198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  638201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  638230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638249 */     GIR_RootConstrainSelectedInstOperands,
     /*  638250 */     // GIR_Coverage, 6653,
     /*  638250 */     GIR_EraseRootFromParent_Done,
     /*  638251 */   // Label 10262: @638251
     /*  638251 */   GIM_Try, /*On fail goto*//*Label 10263*/ GIMT_Encode4(638326), // Rule ID 6656 //
     /*  638256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  638267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  638270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  638273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638302 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  638305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638324 */     GIR_RootConstrainSelectedInstOperands,
     /*  638325 */     // GIR_Coverage, 6656,
     /*  638325 */     GIR_EraseRootFromParent_Done,
     /*  638326 */   // Label 10263: @638326
     /*  638326 */   GIM_Try, /*On fail goto*//*Label 10264*/ GIMT_Encode4(638401), // Rule ID 6657 //
     /*  638331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  638342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  638345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  638348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638377 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  638380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638399 */     GIR_RootConstrainSelectedInstOperands,
     /*  638400 */     // GIR_Coverage, 6657,
     /*  638400 */     GIR_EraseRootFromParent_Done,
     /*  638401 */   // Label 10264: @638401
     /*  638401 */   GIM_Try, /*On fail goto*//*Label 10265*/ GIMT_Encode4(638476), // Rule ID 6660 //
     /*  638406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  638417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  638420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  638423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  638455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638474 */     GIR_RootConstrainSelectedInstOperands,
     /*  638475 */     // GIR_Coverage, 6660,
     /*  638475 */     GIR_EraseRootFromParent_Done,
     /*  638476 */   // Label 10265: @638476
     /*  638476 */   GIM_Try, /*On fail goto*//*Label 10266*/ GIMT_Encode4(638551), // Rule ID 6661 //
     /*  638481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  638492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  638495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  638498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638527 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  638530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638549 */     GIR_RootConstrainSelectedInstOperands,
     /*  638550 */     // GIR_Coverage, 6661,
     /*  638550 */     GIR_EraseRootFromParent_Done,
     /*  638551 */   // Label 10266: @638551
     /*  638551 */   GIM_Try, /*On fail goto*//*Label 10267*/ GIMT_Encode4(638626), // Rule ID 6664 //
     /*  638556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  638567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  638570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  638573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638602 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638624 */     GIR_RootConstrainSelectedInstOperands,
     /*  638625 */     // GIR_Coverage, 6664,
     /*  638625 */     GIR_EraseRootFromParent_Done,
     /*  638626 */   // Label 10267: @638626
     /*  638626 */   GIM_Try, /*On fail goto*//*Label 10268*/ GIMT_Encode4(638701), // Rule ID 6665 //
     /*  638631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  638642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  638645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  638648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638677 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638699 */     GIR_RootConstrainSelectedInstOperands,
     /*  638700 */     // GIR_Coverage, 6665,
     /*  638700 */     GIR_EraseRootFromParent_Done,
     /*  638701 */   // Label 10268: @638701
     /*  638701 */   GIM_Try, /*On fail goto*//*Label 10269*/ GIMT_Encode4(638776), // Rule ID 6668 //
     /*  638706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  638717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  638720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  638723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  638755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638774 */     GIR_RootConstrainSelectedInstOperands,
     /*  638775 */     // GIR_Coverage, 6668,
     /*  638775 */     GIR_EraseRootFromParent_Done,
     /*  638776 */   // Label 10269: @638776
     /*  638776 */   GIM_Try, /*On fail goto*//*Label 10270*/ GIMT_Encode4(638851), // Rule ID 6669 //
     /*  638781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  638792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  638795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  638798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638827 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  638830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638849 */     GIR_RootConstrainSelectedInstOperands,
     /*  638850 */     // GIR_Coverage, 6669,
     /*  638850 */     GIR_EraseRootFromParent_Done,
     /*  638851 */   // Label 10270: @638851
     /*  638851 */   GIM_Try, /*On fail goto*//*Label 10271*/ GIMT_Encode4(638926), // Rule ID 6672 //
     /*  638856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  638867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  638870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  638873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638902 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638924 */     GIR_RootConstrainSelectedInstOperands,
     /*  638925 */     // GIR_Coverage, 6672,
     /*  638925 */     GIR_EraseRootFromParent_Done,
     /*  638926 */   // Label 10271: @638926
     /*  638926 */   GIM_Try, /*On fail goto*//*Label 10272*/ GIMT_Encode4(639001), // Rule ID 6673 //
     /*  638931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  638942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  638945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  638948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638999 */     GIR_RootConstrainSelectedInstOperands,
     /*  639000 */     // GIR_Coverage, 6673,
     /*  639000 */     GIR_EraseRootFromParent_Done,
     /*  639001 */   // Label 10272: @639001
     /*  639001 */   GIM_Try, /*On fail goto*//*Label 10273*/ GIMT_Encode4(639076), // Rule ID 6676 //
     /*  639006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  639017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  639020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  639023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  639055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639074 */     GIR_RootConstrainSelectedInstOperands,
     /*  639075 */     // GIR_Coverage, 6676,
     /*  639075 */     GIR_EraseRootFromParent_Done,
     /*  639076 */   // Label 10273: @639076
     /*  639076 */   GIM_Try, /*On fail goto*//*Label 10274*/ GIMT_Encode4(639151), // Rule ID 6677 //
     /*  639081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  639092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  639095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  639098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639127 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  639130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639149 */     GIR_RootConstrainSelectedInstOperands,
     /*  639150 */     // GIR_Coverage, 6677,
     /*  639150 */     GIR_EraseRootFromParent_Done,
     /*  639151 */   // Label 10274: @639151
     /*  639151 */   GIM_Try, /*On fail goto*//*Label 10275*/ GIMT_Encode4(639226), // Rule ID 6680 //
     /*  639156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  639167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  639170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  639173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  639205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639224 */     GIR_RootConstrainSelectedInstOperands,
     /*  639225 */     // GIR_Coverage, 6680,
     /*  639225 */     GIR_EraseRootFromParent_Done,
     /*  639226 */   // Label 10275: @639226
     /*  639226 */   GIM_Try, /*On fail goto*//*Label 10276*/ GIMT_Encode4(639301), // Rule ID 6681 //
     /*  639231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  639242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  639245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  639248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11569:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  639280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639299 */     GIR_RootConstrainSelectedInstOperands,
     /*  639300 */     // GIR_Coverage, 6681,
     /*  639300 */     GIR_EraseRootFromParent_Done,
     /*  639301 */   // Label 10276: @639301
     /*  639301 */   GIM_Try, /*On fail goto*//*Label 10277*/ GIMT_Encode4(639376), // Rule ID 6684 //
     /*  639306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  639317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  639320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  639323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  639355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639374 */     GIR_RootConstrainSelectedInstOperands,
     /*  639375 */     // GIR_Coverage, 6684,
     /*  639375 */     GIR_EraseRootFromParent_Done,
     /*  639376 */   // Label 10277: @639376
     /*  639376 */   GIM_Try, /*On fail goto*//*Label 10278*/ GIMT_Encode4(639451), // Rule ID 6685 //
     /*  639381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  639392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  639395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  639398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  639430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639449 */     GIR_RootConstrainSelectedInstOperands,
     /*  639450 */     // GIR_Coverage, 6685,
     /*  639450 */     GIR_EraseRootFromParent_Done,
     /*  639451 */   // Label 10278: @639451
     /*  639451 */   GIM_Try, /*On fail goto*//*Label 10279*/ GIMT_Encode4(639526), // Rule ID 6688 //
     /*  639456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  639467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  639470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  639473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  639505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639524 */     GIR_RootConstrainSelectedInstOperands,
     /*  639525 */     // GIR_Coverage, 6688,
     /*  639525 */     GIR_EraseRootFromParent_Done,
     /*  639526 */   // Label 10279: @639526
     /*  639526 */   GIM_Try, /*On fail goto*//*Label 10280*/ GIMT_Encode4(639601), // Rule ID 6689 //
     /*  639531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  639542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  639545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  639548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  639580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639599 */     GIR_RootConstrainSelectedInstOperands,
     /*  639600 */     // GIR_Coverage, 6689,
     /*  639600 */     GIR_EraseRootFromParent_Done,
     /*  639601 */   // Label 10280: @639601
     /*  639601 */   GIM_Try, /*On fail goto*//*Label 10281*/ GIMT_Encode4(639676), // Rule ID 6692 //
     /*  639606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  639609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  639617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  639620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  639623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  639652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  639655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639674 */     GIR_RootConstrainSelectedInstOperands,
     /*  639675 */     // GIR_Coverage, 6692,
     /*  639675 */     GIR_EraseRootFromParent_Done,
     /*  639676 */   // Label 10281: @639676
     /*  639676 */   GIM_Try, /*On fail goto*//*Label 10282*/ GIMT_Encode4(639751), // Rule ID 6693 //
     /*  639681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  639684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  639692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  639695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  639698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  639727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  639730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639749 */     GIR_RootConstrainSelectedInstOperands,
     /*  639750 */     // GIR_Coverage, 6693,
     /*  639750 */     GIR_EraseRootFromParent_Done,
     /*  639751 */   // Label 10282: @639751
     /*  639751 */   GIM_Try, /*On fail goto*//*Label 10283*/ GIMT_Encode4(639826), // Rule ID 6696 //
     /*  639756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  639767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  639770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  639773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639824 */     GIR_RootConstrainSelectedInstOperands,
     /*  639825 */     // GIR_Coverage, 6696,
     /*  639825 */     GIR_EraseRootFromParent_Done,
     /*  639826 */   // Label 10283: @639826
     /*  639826 */   GIM_Try, /*On fail goto*//*Label 10284*/ GIMT_Encode4(639901), // Rule ID 6697 //
     /*  639831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  639842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  639845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  639848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639877 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639899 */     GIR_RootConstrainSelectedInstOperands,
     /*  639900 */     // GIR_Coverage, 6697,
     /*  639900 */     GIR_EraseRootFromParent_Done,
     /*  639901 */   // Label 10284: @639901
     /*  639901 */   GIM_Try, /*On fail goto*//*Label 10285*/ GIMT_Encode4(639976), // Rule ID 6700 //
     /*  639906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  639917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  639920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  639923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639952 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639974 */     GIR_RootConstrainSelectedInstOperands,
     /*  639975 */     // GIR_Coverage, 6700,
     /*  639975 */     GIR_EraseRootFromParent_Done,
     /*  639976 */   // Label 10285: @639976
     /*  639976 */   GIM_Try, /*On fail goto*//*Label 10286*/ GIMT_Encode4(640051), // Rule ID 6701 //
     /*  639981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  639992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  639995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  639998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640027 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640049 */     GIR_RootConstrainSelectedInstOperands,
     /*  640050 */     // GIR_Coverage, 6701,
     /*  640050 */     GIR_EraseRootFromParent_Done,
     /*  640051 */   // Label 10286: @640051
     /*  640051 */   GIM_Try, /*On fail goto*//*Label 10287*/ GIMT_Encode4(640126), // Rule ID 6704 //
     /*  640056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  640067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  640070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  640073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640102 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640124 */     GIR_RootConstrainSelectedInstOperands,
     /*  640125 */     // GIR_Coverage, 6704,
     /*  640125 */     GIR_EraseRootFromParent_Done,
     /*  640126 */   // Label 10287: @640126
     /*  640126 */   GIM_Try, /*On fail goto*//*Label 10288*/ GIMT_Encode4(640201), // Rule ID 6705 //
     /*  640131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  640142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  640145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  640148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640177 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640199 */     GIR_RootConstrainSelectedInstOperands,
     /*  640200 */     // GIR_Coverage, 6705,
     /*  640200 */     GIR_EraseRootFromParent_Done,
     /*  640201 */   // Label 10288: @640201
     /*  640201 */   GIM_Try, /*On fail goto*//*Label 10289*/ GIMT_Encode4(640276), // Rule ID 6708 //
     /*  640206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  640217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  640220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  640223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640252 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640274 */     GIR_RootConstrainSelectedInstOperands,
     /*  640275 */     // GIR_Coverage, 6708,
     /*  640275 */     GIR_EraseRootFromParent_Done,
     /*  640276 */   // Label 10289: @640276
     /*  640276 */   GIM_Try, /*On fail goto*//*Label 10290*/ GIMT_Encode4(640351), // Rule ID 6709 //
     /*  640281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  640292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  640295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  640298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640327 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640349 */     GIR_RootConstrainSelectedInstOperands,
     /*  640350 */     // GIR_Coverage, 6709,
     /*  640350 */     GIR_EraseRootFromParent_Done,
     /*  640351 */   // Label 10290: @640351
     /*  640351 */   GIM_Try, /*On fail goto*//*Label 10291*/ GIMT_Encode4(640426), // Rule ID 6712 //
     /*  640356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  640367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  640370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  640373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640402 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640424 */     GIR_RootConstrainSelectedInstOperands,
     /*  640425 */     // GIR_Coverage, 6712,
     /*  640425 */     GIR_EraseRootFromParent_Done,
     /*  640426 */   // Label 10291: @640426
     /*  640426 */   GIM_Try, /*On fail goto*//*Label 10292*/ GIMT_Encode4(640501), // Rule ID 6713 //
     /*  640431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  640442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  640445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  640448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640477 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640499 */     GIR_RootConstrainSelectedInstOperands,
     /*  640500 */     // GIR_Coverage, 6713,
     /*  640500 */     GIR_EraseRootFromParent_Done,
     /*  640501 */   // Label 10292: @640501
     /*  640501 */   GIM_Try, /*On fail goto*//*Label 10293*/ GIMT_Encode4(640576), // Rule ID 6716 //
     /*  640506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  640517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  640520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  640523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640552 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640574 */     GIR_RootConstrainSelectedInstOperands,
     /*  640575 */     // GIR_Coverage, 6716,
     /*  640575 */     GIR_EraseRootFromParent_Done,
     /*  640576 */   // Label 10293: @640576
     /*  640576 */   GIM_Try, /*On fail goto*//*Label 10294*/ GIMT_Encode4(640651), // Rule ID 6717 //
     /*  640581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  640592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  640595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  640598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640627 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640649 */     GIR_RootConstrainSelectedInstOperands,
     /*  640650 */     // GIR_Coverage, 6717,
     /*  640650 */     GIR_EraseRootFromParent_Done,
     /*  640651 */   // Label 10294: @640651
     /*  640651 */   GIM_Try, /*On fail goto*//*Label 10295*/ GIMT_Encode4(640726), // Rule ID 6720 //
     /*  640656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  640667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  640670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  640673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640702 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640724 */     GIR_RootConstrainSelectedInstOperands,
     /*  640725 */     // GIR_Coverage, 6720,
     /*  640725 */     GIR_EraseRootFromParent_Done,
     /*  640726 */   // Label 10295: @640726
     /*  640726 */   GIM_Try, /*On fail goto*//*Label 10296*/ GIMT_Encode4(640801), // Rule ID 6721 //
     /*  640731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  640742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  640745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  640748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640777 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640799 */     GIR_RootConstrainSelectedInstOperands,
     /*  640800 */     // GIR_Coverage, 6721,
     /*  640800 */     GIR_EraseRootFromParent_Done,
     /*  640801 */   // Label 10296: @640801
     /*  640801 */   GIM_Try, /*On fail goto*//*Label 10297*/ GIMT_Encode4(640876), // Rule ID 6724 //
     /*  640806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  640817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  640820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  640823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640874 */     GIR_RootConstrainSelectedInstOperands,
     /*  640875 */     // GIR_Coverage, 6724,
     /*  640875 */     GIR_EraseRootFromParent_Done,
     /*  640876 */   // Label 10297: @640876
     /*  640876 */   GIM_Try, /*On fail goto*//*Label 10298*/ GIMT_Encode4(640951), // Rule ID 6725 //
     /*  640881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  640892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  640895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  640898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640927 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640949 */     GIR_RootConstrainSelectedInstOperands,
     /*  640950 */     // GIR_Coverage, 6725,
     /*  640950 */     GIR_EraseRootFromParent_Done,
     /*  640951 */   // Label 10298: @640951
     /*  640951 */   GIM_Try, /*On fail goto*//*Label 10299*/ GIMT_Encode4(641026), // Rule ID 6728 //
     /*  640956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  640967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  640970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  640973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641002 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  641005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641024 */     GIR_RootConstrainSelectedInstOperands,
     /*  641025 */     // GIR_Coverage, 6728,
     /*  641025 */     GIR_EraseRootFromParent_Done,
     /*  641026 */   // Label 10299: @641026
     /*  641026 */   GIM_Try, /*On fail goto*//*Label 10300*/ GIMT_Encode4(641101), // Rule ID 6729 //
     /*  641031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  641042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  641045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  641048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  641051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641077 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  641080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641099 */     GIR_RootConstrainSelectedInstOperands,
     /*  641100 */     // GIR_Coverage, 6729,
     /*  641100 */     GIR_EraseRootFromParent_Done,
     /*  641101 */   // Label 10300: @641101
     /*  641101 */   GIM_Try, /*On fail goto*//*Label 10301*/ GIMT_Encode4(641176), // Rule ID 6732 //
     /*  641106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  641117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  641120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  641123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  641126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641152 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  641155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641174 */     GIR_RootConstrainSelectedInstOperands,
     /*  641175 */     // GIR_Coverage, 6732,
     /*  641175 */     GIR_EraseRootFromParent_Done,
     /*  641176 */   // Label 10301: @641176
     /*  641176 */   GIM_Try, /*On fail goto*//*Label 10302*/ GIMT_Encode4(641251), // Rule ID 6733 //
     /*  641181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  641192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  641195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  641198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  641201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641227 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  641230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641249 */     GIR_RootConstrainSelectedInstOperands,
     /*  641250 */     // GIR_Coverage, 6733,
     /*  641250 */     GIR_EraseRootFromParent_Done,
     /*  641251 */   // Label 10302: @641251
     /*  641251 */   GIM_Try, /*On fail goto*//*Label 10303*/ GIMT_Encode4(641326), // Rule ID 6736 //
     /*  641256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  641267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  641270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  641273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  641276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  641305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641324 */     GIR_RootConstrainSelectedInstOperands,
     /*  641325 */     // GIR_Coverage, 6736,
     /*  641325 */     GIR_EraseRootFromParent_Done,
     /*  641326 */   // Label 10303: @641326
     /*  641326 */   GIM_Try, /*On fail goto*//*Label 10304*/ GIMT_Encode4(641401), // Rule ID 6737 //
     /*  641331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  641342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  641345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  641348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  641351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641377 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  641380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641399 */     GIR_RootConstrainSelectedInstOperands,
     /*  641400 */     // GIR_Coverage, 6737,
     /*  641400 */     GIR_EraseRootFromParent_Done,
     /*  641401 */   // Label 10304: @641401
     /*  641401 */   GIM_Try, /*On fail goto*//*Label 10305*/ GIMT_Encode4(641476), // Rule ID 6740 //
     /*  641406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  641417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  641420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  641423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  641426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641452 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  641455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641474 */     GIR_RootConstrainSelectedInstOperands,
     /*  641475 */     // GIR_Coverage, 6740,
     /*  641475 */     GIR_EraseRootFromParent_Done,
     /*  641476 */   // Label 10305: @641476
     /*  641476 */   GIM_Try, /*On fail goto*//*Label 10306*/ GIMT_Encode4(641551), // Rule ID 6741 //
     /*  641481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  641492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  641495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  641498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  641501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  641530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641549 */     GIR_RootConstrainSelectedInstOperands,
     /*  641550 */     // GIR_Coverage, 6741,
     /*  641550 */     GIR_EraseRootFromParent_Done,
     /*  641551 */   // Label 10306: @641551
     /*  641551 */   GIM_Try, /*On fail goto*//*Label 10307*/ GIMT_Encode4(641626), // Rule ID 6832 //
     /*  641556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  641567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  641570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  641573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  641576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641602 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  641605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641624 */     GIR_RootConstrainSelectedInstOperands,
     /*  641625 */     // GIR_Coverage, 6832,
     /*  641625 */     GIR_EraseRootFromParent_Done,
     /*  641626 */   // Label 10307: @641626
     /*  641626 */   GIM_Try, /*On fail goto*//*Label 10308*/ GIMT_Encode4(641701), // Rule ID 6833 //
     /*  641631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  641642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  641645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  641648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  641651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641677 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  641680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641699 */     GIR_RootConstrainSelectedInstOperands,
     /*  641700 */     // GIR_Coverage, 6833,
     /*  641700 */     GIR_EraseRootFromParent_Done,
     /*  641701 */   // Label 10308: @641701
     /*  641701 */   GIM_Try, /*On fail goto*//*Label 10309*/ GIMT_Encode4(641776), // Rule ID 6836 //
     /*  641706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  641717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  641720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  641723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  641726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641752 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  641755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641774 */     GIR_RootConstrainSelectedInstOperands,
     /*  641775 */     // GIR_Coverage, 6836,
     /*  641775 */     GIR_EraseRootFromParent_Done,
     /*  641776 */   // Label 10309: @641776
     /*  641776 */   GIM_Try, /*On fail goto*//*Label 10310*/ GIMT_Encode4(641851), // Rule ID 6837 //
     /*  641781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  641792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  641795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  641798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  641801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641827 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  641830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641849 */     GIR_RootConstrainSelectedInstOperands,
     /*  641850 */     // GIR_Coverage, 6837,
     /*  641850 */     GIR_EraseRootFromParent_Done,
     /*  641851 */   // Label 10310: @641851
     /*  641851 */   GIM_Try, /*On fail goto*//*Label 10311*/ GIMT_Encode4(641926), // Rule ID 6840 //
     /*  641856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  641867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  641870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  641873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  641876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641902 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641924 */     GIR_RootConstrainSelectedInstOperands,
     /*  641925 */     // GIR_Coverage, 6840,
     /*  641925 */     GIR_EraseRootFromParent_Done,
     /*  641926 */   // Label 10311: @641926
     /*  641926 */   GIM_Try, /*On fail goto*//*Label 10312*/ GIMT_Encode4(642001), // Rule ID 6841 //
     /*  641931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  641942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  641945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  641948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  641951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641977 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641999 */     GIR_RootConstrainSelectedInstOperands,
     /*  642000 */     // GIR_Coverage, 6841,
     /*  642000 */     GIR_EraseRootFromParent_Done,
     /*  642001 */   // Label 10312: @642001
     /*  642001 */   GIM_Try, /*On fail goto*//*Label 10313*/ GIMT_Encode4(642076), // Rule ID 6844 //
     /*  642006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  642017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  642020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  642023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  642026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642052 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  642055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642074 */     GIR_RootConstrainSelectedInstOperands,
     /*  642075 */     // GIR_Coverage, 6844,
     /*  642075 */     GIR_EraseRootFromParent_Done,
     /*  642076 */   // Label 10313: @642076
     /*  642076 */   GIM_Try, /*On fail goto*//*Label 10314*/ GIMT_Encode4(642151), // Rule ID 6845 //
     /*  642081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  642092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  642095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  642098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  642101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642127 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  642130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642149 */     GIR_RootConstrainSelectedInstOperands,
     /*  642150 */     // GIR_Coverage, 6845,
     /*  642150 */     GIR_EraseRootFromParent_Done,
     /*  642151 */   // Label 10314: @642151
     /*  642151 */   GIM_Try, /*On fail goto*//*Label 10315*/ GIMT_Encode4(642226), // Rule ID 6848 //
     /*  642156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  642167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  642170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  642173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  642176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642202 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  642205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642224 */     GIR_RootConstrainSelectedInstOperands,
     /*  642225 */     // GIR_Coverage, 6848,
     /*  642225 */     GIR_EraseRootFromParent_Done,
     /*  642226 */   // Label 10315: @642226
     /*  642226 */   GIM_Try, /*On fail goto*//*Label 10316*/ GIMT_Encode4(642301), // Rule ID 6849 //
     /*  642231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  642242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  642245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  642248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  642251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  642280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642299 */     GIR_RootConstrainSelectedInstOperands,
     /*  642300 */     // GIR_Coverage, 6849,
     /*  642300 */     GIR_EraseRootFromParent_Done,
     /*  642301 */   // Label 10316: @642301
     /*  642301 */   GIM_Try, /*On fail goto*//*Label 10317*/ GIMT_Encode4(642376), // Rule ID 6852 //
     /*  642306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  642317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  642320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  642323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  642326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  642352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  642355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642374 */     GIR_RootConstrainSelectedInstOperands,
     /*  642375 */     // GIR_Coverage, 6852,
     /*  642375 */     GIR_EraseRootFromParent_Done,
     /*  642376 */   // Label 10317: @642376
     /*  642376 */   GIM_Try, /*On fail goto*//*Label 10318*/ GIMT_Encode4(642451), // Rule ID 6853 //
     /*  642381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  642392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  642395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  642398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  642401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  642427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  642430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642449 */     GIR_RootConstrainSelectedInstOperands,
     /*  642450 */     // GIR_Coverage, 6853,
     /*  642450 */     GIR_EraseRootFromParent_Done,
     /*  642451 */   // Label 10318: @642451
     /*  642451 */   GIM_Try, /*On fail goto*//*Label 10319*/ GIMT_Encode4(642526), // Rule ID 6856 //
     /*  642456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  642467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  642470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  642473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  642476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642524 */     GIR_RootConstrainSelectedInstOperands,
     /*  642525 */     // GIR_Coverage, 6856,
     /*  642525 */     GIR_EraseRootFromParent_Done,
     /*  642526 */   // Label 10319: @642526
     /*  642526 */   GIM_Try, /*On fail goto*//*Label 10320*/ GIMT_Encode4(642601), // Rule ID 6857 //
     /*  642531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  642542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  642545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  642548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  642551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642599 */     GIR_RootConstrainSelectedInstOperands,
     /*  642600 */     // GIR_Coverage, 6857,
     /*  642600 */     GIR_EraseRootFromParent_Done,
     /*  642601 */   // Label 10320: @642601
     /*  642601 */   GIM_Try, /*On fail goto*//*Label 10321*/ GIMT_Encode4(642676), // Rule ID 6860 //
     /*  642606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  642617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  642620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  642623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  642626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642674 */     GIR_RootConstrainSelectedInstOperands,
     /*  642675 */     // GIR_Coverage, 6860,
     /*  642675 */     GIR_EraseRootFromParent_Done,
     /*  642676 */   // Label 10321: @642676
     /*  642676 */   GIM_Try, /*On fail goto*//*Label 10322*/ GIMT_Encode4(642751), // Rule ID 6861 //
     /*  642681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  642692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  642695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  642698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  642701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642749 */     GIR_RootConstrainSelectedInstOperands,
     /*  642750 */     // GIR_Coverage, 6861,
     /*  642750 */     GIR_EraseRootFromParent_Done,
     /*  642751 */   // Label 10322: @642751
     /*  642751 */   GIM_Try, /*On fail goto*//*Label 10323*/ GIMT_Encode4(642826), // Rule ID 6864 //
     /*  642756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  642767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  642770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  642773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  642776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  642802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642824 */     GIR_RootConstrainSelectedInstOperands,
     /*  642825 */     // GIR_Coverage, 6864,
     /*  642825 */     GIR_EraseRootFromParent_Done,
     /*  642826 */   // Label 10323: @642826
     /*  642826 */   GIM_Try, /*On fail goto*//*Label 10324*/ GIMT_Encode4(642901), // Rule ID 6865 //
     /*  642831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  642842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  642845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  642848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  642851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  642877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642899 */     GIR_RootConstrainSelectedInstOperands,
     /*  642900 */     // GIR_Coverage, 6865,
     /*  642900 */     GIR_EraseRootFromParent_Done,
     /*  642901 */   // Label 10324: @642901
     /*  642901 */   GIM_Try, /*On fail goto*//*Label 10325*/ GIMT_Encode4(642976), // Rule ID 6868 //
     /*  642906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  642909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  642917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  642920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  642923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  642926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  642952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  642955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642974 */     GIR_RootConstrainSelectedInstOperands,
     /*  642975 */     // GIR_Coverage, 6868,
     /*  642975 */     GIR_EraseRootFromParent_Done,
     /*  642976 */   // Label 10325: @642976
     /*  642976 */   GIM_Try, /*On fail goto*//*Label 10326*/ GIMT_Encode4(643051), // Rule ID 6869 //
     /*  642981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  642984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  642992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  642995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  642998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  643001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  643030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643049 */     GIR_RootConstrainSelectedInstOperands,
     /*  643050 */     // GIR_Coverage, 6869,
     /*  643050 */     GIR_EraseRootFromParent_Done,
     /*  643051 */   // Label 10326: @643051
     /*  643051 */   GIM_Try, /*On fail goto*//*Label 10327*/ GIMT_Encode4(643126), // Rule ID 6872 //
     /*  643056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  643067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  643070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  643073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  643076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643102 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643124 */     GIR_RootConstrainSelectedInstOperands,
     /*  643125 */     // GIR_Coverage, 6872,
     /*  643125 */     GIR_EraseRootFromParent_Done,
     /*  643126 */   // Label 10327: @643126
     /*  643126 */   GIM_Try, /*On fail goto*//*Label 10328*/ GIMT_Encode4(643201), // Rule ID 6873 //
     /*  643131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  643142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  643145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  643148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  643151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643177 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643199 */     GIR_RootConstrainSelectedInstOperands,
     /*  643200 */     // GIR_Coverage, 6873,
     /*  643200 */     GIR_EraseRootFromParent_Done,
     /*  643201 */   // Label 10328: @643201
     /*  643201 */   GIM_Try, /*On fail goto*//*Label 10329*/ GIMT_Encode4(643276), // Rule ID 6876 //
     /*  643206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  643217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  643220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  643223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  643226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643252 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643274 */     GIR_RootConstrainSelectedInstOperands,
     /*  643275 */     // GIR_Coverage, 6876,
     /*  643275 */     GIR_EraseRootFromParent_Done,
     /*  643276 */   // Label 10329: @643276
     /*  643276 */   GIM_Try, /*On fail goto*//*Label 10330*/ GIMT_Encode4(643351), // Rule ID 6877 //
     /*  643281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  643292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  643295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  643298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  643301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643327 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643349 */     GIR_RootConstrainSelectedInstOperands,
     /*  643350 */     // GIR_Coverage, 6877,
     /*  643350 */     GIR_EraseRootFromParent_Done,
     /*  643351 */   // Label 10330: @643351
     /*  643351 */   GIM_Try, /*On fail goto*//*Label 10331*/ GIMT_Encode4(643426), // Rule ID 6880 //
     /*  643356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  643367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  643370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  643373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  643376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643402 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643424 */     GIR_RootConstrainSelectedInstOperands,
     /*  643425 */     // GIR_Coverage, 6880,
     /*  643425 */     GIR_EraseRootFromParent_Done,
     /*  643426 */   // Label 10331: @643426
     /*  643426 */   GIM_Try, /*On fail goto*//*Label 10332*/ GIMT_Encode4(643501), // Rule ID 6881 //
     /*  643431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  643442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  643445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  643448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  643451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643477 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643499 */     GIR_RootConstrainSelectedInstOperands,
     /*  643500 */     // GIR_Coverage, 6881,
     /*  643500 */     GIR_EraseRootFromParent_Done,
     /*  643501 */   // Label 10332: @643501
     /*  643501 */   GIM_Try, /*On fail goto*//*Label 10333*/ GIMT_Encode4(643576), // Rule ID 6884 //
     /*  643506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  643517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  643520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  643523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  643526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643552 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643574 */     GIR_RootConstrainSelectedInstOperands,
     /*  643575 */     // GIR_Coverage, 6884,
     /*  643575 */     GIR_EraseRootFromParent_Done,
     /*  643576 */   // Label 10333: @643576
     /*  643576 */   GIM_Try, /*On fail goto*//*Label 10334*/ GIMT_Encode4(643651), // Rule ID 6885 //
     /*  643581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  643592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  643595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  643598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  643601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643627 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643649 */     GIR_RootConstrainSelectedInstOperands,
     /*  643650 */     // GIR_Coverage, 6885,
     /*  643650 */     GIR_EraseRootFromParent_Done,
     /*  643651 */   // Label 10334: @643651
     /*  643651 */   GIM_Try, /*On fail goto*//*Label 10335*/ GIMT_Encode4(643726), // Rule ID 6888 //
     /*  643656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  643667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  643670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  643673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  643676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643724 */     GIR_RootConstrainSelectedInstOperands,
     /*  643725 */     // GIR_Coverage, 6888,
     /*  643725 */     GIR_EraseRootFromParent_Done,
     /*  643726 */   // Label 10335: @643726
     /*  643726 */   GIM_Try, /*On fail goto*//*Label 10336*/ GIMT_Encode4(643801), // Rule ID 6889 //
     /*  643731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  643742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  643745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  643748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  643751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643777 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643799 */     GIR_RootConstrainSelectedInstOperands,
     /*  643800 */     // GIR_Coverage, 6889,
     /*  643800 */     GIR_EraseRootFromParent_Done,
     /*  643801 */   // Label 10336: @643801
     /*  643801 */   GIM_Try, /*On fail goto*//*Label 10337*/ GIMT_Encode4(643876), // Rule ID 6892 //
     /*  643806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  643817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  643820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  643823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  643826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643874 */     GIR_RootConstrainSelectedInstOperands,
     /*  643875 */     // GIR_Coverage, 6892,
     /*  643875 */     GIR_EraseRootFromParent_Done,
     /*  643876 */   // Label 10337: @643876
     /*  643876 */   GIM_Try, /*On fail goto*//*Label 10338*/ GIMT_Encode4(643951), // Rule ID 6893 //
     /*  643881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  643892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  643895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  643898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  643901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643949 */     GIR_RootConstrainSelectedInstOperands,
     /*  643950 */     // GIR_Coverage, 6893,
     /*  643950 */     GIR_EraseRootFromParent_Done,
     /*  643951 */   // Label 10338: @643951
     /*  643951 */   GIM_Try, /*On fail goto*//*Label 10339*/ GIMT_Encode4(644026), // Rule ID 6896 //
     /*  643956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  643967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  643970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  643973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  643976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  644005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644024 */     GIR_RootConstrainSelectedInstOperands,
     /*  644025 */     // GIR_Coverage, 6896,
     /*  644025 */     GIR_EraseRootFromParent_Done,
     /*  644026 */   // Label 10339: @644026
     /*  644026 */   GIM_Try, /*On fail goto*//*Label 10340*/ GIMT_Encode4(644101), // Rule ID 6897 //
     /*  644031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  644042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  644045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  644048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  644051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  644080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644099 */     GIR_RootConstrainSelectedInstOperands,
     /*  644100 */     // GIR_Coverage, 6897,
     /*  644100 */     GIR_EraseRootFromParent_Done,
     /*  644101 */   // Label 10340: @644101
     /*  644101 */   GIM_Try, /*On fail goto*//*Label 10341*/ GIMT_Encode4(644176), // Rule ID 6900 //
     /*  644106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  644117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  644120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  644123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  644126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  644155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644174 */     GIR_RootConstrainSelectedInstOperands,
     /*  644175 */     // GIR_Coverage, 6900,
     /*  644175 */     GIR_EraseRootFromParent_Done,
     /*  644176 */   // Label 10341: @644176
     /*  644176 */   GIM_Try, /*On fail goto*//*Label 10342*/ GIMT_Encode4(644251), // Rule ID 6901 //
     /*  644181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  644192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  644195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  644198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  644201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  644230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644249 */     GIR_RootConstrainSelectedInstOperands,
     /*  644250 */     // GIR_Coverage, 6901,
     /*  644250 */     GIR_EraseRootFromParent_Done,
     /*  644251 */   // Label 10342: @644251
     /*  644251 */   GIM_Try, /*On fail goto*//*Label 10343*/ GIMT_Encode4(644326), // Rule ID 6904 //
     /*  644256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  644267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  644270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  644273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  644276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  644305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644324 */     GIR_RootConstrainSelectedInstOperands,
     /*  644325 */     // GIR_Coverage, 6904,
     /*  644325 */     GIR_EraseRootFromParent_Done,
     /*  644326 */   // Label 10343: @644326
     /*  644326 */   GIM_Try, /*On fail goto*//*Label 10344*/ GIMT_Encode4(644401), // Rule ID 6905 //
     /*  644331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  644342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  644345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  644348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  644351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644377 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  644380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644399 */     GIR_RootConstrainSelectedInstOperands,
     /*  644400 */     // GIR_Coverage, 6905,
     /*  644400 */     GIR_EraseRootFromParent_Done,
     /*  644401 */   // Label 10344: @644401
     /*  644401 */   GIM_Try, /*On fail goto*//*Label 10345*/ GIMT_Encode4(644476), // Rule ID 6908 //
     /*  644406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  644417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  644420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  644423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  644426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644452 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  644455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644474 */     GIR_RootConstrainSelectedInstOperands,
     /*  644475 */     // GIR_Coverage, 6908,
     /*  644475 */     GIR_EraseRootFromParent_Done,
     /*  644476 */   // Label 10345: @644476
     /*  644476 */   GIM_Try, /*On fail goto*//*Label 10346*/ GIMT_Encode4(644551), // Rule ID 6909 //
     /*  644481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  644492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  644495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  644498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  644501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  644530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644549 */     GIR_RootConstrainSelectedInstOperands,
     /*  644550 */     // GIR_Coverage, 6909,
     /*  644550 */     GIR_EraseRootFromParent_Done,
     /*  644551 */   // Label 10346: @644551
     /*  644551 */   GIM_Try, /*On fail goto*//*Label 10347*/ GIMT_Encode4(644626), // Rule ID 6912 //
     /*  644556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  644567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  644570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  644573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  644576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  644605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644624 */     GIR_RootConstrainSelectedInstOperands,
     /*  644625 */     // GIR_Coverage, 6912,
     /*  644625 */     GIR_EraseRootFromParent_Done,
     /*  644626 */   // Label 10347: @644626
     /*  644626 */   GIM_Try, /*On fail goto*//*Label 10348*/ GIMT_Encode4(644701), // Rule ID 6913 //
     /*  644631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  644642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  644645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  644648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  644651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644677 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  644680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644699 */     GIR_RootConstrainSelectedInstOperands,
     /*  644700 */     // GIR_Coverage, 6913,
     /*  644700 */     GIR_EraseRootFromParent_Done,
     /*  644701 */   // Label 10348: @644701
     /*  644701 */   GIM_Try, /*On fail goto*//*Label 10349*/ GIMT_Encode4(644776), // Rule ID 6916 //
     /*  644706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  644717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  644720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  644723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  644726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  644755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644774 */     GIR_RootConstrainSelectedInstOperands,
     /*  644775 */     // GIR_Coverage, 6916,
     /*  644775 */     GIR_EraseRootFromParent_Done,
     /*  644776 */   // Label 10349: @644776
     /*  644776 */   GIM_Try, /*On fail goto*//*Label 10350*/ GIMT_Encode4(644851), // Rule ID 6917 //
     /*  644781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  644792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  644795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  644798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  644801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644827 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  644830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644849 */     GIR_RootConstrainSelectedInstOperands,
     /*  644850 */     // GIR_Coverage, 6917,
     /*  644850 */     GIR_EraseRootFromParent_Done,
     /*  644851 */   // Label 10350: @644851
     /*  644851 */   GIM_Try, /*On fail goto*//*Label 10351*/ GIMT_Encode4(644926), // Rule ID 6920 //
     /*  644856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  644867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  644870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  644873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644902 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  644905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644924 */     GIR_RootConstrainSelectedInstOperands,
     /*  644925 */     // GIR_Coverage, 6920,
     /*  644925 */     GIR_EraseRootFromParent_Done,
     /*  644926 */   // Label 10351: @644926
     /*  644926 */   GIM_Try, /*On fail goto*//*Label 10352*/ GIMT_Encode4(645001), // Rule ID 6921 //
     /*  644931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  644942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  644945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  644948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644977 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  644980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644999 */     GIR_RootConstrainSelectedInstOperands,
     /*  645000 */     // GIR_Coverage, 6921,
     /*  645000 */     GIR_EraseRootFromParent_Done,
     /*  645001 */   // Label 10352: @645001
     /*  645001 */   GIM_Try, /*On fail goto*//*Label 10353*/ GIMT_Encode4(645076), // Rule ID 6924 //
     /*  645006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  645017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  645020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  645023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645052 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  645055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645074 */     GIR_RootConstrainSelectedInstOperands,
     /*  645075 */     // GIR_Coverage, 6924,
     /*  645075 */     GIR_EraseRootFromParent_Done,
     /*  645076 */   // Label 10353: @645076
     /*  645076 */   GIM_Try, /*On fail goto*//*Label 10354*/ GIMT_Encode4(645151), // Rule ID 6925 //
     /*  645081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  645092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  645095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  645098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645127 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  645130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645149 */     GIR_RootConstrainSelectedInstOperands,
     /*  645150 */     // GIR_Coverage, 6925,
     /*  645150 */     GIR_EraseRootFromParent_Done,
     /*  645151 */   // Label 10354: @645151
     /*  645151 */   GIM_Try, /*On fail goto*//*Label 10355*/ GIMT_Encode4(645226), // Rule ID 6928 //
     /*  645156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  645167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  645170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  645173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645202 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  645205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645224 */     GIR_RootConstrainSelectedInstOperands,
     /*  645225 */     // GIR_Coverage, 6928,
     /*  645225 */     GIR_EraseRootFromParent_Done,
     /*  645226 */   // Label 10355: @645226
     /*  645226 */   GIM_Try, /*On fail goto*//*Label 10356*/ GIMT_Encode4(645301), // Rule ID 6929 //
     /*  645231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  645242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  645245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  645248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645277 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  645280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645299 */     GIR_RootConstrainSelectedInstOperands,
     /*  645300 */     // GIR_Coverage, 6929,
     /*  645300 */     GIR_EraseRootFromParent_Done,
     /*  645301 */   // Label 10356: @645301
     /*  645301 */   GIM_Try, /*On fail goto*//*Label 10357*/ GIMT_Encode4(645376), // Rule ID 6932 //
     /*  645306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  645317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  645320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  645323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645352 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  645355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645374 */     GIR_RootConstrainSelectedInstOperands,
     /*  645375 */     // GIR_Coverage, 6932,
     /*  645375 */     GIR_EraseRootFromParent_Done,
     /*  645376 */   // Label 10357: @645376
     /*  645376 */   GIM_Try, /*On fail goto*//*Label 10358*/ GIMT_Encode4(645451), // Rule ID 6933 //
     /*  645381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  645392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  645395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  645398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645427 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  645430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645449 */     GIR_RootConstrainSelectedInstOperands,
     /*  645450 */     // GIR_Coverage, 6933,
     /*  645450 */     GIR_EraseRootFromParent_Done,
     /*  645451 */   // Label 10358: @645451
     /*  645451 */   GIM_Try, /*On fail goto*//*Label 10359*/ GIMT_Encode4(645526), // Rule ID 6936 //
     /*  645456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  645467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  645470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  645473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645502 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  645505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645524 */     GIR_RootConstrainSelectedInstOperands,
     /*  645525 */     // GIR_Coverage, 6936,
     /*  645525 */     GIR_EraseRootFromParent_Done,
     /*  645526 */   // Label 10359: @645526
     /*  645526 */   GIM_Try, /*On fail goto*//*Label 10360*/ GIMT_Encode4(645601), // Rule ID 6937 //
     /*  645531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  645542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  645545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  645548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645577 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  645580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645599 */     GIR_RootConstrainSelectedInstOperands,
     /*  645600 */     // GIR_Coverage, 6937,
     /*  645600 */     GIR_EraseRootFromParent_Done,
     /*  645601 */   // Label 10360: @645601
     /*  645601 */   GIM_Try, /*On fail goto*//*Label 10361*/ GIMT_Encode4(645676), // Rule ID 6940 //
     /*  645606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  645617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  645620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  645623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  645655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645674 */     GIR_RootConstrainSelectedInstOperands,
     /*  645675 */     // GIR_Coverage, 6940,
     /*  645675 */     GIR_EraseRootFromParent_Done,
     /*  645676 */   // Label 10361: @645676
     /*  645676 */   GIM_Try, /*On fail goto*//*Label 10362*/ GIMT_Encode4(645751), // Rule ID 6941 //
     /*  645681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  645692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  645695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  645698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645727 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  645730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645749 */     GIR_RootConstrainSelectedInstOperands,
     /*  645750 */     // GIR_Coverage, 6941,
     /*  645750 */     GIR_EraseRootFromParent_Done,
     /*  645751 */   // Label 10362: @645751
     /*  645751 */   GIM_Try, /*On fail goto*//*Label 10363*/ GIMT_Encode4(645826), // Rule ID 6944 //
     /*  645756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  645767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  645770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  645773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645824 */     GIR_RootConstrainSelectedInstOperands,
     /*  645825 */     // GIR_Coverage, 6944,
     /*  645825 */     GIR_EraseRootFromParent_Done,
     /*  645826 */   // Label 10363: @645826
     /*  645826 */   GIM_Try, /*On fail goto*//*Label 10364*/ GIMT_Encode4(645901), // Rule ID 6945 //
     /*  645831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  645842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  645845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  645848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11597:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645899 */     GIR_RootConstrainSelectedInstOperands,
     /*  645900 */     // GIR_Coverage, 6945,
     /*  645900 */     GIR_EraseRootFromParent_Done,
     /*  645901 */   // Label 10364: @645901
     /*  645901 */   GIM_Try, /*On fail goto*//*Label 10365*/ GIMT_Encode4(645976), // Rule ID 6948 //
     /*  645906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  645917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  645920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  645923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645974 */     GIR_RootConstrainSelectedInstOperands,
     /*  645975 */     // GIR_Coverage, 6948,
     /*  645975 */     GIR_EraseRootFromParent_Done,
     /*  645976 */   // Label 10365: @645976
     /*  645976 */   GIM_Try, /*On fail goto*//*Label 10366*/ GIMT_Encode4(646051), // Rule ID 6949 //
     /*  645981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  645992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  645995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  645998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  646030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646049 */     GIR_RootConstrainSelectedInstOperands,
     /*  646050 */     // GIR_Coverage, 6949,
     /*  646050 */     GIR_EraseRootFromParent_Done,
     /*  646051 */   // Label 10366: @646051
     /*  646051 */   GIM_Try, /*On fail goto*//*Label 10367*/ GIMT_Encode4(646126), // Rule ID 6952 //
     /*  646056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  646067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  646070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  646073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  646105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646124 */     GIR_RootConstrainSelectedInstOperands,
     /*  646125 */     // GIR_Coverage, 6952,
     /*  646125 */     GIR_EraseRootFromParent_Done,
     /*  646126 */   // Label 10367: @646126
     /*  646126 */   GIM_Try, /*On fail goto*//*Label 10368*/ GIMT_Encode4(646201), // Rule ID 6953 //
     /*  646131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  646142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  646145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  646148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  646180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646199 */     GIR_RootConstrainSelectedInstOperands,
     /*  646200 */     // GIR_Coverage, 6953,
     /*  646200 */     GIR_EraseRootFromParent_Done,
     /*  646201 */   // Label 10368: @646201
     /*  646201 */   GIM_Try, /*On fail goto*//*Label 10369*/ GIMT_Encode4(646276), // Rule ID 6956 //
     /*  646206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  646209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  646217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  646220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  646223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  646252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  646255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646274 */     GIR_RootConstrainSelectedInstOperands,
     /*  646275 */     // GIR_Coverage, 6956,
     /*  646275 */     GIR_EraseRootFromParent_Done,
     /*  646276 */   // Label 10369: @646276
     /*  646276 */   GIM_Try, /*On fail goto*//*Label 10370*/ GIMT_Encode4(646351), // Rule ID 6957 //
     /*  646281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  646284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  646292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  646295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  646298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  646327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  646330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646349 */     GIR_RootConstrainSelectedInstOperands,
     /*  646350 */     // GIR_Coverage, 6957,
     /*  646350 */     GIR_EraseRootFromParent_Done,
     /*  646351 */   // Label 10370: @646351
     /*  646351 */   GIM_Try, /*On fail goto*//*Label 10371*/ GIMT_Encode4(646426), // Rule ID 6960 //
     /*  646356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  646367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  646370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  646373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646402 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646424 */     GIR_RootConstrainSelectedInstOperands,
     /*  646425 */     // GIR_Coverage, 6960,
     /*  646425 */     GIR_EraseRootFromParent_Done,
     /*  646426 */   // Label 10371: @646426
     /*  646426 */   GIM_Try, /*On fail goto*//*Label 10372*/ GIMT_Encode4(646501), // Rule ID 6961 //
     /*  646431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  646442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  646445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  646448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646477 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646499 */     GIR_RootConstrainSelectedInstOperands,
     /*  646500 */     // GIR_Coverage, 6961,
     /*  646500 */     GIR_EraseRootFromParent_Done,
     /*  646501 */   // Label 10372: @646501
     /*  646501 */   GIM_Try, /*On fail goto*//*Label 10373*/ GIMT_Encode4(646576), // Rule ID 6964 //
     /*  646506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  646517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  646520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  646523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646574 */     GIR_RootConstrainSelectedInstOperands,
     /*  646575 */     // GIR_Coverage, 6964,
     /*  646575 */     GIR_EraseRootFromParent_Done,
     /*  646576 */   // Label 10373: @646576
     /*  646576 */   GIM_Try, /*On fail goto*//*Label 10374*/ GIMT_Encode4(646651), // Rule ID 6965 //
     /*  646581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  646592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  646595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  646598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646627 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646649 */     GIR_RootConstrainSelectedInstOperands,
     /*  646650 */     // GIR_Coverage, 6965,
     /*  646650 */     GIR_EraseRootFromParent_Done,
     /*  646651 */   // Label 10374: @646651
     /*  646651 */   GIM_Try, /*On fail goto*//*Label 10375*/ GIMT_Encode4(646726), // Rule ID 6968 //
     /*  646656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  646667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  646670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  646673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646702 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646724 */     GIR_RootConstrainSelectedInstOperands,
     /*  646725 */     // GIR_Coverage, 6968,
     /*  646725 */     GIR_EraseRootFromParent_Done,
     /*  646726 */   // Label 10375: @646726
     /*  646726 */   GIM_Try, /*On fail goto*//*Label 10376*/ GIMT_Encode4(646801), // Rule ID 6969 //
     /*  646731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  646742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  646745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  646748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646777 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646799 */     GIR_RootConstrainSelectedInstOperands,
     /*  646800 */     // GIR_Coverage, 6969,
     /*  646800 */     GIR_EraseRootFromParent_Done,
     /*  646801 */   // Label 10376: @646801
     /*  646801 */   GIM_Try, /*On fail goto*//*Label 10377*/ GIMT_Encode4(646876), // Rule ID 6972 //
     /*  646806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  646817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  646820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  646823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646852 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646874 */     GIR_RootConstrainSelectedInstOperands,
     /*  646875 */     // GIR_Coverage, 6972,
     /*  646875 */     GIR_EraseRootFromParent_Done,
     /*  646876 */   // Label 10377: @646876
     /*  646876 */   GIM_Try, /*On fail goto*//*Label 10378*/ GIMT_Encode4(646951), // Rule ID 6973 //
     /*  646881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  646892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  646895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  646898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646927 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646949 */     GIR_RootConstrainSelectedInstOperands,
     /*  646950 */     // GIR_Coverage, 6973,
     /*  646950 */     GIR_EraseRootFromParent_Done,
     /*  646951 */   // Label 10378: @646951
     /*  646951 */   GIM_Try, /*On fail goto*//*Label 10379*/ GIMT_Encode4(647026), // Rule ID 6976 //
     /*  646956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  646967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  646970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  646973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647002 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  647005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647024 */     GIR_RootConstrainSelectedInstOperands,
     /*  647025 */     // GIR_Coverage, 6976,
     /*  647025 */     GIR_EraseRootFromParent_Done,
     /*  647026 */   // Label 10379: @647026
     /*  647026 */   GIM_Try, /*On fail goto*//*Label 10380*/ GIMT_Encode4(647101), // Rule ID 6977 //
     /*  647031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  647042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  647045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  647048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647077 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  647080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647099 */     GIR_RootConstrainSelectedInstOperands,
     /*  647100 */     // GIR_Coverage, 6977,
     /*  647100 */     GIR_EraseRootFromParent_Done,
     /*  647101 */   // Label 10380: @647101
     /*  647101 */   GIM_Try, /*On fail goto*//*Label 10381*/ GIMT_Encode4(647176), // Rule ID 6980 //
     /*  647106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  647117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  647120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  647123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647152 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  647155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647174 */     GIR_RootConstrainSelectedInstOperands,
     /*  647175 */     // GIR_Coverage, 6980,
     /*  647175 */     GIR_EraseRootFromParent_Done,
     /*  647176 */   // Label 10381: @647176
     /*  647176 */   GIM_Try, /*On fail goto*//*Label 10382*/ GIMT_Encode4(647251), // Rule ID 6981 //
     /*  647181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  647192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  647195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  647198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647227 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  647230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647249 */     GIR_RootConstrainSelectedInstOperands,
     /*  647250 */     // GIR_Coverage, 6981,
     /*  647250 */     GIR_EraseRootFromParent_Done,
     /*  647251 */   // Label 10382: @647251
     /*  647251 */   GIM_Try, /*On fail goto*//*Label 10383*/ GIMT_Encode4(647326), // Rule ID 6984 //
     /*  647256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  647267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  647270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  647273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  647305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647324 */     GIR_RootConstrainSelectedInstOperands,
     /*  647325 */     // GIR_Coverage, 6984,
     /*  647325 */     GIR_EraseRootFromParent_Done,
     /*  647326 */   // Label 10383: @647326
     /*  647326 */   GIM_Try, /*On fail goto*//*Label 10384*/ GIMT_Encode4(647401), // Rule ID 6985 //
     /*  647331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  647342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  647345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  647348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  647380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647399 */     GIR_RootConstrainSelectedInstOperands,
     /*  647400 */     // GIR_Coverage, 6985,
     /*  647400 */     GIR_EraseRootFromParent_Done,
     /*  647401 */   // Label 10384: @647401
     /*  647401 */   GIM_Try, /*On fail goto*//*Label 10385*/ GIMT_Encode4(647476), // Rule ID 6988 //
     /*  647406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  647417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  647420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  647423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  647455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647474 */     GIR_RootConstrainSelectedInstOperands,
     /*  647475 */     // GIR_Coverage, 6988,
     /*  647475 */     GIR_EraseRootFromParent_Done,
     /*  647476 */   // Label 10385: @647476
     /*  647476 */   GIM_Try, /*On fail goto*//*Label 10386*/ GIMT_Encode4(647551), // Rule ID 6989 //
     /*  647481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  647492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  647495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  647498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647527 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  647530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647549 */     GIR_RootConstrainSelectedInstOperands,
     /*  647550 */     // GIR_Coverage, 6989,
     /*  647550 */     GIR_EraseRootFromParent_Done,
     /*  647551 */   // Label 10386: @647551
     /*  647551 */   GIM_Try, /*On fail goto*//*Label 10387*/ GIMT_Encode4(647626), // Rule ID 6992 //
     /*  647556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  647567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  647570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  647573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647602 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  647605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647624 */     GIR_RootConstrainSelectedInstOperands,
     /*  647625 */     // GIR_Coverage, 6992,
     /*  647625 */     GIR_EraseRootFromParent_Done,
     /*  647626 */   // Label 10387: @647626
     /*  647626 */   GIM_Try, /*On fail goto*//*Label 10388*/ GIMT_Encode4(647701), // Rule ID 6993 //
     /*  647631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  647642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  647645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  647648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647677 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  647680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647699 */     GIR_RootConstrainSelectedInstOperands,
     /*  647700 */     // GIR_Coverage, 6993,
     /*  647700 */     GIR_EraseRootFromParent_Done,
     /*  647701 */   // Label 10388: @647701
     /*  647701 */   GIM_Try, /*On fail goto*//*Label 10389*/ GIMT_Encode4(647776), // Rule ID 6996 //
     /*  647706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  647717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  647720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  647723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  647755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647774 */     GIR_RootConstrainSelectedInstOperands,
     /*  647775 */     // GIR_Coverage, 6996,
     /*  647775 */     GIR_EraseRootFromParent_Done,
     /*  647776 */   // Label 10389: @647776
     /*  647776 */   GIM_Try, /*On fail goto*//*Label 10390*/ GIMT_Encode4(647851), // Rule ID 6997 //
     /*  647781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  647792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  647795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  647798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  647830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647849 */     GIR_RootConstrainSelectedInstOperands,
     /*  647850 */     // GIR_Coverage, 6997,
     /*  647850 */     GIR_EraseRootFromParent_Done,
     /*  647851 */   // Label 10390: @647851
     /*  647851 */   GIM_Try, /*On fail goto*//*Label 10391*/ GIMT_Encode4(647926), // Rule ID 7000 //
     /*  647856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  647867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  647870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  647873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647902 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  647905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647924 */     GIR_RootConstrainSelectedInstOperands,
     /*  647925 */     // GIR_Coverage, 7000,
     /*  647925 */     GIR_EraseRootFromParent_Done,
     /*  647926 */   // Label 10391: @647926
     /*  647926 */   GIM_Try, /*On fail goto*//*Label 10392*/ GIMT_Encode4(648001), // Rule ID 7001 //
     /*  647931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  647942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  647945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  647948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647977 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  647980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647999 */     GIR_RootConstrainSelectedInstOperands,
     /*  648000 */     // GIR_Coverage, 7001,
     /*  648000 */     GIR_EraseRootFromParent_Done,
     /*  648001 */   // Label 10392: @648001
     /*  648001 */   GIM_Try, /*On fail goto*//*Label 10393*/ GIMT_Encode4(648076), // Rule ID 7004 //
     /*  648006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  648017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  648020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  648023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  648026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648052 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  648055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648074 */     GIR_RootConstrainSelectedInstOperands,
     /*  648075 */     // GIR_Coverage, 7004,
     /*  648075 */     GIR_EraseRootFromParent_Done,
     /*  648076 */   // Label 10393: @648076
     /*  648076 */   GIM_Try, /*On fail goto*//*Label 10394*/ GIMT_Encode4(648151), // Rule ID 7005 //
     /*  648081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  648092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  648095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  648098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  648101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648127 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  648130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648149 */     GIR_RootConstrainSelectedInstOperands,
     /*  648150 */     // GIR_Coverage, 7005,
     /*  648150 */     GIR_EraseRootFromParent_Done,
     /*  648151 */   // Label 10394: @648151
     /*  648151 */   GIM_Try, /*On fail goto*//*Label 10395*/ GIMT_Encode4(648226), // Rule ID 7096 //
     /*  648156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  648167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  648170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  648173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  648176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648202 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  648205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648224 */     GIR_RootConstrainSelectedInstOperands,
     /*  648225 */     // GIR_Coverage, 7096,
     /*  648225 */     GIR_EraseRootFromParent_Done,
     /*  648226 */   // Label 10395: @648226
     /*  648226 */   GIM_Try, /*On fail goto*//*Label 10396*/ GIMT_Encode4(648301), // Rule ID 7097 //
     /*  648231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  648242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  648245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  648248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  648251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648277 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  648280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648299 */     GIR_RootConstrainSelectedInstOperands,
     /*  648300 */     // GIR_Coverage, 7097,
     /*  648300 */     GIR_EraseRootFromParent_Done,
     /*  648301 */   // Label 10396: @648301
     /*  648301 */   GIM_Try, /*On fail goto*//*Label 10397*/ GIMT_Encode4(648376), // Rule ID 7100 //
     /*  648306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  648317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  648320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  648323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  648326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648352 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  648355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648374 */     GIR_RootConstrainSelectedInstOperands,
     /*  648375 */     // GIR_Coverage, 7100,
     /*  648375 */     GIR_EraseRootFromParent_Done,
     /*  648376 */   // Label 10397: @648376
     /*  648376 */   GIM_Try, /*On fail goto*//*Label 10398*/ GIMT_Encode4(648451), // Rule ID 7101 //
     /*  648381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  648392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  648395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  648398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  648401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648427 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  648430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648449 */     GIR_RootConstrainSelectedInstOperands,
     /*  648450 */     // GIR_Coverage, 7101,
     /*  648450 */     GIR_EraseRootFromParent_Done,
     /*  648451 */   // Label 10398: @648451
     /*  648451 */   GIM_Try, /*On fail goto*//*Label 10399*/ GIMT_Encode4(648526), // Rule ID 7104 //
     /*  648456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  648467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  648470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  648473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  648476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  648505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648524 */     GIR_RootConstrainSelectedInstOperands,
     /*  648525 */     // GIR_Coverage, 7104,
     /*  648525 */     GIR_EraseRootFromParent_Done,
     /*  648526 */   // Label 10399: @648526
     /*  648526 */   GIM_Try, /*On fail goto*//*Label 10400*/ GIMT_Encode4(648601), // Rule ID 7105 //
     /*  648531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  648542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  648545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  648548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  648551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648577 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  648580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648599 */     GIR_RootConstrainSelectedInstOperands,
     /*  648600 */     // GIR_Coverage, 7105,
     /*  648600 */     GIR_EraseRootFromParent_Done,
     /*  648601 */   // Label 10400: @648601
     /*  648601 */   GIM_Try, /*On fail goto*//*Label 10401*/ GIMT_Encode4(648676), // Rule ID 7108 //
     /*  648606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  648617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  648620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  648623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  648626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648652 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  648655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648674 */     GIR_RootConstrainSelectedInstOperands,
     /*  648675 */     // GIR_Coverage, 7108,
     /*  648675 */     GIR_EraseRootFromParent_Done,
     /*  648676 */   // Label 10401: @648676
     /*  648676 */   GIM_Try, /*On fail goto*//*Label 10402*/ GIMT_Encode4(648751), // Rule ID 7109 //
     /*  648681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  648692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  648695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  648698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  648701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648727 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  648730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648749 */     GIR_RootConstrainSelectedInstOperands,
     /*  648750 */     // GIR_Coverage, 7109,
     /*  648750 */     GIR_EraseRootFromParent_Done,
     /*  648751 */   // Label 10402: @648751
     /*  648751 */   GIM_Try, /*On fail goto*//*Label 10403*/ GIMT_Encode4(648826), // Rule ID 7112 //
     /*  648756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  648767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  648770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  648773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  648776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648802 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  648805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648824 */     GIR_RootConstrainSelectedInstOperands,
     /*  648825 */     // GIR_Coverage, 7112,
     /*  648825 */     GIR_EraseRootFromParent_Done,
     /*  648826 */   // Label 10403: @648826
     /*  648826 */   GIM_Try, /*On fail goto*//*Label 10404*/ GIMT_Encode4(648901), // Rule ID 7113 //
     /*  648831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  648842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  648845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  648848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  648851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648877 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  648880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648899 */     GIR_RootConstrainSelectedInstOperands,
     /*  648900 */     // GIR_Coverage, 7113,
     /*  648900 */     GIR_EraseRootFromParent_Done,
     /*  648901 */   // Label 10404: @648901
     /*  648901 */   GIM_Try, /*On fail goto*//*Label 10405*/ GIMT_Encode4(648976), // Rule ID 7116 //
     /*  648906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  648917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  648920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  648923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  648926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  648955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648974 */     GIR_RootConstrainSelectedInstOperands,
     /*  648975 */     // GIR_Coverage, 7116,
     /*  648975 */     GIR_EraseRootFromParent_Done,
     /*  648976 */   // Label 10405: @648976
     /*  648976 */   GIM_Try, /*On fail goto*//*Label 10406*/ GIMT_Encode4(649051), // Rule ID 7117 //
     /*  648981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  648992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  648995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  648998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  649001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649027 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  649030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649049 */     GIR_RootConstrainSelectedInstOperands,
     /*  649050 */     // GIR_Coverage, 7117,
     /*  649050 */     GIR_EraseRootFromParent_Done,
     /*  649051 */   // Label 10406: @649051
     /*  649051 */   GIM_Try, /*On fail goto*//*Label 10407*/ GIMT_Encode4(649126), // Rule ID 7120 //
     /*  649056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  649067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  649070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  649073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  649076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  649105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649124 */     GIR_RootConstrainSelectedInstOperands,
     /*  649125 */     // GIR_Coverage, 7120,
     /*  649125 */     GIR_EraseRootFromParent_Done,
     /*  649126 */   // Label 10407: @649126
     /*  649126 */   GIM_Try, /*On fail goto*//*Label 10408*/ GIMT_Encode4(649201), // Rule ID 7121 //
     /*  649131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  649142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  649145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  649148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  649151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  649180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649199 */     GIR_RootConstrainSelectedInstOperands,
     /*  649200 */     // GIR_Coverage, 7121,
     /*  649200 */     GIR_EraseRootFromParent_Done,
     /*  649201 */   // Label 10408: @649201
     /*  649201 */   GIM_Try, /*On fail goto*//*Label 10409*/ GIMT_Encode4(649276), // Rule ID 7124 //
     /*  649206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  649217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  649220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  649223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  649226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  649255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649274 */     GIR_RootConstrainSelectedInstOperands,
     /*  649275 */     // GIR_Coverage, 7124,
     /*  649275 */     GIR_EraseRootFromParent_Done,
     /*  649276 */   // Label 10409: @649276
     /*  649276 */   GIM_Try, /*On fail goto*//*Label 10410*/ GIMT_Encode4(649351), // Rule ID 7125 //
     /*  649281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  649292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  649295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  649298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  649301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  649330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649349 */     GIR_RootConstrainSelectedInstOperands,
     /*  649350 */     // GIR_Coverage, 7125,
     /*  649350 */     GIR_EraseRootFromParent_Done,
     /*  649351 */   // Label 10410: @649351
     /*  649351 */   GIM_Try, /*On fail goto*//*Label 10411*/ GIMT_Encode4(649426), // Rule ID 7128 //
     /*  649356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  649367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  649370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  649373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  649376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  649405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649424 */     GIR_RootConstrainSelectedInstOperands,
     /*  649425 */     // GIR_Coverage, 7128,
     /*  649425 */     GIR_EraseRootFromParent_Done,
     /*  649426 */   // Label 10411: @649426
     /*  649426 */   GIM_Try, /*On fail goto*//*Label 10412*/ GIMT_Encode4(649501), // Rule ID 7129 //
     /*  649431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  649442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  649445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  649448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  649451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  649480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649499 */     GIR_RootConstrainSelectedInstOperands,
     /*  649500 */     // GIR_Coverage, 7129,
     /*  649500 */     GIR_EraseRootFromParent_Done,
     /*  649501 */   // Label 10412: @649501
     /*  649501 */   GIM_Try, /*On fail goto*//*Label 10413*/ GIMT_Encode4(649576), // Rule ID 7132 //
     /*  649506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  649509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  649517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  649520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  649523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  649526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  649552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  649555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  649571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649574 */     GIR_RootConstrainSelectedInstOperands,
     /*  649575 */     // GIR_Coverage, 7132,
     /*  649575 */     GIR_EraseRootFromParent_Done,
     /*  649576 */   // Label 10413: @649576
     /*  649576 */   GIM_Try, /*On fail goto*//*Label 10414*/ GIMT_Encode4(649651), // Rule ID 7133 //
     /*  649581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  649584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  649592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  649595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  649598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  649601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  649627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  649630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  649646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649649 */     GIR_RootConstrainSelectedInstOperands,
     /*  649650 */     // GIR_Coverage, 7133,
     /*  649650 */     GIR_EraseRootFromParent_Done,
     /*  649651 */   // Label 10414: @649651
     /*  649651 */   GIM_Try, /*On fail goto*//*Label 10415*/ GIMT_Encode4(649726), // Rule ID 7136 //
     /*  649656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  649667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  649670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  649673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  649676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649702 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649724 */     GIR_RootConstrainSelectedInstOperands,
     /*  649725 */     // GIR_Coverage, 7136,
     /*  649725 */     GIR_EraseRootFromParent_Done,
     /*  649726 */   // Label 10415: @649726
     /*  649726 */   GIM_Try, /*On fail goto*//*Label 10416*/ GIMT_Encode4(649801), // Rule ID 7137 //
     /*  649731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  649742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  649745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  649748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  649751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649777 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649799 */     GIR_RootConstrainSelectedInstOperands,
     /*  649800 */     // GIR_Coverage, 7137,
     /*  649800 */     GIR_EraseRootFromParent_Done,
     /*  649801 */   // Label 10416: @649801
     /*  649801 */   GIM_Try, /*On fail goto*//*Label 10417*/ GIMT_Encode4(649876), // Rule ID 7140 //
     /*  649806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  649817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  649820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  649823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  649826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649852 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649874 */     GIR_RootConstrainSelectedInstOperands,
     /*  649875 */     // GIR_Coverage, 7140,
     /*  649875 */     GIR_EraseRootFromParent_Done,
     /*  649876 */   // Label 10417: @649876
     /*  649876 */   GIM_Try, /*On fail goto*//*Label 10418*/ GIMT_Encode4(649951), // Rule ID 7141 //
     /*  649881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  649892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  649895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  649898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  649901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649927 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649949 */     GIR_RootConstrainSelectedInstOperands,
     /*  649950 */     // GIR_Coverage, 7141,
     /*  649950 */     GIR_EraseRootFromParent_Done,
     /*  649951 */   // Label 10418: @649951
     /*  649951 */   GIM_Try, /*On fail goto*//*Label 10419*/ GIMT_Encode4(650026), // Rule ID 7144 //
     /*  649956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  649967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  649970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  649973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  649976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650002 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650024 */     GIR_RootConstrainSelectedInstOperands,
     /*  650025 */     // GIR_Coverage, 7144,
     /*  650025 */     GIR_EraseRootFromParent_Done,
     /*  650026 */   // Label 10419: @650026
     /*  650026 */   GIM_Try, /*On fail goto*//*Label 10420*/ GIMT_Encode4(650101), // Rule ID 7145 //
     /*  650031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  650042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  650045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  650048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  650051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650077 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650099 */     GIR_RootConstrainSelectedInstOperands,
     /*  650100 */     // GIR_Coverage, 7145,
     /*  650100 */     GIR_EraseRootFromParent_Done,
     /*  650101 */   // Label 10420: @650101
     /*  650101 */   GIM_Try, /*On fail goto*//*Label 10421*/ GIMT_Encode4(650176), // Rule ID 7148 //
     /*  650106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  650117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  650120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  650123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  650126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  650155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650174 */     GIR_RootConstrainSelectedInstOperands,
     /*  650175 */     // GIR_Coverage, 7148,
     /*  650175 */     GIR_EraseRootFromParent_Done,
     /*  650176 */   // Label 10421: @650176
     /*  650176 */   GIM_Try, /*On fail goto*//*Label 10422*/ GIMT_Encode4(650251), // Rule ID 7149 //
     /*  650181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  650192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  650195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  650198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  650201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650227 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  650230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650249 */     GIR_RootConstrainSelectedInstOperands,
     /*  650250 */     // GIR_Coverage, 7149,
     /*  650250 */     GIR_EraseRootFromParent_Done,
     /*  650251 */   // Label 10422: @650251
     /*  650251 */   GIM_Try, /*On fail goto*//*Label 10423*/ GIMT_Encode4(650326), // Rule ID 7152 //
     /*  650256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  650267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  650270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  650273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  650276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650302 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650324 */     GIR_RootConstrainSelectedInstOperands,
     /*  650325 */     // GIR_Coverage, 7152,
     /*  650325 */     GIR_EraseRootFromParent_Done,
     /*  650326 */   // Label 10423: @650326
     /*  650326 */   GIM_Try, /*On fail goto*//*Label 10424*/ GIMT_Encode4(650401), // Rule ID 7153 //
     /*  650331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  650342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  650345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  650348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  650351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650377 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650399 */     GIR_RootConstrainSelectedInstOperands,
     /*  650400 */     // GIR_Coverage, 7153,
     /*  650400 */     GIR_EraseRootFromParent_Done,
     /*  650401 */   // Label 10424: @650401
     /*  650401 */   GIM_Try, /*On fail goto*//*Label 10425*/ GIMT_Encode4(650476), // Rule ID 7156 //
     /*  650406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  650417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  650420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  650423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  650426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650452 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650474 */     GIR_RootConstrainSelectedInstOperands,
     /*  650475 */     // GIR_Coverage, 7156,
     /*  650475 */     GIR_EraseRootFromParent_Done,
     /*  650476 */   // Label 10425: @650476
     /*  650476 */   GIM_Try, /*On fail goto*//*Label 10426*/ GIMT_Encode4(650551), // Rule ID 7157 //
     /*  650481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  650492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  650495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  650498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  650501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650527 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650549 */     GIR_RootConstrainSelectedInstOperands,
     /*  650550 */     // GIR_Coverage, 7157,
     /*  650550 */     GIR_EraseRootFromParent_Done,
     /*  650551 */   // Label 10426: @650551
     /*  650551 */   GIM_Try, /*On fail goto*//*Label 10427*/ GIMT_Encode4(650626), // Rule ID 7160 //
     /*  650556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  650567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  650570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  650573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  650576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  650605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650624 */     GIR_RootConstrainSelectedInstOperands,
     /*  650625 */     // GIR_Coverage, 7160,
     /*  650625 */     GIR_EraseRootFromParent_Done,
     /*  650626 */   // Label 10427: @650626
     /*  650626 */   GIM_Try, /*On fail goto*//*Label 10428*/ GIMT_Encode4(650701), // Rule ID 7161 //
     /*  650631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  650642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  650645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  650648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  650651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  650680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650699 */     GIR_RootConstrainSelectedInstOperands,
     /*  650700 */     // GIR_Coverage, 7161,
     /*  650700 */     GIR_EraseRootFromParent_Done,
     /*  650701 */   // Label 10428: @650701
     /*  650701 */   GIM_Try, /*On fail goto*//*Label 10429*/ GIMT_Encode4(650776), // Rule ID 7164 //
     /*  650706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  650717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  650720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  650723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  650726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650774 */     GIR_RootConstrainSelectedInstOperands,
     /*  650775 */     // GIR_Coverage, 7164,
     /*  650775 */     GIR_EraseRootFromParent_Done,
     /*  650776 */   // Label 10429: @650776
     /*  650776 */   GIM_Try, /*On fail goto*//*Label 10430*/ GIMT_Encode4(650851), // Rule ID 7165 //
     /*  650781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  650792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  650795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  650798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  650801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650827 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650849 */     GIR_RootConstrainSelectedInstOperands,
     /*  650850 */     // GIR_Coverage, 7165,
     /*  650850 */     GIR_EraseRootFromParent_Done,
     /*  650851 */   // Label 10430: @650851
     /*  650851 */   GIM_Try, /*On fail goto*//*Label 10431*/ GIMT_Encode4(650926), // Rule ID 7168 //
     /*  650856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  650867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  650870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  650873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  650876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650924 */     GIR_RootConstrainSelectedInstOperands,
     /*  650925 */     // GIR_Coverage, 7168,
     /*  650925 */     GIR_EraseRootFromParent_Done,
     /*  650926 */   // Label 10431: @650926
     /*  650926 */   GIM_Try, /*On fail goto*//*Label 10432*/ GIMT_Encode4(651001), // Rule ID 7169 //
     /*  650931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  650942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  650945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  650948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  650951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650977 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650999 */     GIR_RootConstrainSelectedInstOperands,
     /*  651000 */     // GIR_Coverage, 7169,
     /*  651000 */     GIR_EraseRootFromParent_Done,
     /*  651001 */   // Label 10432: @651001
     /*  651001 */   GIM_Try, /*On fail goto*//*Label 10433*/ GIMT_Encode4(651076), // Rule ID 7172 //
     /*  651006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  651009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  651017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  651020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  651023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  651026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  651052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  651055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651074 */     GIR_RootConstrainSelectedInstOperands,
     /*  651075 */     // GIR_Coverage, 7172,
     /*  651075 */     GIR_EraseRootFromParent_Done,
     /*  651076 */   // Label 10433: @651076
     /*  651076 */   GIM_Try, /*On fail goto*//*Label 10434*/ GIMT_Encode4(651151), // Rule ID 7173 //
     /*  651081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  651084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  651092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  651095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  651098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  651101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651127 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  651127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  651130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651149 */     GIR_RootConstrainSelectedInstOperands,
     /*  651150 */     // GIR_Coverage, 7173,
     /*  651150 */     GIR_EraseRootFromParent_Done,
     /*  651151 */   // Label 10434: @651151
     /*  651151 */   GIM_Try, /*On fail goto*//*Label 10435*/ GIMT_Encode4(651226), // Rule ID 7176 //
     /*  651156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  651159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  651167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  651170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  651173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  651176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651202 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  651202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  651205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651224 */     GIR_RootConstrainSelectedInstOperands,
     /*  651225 */     // GIR_Coverage, 7176,
     /*  651225 */     GIR_EraseRootFromParent_Done,
     /*  651226 */   // Label 10435: @651226
     /*  651226 */   GIM_Try, /*On fail goto*//*Label 10436*/ GIMT_Encode4(651301), // Rule ID 7177 //
     /*  651231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  651234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  651242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  651245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  651248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  651251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651277 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  651277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  651280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651299 */     GIR_RootConstrainSelectedInstOperands,
     /*  651300 */     // GIR_Coverage, 7177,
     /*  651300 */     GIR_EraseRootFromParent_Done,
     /*  651301 */   // Label 10436: @651301
     /*  651301 */   GIM_Try, /*On fail goto*//*Label 10437*/ GIMT_Encode4(651376), // Rule ID 7180 //
     /*  651306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  651309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  651317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  651320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  651323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  651326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  651352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  651355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651374 */     GIR_RootConstrainSelectedInstOperands,
     /*  651375 */     // GIR_Coverage, 7180,
     /*  651375 */     GIR_EraseRootFromParent_Done,
     /*  651376 */   // Label 10437: @651376
     /*  651376 */   GIM_Try, /*On fail goto*//*Label 10438*/ GIMT_Encode4(651451), // Rule ID 7181 //
     /*  651381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  651384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  651392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  651395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  651398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  651401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651427 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  651427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  651430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651449 */     GIR_RootConstrainSelectedInstOperands,
     /*  651450 */     // GIR_Coverage, 7181,
     /*  651450 */     GIR_EraseRootFromParent_Done,
     /*  651451 */   // Label 10438: @651451
     /*  651451 */   GIM_Try, /*On fail goto*//*Label 10439*/ GIMT_Encode4(651526), // Rule ID 7184 //
     /*  651456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  651467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  651470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  651473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  651505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651524 */     GIR_RootConstrainSelectedInstOperands,
     /*  651525 */     // GIR_Coverage, 7184,
     /*  651525 */     GIR_EraseRootFromParent_Done,
     /*  651526 */   // Label 10439: @651526
     /*  651526 */   GIM_Try, /*On fail goto*//*Label 10440*/ GIMT_Encode4(651601), // Rule ID 7185 //
     /*  651531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  651542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  651545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  651548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651577 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  651580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651599 */     GIR_RootConstrainSelectedInstOperands,
     /*  651600 */     // GIR_Coverage, 7185,
     /*  651600 */     GIR_EraseRootFromParent_Done,
     /*  651601 */   // Label 10440: @651601
     /*  651601 */   GIM_Try, /*On fail goto*//*Label 10441*/ GIMT_Encode4(651676), // Rule ID 7188 //
     /*  651606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  651617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  651620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  651623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651652 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  651655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651674 */     GIR_RootConstrainSelectedInstOperands,
     /*  651675 */     // GIR_Coverage, 7188,
     /*  651675 */     GIR_EraseRootFromParent_Done,
     /*  651676 */   // Label 10441: @651676
     /*  651676 */   GIM_Try, /*On fail goto*//*Label 10442*/ GIMT_Encode4(651751), // Rule ID 7189 //
     /*  651681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  651692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  651695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  651698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651727 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  651730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651749 */     GIR_RootConstrainSelectedInstOperands,
     /*  651750 */     // GIR_Coverage, 7189,
     /*  651750 */     GIR_EraseRootFromParent_Done,
     /*  651751 */   // Label 10442: @651751
     /*  651751 */   GIM_Try, /*On fail goto*//*Label 10443*/ GIMT_Encode4(651826), // Rule ID 7192 //
     /*  651756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  651767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  651770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  651773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651824 */     GIR_RootConstrainSelectedInstOperands,
     /*  651825 */     // GIR_Coverage, 7192,
     /*  651825 */     GIR_EraseRootFromParent_Done,
     /*  651826 */   // Label 10443: @651826
     /*  651826 */   GIM_Try, /*On fail goto*//*Label 10444*/ GIMT_Encode4(651901), // Rule ID 7193 //
     /*  651831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  651842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  651845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  651848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651877 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651899 */     GIR_RootConstrainSelectedInstOperands,
     /*  651900 */     // GIR_Coverage, 7193,
     /*  651900 */     GIR_EraseRootFromParent_Done,
     /*  651901 */   // Label 10444: @651901
     /*  651901 */   GIM_Try, /*On fail goto*//*Label 10445*/ GIMT_Encode4(651976), // Rule ID 7196 //
     /*  651906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  651917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  651920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  651923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  651955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651974 */     GIR_RootConstrainSelectedInstOperands,
     /*  651975 */     // GIR_Coverage, 7196,
     /*  651975 */     GIR_EraseRootFromParent_Done,
     /*  651976 */   // Label 10445: @651976
     /*  651976 */   GIM_Try, /*On fail goto*//*Label 10446*/ GIMT_Encode4(652051), // Rule ID 7197 //
     /*  651981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  651992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  651995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  651998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  652030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652049 */     GIR_RootConstrainSelectedInstOperands,
     /*  652050 */     // GIR_Coverage, 7197,
     /*  652050 */     GIR_EraseRootFromParent_Done,
     /*  652051 */   // Label 10446: @652051
     /*  652051 */   GIM_Try, /*On fail goto*//*Label 10447*/ GIMT_Encode4(652126), // Rule ID 7200 //
     /*  652056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  652067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  652070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  652073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  652105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652124 */     GIR_RootConstrainSelectedInstOperands,
     /*  652125 */     // GIR_Coverage, 7200,
     /*  652125 */     GIR_EraseRootFromParent_Done,
     /*  652126 */   // Label 10447: @652126
     /*  652126 */   GIM_Try, /*On fail goto*//*Label 10448*/ GIMT_Encode4(652201), // Rule ID 7201 //
     /*  652131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  652142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  652145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  652148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652177 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  652180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652199 */     GIR_RootConstrainSelectedInstOperands,
     /*  652200 */     // GIR_Coverage, 7201,
     /*  652200 */     GIR_EraseRootFromParent_Done,
     /*  652201 */   // Label 10448: @652201
     /*  652201 */   GIM_Try, /*On fail goto*//*Label 10449*/ GIMT_Encode4(652276), // Rule ID 7204 //
     /*  652206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  652217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  652220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  652223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652252 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  652255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652274 */     GIR_RootConstrainSelectedInstOperands,
     /*  652275 */     // GIR_Coverage, 7204,
     /*  652275 */     GIR_EraseRootFromParent_Done,
     /*  652276 */   // Label 10449: @652276
     /*  652276 */   GIM_Try, /*On fail goto*//*Label 10450*/ GIMT_Encode4(652351), // Rule ID 7205 //
     /*  652281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  652292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  652295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  652298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652327 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  652330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652349 */     GIR_RootConstrainSelectedInstOperands,
     /*  652350 */     // GIR_Coverage, 7205,
     /*  652350 */     GIR_EraseRootFromParent_Done,
     /*  652351 */   // Label 10450: @652351
     /*  652351 */   GIM_Try, /*On fail goto*//*Label 10451*/ GIMT_Encode4(652426), // Rule ID 7208 //
     /*  652356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  652367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  652370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  652373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652424 */     GIR_RootConstrainSelectedInstOperands,
     /*  652425 */     // GIR_Coverage, 7208,
     /*  652425 */     GIR_EraseRootFromParent_Done,
     /*  652426 */   // Label 10451: @652426
     /*  652426 */   GIM_Try, /*On fail goto*//*Label 10452*/ GIMT_Encode4(652501), // Rule ID 7209 //
     /*  652431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  652442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  652445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  652448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652499 */     GIR_RootConstrainSelectedInstOperands,
     /*  652500 */     // GIR_Coverage, 7209,
     /*  652500 */     GIR_EraseRootFromParent_Done,
     /*  652501 */   // Label 10452: @652501
     /*  652501 */   GIM_Try, /*On fail goto*//*Label 10453*/ GIMT_Encode4(652576), // Rule ID 7212 //
     /*  652506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  652517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  652520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  652523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652574 */     GIR_RootConstrainSelectedInstOperands,
     /*  652575 */     // GIR_Coverage, 7212,
     /*  652575 */     GIR_EraseRootFromParent_Done,
     /*  652576 */   // Label 10453: @652576
     /*  652576 */   GIM_Try, /*On fail goto*//*Label 10454*/ GIMT_Encode4(652651), // Rule ID 7213 //
     /*  652581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  652592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  652595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  652598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652649 */     GIR_RootConstrainSelectedInstOperands,
     /*  652650 */     // GIR_Coverage, 7213,
     /*  652650 */     GIR_EraseRootFromParent_Done,
     /*  652651 */   // Label 10454: @652651
     /*  652651 */   GIM_Try, /*On fail goto*//*Label 10455*/ GIMT_Encode4(652726), // Rule ID 7216 //
     /*  652656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  652667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  652670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  652673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652724 */     GIR_RootConstrainSelectedInstOperands,
     /*  652725 */     // GIR_Coverage, 7216,
     /*  652725 */     GIR_EraseRootFromParent_Done,
     /*  652726 */   // Label 10455: @652726
     /*  652726 */   GIM_Try, /*On fail goto*//*Label 10456*/ GIMT_Encode4(652801), // Rule ID 7217 //
     /*  652731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  652742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  652745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  652748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652799 */     GIR_RootConstrainSelectedInstOperands,
     /*  652800 */     // GIR_Coverage, 7217,
     /*  652800 */     GIR_EraseRootFromParent_Done,
     /*  652801 */   // Label 10456: @652801
     /*  652801 */   GIM_Try, /*On fail goto*//*Label 10457*/ GIMT_Encode4(652876), // Rule ID 7220 //
     /*  652806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  652809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  652817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  652820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  652823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  652852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652874 */     GIR_RootConstrainSelectedInstOperands,
     /*  652875 */     // GIR_Coverage, 7220,
     /*  652875 */     GIR_EraseRootFromParent_Done,
     /*  652876 */   // Label 10457: @652876
     /*  652876 */   GIM_Try, /*On fail goto*//*Label 10458*/ GIMT_Encode4(652951), // Rule ID 7221 //
     /*  652881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  652884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  652892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  652895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  652898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  652927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  652930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652949 */     GIR_RootConstrainSelectedInstOperands,
     /*  652950 */     // GIR_Coverage, 7221,
     /*  652950 */     GIR_EraseRootFromParent_Done,
     /*  652951 */   // Label 10458: @652951
     /*  652951 */   GIM_Try, /*On fail goto*//*Label 10459*/ GIMT_Encode4(653026), // Rule ID 7224 //
     /*  652956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  652967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  652970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  652973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653002 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653024 */     GIR_RootConstrainSelectedInstOperands,
     /*  653025 */     // GIR_Coverage, 7224,
     /*  653025 */     GIR_EraseRootFromParent_Done,
     /*  653026 */   // Label 10459: @653026
     /*  653026 */   GIM_Try, /*On fail goto*//*Label 10460*/ GIMT_Encode4(653101), // Rule ID 7225 //
     /*  653031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  653042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  653045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  653048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653077 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653099 */     GIR_RootConstrainSelectedInstOperands,
     /*  653100 */     // GIR_Coverage, 7225,
     /*  653100 */     GIR_EraseRootFromParent_Done,
     /*  653101 */   // Label 10460: @653101
     /*  653101 */   GIM_Try, /*On fail goto*//*Label 10461*/ GIMT_Encode4(653176), // Rule ID 7228 //
     /*  653106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  653117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  653120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  653123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653152 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653174 */     GIR_RootConstrainSelectedInstOperands,
     /*  653175 */     // GIR_Coverage, 7228,
     /*  653175 */     GIR_EraseRootFromParent_Done,
     /*  653176 */   // Label 10461: @653176
     /*  653176 */   GIM_Try, /*On fail goto*//*Label 10462*/ GIMT_Encode4(653251), // Rule ID 7229 //
     /*  653181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  653192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  653195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  653198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653227 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653249 */     GIR_RootConstrainSelectedInstOperands,
     /*  653250 */     // GIR_Coverage, 7229,
     /*  653250 */     GIR_EraseRootFromParent_Done,
     /*  653251 */   // Label 10462: @653251
     /*  653251 */   GIM_Try, /*On fail goto*//*Label 10463*/ GIMT_Encode4(653326), // Rule ID 7232 //
     /*  653256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  653267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  653270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  653273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653302 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653324 */     GIR_RootConstrainSelectedInstOperands,
     /*  653325 */     // GIR_Coverage, 7232,
     /*  653325 */     GIR_EraseRootFromParent_Done,
     /*  653326 */   // Label 10463: @653326
     /*  653326 */   GIM_Try, /*On fail goto*//*Label 10464*/ GIMT_Encode4(653401), // Rule ID 7233 //
     /*  653331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  653342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  653345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  653348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653377 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653399 */     GIR_RootConstrainSelectedInstOperands,
     /*  653400 */     // GIR_Coverage, 7233,
     /*  653400 */     GIR_EraseRootFromParent_Done,
     /*  653401 */   // Label 10464: @653401
     /*  653401 */   GIM_Try, /*On fail goto*//*Label 10465*/ GIMT_Encode4(653476), // Rule ID 7236 //
     /*  653406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  653417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  653420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  653423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653474 */     GIR_RootConstrainSelectedInstOperands,
     /*  653475 */     // GIR_Coverage, 7236,
     /*  653475 */     GIR_EraseRootFromParent_Done,
     /*  653476 */   // Label 10465: @653476
     /*  653476 */   GIM_Try, /*On fail goto*//*Label 10466*/ GIMT_Encode4(653551), // Rule ID 7237 //
     /*  653481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  653492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  653495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  653498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653527 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653549 */     GIR_RootConstrainSelectedInstOperands,
     /*  653550 */     // GIR_Coverage, 7237,
     /*  653550 */     GIR_EraseRootFromParent_Done,
     /*  653551 */   // Label 10466: @653551
     /*  653551 */   GIM_Try, /*On fail goto*//*Label 10467*/ GIMT_Encode4(653626), // Rule ID 7240 //
     /*  653556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  653567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  653570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  653573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653602 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653624 */     GIR_RootConstrainSelectedInstOperands,
     /*  653625 */     // GIR_Coverage, 7240,
     /*  653625 */     GIR_EraseRootFromParent_Done,
     /*  653626 */   // Label 10467: @653626
     /*  653626 */   GIM_Try, /*On fail goto*//*Label 10468*/ GIMT_Encode4(653701), // Rule ID 7241 //
     /*  653631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  653642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  653645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  653648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653677 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653699 */     GIR_RootConstrainSelectedInstOperands,
     /*  653700 */     // GIR_Coverage, 7241,
     /*  653700 */     GIR_EraseRootFromParent_Done,
     /*  653701 */   // Label 10468: @653701
     /*  653701 */   GIM_Try, /*On fail goto*//*Label 10469*/ GIMT_Encode4(653776), // Rule ID 7244 //
     /*  653706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  653717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  653720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  653723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653774 */     GIR_RootConstrainSelectedInstOperands,
     /*  653775 */     // GIR_Coverage, 7244,
     /*  653775 */     GIR_EraseRootFromParent_Done,
     /*  653776 */   // Label 10469: @653776
     /*  653776 */   GIM_Try, /*On fail goto*//*Label 10470*/ GIMT_Encode4(653851), // Rule ID 7245 //
     /*  653781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  653792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  653795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  653798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653849 */     GIR_RootConstrainSelectedInstOperands,
     /*  653850 */     // GIR_Coverage, 7245,
     /*  653850 */     GIR_EraseRootFromParent_Done,
     /*  653851 */   // Label 10470: @653851
     /*  653851 */   GIM_Try, /*On fail goto*//*Label 10471*/ GIMT_Encode4(653926), // Rule ID 7248 //
     /*  653856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  653867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  653870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  653873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653902 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653924 */     GIR_RootConstrainSelectedInstOperands,
     /*  653925 */     // GIR_Coverage, 7248,
     /*  653925 */     GIR_EraseRootFromParent_Done,
     /*  653926 */   // Label 10471: @653926
     /*  653926 */   GIM_Try, /*On fail goto*//*Label 10472*/ GIMT_Encode4(654001), // Rule ID 7249 //
     /*  653931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  653942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  653945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  653948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653999 */     GIR_RootConstrainSelectedInstOperands,
     /*  654000 */     // GIR_Coverage, 7249,
     /*  654000 */     GIR_EraseRootFromParent_Done,
     /*  654001 */   // Label 10472: @654001
     /*  654001 */   GIM_Try, /*On fail goto*//*Label 10473*/ GIMT_Encode4(654076), // Rule ID 7252 //
     /*  654006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  654023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  654026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654052 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  654055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654074 */     GIR_RootConstrainSelectedInstOperands,
     /*  654075 */     // GIR_Coverage, 7252,
     /*  654075 */     GIR_EraseRootFromParent_Done,
     /*  654076 */   // Label 10473: @654076
     /*  654076 */   GIM_Try, /*On fail goto*//*Label 10474*/ GIMT_Encode4(654151), // Rule ID 7253 //
     /*  654081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  654098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  654101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654127 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  654130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654149 */     GIR_RootConstrainSelectedInstOperands,
     /*  654150 */     // GIR_Coverage, 7253,
     /*  654150 */     GIR_EraseRootFromParent_Done,
     /*  654151 */   // Label 10474: @654151
     /*  654151 */   GIM_Try, /*On fail goto*//*Label 10475*/ GIMT_Encode4(654226), // Rule ID 7256 //
     /*  654156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  654167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  654170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  654173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  654176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654202 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  654205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654224 */     GIR_RootConstrainSelectedInstOperands,
     /*  654225 */     // GIR_Coverage, 7256,
     /*  654225 */     GIR_EraseRootFromParent_Done,
     /*  654226 */   // Label 10475: @654226
     /*  654226 */   GIM_Try, /*On fail goto*//*Label 10476*/ GIMT_Encode4(654301), // Rule ID 7257 //
     /*  654231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  654242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  654245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  654248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  654251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654277 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  654280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654299 */     GIR_RootConstrainSelectedInstOperands,
     /*  654300 */     // GIR_Coverage, 7257,
     /*  654300 */     GIR_EraseRootFromParent_Done,
     /*  654301 */   // Label 10476: @654301
     /*  654301 */   GIM_Try, /*On fail goto*//*Label 10477*/ GIMT_Encode4(654376), // Rule ID 7260 //
     /*  654306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  654309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  654317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  654320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  654323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  654326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  654352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  654355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654374 */     GIR_RootConstrainSelectedInstOperands,
     /*  654375 */     // GIR_Coverage, 7260,
     /*  654375 */     GIR_EraseRootFromParent_Done,
     /*  654376 */   // Label 10477: @654376
     /*  654376 */   GIM_Try, /*On fail goto*//*Label 10478*/ GIMT_Encode4(654451), // Rule ID 7261 //
     /*  654381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  654384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  654392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  654395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  654398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  654401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  654427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  654430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654449 */     GIR_RootConstrainSelectedInstOperands,
     /*  654450 */     // GIR_Coverage, 7261,
     /*  654450 */     GIR_EraseRootFromParent_Done,
     /*  654451 */   // Label 10478: @654451
     /*  654451 */   GIM_Try, /*On fail goto*//*Label 10479*/ GIMT_Encode4(654526), // Rule ID 7264 //
     /*  654456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  654459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  654467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  654470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  654473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  654476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654502 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  654502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  654505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654524 */     GIR_RootConstrainSelectedInstOperands,
     /*  654525 */     // GIR_Coverage, 7264,
     /*  654525 */     GIR_EraseRootFromParent_Done,
     /*  654526 */   // Label 10479: @654526
     /*  654526 */   GIM_Try, /*On fail goto*//*Label 10480*/ GIMT_Encode4(654601), // Rule ID 7265 //
     /*  654531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  654534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  654542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  654545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  654548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  654551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654577 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  654577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  654580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654599 */     GIR_RootConstrainSelectedInstOperands,
     /*  654600 */     // GIR_Coverage, 7265,
     /*  654600 */     GIR_EraseRootFromParent_Done,
     /*  654601 */   // Label 10480: @654601
     /*  654601 */   GIM_Try, /*On fail goto*//*Label 10481*/ GIMT_Encode4(654676), // Rule ID 7268 //
     /*  654606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  654609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  654617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  654620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  654623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  654626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  654652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  654655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654674 */     GIR_RootConstrainSelectedInstOperands,
     /*  654675 */     // GIR_Coverage, 7268,
     /*  654675 */     GIR_EraseRootFromParent_Done,
     /*  654676 */   // Label 10481: @654676
     /*  654676 */   GIM_Try, /*On fail goto*//*Label 10482*/ GIMT_Encode4(654751), // Rule ID 7269 //
     /*  654681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  654684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  654692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  654695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  654698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  654701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654727 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  654727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  654730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654749 */     GIR_RootConstrainSelectedInstOperands,
     /*  654750 */     // GIR_Coverage, 7269,
     /*  654750 */     GIR_EraseRootFromParent_Done,
     /*  654751 */   // Label 10482: @654751
     /*  654751 */   GIM_Try, /*On fail goto*//*Label 10483*/ GIMT_Encode4(654826), // Rule ID 7448 //
     /*  654756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  654767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  654770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  654773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  654776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654802 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  654805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654824 */     GIR_RootConstrainSelectedInstOperands,
     /*  654825 */     // GIR_Coverage, 7448,
     /*  654825 */     GIR_EraseRootFromParent_Done,
     /*  654826 */   // Label 10483: @654826
     /*  654826 */   GIM_Try, /*On fail goto*//*Label 10484*/ GIMT_Encode4(654901), // Rule ID 7449 //
     /*  654831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  654842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  654845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  654848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  654851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654877 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  654880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654899 */     GIR_RootConstrainSelectedInstOperands,
     /*  654900 */     // GIR_Coverage, 7449,
     /*  654900 */     GIR_EraseRootFromParent_Done,
     /*  654901 */   // Label 10484: @654901
     /*  654901 */   GIM_Try, /*On fail goto*//*Label 10485*/ GIMT_Encode4(654976), // Rule ID 7452 //
     /*  654906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  654917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  654920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  654923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  654926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654952 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  654955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654974 */     GIR_RootConstrainSelectedInstOperands,
     /*  654975 */     // GIR_Coverage, 7452,
     /*  654975 */     GIR_EraseRootFromParent_Done,
     /*  654976 */   // Label 10485: @654976
     /*  654976 */   GIM_Try, /*On fail goto*//*Label 10486*/ GIMT_Encode4(655051), // Rule ID 7453 //
     /*  654981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  654992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  654995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  654998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  655001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655027 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  655030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655049 */     GIR_RootConstrainSelectedInstOperands,
     /*  655050 */     // GIR_Coverage, 7453,
     /*  655050 */     GIR_EraseRootFromParent_Done,
     /*  655051 */   // Label 10486: @655051
     /*  655051 */   GIM_Try, /*On fail goto*//*Label 10487*/ GIMT_Encode4(655126), // Rule ID 7456 //
     /*  655056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  655067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  655070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  655073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  655076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655102 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655124 */     GIR_RootConstrainSelectedInstOperands,
     /*  655125 */     // GIR_Coverage, 7456,
     /*  655125 */     GIR_EraseRootFromParent_Done,
     /*  655126 */   // Label 10487: @655126
     /*  655126 */   GIM_Try, /*On fail goto*//*Label 10488*/ GIMT_Encode4(655201), // Rule ID 7457 //
     /*  655131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  655142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  655145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  655148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  655151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655177 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655199 */     GIR_RootConstrainSelectedInstOperands,
     /*  655200 */     // GIR_Coverage, 7457,
     /*  655200 */     GIR_EraseRootFromParent_Done,
     /*  655201 */   // Label 10488: @655201
     /*  655201 */   GIM_Try, /*On fail goto*//*Label 10489*/ GIMT_Encode4(655276), // Rule ID 7460 //
     /*  655206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  655217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  655220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  655223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  655226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  655255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655274 */     GIR_RootConstrainSelectedInstOperands,
     /*  655275 */     // GIR_Coverage, 7460,
     /*  655275 */     GIR_EraseRootFromParent_Done,
     /*  655276 */   // Label 10489: @655276
     /*  655276 */   GIM_Try, /*On fail goto*//*Label 10490*/ GIMT_Encode4(655351), // Rule ID 7461 //
     /*  655281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  655292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  655295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  655298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  655301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655327 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  655330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655349 */     GIR_RootConstrainSelectedInstOperands,
     /*  655350 */     // GIR_Coverage, 7461,
     /*  655350 */     GIR_EraseRootFromParent_Done,
     /*  655351 */   // Label 10490: @655351
     /*  655351 */   GIM_Try, /*On fail goto*//*Label 10491*/ GIMT_Encode4(655426), // Rule ID 7464 //
     /*  655356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  655367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  655370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  655373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  655376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655402 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655424 */     GIR_RootConstrainSelectedInstOperands,
     /*  655425 */     // GIR_Coverage, 7464,
     /*  655425 */     GIR_EraseRootFromParent_Done,
     /*  655426 */   // Label 10491: @655426
     /*  655426 */   GIM_Try, /*On fail goto*//*Label 10492*/ GIMT_Encode4(655501), // Rule ID 7465 //
     /*  655431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  655442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  655445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  655448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  655451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655477 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655499 */     GIR_RootConstrainSelectedInstOperands,
     /*  655500 */     // GIR_Coverage, 7465,
     /*  655500 */     GIR_EraseRootFromParent_Done,
     /*  655501 */   // Label 10492: @655501
     /*  655501 */   GIM_Try, /*On fail goto*//*Label 10493*/ GIMT_Encode4(655576), // Rule ID 7468 //
     /*  655506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  655517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  655520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  655523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  655526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655574 */     GIR_RootConstrainSelectedInstOperands,
     /*  655575 */     // GIR_Coverage, 7468,
     /*  655575 */     GIR_EraseRootFromParent_Done,
     /*  655576 */   // Label 10493: @655576
     /*  655576 */   GIM_Try, /*On fail goto*//*Label 10494*/ GIMT_Encode4(655651), // Rule ID 7469 //
     /*  655581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  655592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  655595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  655598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  655601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655627 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655649 */     GIR_RootConstrainSelectedInstOperands,
     /*  655650 */     // GIR_Coverage, 7469,
     /*  655650 */     GIR_EraseRootFromParent_Done,
     /*  655651 */   // Label 10494: @655651
     /*  655651 */   GIM_Try, /*On fail goto*//*Label 10495*/ GIMT_Encode4(655726), // Rule ID 7472 //
     /*  655656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  655676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655702 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  655705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655724 */     GIR_RootConstrainSelectedInstOperands,
     /*  655725 */     // GIR_Coverage, 7472,
     /*  655725 */     GIR_EraseRootFromParent_Done,
     /*  655726 */   // Label 10495: @655726
     /*  655726 */   GIM_Try, /*On fail goto*//*Label 10496*/ GIMT_Encode4(655801), // Rule ID 7473 //
     /*  655731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  655751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655777 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  655780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655799 */     GIR_RootConstrainSelectedInstOperands,
     /*  655800 */     // GIR_Coverage, 7473,
     /*  655800 */     GIR_EraseRootFromParent_Done,
     /*  655801 */   // Label 10496: @655801
     /*  655801 */   GIM_Try, /*On fail goto*//*Label 10497*/ GIMT_Encode4(655876), // Rule ID 7476 //
     /*  655806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  655823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  655826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655852 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655874 */     GIR_RootConstrainSelectedInstOperands,
     /*  655875 */     // GIR_Coverage, 7476,
     /*  655875 */     GIR_EraseRootFromParent_Done,
     /*  655876 */   // Label 10497: @655876
     /*  655876 */   GIM_Try, /*On fail goto*//*Label 10498*/ GIMT_Encode4(655951), // Rule ID 7477 //
     /*  655881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  655898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  655901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655927 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655949 */     GIR_RootConstrainSelectedInstOperands,
     /*  655950 */     // GIR_Coverage, 7477,
     /*  655950 */     GIR_EraseRootFromParent_Done,
     /*  655951 */   // Label 10498: @655951
     /*  655951 */   GIM_Try, /*On fail goto*//*Label 10499*/ GIMT_Encode4(656026), // Rule ID 7480 //
     /*  655956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  655967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  655970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  655973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  655976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  656005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656024 */     GIR_RootConstrainSelectedInstOperands,
     /*  656025 */     // GIR_Coverage, 7480,
     /*  656025 */     GIR_EraseRootFromParent_Done,
     /*  656026 */   // Label 10499: @656026
     /*  656026 */   GIM_Try, /*On fail goto*//*Label 10500*/ GIMT_Encode4(656101), // Rule ID 7481 //
     /*  656031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  656042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  656045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  656048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  656051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  656080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656099 */     GIR_RootConstrainSelectedInstOperands,
     /*  656100 */     // GIR_Coverage, 7481,
     /*  656100 */     GIR_EraseRootFromParent_Done,
     /*  656101 */   // Label 10500: @656101
     /*  656101 */   GIM_Try, /*On fail goto*//*Label 10501*/ GIMT_Encode4(656176), // Rule ID 7484 //
     /*  656106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  656117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  656120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  656123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  656126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  656155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656174 */     GIR_RootConstrainSelectedInstOperands,
     /*  656175 */     // GIR_Coverage, 7484,
     /*  656175 */     GIR_EraseRootFromParent_Done,
     /*  656176 */   // Label 10501: @656176
     /*  656176 */   GIM_Try, /*On fail goto*//*Label 10502*/ GIMT_Encode4(656251), // Rule ID 7485 //
     /*  656181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  656192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  656195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  656198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  656201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656227 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  656230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656249 */     GIR_RootConstrainSelectedInstOperands,
     /*  656250 */     // GIR_Coverage, 7485,
     /*  656250 */     GIR_EraseRootFromParent_Done,
     /*  656251 */   // Label 10502: @656251
     /*  656251 */   GIM_Try, /*On fail goto*//*Label 10503*/ GIMT_Encode4(656326), // Rule ID 7488 //
     /*  656256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  656267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  656270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  656273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  656276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656302 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  656305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656324 */     GIR_RootConstrainSelectedInstOperands,
     /*  656325 */     // GIR_Coverage, 7488,
     /*  656325 */     GIR_EraseRootFromParent_Done,
     /*  656326 */   // Label 10503: @656326
     /*  656326 */   GIM_Try, /*On fail goto*//*Label 10504*/ GIMT_Encode4(656401), // Rule ID 7489 //
     /*  656331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  656342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  656345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  656348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  656351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656377 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  656380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656399 */     GIR_RootConstrainSelectedInstOperands,
     /*  656400 */     // GIR_Coverage, 7489,
     /*  656400 */     GIR_EraseRootFromParent_Done,
     /*  656401 */   // Label 10504: @656401
     /*  656401 */   GIM_Try, /*On fail goto*//*Label 10505*/ GIMT_Encode4(656476), // Rule ID 7492 //
     /*  656406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  656417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  656420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  656423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  656426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  656455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656474 */     GIR_RootConstrainSelectedInstOperands,
     /*  656475 */     // GIR_Coverage, 7492,
     /*  656475 */     GIR_EraseRootFromParent_Done,
     /*  656476 */   // Label 10505: @656476
     /*  656476 */   GIM_Try, /*On fail goto*//*Label 10506*/ GIMT_Encode4(656551), // Rule ID 7493 //
     /*  656481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  656492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  656495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  656498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  656501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656527 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  656530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656549 */     GIR_RootConstrainSelectedInstOperands,
     /*  656550 */     // GIR_Coverage, 7493,
     /*  656550 */     GIR_EraseRootFromParent_Done,
     /*  656551 */   // Label 10506: @656551
     /*  656551 */   GIM_Try, /*On fail goto*//*Label 10507*/ GIMT_Encode4(656626), // Rule ID 7496 //
     /*  656556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  656573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  656576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  656605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656624 */     GIR_RootConstrainSelectedInstOperands,
     /*  656625 */     // GIR_Coverage, 7496,
     /*  656625 */     GIR_EraseRootFromParent_Done,
     /*  656626 */   // Label 10507: @656626
     /*  656626 */   GIM_Try, /*On fail goto*//*Label 10508*/ GIMT_Encode4(656701), // Rule ID 7497 //
     /*  656631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  656648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  656651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  656680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656699 */     GIR_RootConstrainSelectedInstOperands,
     /*  656700 */     // GIR_Coverage, 7497,
     /*  656700 */     GIR_EraseRootFromParent_Done,
     /*  656701 */   // Label 10508: @656701
     /*  656701 */   GIM_Try, /*On fail goto*//*Label 10509*/ GIMT_Encode4(656776), // Rule ID 7500 //
     /*  656706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  656717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  656720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  656723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  656726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656752 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  656755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656774 */     GIR_RootConstrainSelectedInstOperands,
     /*  656775 */     // GIR_Coverage, 7500,
     /*  656775 */     GIR_EraseRootFromParent_Done,
     /*  656776 */   // Label 10509: @656776
     /*  656776 */   GIM_Try, /*On fail goto*//*Label 10510*/ GIMT_Encode4(656851), // Rule ID 7501 //
     /*  656781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  656792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  656795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  656798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  656801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656827 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  656830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656849 */     GIR_RootConstrainSelectedInstOperands,
     /*  656850 */     // GIR_Coverage, 7501,
     /*  656850 */     GIR_EraseRootFromParent_Done,
     /*  656851 */   // Label 10510: @656851
     /*  656851 */   GIM_Try, /*On fail goto*//*Label 10511*/ GIMT_Encode4(656926), // Rule ID 7504 //
     /*  656856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  656867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  656870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  656873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  656876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656902 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  656905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656924 */     GIR_RootConstrainSelectedInstOperands,
     /*  656925 */     // GIR_Coverage, 7504,
     /*  656925 */     GIR_EraseRootFromParent_Done,
     /*  656926 */   // Label 10511: @656926
     /*  656926 */   GIM_Try, /*On fail goto*//*Label 10512*/ GIMT_Encode4(657001), // Rule ID 7505 //
     /*  656931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  656942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  656945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  656948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  656951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  656980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656999 */     GIR_RootConstrainSelectedInstOperands,
     /*  657000 */     // GIR_Coverage, 7505,
     /*  657000 */     GIR_EraseRootFromParent_Done,
     /*  657001 */   // Label 10512: @657001
     /*  657001 */   GIM_Try, /*On fail goto*//*Label 10513*/ GIMT_Encode4(657076), // Rule ID 7508 //
     /*  657006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  657017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  657020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  657023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657052 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  657055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657074 */     GIR_RootConstrainSelectedInstOperands,
     /*  657075 */     // GIR_Coverage, 7508,
     /*  657075 */     GIR_EraseRootFromParent_Done,
     /*  657076 */   // Label 10513: @657076
     /*  657076 */   GIM_Try, /*On fail goto*//*Label 10514*/ GIMT_Encode4(657151), // Rule ID 7509 //
     /*  657081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  657092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  657095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  657098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657127 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  657130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657149 */     GIR_RootConstrainSelectedInstOperands,
     /*  657150 */     // GIR_Coverage, 7509,
     /*  657150 */     GIR_EraseRootFromParent_Done,
     /*  657151 */   // Label 10514: @657151
     /*  657151 */   GIM_Try, /*On fail goto*//*Label 10515*/ GIMT_Encode4(657226), // Rule ID 7512 //
     /*  657156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  657167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  657170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  657173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657202 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  657205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657224 */     GIR_RootConstrainSelectedInstOperands,
     /*  657225 */     // GIR_Coverage, 7512,
     /*  657225 */     GIR_EraseRootFromParent_Done,
     /*  657226 */   // Label 10515: @657226
     /*  657226 */   GIM_Try, /*On fail goto*//*Label 10516*/ GIMT_Encode4(657301), // Rule ID 7513 //
     /*  657231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  657242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  657245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  657248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657277 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  657280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657299 */     GIR_RootConstrainSelectedInstOperands,
     /*  657300 */     // GIR_Coverage, 7513,
     /*  657300 */     GIR_EraseRootFromParent_Done,
     /*  657301 */   // Label 10516: @657301
     /*  657301 */   GIM_Try, /*On fail goto*//*Label 10517*/ GIMT_Encode4(657376), // Rule ID 7516 //
     /*  657306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  657317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  657320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  657323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657352 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657374 */     GIR_RootConstrainSelectedInstOperands,
     /*  657375 */     // GIR_Coverage, 7516,
     /*  657375 */     GIR_EraseRootFromParent_Done,
     /*  657376 */   // Label 10517: @657376
     /*  657376 */   GIM_Try, /*On fail goto*//*Label 10518*/ GIMT_Encode4(657451), // Rule ID 7517 //
     /*  657381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  657392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  657395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  657398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657427 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657449 */     GIR_RootConstrainSelectedInstOperands,
     /*  657450 */     // GIR_Coverage, 7517,
     /*  657450 */     GIR_EraseRootFromParent_Done,
     /*  657451 */   // Label 10518: @657451
     /*  657451 */   GIM_Try, /*On fail goto*//*Label 10519*/ GIMT_Encode4(657526), // Rule ID 7520 //
     /*  657456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  657467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  657470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  657473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657524 */     GIR_RootConstrainSelectedInstOperands,
     /*  657525 */     // GIR_Coverage, 7520,
     /*  657525 */     GIR_EraseRootFromParent_Done,
     /*  657526 */   // Label 10519: @657526
     /*  657526 */   GIM_Try, /*On fail goto*//*Label 10520*/ GIMT_Encode4(657601), // Rule ID 7521 //
     /*  657531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  657542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  657545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  657548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657599 */     GIR_RootConstrainSelectedInstOperands,
     /*  657600 */     // GIR_Coverage, 7521,
     /*  657600 */     GIR_EraseRootFromParent_Done,
     /*  657601 */   // Label 10520: @657601
     /*  657601 */   GIM_Try, /*On fail goto*//*Label 10521*/ GIMT_Encode4(657676), // Rule ID 7524 //
     /*  657606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  657617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  657620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657652 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657674 */     GIR_RootConstrainSelectedInstOperands,
     /*  657675 */     // GIR_Coverage, 7524,
     /*  657675 */     GIR_EraseRootFromParent_Done,
     /*  657676 */   // Label 10521: @657676
     /*  657676 */   GIM_Try, /*On fail goto*//*Label 10522*/ GIMT_Encode4(657751), // Rule ID 7525 //
     /*  657681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  657692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  657695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657727 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657749 */     GIR_RootConstrainSelectedInstOperands,
     /*  657750 */     // GIR_Coverage, 7525,
     /*  657750 */     GIR_EraseRootFromParent_Done,
     /*  657751 */   // Label 10522: @657751
     /*  657751 */   GIM_Try, /*On fail goto*//*Label 10523*/ GIMT_Encode4(657826), // Rule ID 7528 //
     /*  657756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  657767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  657770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657802 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657824 */     GIR_RootConstrainSelectedInstOperands,
     /*  657825 */     // GIR_Coverage, 7528,
     /*  657825 */     GIR_EraseRootFromParent_Done,
     /*  657826 */   // Label 10523: @657826
     /*  657826 */   GIM_Try, /*On fail goto*//*Label 10524*/ GIMT_Encode4(657901), // Rule ID 7529 //
     /*  657831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  657842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  657845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657877 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657899 */     GIR_RootConstrainSelectedInstOperands,
     /*  657900 */     // GIR_Coverage, 7529,
     /*  657900 */     GIR_EraseRootFromParent_Done,
     /*  657901 */   // Label 10524: @657901
     /*  657901 */   GIM_Try, /*On fail goto*//*Label 10525*/ GIMT_Encode4(657976), // Rule ID 7532 //
     /*  657906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  657917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  657920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  657923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  657955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657974 */     GIR_RootConstrainSelectedInstOperands,
     /*  657975 */     // GIR_Coverage, 7532,
     /*  657975 */     GIR_EraseRootFromParent_Done,
     /*  657976 */   // Label 10525: @657976
     /*  657976 */   GIM_Try, /*On fail goto*//*Label 10526*/ GIMT_Encode4(658051), // Rule ID 7533 //
     /*  657981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  657992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  657995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  657998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  658030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658049 */     GIR_RootConstrainSelectedInstOperands,
     /*  658050 */     // GIR_Coverage, 7533,
     /*  658050 */     GIR_EraseRootFromParent_Done,
     /*  658051 */   // Label 10526: @658051
     /*  658051 */   GIM_Try, /*On fail goto*//*Label 10527*/ GIMT_Encode4(658126), // Rule ID 7536 //
     /*  658056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  658067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  658070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  658073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  658105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658124 */     GIR_RootConstrainSelectedInstOperands,
     /*  658125 */     // GIR_Coverage, 7536,
     /*  658125 */     GIR_EraseRootFromParent_Done,
     /*  658126 */   // Label 10527: @658126
     /*  658126 */   GIM_Try, /*On fail goto*//*Label 10528*/ GIMT_Encode4(658201), // Rule ID 7537 //
     /*  658131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  658142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  658145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  658148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658177 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  658180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658199 */     GIR_RootConstrainSelectedInstOperands,
     /*  658200 */     // GIR_Coverage, 7537,
     /*  658200 */     GIR_EraseRootFromParent_Done,
     /*  658201 */   // Label 10528: @658201
     /*  658201 */   GIM_Try, /*On fail goto*//*Label 10529*/ GIMT_Encode4(658276), // Rule ID 7540 //
     /*  658206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  658217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  658220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  658223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  658255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658274 */     GIR_RootConstrainSelectedInstOperands,
     /*  658275 */     // GIR_Coverage, 7540,
     /*  658275 */     GIR_EraseRootFromParent_Done,
     /*  658276 */   // Label 10529: @658276
     /*  658276 */   GIM_Try, /*On fail goto*//*Label 10530*/ GIMT_Encode4(658351), // Rule ID 7541 //
     /*  658281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  658292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  658295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  658298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  658330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658349 */     GIR_RootConstrainSelectedInstOperands,
     /*  658350 */     // GIR_Coverage, 7541,
     /*  658350 */     GIR_EraseRootFromParent_Done,
     /*  658351 */   // Label 10530: @658351
     /*  658351 */   GIM_Try, /*On fail goto*//*Label 10531*/ GIMT_Encode4(658426), // Rule ID 7544 //
     /*  658356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  658367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  658370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  658373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  658405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658424 */     GIR_RootConstrainSelectedInstOperands,
     /*  658425 */     // GIR_Coverage, 7544,
     /*  658425 */     GIR_EraseRootFromParent_Done,
     /*  658426 */   // Label 10531: @658426
     /*  658426 */   GIM_Try, /*On fail goto*//*Label 10532*/ GIMT_Encode4(658501), // Rule ID 7545 //
     /*  658431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  658442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  658445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  658448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658477 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  658480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658499 */     GIR_RootConstrainSelectedInstOperands,
     /*  658500 */     // GIR_Coverage, 7545,
     /*  658500 */     GIR_EraseRootFromParent_Done,
     /*  658501 */   // Label 10532: @658501
     /*  658501 */   GIM_Try, /*On fail goto*//*Label 10533*/ GIMT_Encode4(658576), // Rule ID 7548 //
     /*  658506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  658517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  658520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  658523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  658555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658574 */     GIR_RootConstrainSelectedInstOperands,
     /*  658575 */     // GIR_Coverage, 7548,
     /*  658575 */     GIR_EraseRootFromParent_Done,
     /*  658576 */   // Label 10533: @658576
     /*  658576 */   GIM_Try, /*On fail goto*//*Label 10534*/ GIMT_Encode4(658651), // Rule ID 7549 //
     /*  658581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  658592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  658595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  658598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658627 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  658630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658649 */     GIR_RootConstrainSelectedInstOperands,
     /*  658650 */     // GIR_Coverage, 7549,
     /*  658650 */     GIR_EraseRootFromParent_Done,
     /*  658651 */   // Label 10534: @658651
     /*  658651 */   GIM_Try, /*On fail goto*//*Label 10535*/ GIMT_Encode4(658726), // Rule ID 7552 //
     /*  658656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  658667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  658670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  658673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  658705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658724 */     GIR_RootConstrainSelectedInstOperands,
     /*  658725 */     // GIR_Coverage, 7552,
     /*  658725 */     GIR_EraseRootFromParent_Done,
     /*  658726 */   // Label 10535: @658726
     /*  658726 */   GIM_Try, /*On fail goto*//*Label 10536*/ GIMT_Encode4(658801), // Rule ID 7553 //
     /*  658731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  658742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  658745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  658748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658777 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  658780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658799 */     GIR_RootConstrainSelectedInstOperands,
     /*  658800 */     // GIR_Coverage, 7553,
     /*  658800 */     GIR_EraseRootFromParent_Done,
     /*  658801 */   // Label 10536: @658801
     /*  658801 */   GIM_Try, /*On fail goto*//*Label 10537*/ GIMT_Encode4(658876), // Rule ID 7556 //
     /*  658806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  658817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  658820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  658823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  658855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658874 */     GIR_RootConstrainSelectedInstOperands,
     /*  658875 */     // GIR_Coverage, 7556,
     /*  658875 */     GIR_EraseRootFromParent_Done,
     /*  658876 */   // Label 10537: @658876
     /*  658876 */   GIM_Try, /*On fail goto*//*Label 10538*/ GIMT_Encode4(658951), // Rule ID 7557 //
     /*  658881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  658892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  658895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  658898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658927 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  658930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658949 */     GIR_RootConstrainSelectedInstOperands,
     /*  658950 */     // GIR_Coverage, 7557,
     /*  658950 */     GIR_EraseRootFromParent_Done,
     /*  658951 */   // Label 10538: @658951
     /*  658951 */   GIM_Try, /*On fail goto*//*Label 10539*/ GIMT_Encode4(659026), // Rule ID 7560 //
     /*  658956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  658967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  658970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  658973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  659005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659024 */     GIR_RootConstrainSelectedInstOperands,
     /*  659025 */     // GIR_Coverage, 7560,
     /*  659025 */     GIR_EraseRootFromParent_Done,
     /*  659026 */   // Label 10539: @659026
     /*  659026 */   GIM_Try, /*On fail goto*//*Label 10540*/ GIMT_Encode4(659101), // Rule ID 7561 //
     /*  659031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  659034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  659042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  659045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  659048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  659051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11509:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  659080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659099 */     GIR_RootConstrainSelectedInstOperands,
     /*  659100 */     // GIR_Coverage, 7561,
     /*  659100 */     GIR_EraseRootFromParent_Done,
     /*  659101 */   // Label 10540: @659101
     /*  659101 */   GIM_Try, /*On fail goto*//*Label 10541*/ GIMT_Encode4(659176), // Rule ID 7564 //
     /*  659106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  659109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  659117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  659120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  659123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  659126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  659155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659174 */     GIR_RootConstrainSelectedInstOperands,
     /*  659175 */     // GIR_Coverage, 7564,
     /*  659175 */     GIR_EraseRootFromParent_Done,
     /*  659176 */   // Label 10541: @659176
     /*  659176 */   GIM_Try, /*On fail goto*//*Label 10542*/ GIMT_Encode4(659251), // Rule ID 7565 //
     /*  659181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  659184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  659192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  659195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  659198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  659201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11509:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  659230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659249 */     GIR_RootConstrainSelectedInstOperands,
     /*  659250 */     // GIR_Coverage, 7565,
     /*  659250 */     GIR_EraseRootFromParent_Done,
     /*  659251 */   // Label 10542: @659251
     /*  659251 */   GIM_Try, /*On fail goto*//*Label 10543*/ GIMT_Encode4(659326), // Rule ID 7628 //
     /*  659256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  659267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  659270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  659273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  659276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659302 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  659305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659324 */     GIR_RootConstrainSelectedInstOperands,
     /*  659325 */     // GIR_Coverage, 7628,
     /*  659325 */     GIR_EraseRootFromParent_Done,
     /*  659326 */   // Label 10543: @659326
     /*  659326 */   GIM_Try, /*On fail goto*//*Label 10544*/ GIMT_Encode4(659401), // Rule ID 7629 //
     /*  659331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  659342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  659345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  659348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  659351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659377 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  659380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659399 */     GIR_RootConstrainSelectedInstOperands,
     /*  659400 */     // GIR_Coverage, 7629,
     /*  659400 */     GIR_EraseRootFromParent_Done,
     /*  659401 */   // Label 10544: @659401
     /*  659401 */   GIM_Try, /*On fail goto*//*Label 10545*/ GIMT_Encode4(659476), // Rule ID 7632 //
     /*  659406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  659417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  659420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  659423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  659426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  659455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659474 */     GIR_RootConstrainSelectedInstOperands,
     /*  659475 */     // GIR_Coverage, 7632,
     /*  659475 */     GIR_EraseRootFromParent_Done,
     /*  659476 */   // Label 10545: @659476
     /*  659476 */   GIM_Try, /*On fail goto*//*Label 10546*/ GIMT_Encode4(659551), // Rule ID 7633 //
     /*  659481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  659492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  659495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  659498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  659501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659527 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  659530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659549 */     GIR_RootConstrainSelectedInstOperands,
     /*  659550 */     // GIR_Coverage, 7633,
     /*  659550 */     GIR_EraseRootFromParent_Done,
     /*  659551 */   // Label 10546: @659551
     /*  659551 */   GIM_Try, /*On fail goto*//*Label 10547*/ GIMT_Encode4(659626), // Rule ID 7636 //
     /*  659556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  659567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  659570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  659573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  659576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659602 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659624 */     GIR_RootConstrainSelectedInstOperands,
     /*  659625 */     // GIR_Coverage, 7636,
     /*  659625 */     GIR_EraseRootFromParent_Done,
     /*  659626 */   // Label 10547: @659626
     /*  659626 */   GIM_Try, /*On fail goto*//*Label 10548*/ GIMT_Encode4(659701), // Rule ID 7637 //
     /*  659631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  659642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  659645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  659648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  659651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659677 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659699 */     GIR_RootConstrainSelectedInstOperands,
     /*  659700 */     // GIR_Coverage, 7637,
     /*  659700 */     GIR_EraseRootFromParent_Done,
     /*  659701 */   // Label 10548: @659701
     /*  659701 */   GIM_Try, /*On fail goto*//*Label 10549*/ GIMT_Encode4(659776), // Rule ID 7640 //
     /*  659706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  659717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  659720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  659723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  659726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659774 */     GIR_RootConstrainSelectedInstOperands,
     /*  659775 */     // GIR_Coverage, 7640,
     /*  659775 */     GIR_EraseRootFromParent_Done,
     /*  659776 */   // Label 10549: @659776
     /*  659776 */   GIM_Try, /*On fail goto*//*Label 10550*/ GIMT_Encode4(659851), // Rule ID 7641 //
     /*  659781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  659792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  659795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  659798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  659801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659827 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659849 */     GIR_RootConstrainSelectedInstOperands,
     /*  659850 */     // GIR_Coverage, 7641,
     /*  659850 */     GIR_EraseRootFromParent_Done,
     /*  659851 */   // Label 10550: @659851
     /*  659851 */   GIM_Try, /*On fail goto*//*Label 10551*/ GIMT_Encode4(659926), // Rule ID 7644 //
     /*  659856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  659867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  659870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  659876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659902 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  659905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659924 */     GIR_RootConstrainSelectedInstOperands,
     /*  659925 */     // GIR_Coverage, 7644,
     /*  659925 */     GIR_EraseRootFromParent_Done,
     /*  659926 */   // Label 10551: @659926
     /*  659926 */   GIM_Try, /*On fail goto*//*Label 10552*/ GIMT_Encode4(660001), // Rule ID 7645 //
     /*  659931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  659942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  659945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  659951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659977 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  659980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659999 */     GIR_RootConstrainSelectedInstOperands,
     /*  660000 */     // GIR_Coverage, 7645,
     /*  660000 */     GIR_EraseRootFromParent_Done,
     /*  660001 */   // Label 10552: @660001
     /*  660001 */   GIM_Try, /*On fail goto*//*Label 10553*/ GIMT_Encode4(660076), // Rule ID 7648 //
     /*  660006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  660017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  660020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  660023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  660026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660052 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660074 */     GIR_RootConstrainSelectedInstOperands,
     /*  660075 */     // GIR_Coverage, 7648,
     /*  660075 */     GIR_EraseRootFromParent_Done,
     /*  660076 */   // Label 10553: @660076
     /*  660076 */   GIM_Try, /*On fail goto*//*Label 10554*/ GIMT_Encode4(660151), // Rule ID 7649 //
     /*  660081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  660092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  660095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  660098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  660101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660127 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660149 */     GIR_RootConstrainSelectedInstOperands,
     /*  660150 */     // GIR_Coverage, 7649,
     /*  660150 */     GIR_EraseRootFromParent_Done,
     /*  660151 */   // Label 10554: @660151
     /*  660151 */   GIM_Try, /*On fail goto*//*Label 10555*/ GIMT_Encode4(660226), // Rule ID 7652 //
     /*  660156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  660167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  660170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  660173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  660176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660202 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  660205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660224 */     GIR_RootConstrainSelectedInstOperands,
     /*  660225 */     // GIR_Coverage, 7652,
     /*  660225 */     GIR_EraseRootFromParent_Done,
     /*  660226 */   // Label 10555: @660226
     /*  660226 */   GIM_Try, /*On fail goto*//*Label 10556*/ GIMT_Encode4(660301), // Rule ID 7653 //
     /*  660231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  660242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  660245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  660248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  660251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660277 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  660280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660299 */     GIR_RootConstrainSelectedInstOperands,
     /*  660300 */     // GIR_Coverage, 7653,
     /*  660300 */     GIR_EraseRootFromParent_Done,
     /*  660301 */   // Label 10556: @660301
     /*  660301 */   GIM_Try, /*On fail goto*//*Label 10557*/ GIMT_Encode4(660376), // Rule ID 7656 //
     /*  660306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  660317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  660320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  660323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  660326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660352 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  660355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660374 */     GIR_RootConstrainSelectedInstOperands,
     /*  660375 */     // GIR_Coverage, 7656,
     /*  660375 */     GIR_EraseRootFromParent_Done,
     /*  660376 */   // Label 10557: @660376
     /*  660376 */   GIM_Try, /*On fail goto*//*Label 10558*/ GIMT_Encode4(660451), // Rule ID 7657 //
     /*  660381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  660392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  660395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  660398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  660401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660427 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  660430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660449 */     GIR_RootConstrainSelectedInstOperands,
     /*  660450 */     // GIR_Coverage, 7657,
     /*  660450 */     GIR_EraseRootFromParent_Done,
     /*  660451 */   // Label 10558: @660451
     /*  660451 */   GIM_Try, /*On fail goto*//*Label 10559*/ GIMT_Encode4(660526), // Rule ID 7660 //
     /*  660456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  660467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  660470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  660473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  660476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660502 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  660505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660524 */     GIR_RootConstrainSelectedInstOperands,
     /*  660525 */     // GIR_Coverage, 7660,
     /*  660525 */     GIR_EraseRootFromParent_Done,
     /*  660526 */   // Label 10559: @660526
     /*  660526 */   GIM_Try, /*On fail goto*//*Label 10560*/ GIMT_Encode4(660601), // Rule ID 7661 //
     /*  660531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  660542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  660545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  660548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  660551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660577 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  660580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660599 */     GIR_RootConstrainSelectedInstOperands,
     /*  660600 */     // GIR_Coverage, 7661,
     /*  660600 */     GIR_EraseRootFromParent_Done,
     /*  660601 */   // Label 10560: @660601
     /*  660601 */   GIM_Try, /*On fail goto*//*Label 10561*/ GIMT_Encode4(660676), // Rule ID 7664 //
     /*  660606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  660617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  660620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  660623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  660626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  660655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660674 */     GIR_RootConstrainSelectedInstOperands,
     /*  660675 */     // GIR_Coverage, 7664,
     /*  660675 */     GIR_EraseRootFromParent_Done,
     /*  660676 */   // Label 10561: @660676
     /*  660676 */   GIM_Try, /*On fail goto*//*Label 10562*/ GIMT_Encode4(660751), // Rule ID 7665 //
     /*  660681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  660692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  660695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  660698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  660701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660727 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  660730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660749 */     GIR_RootConstrainSelectedInstOperands,
     /*  660750 */     // GIR_Coverage, 7665,
     /*  660750 */     GIR_EraseRootFromParent_Done,
     /*  660751 */   // Label 10562: @660751
     /*  660751 */   GIM_Try, /*On fail goto*//*Label 10563*/ GIMT_Encode4(660826), // Rule ID 7668 //
     /*  660756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  660767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  660770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  660773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  660776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660824 */     GIR_RootConstrainSelectedInstOperands,
     /*  660825 */     // GIR_Coverage, 7668,
     /*  660825 */     GIR_EraseRootFromParent_Done,
     /*  660826 */   // Label 10563: @660826
     /*  660826 */   GIM_Try, /*On fail goto*//*Label 10564*/ GIMT_Encode4(660901), // Rule ID 7669 //
     /*  660831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  660842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  660845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  660848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  660851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660877 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660899 */     GIR_RootConstrainSelectedInstOperands,
     /*  660900 */     // GIR_Coverage, 7669,
     /*  660900 */     GIR_EraseRootFromParent_Done,
     /*  660901 */   // Label 10564: @660901
     /*  660901 */   GIM_Try, /*On fail goto*//*Label 10565*/ GIMT_Encode4(660976), // Rule ID 7672 //
     /*  660906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  660923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  660926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  660955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660974 */     GIR_RootConstrainSelectedInstOperands,
     /*  660975 */     // GIR_Coverage, 7672,
     /*  660975 */     GIR_EraseRootFromParent_Done,
     /*  660976 */   // Label 10565: @660976
     /*  660976 */   GIM_Try, /*On fail goto*//*Label 10566*/ GIMT_Encode4(661051), // Rule ID 7673 //
     /*  660981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  660998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  661001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661027 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  661027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  661030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661049 */     GIR_RootConstrainSelectedInstOperands,
     /*  661050 */     // GIR_Coverage, 7673,
     /*  661050 */     GIR_EraseRootFromParent_Done,
     /*  661051 */   // Label 10566: @661051
     /*  661051 */   GIM_Try, /*On fail goto*//*Label 10567*/ GIMT_Encode4(661126), // Rule ID 7676 //
     /*  661056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  661059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  661067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  661070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  661073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  661076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  661102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  661105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661124 */     GIR_RootConstrainSelectedInstOperands,
     /*  661125 */     // GIR_Coverage, 7676,
     /*  661125 */     GIR_EraseRootFromParent_Done,
     /*  661126 */   // Label 10567: @661126
     /*  661126 */   GIM_Try, /*On fail goto*//*Label 10568*/ GIMT_Encode4(661201), // Rule ID 7677 //
     /*  661131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  661134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  661142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  661145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  661148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  661151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  661177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  661180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661199 */     GIR_RootConstrainSelectedInstOperands,
     /*  661200 */     // GIR_Coverage, 7677,
     /*  661200 */     GIR_EraseRootFromParent_Done,
     /*  661201 */   // Label 10568: @661201
     /*  661201 */   GIM_Try, /*On fail goto*//*Label 10569*/ GIMT_Encode4(661276), // Rule ID 7680 //
     /*  661206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  661209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  661217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  661220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  661223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  661226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661252 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  661252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  661255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661274 */     GIR_RootConstrainSelectedInstOperands,
     /*  661275 */     // GIR_Coverage, 7680,
     /*  661275 */     GIR_EraseRootFromParent_Done,
     /*  661276 */   // Label 10569: @661276
     /*  661276 */   GIM_Try, /*On fail goto*//*Label 10570*/ GIMT_Encode4(661351), // Rule ID 7681 //
     /*  661281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  661284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  661292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  661295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  661298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  661301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661327 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  661327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  661330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661349 */     GIR_RootConstrainSelectedInstOperands,
     /*  661350 */     // GIR_Coverage, 7681,
     /*  661350 */     GIR_EraseRootFromParent_Done,
     /*  661351 */   // Label 10570: @661351
     /*  661351 */   GIM_Try, /*On fail goto*//*Label 10571*/ GIMT_Encode4(661426), // Rule ID 7684 //
     /*  661356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  661359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  661367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  661370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  661373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  661376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661402 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  661402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  661405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661424 */     GIR_RootConstrainSelectedInstOperands,
     /*  661425 */     // GIR_Coverage, 7684,
     /*  661425 */     GIR_EraseRootFromParent_Done,
     /*  661426 */   // Label 10571: @661426
     /*  661426 */   GIM_Try, /*On fail goto*//*Label 10572*/ GIMT_Encode4(661501), // Rule ID 7685 //
     /*  661431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  661434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  661442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  661445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  661448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  661451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661477 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  661477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  661480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661499 */     GIR_RootConstrainSelectedInstOperands,
     /*  661500 */     // GIR_Coverage, 7685,
     /*  661500 */     GIR_EraseRootFromParent_Done,
     /*  661501 */   // Label 10572: @661501
     /*  661501 */   GIM_Try, /*On fail goto*//*Label 10573*/ GIMT_Encode4(661576), // Rule ID 7688 //
     /*  661506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  661517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  661520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  661523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661552 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  661555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661574 */     GIR_RootConstrainSelectedInstOperands,
     /*  661575 */     // GIR_Coverage, 7688,
     /*  661575 */     GIR_EraseRootFromParent_Done,
     /*  661576 */   // Label 10573: @661576
     /*  661576 */   GIM_Try, /*On fail goto*//*Label 10574*/ GIMT_Encode4(661651), // Rule ID 7689 //
     /*  661581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  661592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  661595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  661598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661627 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  661630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661649 */     GIR_RootConstrainSelectedInstOperands,
     /*  661650 */     // GIR_Coverage, 7689,
     /*  661650 */     GIR_EraseRootFromParent_Done,
     /*  661651 */   // Label 10574: @661651
     /*  661651 */   GIM_Try, /*On fail goto*//*Label 10575*/ GIMT_Encode4(661726), // Rule ID 7692 //
     /*  661656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  661667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  661670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  661673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661724 */     GIR_RootConstrainSelectedInstOperands,
     /*  661725 */     // GIR_Coverage, 7692,
     /*  661725 */     GIR_EraseRootFromParent_Done,
     /*  661726 */   // Label 10575: @661726
     /*  661726 */   GIM_Try, /*On fail goto*//*Label 10576*/ GIMT_Encode4(661801), // Rule ID 7693 //
     /*  661731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  661742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  661745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  661748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661777 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661799 */     GIR_RootConstrainSelectedInstOperands,
     /*  661800 */     // GIR_Coverage, 7693,
     /*  661800 */     GIR_EraseRootFromParent_Done,
     /*  661801 */   // Label 10576: @661801
     /*  661801 */   GIM_Try, /*On fail goto*//*Label 10577*/ GIMT_Encode4(661876), // Rule ID 7696 //
     /*  661806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  661817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  661820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661852 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  661855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661874 */     GIR_RootConstrainSelectedInstOperands,
     /*  661875 */     // GIR_Coverage, 7696,
     /*  661875 */     GIR_EraseRootFromParent_Done,
     /*  661876 */   // Label 10577: @661876
     /*  661876 */   GIM_Try, /*On fail goto*//*Label 10578*/ GIMT_Encode4(661951), // Rule ID 7697 //
     /*  661881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  661892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  661895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661927 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  661930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661949 */     GIR_RootConstrainSelectedInstOperands,
     /*  661950 */     // GIR_Coverage, 7697,
     /*  661950 */     GIR_EraseRootFromParent_Done,
     /*  661951 */   // Label 10578: @661951
     /*  661951 */   GIM_Try, /*On fail goto*//*Label 10579*/ GIMT_Encode4(662026), // Rule ID 7700 //
     /*  661956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  661967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  661970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662024 */     GIR_RootConstrainSelectedInstOperands,
     /*  662025 */     // GIR_Coverage, 7700,
     /*  662025 */     GIR_EraseRootFromParent_Done,
     /*  662026 */   // Label 10579: @662026
     /*  662026 */   GIM_Try, /*On fail goto*//*Label 10580*/ GIMT_Encode4(662101), // Rule ID 7701 //
     /*  662031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  662042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  662045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  662048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662099 */     GIR_RootConstrainSelectedInstOperands,
     /*  662100 */     // GIR_Coverage, 7701,
     /*  662100 */     GIR_EraseRootFromParent_Done,
     /*  662101 */   // Label 10580: @662101
     /*  662101 */   GIM_Try, /*On fail goto*//*Label 10581*/ GIMT_Encode4(662176), // Rule ID 7704 //
     /*  662106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  662117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  662120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  662123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662152 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662174 */     GIR_RootConstrainSelectedInstOperands,
     /*  662175 */     // GIR_Coverage, 7704,
     /*  662175 */     GIR_EraseRootFromParent_Done,
     /*  662176 */   // Label 10581: @662176
     /*  662176 */   GIM_Try, /*On fail goto*//*Label 10582*/ GIMT_Encode4(662251), // Rule ID 7705 //
     /*  662181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  662192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  662195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  662198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662227 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662249 */     GIR_RootConstrainSelectedInstOperands,
     /*  662250 */     // GIR_Coverage, 7705,
     /*  662250 */     GIR_EraseRootFromParent_Done,
     /*  662251 */   // Label 10582: @662251
     /*  662251 */   GIM_Try, /*On fail goto*//*Label 10583*/ GIMT_Encode4(662326), // Rule ID 7708 //
     /*  662256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  662267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  662270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  662273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662302 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662324 */     GIR_RootConstrainSelectedInstOperands,
     /*  662325 */     // GIR_Coverage, 7708,
     /*  662325 */     GIR_EraseRootFromParent_Done,
     /*  662326 */   // Label 10583: @662326
     /*  662326 */   GIM_Try, /*On fail goto*//*Label 10584*/ GIMT_Encode4(662401), // Rule ID 7709 //
     /*  662331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  662342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  662345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  662348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662377 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662399 */     GIR_RootConstrainSelectedInstOperands,
     /*  662400 */     // GIR_Coverage, 7709,
     /*  662400 */     GIR_EraseRootFromParent_Done,
     /*  662401 */   // Label 10584: @662401
     /*  662401 */   GIM_Try, /*On fail goto*//*Label 10585*/ GIMT_Encode4(662476), // Rule ID 7712 //
     /*  662406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  662417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  662420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  662423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662452 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  662455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662474 */     GIR_RootConstrainSelectedInstOperands,
     /*  662475 */     // GIR_Coverage, 7712,
     /*  662475 */     GIR_EraseRootFromParent_Done,
     /*  662476 */   // Label 10585: @662476
     /*  662476 */   GIM_Try, /*On fail goto*//*Label 10586*/ GIMT_Encode4(662551), // Rule ID 7713 //
     /*  662481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  662492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  662495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  662498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662527 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  662530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662549 */     GIR_RootConstrainSelectedInstOperands,
     /*  662550 */     // GIR_Coverage, 7713,
     /*  662550 */     GIR_EraseRootFromParent_Done,
     /*  662551 */   // Label 10586: @662551
     /*  662551 */   GIM_Try, /*On fail goto*//*Label 10587*/ GIMT_Encode4(662626), // Rule ID 7716 //
     /*  662556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  662567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  662570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  662573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  662605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662624 */     GIR_RootConstrainSelectedInstOperands,
     /*  662625 */     // GIR_Coverage, 7716,
     /*  662625 */     GIR_EraseRootFromParent_Done,
     /*  662626 */   // Label 10587: @662626
     /*  662626 */   GIM_Try, /*On fail goto*//*Label 10588*/ GIMT_Encode4(662701), // Rule ID 7717 //
     /*  662631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  662642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  662645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  662648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662677 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  662680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662699 */     GIR_RootConstrainSelectedInstOperands,
     /*  662700 */     // GIR_Coverage, 7717,
     /*  662700 */     GIR_EraseRootFromParent_Done,
     /*  662701 */   // Label 10588: @662701
     /*  662701 */   GIM_Try, /*On fail goto*//*Label 10589*/ GIMT_Encode4(662776), // Rule ID 7720 //
     /*  662706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  662717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  662720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  662723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662774 */     GIR_RootConstrainSelectedInstOperands,
     /*  662775 */     // GIR_Coverage, 7720,
     /*  662775 */     GIR_EraseRootFromParent_Done,
     /*  662776 */   // Label 10589: @662776
     /*  662776 */   GIM_Try, /*On fail goto*//*Label 10590*/ GIMT_Encode4(662851), // Rule ID 7721 //
     /*  662781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  662792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  662795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  662798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662849 */     GIR_RootConstrainSelectedInstOperands,
     /*  662850 */     // GIR_Coverage, 7721,
     /*  662850 */     GIR_EraseRootFromParent_Done,
     /*  662851 */   // Label 10590: @662851
     /*  662851 */   GIM_Try, /*On fail goto*//*Label 10591*/ GIMT_Encode4(662926), // Rule ID 7724 //
     /*  662856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  662867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  662870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662902 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662924 */     GIR_RootConstrainSelectedInstOperands,
     /*  662925 */     // GIR_Coverage, 7724,
     /*  662925 */     GIR_EraseRootFromParent_Done,
     /*  662926 */   // Label 10591: @662926
     /*  662926 */   GIM_Try, /*On fail goto*//*Label 10592*/ GIMT_Encode4(663001), // Rule ID 7725 //
     /*  662931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  662942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  662945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662977 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662999 */     GIR_RootConstrainSelectedInstOperands,
     /*  663000 */     // GIR_Coverage, 7725,
     /*  663000 */     GIR_EraseRootFromParent_Done,
     /*  663001 */   // Label 10592: @663001
     /*  663001 */   GIM_Try, /*On fail goto*//*Label 10593*/ GIMT_Encode4(663076), // Rule ID 7728 //
     /*  663006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  663017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  663020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  663023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  663026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663052 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  663055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663074 */     GIR_RootConstrainSelectedInstOperands,
     /*  663075 */     // GIR_Coverage, 7728,
     /*  663075 */     GIR_EraseRootFromParent_Done,
     /*  663076 */   // Label 10593: @663076
     /*  663076 */   GIM_Try, /*On fail goto*//*Label 10594*/ GIMT_Encode4(663151), // Rule ID 7729 //
     /*  663081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  663092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  663095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  663098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  663101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663127 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  663130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663149 */     GIR_RootConstrainSelectedInstOperands,
     /*  663150 */     // GIR_Coverage, 7729,
     /*  663150 */     GIR_EraseRootFromParent_Done,
     /*  663151 */   // Label 10594: @663151
     /*  663151 */   GIM_Try, /*On fail goto*//*Label 10595*/ GIMT_Encode4(663226), // Rule ID 7732 //
     /*  663156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  663159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  663167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  663170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  663173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  663176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663202 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  663205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663224 */     GIR_RootConstrainSelectedInstOperands,
     /*  663225 */     // GIR_Coverage, 7732,
     /*  663225 */     GIR_EraseRootFromParent_Done,
     /*  663226 */   // Label 10595: @663226
     /*  663226 */   GIM_Try, /*On fail goto*//*Label 10596*/ GIMT_Encode4(663301), // Rule ID 7733 //
     /*  663231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  663234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  663242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  663245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  663248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  663251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663277 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  663280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663299 */     GIR_RootConstrainSelectedInstOperands,
     /*  663300 */     // GIR_Coverage, 7733,
     /*  663300 */     GIR_EraseRootFromParent_Done,
     /*  663301 */   // Label 10596: @663301
     /*  663301 */   GIM_Try, /*On fail goto*//*Label 10597*/ GIMT_Encode4(663376), // Rule ID 7736 //
     /*  663306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  663309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  663317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  663320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  663323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  663326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  663355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663374 */     GIR_RootConstrainSelectedInstOperands,
     /*  663375 */     // GIR_Coverage, 7736,
     /*  663375 */     GIR_EraseRootFromParent_Done,
     /*  663376 */   // Label 10597: @663376
     /*  663376 */   GIM_Try, /*On fail goto*//*Label 10598*/ GIMT_Encode4(663451), // Rule ID 7737 //
     /*  663381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  663384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  663392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  663395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  663398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  663401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  663430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663449 */     GIR_RootConstrainSelectedInstOperands,
     /*  663450 */     // GIR_Coverage, 7737,
     /*  663450 */     GIR_EraseRootFromParent_Done,
     /*  663451 */   // Label 10598: @663451
     /*  663451 */   GIM_Try, /*On fail goto*//*Label 10599*/ GIMT_Encode4(663526), // Rule ID 7740 //
     /*  663456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  663459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  663467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  663470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  663473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  663476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  663505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663524 */     GIR_RootConstrainSelectedInstOperands,
     /*  663525 */     // GIR_Coverage, 7740,
     /*  663525 */     GIR_EraseRootFromParent_Done,
     /*  663526 */   // Label 10599: @663526
     /*  663526 */   GIM_Try, /*On fail goto*//*Label 10600*/ GIMT_Encode4(663601), // Rule ID 7741 //
     /*  663531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  663534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  663542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  663545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  663548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  663551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11507:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  663580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663599 */     GIR_RootConstrainSelectedInstOperands,
     /*  663600 */     // GIR_Coverage, 7741,
     /*  663600 */     GIR_EraseRootFromParent_Done,
     /*  663601 */   // Label 10600: @663601
     /*  663601 */   GIM_Try, /*On fail goto*//*Label 10601*/ GIMT_Encode4(663676), // Rule ID 7744 //
     /*  663606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  663609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  663617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  663620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  663623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  663626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663652 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  663655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663674 */     GIR_RootConstrainSelectedInstOperands,
     /*  663675 */     // GIR_Coverage, 7744,
     /*  663675 */     GIR_EraseRootFromParent_Done,
     /*  663676 */   // Label 10601: @663676
     /*  663676 */   GIM_Try, /*On fail goto*//*Label 10602*/ GIMT_Encode4(663751), // Rule ID 7745 //
     /*  663681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  663684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  663692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  663695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  663698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  663701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11507:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  663730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663749 */     GIR_RootConstrainSelectedInstOperands,
     /*  663750 */     // GIR_Coverage, 7745,
     /*  663750 */     GIR_EraseRootFromParent_Done,
     /*  663751 */   // Label 10602: @663751
     /*  663751 */   GIM_Try, /*On fail goto*//*Label 10603*/ GIMT_Encode4(663826), // Rule ID 10260 //
     /*  663756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  663767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  663770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  663773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  663776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663802 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  663805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663824 */     GIR_RootConstrainSelectedInstOperands,
     /*  663825 */     // GIR_Coverage, 10260,
     /*  663825 */     GIR_EraseRootFromParent_Done,
     /*  663826 */   // Label 10603: @663826
     /*  663826 */   GIM_Try, /*On fail goto*//*Label 10604*/ GIMT_Encode4(663901), // Rule ID 10261 //
     /*  663831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  663842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  663845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  663848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  663851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663877 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  663880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663899 */     GIR_RootConstrainSelectedInstOperands,
     /*  663900 */     // GIR_Coverage, 10261,
     /*  663900 */     GIR_EraseRootFromParent_Done,
     /*  663901 */   // Label 10604: @663901
     /*  663901 */   GIM_Try, /*On fail goto*//*Label 10605*/ GIMT_Encode4(663976), // Rule ID 10264 //
     /*  663906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  663917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  663920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  663923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  663926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663952 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  663955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663974 */     GIR_RootConstrainSelectedInstOperands,
     /*  663975 */     // GIR_Coverage, 10264,
     /*  663975 */     GIR_EraseRootFromParent_Done,
     /*  663976 */   // Label 10605: @663976
     /*  663976 */   GIM_Try, /*On fail goto*//*Label 10606*/ GIMT_Encode4(664051), // Rule ID 10265 //
     /*  663981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  663992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  663995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  663998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  664001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664027 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  664030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664049 */     GIR_RootConstrainSelectedInstOperands,
     /*  664050 */     // GIR_Coverage, 10265,
     /*  664050 */     GIR_EraseRootFromParent_Done,
     /*  664051 */   // Label 10606: @664051
     /*  664051 */   GIM_Try, /*On fail goto*//*Label 10607*/ GIMT_Encode4(664126), // Rule ID 10268 //
     /*  664056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  664067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  664070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  664073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  664076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664102 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  664105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664124 */     GIR_RootConstrainSelectedInstOperands,
     /*  664125 */     // GIR_Coverage, 10268,
     /*  664125 */     GIR_EraseRootFromParent_Done,
     /*  664126 */   // Label 10607: @664126
     /*  664126 */   GIM_Try, /*On fail goto*//*Label 10608*/ GIMT_Encode4(664201), // Rule ID 10269 //
     /*  664131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  664142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  664145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  664148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  664151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664177 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  664180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664199 */     GIR_RootConstrainSelectedInstOperands,
     /*  664200 */     // GIR_Coverage, 10269,
     /*  664200 */     GIR_EraseRootFromParent_Done,
     /*  664201 */   // Label 10608: @664201
     /*  664201 */   GIM_Try, /*On fail goto*//*Label 10609*/ GIMT_Encode4(664276), // Rule ID 10272 //
     /*  664206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  664217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  664220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  664223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  664226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  664255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664274 */     GIR_RootConstrainSelectedInstOperands,
     /*  664275 */     // GIR_Coverage, 10272,
     /*  664275 */     GIR_EraseRootFromParent_Done,
     /*  664276 */   // Label 10609: @664276
     /*  664276 */   GIM_Try, /*On fail goto*//*Label 10610*/ GIMT_Encode4(664351), // Rule ID 10273 //
     /*  664281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  664292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  664295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  664298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  664301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664327 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  664330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664349 */     GIR_RootConstrainSelectedInstOperands,
     /*  664350 */     // GIR_Coverage, 10273,
     /*  664350 */     GIR_EraseRootFromParent_Done,
     /*  664351 */   // Label 10610: @664351
     /*  664351 */   GIM_Try, /*On fail goto*//*Label 10611*/ GIMT_Encode4(664426), // Rule ID 10276 //
     /*  664356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  664367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  664370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  664373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  664376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  664405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664424 */     GIR_RootConstrainSelectedInstOperands,
     /*  664425 */     // GIR_Coverage, 10276,
     /*  664425 */     GIR_EraseRootFromParent_Done,
     /*  664426 */   // Label 10611: @664426
     /*  664426 */   GIM_Try, /*On fail goto*//*Label 10612*/ GIMT_Encode4(664501), // Rule ID 10277 //
     /*  664431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  664442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  664445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  664448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  664451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664477 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  664480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664499 */     GIR_RootConstrainSelectedInstOperands,
     /*  664500 */     // GIR_Coverage, 10277,
     /*  664500 */     GIR_EraseRootFromParent_Done,
     /*  664501 */   // Label 10612: @664501
     /*  664501 */   GIM_Try, /*On fail goto*//*Label 10613*/ GIMT_Encode4(664576), // Rule ID 10280 //
     /*  664506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  664517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  664520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  664523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  664526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664552 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  664555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664574 */     GIR_RootConstrainSelectedInstOperands,
     /*  664575 */     // GIR_Coverage, 10280,
     /*  664575 */     GIR_EraseRootFromParent_Done,
     /*  664576 */   // Label 10613: @664576
     /*  664576 */   GIM_Try, /*On fail goto*//*Label 10614*/ GIMT_Encode4(664651), // Rule ID 10281 //
     /*  664581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  664592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  664595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  664598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  664601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664627 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  664630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664649 */     GIR_RootConstrainSelectedInstOperands,
     /*  664650 */     // GIR_Coverage, 10281,
     /*  664650 */     GIR_EraseRootFromParent_Done,
     /*  664651 */   // Label 10614: @664651
     /*  664651 */   GIM_Try, /*On fail goto*//*Label 10615*/ GIMT_Encode4(664726), // Rule ID 10284 //
     /*  664656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  664667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  664670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  664673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  664676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664724 */     GIR_RootConstrainSelectedInstOperands,
     /*  664725 */     // GIR_Coverage, 10284,
     /*  664725 */     GIR_EraseRootFromParent_Done,
     /*  664726 */   // Label 10615: @664726
     /*  664726 */   GIM_Try, /*On fail goto*//*Label 10616*/ GIMT_Encode4(664801), // Rule ID 10285 //
     /*  664731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  664742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  664745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  664748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  664751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664799 */     GIR_RootConstrainSelectedInstOperands,
     /*  664800 */     // GIR_Coverage, 10285,
     /*  664800 */     GIR_EraseRootFromParent_Done,
     /*  664801 */   // Label 10616: @664801
     /*  664801 */   GIM_Try, /*On fail goto*//*Label 10617*/ GIMT_Encode4(664876), // Rule ID 10288 //
     /*  664806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  664817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  664820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  664823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664874 */     GIR_RootConstrainSelectedInstOperands,
     /*  664875 */     // GIR_Coverage, 10288,
     /*  664875 */     GIR_EraseRootFromParent_Done,
     /*  664876 */   // Label 10617: @664876
     /*  664876 */   GIM_Try, /*On fail goto*//*Label 10618*/ GIMT_Encode4(664951), // Rule ID 10289 //
     /*  664881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  664892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  664895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  664898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664949 */     GIR_RootConstrainSelectedInstOperands,
     /*  664950 */     // GIR_Coverage, 10289,
     /*  664950 */     GIR_EraseRootFromParent_Done,
     /*  664951 */   // Label 10618: @664951
     /*  664951 */   GIM_Try, /*On fail goto*//*Label 10619*/ GIMT_Encode4(665026), // Rule ID 10292 //
     /*  664956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  664967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  664970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  664973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  664976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  665005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665024 */     GIR_RootConstrainSelectedInstOperands,
     /*  665025 */     // GIR_Coverage, 10292,
     /*  665025 */     GIR_EraseRootFromParent_Done,
     /*  665026 */   // Label 10619: @665026
     /*  665026 */   GIM_Try, /*On fail goto*//*Label 10620*/ GIMT_Encode4(665101), // Rule ID 10293 //
     /*  665031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  665042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  665045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  665048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  665051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  665080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665099 */     GIR_RootConstrainSelectedInstOperands,
     /*  665100 */     // GIR_Coverage, 10293,
     /*  665100 */     GIR_EraseRootFromParent_Done,
     /*  665101 */   // Label 10620: @665101
     /*  665101 */   GIM_Try, /*On fail goto*//*Label 10621*/ GIMT_Encode4(665176), // Rule ID 10296 //
     /*  665106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  665109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  665117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  665120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  665123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  665126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  665152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  665155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665174 */     GIR_RootConstrainSelectedInstOperands,
     /*  665175 */     // GIR_Coverage, 10296,
     /*  665175 */     GIR_EraseRootFromParent_Done,
     /*  665176 */   // Label 10621: @665176
     /*  665176 */   GIM_Try, /*On fail goto*//*Label 10622*/ GIMT_Encode4(665251), // Rule ID 10297 //
     /*  665181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  665184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  665192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  665195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  665198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  665201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  665227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  665230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665249 */     GIR_RootConstrainSelectedInstOperands,
     /*  665250 */     // GIR_Coverage, 10297,
     /*  665250 */     GIR_EraseRootFromParent_Done,
     /*  665251 */   // Label 10622: @665251
     /*  665251 */   GIM_Try, /*On fail goto*//*Label 10623*/ GIMT_Encode4(665326), // Rule ID 10300 //
     /*  665256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  665267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  665270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  665273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  665276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665302 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665324 */     GIR_RootConstrainSelectedInstOperands,
     /*  665325 */     // GIR_Coverage, 10300,
     /*  665325 */     GIR_EraseRootFromParent_Done,
     /*  665326 */   // Label 10623: @665326
     /*  665326 */   GIM_Try, /*On fail goto*//*Label 10624*/ GIMT_Encode4(665401), // Rule ID 10301 //
     /*  665331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  665342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  665345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  665348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  665351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665377 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665399 */     GIR_RootConstrainSelectedInstOperands,
     /*  665400 */     // GIR_Coverage, 10301,
     /*  665400 */     GIR_EraseRootFromParent_Done,
     /*  665401 */   // Label 10624: @665401
     /*  665401 */   GIM_Try, /*On fail goto*//*Label 10625*/ GIMT_Encode4(665476), // Rule ID 10304 //
     /*  665406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  665417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  665420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  665423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  665426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665452 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665474 */     GIR_RootConstrainSelectedInstOperands,
     /*  665475 */     // GIR_Coverage, 10304,
     /*  665475 */     GIR_EraseRootFromParent_Done,
     /*  665476 */   // Label 10625: @665476
     /*  665476 */   GIM_Try, /*On fail goto*//*Label 10626*/ GIMT_Encode4(665551), // Rule ID 10305 //
     /*  665481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  665492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  665495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  665498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  665501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665527 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665549 */     GIR_RootConstrainSelectedInstOperands,
     /*  665550 */     // GIR_Coverage, 10305,
     /*  665550 */     GIR_EraseRootFromParent_Done,
     /*  665551 */   // Label 10626: @665551
     /*  665551 */   GIM_Try, /*On fail goto*//*Label 10627*/ GIMT_Encode4(665626), // Rule ID 10308 //
     /*  665556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  665567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  665570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  665573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  665576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665602 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665624 */     GIR_RootConstrainSelectedInstOperands,
     /*  665625 */     // GIR_Coverage, 10308,
     /*  665625 */     GIR_EraseRootFromParent_Done,
     /*  665626 */   // Label 10627: @665626
     /*  665626 */   GIM_Try, /*On fail goto*//*Label 10628*/ GIMT_Encode4(665701), // Rule ID 10309 //
     /*  665631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  665642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  665645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  665648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  665651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665677 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665699 */     GIR_RootConstrainSelectedInstOperands,
     /*  665700 */     // GIR_Coverage, 10309,
     /*  665700 */     GIR_EraseRootFromParent_Done,
     /*  665701 */   // Label 10628: @665701
     /*  665701 */   GIM_Try, /*On fail goto*//*Label 10629*/ GIMT_Encode4(665776), // Rule ID 10312 //
     /*  665706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  665717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  665720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  665723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  665726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665752 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665774 */     GIR_RootConstrainSelectedInstOperands,
     /*  665775 */     // GIR_Coverage, 10312,
     /*  665775 */     GIR_EraseRootFromParent_Done,
     /*  665776 */   // Label 10629: @665776
     /*  665776 */   GIM_Try, /*On fail goto*//*Label 10630*/ GIMT_Encode4(665851), // Rule ID 10313 //
     /*  665781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  665792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  665795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  665798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  665801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665827 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665849 */     GIR_RootConstrainSelectedInstOperands,
     /*  665850 */     // GIR_Coverage, 10313,
     /*  665850 */     GIR_EraseRootFromParent_Done,
     /*  665851 */   // Label 10630: @665851
     /*  665851 */   GIM_Try, /*On fail goto*//*Label 10631*/ GIMT_Encode4(665926), // Rule ID 10316 //
     /*  665856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  665867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  665870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  665873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  665876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665902 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665924 */     GIR_RootConstrainSelectedInstOperands,
     /*  665925 */     // GIR_Coverage, 10316,
     /*  665925 */     GIR_EraseRootFromParent_Done,
     /*  665926 */   // Label 10631: @665926
     /*  665926 */   GIM_Try, /*On fail goto*//*Label 10632*/ GIMT_Encode4(666001), // Rule ID 10317 //
     /*  665931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  665942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  665945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  665948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  665951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665977 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665999 */     GIR_RootConstrainSelectedInstOperands,
     /*  666000 */     // GIR_Coverage, 10317,
     /*  666000 */     GIR_EraseRootFromParent_Done,
     /*  666001 */   // Label 10632: @666001
     /*  666001 */   GIM_Try, /*On fail goto*//*Label 10633*/ GIMT_Encode4(666076), // Rule ID 10320 //
     /*  666006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  666017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  666020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  666023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  666026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  666055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666074 */     GIR_RootConstrainSelectedInstOperands,
     /*  666075 */     // GIR_Coverage, 10320,
     /*  666075 */     GIR_EraseRootFromParent_Done,
     /*  666076 */   // Label 10633: @666076
     /*  666076 */   GIM_Try, /*On fail goto*//*Label 10634*/ GIMT_Encode4(666151), // Rule ID 10321 //
     /*  666081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  666092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  666095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  666098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  666101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666127 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  666130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666149 */     GIR_RootConstrainSelectedInstOperands,
     /*  666150 */     // GIR_Coverage, 10321,
     /*  666150 */     GIR_EraseRootFromParent_Done,
     /*  666151 */   // Label 10634: @666151
     /*  666151 */   GIM_Try, /*On fail goto*//*Label 10635*/ GIMT_Encode4(666226), // Rule ID 10324 //
     /*  666156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  666167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  666170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  666173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  666176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  666205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666224 */     GIR_RootConstrainSelectedInstOperands,
     /*  666225 */     // GIR_Coverage, 10324,
     /*  666225 */     GIR_EraseRootFromParent_Done,
     /*  666226 */   // Label 10635: @666226
     /*  666226 */   GIM_Try, /*On fail goto*//*Label 10636*/ GIMT_Encode4(666301), // Rule ID 10325 //
     /*  666231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  666242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  666245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  666248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  666251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  666280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666299 */     GIR_RootConstrainSelectedInstOperands,
     /*  666300 */     // GIR_Coverage, 10325,
     /*  666300 */     GIR_EraseRootFromParent_Done,
     /*  666301 */   // Label 10636: @666301
     /*  666301 */   GIM_Try, /*On fail goto*//*Label 10637*/ GIMT_Encode4(666376), // Rule ID 10328 //
     /*  666306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  666317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  666320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  666323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  666326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666352 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  666355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666374 */     GIR_RootConstrainSelectedInstOperands,
     /*  666375 */     // GIR_Coverage, 10328,
     /*  666375 */     GIR_EraseRootFromParent_Done,
     /*  666376 */   // Label 10637: @666376
     /*  666376 */   GIM_Try, /*On fail goto*//*Label 10638*/ GIMT_Encode4(666451), // Rule ID 10329 //
     /*  666381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  666392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  666395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  666398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  666401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  666430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666449 */     GIR_RootConstrainSelectedInstOperands,
     /*  666450 */     // GIR_Coverage, 10329,
     /*  666450 */     GIR_EraseRootFromParent_Done,
     /*  666451 */   // Label 10638: @666451
     /*  666451 */   GIM_Try, /*On fail goto*//*Label 10639*/ GIMT_Encode4(666526), // Rule ID 10332 //
     /*  666456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  666467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  666470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  666473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  666476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  666505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666524 */     GIR_RootConstrainSelectedInstOperands,
     /*  666525 */     // GIR_Coverage, 10332,
     /*  666525 */     GIR_EraseRootFromParent_Done,
     /*  666526 */   // Label 10639: @666526
     /*  666526 */   GIM_Try, /*On fail goto*//*Label 10640*/ GIMT_Encode4(666601), // Rule ID 10333 //
     /*  666531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  666542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  666545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  666548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  666551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666577 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  666580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666599 */     GIR_RootConstrainSelectedInstOperands,
     /*  666600 */     // GIR_Coverage, 10333,
     /*  666600 */     GIR_EraseRootFromParent_Done,
     /*  666601 */   // Label 10640: @666601
     /*  666601 */   GIM_Try, /*On fail goto*//*Label 10641*/ GIMT_Encode4(666676), // Rule ID 10336 //
     /*  666606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  666609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  666617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  666620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  666623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  666626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  666652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  666655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666674 */     GIR_RootConstrainSelectedInstOperands,
     /*  666675 */     // GIR_Coverage, 10336,
     /*  666675 */     GIR_EraseRootFromParent_Done,
     /*  666676 */   // Label 10641: @666676
     /*  666676 */   GIM_Try, /*On fail goto*//*Label 10642*/ GIMT_Encode4(666751), // Rule ID 10337 //
     /*  666681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  666692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  666695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  666698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  666701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666727 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  666727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  666730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666749 */     GIR_RootConstrainSelectedInstOperands,
     /*  666750 */     // GIR_Coverage, 10337,
     /*  666750 */     GIR_EraseRootFromParent_Done,
     /*  666751 */   // Label 10642: @666751
     /*  666751 */   GIM_Try, /*On fail goto*//*Label 10643*/ GIMT_Encode4(666826), // Rule ID 10340 //
     /*  666756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  666759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  666767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  666770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  666773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  666776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666802 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  666802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  666805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666824 */     GIR_RootConstrainSelectedInstOperands,
     /*  666825 */     // GIR_Coverage, 10340,
     /*  666825 */     GIR_EraseRootFromParent_Done,
     /*  666826 */   // Label 10643: @666826
     /*  666826 */   GIM_Try, /*On fail goto*//*Label 10644*/ GIMT_Encode4(666901), // Rule ID 10341 //
     /*  666831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  666842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  666845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  666848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  666851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666877 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  666877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  666880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666899 */     GIR_RootConstrainSelectedInstOperands,
     /*  666900 */     // GIR_Coverage, 10341,
     /*  666900 */     GIR_EraseRootFromParent_Done,
     /*  666901 */   // Label 10644: @666901
     /*  666901 */   GIM_Try, /*On fail goto*//*Label 10645*/ GIMT_Encode4(666976), // Rule ID 10344 //
     /*  666906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  666909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  666917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  666920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  666923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  666926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666952 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  666952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  666955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666974 */     GIR_RootConstrainSelectedInstOperands,
     /*  666975 */     // GIR_Coverage, 10344,
     /*  666975 */     GIR_EraseRootFromParent_Done,
     /*  666976 */   // Label 10645: @666976
     /*  666976 */   GIM_Try, /*On fail goto*//*Label 10646*/ GIMT_Encode4(667051), // Rule ID 10345 //
     /*  666981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  666992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  666995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  666998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  667001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667027 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  667027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  667030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667049 */     GIR_RootConstrainSelectedInstOperands,
     /*  667050 */     // GIR_Coverage, 10345,
     /*  667050 */     GIR_EraseRootFromParent_Done,
     /*  667051 */   // Label 10646: @667051
     /*  667051 */   GIM_Try, /*On fail goto*//*Label 10647*/ GIMT_Encode4(667126), // Rule ID 10348 //
     /*  667056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  667067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  667070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  667073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667102 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  667105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667124 */     GIR_RootConstrainSelectedInstOperands,
     /*  667125 */     // GIR_Coverage, 10348,
     /*  667125 */     GIR_EraseRootFromParent_Done,
     /*  667126 */   // Label 10647: @667126
     /*  667126 */   GIM_Try, /*On fail goto*//*Label 10648*/ GIMT_Encode4(667201), // Rule ID 10349 //
     /*  667131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  667142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  667145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  667148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667177 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  667180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667199 */     GIR_RootConstrainSelectedInstOperands,
     /*  667200 */     // GIR_Coverage, 10349,
     /*  667200 */     GIR_EraseRootFromParent_Done,
     /*  667201 */   // Label 10648: @667201
     /*  667201 */   GIM_Try, /*On fail goto*//*Label 10649*/ GIMT_Encode4(667276), // Rule ID 10352 //
     /*  667206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  667217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  667220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  667223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667252 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  667255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667274 */     GIR_RootConstrainSelectedInstOperands,
     /*  667275 */     // GIR_Coverage, 10352,
     /*  667275 */     GIR_EraseRootFromParent_Done,
     /*  667276 */   // Label 10649: @667276
     /*  667276 */   GIM_Try, /*On fail goto*//*Label 10650*/ GIMT_Encode4(667351), // Rule ID 10353 //
     /*  667281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  667292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  667295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  667298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667327 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  667330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667349 */     GIR_RootConstrainSelectedInstOperands,
     /*  667350 */     // GIR_Coverage, 10353,
     /*  667350 */     GIR_EraseRootFromParent_Done,
     /*  667351 */   // Label 10650: @667351
     /*  667351 */   GIM_Try, /*On fail goto*//*Label 10651*/ GIMT_Encode4(667426), // Rule ID 10356 //
     /*  667356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  667367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  667370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  667373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667402 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667424 */     GIR_RootConstrainSelectedInstOperands,
     /*  667425 */     // GIR_Coverage, 10356,
     /*  667425 */     GIR_EraseRootFromParent_Done,
     /*  667426 */   // Label 10651: @667426
     /*  667426 */   GIM_Try, /*On fail goto*//*Label 10652*/ GIMT_Encode4(667501), // Rule ID 10357 //
     /*  667431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  667442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  667445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  667448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667477 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667499 */     GIR_RootConstrainSelectedInstOperands,
     /*  667500 */     // GIR_Coverage, 10357,
     /*  667500 */     GIR_EraseRootFromParent_Done,
     /*  667501 */   // Label 10652: @667501
     /*  667501 */   GIM_Try, /*On fail goto*//*Label 10653*/ GIMT_Encode4(667576), // Rule ID 10360 //
     /*  667506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  667517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  667520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  667523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  667555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667574 */     GIR_RootConstrainSelectedInstOperands,
     /*  667575 */     // GIR_Coverage, 10360,
     /*  667575 */     GIR_EraseRootFromParent_Done,
     /*  667576 */   // Label 10653: @667576
     /*  667576 */   GIM_Try, /*On fail goto*//*Label 10654*/ GIMT_Encode4(667651), // Rule ID 10361 //
     /*  667581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  667592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  667595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  667598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667627 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  667630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667649 */     GIR_RootConstrainSelectedInstOperands,
     /*  667650 */     // GIR_Coverage, 10361,
     /*  667650 */     GIR_EraseRootFromParent_Done,
     /*  667651 */   // Label 10654: @667651
     /*  667651 */   GIM_Try, /*On fail goto*//*Label 10655*/ GIMT_Encode4(667726), // Rule ID 10364 //
     /*  667656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  667667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  667670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  667673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667702 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667724 */     GIR_RootConstrainSelectedInstOperands,
     /*  667725 */     // GIR_Coverage, 10364,
     /*  667725 */     GIR_EraseRootFromParent_Done,
     /*  667726 */   // Label 10655: @667726
     /*  667726 */   GIM_Try, /*On fail goto*//*Label 10656*/ GIMT_Encode4(667801), // Rule ID 10365 //
     /*  667731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  667742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  667745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  667748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667777 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667799 */     GIR_RootConstrainSelectedInstOperands,
     /*  667800 */     // GIR_Coverage, 10365,
     /*  667800 */     GIR_EraseRootFromParent_Done,
     /*  667801 */   // Label 10656: @667801
     /*  667801 */   GIM_Try, /*On fail goto*//*Label 10657*/ GIMT_Encode4(667876), // Rule ID 10368 //
     /*  667806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  667817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  667820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  667823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667852 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667874 */     GIR_RootConstrainSelectedInstOperands,
     /*  667875 */     // GIR_Coverage, 10368,
     /*  667875 */     GIR_EraseRootFromParent_Done,
     /*  667876 */   // Label 10657: @667876
     /*  667876 */   GIM_Try, /*On fail goto*//*Label 10658*/ GIMT_Encode4(667951), // Rule ID 10369 //
     /*  667881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  667892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  667895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  667898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667927 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  667930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667949 */     GIR_RootConstrainSelectedInstOperands,
     /*  667950 */     // GIR_Coverage, 10369,
     /*  667950 */     GIR_EraseRootFromParent_Done,
     /*  667951 */   // Label 10658: @667951
     /*  667951 */   GIM_Try, /*On fail goto*//*Label 10659*/ GIMT_Encode4(668026), // Rule ID 10372 //
     /*  667956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  667967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  667970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  667973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  668005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668024 */     GIR_RootConstrainSelectedInstOperands,
     /*  668025 */     // GIR_Coverage, 10372,
     /*  668025 */     GIR_EraseRootFromParent_Done,
     /*  668026 */   // Label 10659: @668026
     /*  668026 */   GIM_Try, /*On fail goto*//*Label 10660*/ GIMT_Encode4(668101), // Rule ID 10373 //
     /*  668031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  668042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  668045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  668048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  668080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668099 */     GIR_RootConstrainSelectedInstOperands,
     /*  668100 */     // GIR_Coverage, 10373,
     /*  668100 */     GIR_EraseRootFromParent_Done,
     /*  668101 */   // Label 10660: @668101
     /*  668101 */   GIM_Try, /*On fail goto*//*Label 10661*/ GIMT_Encode4(668176), // Rule ID 10376 //
     /*  668106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  668117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  668120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  668123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  668155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668174 */     GIR_RootConstrainSelectedInstOperands,
     /*  668175 */     // GIR_Coverage, 10376,
     /*  668175 */     GIR_EraseRootFromParent_Done,
     /*  668176 */   // Label 10661: @668176
     /*  668176 */   GIM_Try, /*On fail goto*//*Label 10662*/ GIMT_Encode4(668251), // Rule ID 10377 //
     /*  668181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  668192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  668195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  668198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668227 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  668230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668249 */     GIR_RootConstrainSelectedInstOperands,
     /*  668250 */     // GIR_Coverage, 10377,
     /*  668250 */     GIR_EraseRootFromParent_Done,
     /*  668251 */   // Label 10662: @668251
     /*  668251 */   GIM_Try, /*On fail goto*//*Label 10663*/ GIMT_Encode4(668326), // Rule ID 10380 //
     /*  668256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  668267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  668270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  668273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  668305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668324 */     GIR_RootConstrainSelectedInstOperands,
     /*  668325 */     // GIR_Coverage, 10380,
     /*  668325 */     GIR_EraseRootFromParent_Done,
     /*  668326 */   // Label 10663: @668326
     /*  668326 */   GIM_Try, /*On fail goto*//*Label 10664*/ GIMT_Encode4(668401), // Rule ID 10381 //
     /*  668331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  668342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  668345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  668348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  668380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668399 */     GIR_RootConstrainSelectedInstOperands,
     /*  668400 */     // GIR_Coverage, 10381,
     /*  668400 */     GIR_EraseRootFromParent_Done,
     /*  668401 */   // Label 10664: @668401
     /*  668401 */   GIM_Try, /*On fail goto*//*Label 10665*/ GIMT_Encode4(668476), // Rule ID 10384 //
     /*  668406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  668409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  668417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  668420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  668423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  668452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  668455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668474 */     GIR_RootConstrainSelectedInstOperands,
     /*  668475 */     // GIR_Coverage, 10384,
     /*  668475 */     GIR_EraseRootFromParent_Done,
     /*  668476 */   // Label 10665: @668476
     /*  668476 */   GIM_Try, /*On fail goto*//*Label 10666*/ GIMT_Encode4(668551), // Rule ID 10385 //
     /*  668481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  668484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  668492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  668495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  668498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  668527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  668530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668549 */     GIR_RootConstrainSelectedInstOperands,
     /*  668550 */     // GIR_Coverage, 10385,
     /*  668550 */     GIR_EraseRootFromParent_Done,
     /*  668551 */   // Label 10666: @668551
     /*  668551 */   GIM_Try, /*On fail goto*//*Label 10667*/ GIMT_Encode4(668626), // Rule ID 10388 //
     /*  668556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  668567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  668570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  668573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668602 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668624 */     GIR_RootConstrainSelectedInstOperands,
     /*  668625 */     // GIR_Coverage, 10388,
     /*  668625 */     GIR_EraseRootFromParent_Done,
     /*  668626 */   // Label 10667: @668626
     /*  668626 */   GIM_Try, /*On fail goto*//*Label 10668*/ GIMT_Encode4(668701), // Rule ID 10389 //
     /*  668631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  668642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  668645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  668648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668677 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668699 */     GIR_RootConstrainSelectedInstOperands,
     /*  668700 */     // GIR_Coverage, 10389,
     /*  668700 */     GIR_EraseRootFromParent_Done,
     /*  668701 */   // Label 10668: @668701
     /*  668701 */   GIM_Try, /*On fail goto*//*Label 10669*/ GIMT_Encode4(668776), // Rule ID 10392 //
     /*  668706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  668717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  668720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  668723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668752 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668774 */     GIR_RootConstrainSelectedInstOperands,
     /*  668775 */     // GIR_Coverage, 10392,
     /*  668775 */     GIR_EraseRootFromParent_Done,
     /*  668776 */   // Label 10669: @668776
     /*  668776 */   GIM_Try, /*On fail goto*//*Label 10670*/ GIMT_Encode4(668851), // Rule ID 10393 //
     /*  668781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  668792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  668795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  668798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668827 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668849 */     GIR_RootConstrainSelectedInstOperands,
     /*  668850 */     // GIR_Coverage, 10393,
     /*  668850 */     GIR_EraseRootFromParent_Done,
     /*  668851 */   // Label 10670: @668851
     /*  668851 */   GIM_Try, /*On fail goto*//*Label 10671*/ GIMT_Encode4(668926), // Rule ID 10396 //
     /*  668856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  668867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  668870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  668873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668902 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668924 */     GIR_RootConstrainSelectedInstOperands,
     /*  668925 */     // GIR_Coverage, 10396,
     /*  668925 */     GIR_EraseRootFromParent_Done,
     /*  668926 */   // Label 10671: @668926
     /*  668926 */   GIM_Try, /*On fail goto*//*Label 10672*/ GIMT_Encode4(669001), // Rule ID 10397 //
     /*  668931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  668942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  668945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  668948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668977 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668999 */     GIR_RootConstrainSelectedInstOperands,
     /*  669000 */     // GIR_Coverage, 10397,
     /*  669000 */     GIR_EraseRootFromParent_Done,
     /*  669001 */   // Label 10672: @669001
     /*  669001 */   GIM_Try, /*On fail goto*//*Label 10673*/ GIMT_Encode4(669076), // Rule ID 10400 //
     /*  669006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  669017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  669020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  669023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669052 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  669055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669074 */     GIR_RootConstrainSelectedInstOperands,
     /*  669075 */     // GIR_Coverage, 10400,
     /*  669075 */     GIR_EraseRootFromParent_Done,
     /*  669076 */   // Label 10673: @669076
     /*  669076 */   GIM_Try, /*On fail goto*//*Label 10674*/ GIMT_Encode4(669151), // Rule ID 10401 //
     /*  669081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  669092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  669095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  669098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669127 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  669130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669149 */     GIR_RootConstrainSelectedInstOperands,
     /*  669150 */     // GIR_Coverage, 10401,
     /*  669150 */     GIR_EraseRootFromParent_Done,
     /*  669151 */   // Label 10674: @669151
     /*  669151 */   GIM_Try, /*On fail goto*//*Label 10675*/ GIMT_Encode4(669226), // Rule ID 10404 //
     /*  669156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  669167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  669170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  669173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669224 */     GIR_RootConstrainSelectedInstOperands,
     /*  669225 */     // GIR_Coverage, 10404,
     /*  669225 */     GIR_EraseRootFromParent_Done,
     /*  669226 */   // Label 10675: @669226
     /*  669226 */   GIM_Try, /*On fail goto*//*Label 10676*/ GIMT_Encode4(669301), // Rule ID 10405 //
     /*  669231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  669242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  669245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  669248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669277 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669299 */     GIR_RootConstrainSelectedInstOperands,
     /*  669300 */     // GIR_Coverage, 10405,
     /*  669300 */     GIR_EraseRootFromParent_Done,
     /*  669301 */   // Label 10676: @669301
     /*  669301 */   GIM_Try, /*On fail goto*//*Label 10677*/ GIMT_Encode4(669376), // Rule ID 10408 //
     /*  669306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  669317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  669320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  669323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669352 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669374 */     GIR_RootConstrainSelectedInstOperands,
     /*  669375 */     // GIR_Coverage, 10408,
     /*  669375 */     GIR_EraseRootFromParent_Done,
     /*  669376 */   // Label 10677: @669376
     /*  669376 */   GIM_Try, /*On fail goto*//*Label 10678*/ GIMT_Encode4(669451), // Rule ID 10409 //
     /*  669381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  669392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  669395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  669398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669427 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669449 */     GIR_RootConstrainSelectedInstOperands,
     /*  669450 */     // GIR_Coverage, 10409,
     /*  669450 */     GIR_EraseRootFromParent_Done,
     /*  669451 */   // Label 10678: @669451
     /*  669451 */   GIM_Try, /*On fail goto*//*Label 10679*/ GIMT_Encode4(669526), // Rule ID 10412 //
     /*  669456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  669467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  669470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  669473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  669505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669524 */     GIR_RootConstrainSelectedInstOperands,
     /*  669525 */     // GIR_Coverage, 10412,
     /*  669525 */     GIR_EraseRootFromParent_Done,
     /*  669526 */   // Label 10679: @669526
     /*  669526 */   GIM_Try, /*On fail goto*//*Label 10680*/ GIMT_Encode4(669601), // Rule ID 10413 //
     /*  669531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  669542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  669545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  669548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  669580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669599 */     GIR_RootConstrainSelectedInstOperands,
     /*  669600 */     // GIR_Coverage, 10413,
     /*  669600 */     GIR_EraseRootFromParent_Done,
     /*  669601 */   // Label 10680: @669601
     /*  669601 */   GIM_Try, /*On fail goto*//*Label 10681*/ GIMT_Encode4(669676), // Rule ID 10416 //
     /*  669606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  669617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  669620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  669623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669652 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669674 */     GIR_RootConstrainSelectedInstOperands,
     /*  669675 */     // GIR_Coverage, 10416,
     /*  669675 */     GIR_EraseRootFromParent_Done,
     /*  669676 */   // Label 10681: @669676
     /*  669676 */   GIM_Try, /*On fail goto*//*Label 10682*/ GIMT_Encode4(669751), // Rule ID 10417 //
     /*  669681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  669692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  669695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  669698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669749 */     GIR_RootConstrainSelectedInstOperands,
     /*  669750 */     // GIR_Coverage, 10417,
     /*  669750 */     GIR_EraseRootFromParent_Done,
     /*  669751 */   // Label 10682: @669751
     /*  669751 */   GIM_Try, /*On fail goto*//*Label 10683*/ GIMT_Encode4(669826), // Rule ID 10420 //
     /*  669756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  669767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  669770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  669773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669802 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669824 */     GIR_RootConstrainSelectedInstOperands,
     /*  669825 */     // GIR_Coverage, 10420,
     /*  669825 */     GIR_EraseRootFromParent_Done,
     /*  669826 */   // Label 10683: @669826
     /*  669826 */   GIM_Try, /*On fail goto*//*Label 10684*/ GIMT_Encode4(669901), // Rule ID 10421 //
     /*  669831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  669842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  669845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  669848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669877 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669899 */     GIR_RootConstrainSelectedInstOperands,
     /*  669900 */     // GIR_Coverage, 10421,
     /*  669900 */     GIR_EraseRootFromParent_Done,
     /*  669901 */   // Label 10684: @669901
     /*  669901 */   GIM_Try, /*On fail goto*//*Label 10685*/ GIMT_Encode4(669976), // Rule ID 10424 //
     /*  669906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  669917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  669920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  669923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669952 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  669955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669974 */     GIR_RootConstrainSelectedInstOperands,
     /*  669975 */     // GIR_Coverage, 10424,
     /*  669975 */     GIR_EraseRootFromParent_Done,
     /*  669976 */   // Label 10685: @669976
     /*  669976 */   GIM_Try, /*On fail goto*//*Label 10686*/ GIMT_Encode4(670051), // Rule ID 10425 //
     /*  669981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  669992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  669995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  669998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  670001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670027 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  670030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670049 */     GIR_RootConstrainSelectedInstOperands,
     /*  670050 */     // GIR_Coverage, 10425,
     /*  670050 */     GIR_EraseRootFromParent_Done,
     /*  670051 */   // Label 10686: @670051
     /*  670051 */   GIM_Try, /*On fail goto*//*Label 10687*/ GIMT_Encode4(670126), // Rule ID 10428 //
     /*  670056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  670067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  670070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  670073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  670076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670102 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  670105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670124 */     GIR_RootConstrainSelectedInstOperands,
     /*  670125 */     // GIR_Coverage, 10428,
     /*  670125 */     GIR_EraseRootFromParent_Done,
     /*  670126 */   // Label 10687: @670126
     /*  670126 */   GIM_Try, /*On fail goto*//*Label 10688*/ GIMT_Encode4(670201), // Rule ID 10429 //
     /*  670131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  670142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  670145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  670148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  670151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670177 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  670180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670199 */     GIR_RootConstrainSelectedInstOperands,
     /*  670200 */     // GIR_Coverage, 10429,
     /*  670200 */     GIR_EraseRootFromParent_Done,
     /*  670201 */   // Label 10688: @670201
     /*  670201 */   GIM_Try, /*On fail goto*//*Label 10689*/ GIMT_Encode4(670276), // Rule ID 10432 //
     /*  670206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  670217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  670220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  670223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  670226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670252 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  670255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670274 */     GIR_RootConstrainSelectedInstOperands,
     /*  670275 */     // GIR_Coverage, 10432,
     /*  670275 */     GIR_EraseRootFromParent_Done,
     /*  670276 */   // Label 10689: @670276
     /*  670276 */   GIM_Try, /*On fail goto*//*Label 10690*/ GIMT_Encode4(670351), // Rule ID 10433 //
     /*  670281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  670292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  670295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  670298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  670301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670327 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  670330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670349 */     GIR_RootConstrainSelectedInstOperands,
     /*  670350 */     // GIR_Coverage, 10433,
     /*  670350 */     GIR_EraseRootFromParent_Done,
     /*  670351 */   // Label 10690: @670351
     /*  670351 */   GIM_Try, /*On fail goto*//*Label 10691*/ GIMT_Encode4(670426), // Rule ID 10436 //
     /*  670356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  670367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  670370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  670373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  670376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670402 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  670405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670424 */     GIR_RootConstrainSelectedInstOperands,
     /*  670425 */     // GIR_Coverage, 10436,
     /*  670425 */     GIR_EraseRootFromParent_Done,
     /*  670426 */   // Label 10691: @670426
     /*  670426 */   GIM_Try, /*On fail goto*//*Label 10692*/ GIMT_Encode4(670501), // Rule ID 10437 //
     /*  670431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  670442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  670445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  670448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  670451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670477 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  670480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670499 */     GIR_RootConstrainSelectedInstOperands,
     /*  670500 */     // GIR_Coverage, 10437,
     /*  670500 */     GIR_EraseRootFromParent_Done,
     /*  670501 */   // Label 10692: @670501
     /*  670501 */   GIM_Try, /*On fail goto*//*Label 10693*/ GIMT_Encode4(670576), // Rule ID 10440 //
     /*  670506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  670517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  670520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  670523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  670526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670552 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  670555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670574 */     GIR_RootConstrainSelectedInstOperands,
     /*  670575 */     // GIR_Coverage, 10440,
     /*  670575 */     GIR_EraseRootFromParent_Done,
     /*  670576 */   // Label 10693: @670576
     /*  670576 */   GIM_Try, /*On fail goto*//*Label 10694*/ GIMT_Encode4(670651), // Rule ID 10441 //
     /*  670581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  670592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  670595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  670598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  670601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670627 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  670630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670649 */     GIR_RootConstrainSelectedInstOperands,
     /*  670650 */     // GIR_Coverage, 10441,
     /*  670650 */     GIR_EraseRootFromParent_Done,
     /*  670651 */   // Label 10694: @670651
     /*  670651 */   GIM_Try, /*On fail goto*//*Label 10695*/ GIMT_Encode4(670726), // Rule ID 10444 //
     /*  670656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  670667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  670670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  670673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  670676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670702 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670724 */     GIR_RootConstrainSelectedInstOperands,
     /*  670725 */     // GIR_Coverage, 10444,
     /*  670725 */     GIR_EraseRootFromParent_Done,
     /*  670726 */   // Label 10695: @670726
     /*  670726 */   GIM_Try, /*On fail goto*//*Label 10696*/ GIMT_Encode4(670801), // Rule ID 10445 //
     /*  670731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  670742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  670745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  670748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  670751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670777 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670799 */     GIR_RootConstrainSelectedInstOperands,
     /*  670800 */     // GIR_Coverage, 10445,
     /*  670800 */     GIR_EraseRootFromParent_Done,
     /*  670801 */   // Label 10696: @670801
     /*  670801 */   GIM_Try, /*On fail goto*//*Label 10697*/ GIMT_Encode4(670876), // Rule ID 10448 //
     /*  670806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  670817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  670820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  670823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  670826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  670855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670874 */     GIR_RootConstrainSelectedInstOperands,
     /*  670875 */     // GIR_Coverage, 10448,
     /*  670875 */     GIR_EraseRootFromParent_Done,
     /*  670876 */   // Label 10697: @670876
     /*  670876 */   GIM_Try, /*On fail goto*//*Label 10698*/ GIMT_Encode4(670951), // Rule ID 10449 //
     /*  670881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  670892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  670895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  670898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  670901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670927 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  670930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670949 */     GIR_RootConstrainSelectedInstOperands,
     /*  670950 */     // GIR_Coverage, 10449,
     /*  670950 */     GIR_EraseRootFromParent_Done,
     /*  670951 */   // Label 10698: @670951
     /*  670951 */   GIM_Try, /*On fail goto*//*Label 10699*/ GIMT_Encode4(671026), // Rule ID 10452 //
     /*  670956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  670967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  670970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  670973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  670976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671002 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  671005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671024 */     GIR_RootConstrainSelectedInstOperands,
     /*  671025 */     // GIR_Coverage, 10452,
     /*  671025 */     GIR_EraseRootFromParent_Done,
     /*  671026 */   // Label 10699: @671026
     /*  671026 */   GIM_Try, /*On fail goto*//*Label 10700*/ GIMT_Encode4(671101), // Rule ID 10453 //
     /*  671031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  671042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  671045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  671048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  671051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671077 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  671080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671099 */     GIR_RootConstrainSelectedInstOperands,
     /*  671100 */     // GIR_Coverage, 10453,
     /*  671100 */     GIR_EraseRootFromParent_Done,
     /*  671101 */   // Label 10700: @671101
     /*  671101 */   GIM_Try, /*On fail goto*//*Label 10701*/ GIMT_Encode4(671176), // Rule ID 10456 //
     /*  671106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  671117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  671120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  671123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  671126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  671155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671174 */     GIR_RootConstrainSelectedInstOperands,
     /*  671175 */     // GIR_Coverage, 10456,
     /*  671175 */     GIR_EraseRootFromParent_Done,
     /*  671176 */   // Label 10701: @671176
     /*  671176 */   GIM_Try, /*On fail goto*//*Label 10702*/ GIMT_Encode4(671251), // Rule ID 10457 //
     /*  671181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  671192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  671195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  671198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  671201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  671230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671249 */     GIR_RootConstrainSelectedInstOperands,
     /*  671250 */     // GIR_Coverage, 10457,
     /*  671250 */     GIR_EraseRootFromParent_Done,
     /*  671251 */   // Label 10702: @671251
     /*  671251 */   GIM_Try, /*On fail goto*//*Label 10703*/ GIMT_Encode4(671326), // Rule ID 10460 //
     /*  671256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  671267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  671270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  671273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  671276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671324 */     GIR_RootConstrainSelectedInstOperands,
     /*  671325 */     // GIR_Coverage, 10460,
     /*  671325 */     GIR_EraseRootFromParent_Done,
     /*  671326 */   // Label 10703: @671326
     /*  671326 */   GIM_Try, /*On fail goto*//*Label 10704*/ GIMT_Encode4(671401), // Rule ID 10461 //
     /*  671331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  671342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  671345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  671348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  671351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671399 */     GIR_RootConstrainSelectedInstOperands,
     /*  671400 */     // GIR_Coverage, 10461,
     /*  671400 */     GIR_EraseRootFromParent_Done,
     /*  671401 */   // Label 10704: @671401
     /*  671401 */   GIM_Try, /*On fail goto*//*Label 10705*/ GIMT_Encode4(671476), // Rule ID 10464 //
     /*  671406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  671417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  671420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  671423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  671426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671474 */     GIR_RootConstrainSelectedInstOperands,
     /*  671475 */     // GIR_Coverage, 10464,
     /*  671475 */     GIR_EraseRootFromParent_Done,
     /*  671476 */   // Label 10705: @671476
     /*  671476 */   GIM_Try, /*On fail goto*//*Label 10706*/ GIMT_Encode4(671551), // Rule ID 10465 //
     /*  671481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  671492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  671495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  671498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  671501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671549 */     GIR_RootConstrainSelectedInstOperands,
     /*  671550 */     // GIR_Coverage, 10465,
     /*  671550 */     GIR_EraseRootFromParent_Done,
     /*  671551 */   // Label 10706: @671551
     /*  671551 */   GIM_Try, /*On fail goto*//*Label 10707*/ GIMT_Encode4(671626), // Rule ID 10468 //
     /*  671556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  671567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  671570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  671573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  671576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671624 */     GIR_RootConstrainSelectedInstOperands,
     /*  671625 */     // GIR_Coverage, 10468,
     /*  671625 */     GIR_EraseRootFromParent_Done,
     /*  671626 */   // Label 10707: @671626
     /*  671626 */   GIM_Try, /*On fail goto*//*Label 10708*/ GIMT_Encode4(671701), // Rule ID 10469 //
     /*  671631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  671642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  671645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  671648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  671651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671699 */     GIR_RootConstrainSelectedInstOperands,
     /*  671700 */     // GIR_Coverage, 10469,
     /*  671700 */     GIR_EraseRootFromParent_Done,
     /*  671701 */   // Label 10708: @671701
     /*  671701 */   GIM_Try, /*On fail goto*//*Label 10709*/ GIMT_Encode4(671776), // Rule ID 10472 //
     /*  671706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  671709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  671717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  671720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  671723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  671726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  671752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671774 */     GIR_RootConstrainSelectedInstOperands,
     /*  671775 */     // GIR_Coverage, 10472,
     /*  671775 */     GIR_EraseRootFromParent_Done,
     /*  671776 */   // Label 10709: @671776
     /*  671776 */   GIM_Try, /*On fail goto*//*Label 10710*/ GIMT_Encode4(671851), // Rule ID 10473 //
     /*  671781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  671784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  671792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  671795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  671798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  671801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  671827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  671830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671849 */     GIR_RootConstrainSelectedInstOperands,
     /*  671850 */     // GIR_Coverage, 10473,
     /*  671850 */     GIR_EraseRootFromParent_Done,
     /*  671851 */   // Label 10710: @671851
     /*  671851 */   GIM_Try, /*On fail goto*//*Label 10711*/ GIMT_Encode4(671926), // Rule ID 10476 //
     /*  671856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  671867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  671870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  671873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  671876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671902 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671924 */     GIR_RootConstrainSelectedInstOperands,
     /*  671925 */     // GIR_Coverage, 10476,
     /*  671925 */     GIR_EraseRootFromParent_Done,
     /*  671926 */   // Label 10711: @671926
     /*  671926 */   GIM_Try, /*On fail goto*//*Label 10712*/ GIMT_Encode4(672001), // Rule ID 10477 //
     /*  671931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  671942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  671945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  671948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  671951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671977 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671999 */     GIR_RootConstrainSelectedInstOperands,
     /*  672000 */     // GIR_Coverage, 10477,
     /*  672000 */     GIR_EraseRootFromParent_Done,
     /*  672001 */   // Label 10712: @672001
     /*  672001 */   GIM_Try, /*On fail goto*//*Label 10713*/ GIMT_Encode4(672076), // Rule ID 10480 //
     /*  672006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  672017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  672020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  672023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  672026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672052 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672074 */     GIR_RootConstrainSelectedInstOperands,
     /*  672075 */     // GIR_Coverage, 10480,
     /*  672075 */     GIR_EraseRootFromParent_Done,
     /*  672076 */   // Label 10713: @672076
     /*  672076 */   GIM_Try, /*On fail goto*//*Label 10714*/ GIMT_Encode4(672151), // Rule ID 10481 //
     /*  672081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  672092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  672095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  672098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  672101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672127 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672149 */     GIR_RootConstrainSelectedInstOperands,
     /*  672150 */     // GIR_Coverage, 10481,
     /*  672150 */     GIR_EraseRootFromParent_Done,
     /*  672151 */   // Label 10714: @672151
     /*  672151 */   GIM_Try, /*On fail goto*//*Label 10715*/ GIMT_Encode4(672226), // Rule ID 10484 //
     /*  672156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  672167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  672170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  672173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  672176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672202 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672224 */     GIR_RootConstrainSelectedInstOperands,
     /*  672225 */     // GIR_Coverage, 10484,
     /*  672225 */     GIR_EraseRootFromParent_Done,
     /*  672226 */   // Label 10715: @672226
     /*  672226 */   GIM_Try, /*On fail goto*//*Label 10716*/ GIMT_Encode4(672301), // Rule ID 10485 //
     /*  672231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  672242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  672245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  672248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  672251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672277 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672299 */     GIR_RootConstrainSelectedInstOperands,
     /*  672300 */     // GIR_Coverage, 10485,
     /*  672300 */     GIR_EraseRootFromParent_Done,
     /*  672301 */   // Label 10716: @672301
     /*  672301 */   GIM_Try, /*On fail goto*//*Label 10717*/ GIMT_Encode4(672376), // Rule ID 10488 //
     /*  672306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  672317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  672320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  672323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  672326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672352 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672374 */     GIR_RootConstrainSelectedInstOperands,
     /*  672375 */     // GIR_Coverage, 10488,
     /*  672375 */     GIR_EraseRootFromParent_Done,
     /*  672376 */   // Label 10717: @672376
     /*  672376 */   GIM_Try, /*On fail goto*//*Label 10718*/ GIMT_Encode4(672451), // Rule ID 10489 //
     /*  672381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  672392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  672395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  672398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  672401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672427 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672449 */     GIR_RootConstrainSelectedInstOperands,
     /*  672450 */     // GIR_Coverage, 10489,
     /*  672450 */     GIR_EraseRootFromParent_Done,
     /*  672451 */   // Label 10718: @672451
     /*  672451 */   GIM_Try, /*On fail goto*//*Label 10719*/ GIMT_Encode4(672526), // Rule ID 10492 //
     /*  672456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  672467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  672470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  672473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  672476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672502 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672524 */     GIR_RootConstrainSelectedInstOperands,
     /*  672525 */     // GIR_Coverage, 10492,
     /*  672525 */     GIR_EraseRootFromParent_Done,
     /*  672526 */   // Label 10719: @672526
     /*  672526 */   GIM_Try, /*On fail goto*//*Label 10720*/ GIMT_Encode4(672601), // Rule ID 10493 //
     /*  672531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  672542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  672545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  672548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  672551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672577 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672599 */     GIR_RootConstrainSelectedInstOperands,
     /*  672600 */     // GIR_Coverage, 10493,
     /*  672600 */     GIR_EraseRootFromParent_Done,
     /*  672601 */   // Label 10720: @672601
     /*  672601 */   GIM_Try, /*On fail goto*//*Label 10721*/ GIMT_Encode4(672676), // Rule ID 10496 //
     /*  672606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  672617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  672620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  672623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  672626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672674 */     GIR_RootConstrainSelectedInstOperands,
     /*  672675 */     // GIR_Coverage, 10496,
     /*  672675 */     GIR_EraseRootFromParent_Done,
     /*  672676 */   // Label 10721: @672676
     /*  672676 */   GIM_Try, /*On fail goto*//*Label 10722*/ GIMT_Encode4(672751), // Rule ID 10497 //
     /*  672681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  672692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  672695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  672698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  672701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672727 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672749 */     GIR_RootConstrainSelectedInstOperands,
     /*  672750 */     // GIR_Coverage, 10497,
     /*  672750 */     GIR_EraseRootFromParent_Done,
     /*  672751 */   // Label 10722: @672751
     /*  672751 */   GIM_Try, /*On fail goto*//*Label 10723*/ GIMT_Encode4(672826), // Rule ID 10500 //
     /*  672756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  672767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  672770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  672773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  672776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672824 */     GIR_RootConstrainSelectedInstOperands,
     /*  672825 */     // GIR_Coverage, 10500,
     /*  672825 */     GIR_EraseRootFromParent_Done,
     /*  672826 */   // Label 10723: @672826
     /*  672826 */   GIM_Try, /*On fail goto*//*Label 10724*/ GIMT_Encode4(672901), // Rule ID 10501 //
     /*  672831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  672842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  672845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  672848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  672851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672877 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672899 */     GIR_RootConstrainSelectedInstOperands,
     /*  672900 */     // GIR_Coverage, 10501,
     /*  672900 */     GIR_EraseRootFromParent_Done,
     /*  672901 */   // Label 10724: @672901
     /*  672901 */   GIM_Try, /*On fail goto*//*Label 10725*/ GIMT_Encode4(672976), // Rule ID 10504 //
     /*  672906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  672917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  672920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  672923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  672926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672952 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672974 */     GIR_RootConstrainSelectedInstOperands,
     /*  672975 */     // GIR_Coverage, 10504,
     /*  672975 */     GIR_EraseRootFromParent_Done,
     /*  672976 */   // Label 10725: @672976
     /*  672976 */   GIM_Try, /*On fail goto*//*Label 10726*/ GIMT_Encode4(673051), // Rule ID 10505 //
     /*  672981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  672992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  672995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  672998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  673001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  673030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673049 */     GIR_RootConstrainSelectedInstOperands,
     /*  673050 */     // GIR_Coverage, 10505,
     /*  673050 */     GIR_EraseRootFromParent_Done,
     /*  673051 */   // Label 10726: @673051
     /*  673051 */   GIM_Try, /*On fail goto*//*Label 10727*/ GIMT_Encode4(673126), // Rule ID 10508 //
     /*  673056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  673067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  673070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  673073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  673076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  673105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673124 */     GIR_RootConstrainSelectedInstOperands,
     /*  673125 */     // GIR_Coverage, 10508,
     /*  673125 */     GIR_EraseRootFromParent_Done,
     /*  673126 */   // Label 10727: @673126
     /*  673126 */   GIM_Try, /*On fail goto*//*Label 10728*/ GIMT_Encode4(673201), // Rule ID 10509 //
     /*  673131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  673142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  673145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  673148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  673151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673177 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  673180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673199 */     GIR_RootConstrainSelectedInstOperands,
     /*  673200 */     // GIR_Coverage, 10509,
     /*  673200 */     GIR_EraseRootFromParent_Done,
     /*  673201 */   // Label 10728: @673201
     /*  673201 */   GIM_Try, /*On fail goto*//*Label 10729*/ GIMT_Encode4(673276), // Rule ID 10512 //
     /*  673206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  673217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  673220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  673223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  673226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  673255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673274 */     GIR_RootConstrainSelectedInstOperands,
     /*  673275 */     // GIR_Coverage, 10512,
     /*  673275 */     GIR_EraseRootFromParent_Done,
     /*  673276 */   // Label 10729: @673276
     /*  673276 */   GIM_Try, /*On fail goto*//*Label 10730*/ GIMT_Encode4(673351), // Rule ID 10513 //
     /*  673281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  673292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  673295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  673298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  673301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673327 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  673327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  673330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673349 */     GIR_RootConstrainSelectedInstOperands,
     /*  673350 */     // GIR_Coverage, 10513,
     /*  673350 */     GIR_EraseRootFromParent_Done,
     /*  673351 */   // Label 10730: @673351
     /*  673351 */   GIM_Try, /*On fail goto*//*Label 10731*/ GIMT_Encode4(673426), // Rule ID 10516 //
     /*  673356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  673367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  673370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  673373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  673376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  673405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673424 */     GIR_RootConstrainSelectedInstOperands,
     /*  673425 */     // GIR_Coverage, 10516,
     /*  673425 */     GIR_EraseRootFromParent_Done,
     /*  673426 */   // Label 10731: @673426
     /*  673426 */   GIM_Try, /*On fail goto*//*Label 10732*/ GIMT_Encode4(673501), // Rule ID 10517 //
     /*  673431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  673442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  673445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  673448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  673451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673477 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  673477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  673480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673499 */     GIR_RootConstrainSelectedInstOperands,
     /*  673500 */     // GIR_Coverage, 10517,
     /*  673500 */     GIR_EraseRootFromParent_Done,
     /*  673501 */   // Label 10732: @673501
     /*  673501 */   GIM_Try, /*On fail goto*//*Label 10733*/ GIMT_Encode4(673576), // Rule ID 10520 //
     /*  673506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  673517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  673520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  673523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  673526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673552 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  673555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673574 */     GIR_RootConstrainSelectedInstOperands,
     /*  673575 */     // GIR_Coverage, 10520,
     /*  673575 */     GIR_EraseRootFromParent_Done,
     /*  673576 */   // Label 10733: @673576
     /*  673576 */   GIM_Try, /*On fail goto*//*Label 10734*/ GIMT_Encode4(673651), // Rule ID 10521 //
     /*  673581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  673592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  673595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  673598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  673601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673627 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  673627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  673630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673649 */     GIR_RootConstrainSelectedInstOperands,
     /*  673650 */     // GIR_Coverage, 10521,
     /*  673650 */     GIR_EraseRootFromParent_Done,
     /*  673651 */   // Label 10734: @673651
     /*  673651 */   GIM_Try, /*On fail goto*//*Label 10735*/ GIMT_Encode4(673726), // Rule ID 10524 //
     /*  673656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  673667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  673670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  673673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673702 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  673705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673724 */     GIR_RootConstrainSelectedInstOperands,
     /*  673725 */     // GIR_Coverage, 10524,
     /*  673725 */     GIR_EraseRootFromParent_Done,
     /*  673726 */   // Label 10735: @673726
     /*  673726 */   GIM_Try, /*On fail goto*//*Label 10736*/ GIMT_Encode4(673801), // Rule ID 10525 //
     /*  673731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  673742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  673745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  673748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673777 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  673780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673799 */     GIR_RootConstrainSelectedInstOperands,
     /*  673800 */     // GIR_Coverage, 10525,
     /*  673800 */     GIR_EraseRootFromParent_Done,
     /*  673801 */   // Label 10736: @673801
     /*  673801 */   GIM_Try, /*On fail goto*//*Label 10737*/ GIMT_Encode4(673876), // Rule ID 10528 //
     /*  673806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  673817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  673820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  673823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673874 */     GIR_RootConstrainSelectedInstOperands,
     /*  673875 */     // GIR_Coverage, 10528,
     /*  673875 */     GIR_EraseRootFromParent_Done,
     /*  673876 */   // Label 10737: @673876
     /*  673876 */   GIM_Try, /*On fail goto*//*Label 10738*/ GIMT_Encode4(673951), // Rule ID 10529 //
     /*  673881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  673892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  673895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  673898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673927 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673949 */     GIR_RootConstrainSelectedInstOperands,
     /*  673950 */     // GIR_Coverage, 10529,
     /*  673950 */     GIR_EraseRootFromParent_Done,
     /*  673951 */   // Label 10738: @673951
     /*  673951 */   GIM_Try, /*On fail goto*//*Label 10739*/ GIMT_Encode4(674026), // Rule ID 10532 //
     /*  673956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  673967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  673970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  673973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674002 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  674005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674024 */     GIR_RootConstrainSelectedInstOperands,
     /*  674025 */     // GIR_Coverage, 10532,
     /*  674025 */     GIR_EraseRootFromParent_Done,
     /*  674026 */   // Label 10739: @674026
     /*  674026 */   GIM_Try, /*On fail goto*//*Label 10740*/ GIMT_Encode4(674101), // Rule ID 10533 //
     /*  674031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  674042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  674045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  674048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674077 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  674080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674099 */     GIR_RootConstrainSelectedInstOperands,
     /*  674100 */     // GIR_Coverage, 10533,
     /*  674100 */     GIR_EraseRootFromParent_Done,
     /*  674101 */   // Label 10740: @674101
     /*  674101 */   GIM_Try, /*On fail goto*//*Label 10741*/ GIMT_Encode4(674176), // Rule ID 10536 //
     /*  674106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  674117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  674120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  674123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  674155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674174 */     GIR_RootConstrainSelectedInstOperands,
     /*  674175 */     // GIR_Coverage, 10536,
     /*  674175 */     GIR_EraseRootFromParent_Done,
     /*  674176 */   // Label 10741: @674176
     /*  674176 */   GIM_Try, /*On fail goto*//*Label 10742*/ GIMT_Encode4(674251), // Rule ID 10537 //
     /*  674181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  674192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  674195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  674198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674227 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  674230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674249 */     GIR_RootConstrainSelectedInstOperands,
     /*  674250 */     // GIR_Coverage, 10537,
     /*  674250 */     GIR_EraseRootFromParent_Done,
     /*  674251 */   // Label 10742: @674251
     /*  674251 */   GIM_Try, /*On fail goto*//*Label 10743*/ GIMT_Encode4(674326), // Rule ID 10540 //
     /*  674256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  674267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  674270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  674273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674302 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  674305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674324 */     GIR_RootConstrainSelectedInstOperands,
     /*  674325 */     // GIR_Coverage, 10540,
     /*  674325 */     GIR_EraseRootFromParent_Done,
     /*  674326 */   // Label 10743: @674326
     /*  674326 */   GIM_Try, /*On fail goto*//*Label 10744*/ GIMT_Encode4(674401), // Rule ID 10541 //
     /*  674331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  674342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  674345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  674348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674377 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  674380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674399 */     GIR_RootConstrainSelectedInstOperands,
     /*  674400 */     // GIR_Coverage, 10541,
     /*  674400 */     GIR_EraseRootFromParent_Done,
     /*  674401 */   // Label 10744: @674401
     /*  674401 */   GIM_Try, /*On fail goto*//*Label 10745*/ GIMT_Encode4(674476), // Rule ID 10544 //
     /*  674406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  674417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  674420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  674423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  674452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  674455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674474 */     GIR_RootConstrainSelectedInstOperands,
     /*  674475 */     // GIR_Coverage, 10544,
     /*  674475 */     GIR_EraseRootFromParent_Done,
     /*  674476 */   // Label 10745: @674476
     /*  674476 */   GIM_Try, /*On fail goto*//*Label 10746*/ GIMT_Encode4(674551), // Rule ID 10545 //
     /*  674481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  674492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  674495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  674498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674527 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  674530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674549 */     GIR_RootConstrainSelectedInstOperands,
     /*  674550 */     // GIR_Coverage, 10545,
     /*  674550 */     GIR_EraseRootFromParent_Done,
     /*  674551 */   // Label 10746: @674551
     /*  674551 */   GIM_Try, /*On fail goto*//*Label 10747*/ GIMT_Encode4(674626), // Rule ID 10548 //
     /*  674556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  674567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  674570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  674573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674624 */     GIR_RootConstrainSelectedInstOperands,
     /*  674625 */     // GIR_Coverage, 10548,
     /*  674625 */     GIR_EraseRootFromParent_Done,
     /*  674626 */   // Label 10747: @674626
     /*  674626 */   GIM_Try, /*On fail goto*//*Label 10748*/ GIMT_Encode4(674701), // Rule ID 10549 //
     /*  674631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  674642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  674645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  674648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674699 */     GIR_RootConstrainSelectedInstOperands,
     /*  674700 */     // GIR_Coverage, 10549,
     /*  674700 */     GIR_EraseRootFromParent_Done,
     /*  674701 */   // Label 10748: @674701
     /*  674701 */   GIM_Try, /*On fail goto*//*Label 10749*/ GIMT_Encode4(674776), // Rule ID 10552 //
     /*  674706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  674717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  674720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  674723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674774 */     GIR_RootConstrainSelectedInstOperands,
     /*  674775 */     // GIR_Coverage, 10552,
     /*  674775 */     GIR_EraseRootFromParent_Done,
     /*  674776 */   // Label 10749: @674776
     /*  674776 */   GIM_Try, /*On fail goto*//*Label 10750*/ GIMT_Encode4(674851), // Rule ID 10553 //
     /*  674781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  674792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  674795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  674798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674849 */     GIR_RootConstrainSelectedInstOperands,
     /*  674850 */     // GIR_Coverage, 10553,
     /*  674850 */     GIR_EraseRootFromParent_Done,
     /*  674851 */   // Label 10750: @674851
     /*  674851 */   GIM_Try, /*On fail goto*//*Label 10751*/ GIMT_Encode4(674926), // Rule ID 10556 //
     /*  674856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  674867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  674870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  674873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  674902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674924 */     GIR_RootConstrainSelectedInstOperands,
     /*  674925 */     // GIR_Coverage, 10556,
     /*  674925 */     GIR_EraseRootFromParent_Done,
     /*  674926 */   // Label 10751: @674926
     /*  674926 */   GIM_Try, /*On fail goto*//*Label 10752*/ GIMT_Encode4(675001), // Rule ID 10557 //
     /*  674931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  674942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  674945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  674948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674999 */     GIR_RootConstrainSelectedInstOperands,
     /*  675000 */     // GIR_Coverage, 10557,
     /*  675000 */     GIR_EraseRootFromParent_Done,
     /*  675001 */   // Label 10752: @675001
     /*  675001 */   GIM_Try, /*On fail goto*//*Label 10753*/ GIMT_Encode4(675076), // Rule ID 10560 //
     /*  675006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  675017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  675020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  675023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  675055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675074 */     GIR_RootConstrainSelectedInstOperands,
     /*  675075 */     // GIR_Coverage, 10560,
     /*  675075 */     GIR_EraseRootFromParent_Done,
     /*  675076 */   // Label 10753: @675076
     /*  675076 */   GIM_Try, /*On fail goto*//*Label 10754*/ GIMT_Encode4(675151), // Rule ID 10561 //
     /*  675081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  675092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  675095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  675098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  675130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675149 */     GIR_RootConstrainSelectedInstOperands,
     /*  675150 */     // GIR_Coverage, 10561,
     /*  675150 */     GIR_EraseRootFromParent_Done,
     /*  675151 */   // Label 10754: @675151
     /*  675151 */   GIM_Try, /*On fail goto*//*Label 10755*/ GIMT_Encode4(675226), // Rule ID 10564 //
     /*  675156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  675167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  675170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  675173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675224 */     GIR_RootConstrainSelectedInstOperands,
     /*  675225 */     // GIR_Coverage, 10564,
     /*  675225 */     GIR_EraseRootFromParent_Done,
     /*  675226 */   // Label 10755: @675226
     /*  675226 */   GIM_Try, /*On fail goto*//*Label 10756*/ GIMT_Encode4(675301), // Rule ID 10565 //
     /*  675231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  675242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  675245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  675248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675277 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675299 */     GIR_RootConstrainSelectedInstOperands,
     /*  675300 */     // GIR_Coverage, 10565,
     /*  675300 */     GIR_EraseRootFromParent_Done,
     /*  675301 */   // Label 10756: @675301
     /*  675301 */   GIM_Try, /*On fail goto*//*Label 10757*/ GIMT_Encode4(675376), // Rule ID 10568 //
     /*  675306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  675317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  675320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  675323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675352 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675374 */     GIR_RootConstrainSelectedInstOperands,
     /*  675375 */     // GIR_Coverage, 10568,
     /*  675375 */     GIR_EraseRootFromParent_Done,
     /*  675376 */   // Label 10757: @675376
     /*  675376 */   GIM_Try, /*On fail goto*//*Label 10758*/ GIMT_Encode4(675451), // Rule ID 10569 //
     /*  675381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  675392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  675395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  675398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675427 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675449 */     GIR_RootConstrainSelectedInstOperands,
     /*  675450 */     // GIR_Coverage, 10569,
     /*  675450 */     GIR_EraseRootFromParent_Done,
     /*  675451 */   // Label 10758: @675451
     /*  675451 */   GIM_Try, /*On fail goto*//*Label 10759*/ GIMT_Encode4(675526), // Rule ID 10572 //
     /*  675456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  675467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  675470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  675473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675502 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675524 */     GIR_RootConstrainSelectedInstOperands,
     /*  675525 */     // GIR_Coverage, 10572,
     /*  675525 */     GIR_EraseRootFromParent_Done,
     /*  675526 */   // Label 10759: @675526
     /*  675526 */   GIM_Try, /*On fail goto*//*Label 10760*/ GIMT_Encode4(675601), // Rule ID 10573 //
     /*  675531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  675542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  675545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  675548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675577 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675599 */     GIR_RootConstrainSelectedInstOperands,
     /*  675600 */     // GIR_Coverage, 10573,
     /*  675600 */     GIR_EraseRootFromParent_Done,
     /*  675601 */   // Label 10760: @675601
     /*  675601 */   GIM_Try, /*On fail goto*//*Label 10761*/ GIMT_Encode4(675676), // Rule ID 10576 //
     /*  675606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  675617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  675620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  675623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675674 */     GIR_RootConstrainSelectedInstOperands,
     /*  675675 */     // GIR_Coverage, 10576,
     /*  675675 */     GIR_EraseRootFromParent_Done,
     /*  675676 */   // Label 10761: @675676
     /*  675676 */   GIM_Try, /*On fail goto*//*Label 10762*/ GIMT_Encode4(675751), // Rule ID 10577 //
     /*  675681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  675692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  675695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  675698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675727 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675749 */     GIR_RootConstrainSelectedInstOperands,
     /*  675750 */     // GIR_Coverage, 10577,
     /*  675750 */     GIR_EraseRootFromParent_Done,
     /*  675751 */   // Label 10762: @675751
     /*  675751 */   GIM_Try, /*On fail goto*//*Label 10763*/ GIMT_Encode4(675826), // Rule ID 10580 //
     /*  675756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  675767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  675770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  675773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675824 */     GIR_RootConstrainSelectedInstOperands,
     /*  675825 */     // GIR_Coverage, 10580,
     /*  675825 */     GIR_EraseRootFromParent_Done,
     /*  675826 */   // Label 10763: @675826
     /*  675826 */   GIM_Try, /*On fail goto*//*Label 10764*/ GIMT_Encode4(675901), // Rule ID 10581 //
     /*  675831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  675842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  675845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  675848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675877 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675899 */     GIR_RootConstrainSelectedInstOperands,
     /*  675900 */     // GIR_Coverage, 10581,
     /*  675900 */     GIR_EraseRootFromParent_Done,
     /*  675901 */   // Label 10764: @675901
     /*  675901 */   GIM_Try, /*On fail goto*//*Label 10765*/ GIMT_Encode4(675976), // Rule ID 10584 //
     /*  675906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  675917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  675920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  675923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675974 */     GIR_RootConstrainSelectedInstOperands,
     /*  675975 */     // GIR_Coverage, 10584,
     /*  675975 */     GIR_EraseRootFromParent_Done,
     /*  675976 */   // Label 10765: @675976
     /*  675976 */   GIM_Try, /*On fail goto*//*Label 10766*/ GIMT_Encode4(676051), // Rule ID 10585 //
     /*  675981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  675992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  675995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  675998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676027 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  676030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676049 */     GIR_RootConstrainSelectedInstOperands,
     /*  676050 */     // GIR_Coverage, 10585,
     /*  676050 */     GIR_EraseRootFromParent_Done,
     /*  676051 */   // Label 10766: @676051
     /*  676051 */   GIM_Try, /*On fail goto*//*Label 10767*/ GIMT_Encode4(676126), // Rule ID 10588 //
     /*  676056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  676067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  676070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  676073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  676076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  676105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676124 */     GIR_RootConstrainSelectedInstOperands,
     /*  676125 */     // GIR_Coverage, 10588,
     /*  676125 */     GIR_EraseRootFromParent_Done,
     /*  676126 */   // Label 10767: @676126
     /*  676126 */   GIM_Try, /*On fail goto*//*Label 10768*/ GIMT_Encode4(676201), // Rule ID 10589 //
     /*  676131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  676142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  676145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  676148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676177 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  676180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676199 */     GIR_RootConstrainSelectedInstOperands,
     /*  676200 */     // GIR_Coverage, 10589,
     /*  676200 */     GIR_EraseRootFromParent_Done,
     /*  676201 */   // Label 10768: @676201
     /*  676201 */   GIM_Try, /*On fail goto*//*Label 10769*/ GIMT_Encode4(676276), // Rule ID 10592 //
     /*  676206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  676217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  676220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  676223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  676226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676252 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  676255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676274 */     GIR_RootConstrainSelectedInstOperands,
     /*  676275 */     // GIR_Coverage, 10592,
     /*  676275 */     GIR_EraseRootFromParent_Done,
     /*  676276 */   // Label 10769: @676276
     /*  676276 */   GIM_Try, /*On fail goto*//*Label 10770*/ GIMT_Encode4(676351), // Rule ID 10593 //
     /*  676281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  676292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  676295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  676298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676327 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  676330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676349 */     GIR_RootConstrainSelectedInstOperands,
     /*  676350 */     // GIR_Coverage, 10593,
     /*  676350 */     GIR_EraseRootFromParent_Done,
     /*  676351 */   // Label 10770: @676351
     /*  676351 */   GIM_Try, /*On fail goto*//*Label 10771*/ GIMT_Encode4(676426), // Rule ID 10596 //
     /*  676356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  676367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  676370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  676373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  676376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  676405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676424 */     GIR_RootConstrainSelectedInstOperands,
     /*  676425 */     // GIR_Coverage, 10596,
     /*  676425 */     GIR_EraseRootFromParent_Done,
     /*  676426 */   // Label 10771: @676426
     /*  676426 */   GIM_Try, /*On fail goto*//*Label 10772*/ GIMT_Encode4(676501), // Rule ID 10597 //
     /*  676431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  676442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  676445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  676448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676477 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  676480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676499 */     GIR_RootConstrainSelectedInstOperands,
     /*  676500 */     // GIR_Coverage, 10597,
     /*  676500 */     GIR_EraseRootFromParent_Done,
     /*  676501 */   // Label 10772: @676501
     /*  676501 */   GIM_Try, /*On fail goto*//*Label 10773*/ GIMT_Encode4(676576), // Rule ID 10600 //
     /*  676506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  676509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  676517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  676520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  676523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  676526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  676555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676574 */     GIR_RootConstrainSelectedInstOperands,
     /*  676575 */     // GIR_Coverage, 10600,
     /*  676575 */     GIR_EraseRootFromParent_Done,
     /*  676576 */   // Label 10773: @676576
     /*  676576 */   GIM_Try, /*On fail goto*//*Label 10774*/ GIMT_Encode4(676651), // Rule ID 10601 //
     /*  676581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  676592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  676595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  676598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  676627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  676630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676649 */     GIR_RootConstrainSelectedInstOperands,
     /*  676650 */     // GIR_Coverage, 10601,
     /*  676650 */     GIR_EraseRootFromParent_Done,
     /*  676651 */   // Label 10774: @676651
     /*  676651 */   GIM_Try, /*On fail goto*//*Label 10775*/ GIMT_Encode4(676726), // Rule ID 10604 //
     /*  676656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  676659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  676667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  676670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  676673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  676676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  676705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676724 */     GIR_RootConstrainSelectedInstOperands,
     /*  676725 */     // GIR_Coverage, 10604,
     /*  676725 */     GIR_EraseRootFromParent_Done,
     /*  676726 */   // Label 10775: @676726
     /*  676726 */   GIM_Try, /*On fail goto*//*Label 10776*/ GIMT_Encode4(676801), // Rule ID 10605 //
     /*  676731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  676742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  676745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  676748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676777 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  676777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  676780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676799 */     GIR_RootConstrainSelectedInstOperands,
     /*  676800 */     // GIR_Coverage, 10605,
     /*  676800 */     GIR_EraseRootFromParent_Done,
     /*  676801 */   // Label 10776: @676801
     /*  676801 */   GIM_Try, /*On fail goto*//*Label 10777*/ GIMT_Encode4(676876), // Rule ID 10608 //
     /*  676806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  676809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  676817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  676820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  676823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  676826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  676855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676874 */     GIR_RootConstrainSelectedInstOperands,
     /*  676875 */     // GIR_Coverage, 10608,
     /*  676875 */     GIR_EraseRootFromParent_Done,
     /*  676876 */   // Label 10777: @676876
     /*  676876 */   GIM_Try, /*On fail goto*//*Label 10778*/ GIMT_Encode4(676951), // Rule ID 10609 //
     /*  676881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  676892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  676895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  676898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676927 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  676927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  676930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676949 */     GIR_RootConstrainSelectedInstOperands,
     /*  676950 */     // GIR_Coverage, 10609,
     /*  676950 */     GIR_EraseRootFromParent_Done,
     /*  676951 */   // Label 10778: @676951
     /*  676951 */   GIM_Try, /*On fail goto*//*Label 10779*/ GIMT_Encode4(677026), // Rule ID 10612 //
     /*  676956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  676967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  676970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  676973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  676976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677002 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  677005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677024 */     GIR_RootConstrainSelectedInstOperands,
     /*  677025 */     // GIR_Coverage, 10612,
     /*  677025 */     GIR_EraseRootFromParent_Done,
     /*  677026 */   // Label 10779: @677026
     /*  677026 */   GIM_Try, /*On fail goto*//*Label 10780*/ GIMT_Encode4(677101), // Rule ID 10613 //
     /*  677031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  677042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  677045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  677048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  677051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677077 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  677080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677099 */     GIR_RootConstrainSelectedInstOperands,
     /*  677100 */     // GIR_Coverage, 10613,
     /*  677100 */     GIR_EraseRootFromParent_Done,
     /*  677101 */   // Label 10780: @677101
     /*  677101 */   GIM_Try, /*On fail goto*//*Label 10781*/ GIMT_Encode4(677176), // Rule ID 10616 //
     /*  677106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  677117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  677120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  677123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  677126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677152 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  677155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677174 */     GIR_RootConstrainSelectedInstOperands,
     /*  677175 */     // GIR_Coverage, 10616,
     /*  677175 */     GIR_EraseRootFromParent_Done,
     /*  677176 */   // Label 10781: @677176
     /*  677176 */   GIM_Try, /*On fail goto*//*Label 10782*/ GIMT_Encode4(677251), // Rule ID 10617 //
     /*  677181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  677192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  677195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  677198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  677201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677227 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  677230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677249 */     GIR_RootConstrainSelectedInstOperands,
     /*  677250 */     // GIR_Coverage, 10617,
     /*  677250 */     GIR_EraseRootFromParent_Done,
     /*  677251 */   // Label 10782: @677251
     /*  677251 */   GIM_Try, /*On fail goto*//*Label 10783*/ GIMT_Encode4(677326), // Rule ID 10620 //
     /*  677256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  677267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  677270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  677273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  677276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677302 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  677305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677324 */     GIR_RootConstrainSelectedInstOperands,
     /*  677325 */     // GIR_Coverage, 10620,
     /*  677325 */     GIR_EraseRootFromParent_Done,
     /*  677326 */   // Label 10783: @677326
     /*  677326 */   GIM_Try, /*On fail goto*//*Label 10784*/ GIMT_Encode4(677401), // Rule ID 10621 //
     /*  677331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  677342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  677345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  677348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  677351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677377 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  677380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677399 */     GIR_RootConstrainSelectedInstOperands,
     /*  677400 */     // GIR_Coverage, 10621,
     /*  677400 */     GIR_EraseRootFromParent_Done,
     /*  677401 */   // Label 10784: @677401
     /*  677401 */   GIM_Try, /*On fail goto*//*Label 10785*/ GIMT_Encode4(677476), // Rule ID 10624 //
     /*  677406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  677417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  677420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  677423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  677426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677452 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  677455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677474 */     GIR_RootConstrainSelectedInstOperands,
     /*  677475 */     // GIR_Coverage, 10624,
     /*  677475 */     GIR_EraseRootFromParent_Done,
     /*  677476 */   // Label 10785: @677476
     /*  677476 */   GIM_Try, /*On fail goto*//*Label 10786*/ GIMT_Encode4(677551), // Rule ID 10625 //
     /*  677481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  677492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  677495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  677498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  677501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677527 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  677530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677549 */     GIR_RootConstrainSelectedInstOperands,
     /*  677550 */     // GIR_Coverage, 10625,
     /*  677550 */     GIR_EraseRootFromParent_Done,
     /*  677551 */   // Label 10786: @677551
     /*  677551 */   GIM_Try, /*On fail goto*//*Label 10787*/ GIMT_Encode4(677626), // Rule ID 10628 //
     /*  677556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  677567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  677570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  677573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  677576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  677605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677624 */     GIR_RootConstrainSelectedInstOperands,
     /*  677625 */     // GIR_Coverage, 10628,
     /*  677625 */     GIR_EraseRootFromParent_Done,
     /*  677626 */   // Label 10787: @677626
     /*  677626 */   GIM_Try, /*On fail goto*//*Label 10788*/ GIMT_Encode4(677701), // Rule ID 10629 //
     /*  677631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  677642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  677645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  677648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  677651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677677 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  677680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677699 */     GIR_RootConstrainSelectedInstOperands,
     /*  677700 */     // GIR_Coverage, 10629,
     /*  677700 */     GIR_EraseRootFromParent_Done,
     /*  677701 */   // Label 10788: @677701
     /*  677701 */   GIM_Try, /*On fail goto*//*Label 10789*/ GIMT_Encode4(677776), // Rule ID 10632 //
     /*  677706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  677717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  677720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  677723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  677726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  677755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677774 */     GIR_RootConstrainSelectedInstOperands,
     /*  677775 */     // GIR_Coverage, 10632,
     /*  677775 */     GIR_EraseRootFromParent_Done,
     /*  677776 */   // Label 10789: @677776
     /*  677776 */   GIM_Try, /*On fail goto*//*Label 10790*/ GIMT_Encode4(677851), // Rule ID 10633 //
     /*  677781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  677792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  677795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  677798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  677801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677827 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  677830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677849 */     GIR_RootConstrainSelectedInstOperands,
     /*  677850 */     // GIR_Coverage, 10633,
     /*  677850 */     GIR_EraseRootFromParent_Done,
     /*  677851 */   // Label 10790: @677851
     /*  677851 */   GIM_Try, /*On fail goto*//*Label 10791*/ GIMT_Encode4(677926), // Rule ID 10636 //
     /*  677856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  677867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  677870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  677873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  677876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677924 */     GIR_RootConstrainSelectedInstOperands,
     /*  677925 */     // GIR_Coverage, 10636,
     /*  677925 */     GIR_EraseRootFromParent_Done,
     /*  677926 */   // Label 10791: @677926
     /*  677926 */   GIM_Try, /*On fail goto*//*Label 10792*/ GIMT_Encode4(678001), // Rule ID 10637 //
     /*  677931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  677942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  677945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  677948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  677951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677999 */     GIR_RootConstrainSelectedInstOperands,
     /*  678000 */     // GIR_Coverage, 10637,
     /*  678000 */     GIR_EraseRootFromParent_Done,
     /*  678001 */   // Label 10792: @678001
     /*  678001 */   GIM_Try, /*On fail goto*//*Label 10793*/ GIMT_Encode4(678076), // Rule ID 10640 //
     /*  678006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  678017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  678020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  678023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  678026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  678055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678074 */     GIR_RootConstrainSelectedInstOperands,
     /*  678075 */     // GIR_Coverage, 10640,
     /*  678075 */     GIR_EraseRootFromParent_Done,
     /*  678076 */   // Label 10793: @678076
     /*  678076 */   GIM_Try, /*On fail goto*//*Label 10794*/ GIMT_Encode4(678151), // Rule ID 10641 //
     /*  678081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  678092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  678095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  678098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  678101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  678130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678149 */     GIR_RootConstrainSelectedInstOperands,
     /*  678150 */     // GIR_Coverage, 10641,
     /*  678150 */     GIR_EraseRootFromParent_Done,
     /*  678151 */   // Label 10794: @678151
     /*  678151 */   GIM_Try, /*On fail goto*//*Label 10795*/ GIMT_Encode4(678226), // Rule ID 10644 //
     /*  678156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  678167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  678170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  678173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  678176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  678205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678224 */     GIR_RootConstrainSelectedInstOperands,
     /*  678225 */     // GIR_Coverage, 10644,
     /*  678225 */     GIR_EraseRootFromParent_Done,
     /*  678226 */   // Label 10795: @678226
     /*  678226 */   GIM_Try, /*On fail goto*//*Label 10796*/ GIMT_Encode4(678301), // Rule ID 10645 //
     /*  678231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  678242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  678245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  678248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  678251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  678280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678299 */     GIR_RootConstrainSelectedInstOperands,
     /*  678300 */     // GIR_Coverage, 10645,
     /*  678300 */     GIR_EraseRootFromParent_Done,
     /*  678301 */   // Label 10796: @678301
     /*  678301 */   GIM_Try, /*On fail goto*//*Label 10797*/ GIMT_Encode4(678376), // Rule ID 10648 //
     /*  678306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  678309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  678317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  678320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  678323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  678326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  678352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  678355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678374 */     GIR_RootConstrainSelectedInstOperands,
     /*  678375 */     // GIR_Coverage, 10648,
     /*  678375 */     GIR_EraseRootFromParent_Done,
     /*  678376 */   // Label 10797: @678376
     /*  678376 */   GIM_Try, /*On fail goto*//*Label 10798*/ GIMT_Encode4(678451), // Rule ID 10649 //
     /*  678381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  678384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  678392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  678395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  678398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  678401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  678427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  678430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678449 */     GIR_RootConstrainSelectedInstOperands,
     /*  678450 */     // GIR_Coverage, 10649,
     /*  678450 */     GIR_EraseRootFromParent_Done,
     /*  678451 */   // Label 10798: @678451
     /*  678451 */   GIM_Try, /*On fail goto*//*Label 10799*/ GIMT_Encode4(678526), // Rule ID 10652 //
     /*  678456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  678467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  678470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  678473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  678476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678502 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678524 */     GIR_RootConstrainSelectedInstOperands,
     /*  678525 */     // GIR_Coverage, 10652,
     /*  678525 */     GIR_EraseRootFromParent_Done,
     /*  678526 */   // Label 10799: @678526
     /*  678526 */   GIM_Try, /*On fail goto*//*Label 10800*/ GIMT_Encode4(678601), // Rule ID 10653 //
     /*  678531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  678542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  678545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  678548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  678551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678577 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678599 */     GIR_RootConstrainSelectedInstOperands,
     /*  678600 */     // GIR_Coverage, 10653,
     /*  678600 */     GIR_EraseRootFromParent_Done,
     /*  678601 */   // Label 10800: @678601
     /*  678601 */   GIM_Try, /*On fail goto*//*Label 10801*/ GIMT_Encode4(678676), // Rule ID 10656 //
     /*  678606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  678617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  678620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  678623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  678626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678652 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678674 */     GIR_RootConstrainSelectedInstOperands,
     /*  678675 */     // GIR_Coverage, 10656,
     /*  678675 */     GIR_EraseRootFromParent_Done,
     /*  678676 */   // Label 10801: @678676
     /*  678676 */   GIM_Try, /*On fail goto*//*Label 10802*/ GIMT_Encode4(678751), // Rule ID 10657 //
     /*  678681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  678692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  678695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  678698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  678701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678727 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678749 */     GIR_RootConstrainSelectedInstOperands,
     /*  678750 */     // GIR_Coverage, 10657,
     /*  678750 */     GIR_EraseRootFromParent_Done,
     /*  678751 */   // Label 10802: @678751
     /*  678751 */   GIM_Try, /*On fail goto*//*Label 10803*/ GIMT_Encode4(678826), // Rule ID 10660 //
     /*  678756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  678767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  678770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  678773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  678776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678802 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678824 */     GIR_RootConstrainSelectedInstOperands,
     /*  678825 */     // GIR_Coverage, 10660,
     /*  678825 */     GIR_EraseRootFromParent_Done,
     /*  678826 */   // Label 10803: @678826
     /*  678826 */   GIM_Try, /*On fail goto*//*Label 10804*/ GIMT_Encode4(678901), // Rule ID 10661 //
     /*  678831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  678842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  678845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  678848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  678851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678877 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678899 */     GIR_RootConstrainSelectedInstOperands,
     /*  678900 */     // GIR_Coverage, 10661,
     /*  678900 */     GIR_EraseRootFromParent_Done,
     /*  678901 */   // Label 10804: @678901
     /*  678901 */   GIM_Try, /*On fail goto*//*Label 10805*/ GIMT_Encode4(678976), // Rule ID 10664 //
     /*  678906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  678917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  678920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  678923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  678926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678952 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678974 */     GIR_RootConstrainSelectedInstOperands,
     /*  678975 */     // GIR_Coverage, 10664,
     /*  678975 */     GIR_EraseRootFromParent_Done,
     /*  678976 */   // Label 10805: @678976
     /*  678976 */   GIM_Try, /*On fail goto*//*Label 10806*/ GIMT_Encode4(679051), // Rule ID 10665 //
     /*  678981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  678992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  678995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  678998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  679001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679027 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  679030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679049 */     GIR_RootConstrainSelectedInstOperands,
     /*  679050 */     // GIR_Coverage, 10665,
     /*  679050 */     GIR_EraseRootFromParent_Done,
     /*  679051 */   // Label 10806: @679051
     /*  679051 */   GIM_Try, /*On fail goto*//*Label 10807*/ GIMT_Encode4(679126), // Rule ID 10668 //
     /*  679056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  679067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  679070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  679073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  679076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679102 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  679105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679124 */     GIR_RootConstrainSelectedInstOperands,
     /*  679125 */     // GIR_Coverage, 10668,
     /*  679125 */     GIR_EraseRootFromParent_Done,
     /*  679126 */   // Label 10807: @679126
     /*  679126 */   GIM_Try, /*On fail goto*//*Label 10808*/ GIMT_Encode4(679201), // Rule ID 10669 //
     /*  679131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  679142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  679145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  679148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  679151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679177 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  679180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679199 */     GIR_RootConstrainSelectedInstOperands,
     /*  679200 */     // GIR_Coverage, 10669,
     /*  679200 */     GIR_EraseRootFromParent_Done,
     /*  679201 */   // Label 10808: @679201
     /*  679201 */   GIM_Try, /*On fail goto*//*Label 10809*/ GIMT_Encode4(679276), // Rule ID 10672 //
     /*  679206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  679217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  679220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  679223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  679226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679252 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679274 */     GIR_RootConstrainSelectedInstOperands,
     /*  679275 */     // GIR_Coverage, 10672,
     /*  679275 */     GIR_EraseRootFromParent_Done,
     /*  679276 */   // Label 10809: @679276
     /*  679276 */   GIM_Try, /*On fail goto*//*Label 10810*/ GIMT_Encode4(679351), // Rule ID 10673 //
     /*  679281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  679292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  679295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  679298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  679301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679327 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679349 */     GIR_RootConstrainSelectedInstOperands,
     /*  679350 */     // GIR_Coverage, 10673,
     /*  679350 */     GIR_EraseRootFromParent_Done,
     /*  679351 */   // Label 10810: @679351
     /*  679351 */   GIM_Try, /*On fail goto*//*Label 10811*/ GIMT_Encode4(679426), // Rule ID 10676 //
     /*  679356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  679367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  679370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  679373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  679376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679402 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  679405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679424 */     GIR_RootConstrainSelectedInstOperands,
     /*  679425 */     // GIR_Coverage, 10676,
     /*  679425 */     GIR_EraseRootFromParent_Done,
     /*  679426 */   // Label 10811: @679426
     /*  679426 */   GIM_Try, /*On fail goto*//*Label 10812*/ GIMT_Encode4(679501), // Rule ID 10677 //
     /*  679431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  679442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  679445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  679448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  679451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  679480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679499 */     GIR_RootConstrainSelectedInstOperands,
     /*  679500 */     // GIR_Coverage, 10677,
     /*  679500 */     GIR_EraseRootFromParent_Done,
     /*  679501 */   // Label 10812: @679501
     /*  679501 */   GIM_Try, /*On fail goto*//*Label 10813*/ GIMT_Encode4(679576), // Rule ID 10680 //
     /*  679506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  679517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  679520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  679523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  679526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679552 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  679555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679574 */     GIR_RootConstrainSelectedInstOperands,
     /*  679575 */     // GIR_Coverage, 10680,
     /*  679575 */     GIR_EraseRootFromParent_Done,
     /*  679576 */   // Label 10813: @679576
     /*  679576 */   GIM_Try, /*On fail goto*//*Label 10814*/ GIMT_Encode4(679651), // Rule ID 10681 //
     /*  679581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  679592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  679595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  679598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  679601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679627 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  679630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679649 */     GIR_RootConstrainSelectedInstOperands,
     /*  679650 */     // GIR_Coverage, 10681,
     /*  679650 */     GIR_EraseRootFromParent_Done,
     /*  679651 */   // Label 10814: @679651
     /*  679651 */   GIM_Try, /*On fail goto*//*Label 10815*/ GIMT_Encode4(679726), // Rule ID 10684 //
     /*  679656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  679667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  679670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  679673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  679676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679702 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679724 */     GIR_RootConstrainSelectedInstOperands,
     /*  679725 */     // GIR_Coverage, 10684,
     /*  679725 */     GIR_EraseRootFromParent_Done,
     /*  679726 */   // Label 10815: @679726
     /*  679726 */   GIM_Try, /*On fail goto*//*Label 10816*/ GIMT_Encode4(679801), // Rule ID 10685 //
     /*  679731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  679742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  679745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  679748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  679751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679777 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679799 */     GIR_RootConstrainSelectedInstOperands,
     /*  679800 */     // GIR_Coverage, 10685,
     /*  679800 */     GIR_EraseRootFromParent_Done,
     /*  679801 */   // Label 10816: @679801
     /*  679801 */   GIM_Try, /*On fail goto*//*Label 10817*/ GIMT_Encode4(679876), // Rule ID 10688 //
     /*  679806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  679817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  679820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  679823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  679826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679852 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  679855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679874 */     GIR_RootConstrainSelectedInstOperands,
     /*  679875 */     // GIR_Coverage, 10688,
     /*  679875 */     GIR_EraseRootFromParent_Done,
     /*  679876 */   // Label 10817: @679876
     /*  679876 */   GIM_Try, /*On fail goto*//*Label 10818*/ GIMT_Encode4(679951), // Rule ID 10689 //
     /*  679881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  679892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  679895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  679898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  679901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679927 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  679930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679949 */     GIR_RootConstrainSelectedInstOperands,
     /*  679950 */     // GIR_Coverage, 10689,
     /*  679950 */     GIR_EraseRootFromParent_Done,
     /*  679951 */   // Label 10818: @679951
     /*  679951 */   GIM_Try, /*On fail goto*//*Label 10819*/ GIMT_Encode4(680026), // Rule ID 10692 //
     /*  679956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  679967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  679970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  679973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  679976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680002 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  680005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680024 */     GIR_RootConstrainSelectedInstOperands,
     /*  680025 */     // GIR_Coverage, 10692,
     /*  680025 */     GIR_EraseRootFromParent_Done,
     /*  680026 */   // Label 10819: @680026
     /*  680026 */   GIM_Try, /*On fail goto*//*Label 10820*/ GIMT_Encode4(680101), // Rule ID 10693 //
     /*  680031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  680042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  680045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  680048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  680051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680077 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  680080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680099 */     GIR_RootConstrainSelectedInstOperands,
     /*  680100 */     // GIR_Coverage, 10693,
     /*  680100 */     GIR_EraseRootFromParent_Done,
     /*  680101 */   // Label 10820: @680101
     /*  680101 */   GIM_Try, /*On fail goto*//*Label 10821*/ GIMT_Encode4(680176), // Rule ID 10696 //
     /*  680106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  680117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  680120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  680123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  680126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680152 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  680155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680174 */     GIR_RootConstrainSelectedInstOperands,
     /*  680175 */     // GIR_Coverage, 10696,
     /*  680175 */     GIR_EraseRootFromParent_Done,
     /*  680176 */   // Label 10821: @680176
     /*  680176 */   GIM_Try, /*On fail goto*//*Label 10822*/ GIMT_Encode4(680251), // Rule ID 10697 //
     /*  680181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  680192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  680195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  680198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  680201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  680230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680249 */     GIR_RootConstrainSelectedInstOperands,
     /*  680250 */     // GIR_Coverage, 10697,
     /*  680250 */     GIR_EraseRootFromParent_Done,
     /*  680251 */   // Label 10822: @680251
     /*  680251 */   GIM_Try, /*On fail goto*//*Label 10823*/ GIMT_Encode4(680326), // Rule ID 10700 //
     /*  680256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  680267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  680270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  680273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680302 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  680305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680324 */     GIR_RootConstrainSelectedInstOperands,
     /*  680325 */     // GIR_Coverage, 10700,
     /*  680325 */     GIR_EraseRootFromParent_Done,
     /*  680326 */   // Label 10823: @680326
     /*  680326 */   GIM_Try, /*On fail goto*//*Label 10824*/ GIMT_Encode4(680401), // Rule ID 10701 //
     /*  680331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  680342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  680345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  680348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680377 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  680380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680399 */     GIR_RootConstrainSelectedInstOperands,
     /*  680400 */     // GIR_Coverage, 10701,
     /*  680400 */     GIR_EraseRootFromParent_Done,
     /*  680401 */   // Label 10824: @680401
     /*  680401 */   GIM_Try, /*On fail goto*//*Label 10825*/ GIMT_Encode4(680476), // Rule ID 10704 //
     /*  680406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  680417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  680420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  680423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  680455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680474 */     GIR_RootConstrainSelectedInstOperands,
     /*  680475 */     // GIR_Coverage, 10704,
     /*  680475 */     GIR_EraseRootFromParent_Done,
     /*  680476 */   // Label 10825: @680476
     /*  680476 */   GIM_Try, /*On fail goto*//*Label 10826*/ GIMT_Encode4(680551), // Rule ID 10705 //
     /*  680481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  680492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  680495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  680498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680527 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  680530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680549 */     GIR_RootConstrainSelectedInstOperands,
     /*  680550 */     // GIR_Coverage, 10705,
     /*  680550 */     GIR_EraseRootFromParent_Done,
     /*  680551 */   // Label 10826: @680551
     /*  680551 */   GIM_Try, /*On fail goto*//*Label 10827*/ GIMT_Encode4(680626), // Rule ID 10708 //
     /*  680556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  680567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  680570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  680573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680602 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680624 */     GIR_RootConstrainSelectedInstOperands,
     /*  680625 */     // GIR_Coverage, 10708,
     /*  680625 */     GIR_EraseRootFromParent_Done,
     /*  680626 */   // Label 10827: @680626
     /*  680626 */   GIM_Try, /*On fail goto*//*Label 10828*/ GIMT_Encode4(680701), // Rule ID 10709 //
     /*  680631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  680642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  680645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  680648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680677 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680699 */     GIR_RootConstrainSelectedInstOperands,
     /*  680700 */     // GIR_Coverage, 10709,
     /*  680700 */     GIR_EraseRootFromParent_Done,
     /*  680701 */   // Label 10828: @680701
     /*  680701 */   GIM_Try, /*On fail goto*//*Label 10829*/ GIMT_Encode4(680776), // Rule ID 10712 //
     /*  680706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  680717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  680720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  680723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  680755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680774 */     GIR_RootConstrainSelectedInstOperands,
     /*  680775 */     // GIR_Coverage, 10712,
     /*  680775 */     GIR_EraseRootFromParent_Done,
     /*  680776 */   // Label 10829: @680776
     /*  680776 */   GIM_Try, /*On fail goto*//*Label 10830*/ GIMT_Encode4(680851), // Rule ID 10713 //
     /*  680781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  680792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  680795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  680798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680827 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  680830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680849 */     GIR_RootConstrainSelectedInstOperands,
     /*  680850 */     // GIR_Coverage, 10713,
     /*  680850 */     GIR_EraseRootFromParent_Done,
     /*  680851 */   // Label 10830: @680851
     /*  680851 */   GIM_Try, /*On fail goto*//*Label 10831*/ GIMT_Encode4(680926), // Rule ID 10716 //
     /*  680856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  680867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  680870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  680873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680902 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680924 */     GIR_RootConstrainSelectedInstOperands,
     /*  680925 */     // GIR_Coverage, 10716,
     /*  680925 */     GIR_EraseRootFromParent_Done,
     /*  680926 */   // Label 10831: @680926
     /*  680926 */   GIM_Try, /*On fail goto*//*Label 10832*/ GIMT_Encode4(681001), // Rule ID 10717 //
     /*  680931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  680942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  680945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  680948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680999 */     GIR_RootConstrainSelectedInstOperands,
     /*  681000 */     // GIR_Coverage, 10717,
     /*  681000 */     GIR_EraseRootFromParent_Done,
     /*  681001 */   // Label 10832: @681001
     /*  681001 */   GIM_Try, /*On fail goto*//*Label 10833*/ GIMT_Encode4(681076), // Rule ID 10720 //
     /*  681006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  681017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  681020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  681023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  681055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681074 */     GIR_RootConstrainSelectedInstOperands,
     /*  681075 */     // GIR_Coverage, 10720,
     /*  681075 */     GIR_EraseRootFromParent_Done,
     /*  681076 */   // Label 10833: @681076
     /*  681076 */   GIM_Try, /*On fail goto*//*Label 10834*/ GIMT_Encode4(681151), // Rule ID 10721 //
     /*  681081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  681092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  681095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  681098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681127 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  681130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681149 */     GIR_RootConstrainSelectedInstOperands,
     /*  681150 */     // GIR_Coverage, 10721,
     /*  681150 */     GIR_EraseRootFromParent_Done,
     /*  681151 */   // Label 10834: @681151
     /*  681151 */   GIM_Try, /*On fail goto*//*Label 10835*/ GIMT_Encode4(681226), // Rule ID 10724 //
     /*  681156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  681167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  681170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  681173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  681205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681224 */     GIR_RootConstrainSelectedInstOperands,
     /*  681225 */     // GIR_Coverage, 10724,
     /*  681225 */     GIR_EraseRootFromParent_Done,
     /*  681226 */   // Label 10835: @681226
     /*  681226 */   GIM_Try, /*On fail goto*//*Label 10836*/ GIMT_Encode4(681301), // Rule ID 10725 //
     /*  681231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  681242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  681245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  681248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  681280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681299 */     GIR_RootConstrainSelectedInstOperands,
     /*  681300 */     // GIR_Coverage, 10725,
     /*  681300 */     GIR_EraseRootFromParent_Done,
     /*  681301 */   // Label 10836: @681301
     /*  681301 */   GIM_Try, /*On fail goto*//*Label 10837*/ GIMT_Encode4(681376), // Rule ID 10728 //
     /*  681306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  681317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  681320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  681323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  681355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681374 */     GIR_RootConstrainSelectedInstOperands,
     /*  681375 */     // GIR_Coverage, 10728,
     /*  681375 */     GIR_EraseRootFromParent_Done,
     /*  681376 */   // Label 10837: @681376
     /*  681376 */   GIM_Try, /*On fail goto*//*Label 10838*/ GIMT_Encode4(681451), // Rule ID 10729 //
     /*  681381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  681392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  681395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  681398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  681430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681449 */     GIR_RootConstrainSelectedInstOperands,
     /*  681450 */     // GIR_Coverage, 10729,
     /*  681450 */     GIR_EraseRootFromParent_Done,
     /*  681451 */   // Label 10838: @681451
     /*  681451 */   GIM_Try, /*On fail goto*//*Label 10839*/ GIMT_Encode4(681526), // Rule ID 10732 //
     /*  681456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  681467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  681470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  681473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  681505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681524 */     GIR_RootConstrainSelectedInstOperands,
     /*  681525 */     // GIR_Coverage, 10732,
     /*  681525 */     GIR_EraseRootFromParent_Done,
     /*  681526 */   // Label 10839: @681526
     /*  681526 */   GIM_Try, /*On fail goto*//*Label 10840*/ GIMT_Encode4(681601), // Rule ID 10733 //
     /*  681531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  681542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  681545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  681548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  681580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681599 */     GIR_RootConstrainSelectedInstOperands,
     /*  681600 */     // GIR_Coverage, 10733,
     /*  681600 */     GIR_EraseRootFromParent_Done,
     /*  681601 */   // Label 10840: @681601
     /*  681601 */   GIM_Try, /*On fail goto*//*Label 10841*/ GIMT_Encode4(681676), // Rule ID 10736 //
     /*  681606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  681609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  681617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  681620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  681623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  681652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  681655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681674 */     GIR_RootConstrainSelectedInstOperands,
     /*  681675 */     // GIR_Coverage, 10736,
     /*  681675 */     GIR_EraseRootFromParent_Done,
     /*  681676 */   // Label 10841: @681676
     /*  681676 */   GIM_Try, /*On fail goto*//*Label 10842*/ GIMT_Encode4(681751), // Rule ID 10737 //
     /*  681681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  681684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  681692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  681695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  681698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  681727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  681730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681749 */     GIR_RootConstrainSelectedInstOperands,
     /*  681750 */     // GIR_Coverage, 10737,
     /*  681750 */     GIR_EraseRootFromParent_Done,
     /*  681751 */   // Label 10842: @681751
     /*  681751 */   GIM_Try, /*On fail goto*//*Label 10843*/ GIMT_Encode4(681826), // Rule ID 10740 //
     /*  681756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  681767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  681770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  681773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681824 */     GIR_RootConstrainSelectedInstOperands,
     /*  681825 */     // GIR_Coverage, 10740,
     /*  681825 */     GIR_EraseRootFromParent_Done,
     /*  681826 */   // Label 10843: @681826
     /*  681826 */   GIM_Try, /*On fail goto*//*Label 10844*/ GIMT_Encode4(681901), // Rule ID 10741 //
     /*  681831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  681842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  681845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  681848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681877 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681899 */     GIR_RootConstrainSelectedInstOperands,
     /*  681900 */     // GIR_Coverage, 10741,
     /*  681900 */     GIR_EraseRootFromParent_Done,
     /*  681901 */   // Label 10844: @681901
     /*  681901 */   GIM_Try, /*On fail goto*//*Label 10845*/ GIMT_Encode4(681976), // Rule ID 10744 //
     /*  681906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  681917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  681920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  681923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681952 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681974 */     GIR_RootConstrainSelectedInstOperands,
     /*  681975 */     // GIR_Coverage, 10744,
     /*  681975 */     GIR_EraseRootFromParent_Done,
     /*  681976 */   // Label 10845: @681976
     /*  681976 */   GIM_Try, /*On fail goto*//*Label 10846*/ GIMT_Encode4(682051), // Rule ID 10745 //
     /*  681981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  681992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  681995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  681998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682027 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682049 */     GIR_RootConstrainSelectedInstOperands,
     /*  682050 */     // GIR_Coverage, 10745,
     /*  682050 */     GIR_EraseRootFromParent_Done,
     /*  682051 */   // Label 10846: @682051
     /*  682051 */   GIM_Try, /*On fail goto*//*Label 10847*/ GIMT_Encode4(682126), // Rule ID 10748 //
     /*  682056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  682067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  682070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  682073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682102 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682124 */     GIR_RootConstrainSelectedInstOperands,
     /*  682125 */     // GIR_Coverage, 10748,
     /*  682125 */     GIR_EraseRootFromParent_Done,
     /*  682126 */   // Label 10847: @682126
     /*  682126 */   GIM_Try, /*On fail goto*//*Label 10848*/ GIMT_Encode4(682201), // Rule ID 10749 //
     /*  682131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  682142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  682145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  682148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682177 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682199 */     GIR_RootConstrainSelectedInstOperands,
     /*  682200 */     // GIR_Coverage, 10749,
     /*  682200 */     GIR_EraseRootFromParent_Done,
     /*  682201 */   // Label 10848: @682201
     /*  682201 */   GIM_Try, /*On fail goto*//*Label 10849*/ GIMT_Encode4(682276), // Rule ID 10752 //
     /*  682206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  682217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  682220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  682223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682252 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682274 */     GIR_RootConstrainSelectedInstOperands,
     /*  682275 */     // GIR_Coverage, 10752,
     /*  682275 */     GIR_EraseRootFromParent_Done,
     /*  682276 */   // Label 10849: @682276
     /*  682276 */   GIM_Try, /*On fail goto*//*Label 10850*/ GIMT_Encode4(682351), // Rule ID 10753 //
     /*  682281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  682292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  682295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  682298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682327 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  682327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682349 */     GIR_RootConstrainSelectedInstOperands,
     /*  682350 */     // GIR_Coverage, 10753,
     /*  682350 */     GIR_EraseRootFromParent_Done,
     /*  682351 */   // Label 10850: @682351
     /*  682351 */   GIM_Try, /*On fail goto*//*Label 10851*/ GIMT_Encode4(682426), // Rule ID 10756 //
     /*  682356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  682367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  682370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  682373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682402 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682424 */     GIR_RootConstrainSelectedInstOperands,
     /*  682425 */     // GIR_Coverage, 10756,
     /*  682425 */     GIR_EraseRootFromParent_Done,
     /*  682426 */   // Label 10851: @682426
     /*  682426 */   GIM_Try, /*On fail goto*//*Label 10852*/ GIMT_Encode4(682501), // Rule ID 10757 //
     /*  682431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  682442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  682445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  682448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682477 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  682477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682499 */     GIR_RootConstrainSelectedInstOperands,
     /*  682500 */     // GIR_Coverage, 10757,
     /*  682500 */     GIR_EraseRootFromParent_Done,
     /*  682501 */   // Label 10852: @682501
     /*  682501 */   GIM_Try, /*On fail goto*//*Label 10853*/ GIMT_Encode4(682576), // Rule ID 10760 //
     /*  682506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  682517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  682520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  682523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682552 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682574 */     GIR_RootConstrainSelectedInstOperands,
     /*  682575 */     // GIR_Coverage, 10760,
     /*  682575 */     GIR_EraseRootFromParent_Done,
     /*  682576 */   // Label 10853: @682576
     /*  682576 */   GIM_Try, /*On fail goto*//*Label 10854*/ GIMT_Encode4(682651), // Rule ID 10761 //
     /*  682581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  682592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  682595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  682598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682627 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  682627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682649 */     GIR_RootConstrainSelectedInstOperands,
     /*  682650 */     // GIR_Coverage, 10761,
     /*  682650 */     GIR_EraseRootFromParent_Done,
     /*  682651 */   // Label 10854: @682651
     /*  682651 */   GIM_Try, /*On fail goto*//*Label 10855*/ GIMT_Encode4(682726), // Rule ID 10764 //
     /*  682656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  682667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  682670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  682673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682702 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682724 */     GIR_RootConstrainSelectedInstOperands,
     /*  682725 */     // GIR_Coverage, 10764,
     /*  682725 */     GIR_EraseRootFromParent_Done,
     /*  682726 */   // Label 10855: @682726
     /*  682726 */   GIM_Try, /*On fail goto*//*Label 10856*/ GIMT_Encode4(682801), // Rule ID 10765 //
     /*  682731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  682742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  682745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  682748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682777 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682799 */     GIR_RootConstrainSelectedInstOperands,
     /*  682800 */     // GIR_Coverage, 10765,
     /*  682800 */     GIR_EraseRootFromParent_Done,
     /*  682801 */   // Label 10856: @682801
     /*  682801 */   GIM_Try, /*On fail goto*//*Label 10857*/ GIMT_Encode4(682876), // Rule ID 10768 //
     /*  682806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  682817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  682820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  682823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682874 */     GIR_RootConstrainSelectedInstOperands,
     /*  682875 */     // GIR_Coverage, 10768,
     /*  682875 */     GIR_EraseRootFromParent_Done,
     /*  682876 */   // Label 10857: @682876
     /*  682876 */   GIM_Try, /*On fail goto*//*Label 10858*/ GIMT_Encode4(682951), // Rule ID 10769 //
     /*  682881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  682892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  682895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  682898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682927 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682949 */     GIR_RootConstrainSelectedInstOperands,
     /*  682950 */     // GIR_Coverage, 10769,
     /*  682950 */     GIR_EraseRootFromParent_Done,
     /*  682951 */   // Label 10858: @682951
     /*  682951 */   GIM_Try, /*On fail goto*//*Label 10859*/ GIMT_Encode4(683026), // Rule ID 10772 //
     /*  682956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  682967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  682970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  682973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683002 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  683005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683024 */     GIR_RootConstrainSelectedInstOperands,
     /*  683025 */     // GIR_Coverage, 10772,
     /*  683025 */     GIR_EraseRootFromParent_Done,
     /*  683026 */   // Label 10859: @683026
     /*  683026 */   GIM_Try, /*On fail goto*//*Label 10860*/ GIMT_Encode4(683101), // Rule ID 10773 //
     /*  683031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  683042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  683045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  683048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  683051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  683070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683077 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  683080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683099 */     GIR_RootConstrainSelectedInstOperands,
     /*  683100 */     // GIR_Coverage, 10773,
     /*  683100 */     GIR_EraseRootFromParent_Done,
     /*  683101 */   // Label 10860: @683101
     /*  683101 */   GIM_Try, /*On fail goto*//*Label 10861*/ GIMT_Encode4(683176), // Rule ID 10776 //
     /*  683106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  683117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  683120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  683123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  683126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  683145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683152 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  683155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683174 */     GIR_RootConstrainSelectedInstOperands,
     /*  683175 */     // GIR_Coverage, 10776,
     /*  683175 */     GIR_EraseRootFromParent_Done,
     /*  683176 */   // Label 10861: @683176
     /*  683176 */   GIM_Try, /*On fail goto*//*Label 10862*/ GIMT_Encode4(683251), // Rule ID 10777 //
     /*  683181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  683192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  683195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  683198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  683201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  683220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683227 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  683227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  683230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683249 */     GIR_RootConstrainSelectedInstOperands,
     /*  683250 */     // GIR_Coverage, 10777,
     /*  683250 */     GIR_EraseRootFromParent_Done,
     /*  683251 */   // Label 10862: @683251
     /*  683251 */   GIM_Try, /*On fail goto*//*Label 10863*/ GIMT_Encode4(683326), // Rule ID 10780 //
     /*  683256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  683267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  683270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  683273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  683276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  683295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  683305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683324 */     GIR_RootConstrainSelectedInstOperands,
     /*  683325 */     // GIR_Coverage, 10780,
     /*  683325 */     GIR_EraseRootFromParent_Done,
     /*  683326 */   // Label 10863: @683326
     /*  683326 */   GIM_Try, /*On fail goto*//*Label 10864*/ GIMT_Encode4(683401), // Rule ID 10781 //
     /*  683331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  683342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  683345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  683348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  683351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  683370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683377 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  683377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  683380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683399 */     GIR_RootConstrainSelectedInstOperands,
     /*  683400 */     // GIR_Coverage, 10781,
     /*  683400 */     GIR_EraseRootFromParent_Done,
     /*  683401 */   // Label 10864: @683401
     /*  683401 */   GIM_Try, /*On fail goto*//*Label 10865*/ GIMT_Encode4(683476), // Rule ID 10784 //
     /*  683406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  683417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  683420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  683423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  683426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  683445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683452 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  683455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683474 */     GIR_RootConstrainSelectedInstOperands,
     /*  683475 */     // GIR_Coverage, 10784,
     /*  683475 */     GIR_EraseRootFromParent_Done,
     /*  683476 */   // Label 10865: @683476
     /*  683476 */   GIM_Try, /*On fail goto*//*Label 10866*/ GIMT_Encode4(683551), // Rule ID 10785 //
     /*  683481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  683492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  683495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  683498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  683501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  683520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  683527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  683530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683549 */     GIR_RootConstrainSelectedInstOperands,
     /*  683550 */     // GIR_Coverage, 10785,
     /*  683550 */     GIR_EraseRootFromParent_Done,
     /*  683551 */   // Label 10866: @683551
     /*  683551 */   GIM_Try, /*On fail goto*//*Label 10867*/ GIMT_Encode4(683626), // Rule ID 10788 //
     /*  683556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  683567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  683570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  683573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  683576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683602 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  683605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683624 */     GIR_RootConstrainSelectedInstOperands,
     /*  683625 */     // GIR_Coverage, 10788,
     /*  683625 */     GIR_EraseRootFromParent_Done,
     /*  683626 */   // Label 10867: @683626
     /*  683626 */   GIM_Try, /*On fail goto*//*Label 10868*/ GIMT_Encode4(683701), // Rule ID 10789 //
     /*  683631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  683642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  683645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  683648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  683651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683677 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  683680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683699 */     GIR_RootConstrainSelectedInstOperands,
     /*  683700 */     // GIR_Coverage, 10789,
     /*  683700 */     GIR_EraseRootFromParent_Done,
     /*  683701 */   // Label 10868: @683701
     /*  683701 */   GIM_Try, /*On fail goto*//*Label 10869*/ GIMT_Encode4(683776), // Rule ID 10792 //
     /*  683706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  683717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  683720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  683723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  683726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683752 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  683755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683774 */     GIR_RootConstrainSelectedInstOperands,
     /*  683775 */     // GIR_Coverage, 10792,
     /*  683775 */     GIR_EraseRootFromParent_Done,
     /*  683776 */   // Label 10869: @683776
     /*  683776 */   GIM_Try, /*On fail goto*//*Label 10870*/ GIMT_Encode4(683851), // Rule ID 10793 //
     /*  683781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  683792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  683795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  683798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  683801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683827 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  683830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683849 */     GIR_RootConstrainSelectedInstOperands,
     /*  683850 */     // GIR_Coverage, 10793,
     /*  683850 */     GIR_EraseRootFromParent_Done,
     /*  683851 */   // Label 10870: @683851
     /*  683851 */   GIM_Try, /*On fail goto*//*Label 10871*/ GIMT_Encode4(683926), // Rule ID 10796 //
     /*  683856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  683867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  683870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  683873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  683876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683902 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683924 */     GIR_RootConstrainSelectedInstOperands,
     /*  683925 */     // GIR_Coverage, 10796,
     /*  683925 */     GIR_EraseRootFromParent_Done,
     /*  683926 */   // Label 10871: @683926
     /*  683926 */   GIM_Try, /*On fail goto*//*Label 10872*/ GIMT_Encode4(684001), // Rule ID 10797 //
     /*  683931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  683942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  683945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  683948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  683951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683977 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683999 */     GIR_RootConstrainSelectedInstOperands,
     /*  684000 */     // GIR_Coverage, 10797,
     /*  684000 */     GIR_EraseRootFromParent_Done,
     /*  684001 */   // Label 10872: @684001
     /*  684001 */   GIM_Try, /*On fail goto*//*Label 10873*/ GIMT_Encode4(684076), // Rule ID 10800 //
     /*  684006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  684017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  684020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  684023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  684026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684052 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  684055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684074 */     GIR_RootConstrainSelectedInstOperands,
     /*  684075 */     // GIR_Coverage, 10800,
     /*  684075 */     GIR_EraseRootFromParent_Done,
     /*  684076 */   // Label 10873: @684076
     /*  684076 */   GIM_Try, /*On fail goto*//*Label 10874*/ GIMT_Encode4(684151), // Rule ID 10801 //
     /*  684081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  684092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  684095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  684098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  684101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684127 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  684130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684149 */     GIR_RootConstrainSelectedInstOperands,
     /*  684150 */     // GIR_Coverage, 10801,
     /*  684150 */     GIR_EraseRootFromParent_Done,
     /*  684151 */   // Label 10874: @684151
     /*  684151 */   GIM_Try, /*On fail goto*//*Label 10875*/ GIMT_Encode4(684226), // Rule ID 10804 //
     /*  684156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  684167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  684170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  684173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  684176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684202 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  684205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684224 */     GIR_RootConstrainSelectedInstOperands,
     /*  684225 */     // GIR_Coverage, 10804,
     /*  684225 */     GIR_EraseRootFromParent_Done,
     /*  684226 */   // Label 10875: @684226
     /*  684226 */   GIM_Try, /*On fail goto*//*Label 10876*/ GIMT_Encode4(684301), // Rule ID 10805 //
     /*  684231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  684242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  684245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  684248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  684251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  684280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684299 */     GIR_RootConstrainSelectedInstOperands,
     /*  684300 */     // GIR_Coverage, 10805,
     /*  684300 */     GIR_EraseRootFromParent_Done,
     /*  684301 */   // Label 10876: @684301
     /*  684301 */   GIM_Try, /*On fail goto*//*Label 10877*/ GIMT_Encode4(684376), // Rule ID 10808 //
     /*  684306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  684317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  684320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  684323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  684326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  684352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  684355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684374 */     GIR_RootConstrainSelectedInstOperands,
     /*  684375 */     // GIR_Coverage, 10808,
     /*  684375 */     GIR_EraseRootFromParent_Done,
     /*  684376 */   // Label 10877: @684376
     /*  684376 */   GIM_Try, /*On fail goto*//*Label 10878*/ GIMT_Encode4(684451), // Rule ID 10809 //
     /*  684381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  684392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  684395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  684398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  684401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  684427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  684430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684449 */     GIR_RootConstrainSelectedInstOperands,
     /*  684450 */     // GIR_Coverage, 10809,
     /*  684450 */     GIR_EraseRootFromParent_Done,
     /*  684451 */   // Label 10878: @684451
     /*  684451 */   GIM_Try, /*On fail goto*//*Label 10879*/ GIMT_Encode4(684526), // Rule ID 10812 //
     /*  684456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  684467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  684470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  684473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  684476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684524 */     GIR_RootConstrainSelectedInstOperands,
     /*  684525 */     // GIR_Coverage, 10812,
     /*  684525 */     GIR_EraseRootFromParent_Done,
     /*  684526 */   // Label 10879: @684526
     /*  684526 */   GIM_Try, /*On fail goto*//*Label 10880*/ GIMT_Encode4(684601), // Rule ID 10813 //
     /*  684531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  684542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  684545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  684548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  684551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684599 */     GIR_RootConstrainSelectedInstOperands,
     /*  684600 */     // GIR_Coverage, 10813,
     /*  684600 */     GIR_EraseRootFromParent_Done,
     /*  684601 */   // Label 10880: @684601
     /*  684601 */   GIM_Try, /*On fail goto*//*Label 10881*/ GIMT_Encode4(684676), // Rule ID 10816 //
     /*  684606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  684617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  684620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  684623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  684626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684674 */     GIR_RootConstrainSelectedInstOperands,
     /*  684675 */     // GIR_Coverage, 10816,
     /*  684675 */     GIR_EraseRootFromParent_Done,
     /*  684676 */   // Label 10881: @684676
     /*  684676 */   GIM_Try, /*On fail goto*//*Label 10882*/ GIMT_Encode4(684751), // Rule ID 10817 //
     /*  684681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  684692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  684695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  684698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  684701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684749 */     GIR_RootConstrainSelectedInstOperands,
     /*  684750 */     // GIR_Coverage, 10817,
     /*  684750 */     GIR_EraseRootFromParent_Done,
     /*  684751 */   // Label 10882: @684751
     /*  684751 */   GIM_Try, /*On fail goto*//*Label 10883*/ GIMT_Encode4(684826), // Rule ID 10820 //
     /*  684756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  684767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  684770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  684773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  684776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  684802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684824 */     GIR_RootConstrainSelectedInstOperands,
     /*  684825 */     // GIR_Coverage, 10820,
     /*  684825 */     GIR_EraseRootFromParent_Done,
     /*  684826 */   // Label 10883: @684826
     /*  684826 */   GIM_Try, /*On fail goto*//*Label 10884*/ GIMT_Encode4(684901), // Rule ID 10821 //
     /*  684831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  684842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  684845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  684848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  684851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  684877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684899 */     GIR_RootConstrainSelectedInstOperands,
     /*  684900 */     // GIR_Coverage, 10821,
     /*  684900 */     GIR_EraseRootFromParent_Done,
     /*  684901 */   // Label 10884: @684901
     /*  684901 */   GIM_Try, /*On fail goto*//*Label 10885*/ GIMT_Encode4(684976), // Rule ID 10824 //
     /*  684906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  684909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  684917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  684920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  684923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  684926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  684952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  684955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684974 */     GIR_RootConstrainSelectedInstOperands,
     /*  684975 */     // GIR_Coverage, 10824,
     /*  684975 */     GIR_EraseRootFromParent_Done,
     /*  684976 */   // Label 10885: @684976
     /*  684976 */   GIM_Try, /*On fail goto*//*Label 10886*/ GIMT_Encode4(685051), // Rule ID 10825 //
     /*  684981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  684984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  684992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  684995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  684998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  685001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  685030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685049 */     GIR_RootConstrainSelectedInstOperands,
     /*  685050 */     // GIR_Coverage, 10825,
     /*  685050 */     GIR_EraseRootFromParent_Done,
     /*  685051 */   // Label 10886: @685051
     /*  685051 */   GIM_Try, /*On fail goto*//*Label 10887*/ GIMT_Encode4(685126), // Rule ID 10828 //
     /*  685056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  685067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  685070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  685073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  685076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685102 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685124 */     GIR_RootConstrainSelectedInstOperands,
     /*  685125 */     // GIR_Coverage, 10828,
     /*  685125 */     GIR_EraseRootFromParent_Done,
     /*  685126 */   // Label 10887: @685126
     /*  685126 */   GIM_Try, /*On fail goto*//*Label 10888*/ GIMT_Encode4(685201), // Rule ID 10829 //
     /*  685131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  685142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  685145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  685148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  685151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685177 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685199 */     GIR_RootConstrainSelectedInstOperands,
     /*  685200 */     // GIR_Coverage, 10829,
     /*  685200 */     GIR_EraseRootFromParent_Done,
     /*  685201 */   // Label 10888: @685201
     /*  685201 */   GIM_Try, /*On fail goto*//*Label 10889*/ GIMT_Encode4(685276), // Rule ID 10832 //
     /*  685206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  685217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  685220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  685223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  685226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685252 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685274 */     GIR_RootConstrainSelectedInstOperands,
     /*  685275 */     // GIR_Coverage, 10832,
     /*  685275 */     GIR_EraseRootFromParent_Done,
     /*  685276 */   // Label 10889: @685276
     /*  685276 */   GIM_Try, /*On fail goto*//*Label 10890*/ GIMT_Encode4(685351), // Rule ID 10833 //
     /*  685281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  685292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  685295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  685298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  685301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685327 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685349 */     GIR_RootConstrainSelectedInstOperands,
     /*  685350 */     // GIR_Coverage, 10833,
     /*  685350 */     GIR_EraseRootFromParent_Done,
     /*  685351 */   // Label 10890: @685351
     /*  685351 */   GIM_Try, /*On fail goto*//*Label 10891*/ GIMT_Encode4(685426), // Rule ID 10836 //
     /*  685356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  685367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  685370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  685373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  685376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685402 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685424 */     GIR_RootConstrainSelectedInstOperands,
     /*  685425 */     // GIR_Coverage, 10836,
     /*  685425 */     GIR_EraseRootFromParent_Done,
     /*  685426 */   // Label 10891: @685426
     /*  685426 */   GIM_Try, /*On fail goto*//*Label 10892*/ GIMT_Encode4(685501), // Rule ID 10837 //
     /*  685431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  685442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  685445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  685448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  685451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685477 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685499 */     GIR_RootConstrainSelectedInstOperands,
     /*  685500 */     // GIR_Coverage, 10837,
     /*  685500 */     GIR_EraseRootFromParent_Done,
     /*  685501 */   // Label 10892: @685501
     /*  685501 */   GIM_Try, /*On fail goto*//*Label 10893*/ GIMT_Encode4(685576), // Rule ID 10840 //
     /*  685506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  685517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  685520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  685523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  685526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685552 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685574 */     GIR_RootConstrainSelectedInstOperands,
     /*  685575 */     // GIR_Coverage, 10840,
     /*  685575 */     GIR_EraseRootFromParent_Done,
     /*  685576 */   // Label 10893: @685576
     /*  685576 */   GIM_Try, /*On fail goto*//*Label 10894*/ GIMT_Encode4(685651), // Rule ID 10841 //
     /*  685581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  685592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  685595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  685598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  685601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685627 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685649 */     GIR_RootConstrainSelectedInstOperands,
     /*  685650 */     // GIR_Coverage, 10841,
     /*  685650 */     GIR_EraseRootFromParent_Done,
     /*  685651 */   // Label 10894: @685651
     /*  685651 */   GIM_Try, /*On fail goto*//*Label 10895*/ GIMT_Encode4(685726), // Rule ID 10844 //
     /*  685656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  685667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  685670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  685673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  685676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685724 */     GIR_RootConstrainSelectedInstOperands,
     /*  685725 */     // GIR_Coverage, 10844,
     /*  685725 */     GIR_EraseRootFromParent_Done,
     /*  685726 */   // Label 10895: @685726
     /*  685726 */   GIM_Try, /*On fail goto*//*Label 10896*/ GIMT_Encode4(685801), // Rule ID 10845 //
     /*  685731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  685742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  685745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  685748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  685751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685777 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685799 */     GIR_RootConstrainSelectedInstOperands,
     /*  685800 */     // GIR_Coverage, 10845,
     /*  685800 */     GIR_EraseRootFromParent_Done,
     /*  685801 */   // Label 10896: @685801
     /*  685801 */   GIM_Try, /*On fail goto*//*Label 10897*/ GIMT_Encode4(685876), // Rule ID 10848 //
     /*  685806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  685817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  685820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  685823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  685826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685874 */     GIR_RootConstrainSelectedInstOperands,
     /*  685875 */     // GIR_Coverage, 10848,
     /*  685875 */     GIR_EraseRootFromParent_Done,
     /*  685876 */   // Label 10897: @685876
     /*  685876 */   GIM_Try, /*On fail goto*//*Label 10898*/ GIMT_Encode4(685951), // Rule ID 10849 //
     /*  685881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  685892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  685895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  685898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  685901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685949 */     GIR_RootConstrainSelectedInstOperands,
     /*  685950 */     // GIR_Coverage, 10849,
     /*  685950 */     GIR_EraseRootFromParent_Done,
     /*  685951 */   // Label 10898: @685951
     /*  685951 */   GIM_Try, /*On fail goto*//*Label 10899*/ GIMT_Encode4(686026), // Rule ID 10852 //
     /*  685956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  685967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  685970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  685973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  685976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  686005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686024 */     GIR_RootConstrainSelectedInstOperands,
     /*  686025 */     // GIR_Coverage, 10852,
     /*  686025 */     GIR_EraseRootFromParent_Done,
     /*  686026 */   // Label 10899: @686026
     /*  686026 */   GIM_Try, /*On fail goto*//*Label 10900*/ GIMT_Encode4(686101), // Rule ID 10853 //
     /*  686031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  686042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  686045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  686048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  686051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  686080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686099 */     GIR_RootConstrainSelectedInstOperands,
     /*  686100 */     // GIR_Coverage, 10853,
     /*  686100 */     GIR_EraseRootFromParent_Done,
     /*  686101 */   // Label 10900: @686101
     /*  686101 */   GIM_Try, /*On fail goto*//*Label 10901*/ GIMT_Encode4(686176), // Rule ID 10856 //
     /*  686106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  686117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  686120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  686123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  686126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  686155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686174 */     GIR_RootConstrainSelectedInstOperands,
     /*  686175 */     // GIR_Coverage, 10856,
     /*  686175 */     GIR_EraseRootFromParent_Done,
     /*  686176 */   // Label 10901: @686176
     /*  686176 */   GIM_Try, /*On fail goto*//*Label 10902*/ GIMT_Encode4(686251), // Rule ID 10857 //
     /*  686181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  686192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  686195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  686198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  686201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  686230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686249 */     GIR_RootConstrainSelectedInstOperands,
     /*  686250 */     // GIR_Coverage, 10857,
     /*  686250 */     GIR_EraseRootFromParent_Done,
     /*  686251 */   // Label 10902: @686251
     /*  686251 */   GIM_Try, /*On fail goto*//*Label 10903*/ GIMT_Encode4(686326), // Rule ID 10860 //
     /*  686256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  686267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  686270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  686273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  686276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  686305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686324 */     GIR_RootConstrainSelectedInstOperands,
     /*  686325 */     // GIR_Coverage, 10860,
     /*  686325 */     GIR_EraseRootFromParent_Done,
     /*  686326 */   // Label 10903: @686326
     /*  686326 */   GIM_Try, /*On fail goto*//*Label 10904*/ GIMT_Encode4(686401), // Rule ID 10861 //
     /*  686331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  686342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  686345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  686348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  686351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686377 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  686380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686399 */     GIR_RootConstrainSelectedInstOperands,
     /*  686400 */     // GIR_Coverage, 10861,
     /*  686400 */     GIR_EraseRootFromParent_Done,
     /*  686401 */   // Label 10904: @686401
     /*  686401 */   GIM_Try, /*On fail goto*//*Label 10905*/ GIMT_Encode4(686476), // Rule ID 10864 //
     /*  686406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  686409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  686417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  686420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  686423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  686426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686452 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  686452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  686455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686474 */     GIR_RootConstrainSelectedInstOperands,
     /*  686475 */     // GIR_Coverage, 10864,
     /*  686475 */     GIR_EraseRootFromParent_Done,
     /*  686476 */   // Label 10905: @686476
     /*  686476 */   GIM_Try, /*On fail goto*//*Label 10906*/ GIMT_Encode4(686551), // Rule ID 10865 //
     /*  686481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  686484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  686492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  686495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  686498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  686501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  686530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686549 */     GIR_RootConstrainSelectedInstOperands,
     /*  686550 */     // GIR_Coverage, 10865,
     /*  686550 */     GIR_EraseRootFromParent_Done,
     /*  686551 */   // Label 10906: @686551
     /*  686551 */   GIM_Try, /*On fail goto*//*Label 10907*/ GIMT_Encode4(686626), // Rule ID 10868 //
     /*  686556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  686559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  686567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  686570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  686573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  686576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  686602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  686605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686624 */     GIR_RootConstrainSelectedInstOperands,
     /*  686625 */     // GIR_Coverage, 10868,
     /*  686625 */     GIR_EraseRootFromParent_Done,
     /*  686626 */   // Label 10907: @686626
     /*  686626 */   GIM_Try, /*On fail goto*//*Label 10908*/ GIMT_Encode4(686701), // Rule ID 10869 //
     /*  686631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  686634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  686642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  686645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  686648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  686651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686677 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  686680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686699 */     GIR_RootConstrainSelectedInstOperands,
     /*  686700 */     // GIR_Coverage, 10869,
     /*  686700 */     GIR_EraseRootFromParent_Done,
     /*  686701 */   // Label 10908: @686701
     /*  686701 */   GIM_Try, /*On fail goto*//*Label 10909*/ GIMT_Encode4(686776), // Rule ID 10872 //
     /*  686706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  686709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  686717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  686720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  686723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  686726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  686752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  686755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686774 */     GIR_RootConstrainSelectedInstOperands,
     /*  686775 */     // GIR_Coverage, 10872,
     /*  686775 */     GIR_EraseRootFromParent_Done,
     /*  686776 */   // Label 10909: @686776
     /*  686776 */   GIM_Try, /*On fail goto*//*Label 10910*/ GIMT_Encode4(686851), // Rule ID 10873 //
     /*  686781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  686784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  686792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  686795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  686798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  686801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686827 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  686830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686849 */     GIR_RootConstrainSelectedInstOperands,
     /*  686850 */     // GIR_Coverage, 10873,
     /*  686850 */     GIR_EraseRootFromParent_Done,
     /*  686851 */   // Label 10910: @686851
     /*  686851 */   GIM_Try, /*On fail goto*//*Label 10911*/ GIMT_Encode4(686926), // Rule ID 10876 //
     /*  686856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  686867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  686870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  686873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686902 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  686905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686924 */     GIR_RootConstrainSelectedInstOperands,
     /*  686925 */     // GIR_Coverage, 10876,
     /*  686925 */     GIR_EraseRootFromParent_Done,
     /*  686926 */   // Label 10911: @686926
     /*  686926 */   GIM_Try, /*On fail goto*//*Label 10912*/ GIMT_Encode4(687001), // Rule ID 10877 //
     /*  686931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  686942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  686945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  686948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686977 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  686980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686999 */     GIR_RootConstrainSelectedInstOperands,
     /*  687000 */     // GIR_Coverage, 10877,
     /*  687000 */     GIR_EraseRootFromParent_Done,
     /*  687001 */   // Label 10912: @687001
     /*  687001 */   GIM_Try, /*On fail goto*//*Label 10913*/ GIMT_Encode4(687076), // Rule ID 10880 //
     /*  687006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  687017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  687020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  687023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687052 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  687055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687074 */     GIR_RootConstrainSelectedInstOperands,
     /*  687075 */     // GIR_Coverage, 10880,
     /*  687075 */     GIR_EraseRootFromParent_Done,
     /*  687076 */   // Label 10913: @687076
     /*  687076 */   GIM_Try, /*On fail goto*//*Label 10914*/ GIMT_Encode4(687151), // Rule ID 10881 //
     /*  687081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  687092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  687095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  687098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687127 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  687130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687149 */     GIR_RootConstrainSelectedInstOperands,
     /*  687150 */     // GIR_Coverage, 10881,
     /*  687150 */     GIR_EraseRootFromParent_Done,
     /*  687151 */   // Label 10914: @687151
     /*  687151 */   GIM_Try, /*On fail goto*//*Label 10915*/ GIMT_Encode4(687226), // Rule ID 10884 //
     /*  687156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  687167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  687170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  687173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687202 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  687205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687224 */     GIR_RootConstrainSelectedInstOperands,
     /*  687225 */     // GIR_Coverage, 10884,
     /*  687225 */     GIR_EraseRootFromParent_Done,
     /*  687226 */   // Label 10915: @687226
     /*  687226 */   GIM_Try, /*On fail goto*//*Label 10916*/ GIMT_Encode4(687301), // Rule ID 10885 //
     /*  687231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  687242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  687245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  687248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687277 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  687280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687299 */     GIR_RootConstrainSelectedInstOperands,
     /*  687300 */     // GIR_Coverage, 10885,
     /*  687300 */     GIR_EraseRootFromParent_Done,
     /*  687301 */   // Label 10916: @687301
     /*  687301 */   GIM_Try, /*On fail goto*//*Label 10917*/ GIMT_Encode4(687376), // Rule ID 10888 //
     /*  687306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  687317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  687320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  687323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687352 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  687355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687374 */     GIR_RootConstrainSelectedInstOperands,
     /*  687375 */     // GIR_Coverage, 10888,
     /*  687375 */     GIR_EraseRootFromParent_Done,
     /*  687376 */   // Label 10917: @687376
     /*  687376 */   GIM_Try, /*On fail goto*//*Label 10918*/ GIMT_Encode4(687451), // Rule ID 10889 //
     /*  687381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  687392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  687395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  687398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687427 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  687430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687449 */     GIR_RootConstrainSelectedInstOperands,
     /*  687450 */     // GIR_Coverage, 10889,
     /*  687450 */     GIR_EraseRootFromParent_Done,
     /*  687451 */   // Label 10918: @687451
     /*  687451 */   GIM_Try, /*On fail goto*//*Label 10919*/ GIMT_Encode4(687526), // Rule ID 10892 //
     /*  687456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  687467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  687470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  687473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687502 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  687505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687524 */     GIR_RootConstrainSelectedInstOperands,
     /*  687525 */     // GIR_Coverage, 10892,
     /*  687525 */     GIR_EraseRootFromParent_Done,
     /*  687526 */   // Label 10919: @687526
     /*  687526 */   GIM_Try, /*On fail goto*//*Label 10920*/ GIMT_Encode4(687601), // Rule ID 10893 //
     /*  687531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  687542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  687545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  687548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687577 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  687580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687599 */     GIR_RootConstrainSelectedInstOperands,
     /*  687600 */     // GIR_Coverage, 10893,
     /*  687600 */     GIR_EraseRootFromParent_Done,
     /*  687601 */   // Label 10920: @687601
     /*  687601 */   GIM_Try, /*On fail goto*//*Label 10921*/ GIMT_Encode4(687676), // Rule ID 10896 //
     /*  687606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  687617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  687620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  687623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  687655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687674 */     GIR_RootConstrainSelectedInstOperands,
     /*  687675 */     // GIR_Coverage, 10896,
     /*  687675 */     GIR_EraseRootFromParent_Done,
     /*  687676 */   // Label 10921: @687676
     /*  687676 */   GIM_Try, /*On fail goto*//*Label 10922*/ GIMT_Encode4(687751), // Rule ID 10897 //
     /*  687681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  687692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  687695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  687698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687727 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  687730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687749 */     GIR_RootConstrainSelectedInstOperands,
     /*  687750 */     // GIR_Coverage, 10897,
     /*  687750 */     GIR_EraseRootFromParent_Done,
     /*  687751 */   // Label 10922: @687751
     /*  687751 */   GIM_Try, /*On fail goto*//*Label 10923*/ GIMT_Encode4(687826), // Rule ID 10900 //
     /*  687756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  687767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  687770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  687773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687824 */     GIR_RootConstrainSelectedInstOperands,
     /*  687825 */     // GIR_Coverage, 10900,
     /*  687825 */     GIR_EraseRootFromParent_Done,
     /*  687826 */   // Label 10923: @687826
     /*  687826 */   GIM_Try, /*On fail goto*//*Label 10924*/ GIMT_Encode4(687901), // Rule ID 10901 //
     /*  687831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  687842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  687845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  687848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687899 */     GIR_RootConstrainSelectedInstOperands,
     /*  687900 */     // GIR_Coverage, 10901,
     /*  687900 */     GIR_EraseRootFromParent_Done,
     /*  687901 */   // Label 10924: @687901
     /*  687901 */   GIM_Try, /*On fail goto*//*Label 10925*/ GIMT_Encode4(687976), // Rule ID 10904 //
     /*  687906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  687917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  687920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  687923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687974 */     GIR_RootConstrainSelectedInstOperands,
     /*  687975 */     // GIR_Coverage, 10904,
     /*  687975 */     GIR_EraseRootFromParent_Done,
     /*  687976 */   // Label 10925: @687976
     /*  687976 */   GIM_Try, /*On fail goto*//*Label 10926*/ GIMT_Encode4(688051), // Rule ID 10905 //
     /*  687981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  687992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  687995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  687998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  688030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688049 */     GIR_RootConstrainSelectedInstOperands,
     /*  688050 */     // GIR_Coverage, 10905,
     /*  688050 */     GIR_EraseRootFromParent_Done,
     /*  688051 */   // Label 10926: @688051
     /*  688051 */   GIM_Try, /*On fail goto*//*Label 10927*/ GIMT_Encode4(688126), // Rule ID 10908 //
     /*  688056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  688067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  688070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  688073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  688105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688124 */     GIR_RootConstrainSelectedInstOperands,
     /*  688125 */     // GIR_Coverage, 10908,
     /*  688125 */     GIR_EraseRootFromParent_Done,
     /*  688126 */   // Label 10927: @688126
     /*  688126 */   GIM_Try, /*On fail goto*//*Label 10928*/ GIMT_Encode4(688201), // Rule ID 10909 //
     /*  688131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  688142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  688145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  688148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  688180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688199 */     GIR_RootConstrainSelectedInstOperands,
     /*  688200 */     // GIR_Coverage, 10909,
     /*  688200 */     GIR_EraseRootFromParent_Done,
     /*  688201 */   // Label 10928: @688201
     /*  688201 */   GIM_Try, /*On fail goto*//*Label 10929*/ GIMT_Encode4(688276), // Rule ID 10912 //
     /*  688206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  688209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  688217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  688220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  688223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  688252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  688255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688274 */     GIR_RootConstrainSelectedInstOperands,
     /*  688275 */     // GIR_Coverage, 10912,
     /*  688275 */     GIR_EraseRootFromParent_Done,
     /*  688276 */   // Label 10929: @688276
     /*  688276 */   GIM_Try, /*On fail goto*//*Label 10930*/ GIMT_Encode4(688351), // Rule ID 10913 //
     /*  688281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  688284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  688292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  688295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  688298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  688327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  688330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688349 */     GIR_RootConstrainSelectedInstOperands,
     /*  688350 */     // GIR_Coverage, 10913,
     /*  688350 */     GIR_EraseRootFromParent_Done,
     /*  688351 */   // Label 10930: @688351
     /*  688351 */   GIM_Try, /*On fail goto*//*Label 10931*/ GIMT_Encode4(688426), // Rule ID 10916 //
     /*  688356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  688367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  688370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  688373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688402 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688424 */     GIR_RootConstrainSelectedInstOperands,
     /*  688425 */     // GIR_Coverage, 10916,
     /*  688425 */     GIR_EraseRootFromParent_Done,
     /*  688426 */   // Label 10931: @688426
     /*  688426 */   GIM_Try, /*On fail goto*//*Label 10932*/ GIMT_Encode4(688501), // Rule ID 10917 //
     /*  688431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  688442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  688445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  688448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688477 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688499 */     GIR_RootConstrainSelectedInstOperands,
     /*  688500 */     // GIR_Coverage, 10917,
     /*  688500 */     GIR_EraseRootFromParent_Done,
     /*  688501 */   // Label 10932: @688501
     /*  688501 */   GIM_Try, /*On fail goto*//*Label 10933*/ GIMT_Encode4(688576), // Rule ID 10920 //
     /*  688506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  688517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  688520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  688523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688574 */     GIR_RootConstrainSelectedInstOperands,
     /*  688575 */     // GIR_Coverage, 10920,
     /*  688575 */     GIR_EraseRootFromParent_Done,
     /*  688576 */   // Label 10933: @688576
     /*  688576 */   GIM_Try, /*On fail goto*//*Label 10934*/ GIMT_Encode4(688651), // Rule ID 10921 //
     /*  688581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  688592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  688595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  688598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688627 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688649 */     GIR_RootConstrainSelectedInstOperands,
     /*  688650 */     // GIR_Coverage, 10921,
     /*  688650 */     GIR_EraseRootFromParent_Done,
     /*  688651 */   // Label 10934: @688651
     /*  688651 */   GIM_Try, /*On fail goto*//*Label 10935*/ GIMT_Encode4(688726), // Rule ID 10924 //
     /*  688656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  688667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  688670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  688673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688702 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688724 */     GIR_RootConstrainSelectedInstOperands,
     /*  688725 */     // GIR_Coverage, 10924,
     /*  688725 */     GIR_EraseRootFromParent_Done,
     /*  688726 */   // Label 10935: @688726
     /*  688726 */   GIM_Try, /*On fail goto*//*Label 10936*/ GIMT_Encode4(688801), // Rule ID 10925 //
     /*  688731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  688742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  688745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  688748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688777 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688799 */     GIR_RootConstrainSelectedInstOperands,
     /*  688800 */     // GIR_Coverage, 10925,
     /*  688800 */     GIR_EraseRootFromParent_Done,
     /*  688801 */   // Label 10936: @688801
     /*  688801 */   GIM_Try, /*On fail goto*//*Label 10937*/ GIMT_Encode4(688876), // Rule ID 10928 //
     /*  688806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  688817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  688820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  688823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688852 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688874 */     GIR_RootConstrainSelectedInstOperands,
     /*  688875 */     // GIR_Coverage, 10928,
     /*  688875 */     GIR_EraseRootFromParent_Done,
     /*  688876 */   // Label 10937: @688876
     /*  688876 */   GIM_Try, /*On fail goto*//*Label 10938*/ GIMT_Encode4(688951), // Rule ID 10929 //
     /*  688881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  688892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  688895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  688898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688927 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688949 */     GIR_RootConstrainSelectedInstOperands,
     /*  688950 */     // GIR_Coverage, 10929,
     /*  688950 */     GIR_EraseRootFromParent_Done,
     /*  688951 */   // Label 10938: @688951
     /*  688951 */   GIM_Try, /*On fail goto*//*Label 10939*/ GIMT_Encode4(689026), // Rule ID 10932 //
     /*  688956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  688967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  688970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  688973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689002 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  689005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689024 */     GIR_RootConstrainSelectedInstOperands,
     /*  689025 */     // GIR_Coverage, 10932,
     /*  689025 */     GIR_EraseRootFromParent_Done,
     /*  689026 */   // Label 10939: @689026
     /*  689026 */   GIM_Try, /*On fail goto*//*Label 10940*/ GIMT_Encode4(689101), // Rule ID 10933 //
     /*  689031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  689042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  689045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  689048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689077 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  689080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689099 */     GIR_RootConstrainSelectedInstOperands,
     /*  689100 */     // GIR_Coverage, 10933,
     /*  689100 */     GIR_EraseRootFromParent_Done,
     /*  689101 */   // Label 10940: @689101
     /*  689101 */   GIM_Try, /*On fail goto*//*Label 10941*/ GIMT_Encode4(689176), // Rule ID 10936 //
     /*  689106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  689117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  689120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  689123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689152 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  689155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689174 */     GIR_RootConstrainSelectedInstOperands,
     /*  689175 */     // GIR_Coverage, 10936,
     /*  689175 */     GIR_EraseRootFromParent_Done,
     /*  689176 */   // Label 10941: @689176
     /*  689176 */   GIM_Try, /*On fail goto*//*Label 10942*/ GIMT_Encode4(689251), // Rule ID 10937 //
     /*  689181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  689192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  689195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  689198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689227 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  689230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689249 */     GIR_RootConstrainSelectedInstOperands,
     /*  689250 */     // GIR_Coverage, 10937,
     /*  689250 */     GIR_EraseRootFromParent_Done,
     /*  689251 */   // Label 10942: @689251
     /*  689251 */   GIM_Try, /*On fail goto*//*Label 10943*/ GIMT_Encode4(689326), // Rule ID 10940 //
     /*  689256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  689267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  689270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  689273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  689305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689324 */     GIR_RootConstrainSelectedInstOperands,
     /*  689325 */     // GIR_Coverage, 10940,
     /*  689325 */     GIR_EraseRootFromParent_Done,
     /*  689326 */   // Label 10943: @689326
     /*  689326 */   GIM_Try, /*On fail goto*//*Label 10944*/ GIMT_Encode4(689401), // Rule ID 10941 //
     /*  689331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  689342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  689345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  689348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  689380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689399 */     GIR_RootConstrainSelectedInstOperands,
     /*  689400 */     // GIR_Coverage, 10941,
     /*  689400 */     GIR_EraseRootFromParent_Done,
     /*  689401 */   // Label 10944: @689401
     /*  689401 */   GIM_Try, /*On fail goto*//*Label 10945*/ GIMT_Encode4(689476), // Rule ID 10944 //
     /*  689406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  689417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  689420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  689423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  689455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689474 */     GIR_RootConstrainSelectedInstOperands,
     /*  689475 */     // GIR_Coverage, 10944,
     /*  689475 */     GIR_EraseRootFromParent_Done,
     /*  689476 */   // Label 10945: @689476
     /*  689476 */   GIM_Try, /*On fail goto*//*Label 10946*/ GIMT_Encode4(689551), // Rule ID 10945 //
     /*  689481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  689492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  689495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  689498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689527 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  689530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689549 */     GIR_RootConstrainSelectedInstOperands,
     /*  689550 */     // GIR_Coverage, 10945,
     /*  689550 */     GIR_EraseRootFromParent_Done,
     /*  689551 */   // Label 10946: @689551
     /*  689551 */   GIM_Try, /*On fail goto*//*Label 10947*/ GIMT_Encode4(689626), // Rule ID 10948 //
     /*  689556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  689567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  689570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  689573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689602 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  689605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689624 */     GIR_RootConstrainSelectedInstOperands,
     /*  689625 */     // GIR_Coverage, 10948,
     /*  689625 */     GIR_EraseRootFromParent_Done,
     /*  689626 */   // Label 10947: @689626
     /*  689626 */   GIM_Try, /*On fail goto*//*Label 10948*/ GIMT_Encode4(689701), // Rule ID 10949 //
     /*  689631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  689642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  689645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  689648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689677 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  689680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689699 */     GIR_RootConstrainSelectedInstOperands,
     /*  689700 */     // GIR_Coverage, 10949,
     /*  689700 */     GIR_EraseRootFromParent_Done,
     /*  689701 */   // Label 10948: @689701
     /*  689701 */   GIM_Try, /*On fail goto*//*Label 10949*/ GIMT_Encode4(689776), // Rule ID 10952 //
     /*  689706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  689717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  689720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  689723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  689755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689774 */     GIR_RootConstrainSelectedInstOperands,
     /*  689775 */     // GIR_Coverage, 10952,
     /*  689775 */     GIR_EraseRootFromParent_Done,
     /*  689776 */   // Label 10949: @689776
     /*  689776 */   GIM_Try, /*On fail goto*//*Label 10950*/ GIMT_Encode4(689851), // Rule ID 10953 //
     /*  689781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  689792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  689795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  689798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  689830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689849 */     GIR_RootConstrainSelectedInstOperands,
     /*  689850 */     // GIR_Coverage, 10953,
     /*  689850 */     GIR_EraseRootFromParent_Done,
     /*  689851 */   // Label 10950: @689851
     /*  689851 */   GIM_Try, /*On fail goto*//*Label 10951*/ GIMT_Encode4(689926), // Rule ID 10956 //
     /*  689856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  689867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  689870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  689873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689902 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  689905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689924 */     GIR_RootConstrainSelectedInstOperands,
     /*  689925 */     // GIR_Coverage, 10956,
     /*  689925 */     GIR_EraseRootFromParent_Done,
     /*  689926 */   // Label 10951: @689926
     /*  689926 */   GIM_Try, /*On fail goto*//*Label 10952*/ GIMT_Encode4(690001), // Rule ID 10957 //
     /*  689931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  689942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  689945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  689948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689977 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  689980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689999 */     GIR_RootConstrainSelectedInstOperands,
     /*  690000 */     // GIR_Coverage, 10957,
     /*  690000 */     GIR_EraseRootFromParent_Done,
     /*  690001 */   // Label 10952: @690001
     /*  690001 */   GIM_Try, /*On fail goto*//*Label 10953*/ GIMT_Encode4(690076), // Rule ID 10960 //
     /*  690006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  690017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  690020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  690023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  690026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690052 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  690055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690074 */     GIR_RootConstrainSelectedInstOperands,
     /*  690075 */     // GIR_Coverage, 10960,
     /*  690075 */     GIR_EraseRootFromParent_Done,
     /*  690076 */   // Label 10953: @690076
     /*  690076 */   GIM_Try, /*On fail goto*//*Label 10954*/ GIMT_Encode4(690151), // Rule ID 10961 //
     /*  690081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  690092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  690095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  690098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  690101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690127 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  690130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690149 */     GIR_RootConstrainSelectedInstOperands,
     /*  690150 */     // GIR_Coverage, 10961,
     /*  690150 */     GIR_EraseRootFromParent_Done,
     /*  690151 */   // Label 10954: @690151
     /*  690151 */   GIM_Try, /*On fail goto*//*Label 10955*/ GIMT_Encode4(690226), // Rule ID 10964 //
     /*  690156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  690167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  690170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  690173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  690176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690202 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  690205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690224 */     GIR_RootConstrainSelectedInstOperands,
     /*  690225 */     // GIR_Coverage, 10964,
     /*  690225 */     GIR_EraseRootFromParent_Done,
     /*  690226 */   // Label 10955: @690226
     /*  690226 */   GIM_Try, /*On fail goto*//*Label 10956*/ GIMT_Encode4(690301), // Rule ID 10965 //
     /*  690231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  690242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  690245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  690248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  690251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690277 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  690280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690299 */     GIR_RootConstrainSelectedInstOperands,
     /*  690300 */     // GIR_Coverage, 10965,
     /*  690300 */     GIR_EraseRootFromParent_Done,
     /*  690301 */   // Label 10956: @690301
     /*  690301 */   GIM_Try, /*On fail goto*//*Label 10957*/ GIMT_Encode4(690376), // Rule ID 10968 //
     /*  690306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  690317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  690320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  690323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  690326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690352 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  690355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690374 */     GIR_RootConstrainSelectedInstOperands,
     /*  690375 */     // GIR_Coverage, 10968,
     /*  690375 */     GIR_EraseRootFromParent_Done,
     /*  690376 */   // Label 10957: @690376
     /*  690376 */   GIM_Try, /*On fail goto*//*Label 10958*/ GIMT_Encode4(690451), // Rule ID 10969 //
     /*  690381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  690392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  690395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  690398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  690401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690427 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  690430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690449 */     GIR_RootConstrainSelectedInstOperands,
     /*  690450 */     // GIR_Coverage, 10969,
     /*  690450 */     GIR_EraseRootFromParent_Done,
     /*  690451 */   // Label 10958: @690451
     /*  690451 */   GIM_Try, /*On fail goto*//*Label 10959*/ GIMT_Encode4(690526), // Rule ID 10972 //
     /*  690456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  690467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  690470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  690473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  690476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  690505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690524 */     GIR_RootConstrainSelectedInstOperands,
     /*  690525 */     // GIR_Coverage, 10972,
     /*  690525 */     GIR_EraseRootFromParent_Done,
     /*  690526 */   // Label 10959: @690526
     /*  690526 */   GIM_Try, /*On fail goto*//*Label 10960*/ GIMT_Encode4(690601), // Rule ID 10973 //
     /*  690531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  690542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  690545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  690548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  690551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690577 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  690580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690599 */     GIR_RootConstrainSelectedInstOperands,
     /*  690600 */     // GIR_Coverage, 10973,
     /*  690600 */     GIR_EraseRootFromParent_Done,
     /*  690601 */   // Label 10960: @690601
     /*  690601 */   GIM_Try, /*On fail goto*//*Label 10961*/ GIMT_Encode4(690676), // Rule ID 10976 //
     /*  690606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  690617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  690620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  690623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  690626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690652 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  690655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690674 */     GIR_RootConstrainSelectedInstOperands,
     /*  690675 */     // GIR_Coverage, 10976,
     /*  690675 */     GIR_EraseRootFromParent_Done,
     /*  690676 */   // Label 10961: @690676
     /*  690676 */   GIM_Try, /*On fail goto*//*Label 10962*/ GIMT_Encode4(690751), // Rule ID 10977 //
     /*  690681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  690692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  690695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  690698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  690701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690727 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  690730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690749 */     GIR_RootConstrainSelectedInstOperands,
     /*  690750 */     // GIR_Coverage, 10977,
     /*  690750 */     GIR_EraseRootFromParent_Done,
     /*  690751 */   // Label 10962: @690751
     /*  690751 */   GIM_Try, /*On fail goto*//*Label 10963*/ GIMT_Encode4(690826), // Rule ID 10980 //
     /*  690756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  690767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  690770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  690773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  690776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690802 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  690805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690824 */     GIR_RootConstrainSelectedInstOperands,
     /*  690825 */     // GIR_Coverage, 10980,
     /*  690825 */     GIR_EraseRootFromParent_Done,
     /*  690826 */   // Label 10963: @690826
     /*  690826 */   GIM_Try, /*On fail goto*//*Label 10964*/ GIMT_Encode4(690901), // Rule ID 10981 //
     /*  690831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  690842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  690845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  690848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  690851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690877 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  690880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690899 */     GIR_RootConstrainSelectedInstOperands,
     /*  690900 */     // GIR_Coverage, 10981,
     /*  690900 */     GIR_EraseRootFromParent_Done,
     /*  690901 */   // Label 10964: @690901
     /*  690901 */   GIM_Try, /*On fail goto*//*Label 10965*/ GIMT_Encode4(690976), // Rule ID 10984 //
     /*  690906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  690917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  690920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  690923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  690926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  690955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690974 */     GIR_RootConstrainSelectedInstOperands,
     /*  690975 */     // GIR_Coverage, 10984,
     /*  690975 */     GIR_EraseRootFromParent_Done,
     /*  690976 */   // Label 10965: @690976
     /*  690976 */   GIM_Try, /*On fail goto*//*Label 10966*/ GIMT_Encode4(691051), // Rule ID 10985 //
     /*  690981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  690992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  690995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  690998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  691001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691027 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  691030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691049 */     GIR_RootConstrainSelectedInstOperands,
     /*  691050 */     // GIR_Coverage, 10985,
     /*  691050 */     GIR_EraseRootFromParent_Done,
     /*  691051 */   // Label 10966: @691051
     /*  691051 */   GIM_Try, /*On fail goto*//*Label 10967*/ GIMT_Encode4(691126), // Rule ID 10988 //
     /*  691056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  691067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  691070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  691073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  691076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  691105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691124 */     GIR_RootConstrainSelectedInstOperands,
     /*  691125 */     // GIR_Coverage, 10988,
     /*  691125 */     GIR_EraseRootFromParent_Done,
     /*  691126 */   // Label 10967: @691126
     /*  691126 */   GIM_Try, /*On fail goto*//*Label 10968*/ GIMT_Encode4(691201), // Rule ID 10989 //
     /*  691131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  691142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  691145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  691148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  691151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  691180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691199 */     GIR_RootConstrainSelectedInstOperands,
     /*  691200 */     // GIR_Coverage, 10989,
     /*  691200 */     GIR_EraseRootFromParent_Done,
     /*  691201 */   // Label 10968: @691201
     /*  691201 */   GIM_Try, /*On fail goto*//*Label 10969*/ GIMT_Encode4(691276), // Rule ID 10992 //
     /*  691206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  691217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  691220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  691223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  691226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  691255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691274 */     GIR_RootConstrainSelectedInstOperands,
     /*  691275 */     // GIR_Coverage, 10992,
     /*  691275 */     GIR_EraseRootFromParent_Done,
     /*  691276 */   // Label 10969: @691276
     /*  691276 */   GIM_Try, /*On fail goto*//*Label 10970*/ GIMT_Encode4(691351), // Rule ID 10993 //
     /*  691281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  691292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  691295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  691298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  691301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  691330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691349 */     GIR_RootConstrainSelectedInstOperands,
     /*  691350 */     // GIR_Coverage, 10993,
     /*  691350 */     GIR_EraseRootFromParent_Done,
     /*  691351 */   // Label 10970: @691351
     /*  691351 */   GIM_Try, /*On fail goto*//*Label 10971*/ GIMT_Encode4(691426), // Rule ID 10996 //
     /*  691356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  691367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  691370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  691373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  691376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  691405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691424 */     GIR_RootConstrainSelectedInstOperands,
     /*  691425 */     // GIR_Coverage, 10996,
     /*  691425 */     GIR_EraseRootFromParent_Done,
     /*  691426 */   // Label 10971: @691426
     /*  691426 */   GIM_Try, /*On fail goto*//*Label 10972*/ GIMT_Encode4(691501), // Rule ID 10997 //
     /*  691431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  691442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  691445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  691448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  691451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  691480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691499 */     GIR_RootConstrainSelectedInstOperands,
     /*  691500 */     // GIR_Coverage, 10997,
     /*  691500 */     GIR_EraseRootFromParent_Done,
     /*  691501 */   // Label 10972: @691501
     /*  691501 */   GIM_Try, /*On fail goto*//*Label 10973*/ GIMT_Encode4(691576), // Rule ID 11000 //
     /*  691506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  691509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  691517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  691520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  691523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  691526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  691552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  691555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691574 */     GIR_RootConstrainSelectedInstOperands,
     /*  691575 */     // GIR_Coverage, 11000,
     /*  691575 */     GIR_EraseRootFromParent_Done,
     /*  691576 */   // Label 10973: @691576
     /*  691576 */   GIM_Try, /*On fail goto*//*Label 10974*/ GIMT_Encode4(691651), // Rule ID 11001 //
     /*  691581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  691584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  691592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  691595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  691598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  691601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  691627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  691630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691649 */     GIR_RootConstrainSelectedInstOperands,
     /*  691650 */     // GIR_Coverage, 11001,
     /*  691650 */     GIR_EraseRootFromParent_Done,
     /*  691651 */   // Label 10974: @691651
     /*  691651 */   GIM_Try, /*On fail goto*//*Label 10975*/ GIMT_Encode4(691726), // Rule ID 11004 //
     /*  691656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  691667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  691670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  691673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  691676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691702 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691724 */     GIR_RootConstrainSelectedInstOperands,
     /*  691725 */     // GIR_Coverage, 11004,
     /*  691725 */     GIR_EraseRootFromParent_Done,
     /*  691726 */   // Label 10975: @691726
     /*  691726 */   GIM_Try, /*On fail goto*//*Label 10976*/ GIMT_Encode4(691801), // Rule ID 11005 //
     /*  691731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  691742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  691745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  691748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  691751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691777 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691799 */     GIR_RootConstrainSelectedInstOperands,
     /*  691800 */     // GIR_Coverage, 11005,
     /*  691800 */     GIR_EraseRootFromParent_Done,
     /*  691801 */   // Label 10976: @691801
     /*  691801 */   GIM_Try, /*On fail goto*//*Label 10977*/ GIMT_Encode4(691876), // Rule ID 11008 //
     /*  691806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  691817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  691820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  691823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  691826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691852 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691874 */     GIR_RootConstrainSelectedInstOperands,
     /*  691875 */     // GIR_Coverage, 11008,
     /*  691875 */     GIR_EraseRootFromParent_Done,
     /*  691876 */   // Label 10977: @691876
     /*  691876 */   GIM_Try, /*On fail goto*//*Label 10978*/ GIMT_Encode4(691951), // Rule ID 11009 //
     /*  691881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  691892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  691895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  691898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  691901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691927 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691949 */     GIR_RootConstrainSelectedInstOperands,
     /*  691950 */     // GIR_Coverage, 11009,
     /*  691950 */     GIR_EraseRootFromParent_Done,
     /*  691951 */   // Label 10978: @691951
     /*  691951 */   GIM_Try, /*On fail goto*//*Label 10979*/ GIMT_Encode4(692026), // Rule ID 11012 //
     /*  691956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  691967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  691970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  691973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  691976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692002 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692024 */     GIR_RootConstrainSelectedInstOperands,
     /*  692025 */     // GIR_Coverage, 11012,
     /*  692025 */     GIR_EraseRootFromParent_Done,
     /*  692026 */   // Label 10979: @692026
     /*  692026 */   GIM_Try, /*On fail goto*//*Label 10980*/ GIMT_Encode4(692101), // Rule ID 11013 //
     /*  692031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  692042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  692045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  692048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  692051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692077 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692099 */     GIR_RootConstrainSelectedInstOperands,
     /*  692100 */     // GIR_Coverage, 11013,
     /*  692100 */     GIR_EraseRootFromParent_Done,
     /*  692101 */   // Label 10980: @692101
     /*  692101 */   GIM_Try, /*On fail goto*//*Label 10981*/ GIMT_Encode4(692176), // Rule ID 11016 //
     /*  692106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  692117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  692120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  692123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  692126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  692155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692174 */     GIR_RootConstrainSelectedInstOperands,
     /*  692175 */     // GIR_Coverage, 11016,
     /*  692175 */     GIR_EraseRootFromParent_Done,
     /*  692176 */   // Label 10981: @692176
     /*  692176 */   GIM_Try, /*On fail goto*//*Label 10982*/ GIMT_Encode4(692251), // Rule ID 11017 //
     /*  692181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  692192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  692195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  692198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  692201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692227 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  692230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692249 */     GIR_RootConstrainSelectedInstOperands,
     /*  692250 */     // GIR_Coverage, 11017,
     /*  692250 */     GIR_EraseRootFromParent_Done,
     /*  692251 */   // Label 10982: @692251
     /*  692251 */   GIM_Try, /*On fail goto*//*Label 10983*/ GIMT_Encode4(692326), // Rule ID 11020 //
     /*  692256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  692267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  692270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  692273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  692276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692302 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692324 */     GIR_RootConstrainSelectedInstOperands,
     /*  692325 */     // GIR_Coverage, 11020,
     /*  692325 */     GIR_EraseRootFromParent_Done,
     /*  692326 */   // Label 10983: @692326
     /*  692326 */   GIM_Try, /*On fail goto*//*Label 10984*/ GIMT_Encode4(692401), // Rule ID 11021 //
     /*  692331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  692342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  692345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  692348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  692351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692377 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692399 */     GIR_RootConstrainSelectedInstOperands,
     /*  692400 */     // GIR_Coverage, 11021,
     /*  692400 */     GIR_EraseRootFromParent_Done,
     /*  692401 */   // Label 10984: @692401
     /*  692401 */   GIM_Try, /*On fail goto*//*Label 10985*/ GIMT_Encode4(692476), // Rule ID 11024 //
     /*  692406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  692417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  692420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  692423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  692426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692452 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692474 */     GIR_RootConstrainSelectedInstOperands,
     /*  692475 */     // GIR_Coverage, 11024,
     /*  692475 */     GIR_EraseRootFromParent_Done,
     /*  692476 */   // Label 10985: @692476
     /*  692476 */   GIM_Try, /*On fail goto*//*Label 10986*/ GIMT_Encode4(692551), // Rule ID 11025 //
     /*  692481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  692492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  692495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  692498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  692501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692527 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692549 */     GIR_RootConstrainSelectedInstOperands,
     /*  692550 */     // GIR_Coverage, 11025,
     /*  692550 */     GIR_EraseRootFromParent_Done,
     /*  692551 */   // Label 10986: @692551
     /*  692551 */   GIM_Try, /*On fail goto*//*Label 10987*/ GIMT_Encode4(692626), // Rule ID 11028 //
     /*  692556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  692567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  692570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  692573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  692576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  692605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692624 */     GIR_RootConstrainSelectedInstOperands,
     /*  692625 */     // GIR_Coverage, 11028,
     /*  692625 */     GIR_EraseRootFromParent_Done,
     /*  692626 */   // Label 10987: @692626
     /*  692626 */   GIM_Try, /*On fail goto*//*Label 10988*/ GIMT_Encode4(692701), // Rule ID 11029 //
     /*  692631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  692642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  692645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  692648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  692651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  692680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692699 */     GIR_RootConstrainSelectedInstOperands,
     /*  692700 */     // GIR_Coverage, 11029,
     /*  692700 */     GIR_EraseRootFromParent_Done,
     /*  692701 */   // Label 10988: @692701
     /*  692701 */   GIM_Try, /*On fail goto*//*Label 10989*/ GIMT_Encode4(692776), // Rule ID 11032 //
     /*  692706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  692717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  692720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  692723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  692726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692774 */     GIR_RootConstrainSelectedInstOperands,
     /*  692775 */     // GIR_Coverage, 11032,
     /*  692775 */     GIR_EraseRootFromParent_Done,
     /*  692776 */   // Label 10989: @692776
     /*  692776 */   GIM_Try, /*On fail goto*//*Label 10990*/ GIMT_Encode4(692851), // Rule ID 11033 //
     /*  692781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  692792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  692795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  692798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  692801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692827 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692849 */     GIR_RootConstrainSelectedInstOperands,
     /*  692850 */     // GIR_Coverage, 11033,
     /*  692850 */     GIR_EraseRootFromParent_Done,
     /*  692851 */   // Label 10990: @692851
     /*  692851 */   GIM_Try, /*On fail goto*//*Label 10991*/ GIMT_Encode4(692926), // Rule ID 11036 //
     /*  692856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  692867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  692870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  692873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  692876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692924 */     GIR_RootConstrainSelectedInstOperands,
     /*  692925 */     // GIR_Coverage, 11036,
     /*  692925 */     GIR_EraseRootFromParent_Done,
     /*  692926 */   // Label 10991: @692926
     /*  692926 */   GIM_Try, /*On fail goto*//*Label 10992*/ GIMT_Encode4(693001), // Rule ID 11037 //
     /*  692931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  692942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  692945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  692948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  692951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692977 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692999 */     GIR_RootConstrainSelectedInstOperands,
     /*  693000 */     // GIR_Coverage, 11037,
     /*  693000 */     GIR_EraseRootFromParent_Done,
     /*  693001 */   // Label 10992: @693001
     /*  693001 */   GIM_Try, /*On fail goto*//*Label 10993*/ GIMT_Encode4(693076), // Rule ID 11040 //
     /*  693006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  693009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  693017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  693020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  693023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  693026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  693055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693074 */     GIR_RootConstrainSelectedInstOperands,
     /*  693075 */     // GIR_Coverage, 11040,
     /*  693075 */     GIR_EraseRootFromParent_Done,
     /*  693076 */   // Label 10993: @693076
     /*  693076 */   GIM_Try, /*On fail goto*//*Label 10994*/ GIMT_Encode4(693151), // Rule ID 11041 //
     /*  693081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  693084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  693092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  693095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  693098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  693101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693127 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  693130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693149 */     GIR_RootConstrainSelectedInstOperands,
     /*  693150 */     // GIR_Coverage, 11041,
     /*  693150 */     GIR_EraseRootFromParent_Done,
     /*  693151 */   // Label 10994: @693151
     /*  693151 */   GIM_Try, /*On fail goto*//*Label 10995*/ GIMT_Encode4(693226), // Rule ID 11044 //
     /*  693156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  693159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  693167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  693170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  693173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  693176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693202 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  693205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693224 */     GIR_RootConstrainSelectedInstOperands,
     /*  693225 */     // GIR_Coverage, 11044,
     /*  693225 */     GIR_EraseRootFromParent_Done,
     /*  693226 */   // Label 10995: @693226
     /*  693226 */   GIM_Try, /*On fail goto*//*Label 10996*/ GIMT_Encode4(693301), // Rule ID 11045 //
     /*  693231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  693234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  693242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  693245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  693248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  693251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693277 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  693280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693299 */     GIR_RootConstrainSelectedInstOperands,
     /*  693300 */     // GIR_Coverage, 11045,
     /*  693300 */     GIR_EraseRootFromParent_Done,
     /*  693301 */   // Label 10996: @693301
     /*  693301 */   GIM_Try, /*On fail goto*//*Label 10997*/ GIMT_Encode4(693376), // Rule ID 11048 //
     /*  693306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  693309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  693317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  693320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  693323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  693326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  693355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693374 */     GIR_RootConstrainSelectedInstOperands,
     /*  693375 */     // GIR_Coverage, 11048,
     /*  693375 */     GIR_EraseRootFromParent_Done,
     /*  693376 */   // Label 10997: @693376
     /*  693376 */   GIM_Try, /*On fail goto*//*Label 10998*/ GIMT_Encode4(693451), // Rule ID 11049 //
     /*  693381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  693384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  693392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  693395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  693398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  693401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693427 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  693430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693449 */     GIR_RootConstrainSelectedInstOperands,
     /*  693450 */     // GIR_Coverage, 11049,
     /*  693450 */     GIR_EraseRootFromParent_Done,
     /*  693451 */   // Label 10998: @693451
     /*  693451 */   GIM_Try, /*On fail goto*//*Label 10999*/ GIMT_Encode4(693526), // Rule ID 11052 //
     /*  693456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  693467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  693470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  693473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  693505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693524 */     GIR_RootConstrainSelectedInstOperands,
     /*  693525 */     // GIR_Coverage, 11052,
     /*  693525 */     GIR_EraseRootFromParent_Done,
     /*  693526 */   // Label 10999: @693526
     /*  693526 */   GIM_Try, /*On fail goto*//*Label 11000*/ GIMT_Encode4(693601), // Rule ID 11053 //
     /*  693531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  693542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  693545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  693548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693577 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  693580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693599 */     GIR_RootConstrainSelectedInstOperands,
     /*  693600 */     // GIR_Coverage, 11053,
     /*  693600 */     GIR_EraseRootFromParent_Done,
     /*  693601 */   // Label 11000: @693601
     /*  693601 */   GIM_Try, /*On fail goto*//*Label 11001*/ GIMT_Encode4(693676), // Rule ID 11056 //
     /*  693606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  693617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  693620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  693623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693652 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  693655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693674 */     GIR_RootConstrainSelectedInstOperands,
     /*  693675 */     // GIR_Coverage, 11056,
     /*  693675 */     GIR_EraseRootFromParent_Done,
     /*  693676 */   // Label 11001: @693676
     /*  693676 */   GIM_Try, /*On fail goto*//*Label 11002*/ GIMT_Encode4(693751), // Rule ID 11057 //
     /*  693681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  693692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  693695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  693698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693727 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  693730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693749 */     GIR_RootConstrainSelectedInstOperands,
     /*  693750 */     // GIR_Coverage, 11057,
     /*  693750 */     GIR_EraseRootFromParent_Done,
     /*  693751 */   // Label 11002: @693751
     /*  693751 */   GIM_Try, /*On fail goto*//*Label 11003*/ GIMT_Encode4(693826), // Rule ID 11060 //
     /*  693756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  693767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  693770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  693773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693824 */     GIR_RootConstrainSelectedInstOperands,
     /*  693825 */     // GIR_Coverage, 11060,
     /*  693825 */     GIR_EraseRootFromParent_Done,
     /*  693826 */   // Label 11003: @693826
     /*  693826 */   GIM_Try, /*On fail goto*//*Label 11004*/ GIMT_Encode4(693901), // Rule ID 11061 //
     /*  693831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  693842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  693845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  693848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693877 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693899 */     GIR_RootConstrainSelectedInstOperands,
     /*  693900 */     // GIR_Coverage, 11061,
     /*  693900 */     GIR_EraseRootFromParent_Done,
     /*  693901 */   // Label 11004: @693901
     /*  693901 */   GIM_Try, /*On fail goto*//*Label 11005*/ GIMT_Encode4(693976), // Rule ID 11064 //
     /*  693906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  693917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  693920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  693923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  693955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693974 */     GIR_RootConstrainSelectedInstOperands,
     /*  693975 */     // GIR_Coverage, 11064,
     /*  693975 */     GIR_EraseRootFromParent_Done,
     /*  693976 */   // Label 11005: @693976
     /*  693976 */   GIM_Try, /*On fail goto*//*Label 11006*/ GIMT_Encode4(694051), // Rule ID 11065 //
     /*  693981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  693992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  693995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  693998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  694030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694049 */     GIR_RootConstrainSelectedInstOperands,
     /*  694050 */     // GIR_Coverage, 11065,
     /*  694050 */     GIR_EraseRootFromParent_Done,
     /*  694051 */   // Label 11006: @694051
     /*  694051 */   GIM_Try, /*On fail goto*//*Label 11007*/ GIMT_Encode4(694126), // Rule ID 11068 //
     /*  694056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  694067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  694070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  694073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  694105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694124 */     GIR_RootConstrainSelectedInstOperands,
     /*  694125 */     // GIR_Coverage, 11068,
     /*  694125 */     GIR_EraseRootFromParent_Done,
     /*  694126 */   // Label 11007: @694126
     /*  694126 */   GIM_Try, /*On fail goto*//*Label 11008*/ GIMT_Encode4(694201), // Rule ID 11069 //
     /*  694131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  694142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  694145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  694148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694177 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  694180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694199 */     GIR_RootConstrainSelectedInstOperands,
     /*  694200 */     // GIR_Coverage, 11069,
     /*  694200 */     GIR_EraseRootFromParent_Done,
     /*  694201 */   // Label 11008: @694201
     /*  694201 */   GIM_Try, /*On fail goto*//*Label 11009*/ GIMT_Encode4(694276), // Rule ID 11072 //
     /*  694206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  694217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  694220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  694223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694252 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  694255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694274 */     GIR_RootConstrainSelectedInstOperands,
     /*  694275 */     // GIR_Coverage, 11072,
     /*  694275 */     GIR_EraseRootFromParent_Done,
     /*  694276 */   // Label 11009: @694276
     /*  694276 */   GIM_Try, /*On fail goto*//*Label 11010*/ GIMT_Encode4(694351), // Rule ID 11073 //
     /*  694281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  694292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  694295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  694298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694327 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  694330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694349 */     GIR_RootConstrainSelectedInstOperands,
     /*  694350 */     // GIR_Coverage, 11073,
     /*  694350 */     GIR_EraseRootFromParent_Done,
     /*  694351 */   // Label 11010: @694351
     /*  694351 */   GIM_Try, /*On fail goto*//*Label 11011*/ GIMT_Encode4(694426), // Rule ID 11076 //
     /*  694356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  694367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  694370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  694373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694424 */     GIR_RootConstrainSelectedInstOperands,
     /*  694425 */     // GIR_Coverage, 11076,
     /*  694425 */     GIR_EraseRootFromParent_Done,
     /*  694426 */   // Label 11011: @694426
     /*  694426 */   GIM_Try, /*On fail goto*//*Label 11012*/ GIMT_Encode4(694501), // Rule ID 11077 //
     /*  694431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  694442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  694445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  694448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694499 */     GIR_RootConstrainSelectedInstOperands,
     /*  694500 */     // GIR_Coverage, 11077,
     /*  694500 */     GIR_EraseRootFromParent_Done,
     /*  694501 */   // Label 11012: @694501
     /*  694501 */   GIM_Try, /*On fail goto*//*Label 11013*/ GIMT_Encode4(694576), // Rule ID 11080 //
     /*  694506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  694517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  694520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  694523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694574 */     GIR_RootConstrainSelectedInstOperands,
     /*  694575 */     // GIR_Coverage, 11080,
     /*  694575 */     GIR_EraseRootFromParent_Done,
     /*  694576 */   // Label 11013: @694576
     /*  694576 */   GIM_Try, /*On fail goto*//*Label 11014*/ GIMT_Encode4(694651), // Rule ID 11081 //
     /*  694581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  694592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  694595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  694598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694649 */     GIR_RootConstrainSelectedInstOperands,
     /*  694650 */     // GIR_Coverage, 11081,
     /*  694650 */     GIR_EraseRootFromParent_Done,
     /*  694651 */   // Label 11014: @694651
     /*  694651 */   GIM_Try, /*On fail goto*//*Label 11015*/ GIMT_Encode4(694726), // Rule ID 11084 //
     /*  694656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  694667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  694670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  694673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694724 */     GIR_RootConstrainSelectedInstOperands,
     /*  694725 */     // GIR_Coverage, 11084,
     /*  694725 */     GIR_EraseRootFromParent_Done,
     /*  694726 */   // Label 11015: @694726
     /*  694726 */   GIM_Try, /*On fail goto*//*Label 11016*/ GIMT_Encode4(694801), // Rule ID 11085 //
     /*  694731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  694742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  694745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  694748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694799 */     GIR_RootConstrainSelectedInstOperands,
     /*  694800 */     // GIR_Coverage, 11085,
     /*  694800 */     GIR_EraseRootFromParent_Done,
     /*  694801 */   // Label 11016: @694801
     /*  694801 */   GIM_Try, /*On fail goto*//*Label 11017*/ GIMT_Encode4(694876), // Rule ID 11088 //
     /*  694806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  694809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  694817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  694820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  694823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  694852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694874 */     GIR_RootConstrainSelectedInstOperands,
     /*  694875 */     // GIR_Coverage, 11088,
     /*  694875 */     GIR_EraseRootFromParent_Done,
     /*  694876 */   // Label 11017: @694876
     /*  694876 */   GIM_Try, /*On fail goto*//*Label 11018*/ GIMT_Encode4(694951), // Rule ID 11089 //
     /*  694881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  694884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  694892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  694895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  694898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  694927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  694930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694949 */     GIR_RootConstrainSelectedInstOperands,
     /*  694950 */     // GIR_Coverage, 11089,
     /*  694950 */     GIR_EraseRootFromParent_Done,
     /*  694951 */   // Label 11018: @694951
     /*  694951 */   GIM_Try, /*On fail goto*//*Label 11019*/ GIMT_Encode4(695026), // Rule ID 11092 //
     /*  694956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  694967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  694970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  694973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695002 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695024 */     GIR_RootConstrainSelectedInstOperands,
     /*  695025 */     // GIR_Coverage, 11092,
     /*  695025 */     GIR_EraseRootFromParent_Done,
     /*  695026 */   // Label 11019: @695026
     /*  695026 */   GIM_Try, /*On fail goto*//*Label 11020*/ GIMT_Encode4(695101), // Rule ID 11093 //
     /*  695031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  695042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  695045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  695048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695077 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695099 */     GIR_RootConstrainSelectedInstOperands,
     /*  695100 */     // GIR_Coverage, 11093,
     /*  695100 */     GIR_EraseRootFromParent_Done,
     /*  695101 */   // Label 11020: @695101
     /*  695101 */   GIM_Try, /*On fail goto*//*Label 11021*/ GIMT_Encode4(695176), // Rule ID 11096 //
     /*  695106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  695117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  695120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  695123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695152 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695174 */     GIR_RootConstrainSelectedInstOperands,
     /*  695175 */     // GIR_Coverage, 11096,
     /*  695175 */     GIR_EraseRootFromParent_Done,
     /*  695176 */   // Label 11021: @695176
     /*  695176 */   GIM_Try, /*On fail goto*//*Label 11022*/ GIMT_Encode4(695251), // Rule ID 11097 //
     /*  695181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  695192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  695195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  695198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695227 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695249 */     GIR_RootConstrainSelectedInstOperands,
     /*  695250 */     // GIR_Coverage, 11097,
     /*  695250 */     GIR_EraseRootFromParent_Done,
     /*  695251 */   // Label 11022: @695251
     /*  695251 */   GIM_Try, /*On fail goto*//*Label 11023*/ GIMT_Encode4(695326), // Rule ID 11100 //
     /*  695256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  695267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  695270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  695273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695302 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695324 */     GIR_RootConstrainSelectedInstOperands,
     /*  695325 */     // GIR_Coverage, 11100,
     /*  695325 */     GIR_EraseRootFromParent_Done,
     /*  695326 */   // Label 11023: @695326
     /*  695326 */   GIM_Try, /*On fail goto*//*Label 11024*/ GIMT_Encode4(695401), // Rule ID 11101 //
     /*  695331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  695342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  695345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  695348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695377 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695399 */     GIR_RootConstrainSelectedInstOperands,
     /*  695400 */     // GIR_Coverage, 11101,
     /*  695400 */     GIR_EraseRootFromParent_Done,
     /*  695401 */   // Label 11024: @695401
     /*  695401 */   GIM_Try, /*On fail goto*//*Label 11025*/ GIMT_Encode4(695476), // Rule ID 11104 //
     /*  695406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  695417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  695420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  695423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695474 */     GIR_RootConstrainSelectedInstOperands,
     /*  695475 */     // GIR_Coverage, 11104,
     /*  695475 */     GIR_EraseRootFromParent_Done,
     /*  695476 */   // Label 11025: @695476
     /*  695476 */   GIM_Try, /*On fail goto*//*Label 11026*/ GIMT_Encode4(695551), // Rule ID 11105 //
     /*  695481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  695492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  695495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  695498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695527 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695549 */     GIR_RootConstrainSelectedInstOperands,
     /*  695550 */     // GIR_Coverage, 11105,
     /*  695550 */     GIR_EraseRootFromParent_Done,
     /*  695551 */   // Label 11026: @695551
     /*  695551 */   GIM_Try, /*On fail goto*//*Label 11027*/ GIMT_Encode4(695626), // Rule ID 11108 //
     /*  695556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  695567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  695570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  695573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695602 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695624 */     GIR_RootConstrainSelectedInstOperands,
     /*  695625 */     // GIR_Coverage, 11108,
     /*  695625 */     GIR_EraseRootFromParent_Done,
     /*  695626 */   // Label 11027: @695626
     /*  695626 */   GIM_Try, /*On fail goto*//*Label 11028*/ GIMT_Encode4(695701), // Rule ID 11109 //
     /*  695631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  695642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  695645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  695648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695677 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695699 */     GIR_RootConstrainSelectedInstOperands,
     /*  695700 */     // GIR_Coverage, 11109,
     /*  695700 */     GIR_EraseRootFromParent_Done,
     /*  695701 */   // Label 11028: @695701
     /*  695701 */   GIM_Try, /*On fail goto*//*Label 11029*/ GIMT_Encode4(695776), // Rule ID 11112 //
     /*  695706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  695717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  695720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  695723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695774 */     GIR_RootConstrainSelectedInstOperands,
     /*  695775 */     // GIR_Coverage, 11112,
     /*  695775 */     GIR_EraseRootFromParent_Done,
     /*  695776 */   // Label 11029: @695776
     /*  695776 */   GIM_Try, /*On fail goto*//*Label 11030*/ GIMT_Encode4(695851), // Rule ID 11113 //
     /*  695781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  695792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  695795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  695798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695849 */     GIR_RootConstrainSelectedInstOperands,
     /*  695850 */     // GIR_Coverage, 11113,
     /*  695850 */     GIR_EraseRootFromParent_Done,
     /*  695851 */   // Label 11030: @695851
     /*  695851 */   GIM_Try, /*On fail goto*//*Label 11031*/ GIMT_Encode4(695926), // Rule ID 11116 //
     /*  695856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  695867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  695870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  695873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695902 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695924 */     GIR_RootConstrainSelectedInstOperands,
     /*  695925 */     // GIR_Coverage, 11116,
     /*  695925 */     GIR_EraseRootFromParent_Done,
     /*  695926 */   // Label 11031: @695926
     /*  695926 */   GIM_Try, /*On fail goto*//*Label 11032*/ GIMT_Encode4(696001), // Rule ID 11117 //
     /*  695931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  695942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  695945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  695948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695999 */     GIR_RootConstrainSelectedInstOperands,
     /*  696000 */     // GIR_Coverage, 11117,
     /*  696000 */     GIR_EraseRootFromParent_Done,
     /*  696001 */   // Label 11032: @696001
     /*  696001 */   GIM_Try, /*On fail goto*//*Label 11033*/ GIMT_Encode4(696076), // Rule ID 11120 //
     /*  696006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  696017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  696020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  696023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  696026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  696045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696052 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  696055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696074 */     GIR_RootConstrainSelectedInstOperands,
     /*  696075 */     // GIR_Coverage, 11120,
     /*  696075 */     GIR_EraseRootFromParent_Done,
     /*  696076 */   // Label 11033: @696076
     /*  696076 */   GIM_Try, /*On fail goto*//*Label 11034*/ GIMT_Encode4(696151), // Rule ID 11121 //
     /*  696081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  696092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  696095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  696098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  696101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  696120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696127 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  696130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696149 */     GIR_RootConstrainSelectedInstOperands,
     /*  696150 */     // GIR_Coverage, 11121,
     /*  696150 */     GIR_EraseRootFromParent_Done,
     /*  696151 */   // Label 11034: @696151
     /*  696151 */   GIM_Try, /*On fail goto*//*Label 11035*/ GIMT_Encode4(696226), // Rule ID 11124 //
     /*  696156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  696167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  696170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  696173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  696176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  696195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696202 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  696205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696224 */     GIR_RootConstrainSelectedInstOperands,
     /*  696225 */     // GIR_Coverage, 11124,
     /*  696225 */     GIR_EraseRootFromParent_Done,
     /*  696226 */   // Label 11035: @696226
     /*  696226 */   GIM_Try, /*On fail goto*//*Label 11036*/ GIMT_Encode4(696301), // Rule ID 11125 //
     /*  696231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  696242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  696245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  696248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  696251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  696270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696277 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  696280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696299 */     GIR_RootConstrainSelectedInstOperands,
     /*  696300 */     // GIR_Coverage, 11125,
     /*  696300 */     GIR_EraseRootFromParent_Done,
     /*  696301 */   // Label 11036: @696301
     /*  696301 */   GIM_Try, /*On fail goto*//*Label 11037*/ GIMT_Encode4(696376), // Rule ID 11128 //
     /*  696306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  696309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  696317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  696320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  696323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  696326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  696345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  696352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  696355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696374 */     GIR_RootConstrainSelectedInstOperands,
     /*  696375 */     // GIR_Coverage, 11128,
     /*  696375 */     GIR_EraseRootFromParent_Done,
     /*  696376 */   // Label 11037: @696376
     /*  696376 */   GIM_Try, /*On fail goto*//*Label 11038*/ GIMT_Encode4(696451), // Rule ID 11129 //
     /*  696381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  696384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  696392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  696395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  696398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  696401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  696420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  696430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696449 */     GIR_RootConstrainSelectedInstOperands,
     /*  696450 */     // GIR_Coverage, 11129,
     /*  696450 */     GIR_EraseRootFromParent_Done,
     /*  696451 */   // Label 11038: @696451
     /*  696451 */   GIM_Try, /*On fail goto*//*Label 11039*/ GIMT_Encode4(696526), // Rule ID 11132 //
     /*  696456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  696459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  696467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  696470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  696473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  696476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  696495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696502 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  696502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  696505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696524 */     GIR_RootConstrainSelectedInstOperands,
     /*  696525 */     // GIR_Coverage, 11132,
     /*  696525 */     GIR_EraseRootFromParent_Done,
     /*  696526 */   // Label 11039: @696526
     /*  696526 */   GIM_Try, /*On fail goto*//*Label 11040*/ GIMT_Encode4(696601), // Rule ID 11133 //
     /*  696531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  696534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  696542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  696545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  696548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  696551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  696570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696577 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  696580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696599 */     GIR_RootConstrainSelectedInstOperands,
     /*  696600 */     // GIR_Coverage, 11133,
     /*  696600 */     GIR_EraseRootFromParent_Done,
     /*  696601 */   // Label 11040: @696601
     /*  696601 */   GIM_Try, /*On fail goto*//*Label 11041*/ GIMT_Encode4(696676), // Rule ID 11136 //
     /*  696606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  696609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  696617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  696620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  696623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  696626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  696645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  696652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  696655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696674 */     GIR_RootConstrainSelectedInstOperands,
     /*  696675 */     // GIR_Coverage, 11136,
     /*  696675 */     GIR_EraseRootFromParent_Done,
     /*  696676 */   // Label 11041: @696676
     /*  696676 */   GIM_Try, /*On fail goto*//*Label 11042*/ GIMT_Encode4(696751), // Rule ID 11137 //
     /*  696681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  696684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  696692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  696695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  696698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  696701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  696720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696727 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  696730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696749 */     GIR_RootConstrainSelectedInstOperands,
     /*  696750 */     // GIR_Coverage, 11137,
     /*  696750 */     GIR_EraseRootFromParent_Done,
     /*  696751 */   // Label 11042: @696751
     /*  696751 */   GIM_Try, /*On fail goto*//*Label 11043*/ GIMT_Encode4(696826), // Rule ID 11140 //
     /*  696756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  696767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  696770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  696773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  696776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696802 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  696805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696824 */     GIR_RootConstrainSelectedInstOperands,
     /*  696825 */     // GIR_Coverage, 11140,
     /*  696825 */     GIR_EraseRootFromParent_Done,
     /*  696826 */   // Label 11043: @696826
     /*  696826 */   GIM_Try, /*On fail goto*//*Label 11044*/ GIMT_Encode4(696901), // Rule ID 11141 //
     /*  696831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  696842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  696845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  696848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  696851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696877 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  696880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696899 */     GIR_RootConstrainSelectedInstOperands,
     /*  696900 */     // GIR_Coverage, 11141,
     /*  696900 */     GIR_EraseRootFromParent_Done,
     /*  696901 */   // Label 11044: @696901
     /*  696901 */   GIM_Try, /*On fail goto*//*Label 11045*/ GIMT_Encode4(696976), // Rule ID 11144 //
     /*  696906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  696917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  696920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  696923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  696926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696952 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  696955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696974 */     GIR_RootConstrainSelectedInstOperands,
     /*  696975 */     // GIR_Coverage, 11144,
     /*  696975 */     GIR_EraseRootFromParent_Done,
     /*  696976 */   // Label 11045: @696976
     /*  696976 */   GIM_Try, /*On fail goto*//*Label 11046*/ GIMT_Encode4(697051), // Rule ID 11145 //
     /*  696981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  696992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  696995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  696998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  697001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697027 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  697030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697049 */     GIR_RootConstrainSelectedInstOperands,
     /*  697050 */     // GIR_Coverage, 11145,
     /*  697050 */     GIR_EraseRootFromParent_Done,
     /*  697051 */   // Label 11046: @697051
     /*  697051 */   GIM_Try, /*On fail goto*//*Label 11047*/ GIMT_Encode4(697126), // Rule ID 11148 //
     /*  697056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  697067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  697070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  697073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  697076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697102 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  697105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697124 */     GIR_RootConstrainSelectedInstOperands,
     /*  697125 */     // GIR_Coverage, 11148,
     /*  697125 */     GIR_EraseRootFromParent_Done,
     /*  697126 */   // Label 11047: @697126
     /*  697126 */   GIM_Try, /*On fail goto*//*Label 11048*/ GIMT_Encode4(697201), // Rule ID 11149 //
     /*  697131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  697142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  697145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  697148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  697151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697177 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  697180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697199 */     GIR_RootConstrainSelectedInstOperands,
     /*  697200 */     // GIR_Coverage, 11149,
     /*  697200 */     GIR_EraseRootFromParent_Done,
     /*  697201 */   // Label 11048: @697201
     /*  697201 */   GIM_Try, /*On fail goto*//*Label 11049*/ GIMT_Encode4(697276), // Rule ID 11152 //
     /*  697206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  697217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  697220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  697223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  697226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  697255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697274 */     GIR_RootConstrainSelectedInstOperands,
     /*  697275 */     // GIR_Coverage, 11152,
     /*  697275 */     GIR_EraseRootFromParent_Done,
     /*  697276 */   // Label 11049: @697276
     /*  697276 */   GIM_Try, /*On fail goto*//*Label 11050*/ GIMT_Encode4(697351), // Rule ID 11153 //
     /*  697281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  697292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  697295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  697298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  697301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697327 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  697330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697349 */     GIR_RootConstrainSelectedInstOperands,
     /*  697350 */     // GIR_Coverage, 11153,
     /*  697350 */     GIR_EraseRootFromParent_Done,
     /*  697351 */   // Label 11050: @697351
     /*  697351 */   GIM_Try, /*On fail goto*//*Label 11051*/ GIMT_Encode4(697426), // Rule ID 11156 //
     /*  697356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  697367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  697370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  697373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  697376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  697405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697424 */     GIR_RootConstrainSelectedInstOperands,
     /*  697425 */     // GIR_Coverage, 11156,
     /*  697425 */     GIR_EraseRootFromParent_Done,
     /*  697426 */   // Label 11051: @697426
     /*  697426 */   GIM_Try, /*On fail goto*//*Label 11052*/ GIMT_Encode4(697501), // Rule ID 11157 //
     /*  697431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  697442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  697445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  697448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  697451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697477 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  697480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697499 */     GIR_RootConstrainSelectedInstOperands,
     /*  697500 */     // GIR_Coverage, 11157,
     /*  697500 */     GIR_EraseRootFromParent_Done,
     /*  697501 */   // Label 11052: @697501
     /*  697501 */   GIM_Try, /*On fail goto*//*Label 11053*/ GIMT_Encode4(697576), // Rule ID 11160 //
     /*  697506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  697517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  697520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  697523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  697526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697552 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  697555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697574 */     GIR_RootConstrainSelectedInstOperands,
     /*  697575 */     // GIR_Coverage, 11160,
     /*  697575 */     GIR_EraseRootFromParent_Done,
     /*  697576 */   // Label 11053: @697576
     /*  697576 */   GIM_Try, /*On fail goto*//*Label 11054*/ GIMT_Encode4(697651), // Rule ID 11161 //
     /*  697581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  697592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  697595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  697598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  697601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697627 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  697630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697649 */     GIR_RootConstrainSelectedInstOperands,
     /*  697650 */     // GIR_Coverage, 11161,
     /*  697650 */     GIR_EraseRootFromParent_Done,
     /*  697651 */   // Label 11054: @697651
     /*  697651 */   GIM_Try, /*On fail goto*//*Label 11055*/ GIMT_Encode4(697726), // Rule ID 11164 //
     /*  697656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  697667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  697670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  697673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  697676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697724 */     GIR_RootConstrainSelectedInstOperands,
     /*  697725 */     // GIR_Coverage, 11164,
     /*  697725 */     GIR_EraseRootFromParent_Done,
     /*  697726 */   // Label 11055: @697726
     /*  697726 */   GIM_Try, /*On fail goto*//*Label 11056*/ GIMT_Encode4(697801), // Rule ID 11165 //
     /*  697731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  697742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  697745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  697748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  697751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697799 */     GIR_RootConstrainSelectedInstOperands,
     /*  697800 */     // GIR_Coverage, 11165,
     /*  697800 */     GIR_EraseRootFromParent_Done,
     /*  697801 */   // Label 11056: @697801
     /*  697801 */   GIM_Try, /*On fail goto*//*Label 11057*/ GIMT_Encode4(697876), // Rule ID 11168 //
     /*  697806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  697817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  697820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  697823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  697826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697874 */     GIR_RootConstrainSelectedInstOperands,
     /*  697875 */     // GIR_Coverage, 11168,
     /*  697875 */     GIR_EraseRootFromParent_Done,
     /*  697876 */   // Label 11057: @697876
     /*  697876 */   GIM_Try, /*On fail goto*//*Label 11058*/ GIMT_Encode4(697951), // Rule ID 11169 //
     /*  697881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  697892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  697895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  697898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  697901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  697930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697949 */     GIR_RootConstrainSelectedInstOperands,
     /*  697950 */     // GIR_Coverage, 11169,
     /*  697950 */     GIR_EraseRootFromParent_Done,
     /*  697951 */   // Label 11058: @697951
     /*  697951 */   GIM_Try, /*On fail goto*//*Label 11059*/ GIMT_Encode4(698026), // Rule ID 11172 //
     /*  697956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  697967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  697970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  697973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  697976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  698005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698024 */     GIR_RootConstrainSelectedInstOperands,
     /*  698025 */     // GIR_Coverage, 11172,
     /*  698025 */     GIR_EraseRootFromParent_Done,
     /*  698026 */   // Label 11059: @698026
     /*  698026 */   GIM_Try, /*On fail goto*//*Label 11060*/ GIMT_Encode4(698101), // Rule ID 11173 //
     /*  698031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  698042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  698045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  698048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  698051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  698080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698099 */     GIR_RootConstrainSelectedInstOperands,
     /*  698100 */     // GIR_Coverage, 11173,
     /*  698100 */     GIR_EraseRootFromParent_Done,
     /*  698101 */   // Label 11060: @698101
     /*  698101 */   GIM_Try, /*On fail goto*//*Label 11061*/ GIMT_Encode4(698176), // Rule ID 11176 //
     /*  698106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  698117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  698120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  698123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  698126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698152 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  698155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698174 */     GIR_RootConstrainSelectedInstOperands,
     /*  698175 */     // GIR_Coverage, 11176,
     /*  698175 */     GIR_EraseRootFromParent_Done,
     /*  698176 */   // Label 11061: @698176
     /*  698176 */   GIM_Try, /*On fail goto*//*Label 11062*/ GIMT_Encode4(698251), // Rule ID 11177 //
     /*  698181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  698192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  698195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  698198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  698201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698227 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  698230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698249 */     GIR_RootConstrainSelectedInstOperands,
     /*  698250 */     // GIR_Coverage, 11177,
     /*  698250 */     GIR_EraseRootFromParent_Done,
     /*  698251 */   // Label 11062: @698251
     /*  698251 */   GIM_Try, /*On fail goto*//*Label 11063*/ GIMT_Encode4(698326), // Rule ID 11180 //
     /*  698256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  698267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  698270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  698273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  698276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698302 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698324 */     GIR_RootConstrainSelectedInstOperands,
     /*  698325 */     // GIR_Coverage, 11180,
     /*  698325 */     GIR_EraseRootFromParent_Done,
     /*  698326 */   // Label 11063: @698326
     /*  698326 */   GIM_Try, /*On fail goto*//*Label 11064*/ GIMT_Encode4(698401), // Rule ID 11181 //
     /*  698331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  698342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  698345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  698348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  698351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698377 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698399 */     GIR_RootConstrainSelectedInstOperands,
     /*  698400 */     // GIR_Coverage, 11181,
     /*  698400 */     GIR_EraseRootFromParent_Done,
     /*  698401 */   // Label 11064: @698401
     /*  698401 */   GIM_Try, /*On fail goto*//*Label 11065*/ GIMT_Encode4(698476), // Rule ID 11184 //
     /*  698406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  698417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  698420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  698423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  698426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698452 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698474 */     GIR_RootConstrainSelectedInstOperands,
     /*  698475 */     // GIR_Coverage, 11184,
     /*  698475 */     GIR_EraseRootFromParent_Done,
     /*  698476 */   // Label 11065: @698476
     /*  698476 */   GIM_Try, /*On fail goto*//*Label 11066*/ GIMT_Encode4(698551), // Rule ID 11185 //
     /*  698481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  698492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  698495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  698498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  698501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698527 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698549 */     GIR_RootConstrainSelectedInstOperands,
     /*  698550 */     // GIR_Coverage, 11185,
     /*  698550 */     GIR_EraseRootFromParent_Done,
     /*  698551 */   // Label 11066: @698551
     /*  698551 */   GIM_Try, /*On fail goto*//*Label 11067*/ GIMT_Encode4(698626), // Rule ID 11188 //
     /*  698556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  698567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  698570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  698573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  698576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698602 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  698605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698624 */     GIR_RootConstrainSelectedInstOperands,
     /*  698625 */     // GIR_Coverage, 11188,
     /*  698625 */     GIR_EraseRootFromParent_Done,
     /*  698626 */   // Label 11067: @698626
     /*  698626 */   GIM_Try, /*On fail goto*//*Label 11068*/ GIMT_Encode4(698701), // Rule ID 11189 //
     /*  698631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  698642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  698645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  698648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  698651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698677 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  698680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698699 */     GIR_RootConstrainSelectedInstOperands,
     /*  698700 */     // GIR_Coverage, 11189,
     /*  698700 */     GIR_EraseRootFromParent_Done,
     /*  698701 */   // Label 11068: @698701
     /*  698701 */   GIM_Try, /*On fail goto*//*Label 11069*/ GIMT_Encode4(698776), // Rule ID 11192 //
     /*  698706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  698717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  698720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  698723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  698726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698752 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698774 */     GIR_RootConstrainSelectedInstOperands,
     /*  698775 */     // GIR_Coverage, 11192,
     /*  698775 */     GIR_EraseRootFromParent_Done,
     /*  698776 */   // Label 11069: @698776
     /*  698776 */   GIM_Try, /*On fail goto*//*Label 11070*/ GIMT_Encode4(698851), // Rule ID 11193 //
     /*  698781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  698792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  698795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  698798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  698801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698827 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698849 */     GIR_RootConstrainSelectedInstOperands,
     /*  698850 */     // GIR_Coverage, 11193,
     /*  698850 */     GIR_EraseRootFromParent_Done,
     /*  698851 */   // Label 11070: @698851
     /*  698851 */   GIM_Try, /*On fail goto*//*Label 11071*/ GIMT_Encode4(698926), // Rule ID 11196 //
     /*  698856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  698867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  698870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  698873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  698876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698902 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698924 */     GIR_RootConstrainSelectedInstOperands,
     /*  698925 */     // GIR_Coverage, 11196,
     /*  698925 */     GIR_EraseRootFromParent_Done,
     /*  698926 */   // Label 11071: @698926
     /*  698926 */   GIM_Try, /*On fail goto*//*Label 11072*/ GIMT_Encode4(699001), // Rule ID 11197 //
     /*  698931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  698942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  698945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  698948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  698951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698977 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698999 */     GIR_RootConstrainSelectedInstOperands,
     /*  699000 */     // GIR_Coverage, 11197,
     /*  699000 */     GIR_EraseRootFromParent_Done,
     /*  699001 */   // Label 11072: @699001
     /*  699001 */   GIM_Try, /*On fail goto*//*Label 11073*/ GIMT_Encode4(699076), // Rule ID 11200 //
     /*  699006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  699017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  699020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  699023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  699026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  699055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699074 */     GIR_RootConstrainSelectedInstOperands,
     /*  699075 */     // GIR_Coverage, 11200,
     /*  699075 */     GIR_EraseRootFromParent_Done,
     /*  699076 */   // Label 11073: @699076
     /*  699076 */   GIM_Try, /*On fail goto*//*Label 11074*/ GIMT_Encode4(699151), // Rule ID 11201 //
     /*  699081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  699092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  699095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  699098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  699101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699127 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  699130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699149 */     GIR_RootConstrainSelectedInstOperands,
     /*  699150 */     // GIR_Coverage, 11201,
     /*  699150 */     GIR_EraseRootFromParent_Done,
     /*  699151 */   // Label 11074: @699151
     /*  699151 */   GIM_Try, /*On fail goto*//*Label 11075*/ GIMT_Encode4(699226), // Rule ID 11204 //
     /*  699156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  699167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  699170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  699173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  699176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699202 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  699205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699224 */     GIR_RootConstrainSelectedInstOperands,
     /*  699225 */     // GIR_Coverage, 11204,
     /*  699225 */     GIR_EraseRootFromParent_Done,
     /*  699226 */   // Label 11075: @699226
     /*  699226 */   GIM_Try, /*On fail goto*//*Label 11076*/ GIMT_Encode4(699301), // Rule ID 11205 //
     /*  699231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  699242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  699245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  699248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  699251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699277 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  699280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699299 */     GIR_RootConstrainSelectedInstOperands,
     /*  699300 */     // GIR_Coverage, 11205,
     /*  699300 */     GIR_EraseRootFromParent_Done,
     /*  699301 */   // Label 11076: @699301
     /*  699301 */   GIM_Try, /*On fail goto*//*Label 11077*/ GIMT_Encode4(699376), // Rule ID 11208 //
     /*  699306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  699317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  699320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  699323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  699326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699352 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  699355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699374 */     GIR_RootConstrainSelectedInstOperands,
     /*  699375 */     // GIR_Coverage, 11208,
     /*  699375 */     GIR_EraseRootFromParent_Done,
     /*  699376 */   // Label 11077: @699376
     /*  699376 */   GIM_Try, /*On fail goto*//*Label 11078*/ GIMT_Encode4(699451), // Rule ID 11209 //
     /*  699381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  699392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  699395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  699398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  699401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699427 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  699430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699449 */     GIR_RootConstrainSelectedInstOperands,
     /*  699450 */     // GIR_Coverage, 11209,
     /*  699450 */     GIR_EraseRootFromParent_Done,
     /*  699451 */   // Label 11078: @699451
     /*  699451 */   GIM_Try, /*On fail goto*//*Label 11079*/ GIMT_Encode4(699526), // Rule ID 11212 //
     /*  699456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  699467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  699470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  699473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  699505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699524 */     GIR_RootConstrainSelectedInstOperands,
     /*  699525 */     // GIR_Coverage, 11212,
     /*  699525 */     GIR_EraseRootFromParent_Done,
     /*  699526 */   // Label 11079: @699526
     /*  699526 */   GIM_Try, /*On fail goto*//*Label 11080*/ GIMT_Encode4(699601), // Rule ID 11213 //
     /*  699531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  699542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  699545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  699548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699577 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  699580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699599 */     GIR_RootConstrainSelectedInstOperands,
     /*  699600 */     // GIR_Coverage, 11213,
     /*  699600 */     GIR_EraseRootFromParent_Done,
     /*  699601 */   // Label 11080: @699601
     /*  699601 */   GIM_Try, /*On fail goto*//*Label 11081*/ GIMT_Encode4(699676), // Rule ID 11216 //
     /*  699606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  699617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  699620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  699623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699652 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  699655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699674 */     GIR_RootConstrainSelectedInstOperands,
     /*  699675 */     // GIR_Coverage, 11216,
     /*  699675 */     GIR_EraseRootFromParent_Done,
     /*  699676 */   // Label 11081: @699676
     /*  699676 */   GIM_Try, /*On fail goto*//*Label 11082*/ GIMT_Encode4(699751), // Rule ID 11217 //
     /*  699681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  699692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  699695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  699698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699727 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  699730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699749 */     GIR_RootConstrainSelectedInstOperands,
     /*  699750 */     // GIR_Coverage, 11217,
     /*  699750 */     GIR_EraseRootFromParent_Done,
     /*  699751 */   // Label 11082: @699751
     /*  699751 */   GIM_Try, /*On fail goto*//*Label 11083*/ GIMT_Encode4(699826), // Rule ID 11220 //
     /*  699756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  699767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  699770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  699773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699824 */     GIR_RootConstrainSelectedInstOperands,
     /*  699825 */     // GIR_Coverage, 11220,
     /*  699825 */     GIR_EraseRootFromParent_Done,
     /*  699826 */   // Label 11083: @699826
     /*  699826 */   GIM_Try, /*On fail goto*//*Label 11084*/ GIMT_Encode4(699901), // Rule ID 11221 //
     /*  699831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  699842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  699845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  699848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699877 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699899 */     GIR_RootConstrainSelectedInstOperands,
     /*  699900 */     // GIR_Coverage, 11221,
     /*  699900 */     GIR_EraseRootFromParent_Done,
     /*  699901 */   // Label 11084: @699901
     /*  699901 */   GIM_Try, /*On fail goto*//*Label 11085*/ GIMT_Encode4(699976), // Rule ID 11224 //
     /*  699906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  699917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  699920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  699923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  699955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699974 */     GIR_RootConstrainSelectedInstOperands,
     /*  699975 */     // GIR_Coverage, 11224,
     /*  699975 */     GIR_EraseRootFromParent_Done,
     /*  699976 */   // Label 11085: @699976
     /*  699976 */   GIM_Try, /*On fail goto*//*Label 11086*/ GIMT_Encode4(700051), // Rule ID 11225 //
     /*  699981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  699992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  699995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  699998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  700030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700049 */     GIR_RootConstrainSelectedInstOperands,
     /*  700050 */     // GIR_Coverage, 11225,
     /*  700050 */     GIR_EraseRootFromParent_Done,
     /*  700051 */   // Label 11086: @700051
     /*  700051 */   GIM_Try, /*On fail goto*//*Label 11087*/ GIMT_Encode4(700126), // Rule ID 11228 //
     /*  700056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  700067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  700070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  700073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  700105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700124 */     GIR_RootConstrainSelectedInstOperands,
     /*  700125 */     // GIR_Coverage, 11228,
     /*  700125 */     GIR_EraseRootFromParent_Done,
     /*  700126 */   // Label 11087: @700126
     /*  700126 */   GIM_Try, /*On fail goto*//*Label 11088*/ GIMT_Encode4(700201), // Rule ID 11229 //
     /*  700131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  700142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  700145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  700148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700177 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  700180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700199 */     GIR_RootConstrainSelectedInstOperands,
     /*  700200 */     // GIR_Coverage, 11229,
     /*  700200 */     GIR_EraseRootFromParent_Done,
     /*  700201 */   // Label 11088: @700201
     /*  700201 */   GIM_Try, /*On fail goto*//*Label 11089*/ GIMT_Encode4(700276), // Rule ID 11232 //
     /*  700206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  700217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  700220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  700223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700252 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  700255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700274 */     GIR_RootConstrainSelectedInstOperands,
     /*  700275 */     // GIR_Coverage, 11232,
     /*  700275 */     GIR_EraseRootFromParent_Done,
     /*  700276 */   // Label 11089: @700276
     /*  700276 */   GIM_Try, /*On fail goto*//*Label 11090*/ GIMT_Encode4(700351), // Rule ID 11233 //
     /*  700281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  700292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  700295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  700298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700327 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  700330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700349 */     GIR_RootConstrainSelectedInstOperands,
     /*  700350 */     // GIR_Coverage, 11233,
     /*  700350 */     GIR_EraseRootFromParent_Done,
     /*  700351 */   // Label 11090: @700351
     /*  700351 */   GIM_Try, /*On fail goto*//*Label 11091*/ GIMT_Encode4(700426), // Rule ID 11236 //
     /*  700356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  700367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  700370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  700373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  700405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700424 */     GIR_RootConstrainSelectedInstOperands,
     /*  700425 */     // GIR_Coverage, 11236,
     /*  700425 */     GIR_EraseRootFromParent_Done,
     /*  700426 */   // Label 11091: @700426
     /*  700426 */   GIM_Try, /*On fail goto*//*Label 11092*/ GIMT_Encode4(700501), // Rule ID 11237 //
     /*  700431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  700442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  700445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  700448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  700480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700499 */     GIR_RootConstrainSelectedInstOperands,
     /*  700500 */     // GIR_Coverage, 11237,
     /*  700500 */     GIR_EraseRootFromParent_Done,
     /*  700501 */   // Label 11092: @700501
     /*  700501 */   GIM_Try, /*On fail goto*//*Label 11093*/ GIMT_Encode4(700576), // Rule ID 11240 //
     /*  700506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  700517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  700520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  700523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  700555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700574 */     GIR_RootConstrainSelectedInstOperands,
     /*  700575 */     // GIR_Coverage, 11240,
     /*  700575 */     GIR_EraseRootFromParent_Done,
     /*  700576 */   // Label 11093: @700576
     /*  700576 */   GIM_Try, /*On fail goto*//*Label 11094*/ GIMT_Encode4(700651), // Rule ID 11241 //
     /*  700581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  700592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  700595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  700598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  700630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700649 */     GIR_RootConstrainSelectedInstOperands,
     /*  700650 */     // GIR_Coverage, 11241,
     /*  700650 */     GIR_EraseRootFromParent_Done,
     /*  700651 */   // Label 11094: @700651
     /*  700651 */   GIM_Try, /*On fail goto*//*Label 11095*/ GIMT_Encode4(700726), // Rule ID 11244 //
     /*  700656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  700667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  700670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  700673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  700705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700724 */     GIR_RootConstrainSelectedInstOperands,
     /*  700725 */     // GIR_Coverage, 11244,
     /*  700725 */     GIR_EraseRootFromParent_Done,
     /*  700726 */   // Label 11095: @700726
     /*  700726 */   GIM_Try, /*On fail goto*//*Label 11096*/ GIMT_Encode4(700801), // Rule ID 11245 //
     /*  700731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  700742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  700745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  700748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  700780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700799 */     GIR_RootConstrainSelectedInstOperands,
     /*  700800 */     // GIR_Coverage, 11245,
     /*  700800 */     GIR_EraseRootFromParent_Done,
     /*  700801 */   // Label 11096: @700801
     /*  700801 */   GIM_Try, /*On fail goto*//*Label 11097*/ GIMT_Encode4(700876), // Rule ID 11248 //
     /*  700806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  700817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  700820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  700823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700852 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700874 */     GIR_RootConstrainSelectedInstOperands,
     /*  700875 */     // GIR_Coverage, 11248,
     /*  700875 */     GIR_EraseRootFromParent_Done,
     /*  700876 */   // Label 11097: @700876
     /*  700876 */   GIM_Try, /*On fail goto*//*Label 11098*/ GIMT_Encode4(700951), // Rule ID 11249 //
     /*  700881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  700892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  700895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  700898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700927 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700949 */     GIR_RootConstrainSelectedInstOperands,
     /*  700950 */     // GIR_Coverage, 11249,
     /*  700950 */     GIR_EraseRootFromParent_Done,
     /*  700951 */   // Label 11098: @700951
     /*  700951 */   GIM_Try, /*On fail goto*//*Label 11099*/ GIMT_Encode4(701026), // Rule ID 11252 //
     /*  700956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  700967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  700970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  700973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701002 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  701005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701024 */     GIR_RootConstrainSelectedInstOperands,
     /*  701025 */     // GIR_Coverage, 11252,
     /*  701025 */     GIR_EraseRootFromParent_Done,
     /*  701026 */   // Label 11099: @701026
     /*  701026 */   GIM_Try, /*On fail goto*//*Label 11100*/ GIMT_Encode4(701101), // Rule ID 11253 //
     /*  701031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  701042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  701045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  701048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701077 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  701080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701099 */     GIR_RootConstrainSelectedInstOperands,
     /*  701100 */     // GIR_Coverage, 11253,
     /*  701100 */     GIR_EraseRootFromParent_Done,
     /*  701101 */   // Label 11100: @701101
     /*  701101 */   GIM_Try, /*On fail goto*//*Label 11101*/ GIMT_Encode4(701176), // Rule ID 11256 //
     /*  701106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  701117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  701120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  701123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701152 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  701155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701174 */     GIR_RootConstrainSelectedInstOperands,
     /*  701175 */     // GIR_Coverage, 11256,
     /*  701175 */     GIR_EraseRootFromParent_Done,
     /*  701176 */   // Label 11101: @701176
     /*  701176 */   GIM_Try, /*On fail goto*//*Label 11102*/ GIMT_Encode4(701251), // Rule ID 11257 //
     /*  701181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  701192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  701195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  701198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701227 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  701230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701249 */     GIR_RootConstrainSelectedInstOperands,
     /*  701250 */     // GIR_Coverage, 11257,
     /*  701250 */     GIR_EraseRootFromParent_Done,
     /*  701251 */   // Label 11102: @701251
     /*  701251 */   GIM_Try, /*On fail goto*//*Label 11103*/ GIMT_Encode4(701326), // Rule ID 11260 //
     /*  701256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  701267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  701270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  701273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701302 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  701305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701324 */     GIR_RootConstrainSelectedInstOperands,
     /*  701325 */     // GIR_Coverage, 11260,
     /*  701325 */     GIR_EraseRootFromParent_Done,
     /*  701326 */   // Label 11103: @701326
     /*  701326 */   GIM_Try, /*On fail goto*//*Label 11104*/ GIMT_Encode4(701401), // Rule ID 11261 //
     /*  701331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  701342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  701345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  701348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701377 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  701380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701399 */     GIR_RootConstrainSelectedInstOperands,
     /*  701400 */     // GIR_Coverage, 11261,
     /*  701400 */     GIR_EraseRootFromParent_Done,
     /*  701401 */   // Label 11104: @701401
     /*  701401 */   GIM_Try, /*On fail goto*//*Label 11105*/ GIMT_Encode4(701476), // Rule ID 11264 //
     /*  701406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  701417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  701420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  701423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701452 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  701455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701474 */     GIR_RootConstrainSelectedInstOperands,
     /*  701475 */     // GIR_Coverage, 11264,
     /*  701475 */     GIR_EraseRootFromParent_Done,
     /*  701476 */   // Label 11105: @701476
     /*  701476 */   GIM_Try, /*On fail goto*//*Label 11106*/ GIMT_Encode4(701551), // Rule ID 11265 //
     /*  701481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  701492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  701495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  701498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701527 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  701530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701549 */     GIR_RootConstrainSelectedInstOperands,
     /*  701550 */     // GIR_Coverage, 11265,
     /*  701550 */     GIR_EraseRootFromParent_Done,
     /*  701551 */   // Label 11106: @701551
     /*  701551 */   GIM_Try, /*On fail goto*//*Label 11107*/ GIMT_Encode4(701626), // Rule ID 11268 //
     /*  701556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  701567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  701570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  701573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701602 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  701605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701624 */     GIR_RootConstrainSelectedInstOperands,
     /*  701625 */     // GIR_Coverage, 11268,
     /*  701625 */     GIR_EraseRootFromParent_Done,
     /*  701626 */   // Label 11107: @701626
     /*  701626 */   GIM_Try, /*On fail goto*//*Label 11108*/ GIMT_Encode4(701701), // Rule ID 11269 //
     /*  701631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  701642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  701645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  701648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701677 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  701680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701699 */     GIR_RootConstrainSelectedInstOperands,
     /*  701700 */     // GIR_Coverage, 11269,
     /*  701700 */     GIR_EraseRootFromParent_Done,
     /*  701701 */   // Label 11108: @701701
     /*  701701 */   GIM_Try, /*On fail goto*//*Label 11109*/ GIMT_Encode4(701776), // Rule ID 11272 //
     /*  701706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  701717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  701720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  701723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701752 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  701755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701774 */     GIR_RootConstrainSelectedInstOperands,
     /*  701775 */     // GIR_Coverage, 11272,
     /*  701775 */     GIR_EraseRootFromParent_Done,
     /*  701776 */   // Label 11109: @701776
     /*  701776 */   GIM_Try, /*On fail goto*//*Label 11110*/ GIMT_Encode4(701851), // Rule ID 11273 //
     /*  701781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  701792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  701795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  701798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701827 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  701830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701849 */     GIR_RootConstrainSelectedInstOperands,
     /*  701850 */     // GIR_Coverage, 11273,
     /*  701850 */     GIR_EraseRootFromParent_Done,
     /*  701851 */   // Label 11110: @701851
     /*  701851 */   GIM_Try, /*On fail goto*//*Label 11111*/ GIMT_Encode4(701926), // Rule ID 11276 //
     /*  701856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  701867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  701870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  701873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701902 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  701905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701924 */     GIR_RootConstrainSelectedInstOperands,
     /*  701925 */     // GIR_Coverage, 11276,
     /*  701925 */     GIR_EraseRootFromParent_Done,
     /*  701926 */   // Label 11111: @701926
     /*  701926 */   GIM_Try, /*On fail goto*//*Label 11112*/ GIMT_Encode4(702001), // Rule ID 11277 //
     /*  701931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  701942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  701945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  701948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  701980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701999 */     GIR_RootConstrainSelectedInstOperands,
     /*  702000 */     // GIR_Coverage, 11277,
     /*  702000 */     GIR_EraseRootFromParent_Done,
     /*  702001 */   // Label 11112: @702001
     /*  702001 */   GIM_Try, /*On fail goto*//*Label 11113*/ GIMT_Encode4(702076), // Rule ID 11280 //
     /*  702006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  702017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  702020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  702023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  702026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  702045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  702055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702074 */     GIR_RootConstrainSelectedInstOperands,
     /*  702075 */     // GIR_Coverage, 11280,
     /*  702075 */     GIR_EraseRootFromParent_Done,
     /*  702076 */   // Label 11113: @702076
     /*  702076 */   GIM_Try, /*On fail goto*//*Label 11114*/ GIMT_Encode4(702151), // Rule ID 11281 //
     /*  702081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  702092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  702095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  702098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  702120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702127 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  702130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702149 */     GIR_RootConstrainSelectedInstOperands,
     /*  702150 */     // GIR_Coverage, 11281,
     /*  702150 */     GIR_EraseRootFromParent_Done,
     /*  702151 */   // Label 11114: @702151
     /*  702151 */   GIM_Try, /*On fail goto*//*Label 11115*/ GIMT_Encode4(702226), // Rule ID 11284 //
     /*  702156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  702167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  702170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  702173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  702176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702202 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  702205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702224 */     GIR_RootConstrainSelectedInstOperands,
     /*  702225 */     // GIR_Coverage, 11284,
     /*  702225 */     GIR_EraseRootFromParent_Done,
     /*  702226 */   // Label 11115: @702226
     /*  702226 */   GIM_Try, /*On fail goto*//*Label 11116*/ GIMT_Encode4(702301), // Rule ID 11285 //
     /*  702231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  702242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  702245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  702248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  702251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702277 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  702280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702299 */     GIR_RootConstrainSelectedInstOperands,
     /*  702300 */     // GIR_Coverage, 11285,
     /*  702300 */     GIR_EraseRootFromParent_Done,
     /*  702301 */   // Label 11116: @702301
     /*  702301 */   GIM_Try, /*On fail goto*//*Label 11117*/ GIMT_Encode4(702376), // Rule ID 11288 //
     /*  702306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  702317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  702320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  702323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  702326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702352 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  702355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702374 */     GIR_RootConstrainSelectedInstOperands,
     /*  702375 */     // GIR_Coverage, 11288,
     /*  702375 */     GIR_EraseRootFromParent_Done,
     /*  702376 */   // Label 11117: @702376
     /*  702376 */   GIM_Try, /*On fail goto*//*Label 11118*/ GIMT_Encode4(702451), // Rule ID 11289 //
     /*  702381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  702392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  702395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  702398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  702401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702427 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  702430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702449 */     GIR_RootConstrainSelectedInstOperands,
     /*  702450 */     // GIR_Coverage, 11289,
     /*  702450 */     GIR_EraseRootFromParent_Done,
     /*  702451 */   // Label 11118: @702451
     /*  702451 */   GIM_Try, /*On fail goto*//*Label 11119*/ GIMT_Encode4(702526), // Rule ID 11292 //
     /*  702456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  702467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  702470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  702473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  702476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  702505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702524 */     GIR_RootConstrainSelectedInstOperands,
     /*  702525 */     // GIR_Coverage, 11292,
     /*  702525 */     GIR_EraseRootFromParent_Done,
     /*  702526 */   // Label 11119: @702526
     /*  702526 */   GIM_Try, /*On fail goto*//*Label 11120*/ GIMT_Encode4(702601), // Rule ID 11293 //
     /*  702531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  702542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  702545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  702548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  702551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702577 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  702580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702599 */     GIR_RootConstrainSelectedInstOperands,
     /*  702600 */     // GIR_Coverage, 11293,
     /*  702600 */     GIR_EraseRootFromParent_Done,
     /*  702601 */   // Label 11120: @702601
     /*  702601 */   GIM_Try, /*On fail goto*//*Label 11121*/ GIMT_Encode4(702676), // Rule ID 11296 //
     /*  702606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  702617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  702620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  702623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  702626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702652 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  702655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702674 */     GIR_RootConstrainSelectedInstOperands,
     /*  702675 */     // GIR_Coverage, 11296,
     /*  702675 */     GIR_EraseRootFromParent_Done,
     /*  702676 */   // Label 11121: @702676
     /*  702676 */   GIM_Try, /*On fail goto*//*Label 11122*/ GIMT_Encode4(702751), // Rule ID 11297 //
     /*  702681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  702692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  702695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  702698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  702701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702727 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  702730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702749 */     GIR_RootConstrainSelectedInstOperands,
     /*  702750 */     // GIR_Coverage, 11297,
     /*  702750 */     GIR_EraseRootFromParent_Done,
     /*  702751 */   // Label 11122: @702751
     /*  702751 */   GIM_Try, /*On fail goto*//*Label 11123*/ GIMT_Encode4(702826), // Rule ID 11300 //
     /*  702756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  702767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  702770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  702773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  702776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702802 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  702805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702824 */     GIR_RootConstrainSelectedInstOperands,
     /*  702825 */     // GIR_Coverage, 11300,
     /*  702825 */     GIR_EraseRootFromParent_Done,
     /*  702826 */   // Label 11123: @702826
     /*  702826 */   GIM_Try, /*On fail goto*//*Label 11124*/ GIMT_Encode4(702901), // Rule ID 11301 //
     /*  702831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  702842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  702845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  702848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  702851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702877 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  702880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702899 */     GIR_RootConstrainSelectedInstOperands,
     /*  702900 */     // GIR_Coverage, 11301,
     /*  702900 */     GIR_EraseRootFromParent_Done,
     /*  702901 */   // Label 11124: @702901
     /*  702901 */   GIM_Try, /*On fail goto*//*Label 11125*/ GIMT_Encode4(702976), // Rule ID 11304 //
     /*  702906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  702917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  702920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  702923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  702926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  702955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702974 */     GIR_RootConstrainSelectedInstOperands,
     /*  702975 */     // GIR_Coverage, 11304,
     /*  702975 */     GIR_EraseRootFromParent_Done,
     /*  702976 */   // Label 11125: @702976
     /*  702976 */   GIM_Try, /*On fail goto*//*Label 11126*/ GIMT_Encode4(703051), // Rule ID 11305 //
     /*  702981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  702992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  702995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  702998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  703001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703027 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  703030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703049 */     GIR_RootConstrainSelectedInstOperands,
     /*  703050 */     // GIR_Coverage, 11305,
     /*  703050 */     GIR_EraseRootFromParent_Done,
     /*  703051 */   // Label 11126: @703051
     /*  703051 */   GIM_Try, /*On fail goto*//*Label 11127*/ GIMT_Encode4(703126), // Rule ID 11308 //
     /*  703056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  703067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  703070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  703073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  703076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  703105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703124 */     GIR_RootConstrainSelectedInstOperands,
     /*  703125 */     // GIR_Coverage, 11308,
     /*  703125 */     GIR_EraseRootFromParent_Done,
     /*  703126 */   // Label 11127: @703126
     /*  703126 */   GIM_Try, /*On fail goto*//*Label 11128*/ GIMT_Encode4(703201), // Rule ID 11309 //
     /*  703131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  703142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  703145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  703148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  703151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  703180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703199 */     GIR_RootConstrainSelectedInstOperands,
     /*  703200 */     // GIR_Coverage, 11309,
     /*  703200 */     GIR_EraseRootFromParent_Done,
     /*  703201 */   // Label 11128: @703201
     /*  703201 */   GIM_Try, /*On fail goto*//*Label 11129*/ GIMT_Encode4(703276), // Rule ID 11312 //
     /*  703206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  703217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  703220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  703223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  703226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  703255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703274 */     GIR_RootConstrainSelectedInstOperands,
     /*  703275 */     // GIR_Coverage, 11312,
     /*  703275 */     GIR_EraseRootFromParent_Done,
     /*  703276 */   // Label 11129: @703276
     /*  703276 */   GIM_Try, /*On fail goto*//*Label 11130*/ GIMT_Encode4(703351), // Rule ID 11313 //
     /*  703281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  703292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  703295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  703298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  703301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  703330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703349 */     GIR_RootConstrainSelectedInstOperands,
     /*  703350 */     // GIR_Coverage, 11313,
     /*  703350 */     GIR_EraseRootFromParent_Done,
     /*  703351 */   // Label 11130: @703351
     /*  703351 */   GIM_Try, /*On fail goto*//*Label 11131*/ GIMT_Encode4(703426), // Rule ID 11316 //
     /*  703356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  703367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  703370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  703373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  703376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  703405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703424 */     GIR_RootConstrainSelectedInstOperands,
     /*  703425 */     // GIR_Coverage, 11316,
     /*  703425 */     GIR_EraseRootFromParent_Done,
     /*  703426 */   // Label 11131: @703426
     /*  703426 */   GIM_Try, /*On fail goto*//*Label 11132*/ GIMT_Encode4(703501), // Rule ID 11317 //
     /*  703431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  703442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  703445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  703448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  703451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  703480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703499 */     GIR_RootConstrainSelectedInstOperands,
     /*  703500 */     // GIR_Coverage, 11317,
     /*  703500 */     GIR_EraseRootFromParent_Done,
     /*  703501 */   // Label 11132: @703501
     /*  703501 */   GIM_Try, /*On fail goto*//*Label 11133*/ GIMT_Encode4(703576), // Rule ID 11320 //
     /*  703506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  703517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  703520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  703523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  703526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703552 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703574 */     GIR_RootConstrainSelectedInstOperands,
     /*  703575 */     // GIR_Coverage, 11320,
     /*  703575 */     GIR_EraseRootFromParent_Done,
     /*  703576 */   // Label 11133: @703576
     /*  703576 */   GIM_Try, /*On fail goto*//*Label 11134*/ GIMT_Encode4(703651), // Rule ID 11321 //
     /*  703581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  703592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  703595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  703598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  703601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703627 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703649 */     GIR_RootConstrainSelectedInstOperands,
     /*  703650 */     // GIR_Coverage, 11321,
     /*  703650 */     GIR_EraseRootFromParent_Done,
     /*  703651 */   // Label 11134: @703651
     /*  703651 */   GIM_Try, /*On fail goto*//*Label 11135*/ GIMT_Encode4(703726), // Rule ID 11324 //
     /*  703656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  703667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  703670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  703673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  703676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703702 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703724 */     GIR_RootConstrainSelectedInstOperands,
     /*  703725 */     // GIR_Coverage, 11324,
     /*  703725 */     GIR_EraseRootFromParent_Done,
     /*  703726 */   // Label 11135: @703726
     /*  703726 */   GIM_Try, /*On fail goto*//*Label 11136*/ GIMT_Encode4(703801), // Rule ID 11325 //
     /*  703731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  703742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  703745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  703748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  703751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703777 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703799 */     GIR_RootConstrainSelectedInstOperands,
     /*  703800 */     // GIR_Coverage, 11325,
     /*  703800 */     GIR_EraseRootFromParent_Done,
     /*  703801 */   // Label 11136: @703801
     /*  703801 */   GIM_Try, /*On fail goto*//*Label 11137*/ GIMT_Encode4(703876), // Rule ID 11328 //
     /*  703806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  703817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  703820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  703823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  703826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703852 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703874 */     GIR_RootConstrainSelectedInstOperands,
     /*  703875 */     // GIR_Coverage, 11328,
     /*  703875 */     GIR_EraseRootFromParent_Done,
     /*  703876 */   // Label 11137: @703876
     /*  703876 */   GIM_Try, /*On fail goto*//*Label 11138*/ GIMT_Encode4(703951), // Rule ID 11329 //
     /*  703881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  703892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  703895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  703898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  703901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703927 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703949 */     GIR_RootConstrainSelectedInstOperands,
     /*  703950 */     // GIR_Coverage, 11329,
     /*  703950 */     GIR_EraseRootFromParent_Done,
     /*  703951 */   // Label 11138: @703951
     /*  703951 */   GIM_Try, /*On fail goto*//*Label 11139*/ GIMT_Encode4(704026), // Rule ID 11332 //
     /*  703956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  703967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  703970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  703973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  703976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704002 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  704005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704024 */     GIR_RootConstrainSelectedInstOperands,
     /*  704025 */     // GIR_Coverage, 11332,
     /*  704025 */     GIR_EraseRootFromParent_Done,
     /*  704026 */   // Label 11139: @704026
     /*  704026 */   GIM_Try, /*On fail goto*//*Label 11140*/ GIMT_Encode4(704101), // Rule ID 11333 //
     /*  704031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  704042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  704045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  704048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  704051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704077 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  704080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704099 */     GIR_RootConstrainSelectedInstOperands,
     /*  704100 */     // GIR_Coverage, 11333,
     /*  704100 */     GIR_EraseRootFromParent_Done,
     /*  704101 */   // Label 11140: @704101
     /*  704101 */   GIM_Try, /*On fail goto*//*Label 11141*/ GIMT_Encode4(704176), // Rule ID 11336 //
     /*  704106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  704117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  704120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  704123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  704126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704152 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  704155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704174 */     GIR_RootConstrainSelectedInstOperands,
     /*  704175 */     // GIR_Coverage, 11336,
     /*  704175 */     GIR_EraseRootFromParent_Done,
     /*  704176 */   // Label 11141: @704176
     /*  704176 */   GIM_Try, /*On fail goto*//*Label 11142*/ GIMT_Encode4(704251), // Rule ID 11337 //
     /*  704181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  704192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  704195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  704198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  704201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704227 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  704230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704249 */     GIR_RootConstrainSelectedInstOperands,
     /*  704250 */     // GIR_Coverage, 11337,
     /*  704250 */     GIR_EraseRootFromParent_Done,
     /*  704251 */   // Label 11142: @704251
     /*  704251 */   GIM_Try, /*On fail goto*//*Label 11143*/ GIMT_Encode4(704326), // Rule ID 11340 //
     /*  704256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  704267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  704270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  704273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  704276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704302 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  704305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704324 */     GIR_RootConstrainSelectedInstOperands,
     /*  704325 */     // GIR_Coverage, 11340,
     /*  704325 */     GIR_EraseRootFromParent_Done,
     /*  704326 */   // Label 11143: @704326
     /*  704326 */   GIM_Try, /*On fail goto*//*Label 11144*/ GIMT_Encode4(704401), // Rule ID 11341 //
     /*  704331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  704342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  704345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  704348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  704351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704377 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  704380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704399 */     GIR_RootConstrainSelectedInstOperands,
     /*  704400 */     // GIR_Coverage, 11341,
     /*  704400 */     GIR_EraseRootFromParent_Done,
     /*  704401 */   // Label 11144: @704401
     /*  704401 */   GIM_Try, /*On fail goto*//*Label 11145*/ GIMT_Encode4(704476), // Rule ID 11344 //
     /*  704406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  704417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  704420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  704423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  704426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704452 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  704455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704474 */     GIR_RootConstrainSelectedInstOperands,
     /*  704475 */     // GIR_Coverage, 11344,
     /*  704475 */     GIR_EraseRootFromParent_Done,
     /*  704476 */   // Label 11145: @704476
     /*  704476 */   GIM_Try, /*On fail goto*//*Label 11146*/ GIMT_Encode4(704551), // Rule ID 11345 //
     /*  704481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  704492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  704495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  704498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  704501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  704530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704549 */     GIR_RootConstrainSelectedInstOperands,
     /*  704550 */     // GIR_Coverage, 11345,
     /*  704550 */     GIR_EraseRootFromParent_Done,
     /*  704551 */   // Label 11146: @704551
     /*  704551 */   GIM_Try, /*On fail goto*//*Label 11147*/ GIMT_Encode4(704626), // Rule ID 11348 //
     /*  704556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  704567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  704570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  704573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  704576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  704605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704624 */     GIR_RootConstrainSelectedInstOperands,
     /*  704625 */     // GIR_Coverage, 11348,
     /*  704625 */     GIR_EraseRootFromParent_Done,
     /*  704626 */   // Label 11147: @704626
     /*  704626 */   GIM_Try, /*On fail goto*//*Label 11148*/ GIMT_Encode4(704701), // Rule ID 11349 //
     /*  704631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  704642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  704645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  704648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  704651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704677 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  704680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704699 */     GIR_RootConstrainSelectedInstOperands,
     /*  704700 */     // GIR_Coverage, 11349,
     /*  704700 */     GIR_EraseRootFromParent_Done,
     /*  704701 */   // Label 11148: @704701
     /*  704701 */   GIM_Try, /*On fail goto*//*Label 11149*/ GIMT_Encode4(704776), // Rule ID 11352 //
     /*  704706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  704717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  704720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  704723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  704726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  704755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704774 */     GIR_RootConstrainSelectedInstOperands,
     /*  704775 */     // GIR_Coverage, 11352,
     /*  704775 */     GIR_EraseRootFromParent_Done,
     /*  704776 */   // Label 11149: @704776
     /*  704776 */   GIM_Try, /*On fail goto*//*Label 11150*/ GIMT_Encode4(704851), // Rule ID 11353 //
     /*  704781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  704792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  704795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  704798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  704801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  704830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704849 */     GIR_RootConstrainSelectedInstOperands,
     /*  704850 */     // GIR_Coverage, 11353,
     /*  704850 */     GIR_EraseRootFromParent_Done,
     /*  704851 */   // Label 11150: @704851
     /*  704851 */   GIM_Try, /*On fail goto*//*Label 11151*/ GIMT_Encode4(704926), // Rule ID 11356 //
     /*  704856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  704867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  704870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  704873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704902 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  704905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704924 */     GIR_RootConstrainSelectedInstOperands,
     /*  704925 */     // GIR_Coverage, 11356,
     /*  704925 */     GIR_EraseRootFromParent_Done,
     /*  704926 */   // Label 11151: @704926
     /*  704926 */   GIM_Try, /*On fail goto*//*Label 11152*/ GIMT_Encode4(705001), // Rule ID 11357 //
     /*  704931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  704942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  704945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  704948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704977 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  704980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704999 */     GIR_RootConstrainSelectedInstOperands,
     /*  705000 */     // GIR_Coverage, 11357,
     /*  705000 */     GIR_EraseRootFromParent_Done,
     /*  705001 */   // Label 11152: @705001
     /*  705001 */   GIM_Try, /*On fail goto*//*Label 11153*/ GIMT_Encode4(705076), // Rule ID 11360 //
     /*  705006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  705017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  705020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  705023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705052 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  705055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705074 */     GIR_RootConstrainSelectedInstOperands,
     /*  705075 */     // GIR_Coverage, 11360,
     /*  705075 */     GIR_EraseRootFromParent_Done,
     /*  705076 */   // Label 11153: @705076
     /*  705076 */   GIM_Try, /*On fail goto*//*Label 11154*/ GIMT_Encode4(705151), // Rule ID 11361 //
     /*  705081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  705092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  705095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  705098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705127 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  705130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705149 */     GIR_RootConstrainSelectedInstOperands,
     /*  705150 */     // GIR_Coverage, 11361,
     /*  705150 */     GIR_EraseRootFromParent_Done,
     /*  705151 */   // Label 11154: @705151
     /*  705151 */   GIM_Try, /*On fail goto*//*Label 11155*/ GIMT_Encode4(705226), // Rule ID 11364 //
     /*  705156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  705167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  705170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  705173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705202 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  705205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705224 */     GIR_RootConstrainSelectedInstOperands,
     /*  705225 */     // GIR_Coverage, 11364,
     /*  705225 */     GIR_EraseRootFromParent_Done,
     /*  705226 */   // Label 11155: @705226
     /*  705226 */   GIM_Try, /*On fail goto*//*Label 11156*/ GIMT_Encode4(705301), // Rule ID 11365 //
     /*  705231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  705242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  705245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  705248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705277 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  705280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705299 */     GIR_RootConstrainSelectedInstOperands,
     /*  705300 */     // GIR_Coverage, 11365,
     /*  705300 */     GIR_EraseRootFromParent_Done,
     /*  705301 */   // Label 11156: @705301
     /*  705301 */   GIM_Try, /*On fail goto*//*Label 11157*/ GIMT_Encode4(705376), // Rule ID 11368 //
     /*  705306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  705317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  705320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  705323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705352 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  705355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705374 */     GIR_RootConstrainSelectedInstOperands,
     /*  705375 */     // GIR_Coverage, 11368,
     /*  705375 */     GIR_EraseRootFromParent_Done,
     /*  705376 */   // Label 11157: @705376
     /*  705376 */   GIM_Try, /*On fail goto*//*Label 11158*/ GIMT_Encode4(705451), // Rule ID 11369 //
     /*  705381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  705392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  705395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  705398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705427 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  705430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705449 */     GIR_RootConstrainSelectedInstOperands,
     /*  705450 */     // GIR_Coverage, 11369,
     /*  705450 */     GIR_EraseRootFromParent_Done,
     /*  705451 */   // Label 11158: @705451
     /*  705451 */   GIM_Try, /*On fail goto*//*Label 11159*/ GIMT_Encode4(705526), // Rule ID 11372 //
     /*  705456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  705467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  705470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  705473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705502 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  705505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705524 */     GIR_RootConstrainSelectedInstOperands,
     /*  705525 */     // GIR_Coverage, 11372,
     /*  705525 */     GIR_EraseRootFromParent_Done,
     /*  705526 */   // Label 11159: @705526
     /*  705526 */   GIM_Try, /*On fail goto*//*Label 11160*/ GIMT_Encode4(705601), // Rule ID 11373 //
     /*  705531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  705542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  705545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  705548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705577 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  705580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705599 */     GIR_RootConstrainSelectedInstOperands,
     /*  705600 */     // GIR_Coverage, 11373,
     /*  705600 */     GIR_EraseRootFromParent_Done,
     /*  705601 */   // Label 11160: @705601
     /*  705601 */   GIM_Try, /*On fail goto*//*Label 11161*/ GIMT_Encode4(705676), // Rule ID 11376 //
     /*  705606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  705617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  705620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  705623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  705655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705674 */     GIR_RootConstrainSelectedInstOperands,
     /*  705675 */     // GIR_Coverage, 11376,
     /*  705675 */     GIR_EraseRootFromParent_Done,
     /*  705676 */   // Label 11161: @705676
     /*  705676 */   GIM_Try, /*On fail goto*//*Label 11162*/ GIMT_Encode4(705751), // Rule ID 11377 //
     /*  705681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  705692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  705695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  705698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705727 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  705730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705749 */     GIR_RootConstrainSelectedInstOperands,
     /*  705750 */     // GIR_Coverage, 11377,
     /*  705750 */     GIR_EraseRootFromParent_Done,
     /*  705751 */   // Label 11162: @705751
     /*  705751 */   GIM_Try, /*On fail goto*//*Label 11163*/ GIMT_Encode4(705826), // Rule ID 11380 //
     /*  705756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  705767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  705770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  705773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705824 */     GIR_RootConstrainSelectedInstOperands,
     /*  705825 */     // GIR_Coverage, 11380,
     /*  705825 */     GIR_EraseRootFromParent_Done,
     /*  705826 */   // Label 11163: @705826
     /*  705826 */   GIM_Try, /*On fail goto*//*Label 11164*/ GIMT_Encode4(705901), // Rule ID 11381 //
     /*  705831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  705842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  705845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  705848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705899 */     GIR_RootConstrainSelectedInstOperands,
     /*  705900 */     // GIR_Coverage, 11381,
     /*  705900 */     GIR_EraseRootFromParent_Done,
     /*  705901 */   // Label 11164: @705901
     /*  705901 */   GIM_Try, /*On fail goto*//*Label 11165*/ GIMT_Encode4(705976), // Rule ID 11384 //
     /*  705906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  705917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  705920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  705923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705974 */     GIR_RootConstrainSelectedInstOperands,
     /*  705975 */     // GIR_Coverage, 11384,
     /*  705975 */     GIR_EraseRootFromParent_Done,
     /*  705976 */   // Label 11165: @705976
     /*  705976 */   GIM_Try, /*On fail goto*//*Label 11166*/ GIMT_Encode4(706051), // Rule ID 11385 //
     /*  705981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  705992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  705995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  705998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  706030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706049 */     GIR_RootConstrainSelectedInstOperands,
     /*  706050 */     // GIR_Coverage, 11385,
     /*  706050 */     GIR_EraseRootFromParent_Done,
     /*  706051 */   // Label 11166: @706051
     /*  706051 */   GIM_Try, /*On fail goto*//*Label 11167*/ GIMT_Encode4(706126), // Rule ID 11388 //
     /*  706056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  706067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  706070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  706073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  706105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706124 */     GIR_RootConstrainSelectedInstOperands,
     /*  706125 */     // GIR_Coverage, 11388,
     /*  706125 */     GIR_EraseRootFromParent_Done,
     /*  706126 */   // Label 11167: @706126
     /*  706126 */   GIM_Try, /*On fail goto*//*Label 11168*/ GIMT_Encode4(706201), // Rule ID 11389 //
     /*  706131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  706142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  706145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  706148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  706180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706199 */     GIR_RootConstrainSelectedInstOperands,
     /*  706200 */     // GIR_Coverage, 11389,
     /*  706200 */     GIR_EraseRootFromParent_Done,
     /*  706201 */   // Label 11168: @706201
     /*  706201 */   GIM_Try, /*On fail goto*//*Label 11169*/ GIMT_Encode4(706276), // Rule ID 11392 //
     /*  706206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  706217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  706220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  706223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706274 */     GIR_RootConstrainSelectedInstOperands,
     /*  706275 */     // GIR_Coverage, 11392,
     /*  706275 */     GIR_EraseRootFromParent_Done,
     /*  706276 */   // Label 11169: @706276
     /*  706276 */   GIM_Try, /*On fail goto*//*Label 11170*/ GIMT_Encode4(706351), // Rule ID 11393 //
     /*  706281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  706292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  706295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  706298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706327 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706349 */     GIR_RootConstrainSelectedInstOperands,
     /*  706350 */     // GIR_Coverage, 11393,
     /*  706350 */     GIR_EraseRootFromParent_Done,
     /*  706351 */   // Label 11170: @706351
     /*  706351 */   GIM_Try, /*On fail goto*//*Label 11171*/ GIMT_Encode4(706426), // Rule ID 11396 //
     /*  706356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  706367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  706370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  706373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706402 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706424 */     GIR_RootConstrainSelectedInstOperands,
     /*  706425 */     // GIR_Coverage, 11396,
     /*  706425 */     GIR_EraseRootFromParent_Done,
     /*  706426 */   // Label 11171: @706426
     /*  706426 */   GIM_Try, /*On fail goto*//*Label 11172*/ GIMT_Encode4(706501), // Rule ID 11397 //
     /*  706431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  706442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  706445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  706448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706477 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706499 */     GIR_RootConstrainSelectedInstOperands,
     /*  706500 */     // GIR_Coverage, 11397,
     /*  706500 */     GIR_EraseRootFromParent_Done,
     /*  706501 */   // Label 11172: @706501
     /*  706501 */   GIM_Try, /*On fail goto*//*Label 11173*/ GIMT_Encode4(706576), // Rule ID 11400 //
     /*  706506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  706517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  706520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  706523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706552 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706574 */     GIR_RootConstrainSelectedInstOperands,
     /*  706575 */     // GIR_Coverage, 11400,
     /*  706575 */     GIR_EraseRootFromParent_Done,
     /*  706576 */   // Label 11173: @706576
     /*  706576 */   GIM_Try, /*On fail goto*//*Label 11174*/ GIMT_Encode4(706651), // Rule ID 11401 //
     /*  706581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  706592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  706595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  706598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706627 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706649 */     GIR_RootConstrainSelectedInstOperands,
     /*  706650 */     // GIR_Coverage, 11401,
     /*  706650 */     GIR_EraseRootFromParent_Done,
     /*  706651 */   // Label 11174: @706651
     /*  706651 */   GIM_Try, /*On fail goto*//*Label 11175*/ GIMT_Encode4(706726), // Rule ID 11404 //
     /*  706656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  706667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  706670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  706673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706702 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706724 */     GIR_RootConstrainSelectedInstOperands,
     /*  706725 */     // GIR_Coverage, 11404,
     /*  706725 */     GIR_EraseRootFromParent_Done,
     /*  706726 */   // Label 11175: @706726
     /*  706726 */   GIM_Try, /*On fail goto*//*Label 11176*/ GIMT_Encode4(706801), // Rule ID 11405 //
     /*  706731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  706742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  706745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  706748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706777 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706799 */     GIR_RootConstrainSelectedInstOperands,
     /*  706800 */     // GIR_Coverage, 11405,
     /*  706800 */     GIR_EraseRootFromParent_Done,
     /*  706801 */   // Label 11176: @706801
     /*  706801 */   GIM_Try, /*On fail goto*//*Label 11177*/ GIMT_Encode4(706876), // Rule ID 11408 //
     /*  706806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  706817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  706820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  706823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706852 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706874 */     GIR_RootConstrainSelectedInstOperands,
     /*  706875 */     // GIR_Coverage, 11408,
     /*  706875 */     GIR_EraseRootFromParent_Done,
     /*  706876 */   // Label 11177: @706876
     /*  706876 */   GIM_Try, /*On fail goto*//*Label 11178*/ GIMT_Encode4(706951), // Rule ID 11409 //
     /*  706881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  706892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  706895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  706898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706927 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706949 */     GIR_RootConstrainSelectedInstOperands,
     /*  706950 */     // GIR_Coverage, 11409,
     /*  706950 */     GIR_EraseRootFromParent_Done,
     /*  706951 */   // Label 11178: @706951
     /*  706951 */   GIM_Try, /*On fail goto*//*Label 11179*/ GIMT_Encode4(707026), // Rule ID 11412 //
     /*  706956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  706967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  706970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  706973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  707005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707024 */     GIR_RootConstrainSelectedInstOperands,
     /*  707025 */     // GIR_Coverage, 11412,
     /*  707025 */     GIR_EraseRootFromParent_Done,
     /*  707026 */   // Label 11179: @707026
     /*  707026 */   GIM_Try, /*On fail goto*//*Label 11180*/ GIMT_Encode4(707101), // Rule ID 11413 //
     /*  707031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  707042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  707045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  707048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  707051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  707070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707077 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  707080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707099 */     GIR_RootConstrainSelectedInstOperands,
     /*  707100 */     // GIR_Coverage, 11413,
     /*  707100 */     GIR_EraseRootFromParent_Done,
     /*  707101 */   // Label 11180: @707101
     /*  707101 */   GIM_Try, /*On fail goto*//*Label 11181*/ GIMT_Encode4(707176), // Rule ID 11416 //
     /*  707106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  707117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  707120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  707123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  707145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707152 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  707155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707174 */     GIR_RootConstrainSelectedInstOperands,
     /*  707175 */     // GIR_Coverage, 11416,
     /*  707175 */     GIR_EraseRootFromParent_Done,
     /*  707176 */   // Label 11181: @707176
     /*  707176 */   GIM_Try, /*On fail goto*//*Label 11182*/ GIMT_Encode4(707251), // Rule ID 11417 //
     /*  707181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  707192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  707195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  707198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  707201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  707220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707227 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  707230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707249 */     GIR_RootConstrainSelectedInstOperands,
     /*  707250 */     // GIR_Coverage, 11417,
     /*  707250 */     GIR_EraseRootFromParent_Done,
     /*  707251 */   // Label 11182: @707251
     /*  707251 */   GIM_Try, /*On fail goto*//*Label 11183*/ GIMT_Encode4(707326), // Rule ID 11420 //
     /*  707256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  707267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  707270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  707273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  707295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707302 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  707305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707324 */     GIR_RootConstrainSelectedInstOperands,
     /*  707325 */     // GIR_Coverage, 11420,
     /*  707325 */     GIR_EraseRootFromParent_Done,
     /*  707326 */   // Label 11183: @707326
     /*  707326 */   GIM_Try, /*On fail goto*//*Label 11184*/ GIMT_Encode4(707401), // Rule ID 11421 //
     /*  707331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  707342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  707345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  707348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  707351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  707370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707377 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  707380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707399 */     GIR_RootConstrainSelectedInstOperands,
     /*  707400 */     // GIR_Coverage, 11421,
     /*  707400 */     GIR_EraseRootFromParent_Done,
     /*  707401 */   // Label 11184: @707401
     /*  707401 */   GIM_Try, /*On fail goto*//*Label 11185*/ GIMT_Encode4(707476), // Rule ID 11424 //
     /*  707406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  707417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  707420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  707423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  707445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707452 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  707455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707474 */     GIR_RootConstrainSelectedInstOperands,
     /*  707475 */     // GIR_Coverage, 11424,
     /*  707475 */     GIR_EraseRootFromParent_Done,
     /*  707476 */   // Label 11185: @707476
     /*  707476 */   GIM_Try, /*On fail goto*//*Label 11186*/ GIMT_Encode4(707551), // Rule ID 11425 //
     /*  707481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  707492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  707495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  707498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  707501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  707520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707527 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  707530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707549 */     GIR_RootConstrainSelectedInstOperands,
     /*  707550 */     // GIR_Coverage, 11425,
     /*  707550 */     GIR_EraseRootFromParent_Done,
     /*  707551 */   // Label 11186: @707551
     /*  707551 */   GIM_Try, /*On fail goto*//*Label 11187*/ GIMT_Encode4(707626), // Rule ID 11428 //
     /*  707556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  707567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  707570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  707573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  707576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707602 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  707605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707624 */     GIR_RootConstrainSelectedInstOperands,
     /*  707625 */     // GIR_Coverage, 11428,
     /*  707625 */     GIR_EraseRootFromParent_Done,
     /*  707626 */   // Label 11187: @707626
     /*  707626 */   GIM_Try, /*On fail goto*//*Label 11188*/ GIMT_Encode4(707701), // Rule ID 11429 //
     /*  707631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  707642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  707645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  707648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  707651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707677 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  707680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707699 */     GIR_RootConstrainSelectedInstOperands,
     /*  707700 */     // GIR_Coverage, 11429,
     /*  707700 */     GIR_EraseRootFromParent_Done,
     /*  707701 */   // Label 11188: @707701
     /*  707701 */   GIM_Try, /*On fail goto*//*Label 11189*/ GIMT_Encode4(707776), // Rule ID 11432 //
     /*  707706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  707717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  707720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  707723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  707726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707752 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  707755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707774 */     GIR_RootConstrainSelectedInstOperands,
     /*  707775 */     // GIR_Coverage, 11432,
     /*  707775 */     GIR_EraseRootFromParent_Done,
     /*  707776 */   // Label 11189: @707776
     /*  707776 */   GIM_Try, /*On fail goto*//*Label 11190*/ GIMT_Encode4(707851), // Rule ID 11433 //
     /*  707781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  707792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  707795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  707798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  707801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707827 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  707830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707849 */     GIR_RootConstrainSelectedInstOperands,
     /*  707850 */     // GIR_Coverage, 11433,
     /*  707850 */     GIR_EraseRootFromParent_Done,
     /*  707851 */   // Label 11190: @707851
     /*  707851 */   GIM_Try, /*On fail goto*//*Label 11191*/ GIMT_Encode4(707926), // Rule ID 11436 //
     /*  707856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  707867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  707870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  707873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  707876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707902 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707924 */     GIR_RootConstrainSelectedInstOperands,
     /*  707925 */     // GIR_Coverage, 11436,
     /*  707925 */     GIR_EraseRootFromParent_Done,
     /*  707926 */   // Label 11191: @707926
     /*  707926 */   GIM_Try, /*On fail goto*//*Label 11192*/ GIMT_Encode4(708001), // Rule ID 11437 //
     /*  707931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  707942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  707945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  707948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  707951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707977 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707999 */     GIR_RootConstrainSelectedInstOperands,
     /*  708000 */     // GIR_Coverage, 11437,
     /*  708000 */     GIR_EraseRootFromParent_Done,
     /*  708001 */   // Label 11192: @708001
     /*  708001 */   GIM_Try, /*On fail goto*//*Label 11193*/ GIMT_Encode4(708076), // Rule ID 11440 //
     /*  708006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  708017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  708020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  708023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  708026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708052 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  708055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708074 */     GIR_RootConstrainSelectedInstOperands,
     /*  708075 */     // GIR_Coverage, 11440,
     /*  708075 */     GIR_EraseRootFromParent_Done,
     /*  708076 */   // Label 11193: @708076
     /*  708076 */   GIM_Try, /*On fail goto*//*Label 11194*/ GIMT_Encode4(708151), // Rule ID 11441 //
     /*  708081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  708092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  708095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  708098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  708101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708127 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  708130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708149 */     GIR_RootConstrainSelectedInstOperands,
     /*  708150 */     // GIR_Coverage, 11441,
     /*  708150 */     GIR_EraseRootFromParent_Done,
     /*  708151 */   // Label 11194: @708151
     /*  708151 */   GIM_Try, /*On fail goto*//*Label 11195*/ GIMT_Encode4(708226), // Rule ID 11444 //
     /*  708156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  708167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  708170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  708173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  708176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708202 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  708205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708224 */     GIR_RootConstrainSelectedInstOperands,
     /*  708225 */     // GIR_Coverage, 11444,
     /*  708225 */     GIR_EraseRootFromParent_Done,
     /*  708226 */   // Label 11195: @708226
     /*  708226 */   GIM_Try, /*On fail goto*//*Label 11196*/ GIMT_Encode4(708301), // Rule ID 11445 //
     /*  708231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  708242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  708245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  708248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  708251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  708280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708299 */     GIR_RootConstrainSelectedInstOperands,
     /*  708300 */     // GIR_Coverage, 11445,
     /*  708300 */     GIR_EraseRootFromParent_Done,
     /*  708301 */   // Label 11196: @708301
     /*  708301 */   GIM_Try, /*On fail goto*//*Label 11197*/ GIMT_Encode4(708376), // Rule ID 11448 //
     /*  708306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  708317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  708320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  708323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  708326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  708355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708374 */     GIR_RootConstrainSelectedInstOperands,
     /*  708375 */     // GIR_Coverage, 11448,
     /*  708375 */     GIR_EraseRootFromParent_Done,
     /*  708376 */   // Label 11197: @708376
     /*  708376 */   GIM_Try, /*On fail goto*//*Label 11198*/ GIMT_Encode4(708451), // Rule ID 11449 //
     /*  708381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  708392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  708395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  708398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  708401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  708430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708449 */     GIR_RootConstrainSelectedInstOperands,
     /*  708450 */     // GIR_Coverage, 11449,
     /*  708450 */     GIR_EraseRootFromParent_Done,
     /*  708451 */   // Label 11198: @708451
     /*  708451 */   GIM_Try, /*On fail goto*//*Label 11199*/ GIMT_Encode4(708526), // Rule ID 11452 //
     /*  708456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  708467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  708470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  708473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  708476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708524 */     GIR_RootConstrainSelectedInstOperands,
     /*  708525 */     // GIR_Coverage, 11452,
     /*  708525 */     GIR_EraseRootFromParent_Done,
     /*  708526 */   // Label 11199: @708526
     /*  708526 */   GIM_Try, /*On fail goto*//*Label 11200*/ GIMT_Encode4(708601), // Rule ID 11453 //
     /*  708531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  708542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  708545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  708548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  708551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708599 */     GIR_RootConstrainSelectedInstOperands,
     /*  708600 */     // GIR_Coverage, 11453,
     /*  708600 */     GIR_EraseRootFromParent_Done,
     /*  708601 */   // Label 11200: @708601
     /*  708601 */   GIM_Try, /*On fail goto*//*Label 11201*/ GIMT_Encode4(708676), // Rule ID 11456 //
     /*  708606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  708617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  708620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  708623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  708626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708674 */     GIR_RootConstrainSelectedInstOperands,
     /*  708675 */     // GIR_Coverage, 11456,
     /*  708675 */     GIR_EraseRootFromParent_Done,
     /*  708676 */   // Label 11201: @708676
     /*  708676 */   GIM_Try, /*On fail goto*//*Label 11202*/ GIMT_Encode4(708751), // Rule ID 11457 //
     /*  708681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  708692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  708695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  708698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  708701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708749 */     GIR_RootConstrainSelectedInstOperands,
     /*  708750 */     // GIR_Coverage, 11457,
     /*  708750 */     GIR_EraseRootFromParent_Done,
     /*  708751 */   // Label 11202: @708751
     /*  708751 */   GIM_Try, /*On fail goto*//*Label 11203*/ GIMT_Encode4(708826), // Rule ID 11460 //
     /*  708756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  708767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  708770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  708773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  708776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708824 */     GIR_RootConstrainSelectedInstOperands,
     /*  708825 */     // GIR_Coverage, 11460,
     /*  708825 */     GIR_EraseRootFromParent_Done,
     /*  708826 */   // Label 11203: @708826
     /*  708826 */   GIM_Try, /*On fail goto*//*Label 11204*/ GIMT_Encode4(708901), // Rule ID 11461 //
     /*  708831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  708842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  708845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  708848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  708851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708899 */     GIR_RootConstrainSelectedInstOperands,
     /*  708900 */     // GIR_Coverage, 11461,
     /*  708900 */     GIR_EraseRootFromParent_Done,
     /*  708901 */   // Label 11204: @708901
     /*  708901 */   GIM_Try, /*On fail goto*//*Label 11205*/ GIMT_Encode4(708976), // Rule ID 11464 //
     /*  708906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  708917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  708920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  708923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  708926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708974 */     GIR_RootConstrainSelectedInstOperands,
     /*  708975 */     // GIR_Coverage, 11464,
     /*  708975 */     GIR_EraseRootFromParent_Done,
     /*  708976 */   // Label 11205: @708976
     /*  708976 */   GIM_Try, /*On fail goto*//*Label 11206*/ GIMT_Encode4(709051), // Rule ID 11465 //
     /*  708981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  708992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  708995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  708998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  709001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709027 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  709030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709049 */     GIR_RootConstrainSelectedInstOperands,
     /*  709050 */     // GIR_Coverage, 11465,
     /*  709050 */     GIR_EraseRootFromParent_Done,
     /*  709051 */   // Label 11206: @709051
     /*  709051 */   GIM_Try, /*On fail goto*//*Label 11207*/ GIMT_Encode4(709126), // Rule ID 11468 //
     /*  709056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  709067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  709070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  709073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  709076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709102 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  709105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709124 */     GIR_RootConstrainSelectedInstOperands,
     /*  709125 */     // GIR_Coverage, 11468,
     /*  709125 */     GIR_EraseRootFromParent_Done,
     /*  709126 */   // Label 11207: @709126
     /*  709126 */   GIM_Try, /*On fail goto*//*Label 11208*/ GIMT_Encode4(709201), // Rule ID 11469 //
     /*  709131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  709142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  709145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  709148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  709151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709177 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  709180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709199 */     GIR_RootConstrainSelectedInstOperands,
     /*  709200 */     // GIR_Coverage, 11469,
     /*  709200 */     GIR_EraseRootFromParent_Done,
     /*  709201 */   // Label 11208: @709201
     /*  709201 */   GIM_Try, /*On fail goto*//*Label 11209*/ GIMT_Encode4(709276), // Rule ID 11472 //
     /*  709206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  709217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  709220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  709223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  709226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709252 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709274 */     GIR_RootConstrainSelectedInstOperands,
     /*  709275 */     // GIR_Coverage, 11472,
     /*  709275 */     GIR_EraseRootFromParent_Done,
     /*  709276 */   // Label 11209: @709276
     /*  709276 */   GIM_Try, /*On fail goto*//*Label 11210*/ GIMT_Encode4(709351), // Rule ID 11473 //
     /*  709281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  709292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  709295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  709298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  709301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709327 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709349 */     GIR_RootConstrainSelectedInstOperands,
     /*  709350 */     // GIR_Coverage, 11473,
     /*  709350 */     GIR_EraseRootFromParent_Done,
     /*  709351 */   // Label 11210: @709351
     /*  709351 */   GIM_Try, /*On fail goto*//*Label 11211*/ GIMT_Encode4(709426), // Rule ID 11476 //
     /*  709356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  709367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  709370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  709373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  709376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  709405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709424 */     GIR_RootConstrainSelectedInstOperands,
     /*  709425 */     // GIR_Coverage, 11476,
     /*  709425 */     GIR_EraseRootFromParent_Done,
     /*  709426 */   // Label 11211: @709426
     /*  709426 */   GIM_Try, /*On fail goto*//*Label 11212*/ GIMT_Encode4(709501), // Rule ID 11477 //
     /*  709431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  709442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  709445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  709448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  709451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709477 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  709480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709499 */     GIR_RootConstrainSelectedInstOperands,
     /*  709500 */     // GIR_Coverage, 11477,
     /*  709500 */     GIR_EraseRootFromParent_Done,
     /*  709501 */   // Label 11212: @709501
     /*  709501 */   GIM_Try, /*On fail goto*//*Label 11213*/ GIMT_Encode4(709576), // Rule ID 11480 //
     /*  709506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  709517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  709520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  709523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  709526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  709555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709574 */     GIR_RootConstrainSelectedInstOperands,
     /*  709575 */     // GIR_Coverage, 11480,
     /*  709575 */     GIR_EraseRootFromParent_Done,
     /*  709576 */   // Label 11213: @709576
     /*  709576 */   GIM_Try, /*On fail goto*//*Label 11214*/ GIMT_Encode4(709651), // Rule ID 11481 //
     /*  709581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  709592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  709595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  709598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  709601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709627 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  709630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709649 */     GIR_RootConstrainSelectedInstOperands,
     /*  709650 */     // GIR_Coverage, 11481,
     /*  709650 */     GIR_EraseRootFromParent_Done,
     /*  709651 */   // Label 11214: @709651
     /*  709651 */   GIM_Try, /*On fail goto*//*Label 11215*/ GIMT_Encode4(709726), // Rule ID 11484 //
     /*  709656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  709667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  709670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  709673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  709676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709702 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709724 */     GIR_RootConstrainSelectedInstOperands,
     /*  709725 */     // GIR_Coverage, 11484,
     /*  709725 */     GIR_EraseRootFromParent_Done,
     /*  709726 */   // Label 11215: @709726
     /*  709726 */   GIM_Try, /*On fail goto*//*Label 11216*/ GIMT_Encode4(709801), // Rule ID 11485 //
     /*  709731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  709742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  709745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  709748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  709751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709777 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709799 */     GIR_RootConstrainSelectedInstOperands,
     /*  709800 */     // GIR_Coverage, 11485,
     /*  709800 */     GIR_EraseRootFromParent_Done,
     /*  709801 */   // Label 11216: @709801
     /*  709801 */   GIM_Try, /*On fail goto*//*Label 11217*/ GIMT_Encode4(709876), // Rule ID 11488 //
     /*  709806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  709817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  709820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  709823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  709826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  709855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709874 */     GIR_RootConstrainSelectedInstOperands,
     /*  709875 */     // GIR_Coverage, 11488,
     /*  709875 */     GIR_EraseRootFromParent_Done,
     /*  709876 */   // Label 11217: @709876
     /*  709876 */   GIM_Try, /*On fail goto*//*Label 11218*/ GIMT_Encode4(709951), // Rule ID 11489 //
     /*  709881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  709892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  709895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  709898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  709901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709927 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  709930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709949 */     GIR_RootConstrainSelectedInstOperands,
     /*  709950 */     // GIR_Coverage, 11489,
     /*  709950 */     GIR_EraseRootFromParent_Done,
     /*  709951 */   // Label 11218: @709951
     /*  709951 */   GIM_Try, /*On fail goto*//*Label 11219*/ GIMT_Encode4(710026), // Rule ID 11492 //
     /*  709956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  709967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  709970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  709973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  709976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710002 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  710005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710024 */     GIR_RootConstrainSelectedInstOperands,
     /*  710025 */     // GIR_Coverage, 11492,
     /*  710025 */     GIR_EraseRootFromParent_Done,
     /*  710026 */   // Label 11219: @710026
     /*  710026 */   GIM_Try, /*On fail goto*//*Label 11220*/ GIMT_Encode4(710101), // Rule ID 11493 //
     /*  710031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  710042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  710045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  710048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  710051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710077 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  710080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710099 */     GIR_RootConstrainSelectedInstOperands,
     /*  710100 */     // GIR_Coverage, 11493,
     /*  710100 */     GIR_EraseRootFromParent_Done,
     /*  710101 */   // Label 11220: @710101
     /*  710101 */   GIM_Try, /*On fail goto*//*Label 11221*/ GIMT_Encode4(710176), // Rule ID 11496 //
     /*  710106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  710117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  710120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  710123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  710126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710152 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  710155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710174 */     GIR_RootConstrainSelectedInstOperands,
     /*  710175 */     // GIR_Coverage, 11496,
     /*  710175 */     GIR_EraseRootFromParent_Done,
     /*  710176 */   // Label 11221: @710176
     /*  710176 */   GIM_Try, /*On fail goto*//*Label 11222*/ GIMT_Encode4(710251), // Rule ID 11497 //
     /*  710181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  710192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  710195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  710198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  710201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710227 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  710230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710249 */     GIR_RootConstrainSelectedInstOperands,
     /*  710250 */     // GIR_Coverage, 11497,
     /*  710250 */     GIR_EraseRootFromParent_Done,
     /*  710251 */   // Label 11222: @710251
     /*  710251 */   GIM_Try, /*On fail goto*//*Label 11223*/ GIMT_Encode4(710326), // Rule ID 11500 //
     /*  710256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  710267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  710270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  710273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710302 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  710305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710324 */     GIR_RootConstrainSelectedInstOperands,
     /*  710325 */     // GIR_Coverage, 11500,
     /*  710325 */     GIR_EraseRootFromParent_Done,
     /*  710326 */   // Label 11223: @710326
     /*  710326 */   GIM_Try, /*On fail goto*//*Label 11224*/ GIMT_Encode4(710401), // Rule ID 11501 //
     /*  710331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  710342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  710345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  710348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710377 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  710380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710399 */     GIR_RootConstrainSelectedInstOperands,
     /*  710400 */     // GIR_Coverage, 11501,
     /*  710400 */     GIR_EraseRootFromParent_Done,
     /*  710401 */   // Label 11224: @710401
     /*  710401 */   GIM_Try, /*On fail goto*//*Label 11225*/ GIMT_Encode4(710476), // Rule ID 11504 //
     /*  710406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  710417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  710420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  710423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  710455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710474 */     GIR_RootConstrainSelectedInstOperands,
     /*  710475 */     // GIR_Coverage, 11504,
     /*  710475 */     GIR_EraseRootFromParent_Done,
     /*  710476 */   // Label 11225: @710476
     /*  710476 */   GIM_Try, /*On fail goto*//*Label 11226*/ GIMT_Encode4(710551), // Rule ID 11505 //
     /*  710481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  710492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  710495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  710498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710527 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  710530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710549 */     GIR_RootConstrainSelectedInstOperands,
     /*  710550 */     // GIR_Coverage, 11505,
     /*  710550 */     GIR_EraseRootFromParent_Done,
     /*  710551 */   // Label 11226: @710551
     /*  710551 */   GIM_Try, /*On fail goto*//*Label 11227*/ GIMT_Encode4(710626), // Rule ID 11508 //
     /*  710556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  710567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  710570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  710573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710602 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710624 */     GIR_RootConstrainSelectedInstOperands,
     /*  710625 */     // GIR_Coverage, 11508,
     /*  710625 */     GIR_EraseRootFromParent_Done,
     /*  710626 */   // Label 11227: @710626
     /*  710626 */   GIM_Try, /*On fail goto*//*Label 11228*/ GIMT_Encode4(710701), // Rule ID 11509 //
     /*  710631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  710642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  710645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  710648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710677 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710699 */     GIR_RootConstrainSelectedInstOperands,
     /*  710700 */     // GIR_Coverage, 11509,
     /*  710700 */     GIR_EraseRootFromParent_Done,
     /*  710701 */   // Label 11228: @710701
     /*  710701 */   GIM_Try, /*On fail goto*//*Label 11229*/ GIMT_Encode4(710776), // Rule ID 11512 //
     /*  710706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  710717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  710720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  710723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  710755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710774 */     GIR_RootConstrainSelectedInstOperands,
     /*  710775 */     // GIR_Coverage, 11512,
     /*  710775 */     GIR_EraseRootFromParent_Done,
     /*  710776 */   // Label 11229: @710776
     /*  710776 */   GIM_Try, /*On fail goto*//*Label 11230*/ GIMT_Encode4(710851), // Rule ID 11513 //
     /*  710781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  710792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  710795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  710798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710827 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  710830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710849 */     GIR_RootConstrainSelectedInstOperands,
     /*  710850 */     // GIR_Coverage, 11513,
     /*  710850 */     GIR_EraseRootFromParent_Done,
     /*  710851 */   // Label 11230: @710851
     /*  710851 */   GIM_Try, /*On fail goto*//*Label 11231*/ GIMT_Encode4(710926), // Rule ID 11516 //
     /*  710856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  710867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  710870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  710873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710902 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710924 */     GIR_RootConstrainSelectedInstOperands,
     /*  710925 */     // GIR_Coverage, 11516,
     /*  710925 */     GIR_EraseRootFromParent_Done,
     /*  710926 */   // Label 11231: @710926
     /*  710926 */   GIM_Try, /*On fail goto*//*Label 11232*/ GIMT_Encode4(711001), // Rule ID 11517 //
     /*  710931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  710942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  710945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  710948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710999 */     GIR_RootConstrainSelectedInstOperands,
     /*  711000 */     // GIR_Coverage, 11517,
     /*  711000 */     GIR_EraseRootFromParent_Done,
     /*  711001 */   // Label 11232: @711001
     /*  711001 */   GIM_Try, /*On fail goto*//*Label 11233*/ GIMT_Encode4(711076), // Rule ID 11520 //
     /*  711006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  711017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  711020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  711023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  711055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711074 */     GIR_RootConstrainSelectedInstOperands,
     /*  711075 */     // GIR_Coverage, 11520,
     /*  711075 */     GIR_EraseRootFromParent_Done,
     /*  711076 */   // Label 11233: @711076
     /*  711076 */   GIM_Try, /*On fail goto*//*Label 11234*/ GIMT_Encode4(711151), // Rule ID 11521 //
     /*  711081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  711092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  711095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  711098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711127 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  711130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711149 */     GIR_RootConstrainSelectedInstOperands,
     /*  711150 */     // GIR_Coverage, 11521,
     /*  711150 */     GIR_EraseRootFromParent_Done,
     /*  711151 */   // Label 11234: @711151
     /*  711151 */   GIM_Try, /*On fail goto*//*Label 11235*/ GIMT_Encode4(711226), // Rule ID 11524 //
     /*  711156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  711167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  711170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  711173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  711205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711224 */     GIR_RootConstrainSelectedInstOperands,
     /*  711225 */     // GIR_Coverage, 11524,
     /*  711225 */     GIR_EraseRootFromParent_Done,
     /*  711226 */   // Label 11235: @711226
     /*  711226 */   GIM_Try, /*On fail goto*//*Label 11236*/ GIMT_Encode4(711301), // Rule ID 11525 //
     /*  711231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  711242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  711245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  711248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  711280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711299 */     GIR_RootConstrainSelectedInstOperands,
     /*  711300 */     // GIR_Coverage, 11525,
     /*  711300 */     GIR_EraseRootFromParent_Done,
     /*  711301 */   // Label 11236: @711301
     /*  711301 */   GIM_Try, /*On fail goto*//*Label 11237*/ GIMT_Encode4(711376), // Rule ID 11528 //
     /*  711306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  711317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  711320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  711323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  711355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711374 */     GIR_RootConstrainSelectedInstOperands,
     /*  711375 */     // GIR_Coverage, 11528,
     /*  711375 */     GIR_EraseRootFromParent_Done,
     /*  711376 */   // Label 11237: @711376
     /*  711376 */   GIM_Try, /*On fail goto*//*Label 11238*/ GIMT_Encode4(711451), // Rule ID 11529 //
     /*  711381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  711392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  711395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  711398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  711430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711449 */     GIR_RootConstrainSelectedInstOperands,
     /*  711450 */     // GIR_Coverage, 11529,
     /*  711450 */     GIR_EraseRootFromParent_Done,
     /*  711451 */   // Label 11238: @711451
     /*  711451 */   GIM_Try, /*On fail goto*//*Label 11239*/ GIMT_Encode4(711526), // Rule ID 11532 //
     /*  711456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  711467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  711470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  711473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  711505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711524 */     GIR_RootConstrainSelectedInstOperands,
     /*  711525 */     // GIR_Coverage, 11532,
     /*  711525 */     GIR_EraseRootFromParent_Done,
     /*  711526 */   // Label 11239: @711526
     /*  711526 */   GIM_Try, /*On fail goto*//*Label 11240*/ GIMT_Encode4(711601), // Rule ID 11533 //
     /*  711531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  711542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  711545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  711548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  711580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711599 */     GIR_RootConstrainSelectedInstOperands,
     /*  711600 */     // GIR_Coverage, 11533,
     /*  711600 */     GIR_EraseRootFromParent_Done,
     /*  711601 */   // Label 11240: @711601
     /*  711601 */   GIM_Try, /*On fail goto*//*Label 11241*/ GIMT_Encode4(711676), // Rule ID 11536 //
     /*  711606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  711617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  711620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  711623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711652 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711674 */     GIR_RootConstrainSelectedInstOperands,
     /*  711675 */     // GIR_Coverage, 11536,
     /*  711675 */     GIR_EraseRootFromParent_Done,
     /*  711676 */   // Label 11241: @711676
     /*  711676 */   GIM_Try, /*On fail goto*//*Label 11242*/ GIMT_Encode4(711751), // Rule ID 11537 //
     /*  711681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  711692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  711695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  711698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711727 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711749 */     GIR_RootConstrainSelectedInstOperands,
     /*  711750 */     // GIR_Coverage, 11537,
     /*  711750 */     GIR_EraseRootFromParent_Done,
     /*  711751 */   // Label 11242: @711751
     /*  711751 */   GIM_Try, /*On fail goto*//*Label 11243*/ GIMT_Encode4(711826), // Rule ID 11540 //
     /*  711756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  711767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  711770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  711773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711802 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711824 */     GIR_RootConstrainSelectedInstOperands,
     /*  711825 */     // GIR_Coverage, 11540,
     /*  711825 */     GIR_EraseRootFromParent_Done,
     /*  711826 */   // Label 11243: @711826
     /*  711826 */   GIM_Try, /*On fail goto*//*Label 11244*/ GIMT_Encode4(711901), // Rule ID 11541 //
     /*  711831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  711842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  711845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  711848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711877 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711899 */     GIR_RootConstrainSelectedInstOperands,
     /*  711900 */     // GIR_Coverage, 11541,
     /*  711900 */     GIR_EraseRootFromParent_Done,
     /*  711901 */   // Label 11244: @711901
     /*  711901 */   GIM_Try, /*On fail goto*//*Label 11245*/ GIMT_Encode4(711976), // Rule ID 11544 //
     /*  711906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  711917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  711920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  711923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711952 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711974 */     GIR_RootConstrainSelectedInstOperands,
     /*  711975 */     // GIR_Coverage, 11544,
     /*  711975 */     GIR_EraseRootFromParent_Done,
     /*  711976 */   // Label 11245: @711976
     /*  711976 */   GIM_Try, /*On fail goto*//*Label 11246*/ GIMT_Encode4(712051), // Rule ID 11545 //
     /*  711981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  711992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  711995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  711998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712027 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  712027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  712030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712049 */     GIR_RootConstrainSelectedInstOperands,
     /*  712050 */     // GIR_Coverage, 11545,
     /*  712050 */     GIR_EraseRootFromParent_Done,
     /*  712051 */   // Label 11246: @712051
     /*  712051 */   GIM_Try, /*On fail goto*//*Label 11247*/ GIMT_Encode4(712126), // Rule ID 11548 //
     /*  712056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  712067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  712070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  712073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712102 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  712105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712124 */     GIR_RootConstrainSelectedInstOperands,
     /*  712125 */     // GIR_Coverage, 11548,
     /*  712125 */     GIR_EraseRootFromParent_Done,
     /*  712126 */   // Label 11247: @712126
     /*  712126 */   GIM_Try, /*On fail goto*//*Label 11248*/ GIMT_Encode4(712201), // Rule ID 11549 //
     /*  712131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  712142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  712145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  712148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712177 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  712180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712199 */     GIR_RootConstrainSelectedInstOperands,
     /*  712200 */     // GIR_Coverage, 11549,
     /*  712200 */     GIR_EraseRootFromParent_Done,
     /*  712201 */   // Label 11248: @712201
     /*  712201 */   GIM_Try, /*On fail goto*//*Label 11249*/ GIMT_Encode4(712276), // Rule ID 11552 //
     /*  712206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  712217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  712220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  712223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712252 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  712255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712274 */     GIR_RootConstrainSelectedInstOperands,
     /*  712275 */     // GIR_Coverage, 11552,
     /*  712275 */     GIR_EraseRootFromParent_Done,
     /*  712276 */   // Label 11249: @712276
     /*  712276 */   GIM_Try, /*On fail goto*//*Label 11250*/ GIMT_Encode4(712351), // Rule ID 11553 //
     /*  712281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  712292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  712295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  712298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712327 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  712330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712349 */     GIR_RootConstrainSelectedInstOperands,
     /*  712350 */     // GIR_Coverage, 11553,
     /*  712350 */     GIR_EraseRootFromParent_Done,
     /*  712351 */   // Label 11250: @712351
     /*  712351 */   GIM_Try, /*On fail goto*//*Label 11251*/ GIMT_Encode4(712426), // Rule ID 11556 //
     /*  712356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  712367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  712370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  712373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712402 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  712405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712424 */     GIR_RootConstrainSelectedInstOperands,
     /*  712425 */     // GIR_Coverage, 11556,
     /*  712425 */     GIR_EraseRootFromParent_Done,
     /*  712426 */   // Label 11251: @712426
     /*  712426 */   GIM_Try, /*On fail goto*//*Label 11252*/ GIMT_Encode4(712501), // Rule ID 11557 //
     /*  712431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  712442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  712445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  712448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712477 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  712480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712499 */     GIR_RootConstrainSelectedInstOperands,
     /*  712500 */     // GIR_Coverage, 11557,
     /*  712500 */     GIR_EraseRootFromParent_Done,
     /*  712501 */   // Label 11252: @712501
     /*  712501 */   GIM_Try, /*On fail goto*//*Label 11253*/ GIMT_Encode4(712576), // Rule ID 11560 //
     /*  712506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  712517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  712520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  712523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  712555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712574 */     GIR_RootConstrainSelectedInstOperands,
     /*  712575 */     // GIR_Coverage, 11560,
     /*  712575 */     GIR_EraseRootFromParent_Done,
     /*  712576 */   // Label 11253: @712576
     /*  712576 */   GIM_Try, /*On fail goto*//*Label 11254*/ GIMT_Encode4(712651), // Rule ID 11561 //
     /*  712581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  712592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  712595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  712598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712627 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  712630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712649 */     GIR_RootConstrainSelectedInstOperands,
     /*  712650 */     // GIR_Coverage, 11561,
     /*  712650 */     GIR_EraseRootFromParent_Done,
     /*  712651 */   // Label 11254: @712651
     /*  712651 */   GIM_Try, /*On fail goto*//*Label 11255*/ GIMT_Encode4(712726), // Rule ID 11564 //
     /*  712656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  712667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  712670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  712673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712702 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  712705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712724 */     GIR_RootConstrainSelectedInstOperands,
     /*  712725 */     // GIR_Coverage, 11564,
     /*  712725 */     GIR_EraseRootFromParent_Done,
     /*  712726 */   // Label 11255: @712726
     /*  712726 */   GIM_Try, /*On fail goto*//*Label 11256*/ GIMT_Encode4(712801), // Rule ID 11565 //
     /*  712731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  712742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  712745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  712748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712777 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  712780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712799 */     GIR_RootConstrainSelectedInstOperands,
     /*  712800 */     // GIR_Coverage, 11565,
     /*  712800 */     GIR_EraseRootFromParent_Done,
     /*  712801 */   // Label 11256: @712801
     /*  712801 */   GIM_Try, /*On fail goto*//*Label 11257*/ GIMT_Encode4(712876), // Rule ID 11568 //
     /*  712806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  712817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  712820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  712823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712852 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  712855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712874 */     GIR_RootConstrainSelectedInstOperands,
     /*  712875 */     // GIR_Coverage, 11568,
     /*  712875 */     GIR_EraseRootFromParent_Done,
     /*  712876 */   // Label 11257: @712876
     /*  712876 */   GIM_Try, /*On fail goto*//*Label 11258*/ GIMT_Encode4(712951), // Rule ID 11569 //
     /*  712881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  712892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  712895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  712898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712927 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  712930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712949 */     GIR_RootConstrainSelectedInstOperands,
     /*  712950 */     // GIR_Coverage, 11569,
     /*  712950 */     GIR_EraseRootFromParent_Done,
     /*  712951 */   // Label 11258: @712951
     /*  712951 */   GIM_Try, /*On fail goto*//*Label 11259*/ GIMT_Encode4(713026), // Rule ID 11572 //
     /*  712956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  712976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713002 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  713005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713024 */     GIR_RootConstrainSelectedInstOperands,
     /*  713025 */     // GIR_Coverage, 11572,
     /*  713025 */     GIR_EraseRootFromParent_Done,
     /*  713026 */   // Label 11259: @713026
     /*  713026 */   GIM_Try, /*On fail goto*//*Label 11260*/ GIMT_Encode4(713101), // Rule ID 11573 //
     /*  713031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713077 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  713080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713099 */     GIR_RootConstrainSelectedInstOperands,
     /*  713100 */     // GIR_Coverage, 11573,
     /*  713100 */     GIR_EraseRootFromParent_Done,
     /*  713101 */   // Label 11260: @713101
     /*  713101 */   GIM_Try, /*On fail goto*//*Label 11261*/ GIMT_Encode4(713176), // Rule ID 11576 //
     /*  713106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  713126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713152 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  713155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713174 */     GIR_RootConstrainSelectedInstOperands,
     /*  713175 */     // GIR_Coverage, 11576,
     /*  713175 */     GIR_EraseRootFromParent_Done,
     /*  713176 */   // Label 11261: @713176
     /*  713176 */   GIM_Try, /*On fail goto*//*Label 11262*/ GIMT_Encode4(713251), // Rule ID 11577 //
     /*  713181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  713201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713227 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  713230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713249 */     GIR_RootConstrainSelectedInstOperands,
     /*  713250 */     // GIR_Coverage, 11577,
     /*  713250 */     GIR_EraseRootFromParent_Done,
     /*  713251 */   // Label 11262: @713251
     /*  713251 */   GIM_Try, /*On fail goto*//*Label 11263*/ GIMT_Encode4(713326), // Rule ID 11580 //
     /*  713256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  713276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  713305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713324 */     GIR_RootConstrainSelectedInstOperands,
     /*  713325 */     // GIR_Coverage, 11580,
     /*  713325 */     GIR_EraseRootFromParent_Done,
     /*  713326 */   // Label 11263: @713326
     /*  713326 */   GIM_Try, /*On fail goto*//*Label 11264*/ GIMT_Encode4(713401), // Rule ID 11581 //
     /*  713331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  713351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713377 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  713380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713399 */     GIR_RootConstrainSelectedInstOperands,
     /*  713400 */     // GIR_Coverage, 11581,
     /*  713400 */     GIR_EraseRootFromParent_Done,
     /*  713401 */   // Label 11264: @713401
     /*  713401 */   GIM_Try, /*On fail goto*//*Label 11265*/ GIMT_Encode4(713476), // Rule ID 11584 //
     /*  713406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  713426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713452 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  713455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713474 */     GIR_RootConstrainSelectedInstOperands,
     /*  713475 */     // GIR_Coverage, 11584,
     /*  713475 */     GIR_EraseRootFromParent_Done,
     /*  713476 */   // Label 11265: @713476
     /*  713476 */   GIM_Try, /*On fail goto*//*Label 11266*/ GIMT_Encode4(713551), // Rule ID 11585 //
     /*  713481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  713501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  713530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713549 */     GIR_RootConstrainSelectedInstOperands,
     /*  713550 */     // GIR_Coverage, 11585,
     /*  713550 */     GIR_EraseRootFromParent_Done,
     /*  713551 */   // Label 11266: @713551
     /*  713551 */   GIM_Try, /*On fail goto*//*Label 11267*/ GIMT_Encode4(713626), // Rule ID 11588 //
     /*  713556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713602 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  713605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713624 */     GIR_RootConstrainSelectedInstOperands,
     /*  713625 */     // GIR_Coverage, 11588,
     /*  713625 */     GIR_EraseRootFromParent_Done,
     /*  713626 */   // Label 11267: @713626
     /*  713626 */   GIM_Try, /*On fail goto*//*Label 11268*/ GIMT_Encode4(713701), // Rule ID 11589 //
     /*  713631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713677 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  713680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713699 */     GIR_RootConstrainSelectedInstOperands,
     /*  713700 */     // GIR_Coverage, 11589,
     /*  713700 */     GIR_EraseRootFromParent_Done,
     /*  713701 */   // Label 11268: @713701
     /*  713701 */   GIM_Try, /*On fail goto*//*Label 11269*/ GIMT_Encode4(713776), // Rule ID 11592 //
     /*  713706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  713755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713774 */     GIR_RootConstrainSelectedInstOperands,
     /*  713775 */     // GIR_Coverage, 11592,
     /*  713775 */     GIR_EraseRootFromParent_Done,
     /*  713776 */   // Label 11269: @713776
     /*  713776 */   GIM_Try, /*On fail goto*//*Label 11270*/ GIMT_Encode4(713851), // Rule ID 11593 //
     /*  713781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  713830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713849 */     GIR_RootConstrainSelectedInstOperands,
     /*  713850 */     // GIR_Coverage, 11593,
     /*  713850 */     GIR_EraseRootFromParent_Done,
     /*  713851 */   // Label 11270: @713851
     /*  713851 */   GIM_Try, /*On fail goto*//*Label 11271*/ GIMT_Encode4(713926), // Rule ID 11596 //
     /*  713856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713902 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  713905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713924 */     GIR_RootConstrainSelectedInstOperands,
     /*  713925 */     // GIR_Coverage, 11596,
     /*  713925 */     GIR_EraseRootFromParent_Done,
     /*  713926 */   // Label 11271: @713926
     /*  713926 */   GIM_Try, /*On fail goto*//*Label 11272*/ GIMT_Encode4(714001), // Rule ID 11597 //
     /*  713931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  713939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713977 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  713980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713999 */     GIR_RootConstrainSelectedInstOperands,
     /*  714000 */     // GIR_Coverage, 11597,
     /*  714000 */     GIR_EraseRootFromParent_Done,
     /*  714001 */   // Label 11272: @714001
     /*  714001 */   GIM_Try, /*On fail goto*//*Label 11273*/ GIMT_Encode4(714076), // Rule ID 11600 //
     /*  714006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  714014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714052 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  714055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714074 */     GIR_RootConstrainSelectedInstOperands,
     /*  714075 */     // GIR_Coverage, 11600,
     /*  714075 */     GIR_EraseRootFromParent_Done,
     /*  714076 */   // Label 11273: @714076
     /*  714076 */   GIM_Try, /*On fail goto*//*Label 11274*/ GIMT_Encode4(714151), // Rule ID 11601 //
     /*  714081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  714089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714127 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  714130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714149 */     GIR_RootConstrainSelectedInstOperands,
     /*  714150 */     // GIR_Coverage, 11601,
     /*  714150 */     GIR_EraseRootFromParent_Done,
     /*  714151 */   // Label 11274: @714151
     /*  714151 */   GIM_Try, /*On fail goto*//*Label 11275*/ GIMT_Encode4(714226), // Rule ID 11604 //
     /*  714156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714202 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  714205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714224 */     GIR_RootConstrainSelectedInstOperands,
     /*  714225 */     // GIR_Coverage, 11604,
     /*  714225 */     GIR_EraseRootFromParent_Done,
     /*  714226 */   // Label 11275: @714226
     /*  714226 */   GIM_Try, /*On fail goto*//*Label 11276*/ GIMT_Encode4(714301), // Rule ID 11605 //
     /*  714231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714277 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  714280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714299 */     GIR_RootConstrainSelectedInstOperands,
     /*  714300 */     // GIR_Coverage, 11605,
     /*  714300 */     GIR_EraseRootFromParent_Done,
     /*  714301 */   // Label 11276: @714301
     /*  714301 */   GIM_Try, /*On fail goto*//*Label 11277*/ GIMT_Encode4(714376), // Rule ID 11608 //
     /*  714306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  714326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  714355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714374 */     GIR_RootConstrainSelectedInstOperands,
     /*  714375 */     // GIR_Coverage, 11608,
     /*  714375 */     GIR_EraseRootFromParent_Done,
     /*  714376 */   // Label 11277: @714376
     /*  714376 */   GIM_Try, /*On fail goto*//*Label 11278*/ GIMT_Encode4(714451), // Rule ID 11609 //
     /*  714381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  714401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  714430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714449 */     GIR_RootConstrainSelectedInstOperands,
     /*  714450 */     // GIR_Coverage, 11609,
     /*  714450 */     GIR_EraseRootFromParent_Done,
     /*  714451 */   // Label 11278: @714451
     /*  714451 */   GIM_Try, /*On fail goto*//*Label 11279*/ GIMT_Encode4(714526), // Rule ID 11612 //
     /*  714456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  714476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714502 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  714505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714524 */     GIR_RootConstrainSelectedInstOperands,
     /*  714525 */     // GIR_Coverage, 11612,
     /*  714525 */     GIR_EraseRootFromParent_Done,
     /*  714526 */   // Label 11279: @714526
     /*  714526 */   GIM_Try, /*On fail goto*//*Label 11280*/ GIMT_Encode4(714601), // Rule ID 11613 //
     /*  714531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  714551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714577 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  714580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714599 */     GIR_RootConstrainSelectedInstOperands,
     /*  714600 */     // GIR_Coverage, 11613,
     /*  714600 */     GIR_EraseRootFromParent_Done,
     /*  714601 */   // Label 11280: @714601
     /*  714601 */   GIM_Try, /*On fail goto*//*Label 11281*/ GIMT_Encode4(714676), // Rule ID 11616 //
     /*  714606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  714626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  714655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714674 */     GIR_RootConstrainSelectedInstOperands,
     /*  714675 */     // GIR_Coverage, 11616,
     /*  714675 */     GIR_EraseRootFromParent_Done,
     /*  714676 */   // Label 11281: @714676
     /*  714676 */   GIM_Try, /*On fail goto*//*Label 11282*/ GIMT_Encode4(714751), // Rule ID 11617 //
     /*  714681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  714701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714727 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  714730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714749 */     GIR_RootConstrainSelectedInstOperands,
     /*  714750 */     // GIR_Coverage, 11617,
     /*  714750 */     GIR_EraseRootFromParent_Done,
     /*  714751 */   // Label 11282: @714751
     /*  714751 */   GIM_Try, /*On fail goto*//*Label 11283*/ GIMT_Encode4(714826), // Rule ID 11620 //
     /*  714756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  714805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714824 */     GIR_RootConstrainSelectedInstOperands,
     /*  714825 */     // GIR_Coverage, 11620,
     /*  714825 */     GIR_EraseRootFromParent_Done,
     /*  714826 */   // Label 11283: @714826
     /*  714826 */   GIM_Try, /*On fail goto*//*Label 11284*/ GIMT_Encode4(714901), // Rule ID 11621 //
     /*  714831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714877 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  714880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714899 */     GIR_RootConstrainSelectedInstOperands,
     /*  714900 */     // GIR_Coverage, 11621,
     /*  714900 */     GIR_EraseRootFromParent_Done,
     /*  714901 */   // Label 11284: @714901
     /*  714901 */   GIM_Try, /*On fail goto*//*Label 11285*/ GIMT_Encode4(714976), // Rule ID 11624 //
     /*  714906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714952 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  714955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714974 */     GIR_RootConstrainSelectedInstOperands,
     /*  714975 */     // GIR_Coverage, 11624,
     /*  714975 */     GIR_EraseRootFromParent_Done,
     /*  714976 */   // Label 11285: @714976
     /*  714976 */   GIM_Try, /*On fail goto*//*Label 11286*/ GIMT_Encode4(715051), // Rule ID 11625 //
     /*  714981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715027 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  715030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715049 */     GIR_RootConstrainSelectedInstOperands,
     /*  715050 */     // GIR_Coverage, 11625,
     /*  715050 */     GIR_EraseRootFromParent_Done,
     /*  715051 */   // Label 11286: @715051
     /*  715051 */   GIM_Try, /*On fail goto*//*Label 11287*/ GIMT_Encode4(715126), // Rule ID 11628 //
     /*  715056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  715064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715102 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  715105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715124 */     GIR_RootConstrainSelectedInstOperands,
     /*  715125 */     // GIR_Coverage, 11628,
     /*  715125 */     GIR_EraseRootFromParent_Done,
     /*  715126 */   // Label 11287: @715126
     /*  715126 */   GIM_Try, /*On fail goto*//*Label 11288*/ GIMT_Encode4(715201), // Rule ID 11629 //
     /*  715131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  715139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715177 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  715180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715199 */     GIR_RootConstrainSelectedInstOperands,
     /*  715200 */     // GIR_Coverage, 11629,
     /*  715200 */     GIR_EraseRootFromParent_Done,
     /*  715201 */   // Label 11288: @715201
     /*  715201 */   GIM_Try, /*On fail goto*//*Label 11289*/ GIMT_Encode4(715276), // Rule ID 11632 //
     /*  715206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  715214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715252 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  715255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715274 */     GIR_RootConstrainSelectedInstOperands,
     /*  715275 */     // GIR_Coverage, 11632,
     /*  715275 */     GIR_EraseRootFromParent_Done,
     /*  715276 */   // Label 11289: @715276
     /*  715276 */   GIM_Try, /*On fail goto*//*Label 11290*/ GIMT_Encode4(715351), // Rule ID 11633 //
     /*  715281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  715289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715327 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  715330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715349 */     GIR_RootConstrainSelectedInstOperands,
     /*  715350 */     // GIR_Coverage, 11633,
     /*  715350 */     GIR_EraseRootFromParent_Done,
     /*  715351 */   // Label 11290: @715351
     /*  715351 */   GIM_Try, /*On fail goto*//*Label 11291*/ GIMT_Encode4(715426), // Rule ID 11636 //
     /*  715356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  715367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  715370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  715373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  715376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  715405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715424 */     GIR_RootConstrainSelectedInstOperands,
     /*  715425 */     // GIR_Coverage, 11636,
     /*  715425 */     GIR_EraseRootFromParent_Done,
     /*  715426 */   // Label 11291: @715426
     /*  715426 */   GIM_Try, /*On fail goto*//*Label 11292*/ GIMT_Encode4(715501), // Rule ID 11637 //
     /*  715431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  715442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  715445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  715448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  715451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715477 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  715480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715499 */     GIR_RootConstrainSelectedInstOperands,
     /*  715500 */     // GIR_Coverage, 11637,
     /*  715500 */     GIR_EraseRootFromParent_Done,
     /*  715501 */   // Label 11292: @715501
     /*  715501 */   GIM_Try, /*On fail goto*//*Label 11293*/ GIMT_Encode4(715576), // Rule ID 11640 //
     /*  715506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  715517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  715520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  715523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  715526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  715555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715574 */     GIR_RootConstrainSelectedInstOperands,
     /*  715575 */     // GIR_Coverage, 11640,
     /*  715575 */     GIR_EraseRootFromParent_Done,
     /*  715576 */   // Label 11293: @715576
     /*  715576 */   GIM_Try, /*On fail goto*//*Label 11294*/ GIMT_Encode4(715651), // Rule ID 11641 //
     /*  715581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  715592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  715595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  715598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  715601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  715630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715649 */     GIR_RootConstrainSelectedInstOperands,
     /*  715650 */     // GIR_Coverage, 11641,
     /*  715650 */     GIR_EraseRootFromParent_Done,
     /*  715651 */   // Label 11294: @715651
     /*  715651 */   GIM_Try, /*On fail goto*//*Label 11295*/ GIMT_Encode4(715726), // Rule ID 11644 //
     /*  715656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  715676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  715705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715724 */     GIR_RootConstrainSelectedInstOperands,
     /*  715725 */     // GIR_Coverage, 11644,
     /*  715725 */     GIR_EraseRootFromParent_Done,
     /*  715726 */   // Label 11295: @715726
     /*  715726 */   GIM_Try, /*On fail goto*//*Label 11296*/ GIMT_Encode4(715801), // Rule ID 11645 //
     /*  715731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  715751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715777 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  715780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715799 */     GIR_RootConstrainSelectedInstOperands,
     /*  715800 */     // GIR_Coverage, 11645,
     /*  715800 */     GIR_EraseRootFromParent_Done,
     /*  715801 */   // Label 11296: @715801
     /*  715801 */   GIM_Try, /*On fail goto*//*Label 11297*/ GIMT_Encode4(715876), // Rule ID 11648 //
     /*  715806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  715826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  715855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715874 */     GIR_RootConstrainSelectedInstOperands,
     /*  715875 */     // GIR_Coverage, 11648,
     /*  715875 */     GIR_EraseRootFromParent_Done,
     /*  715876 */   // Label 11297: @715876
     /*  715876 */   GIM_Try, /*On fail goto*//*Label 11298*/ GIMT_Encode4(715951), // Rule ID 11649 //
     /*  715881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  715901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715927 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  715930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715949 */     GIR_RootConstrainSelectedInstOperands,
     /*  715950 */     // GIR_Coverage, 11649,
     /*  715950 */     GIR_EraseRootFromParent_Done,
     /*  715951 */   // Label 11298: @715951
     /*  715951 */   GIM_Try, /*On fail goto*//*Label 11299*/ GIMT_Encode4(716026), // Rule ID 11652 //
     /*  715956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  715967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  715970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  715973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716002 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  716005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716024 */     GIR_RootConstrainSelectedInstOperands,
     /*  716025 */     // GIR_Coverage, 11652,
     /*  716025 */     GIR_EraseRootFromParent_Done,
     /*  716026 */   // Label 11299: @716026
     /*  716026 */   GIM_Try, /*On fail goto*//*Label 11300*/ GIMT_Encode4(716101), // Rule ID 11653 //
     /*  716031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  716034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  716042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  716045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  716048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716077 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  716080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716099 */     GIR_RootConstrainSelectedInstOperands,
     /*  716100 */     // GIR_Coverage, 11653,
     /*  716100 */     GIR_EraseRootFromParent_Done,
     /*  716101 */   // Label 11300: @716101
     /*  716101 */   GIM_Try, /*On fail goto*//*Label 11301*/ GIMT_Encode4(716176), // Rule ID 11656 //
     /*  716106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  716109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  716117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  716120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  716123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716152 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  716155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716174 */     GIR_RootConstrainSelectedInstOperands,
     /*  716175 */     // GIR_Coverage, 11656,
     /*  716175 */     GIR_EraseRootFromParent_Done,
     /*  716176 */   // Label 11301: @716176
     /*  716176 */   GIM_Try, /*On fail goto*//*Label 11302*/ GIMT_Encode4(716251), // Rule ID 11657 //
     /*  716181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  716184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  716192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  716195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  716198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716227 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  716230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716249 */     GIR_RootConstrainSelectedInstOperands,
     /*  716250 */     // GIR_Coverage, 11657,
     /*  716250 */     GIR_EraseRootFromParent_Done,
     /*  716251 */   // Label 11302: @716251
     /*  716251 */   GIM_Try, /*On fail goto*//*Label 11303*/ GIMT_Encode4(716326), // Rule ID 11660 //
     /*  716256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  716259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  716267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  716270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  716273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  716305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716324 */     GIR_RootConstrainSelectedInstOperands,
     /*  716325 */     // GIR_Coverage, 11660,
     /*  716325 */     GIR_EraseRootFromParent_Done,
     /*  716326 */   // Label 11303: @716326
     /*  716326 */   GIM_Try, /*On fail goto*//*Label 11304*/ GIMT_Encode4(716401), // Rule ID 11661 //
     /*  716331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  716334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  716342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  716345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  716348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716377 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  716380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716399 */     GIR_RootConstrainSelectedInstOperands,
     /*  716400 */     // GIR_Coverage, 11661,
     /*  716400 */     GIR_EraseRootFromParent_Done,
     /*  716401 */   // Label 11304: @716401
     /*  716401 */   GIM_Try, /*On fail goto*//*Label 11305*/ GIMT_Encode4(716476), // Rule ID 11664 //
     /*  716406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  716409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  716417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  716420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  716423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716452 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  716455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716474 */     GIR_RootConstrainSelectedInstOperands,
     /*  716475 */     // GIR_Coverage, 11664,
     /*  716475 */     GIR_EraseRootFromParent_Done,
     /*  716476 */   // Label 11305: @716476
     /*  716476 */   GIM_Try, /*On fail goto*//*Label 11306*/ GIMT_Encode4(716551), // Rule ID 11665 //
     /*  716481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  716484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  716492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  716495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  716498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  716530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716549 */     GIR_RootConstrainSelectedInstOperands,
     /*  716550 */     // GIR_Coverage, 11665,
     /*  716550 */     GIR_EraseRootFromParent_Done,
     /*  716551 */   // Label 11306: @716551
     /*  716551 */   GIM_Try, /*On fail goto*//*Label 11307*/ GIMT_Encode4(716626), // Rule ID 11668 //
     /*  716556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  716567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  716570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  716573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  716576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716602 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  716605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716624 */     GIR_RootConstrainSelectedInstOperands,
     /*  716625 */     // GIR_Coverage, 11668,
     /*  716625 */     GIR_EraseRootFromParent_Done,
     /*  716626 */   // Label 11307: @716626
     /*  716626 */   GIM_Try, /*On fail goto*//*Label 11308*/ GIMT_Encode4(716701), // Rule ID 11669 //
     /*  716631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  716642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  716645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  716648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  716651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716677 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  716680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716699 */     GIR_RootConstrainSelectedInstOperands,
     /*  716700 */     // GIR_Coverage, 11669,
     /*  716700 */     GIR_EraseRootFromParent_Done,
     /*  716701 */   // Label 11308: @716701
     /*  716701 */   GIM_Try, /*On fail goto*//*Label 11309*/ GIMT_Encode4(716776), // Rule ID 11672 //
     /*  716706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  716717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  716720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  716723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  716726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716752 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  716755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716774 */     GIR_RootConstrainSelectedInstOperands,
     /*  716775 */     // GIR_Coverage, 11672,
     /*  716775 */     GIR_EraseRootFromParent_Done,
     /*  716776 */   // Label 11309: @716776
     /*  716776 */   GIM_Try, /*On fail goto*//*Label 11310*/ GIMT_Encode4(716851), // Rule ID 11673 //
     /*  716781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  716792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  716795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  716798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  716801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716827 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  716830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716849 */     GIR_RootConstrainSelectedInstOperands,
     /*  716850 */     // GIR_Coverage, 11673,
     /*  716850 */     GIR_EraseRootFromParent_Done,
     /*  716851 */   // Label 11310: @716851
     /*  716851 */   GIM_Try, /*On fail goto*//*Label 11311*/ GIMT_Encode4(716926), // Rule ID 11676 //
     /*  716856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  716867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  716870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  716873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  716876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716902 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  716905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716924 */     GIR_RootConstrainSelectedInstOperands,
     /*  716925 */     // GIR_Coverage, 11676,
     /*  716925 */     GIR_EraseRootFromParent_Done,
     /*  716926 */   // Label 11311: @716926
     /*  716926 */   GIM_Try, /*On fail goto*//*Label 11312*/ GIMT_Encode4(717001), // Rule ID 11677 //
     /*  716931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  716942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  716945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  716948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  716951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716977 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  716980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716999 */     GIR_RootConstrainSelectedInstOperands,
     /*  717000 */     // GIR_Coverage, 11677,
     /*  717000 */     GIR_EraseRootFromParent_Done,
     /*  717001 */   // Label 11312: @717001
     /*  717001 */   GIM_Try, /*On fail goto*//*Label 11313*/ GIMT_Encode4(717076), // Rule ID 11680 //
     /*  717006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  717017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  717020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  717023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  717026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717052 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  717055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717074 */     GIR_RootConstrainSelectedInstOperands,
     /*  717075 */     // GIR_Coverage, 11680,
     /*  717075 */     GIR_EraseRootFromParent_Done,
     /*  717076 */   // Label 11313: @717076
     /*  717076 */   GIM_Try, /*On fail goto*//*Label 11314*/ GIMT_Encode4(717151), // Rule ID 11681 //
     /*  717081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  717092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  717095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  717098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  717101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717127 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  717130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717149 */     GIR_RootConstrainSelectedInstOperands,
     /*  717150 */     // GIR_Coverage, 11681,
     /*  717150 */     GIR_EraseRootFromParent_Done,
     /*  717151 */   // Label 11314: @717151
     /*  717151 */   GIM_Try, /*On fail goto*//*Label 11315*/ GIMT_Encode4(717226), // Rule ID 11684 //
     /*  717156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  717167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  717170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  717173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  717176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717202 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  717205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717224 */     GIR_RootConstrainSelectedInstOperands,
     /*  717225 */     // GIR_Coverage, 11684,
     /*  717225 */     GIR_EraseRootFromParent_Done,
     /*  717226 */   // Label 11315: @717226
     /*  717226 */   GIM_Try, /*On fail goto*//*Label 11316*/ GIMT_Encode4(717301), // Rule ID 11685 //
     /*  717231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  717242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  717245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  717248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  717251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  717280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717299 */     GIR_RootConstrainSelectedInstOperands,
     /*  717300 */     // GIR_Coverage, 11685,
     /*  717300 */     GIR_EraseRootFromParent_Done,
     /*  717301 */   // Label 11316: @717301
     /*  717301 */   GIM_Try, /*On fail goto*//*Label 11317*/ GIMT_Encode4(717376), // Rule ID 11688 //
     /*  717306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  717317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  717320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  717323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  717326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  717352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  717355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717374 */     GIR_RootConstrainSelectedInstOperands,
     /*  717375 */     // GIR_Coverage, 11688,
     /*  717375 */     GIR_EraseRootFromParent_Done,
     /*  717376 */   // Label 11317: @717376
     /*  717376 */   GIM_Try, /*On fail goto*//*Label 11318*/ GIMT_Encode4(717451), // Rule ID 11689 //
     /*  717381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  717392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  717395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  717398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  717401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  717427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  717430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717449 */     GIR_RootConstrainSelectedInstOperands,
     /*  717450 */     // GIR_Coverage, 11689,
     /*  717450 */     GIR_EraseRootFromParent_Done,
     /*  717451 */   // Label 11318: @717451
     /*  717451 */   GIM_Try, /*On fail goto*//*Label 11319*/ GIMT_Encode4(717526), // Rule ID 11692 //
     /*  717456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  717467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  717470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  717473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  717476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  717505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717524 */     GIR_RootConstrainSelectedInstOperands,
     /*  717525 */     // GIR_Coverage, 11692,
     /*  717525 */     GIR_EraseRootFromParent_Done,
     /*  717526 */   // Label 11319: @717526
     /*  717526 */   GIM_Try, /*On fail goto*//*Label 11320*/ GIMT_Encode4(717601), // Rule ID 11693 //
     /*  717531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  717542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  717545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  717548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  717551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  717580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717599 */     GIR_RootConstrainSelectedInstOperands,
     /*  717600 */     // GIR_Coverage, 11693,
     /*  717600 */     GIR_EraseRootFromParent_Done,
     /*  717601 */   // Label 11320: @717601
     /*  717601 */   GIM_Try, /*On fail goto*//*Label 11321*/ GIMT_Encode4(717676), // Rule ID 11696 //
     /*  717606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  717623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  717655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717674 */     GIR_RootConstrainSelectedInstOperands,
     /*  717675 */     // GIR_Coverage, 11696,
     /*  717675 */     GIR_EraseRootFromParent_Done,
     /*  717676 */   // Label 11321: @717676
     /*  717676 */   GIM_Try, /*On fail goto*//*Label 11322*/ GIMT_Encode4(717751), // Rule ID 11697 //
     /*  717681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  717698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  717730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717749 */     GIR_RootConstrainSelectedInstOperands,
     /*  717750 */     // GIR_Coverage, 11697,
     /*  717750 */     GIR_EraseRootFromParent_Done,
     /*  717751 */   // Label 11322: @717751
     /*  717751 */   GIM_Try, /*On fail goto*//*Label 11323*/ GIMT_Encode4(717826), // Rule ID 11700 //
     /*  717756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  717773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  717802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  717805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717824 */     GIR_RootConstrainSelectedInstOperands,
     /*  717825 */     // GIR_Coverage, 11700,
     /*  717825 */     GIR_EraseRootFromParent_Done,
     /*  717826 */   // Label 11323: @717826
     /*  717826 */   GIM_Try, /*On fail goto*//*Label 11324*/ GIMT_Encode4(717901), // Rule ID 11701 //
     /*  717831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  717848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  717877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  717880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717899 */     GIR_RootConstrainSelectedInstOperands,
     /*  717900 */     // GIR_Coverage, 11701,
     /*  717900 */     GIR_EraseRootFromParent_Done,
     /*  717901 */   // Label 11324: @717901
     /*  717901 */   GIM_Try, /*On fail goto*//*Label 11325*/ GIMT_Encode4(717976), // Rule ID 11704 //
     /*  717906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  717909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  717955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717974 */     GIR_RootConstrainSelectedInstOperands,
     /*  717975 */     // GIR_Coverage, 11704,
     /*  717975 */     GIR_EraseRootFromParent_Done,
     /*  717976 */   // Label 11325: @717976
     /*  717976 */   GIM_Try, /*On fail goto*//*Label 11326*/ GIMT_Encode4(718051), // Rule ID 11705 //
     /*  717981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  717984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  718001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  718030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718049 */     GIR_RootConstrainSelectedInstOperands,
     /*  718050 */     // GIR_Coverage, 11705,
     /*  718050 */     GIR_EraseRootFromParent_Done,
     /*  718051 */   // Label 11326: @718051
     /*  718051 */   GIM_Try, /*On fail goto*//*Label 11327*/ GIMT_Encode4(718126), // Rule ID 11708 //
     /*  718056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  718067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  718070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  718073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  718076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718102 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  718105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718124 */     GIR_RootConstrainSelectedInstOperands,
     /*  718125 */     // GIR_Coverage, 11708,
     /*  718125 */     GIR_EraseRootFromParent_Done,
     /*  718126 */   // Label 11327: @718126
     /*  718126 */   GIM_Try, /*On fail goto*//*Label 11328*/ GIMT_Encode4(718201), // Rule ID 11709 //
     /*  718131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  718142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  718145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  718148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  718151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718177 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  718180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718199 */     GIR_RootConstrainSelectedInstOperands,
     /*  718200 */     // GIR_Coverage, 11709,
     /*  718200 */     GIR_EraseRootFromParent_Done,
     /*  718201 */   // Label 11328: @718201
     /*  718201 */   GIM_Try, /*On fail goto*//*Label 11329*/ GIMT_Encode4(718276), // Rule ID 11712 //
     /*  718206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  718217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  718220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  718223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  718226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718252 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  718255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718274 */     GIR_RootConstrainSelectedInstOperands,
     /*  718275 */     // GIR_Coverage, 11712,
     /*  718275 */     GIR_EraseRootFromParent_Done,
     /*  718276 */   // Label 11329: @718276
     /*  718276 */   GIM_Try, /*On fail goto*//*Label 11330*/ GIMT_Encode4(718351), // Rule ID 11713 //
     /*  718281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  718292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  718295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  718298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  718301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718327 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  718330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718349 */     GIR_RootConstrainSelectedInstOperands,
     /*  718350 */     // GIR_Coverage, 11713,
     /*  718350 */     GIR_EraseRootFromParent_Done,
     /*  718351 */   // Label 11330: @718351
     /*  718351 */   GIM_Try, /*On fail goto*//*Label 11331*/ GIMT_Encode4(718426), // Rule ID 11716 //
     /*  718356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  718367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  718370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  718373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  718376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718402 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  718405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718424 */     GIR_RootConstrainSelectedInstOperands,
     /*  718425 */     // GIR_Coverage, 11716,
     /*  718425 */     GIR_EraseRootFromParent_Done,
     /*  718426 */   // Label 11331: @718426
     /*  718426 */   GIM_Try, /*On fail goto*//*Label 11332*/ GIMT_Encode4(718501), // Rule ID 11717 //
     /*  718431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  718442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  718445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  718448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  718451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718477 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  718480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718499 */     GIR_RootConstrainSelectedInstOperands,
     /*  718500 */     // GIR_Coverage, 11717,
     /*  718500 */     GIR_EraseRootFromParent_Done,
     /*  718501 */   // Label 11332: @718501
     /*  718501 */   GIM_Try, /*On fail goto*//*Label 11333*/ GIMT_Encode4(718576), // Rule ID 11720 //
     /*  718506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  718517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  718520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  718523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  718526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718552 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  718555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718574 */     GIR_RootConstrainSelectedInstOperands,
     /*  718575 */     // GIR_Coverage, 11720,
     /*  718575 */     GIR_EraseRootFromParent_Done,
     /*  718576 */   // Label 11333: @718576
     /*  718576 */   GIM_Try, /*On fail goto*//*Label 11334*/ GIMT_Encode4(718651), // Rule ID 11721 //
     /*  718581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  718592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  718595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  718598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  718601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718627 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  718630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718649 */     GIR_RootConstrainSelectedInstOperands,
     /*  718650 */     // GIR_Coverage, 11721,
     /*  718650 */     GIR_EraseRootFromParent_Done,
     /*  718651 */   // Label 11334: @718651
     /*  718651 */   GIM_Try, /*On fail goto*//*Label 11335*/ GIMT_Encode4(718726), // Rule ID 11724 //
     /*  718656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  718667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  718670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  718673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  718676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  718705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718724 */     GIR_RootConstrainSelectedInstOperands,
     /*  718725 */     // GIR_Coverage, 11724,
     /*  718725 */     GIR_EraseRootFromParent_Done,
     /*  718726 */   // Label 11335: @718726
     /*  718726 */   GIM_Try, /*On fail goto*//*Label 11336*/ GIMT_Encode4(718801), // Rule ID 11725 //
     /*  718731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  718742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  718745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  718748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  718751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718777 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  718780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718799 */     GIR_RootConstrainSelectedInstOperands,
     /*  718800 */     // GIR_Coverage, 11725,
     /*  718800 */     GIR_EraseRootFromParent_Done,
     /*  718801 */   // Label 11336: @718801
     /*  718801 */   GIM_Try, /*On fail goto*//*Label 11337*/ GIMT_Encode4(718876), // Rule ID 11728 //
     /*  718806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  718817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  718820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  718823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  718826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  718855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718874 */     GIR_RootConstrainSelectedInstOperands,
     /*  718875 */     // GIR_Coverage, 11728,
     /*  718875 */     GIR_EraseRootFromParent_Done,
     /*  718876 */   // Label 11337: @718876
     /*  718876 */   GIM_Try, /*On fail goto*//*Label 11338*/ GIMT_Encode4(718951), // Rule ID 11729 //
     /*  718881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  718892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  718895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  718898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  718901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  718930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718949 */     GIR_RootConstrainSelectedInstOperands,
     /*  718950 */     // GIR_Coverage, 11729,
     /*  718950 */     GIR_EraseRootFromParent_Done,
     /*  718951 */   // Label 11338: @718951
     /*  718951 */   GIM_Try, /*On fail goto*//*Label 11339*/ GIMT_Encode4(719026), // Rule ID 11732 //
     /*  718956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  718967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  718970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  718973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  718976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  719002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  719005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719024 */     GIR_RootConstrainSelectedInstOperands,
     /*  719025 */     // GIR_Coverage, 11732,
     /*  719025 */     GIR_EraseRootFromParent_Done,
     /*  719026 */   // Label 11339: @719026
     /*  719026 */   GIM_Try, /*On fail goto*//*Label 11340*/ GIMT_Encode4(719101), // Rule ID 11733 //
     /*  719031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  719042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  719045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  719048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  719051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  719077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  719080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719099 */     GIR_RootConstrainSelectedInstOperands,
     /*  719100 */     // GIR_Coverage, 11733,
     /*  719100 */     GIR_EraseRootFromParent_Done,
     /*  719101 */   // Label 11340: @719101
     /*  719101 */   GIM_Try, /*On fail goto*//*Label 11341*/ GIMT_Encode4(719176), // Rule ID 11736 //
     /*  719106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  719117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  719120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  719123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  719126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  719152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  719155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719174 */     GIR_RootConstrainSelectedInstOperands,
     /*  719175 */     // GIR_Coverage, 11736,
     /*  719175 */     GIR_EraseRootFromParent_Done,
     /*  719176 */   // Label 11341: @719176
     /*  719176 */   GIM_Try, /*On fail goto*//*Label 11342*/ GIMT_Encode4(719251), // Rule ID 11737 //
     /*  719181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  719192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  719195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  719198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  719201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  719227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  719230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719249 */     GIR_RootConstrainSelectedInstOperands,
     /*  719250 */     // GIR_Coverage, 11737,
     /*  719250 */     GIR_EraseRootFromParent_Done,
     /*  719251 */   // Label 11342: @719251
     /*  719251 */   GIM_Try, /*On fail goto*//*Label 11343*/ GIMT_Encode4(719326), // Rule ID 11740 //
     /*  719256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  719267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  719270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  719273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  719276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  719302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  719305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719324 */     GIR_RootConstrainSelectedInstOperands,
     /*  719325 */     // GIR_Coverage, 11740,
     /*  719325 */     GIR_EraseRootFromParent_Done,
     /*  719326 */   // Label 11343: @719326
     /*  719326 */   GIM_Try, /*On fail goto*//*Label 11344*/ GIMT_Encode4(719401), // Rule ID 11741 //
     /*  719331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  719342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  719345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  719348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  719351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719377 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  719377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  719380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719399 */     GIR_RootConstrainSelectedInstOperands,
     /*  719400 */     // GIR_Coverage, 11741,
     /*  719400 */     GIR_EraseRootFromParent_Done,
     /*  719401 */   // Label 11344: @719401
     /*  719401 */   GIM_Try, /*On fail goto*//*Label 11345*/ GIMT_Encode4(719476), // Rule ID 11744 //
     /*  719406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  719409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  719426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719452 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  719455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719474 */     GIR_RootConstrainSelectedInstOperands,
     /*  719475 */     // GIR_Coverage, 11744,
     /*  719475 */     GIR_EraseRootFromParent_Done,
     /*  719476 */   // Label 11345: @719476
     /*  719476 */   GIM_Try, /*On fail goto*//*Label 11346*/ GIMT_Encode4(719551), // Rule ID 11745 //
     /*  719481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  719484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  719501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  719530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719549 */     GIR_RootConstrainSelectedInstOperands,
     /*  719550 */     // GIR_Coverage, 11745,
     /*  719550 */     GIR_EraseRootFromParent_Done,
     /*  719551 */   // Label 11346: @719551
     /*  719551 */   GIM_Try, /*On fail goto*//*Label 11347*/ GIMT_Encode4(719626), // Rule ID 11748 //
     /*  719556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  719559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  719576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  719605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719624 */     GIR_RootConstrainSelectedInstOperands,
     /*  719625 */     // GIR_Coverage, 11748,
     /*  719625 */     GIR_EraseRootFromParent_Done,
     /*  719626 */   // Label 11347: @719626
     /*  719626 */   GIM_Try, /*On fail goto*//*Label 11348*/ GIMT_Encode4(719701), // Rule ID 11749 //
     /*  719631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  719634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  719651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719677 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  719680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719699 */     GIR_RootConstrainSelectedInstOperands,
     /*  719700 */     // GIR_Coverage, 11749,
     /*  719700 */     GIR_EraseRootFromParent_Done,
     /*  719701 */   // Label 11348: @719701
     /*  719701 */   GIM_Try, /*On fail goto*//*Label 11349*/ GIMT_Encode4(719776), // Rule ID 11752 //
     /*  719706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  719709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  719726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  719755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719774 */     GIR_RootConstrainSelectedInstOperands,
     /*  719775 */     // GIR_Coverage, 11752,
     /*  719775 */     GIR_EraseRootFromParent_Done,
     /*  719776 */   // Label 11349: @719776
     /*  719776 */   GIM_Try, /*On fail goto*//*Label 11350*/ GIMT_Encode4(719851), // Rule ID 11753 //
     /*  719781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  719784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  719801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719827 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  719830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719849 */     GIR_RootConstrainSelectedInstOperands,
     /*  719850 */     // GIR_Coverage, 11753,
     /*  719850 */     GIR_EraseRootFromParent_Done,
     /*  719851 */   // Label 11350: @719851
     /*  719851 */   GIM_Try, /*On fail goto*//*Label 11351*/ GIMT_Encode4(719926), // Rule ID 11756 //
     /*  719856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  719867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  719870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  719873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719902 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  719905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719924 */     GIR_RootConstrainSelectedInstOperands,
     /*  719925 */     // GIR_Coverage, 11756,
     /*  719925 */     GIR_EraseRootFromParent_Done,
     /*  719926 */   // Label 11351: @719926
     /*  719926 */   GIM_Try, /*On fail goto*//*Label 11352*/ GIMT_Encode4(720001), // Rule ID 11757 //
     /*  719931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  719942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  719945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  719948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719977 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  719980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719999 */     GIR_RootConstrainSelectedInstOperands,
     /*  720000 */     // GIR_Coverage, 11757,
     /*  720000 */     GIR_EraseRootFromParent_Done,
     /*  720001 */   // Label 11352: @720001
     /*  720001 */   GIM_Try, /*On fail goto*//*Label 11353*/ GIMT_Encode4(720076), // Rule ID 11760 //
     /*  720006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  720017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  720020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  720023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720052 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  720055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720074 */     GIR_RootConstrainSelectedInstOperands,
     /*  720075 */     // GIR_Coverage, 11760,
     /*  720075 */     GIR_EraseRootFromParent_Done,
     /*  720076 */   // Label 11353: @720076
     /*  720076 */   GIM_Try, /*On fail goto*//*Label 11354*/ GIMT_Encode4(720151), // Rule ID 11761 //
     /*  720081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  720092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  720095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  720098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720127 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  720130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720149 */     GIR_RootConstrainSelectedInstOperands,
     /*  720150 */     // GIR_Coverage, 11761,
     /*  720150 */     GIR_EraseRootFromParent_Done,
     /*  720151 */   // Label 11354: @720151
     /*  720151 */   GIM_Try, /*On fail goto*//*Label 11355*/ GIMT_Encode4(720226), // Rule ID 11764 //
     /*  720156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  720167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  720170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  720173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720202 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  720205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720224 */     GIR_RootConstrainSelectedInstOperands,
     /*  720225 */     // GIR_Coverage, 11764,
     /*  720225 */     GIR_EraseRootFromParent_Done,
     /*  720226 */   // Label 11355: @720226
     /*  720226 */   GIM_Try, /*On fail goto*//*Label 11356*/ GIMT_Encode4(720301), // Rule ID 11765 //
     /*  720231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  720242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  720245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  720248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720277 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  720280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720299 */     GIR_RootConstrainSelectedInstOperands,
     /*  720300 */     // GIR_Coverage, 11765,
     /*  720300 */     GIR_EraseRootFromParent_Done,
     /*  720301 */   // Label 11356: @720301
     /*  720301 */   GIM_Try, /*On fail goto*//*Label 11357*/ GIMT_Encode4(720376), // Rule ID 11768 //
     /*  720306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  720317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  720320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  720323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720352 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  720355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720374 */     GIR_RootConstrainSelectedInstOperands,
     /*  720375 */     // GIR_Coverage, 11768,
     /*  720375 */     GIR_EraseRootFromParent_Done,
     /*  720376 */   // Label 11357: @720376
     /*  720376 */   GIM_Try, /*On fail goto*//*Label 11358*/ GIMT_Encode4(720451), // Rule ID 11769 //
     /*  720381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  720392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  720395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  720398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720427 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  720430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720449 */     GIR_RootConstrainSelectedInstOperands,
     /*  720450 */     // GIR_Coverage, 11769,
     /*  720450 */     GIR_EraseRootFromParent_Done,
     /*  720451 */   // Label 11358: @720451
     /*  720451 */   GIM_Try, /*On fail goto*//*Label 11359*/ GIMT_Encode4(720526), // Rule ID 11772 //
     /*  720456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  720467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  720470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  720473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720502 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  720505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720524 */     GIR_RootConstrainSelectedInstOperands,
     /*  720525 */     // GIR_Coverage, 11772,
     /*  720525 */     GIR_EraseRootFromParent_Done,
     /*  720526 */   // Label 11359: @720526
     /*  720526 */   GIM_Try, /*On fail goto*//*Label 11360*/ GIMT_Encode4(720601), // Rule ID 11773 //
     /*  720531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  720542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  720545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  720548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720577 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  720580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720599 */     GIR_RootConstrainSelectedInstOperands,
     /*  720600 */     // GIR_Coverage, 11773,
     /*  720600 */     GIR_EraseRootFromParent_Done,
     /*  720601 */   // Label 11360: @720601
     /*  720601 */   GIM_Try, /*On fail goto*//*Label 11361*/ GIMT_Encode4(720676), // Rule ID 11776 //
     /*  720606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  720617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  720620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  720623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  720652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  720655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720674 */     GIR_RootConstrainSelectedInstOperands,
     /*  720675 */     // GIR_Coverage, 11776,
     /*  720675 */     GIR_EraseRootFromParent_Done,
     /*  720676 */   // Label 11361: @720676
     /*  720676 */   GIM_Try, /*On fail goto*//*Label 11362*/ GIMT_Encode4(720751), // Rule ID 11777 //
     /*  720681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  720692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  720695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  720698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720727 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  720730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720749 */     GIR_RootConstrainSelectedInstOperands,
     /*  720750 */     // GIR_Coverage, 11777,
     /*  720750 */     GIR_EraseRootFromParent_Done,
     /*  720751 */   // Label 11362: @720751
     /*  720751 */   GIM_Try, /*On fail goto*//*Label 11363*/ GIMT_Encode4(720826), // Rule ID 11780 //
     /*  720756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  720773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  720805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720824 */     GIR_RootConstrainSelectedInstOperands,
     /*  720825 */     // GIR_Coverage, 11780,
     /*  720825 */     GIR_EraseRootFromParent_Done,
     /*  720826 */   // Label 11363: @720826
     /*  720826 */   GIM_Try, /*On fail goto*//*Label 11364*/ GIMT_Encode4(720901), // Rule ID 11781 //
     /*  720831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  720848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  720880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720899 */     GIR_RootConstrainSelectedInstOperands,
     /*  720900 */     // GIR_Coverage, 11781,
     /*  720900 */     GIR_EraseRootFromParent_Done,
     /*  720901 */   // Label 11364: @720901
     /*  720901 */   GIM_Try, /*On fail goto*//*Label 11365*/ GIMT_Encode4(720976), // Rule ID 11784 //
     /*  720906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  720923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  720955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720974 */     GIR_RootConstrainSelectedInstOperands,
     /*  720975 */     // GIR_Coverage, 11784,
     /*  720975 */     GIR_EraseRootFromParent_Done,
     /*  720976 */   // Label 11365: @720976
     /*  720976 */   GIM_Try, /*On fail goto*//*Label 11366*/ GIMT_Encode4(721051), // Rule ID 11785 //
     /*  720981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  720998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  721030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721049 */     GIR_RootConstrainSelectedInstOperands,
     /*  721050 */     // GIR_Coverage, 11785,
     /*  721050 */     GIR_EraseRootFromParent_Done,
     /*  721051 */   // Label 11366: @721051
     /*  721051 */   GIM_Try, /*On fail goto*//*Label 11367*/ GIMT_Encode4(721126), // Rule ID 11788 //
     /*  721056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  721067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  721070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  721073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  721105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721124 */     GIR_RootConstrainSelectedInstOperands,
     /*  721125 */     // GIR_Coverage, 11788,
     /*  721125 */     GIR_EraseRootFromParent_Done,
     /*  721126 */   // Label 11367: @721126
     /*  721126 */   GIM_Try, /*On fail goto*//*Label 11368*/ GIMT_Encode4(721201), // Rule ID 11789 //
     /*  721131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  721142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  721145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  721148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  721180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721199 */     GIR_RootConstrainSelectedInstOperands,
     /*  721200 */     // GIR_Coverage, 11789,
     /*  721200 */     GIR_EraseRootFromParent_Done,
     /*  721201 */   // Label 11368: @721201
     /*  721201 */   GIM_Try, /*On fail goto*//*Label 11369*/ GIMT_Encode4(721276), // Rule ID 11792 //
     /*  721206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  721209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  721223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  721252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  721255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721274 */     GIR_RootConstrainSelectedInstOperands,
     /*  721275 */     // GIR_Coverage, 11792,
     /*  721275 */     GIR_EraseRootFromParent_Done,
     /*  721276 */   // Label 11369: @721276
     /*  721276 */   GIM_Try, /*On fail goto*//*Label 11370*/ GIMT_Encode4(721351), // Rule ID 11793 //
     /*  721281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  721284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  721298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  721327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  721330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721349 */     GIR_RootConstrainSelectedInstOperands,
     /*  721350 */     // GIR_Coverage, 11793,
     /*  721350 */     GIR_EraseRootFromParent_Done,
     /*  721351 */   // Label 11370: @721351
     /*  721351 */   GIM_Try, /*On fail goto*//*Label 11371*/ GIMT_Encode4(721426), // Rule ID 11796 //
     /*  721356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  721367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  721370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  721373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721402 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  721405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721424 */     GIR_RootConstrainSelectedInstOperands,
     /*  721425 */     // GIR_Coverage, 11796,
     /*  721425 */     GIR_EraseRootFromParent_Done,
     /*  721426 */   // Label 11371: @721426
     /*  721426 */   GIM_Try, /*On fail goto*//*Label 11372*/ GIMT_Encode4(721501), // Rule ID 11797 //
     /*  721431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  721442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  721445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  721448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721477 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  721480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721499 */     GIR_RootConstrainSelectedInstOperands,
     /*  721500 */     // GIR_Coverage, 11797,
     /*  721500 */     GIR_EraseRootFromParent_Done,
     /*  721501 */   // Label 11372: @721501
     /*  721501 */   GIM_Try, /*On fail goto*//*Label 11373*/ GIMT_Encode4(721576), // Rule ID 11800 //
     /*  721506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  721517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  721520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  721523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  721555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721574 */     GIR_RootConstrainSelectedInstOperands,
     /*  721575 */     // GIR_Coverage, 11800,
     /*  721575 */     GIR_EraseRootFromParent_Done,
     /*  721576 */   // Label 11373: @721576
     /*  721576 */   GIM_Try, /*On fail goto*//*Label 11374*/ GIMT_Encode4(721651), // Rule ID 11801 //
     /*  721581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  721592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  721595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  721598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721627 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  721630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721649 */     GIR_RootConstrainSelectedInstOperands,
     /*  721650 */     // GIR_Coverage, 11801,
     /*  721650 */     GIR_EraseRootFromParent_Done,
     /*  721651 */   // Label 11374: @721651
     /*  721651 */   GIM_Try, /*On fail goto*//*Label 11375*/ GIMT_Encode4(721726), // Rule ID 11804 //
     /*  721656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  721667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  721670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  721673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721702 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  721705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721724 */     GIR_RootConstrainSelectedInstOperands,
     /*  721725 */     // GIR_Coverage, 11804,
     /*  721725 */     GIR_EraseRootFromParent_Done,
     /*  721726 */   // Label 11375: @721726
     /*  721726 */   GIM_Try, /*On fail goto*//*Label 11376*/ GIMT_Encode4(721801), // Rule ID 11805 //
     /*  721731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  721742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  721745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  721748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721777 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  721780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721799 */     GIR_RootConstrainSelectedInstOperands,
     /*  721800 */     // GIR_Coverage, 11805,
     /*  721800 */     GIR_EraseRootFromParent_Done,
     /*  721801 */   // Label 11376: @721801
     /*  721801 */   GIM_Try, /*On fail goto*//*Label 11377*/ GIMT_Encode4(721876), // Rule ID 11808 //
     /*  721806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  721817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  721820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  721823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721852 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  721855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721874 */     GIR_RootConstrainSelectedInstOperands,
     /*  721875 */     // GIR_Coverage, 11808,
     /*  721875 */     GIR_EraseRootFromParent_Done,
     /*  721876 */   // Label 11377: @721876
     /*  721876 */   GIM_Try, /*On fail goto*//*Label 11378*/ GIMT_Encode4(721951), // Rule ID 11809 //
     /*  721881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  721892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  721895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  721898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721927 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  721930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721949 */     GIR_RootConstrainSelectedInstOperands,
     /*  721950 */     // GIR_Coverage, 11809,
     /*  721950 */     GIR_EraseRootFromParent_Done,
     /*  721951 */   // Label 11378: @721951
     /*  721951 */   GIM_Try, /*On fail goto*//*Label 11379*/ GIMT_Encode4(722026), // Rule ID 11812 //
     /*  721956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  721967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  721970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  721973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722002 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  722005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722024 */     GIR_RootConstrainSelectedInstOperands,
     /*  722025 */     // GIR_Coverage, 11812,
     /*  722025 */     GIR_EraseRootFromParent_Done,
     /*  722026 */   // Label 11379: @722026
     /*  722026 */   GIM_Try, /*On fail goto*//*Label 11380*/ GIMT_Encode4(722101), // Rule ID 11813 //
     /*  722031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  722042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  722045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  722048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722077 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  722080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722099 */     GIR_RootConstrainSelectedInstOperands,
     /*  722100 */     // GIR_Coverage, 11813,
     /*  722100 */     GIR_EraseRootFromParent_Done,
     /*  722101 */   // Label 11380: @722101
     /*  722101 */   GIM_Try, /*On fail goto*//*Label 11381*/ GIMT_Encode4(722176), // Rule ID 11816 //
     /*  722106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  722117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  722120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  722123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722152 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  722155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722174 */     GIR_RootConstrainSelectedInstOperands,
     /*  722175 */     // GIR_Coverage, 11816,
     /*  722175 */     GIR_EraseRootFromParent_Done,
     /*  722176 */   // Label 11381: @722176
     /*  722176 */   GIM_Try, /*On fail goto*//*Label 11382*/ GIMT_Encode4(722251), // Rule ID 11817 //
     /*  722181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  722192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  722195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  722198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722227 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  722230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722249 */     GIR_RootConstrainSelectedInstOperands,
     /*  722250 */     // GIR_Coverage, 11817,
     /*  722250 */     GIR_EraseRootFromParent_Done,
     /*  722251 */   // Label 11382: @722251
     /*  722251 */   GIM_Try, /*On fail goto*//*Label 11383*/ GIMT_Encode4(722326), // Rule ID 11820 //
     /*  722256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  722267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  722270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  722273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  722305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722324 */     GIR_RootConstrainSelectedInstOperands,
     /*  722325 */     // GIR_Coverage, 11820,
     /*  722325 */     GIR_EraseRootFromParent_Done,
     /*  722326 */   // Label 11383: @722326
     /*  722326 */   GIM_Try, /*On fail goto*//*Label 11384*/ GIMT_Encode4(722401), // Rule ID 11821 //
     /*  722331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  722342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  722345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  722348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  722380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722399 */     GIR_RootConstrainSelectedInstOperands,
     /*  722400 */     // GIR_Coverage, 11821,
     /*  722400 */     GIR_EraseRootFromParent_Done,
     /*  722401 */   // Label 11384: @722401
     /*  722401 */   GIM_Try, /*On fail goto*//*Label 11385*/ GIMT_Encode4(722476), // Rule ID 11824 //
     /*  722406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  722417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  722420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  722423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  722455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722474 */     GIR_RootConstrainSelectedInstOperands,
     /*  722475 */     // GIR_Coverage, 11824,
     /*  722475 */     GIR_EraseRootFromParent_Done,
     /*  722476 */   // Label 11385: @722476
     /*  722476 */   GIM_Try, /*On fail goto*//*Label 11386*/ GIMT_Encode4(722551), // Rule ID 11825 //
     /*  722481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  722492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  722495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  722498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722527 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  722530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722549 */     GIR_RootConstrainSelectedInstOperands,
     /*  722550 */     // GIR_Coverage, 11825,
     /*  722550 */     GIR_EraseRootFromParent_Done,
     /*  722551 */   // Label 11386: @722551
     /*  722551 */   GIM_Try, /*On fail goto*//*Label 11387*/ GIMT_Encode4(722626), // Rule ID 11828 //
     /*  722556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  722567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  722570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  722573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722602 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  722605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722624 */     GIR_RootConstrainSelectedInstOperands,
     /*  722625 */     // GIR_Coverage, 11828,
     /*  722625 */     GIR_EraseRootFromParent_Done,
     /*  722626 */   // Label 11387: @722626
     /*  722626 */   GIM_Try, /*On fail goto*//*Label 11388*/ GIMT_Encode4(722701), // Rule ID 11829 //
     /*  722631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  722642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  722645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  722648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722677 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  722680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722699 */     GIR_RootConstrainSelectedInstOperands,
     /*  722700 */     // GIR_Coverage, 11829,
     /*  722700 */     GIR_EraseRootFromParent_Done,
     /*  722701 */   // Label 11388: @722701
     /*  722701 */   GIM_Try, /*On fail goto*//*Label 11389*/ GIMT_Encode4(722776), // Rule ID 11832 //
     /*  722706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  722717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  722720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  722723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  722755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722774 */     GIR_RootConstrainSelectedInstOperands,
     /*  722775 */     // GIR_Coverage, 11832,
     /*  722775 */     GIR_EraseRootFromParent_Done,
     /*  722776 */   // Label 11389: @722776
     /*  722776 */   GIM_Try, /*On fail goto*//*Label 11390*/ GIMT_Encode4(722851), // Rule ID 11833 //
     /*  722781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  722792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  722795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  722798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  722830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722849 */     GIR_RootConstrainSelectedInstOperands,
     /*  722850 */     // GIR_Coverage, 11833,
     /*  722850 */     GIR_EraseRootFromParent_Done,
     /*  722851 */   // Label 11390: @722851
     /*  722851 */   GIM_Try, /*On fail goto*//*Label 11391*/ GIMT_Encode4(722926), // Rule ID 11836 //
     /*  722856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  722867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  722870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  722873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722902 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  722905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722924 */     GIR_RootConstrainSelectedInstOperands,
     /*  722925 */     // GIR_Coverage, 11836,
     /*  722925 */     GIR_EraseRootFromParent_Done,
     /*  722926 */   // Label 11391: @722926
     /*  722926 */   GIM_Try, /*On fail goto*//*Label 11392*/ GIMT_Encode4(723001), // Rule ID 11837 //
     /*  722931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  722942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  722945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  722948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722977 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  722980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722999 */     GIR_RootConstrainSelectedInstOperands,
     /*  723000 */     // GIR_Coverage, 11837,
     /*  723000 */     GIR_EraseRootFromParent_Done,
     /*  723001 */   // Label 11392: @723001
     /*  723001 */   GIM_Try, /*On fail goto*//*Label 11393*/ GIMT_Encode4(723076), // Rule ID 11840 //
     /*  723006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  723017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  723020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  723023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  723026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723052 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  723055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723074 */     GIR_RootConstrainSelectedInstOperands,
     /*  723075 */     // GIR_Coverage, 11840,
     /*  723075 */     GIR_EraseRootFromParent_Done,
     /*  723076 */   // Label 11393: @723076
     /*  723076 */   GIM_Try, /*On fail goto*//*Label 11394*/ GIMT_Encode4(723151), // Rule ID 11841 //
     /*  723081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  723092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  723095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  723098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  723101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723127 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  723130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723149 */     GIR_RootConstrainSelectedInstOperands,
     /*  723150 */     // GIR_Coverage, 11841,
     /*  723150 */     GIR_EraseRootFromParent_Done,
     /*  723151 */   // Label 11394: @723151
     /*  723151 */   GIM_Try, /*On fail goto*//*Label 11395*/ GIMT_Encode4(723226), // Rule ID 11844 //
     /*  723156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  723167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  723170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  723173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  723176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723202 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  723205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723224 */     GIR_RootConstrainSelectedInstOperands,
     /*  723225 */     // GIR_Coverage, 11844,
     /*  723225 */     GIR_EraseRootFromParent_Done,
     /*  723226 */   // Label 11395: @723226
     /*  723226 */   GIM_Try, /*On fail goto*//*Label 11396*/ GIMT_Encode4(723301), // Rule ID 11845 //
     /*  723231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  723242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  723245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  723248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  723251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723277 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  723280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723299 */     GIR_RootConstrainSelectedInstOperands,
     /*  723300 */     // GIR_Coverage, 11845,
     /*  723300 */     GIR_EraseRootFromParent_Done,
     /*  723301 */   // Label 11396: @723301
     /*  723301 */   GIM_Try, /*On fail goto*//*Label 11397*/ GIMT_Encode4(723376), // Rule ID 11848 //
     /*  723306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  723317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  723320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  723323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  723326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723352 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  723355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723374 */     GIR_RootConstrainSelectedInstOperands,
     /*  723375 */     // GIR_Coverage, 11848,
     /*  723375 */     GIR_EraseRootFromParent_Done,
     /*  723376 */   // Label 11397: @723376
     /*  723376 */   GIM_Try, /*On fail goto*//*Label 11398*/ GIMT_Encode4(723451), // Rule ID 11849 //
     /*  723381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  723392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  723395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  723398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  723401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723427 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  723430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723449 */     GIR_RootConstrainSelectedInstOperands,
     /*  723450 */     // GIR_Coverage, 11849,
     /*  723450 */     GIR_EraseRootFromParent_Done,
     /*  723451 */   // Label 11398: @723451
     /*  723451 */   GIM_Try, /*On fail goto*//*Label 11399*/ GIMT_Encode4(723526), // Rule ID 11852 //
     /*  723456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  723467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  723470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  723473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  723476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  723505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723524 */     GIR_RootConstrainSelectedInstOperands,
     /*  723525 */     // GIR_Coverage, 11852,
     /*  723525 */     GIR_EraseRootFromParent_Done,
     /*  723526 */   // Label 11399: @723526
     /*  723526 */   GIM_Try, /*On fail goto*//*Label 11400*/ GIMT_Encode4(723601), // Rule ID 11853 //
     /*  723531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  723542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  723545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  723548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  723551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723577 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  723580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723599 */     GIR_RootConstrainSelectedInstOperands,
     /*  723600 */     // GIR_Coverage, 11853,
     /*  723600 */     GIR_EraseRootFromParent_Done,
     /*  723601 */   // Label 11400: @723601
     /*  723601 */   GIM_Try, /*On fail goto*//*Label 11401*/ GIMT_Encode4(723676), // Rule ID 11856 //
     /*  723606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  723617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  723620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  723623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  723626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723652 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  723655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723674 */     GIR_RootConstrainSelectedInstOperands,
     /*  723675 */     // GIR_Coverage, 11856,
     /*  723675 */     GIR_EraseRootFromParent_Done,
     /*  723676 */   // Label 11401: @723676
     /*  723676 */   GIM_Try, /*On fail goto*//*Label 11402*/ GIMT_Encode4(723751), // Rule ID 11857 //
     /*  723681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  723692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  723695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  723698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  723701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723727 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  723730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723749 */     GIR_RootConstrainSelectedInstOperands,
     /*  723750 */     // GIR_Coverage, 11857,
     /*  723750 */     GIR_EraseRootFromParent_Done,
     /*  723751 */   // Label 11402: @723751
     /*  723751 */   GIM_Try, /*On fail goto*//*Label 11403*/ GIMT_Encode4(723826), // Rule ID 11860 //
     /*  723756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  723767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  723770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  723773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  723776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723802 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  723805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723824 */     GIR_RootConstrainSelectedInstOperands,
     /*  723825 */     // GIR_Coverage, 11860,
     /*  723825 */     GIR_EraseRootFromParent_Done,
     /*  723826 */   // Label 11403: @723826
     /*  723826 */   GIM_Try, /*On fail goto*//*Label 11404*/ GIMT_Encode4(723901), // Rule ID 11861 //
     /*  723831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  723842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  723845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  723848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  723851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723877 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  723880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723899 */     GIR_RootConstrainSelectedInstOperands,
     /*  723900 */     // GIR_Coverage, 11861,
     /*  723900 */     GIR_EraseRootFromParent_Done,
     /*  723901 */   // Label 11404: @723901
     /*  723901 */   GIM_Try, /*On fail goto*//*Label 11405*/ GIMT_Encode4(723976), // Rule ID 11864 //
     /*  723906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  723917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  723920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  723923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  723926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  723955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723974 */     GIR_RootConstrainSelectedInstOperands,
     /*  723975 */     // GIR_Coverage, 11864,
     /*  723975 */     GIR_EraseRootFromParent_Done,
     /*  723976 */   // Label 11405: @723976
     /*  723976 */   GIM_Try, /*On fail goto*//*Label 11406*/ GIMT_Encode4(724051), // Rule ID 11865 //
     /*  723981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  723992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  723995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  723998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  724001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724027 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  724030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724049 */     GIR_RootConstrainSelectedInstOperands,
     /*  724050 */     // GIR_Coverage, 11865,
     /*  724050 */     GIR_EraseRootFromParent_Done,
     /*  724051 */   // Label 11406: @724051
     /*  724051 */   GIM_Try, /*On fail goto*//*Label 11407*/ GIMT_Encode4(724126), // Rule ID 11868 //
     /*  724056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  724067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  724070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  724073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  724076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  724105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724124 */     GIR_RootConstrainSelectedInstOperands,
     /*  724125 */     // GIR_Coverage, 11868,
     /*  724125 */     GIR_EraseRootFromParent_Done,
     /*  724126 */   // Label 11407: @724126
     /*  724126 */   GIM_Try, /*On fail goto*//*Label 11408*/ GIMT_Encode4(724201), // Rule ID 11869 //
     /*  724131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  724142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  724145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  724148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  724151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  724180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724199 */     GIR_RootConstrainSelectedInstOperands,
     /*  724200 */     // GIR_Coverage, 11869,
     /*  724200 */     GIR_EraseRootFromParent_Done,
     /*  724201 */   // Label 11408: @724201
     /*  724201 */   GIM_Try, /*On fail goto*//*Label 11409*/ GIMT_Encode4(724276), // Rule ID 11872 //
     /*  724206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  724217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  724220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  724223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  724226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  724255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724274 */     GIR_RootConstrainSelectedInstOperands,
     /*  724275 */     // GIR_Coverage, 11872,
     /*  724275 */     GIR_EraseRootFromParent_Done,
     /*  724276 */   // Label 11409: @724276
     /*  724276 */   GIM_Try, /*On fail goto*//*Label 11410*/ GIMT_Encode4(724351), // Rule ID 11873 //
     /*  724281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  724292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  724295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  724298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  724301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  724330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724349 */     GIR_RootConstrainSelectedInstOperands,
     /*  724350 */     // GIR_Coverage, 11873,
     /*  724350 */     GIR_EraseRootFromParent_Done,
     /*  724351 */   // Label 11410: @724351
     /*  724351 */   GIM_Try, /*On fail goto*//*Label 11411*/ GIMT_Encode4(724426), // Rule ID 11876 //
     /*  724356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  724373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  724376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  724405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724424 */     GIR_RootConstrainSelectedInstOperands,
     /*  724425 */     // GIR_Coverage, 11876,
     /*  724425 */     GIR_EraseRootFromParent_Done,
     /*  724426 */   // Label 11411: @724426
     /*  724426 */   GIM_Try, /*On fail goto*//*Label 11412*/ GIMT_Encode4(724501), // Rule ID 11877 //
     /*  724431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  724448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  724451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  724480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724499 */     GIR_RootConstrainSelectedInstOperands,
     /*  724500 */     // GIR_Coverage, 11877,
     /*  724500 */     GIR_EraseRootFromParent_Done,
     /*  724501 */   // Label 11412: @724501
     /*  724501 */   GIM_Try, /*On fail goto*//*Label 11413*/ GIMT_Encode4(724576), // Rule ID 11880 //
     /*  724506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  724509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  724523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  724526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  724552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  724555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724574 */     GIR_RootConstrainSelectedInstOperands,
     /*  724575 */     // GIR_Coverage, 11880,
     /*  724575 */     GIR_EraseRootFromParent_Done,
     /*  724576 */   // Label 11413: @724576
     /*  724576 */   GIM_Try, /*On fail goto*//*Label 11414*/ GIMT_Encode4(724651), // Rule ID 11881 //
     /*  724581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  724584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  724598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  724601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  724627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  724630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724649 */     GIR_RootConstrainSelectedInstOperands,
     /*  724650 */     // GIR_Coverage, 11881,
     /*  724650 */     GIR_EraseRootFromParent_Done,
     /*  724651 */   // Label 11414: @724651
     /*  724651 */   GIM_Try, /*On fail goto*//*Label 11415*/ GIMT_Encode4(724726), // Rule ID 11884 //
     /*  724656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  724667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  724670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  724673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  724676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724702 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  724705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724724 */     GIR_RootConstrainSelectedInstOperands,
     /*  724725 */     // GIR_Coverage, 11884,
     /*  724725 */     GIR_EraseRootFromParent_Done,
     /*  724726 */   // Label 11415: @724726
     /*  724726 */   GIM_Try, /*On fail goto*//*Label 11416*/ GIMT_Encode4(724801), // Rule ID 11885 //
     /*  724731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  724742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  724745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  724748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  724751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724777 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  724780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724799 */     GIR_RootConstrainSelectedInstOperands,
     /*  724800 */     // GIR_Coverage, 11885,
     /*  724800 */     GIR_EraseRootFromParent_Done,
     /*  724801 */   // Label 11416: @724801
     /*  724801 */   GIM_Try, /*On fail goto*//*Label 11417*/ GIMT_Encode4(724876), // Rule ID 11888 //
     /*  724806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  724817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  724820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  724823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  724826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724852 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  724855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724874 */     GIR_RootConstrainSelectedInstOperands,
     /*  724875 */     // GIR_Coverage, 11888,
     /*  724875 */     GIR_EraseRootFromParent_Done,
     /*  724876 */   // Label 11417: @724876
     /*  724876 */   GIM_Try, /*On fail goto*//*Label 11418*/ GIMT_Encode4(724951), // Rule ID 11889 //
     /*  724881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  724892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  724895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  724898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  724901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724927 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  724930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724949 */     GIR_RootConstrainSelectedInstOperands,
     /*  724950 */     // GIR_Coverage, 11889,
     /*  724950 */     GIR_EraseRootFromParent_Done,
     /*  724951 */   // Label 11418: @724951
     /*  724951 */   GIM_Try, /*On fail goto*//*Label 11419*/ GIMT_Encode4(725026), // Rule ID 11892 //
     /*  724956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  724967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  724970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  724973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  724976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725002 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  725005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725024 */     GIR_RootConstrainSelectedInstOperands,
     /*  725025 */     // GIR_Coverage, 11892,
     /*  725025 */     GIR_EraseRootFromParent_Done,
     /*  725026 */   // Label 11419: @725026
     /*  725026 */   GIM_Try, /*On fail goto*//*Label 11420*/ GIMT_Encode4(725101), // Rule ID 11893 //
     /*  725031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  725042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  725045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  725048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  725051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725077 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  725080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725099 */     GIR_RootConstrainSelectedInstOperands,
     /*  725100 */     // GIR_Coverage, 11893,
     /*  725100 */     GIR_EraseRootFromParent_Done,
     /*  725101 */   // Label 11420: @725101
     /*  725101 */   GIM_Try, /*On fail goto*//*Label 11421*/ GIMT_Encode4(725176), // Rule ID 11896 //
     /*  725106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  725117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  725120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  725123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  725126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  725155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725174 */     GIR_RootConstrainSelectedInstOperands,
     /*  725175 */     // GIR_Coverage, 11896,
     /*  725175 */     GIR_EraseRootFromParent_Done,
     /*  725176 */   // Label 11421: @725176
     /*  725176 */   GIM_Try, /*On fail goto*//*Label 11422*/ GIMT_Encode4(725251), // Rule ID 11897 //
     /*  725181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  725192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  725195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  725198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  725201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725227 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  725230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725249 */     GIR_RootConstrainSelectedInstOperands,
     /*  725250 */     // GIR_Coverage, 11897,
     /*  725250 */     GIR_EraseRootFromParent_Done,
     /*  725251 */   // Label 11422: @725251
     /*  725251 */   GIM_Try, /*On fail goto*//*Label 11423*/ GIMT_Encode4(725326), // Rule ID 11900 //
     /*  725256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  725267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  725270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  725273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  725276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725302 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  725305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725324 */     GIR_RootConstrainSelectedInstOperands,
     /*  725325 */     // GIR_Coverage, 11900,
     /*  725325 */     GIR_EraseRootFromParent_Done,
     /*  725326 */   // Label 11423: @725326
     /*  725326 */   GIM_Try, /*On fail goto*//*Label 11424*/ GIMT_Encode4(725401), // Rule ID 11901 //
     /*  725331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  725342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  725345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  725348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  725351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725377 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  725380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725399 */     GIR_RootConstrainSelectedInstOperands,
     /*  725400 */     // GIR_Coverage, 11901,
     /*  725400 */     GIR_EraseRootFromParent_Done,
     /*  725401 */   // Label 11424: @725401
     /*  725401 */   GIM_Try, /*On fail goto*//*Label 11425*/ GIMT_Encode4(725476), // Rule ID 11904 //
     /*  725406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  725417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  725420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  725423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  725426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725452 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  725455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725474 */     GIR_RootConstrainSelectedInstOperands,
     /*  725475 */     // GIR_Coverage, 11904,
     /*  725475 */     GIR_EraseRootFromParent_Done,
     /*  725476 */   // Label 11425: @725476
     /*  725476 */   GIM_Try, /*On fail goto*//*Label 11426*/ GIMT_Encode4(725551), // Rule ID 11905 //
     /*  725481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  725492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  725495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  725498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  725501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725527 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  725530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725549 */     GIR_RootConstrainSelectedInstOperands,
     /*  725550 */     // GIR_Coverage, 11905,
     /*  725550 */     GIR_EraseRootFromParent_Done,
     /*  725551 */   // Label 11426: @725551
     /*  725551 */   GIM_Try, /*On fail goto*//*Label 11427*/ GIMT_Encode4(725626), // Rule ID 11908 //
     /*  725556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  725567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  725570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  725573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  725576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  725605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725624 */     GIR_RootConstrainSelectedInstOperands,
     /*  725625 */     // GIR_Coverage, 11908,
     /*  725625 */     GIR_EraseRootFromParent_Done,
     /*  725626 */   // Label 11427: @725626
     /*  725626 */   GIM_Try, /*On fail goto*//*Label 11428*/ GIMT_Encode4(725701), // Rule ID 11909 //
     /*  725631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  725642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  725645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  725648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  725651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  725680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725699 */     GIR_RootConstrainSelectedInstOperands,
     /*  725700 */     // GIR_Coverage, 11909,
     /*  725700 */     GIR_EraseRootFromParent_Done,
     /*  725701 */   // Label 11428: @725701
     /*  725701 */   GIM_Try, /*On fail goto*//*Label 11429*/ GIMT_Encode4(725776), // Rule ID 11912 //
     /*  725706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  725717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  725720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  725723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  725726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  725755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725774 */     GIR_RootConstrainSelectedInstOperands,
     /*  725775 */     // GIR_Coverage, 11912,
     /*  725775 */     GIR_EraseRootFromParent_Done,
     /*  725776 */   // Label 11429: @725776
     /*  725776 */   GIM_Try, /*On fail goto*//*Label 11430*/ GIMT_Encode4(725851), // Rule ID 11913 //
     /*  725781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  725792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  725795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  725798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  725801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725827 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  725830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725849 */     GIR_RootConstrainSelectedInstOperands,
     /*  725850 */     // GIR_Coverage, 11913,
     /*  725850 */     GIR_EraseRootFromParent_Done,
     /*  725851 */   // Label 11430: @725851
     /*  725851 */   GIM_Try, /*On fail goto*//*Label 11431*/ GIMT_Encode4(725926), // Rule ID 11916 //
     /*  725856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  725867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  725870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  725873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  725876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  725905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725924 */     GIR_RootConstrainSelectedInstOperands,
     /*  725925 */     // GIR_Coverage, 11916,
     /*  725925 */     GIR_EraseRootFromParent_Done,
     /*  725926 */   // Label 11431: @725926
     /*  725926 */   GIM_Try, /*On fail goto*//*Label 11432*/ GIMT_Encode4(726001), // Rule ID 11917 //
     /*  725931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  725942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  725945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  725948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  725951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725977 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  725980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725999 */     GIR_RootConstrainSelectedInstOperands,
     /*  726000 */     // GIR_Coverage, 11917,
     /*  726000 */     GIR_EraseRootFromParent_Done,
     /*  726001 */   // Label 11432: @726001
     /*  726001 */   GIM_Try, /*On fail goto*//*Label 11433*/ GIMT_Encode4(726076), // Rule ID 11920 //
     /*  726006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  726017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  726020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  726023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  726026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  726055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726074 */     GIR_RootConstrainSelectedInstOperands,
     /*  726075 */     // GIR_Coverage, 11920,
     /*  726075 */     GIR_EraseRootFromParent_Done,
     /*  726076 */   // Label 11433: @726076
     /*  726076 */   GIM_Try, /*On fail goto*//*Label 11434*/ GIMT_Encode4(726151), // Rule ID 11921 //
     /*  726081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  726092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  726095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  726098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  726101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726127 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  726130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726149 */     GIR_RootConstrainSelectedInstOperands,
     /*  726150 */     // GIR_Coverage, 11921,
     /*  726150 */     GIR_EraseRootFromParent_Done,
     /*  726151 */   // Label 11434: @726151
     /*  726151 */   GIM_Try, /*On fail goto*//*Label 11435*/ GIMT_Encode4(726226), // Rule ID 11924 //
     /*  726156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  726167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  726170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  726173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  726176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726202 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  726205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726224 */     GIR_RootConstrainSelectedInstOperands,
     /*  726225 */     // GIR_Coverage, 11924,
     /*  726225 */     GIR_EraseRootFromParent_Done,
     /*  726226 */   // Label 11435: @726226
     /*  726226 */   GIM_Try, /*On fail goto*//*Label 11436*/ GIMT_Encode4(726301), // Rule ID 11925 //
     /*  726231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  726242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  726245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  726248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  726251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726277 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  726280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726299 */     GIR_RootConstrainSelectedInstOperands,
     /*  726300 */     // GIR_Coverage, 11925,
     /*  726300 */     GIR_EraseRootFromParent_Done,
     /*  726301 */   // Label 11436: @726301
     /*  726301 */   GIM_Try, /*On fail goto*//*Label 11437*/ GIMT_Encode4(726376), // Rule ID 11928 //
     /*  726306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  726317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  726320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  726323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  726326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  726355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726374 */     GIR_RootConstrainSelectedInstOperands,
     /*  726375 */     // GIR_Coverage, 11928,
     /*  726375 */     GIR_EraseRootFromParent_Done,
     /*  726376 */   // Label 11437: @726376
     /*  726376 */   GIM_Try, /*On fail goto*//*Label 11438*/ GIMT_Encode4(726451), // Rule ID 11929 //
     /*  726381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  726392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  726395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  726398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  726401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726427 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  726430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726449 */     GIR_RootConstrainSelectedInstOperands,
     /*  726450 */     // GIR_Coverage, 11929,
     /*  726450 */     GIR_EraseRootFromParent_Done,
     /*  726451 */   // Label 11438: @726451
     /*  726451 */   GIM_Try, /*On fail goto*//*Label 11439*/ GIMT_Encode4(726526), // Rule ID 11932 //
     /*  726456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  726467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  726470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  726473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  726505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726524 */     GIR_RootConstrainSelectedInstOperands,
     /*  726525 */     // GIR_Coverage, 11932,
     /*  726525 */     GIR_EraseRootFromParent_Done,
     /*  726526 */   // Label 11439: @726526
     /*  726526 */   GIM_Try, /*On fail goto*//*Label 11440*/ GIMT_Encode4(726601), // Rule ID 11933 //
     /*  726531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  726542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  726545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  726548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726577 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  726580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726599 */     GIR_RootConstrainSelectedInstOperands,
     /*  726600 */     // GIR_Coverage, 11933,
     /*  726600 */     GIR_EraseRootFromParent_Done,
     /*  726601 */   // Label 11440: @726601
     /*  726601 */   GIM_Try, /*On fail goto*//*Label 11441*/ GIMT_Encode4(726676), // Rule ID 11936 //
     /*  726606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  726617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  726620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  726623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726652 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  726655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726674 */     GIR_RootConstrainSelectedInstOperands,
     /*  726675 */     // GIR_Coverage, 11936,
     /*  726675 */     GIR_EraseRootFromParent_Done,
     /*  726676 */   // Label 11441: @726676
     /*  726676 */   GIM_Try, /*On fail goto*//*Label 11442*/ GIMT_Encode4(726751), // Rule ID 11937 //
     /*  726681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  726692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  726695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  726698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726727 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  726730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726749 */     GIR_RootConstrainSelectedInstOperands,
     /*  726750 */     // GIR_Coverage, 11937,
     /*  726750 */     GIR_EraseRootFromParent_Done,
     /*  726751 */   // Label 11442: @726751
     /*  726751 */   GIM_Try, /*On fail goto*//*Label 11443*/ GIMT_Encode4(726826), // Rule ID 11940 //
     /*  726756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  726767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  726770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  726773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  726805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726824 */     GIR_RootConstrainSelectedInstOperands,
     /*  726825 */     // GIR_Coverage, 11940,
     /*  726825 */     GIR_EraseRootFromParent_Done,
     /*  726826 */   // Label 11443: @726826
     /*  726826 */   GIM_Try, /*On fail goto*//*Label 11444*/ GIMT_Encode4(726901), // Rule ID 11941 //
     /*  726831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  726842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  726845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  726848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726877 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  726880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726899 */     GIR_RootConstrainSelectedInstOperands,
     /*  726900 */     // GIR_Coverage, 11941,
     /*  726900 */     GIR_EraseRootFromParent_Done,
     /*  726901 */   // Label 11444: @726901
     /*  726901 */   GIM_Try, /*On fail goto*//*Label 11445*/ GIMT_Encode4(726976), // Rule ID 11944 //
     /*  726906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  726917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  726920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  726923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  726955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726974 */     GIR_RootConstrainSelectedInstOperands,
     /*  726975 */     // GIR_Coverage, 11944,
     /*  726975 */     GIR_EraseRootFromParent_Done,
     /*  726976 */   // Label 11445: @726976
     /*  726976 */   GIM_Try, /*On fail goto*//*Label 11446*/ GIMT_Encode4(727051), // Rule ID 11945 //
     /*  726981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  726992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  726995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  726998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  727030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727049 */     GIR_RootConstrainSelectedInstOperands,
     /*  727050 */     // GIR_Coverage, 11945,
     /*  727050 */     GIR_EraseRootFromParent_Done,
     /*  727051 */   // Label 11446: @727051
     /*  727051 */   GIM_Try, /*On fail goto*//*Label 11447*/ GIMT_Encode4(727126), // Rule ID 11948 //
     /*  727056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  727067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  727070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  727073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  727105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727124 */     GIR_RootConstrainSelectedInstOperands,
     /*  727125 */     // GIR_Coverage, 11948,
     /*  727125 */     GIR_EraseRootFromParent_Done,
     /*  727126 */   // Label 11447: @727126
     /*  727126 */   GIM_Try, /*On fail goto*//*Label 11448*/ GIMT_Encode4(727201), // Rule ID 11949 //
     /*  727131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  727142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  727145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  727148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727177 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  727180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727199 */     GIR_RootConstrainSelectedInstOperands,
     /*  727200 */     // GIR_Coverage, 11949,
     /*  727200 */     GIR_EraseRootFromParent_Done,
     /*  727201 */   // Label 11448: @727201
     /*  727201 */   GIM_Try, /*On fail goto*//*Label 11449*/ GIMT_Encode4(727276), // Rule ID 11952 //
     /*  727206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  727217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  727220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  727223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727252 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  727255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727274 */     GIR_RootConstrainSelectedInstOperands,
     /*  727275 */     // GIR_Coverage, 11952,
     /*  727275 */     GIR_EraseRootFromParent_Done,
     /*  727276 */   // Label 11449: @727276
     /*  727276 */   GIM_Try, /*On fail goto*//*Label 11450*/ GIMT_Encode4(727351), // Rule ID 11953 //
     /*  727281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  727292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  727295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  727298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727327 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  727330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727349 */     GIR_RootConstrainSelectedInstOperands,
     /*  727350 */     // GIR_Coverage, 11953,
     /*  727350 */     GIR_EraseRootFromParent_Done,
     /*  727351 */   // Label 11450: @727351
     /*  727351 */   GIM_Try, /*On fail goto*//*Label 11451*/ GIMT_Encode4(727426), // Rule ID 11956 //
     /*  727356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  727367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  727373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  727405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727424 */     GIR_RootConstrainSelectedInstOperands,
     /*  727425 */     // GIR_Coverage, 11956,
     /*  727425 */     GIR_EraseRootFromParent_Done,
     /*  727426 */   // Label 11451: @727426
     /*  727426 */   GIM_Try, /*On fail goto*//*Label 11452*/ GIMT_Encode4(727501), // Rule ID 11957 //
     /*  727431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  727442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  727448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  727480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727499 */     GIR_RootConstrainSelectedInstOperands,
     /*  727500 */     // GIR_Coverage, 11957,
     /*  727500 */     GIR_EraseRootFromParent_Done,
     /*  727501 */   // Label 11452: @727501
     /*  727501 */   GIM_Try, /*On fail goto*//*Label 11453*/ GIMT_Encode4(727576), // Rule ID 11960 //
     /*  727506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  727523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  727555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727574 */     GIR_RootConstrainSelectedInstOperands,
     /*  727575 */     // GIR_Coverage, 11960,
     /*  727575 */     GIR_EraseRootFromParent_Done,
     /*  727576 */   // Label 11453: @727576
     /*  727576 */   GIM_Try, /*On fail goto*//*Label 11454*/ GIMT_Encode4(727651), // Rule ID 11961 //
     /*  727581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  727598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  727630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727649 */     GIR_RootConstrainSelectedInstOperands,
     /*  727650 */     // GIR_Coverage, 11961,
     /*  727650 */     GIR_EraseRootFromParent_Done,
     /*  727651 */   // Label 11454: @727651
     /*  727651 */   GIM_Try, /*On fail goto*//*Label 11455*/ GIMT_Encode4(727726), // Rule ID 11964 //
     /*  727656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  727673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  727705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727724 */     GIR_RootConstrainSelectedInstOperands,
     /*  727725 */     // GIR_Coverage, 11964,
     /*  727725 */     GIR_EraseRootFromParent_Done,
     /*  727726 */   // Label 11455: @727726
     /*  727726 */   GIM_Try, /*On fail goto*//*Label 11456*/ GIMT_Encode4(727801), // Rule ID 11965 //
     /*  727731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  727748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  727780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727799 */     GIR_RootConstrainSelectedInstOperands,
     /*  727800 */     // GIR_Coverage, 11965,
     /*  727800 */     GIR_EraseRootFromParent_Done,
     /*  727801 */   // Label 11456: @727801
     /*  727801 */   GIM_Try, /*On fail goto*//*Label 11457*/ GIMT_Encode4(727876), // Rule ID 11968 //
     /*  727806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  727809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  727817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  727820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  727823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  727852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  727855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727874 */     GIR_RootConstrainSelectedInstOperands,
     /*  727875 */     // GIR_Coverage, 11968,
     /*  727875 */     GIR_EraseRootFromParent_Done,
     /*  727876 */   // Label 11457: @727876
     /*  727876 */   GIM_Try, /*On fail goto*//*Label 11458*/ GIMT_Encode4(727951), // Rule ID 11969 //
     /*  727881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  727884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  727892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  727895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  727898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  727927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  727930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727949 */     GIR_RootConstrainSelectedInstOperands,
     /*  727950 */     // GIR_Coverage, 11969,
     /*  727950 */     GIR_EraseRootFromParent_Done,
     /*  727951 */   // Label 11458: @727951
     /*  727951 */   GIM_Try, /*On fail goto*//*Label 11459*/ GIMT_Encode4(728026), // Rule ID 11972 //
     /*  727956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  727967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  727970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  727973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728002 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  728005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728024 */     GIR_RootConstrainSelectedInstOperands,
     /*  728025 */     // GIR_Coverage, 11972,
     /*  728025 */     GIR_EraseRootFromParent_Done,
     /*  728026 */   // Label 11459: @728026
     /*  728026 */   GIM_Try, /*On fail goto*//*Label 11460*/ GIMT_Encode4(728101), // Rule ID 11973 //
     /*  728031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  728042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  728045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  728048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728077 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  728080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728099 */     GIR_RootConstrainSelectedInstOperands,
     /*  728100 */     // GIR_Coverage, 11973,
     /*  728100 */     GIR_EraseRootFromParent_Done,
     /*  728101 */   // Label 11460: @728101
     /*  728101 */   GIM_Try, /*On fail goto*//*Label 11461*/ GIMT_Encode4(728176), // Rule ID 11976 //
     /*  728106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  728117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  728120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  728123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728152 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  728155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728174 */     GIR_RootConstrainSelectedInstOperands,
     /*  728175 */     // GIR_Coverage, 11976,
     /*  728175 */     GIR_EraseRootFromParent_Done,
     /*  728176 */   // Label 11461: @728176
     /*  728176 */   GIM_Try, /*On fail goto*//*Label 11462*/ GIMT_Encode4(728251), // Rule ID 11977 //
     /*  728181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  728192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  728195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  728198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728227 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  728230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728249 */     GIR_RootConstrainSelectedInstOperands,
     /*  728250 */     // GIR_Coverage, 11977,
     /*  728250 */     GIR_EraseRootFromParent_Done,
     /*  728251 */   // Label 11462: @728251
     /*  728251 */   GIM_Try, /*On fail goto*//*Label 11463*/ GIMT_Encode4(728326), // Rule ID 11980 //
     /*  728256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  728267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  728270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  728273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728302 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  728305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728324 */     GIR_RootConstrainSelectedInstOperands,
     /*  728325 */     // GIR_Coverage, 11980,
     /*  728325 */     GIR_EraseRootFromParent_Done,
     /*  728326 */   // Label 11463: @728326
     /*  728326 */   GIM_Try, /*On fail goto*//*Label 11464*/ GIMT_Encode4(728401), // Rule ID 11981 //
     /*  728331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  728342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  728345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  728348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728377 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  728380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728399 */     GIR_RootConstrainSelectedInstOperands,
     /*  728400 */     // GIR_Coverage, 11981,
     /*  728400 */     GIR_EraseRootFromParent_Done,
     /*  728401 */   // Label 11464: @728401
     /*  728401 */   GIM_Try, /*On fail goto*//*Label 11465*/ GIMT_Encode4(728476), // Rule ID 11984 //
     /*  728406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  728417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  728420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  728423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  728455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728474 */     GIR_RootConstrainSelectedInstOperands,
     /*  728475 */     // GIR_Coverage, 11984,
     /*  728475 */     GIR_EraseRootFromParent_Done,
     /*  728476 */   // Label 11465: @728476
     /*  728476 */   GIM_Try, /*On fail goto*//*Label 11466*/ GIMT_Encode4(728551), // Rule ID 11985 //
     /*  728481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  728492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  728495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  728498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728527 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  728530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728549 */     GIR_RootConstrainSelectedInstOperands,
     /*  728550 */     // GIR_Coverage, 11985,
     /*  728550 */     GIR_EraseRootFromParent_Done,
     /*  728551 */   // Label 11466: @728551
     /*  728551 */   GIM_Try, /*On fail goto*//*Label 11467*/ GIMT_Encode4(728626), // Rule ID 11988 //
     /*  728556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  728567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  728570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  728573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728602 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  728605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728624 */     GIR_RootConstrainSelectedInstOperands,
     /*  728625 */     // GIR_Coverage, 11988,
     /*  728625 */     GIR_EraseRootFromParent_Done,
     /*  728626 */   // Label 11467: @728626
     /*  728626 */   GIM_Try, /*On fail goto*//*Label 11468*/ GIMT_Encode4(728701), // Rule ID 11989 //
     /*  728631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  728642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  728645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  728648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728677 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  728680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728699 */     GIR_RootConstrainSelectedInstOperands,
     /*  728700 */     // GIR_Coverage, 11989,
     /*  728700 */     GIR_EraseRootFromParent_Done,
     /*  728701 */   // Label 11468: @728701
     /*  728701 */   GIM_Try, /*On fail goto*//*Label 11469*/ GIMT_Encode4(728776), // Rule ID 11992 //
     /*  728706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  728717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  728720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  728723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  728755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728774 */     GIR_RootConstrainSelectedInstOperands,
     /*  728775 */     // GIR_Coverage, 11992,
     /*  728775 */     GIR_EraseRootFromParent_Done,
     /*  728776 */   // Label 11469: @728776
     /*  728776 */   GIM_Try, /*On fail goto*//*Label 11470*/ GIMT_Encode4(728851), // Rule ID 11993 //
     /*  728781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  728792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  728795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  728798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  728830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728849 */     GIR_RootConstrainSelectedInstOperands,
     /*  728850 */     // GIR_Coverage, 11993,
     /*  728850 */     GIR_EraseRootFromParent_Done,
     /*  728851 */   // Label 11470: @728851
     /*  728851 */   GIM_Try, /*On fail goto*//*Label 11471*/ GIMT_Encode4(728926), // Rule ID 11996 //
     /*  728856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  728867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  728870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  728873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728902 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  728905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728924 */     GIR_RootConstrainSelectedInstOperands,
     /*  728925 */     // GIR_Coverage, 11996,
     /*  728925 */     GIR_EraseRootFromParent_Done,
     /*  728926 */   // Label 11471: @728926
     /*  728926 */   GIM_Try, /*On fail goto*//*Label 11472*/ GIMT_Encode4(729001), // Rule ID 11997 //
     /*  728931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  728942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  728945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  728948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  728980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728999 */     GIR_RootConstrainSelectedInstOperands,
     /*  729000 */     // GIR_Coverage, 11997,
     /*  729000 */     GIR_EraseRootFromParent_Done,
     /*  729001 */   // Label 11472: @729001
     /*  729001 */   GIM_Try, /*On fail goto*//*Label 11473*/ GIMT_Encode4(729076), // Rule ID 12000 //
     /*  729006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  729017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  729020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  729023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  729026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729052 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  729055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729074 */     GIR_RootConstrainSelectedInstOperands,
     /*  729075 */     // GIR_Coverage, 12000,
     /*  729075 */     GIR_EraseRootFromParent_Done,
     /*  729076 */   // Label 11473: @729076
     /*  729076 */   GIM_Try, /*On fail goto*//*Label 11474*/ GIMT_Encode4(729151), // Rule ID 12001 //
     /*  729081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  729092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  729095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  729098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  729101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729127 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  729130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729149 */     GIR_RootConstrainSelectedInstOperands,
     /*  729150 */     // GIR_Coverage, 12001,
     /*  729150 */     GIR_EraseRootFromParent_Done,
     /*  729151 */   // Label 11474: @729151
     /*  729151 */   GIM_Try, /*On fail goto*//*Label 11475*/ GIMT_Encode4(729226), // Rule ID 12004 //
     /*  729156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  729167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  729170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  729173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  729176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729202 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  729205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729224 */     GIR_RootConstrainSelectedInstOperands,
     /*  729225 */     // GIR_Coverage, 12004,
     /*  729225 */     GIR_EraseRootFromParent_Done,
     /*  729226 */   // Label 11475: @729226
     /*  729226 */   GIM_Try, /*On fail goto*//*Label 11476*/ GIMT_Encode4(729301), // Rule ID 12005 //
     /*  729231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  729242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  729245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  729248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  729251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729277 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  729280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729299 */     GIR_RootConstrainSelectedInstOperands,
     /*  729300 */     // GIR_Coverage, 12005,
     /*  729300 */     GIR_EraseRootFromParent_Done,
     /*  729301 */   // Label 11476: @729301
     /*  729301 */   GIM_Try, /*On fail goto*//*Label 11477*/ GIMT_Encode4(729376), // Rule ID 12008 //
     /*  729306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  729309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  729317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  729320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  729323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  729326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  729352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  729355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729374 */     GIR_RootConstrainSelectedInstOperands,
     /*  729375 */     // GIR_Coverage, 12008,
     /*  729375 */     GIR_EraseRootFromParent_Done,
     /*  729376 */   // Label 11477: @729376
     /*  729376 */   GIM_Try, /*On fail goto*//*Label 11478*/ GIMT_Encode4(729451), // Rule ID 12009 //
     /*  729381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  729392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  729395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  729398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  729401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  729430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729449 */     GIR_RootConstrainSelectedInstOperands,
     /*  729450 */     // GIR_Coverage, 12009,
     /*  729450 */     GIR_EraseRootFromParent_Done,
     /*  729451 */   // Label 11478: @729451
     /*  729451 */   GIM_Try, /*On fail goto*//*Label 11479*/ GIMT_Encode4(729526), // Rule ID 12012 //
     /*  729456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  729459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  729467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  729470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  729473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  729476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729502 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  729502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  729505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729524 */     GIR_RootConstrainSelectedInstOperands,
     /*  729525 */     // GIR_Coverage, 12012,
     /*  729525 */     GIR_EraseRootFromParent_Done,
     /*  729526 */   // Label 11479: @729526
     /*  729526 */   GIM_Try, /*On fail goto*//*Label 11480*/ GIMT_Encode4(729601), // Rule ID 12013 //
     /*  729531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  729542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  729545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  729548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  729551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729577 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  729580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729599 */     GIR_RootConstrainSelectedInstOperands,
     /*  729600 */     // GIR_Coverage, 12013,
     /*  729600 */     GIR_EraseRootFromParent_Done,
     /*  729601 */   // Label 11480: @729601
     /*  729601 */   GIM_Try, /*On fail goto*//*Label 11481*/ GIMT_Encode4(729676), // Rule ID 12016 //
     /*  729606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  729609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  729617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  729620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  729623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  729626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  729652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  729655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729674 */     GIR_RootConstrainSelectedInstOperands,
     /*  729675 */     // GIR_Coverage, 12016,
     /*  729675 */     GIR_EraseRootFromParent_Done,
     /*  729676 */   // Label 11481: @729676
     /*  729676 */   GIM_Try, /*On fail goto*//*Label 11482*/ GIMT_Encode4(729751), // Rule ID 12017 //
     /*  729681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  729692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  729695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  729698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  729701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729727 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  729730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729749 */     GIR_RootConstrainSelectedInstOperands,
     /*  729750 */     // GIR_Coverage, 12017,
     /*  729750 */     GIR_EraseRootFromParent_Done,
     /*  729751 */   // Label 11482: @729751
     /*  729751 */   GIM_Try, /*On fail goto*//*Label 11483*/ GIMT_Encode4(729826), // Rule ID 12020 //
     /*  729756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  729767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  729770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  729773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  729776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729802 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  729805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729824 */     GIR_RootConstrainSelectedInstOperands,
     /*  729825 */     // GIR_Coverage, 12020,
     /*  729825 */     GIR_EraseRootFromParent_Done,
     /*  729826 */   // Label 11483: @729826
     /*  729826 */   GIM_Try, /*On fail goto*//*Label 11484*/ GIMT_Encode4(729901), // Rule ID 12021 //
     /*  729831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  729842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  729845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  729848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  729851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729877 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  729880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729899 */     GIR_RootConstrainSelectedInstOperands,
     /*  729900 */     // GIR_Coverage, 12021,
     /*  729900 */     GIR_EraseRootFromParent_Done,
     /*  729901 */   // Label 11484: @729901
     /*  729901 */   GIM_Try, /*On fail goto*//*Label 11485*/ GIMT_Encode4(729976), // Rule ID 12024 //
     /*  729906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  729917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  729920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  729923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  729926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729952 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  729955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729974 */     GIR_RootConstrainSelectedInstOperands,
     /*  729975 */     // GIR_Coverage, 12024,
     /*  729975 */     GIR_EraseRootFromParent_Done,
     /*  729976 */   // Label 11485: @729976
     /*  729976 */   GIM_Try, /*On fail goto*//*Label 11486*/ GIMT_Encode4(730051), // Rule ID 12025 //
     /*  729981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  729992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  729995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  729998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  730001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730027 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  730030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730049 */     GIR_RootConstrainSelectedInstOperands,
     /*  730050 */     // GIR_Coverage, 12025,
     /*  730050 */     GIR_EraseRootFromParent_Done,
     /*  730051 */   // Label 11486: @730051
     /*  730051 */   GIM_Try, /*On fail goto*//*Label 11487*/ GIMT_Encode4(730126), // Rule ID 12028 //
     /*  730056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  730067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  730070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  730073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  730076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730102 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  730105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730124 */     GIR_RootConstrainSelectedInstOperands,
     /*  730125 */     // GIR_Coverage, 12028,
     /*  730125 */     GIR_EraseRootFromParent_Done,
     /*  730126 */   // Label 11487: @730126
     /*  730126 */   GIM_Try, /*On fail goto*//*Label 11488*/ GIMT_Encode4(730201), // Rule ID 12029 //
     /*  730131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  730142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  730145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  730148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  730151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730177 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  730180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730199 */     GIR_RootConstrainSelectedInstOperands,
     /*  730200 */     // GIR_Coverage, 12029,
     /*  730200 */     GIR_EraseRootFromParent_Done,
     /*  730201 */   // Label 11488: @730201
     /*  730201 */   GIM_Try, /*On fail goto*//*Label 11489*/ GIMT_Encode4(730276), // Rule ID 12032 //
     /*  730206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  730217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  730220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  730223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  730226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  730255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730274 */     GIR_RootConstrainSelectedInstOperands,
     /*  730275 */     // GIR_Coverage, 12032,
     /*  730275 */     GIR_EraseRootFromParent_Done,
     /*  730276 */   // Label 11489: @730276
     /*  730276 */   GIM_Try, /*On fail goto*//*Label 11490*/ GIMT_Encode4(730351), // Rule ID 12033 //
     /*  730281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  730292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  730295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  730298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  730301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730327 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  730330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730349 */     GIR_RootConstrainSelectedInstOperands,
     /*  730350 */     // GIR_Coverage, 12033,
     /*  730350 */     GIR_EraseRootFromParent_Done,
     /*  730351 */   // Label 11490: @730351
     /*  730351 */   GIM_Try, /*On fail goto*//*Label 11491*/ GIMT_Encode4(730426), // Rule ID 12036 //
     /*  730356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  730367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  730370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  730373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  730376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  730405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730424 */     GIR_RootConstrainSelectedInstOperands,
     /*  730425 */     // GIR_Coverage, 12036,
     /*  730425 */     GIR_EraseRootFromParent_Done,
     /*  730426 */   // Label 11491: @730426
     /*  730426 */   GIM_Try, /*On fail goto*//*Label 11492*/ GIMT_Encode4(730501), // Rule ID 12037 //
     /*  730431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  730442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  730445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  730448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  730451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730477 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  730480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730499 */     GIR_RootConstrainSelectedInstOperands,
     /*  730500 */     // GIR_Coverage, 12037,
     /*  730500 */     GIR_EraseRootFromParent_Done,
     /*  730501 */   // Label 11492: @730501
     /*  730501 */   GIM_Try, /*On fail goto*//*Label 11493*/ GIMT_Encode4(730576), // Rule ID 12040 //
     /*  730506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  730517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  730520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  730523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  730526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730552 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  730552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  730555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730574 */     GIR_RootConstrainSelectedInstOperands,
     /*  730575 */     // GIR_Coverage, 12040,
     /*  730575 */     GIR_EraseRootFromParent_Done,
     /*  730576 */   // Label 11493: @730576
     /*  730576 */   GIM_Try, /*On fail goto*//*Label 11494*/ GIMT_Encode4(730651), // Rule ID 12041 //
     /*  730581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  730592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  730595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  730598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  730601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730627 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  730627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  730630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730649 */     GIR_RootConstrainSelectedInstOperands,
     /*  730650 */     // GIR_Coverage, 12041,
     /*  730650 */     GIR_EraseRootFromParent_Done,
     /*  730651 */   // Label 11494: @730651
     /*  730651 */   GIM_Try, /*On fail goto*//*Label 11495*/ GIMT_Encode4(730726), // Rule ID 12044 //
     /*  730656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  730673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  730705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730724 */     GIR_RootConstrainSelectedInstOperands,
     /*  730725 */     // GIR_Coverage, 12044,
     /*  730725 */     GIR_EraseRootFromParent_Done,
     /*  730726 */   // Label 11495: @730726
     /*  730726 */   GIM_Try, /*On fail goto*//*Label 11496*/ GIMT_Encode4(730801), // Rule ID 12045 //
     /*  730731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  730748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  730780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730799 */     GIR_RootConstrainSelectedInstOperands,
     /*  730800 */     // GIR_Coverage, 12045,
     /*  730800 */     GIR_EraseRootFromParent_Done,
     /*  730801 */   // Label 11496: @730801
     /*  730801 */   GIM_Try, /*On fail goto*//*Label 11497*/ GIMT_Encode4(730876), // Rule ID 12048 //
     /*  730806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  730823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  730855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730874 */     GIR_RootConstrainSelectedInstOperands,
     /*  730875 */     // GIR_Coverage, 12048,
     /*  730875 */     GIR_EraseRootFromParent_Done,
     /*  730876 */   // Label 11497: @730876
     /*  730876 */   GIM_Try, /*On fail goto*//*Label 11498*/ GIMT_Encode4(730951), // Rule ID 12049 //
     /*  730881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  730898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  730930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730949 */     GIR_RootConstrainSelectedInstOperands,
     /*  730950 */     // GIR_Coverage, 12049,
     /*  730950 */     GIR_EraseRootFromParent_Done,
     /*  730951 */   // Label 11498: @730951
     /*  730951 */   GIM_Try, /*On fail goto*//*Label 11499*/ GIMT_Encode4(731026), // Rule ID 12052 //
     /*  730956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  730967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  730970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  730973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  730976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  731005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731024 */     GIR_RootConstrainSelectedInstOperands,
     /*  731025 */     // GIR_Coverage, 12052,
     /*  731025 */     GIR_EraseRootFromParent_Done,
     /*  731026 */   // Label 11499: @731026
     /*  731026 */   GIM_Try, /*On fail goto*//*Label 11500*/ GIMT_Encode4(731101), // Rule ID 12053 //
     /*  731031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  731042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  731045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  731048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  731051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  731080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731099 */     GIR_RootConstrainSelectedInstOperands,
     /*  731100 */     // GIR_Coverage, 12053,
     /*  731100 */     GIR_EraseRootFromParent_Done,
     /*  731101 */   // Label 11500: @731101
     /*  731101 */   GIM_Try, /*On fail goto*//*Label 11501*/ GIMT_Encode4(731176), // Rule ID 12056 //
     /*  731106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  731123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  731126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  731155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731174 */     GIR_RootConstrainSelectedInstOperands,
     /*  731175 */     // GIR_Coverage, 12056,
     /*  731175 */     GIR_EraseRootFromParent_Done,
     /*  731176 */   // Label 11501: @731176
     /*  731176 */   GIM_Try, /*On fail goto*//*Label 11502*/ GIMT_Encode4(731251), // Rule ID 12057 //
     /*  731181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  731184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  731198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  731201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  731227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  731230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731249 */     GIR_RootConstrainSelectedInstOperands,
     /*  731250 */     // GIR_Coverage, 12057,
     /*  731250 */     GIR_EraseRootFromParent_Done,
     /*  731251 */   // Label 11502: @731251
     /*  731251 */   GIM_Try, /*On fail goto*//*Label 11503*/ GIMT_Encode4(731326), // Rule ID 12060 //
     /*  731256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  731267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  731270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  731273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  731276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731302 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  731305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731324 */     GIR_RootConstrainSelectedInstOperands,
     /*  731325 */     // GIR_Coverage, 12060,
     /*  731325 */     GIR_EraseRootFromParent_Done,
     /*  731326 */   // Label 11503: @731326
     /*  731326 */   GIM_Try, /*On fail goto*//*Label 11504*/ GIMT_Encode4(731401), // Rule ID 12061 //
     /*  731331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  731342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  731345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  731348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  731351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731377 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  731380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731399 */     GIR_RootConstrainSelectedInstOperands,
     /*  731400 */     // GIR_Coverage, 12061,
     /*  731400 */     GIR_EraseRootFromParent_Done,
     /*  731401 */   // Label 11504: @731401
     /*  731401 */   GIM_Try, /*On fail goto*//*Label 11505*/ GIMT_Encode4(731476), // Rule ID 12064 //
     /*  731406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  731417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  731420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  731423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  731426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731452 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  731455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731474 */     GIR_RootConstrainSelectedInstOperands,
     /*  731475 */     // GIR_Coverage, 12064,
     /*  731475 */     GIR_EraseRootFromParent_Done,
     /*  731476 */   // Label 11505: @731476
     /*  731476 */   GIM_Try, /*On fail goto*//*Label 11506*/ GIMT_Encode4(731551), // Rule ID 12065 //
     /*  731481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  731492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  731495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  731498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  731501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731527 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  731530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731549 */     GIR_RootConstrainSelectedInstOperands,
     /*  731550 */     // GIR_Coverage, 12065,
     /*  731550 */     GIR_EraseRootFromParent_Done,
     /*  731551 */   // Label 11506: @731551
     /*  731551 */   GIM_Try, /*On fail goto*//*Label 11507*/ GIMT_Encode4(731626), // Rule ID 12068 //
     /*  731556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  731567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  731570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  731573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  731576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731602 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  731605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731624 */     GIR_RootConstrainSelectedInstOperands,
     /*  731625 */     // GIR_Coverage, 12068,
     /*  731625 */     GIR_EraseRootFromParent_Done,
     /*  731626 */   // Label 11507: @731626
     /*  731626 */   GIM_Try, /*On fail goto*//*Label 11508*/ GIMT_Encode4(731701), // Rule ID 12069 //
     /*  731631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  731642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  731645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  731648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  731651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731677 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  731680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731699 */     GIR_RootConstrainSelectedInstOperands,
     /*  731700 */     // GIR_Coverage, 12069,
     /*  731700 */     GIR_EraseRootFromParent_Done,
     /*  731701 */   // Label 11508: @731701
     /*  731701 */   GIM_Try, /*On fail goto*//*Label 11509*/ GIMT_Encode4(731776), // Rule ID 12072 //
     /*  731706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  731717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  731720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  731723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  731726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731752 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  731755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731774 */     GIR_RootConstrainSelectedInstOperands,
     /*  731775 */     // GIR_Coverage, 12072,
     /*  731775 */     GIR_EraseRootFromParent_Done,
     /*  731776 */   // Label 11509: @731776
     /*  731776 */   GIM_Try, /*On fail goto*//*Label 11510*/ GIMT_Encode4(731851), // Rule ID 12073 //
     /*  731781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  731792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  731795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  731798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  731801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731827 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  731830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731849 */     GIR_RootConstrainSelectedInstOperands,
     /*  731850 */     // GIR_Coverage, 12073,
     /*  731850 */     GIR_EraseRootFromParent_Done,
     /*  731851 */   // Label 11510: @731851
     /*  731851 */   GIM_Try, /*On fail goto*//*Label 11511*/ GIMT_Encode4(731926), // Rule ID 12076 //
     /*  731856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  731867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  731870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  731873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  731876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731902 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  731905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731924 */     GIR_RootConstrainSelectedInstOperands,
     /*  731925 */     // GIR_Coverage, 12076,
     /*  731925 */     GIR_EraseRootFromParent_Done,
     /*  731926 */   // Label 11511: @731926
     /*  731926 */   GIM_Try, /*On fail goto*//*Label 11512*/ GIMT_Encode4(732001), // Rule ID 12077 //
     /*  731931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  731942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  731945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  731948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  731951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731977 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  731980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731999 */     GIR_RootConstrainSelectedInstOperands,
     /*  732000 */     // GIR_Coverage, 12077,
     /*  732000 */     GIR_EraseRootFromParent_Done,
     /*  732001 */   // Label 11512: @732001
     /*  732001 */   GIM_Try, /*On fail goto*//*Label 11513*/ GIMT_Encode4(732076), // Rule ID 12080 //
     /*  732006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  732017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  732020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  732023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  732026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  732055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732074 */     GIR_RootConstrainSelectedInstOperands,
     /*  732075 */     // GIR_Coverage, 12080,
     /*  732075 */     GIR_EraseRootFromParent_Done,
     /*  732076 */   // Label 11513: @732076
     /*  732076 */   GIM_Try, /*On fail goto*//*Label 11514*/ GIMT_Encode4(732151), // Rule ID 12081 //
     /*  732081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  732092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  732095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  732098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  732101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732127 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  732130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732149 */     GIR_RootConstrainSelectedInstOperands,
     /*  732150 */     // GIR_Coverage, 12081,
     /*  732150 */     GIR_EraseRootFromParent_Done,
     /*  732151 */   // Label 11514: @732151
     /*  732151 */   GIM_Try, /*On fail goto*//*Label 11515*/ GIMT_Encode4(732226), // Rule ID 12084 //
     /*  732156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  732167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  732170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  732173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  732176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  732205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732224 */     GIR_RootConstrainSelectedInstOperands,
     /*  732225 */     // GIR_Coverage, 12084,
     /*  732225 */     GIR_EraseRootFromParent_Done,
     /*  732226 */   // Label 11515: @732226
     /*  732226 */   GIM_Try, /*On fail goto*//*Label 11516*/ GIMT_Encode4(732301), // Rule ID 12085 //
     /*  732231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  732242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  732245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  732248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  732251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  732280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732299 */     GIR_RootConstrainSelectedInstOperands,
     /*  732300 */     // GIR_Coverage, 12085,
     /*  732300 */     GIR_EraseRootFromParent_Done,
     /*  732301 */   // Label 11516: @732301
     /*  732301 */   GIM_Try, /*On fail goto*//*Label 11517*/ GIMT_Encode4(732376), // Rule ID 12088 //
     /*  732306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  732317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  732320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  732323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  732326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732352 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  732355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732374 */     GIR_RootConstrainSelectedInstOperands,
     /*  732375 */     // GIR_Coverage, 12088,
     /*  732375 */     GIR_EraseRootFromParent_Done,
     /*  732376 */   // Label 11517: @732376
     /*  732376 */   GIM_Try, /*On fail goto*//*Label 11518*/ GIMT_Encode4(732451), // Rule ID 12089 //
     /*  732381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  732392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  732395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  732398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  732401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  732430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732449 */     GIR_RootConstrainSelectedInstOperands,
     /*  732450 */     // GIR_Coverage, 12089,
     /*  732450 */     GIR_EraseRootFromParent_Done,
     /*  732451 */   // Label 11518: @732451
     /*  732451 */   GIM_Try, /*On fail goto*//*Label 11519*/ GIMT_Encode4(732526), // Rule ID 12092 //
     /*  732456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  732467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  732470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  732473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  732476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  732505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732524 */     GIR_RootConstrainSelectedInstOperands,
     /*  732525 */     // GIR_Coverage, 12092,
     /*  732525 */     GIR_EraseRootFromParent_Done,
     /*  732526 */   // Label 11519: @732526
     /*  732526 */   GIM_Try, /*On fail goto*//*Label 11520*/ GIMT_Encode4(732601), // Rule ID 12093 //
     /*  732531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  732542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  732545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  732548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  732551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732577 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  732580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732599 */     GIR_RootConstrainSelectedInstOperands,
     /*  732600 */     // GIR_Coverage, 12093,
     /*  732600 */     GIR_EraseRootFromParent_Done,
     /*  732601 */   // Label 11520: @732601
     /*  732601 */   GIM_Try, /*On fail goto*//*Label 11521*/ GIMT_Encode4(732676), // Rule ID 12096 //
     /*  732606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  732617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  732620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  732623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  732626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  732655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732674 */     GIR_RootConstrainSelectedInstOperands,
     /*  732675 */     // GIR_Coverage, 12096,
     /*  732675 */     GIR_EraseRootFromParent_Done,
     /*  732676 */   // Label 11521: @732676
     /*  732676 */   GIM_Try, /*On fail goto*//*Label 11522*/ GIMT_Encode4(732751), // Rule ID 12097 //
     /*  732681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  732692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  732695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  732698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  732701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732727 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  732730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732749 */     GIR_RootConstrainSelectedInstOperands,
     /*  732750 */     // GIR_Coverage, 12097,
     /*  732750 */     GIR_EraseRootFromParent_Done,
     /*  732751 */   // Label 11522: @732751
     /*  732751 */   GIM_Try, /*On fail goto*//*Label 11523*/ GIMT_Encode4(732826), // Rule ID 12100 //
     /*  732756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  732767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  732770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  732773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  732776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732802 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  732805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732824 */     GIR_RootConstrainSelectedInstOperands,
     /*  732825 */     // GIR_Coverage, 12100,
     /*  732825 */     GIR_EraseRootFromParent_Done,
     /*  732826 */   // Label 11523: @732826
     /*  732826 */   GIM_Try, /*On fail goto*//*Label 11524*/ GIMT_Encode4(732901), // Rule ID 12101 //
     /*  732831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  732842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  732845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  732848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  732851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732877 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  732880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732899 */     GIR_RootConstrainSelectedInstOperands,
     /*  732900 */     // GIR_Coverage, 12101,
     /*  732900 */     GIR_EraseRootFromParent_Done,
     /*  732901 */   // Label 11524: @732901
     /*  732901 */   GIM_Try, /*On fail goto*//*Label 11525*/ GIMT_Encode4(732976), // Rule ID 12104 //
     /*  732906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  732917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  732920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  732923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  732926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732952 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  732955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732974 */     GIR_RootConstrainSelectedInstOperands,
     /*  732975 */     // GIR_Coverage, 12104,
     /*  732975 */     GIR_EraseRootFromParent_Done,
     /*  732976 */   // Label 11525: @732976
     /*  732976 */   GIM_Try, /*On fail goto*//*Label 11526*/ GIMT_Encode4(733051), // Rule ID 12105 //
     /*  732981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  732992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  732995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  732998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  733001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733027 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  733030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733049 */     GIR_RootConstrainSelectedInstOperands,
     /*  733050 */     // GIR_Coverage, 12105,
     /*  733050 */     GIR_EraseRootFromParent_Done,
     /*  733051 */   // Label 11526: @733051
     /*  733051 */   GIM_Try, /*On fail goto*//*Label 11527*/ GIMT_Encode4(733126), // Rule ID 12108 //
     /*  733056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  733067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  733070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  733073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733102 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  733105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733124 */     GIR_RootConstrainSelectedInstOperands,
     /*  733125 */     // GIR_Coverage, 12108,
     /*  733125 */     GIR_EraseRootFromParent_Done,
     /*  733126 */   // Label 11527: @733126
     /*  733126 */   GIM_Try, /*On fail goto*//*Label 11528*/ GIMT_Encode4(733201), // Rule ID 12109 //
     /*  733131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  733142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  733145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  733148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733177 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  733180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733199 */     GIR_RootConstrainSelectedInstOperands,
     /*  733200 */     // GIR_Coverage, 12109,
     /*  733200 */     GIR_EraseRootFromParent_Done,
     /*  733201 */   // Label 11528: @733201
     /*  733201 */   GIM_Try, /*On fail goto*//*Label 11529*/ GIMT_Encode4(733276), // Rule ID 12112 //
     /*  733206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  733217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  733220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  733223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733252 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  733255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733274 */     GIR_RootConstrainSelectedInstOperands,
     /*  733275 */     // GIR_Coverage, 12112,
     /*  733275 */     GIR_EraseRootFromParent_Done,
     /*  733276 */   // Label 11529: @733276
     /*  733276 */   GIM_Try, /*On fail goto*//*Label 11530*/ GIMT_Encode4(733351), // Rule ID 12113 //
     /*  733281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  733292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  733295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  733298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733327 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  733330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733349 */     GIR_RootConstrainSelectedInstOperands,
     /*  733350 */     // GIR_Coverage, 12113,
     /*  733350 */     GIR_EraseRootFromParent_Done,
     /*  733351 */   // Label 11530: @733351
     /*  733351 */   GIM_Try, /*On fail goto*//*Label 11531*/ GIMT_Encode4(733426), // Rule ID 12116 //
     /*  733356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  733367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  733370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  733373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733402 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  733405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733424 */     GIR_RootConstrainSelectedInstOperands,
     /*  733425 */     // GIR_Coverage, 12116,
     /*  733425 */     GIR_EraseRootFromParent_Done,
     /*  733426 */   // Label 11531: @733426
     /*  733426 */   GIM_Try, /*On fail goto*//*Label 11532*/ GIMT_Encode4(733501), // Rule ID 12117 //
     /*  733431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  733442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  733445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  733448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733477 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  733480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733499 */     GIR_RootConstrainSelectedInstOperands,
     /*  733500 */     // GIR_Coverage, 12117,
     /*  733500 */     GIR_EraseRootFromParent_Done,
     /*  733501 */   // Label 11532: @733501
     /*  733501 */   GIM_Try, /*On fail goto*//*Label 11533*/ GIMT_Encode4(733576), // Rule ID 12120 //
     /*  733506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  733517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  733520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  733523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  733555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733574 */     GIR_RootConstrainSelectedInstOperands,
     /*  733575 */     // GIR_Coverage, 12120,
     /*  733575 */     GIR_EraseRootFromParent_Done,
     /*  733576 */   // Label 11533: @733576
     /*  733576 */   GIM_Try, /*On fail goto*//*Label 11534*/ GIMT_Encode4(733651), // Rule ID 12121 //
     /*  733581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  733592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  733595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  733598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733627 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  733630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733649 */     GIR_RootConstrainSelectedInstOperands,
     /*  733650 */     // GIR_Coverage, 12121,
     /*  733650 */     GIR_EraseRootFromParent_Done,
     /*  733651 */   // Label 11534: @733651
     /*  733651 */   GIM_Try, /*On fail goto*//*Label 11535*/ GIMT_Encode4(733726), // Rule ID 12124 //
     /*  733656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  733667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  733670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  733673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733702 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  733705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733724 */     GIR_RootConstrainSelectedInstOperands,
     /*  733725 */     // GIR_Coverage, 12124,
     /*  733725 */     GIR_EraseRootFromParent_Done,
     /*  733726 */   // Label 11535: @733726
     /*  733726 */   GIM_Try, /*On fail goto*//*Label 11536*/ GIMT_Encode4(733801), // Rule ID 12125 //
     /*  733731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  733742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  733745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  733748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733777 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  733780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733799 */     GIR_RootConstrainSelectedInstOperands,
     /*  733800 */     // GIR_Coverage, 12125,
     /*  733800 */     GIR_EraseRootFromParent_Done,
     /*  733801 */   // Label 11536: @733801
     /*  733801 */   GIM_Try, /*On fail goto*//*Label 11537*/ GIMT_Encode4(733876), // Rule ID 12128 //
     /*  733806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  733817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  733820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  733823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733852 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  733855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733874 */     GIR_RootConstrainSelectedInstOperands,
     /*  733875 */     // GIR_Coverage, 12128,
     /*  733875 */     GIR_EraseRootFromParent_Done,
     /*  733876 */   // Label 11537: @733876
     /*  733876 */   GIM_Try, /*On fail goto*//*Label 11538*/ GIMT_Encode4(733951), // Rule ID 12129 //
     /*  733881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  733892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  733895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  733898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733927 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  733930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733949 */     GIR_RootConstrainSelectedInstOperands,
     /*  733950 */     // GIR_Coverage, 12129,
     /*  733950 */     GIR_EraseRootFromParent_Done,
     /*  733951 */   // Label 11538: @733951
     /*  733951 */   GIM_Try, /*On fail goto*//*Label 11539*/ GIMT_Encode4(734026), // Rule ID 12132 //
     /*  733956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  733973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  734005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734024 */     GIR_RootConstrainSelectedInstOperands,
     /*  734025 */     // GIR_Coverage, 12132,
     /*  734025 */     GIR_EraseRootFromParent_Done,
     /*  734026 */   // Label 11539: @734026
     /*  734026 */   GIM_Try, /*On fail goto*//*Label 11540*/ GIMT_Encode4(734101), // Rule ID 12133 //
     /*  734031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  734042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  734045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  734048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  734080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734099 */     GIR_RootConstrainSelectedInstOperands,
     /*  734100 */     // GIR_Coverage, 12133,
     /*  734100 */     GIR_EraseRootFromParent_Done,
     /*  734101 */   // Label 11540: @734101
     /*  734101 */   GIM_Try, /*On fail goto*//*Label 11541*/ GIMT_Encode4(734176), // Rule ID 12136 //
     /*  734106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  734117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  734120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  734123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  734155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734174 */     GIR_RootConstrainSelectedInstOperands,
     /*  734175 */     // GIR_Coverage, 12136,
     /*  734175 */     GIR_EraseRootFromParent_Done,
     /*  734176 */   // Label 11541: @734176
     /*  734176 */   GIM_Try, /*On fail goto*//*Label 11542*/ GIMT_Encode4(734251), // Rule ID 12137 //
     /*  734181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  734192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  734195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  734198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734227 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  734230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734249 */     GIR_RootConstrainSelectedInstOperands,
     /*  734250 */     // GIR_Coverage, 12137,
     /*  734250 */     GIR_EraseRootFromParent_Done,
     /*  734251 */   // Label 11542: @734251
     /*  734251 */   GIM_Try, /*On fail goto*//*Label 11543*/ GIMT_Encode4(734326), // Rule ID 12140 //
     /*  734256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  734273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  734305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734324 */     GIR_RootConstrainSelectedInstOperands,
     /*  734325 */     // GIR_Coverage, 12140,
     /*  734325 */     GIR_EraseRootFromParent_Done,
     /*  734326 */   // Label 11543: @734326
     /*  734326 */   GIM_Try, /*On fail goto*//*Label 11544*/ GIMT_Encode4(734401), // Rule ID 12141 //
     /*  734331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  734348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  734380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734399 */     GIR_RootConstrainSelectedInstOperands,
     /*  734400 */     // GIR_Coverage, 12141,
     /*  734400 */     GIR_EraseRootFromParent_Done,
     /*  734401 */   // Label 11544: @734401
     /*  734401 */   GIM_Try, /*On fail goto*//*Label 11545*/ GIMT_Encode4(734476), // Rule ID 12144 //
     /*  734406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  734409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  734423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  734452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  734455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734474 */     GIR_RootConstrainSelectedInstOperands,
     /*  734475 */     // GIR_Coverage, 12144,
     /*  734475 */     GIR_EraseRootFromParent_Done,
     /*  734476 */   // Label 11545: @734476
     /*  734476 */   GIM_Try, /*On fail goto*//*Label 11546*/ GIMT_Encode4(734551), // Rule ID 12145 //
     /*  734481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  734484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  734498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  734527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  734530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734549 */     GIR_RootConstrainSelectedInstOperands,
     /*  734550 */     // GIR_Coverage, 12145,
     /*  734550 */     GIR_EraseRootFromParent_Done,
     /*  734551 */   // Label 11546: @734551
     /*  734551 */   GIM_Try, /*On fail goto*//*Label 11547*/ GIMT_Encode4(734626), // Rule ID 12148 //
     /*  734556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  734567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  734570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  734573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734602 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  734605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734624 */     GIR_RootConstrainSelectedInstOperands,
     /*  734625 */     // GIR_Coverage, 12148,
     /*  734625 */     GIR_EraseRootFromParent_Done,
     /*  734626 */   // Label 11547: @734626
     /*  734626 */   GIM_Try, /*On fail goto*//*Label 11548*/ GIMT_Encode4(734701), // Rule ID 12149 //
     /*  734631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  734642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  734645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  734648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734677 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  734680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734699 */     GIR_RootConstrainSelectedInstOperands,
     /*  734700 */     // GIR_Coverage, 12149,
     /*  734700 */     GIR_EraseRootFromParent_Done,
     /*  734701 */   // Label 11548: @734701
     /*  734701 */   GIM_Try, /*On fail goto*//*Label 11549*/ GIMT_Encode4(734776), // Rule ID 12152 //
     /*  734706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  734717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  734720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  734723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734752 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  734755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734774 */     GIR_RootConstrainSelectedInstOperands,
     /*  734775 */     // GIR_Coverage, 12152,
     /*  734775 */     GIR_EraseRootFromParent_Done,
     /*  734776 */   // Label 11549: @734776
     /*  734776 */   GIM_Try, /*On fail goto*//*Label 11550*/ GIMT_Encode4(734851), // Rule ID 12153 //
     /*  734781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  734792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  734795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  734798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734827 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  734830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734849 */     GIR_RootConstrainSelectedInstOperands,
     /*  734850 */     // GIR_Coverage, 12153,
     /*  734850 */     GIR_EraseRootFromParent_Done,
     /*  734851 */   // Label 11550: @734851
     /*  734851 */   GIM_Try, /*On fail goto*//*Label 11551*/ GIMT_Encode4(734926), // Rule ID 12156 //
     /*  734856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  734867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  734870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  734873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734902 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  734905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734924 */     GIR_RootConstrainSelectedInstOperands,
     /*  734925 */     // GIR_Coverage, 12156,
     /*  734925 */     GIR_EraseRootFromParent_Done,
     /*  734926 */   // Label 11551: @734926
     /*  734926 */   GIM_Try, /*On fail goto*//*Label 11552*/ GIMT_Encode4(735001), // Rule ID 12157 //
     /*  734931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  734942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  734945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  734948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734977 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  734980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734999 */     GIR_RootConstrainSelectedInstOperands,
     /*  735000 */     // GIR_Coverage, 12157,
     /*  735000 */     GIR_EraseRootFromParent_Done,
     /*  735001 */   // Label 11552: @735001
     /*  735001 */   GIM_Try, /*On fail goto*//*Label 11553*/ GIMT_Encode4(735076), // Rule ID 12160 //
     /*  735006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  735017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  735020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  735023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735052 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  735055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735074 */     GIR_RootConstrainSelectedInstOperands,
     /*  735075 */     // GIR_Coverage, 12160,
     /*  735075 */     GIR_EraseRootFromParent_Done,
     /*  735076 */   // Label 11553: @735076
     /*  735076 */   GIM_Try, /*On fail goto*//*Label 11554*/ GIMT_Encode4(735151), // Rule ID 12161 //
     /*  735081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  735092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  735095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  735098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735127 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  735130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735149 */     GIR_RootConstrainSelectedInstOperands,
     /*  735150 */     // GIR_Coverage, 12161,
     /*  735150 */     GIR_EraseRootFromParent_Done,
     /*  735151 */   // Label 11554: @735151
     /*  735151 */   GIM_Try, /*On fail goto*//*Label 11555*/ GIMT_Encode4(735226), // Rule ID 12164 //
     /*  735156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  735167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  735170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  735173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  735205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735224 */     GIR_RootConstrainSelectedInstOperands,
     /*  735225 */     // GIR_Coverage, 12164,
     /*  735225 */     GIR_EraseRootFromParent_Done,
     /*  735226 */   // Label 11555: @735226
     /*  735226 */   GIM_Try, /*On fail goto*//*Label 11556*/ GIMT_Encode4(735301), // Rule ID 12165 //
     /*  735231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  735242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  735245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  735248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735277 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  735280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735299 */     GIR_RootConstrainSelectedInstOperands,
     /*  735300 */     // GIR_Coverage, 12165,
     /*  735300 */     GIR_EraseRootFromParent_Done,
     /*  735301 */   // Label 11556: @735301
     /*  735301 */   GIM_Try, /*On fail goto*//*Label 11557*/ GIMT_Encode4(735376), // Rule ID 12168 //
     /*  735306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  735317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  735320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  735323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735352 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  735355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735374 */     GIR_RootConstrainSelectedInstOperands,
     /*  735375 */     // GIR_Coverage, 12168,
     /*  735375 */     GIR_EraseRootFromParent_Done,
     /*  735376 */   // Label 11557: @735376
     /*  735376 */   GIM_Try, /*On fail goto*//*Label 11558*/ GIMT_Encode4(735451), // Rule ID 12169 //
     /*  735381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  735392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  735395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  735398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735427 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  735430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735449 */     GIR_RootConstrainSelectedInstOperands,
     /*  735450 */     // GIR_Coverage, 12169,
     /*  735450 */     GIR_EraseRootFromParent_Done,
     /*  735451 */   // Label 11558: @735451
     /*  735451 */   GIM_Try, /*On fail goto*//*Label 11559*/ GIMT_Encode4(735526), // Rule ID 12172 //
     /*  735456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  735467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  735470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  735473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  735505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735524 */     GIR_RootConstrainSelectedInstOperands,
     /*  735525 */     // GIR_Coverage, 12172,
     /*  735525 */     GIR_EraseRootFromParent_Done,
     /*  735526 */   // Label 11559: @735526
     /*  735526 */   GIM_Try, /*On fail goto*//*Label 11560*/ GIMT_Encode4(735601), // Rule ID 12173 //
     /*  735531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  735542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  735545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  735548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  735580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735599 */     GIR_RootConstrainSelectedInstOperands,
     /*  735600 */     // GIR_Coverage, 12173,
     /*  735600 */     GIR_EraseRootFromParent_Done,
     /*  735601 */   // Label 11560: @735601
     /*  735601 */   GIM_Try, /*On fail goto*//*Label 11561*/ GIMT_Encode4(735676), // Rule ID 12176 //
     /*  735606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  735617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  735620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  735623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735652 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  735655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735674 */     GIR_RootConstrainSelectedInstOperands,
     /*  735675 */     // GIR_Coverage, 12176,
     /*  735675 */     GIR_EraseRootFromParent_Done,
     /*  735676 */   // Label 11561: @735676
     /*  735676 */   GIM_Try, /*On fail goto*//*Label 11562*/ GIMT_Encode4(735751), // Rule ID 12177 //
     /*  735681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  735692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  735695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  735698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  735730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735749 */     GIR_RootConstrainSelectedInstOperands,
     /*  735750 */     // GIR_Coverage, 12177,
     /*  735750 */     GIR_EraseRootFromParent_Done,
     /*  735751 */   // Label 11562: @735751
     /*  735751 */   GIM_Try, /*On fail goto*//*Label 11563*/ GIMT_Encode4(735826), // Rule ID 12180 //
     /*  735756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  735767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  735770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  735773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735802 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  735805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735824 */     GIR_RootConstrainSelectedInstOperands,
     /*  735825 */     // GIR_Coverage, 12180,
     /*  735825 */     GIR_EraseRootFromParent_Done,
     /*  735826 */   // Label 11563: @735826
     /*  735826 */   GIM_Try, /*On fail goto*//*Label 11564*/ GIMT_Encode4(735901), // Rule ID 12181 //
     /*  735831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  735842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  735845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  735848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735877 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  735880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735899 */     GIR_RootConstrainSelectedInstOperands,
     /*  735900 */     // GIR_Coverage, 12181,
     /*  735900 */     GIR_EraseRootFromParent_Done,
     /*  735901 */   // Label 11564: @735901
     /*  735901 */   GIM_Try, /*On fail goto*//*Label 11565*/ GIMT_Encode4(735976), // Rule ID 12184 //
     /*  735906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  735917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  735920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  735923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735952 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  735955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735974 */     GIR_RootConstrainSelectedInstOperands,
     /*  735975 */     // GIR_Coverage, 12184,
     /*  735975 */     GIR_EraseRootFromParent_Done,
     /*  735976 */   // Label 11565: @735976
     /*  735976 */   GIM_Try, /*On fail goto*//*Label 11566*/ GIMT_Encode4(736051), // Rule ID 12185 //
     /*  735981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  735992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  735995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  735998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  736001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736027 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  736030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736049 */     GIR_RootConstrainSelectedInstOperands,
     /*  736050 */     // GIR_Coverage, 12185,
     /*  736050 */     GIR_EraseRootFromParent_Done,
     /*  736051 */   // Label 11566: @736051
     /*  736051 */   GIM_Try, /*On fail goto*//*Label 11567*/ GIMT_Encode4(736126), // Rule ID 12188 //
     /*  736056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  736067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  736070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  736073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  736076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736102 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  736105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736124 */     GIR_RootConstrainSelectedInstOperands,
     /*  736125 */     // GIR_Coverage, 12188,
     /*  736125 */     GIR_EraseRootFromParent_Done,
     /*  736126 */   // Label 11567: @736126
     /*  736126 */   GIM_Try, /*On fail goto*//*Label 11568*/ GIMT_Encode4(736201), // Rule ID 12189 //
     /*  736131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  736142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  736145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  736148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  736151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736177 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  736180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736199 */     GIR_RootConstrainSelectedInstOperands,
     /*  736200 */     // GIR_Coverage, 12189,
     /*  736200 */     GIR_EraseRootFromParent_Done,
     /*  736201 */   // Label 11568: @736201
     /*  736201 */   GIM_Try, /*On fail goto*//*Label 11569*/ GIMT_Encode4(736276), // Rule ID 12192 //
     /*  736206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  736217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  736220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  736223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  736226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736252 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  736255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736274 */     GIR_RootConstrainSelectedInstOperands,
     /*  736275 */     // GIR_Coverage, 12192,
     /*  736275 */     GIR_EraseRootFromParent_Done,
     /*  736276 */   // Label 11569: @736276
     /*  736276 */   GIM_Try, /*On fail goto*//*Label 11570*/ GIMT_Encode4(736351), // Rule ID 12193 //
     /*  736281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  736292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  736295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  736298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  736301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736327 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  736330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736349 */     GIR_RootConstrainSelectedInstOperands,
     /*  736350 */     // GIR_Coverage, 12193,
     /*  736350 */     GIR_EraseRootFromParent_Done,
     /*  736351 */   // Label 11570: @736351
     /*  736351 */   GIM_Try, /*On fail goto*//*Label 11571*/ GIMT_Encode4(736426), // Rule ID 12196 //
     /*  736356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  736367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  736370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  736373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  736376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736402 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  736405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736424 */     GIR_RootConstrainSelectedInstOperands,
     /*  736425 */     // GIR_Coverage, 12196,
     /*  736425 */     GIR_EraseRootFromParent_Done,
     /*  736426 */   // Label 11571: @736426
     /*  736426 */   GIM_Try, /*On fail goto*//*Label 11572*/ GIMT_Encode4(736501), // Rule ID 12197 //
     /*  736431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  736442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  736445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  736448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  736451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736477 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  736480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736499 */     GIR_RootConstrainSelectedInstOperands,
     /*  736500 */     // GIR_Coverage, 12197,
     /*  736500 */     GIR_EraseRootFromParent_Done,
     /*  736501 */   // Label 11572: @736501
     /*  736501 */   GIM_Try, /*On fail goto*//*Label 11573*/ GIMT_Encode4(736576), // Rule ID 12200 //
     /*  736506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  736517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  736520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  736523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  736526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736552 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  736555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736574 */     GIR_RootConstrainSelectedInstOperands,
     /*  736575 */     // GIR_Coverage, 12200,
     /*  736575 */     GIR_EraseRootFromParent_Done,
     /*  736576 */   // Label 11573: @736576
     /*  736576 */   GIM_Try, /*On fail goto*//*Label 11574*/ GIMT_Encode4(736651), // Rule ID 12201 //
     /*  736581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  736592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  736595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  736598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  736601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736627 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  736630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736649 */     GIR_RootConstrainSelectedInstOperands,
     /*  736650 */     // GIR_Coverage, 12201,
     /*  736650 */     GIR_EraseRootFromParent_Done,
     /*  736651 */   // Label 11574: @736651
     /*  736651 */   GIM_Try, /*On fail goto*//*Label 11575*/ GIMT_Encode4(736726), // Rule ID 12204 //
     /*  736656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  736667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  736670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  736673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  736676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736702 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  736705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736724 */     GIR_RootConstrainSelectedInstOperands,
     /*  736725 */     // GIR_Coverage, 12204,
     /*  736725 */     GIR_EraseRootFromParent_Done,
     /*  736726 */   // Label 11575: @736726
     /*  736726 */   GIM_Try, /*On fail goto*//*Label 11576*/ GIMT_Encode4(736801), // Rule ID 12205 //
     /*  736731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  736742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  736745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  736748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  736751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736777 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  736780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736799 */     GIR_RootConstrainSelectedInstOperands,
     /*  736800 */     // GIR_Coverage, 12205,
     /*  736800 */     GIR_EraseRootFromParent_Done,
     /*  736801 */   // Label 11576: @736801
     /*  736801 */   GIM_Try, /*On fail goto*//*Label 11577*/ GIMT_Encode4(736876), // Rule ID 12208 //
     /*  736806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  736817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  736820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  736823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  736826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  736855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736874 */     GIR_RootConstrainSelectedInstOperands,
     /*  736875 */     // GIR_Coverage, 12208,
     /*  736875 */     GIR_EraseRootFromParent_Done,
     /*  736876 */   // Label 11577: @736876
     /*  736876 */   GIM_Try, /*On fail goto*//*Label 11578*/ GIMT_Encode4(736951), // Rule ID 12209 //
     /*  736881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  736892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  736895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  736898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  736901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736927 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  736930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736949 */     GIR_RootConstrainSelectedInstOperands,
     /*  736950 */     // GIR_Coverage, 12209,
     /*  736950 */     GIR_EraseRootFromParent_Done,
     /*  736951 */   // Label 11578: @736951
     /*  736951 */   GIM_Try, /*On fail goto*//*Label 11579*/ GIMT_Encode4(737026), // Rule ID 12212 //
     /*  736956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  736967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  736970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  736973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  736976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737002 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  737005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737024 */     GIR_RootConstrainSelectedInstOperands,
     /*  737025 */     // GIR_Coverage, 12212,
     /*  737025 */     GIR_EraseRootFromParent_Done,
     /*  737026 */   // Label 11579: @737026
     /*  737026 */   GIM_Try, /*On fail goto*//*Label 11580*/ GIMT_Encode4(737101), // Rule ID 12213 //
     /*  737031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  737042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  737045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  737048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  737051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737077 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  737080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737099 */     GIR_RootConstrainSelectedInstOperands,
     /*  737100 */     // GIR_Coverage, 12213,
     /*  737100 */     GIR_EraseRootFromParent_Done,
     /*  737101 */   // Label 11580: @737101
     /*  737101 */   GIM_Try, /*On fail goto*//*Label 11581*/ GIMT_Encode4(737176), // Rule ID 12216 //
     /*  737106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  737117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  737120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  737123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  737126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  737155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737174 */     GIR_RootConstrainSelectedInstOperands,
     /*  737175 */     // GIR_Coverage, 12216,
     /*  737175 */     GIR_EraseRootFromParent_Done,
     /*  737176 */   // Label 11581: @737176
     /*  737176 */   GIM_Try, /*On fail goto*//*Label 11582*/ GIMT_Encode4(737251), // Rule ID 12217 //
     /*  737181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  737192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  737195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  737198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  737201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  737230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737249 */     GIR_RootConstrainSelectedInstOperands,
     /*  737250 */     // GIR_Coverage, 12217,
     /*  737250 */     GIR_EraseRootFromParent_Done,
     /*  737251 */   // Label 11582: @737251
     /*  737251 */   GIM_Try, /*On fail goto*//*Label 11583*/ GIMT_Encode4(737326), // Rule ID 12220 //
     /*  737256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  737267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  737270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  737273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  737276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  737305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737324 */     GIR_RootConstrainSelectedInstOperands,
     /*  737325 */     // GIR_Coverage, 12220,
     /*  737325 */     GIR_EraseRootFromParent_Done,
     /*  737326 */   // Label 11583: @737326
     /*  737326 */   GIM_Try, /*On fail goto*//*Label 11584*/ GIMT_Encode4(737401), // Rule ID 12221 //
     /*  737331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  737342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  737345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  737348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  737351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  737380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737399 */     GIR_RootConstrainSelectedInstOperands,
     /*  737400 */     // GIR_Coverage, 12221,
     /*  737400 */     GIR_EraseRootFromParent_Done,
     /*  737401 */   // Label 11584: @737401
     /*  737401 */   GIM_Try, /*On fail goto*//*Label 11585*/ GIMT_Encode4(737476), // Rule ID 12224 //
     /*  737406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  737423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  737426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  737455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737474 */     GIR_RootConstrainSelectedInstOperands,
     /*  737475 */     // GIR_Coverage, 12224,
     /*  737475 */     GIR_EraseRootFromParent_Done,
     /*  737476 */   // Label 11585: @737476
     /*  737476 */   GIM_Try, /*On fail goto*//*Label 11586*/ GIMT_Encode4(737551), // Rule ID 12225 //
     /*  737481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  737498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  737501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  737530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737549 */     GIR_RootConstrainSelectedInstOperands,
     /*  737550 */     // GIR_Coverage, 12225,
     /*  737550 */     GIR_EraseRootFromParent_Done,
     /*  737551 */   // Label 11586: @737551
     /*  737551 */   GIM_Try, /*On fail goto*//*Label 11587*/ GIMT_Encode4(737626), // Rule ID 12228 //
     /*  737556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  737573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  737576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  737605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737624 */     GIR_RootConstrainSelectedInstOperands,
     /*  737625 */     // GIR_Coverage, 12228,
     /*  737625 */     GIR_EraseRootFromParent_Done,
     /*  737626 */   // Label 11587: @737626
     /*  737626 */   GIM_Try, /*On fail goto*//*Label 11588*/ GIMT_Encode4(737701), // Rule ID 12229 //
     /*  737631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  737648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  737651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  737680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737699 */     GIR_RootConstrainSelectedInstOperands,
     /*  737700 */     // GIR_Coverage, 12229,
     /*  737700 */     GIR_EraseRootFromParent_Done,
     /*  737701 */   // Label 11588: @737701
     /*  737701 */   GIM_Try, /*On fail goto*//*Label 11589*/ GIMT_Encode4(737776), // Rule ID 12232 //
     /*  737706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  737709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  737723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  737726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  737752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  737755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737774 */     GIR_RootConstrainSelectedInstOperands,
     /*  737775 */     // GIR_Coverage, 12232,
     /*  737775 */     GIR_EraseRootFromParent_Done,
     /*  737776 */   // Label 11589: @737776
     /*  737776 */   GIM_Try, /*On fail goto*//*Label 11590*/ GIMT_Encode4(737851), // Rule ID 12233 //
     /*  737781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  737784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  737798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  737801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  737827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  737830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737849 */     GIR_RootConstrainSelectedInstOperands,
     /*  737850 */     // GIR_Coverage, 12233,
     /*  737850 */     GIR_EraseRootFromParent_Done,
     /*  737851 */   // Label 11590: @737851
     /*  737851 */   GIM_Try, /*On fail goto*//*Label 11591*/ GIMT_Encode4(737926), // Rule ID 12236 //
     /*  737856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  737867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  737870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  737873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  737876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737902 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  737905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737924 */     GIR_RootConstrainSelectedInstOperands,
     /*  737925 */     // GIR_Coverage, 12236,
     /*  737925 */     GIR_EraseRootFromParent_Done,
     /*  737926 */   // Label 11591: @737926
     /*  737926 */   GIM_Try, /*On fail goto*//*Label 11592*/ GIMT_Encode4(738001), // Rule ID 12237 //
     /*  737931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  737942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  737945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  737948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  737951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737977 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  737980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737999 */     GIR_RootConstrainSelectedInstOperands,
     /*  738000 */     // GIR_Coverage, 12237,
     /*  738000 */     GIR_EraseRootFromParent_Done,
     /*  738001 */   // Label 11592: @738001
     /*  738001 */   GIM_Try, /*On fail goto*//*Label 11593*/ GIMT_Encode4(738076), // Rule ID 12240 //
     /*  738006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  738017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  738020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  738023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  738026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738052 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  738055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738074 */     GIR_RootConstrainSelectedInstOperands,
     /*  738075 */     // GIR_Coverage, 12240,
     /*  738075 */     GIR_EraseRootFromParent_Done,
     /*  738076 */   // Label 11593: @738076
     /*  738076 */   GIM_Try, /*On fail goto*//*Label 11594*/ GIMT_Encode4(738151), // Rule ID 12241 //
     /*  738081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  738092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  738095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  738098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  738101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738127 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  738130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738149 */     GIR_RootConstrainSelectedInstOperands,
     /*  738150 */     // GIR_Coverage, 12241,
     /*  738150 */     GIR_EraseRootFromParent_Done,
     /*  738151 */   // Label 11594: @738151
     /*  738151 */   GIM_Try, /*On fail goto*//*Label 11595*/ GIMT_Encode4(738226), // Rule ID 12244 //
     /*  738156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  738167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  738170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  738173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  738176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738202 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  738205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738224 */     GIR_RootConstrainSelectedInstOperands,
     /*  738225 */     // GIR_Coverage, 12244,
     /*  738225 */     GIR_EraseRootFromParent_Done,
     /*  738226 */   // Label 11595: @738226
     /*  738226 */   GIM_Try, /*On fail goto*//*Label 11596*/ GIMT_Encode4(738301), // Rule ID 12245 //
     /*  738231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  738242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  738245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  738248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  738251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738277 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  738280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738299 */     GIR_RootConstrainSelectedInstOperands,
     /*  738300 */     // GIR_Coverage, 12245,
     /*  738300 */     GIR_EraseRootFromParent_Done,
     /*  738301 */   // Label 11596: @738301
     /*  738301 */   GIM_Try, /*On fail goto*//*Label 11597*/ GIMT_Encode4(738376), // Rule ID 12248 //
     /*  738306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  738317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  738320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  738323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  738326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738352 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  738355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738374 */     GIR_RootConstrainSelectedInstOperands,
     /*  738375 */     // GIR_Coverage, 12248,
     /*  738375 */     GIR_EraseRootFromParent_Done,
     /*  738376 */   // Label 11597: @738376
     /*  738376 */   GIM_Try, /*On fail goto*//*Label 11598*/ GIMT_Encode4(738451), // Rule ID 12249 //
     /*  738381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  738392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  738395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  738398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  738401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738427 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  738430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738449 */     GIR_RootConstrainSelectedInstOperands,
     /*  738450 */     // GIR_Coverage, 12249,
     /*  738450 */     GIR_EraseRootFromParent_Done,
     /*  738451 */   // Label 11598: @738451
     /*  738451 */   GIM_Try, /*On fail goto*//*Label 11599*/ GIMT_Encode4(738526), // Rule ID 12252 //
     /*  738456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  738467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  738470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  738473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  738476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738502 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  738505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738524 */     GIR_RootConstrainSelectedInstOperands,
     /*  738525 */     // GIR_Coverage, 12252,
     /*  738525 */     GIR_EraseRootFromParent_Done,
     /*  738526 */   // Label 11599: @738526
     /*  738526 */   GIM_Try, /*On fail goto*//*Label 11600*/ GIMT_Encode4(738601), // Rule ID 12253 //
     /*  738531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  738542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  738545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  738548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  738551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738577 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  738580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738599 */     GIR_RootConstrainSelectedInstOperands,
     /*  738600 */     // GIR_Coverage, 12253,
     /*  738600 */     GIR_EraseRootFromParent_Done,
     /*  738601 */   // Label 11600: @738601
     /*  738601 */   GIM_Try, /*On fail goto*//*Label 11601*/ GIMT_Encode4(738676), // Rule ID 12256 //
     /*  738606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  738617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  738620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  738623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  738626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  738655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738674 */     GIR_RootConstrainSelectedInstOperands,
     /*  738675 */     // GIR_Coverage, 12256,
     /*  738675 */     GIR_EraseRootFromParent_Done,
     /*  738676 */   // Label 11601: @738676
     /*  738676 */   GIM_Try, /*On fail goto*//*Label 11602*/ GIMT_Encode4(738751), // Rule ID 12257 //
     /*  738681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  738692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  738695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  738698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  738701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738727 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  738730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738749 */     GIR_RootConstrainSelectedInstOperands,
     /*  738750 */     // GIR_Coverage, 12257,
     /*  738750 */     GIR_EraseRootFromParent_Done,
     /*  738751 */   // Label 11602: @738751
     /*  738751 */   GIM_Try, /*On fail goto*//*Label 11603*/ GIMT_Encode4(738826), // Rule ID 12260 //
     /*  738756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  738767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  738770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  738773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  738776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  738805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738824 */     GIR_RootConstrainSelectedInstOperands,
     /*  738825 */     // GIR_Coverage, 12260,
     /*  738825 */     GIR_EraseRootFromParent_Done,
     /*  738826 */   // Label 11603: @738826
     /*  738826 */   GIM_Try, /*On fail goto*//*Label 11604*/ GIMT_Encode4(738901), // Rule ID 12261 //
     /*  738831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  738842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  738845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  738848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  738851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738877 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  738880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738899 */     GIR_RootConstrainSelectedInstOperands,
     /*  738900 */     // GIR_Coverage, 12261,
     /*  738900 */     GIR_EraseRootFromParent_Done,
     /*  738901 */   // Label 11604: @738901
     /*  738901 */   GIM_Try, /*On fail goto*//*Label 11605*/ GIMT_Encode4(738976), // Rule ID 12264 //
     /*  738906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  738917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  738920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  738923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  738926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738952 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  738955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738974 */     GIR_RootConstrainSelectedInstOperands,
     /*  738975 */     // GIR_Coverage, 12264,
     /*  738975 */     GIR_EraseRootFromParent_Done,
     /*  738976 */   // Label 11605: @738976
     /*  738976 */   GIM_Try, /*On fail goto*//*Label 11606*/ GIMT_Encode4(739051), // Rule ID 12265 //
     /*  738981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  738992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  738995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  738998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  739001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  739030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739049 */     GIR_RootConstrainSelectedInstOperands,
     /*  739050 */     // GIR_Coverage, 12265,
     /*  739050 */     GIR_EraseRootFromParent_Done,
     /*  739051 */   // Label 11606: @739051
     /*  739051 */   GIM_Try, /*On fail goto*//*Label 11607*/ GIMT_Encode4(739126), // Rule ID 12268 //
     /*  739056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  739067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  739070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  739073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  739076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  739105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739124 */     GIR_RootConstrainSelectedInstOperands,
     /*  739125 */     // GIR_Coverage, 12268,
     /*  739125 */     GIR_EraseRootFromParent_Done,
     /*  739126 */   // Label 11607: @739126
     /*  739126 */   GIM_Try, /*On fail goto*//*Label 11608*/ GIMT_Encode4(739201), // Rule ID 12269 //
     /*  739131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  739142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  739145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  739148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  739151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739177 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  739180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739199 */     GIR_RootConstrainSelectedInstOperands,
     /*  739200 */     // GIR_Coverage, 12269,
     /*  739200 */     GIR_EraseRootFromParent_Done,
     /*  739201 */   // Label 11608: @739201
     /*  739201 */   GIM_Try, /*On fail goto*//*Label 11609*/ GIMT_Encode4(739276), // Rule ID 12272 //
     /*  739206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  739217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  739220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  739223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  739226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  739252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  739255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739274 */     GIR_RootConstrainSelectedInstOperands,
     /*  739275 */     // GIR_Coverage, 12272,
     /*  739275 */     GIR_EraseRootFromParent_Done,
     /*  739276 */   // Label 11609: @739276
     /*  739276 */   GIM_Try, /*On fail goto*//*Label 11610*/ GIMT_Encode4(739351), // Rule ID 12273 //
     /*  739281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  739284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  739292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  739295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  739298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  739301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739327 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  739327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  739330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739349 */     GIR_RootConstrainSelectedInstOperands,
     /*  739350 */     // GIR_Coverage, 12273,
     /*  739350 */     GIR_EraseRootFromParent_Done,
     /*  739351 */   // Label 11610: @739351
     /*  739351 */   GIM_Try, /*On fail goto*//*Label 11611*/ GIMT_Encode4(739426), // Rule ID 12276 //
     /*  739356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  739367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  739370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  739373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  739376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  739402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  739405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739424 */     GIR_RootConstrainSelectedInstOperands,
     /*  739425 */     // GIR_Coverage, 12276,
     /*  739425 */     GIR_EraseRootFromParent_Done,
     /*  739426 */   // Label 11611: @739426
     /*  739426 */   GIM_Try, /*On fail goto*//*Label 11612*/ GIMT_Encode4(739501), // Rule ID 12277 //
     /*  739431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  739434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  739442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  739445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  739448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  739451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739477 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  739477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  739480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739499 */     GIR_RootConstrainSelectedInstOperands,
     /*  739500 */     // GIR_Coverage, 12277,
     /*  739500 */     GIR_EraseRootFromParent_Done,
     /*  739501 */   // Label 11612: @739501
     /*  739501 */   GIM_Try, /*On fail goto*//*Label 11613*/ GIMT_Encode4(739576), // Rule ID 12280 //
     /*  739506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  739517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  739520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  739523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  739526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739552 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  739552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  739555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739574 */     GIR_RootConstrainSelectedInstOperands,
     /*  739575 */     // GIR_Coverage, 12280,
     /*  739575 */     GIR_EraseRootFromParent_Done,
     /*  739576 */   // Label 11613: @739576
     /*  739576 */   GIM_Try, /*On fail goto*//*Label 11614*/ GIMT_Encode4(739651), // Rule ID 12281 //
     /*  739581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  739584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  739592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  739595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  739598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  739601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739627 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  739627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  739630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739649 */     GIR_RootConstrainSelectedInstOperands,
     /*  739650 */     // GIR_Coverage, 12281,
     /*  739650 */     GIR_EraseRootFromParent_Done,
     /*  739651 */   // Label 11614: @739651
     /*  739651 */   GIM_Try, /*On fail goto*//*Label 11615*/ GIMT_Encode4(739726), // Rule ID 12284 //
     /*  739656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  739667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  739670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  739673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739702 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  739705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739724 */     GIR_RootConstrainSelectedInstOperands,
     /*  739725 */     // GIR_Coverage, 12284,
     /*  739725 */     GIR_EraseRootFromParent_Done,
     /*  739726 */   // Label 11615: @739726
     /*  739726 */   GIM_Try, /*On fail goto*//*Label 11616*/ GIMT_Encode4(739801), // Rule ID 12285 //
     /*  739731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  739742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  739745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  739748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739777 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  739780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739799 */     GIR_RootConstrainSelectedInstOperands,
     /*  739800 */     // GIR_Coverage, 12285,
     /*  739800 */     GIR_EraseRootFromParent_Done,
     /*  739801 */   // Label 11616: @739801
     /*  739801 */   GIM_Try, /*On fail goto*//*Label 11617*/ GIMT_Encode4(739876), // Rule ID 12288 //
     /*  739806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  739817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  739820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  739823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  739855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739874 */     GIR_RootConstrainSelectedInstOperands,
     /*  739875 */     // GIR_Coverage, 12288,
     /*  739875 */     GIR_EraseRootFromParent_Done,
     /*  739876 */   // Label 11617: @739876
     /*  739876 */   GIM_Try, /*On fail goto*//*Label 11618*/ GIMT_Encode4(739951), // Rule ID 12289 //
     /*  739881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  739892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  739895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  739898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739927 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  739930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739949 */     GIR_RootConstrainSelectedInstOperands,
     /*  739950 */     // GIR_Coverage, 12289,
     /*  739950 */     GIR_EraseRootFromParent_Done,
     /*  739951 */   // Label 11618: @739951
     /*  739951 */   GIM_Try, /*On fail goto*//*Label 11619*/ GIMT_Encode4(740026), // Rule ID 12292 //
     /*  739956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  739967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  739970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  739973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740002 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  740005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740024 */     GIR_RootConstrainSelectedInstOperands,
     /*  740025 */     // GIR_Coverage, 12292,
     /*  740025 */     GIR_EraseRootFromParent_Done,
     /*  740026 */   // Label 11619: @740026
     /*  740026 */   GIM_Try, /*On fail goto*//*Label 11620*/ GIMT_Encode4(740101), // Rule ID 12293 //
     /*  740031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  740042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  740045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  740048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740077 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  740080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740099 */     GIR_RootConstrainSelectedInstOperands,
     /*  740100 */     // GIR_Coverage, 12293,
     /*  740100 */     GIR_EraseRootFromParent_Done,
     /*  740101 */   // Label 11620: @740101
     /*  740101 */   GIM_Try, /*On fail goto*//*Label 11621*/ GIMT_Encode4(740176), // Rule ID 12296 //
     /*  740106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  740117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  740120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  740123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  740155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740174 */     GIR_RootConstrainSelectedInstOperands,
     /*  740175 */     // GIR_Coverage, 12296,
     /*  740175 */     GIR_EraseRootFromParent_Done,
     /*  740176 */   // Label 11621: @740176
     /*  740176 */   GIM_Try, /*On fail goto*//*Label 11622*/ GIMT_Encode4(740251), // Rule ID 12297 //
     /*  740181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  740192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  740195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  740198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740227 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  740230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740249 */     GIR_RootConstrainSelectedInstOperands,
     /*  740250 */     // GIR_Coverage, 12297,
     /*  740250 */     GIR_EraseRootFromParent_Done,
     /*  740251 */   // Label 11622: @740251
     /*  740251 */   GIM_Try, /*On fail goto*//*Label 11623*/ GIMT_Encode4(740326), // Rule ID 12300 //
     /*  740256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  740267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  740270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  740273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740302 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  740305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740324 */     GIR_RootConstrainSelectedInstOperands,
     /*  740325 */     // GIR_Coverage, 12300,
     /*  740325 */     GIR_EraseRootFromParent_Done,
     /*  740326 */   // Label 11623: @740326
     /*  740326 */   GIM_Try, /*On fail goto*//*Label 11624*/ GIMT_Encode4(740401), // Rule ID 12301 //
     /*  740331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  740342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  740345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  740348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740377 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  740380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740399 */     GIR_RootConstrainSelectedInstOperands,
     /*  740400 */     // GIR_Coverage, 12301,
     /*  740400 */     GIR_EraseRootFromParent_Done,
     /*  740401 */   // Label 11624: @740401
     /*  740401 */   GIM_Try, /*On fail goto*//*Label 11625*/ GIMT_Encode4(740476), // Rule ID 12304 //
     /*  740406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  740417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  740420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  740423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  740455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740474 */     GIR_RootConstrainSelectedInstOperands,
     /*  740475 */     // GIR_Coverage, 12304,
     /*  740475 */     GIR_EraseRootFromParent_Done,
     /*  740476 */   // Label 11625: @740476
     /*  740476 */   GIM_Try, /*On fail goto*//*Label 11626*/ GIMT_Encode4(740551), // Rule ID 12305 //
     /*  740481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  740492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  740495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  740498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740527 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  740530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740549 */     GIR_RootConstrainSelectedInstOperands,
     /*  740550 */     // GIR_Coverage, 12305,
     /*  740550 */     GIR_EraseRootFromParent_Done,
     /*  740551 */   // Label 11626: @740551
     /*  740551 */   GIM_Try, /*On fail goto*//*Label 11627*/ GIMT_Encode4(740626), // Rule ID 12308 //
     /*  740556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  740567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  740570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  740573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  740605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740624 */     GIR_RootConstrainSelectedInstOperands,
     /*  740625 */     // GIR_Coverage, 12308,
     /*  740625 */     GIR_EraseRootFromParent_Done,
     /*  740626 */   // Label 11627: @740626
     /*  740626 */   GIM_Try, /*On fail goto*//*Label 11628*/ GIMT_Encode4(740701), // Rule ID 12309 //
     /*  740631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  740642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  740645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  740648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  740680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740699 */     GIR_RootConstrainSelectedInstOperands,
     /*  740700 */     // GIR_Coverage, 12309,
     /*  740700 */     GIR_EraseRootFromParent_Done,
     /*  740701 */   // Label 11628: @740701
     /*  740701 */   GIM_Try, /*On fail goto*//*Label 11629*/ GIMT_Encode4(740776), // Rule ID 12312 //
     /*  740706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  740723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  740755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740774 */     GIR_RootConstrainSelectedInstOperands,
     /*  740775 */     // GIR_Coverage, 12312,
     /*  740775 */     GIR_EraseRootFromParent_Done,
     /*  740776 */   // Label 11629: @740776
     /*  740776 */   GIM_Try, /*On fail goto*//*Label 11630*/ GIMT_Encode4(740851), // Rule ID 12313 //
     /*  740781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  740798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  740830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740849 */     GIR_RootConstrainSelectedInstOperands,
     /*  740850 */     // GIR_Coverage, 12313,
     /*  740850 */     GIR_EraseRootFromParent_Done,
     /*  740851 */   // Label 11630: @740851
     /*  740851 */   GIM_Try, /*On fail goto*//*Label 11631*/ GIMT_Encode4(740926), // Rule ID 12316 //
     /*  740856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  740867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  740870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  740873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  740905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740924 */     GIR_RootConstrainSelectedInstOperands,
     /*  740925 */     // GIR_Coverage, 12316,
     /*  740925 */     GIR_EraseRootFromParent_Done,
     /*  740926 */   // Label 11631: @740926
     /*  740926 */   GIM_Try, /*On fail goto*//*Label 11632*/ GIMT_Encode4(741001), // Rule ID 12317 //
     /*  740931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  740942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  740945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  740948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  740980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740999 */     GIR_RootConstrainSelectedInstOperands,
     /*  741000 */     // GIR_Coverage, 12317,
     /*  741000 */     GIR_EraseRootFromParent_Done,
     /*  741001 */   // Label 11632: @741001
     /*  741001 */   GIM_Try, /*On fail goto*//*Label 11633*/ GIMT_Encode4(741076), // Rule ID 12320 //
     /*  741006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  741017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  741020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  741023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  741052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  741055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741074 */     GIR_RootConstrainSelectedInstOperands,
     /*  741075 */     // GIR_Coverage, 12320,
     /*  741075 */     GIR_EraseRootFromParent_Done,
     /*  741076 */   // Label 11633: @741076
     /*  741076 */   GIM_Try, /*On fail goto*//*Label 11634*/ GIMT_Encode4(741151), // Rule ID 12321 //
     /*  741081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  741084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  741092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  741095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  741098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  741127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  741130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741149 */     GIR_RootConstrainSelectedInstOperands,
     /*  741150 */     // GIR_Coverage, 12321,
     /*  741150 */     GIR_EraseRootFromParent_Done,
     /*  741151 */   // Label 11634: @741151
     /*  741151 */   GIM_Try, /*On fail goto*//*Label 11635*/ GIMT_Encode4(741226), // Rule ID 12324 //
     /*  741156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  741167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  741170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  741173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  741205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741224 */     GIR_RootConstrainSelectedInstOperands,
     /*  741225 */     // GIR_Coverage, 12324,
     /*  741225 */     GIR_EraseRootFromParent_Done,
     /*  741226 */   // Label 11635: @741226
     /*  741226 */   GIM_Try, /*On fail goto*//*Label 11636*/ GIMT_Encode4(741301), // Rule ID 12325 //
     /*  741231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  741242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  741245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  741248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741277 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  741280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741299 */     GIR_RootConstrainSelectedInstOperands,
     /*  741300 */     // GIR_Coverage, 12325,
     /*  741300 */     GIR_EraseRootFromParent_Done,
     /*  741301 */   // Label 11636: @741301
     /*  741301 */   GIM_Try, /*On fail goto*//*Label 11637*/ GIMT_Encode4(741376), // Rule ID 12328 //
     /*  741306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  741317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  741320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  741323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741352 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  741355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741374 */     GIR_RootConstrainSelectedInstOperands,
     /*  741375 */     // GIR_Coverage, 12328,
     /*  741375 */     GIR_EraseRootFromParent_Done,
     /*  741376 */   // Label 11637: @741376
     /*  741376 */   GIM_Try, /*On fail goto*//*Label 11638*/ GIMT_Encode4(741451), // Rule ID 12329 //
     /*  741381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  741392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  741395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  741398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741427 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  741430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741449 */     GIR_RootConstrainSelectedInstOperands,
     /*  741450 */     // GIR_Coverage, 12329,
     /*  741450 */     GIR_EraseRootFromParent_Done,
     /*  741451 */   // Label 11638: @741451
     /*  741451 */   GIM_Try, /*On fail goto*//*Label 11639*/ GIMT_Encode4(741526), // Rule ID 12332 //
     /*  741456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  741467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  741470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  741473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741502 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  741505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741524 */     GIR_RootConstrainSelectedInstOperands,
     /*  741525 */     // GIR_Coverage, 12332,
     /*  741525 */     GIR_EraseRootFromParent_Done,
     /*  741526 */   // Label 11639: @741526
     /*  741526 */   GIM_Try, /*On fail goto*//*Label 11640*/ GIMT_Encode4(741601), // Rule ID 12333 //
     /*  741531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  741542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  741545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  741548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741577 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  741580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741599 */     GIR_RootConstrainSelectedInstOperands,
     /*  741600 */     // GIR_Coverage, 12333,
     /*  741600 */     GIR_EraseRootFromParent_Done,
     /*  741601 */   // Label 11640: @741601
     /*  741601 */   GIM_Try, /*On fail goto*//*Label 11641*/ GIMT_Encode4(741676), // Rule ID 12336 //
     /*  741606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  741617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  741620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  741623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  741655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741674 */     GIR_RootConstrainSelectedInstOperands,
     /*  741675 */     // GIR_Coverage, 12336,
     /*  741675 */     GIR_EraseRootFromParent_Done,
     /*  741676 */   // Label 11641: @741676
     /*  741676 */   GIM_Try, /*On fail goto*//*Label 11642*/ GIMT_Encode4(741751), // Rule ID 12337 //
     /*  741681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  741692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  741695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  741698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741727 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  741730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741749 */     GIR_RootConstrainSelectedInstOperands,
     /*  741750 */     // GIR_Coverage, 12337,
     /*  741750 */     GIR_EraseRootFromParent_Done,
     /*  741751 */   // Label 11642: @741751
     /*  741751 */   GIM_Try, /*On fail goto*//*Label 11643*/ GIMT_Encode4(741826), // Rule ID 12340 //
     /*  741756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  741767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  741770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  741773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  741805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741824 */     GIR_RootConstrainSelectedInstOperands,
     /*  741825 */     // GIR_Coverage, 12340,
     /*  741825 */     GIR_EraseRootFromParent_Done,
     /*  741826 */   // Label 11643: @741826
     /*  741826 */   GIM_Try, /*On fail goto*//*Label 11644*/ GIMT_Encode4(741901), // Rule ID 12341 //
     /*  741831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  741842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  741845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  741848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741877 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  741880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741899 */     GIR_RootConstrainSelectedInstOperands,
     /*  741900 */     // GIR_Coverage, 12341,
     /*  741900 */     GIR_EraseRootFromParent_Done,
     /*  741901 */   // Label 11644: @741901
     /*  741901 */   GIM_Try, /*On fail goto*//*Label 11645*/ GIMT_Encode4(741976), // Rule ID 12344 //
     /*  741906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  741917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  741920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  741923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  741955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741974 */     GIR_RootConstrainSelectedInstOperands,
     /*  741975 */     // GIR_Coverage, 12344,
     /*  741975 */     GIR_EraseRootFromParent_Done,
     /*  741976 */   // Label 11645: @741976
     /*  741976 */   GIM_Try, /*On fail goto*//*Label 11646*/ GIMT_Encode4(742051), // Rule ID 12345 //
     /*  741981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  741992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  741995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  741998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  742001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742027 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  742030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742049 */     GIR_RootConstrainSelectedInstOperands,
     /*  742050 */     // GIR_Coverage, 12345,
     /*  742050 */     GIR_EraseRootFromParent_Done,
     /*  742051 */   // Label 11646: @742051
     /*  742051 */   GIM_Try, /*On fail goto*//*Label 11647*/ GIMT_Encode4(742126), // Rule ID 12348 //
     /*  742056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  742067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  742070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  742073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  742076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  742105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742124 */     GIR_RootConstrainSelectedInstOperands,
     /*  742125 */     // GIR_Coverage, 12348,
     /*  742125 */     GIR_EraseRootFromParent_Done,
     /*  742126 */   // Label 11647: @742126
     /*  742126 */   GIM_Try, /*On fail goto*//*Label 11648*/ GIMT_Encode4(742201), // Rule ID 12349 //
     /*  742131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  742142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  742145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  742148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  742151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742177 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  742180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742199 */     GIR_RootConstrainSelectedInstOperands,
     /*  742200 */     // GIR_Coverage, 12349,
     /*  742200 */     GIR_EraseRootFromParent_Done,
     /*  742201 */   // Label 11648: @742201
     /*  742201 */   GIM_Try, /*On fail goto*//*Label 11649*/ GIMT_Encode4(742276), // Rule ID 12352 //
     /*  742206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  742217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  742220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  742223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  742226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742252 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  742255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742274 */     GIR_RootConstrainSelectedInstOperands,
     /*  742275 */     // GIR_Coverage, 12352,
     /*  742275 */     GIR_EraseRootFromParent_Done,
     /*  742276 */   // Label 11649: @742276
     /*  742276 */   GIM_Try, /*On fail goto*//*Label 11650*/ GIMT_Encode4(742351), // Rule ID 12353 //
     /*  742281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  742292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  742295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  742298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  742301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742327 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  742330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742349 */     GIR_RootConstrainSelectedInstOperands,
     /*  742350 */     // GIR_Coverage, 12353,
     /*  742350 */     GIR_EraseRootFromParent_Done,
     /*  742351 */   // Label 11650: @742351
     /*  742351 */   GIM_Try, /*On fail goto*//*Label 11651*/ GIMT_Encode4(742426), // Rule ID 12356 //
     /*  742356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  742367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  742370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  742373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  742376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  742405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742424 */     GIR_RootConstrainSelectedInstOperands,
     /*  742425 */     // GIR_Coverage, 12356,
     /*  742425 */     GIR_EraseRootFromParent_Done,
     /*  742426 */   // Label 11651: @742426
     /*  742426 */   GIM_Try, /*On fail goto*//*Label 11652*/ GIMT_Encode4(742501), // Rule ID 12357 //
     /*  742431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  742442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  742445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  742448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  742451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742477 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  742480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742499 */     GIR_RootConstrainSelectedInstOperands,
     /*  742500 */     // GIR_Coverage, 12357,
     /*  742500 */     GIR_EraseRootFromParent_Done,
     /*  742501 */   // Label 11652: @742501
     /*  742501 */   GIM_Try, /*On fail goto*//*Label 11653*/ GIMT_Encode4(742576), // Rule ID 12360 //
     /*  742506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  742509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  742517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  742520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  742523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  742526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  742552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  742555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742574 */     GIR_RootConstrainSelectedInstOperands,
     /*  742575 */     // GIR_Coverage, 12360,
     /*  742575 */     GIR_EraseRootFromParent_Done,
     /*  742576 */   // Label 11653: @742576
     /*  742576 */   GIM_Try, /*On fail goto*//*Label 11654*/ GIMT_Encode4(742651), // Rule ID 12361 //
     /*  742581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  742584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  742592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  742595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  742598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  742601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  742627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  742630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742649 */     GIR_RootConstrainSelectedInstOperands,
     /*  742650 */     // GIR_Coverage, 12361,
     /*  742650 */     GIR_EraseRootFromParent_Done,
     /*  742651 */   // Label 11654: @742651
     /*  742651 */   GIM_Try, /*On fail goto*//*Label 11655*/ GIMT_Encode4(742726), // Rule ID 12364 //
     /*  742656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  742659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  742667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  742670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  742673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  742676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  742702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  742705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742724 */     GIR_RootConstrainSelectedInstOperands,
     /*  742725 */     // GIR_Coverage, 12364,
     /*  742725 */     GIR_EraseRootFromParent_Done,
     /*  742726 */   // Label 11655: @742726
     /*  742726 */   GIM_Try, /*On fail goto*//*Label 11656*/ GIMT_Encode4(742801), // Rule ID 12365 //
     /*  742731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  742734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  742742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  742745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  742748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  742751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742777 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  742777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  742780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742799 */     GIR_RootConstrainSelectedInstOperands,
     /*  742800 */     // GIR_Coverage, 12365,
     /*  742800 */     GIR_EraseRootFromParent_Done,
     /*  742801 */   // Label 11656: @742801
     /*  742801 */   GIM_Try, /*On fail goto*//*Label 11657*/ GIMT_Encode4(742876), // Rule ID 12368 //
     /*  742806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  742809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  742817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  742820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  742823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  742826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  742852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  742855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742874 */     GIR_RootConstrainSelectedInstOperands,
     /*  742875 */     // GIR_Coverage, 12368,
     /*  742875 */     GIR_EraseRootFromParent_Done,
     /*  742876 */   // Label 11657: @742876
     /*  742876 */   GIM_Try, /*On fail goto*//*Label 11658*/ GIMT_Encode4(742951), // Rule ID 12369 //
     /*  742881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  742884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  742892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  742895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  742898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  742901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742927 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  742927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  742930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742949 */     GIR_RootConstrainSelectedInstOperands,
     /*  742950 */     // GIR_Coverage, 12369,
     /*  742950 */     GIR_EraseRootFromParent_Done,
     /*  742951 */   // Label 11658: @742951
     /*  742951 */   GIM_Try, /*On fail goto*//*Label 11659*/ GIMT_Encode4(743026), // Rule ID 12372 //
     /*  742956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  742967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  742970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  742973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  742976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743002 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  743005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743024 */     GIR_RootConstrainSelectedInstOperands,
     /*  743025 */     // GIR_Coverage, 12372,
     /*  743025 */     GIR_EraseRootFromParent_Done,
     /*  743026 */   // Label 11659: @743026
     /*  743026 */   GIM_Try, /*On fail goto*//*Label 11660*/ GIMT_Encode4(743101), // Rule ID 12373 //
     /*  743031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  743042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  743045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  743048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  743051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743077 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  743080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743099 */     GIR_RootConstrainSelectedInstOperands,
     /*  743100 */     // GIR_Coverage, 12373,
     /*  743100 */     GIR_EraseRootFromParent_Done,
     /*  743101 */   // Label 11660: @743101
     /*  743101 */   GIM_Try, /*On fail goto*//*Label 11661*/ GIMT_Encode4(743176), // Rule ID 12376 //
     /*  743106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  743117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  743120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  743123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  743126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  743155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743174 */     GIR_RootConstrainSelectedInstOperands,
     /*  743175 */     // GIR_Coverage, 12376,
     /*  743175 */     GIR_EraseRootFromParent_Done,
     /*  743176 */   // Label 11661: @743176
     /*  743176 */   GIM_Try, /*On fail goto*//*Label 11662*/ GIMT_Encode4(743251), // Rule ID 12377 //
     /*  743181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  743192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  743195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  743198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  743201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743227 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  743230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743249 */     GIR_RootConstrainSelectedInstOperands,
     /*  743250 */     // GIR_Coverage, 12377,
     /*  743250 */     GIR_EraseRootFromParent_Done,
     /*  743251 */   // Label 11662: @743251
     /*  743251 */   GIM_Try, /*On fail goto*//*Label 11663*/ GIMT_Encode4(743326), // Rule ID 12380 //
     /*  743256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  743273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  743276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743324 */     GIR_RootConstrainSelectedInstOperands,
     /*  743325 */     // GIR_Coverage, 12380,
     /*  743325 */     GIR_EraseRootFromParent_Done,
     /*  743326 */   // Label 11663: @743326
     /*  743326 */   GIM_Try, /*On fail goto*//*Label 11664*/ GIMT_Encode4(743401), // Rule ID 12381 //
     /*  743331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  743348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  743351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743377 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743399 */     GIR_RootConstrainSelectedInstOperands,
     /*  743400 */     // GIR_Coverage, 12381,
     /*  743400 */     GIR_EraseRootFromParent_Done,
     /*  743401 */   // Label 11664: @743401
     /*  743401 */   GIM_Try, /*On fail goto*//*Label 11665*/ GIMT_Encode4(743476), // Rule ID 12384 //
     /*  743406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  743417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  743420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  743423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  743426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743474 */     GIR_RootConstrainSelectedInstOperands,
     /*  743475 */     // GIR_Coverage, 12384,
     /*  743475 */     GIR_EraseRootFromParent_Done,
     /*  743476 */   // Label 11665: @743476
     /*  743476 */   GIM_Try, /*On fail goto*//*Label 11666*/ GIMT_Encode4(743551), // Rule ID 12385 //
     /*  743481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  743492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  743495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  743498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  743501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743527 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743549 */     GIR_RootConstrainSelectedInstOperands,
     /*  743550 */     // GIR_Coverage, 12385,
     /*  743550 */     GIR_EraseRootFromParent_Done,
     /*  743551 */   // Label 11666: @743551
     /*  743551 */   GIM_Try, /*On fail goto*//*Label 11667*/ GIMT_Encode4(743626), // Rule ID 12388 //
     /*  743556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  743567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  743570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  743573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  743576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743602 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743624 */     GIR_RootConstrainSelectedInstOperands,
     /*  743625 */     // GIR_Coverage, 12388,
     /*  743625 */     GIR_EraseRootFromParent_Done,
     /*  743626 */   // Label 11667: @743626
     /*  743626 */   GIM_Try, /*On fail goto*//*Label 11668*/ GIMT_Encode4(743701), // Rule ID 12389 //
     /*  743631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  743642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  743645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  743648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  743651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743677 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743699 */     GIR_RootConstrainSelectedInstOperands,
     /*  743700 */     // GIR_Coverage, 12389,
     /*  743700 */     GIR_EraseRootFromParent_Done,
     /*  743701 */   // Label 11668: @743701
     /*  743701 */   GIM_Try, /*On fail goto*//*Label 11669*/ GIMT_Encode4(743776), // Rule ID 12392 //
     /*  743706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  743717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  743720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  743723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  743726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743774 */     GIR_RootConstrainSelectedInstOperands,
     /*  743775 */     // GIR_Coverage, 12392,
     /*  743775 */     GIR_EraseRootFromParent_Done,
     /*  743776 */   // Label 11669: @743776
     /*  743776 */   GIM_Try, /*On fail goto*//*Label 11670*/ GIMT_Encode4(743851), // Rule ID 12393 //
     /*  743781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  743792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  743795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  743798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  743801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743849 */     GIR_RootConstrainSelectedInstOperands,
     /*  743850 */     // GIR_Coverage, 12393,
     /*  743850 */     GIR_EraseRootFromParent_Done,
     /*  743851 */   // Label 11670: @743851
     /*  743851 */   GIM_Try, /*On fail goto*//*Label 11671*/ GIMT_Encode4(743926), // Rule ID 12396 //
     /*  743856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  743867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  743870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  743876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743902 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  743905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743924 */     GIR_RootConstrainSelectedInstOperands,
     /*  743925 */     // GIR_Coverage, 12396,
     /*  743925 */     GIR_EraseRootFromParent_Done,
     /*  743926 */   // Label 11671: @743926
     /*  743926 */   GIM_Try, /*On fail goto*//*Label 11672*/ GIMT_Encode4(744001), // Rule ID 12397 //
     /*  743931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  743942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  743945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  743951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743977 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  743980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743999 */     GIR_RootConstrainSelectedInstOperands,
     /*  744000 */     // GIR_Coverage, 12397,
     /*  744000 */     GIR_EraseRootFromParent_Done,
     /*  744001 */   // Label 11672: @744001
     /*  744001 */   GIM_Try, /*On fail goto*//*Label 11673*/ GIMT_Encode4(744076), // Rule ID 12400 //
     /*  744006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  744023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  744026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  744055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744074 */     GIR_RootConstrainSelectedInstOperands,
     /*  744075 */     // GIR_Coverage, 12400,
     /*  744075 */     GIR_EraseRootFromParent_Done,
     /*  744076 */   // Label 11673: @744076
     /*  744076 */   GIM_Try, /*On fail goto*//*Label 11674*/ GIMT_Encode4(744151), // Rule ID 12401 //
     /*  744081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  744098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  744101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744127 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  744130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744149 */     GIR_RootConstrainSelectedInstOperands,
     /*  744150 */     // GIR_Coverage, 12401,
     /*  744150 */     GIR_EraseRootFromParent_Done,
     /*  744151 */   // Label 11674: @744151
     /*  744151 */   GIM_Try, /*On fail goto*//*Label 11675*/ GIMT_Encode4(744226), // Rule ID 12404 //
     /*  744156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  744167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  744170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  744173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  744205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744224 */     GIR_RootConstrainSelectedInstOperands,
     /*  744225 */     // GIR_Coverage, 12404,
     /*  744225 */     GIR_EraseRootFromParent_Done,
     /*  744226 */   // Label 11675: @744226
     /*  744226 */   GIM_Try, /*On fail goto*//*Label 11676*/ GIMT_Encode4(744301), // Rule ID 12405 //
     /*  744231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  744242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  744245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  744248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  744280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744299 */     GIR_RootConstrainSelectedInstOperands,
     /*  744300 */     // GIR_Coverage, 12405,
     /*  744300 */     GIR_EraseRootFromParent_Done,
     /*  744301 */   // Label 11676: @744301
     /*  744301 */   GIM_Try, /*On fail goto*//*Label 11677*/ GIMT_Encode4(744376), // Rule ID 12408 //
     /*  744306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  744317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  744320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  744323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  744326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744352 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  744355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744374 */     GIR_RootConstrainSelectedInstOperands,
     /*  744375 */     // GIR_Coverage, 12408,
     /*  744375 */     GIR_EraseRootFromParent_Done,
     /*  744376 */   // Label 11677: @744376
     /*  744376 */   GIM_Try, /*On fail goto*//*Label 11678*/ GIMT_Encode4(744451), // Rule ID 12409 //
     /*  744381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  744392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  744395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  744398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  744401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  744430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744449 */     GIR_RootConstrainSelectedInstOperands,
     /*  744450 */     // GIR_Coverage, 12409,
     /*  744450 */     GIR_EraseRootFromParent_Done,
     /*  744451 */   // Label 11678: @744451
     /*  744451 */   GIM_Try, /*On fail goto*//*Label 11679*/ GIMT_Encode4(744526), // Rule ID 12412 //
     /*  744456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  744467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  744470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  744473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  744476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  744505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744524 */     GIR_RootConstrainSelectedInstOperands,
     /*  744525 */     // GIR_Coverage, 12412,
     /*  744525 */     GIR_EraseRootFromParent_Done,
     /*  744526 */   // Label 11679: @744526
     /*  744526 */   GIM_Try, /*On fail goto*//*Label 11680*/ GIMT_Encode4(744601), // Rule ID 12413 //
     /*  744531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  744542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  744545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  744548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  744551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744577 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  744580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744599 */     GIR_RootConstrainSelectedInstOperands,
     /*  744600 */     // GIR_Coverage, 12413,
     /*  744600 */     GIR_EraseRootFromParent_Done,
     /*  744601 */   // Label 11680: @744601
     /*  744601 */   GIM_Try, /*On fail goto*//*Label 11681*/ GIMT_Encode4(744676), // Rule ID 12416 //
     /*  744606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  744626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  744655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744674 */     GIR_RootConstrainSelectedInstOperands,
     /*  744675 */     // GIR_Coverage, 12416,
     /*  744675 */     GIR_EraseRootFromParent_Done,
     /*  744676 */   // Label 11681: @744676
     /*  744676 */   GIM_Try, /*On fail goto*//*Label 11682*/ GIMT_Encode4(744751), // Rule ID 12417 //
     /*  744681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  744701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  744730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744749 */     GIR_RootConstrainSelectedInstOperands,
     /*  744750 */     // GIR_Coverage, 12417,
     /*  744750 */     GIR_EraseRootFromParent_Done,
     /*  744751 */   // Label 11682: @744751
     /*  744751 */   GIM_Try, /*On fail goto*//*Label 11683*/ GIMT_Encode4(744826), // Rule ID 12420 //
     /*  744756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  744767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  744770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  744805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744824 */     GIR_RootConstrainSelectedInstOperands,
     /*  744825 */     // GIR_Coverage, 12420,
     /*  744825 */     GIR_EraseRootFromParent_Done,
     /*  744826 */   // Label 11683: @744826
     /*  744826 */   GIM_Try, /*On fail goto*//*Label 11684*/ GIMT_Encode4(744901), // Rule ID 12421 //
     /*  744831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  744842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  744845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744877 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  744880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744899 */     GIR_RootConstrainSelectedInstOperands,
     /*  744900 */     // GIR_Coverage, 12421,
     /*  744900 */     GIR_EraseRootFromParent_Done,
     /*  744901 */   // Label 11684: @744901
     /*  744901 */   GIM_Try, /*On fail goto*//*Label 11685*/ GIMT_Encode4(744976), // Rule ID 12424 //
     /*  744906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  744917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  744920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  744923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  744926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744952 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  744955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744974 */     GIR_RootConstrainSelectedInstOperands,
     /*  744975 */     // GIR_Coverage, 12424,
     /*  744975 */     GIR_EraseRootFromParent_Done,
     /*  744976 */   // Label 11685: @744976
     /*  744976 */   GIM_Try, /*On fail goto*//*Label 11686*/ GIMT_Encode4(745051), // Rule ID 12425 //
     /*  744981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  744992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  744995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  744998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  745001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745027 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  745030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745049 */     GIR_RootConstrainSelectedInstOperands,
     /*  745050 */     // GIR_Coverage, 12425,
     /*  745050 */     GIR_EraseRootFromParent_Done,
     /*  745051 */   // Label 11686: @745051
     /*  745051 */   GIM_Try, /*On fail goto*//*Label 11687*/ GIMT_Encode4(745126), // Rule ID 12428 //
     /*  745056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  745059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  745067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  745070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  745073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  745076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745102 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  745105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745124 */     GIR_RootConstrainSelectedInstOperands,
     /*  745125 */     // GIR_Coverage, 12428,
     /*  745125 */     GIR_EraseRootFromParent_Done,
     /*  745126 */   // Label 11687: @745126
     /*  745126 */   GIM_Try, /*On fail goto*//*Label 11688*/ GIMT_Encode4(745201), // Rule ID 12429 //
     /*  745131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  745134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  745142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  745145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  745148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  745151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745177 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  745180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745199 */     GIR_RootConstrainSelectedInstOperands,
     /*  745200 */     // GIR_Coverage, 12429,
     /*  745200 */     GIR_EraseRootFromParent_Done,
     /*  745201 */   // Label 11688: @745201
     /*  745201 */   GIM_Try, /*On fail goto*//*Label 11689*/ GIMT_Encode4(745276), // Rule ID 12432 //
     /*  745206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  745217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  745220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  745223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  745255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745274 */     GIR_RootConstrainSelectedInstOperands,
     /*  745275 */     // GIR_Coverage, 12432,
     /*  745275 */     GIR_EraseRootFromParent_Done,
     /*  745276 */   // Label 11689: @745276
     /*  745276 */   GIM_Try, /*On fail goto*//*Label 11690*/ GIMT_Encode4(745351), // Rule ID 12433 //
     /*  745281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  745292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  745295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  745298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745327 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  745330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745349 */     GIR_RootConstrainSelectedInstOperands,
     /*  745350 */     // GIR_Coverage, 12433,
     /*  745350 */     GIR_EraseRootFromParent_Done,
     /*  745351 */   // Label 11690: @745351
     /*  745351 */   GIM_Try, /*On fail goto*//*Label 11691*/ GIMT_Encode4(745426), // Rule ID 12436 //
     /*  745356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  745367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  745370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  745373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  745405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745424 */     GIR_RootConstrainSelectedInstOperands,
     /*  745425 */     // GIR_Coverage, 12436,
     /*  745425 */     GIR_EraseRootFromParent_Done,
     /*  745426 */   // Label 11691: @745426
     /*  745426 */   GIM_Try, /*On fail goto*//*Label 11692*/ GIMT_Encode4(745501), // Rule ID 12437 //
     /*  745431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  745442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  745445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  745448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745477 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  745480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745499 */     GIR_RootConstrainSelectedInstOperands,
     /*  745500 */     // GIR_Coverage, 12437,
     /*  745500 */     GIR_EraseRootFromParent_Done,
     /*  745501 */   // Label 11692: @745501
     /*  745501 */   GIM_Try, /*On fail goto*//*Label 11693*/ GIMT_Encode4(745576), // Rule ID 12440 //
     /*  745506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  745517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  745520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  745523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745574 */     GIR_RootConstrainSelectedInstOperands,
     /*  745575 */     // GIR_Coverage, 12440,
     /*  745575 */     GIR_EraseRootFromParent_Done,
     /*  745576 */   // Label 11693: @745576
     /*  745576 */   GIM_Try, /*On fail goto*//*Label 11694*/ GIMT_Encode4(745651), // Rule ID 12441 //
     /*  745581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  745592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  745595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  745598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745649 */     GIR_RootConstrainSelectedInstOperands,
     /*  745650 */     // GIR_Coverage, 12441,
     /*  745650 */     GIR_EraseRootFromParent_Done,
     /*  745651 */   // Label 11694: @745651
     /*  745651 */   GIM_Try, /*On fail goto*//*Label 11695*/ GIMT_Encode4(745726), // Rule ID 12444 //
     /*  745656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  745673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745702 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745724 */     GIR_RootConstrainSelectedInstOperands,
     /*  745725 */     // GIR_Coverage, 12444,
     /*  745725 */     GIR_EraseRootFromParent_Done,
     /*  745726 */   // Label 11695: @745726
     /*  745726 */   GIM_Try, /*On fail goto*//*Label 11696*/ GIMT_Encode4(745801), // Rule ID 12445 //
     /*  745731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  745748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745777 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745799 */     GIR_RootConstrainSelectedInstOperands,
     /*  745800 */     // GIR_Coverage, 12445,
     /*  745800 */     GIR_EraseRootFromParent_Done,
     /*  745801 */   // Label 11696: @745801
     /*  745801 */   GIM_Try, /*On fail goto*//*Label 11697*/ GIMT_Encode4(745876), // Rule ID 12448 //
     /*  745806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  745823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745852 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  745855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745874 */     GIR_RootConstrainSelectedInstOperands,
     /*  745875 */     // GIR_Coverage, 12448,
     /*  745875 */     GIR_EraseRootFromParent_Done,
     /*  745876 */   // Label 11697: @745876
     /*  745876 */   GIM_Try, /*On fail goto*//*Label 11698*/ GIMT_Encode4(745951), // Rule ID 12449 //
     /*  745881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  745898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745927 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  745930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745949 */     GIR_RootConstrainSelectedInstOperands,
     /*  745950 */     // GIR_Coverage, 12449,
     /*  745950 */     GIR_EraseRootFromParent_Done,
     /*  745951 */   // Label 11698: @745951
     /*  745951 */   GIM_Try, /*On fail goto*//*Label 11699*/ GIMT_Encode4(746026), // Rule ID 12452 //
     /*  745956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  745967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  745970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  745973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746024 */     GIR_RootConstrainSelectedInstOperands,
     /*  746025 */     // GIR_Coverage, 12452,
     /*  746025 */     GIR_EraseRootFromParent_Done,
     /*  746026 */   // Label 11699: @746026
     /*  746026 */   GIM_Try, /*On fail goto*//*Label 11700*/ GIMT_Encode4(746101), // Rule ID 12453 //
     /*  746031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  746042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  746045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  746048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746077 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746099 */     GIR_RootConstrainSelectedInstOperands,
     /*  746100 */     // GIR_Coverage, 12453,
     /*  746100 */     GIR_EraseRootFromParent_Done,
     /*  746101 */   // Label 11700: @746101
     /*  746101 */   GIM_Try, /*On fail goto*//*Label 11701*/ GIMT_Encode4(746176), // Rule ID 12456 //
     /*  746106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  746117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  746120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  746123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  746155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746174 */     GIR_RootConstrainSelectedInstOperands,
     /*  746175 */     // GIR_Coverage, 12456,
     /*  746175 */     GIR_EraseRootFromParent_Done,
     /*  746176 */   // Label 11701: @746176
     /*  746176 */   GIM_Try, /*On fail goto*//*Label 11702*/ GIMT_Encode4(746251), // Rule ID 12457 //
     /*  746181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  746192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  746195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  746198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  746230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746249 */     GIR_RootConstrainSelectedInstOperands,
     /*  746250 */     // GIR_Coverage, 12457,
     /*  746250 */     GIR_EraseRootFromParent_Done,
     /*  746251 */   // Label 11702: @746251
     /*  746251 */   GIM_Try, /*On fail goto*//*Label 11703*/ GIMT_Encode4(746326), // Rule ID 12460 //
     /*  746256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  746273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  746305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746324 */     GIR_RootConstrainSelectedInstOperands,
     /*  746325 */     // GIR_Coverage, 12460,
     /*  746325 */     GIR_EraseRootFromParent_Done,
     /*  746326 */   // Label 11703: @746326
     /*  746326 */   GIM_Try, /*On fail goto*//*Label 11704*/ GIMT_Encode4(746401), // Rule ID 12461 //
     /*  746331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  746348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  746380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746399 */     GIR_RootConstrainSelectedInstOperands,
     /*  746400 */     // GIR_Coverage, 12461,
     /*  746400 */     GIR_EraseRootFromParent_Done,
     /*  746401 */   // Label 11704: @746401
     /*  746401 */   GIM_Try, /*On fail goto*//*Label 11705*/ GIMT_Encode4(746476), // Rule ID 12464 //
     /*  746406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  746417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  746420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  746423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746452 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  746455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746474 */     GIR_RootConstrainSelectedInstOperands,
     /*  746475 */     // GIR_Coverage, 12464,
     /*  746475 */     GIR_EraseRootFromParent_Done,
     /*  746476 */   // Label 11705: @746476
     /*  746476 */   GIM_Try, /*On fail goto*//*Label 11706*/ GIMT_Encode4(746551), // Rule ID 12465 //
     /*  746481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  746492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  746495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  746498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  746530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746549 */     GIR_RootConstrainSelectedInstOperands,
     /*  746550 */     // GIR_Coverage, 12465,
     /*  746550 */     GIR_EraseRootFromParent_Done,
     /*  746551 */   // Label 11706: @746551
     /*  746551 */   GIM_Try, /*On fail goto*//*Label 11707*/ GIMT_Encode4(746626), // Rule ID 12468 //
     /*  746556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  746567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  746570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  746573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  746605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746624 */     GIR_RootConstrainSelectedInstOperands,
     /*  746625 */     // GIR_Coverage, 12468,
     /*  746625 */     GIR_EraseRootFromParent_Done,
     /*  746626 */   // Label 11707: @746626
     /*  746626 */   GIM_Try, /*On fail goto*//*Label 11708*/ GIMT_Encode4(746701), // Rule ID 12469 //
     /*  746631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  746642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  746645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  746648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746677 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  746680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746699 */     GIR_RootConstrainSelectedInstOperands,
     /*  746700 */     // GIR_Coverage, 12469,
     /*  746700 */     GIR_EraseRootFromParent_Done,
     /*  746701 */   // Label 11708: @746701
     /*  746701 */   GIM_Try, /*On fail goto*//*Label 11709*/ GIMT_Encode4(746776), // Rule ID 12472 //
     /*  746706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  746723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746774 */     GIR_RootConstrainSelectedInstOperands,
     /*  746775 */     // GIR_Coverage, 12472,
     /*  746775 */     GIR_EraseRootFromParent_Done,
     /*  746776 */   // Label 11709: @746776
     /*  746776 */   GIM_Try, /*On fail goto*//*Label 11710*/ GIMT_Encode4(746851), // Rule ID 12473 //
     /*  746781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  746798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746849 */     GIR_RootConstrainSelectedInstOperands,
     /*  746850 */     // GIR_Coverage, 12473,
     /*  746850 */     GIR_EraseRootFromParent_Done,
     /*  746851 */   // Label 11710: @746851
     /*  746851 */   GIM_Try, /*On fail goto*//*Label 11711*/ GIMT_Encode4(746926), // Rule ID 12476 //
     /*  746856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  746905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746924 */     GIR_RootConstrainSelectedInstOperands,
     /*  746925 */     // GIR_Coverage, 12476,
     /*  746925 */     GIR_EraseRootFromParent_Done,
     /*  746926 */   // Label 11711: @746926
     /*  746926 */   GIM_Try, /*On fail goto*//*Label 11712*/ GIMT_Encode4(747001), // Rule ID 12477 //
     /*  746931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746977 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  746980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746999 */     GIR_RootConstrainSelectedInstOperands,
     /*  747000 */     // GIR_Coverage, 12477,
     /*  747000 */     GIR_EraseRootFromParent_Done,
     /*  747001 */   // Label 11712: @747001
     /*  747001 */   GIM_Try, /*On fail goto*//*Label 11713*/ GIMT_Encode4(747076), // Rule ID 12480 //
     /*  747006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  747009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  747017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  747020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  747023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  747026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  747052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  747055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747074 */     GIR_RootConstrainSelectedInstOperands,
     /*  747075 */     // GIR_Coverage, 12480,
     /*  747075 */     GIR_EraseRootFromParent_Done,
     /*  747076 */   // Label 11713: @747076
     /*  747076 */   GIM_Try, /*On fail goto*//*Label 11714*/ GIMT_Encode4(747151), // Rule ID 12481 //
     /*  747081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  747084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  747092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  747095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  747098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  747101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747127 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  747127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  747130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747149 */     GIR_RootConstrainSelectedInstOperands,
     /*  747150 */     // GIR_Coverage, 12481,
     /*  747150 */     GIR_EraseRootFromParent_Done,
     /*  747151 */   // Label 11714: @747151
     /*  747151 */   GIM_Try, /*On fail goto*//*Label 11715*/ GIMT_Encode4(747226), // Rule ID 12484 //
     /*  747156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  747159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  747167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  747170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  747173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  747176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747202 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  747202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  747205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747224 */     GIR_RootConstrainSelectedInstOperands,
     /*  747225 */     // GIR_Coverage, 12484,
     /*  747225 */     GIR_EraseRootFromParent_Done,
     /*  747226 */   // Label 11715: @747226
     /*  747226 */   GIM_Try, /*On fail goto*//*Label 11716*/ GIMT_Encode4(747301), // Rule ID 12485 //
     /*  747231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  747234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  747242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  747245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  747248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  747251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747277 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  747277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  747280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747299 */     GIR_RootConstrainSelectedInstOperands,
     /*  747300 */     // GIR_Coverage, 12485,
     /*  747300 */     GIR_EraseRootFromParent_Done,
     /*  747301 */   // Label 11716: @747301
     /*  747301 */   GIM_Try, /*On fail goto*//*Label 11717*/ GIMT_Encode4(747376), // Rule ID 12488 //
     /*  747306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  747309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  747317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  747320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  747323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  747326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  747352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  747355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747374 */     GIR_RootConstrainSelectedInstOperands,
     /*  747375 */     // GIR_Coverage, 12488,
     /*  747375 */     GIR_EraseRootFromParent_Done,
     /*  747376 */   // Label 11717: @747376
     /*  747376 */   GIM_Try, /*On fail goto*//*Label 11718*/ GIMT_Encode4(747451), // Rule ID 12489 //
     /*  747381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  747384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  747392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  747395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  747398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  747401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747427 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  747427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  747430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747449 */     GIR_RootConstrainSelectedInstOperands,
     /*  747450 */     // GIR_Coverage, 12489,
     /*  747450 */     GIR_EraseRootFromParent_Done,
     /*  747451 */   // Label 11718: @747451
     /*  747451 */   GIM_Try, /*On fail goto*//*Label 11719*/ GIMT_Encode4(747526), // Rule ID 12492 //
     /*  747456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  747467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  747470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  747473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  747476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  747505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747524 */     GIR_RootConstrainSelectedInstOperands,
     /*  747525 */     // GIR_Coverage, 12492,
     /*  747525 */     GIR_EraseRootFromParent_Done,
     /*  747526 */   // Label 11719: @747526
     /*  747526 */   GIM_Try, /*On fail goto*//*Label 11720*/ GIMT_Encode4(747601), // Rule ID 12493 //
     /*  747531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  747542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  747545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  747548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  747551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747577 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  747580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747599 */     GIR_RootConstrainSelectedInstOperands,
     /*  747600 */     // GIR_Coverage, 12493,
     /*  747600 */     GIR_EraseRootFromParent_Done,
     /*  747601 */   // Label 11720: @747601
     /*  747601 */   GIM_Try, /*On fail goto*//*Label 11721*/ GIMT_Encode4(747676), // Rule ID 12496 //
     /*  747606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  747617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  747620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  747623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  747626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747652 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  747655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747674 */     GIR_RootConstrainSelectedInstOperands,
     /*  747675 */     // GIR_Coverage, 12496,
     /*  747675 */     GIR_EraseRootFromParent_Done,
     /*  747676 */   // Label 11721: @747676
     /*  747676 */   GIM_Try, /*On fail goto*//*Label 11722*/ GIMT_Encode4(747751), // Rule ID 12497 //
     /*  747681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  747692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  747695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  747698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  747701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747727 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  747730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747749 */     GIR_RootConstrainSelectedInstOperands,
     /*  747750 */     // GIR_Coverage, 12497,
     /*  747750 */     GIR_EraseRootFromParent_Done,
     /*  747751 */   // Label 11722: @747751
     /*  747751 */   GIM_Try, /*On fail goto*//*Label 11723*/ GIMT_Encode4(747826), // Rule ID 12500 //
     /*  747756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  747773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  747776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747802 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747824 */     GIR_RootConstrainSelectedInstOperands,
     /*  747825 */     // GIR_Coverage, 12500,
     /*  747825 */     GIR_EraseRootFromParent_Done,
     /*  747826 */   // Label 11723: @747826
     /*  747826 */   GIM_Try, /*On fail goto*//*Label 11724*/ GIMT_Encode4(747901), // Rule ID 12501 //
     /*  747831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  747848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  747851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747877 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747899 */     GIR_RootConstrainSelectedInstOperands,
     /*  747900 */     // GIR_Coverage, 12501,
     /*  747900 */     GIR_EraseRootFromParent_Done,
     /*  747901 */   // Label 11724: @747901
     /*  747901 */   GIM_Try, /*On fail goto*//*Label 11725*/ GIMT_Encode4(747976), // Rule ID 12504 //
     /*  747906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  747926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747952 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  747955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747974 */     GIR_RootConstrainSelectedInstOperands,
     /*  747975 */     // GIR_Coverage, 12504,
     /*  747975 */     GIR_EraseRootFromParent_Done,
     /*  747976 */   // Label 11725: @747976
     /*  747976 */   GIM_Try, /*On fail goto*//*Label 11726*/ GIMT_Encode4(748051), // Rule ID 12505 //
     /*  747981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  748001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748027 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  748027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748049 */     GIR_RootConstrainSelectedInstOperands,
     /*  748050 */     // GIR_Coverage, 12505,
     /*  748050 */     GIR_EraseRootFromParent_Done,
     /*  748051 */   // Label 11726: @748051
     /*  748051 */   GIM_Try, /*On fail goto*//*Label 11727*/ GIMT_Encode4(748126), // Rule ID 12508 //
     /*  748056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  748067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  748070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  748073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  748076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748102 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  748102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748124 */     GIR_RootConstrainSelectedInstOperands,
     /*  748125 */     // GIR_Coverage, 12508,
     /*  748125 */     GIR_EraseRootFromParent_Done,
     /*  748126 */   // Label 11727: @748126
     /*  748126 */   GIM_Try, /*On fail goto*//*Label 11728*/ GIMT_Encode4(748201), // Rule ID 12509 //
     /*  748131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  748142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  748145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  748148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  748151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748177 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  748177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748199 */     GIR_RootConstrainSelectedInstOperands,
     /*  748200 */     // GIR_Coverage, 12509,
     /*  748200 */     GIR_EraseRootFromParent_Done,
     /*  748201 */   // Label 11728: @748201
     /*  748201 */   GIM_Try, /*On fail goto*//*Label 11729*/ GIMT_Encode4(748276), // Rule ID 12512 //
     /*  748206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  748217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  748220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  748223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  748226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748252 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  748252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  748255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748274 */     GIR_RootConstrainSelectedInstOperands,
     /*  748275 */     // GIR_Coverage, 12512,
     /*  748275 */     GIR_EraseRootFromParent_Done,
     /*  748276 */   // Label 11729: @748276
     /*  748276 */   GIM_Try, /*On fail goto*//*Label 11730*/ GIMT_Encode4(748351), // Rule ID 12513 //
     /*  748281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  748292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  748295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  748298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  748301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748327 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  748327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  748330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748349 */     GIR_RootConstrainSelectedInstOperands,
     /*  748350 */     // GIR_Coverage, 12513,
     /*  748350 */     GIR_EraseRootFromParent_Done,
     /*  748351 */   // Label 11730: @748351
     /*  748351 */   GIM_Try, /*On fail goto*//*Label 11731*/ GIMT_Encode4(748426), // Rule ID 12516 //
     /*  748356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  748367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  748370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  748373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  748376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  748405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748424 */     GIR_RootConstrainSelectedInstOperands,
     /*  748425 */     // GIR_Coverage, 12516,
     /*  748425 */     GIR_EraseRootFromParent_Done,
     /*  748426 */   // Label 11731: @748426
     /*  748426 */   GIM_Try, /*On fail goto*//*Label 11732*/ GIMT_Encode4(748501), // Rule ID 12517 //
     /*  748431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  748442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  748445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  748448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  748451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748477 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  748480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748499 */     GIR_RootConstrainSelectedInstOperands,
     /*  748500 */     // GIR_Coverage, 12517,
     /*  748500 */     GIR_EraseRootFromParent_Done,
     /*  748501 */   // Label 11732: @748501
     /*  748501 */   GIM_Try, /*On fail goto*//*Label 11733*/ GIMT_Encode4(748576), // Rule ID 12520 //
     /*  748506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  748517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  748520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  748523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  748526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  748555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748574 */     GIR_RootConstrainSelectedInstOperands,
     /*  748575 */     // GIR_Coverage, 12520,
     /*  748575 */     GIR_EraseRootFromParent_Done,
     /*  748576 */   // Label 11733: @748576
     /*  748576 */   GIM_Try, /*On fail goto*//*Label 11734*/ GIMT_Encode4(748651), // Rule ID 12521 //
     /*  748581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  748592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  748595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  748598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  748601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  748630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748649 */     GIR_RootConstrainSelectedInstOperands,
     /*  748650 */     // GIR_Coverage, 12521,
     /*  748650 */     GIR_EraseRootFromParent_Done,
     /*  748651 */   // Label 11734: @748651
     /*  748651 */   GIM_Try, /*On fail goto*//*Label 11735*/ GIMT_Encode4(748726), // Rule ID 12524 //
     /*  748656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  748667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  748670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  748673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  748676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748702 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748724 */     GIR_RootConstrainSelectedInstOperands,
     /*  748725 */     // GIR_Coverage, 12524,
     /*  748725 */     GIR_EraseRootFromParent_Done,
     /*  748726 */   // Label 11735: @748726
     /*  748726 */   GIM_Try, /*On fail goto*//*Label 11736*/ GIMT_Encode4(748801), // Rule ID 12525 //
     /*  748731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  748742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  748745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  748748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  748751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748777 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748799 */     GIR_RootConstrainSelectedInstOperands,
     /*  748800 */     // GIR_Coverage, 12525,
     /*  748800 */     GIR_EraseRootFromParent_Done,
     /*  748801 */   // Label 11736: @748801
     /*  748801 */   GIM_Try, /*On fail goto*//*Label 11737*/ GIMT_Encode4(748876), // Rule ID 12528 //
     /*  748806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  748826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748874 */     GIR_RootConstrainSelectedInstOperands,
     /*  748875 */     // GIR_Coverage, 12528,
     /*  748875 */     GIR_EraseRootFromParent_Done,
     /*  748876 */   // Label 11737: @748876
     /*  748876 */   GIM_Try, /*On fail goto*//*Label 11738*/ GIMT_Encode4(748951), // Rule ID 12529 //
     /*  748881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  748901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748927 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748949 */     GIR_RootConstrainSelectedInstOperands,
     /*  748950 */     // GIR_Coverage, 12529,
     /*  748950 */     GIR_EraseRootFromParent_Done,
     /*  748951 */   // Label 11738: @748951
     /*  748951 */   GIM_Try, /*On fail goto*//*Label 11739*/ GIMT_Encode4(749026), // Rule ID 12532 //
     /*  748956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  748970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  748976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749002 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  749005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749024 */     GIR_RootConstrainSelectedInstOperands,
     /*  749025 */     // GIR_Coverage, 12532,
     /*  749025 */     GIR_EraseRootFromParent_Done,
     /*  749026 */   // Label 11739: @749026
     /*  749026 */   GIM_Try, /*On fail goto*//*Label 11740*/ GIMT_Encode4(749101), // Rule ID 12533 //
     /*  749031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  749042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  749045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  749048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  749051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749077 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  749080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749099 */     GIR_RootConstrainSelectedInstOperands,
     /*  749100 */     // GIR_Coverage, 12533,
     /*  749100 */     GIR_EraseRootFromParent_Done,
     /*  749101 */   // Label 11740: @749101
     /*  749101 */   GIM_Try, /*On fail goto*//*Label 11741*/ GIMT_Encode4(749176), // Rule ID 12536 //
     /*  749106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  749109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  749117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  749120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  749123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  749126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  749155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749174 */     GIR_RootConstrainSelectedInstOperands,
     /*  749175 */     // GIR_Coverage, 12536,
     /*  749175 */     GIR_EraseRootFromParent_Done,
     /*  749176 */   // Label 11741: @749176
     /*  749176 */   GIM_Try, /*On fail goto*//*Label 11742*/ GIMT_Encode4(749251), // Rule ID 12537 //
     /*  749181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  749192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  749195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  749198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  749201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  749230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749249 */     GIR_RootConstrainSelectedInstOperands,
     /*  749250 */     // GIR_Coverage, 12537,
     /*  749250 */     GIR_EraseRootFromParent_Done,
     /*  749251 */   // Label 11742: @749251
     /*  749251 */   GIM_Try, /*On fail goto*//*Label 11743*/ GIMT_Encode4(749326), // Rule ID 12540 //
     /*  749256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  749259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  749267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  749270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  749273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  749276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  749305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749324 */     GIR_RootConstrainSelectedInstOperands,
     /*  749325 */     // GIR_Coverage, 12540,
     /*  749325 */     GIR_EraseRootFromParent_Done,
     /*  749326 */   // Label 11743: @749326
     /*  749326 */   GIM_Try, /*On fail goto*//*Label 11744*/ GIMT_Encode4(749401), // Rule ID 12541 //
     /*  749331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  749342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  749345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  749348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  749351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749377 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  749380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749399 */     GIR_RootConstrainSelectedInstOperands,
     /*  749400 */     // GIR_Coverage, 12541,
     /*  749400 */     GIR_EraseRootFromParent_Done,
     /*  749401 */   // Label 11744: @749401
     /*  749401 */   GIM_Try, /*On fail goto*//*Label 11745*/ GIMT_Encode4(749476), // Rule ID 12544 //
     /*  749406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  749409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  749417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  749420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  749423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  749426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  749455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749474 */     GIR_RootConstrainSelectedInstOperands,
     /*  749475 */     // GIR_Coverage, 12544,
     /*  749475 */     GIR_EraseRootFromParent_Done,
     /*  749476 */   // Label 11745: @749476
     /*  749476 */   GIM_Try, /*On fail goto*//*Label 11746*/ GIMT_Encode4(749551), // Rule ID 12545 //
     /*  749481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  749492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  749495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  749498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  749501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749527 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  749530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749549 */     GIR_RootConstrainSelectedInstOperands,
     /*  749550 */     // GIR_Coverage, 12545,
     /*  749550 */     GIR_EraseRootFromParent_Done,
     /*  749551 */   // Label 11746: @749551
     /*  749551 */   GIM_Try, /*On fail goto*//*Label 11747*/ GIMT_Encode4(749626), // Rule ID 12548 //
     /*  749556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  749559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  749567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  749570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  749573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  749576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  749605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749624 */     GIR_RootConstrainSelectedInstOperands,
     /*  749625 */     // GIR_Coverage, 12548,
     /*  749625 */     GIR_EraseRootFromParent_Done,
     /*  749626 */   // Label 11747: @749626
     /*  749626 */   GIM_Try, /*On fail goto*//*Label 11748*/ GIMT_Encode4(749701), // Rule ID 12549 //
     /*  749631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  749642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  749645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  749648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  749651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749677 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  749680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749699 */     GIR_RootConstrainSelectedInstOperands,
     /*  749700 */     // GIR_Coverage, 12549,
     /*  749700 */     GIR_EraseRootFromParent_Done,
     /*  749701 */   // Label 11748: @749701
     /*  749701 */   GIM_Try, /*On fail goto*//*Label 11749*/ GIMT_Encode4(749776), // Rule ID 12552 //
     /*  749706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  749717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  749720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  749723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  749755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749774 */     GIR_RootConstrainSelectedInstOperands,
     /*  749775 */     // GIR_Coverage, 12552,
     /*  749775 */     GIR_EraseRootFromParent_Done,
     /*  749776 */   // Label 11749: @749776
     /*  749776 */   GIM_Try, /*On fail goto*//*Label 11750*/ GIMT_Encode4(749851), // Rule ID 12553 //
     /*  749781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  749792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  749795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  749798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749827 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  749830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749849 */     GIR_RootConstrainSelectedInstOperands,
     /*  749850 */     // GIR_Coverage, 12553,
     /*  749850 */     GIR_EraseRootFromParent_Done,
     /*  749851 */   // Label 11750: @749851
     /*  749851 */   GIM_Try, /*On fail goto*//*Label 11751*/ GIMT_Encode4(749926), // Rule ID 12556 //
     /*  749856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  749867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  749870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749902 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  749905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749924 */     GIR_RootConstrainSelectedInstOperands,
     /*  749925 */     // GIR_Coverage, 12556,
     /*  749925 */     GIR_EraseRootFromParent_Done,
     /*  749926 */   // Label 11751: @749926
     /*  749926 */   GIM_Try, /*On fail goto*//*Label 11752*/ GIMT_Encode4(750001), // Rule ID 12557 //
     /*  749931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  749942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  749945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  749980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749999 */     GIR_RootConstrainSelectedInstOperands,
     /*  750000 */     // GIR_Coverage, 12557,
     /*  750000 */     GIR_EraseRootFromParent_Done,
     /*  750001 */   // Label 11752: @750001
     /*  750001 */   GIM_Try, /*On fail goto*//*Label 11753*/ GIMT_Encode4(750076), // Rule ID 12560 //
     /*  750006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  750017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  750020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  750023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750074 */     GIR_RootConstrainSelectedInstOperands,
     /*  750075 */     // GIR_Coverage, 12560,
     /*  750075 */     GIR_EraseRootFromParent_Done,
     /*  750076 */   // Label 11753: @750076
     /*  750076 */   GIM_Try, /*On fail goto*//*Label 11754*/ GIMT_Encode4(750151), // Rule ID 12561 //
     /*  750081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  750092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  750095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  750098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  750127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750149 */     GIR_RootConstrainSelectedInstOperands,
     /*  750150 */     // GIR_Coverage, 12561,
     /*  750150 */     GIR_EraseRootFromParent_Done,
     /*  750151 */   // Label 11754: @750151
     /*  750151 */   GIM_Try, /*On fail goto*//*Label 11755*/ GIMT_Encode4(750226), // Rule ID 12564 //
     /*  750156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  750167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  750170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  750173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750202 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750224 */     GIR_RootConstrainSelectedInstOperands,
     /*  750225 */     // GIR_Coverage, 12564,
     /*  750225 */     GIR_EraseRootFromParent_Done,
     /*  750226 */   // Label 11755: @750226
     /*  750226 */   GIM_Try, /*On fail goto*//*Label 11756*/ GIMT_Encode4(750301), // Rule ID 12565 //
     /*  750231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  750242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  750245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  750248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750277 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  750277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750299 */     GIR_RootConstrainSelectedInstOperands,
     /*  750300 */     // GIR_Coverage, 12565,
     /*  750300 */     GIR_EraseRootFromParent_Done,
     /*  750301 */   // Label 11756: @750301
     /*  750301 */   GIM_Try, /*On fail goto*//*Label 11757*/ GIMT_Encode4(750376), // Rule ID 12568 //
     /*  750306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  750317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  750320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  750323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750352 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750374 */     GIR_RootConstrainSelectedInstOperands,
     /*  750375 */     // GIR_Coverage, 12568,
     /*  750375 */     GIR_EraseRootFromParent_Done,
     /*  750376 */   // Label 11757: @750376
     /*  750376 */   GIM_Try, /*On fail goto*//*Label 11758*/ GIMT_Encode4(750451), // Rule ID 12569 //
     /*  750381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  750392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  750395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  750398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750427 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  750427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750449 */     GIR_RootConstrainSelectedInstOperands,
     /*  750450 */     // GIR_Coverage, 12569,
     /*  750450 */     GIR_EraseRootFromParent_Done,
     /*  750451 */   // Label 11758: @750451
     /*  750451 */   GIM_Try, /*On fail goto*//*Label 11759*/ GIMT_Encode4(750526), // Rule ID 12572 //
     /*  750456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  750467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  750470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  750473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750502 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750524 */     GIR_RootConstrainSelectedInstOperands,
     /*  750525 */     // GIR_Coverage, 12572,
     /*  750525 */     GIR_EraseRootFromParent_Done,
     /*  750526 */   // Label 11759: @750526
     /*  750526 */   GIM_Try, /*On fail goto*//*Label 11760*/ GIMT_Encode4(750601), // Rule ID 12573 //
     /*  750531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  750542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  750545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  750548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750577 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  750577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750599 */     GIR_RootConstrainSelectedInstOperands,
     /*  750600 */     // GIR_Coverage, 12573,
     /*  750600 */     GIR_EraseRootFromParent_Done,
     /*  750601 */   // Label 11760: @750601
     /*  750601 */   GIM_Try, /*On fail goto*//*Label 11761*/ GIMT_Encode4(750676), // Rule ID 12576 //
     /*  750606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  750617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  750620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  750623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  750655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750674 */     GIR_RootConstrainSelectedInstOperands,
     /*  750675 */     // GIR_Coverage, 12576,
     /*  750675 */     GIR_EraseRootFromParent_Done,
     /*  750676 */   // Label 11761: @750676
     /*  750676 */   GIM_Try, /*On fail goto*//*Label 11762*/ GIMT_Encode4(750751), // Rule ID 12577 //
     /*  750681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  750692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  750695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  750698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750727 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  750730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750749 */     GIR_RootConstrainSelectedInstOperands,
     /*  750750 */     // GIR_Coverage, 12577,
     /*  750750 */     GIR_EraseRootFromParent_Done,
     /*  750751 */   // Label 11762: @750751
     /*  750751 */   GIM_Try, /*On fail goto*//*Label 11763*/ GIMT_Encode4(750826), // Rule ID 12580 //
     /*  750756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  750773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750824 */     GIR_RootConstrainSelectedInstOperands,
     /*  750825 */     // GIR_Coverage, 12580,
     /*  750825 */     GIR_EraseRootFromParent_Done,
     /*  750826 */   // Label 11763: @750826
     /*  750826 */   GIM_Try, /*On fail goto*//*Label 11764*/ GIMT_Encode4(750901), // Rule ID 12581 //
     /*  750831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  750848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750899 */     GIR_RootConstrainSelectedInstOperands,
     /*  750900 */     // GIR_Coverage, 12581,
     /*  750900 */     GIR_EraseRootFromParent_Done,
     /*  750901 */   // Label 11764: @750901
     /*  750901 */   GIM_Try, /*On fail goto*//*Label 11765*/ GIMT_Encode4(750976), // Rule ID 12584 //
     /*  750906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  750917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  750920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750952 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750974 */     GIR_RootConstrainSelectedInstOperands,
     /*  750975 */     // GIR_Coverage, 12584,
     /*  750975 */     GIR_EraseRootFromParent_Done,
     /*  750976 */   // Label 11765: @750976
     /*  750976 */   GIM_Try, /*On fail goto*//*Label 11766*/ GIMT_Encode4(751051), // Rule ID 12585 //
     /*  750981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  750992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  750995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751027 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  751030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751049 */     GIR_RootConstrainSelectedInstOperands,
     /*  751050 */     // GIR_Coverage, 12585,
     /*  751050 */     GIR_EraseRootFromParent_Done,
     /*  751051 */   // Label 11766: @751051
     /*  751051 */   GIM_Try, /*On fail goto*//*Label 11767*/ GIMT_Encode4(751126), // Rule ID 12588 //
     /*  751056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  751067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  751070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  751073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751102 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  751105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751124 */     GIR_RootConstrainSelectedInstOperands,
     /*  751125 */     // GIR_Coverage, 12588,
     /*  751125 */     GIR_EraseRootFromParent_Done,
     /*  751126 */   // Label 11767: @751126
     /*  751126 */   GIM_Try, /*On fail goto*//*Label 11768*/ GIMT_Encode4(751201), // Rule ID 12589 //
     /*  751131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  751142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  751145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  751148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751177 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  751180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751199 */     GIR_RootConstrainSelectedInstOperands,
     /*  751200 */     // GIR_Coverage, 12589,
     /*  751200 */     GIR_EraseRootFromParent_Done,
     /*  751201 */   // Label 11768: @751201
     /*  751201 */   GIM_Try, /*On fail goto*//*Label 11769*/ GIMT_Encode4(751276), // Rule ID 12592 //
     /*  751206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  751217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  751220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  751223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  751255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751274 */     GIR_RootConstrainSelectedInstOperands,
     /*  751275 */     // GIR_Coverage, 12592,
     /*  751275 */     GIR_EraseRootFromParent_Done,
     /*  751276 */   // Label 11769: @751276
     /*  751276 */   GIM_Try, /*On fail goto*//*Label 11770*/ GIMT_Encode4(751351), // Rule ID 12593 //
     /*  751281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  751292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  751295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  751298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751327 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  751330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751349 */     GIR_RootConstrainSelectedInstOperands,
     /*  751350 */     // GIR_Coverage, 12593,
     /*  751350 */     GIR_EraseRootFromParent_Done,
     /*  751351 */   // Label 11770: @751351
     /*  751351 */   GIM_Try, /*On fail goto*//*Label 11771*/ GIMT_Encode4(751426), // Rule ID 12596 //
     /*  751356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  751367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  751370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  751373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  751405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751424 */     GIR_RootConstrainSelectedInstOperands,
     /*  751425 */     // GIR_Coverage, 12596,
     /*  751425 */     GIR_EraseRootFromParent_Done,
     /*  751426 */   // Label 11771: @751426
     /*  751426 */   GIM_Try, /*On fail goto*//*Label 11772*/ GIMT_Encode4(751501), // Rule ID 12597 //
     /*  751431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  751442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  751445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  751448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751477 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  751480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751499 */     GIR_RootConstrainSelectedInstOperands,
     /*  751500 */     // GIR_Coverage, 12597,
     /*  751500 */     GIR_EraseRootFromParent_Done,
     /*  751501 */   // Label 11772: @751501
     /*  751501 */   GIM_Try, /*On fail goto*//*Label 11773*/ GIMT_Encode4(751576), // Rule ID 12600 //
     /*  751506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  751517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  751520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  751523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  751555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751574 */     GIR_RootConstrainSelectedInstOperands,
     /*  751575 */     // GIR_Coverage, 12600,
     /*  751575 */     GIR_EraseRootFromParent_Done,
     /*  751576 */   // Label 11773: @751576
     /*  751576 */   GIM_Try, /*On fail goto*//*Label 11774*/ GIMT_Encode4(751651), // Rule ID 12601 //
     /*  751581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  751592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  751595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  751598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  751630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751649 */     GIR_RootConstrainSelectedInstOperands,
     /*  751650 */     // GIR_Coverage, 12601,
     /*  751650 */     GIR_EraseRootFromParent_Done,
     /*  751651 */   // Label 11774: @751651
     /*  751651 */   GIM_Try, /*On fail goto*//*Label 11775*/ GIMT_Encode4(751726), // Rule ID 12604 //
     /*  751656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  751667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  751670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  751673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  751705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751724 */     GIR_RootConstrainSelectedInstOperands,
     /*  751725 */     // GIR_Coverage, 12604,
     /*  751725 */     GIR_EraseRootFromParent_Done,
     /*  751726 */   // Label 11775: @751726
     /*  751726 */   GIM_Try, /*On fail goto*//*Label 11776*/ GIMT_Encode4(751801), // Rule ID 12605 //
     /*  751731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  751742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  751745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  751748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751777 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  751780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751799 */     GIR_RootConstrainSelectedInstOperands,
     /*  751800 */     // GIR_Coverage, 12605,
     /*  751800 */     GIR_EraseRootFromParent_Done,
     /*  751801 */   // Label 11776: @751801
     /*  751801 */   GIM_Try, /*On fail goto*//*Label 11777*/ GIMT_Encode4(751876), // Rule ID 12608 //
     /*  751806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  751817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  751820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  751823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  751855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751874 */     GIR_RootConstrainSelectedInstOperands,
     /*  751875 */     // GIR_Coverage, 12608,
     /*  751875 */     GIR_EraseRootFromParent_Done,
     /*  751876 */   // Label 11777: @751876
     /*  751876 */   GIM_Try, /*On fail goto*//*Label 11778*/ GIMT_Encode4(751951), // Rule ID 12609 //
     /*  751881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  751892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  751895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  751898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751927 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  751930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751949 */     GIR_RootConstrainSelectedInstOperands,
     /*  751950 */     // GIR_Coverage, 12609,
     /*  751950 */     GIR_EraseRootFromParent_Done,
     /*  751951 */   // Label 11778: @751951
     /*  751951 */   GIM_Try, /*On fail goto*//*Label 11779*/ GIMT_Encode4(752026), // Rule ID 12612 //
     /*  751956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  751970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  751973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  751976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752002 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  752005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752024 */     GIR_RootConstrainSelectedInstOperands,
     /*  752025 */     // GIR_Coverage, 12612,
     /*  752025 */     GIR_EraseRootFromParent_Done,
     /*  752026 */   // Label 11779: @752026
     /*  752026 */   GIM_Try, /*On fail goto*//*Label 11780*/ GIMT_Encode4(752101), // Rule ID 12613 //
     /*  752031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  752042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  752045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  752048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  752051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752077 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  752080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752099 */     GIR_RootConstrainSelectedInstOperands,
     /*  752100 */     // GIR_Coverage, 12613,
     /*  752100 */     GIR_EraseRootFromParent_Done,
     /*  752101 */   // Label 11780: @752101
     /*  752101 */   GIM_Try, /*On fail goto*//*Label 11781*/ GIMT_Encode4(752176), // Rule ID 12616 //
     /*  752106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  752117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  752120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  752123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  752126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  752155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752174 */     GIR_RootConstrainSelectedInstOperands,
     /*  752175 */     // GIR_Coverage, 12616,
     /*  752175 */     GIR_EraseRootFromParent_Done,
     /*  752176 */   // Label 11781: @752176
     /*  752176 */   GIM_Try, /*On fail goto*//*Label 11782*/ GIMT_Encode4(752251), // Rule ID 12617 //
     /*  752181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  752192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  752195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  752198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  752201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752227 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  752230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752249 */     GIR_RootConstrainSelectedInstOperands,
     /*  752250 */     // GIR_Coverage, 12617,
     /*  752250 */     GIR_EraseRootFromParent_Done,
     /*  752251 */   // Label 11782: @752251
     /*  752251 */   GIM_Try, /*On fail goto*//*Label 11783*/ GIMT_Encode4(752326), // Rule ID 12620 //
     /*  752256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  752267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  752270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  752273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  752276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752324 */     GIR_RootConstrainSelectedInstOperands,
     /*  752325 */     // GIR_Coverage, 12620,
     /*  752325 */     GIR_EraseRootFromParent_Done,
     /*  752326 */   // Label 11783: @752326
     /*  752326 */   GIM_Try, /*On fail goto*//*Label 11784*/ GIMT_Encode4(752401), // Rule ID 12621 //
     /*  752331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  752342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  752345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  752348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  752351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752377 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752399 */     GIR_RootConstrainSelectedInstOperands,
     /*  752400 */     // GIR_Coverage, 12621,
     /*  752400 */     GIR_EraseRootFromParent_Done,
     /*  752401 */   // Label 11784: @752401
     /*  752401 */   GIM_Try, /*On fail goto*//*Label 11785*/ GIMT_Encode4(752476), // Rule ID 12624 //
     /*  752406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  752417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  752420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  752423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  752426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752474 */     GIR_RootConstrainSelectedInstOperands,
     /*  752475 */     // GIR_Coverage, 12624,
     /*  752475 */     GIR_EraseRootFromParent_Done,
     /*  752476 */   // Label 11785: @752476
     /*  752476 */   GIM_Try, /*On fail goto*//*Label 11786*/ GIMT_Encode4(752551), // Rule ID 12625 //
     /*  752481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  752492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  752495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  752498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  752501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752527 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752549 */     GIR_RootConstrainSelectedInstOperands,
     /*  752550 */     // GIR_Coverage, 12625,
     /*  752550 */     GIR_EraseRootFromParent_Done,
     /*  752551 */   // Label 11786: @752551
     /*  752551 */   GIM_Try, /*On fail goto*//*Label 11787*/ GIMT_Encode4(752626), // Rule ID 12628 //
     /*  752556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  752567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  752570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  752573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  752576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752602 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752624 */     GIR_RootConstrainSelectedInstOperands,
     /*  752625 */     // GIR_Coverage, 12628,
     /*  752625 */     GIR_EraseRootFromParent_Done,
     /*  752626 */   // Label 11787: @752626
     /*  752626 */   GIM_Try, /*On fail goto*//*Label 11788*/ GIMT_Encode4(752701), // Rule ID 12629 //
     /*  752631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  752642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  752645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  752648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  752651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752677 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752699 */     GIR_RootConstrainSelectedInstOperands,
     /*  752700 */     // GIR_Coverage, 12629,
     /*  752700 */     GIR_EraseRootFromParent_Done,
     /*  752701 */   // Label 11788: @752701
     /*  752701 */   GIM_Try, /*On fail goto*//*Label 11789*/ GIMT_Encode4(752776), // Rule ID 12632 //
     /*  752706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  752717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  752720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  752723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  752726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752774 */     GIR_RootConstrainSelectedInstOperands,
     /*  752775 */     // GIR_Coverage, 12632,
     /*  752775 */     GIR_EraseRootFromParent_Done,
     /*  752776 */   // Label 11789: @752776
     /*  752776 */   GIM_Try, /*On fail goto*//*Label 11790*/ GIMT_Encode4(752851), // Rule ID 12633 //
     /*  752781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  752792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  752795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  752798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  752801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752849 */     GIR_RootConstrainSelectedInstOperands,
     /*  752850 */     // GIR_Coverage, 12633,
     /*  752850 */     GIR_EraseRootFromParent_Done,
     /*  752851 */   // Label 11790: @752851
     /*  752851 */   GIM_Try, /*On fail goto*//*Label 11791*/ GIMT_Encode4(752926), // Rule ID 12636 //
     /*  752856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  752867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  752870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  752873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  752876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752902 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  752905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752924 */     GIR_RootConstrainSelectedInstOperands,
     /*  752925 */     // GIR_Coverage, 12636,
     /*  752925 */     GIR_EraseRootFromParent_Done,
     /*  752926 */   // Label 11791: @752926
     /*  752926 */   GIM_Try, /*On fail goto*//*Label 11792*/ GIMT_Encode4(753001), // Rule ID 12637 //
     /*  752931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  752942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  752945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  752948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  752951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752977 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  752980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752999 */     GIR_RootConstrainSelectedInstOperands,
     /*  753000 */     // GIR_Coverage, 12637,
     /*  753000 */     GIR_EraseRootFromParent_Done,
     /*  753001 */   // Label 11792: @753001
     /*  753001 */   GIM_Try, /*On fail goto*//*Label 11793*/ GIMT_Encode4(753076), // Rule ID 12640 //
     /*  753006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  753017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  753020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  753023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  753026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  753055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753074 */     GIR_RootConstrainSelectedInstOperands,
     /*  753075 */     // GIR_Coverage, 12640,
     /*  753075 */     GIR_EraseRootFromParent_Done,
     /*  753076 */   // Label 11793: @753076
     /*  753076 */   GIM_Try, /*On fail goto*//*Label 11794*/ GIMT_Encode4(753151), // Rule ID 12641 //
     /*  753081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  753092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  753095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  753098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  753101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753127 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  753130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753149 */     GIR_RootConstrainSelectedInstOperands,
     /*  753150 */     // GIR_Coverage, 12641,
     /*  753150 */     GIR_EraseRootFromParent_Done,
     /*  753151 */   // Label 11794: @753151
     /*  753151 */   GIM_Try, /*On fail goto*//*Label 11795*/ GIMT_Encode4(753226), // Rule ID 12644 //
     /*  753156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  753167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  753170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  753173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  753176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  753205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753224 */     GIR_RootConstrainSelectedInstOperands,
     /*  753225 */     // GIR_Coverage, 12644,
     /*  753225 */     GIR_EraseRootFromParent_Done,
     /*  753226 */   // Label 11795: @753226
     /*  753226 */   GIM_Try, /*On fail goto*//*Label 11796*/ GIMT_Encode4(753301), // Rule ID 12645 //
     /*  753231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  753242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  753245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  753248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  753251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  753280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753299 */     GIR_RootConstrainSelectedInstOperands,
     /*  753300 */     // GIR_Coverage, 12645,
     /*  753300 */     GIR_EraseRootFromParent_Done,
     /*  753301 */   // Label 11796: @753301
     /*  753301 */   GIM_Try, /*On fail goto*//*Label 11797*/ GIMT_Encode4(753376), // Rule ID 12648 //
     /*  753306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  753317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  753320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  753323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  753326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753352 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  753355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753374 */     GIR_RootConstrainSelectedInstOperands,
     /*  753375 */     // GIR_Coverage, 12648,
     /*  753375 */     GIR_EraseRootFromParent_Done,
     /*  753376 */   // Label 11797: @753376
     /*  753376 */   GIM_Try, /*On fail goto*//*Label 11798*/ GIMT_Encode4(753451), // Rule ID 12649 //
     /*  753381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  753392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  753395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  753398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  753401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  753430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753449 */     GIR_RootConstrainSelectedInstOperands,
     /*  753450 */     // GIR_Coverage, 12649,
     /*  753450 */     GIR_EraseRootFromParent_Done,
     /*  753451 */   // Label 11798: @753451
     /*  753451 */   GIM_Try, /*On fail goto*//*Label 11799*/ GIMT_Encode4(753526), // Rule ID 12652 //
     /*  753456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  753467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  753470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  753473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  753476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  753505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753524 */     GIR_RootConstrainSelectedInstOperands,
     /*  753525 */     // GIR_Coverage, 12652,
     /*  753525 */     GIR_EraseRootFromParent_Done,
     /*  753526 */   // Label 11799: @753526
     /*  753526 */   GIM_Try, /*On fail goto*//*Label 11800*/ GIMT_Encode4(753601), // Rule ID 12653 //
     /*  753531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  753542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  753545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  753548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  753551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753577 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  753580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753599 */     GIR_RootConstrainSelectedInstOperands,
     /*  753600 */     // GIR_Coverage, 12653,
     /*  753600 */     GIR_EraseRootFromParent_Done,
     /*  753601 */   // Label 11800: @753601
     /*  753601 */   GIM_Try, /*On fail goto*//*Label 11801*/ GIMT_Encode4(753676), // Rule ID 12656 //
     /*  753606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  753617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  753620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  753623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  753626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  753655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753674 */     GIR_RootConstrainSelectedInstOperands,
     /*  753675 */     // GIR_Coverage, 12656,
     /*  753675 */     GIR_EraseRootFromParent_Done,
     /*  753676 */   // Label 11801: @753676
     /*  753676 */   GIM_Try, /*On fail goto*//*Label 11802*/ GIMT_Encode4(753751), // Rule ID 12657 //
     /*  753681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  753692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  753695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  753698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  753701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  753730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753749 */     GIR_RootConstrainSelectedInstOperands,
     /*  753750 */     // GIR_Coverage, 12657,
     /*  753750 */     GIR_EraseRootFromParent_Done,
     /*  753751 */   // Label 11802: @753751
     /*  753751 */   GIM_Try, /*On fail goto*//*Label 11803*/ GIMT_Encode4(753826), // Rule ID 12660 //
     /*  753756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  753767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  753770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  753773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  753776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  753805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753824 */     GIR_RootConstrainSelectedInstOperands,
     /*  753825 */     // GIR_Coverage, 12660,
     /*  753825 */     GIR_EraseRootFromParent_Done,
     /*  753826 */   // Label 11803: @753826
     /*  753826 */   GIM_Try, /*On fail goto*//*Label 11804*/ GIMT_Encode4(753901), // Rule ID 12661 //
     /*  753831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  753842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  753845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  753848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  753851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753877 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  753880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753899 */     GIR_RootConstrainSelectedInstOperands,
     /*  753900 */     // GIR_Coverage, 12661,
     /*  753900 */     GIR_EraseRootFromParent_Done,
     /*  753901 */   // Label 11804: @753901
     /*  753901 */   GIM_Try, /*On fail goto*//*Label 11805*/ GIMT_Encode4(753976), // Rule ID 12664 //
     /*  753906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  753917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  753920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  753926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753952 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  753955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753974 */     GIR_RootConstrainSelectedInstOperands,
     /*  753975 */     // GIR_Coverage, 12664,
     /*  753975 */     GIR_EraseRootFromParent_Done,
     /*  753976 */   // Label 11805: @753976
     /*  753976 */   GIM_Try, /*On fail goto*//*Label 11806*/ GIMT_Encode4(754051), // Rule ID 12665 //
     /*  753981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  753992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  753995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  754001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754027 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  754027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  754030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754049 */     GIR_RootConstrainSelectedInstOperands,
     /*  754050 */     // GIR_Coverage, 12665,
     /*  754050 */     GIR_EraseRootFromParent_Done,
     /*  754051 */   // Label 11806: @754051
     /*  754051 */   GIM_Try, /*On fail goto*//*Label 11807*/ GIMT_Encode4(754126), // Rule ID 12668 //
     /*  754056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  754059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  754067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  754070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  754073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  754076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754102 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  754102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  754105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754124 */     GIR_RootConstrainSelectedInstOperands,
     /*  754125 */     // GIR_Coverage, 12668,
     /*  754125 */     GIR_EraseRootFromParent_Done,
     /*  754126 */   // Label 11807: @754126
     /*  754126 */   GIM_Try, /*On fail goto*//*Label 11808*/ GIMT_Encode4(754201), // Rule ID 12669 //
     /*  754131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  754134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  754142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  754145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  754148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  754151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754177 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  754177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  754180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754199 */     GIR_RootConstrainSelectedInstOperands,
     /*  754200 */     // GIR_Coverage, 12669,
     /*  754200 */     GIR_EraseRootFromParent_Done,
     /*  754201 */   // Label 11808: @754201
     /*  754201 */   GIM_Try, /*On fail goto*//*Label 11809*/ GIMT_Encode4(754276), // Rule ID 12672 //
     /*  754206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  754217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  754220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  754223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  754255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754274 */     GIR_RootConstrainSelectedInstOperands,
     /*  754275 */     // GIR_Coverage, 12672,
     /*  754275 */     GIR_EraseRootFromParent_Done,
     /*  754276 */   // Label 11809: @754276
     /*  754276 */   GIM_Try, /*On fail goto*//*Label 11810*/ GIMT_Encode4(754351), // Rule ID 12673 //
     /*  754281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  754292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  754295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  754298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754327 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  754330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754349 */     GIR_RootConstrainSelectedInstOperands,
     /*  754350 */     // GIR_Coverage, 12673,
     /*  754350 */     GIR_EraseRootFromParent_Done,
     /*  754351 */   // Label 11810: @754351
     /*  754351 */   GIM_Try, /*On fail goto*//*Label 11811*/ GIMT_Encode4(754426), // Rule ID 12676 //
     /*  754356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  754367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  754370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  754373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  754405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754424 */     GIR_RootConstrainSelectedInstOperands,
     /*  754425 */     // GIR_Coverage, 12676,
     /*  754425 */     GIR_EraseRootFromParent_Done,
     /*  754426 */   // Label 11811: @754426
     /*  754426 */   GIM_Try, /*On fail goto*//*Label 11812*/ GIMT_Encode4(754501), // Rule ID 12677 //
     /*  754431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  754442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  754445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  754448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754477 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  754480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754499 */     GIR_RootConstrainSelectedInstOperands,
     /*  754500 */     // GIR_Coverage, 12677,
     /*  754500 */     GIR_EraseRootFromParent_Done,
     /*  754501 */   // Label 11812: @754501
     /*  754501 */   GIM_Try, /*On fail goto*//*Label 11813*/ GIMT_Encode4(754576), // Rule ID 12680 //
     /*  754506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  754517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  754520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  754523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754574 */     GIR_RootConstrainSelectedInstOperands,
     /*  754575 */     // GIR_Coverage, 12680,
     /*  754575 */     GIR_EraseRootFromParent_Done,
     /*  754576 */   // Label 11813: @754576
     /*  754576 */   GIM_Try, /*On fail goto*//*Label 11814*/ GIMT_Encode4(754651), // Rule ID 12681 //
     /*  754581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  754592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  754595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  754598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754649 */     GIR_RootConstrainSelectedInstOperands,
     /*  754650 */     // GIR_Coverage, 12681,
     /*  754650 */     GIR_EraseRootFromParent_Done,
     /*  754651 */   // Label 11814: @754651
     /*  754651 */   GIM_Try, /*On fail goto*//*Label 11815*/ GIMT_Encode4(754726), // Rule ID 12684 //
     /*  754656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  754667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  754670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  754673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754702 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754724 */     GIR_RootConstrainSelectedInstOperands,
     /*  754725 */     // GIR_Coverage, 12684,
     /*  754725 */     GIR_EraseRootFromParent_Done,
     /*  754726 */   // Label 11815: @754726
     /*  754726 */   GIM_Try, /*On fail goto*//*Label 11816*/ GIMT_Encode4(754801), // Rule ID 12685 //
     /*  754731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  754742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  754745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  754748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754777 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754799 */     GIR_RootConstrainSelectedInstOperands,
     /*  754800 */     // GIR_Coverage, 12685,
     /*  754800 */     GIR_EraseRootFromParent_Done,
     /*  754801 */   // Label 11816: @754801
     /*  754801 */   GIM_Try, /*On fail goto*//*Label 11817*/ GIMT_Encode4(754876), // Rule ID 12688 //
     /*  754806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  754817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  754820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  754823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754852 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  754855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754874 */     GIR_RootConstrainSelectedInstOperands,
     /*  754875 */     // GIR_Coverage, 12688,
     /*  754875 */     GIR_EraseRootFromParent_Done,
     /*  754876 */   // Label 11817: @754876
     /*  754876 */   GIM_Try, /*On fail goto*//*Label 11818*/ GIMT_Encode4(754951), // Rule ID 12689 //
     /*  754881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  754892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  754895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  754898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754927 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  754930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754949 */     GIR_RootConstrainSelectedInstOperands,
     /*  754950 */     // GIR_Coverage, 12689,
     /*  754950 */     GIR_EraseRootFromParent_Done,
     /*  754951 */   // Label 11818: @754951
     /*  754951 */   GIM_Try, /*On fail goto*//*Label 11819*/ GIMT_Encode4(755026), // Rule ID 12692 //
     /*  754956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  754967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  754970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  754973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755024 */     GIR_RootConstrainSelectedInstOperands,
     /*  755025 */     // GIR_Coverage, 12692,
     /*  755025 */     GIR_EraseRootFromParent_Done,
     /*  755026 */   // Label 11819: @755026
     /*  755026 */   GIM_Try, /*On fail goto*//*Label 11820*/ GIMT_Encode4(755101), // Rule ID 12693 //
     /*  755031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  755042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  755045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  755048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755077 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755099 */     GIR_RootConstrainSelectedInstOperands,
     /*  755100 */     // GIR_Coverage, 12693,
     /*  755100 */     GIR_EraseRootFromParent_Done,
     /*  755101 */   // Label 11820: @755101
     /*  755101 */   GIM_Try, /*On fail goto*//*Label 11821*/ GIMT_Encode4(755176), // Rule ID 12696 //
     /*  755106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  755117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  755120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  755123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  755155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755174 */     GIR_RootConstrainSelectedInstOperands,
     /*  755175 */     // GIR_Coverage, 12696,
     /*  755175 */     GIR_EraseRootFromParent_Done,
     /*  755176 */   // Label 11821: @755176
     /*  755176 */   GIM_Try, /*On fail goto*//*Label 11822*/ GIMT_Encode4(755251), // Rule ID 12697 //
     /*  755181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  755192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  755195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  755198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  755230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755249 */     GIR_RootConstrainSelectedInstOperands,
     /*  755250 */     // GIR_Coverage, 12697,
     /*  755250 */     GIR_EraseRootFromParent_Done,
     /*  755251 */   // Label 11822: @755251
     /*  755251 */   GIM_Try, /*On fail goto*//*Label 11823*/ GIMT_Encode4(755326), // Rule ID 12700 //
     /*  755256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  755267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  755270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  755273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  755305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755324 */     GIR_RootConstrainSelectedInstOperands,
     /*  755325 */     // GIR_Coverage, 12700,
     /*  755325 */     GIR_EraseRootFromParent_Done,
     /*  755326 */   // Label 11823: @755326
     /*  755326 */   GIM_Try, /*On fail goto*//*Label 11824*/ GIMT_Encode4(755401), // Rule ID 12701 //
     /*  755331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  755342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  755345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  755348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  755380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755399 */     GIR_RootConstrainSelectedInstOperands,
     /*  755400 */     // GIR_Coverage, 12701,
     /*  755400 */     GIR_EraseRootFromParent_Done,
     /*  755401 */   // Label 11824: @755401
     /*  755401 */   GIM_Try, /*On fail goto*//*Label 11825*/ GIMT_Encode4(755476), // Rule ID 12704 //
     /*  755406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  755417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  755420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  755423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755452 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  755455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755474 */     GIR_RootConstrainSelectedInstOperands,
     /*  755475 */     // GIR_Coverage, 12704,
     /*  755475 */     GIR_EraseRootFromParent_Done,
     /*  755476 */   // Label 11825: @755476
     /*  755476 */   GIM_Try, /*On fail goto*//*Label 11826*/ GIMT_Encode4(755551), // Rule ID 12705 //
     /*  755481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  755492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  755495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  755498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  755530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755549 */     GIR_RootConstrainSelectedInstOperands,
     /*  755550 */     // GIR_Coverage, 12705,
     /*  755550 */     GIR_EraseRootFromParent_Done,
     /*  755551 */   // Label 11826: @755551
     /*  755551 */   GIM_Try, /*On fail goto*//*Label 11827*/ GIMT_Encode4(755626), // Rule ID 12708 //
     /*  755556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  755567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  755570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  755573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  755605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755624 */     GIR_RootConstrainSelectedInstOperands,
     /*  755625 */     // GIR_Coverage, 12708,
     /*  755625 */     GIR_EraseRootFromParent_Done,
     /*  755626 */   // Label 11827: @755626
     /*  755626 */   GIM_Try, /*On fail goto*//*Label 11828*/ GIMT_Encode4(755701), // Rule ID 12709 //
     /*  755631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  755642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  755645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  755648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755677 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  755680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755699 */     GIR_RootConstrainSelectedInstOperands,
     /*  755700 */     // GIR_Coverage, 12709,
     /*  755700 */     GIR_EraseRootFromParent_Done,
     /*  755701 */   // Label 11828: @755701
     /*  755701 */   GIM_Try, /*On fail goto*//*Label 11829*/ GIMT_Encode4(755776), // Rule ID 12712 //
     /*  755706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  755717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  755720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  755723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755774 */     GIR_RootConstrainSelectedInstOperands,
     /*  755775 */     // GIR_Coverage, 12712,
     /*  755775 */     GIR_EraseRootFromParent_Done,
     /*  755776 */   // Label 11829: @755776
     /*  755776 */   GIM_Try, /*On fail goto*//*Label 11830*/ GIMT_Encode4(755851), // Rule ID 12713 //
     /*  755781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  755792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  755795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  755798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755849 */     GIR_RootConstrainSelectedInstOperands,
     /*  755850 */     // GIR_Coverage, 12713,
     /*  755850 */     GIR_EraseRootFromParent_Done,
     /*  755851 */   // Label 11830: @755851
     /*  755851 */   GIM_Try, /*On fail goto*//*Label 11831*/ GIMT_Encode4(755926), // Rule ID 12716 //
     /*  755856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  755873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  755905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755924 */     GIR_RootConstrainSelectedInstOperands,
     /*  755925 */     // GIR_Coverage, 12716,
     /*  755925 */     GIR_EraseRootFromParent_Done,
     /*  755926 */   // Label 11831: @755926
     /*  755926 */   GIM_Try, /*On fail goto*//*Label 11832*/ GIMT_Encode4(756001), // Rule ID 12717 //
     /*  755931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  755948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755977 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  755980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755999 */     GIR_RootConstrainSelectedInstOperands,
     /*  756000 */     // GIR_Coverage, 12717,
     /*  756000 */     GIR_EraseRootFromParent_Done,
     /*  756001 */   // Label 11832: @756001
     /*  756001 */   GIM_Try, /*On fail goto*//*Label 11833*/ GIMT_Encode4(756076), // Rule ID 12720 //
     /*  756006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  756009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  756017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  756020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  756023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  756026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  756055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756074 */     GIR_RootConstrainSelectedInstOperands,
     /*  756075 */     // GIR_Coverage, 12720,
     /*  756075 */     GIR_EraseRootFromParent_Done,
     /*  756076 */   // Label 11833: @756076
     /*  756076 */   GIM_Try, /*On fail goto*//*Label 11834*/ GIMT_Encode4(756151), // Rule ID 12721 //
     /*  756081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  756084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  756092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  756095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  756098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  756101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756127 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  756130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756149 */     GIR_RootConstrainSelectedInstOperands,
     /*  756150 */     // GIR_Coverage, 12721,
     /*  756150 */     GIR_EraseRootFromParent_Done,
     /*  756151 */   // Label 11834: @756151
     /*  756151 */   GIM_Try, /*On fail goto*//*Label 11835*/ GIMT_Encode4(756226), // Rule ID 12724 //
     /*  756156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  756159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  756167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  756170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  756173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  756176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756202 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  756205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756224 */     GIR_RootConstrainSelectedInstOperands,
     /*  756225 */     // GIR_Coverage, 12724,
     /*  756225 */     GIR_EraseRootFromParent_Done,
     /*  756226 */   // Label 11835: @756226
     /*  756226 */   GIM_Try, /*On fail goto*//*Label 11836*/ GIMT_Encode4(756301), // Rule ID 12725 //
     /*  756231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  756234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  756242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  756245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  756248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  756251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756277 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  756280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756299 */     GIR_RootConstrainSelectedInstOperands,
     /*  756300 */     // GIR_Coverage, 12725,
     /*  756300 */     GIR_EraseRootFromParent_Done,
     /*  756301 */   // Label 11836: @756301
     /*  756301 */   GIM_Try, /*On fail goto*//*Label 11837*/ GIMT_Encode4(756376), // Rule ID 12728 //
     /*  756306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  756309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  756317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  756320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  756323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  756326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  756355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756374 */     GIR_RootConstrainSelectedInstOperands,
     /*  756375 */     // GIR_Coverage, 12728,
     /*  756375 */     GIR_EraseRootFromParent_Done,
     /*  756376 */   // Label 11837: @756376
     /*  756376 */   GIM_Try, /*On fail goto*//*Label 11838*/ GIMT_Encode4(756451), // Rule ID 12729 //
     /*  756381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  756384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  756392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  756395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  756398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  756401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756427 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  756430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756449 */     GIR_RootConstrainSelectedInstOperands,
     /*  756450 */     // GIR_Coverage, 12729,
     /*  756450 */     GIR_EraseRootFromParent_Done,
     /*  756451 */   // Label 11838: @756451
     /*  756451 */   GIM_Try, /*On fail goto*//*Label 11839*/ GIMT_Encode4(756529), // Rule ID 14058 //
     /*  756456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  756467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  756470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  756473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  756476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  756505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756527 */     GIR_RootConstrainSelectedInstOperands,
     /*  756528 */     // GIR_Coverage, 14058,
     /*  756528 */     GIR_EraseRootFromParent_Done,
     /*  756529 */   // Label 11839: @756529
     /*  756529 */   GIM_Try, /*On fail goto*//*Label 11840*/ GIMT_Encode4(756607), // Rule ID 14059 //
     /*  756534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  756545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  756548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  756551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  756554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756580 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  756583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756605 */     GIR_RootConstrainSelectedInstOperands,
     /*  756606 */     // GIR_Coverage, 14059,
     /*  756606 */     GIR_EraseRootFromParent_Done,
     /*  756607 */   // Label 11840: @756607
     /*  756607 */   GIM_Try, /*On fail goto*//*Label 11841*/ GIMT_Encode4(756685), // Rule ID 14062 //
     /*  756612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  756623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  756626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  756629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  756632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756658 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  756661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756683 */     GIR_RootConstrainSelectedInstOperands,
     /*  756684 */     // GIR_Coverage, 14062,
     /*  756684 */     GIR_EraseRootFromParent_Done,
     /*  756685 */   // Label 11841: @756685
     /*  756685 */   GIM_Try, /*On fail goto*//*Label 11842*/ GIMT_Encode4(756763), // Rule ID 14063 //
     /*  756690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  756701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  756704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  756707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  756710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756736 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  756739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756761 */     GIR_RootConstrainSelectedInstOperands,
     /*  756762 */     // GIR_Coverage, 14063,
     /*  756762 */     GIR_EraseRootFromParent_Done,
     /*  756763 */   // Label 11842: @756763
     /*  756763 */   GIM_Try, /*On fail goto*//*Label 11843*/ GIMT_Encode4(756841), // Rule ID 14066 //
     /*  756768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  756779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  756782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  756785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  756788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756814 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756839 */     GIR_RootConstrainSelectedInstOperands,
     /*  756840 */     // GIR_Coverage, 14066,
     /*  756840 */     GIR_EraseRootFromParent_Done,
     /*  756841 */   // Label 11843: @756841
     /*  756841 */   GIM_Try, /*On fail goto*//*Label 11844*/ GIMT_Encode4(756919), // Rule ID 14067 //
     /*  756846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  756857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  756860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  756863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  756866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756892 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756917 */     GIR_RootConstrainSelectedInstOperands,
     /*  756918 */     // GIR_Coverage, 14067,
     /*  756918 */     GIR_EraseRootFromParent_Done,
     /*  756919 */   // Label 11844: @756919
     /*  756919 */   GIM_Try, /*On fail goto*//*Label 11845*/ GIMT_Encode4(756997), // Rule ID 14070 //
     /*  756924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  756935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  756938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  756941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  756944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756970 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  756973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756995 */     GIR_RootConstrainSelectedInstOperands,
     /*  756996 */     // GIR_Coverage, 14070,
     /*  756996 */     GIR_EraseRootFromParent_Done,
     /*  756997 */   // Label 11845: @756997
     /*  756997 */   GIM_Try, /*On fail goto*//*Label 11846*/ GIMT_Encode4(757075), // Rule ID 14071 //
     /*  757002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  757013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  757016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  757019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  757022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757048 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  757051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757073 */     GIR_RootConstrainSelectedInstOperands,
     /*  757074 */     // GIR_Coverage, 14071,
     /*  757074 */     GIR_EraseRootFromParent_Done,
     /*  757075 */   // Label 11846: @757075
     /*  757075 */   GIM_Try, /*On fail goto*//*Label 11847*/ GIMT_Encode4(757153), // Rule ID 14074 //
     /*  757080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  757091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  757094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  757097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  757100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757126 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  757129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757151 */     GIR_RootConstrainSelectedInstOperands,
     /*  757152 */     // GIR_Coverage, 14074,
     /*  757152 */     GIR_EraseRootFromParent_Done,
     /*  757153 */   // Label 11847: @757153
     /*  757153 */   GIM_Try, /*On fail goto*//*Label 11848*/ GIMT_Encode4(757231), // Rule ID 14075 //
     /*  757158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  757169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  757172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  757175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  757178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  757207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757229 */     GIR_RootConstrainSelectedInstOperands,
     /*  757230 */     // GIR_Coverage, 14075,
     /*  757230 */     GIR_EraseRootFromParent_Done,
     /*  757231 */   // Label 11848: @757231
     /*  757231 */   GIM_Try, /*On fail goto*//*Label 11849*/ GIMT_Encode4(757309), // Rule ID 14078 //
     /*  757236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  757247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  757250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  757253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  757256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  757285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757307 */     GIR_RootConstrainSelectedInstOperands,
     /*  757308 */     // GIR_Coverage, 14078,
     /*  757308 */     GIR_EraseRootFromParent_Done,
     /*  757309 */   // Label 11849: @757309
     /*  757309 */   GIM_Try, /*On fail goto*//*Label 11850*/ GIMT_Encode4(757387), // Rule ID 14079 //
     /*  757314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  757325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  757328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  757331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  757334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757360 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  757363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757385 */     GIR_RootConstrainSelectedInstOperands,
     /*  757386 */     // GIR_Coverage, 14079,
     /*  757386 */     GIR_EraseRootFromParent_Done,
     /*  757387 */   // Label 11850: @757387
     /*  757387 */   GIM_Try, /*On fail goto*//*Label 11851*/ GIMT_Encode4(757465), // Rule ID 14082 //
     /*  757392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  757403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  757406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  757409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  757412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757438 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757463 */     GIR_RootConstrainSelectedInstOperands,
     /*  757464 */     // GIR_Coverage, 14082,
     /*  757464 */     GIR_EraseRootFromParent_Done,
     /*  757465 */   // Label 11851: @757465
     /*  757465 */   GIM_Try, /*On fail goto*//*Label 11852*/ GIMT_Encode4(757543), // Rule ID 14083 //
     /*  757470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  757481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  757484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  757487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  757490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757516 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757541 */     GIR_RootConstrainSelectedInstOperands,
     /*  757542 */     // GIR_Coverage, 14083,
     /*  757542 */     GIR_EraseRootFromParent_Done,
     /*  757543 */   // Label 11852: @757543
     /*  757543 */   GIM_Try, /*On fail goto*//*Label 11853*/ GIMT_Encode4(757621), // Rule ID 14086 //
     /*  757548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  757559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  757562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  757565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  757568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757594 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757619 */     GIR_RootConstrainSelectedInstOperands,
     /*  757620 */     // GIR_Coverage, 14086,
     /*  757620 */     GIR_EraseRootFromParent_Done,
     /*  757621 */   // Label 11853: @757621
     /*  757621 */   GIM_Try, /*On fail goto*//*Label 11854*/ GIMT_Encode4(757699), // Rule ID 14087 //
     /*  757626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  757637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  757640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  757643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  757646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757697 */     GIR_RootConstrainSelectedInstOperands,
     /*  757698 */     // GIR_Coverage, 14087,
     /*  757698 */     GIR_EraseRootFromParent_Done,
     /*  757699 */   // Label 11854: @757699
     /*  757699 */   GIM_Try, /*On fail goto*//*Label 11855*/ GIMT_Encode4(757777), // Rule ID 14090 //
     /*  757704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  757715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  757718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  757721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  757724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757775 */     GIR_RootConstrainSelectedInstOperands,
     /*  757776 */     // GIR_Coverage, 14090,
     /*  757776 */     GIR_EraseRootFromParent_Done,
     /*  757777 */   // Label 11855: @757777
     /*  757777 */   GIM_Try, /*On fail goto*//*Label 11856*/ GIMT_Encode4(757855), // Rule ID 14091 //
     /*  757782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  757793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  757796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  757799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  757802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757853 */     GIR_RootConstrainSelectedInstOperands,
     /*  757854 */     // GIR_Coverage, 14091,
     /*  757854 */     GIR_EraseRootFromParent_Done,
     /*  757855 */   // Label 11856: @757855
     /*  757855 */   GIM_Try, /*On fail goto*//*Label 11857*/ GIMT_Encode4(757933), // Rule ID 14094 //
     /*  757860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  757863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  757877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  757880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757906 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  757906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757931 */     GIR_RootConstrainSelectedInstOperands,
     /*  757932 */     // GIR_Coverage, 14094,
     /*  757932 */     GIR_EraseRootFromParent_Done,
     /*  757933 */   // Label 11857: @757933
     /*  757933 */   GIM_Try, /*On fail goto*//*Label 11858*/ GIMT_Encode4(758011), // Rule ID 14095 //
     /*  757938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  757941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  757955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  757958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  757984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  757987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758009 */     GIR_RootConstrainSelectedInstOperands,
     /*  758010 */     // GIR_Coverage, 14095,
     /*  758010 */     GIR_EraseRootFromParent_Done,
     /*  758011 */   // Label 11858: @758011
     /*  758011 */   GIM_Try, /*On fail goto*//*Label 11859*/ GIMT_Encode4(758089), // Rule ID 14098 //
     /*  758016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  758027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  758030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  758033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  758036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758062 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758087 */     GIR_RootConstrainSelectedInstOperands,
     /*  758088 */     // GIR_Coverage, 14098,
     /*  758088 */     GIR_EraseRootFromParent_Done,
     /*  758089 */   // Label 11859: @758089
     /*  758089 */   GIM_Try, /*On fail goto*//*Label 11860*/ GIMT_Encode4(758167), // Rule ID 14099 //
     /*  758094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  758105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  758108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  758111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  758114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758140 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758165 */     GIR_RootConstrainSelectedInstOperands,
     /*  758166 */     // GIR_Coverage, 14099,
     /*  758166 */     GIR_EraseRootFromParent_Done,
     /*  758167 */   // Label 11860: @758167
     /*  758167 */   GIM_Try, /*On fail goto*//*Label 11861*/ GIMT_Encode4(758245), // Rule ID 14102 //
     /*  758172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  758183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  758186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  758189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  758192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758218 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758243 */     GIR_RootConstrainSelectedInstOperands,
     /*  758244 */     // GIR_Coverage, 14102,
     /*  758244 */     GIR_EraseRootFromParent_Done,
     /*  758245 */   // Label 11861: @758245
     /*  758245 */   GIM_Try, /*On fail goto*//*Label 11862*/ GIMT_Encode4(758323), // Rule ID 14103 //
     /*  758250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  758261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  758264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  758267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  758270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758296 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758321 */     GIR_RootConstrainSelectedInstOperands,
     /*  758322 */     // GIR_Coverage, 14103,
     /*  758322 */     GIR_EraseRootFromParent_Done,
     /*  758323 */   // Label 11862: @758323
     /*  758323 */   GIM_Try, /*On fail goto*//*Label 11863*/ GIMT_Encode4(758401), // Rule ID 14106 //
     /*  758328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  758339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  758342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  758345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  758348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758374 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758399 */     GIR_RootConstrainSelectedInstOperands,
     /*  758400 */     // GIR_Coverage, 14106,
     /*  758400 */     GIR_EraseRootFromParent_Done,
     /*  758401 */   // Label 11863: @758401
     /*  758401 */   GIM_Try, /*On fail goto*//*Label 11864*/ GIMT_Encode4(758479), // Rule ID 14107 //
     /*  758406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  758417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  758420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  758423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  758426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758452 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758477 */     GIR_RootConstrainSelectedInstOperands,
     /*  758478 */     // GIR_Coverage, 14107,
     /*  758478 */     GIR_EraseRootFromParent_Done,
     /*  758479 */   // Label 11864: @758479
     /*  758479 */   GIM_Try, /*On fail goto*//*Label 11865*/ GIMT_Encode4(758557), // Rule ID 14110 //
     /*  758484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  758495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  758498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  758501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  758504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758530 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758555 */     GIR_RootConstrainSelectedInstOperands,
     /*  758556 */     // GIR_Coverage, 14110,
     /*  758556 */     GIR_EraseRootFromParent_Done,
     /*  758557 */   // Label 11865: @758557
     /*  758557 */   GIM_Try, /*On fail goto*//*Label 11866*/ GIMT_Encode4(758635), // Rule ID 14111 //
     /*  758562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  758573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  758576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  758579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  758582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758633 */     GIR_RootConstrainSelectedInstOperands,
     /*  758634 */     // GIR_Coverage, 14111,
     /*  758634 */     GIR_EraseRootFromParent_Done,
     /*  758635 */   // Label 11866: @758635
     /*  758635 */   GIM_Try, /*On fail goto*//*Label 11867*/ GIMT_Encode4(758713), // Rule ID 14114 //
     /*  758640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  758651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  758654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  758657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  758660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758711 */     GIR_RootConstrainSelectedInstOperands,
     /*  758712 */     // GIR_Coverage, 14114,
     /*  758712 */     GIR_EraseRootFromParent_Done,
     /*  758713 */   // Label 11867: @758713
     /*  758713 */   GIM_Try, /*On fail goto*//*Label 11868*/ GIMT_Encode4(758791), // Rule ID 14115 //
     /*  758718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  758729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  758732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  758735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  758738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758789 */     GIR_RootConstrainSelectedInstOperands,
     /*  758790 */     // GIR_Coverage, 14115,
     /*  758790 */     GIR_EraseRootFromParent_Done,
     /*  758791 */   // Label 11868: @758791
     /*  758791 */   GIM_Try, /*On fail goto*//*Label 11869*/ GIMT_Encode4(758869), // Rule ID 14118 //
     /*  758796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  758813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  758816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758867 */     GIR_RootConstrainSelectedInstOperands,
     /*  758868 */     // GIR_Coverage, 14118,
     /*  758868 */     GIR_EraseRootFromParent_Done,
     /*  758869 */   // Label 11869: @758869
     /*  758869 */   GIM_Try, /*On fail goto*//*Label 11870*/ GIMT_Encode4(758947), // Rule ID 14119 //
     /*  758874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  758891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  758894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758920 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758945 */     GIR_RootConstrainSelectedInstOperands,
     /*  758946 */     // GIR_Coverage, 14119,
     /*  758946 */     GIR_EraseRootFromParent_Done,
     /*  758947 */   // Label 11870: @758947
     /*  758947 */   GIM_Try, /*On fail goto*//*Label 11871*/ GIMT_Encode4(759025), // Rule ID 14122 //
     /*  758952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  758963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  758966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  758969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  758972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758998 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  759001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759023 */     GIR_RootConstrainSelectedInstOperands,
     /*  759024 */     // GIR_Coverage, 14122,
     /*  759024 */     GIR_EraseRootFromParent_Done,
     /*  759025 */   // Label 11871: @759025
     /*  759025 */   GIM_Try, /*On fail goto*//*Label 11872*/ GIMT_Encode4(759103), // Rule ID 14123 //
     /*  759030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  759041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  759044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  759047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  759050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  759079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759101 */     GIR_RootConstrainSelectedInstOperands,
     /*  759102 */     // GIR_Coverage, 14123,
     /*  759102 */     GIR_EraseRootFromParent_Done,
     /*  759103 */   // Label 11872: @759103
     /*  759103 */   GIM_Try, /*On fail goto*//*Label 11873*/ GIMT_Encode4(759181), // Rule ID 14126 //
     /*  759108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  759119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  759122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  759125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  759128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759154 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  759157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759179 */     GIR_RootConstrainSelectedInstOperands,
     /*  759180 */     // GIR_Coverage, 14126,
     /*  759180 */     GIR_EraseRootFromParent_Done,
     /*  759181 */   // Label 11873: @759181
     /*  759181 */   GIM_Try, /*On fail goto*//*Label 11874*/ GIMT_Encode4(759259), // Rule ID 14127 //
     /*  759186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  759197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  759200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  759203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  759206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759232 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  759235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759257 */     GIR_RootConstrainSelectedInstOperands,
     /*  759258 */     // GIR_Coverage, 14127,
     /*  759258 */     GIR_EraseRootFromParent_Done,
     /*  759259 */   // Label 11874: @759259
     /*  759259 */   GIM_Try, /*On fail goto*//*Label 11875*/ GIMT_Encode4(759337), // Rule ID 14130 //
     /*  759264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  759281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  759284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759310 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  759313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759335 */     GIR_RootConstrainSelectedInstOperands,
     /*  759336 */     // GIR_Coverage, 14130,
     /*  759336 */     GIR_EraseRootFromParent_Done,
     /*  759337 */   // Label 11875: @759337
     /*  759337 */   GIM_Try, /*On fail goto*//*Label 11876*/ GIMT_Encode4(759415), // Rule ID 14131 //
     /*  759342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  759359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  759362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759388 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  759391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759413 */     GIR_RootConstrainSelectedInstOperands,
     /*  759414 */     // GIR_Coverage, 14131,
     /*  759414 */     GIR_EraseRootFromParent_Done,
     /*  759415 */   // Label 11876: @759415
     /*  759415 */   GIM_Try, /*On fail goto*//*Label 11877*/ GIMT_Encode4(759493), // Rule ID 14134 //
     /*  759420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  759423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  759431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  759434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  759437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  759440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759466 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  759466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  759469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759491 */     GIR_RootConstrainSelectedInstOperands,
     /*  759492 */     // GIR_Coverage, 14134,
     /*  759492 */     GIR_EraseRootFromParent_Done,
     /*  759493 */   // Label 11877: @759493
     /*  759493 */   GIM_Try, /*On fail goto*//*Label 11878*/ GIMT_Encode4(759571), // Rule ID 14135 //
     /*  759498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  759501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  759509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  759512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  759515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  759518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  759547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759569 */     GIR_RootConstrainSelectedInstOperands,
     /*  759570 */     // GIR_Coverage, 14135,
     /*  759570 */     GIR_EraseRootFromParent_Done,
     /*  759571 */   // Label 11878: @759571
     /*  759571 */   GIM_Try, /*On fail goto*//*Label 11879*/ GIMT_Encode4(759649), // Rule ID 14138 //
     /*  759576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  759579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  759587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  759590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  759593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  759596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  759622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  759625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759647 */     GIR_RootConstrainSelectedInstOperands,
     /*  759648 */     // GIR_Coverage, 14138,
     /*  759648 */     GIR_EraseRootFromParent_Done,
     /*  759649 */   // Label 11879: @759649
     /*  759649 */   GIM_Try, /*On fail goto*//*Label 11880*/ GIMT_Encode4(759727), // Rule ID 14139 //
     /*  759654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  759657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  759665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  759668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  759671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  759674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759700 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  759703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759725 */     GIR_RootConstrainSelectedInstOperands,
     /*  759726 */     // GIR_Coverage, 14139,
     /*  759726 */     GIR_EraseRootFromParent_Done,
     /*  759727 */   // Label 11880: @759727
     /*  759727 */   GIM_Try, /*On fail goto*//*Label 11881*/ GIMT_Encode4(759805), // Rule ID 14142 //
     /*  759732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  759735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  759743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  759746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  759749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  759752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759778 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  759778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  759781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759803 */     GIR_RootConstrainSelectedInstOperands,
     /*  759804 */     // GIR_Coverage, 14142,
     /*  759804 */     GIR_EraseRootFromParent_Done,
     /*  759805 */   // Label 11881: @759805
     /*  759805 */   GIM_Try, /*On fail goto*//*Label 11882*/ GIMT_Encode4(759883), // Rule ID 14143 //
     /*  759810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  759813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  759821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  759824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  759827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  759830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759856 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  759859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759881 */     GIR_RootConstrainSelectedInstOperands,
     /*  759882 */     // GIR_Coverage, 14143,
     /*  759882 */     GIR_EraseRootFromParent_Done,
     /*  759883 */   // Label 11882: @759883
     /*  759883 */   GIM_Try, /*On fail goto*//*Label 11883*/ GIMT_Encode4(759961), // Rule ID 14146 //
     /*  759888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  759899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  759902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  759905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  759937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759956 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759959 */     GIR_RootConstrainSelectedInstOperands,
     /*  759960 */     // GIR_Coverage, 14146,
     /*  759960 */     GIR_EraseRootFromParent_Done,
     /*  759961 */   // Label 11883: @759961
     /*  759961 */   GIM_Try, /*On fail goto*//*Label 11884*/ GIMT_Encode4(760039), // Rule ID 14147 //
     /*  759966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  759977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  759980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  759983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760012 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  760015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760037 */     GIR_RootConstrainSelectedInstOperands,
     /*  760038 */     // GIR_Coverage, 14147,
     /*  760038 */     GIR_EraseRootFromParent_Done,
     /*  760039 */   // Label 11884: @760039
     /*  760039 */   GIM_Try, /*On fail goto*//*Label 11885*/ GIMT_Encode4(760117), // Rule ID 14150 //
     /*  760044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  760055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  760058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  760061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760090 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  760093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760115 */     GIR_RootConstrainSelectedInstOperands,
     /*  760116 */     // GIR_Coverage, 14150,
     /*  760116 */     GIR_EraseRootFromParent_Done,
     /*  760117 */   // Label 11885: @760117
     /*  760117 */   GIM_Try, /*On fail goto*//*Label 11886*/ GIMT_Encode4(760195), // Rule ID 14151 //
     /*  760122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  760133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  760136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  760139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760168 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  760171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760193 */     GIR_RootConstrainSelectedInstOperands,
     /*  760194 */     // GIR_Coverage, 14151,
     /*  760194 */     GIR_EraseRootFromParent_Done,
     /*  760195 */   // Label 11886: @760195
     /*  760195 */   GIM_Try, /*On fail goto*//*Label 11887*/ GIMT_Encode4(760273), // Rule ID 14154 //
     /*  760200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  760211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  760214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  760217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760246 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  760249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760271 */     GIR_RootConstrainSelectedInstOperands,
     /*  760272 */     // GIR_Coverage, 14154,
     /*  760272 */     GIR_EraseRootFromParent_Done,
     /*  760273 */   // Label 11887: @760273
     /*  760273 */   GIM_Try, /*On fail goto*//*Label 11888*/ GIMT_Encode4(760351), // Rule ID 14155 //
     /*  760278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  760289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  760292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  760295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760324 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  760327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760349 */     GIR_RootConstrainSelectedInstOperands,
     /*  760350 */     // GIR_Coverage, 14155,
     /*  760350 */     GIR_EraseRootFromParent_Done,
     /*  760351 */   // Label 11888: @760351
     /*  760351 */   GIM_Try, /*On fail goto*//*Label 11889*/ GIMT_Encode4(760429), // Rule ID 14158 //
     /*  760356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  760367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  760370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  760373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760402 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  760405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760427 */     GIR_RootConstrainSelectedInstOperands,
     /*  760428 */     // GIR_Coverage, 14158,
     /*  760428 */     GIR_EraseRootFromParent_Done,
     /*  760429 */   // Label 11889: @760429
     /*  760429 */   GIM_Try, /*On fail goto*//*Label 11890*/ GIMT_Encode4(760507), // Rule ID 14159 //
     /*  760434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  760445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  760448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  760451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760480 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  760483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760505 */     GIR_RootConstrainSelectedInstOperands,
     /*  760506 */     // GIR_Coverage, 14159,
     /*  760506 */     GIR_EraseRootFromParent_Done,
     /*  760507 */   // Label 11890: @760507
     /*  760507 */   GIM_Try, /*On fail goto*//*Label 11891*/ GIMT_Encode4(760585), // Rule ID 14162 //
     /*  760512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  760523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  760526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  760529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  760561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760583 */     GIR_RootConstrainSelectedInstOperands,
     /*  760584 */     // GIR_Coverage, 14162,
     /*  760584 */     GIR_EraseRootFromParent_Done,
     /*  760585 */   // Label 11891: @760585
     /*  760585 */   GIM_Try, /*On fail goto*//*Label 11892*/ GIMT_Encode4(760663), // Rule ID 14163 //
     /*  760590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  760601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  760604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  760607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760636 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  760639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760661 */     GIR_RootConstrainSelectedInstOperands,
     /*  760662 */     // GIR_Coverage, 14163,
     /*  760662 */     GIR_EraseRootFromParent_Done,
     /*  760663 */   // Label 11892: @760663
     /*  760663 */   GIM_Try, /*On fail goto*//*Label 11893*/ GIMT_Encode4(760741), // Rule ID 14166 //
     /*  760668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  760679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  760682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  760717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760739 */     GIR_RootConstrainSelectedInstOperands,
     /*  760740 */     // GIR_Coverage, 14166,
     /*  760740 */     GIR_EraseRootFromParent_Done,
     /*  760741 */   // Label 11893: @760741
     /*  760741 */   GIM_Try, /*On fail goto*//*Label 11894*/ GIMT_Encode4(760819), // Rule ID 14167 //
     /*  760746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  760757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  760760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  760795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760817 */     GIR_RootConstrainSelectedInstOperands,
     /*  760818 */     // GIR_Coverage, 14167,
     /*  760818 */     GIR_EraseRootFromParent_Done,
     /*  760819 */   // Label 11894: @760819
     /*  760819 */   GIM_Try, /*On fail goto*//*Label 11895*/ GIMT_Encode4(760897), // Rule ID 14170 //
     /*  760824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  760835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  760838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  760841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760870 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760895 */     GIR_RootConstrainSelectedInstOperands,
     /*  760896 */     // GIR_Coverage, 14170,
     /*  760896 */     GIR_EraseRootFromParent_Done,
     /*  760897 */   // Label 11895: @760897
     /*  760897 */   GIM_Try, /*On fail goto*//*Label 11896*/ GIMT_Encode4(760975), // Rule ID 14171 //
     /*  760902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  760913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  760916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  760919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760948 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760973 */     GIR_RootConstrainSelectedInstOperands,
     /*  760974 */     // GIR_Coverage, 14171,
     /*  760974 */     GIR_EraseRootFromParent_Done,
     /*  760975 */   // Label 11896: @760975
     /*  760975 */   GIM_Try, /*On fail goto*//*Label 11897*/ GIMT_Encode4(761053), // Rule ID 14174 //
     /*  760980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  760991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  760994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  760997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761026 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  761029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761051 */     GIR_RootConstrainSelectedInstOperands,
     /*  761052 */     // GIR_Coverage, 14174,
     /*  761052 */     GIR_EraseRootFromParent_Done,
     /*  761053 */   // Label 11897: @761053
     /*  761053 */   GIM_Try, /*On fail goto*//*Label 11898*/ GIMT_Encode4(761131), // Rule ID 14175 //
     /*  761058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  761069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  761072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  761075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  761107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761129 */     GIR_RootConstrainSelectedInstOperands,
     /*  761130 */     // GIR_Coverage, 14175,
     /*  761130 */     GIR_EraseRootFromParent_Done,
     /*  761131 */   // Label 11898: @761131
     /*  761131 */   GIM_Try, /*On fail goto*//*Label 11899*/ GIMT_Encode4(761209), // Rule ID 14178 //
     /*  761136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  761147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  761150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  761153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761182 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  761185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761207 */     GIR_RootConstrainSelectedInstOperands,
     /*  761208 */     // GIR_Coverage, 14178,
     /*  761208 */     GIR_EraseRootFromParent_Done,
     /*  761209 */   // Label 11899: @761209
     /*  761209 */   GIM_Try, /*On fail goto*//*Label 11900*/ GIMT_Encode4(761287), // Rule ID 14179 //
     /*  761214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  761225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  761228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  761231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761260 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  761263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761285 */     GIR_RootConstrainSelectedInstOperands,
     /*  761286 */     // GIR_Coverage, 14179,
     /*  761286 */     GIR_EraseRootFromParent_Done,
     /*  761287 */   // Label 11900: @761287
     /*  761287 */   GIM_Try, /*On fail goto*//*Label 11901*/ GIMT_Encode4(761365), // Rule ID 14182 //
     /*  761292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  761295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  761303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  761306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  761309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761338 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  761338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  761341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761363 */     GIR_RootConstrainSelectedInstOperands,
     /*  761364 */     // GIR_Coverage, 14182,
     /*  761364 */     GIR_EraseRootFromParent_Done,
     /*  761365 */   // Label 11901: @761365
     /*  761365 */   GIM_Try, /*On fail goto*//*Label 11902*/ GIMT_Encode4(761443), // Rule ID 14183 //
     /*  761370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  761373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  761381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  761384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  761387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  761416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  761419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761441 */     GIR_RootConstrainSelectedInstOperands,
     /*  761442 */     // GIR_Coverage, 14183,
     /*  761442 */     GIR_EraseRootFromParent_Done,
     /*  761443 */   // Label 11902: @761443
     /*  761443 */   GIM_Try, /*On fail goto*//*Label 11903*/ GIMT_Encode4(761521), // Rule ID 14186 //
     /*  761448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  761459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  761462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  761465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761494 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761519 */     GIR_RootConstrainSelectedInstOperands,
     /*  761520 */     // GIR_Coverage, 14186,
     /*  761520 */     GIR_EraseRootFromParent_Done,
     /*  761521 */   // Label 11903: @761521
     /*  761521 */   GIM_Try, /*On fail goto*//*Label 11904*/ GIMT_Encode4(761599), // Rule ID 14187 //
     /*  761526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  761537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  761540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  761543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761597 */     GIR_RootConstrainSelectedInstOperands,
     /*  761598 */     // GIR_Coverage, 14187,
     /*  761598 */     GIR_EraseRootFromParent_Done,
     /*  761599 */   // Label 11904: @761599
     /*  761599 */   GIM_Try, /*On fail goto*//*Label 11905*/ GIMT_Encode4(761677), // Rule ID 14190 //
     /*  761604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  761615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  761618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  761621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761650 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761675 */     GIR_RootConstrainSelectedInstOperands,
     /*  761676 */     // GIR_Coverage, 14190,
     /*  761676 */     GIR_EraseRootFromParent_Done,
     /*  761677 */   // Label 11905: @761677
     /*  761677 */   GIM_Try, /*On fail goto*//*Label 11906*/ GIMT_Encode4(761755), // Rule ID 14191 //
     /*  761682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  761693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  761696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  761699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761728 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761753 */     GIR_RootConstrainSelectedInstOperands,
     /*  761754 */     // GIR_Coverage, 14191,
     /*  761754 */     GIR_EraseRootFromParent_Done,
     /*  761755 */   // Label 11906: @761755
     /*  761755 */   GIM_Try, /*On fail goto*//*Label 11907*/ GIMT_Encode4(761833), // Rule ID 14194 //
     /*  761760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  761771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  761774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  761777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761806 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761831 */     GIR_RootConstrainSelectedInstOperands,
     /*  761832 */     // GIR_Coverage, 14194,
     /*  761832 */     GIR_EraseRootFromParent_Done,
     /*  761833 */   // Label 11907: @761833
     /*  761833 */   GIM_Try, /*On fail goto*//*Label 11908*/ GIMT_Encode4(761911), // Rule ID 14195 //
     /*  761838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  761849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  761852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  761855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761884 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761909 */     GIR_RootConstrainSelectedInstOperands,
     /*  761910 */     // GIR_Coverage, 14195,
     /*  761910 */     GIR_EraseRootFromParent_Done,
     /*  761911 */   // Label 11908: @761911
     /*  761911 */   GIM_Try, /*On fail goto*//*Label 11909*/ GIMT_Encode4(761989), // Rule ID 14198 //
     /*  761916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  761927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  761930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  761933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761962 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761987 */     GIR_RootConstrainSelectedInstOperands,
     /*  761988 */     // GIR_Coverage, 14198,
     /*  761988 */     GIR_EraseRootFromParent_Done,
     /*  761989 */   // Label 11909: @761989
     /*  761989 */   GIM_Try, /*On fail goto*//*Label 11910*/ GIMT_Encode4(762067), // Rule ID 14199 //
     /*  761994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  762005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  762008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  762011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762040 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  762043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762065 */     GIR_RootConstrainSelectedInstOperands,
     /*  762066 */     // GIR_Coverage, 14199,
     /*  762066 */     GIR_EraseRootFromParent_Done,
     /*  762067 */   // Label 11910: @762067
     /*  762067 */   GIM_Try, /*On fail goto*//*Label 11911*/ GIMT_Encode4(762145), // Rule ID 14202 //
     /*  762072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  762083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  762086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  762089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762118 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  762121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762143 */     GIR_RootConstrainSelectedInstOperands,
     /*  762144 */     // GIR_Coverage, 14202,
     /*  762144 */     GIR_EraseRootFromParent_Done,
     /*  762145 */   // Label 11911: @762145
     /*  762145 */   GIM_Try, /*On fail goto*//*Label 11912*/ GIMT_Encode4(762223), // Rule ID 14203 //
     /*  762150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  762161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  762164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  762167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  762199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762221 */     GIR_RootConstrainSelectedInstOperands,
     /*  762222 */     // GIR_Coverage, 14203,
     /*  762222 */     GIR_EraseRootFromParent_Done,
     /*  762223 */   // Label 11912: @762223
     /*  762223 */   GIM_Try, /*On fail goto*//*Label 11913*/ GIMT_Encode4(762301), // Rule ID 14206 //
     /*  762228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  762239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  762242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  762245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762274 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762299 */     GIR_RootConstrainSelectedInstOperands,
     /*  762300 */     // GIR_Coverage, 14206,
     /*  762300 */     GIR_EraseRootFromParent_Done,
     /*  762301 */   // Label 11913: @762301
     /*  762301 */   GIM_Try, /*On fail goto*//*Label 11914*/ GIMT_Encode4(762379), // Rule ID 14207 //
     /*  762306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  762317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  762320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  762323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762352 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762377 */     GIR_RootConstrainSelectedInstOperands,
     /*  762378 */     // GIR_Coverage, 14207,
     /*  762378 */     GIR_EraseRootFromParent_Done,
     /*  762379 */   // Label 11914: @762379
     /*  762379 */   GIM_Try, /*On fail goto*//*Label 11915*/ GIMT_Encode4(762457), // Rule ID 14210 //
     /*  762384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  762395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  762398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  762401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  762433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762455 */     GIR_RootConstrainSelectedInstOperands,
     /*  762456 */     // GIR_Coverage, 14210,
     /*  762456 */     GIR_EraseRootFromParent_Done,
     /*  762457 */   // Label 11915: @762457
     /*  762457 */   GIM_Try, /*On fail goto*//*Label 11916*/ GIMT_Encode4(762535), // Rule ID 14211 //
     /*  762462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  762473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  762476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  762479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  762511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762533 */     GIR_RootConstrainSelectedInstOperands,
     /*  762534 */     // GIR_Coverage, 14211,
     /*  762534 */     GIR_EraseRootFromParent_Done,
     /*  762535 */   // Label 11916: @762535
     /*  762535 */   GIM_Try, /*On fail goto*//*Label 11917*/ GIMT_Encode4(762613), // Rule ID 14214 //
     /*  762540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  762551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  762554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  762557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  762589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762611 */     GIR_RootConstrainSelectedInstOperands,
     /*  762612 */     // GIR_Coverage, 14214,
     /*  762612 */     GIR_EraseRootFromParent_Done,
     /*  762613 */   // Label 11917: @762613
     /*  762613 */   GIM_Try, /*On fail goto*//*Label 11918*/ GIMT_Encode4(762691), // Rule ID 14215 //
     /*  762618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  762629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  762632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  762635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762664 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  762667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762689 */     GIR_RootConstrainSelectedInstOperands,
     /*  762690 */     // GIR_Coverage, 14215,
     /*  762690 */     GIR_EraseRootFromParent_Done,
     /*  762691 */   // Label 11918: @762691
     /*  762691 */   GIM_Try, /*On fail goto*//*Label 11919*/ GIMT_Encode4(762769), // Rule ID 14218 //
     /*  762696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  762707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  762710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  762713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762767 */     GIR_RootConstrainSelectedInstOperands,
     /*  762768 */     // GIR_Coverage, 14218,
     /*  762768 */     GIR_EraseRootFromParent_Done,
     /*  762769 */   // Label 11919: @762769
     /*  762769 */   GIM_Try, /*On fail goto*//*Label 11920*/ GIMT_Encode4(762847), // Rule ID 14219 //
     /*  762774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  762785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  762788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  762791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762820 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762845 */     GIR_RootConstrainSelectedInstOperands,
     /*  762846 */     // GIR_Coverage, 14219,
     /*  762846 */     GIR_EraseRootFromParent_Done,
     /*  762847 */   // Label 11920: @762847
     /*  762847 */   GIM_Try, /*On fail goto*//*Label 11921*/ GIMT_Encode4(762925), // Rule ID 14222 //
     /*  762852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  762863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  762866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  762869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762898 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  762901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762923 */     GIR_RootConstrainSelectedInstOperands,
     /*  762924 */     // GIR_Coverage, 14222,
     /*  762924 */     GIR_EraseRootFromParent_Done,
     /*  762925 */   // Label 11921: @762925
     /*  762925 */   GIM_Try, /*On fail goto*//*Label 11922*/ GIMT_Encode4(763003), // Rule ID 14223 //
     /*  762930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  762941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  762944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  762947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  762979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763001 */     GIR_RootConstrainSelectedInstOperands,
     /*  763002 */     // GIR_Coverage, 14223,
     /*  763002 */     GIR_EraseRootFromParent_Done,
     /*  763003 */   // Label 11922: @763003
     /*  763003 */   GIM_Try, /*On fail goto*//*Label 11923*/ GIMT_Encode4(763081), // Rule ID 14226 //
     /*  763008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  763019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  763022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  763025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763054 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  763057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763076 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763079 */     GIR_RootConstrainSelectedInstOperands,
     /*  763080 */     // GIR_Coverage, 14226,
     /*  763080 */     GIR_EraseRootFromParent_Done,
     /*  763081 */   // Label 11923: @763081
     /*  763081 */   GIM_Try, /*On fail goto*//*Label 11924*/ GIMT_Encode4(763159), // Rule ID 14227 //
     /*  763086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  763097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  763100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  763103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763132 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  763135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763157 */     GIR_RootConstrainSelectedInstOperands,
     /*  763158 */     // GIR_Coverage, 14227,
     /*  763158 */     GIR_EraseRootFromParent_Done,
     /*  763159 */   // Label 11924: @763159
     /*  763159 */   GIM_Try, /*On fail goto*//*Label 11925*/ GIMT_Encode4(763237), // Rule ID 14230 //
     /*  763164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  763175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  763178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  763181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763210 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  763213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763235 */     GIR_RootConstrainSelectedInstOperands,
     /*  763236 */     // GIR_Coverage, 14230,
     /*  763236 */     GIR_EraseRootFromParent_Done,
     /*  763237 */   // Label 11925: @763237
     /*  763237 */   GIM_Try, /*On fail goto*//*Label 11926*/ GIMT_Encode4(763315), // Rule ID 14231 //
     /*  763242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  763253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  763256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  763259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763288 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  763291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763313 */     GIR_RootConstrainSelectedInstOperands,
     /*  763314 */     // GIR_Coverage, 14231,
     /*  763314 */     GIR_EraseRootFromParent_Done,
     /*  763315 */   // Label 11926: @763315
     /*  763315 */   GIM_Try, /*On fail goto*//*Label 11927*/ GIMT_Encode4(763393), // Rule ID 14322 //
     /*  763320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  763331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  763334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  763337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  763340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763366 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  763369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763391 */     GIR_RootConstrainSelectedInstOperands,
     /*  763392 */     // GIR_Coverage, 14322,
     /*  763392 */     GIR_EraseRootFromParent_Done,
     /*  763393 */   // Label 11927: @763393
     /*  763393 */   GIM_Try, /*On fail goto*//*Label 11928*/ GIMT_Encode4(763471), // Rule ID 14323 //
     /*  763398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  763409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  763412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  763415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  763418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763444 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  763447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763466 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763469 */     GIR_RootConstrainSelectedInstOperands,
     /*  763470 */     // GIR_Coverage, 14323,
     /*  763470 */     GIR_EraseRootFromParent_Done,
     /*  763471 */   // Label 11928: @763471
     /*  763471 */   GIM_Try, /*On fail goto*//*Label 11929*/ GIMT_Encode4(763549), // Rule ID 14326 //
     /*  763476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  763487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  763490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  763493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  763496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  763525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763547 */     GIR_RootConstrainSelectedInstOperands,
     /*  763548 */     // GIR_Coverage, 14326,
     /*  763548 */     GIR_EraseRootFromParent_Done,
     /*  763549 */   // Label 11929: @763549
     /*  763549 */   GIM_Try, /*On fail goto*//*Label 11930*/ GIMT_Encode4(763627), // Rule ID 14327 //
     /*  763554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  763565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  763568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  763571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  763574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763600 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  763603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763625 */     GIR_RootConstrainSelectedInstOperands,
     /*  763626 */     // GIR_Coverage, 14327,
     /*  763626 */     GIR_EraseRootFromParent_Done,
     /*  763627 */   // Label 11930: @763627
     /*  763627 */   GIM_Try, /*On fail goto*//*Label 11931*/ GIMT_Encode4(763705), // Rule ID 14330 //
     /*  763632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  763643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  763646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  763649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  763652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763678 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763703 */     GIR_RootConstrainSelectedInstOperands,
     /*  763704 */     // GIR_Coverage, 14330,
     /*  763704 */     GIR_EraseRootFromParent_Done,
     /*  763705 */   // Label 11931: @763705
     /*  763705 */   GIM_Try, /*On fail goto*//*Label 11932*/ GIMT_Encode4(763783), // Rule ID 14331 //
     /*  763710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  763721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  763724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  763727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  763730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763756 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763781 */     GIR_RootConstrainSelectedInstOperands,
     /*  763782 */     // GIR_Coverage, 14331,
     /*  763782 */     GIR_EraseRootFromParent_Done,
     /*  763783 */   // Label 11932: @763783
     /*  763783 */   GIM_Try, /*On fail goto*//*Label 11933*/ GIMT_Encode4(763861), // Rule ID 14334 //
     /*  763788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  763799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  763802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  763805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  763808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763834 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  763837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763859 */     GIR_RootConstrainSelectedInstOperands,
     /*  763860 */     // GIR_Coverage, 14334,
     /*  763860 */     GIR_EraseRootFromParent_Done,
     /*  763861 */   // Label 11933: @763861
     /*  763861 */   GIM_Try, /*On fail goto*//*Label 11934*/ GIMT_Encode4(763939), // Rule ID 14335 //
     /*  763866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  763877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  763880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  763883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  763886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763912 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  763915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763937 */     GIR_RootConstrainSelectedInstOperands,
     /*  763938 */     // GIR_Coverage, 14335,
     /*  763938 */     GIR_EraseRootFromParent_Done,
     /*  763939 */   // Label 11934: @763939
     /*  763939 */   GIM_Try, /*On fail goto*//*Label 11935*/ GIMT_Encode4(764017), // Rule ID 14338 //
     /*  763944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  763955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  763958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  763961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  763964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763990 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764015 */     GIR_RootConstrainSelectedInstOperands,
     /*  764016 */     // GIR_Coverage, 14338,
     /*  764016 */     GIR_EraseRootFromParent_Done,
     /*  764017 */   // Label 11935: @764017
     /*  764017 */   GIM_Try, /*On fail goto*//*Label 11936*/ GIMT_Encode4(764095), // Rule ID 14339 //
     /*  764022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  764033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  764036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  764039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  764042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764068 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  764071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764093 */     GIR_RootConstrainSelectedInstOperands,
     /*  764094 */     // GIR_Coverage, 14339,
     /*  764094 */     GIR_EraseRootFromParent_Done,
     /*  764095 */   // Label 11936: @764095
     /*  764095 */   GIM_Try, /*On fail goto*//*Label 11937*/ GIMT_Encode4(764173), // Rule ID 14342 //
     /*  764100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  764111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  764114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  764117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  764120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  764149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764171 */     GIR_RootConstrainSelectedInstOperands,
     /*  764172 */     // GIR_Coverage, 14342,
     /*  764172 */     GIR_EraseRootFromParent_Done,
     /*  764173 */   // Label 11937: @764173
     /*  764173 */   GIM_Try, /*On fail goto*//*Label 11938*/ GIMT_Encode4(764251), // Rule ID 14343 //
     /*  764178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  764189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  764192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  764195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  764198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  764227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764249 */     GIR_RootConstrainSelectedInstOperands,
     /*  764250 */     // GIR_Coverage, 14343,
     /*  764250 */     GIR_EraseRootFromParent_Done,
     /*  764251 */   // Label 11938: @764251
     /*  764251 */   GIM_Try, /*On fail goto*//*Label 11939*/ GIMT_Encode4(764329), // Rule ID 14346 //
     /*  764256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  764267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  764270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  764273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  764276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764327 */     GIR_RootConstrainSelectedInstOperands,
     /*  764328 */     // GIR_Coverage, 14346,
     /*  764328 */     GIR_EraseRootFromParent_Done,
     /*  764329 */   // Label 11939: @764329
     /*  764329 */   GIM_Try, /*On fail goto*//*Label 11940*/ GIMT_Encode4(764407), // Rule ID 14347 //
     /*  764334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  764345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  764348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  764351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  764354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764405 */     GIR_RootConstrainSelectedInstOperands,
     /*  764406 */     // GIR_Coverage, 14347,
     /*  764406 */     GIR_EraseRootFromParent_Done,
     /*  764407 */   // Label 11940: @764407
     /*  764407 */   GIM_Try, /*On fail goto*//*Label 11941*/ GIMT_Encode4(764485), // Rule ID 14350 //
     /*  764412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  764423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  764426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  764429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  764432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764483 */     GIR_RootConstrainSelectedInstOperands,
     /*  764484 */     // GIR_Coverage, 14350,
     /*  764484 */     GIR_EraseRootFromParent_Done,
     /*  764485 */   // Label 11941: @764485
     /*  764485 */   GIM_Try, /*On fail goto*//*Label 11942*/ GIMT_Encode4(764563), // Rule ID 14351 //
     /*  764490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  764501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  764504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  764507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  764510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764561 */     GIR_RootConstrainSelectedInstOperands,
     /*  764562 */     // GIR_Coverage, 14351,
     /*  764562 */     GIR_EraseRootFromParent_Done,
     /*  764563 */   // Label 11942: @764563
     /*  764563 */   GIM_Try, /*On fail goto*//*Label 11943*/ GIMT_Encode4(764641), // Rule ID 14354 //
     /*  764568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  764579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  764582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  764585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  764588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764639 */     GIR_RootConstrainSelectedInstOperands,
     /*  764640 */     // GIR_Coverage, 14354,
     /*  764640 */     GIR_EraseRootFromParent_Done,
     /*  764641 */   // Label 11943: @764641
     /*  764641 */   GIM_Try, /*On fail goto*//*Label 11944*/ GIMT_Encode4(764719), // Rule ID 14355 //
     /*  764646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  764657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  764660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  764663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  764666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764717 */     GIR_RootConstrainSelectedInstOperands,
     /*  764718 */     // GIR_Coverage, 14355,
     /*  764718 */     GIR_EraseRootFromParent_Done,
     /*  764719 */   // Label 11944: @764719
     /*  764719 */   GIM_Try, /*On fail goto*//*Label 11945*/ GIMT_Encode4(764797), // Rule ID 14358 //
     /*  764724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  764727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  764735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  764738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  764741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  764744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  764770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764795 */     GIR_RootConstrainSelectedInstOperands,
     /*  764796 */     // GIR_Coverage, 14358,
     /*  764796 */     GIR_EraseRootFromParent_Done,
     /*  764797 */   // Label 11945: @764797
     /*  764797 */   GIM_Try, /*On fail goto*//*Label 11946*/ GIMT_Encode4(764875), // Rule ID 14359 //
     /*  764802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  764805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  764813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  764816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  764819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  764822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  764848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  764851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764873 */     GIR_RootConstrainSelectedInstOperands,
     /*  764874 */     // GIR_Coverage, 14359,
     /*  764874 */     GIR_EraseRootFromParent_Done,
     /*  764875 */   // Label 11946: @764875
     /*  764875 */   GIM_Try, /*On fail goto*//*Label 11947*/ GIMT_Encode4(764953), // Rule ID 14362 //
     /*  764880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  764891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  764894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  764897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  764900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764951 */     GIR_RootConstrainSelectedInstOperands,
     /*  764952 */     // GIR_Coverage, 14362,
     /*  764952 */     GIR_EraseRootFromParent_Done,
     /*  764953 */   // Label 11947: @764953
     /*  764953 */   GIM_Try, /*On fail goto*//*Label 11948*/ GIMT_Encode4(765031), // Rule ID 14363 //
     /*  764958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  764969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  764972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  764975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  764978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765004 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765029 */     GIR_RootConstrainSelectedInstOperands,
     /*  765030 */     // GIR_Coverage, 14363,
     /*  765030 */     GIR_EraseRootFromParent_Done,
     /*  765031 */   // Label 11948: @765031
     /*  765031 */   GIM_Try, /*On fail goto*//*Label 11949*/ GIMT_Encode4(765109), // Rule ID 14366 //
     /*  765036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  765047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  765050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  765053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  765056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765082 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765107 */     GIR_RootConstrainSelectedInstOperands,
     /*  765108 */     // GIR_Coverage, 14366,
     /*  765108 */     GIR_EraseRootFromParent_Done,
     /*  765109 */   // Label 11949: @765109
     /*  765109 */   GIM_Try, /*On fail goto*//*Label 11950*/ GIMT_Encode4(765187), // Rule ID 14367 //
     /*  765114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  765125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  765128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  765131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  765134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765160 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765185 */     GIR_RootConstrainSelectedInstOperands,
     /*  765186 */     // GIR_Coverage, 14367,
     /*  765186 */     GIR_EraseRootFromParent_Done,
     /*  765187 */   // Label 11950: @765187
     /*  765187 */   GIM_Try, /*On fail goto*//*Label 11951*/ GIMT_Encode4(765265), // Rule ID 14370 //
     /*  765192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  765203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  765206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  765209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  765212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765238 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765263 */     GIR_RootConstrainSelectedInstOperands,
     /*  765264 */     // GIR_Coverage, 14370,
     /*  765264 */     GIR_EraseRootFromParent_Done,
     /*  765265 */   // Label 11951: @765265
     /*  765265 */   GIM_Try, /*On fail goto*//*Label 11952*/ GIMT_Encode4(765343), // Rule ID 14371 //
     /*  765270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  765281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  765284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  765287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  765290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765316 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765341 */     GIR_RootConstrainSelectedInstOperands,
     /*  765342 */     // GIR_Coverage, 14371,
     /*  765342 */     GIR_EraseRootFromParent_Done,
     /*  765343 */   // Label 11952: @765343
     /*  765343 */   GIM_Try, /*On fail goto*//*Label 11953*/ GIMT_Encode4(765421), // Rule ID 14374 //
     /*  765348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  765359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  765362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  765365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  765368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765419 */     GIR_RootConstrainSelectedInstOperands,
     /*  765420 */     // GIR_Coverage, 14374,
     /*  765420 */     GIR_EraseRootFromParent_Done,
     /*  765421 */   // Label 11953: @765421
     /*  765421 */   GIM_Try, /*On fail goto*//*Label 11954*/ GIMT_Encode4(765499), // Rule ID 14375 //
     /*  765426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  765437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  765440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  765443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  765446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765497 */     GIR_RootConstrainSelectedInstOperands,
     /*  765498 */     // GIR_Coverage, 14375,
     /*  765498 */     GIR_EraseRootFromParent_Done,
     /*  765499 */   // Label 11954: @765499
     /*  765499 */   GIM_Try, /*On fail goto*//*Label 11955*/ GIMT_Encode4(765577), // Rule ID 14378 //
     /*  765504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  765515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  765518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  765521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  765524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765550 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765575 */     GIR_RootConstrainSelectedInstOperands,
     /*  765576 */     // GIR_Coverage, 14378,
     /*  765576 */     GIR_EraseRootFromParent_Done,
     /*  765577 */   // Label 11955: @765577
     /*  765577 */   GIM_Try, /*On fail goto*//*Label 11956*/ GIMT_Encode4(765655), // Rule ID 14379 //
     /*  765582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  765593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  765596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  765599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  765602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765653 */     GIR_RootConstrainSelectedInstOperands,
     /*  765654 */     // GIR_Coverage, 14379,
     /*  765654 */     GIR_EraseRootFromParent_Done,
     /*  765655 */   // Label 11956: @765655
     /*  765655 */   GIM_Try, /*On fail goto*//*Label 11957*/ GIMT_Encode4(765733), // Rule ID 14382 //
     /*  765660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  765671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  765674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  765677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  765680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765706 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765731 */     GIR_RootConstrainSelectedInstOperands,
     /*  765732 */     // GIR_Coverage, 14382,
     /*  765732 */     GIR_EraseRootFromParent_Done,
     /*  765733 */   // Label 11957: @765733
     /*  765733 */   GIM_Try, /*On fail goto*//*Label 11958*/ GIMT_Encode4(765811), // Rule ID 14383 //
     /*  765738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  765749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  765752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  765755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  765758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765784 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765809 */     GIR_RootConstrainSelectedInstOperands,
     /*  765810 */     // GIR_Coverage, 14383,
     /*  765810 */     GIR_EraseRootFromParent_Done,
     /*  765811 */   // Label 11958: @765811
     /*  765811 */   GIM_Try, /*On fail goto*//*Label 11959*/ GIMT_Encode4(765889), // Rule ID 14386 //
     /*  765816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  765827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  765830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  765833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  765836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765862 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765887 */     GIR_RootConstrainSelectedInstOperands,
     /*  765888 */     // GIR_Coverage, 14386,
     /*  765888 */     GIR_EraseRootFromParent_Done,
     /*  765889 */   // Label 11959: @765889
     /*  765889 */   GIM_Try, /*On fail goto*//*Label 11960*/ GIMT_Encode4(765967), // Rule ID 14387 //
     /*  765894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  765905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  765908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  765911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  765914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765940 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765965 */     GIR_RootConstrainSelectedInstOperands,
     /*  765966 */     // GIR_Coverage, 14387,
     /*  765966 */     GIR_EraseRootFromParent_Done,
     /*  765967 */   // Label 11960: @765967
     /*  765967 */   GIM_Try, /*On fail goto*//*Label 11961*/ GIMT_Encode4(766045), // Rule ID 14390 //
     /*  765972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  765983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  765986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  765989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  765992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766018 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  766021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766043 */     GIR_RootConstrainSelectedInstOperands,
     /*  766044 */     // GIR_Coverage, 14390,
     /*  766044 */     GIR_EraseRootFromParent_Done,
     /*  766045 */   // Label 11961: @766045
     /*  766045 */   GIM_Try, /*On fail goto*//*Label 11962*/ GIMT_Encode4(766123), // Rule ID 14391 //
     /*  766050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  766061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  766064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  766067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  766070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  766099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766121 */     GIR_RootConstrainSelectedInstOperands,
     /*  766122 */     // GIR_Coverage, 14391,
     /*  766122 */     GIR_EraseRootFromParent_Done,
     /*  766123 */   // Label 11962: @766123
     /*  766123 */   GIM_Try, /*On fail goto*//*Label 11963*/ GIMT_Encode4(766201), // Rule ID 14394 //
     /*  766128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  766139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  766142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  766145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  766148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766174 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  766177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766199 */     GIR_RootConstrainSelectedInstOperands,
     /*  766200 */     // GIR_Coverage, 14394,
     /*  766200 */     GIR_EraseRootFromParent_Done,
     /*  766201 */   // Label 11963: @766201
     /*  766201 */   GIM_Try, /*On fail goto*//*Label 11964*/ GIMT_Encode4(766279), // Rule ID 14395 //
     /*  766206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  766217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  766220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  766223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  766226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  766255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766277 */     GIR_RootConstrainSelectedInstOperands,
     /*  766278 */     // GIR_Coverage, 14395,
     /*  766278 */     GIR_EraseRootFromParent_Done,
     /*  766279 */   // Label 11964: @766279
     /*  766279 */   GIM_Try, /*On fail goto*//*Label 11965*/ GIMT_Encode4(766357), // Rule ID 14398 //
     /*  766284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  766287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  766295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  766298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  766301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  766304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  766333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766355 */     GIR_RootConstrainSelectedInstOperands,
     /*  766356 */     // GIR_Coverage, 14398,
     /*  766356 */     GIR_EraseRootFromParent_Done,
     /*  766357 */   // Label 11965: @766357
     /*  766357 */   GIM_Try, /*On fail goto*//*Label 11966*/ GIMT_Encode4(766435), // Rule ID 14399 //
     /*  766362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  766373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  766376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  766379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  766382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766408 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  766411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766433 */     GIR_RootConstrainSelectedInstOperands,
     /*  766434 */     // GIR_Coverage, 14399,
     /*  766434 */     GIR_EraseRootFromParent_Done,
     /*  766435 */   // Label 11966: @766435
     /*  766435 */   GIM_Try, /*On fail goto*//*Label 11967*/ GIMT_Encode4(766513), // Rule ID 14402 //
     /*  766440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  766443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  766451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  766454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  766457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  766460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  766489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766511 */     GIR_RootConstrainSelectedInstOperands,
     /*  766512 */     // GIR_Coverage, 14402,
     /*  766512 */     GIR_EraseRootFromParent_Done,
     /*  766513 */   // Label 11967: @766513
     /*  766513 */   GIM_Try, /*On fail goto*//*Label 11968*/ GIMT_Encode4(766591), // Rule ID 14403 //
     /*  766518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  766529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  766532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  766535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  766538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766564 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  766567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766589 */     GIR_RootConstrainSelectedInstOperands,
     /*  766590 */     // GIR_Coverage, 14403,
     /*  766590 */     GIR_EraseRootFromParent_Done,
     /*  766591 */   // Label 11968: @766591
     /*  766591 */   GIM_Try, /*On fail goto*//*Label 11969*/ GIMT_Encode4(766669), // Rule ID 14406 //
     /*  766596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  766599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  766607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  766610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  766613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  766616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766642 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  766645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766667 */     GIR_RootConstrainSelectedInstOperands,
     /*  766668 */     // GIR_Coverage, 14406,
     /*  766668 */     GIR_EraseRootFromParent_Done,
     /*  766669 */   // Label 11969: @766669
     /*  766669 */   GIM_Try, /*On fail goto*//*Label 11970*/ GIMT_Encode4(766747), // Rule ID 14407 //
     /*  766674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  766685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  766688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  766691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  766694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766720 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  766723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766745 */     GIR_RootConstrainSelectedInstOperands,
     /*  766746 */     // GIR_Coverage, 14407,
     /*  766746 */     GIR_EraseRootFromParent_Done,
     /*  766747 */   // Label 11970: @766747
     /*  766747 */   GIM_Try, /*On fail goto*//*Label 11971*/ GIMT_Encode4(766825), // Rule ID 14410 //
     /*  766752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  766763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  766766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  766769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766798 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  766801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766823 */     GIR_RootConstrainSelectedInstOperands,
     /*  766824 */     // GIR_Coverage, 14410,
     /*  766824 */     GIR_EraseRootFromParent_Done,
     /*  766825 */   // Label 11971: @766825
     /*  766825 */   GIM_Try, /*On fail goto*//*Label 11972*/ GIMT_Encode4(766903), // Rule ID 14411 //
     /*  766830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  766841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  766844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  766847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766876 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  766879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766901 */     GIR_RootConstrainSelectedInstOperands,
     /*  766902 */     // GIR_Coverage, 14411,
     /*  766902 */     GIR_EraseRootFromParent_Done,
     /*  766903 */   // Label 11972: @766903
     /*  766903 */   GIM_Try, /*On fail goto*//*Label 11973*/ GIMT_Encode4(766981), // Rule ID 14414 //
     /*  766908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  766919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  766922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  766925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766954 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  766957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766979 */     GIR_RootConstrainSelectedInstOperands,
     /*  766980 */     // GIR_Coverage, 14414,
     /*  766980 */     GIR_EraseRootFromParent_Done,
     /*  766981 */   // Label 11973: @766981
     /*  766981 */   GIM_Try, /*On fail goto*//*Label 11974*/ GIMT_Encode4(767059), // Rule ID 14415 //
     /*  766986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  766997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  767000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  767003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767032 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  767035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767057 */     GIR_RootConstrainSelectedInstOperands,
     /*  767058 */     // GIR_Coverage, 14415,
     /*  767058 */     GIR_EraseRootFromParent_Done,
     /*  767059 */   // Label 11974: @767059
     /*  767059 */   GIM_Try, /*On fail goto*//*Label 11975*/ GIMT_Encode4(767137), // Rule ID 14418 //
     /*  767064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  767075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  767078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  767081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767110 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  767113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767135 */     GIR_RootConstrainSelectedInstOperands,
     /*  767136 */     // GIR_Coverage, 14418,
     /*  767136 */     GIR_EraseRootFromParent_Done,
     /*  767137 */   // Label 11975: @767137
     /*  767137 */   GIM_Try, /*On fail goto*//*Label 11976*/ GIMT_Encode4(767215), // Rule ID 14419 //
     /*  767142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  767153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  767156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  767159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767188 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  767191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767213 */     GIR_RootConstrainSelectedInstOperands,
     /*  767214 */     // GIR_Coverage, 14419,
     /*  767214 */     GIR_EraseRootFromParent_Done,
     /*  767215 */   // Label 11976: @767215
     /*  767215 */   GIM_Try, /*On fail goto*//*Label 11977*/ GIMT_Encode4(767293), // Rule ID 14422 //
     /*  767220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  767231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  767234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  767237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767266 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  767269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767291 */     GIR_RootConstrainSelectedInstOperands,
     /*  767292 */     // GIR_Coverage, 14422,
     /*  767292 */     GIR_EraseRootFromParent_Done,
     /*  767293 */   // Label 11977: @767293
     /*  767293 */   GIM_Try, /*On fail goto*//*Label 11978*/ GIMT_Encode4(767371), // Rule ID 14423 //
     /*  767298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  767309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  767312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  767315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  767347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767369 */     GIR_RootConstrainSelectedInstOperands,
     /*  767370 */     // GIR_Coverage, 14423,
     /*  767370 */     GIR_EraseRootFromParent_Done,
     /*  767371 */   // Label 11978: @767371
     /*  767371 */   GIM_Try, /*On fail goto*//*Label 11979*/ GIMT_Encode4(767449), // Rule ID 14426 //
     /*  767376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  767387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  767390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  767393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767422 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  767425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767447 */     GIR_RootConstrainSelectedInstOperands,
     /*  767448 */     // GIR_Coverage, 14426,
     /*  767448 */     GIR_EraseRootFromParent_Done,
     /*  767449 */   // Label 11979: @767449
     /*  767449 */   GIM_Try, /*On fail goto*//*Label 11980*/ GIMT_Encode4(767527), // Rule ID 14427 //
     /*  767454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  767465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  767468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  767471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767500 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  767503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767525 */     GIR_RootConstrainSelectedInstOperands,
     /*  767526 */     // GIR_Coverage, 14427,
     /*  767526 */     GIR_EraseRootFromParent_Done,
     /*  767527 */   // Label 11980: @767527
     /*  767527 */   GIM_Try, /*On fail goto*//*Label 11981*/ GIMT_Encode4(767605), // Rule ID 14430 //
     /*  767532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  767543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  767546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  767549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  767581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767603 */     GIR_RootConstrainSelectedInstOperands,
     /*  767604 */     // GIR_Coverage, 14430,
     /*  767604 */     GIR_EraseRootFromParent_Done,
     /*  767605 */   // Label 11981: @767605
     /*  767605 */   GIM_Try, /*On fail goto*//*Label 11982*/ GIMT_Encode4(767683), // Rule ID 14431 //
     /*  767610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  767621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  767624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  767627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  767659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767681 */     GIR_RootConstrainSelectedInstOperands,
     /*  767682 */     // GIR_Coverage, 14431,
     /*  767682 */     GIR_EraseRootFromParent_Done,
     /*  767683 */   // Label 11982: @767683
     /*  767683 */   GIM_Try, /*On fail goto*//*Label 11983*/ GIMT_Encode4(767761), // Rule ID 14434 //
     /*  767688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  767699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  767702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  767705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767734 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767759 */     GIR_RootConstrainSelectedInstOperands,
     /*  767760 */     // GIR_Coverage, 14434,
     /*  767760 */     GIR_EraseRootFromParent_Done,
     /*  767761 */   // Label 11983: @767761
     /*  767761 */   GIM_Try, /*On fail goto*//*Label 11984*/ GIMT_Encode4(767839), // Rule ID 14435 //
     /*  767766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  767777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  767780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  767783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767812 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767837 */     GIR_RootConstrainSelectedInstOperands,
     /*  767838 */     // GIR_Coverage, 14435,
     /*  767838 */     GIR_EraseRootFromParent_Done,
     /*  767839 */   // Label 11984: @767839
     /*  767839 */   GIM_Try, /*On fail goto*//*Label 11985*/ GIMT_Encode4(767917), // Rule ID 14438 //
     /*  767844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  767855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  767858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  767861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767915 */     GIR_RootConstrainSelectedInstOperands,
     /*  767916 */     // GIR_Coverage, 14438,
     /*  767916 */     GIR_EraseRootFromParent_Done,
     /*  767917 */   // Label 11985: @767917
     /*  767917 */   GIM_Try, /*On fail goto*//*Label 11986*/ GIMT_Encode4(767995), // Rule ID 14439 //
     /*  767922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  767933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  767936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  767939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767993 */     GIR_RootConstrainSelectedInstOperands,
     /*  767994 */     // GIR_Coverage, 14439,
     /*  767994 */     GIR_EraseRootFromParent_Done,
     /*  767995 */   // Label 11986: @767995
     /*  767995 */   GIM_Try, /*On fail goto*//*Label 11987*/ GIMT_Encode4(768073), // Rule ID 14442 //
     /*  768000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  768011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  768014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  768017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768046 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  768049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768071 */     GIR_RootConstrainSelectedInstOperands,
     /*  768072 */     // GIR_Coverage, 14442,
     /*  768072 */     GIR_EraseRootFromParent_Done,
     /*  768073 */   // Label 11987: @768073
     /*  768073 */   GIM_Try, /*On fail goto*//*Label 11988*/ GIMT_Encode4(768151), // Rule ID 14443 //
     /*  768078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  768089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  768092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  768095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  768127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768149 */     GIR_RootConstrainSelectedInstOperands,
     /*  768150 */     // GIR_Coverage, 14443,
     /*  768150 */     GIR_EraseRootFromParent_Done,
     /*  768151 */   // Label 11988: @768151
     /*  768151 */   GIM_Try, /*On fail goto*//*Label 11989*/ GIMT_Encode4(768229), // Rule ID 14446 //
     /*  768156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  768167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  768170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  768173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768202 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  768205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768227 */     GIR_RootConstrainSelectedInstOperands,
     /*  768228 */     // GIR_Coverage, 14446,
     /*  768228 */     GIR_EraseRootFromParent_Done,
     /*  768229 */   // Label 11989: @768229
     /*  768229 */   GIM_Try, /*On fail goto*//*Label 11990*/ GIMT_Encode4(768307), // Rule ID 14447 //
     /*  768234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  768237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  768245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  768248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  768251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  768280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  768283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768305 */     GIR_RootConstrainSelectedInstOperands,
     /*  768306 */     // GIR_Coverage, 14447,
     /*  768306 */     GIR_EraseRootFromParent_Done,
     /*  768307 */   // Label 11990: @768307
     /*  768307 */   GIM_Try, /*On fail goto*//*Label 11991*/ GIMT_Encode4(768385), // Rule ID 14450 //
     /*  768312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  768323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  768326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  768329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768358 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768383 */     GIR_RootConstrainSelectedInstOperands,
     /*  768384 */     // GIR_Coverage, 14450,
     /*  768384 */     GIR_EraseRootFromParent_Done,
     /*  768385 */   // Label 11991: @768385
     /*  768385 */   GIM_Try, /*On fail goto*//*Label 11992*/ GIMT_Encode4(768463), // Rule ID 14451 //
     /*  768390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  768401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  768404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  768407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768436 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768461 */     GIR_RootConstrainSelectedInstOperands,
     /*  768462 */     // GIR_Coverage, 14451,
     /*  768462 */     GIR_EraseRootFromParent_Done,
     /*  768463 */   // Label 11992: @768463
     /*  768463 */   GIM_Try, /*On fail goto*//*Label 11993*/ GIMT_Encode4(768541), // Rule ID 14454 //
     /*  768468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  768479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  768482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  768485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768514 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768539 */     GIR_RootConstrainSelectedInstOperands,
     /*  768540 */     // GIR_Coverage, 14454,
     /*  768540 */     GIR_EraseRootFromParent_Done,
     /*  768541 */   // Label 11993: @768541
     /*  768541 */   GIM_Try, /*On fail goto*//*Label 11994*/ GIMT_Encode4(768619), // Rule ID 14455 //
     /*  768546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  768557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  768560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  768563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768592 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768617 */     GIR_RootConstrainSelectedInstOperands,
     /*  768618 */     // GIR_Coverage, 14455,
     /*  768618 */     GIR_EraseRootFromParent_Done,
     /*  768619 */   // Label 11994: @768619
     /*  768619 */   GIM_Try, /*On fail goto*//*Label 11995*/ GIMT_Encode4(768697), // Rule ID 14458 //
     /*  768624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  768635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  768638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  768641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768670 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768695 */     GIR_RootConstrainSelectedInstOperands,
     /*  768696 */     // GIR_Coverage, 14458,
     /*  768696 */     GIR_EraseRootFromParent_Done,
     /*  768697 */   // Label 11995: @768697
     /*  768697 */   GIM_Try, /*On fail goto*//*Label 11996*/ GIMT_Encode4(768775), // Rule ID 14459 //
     /*  768702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  768713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  768716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  768719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768748 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768773 */     GIR_RootConstrainSelectedInstOperands,
     /*  768774 */     // GIR_Coverage, 14459,
     /*  768774 */     GIR_EraseRootFromParent_Done,
     /*  768775 */   // Label 11996: @768775
     /*  768775 */   GIM_Try, /*On fail goto*//*Label 11997*/ GIMT_Encode4(768853), // Rule ID 14462 //
     /*  768780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  768791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  768794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  768797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768826 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768851 */     GIR_RootConstrainSelectedInstOperands,
     /*  768852 */     // GIR_Coverage, 14462,
     /*  768852 */     GIR_EraseRootFromParent_Done,
     /*  768853 */   // Label 11997: @768853
     /*  768853 */   GIM_Try, /*On fail goto*//*Label 11998*/ GIMT_Encode4(768931), // Rule ID 14463 //
     /*  768858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  768869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  768872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  768875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768904 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768929 */     GIR_RootConstrainSelectedInstOperands,
     /*  768930 */     // GIR_Coverage, 14463,
     /*  768930 */     GIR_EraseRootFromParent_Done,
     /*  768931 */   // Label 11998: @768931
     /*  768931 */   GIM_Try, /*On fail goto*//*Label 11999*/ GIMT_Encode4(769009), // Rule ID 14466 //
     /*  768936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  768947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  768950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  768953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768982 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769007 */     GIR_RootConstrainSelectedInstOperands,
     /*  769008 */     // GIR_Coverage, 14466,
     /*  769008 */     GIR_EraseRootFromParent_Done,
     /*  769009 */   // Label 11999: @769009
     /*  769009 */   GIM_Try, /*On fail goto*//*Label 12000*/ GIMT_Encode4(769087), // Rule ID 14467 //
     /*  769014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  769025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  769028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  769031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  769063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769085 */     GIR_RootConstrainSelectedInstOperands,
     /*  769086 */     // GIR_Coverage, 14467,
     /*  769086 */     GIR_EraseRootFromParent_Done,
     /*  769087 */   // Label 12000: @769087
     /*  769087 */   GIM_Try, /*On fail goto*//*Label 12001*/ GIMT_Encode4(769165), // Rule ID 14470 //
     /*  769092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  769103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  769106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  769109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769138 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  769141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769163 */     GIR_RootConstrainSelectedInstOperands,
     /*  769164 */     // GIR_Coverage, 14470,
     /*  769164 */     GIR_EraseRootFromParent_Done,
     /*  769165 */   // Label 12001: @769165
     /*  769165 */   GIM_Try, /*On fail goto*//*Label 12002*/ GIMT_Encode4(769243), // Rule ID 14471 //
     /*  769170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  769181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  769184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  769187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769216 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  769219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769241 */     GIR_RootConstrainSelectedInstOperands,
     /*  769242 */     // GIR_Coverage, 14471,
     /*  769242 */     GIR_EraseRootFromParent_Done,
     /*  769243 */   // Label 12002: @769243
     /*  769243 */   GIM_Try, /*On fail goto*//*Label 12003*/ GIMT_Encode4(769321), // Rule ID 14474 //
     /*  769248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  769259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  769262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  769265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  769297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769319 */     GIR_RootConstrainSelectedInstOperands,
     /*  769320 */     // GIR_Coverage, 14474,
     /*  769320 */     GIR_EraseRootFromParent_Done,
     /*  769321 */   // Label 12003: @769321
     /*  769321 */   GIM_Try, /*On fail goto*//*Label 12004*/ GIMT_Encode4(769399), // Rule ID 14475 //
     /*  769326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  769337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  769340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  769343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  769375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769397 */     GIR_RootConstrainSelectedInstOperands,
     /*  769398 */     // GIR_Coverage, 14475,
     /*  769398 */     GIR_EraseRootFromParent_Done,
     /*  769399 */   // Label 12004: @769399
     /*  769399 */   GIM_Try, /*On fail goto*//*Label 12005*/ GIMT_Encode4(769477), // Rule ID 14478 //
     /*  769404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  769415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  769418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  769421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769450 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  769453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769475 */     GIR_RootConstrainSelectedInstOperands,
     /*  769476 */     // GIR_Coverage, 14478,
     /*  769476 */     GIR_EraseRootFromParent_Done,
     /*  769477 */   // Label 12005: @769477
     /*  769477 */   GIM_Try, /*On fail goto*//*Label 12006*/ GIMT_Encode4(769555), // Rule ID 14479 //
     /*  769482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  769493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  769496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  769499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769528 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  769531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769553 */     GIR_RootConstrainSelectedInstOperands,
     /*  769554 */     // GIR_Coverage, 14479,
     /*  769554 */     GIR_EraseRootFromParent_Done,
     /*  769555 */   // Label 12006: @769555
     /*  769555 */   GIM_Try, /*On fail goto*//*Label 12007*/ GIMT_Encode4(769633), // Rule ID 14482 //
     /*  769560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  769571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  769574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  769577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  769609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769631 */     GIR_RootConstrainSelectedInstOperands,
     /*  769632 */     // GIR_Coverage, 14482,
     /*  769632 */     GIR_EraseRootFromParent_Done,
     /*  769633 */   // Label 12007: @769633
     /*  769633 */   GIM_Try, /*On fail goto*//*Label 12008*/ GIMT_Encode4(769711), // Rule ID 14483 //
     /*  769638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  769649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  769652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  769655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  769687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769709 */     GIR_RootConstrainSelectedInstOperands,
     /*  769710 */     // GIR_Coverage, 14483,
     /*  769710 */     GIR_EraseRootFromParent_Done,
     /*  769711 */   // Label 12008: @769711
     /*  769711 */   GIM_Try, /*On fail goto*//*Label 12009*/ GIMT_Encode4(769789), // Rule ID 14486 //
     /*  769716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  769727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  769730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  769733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769762 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  769765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769787 */     GIR_RootConstrainSelectedInstOperands,
     /*  769788 */     // GIR_Coverage, 14486,
     /*  769788 */     GIR_EraseRootFromParent_Done,
     /*  769789 */   // Label 12009: @769789
     /*  769789 */   GIM_Try, /*On fail goto*//*Label 12010*/ GIMT_Encode4(769867), // Rule ID 14487 //
     /*  769794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  769805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  769808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  769811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  769843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769865 */     GIR_RootConstrainSelectedInstOperands,
     /*  769866 */     // GIR_Coverage, 14487,
     /*  769866 */     GIR_EraseRootFromParent_Done,
     /*  769867 */   // Label 12010: @769867
     /*  769867 */   GIM_Try, /*On fail goto*//*Label 12011*/ GIMT_Encode4(769945), // Rule ID 14490 //
     /*  769872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  769883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  769886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  769889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769918 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  769921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769943 */     GIR_RootConstrainSelectedInstOperands,
     /*  769944 */     // GIR_Coverage, 14490,
     /*  769944 */     GIR_EraseRootFromParent_Done,
     /*  769945 */   // Label 12011: @769945
     /*  769945 */   GIM_Try, /*On fail goto*//*Label 12012*/ GIMT_Encode4(770023), // Rule ID 14491 //
     /*  769950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  769961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  769964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  769967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769996 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  769999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770021 */     GIR_RootConstrainSelectedInstOperands,
     /*  770022 */     // GIR_Coverage, 14491,
     /*  770022 */     GIR_EraseRootFromParent_Done,
     /*  770023 */   // Label 12012: @770023
     /*  770023 */   GIM_Try, /*On fail goto*//*Label 12013*/ GIMT_Encode4(770101), // Rule ID 14494 //
     /*  770028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  770031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  770039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  770042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  770045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  770048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  770077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770099 */     GIR_RootConstrainSelectedInstOperands,
     /*  770100 */     // GIR_Coverage, 14494,
     /*  770100 */     GIR_EraseRootFromParent_Done,
     /*  770101 */   // Label 12013: @770101
     /*  770101 */   GIM_Try, /*On fail goto*//*Label 12014*/ GIMT_Encode4(770179), // Rule ID 14495 //
     /*  770106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  770109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  770117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  770120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  770123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  770126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770152 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  770155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770177 */     GIR_RootConstrainSelectedInstOperands,
     /*  770178 */     // GIR_Coverage, 14495,
     /*  770178 */     GIR_EraseRootFromParent_Done,
     /*  770179 */   // Label 12014: @770179
     /*  770179 */   GIM_Try, /*On fail goto*//*Label 12015*/ GIMT_Encode4(770257), // Rule ID 14586 //
     /*  770184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  770195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  770198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  770201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  770204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770230 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  770233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770255 */     GIR_RootConstrainSelectedInstOperands,
     /*  770256 */     // GIR_Coverage, 14586,
     /*  770256 */     GIR_EraseRootFromParent_Done,
     /*  770257 */   // Label 12015: @770257
     /*  770257 */   GIM_Try, /*On fail goto*//*Label 12016*/ GIMT_Encode4(770335), // Rule ID 14587 //
     /*  770262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  770273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  770276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  770279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  770282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  770311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770333 */     GIR_RootConstrainSelectedInstOperands,
     /*  770334 */     // GIR_Coverage, 14587,
     /*  770334 */     GIR_EraseRootFromParent_Done,
     /*  770335 */   // Label 12016: @770335
     /*  770335 */   GIM_Try, /*On fail goto*//*Label 12017*/ GIMT_Encode4(770413), // Rule ID 14590 //
     /*  770340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  770351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  770354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  770357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  770360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770386 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  770389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770411 */     GIR_RootConstrainSelectedInstOperands,
     /*  770412 */     // GIR_Coverage, 14590,
     /*  770412 */     GIR_EraseRootFromParent_Done,
     /*  770413 */   // Label 12017: @770413
     /*  770413 */   GIM_Try, /*On fail goto*//*Label 12018*/ GIMT_Encode4(770491), // Rule ID 14591 //
     /*  770418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  770429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  770432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  770435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  770438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770464 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  770467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770489 */     GIR_RootConstrainSelectedInstOperands,
     /*  770490 */     // GIR_Coverage, 14591,
     /*  770490 */     GIR_EraseRootFromParent_Done,
     /*  770491 */   // Label 12018: @770491
     /*  770491 */   GIM_Try, /*On fail goto*//*Label 12019*/ GIMT_Encode4(770569), // Rule ID 14594 //
     /*  770496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  770507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  770510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  770513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  770516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770542 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  770545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770567 */     GIR_RootConstrainSelectedInstOperands,
     /*  770568 */     // GIR_Coverage, 14594,
     /*  770568 */     GIR_EraseRootFromParent_Done,
     /*  770569 */   // Label 12019: @770569
     /*  770569 */   GIM_Try, /*On fail goto*//*Label 12020*/ GIMT_Encode4(770647), // Rule ID 14595 //
     /*  770574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  770585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  770588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  770591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  770594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770620 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  770623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770645 */     GIR_RootConstrainSelectedInstOperands,
     /*  770646 */     // GIR_Coverage, 14595,
     /*  770646 */     GIR_EraseRootFromParent_Done,
     /*  770647 */   // Label 12020: @770647
     /*  770647 */   GIM_Try, /*On fail goto*//*Label 12021*/ GIMT_Encode4(770725), // Rule ID 14598 //
     /*  770652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  770663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  770666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  770669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  770672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770698 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  770701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770723 */     GIR_RootConstrainSelectedInstOperands,
     /*  770724 */     // GIR_Coverage, 14598,
     /*  770724 */     GIR_EraseRootFromParent_Done,
     /*  770725 */   // Label 12021: @770725
     /*  770725 */   GIM_Try, /*On fail goto*//*Label 12022*/ GIMT_Encode4(770803), // Rule ID 14599 //
     /*  770730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  770741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  770744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  770747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  770750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  770779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770801 */     GIR_RootConstrainSelectedInstOperands,
     /*  770802 */     // GIR_Coverage, 14599,
     /*  770802 */     GIR_EraseRootFromParent_Done,
     /*  770803 */   // Label 12022: @770803
     /*  770803 */   GIM_Try, /*On fail goto*//*Label 12023*/ GIMT_Encode4(770881), // Rule ID 14602 //
     /*  770808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  770819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  770822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  770825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  770828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770854 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11635:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  770857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770879 */     GIR_RootConstrainSelectedInstOperands,
     /*  770880 */     // GIR_Coverage, 14602,
     /*  770880 */     GIR_EraseRootFromParent_Done,
     /*  770881 */   // Label 12023: @770881
     /*  770881 */   GIM_Try, /*On fail goto*//*Label 12024*/ GIMT_Encode4(770959), // Rule ID 14603 //
     /*  770886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  770897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  770900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  770903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  770906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11635:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  770935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770957 */     GIR_RootConstrainSelectedInstOperands,
     /*  770958 */     // GIR_Coverage, 14603,
     /*  770958 */     GIR_EraseRootFromParent_Done,
     /*  770959 */   // Label 12024: @770959
     /*  770959 */   GIM_Try, /*On fail goto*//*Label 12025*/ GIMT_Encode4(771037), // Rule ID 14606 //
     /*  770964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  770975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  770978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  770981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  770984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  771013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771035 */     GIR_RootConstrainSelectedInstOperands,
     /*  771036 */     // GIR_Coverage, 14606,
     /*  771036 */     GIR_EraseRootFromParent_Done,
     /*  771037 */   // Label 12025: @771037
     /*  771037 */   GIM_Try, /*On fail goto*//*Label 12026*/ GIMT_Encode4(771115), // Rule ID 14607 //
     /*  771042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  771053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  771056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  771059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  771062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771088 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  771091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771113 */     GIR_RootConstrainSelectedInstOperands,
     /*  771114 */     // GIR_Coverage, 14607,
     /*  771114 */     GIR_EraseRootFromParent_Done,
     /*  771115 */   // Label 12026: @771115
     /*  771115 */   GIM_Try, /*On fail goto*//*Label 12027*/ GIMT_Encode4(771193), // Rule ID 14610 //
     /*  771120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  771131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  771134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  771137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  771140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771166 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  771169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771191 */     GIR_RootConstrainSelectedInstOperands,
     /*  771192 */     // GIR_Coverage, 14610,
     /*  771192 */     GIR_EraseRootFromParent_Done,
     /*  771193 */   // Label 12027: @771193
     /*  771193 */   GIM_Try, /*On fail goto*//*Label 12028*/ GIMT_Encode4(771271), // Rule ID 14611 //
     /*  771198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  771209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  771212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  771215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  771218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771244 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  771247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771269 */     GIR_RootConstrainSelectedInstOperands,
     /*  771270 */     // GIR_Coverage, 14611,
     /*  771270 */     GIR_EraseRootFromParent_Done,
     /*  771271 */   // Label 12028: @771271
     /*  771271 */   GIM_Try, /*On fail goto*//*Label 12029*/ GIMT_Encode4(771349), // Rule ID 14614 //
     /*  771276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  771287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  771290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  771293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  771296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11635:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  771325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771347 */     GIR_RootConstrainSelectedInstOperands,
     /*  771348 */     // GIR_Coverage, 14614,
     /*  771348 */     GIR_EraseRootFromParent_Done,
     /*  771349 */   // Label 12029: @771349
     /*  771349 */   GIM_Try, /*On fail goto*//*Label 12030*/ GIMT_Encode4(771427), // Rule ID 14615 //
     /*  771354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  771365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  771368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  771371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  771374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771400 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11635:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  771403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771425 */     GIR_RootConstrainSelectedInstOperands,
     /*  771426 */     // GIR_Coverage, 14615,
     /*  771426 */     GIR_EraseRootFromParent_Done,
     /*  771427 */   // Label 12030: @771427
     /*  771427 */   GIM_Try, /*On fail goto*//*Label 12031*/ GIMT_Encode4(771505), // Rule ID 14618 //
     /*  771432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  771443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  771446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  771449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  771452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11635:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  771481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771503 */     GIR_RootConstrainSelectedInstOperands,
     /*  771504 */     // GIR_Coverage, 14618,
     /*  771504 */     GIR_EraseRootFromParent_Done,
     /*  771505 */   // Label 12031: @771505
     /*  771505 */   GIM_Try, /*On fail goto*//*Label 12032*/ GIMT_Encode4(771583), // Rule ID 14619 //
     /*  771510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  771521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  771524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  771527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  771530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11635:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  771559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771581 */     GIR_RootConstrainSelectedInstOperands,
     /*  771582 */     // GIR_Coverage, 14619,
     /*  771582 */     GIR_EraseRootFromParent_Done,
     /*  771583 */   // Label 12032: @771583
     /*  771583 */   GIM_Try, /*On fail goto*//*Label 12033*/ GIMT_Encode4(771661), // Rule ID 14622 //
     /*  771588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  771591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  771599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  771602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  771605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  771608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771634 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  771634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  771637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771659 */     GIR_RootConstrainSelectedInstOperands,
     /*  771660 */     // GIR_Coverage, 14622,
     /*  771660 */     GIR_EraseRootFromParent_Done,
     /*  771661 */   // Label 12033: @771661
     /*  771661 */   GIM_Try, /*On fail goto*//*Label 12034*/ GIMT_Encode4(771739), // Rule ID 14623 //
     /*  771666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  771669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  771677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  771680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  771683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  771686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771712 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  771715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771737 */     GIR_RootConstrainSelectedInstOperands,
     /*  771738 */     // GIR_Coverage, 14623,
     /*  771738 */     GIR_EraseRootFromParent_Done,
     /*  771739 */   // Label 12034: @771739
     /*  771739 */   GIM_Try, /*On fail goto*//*Label 12035*/ GIMT_Encode4(771817), // Rule ID 14626 //
     /*  771744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  771755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  771758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  771761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  771764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771790 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771815 */     GIR_RootConstrainSelectedInstOperands,
     /*  771816 */     // GIR_Coverage, 14626,
     /*  771816 */     GIR_EraseRootFromParent_Done,
     /*  771817 */   // Label 12035: @771817
     /*  771817 */   GIM_Try, /*On fail goto*//*Label 12036*/ GIMT_Encode4(771895), // Rule ID 14627 //
     /*  771822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  771833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  771836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  771839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  771842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771868 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771893 */     GIR_RootConstrainSelectedInstOperands,
     /*  771894 */     // GIR_Coverage, 14627,
     /*  771894 */     GIR_EraseRootFromParent_Done,
     /*  771895 */   // Label 12036: @771895
     /*  771895 */   GIM_Try, /*On fail goto*//*Label 12037*/ GIMT_Encode4(771973), // Rule ID 14630 //
     /*  771900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  771911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  771914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  771917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  771920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771946 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771971 */     GIR_RootConstrainSelectedInstOperands,
     /*  771972 */     // GIR_Coverage, 14630,
     /*  771972 */     GIR_EraseRootFromParent_Done,
     /*  771973 */   // Label 12037: @771973
     /*  771973 */   GIM_Try, /*On fail goto*//*Label 12038*/ GIMT_Encode4(772051), // Rule ID 14631 //
     /*  771978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  771989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  771992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  771995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  771998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772024 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772049 */     GIR_RootConstrainSelectedInstOperands,
     /*  772050 */     // GIR_Coverage, 14631,
     /*  772050 */     GIR_EraseRootFromParent_Done,
     /*  772051 */   // Label 12038: @772051
     /*  772051 */   GIM_Try, /*On fail goto*//*Label 12039*/ GIMT_Encode4(772129), // Rule ID 14634 //
     /*  772056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  772067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  772070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  772073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  772076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772102 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772127 */     GIR_RootConstrainSelectedInstOperands,
     /*  772128 */     // GIR_Coverage, 14634,
     /*  772128 */     GIR_EraseRootFromParent_Done,
     /*  772129 */   // Label 12039: @772129
     /*  772129 */   GIM_Try, /*On fail goto*//*Label 12040*/ GIMT_Encode4(772207), // Rule ID 14635 //
     /*  772134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  772145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  772148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  772151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  772154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772180 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772205 */     GIR_RootConstrainSelectedInstOperands,
     /*  772206 */     // GIR_Coverage, 14635,
     /*  772206 */     GIR_EraseRootFromParent_Done,
     /*  772207 */   // Label 12040: @772207
     /*  772207 */   GIM_Try, /*On fail goto*//*Label 12041*/ GIMT_Encode4(772285), // Rule ID 14638 //
     /*  772212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  772223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  772226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  772229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  772232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772258 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772283 */     GIR_RootConstrainSelectedInstOperands,
     /*  772284 */     // GIR_Coverage, 14638,
     /*  772284 */     GIR_EraseRootFromParent_Done,
     /*  772285 */   // Label 12041: @772285
     /*  772285 */   GIM_Try, /*On fail goto*//*Label 12042*/ GIMT_Encode4(772363), // Rule ID 14639 //
     /*  772290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  772301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  772304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  772307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  772310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772336 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772361 */     GIR_RootConstrainSelectedInstOperands,
     /*  772362 */     // GIR_Coverage, 14639,
     /*  772362 */     GIR_EraseRootFromParent_Done,
     /*  772363 */   // Label 12042: @772363
     /*  772363 */   GIM_Try, /*On fail goto*//*Label 12043*/ GIMT_Encode4(772441), // Rule ID 14642 //
     /*  772368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  772379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  772382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  772385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  772388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772439 */     GIR_RootConstrainSelectedInstOperands,
     /*  772440 */     // GIR_Coverage, 14642,
     /*  772440 */     GIR_EraseRootFromParent_Done,
     /*  772441 */   // Label 12043: @772441
     /*  772441 */   GIM_Try, /*On fail goto*//*Label 12044*/ GIMT_Encode4(772519), // Rule ID 14643 //
     /*  772446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  772457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  772460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  772463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  772466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772517 */     GIR_RootConstrainSelectedInstOperands,
     /*  772518 */     // GIR_Coverage, 14643,
     /*  772518 */     GIR_EraseRootFromParent_Done,
     /*  772519 */   // Label 12044: @772519
     /*  772519 */   GIM_Try, /*On fail goto*//*Label 12045*/ GIMT_Encode4(772597), // Rule ID 14646 //
     /*  772524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  772535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  772538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  772541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  772544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772595 */     GIR_RootConstrainSelectedInstOperands,
     /*  772596 */     // GIR_Coverage, 14646,
     /*  772596 */     GIR_EraseRootFromParent_Done,
     /*  772597 */   // Label 12045: @772597
     /*  772597 */   GIM_Try, /*On fail goto*//*Label 12046*/ GIMT_Encode4(772675), // Rule ID 14647 //
     /*  772602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  772613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  772616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  772619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  772622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772648 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772673 */     GIR_RootConstrainSelectedInstOperands,
     /*  772674 */     // GIR_Coverage, 14647,
     /*  772674 */     GIR_EraseRootFromParent_Done,
     /*  772675 */   // Label 12046: @772675
     /*  772675 */   GIM_Try, /*On fail goto*//*Label 12047*/ GIMT_Encode4(772753), // Rule ID 14650 //
     /*  772680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  772691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  772694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  772697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  772700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772751 */     GIR_RootConstrainSelectedInstOperands,
     /*  772752 */     // GIR_Coverage, 14650,
     /*  772752 */     GIR_EraseRootFromParent_Done,
     /*  772753 */   // Label 12047: @772753
     /*  772753 */   GIM_Try, /*On fail goto*//*Label 12048*/ GIMT_Encode4(772831), // Rule ID 14651 //
     /*  772758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  772769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  772772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  772775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  772778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772804 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772829 */     GIR_RootConstrainSelectedInstOperands,
     /*  772830 */     // GIR_Coverage, 14651,
     /*  772830 */     GIR_EraseRootFromParent_Done,
     /*  772831 */   // Label 12048: @772831
     /*  772831 */   GIM_Try, /*On fail goto*//*Label 12049*/ GIMT_Encode4(772909), // Rule ID 14654 //
     /*  772836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  772847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  772850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  772853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  772856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772882 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772907 */     GIR_RootConstrainSelectedInstOperands,
     /*  772908 */     // GIR_Coverage, 14654,
     /*  772908 */     GIR_EraseRootFromParent_Done,
     /*  772909 */   // Label 12049: @772909
     /*  772909 */   GIM_Try, /*On fail goto*//*Label 12050*/ GIMT_Encode4(772987), // Rule ID 14655 //
     /*  772914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  772925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  772928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  772931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  772934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772960 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772985 */     GIR_RootConstrainSelectedInstOperands,
     /*  772986 */     // GIR_Coverage, 14655,
     /*  772986 */     GIR_EraseRootFromParent_Done,
     /*  772987 */   // Label 12050: @772987
     /*  772987 */   GIM_Try, /*On fail goto*//*Label 12051*/ GIMT_Encode4(773065), // Rule ID 14658 //
     /*  772992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  773003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  773006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  773009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  773012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773038 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  773041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773063 */     GIR_RootConstrainSelectedInstOperands,
     /*  773064 */     // GIR_Coverage, 14658,
     /*  773064 */     GIR_EraseRootFromParent_Done,
     /*  773065 */   // Label 12051: @773065
     /*  773065 */   GIM_Try, /*On fail goto*//*Label 12052*/ GIMT_Encode4(773143), // Rule ID 14659 //
     /*  773070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  773081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  773084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  773087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  773090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  773119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773141 */     GIR_RootConstrainSelectedInstOperands,
     /*  773142 */     // GIR_Coverage, 14659,
     /*  773142 */     GIR_EraseRootFromParent_Done,
     /*  773143 */   // Label 12052: @773143
     /*  773143 */   GIM_Try, /*On fail goto*//*Label 12053*/ GIMT_Encode4(773221), // Rule ID 14662 //
     /*  773148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  773159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  773162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  773165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  773168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  773197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773219 */     GIR_RootConstrainSelectedInstOperands,
     /*  773220 */     // GIR_Coverage, 14662,
     /*  773220 */     GIR_EraseRootFromParent_Done,
     /*  773221 */   // Label 12053: @773221
     /*  773221 */   GIM_Try, /*On fail goto*//*Label 12054*/ GIMT_Encode4(773299), // Rule ID 14663 //
     /*  773226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  773237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  773240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  773243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  773246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  773275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773297 */     GIR_RootConstrainSelectedInstOperands,
     /*  773298 */     // GIR_Coverage, 14663,
     /*  773298 */     GIR_EraseRootFromParent_Done,
     /*  773299 */   // Label 12054: @773299
     /*  773299 */   GIM_Try, /*On fail goto*//*Label 12055*/ GIMT_Encode4(773377), // Rule ID 14666 //
     /*  773304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  773315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  773318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  773321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  773324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773350 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  773353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773375 */     GIR_RootConstrainSelectedInstOperands,
     /*  773376 */     // GIR_Coverage, 14666,
     /*  773376 */     GIR_EraseRootFromParent_Done,
     /*  773377 */   // Label 12055: @773377
     /*  773377 */   GIM_Try, /*On fail goto*//*Label 12056*/ GIMT_Encode4(773455), // Rule ID 14667 //
     /*  773382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  773393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  773396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  773399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  773402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  773431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773453 */     GIR_RootConstrainSelectedInstOperands,
     /*  773454 */     // GIR_Coverage, 14667,
     /*  773454 */     GIR_EraseRootFromParent_Done,
     /*  773455 */   // Label 12056: @773455
     /*  773455 */   GIM_Try, /*On fail goto*//*Label 12057*/ GIMT_Encode4(773533), // Rule ID 14670 //
     /*  773460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  773471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  773474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  773477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  773480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773506 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  773509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773531 */     GIR_RootConstrainSelectedInstOperands,
     /*  773532 */     // GIR_Coverage, 14670,
     /*  773532 */     GIR_EraseRootFromParent_Done,
     /*  773533 */   // Label 12057: @773533
     /*  773533 */   GIM_Try, /*On fail goto*//*Label 12058*/ GIMT_Encode4(773611), // Rule ID 14671 //
     /*  773538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  773549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  773552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  773555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  773558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  773587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773609 */     GIR_RootConstrainSelectedInstOperands,
     /*  773610 */     // GIR_Coverage, 14671,
     /*  773610 */     GIR_EraseRootFromParent_Done,
     /*  773611 */   // Label 12058: @773611
     /*  773611 */   GIM_Try, /*On fail goto*//*Label 12059*/ GIMT_Encode4(773689), // Rule ID 14674 //
     /*  773616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  773627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  773630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  773633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773662 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  773665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773687 */     GIR_RootConstrainSelectedInstOperands,
     /*  773688 */     // GIR_Coverage, 14674,
     /*  773688 */     GIR_EraseRootFromParent_Done,
     /*  773689 */   // Label 12059: @773689
     /*  773689 */   GIM_Try, /*On fail goto*//*Label 12060*/ GIMT_Encode4(773767), // Rule ID 14675 //
     /*  773694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  773705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  773708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  773711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773740 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  773743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773765 */     GIR_RootConstrainSelectedInstOperands,
     /*  773766 */     // GIR_Coverage, 14675,
     /*  773766 */     GIR_EraseRootFromParent_Done,
     /*  773767 */   // Label 12060: @773767
     /*  773767 */   GIM_Try, /*On fail goto*//*Label 12061*/ GIMT_Encode4(773845), // Rule ID 14678 //
     /*  773772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  773783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  773786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  773789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773818 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773843 */     GIR_RootConstrainSelectedInstOperands,
     /*  773844 */     // GIR_Coverage, 14678,
     /*  773844 */     GIR_EraseRootFromParent_Done,
     /*  773845 */   // Label 12061: @773845
     /*  773845 */   GIM_Try, /*On fail goto*//*Label 12062*/ GIMT_Encode4(773923), // Rule ID 14679 //
     /*  773850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  773861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  773864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  773867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773896 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773921 */     GIR_RootConstrainSelectedInstOperands,
     /*  773922 */     // GIR_Coverage, 14679,
     /*  773922 */     GIR_EraseRootFromParent_Done,
     /*  773923 */   // Label 12062: @773923
     /*  773923 */   GIM_Try, /*On fail goto*//*Label 12063*/ GIMT_Encode4(774001), // Rule ID 14682 //
     /*  773928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  773939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  773942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  773945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773974 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773999 */     GIR_RootConstrainSelectedInstOperands,
     /*  774000 */     // GIR_Coverage, 14682,
     /*  774000 */     GIR_EraseRootFromParent_Done,
     /*  774001 */   // Label 12063: @774001
     /*  774001 */   GIM_Try, /*On fail goto*//*Label 12064*/ GIMT_Encode4(774079), // Rule ID 14683 //
     /*  774006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  774017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  774020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  774023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774052 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  774055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774077 */     GIR_RootConstrainSelectedInstOperands,
     /*  774078 */     // GIR_Coverage, 14683,
     /*  774078 */     GIR_EraseRootFromParent_Done,
     /*  774079 */   // Label 12064: @774079
     /*  774079 */   GIM_Try, /*On fail goto*//*Label 12065*/ GIMT_Encode4(774157), // Rule ID 14686 //
     /*  774084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  774095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  774098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  774101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  774133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774155 */     GIR_RootConstrainSelectedInstOperands,
     /*  774156 */     // GIR_Coverage, 14686,
     /*  774156 */     GIR_EraseRootFromParent_Done,
     /*  774157 */   // Label 12065: @774157
     /*  774157 */   GIM_Try, /*On fail goto*//*Label 12066*/ GIMT_Encode4(774235), // Rule ID 14687 //
     /*  774162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  774173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  774176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  774179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774208 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  774211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774233 */     GIR_RootConstrainSelectedInstOperands,
     /*  774234 */     // GIR_Coverage, 14687,
     /*  774234 */     GIR_EraseRootFromParent_Done,
     /*  774235 */   // Label 12066: @774235
     /*  774235 */   GIM_Try, /*On fail goto*//*Label 12067*/ GIMT_Encode4(774313), // Rule ID 14690 //
     /*  774240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  774251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  774254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  774257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774286 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11635:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  774289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774311 */     GIR_RootConstrainSelectedInstOperands,
     /*  774312 */     // GIR_Coverage, 14690,
     /*  774312 */     GIR_EraseRootFromParent_Done,
     /*  774313 */   // Label 12067: @774313
     /*  774313 */   GIM_Try, /*On fail goto*//*Label 12068*/ GIMT_Encode4(774391), // Rule ID 14691 //
     /*  774318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  774329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  774332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  774335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774364 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11635:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  774367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774389 */     GIR_RootConstrainSelectedInstOperands,
     /*  774390 */     // GIR_Coverage, 14691,
     /*  774390 */     GIR_EraseRootFromParent_Done,
     /*  774391 */   // Label 12068: @774391
     /*  774391 */   GIM_Try, /*On fail goto*//*Label 12069*/ GIMT_Encode4(774469), // Rule ID 14694 //
     /*  774396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  774407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  774410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  774413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  774445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774467 */     GIR_RootConstrainSelectedInstOperands,
     /*  774468 */     // GIR_Coverage, 14694,
     /*  774468 */     GIR_EraseRootFromParent_Done,
     /*  774469 */   // Label 12069: @774469
     /*  774469 */   GIM_Try, /*On fail goto*//*Label 12070*/ GIMT_Encode4(774547), // Rule ID 14695 //
     /*  774474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  774485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  774488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  774491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774520 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  774520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  774523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774545 */     GIR_RootConstrainSelectedInstOperands,
     /*  774546 */     // GIR_Coverage, 14695,
     /*  774546 */     GIR_EraseRootFromParent_Done,
     /*  774547 */   // Label 12070: @774547
     /*  774547 */   GIM_Try, /*On fail goto*//*Label 12071*/ GIMT_Encode4(774625), // Rule ID 14698 //
     /*  774552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  774563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  774566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  774569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774598 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774623 */     GIR_RootConstrainSelectedInstOperands,
     /*  774624 */     // GIR_Coverage, 14698,
     /*  774624 */     GIR_EraseRootFromParent_Done,
     /*  774625 */   // Label 12071: @774625
     /*  774625 */   GIM_Try, /*On fail goto*//*Label 12072*/ GIMT_Encode4(774703), // Rule ID 14699 //
     /*  774630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  774641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  774644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  774647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774676 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11635:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774701 */     GIR_RootConstrainSelectedInstOperands,
     /*  774702 */     // GIR_Coverage, 14699,
     /*  774702 */     GIR_EraseRootFromParent_Done,
     /*  774703 */   // Label 12072: @774703
     /*  774703 */   GIM_Try, /*On fail goto*//*Label 12073*/ GIMT_Encode4(774781), // Rule ID 14702 //
     /*  774708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  774719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  774722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  774725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774754 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11635:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774779 */     GIR_RootConstrainSelectedInstOperands,
     /*  774780 */     // GIR_Coverage, 14702,
     /*  774780 */     GIR_EraseRootFromParent_Done,
     /*  774781 */   // Label 12073: @774781
     /*  774781 */   GIM_Try, /*On fail goto*//*Label 12074*/ GIMT_Encode4(774859), // Rule ID 14703 //
     /*  774786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  774797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  774800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  774803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11635:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774857 */     GIR_RootConstrainSelectedInstOperands,
     /*  774858 */     // GIR_Coverage, 14703,
     /*  774858 */     GIR_EraseRootFromParent_Done,
     /*  774859 */   // Label 12074: @774859
     /*  774859 */   GIM_Try, /*On fail goto*//*Label 12075*/ GIMT_Encode4(774937), // Rule ID 14706 //
     /*  774864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  774875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  774878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  774881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774910 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11635:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774935 */     GIR_RootConstrainSelectedInstOperands,
     /*  774936 */     // GIR_Coverage, 14706,
     /*  774936 */     GIR_EraseRootFromParent_Done,
     /*  774937 */   // Label 12075: @774937
     /*  774937 */   GIM_Try, /*On fail goto*//*Label 12076*/ GIMT_Encode4(775015), // Rule ID 14707 //
     /*  774942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  774953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  774956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  774959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11635:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  774988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775013 */     GIR_RootConstrainSelectedInstOperands,
     /*  775014 */     // GIR_Coverage, 14707,
     /*  775014 */     GIR_EraseRootFromParent_Done,
     /*  775015 */   // Label 12076: @775015
     /*  775015 */   GIM_Try, /*On fail goto*//*Label 12077*/ GIMT_Encode4(775093), // Rule ID 14710 //
     /*  775020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  775023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  775031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  775034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  775037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  775066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  775069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775091 */     GIR_RootConstrainSelectedInstOperands,
     /*  775092 */     // GIR_Coverage, 14710,
     /*  775092 */     GIR_EraseRootFromParent_Done,
     /*  775093 */   // Label 12077: @775093
     /*  775093 */   GIM_Try, /*On fail goto*//*Label 12078*/ GIMT_Encode4(775171), // Rule ID 14711 //
     /*  775098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  775101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  775109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  775112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  775115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775144 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11635:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  775144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  775147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775169 */     GIR_RootConstrainSelectedInstOperands,
     /*  775170 */     // GIR_Coverage, 14711,
     /*  775170 */     GIR_EraseRootFromParent_Done,
     /*  775171 */   // Label 12078: @775171
     /*  775171 */   GIM_Try, /*On fail goto*//*Label 12079*/ GIMT_Encode4(775249), // Rule ID 14714 //
     /*  775176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  775187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  775190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  775193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775222 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775247 */     GIR_RootConstrainSelectedInstOperands,
     /*  775248 */     // GIR_Coverage, 14714,
     /*  775248 */     GIR_EraseRootFromParent_Done,
     /*  775249 */   // Label 12079: @775249
     /*  775249 */   GIM_Try, /*On fail goto*//*Label 12080*/ GIMT_Encode4(775327), // Rule ID 14715 //
     /*  775254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  775265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  775268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  775271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775300 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775325 */     GIR_RootConstrainSelectedInstOperands,
     /*  775326 */     // GIR_Coverage, 14715,
     /*  775326 */     GIR_EraseRootFromParent_Done,
     /*  775327 */   // Label 12080: @775327
     /*  775327 */   GIM_Try, /*On fail goto*//*Label 12081*/ GIMT_Encode4(775405), // Rule ID 14718 //
     /*  775332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  775343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  775346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  775349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775378 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775403 */     GIR_RootConstrainSelectedInstOperands,
     /*  775404 */     // GIR_Coverage, 14718,
     /*  775404 */     GIR_EraseRootFromParent_Done,
     /*  775405 */   // Label 12081: @775405
     /*  775405 */   GIM_Try, /*On fail goto*//*Label 12082*/ GIMT_Encode4(775483), // Rule ID 14719 //
     /*  775410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  775421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  775424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  775427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775456 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775481 */     GIR_RootConstrainSelectedInstOperands,
     /*  775482 */     // GIR_Coverage, 14719,
     /*  775482 */     GIR_EraseRootFromParent_Done,
     /*  775483 */   // Label 12082: @775483
     /*  775483 */   GIM_Try, /*On fail goto*//*Label 12083*/ GIMT_Encode4(775561), // Rule ID 14722 //
     /*  775488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  775499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  775502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  775505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775534 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775559 */     GIR_RootConstrainSelectedInstOperands,
     /*  775560 */     // GIR_Coverage, 14722,
     /*  775560 */     GIR_EraseRootFromParent_Done,
     /*  775561 */   // Label 12083: @775561
     /*  775561 */   GIM_Try, /*On fail goto*//*Label 12084*/ GIMT_Encode4(775639), // Rule ID 14723 //
     /*  775566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  775577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  775580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  775583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775637 */     GIR_RootConstrainSelectedInstOperands,
     /*  775638 */     // GIR_Coverage, 14723,
     /*  775638 */     GIR_EraseRootFromParent_Done,
     /*  775639 */   // Label 12084: @775639
     /*  775639 */   GIM_Try, /*On fail goto*//*Label 12085*/ GIMT_Encode4(775717), // Rule ID 14726 //
     /*  775644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  775655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  775658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  775661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775690 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775715 */     GIR_RootConstrainSelectedInstOperands,
     /*  775716 */     // GIR_Coverage, 14726,
     /*  775716 */     GIR_EraseRootFromParent_Done,
     /*  775717 */   // Label 12085: @775717
     /*  775717 */   GIM_Try, /*On fail goto*//*Label 12086*/ GIMT_Encode4(775795), // Rule ID 14727 //
     /*  775722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  775733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  775736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  775739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775768 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775793 */     GIR_RootConstrainSelectedInstOperands,
     /*  775794 */     // GIR_Coverage, 14727,
     /*  775794 */     GIR_EraseRootFromParent_Done,
     /*  775795 */   // Label 12086: @775795
     /*  775795 */   GIM_Try, /*On fail goto*//*Label 12087*/ GIMT_Encode4(775873), // Rule ID 14730 //
     /*  775800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  775811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  775814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  775817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775871 */     GIR_RootConstrainSelectedInstOperands,
     /*  775872 */     // GIR_Coverage, 14730,
     /*  775872 */     GIR_EraseRootFromParent_Done,
     /*  775873 */   // Label 12087: @775873
     /*  775873 */   GIM_Try, /*On fail goto*//*Label 12088*/ GIMT_Encode4(775951), // Rule ID 14731 //
     /*  775878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  775889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  775892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  775895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775949 */     GIR_RootConstrainSelectedInstOperands,
     /*  775950 */     // GIR_Coverage, 14731,
     /*  775950 */     GIR_EraseRootFromParent_Done,
     /*  775951 */   // Label 12088: @775951
     /*  775951 */   GIM_Try, /*On fail goto*//*Label 12089*/ GIMT_Encode4(776029), // Rule ID 14734 //
     /*  775956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  775967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  775970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  775973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  776005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776027 */     GIR_RootConstrainSelectedInstOperands,
     /*  776028 */     // GIR_Coverage, 14734,
     /*  776028 */     GIR_EraseRootFromParent_Done,
     /*  776029 */   // Label 12089: @776029
     /*  776029 */   GIM_Try, /*On fail goto*//*Label 12090*/ GIMT_Encode4(776107), // Rule ID 14735 //
     /*  776034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  776045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  776048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  776051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776080 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  776083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776105 */     GIR_RootConstrainSelectedInstOperands,
     /*  776106 */     // GIR_Coverage, 14735,
     /*  776106 */     GIR_EraseRootFromParent_Done,
     /*  776107 */   // Label 12090: @776107
     /*  776107 */   GIM_Try, /*On fail goto*//*Label 12091*/ GIMT_Encode4(776185), // Rule ID 14738 //
     /*  776112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  776123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  776126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  776129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776158 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  776161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776183 */     GIR_RootConstrainSelectedInstOperands,
     /*  776184 */     // GIR_Coverage, 14738,
     /*  776184 */     GIR_EraseRootFromParent_Done,
     /*  776185 */   // Label 12091: @776185
     /*  776185 */   GIM_Try, /*On fail goto*//*Label 12092*/ GIMT_Encode4(776263), // Rule ID 14739 //
     /*  776190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  776201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  776204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  776207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776236 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  776239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776261 */     GIR_RootConstrainSelectedInstOperands,
     /*  776262 */     // GIR_Coverage, 14739,
     /*  776262 */     GIR_EraseRootFromParent_Done,
     /*  776263 */   // Label 12092: @776263
     /*  776263 */   GIM_Try, /*On fail goto*//*Label 12093*/ GIMT_Encode4(776341), // Rule ID 14742 //
     /*  776268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  776279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  776282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  776285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  776317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776339 */     GIR_RootConstrainSelectedInstOperands,
     /*  776340 */     // GIR_Coverage, 14742,
     /*  776340 */     GIR_EraseRootFromParent_Done,
     /*  776341 */   // Label 12093: @776341
     /*  776341 */   GIM_Try, /*On fail goto*//*Label 12094*/ GIMT_Encode4(776419), // Rule ID 14743 //
     /*  776346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  776357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  776360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  776363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776392 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  776395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776417 */     GIR_RootConstrainSelectedInstOperands,
     /*  776418 */     // GIR_Coverage, 14743,
     /*  776418 */     GIR_EraseRootFromParent_Done,
     /*  776419 */   // Label 12094: @776419
     /*  776419 */   GIM_Try, /*On fail goto*//*Label 12095*/ GIMT_Encode4(776497), // Rule ID 14746 //
     /*  776424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  776435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  776438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  776441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776470 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  776473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776495 */     GIR_RootConstrainSelectedInstOperands,
     /*  776496 */     // GIR_Coverage, 14746,
     /*  776496 */     GIR_EraseRootFromParent_Done,
     /*  776497 */   // Label 12095: @776497
     /*  776497 */   GIM_Try, /*On fail goto*//*Label 12096*/ GIMT_Encode4(776575), // Rule ID 14747 //
     /*  776502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  776513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  776516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  776519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776548 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  776551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776573 */     GIR_RootConstrainSelectedInstOperands,
     /*  776574 */     // GIR_Coverage, 14747,
     /*  776574 */     GIR_EraseRootFromParent_Done,
     /*  776575 */   // Label 12096: @776575
     /*  776575 */   GIM_Try, /*On fail goto*//*Label 12097*/ GIMT_Encode4(776653), // Rule ID 14750 //
     /*  776580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  776591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  776594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  776597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776626 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  776629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776651 */     GIR_RootConstrainSelectedInstOperands,
     /*  776652 */     // GIR_Coverage, 14750,
     /*  776652 */     GIR_EraseRootFromParent_Done,
     /*  776653 */   // Label 12097: @776653
     /*  776653 */   GIM_Try, /*On fail goto*//*Label 12098*/ GIMT_Encode4(776731), // Rule ID 14751 //
     /*  776658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  776669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  776672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  776675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776704 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11635:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  776707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776729 */     GIR_RootConstrainSelectedInstOperands,
     /*  776730 */     // GIR_Coverage, 14751,
     /*  776730 */     GIR_EraseRootFromParent_Done,
     /*  776731 */   // Label 12098: @776731
     /*  776731 */   GIM_Try, /*On fail goto*//*Label 12099*/ GIMT_Encode4(776809), // Rule ID 14754 //
     /*  776736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  776747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  776750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  776753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776782 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  776785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776807 */     GIR_RootConstrainSelectedInstOperands,
     /*  776808 */     // GIR_Coverage, 14754,
     /*  776808 */     GIR_EraseRootFromParent_Done,
     /*  776809 */   // Label 12099: @776809
     /*  776809 */   GIM_Try, /*On fail goto*//*Label 12100*/ GIMT_Encode4(776887), // Rule ID 14755 //
     /*  776814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  776825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  776828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  776831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776860 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11635:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  776863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776885 */     GIR_RootConstrainSelectedInstOperands,
     /*  776886 */     // GIR_Coverage, 14755,
     /*  776886 */     GIR_EraseRootFromParent_Done,
     /*  776887 */   // Label 12100: @776887
     /*  776887 */   GIM_Try, /*On fail goto*//*Label 12101*/ GIMT_Encode4(776965), // Rule ID 14758 //
     /*  776892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  776903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  776906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  776909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776938 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  776941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776963 */     GIR_RootConstrainSelectedInstOperands,
     /*  776964 */     // GIR_Coverage, 14758,
     /*  776964 */     GIR_EraseRootFromParent_Done,
     /*  776965 */   // Label 12101: @776965
     /*  776965 */   GIM_Try, /*On fail goto*//*Label 12102*/ GIMT_Encode4(777043), // Rule ID 14759 //
     /*  776970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  776981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  776984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  776987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777016 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11635:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  777019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777041 */     GIR_RootConstrainSelectedInstOperands,
     /*  777042 */     // GIR_Coverage, 14759,
     /*  777042 */     GIR_EraseRootFromParent_Done,
     /*  777043 */   // Label 12102: @777043
     /*  777043 */   GIM_Try, /*On fail goto*//*Label 12103*/ GIMT_Encode4(777121), // Rule ID 14762 //
     /*  777048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  777059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  777062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  777065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  777068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777094 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  777097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777119 */     GIR_RootConstrainSelectedInstOperands,
     /*  777120 */     // GIR_Coverage, 14762,
     /*  777120 */     GIR_EraseRootFromParent_Done,
     /*  777121 */   // Label 12103: @777121
     /*  777121 */   GIM_Try, /*On fail goto*//*Label 12104*/ GIMT_Encode4(777199), // Rule ID 14763 //
     /*  777126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  777137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  777140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  777143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  777146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  777175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777197 */     GIR_RootConstrainSelectedInstOperands,
     /*  777198 */     // GIR_Coverage, 14763,
     /*  777198 */     GIR_EraseRootFromParent_Done,
     /*  777199 */   // Label 12104: @777199
     /*  777199 */   GIM_Try, /*On fail goto*//*Label 12105*/ GIMT_Encode4(777277), // Rule ID 14766 //
     /*  777204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  777215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  777218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  777221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  777224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777250 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  777253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777275 */     GIR_RootConstrainSelectedInstOperands,
     /*  777276 */     // GIR_Coverage, 14766,
     /*  777276 */     GIR_EraseRootFromParent_Done,
     /*  777277 */   // Label 12105: @777277
     /*  777277 */   GIM_Try, /*On fail goto*//*Label 12106*/ GIMT_Encode4(777355), // Rule ID 14767 //
     /*  777282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  777293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  777296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  777299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  777302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777328 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  777331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777353 */     GIR_RootConstrainSelectedInstOperands,
     /*  777354 */     // GIR_Coverage, 14767,
     /*  777354 */     GIR_EraseRootFromParent_Done,
     /*  777355 */   // Label 12106: @777355
     /*  777355 */   GIM_Try, /*On fail goto*//*Label 12107*/ GIMT_Encode4(777433), // Rule ID 14770 //
     /*  777360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  777371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  777374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  777377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  777380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777431 */     GIR_RootConstrainSelectedInstOperands,
     /*  777432 */     // GIR_Coverage, 14770,
     /*  777432 */     GIR_EraseRootFromParent_Done,
     /*  777433 */   // Label 12107: @777433
     /*  777433 */   GIM_Try, /*On fail goto*//*Label 12108*/ GIMT_Encode4(777511), // Rule ID 14771 //
     /*  777438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  777449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  777452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  777455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  777458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777484 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777509 */     GIR_RootConstrainSelectedInstOperands,
     /*  777510 */     // GIR_Coverage, 14771,
     /*  777510 */     GIR_EraseRootFromParent_Done,
     /*  777511 */   // Label 12108: @777511
     /*  777511 */   GIM_Try, /*On fail goto*//*Label 12109*/ GIMT_Encode4(777589), // Rule ID 14774 //
     /*  777516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  777527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  777530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  777533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  777536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  777565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777587 */     GIR_RootConstrainSelectedInstOperands,
     /*  777588 */     // GIR_Coverage, 14774,
     /*  777588 */     GIR_EraseRootFromParent_Done,
     /*  777589 */   // Label 12109: @777589
     /*  777589 */   GIM_Try, /*On fail goto*//*Label 12110*/ GIMT_Encode4(777667), // Rule ID 14775 //
     /*  777594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  777605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  777608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  777611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  777614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777640 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  777643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777665 */     GIR_RootConstrainSelectedInstOperands,
     /*  777666 */     // GIR_Coverage, 14775,
     /*  777666 */     GIR_EraseRootFromParent_Done,
     /*  777667 */   // Label 12110: @777667
     /*  777667 */   GIM_Try, /*On fail goto*//*Label 12111*/ GIMT_Encode4(777745), // Rule ID 14778 //
     /*  777672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  777683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  777686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  777689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  777692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777718 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11633:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777743 */     GIR_RootConstrainSelectedInstOperands,
     /*  777744 */     // GIR_Coverage, 14778,
     /*  777744 */     GIR_EraseRootFromParent_Done,
     /*  777745 */   // Label 12111: @777745
     /*  777745 */   GIM_Try, /*On fail goto*//*Label 12112*/ GIMT_Encode4(777823), // Rule ID 14779 //
     /*  777750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  777761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  777764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  777767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  777770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11633:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777821 */     GIR_RootConstrainSelectedInstOperands,
     /*  777822 */     // GIR_Coverage, 14779,
     /*  777822 */     GIR_EraseRootFromParent_Done,
     /*  777823 */   // Label 12112: @777823
     /*  777823 */   GIM_Try, /*On fail goto*//*Label 12113*/ GIMT_Encode4(777901), // Rule ID 14782 //
     /*  777828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  777839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  777842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  777845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  777848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777874 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777899 */     GIR_RootConstrainSelectedInstOperands,
     /*  777900 */     // GIR_Coverage, 14782,
     /*  777900 */     GIR_EraseRootFromParent_Done,
     /*  777901 */   // Label 12113: @777901
     /*  777901 */   GIM_Try, /*On fail goto*//*Label 12114*/ GIMT_Encode4(777979), // Rule ID 14783 //
     /*  777906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  777917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  777920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  777923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  777926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  777955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777977 */     GIR_RootConstrainSelectedInstOperands,
     /*  777978 */     // GIR_Coverage, 14783,
     /*  777978 */     GIR_EraseRootFromParent_Done,
     /*  777979 */   // Label 12114: @777979
     /*  777979 */   GIM_Try, /*On fail goto*//*Label 12115*/ GIMT_Encode4(778057), // Rule ID 14786 //
     /*  777984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  777995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  777998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  778001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  778004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778030 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  778033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778055 */     GIR_RootConstrainSelectedInstOperands,
     /*  778056 */     // GIR_Coverage, 14786,
     /*  778056 */     GIR_EraseRootFromParent_Done,
     /*  778057 */   // Label 12115: @778057
     /*  778057 */   GIM_Try, /*On fail goto*//*Label 12116*/ GIMT_Encode4(778135), // Rule ID 14787 //
     /*  778062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  778073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  778076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  778079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  778082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  778111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778133 */     GIR_RootConstrainSelectedInstOperands,
     /*  778134 */     // GIR_Coverage, 14787,
     /*  778134 */     GIR_EraseRootFromParent_Done,
     /*  778135 */   // Label 12116: @778135
     /*  778135 */   GIM_Try, /*On fail goto*//*Label 12117*/ GIMT_Encode4(778213), // Rule ID 14790 //
     /*  778140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  778151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  778154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  778157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  778160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11633:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  778189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778211 */     GIR_RootConstrainSelectedInstOperands,
     /*  778212 */     // GIR_Coverage, 14790,
     /*  778212 */     GIR_EraseRootFromParent_Done,
     /*  778213 */   // Label 12117: @778213
     /*  778213 */   GIM_Try, /*On fail goto*//*Label 12118*/ GIMT_Encode4(778291), // Rule ID 14791 //
     /*  778218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  778229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  778232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  778235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  778238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11633:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  778267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778289 */     GIR_RootConstrainSelectedInstOperands,
     /*  778290 */     // GIR_Coverage, 14791,
     /*  778290 */     GIR_EraseRootFromParent_Done,
     /*  778291 */   // Label 12118: @778291
     /*  778291 */   GIM_Try, /*On fail goto*//*Label 12119*/ GIMT_Encode4(778369), // Rule ID 14794 //
     /*  778296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  778307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  778310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  778313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  778316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11633:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  778345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778367 */     GIR_RootConstrainSelectedInstOperands,
     /*  778368 */     // GIR_Coverage, 14794,
     /*  778368 */     GIR_EraseRootFromParent_Done,
     /*  778369 */   // Label 12119: @778369
     /*  778369 */   GIM_Try, /*On fail goto*//*Label 12120*/ GIMT_Encode4(778447), // Rule ID 14795 //
     /*  778374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  778385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  778388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  778391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  778394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11633:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  778423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778445 */     GIR_RootConstrainSelectedInstOperands,
     /*  778446 */     // GIR_Coverage, 14795,
     /*  778446 */     GIR_EraseRootFromParent_Done,
     /*  778447 */   // Label 12120: @778447
     /*  778447 */   GIM_Try, /*On fail goto*//*Label 12121*/ GIMT_Encode4(778525), // Rule ID 14798 //
     /*  778452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  778455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  778463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  778466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  778469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  778472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778498 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  778498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  778501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778523 */     GIR_RootConstrainSelectedInstOperands,
     /*  778524 */     // GIR_Coverage, 14798,
     /*  778524 */     GIR_EraseRootFromParent_Done,
     /*  778525 */   // Label 12121: @778525
     /*  778525 */   GIM_Try, /*On fail goto*//*Label 12122*/ GIMT_Encode4(778603), // Rule ID 14799 //
     /*  778530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  778533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  778541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  778544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  778547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  778550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778576 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  778576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  778579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778601 */     GIR_RootConstrainSelectedInstOperands,
     /*  778602 */     // GIR_Coverage, 14799,
     /*  778602 */     GIR_EraseRootFromParent_Done,
     /*  778603 */   // Label 12122: @778603
     /*  778603 */   GIM_Try, /*On fail goto*//*Label 12123*/ GIMT_Encode4(778681), // Rule ID 14802 //
     /*  778608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  778619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  778622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  778625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  778628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778654 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778679 */     GIR_RootConstrainSelectedInstOperands,
     /*  778680 */     // GIR_Coverage, 14802,
     /*  778680 */     GIR_EraseRootFromParent_Done,
     /*  778681 */   // Label 12123: @778681
     /*  778681 */   GIM_Try, /*On fail goto*//*Label 12124*/ GIMT_Encode4(778759), // Rule ID 14803 //
     /*  778686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  778697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  778700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  778703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  778706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778732 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778757 */     GIR_RootConstrainSelectedInstOperands,
     /*  778758 */     // GIR_Coverage, 14803,
     /*  778758 */     GIR_EraseRootFromParent_Done,
     /*  778759 */   // Label 12124: @778759
     /*  778759 */   GIM_Try, /*On fail goto*//*Label 12125*/ GIMT_Encode4(778837), // Rule ID 14806 //
     /*  778764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  778775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  778778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  778781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  778784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778810 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778835 */     GIR_RootConstrainSelectedInstOperands,
     /*  778836 */     // GIR_Coverage, 14806,
     /*  778836 */     GIR_EraseRootFromParent_Done,
     /*  778837 */   // Label 12125: @778837
     /*  778837 */   GIM_Try, /*On fail goto*//*Label 12126*/ GIMT_Encode4(778915), // Rule ID 14807 //
     /*  778842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  778853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  778856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  778859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  778862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778888 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778913 */     GIR_RootConstrainSelectedInstOperands,
     /*  778914 */     // GIR_Coverage, 14807,
     /*  778914 */     GIR_EraseRootFromParent_Done,
     /*  778915 */   // Label 12126: @778915
     /*  778915 */   GIM_Try, /*On fail goto*//*Label 12127*/ GIMT_Encode4(778993), // Rule ID 14810 //
     /*  778920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  778931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  778934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  778937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  778940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778966 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778991 */     GIR_RootConstrainSelectedInstOperands,
     /*  778992 */     // GIR_Coverage, 14810,
     /*  778992 */     GIR_EraseRootFromParent_Done,
     /*  778993 */   // Label 12127: @778993
     /*  778993 */   GIM_Try, /*On fail goto*//*Label 12128*/ GIMT_Encode4(779071), // Rule ID 14811 //
     /*  778998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  779009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  779012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  779015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  779018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779044 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779069 */     GIR_RootConstrainSelectedInstOperands,
     /*  779070 */     // GIR_Coverage, 14811,
     /*  779070 */     GIR_EraseRootFromParent_Done,
     /*  779071 */   // Label 12128: @779071
     /*  779071 */   GIM_Try, /*On fail goto*//*Label 12129*/ GIMT_Encode4(779149), // Rule ID 14814 //
     /*  779076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  779087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  779090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  779093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  779096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  779125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779147 */     GIR_RootConstrainSelectedInstOperands,
     /*  779148 */     // GIR_Coverage, 14814,
     /*  779148 */     GIR_EraseRootFromParent_Done,
     /*  779149 */   // Label 12129: @779149
     /*  779149 */   GIM_Try, /*On fail goto*//*Label 12130*/ GIMT_Encode4(779227), // Rule ID 14815 //
     /*  779154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  779165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  779168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  779171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  779174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779200 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  779203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779225 */     GIR_RootConstrainSelectedInstOperands,
     /*  779226 */     // GIR_Coverage, 14815,
     /*  779226 */     GIR_EraseRootFromParent_Done,
     /*  779227 */   // Label 12130: @779227
     /*  779227 */   GIM_Try, /*On fail goto*//*Label 12131*/ GIMT_Encode4(779305), // Rule ID 14818 //
     /*  779232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  779243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  779246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  779249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  779252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779278 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779303 */     GIR_RootConstrainSelectedInstOperands,
     /*  779304 */     // GIR_Coverage, 14818,
     /*  779304 */     GIR_EraseRootFromParent_Done,
     /*  779305 */   // Label 12131: @779305
     /*  779305 */   GIM_Try, /*On fail goto*//*Label 12132*/ GIMT_Encode4(779383), // Rule ID 14819 //
     /*  779310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  779321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  779324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  779327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  779330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779356 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779381 */     GIR_RootConstrainSelectedInstOperands,
     /*  779382 */     // GIR_Coverage, 14819,
     /*  779382 */     GIR_EraseRootFromParent_Done,
     /*  779383 */   // Label 12132: @779383
     /*  779383 */   GIM_Try, /*On fail goto*//*Label 12133*/ GIMT_Encode4(779461), // Rule ID 14822 //
     /*  779388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  779399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  779402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  779405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  779408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779459 */     GIR_RootConstrainSelectedInstOperands,
     /*  779460 */     // GIR_Coverage, 14822,
     /*  779460 */     GIR_EraseRootFromParent_Done,
     /*  779461 */   // Label 12133: @779461
     /*  779461 */   GIM_Try, /*On fail goto*//*Label 12134*/ GIMT_Encode4(779539), // Rule ID 14823 //
     /*  779466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  779477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  779480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  779483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  779486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779512 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779537 */     GIR_RootConstrainSelectedInstOperands,
     /*  779538 */     // GIR_Coverage, 14823,
     /*  779538 */     GIR_EraseRootFromParent_Done,
     /*  779539 */   // Label 12134: @779539
     /*  779539 */   GIM_Try, /*On fail goto*//*Label 12135*/ GIMT_Encode4(779617), // Rule ID 14826 //
     /*  779544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  779555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  779558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  779561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  779564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779590 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  779593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779615 */     GIR_RootConstrainSelectedInstOperands,
     /*  779616 */     // GIR_Coverage, 14826,
     /*  779616 */     GIR_EraseRootFromParent_Done,
     /*  779617 */   // Label 12135: @779617
     /*  779617 */   GIM_Try, /*On fail goto*//*Label 12136*/ GIMT_Encode4(779695), // Rule ID 14827 //
     /*  779622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  779633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  779636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  779639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  779642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  779671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779693 */     GIR_RootConstrainSelectedInstOperands,
     /*  779694 */     // GIR_Coverage, 14827,
     /*  779694 */     GIR_EraseRootFromParent_Done,
     /*  779695 */   // Label 12136: @779695
     /*  779695 */   GIM_Try, /*On fail goto*//*Label 12137*/ GIMT_Encode4(779773), // Rule ID 14830 //
     /*  779700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  779711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  779714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  779717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  779720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779771 */     GIR_RootConstrainSelectedInstOperands,
     /*  779772 */     // GIR_Coverage, 14830,
     /*  779772 */     GIR_EraseRootFromParent_Done,
     /*  779773 */   // Label 12137: @779773
     /*  779773 */   GIM_Try, /*On fail goto*//*Label 12138*/ GIMT_Encode4(779851), // Rule ID 14831 //
     /*  779778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  779789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  779792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  779795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  779798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779849 */     GIR_RootConstrainSelectedInstOperands,
     /*  779850 */     // GIR_Coverage, 14831,
     /*  779850 */     GIR_EraseRootFromParent_Done,
     /*  779851 */   // Label 12138: @779851
     /*  779851 */   GIM_Try, /*On fail goto*//*Label 12139*/ GIMT_Encode4(779929), // Rule ID 14834 //
     /*  779856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  779867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  779870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  779873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  779876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779927 */     GIR_RootConstrainSelectedInstOperands,
     /*  779928 */     // GIR_Coverage, 14834,
     /*  779928 */     GIR_EraseRootFromParent_Done,
     /*  779929 */   // Label 12139: @779929
     /*  779929 */   GIM_Try, /*On fail goto*//*Label 12140*/ GIMT_Encode4(780007), // Rule ID 14835 //
     /*  779934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  779945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  779948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  779951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  779954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779980 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780005 */     GIR_RootConstrainSelectedInstOperands,
     /*  780006 */     // GIR_Coverage, 14835,
     /*  780006 */     GIR_EraseRootFromParent_Done,
     /*  780007 */   // Label 12140: @780007
     /*  780007 */   GIM_Try, /*On fail goto*//*Label 12141*/ GIMT_Encode4(780085), // Rule ID 14838 //
     /*  780012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  780015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  780023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  780026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  780029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  780032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  780061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780083 */     GIR_RootConstrainSelectedInstOperands,
     /*  780084 */     // GIR_Coverage, 14838,
     /*  780084 */     GIR_EraseRootFromParent_Done,
     /*  780085 */   // Label 12141: @780085
     /*  780085 */   GIM_Try, /*On fail goto*//*Label 12142*/ GIMT_Encode4(780163), // Rule ID 14839 //
     /*  780090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  780093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  780101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  780104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  780107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  780110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  780139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780161 */     GIR_RootConstrainSelectedInstOperands,
     /*  780162 */     // GIR_Coverage, 14839,
     /*  780162 */     GIR_EraseRootFromParent_Done,
     /*  780163 */   // Label 12142: @780163
     /*  780163 */   GIM_Try, /*On fail goto*//*Label 12143*/ GIMT_Encode4(780241), // Rule ID 14842 //
     /*  780168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  780171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  780179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  780182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  780185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  780188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780214 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  780217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780239 */     GIR_RootConstrainSelectedInstOperands,
     /*  780240 */     // GIR_Coverage, 14842,
     /*  780240 */     GIR_EraseRootFromParent_Done,
     /*  780241 */   // Label 12143: @780241
     /*  780241 */   GIM_Try, /*On fail goto*//*Label 12144*/ GIMT_Encode4(780319), // Rule ID 14843 //
     /*  780246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  780249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  780257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  780260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  780263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  780266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780292 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  780295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780317 */     GIR_RootConstrainSelectedInstOperands,
     /*  780318 */     // GIR_Coverage, 14843,
     /*  780318 */     GIR_EraseRootFromParent_Done,
     /*  780319 */   // Label 12144: @780319
     /*  780319 */   GIM_Try, /*On fail goto*//*Label 12145*/ GIMT_Encode4(780397), // Rule ID 14846 //
     /*  780324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  780327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  780335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  780338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  780341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  780344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780370 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  780373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780395 */     GIR_RootConstrainSelectedInstOperands,
     /*  780396 */     // GIR_Coverage, 14846,
     /*  780396 */     GIR_EraseRootFromParent_Done,
     /*  780397 */   // Label 12145: @780397
     /*  780397 */   GIM_Try, /*On fail goto*//*Label 12146*/ GIMT_Encode4(780475), // Rule ID 14847 //
     /*  780402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  780405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  780413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  780416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  780419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  780422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780448 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  780451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780473 */     GIR_RootConstrainSelectedInstOperands,
     /*  780474 */     // GIR_Coverage, 14847,
     /*  780474 */     GIR_EraseRootFromParent_Done,
     /*  780475 */   // Label 12146: @780475
     /*  780475 */   GIM_Try, /*On fail goto*//*Label 12147*/ GIMT_Encode4(780553), // Rule ID 14850 //
     /*  780480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  780491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  780494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  780497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780526 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  780529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780551 */     GIR_RootConstrainSelectedInstOperands,
     /*  780552 */     // GIR_Coverage, 14850,
     /*  780552 */     GIR_EraseRootFromParent_Done,
     /*  780553 */   // Label 12147: @780553
     /*  780553 */   GIM_Try, /*On fail goto*//*Label 12148*/ GIMT_Encode4(780631), // Rule ID 14851 //
     /*  780558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  780569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  780572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  780575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780604 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  780607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780629 */     GIR_RootConstrainSelectedInstOperands,
     /*  780630 */     // GIR_Coverage, 14851,
     /*  780630 */     GIR_EraseRootFromParent_Done,
     /*  780631 */   // Label 12148: @780631
     /*  780631 */   GIM_Try, /*On fail goto*//*Label 12149*/ GIMT_Encode4(780709), // Rule ID 14854 //
     /*  780636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  780647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  780650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  780653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780682 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  780685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780707 */     GIR_RootConstrainSelectedInstOperands,
     /*  780708 */     // GIR_Coverage, 14854,
     /*  780708 */     GIR_EraseRootFromParent_Done,
     /*  780709 */   // Label 12149: @780709
     /*  780709 */   GIM_Try, /*On fail goto*//*Label 12150*/ GIMT_Encode4(780787), // Rule ID 14855 //
     /*  780714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  780725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  780728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  780731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780760 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  780763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780785 */     GIR_RootConstrainSelectedInstOperands,
     /*  780786 */     // GIR_Coverage, 14855,
     /*  780786 */     GIR_EraseRootFromParent_Done,
     /*  780787 */   // Label 12150: @780787
     /*  780787 */   GIM_Try, /*On fail goto*//*Label 12151*/ GIMT_Encode4(780865), // Rule ID 14858 //
     /*  780792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  780803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  780806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  780809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780838 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780863 */     GIR_RootConstrainSelectedInstOperands,
     /*  780864 */     // GIR_Coverage, 14858,
     /*  780864 */     GIR_EraseRootFromParent_Done,
     /*  780865 */   // Label 12151: @780865
     /*  780865 */   GIM_Try, /*On fail goto*//*Label 12152*/ GIMT_Encode4(780943), // Rule ID 14859 //
     /*  780870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  780881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  780884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  780887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780916 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780941 */     GIR_RootConstrainSelectedInstOperands,
     /*  780942 */     // GIR_Coverage, 14859,
     /*  780942 */     GIR_EraseRootFromParent_Done,
     /*  780943 */   // Label 12152: @780943
     /*  780943 */   GIM_Try, /*On fail goto*//*Label 12153*/ GIMT_Encode4(781021), // Rule ID 14862 //
     /*  780948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  780959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  780962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  780965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780994 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  780997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781019 */     GIR_RootConstrainSelectedInstOperands,
     /*  781020 */     // GIR_Coverage, 14862,
     /*  781020 */     GIR_EraseRootFromParent_Done,
     /*  781021 */   // Label 12153: @781021
     /*  781021 */   GIM_Try, /*On fail goto*//*Label 12154*/ GIMT_Encode4(781099), // Rule ID 14863 //
     /*  781026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  781037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  781040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  781043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781072 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  781075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781097 */     GIR_RootConstrainSelectedInstOperands,
     /*  781098 */     // GIR_Coverage, 14863,
     /*  781098 */     GIR_EraseRootFromParent_Done,
     /*  781099 */   // Label 12154: @781099
     /*  781099 */   GIM_Try, /*On fail goto*//*Label 12155*/ GIMT_Encode4(781177), // Rule ID 14866 //
     /*  781104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781150 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11633:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  781153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781175 */     GIR_RootConstrainSelectedInstOperands,
     /*  781176 */     // GIR_Coverage, 14866,
     /*  781176 */     GIR_EraseRootFromParent_Done,
     /*  781177 */   // Label 12155: @781177
     /*  781177 */   GIM_Try, /*On fail goto*//*Label 12156*/ GIMT_Encode4(781255), // Rule ID 14867 //
     /*  781182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11633:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  781231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781253 */     GIR_RootConstrainSelectedInstOperands,
     /*  781254 */     // GIR_Coverage, 14867,
     /*  781254 */     GIR_EraseRootFromParent_Done,
     /*  781255 */   // Label 12156: @781255
     /*  781255 */   GIM_Try, /*On fail goto*//*Label 12157*/ GIMT_Encode4(781333), // Rule ID 14870 //
     /*  781260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  781271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  781274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  781277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  781306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  781309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781331 */     GIR_RootConstrainSelectedInstOperands,
     /*  781332 */     // GIR_Coverage, 14870,
     /*  781332 */     GIR_EraseRootFromParent_Done,
     /*  781333 */   // Label 12157: @781333
     /*  781333 */   GIM_Try, /*On fail goto*//*Label 12158*/ GIMT_Encode4(781411), // Rule ID 14871 //
     /*  781338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  781349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  781352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  781355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  781384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  781387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781409 */     GIR_RootConstrainSelectedInstOperands,
     /*  781410 */     // GIR_Coverage, 14871,
     /*  781410 */     GIR_EraseRootFromParent_Done,
     /*  781411 */   // Label 12158: @781411
     /*  781411 */   GIM_Try, /*On fail goto*//*Label 12159*/ GIMT_Encode4(781489), // Rule ID 14874 //
     /*  781416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  781427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  781430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  781433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781462 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781487 */     GIR_RootConstrainSelectedInstOperands,
     /*  781488 */     // GIR_Coverage, 14874,
     /*  781488 */     GIR_EraseRootFromParent_Done,
     /*  781489 */   // Label 12159: @781489
     /*  781489 */   GIM_Try, /*On fail goto*//*Label 12160*/ GIMT_Encode4(781567), // Rule ID 14875 //
     /*  781494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  781505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  781508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  781511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11633:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781565 */     GIR_RootConstrainSelectedInstOperands,
     /*  781566 */     // GIR_Coverage, 14875,
     /*  781566 */     GIR_EraseRootFromParent_Done,
     /*  781567 */   // Label 12160: @781567
     /*  781567 */   GIM_Try, /*On fail goto*//*Label 12161*/ GIMT_Encode4(781645), // Rule ID 14878 //
     /*  781572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  781583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  781586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  781589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781618 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11633:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781643 */     GIR_RootConstrainSelectedInstOperands,
     /*  781644 */     // GIR_Coverage, 14878,
     /*  781644 */     GIR_EraseRootFromParent_Done,
     /*  781645 */   // Label 12161: @781645
     /*  781645 */   GIM_Try, /*On fail goto*//*Label 12162*/ GIMT_Encode4(781723), // Rule ID 14879 //
     /*  781650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  781661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  781664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  781667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11633:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781721 */     GIR_RootConstrainSelectedInstOperands,
     /*  781722 */     // GIR_Coverage, 14879,
     /*  781722 */     GIR_EraseRootFromParent_Done,
     /*  781723 */   // Label 12162: @781723
     /*  781723 */   GIM_Try, /*On fail goto*//*Label 12163*/ GIMT_Encode4(781801), // Rule ID 14882 //
     /*  781728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  781739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  781742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  781745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781774 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11633:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  781774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781799 */     GIR_RootConstrainSelectedInstOperands,
     /*  781800 */     // GIR_Coverage, 14882,
     /*  781800 */     GIR_EraseRootFromParent_Done,
     /*  781801 */   // Label 12163: @781801
     /*  781801 */   GIM_Try, /*On fail goto*//*Label 12164*/ GIMT_Encode4(781879), // Rule ID 14883 //
     /*  781806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  781817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  781820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  781823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11633:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  781852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781877 */     GIR_RootConstrainSelectedInstOperands,
     /*  781878 */     // GIR_Coverage, 14883,
     /*  781878 */     GIR_EraseRootFromParent_Done,
     /*  781879 */   // Label 12164: @781879
     /*  781879 */   GIM_Try, /*On fail goto*//*Label 12165*/ GIMT_Encode4(781957), // Rule ID 14886 //
     /*  781884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  781887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  781895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  781898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  781901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781930 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  781930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  781933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781955 */     GIR_RootConstrainSelectedInstOperands,
     /*  781956 */     // GIR_Coverage, 14886,
     /*  781956 */     GIR_EraseRootFromParent_Done,
     /*  781957 */   // Label 12165: @781957
     /*  781957 */   GIM_Try, /*On fail goto*//*Label 12166*/ GIMT_Encode4(782035), // Rule ID 14887 //
     /*  781962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  781965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  781973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  781976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  781979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11633:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  782011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782033 */     GIR_RootConstrainSelectedInstOperands,
     /*  782034 */     // GIR_Coverage, 14887,
     /*  782034 */     GIR_EraseRootFromParent_Done,
     /*  782035 */   // Label 12166: @782035
     /*  782035 */   GIM_Try, /*On fail goto*//*Label 12167*/ GIMT_Encode4(782113), // Rule ID 14890 //
     /*  782040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  782051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  782054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  782057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782086 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  782086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782111 */     GIR_RootConstrainSelectedInstOperands,
     /*  782112 */     // GIR_Coverage, 14890,
     /*  782112 */     GIR_EraseRootFromParent_Done,
     /*  782113 */   // Label 12167: @782113
     /*  782113 */   GIM_Try, /*On fail goto*//*Label 12168*/ GIMT_Encode4(782191), // Rule ID 14891 //
     /*  782118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  782129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  782132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  782135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782164 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  782164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782189 */     GIR_RootConstrainSelectedInstOperands,
     /*  782190 */     // GIR_Coverage, 14891,
     /*  782190 */     GIR_EraseRootFromParent_Done,
     /*  782191 */   // Label 12168: @782191
     /*  782191 */   GIM_Try, /*On fail goto*//*Label 12169*/ GIMT_Encode4(782269), // Rule ID 14894 //
     /*  782196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  782207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  782210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  782213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782242 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  782242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782267 */     GIR_RootConstrainSelectedInstOperands,
     /*  782268 */     // GIR_Coverage, 14894,
     /*  782268 */     GIR_EraseRootFromParent_Done,
     /*  782269 */   // Label 12169: @782269
     /*  782269 */   GIM_Try, /*On fail goto*//*Label 12170*/ GIMT_Encode4(782347), // Rule ID 14895 //
     /*  782274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  782285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  782288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  782291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782320 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  782320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782345 */     GIR_RootConstrainSelectedInstOperands,
     /*  782346 */     // GIR_Coverage, 14895,
     /*  782346 */     GIR_EraseRootFromParent_Done,
     /*  782347 */   // Label 12170: @782347
     /*  782347 */   GIM_Try, /*On fail goto*//*Label 12171*/ GIMT_Encode4(782425), // Rule ID 14898 //
     /*  782352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  782363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  782366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  782369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782398 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  782398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782423 */     GIR_RootConstrainSelectedInstOperands,
     /*  782424 */     // GIR_Coverage, 14898,
     /*  782424 */     GIR_EraseRootFromParent_Done,
     /*  782425 */   // Label 12171: @782425
     /*  782425 */   GIM_Try, /*On fail goto*//*Label 12172*/ GIMT_Encode4(782503), // Rule ID 14899 //
     /*  782430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  782441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  782444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  782447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782476 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  782476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782501 */     GIR_RootConstrainSelectedInstOperands,
     /*  782502 */     // GIR_Coverage, 14899,
     /*  782502 */     GIR_EraseRootFromParent_Done,
     /*  782503 */   // Label 12172: @782503
     /*  782503 */   GIM_Try, /*On fail goto*//*Label 12173*/ GIMT_Encode4(782581), // Rule ID 14902 //
     /*  782508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  782519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  782522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  782525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782554 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782579 */     GIR_RootConstrainSelectedInstOperands,
     /*  782580 */     // GIR_Coverage, 14902,
     /*  782580 */     GIR_EraseRootFromParent_Done,
     /*  782581 */   // Label 12173: @782581
     /*  782581 */   GIM_Try, /*On fail goto*//*Label 12174*/ GIMT_Encode4(782659), // Rule ID 14903 //
     /*  782586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  782597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  782600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  782603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782632 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782657 */     GIR_RootConstrainSelectedInstOperands,
     /*  782658 */     // GIR_Coverage, 14903,
     /*  782658 */     GIR_EraseRootFromParent_Done,
     /*  782659 */   // Label 12174: @782659
     /*  782659 */   GIM_Try, /*On fail goto*//*Label 12175*/ GIMT_Encode4(782737), // Rule ID 14906 //
     /*  782664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782710 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782735 */     GIR_RootConstrainSelectedInstOperands,
     /*  782736 */     // GIR_Coverage, 14906,
     /*  782736 */     GIR_EraseRootFromParent_Done,
     /*  782737 */   // Label 12175: @782737
     /*  782737 */   GIM_Try, /*On fail goto*//*Label 12176*/ GIMT_Encode4(782815), // Rule ID 14907 //
     /*  782742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782788 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782813 */     GIR_RootConstrainSelectedInstOperands,
     /*  782814 */     // GIR_Coverage, 14907,
     /*  782814 */     GIR_EraseRootFromParent_Done,
     /*  782815 */   // Label 12176: @782815
     /*  782815 */   GIM_Try, /*On fail goto*//*Label 12177*/ GIMT_Encode4(782893), // Rule ID 14910 //
     /*  782820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782891 */     GIR_RootConstrainSelectedInstOperands,
     /*  782892 */     // GIR_Coverage, 14910,
     /*  782892 */     GIR_EraseRootFromParent_Done,
     /*  782893 */   // Label 12177: @782893
     /*  782893 */   GIM_Try, /*On fail goto*//*Label 12178*/ GIMT_Encode4(782971), // Rule ID 14911 //
     /*  782898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782944 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782969 */     GIR_RootConstrainSelectedInstOperands,
     /*  782970 */     // GIR_Coverage, 14911,
     /*  782970 */     GIR_EraseRootFromParent_Done,
     /*  782971 */   // Label 12178: @782971
     /*  782971 */   GIM_Try, /*On fail goto*//*Label 12179*/ GIMT_Encode4(783049), // Rule ID 14914 //
     /*  782976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  782987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  782990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  782993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783022 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  783025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783047 */     GIR_RootConstrainSelectedInstOperands,
     /*  783048 */     // GIR_Coverage, 14914,
     /*  783048 */     GIR_EraseRootFromParent_Done,
     /*  783049 */   // Label 12179: @783049
     /*  783049 */   GIM_Try, /*On fail goto*//*Label 12180*/ GIMT_Encode4(783127), // Rule ID 14915 //
     /*  783054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  783065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  783068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  783071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  783074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783100 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  783103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783125 */     GIR_RootConstrainSelectedInstOperands,
     /*  783126 */     // GIR_Coverage, 14915,
     /*  783126 */     GIR_EraseRootFromParent_Done,
     /*  783127 */   // Label 12180: @783127
     /*  783127 */   GIM_Try, /*On fail goto*//*Label 12181*/ GIMT_Encode4(783205), // Rule ID 14918 //
     /*  783132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  783143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  783146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  783149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  783152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783178 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  783181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783203 */     GIR_RootConstrainSelectedInstOperands,
     /*  783204 */     // GIR_Coverage, 14918,
     /*  783204 */     GIR_EraseRootFromParent_Done,
     /*  783205 */   // Label 12181: @783205
     /*  783205 */   GIM_Try, /*On fail goto*//*Label 12182*/ GIMT_Encode4(783283), // Rule ID 14919 //
     /*  783210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  783221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  783224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  783227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  783230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783256 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  783259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783281 */     GIR_RootConstrainSelectedInstOperands,
     /*  783282 */     // GIR_Coverage, 14919,
     /*  783282 */     GIR_EraseRootFromParent_Done,
     /*  783283 */   // Label 12182: @783283
     /*  783283 */   GIM_Try, /*On fail goto*//*Label 12183*/ GIMT_Encode4(783361), // Rule ID 14922 //
     /*  783288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  783299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  783302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  783305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  783308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783334 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  783337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783359 */     GIR_RootConstrainSelectedInstOperands,
     /*  783360 */     // GIR_Coverage, 14922,
     /*  783360 */     GIR_EraseRootFromParent_Done,
     /*  783361 */   // Label 12183: @783361
     /*  783361 */   GIM_Try, /*On fail goto*//*Label 12184*/ GIMT_Encode4(783439), // Rule ID 14923 //
     /*  783366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  783377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  783380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  783383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  783386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  783415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783437 */     GIR_RootConstrainSelectedInstOperands,
     /*  783438 */     // GIR_Coverage, 14923,
     /*  783438 */     GIR_EraseRootFromParent_Done,
     /*  783439 */   // Label 12184: @783439
     /*  783439 */   GIM_Try, /*On fail goto*//*Label 12185*/ GIMT_Encode4(783517), // Rule ID 14926 //
     /*  783444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  783447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  783455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  783458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  783461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  783464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783490 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  783493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783515 */     GIR_RootConstrainSelectedInstOperands,
     /*  783516 */     // GIR_Coverage, 14926,
     /*  783516 */     GIR_EraseRootFromParent_Done,
     /*  783517 */   // Label 12185: @783517
     /*  783517 */   GIM_Try, /*On fail goto*//*Label 12186*/ GIMT_Encode4(783595), // Rule ID 14927 //
     /*  783522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  783525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  783533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  783536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  783539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  783542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783568 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11633:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  783571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783593 */     GIR_RootConstrainSelectedInstOperands,
     /*  783594 */     // GIR_Coverage, 14927,
     /*  783594 */     GIR_EraseRootFromParent_Done,
     /*  783595 */   // Label 12186: @783595
     /*  783595 */   GIM_Try, /*On fail goto*//*Label 12187*/ GIMT_Encode4(783673), // Rule ID 14930 //
     /*  783600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  783603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  783611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  783614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  783617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  783620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783646 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  783649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783671 */     GIR_RootConstrainSelectedInstOperands,
     /*  783672 */     // GIR_Coverage, 14930,
     /*  783672 */     GIR_EraseRootFromParent_Done,
     /*  783673 */   // Label 12187: @783673
     /*  783673 */   GIM_Try, /*On fail goto*//*Label 12188*/ GIMT_Encode4(783751), // Rule ID 14931 //
     /*  783678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  783681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  783689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  783692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  783695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  783698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11633:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  783727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783749 */     GIR_RootConstrainSelectedInstOperands,
     /*  783750 */     // GIR_Coverage, 14931,
     /*  783750 */     GIR_EraseRootFromParent_Done,
     /*  783751 */   // Label 12188: @783751
     /*  783751 */   GIM_Try, /*On fail goto*//*Label 12189*/ GIMT_Encode4(783829), // Rule ID 14934 //
     /*  783756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  783759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  783767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  783770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  783773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  783776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783802 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  783805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783827 */     GIR_RootConstrainSelectedInstOperands,
     /*  783828 */     // GIR_Coverage, 14934,
     /*  783828 */     GIR_EraseRootFromParent_Done,
     /*  783829 */   // Label 12189: @783829
     /*  783829 */   GIM_Try, /*On fail goto*//*Label 12190*/ GIMT_Encode4(783907), // Rule ID 14935 //
     /*  783834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  783837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  783845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  783848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  783851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  783854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  783873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11633:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  783883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783905 */     GIR_RootConstrainSelectedInstOperands,
     /*  783906 */     // GIR_Coverage, 14935,
     /*  783906 */     GIR_EraseRootFromParent_Done,
     /*  783907 */   // Label 12190: @783907
     /*  783907 */   GIM_Try, /*On fail goto*//*Label 12191*/ GIMT_Encode4(783982), // Rule ID 19176 //
     /*  783912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  783923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  783926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  783929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  783932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783958 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  783961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783980 */     GIR_RootConstrainSelectedInstOperands,
     /*  783981 */     // GIR_Coverage, 19176,
     /*  783981 */     GIR_EraseRootFromParent_Done,
     /*  783982 */   // Label 12191: @783982
     /*  783982 */   GIM_Try, /*On fail goto*//*Label 12192*/ GIMT_Encode4(784057), // Rule ID 19177 //
     /*  783987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  783998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  784001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  784004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  784007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784033 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  784036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784055 */     GIR_RootConstrainSelectedInstOperands,
     /*  784056 */     // GIR_Coverage, 19177,
     /*  784056 */     GIR_EraseRootFromParent_Done,
     /*  784057 */   // Label 12192: @784057
     /*  784057 */   GIM_Try, /*On fail goto*//*Label 12193*/ GIMT_Encode4(784132), // Rule ID 19180 //
     /*  784062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  784073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  784076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  784079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  784082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784108 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  784111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784130 */     GIR_RootConstrainSelectedInstOperands,
     /*  784131 */     // GIR_Coverage, 19180,
     /*  784131 */     GIR_EraseRootFromParent_Done,
     /*  784132 */   // Label 12193: @784132
     /*  784132 */   GIM_Try, /*On fail goto*//*Label 12194*/ GIMT_Encode4(784207), // Rule ID 19181 //
     /*  784137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  784148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  784151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  784154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  784157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784183 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  784186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784205 */     GIR_RootConstrainSelectedInstOperands,
     /*  784206 */     // GIR_Coverage, 19181,
     /*  784206 */     GIR_EraseRootFromParent_Done,
     /*  784207 */   // Label 12194: @784207
     /*  784207 */   GIM_Try, /*On fail goto*//*Label 12195*/ GIMT_Encode4(784282), // Rule ID 19184 //
     /*  784212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  784223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  784226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  784229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  784232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784258 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  784261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784280 */     GIR_RootConstrainSelectedInstOperands,
     /*  784281 */     // GIR_Coverage, 19184,
     /*  784281 */     GIR_EraseRootFromParent_Done,
     /*  784282 */   // Label 12195: @784282
     /*  784282 */   GIM_Try, /*On fail goto*//*Label 12196*/ GIMT_Encode4(784357), // Rule ID 19185 //
     /*  784287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  784298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  784301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  784304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  784307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784333 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  784336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784355 */     GIR_RootConstrainSelectedInstOperands,
     /*  784356 */     // GIR_Coverage, 19185,
     /*  784356 */     GIR_EraseRootFromParent_Done,
     /*  784357 */   // Label 12196: @784357
     /*  784357 */   GIM_Try, /*On fail goto*//*Label 12197*/ GIMT_Encode4(784432), // Rule ID 19188 //
     /*  784362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  784373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  784376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  784379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  784382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784408 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  784411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784430 */     GIR_RootConstrainSelectedInstOperands,
     /*  784431 */     // GIR_Coverage, 19188,
     /*  784431 */     GIR_EraseRootFromParent_Done,
     /*  784432 */   // Label 12197: @784432
     /*  784432 */   GIM_Try, /*On fail goto*//*Label 12198*/ GIMT_Encode4(784507), // Rule ID 19189 //
     /*  784437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  784448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  784451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  784454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  784457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784483 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  784486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784505 */     GIR_RootConstrainSelectedInstOperands,
     /*  784506 */     // GIR_Coverage, 19189,
     /*  784506 */     GIR_EraseRootFromParent_Done,
     /*  784507 */   // Label 12198: @784507
     /*  784507 */   GIM_Try, /*On fail goto*//*Label 12199*/ GIMT_Encode4(784582), // Rule ID 19192 //
     /*  784512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  784523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  784526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  784529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  784532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784558 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  784561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784580 */     GIR_RootConstrainSelectedInstOperands,
     /*  784581 */     // GIR_Coverage, 19192,
     /*  784581 */     GIR_EraseRootFromParent_Done,
     /*  784582 */   // Label 12199: @784582
     /*  784582 */   GIM_Try, /*On fail goto*//*Label 12200*/ GIMT_Encode4(784657), // Rule ID 19193 //
     /*  784587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  784598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  784601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  784604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  784607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784633 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  784636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784655 */     GIR_RootConstrainSelectedInstOperands,
     /*  784656 */     // GIR_Coverage, 19193,
     /*  784656 */     GIR_EraseRootFromParent_Done,
     /*  784657 */   // Label 12200: @784657
     /*  784657 */   GIM_Try, /*On fail goto*//*Label 12201*/ GIMT_Encode4(784732), // Rule ID 19196 //
     /*  784662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  784665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  784673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  784676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  784679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  784682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784708 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  784711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784730 */     GIR_RootConstrainSelectedInstOperands,
     /*  784731 */     // GIR_Coverage, 19196,
     /*  784731 */     GIR_EraseRootFromParent_Done,
     /*  784732 */   // Label 12201: @784732
     /*  784732 */   GIM_Try, /*On fail goto*//*Label 12202*/ GIMT_Encode4(784807), // Rule ID 19197 //
     /*  784737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  784740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  784748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  784751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  784754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  784757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784783 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  784786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784805 */     GIR_RootConstrainSelectedInstOperands,
     /*  784806 */     // GIR_Coverage, 19197,
     /*  784806 */     GIR_EraseRootFromParent_Done,
     /*  784807 */   // Label 12202: @784807
     /*  784807 */   GIM_Try, /*On fail goto*//*Label 12203*/ GIMT_Encode4(784882), // Rule ID 19200 //
     /*  784812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  784823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  784826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  784829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  784832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784858 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  784861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784880 */     GIR_RootConstrainSelectedInstOperands,
     /*  784881 */     // GIR_Coverage, 19200,
     /*  784881 */     GIR_EraseRootFromParent_Done,
     /*  784882 */   // Label 12203: @784882
     /*  784882 */   GIM_Try, /*On fail goto*//*Label 12204*/ GIMT_Encode4(784957), // Rule ID 19201 //
     /*  784887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  784898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  784901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  784904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  784907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784933 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  784936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784955 */     GIR_RootConstrainSelectedInstOperands,
     /*  784956 */     // GIR_Coverage, 19201,
     /*  784956 */     GIR_EraseRootFromParent_Done,
     /*  784957 */   // Label 12204: @784957
     /*  784957 */   GIM_Try, /*On fail goto*//*Label 12205*/ GIMT_Encode4(785032), // Rule ID 19204 //
     /*  784962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  784973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  784976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  784979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  784982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785008 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  785011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785030 */     GIR_RootConstrainSelectedInstOperands,
     /*  785031 */     // GIR_Coverage, 19204,
     /*  785031 */     GIR_EraseRootFromParent_Done,
     /*  785032 */   // Label 12205: @785032
     /*  785032 */   GIM_Try, /*On fail goto*//*Label 12206*/ GIMT_Encode4(785107), // Rule ID 19205 //
     /*  785037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  785048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  785051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  785054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  785057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785083 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  785086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785105 */     GIR_RootConstrainSelectedInstOperands,
     /*  785106 */     // GIR_Coverage, 19205,
     /*  785106 */     GIR_EraseRootFromParent_Done,
     /*  785107 */   // Label 12206: @785107
     /*  785107 */   GIM_Try, /*On fail goto*//*Label 12207*/ GIMT_Encode4(785182), // Rule ID 19208 //
     /*  785112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  785123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  785126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  785129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  785132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785158 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  785161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785180 */     GIR_RootConstrainSelectedInstOperands,
     /*  785181 */     // GIR_Coverage, 19208,
     /*  785181 */     GIR_EraseRootFromParent_Done,
     /*  785182 */   // Label 12207: @785182
     /*  785182 */   GIM_Try, /*On fail goto*//*Label 12208*/ GIMT_Encode4(785257), // Rule ID 19209 //
     /*  785187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  785198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  785201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  785204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  785207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785233 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  785236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785255 */     GIR_RootConstrainSelectedInstOperands,
     /*  785256 */     // GIR_Coverage, 19209,
     /*  785256 */     GIR_EraseRootFromParent_Done,
     /*  785257 */   // Label 12208: @785257
     /*  785257 */   GIM_Try, /*On fail goto*//*Label 12209*/ GIMT_Encode4(785332), // Rule ID 19212 //
     /*  785262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  785273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  785276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  785279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  785282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785308 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  785311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785330 */     GIR_RootConstrainSelectedInstOperands,
     /*  785331 */     // GIR_Coverage, 19212,
     /*  785331 */     GIR_EraseRootFromParent_Done,
     /*  785332 */   // Label 12209: @785332
     /*  785332 */   GIM_Try, /*On fail goto*//*Label 12210*/ GIMT_Encode4(785407), // Rule ID 19213 //
     /*  785337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  785348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  785351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  785354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  785357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785383 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  785386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785405 */     GIR_RootConstrainSelectedInstOperands,
     /*  785406 */     // GIR_Coverage, 19213,
     /*  785406 */     GIR_EraseRootFromParent_Done,
     /*  785407 */   // Label 12210: @785407
     /*  785407 */   GIM_Try, /*On fail goto*//*Label 12211*/ GIMT_Encode4(785482), // Rule ID 19216 //
     /*  785412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  785423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  785426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  785429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  785432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785458 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  785461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785480 */     GIR_RootConstrainSelectedInstOperands,
     /*  785481 */     // GIR_Coverage, 19216,
     /*  785481 */     GIR_EraseRootFromParent_Done,
     /*  785482 */   // Label 12211: @785482
     /*  785482 */   GIM_Try, /*On fail goto*//*Label 12212*/ GIMT_Encode4(785557), // Rule ID 19217 //
     /*  785487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  785498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  785501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  785504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  785507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785533 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  785536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785555 */     GIR_RootConstrainSelectedInstOperands,
     /*  785556 */     // GIR_Coverage, 19217,
     /*  785556 */     GIR_EraseRootFromParent_Done,
     /*  785557 */   // Label 12212: @785557
     /*  785557 */   GIM_Try, /*On fail goto*//*Label 12213*/ GIMT_Encode4(785632), // Rule ID 19220 //
     /*  785562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  785573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  785576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  785579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  785582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785608 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  785611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785630 */     GIR_RootConstrainSelectedInstOperands,
     /*  785631 */     // GIR_Coverage, 19220,
     /*  785631 */     GIR_EraseRootFromParent_Done,
     /*  785632 */   // Label 12213: @785632
     /*  785632 */   GIM_Try, /*On fail goto*//*Label 12214*/ GIMT_Encode4(785707), // Rule ID 19221 //
     /*  785637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  785648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  785651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  785654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  785657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785683 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  785686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785705 */     GIR_RootConstrainSelectedInstOperands,
     /*  785706 */     // GIR_Coverage, 19221,
     /*  785706 */     GIR_EraseRootFromParent_Done,
     /*  785707 */   // Label 12214: @785707
     /*  785707 */   GIM_Try, /*On fail goto*//*Label 12215*/ GIMT_Encode4(785782), // Rule ID 19224 //
     /*  785712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  785723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  785726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  785729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  785732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785758 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  785761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785780 */     GIR_RootConstrainSelectedInstOperands,
     /*  785781 */     // GIR_Coverage, 19224,
     /*  785781 */     GIR_EraseRootFromParent_Done,
     /*  785782 */   // Label 12215: @785782
     /*  785782 */   GIM_Try, /*On fail goto*//*Label 12216*/ GIMT_Encode4(785857), // Rule ID 19225 //
     /*  785787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  785798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  785801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  785804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  785807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785833 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  785836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785855 */     GIR_RootConstrainSelectedInstOperands,
     /*  785856 */     // GIR_Coverage, 19225,
     /*  785856 */     GIR_EraseRootFromParent_Done,
     /*  785857 */   // Label 12216: @785857
     /*  785857 */   GIM_Try, /*On fail goto*//*Label 12217*/ GIMT_Encode4(785932), // Rule ID 19228 //
     /*  785862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  785873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  785876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  785879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  785882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785908 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  785911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785930 */     GIR_RootConstrainSelectedInstOperands,
     /*  785931 */     // GIR_Coverage, 19228,
     /*  785931 */     GIR_EraseRootFromParent_Done,
     /*  785932 */   // Label 12217: @785932
     /*  785932 */   GIM_Try, /*On fail goto*//*Label 12218*/ GIMT_Encode4(786007), // Rule ID 19229 //
     /*  785937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  785948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  785951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  785954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  785957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785983 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  785986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786005 */     GIR_RootConstrainSelectedInstOperands,
     /*  786006 */     // GIR_Coverage, 19229,
     /*  786006 */     GIR_EraseRootFromParent_Done,
     /*  786007 */   // Label 12218: @786007
     /*  786007 */   GIM_Try, /*On fail goto*//*Label 12219*/ GIMT_Encode4(786082), // Rule ID 19232 //
     /*  786012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  786015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  786023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  786026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  786029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  786032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786058 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  786058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  786061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786080 */     GIR_RootConstrainSelectedInstOperands,
     /*  786081 */     // GIR_Coverage, 19232,
     /*  786081 */     GIR_EraseRootFromParent_Done,
     /*  786082 */   // Label 12219: @786082
     /*  786082 */   GIM_Try, /*On fail goto*//*Label 12220*/ GIMT_Encode4(786157), // Rule ID 19233 //
     /*  786087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  786090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  786098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  786101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  786104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  786107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786133 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  786133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  786136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786155 */     GIR_RootConstrainSelectedInstOperands,
     /*  786156 */     // GIR_Coverage, 19233,
     /*  786156 */     GIR_EraseRootFromParent_Done,
     /*  786157 */   // Label 12220: @786157
     /*  786157 */   GIM_Try, /*On fail goto*//*Label 12221*/ GIMT_Encode4(786232), // Rule ID 19236 //
     /*  786162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  786173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  786176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  786179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786208 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  786211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786230 */     GIR_RootConstrainSelectedInstOperands,
     /*  786231 */     // GIR_Coverage, 19236,
     /*  786231 */     GIR_EraseRootFromParent_Done,
     /*  786232 */   // Label 12221: @786232
     /*  786232 */   GIM_Try, /*On fail goto*//*Label 12222*/ GIMT_Encode4(786307), // Rule ID 19237 //
     /*  786237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  786248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  786251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  786254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786283 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  786286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786305 */     GIR_RootConstrainSelectedInstOperands,
     /*  786306 */     // GIR_Coverage, 19237,
     /*  786306 */     GIR_EraseRootFromParent_Done,
     /*  786307 */   // Label 12222: @786307
     /*  786307 */   GIM_Try, /*On fail goto*//*Label 12223*/ GIMT_Encode4(786382), // Rule ID 19240 //
     /*  786312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  786323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  786326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  786329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786358 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  786361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786380 */     GIR_RootConstrainSelectedInstOperands,
     /*  786381 */     // GIR_Coverage, 19240,
     /*  786381 */     GIR_EraseRootFromParent_Done,
     /*  786382 */   // Label 12223: @786382
     /*  786382 */   GIM_Try, /*On fail goto*//*Label 12224*/ GIMT_Encode4(786457), // Rule ID 19241 //
     /*  786387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  786398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  786401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  786404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786433 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  786436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786455 */     GIR_RootConstrainSelectedInstOperands,
     /*  786456 */     // GIR_Coverage, 19241,
     /*  786456 */     GIR_EraseRootFromParent_Done,
     /*  786457 */   // Label 12224: @786457
     /*  786457 */   GIM_Try, /*On fail goto*//*Label 12225*/ GIMT_Encode4(786532), // Rule ID 19244 //
     /*  786462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  786473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  786476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  786479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786508 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  786511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786530 */     GIR_RootConstrainSelectedInstOperands,
     /*  786531 */     // GIR_Coverage, 19244,
     /*  786531 */     GIR_EraseRootFromParent_Done,
     /*  786532 */   // Label 12225: @786532
     /*  786532 */   GIM_Try, /*On fail goto*//*Label 12226*/ GIMT_Encode4(786607), // Rule ID 19245 //
     /*  786537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  786548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  786551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  786554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786583 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  786586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786605 */     GIR_RootConstrainSelectedInstOperands,
     /*  786606 */     // GIR_Coverage, 19245,
     /*  786606 */     GIR_EraseRootFromParent_Done,
     /*  786607 */   // Label 12226: @786607
     /*  786607 */   GIM_Try, /*On fail goto*//*Label 12227*/ GIMT_Encode4(786682), // Rule ID 19248 //
     /*  786612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  786623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  786626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  786629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786658 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  786661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786680 */     GIR_RootConstrainSelectedInstOperands,
     /*  786681 */     // GIR_Coverage, 19248,
     /*  786681 */     GIR_EraseRootFromParent_Done,
     /*  786682 */   // Label 12227: @786682
     /*  786682 */   GIM_Try, /*On fail goto*//*Label 12228*/ GIMT_Encode4(786757), // Rule ID 19249 //
     /*  786687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  786698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  786701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  786704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786733 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  786736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786755 */     GIR_RootConstrainSelectedInstOperands,
     /*  786756 */     // GIR_Coverage, 19249,
     /*  786756 */     GIR_EraseRootFromParent_Done,
     /*  786757 */   // Label 12228: @786757
     /*  786757 */   GIM_Try, /*On fail goto*//*Label 12229*/ GIMT_Encode4(786832), // Rule ID 19252 //
     /*  786762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  786773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  786776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  786779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786808 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  786811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786830 */     GIR_RootConstrainSelectedInstOperands,
     /*  786831 */     // GIR_Coverage, 19252,
     /*  786831 */     GIR_EraseRootFromParent_Done,
     /*  786832 */   // Label 12229: @786832
     /*  786832 */   GIM_Try, /*On fail goto*//*Label 12230*/ GIMT_Encode4(786907), // Rule ID 19253 //
     /*  786837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  786848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  786851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  786854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786883 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  786886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786905 */     GIR_RootConstrainSelectedInstOperands,
     /*  786906 */     // GIR_Coverage, 19253,
     /*  786906 */     GIR_EraseRootFromParent_Done,
     /*  786907 */   // Label 12230: @786907
     /*  786907 */   GIM_Try, /*On fail goto*//*Label 12231*/ GIMT_Encode4(786982), // Rule ID 19256 //
     /*  786912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  786915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  786923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  786926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  786929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  786951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786958 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  786958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  786961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786980 */     GIR_RootConstrainSelectedInstOperands,
     /*  786981 */     // GIR_Coverage, 19256,
     /*  786981 */     GIR_EraseRootFromParent_Done,
     /*  786982 */   // Label 12231: @786982
     /*  786982 */   GIM_Try, /*On fail goto*//*Label 12232*/ GIMT_Encode4(787057), // Rule ID 19257 //
     /*  786987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  786990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  786998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  787001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  787004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787033 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  787036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787055 */     GIR_RootConstrainSelectedInstOperands,
     /*  787056 */     // GIR_Coverage, 19257,
     /*  787056 */     GIR_EraseRootFromParent_Done,
     /*  787057 */   // Label 12232: @787057
     /*  787057 */   GIM_Try, /*On fail goto*//*Label 12233*/ GIMT_Encode4(787132), // Rule ID 19260 //
     /*  787062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  787073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  787076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  787079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  787082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  787101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787108 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  787111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787130 */     GIR_RootConstrainSelectedInstOperands,
     /*  787131 */     // GIR_Coverage, 19260,
     /*  787131 */     GIR_EraseRootFromParent_Done,
     /*  787132 */   // Label 12233: @787132
     /*  787132 */   GIM_Try, /*On fail goto*//*Label 12234*/ GIMT_Encode4(787207), // Rule ID 19261 //
     /*  787137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  787148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  787151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  787154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  787157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  787176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787183 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  787186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787205 */     GIR_RootConstrainSelectedInstOperands,
     /*  787206 */     // GIR_Coverage, 19261,
     /*  787206 */     GIR_EraseRootFromParent_Done,
     /*  787207 */   // Label 12234: @787207
     /*  787207 */   GIM_Try, /*On fail goto*//*Label 12235*/ GIMT_Encode4(787282), // Rule ID 19264 //
     /*  787212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  787223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  787226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  787229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  787232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  787251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787258 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  787261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787280 */     GIR_RootConstrainSelectedInstOperands,
     /*  787281 */     // GIR_Coverage, 19264,
     /*  787281 */     GIR_EraseRootFromParent_Done,
     /*  787282 */   // Label 12235: @787282
     /*  787282 */   GIM_Try, /*On fail goto*//*Label 12236*/ GIMT_Encode4(787357), // Rule ID 19265 //
     /*  787287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  787298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  787301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  787304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  787307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  787326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787333 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  787336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787355 */     GIR_RootConstrainSelectedInstOperands,
     /*  787356 */     // GIR_Coverage, 19265,
     /*  787356 */     GIR_EraseRootFromParent_Done,
     /*  787357 */   // Label 12236: @787357
     /*  787357 */   GIM_Try, /*On fail goto*//*Label 12237*/ GIMT_Encode4(787432), // Rule ID 19268 //
     /*  787362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  787373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  787376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  787379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  787382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  787401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787408 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  787411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787430 */     GIR_RootConstrainSelectedInstOperands,
     /*  787431 */     // GIR_Coverage, 19268,
     /*  787431 */     GIR_EraseRootFromParent_Done,
     /*  787432 */   // Label 12237: @787432
     /*  787432 */   GIM_Try, /*On fail goto*//*Label 12238*/ GIMT_Encode4(787507), // Rule ID 19269 //
     /*  787437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  787448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  787451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  787454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  787457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  787476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787483 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  787486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787505 */     GIR_RootConstrainSelectedInstOperands,
     /*  787506 */     // GIR_Coverage, 19269,
     /*  787506 */     GIR_EraseRootFromParent_Done,
     /*  787507 */   // Label 12238: @787507
     /*  787507 */   GIM_Try, /*On fail goto*//*Label 12239*/ GIMT_Encode4(787582), // Rule ID 19272 //
     /*  787512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  787523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  787526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  787529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787558 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  787561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787580 */     GIR_RootConstrainSelectedInstOperands,
     /*  787581 */     // GIR_Coverage, 19272,
     /*  787581 */     GIR_EraseRootFromParent_Done,
     /*  787582 */   // Label 12239: @787582
     /*  787582 */   GIM_Try, /*On fail goto*//*Label 12240*/ GIMT_Encode4(787657), // Rule ID 19273 //
     /*  787587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  787598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  787601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  787604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787633 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  787636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787655 */     GIR_RootConstrainSelectedInstOperands,
     /*  787656 */     // GIR_Coverage, 19273,
     /*  787656 */     GIR_EraseRootFromParent_Done,
     /*  787657 */   // Label 12240: @787657
     /*  787657 */   GIM_Try, /*On fail goto*//*Label 12241*/ GIMT_Encode4(787732), // Rule ID 19276 //
     /*  787662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  787679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787708 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  787711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787730 */     GIR_RootConstrainSelectedInstOperands,
     /*  787731 */     // GIR_Coverage, 19276,
     /*  787731 */     GIR_EraseRootFromParent_Done,
     /*  787732 */   // Label 12241: @787732
     /*  787732 */   GIM_Try, /*On fail goto*//*Label 12242*/ GIMT_Encode4(787807), // Rule ID 19277 //
     /*  787737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  787754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787783 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  787786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787805 */     GIR_RootConstrainSelectedInstOperands,
     /*  787806 */     // GIR_Coverage, 19277,
     /*  787806 */     GIR_EraseRootFromParent_Done,
     /*  787807 */   // Label 12242: @787807
     /*  787807 */   GIM_Try, /*On fail goto*//*Label 12243*/ GIMT_Encode4(787882), // Rule ID 19280 //
     /*  787812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787858 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  787861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787880 */     GIR_RootConstrainSelectedInstOperands,
     /*  787881 */     // GIR_Coverage, 19280,
     /*  787881 */     GIR_EraseRootFromParent_Done,
     /*  787882 */   // Label 12243: @787882
     /*  787882 */   GIM_Try, /*On fail goto*//*Label 12244*/ GIMT_Encode4(787957), // Rule ID 19281 //
     /*  787887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  787926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787933 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  787936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787955 */     GIR_RootConstrainSelectedInstOperands,
     /*  787956 */     // GIR_Coverage, 19281,
     /*  787956 */     GIR_EraseRootFromParent_Done,
     /*  787957 */   // Label 12244: @787957
     /*  787957 */   GIM_Try, /*On fail goto*//*Label 12245*/ GIMT_Encode4(788032), // Rule ID 19284 //
     /*  787962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  788001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788008 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  788011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788030 */     GIR_RootConstrainSelectedInstOperands,
     /*  788031 */     // GIR_Coverage, 19284,
     /*  788031 */     GIR_EraseRootFromParent_Done,
     /*  788032 */   // Label 12245: @788032
     /*  788032 */   GIM_Try, /*On fail goto*//*Label 12246*/ GIMT_Encode4(788107), // Rule ID 19285 //
     /*  788037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  788048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  788051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  788054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  788057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  788076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788083 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  788086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788105 */     GIR_RootConstrainSelectedInstOperands,
     /*  788106 */     // GIR_Coverage, 19285,
     /*  788106 */     GIR_EraseRootFromParent_Done,
     /*  788107 */   // Label 12246: @788107
     /*  788107 */   GIM_Try, /*On fail goto*//*Label 12247*/ GIMT_Encode4(788182), // Rule ID 19288 //
     /*  788112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  788123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  788126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  788129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  788132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  788151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788158 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  788161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788180 */     GIR_RootConstrainSelectedInstOperands,
     /*  788181 */     // GIR_Coverage, 19288,
     /*  788181 */     GIR_EraseRootFromParent_Done,
     /*  788182 */   // Label 12247: @788182
     /*  788182 */   GIM_Try, /*On fail goto*//*Label 12248*/ GIMT_Encode4(788257), // Rule ID 19289 //
     /*  788187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  788198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  788201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  788204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  788207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  788226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788233 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  788236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788255 */     GIR_RootConstrainSelectedInstOperands,
     /*  788256 */     // GIR_Coverage, 19289,
     /*  788256 */     GIR_EraseRootFromParent_Done,
     /*  788257 */   // Label 12248: @788257
     /*  788257 */   GIM_Try, /*On fail goto*//*Label 12249*/ GIMT_Encode4(788332), // Rule ID 19292 //
     /*  788262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  788273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  788276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  788279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  788282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  788301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788308 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  788311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788330 */     GIR_RootConstrainSelectedInstOperands,
     /*  788331 */     // GIR_Coverage, 19292,
     /*  788331 */     GIR_EraseRootFromParent_Done,
     /*  788332 */   // Label 12249: @788332
     /*  788332 */   GIM_Try, /*On fail goto*//*Label 12250*/ GIMT_Encode4(788407), // Rule ID 19293 //
     /*  788337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  788348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  788351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  788354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  788357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  788376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788383 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  788386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788405 */     GIR_RootConstrainSelectedInstOperands,
     /*  788406 */     // GIR_Coverage, 19293,
     /*  788406 */     GIR_EraseRootFromParent_Done,
     /*  788407 */   // Label 12250: @788407
     /*  788407 */   GIM_Try, /*On fail goto*//*Label 12251*/ GIMT_Encode4(788482), // Rule ID 19296 //
     /*  788412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  788423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  788426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  788429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  788432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788458 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  788461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788480 */     GIR_RootConstrainSelectedInstOperands,
     /*  788481 */     // GIR_Coverage, 19296,
     /*  788481 */     GIR_EraseRootFromParent_Done,
     /*  788482 */   // Label 12251: @788482
     /*  788482 */   GIM_Try, /*On fail goto*//*Label 12252*/ GIMT_Encode4(788557), // Rule ID 19297 //
     /*  788487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  788498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  788501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  788504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  788507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788533 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  788536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788555 */     GIR_RootConstrainSelectedInstOperands,
     /*  788556 */     // GIR_Coverage, 19297,
     /*  788556 */     GIR_EraseRootFromParent_Done,
     /*  788557 */   // Label 12252: @788557
     /*  788557 */   GIM_Try, /*On fail goto*//*Label 12253*/ GIMT_Encode4(788632), // Rule ID 19300 //
     /*  788562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  788573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  788576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  788579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  788582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788608 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  788611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788630 */     GIR_RootConstrainSelectedInstOperands,
     /*  788631 */     // GIR_Coverage, 19300,
     /*  788631 */     GIR_EraseRootFromParent_Done,
     /*  788632 */   // Label 12253: @788632
     /*  788632 */   GIM_Try, /*On fail goto*//*Label 12254*/ GIMT_Encode4(788707), // Rule ID 19301 //
     /*  788637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  788648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  788651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  788654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  788657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788683 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  788686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788705 */     GIR_RootConstrainSelectedInstOperands,
     /*  788706 */     // GIR_Coverage, 19301,
     /*  788706 */     GIR_EraseRootFromParent_Done,
     /*  788707 */   // Label 12254: @788707
     /*  788707 */   GIM_Try, /*On fail goto*//*Label 12255*/ GIMT_Encode4(788782), // Rule ID 19304 //
     /*  788712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  788723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  788726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  788729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  788732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788758 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  788761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788780 */     GIR_RootConstrainSelectedInstOperands,
     /*  788781 */     // GIR_Coverage, 19304,
     /*  788781 */     GIR_EraseRootFromParent_Done,
     /*  788782 */   // Label 12255: @788782
     /*  788782 */   GIM_Try, /*On fail goto*//*Label 12256*/ GIMT_Encode4(788857), // Rule ID 19305 //
     /*  788787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  788798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  788801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  788804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  788807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788833 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  788836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788855 */     GIR_RootConstrainSelectedInstOperands,
     /*  788856 */     // GIR_Coverage, 19305,
     /*  788856 */     GIR_EraseRootFromParent_Done,
     /*  788857 */   // Label 12256: @788857
     /*  788857 */   GIM_Try, /*On fail goto*//*Label 12257*/ GIMT_Encode4(788932), // Rule ID 19308 //
     /*  788862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  788882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788908 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  788911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788930 */     GIR_RootConstrainSelectedInstOperands,
     /*  788931 */     // GIR_Coverage, 19308,
     /*  788931 */     GIR_EraseRootFromParent_Done,
     /*  788932 */   // Label 12257: @788932
     /*  788932 */   GIM_Try, /*On fail goto*//*Label 12258*/ GIMT_Encode4(789007), // Rule ID 19309 //
     /*  788937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  788957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788983 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  788986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789005 */     GIR_RootConstrainSelectedInstOperands,
     /*  789006 */     // GIR_Coverage, 19309,
     /*  789006 */     GIR_EraseRootFromParent_Done,
     /*  789007 */   // Label 12258: @789007
     /*  789007 */   GIM_Try, /*On fail goto*//*Label 12259*/ GIMT_Encode4(789082), // Rule ID 19312 //
     /*  789012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  789023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  789026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  789029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  789032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789058 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  789061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789080 */     GIR_RootConstrainSelectedInstOperands,
     /*  789081 */     // GIR_Coverage, 19312,
     /*  789081 */     GIR_EraseRootFromParent_Done,
     /*  789082 */   // Label 12259: @789082
     /*  789082 */   GIM_Try, /*On fail goto*//*Label 12260*/ GIMT_Encode4(789157), // Rule ID 19313 //
     /*  789087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  789098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  789101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  789104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  789107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789133 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  789136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789155 */     GIR_RootConstrainSelectedInstOperands,
     /*  789156 */     // GIR_Coverage, 19313,
     /*  789156 */     GIR_EraseRootFromParent_Done,
     /*  789157 */   // Label 12260: @789157
     /*  789157 */   GIM_Try, /*On fail goto*//*Label 12261*/ GIMT_Encode4(789232), // Rule ID 19316 //
     /*  789162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  789173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  789176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  789179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  789182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  789211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789230 */     GIR_RootConstrainSelectedInstOperands,
     /*  789231 */     // GIR_Coverage, 19316,
     /*  789231 */     GIR_EraseRootFromParent_Done,
     /*  789232 */   // Label 12261: @789232
     /*  789232 */   GIM_Try, /*On fail goto*//*Label 12262*/ GIMT_Encode4(789307), // Rule ID 19317 //
     /*  789237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  789248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  789251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  789254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  789257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789283 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  789286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789305 */     GIR_RootConstrainSelectedInstOperands,
     /*  789306 */     // GIR_Coverage, 19317,
     /*  789306 */     GIR_EraseRootFromParent_Done,
     /*  789307 */   // Label 12262: @789307
     /*  789307 */   GIM_Try, /*On fail goto*//*Label 12263*/ GIMT_Encode4(789382), // Rule ID 19320 //
     /*  789312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  789323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  789326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  789329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  789332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789358 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  789361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789380 */     GIR_RootConstrainSelectedInstOperands,
     /*  789381 */     // GIR_Coverage, 19320,
     /*  789381 */     GIR_EraseRootFromParent_Done,
     /*  789382 */   // Label 12263: @789382
     /*  789382 */   GIM_Try, /*On fail goto*//*Label 12264*/ GIMT_Encode4(789457), // Rule ID 19321 //
     /*  789387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  789398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  789401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  789404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  789407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789433 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  789436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789455 */     GIR_RootConstrainSelectedInstOperands,
     /*  789456 */     // GIR_Coverage, 19321,
     /*  789456 */     GIR_EraseRootFromParent_Done,
     /*  789457 */   // Label 12264: @789457
     /*  789457 */   GIM_Try, /*On fail goto*//*Label 12265*/ GIMT_Encode4(789532), // Rule ID 19324 //
     /*  789462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  789473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  789476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  789479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  789482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789508 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  789511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789530 */     GIR_RootConstrainSelectedInstOperands,
     /*  789531 */     // GIR_Coverage, 19324,
     /*  789531 */     GIR_EraseRootFromParent_Done,
     /*  789532 */   // Label 12265: @789532
     /*  789532 */   GIM_Try, /*On fail goto*//*Label 12266*/ GIMT_Encode4(789607), // Rule ID 19325 //
     /*  789537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  789548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  789551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  789554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  789557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789583 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  789586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789605 */     GIR_RootConstrainSelectedInstOperands,
     /*  789606 */     // GIR_Coverage, 19325,
     /*  789606 */     GIR_EraseRootFromParent_Done,
     /*  789607 */   // Label 12266: @789607
     /*  789607 */   GIM_Try, /*On fail goto*//*Label 12267*/ GIMT_Encode4(789682), // Rule ID 19328 //
     /*  789612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  789623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  789626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  789629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  789632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789658 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  789661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789680 */     GIR_RootConstrainSelectedInstOperands,
     /*  789681 */     // GIR_Coverage, 19328,
     /*  789681 */     GIR_EraseRootFromParent_Done,
     /*  789682 */   // Label 12267: @789682
     /*  789682 */   GIM_Try, /*On fail goto*//*Label 12268*/ GIMT_Encode4(789757), // Rule ID 19329 //
     /*  789687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  789698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  789701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  789704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  789707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789733 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  789736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789755 */     GIR_RootConstrainSelectedInstOperands,
     /*  789756 */     // GIR_Coverage, 19329,
     /*  789756 */     GIR_EraseRootFromParent_Done,
     /*  789757 */   // Label 12268: @789757
     /*  789757 */   GIM_Try, /*On fail goto*//*Label 12269*/ GIMT_Encode4(789832), // Rule ID 19332 //
     /*  789762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  789773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  789776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  789779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  789782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  789811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789830 */     GIR_RootConstrainSelectedInstOperands,
     /*  789831 */     // GIR_Coverage, 19332,
     /*  789831 */     GIR_EraseRootFromParent_Done,
     /*  789832 */   // Label 12269: @789832
     /*  789832 */   GIM_Try, /*On fail goto*//*Label 12270*/ GIMT_Encode4(789907), // Rule ID 19333 //
     /*  789837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  789848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  789851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  789854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  789857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789883 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  789886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789905 */     GIR_RootConstrainSelectedInstOperands,
     /*  789906 */     // GIR_Coverage, 19333,
     /*  789906 */     GIR_EraseRootFromParent_Done,
     /*  789907 */   // Label 12270: @789907
     /*  789907 */   GIM_Try, /*On fail goto*//*Label 12271*/ GIMT_Encode4(789982), // Rule ID 19336 //
     /*  789912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  789926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  789929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  789932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789958 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  789961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789980 */     GIR_RootConstrainSelectedInstOperands,
     /*  789981 */     // GIR_Coverage, 19336,
     /*  789981 */     GIR_EraseRootFromParent_Done,
     /*  789982 */   // Label 12271: @789982
     /*  789982 */   GIM_Try, /*On fail goto*//*Label 12272*/ GIMT_Encode4(790057), // Rule ID 19337 //
     /*  789987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  790001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  790004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  790007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790033 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  790036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790055 */     GIR_RootConstrainSelectedInstOperands,
     /*  790056 */     // GIR_Coverage, 19337,
     /*  790056 */     GIR_EraseRootFromParent_Done,
     /*  790057 */   // Label 12272: @790057
     /*  790057 */   GIM_Try, /*On fail goto*//*Label 12273*/ GIMT_Encode4(790132), // Rule ID 19340 //
     /*  790062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  790073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  790076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  790079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  790082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  790111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790130 */     GIR_RootConstrainSelectedInstOperands,
     /*  790131 */     // GIR_Coverage, 19340,
     /*  790131 */     GIR_EraseRootFromParent_Done,
     /*  790132 */   // Label 12273: @790132
     /*  790132 */   GIM_Try, /*On fail goto*//*Label 12274*/ GIMT_Encode4(790207), // Rule ID 19341 //
     /*  790137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  790148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  790151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  790154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  790157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790183 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  790186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790205 */     GIR_RootConstrainSelectedInstOperands,
     /*  790206 */     // GIR_Coverage, 19341,
     /*  790206 */     GIR_EraseRootFromParent_Done,
     /*  790207 */   // Label 12274: @790207
     /*  790207 */   GIM_Try, /*On fail goto*//*Label 12275*/ GIMT_Encode4(790282), // Rule ID 19344 //
     /*  790212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  790223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  790226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  790229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  790232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790258 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  790261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790280 */     GIR_RootConstrainSelectedInstOperands,
     /*  790281 */     // GIR_Coverage, 19344,
     /*  790281 */     GIR_EraseRootFromParent_Done,
     /*  790282 */   // Label 12275: @790282
     /*  790282 */   GIM_Try, /*On fail goto*//*Label 12276*/ GIMT_Encode4(790357), // Rule ID 19345 //
     /*  790287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  790298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  790301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  790304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  790307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790333 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  790336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790355 */     GIR_RootConstrainSelectedInstOperands,
     /*  790356 */     // GIR_Coverage, 19345,
     /*  790356 */     GIR_EraseRootFromParent_Done,
     /*  790357 */   // Label 12276: @790357
     /*  790357 */   GIM_Try, /*On fail goto*//*Label 12277*/ GIMT_Encode4(790432), // Rule ID 19348 //
     /*  790362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  790373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  790376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  790379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  790382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790408 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  790411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790430 */     GIR_RootConstrainSelectedInstOperands,
     /*  790431 */     // GIR_Coverage, 19348,
     /*  790431 */     GIR_EraseRootFromParent_Done,
     /*  790432 */   // Label 12277: @790432
     /*  790432 */   GIM_Try, /*On fail goto*//*Label 12278*/ GIMT_Encode4(790507), // Rule ID 19349 //
     /*  790437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  790448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  790451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  790454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  790457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790483 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  790486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790505 */     GIR_RootConstrainSelectedInstOperands,
     /*  790506 */     // GIR_Coverage, 19349,
     /*  790506 */     GIR_EraseRootFromParent_Done,
     /*  790507 */   // Label 12278: @790507
     /*  790507 */   GIM_Try, /*On fail goto*//*Label 12279*/ GIMT_Encode4(790582), // Rule ID 19352 //
     /*  790512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  790523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  790526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  790529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  790532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790558 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  790561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790580 */     GIR_RootConstrainSelectedInstOperands,
     /*  790581 */     // GIR_Coverage, 19352,
     /*  790581 */     GIR_EraseRootFromParent_Done,
     /*  790582 */   // Label 12279: @790582
     /*  790582 */   GIM_Try, /*On fail goto*//*Label 12280*/ GIMT_Encode4(790657), // Rule ID 19353 //
     /*  790587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  790598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  790601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  790604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  790607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790633 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  790636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790655 */     GIR_RootConstrainSelectedInstOperands,
     /*  790656 */     // GIR_Coverage, 19353,
     /*  790656 */     GIR_EraseRootFromParent_Done,
     /*  790657 */   // Label 12280: @790657
     /*  790657 */   GIM_Try, /*On fail goto*//*Label 12281*/ GIMT_Encode4(790732), // Rule ID 19356 //
     /*  790662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  790673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  790676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790708 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  790711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790730 */     GIR_RootConstrainSelectedInstOperands,
     /*  790731 */     // GIR_Coverage, 19356,
     /*  790731 */     GIR_EraseRootFromParent_Done,
     /*  790732 */   // Label 12281: @790732
     /*  790732 */   GIM_Try, /*On fail goto*//*Label 12282*/ GIMT_Encode4(790807), // Rule ID 19357 //
     /*  790737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  790748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  790751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790783 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  790786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790805 */     GIR_RootConstrainSelectedInstOperands,
     /*  790806 */     // GIR_Coverage, 19357,
     /*  790806 */     GIR_EraseRootFromParent_Done,
     /*  790807 */   // Label 12282: @790807
     /*  790807 */   GIM_Try, /*On fail goto*//*Label 12283*/ GIMT_Encode4(790882), // Rule ID 19360 //
     /*  790812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790858 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  790861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790880 */     GIR_RootConstrainSelectedInstOperands,
     /*  790881 */     // GIR_Coverage, 19360,
     /*  790881 */     GIR_EraseRootFromParent_Done,
     /*  790882 */   // Label 12283: @790882
     /*  790882 */   GIM_Try, /*On fail goto*//*Label 12284*/ GIMT_Encode4(790957), // Rule ID 19361 //
     /*  790887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790933 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  790936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790955 */     GIR_RootConstrainSelectedInstOperands,
     /*  790956 */     // GIR_Coverage, 19361,
     /*  790956 */     GIR_EraseRootFromParent_Done,
     /*  790957 */   // Label 12284: @790957
     /*  790957 */   GIM_Try, /*On fail goto*//*Label 12285*/ GIMT_Encode4(791032), // Rule ID 19364 //
     /*  790962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791008 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  791011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791030 */     GIR_RootConstrainSelectedInstOperands,
     /*  791031 */     // GIR_Coverage, 19364,
     /*  791031 */     GIR_EraseRootFromParent_Done,
     /*  791032 */   // Label 12285: @791032
     /*  791032 */   GIM_Try, /*On fail goto*//*Label 12286*/ GIMT_Encode4(791107), // Rule ID 19365 //
     /*  791037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  791048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  791051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  791054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791083 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  791086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791105 */     GIR_RootConstrainSelectedInstOperands,
     /*  791106 */     // GIR_Coverage, 19365,
     /*  791106 */     GIR_EraseRootFromParent_Done,
     /*  791107 */   // Label 12286: @791107
     /*  791107 */   GIM_Try, /*On fail goto*//*Label 12287*/ GIMT_Encode4(791182), // Rule ID 19368 //
     /*  791112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  791123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  791126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  791129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791158 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  791161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791180 */     GIR_RootConstrainSelectedInstOperands,
     /*  791181 */     // GIR_Coverage, 19368,
     /*  791181 */     GIR_EraseRootFromParent_Done,
     /*  791182 */   // Label 12287: @791182
     /*  791182 */   GIM_Try, /*On fail goto*//*Label 12288*/ GIMT_Encode4(791257), // Rule ID 19369 //
     /*  791187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  791198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  791201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  791204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791233 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  791236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791255 */     GIR_RootConstrainSelectedInstOperands,
     /*  791256 */     // GIR_Coverage, 19369,
     /*  791256 */     GIR_EraseRootFromParent_Done,
     /*  791257 */   // Label 12288: @791257
     /*  791257 */   GIM_Try, /*On fail goto*//*Label 12289*/ GIMT_Encode4(791332), // Rule ID 19372 //
     /*  791262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  791273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  791276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  791279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791308 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  791311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791330 */     GIR_RootConstrainSelectedInstOperands,
     /*  791331 */     // GIR_Coverage, 19372,
     /*  791331 */     GIR_EraseRootFromParent_Done,
     /*  791332 */   // Label 12289: @791332
     /*  791332 */   GIM_Try, /*On fail goto*//*Label 12290*/ GIMT_Encode4(791407), // Rule ID 19373 //
     /*  791337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  791348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  791351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  791354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791383 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  791386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791405 */     GIR_RootConstrainSelectedInstOperands,
     /*  791406 */     // GIR_Coverage, 19373,
     /*  791406 */     GIR_EraseRootFromParent_Done,
     /*  791407 */   // Label 12290: @791407
     /*  791407 */   GIM_Try, /*On fail goto*//*Label 12291*/ GIMT_Encode4(791482), // Rule ID 19376 //
     /*  791412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  791423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  791426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  791429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791458 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  791461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791480 */     GIR_RootConstrainSelectedInstOperands,
     /*  791481 */     // GIR_Coverage, 19376,
     /*  791481 */     GIR_EraseRootFromParent_Done,
     /*  791482 */   // Label 12291: @791482
     /*  791482 */   GIM_Try, /*On fail goto*//*Label 12292*/ GIMT_Encode4(791557), // Rule ID 19377 //
     /*  791487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  791498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  791501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  791504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791533 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  791536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791555 */     GIR_RootConstrainSelectedInstOperands,
     /*  791556 */     // GIR_Coverage, 19377,
     /*  791556 */     GIR_EraseRootFromParent_Done,
     /*  791557 */   // Label 12292: @791557
     /*  791557 */   GIM_Try, /*On fail goto*//*Label 12293*/ GIMT_Encode4(791632), // Rule ID 19380 //
     /*  791562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  791573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  791576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  791579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791608 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  791611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791630 */     GIR_RootConstrainSelectedInstOperands,
     /*  791631 */     // GIR_Coverage, 19380,
     /*  791631 */     GIR_EraseRootFromParent_Done,
     /*  791632 */   // Label 12293: @791632
     /*  791632 */   GIM_Try, /*On fail goto*//*Label 12294*/ GIMT_Encode4(791707), // Rule ID 19381 //
     /*  791637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  791648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  791651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  791654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791683 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  791686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791705 */     GIR_RootConstrainSelectedInstOperands,
     /*  791706 */     // GIR_Coverage, 19381,
     /*  791706 */     GIR_EraseRootFromParent_Done,
     /*  791707 */   // Label 12294: @791707
     /*  791707 */   GIM_Try, /*On fail goto*//*Label 12295*/ GIMT_Encode4(791782), // Rule ID 19384 //
     /*  791712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  791723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  791726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791758 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  791761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791780 */     GIR_RootConstrainSelectedInstOperands,
     /*  791781 */     // GIR_Coverage, 19384,
     /*  791781 */     GIR_EraseRootFromParent_Done,
     /*  791782 */   // Label 12295: @791782
     /*  791782 */   GIM_Try, /*On fail goto*//*Label 12296*/ GIMT_Encode4(791857), // Rule ID 19385 //
     /*  791787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  791798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  791801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791833 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  791836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791855 */     GIR_RootConstrainSelectedInstOperands,
     /*  791856 */     // GIR_Coverage, 19385,
     /*  791856 */     GIR_EraseRootFromParent_Done,
     /*  791857 */   // Label 12296: @791857
     /*  791857 */   GIM_Try, /*On fail goto*//*Label 12297*/ GIMT_Encode4(791932), // Rule ID 19388 //
     /*  791862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791908 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  791911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791930 */     GIR_RootConstrainSelectedInstOperands,
     /*  791931 */     // GIR_Coverage, 19388,
     /*  791931 */     GIR_EraseRootFromParent_Done,
     /*  791932 */   // Label 12297: @791932
     /*  791932 */   GIM_Try, /*On fail goto*//*Label 12298*/ GIMT_Encode4(792007), // Rule ID 19389 //
     /*  791937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791983 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  791986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792005 */     GIR_RootConstrainSelectedInstOperands,
     /*  792006 */     // GIR_Coverage, 19389,
     /*  792006 */     GIR_EraseRootFromParent_Done,
     /*  792007 */   // Label 12298: @792007
     /*  792007 */   GIM_Try, /*On fail goto*//*Label 12299*/ GIMT_Encode4(792082), // Rule ID 19392 //
     /*  792012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  792023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  792026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  792029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  792051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792058 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  792061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792080 */     GIR_RootConstrainSelectedInstOperands,
     /*  792081 */     // GIR_Coverage, 19392,
     /*  792081 */     GIR_EraseRootFromParent_Done,
     /*  792082 */   // Label 12299: @792082
     /*  792082 */   GIM_Try, /*On fail goto*//*Label 12300*/ GIMT_Encode4(792157), // Rule ID 19393 //
     /*  792087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  792098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  792101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  792104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  792126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792133 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  792136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792155 */     GIR_RootConstrainSelectedInstOperands,
     /*  792156 */     // GIR_Coverage, 19393,
     /*  792156 */     GIR_EraseRootFromParent_Done,
     /*  792157 */   // Label 12300: @792157
     /*  792157 */   GIM_Try, /*On fail goto*//*Label 12301*/ GIMT_Encode4(792232), // Rule ID 19396 //
     /*  792162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  792173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  792176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  792179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  792201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792208 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  792211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792230 */     GIR_RootConstrainSelectedInstOperands,
     /*  792231 */     // GIR_Coverage, 19396,
     /*  792231 */     GIR_EraseRootFromParent_Done,
     /*  792232 */   // Label 12301: @792232
     /*  792232 */   GIM_Try, /*On fail goto*//*Label 12302*/ GIMT_Encode4(792307), // Rule ID 19397 //
     /*  792237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  792248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  792251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  792254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  792276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792283 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  792286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792305 */     GIR_RootConstrainSelectedInstOperands,
     /*  792306 */     // GIR_Coverage, 19397,
     /*  792306 */     GIR_EraseRootFromParent_Done,
     /*  792307 */   // Label 12302: @792307
     /*  792307 */   GIM_Try, /*On fail goto*//*Label 12303*/ GIMT_Encode4(792382), // Rule ID 19400 //
     /*  792312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  792323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  792326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  792329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  792351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792358 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  792361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792380 */     GIR_RootConstrainSelectedInstOperands,
     /*  792381 */     // GIR_Coverage, 19400,
     /*  792381 */     GIR_EraseRootFromParent_Done,
     /*  792382 */   // Label 12303: @792382
     /*  792382 */   GIM_Try, /*On fail goto*//*Label 12304*/ GIMT_Encode4(792457), // Rule ID 19401 //
     /*  792387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  792398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  792401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  792404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  792426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792433 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  792436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792455 */     GIR_RootConstrainSelectedInstOperands,
     /*  792456 */     // GIR_Coverage, 19401,
     /*  792456 */     GIR_EraseRootFromParent_Done,
     /*  792457 */   // Label 12304: @792457
     /*  792457 */   GIM_Try, /*On fail goto*//*Label 12305*/ GIMT_Encode4(792532), // Rule ID 19404 //
     /*  792462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  792473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  792476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  792479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792508 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  792511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792530 */     GIR_RootConstrainSelectedInstOperands,
     /*  792531 */     // GIR_Coverage, 19404,
     /*  792531 */     GIR_EraseRootFromParent_Done,
     /*  792532 */   // Label 12305: @792532
     /*  792532 */   GIM_Try, /*On fail goto*//*Label 12306*/ GIMT_Encode4(792607), // Rule ID 19405 //
     /*  792537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  792548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  792551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  792554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792583 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  792586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792605 */     GIR_RootConstrainSelectedInstOperands,
     /*  792606 */     // GIR_Coverage, 19405,
     /*  792606 */     GIR_EraseRootFromParent_Done,
     /*  792607 */   // Label 12306: @792607
     /*  792607 */   GIM_Try, /*On fail goto*//*Label 12307*/ GIMT_Encode4(792682), // Rule ID 19408 //
     /*  792612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  792623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  792626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  792629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792658 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  792661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792680 */     GIR_RootConstrainSelectedInstOperands,
     /*  792681 */     // GIR_Coverage, 19408,
     /*  792681 */     GIR_EraseRootFromParent_Done,
     /*  792682 */   // Label 12307: @792682
     /*  792682 */   GIM_Try, /*On fail goto*//*Label 12308*/ GIMT_Encode4(792757), // Rule ID 19409 //
     /*  792687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  792698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  792701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  792704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792733 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  792736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792755 */     GIR_RootConstrainSelectedInstOperands,
     /*  792756 */     // GIR_Coverage, 19409,
     /*  792756 */     GIR_EraseRootFromParent_Done,
     /*  792757 */   // Label 12308: @792757
     /*  792757 */   GIM_Try, /*On fail goto*//*Label 12309*/ GIMT_Encode4(792832), // Rule ID 19412 //
     /*  792762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  792779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792808 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  792811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792830 */     GIR_RootConstrainSelectedInstOperands,
     /*  792831 */     // GIR_Coverage, 19412,
     /*  792831 */     GIR_EraseRootFromParent_Done,
     /*  792832 */   // Label 12309: @792832
     /*  792832 */   GIM_Try, /*On fail goto*//*Label 12310*/ GIMT_Encode4(792907), // Rule ID 19413 //
     /*  792837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  792854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792883 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  792886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792905 */     GIR_RootConstrainSelectedInstOperands,
     /*  792906 */     // GIR_Coverage, 19413,
     /*  792906 */     GIR_EraseRootFromParent_Done,
     /*  792907 */   // Label 12310: @792907
     /*  792907 */   GIM_Try, /*On fail goto*//*Label 12311*/ GIMT_Encode4(792982), // Rule ID 19416 //
     /*  792912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  792929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  792932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792958 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  792961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792980 */     GIR_RootConstrainSelectedInstOperands,
     /*  792981 */     // GIR_Coverage, 19416,
     /*  792981 */     GIR_EraseRootFromParent_Done,
     /*  792982 */   // Label 12311: @792982
     /*  792982 */   GIM_Try, /*On fail goto*//*Label 12312*/ GIMT_Encode4(793057), // Rule ID 19417 //
     /*  792987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  793001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  793004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  793007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793033 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  793036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793055 */     GIR_RootConstrainSelectedInstOperands,
     /*  793056 */     // GIR_Coverage, 19417,
     /*  793056 */     GIR_EraseRootFromParent_Done,
     /*  793057 */   // Label 12312: @793057
     /*  793057 */   GIM_Try, /*On fail goto*//*Label 12313*/ GIMT_Encode4(793132), // Rule ID 19420 //
     /*  793062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  793073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  793076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  793079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  793082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793108 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  793111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793130 */     GIR_RootConstrainSelectedInstOperands,
     /*  793131 */     // GIR_Coverage, 19420,
     /*  793131 */     GIR_EraseRootFromParent_Done,
     /*  793132 */   // Label 12313: @793132
     /*  793132 */   GIM_Try, /*On fail goto*//*Label 12314*/ GIMT_Encode4(793207), // Rule ID 19421 //
     /*  793137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  793148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  793151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  793154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  793157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793183 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  793186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793205 */     GIR_RootConstrainSelectedInstOperands,
     /*  793206 */     // GIR_Coverage, 19421,
     /*  793206 */     GIR_EraseRootFromParent_Done,
     /*  793207 */   // Label 12314: @793207
     /*  793207 */   GIM_Try, /*On fail goto*//*Label 12315*/ GIMT_Encode4(793282), // Rule ID 19424 //
     /*  793212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  793223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  793226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  793229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  793232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793258 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  793261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793280 */     GIR_RootConstrainSelectedInstOperands,
     /*  793281 */     // GIR_Coverage, 19424,
     /*  793281 */     GIR_EraseRootFromParent_Done,
     /*  793282 */   // Label 12315: @793282
     /*  793282 */   GIM_Try, /*On fail goto*//*Label 12316*/ GIMT_Encode4(793357), // Rule ID 19425 //
     /*  793287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  793298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  793301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  793304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  793307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793333 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  793336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793355 */     GIR_RootConstrainSelectedInstOperands,
     /*  793356 */     // GIR_Coverage, 19425,
     /*  793356 */     GIR_EraseRootFromParent_Done,
     /*  793357 */   // Label 12316: @793357
     /*  793357 */   GIM_Try, /*On fail goto*//*Label 12317*/ GIMT_Encode4(793432), // Rule ID 19428 //
     /*  793362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  793373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  793376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  793379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  793382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793408 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  793411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793430 */     GIR_RootConstrainSelectedInstOperands,
     /*  793431 */     // GIR_Coverage, 19428,
     /*  793431 */     GIR_EraseRootFromParent_Done,
     /*  793432 */   // Label 12317: @793432
     /*  793432 */   GIM_Try, /*On fail goto*//*Label 12318*/ GIMT_Encode4(793507), // Rule ID 19429 //
     /*  793437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  793448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  793451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  793454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  793457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793483 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  793486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793505 */     GIR_RootConstrainSelectedInstOperands,
     /*  793506 */     // GIR_Coverage, 19429,
     /*  793506 */     GIR_EraseRootFromParent_Done,
     /*  793507 */   // Label 12318: @793507
     /*  793507 */   GIM_Try, /*On fail goto*//*Label 12319*/ GIMT_Encode4(793582), // Rule ID 19432 //
     /*  793512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  793523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  793526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  793529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  793532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793558 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  793561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793580 */     GIR_RootConstrainSelectedInstOperands,
     /*  793581 */     // GIR_Coverage, 19432,
     /*  793581 */     GIR_EraseRootFromParent_Done,
     /*  793582 */   // Label 12319: @793582
     /*  793582 */   GIM_Try, /*On fail goto*//*Label 12320*/ GIMT_Encode4(793657), // Rule ID 19433 //
     /*  793587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  793598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  793601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  793604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  793607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793633 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  793636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793655 */     GIR_RootConstrainSelectedInstOperands,
     /*  793656 */     // GIR_Coverage, 19433,
     /*  793656 */     GIR_EraseRootFromParent_Done,
     /*  793657 */   // Label 12320: @793657
     /*  793657 */   GIM_Try, /*On fail goto*//*Label 12321*/ GIMT_Encode4(793732), // Rule ID 19436 //
     /*  793662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  793665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  793673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  793679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  793682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793708 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  793711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793730 */     GIR_RootConstrainSelectedInstOperands,
     /*  793731 */     // GIR_Coverage, 19436,
     /*  793731 */     GIR_EraseRootFromParent_Done,
     /*  793732 */   // Label 12321: @793732
     /*  793732 */   GIM_Try, /*On fail goto*//*Label 12322*/ GIMT_Encode4(793807), // Rule ID 19437 //
     /*  793737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  793748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  793754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  793757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793783 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  793786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793805 */     GIR_RootConstrainSelectedInstOperands,
     /*  793806 */     // GIR_Coverage, 19437,
     /*  793806 */     GIR_EraseRootFromParent_Done,
     /*  793807 */   // Label 12322: @793807
     /*  793807 */   GIM_Try, /*On fail goto*//*Label 12323*/ GIMT_Encode4(793882), // Rule ID 19440 //
     /*  793812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  793832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793858 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  793861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793880 */     GIR_RootConstrainSelectedInstOperands,
     /*  793881 */     // GIR_Coverage, 19440,
     /*  793881 */     GIR_EraseRootFromParent_Done,
     /*  793882 */   // Label 12323: @793882
     /*  793882 */   GIM_Try, /*On fail goto*//*Label 12324*/ GIMT_Encode4(793957), // Rule ID 19441 //
     /*  793887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  793907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793933 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  793936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793955 */     GIR_RootConstrainSelectedInstOperands,
     /*  793956 */     // GIR_Coverage, 19441,
     /*  793956 */     GIR_EraseRootFromParent_Done,
     /*  793957 */   // Label 12324: @793957
     /*  793957 */   GIM_Try, /*On fail goto*//*Label 12325*/ GIMT_Encode4(794032), // Rule ID 19444 //
     /*  793962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  793982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794008 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  794011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794030 */     GIR_RootConstrainSelectedInstOperands,
     /*  794031 */     // GIR_Coverage, 19444,
     /*  794031 */     GIR_EraseRootFromParent_Done,
     /*  794032 */   // Label 12325: @794032
     /*  794032 */   GIM_Try, /*On fail goto*//*Label 12326*/ GIMT_Encode4(794107), // Rule ID 19445 //
     /*  794037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  794048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  794051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  794054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  794057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794083 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  794086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794105 */     GIR_RootConstrainSelectedInstOperands,
     /*  794106 */     // GIR_Coverage, 19445,
     /*  794106 */     GIR_EraseRootFromParent_Done,
     /*  794107 */   // Label 12326: @794107
     /*  794107 */   GIM_Try, /*On fail goto*//*Label 12327*/ GIMT_Encode4(794182), // Rule ID 19448 //
     /*  794112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  794123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  794126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  794129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  794132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794158 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  794161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794180 */     GIR_RootConstrainSelectedInstOperands,
     /*  794181 */     // GIR_Coverage, 19448,
     /*  794181 */     GIR_EraseRootFromParent_Done,
     /*  794182 */   // Label 12327: @794182
     /*  794182 */   GIM_Try, /*On fail goto*//*Label 12328*/ GIMT_Encode4(794257), // Rule ID 19449 //
     /*  794187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  794198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  794201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  794204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  794207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794233 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  794236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794255 */     GIR_RootConstrainSelectedInstOperands,
     /*  794256 */     // GIR_Coverage, 19449,
     /*  794256 */     GIR_EraseRootFromParent_Done,
     /*  794257 */   // Label 12328: @794257
     /*  794257 */   GIM_Try, /*On fail goto*//*Label 12329*/ GIMT_Encode4(794332), // Rule ID 19452 //
     /*  794262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  794273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  794276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  794279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  794282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794308 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  794311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794330 */     GIR_RootConstrainSelectedInstOperands,
     /*  794331 */     // GIR_Coverage, 19452,
     /*  794331 */     GIR_EraseRootFromParent_Done,
     /*  794332 */   // Label 12329: @794332
     /*  794332 */   GIM_Try, /*On fail goto*//*Label 12330*/ GIMT_Encode4(794407), // Rule ID 19453 //
     /*  794337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  794348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  794351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  794354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  794357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794383 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  794386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794405 */     GIR_RootConstrainSelectedInstOperands,
     /*  794406 */     // GIR_Coverage, 19453,
     /*  794406 */     GIR_EraseRootFromParent_Done,
     /*  794407 */   // Label 12330: @794407
     /*  794407 */   GIM_Try, /*On fail goto*//*Label 12331*/ GIMT_Encode4(794482), // Rule ID 19456 //
     /*  794412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  794423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  794426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  794429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  794432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794458 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  794461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794480 */     GIR_RootConstrainSelectedInstOperands,
     /*  794481 */     // GIR_Coverage, 19456,
     /*  794481 */     GIR_EraseRootFromParent_Done,
     /*  794482 */   // Label 12331: @794482
     /*  794482 */   GIM_Try, /*On fail goto*//*Label 12332*/ GIMT_Encode4(794557), // Rule ID 19457 //
     /*  794487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  794498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  794501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  794504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  794507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794533 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  794536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794555 */     GIR_RootConstrainSelectedInstOperands,
     /*  794556 */     // GIR_Coverage, 19457,
     /*  794556 */     GIR_EraseRootFromParent_Done,
     /*  794557 */   // Label 12332: @794557
     /*  794557 */   GIM_Try, /*On fail goto*//*Label 12333*/ GIMT_Encode4(794632), // Rule ID 19460 //
     /*  794562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  794573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  794576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  794579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  794582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794608 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  794611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794630 */     GIR_RootConstrainSelectedInstOperands,
     /*  794631 */     // GIR_Coverage, 19460,
     /*  794631 */     GIR_EraseRootFromParent_Done,
     /*  794632 */   // Label 12333: @794632
     /*  794632 */   GIM_Try, /*On fail goto*//*Label 12334*/ GIMT_Encode4(794707), // Rule ID 19461 //
     /*  794637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  794648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  794651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  794654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  794657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794683 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  794686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794705 */     GIR_RootConstrainSelectedInstOperands,
     /*  794706 */     // GIR_Coverage, 19461,
     /*  794706 */     GIR_EraseRootFromParent_Done,
     /*  794707 */   // Label 12334: @794707
     /*  794707 */   GIM_Try, /*On fail goto*//*Label 12335*/ GIMT_Encode4(794782), // Rule ID 19464 //
     /*  794712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  794732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794758 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  794761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794780 */     GIR_RootConstrainSelectedInstOperands,
     /*  794781 */     // GIR_Coverage, 19464,
     /*  794781 */     GIR_EraseRootFromParent_Done,
     /*  794782 */   // Label 12335: @794782
     /*  794782 */   GIM_Try, /*On fail goto*//*Label 12336*/ GIMT_Encode4(794857), // Rule ID 19465 //
     /*  794787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  794807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794833 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  794836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794855 */     GIR_RootConstrainSelectedInstOperands,
     /*  794856 */     // GIR_Coverage, 19465,
     /*  794856 */     GIR_EraseRootFromParent_Done,
     /*  794857 */   // Label 12336: @794857
     /*  794857 */   GIM_Try, /*On fail goto*//*Label 12337*/ GIMT_Encode4(794932), // Rule ID 19468 //
     /*  794862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  794882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794908 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  794911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794930 */     GIR_RootConstrainSelectedInstOperands,
     /*  794931 */     // GIR_Coverage, 19468,
     /*  794931 */     GIR_EraseRootFromParent_Done,
     /*  794932 */   // Label 12337: @794932
     /*  794932 */   GIM_Try, /*On fail goto*//*Label 12338*/ GIMT_Encode4(795007), // Rule ID 19469 //
     /*  794937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  794957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794983 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  794986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795005 */     GIR_RootConstrainSelectedInstOperands,
     /*  795006 */     // GIR_Coverage, 19469,
     /*  795006 */     GIR_EraseRootFromParent_Done,
     /*  795007 */   // Label 12338: @795007
     /*  795007 */   GIM_Try, /*On fail goto*//*Label 12339*/ GIMT_Encode4(795082), // Rule ID 19472 //
     /*  795012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  795015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  795023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  795026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  795029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  795032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795058 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  795061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795080 */     GIR_RootConstrainSelectedInstOperands,
     /*  795081 */     // GIR_Coverage, 19472,
     /*  795081 */     GIR_EraseRootFromParent_Done,
     /*  795082 */   // Label 12339: @795082
     /*  795082 */   GIM_Try, /*On fail goto*//*Label 12340*/ GIMT_Encode4(795157), // Rule ID 19473 //
     /*  795087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  795090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  795098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  795101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  795104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  795107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795133 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  795136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795155 */     GIR_RootConstrainSelectedInstOperands,
     /*  795156 */     // GIR_Coverage, 19473,
     /*  795156 */     GIR_EraseRootFromParent_Done,
     /*  795157 */   // Label 12340: @795157
     /*  795157 */   GIM_Try, /*On fail goto*//*Label 12341*/ GIMT_Encode4(795232), // Rule ID 19476 //
     /*  795162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  795173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  795176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  795179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795208 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  795211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795230 */     GIR_RootConstrainSelectedInstOperands,
     /*  795231 */     // GIR_Coverage, 19476,
     /*  795231 */     GIR_EraseRootFromParent_Done,
     /*  795232 */   // Label 12341: @795232
     /*  795232 */   GIM_Try, /*On fail goto*//*Label 12342*/ GIMT_Encode4(795307), // Rule ID 19477 //
     /*  795237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  795248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  795251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  795254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795283 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  795286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795305 */     GIR_RootConstrainSelectedInstOperands,
     /*  795306 */     // GIR_Coverage, 19477,
     /*  795306 */     GIR_EraseRootFromParent_Done,
     /*  795307 */   // Label 12342: @795307
     /*  795307 */   GIM_Try, /*On fail goto*//*Label 12343*/ GIMT_Encode4(795382), // Rule ID 19480 //
     /*  795312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  795323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  795326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  795329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795358 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  795361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795380 */     GIR_RootConstrainSelectedInstOperands,
     /*  795381 */     // GIR_Coverage, 19480,
     /*  795381 */     GIR_EraseRootFromParent_Done,
     /*  795382 */   // Label 12343: @795382
     /*  795382 */   GIM_Try, /*On fail goto*//*Label 12344*/ GIMT_Encode4(795457), // Rule ID 19481 //
     /*  795387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  795398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  795401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  795404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795433 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  795436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795455 */     GIR_RootConstrainSelectedInstOperands,
     /*  795456 */     // GIR_Coverage, 19481,
     /*  795456 */     GIR_EraseRootFromParent_Done,
     /*  795457 */   // Label 12344: @795457
     /*  795457 */   GIM_Try, /*On fail goto*//*Label 12345*/ GIMT_Encode4(795532), // Rule ID 19484 //
     /*  795462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  795473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  795476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  795479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795508 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  795511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795530 */     GIR_RootConstrainSelectedInstOperands,
     /*  795531 */     // GIR_Coverage, 19484,
     /*  795531 */     GIR_EraseRootFromParent_Done,
     /*  795532 */   // Label 12345: @795532
     /*  795532 */   GIM_Try, /*On fail goto*//*Label 12346*/ GIMT_Encode4(795607), // Rule ID 19485 //
     /*  795537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  795548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  795551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  795554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795583 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  795586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795605 */     GIR_RootConstrainSelectedInstOperands,
     /*  795606 */     // GIR_Coverage, 19485,
     /*  795606 */     GIR_EraseRootFromParent_Done,
     /*  795607 */   // Label 12346: @795607
     /*  795607 */   GIM_Try, /*On fail goto*//*Label 12347*/ GIMT_Encode4(795682), // Rule ID 19488 //
     /*  795612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  795623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  795626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  795629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795658 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  795661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795680 */     GIR_RootConstrainSelectedInstOperands,
     /*  795681 */     // GIR_Coverage, 19488,
     /*  795681 */     GIR_EraseRootFromParent_Done,
     /*  795682 */   // Label 12347: @795682
     /*  795682 */   GIM_Try, /*On fail goto*//*Label 12348*/ GIMT_Encode4(795757), // Rule ID 19489 //
     /*  795687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  795698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  795701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  795704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795733 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  795736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795755 */     GIR_RootConstrainSelectedInstOperands,
     /*  795756 */     // GIR_Coverage, 19489,
     /*  795756 */     GIR_EraseRootFromParent_Done,
     /*  795757 */   // Label 12348: @795757
     /*  795757 */   GIM_Try, /*On fail goto*//*Label 12349*/ GIMT_Encode4(795832), // Rule ID 19492 //
     /*  795762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795808 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  795811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795830 */     GIR_RootConstrainSelectedInstOperands,
     /*  795831 */     // GIR_Coverage, 19492,
     /*  795831 */     GIR_EraseRootFromParent_Done,
     /*  795832 */   // Label 12349: @795832
     /*  795832 */   GIM_Try, /*On fail goto*//*Label 12350*/ GIMT_Encode4(795907), // Rule ID 19493 //
     /*  795837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795883 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  795886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795905 */     GIR_RootConstrainSelectedInstOperands,
     /*  795906 */     // GIR_Coverage, 19493,
     /*  795906 */     GIR_EraseRootFromParent_Done,
     /*  795907 */   // Label 12350: @795907
     /*  795907 */   GIM_Try, /*On fail goto*//*Label 12351*/ GIMT_Encode4(795982), // Rule ID 19496 //
     /*  795912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  795915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795958 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  795961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795980 */     GIR_RootConstrainSelectedInstOperands,
     /*  795981 */     // GIR_Coverage, 19496,
     /*  795981 */     GIR_EraseRootFromParent_Done,
     /*  795982 */   // Label 12351: @795982
     /*  795982 */   GIM_Try, /*On fail goto*//*Label 12352*/ GIMT_Encode4(796057), // Rule ID 19497 //
     /*  795987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  795990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  796001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  796004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796033 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  796036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796055 */     GIR_RootConstrainSelectedInstOperands,
     /*  796056 */     // GIR_Coverage, 19497,
     /*  796056 */     GIR_EraseRootFromParent_Done,
     /*  796057 */   // Label 12352: @796057
     /*  796057 */   GIM_Try, /*On fail goto*//*Label 12353*/ GIMT_Encode4(796132), // Rule ID 19500 //
     /*  796062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  796073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  796076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  796079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  796082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  796101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796108 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  796111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796130 */     GIR_RootConstrainSelectedInstOperands,
     /*  796131 */     // GIR_Coverage, 19500,
     /*  796131 */     GIR_EraseRootFromParent_Done,
     /*  796132 */   // Label 12353: @796132
     /*  796132 */   GIM_Try, /*On fail goto*//*Label 12354*/ GIMT_Encode4(796207), // Rule ID 19501 //
     /*  796137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  796148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  796151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  796154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  796157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  796176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796183 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  796186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796205 */     GIR_RootConstrainSelectedInstOperands,
     /*  796206 */     // GIR_Coverage, 19501,
     /*  796206 */     GIR_EraseRootFromParent_Done,
     /*  796207 */   // Label 12354: @796207
     /*  796207 */   GIM_Try, /*On fail goto*//*Label 12355*/ GIMT_Encode4(796282), // Rule ID 19504 //
     /*  796212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  796223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  796226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  796229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  796232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  796251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796258 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  796261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796280 */     GIR_RootConstrainSelectedInstOperands,
     /*  796281 */     // GIR_Coverage, 19504,
     /*  796281 */     GIR_EraseRootFromParent_Done,
     /*  796282 */   // Label 12355: @796282
     /*  796282 */   GIM_Try, /*On fail goto*//*Label 12356*/ GIMT_Encode4(796357), // Rule ID 19505 //
     /*  796287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  796298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  796301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  796304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  796307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  796326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796333 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  796336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796355 */     GIR_RootConstrainSelectedInstOperands,
     /*  796356 */     // GIR_Coverage, 19505,
     /*  796356 */     GIR_EraseRootFromParent_Done,
     /*  796357 */   // Label 12356: @796357
     /*  796357 */   GIM_Try, /*On fail goto*//*Label 12357*/ GIMT_Encode4(796432), // Rule ID 19508 //
     /*  796362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  796373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  796376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  796379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  796382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  796401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796408 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  796411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796430 */     GIR_RootConstrainSelectedInstOperands,
     /*  796431 */     // GIR_Coverage, 19508,
     /*  796431 */     GIR_EraseRootFromParent_Done,
     /*  796432 */   // Label 12357: @796432
     /*  796432 */   GIM_Try, /*On fail goto*//*Label 12358*/ GIMT_Encode4(796507), // Rule ID 19509 //
     /*  796437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  796448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  796451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  796454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  796457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  796476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796483 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  796486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796505 */     GIR_RootConstrainSelectedInstOperands,
     /*  796506 */     // GIR_Coverage, 19509,
     /*  796506 */     GIR_EraseRootFromParent_Done,
     /*  796507 */   // Label 12358: @796507
     /*  796507 */   GIM_Try, /*On fail goto*//*Label 12359*/ GIMT_Encode4(796582), // Rule ID 19512 //
     /*  796512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  796523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  796526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  796529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796558 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  796561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796580 */     GIR_RootConstrainSelectedInstOperands,
     /*  796581 */     // GIR_Coverage, 19512,
     /*  796581 */     GIR_EraseRootFromParent_Done,
     /*  796582 */   // Label 12359: @796582
     /*  796582 */   GIM_Try, /*On fail goto*//*Label 12360*/ GIMT_Encode4(796657), // Rule ID 19513 //
     /*  796587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  796598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  796601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  796604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796633 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  796636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796655 */     GIR_RootConstrainSelectedInstOperands,
     /*  796656 */     // GIR_Coverage, 19513,
     /*  796656 */     GIR_EraseRootFromParent_Done,
     /*  796657 */   // Label 12360: @796657
     /*  796657 */   GIM_Try, /*On fail goto*//*Label 12361*/ GIMT_Encode4(796732), // Rule ID 19516 //
     /*  796662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  796673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796708 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  796711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796730 */     GIR_RootConstrainSelectedInstOperands,
     /*  796731 */     // GIR_Coverage, 19516,
     /*  796731 */     GIR_EraseRootFromParent_Done,
     /*  796732 */   // Label 12361: @796732
     /*  796732 */   GIM_Try, /*On fail goto*//*Label 12362*/ GIMT_Encode4(796807), // Rule ID 19517 //
     /*  796737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  796748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796783 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  796786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796805 */     GIR_RootConstrainSelectedInstOperands,
     /*  796806 */     // GIR_Coverage, 19517,
     /*  796806 */     GIR_EraseRootFromParent_Done,
     /*  796807 */   // Label 12362: @796807
     /*  796807 */   GIM_Try, /*On fail goto*//*Label 12363*/ GIMT_Encode4(796882), // Rule ID 19520 //
     /*  796812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796858 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  796861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796880 */     GIR_RootConstrainSelectedInstOperands,
     /*  796881 */     // GIR_Coverage, 19520,
     /*  796881 */     GIR_EraseRootFromParent_Done,
     /*  796882 */   // Label 12363: @796882
     /*  796882 */   GIM_Try, /*On fail goto*//*Label 12364*/ GIMT_Encode4(796957), // Rule ID 19521 //
     /*  796887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796933 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  796936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796955 */     GIR_RootConstrainSelectedInstOperands,
     /*  796956 */     // GIR_Coverage, 19521,
     /*  796956 */     GIR_EraseRootFromParent_Done,
     /*  796957 */   // Label 12364: @796957
     /*  796957 */   GIM_Try, /*On fail goto*//*Label 12365*/ GIMT_Encode4(797032), // Rule ID 19524 //
     /*  796962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  797001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797008 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  797011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797030 */     GIR_RootConstrainSelectedInstOperands,
     /*  797031 */     // GIR_Coverage, 19524,
     /*  797031 */     GIR_EraseRootFromParent_Done,
     /*  797032 */   // Label 12365: @797032
     /*  797032 */   GIM_Try, /*On fail goto*//*Label 12366*/ GIMT_Encode4(797107), // Rule ID 19525 //
     /*  797037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  797048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  797051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  797054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  797057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  797076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797083 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  797086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797105 */     GIR_RootConstrainSelectedInstOperands,
     /*  797106 */     // GIR_Coverage, 19525,
     /*  797106 */     GIR_EraseRootFromParent_Done,
     /*  797107 */   // Label 12366: @797107
     /*  797107 */   GIM_Try, /*On fail goto*//*Label 12367*/ GIMT_Encode4(797182), // Rule ID 19528 //
     /*  797112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  797115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  797123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  797126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  797129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  797132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  797151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797158 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  797161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797180 */     GIR_RootConstrainSelectedInstOperands,
     /*  797181 */     // GIR_Coverage, 19528,
     /*  797181 */     GIR_EraseRootFromParent_Done,
     /*  797182 */   // Label 12367: @797182
     /*  797182 */   GIM_Try, /*On fail goto*//*Label 12368*/ GIMT_Encode4(797257), // Rule ID 19529 //
     /*  797187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  797198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  797201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  797204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  797207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  797226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797233 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  797236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797255 */     GIR_RootConstrainSelectedInstOperands,
     /*  797256 */     // GIR_Coverage, 19529,
     /*  797256 */     GIR_EraseRootFromParent_Done,
     /*  797257 */   // Label 12368: @797257
     /*  797257 */   GIM_Try, /*On fail goto*//*Label 12369*/ GIMT_Encode4(797332), // Rule ID 19532 //
     /*  797262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  797265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  797273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  797276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  797279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  797282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  797301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797308 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  797311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797330 */     GIR_RootConstrainSelectedInstOperands,
     /*  797331 */     // GIR_Coverage, 19532,
     /*  797331 */     GIR_EraseRootFromParent_Done,
     /*  797332 */   // Label 12369: @797332
     /*  797332 */   GIM_Try, /*On fail goto*//*Label 12370*/ GIMT_Encode4(797407), // Rule ID 19533 //
     /*  797337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  797348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  797351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  797354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  797357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  797376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797383 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  797386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797405 */     GIR_RootConstrainSelectedInstOperands,
     /*  797406 */     // GIR_Coverage, 19533,
     /*  797406 */     GIR_EraseRootFromParent_Done,
     /*  797407 */   // Label 12370: @797407
     /*  797407 */   GIM_Try, /*On fail goto*//*Label 12371*/ GIMT_Encode4(797482), // Rule ID 19536 //
     /*  797412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  797423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  797426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  797429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  797432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797458 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  797461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797480 */     GIR_RootConstrainSelectedInstOperands,
     /*  797481 */     // GIR_Coverage, 19536,
     /*  797481 */     GIR_EraseRootFromParent_Done,
     /*  797482 */   // Label 12371: @797482
     /*  797482 */   GIM_Try, /*On fail goto*//*Label 12372*/ GIMT_Encode4(797557), // Rule ID 19537 //
     /*  797487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  797498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  797501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  797504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  797507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797533 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  797536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797555 */     GIR_RootConstrainSelectedInstOperands,
     /*  797556 */     // GIR_Coverage, 19537,
     /*  797556 */     GIR_EraseRootFromParent_Done,
     /*  797557 */   // Label 12372: @797557
     /*  797557 */   GIM_Try, /*On fail goto*//*Label 12373*/ GIMT_Encode4(797632), // Rule ID 19540 //
     /*  797562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  797573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  797576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  797579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  797582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797608 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  797611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797630 */     GIR_RootConstrainSelectedInstOperands,
     /*  797631 */     // GIR_Coverage, 19540,
     /*  797631 */     GIR_EraseRootFromParent_Done,
     /*  797632 */   // Label 12373: @797632
     /*  797632 */   GIM_Try, /*On fail goto*//*Label 12374*/ GIMT_Encode4(797707), // Rule ID 19541 //
     /*  797637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  797648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  797651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  797654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  797657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797683 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  797686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797705 */     GIR_RootConstrainSelectedInstOperands,
     /*  797706 */     // GIR_Coverage, 19541,
     /*  797706 */     GIR_EraseRootFromParent_Done,
     /*  797707 */   // Label 12374: @797707
     /*  797707 */   GIM_Try, /*On fail goto*//*Label 12375*/ GIMT_Encode4(797782), // Rule ID 19544 //
     /*  797712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  797732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797758 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  797761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797780 */     GIR_RootConstrainSelectedInstOperands,
     /*  797781 */     // GIR_Coverage, 19544,
     /*  797781 */     GIR_EraseRootFromParent_Done,
     /*  797782 */   // Label 12375: @797782
     /*  797782 */   GIM_Try, /*On fail goto*//*Label 12376*/ GIMT_Encode4(797857), // Rule ID 19545 //
     /*  797787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  797807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797833 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  797836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797855 */     GIR_RootConstrainSelectedInstOperands,
     /*  797856 */     // GIR_Coverage, 19545,
     /*  797856 */     GIR_EraseRootFromParent_Done,
     /*  797857 */   // Label 12376: @797857
     /*  797857 */   GIM_Try, /*On fail goto*//*Label 12377*/ GIMT_Encode4(797932), // Rule ID 19548 //
     /*  797862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  797882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797908 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  797911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797930 */     GIR_RootConstrainSelectedInstOperands,
     /*  797931 */     // GIR_Coverage, 19548,
     /*  797931 */     GIR_EraseRootFromParent_Done,
     /*  797932 */   // Label 12377: @797932
     /*  797932 */   GIM_Try, /*On fail goto*//*Label 12378*/ GIMT_Encode4(798007), // Rule ID 19549 //
     /*  797937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  797957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797983 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  797986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798005 */     GIR_RootConstrainSelectedInstOperands,
     /*  798006 */     // GIR_Coverage, 19549,
     /*  798006 */     GIR_EraseRootFromParent_Done,
     /*  798007 */   // Label 12378: @798007
     /*  798007 */   GIM_Try, /*On fail goto*//*Label 12379*/ GIMT_Encode4(798082), // Rule ID 19552 //
     /*  798012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  798023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  798026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  798029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  798032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798058 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  798061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798080 */     GIR_RootConstrainSelectedInstOperands,
     /*  798081 */     // GIR_Coverage, 19552,
     /*  798081 */     GIR_EraseRootFromParent_Done,
     /*  798082 */   // Label 12379: @798082
     /*  798082 */   GIM_Try, /*On fail goto*//*Label 12380*/ GIMT_Encode4(798157), // Rule ID 19553 //
     /*  798087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  798098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  798101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  798104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  798107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798133 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  798136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798155 */     GIR_RootConstrainSelectedInstOperands,
     /*  798156 */     // GIR_Coverage, 19553,
     /*  798156 */     GIR_EraseRootFromParent_Done,
     /*  798157 */   // Label 12380: @798157
     /*  798157 */   GIM_Try, /*On fail goto*//*Label 12381*/ GIMT_Encode4(798232), // Rule ID 19556 //
     /*  798162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  798173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  798176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  798179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  798182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  798211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798230 */     GIR_RootConstrainSelectedInstOperands,
     /*  798231 */     // GIR_Coverage, 19556,
     /*  798231 */     GIR_EraseRootFromParent_Done,
     /*  798232 */   // Label 12381: @798232
     /*  798232 */   GIM_Try, /*On fail goto*//*Label 12382*/ GIMT_Encode4(798307), // Rule ID 19557 //
     /*  798237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  798248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  798251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  798254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  798257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798283 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  798286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798305 */     GIR_RootConstrainSelectedInstOperands,
     /*  798306 */     // GIR_Coverage, 19557,
     /*  798306 */     GIR_EraseRootFromParent_Done,
     /*  798307 */   // Label 12382: @798307
     /*  798307 */   GIM_Try, /*On fail goto*//*Label 12383*/ GIMT_Encode4(798382), // Rule ID 19560 //
     /*  798312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  798323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  798326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  798329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  798332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798358 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  798361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798380 */     GIR_RootConstrainSelectedInstOperands,
     /*  798381 */     // GIR_Coverage, 19560,
     /*  798381 */     GIR_EraseRootFromParent_Done,
     /*  798382 */   // Label 12383: @798382
     /*  798382 */   GIM_Try, /*On fail goto*//*Label 12384*/ GIMT_Encode4(798457), // Rule ID 19561 //
     /*  798387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  798398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  798401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  798404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  798407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798433 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  798436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798455 */     GIR_RootConstrainSelectedInstOperands,
     /*  798456 */     // GIR_Coverage, 19561,
     /*  798456 */     GIR_EraseRootFromParent_Done,
     /*  798457 */   // Label 12384: @798457
     /*  798457 */   GIM_Try, /*On fail goto*//*Label 12385*/ GIMT_Encode4(798532), // Rule ID 19564 //
     /*  798462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  798473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  798476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  798479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  798482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798508 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  798511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798530 */     GIR_RootConstrainSelectedInstOperands,
     /*  798531 */     // GIR_Coverage, 19564,
     /*  798531 */     GIR_EraseRootFromParent_Done,
     /*  798532 */   // Label 12385: @798532
     /*  798532 */   GIM_Try, /*On fail goto*//*Label 12386*/ GIMT_Encode4(798607), // Rule ID 19565 //
     /*  798537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  798548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  798551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  798554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  798557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798583 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  798586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798605 */     GIR_RootConstrainSelectedInstOperands,
     /*  798606 */     // GIR_Coverage, 19565,
     /*  798606 */     GIR_EraseRootFromParent_Done,
     /*  798607 */   // Label 12386: @798607
     /*  798607 */   GIM_Try, /*On fail goto*//*Label 12387*/ GIMT_Encode4(798682), // Rule ID 19568 //
     /*  798612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  798623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  798626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  798629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  798632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798658 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  798661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798680 */     GIR_RootConstrainSelectedInstOperands,
     /*  798681 */     // GIR_Coverage, 19568,
     /*  798681 */     GIR_EraseRootFromParent_Done,
     /*  798682 */   // Label 12387: @798682
     /*  798682 */   GIM_Try, /*On fail goto*//*Label 12388*/ GIMT_Encode4(798757), // Rule ID 19569 //
     /*  798687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  798698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  798701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  798704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  798707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798733 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  798736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798755 */     GIR_RootConstrainSelectedInstOperands,
     /*  798756 */     // GIR_Coverage, 19569,
     /*  798756 */     GIR_EraseRootFromParent_Done,
     /*  798757 */   // Label 12388: @798757
     /*  798757 */   GIM_Try, /*On fail goto*//*Label 12389*/ GIMT_Encode4(798832), // Rule ID 19572 //
     /*  798762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  798773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  798776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  798779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  798782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  798811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798830 */     GIR_RootConstrainSelectedInstOperands,
     /*  798831 */     // GIR_Coverage, 19572,
     /*  798831 */     GIR_EraseRootFromParent_Done,
     /*  798832 */   // Label 12389: @798832
     /*  798832 */   GIM_Try, /*On fail goto*//*Label 12390*/ GIMT_Encode4(798907), // Rule ID 19573 //
     /*  798837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  798848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  798851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  798854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  798857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798883 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  798886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798905 */     GIR_RootConstrainSelectedInstOperands,
     /*  798906 */     // GIR_Coverage, 19573,
     /*  798906 */     GIR_EraseRootFromParent_Done,
     /*  798907 */   // Label 12390: @798907
     /*  798907 */   GIM_Try, /*On fail goto*//*Label 12391*/ GIMT_Encode4(798982), // Rule ID 19576 //
     /*  798912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  798926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  798929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  798932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798958 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  798961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798980 */     GIR_RootConstrainSelectedInstOperands,
     /*  798981 */     // GIR_Coverage, 19576,
     /*  798981 */     GIR_EraseRootFromParent_Done,
     /*  798982 */   // Label 12391: @798982
     /*  798982 */   GIM_Try, /*On fail goto*//*Label 12392*/ GIMT_Encode4(799057), // Rule ID 19577 //
     /*  798987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  799001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  799004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  799007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799033 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  799036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799055 */     GIR_RootConstrainSelectedInstOperands,
     /*  799056 */     // GIR_Coverage, 19577,
     /*  799056 */     GIR_EraseRootFromParent_Done,
     /*  799057 */   // Label 12392: @799057
     /*  799057 */   GIM_Try, /*On fail goto*//*Label 12393*/ GIMT_Encode4(799132), // Rule ID 19580 //
     /*  799062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  799073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  799076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  799079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  799082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  799111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799130 */     GIR_RootConstrainSelectedInstOperands,
     /*  799131 */     // GIR_Coverage, 19580,
     /*  799131 */     GIR_EraseRootFromParent_Done,
     /*  799132 */   // Label 12393: @799132
     /*  799132 */   GIM_Try, /*On fail goto*//*Label 12394*/ GIMT_Encode4(799207), // Rule ID 19581 //
     /*  799137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  799148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  799151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  799154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  799157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799183 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  799186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799205 */     GIR_RootConstrainSelectedInstOperands,
     /*  799206 */     // GIR_Coverage, 19581,
     /*  799206 */     GIR_EraseRootFromParent_Done,
     /*  799207 */   // Label 12394: @799207
     /*  799207 */   GIM_Try, /*On fail goto*//*Label 12395*/ GIMT_Encode4(799282), // Rule ID 19584 //
     /*  799212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  799223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  799226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  799229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  799232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799258 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  799261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799280 */     GIR_RootConstrainSelectedInstOperands,
     /*  799281 */     // GIR_Coverage, 19584,
     /*  799281 */     GIR_EraseRootFromParent_Done,
     /*  799282 */   // Label 12395: @799282
     /*  799282 */   GIM_Try, /*On fail goto*//*Label 12396*/ GIMT_Encode4(799357), // Rule ID 19585 //
     /*  799287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  799298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  799301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  799304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  799307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799333 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  799336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799355 */     GIR_RootConstrainSelectedInstOperands,
     /*  799356 */     // GIR_Coverage, 19585,
     /*  799356 */     GIR_EraseRootFromParent_Done,
     /*  799357 */   // Label 12396: @799357
     /*  799357 */   GIM_Try, /*On fail goto*//*Label 12397*/ GIMT_Encode4(799432), // Rule ID 19588 //
     /*  799362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  799373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  799376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  799379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  799382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799408 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  799411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799430 */     GIR_RootConstrainSelectedInstOperands,
     /*  799431 */     // GIR_Coverage, 19588,
     /*  799431 */     GIR_EraseRootFromParent_Done,
     /*  799432 */   // Label 12397: @799432
     /*  799432 */   GIM_Try, /*On fail goto*//*Label 12398*/ GIMT_Encode4(799507), // Rule ID 19589 //
     /*  799437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  799448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  799451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  799454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  799457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799483 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  799486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799505 */     GIR_RootConstrainSelectedInstOperands,
     /*  799506 */     // GIR_Coverage, 19589,
     /*  799506 */     GIR_EraseRootFromParent_Done,
     /*  799507 */   // Label 12398: @799507
     /*  799507 */   GIM_Try, /*On fail goto*//*Label 12399*/ GIMT_Encode4(799582), // Rule ID 19592 //
     /*  799512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  799523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  799526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  799529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  799532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799558 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  799561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799580 */     GIR_RootConstrainSelectedInstOperands,
     /*  799581 */     // GIR_Coverage, 19592,
     /*  799581 */     GIR_EraseRootFromParent_Done,
     /*  799582 */   // Label 12399: @799582
     /*  799582 */   GIM_Try, /*On fail goto*//*Label 12400*/ GIMT_Encode4(799657), // Rule ID 19593 //
     /*  799587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  799598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  799601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  799604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  799607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799633 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  799636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799655 */     GIR_RootConstrainSelectedInstOperands,
     /*  799656 */     // GIR_Coverage, 19593,
     /*  799656 */     GIR_EraseRootFromParent_Done,
     /*  799657 */   // Label 12400: @799657
     /*  799657 */   GIM_Try, /*On fail goto*//*Label 12401*/ GIMT_Encode4(799732), // Rule ID 19596 //
     /*  799662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  799673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  799676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  799679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799708 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  799711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799730 */     GIR_RootConstrainSelectedInstOperands,
     /*  799731 */     // GIR_Coverage, 19596,
     /*  799731 */     GIR_EraseRootFromParent_Done,
     /*  799732 */   // Label 12401: @799732
     /*  799732 */   GIM_Try, /*On fail goto*//*Label 12402*/ GIMT_Encode4(799807), // Rule ID 19597 //
     /*  799737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  799748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  799751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  799754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799783 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  799786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799805 */     GIR_RootConstrainSelectedInstOperands,
     /*  799806 */     // GIR_Coverage, 19597,
     /*  799806 */     GIR_EraseRootFromParent_Done,
     /*  799807 */   // Label 12402: @799807
     /*  799807 */   GIM_Try, /*On fail goto*//*Label 12403*/ GIMT_Encode4(799882), // Rule ID 19600 //
     /*  799812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  799823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  799826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799858 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  799861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799880 */     GIR_RootConstrainSelectedInstOperands,
     /*  799881 */     // GIR_Coverage, 19600,
     /*  799881 */     GIR_EraseRootFromParent_Done,
     /*  799882 */   // Label 12403: @799882
     /*  799882 */   GIM_Try, /*On fail goto*//*Label 12404*/ GIMT_Encode4(799957), // Rule ID 19601 //
     /*  799887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  799898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  799901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799933 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  799936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799955 */     GIR_RootConstrainSelectedInstOperands,
     /*  799956 */     // GIR_Coverage, 19601,
     /*  799956 */     GIR_EraseRootFromParent_Done,
     /*  799957 */   // Label 12404: @799957
     /*  799957 */   GIM_Try, /*On fail goto*//*Label 12405*/ GIMT_Encode4(800032), // Rule ID 19604 //
     /*  799962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  799973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  799976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  799979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800008 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  800011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800030 */     GIR_RootConstrainSelectedInstOperands,
     /*  800031 */     // GIR_Coverage, 19604,
     /*  800031 */     GIR_EraseRootFromParent_Done,
     /*  800032 */   // Label 12405: @800032
     /*  800032 */   GIM_Try, /*On fail goto*//*Label 12406*/ GIMT_Encode4(800107), // Rule ID 19605 //
     /*  800037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  800048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  800051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  800054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800083 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  800086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800105 */     GIR_RootConstrainSelectedInstOperands,
     /*  800106 */     // GIR_Coverage, 19605,
     /*  800106 */     GIR_EraseRootFromParent_Done,
     /*  800107 */   // Label 12406: @800107
     /*  800107 */   GIM_Try, /*On fail goto*//*Label 12407*/ GIMT_Encode4(800182), // Rule ID 19608 //
     /*  800112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  800123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  800126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  800129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800158 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  800161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800180 */     GIR_RootConstrainSelectedInstOperands,
     /*  800181 */     // GIR_Coverage, 19608,
     /*  800181 */     GIR_EraseRootFromParent_Done,
     /*  800182 */   // Label 12407: @800182
     /*  800182 */   GIM_Try, /*On fail goto*//*Label 12408*/ GIMT_Encode4(800257), // Rule ID 19609 //
     /*  800187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  800198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  800201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  800204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800233 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  800236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800255 */     GIR_RootConstrainSelectedInstOperands,
     /*  800256 */     // GIR_Coverage, 19609,
     /*  800256 */     GIR_EraseRootFromParent_Done,
     /*  800257 */   // Label 12408: @800257
     /*  800257 */   GIM_Try, /*On fail goto*//*Label 12409*/ GIMT_Encode4(800332), // Rule ID 19612 //
     /*  800262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  800273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  800276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  800279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800308 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  800311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800330 */     GIR_RootConstrainSelectedInstOperands,
     /*  800331 */     // GIR_Coverage, 19612,
     /*  800331 */     GIR_EraseRootFromParent_Done,
     /*  800332 */   // Label 12409: @800332
     /*  800332 */   GIM_Try, /*On fail goto*//*Label 12410*/ GIMT_Encode4(800407), // Rule ID 19613 //
     /*  800337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  800348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  800351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  800354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800383 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  800386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800405 */     GIR_RootConstrainSelectedInstOperands,
     /*  800406 */     // GIR_Coverage, 19613,
     /*  800406 */     GIR_EraseRootFromParent_Done,
     /*  800407 */   // Label 12410: @800407
     /*  800407 */   GIM_Try, /*On fail goto*//*Label 12411*/ GIMT_Encode4(800482), // Rule ID 19616 //
     /*  800412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  800423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  800426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  800429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800458 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  800461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800480 */     GIR_RootConstrainSelectedInstOperands,
     /*  800481 */     // GIR_Coverage, 19616,
     /*  800481 */     GIR_EraseRootFromParent_Done,
     /*  800482 */   // Label 12411: @800482
     /*  800482 */   GIM_Try, /*On fail goto*//*Label 12412*/ GIMT_Encode4(800557), // Rule ID 19617 //
     /*  800487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  800498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  800501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  800504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800533 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  800536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800555 */     GIR_RootConstrainSelectedInstOperands,
     /*  800556 */     // GIR_Coverage, 19617,
     /*  800556 */     GIR_EraseRootFromParent_Done,
     /*  800557 */   // Label 12412: @800557
     /*  800557 */   GIM_Try, /*On fail goto*//*Label 12413*/ GIMT_Encode4(800632), // Rule ID 19620 //
     /*  800562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  800573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  800576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  800579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800608 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  800611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800630 */     GIR_RootConstrainSelectedInstOperands,
     /*  800631 */     // GIR_Coverage, 19620,
     /*  800631 */     GIR_EraseRootFromParent_Done,
     /*  800632 */   // Label 12413: @800632
     /*  800632 */   GIM_Try, /*On fail goto*//*Label 12414*/ GIMT_Encode4(800707), // Rule ID 19621 //
     /*  800637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  800648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  800651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  800654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800683 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  800686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800705 */     GIR_RootConstrainSelectedInstOperands,
     /*  800706 */     // GIR_Coverage, 19621,
     /*  800706 */     GIR_EraseRootFromParent_Done,
     /*  800707 */   // Label 12414: @800707
     /*  800707 */   GIM_Try, /*On fail goto*//*Label 12415*/ GIMT_Encode4(800782), // Rule ID 19624 //
     /*  800712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  800723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  800726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  800729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800758 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  800761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800780 */     GIR_RootConstrainSelectedInstOperands,
     /*  800781 */     // GIR_Coverage, 19624,
     /*  800781 */     GIR_EraseRootFromParent_Done,
     /*  800782 */   // Label 12415: @800782
     /*  800782 */   GIM_Try, /*On fail goto*//*Label 12416*/ GIMT_Encode4(800857), // Rule ID 19625 //
     /*  800787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  800798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  800801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  800804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800833 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  800836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800855 */     GIR_RootConstrainSelectedInstOperands,
     /*  800856 */     // GIR_Coverage, 19625,
     /*  800856 */     GIR_EraseRootFromParent_Done,
     /*  800857 */   // Label 12416: @800857
     /*  800857 */   GIM_Try, /*On fail goto*//*Label 12417*/ GIMT_Encode4(800932), // Rule ID 19628 //
     /*  800862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  800873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  800876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  800879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800908 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  800911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800930 */     GIR_RootConstrainSelectedInstOperands,
     /*  800931 */     // GIR_Coverage, 19628,
     /*  800931 */     GIR_EraseRootFromParent_Done,
     /*  800932 */   // Label 12417: @800932
     /*  800932 */   GIM_Try, /*On fail goto*//*Label 12418*/ GIMT_Encode4(801007), // Rule ID 19629 //
     /*  800937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  800948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  800951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  800954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800983 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  800986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801005 */     GIR_RootConstrainSelectedInstOperands,
     /*  801006 */     // GIR_Coverage, 19629,
     /*  801006 */     GIR_EraseRootFromParent_Done,
     /*  801007 */   // Label 12418: @801007
     /*  801007 */   GIM_Try, /*On fail goto*//*Label 12419*/ GIMT_Encode4(801082), // Rule ID 19632 //
     /*  801012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  801023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  801026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  801029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  801051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801058 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  801061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801080 */     GIR_RootConstrainSelectedInstOperands,
     /*  801081 */     // GIR_Coverage, 19632,
     /*  801081 */     GIR_EraseRootFromParent_Done,
     /*  801082 */   // Label 12419: @801082
     /*  801082 */   GIM_Try, /*On fail goto*//*Label 12420*/ GIMT_Encode4(801157), // Rule ID 19633 //
     /*  801087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  801098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  801101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  801104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  801126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801133 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  801136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801155 */     GIR_RootConstrainSelectedInstOperands,
     /*  801156 */     // GIR_Coverage, 19633,
     /*  801156 */     GIR_EraseRootFromParent_Done,
     /*  801157 */   // Label 12420: @801157
     /*  801157 */   GIM_Try, /*On fail goto*//*Label 12421*/ GIMT_Encode4(801232), // Rule ID 19636 //
     /*  801162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  801173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  801176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  801179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  801201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801208 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  801211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801230 */     GIR_RootConstrainSelectedInstOperands,
     /*  801231 */     // GIR_Coverage, 19636,
     /*  801231 */     GIR_EraseRootFromParent_Done,
     /*  801232 */   // Label 12421: @801232
     /*  801232 */   GIM_Try, /*On fail goto*//*Label 12422*/ GIMT_Encode4(801307), // Rule ID 19637 //
     /*  801237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  801248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  801251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  801254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  801276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801283 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  801286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801305 */     GIR_RootConstrainSelectedInstOperands,
     /*  801306 */     // GIR_Coverage, 19637,
     /*  801306 */     GIR_EraseRootFromParent_Done,
     /*  801307 */   // Label 12422: @801307
     /*  801307 */   GIM_Try, /*On fail goto*//*Label 12423*/ GIMT_Encode4(801382), // Rule ID 19640 //
     /*  801312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  801323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  801326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  801329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  801351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801358 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  801361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801380 */     GIR_RootConstrainSelectedInstOperands,
     /*  801381 */     // GIR_Coverage, 19640,
     /*  801381 */     GIR_EraseRootFromParent_Done,
     /*  801382 */   // Label 12423: @801382
     /*  801382 */   GIM_Try, /*On fail goto*//*Label 12424*/ GIMT_Encode4(801457), // Rule ID 19641 //
     /*  801387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  801398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  801401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  801404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  801426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801433 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  801436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801455 */     GIR_RootConstrainSelectedInstOperands,
     /*  801456 */     // GIR_Coverage, 19641,
     /*  801456 */     GIR_EraseRootFromParent_Done,
     /*  801457 */   // Label 12424: @801457
     /*  801457 */   GIM_Try, /*On fail goto*//*Label 12425*/ GIMT_Encode4(801532), // Rule ID 19644 //
     /*  801462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  801473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  801476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  801479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801508 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  801511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801530 */     GIR_RootConstrainSelectedInstOperands,
     /*  801531 */     // GIR_Coverage, 19644,
     /*  801531 */     GIR_EraseRootFromParent_Done,
     /*  801532 */   // Label 12425: @801532
     /*  801532 */   GIM_Try, /*On fail goto*//*Label 12426*/ GIMT_Encode4(801607), // Rule ID 19645 //
     /*  801537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  801548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  801551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  801554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801583 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  801586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801605 */     GIR_RootConstrainSelectedInstOperands,
     /*  801606 */     // GIR_Coverage, 19645,
     /*  801606 */     GIR_EraseRootFromParent_Done,
     /*  801607 */   // Label 12426: @801607
     /*  801607 */   GIM_Try, /*On fail goto*//*Label 12427*/ GIMT_Encode4(801682), // Rule ID 19648 //
     /*  801612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  801623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  801626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  801629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801658 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  801661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801680 */     GIR_RootConstrainSelectedInstOperands,
     /*  801681 */     // GIR_Coverage, 19648,
     /*  801681 */     GIR_EraseRootFromParent_Done,
     /*  801682 */   // Label 12427: @801682
     /*  801682 */   GIM_Try, /*On fail goto*//*Label 12428*/ GIMT_Encode4(801757), // Rule ID 19649 //
     /*  801687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  801698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  801701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  801704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801733 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  801736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801755 */     GIR_RootConstrainSelectedInstOperands,
     /*  801756 */     // GIR_Coverage, 19649,
     /*  801756 */     GIR_EraseRootFromParent_Done,
     /*  801757 */   // Label 12428: @801757
     /*  801757 */   GIM_Try, /*On fail goto*//*Label 12429*/ GIMT_Encode4(801832), // Rule ID 19652 //
     /*  801762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  801773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  801776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  801779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801808 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  801811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801830 */     GIR_RootConstrainSelectedInstOperands,
     /*  801831 */     // GIR_Coverage, 19652,
     /*  801831 */     GIR_EraseRootFromParent_Done,
     /*  801832 */   // Label 12429: @801832
     /*  801832 */   GIM_Try, /*On fail goto*//*Label 12430*/ GIMT_Encode4(801907), // Rule ID 19653 //
     /*  801837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  801848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  801851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  801854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801883 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  801886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801905 */     GIR_RootConstrainSelectedInstOperands,
     /*  801906 */     // GIR_Coverage, 19653,
     /*  801906 */     GIR_EraseRootFromParent_Done,
     /*  801907 */   // Label 12430: @801907
     /*  801907 */   GIM_Try, /*On fail goto*//*Label 12431*/ GIMT_Encode4(801982), // Rule ID 19656 //
     /*  801912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  801926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  801929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  801932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801958 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  801961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801980 */     GIR_RootConstrainSelectedInstOperands,
     /*  801981 */     // GIR_Coverage, 19656,
     /*  801981 */     GIR_EraseRootFromParent_Done,
     /*  801982 */   // Label 12431: @801982
     /*  801982 */   GIM_Try, /*On fail goto*//*Label 12432*/ GIMT_Encode4(802057), // Rule ID 19657 //
     /*  801987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  802001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  802004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  802007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802033 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  802036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802055 */     GIR_RootConstrainSelectedInstOperands,
     /*  802056 */     // GIR_Coverage, 19657,
     /*  802056 */     GIR_EraseRootFromParent_Done,
     /*  802057 */   // Label 12432: @802057
     /*  802057 */   GIM_Try, /*On fail goto*//*Label 12433*/ GIMT_Encode4(802132), // Rule ID 19660 //
     /*  802062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  802073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  802076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  802079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  802082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802108 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  802111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802130 */     GIR_RootConstrainSelectedInstOperands,
     /*  802131 */     // GIR_Coverage, 19660,
     /*  802131 */     GIR_EraseRootFromParent_Done,
     /*  802132 */   // Label 12433: @802132
     /*  802132 */   GIM_Try, /*On fail goto*//*Label 12434*/ GIMT_Encode4(802207), // Rule ID 19661 //
     /*  802137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  802148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  802151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  802154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  802157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802183 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  802186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802205 */     GIR_RootConstrainSelectedInstOperands,
     /*  802206 */     // GIR_Coverage, 19661,
     /*  802206 */     GIR_EraseRootFromParent_Done,
     /*  802207 */   // Label 12434: @802207
     /*  802207 */   GIM_Try, /*On fail goto*//*Label 12435*/ GIMT_Encode4(802282), // Rule ID 19664 //
     /*  802212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  802223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  802226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  802229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  802232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802258 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  802261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802280 */     GIR_RootConstrainSelectedInstOperands,
     /*  802281 */     // GIR_Coverage, 19664,
     /*  802281 */     GIR_EraseRootFromParent_Done,
     /*  802282 */   // Label 12435: @802282
     /*  802282 */   GIM_Try, /*On fail goto*//*Label 12436*/ GIMT_Encode4(802357), // Rule ID 19665 //
     /*  802287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  802298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  802301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  802304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  802307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802333 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  802336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802355 */     GIR_RootConstrainSelectedInstOperands,
     /*  802356 */     // GIR_Coverage, 19665,
     /*  802356 */     GIR_EraseRootFromParent_Done,
     /*  802357 */   // Label 12436: @802357
     /*  802357 */   GIM_Try, /*On fail goto*//*Label 12437*/ GIMT_Encode4(802432), // Rule ID 19668 //
     /*  802362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  802373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  802376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  802379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  802382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802408 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  802411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802430 */     GIR_RootConstrainSelectedInstOperands,
     /*  802431 */     // GIR_Coverage, 19668,
     /*  802431 */     GIR_EraseRootFromParent_Done,
     /*  802432 */   // Label 12437: @802432
     /*  802432 */   GIM_Try, /*On fail goto*//*Label 12438*/ GIMT_Encode4(802507), // Rule ID 19669 //
     /*  802437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  802448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  802451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  802454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  802457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802483 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  802486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802505 */     GIR_RootConstrainSelectedInstOperands,
     /*  802506 */     // GIR_Coverage, 19669,
     /*  802506 */     GIR_EraseRootFromParent_Done,
     /*  802507 */   // Label 12438: @802507
     /*  802507 */   GIM_Try, /*On fail goto*//*Label 12439*/ GIMT_Encode4(802582), // Rule ID 19672 //
     /*  802512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  802523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  802526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  802529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  802532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802558 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  802561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802580 */     GIR_RootConstrainSelectedInstOperands,
     /*  802581 */     // GIR_Coverage, 19672,
     /*  802581 */     GIR_EraseRootFromParent_Done,
     /*  802582 */   // Label 12439: @802582
     /*  802582 */   GIM_Try, /*On fail goto*//*Label 12440*/ GIMT_Encode4(802657), // Rule ID 19673 //
     /*  802587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  802598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  802601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  802604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  802607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802633 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  802636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802655 */     GIR_RootConstrainSelectedInstOperands,
     /*  802656 */     // GIR_Coverage, 19673,
     /*  802656 */     GIR_EraseRootFromParent_Done,
     /*  802657 */   // Label 12440: @802657
     /*  802657 */   GIM_Try, /*On fail goto*//*Label 12441*/ GIMT_Encode4(802732), // Rule ID 19676 //
     /*  802662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  802665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  802679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802708 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  802711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802730 */     GIR_RootConstrainSelectedInstOperands,
     /*  802731 */     // GIR_Coverage, 19676,
     /*  802731 */     GIR_EraseRootFromParent_Done,
     /*  802732 */   // Label 12441: @802732
     /*  802732 */   GIM_Try, /*On fail goto*//*Label 12442*/ GIMT_Encode4(802807), // Rule ID 19677 //
     /*  802737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  802740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  802754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802783 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  802786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802805 */     GIR_RootConstrainSelectedInstOperands,
     /*  802806 */     // GIR_Coverage, 19677,
     /*  802806 */     GIR_EraseRootFromParent_Done,
     /*  802807 */   // Label 12442: @802807
     /*  802807 */   GIM_Try, /*On fail goto*//*Label 12443*/ GIMT_Encode4(802882), // Rule ID 19680 //
     /*  802812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  802832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802858 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  802861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802880 */     GIR_RootConstrainSelectedInstOperands,
     /*  802881 */     // GIR_Coverage, 19680,
     /*  802881 */     GIR_EraseRootFromParent_Done,
     /*  802882 */   // Label 12443: @802882
     /*  802882 */   GIM_Try, /*On fail goto*//*Label 12444*/ GIMT_Encode4(802957), // Rule ID 19681 //
     /*  802887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  802907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802933 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  802936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802955 */     GIR_RootConstrainSelectedInstOperands,
     /*  802956 */     // GIR_Coverage, 19681,
     /*  802956 */     GIR_EraseRootFromParent_Done,
     /*  802957 */   // Label 12444: @802957
     /*  802957 */   GIM_Try, /*On fail goto*//*Label 12445*/ GIMT_Encode4(803032), // Rule ID 19684 //
     /*  802962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  802982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803008 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  803011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803030 */     GIR_RootConstrainSelectedInstOperands,
     /*  803031 */     // GIR_Coverage, 19684,
     /*  803031 */     GIR_EraseRootFromParent_Done,
     /*  803032 */   // Label 12445: @803032
     /*  803032 */   GIM_Try, /*On fail goto*//*Label 12446*/ GIMT_Encode4(803107), // Rule ID 19685 //
     /*  803037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  803048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  803051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  803054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  803057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803083 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  803086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803105 */     GIR_RootConstrainSelectedInstOperands,
     /*  803106 */     // GIR_Coverage, 19685,
     /*  803106 */     GIR_EraseRootFromParent_Done,
     /*  803107 */   // Label 12446: @803107
     /*  803107 */   GIM_Try, /*On fail goto*//*Label 12447*/ GIMT_Encode4(803182), // Rule ID 19688 //
     /*  803112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  803123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  803126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  803129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  803132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803158 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  803161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803180 */     GIR_RootConstrainSelectedInstOperands,
     /*  803181 */     // GIR_Coverage, 19688,
     /*  803181 */     GIR_EraseRootFromParent_Done,
     /*  803182 */   // Label 12447: @803182
     /*  803182 */   GIM_Try, /*On fail goto*//*Label 12448*/ GIMT_Encode4(803257), // Rule ID 19689 //
     /*  803187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  803198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  803201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  803204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  803207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803233 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  803236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803255 */     GIR_RootConstrainSelectedInstOperands,
     /*  803256 */     // GIR_Coverage, 19689,
     /*  803256 */     GIR_EraseRootFromParent_Done,
     /*  803257 */   // Label 12448: @803257
     /*  803257 */   GIM_Try, /*On fail goto*//*Label 12449*/ GIMT_Encode4(803332), // Rule ID 19692 //
     /*  803262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  803273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  803276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  803279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  803282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803308 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  803311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803330 */     GIR_RootConstrainSelectedInstOperands,
     /*  803331 */     // GIR_Coverage, 19692,
     /*  803331 */     GIR_EraseRootFromParent_Done,
     /*  803332 */   // Label 12449: @803332
     /*  803332 */   GIM_Try, /*On fail goto*//*Label 12450*/ GIMT_Encode4(803407), // Rule ID 19693 //
     /*  803337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  803348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  803351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  803354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  803357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803383 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  803386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803405 */     GIR_RootConstrainSelectedInstOperands,
     /*  803406 */     // GIR_Coverage, 19693,
     /*  803406 */     GIR_EraseRootFromParent_Done,
     /*  803407 */   // Label 12450: @803407
     /*  803407 */   GIM_Try, /*On fail goto*//*Label 12451*/ GIMT_Encode4(803482), // Rule ID 19696 //
     /*  803412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  803423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  803426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  803429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  803432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803458 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  803461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803480 */     GIR_RootConstrainSelectedInstOperands,
     /*  803481 */     // GIR_Coverage, 19696,
     /*  803481 */     GIR_EraseRootFromParent_Done,
     /*  803482 */   // Label 12451: @803482
     /*  803482 */   GIM_Try, /*On fail goto*//*Label 12452*/ GIMT_Encode4(803557), // Rule ID 19697 //
     /*  803487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  803498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  803501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  803504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  803507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803533 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  803536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803555 */     GIR_RootConstrainSelectedInstOperands,
     /*  803556 */     // GIR_Coverage, 19697,
     /*  803556 */     GIR_EraseRootFromParent_Done,
     /*  803557 */   // Label 12452: @803557
     /*  803557 */   GIM_Try, /*On fail goto*//*Label 12453*/ GIMT_Encode4(803632), // Rule ID 19700 //
     /*  803562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  803573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  803576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  803579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  803582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803608 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  803611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803630 */     GIR_RootConstrainSelectedInstOperands,
     /*  803631 */     // GIR_Coverage, 19700,
     /*  803631 */     GIR_EraseRootFromParent_Done,
     /*  803632 */   // Label 12453: @803632
     /*  803632 */   GIM_Try, /*On fail goto*//*Label 12454*/ GIMT_Encode4(803707), // Rule ID 19701 //
     /*  803637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  803648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  803651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  803654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  803657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803683 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  803686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803705 */     GIR_RootConstrainSelectedInstOperands,
     /*  803706 */     // GIR_Coverage, 19701,
     /*  803706 */     GIR_EraseRootFromParent_Done,
     /*  803707 */   // Label 12454: @803707
     /*  803707 */   GIM_Try, /*On fail goto*//*Label 12455*/ GIMT_Encode4(803782), // Rule ID 19704 //
     /*  803712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  803732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803758 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  803761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803780 */     GIR_RootConstrainSelectedInstOperands,
     /*  803781 */     // GIR_Coverage, 19704,
     /*  803781 */     GIR_EraseRootFromParent_Done,
     /*  803782 */   // Label 12455: @803782
     /*  803782 */   GIM_Try, /*On fail goto*//*Label 12456*/ GIMT_Encode4(803857), // Rule ID 19705 //
     /*  803787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  803807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803833 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  803836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803855 */     GIR_RootConstrainSelectedInstOperands,
     /*  803856 */     // GIR_Coverage, 19705,
     /*  803856 */     GIR_EraseRootFromParent_Done,
     /*  803857 */   // Label 12456: @803857
     /*  803857 */   GIM_Try, /*On fail goto*//*Label 12457*/ GIMT_Encode4(803932), // Rule ID 19708 //
     /*  803862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  803882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803908 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  803911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803930 */     GIR_RootConstrainSelectedInstOperands,
     /*  803931 */     // GIR_Coverage, 19708,
     /*  803931 */     GIR_EraseRootFromParent_Done,
     /*  803932 */   // Label 12457: @803932
     /*  803932 */   GIM_Try, /*On fail goto*//*Label 12458*/ GIMT_Encode4(804007), // Rule ID 19709 //
     /*  803937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  803957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803983 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  803986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804005 */     GIR_RootConstrainSelectedInstOperands,
     /*  804006 */     // GIR_Coverage, 19709,
     /*  804006 */     GIR_EraseRootFromParent_Done,
     /*  804007 */   // Label 12458: @804007
     /*  804007 */   GIM_Try, /*On fail goto*//*Label 12459*/ GIMT_Encode4(804082), // Rule ID 19712 //
     /*  804012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  804015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  804023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  804026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  804029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  804032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804058 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  804058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  804061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804080 */     GIR_RootConstrainSelectedInstOperands,
     /*  804081 */     // GIR_Coverage, 19712,
     /*  804081 */     GIR_EraseRootFromParent_Done,
     /*  804082 */   // Label 12459: @804082
     /*  804082 */   GIM_Try, /*On fail goto*//*Label 12460*/ GIMT_Encode4(804157), // Rule ID 19713 //
     /*  804087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  804090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  804098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  804101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  804104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  804107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804133 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  804133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  804136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804155 */     GIR_RootConstrainSelectedInstOperands,
     /*  804156 */     // GIR_Coverage, 19713,
     /*  804156 */     GIR_EraseRootFromParent_Done,
     /*  804157 */   // Label 12460: @804157
     /*  804157 */   GIM_Try, /*On fail goto*//*Label 12461*/ GIMT_Encode4(804232), // Rule ID 19716 //
     /*  804162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  804173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  804176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  804179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804208 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  804211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804230 */     GIR_RootConstrainSelectedInstOperands,
     /*  804231 */     // GIR_Coverage, 19716,
     /*  804231 */     GIR_EraseRootFromParent_Done,
     /*  804232 */   // Label 12461: @804232
     /*  804232 */   GIM_Try, /*On fail goto*//*Label 12462*/ GIMT_Encode4(804307), // Rule ID 19717 //
     /*  804237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  804248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  804251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  804254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804283 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  804286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804305 */     GIR_RootConstrainSelectedInstOperands,
     /*  804306 */     // GIR_Coverage, 19717,
     /*  804306 */     GIR_EraseRootFromParent_Done,
     /*  804307 */   // Label 12462: @804307
     /*  804307 */   GIM_Try, /*On fail goto*//*Label 12463*/ GIMT_Encode4(804382), // Rule ID 19720 //
     /*  804312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  804323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  804326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  804329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804358 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  804361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804380 */     GIR_RootConstrainSelectedInstOperands,
     /*  804381 */     // GIR_Coverage, 19720,
     /*  804381 */     GIR_EraseRootFromParent_Done,
     /*  804382 */   // Label 12463: @804382
     /*  804382 */   GIM_Try, /*On fail goto*//*Label 12464*/ GIMT_Encode4(804457), // Rule ID 19721 //
     /*  804387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  804398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  804401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  804404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804433 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  804436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804455 */     GIR_RootConstrainSelectedInstOperands,
     /*  804456 */     // GIR_Coverage, 19721,
     /*  804456 */     GIR_EraseRootFromParent_Done,
     /*  804457 */   // Label 12464: @804457
     /*  804457 */   GIM_Try, /*On fail goto*//*Label 12465*/ GIMT_Encode4(804532), // Rule ID 19724 //
     /*  804462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  804473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  804476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  804479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804508 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  804511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804530 */     GIR_RootConstrainSelectedInstOperands,
     /*  804531 */     // GIR_Coverage, 19724,
     /*  804531 */     GIR_EraseRootFromParent_Done,
     /*  804532 */   // Label 12465: @804532
     /*  804532 */   GIM_Try, /*On fail goto*//*Label 12466*/ GIMT_Encode4(804607), // Rule ID 19725 //
     /*  804537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  804548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  804551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  804554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804583 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  804586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804605 */     GIR_RootConstrainSelectedInstOperands,
     /*  804606 */     // GIR_Coverage, 19725,
     /*  804606 */     GIR_EraseRootFromParent_Done,
     /*  804607 */   // Label 12466: @804607
     /*  804607 */   GIM_Try, /*On fail goto*//*Label 12467*/ GIMT_Encode4(804682), // Rule ID 19728 //
     /*  804612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  804629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804658 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  804661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804680 */     GIR_RootConstrainSelectedInstOperands,
     /*  804681 */     // GIR_Coverage, 19728,
     /*  804681 */     GIR_EraseRootFromParent_Done,
     /*  804682 */   // Label 12467: @804682
     /*  804682 */   GIM_Try, /*On fail goto*//*Label 12468*/ GIMT_Encode4(804757), // Rule ID 19729 //
     /*  804687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  804704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804733 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  804736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804755 */     GIR_RootConstrainSelectedInstOperands,
     /*  804756 */     // GIR_Coverage, 19729,
     /*  804756 */     GIR_EraseRootFromParent_Done,
     /*  804757 */   // Label 12468: @804757
     /*  804757 */   GIM_Try, /*On fail goto*//*Label 12469*/ GIMT_Encode4(804832), // Rule ID 19732 //
     /*  804762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  804779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804808 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  804811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804830 */     GIR_RootConstrainSelectedInstOperands,
     /*  804831 */     // GIR_Coverage, 19732,
     /*  804831 */     GIR_EraseRootFromParent_Done,
     /*  804832 */   // Label 12469: @804832
     /*  804832 */   GIM_Try, /*On fail goto*//*Label 12470*/ GIMT_Encode4(804907), // Rule ID 19733 //
     /*  804837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  804854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804883 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  804886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804905 */     GIR_RootConstrainSelectedInstOperands,
     /*  804906 */     // GIR_Coverage, 19733,
     /*  804906 */     GIR_EraseRootFromParent_Done,
     /*  804907 */   // Label 12470: @804907
     /*  804907 */   GIM_Try, /*On fail goto*//*Label 12471*/ GIMT_Encode4(804982), // Rule ID 19736 //
     /*  804912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  804915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  804923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  804926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  804929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804958 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  804958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  804961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804980 */     GIR_RootConstrainSelectedInstOperands,
     /*  804981 */     // GIR_Coverage, 19736,
     /*  804981 */     GIR_EraseRootFromParent_Done,
     /*  804982 */   // Label 12471: @804982
     /*  804982 */   GIM_Try, /*On fail goto*//*Label 12472*/ GIMT_Encode4(805057), // Rule ID 19737 //
     /*  804987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  804990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  804998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  805001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  805004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805033 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  805036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805055 */     GIR_RootConstrainSelectedInstOperands,
     /*  805056 */     // GIR_Coverage, 19737,
     /*  805056 */     GIR_EraseRootFromParent_Done,
     /*  805057 */   // Label 12472: @805057
     /*  805057 */   GIM_Try, /*On fail goto*//*Label 12473*/ GIMT_Encode4(805132), // Rule ID 19740 //
     /*  805062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  805065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  805073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  805076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  805079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  805082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  805101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805108 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  805111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805130 */     GIR_RootConstrainSelectedInstOperands,
     /*  805131 */     // GIR_Coverage, 19740,
     /*  805131 */     GIR_EraseRootFromParent_Done,
     /*  805132 */   // Label 12473: @805132
     /*  805132 */   GIM_Try, /*On fail goto*//*Label 12474*/ GIMT_Encode4(805207), // Rule ID 19741 //
     /*  805137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  805140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  805148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  805151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  805154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  805157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  805176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805183 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  805186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805205 */     GIR_RootConstrainSelectedInstOperands,
     /*  805206 */     // GIR_Coverage, 19741,
     /*  805206 */     GIR_EraseRootFromParent_Done,
     /*  805207 */   // Label 12474: @805207
     /*  805207 */   GIM_Try, /*On fail goto*//*Label 12475*/ GIMT_Encode4(805282), // Rule ID 19744 //
     /*  805212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  805215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  805223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  805226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  805229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  805232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  805251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805258 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  805261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805280 */     GIR_RootConstrainSelectedInstOperands,
     /*  805281 */     // GIR_Coverage, 19744,
     /*  805281 */     GIR_EraseRootFromParent_Done,
     /*  805282 */   // Label 12475: @805282
     /*  805282 */   GIM_Try, /*On fail goto*//*Label 12476*/ GIMT_Encode4(805357), // Rule ID 19745 //
     /*  805287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  805290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  805298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  805301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  805304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  805307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  805326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805333 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  805336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805355 */     GIR_RootConstrainSelectedInstOperands,
     /*  805356 */     // GIR_Coverage, 19745,
     /*  805356 */     GIR_EraseRootFromParent_Done,
     /*  805357 */   // Label 12476: @805357
     /*  805357 */   GIM_Try, /*On fail goto*//*Label 12477*/ GIMT_Encode4(805432), // Rule ID 19748 //
     /*  805362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  805365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  805373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  805376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  805379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  805382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  805401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805408 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  805411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805430 */     GIR_RootConstrainSelectedInstOperands,
     /*  805431 */     // GIR_Coverage, 19748,
     /*  805431 */     GIR_EraseRootFromParent_Done,
     /*  805432 */   // Label 12477: @805432
     /*  805432 */   GIM_Try, /*On fail goto*//*Label 12478*/ GIMT_Encode4(805507), // Rule ID 19749 //
     /*  805437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  805440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  805448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  805451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  805454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  805457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  805476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805483 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  805486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805505 */     GIR_RootConstrainSelectedInstOperands,
     /*  805506 */     // GIR_Coverage, 19749,
     /*  805506 */     GIR_EraseRootFromParent_Done,
     /*  805507 */   // Label 12478: @805507
     /*  805507 */   GIM_Try, /*On fail goto*//*Label 12479*/ GIMT_Encode4(805582), // Rule ID 19752 //
     /*  805512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  805515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  805523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  805526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  805529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805558 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  805561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805580 */     GIR_RootConstrainSelectedInstOperands,
     /*  805581 */     // GIR_Coverage, 19752,
     /*  805581 */     GIR_EraseRootFromParent_Done,
     /*  805582 */   // Label 12479: @805582
     /*  805582 */   GIM_Try, /*On fail goto*//*Label 12480*/ GIMT_Encode4(805657), // Rule ID 19753 //
     /*  805587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  805590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  805598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  805601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  805604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805633 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  805636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805655 */     GIR_RootConstrainSelectedInstOperands,
     /*  805656 */     // GIR_Coverage, 19753,
     /*  805656 */     GIR_EraseRootFromParent_Done,
     /*  805657 */   // Label 12480: @805657
     /*  805657 */   GIM_Try, /*On fail goto*//*Label 12481*/ GIMT_Encode4(805732), // Rule ID 19756 //
     /*  805662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  805665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  805673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  805676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  805679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805708 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  805711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805730 */     GIR_RootConstrainSelectedInstOperands,
     /*  805731 */     // GIR_Coverage, 19756,
     /*  805731 */     GIR_EraseRootFromParent_Done,
     /*  805732 */   // Label 12481: @805732
     /*  805732 */   GIM_Try, /*On fail goto*//*Label 12482*/ GIMT_Encode4(805807), // Rule ID 19757 //
     /*  805737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  805740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  805748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  805751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  805754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805783 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  805786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805805 */     GIR_RootConstrainSelectedInstOperands,
     /*  805806 */     // GIR_Coverage, 19757,
     /*  805806 */     GIR_EraseRootFromParent_Done,
     /*  805807 */   // Label 12482: @805807
     /*  805807 */   GIM_Try, /*On fail goto*//*Label 12483*/ GIMT_Encode4(805882), // Rule ID 19760 //
     /*  805812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  805815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  805823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  805826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  805829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805858 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  805861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805880 */     GIR_RootConstrainSelectedInstOperands,
     /*  805881 */     // GIR_Coverage, 19760,
     /*  805881 */     GIR_EraseRootFromParent_Done,
     /*  805882 */   // Label 12483: @805882
     /*  805882 */   GIM_Try, /*On fail goto*//*Label 12484*/ GIMT_Encode4(805957), // Rule ID 19761 //
     /*  805887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  805890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  805898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  805901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  805904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805933 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  805936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805955 */     GIR_RootConstrainSelectedInstOperands,
     /*  805956 */     // GIR_Coverage, 19761,
     /*  805956 */     GIR_EraseRootFromParent_Done,
     /*  805957 */   // Label 12484: @805957
     /*  805957 */   GIM_Try, /*On fail goto*//*Label 12485*/ GIMT_Encode4(806032), // Rule ID 19764 //
     /*  805962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  805973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  805976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  805979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  806001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806008 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  806011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806030 */     GIR_RootConstrainSelectedInstOperands,
     /*  806031 */     // GIR_Coverage, 19764,
     /*  806031 */     GIR_EraseRootFromParent_Done,
     /*  806032 */   // Label 12485: @806032
     /*  806032 */   GIM_Try, /*On fail goto*//*Label 12486*/ GIMT_Encode4(806107), // Rule ID 19765 //
     /*  806037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  806040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  806048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  806051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  806054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  806057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  806076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806083 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  806083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  806086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806105 */     GIR_RootConstrainSelectedInstOperands,
     /*  806106 */     // GIR_Coverage, 19765,
     /*  806106 */     GIR_EraseRootFromParent_Done,
     /*  806107 */   // Label 12486: @806107
     /*  806107 */   GIM_Try, /*On fail goto*//*Label 12487*/ GIMT_Encode4(806182), // Rule ID 19768 //
     /*  806112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  806115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  806123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  806126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  806129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  806132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  806151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806158 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  806161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806180 */     GIR_RootConstrainSelectedInstOperands,
     /*  806181 */     // GIR_Coverage, 19768,
     /*  806181 */     GIR_EraseRootFromParent_Done,
     /*  806182 */   // Label 12487: @806182
     /*  806182 */   GIM_Try, /*On fail goto*//*Label 12488*/ GIMT_Encode4(806257), // Rule ID 19769 //
     /*  806187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  806190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  806198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  806201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  806204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  806207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  806226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806233 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  806233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  806236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806255 */     GIR_RootConstrainSelectedInstOperands,
     /*  806256 */     // GIR_Coverage, 19769,
     /*  806256 */     GIR_EraseRootFromParent_Done,
     /*  806257 */   // Label 12488: @806257
     /*  806257 */   GIM_Try, /*On fail goto*//*Label 12489*/ GIMT_Encode4(806332), // Rule ID 19772 //
     /*  806262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  806265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  806273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  806276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  806279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  806282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  806301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806308 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  806311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806330 */     GIR_RootConstrainSelectedInstOperands,
     /*  806331 */     // GIR_Coverage, 19772,
     /*  806331 */     GIR_EraseRootFromParent_Done,
     /*  806332 */   // Label 12489: @806332
     /*  806332 */   GIM_Try, /*On fail goto*//*Label 12490*/ GIMT_Encode4(806407), // Rule ID 19773 //
     /*  806337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  806340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  806348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  806351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  806354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  806357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  806376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806383 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  806383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  806386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806405 */     GIR_RootConstrainSelectedInstOperands,
     /*  806406 */     // GIR_Coverage, 19773,
     /*  806406 */     GIR_EraseRootFromParent_Done,
     /*  806407 */   // Label 12490: @806407
     /*  806407 */   GIM_Try, /*On fail goto*//*Label 12491*/ GIMT_Encode4(806482), // Rule ID 21990 //
     /*  806412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  806429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806458 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  806461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806480 */     GIR_RootConstrainSelectedInstOperands,
     /*  806481 */     // GIR_Coverage, 21990,
     /*  806481 */     GIR_EraseRootFromParent_Done,
     /*  806482 */   // Label 12491: @806482
     /*  806482 */   GIM_Try, /*On fail goto*//*Label 12492*/ GIMT_Encode4(806557), // Rule ID 21991 //
     /*  806487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  806504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806533 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  806536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806555 */     GIR_RootConstrainSelectedInstOperands,
     /*  806556 */     // GIR_Coverage, 21991,
     /*  806556 */     GIR_EraseRootFromParent_Done,
     /*  806557 */   // Label 12492: @806557
     /*  806557 */   GIM_Try, /*On fail goto*//*Label 12493*/ GIMT_Encode4(806632), // Rule ID 21994 //
     /*  806562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  806579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  806611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806630 */     GIR_RootConstrainSelectedInstOperands,
     /*  806631 */     // GIR_Coverage, 21994,
     /*  806631 */     GIR_EraseRootFromParent_Done,
     /*  806632 */   // Label 12493: @806632
     /*  806632 */   GIM_Try, /*On fail goto*//*Label 12494*/ GIMT_Encode4(806707), // Rule ID 21995 //
     /*  806637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  806654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  806686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806705 */     GIR_RootConstrainSelectedInstOperands,
     /*  806706 */     // GIR_Coverage, 21995,
     /*  806706 */     GIR_EraseRootFromParent_Done,
     /*  806707 */   // Label 12494: @806707
     /*  806707 */   GIM_Try, /*On fail goto*//*Label 12495*/ GIMT_Encode4(806782), // Rule ID 21998 //
     /*  806712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  806729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  806761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806780 */     GIR_RootConstrainSelectedInstOperands,
     /*  806781 */     // GIR_Coverage, 21998,
     /*  806781 */     GIR_EraseRootFromParent_Done,
     /*  806782 */   // Label 12495: @806782
     /*  806782 */   GIM_Try, /*On fail goto*//*Label 12496*/ GIMT_Encode4(806857), // Rule ID 21999 //
     /*  806787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  806804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  806836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806855 */     GIR_RootConstrainSelectedInstOperands,
     /*  806856 */     // GIR_Coverage, 21999,
     /*  806856 */     GIR_EraseRootFromParent_Done,
     /*  806857 */   // Label 12496: @806857
     /*  806857 */   GIM_Try, /*On fail goto*//*Label 12497*/ GIMT_Encode4(806932), // Rule ID 22002 //
     /*  806862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  806879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  806911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806930 */     GIR_RootConstrainSelectedInstOperands,
     /*  806931 */     // GIR_Coverage, 22002,
     /*  806931 */     GIR_EraseRootFromParent_Done,
     /*  806932 */   // Label 12497: @806932
     /*  806932 */   GIM_Try, /*On fail goto*//*Label 12498*/ GIMT_Encode4(807007), // Rule ID 22003 //
     /*  806937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  806954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806983 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  806986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807005 */     GIR_RootConstrainSelectedInstOperands,
     /*  807006 */     // GIR_Coverage, 22003,
     /*  807006 */     GIR_EraseRootFromParent_Done,
     /*  807007 */   // Label 12498: @807007
     /*  807007 */   GIM_Try, /*On fail goto*//*Label 12499*/ GIMT_Encode4(807082), // Rule ID 22006 //
     /*  807012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  807029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  807061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807080 */     GIR_RootConstrainSelectedInstOperands,
     /*  807081 */     // GIR_Coverage, 22006,
     /*  807081 */     GIR_EraseRootFromParent_Done,
     /*  807082 */   // Label 12499: @807082
     /*  807082 */   GIM_Try, /*On fail goto*//*Label 12500*/ GIMT_Encode4(807157), // Rule ID 22007 //
     /*  807087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  807104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  807136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807155 */     GIR_RootConstrainSelectedInstOperands,
     /*  807156 */     // GIR_Coverage, 22007,
     /*  807156 */     GIR_EraseRootFromParent_Done,
     /*  807157 */   // Label 12500: @807157
     /*  807157 */   GIM_Try, /*On fail goto*//*Label 12501*/ GIMT_Encode4(807232), // Rule ID 22010 //
     /*  807162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  807179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  807211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807230 */     GIR_RootConstrainSelectedInstOperands,
     /*  807231 */     // GIR_Coverage, 22010,
     /*  807231 */     GIR_EraseRootFromParent_Done,
     /*  807232 */   // Label 12501: @807232
     /*  807232 */   GIM_Try, /*On fail goto*//*Label 12502*/ GIMT_Encode4(807307), // Rule ID 22011 //
     /*  807237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  807254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  807286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807305 */     GIR_RootConstrainSelectedInstOperands,
     /*  807306 */     // GIR_Coverage, 22011,
     /*  807306 */     GIR_EraseRootFromParent_Done,
     /*  807307 */   // Label 12502: @807307
     /*  807307 */   GIM_Try, /*On fail goto*//*Label 12503*/ GIMT_Encode4(807382), // Rule ID 22014 //
     /*  807312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  807329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  807361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807380 */     GIR_RootConstrainSelectedInstOperands,
     /*  807381 */     // GIR_Coverage, 22014,
     /*  807381 */     GIR_EraseRootFromParent_Done,
     /*  807382 */   // Label 12503: @807382
     /*  807382 */   GIM_Try, /*On fail goto*//*Label 12504*/ GIMT_Encode4(807457), // Rule ID 22015 //
     /*  807387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  807404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  807436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807455 */     GIR_RootConstrainSelectedInstOperands,
     /*  807456 */     // GIR_Coverage, 22015,
     /*  807456 */     GIR_EraseRootFromParent_Done,
     /*  807457 */   // Label 12504: @807457
     /*  807457 */   GIM_Try, /*On fail goto*//*Label 12505*/ GIMT_Encode4(807532), // Rule ID 22018 //
     /*  807462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  807479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  807511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807530 */     GIR_RootConstrainSelectedInstOperands,
     /*  807531 */     // GIR_Coverage, 22018,
     /*  807531 */     GIR_EraseRootFromParent_Done,
     /*  807532 */   // Label 12505: @807532
     /*  807532 */   GIM_Try, /*On fail goto*//*Label 12506*/ GIMT_Encode4(807607), // Rule ID 22019 //
     /*  807537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  807554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  807586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807605 */     GIR_RootConstrainSelectedInstOperands,
     /*  807606 */     // GIR_Coverage, 22019,
     /*  807606 */     GIR_EraseRootFromParent_Done,
     /*  807607 */   // Label 12506: @807607
     /*  807607 */   GIM_Try, /*On fail goto*//*Label 12507*/ GIMT_Encode4(807682), // Rule ID 22022 //
     /*  807612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  807615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  807623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  807626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  807629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  807632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  807658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  807661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807680 */     GIR_RootConstrainSelectedInstOperands,
     /*  807681 */     // GIR_Coverage, 22022,
     /*  807681 */     GIR_EraseRootFromParent_Done,
     /*  807682 */   // Label 12507: @807682
     /*  807682 */   GIM_Try, /*On fail goto*//*Label 12508*/ GIMT_Encode4(807757), // Rule ID 22023 //
     /*  807687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  807690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  807698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  807701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  807704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  807707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807733 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  807736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807755 */     GIR_RootConstrainSelectedInstOperands,
     /*  807756 */     // GIR_Coverage, 22023,
     /*  807756 */     GIR_EraseRootFromParent_Done,
     /*  807757 */   // Label 12508: @807757
     /*  807757 */   GIM_Try, /*On fail goto*//*Label 12509*/ GIMT_Encode4(807832), // Rule ID 22026 //
     /*  807762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  807779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  807811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807830 */     GIR_RootConstrainSelectedInstOperands,
     /*  807831 */     // GIR_Coverage, 22026,
     /*  807831 */     GIR_EraseRootFromParent_Done,
     /*  807832 */   // Label 12509: @807832
     /*  807832 */   GIM_Try, /*On fail goto*//*Label 12510*/ GIMT_Encode4(807907), // Rule ID 22027 //
     /*  807837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  807854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  807886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807905 */     GIR_RootConstrainSelectedInstOperands,
     /*  807906 */     // GIR_Coverage, 22027,
     /*  807906 */     GIR_EraseRootFromParent_Done,
     /*  807907 */   // Label 12510: @807907
     /*  807907 */   GIM_Try, /*On fail goto*//*Label 12511*/ GIMT_Encode4(807982), // Rule ID 22030 //
     /*  807912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  807929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807958 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  807961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807980 */     GIR_RootConstrainSelectedInstOperands,
     /*  807981 */     // GIR_Coverage, 22030,
     /*  807981 */     GIR_EraseRootFromParent_Done,
     /*  807982 */   // Label 12511: @807982
     /*  807982 */   GIM_Try, /*On fail goto*//*Label 12512*/ GIMT_Encode4(808057), // Rule ID 22031 //
     /*  807987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  808004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808033 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  808036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808055 */     GIR_RootConstrainSelectedInstOperands,
     /*  808056 */     // GIR_Coverage, 22031,
     /*  808056 */     GIR_EraseRootFromParent_Done,
     /*  808057 */   // Label 12512: @808057
     /*  808057 */   GIM_Try, /*On fail goto*//*Label 12513*/ GIMT_Encode4(808132), // Rule ID 22034 //
     /*  808062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  808079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  808111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808130 */     GIR_RootConstrainSelectedInstOperands,
     /*  808131 */     // GIR_Coverage, 22034,
     /*  808131 */     GIR_EraseRootFromParent_Done,
     /*  808132 */   // Label 12513: @808132
     /*  808132 */   GIM_Try, /*On fail goto*//*Label 12514*/ GIMT_Encode4(808207), // Rule ID 22035 //
     /*  808137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  808154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  808186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808205 */     GIR_RootConstrainSelectedInstOperands,
     /*  808206 */     // GIR_Coverage, 22035,
     /*  808206 */     GIR_EraseRootFromParent_Done,
     /*  808207 */   // Label 12514: @808207
     /*  808207 */   GIM_Try, /*On fail goto*//*Label 12515*/ GIMT_Encode4(808282), // Rule ID 22038 //
     /*  808212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  808229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  808232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  808261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808280 */     GIR_RootConstrainSelectedInstOperands,
     /*  808281 */     // GIR_Coverage, 22038,
     /*  808281 */     GIR_EraseRootFromParent_Done,
     /*  808282 */   // Label 12515: @808282
     /*  808282 */   GIM_Try, /*On fail goto*//*Label 12516*/ GIMT_Encode4(808357), // Rule ID 22039 //
     /*  808287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  808304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  808307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  808336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808355 */     GIR_RootConstrainSelectedInstOperands,
     /*  808356 */     // GIR_Coverage, 22039,
     /*  808356 */     GIR_EraseRootFromParent_Done,
     /*  808357 */   // Label 12516: @808357
     /*  808357 */   GIM_Try, /*On fail goto*//*Label 12517*/ GIMT_Encode4(808432), // Rule ID 22042 //
     /*  808362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  808379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  808382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  808411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808430 */     GIR_RootConstrainSelectedInstOperands,
     /*  808431 */     // GIR_Coverage, 22042,
     /*  808431 */     GIR_EraseRootFromParent_Done,
     /*  808432 */   // Label 12517: @808432
     /*  808432 */   GIM_Try, /*On fail goto*//*Label 12518*/ GIMT_Encode4(808507), // Rule ID 22043 //
     /*  808437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  808454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  808457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808483 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  808486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808505 */     GIR_RootConstrainSelectedInstOperands,
     /*  808506 */     // GIR_Coverage, 22043,
     /*  808506 */     GIR_EraseRootFromParent_Done,
     /*  808507 */   // Label 12518: @808507
     /*  808507 */   GIM_Try, /*On fail goto*//*Label 12519*/ GIMT_Encode4(808582), // Rule ID 22046 //
     /*  808512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  808529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  808532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  808561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808580 */     GIR_RootConstrainSelectedInstOperands,
     /*  808581 */     // GIR_Coverage, 22046,
     /*  808581 */     GIR_EraseRootFromParent_Done,
     /*  808582 */   // Label 12519: @808582
     /*  808582 */   GIM_Try, /*On fail goto*//*Label 12520*/ GIMT_Encode4(808657), // Rule ID 22047 //
     /*  808587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  808604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  808607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  808636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808655 */     GIR_RootConstrainSelectedInstOperands,
     /*  808656 */     // GIR_Coverage, 22047,
     /*  808656 */     GIR_EraseRootFromParent_Done,
     /*  808657 */   // Label 12520: @808657
     /*  808657 */   GIM_Try, /*On fail goto*//*Label 12521*/ GIMT_Encode4(808732), // Rule ID 22050 //
     /*  808662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  808679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  808711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808730 */     GIR_RootConstrainSelectedInstOperands,
     /*  808731 */     // GIR_Coverage, 22050,
     /*  808731 */     GIR_EraseRootFromParent_Done,
     /*  808732 */   // Label 12521: @808732
     /*  808732 */   GIM_Try, /*On fail goto*//*Label 12522*/ GIMT_Encode4(808807), // Rule ID 22051 //
     /*  808737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  808754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  808786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808805 */     GIR_RootConstrainSelectedInstOperands,
     /*  808806 */     // GIR_Coverage, 22051,
     /*  808806 */     GIR_EraseRootFromParent_Done,
     /*  808807 */   // Label 12522: @808807
     /*  808807 */   GIM_Try, /*On fail goto*//*Label 12523*/ GIMT_Encode4(808882), // Rule ID 22054 //
     /*  808812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  808829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808858 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  808861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808880 */     GIR_RootConstrainSelectedInstOperands,
     /*  808881 */     // GIR_Coverage, 22054,
     /*  808881 */     GIR_EraseRootFromParent_Done,
     /*  808882 */   // Label 12523: @808882
     /*  808882 */   GIM_Try, /*On fail goto*//*Label 12524*/ GIMT_Encode4(808957), // Rule ID 22055 //
     /*  808887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  808904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  808936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808955 */     GIR_RootConstrainSelectedInstOperands,
     /*  808956 */     // GIR_Coverage, 22055,
     /*  808956 */     GIR_EraseRootFromParent_Done,
     /*  808957 */   // Label 12524: @808957
     /*  808957 */   GIM_Try, /*On fail goto*//*Label 12525*/ GIMT_Encode4(809032), // Rule ID 22058 //
     /*  808962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  808979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  809011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809030 */     GIR_RootConstrainSelectedInstOperands,
     /*  809031 */     // GIR_Coverage, 22058,
     /*  809031 */     GIR_EraseRootFromParent_Done,
     /*  809032 */   // Label 12525: @809032
     /*  809032 */   GIM_Try, /*On fail goto*//*Label 12526*/ GIMT_Encode4(809107), // Rule ID 22059 //
     /*  809037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  809045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  809054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  809086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809105 */     GIR_RootConstrainSelectedInstOperands,
     /*  809106 */     // GIR_Coverage, 22059,
     /*  809106 */     GIR_EraseRootFromParent_Done,
     /*  809107 */   // Label 12526: @809107
     /*  809107 */   GIM_Try, /*On fail goto*//*Label 12527*/ GIMT_Encode4(809182), // Rule ID 22062 //
     /*  809112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  809115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  809120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  809129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  809132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  809161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809180 */     GIR_RootConstrainSelectedInstOperands,
     /*  809181 */     // GIR_Coverage, 22062,
     /*  809181 */     GIR_EraseRootFromParent_Done,
     /*  809182 */   // Label 12527: @809182
     /*  809182 */   GIM_Try, /*On fail goto*//*Label 12528*/ GIMT_Encode4(809257), // Rule ID 22063 //
     /*  809187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  809190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  809195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  809204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  809207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  809236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809255 */     GIR_RootConstrainSelectedInstOperands,
     /*  809256 */     // GIR_Coverage, 22063,
     /*  809256 */     GIR_EraseRootFromParent_Done,
     /*  809257 */   // Label 12528: @809257
     /*  809257 */   GIM_Try, /*On fail goto*//*Label 12529*/ GIMT_Encode4(809332), // Rule ID 22066 //
     /*  809262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  809265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  809270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  809279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  809282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  809311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809330 */     GIR_RootConstrainSelectedInstOperands,
     /*  809331 */     // GIR_Coverage, 22066,
     /*  809331 */     GIR_EraseRootFromParent_Done,
     /*  809332 */   // Label 12529: @809332
     /*  809332 */   GIM_Try, /*On fail goto*//*Label 12530*/ GIMT_Encode4(809407), // Rule ID 22067 //
     /*  809337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  809340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  809345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  809354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  809357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809383 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  809386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809405 */     GIR_RootConstrainSelectedInstOperands,
     /*  809406 */     // GIR_Coverage, 22067,
     /*  809406 */     GIR_EraseRootFromParent_Done,
     /*  809407 */   // Label 12530: @809407
     /*  809407 */   GIM_Try, /*On fail goto*//*Label 12531*/ GIMT_Encode4(809482), // Rule ID 22070 //
     /*  809412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  809415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  809420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  809429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  809432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809458 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  809461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809480 */     GIR_RootConstrainSelectedInstOperands,
     /*  809481 */     // GIR_Coverage, 22070,
     /*  809481 */     GIR_EraseRootFromParent_Done,
     /*  809482 */   // Label 12531: @809482
     /*  809482 */   GIM_Try, /*On fail goto*//*Label 12532*/ GIMT_Encode4(809557), // Rule ID 22071 //
     /*  809487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  809490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  809495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  809504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  809507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  809536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809555 */     GIR_RootConstrainSelectedInstOperands,
     /*  809556 */     // GIR_Coverage, 22071,
     /*  809556 */     GIR_EraseRootFromParent_Done,
     /*  809557 */   // Label 12532: @809557
     /*  809557 */   GIM_Try, /*On fail goto*//*Label 12533*/ GIMT_Encode4(809632), // Rule ID 22074 //
     /*  809562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  809579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  809611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809630 */     GIR_RootConstrainSelectedInstOperands,
     /*  809631 */     // GIR_Coverage, 22074,
     /*  809631 */     GIR_EraseRootFromParent_Done,
     /*  809632 */   // Label 12533: @809632
     /*  809632 */   GIM_Try, /*On fail goto*//*Label 12534*/ GIMT_Encode4(809707), // Rule ID 22075 //
     /*  809637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  809654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  809686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809705 */     GIR_RootConstrainSelectedInstOperands,
     /*  809706 */     // GIR_Coverage, 22075,
     /*  809706 */     GIR_EraseRootFromParent_Done,
     /*  809707 */   // Label 12534: @809707
     /*  809707 */   GIM_Try, /*On fail goto*//*Label 12535*/ GIMT_Encode4(809782), // Rule ID 22078 //
     /*  809712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  809729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809758 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  809761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809780 */     GIR_RootConstrainSelectedInstOperands,
     /*  809781 */     // GIR_Coverage, 22078,
     /*  809781 */     GIR_EraseRootFromParent_Done,
     /*  809782 */   // Label 12535: @809782
     /*  809782 */   GIM_Try, /*On fail goto*//*Label 12536*/ GIMT_Encode4(809857), // Rule ID 22079 //
     /*  809787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  809804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809833 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  809836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809855 */     GIR_RootConstrainSelectedInstOperands,
     /*  809856 */     // GIR_Coverage, 22079,
     /*  809856 */     GIR_EraseRootFromParent_Done,
     /*  809857 */   // Label 12536: @809857
     /*  809857 */   GIM_Try, /*On fail goto*//*Label 12537*/ GIMT_Encode4(809932), // Rule ID 22082 //
     /*  809862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  809879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  809911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809930 */     GIR_RootConstrainSelectedInstOperands,
     /*  809931 */     // GIR_Coverage, 22082,
     /*  809931 */     GIR_EraseRootFromParent_Done,
     /*  809932 */   // Label 12537: @809932
     /*  809932 */   GIM_Try, /*On fail goto*//*Label 12538*/ GIMT_Encode4(810007), // Rule ID 22083 //
     /*  809937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  809954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  809986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810005 */     GIR_RootConstrainSelectedInstOperands,
     /*  810006 */     // GIR_Coverage, 22083,
     /*  810006 */     GIR_EraseRootFromParent_Done,
     /*  810007 */   // Label 12538: @810007
     /*  810007 */   GIM_Try, /*On fail goto*//*Label 12539*/ GIMT_Encode4(810082), // Rule ID 22086 //
     /*  810012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  810029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  810061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810080 */     GIR_RootConstrainSelectedInstOperands,
     /*  810081 */     // GIR_Coverage, 22086,
     /*  810081 */     GIR_EraseRootFromParent_Done,
     /*  810082 */   // Label 12539: @810082
     /*  810082 */   GIM_Try, /*On fail goto*//*Label 12540*/ GIMT_Encode4(810157), // Rule ID 22087 //
     /*  810087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  810104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  810136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810155 */     GIR_RootConstrainSelectedInstOperands,
     /*  810156 */     // GIR_Coverage, 22087,
     /*  810156 */     GIR_EraseRootFromParent_Done,
     /*  810157 */   // Label 12540: @810157
     /*  810157 */   GIM_Try, /*On fail goto*//*Label 12541*/ GIMT_Encode4(810232), // Rule ID 22090 //
     /*  810162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  810179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  810211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810230 */     GIR_RootConstrainSelectedInstOperands,
     /*  810231 */     // GIR_Coverage, 22090,
     /*  810231 */     GIR_EraseRootFromParent_Done,
     /*  810232 */   // Label 12541: @810232
     /*  810232 */   GIM_Try, /*On fail goto*//*Label 12542*/ GIMT_Encode4(810307), // Rule ID 22091 //
     /*  810237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  810254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  810286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810305 */     GIR_RootConstrainSelectedInstOperands,
     /*  810306 */     // GIR_Coverage, 22091,
     /*  810306 */     GIR_EraseRootFromParent_Done,
     /*  810307 */   // Label 12542: @810307
     /*  810307 */   GIM_Try, /*On fail goto*//*Label 12543*/ GIMT_Encode4(810382), // Rule ID 22094 //
     /*  810312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  810329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810358 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  810361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810380 */     GIR_RootConstrainSelectedInstOperands,
     /*  810381 */     // GIR_Coverage, 22094,
     /*  810381 */     GIR_EraseRootFromParent_Done,
     /*  810382 */   // Label 12543: @810382
     /*  810382 */   GIM_Try, /*On fail goto*//*Label 12544*/ GIMT_Encode4(810457), // Rule ID 22095 //
     /*  810387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  810404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  810436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810455 */     GIR_RootConstrainSelectedInstOperands,
     /*  810456 */     // GIR_Coverage, 22095,
     /*  810456 */     GIR_EraseRootFromParent_Done,
     /*  810457 */   // Label 12544: @810457
     /*  810457 */   GIM_Try, /*On fail goto*//*Label 12545*/ GIMT_Encode4(810532), // Rule ID 22098 //
     /*  810462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  810479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  810511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810530 */     GIR_RootConstrainSelectedInstOperands,
     /*  810531 */     // GIR_Coverage, 22098,
     /*  810531 */     GIR_EraseRootFromParent_Done,
     /*  810532 */   // Label 12545: @810532
     /*  810532 */   GIM_Try, /*On fail goto*//*Label 12546*/ GIMT_Encode4(810607), // Rule ID 22099 //
     /*  810537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  810554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810583 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  810586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810605 */     GIR_RootConstrainSelectedInstOperands,
     /*  810606 */     // GIR_Coverage, 22099,
     /*  810606 */     GIR_EraseRootFromParent_Done,
     /*  810607 */   // Label 12546: @810607
     /*  810607 */   GIM_Try, /*On fail goto*//*Label 12547*/ GIMT_Encode4(810682), // Rule ID 22102 //
     /*  810612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  810629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810658 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  810661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810680 */     GIR_RootConstrainSelectedInstOperands,
     /*  810681 */     // GIR_Coverage, 22102,
     /*  810681 */     GIR_EraseRootFromParent_Done,
     /*  810682 */   // Label 12547: @810682
     /*  810682 */   GIM_Try, /*On fail goto*//*Label 12548*/ GIMT_Encode4(810757), // Rule ID 22103 //
     /*  810687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  810704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  810736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810755 */     GIR_RootConstrainSelectedInstOperands,
     /*  810756 */     // GIR_Coverage, 22103,
     /*  810756 */     GIR_EraseRootFromParent_Done,
     /*  810757 */   // Label 12548: @810757
     /*  810757 */   GIM_Try, /*On fail goto*//*Label 12549*/ GIMT_Encode4(810832), // Rule ID 22106 //
     /*  810762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  810779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  810811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810830 */     GIR_RootConstrainSelectedInstOperands,
     /*  810831 */     // GIR_Coverage, 22106,
     /*  810831 */     GIR_EraseRootFromParent_Done,
     /*  810832 */   // Label 12549: @810832
     /*  810832 */   GIM_Try, /*On fail goto*//*Label 12550*/ GIMT_Encode4(810907), // Rule ID 22107 //
     /*  810837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  810854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  810886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810905 */     GIR_RootConstrainSelectedInstOperands,
     /*  810906 */     // GIR_Coverage, 22107,
     /*  810906 */     GIR_EraseRootFromParent_Done,
     /*  810907 */   // Label 12550: @810907
     /*  810907 */   GIM_Try, /*On fail goto*//*Label 12551*/ GIMT_Encode4(810982), // Rule ID 22110 //
     /*  810912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  810915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  810926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  810929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  810932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  810961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810980 */     GIR_RootConstrainSelectedInstOperands,
     /*  810981 */     // GIR_Coverage, 22110,
     /*  810981 */     GIR_EraseRootFromParent_Done,
     /*  810982 */   // Label 12551: @810982
     /*  810982 */   GIM_Try, /*On fail goto*//*Label 12552*/ GIMT_Encode4(811057), // Rule ID 22111 //
     /*  810987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  810990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  811004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811033 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  811033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  811036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811055 */     GIR_RootConstrainSelectedInstOperands,
     /*  811056 */     // GIR_Coverage, 22111,
     /*  811056 */     GIR_EraseRootFromParent_Done,
     /*  811057 */   // Label 12552: @811057
     /*  811057 */   GIM_Try, /*On fail goto*//*Label 12553*/ GIMT_Encode4(811132), // Rule ID 22114 //
     /*  811062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  811079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  811111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811130 */     GIR_RootConstrainSelectedInstOperands,
     /*  811131 */     // GIR_Coverage, 22114,
     /*  811131 */     GIR_EraseRootFromParent_Done,
     /*  811132 */   // Label 12553: @811132
     /*  811132 */   GIM_Try, /*On fail goto*//*Label 12554*/ GIMT_Encode4(811207), // Rule ID 22115 //
     /*  811137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  811154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  811186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811205 */     GIR_RootConstrainSelectedInstOperands,
     /*  811206 */     // GIR_Coverage, 22115,
     /*  811206 */     GIR_EraseRootFromParent_Done,
     /*  811207 */   // Label 12554: @811207
     /*  811207 */   GIM_Try, /*On fail goto*//*Label 12555*/ GIMT_Encode4(811282), // Rule ID 22118 //
     /*  811212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  811229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811258 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  811261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811280 */     GIR_RootConstrainSelectedInstOperands,
     /*  811281 */     // GIR_Coverage, 22118,
     /*  811281 */     GIR_EraseRootFromParent_Done,
     /*  811282 */   // Label 12555: @811282
     /*  811282 */   GIM_Try, /*On fail goto*//*Label 12556*/ GIMT_Encode4(811357), // Rule ID 22119 //
     /*  811287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  811304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811333 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  811336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811355 */     GIR_RootConstrainSelectedInstOperands,
     /*  811356 */     // GIR_Coverage, 22119,
     /*  811356 */     GIR_EraseRootFromParent_Done,
     /*  811357 */   // Label 12556: @811357
     /*  811357 */   GIM_Try, /*On fail goto*//*Label 12557*/ GIMT_Encode4(811432), // Rule ID 22122 //
     /*  811362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  811379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  811411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811430 */     GIR_RootConstrainSelectedInstOperands,
     /*  811431 */     // GIR_Coverage, 22122,
     /*  811431 */     GIR_EraseRootFromParent_Done,
     /*  811432 */   // Label 12557: @811432
     /*  811432 */   GIM_Try, /*On fail goto*//*Label 12558*/ GIMT_Encode4(811507), // Rule ID 22123 //
     /*  811437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  811454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  811486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811505 */     GIR_RootConstrainSelectedInstOperands,
     /*  811506 */     // GIR_Coverage, 22123,
     /*  811506 */     GIR_EraseRootFromParent_Done,
     /*  811507 */   // Label 12558: @811507
     /*  811507 */   GIM_Try, /*On fail goto*//*Label 12559*/ GIMT_Encode4(811582), // Rule ID 22126 //
     /*  811512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  811529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  811561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811580 */     GIR_RootConstrainSelectedInstOperands,
     /*  811581 */     // GIR_Coverage, 22126,
     /*  811581 */     GIR_EraseRootFromParent_Done,
     /*  811582 */   // Label 12559: @811582
     /*  811582 */   GIM_Try, /*On fail goto*//*Label 12560*/ GIMT_Encode4(811657), // Rule ID 22127 //
     /*  811587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  811604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  811636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811655 */     GIR_RootConstrainSelectedInstOperands,
     /*  811656 */     // GIR_Coverage, 22127,
     /*  811656 */     GIR_EraseRootFromParent_Done,
     /*  811657 */   // Label 12560: @811657
     /*  811657 */   GIM_Try, /*On fail goto*//*Label 12561*/ GIMT_Encode4(811732), // Rule ID 22130 //
     /*  811662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  811679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  811711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811730 */     GIR_RootConstrainSelectedInstOperands,
     /*  811731 */     // GIR_Coverage, 22130,
     /*  811731 */     GIR_EraseRootFromParent_Done,
     /*  811732 */   // Label 12561: @811732
     /*  811732 */   GIM_Try, /*On fail goto*//*Label 12562*/ GIMT_Encode4(811807), // Rule ID 22131 //
     /*  811737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  811754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811783 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  811786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811805 */     GIR_RootConstrainSelectedInstOperands,
     /*  811806 */     // GIR_Coverage, 22131,
     /*  811806 */     GIR_EraseRootFromParent_Done,
     /*  811807 */   // Label 12562: @811807
     /*  811807 */   GIM_Try, /*On fail goto*//*Label 12563*/ GIMT_Encode4(811882), // Rule ID 22134 //
     /*  811812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  811829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  811861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811880 */     GIR_RootConstrainSelectedInstOperands,
     /*  811881 */     // GIR_Coverage, 22134,
     /*  811881 */     GIR_EraseRootFromParent_Done,
     /*  811882 */   // Label 12563: @811882
     /*  811882 */   GIM_Try, /*On fail goto*//*Label 12564*/ GIMT_Encode4(811957), // Rule ID 22135 //
     /*  811887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  811904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811933 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  811936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811955 */     GIR_RootConstrainSelectedInstOperands,
     /*  811956 */     // GIR_Coverage, 22135,
     /*  811956 */     GIR_EraseRootFromParent_Done,
     /*  811957 */   // Label 12564: @811957
     /*  811957 */   GIM_Try, /*On fail goto*//*Label 12565*/ GIMT_Encode4(812032), // Rule ID 22138 //
     /*  811962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  811979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  812011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812030 */     GIR_RootConstrainSelectedInstOperands,
     /*  812031 */     // GIR_Coverage, 22138,
     /*  812031 */     GIR_EraseRootFromParent_Done,
     /*  812032 */   // Label 12565: @812032
     /*  812032 */   GIM_Try, /*On fail goto*//*Label 12566*/ GIMT_Encode4(812107), // Rule ID 22139 //
     /*  812037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  812054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  812086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812105 */     GIR_RootConstrainSelectedInstOperands,
     /*  812106 */     // GIR_Coverage, 22139,
     /*  812106 */     GIR_EraseRootFromParent_Done,
     /*  812107 */   // Label 12566: @812107
     /*  812107 */   GIM_Try, /*On fail goto*//*Label 12567*/ GIMT_Encode4(812182), // Rule ID 22142 //
     /*  812112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  812129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812158 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  812161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812180 */     GIR_RootConstrainSelectedInstOperands,
     /*  812181 */     // GIR_Coverage, 22142,
     /*  812181 */     GIR_EraseRootFromParent_Done,
     /*  812182 */   // Label 12567: @812182
     /*  812182 */   GIM_Try, /*On fail goto*//*Label 12568*/ GIMT_Encode4(812257), // Rule ID 22143 //
     /*  812187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  812204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812233 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  812236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812255 */     GIR_RootConstrainSelectedInstOperands,
     /*  812256 */     // GIR_Coverage, 22143,
     /*  812256 */     GIR_EraseRootFromParent_Done,
     /*  812257 */   // Label 12568: @812257
     /*  812257 */   GIM_Try, /*On fail goto*//*Label 12569*/ GIMT_Encode4(812332), // Rule ID 22146 //
     /*  812262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  812279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  812311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812330 */     GIR_RootConstrainSelectedInstOperands,
     /*  812331 */     // GIR_Coverage, 22146,
     /*  812331 */     GIR_EraseRootFromParent_Done,
     /*  812332 */   // Label 12569: @812332
     /*  812332 */   GIM_Try, /*On fail goto*//*Label 12570*/ GIMT_Encode4(812407), // Rule ID 22147 //
     /*  812337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  812354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  812386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812405 */     GIR_RootConstrainSelectedInstOperands,
     /*  812406 */     // GIR_Coverage, 22147,
     /*  812406 */     GIR_EraseRootFromParent_Done,
     /*  812407 */   // Label 12570: @812407
     /*  812407 */   GIM_Try, /*On fail goto*//*Label 12571*/ GIMT_Encode4(812482), // Rule ID 22150 //
     /*  812412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  812415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  812429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812458 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  812458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  812461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812480 */     GIR_RootConstrainSelectedInstOperands,
     /*  812481 */     // GIR_Coverage, 22150,
     /*  812481 */     GIR_EraseRootFromParent_Done,
     /*  812482 */   // Label 12571: @812482
     /*  812482 */   GIM_Try, /*On fail goto*//*Label 12572*/ GIMT_Encode4(812557), // Rule ID 22151 //
     /*  812487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  812490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  812504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  812536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812555 */     GIR_RootConstrainSelectedInstOperands,
     /*  812556 */     // GIR_Coverage, 22151,
     /*  812556 */     GIR_EraseRootFromParent_Done,
     /*  812557 */   // Label 12572: @812557
     /*  812557 */   GIM_Try, /*On fail goto*//*Label 12573*/ GIMT_Encode4(812632), // Rule ID 22154 //
     /*  812562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  812565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  812579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812608 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  812608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  812611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812630 */     GIR_RootConstrainSelectedInstOperands,
     /*  812631 */     // GIR_Coverage, 22154,
     /*  812631 */     GIR_EraseRootFromParent_Done,
     /*  812632 */   // Label 12573: @812632
     /*  812632 */   GIM_Try, /*On fail goto*//*Label 12574*/ GIMT_Encode4(812707), // Rule ID 22155 //
     /*  812637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  812640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  812654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812683 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  812686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812705 */     GIR_RootConstrainSelectedInstOperands,
     /*  812706 */     // GIR_Coverage, 22155,
     /*  812706 */     GIR_EraseRootFromParent_Done,
     /*  812707 */   // Label 12574: @812707
     /*  812707 */   GIM_Try, /*On fail goto*//*Label 12575*/ GIMT_Encode4(812782), // Rule ID 22158 //
     /*  812712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  812715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  812729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  812758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  812761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812780 */     GIR_RootConstrainSelectedInstOperands,
     /*  812781 */     // GIR_Coverage, 22158,
     /*  812781 */     GIR_EraseRootFromParent_Done,
     /*  812782 */   // Label 12575: @812782
     /*  812782 */   GIM_Try, /*On fail goto*//*Label 12576*/ GIMT_Encode4(812857), // Rule ID 22159 //
     /*  812787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  812790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  812795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  812804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812833 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  812836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812855 */     GIR_RootConstrainSelectedInstOperands,
     /*  812856 */     // GIR_Coverage, 22159,
     /*  812856 */     GIR_EraseRootFromParent_Done,
     /*  812857 */   // Label 12576: @812857
     /*  812857 */   GIM_Try, /*On fail goto*//*Label 12577*/ GIMT_Encode4(812932), // Rule ID 22162 //
     /*  812862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  812879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  812911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812930 */     GIR_RootConstrainSelectedInstOperands,
     /*  812931 */     // GIR_Coverage, 22162,
     /*  812931 */     GIR_EraseRootFromParent_Done,
     /*  812932 */   // Label 12577: @812932
     /*  812932 */   GIM_Try, /*On fail goto*//*Label 12578*/ GIMT_Encode4(813007), // Rule ID 22163 //
     /*  812937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  812954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  812986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813005 */     GIR_RootConstrainSelectedInstOperands,
     /*  813006 */     // GIR_Coverage, 22163,
     /*  813006 */     GIR_EraseRootFromParent_Done,
     /*  813007 */   // Label 12578: @813007
     /*  813007 */   GIM_Try, /*On fail goto*//*Label 12579*/ GIMT_Encode4(813082), // Rule ID 22166 //
     /*  813012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  813029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813058 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  813061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813080 */     GIR_RootConstrainSelectedInstOperands,
     /*  813081 */     // GIR_Coverage, 22166,
     /*  813081 */     GIR_EraseRootFromParent_Done,
     /*  813082 */   // Label 12579: @813082
     /*  813082 */   GIM_Try, /*On fail goto*//*Label 12580*/ GIMT_Encode4(813157), // Rule ID 22167 //
     /*  813087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  813104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813133 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  813136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813155 */     GIR_RootConstrainSelectedInstOperands,
     /*  813156 */     // GIR_Coverage, 22167,
     /*  813156 */     GIR_EraseRootFromParent_Done,
     /*  813157 */   // Label 12580: @813157
     /*  813157 */   GIM_Try, /*On fail goto*//*Label 12581*/ GIMT_Encode4(813232), // Rule ID 22170 //
     /*  813162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  813179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  813211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813230 */     GIR_RootConstrainSelectedInstOperands,
     /*  813231 */     // GIR_Coverage, 22170,
     /*  813231 */     GIR_EraseRootFromParent_Done,
     /*  813232 */   // Label 12581: @813232
     /*  813232 */   GIM_Try, /*On fail goto*//*Label 12582*/ GIMT_Encode4(813307), // Rule ID 22171 //
     /*  813237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  813254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  813286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813305 */     GIR_RootConstrainSelectedInstOperands,
     /*  813306 */     // GIR_Coverage, 22171,
     /*  813306 */     GIR_EraseRootFromParent_Done,
     /*  813307 */   // Label 12582: @813307
     /*  813307 */   GIM_Try, /*On fail goto*//*Label 12583*/ GIMT_Encode4(813382), // Rule ID 22174 //
     /*  813312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  813329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  813361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813380 */     GIR_RootConstrainSelectedInstOperands,
     /*  813381 */     // GIR_Coverage, 22174,
     /*  813381 */     GIR_EraseRootFromParent_Done,
     /*  813382 */   // Label 12583: @813382
     /*  813382 */   GIM_Try, /*On fail goto*//*Label 12584*/ GIMT_Encode4(813457), // Rule ID 22175 //
     /*  813387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  813404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  813436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813455 */     GIR_RootConstrainSelectedInstOperands,
     /*  813456 */     // GIR_Coverage, 22175,
     /*  813456 */     GIR_EraseRootFromParent_Done,
     /*  813457 */   // Label 12584: @813457
     /*  813457 */   GIM_Try, /*On fail goto*//*Label 12585*/ GIMT_Encode4(813532), // Rule ID 22178 //
     /*  813462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  813479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  813511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813530 */     GIR_RootConstrainSelectedInstOperands,
     /*  813531 */     // GIR_Coverage, 22178,
     /*  813531 */     GIR_EraseRootFromParent_Done,
     /*  813532 */   // Label 12585: @813532
     /*  813532 */   GIM_Try, /*On fail goto*//*Label 12586*/ GIMT_Encode4(813607), // Rule ID 22179 //
     /*  813537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  813554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813583 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  813586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813605 */     GIR_RootConstrainSelectedInstOperands,
     /*  813606 */     // GIR_Coverage, 22179,
     /*  813606 */     GIR_EraseRootFromParent_Done,
     /*  813607 */   // Label 12586: @813607
     /*  813607 */   GIM_Try, /*On fail goto*//*Label 12587*/ GIMT_Encode4(813682), // Rule ID 22182 //
     /*  813612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  813629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  813658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  813661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813680 */     GIR_RootConstrainSelectedInstOperands,
     /*  813681 */     // GIR_Coverage, 22182,
     /*  813681 */     GIR_EraseRootFromParent_Done,
     /*  813682 */   // Label 12587: @813682
     /*  813682 */   GIM_Try, /*On fail goto*//*Label 12588*/ GIMT_Encode4(813757), // Rule ID 22183 //
     /*  813687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  813704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813733 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  813736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813755 */     GIR_RootConstrainSelectedInstOperands,
     /*  813756 */     // GIR_Coverage, 22183,
     /*  813756 */     GIR_EraseRootFromParent_Done,
     /*  813757 */   // Label 12588: @813757
     /*  813757 */   GIM_Try, /*On fail goto*//*Label 12589*/ GIMT_Encode4(813832), // Rule ID 22186 //
     /*  813762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  813779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  813811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813830 */     GIR_RootConstrainSelectedInstOperands,
     /*  813831 */     // GIR_Coverage, 22186,
     /*  813831 */     GIR_EraseRootFromParent_Done,
     /*  813832 */   // Label 12589: @813832
     /*  813832 */   GIM_Try, /*On fail goto*//*Label 12590*/ GIMT_Encode4(813907), // Rule ID 22187 //
     /*  813837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  813854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  813886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813905 */     GIR_RootConstrainSelectedInstOperands,
     /*  813906 */     // GIR_Coverage, 22187,
     /*  813906 */     GIR_EraseRootFromParent_Done,
     /*  813907 */   // Label 12590: @813907
     /*  813907 */   GIM_Try, /*On fail goto*//*Label 12591*/ GIMT_Encode4(813982), // Rule ID 22190 //
     /*  813912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  813929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  813961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813980 */     GIR_RootConstrainSelectedInstOperands,
     /*  813981 */     // GIR_Coverage, 22190,
     /*  813981 */     GIR_EraseRootFromParent_Done,
     /*  813982 */   // Label 12591: @813982
     /*  813982 */   GIM_Try, /*On fail goto*//*Label 12592*/ GIMT_Encode4(814057), // Rule ID 22191 //
     /*  813987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  814004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  814036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814055 */     GIR_RootConstrainSelectedInstOperands,
     /*  814056 */     // GIR_Coverage, 22191,
     /*  814056 */     GIR_EraseRootFromParent_Done,
     /*  814057 */   // Label 12592: @814057
     /*  814057 */   GIM_Try, /*On fail goto*//*Label 12593*/ GIMT_Encode4(814132), // Rule ID 22194 //
     /*  814062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  814079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  814111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814130 */     GIR_RootConstrainSelectedInstOperands,
     /*  814131 */     // GIR_Coverage, 22194,
     /*  814131 */     GIR_EraseRootFromParent_Done,
     /*  814132 */   // Label 12593: @814132
     /*  814132 */   GIM_Try, /*On fail goto*//*Label 12594*/ GIMT_Encode4(814207), // Rule ID 22195 //
     /*  814137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  814154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  814186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814205 */     GIR_RootConstrainSelectedInstOperands,
     /*  814206 */     // GIR_Coverage, 22195,
     /*  814206 */     GIR_EraseRootFromParent_Done,
     /*  814207 */   // Label 12594: @814207
     /*  814207 */   GIM_Try, /*On fail goto*//*Label 12595*/ GIMT_Encode4(814282), // Rule ID 22198 //
     /*  814212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  814215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  814229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  814258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  814261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814280 */     GIR_RootConstrainSelectedInstOperands,
     /*  814281 */     // GIR_Coverage, 22198,
     /*  814281 */     GIR_EraseRootFromParent_Done,
     /*  814282 */   // Label 12595: @814282
     /*  814282 */   GIM_Try, /*On fail goto*//*Label 12596*/ GIMT_Encode4(814357), // Rule ID 22199 //
     /*  814287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  814290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  814304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814333 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  814333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  814336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814355 */     GIR_RootConstrainSelectedInstOperands,
     /*  814356 */     // GIR_Coverage, 22199,
     /*  814356 */     GIR_EraseRootFromParent_Done,
     /*  814357 */   // Label 12596: @814357
     /*  814357 */   GIM_Try, /*On fail goto*//*Label 12597*/ GIMT_Encode4(814432), // Rule ID 22202 //
     /*  814362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  814379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  814411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814430 */     GIR_RootConstrainSelectedInstOperands,
     /*  814431 */     // GIR_Coverage, 22202,
     /*  814431 */     GIR_EraseRootFromParent_Done,
     /*  814432 */   // Label 12597: @814432
     /*  814432 */   GIM_Try, /*On fail goto*//*Label 12598*/ GIMT_Encode4(814507), // Rule ID 22203 //
     /*  814437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  814454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  814486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814505 */     GIR_RootConstrainSelectedInstOperands,
     /*  814506 */     // GIR_Coverage, 22203,
     /*  814506 */     GIR_EraseRootFromParent_Done,
     /*  814507 */   // Label 12598: @814507
     /*  814507 */   GIM_Try, /*On fail goto*//*Label 12599*/ GIMT_Encode4(814582), // Rule ID 22206 //
     /*  814512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  814529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814558 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  814561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814580 */     GIR_RootConstrainSelectedInstOperands,
     /*  814581 */     // GIR_Coverage, 22206,
     /*  814581 */     GIR_EraseRootFromParent_Done,
     /*  814582 */   // Label 12599: @814582
     /*  814582 */   GIM_Try, /*On fail goto*//*Label 12600*/ GIMT_Encode4(814657), // Rule ID 22207 //
     /*  814587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  814604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814633 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  814636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814655 */     GIR_RootConstrainSelectedInstOperands,
     /*  814656 */     // GIR_Coverage, 22207,
     /*  814656 */     GIR_EraseRootFromParent_Done,
     /*  814657 */   // Label 12600: @814657
     /*  814657 */   GIM_Try, /*On fail goto*//*Label 12601*/ GIMT_Encode4(814732), // Rule ID 22210 //
     /*  814662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  814679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  814711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814730 */     GIR_RootConstrainSelectedInstOperands,
     /*  814731 */     // GIR_Coverage, 22210,
     /*  814731 */     GIR_EraseRootFromParent_Done,
     /*  814732 */   // Label 12601: @814732
     /*  814732 */   GIM_Try, /*On fail goto*//*Label 12602*/ GIMT_Encode4(814807), // Rule ID 22211 //
     /*  814737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  814754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814783 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  814786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814805 */     GIR_RootConstrainSelectedInstOperands,
     /*  814806 */     // GIR_Coverage, 22211,
     /*  814806 */     GIR_EraseRootFromParent_Done,
     /*  814807 */   // Label 12602: @814807
     /*  814807 */   GIM_Try, /*On fail goto*//*Label 12603*/ GIMT_Encode4(814882), // Rule ID 22214 //
     /*  814812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  814829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  814861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814880 */     GIR_RootConstrainSelectedInstOperands,
     /*  814881 */     // GIR_Coverage, 22214,
     /*  814881 */     GIR_EraseRootFromParent_Done,
     /*  814882 */   // Label 12603: @814882
     /*  814882 */   GIM_Try, /*On fail goto*//*Label 12604*/ GIMT_Encode4(814957), // Rule ID 22215 //
     /*  814887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  814904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814933 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  814936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814955 */     GIR_RootConstrainSelectedInstOperands,
     /*  814956 */     // GIR_Coverage, 22215,
     /*  814956 */     GIR_EraseRootFromParent_Done,
     /*  814957 */   // Label 12604: @814957
     /*  814957 */   GIM_Try, /*On fail goto*//*Label 12605*/ GIMT_Encode4(815032), // Rule ID 22218 //
     /*  814962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  814979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  815011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815030 */     GIR_RootConstrainSelectedInstOperands,
     /*  815031 */     // GIR_Coverage, 22218,
     /*  815031 */     GIR_EraseRootFromParent_Done,
     /*  815032 */   // Label 12605: @815032
     /*  815032 */   GIM_Try, /*On fail goto*//*Label 12606*/ GIMT_Encode4(815107), // Rule ID 22219 //
     /*  815037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  815054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  815086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815105 */     GIR_RootConstrainSelectedInstOperands,
     /*  815106 */     // GIR_Coverage, 22219,
     /*  815106 */     GIR_EraseRootFromParent_Done,
     /*  815107 */   // Label 12606: @815107
     /*  815107 */   GIM_Try, /*On fail goto*//*Label 12607*/ GIMT_Encode4(815182), // Rule ID 22222 //
     /*  815112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  815129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  815161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815180 */     GIR_RootConstrainSelectedInstOperands,
     /*  815181 */     // GIR_Coverage, 22222,
     /*  815181 */     GIR_EraseRootFromParent_Done,
     /*  815182 */   // Label 12607: @815182
     /*  815182 */   GIM_Try, /*On fail goto*//*Label 12608*/ GIMT_Encode4(815257), // Rule ID 22223 //
     /*  815187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  815204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815233 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  815236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815255 */     GIR_RootConstrainSelectedInstOperands,
     /*  815256 */     // GIR_Coverage, 22223,
     /*  815256 */     GIR_EraseRootFromParent_Done,
     /*  815257 */   // Label 12608: @815257
     /*  815257 */   GIM_Try, /*On fail goto*//*Label 12609*/ GIMT_Encode4(815332), // Rule ID 22226 //
     /*  815262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  815279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  815311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815330 */     GIR_RootConstrainSelectedInstOperands,
     /*  815331 */     // GIR_Coverage, 22226,
     /*  815331 */     GIR_EraseRootFromParent_Done,
     /*  815332 */   // Label 12609: @815332
     /*  815332 */   GIM_Try, /*On fail goto*//*Label 12610*/ GIMT_Encode4(815407), // Rule ID 22227 //
     /*  815337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  815354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  815386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815405 */     GIR_RootConstrainSelectedInstOperands,
     /*  815406 */     // GIR_Coverage, 22227,
     /*  815406 */     GIR_EraseRootFromParent_Done,
     /*  815407 */   // Label 12610: @815407
     /*  815407 */   GIM_Try, /*On fail goto*//*Label 12611*/ GIMT_Encode4(815482), // Rule ID 22230 //
     /*  815412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  815429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  815461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815480 */     GIR_RootConstrainSelectedInstOperands,
     /*  815481 */     // GIR_Coverage, 22230,
     /*  815481 */     GIR_EraseRootFromParent_Done,
     /*  815482 */   // Label 12611: @815482
     /*  815482 */   GIM_Try, /*On fail goto*//*Label 12612*/ GIMT_Encode4(815557), // Rule ID 22231 //
     /*  815487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  815504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815533 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  815536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815555 */     GIR_RootConstrainSelectedInstOperands,
     /*  815556 */     // GIR_Coverage, 22231,
     /*  815556 */     GIR_EraseRootFromParent_Done,
     /*  815557 */   // Label 12612: @815557
     /*  815557 */   GIM_Try, /*On fail goto*//*Label 12613*/ GIMT_Encode4(815632), // Rule ID 22234 //
     /*  815562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  815579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  815611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815630 */     GIR_RootConstrainSelectedInstOperands,
     /*  815631 */     // GIR_Coverage, 22234,
     /*  815631 */     GIR_EraseRootFromParent_Done,
     /*  815632 */   // Label 12613: @815632
     /*  815632 */   GIM_Try, /*On fail goto*//*Label 12614*/ GIMT_Encode4(815707), // Rule ID 22235 //
     /*  815637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  815654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815683 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  815686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815705 */     GIR_RootConstrainSelectedInstOperands,
     /*  815706 */     // GIR_Coverage, 22235,
     /*  815706 */     GIR_EraseRootFromParent_Done,
     /*  815707 */   // Label 12614: @815707
     /*  815707 */   GIM_Try, /*On fail goto*//*Label 12615*/ GIMT_Encode4(815782), // Rule ID 22238 //
     /*  815712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  815729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  815761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815780 */     GIR_RootConstrainSelectedInstOperands,
     /*  815781 */     // GIR_Coverage, 22238,
     /*  815781 */     GIR_EraseRootFromParent_Done,
     /*  815782 */   // Label 12615: @815782
     /*  815782 */   GIM_Try, /*On fail goto*//*Label 12616*/ GIMT_Encode4(815857), // Rule ID 22239 //
     /*  815787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  815804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815833 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  815836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815855 */     GIR_RootConstrainSelectedInstOperands,
     /*  815856 */     // GIR_Coverage, 22239,
     /*  815856 */     GIR_EraseRootFromParent_Done,
     /*  815857 */   // Label 12616: @815857
     /*  815857 */   GIM_Try, /*On fail goto*//*Label 12617*/ GIMT_Encode4(815932), // Rule ID 22242 //
     /*  815862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  815879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  815911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815930 */     GIR_RootConstrainSelectedInstOperands,
     /*  815931 */     // GIR_Coverage, 22242,
     /*  815931 */     GIR_EraseRootFromParent_Done,
     /*  815932 */   // Label 12617: @815932
     /*  815932 */   GIM_Try, /*On fail goto*//*Label 12618*/ GIMT_Encode4(816007), // Rule ID 22243 //
     /*  815937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  815945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  815954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815983 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  815986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816005 */     GIR_RootConstrainSelectedInstOperands,
     /*  816006 */     // GIR_Coverage, 22243,
     /*  816006 */     GIR_EraseRootFromParent_Done,
     /*  816007 */   // Label 12618: @816007
     /*  816007 */   GIM_Try, /*On fail goto*//*Label 12619*/ GIMT_Encode4(816082), // Rule ID 22246 //
     /*  816012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  816029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  816061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816080 */     GIR_RootConstrainSelectedInstOperands,
     /*  816081 */     // GIR_Coverage, 22246,
     /*  816081 */     GIR_EraseRootFromParent_Done,
     /*  816082 */   // Label 12619: @816082
     /*  816082 */   GIM_Try, /*On fail goto*//*Label 12620*/ GIMT_Encode4(816157), // Rule ID 22247 //
     /*  816087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  816104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816133 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  816136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816155 */     GIR_RootConstrainSelectedInstOperands,
     /*  816156 */     // GIR_Coverage, 22247,
     /*  816156 */     GIR_EraseRootFromParent_Done,
     /*  816157 */   // Label 12620: @816157
     /*  816157 */   GIM_Try, /*On fail goto*//*Label 12621*/ GIMT_Encode4(816232), // Rule ID 22250 //
     /*  816162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  816179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  816211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816230 */     GIR_RootConstrainSelectedInstOperands,
     /*  816231 */     // GIR_Coverage, 22250,
     /*  816231 */     GIR_EraseRootFromParent_Done,
     /*  816232 */   // Label 12621: @816232
     /*  816232 */   GIM_Try, /*On fail goto*//*Label 12622*/ GIMT_Encode4(816307), // Rule ID 22251 //
     /*  816237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  816254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  816286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816305 */     GIR_RootConstrainSelectedInstOperands,
     /*  816306 */     // GIR_Coverage, 22251,
     /*  816306 */     GIR_EraseRootFromParent_Done,
     /*  816307 */   // Label 12622: @816307
     /*  816307 */   GIM_Try, /*On fail goto*//*Label 12623*/ GIMT_Encode4(816382), // Rule ID 22254 //
     /*  816312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  816329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816358 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  816361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816380 */     GIR_RootConstrainSelectedInstOperands,
     /*  816381 */     // GIR_Coverage, 22254,
     /*  816381 */     GIR_EraseRootFromParent_Done,
     /*  816382 */   // Label 12623: @816382
     /*  816382 */   GIM_Try, /*On fail goto*//*Label 12624*/ GIMT_Encode4(816457), // Rule ID 22255 //
     /*  816387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  816404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816433 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  816436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816455 */     GIR_RootConstrainSelectedInstOperands,
     /*  816456 */     // GIR_Coverage, 22255,
     /*  816456 */     GIR_EraseRootFromParent_Done,
     /*  816457 */   // Label 12624: @816457
     /*  816457 */   GIM_Try, /*On fail goto*//*Label 12625*/ GIMT_Encode4(816532), // Rule ID 22258 //
     /*  816462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  816479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  816511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816530 */     GIR_RootConstrainSelectedInstOperands,
     /*  816531 */     // GIR_Coverage, 22258,
     /*  816531 */     GIR_EraseRootFromParent_Done,
     /*  816532 */   // Label 12625: @816532
     /*  816532 */   GIM_Try, /*On fail goto*//*Label 12626*/ GIMT_Encode4(816607), // Rule ID 22259 //
     /*  816537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  816554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816583 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  816586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816605 */     GIR_RootConstrainSelectedInstOperands,
     /*  816606 */     // GIR_Coverage, 22259,
     /*  816606 */     GIR_EraseRootFromParent_Done,
     /*  816607 */   // Label 12626: @816607
     /*  816607 */   GIM_Try, /*On fail goto*//*Label 12627*/ GIMT_Encode4(816682), // Rule ID 22262 //
     /*  816612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  816629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816658 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  816661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816680 */     GIR_RootConstrainSelectedInstOperands,
     /*  816681 */     // GIR_Coverage, 22262,
     /*  816681 */     GIR_EraseRootFromParent_Done,
     /*  816682 */   // Label 12627: @816682
     /*  816682 */   GIM_Try, /*On fail goto*//*Label 12628*/ GIMT_Encode4(816757), // Rule ID 22263 //
     /*  816687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  816704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  816736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816755 */     GIR_RootConstrainSelectedInstOperands,
     /*  816756 */     // GIR_Coverage, 22263,
     /*  816756 */     GIR_EraseRootFromParent_Done,
     /*  816757 */   // Label 12628: @816757
     /*  816757 */   GIM_Try, /*On fail goto*//*Label 12629*/ GIMT_Encode4(816832), // Rule ID 22266 //
     /*  816762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  816779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816808 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  816811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816830 */     GIR_RootConstrainSelectedInstOperands,
     /*  816831 */     // GIR_Coverage, 22266,
     /*  816831 */     GIR_EraseRootFromParent_Done,
     /*  816832 */   // Label 12629: @816832
     /*  816832 */   GIM_Try, /*On fail goto*//*Label 12630*/ GIMT_Encode4(816907), // Rule ID 22267 //
     /*  816837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  816854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816883 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  816886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816905 */     GIR_RootConstrainSelectedInstOperands,
     /*  816906 */     // GIR_Coverage, 22267,
     /*  816906 */     GIR_EraseRootFromParent_Done,
     /*  816907 */   // Label 12630: @816907
     /*  816907 */   GIM_Try, /*On fail goto*//*Label 12631*/ GIMT_Encode4(816982), // Rule ID 22270 //
     /*  816912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  816929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816958 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  816961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816980 */     GIR_RootConstrainSelectedInstOperands,
     /*  816981 */     // GIR_Coverage, 22270,
     /*  816981 */     GIR_EraseRootFromParent_Done,
     /*  816982 */   // Label 12631: @816982
     /*  816982 */   GIM_Try, /*On fail goto*//*Label 12632*/ GIMT_Encode4(817057), // Rule ID 22271 //
     /*  816987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  817004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817033 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  817036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817055 */     GIR_RootConstrainSelectedInstOperands,
     /*  817056 */     // GIR_Coverage, 22271,
     /*  817056 */     GIR_EraseRootFromParent_Done,
     /*  817057 */   // Label 12632: @817057
     /*  817057 */   GIM_Try, /*On fail goto*//*Label 12633*/ GIMT_Encode4(817132), // Rule ID 22274 //
     /*  817062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  817079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  817111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817130 */     GIR_RootConstrainSelectedInstOperands,
     /*  817131 */     // GIR_Coverage, 22274,
     /*  817131 */     GIR_EraseRootFromParent_Done,
     /*  817132 */   // Label 12633: @817132
     /*  817132 */   GIM_Try, /*On fail goto*//*Label 12634*/ GIMT_Encode4(817207), // Rule ID 22275 //
     /*  817137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  817154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  817186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817205 */     GIR_RootConstrainSelectedInstOperands,
     /*  817206 */     // GIR_Coverage, 22275,
     /*  817206 */     GIR_EraseRootFromParent_Done,
     /*  817207 */   // Label 12634: @817207
     /*  817207 */   GIM_Try, /*On fail goto*//*Label 12635*/ GIMT_Encode4(817282), // Rule ID 22278 //
     /*  817212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  817229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  817261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817280 */     GIR_RootConstrainSelectedInstOperands,
     /*  817281 */     // GIR_Coverage, 22278,
     /*  817281 */     GIR_EraseRootFromParent_Done,
     /*  817282 */   // Label 12635: @817282
     /*  817282 */   GIM_Try, /*On fail goto*//*Label 12636*/ GIMT_Encode4(817357), // Rule ID 22279 //
     /*  817287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  817304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  817336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817355 */     GIR_RootConstrainSelectedInstOperands,
     /*  817356 */     // GIR_Coverage, 22279,
     /*  817356 */     GIR_EraseRootFromParent_Done,
     /*  817357 */   // Label 12636: @817357
     /*  817357 */   GIM_Try, /*On fail goto*//*Label 12637*/ GIMT_Encode4(817432), // Rule ID 22282 //
     /*  817362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  817379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  817411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817430 */     GIR_RootConstrainSelectedInstOperands,
     /*  817431 */     // GIR_Coverage, 22282,
     /*  817431 */     GIR_EraseRootFromParent_Done,
     /*  817432 */   // Label 12637: @817432
     /*  817432 */   GIM_Try, /*On fail goto*//*Label 12638*/ GIMT_Encode4(817507), // Rule ID 22283 //
     /*  817437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  817454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817483 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  817486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817505 */     GIR_RootConstrainSelectedInstOperands,
     /*  817506 */     // GIR_Coverage, 22283,
     /*  817506 */     GIR_EraseRootFromParent_Done,
     /*  817507 */   // Label 12638: @817507
     /*  817507 */   GIM_Try, /*On fail goto*//*Label 12639*/ GIMT_Encode4(817582), // Rule ID 22286 //
     /*  817512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  817515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  817526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  817529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  817532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817558 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  817558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  817561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  817577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817580 */     GIR_RootConstrainSelectedInstOperands,
     /*  817581 */     // GIR_Coverage, 22286,
     /*  817581 */     GIR_EraseRootFromParent_Done,
     /*  817582 */   // Label 12639: @817582
     /*  817582 */   GIM_Try, /*On fail goto*//*Label 12640*/ GIMT_Encode4(817657), // Rule ID 22287 //
     /*  817587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  817590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  817601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  817604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  817607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  817633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  817636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  817652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817655 */     GIR_RootConstrainSelectedInstOperands,
     /*  817656 */     // GIR_Coverage, 22287,
     /*  817656 */     GIR_EraseRootFromParent_Done,
     /*  817657 */   // Label 12640: @817657
     /*  817657 */   GIM_Try, /*On fail goto*//*Label 12641*/ GIMT_Encode4(817732), // Rule ID 22290 //
     /*  817662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  817679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  817711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817730 */     GIR_RootConstrainSelectedInstOperands,
     /*  817731 */     // GIR_Coverage, 22290,
     /*  817731 */     GIR_EraseRootFromParent_Done,
     /*  817732 */   // Label 12641: @817732
     /*  817732 */   GIM_Try, /*On fail goto*//*Label 12642*/ GIMT_Encode4(817807), // Rule ID 22291 //
     /*  817737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  817754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817783 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  817786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817805 */     GIR_RootConstrainSelectedInstOperands,
     /*  817806 */     // GIR_Coverage, 22291,
     /*  817806 */     GIR_EraseRootFromParent_Done,
     /*  817807 */   // Label 12642: @817807
     /*  817807 */   GIM_Try, /*On fail goto*//*Label 12643*/ GIMT_Encode4(817882), // Rule ID 22294 //
     /*  817812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  817829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817858 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  817861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817880 */     GIR_RootConstrainSelectedInstOperands,
     /*  817881 */     // GIR_Coverage, 22294,
     /*  817881 */     GIR_EraseRootFromParent_Done,
     /*  817882 */   // Label 12643: @817882
     /*  817882 */   GIM_Try, /*On fail goto*//*Label 12644*/ GIMT_Encode4(817957), // Rule ID 22295 //
     /*  817887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  817904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817933 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  817936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817955 */     GIR_RootConstrainSelectedInstOperands,
     /*  817956 */     // GIR_Coverage, 22295,
     /*  817956 */     GIR_EraseRootFromParent_Done,
     /*  817957 */   // Label 12644: @817957
     /*  817957 */   GIM_Try, /*On fail goto*//*Label 12645*/ GIMT_Encode4(818032), // Rule ID 22298 //
     /*  817962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  817979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  818011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818030 */     GIR_RootConstrainSelectedInstOperands,
     /*  818031 */     // GIR_Coverage, 22298,
     /*  818031 */     GIR_EraseRootFromParent_Done,
     /*  818032 */   // Label 12645: @818032
     /*  818032 */   GIM_Try, /*On fail goto*//*Label 12646*/ GIMT_Encode4(818107), // Rule ID 22299 //
     /*  818037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  818054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818083 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  818086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818105 */     GIR_RootConstrainSelectedInstOperands,
     /*  818106 */     // GIR_Coverage, 22299,
     /*  818106 */     GIR_EraseRootFromParent_Done,
     /*  818107 */   // Label 12646: @818107
     /*  818107 */   GIM_Try, /*On fail goto*//*Label 12647*/ GIMT_Encode4(818182), // Rule ID 22302 //
     /*  818112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  818129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  818161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818180 */     GIR_RootConstrainSelectedInstOperands,
     /*  818181 */     // GIR_Coverage, 22302,
     /*  818181 */     GIR_EraseRootFromParent_Done,
     /*  818182 */   // Label 12647: @818182
     /*  818182 */   GIM_Try, /*On fail goto*//*Label 12648*/ GIMT_Encode4(818257), // Rule ID 22303 //
     /*  818187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  818204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818233 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  818236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818255 */     GIR_RootConstrainSelectedInstOperands,
     /*  818256 */     // GIR_Coverage, 22303,
     /*  818256 */     GIR_EraseRootFromParent_Done,
     /*  818257 */   // Label 12648: @818257
     /*  818257 */   GIM_Try, /*On fail goto*//*Label 12649*/ GIMT_Encode4(818332), // Rule ID 22306 //
     /*  818262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  818279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  818311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818330 */     GIR_RootConstrainSelectedInstOperands,
     /*  818331 */     // GIR_Coverage, 22306,
     /*  818331 */     GIR_EraseRootFromParent_Done,
     /*  818332 */   // Label 12649: @818332
     /*  818332 */   GIM_Try, /*On fail goto*//*Label 12650*/ GIMT_Encode4(818407), // Rule ID 22307 //
     /*  818337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  818354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  818386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818405 */     GIR_RootConstrainSelectedInstOperands,
     /*  818406 */     // GIR_Coverage, 22307,
     /*  818406 */     GIR_EraseRootFromParent_Done,
     /*  818407 */   // Label 12650: @818407
     /*  818407 */   GIM_Try, /*On fail goto*//*Label 12651*/ GIMT_Encode4(818482), // Rule ID 22310 //
     /*  818412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  818429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  818461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818480 */     GIR_RootConstrainSelectedInstOperands,
     /*  818481 */     // GIR_Coverage, 22310,
     /*  818481 */     GIR_EraseRootFromParent_Done,
     /*  818482 */   // Label 12651: @818482
     /*  818482 */   GIM_Try, /*On fail goto*//*Label 12652*/ GIMT_Encode4(818557), // Rule ID 22311 //
     /*  818487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  818504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818533 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  818536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818555 */     GIR_RootConstrainSelectedInstOperands,
     /*  818556 */     // GIR_Coverage, 22311,
     /*  818556 */     GIR_EraseRootFromParent_Done,
     /*  818557 */   // Label 12652: @818557
     /*  818557 */   GIM_Try, /*On fail goto*//*Label 12653*/ GIMT_Encode4(818632), // Rule ID 22314 //
     /*  818562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  818579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  818611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818630 */     GIR_RootConstrainSelectedInstOperands,
     /*  818631 */     // GIR_Coverage, 22314,
     /*  818631 */     GIR_EraseRootFromParent_Done,
     /*  818632 */   // Label 12653: @818632
     /*  818632 */   GIM_Try, /*On fail goto*//*Label 12654*/ GIMT_Encode4(818707), // Rule ID 22315 //
     /*  818637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  818654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818683 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  818686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818705 */     GIR_RootConstrainSelectedInstOperands,
     /*  818706 */     // GIR_Coverage, 22315,
     /*  818706 */     GIR_EraseRootFromParent_Done,
     /*  818707 */   // Label 12654: @818707
     /*  818707 */   GIM_Try, /*On fail goto*//*Label 12655*/ GIMT_Encode4(818782), // Rule ID 22318 //
     /*  818712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  818729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818758 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  818761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818780 */     GIR_RootConstrainSelectedInstOperands,
     /*  818781 */     // GIR_Coverage, 22318,
     /*  818781 */     GIR_EraseRootFromParent_Done,
     /*  818782 */   // Label 12655: @818782
     /*  818782 */   GIM_Try, /*On fail goto*//*Label 12656*/ GIMT_Encode4(818857), // Rule ID 22319 //
     /*  818787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  818804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818833 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  818836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818855 */     GIR_RootConstrainSelectedInstOperands,
     /*  818856 */     // GIR_Coverage, 22319,
     /*  818856 */     GIR_EraseRootFromParent_Done,
     /*  818857 */   // Label 12656: @818857
     /*  818857 */   GIM_Try, /*On fail goto*//*Label 12657*/ GIMT_Encode4(818932), // Rule ID 22322 //
     /*  818862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  818879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  818911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818930 */     GIR_RootConstrainSelectedInstOperands,
     /*  818931 */     // GIR_Coverage, 22322,
     /*  818931 */     GIR_EraseRootFromParent_Done,
     /*  818932 */   // Label 12657: @818932
     /*  818932 */   GIM_Try, /*On fail goto*//*Label 12658*/ GIMT_Encode4(819007), // Rule ID 22323 //
     /*  818937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  818954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818983 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  818986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819005 */     GIR_RootConstrainSelectedInstOperands,
     /*  819006 */     // GIR_Coverage, 22323,
     /*  819006 */     GIR_EraseRootFromParent_Done,
     /*  819007 */   // Label 12658: @819007
     /*  819007 */   GIM_Try, /*On fail goto*//*Label 12659*/ GIMT_Encode4(819082), // Rule ID 22326 //
     /*  819012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  819015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  819020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  819029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  819058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  819061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819080 */     GIR_RootConstrainSelectedInstOperands,
     /*  819081 */     // GIR_Coverage, 22326,
     /*  819081 */     GIR_EraseRootFromParent_Done,
     /*  819082 */   // Label 12659: @819082
     /*  819082 */   GIM_Try, /*On fail goto*//*Label 12660*/ GIMT_Encode4(819157), // Rule ID 22327 //
     /*  819087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  819090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  819095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  819104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819133 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  819133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  819136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819155 */     GIR_RootConstrainSelectedInstOperands,
     /*  819156 */     // GIR_Coverage, 22327,
     /*  819156 */     GIR_EraseRootFromParent_Done,
     /*  819157 */   // Label 12660: @819157
     /*  819157 */   GIM_Try, /*On fail goto*//*Label 12661*/ GIMT_Encode4(819232), // Rule ID 22330 //
     /*  819162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  819165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  819170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  819179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819208 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  819208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  819211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819230 */     GIR_RootConstrainSelectedInstOperands,
     /*  819231 */     // GIR_Coverage, 22330,
     /*  819231 */     GIR_EraseRootFromParent_Done,
     /*  819232 */   // Label 12661: @819232
     /*  819232 */   GIM_Try, /*On fail goto*//*Label 12662*/ GIMT_Encode4(819307), // Rule ID 22331 //
     /*  819237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  819240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  819245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  819254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  819283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  819286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819305 */     GIR_RootConstrainSelectedInstOperands,
     /*  819306 */     // GIR_Coverage, 22331,
     /*  819306 */     GIR_EraseRootFromParent_Done,
     /*  819307 */   // Label 12662: @819307
     /*  819307 */   GIM_Try, /*On fail goto*//*Label 12663*/ GIMT_Encode4(819382), // Rule ID 22334 //
     /*  819312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  819315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  819320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  819329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  819358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  819361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819380 */     GIR_RootConstrainSelectedInstOperands,
     /*  819381 */     // GIR_Coverage, 22334,
     /*  819381 */     GIR_EraseRootFromParent_Done,
     /*  819382 */   // Label 12663: @819382
     /*  819382 */   GIM_Try, /*On fail goto*//*Label 12664*/ GIMT_Encode4(819457), // Rule ID 22335 //
     /*  819387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  819390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  819395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  819404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  819433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  819436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819455 */     GIR_RootConstrainSelectedInstOperands,
     /*  819456 */     // GIR_Coverage, 22335,
     /*  819456 */     GIR_EraseRootFromParent_Done,
     /*  819457 */   // Label 12664: @819457
     /*  819457 */   GIM_Try, /*On fail goto*//*Label 12665*/ GIMT_Encode4(819532), // Rule ID 22338 //
     /*  819462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  819479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  819511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819530 */     GIR_RootConstrainSelectedInstOperands,
     /*  819531 */     // GIR_Coverage, 22338,
     /*  819531 */     GIR_EraseRootFromParent_Done,
     /*  819532 */   // Label 12665: @819532
     /*  819532 */   GIM_Try, /*On fail goto*//*Label 12666*/ GIMT_Encode4(819607), // Rule ID 22339 //
     /*  819537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  819554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819583 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  819586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819605 */     GIR_RootConstrainSelectedInstOperands,
     /*  819606 */     // GIR_Coverage, 22339,
     /*  819606 */     GIR_EraseRootFromParent_Done,
     /*  819607 */   // Label 12666: @819607
     /*  819607 */   GIM_Try, /*On fail goto*//*Label 12667*/ GIMT_Encode4(819682), // Rule ID 22342 //
     /*  819612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  819629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819658 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  819661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819680 */     GIR_RootConstrainSelectedInstOperands,
     /*  819681 */     // GIR_Coverage, 22342,
     /*  819681 */     GIR_EraseRootFromParent_Done,
     /*  819682 */   // Label 12667: @819682
     /*  819682 */   GIM_Try, /*On fail goto*//*Label 12668*/ GIMT_Encode4(819757), // Rule ID 22343 //
     /*  819687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  819704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819733 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  819736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819755 */     GIR_RootConstrainSelectedInstOperands,
     /*  819756 */     // GIR_Coverage, 22343,
     /*  819756 */     GIR_EraseRootFromParent_Done,
     /*  819757 */   // Label 12668: @819757
     /*  819757 */   GIM_Try, /*On fail goto*//*Label 12669*/ GIMT_Encode4(819832), // Rule ID 22346 //
     /*  819762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  819779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  819811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819830 */     GIR_RootConstrainSelectedInstOperands,
     /*  819831 */     // GIR_Coverage, 22346,
     /*  819831 */     GIR_EraseRootFromParent_Done,
     /*  819832 */   // Label 12669: @819832
     /*  819832 */   GIM_Try, /*On fail goto*//*Label 12670*/ GIMT_Encode4(819907), // Rule ID 22347 //
     /*  819837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  819854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  819886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819905 */     GIR_RootConstrainSelectedInstOperands,
     /*  819906 */     // GIR_Coverage, 22347,
     /*  819906 */     GIR_EraseRootFromParent_Done,
     /*  819907 */   // Label 12670: @819907
     /*  819907 */   GIM_Try, /*On fail goto*//*Label 12671*/ GIMT_Encode4(819982), // Rule ID 22350 //
     /*  819912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  819929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  819961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819980 */     GIR_RootConstrainSelectedInstOperands,
     /*  819981 */     // GIR_Coverage, 22350,
     /*  819981 */     GIR_EraseRootFromParent_Done,
     /*  819982 */   // Label 12671: @819982
     /*  819982 */   GIM_Try, /*On fail goto*//*Label 12672*/ GIMT_Encode4(820057), // Rule ID 22351 //
     /*  819987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  820004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  820036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820055 */     GIR_RootConstrainSelectedInstOperands,
     /*  820056 */     // GIR_Coverage, 22351,
     /*  820056 */     GIR_EraseRootFromParent_Done,
     /*  820057 */   // Label 12672: @820057
     /*  820057 */   GIM_Try, /*On fail goto*//*Label 12673*/ GIMT_Encode4(820132), // Rule ID 22354 //
     /*  820062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  820079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  820111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820130 */     GIR_RootConstrainSelectedInstOperands,
     /*  820131 */     // GIR_Coverage, 22354,
     /*  820131 */     GIR_EraseRootFromParent_Done,
     /*  820132 */   // Label 12673: @820132
     /*  820132 */   GIM_Try, /*On fail goto*//*Label 12674*/ GIMT_Encode4(820207), // Rule ID 22355 //
     /*  820137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  820154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820183 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  820186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820205 */     GIR_RootConstrainSelectedInstOperands,
     /*  820206 */     // GIR_Coverage, 22355,
     /*  820206 */     GIR_EraseRootFromParent_Done,
     /*  820207 */   // Label 12674: @820207
     /*  820207 */   GIM_Try, /*On fail goto*//*Label 12675*/ GIMT_Encode4(820282), // Rule ID 22358 //
     /*  820212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  820229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820258 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  820258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  820261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820280 */     GIR_RootConstrainSelectedInstOperands,
     /*  820281 */     // GIR_Coverage, 22358,
     /*  820281 */     GIR_EraseRootFromParent_Done,
     /*  820282 */   // Label 12675: @820282
     /*  820282 */   GIM_Try, /*On fail goto*//*Label 12676*/ GIMT_Encode4(820357), // Rule ID 22359 //
     /*  820287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  820304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820333 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  820333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  820336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820355 */     GIR_RootConstrainSelectedInstOperands,
     /*  820356 */     // GIR_Coverage, 22359,
     /*  820356 */     GIR_EraseRootFromParent_Done,
     /*  820357 */   // Label 12676: @820357
     /*  820357 */   GIM_Try, /*On fail goto*//*Label 12677*/ GIMT_Encode4(820432), // Rule ID 22362 //
     /*  820362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  820379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  820411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820430 */     GIR_RootConstrainSelectedInstOperands,
     /*  820431 */     // GIR_Coverage, 22362,
     /*  820431 */     GIR_EraseRootFromParent_Done,
     /*  820432 */   // Label 12677: @820432
     /*  820432 */   GIM_Try, /*On fail goto*//*Label 12678*/ GIMT_Encode4(820507), // Rule ID 22363 //
     /*  820437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  820454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  820486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820505 */     GIR_RootConstrainSelectedInstOperands,
     /*  820506 */     // GIR_Coverage, 22363,
     /*  820506 */     GIR_EraseRootFromParent_Done,
     /*  820507 */   // Label 12678: @820507
     /*  820507 */   GIM_Try, /*On fail goto*//*Label 12679*/ GIMT_Encode4(820582), // Rule ID 22366 //
     /*  820512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  820529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  820561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820580 */     GIR_RootConstrainSelectedInstOperands,
     /*  820581 */     // GIR_Coverage, 22366,
     /*  820581 */     GIR_EraseRootFromParent_Done,
     /*  820582 */   // Label 12679: @820582
     /*  820582 */   GIM_Try, /*On fail goto*//*Label 12680*/ GIMT_Encode4(820657), // Rule ID 22367 //
     /*  820587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  820604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  820636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820655 */     GIR_RootConstrainSelectedInstOperands,
     /*  820656 */     // GIR_Coverage, 22367,
     /*  820656 */     GIR_EraseRootFromParent_Done,
     /*  820657 */   // Label 12680: @820657
     /*  820657 */   GIM_Try, /*On fail goto*//*Label 12681*/ GIMT_Encode4(820732), // Rule ID 22370 //
     /*  820662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  820679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  820708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  820711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820730 */     GIR_RootConstrainSelectedInstOperands,
     /*  820731 */     // GIR_Coverage, 22370,
     /*  820731 */     GIR_EraseRootFromParent_Done,
     /*  820732 */   // Label 12681: @820732
     /*  820732 */   GIM_Try, /*On fail goto*//*Label 12682*/ GIMT_Encode4(820807), // Rule ID 22371 //
     /*  820737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  820754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  820783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  820786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820805 */     GIR_RootConstrainSelectedInstOperands,
     /*  820806 */     // GIR_Coverage, 22371,
     /*  820806 */     GIR_EraseRootFromParent_Done,
     /*  820807 */   // Label 12682: @820807
     /*  820807 */   GIM_Try, /*On fail goto*//*Label 12683*/ GIMT_Encode4(820882), // Rule ID 22374 //
     /*  820812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  820815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  820829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820858 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  820858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  820861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820880 */     GIR_RootConstrainSelectedInstOperands,
     /*  820881 */     // GIR_Coverage, 22374,
     /*  820881 */     GIR_EraseRootFromParent_Done,
     /*  820882 */   // Label 12683: @820882
     /*  820882 */   GIM_Try, /*On fail goto*//*Label 12684*/ GIMT_Encode4(820957), // Rule ID 22375 //
     /*  820887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  820890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  820904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  820933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  820936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820955 */     GIR_RootConstrainSelectedInstOperands,
     /*  820956 */     // GIR_Coverage, 22375,
     /*  820956 */     GIR_EraseRootFromParent_Done,
     /*  820957 */   // Label 12684: @820957
     /*  820957 */   GIM_Try, /*On fail goto*//*Label 12685*/ GIMT_Encode4(821032), // Rule ID 22378 //
     /*  820962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  820979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  821011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821030 */     GIR_RootConstrainSelectedInstOperands,
     /*  821031 */     // GIR_Coverage, 22378,
     /*  821031 */     GIR_EraseRootFromParent_Done,
     /*  821032 */   // Label 12685: @821032
     /*  821032 */   GIM_Try, /*On fail goto*//*Label 12686*/ GIMT_Encode4(821107), // Rule ID 22379 //
     /*  821037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  821054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821083 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  821086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821105 */     GIR_RootConstrainSelectedInstOperands,
     /*  821106 */     // GIR_Coverage, 22379,
     /*  821106 */     GIR_EraseRootFromParent_Done,
     /*  821107 */   // Label 12686: @821107
     /*  821107 */   GIM_Try, /*On fail goto*//*Label 12687*/ GIMT_Encode4(821182), // Rule ID 22382 //
     /*  821112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  821129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821158 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  821161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821180 */     GIR_RootConstrainSelectedInstOperands,
     /*  821181 */     // GIR_Coverage, 22382,
     /*  821181 */     GIR_EraseRootFromParent_Done,
     /*  821182 */   // Label 12687: @821182
     /*  821182 */   GIM_Try, /*On fail goto*//*Label 12688*/ GIMT_Encode4(821257), // Rule ID 22383 //
     /*  821187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  821204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821233 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  821236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821255 */     GIR_RootConstrainSelectedInstOperands,
     /*  821256 */     // GIR_Coverage, 22383,
     /*  821256 */     GIR_EraseRootFromParent_Done,
     /*  821257 */   // Label 12688: @821257
     /*  821257 */   GIM_Try, /*On fail goto*//*Label 12689*/ GIMT_Encode4(821332), // Rule ID 22386 //
     /*  821262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  821279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  821311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821330 */     GIR_RootConstrainSelectedInstOperands,
     /*  821331 */     // GIR_Coverage, 22386,
     /*  821331 */     GIR_EraseRootFromParent_Done,
     /*  821332 */   // Label 12689: @821332
     /*  821332 */   GIM_Try, /*On fail goto*//*Label 12690*/ GIMT_Encode4(821407), // Rule ID 22387 //
     /*  821337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  821354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821383 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  821386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821405 */     GIR_RootConstrainSelectedInstOperands,
     /*  821406 */     // GIR_Coverage, 22387,
     /*  821406 */     GIR_EraseRootFromParent_Done,
     /*  821407 */   // Label 12690: @821407
     /*  821407 */   GIM_Try, /*On fail goto*//*Label 12691*/ GIMT_Encode4(821482), // Rule ID 22390 //
     /*  821412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  821429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  821461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821480 */     GIR_RootConstrainSelectedInstOperands,
     /*  821481 */     // GIR_Coverage, 22390,
     /*  821481 */     GIR_EraseRootFromParent_Done,
     /*  821482 */   // Label 12691: @821482
     /*  821482 */   GIM_Try, /*On fail goto*//*Label 12692*/ GIMT_Encode4(821557), // Rule ID 22391 //
     /*  821487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  821504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821533 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  821536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821555 */     GIR_RootConstrainSelectedInstOperands,
     /*  821556 */     // GIR_Coverage, 22391,
     /*  821556 */     GIR_EraseRootFromParent_Done,
     /*  821557 */   // Label 12692: @821557
     /*  821557 */   GIM_Try, /*On fail goto*//*Label 12693*/ GIMT_Encode4(821632), // Rule ID 22394 //
     /*  821562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  821579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  821611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821630 */     GIR_RootConstrainSelectedInstOperands,
     /*  821631 */     // GIR_Coverage, 22394,
     /*  821631 */     GIR_EraseRootFromParent_Done,
     /*  821632 */   // Label 12693: @821632
     /*  821632 */   GIM_Try, /*On fail goto*//*Label 12694*/ GIMT_Encode4(821707), // Rule ID 22395 //
     /*  821637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  821654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821683 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  821686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821705 */     GIR_RootConstrainSelectedInstOperands,
     /*  821706 */     // GIR_Coverage, 22395,
     /*  821706 */     GIR_EraseRootFromParent_Done,
     /*  821707 */   // Label 12694: @821707
     /*  821707 */   GIM_Try, /*On fail goto*//*Label 12695*/ GIMT_Encode4(821782), // Rule ID 22398 //
     /*  821712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  821729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  821761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821780 */     GIR_RootConstrainSelectedInstOperands,
     /*  821781 */     // GIR_Coverage, 22398,
     /*  821781 */     GIR_EraseRootFromParent_Done,
     /*  821782 */   // Label 12695: @821782
     /*  821782 */   GIM_Try, /*On fail goto*//*Label 12696*/ GIMT_Encode4(821857), // Rule ID 22399 //
     /*  821787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  821804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  821836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821855 */     GIR_RootConstrainSelectedInstOperands,
     /*  821856 */     // GIR_Coverage, 22399,
     /*  821856 */     GIR_EraseRootFromParent_Done,
     /*  821857 */   // Label 12696: @821857
     /*  821857 */   GIM_Try, /*On fail goto*//*Label 12697*/ GIMT_Encode4(821932), // Rule ID 22402 //
     /*  821862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  821879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  821911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821930 */     GIR_RootConstrainSelectedInstOperands,
     /*  821931 */     // GIR_Coverage, 22402,
     /*  821931 */     GIR_EraseRootFromParent_Done,
     /*  821932 */   // Label 12697: @821932
     /*  821932 */   GIM_Try, /*On fail goto*//*Label 12698*/ GIMT_Encode4(822007), // Rule ID 22403 //
     /*  821937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  821954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821983 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  821986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822005 */     GIR_RootConstrainSelectedInstOperands,
     /*  822006 */     // GIR_Coverage, 22403,
     /*  822006 */     GIR_EraseRootFromParent_Done,
     /*  822007 */   // Label 12698: @822007
     /*  822007 */   GIM_Try, /*On fail goto*//*Label 12699*/ GIMT_Encode4(822082), // Rule ID 22406 //
     /*  822012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  822020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  822029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  822061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822080 */     GIR_RootConstrainSelectedInstOperands,
     /*  822081 */     // GIR_Coverage, 22406,
     /*  822081 */     GIR_EraseRootFromParent_Done,
     /*  822082 */   // Label 12699: @822082
     /*  822082 */   GIM_Try, /*On fail goto*//*Label 12700*/ GIMT_Encode4(822157), // Rule ID 22407 //
     /*  822087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  822095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  822104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  822136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822155 */     GIR_RootConstrainSelectedInstOperands,
     /*  822156 */     // GIR_Coverage, 22407,
     /*  822156 */     GIR_EraseRootFromParent_Done,
     /*  822157 */   // Label 12700: @822157
     /*  822157 */   GIM_Try, /*On fail goto*//*Label 12701*/ GIMT_Encode4(822232), // Rule ID 22410 //
     /*  822162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  822170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  822179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  822211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822230 */     GIR_RootConstrainSelectedInstOperands,
     /*  822231 */     // GIR_Coverage, 22410,
     /*  822231 */     GIR_EraseRootFromParent_Done,
     /*  822232 */   // Label 12701: @822232
     /*  822232 */   GIM_Try, /*On fail goto*//*Label 12702*/ GIMT_Encode4(822307), // Rule ID 22411 //
     /*  822237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  822245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  822254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  822286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822305 */     GIR_RootConstrainSelectedInstOperands,
     /*  822306 */     // GIR_Coverage, 22411,
     /*  822306 */     GIR_EraseRootFromParent_Done,
     /*  822307 */   // Label 12702: @822307
     /*  822307 */   GIM_Try, /*On fail goto*//*Label 12703*/ GIMT_Encode4(822382), // Rule ID 22414 //
     /*  822312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  822315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  822320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  822329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  822358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  822361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822380 */     GIR_RootConstrainSelectedInstOperands,
     /*  822381 */     // GIR_Coverage, 22414,
     /*  822381 */     GIR_EraseRootFromParent_Done,
     /*  822382 */   // Label 12703: @822382
     /*  822382 */   GIM_Try, /*On fail goto*//*Label 12704*/ GIMT_Encode4(822457), // Rule ID 22415 //
     /*  822387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  822390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  822395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  822404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  822433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  822436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822455 */     GIR_RootConstrainSelectedInstOperands,
     /*  822456 */     // GIR_Coverage, 22415,
     /*  822456 */     GIR_EraseRootFromParent_Done,
     /*  822457 */   // Label 12704: @822457
     /*  822457 */   GIM_Try, /*On fail goto*//*Label 12705*/ GIMT_Encode4(822532), // Rule ID 22418 //
     /*  822462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  822465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  822470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  822479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  822508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  822511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822530 */     GIR_RootConstrainSelectedInstOperands,
     /*  822531 */     // GIR_Coverage, 22418,
     /*  822531 */     GIR_EraseRootFromParent_Done,
     /*  822532 */   // Label 12705: @822532
     /*  822532 */   GIM_Try, /*On fail goto*//*Label 12706*/ GIMT_Encode4(822607), // Rule ID 22419 //
     /*  822537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  822540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  822545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  822554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822583 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  822583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  822586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822605 */     GIR_RootConstrainSelectedInstOperands,
     /*  822606 */     // GIR_Coverage, 22419,
     /*  822606 */     GIR_EraseRootFromParent_Done,
     /*  822607 */   // Label 12706: @822607
     /*  822607 */   GIM_Try, /*On fail goto*//*Label 12707*/ GIMT_Encode4(822682), // Rule ID 22422 //
     /*  822612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  822615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  822620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  822629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  822658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  822661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822680 */     GIR_RootConstrainSelectedInstOperands,
     /*  822681 */     // GIR_Coverage, 22422,
     /*  822681 */     GIR_EraseRootFromParent_Done,
     /*  822682 */   // Label 12707: @822682
     /*  822682 */   GIM_Try, /*On fail goto*//*Label 12708*/ GIMT_Encode4(822757), // Rule ID 22423 //
     /*  822687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  822690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  822695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  822704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822733 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  822733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  822736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822755 */     GIR_RootConstrainSelectedInstOperands,
     /*  822756 */     // GIR_Coverage, 22423,
     /*  822756 */     GIR_EraseRootFromParent_Done,
     /*  822757 */   // Label 12708: @822757
     /*  822757 */   GIM_Try, /*On fail goto*//*Label 12709*/ GIMT_Encode4(822832), // Rule ID 22426 //
     /*  822762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  822779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  822811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822830 */     GIR_RootConstrainSelectedInstOperands,
     /*  822831 */     // GIR_Coverage, 22426,
     /*  822831 */     GIR_EraseRootFromParent_Done,
     /*  822832 */   // Label 12709: @822832
     /*  822832 */   GIM_Try, /*On fail goto*//*Label 12710*/ GIMT_Encode4(822907), // Rule ID 22427 //
     /*  822837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  822854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  822886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822905 */     GIR_RootConstrainSelectedInstOperands,
     /*  822906 */     // GIR_Coverage, 22427,
     /*  822906 */     GIR_EraseRootFromParent_Done,
     /*  822907 */   // Label 12710: @822907
     /*  822907 */   GIM_Try, /*On fail goto*//*Label 12711*/ GIMT_Encode4(822982), // Rule ID 22430 //
     /*  822912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  822929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822958 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  822961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822980 */     GIR_RootConstrainSelectedInstOperands,
     /*  822981 */     // GIR_Coverage, 22430,
     /*  822981 */     GIR_EraseRootFromParent_Done,
     /*  822982 */   // Label 12711: @822982
     /*  822982 */   GIM_Try, /*On fail goto*//*Label 12712*/ GIMT_Encode4(823057), // Rule ID 22431 //
     /*  822987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  823004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823033 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  823036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823055 */     GIR_RootConstrainSelectedInstOperands,
     /*  823056 */     // GIR_Coverage, 22431,
     /*  823056 */     GIR_EraseRootFromParent_Done,
     /*  823057 */   // Label 12712: @823057
     /*  823057 */   GIM_Try, /*On fail goto*//*Label 12713*/ GIMT_Encode4(823132), // Rule ID 22434 //
     /*  823062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  823079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  823111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823130 */     GIR_RootConstrainSelectedInstOperands,
     /*  823131 */     // GIR_Coverage, 22434,
     /*  823131 */     GIR_EraseRootFromParent_Done,
     /*  823132 */   // Label 12713: @823132
     /*  823132 */   GIM_Try, /*On fail goto*//*Label 12714*/ GIMT_Encode4(823207), // Rule ID 22435 //
     /*  823137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  823154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  823186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823205 */     GIR_RootConstrainSelectedInstOperands,
     /*  823206 */     // GIR_Coverage, 22435,
     /*  823206 */     GIR_EraseRootFromParent_Done,
     /*  823207 */   // Label 12714: @823207
     /*  823207 */   GIM_Try, /*On fail goto*//*Label 12715*/ GIMT_Encode4(823282), // Rule ID 22438 //
     /*  823212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  823229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  823261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823280 */     GIR_RootConstrainSelectedInstOperands,
     /*  823281 */     // GIR_Coverage, 22438,
     /*  823281 */     GIR_EraseRootFromParent_Done,
     /*  823282 */   // Label 12715: @823282
     /*  823282 */   GIM_Try, /*On fail goto*//*Label 12716*/ GIMT_Encode4(823357), // Rule ID 22439 //
     /*  823287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  823304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  823336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823355 */     GIR_RootConstrainSelectedInstOperands,
     /*  823356 */     // GIR_Coverage, 22439,
     /*  823356 */     GIR_EraseRootFromParent_Done,
     /*  823357 */   // Label 12716: @823357
     /*  823357 */   GIM_Try, /*On fail goto*//*Label 12717*/ GIMT_Encode4(823432), // Rule ID 22442 //
     /*  823362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  823379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  823411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823430 */     GIR_RootConstrainSelectedInstOperands,
     /*  823431 */     // GIR_Coverage, 22442,
     /*  823431 */     GIR_EraseRootFromParent_Done,
     /*  823432 */   // Label 12717: @823432
     /*  823432 */   GIM_Try, /*On fail goto*//*Label 12718*/ GIMT_Encode4(823507), // Rule ID 22443 //
     /*  823437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  823454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823483 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  823486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823505 */     GIR_RootConstrainSelectedInstOperands,
     /*  823506 */     // GIR_Coverage, 22443,
     /*  823506 */     GIR_EraseRootFromParent_Done,
     /*  823507 */   // Label 12718: @823507
     /*  823507 */   GIM_Try, /*On fail goto*//*Label 12719*/ GIMT_Encode4(823582), // Rule ID 22446 //
     /*  823512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  823529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  823558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  823561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823580 */     GIR_RootConstrainSelectedInstOperands,
     /*  823581 */     // GIR_Coverage, 22446,
     /*  823581 */     GIR_EraseRootFromParent_Done,
     /*  823582 */   // Label 12719: @823582
     /*  823582 */   GIM_Try, /*On fail goto*//*Label 12720*/ GIMT_Encode4(823657), // Rule ID 22447 //
     /*  823587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  823604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823633 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  823633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  823636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823655 */     GIR_RootConstrainSelectedInstOperands,
     /*  823656 */     // GIR_Coverage, 22447,
     /*  823656 */     GIR_EraseRootFromParent_Done,
     /*  823657 */   // Label 12720: @823657
     /*  823657 */   GIM_Try, /*On fail goto*//*Label 12721*/ GIMT_Encode4(823732), // Rule ID 22450 //
     /*  823662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  823679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  823711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823730 */     GIR_RootConstrainSelectedInstOperands,
     /*  823731 */     // GIR_Coverage, 22450,
     /*  823731 */     GIR_EraseRootFromParent_Done,
     /*  823732 */   // Label 12721: @823732
     /*  823732 */   GIM_Try, /*On fail goto*//*Label 12722*/ GIMT_Encode4(823807), // Rule ID 22451 //
     /*  823737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  823754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823783 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  823786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823805 */     GIR_RootConstrainSelectedInstOperands,
     /*  823806 */     // GIR_Coverage, 22451,
     /*  823806 */     GIR_EraseRootFromParent_Done,
     /*  823807 */   // Label 12722: @823807
     /*  823807 */   GIM_Try, /*On fail goto*//*Label 12723*/ GIMT_Encode4(823882), // Rule ID 22454 //
     /*  823812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  823829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  823861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823880 */     GIR_RootConstrainSelectedInstOperands,
     /*  823881 */     // GIR_Coverage, 22454,
     /*  823881 */     GIR_EraseRootFromParent_Done,
     /*  823882 */   // Label 12723: @823882
     /*  823882 */   GIM_Try, /*On fail goto*//*Label 12724*/ GIMT_Encode4(823957), // Rule ID 22455 //
     /*  823887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  823904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823933 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  823936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823955 */     GIR_RootConstrainSelectedInstOperands,
     /*  823956 */     // GIR_Coverage, 22455,
     /*  823956 */     GIR_EraseRootFromParent_Done,
     /*  823957 */   // Label 12724: @823957
     /*  823957 */   GIM_Try, /*On fail goto*//*Label 12725*/ GIMT_Encode4(824032), // Rule ID 22458 //
     /*  823962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  823979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  824011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824030 */     GIR_RootConstrainSelectedInstOperands,
     /*  824031 */     // GIR_Coverage, 22458,
     /*  824031 */     GIR_EraseRootFromParent_Done,
     /*  824032 */   // Label 12725: @824032
     /*  824032 */   GIM_Try, /*On fail goto*//*Label 12726*/ GIMT_Encode4(824107), // Rule ID 22459 //
     /*  824037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  824086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824105 */     GIR_RootConstrainSelectedInstOperands,
     /*  824106 */     // GIR_Coverage, 22459,
     /*  824106 */     GIR_EraseRootFromParent_Done,
     /*  824107 */   // Label 12726: @824107
     /*  824107 */   GIM_Try, /*On fail goto*//*Label 12727*/ GIMT_Encode4(824182), // Rule ID 22462 //
     /*  824112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  824115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  824129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  824158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  824161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824180 */     GIR_RootConstrainSelectedInstOperands,
     /*  824181 */     // GIR_Coverage, 22462,
     /*  824181 */     GIR_EraseRootFromParent_Done,
     /*  824182 */   // Label 12727: @824182
     /*  824182 */   GIM_Try, /*On fail goto*//*Label 12728*/ GIMT_Encode4(824257), // Rule ID 22463 //
     /*  824187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  824190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  824204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  824233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  824236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824255 */     GIR_RootConstrainSelectedInstOperands,
     /*  824256 */     // GIR_Coverage, 22463,
     /*  824256 */     GIR_EraseRootFromParent_Done,
     /*  824257 */   // Label 12728: @824257
     /*  824257 */   GIM_Try, /*On fail goto*//*Label 12729*/ GIMT_Encode4(824332), // Rule ID 22466 //
     /*  824262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  824279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  824311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824330 */     GIR_RootConstrainSelectedInstOperands,
     /*  824331 */     // GIR_Coverage, 22466,
     /*  824331 */     GIR_EraseRootFromParent_Done,
     /*  824332 */   // Label 12729: @824332
     /*  824332 */   GIM_Try, /*On fail goto*//*Label 12730*/ GIMT_Encode4(824407), // Rule ID 22467 //
     /*  824337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  824354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824383 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  824386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824405 */     GIR_RootConstrainSelectedInstOperands,
     /*  824406 */     // GIR_Coverage, 22467,
     /*  824406 */     GIR_EraseRootFromParent_Done,
     /*  824407 */   // Label 12730: @824407
     /*  824407 */   GIM_Try, /*On fail goto*//*Label 12731*/ GIMT_Encode4(824482), // Rule ID 22470 //
     /*  824412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  824429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824458 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  824461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824480 */     GIR_RootConstrainSelectedInstOperands,
     /*  824481 */     // GIR_Coverage, 22470,
     /*  824481 */     GIR_EraseRootFromParent_Done,
     /*  824482 */   // Label 12731: @824482
     /*  824482 */   GIM_Try, /*On fail goto*//*Label 12732*/ GIMT_Encode4(824557), // Rule ID 22471 //
     /*  824487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  824504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824533 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  824536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824555 */     GIR_RootConstrainSelectedInstOperands,
     /*  824556 */     // GIR_Coverage, 22471,
     /*  824556 */     GIR_EraseRootFromParent_Done,
     /*  824557 */   // Label 12732: @824557
     /*  824557 */   GIM_Try, /*On fail goto*//*Label 12733*/ GIMT_Encode4(824632), // Rule ID 22474 //
     /*  824562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  824579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  824611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824630 */     GIR_RootConstrainSelectedInstOperands,
     /*  824631 */     // GIR_Coverage, 22474,
     /*  824631 */     GIR_EraseRootFromParent_Done,
     /*  824632 */   // Label 12733: @824632
     /*  824632 */   GIM_Try, /*On fail goto*//*Label 12734*/ GIMT_Encode4(824707), // Rule ID 22475 //
     /*  824637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  824654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  824686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824705 */     GIR_RootConstrainSelectedInstOperands,
     /*  824706 */     // GIR_Coverage, 22475,
     /*  824706 */     GIR_EraseRootFromParent_Done,
     /*  824707 */   // Label 12734: @824707
     /*  824707 */   GIM_Try, /*On fail goto*//*Label 12735*/ GIMT_Encode4(824782), // Rule ID 22478 //
     /*  824712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  824729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  824761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824780 */     GIR_RootConstrainSelectedInstOperands,
     /*  824781 */     // GIR_Coverage, 22478,
     /*  824781 */     GIR_EraseRootFromParent_Done,
     /*  824782 */   // Label 12735: @824782
     /*  824782 */   GIM_Try, /*On fail goto*//*Label 12736*/ GIMT_Encode4(824857), // Rule ID 22479 //
     /*  824787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  824804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  824836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824855 */     GIR_RootConstrainSelectedInstOperands,
     /*  824856 */     // GIR_Coverage, 22479,
     /*  824856 */     GIR_EraseRootFromParent_Done,
     /*  824857 */   // Label 12736: @824857
     /*  824857 */   GIM_Try, /*On fail goto*//*Label 12737*/ GIMT_Encode4(824932), // Rule ID 22482 //
     /*  824862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  824879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  824911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824930 */     GIR_RootConstrainSelectedInstOperands,
     /*  824931 */     // GIR_Coverage, 22482,
     /*  824931 */     GIR_EraseRootFromParent_Done,
     /*  824932 */   // Label 12737: @824932
     /*  824932 */   GIM_Try, /*On fail goto*//*Label 12738*/ GIMT_Encode4(825007), // Rule ID 22483 //
     /*  824937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  824954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824983 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  824986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825005 */     GIR_RootConstrainSelectedInstOperands,
     /*  825006 */     // GIR_Coverage, 22483,
     /*  825006 */     GIR_EraseRootFromParent_Done,
     /*  825007 */   // Label 12738: @825007
     /*  825007 */   GIM_Try, /*On fail goto*//*Label 12739*/ GIMT_Encode4(825082), // Rule ID 22486 //
     /*  825012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  825029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  825061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825080 */     GIR_RootConstrainSelectedInstOperands,
     /*  825081 */     // GIR_Coverage, 22486,
     /*  825081 */     GIR_EraseRootFromParent_Done,
     /*  825082 */   // Label 12739: @825082
     /*  825082 */   GIM_Try, /*On fail goto*//*Label 12740*/ GIMT_Encode4(825157), // Rule ID 22487 //
     /*  825087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  825104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  825136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825155 */     GIR_RootConstrainSelectedInstOperands,
     /*  825156 */     // GIR_Coverage, 22487,
     /*  825156 */     GIR_EraseRootFromParent_Done,
     /*  825157 */   // Label 12740: @825157
     /*  825157 */   GIM_Try, /*On fail goto*//*Label 12741*/ GIMT_Encode4(825232), // Rule ID 22490 //
     /*  825162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  825179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  825208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  825211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825230 */     GIR_RootConstrainSelectedInstOperands,
     /*  825231 */     // GIR_Coverage, 22490,
     /*  825231 */     GIR_EraseRootFromParent_Done,
     /*  825232 */   // Label 12741: @825232
     /*  825232 */   GIM_Try, /*On fail goto*//*Label 12742*/ GIMT_Encode4(825307), // Rule ID 22491 //
     /*  825237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  825254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  825286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825305 */     GIR_RootConstrainSelectedInstOperands,
     /*  825306 */     // GIR_Coverage, 22491,
     /*  825306 */     GIR_EraseRootFromParent_Done,
     /*  825307 */   // Label 12742: @825307
     /*  825307 */   GIM_Try, /*On fail goto*//*Label 12743*/ GIMT_Encode4(825382), // Rule ID 22494 //
     /*  825312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  825329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825358 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  825358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  825361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825380 */     GIR_RootConstrainSelectedInstOperands,
     /*  825381 */     // GIR_Coverage, 22494,
     /*  825381 */     GIR_EraseRootFromParent_Done,
     /*  825382 */   // Label 12743: @825382
     /*  825382 */   GIM_Try, /*On fail goto*//*Label 12744*/ GIMT_Encode4(825457), // Rule ID 22495 //
     /*  825387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  825404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  825436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825455 */     GIR_RootConstrainSelectedInstOperands,
     /*  825456 */     // GIR_Coverage, 22495,
     /*  825456 */     GIR_EraseRootFromParent_Done,
     /*  825457 */   // Label 12744: @825457
     /*  825457 */   GIM_Try, /*On fail goto*//*Label 12745*/ GIMT_Encode4(825532), // Rule ID 22498 //
     /*  825462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  825479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  825508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  825511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825530 */     GIR_RootConstrainSelectedInstOperands,
     /*  825531 */     // GIR_Coverage, 22498,
     /*  825531 */     GIR_EraseRootFromParent_Done,
     /*  825532 */   // Label 12745: @825532
     /*  825532 */   GIM_Try, /*On fail goto*//*Label 12746*/ GIMT_Encode4(825607), // Rule ID 22499 //
     /*  825537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  825554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  825586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825605 */     GIR_RootConstrainSelectedInstOperands,
     /*  825606 */     // GIR_Coverage, 22499,
     /*  825606 */     GIR_EraseRootFromParent_Done,
     /*  825607 */   // Label 12746: @825607
     /*  825607 */   GIM_Try, /*On fail goto*//*Label 12747*/ GIMT_Encode4(825682), // Rule ID 22502 //
     /*  825612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  825615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  825629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  825661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825680 */     GIR_RootConstrainSelectedInstOperands,
     /*  825681 */     // GIR_Coverage, 22502,
     /*  825681 */     GIR_EraseRootFromParent_Done,
     /*  825682 */   // Label 12747: @825682
     /*  825682 */   GIM_Try, /*On fail goto*//*Label 12748*/ GIMT_Encode4(825757), // Rule ID 22503 //
     /*  825687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  825704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825733 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  825736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825755 */     GIR_RootConstrainSelectedInstOperands,
     /*  825756 */     // GIR_Coverage, 22503,
     /*  825756 */     GIR_EraseRootFromParent_Done,
     /*  825757 */   // Label 12748: @825757
     /*  825757 */   GIM_Try, /*On fail goto*//*Label 12749*/ GIMT_Encode4(825832), // Rule ID 22506 //
     /*  825762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  825765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  825779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  825811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825830 */     GIR_RootConstrainSelectedInstOperands,
     /*  825831 */     // GIR_Coverage, 22506,
     /*  825831 */     GIR_EraseRootFromParent_Done,
     /*  825832 */   // Label 12749: @825832
     /*  825832 */   GIM_Try, /*On fail goto*//*Label 12750*/ GIMT_Encode4(825907), // Rule ID 22507 //
     /*  825837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  825854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  825886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825905 */     GIR_RootConstrainSelectedInstOperands,
     /*  825906 */     // GIR_Coverage, 22507,
     /*  825906 */     GIR_EraseRootFromParent_Done,
     /*  825907 */   // Label 12750: @825907
     /*  825907 */   GIM_Try, /*On fail goto*//*Label 12751*/ GIMT_Encode4(825982), // Rule ID 22510 //
     /*  825912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  825915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  825929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  825961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825980 */     GIR_RootConstrainSelectedInstOperands,
     /*  825981 */     // GIR_Coverage, 22510,
     /*  825981 */     GIR_EraseRootFromParent_Done,
     /*  825982 */   // Label 12751: @825982
     /*  825982 */   GIM_Try, /*On fail goto*//*Label 12752*/ GIMT_Encode4(826057), // Rule ID 22511 //
     /*  825987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  825995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  826004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826033 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  826036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826055 */     GIR_RootConstrainSelectedInstOperands,
     /*  826056 */     // GIR_Coverage, 22511,
     /*  826056 */     GIR_EraseRootFromParent_Done,
     /*  826057 */   // Label 12752: @826057
     /*  826057 */   GIM_Try, /*On fail goto*//*Label 12753*/ GIMT_Encode4(826132), // Rule ID 22514 //
     /*  826062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  826079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  826111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826130 */     GIR_RootConstrainSelectedInstOperands,
     /*  826131 */     // GIR_Coverage, 22514,
     /*  826131 */     GIR_EraseRootFromParent_Done,
     /*  826132 */   // Label 12753: @826132
     /*  826132 */   GIM_Try, /*On fail goto*//*Label 12754*/ GIMT_Encode4(826207), // Rule ID 22515 //
     /*  826137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  826154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  826186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826205 */     GIR_RootConstrainSelectedInstOperands,
     /*  826206 */     // GIR_Coverage, 22515,
     /*  826206 */     GIR_EraseRootFromParent_Done,
     /*  826207 */   // Label 12754: @826207
     /*  826207 */   GIM_Try, /*On fail goto*//*Label 12755*/ GIMT_Encode4(826282), // Rule ID 22518 //
     /*  826212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  826229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826258 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  826261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826280 */     GIR_RootConstrainSelectedInstOperands,
     /*  826281 */     // GIR_Coverage, 22518,
     /*  826281 */     GIR_EraseRootFromParent_Done,
     /*  826282 */   // Label 12755: @826282
     /*  826282 */   GIM_Try, /*On fail goto*//*Label 12756*/ GIMT_Encode4(826357), // Rule ID 22519 //
     /*  826287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  826304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826333 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  826336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826355 */     GIR_RootConstrainSelectedInstOperands,
     /*  826356 */     // GIR_Coverage, 22519,
     /*  826356 */     GIR_EraseRootFromParent_Done,
     /*  826357 */   // Label 12756: @826357
     /*  826357 */   GIM_Try, /*On fail goto*//*Label 12757*/ GIMT_Encode4(826432), // Rule ID 22522 //
     /*  826362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  826379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  826411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826430 */     GIR_RootConstrainSelectedInstOperands,
     /*  826431 */     // GIR_Coverage, 22522,
     /*  826431 */     GIR_EraseRootFromParent_Done,
     /*  826432 */   // Label 12757: @826432
     /*  826432 */   GIM_Try, /*On fail goto*//*Label 12758*/ GIMT_Encode4(826507), // Rule ID 22523 //
     /*  826437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  826454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  826486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826505 */     GIR_RootConstrainSelectedInstOperands,
     /*  826506 */     // GIR_Coverage, 22523,
     /*  826506 */     GIR_EraseRootFromParent_Done,
     /*  826507 */   // Label 12758: @826507
     /*  826507 */   GIM_Try, /*On fail goto*//*Label 12759*/ GIMT_Encode4(826582), // Rule ID 22526 //
     /*  826512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  826529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  826561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826580 */     GIR_RootConstrainSelectedInstOperands,
     /*  826581 */     // GIR_Coverage, 22526,
     /*  826581 */     GIR_EraseRootFromParent_Done,
     /*  826582 */   // Label 12759: @826582
     /*  826582 */   GIM_Try, /*On fail goto*//*Label 12760*/ GIMT_Encode4(826657), // Rule ID 22527 //
     /*  826587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  826604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  826636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826655 */     GIR_RootConstrainSelectedInstOperands,
     /*  826656 */     // GIR_Coverage, 22527,
     /*  826656 */     GIR_EraseRootFromParent_Done,
     /*  826657 */   // Label 12760: @826657
     /*  826657 */   GIM_Try, /*On fail goto*//*Label 12761*/ GIMT_Encode4(826732), // Rule ID 22530 //
     /*  826662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  826679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  826711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826730 */     GIR_RootConstrainSelectedInstOperands,
     /*  826731 */     // GIR_Coverage, 22530,
     /*  826731 */     GIR_EraseRootFromParent_Done,
     /*  826732 */   // Label 12761: @826732
     /*  826732 */   GIM_Try, /*On fail goto*//*Label 12762*/ GIMT_Encode4(826807), // Rule ID 22531 //
     /*  826737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  826754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826783 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  826786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826805 */     GIR_RootConstrainSelectedInstOperands,
     /*  826806 */     // GIR_Coverage, 22531,
     /*  826806 */     GIR_EraseRootFromParent_Done,
     /*  826807 */   // Label 12762: @826807
     /*  826807 */   GIM_Try, /*On fail goto*//*Label 12763*/ GIMT_Encode4(826882), // Rule ID 22534 //
     /*  826812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  826829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826858 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  826861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826880 */     GIR_RootConstrainSelectedInstOperands,
     /*  826881 */     // GIR_Coverage, 22534,
     /*  826881 */     GIR_EraseRootFromParent_Done,
     /*  826882 */   // Label 12763: @826882
     /*  826882 */   GIM_Try, /*On fail goto*//*Label 12764*/ GIMT_Encode4(826957), // Rule ID 22535 //
     /*  826887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  826904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  826936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826955 */     GIR_RootConstrainSelectedInstOperands,
     /*  826956 */     // GIR_Coverage, 22535,
     /*  826956 */     GIR_EraseRootFromParent_Done,
     /*  826957 */   // Label 12764: @826957
     /*  826957 */   GIM_Try, /*On fail goto*//*Label 12765*/ GIMT_Encode4(827032), // Rule ID 22538 //
     /*  826962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  826979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  827011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827030 */     GIR_RootConstrainSelectedInstOperands,
     /*  827031 */     // GIR_Coverage, 22538,
     /*  827031 */     GIR_EraseRootFromParent_Done,
     /*  827032 */   // Label 12765: @827032
     /*  827032 */   GIM_Try, /*On fail goto*//*Label 12766*/ GIMT_Encode4(827107), // Rule ID 22539 //
     /*  827037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  827054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827083 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  827086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827105 */     GIR_RootConstrainSelectedInstOperands,
     /*  827106 */     // GIR_Coverage, 22539,
     /*  827106 */     GIR_EraseRootFromParent_Done,
     /*  827107 */   // Label 12766: @827107
     /*  827107 */   GIM_Try, /*On fail goto*//*Label 12767*/ GIMT_Encode4(827182), // Rule ID 22542 //
     /*  827112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  827129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  827161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827180 */     GIR_RootConstrainSelectedInstOperands,
     /*  827181 */     // GIR_Coverage, 22542,
     /*  827181 */     GIR_EraseRootFromParent_Done,
     /*  827182 */   // Label 12767: @827182
     /*  827182 */   GIM_Try, /*On fail goto*//*Label 12768*/ GIMT_Encode4(827257), // Rule ID 22543 //
     /*  827187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  827204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827233 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  827236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827255 */     GIR_RootConstrainSelectedInstOperands,
     /*  827256 */     // GIR_Coverage, 22543,
     /*  827256 */     GIR_EraseRootFromParent_Done,
     /*  827257 */   // Label 12768: @827257
     /*  827257 */   GIM_Try, /*On fail goto*//*Label 12769*/ GIMT_Encode4(827332), // Rule ID 22546 //
     /*  827262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  827279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  827311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827330 */     GIR_RootConstrainSelectedInstOperands,
     /*  827331 */     // GIR_Coverage, 22546,
     /*  827331 */     GIR_EraseRootFromParent_Done,
     /*  827332 */   // Label 12769: @827332
     /*  827332 */   GIM_Try, /*On fail goto*//*Label 12770*/ GIMT_Encode4(827407), // Rule ID 22547 //
     /*  827337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  827354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  827386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827405 */     GIR_RootConstrainSelectedInstOperands,
     /*  827406 */     // GIR_Coverage, 22547,
     /*  827406 */     GIR_EraseRootFromParent_Done,
     /*  827407 */   // Label 12770: @827407
     /*  827407 */   GIM_Try, /*On fail goto*//*Label 12771*/ GIMT_Encode4(827482), // Rule ID 22550 //
     /*  827412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  827415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  827429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  827432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827458 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  827458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  827461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827480 */     GIR_RootConstrainSelectedInstOperands,
     /*  827481 */     // GIR_Coverage, 22550,
     /*  827481 */     GIR_EraseRootFromParent_Done,
     /*  827482 */   // Label 12771: @827482
     /*  827482 */   GIM_Try, /*On fail goto*//*Label 12772*/ GIMT_Encode4(827557), // Rule ID 22551 //
     /*  827487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  827490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  827504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  827507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  827533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  827536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827555 */     GIR_RootConstrainSelectedInstOperands,
     /*  827556 */     // GIR_Coverage, 22551,
     /*  827556 */     GIR_EraseRootFromParent_Done,
     /*  827557 */   // Label 12772: @827557
     /*  827557 */   GIM_Try, /*On fail goto*//*Label 12773*/ GIMT_Encode4(827632), // Rule ID 22554 //
     /*  827562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  827579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  827611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827630 */     GIR_RootConstrainSelectedInstOperands,
     /*  827631 */     // GIR_Coverage, 22554,
     /*  827631 */     GIR_EraseRootFromParent_Done,
     /*  827632 */   // Label 12773: @827632
     /*  827632 */   GIM_Try, /*On fail goto*//*Label 12774*/ GIMT_Encode4(827707), // Rule ID 22555 //
     /*  827637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  827654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  827686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827705 */     GIR_RootConstrainSelectedInstOperands,
     /*  827706 */     // GIR_Coverage, 22555,
     /*  827706 */     GIR_EraseRootFromParent_Done,
     /*  827707 */   // Label 12774: @827707
     /*  827707 */   GIM_Try, /*On fail goto*//*Label 12775*/ GIMT_Encode4(827782), // Rule ID 22558 //
     /*  827712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  827729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827758 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  827761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827780 */     GIR_RootConstrainSelectedInstOperands,
     /*  827781 */     // GIR_Coverage, 22558,
     /*  827781 */     GIR_EraseRootFromParent_Done,
     /*  827782 */   // Label 12775: @827782
     /*  827782 */   GIM_Try, /*On fail goto*//*Label 12776*/ GIMT_Encode4(827857), // Rule ID 22559 //
     /*  827787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  827804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827833 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  827836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827855 */     GIR_RootConstrainSelectedInstOperands,
     /*  827856 */     // GIR_Coverage, 22559,
     /*  827856 */     GIR_EraseRootFromParent_Done,
     /*  827857 */   // Label 12776: @827857
     /*  827857 */   GIM_Try, /*On fail goto*//*Label 12777*/ GIMT_Encode4(827932), // Rule ID 22562 //
     /*  827862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  827879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  827911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827930 */     GIR_RootConstrainSelectedInstOperands,
     /*  827931 */     // GIR_Coverage, 22562,
     /*  827931 */     GIR_EraseRootFromParent_Done,
     /*  827932 */   // Label 12777: @827932
     /*  827932 */   GIM_Try, /*On fail goto*//*Label 12778*/ GIMT_Encode4(828007), // Rule ID 22563 //
     /*  827937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  827954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  827986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828005 */     GIR_RootConstrainSelectedInstOperands,
     /*  828006 */     // GIR_Coverage, 22563,
     /*  828006 */     GIR_EraseRootFromParent_Done,
     /*  828007 */   // Label 12778: @828007
     /*  828007 */   GIM_Try, /*On fail goto*//*Label 12779*/ GIMT_Encode4(828082), // Rule ID 22566 //
     /*  828012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  828029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  828061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828080 */     GIR_RootConstrainSelectedInstOperands,
     /*  828081 */     // GIR_Coverage, 22566,
     /*  828081 */     GIR_EraseRootFromParent_Done,
     /*  828082 */   // Label 12779: @828082
     /*  828082 */   GIM_Try, /*On fail goto*//*Label 12780*/ GIMT_Encode4(828157), // Rule ID 22567 //
     /*  828087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  828104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  828136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828155 */     GIR_RootConstrainSelectedInstOperands,
     /*  828156 */     // GIR_Coverage, 22567,
     /*  828156 */     GIR_EraseRootFromParent_Done,
     /*  828157 */   // Label 12780: @828157
     /*  828157 */   GIM_Try, /*On fail goto*//*Label 12781*/ GIMT_Encode4(828232), // Rule ID 22570 //
     /*  828162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  828179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  828211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828230 */     GIR_RootConstrainSelectedInstOperands,
     /*  828231 */     // GIR_Coverage, 22570,
     /*  828231 */     GIR_EraseRootFromParent_Done,
     /*  828232 */   // Label 12781: @828232
     /*  828232 */   GIM_Try, /*On fail goto*//*Label 12782*/ GIMT_Encode4(828307), // Rule ID 22571 //
     /*  828237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  828254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  828286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828305 */     GIR_RootConstrainSelectedInstOperands,
     /*  828306 */     // GIR_Coverage, 22571,
     /*  828306 */     GIR_EraseRootFromParent_Done,
     /*  828307 */   // Label 12782: @828307
     /*  828307 */   GIM_Try, /*On fail goto*//*Label 12783*/ GIMT_Encode4(828382), // Rule ID 22574 //
     /*  828312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  828329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  828361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828380 */     GIR_RootConstrainSelectedInstOperands,
     /*  828381 */     // GIR_Coverage, 22574,
     /*  828381 */     GIR_EraseRootFromParent_Done,
     /*  828382 */   // Label 12783: @828382
     /*  828382 */   GIM_Try, /*On fail goto*//*Label 12784*/ GIMT_Encode4(828457), // Rule ID 22575 //
     /*  828387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  828404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  828436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828455 */     GIR_RootConstrainSelectedInstOperands,
     /*  828456 */     // GIR_Coverage, 22575,
     /*  828456 */     GIR_EraseRootFromParent_Done,
     /*  828457 */   // Label 12784: @828457
     /*  828457 */   GIM_Try, /*On fail goto*//*Label 12785*/ GIMT_Encode4(828532), // Rule ID 22578 //
     /*  828462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  828479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  828508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  828511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828530 */     GIR_RootConstrainSelectedInstOperands,
     /*  828531 */     // GIR_Coverage, 22578,
     /*  828531 */     GIR_EraseRootFromParent_Done,
     /*  828532 */   // Label 12785: @828532
     /*  828532 */   GIM_Try, /*On fail goto*//*Label 12786*/ GIMT_Encode4(828607), // Rule ID 22579 //
     /*  828537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  828554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  828586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828605 */     GIR_RootConstrainSelectedInstOperands,
     /*  828606 */     // GIR_Coverage, 22579,
     /*  828606 */     GIR_EraseRootFromParent_Done,
     /*  828607 */   // Label 12786: @828607
     /*  828607 */   GIM_Try, /*On fail goto*//*Label 12787*/ GIMT_Encode4(828682), // Rule ID 22582 //
     /*  828612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  828629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  828658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  828661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828680 */     GIR_RootConstrainSelectedInstOperands,
     /*  828681 */     // GIR_Coverage, 22582,
     /*  828681 */     GIR_EraseRootFromParent_Done,
     /*  828682 */   // Label 12787: @828682
     /*  828682 */   GIM_Try, /*On fail goto*//*Label 12788*/ GIMT_Encode4(828757), // Rule ID 22583 //
     /*  828687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  828704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828733 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  828736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828755 */     GIR_RootConstrainSelectedInstOperands,
     /*  828756 */     // GIR_Coverage, 22583,
     /*  828756 */     GIR_EraseRootFromParent_Done,
     /*  828757 */   // Label 12788: @828757
     /*  828757 */   GIM_Try, /*On fail goto*//*Label 12789*/ GIMT_Encode4(828832), // Rule ID 22586 //
     /*  828762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  828779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  828808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  828811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828830 */     GIR_RootConstrainSelectedInstOperands,
     /*  828831 */     // GIR_Coverage, 22586,
     /*  828831 */     GIR_EraseRootFromParent_Done,
     /*  828832 */   // Label 12789: @828832
     /*  828832 */   GIM_Try, /*On fail goto*//*Label 12790*/ GIMT_Encode4(828907), // Rule ID 22587 //
     /*  828837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  828854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  828886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828905 */     GIR_RootConstrainSelectedInstOperands,
     /*  828906 */     // GIR_Coverage, 22587,
     /*  828906 */     GIR_EraseRootFromParent_Done,
     /*  828907 */   // Label 12790: @828907
     /*  828907 */   GIM_Try, /*On fail goto*//*Label 12791*/ GIMT_Encode4(828982), // Rule ID 22590 //
     /*  828912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  828915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  828929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  828958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  828961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828980 */     GIR_RootConstrainSelectedInstOperands,
     /*  828981 */     // GIR_Coverage, 22590,
     /*  828981 */     GIR_EraseRootFromParent_Done,
     /*  828982 */   // Label 12791: @828982
     /*  828982 */   GIM_Try, /*On fail goto*//*Label 12792*/ GIMT_Encode4(829057), // Rule ID 22591 //
     /*  828987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  829004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829033 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  829033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  829036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829055 */     GIR_RootConstrainSelectedInstOperands,
     /*  829056 */     // GIR_Coverage, 22591,
     /*  829056 */     GIR_EraseRootFromParent_Done,
     /*  829057 */   // Label 12792: @829057
     /*  829057 */   GIM_Try, /*On fail goto*//*Label 12793*/ GIMT_Encode4(829132), // Rule ID 22594 //
     /*  829062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  829079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  829108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  829111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829130 */     GIR_RootConstrainSelectedInstOperands,
     /*  829131 */     // GIR_Coverage, 22594,
     /*  829131 */     GIR_EraseRootFromParent_Done,
     /*  829132 */   // Label 12793: @829132
     /*  829132 */   GIM_Try, /*On fail goto*//*Label 12794*/ GIMT_Encode4(829207), // Rule ID 22595 //
     /*  829137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  829154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829183 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  829183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  829186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829205 */     GIR_RootConstrainSelectedInstOperands,
     /*  829206 */     // GIR_Coverage, 22595,
     /*  829206 */     GIR_EraseRootFromParent_Done,
     /*  829207 */   // Label 12794: @829207
     /*  829207 */   GIM_Try, /*On fail goto*//*Label 12795*/ GIMT_Encode4(829282), // Rule ID 22598 //
     /*  829212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  829229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  829258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  829261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829280 */     GIR_RootConstrainSelectedInstOperands,
     /*  829281 */     // GIR_Coverage, 22598,
     /*  829281 */     GIR_EraseRootFromParent_Done,
     /*  829282 */   // Label 12795: @829282
     /*  829282 */   GIM_Try, /*On fail goto*//*Label 12796*/ GIMT_Encode4(829357), // Rule ID 22599 //
     /*  829287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  829304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829333 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  829333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  829336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829355 */     GIR_RootConstrainSelectedInstOperands,
     /*  829356 */     // GIR_Coverage, 22599,
     /*  829356 */     GIR_EraseRootFromParent_Done,
     /*  829357 */   // Label 12796: @829357
     /*  829357 */   GIM_Try, /*On fail goto*//*Label 12797*/ GIMT_Encode4(829432), // Rule ID 22602 //
     /*  829362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  829379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  829411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829430 */     GIR_RootConstrainSelectedInstOperands,
     /*  829431 */     // GIR_Coverage, 22602,
     /*  829431 */     GIR_EraseRootFromParent_Done,
     /*  829432 */   // Label 12797: @829432
     /*  829432 */   GIM_Try, /*On fail goto*//*Label 12798*/ GIMT_Encode4(829507), // Rule ID 22603 //
     /*  829437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  829454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  829486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829505 */     GIR_RootConstrainSelectedInstOperands,
     /*  829506 */     // GIR_Coverage, 22603,
     /*  829506 */     GIR_EraseRootFromParent_Done,
     /*  829507 */   // Label 12798: @829507
     /*  829507 */   GIM_Try, /*On fail goto*//*Label 12799*/ GIMT_Encode4(829582), // Rule ID 22606 //
     /*  829512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  829529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829558 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  829561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829580 */     GIR_RootConstrainSelectedInstOperands,
     /*  829581 */     // GIR_Coverage, 22606,
     /*  829581 */     GIR_EraseRootFromParent_Done,
     /*  829582 */   // Label 12799: @829582
     /*  829582 */   GIM_Try, /*On fail goto*//*Label 12800*/ GIMT_Encode4(829657), // Rule ID 22607 //
     /*  829587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  829604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829633 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  829636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829655 */     GIR_RootConstrainSelectedInstOperands,
     /*  829656 */     // GIR_Coverage, 22607,
     /*  829656 */     GIR_EraseRootFromParent_Done,
     /*  829657 */   // Label 12800: @829657
     /*  829657 */   GIM_Try, /*On fail goto*//*Label 12801*/ GIMT_Encode4(829732), // Rule ID 22610 //
     /*  829662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  829679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  829711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829730 */     GIR_RootConstrainSelectedInstOperands,
     /*  829731 */     // GIR_Coverage, 22610,
     /*  829731 */     GIR_EraseRootFromParent_Done,
     /*  829732 */   // Label 12801: @829732
     /*  829732 */   GIM_Try, /*On fail goto*//*Label 12802*/ GIMT_Encode4(829807), // Rule ID 22611 //
     /*  829737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  829754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829783 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  829786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829805 */     GIR_RootConstrainSelectedInstOperands,
     /*  829806 */     // GIR_Coverage, 22611,
     /*  829806 */     GIR_EraseRootFromParent_Done,
     /*  829807 */   // Label 12802: @829807
     /*  829807 */   GIM_Try, /*On fail goto*//*Label 12803*/ GIMT_Encode4(829882), // Rule ID 22614 //
     /*  829812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  829829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  829861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829880 */     GIR_RootConstrainSelectedInstOperands,
     /*  829881 */     // GIR_Coverage, 22614,
     /*  829881 */     GIR_EraseRootFromParent_Done,
     /*  829882 */   // Label 12803: @829882
     /*  829882 */   GIM_Try, /*On fail goto*//*Label 12804*/ GIMT_Encode4(829957), // Rule ID 22615 //
     /*  829887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  829904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829933 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  829936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829955 */     GIR_RootConstrainSelectedInstOperands,
     /*  829956 */     // GIR_Coverage, 22615,
     /*  829956 */     GIR_EraseRootFromParent_Done,
     /*  829957 */   // Label 12804: @829957
     /*  829957 */   GIM_Try, /*On fail goto*//*Label 12805*/ GIMT_Encode4(830032), // Rule ID 22618 //
     /*  829962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  829979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  830011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830030 */     GIR_RootConstrainSelectedInstOperands,
     /*  830031 */     // GIR_Coverage, 22618,
     /*  830031 */     GIR_EraseRootFromParent_Done,
     /*  830032 */   // Label 12805: @830032
     /*  830032 */   GIM_Try, /*On fail goto*//*Label 12806*/ GIMT_Encode4(830107), // Rule ID 22619 //
     /*  830037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  830054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  830086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830105 */     GIR_RootConstrainSelectedInstOperands,
     /*  830106 */     // GIR_Coverage, 22619,
     /*  830106 */     GIR_EraseRootFromParent_Done,
     /*  830107 */   // Label 12806: @830107
     /*  830107 */   GIM_Try, /*On fail goto*//*Label 12807*/ GIMT_Encode4(830182), // Rule ID 22622 //
     /*  830112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  830129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830158 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  830158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  830161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830180 */     GIR_RootConstrainSelectedInstOperands,
     /*  830181 */     // GIR_Coverage, 22622,
     /*  830181 */     GIR_EraseRootFromParent_Done,
     /*  830182 */   // Label 12807: @830182
     /*  830182 */   GIM_Try, /*On fail goto*//*Label 12808*/ GIMT_Encode4(830257), // Rule ID 22623 //
     /*  830187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  830204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830233 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  830233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  830236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830255 */     GIR_RootConstrainSelectedInstOperands,
     /*  830256 */     // GIR_Coverage, 22623,
     /*  830256 */     GIR_EraseRootFromParent_Done,
     /*  830257 */   // Label 12808: @830257
     /*  830257 */   GIM_Try, /*On fail goto*//*Label 12809*/ GIMT_Encode4(830332), // Rule ID 22626 //
     /*  830262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  830279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  830311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830330 */     GIR_RootConstrainSelectedInstOperands,
     /*  830331 */     // GIR_Coverage, 22626,
     /*  830331 */     GIR_EraseRootFromParent_Done,
     /*  830332 */   // Label 12809: @830332
     /*  830332 */   GIM_Try, /*On fail goto*//*Label 12810*/ GIMT_Encode4(830407), // Rule ID 22627 //
     /*  830337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  830354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830383 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  830386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830405 */     GIR_RootConstrainSelectedInstOperands,
     /*  830406 */     // GIR_Coverage, 22627,
     /*  830406 */     GIR_EraseRootFromParent_Done,
     /*  830407 */   // Label 12810: @830407
     /*  830407 */   GIM_Try, /*On fail goto*//*Label 12811*/ GIMT_Encode4(830482), // Rule ID 22630 //
     /*  830412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  830429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  830461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830480 */     GIR_RootConstrainSelectedInstOperands,
     /*  830481 */     // GIR_Coverage, 22630,
     /*  830481 */     GIR_EraseRootFromParent_Done,
     /*  830482 */   // Label 12811: @830482
     /*  830482 */   GIM_Try, /*On fail goto*//*Label 12812*/ GIMT_Encode4(830557), // Rule ID 22631 //
     /*  830487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  830504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830533 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  830536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830555 */     GIR_RootConstrainSelectedInstOperands,
     /*  830556 */     // GIR_Coverage, 22631,
     /*  830556 */     GIR_EraseRootFromParent_Done,
     /*  830557 */   // Label 12812: @830557
     /*  830557 */   GIM_Try, /*On fail goto*//*Label 12813*/ GIMT_Encode4(830632), // Rule ID 22634 //
     /*  830562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  830579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  830608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  830611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830630 */     GIR_RootConstrainSelectedInstOperands,
     /*  830631 */     // GIR_Coverage, 22634,
     /*  830631 */     GIR_EraseRootFromParent_Done,
     /*  830632 */   // Label 12813: @830632
     /*  830632 */   GIM_Try, /*On fail goto*//*Label 12814*/ GIMT_Encode4(830707), // Rule ID 22635 //
     /*  830637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  830654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830683 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  830683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  830686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830705 */     GIR_RootConstrainSelectedInstOperands,
     /*  830706 */     // GIR_Coverage, 22635,
     /*  830706 */     GIR_EraseRootFromParent_Done,
     /*  830707 */   // Label 12814: @830707
     /*  830707 */   GIM_Try, /*On fail goto*//*Label 12815*/ GIMT_Encode4(830782), // Rule ID 22638 //
     /*  830712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  830715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  830729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  830758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  830761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830780 */     GIR_RootConstrainSelectedInstOperands,
     /*  830781 */     // GIR_Coverage, 22638,
     /*  830781 */     GIR_EraseRootFromParent_Done,
     /*  830782 */   // Label 12815: @830782
     /*  830782 */   GIM_Try, /*On fail goto*//*Label 12816*/ GIMT_Encode4(830857), // Rule ID 22639 //
     /*  830787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  830790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  830804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830833 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  830833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  830836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830855 */     GIR_RootConstrainSelectedInstOperands,
     /*  830856 */     // GIR_Coverage, 22639,
     /*  830856 */     GIR_EraseRootFromParent_Done,
     /*  830857 */   // Label 12816: @830857
     /*  830857 */   GIM_Try, /*On fail goto*//*Label 12817*/ GIMT_Encode4(830932), // Rule ID 22642 //
     /*  830862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  830879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  830911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830930 */     GIR_RootConstrainSelectedInstOperands,
     /*  830931 */     // GIR_Coverage, 22642,
     /*  830931 */     GIR_EraseRootFromParent_Done,
     /*  830932 */   // Label 12817: @830932
     /*  830932 */   GIM_Try, /*On fail goto*//*Label 12818*/ GIMT_Encode4(831007), // Rule ID 22643 //
     /*  830937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  830954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  830986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831005 */     GIR_RootConstrainSelectedInstOperands,
     /*  831006 */     // GIR_Coverage, 22643,
     /*  831006 */     GIR_EraseRootFromParent_Done,
     /*  831007 */   // Label 12818: @831007
     /*  831007 */   GIM_Try, /*On fail goto*//*Label 12819*/ GIMT_Encode4(831082), // Rule ID 22646 //
     /*  831012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  831029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831058 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  831061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831080 */     GIR_RootConstrainSelectedInstOperands,
     /*  831081 */     // GIR_Coverage, 22646,
     /*  831081 */     GIR_EraseRootFromParent_Done,
     /*  831082 */   // Label 12819: @831082
     /*  831082 */   GIM_Try, /*On fail goto*//*Label 12820*/ GIMT_Encode4(831157), // Rule ID 22647 //
     /*  831087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  831104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831133 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  831136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831155 */     GIR_RootConstrainSelectedInstOperands,
     /*  831156 */     // GIR_Coverage, 22647,
     /*  831156 */     GIR_EraseRootFromParent_Done,
     /*  831157 */   // Label 12820: @831157
     /*  831157 */   GIM_Try, /*On fail goto*//*Label 12821*/ GIMT_Encode4(831232), // Rule ID 22650 //
     /*  831162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  831179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  831211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831230 */     GIR_RootConstrainSelectedInstOperands,
     /*  831231 */     // GIR_Coverage, 22650,
     /*  831231 */     GIR_EraseRootFromParent_Done,
     /*  831232 */   // Label 12821: @831232
     /*  831232 */   GIM_Try, /*On fail goto*//*Label 12822*/ GIMT_Encode4(831307), // Rule ID 22651 //
     /*  831237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  831254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  831286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831305 */     GIR_RootConstrainSelectedInstOperands,
     /*  831306 */     // GIR_Coverage, 22651,
     /*  831306 */     GIR_EraseRootFromParent_Done,
     /*  831307 */   // Label 12822: @831307
     /*  831307 */   GIM_Try, /*On fail goto*//*Label 12823*/ GIMT_Encode4(831382), // Rule ID 22654 //
     /*  831312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  831329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  831361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831380 */     GIR_RootConstrainSelectedInstOperands,
     /*  831381 */     // GIR_Coverage, 22654,
     /*  831381 */     GIR_EraseRootFromParent_Done,
     /*  831382 */   // Label 12823: @831382
     /*  831382 */   GIM_Try, /*On fail goto*//*Label 12824*/ GIMT_Encode4(831457), // Rule ID 22655 //
     /*  831387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  831404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  831436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831455 */     GIR_RootConstrainSelectedInstOperands,
     /*  831456 */     // GIR_Coverage, 22655,
     /*  831456 */     GIR_EraseRootFromParent_Done,
     /*  831457 */   // Label 12824: @831457
     /*  831457 */   GIM_Try, /*On fail goto*//*Label 12825*/ GIMT_Encode4(831532), // Rule ID 22658 //
     /*  831462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  831479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  831511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831530 */     GIR_RootConstrainSelectedInstOperands,
     /*  831531 */     // GIR_Coverage, 22658,
     /*  831531 */     GIR_EraseRootFromParent_Done,
     /*  831532 */   // Label 12825: @831532
     /*  831532 */   GIM_Try, /*On fail goto*//*Label 12826*/ GIMT_Encode4(831607), // Rule ID 22659 //
     /*  831537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  831554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831583 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  831586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831605 */     GIR_RootConstrainSelectedInstOperands,
     /*  831606 */     // GIR_Coverage, 22659,
     /*  831606 */     GIR_EraseRootFromParent_Done,
     /*  831607 */   // Label 12826: @831607
     /*  831607 */   GIM_Try, /*On fail goto*//*Label 12827*/ GIMT_Encode4(831682), // Rule ID 22662 //
     /*  831612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  831629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831658 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  831661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831680 */     GIR_RootConstrainSelectedInstOperands,
     /*  831681 */     // GIR_Coverage, 22662,
     /*  831681 */     GIR_EraseRootFromParent_Done,
     /*  831682 */   // Label 12827: @831682
     /*  831682 */   GIM_Try, /*On fail goto*//*Label 12828*/ GIMT_Encode4(831757), // Rule ID 22663 //
     /*  831687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  831704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  831736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831755 */     GIR_RootConstrainSelectedInstOperands,
     /*  831756 */     // GIR_Coverage, 22663,
     /*  831756 */     GIR_EraseRootFromParent_Done,
     /*  831757 */   // Label 12828: @831757
     /*  831757 */   GIM_Try, /*On fail goto*//*Label 12829*/ GIMT_Encode4(831832), // Rule ID 22666 //
     /*  831762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  831779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  831811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831830 */     GIR_RootConstrainSelectedInstOperands,
     /*  831831 */     // GIR_Coverage, 22666,
     /*  831831 */     GIR_EraseRootFromParent_Done,
     /*  831832 */   // Label 12829: @831832
     /*  831832 */   GIM_Try, /*On fail goto*//*Label 12830*/ GIMT_Encode4(831907), // Rule ID 22667 //
     /*  831837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  831854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  831886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831905 */     GIR_RootConstrainSelectedInstOperands,
     /*  831906 */     // GIR_Coverage, 22667,
     /*  831906 */     GIR_EraseRootFromParent_Done,
     /*  831907 */   // Label 12830: @831907
     /*  831907 */   GIM_Try, /*On fail goto*//*Label 12831*/ GIMT_Encode4(831982), // Rule ID 22670 //
     /*  831912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  831929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831958 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  831961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831980 */     GIR_RootConstrainSelectedInstOperands,
     /*  831981 */     // GIR_Coverage, 22670,
     /*  831981 */     GIR_EraseRootFromParent_Done,
     /*  831982 */   // Label 12831: @831982
     /*  831982 */   GIM_Try, /*On fail goto*//*Label 12832*/ GIMT_Encode4(832057), // Rule ID 22671 //
     /*  831987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  832004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832033 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  832036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832055 */     GIR_RootConstrainSelectedInstOperands,
     /*  832056 */     // GIR_Coverage, 22671,
     /*  832056 */     GIR_EraseRootFromParent_Done,
     /*  832057 */   // Label 12832: @832057
     /*  832057 */   GIM_Try, /*On fail goto*//*Label 12833*/ GIMT_Encode4(832132), // Rule ID 22674 //
     /*  832062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  832070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  832079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  832111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832130 */     GIR_RootConstrainSelectedInstOperands,
     /*  832131 */     // GIR_Coverage, 22674,
     /*  832131 */     GIR_EraseRootFromParent_Done,
     /*  832132 */   // Label 12833: @832132
     /*  832132 */   GIM_Try, /*On fail goto*//*Label 12834*/ GIMT_Encode4(832207), // Rule ID 22675 //
     /*  832137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  832145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  832154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  832186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832205 */     GIR_RootConstrainSelectedInstOperands,
     /*  832206 */     // GIR_Coverage, 22675,
     /*  832206 */     GIR_EraseRootFromParent_Done,
     /*  832207 */   // Label 12834: @832207
     /*  832207 */   GIM_Try, /*On fail goto*//*Label 12835*/ GIMT_Encode4(832282), // Rule ID 22678 //
     /*  832212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  832215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  832220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  832229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  832258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  832261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832280 */     GIR_RootConstrainSelectedInstOperands,
     /*  832281 */     // GIR_Coverage, 22678,
     /*  832281 */     GIR_EraseRootFromParent_Done,
     /*  832282 */   // Label 12835: @832282
     /*  832282 */   GIM_Try, /*On fail goto*//*Label 12836*/ GIMT_Encode4(832357), // Rule ID 22679 //
     /*  832287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  832290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  832295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  832304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832333 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  832333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  832336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832355 */     GIR_RootConstrainSelectedInstOperands,
     /*  832356 */     // GIR_Coverage, 22679,
     /*  832356 */     GIR_EraseRootFromParent_Done,
     /*  832357 */   // Label 12836: @832357
     /*  832357 */   GIM_Try, /*On fail goto*//*Label 12837*/ GIMT_Encode4(832432), // Rule ID 22682 //
     /*  832362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  832365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  832370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  832379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832408 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  832408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  832411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832430 */     GIR_RootConstrainSelectedInstOperands,
     /*  832431 */     // GIR_Coverage, 22682,
     /*  832431 */     GIR_EraseRootFromParent_Done,
     /*  832432 */   // Label 12837: @832432
     /*  832432 */   GIM_Try, /*On fail goto*//*Label 12838*/ GIMT_Encode4(832507), // Rule ID 22683 //
     /*  832437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  832440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  832445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  832454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832483 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  832483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  832486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832505 */     GIR_RootConstrainSelectedInstOperands,
     /*  832506 */     // GIR_Coverage, 22683,
     /*  832506 */     GIR_EraseRootFromParent_Done,
     /*  832507 */   // Label 12838: @832507
     /*  832507 */   GIM_Try, /*On fail goto*//*Label 12839*/ GIMT_Encode4(832582), // Rule ID 22686 //
     /*  832512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  832515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  832520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  832529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832558 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  832558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  832561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832580 */     GIR_RootConstrainSelectedInstOperands,
     /*  832581 */     // GIR_Coverage, 22686,
     /*  832581 */     GIR_EraseRootFromParent_Done,
     /*  832582 */   // Label 12839: @832582
     /*  832582 */   GIM_Try, /*On fail goto*//*Label 12840*/ GIMT_Encode4(832657), // Rule ID 22687 //
     /*  832587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  832590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  832595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  832604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  832633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  832636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832655 */     GIR_RootConstrainSelectedInstOperands,
     /*  832656 */     // GIR_Coverage, 22687,
     /*  832656 */     GIR_EraseRootFromParent_Done,
     /*  832657 */   // Label 12840: @832657
     /*  832657 */   GIM_Try, /*On fail goto*//*Label 12841*/ GIMT_Encode4(832732), // Rule ID 22690 //
     /*  832662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  832679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  832711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832730 */     GIR_RootConstrainSelectedInstOperands,
     /*  832731 */     // GIR_Coverage, 22690,
     /*  832731 */     GIR_EraseRootFromParent_Done,
     /*  832732 */   // Label 12841: @832732
     /*  832732 */   GIM_Try, /*On fail goto*//*Label 12842*/ GIMT_Encode4(832807), // Rule ID 22691 //
     /*  832737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  832754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832783 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  832786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832805 */     GIR_RootConstrainSelectedInstOperands,
     /*  832806 */     // GIR_Coverage, 22691,
     /*  832806 */     GIR_EraseRootFromParent_Done,
     /*  832807 */   // Label 12842: @832807
     /*  832807 */   GIM_Try, /*On fail goto*//*Label 12843*/ GIMT_Encode4(832882), // Rule ID 22694 //
     /*  832812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  832829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  832861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832880 */     GIR_RootConstrainSelectedInstOperands,
     /*  832881 */     // GIR_Coverage, 22694,
     /*  832881 */     GIR_EraseRootFromParent_Done,
     /*  832882 */   // Label 12843: @832882
     /*  832882 */   GIM_Try, /*On fail goto*//*Label 12844*/ GIMT_Encode4(832957), // Rule ID 22695 //
     /*  832887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  832904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832933 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  832936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832955 */     GIR_RootConstrainSelectedInstOperands,
     /*  832956 */     // GIR_Coverage, 22695,
     /*  832956 */     GIR_EraseRootFromParent_Done,
     /*  832957 */   // Label 12844: @832957
     /*  832957 */   GIM_Try, /*On fail goto*//*Label 12845*/ GIMT_Encode4(833032), // Rule ID 22698 //
     /*  832962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  832979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  833011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833030 */     GIR_RootConstrainSelectedInstOperands,
     /*  833031 */     // GIR_Coverage, 22698,
     /*  833031 */     GIR_EraseRootFromParent_Done,
     /*  833032 */   // Label 12845: @833032
     /*  833032 */   GIM_Try, /*On fail goto*//*Label 12846*/ GIMT_Encode4(833107), // Rule ID 22699 //
     /*  833037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  833054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  833086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833105 */     GIR_RootConstrainSelectedInstOperands,
     /*  833106 */     // GIR_Coverage, 22699,
     /*  833106 */     GIR_EraseRootFromParent_Done,
     /*  833107 */   // Label 12846: @833107
     /*  833107 */   GIM_Try, /*On fail goto*//*Label 12847*/ GIMT_Encode4(833182), // Rule ID 22702 //
     /*  833112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833158 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11679:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  833161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833180 */     GIR_RootConstrainSelectedInstOperands,
     /*  833181 */     // GIR_Coverage, 22702,
     /*  833181 */     GIR_EraseRootFromParent_Done,
     /*  833182 */   // Label 12847: @833182
     /*  833182 */   GIM_Try, /*On fail goto*//*Label 12848*/ GIMT_Encode4(833257), // Rule ID 22703 //
     /*  833187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833233 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11679:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  833236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833255 */     GIR_RootConstrainSelectedInstOperands,
     /*  833256 */     // GIR_Coverage, 22703,
     /*  833256 */     GIR_EraseRootFromParent_Done,
     /*  833257 */   // Label 12848: @833257
     /*  833257 */   GIM_Try, /*On fail goto*//*Label 12849*/ GIMT_Encode4(833332), // Rule ID 22706 //
     /*  833262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11679:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  833311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833330 */     GIR_RootConstrainSelectedInstOperands,
     /*  833331 */     // GIR_Coverage, 22706,
     /*  833331 */     GIR_EraseRootFromParent_Done,
     /*  833332 */   // Label 12849: @833332
     /*  833332 */   GIM_Try, /*On fail goto*//*Label 12850*/ GIMT_Encode4(833407), // Rule ID 22707 //
     /*  833337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11679:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  833386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833405 */     GIR_RootConstrainSelectedInstOperands,
     /*  833406 */     // GIR_Coverage, 22707,
     /*  833406 */     GIR_EraseRootFromParent_Done,
     /*  833407 */   // Label 12850: @833407
     /*  833407 */   GIM_Try, /*On fail goto*//*Label 12851*/ GIMT_Encode4(833482), // Rule ID 22710 //
     /*  833412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833458 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11679:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  833458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  833461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833480 */     GIR_RootConstrainSelectedInstOperands,
     /*  833481 */     // GIR_Coverage, 22710,
     /*  833481 */     GIR_EraseRootFromParent_Done,
     /*  833482 */   // Label 12851: @833482
     /*  833482 */   GIM_Try, /*On fail goto*//*Label 12852*/ GIMT_Encode4(833557), // Rule ID 22711 //
     /*  833487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11679:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  833533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  833536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833555 */     GIR_RootConstrainSelectedInstOperands,
     /*  833556 */     // GIR_Coverage, 22711,
     /*  833556 */     GIR_EraseRootFromParent_Done,
     /*  833557 */   // Label 12852: @833557
     /*  833557 */   GIM_Try, /*On fail goto*//*Label 12853*/ GIMT_Encode4(833632), // Rule ID 22714 //
     /*  833562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  833579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  833611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833630 */     GIR_RootConstrainSelectedInstOperands,
     /*  833631 */     // GIR_Coverage, 22714,
     /*  833631 */     GIR_EraseRootFromParent_Done,
     /*  833632 */   // Label 12853: @833632
     /*  833632 */   GIM_Try, /*On fail goto*//*Label 12854*/ GIMT_Encode4(833707), // Rule ID 22715 //
     /*  833637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  833654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833683 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  833686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833705 */     GIR_RootConstrainSelectedInstOperands,
     /*  833706 */     // GIR_Coverage, 22715,
     /*  833706 */     GIR_EraseRootFromParent_Done,
     /*  833707 */   // Label 12854: @833707
     /*  833707 */   GIM_Try, /*On fail goto*//*Label 12855*/ GIMT_Encode4(833782), // Rule ID 22718 //
     /*  833712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833758 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11679:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  833761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833780 */     GIR_RootConstrainSelectedInstOperands,
     /*  833781 */     // GIR_Coverage, 22718,
     /*  833781 */     GIR_EraseRootFromParent_Done,
     /*  833782 */   // Label 12855: @833782
     /*  833782 */   GIM_Try, /*On fail goto*//*Label 12856*/ GIMT_Encode4(833857), // Rule ID 22719 //
     /*  833787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833833 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11679:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  833836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833855 */     GIR_RootConstrainSelectedInstOperands,
     /*  833856 */     // GIR_Coverage, 22719,
     /*  833856 */     GIR_EraseRootFromParent_Done,
     /*  833857 */   // Label 12856: @833857
     /*  833857 */   GIM_Try, /*On fail goto*//*Label 12857*/ GIMT_Encode4(833932), // Rule ID 22722 //
     /*  833862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  833879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11679:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  833908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  833911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833930 */     GIR_RootConstrainSelectedInstOperands,
     /*  833931 */     // GIR_Coverage, 22722,
     /*  833931 */     GIR_EraseRootFromParent_Done,
     /*  833932 */   // Label 12857: @833932
     /*  833932 */   GIM_Try, /*On fail goto*//*Label 12858*/ GIMT_Encode4(834007), // Rule ID 22723 //
     /*  833937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  833954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833983 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11679:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  833983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  833986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834005 */     GIR_RootConstrainSelectedInstOperands,
     /*  834006 */     // GIR_Coverage, 22723,
     /*  834006 */     GIR_EraseRootFromParent_Done,
     /*  834007 */   // Label 12858: @834007
     /*  834007 */   GIM_Try, /*On fail goto*//*Label 12859*/ GIMT_Encode4(834082), // Rule ID 22726 //
     /*  834012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  834029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  834061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834080 */     GIR_RootConstrainSelectedInstOperands,
     /*  834081 */     // GIR_Coverage, 22726,
     /*  834081 */     GIR_EraseRootFromParent_Done,
     /*  834082 */   // Label 12859: @834082
     /*  834082 */   GIM_Try, /*On fail goto*//*Label 12860*/ GIMT_Encode4(834157), // Rule ID 22727 //
     /*  834087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  834104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  834136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834155 */     GIR_RootConstrainSelectedInstOperands,
     /*  834156 */     // GIR_Coverage, 22727,
     /*  834156 */     GIR_EraseRootFromParent_Done,
     /*  834157 */   // Label 12860: @834157
     /*  834157 */   GIM_Try, /*On fail goto*//*Label 12861*/ GIMT_Encode4(834232), // Rule ID 22730 //
     /*  834162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  834179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  834211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834230 */     GIR_RootConstrainSelectedInstOperands,
     /*  834231 */     // GIR_Coverage, 22730,
     /*  834231 */     GIR_EraseRootFromParent_Done,
     /*  834232 */   // Label 12861: @834232
     /*  834232 */   GIM_Try, /*On fail goto*//*Label 12862*/ GIMT_Encode4(834307), // Rule ID 22731 //
     /*  834237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  834254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  834286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834305 */     GIR_RootConstrainSelectedInstOperands,
     /*  834306 */     // GIR_Coverage, 22731,
     /*  834306 */     GIR_EraseRootFromParent_Done,
     /*  834307 */   // Label 12862: @834307
     /*  834307 */   GIM_Try, /*On fail goto*//*Label 12863*/ GIMT_Encode4(834382), // Rule ID 22734 //
     /*  834312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  834329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  834361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834380 */     GIR_RootConstrainSelectedInstOperands,
     /*  834381 */     // GIR_Coverage, 22734,
     /*  834381 */     GIR_EraseRootFromParent_Done,
     /*  834382 */   // Label 12863: @834382
     /*  834382 */   GIM_Try, /*On fail goto*//*Label 12864*/ GIMT_Encode4(834457), // Rule ID 22735 //
     /*  834387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  834404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11679:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  834436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834455 */     GIR_RootConstrainSelectedInstOperands,
     /*  834456 */     // GIR_Coverage, 22735,
     /*  834456 */     GIR_EraseRootFromParent_Done,
     /*  834457 */   // Label 12864: @834457
     /*  834457 */   GIM_Try, /*On fail goto*//*Label 12865*/ GIMT_Encode4(834532), // Rule ID 22738 //
     /*  834462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  834479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11679:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  834511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834530 */     GIR_RootConstrainSelectedInstOperands,
     /*  834531 */     // GIR_Coverage, 22738,
     /*  834531 */     GIR_EraseRootFromParent_Done,
     /*  834532 */   // Label 12865: @834532
     /*  834532 */   GIM_Try, /*On fail goto*//*Label 12866*/ GIMT_Encode4(834607), // Rule ID 22739 //
     /*  834537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  834554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11679:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  834586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834605 */     GIR_RootConstrainSelectedInstOperands,
     /*  834606 */     // GIR_Coverage, 22739,
     /*  834606 */     GIR_EraseRootFromParent_Done,
     /*  834607 */   // Label 12866: @834607
     /*  834607 */   GIM_Try, /*On fail goto*//*Label 12867*/ GIMT_Encode4(834682), // Rule ID 22742 //
     /*  834612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  834629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11679:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  834661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834680 */     GIR_RootConstrainSelectedInstOperands,
     /*  834681 */     // GIR_Coverage, 22742,
     /*  834681 */     GIR_EraseRootFromParent_Done,
     /*  834682 */   // Label 12867: @834682
     /*  834682 */   GIM_Try, /*On fail goto*//*Label 12868*/ GIMT_Encode4(834757), // Rule ID 22743 //
     /*  834687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  834704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834733 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11679:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  834736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834755 */     GIR_RootConstrainSelectedInstOperands,
     /*  834756 */     // GIR_Coverage, 22743,
     /*  834756 */     GIR_EraseRootFromParent_Done,
     /*  834757 */   // Label 12868: @834757
     /*  834757 */   GIM_Try, /*On fail goto*//*Label 12869*/ GIMT_Encode4(834832), // Rule ID 22746 //
     /*  834762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  834779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11679:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  834811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834830 */     GIR_RootConstrainSelectedInstOperands,
     /*  834831 */     // GIR_Coverage, 22746,
     /*  834831 */     GIR_EraseRootFromParent_Done,
     /*  834832 */   // Label 12869: @834832
     /*  834832 */   GIM_Try, /*On fail goto*//*Label 12870*/ GIMT_Encode4(834907), // Rule ID 22747 //
     /*  834837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  834854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11679:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  834886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834905 */     GIR_RootConstrainSelectedInstOperands,
     /*  834906 */     // GIR_Coverage, 22747,
     /*  834906 */     GIR_EraseRootFromParent_Done,
     /*  834907 */   // Label 12870: @834907
     /*  834907 */   GIM_Try, /*On fail goto*//*Label 12871*/ GIMT_Encode4(834982), // Rule ID 22750 //
     /*  834912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  834929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11679:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  834961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834980 */     GIR_RootConstrainSelectedInstOperands,
     /*  834981 */     // GIR_Coverage, 22750,
     /*  834981 */     GIR_EraseRootFromParent_Done,
     /*  834982 */   // Label 12871: @834982
     /*  834982 */   GIM_Try, /*On fail goto*//*Label 12872*/ GIMT_Encode4(835057), // Rule ID 22751 //
     /*  834987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  835004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835033 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11679:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  835036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835055 */     GIR_RootConstrainSelectedInstOperands,
     /*  835056 */     // GIR_Coverage, 22751,
     /*  835056 */     GIR_EraseRootFromParent_Done,
     /*  835057 */   // Label 12872: @835057
     /*  835057 */   GIM_Try, /*On fail goto*//*Label 12873*/ GIMT_Encode4(835132), // Rule ID 22754 //
     /*  835062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  835070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  835079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11679:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  835111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835130 */     GIR_RootConstrainSelectedInstOperands,
     /*  835131 */     // GIR_Coverage, 22754,
     /*  835131 */     GIR_EraseRootFromParent_Done,
     /*  835132 */   // Label 12873: @835132
     /*  835132 */   GIM_Try, /*On fail goto*//*Label 12874*/ GIMT_Encode4(835207), // Rule ID 22755 //
     /*  835137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  835145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  835154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835183 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11679:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  835186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835205 */     GIR_RootConstrainSelectedInstOperands,
     /*  835206 */     // GIR_Coverage, 22755,
     /*  835206 */     GIR_EraseRootFromParent_Done,
     /*  835207 */   // Label 12874: @835207
     /*  835207 */   GIM_Try, /*On fail goto*//*Label 12875*/ GIMT_Encode4(835282), // Rule ID 22758 //
     /*  835212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  835220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  835229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11679:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  835261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835280 */     GIR_RootConstrainSelectedInstOperands,
     /*  835281 */     // GIR_Coverage, 22758,
     /*  835281 */     GIR_EraseRootFromParent_Done,
     /*  835282 */   // Label 12875: @835282
     /*  835282 */   GIM_Try, /*On fail goto*//*Label 12876*/ GIMT_Encode4(835357), // Rule ID 22759 //
     /*  835287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  835295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  835304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835333 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11679:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  835336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835355 */     GIR_RootConstrainSelectedInstOperands,
     /*  835356 */     // GIR_Coverage, 22759,
     /*  835356 */     GIR_EraseRootFromParent_Done,
     /*  835357 */   // Label 12876: @835357
     /*  835357 */   GIM_Try, /*On fail goto*//*Label 12877*/ GIMT_Encode4(835432), // Rule ID 22762 //
     /*  835362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  835379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  835411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835430 */     GIR_RootConstrainSelectedInstOperands,
     /*  835431 */     // GIR_Coverage, 22762,
     /*  835431 */     GIR_EraseRootFromParent_Done,
     /*  835432 */   // Label 12877: @835432
     /*  835432 */   GIM_Try, /*On fail goto*//*Label 12878*/ GIMT_Encode4(835507), // Rule ID 22763 //
     /*  835437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  835454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835483 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  835486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835505 */     GIR_RootConstrainSelectedInstOperands,
     /*  835506 */     // GIR_Coverage, 22763,
     /*  835506 */     GIR_EraseRootFromParent_Done,
     /*  835507 */   // Label 12878: @835507
     /*  835507 */   GIM_Try, /*On fail goto*//*Label 12879*/ GIMT_Encode4(835582), // Rule ID 22766 //
     /*  835512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  835529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  835561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835580 */     GIR_RootConstrainSelectedInstOperands,
     /*  835581 */     // GIR_Coverage, 22766,
     /*  835581 */     GIR_EraseRootFromParent_Done,
     /*  835582 */   // Label 12879: @835582
     /*  835582 */   GIM_Try, /*On fail goto*//*Label 12880*/ GIMT_Encode4(835657), // Rule ID 22767 //
     /*  835587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  835604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  835636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835655 */     GIR_RootConstrainSelectedInstOperands,
     /*  835656 */     // GIR_Coverage, 22767,
     /*  835656 */     GIR_EraseRootFromParent_Done,
     /*  835657 */   // Label 12880: @835657
     /*  835657 */   GIM_Try, /*On fail goto*//*Label 12881*/ GIMT_Encode4(835732), // Rule ID 22770 //
     /*  835662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  835679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  835711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835730 */     GIR_RootConstrainSelectedInstOperands,
     /*  835731 */     // GIR_Coverage, 22770,
     /*  835731 */     GIR_EraseRootFromParent_Done,
     /*  835732 */   // Label 12881: @835732
     /*  835732 */   GIM_Try, /*On fail goto*//*Label 12882*/ GIMT_Encode4(835807), // Rule ID 22771 //
     /*  835737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  835754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835783 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  835786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835805 */     GIR_RootConstrainSelectedInstOperands,
     /*  835806 */     // GIR_Coverage, 22771,
     /*  835806 */     GIR_EraseRootFromParent_Done,
     /*  835807 */   // Label 12882: @835807
     /*  835807 */   GIM_Try, /*On fail goto*//*Label 12883*/ GIMT_Encode4(835882), // Rule ID 22774 //
     /*  835812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  835829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835858 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  835861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835880 */     GIR_RootConstrainSelectedInstOperands,
     /*  835881 */     // GIR_Coverage, 22774,
     /*  835881 */     GIR_EraseRootFromParent_Done,
     /*  835882 */   // Label 12883: @835882
     /*  835882 */   GIM_Try, /*On fail goto*//*Label 12884*/ GIMT_Encode4(835957), // Rule ID 22775 //
     /*  835887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  835904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  835936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835955 */     GIR_RootConstrainSelectedInstOperands,
     /*  835956 */     // GIR_Coverage, 22775,
     /*  835956 */     GIR_EraseRootFromParent_Done,
     /*  835957 */   // Label 12884: @835957
     /*  835957 */   GIM_Try, /*On fail goto*//*Label 12885*/ GIMT_Encode4(836032), // Rule ID 22778 //
     /*  835962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  835979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  836011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836030 */     GIR_RootConstrainSelectedInstOperands,
     /*  836031 */     // GIR_Coverage, 22778,
     /*  836031 */     GIR_EraseRootFromParent_Done,
     /*  836032 */   // Label 12885: @836032
     /*  836032 */   GIM_Try, /*On fail goto*//*Label 12886*/ GIMT_Encode4(836107), // Rule ID 22779 //
     /*  836037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  836054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  836086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836105 */     GIR_RootConstrainSelectedInstOperands,
     /*  836106 */     // GIR_Coverage, 22779,
     /*  836106 */     GIR_EraseRootFromParent_Done,
     /*  836107 */   // Label 12886: @836107
     /*  836107 */   GIM_Try, /*On fail goto*//*Label 12887*/ GIMT_Encode4(836182), // Rule ID 22782 //
     /*  836112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  836129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  836161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836180 */     GIR_RootConstrainSelectedInstOperands,
     /*  836181 */     // GIR_Coverage, 22782,
     /*  836181 */     GIR_EraseRootFromParent_Done,
     /*  836182 */   // Label 12887: @836182
     /*  836182 */   GIM_Try, /*On fail goto*//*Label 12888*/ GIMT_Encode4(836257), // Rule ID 22783 //
     /*  836187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  836204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  836236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836255 */     GIR_RootConstrainSelectedInstOperands,
     /*  836256 */     // GIR_Coverage, 22783,
     /*  836256 */     GIR_EraseRootFromParent_Done,
     /*  836257 */   // Label 12888: @836257
     /*  836257 */   GIM_Try, /*On fail goto*//*Label 12889*/ GIMT_Encode4(836332), // Rule ID 22786 //
     /*  836262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  836279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  836311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836330 */     GIR_RootConstrainSelectedInstOperands,
     /*  836331 */     // GIR_Coverage, 22786,
     /*  836331 */     GIR_EraseRootFromParent_Done,
     /*  836332 */   // Label 12889: @836332
     /*  836332 */   GIM_Try, /*On fail goto*//*Label 12890*/ GIMT_Encode4(836407), // Rule ID 22787 //
     /*  836337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  836354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  836386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836405 */     GIR_RootConstrainSelectedInstOperands,
     /*  836406 */     // GIR_Coverage, 22787,
     /*  836406 */     GIR_EraseRootFromParent_Done,
     /*  836407 */   // Label 12890: @836407
     /*  836407 */   GIM_Try, /*On fail goto*//*Label 12891*/ GIMT_Encode4(836482), // Rule ID 22790 //
     /*  836412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  836429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  836461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836480 */     GIR_RootConstrainSelectedInstOperands,
     /*  836481 */     // GIR_Coverage, 22790,
     /*  836481 */     GIR_EraseRootFromParent_Done,
     /*  836482 */   // Label 12891: @836482
     /*  836482 */   GIM_Try, /*On fail goto*//*Label 12892*/ GIMT_Encode4(836557), // Rule ID 22791 //
     /*  836487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  836504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836533 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  836536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836555 */     GIR_RootConstrainSelectedInstOperands,
     /*  836556 */     // GIR_Coverage, 22791,
     /*  836556 */     GIR_EraseRootFromParent_Done,
     /*  836557 */   // Label 12892: @836557
     /*  836557 */   GIM_Try, /*On fail goto*//*Label 12893*/ GIMT_Encode4(836632), // Rule ID 22794 //
     /*  836562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  836579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836608 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  836611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836630 */     GIR_RootConstrainSelectedInstOperands,
     /*  836631 */     // GIR_Coverage, 22794,
     /*  836631 */     GIR_EraseRootFromParent_Done,
     /*  836632 */   // Label 12893: @836632
     /*  836632 */   GIM_Try, /*On fail goto*//*Label 12894*/ GIMT_Encode4(836707), // Rule ID 22795 //
     /*  836637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  836654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836683 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  836686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836705 */     GIR_RootConstrainSelectedInstOperands,
     /*  836706 */     // GIR_Coverage, 22795,
     /*  836706 */     GIR_EraseRootFromParent_Done,
     /*  836707 */   // Label 12894: @836707
     /*  836707 */   GIM_Try, /*On fail goto*//*Label 12895*/ GIMT_Encode4(836782), // Rule ID 22798 //
     /*  836712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  836729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  836761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836780 */     GIR_RootConstrainSelectedInstOperands,
     /*  836781 */     // GIR_Coverage, 22798,
     /*  836781 */     GIR_EraseRootFromParent_Done,
     /*  836782 */   // Label 12895: @836782
     /*  836782 */   GIM_Try, /*On fail goto*//*Label 12896*/ GIMT_Encode4(836857), // Rule ID 22799 //
     /*  836787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  836804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  836836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836855 */     GIR_RootConstrainSelectedInstOperands,
     /*  836856 */     // GIR_Coverage, 22799,
     /*  836856 */     GIR_EraseRootFromParent_Done,
     /*  836857 */   // Label 12896: @836857
     /*  836857 */   GIM_Try, /*On fail goto*//*Label 12897*/ GIMT_Encode4(836932), // Rule ID 22802 //
     /*  836862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  836879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  836911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836930 */     GIR_RootConstrainSelectedInstOperands,
     /*  836931 */     // GIR_Coverage, 22802,
     /*  836931 */     GIR_EraseRootFromParent_Done,
     /*  836932 */   // Label 12897: @836932
     /*  836932 */   GIM_Try, /*On fail goto*//*Label 12898*/ GIMT_Encode4(837007), // Rule ID 22803 //
     /*  836937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  836954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836983 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  836986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837005 */     GIR_RootConstrainSelectedInstOperands,
     /*  837006 */     // GIR_Coverage, 22803,
     /*  837006 */     GIR_EraseRootFromParent_Done,
     /*  837007 */   // Label 12898: @837007
     /*  837007 */   GIM_Try, /*On fail goto*//*Label 12899*/ GIMT_Encode4(837082), // Rule ID 22806 //
     /*  837012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  837029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  837058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  837061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837080 */     GIR_RootConstrainSelectedInstOperands,
     /*  837081 */     // GIR_Coverage, 22806,
     /*  837081 */     GIR_EraseRootFromParent_Done,
     /*  837082 */   // Label 12899: @837082
     /*  837082 */   GIM_Try, /*On fail goto*//*Label 12900*/ GIMT_Encode4(837157), // Rule ID 22807 //
     /*  837087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  837104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  837133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  837136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837155 */     GIR_RootConstrainSelectedInstOperands,
     /*  837156 */     // GIR_Coverage, 22807,
     /*  837156 */     GIR_EraseRootFromParent_Done,
     /*  837157 */   // Label 12900: @837157
     /*  837157 */   GIM_Try, /*On fail goto*//*Label 12901*/ GIMT_Encode4(837232), // Rule ID 22810 //
     /*  837162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  837179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  837211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837230 */     GIR_RootConstrainSelectedInstOperands,
     /*  837231 */     // GIR_Coverage, 22810,
     /*  837231 */     GIR_EraseRootFromParent_Done,
     /*  837232 */   // Label 12901: @837232
     /*  837232 */   GIM_Try, /*On fail goto*//*Label 12902*/ GIMT_Encode4(837307), // Rule ID 22811 //
     /*  837237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  837254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  837286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837305 */     GIR_RootConstrainSelectedInstOperands,
     /*  837306 */     // GIR_Coverage, 22811,
     /*  837306 */     GIR_EraseRootFromParent_Done,
     /*  837307 */   // Label 12902: @837307
     /*  837307 */   GIM_Try, /*On fail goto*//*Label 12903*/ GIMT_Encode4(837382), // Rule ID 22814 //
     /*  837312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  837329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837358 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  837361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837380 */     GIR_RootConstrainSelectedInstOperands,
     /*  837381 */     // GIR_Coverage, 22814,
     /*  837381 */     GIR_EraseRootFromParent_Done,
     /*  837382 */   // Label 12903: @837382
     /*  837382 */   GIM_Try, /*On fail goto*//*Label 12904*/ GIMT_Encode4(837457), // Rule ID 22815 //
     /*  837387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  837404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  837436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837455 */     GIR_RootConstrainSelectedInstOperands,
     /*  837456 */     // GIR_Coverage, 22815,
     /*  837456 */     GIR_EraseRootFromParent_Done,
     /*  837457 */   // Label 12904: @837457
     /*  837457 */   GIM_Try, /*On fail goto*//*Label 12905*/ GIMT_Encode4(837532), // Rule ID 22818 //
     /*  837462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  837479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  837511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837530 */     GIR_RootConstrainSelectedInstOperands,
     /*  837531 */     // GIR_Coverage, 22818,
     /*  837531 */     GIR_EraseRootFromParent_Done,
     /*  837532 */   // Label 12905: @837532
     /*  837532 */   GIM_Try, /*On fail goto*//*Label 12906*/ GIMT_Encode4(837607), // Rule ID 22819 //
     /*  837537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  837554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  837586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837605 */     GIR_RootConstrainSelectedInstOperands,
     /*  837606 */     // GIR_Coverage, 22819,
     /*  837606 */     GIR_EraseRootFromParent_Done,
     /*  837607 */   // Label 12906: @837607
     /*  837607 */   GIM_Try, /*On fail goto*//*Label 12907*/ GIMT_Encode4(837682), // Rule ID 22822 //
     /*  837612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  837629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  837661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837680 */     GIR_RootConstrainSelectedInstOperands,
     /*  837681 */     // GIR_Coverage, 22822,
     /*  837681 */     GIR_EraseRootFromParent_Done,
     /*  837682 */   // Label 12907: @837682
     /*  837682 */   GIM_Try, /*On fail goto*//*Label 12908*/ GIMT_Encode4(837757), // Rule ID 22823 //
     /*  837687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  837704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837733 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  837736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837755 */     GIR_RootConstrainSelectedInstOperands,
     /*  837756 */     // GIR_Coverage, 22823,
     /*  837756 */     GIR_EraseRootFromParent_Done,
     /*  837757 */   // Label 12908: @837757
     /*  837757 */   GIM_Try, /*On fail goto*//*Label 12909*/ GIMT_Encode4(837832), // Rule ID 22826 //
     /*  837762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  837779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  837811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837830 */     GIR_RootConstrainSelectedInstOperands,
     /*  837831 */     // GIR_Coverage, 22826,
     /*  837831 */     GIR_EraseRootFromParent_Done,
     /*  837832 */   // Label 12909: @837832
     /*  837832 */   GIM_Try, /*On fail goto*//*Label 12910*/ GIMT_Encode4(837907), // Rule ID 22827 //
     /*  837837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  837854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  837886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837905 */     GIR_RootConstrainSelectedInstOperands,
     /*  837906 */     // GIR_Coverage, 22827,
     /*  837906 */     GIR_EraseRootFromParent_Done,
     /*  837907 */   // Label 12910: @837907
     /*  837907 */   GIM_Try, /*On fail goto*//*Label 12911*/ GIMT_Encode4(837982), // Rule ID 22830 //
     /*  837912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  837929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  837961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837980 */     GIR_RootConstrainSelectedInstOperands,
     /*  837981 */     // GIR_Coverage, 22830,
     /*  837981 */     GIR_EraseRootFromParent_Done,
     /*  837982 */   // Label 12911: @837982
     /*  837982 */   GIM_Try, /*On fail goto*//*Label 12912*/ GIMT_Encode4(838057), // Rule ID 22831 //
     /*  837987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  837995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  838004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838033 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  838036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838055 */     GIR_RootConstrainSelectedInstOperands,
     /*  838056 */     // GIR_Coverage, 22831,
     /*  838056 */     GIR_EraseRootFromParent_Done,
     /*  838057 */   // Label 12912: @838057
     /*  838057 */   GIM_Try, /*On fail goto*//*Label 12913*/ GIMT_Encode4(838132), // Rule ID 22950 //
     /*  838062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  838079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838108 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  838111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838130 */     GIR_RootConstrainSelectedInstOperands,
     /*  838131 */     // GIR_Coverage, 22950,
     /*  838131 */     GIR_EraseRootFromParent_Done,
     /*  838132 */   // Label 12913: @838132
     /*  838132 */   GIM_Try, /*On fail goto*//*Label 12914*/ GIMT_Encode4(838207), // Rule ID 22951 //
     /*  838137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  838154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838183 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  838186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838205 */     GIR_RootConstrainSelectedInstOperands,
     /*  838206 */     // GIR_Coverage, 22951,
     /*  838206 */     GIR_EraseRootFromParent_Done,
     /*  838207 */   // Label 12914: @838207
     /*  838207 */   GIM_Try, /*On fail goto*//*Label 12915*/ GIMT_Encode4(838282), // Rule ID 22954 //
     /*  838212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  838229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838258 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  838261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838280 */     GIR_RootConstrainSelectedInstOperands,
     /*  838281 */     // GIR_Coverage, 22954,
     /*  838281 */     GIR_EraseRootFromParent_Done,
     /*  838282 */   // Label 12915: @838282
     /*  838282 */   GIM_Try, /*On fail goto*//*Label 12916*/ GIMT_Encode4(838357), // Rule ID 22955 //
     /*  838287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  838304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838333 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  838336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838355 */     GIR_RootConstrainSelectedInstOperands,
     /*  838356 */     // GIR_Coverage, 22955,
     /*  838356 */     GIR_EraseRootFromParent_Done,
     /*  838357 */   // Label 12916: @838357
     /*  838357 */   GIM_Try, /*On fail goto*//*Label 12917*/ GIMT_Encode4(838432), // Rule ID 22958 //
     /*  838362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  838379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838408 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  838411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838430 */     GIR_RootConstrainSelectedInstOperands,
     /*  838431 */     // GIR_Coverage, 22958,
     /*  838431 */     GIR_EraseRootFromParent_Done,
     /*  838432 */   // Label 12917: @838432
     /*  838432 */   GIM_Try, /*On fail goto*//*Label 12918*/ GIMT_Encode4(838507), // Rule ID 22959 //
     /*  838437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  838454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838483 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  838486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838505 */     GIR_RootConstrainSelectedInstOperands,
     /*  838506 */     // GIR_Coverage, 22959,
     /*  838506 */     GIR_EraseRootFromParent_Done,
     /*  838507 */   // Label 12918: @838507
     /*  838507 */   GIM_Try, /*On fail goto*//*Label 12919*/ GIMT_Encode4(838582), // Rule ID 22962 //
     /*  838512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  838529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838558 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  838561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838580 */     GIR_RootConstrainSelectedInstOperands,
     /*  838581 */     // GIR_Coverage, 22962,
     /*  838581 */     GIR_EraseRootFromParent_Done,
     /*  838582 */   // Label 12919: @838582
     /*  838582 */   GIM_Try, /*On fail goto*//*Label 12920*/ GIMT_Encode4(838657), // Rule ID 22963 //
     /*  838587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  838604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838633 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  838636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838655 */     GIR_RootConstrainSelectedInstOperands,
     /*  838656 */     // GIR_Coverage, 22963,
     /*  838656 */     GIR_EraseRootFromParent_Done,
     /*  838657 */   // Label 12920: @838657
     /*  838657 */   GIM_Try, /*On fail goto*//*Label 12921*/ GIMT_Encode4(838732), // Rule ID 22966 //
     /*  838662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  838679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  838711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838730 */     GIR_RootConstrainSelectedInstOperands,
     /*  838731 */     // GIR_Coverage, 22966,
     /*  838731 */     GIR_EraseRootFromParent_Done,
     /*  838732 */   // Label 12921: @838732
     /*  838732 */   GIM_Try, /*On fail goto*//*Label 12922*/ GIMT_Encode4(838807), // Rule ID 22967 //
     /*  838737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  838754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838783 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  838786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838805 */     GIR_RootConstrainSelectedInstOperands,
     /*  838806 */     // GIR_Coverage, 22967,
     /*  838806 */     GIR_EraseRootFromParent_Done,
     /*  838807 */   // Label 12922: @838807
     /*  838807 */   GIM_Try, /*On fail goto*//*Label 12923*/ GIMT_Encode4(838882), // Rule ID 22970 //
     /*  838812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  838815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  838829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838858 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  838858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  838861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838880 */     GIR_RootConstrainSelectedInstOperands,
     /*  838881 */     // GIR_Coverage, 22970,
     /*  838881 */     GIR_EraseRootFromParent_Done,
     /*  838882 */   // Label 12923: @838882
     /*  838882 */   GIM_Try, /*On fail goto*//*Label 12924*/ GIMT_Encode4(838957), // Rule ID 22971 //
     /*  838887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  838890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  838904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838933 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  838933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  838936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838955 */     GIR_RootConstrainSelectedInstOperands,
     /*  838956 */     // GIR_Coverage, 22971,
     /*  838956 */     GIR_EraseRootFromParent_Done,
     /*  838957 */   // Label 12924: @838957
     /*  838957 */   GIM_Try, /*On fail goto*//*Label 12925*/ GIMT_Encode4(839032), // Rule ID 22974 //
     /*  838962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839008 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  839011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839030 */     GIR_RootConstrainSelectedInstOperands,
     /*  839031 */     // GIR_Coverage, 22974,
     /*  839031 */     GIR_EraseRootFromParent_Done,
     /*  839032 */   // Label 12925: @839032
     /*  839032 */   GIM_Try, /*On fail goto*//*Label 12926*/ GIMT_Encode4(839107), // Rule ID 22975 //
     /*  839037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  839054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839083 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  839086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839105 */     GIR_RootConstrainSelectedInstOperands,
     /*  839106 */     // GIR_Coverage, 22975,
     /*  839106 */     GIR_EraseRootFromParent_Done,
     /*  839107 */   // Label 12926: @839107
     /*  839107 */   GIM_Try, /*On fail goto*//*Label 12927*/ GIMT_Encode4(839182), // Rule ID 22978 //
     /*  839112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  839129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839158 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  839161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839180 */     GIR_RootConstrainSelectedInstOperands,
     /*  839181 */     // GIR_Coverage, 22978,
     /*  839181 */     GIR_EraseRootFromParent_Done,
     /*  839182 */   // Label 12927: @839182
     /*  839182 */   GIM_Try, /*On fail goto*//*Label 12928*/ GIMT_Encode4(839257), // Rule ID 22979 //
     /*  839187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  839204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839233 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  839236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839255 */     GIR_RootConstrainSelectedInstOperands,
     /*  839256 */     // GIR_Coverage, 22979,
     /*  839256 */     GIR_EraseRootFromParent_Done,
     /*  839257 */   // Label 12928: @839257
     /*  839257 */   GIM_Try, /*On fail goto*//*Label 12929*/ GIMT_Encode4(839332), // Rule ID 22982 //
     /*  839262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  839279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839308 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  839311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839330 */     GIR_RootConstrainSelectedInstOperands,
     /*  839331 */     // GIR_Coverage, 22982,
     /*  839331 */     GIR_EraseRootFromParent_Done,
     /*  839332 */   // Label 12929: @839332
     /*  839332 */   GIM_Try, /*On fail goto*//*Label 12930*/ GIMT_Encode4(839407), // Rule ID 22983 //
     /*  839337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  839354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839383 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  839386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839405 */     GIR_RootConstrainSelectedInstOperands,
     /*  839406 */     // GIR_Coverage, 22983,
     /*  839406 */     GIR_EraseRootFromParent_Done,
     /*  839407 */   // Label 12930: @839407
     /*  839407 */   GIM_Try, /*On fail goto*//*Label 12931*/ GIMT_Encode4(839482), // Rule ID 22986 //
     /*  839412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  839429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839458 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  839461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839480 */     GIR_RootConstrainSelectedInstOperands,
     /*  839481 */     // GIR_Coverage, 22986,
     /*  839481 */     GIR_EraseRootFromParent_Done,
     /*  839482 */   // Label 12931: @839482
     /*  839482 */   GIM_Try, /*On fail goto*//*Label 12932*/ GIMT_Encode4(839557), // Rule ID 22987 //
     /*  839487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  839490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  839504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839533 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  839536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839555 */     GIR_RootConstrainSelectedInstOperands,
     /*  839556 */     // GIR_Coverage, 22987,
     /*  839556 */     GIR_EraseRootFromParent_Done,
     /*  839557 */   // Label 12932: @839557
     /*  839557 */   GIM_Try, /*On fail goto*//*Label 12933*/ GIMT_Encode4(839632), // Rule ID 22990 //
     /*  839562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  839579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839608 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  839611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839630 */     GIR_RootConstrainSelectedInstOperands,
     /*  839631 */     // GIR_Coverage, 22990,
     /*  839631 */     GIR_EraseRootFromParent_Done,
     /*  839632 */   // Label 12933: @839632
     /*  839632 */   GIM_Try, /*On fail goto*//*Label 12934*/ GIMT_Encode4(839707), // Rule ID 22991 //
     /*  839637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  839640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  839654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839683 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  839686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839705 */     GIR_RootConstrainSelectedInstOperands,
     /*  839706 */     // GIR_Coverage, 22991,
     /*  839706 */     GIR_EraseRootFromParent_Done,
     /*  839707 */   // Label 12934: @839707
     /*  839707 */   GIM_Try, /*On fail goto*//*Label 12935*/ GIMT_Encode4(839782), // Rule ID 22994 //
     /*  839712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  839729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839758 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  839761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839780 */     GIR_RootConstrainSelectedInstOperands,
     /*  839781 */     // GIR_Coverage, 22994,
     /*  839781 */     GIR_EraseRootFromParent_Done,
     /*  839782 */   // Label 12935: @839782
     /*  839782 */   GIM_Try, /*On fail goto*//*Label 12936*/ GIMT_Encode4(839857), // Rule ID 22995 //
     /*  839787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  839790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  839804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839833 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  839836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839855 */     GIR_RootConstrainSelectedInstOperands,
     /*  839856 */     // GIR_Coverage, 22995,
     /*  839856 */     GIR_EraseRootFromParent_Done,
     /*  839857 */   // Label 12936: @839857
     /*  839857 */   GIM_Try, /*On fail goto*//*Label 12937*/ GIMT_Encode4(839932), // Rule ID 22998 //
     /*  839862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  839865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  839879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839908 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  839908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  839911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839930 */     GIR_RootConstrainSelectedInstOperands,
     /*  839931 */     // GIR_Coverage, 22998,
     /*  839931 */     GIR_EraseRootFromParent_Done,
     /*  839932 */   // Label 12937: @839932
     /*  839932 */   GIM_Try, /*On fail goto*//*Label 12938*/ GIMT_Encode4(840007), // Rule ID 22999 //
     /*  839937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  839940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  839954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839983 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  839983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  839986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840005 */     GIR_RootConstrainSelectedInstOperands,
     /*  840006 */     // GIR_Coverage, 22999,
     /*  840006 */     GIR_EraseRootFromParent_Done,
     /*  840007 */   // Label 12938: @840007
     /*  840007 */   GIM_Try, /*On fail goto*//*Label 12939*/ GIMT_Encode4(840082), // Rule ID 23002 //
     /*  840012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  840015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  840020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  840029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840058 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  840058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  840061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840080 */     GIR_RootConstrainSelectedInstOperands,
     /*  840081 */     // GIR_Coverage, 23002,
     /*  840081 */     GIR_EraseRootFromParent_Done,
     /*  840082 */   // Label 12939: @840082
     /*  840082 */   GIM_Try, /*On fail goto*//*Label 12940*/ GIMT_Encode4(840157), // Rule ID 23003 //
     /*  840087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  840090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  840095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  840104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840133 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  840133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  840136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840155 */     GIR_RootConstrainSelectedInstOperands,
     /*  840156 */     // GIR_Coverage, 23003,
     /*  840156 */     GIR_EraseRootFromParent_Done,
     /*  840157 */   // Label 12940: @840157
     /*  840157 */   GIM_Try, /*On fail goto*//*Label 12941*/ GIMT_Encode4(840232), // Rule ID 23006 //
     /*  840162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  840165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  840170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  840179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  840208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  840211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840230 */     GIR_RootConstrainSelectedInstOperands,
     /*  840231 */     // GIR_Coverage, 23006,
     /*  840231 */     GIR_EraseRootFromParent_Done,
     /*  840232 */   // Label 12941: @840232
     /*  840232 */   GIM_Try, /*On fail goto*//*Label 12942*/ GIMT_Encode4(840307), // Rule ID 23007 //
     /*  840237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  840240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  840245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  840254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840283 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  840283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  840286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840305 */     GIR_RootConstrainSelectedInstOperands,
     /*  840306 */     // GIR_Coverage, 23007,
     /*  840306 */     GIR_EraseRootFromParent_Done,
     /*  840307 */   // Label 12942: @840307
     /*  840307 */   GIM_Try, /*On fail goto*//*Label 12943*/ GIMT_Encode4(840382), // Rule ID 23010 //
     /*  840312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  840329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840358 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  840361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840380 */     GIR_RootConstrainSelectedInstOperands,
     /*  840381 */     // GIR_Coverage, 23010,
     /*  840381 */     GIR_EraseRootFromParent_Done,
     /*  840382 */   // Label 12943: @840382
     /*  840382 */   GIM_Try, /*On fail goto*//*Label 12944*/ GIMT_Encode4(840457), // Rule ID 23011 //
     /*  840387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  840404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840433 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  840436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840455 */     GIR_RootConstrainSelectedInstOperands,
     /*  840456 */     // GIR_Coverage, 23011,
     /*  840456 */     GIR_EraseRootFromParent_Done,
     /*  840457 */   // Label 12944: @840457
     /*  840457 */   GIM_Try, /*On fail goto*//*Label 12945*/ GIMT_Encode4(840532), // Rule ID 23014 //
     /*  840462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  840479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840508 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  840511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840530 */     GIR_RootConstrainSelectedInstOperands,
     /*  840531 */     // GIR_Coverage, 23014,
     /*  840531 */     GIR_EraseRootFromParent_Done,
     /*  840532 */   // Label 12945: @840532
     /*  840532 */   GIM_Try, /*On fail goto*//*Label 12946*/ GIMT_Encode4(840607), // Rule ID 23015 //
     /*  840537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  840554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840583 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  840586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840605 */     GIR_RootConstrainSelectedInstOperands,
     /*  840606 */     // GIR_Coverage, 23015,
     /*  840606 */     GIR_EraseRootFromParent_Done,
     /*  840607 */   // Label 12946: @840607
     /*  840607 */   GIM_Try, /*On fail goto*//*Label 12947*/ GIMT_Encode4(840682), // Rule ID 23018 //
     /*  840612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  840615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  840629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840658 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  840661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840680 */     GIR_RootConstrainSelectedInstOperands,
     /*  840681 */     // GIR_Coverage, 23018,
     /*  840681 */     GIR_EraseRootFromParent_Done,
     /*  840682 */   // Label 12947: @840682
     /*  840682 */   GIM_Try, /*On fail goto*//*Label 12948*/ GIMT_Encode4(840757), // Rule ID 23019 //
     /*  840687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  840690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  840704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840733 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  840736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840755 */     GIR_RootConstrainSelectedInstOperands,
     /*  840756 */     // GIR_Coverage, 23019,
     /*  840756 */     GIR_EraseRootFromParent_Done,
     /*  840757 */   // Label 12948: @840757
     /*  840757 */   GIM_Try, /*On fail goto*//*Label 12949*/ GIMT_Encode4(840832), // Rule ID 23022 //
     /*  840762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  840779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840808 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  840811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840830 */     GIR_RootConstrainSelectedInstOperands,
     /*  840831 */     // GIR_Coverage, 23022,
     /*  840831 */     GIR_EraseRootFromParent_Done,
     /*  840832 */   // Label 12949: @840832
     /*  840832 */   GIM_Try, /*On fail goto*//*Label 12950*/ GIMT_Encode4(840907), // Rule ID 23023 //
     /*  840837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  840854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840883 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  840886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840905 */     GIR_RootConstrainSelectedInstOperands,
     /*  840906 */     // GIR_Coverage, 23023,
     /*  840906 */     GIR_EraseRootFromParent_Done,
     /*  840907 */   // Label 12950: @840907
     /*  840907 */   GIM_Try, /*On fail goto*//*Label 12951*/ GIMT_Encode4(840982), // Rule ID 23026 //
     /*  840912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  840915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  840929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840958 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  840961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840980 */     GIR_RootConstrainSelectedInstOperands,
     /*  840981 */     // GIR_Coverage, 23026,
     /*  840981 */     GIR_EraseRootFromParent_Done,
     /*  840982 */   // Label 12951: @840982
     /*  840982 */   GIM_Try, /*On fail goto*//*Label 12952*/ GIMT_Encode4(841057), // Rule ID 23027 //
     /*  840987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  840990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  841004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841033 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  841036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841055 */     GIR_RootConstrainSelectedInstOperands,
     /*  841056 */     // GIR_Coverage, 23027,
     /*  841056 */     GIR_EraseRootFromParent_Done,
     /*  841057 */   // Label 12952: @841057
     /*  841057 */   GIM_Try, /*On fail goto*//*Label 12953*/ GIMT_Encode4(841132), // Rule ID 23030 //
     /*  841062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  841065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  841079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841108 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  841111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841130 */     GIR_RootConstrainSelectedInstOperands,
     /*  841131 */     // GIR_Coverage, 23030,
     /*  841131 */     GIR_EraseRootFromParent_Done,
     /*  841132 */   // Label 12953: @841132
     /*  841132 */   GIM_Try, /*On fail goto*//*Label 12954*/ GIMT_Encode4(841207), // Rule ID 23031 //
     /*  841137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  841140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  841154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841183 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  841186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841205 */     GIR_RootConstrainSelectedInstOperands,
     /*  841206 */     // GIR_Coverage, 23031,
     /*  841206 */     GIR_EraseRootFromParent_Done,
     /*  841207 */   // Label 12954: @841207
     /*  841207 */   GIM_Try, /*On fail goto*//*Label 12955*/ GIMT_Encode4(841282), // Rule ID 23034 //
     /*  841212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  841215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  841229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841258 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  841261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841280 */     GIR_RootConstrainSelectedInstOperands,
     /*  841281 */     // GIR_Coverage, 23034,
     /*  841281 */     GIR_EraseRootFromParent_Done,
     /*  841282 */   // Label 12955: @841282
     /*  841282 */   GIM_Try, /*On fail goto*//*Label 12956*/ GIMT_Encode4(841357), // Rule ID 23035 //
     /*  841287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  841290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  841304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841333 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  841336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841355 */     GIR_RootConstrainSelectedInstOperands,
     /*  841356 */     // GIR_Coverage, 23035,
     /*  841356 */     GIR_EraseRootFromParent_Done,
     /*  841357 */   // Label 12956: @841357
     /*  841357 */   GIM_Try, /*On fail goto*//*Label 12957*/ GIMT_Encode4(841432), // Rule ID 23038 //
     /*  841362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  841365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  841379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841408 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  841411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841430 */     GIR_RootConstrainSelectedInstOperands,
     /*  841431 */     // GIR_Coverage, 23038,
     /*  841431 */     GIR_EraseRootFromParent_Done,
     /*  841432 */   // Label 12957: @841432
     /*  841432 */   GIM_Try, /*On fail goto*//*Label 12958*/ GIMT_Encode4(841507), // Rule ID 23039 //
     /*  841437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  841440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  841454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841483 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  841486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841505 */     GIR_RootConstrainSelectedInstOperands,
     /*  841506 */     // GIR_Coverage, 23039,
     /*  841506 */     GIR_EraseRootFromParent_Done,
     /*  841507 */   // Label 12958: @841507
     /*  841507 */   GIM_Try, /*On fail goto*//*Label 12959*/ GIMT_Encode4(841582), // Rule ID 23042 //
     /*  841512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  841515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  841529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841558 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  841561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841580 */     GIR_RootConstrainSelectedInstOperands,
     /*  841581 */     // GIR_Coverage, 23042,
     /*  841581 */     GIR_EraseRootFromParent_Done,
     /*  841582 */   // Label 12959: @841582
     /*  841582 */   GIM_Try, /*On fail goto*//*Label 12960*/ GIMT_Encode4(841657), // Rule ID 23043 //
     /*  841587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  841590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  841604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841633 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  841636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841655 */     GIR_RootConstrainSelectedInstOperands,
     /*  841656 */     // GIR_Coverage, 23043,
     /*  841656 */     GIR_EraseRootFromParent_Done,
     /*  841657 */   // Label 12960: @841657
     /*  841657 */   GIM_Try, /*On fail goto*//*Label 12961*/ GIMT_Encode4(841732), // Rule ID 23046 //
     /*  841662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  841665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  841711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841730 */     GIR_RootConstrainSelectedInstOperands,
     /*  841731 */     // GIR_Coverage, 23046,
     /*  841731 */     GIR_EraseRootFromParent_Done,
     /*  841732 */   // Label 12961: @841732
     /*  841732 */   GIM_Try, /*On fail goto*//*Label 12962*/ GIMT_Encode4(841807), // Rule ID 23047 //
     /*  841737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  841740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841783 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  841786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841805 */     GIR_RootConstrainSelectedInstOperands,
     /*  841806 */     // GIR_Coverage, 23047,
     /*  841806 */     GIR_EraseRootFromParent_Done,
     /*  841807 */   // Label 12962: @841807
     /*  841807 */   GIM_Try, /*On fail goto*//*Label 12963*/ GIMT_Encode4(841882), // Rule ID 23050 //
     /*  841812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  841815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841858 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  841861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841880 */     GIR_RootConstrainSelectedInstOperands,
     /*  841881 */     // GIR_Coverage, 23050,
     /*  841881 */     GIR_EraseRootFromParent_Done,
     /*  841882 */   // Label 12963: @841882
     /*  841882 */   GIM_Try, /*On fail goto*//*Label 12964*/ GIMT_Encode4(841957), // Rule ID 23051 //
     /*  841887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  841890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841933 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  841936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841955 */     GIR_RootConstrainSelectedInstOperands,
     /*  841956 */     // GIR_Coverage, 23051,
     /*  841956 */     GIR_EraseRootFromParent_Done,
     /*  841957 */   // Label 12964: @841957
     /*  841957 */   GIM_Try, /*On fail goto*//*Label 12965*/ GIMT_Encode4(842032), // Rule ID 23054 //
     /*  841962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  841965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842008 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  842008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  842011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842030 */     GIR_RootConstrainSelectedInstOperands,
     /*  842031 */     // GIR_Coverage, 23054,
     /*  842031 */     GIR_EraseRootFromParent_Done,
     /*  842032 */   // Label 12965: @842032
     /*  842032 */   GIM_Try, /*On fail goto*//*Label 12966*/ GIMT_Encode4(842107), // Rule ID 23055 //
     /*  842037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  842040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  842045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  842054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  842057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842083 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  842083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  842086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842105 */     GIR_RootConstrainSelectedInstOperands,
     /*  842106 */     // GIR_Coverage, 23055,
     /*  842106 */     GIR_EraseRootFromParent_Done,
     /*  842107 */   // Label 12966: @842107
     /*  842107 */   GIM_Try, /*On fail goto*//*Label 12967*/ GIMT_Encode4(842182), // Rule ID 23058 //
     /*  842112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  842115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  842120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  842129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  842132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842158 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  842158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  842161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842180 */     GIR_RootConstrainSelectedInstOperands,
     /*  842181 */     // GIR_Coverage, 23058,
     /*  842181 */     GIR_EraseRootFromParent_Done,
     /*  842182 */   // Label 12967: @842182
     /*  842182 */   GIM_Try, /*On fail goto*//*Label 12968*/ GIMT_Encode4(842257), // Rule ID 23059 //
     /*  842187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  842190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  842195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  842204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  842207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842233 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  842233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  842236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842255 */     GIR_RootConstrainSelectedInstOperands,
     /*  842256 */     // GIR_Coverage, 23059,
     /*  842256 */     GIR_EraseRootFromParent_Done,
     /*  842257 */   // Label 12968: @842257
     /*  842257 */   GIM_Try, /*On fail goto*//*Label 12969*/ GIMT_Encode4(842332), // Rule ID 23062 //
     /*  842262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  842265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  842270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  842279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  842282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842308 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  842308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  842311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842330 */     GIR_RootConstrainSelectedInstOperands,
     /*  842331 */     // GIR_Coverage, 23062,
     /*  842331 */     GIR_EraseRootFromParent_Done,
     /*  842332 */   // Label 12969: @842332
     /*  842332 */   GIM_Try, /*On fail goto*//*Label 12970*/ GIMT_Encode4(842407), // Rule ID 23063 //
     /*  842337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  842340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  842345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  842354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  842357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842383 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  842383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  842386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842405 */     GIR_RootConstrainSelectedInstOperands,
     /*  842406 */     // GIR_Coverage, 23063,
     /*  842406 */     GIR_EraseRootFromParent_Done,
     /*  842407 */   // Label 12970: @842407
     /*  842407 */   GIM_Try, /*On fail goto*//*Label 12971*/ GIMT_Encode4(842482), // Rule ID 23066 //
     /*  842412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  842415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  842420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  842429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  842432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842458 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  842458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  842461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842480 */     GIR_RootConstrainSelectedInstOperands,
     /*  842481 */     // GIR_Coverage, 23066,
     /*  842481 */     GIR_EraseRootFromParent_Done,
     /*  842482 */   // Label 12971: @842482
     /*  842482 */   GIM_Try, /*On fail goto*//*Label 12972*/ GIMT_Encode4(842557), // Rule ID 23067 //
     /*  842487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  842490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  842495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  842504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  842507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842533 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  842533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  842536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842555 */     GIR_RootConstrainSelectedInstOperands,
     /*  842556 */     // GIR_Coverage, 23067,
     /*  842556 */     GIR_EraseRootFromParent_Done,
     /*  842557 */   // Label 12972: @842557
     /*  842557 */   GIM_Try, /*On fail goto*//*Label 12973*/ GIMT_Encode4(842632), // Rule ID 23348 //
     /*  842562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  842573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  842576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  842579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  842582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  842611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842630 */     GIR_RootConstrainSelectedInstOperands,
     /*  842631 */     // GIR_Coverage, 23348,
     /*  842631 */     GIR_EraseRootFromParent_Done,
     /*  842632 */   // Label 12973: @842632
     /*  842632 */   GIM_Try, /*On fail goto*//*Label 12974*/ GIMT_Encode4(842707), // Rule ID 23349 //
     /*  842637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  842648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  842651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  842654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  842657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842683 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  842686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842705 */     GIR_RootConstrainSelectedInstOperands,
     /*  842706 */     // GIR_Coverage, 23349,
     /*  842706 */     GIR_EraseRootFromParent_Done,
     /*  842707 */   // Label 12974: @842707
     /*  842707 */   GIM_Try, /*On fail goto*//*Label 12975*/ GIMT_Encode4(842782), // Rule ID 23352 //
     /*  842712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  842723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  842726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  842729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  842732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  842761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842780 */     GIR_RootConstrainSelectedInstOperands,
     /*  842781 */     // GIR_Coverage, 23352,
     /*  842781 */     GIR_EraseRootFromParent_Done,
     /*  842782 */   // Label 12975: @842782
     /*  842782 */   GIM_Try, /*On fail goto*//*Label 12976*/ GIMT_Encode4(842857), // Rule ID 23353 //
     /*  842787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  842798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  842801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  842804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  842807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842833 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  842836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842855 */     GIR_RootConstrainSelectedInstOperands,
     /*  842856 */     // GIR_Coverage, 23353,
     /*  842856 */     GIR_EraseRootFromParent_Done,
     /*  842857 */   // Label 12976: @842857
     /*  842857 */   GIM_Try, /*On fail goto*//*Label 12977*/ GIMT_Encode4(842932), // Rule ID 23356 //
     /*  842862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  842873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  842876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  842879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  842882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  842911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842930 */     GIR_RootConstrainSelectedInstOperands,
     /*  842931 */     // GIR_Coverage, 23356,
     /*  842931 */     GIR_EraseRootFromParent_Done,
     /*  842932 */   // Label 12977: @842932
     /*  842932 */   GIM_Try, /*On fail goto*//*Label 12978*/ GIMT_Encode4(843007), // Rule ID 23357 //
     /*  842937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  842948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  842951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  842954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  842957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842983 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  842986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843005 */     GIR_RootConstrainSelectedInstOperands,
     /*  843006 */     // GIR_Coverage, 23357,
     /*  843006 */     GIR_EraseRootFromParent_Done,
     /*  843007 */   // Label 12978: @843007
     /*  843007 */   GIM_Try, /*On fail goto*//*Label 12979*/ GIMT_Encode4(843082), // Rule ID 23360 //
     /*  843012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  843020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  843023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  843026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  843029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  843032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843058 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  843061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843080 */     GIR_RootConstrainSelectedInstOperands,
     /*  843081 */     // GIR_Coverage, 23360,
     /*  843081 */     GIR_EraseRootFromParent_Done,
     /*  843082 */   // Label 12979: @843082
     /*  843082 */   GIM_Try, /*On fail goto*//*Label 12980*/ GIMT_Encode4(843157), // Rule ID 23361 //
     /*  843087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  843095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  843098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  843101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  843104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  843107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843133 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  843136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843155 */     GIR_RootConstrainSelectedInstOperands,
     /*  843156 */     // GIR_Coverage, 23361,
     /*  843156 */     GIR_EraseRootFromParent_Done,
     /*  843157 */   // Label 12980: @843157
     /*  843157 */   GIM_Try, /*On fail goto*//*Label 12981*/ GIMT_Encode4(843232), // Rule ID 23364 //
     /*  843162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  843170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  843173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  843176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  843179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  843182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843208 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  843211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843230 */     GIR_RootConstrainSelectedInstOperands,
     /*  843231 */     // GIR_Coverage, 23364,
     /*  843231 */     GIR_EraseRootFromParent_Done,
     /*  843232 */   // Label 12981: @843232
     /*  843232 */   GIM_Try, /*On fail goto*//*Label 12982*/ GIMT_Encode4(843307), // Rule ID 23365 //
     /*  843237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  843245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  843248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  843251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  843254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  843257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843283 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  843286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843305 */     GIR_RootConstrainSelectedInstOperands,
     /*  843306 */     // GIR_Coverage, 23365,
     /*  843306 */     GIR_EraseRootFromParent_Done,
     /*  843307 */   // Label 12982: @843307
     /*  843307 */   GIM_Try, /*On fail goto*//*Label 12983*/ GIMT_Encode4(843382), // Rule ID 23368 //
     /*  843312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  843320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  843323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  843326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  843329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  843332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843358 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  843361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843380 */     GIR_RootConstrainSelectedInstOperands,
     /*  843381 */     // GIR_Coverage, 23368,
     /*  843381 */     GIR_EraseRootFromParent_Done,
     /*  843382 */   // Label 12983: @843382
     /*  843382 */   GIM_Try, /*On fail goto*//*Label 12984*/ GIMT_Encode4(843457), // Rule ID 23369 //
     /*  843387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  843395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  843398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  843401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  843404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  843407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843433 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  843436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843455 */     GIR_RootConstrainSelectedInstOperands,
     /*  843456 */     // GIR_Coverage, 23369,
     /*  843456 */     GIR_EraseRootFromParent_Done,
     /*  843457 */   // Label 12984: @843457
     /*  843457 */   GIM_Try, /*On fail goto*//*Label 12985*/ GIMT_Encode4(843532), // Rule ID 23372 //
     /*  843462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  843473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  843476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  843479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  843482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  843511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843530 */     GIR_RootConstrainSelectedInstOperands,
     /*  843531 */     // GIR_Coverage, 23372,
     /*  843531 */     GIR_EraseRootFromParent_Done,
     /*  843532 */   // Label 12985: @843532
     /*  843532 */   GIM_Try, /*On fail goto*//*Label 12986*/ GIMT_Encode4(843607), // Rule ID 23373 //
     /*  843537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  843548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  843551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  843554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  843557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843583 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  843586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843592 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843605 */     GIR_RootConstrainSelectedInstOperands,
     /*  843606 */     // GIR_Coverage, 23373,
     /*  843606 */     GIR_EraseRootFromParent_Done,
     /*  843607 */   // Label 12986: @843607
     /*  843607 */   GIM_Try, /*On fail goto*//*Label 12987*/ GIMT_Encode4(843682), // Rule ID 23376 //
     /*  843612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  843623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  843626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  843629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  843632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843658 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  843661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843680 */     GIR_RootConstrainSelectedInstOperands,
     /*  843681 */     // GIR_Coverage, 23376,
     /*  843681 */     GIR_EraseRootFromParent_Done,
     /*  843682 */   // Label 12987: @843682
     /*  843682 */   GIM_Try, /*On fail goto*//*Label 12988*/ GIMT_Encode4(843757), // Rule ID 23377 //
     /*  843687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  843698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  843701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  843704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  843707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843733 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  843736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843742 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843755 */     GIR_RootConstrainSelectedInstOperands,
     /*  843756 */     // GIR_Coverage, 23377,
     /*  843756 */     GIR_EraseRootFromParent_Done,
     /*  843757 */   // Label 12988: @843757
     /*  843757 */   GIM_Try, /*On fail goto*//*Label 12989*/ GIMT_Encode4(843832), // Rule ID 23380 //
     /*  843762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  843773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  843776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  843779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  843782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  843811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843830 */     GIR_RootConstrainSelectedInstOperands,
     /*  843831 */     // GIR_Coverage, 23380,
     /*  843831 */     GIR_EraseRootFromParent_Done,
     /*  843832 */   // Label 12989: @843832
     /*  843832 */   GIM_Try, /*On fail goto*//*Label 12990*/ GIMT_Encode4(843907), // Rule ID 23381 //
     /*  843837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  843848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  843851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  843854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  843857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843883 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  843886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843905 */     GIR_RootConstrainSelectedInstOperands,
     /*  843906 */     // GIR_Coverage, 23381,
     /*  843906 */     GIR_EraseRootFromParent_Done,
     /*  843907 */   // Label 12990: @843907
     /*  843907 */   GIM_Try, /*On fail goto*//*Label 12991*/ GIMT_Encode4(843982), // Rule ID 23384 //
     /*  843912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  843923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  843926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  843929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  843932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843958 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  843961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843980 */     GIR_RootConstrainSelectedInstOperands,
     /*  843981 */     // GIR_Coverage, 23384,
     /*  843981 */     GIR_EraseRootFromParent_Done,
     /*  843982 */   // Label 12991: @843982
     /*  843982 */   GIM_Try, /*On fail goto*//*Label 12992*/ GIMT_Encode4(844057), // Rule ID 23385 //
     /*  843987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  843998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  844001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  844004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  844007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844033 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  844036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844055 */     GIR_RootConstrainSelectedInstOperands,
     /*  844056 */     // GIR_Coverage, 23385,
     /*  844056 */     GIR_EraseRootFromParent_Done,
     /*  844057 */   // Label 12992: @844057
     /*  844057 */   GIM_Try, /*On fail goto*//*Label 12993*/ GIMT_Encode4(844132), // Rule ID 23388 //
     /*  844062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  844070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  844073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  844076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  844079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  844082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844108 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  844111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844130 */     GIR_RootConstrainSelectedInstOperands,
     /*  844131 */     // GIR_Coverage, 23388,
     /*  844131 */     GIR_EraseRootFromParent_Done,
     /*  844132 */   // Label 12993: @844132
     /*  844132 */   GIM_Try, /*On fail goto*//*Label 12994*/ GIMT_Encode4(844207), // Rule ID 23389 //
     /*  844137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  844145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  844148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  844151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  844154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  844157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844183 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  844186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844192 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844205 */     GIR_RootConstrainSelectedInstOperands,
     /*  844206 */     // GIR_Coverage, 23389,
     /*  844206 */     GIR_EraseRootFromParent_Done,
     /*  844207 */   // Label 12994: @844207
     /*  844207 */   GIM_Try, /*On fail goto*//*Label 12995*/ GIMT_Encode4(844282), // Rule ID 23392 //
     /*  844212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  844220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  844223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  844226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  844229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  844232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844258 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  844261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844280 */     GIR_RootConstrainSelectedInstOperands,
     /*  844281 */     // GIR_Coverage, 23392,
     /*  844281 */     GIR_EraseRootFromParent_Done,
     /*  844282 */   // Label 12995: @844282
     /*  844282 */   GIM_Try, /*On fail goto*//*Label 12996*/ GIMT_Encode4(844357), // Rule ID 23393 //
     /*  844287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  844295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  844298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  844301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  844304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  844307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844333 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  844336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844355 */     GIR_RootConstrainSelectedInstOperands,
     /*  844356 */     // GIR_Coverage, 23393,
     /*  844356 */     GIR_EraseRootFromParent_Done,
     /*  844357 */   // Label 12996: @844357
     /*  844357 */   GIM_Try, /*On fail goto*//*Label 12997*/ GIMT_Encode4(844432), // Rule ID 23396 //
     /*  844362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  844370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  844373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  844376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  844379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  844382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844408 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  844411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844430 */     GIR_RootConstrainSelectedInstOperands,
     /*  844431 */     // GIR_Coverage, 23396,
     /*  844431 */     GIR_EraseRootFromParent_Done,
     /*  844432 */   // Label 12997: @844432
     /*  844432 */   GIM_Try, /*On fail goto*//*Label 12998*/ GIMT_Encode4(844507), // Rule ID 23397 //
     /*  844437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  844445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  844448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  844451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  844454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  844457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844483 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11472:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  844486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844505 */     GIR_RootConstrainSelectedInstOperands,
     /*  844506 */     // GIR_Coverage, 23397,
     /*  844506 */     GIR_EraseRootFromParent_Done,
     /*  844507 */   // Label 12998: @844507
     /*  844507 */   GIM_Try, /*On fail goto*//*Label 12999*/ GIMT_Encode4(844582), // Rule ID 23400 //
     /*  844512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  844523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  844526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  844529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  844532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844558 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  844561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844580 */     GIR_RootConstrainSelectedInstOperands,
     /*  844581 */     // GIR_Coverage, 23400,
     /*  844581 */     GIR_EraseRootFromParent_Done,
     /*  844582 */   // Label 12999: @844582
     /*  844582 */   GIM_Try, /*On fail goto*//*Label 13000*/ GIMT_Encode4(844657), // Rule ID 23401 //
     /*  844587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  844598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  844601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  844604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  844607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844633 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  844636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844655 */     GIR_RootConstrainSelectedInstOperands,
     /*  844656 */     // GIR_Coverage, 23401,
     /*  844656 */     GIR_EraseRootFromParent_Done,
     /*  844657 */   // Label 13000: @844657
     /*  844657 */   GIM_Try, /*On fail goto*//*Label 13001*/ GIMT_Encode4(844732), // Rule ID 23404 //
     /*  844662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  844673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  844676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  844679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  844682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844708 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  844711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844730 */     GIR_RootConstrainSelectedInstOperands,
     /*  844731 */     // GIR_Coverage, 23404,
     /*  844731 */     GIR_EraseRootFromParent_Done,
     /*  844732 */   // Label 13001: @844732
     /*  844732 */   GIM_Try, /*On fail goto*//*Label 13002*/ GIMT_Encode4(844807), // Rule ID 23405 //
     /*  844737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  844748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  844751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  844754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  844757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844783 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  844786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844805 */     GIR_RootConstrainSelectedInstOperands,
     /*  844806 */     // GIR_Coverage, 23405,
     /*  844806 */     GIR_EraseRootFromParent_Done,
     /*  844807 */   // Label 13002: @844807
     /*  844807 */   GIM_Try, /*On fail goto*//*Label 13003*/ GIMT_Encode4(844882), // Rule ID 23408 //
     /*  844812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  844823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  844826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  844829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  844832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844858 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  844861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844880 */     GIR_RootConstrainSelectedInstOperands,
     /*  844881 */     // GIR_Coverage, 23408,
     /*  844881 */     GIR_EraseRootFromParent_Done,
     /*  844882 */   // Label 13003: @844882
     /*  844882 */   GIM_Try, /*On fail goto*//*Label 13004*/ GIMT_Encode4(844957), // Rule ID 23409 //
     /*  844887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  844898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  844901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  844904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  844907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844933 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  844936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844955 */     GIR_RootConstrainSelectedInstOperands,
     /*  844956 */     // GIR_Coverage, 23409,
     /*  844956 */     GIR_EraseRootFromParent_Done,
     /*  844957 */   // Label 13004: @844957
     /*  844957 */   GIM_Try, /*On fail goto*//*Label 13005*/ GIMT_Encode4(845032), // Rule ID 23412 //
     /*  844962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  844973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  844976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  844979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  844982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  845001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845008 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  845008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  845011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  845017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  845019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  845030 */     GIR_RootConstrainSelectedInstOperands,
     /*  845031 */     // GIR_Coverage, 23412,
     /*  845031 */     GIR_EraseRootFromParent_Done,
     /*  845032 */   // Label 13005: @845032
     /*  845032 */   GIM_Try, /*On fail goto*//*Label 13006*/ GIMT_Encode4(845107), // Rule ID 23413 //
     /*  845037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  845040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  845045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  845048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  845051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  845054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  845057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  845064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  845076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845083 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  845083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  845086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  845092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  845094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  845105 */     GIR_RootConstrainSelectedInstOperands,
     /*  845106 */     // GIR_Coverage, 23413,
     /*  845106 */     GIR_EraseRootFromParent_Done,
     /*  845107 */   // Label 13006: @845107
     /*  845107 */   GIM_Try, /*On fail goto*//*Label 13007*/ GIMT_Encode4(845182), // Rule ID 23416 //
     /*  845112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  845115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  845120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  845123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  845126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  845129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  845132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  845139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  845151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845158 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  845158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  845161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  845167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  845169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  845180 */     GIR_RootConstrainSelectedInstOperands,
     /*  845181 */     // GIR_Coverage, 23416,
     /*  845181 */     GIR_EraseRootFromParent_Done,
     /*  845182 */   // Label 13007: @845182
     /*  845182 */   GIM_Try, /*On fail goto*//*Label 13008*/ GIMT_Encode4(845257), // Rule ID 23417 //
     /*  845187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  845190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  845195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  845198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  845201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  845204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  845207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  845214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  845226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845233 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  845233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  845236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  845242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  845244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  845255 */     GIR_RootConstrainSelectedInstOperands,
     /*  845256 */     // GIR_Coverage, 23417,
     /*  845256 */     GIR_EraseRootFromParent_Done,
     /*  845257 */   // Label 13008: @845257
     /*  845257 */   GIM_Try, /*On fail goto*//*Label 13009*/ GIMT_Encode4(845332), // Rule ID 23420 //
     /*  845262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  845265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  845270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  845273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  845276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  845279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  845282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  845289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  845301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845308 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  845308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  845311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  845317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  845319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  845330 */     GIR_RootConstrainSelectedInstOperands,
     /*  845331 */     // GIR_Coverage, 23420,
     /*  845331 */     GIR_EraseRootFromParent_Done,
     /*  845332 */   // Label 13009: @845332
     /*  845332 */   GIM_Try, /*On fail goto*//*Label 13010*/ GIMT_Encode4(845407), // Rule ID 23421 //
     /*  845337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  845340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  845345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  845348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  845351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  845354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  845357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  845364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  845376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845383 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  845383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  845386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  845392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  845394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  845405 */     GIR_RootConstrainSelectedInstOperands,
     /*  845406 */     // GIR_Coverage, 23421,
     /*  845406 */     GIR_EraseRootFromParent_Done,
     /*  845407 */   // Label 13010: @845407
     /*  845407 */   GIM_Try, /*On fail goto*//*Label 13011*/ GIMT_Encode4(845482), // Rule ID 23424 //
     /*  845412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  845415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  845420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  845423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  845426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  845429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  845432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  845439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  845451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845458 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  845458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  845461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  845467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  845469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  845480 */     GIR_RootConstrainSelectedInstOperands,
     /*  845481 */     // GIR_Coverage, 23424,
     /*  845481 */     GIR_EraseRootFromParent_Done,
     /*  845482 */   // Label 13011: @845482
     /*  845482 */   GIM_Try, /*On fail goto*//*Label 13012*/ GIMT_Encode4(845557), // Rule ID 23425 //
     /*  845487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  845490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  845495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  845498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  845501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  845504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  845507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  845514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  845526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845533 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11484:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  845533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  845536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  845542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  845544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  845555 */     GIR_RootConstrainSelectedInstOperands,
     /*  845556 */     // GIR_Coverage, 23425,
     /*  845556 */     GIR_EraseRootFromParent_Done,
     /*  845557 */   // Label 13012: @845557
     /*  845557 */   GIM_Try, /*On fail goto*//*Label 13013*/ GIMT_Encode4(845632), // Rule ID 23966 //
     /*  845562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  845573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  845576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  845579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845608 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  845608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  845611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845630 */     GIR_RootConstrainSelectedInstOperands,
     /*  845631 */     // GIR_Coverage, 23966,
     /*  845631 */     GIR_EraseRootFromParent_Done,
     /*  845632 */   // Label 13013: @845632
     /*  845632 */   GIM_Try, /*On fail goto*//*Label 13014*/ GIMT_Encode4(845707), // Rule ID 23967 //
     /*  845637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  845648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  845651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  845654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845683 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  845686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845705 */     GIR_RootConstrainSelectedInstOperands,
     /*  845706 */     // GIR_Coverage, 23967,
     /*  845706 */     GIR_EraseRootFromParent_Done,
     /*  845707 */   // Label 13014: @845707
     /*  845707 */   GIM_Try, /*On fail goto*//*Label 13015*/ GIMT_Encode4(845782), // Rule ID 23970 //
     /*  845712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  845723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  845726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  845729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845758 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  845758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  845761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845780 */     GIR_RootConstrainSelectedInstOperands,
     /*  845781 */     // GIR_Coverage, 23970,
     /*  845781 */     GIR_EraseRootFromParent_Done,
     /*  845782 */   // Label 13015: @845782
     /*  845782 */   GIM_Try, /*On fail goto*//*Label 13016*/ GIMT_Encode4(845857), // Rule ID 23971 //
     /*  845787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  845798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  845801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  845804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845833 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  845836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845855 */     GIR_RootConstrainSelectedInstOperands,
     /*  845856 */     // GIR_Coverage, 23971,
     /*  845856 */     GIR_EraseRootFromParent_Done,
     /*  845857 */   // Label 13016: @845857
     /*  845857 */   GIM_Try, /*On fail goto*//*Label 13017*/ GIMT_Encode4(845932), // Rule ID 23974 //
     /*  845862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  845873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  845876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  845879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845908 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  845908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845930 */     GIR_RootConstrainSelectedInstOperands,
     /*  845931 */     // GIR_Coverage, 23974,
     /*  845931 */     GIR_EraseRootFromParent_Done,
     /*  845932 */   // Label 13017: @845932
     /*  845932 */   GIM_Try, /*On fail goto*//*Label 13018*/ GIMT_Encode4(846007), // Rule ID 23975 //
     /*  845937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  845948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  845951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  845954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845983 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846005 */     GIR_RootConstrainSelectedInstOperands,
     /*  846006 */     // GIR_Coverage, 23975,
     /*  846006 */     GIR_EraseRootFromParent_Done,
     /*  846007 */   // Label 13018: @846007
     /*  846007 */   GIM_Try, /*On fail goto*//*Label 13019*/ GIMT_Encode4(846082), // Rule ID 23978 //
     /*  846012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  846023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  846026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  846029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  846061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846080 */     GIR_RootConstrainSelectedInstOperands,
     /*  846081 */     // GIR_Coverage, 23978,
     /*  846081 */     GIR_EraseRootFromParent_Done,
     /*  846082 */   // Label 13019: @846082
     /*  846082 */   GIM_Try, /*On fail goto*//*Label 13020*/ GIMT_Encode4(846157), // Rule ID 23979 //
     /*  846087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  846098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  846101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  846104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846133 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  846136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846155 */     GIR_RootConstrainSelectedInstOperands,
     /*  846156 */     // GIR_Coverage, 23979,
     /*  846156 */     GIR_EraseRootFromParent_Done,
     /*  846157 */   // Label 13020: @846157
     /*  846157 */   GIM_Try, /*On fail goto*//*Label 13021*/ GIMT_Encode4(846232), // Rule ID 23982 //
     /*  846162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  846173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  846176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  846179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  846211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846230 */     GIR_RootConstrainSelectedInstOperands,
     /*  846231 */     // GIR_Coverage, 23982,
     /*  846231 */     GIR_EraseRootFromParent_Done,
     /*  846232 */   // Label 13021: @846232
     /*  846232 */   GIM_Try, /*On fail goto*//*Label 13022*/ GIMT_Encode4(846307), // Rule ID 23983 //
     /*  846237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  846248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  846251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  846254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846283 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  846286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846305 */     GIR_RootConstrainSelectedInstOperands,
     /*  846306 */     // GIR_Coverage, 23983,
     /*  846306 */     GIR_EraseRootFromParent_Done,
     /*  846307 */   // Label 13022: @846307
     /*  846307 */   GIM_Try, /*On fail goto*//*Label 13023*/ GIMT_Encode4(846382), // Rule ID 23986 //
     /*  846312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  846323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  846326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  846329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  846358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  846361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846380 */     GIR_RootConstrainSelectedInstOperands,
     /*  846381 */     // GIR_Coverage, 23986,
     /*  846381 */     GIR_EraseRootFromParent_Done,
     /*  846382 */   // Label 13023: @846382
     /*  846382 */   GIM_Try, /*On fail goto*//*Label 13024*/ GIMT_Encode4(846457), // Rule ID 23987 //
     /*  846387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  846398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  846401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  846404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846433 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  846433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  846436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846455 */     GIR_RootConstrainSelectedInstOperands,
     /*  846456 */     // GIR_Coverage, 23987,
     /*  846456 */     GIR_EraseRootFromParent_Done,
     /*  846457 */   // Label 13024: @846457
     /*  846457 */   GIM_Try, /*On fail goto*//*Label 13025*/ GIMT_Encode4(846532), // Rule ID 23990 //
     /*  846462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  846473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  846476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  846479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11563:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846530 */     GIR_RootConstrainSelectedInstOperands,
     /*  846531 */     // GIR_Coverage, 23990,
     /*  846531 */     GIR_EraseRootFromParent_Done,
     /*  846532 */   // Label 13025: @846532
     /*  846532 */   GIM_Try, /*On fail goto*//*Label 13026*/ GIMT_Encode4(846607), // Rule ID 23991 //
     /*  846537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  846548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  846551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  846554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846583 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11563:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846605 */     GIR_RootConstrainSelectedInstOperands,
     /*  846606 */     // GIR_Coverage, 23991,
     /*  846606 */     GIR_EraseRootFromParent_Done,
     /*  846607 */   // Label 13026: @846607
     /*  846607 */   GIM_Try, /*On fail goto*//*Label 13027*/ GIMT_Encode4(846682), // Rule ID 23994 //
     /*  846612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  846623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  846626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  846629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846658 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846680 */     GIR_RootConstrainSelectedInstOperands,
     /*  846681 */     // GIR_Coverage, 23994,
     /*  846681 */     GIR_EraseRootFromParent_Done,
     /*  846682 */   // Label 13027: @846682
     /*  846682 */   GIM_Try, /*On fail goto*//*Label 13028*/ GIMT_Encode4(846757), // Rule ID 23995 //
     /*  846687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  846698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  846701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  846704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846755 */     GIR_RootConstrainSelectedInstOperands,
     /*  846756 */     // GIR_Coverage, 23995,
     /*  846756 */     GIR_EraseRootFromParent_Done,
     /*  846757 */   // Label 13028: @846757
     /*  846757 */   GIM_Try, /*On fail goto*//*Label 13029*/ GIMT_Encode4(846832), // Rule ID 23998 //
     /*  846762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  846773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  846776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  846779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  846808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846830 */     GIR_RootConstrainSelectedInstOperands,
     /*  846831 */     // GIR_Coverage, 23998,
     /*  846831 */     GIR_EraseRootFromParent_Done,
     /*  846832 */   // Label 13029: @846832
     /*  846832 */   GIM_Try, /*On fail goto*//*Label 13030*/ GIMT_Encode4(846907), // Rule ID 23999 //
     /*  846837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  846848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  846851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  846854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  846883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846905 */     GIR_RootConstrainSelectedInstOperands,
     /*  846906 */     // GIR_Coverage, 23999,
     /*  846906 */     GIR_EraseRootFromParent_Done,
     /*  846907 */   // Label 13030: @846907
     /*  846907 */   GIM_Try, /*On fail goto*//*Label 13031*/ GIMT_Encode4(846982), // Rule ID 24002 //
     /*  846912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  846915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  846929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  846961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846980 */     GIR_RootConstrainSelectedInstOperands,
     /*  846981 */     // GIR_Coverage, 24002,
     /*  846981 */     GIR_EraseRootFromParent_Done,
     /*  846982 */   // Label 13031: @846982
     /*  846982 */   GIM_Try, /*On fail goto*//*Label 13032*/ GIMT_Encode4(847057), // Rule ID 24003 //
     /*  846987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  846990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  847001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  847004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847033 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  847033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  847036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847055 */     GIR_RootConstrainSelectedInstOperands,
     /*  847056 */     // GIR_Coverage, 24003,
     /*  847056 */     GIR_EraseRootFromParent_Done,
     /*  847057 */   // Label 13032: @847057
     /*  847057 */   GIM_Try, /*On fail goto*//*Label 13033*/ GIMT_Encode4(847132), // Rule ID 24006 //
     /*  847062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  847073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  847076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  847079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847108 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  847108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847130 */     GIR_RootConstrainSelectedInstOperands,
     /*  847131 */     // GIR_Coverage, 24006,
     /*  847131 */     GIR_EraseRootFromParent_Done,
     /*  847132 */   // Label 13033: @847132
     /*  847132 */   GIM_Try, /*On fail goto*//*Label 13034*/ GIMT_Encode4(847207), // Rule ID 24007 //
     /*  847137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  847148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  847151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  847154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  847183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847205 */     GIR_RootConstrainSelectedInstOperands,
     /*  847206 */     // GIR_Coverage, 24007,
     /*  847206 */     GIR_EraseRootFromParent_Done,
     /*  847207 */   // Label 13034: @847207
     /*  847207 */   GIM_Try, /*On fail goto*//*Label 13035*/ GIMT_Encode4(847282), // Rule ID 24010 //
     /*  847212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  847223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  847226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  847229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847258 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  847258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847280 */     GIR_RootConstrainSelectedInstOperands,
     /*  847281 */     // GIR_Coverage, 24010,
     /*  847281 */     GIR_EraseRootFromParent_Done,
     /*  847282 */   // Label 13035: @847282
     /*  847282 */   GIM_Try, /*On fail goto*//*Label 13036*/ GIMT_Encode4(847357), // Rule ID 24011 //
     /*  847287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  847298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  847301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  847304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847333 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  847333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847355 */     GIR_RootConstrainSelectedInstOperands,
     /*  847356 */     // GIR_Coverage, 24011,
     /*  847356 */     GIR_EraseRootFromParent_Done,
     /*  847357 */   // Label 13036: @847357
     /*  847357 */   GIM_Try, /*On fail goto*//*Label 13037*/ GIMT_Encode4(847432), // Rule ID 24014 //
     /*  847362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  847373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  847376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  847379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847408 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  847408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847430 */     GIR_RootConstrainSelectedInstOperands,
     /*  847431 */     // GIR_Coverage, 24014,
     /*  847431 */     GIR_EraseRootFromParent_Done,
     /*  847432 */   // Label 13037: @847432
     /*  847432 */   GIM_Try, /*On fail goto*//*Label 13038*/ GIMT_Encode4(847507), // Rule ID 24015 //
     /*  847437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  847448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  847451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  847454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847483 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  847483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847505 */     GIR_RootConstrainSelectedInstOperands,
     /*  847506 */     // GIR_Coverage, 24015,
     /*  847506 */     GIR_EraseRootFromParent_Done,
     /*  847507 */   // Label 13038: @847507
     /*  847507 */   GIM_Try, /*On fail goto*//*Label 13039*/ GIMT_Encode4(847582), // Rule ID 24018 //
     /*  847512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  847523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  847526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  847529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847580 */     GIR_RootConstrainSelectedInstOperands,
     /*  847581 */     // GIR_Coverage, 24018,
     /*  847581 */     GIR_EraseRootFromParent_Done,
     /*  847582 */   // Label 13039: @847582
     /*  847582 */   GIM_Try, /*On fail goto*//*Label 13040*/ GIMT_Encode4(847657), // Rule ID 24019 //
     /*  847587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  847598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  847601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  847604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847633 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847655 */     GIR_RootConstrainSelectedInstOperands,
     /*  847656 */     // GIR_Coverage, 24019,
     /*  847656 */     GIR_EraseRootFromParent_Done,
     /*  847657 */   // Label 13040: @847657
     /*  847657 */   GIM_Try, /*On fail goto*//*Label 13041*/ GIMT_Encode4(847732), // Rule ID 24022 //
     /*  847662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  847673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  847676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  847679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847708 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847730 */     GIR_RootConstrainSelectedInstOperands,
     /*  847731 */     // GIR_Coverage, 24022,
     /*  847731 */     GIR_EraseRootFromParent_Done,
     /*  847732 */   // Label 13041: @847732
     /*  847732 */   GIM_Try, /*On fail goto*//*Label 13042*/ GIMT_Encode4(847807), // Rule ID 24023 //
     /*  847737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  847748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  847751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  847754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847783 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847805 */     GIR_RootConstrainSelectedInstOperands,
     /*  847806 */     // GIR_Coverage, 24023,
     /*  847806 */     GIR_EraseRootFromParent_Done,
     /*  847807 */   // Label 13042: @847807
     /*  847807 */   GIM_Try, /*On fail goto*//*Label 13043*/ GIMT_Encode4(847882), // Rule ID 24026 //
     /*  847812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  847823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  847826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  847829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847880 */     GIR_RootConstrainSelectedInstOperands,
     /*  847881 */     // GIR_Coverage, 24026,
     /*  847881 */     GIR_EraseRootFromParent_Done,
     /*  847882 */   // Label 13043: @847882
     /*  847882 */   GIM_Try, /*On fail goto*//*Label 13044*/ GIMT_Encode4(847957), // Rule ID 24027 //
     /*  847887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  847898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  847901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  847904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847933 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847955 */     GIR_RootConstrainSelectedInstOperands,
     /*  847956 */     // GIR_Coverage, 24027,
     /*  847956 */     GIR_EraseRootFromParent_Done,
     /*  847957 */   // Label 13044: @847957
     /*  847957 */   GIM_Try, /*On fail goto*//*Label 13045*/ GIMT_Encode4(848032), // Rule ID 24030 //
     /*  847962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  847973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  847976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  847979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  848008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  848011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848030 */     GIR_RootConstrainSelectedInstOperands,
     /*  848031 */     // GIR_Coverage, 24030,
     /*  848031 */     GIR_EraseRootFromParent_Done,
     /*  848032 */   // Label 13045: @848032
     /*  848032 */   GIM_Try, /*On fail goto*//*Label 13046*/ GIMT_Encode4(848107), // Rule ID 24031 //
     /*  848037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  848048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  848051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  848054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848083 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  848083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  848086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848105 */     GIR_RootConstrainSelectedInstOperands,
     /*  848106 */     // GIR_Coverage, 24031,
     /*  848106 */     GIR_EraseRootFromParent_Done,
     /*  848107 */   // Label 13046: @848107
     /*  848107 */   GIM_Try, /*On fail goto*//*Label 13047*/ GIMT_Encode4(848182), // Rule ID 24034 //
     /*  848112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  848123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  848126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  848129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  848158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  848161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848180 */     GIR_RootConstrainSelectedInstOperands,
     /*  848181 */     // GIR_Coverage, 24034,
     /*  848181 */     GIR_EraseRootFromParent_Done,
     /*  848182 */   // Label 13047: @848182
     /*  848182 */   GIM_Try, /*On fail goto*//*Label 13048*/ GIMT_Encode4(848257), // Rule ID 24035 //
     /*  848187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  848198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  848201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  848204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848233 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  848233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  848236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848255 */     GIR_RootConstrainSelectedInstOperands,
     /*  848256 */     // GIR_Coverage, 24035,
     /*  848256 */     GIR_EraseRootFromParent_Done,
     /*  848257 */   // Label 13048: @848257
     /*  848257 */   GIM_Try, /*On fail goto*//*Label 13049*/ GIMT_Encode4(848332), // Rule ID 24038 //
     /*  848262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  848273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  848276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  848279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848308 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  848308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  848311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848330 */     GIR_RootConstrainSelectedInstOperands,
     /*  848331 */     // GIR_Coverage, 24038,
     /*  848331 */     GIR_EraseRootFromParent_Done,
     /*  848332 */   // Label 13049: @848332
     /*  848332 */   GIM_Try, /*On fail goto*//*Label 13050*/ GIMT_Encode4(848407), // Rule ID 24039 //
     /*  848337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  848348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  848351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  848354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848383 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  848383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  848386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848405 */     GIR_RootConstrainSelectedInstOperands,
     /*  848406 */     // GIR_Coverage, 24039,
     /*  848406 */     GIR_EraseRootFromParent_Done,
     /*  848407 */   // Label 13050: @848407
     /*  848407 */   GIM_Try, /*On fail goto*//*Label 13051*/ GIMT_Encode4(848482), // Rule ID 24042 //
     /*  848412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  848415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  848423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  848426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  848429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848458 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  848458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  848461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848480 */     GIR_RootConstrainSelectedInstOperands,
     /*  848481 */     // GIR_Coverage, 24042,
     /*  848481 */     GIR_EraseRootFromParent_Done,
     /*  848482 */   // Label 13051: @848482
     /*  848482 */   GIM_Try, /*On fail goto*//*Label 13052*/ GIMT_Encode4(848557), // Rule ID 24043 //
     /*  848487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  848490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  848498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  848501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  848504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  848533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  848536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848555 */     GIR_RootConstrainSelectedInstOperands,
     /*  848556 */     // GIR_Coverage, 24043,
     /*  848556 */     GIR_EraseRootFromParent_Done,
     /*  848557 */   // Label 13052: @848557
     /*  848557 */   GIM_Try, /*On fail goto*//*Label 13053*/ GIMT_Encode4(848632), // Rule ID 24046 //
     /*  848562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  848565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  848573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  848576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  848579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  848608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  848611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848630 */     GIR_RootConstrainSelectedInstOperands,
     /*  848631 */     // GIR_Coverage, 24046,
     /*  848631 */     GIR_EraseRootFromParent_Done,
     /*  848632 */   // Label 13053: @848632
     /*  848632 */   GIM_Try, /*On fail goto*//*Label 13054*/ GIMT_Encode4(848707), // Rule ID 24047 //
     /*  848637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  848640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  848648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  848651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  848654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848683 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  848683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  848686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848705 */     GIR_RootConstrainSelectedInstOperands,
     /*  848706 */     // GIR_Coverage, 24047,
     /*  848706 */     GIR_EraseRootFromParent_Done,
     /*  848707 */   // Label 13054: @848707
     /*  848707 */   GIM_Try, /*On fail goto*//*Label 13055*/ GIMT_Encode4(848782), // Rule ID 24050 //
     /*  848712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  848715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  848723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  848726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  848729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  848758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  848761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848780 */     GIR_RootConstrainSelectedInstOperands,
     /*  848781 */     // GIR_Coverage, 24050,
     /*  848781 */     GIR_EraseRootFromParent_Done,
     /*  848782 */   // Label 13055: @848782
     /*  848782 */   GIM_Try, /*On fail goto*//*Label 13056*/ GIMT_Encode4(848857), // Rule ID 24051 //
     /*  848787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  848790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  848795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  848798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  848801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  848804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848833 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  848833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  848836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848855 */     GIR_RootConstrainSelectedInstOperands,
     /*  848856 */     // GIR_Coverage, 24051,
     /*  848856 */     GIR_EraseRootFromParent_Done,
     /*  848857 */   // Label 13056: @848857
     /*  848857 */   GIM_Try, /*On fail goto*//*Label 13057*/ GIMT_Encode4(848932), // Rule ID 24054 //
     /*  848862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  848873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  848876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  848879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848908 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  848911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848930 */     GIR_RootConstrainSelectedInstOperands,
     /*  848931 */     // GIR_Coverage, 24054,
     /*  848931 */     GIR_EraseRootFromParent_Done,
     /*  848932 */   // Label 13057: @848932
     /*  848932 */   GIM_Try, /*On fail goto*//*Label 13058*/ GIMT_Encode4(849007), // Rule ID 24055 //
     /*  848937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  848948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  848951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  848954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848983 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  848986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849005 */     GIR_RootConstrainSelectedInstOperands,
     /*  849006 */     // GIR_Coverage, 24055,
     /*  849006 */     GIR_EraseRootFromParent_Done,
     /*  849007 */   // Label 13058: @849007
     /*  849007 */   GIM_Try, /*On fail goto*//*Label 13059*/ GIMT_Encode4(849082), // Rule ID 24058 //
     /*  849012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  849026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849058 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  849061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849080 */     GIR_RootConstrainSelectedInstOperands,
     /*  849081 */     // GIR_Coverage, 24058,
     /*  849081 */     GIR_EraseRootFromParent_Done,
     /*  849082 */   // Label 13059: @849082
     /*  849082 */   GIM_Try, /*On fail goto*//*Label 13060*/ GIMT_Encode4(849157), // Rule ID 24059 //
     /*  849087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  849101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849133 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  849136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849155 */     GIR_RootConstrainSelectedInstOperands,
     /*  849156 */     // GIR_Coverage, 24059,
     /*  849156 */     GIR_EraseRootFromParent_Done,
     /*  849157 */   // Label 13060: @849157
     /*  849157 */   GIM_Try, /*On fail goto*//*Label 13061*/ GIMT_Encode4(849232), // Rule ID 24062 //
     /*  849162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  849173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  849176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  849179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849208 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  849211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849230 */     GIR_RootConstrainSelectedInstOperands,
     /*  849231 */     // GIR_Coverage, 24062,
     /*  849231 */     GIR_EraseRootFromParent_Done,
     /*  849232 */   // Label 13061: @849232
     /*  849232 */   GIM_Try, /*On fail goto*//*Label 13062*/ GIMT_Encode4(849307), // Rule ID 24063 //
     /*  849237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  849248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  849251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  849254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849283 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  849286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849305 */     GIR_RootConstrainSelectedInstOperands,
     /*  849306 */     // GIR_Coverage, 24063,
     /*  849306 */     GIR_EraseRootFromParent_Done,
     /*  849307 */   // Label 13062: @849307
     /*  849307 */   GIM_Try, /*On fail goto*//*Label 13063*/ GIMT_Encode4(849382), // Rule ID 24066 //
     /*  849312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  849323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  849326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  849329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  849361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849380 */     GIR_RootConstrainSelectedInstOperands,
     /*  849381 */     // GIR_Coverage, 24066,
     /*  849381 */     GIR_EraseRootFromParent_Done,
     /*  849382 */   // Label 13063: @849382
     /*  849382 */   GIM_Try, /*On fail goto*//*Label 13064*/ GIMT_Encode4(849457), // Rule ID 24067 //
     /*  849387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  849398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  849401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  849404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  849433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  849436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849455 */     GIR_RootConstrainSelectedInstOperands,
     /*  849456 */     // GIR_Coverage, 24067,
     /*  849456 */     GIR_EraseRootFromParent_Done,
     /*  849457 */   // Label 13064: @849457
     /*  849457 */   GIM_Try, /*On fail goto*//*Label 13065*/ GIMT_Encode4(849532), // Rule ID 24070 //
     /*  849462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  849473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  849476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  849479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849508 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  849511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849530 */     GIR_RootConstrainSelectedInstOperands,
     /*  849531 */     // GIR_Coverage, 24070,
     /*  849531 */     GIR_EraseRootFromParent_Done,
     /*  849532 */   // Label 13065: @849532
     /*  849532 */   GIM_Try, /*On fail goto*//*Label 13066*/ GIMT_Encode4(849607), // Rule ID 24071 //
     /*  849537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  849548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  849551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  849554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849583 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  849583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  849586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849605 */     GIR_RootConstrainSelectedInstOperands,
     /*  849606 */     // GIR_Coverage, 24071,
     /*  849606 */     GIR_EraseRootFromParent_Done,
     /*  849607 */   // Label 13066: @849607
     /*  849607 */   GIM_Try, /*On fail goto*//*Label 13067*/ GIMT_Encode4(849682), // Rule ID 24074 //
     /*  849612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  849623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  849626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  849629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  849658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  849661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849680 */     GIR_RootConstrainSelectedInstOperands,
     /*  849681 */     // GIR_Coverage, 24074,
     /*  849681 */     GIR_EraseRootFromParent_Done,
     /*  849682 */   // Label 13067: @849682
     /*  849682 */   GIM_Try, /*On fail goto*//*Label 13068*/ GIMT_Encode4(849757), // Rule ID 24075 //
     /*  849687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  849698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  849701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  849704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  849736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849755 */     GIR_RootConstrainSelectedInstOperands,
     /*  849756 */     // GIR_Coverage, 24075,
     /*  849756 */     GIR_EraseRootFromParent_Done,
     /*  849757 */   // Label 13068: @849757
     /*  849757 */   GIM_Try, /*On fail goto*//*Label 13069*/ GIMT_Encode4(849832), // Rule ID 24078 //
     /*  849762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  849773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  849776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  849779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849830 */     GIR_RootConstrainSelectedInstOperands,
     /*  849831 */     // GIR_Coverage, 24078,
     /*  849831 */     GIR_EraseRootFromParent_Done,
     /*  849832 */   // Label 13069: @849832
     /*  849832 */   GIM_Try, /*On fail goto*//*Label 13070*/ GIMT_Encode4(849907), // Rule ID 24079 //
     /*  849837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  849848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  849851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  849854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849905 */     GIR_RootConstrainSelectedInstOperands,
     /*  849906 */     // GIR_Coverage, 24079,
     /*  849906 */     GIR_EraseRootFromParent_Done,
     /*  849907 */   // Label 13070: @849907
     /*  849907 */   GIM_Try, /*On fail goto*//*Label 13071*/ GIMT_Encode4(849982), // Rule ID 24082 //
     /*  849912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  849923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  849926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  849929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849980 */     GIR_RootConstrainSelectedInstOperands,
     /*  849981 */     // GIR_Coverage, 24082,
     /*  849981 */     GIR_EraseRootFromParent_Done,
     /*  849982 */   // Label 13071: @849982
     /*  849982 */   GIM_Try, /*On fail goto*//*Label 13072*/ GIMT_Encode4(850057), // Rule ID 24083 //
     /*  849987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  849998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  850001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  850004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  850036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850055 */     GIR_RootConstrainSelectedInstOperands,
     /*  850056 */     // GIR_Coverage, 24083,
     /*  850056 */     GIR_EraseRootFromParent_Done,
     /*  850057 */   // Label 13072: @850057
     /*  850057 */   GIM_Try, /*On fail goto*//*Label 13073*/ GIMT_Encode4(850132), // Rule ID 24086 //
     /*  850062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  850073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  850076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  850079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  850111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850130 */     GIR_RootConstrainSelectedInstOperands,
     /*  850131 */     // GIR_Coverage, 24086,
     /*  850131 */     GIR_EraseRootFromParent_Done,
     /*  850132 */   // Label 13073: @850132
     /*  850132 */   GIM_Try, /*On fail goto*//*Label 13074*/ GIMT_Encode4(850207), // Rule ID 24087 //
     /*  850137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  850148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  850151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  850154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  850186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850205 */     GIR_RootConstrainSelectedInstOperands,
     /*  850206 */     // GIR_Coverage, 24087,
     /*  850206 */     GIR_EraseRootFromParent_Done,
     /*  850207 */   // Label 13074: @850207
     /*  850207 */   GIM_Try, /*On fail goto*//*Label 13075*/ GIMT_Encode4(850282), // Rule ID 24090 //
     /*  850212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  850215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  850223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  850226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  850229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  850258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  850261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850280 */     GIR_RootConstrainSelectedInstOperands,
     /*  850281 */     // GIR_Coverage, 24090,
     /*  850281 */     GIR_EraseRootFromParent_Done,
     /*  850282 */   // Label 13075: @850282
     /*  850282 */   GIM_Try, /*On fail goto*//*Label 13076*/ GIMT_Encode4(850357), // Rule ID 24091 //
     /*  850287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  850290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  850298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  850301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  850304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850333 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  850333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  850336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850355 */     GIR_RootConstrainSelectedInstOperands,
     /*  850356 */     // GIR_Coverage, 24091,
     /*  850356 */     GIR_EraseRootFromParent_Done,
     /*  850357 */   // Label 13076: @850357
     /*  850357 */   GIM_Try, /*On fail goto*//*Label 13077*/ GIMT_Encode4(850432), // Rule ID 24094 //
     /*  850362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  850373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  850376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  850379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850408 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850430 */     GIR_RootConstrainSelectedInstOperands,
     /*  850431 */     // GIR_Coverage, 24094,
     /*  850431 */     GIR_EraseRootFromParent_Done,
     /*  850432 */   // Label 13077: @850432
     /*  850432 */   GIM_Try, /*On fail goto*//*Label 13078*/ GIMT_Encode4(850507), // Rule ID 24095 //
     /*  850437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  850448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  850451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  850454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850505 */     GIR_RootConstrainSelectedInstOperands,
     /*  850506 */     // GIR_Coverage, 24095,
     /*  850506 */     GIR_EraseRootFromParent_Done,
     /*  850507 */   // Label 13078: @850507
     /*  850507 */   GIM_Try, /*On fail goto*//*Label 13079*/ GIMT_Encode4(850582), // Rule ID 24098 //
     /*  850512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  850523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  850526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  850529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850558 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850580 */     GIR_RootConstrainSelectedInstOperands,
     /*  850581 */     // GIR_Coverage, 24098,
     /*  850581 */     GIR_EraseRootFromParent_Done,
     /*  850582 */   // Label 13079: @850582
     /*  850582 */   GIM_Try, /*On fail goto*//*Label 13080*/ GIMT_Encode4(850657), // Rule ID 24099 //
     /*  850587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  850598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  850601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  850604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850633 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850655 */     GIR_RootConstrainSelectedInstOperands,
     /*  850656 */     // GIR_Coverage, 24099,
     /*  850656 */     GIR_EraseRootFromParent_Done,
     /*  850657 */   // Label 13080: @850657
     /*  850657 */   GIM_Try, /*On fail goto*//*Label 13081*/ GIMT_Encode4(850732), // Rule ID 24102 //
     /*  850662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  850673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  850676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  850679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850708 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850730 */     GIR_RootConstrainSelectedInstOperands,
     /*  850731 */     // GIR_Coverage, 24102,
     /*  850731 */     GIR_EraseRootFromParent_Done,
     /*  850732 */   // Label 13081: @850732
     /*  850732 */   GIM_Try, /*On fail goto*//*Label 13082*/ GIMT_Encode4(850807), // Rule ID 24103 //
     /*  850737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  850748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  850751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  850754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850783 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850805 */     GIR_RootConstrainSelectedInstOperands,
     /*  850806 */     // GIR_Coverage, 24103,
     /*  850806 */     GIR_EraseRootFromParent_Done,
     /*  850807 */   // Label 13082: @850807
     /*  850807 */   GIM_Try, /*On fail goto*//*Label 13083*/ GIMT_Encode4(850882), // Rule ID 24106 //
     /*  850812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  850823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  850826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  850829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850880 */     GIR_RootConstrainSelectedInstOperands,
     /*  850881 */     // GIR_Coverage, 24106,
     /*  850881 */     GIR_EraseRootFromParent_Done,
     /*  850882 */   // Label 13083: @850882
     /*  850882 */   GIM_Try, /*On fail goto*//*Label 13084*/ GIMT_Encode4(850957), // Rule ID 24107 //
     /*  850887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  850898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  850901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  850904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850933 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850955 */     GIR_RootConstrainSelectedInstOperands,
     /*  850956 */     // GIR_Coverage, 24107,
     /*  850956 */     GIR_EraseRootFromParent_Done,
     /*  850957 */   // Label 13084: @850957
     /*  850957 */   GIM_Try, /*On fail goto*//*Label 13085*/ GIMT_Encode4(851032), // Rule ID 24110 //
     /*  850962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  850973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  850976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  850979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  851011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851030 */     GIR_RootConstrainSelectedInstOperands,
     /*  851031 */     // GIR_Coverage, 24110,
     /*  851031 */     GIR_EraseRootFromParent_Done,
     /*  851032 */   // Label 13085: @851032
     /*  851032 */   GIM_Try, /*On fail goto*//*Label 13086*/ GIMT_Encode4(851107), // Rule ID 24111 //
     /*  851037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  851048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  851051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  851054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  851086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851105 */     GIR_RootConstrainSelectedInstOperands,
     /*  851106 */     // GIR_Coverage, 24111,
     /*  851106 */     GIR_EraseRootFromParent_Done,
     /*  851107 */   // Label 13086: @851107
     /*  851107 */   GIM_Try, /*On fail goto*//*Label 13087*/ GIMT_Encode4(851182), // Rule ID 24114 //
     /*  851112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  851123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  851126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  851129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  851161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851180 */     GIR_RootConstrainSelectedInstOperands,
     /*  851181 */     // GIR_Coverage, 24114,
     /*  851181 */     GIR_EraseRootFromParent_Done,
     /*  851182 */   // Label 13087: @851182
     /*  851182 */   GIM_Try, /*On fail goto*//*Label 13088*/ GIMT_Encode4(851257), // Rule ID 24115 //
     /*  851187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  851198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  851201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  851204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851233 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  851236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851255 */     GIR_RootConstrainSelectedInstOperands,
     /*  851256 */     // GIR_Coverage, 24115,
     /*  851256 */     GIR_EraseRootFromParent_Done,
     /*  851257 */   // Label 13088: @851257
     /*  851257 */   GIM_Try, /*On fail goto*//*Label 13089*/ GIMT_Encode4(851332), // Rule ID 24118 //
     /*  851262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  851273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  851276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  851279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  851311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851330 */     GIR_RootConstrainSelectedInstOperands,
     /*  851331 */     // GIR_Coverage, 24118,
     /*  851331 */     GIR_EraseRootFromParent_Done,
     /*  851332 */   // Label 13089: @851332
     /*  851332 */   GIM_Try, /*On fail goto*//*Label 13090*/ GIMT_Encode4(851407), // Rule ID 24119 //
     /*  851337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  851348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  851351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  851354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851383 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  851386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851405 */     GIR_RootConstrainSelectedInstOperands,
     /*  851406 */     // GIR_Coverage, 24119,
     /*  851406 */     GIR_EraseRootFromParent_Done,
     /*  851407 */   // Label 13090: @851407
     /*  851407 */   GIM_Try, /*On fail goto*//*Label 13091*/ GIMT_Encode4(851482), // Rule ID 24122 //
     /*  851412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  851423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  851426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  851429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851458 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  851461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851480 */     GIR_RootConstrainSelectedInstOperands,
     /*  851481 */     // GIR_Coverage, 24122,
     /*  851481 */     GIR_EraseRootFromParent_Done,
     /*  851482 */   // Label 13091: @851482
     /*  851482 */   GIM_Try, /*On fail goto*//*Label 13092*/ GIMT_Encode4(851557), // Rule ID 24123 //
     /*  851487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  851498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  851501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  851504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851533 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  851536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851555 */     GIR_RootConstrainSelectedInstOperands,
     /*  851556 */     // GIR_Coverage, 24123,
     /*  851556 */     GIR_EraseRootFromParent_Done,
     /*  851557 */   // Label 13092: @851557
     /*  851557 */   GIM_Try, /*On fail goto*//*Label 13093*/ GIMT_Encode4(851632), // Rule ID 24126 //
     /*  851562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  851573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  851576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  851579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851608 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  851611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851630 */     GIR_RootConstrainSelectedInstOperands,
     /*  851631 */     // GIR_Coverage, 24126,
     /*  851631 */     GIR_EraseRootFromParent_Done,
     /*  851632 */   // Label 13093: @851632
     /*  851632 */   GIM_Try, /*On fail goto*//*Label 13094*/ GIMT_Encode4(851707), // Rule ID 24127 //
     /*  851637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  851648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  851651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  851654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  851686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851705 */     GIR_RootConstrainSelectedInstOperands,
     /*  851706 */     // GIR_Coverage, 24127,
     /*  851706 */     GIR_EraseRootFromParent_Done,
     /*  851707 */   // Label 13094: @851707
     /*  851707 */   GIM_Try, /*On fail goto*//*Label 13095*/ GIMT_Encode4(851782), // Rule ID 24130 //
     /*  851712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  851715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  851723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  851726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  851729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  851761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851780 */     GIR_RootConstrainSelectedInstOperands,
     /*  851781 */     // GIR_Coverage, 24130,
     /*  851781 */     GIR_EraseRootFromParent_Done,
     /*  851782 */   // Label 13095: @851782
     /*  851782 */   GIM_Try, /*On fail goto*//*Label 13096*/ GIMT_Encode4(851857), // Rule ID 24131 //
     /*  851787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  851790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  851798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  851801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  851804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  851836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851855 */     GIR_RootConstrainSelectedInstOperands,
     /*  851856 */     // GIR_Coverage, 24131,
     /*  851856 */     GIR_EraseRootFromParent_Done,
     /*  851857 */   // Label 13096: @851857
     /*  851857 */   GIM_Try, /*On fail goto*//*Label 13097*/ GIMT_Encode4(851932), // Rule ID 24134 //
     /*  851862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  851865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  851873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  851876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  851879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  851911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851930 */     GIR_RootConstrainSelectedInstOperands,
     /*  851931 */     // GIR_Coverage, 24134,
     /*  851931 */     GIR_EraseRootFromParent_Done,
     /*  851932 */   // Label 13097: @851932
     /*  851932 */   GIM_Try, /*On fail goto*//*Label 13098*/ GIMT_Encode4(852007), // Rule ID 24135 //
     /*  851937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  851940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  851945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  851948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  851951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  851954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  851986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852005 */     GIR_RootConstrainSelectedInstOperands,
     /*  852006 */     // GIR_Coverage, 24135,
     /*  852006 */     GIR_EraseRootFromParent_Done,
     /*  852007 */   // Label 13098: @852007
     /*  852007 */   GIM_Try, /*On fail goto*//*Label 13099*/ GIMT_Encode4(852082), // Rule ID 24138 //
     /*  852012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  852015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  852023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  852026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  852029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  852061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852080 */     GIR_RootConstrainSelectedInstOperands,
     /*  852081 */     // GIR_Coverage, 24138,
     /*  852081 */     GIR_EraseRootFromParent_Done,
     /*  852082 */   // Label 13099: @852082
     /*  852082 */   GIM_Try, /*On fail goto*//*Label 13100*/ GIMT_Encode4(852157), // Rule ID 24139 //
     /*  852087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  852090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  852098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  852101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  852104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852133 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  852136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852155 */     GIR_RootConstrainSelectedInstOperands,
     /*  852156 */     // GIR_Coverage, 24139,
     /*  852156 */     GIR_EraseRootFromParent_Done,
     /*  852157 */   // Label 13100: @852157
     /*  852157 */   GIM_Try, /*On fail goto*//*Label 13101*/ GIMT_Encode4(852232), // Rule ID 24382 //
     /*  852162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  852173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  852176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  852179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852208 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  852211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852230 */     GIR_RootConstrainSelectedInstOperands,
     /*  852231 */     // GIR_Coverage, 24382,
     /*  852231 */     GIR_EraseRootFromParent_Done,
     /*  852232 */   // Label 13101: @852232
     /*  852232 */   GIM_Try, /*On fail goto*//*Label 13102*/ GIMT_Encode4(852307), // Rule ID 24383 //
     /*  852237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  852248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  852251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  852254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852283 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  852286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852305 */     GIR_RootConstrainSelectedInstOperands,
     /*  852306 */     // GIR_Coverage, 24383,
     /*  852306 */     GIR_EraseRootFromParent_Done,
     /*  852307 */   // Label 13102: @852307
     /*  852307 */   GIM_Try, /*On fail goto*//*Label 13103*/ GIMT_Encode4(852382), // Rule ID 24386 //
     /*  852312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  852323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  852326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  852329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852358 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  852361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852380 */     GIR_RootConstrainSelectedInstOperands,
     /*  852381 */     // GIR_Coverage, 24386,
     /*  852381 */     GIR_EraseRootFromParent_Done,
     /*  852382 */   // Label 13103: @852382
     /*  852382 */   GIM_Try, /*On fail goto*//*Label 13104*/ GIMT_Encode4(852457), // Rule ID 24387 //
     /*  852387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  852398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  852401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  852404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852433 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  852436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852455 */     GIR_RootConstrainSelectedInstOperands,
     /*  852456 */     // GIR_Coverage, 24387,
     /*  852456 */     GIR_EraseRootFromParent_Done,
     /*  852457 */   // Label 13104: @852457
     /*  852457 */   GIM_Try, /*On fail goto*//*Label 13105*/ GIMT_Encode4(852532), // Rule ID 24390 //
     /*  852462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  852473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  852476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  852479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852508 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  852511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852530 */     GIR_RootConstrainSelectedInstOperands,
     /*  852531 */     // GIR_Coverage, 24390,
     /*  852531 */     GIR_EraseRootFromParent_Done,
     /*  852532 */   // Label 13105: @852532
     /*  852532 */   GIM_Try, /*On fail goto*//*Label 13106*/ GIMT_Encode4(852607), // Rule ID 24391 //
     /*  852537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  852548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  852551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  852554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852583 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  852586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852605 */     GIR_RootConstrainSelectedInstOperands,
     /*  852606 */     // GIR_Coverage, 24391,
     /*  852606 */     GIR_EraseRootFromParent_Done,
     /*  852607 */   // Label 13106: @852607
     /*  852607 */   GIM_Try, /*On fail goto*//*Label 13107*/ GIMT_Encode4(852682), // Rule ID 24394 //
     /*  852612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  852623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  852626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  852629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852658 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  852661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852680 */     GIR_RootConstrainSelectedInstOperands,
     /*  852681 */     // GIR_Coverage, 24394,
     /*  852681 */     GIR_EraseRootFromParent_Done,
     /*  852682 */   // Label 13107: @852682
     /*  852682 */   GIM_Try, /*On fail goto*//*Label 13108*/ GIMT_Encode4(852757), // Rule ID 24395 //
     /*  852687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  852698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  852701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  852704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852733 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  852736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852755 */     GIR_RootConstrainSelectedInstOperands,
     /*  852756 */     // GIR_Coverage, 24395,
     /*  852756 */     GIR_EraseRootFromParent_Done,
     /*  852757 */   // Label 13108: @852757
     /*  852757 */   GIM_Try, /*On fail goto*//*Label 13109*/ GIMT_Encode4(852832), // Rule ID 24398 //
     /*  852762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  852776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852808 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  852811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852830 */     GIR_RootConstrainSelectedInstOperands,
     /*  852831 */     // GIR_Coverage, 24398,
     /*  852831 */     GIR_EraseRootFromParent_Done,
     /*  852832 */   // Label 13109: @852832
     /*  852832 */   GIM_Try, /*On fail goto*//*Label 13110*/ GIMT_Encode4(852907), // Rule ID 24399 //
     /*  852837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  852851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852883 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  852886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852905 */     GIR_RootConstrainSelectedInstOperands,
     /*  852906 */     // GIR_Coverage, 24399,
     /*  852906 */     GIR_EraseRootFromParent_Done,
     /*  852907 */   // Label 13110: @852907
     /*  852907 */   GIM_Try, /*On fail goto*//*Label 13111*/ GIMT_Encode4(852982), // Rule ID 24402 //
     /*  852912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  852915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  852923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  852926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  852929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  852951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852958 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  852961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852980 */     GIR_RootConstrainSelectedInstOperands,
     /*  852981 */     // GIR_Coverage, 24402,
     /*  852981 */     GIR_EraseRootFromParent_Done,
     /*  852982 */   // Label 13111: @852982
     /*  852982 */   GIM_Try, /*On fail goto*//*Label 13112*/ GIMT_Encode4(853057), // Rule ID 24403 //
     /*  852987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  852990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  852998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  853001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  853004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853033 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  853036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853055 */     GIR_RootConstrainSelectedInstOperands,
     /*  853056 */     // GIR_Coverage, 24403,
     /*  853056 */     GIR_EraseRootFromParent_Done,
     /*  853057 */   // Label 13112: @853057
     /*  853057 */   GIM_Try, /*On fail goto*//*Label 13113*/ GIMT_Encode4(853132), // Rule ID 24406 //
     /*  853062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  853073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  853076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  853079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853108 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  853111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853130 */     GIR_RootConstrainSelectedInstOperands,
     /*  853131 */     // GIR_Coverage, 24406,
     /*  853131 */     GIR_EraseRootFromParent_Done,
     /*  853132 */   // Label 13113: @853132
     /*  853132 */   GIM_Try, /*On fail goto*//*Label 13114*/ GIMT_Encode4(853207), // Rule ID 24407 //
     /*  853137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  853148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  853151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  853154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853183 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  853186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853205 */     GIR_RootConstrainSelectedInstOperands,
     /*  853206 */     // GIR_Coverage, 24407,
     /*  853206 */     GIR_EraseRootFromParent_Done,
     /*  853207 */   // Label 13114: @853207
     /*  853207 */   GIM_Try, /*On fail goto*//*Label 13115*/ GIMT_Encode4(853282), // Rule ID 24410 //
     /*  853212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  853223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  853226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  853229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853258 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  853261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853280 */     GIR_RootConstrainSelectedInstOperands,
     /*  853281 */     // GIR_Coverage, 24410,
     /*  853281 */     GIR_EraseRootFromParent_Done,
     /*  853282 */   // Label 13115: @853282
     /*  853282 */   GIM_Try, /*On fail goto*//*Label 13116*/ GIMT_Encode4(853357), // Rule ID 24411 //
     /*  853287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  853298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  853301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  853304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853333 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  853336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853355 */     GIR_RootConstrainSelectedInstOperands,
     /*  853356 */     // GIR_Coverage, 24411,
     /*  853356 */     GIR_EraseRootFromParent_Done,
     /*  853357 */   // Label 13116: @853357
     /*  853357 */   GIM_Try, /*On fail goto*//*Label 13117*/ GIMT_Encode4(853432), // Rule ID 24414 //
     /*  853362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  853373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  853376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  853379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853408 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  853411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853430 */     GIR_RootConstrainSelectedInstOperands,
     /*  853431 */     // GIR_Coverage, 24414,
     /*  853431 */     GIR_EraseRootFromParent_Done,
     /*  853432 */   // Label 13117: @853432
     /*  853432 */   GIM_Try, /*On fail goto*//*Label 13118*/ GIMT_Encode4(853507), // Rule ID 24415 //
     /*  853437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  853448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  853451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  853454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853483 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  853486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853505 */     GIR_RootConstrainSelectedInstOperands,
     /*  853506 */     // GIR_Coverage, 24415,
     /*  853506 */     GIR_EraseRootFromParent_Done,
     /*  853507 */   // Label 13118: @853507
     /*  853507 */   GIM_Try, /*On fail goto*//*Label 13119*/ GIMT_Encode4(853582), // Rule ID 24418 //
     /*  853512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  853515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  853523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  853526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  853529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853558 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  853561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853580 */     GIR_RootConstrainSelectedInstOperands,
     /*  853581 */     // GIR_Coverage, 24418,
     /*  853581 */     GIR_EraseRootFromParent_Done,
     /*  853582 */   // Label 13119: @853582
     /*  853582 */   GIM_Try, /*On fail goto*//*Label 13120*/ GIMT_Encode4(853657), // Rule ID 24419 //
     /*  853587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  853590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  853598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  853601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  853604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853633 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  853636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853655 */     GIR_RootConstrainSelectedInstOperands,
     /*  853656 */     // GIR_Coverage, 24419,
     /*  853656 */     GIR_EraseRootFromParent_Done,
     /*  853657 */   // Label 13120: @853657
     /*  853657 */   GIM_Try, /*On fail goto*//*Label 13121*/ GIMT_Encode4(853732), // Rule ID 24422 //
     /*  853662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  853665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  853673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  853676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  853679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853708 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  853711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853730 */     GIR_RootConstrainSelectedInstOperands,
     /*  853731 */     // GIR_Coverage, 24422,
     /*  853731 */     GIR_EraseRootFromParent_Done,
     /*  853732 */   // Label 13121: @853732
     /*  853732 */   GIM_Try, /*On fail goto*//*Label 13122*/ GIMT_Encode4(853807), // Rule ID 24423 //
     /*  853737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  853740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  853748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  853751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  853754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853783 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  853786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853805 */     GIR_RootConstrainSelectedInstOperands,
     /*  853806 */     // GIR_Coverage, 24423,
     /*  853806 */     GIR_EraseRootFromParent_Done,
     /*  853807 */   // Label 13122: @853807
     /*  853807 */   GIM_Try, /*On fail goto*//*Label 13123*/ GIMT_Encode4(853882), // Rule ID 24426 //
     /*  853812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  853815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  853823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  853826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  853829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853858 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  853861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853880 */     GIR_RootConstrainSelectedInstOperands,
     /*  853881 */     // GIR_Coverage, 24426,
     /*  853881 */     GIR_EraseRootFromParent_Done,
     /*  853882 */   // Label 13123: @853882
     /*  853882 */   GIM_Try, /*On fail goto*//*Label 13124*/ GIMT_Encode4(853957), // Rule ID 24427 //
     /*  853887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  853890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  853898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  853901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  853904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853933 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  853936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853955 */     GIR_RootConstrainSelectedInstOperands,
     /*  853956 */     // GIR_Coverage, 24427,
     /*  853956 */     GIR_EraseRootFromParent_Done,
     /*  853957 */   // Label 13124: @853957
     /*  853957 */   GIM_Try, /*On fail goto*//*Label 13125*/ GIMT_Encode4(854032), // Rule ID 24430 //
     /*  853962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  853965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  853973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  853976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  853979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854008 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  854008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  854011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854030 */     GIR_RootConstrainSelectedInstOperands,
     /*  854031 */     // GIR_Coverage, 24430,
     /*  854031 */     GIR_EraseRootFromParent_Done,
     /*  854032 */   // Label 13125: @854032
     /*  854032 */   GIM_Try, /*On fail goto*//*Label 13126*/ GIMT_Encode4(854107), // Rule ID 24431 //
     /*  854037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  854040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  854045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  854048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  854051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  854054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854083 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  854083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  854086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854105 */     GIR_RootConstrainSelectedInstOperands,
     /*  854106 */     // GIR_Coverage, 24431,
     /*  854106 */     GIR_EraseRootFromParent_Done,
     /*  854107 */   // Label 13126: @854107
     /*  854107 */   GIM_Try, /*On fail goto*//*Label 13127*/ GIMT_Encode4(854182), // Rule ID 24434 //
     /*  854112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  854115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  854120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  854123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  854126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  854129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854158 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  854158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  854161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854180 */     GIR_RootConstrainSelectedInstOperands,
     /*  854181 */     // GIR_Coverage, 24434,
     /*  854181 */     GIR_EraseRootFromParent_Done,
     /*  854182 */   // Label 13127: @854182
     /*  854182 */   GIM_Try, /*On fail goto*//*Label 13128*/ GIMT_Encode4(854257), // Rule ID 24435 //
     /*  854187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  854190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  854195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  854198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  854201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  854204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854233 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  854233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  854236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854255 */     GIR_RootConstrainSelectedInstOperands,
     /*  854256 */     // GIR_Coverage, 24435,
     /*  854256 */     GIR_EraseRootFromParent_Done,
     /*  854257 */   // Label 13128: @854257
     /*  854257 */   GIM_Try, /*On fail goto*//*Label 13129*/ GIMT_Encode4(854332), // Rule ID 24438 //
     /*  854262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  854265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  854270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  854273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  854276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  854279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854308 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  854308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  854311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854330 */     GIR_RootConstrainSelectedInstOperands,
     /*  854331 */     // GIR_Coverage, 24438,
     /*  854331 */     GIR_EraseRootFromParent_Done,
     /*  854332 */   // Label 13129: @854332
     /*  854332 */   GIM_Try, /*On fail goto*//*Label 13130*/ GIMT_Encode4(854407), // Rule ID 24439 //
     /*  854337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  854340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  854345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  854348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  854351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  854354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854383 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  854383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  854386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854405 */     GIR_RootConstrainSelectedInstOperands,
     /*  854406 */     // GIR_Coverage, 24439,
     /*  854406 */     GIR_EraseRootFromParent_Done,
     /*  854407 */   // Label 13130: @854407
     /*  854407 */   GIM_Try, /*On fail goto*//*Label 13131*/ GIMT_Encode4(854482), // Rule ID 24442 //
     /*  854412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  854423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  854426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  854429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854458 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  854461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854480 */     GIR_RootConstrainSelectedInstOperands,
     /*  854481 */     // GIR_Coverage, 24442,
     /*  854481 */     GIR_EraseRootFromParent_Done,
     /*  854482 */   // Label 13131: @854482
     /*  854482 */   GIM_Try, /*On fail goto*//*Label 13132*/ GIMT_Encode4(854557), // Rule ID 24443 //
     /*  854487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  854498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  854501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  854504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854533 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  854536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854555 */     GIR_RootConstrainSelectedInstOperands,
     /*  854556 */     // GIR_Coverage, 24443,
     /*  854556 */     GIR_EraseRootFromParent_Done,
     /*  854557 */   // Label 13132: @854557
     /*  854557 */   GIM_Try, /*On fail goto*//*Label 13133*/ GIMT_Encode4(854632), // Rule ID 24446 //
     /*  854562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  854573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  854576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  854579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854608 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  854611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854630 */     GIR_RootConstrainSelectedInstOperands,
     /*  854631 */     // GIR_Coverage, 24446,
     /*  854631 */     GIR_EraseRootFromParent_Done,
     /*  854632 */   // Label 13133: @854632
     /*  854632 */   GIM_Try, /*On fail goto*//*Label 13134*/ GIMT_Encode4(854707), // Rule ID 24447 //
     /*  854637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  854648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  854651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  854654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854683 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  854686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854705 */     GIR_RootConstrainSelectedInstOperands,
     /*  854706 */     // GIR_Coverage, 24447,
     /*  854706 */     GIR_EraseRootFromParent_Done,
     /*  854707 */   // Label 13134: @854707
     /*  854707 */   GIM_Try, /*On fail goto*//*Label 13135*/ GIMT_Encode4(854782), // Rule ID 24450 //
     /*  854712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  854715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  854723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  854726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  854729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854758 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  854761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854780 */     GIR_RootConstrainSelectedInstOperands,
     /*  854781 */     // GIR_Coverage, 24450,
     /*  854781 */     GIR_EraseRootFromParent_Done,
     /*  854782 */   // Label 13135: @854782
     /*  854782 */   GIM_Try, /*On fail goto*//*Label 13136*/ GIMT_Encode4(854857), // Rule ID 24451 //
     /*  854787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  854790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  854798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  854801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  854804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854833 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  854836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854855 */     GIR_RootConstrainSelectedInstOperands,
     /*  854856 */     // GIR_Coverage, 24451,
     /*  854856 */     GIR_EraseRootFromParent_Done,
     /*  854857 */   // Label 13136: @854857
     /*  854857 */   GIM_Try, /*On fail goto*//*Label 13137*/ GIMT_Encode4(854932), // Rule ID 24454 //
     /*  854862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  854873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  854876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  854879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854908 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  854911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854930 */     GIR_RootConstrainSelectedInstOperands,
     /*  854931 */     // GIR_Coverage, 24454,
     /*  854931 */     GIR_EraseRootFromParent_Done,
     /*  854932 */   // Label 13137: @854932
     /*  854932 */   GIM_Try, /*On fail goto*//*Label 13138*/ GIMT_Encode4(855007), // Rule ID 24455 //
     /*  854937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  854948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  854951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  854954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854983 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  854986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855005 */     GIR_RootConstrainSelectedInstOperands,
     /*  855006 */     // GIR_Coverage, 24455,
     /*  855006 */     GIR_EraseRootFromParent_Done,
     /*  855007 */   // Label 13138: @855007
     /*  855007 */   GIM_Try, /*On fail goto*//*Label 13139*/ GIMT_Encode4(855082), // Rule ID 24458 //
     /*  855012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  855015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  855023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  855026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  855029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855058 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  855061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855080 */     GIR_RootConstrainSelectedInstOperands,
     /*  855081 */     // GIR_Coverage, 24458,
     /*  855081 */     GIR_EraseRootFromParent_Done,
     /*  855082 */   // Label 13139: @855082
     /*  855082 */   GIM_Try, /*On fail goto*//*Label 13140*/ GIMT_Encode4(855157), // Rule ID 24459 //
     /*  855087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  855090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  855098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  855101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  855104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855133 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  855136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855155 */     GIR_RootConstrainSelectedInstOperands,
     /*  855156 */     // GIR_Coverage, 24459,
     /*  855156 */     GIR_EraseRootFromParent_Done,
     /*  855157 */   // Label 13140: @855157
     /*  855157 */   GIM_Try, /*On fail goto*//*Label 13141*/ GIMT_Encode4(855232), // Rule ID 24462 //
     /*  855162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  855165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  855173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  855176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  855179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  855211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855230 */     GIR_RootConstrainSelectedInstOperands,
     /*  855231 */     // GIR_Coverage, 24462,
     /*  855231 */     GIR_EraseRootFromParent_Done,
     /*  855232 */   // Label 13141: @855232
     /*  855232 */   GIM_Try, /*On fail goto*//*Label 13142*/ GIMT_Encode4(855307), // Rule ID 24463 //
     /*  855237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  855240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  855248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  855251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  855254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855283 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  855286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855305 */     GIR_RootConstrainSelectedInstOperands,
     /*  855306 */     // GIR_Coverage, 24463,
     /*  855306 */     GIR_EraseRootFromParent_Done,
     /*  855307 */   // Label 13142: @855307
     /*  855307 */   GIM_Try, /*On fail goto*//*Label 13143*/ GIMT_Encode4(855382), // Rule ID 24466 //
     /*  855312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  855315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  855323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  855326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  855329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855358 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  855358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  855361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855380 */     GIR_RootConstrainSelectedInstOperands,
     /*  855381 */     // GIR_Coverage, 24466,
     /*  855381 */     GIR_EraseRootFromParent_Done,
     /*  855382 */   // Label 13143: @855382
     /*  855382 */   GIM_Try, /*On fail goto*//*Label 13144*/ GIMT_Encode4(855457), // Rule ID 24467 //
     /*  855387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  855390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  855398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  855401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  855404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855433 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  855436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855455 */     GIR_RootConstrainSelectedInstOperands,
     /*  855456 */     // GIR_Coverage, 24467,
     /*  855456 */     GIR_EraseRootFromParent_Done,
     /*  855457 */   // Label 13144: @855457
     /*  855457 */   GIM_Try, /*On fail goto*//*Label 13145*/ GIMT_Encode4(855532), // Rule ID 24470 //
     /*  855462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  855465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  855473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  855476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  855479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855508 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  855508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  855511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855530 */     GIR_RootConstrainSelectedInstOperands,
     /*  855531 */     // GIR_Coverage, 24470,
     /*  855531 */     GIR_EraseRootFromParent_Done,
     /*  855532 */   // Label 13145: @855532
     /*  855532 */   GIM_Try, /*On fail goto*//*Label 13146*/ GIMT_Encode4(855607), // Rule ID 24471 //
     /*  855537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  855540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  855548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  855551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  855554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855583 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  855586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855605 */     GIR_RootConstrainSelectedInstOperands,
     /*  855606 */     // GIR_Coverage, 24471,
     /*  855606 */     GIR_EraseRootFromParent_Done,
     /*  855607 */   // Label 13146: @855607
     /*  855607 */   GIM_Try, /*On fail goto*//*Label 13147*/ GIMT_Encode4(855682), // Rule ID 24474 //
     /*  855612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  855615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  855626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855658 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  855658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  855661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855680 */     GIR_RootConstrainSelectedInstOperands,
     /*  855681 */     // GIR_Coverage, 24474,
     /*  855681 */     GIR_EraseRootFromParent_Done,
     /*  855682 */   // Label 13147: @855682
     /*  855682 */   GIM_Try, /*On fail goto*//*Label 13148*/ GIMT_Encode4(855757), // Rule ID 24475 //
     /*  855687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  855690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  855701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855733 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  855736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855755 */     GIR_RootConstrainSelectedInstOperands,
     /*  855756 */     // GIR_Coverage, 24475,
     /*  855756 */     GIR_EraseRootFromParent_Done,
     /*  855757 */   // Label 13148: @855757
     /*  855757 */   GIM_Try, /*On fail goto*//*Label 13149*/ GIMT_Encode4(855832), // Rule ID 24478 //
     /*  855762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  855765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  855773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  855776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  855779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  855811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855830 */     GIR_RootConstrainSelectedInstOperands,
     /*  855831 */     // GIR_Coverage, 24478,
     /*  855831 */     GIR_EraseRootFromParent_Done,
     /*  855832 */   // Label 13149: @855832
     /*  855832 */   GIM_Try, /*On fail goto*//*Label 13150*/ GIMT_Encode4(855907), // Rule ID 24479 //
     /*  855837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  855840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  855848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  855851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  855854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855883 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  855886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855905 */     GIR_RootConstrainSelectedInstOperands,
     /*  855906 */     // GIR_Coverage, 24479,
     /*  855906 */     GIR_EraseRootFromParent_Done,
     /*  855907 */   // Label 13150: @855907
     /*  855907 */   GIM_Try, /*On fail goto*//*Label 13151*/ GIMT_Encode4(855982), // Rule ID 24482 //
     /*  855912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  855915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  855923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  855926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  855929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855958 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  855961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855980 */     GIR_RootConstrainSelectedInstOperands,
     /*  855981 */     // GIR_Coverage, 24482,
     /*  855981 */     GIR_EraseRootFromParent_Done,
     /*  855982 */   // Label 13151: @855982
     /*  855982 */   GIM_Try, /*On fail goto*//*Label 13152*/ GIMT_Encode4(856057), // Rule ID 24483 //
     /*  855987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  855990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  855998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  856001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  856004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856033 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  856036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856055 */     GIR_RootConstrainSelectedInstOperands,
     /*  856056 */     // GIR_Coverage, 24483,
     /*  856056 */     GIR_EraseRootFromParent_Done,
     /*  856057 */   // Label 13152: @856057
     /*  856057 */   GIM_Try, /*On fail goto*//*Label 13153*/ GIMT_Encode4(856132), // Rule ID 24486 //
     /*  856062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  856065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  856070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  856073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  856076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  856079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  856111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856130 */     GIR_RootConstrainSelectedInstOperands,
     /*  856131 */     // GIR_Coverage, 24486,
     /*  856131 */     GIR_EraseRootFromParent_Done,
     /*  856132 */   // Label 13153: @856132
     /*  856132 */   GIM_Try, /*On fail goto*//*Label 13154*/ GIMT_Encode4(856207), // Rule ID 24487 //
     /*  856137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  856140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  856145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  856148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  856151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  856154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856183 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  856186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856205 */     GIR_RootConstrainSelectedInstOperands,
     /*  856206 */     // GIR_Coverage, 24487,
     /*  856206 */     GIR_EraseRootFromParent_Done,
     /*  856207 */   // Label 13154: @856207
     /*  856207 */   GIM_Try, /*On fail goto*//*Label 13155*/ GIMT_Encode4(856282), // Rule ID 24490 //
     /*  856212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  856215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  856220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  856223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  856226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  856229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  856232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  856251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856258 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  856258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  856261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856280 */     GIR_RootConstrainSelectedInstOperands,
     /*  856281 */     // GIR_Coverage, 24490,
     /*  856281 */     GIR_EraseRootFromParent_Done,
     /*  856282 */   // Label 13155: @856282
     /*  856282 */   GIM_Try, /*On fail goto*//*Label 13156*/ GIMT_Encode4(856357), // Rule ID 24491 //
     /*  856287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  856290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  856295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  856298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  856301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  856304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  856307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  856326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856333 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  856333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  856336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856355 */     GIR_RootConstrainSelectedInstOperands,
     /*  856356 */     // GIR_Coverage, 24491,
     /*  856356 */     GIR_EraseRootFromParent_Done,
     /*  856357 */   // Label 13156: @856357
     /*  856357 */   GIM_Try, /*On fail goto*//*Label 13157*/ GIMT_Encode4(856432), // Rule ID 24494 //
     /*  856362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  856365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  856370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  856373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  856376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  856379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  856382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  856401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856408 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  856408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  856411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856430 */     GIR_RootConstrainSelectedInstOperands,
     /*  856431 */     // GIR_Coverage, 24494,
     /*  856431 */     GIR_EraseRootFromParent_Done,
     /*  856432 */   // Label 13157: @856432
     /*  856432 */   GIM_Try, /*On fail goto*//*Label 13158*/ GIMT_Encode4(856507), // Rule ID 24495 //
     /*  856437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  856440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  856445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  856448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  856451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  856454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  856457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  856476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856483 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  856483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  856486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856505 */     GIR_RootConstrainSelectedInstOperands,
     /*  856506 */     // GIR_Coverage, 24495,
     /*  856506 */     GIR_EraseRootFromParent_Done,
     /*  856507 */   // Label 13158: @856507
     /*  856507 */   GIM_Try, /*On fail goto*//*Label 13159*/ GIMT_Encode4(856582), // Rule ID 24498 //
     /*  856512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  856515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  856520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  856523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  856526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  856529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  856532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  856551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856558 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  856558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  856561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856580 */     GIR_RootConstrainSelectedInstOperands,
     /*  856581 */     // GIR_Coverage, 24498,
     /*  856581 */     GIR_EraseRootFromParent_Done,
     /*  856582 */   // Label 13159: @856582
     /*  856582 */   GIM_Try, /*On fail goto*//*Label 13160*/ GIMT_Encode4(856657), // Rule ID 24499 //
     /*  856587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  856590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  856595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  856598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  856601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  856604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  856607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  856626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856633 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  856633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  856636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856655 */     GIR_RootConstrainSelectedInstOperands,
     /*  856656 */     // GIR_Coverage, 24499,
     /*  856656 */     GIR_EraseRootFromParent_Done,
     /*  856657 */   // Label 13160: @856657
     /*  856657 */   GIM_Try, /*On fail goto*//*Label 13161*/ GIMT_Encode4(856732), // Rule ID 24502 //
     /*  856662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  856673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  856676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  856679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  856682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856708 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  856711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856730 */     GIR_RootConstrainSelectedInstOperands,
     /*  856731 */     // GIR_Coverage, 24502,
     /*  856731 */     GIR_EraseRootFromParent_Done,
     /*  856732 */   // Label 13161: @856732
     /*  856732 */   GIM_Try, /*On fail goto*//*Label 13162*/ GIMT_Encode4(856807), // Rule ID 24503 //
     /*  856737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  856748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  856751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  856754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  856757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856783 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  856786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856805 */     GIR_RootConstrainSelectedInstOperands,
     /*  856806 */     // GIR_Coverage, 24503,
     /*  856806 */     GIR_EraseRootFromParent_Done,
     /*  856807 */   // Label 13162: @856807
     /*  856807 */   GIM_Try, /*On fail goto*//*Label 13163*/ GIMT_Encode4(856882), // Rule ID 24506 //
     /*  856812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  856823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  856826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  856829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  856832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856858 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  856861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856880 */     GIR_RootConstrainSelectedInstOperands,
     /*  856881 */     // GIR_Coverage, 24506,
     /*  856881 */     GIR_EraseRootFromParent_Done,
     /*  856882 */   // Label 13163: @856882
     /*  856882 */   GIM_Try, /*On fail goto*//*Label 13164*/ GIMT_Encode4(856957), // Rule ID 24507 //
     /*  856887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  856898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  856901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  856904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  856907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856933 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  856936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856955 */     GIR_RootConstrainSelectedInstOperands,
     /*  856956 */     // GIR_Coverage, 24507,
     /*  856956 */     GIR_EraseRootFromParent_Done,
     /*  856957 */   // Label 13164: @856957
     /*  856957 */   GIM_Try, /*On fail goto*//*Label 13165*/ GIMT_Encode4(857032), // Rule ID 24510 //
     /*  856962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  856973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  856976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  856979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  856982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  857011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857030 */     GIR_RootConstrainSelectedInstOperands,
     /*  857031 */     // GIR_Coverage, 24510,
     /*  857031 */     GIR_EraseRootFromParent_Done,
     /*  857032 */   // Label 13165: @857032
     /*  857032 */   GIM_Try, /*On fail goto*//*Label 13166*/ GIMT_Encode4(857107), // Rule ID 24511 //
     /*  857037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  857048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  857051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  857054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  857057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857083 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  857086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857105 */     GIR_RootConstrainSelectedInstOperands,
     /*  857106 */     // GIR_Coverage, 24511,
     /*  857106 */     GIR_EraseRootFromParent_Done,
     /*  857107 */   // Label 13166: @857107
     /*  857107 */   GIM_Try, /*On fail goto*//*Label 13167*/ GIMT_Encode4(857182), // Rule ID 24514 //
     /*  857112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  857123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  857126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  857129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  857132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857158 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  857161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857180 */     GIR_RootConstrainSelectedInstOperands,
     /*  857181 */     // GIR_Coverage, 24514,
     /*  857181 */     GIR_EraseRootFromParent_Done,
     /*  857182 */   // Label 13167: @857182
     /*  857182 */   GIM_Try, /*On fail goto*//*Label 13168*/ GIMT_Encode4(857257), // Rule ID 24515 //
     /*  857187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  857198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  857201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  857204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  857207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857233 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  857236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857255 */     GIR_RootConstrainSelectedInstOperands,
     /*  857256 */     // GIR_Coverage, 24515,
     /*  857256 */     GIR_EraseRootFromParent_Done,
     /*  857257 */   // Label 13168: @857257
     /*  857257 */   GIM_Try, /*On fail goto*//*Label 13169*/ GIMT_Encode4(857332), // Rule ID 24518 //
     /*  857262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  857273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  857276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  857279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  857282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857308 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  857311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857330 */     GIR_RootConstrainSelectedInstOperands,
     /*  857331 */     // GIR_Coverage, 24518,
     /*  857331 */     GIR_EraseRootFromParent_Done,
     /*  857332 */   // Label 13169: @857332
     /*  857332 */   GIM_Try, /*On fail goto*//*Label 13170*/ GIMT_Encode4(857407), // Rule ID 24519 //
     /*  857337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  857348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  857351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  857354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  857357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857383 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  857386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857405 */     GIR_RootConstrainSelectedInstOperands,
     /*  857406 */     // GIR_Coverage, 24519,
     /*  857406 */     GIR_EraseRootFromParent_Done,
     /*  857407 */   // Label 13170: @857407
     /*  857407 */   GIM_Try, /*On fail goto*//*Label 13171*/ GIMT_Encode4(857482), // Rule ID 24522 //
     /*  857412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  857423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  857426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  857429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  857432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857458 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  857461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857480 */     GIR_RootConstrainSelectedInstOperands,
     /*  857481 */     // GIR_Coverage, 24522,
     /*  857481 */     GIR_EraseRootFromParent_Done,
     /*  857482 */   // Label 13171: @857482
     /*  857482 */   GIM_Try, /*On fail goto*//*Label 13172*/ GIMT_Encode4(857557), // Rule ID 24523 //
     /*  857487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  857498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  857501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  857504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  857507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857533 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  857536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857555 */     GIR_RootConstrainSelectedInstOperands,
     /*  857556 */     // GIR_Coverage, 24523,
     /*  857556 */     GIR_EraseRootFromParent_Done,
     /*  857557 */   // Label 13172: @857557
     /*  857557 */   GIM_Try, /*On fail goto*//*Label 13173*/ GIMT_Encode4(857632), // Rule ID 24526 //
     /*  857562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  857573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  857576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  857579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  857582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  857611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857630 */     GIR_RootConstrainSelectedInstOperands,
     /*  857631 */     // GIR_Coverage, 24526,
     /*  857631 */     GIR_EraseRootFromParent_Done,
     /*  857632 */   // Label 13173: @857632
     /*  857632 */   GIM_Try, /*On fail goto*//*Label 13174*/ GIMT_Encode4(857707), // Rule ID 24527 //
     /*  857637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  857648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  857651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  857654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  857657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  857686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857705 */     GIR_RootConstrainSelectedInstOperands,
     /*  857706 */     // GIR_Coverage, 24527,
     /*  857706 */     GIR_EraseRootFromParent_Done,
     /*  857707 */   // Label 13174: @857707
     /*  857707 */   GIM_Try, /*On fail goto*//*Label 13175*/ GIMT_Encode4(857782), // Rule ID 24530 //
     /*  857712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  857723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  857726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  857729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  857732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  857761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857780 */     GIR_RootConstrainSelectedInstOperands,
     /*  857781 */     // GIR_Coverage, 24530,
     /*  857781 */     GIR_EraseRootFromParent_Done,
     /*  857782 */   // Label 13175: @857782
     /*  857782 */   GIM_Try, /*On fail goto*//*Label 13176*/ GIMT_Encode4(857857), // Rule ID 24531 //
     /*  857787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  857798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  857801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  857804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  857807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  857836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857855 */     GIR_RootConstrainSelectedInstOperands,
     /*  857856 */     // GIR_Coverage, 24531,
     /*  857856 */     GIR_EraseRootFromParent_Done,
     /*  857857 */   // Label 13176: @857857
     /*  857857 */   GIM_Try, /*On fail goto*//*Label 13177*/ GIMT_Encode4(857932), // Rule ID 24534 //
     /*  857862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  857873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  857876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  857879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  857882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  857911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857930 */     GIR_RootConstrainSelectedInstOperands,
     /*  857931 */     // GIR_Coverage, 24534,
     /*  857931 */     GIR_EraseRootFromParent_Done,
     /*  857932 */   // Label 13177: @857932
     /*  857932 */   GIM_Try, /*On fail goto*//*Label 13178*/ GIMT_Encode4(858007), // Rule ID 24535 //
     /*  857937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  857948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  857951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  857954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  857957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857983 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  857986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858005 */     GIR_RootConstrainSelectedInstOperands,
     /*  858006 */     // GIR_Coverage, 24535,
     /*  858006 */     GIR_EraseRootFromParent_Done,
     /*  858007 */   // Label 13178: @858007
     /*  858007 */   GIM_Try, /*On fail goto*//*Label 13179*/ GIMT_Encode4(858082), // Rule ID 24538 //
     /*  858012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  858015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  858023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  858026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  858029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  858032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  858061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858080 */     GIR_RootConstrainSelectedInstOperands,
     /*  858081 */     // GIR_Coverage, 24538,
     /*  858081 */     GIR_EraseRootFromParent_Done,
     /*  858082 */   // Label 13179: @858082
     /*  858082 */   GIM_Try, /*On fail goto*//*Label 13180*/ GIMT_Encode4(858157), // Rule ID 24539 //
     /*  858087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  858090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  858098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  858101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  858104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  858107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858133 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  858136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858155 */     GIR_RootConstrainSelectedInstOperands,
     /*  858156 */     // GIR_Coverage, 24539,
     /*  858156 */     GIR_EraseRootFromParent_Done,
     /*  858157 */   // Label 13180: @858157
     /*  858157 */   GIM_Try, /*On fail goto*//*Label 13181*/ GIMT_Encode4(858232), // Rule ID 24542 //
     /*  858162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  858173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  858176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  858179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  858182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858208 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  858208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  858211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858230 */     GIR_RootConstrainSelectedInstOperands,
     /*  858231 */     // GIR_Coverage, 24542,
     /*  858231 */     GIR_EraseRootFromParent_Done,
     /*  858232 */   // Label 13181: @858232
     /*  858232 */   GIM_Try, /*On fail goto*//*Label 13182*/ GIMT_Encode4(858307), // Rule ID 24543 //
     /*  858237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  858248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  858251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  858254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  858257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858283 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  858283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  858286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858305 */     GIR_RootConstrainSelectedInstOperands,
     /*  858306 */     // GIR_Coverage, 24543,
     /*  858306 */     GIR_EraseRootFromParent_Done,
     /*  858307 */   // Label 13182: @858307
     /*  858307 */   GIM_Try, /*On fail goto*//*Label 13183*/ GIMT_Encode4(858382), // Rule ID 24546 //
     /*  858312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  858323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  858326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  858329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  858332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858358 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  858358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  858361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858380 */     GIR_RootConstrainSelectedInstOperands,
     /*  858381 */     // GIR_Coverage, 24546,
     /*  858381 */     GIR_EraseRootFromParent_Done,
     /*  858382 */   // Label 13183: @858382
     /*  858382 */   GIM_Try, /*On fail goto*//*Label 13184*/ GIMT_Encode4(858457), // Rule ID 24547 //
     /*  858387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  858398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  858401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  858404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  858407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858433 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  858433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  858436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858455 */     GIR_RootConstrainSelectedInstOperands,
     /*  858456 */     // GIR_Coverage, 24547,
     /*  858456 */     GIR_EraseRootFromParent_Done,
     /*  858457 */   // Label 13184: @858457
     /*  858457 */   GIM_Try, /*On fail goto*//*Label 13185*/ GIMT_Encode4(858532), // Rule ID 24550 //
     /*  858462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  858473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  858476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  858479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  858482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858508 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  858508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  858511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858530 */     GIR_RootConstrainSelectedInstOperands,
     /*  858531 */     // GIR_Coverage, 24550,
     /*  858531 */     GIR_EraseRootFromParent_Done,
     /*  858532 */   // Label 13185: @858532
     /*  858532 */   GIM_Try, /*On fail goto*//*Label 13186*/ GIMT_Encode4(858607), // Rule ID 24551 //
     /*  858537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  858548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  858551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  858554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  858557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858583 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  858583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  858586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858605 */     GIR_RootConstrainSelectedInstOperands,
     /*  858606 */     // GIR_Coverage, 24551,
     /*  858606 */     GIR_EraseRootFromParent_Done,
     /*  858607 */   // Label 13186: @858607
     /*  858607 */   GIM_Try, /*On fail goto*//*Label 13187*/ GIMT_Encode4(858682), // Rule ID 24554 //
     /*  858612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  858623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  858626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  858629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  858632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  858661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858680 */     GIR_RootConstrainSelectedInstOperands,
     /*  858681 */     // GIR_Coverage, 24554,
     /*  858681 */     GIR_EraseRootFromParent_Done,
     /*  858682 */   // Label 13187: @858682
     /*  858682 */   GIM_Try, /*On fail goto*//*Label 13188*/ GIMT_Encode4(858757), // Rule ID 24555 //
     /*  858687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  858698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  858701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  858704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  858707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858733 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  858736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858755 */     GIR_RootConstrainSelectedInstOperands,
     /*  858756 */     // GIR_Coverage, 24555,
     /*  858756 */     GIR_EraseRootFromParent_Done,
     /*  858757 */   // Label 13188: @858757
     /*  858757 */   GIM_Try, /*On fail goto*//*Label 13189*/ GIMT_Encode4(858832), // Rule ID 24558 //
     /*  858762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  858773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  858776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  858779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  858782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858808 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  858811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858830 */     GIR_RootConstrainSelectedInstOperands,
     /*  858831 */     // GIR_Coverage, 24558,
     /*  858831 */     GIR_EraseRootFromParent_Done,
     /*  858832 */   // Label 13189: @858832
     /*  858832 */   GIM_Try, /*On fail goto*//*Label 13190*/ GIMT_Encode4(858907), // Rule ID 24559 //
     /*  858837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  858848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  858851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  858854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  858857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858883 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  858886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858905 */     GIR_RootConstrainSelectedInstOperands,
     /*  858906 */     // GIR_Coverage, 24559,
     /*  858906 */     GIR_EraseRootFromParent_Done,
     /*  858907 */   // Label 13190: @858907
     /*  858907 */   GIM_Try, /*On fail goto*//*Label 13191*/ GIMT_Encode4(858982), // Rule ID 24562 //
     /*  858912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  858923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  858926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  858929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  858932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  858961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858980 */     GIR_RootConstrainSelectedInstOperands,
     /*  858981 */     // GIR_Coverage, 24562,
     /*  858981 */     GIR_EraseRootFromParent_Done,
     /*  858982 */   // Label 13191: @858982
     /*  858982 */   GIM_Try, /*On fail goto*//*Label 13192*/ GIMT_Encode4(859057), // Rule ID 24563 //
     /*  858987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  858998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  859001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  859004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  859007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859033 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  859036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859055 */     GIR_RootConstrainSelectedInstOperands,
     /*  859056 */     // GIR_Coverage, 24563,
     /*  859056 */     GIR_EraseRootFromParent_Done,
     /*  859057 */   // Label 13192: @859057
     /*  859057 */   GIM_Try, /*On fail goto*//*Label 13193*/ GIMT_Encode4(859132), // Rule ID 24566 //
     /*  859062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  859073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  859076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  859079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  859082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859108 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  859111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859130 */     GIR_RootConstrainSelectedInstOperands,
     /*  859131 */     // GIR_Coverage, 24566,
     /*  859131 */     GIR_EraseRootFromParent_Done,
     /*  859132 */   // Label 13193: @859132
     /*  859132 */   GIM_Try, /*On fail goto*//*Label 13194*/ GIMT_Encode4(859207), // Rule ID 24567 //
     /*  859137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  859148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  859151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  859154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  859157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  859186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859205 */     GIR_RootConstrainSelectedInstOperands,
     /*  859206 */     // GIR_Coverage, 24567,
     /*  859206 */     GIR_EraseRootFromParent_Done,
     /*  859207 */   // Label 13194: @859207
     /*  859207 */   GIM_Try, /*On fail goto*//*Label 13195*/ GIMT_Encode4(859282), // Rule ID 24570 //
     /*  859212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  859223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  859226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  859229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  859232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  859261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859280 */     GIR_RootConstrainSelectedInstOperands,
     /*  859281 */     // GIR_Coverage, 24570,
     /*  859281 */     GIR_EraseRootFromParent_Done,
     /*  859282 */   // Label 13195: @859282
     /*  859282 */   GIM_Try, /*On fail goto*//*Label 13196*/ GIMT_Encode4(859357), // Rule ID 24571 //
     /*  859287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  859298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  859301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  859304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  859307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859333 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  859336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859355 */     GIR_RootConstrainSelectedInstOperands,
     /*  859356 */     // GIR_Coverage, 24571,
     /*  859356 */     GIR_EraseRootFromParent_Done,
     /*  859357 */   // Label 13196: @859357
     /*  859357 */   GIM_Try, /*On fail goto*//*Label 13197*/ GIMT_Encode4(859432), // Rule ID 24574 //
     /*  859362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  859373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  859376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  859379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  859382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  859411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859430 */     GIR_RootConstrainSelectedInstOperands,
     /*  859431 */     // GIR_Coverage, 24574,
     /*  859431 */     GIR_EraseRootFromParent_Done,
     /*  859432 */   // Label 13197: @859432
     /*  859432 */   GIM_Try, /*On fail goto*//*Label 13198*/ GIMT_Encode4(859507), // Rule ID 24575 //
     /*  859437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  859448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  859451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  859454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  859457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859483 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  859486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859505 */     GIR_RootConstrainSelectedInstOperands,
     /*  859506 */     // GIR_Coverage, 24575,
     /*  859506 */     GIR_EraseRootFromParent_Done,
     /*  859507 */   // Label 13198: @859507
     /*  859507 */   GIM_Try, /*On fail goto*//*Label 13199*/ GIMT_Encode4(859582), // Rule ID 24578 //
     /*  859512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  859515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  859523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  859526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  859529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  859532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859558 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  859561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859580 */     GIR_RootConstrainSelectedInstOperands,
     /*  859581 */     // GIR_Coverage, 24578,
     /*  859581 */     GIR_EraseRootFromParent_Done,
     /*  859582 */   // Label 13199: @859582
     /*  859582 */   GIM_Try, /*On fail goto*//*Label 13200*/ GIMT_Encode4(859657), // Rule ID 24579 //
     /*  859587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  859590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  859598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  859601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  859604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  859607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859633 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  859636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859655 */     GIR_RootConstrainSelectedInstOperands,
     /*  859656 */     // GIR_Coverage, 24579,
     /*  859656 */     GIR_EraseRootFromParent_Done,
     /*  859657 */   // Label 13200: @859657
     /*  859657 */   GIM_Try, /*On fail goto*//*Label 13201*/ GIMT_Encode4(859732), // Rule ID 24582 //
     /*  859662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  859665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  859673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  859676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  859679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  859682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859708 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  859711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859730 */     GIR_RootConstrainSelectedInstOperands,
     /*  859731 */     // GIR_Coverage, 24582,
     /*  859731 */     GIR_EraseRootFromParent_Done,
     /*  859732 */   // Label 13201: @859732
     /*  859732 */   GIM_Try, /*On fail goto*//*Label 13202*/ GIMT_Encode4(859807), // Rule ID 24583 //
     /*  859737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  859740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  859748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  859751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  859754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  859757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859783 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  859786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859805 */     GIR_RootConstrainSelectedInstOperands,
     /*  859806 */     // GIR_Coverage, 24583,
     /*  859806 */     GIR_EraseRootFromParent_Done,
     /*  859807 */   // Label 13202: @859807
     /*  859807 */   GIM_Try, /*On fail goto*//*Label 13203*/ GIMT_Encode4(859882), // Rule ID 24586 //
     /*  859812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  859815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  859823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  859826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  859829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  859832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  859861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859880 */     GIR_RootConstrainSelectedInstOperands,
     /*  859881 */     // GIR_Coverage, 24586,
     /*  859881 */     GIR_EraseRootFromParent_Done,
     /*  859882 */   // Label 13203: @859882
     /*  859882 */   GIM_Try, /*On fail goto*//*Label 13204*/ GIMT_Encode4(859957), // Rule ID 24587 //
     /*  859887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  859890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  859898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  859901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  859904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  859907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859933 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  859936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859955 */     GIR_RootConstrainSelectedInstOperands,
     /*  859956 */     // GIR_Coverage, 24587,
     /*  859956 */     GIR_EraseRootFromParent_Done,
     /*  859957 */   // Label 13204: @859957
     /*  859957 */   GIM_Try, /*On fail goto*//*Label 13205*/ GIMT_Encode4(860032), // Rule ID 24590 //
     /*  859962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  859973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  859976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  859979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860008 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  860011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860030 */     GIR_RootConstrainSelectedInstOperands,
     /*  860031 */     // GIR_Coverage, 24590,
     /*  860031 */     GIR_EraseRootFromParent_Done,
     /*  860032 */   // Label 13205: @860032
     /*  860032 */   GIM_Try, /*On fail goto*//*Label 13206*/ GIMT_Encode4(860107), // Rule ID 24591 //
     /*  860037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  860048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  860051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  860054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860083 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  860086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860105 */     GIR_RootConstrainSelectedInstOperands,
     /*  860106 */     // GIR_Coverage, 24591,
     /*  860106 */     GIR_EraseRootFromParent_Done,
     /*  860107 */   // Label 13206: @860107
     /*  860107 */   GIM_Try, /*On fail goto*//*Label 13207*/ GIMT_Encode4(860182), // Rule ID 24594 //
     /*  860112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  860123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  860126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  860129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  860161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860180 */     GIR_RootConstrainSelectedInstOperands,
     /*  860181 */     // GIR_Coverage, 24594,
     /*  860181 */     GIR_EraseRootFromParent_Done,
     /*  860182 */   // Label 13207: @860182
     /*  860182 */   GIM_Try, /*On fail goto*//*Label 13208*/ GIMT_Encode4(860257), // Rule ID 24595 //
     /*  860187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  860198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  860201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  860204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860233 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  860236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860255 */     GIR_RootConstrainSelectedInstOperands,
     /*  860256 */     // GIR_Coverage, 24595,
     /*  860256 */     GIR_EraseRootFromParent_Done,
     /*  860257 */   // Label 13208: @860257
     /*  860257 */   GIM_Try, /*On fail goto*//*Label 13209*/ GIMT_Encode4(860332), // Rule ID 24598 //
     /*  860262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  860273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  860276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  860279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860308 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860330 */     GIR_RootConstrainSelectedInstOperands,
     /*  860331 */     // GIR_Coverage, 24598,
     /*  860331 */     GIR_EraseRootFromParent_Done,
     /*  860332 */   // Label 13209: @860332
     /*  860332 */   GIM_Try, /*On fail goto*//*Label 13210*/ GIMT_Encode4(860407), // Rule ID 24599 //
     /*  860337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  860348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  860351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  860354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860383 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860405 */     GIR_RootConstrainSelectedInstOperands,
     /*  860406 */     // GIR_Coverage, 24599,
     /*  860406 */     GIR_EraseRootFromParent_Done,
     /*  860407 */   // Label 13210: @860407
     /*  860407 */   GIM_Try, /*On fail goto*//*Label 13211*/ GIMT_Encode4(860482), // Rule ID 24602 //
     /*  860412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  860423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  860426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  860429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  860458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  860461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860480 */     GIR_RootConstrainSelectedInstOperands,
     /*  860481 */     // GIR_Coverage, 24602,
     /*  860481 */     GIR_EraseRootFromParent_Done,
     /*  860482 */   // Label 13211: @860482
     /*  860482 */   GIM_Try, /*On fail goto*//*Label 13212*/ GIMT_Encode4(860557), // Rule ID 24603 //
     /*  860487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  860498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  860501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  860504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860533 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  860536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860555 */     GIR_RootConstrainSelectedInstOperands,
     /*  860556 */     // GIR_Coverage, 24603,
     /*  860556 */     GIR_EraseRootFromParent_Done,
     /*  860557 */   // Label 13212: @860557
     /*  860557 */   GIM_Try, /*On fail goto*//*Label 13213*/ GIMT_Encode4(860632), // Rule ID 24606 //
     /*  860562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  860573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  860576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  860579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  860608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860630 */     GIR_RootConstrainSelectedInstOperands,
     /*  860631 */     // GIR_Coverage, 24606,
     /*  860631 */     GIR_EraseRootFromParent_Done,
     /*  860632 */   // Label 13213: @860632
     /*  860632 */   GIM_Try, /*On fail goto*//*Label 13214*/ GIMT_Encode4(860707), // Rule ID 24607 //
     /*  860637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  860648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  860651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  860654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860683 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860705 */     GIR_RootConstrainSelectedInstOperands,
     /*  860706 */     // GIR_Coverage, 24607,
     /*  860706 */     GIR_EraseRootFromParent_Done,
     /*  860707 */   // Label 13214: @860707
     /*  860707 */   GIM_Try, /*On fail goto*//*Label 13215*/ GIMT_Encode4(860782), // Rule ID 24610 //
     /*  860712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  860723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  860726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  860729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860780 */     GIR_RootConstrainSelectedInstOperands,
     /*  860781 */     // GIR_Coverage, 24610,
     /*  860781 */     GIR_EraseRootFromParent_Done,
     /*  860782 */   // Label 13215: @860782
     /*  860782 */   GIM_Try, /*On fail goto*//*Label 13216*/ GIMT_Encode4(860857), // Rule ID 24611 //
     /*  860787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  860798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  860801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  860804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860833 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860855 */     GIR_RootConstrainSelectedInstOperands,
     /*  860856 */     // GIR_Coverage, 24611,
     /*  860856 */     GIR_EraseRootFromParent_Done,
     /*  860857 */   // Label 13216: @860857
     /*  860857 */   GIM_Try, /*On fail goto*//*Label 13217*/ GIMT_Encode4(860932), // Rule ID 24614 //
     /*  860862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  860873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  860876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  860879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860930 */     GIR_RootConstrainSelectedInstOperands,
     /*  860931 */     // GIR_Coverage, 24614,
     /*  860931 */     GIR_EraseRootFromParent_Done,
     /*  860932 */   // Label 13217: @860932
     /*  860932 */   GIM_Try, /*On fail goto*//*Label 13218*/ GIMT_Encode4(861007), // Rule ID 24615 //
     /*  860937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  860948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  860951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  860954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861005 */     GIR_RootConstrainSelectedInstOperands,
     /*  861006 */     // GIR_Coverage, 24615,
     /*  861006 */     GIR_EraseRootFromParent_Done,
     /*  861007 */   // Label 13218: @861007
     /*  861007 */   GIM_Try, /*On fail goto*//*Label 13219*/ GIMT_Encode4(861082), // Rule ID 24618 //
     /*  861012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  861023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  861026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  861029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  861061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861080 */     GIR_RootConstrainSelectedInstOperands,
     /*  861081 */     // GIR_Coverage, 24618,
     /*  861081 */     GIR_EraseRootFromParent_Done,
     /*  861082 */   // Label 13219: @861082
     /*  861082 */   GIM_Try, /*On fail goto*//*Label 13220*/ GIMT_Encode4(861157), // Rule ID 24619 //
     /*  861087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  861098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  861101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  861104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  861136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861155 */     GIR_RootConstrainSelectedInstOperands,
     /*  861156 */     // GIR_Coverage, 24619,
     /*  861156 */     GIR_EraseRootFromParent_Done,
     /*  861157 */   // Label 13220: @861157
     /*  861157 */   GIM_Try, /*On fail goto*//*Label 13221*/ GIMT_Encode4(861232), // Rule ID 24622 //
     /*  861162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  861173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  861176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  861179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  861211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861230 */     GIR_RootConstrainSelectedInstOperands,
     /*  861231 */     // GIR_Coverage, 24622,
     /*  861231 */     GIR_EraseRootFromParent_Done,
     /*  861232 */   // Label 13221: @861232
     /*  861232 */   GIM_Try, /*On fail goto*//*Label 13222*/ GIMT_Encode4(861307), // Rule ID 24623 //
     /*  861237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  861248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  861251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  861254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  861286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861305 */     GIR_RootConstrainSelectedInstOperands,
     /*  861306 */     // GIR_Coverage, 24623,
     /*  861306 */     GIR_EraseRootFromParent_Done,
     /*  861307 */   // Label 13222: @861307
     /*  861307 */   GIM_Try, /*On fail goto*//*Label 13223*/ GIMT_Encode4(861382), // Rule ID 24626 //
     /*  861312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  861315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  861323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  861326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  861329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  861358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  861361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861380 */     GIR_RootConstrainSelectedInstOperands,
     /*  861381 */     // GIR_Coverage, 24626,
     /*  861381 */     GIR_EraseRootFromParent_Done,
     /*  861382 */   // Label 13223: @861382
     /*  861382 */   GIM_Try, /*On fail goto*//*Label 13224*/ GIMT_Encode4(861457), // Rule ID 24627 //
     /*  861387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  861390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  861398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  861401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  861404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  861433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  861436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861455 */     GIR_RootConstrainSelectedInstOperands,
     /*  861456 */     // GIR_Coverage, 24627,
     /*  861456 */     GIR_EraseRootFromParent_Done,
     /*  861457 */   // Label 13224: @861457
     /*  861457 */   GIM_Try, /*On fail goto*//*Label 13225*/ GIMT_Encode4(861532), // Rule ID 24630 //
     /*  861462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  861473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  861476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  861479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861508 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861530 */     GIR_RootConstrainSelectedInstOperands,
     /*  861531 */     // GIR_Coverage, 24630,
     /*  861531 */     GIR_EraseRootFromParent_Done,
     /*  861532 */   // Label 13225: @861532
     /*  861532 */   GIM_Try, /*On fail goto*//*Label 13226*/ GIMT_Encode4(861607), // Rule ID 24631 //
     /*  861537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  861548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  861551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  861554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861583 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861605 */     GIR_RootConstrainSelectedInstOperands,
     /*  861606 */     // GIR_Coverage, 24631,
     /*  861606 */     GIR_EraseRootFromParent_Done,
     /*  861607 */   // Label 13226: @861607
     /*  861607 */   GIM_Try, /*On fail goto*//*Label 13227*/ GIMT_Encode4(861682), // Rule ID 24634 //
     /*  861612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  861623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  861626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  861629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861658 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861680 */     GIR_RootConstrainSelectedInstOperands,
     /*  861681 */     // GIR_Coverage, 24634,
     /*  861681 */     GIR_EraseRootFromParent_Done,
     /*  861682 */   // Label 13227: @861682
     /*  861682 */   GIM_Try, /*On fail goto*//*Label 13228*/ GIMT_Encode4(861757), // Rule ID 24635 //
     /*  861687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  861698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  861701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  861704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861733 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861755 */     GIR_RootConstrainSelectedInstOperands,
     /*  861756 */     // GIR_Coverage, 24635,
     /*  861756 */     GIR_EraseRootFromParent_Done,
     /*  861757 */   // Label 13228: @861757
     /*  861757 */   GIM_Try, /*On fail goto*//*Label 13229*/ GIMT_Encode4(861832), // Rule ID 24638 //
     /*  861762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  861773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  861776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  861779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861808 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861830 */     GIR_RootConstrainSelectedInstOperands,
     /*  861831 */     // GIR_Coverage, 24638,
     /*  861831 */     GIR_EraseRootFromParent_Done,
     /*  861832 */   // Label 13229: @861832
     /*  861832 */   GIM_Try, /*On fail goto*//*Label 13230*/ GIMT_Encode4(861907), // Rule ID 24639 //
     /*  861837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  861848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  861851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  861854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861883 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861905 */     GIR_RootConstrainSelectedInstOperands,
     /*  861906 */     // GIR_Coverage, 24639,
     /*  861906 */     GIR_EraseRootFromParent_Done,
     /*  861907 */   // Label 13230: @861907
     /*  861907 */   GIM_Try, /*On fail goto*//*Label 13231*/ GIMT_Encode4(861982), // Rule ID 24642 //
     /*  861912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  861923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  861926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  861929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861980 */     GIR_RootConstrainSelectedInstOperands,
     /*  861981 */     // GIR_Coverage, 24642,
     /*  861981 */     GIR_EraseRootFromParent_Done,
     /*  861982 */   // Label 13231: @861982
     /*  861982 */   GIM_Try, /*On fail goto*//*Label 13232*/ GIMT_Encode4(862057), // Rule ID 24643 //
     /*  861987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  861998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  862001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  862004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862033 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  862036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862055 */     GIR_RootConstrainSelectedInstOperands,
     /*  862056 */     // GIR_Coverage, 24643,
     /*  862056 */     GIR_EraseRootFromParent_Done,
     /*  862057 */   // Label 13232: @862057
     /*  862057 */   GIM_Try, /*On fail goto*//*Label 13233*/ GIMT_Encode4(862132), // Rule ID 24646 //
     /*  862062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  862073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  862076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  862079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  862111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862130 */     GIR_RootConstrainSelectedInstOperands,
     /*  862131 */     // GIR_Coverage, 24646,
     /*  862131 */     GIR_EraseRootFromParent_Done,
     /*  862132 */   // Label 13233: @862132
     /*  862132 */   GIM_Try, /*On fail goto*//*Label 13234*/ GIMT_Encode4(862207), // Rule ID 24647 //
     /*  862137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  862148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  862151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  862154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862183 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  862186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862205 */     GIR_RootConstrainSelectedInstOperands,
     /*  862206 */     // GIR_Coverage, 24647,
     /*  862206 */     GIR_EraseRootFromParent_Done,
     /*  862207 */   // Label 13234: @862207
     /*  862207 */   GIM_Try, /*On fail goto*//*Label 13235*/ GIMT_Encode4(862282), // Rule ID 24650 //
     /*  862212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  862223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  862226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  862229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862258 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862280 */     GIR_RootConstrainSelectedInstOperands,
     /*  862281 */     // GIR_Coverage, 24650,
     /*  862281 */     GIR_EraseRootFromParent_Done,
     /*  862282 */   // Label 13235: @862282
     /*  862282 */   GIM_Try, /*On fail goto*//*Label 13236*/ GIMT_Encode4(862357), // Rule ID 24651 //
     /*  862287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  862298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  862301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  862304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862333 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862355 */     GIR_RootConstrainSelectedInstOperands,
     /*  862356 */     // GIR_Coverage, 24651,
     /*  862356 */     GIR_EraseRootFromParent_Done,
     /*  862357 */   // Label 13236: @862357
     /*  862357 */   GIM_Try, /*On fail goto*//*Label 13237*/ GIMT_Encode4(862432), // Rule ID 24654 //
     /*  862362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  862376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  862408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  862411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862430 */     GIR_RootConstrainSelectedInstOperands,
     /*  862431 */     // GIR_Coverage, 24654,
     /*  862431 */     GIR_EraseRootFromParent_Done,
     /*  862432 */   // Label 13237: @862432
     /*  862432 */   GIM_Try, /*On fail goto*//*Label 13238*/ GIMT_Encode4(862507), // Rule ID 24655 //
     /*  862437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  862451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  862483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  862486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862505 */     GIR_RootConstrainSelectedInstOperands,
     /*  862506 */     // GIR_Coverage, 24655,
     /*  862506 */     GIR_EraseRootFromParent_Done,
     /*  862507 */   // Label 13238: @862507
     /*  862507 */   GIM_Try, /*On fail goto*//*Label 13239*/ GIMT_Encode4(862582), // Rule ID 24658 //
     /*  862512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  862526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  862558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  862561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862580 */     GIR_RootConstrainSelectedInstOperands,
     /*  862581 */     // GIR_Coverage, 24658,
     /*  862581 */     GIR_EraseRootFromParent_Done,
     /*  862582 */   // Label 13239: @862582
     /*  862582 */   GIM_Try, /*On fail goto*//*Label 13240*/ GIMT_Encode4(862657), // Rule ID 24659 //
     /*  862587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  862601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862633 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  862633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  862636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862655 */     GIR_RootConstrainSelectedInstOperands,
     /*  862656 */     // GIR_Coverage, 24659,
     /*  862656 */     GIR_EraseRootFromParent_Done,
     /*  862657 */   // Label 13240: @862657
     /*  862657 */   GIM_Try, /*On fail goto*//*Label 13241*/ GIMT_Encode4(862732), // Rule ID 24662 //
     /*  862662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  862673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  862676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  862679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  862708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862730 */     GIR_RootConstrainSelectedInstOperands,
     /*  862731 */     // GIR_Coverage, 24662,
     /*  862731 */     GIR_EraseRootFromParent_Done,
     /*  862732 */   // Label 13241: @862732
     /*  862732 */   GIM_Try, /*On fail goto*//*Label 13242*/ GIMT_Encode4(862807), // Rule ID 24663 //
     /*  862737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  862748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  862751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  862754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862783 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  862783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862805 */     GIR_RootConstrainSelectedInstOperands,
     /*  862806 */     // GIR_Coverage, 24663,
     /*  862806 */     GIR_EraseRootFromParent_Done,
     /*  862807 */   // Label 13242: @862807
     /*  862807 */   GIM_Try, /*On fail goto*//*Label 13243*/ GIMT_Encode4(862882), // Rule ID 24666 //
     /*  862812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  862815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  862823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  862826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  862829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  862858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  862861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862880 */     GIR_RootConstrainSelectedInstOperands,
     /*  862881 */     // GIR_Coverage, 24666,
     /*  862881 */     GIR_EraseRootFromParent_Done,
     /*  862882 */   // Label 13243: @862882
     /*  862882 */   GIM_Try, /*On fail goto*//*Label 13244*/ GIMT_Encode4(862957), // Rule ID 24667 //
     /*  862887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  862890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  862898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  862901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  862904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862933 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  862933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  862936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862955 */     GIR_RootConstrainSelectedInstOperands,
     /*  862956 */     // GIR_Coverage, 24667,
     /*  862956 */     GIR_EraseRootFromParent_Done,
     /*  862957 */   // Label 13244: @862957
     /*  862957 */   GIM_Try, /*On fail goto*//*Label 13245*/ GIMT_Encode4(863032), // Rule ID 24670 //
     /*  862962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  862965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  862973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  862976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  862979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863008 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  863011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863030 */     GIR_RootConstrainSelectedInstOperands,
     /*  863031 */     // GIR_Coverage, 24670,
     /*  863031 */     GIR_EraseRootFromParent_Done,
     /*  863032 */   // Label 13245: @863032
     /*  863032 */   GIM_Try, /*On fail goto*//*Label 13246*/ GIMT_Encode4(863107), // Rule ID 24671 //
     /*  863037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  863040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  863048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  863051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  863054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863083 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  863086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863105 */     GIR_RootConstrainSelectedInstOperands,
     /*  863106 */     // GIR_Coverage, 24671,
     /*  863106 */     GIR_EraseRootFromParent_Done,
     /*  863107 */   // Label 13246: @863107
     /*  863107 */   GIM_Try, /*On fail goto*//*Label 13247*/ GIMT_Encode4(863182), // Rule ID 24674 //
     /*  863112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  863115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  863123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  863126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  863129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  863161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863180 */     GIR_RootConstrainSelectedInstOperands,
     /*  863181 */     // GIR_Coverage, 24674,
     /*  863181 */     GIR_EraseRootFromParent_Done,
     /*  863182 */   // Label 13247: @863182
     /*  863182 */   GIM_Try, /*On fail goto*//*Label 13248*/ GIMT_Encode4(863257), // Rule ID 24675 //
     /*  863187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  863190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  863198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  863201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  863204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863233 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  863236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863255 */     GIR_RootConstrainSelectedInstOperands,
     /*  863256 */     // GIR_Coverage, 24675,
     /*  863256 */     GIR_EraseRootFromParent_Done,
     /*  863257 */   // Label 13248: @863257
     /*  863257 */   GIM_Try, /*On fail goto*//*Label 13249*/ GIMT_Encode4(863332), // Rule ID 24766 //
     /*  863262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  863273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  863276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  863279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  863311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863330 */     GIR_RootConstrainSelectedInstOperands,
     /*  863331 */     // GIR_Coverage, 24766,
     /*  863331 */     GIR_EraseRootFromParent_Done,
     /*  863332 */   // Label 13249: @863332
     /*  863332 */   GIM_Try, /*On fail goto*//*Label 13250*/ GIMT_Encode4(863407), // Rule ID 24767 //
     /*  863337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  863348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  863351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  863354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863383 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  863386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863405 */     GIR_RootConstrainSelectedInstOperands,
     /*  863406 */     // GIR_Coverage, 24767,
     /*  863406 */     GIR_EraseRootFromParent_Done,
     /*  863407 */   // Label 13250: @863407
     /*  863407 */   GIM_Try, /*On fail goto*//*Label 13251*/ GIMT_Encode4(863482), // Rule ID 24770 //
     /*  863412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  863423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  863426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  863429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  863461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863480 */     GIR_RootConstrainSelectedInstOperands,
     /*  863481 */     // GIR_Coverage, 24770,
     /*  863481 */     GIR_EraseRootFromParent_Done,
     /*  863482 */   // Label 13251: @863482
     /*  863482 */   GIM_Try, /*On fail goto*//*Label 13252*/ GIMT_Encode4(863557), // Rule ID 24771 //
     /*  863487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  863498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  863501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  863504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863533 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  863536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863555 */     GIR_RootConstrainSelectedInstOperands,
     /*  863556 */     // GIR_Coverage, 24771,
     /*  863556 */     GIR_EraseRootFromParent_Done,
     /*  863557 */   // Label 13252: @863557
     /*  863557 */   GIM_Try, /*On fail goto*//*Label 13253*/ GIMT_Encode4(863632), // Rule ID 24774 //
     /*  863562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  863573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  863576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  863579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863608 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  863611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863630 */     GIR_RootConstrainSelectedInstOperands,
     /*  863631 */     // GIR_Coverage, 24774,
     /*  863631 */     GIR_EraseRootFromParent_Done,
     /*  863632 */   // Label 13253: @863632
     /*  863632 */   GIM_Try, /*On fail goto*//*Label 13254*/ GIMT_Encode4(863707), // Rule ID 24775 //
     /*  863637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  863648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  863651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  863654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863683 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  863686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863705 */     GIR_RootConstrainSelectedInstOperands,
     /*  863706 */     // GIR_Coverage, 24775,
     /*  863706 */     GIR_EraseRootFromParent_Done,
     /*  863707 */   // Label 13254: @863707
     /*  863707 */   GIM_Try, /*On fail goto*//*Label 13255*/ GIMT_Encode4(863782), // Rule ID 24778 //
     /*  863712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  863723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  863726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  863729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  863761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863780 */     GIR_RootConstrainSelectedInstOperands,
     /*  863781 */     // GIR_Coverage, 24778,
     /*  863781 */     GIR_EraseRootFromParent_Done,
     /*  863782 */   // Label 13255: @863782
     /*  863782 */   GIM_Try, /*On fail goto*//*Label 13256*/ GIMT_Encode4(863857), // Rule ID 24779 //
     /*  863787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  863798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  863801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  863804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  863836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863855 */     GIR_RootConstrainSelectedInstOperands,
     /*  863856 */     // GIR_Coverage, 24779,
     /*  863856 */     GIR_EraseRootFromParent_Done,
     /*  863857 */   // Label 13256: @863857
     /*  863857 */   GIM_Try, /*On fail goto*//*Label 13257*/ GIMT_Encode4(863932), // Rule ID 24782 //
     /*  863862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  863873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  863876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  863879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  863911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863930 */     GIR_RootConstrainSelectedInstOperands,
     /*  863931 */     // GIR_Coverage, 24782,
     /*  863931 */     GIR_EraseRootFromParent_Done,
     /*  863932 */   // Label 13257: @863932
     /*  863932 */   GIM_Try, /*On fail goto*//*Label 13258*/ GIMT_Encode4(864007), // Rule ID 24783 //
     /*  863937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  863948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  863951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  863954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863983 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  863986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864005 */     GIR_RootConstrainSelectedInstOperands,
     /*  864006 */     // GIR_Coverage, 24783,
     /*  864006 */     GIR_EraseRootFromParent_Done,
     /*  864007 */   // Label 13258: @864007
     /*  864007 */   GIM_Try, /*On fail goto*//*Label 13259*/ GIMT_Encode4(864082), // Rule ID 24786 //
     /*  864012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  864023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  864026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  864029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  864032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864058 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  864061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864080 */     GIR_RootConstrainSelectedInstOperands,
     /*  864081 */     // GIR_Coverage, 24786,
     /*  864081 */     GIR_EraseRootFromParent_Done,
     /*  864082 */   // Label 13259: @864082
     /*  864082 */   GIM_Try, /*On fail goto*//*Label 13260*/ GIMT_Encode4(864157), // Rule ID 24787 //
     /*  864087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  864098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  864101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  864104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  864107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  864136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864155 */     GIR_RootConstrainSelectedInstOperands,
     /*  864156 */     // GIR_Coverage, 24787,
     /*  864156 */     GIR_EraseRootFromParent_Done,
     /*  864157 */   // Label 13260: @864157
     /*  864157 */   GIM_Try, /*On fail goto*//*Label 13261*/ GIMT_Encode4(864232), // Rule ID 24790 //
     /*  864162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  864173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  864176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  864179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  864211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864230 */     GIR_RootConstrainSelectedInstOperands,
     /*  864231 */     // GIR_Coverage, 24790,
     /*  864231 */     GIR_EraseRootFromParent_Done,
     /*  864232 */   // Label 13261: @864232
     /*  864232 */   GIM_Try, /*On fail goto*//*Label 13262*/ GIMT_Encode4(864307), // Rule ID 24791 //
     /*  864237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  864248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  864251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  864254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  864283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  864286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864305 */     GIR_RootConstrainSelectedInstOperands,
     /*  864306 */     // GIR_Coverage, 24791,
     /*  864306 */     GIR_EraseRootFromParent_Done,
     /*  864307 */   // Label 13262: @864307
     /*  864307 */   GIM_Try, /*On fail goto*//*Label 13263*/ GIMT_Encode4(864382), // Rule ID 24794 //
     /*  864312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  864323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  864326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  864329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  864332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  864361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864380 */     GIR_RootConstrainSelectedInstOperands,
     /*  864381 */     // GIR_Coverage, 24794,
     /*  864381 */     GIR_EraseRootFromParent_Done,
     /*  864382 */   // Label 13263: @864382
     /*  864382 */   GIM_Try, /*On fail goto*//*Label 13264*/ GIMT_Encode4(864457), // Rule ID 24795 //
     /*  864387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  864398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  864401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  864404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  864407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  864436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864455 */     GIR_RootConstrainSelectedInstOperands,
     /*  864456 */     // GIR_Coverage, 24795,
     /*  864456 */     GIR_EraseRootFromParent_Done,
     /*  864457 */   // Label 13264: @864457
     /*  864457 */   GIM_Try, /*On fail goto*//*Label 13265*/ GIMT_Encode4(864532), // Rule ID 24798 //
     /*  864462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  864473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  864476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  864479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  864482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  864511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864530 */     GIR_RootConstrainSelectedInstOperands,
     /*  864531 */     // GIR_Coverage, 24798,
     /*  864531 */     GIR_EraseRootFromParent_Done,
     /*  864532 */   // Label 13265: @864532
     /*  864532 */   GIM_Try, /*On fail goto*//*Label 13266*/ GIMT_Encode4(864607), // Rule ID 24799 //
     /*  864537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  864548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  864551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  864554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  864557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  864586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864605 */     GIR_RootConstrainSelectedInstOperands,
     /*  864606 */     // GIR_Coverage, 24799,
     /*  864606 */     GIR_EraseRootFromParent_Done,
     /*  864607 */   // Label 13266: @864607
     /*  864607 */   GIM_Try, /*On fail goto*//*Label 13267*/ GIMT_Encode4(864682), // Rule ID 24802 //
     /*  864612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  864615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  864623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  864626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  864629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  864632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  864658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  864661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864680 */     GIR_RootConstrainSelectedInstOperands,
     /*  864681 */     // GIR_Coverage, 24802,
     /*  864681 */     GIR_EraseRootFromParent_Done,
     /*  864682 */   // Label 13267: @864682
     /*  864682 */   GIM_Try, /*On fail goto*//*Label 13268*/ GIMT_Encode4(864757), // Rule ID 24803 //
     /*  864687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  864690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  864698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  864701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  864704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  864707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864733 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  864733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  864736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864755 */     GIR_RootConstrainSelectedInstOperands,
     /*  864756 */     // GIR_Coverage, 24803,
     /*  864756 */     GIR_EraseRootFromParent_Done,
     /*  864757 */   // Label 13268: @864757
     /*  864757 */   GIM_Try, /*On fail goto*//*Label 13269*/ GIMT_Encode4(864832), // Rule ID 24806 //
     /*  864762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  864773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  864776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  864779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864808 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  864811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864830 */     GIR_RootConstrainSelectedInstOperands,
     /*  864831 */     // GIR_Coverage, 24806,
     /*  864831 */     GIR_EraseRootFromParent_Done,
     /*  864832 */   // Label 13269: @864832
     /*  864832 */   GIM_Try, /*On fail goto*//*Label 13270*/ GIMT_Encode4(864907), // Rule ID 24807 //
     /*  864837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  864848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  864851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  864854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864883 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  864883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  864886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864905 */     GIR_RootConstrainSelectedInstOperands,
     /*  864906 */     // GIR_Coverage, 24807,
     /*  864906 */     GIR_EraseRootFromParent_Done,
     /*  864907 */   // Label 13270: @864907
     /*  864907 */   GIM_Try, /*On fail goto*//*Label 13271*/ GIMT_Encode4(864982), // Rule ID 24810 //
     /*  864912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  864923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  864926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  864929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  864932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864958 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  864961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864980 */     GIR_RootConstrainSelectedInstOperands,
     /*  864981 */     // GIR_Coverage, 24810,
     /*  864981 */     GIR_EraseRootFromParent_Done,
     /*  864982 */   // Label 13271: @864982
     /*  864982 */   GIM_Try, /*On fail goto*//*Label 13272*/ GIMT_Encode4(865057), // Rule ID 24811 //
     /*  864987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  864998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  865001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  865004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  865007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865033 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  865033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  865036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865055 */     GIR_RootConstrainSelectedInstOperands,
     /*  865056 */     // GIR_Coverage, 24811,
     /*  865056 */     GIR_EraseRootFromParent_Done,
     /*  865057 */   // Label 13272: @865057
     /*  865057 */   GIM_Try, /*On fail goto*//*Label 13273*/ GIMT_Encode4(865132), // Rule ID 24814 //
     /*  865062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  865073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  865076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  865079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865108 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  865108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  865111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865130 */     GIR_RootConstrainSelectedInstOperands,
     /*  865131 */     // GIR_Coverage, 24814,
     /*  865131 */     GIR_EraseRootFromParent_Done,
     /*  865132 */   // Label 13273: @865132
     /*  865132 */   GIM_Try, /*On fail goto*//*Label 13274*/ GIMT_Encode4(865207), // Rule ID 24815 //
     /*  865137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  865148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  865151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  865154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865183 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  865183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  865186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865205 */     GIR_RootConstrainSelectedInstOperands,
     /*  865206 */     // GIR_Coverage, 24815,
     /*  865206 */     GIR_EraseRootFromParent_Done,
     /*  865207 */   // Label 13274: @865207
     /*  865207 */   GIM_Try, /*On fail goto*//*Label 13275*/ GIMT_Encode4(865282), // Rule ID 24818 //
     /*  865212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  865223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  865226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  865229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  865232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865258 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  865258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  865261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865280 */     GIR_RootConstrainSelectedInstOperands,
     /*  865281 */     // GIR_Coverage, 24818,
     /*  865281 */     GIR_EraseRootFromParent_Done,
     /*  865282 */   // Label 13275: @865282
     /*  865282 */   GIM_Try, /*On fail goto*//*Label 13276*/ GIMT_Encode4(865357), // Rule ID 24819 //
     /*  865287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  865298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  865301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  865304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  865307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  865333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  865336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865355 */     GIR_RootConstrainSelectedInstOperands,
     /*  865356 */     // GIR_Coverage, 24819,
     /*  865356 */     GIR_EraseRootFromParent_Done,
     /*  865357 */   // Label 13276: @865357
     /*  865357 */   GIM_Try, /*On fail goto*//*Label 13277*/ GIMT_Encode4(865432), // Rule ID 24822 //
     /*  865362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  865373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  865376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  865379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  865382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865408 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  865408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  865411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865430 */     GIR_RootConstrainSelectedInstOperands,
     /*  865431 */     // GIR_Coverage, 24822,
     /*  865431 */     GIR_EraseRootFromParent_Done,
     /*  865432 */   // Label 13277: @865432
     /*  865432 */   GIM_Try, /*On fail goto*//*Label 13278*/ GIMT_Encode4(865507), // Rule ID 24823 //
     /*  865437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  865448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  865451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  865454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  865457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865483 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  865483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  865486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865505 */     GIR_RootConstrainSelectedInstOperands,
     /*  865506 */     // GIR_Coverage, 24823,
     /*  865506 */     GIR_EraseRootFromParent_Done,
     /*  865507 */   // Label 13278: @865507
     /*  865507 */   GIM_Try, /*On fail goto*//*Label 13279*/ GIMT_Encode4(865582), // Rule ID 24826 //
     /*  865512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  865523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  865526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  865529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865558 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  865561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865580 */     GIR_RootConstrainSelectedInstOperands,
     /*  865581 */     // GIR_Coverage, 24826,
     /*  865581 */     GIR_EraseRootFromParent_Done,
     /*  865582 */   // Label 13279: @865582
     /*  865582 */   GIM_Try, /*On fail goto*//*Label 13280*/ GIMT_Encode4(865657), // Rule ID 24827 //
     /*  865587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  865598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  865601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  865604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865633 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  865636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865655 */     GIR_RootConstrainSelectedInstOperands,
     /*  865656 */     // GIR_Coverage, 24827,
     /*  865656 */     GIR_EraseRootFromParent_Done,
     /*  865657 */   // Label 13280: @865657
     /*  865657 */   GIM_Try, /*On fail goto*//*Label 13281*/ GIMT_Encode4(865732), // Rule ID 24830 //
     /*  865662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  865673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  865676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  865679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865708 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  865711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865730 */     GIR_RootConstrainSelectedInstOperands,
     /*  865731 */     // GIR_Coverage, 24830,
     /*  865731 */     GIR_EraseRootFromParent_Done,
     /*  865732 */   // Label 13281: @865732
     /*  865732 */   GIM_Try, /*On fail goto*//*Label 13282*/ GIMT_Encode4(865807), // Rule ID 24831 //
     /*  865737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  865748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  865751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  865754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865783 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  865786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865805 */     GIR_RootConstrainSelectedInstOperands,
     /*  865806 */     // GIR_Coverage, 24831,
     /*  865806 */     GIR_EraseRootFromParent_Done,
     /*  865807 */   // Label 13282: @865807
     /*  865807 */   GIM_Try, /*On fail goto*//*Label 13283*/ GIMT_Encode4(865882), // Rule ID 24834 //
     /*  865812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  865823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  865826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  865829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  865832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865858 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  865861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865880 */     GIR_RootConstrainSelectedInstOperands,
     /*  865881 */     // GIR_Coverage, 24834,
     /*  865881 */     GIR_EraseRootFromParent_Done,
     /*  865882 */   // Label 13283: @865882
     /*  865882 */   GIM_Try, /*On fail goto*//*Label 13284*/ GIMT_Encode4(865957), // Rule ID 24835 //
     /*  865887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  865898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  865901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  865904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  865907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865933 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  865936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865955 */     GIR_RootConstrainSelectedInstOperands,
     /*  865956 */     // GIR_Coverage, 24835,
     /*  865956 */     GIR_EraseRootFromParent_Done,
     /*  865957 */   // Label 13284: @865957
     /*  865957 */   GIM_Try, /*On fail goto*//*Label 13285*/ GIMT_Encode4(866032), // Rule ID 24838 //
     /*  865962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  865965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  865973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  865976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  865979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  865982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866008 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  866011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866030 */     GIR_RootConstrainSelectedInstOperands,
     /*  866031 */     // GIR_Coverage, 24838,
     /*  866031 */     GIR_EraseRootFromParent_Done,
     /*  866032 */   // Label 13285: @866032
     /*  866032 */   GIM_Try, /*On fail goto*//*Label 13286*/ GIMT_Encode4(866107), // Rule ID 24839 //
     /*  866037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  866040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  866045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  866057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866083 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  866086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866105 */     GIR_RootConstrainSelectedInstOperands,
     /*  866106 */     // GIR_Coverage, 24839,
     /*  866106 */     GIR_EraseRootFromParent_Done,
     /*  866107 */   // Label 13286: @866107
     /*  866107 */   GIM_Try, /*On fail goto*//*Label 13287*/ GIMT_Encode4(866182), // Rule ID 24842 //
     /*  866112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  866115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  866120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  866132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866158 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  866161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866180 */     GIR_RootConstrainSelectedInstOperands,
     /*  866181 */     // GIR_Coverage, 24842,
     /*  866181 */     GIR_EraseRootFromParent_Done,
     /*  866182 */   // Label 13287: @866182
     /*  866182 */   GIM_Try, /*On fail goto*//*Label 13288*/ GIMT_Encode4(866257), // Rule ID 24843 //
     /*  866187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  866190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  866195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  866207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866233 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  866236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866255 */     GIR_RootConstrainSelectedInstOperands,
     /*  866256 */     // GIR_Coverage, 24843,
     /*  866256 */     GIR_EraseRootFromParent_Done,
     /*  866257 */   // Label 13288: @866257
     /*  866257 */   GIM_Try, /*On fail goto*//*Label 13289*/ GIMT_Encode4(866332), // Rule ID 24846 //
     /*  866262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  866265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  866270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  866282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866308 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  866311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866330 */     GIR_RootConstrainSelectedInstOperands,
     /*  866331 */     // GIR_Coverage, 24846,
     /*  866331 */     GIR_EraseRootFromParent_Done,
     /*  866332 */   // Label 13289: @866332
     /*  866332 */   GIM_Try, /*On fail goto*//*Label 13290*/ GIMT_Encode4(866407), // Rule ID 24847 //
     /*  866337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  866340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  866345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  866357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866383 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  866386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866405 */     GIR_RootConstrainSelectedInstOperands,
     /*  866406 */     // GIR_Coverage, 24847,
     /*  866406 */     GIR_EraseRootFromParent_Done,
     /*  866407 */   // Label 13290: @866407
     /*  866407 */   GIM_Try, /*On fail goto*//*Label 13291*/ GIMT_Encode4(866482), // Rule ID 24850 //
     /*  866412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  866423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  866426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  866429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  866432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866458 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  866458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  866461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866480 */     GIR_RootConstrainSelectedInstOperands,
     /*  866481 */     // GIR_Coverage, 24850,
     /*  866481 */     GIR_EraseRootFromParent_Done,
     /*  866482 */   // Label 13291: @866482
     /*  866482 */   GIM_Try, /*On fail goto*//*Label 13292*/ GIMT_Encode4(866557), // Rule ID 24851 //
     /*  866487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  866498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  866501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  866504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  866507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866533 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  866533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  866536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866555 */     GIR_RootConstrainSelectedInstOperands,
     /*  866556 */     // GIR_Coverage, 24851,
     /*  866556 */     GIR_EraseRootFromParent_Done,
     /*  866557 */   // Label 13292: @866557
     /*  866557 */   GIM_Try, /*On fail goto*//*Label 13293*/ GIMT_Encode4(866632), // Rule ID 24854 //
     /*  866562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  866573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  866576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  866579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  866582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866608 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  866608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  866611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866630 */     GIR_RootConstrainSelectedInstOperands,
     /*  866631 */     // GIR_Coverage, 24854,
     /*  866631 */     GIR_EraseRootFromParent_Done,
     /*  866632 */   // Label 13293: @866632
     /*  866632 */   GIM_Try, /*On fail goto*//*Label 13294*/ GIMT_Encode4(866707), // Rule ID 24855 //
     /*  866637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  866648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  866651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  866654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  866657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866683 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  866683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  866686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866705 */     GIR_RootConstrainSelectedInstOperands,
     /*  866706 */     // GIR_Coverage, 24855,
     /*  866706 */     GIR_EraseRootFromParent_Done,
     /*  866707 */   // Label 13294: @866707
     /*  866707 */   GIM_Try, /*On fail goto*//*Label 13295*/ GIMT_Encode4(866782), // Rule ID 24858 //
     /*  866712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  866723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  866726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  866729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  866732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866758 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  866761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866780 */     GIR_RootConstrainSelectedInstOperands,
     /*  866781 */     // GIR_Coverage, 24858,
     /*  866781 */     GIR_EraseRootFromParent_Done,
     /*  866782 */   // Label 13295: @866782
     /*  866782 */   GIM_Try, /*On fail goto*//*Label 13296*/ GIMT_Encode4(866857), // Rule ID 24859 //
     /*  866787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  866798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  866801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  866804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  866807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866833 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  866836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866855 */     GIR_RootConstrainSelectedInstOperands,
     /*  866856 */     // GIR_Coverage, 24859,
     /*  866856 */     GIR_EraseRootFromParent_Done,
     /*  866857 */   // Label 13296: @866857
     /*  866857 */   GIM_Try, /*On fail goto*//*Label 13297*/ GIMT_Encode4(866932), // Rule ID 24862 //
     /*  866862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  866873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  866876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  866879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  866882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866908 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  866908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  866911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866930 */     GIR_RootConstrainSelectedInstOperands,
     /*  866931 */     // GIR_Coverage, 24862,
     /*  866931 */     GIR_EraseRootFromParent_Done,
     /*  866932 */   // Label 13297: @866932
     /*  866932 */   GIM_Try, /*On fail goto*//*Label 13298*/ GIMT_Encode4(867007), // Rule ID 24863 //
     /*  866937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  866948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  866951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  866954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  866957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866983 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  866983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  866986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867005 */     GIR_RootConstrainSelectedInstOperands,
     /*  867006 */     // GIR_Coverage, 24863,
     /*  867006 */     GIR_EraseRootFromParent_Done,
     /*  867007 */   // Label 13298: @867007
     /*  867007 */   GIM_Try, /*On fail goto*//*Label 13299*/ GIMT_Encode4(867082), // Rule ID 24866 //
     /*  867012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  867026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  867032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867058 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  867061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867080 */     GIR_RootConstrainSelectedInstOperands,
     /*  867081 */     // GIR_Coverage, 24866,
     /*  867081 */     GIR_EraseRootFromParent_Done,
     /*  867082 */   // Label 13299: @867082
     /*  867082 */   GIM_Try, /*On fail goto*//*Label 13300*/ GIMT_Encode4(867157), // Rule ID 24867 //
     /*  867087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  867101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  867107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867133 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  867136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867155 */     GIR_RootConstrainSelectedInstOperands,
     /*  867156 */     // GIR_Coverage, 24867,
     /*  867156 */     GIR_EraseRootFromParent_Done,
     /*  867157 */   // Label 13300: @867157
     /*  867157 */   GIM_Try, /*On fail goto*//*Label 13301*/ GIMT_Encode4(867232), // Rule ID 24870 //
     /*  867162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  867165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  867173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  867176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  867179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  867182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  867211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867230 */     GIR_RootConstrainSelectedInstOperands,
     /*  867231 */     // GIR_Coverage, 24870,
     /*  867231 */     GIR_EraseRootFromParent_Done,
     /*  867232 */   // Label 13301: @867232
     /*  867232 */   GIM_Try, /*On fail goto*//*Label 13302*/ GIMT_Encode4(867307), // Rule ID 24871 //
     /*  867237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  867240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  867248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  867251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  867254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  867257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867283 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  867286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867305 */     GIR_RootConstrainSelectedInstOperands,
     /*  867306 */     // GIR_Coverage, 24871,
     /*  867306 */     GIR_EraseRootFromParent_Done,
     /*  867307 */   // Label 13302: @867307
     /*  867307 */   GIM_Try, /*On fail goto*//*Label 13303*/ GIMT_Encode4(867382), // Rule ID 24874 //
     /*  867312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  867323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  867326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  867329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  867332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867358 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  867361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867380 */     GIR_RootConstrainSelectedInstOperands,
     /*  867381 */     // GIR_Coverage, 24874,
     /*  867381 */     GIR_EraseRootFromParent_Done,
     /*  867382 */   // Label 13303: @867382
     /*  867382 */   GIM_Try, /*On fail goto*//*Label 13304*/ GIMT_Encode4(867457), // Rule ID 24875 //
     /*  867387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  867398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  867401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  867404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  867407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867433 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  867436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867455 */     GIR_RootConstrainSelectedInstOperands,
     /*  867456 */     // GIR_Coverage, 24875,
     /*  867456 */     GIR_EraseRootFromParent_Done,
     /*  867457 */   // Label 13304: @867457
     /*  867457 */   GIM_Try, /*On fail goto*//*Label 13305*/ GIMT_Encode4(867532), // Rule ID 24878 //
     /*  867462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  867473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  867476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  867479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  867482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867508 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  867511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867530 */     GIR_RootConstrainSelectedInstOperands,
     /*  867531 */     // GIR_Coverage, 24878,
     /*  867531 */     GIR_EraseRootFromParent_Done,
     /*  867532 */   // Label 13305: @867532
     /*  867532 */   GIM_Try, /*On fail goto*//*Label 13306*/ GIMT_Encode4(867607), // Rule ID 24879 //
     /*  867537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  867548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  867551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  867554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  867557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867583 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  867586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867605 */     GIR_RootConstrainSelectedInstOperands,
     /*  867606 */     // GIR_Coverage, 24879,
     /*  867606 */     GIR_EraseRootFromParent_Done,
     /*  867607 */   // Label 13306: @867607
     /*  867607 */   GIM_Try, /*On fail goto*//*Label 13307*/ GIMT_Encode4(867682), // Rule ID 24882 //
     /*  867612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  867623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  867626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  867629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  867632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867658 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  867661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867680 */     GIR_RootConstrainSelectedInstOperands,
     /*  867681 */     // GIR_Coverage, 24882,
     /*  867681 */     GIR_EraseRootFromParent_Done,
     /*  867682 */   // Label 13307: @867682
     /*  867682 */   GIM_Try, /*On fail goto*//*Label 13308*/ GIMT_Encode4(867757), // Rule ID 24883 //
     /*  867687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  867698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  867701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  867704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  867707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867733 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  867736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867755 */     GIR_RootConstrainSelectedInstOperands,
     /*  867756 */     // GIR_Coverage, 24883,
     /*  867756 */     GIR_EraseRootFromParent_Done,
     /*  867757 */   // Label 13308: @867757
     /*  867757 */   GIM_Try, /*On fail goto*//*Label 13309*/ GIMT_Encode4(867832), // Rule ID 24886 //
     /*  867762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  867773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  867776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  867779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  867782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  867811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867830 */     GIR_RootConstrainSelectedInstOperands,
     /*  867831 */     // GIR_Coverage, 24886,
     /*  867831 */     GIR_EraseRootFromParent_Done,
     /*  867832 */   // Label 13309: @867832
     /*  867832 */   GIM_Try, /*On fail goto*//*Label 13310*/ GIMT_Encode4(867907), // Rule ID 24887 //
     /*  867837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  867848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  867851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  867854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  867857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867883 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  867886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867905 */     GIR_RootConstrainSelectedInstOperands,
     /*  867906 */     // GIR_Coverage, 24887,
     /*  867906 */     GIR_EraseRootFromParent_Done,
     /*  867907 */   // Label 13310: @867907
     /*  867907 */   GIM_Try, /*On fail goto*//*Label 13311*/ GIMT_Encode4(867982), // Rule ID 24890 //
     /*  867912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  867923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  867926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  867929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  867932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867958 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  867961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867980 */     GIR_RootConstrainSelectedInstOperands,
     /*  867981 */     // GIR_Coverage, 24890,
     /*  867981 */     GIR_EraseRootFromParent_Done,
     /*  867982 */   // Label 13311: @867982
     /*  867982 */   GIM_Try, /*On fail goto*//*Label 13312*/ GIMT_Encode4(868057), // Rule ID 24891 //
     /*  867987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  867998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  868001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  868004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  868007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868033 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  868033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  868036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868055 */     GIR_RootConstrainSelectedInstOperands,
     /*  868056 */     // GIR_Coverage, 24891,
     /*  868056 */     GIR_EraseRootFromParent_Done,
     /*  868057 */   // Label 13312: @868057
     /*  868057 */   GIM_Try, /*On fail goto*//*Label 13313*/ GIMT_Encode4(868132), // Rule ID 24894 //
     /*  868062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  868073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  868076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  868079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  868082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  868108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  868111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868130 */     GIR_RootConstrainSelectedInstOperands,
     /*  868131 */     // GIR_Coverage, 24894,
     /*  868131 */     GIR_EraseRootFromParent_Done,
     /*  868132 */   // Label 13313: @868132
     /*  868132 */   GIM_Try, /*On fail goto*//*Label 13314*/ GIMT_Encode4(868207), // Rule ID 24895 //
     /*  868137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  868148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  868151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  868154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  868157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868183 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  868183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  868186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868205 */     GIR_RootConstrainSelectedInstOperands,
     /*  868206 */     // GIR_Coverage, 24895,
     /*  868206 */     GIR_EraseRootFromParent_Done,
     /*  868207 */   // Label 13314: @868207
     /*  868207 */   GIM_Try, /*On fail goto*//*Label 13315*/ GIMT_Encode4(868282), // Rule ID 24898 //
     /*  868212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  868215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  868223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  868226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  868229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  868232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868258 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  868258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  868261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868280 */     GIR_RootConstrainSelectedInstOperands,
     /*  868281 */     // GIR_Coverage, 24898,
     /*  868281 */     GIR_EraseRootFromParent_Done,
     /*  868282 */   // Label 13315: @868282
     /*  868282 */   GIM_Try, /*On fail goto*//*Label 13316*/ GIMT_Encode4(868357), // Rule ID 24899 //
     /*  868287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  868290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  868298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  868301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  868304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  868307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868333 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  868333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  868336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868355 */     GIR_RootConstrainSelectedInstOperands,
     /*  868356 */     // GIR_Coverage, 24899,
     /*  868356 */     GIR_EraseRootFromParent_Done,
     /*  868357 */   // Label 13316: @868357
     /*  868357 */   GIM_Try, /*On fail goto*//*Label 13317*/ GIMT_Encode4(868432), // Rule ID 24902 //
     /*  868362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  868365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  868373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  868376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  868379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  868382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868408 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  868408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  868411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868430 */     GIR_RootConstrainSelectedInstOperands,
     /*  868431 */     // GIR_Coverage, 24902,
     /*  868431 */     GIR_EraseRootFromParent_Done,
     /*  868432 */   // Label 13317: @868432
     /*  868432 */   GIM_Try, /*On fail goto*//*Label 13318*/ GIMT_Encode4(868507), // Rule ID 24903 //
     /*  868437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  868440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  868448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  868451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  868454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  868457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868483 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  868483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  868486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868505 */     GIR_RootConstrainSelectedInstOperands,
     /*  868506 */     // GIR_Coverage, 24903,
     /*  868506 */     GIR_EraseRootFromParent_Done,
     /*  868507 */   // Label 13318: @868507
     /*  868507 */   GIM_Try, /*On fail goto*//*Label 13319*/ GIMT_Encode4(868582), // Rule ID 24906 //
     /*  868512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  868515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  868523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  868526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  868529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  868532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868558 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  868558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  868561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868580 */     GIR_RootConstrainSelectedInstOperands,
     /*  868581 */     // GIR_Coverage, 24906,
     /*  868581 */     GIR_EraseRootFromParent_Done,
     /*  868582 */   // Label 13319: @868582
     /*  868582 */   GIM_Try, /*On fail goto*//*Label 13320*/ GIMT_Encode4(868657), // Rule ID 24907 //
     /*  868587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  868590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  868598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  868601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  868604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  868607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868633 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  868633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  868636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868655 */     GIR_RootConstrainSelectedInstOperands,
     /*  868656 */     // GIR_Coverage, 24907,
     /*  868656 */     GIR_EraseRootFromParent_Done,
     /*  868657 */   // Label 13320: @868657
     /*  868657 */   GIM_Try, /*On fail goto*//*Label 13321*/ GIMT_Encode4(868732), // Rule ID 24910 //
     /*  868662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868708 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  868711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868730 */     GIR_RootConstrainSelectedInstOperands,
     /*  868731 */     // GIR_Coverage, 24910,
     /*  868731 */     GIR_EraseRootFromParent_Done,
     /*  868732 */   // Label 13321: @868732
     /*  868732 */   GIM_Try, /*On fail goto*//*Label 13322*/ GIMT_Encode4(868807), // Rule ID 24911 //
     /*  868737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868783 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  868786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868805 */     GIR_RootConstrainSelectedInstOperands,
     /*  868806 */     // GIR_Coverage, 24911,
     /*  868806 */     GIR_EraseRootFromParent_Done,
     /*  868807 */   // Label 13322: @868807
     /*  868807 */   GIM_Try, /*On fail goto*//*Label 13323*/ GIMT_Encode4(868882), // Rule ID 24914 //
     /*  868812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868858 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  868861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868880 */     GIR_RootConstrainSelectedInstOperands,
     /*  868881 */     // GIR_Coverage, 24914,
     /*  868881 */     GIR_EraseRootFromParent_Done,
     /*  868882 */   // Label 13323: @868882
     /*  868882 */   GIM_Try, /*On fail goto*//*Label 13324*/ GIMT_Encode4(868957), // Rule ID 24915 //
     /*  868887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868933 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  868936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868955 */     GIR_RootConstrainSelectedInstOperands,
     /*  868956 */     // GIR_Coverage, 24915,
     /*  868956 */     GIR_EraseRootFromParent_Done,
     /*  868957 */   // Label 13324: @868957
     /*  868957 */   GIM_Try, /*On fail goto*//*Label 13325*/ GIMT_Encode4(869032), // Rule ID 24918 //
     /*  868962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  868973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  868976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  868979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869008 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  869008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  869011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869030 */     GIR_RootConstrainSelectedInstOperands,
     /*  869031 */     // GIR_Coverage, 24918,
     /*  869031 */     GIR_EraseRootFromParent_Done,
     /*  869032 */   // Label 13325: @869032
     /*  869032 */   GIM_Try, /*On fail goto*//*Label 13326*/ GIMT_Encode4(869107), // Rule ID 24919 //
     /*  869037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  869048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  869051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  869054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869083 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  869083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  869086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869105 */     GIR_RootConstrainSelectedInstOperands,
     /*  869106 */     // GIR_Coverage, 24919,
     /*  869106 */     GIR_EraseRootFromParent_Done,
     /*  869107 */   // Label 13326: @869107
     /*  869107 */   GIM_Try, /*On fail goto*//*Label 13327*/ GIMT_Encode4(869182), // Rule ID 24922 //
     /*  869112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  869123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  869126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  869129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869158 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869180 */     GIR_RootConstrainSelectedInstOperands,
     /*  869181 */     // GIR_Coverage, 24922,
     /*  869181 */     GIR_EraseRootFromParent_Done,
     /*  869182 */   // Label 13327: @869182
     /*  869182 */   GIM_Try, /*On fail goto*//*Label 13328*/ GIMT_Encode4(869257), // Rule ID 24923 //
     /*  869187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  869198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  869201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  869204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869233 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869255 */     GIR_RootConstrainSelectedInstOperands,
     /*  869256 */     // GIR_Coverage, 24923,
     /*  869256 */     GIR_EraseRootFromParent_Done,
     /*  869257 */   // Label 13328: @869257
     /*  869257 */   GIM_Try, /*On fail goto*//*Label 13329*/ GIMT_Encode4(869332), // Rule ID 24926 //
     /*  869262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  869273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  869276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  869279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869308 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  869308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869330 */     GIR_RootConstrainSelectedInstOperands,
     /*  869331 */     // GIR_Coverage, 24926,
     /*  869331 */     GIR_EraseRootFromParent_Done,
     /*  869332 */   // Label 13329: @869332
     /*  869332 */   GIM_Try, /*On fail goto*//*Label 13330*/ GIMT_Encode4(869407), // Rule ID 24927 //
     /*  869337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  869348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  869351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  869354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869383 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  869383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869405 */     GIR_RootConstrainSelectedInstOperands,
     /*  869406 */     // GIR_Coverage, 24927,
     /*  869406 */     GIR_EraseRootFromParent_Done,
     /*  869407 */   // Label 13330: @869407
     /*  869407 */   GIM_Try, /*On fail goto*//*Label 13331*/ GIMT_Encode4(869482), // Rule ID 24930 //
     /*  869412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  869415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  869423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  869426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  869429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869458 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  869458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869480 */     GIR_RootConstrainSelectedInstOperands,
     /*  869481 */     // GIR_Coverage, 24930,
     /*  869481 */     GIR_EraseRootFromParent_Done,
     /*  869482 */   // Label 13331: @869482
     /*  869482 */   GIM_Try, /*On fail goto*//*Label 13332*/ GIMT_Encode4(869557), // Rule ID 24931 //
     /*  869487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  869490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  869498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  869501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  869504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869533 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  869533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869555 */     GIR_RootConstrainSelectedInstOperands,
     /*  869556 */     // GIR_Coverage, 24931,
     /*  869556 */     GIR_EraseRootFromParent_Done,
     /*  869557 */   // Label 13332: @869557
     /*  869557 */   GIM_Try, /*On fail goto*//*Label 13333*/ GIMT_Encode4(869632), // Rule ID 24934 //
     /*  869562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869608 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  869611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869630 */     GIR_RootConstrainSelectedInstOperands,
     /*  869631 */     // GIR_Coverage, 24934,
     /*  869631 */     GIR_EraseRootFromParent_Done,
     /*  869632 */   // Label 13333: @869632
     /*  869632 */   GIM_Try, /*On fail goto*//*Label 13334*/ GIMT_Encode4(869707), // Rule ID 24935 //
     /*  869637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869683 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  869686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869705 */     GIR_RootConstrainSelectedInstOperands,
     /*  869706 */     // GIR_Coverage, 24935,
     /*  869706 */     GIR_EraseRootFromParent_Done,
     /*  869707 */   // Label 13334: @869707
     /*  869707 */   GIM_Try, /*On fail goto*//*Label 13335*/ GIMT_Encode4(869782), // Rule ID 24938 //
     /*  869712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869758 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  869761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869780 */     GIR_RootConstrainSelectedInstOperands,
     /*  869781 */     // GIR_Coverage, 24938,
     /*  869781 */     GIR_EraseRootFromParent_Done,
     /*  869782 */   // Label 13335: @869782
     /*  869782 */   GIM_Try, /*On fail goto*//*Label 13336*/ GIMT_Encode4(869857), // Rule ID 24939 //
     /*  869787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869833 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  869836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869855 */     GIR_RootConstrainSelectedInstOperands,
     /*  869856 */     // GIR_Coverage, 24939,
     /*  869856 */     GIR_EraseRootFromParent_Done,
     /*  869857 */   // Label 13336: @869857
     /*  869857 */   GIM_Try, /*On fail goto*//*Label 13337*/ GIMT_Encode4(869932), // Rule ID 24942 //
     /*  869862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869908 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  869911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869930 */     GIR_RootConstrainSelectedInstOperands,
     /*  869931 */     // GIR_Coverage, 24942,
     /*  869931 */     GIR_EraseRootFromParent_Done,
     /*  869932 */   // Label 13337: @869932
     /*  869932 */   GIM_Try, /*On fail goto*//*Label 13338*/ GIMT_Encode4(870007), // Rule ID 24943 //
     /*  869937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869983 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  869986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870005 */     GIR_RootConstrainSelectedInstOperands,
     /*  870006 */     // GIR_Coverage, 24943,
     /*  870006 */     GIR_EraseRootFromParent_Done,
     /*  870007 */   // Label 13338: @870007
     /*  870007 */   GIM_Try, /*On fail goto*//*Label 13339*/ GIMT_Encode4(870082), // Rule ID 24946 //
     /*  870012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  870015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  870023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  870026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  870029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870058 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  870061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870080 */     GIR_RootConstrainSelectedInstOperands,
     /*  870081 */     // GIR_Coverage, 24946,
     /*  870081 */     GIR_EraseRootFromParent_Done,
     /*  870082 */   // Label 13339: @870082
     /*  870082 */   GIM_Try, /*On fail goto*//*Label 13340*/ GIMT_Encode4(870157), // Rule ID 24947 //
     /*  870087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  870090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  870098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  870101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  870104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870133 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  870136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870155 */     GIR_RootConstrainSelectedInstOperands,
     /*  870156 */     // GIR_Coverage, 24947,
     /*  870156 */     GIR_EraseRootFromParent_Done,
     /*  870157 */   // Label 13340: @870157
     /*  870157 */   GIM_Try, /*On fail goto*//*Label 13341*/ GIMT_Encode4(870232), // Rule ID 24950 //
     /*  870162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  870165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  870173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  870176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  870179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870208 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  870211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870230 */     GIR_RootConstrainSelectedInstOperands,
     /*  870231 */     // GIR_Coverage, 24950,
     /*  870231 */     GIR_EraseRootFromParent_Done,
     /*  870232 */   // Label 13341: @870232
     /*  870232 */   GIM_Try, /*On fail goto*//*Label 13342*/ GIMT_Encode4(870307), // Rule ID 24951 //
     /*  870237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  870240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  870248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  870251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  870254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870283 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  870286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870305 */     GIR_RootConstrainSelectedInstOperands,
     /*  870306 */     // GIR_Coverage, 24951,
     /*  870306 */     GIR_EraseRootFromParent_Done,
     /*  870307 */   // Label 13342: @870307
     /*  870307 */   GIM_Try, /*On fail goto*//*Label 13343*/ GIMT_Encode4(870382), // Rule ID 24954 //
     /*  870312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  870315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  870323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  870326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  870329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870358 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  870361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870380 */     GIR_RootConstrainSelectedInstOperands,
     /*  870381 */     // GIR_Coverage, 24954,
     /*  870381 */     GIR_EraseRootFromParent_Done,
     /*  870382 */   // Label 13343: @870382
     /*  870382 */   GIM_Try, /*On fail goto*//*Label 13344*/ GIMT_Encode4(870457), // Rule ID 24955 //
     /*  870387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  870390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  870398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  870401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  870404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870433 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  870436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870455 */     GIR_RootConstrainSelectedInstOperands,
     /*  870456 */     // GIR_Coverage, 24955,
     /*  870456 */     GIR_EraseRootFromParent_Done,
     /*  870457 */   // Label 13344: @870457
     /*  870457 */   GIM_Try, /*On fail goto*//*Label 13345*/ GIMT_Encode4(870532), // Rule ID 24958 //
     /*  870462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  870465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  870473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  870476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  870479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870508 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  870511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870530 */     GIR_RootConstrainSelectedInstOperands,
     /*  870531 */     // GIR_Coverage, 24958,
     /*  870531 */     GIR_EraseRootFromParent_Done,
     /*  870532 */   // Label 13345: @870532
     /*  870532 */   GIM_Try, /*On fail goto*//*Label 13346*/ GIMT_Encode4(870607), // Rule ID 24959 //
     /*  870537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  870540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  870548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  870551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  870554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870583 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  870586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870605 */     GIR_RootConstrainSelectedInstOperands,
     /*  870606 */     // GIR_Coverage, 24959,
     /*  870606 */     GIR_EraseRootFromParent_Done,
     /*  870607 */   // Label 13346: @870607
     /*  870607 */   GIM_Try, /*On fail goto*//*Label 13347*/ GIMT_Encode4(870682), // Rule ID 24962 //
     /*  870612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  870615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  870626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870658 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  870661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870680 */     GIR_RootConstrainSelectedInstOperands,
     /*  870681 */     // GIR_Coverage, 24962,
     /*  870681 */     GIR_EraseRootFromParent_Done,
     /*  870682 */   // Label 13347: @870682
     /*  870682 */   GIM_Try, /*On fail goto*//*Label 13348*/ GIMT_Encode4(870757), // Rule ID 24963 //
     /*  870687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  870690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  870701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870733 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  870736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870755 */     GIR_RootConstrainSelectedInstOperands,
     /*  870756 */     // GIR_Coverage, 24963,
     /*  870756 */     GIR_EraseRootFromParent_Done,
     /*  870757 */   // Label 13348: @870757
     /*  870757 */   GIM_Try, /*On fail goto*//*Label 13349*/ GIMT_Encode4(870832), // Rule ID 24966 //
     /*  870762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  870765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  870773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  870776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  870779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870808 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  870811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870830 */     GIR_RootConstrainSelectedInstOperands,
     /*  870831 */     // GIR_Coverage, 24966,
     /*  870831 */     GIR_EraseRootFromParent_Done,
     /*  870832 */   // Label 13349: @870832
     /*  870832 */   GIM_Try, /*On fail goto*//*Label 13350*/ GIMT_Encode4(870907), // Rule ID 24967 //
     /*  870837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  870840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  870845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  870848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  870851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  870854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870883 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  870886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870905 */     GIR_RootConstrainSelectedInstOperands,
     /*  870906 */     // GIR_Coverage, 24967,
     /*  870906 */     GIR_EraseRootFromParent_Done,
     /*  870907 */   // Label 13350: @870907
     /*  870907 */   GIM_Try, /*On fail goto*//*Label 13351*/ GIMT_Encode4(870982), // Rule ID 25030 //
     /*  870912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  870915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  870923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  870926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  870929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870958 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  870961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870980 */     GIR_RootConstrainSelectedInstOperands,
     /*  870981 */     // GIR_Coverage, 25030,
     /*  870981 */     GIR_EraseRootFromParent_Done,
     /*  870982 */   // Label 13351: @870982
     /*  870982 */   GIM_Try, /*On fail goto*//*Label 13352*/ GIMT_Encode4(871057), // Rule ID 25031 //
     /*  870987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  870990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  870998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  871001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  871004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  871007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871033 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  871036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871055 */     GIR_RootConstrainSelectedInstOperands,
     /*  871056 */     // GIR_Coverage, 25031,
     /*  871056 */     GIR_EraseRootFromParent_Done,
     /*  871057 */   // Label 13352: @871057
     /*  871057 */   GIM_Try, /*On fail goto*//*Label 13353*/ GIMT_Encode4(871132), // Rule ID 25034 //
     /*  871062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  871073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  871076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  871079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  871082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871108 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  871111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871130 */     GIR_RootConstrainSelectedInstOperands,
     /*  871131 */     // GIR_Coverage, 25034,
     /*  871131 */     GIR_EraseRootFromParent_Done,
     /*  871132 */   // Label 13353: @871132
     /*  871132 */   GIM_Try, /*On fail goto*//*Label 13354*/ GIMT_Encode4(871207), // Rule ID 25035 //
     /*  871137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  871148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  871151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  871154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  871157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871183 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  871186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871205 */     GIR_RootConstrainSelectedInstOperands,
     /*  871206 */     // GIR_Coverage, 25035,
     /*  871206 */     GIR_EraseRootFromParent_Done,
     /*  871207 */   // Label 13354: @871207
     /*  871207 */   GIM_Try, /*On fail goto*//*Label 13355*/ GIMT_Encode4(871282), // Rule ID 25038 //
     /*  871212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  871223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  871226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  871229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  871232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871258 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  871261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871280 */     GIR_RootConstrainSelectedInstOperands,
     /*  871281 */     // GIR_Coverage, 25038,
     /*  871281 */     GIR_EraseRootFromParent_Done,
     /*  871282 */   // Label 13355: @871282
     /*  871282 */   GIM_Try, /*On fail goto*//*Label 13356*/ GIMT_Encode4(871357), // Rule ID 25039 //
     /*  871287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  871298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  871301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  871304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  871307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871333 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  871336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871355 */     GIR_RootConstrainSelectedInstOperands,
     /*  871356 */     // GIR_Coverage, 25039,
     /*  871356 */     GIR_EraseRootFromParent_Done,
     /*  871357 */   // Label 13356: @871357
     /*  871357 */   GIM_Try, /*On fail goto*//*Label 13357*/ GIMT_Encode4(871432), // Rule ID 25042 //
     /*  871362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  871373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  871376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  871379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871408 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  871411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871430 */     GIR_RootConstrainSelectedInstOperands,
     /*  871431 */     // GIR_Coverage, 25042,
     /*  871431 */     GIR_EraseRootFromParent_Done,
     /*  871432 */   // Label 13357: @871432
     /*  871432 */   GIM_Try, /*On fail goto*//*Label 13358*/ GIMT_Encode4(871507), // Rule ID 25043 //
     /*  871437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  871448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  871451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  871454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871483 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  871486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871505 */     GIR_RootConstrainSelectedInstOperands,
     /*  871506 */     // GIR_Coverage, 25043,
     /*  871506 */     GIR_EraseRootFromParent_Done,
     /*  871507 */   // Label 13358: @871507
     /*  871507 */   GIM_Try, /*On fail goto*//*Label 13359*/ GIMT_Encode4(871582), // Rule ID 25046 //
     /*  871512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  871523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  871526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  871529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  871532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871558 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  871561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871580 */     GIR_RootConstrainSelectedInstOperands,
     /*  871581 */     // GIR_Coverage, 25046,
     /*  871581 */     GIR_EraseRootFromParent_Done,
     /*  871582 */   // Label 13359: @871582
     /*  871582 */   GIM_Try, /*On fail goto*//*Label 13360*/ GIMT_Encode4(871657), // Rule ID 25047 //
     /*  871587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  871598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  871601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  871604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  871607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871633 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  871636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871655 */     GIR_RootConstrainSelectedInstOperands,
     /*  871656 */     // GIR_Coverage, 25047,
     /*  871656 */     GIR_EraseRootFromParent_Done,
     /*  871657 */   // Label 13360: @871657
     /*  871657 */   GIM_Try, /*On fail goto*//*Label 13361*/ GIMT_Encode4(871732), // Rule ID 25050 //
     /*  871662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  871665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  871673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  871676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  871679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  871682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871708 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  871711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871730 */     GIR_RootConstrainSelectedInstOperands,
     /*  871731 */     // GIR_Coverage, 25050,
     /*  871731 */     GIR_EraseRootFromParent_Done,
     /*  871732 */   // Label 13361: @871732
     /*  871732 */   GIM_Try, /*On fail goto*//*Label 13362*/ GIMT_Encode4(871807), // Rule ID 25051 //
     /*  871737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  871740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  871748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  871751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  871754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  871757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871783 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  871786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871805 */     GIR_RootConstrainSelectedInstOperands,
     /*  871806 */     // GIR_Coverage, 25051,
     /*  871806 */     GIR_EraseRootFromParent_Done,
     /*  871807 */   // Label 13362: @871807
     /*  871807 */   GIM_Try, /*On fail goto*//*Label 13363*/ GIMT_Encode4(871882), // Rule ID 25054 //
     /*  871812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  871823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  871826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  871829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871858 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  871861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871880 */     GIR_RootConstrainSelectedInstOperands,
     /*  871881 */     // GIR_Coverage, 25054,
     /*  871881 */     GIR_EraseRootFromParent_Done,
     /*  871882 */   // Label 13363: @871882
     /*  871882 */   GIM_Try, /*On fail goto*//*Label 13364*/ GIMT_Encode4(871957), // Rule ID 25055 //
     /*  871887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  871898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  871901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  871904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871933 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  871936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871955 */     GIR_RootConstrainSelectedInstOperands,
     /*  871956 */     // GIR_Coverage, 25055,
     /*  871956 */     GIR_EraseRootFromParent_Done,
     /*  871957 */   // Label 13364: @871957
     /*  871957 */   GIM_Try, /*On fail goto*//*Label 13365*/ GIMT_Encode4(872032), // Rule ID 25058 //
     /*  871962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  871973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  871976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  871979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872008 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  872008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  872011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872030 */     GIR_RootConstrainSelectedInstOperands,
     /*  872031 */     // GIR_Coverage, 25058,
     /*  872031 */     GIR_EraseRootFromParent_Done,
     /*  872032 */   // Label 13365: @872032
     /*  872032 */   GIM_Try, /*On fail goto*//*Label 13366*/ GIMT_Encode4(872107), // Rule ID 25059 //
     /*  872037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  872048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  872051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  872054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  872057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872083 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  872083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  872086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872105 */     GIR_RootConstrainSelectedInstOperands,
     /*  872106 */     // GIR_Coverage, 25059,
     /*  872106 */     GIR_EraseRootFromParent_Done,
     /*  872107 */   // Label 13366: @872107
     /*  872107 */   GIM_Try, /*On fail goto*//*Label 13367*/ GIMT_Encode4(872182), // Rule ID 25062 //
     /*  872112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  872123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  872126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  872129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  872132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872158 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  872158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  872161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872180 */     GIR_RootConstrainSelectedInstOperands,
     /*  872181 */     // GIR_Coverage, 25062,
     /*  872181 */     GIR_EraseRootFromParent_Done,
     /*  872182 */   // Label 13367: @872182
     /*  872182 */   GIM_Try, /*On fail goto*//*Label 13368*/ GIMT_Encode4(872257), // Rule ID 25063 //
     /*  872187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  872198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  872201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  872204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  872207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872233 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  872233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  872236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872255 */     GIR_RootConstrainSelectedInstOperands,
     /*  872256 */     // GIR_Coverage, 25063,
     /*  872256 */     GIR_EraseRootFromParent_Done,
     /*  872257 */   // Label 13368: @872257
     /*  872257 */   GIM_Try, /*On fail goto*//*Label 13369*/ GIMT_Encode4(872332), // Rule ID 25066 //
     /*  872262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  872273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  872276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  872279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  872282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872308 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  872308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  872311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872330 */     GIR_RootConstrainSelectedInstOperands,
     /*  872331 */     // GIR_Coverage, 25066,
     /*  872331 */     GIR_EraseRootFromParent_Done,
     /*  872332 */   // Label 13369: @872332
     /*  872332 */   GIM_Try, /*On fail goto*//*Label 13370*/ GIMT_Encode4(872407), // Rule ID 25067 //
     /*  872337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  872348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  872351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  872354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  872357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872383 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  872383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  872386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872405 */     GIR_RootConstrainSelectedInstOperands,
     /*  872406 */     // GIR_Coverage, 25067,
     /*  872406 */     GIR_EraseRootFromParent_Done,
     /*  872407 */   // Label 13370: @872407
     /*  872407 */   GIM_Try, /*On fail goto*//*Label 13371*/ GIMT_Encode4(872482), // Rule ID 25070 //
     /*  872412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  872423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  872426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  872429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  872432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872458 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  872458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  872461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872480 */     GIR_RootConstrainSelectedInstOperands,
     /*  872481 */     // GIR_Coverage, 25070,
     /*  872481 */     GIR_EraseRootFromParent_Done,
     /*  872482 */   // Label 13371: @872482
     /*  872482 */   GIM_Try, /*On fail goto*//*Label 13372*/ GIMT_Encode4(872557), // Rule ID 25071 //
     /*  872487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  872498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  872501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  872504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  872507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872533 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  872533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  872536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872555 */     GIR_RootConstrainSelectedInstOperands,
     /*  872556 */     // GIR_Coverage, 25071,
     /*  872556 */     GIR_EraseRootFromParent_Done,
     /*  872557 */   // Label 13372: @872557
     /*  872557 */   GIM_Try, /*On fail goto*//*Label 13373*/ GIMT_Encode4(872632), // Rule ID 25074 //
     /*  872562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  872573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  872576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  872579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  872582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872608 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  872608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  872611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872630 */     GIR_RootConstrainSelectedInstOperands,
     /*  872631 */     // GIR_Coverage, 25074,
     /*  872631 */     GIR_EraseRootFromParent_Done,
     /*  872632 */   // Label 13373: @872632
     /*  872632 */   GIM_Try, /*On fail goto*//*Label 13374*/ GIMT_Encode4(872707), // Rule ID 25075 //
     /*  872637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  872648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  872651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  872654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  872657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872683 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  872683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  872686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872705 */     GIR_RootConstrainSelectedInstOperands,
     /*  872706 */     // GIR_Coverage, 25075,
     /*  872706 */     GIR_EraseRootFromParent_Done,
     /*  872707 */   // Label 13374: @872707
     /*  872707 */   GIM_Try, /*On fail goto*//*Label 13375*/ GIMT_Encode4(872782), // Rule ID 25078 //
     /*  872712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  872715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  872723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  872726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  872732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872758 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  872761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872780 */     GIR_RootConstrainSelectedInstOperands,
     /*  872781 */     // GIR_Coverage, 25078,
     /*  872781 */     GIR_EraseRootFromParent_Done,
     /*  872782 */   // Label 13375: @872782
     /*  872782 */   GIM_Try, /*On fail goto*//*Label 13376*/ GIMT_Encode4(872857), // Rule ID 25079 //
     /*  872787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  872790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  872798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  872801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  872807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872833 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  872836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872855 */     GIR_RootConstrainSelectedInstOperands,
     /*  872856 */     // GIR_Coverage, 25079,
     /*  872856 */     GIR_EraseRootFromParent_Done,
     /*  872857 */   // Label 13376: @872857
     /*  872857 */   GIM_Try, /*On fail goto*//*Label 13377*/ GIMT_Encode4(872932), // Rule ID 25082 //
     /*  872862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  872865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  872873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  872876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  872879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  872882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872908 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  872911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872930 */     GIR_RootConstrainSelectedInstOperands,
     /*  872931 */     // GIR_Coverage, 25082,
     /*  872931 */     GIR_EraseRootFromParent_Done,
     /*  872932 */   // Label 13377: @872932
     /*  872932 */   GIM_Try, /*On fail goto*//*Label 13378*/ GIMT_Encode4(873007), // Rule ID 25083 //
     /*  872937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  872940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  872945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  872948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  872951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  872954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  872957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872983 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  872986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873005 */     GIR_RootConstrainSelectedInstOperands,
     /*  873006 */     // GIR_Coverage, 25083,
     /*  873006 */     GIR_EraseRootFromParent_Done,
     /*  873007 */   // Label 13378: @873007
     /*  873007 */   GIM_Try, /*On fail goto*//*Label 13379*/ GIMT_Encode4(873082), // Rule ID 25086 //
     /*  873012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  873015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  873020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  873023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  873026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  873029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  873032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873058 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  873058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  873061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873080 */     GIR_RootConstrainSelectedInstOperands,
     /*  873081 */     // GIR_Coverage, 25086,
     /*  873081 */     GIR_EraseRootFromParent_Done,
     /*  873082 */   // Label 13379: @873082
     /*  873082 */   GIM_Try, /*On fail goto*//*Label 13380*/ GIMT_Encode4(873157), // Rule ID 25087 //
     /*  873087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  873090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  873095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  873098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  873101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  873104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  873107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873133 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  873133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  873136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873155 */     GIR_RootConstrainSelectedInstOperands,
     /*  873156 */     // GIR_Coverage, 25087,
     /*  873156 */     GIR_EraseRootFromParent_Done,
     /*  873157 */   // Label 13380: @873157
     /*  873157 */   GIM_Try, /*On fail goto*//*Label 13381*/ GIMT_Encode4(873229), // Rule ID 25090 //
     /*  873162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  873173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  873176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  873179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873208 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  873211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873227 */     GIR_RootConstrainSelectedInstOperands,
     /*  873228 */     // GIR_Coverage, 25090,
     /*  873228 */     GIR_EraseRootFromParent_Done,
     /*  873229 */   // Label 13381: @873229
     /*  873229 */   GIM_Try, /*On fail goto*//*Label 13382*/ GIMT_Encode4(873301), // Rule ID 25091 //
     /*  873234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  873245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  873248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  873251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873280 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  873283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873299 */     GIR_RootConstrainSelectedInstOperands,
     /*  873300 */     // GIR_Coverage, 25091,
     /*  873300 */     GIR_EraseRootFromParent_Done,
     /*  873301 */   // Label 13382: @873301
     /*  873301 */   GIM_Try, /*On fail goto*//*Label 13383*/ GIMT_Encode4(873373), // Rule ID 25092 //
     /*  873306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  873317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  873320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  873323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  873326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873352 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  873355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873371 */     GIR_RootConstrainSelectedInstOperands,
     /*  873372 */     // GIR_Coverage, 25092,
     /*  873372 */     GIR_EraseRootFromParent_Done,
     /*  873373 */   // Label 13383: @873373
     /*  873373 */   GIM_Try, /*On fail goto*//*Label 13384*/ GIMT_Encode4(873445), // Rule ID 25093 //
     /*  873378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  873389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  873392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  873395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  873398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873424 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  873427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873443 */     GIR_RootConstrainSelectedInstOperands,
     /*  873444 */     // GIR_Coverage, 25093,
     /*  873444 */     GIR_EraseRootFromParent_Done,
     /*  873445 */   // Label 13384: @873445
     /*  873445 */   GIM_Try, /*On fail goto*//*Label 13385*/ GIMT_Encode4(873517), // Rule ID 25094 //
     /*  873450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  873461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  873464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  873467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873496 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  873496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  873499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873515 */     GIR_RootConstrainSelectedInstOperands,
     /*  873516 */     // GIR_Coverage, 25094,
     /*  873516 */     GIR_EraseRootFromParent_Done,
     /*  873517 */   // Label 13385: @873517
     /*  873517 */   GIM_Try, /*On fail goto*//*Label 13386*/ GIMT_Encode4(873589), // Rule ID 25095 //
     /*  873522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  873533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  873536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  873539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873568 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  873568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  873571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873587 */     GIR_RootConstrainSelectedInstOperands,
     /*  873588 */     // GIR_Coverage, 25095,
     /*  873588 */     GIR_EraseRootFromParent_Done,
     /*  873589 */   // Label 13386: @873589
     /*  873589 */   GIM_Try, /*On fail goto*//*Label 13387*/ GIMT_Encode4(873661), // Rule ID 25096 //
     /*  873594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  873605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  873608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  873611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873640 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  873640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  873643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873659 */     GIR_RootConstrainSelectedInstOperands,
     /*  873660 */     // GIR_Coverage, 25096,
     /*  873660 */     GIR_EraseRootFromParent_Done,
     /*  873661 */   // Label 13387: @873661
     /*  873661 */   GIM_Try, /*On fail goto*//*Label 13388*/ GIMT_Encode4(873733), // Rule ID 25097 //
     /*  873666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  873677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  873680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  873683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873712 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  873712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  873715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873731 */     GIR_RootConstrainSelectedInstOperands,
     /*  873732 */     // GIR_Coverage, 25097,
     /*  873732 */     GIR_EraseRootFromParent_Done,
     /*  873733 */   // Label 13388: @873733
     /*  873733 */   GIM_Try, /*On fail goto*//*Label 13389*/ GIMT_Encode4(873805), // Rule ID 25098 //
     /*  873738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  873749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  873752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  873755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  873784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  873787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873803 */     GIR_RootConstrainSelectedInstOperands,
     /*  873804 */     // GIR_Coverage, 25098,
     /*  873804 */     GIR_EraseRootFromParent_Done,
     /*  873805 */   // Label 13389: @873805
     /*  873805 */   GIM_Try, /*On fail goto*//*Label 13390*/ GIMT_Encode4(873877), // Rule ID 25099 //
     /*  873810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  873821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  873824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  873827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  873856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  873859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873875 */     GIR_RootConstrainSelectedInstOperands,
     /*  873876 */     // GIR_Coverage, 25099,
     /*  873876 */     GIR_EraseRootFromParent_Done,
     /*  873877 */   // Label 13390: @873877
     /*  873877 */   GIM_Try, /*On fail goto*//*Label 13391*/ GIMT_Encode4(873949), // Rule ID 25100 //
     /*  873882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  873893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  873896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  873899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  873931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873947 */     GIR_RootConstrainSelectedInstOperands,
     /*  873948 */     // GIR_Coverage, 25100,
     /*  873948 */     GIR_EraseRootFromParent_Done,
     /*  873949 */   // Label 13391: @873949
     /*  873949 */   GIM_Try, /*On fail goto*//*Label 13392*/ GIMT_Encode4(874021), // Rule ID 25101 //
     /*  873954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  873965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  873968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  873971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11190:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  874000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  874003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874019 */     GIR_RootConstrainSelectedInstOperands,
     /*  874020 */     // GIR_Coverage, 25101,
     /*  874020 */     GIR_EraseRootFromParent_Done,
     /*  874021 */   // Label 13392: @874021
     /*  874021 */   GIM_Try, /*On fail goto*//*Label 13393*/ GIMT_Encode4(874093), // Rule ID 25102 //
     /*  874026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  874037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  874040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  874043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874072 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  874075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874091 */     GIR_RootConstrainSelectedInstOperands,
     /*  874092 */     // GIR_Coverage, 25102,
     /*  874092 */     GIR_EraseRootFromParent_Done,
     /*  874093 */   // Label 13393: @874093
     /*  874093 */   GIM_Try, /*On fail goto*//*Label 13394*/ GIMT_Encode4(874165), // Rule ID 25103 //
     /*  874098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  874109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  874112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  874115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  874147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874163 */     GIR_RootConstrainSelectedInstOperands,
     /*  874164 */     // GIR_Coverage, 25103,
     /*  874164 */     GIR_EraseRootFromParent_Done,
     /*  874165 */   // Label 13394: @874165
     /*  874165 */   GIM_Try, /*On fail goto*//*Label 13395*/ GIMT_Encode4(874237), // Rule ID 25104 //
     /*  874170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  874181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  874184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  874187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  874190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  874219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874235 */     GIR_RootConstrainSelectedInstOperands,
     /*  874236 */     // GIR_Coverage, 25104,
     /*  874236 */     GIR_EraseRootFromParent_Done,
     /*  874237 */   // Label 13395: @874237
     /*  874237 */   GIM_Try, /*On fail goto*//*Label 13396*/ GIMT_Encode4(874309), // Rule ID 25105 //
     /*  874242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  874253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  874256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  874259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  874262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  874291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874307 */     GIR_RootConstrainSelectedInstOperands,
     /*  874308 */     // GIR_Coverage, 25105,
     /*  874308 */     GIR_EraseRootFromParent_Done,
     /*  874309 */   // Label 13396: @874309
     /*  874309 */   GIM_Try, /*On fail goto*//*Label 13397*/ GIMT_Encode4(874381), // Rule ID 25106 //
     /*  874314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  874317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  874325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  874328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  874331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  874334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874360 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  874360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  874363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874379 */     GIR_RootConstrainSelectedInstOperands,
     /*  874380 */     // GIR_Coverage, 25106,
     /*  874380 */     GIR_EraseRootFromParent_Done,
     /*  874381 */   // Label 13397: @874381
     /*  874381 */   GIM_Try, /*On fail goto*//*Label 13398*/ GIMT_Encode4(874453), // Rule ID 25107 //
     /*  874386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  874389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  874397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  874400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  874403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  874406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  874432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  874435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874451 */     GIR_RootConstrainSelectedInstOperands,
     /*  874452 */     // GIR_Coverage, 25107,
     /*  874452 */     GIR_EraseRootFromParent_Done,
     /*  874453 */   // Label 13398: @874453
     /*  874453 */   GIM_Try, /*On fail goto*//*Label 13399*/ GIMT_Encode4(874525), // Rule ID 25108 //
     /*  874458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  874469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  874472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  874475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874504 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  874504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  874507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874523 */     GIR_RootConstrainSelectedInstOperands,
     /*  874524 */     // GIR_Coverage, 25108,
     /*  874524 */     GIR_EraseRootFromParent_Done,
     /*  874525 */   // Label 13399: @874525
     /*  874525 */   GIM_Try, /*On fail goto*//*Label 13400*/ GIMT_Encode4(874597), // Rule ID 25109 //
     /*  874530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  874541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  874544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  874547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874576 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  874576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  874579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874595 */     GIR_RootConstrainSelectedInstOperands,
     /*  874596 */     // GIR_Coverage, 25109,
     /*  874596 */     GIR_EraseRootFromParent_Done,
     /*  874597 */   // Label 13400: @874597
     /*  874597 */   GIM_Try, /*On fail goto*//*Label 13401*/ GIMT_Encode4(874669), // Rule ID 25110 //
     /*  874602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  874613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  874616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  874619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  874622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874648 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  874648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  874651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874667 */     GIR_RootConstrainSelectedInstOperands,
     /*  874668 */     // GIR_Coverage, 25110,
     /*  874668 */     GIR_EraseRootFromParent_Done,
     /*  874669 */   // Label 13401: @874669
     /*  874669 */   GIM_Try, /*On fail goto*//*Label 13402*/ GIMT_Encode4(874741), // Rule ID 25111 //
     /*  874674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  874685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  874688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  874691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  874694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874720 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  874720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  874723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874739 */     GIR_RootConstrainSelectedInstOperands,
     /*  874740 */     // GIR_Coverage, 25111,
     /*  874740 */     GIR_EraseRootFromParent_Done,
     /*  874741 */   // Label 13402: @874741
     /*  874741 */   GIM_Try, /*On fail goto*//*Label 13403*/ GIMT_Encode4(874813), // Rule ID 25112 //
     /*  874746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  874757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  874760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  874763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  874766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874792 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  874792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  874795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874811 */     GIR_RootConstrainSelectedInstOperands,
     /*  874812 */     // GIR_Coverage, 25112,
     /*  874812 */     GIR_EraseRootFromParent_Done,
     /*  874813 */   // Label 13403: @874813
     /*  874813 */   GIM_Try, /*On fail goto*//*Label 13404*/ GIMT_Encode4(874885), // Rule ID 25113 //
     /*  874818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  874829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  874832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  874835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  874838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874864 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  874864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  874867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874883 */     GIR_RootConstrainSelectedInstOperands,
     /*  874884 */     // GIR_Coverage, 25113,
     /*  874884 */     GIR_EraseRootFromParent_Done,
     /*  874885 */   // Label 13404: @874885
     /*  874885 */   GIM_Try, /*On fail goto*//*Label 13405*/ GIMT_Encode4(874957), // Rule ID 25114 //
     /*  874890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  874901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  874904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  874907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  874939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874955 */     GIR_RootConstrainSelectedInstOperands,
     /*  874956 */     // GIR_Coverage, 25114,
     /*  874956 */     GIR_EraseRootFromParent_Done,
     /*  874957 */   // Label 13405: @874957
     /*  874957 */   GIM_Try, /*On fail goto*//*Label 13406*/ GIMT_Encode4(875029), // Rule ID 25115 //
     /*  874962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  874973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  874976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  874979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875008 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  875008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  875011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875027 */     GIR_RootConstrainSelectedInstOperands,
     /*  875028 */     // GIR_Coverage, 25115,
     /*  875028 */     GIR_EraseRootFromParent_Done,
     /*  875029 */   // Label 13406: @875029
     /*  875029 */   GIM_Try, /*On fail goto*//*Label 13407*/ GIMT_Encode4(875101), // Rule ID 25116 //
     /*  875034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  875037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  875045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  875048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  875051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  875054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875080 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  875080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  875083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875099 */     GIR_RootConstrainSelectedInstOperands,
     /*  875100 */     // GIR_Coverage, 25116,
     /*  875100 */     GIR_EraseRootFromParent_Done,
     /*  875101 */   // Label 13407: @875101
     /*  875101 */   GIM_Try, /*On fail goto*//*Label 13408*/ GIMT_Encode4(875173), // Rule ID 25117 //
     /*  875106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  875109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  875117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  875120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  875123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  875126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875152 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  875152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  875155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875171 */     GIR_RootConstrainSelectedInstOperands,
     /*  875172 */     // GIR_Coverage, 25117,
     /*  875172 */     GIR_EraseRootFromParent_Done,
     /*  875173 */   // Label 13408: @875173
     /*  875173 */   GIM_Try, /*On fail goto*//*Label 13409*/ GIMT_Encode4(875245), // Rule ID 25118 //
     /*  875178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  875181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  875189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  875192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  875195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  875198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875224 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  875224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  875227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875243 */     GIR_RootConstrainSelectedInstOperands,
     /*  875244 */     // GIR_Coverage, 25118,
     /*  875244 */     GIR_EraseRootFromParent_Done,
     /*  875245 */   // Label 13409: @875245
     /*  875245 */   GIM_Try, /*On fail goto*//*Label 13410*/ GIMT_Encode4(875317), // Rule ID 25119 //
     /*  875250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  875253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  875261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  875264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  875267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  875270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  875296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  875299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875315 */     GIR_RootConstrainSelectedInstOperands,
     /*  875316 */     // GIR_Coverage, 25119,
     /*  875316 */     GIR_EraseRootFromParent_Done,
     /*  875317 */   // Label 13410: @875317
     /*  875317 */   GIM_Try, /*On fail goto*//*Label 13411*/ GIMT_Encode4(875389), // Rule ID 25120 //
     /*  875322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  875325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  875333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  875336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  875339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875368 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  875371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875387 */     GIR_RootConstrainSelectedInstOperands,
     /*  875388 */     // GIR_Coverage, 25120,
     /*  875388 */     GIR_EraseRootFromParent_Done,
     /*  875389 */   // Label 13411: @875389
     /*  875389 */   GIM_Try, /*On fail goto*//*Label 13412*/ GIMT_Encode4(875461), // Rule ID 25121 //
     /*  875394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  875397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  875405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  875408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  875411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  875443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875459 */     GIR_RootConstrainSelectedInstOperands,
     /*  875460 */     // GIR_Coverage, 25121,
     /*  875460 */     GIR_EraseRootFromParent_Done,
     /*  875461 */   // Label 13412: @875461
     /*  875461 */   GIM_Try, /*On fail goto*//*Label 13413*/ GIMT_Encode4(875533), // Rule ID 25122 //
     /*  875466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  875469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  875477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  875480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  875483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  875515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875531 */     GIR_RootConstrainSelectedInstOperands,
     /*  875532 */     // GIR_Coverage, 25122,
     /*  875532 */     GIR_EraseRootFromParent_Done,
     /*  875533 */   // Label 13413: @875533
     /*  875533 */   GIM_Try, /*On fail goto*//*Label 13414*/ GIMT_Encode4(875605), // Rule ID 25123 //
     /*  875538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  875541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  875549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  875552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  875555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  875587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875603 */     GIR_RootConstrainSelectedInstOperands,
     /*  875604 */     // GIR_Coverage, 25123,
     /*  875604 */     GIR_EraseRootFromParent_Done,
     /*  875605 */   // Label 13414: @875605
     /*  875605 */   GIM_Try, /*On fail goto*//*Label 13415*/ GIMT_Encode4(875677), // Rule ID 25124 //
     /*  875610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  875613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  875621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  875624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  875627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  875630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875656 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  875659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875675 */     GIR_RootConstrainSelectedInstOperands,
     /*  875676 */     // GIR_Coverage, 25124,
     /*  875676 */     GIR_EraseRootFromParent_Done,
     /*  875677 */   // Label 13415: @875677
     /*  875677 */   GIM_Try, /*On fail goto*//*Label 13416*/ GIMT_Encode4(875749), // Rule ID 25125 //
     /*  875682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  875685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  875693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  875696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  875699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  875702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875728 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  875731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875747 */     GIR_RootConstrainSelectedInstOperands,
     /*  875748 */     // GIR_Coverage, 25125,
     /*  875748 */     GIR_EraseRootFromParent_Done,
     /*  875749 */   // Label 13416: @875749
     /*  875749 */   GIM_Try, /*On fail goto*//*Label 13417*/ GIMT_Encode4(875821), // Rule ID 25126 //
     /*  875754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  875757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  875765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  875768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  875771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  875803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875819 */     GIR_RootConstrainSelectedInstOperands,
     /*  875820 */     // GIR_Coverage, 25126,
     /*  875820 */     GIR_EraseRootFromParent_Done,
     /*  875821 */   // Label 13417: @875821
     /*  875821 */   GIM_Try, /*On fail goto*//*Label 13418*/ GIMT_Encode4(875893), // Rule ID 25127 //
     /*  875826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  875837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  875840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  875843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875872 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  875875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875891 */     GIR_RootConstrainSelectedInstOperands,
     /*  875892 */     // GIR_Coverage, 25127,
     /*  875892 */     GIR_EraseRootFromParent_Done,
     /*  875893 */   // Label 13418: @875893
     /*  875893 */   GIM_Try, /*On fail goto*//*Label 13419*/ GIMT_Encode4(875965), // Rule ID 25128 //
     /*  875898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  875901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  875909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  875912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  875915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875944 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  875947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875963 */     GIR_RootConstrainSelectedInstOperands,
     /*  875964 */     // GIR_Coverage, 25128,
     /*  875964 */     GIR_EraseRootFromParent_Done,
     /*  875965 */   // Label 13419: @875965
     /*  875965 */   GIM_Try, /*On fail goto*//*Label 13420*/ GIMT_Encode4(876037), // Rule ID 25129 //
     /*  875970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  875981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  875984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  875987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876016 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  876019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876035 */     GIR_RootConstrainSelectedInstOperands,
     /*  876036 */     // GIR_Coverage, 25129,
     /*  876036 */     GIR_EraseRootFromParent_Done,
     /*  876037 */   // Label 13420: @876037
     /*  876037 */   GIM_Try, /*On fail goto*//*Label 13421*/ GIMT_Encode4(876109), // Rule ID 25130 //
     /*  876042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  876045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876088 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  876091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876107 */     GIR_RootConstrainSelectedInstOperands,
     /*  876108 */     // GIR_Coverage, 25130,
     /*  876108 */     GIR_EraseRootFromParent_Done,
     /*  876109 */   // Label 13421: @876109
     /*  876109 */   GIM_Try, /*On fail goto*//*Label 13422*/ GIMT_Encode4(876181), // Rule ID 25131 //
     /*  876114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  876117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  876163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876179 */     GIR_RootConstrainSelectedInstOperands,
     /*  876180 */     // GIR_Coverage, 25131,
     /*  876180 */     GIR_EraseRootFromParent_Done,
     /*  876181 */   // Label 13422: @876181
     /*  876181 */   GIM_Try, /*On fail goto*//*Label 13423*/ GIMT_Encode4(876253), // Rule ID 25132 //
     /*  876186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  876197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  876200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  876203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876232 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  876235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876251 */     GIR_RootConstrainSelectedInstOperands,
     /*  876252 */     // GIR_Coverage, 25132,
     /*  876252 */     GIR_EraseRootFromParent_Done,
     /*  876253 */   // Label 13423: @876253
     /*  876253 */   GIM_Try, /*On fail goto*//*Label 13424*/ GIMT_Encode4(876325), // Rule ID 25133 //
     /*  876258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  876269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  876272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  876275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876304 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  876307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876323 */     GIR_RootConstrainSelectedInstOperands,
     /*  876324 */     // GIR_Coverage, 25133,
     /*  876324 */     GIR_EraseRootFromParent_Done,
     /*  876325 */   // Label 13424: @876325
     /*  876325 */   GIM_Try, /*On fail goto*//*Label 13425*/ GIMT_Encode4(876397), // Rule ID 25134 //
     /*  876330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  876341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  876344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  876347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876376 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  876379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876395 */     GIR_RootConstrainSelectedInstOperands,
     /*  876396 */     // GIR_Coverage, 25134,
     /*  876396 */     GIR_EraseRootFromParent_Done,
     /*  876397 */   // Label 13425: @876397
     /*  876397 */   GIM_Try, /*On fail goto*//*Label 13426*/ GIMT_Encode4(876469), // Rule ID 25135 //
     /*  876402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  876413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  876416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  876419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876448 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  876451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876467 */     GIR_RootConstrainSelectedInstOperands,
     /*  876468 */     // GIR_Coverage, 25135,
     /*  876468 */     GIR_EraseRootFromParent_Done,
     /*  876469 */   // Label 13426: @876469
     /*  876469 */   GIM_Try, /*On fail goto*//*Label 13427*/ GIMT_Encode4(876541), // Rule ID 25136 //
     /*  876474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  876485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  876488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  876491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876520 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  876520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  876523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876539 */     GIR_RootConstrainSelectedInstOperands,
     /*  876540 */     // GIR_Coverage, 25136,
     /*  876540 */     GIR_EraseRootFromParent_Done,
     /*  876541 */   // Label 13427: @876541
     /*  876541 */   GIM_Try, /*On fail goto*//*Label 13428*/ GIMT_Encode4(876613), // Rule ID 25137 //
     /*  876546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  876557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  876560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  876563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876592 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  876592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  876595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876611 */     GIR_RootConstrainSelectedInstOperands,
     /*  876612 */     // GIR_Coverage, 25137,
     /*  876612 */     GIR_EraseRootFromParent_Done,
     /*  876613 */   // Label 13428: @876613
     /*  876613 */   GIM_Try, /*On fail goto*//*Label 13429*/ GIMT_Encode4(876685), // Rule ID 25138 //
     /*  876618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  876629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  876632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  876635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876664 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  876667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876683 */     GIR_RootConstrainSelectedInstOperands,
     /*  876684 */     // GIR_Coverage, 25138,
     /*  876684 */     GIR_EraseRootFromParent_Done,
     /*  876685 */   // Label 13429: @876685
     /*  876685 */   GIM_Try, /*On fail goto*//*Label 13430*/ GIMT_Encode4(876757), // Rule ID 25139 //
     /*  876690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  876701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  876704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  876707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876736 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  876739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876755 */     GIR_RootConstrainSelectedInstOperands,
     /*  876756 */     // GIR_Coverage, 25139,
     /*  876756 */     GIR_EraseRootFromParent_Done,
     /*  876757 */   // Label 13430: @876757
     /*  876757 */   GIM_Try, /*On fail goto*//*Label 13431*/ GIMT_Encode4(876829), // Rule ID 25140 //
     /*  876762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  876773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  876776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  876779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876808 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  876808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  876811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876827 */     GIR_RootConstrainSelectedInstOperands,
     /*  876828 */     // GIR_Coverage, 25140,
     /*  876828 */     GIR_EraseRootFromParent_Done,
     /*  876829 */   // Label 13431: @876829
     /*  876829 */   GIM_Try, /*On fail goto*//*Label 13432*/ GIMT_Encode4(876901), // Rule ID 25141 //
     /*  876834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  876845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  876848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  876851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876880 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  876880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  876883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876899 */     GIR_RootConstrainSelectedInstOperands,
     /*  876900 */     // GIR_Coverage, 25141,
     /*  876900 */     GIR_EraseRootFromParent_Done,
     /*  876901 */   // Label 13432: @876901
     /*  876901 */   GIM_Try, /*On fail goto*//*Label 13433*/ GIMT_Encode4(876973), // Rule ID 25142 //
     /*  876906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  876909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  876917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  876920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  876923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876952 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  876955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876971 */     GIR_RootConstrainSelectedInstOperands,
     /*  876972 */     // GIR_Coverage, 25142,
     /*  876972 */     GIR_EraseRootFromParent_Done,
     /*  876973 */   // Label 13433: @876973
     /*  876973 */   GIM_Try, /*On fail goto*//*Label 13434*/ GIMT_Encode4(877045), // Rule ID 25143 //
     /*  876978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  876981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  876989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  876992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  876995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877024 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  877024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  877027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877043 */     GIR_RootConstrainSelectedInstOperands,
     /*  877044 */     // GIR_Coverage, 25143,
     /*  877044 */     GIR_EraseRootFromParent_Done,
     /*  877045 */   // Label 13434: @877045
     /*  877045 */   GIM_Try, /*On fail goto*//*Label 13435*/ GIMT_Encode4(877117), // Rule ID 25144 //
     /*  877050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  877061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  877064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  877067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  877070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877096 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  877099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877115 */     GIR_RootConstrainSelectedInstOperands,
     /*  877116 */     // GIR_Coverage, 25144,
     /*  877116 */     GIR_EraseRootFromParent_Done,
     /*  877117 */   // Label 13435: @877117
     /*  877117 */   GIM_Try, /*On fail goto*//*Label 13436*/ GIMT_Encode4(877189), // Rule ID 25145 //
     /*  877122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  877133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  877136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  877139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  877142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877168 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  877171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877187 */     GIR_RootConstrainSelectedInstOperands,
     /*  877188 */     // GIR_Coverage, 25145,
     /*  877188 */     GIR_EraseRootFromParent_Done,
     /*  877189 */   // Label 13436: @877189
     /*  877189 */   GIM_Try, /*On fail goto*//*Label 13437*/ GIMT_Encode4(877261), // Rule ID 25146 //
     /*  877194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  877205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  877208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  877211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  877214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877240 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  877243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877259 */     GIR_RootConstrainSelectedInstOperands,
     /*  877260 */     // GIR_Coverage, 25146,
     /*  877260 */     GIR_EraseRootFromParent_Done,
     /*  877261 */   // Label 13437: @877261
     /*  877261 */   GIM_Try, /*On fail goto*//*Label 13438*/ GIMT_Encode4(877333), // Rule ID 25147 //
     /*  877266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  877277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  877280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  877283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  877286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877312 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  877315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877331 */     GIR_RootConstrainSelectedInstOperands,
     /*  877332 */     // GIR_Coverage, 25147,
     /*  877332 */     GIR_EraseRootFromParent_Done,
     /*  877333 */   // Label 13438: @877333
     /*  877333 */   GIM_Try, /*On fail goto*//*Label 13439*/ GIMT_Encode4(877405), // Rule ID 25148 //
     /*  877338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  877349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  877352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  877355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  877358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877384 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  877387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877403 */     GIR_RootConstrainSelectedInstOperands,
     /*  877404 */     // GIR_Coverage, 25148,
     /*  877404 */     GIR_EraseRootFromParent_Done,
     /*  877405 */   // Label 13439: @877405
     /*  877405 */   GIM_Try, /*On fail goto*//*Label 13440*/ GIMT_Encode4(877477), // Rule ID 25149 //
     /*  877410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  877421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  877424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  877427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  877430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877456 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  877459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877475 */     GIR_RootConstrainSelectedInstOperands,
     /*  877476 */     // GIR_Coverage, 25149,
     /*  877476 */     GIR_EraseRootFromParent_Done,
     /*  877477 */   // Label 13440: @877477
     /*  877477 */   GIM_Try, /*On fail goto*//*Label 13441*/ GIMT_Encode4(877549), // Rule ID 25150 //
     /*  877482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  877493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  877496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  877499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  877528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  877531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877547 */     GIR_RootConstrainSelectedInstOperands,
     /*  877548 */     // GIR_Coverage, 25150,
     /*  877548 */     GIR_EraseRootFromParent_Done,
     /*  877549 */   // Label 13441: @877549
     /*  877549 */   GIM_Try, /*On fail goto*//*Label 13442*/ GIMT_Encode4(877621), // Rule ID 25151 //
     /*  877554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  877565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  877568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  877571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877600 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  877600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  877603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877619 */     GIR_RootConstrainSelectedInstOperands,
     /*  877620 */     // GIR_Coverage, 25151,
     /*  877620 */     GIR_EraseRootFromParent_Done,
     /*  877621 */   // Label 13442: @877621
     /*  877621 */   GIM_Try, /*On fail goto*//*Label 13443*/ GIMT_Encode4(877693), // Rule ID 25152 //
     /*  877626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  877637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  877640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  877643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  877646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877672 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  877672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  877675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877691 */     GIR_RootConstrainSelectedInstOperands,
     /*  877692 */     // GIR_Coverage, 25152,
     /*  877692 */     GIR_EraseRootFromParent_Done,
     /*  877693 */   // Label 13443: @877693
     /*  877693 */   GIM_Try, /*On fail goto*//*Label 13444*/ GIMT_Encode4(877765), // Rule ID 25153 //
     /*  877698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  877709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  877712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  877715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  877718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877744 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  877744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  877747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877763 */     GIR_RootConstrainSelectedInstOperands,
     /*  877764 */     // GIR_Coverage, 25153,
     /*  877764 */     GIR_EraseRootFromParent_Done,
     /*  877765 */   // Label 13444: @877765
     /*  877765 */   GIM_Try, /*On fail goto*//*Label 13445*/ GIMT_Encode4(877837), // Rule ID 25154 //
     /*  877770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  877781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  877784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  877787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  877790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877816 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  877816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  877819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877835 */     GIR_RootConstrainSelectedInstOperands,
     /*  877836 */     // GIR_Coverage, 25154,
     /*  877836 */     GIR_EraseRootFromParent_Done,
     /*  877837 */   // Label 13445: @877837
     /*  877837 */   GIM_Try, /*On fail goto*//*Label 13446*/ GIMT_Encode4(877909), // Rule ID 25155 //
     /*  877842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  877853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  877856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  877859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  877862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877888 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  877888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  877891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877907 */     GIR_RootConstrainSelectedInstOperands,
     /*  877908 */     // GIR_Coverage, 25155,
     /*  877908 */     GIR_EraseRootFromParent_Done,
     /*  877909 */   // Label 13446: @877909
     /*  877909 */   GIM_Try, /*On fail goto*//*Label 13447*/ GIMT_Encode4(877981), // Rule ID 25156 //
     /*  877914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  877917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  877925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  877928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  877931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877960 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  877960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  877963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877979 */     GIR_RootConstrainSelectedInstOperands,
     /*  877980 */     // GIR_Coverage, 25156,
     /*  877980 */     GIR_EraseRootFromParent_Done,
     /*  877981 */   // Label 13447: @877981
     /*  877981 */   GIM_Try, /*On fail goto*//*Label 13448*/ GIMT_Encode4(878053), // Rule ID 25157 //
     /*  877986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  877989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  877997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  878000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  878003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  878006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878032 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  878032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  878035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878051 */     GIR_RootConstrainSelectedInstOperands,
     /*  878052 */     // GIR_Coverage, 25157,
     /*  878052 */     GIR_EraseRootFromParent_Done,
     /*  878053 */   // Label 13448: @878053
     /*  878053 */   GIM_Try, /*On fail goto*//*Label 13449*/ GIMT_Encode4(878125), // Rule ID 25158 //
     /*  878058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  878061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  878069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  878072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  878075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  878078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878104 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  878104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  878107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878123 */     GIR_RootConstrainSelectedInstOperands,
     /*  878124 */     // GIR_Coverage, 25158,
     /*  878124 */     GIR_EraseRootFromParent_Done,
     /*  878125 */   // Label 13449: @878125
     /*  878125 */   GIM_Try, /*On fail goto*//*Label 13450*/ GIMT_Encode4(878197), // Rule ID 25159 //
     /*  878130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  878133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  878141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  878144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  878147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  878150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878176 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  878176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  878179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878195 */     GIR_RootConstrainSelectedInstOperands,
     /*  878196 */     // GIR_Coverage, 25159,
     /*  878196 */     GIR_EraseRootFromParent_Done,
     /*  878197 */   // Label 13450: @878197
     /*  878197 */   GIM_Try, /*On fail goto*//*Label 13451*/ GIMT_Encode4(878269), // Rule ID 25160 //
     /*  878202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  878205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  878213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  878216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  878219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  878222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878248 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  878248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  878251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878267 */     GIR_RootConstrainSelectedInstOperands,
     /*  878268 */     // GIR_Coverage, 25160,
     /*  878268 */     GIR_EraseRootFromParent_Done,
     /*  878269 */   // Label 13451: @878269
     /*  878269 */   GIM_Try, /*On fail goto*//*Label 13452*/ GIMT_Encode4(878341), // Rule ID 25161 //
     /*  878274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  878277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  878285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  878288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  878291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  878294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878320 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  878320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  878323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878339 */     GIR_RootConstrainSelectedInstOperands,
     /*  878340 */     // GIR_Coverage, 25161,
     /*  878340 */     GIR_EraseRootFromParent_Done,
     /*  878341 */   // Label 13452: @878341
     /*  878341 */   GIM_Try, /*On fail goto*//*Label 13453*/ GIMT_Encode4(878416), // Rule ID 60616 //
     /*  878346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  878349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  878354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  878357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  878360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  878363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  878366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  878392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  878395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878414 */     GIR_RootConstrainSelectedInstOperands,
     /*  878415 */     // GIR_Coverage, 60616,
     /*  878415 */     GIR_EraseRootFromParent_Done,
     /*  878416 */   // Label 13453: @878416
     /*  878416 */   GIM_Try, /*On fail goto*//*Label 13454*/ GIMT_Encode4(878491), // Rule ID 60617 //
     /*  878421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  878424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  878429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  878432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  878435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  878438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  878441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878467 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  878467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  878470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878489 */     GIR_RootConstrainSelectedInstOperands,
     /*  878490 */     // GIR_Coverage, 60617,
     /*  878490 */     GIR_EraseRootFromParent_Done,
     /*  878491 */   // Label 13454: @878491
     /*  878491 */   GIM_Try, /*On fail goto*//*Label 13455*/ GIMT_Encode4(878566), // Rule ID 60974 //
     /*  878496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  878507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  878510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  878513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  878516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878542 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  878545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878564 */     GIR_RootConstrainSelectedInstOperands,
     /*  878565 */     // GIR_Coverage, 60974,
     /*  878565 */     GIR_EraseRootFromParent_Done,
     /*  878566 */   // Label 13455: @878566
     /*  878566 */   GIM_Try, /*On fail goto*//*Label 13456*/ GIMT_Encode4(878641), // Rule ID 60975 //
     /*  878571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  878582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  878585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  878588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  878591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878617 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  878620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878639 */     GIR_RootConstrainSelectedInstOperands,
     /*  878640 */     // GIR_Coverage, 60975,
     /*  878640 */     GIR_EraseRootFromParent_Done,
     /*  878641 */   // Label 13456: @878641
     /*  878641 */   GIM_Try, /*On fail goto*//*Label 13457*/ GIMT_Encode4(878716), // Rule ID 60978 //
     /*  878646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  878657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  878660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  878663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  878666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878692 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878714 */     GIR_RootConstrainSelectedInstOperands,
     /*  878715 */     // GIR_Coverage, 60978,
     /*  878715 */     GIR_EraseRootFromParent_Done,
     /*  878716 */   // Label 13457: @878716
     /*  878716 */   GIM_Try, /*On fail goto*//*Label 13458*/ GIMT_Encode4(878791), // Rule ID 60979 //
     /*  878721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  878732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  878735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  878738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  878741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878767 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878789 */     GIR_RootConstrainSelectedInstOperands,
     /*  878790 */     // GIR_Coverage, 60979,
     /*  878790 */     GIR_EraseRootFromParent_Done,
     /*  878791 */   // Label 13458: @878791
     /*  878791 */   GIM_Try, /*On fail goto*//*Label 13459*/ GIMT_Encode4(878866), // Rule ID 60982 //
     /*  878796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  878807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  878810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  878813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  878816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  878845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878864 */     GIR_RootConstrainSelectedInstOperands,
     /*  878865 */     // GIR_Coverage, 60982,
     /*  878865 */     GIR_EraseRootFromParent_Done,
     /*  878866 */   // Label 13459: @878866
     /*  878866 */   GIM_Try, /*On fail goto*//*Label 13460*/ GIMT_Encode4(878941), // Rule ID 60983 //
     /*  878871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  878882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  878885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  878888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  878891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  878920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878939 */     GIR_RootConstrainSelectedInstOperands,
     /*  878940 */     // GIR_Coverage, 60983,
     /*  878940 */     GIR_EraseRootFromParent_Done,
     /*  878941 */   // Label 13460: @878941
     /*  878941 */   GIM_Try, /*On fail goto*//*Label 13461*/ GIMT_Encode4(879016), // Rule ID 60986 //
     /*  878946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  878957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  878960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  878963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  878966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878992 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  878995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879014 */     GIR_RootConstrainSelectedInstOperands,
     /*  879015 */     // GIR_Coverage, 60986,
     /*  879015 */     GIR_EraseRootFromParent_Done,
     /*  879016 */   // Label 13461: @879016
     /*  879016 */   GIM_Try, /*On fail goto*//*Label 13462*/ GIMT_Encode4(879091), // Rule ID 60987 //
     /*  879021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  879032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  879035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  879038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  879041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879067 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  879067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879089 */     GIR_RootConstrainSelectedInstOperands,
     /*  879090 */     // GIR_Coverage, 60987,
     /*  879090 */     GIR_EraseRootFromParent_Done,
     /*  879091 */   // Label 13462: @879091
     /*  879091 */   GIM_Try, /*On fail goto*//*Label 13463*/ GIMT_Encode4(879166), // Rule ID 60990 //
     /*  879096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  879107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  879110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  879113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  879116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879142 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  879142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879164 */     GIR_RootConstrainSelectedInstOperands,
     /*  879165 */     // GIR_Coverage, 60990,
     /*  879165 */     GIR_EraseRootFromParent_Done,
     /*  879166 */   // Label 13463: @879166
     /*  879166 */   GIM_Try, /*On fail goto*//*Label 13464*/ GIMT_Encode4(879241), // Rule ID 60991 //
     /*  879171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  879182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  879185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  879188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  879191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879217 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  879217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879239 */     GIR_RootConstrainSelectedInstOperands,
     /*  879240 */     // GIR_Coverage, 60991,
     /*  879240 */     GIR_EraseRootFromParent_Done,
     /*  879241 */   // Label 13464: @879241
     /*  879241 */   GIM_Try, /*On fail goto*//*Label 13465*/ GIMT_Encode4(879316), // Rule ID 60994 //
     /*  879246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  879257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  879260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  879263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  879266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879292 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  879292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879314 */     GIR_RootConstrainSelectedInstOperands,
     /*  879315 */     // GIR_Coverage, 60994,
     /*  879315 */     GIR_EraseRootFromParent_Done,
     /*  879316 */   // Label 13465: @879316
     /*  879316 */   GIM_Try, /*On fail goto*//*Label 13466*/ GIMT_Encode4(879391), // Rule ID 60995 //
     /*  879321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  879332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  879335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  879338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  879341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879367 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  879367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879389 */     GIR_RootConstrainSelectedInstOperands,
     /*  879390 */     // GIR_Coverage, 60995,
     /*  879390 */     GIR_EraseRootFromParent_Done,
     /*  879391 */   // Label 13466: @879391
     /*  879391 */   GIM_Try, /*On fail goto*//*Label 13467*/ GIMT_Encode4(879466), // Rule ID 60998 //
     /*  879396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  879407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  879410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  879413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  879416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  879445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879464 */     GIR_RootConstrainSelectedInstOperands,
     /*  879465 */     // GIR_Coverage, 60998,
     /*  879465 */     GIR_EraseRootFromParent_Done,
     /*  879466 */   // Label 13467: @879466
     /*  879466 */   GIM_Try, /*On fail goto*//*Label 13468*/ GIMT_Encode4(879541), // Rule ID 60999 //
     /*  879471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  879482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  879485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  879488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  879491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  879520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879539 */     GIR_RootConstrainSelectedInstOperands,
     /*  879540 */     // GIR_Coverage, 60999,
     /*  879540 */     GIR_EraseRootFromParent_Done,
     /*  879541 */   // Label 13468: @879541
     /*  879541 */   GIM_Try, /*On fail goto*//*Label 13469*/ GIMT_Encode4(879616), // Rule ID 61002 //
     /*  879546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  879557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  879560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  879563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  879566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11681:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  879595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879614 */     GIR_RootConstrainSelectedInstOperands,
     /*  879615 */     // GIR_Coverage, 61002,
     /*  879615 */     GIR_EraseRootFromParent_Done,
     /*  879616 */   // Label 13469: @879616
     /*  879616 */   GIM_Try, /*On fail goto*//*Label 13470*/ GIMT_Encode4(879691), // Rule ID 61003 //
     /*  879621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  879632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  879635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  879638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  879641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11681:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  879670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879689 */     GIR_RootConstrainSelectedInstOperands,
     /*  879690 */     // GIR_Coverage, 61003,
     /*  879690 */     GIR_EraseRootFromParent_Done,
     /*  879691 */   // Label 13470: @879691
     /*  879691 */   GIM_Try, /*On fail goto*//*Label 13471*/ GIMT_Encode4(879766), // Rule ID 61006 //
     /*  879696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  879707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  879710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  879713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  879716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879764 */     GIR_RootConstrainSelectedInstOperands,
     /*  879765 */     // GIR_Coverage, 61006,
     /*  879765 */     GIR_EraseRootFromParent_Done,
     /*  879766 */   // Label 13471: @879766
     /*  879766 */   GIM_Try, /*On fail goto*//*Label 13472*/ GIMT_Encode4(879841), // Rule ID 61007 //
     /*  879771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  879782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  879785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  879788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  879791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879817 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879839 */     GIR_RootConstrainSelectedInstOperands,
     /*  879840 */     // GIR_Coverage, 61007,
     /*  879840 */     GIR_EraseRootFromParent_Done,
     /*  879841 */   // Label 13472: @879841
     /*  879841 */   GIM_Try, /*On fail goto*//*Label 13473*/ GIMT_Encode4(879916), // Rule ID 61010 //
     /*  879846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  879857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  879860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  879863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  879866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879914 */     GIR_RootConstrainSelectedInstOperands,
     /*  879915 */     // GIR_Coverage, 61010,
     /*  879915 */     GIR_EraseRootFromParent_Done,
     /*  879916 */   // Label 13473: @879916
     /*  879916 */   GIM_Try, /*On fail goto*//*Label 13474*/ GIMT_Encode4(879991), // Rule ID 61011 //
     /*  879921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  879932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  879935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  879938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  879941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879967 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879989 */     GIR_RootConstrainSelectedInstOperands,
     /*  879990 */     // GIR_Coverage, 61011,
     /*  879990 */     GIR_EraseRootFromParent_Done,
     /*  879991 */   // Label 13474: @879991
     /*  879991 */   GIM_Try, /*On fail goto*//*Label 13475*/ GIMT_Encode4(880066), // Rule ID 61014 //
     /*  879996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  880007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  880010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  880013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  880016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  880042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  880045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880064 */     GIR_RootConstrainSelectedInstOperands,
     /*  880065 */     // GIR_Coverage, 61014,
     /*  880065 */     GIR_EraseRootFromParent_Done,
     /*  880066 */   // Label 13475: @880066
     /*  880066 */   GIM_Try, /*On fail goto*//*Label 13476*/ GIMT_Encode4(880141), // Rule ID 61015 //
     /*  880071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  880082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  880085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  880088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  880091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880117 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  880117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  880120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880139 */     GIR_RootConstrainSelectedInstOperands,
     /*  880140 */     // GIR_Coverage, 61015,
     /*  880140 */     GIR_EraseRootFromParent_Done,
     /*  880141 */   // Label 13476: @880141
     /*  880141 */   GIM_Try, /*On fail goto*//*Label 13477*/ GIMT_Encode4(880216), // Rule ID 61018 //
     /*  880146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  880157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  880160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  880163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  880166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  880192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  880195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880214 */     GIR_RootConstrainSelectedInstOperands,
     /*  880215 */     // GIR_Coverage, 61018,
     /*  880215 */     GIR_EraseRootFromParent_Done,
     /*  880216 */   // Label 13477: @880216
     /*  880216 */   GIM_Try, /*On fail goto*//*Label 13478*/ GIMT_Encode4(880291), // Rule ID 61019 //
     /*  880221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  880232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  880235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  880238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  880241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880267 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  880267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  880270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880289 */     GIR_RootConstrainSelectedInstOperands,
     /*  880290 */     // GIR_Coverage, 61019,
     /*  880290 */     GIR_EraseRootFromParent_Done,
     /*  880291 */   // Label 13478: @880291
     /*  880291 */   GIM_Try, /*On fail goto*//*Label 13479*/ GIMT_Encode4(880366), // Rule ID 61022 //
     /*  880296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  880307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  880310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  880313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  880316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880342 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  880342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  880345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880364 */     GIR_RootConstrainSelectedInstOperands,
     /*  880365 */     // GIR_Coverage, 61022,
     /*  880365 */     GIR_EraseRootFromParent_Done,
     /*  880366 */   // Label 13479: @880366
     /*  880366 */   GIM_Try, /*On fail goto*//*Label 13480*/ GIMT_Encode4(880441), // Rule ID 61023 //
     /*  880371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  880382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  880385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  880388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  880391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880417 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  880417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  880420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880439 */     GIR_RootConstrainSelectedInstOperands,
     /*  880440 */     // GIR_Coverage, 61023,
     /*  880440 */     GIR_EraseRootFromParent_Done,
     /*  880441 */   // Label 13480: @880441
     /*  880441 */   GIM_Try, /*On fail goto*//*Label 13481*/ GIMT_Encode4(880516), // Rule ID 61026 //
     /*  880446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  880457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  880460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  880463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  880466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880492 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  880492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  880495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880514 */     GIR_RootConstrainSelectedInstOperands,
     /*  880515 */     // GIR_Coverage, 61026,
     /*  880515 */     GIR_EraseRootFromParent_Done,
     /*  880516 */   // Label 13481: @880516
     /*  880516 */   GIM_Try, /*On fail goto*//*Label 13482*/ GIMT_Encode4(880591), // Rule ID 61027 //
     /*  880521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  880532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  880535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  880538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  880541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880567 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  880567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  880570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880589 */     GIR_RootConstrainSelectedInstOperands,
     /*  880590 */     // GIR_Coverage, 61027,
     /*  880590 */     GIR_EraseRootFromParent_Done,
     /*  880591 */   // Label 13482: @880591
     /*  880591 */   GIM_Try, /*On fail goto*//*Label 13483*/ GIMT_Encode4(880666), // Rule ID 61030 //
     /*  880596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  880607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  880610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  880613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  880616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880642 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  880642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  880645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880664 */     GIR_RootConstrainSelectedInstOperands,
     /*  880665 */     // GIR_Coverage, 61030,
     /*  880665 */     GIR_EraseRootFromParent_Done,
     /*  880666 */   // Label 13483: @880666
     /*  880666 */   GIM_Try, /*On fail goto*//*Label 13484*/ GIMT_Encode4(880741), // Rule ID 61031 //
     /*  880671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  880682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  880685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  880688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  880691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880717 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  880717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  880720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880739 */     GIR_RootConstrainSelectedInstOperands,
     /*  880740 */     // GIR_Coverage, 61031,
     /*  880740 */     GIR_EraseRootFromParent_Done,
     /*  880741 */   // Label 13484: @880741
     /*  880741 */   GIM_Try, /*On fail goto*//*Label 13485*/ GIMT_Encode4(880816), // Rule ID 61034 //
     /*  880746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  880757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  880760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  880763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880792 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  880795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880814 */     GIR_RootConstrainSelectedInstOperands,
     /*  880815 */     // GIR_Coverage, 61034,
     /*  880815 */     GIR_EraseRootFromParent_Done,
     /*  880816 */   // Label 13485: @880816
     /*  880816 */   GIM_Try, /*On fail goto*//*Label 13486*/ GIMT_Encode4(880891), // Rule ID 61035 //
     /*  880821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  880832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  880835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  880838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880867 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  880870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880889 */     GIR_RootConstrainSelectedInstOperands,
     /*  880890 */     // GIR_Coverage, 61035,
     /*  880890 */     GIR_EraseRootFromParent_Done,
     /*  880891 */   // Label 13486: @880891
     /*  880891 */   GIM_Try, /*On fail goto*//*Label 13487*/ GIMT_Encode4(880966), // Rule ID 61042 //
     /*  880896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  880907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  880910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  880913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880942 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  880945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880964 */     GIR_RootConstrainSelectedInstOperands,
     /*  880965 */     // GIR_Coverage, 61042,
     /*  880965 */     GIR_EraseRootFromParent_Done,
     /*  880966 */   // Label 13487: @880966
     /*  880966 */   GIM_Try, /*On fail goto*//*Label 13488*/ GIMT_Encode4(881041), // Rule ID 61043 //
     /*  880971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  880982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  880985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  880988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881017 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  881017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  881020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881039 */     GIR_RootConstrainSelectedInstOperands,
     /*  881040 */     // GIR_Coverage, 61043,
     /*  881040 */     GIR_EraseRootFromParent_Done,
     /*  881041 */   // Label 13488: @881041
     /*  881041 */   GIM_Try, /*On fail goto*//*Label 13489*/ GIMT_Encode4(881116), // Rule ID 61050 //
     /*  881046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  881057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  881060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  881063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  881092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881114 */     GIR_RootConstrainSelectedInstOperands,
     /*  881115 */     // GIR_Coverage, 61050,
     /*  881115 */     GIR_EraseRootFromParent_Done,
     /*  881116 */   // Label 13489: @881116
     /*  881116 */   GIM_Try, /*On fail goto*//*Label 13490*/ GIMT_Encode4(881191), // Rule ID 61051 //
     /*  881121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  881132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  881135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  881138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11681:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  881167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881189 */     GIR_RootConstrainSelectedInstOperands,
     /*  881190 */     // GIR_Coverage, 61051,
     /*  881190 */     GIR_EraseRootFromParent_Done,
     /*  881191 */   // Label 13490: @881191
     /*  881191 */   GIM_Try, /*On fail goto*//*Label 13491*/ GIMT_Encode4(881266), // Rule ID 61058 //
     /*  881196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  881207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  881210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  881213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881242 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  881242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881264 */     GIR_RootConstrainSelectedInstOperands,
     /*  881265 */     // GIR_Coverage, 61058,
     /*  881265 */     GIR_EraseRootFromParent_Done,
     /*  881266 */   // Label 13491: @881266
     /*  881266 */   GIM_Try, /*On fail goto*//*Label 13492*/ GIMT_Encode4(881341), // Rule ID 61059 //
     /*  881271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  881282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  881285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  881288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881317 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  881317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881339 */     GIR_RootConstrainSelectedInstOperands,
     /*  881340 */     // GIR_Coverage, 61059,
     /*  881340 */     GIR_EraseRootFromParent_Done,
     /*  881341 */   // Label 13492: @881341
     /*  881341 */   GIM_Try, /*On fail goto*//*Label 13493*/ GIMT_Encode4(881416), // Rule ID 61066 //
     /*  881346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  881357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  881360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  881363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881392 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  881392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881414 */     GIR_RootConstrainSelectedInstOperands,
     /*  881415 */     // GIR_Coverage, 61066,
     /*  881415 */     GIR_EraseRootFromParent_Done,
     /*  881416 */   // Label 13493: @881416
     /*  881416 */   GIM_Try, /*On fail goto*//*Label 13494*/ GIMT_Encode4(881491), // Rule ID 61067 //
     /*  881421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  881432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  881435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  881438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881467 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  881467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881489 */     GIR_RootConstrainSelectedInstOperands,
     /*  881490 */     // GIR_Coverage, 61067,
     /*  881490 */     GIR_EraseRootFromParent_Done,
     /*  881491 */   // Label 13494: @881491
     /*  881491 */   GIM_Try, /*On fail goto*//*Label 13495*/ GIMT_Encode4(881566), // Rule ID 61074 //
     /*  881496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  881507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  881510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  881513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  881542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881564 */     GIR_RootConstrainSelectedInstOperands,
     /*  881565 */     // GIR_Coverage, 61074,
     /*  881565 */     GIR_EraseRootFromParent_Done,
     /*  881566 */   // Label 13495: @881566
     /*  881566 */   GIM_Try, /*On fail goto*//*Label 13496*/ GIMT_Encode4(881641), // Rule ID 61075 //
     /*  881571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  881582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  881585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  881588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881617 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  881617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881639 */     GIR_RootConstrainSelectedInstOperands,
     /*  881640 */     // GIR_Coverage, 61075,
     /*  881640 */     GIR_EraseRootFromParent_Done,
     /*  881641 */   // Label 13496: @881641
     /*  881641 */   GIM_Try, /*On fail goto*//*Label 13497*/ GIMT_Encode4(881716), // Rule ID 61082 //
     /*  881646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  881657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  881660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  881663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881692 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  881695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881714 */     GIR_RootConstrainSelectedInstOperands,
     /*  881715 */     // GIR_Coverage, 61082,
     /*  881715 */     GIR_EraseRootFromParent_Done,
     /*  881716 */   // Label 13497: @881716
     /*  881716 */   GIM_Try, /*On fail goto*//*Label 13498*/ GIMT_Encode4(881791), // Rule ID 61083 //
     /*  881721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  881732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  881735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  881738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881767 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  881770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881789 */     GIR_RootConstrainSelectedInstOperands,
     /*  881790 */     // GIR_Coverage, 61083,
     /*  881790 */     GIR_EraseRootFromParent_Done,
     /*  881791 */   // Label 13498: @881791
     /*  881791 */   GIM_Try, /*On fail goto*//*Label 13499*/ GIMT_Encode4(881866), // Rule ID 61090 //
     /*  881796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  881807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  881810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  881813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11681:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881864 */     GIR_RootConstrainSelectedInstOperands,
     /*  881865 */     // GIR_Coverage, 61090,
     /*  881865 */     GIR_EraseRootFromParent_Done,
     /*  881866 */   // Label 13499: @881866
     /*  881866 */   GIM_Try, /*On fail goto*//*Label 13500*/ GIMT_Encode4(881941), // Rule ID 61091 //
     /*  881871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  881882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  881885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  881888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11681:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881939 */     GIR_RootConstrainSelectedInstOperands,
     /*  881940 */     // GIR_Coverage, 61091,
     /*  881940 */     GIR_EraseRootFromParent_Done,
     /*  881941 */   // Label 13500: @881941
     /*  881941 */   GIM_Try, /*On fail goto*//*Label 13501*/ GIMT_Encode4(882016), // Rule ID 61098 //
     /*  881946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  881957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  881960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  881963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882014 */     GIR_RootConstrainSelectedInstOperands,
     /*  882015 */     // GIR_Coverage, 61098,
     /*  882015 */     GIR_EraseRootFromParent_Done,
     /*  882016 */   // Label 13501: @882016
     /*  882016 */   GIM_Try, /*On fail goto*//*Label 13502*/ GIMT_Encode4(882091), // Rule ID 61099 //
     /*  882021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  882032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  882035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  882038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882067 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  882067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  882070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882089 */     GIR_RootConstrainSelectedInstOperands,
     /*  882090 */     // GIR_Coverage, 61099,
     /*  882090 */     GIR_EraseRootFromParent_Done,
     /*  882091 */   // Label 13502: @882091
     /*  882091 */   GIM_Try, /*On fail goto*//*Label 13503*/ GIMT_Encode4(882166), // Rule ID 61106 //
     /*  882096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  882107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  882110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  882113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  882142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  882145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882164 */     GIR_RootConstrainSelectedInstOperands,
     /*  882165 */     // GIR_Coverage, 61106,
     /*  882165 */     GIR_EraseRootFromParent_Done,
     /*  882166 */   // Label 13503: @882166
     /*  882166 */   GIM_Try, /*On fail goto*//*Label 13504*/ GIMT_Encode4(882241), // Rule ID 61107 //
     /*  882171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  882182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  882185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  882188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882217 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  882217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  882220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882239 */     GIR_RootConstrainSelectedInstOperands,
     /*  882240 */     // GIR_Coverage, 61107,
     /*  882240 */     GIR_EraseRootFromParent_Done,
     /*  882241 */   // Label 13504: @882241
     /*  882241 */   GIM_Try, /*On fail goto*//*Label 13505*/ GIMT_Encode4(882316), // Rule ID 61114 //
     /*  882246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  882257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  882260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  882263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  882292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  882295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882314 */     GIR_RootConstrainSelectedInstOperands,
     /*  882315 */     // GIR_Coverage, 61114,
     /*  882315 */     GIR_EraseRootFromParent_Done,
     /*  882316 */   // Label 13505: @882316
     /*  882316 */   GIM_Try, /*On fail goto*//*Label 13506*/ GIMT_Encode4(882391), // Rule ID 61115 //
     /*  882321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  882332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  882335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  882338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882367 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  882367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  882370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882389 */     GIR_RootConstrainSelectedInstOperands,
     /*  882390 */     // GIR_Coverage, 61115,
     /*  882390 */     GIR_EraseRootFromParent_Done,
     /*  882391 */   // Label 13506: @882391
     /*  882391 */   GIM_Try, /*On fail goto*//*Label 13507*/ GIMT_Encode4(882466), // Rule ID 61122 //
     /*  882396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  882413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882442 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  882442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  882445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882464 */     GIR_RootConstrainSelectedInstOperands,
     /*  882465 */     // GIR_Coverage, 61122,
     /*  882465 */     GIR_EraseRootFromParent_Done,
     /*  882466 */   // Label 13507: @882466
     /*  882466 */   GIM_Try, /*On fail goto*//*Label 13508*/ GIMT_Encode4(882541), // Rule ID 61123 //
     /*  882471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  882488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11681:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  882517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  882520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882539 */     GIR_RootConstrainSelectedInstOperands,
     /*  882540 */     // GIR_Coverage, 61123,
     /*  882540 */     GIR_EraseRootFromParent_Done,
     /*  882541 */   // Label 13508: @882541
     /*  882541 */   GIM_Try, /*On fail goto*//*Label 13509*/ GIMT_Encode4(882616), // Rule ID 61130 //
     /*  882546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  882563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882592 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  882592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  882595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882614 */     GIR_RootConstrainSelectedInstOperands,
     /*  882615 */     // GIR_Coverage, 61130,
     /*  882615 */     GIR_EraseRootFromParent_Done,
     /*  882616 */   // Label 13509: @882616
     /*  882616 */   GIM_Try, /*On fail goto*//*Label 13510*/ GIMT_Encode4(882691), // Rule ID 61131 //
     /*  882621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  882638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882667 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11681:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  882667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  882670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882689 */     GIR_RootConstrainSelectedInstOperands,
     /*  882690 */     // GIR_Coverage, 61131,
     /*  882690 */     GIR_EraseRootFromParent_Done,
     /*  882691 */   // Label 13510: @882691
     /*  882691 */   GIM_Try, /*On fail goto*//*Label 13511*/ GIMT_Encode4(882766), // Rule ID 61138 //
     /*  882696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  882713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882742 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  882742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  882745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882764 */     GIR_RootConstrainSelectedInstOperands,
     /*  882765 */     // GIR_Coverage, 61138,
     /*  882765 */     GIR_EraseRootFromParent_Done,
     /*  882766 */   // Label 13511: @882766
     /*  882766 */   GIM_Try, /*On fail goto*//*Label 13512*/ GIMT_Encode4(882841), // Rule ID 61139 //
     /*  882771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  882788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882817 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11681:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  882817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  882820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882839 */     GIR_RootConstrainSelectedInstOperands,
     /*  882840 */     // GIR_Coverage, 61139,
     /*  882840 */     GIR_EraseRootFromParent_Done,
     /*  882841 */   // Label 13512: @882841
     /*  882841 */   GIM_Try, /*On fail goto*//*Label 13513*/ GIMT_Encode4(882916), // Rule ID 61146 //
     /*  882846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  882863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882892 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  882892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  882895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882914 */     GIR_RootConstrainSelectedInstOperands,
     /*  882915 */     // GIR_Coverage, 61146,
     /*  882915 */     GIR_EraseRootFromParent_Done,
     /*  882916 */   // Label 13513: @882916
     /*  882916 */   GIM_Try, /*On fail goto*//*Label 13514*/ GIMT_Encode4(882991), // Rule ID 61147 //
     /*  882921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  882938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882967 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11681:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  882967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  882970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882989 */     GIR_RootConstrainSelectedInstOperands,
     /*  882990 */     // GIR_Coverage, 61147,
     /*  882990 */     GIR_EraseRootFromParent_Done,
     /*  882991 */   // Label 13514: @882991
     /*  882991 */   GIM_Try, /*On fail goto*//*Label 13515*/ GIMT_Encode4(883066), // Rule ID 61154 //
     /*  882996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  883016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  883045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883064 */     GIR_RootConstrainSelectedInstOperands,
     /*  883065 */     // GIR_Coverage, 61154,
     /*  883065 */     GIR_EraseRootFromParent_Done,
     /*  883066 */   // Label 13515: @883066
     /*  883066 */   GIM_Try, /*On fail goto*//*Label 13516*/ GIMT_Encode4(883141), // Rule ID 61155 //
     /*  883071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  883091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883117 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  883120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883139 */     GIR_RootConstrainSelectedInstOperands,
     /*  883140 */     // GIR_Coverage, 61155,
     /*  883140 */     GIR_EraseRootFromParent_Done,
     /*  883141 */   // Label 13516: @883141
     /*  883141 */   GIM_Try, /*On fail goto*//*Label 13517*/ GIMT_Encode4(883216), // Rule ID 61158 //
     /*  883146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  883166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883192 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  883195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883214 */     GIR_RootConstrainSelectedInstOperands,
     /*  883215 */     // GIR_Coverage, 61158,
     /*  883215 */     GIR_EraseRootFromParent_Done,
     /*  883216 */   // Label 13517: @883216
     /*  883216 */   GIM_Try, /*On fail goto*//*Label 13518*/ GIMT_Encode4(883291), // Rule ID 61159 //
     /*  883221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  883241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883267 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  883270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883289 */     GIR_RootConstrainSelectedInstOperands,
     /*  883290 */     // GIR_Coverage, 61159,
     /*  883290 */     GIR_EraseRootFromParent_Done,
     /*  883291 */   // Label 13518: @883291
     /*  883291 */   GIM_Try, /*On fail goto*//*Label 13519*/ GIMT_Encode4(883366), // Rule ID 61162 //
     /*  883296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  883316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883342 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  883345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883364 */     GIR_RootConstrainSelectedInstOperands,
     /*  883365 */     // GIR_Coverage, 61162,
     /*  883365 */     GIR_EraseRootFromParent_Done,
     /*  883366 */   // Label 13519: @883366
     /*  883366 */   GIM_Try, /*On fail goto*//*Label 13520*/ GIMT_Encode4(883441), // Rule ID 61163 //
     /*  883371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  883391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883417 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  883420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883439 */     GIR_RootConstrainSelectedInstOperands,
     /*  883440 */     // GIR_Coverage, 61163,
     /*  883440 */     GIR_EraseRootFromParent_Done,
     /*  883441 */   // Label 13520: @883441
     /*  883441 */   GIM_Try, /*On fail goto*//*Label 13521*/ GIMT_Encode4(883516), // Rule ID 61166 //
     /*  883446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  883466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883492 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  883495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883514 */     GIR_RootConstrainSelectedInstOperands,
     /*  883515 */     // GIR_Coverage, 61166,
     /*  883515 */     GIR_EraseRootFromParent_Done,
     /*  883516 */   // Label 13521: @883516
     /*  883516 */   GIM_Try, /*On fail goto*//*Label 13522*/ GIMT_Encode4(883591), // Rule ID 61167 //
     /*  883521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  883541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883567 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  883570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883589 */     GIR_RootConstrainSelectedInstOperands,
     /*  883590 */     // GIR_Coverage, 61167,
     /*  883590 */     GIR_EraseRootFromParent_Done,
     /*  883591 */   // Label 13522: @883591
     /*  883591 */   GIM_Try, /*On fail goto*//*Label 13523*/ GIMT_Encode4(883666), // Rule ID 61170 //
     /*  883596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  883645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883664 */     GIR_RootConstrainSelectedInstOperands,
     /*  883665 */     // GIR_Coverage, 61170,
     /*  883665 */     GIR_EraseRootFromParent_Done,
     /*  883666 */   // Label 13523: @883666
     /*  883666 */   GIM_Try, /*On fail goto*//*Label 13524*/ GIMT_Encode4(883741), // Rule ID 61171 //
     /*  883671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883717 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  883720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883739 */     GIR_RootConstrainSelectedInstOperands,
     /*  883740 */     // GIR_Coverage, 61171,
     /*  883740 */     GIR_EraseRootFromParent_Done,
     /*  883741 */   // Label 13524: @883741
     /*  883741 */   GIM_Try, /*On fail goto*//*Label 13525*/ GIMT_Encode4(883816), // Rule ID 61174 //
     /*  883746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883792 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  883795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883814 */     GIR_RootConstrainSelectedInstOperands,
     /*  883815 */     // GIR_Coverage, 61174,
     /*  883815 */     GIR_EraseRootFromParent_Done,
     /*  883816 */   // Label 13525: @883816
     /*  883816 */   GIM_Try, /*On fail goto*//*Label 13526*/ GIMT_Encode4(883891), // Rule ID 61175 //
     /*  883821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883867 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  883870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883889 */     GIR_RootConstrainSelectedInstOperands,
     /*  883890 */     // GIR_Coverage, 61175,
     /*  883890 */     GIR_EraseRootFromParent_Done,
     /*  883891 */   // Label 13526: @883891
     /*  883891 */   GIM_Try, /*On fail goto*//*Label 13527*/ GIMT_Encode4(883966), // Rule ID 61178 //
     /*  883896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  883945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883964 */     GIR_RootConstrainSelectedInstOperands,
     /*  883965 */     // GIR_Coverage, 61178,
     /*  883965 */     GIR_EraseRootFromParent_Done,
     /*  883966 */   // Label 13527: @883966
     /*  883966 */   GIM_Try, /*On fail goto*//*Label 13528*/ GIMT_Encode4(884041), // Rule ID 61179 //
     /*  883971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884017 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  884020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884039 */     GIR_RootConstrainSelectedInstOperands,
     /*  884040 */     // GIR_Coverage, 61179,
     /*  884040 */     GIR_EraseRootFromParent_Done,
     /*  884041 */   // Label 13528: @884041
     /*  884041 */   GIM_Try, /*On fail goto*//*Label 13529*/ GIMT_Encode4(884116), // Rule ID 61182 //
     /*  884046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  884054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884092 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  884095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884114 */     GIR_RootConstrainSelectedInstOperands,
     /*  884115 */     // GIR_Coverage, 61182,
     /*  884115 */     GIR_EraseRootFromParent_Done,
     /*  884116 */   // Label 13529: @884116
     /*  884116 */   GIM_Try, /*On fail goto*//*Label 13530*/ GIMT_Encode4(884191), // Rule ID 61183 //
     /*  884121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  884129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884167 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  884170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884189 */     GIR_RootConstrainSelectedInstOperands,
     /*  884190 */     // GIR_Coverage, 61183,
     /*  884190 */     GIR_EraseRootFromParent_Done,
     /*  884191 */   // Label 13530: @884191
     /*  884191 */   GIM_Try, /*On fail goto*//*Label 13531*/ GIMT_Encode4(884266), // Rule ID 61186 //
     /*  884196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  884207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  884210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  884213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  884216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884242 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  884245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884264 */     GIR_RootConstrainSelectedInstOperands,
     /*  884265 */     // GIR_Coverage, 61186,
     /*  884265 */     GIR_EraseRootFromParent_Done,
     /*  884266 */   // Label 13531: @884266
     /*  884266 */   GIM_Try, /*On fail goto*//*Label 13532*/ GIMT_Encode4(884341), // Rule ID 61187 //
     /*  884271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  884282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  884285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  884288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  884291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884317 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  884320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884339 */     GIR_RootConstrainSelectedInstOperands,
     /*  884340 */     // GIR_Coverage, 61187,
     /*  884340 */     GIR_EraseRootFromParent_Done,
     /*  884341 */   // Label 13532: @884341
     /*  884341 */   GIM_Try, /*On fail goto*//*Label 13533*/ GIMT_Encode4(884416), // Rule ID 61190 //
     /*  884346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  884357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  884360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  884363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  884366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884392 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  884395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884414 */     GIR_RootConstrainSelectedInstOperands,
     /*  884415 */     // GIR_Coverage, 61190,
     /*  884415 */     GIR_EraseRootFromParent_Done,
     /*  884416 */   // Label 13533: @884416
     /*  884416 */   GIM_Try, /*On fail goto*//*Label 13534*/ GIMT_Encode4(884491), // Rule ID 61191 //
     /*  884421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  884432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  884435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  884438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  884441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884467 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  884470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884489 */     GIR_RootConstrainSelectedInstOperands,
     /*  884490 */     // GIR_Coverage, 61191,
     /*  884490 */     GIR_EraseRootFromParent_Done,
     /*  884491 */   // Label 13534: @884491
     /*  884491 */   GIM_Try, /*On fail goto*//*Label 13535*/ GIMT_Encode4(884566), // Rule ID 61194 //
     /*  884496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  884513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  884516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884542 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  884545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884564 */     GIR_RootConstrainSelectedInstOperands,
     /*  884565 */     // GIR_Coverage, 61194,
     /*  884565 */     GIR_EraseRootFromParent_Done,
     /*  884566 */   // Label 13535: @884566
     /*  884566 */   GIM_Try, /*On fail goto*//*Label 13536*/ GIMT_Encode4(884641), // Rule ID 61195 //
     /*  884571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  884588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  884591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884617 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  884620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884639 */     GIR_RootConstrainSelectedInstOperands,
     /*  884640 */     // GIR_Coverage, 61195,
     /*  884640 */     GIR_EraseRootFromParent_Done,
     /*  884641 */   // Label 13536: @884641
     /*  884641 */   GIM_Try, /*On fail goto*//*Label 13537*/ GIMT_Encode4(884716), // Rule ID 61198 //
     /*  884646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  884666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884692 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  884695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884714 */     GIR_RootConstrainSelectedInstOperands,
     /*  884715 */     // GIR_Coverage, 61198,
     /*  884715 */     GIR_EraseRootFromParent_Done,
     /*  884716 */   // Label 13537: @884716
     /*  884716 */   GIM_Try, /*On fail goto*//*Label 13538*/ GIMT_Encode4(884791), // Rule ID 61199 //
     /*  884721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  884741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884767 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  884770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884789 */     GIR_RootConstrainSelectedInstOperands,
     /*  884790 */     // GIR_Coverage, 61199,
     /*  884790 */     GIR_EraseRootFromParent_Done,
     /*  884791 */   // Label 13538: @884791
     /*  884791 */   GIM_Try, /*On fail goto*//*Label 13539*/ GIMT_Encode4(884866), // Rule ID 61202 //
     /*  884796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  884807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  884810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  884813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884842 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  884845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884864 */     GIR_RootConstrainSelectedInstOperands,
     /*  884865 */     // GIR_Coverage, 61202,
     /*  884865 */     GIR_EraseRootFromParent_Done,
     /*  884866 */   // Label 13539: @884866
     /*  884866 */   GIM_Try, /*On fail goto*//*Label 13540*/ GIMT_Encode4(884941), // Rule ID 61203 //
     /*  884871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  884882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  884885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  884888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884917 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  884920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884939 */     GIR_RootConstrainSelectedInstOperands,
     /*  884940 */     // GIR_Coverage, 61203,
     /*  884940 */     GIR_EraseRootFromParent_Done,
     /*  884941 */   // Label 13540: @884941
     /*  884941 */   GIM_Try, /*On fail goto*//*Label 13541*/ GIMT_Encode4(885016), // Rule ID 61206 //
     /*  884946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  884957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  884960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  884963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884992 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  884995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885014 */     GIR_RootConstrainSelectedInstOperands,
     /*  885015 */     // GIR_Coverage, 61206,
     /*  885015 */     GIR_EraseRootFromParent_Done,
     /*  885016 */   // Label 13541: @885016
     /*  885016 */   GIM_Try, /*On fail goto*//*Label 13542*/ GIMT_Encode4(885091), // Rule ID 61207 //
     /*  885021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  885024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  885029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  885032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  885035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  885038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885067 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  885067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  885070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885089 */     GIR_RootConstrainSelectedInstOperands,
     /*  885090 */     // GIR_Coverage, 61207,
     /*  885090 */     GIR_EraseRootFromParent_Done,
     /*  885091 */   // Label 13542: @885091
     /*  885091 */   GIM_Try, /*On fail goto*//*Label 13543*/ GIMT_Encode4(885166), // Rule ID 61210 //
     /*  885096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  885099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  885104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  885107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  885110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  885113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885142 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  885142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  885145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885164 */     GIR_RootConstrainSelectedInstOperands,
     /*  885165 */     // GIR_Coverage, 61210,
     /*  885165 */     GIR_EraseRootFromParent_Done,
     /*  885166 */   // Label 13543: @885166
     /*  885166 */   GIM_Try, /*On fail goto*//*Label 13544*/ GIMT_Encode4(885241), // Rule ID 61211 //
     /*  885171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  885174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  885179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  885182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  885185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  885188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885217 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  885217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  885220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885239 */     GIR_RootConstrainSelectedInstOperands,
     /*  885240 */     // GIR_Coverage, 61211,
     /*  885240 */     GIR_EraseRootFromParent_Done,
     /*  885241 */   // Label 13544: @885241
     /*  885241 */   GIM_Try, /*On fail goto*//*Label 13545*/ GIMT_Encode4(885316), // Rule ID 61214 //
     /*  885246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  885249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  885254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  885257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  885260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  885263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885292 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  885292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  885295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885314 */     GIR_RootConstrainSelectedInstOperands,
     /*  885315 */     // GIR_Coverage, 61214,
     /*  885315 */     GIR_EraseRootFromParent_Done,
     /*  885316 */   // Label 13545: @885316
     /*  885316 */   GIM_Try, /*On fail goto*//*Label 13546*/ GIMT_Encode4(885391), // Rule ID 61215 //
     /*  885321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  885324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  885329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  885332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  885335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  885338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885367 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  885367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  885370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885389 */     GIR_RootConstrainSelectedInstOperands,
     /*  885390 */     // GIR_Coverage, 61215,
     /*  885390 */     GIR_EraseRootFromParent_Done,
     /*  885391 */   // Label 13546: @885391
     /*  885391 */   GIM_Try, /*On fail goto*//*Label 13547*/ GIMT_Encode4(885466), // Rule ID 61218 //
     /*  885396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  885407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  885410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  885413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  885416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885442 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  885445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885464 */     GIR_RootConstrainSelectedInstOperands,
     /*  885465 */     // GIR_Coverage, 61218,
     /*  885465 */     GIR_EraseRootFromParent_Done,
     /*  885466 */   // Label 13547: @885466
     /*  885466 */   GIM_Try, /*On fail goto*//*Label 13548*/ GIMT_Encode4(885541), // Rule ID 61219 //
     /*  885471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  885482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  885485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  885488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  885491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885517 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  885520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885539 */     GIR_RootConstrainSelectedInstOperands,
     /*  885540 */     // GIR_Coverage, 61219,
     /*  885540 */     GIR_EraseRootFromParent_Done,
     /*  885541 */   // Label 13548: @885541
     /*  885541 */   GIM_Try, /*On fail goto*//*Label 13549*/ GIMT_Encode4(885616), // Rule ID 61222 //
     /*  885546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  885557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  885560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  885563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  885566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885592 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  885595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885614 */     GIR_RootConstrainSelectedInstOperands,
     /*  885615 */     // GIR_Coverage, 61222,
     /*  885615 */     GIR_EraseRootFromParent_Done,
     /*  885616 */   // Label 13549: @885616
     /*  885616 */   GIM_Try, /*On fail goto*//*Label 13550*/ GIMT_Encode4(885691), // Rule ID 61223 //
     /*  885621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  885632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  885635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  885638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  885641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885667 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  885670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885689 */     GIR_RootConstrainSelectedInstOperands,
     /*  885690 */     // GIR_Coverage, 61223,
     /*  885690 */     GIR_EraseRootFromParent_Done,
     /*  885691 */   // Label 13550: @885691
     /*  885691 */   GIM_Try, /*On fail goto*//*Label 13551*/ GIMT_Encode4(885766), // Rule ID 61226 //
     /*  885696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  885707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  885710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  885713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  885716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885742 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885764 */     GIR_RootConstrainSelectedInstOperands,
     /*  885765 */     // GIR_Coverage, 61226,
     /*  885765 */     GIR_EraseRootFromParent_Done,
     /*  885766 */   // Label 13551: @885766
     /*  885766 */   GIM_Try, /*On fail goto*//*Label 13552*/ GIMT_Encode4(885841), // Rule ID 61227 //
     /*  885771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  885782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  885785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  885788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  885791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885817 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885839 */     GIR_RootConstrainSelectedInstOperands,
     /*  885840 */     // GIR_Coverage, 61227,
     /*  885840 */     GIR_EraseRootFromParent_Done,
     /*  885841 */   // Label 13552: @885841
     /*  885841 */   GIM_Try, /*On fail goto*//*Label 13553*/ GIMT_Encode4(885916), // Rule ID 61230 //
     /*  885846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  885857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  885860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  885866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885892 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  885895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885914 */     GIR_RootConstrainSelectedInstOperands,
     /*  885915 */     // GIR_Coverage, 61230,
     /*  885915 */     GIR_EraseRootFromParent_Done,
     /*  885916 */   // Label 13553: @885916
     /*  885916 */   GIM_Try, /*On fail goto*//*Label 13554*/ GIMT_Encode4(885991), // Rule ID 61231 //
     /*  885921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  885932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  885935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  885941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885967 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  885970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885989 */     GIR_RootConstrainSelectedInstOperands,
     /*  885990 */     // GIR_Coverage, 61231,
     /*  885990 */     GIR_EraseRootFromParent_Done,
     /*  885991 */   // Label 13554: @885991
     /*  885991 */   GIM_Try, /*On fail goto*//*Label 13555*/ GIMT_Encode4(886066), // Rule ID 61234 //
     /*  885996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  886007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  886010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  886013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  886016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886042 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  886045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886064 */     GIR_RootConstrainSelectedInstOperands,
     /*  886065 */     // GIR_Coverage, 61234,
     /*  886065 */     GIR_EraseRootFromParent_Done,
     /*  886066 */   // Label 13555: @886066
     /*  886066 */   GIM_Try, /*On fail goto*//*Label 13556*/ GIMT_Encode4(886141), // Rule ID 61235 //
     /*  886071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  886082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  886085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  886088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  886091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886117 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  886120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886139 */     GIR_RootConstrainSelectedInstOperands,
     /*  886140 */     // GIR_Coverage, 61235,
     /*  886140 */     GIR_EraseRootFromParent_Done,
     /*  886141 */   // Label 13556: @886141
     /*  886141 */   GIM_Try, /*On fail goto*//*Label 13557*/ GIMT_Encode4(886216), // Rule ID 61238 //
     /*  886146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  886157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  886160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  886163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  886166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886192 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  886195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886214 */     GIR_RootConstrainSelectedInstOperands,
     /*  886215 */     // GIR_Coverage, 61238,
     /*  886215 */     GIR_EraseRootFromParent_Done,
     /*  886216 */   // Label 13557: @886216
     /*  886216 */   GIM_Try, /*On fail goto*//*Label 13558*/ GIMT_Encode4(886291), // Rule ID 61239 //
     /*  886221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  886232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  886235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  886238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  886241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886267 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  886270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886289 */     GIR_RootConstrainSelectedInstOperands,
     /*  886290 */     // GIR_Coverage, 61239,
     /*  886290 */     GIR_EraseRootFromParent_Done,
     /*  886291 */   // Label 13558: @886291
     /*  886291 */   GIM_Try, /*On fail goto*//*Label 13559*/ GIMT_Encode4(886366), // Rule ID 61242 //
     /*  886296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  886307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  886310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  886313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  886316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886342 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886364 */     GIR_RootConstrainSelectedInstOperands,
     /*  886365 */     // GIR_Coverage, 61242,
     /*  886365 */     GIR_EraseRootFromParent_Done,
     /*  886366 */   // Label 13559: @886366
     /*  886366 */   GIM_Try, /*On fail goto*//*Label 13560*/ GIMT_Encode4(886441), // Rule ID 61243 //
     /*  886371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  886382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  886385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  886388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  886391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886417 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886439 */     GIR_RootConstrainSelectedInstOperands,
     /*  886440 */     // GIR_Coverage, 61243,
     /*  886440 */     GIR_EraseRootFromParent_Done,
     /*  886441 */   // Label 13560: @886441
     /*  886441 */   GIM_Try, /*On fail goto*//*Label 13561*/ GIMT_Encode4(886516), // Rule ID 61246 //
     /*  886446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  886457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  886460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  886463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  886466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886514 */     GIR_RootConstrainSelectedInstOperands,
     /*  886515 */     // GIR_Coverage, 61246,
     /*  886515 */     GIR_EraseRootFromParent_Done,
     /*  886516 */   // Label 13561: @886516
     /*  886516 */   GIM_Try, /*On fail goto*//*Label 13562*/ GIMT_Encode4(886591), // Rule ID 61247 //
     /*  886521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  886532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  886535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  886538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  886541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886589 */     GIR_RootConstrainSelectedInstOperands,
     /*  886590 */     // GIR_Coverage, 61247,
     /*  886590 */     GIR_EraseRootFromParent_Done,
     /*  886591 */   // Label 13562: @886591
     /*  886591 */   GIM_Try, /*On fail goto*//*Label 13563*/ GIMT_Encode4(886666), // Rule ID 61250 //
     /*  886596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  886607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  886610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  886613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  886616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886664 */     GIR_RootConstrainSelectedInstOperands,
     /*  886665 */     // GIR_Coverage, 61250,
     /*  886665 */     GIR_EraseRootFromParent_Done,
     /*  886666 */   // Label 13563: @886666
     /*  886666 */   GIM_Try, /*On fail goto*//*Label 13564*/ GIMT_Encode4(886741), // Rule ID 61251 //
     /*  886671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  886682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  886685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  886688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  886691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886717 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886739 */     GIR_RootConstrainSelectedInstOperands,
     /*  886740 */     // GIR_Coverage, 61251,
     /*  886740 */     GIR_EraseRootFromParent_Done,
     /*  886741 */   // Label 13564: @886741
     /*  886741 */   GIM_Try, /*On fail goto*//*Label 13565*/ GIMT_Encode4(886816), // Rule ID 61254 //
     /*  886746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  886763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  886766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  886792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886814 */     GIR_RootConstrainSelectedInstOperands,
     /*  886815 */     // GIR_Coverage, 61254,
     /*  886815 */     GIR_EraseRootFromParent_Done,
     /*  886816 */   // Label 13565: @886816
     /*  886816 */   GIM_Try, /*On fail goto*//*Label 13566*/ GIMT_Encode4(886891), // Rule ID 61255 //
     /*  886821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  886838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  886841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886867 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  886867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  886870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886889 */     GIR_RootConstrainSelectedInstOperands,
     /*  886890 */     // GIR_Coverage, 61255,
     /*  886890 */     GIR_EraseRootFromParent_Done,
     /*  886891 */   // Label 13566: @886891
     /*  886891 */   GIM_Try, /*On fail goto*//*Label 13567*/ GIMT_Encode4(886966), // Rule ID 61258 //
     /*  886896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  886907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  886910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  886913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  886916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886942 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886964 */     GIR_RootConstrainSelectedInstOperands,
     /*  886965 */     // GIR_Coverage, 61258,
     /*  886965 */     GIR_EraseRootFromParent_Done,
     /*  886966 */   // Label 13567: @886966
     /*  886966 */   GIM_Try, /*On fail goto*//*Label 13568*/ GIMT_Encode4(887041), // Rule ID 61259 //
     /*  886971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  886982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  886985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  886988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  886991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887017 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  887017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887039 */     GIR_RootConstrainSelectedInstOperands,
     /*  887040 */     // GIR_Coverage, 61259,
     /*  887040 */     GIR_EraseRootFromParent_Done,
     /*  887041 */   // Label 13568: @887041
     /*  887041 */   GIM_Try, /*On fail goto*//*Label 13569*/ GIMT_Encode4(887116), // Rule ID 61262 //
     /*  887046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  887057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  887060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  887063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  887066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887092 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  887092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887114 */     GIR_RootConstrainSelectedInstOperands,
     /*  887115 */     // GIR_Coverage, 61262,
     /*  887115 */     GIR_EraseRootFromParent_Done,
     /*  887116 */   // Label 13569: @887116
     /*  887116 */   GIM_Try, /*On fail goto*//*Label 13570*/ GIMT_Encode4(887191), // Rule ID 61263 //
     /*  887121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  887132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  887135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  887138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  887141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887167 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  887167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887189 */     GIR_RootConstrainSelectedInstOperands,
     /*  887190 */     // GIR_Coverage, 61263,
     /*  887190 */     GIR_EraseRootFromParent_Done,
     /*  887191 */   // Label 13570: @887191
     /*  887191 */   GIM_Try, /*On fail goto*//*Label 13571*/ GIMT_Encode4(887266), // Rule ID 61266 //
     /*  887196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  887207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  887210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  887213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  887216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887242 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  887242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887264 */     GIR_RootConstrainSelectedInstOperands,
     /*  887265 */     // GIR_Coverage, 61266,
     /*  887265 */     GIR_EraseRootFromParent_Done,
     /*  887266 */   // Label 13571: @887266
     /*  887266 */   GIM_Try, /*On fail goto*//*Label 13572*/ GIMT_Encode4(887341), // Rule ID 61267 //
     /*  887271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  887282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  887285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  887288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  887291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887317 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  887317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887339 */     GIR_RootConstrainSelectedInstOperands,
     /*  887340 */     // GIR_Coverage, 61267,
     /*  887340 */     GIR_EraseRootFromParent_Done,
     /*  887341 */   // Label 13572: @887341
     /*  887341 */   GIM_Try, /*On fail goto*//*Label 13573*/ GIMT_Encode4(887416), // Rule ID 61270 //
     /*  887346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  887357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  887360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  887363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  887366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887392 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  887392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887414 */     GIR_RootConstrainSelectedInstOperands,
     /*  887415 */     // GIR_Coverage, 61270,
     /*  887415 */     GIR_EraseRootFromParent_Done,
     /*  887416 */   // Label 13573: @887416
     /*  887416 */   GIM_Try, /*On fail goto*//*Label 13574*/ GIMT_Encode4(887491), // Rule ID 61271 //
     /*  887421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  887432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  887435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  887438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  887441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  887467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887489 */     GIR_RootConstrainSelectedInstOperands,
     /*  887490 */     // GIR_Coverage, 61271,
     /*  887490 */     GIR_EraseRootFromParent_Done,
     /*  887491 */   // Label 13574: @887491
     /*  887491 */   GIM_Try, /*On fail goto*//*Label 13575*/ GIMT_Encode4(887566), // Rule ID 61274 //
     /*  887496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  887507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  887510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  887513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  887516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887542 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  887542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887564 */     GIR_RootConstrainSelectedInstOperands,
     /*  887565 */     // GIR_Coverage, 61274,
     /*  887565 */     GIR_EraseRootFromParent_Done,
     /*  887566 */   // Label 13575: @887566
     /*  887566 */   GIM_Try, /*On fail goto*//*Label 13576*/ GIMT_Encode4(887641), // Rule ID 61275 //
     /*  887571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  887582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  887585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  887588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  887591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887617 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  887617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887639 */     GIR_RootConstrainSelectedInstOperands,
     /*  887640 */     // GIR_Coverage, 61275,
     /*  887640 */     GIR_EraseRootFromParent_Done,
     /*  887641 */   // Label 13576: @887641
     /*  887641 */   GIM_Try, /*On fail goto*//*Label 13577*/ GIMT_Encode4(887716), // Rule ID 61278 //
     /*  887646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  887657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  887660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  887663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  887666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887692 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  887692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887714 */     GIR_RootConstrainSelectedInstOperands,
     /*  887715 */     // GIR_Coverage, 61278,
     /*  887715 */     GIR_EraseRootFromParent_Done,
     /*  887716 */   // Label 13577: @887716
     /*  887716 */   GIM_Try, /*On fail goto*//*Label 13578*/ GIMT_Encode4(887791), // Rule ID 61279 //
     /*  887721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  887732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  887735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  887738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  887741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887767 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  887767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887789 */     GIR_RootConstrainSelectedInstOperands,
     /*  887790 */     // GIR_Coverage, 61279,
     /*  887790 */     GIR_EraseRootFromParent_Done,
     /*  887791 */   // Label 13578: @887791
     /*  887791 */   GIM_Try, /*On fail goto*//*Label 13579*/ GIMT_Encode4(887866), // Rule ID 61282 //
     /*  887796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  887807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  887810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  887813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  887816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887864 */     GIR_RootConstrainSelectedInstOperands,
     /*  887865 */     // GIR_Coverage, 61282,
     /*  887865 */     GIR_EraseRootFromParent_Done,
     /*  887866 */   // Label 13579: @887866
     /*  887866 */   GIM_Try, /*On fail goto*//*Label 13580*/ GIMT_Encode4(887941), // Rule ID 61283 //
     /*  887871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  887882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  887885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  887888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  887891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887917 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887939 */     GIR_RootConstrainSelectedInstOperands,
     /*  887940 */     // GIR_Coverage, 61283,
     /*  887940 */     GIR_EraseRootFromParent_Done,
     /*  887941 */   // Label 13580: @887941
     /*  887941 */   GIM_Try, /*On fail goto*//*Label 13581*/ GIMT_Encode4(888016), // Rule ID 61286 //
     /*  887946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  887957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  887960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  887963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  887966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887992 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888014 */     GIR_RootConstrainSelectedInstOperands,
     /*  888015 */     // GIR_Coverage, 61286,
     /*  888015 */     GIR_EraseRootFromParent_Done,
     /*  888016 */   // Label 13581: @888016
     /*  888016 */   GIM_Try, /*On fail goto*//*Label 13582*/ GIMT_Encode4(888091), // Rule ID 61287 //
     /*  888021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  888032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  888035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  888038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  888041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  888067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  888070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888089 */     GIR_RootConstrainSelectedInstOperands,
     /*  888090 */     // GIR_Coverage, 61287,
     /*  888090 */     GIR_EraseRootFromParent_Done,
     /*  888091 */   // Label 13582: @888091
     /*  888091 */   GIM_Try, /*On fail goto*//*Label 13583*/ GIMT_Encode4(888166), // Rule ID 61290 //
     /*  888096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  888107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  888110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  888113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  888116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888142 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  888142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  888145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888164 */     GIR_RootConstrainSelectedInstOperands,
     /*  888165 */     // GIR_Coverage, 61290,
     /*  888165 */     GIR_EraseRootFromParent_Done,
     /*  888166 */   // Label 13583: @888166
     /*  888166 */   GIM_Try, /*On fail goto*//*Label 13584*/ GIMT_Encode4(888241), // Rule ID 61291 //
     /*  888171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  888182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  888185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  888188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  888191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888217 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  888217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  888220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888239 */     GIR_RootConstrainSelectedInstOperands,
     /*  888240 */     // GIR_Coverage, 61291,
     /*  888240 */     GIR_EraseRootFromParent_Done,
     /*  888241 */   // Label 13584: @888241
     /*  888241 */   GIM_Try, /*On fail goto*//*Label 13585*/ GIMT_Encode4(888316), // Rule ID 61294 //
     /*  888246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  888257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  888260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  888263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  888266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888292 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  888295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888314 */     GIR_RootConstrainSelectedInstOperands,
     /*  888315 */     // GIR_Coverage, 61294,
     /*  888315 */     GIR_EraseRootFromParent_Done,
     /*  888316 */   // Label 13585: @888316
     /*  888316 */   GIM_Try, /*On fail goto*//*Label 13586*/ GIMT_Encode4(888391), // Rule ID 61295 //
     /*  888321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  888332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  888335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  888338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  888341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888367 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  888370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888389 */     GIR_RootConstrainSelectedInstOperands,
     /*  888390 */     // GIR_Coverage, 61295,
     /*  888390 */     GIR_EraseRootFromParent_Done,
     /*  888391 */   // Label 13586: @888391
     /*  888391 */   GIM_Try, /*On fail goto*//*Label 13587*/ GIMT_Encode4(888466), // Rule ID 61298 //
     /*  888396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  888416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888442 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  888445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888464 */     GIR_RootConstrainSelectedInstOperands,
     /*  888465 */     // GIR_Coverage, 61298,
     /*  888465 */     GIR_EraseRootFromParent_Done,
     /*  888466 */   // Label 13587: @888466
     /*  888466 */   GIM_Try, /*On fail goto*//*Label 13588*/ GIMT_Encode4(888541), // Rule ID 61299 //
     /*  888471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  888491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888517 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  888520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888539 */     GIR_RootConstrainSelectedInstOperands,
     /*  888540 */     // GIR_Coverage, 61299,
     /*  888540 */     GIR_EraseRootFromParent_Done,
     /*  888541 */   // Label 13588: @888541
     /*  888541 */   GIM_Try, /*On fail goto*//*Label 13589*/ GIMT_Encode4(888616), // Rule ID 61302 //
     /*  888546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  888566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888592 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  888595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888614 */     GIR_RootConstrainSelectedInstOperands,
     /*  888615 */     // GIR_Coverage, 61302,
     /*  888615 */     GIR_EraseRootFromParent_Done,
     /*  888616 */   // Label 13589: @888616
     /*  888616 */   GIM_Try, /*On fail goto*//*Label 13590*/ GIMT_Encode4(888691), // Rule ID 61303 //
     /*  888621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  888641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888667 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  888670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888689 */     GIR_RootConstrainSelectedInstOperands,
     /*  888690 */     // GIR_Coverage, 61303,
     /*  888690 */     GIR_EraseRootFromParent_Done,
     /*  888691 */   // Label 13590: @888691
     /*  888691 */   GIM_Try, /*On fail goto*//*Label 13591*/ GIMT_Encode4(888766), // Rule ID 61306 //
     /*  888696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  888707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  888710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  888713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888742 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  888745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888764 */     GIR_RootConstrainSelectedInstOperands,
     /*  888765 */     // GIR_Coverage, 61306,
     /*  888765 */     GIR_EraseRootFromParent_Done,
     /*  888766 */   // Label 13591: @888766
     /*  888766 */   GIM_Try, /*On fail goto*//*Label 13592*/ GIMT_Encode4(888841), // Rule ID 61307 //
     /*  888771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  888782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  888785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  888788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888817 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  888820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888839 */     GIR_RootConstrainSelectedInstOperands,
     /*  888840 */     // GIR_Coverage, 61307,
     /*  888840 */     GIR_EraseRootFromParent_Done,
     /*  888841 */   // Label 13592: @888841
     /*  888841 */   GIM_Try, /*On fail goto*//*Label 13593*/ GIMT_Encode4(888916), // Rule ID 61310 //
     /*  888846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  888857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  888860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  888863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888914 */     GIR_RootConstrainSelectedInstOperands,
     /*  888915 */     // GIR_Coverage, 61310,
     /*  888915 */     GIR_EraseRootFromParent_Done,
     /*  888916 */   // Label 13593: @888916
     /*  888916 */   GIM_Try, /*On fail goto*//*Label 13594*/ GIMT_Encode4(888991), // Rule ID 61311 //
     /*  888921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  888932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  888935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  888938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888967 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888989 */     GIR_RootConstrainSelectedInstOperands,
     /*  888990 */     // GIR_Coverage, 61311,
     /*  888990 */     GIR_EraseRootFromParent_Done,
     /*  888991 */   // Label 13594: @888991
     /*  888991 */   GIM_Try, /*On fail goto*//*Label 13595*/ GIMT_Encode4(889066), // Rule ID 61314 //
     /*  888996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  889007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  889010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  889013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889042 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  889045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889064 */     GIR_RootConstrainSelectedInstOperands,
     /*  889065 */     // GIR_Coverage, 61314,
     /*  889065 */     GIR_EraseRootFromParent_Done,
     /*  889066 */   // Label 13595: @889066
     /*  889066 */   GIM_Try, /*On fail goto*//*Label 13596*/ GIMT_Encode4(889141), // Rule ID 61315 //
     /*  889071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  889082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  889085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  889088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889117 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  889120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889139 */     GIR_RootConstrainSelectedInstOperands,
     /*  889140 */     // GIR_Coverage, 61315,
     /*  889140 */     GIR_EraseRootFromParent_Done,
     /*  889141 */   // Label 13596: @889141
     /*  889141 */   GIM_Try, /*On fail goto*//*Label 13597*/ GIMT_Encode4(889216), // Rule ID 61318 //
     /*  889146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  889157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  889160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  889163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  889195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889214 */     GIR_RootConstrainSelectedInstOperands,
     /*  889215 */     // GIR_Coverage, 61318,
     /*  889215 */     GIR_EraseRootFromParent_Done,
     /*  889216 */   // Label 13597: @889216
     /*  889216 */   GIM_Try, /*On fail goto*//*Label 13598*/ GIMT_Encode4(889291), // Rule ID 61319 //
     /*  889221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  889232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  889235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  889238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889267 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  889270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889289 */     GIR_RootConstrainSelectedInstOperands,
     /*  889290 */     // GIR_Coverage, 61319,
     /*  889290 */     GIR_EraseRootFromParent_Done,
     /*  889291 */   // Label 13598: @889291
     /*  889291 */   GIM_Try, /*On fail goto*//*Label 13599*/ GIMT_Encode4(889366), // Rule ID 61322 //
     /*  889296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  889307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  889310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  889313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889342 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  889345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889364 */     GIR_RootConstrainSelectedInstOperands,
     /*  889365 */     // GIR_Coverage, 61322,
     /*  889365 */     GIR_EraseRootFromParent_Done,
     /*  889366 */   // Label 13599: @889366
     /*  889366 */   GIM_Try, /*On fail goto*//*Label 13600*/ GIMT_Encode4(889441), // Rule ID 61323 //
     /*  889371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  889382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  889385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  889388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889417 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  889420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889439 */     GIR_RootConstrainSelectedInstOperands,
     /*  889440 */     // GIR_Coverage, 61323,
     /*  889440 */     GIR_EraseRootFromParent_Done,
     /*  889441 */   // Label 13600: @889441
     /*  889441 */   GIM_Try, /*On fail goto*//*Label 13601*/ GIMT_Encode4(889516), // Rule ID 61326 //
     /*  889446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  889457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  889460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  889463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  889492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  889495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889514 */     GIR_RootConstrainSelectedInstOperands,
     /*  889515 */     // GIR_Coverage, 61326,
     /*  889515 */     GIR_EraseRootFromParent_Done,
     /*  889516 */   // Label 13601: @889516
     /*  889516 */   GIM_Try, /*On fail goto*//*Label 13602*/ GIMT_Encode4(889591), // Rule ID 61327 //
     /*  889521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  889532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  889535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  889538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889567 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  889567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  889570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889589 */     GIR_RootConstrainSelectedInstOperands,
     /*  889590 */     // GIR_Coverage, 61327,
     /*  889590 */     GIR_EraseRootFromParent_Done,
     /*  889591 */   // Label 13602: @889591
     /*  889591 */   GIM_Try, /*On fail goto*//*Label 13603*/ GIMT_Encode4(889666), // Rule ID 61330 //
     /*  889596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  889607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  889610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  889613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889642 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889664 */     GIR_RootConstrainSelectedInstOperands,
     /*  889665 */     // GIR_Coverage, 61330,
     /*  889665 */     GIR_EraseRootFromParent_Done,
     /*  889666 */   // Label 13603: @889666
     /*  889666 */   GIM_Try, /*On fail goto*//*Label 13604*/ GIMT_Encode4(889741), // Rule ID 61331 //
     /*  889671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  889682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  889685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  889688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889717 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889739 */     GIR_RootConstrainSelectedInstOperands,
     /*  889740 */     // GIR_Coverage, 61331,
     /*  889740 */     GIR_EraseRootFromParent_Done,
     /*  889741 */   // Label 13604: @889741
     /*  889741 */   GIM_Try, /*On fail goto*//*Label 13605*/ GIMT_Encode4(889816), // Rule ID 61334 //
     /*  889746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  889757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  889760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  889763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889814 */     GIR_RootConstrainSelectedInstOperands,
     /*  889815 */     // GIR_Coverage, 61334,
     /*  889815 */     GIR_EraseRootFromParent_Done,
     /*  889816 */   // Label 13605: @889816
     /*  889816 */   GIM_Try, /*On fail goto*//*Label 13606*/ GIMT_Encode4(889891), // Rule ID 61335 //
     /*  889821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  889832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  889835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  889838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889867 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889889 */     GIR_RootConstrainSelectedInstOperands,
     /*  889890 */     // GIR_Coverage, 61335,
     /*  889890 */     GIR_EraseRootFromParent_Done,
     /*  889891 */   // Label 13606: @889891
     /*  889891 */   GIM_Try, /*On fail goto*//*Label 13607*/ GIMT_Encode4(889966), // Rule ID 61338 //
     /*  889896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  889907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  889910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  889913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889942 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  889942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889964 */     GIR_RootConstrainSelectedInstOperands,
     /*  889965 */     // GIR_Coverage, 61338,
     /*  889965 */     GIR_EraseRootFromParent_Done,
     /*  889966 */   // Label 13607: @889966
     /*  889966 */   GIM_Try, /*On fail goto*//*Label 13608*/ GIMT_Encode4(890041), // Rule ID 61339 //
     /*  889971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  889982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  889985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  889988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890017 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  890020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890039 */     GIR_RootConstrainSelectedInstOperands,
     /*  890040 */     // GIR_Coverage, 61339,
     /*  890040 */     GIR_EraseRootFromParent_Done,
     /*  890041 */   // Label 13608: @890041
     /*  890041 */   GIM_Try, /*On fail goto*//*Label 13609*/ GIMT_Encode4(890116), // Rule ID 61342 //
     /*  890046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  890057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  890060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  890063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  890092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  890095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890114 */     GIR_RootConstrainSelectedInstOperands,
     /*  890115 */     // GIR_Coverage, 61342,
     /*  890115 */     GIR_EraseRootFromParent_Done,
     /*  890116 */   // Label 13609: @890116
     /*  890116 */   GIM_Try, /*On fail goto*//*Label 13610*/ GIMT_Encode4(890191), // Rule ID 61343 //
     /*  890121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  890132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  890135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  890138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890167 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  890167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  890170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890189 */     GIR_RootConstrainSelectedInstOperands,
     /*  890190 */     // GIR_Coverage, 61343,
     /*  890190 */     GIR_EraseRootFromParent_Done,
     /*  890191 */   // Label 13610: @890191
     /*  890191 */   GIM_Try, /*On fail goto*//*Label 13611*/ GIMT_Encode4(890266), // Rule ID 61346 //
     /*  890196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  890207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  890210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  890213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890242 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890264 */     GIR_RootConstrainSelectedInstOperands,
     /*  890265 */     // GIR_Coverage, 61346,
     /*  890265 */     GIR_EraseRootFromParent_Done,
     /*  890266 */   // Label 13611: @890266
     /*  890266 */   GIM_Try, /*On fail goto*//*Label 13612*/ GIMT_Encode4(890341), // Rule ID 61347 //
     /*  890271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  890282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  890285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  890288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890317 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890339 */     GIR_RootConstrainSelectedInstOperands,
     /*  890340 */     // GIR_Coverage, 61347,
     /*  890340 */     GIR_EraseRootFromParent_Done,
     /*  890341 */   // Label 13612: @890341
     /*  890341 */   GIM_Try, /*On fail goto*//*Label 13613*/ GIMT_Encode4(890416), // Rule ID 61350 //
     /*  890346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  890357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  890360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  890363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890392 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890414 */     GIR_RootConstrainSelectedInstOperands,
     /*  890415 */     // GIR_Coverage, 61350,
     /*  890415 */     GIR_EraseRootFromParent_Done,
     /*  890416 */   // Label 13613: @890416
     /*  890416 */   GIM_Try, /*On fail goto*//*Label 13614*/ GIMT_Encode4(890491), // Rule ID 61351 //
     /*  890421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  890432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  890435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  890438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890467 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890489 */     GIR_RootConstrainSelectedInstOperands,
     /*  890490 */     // GIR_Coverage, 61351,
     /*  890490 */     GIR_EraseRootFromParent_Done,
     /*  890491 */   // Label 13614: @890491
     /*  890491 */   GIM_Try, /*On fail goto*//*Label 13615*/ GIMT_Encode4(890566), // Rule ID 61354 //
     /*  890496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  890507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  890510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  890513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890542 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890564 */     GIR_RootConstrainSelectedInstOperands,
     /*  890565 */     // GIR_Coverage, 61354,
     /*  890565 */     GIR_EraseRootFromParent_Done,
     /*  890566 */   // Label 13615: @890566
     /*  890566 */   GIM_Try, /*On fail goto*//*Label 13616*/ GIMT_Encode4(890641), // Rule ID 61355 //
     /*  890571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  890582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  890585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  890588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890617 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890639 */     GIR_RootConstrainSelectedInstOperands,
     /*  890640 */     // GIR_Coverage, 61355,
     /*  890640 */     GIR_EraseRootFromParent_Done,
     /*  890641 */   // Label 13616: @890641
     /*  890641 */   GIM_Try, /*On fail goto*//*Label 13617*/ GIMT_Encode4(890716), // Rule ID 61358 //
     /*  890646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  890657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  890660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  890663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890692 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890714 */     GIR_RootConstrainSelectedInstOperands,
     /*  890715 */     // GIR_Coverage, 61358,
     /*  890715 */     GIR_EraseRootFromParent_Done,
     /*  890716 */   // Label 13617: @890716
     /*  890716 */   GIM_Try, /*On fail goto*//*Label 13618*/ GIMT_Encode4(890791), // Rule ID 61359 //
     /*  890721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  890732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  890735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  890738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890767 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890789 */     GIR_RootConstrainSelectedInstOperands,
     /*  890790 */     // GIR_Coverage, 61359,
     /*  890790 */     GIR_EraseRootFromParent_Done,
     /*  890791 */   // Label 13618: @890791
     /*  890791 */   GIM_Try, /*On fail goto*//*Label 13619*/ GIMT_Encode4(890866), // Rule ID 61362 //
     /*  890796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  890807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  890810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  890813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890842 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890864 */     GIR_RootConstrainSelectedInstOperands,
     /*  890865 */     // GIR_Coverage, 61362,
     /*  890865 */     GIR_EraseRootFromParent_Done,
     /*  890866 */   // Label 13619: @890866
     /*  890866 */   GIM_Try, /*On fail goto*//*Label 13620*/ GIMT_Encode4(890941), // Rule ID 61363 //
     /*  890871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  890882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  890885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  890888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890917 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890939 */     GIR_RootConstrainSelectedInstOperands,
     /*  890940 */     // GIR_Coverage, 61363,
     /*  890940 */     GIR_EraseRootFromParent_Done,
     /*  890941 */   // Label 13620: @890941
     /*  890941 */   GIM_Try, /*On fail goto*//*Label 13621*/ GIMT_Encode4(891016), // Rule ID 61366 //
     /*  890946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  890957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  890960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  890963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890992 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891014 */     GIR_RootConstrainSelectedInstOperands,
     /*  891015 */     // GIR_Coverage, 61366,
     /*  891015 */     GIR_EraseRootFromParent_Done,
     /*  891016 */   // Label 13621: @891016
     /*  891016 */   GIM_Try, /*On fail goto*//*Label 13622*/ GIMT_Encode4(891091), // Rule ID 61367 //
     /*  891021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  891032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  891035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  891038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891067 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  891070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891089 */     GIR_RootConstrainSelectedInstOperands,
     /*  891090 */     // GIR_Coverage, 61367,
     /*  891090 */     GIR_EraseRootFromParent_Done,
     /*  891091 */   // Label 13622: @891091
     /*  891091 */   GIM_Try, /*On fail goto*//*Label 13623*/ GIMT_Encode4(891166), // Rule ID 61370 //
     /*  891096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  891107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  891110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  891113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891142 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  891142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  891145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891164 */     GIR_RootConstrainSelectedInstOperands,
     /*  891165 */     // GIR_Coverage, 61370,
     /*  891165 */     GIR_EraseRootFromParent_Done,
     /*  891166 */   // Label 13623: @891166
     /*  891166 */   GIM_Try, /*On fail goto*//*Label 13624*/ GIMT_Encode4(891241), // Rule ID 61371 //
     /*  891171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  891182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  891185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  891188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891217 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  891217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  891220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891239 */     GIR_RootConstrainSelectedInstOperands,
     /*  891240 */     // GIR_Coverage, 61371,
     /*  891240 */     GIR_EraseRootFromParent_Done,
     /*  891241 */   // Label 13624: @891241
     /*  891241 */   GIM_Try, /*On fail goto*//*Label 13625*/ GIMT_Encode4(891316), // Rule ID 61374 //
     /*  891246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  891257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  891260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  891263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891292 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  891292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  891295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891314 */     GIR_RootConstrainSelectedInstOperands,
     /*  891315 */     // GIR_Coverage, 61374,
     /*  891315 */     GIR_EraseRootFromParent_Done,
     /*  891316 */   // Label 13625: @891316
     /*  891316 */   GIM_Try, /*On fail goto*//*Label 13626*/ GIMT_Encode4(891391), // Rule ID 61375 //
     /*  891321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  891332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  891335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  891338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891367 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  891367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  891370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891389 */     GIR_RootConstrainSelectedInstOperands,
     /*  891390 */     // GIR_Coverage, 61375,
     /*  891390 */     GIR_EraseRootFromParent_Done,
     /*  891391 */   // Label 13626: @891391
     /*  891391 */   GIM_Try, /*On fail goto*//*Label 13627*/ GIMT_Encode4(891466), // Rule ID 61378 //
     /*  891396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  891407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  891410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  891413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891442 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  891442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  891445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891464 */     GIR_RootConstrainSelectedInstOperands,
     /*  891465 */     // GIR_Coverage, 61378,
     /*  891465 */     GIR_EraseRootFromParent_Done,
     /*  891466 */   // Label 13627: @891466
     /*  891466 */   GIM_Try, /*On fail goto*//*Label 13628*/ GIMT_Encode4(891541), // Rule ID 61379 //
     /*  891471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  891482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  891485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  891488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891517 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  891517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  891520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891539 */     GIR_RootConstrainSelectedInstOperands,
     /*  891540 */     // GIR_Coverage, 61379,
     /*  891540 */     GIR_EraseRootFromParent_Done,
     /*  891541 */   // Label 13628: @891541
     /*  891541 */   GIM_Try, /*On fail goto*//*Label 13629*/ GIMT_Encode4(891616), // Rule ID 61382 //
     /*  891546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  891557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  891560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  891563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891592 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  891595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891614 */     GIR_RootConstrainSelectedInstOperands,
     /*  891615 */     // GIR_Coverage, 61382,
     /*  891615 */     GIR_EraseRootFromParent_Done,
     /*  891616 */   // Label 13629: @891616
     /*  891616 */   GIM_Try, /*On fail goto*//*Label 13630*/ GIMT_Encode4(891691), // Rule ID 61383 //
     /*  891621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  891632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  891635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  891638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891667 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  891670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891689 */     GIR_RootConstrainSelectedInstOperands,
     /*  891690 */     // GIR_Coverage, 61383,
     /*  891690 */     GIR_EraseRootFromParent_Done,
     /*  891691 */   // Label 13630: @891691
     /*  891691 */   GIM_Try, /*On fail goto*//*Label 13631*/ GIMT_Encode4(891766), // Rule ID 61386 //
     /*  891696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  891707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  891710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  891713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891742 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  891745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891764 */     GIR_RootConstrainSelectedInstOperands,
     /*  891765 */     // GIR_Coverage, 61386,
     /*  891765 */     GIR_EraseRootFromParent_Done,
     /*  891766 */   // Label 13631: @891766
     /*  891766 */   GIM_Try, /*On fail goto*//*Label 13632*/ GIMT_Encode4(891841), // Rule ID 61387 //
     /*  891771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  891782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  891785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  891788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891817 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  891820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891839 */     GIR_RootConstrainSelectedInstOperands,
     /*  891840 */     // GIR_Coverage, 61387,
     /*  891840 */     GIR_EraseRootFromParent_Done,
     /*  891841 */   // Label 13632: @891841
     /*  891841 */   GIM_Try, /*On fail goto*//*Label 13633*/ GIMT_Encode4(891916), // Rule ID 61390 //
     /*  891846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  891857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  891860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  891863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891892 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  891895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891914 */     GIR_RootConstrainSelectedInstOperands,
     /*  891915 */     // GIR_Coverage, 61390,
     /*  891915 */     GIR_EraseRootFromParent_Done,
     /*  891916 */   // Label 13633: @891916
     /*  891916 */   GIM_Try, /*On fail goto*//*Label 13634*/ GIMT_Encode4(891991), // Rule ID 61391 //
     /*  891921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  891932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  891935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  891938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891967 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  891970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891989 */     GIR_RootConstrainSelectedInstOperands,
     /*  891990 */     // GIR_Coverage, 61391,
     /*  891990 */     GIR_EraseRootFromParent_Done,
     /*  891991 */   // Label 13634: @891991
     /*  891991 */   GIM_Try, /*On fail goto*//*Label 13635*/ GIMT_Encode4(892066), // Rule ID 61570 //
     /*  891996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  892007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  892010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  892013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  892016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892042 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  892045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892064 */     GIR_RootConstrainSelectedInstOperands,
     /*  892065 */     // GIR_Coverage, 61570,
     /*  892065 */     GIR_EraseRootFromParent_Done,
     /*  892066 */   // Label 13635: @892066
     /*  892066 */   GIM_Try, /*On fail goto*//*Label 13636*/ GIMT_Encode4(892141), // Rule ID 61571 //
     /*  892071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  892082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  892085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  892088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  892091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892117 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  892120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892139 */     GIR_RootConstrainSelectedInstOperands,
     /*  892140 */     // GIR_Coverage, 61571,
     /*  892140 */     GIR_EraseRootFromParent_Done,
     /*  892141 */   // Label 13636: @892141
     /*  892141 */   GIM_Try, /*On fail goto*//*Label 13637*/ GIMT_Encode4(892216), // Rule ID 61574 //
     /*  892146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  892157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  892160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  892163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  892166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892192 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  892195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892214 */     GIR_RootConstrainSelectedInstOperands,
     /*  892215 */     // GIR_Coverage, 61574,
     /*  892215 */     GIR_EraseRootFromParent_Done,
     /*  892216 */   // Label 13637: @892216
     /*  892216 */   GIM_Try, /*On fail goto*//*Label 13638*/ GIMT_Encode4(892291), // Rule ID 61575 //
     /*  892221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  892232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  892235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  892238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  892241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892267 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  892270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892289 */     GIR_RootConstrainSelectedInstOperands,
     /*  892290 */     // GIR_Coverage, 61575,
     /*  892290 */     GIR_EraseRootFromParent_Done,
     /*  892291 */   // Label 13638: @892291
     /*  892291 */   GIM_Try, /*On fail goto*//*Label 13639*/ GIMT_Encode4(892366), // Rule ID 61578 //
     /*  892296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  892307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  892310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  892313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  892316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892342 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  892345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892364 */     GIR_RootConstrainSelectedInstOperands,
     /*  892365 */     // GIR_Coverage, 61578,
     /*  892365 */     GIR_EraseRootFromParent_Done,
     /*  892366 */   // Label 13639: @892366
     /*  892366 */   GIM_Try, /*On fail goto*//*Label 13640*/ GIMT_Encode4(892441), // Rule ID 61579 //
     /*  892371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  892382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  892385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  892388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  892391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892417 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  892420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892439 */     GIR_RootConstrainSelectedInstOperands,
     /*  892440 */     // GIR_Coverage, 61579,
     /*  892440 */     GIR_EraseRootFromParent_Done,
     /*  892441 */   // Label 13640: @892441
     /*  892441 */   GIM_Try, /*On fail goto*//*Label 13641*/ GIMT_Encode4(892516), // Rule ID 61582 //
     /*  892446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  892457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  892460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  892463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  892466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  892492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  892495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892514 */     GIR_RootConstrainSelectedInstOperands,
     /*  892515 */     // GIR_Coverage, 61582,
     /*  892515 */     GIR_EraseRootFromParent_Done,
     /*  892516 */   // Label 13641: @892516
     /*  892516 */   GIM_Try, /*On fail goto*//*Label 13642*/ GIMT_Encode4(892591), // Rule ID 61583 //
     /*  892521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  892532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  892535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  892538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  892541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892567 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  892570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892589 */     GIR_RootConstrainSelectedInstOperands,
     /*  892590 */     // GIR_Coverage, 61583,
     /*  892590 */     GIR_EraseRootFromParent_Done,
     /*  892591 */   // Label 13642: @892591
     /*  892591 */   GIM_Try, /*On fail goto*//*Label 13643*/ GIMT_Encode4(892666), // Rule ID 61586 //
     /*  892596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  892607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  892610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  892613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  892616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892642 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  892642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  892645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892664 */     GIR_RootConstrainSelectedInstOperands,
     /*  892665 */     // GIR_Coverage, 61586,
     /*  892665 */     GIR_EraseRootFromParent_Done,
     /*  892666 */   // Label 13643: @892666
     /*  892666 */   GIM_Try, /*On fail goto*//*Label 13644*/ GIMT_Encode4(892741), // Rule ID 61587 //
     /*  892671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  892682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  892685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  892688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  892691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892717 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  892720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892739 */     GIR_RootConstrainSelectedInstOperands,
     /*  892740 */     // GIR_Coverage, 61587,
     /*  892740 */     GIR_EraseRootFromParent_Done,
     /*  892741 */   // Label 13644: @892741
     /*  892741 */   GIM_Try, /*On fail goto*//*Label 13645*/ GIMT_Encode4(892816), // Rule ID 61590 //
     /*  892746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  892757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  892760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  892763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  892766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  892795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892814 */     GIR_RootConstrainSelectedInstOperands,
     /*  892815 */     // GIR_Coverage, 61590,
     /*  892815 */     GIR_EraseRootFromParent_Done,
     /*  892816 */   // Label 13645: @892816
     /*  892816 */   GIM_Try, /*On fail goto*//*Label 13646*/ GIMT_Encode4(892891), // Rule ID 61591 //
     /*  892821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  892832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  892835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  892838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  892841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892867 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  892870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892889 */     GIR_RootConstrainSelectedInstOperands,
     /*  892890 */     // GIR_Coverage, 61591,
     /*  892890 */     GIR_EraseRootFromParent_Done,
     /*  892891 */   // Label 13646: @892891
     /*  892891 */   GIM_Try, /*On fail goto*//*Label 13647*/ GIMT_Encode4(892966), // Rule ID 61594 //
     /*  892896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  892907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  892910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  892913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  892916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892942 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892964 */     GIR_RootConstrainSelectedInstOperands,
     /*  892965 */     // GIR_Coverage, 61594,
     /*  892965 */     GIR_EraseRootFromParent_Done,
     /*  892966 */   // Label 13647: @892966
     /*  892966 */   GIM_Try, /*On fail goto*//*Label 13648*/ GIMT_Encode4(893041), // Rule ID 61595 //
     /*  892971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  892982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  892985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  892988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  892991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893017 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  893020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893039 */     GIR_RootConstrainSelectedInstOperands,
     /*  893040 */     // GIR_Coverage, 61595,
     /*  893040 */     GIR_EraseRootFromParent_Done,
     /*  893041 */   // Label 13648: @893041
     /*  893041 */   GIM_Try, /*On fail goto*//*Label 13649*/ GIMT_Encode4(893116), // Rule ID 61598 //
     /*  893046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  893057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  893060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  893063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  893066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  893095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893114 */     GIR_RootConstrainSelectedInstOperands,
     /*  893115 */     // GIR_Coverage, 61598,
     /*  893115 */     GIR_EraseRootFromParent_Done,
     /*  893116 */   // Label 13649: @893116
     /*  893116 */   GIM_Try, /*On fail goto*//*Label 13650*/ GIMT_Encode4(893191), // Rule ID 61599 //
     /*  893121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  893132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  893135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  893138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  893141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  893170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893189 */     GIR_RootConstrainSelectedInstOperands,
     /*  893190 */     // GIR_Coverage, 61599,
     /*  893190 */     GIR_EraseRootFromParent_Done,
     /*  893191 */   // Label 13650: @893191
     /*  893191 */   GIM_Try, /*On fail goto*//*Label 13651*/ GIMT_Encode4(893266), // Rule ID 61602 //
     /*  893196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  893207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  893210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  893213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  893216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893242 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  893245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893264 */     GIR_RootConstrainSelectedInstOperands,
     /*  893265 */     // GIR_Coverage, 61602,
     /*  893265 */     GIR_EraseRootFromParent_Done,
     /*  893266 */   // Label 13651: @893266
     /*  893266 */   GIM_Try, /*On fail goto*//*Label 13652*/ GIMT_Encode4(893341), // Rule ID 61603 //
     /*  893271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  893282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  893285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  893288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  893291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893317 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  893320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893339 */     GIR_RootConstrainSelectedInstOperands,
     /*  893340 */     // GIR_Coverage, 61603,
     /*  893340 */     GIR_EraseRootFromParent_Done,
     /*  893341 */   // Label 13652: @893341
     /*  893341 */   GIM_Try, /*On fail goto*//*Label 13653*/ GIMT_Encode4(893416), // Rule ID 61606 //
     /*  893346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  893357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  893360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  893363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  893366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  893392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  893395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893414 */     GIR_RootConstrainSelectedInstOperands,
     /*  893415 */     // GIR_Coverage, 61606,
     /*  893415 */     GIR_EraseRootFromParent_Done,
     /*  893416 */   // Label 13653: @893416
     /*  893416 */   GIM_Try, /*On fail goto*//*Label 13654*/ GIMT_Encode4(893491), // Rule ID 61607 //
     /*  893421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  893432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  893435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  893438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  893441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893467 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  893467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  893470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893489 */     GIR_RootConstrainSelectedInstOperands,
     /*  893490 */     // GIR_Coverage, 61607,
     /*  893490 */     GIR_EraseRootFromParent_Done,
     /*  893491 */   // Label 13654: @893491
     /*  893491 */   GIM_Try, /*On fail goto*//*Label 13655*/ GIMT_Encode4(893566), // Rule ID 61610 //
     /*  893496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  893507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  893510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  893513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  893516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893542 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893564 */     GIR_RootConstrainSelectedInstOperands,
     /*  893565 */     // GIR_Coverage, 61610,
     /*  893565 */     GIR_EraseRootFromParent_Done,
     /*  893566 */   // Label 13655: @893566
     /*  893566 */   GIM_Try, /*On fail goto*//*Label 13656*/ GIMT_Encode4(893641), // Rule ID 61611 //
     /*  893571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  893582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  893585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  893588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  893591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893617 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893639 */     GIR_RootConstrainSelectedInstOperands,
     /*  893640 */     // GIR_Coverage, 61611,
     /*  893640 */     GIR_EraseRootFromParent_Done,
     /*  893641 */   // Label 13656: @893641
     /*  893641 */   GIM_Try, /*On fail goto*//*Label 13657*/ GIMT_Encode4(893716), // Rule ID 61614 //
     /*  893646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  893657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  893660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  893663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  893666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893692 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893714 */     GIR_RootConstrainSelectedInstOperands,
     /*  893715 */     // GIR_Coverage, 61614,
     /*  893715 */     GIR_EraseRootFromParent_Done,
     /*  893716 */   // Label 13657: @893716
     /*  893716 */   GIM_Try, /*On fail goto*//*Label 13658*/ GIMT_Encode4(893791), // Rule ID 61615 //
     /*  893721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  893732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  893735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  893738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  893741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893767 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893789 */     GIR_RootConstrainSelectedInstOperands,
     /*  893790 */     // GIR_Coverage, 61615,
     /*  893790 */     GIR_EraseRootFromParent_Done,
     /*  893791 */   // Label 13658: @893791
     /*  893791 */   GIM_Try, /*On fail goto*//*Label 13659*/ GIMT_Encode4(893866), // Rule ID 61618 //
     /*  893796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  893807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  893810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  893813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  893816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893842 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893864 */     GIR_RootConstrainSelectedInstOperands,
     /*  893865 */     // GIR_Coverage, 61618,
     /*  893865 */     GIR_EraseRootFromParent_Done,
     /*  893866 */   // Label 13659: @893866
     /*  893866 */   GIM_Try, /*On fail goto*//*Label 13660*/ GIMT_Encode4(893941), // Rule ID 61619 //
     /*  893871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  893882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  893885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  893888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  893891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893917 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893939 */     GIR_RootConstrainSelectedInstOperands,
     /*  893940 */     // GIR_Coverage, 61619,
     /*  893940 */     GIR_EraseRootFromParent_Done,
     /*  893941 */   // Label 13660: @893941
     /*  893941 */   GIM_Try, /*On fail goto*//*Label 13661*/ GIMT_Encode4(894016), // Rule ID 61622 //
     /*  893946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  893957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  893960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  893963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  893966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893992 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894014 */     GIR_RootConstrainSelectedInstOperands,
     /*  894015 */     // GIR_Coverage, 61622,
     /*  894015 */     GIR_EraseRootFromParent_Done,
     /*  894016 */   // Label 13661: @894016
     /*  894016 */   GIM_Try, /*On fail goto*//*Label 13662*/ GIMT_Encode4(894091), // Rule ID 61623 //
     /*  894021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  894032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  894035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  894038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  894041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894067 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  894070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894089 */     GIR_RootConstrainSelectedInstOperands,
     /*  894090 */     // GIR_Coverage, 61623,
     /*  894090 */     GIR_EraseRootFromParent_Done,
     /*  894091 */   // Label 13662: @894091
     /*  894091 */   GIM_Try, /*On fail goto*//*Label 13663*/ GIMT_Encode4(894166), // Rule ID 61626 //
     /*  894096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  894107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  894110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  894113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  894116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894142 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  894145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894164 */     GIR_RootConstrainSelectedInstOperands,
     /*  894165 */     // GIR_Coverage, 61626,
     /*  894165 */     GIR_EraseRootFromParent_Done,
     /*  894166 */   // Label 13663: @894166
     /*  894166 */   GIM_Try, /*On fail goto*//*Label 13664*/ GIMT_Encode4(894241), // Rule ID 61627 //
     /*  894171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  894182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  894185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  894188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  894191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894217 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  894220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894239 */     GIR_RootConstrainSelectedInstOperands,
     /*  894240 */     // GIR_Coverage, 61627,
     /*  894240 */     GIR_EraseRootFromParent_Done,
     /*  894241 */   // Label 13664: @894241
     /*  894241 */   GIM_Try, /*On fail goto*//*Label 13665*/ GIMT_Encode4(894316), // Rule ID 61630 //
     /*  894246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  894257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  894260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  894263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  894266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894292 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894314 */     GIR_RootConstrainSelectedInstOperands,
     /*  894315 */     // GIR_Coverage, 61630,
     /*  894315 */     GIR_EraseRootFromParent_Done,
     /*  894316 */   // Label 13665: @894316
     /*  894316 */   GIM_Try, /*On fail goto*//*Label 13666*/ GIMT_Encode4(894391), // Rule ID 61631 //
     /*  894321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  894332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  894335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  894338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  894341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894367 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894389 */     GIR_RootConstrainSelectedInstOperands,
     /*  894390 */     // GIR_Coverage, 61631,
     /*  894390 */     GIR_EraseRootFromParent_Done,
     /*  894391 */   // Label 13666: @894391
     /*  894391 */   GIM_Try, /*On fail goto*//*Label 13667*/ GIMT_Encode4(894466), // Rule ID 61634 //
     /*  894396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  894407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  894410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  894413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  894416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894442 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  894445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894464 */     GIR_RootConstrainSelectedInstOperands,
     /*  894465 */     // GIR_Coverage, 61634,
     /*  894465 */     GIR_EraseRootFromParent_Done,
     /*  894466 */   // Label 13667: @894466
     /*  894466 */   GIM_Try, /*On fail goto*//*Label 13668*/ GIMT_Encode4(894541), // Rule ID 61635 //
     /*  894471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  894482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  894485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  894488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  894491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894517 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  894520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894539 */     GIR_RootConstrainSelectedInstOperands,
     /*  894540 */     // GIR_Coverage, 61635,
     /*  894540 */     GIR_EraseRootFromParent_Done,
     /*  894541 */   // Label 13668: @894541
     /*  894541 */   GIM_Try, /*On fail goto*//*Label 13669*/ GIMT_Encode4(894616), // Rule ID 61638 //
     /*  894546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  894557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  894560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  894563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  894566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894592 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  894595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894614 */     GIR_RootConstrainSelectedInstOperands,
     /*  894615 */     // GIR_Coverage, 61638,
     /*  894615 */     GIR_EraseRootFromParent_Done,
     /*  894616 */   // Label 13669: @894616
     /*  894616 */   GIM_Try, /*On fail goto*//*Label 13670*/ GIMT_Encode4(894691), // Rule ID 61639 //
     /*  894621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  894632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  894635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  894638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  894641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894667 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  894670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894689 */     GIR_RootConstrainSelectedInstOperands,
     /*  894690 */     // GIR_Coverage, 61639,
     /*  894690 */     GIR_EraseRootFromParent_Done,
     /*  894691 */   // Label 13670: @894691
     /*  894691 */   GIM_Try, /*On fail goto*//*Label 13671*/ GIMT_Encode4(894766), // Rule ID 61642 //
     /*  894696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  894707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  894710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  894713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  894716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894764 */     GIR_RootConstrainSelectedInstOperands,
     /*  894765 */     // GIR_Coverage, 61642,
     /*  894765 */     GIR_EraseRootFromParent_Done,
     /*  894766 */   // Label 13671: @894766
     /*  894766 */   GIM_Try, /*On fail goto*//*Label 13672*/ GIMT_Encode4(894841), // Rule ID 61643 //
     /*  894771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  894782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  894785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  894788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  894791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894817 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894839 */     GIR_RootConstrainSelectedInstOperands,
     /*  894840 */     // GIR_Coverage, 61643,
     /*  894840 */     GIR_EraseRootFromParent_Done,
     /*  894841 */   // Label 13672: @894841
     /*  894841 */   GIM_Try, /*On fail goto*//*Label 13673*/ GIMT_Encode4(894916), // Rule ID 61646 //
     /*  894846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  894857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  894860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  894863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  894866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894892 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  894895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894914 */     GIR_RootConstrainSelectedInstOperands,
     /*  894915 */     // GIR_Coverage, 61646,
     /*  894915 */     GIR_EraseRootFromParent_Done,
     /*  894916 */   // Label 13673: @894916
     /*  894916 */   GIM_Try, /*On fail goto*//*Label 13674*/ GIMT_Encode4(894991), // Rule ID 61647 //
     /*  894921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  894932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  894935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  894938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  894941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894967 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  894970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894989 */     GIR_RootConstrainSelectedInstOperands,
     /*  894990 */     // GIR_Coverage, 61647,
     /*  894990 */     GIR_EraseRootFromParent_Done,
     /*  894991 */   // Label 13674: @894991
     /*  894991 */   GIM_Try, /*On fail goto*//*Label 13675*/ GIMT_Encode4(895066), // Rule ID 61650 //
     /*  894996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  895007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  895010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  895013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  895016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895042 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  895042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  895045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895064 */     GIR_RootConstrainSelectedInstOperands,
     /*  895065 */     // GIR_Coverage, 61650,
     /*  895065 */     GIR_EraseRootFromParent_Done,
     /*  895066 */   // Label 13675: @895066
     /*  895066 */   GIM_Try, /*On fail goto*//*Label 13676*/ GIMT_Encode4(895141), // Rule ID 61651 //
     /*  895071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  895082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  895085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  895088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  895091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895117 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  895117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  895120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895139 */     GIR_RootConstrainSelectedInstOperands,
     /*  895140 */     // GIR_Coverage, 61651,
     /*  895140 */     GIR_EraseRootFromParent_Done,
     /*  895141 */   // Label 13676: @895141
     /*  895141 */   GIM_Try, /*On fail goto*//*Label 13677*/ GIMT_Encode4(895216), // Rule ID 61654 //
     /*  895146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  895157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  895160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  895163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  895166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895192 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  895192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  895195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895214 */     GIR_RootConstrainSelectedInstOperands,
     /*  895215 */     // GIR_Coverage, 61654,
     /*  895215 */     GIR_EraseRootFromParent_Done,
     /*  895216 */   // Label 13677: @895216
     /*  895216 */   GIM_Try, /*On fail goto*//*Label 13678*/ GIMT_Encode4(895291), // Rule ID 61655 //
     /*  895221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  895232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  895235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  895238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  895241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895267 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  895267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  895270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895289 */     GIR_RootConstrainSelectedInstOperands,
     /*  895290 */     // GIR_Coverage, 61655,
     /*  895290 */     GIR_EraseRootFromParent_Done,
     /*  895291 */   // Label 13678: @895291
     /*  895291 */   GIM_Try, /*On fail goto*//*Label 13679*/ GIMT_Encode4(895366), // Rule ID 61658 //
     /*  895296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  895307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  895310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  895313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895342 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  895345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895364 */     GIR_RootConstrainSelectedInstOperands,
     /*  895365 */     // GIR_Coverage, 61658,
     /*  895365 */     GIR_EraseRootFromParent_Done,
     /*  895366 */   // Label 13679: @895366
     /*  895366 */   GIM_Try, /*On fail goto*//*Label 13680*/ GIMT_Encode4(895441), // Rule ID 61659 //
     /*  895371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  895382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  895385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  895388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895417 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  895420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895439 */     GIR_RootConstrainSelectedInstOperands,
     /*  895440 */     // GIR_Coverage, 61659,
     /*  895440 */     GIR_EraseRootFromParent_Done,
     /*  895441 */   // Label 13680: @895441
     /*  895441 */   GIM_Try, /*On fail goto*//*Label 13681*/ GIMT_Encode4(895516), // Rule ID 61662 //
     /*  895446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  895457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  895460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  895463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895492 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  895495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895514 */     GIR_RootConstrainSelectedInstOperands,
     /*  895515 */     // GIR_Coverage, 61662,
     /*  895515 */     GIR_EraseRootFromParent_Done,
     /*  895516 */   // Label 13681: @895516
     /*  895516 */   GIM_Try, /*On fail goto*//*Label 13682*/ GIMT_Encode4(895591), // Rule ID 61663 //
     /*  895521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  895532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  895535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  895538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895567 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  895570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895589 */     GIR_RootConstrainSelectedInstOperands,
     /*  895590 */     // GIR_Coverage, 61663,
     /*  895590 */     GIR_EraseRootFromParent_Done,
     /*  895591 */   // Label 13682: @895591
     /*  895591 */   GIM_Try, /*On fail goto*//*Label 13683*/ GIMT_Encode4(895666), // Rule ID 61666 //
     /*  895596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  895607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  895610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  895613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895642 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895664 */     GIR_RootConstrainSelectedInstOperands,
     /*  895665 */     // GIR_Coverage, 61666,
     /*  895665 */     GIR_EraseRootFromParent_Done,
     /*  895666 */   // Label 13683: @895666
     /*  895666 */   GIM_Try, /*On fail goto*//*Label 13684*/ GIMT_Encode4(895741), // Rule ID 61667 //
     /*  895671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  895682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  895685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  895688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895717 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895739 */     GIR_RootConstrainSelectedInstOperands,
     /*  895740 */     // GIR_Coverage, 61667,
     /*  895740 */     GIR_EraseRootFromParent_Done,
     /*  895741 */   // Label 13684: @895741
     /*  895741 */   GIM_Try, /*On fail goto*//*Label 13685*/ GIMT_Encode4(895816), // Rule ID 61670 //
     /*  895746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  895757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  895760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  895763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895792 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  895795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895814 */     GIR_RootConstrainSelectedInstOperands,
     /*  895815 */     // GIR_Coverage, 61670,
     /*  895815 */     GIR_EraseRootFromParent_Done,
     /*  895816 */   // Label 13685: @895816
     /*  895816 */   GIM_Try, /*On fail goto*//*Label 13686*/ GIMT_Encode4(895891), // Rule ID 61671 //
     /*  895821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  895832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  895835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  895838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895867 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  895870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895889 */     GIR_RootConstrainSelectedInstOperands,
     /*  895890 */     // GIR_Coverage, 61671,
     /*  895890 */     GIR_EraseRootFromParent_Done,
     /*  895891 */   // Label 13686: @895891
     /*  895891 */   GIM_Try, /*On fail goto*//*Label 13687*/ GIMT_Encode4(895966), // Rule ID 61674 //
     /*  895896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  895907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  895910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  895913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895942 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895964 */     GIR_RootConstrainSelectedInstOperands,
     /*  895965 */     // GIR_Coverage, 61674,
     /*  895965 */     GIR_EraseRootFromParent_Done,
     /*  895966 */   // Label 13687: @895966
     /*  895966 */   GIM_Try, /*On fail goto*//*Label 13688*/ GIMT_Encode4(896041), // Rule ID 61675 //
     /*  895971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  895982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  895985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  895988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896017 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  896020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896039 */     GIR_RootConstrainSelectedInstOperands,
     /*  896040 */     // GIR_Coverage, 61675,
     /*  896040 */     GIR_EraseRootFromParent_Done,
     /*  896041 */   // Label 13688: @896041
     /*  896041 */   GIM_Try, /*On fail goto*//*Label 13689*/ GIMT_Encode4(896116), // Rule ID 61678 //
     /*  896046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  896057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  896060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  896063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  896095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896114 */     GIR_RootConstrainSelectedInstOperands,
     /*  896115 */     // GIR_Coverage, 61678,
     /*  896115 */     GIR_EraseRootFromParent_Done,
     /*  896116 */   // Label 13689: @896116
     /*  896116 */   GIM_Try, /*On fail goto*//*Label 13690*/ GIMT_Encode4(896191), // Rule ID 61679 //
     /*  896121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  896132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  896135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  896138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896167 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  896167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  896170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896189 */     GIR_RootConstrainSelectedInstOperands,
     /*  896190 */     // GIR_Coverage, 61679,
     /*  896190 */     GIR_EraseRootFromParent_Done,
     /*  896191 */   // Label 13690: @896191
     /*  896191 */   GIM_Try, /*On fail goto*//*Label 13691*/ GIMT_Encode4(896266), // Rule ID 61682 //
     /*  896196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  896207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  896210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  896213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  896245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896264 */     GIR_RootConstrainSelectedInstOperands,
     /*  896265 */     // GIR_Coverage, 61682,
     /*  896265 */     GIR_EraseRootFromParent_Done,
     /*  896266 */   // Label 13691: @896266
     /*  896266 */   GIM_Try, /*On fail goto*//*Label 13692*/ GIMT_Encode4(896341), // Rule ID 61683 //
     /*  896271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  896282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  896285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  896288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896317 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  896320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896339 */     GIR_RootConstrainSelectedInstOperands,
     /*  896340 */     // GIR_Coverage, 61683,
     /*  896340 */     GIR_EraseRootFromParent_Done,
     /*  896341 */   // Label 13692: @896341
     /*  896341 */   GIM_Try, /*On fail goto*//*Label 13693*/ GIMT_Encode4(896416), // Rule ID 61686 //
     /*  896346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  896357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  896360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  896363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  896395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896414 */     GIR_RootConstrainSelectedInstOperands,
     /*  896415 */     // GIR_Coverage, 61686,
     /*  896415 */     GIR_EraseRootFromParent_Done,
     /*  896416 */   // Label 13693: @896416
     /*  896416 */   GIM_Try, /*On fail goto*//*Label 13694*/ GIMT_Encode4(896491), // Rule ID 61687 //
     /*  896421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  896432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  896435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  896438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  896470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896489 */     GIR_RootConstrainSelectedInstOperands,
     /*  896490 */     // GIR_Coverage, 61687,
     /*  896490 */     GIR_EraseRootFromParent_Done,
     /*  896491 */   // Label 13694: @896491
     /*  896491 */   GIM_Try, /*On fail goto*//*Label 13695*/ GIMT_Encode4(896566), // Rule ID 61690 //
     /*  896496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  896507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  896510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  896513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  896545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896564 */     GIR_RootConstrainSelectedInstOperands,
     /*  896565 */     // GIR_Coverage, 61690,
     /*  896565 */     GIR_EraseRootFromParent_Done,
     /*  896566 */   // Label 13695: @896566
     /*  896566 */   GIM_Try, /*On fail goto*//*Label 13696*/ GIMT_Encode4(896641), // Rule ID 61691 //
     /*  896571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  896582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  896585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  896588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  896617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  896620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896639 */     GIR_RootConstrainSelectedInstOperands,
     /*  896640 */     // GIR_Coverage, 61691,
     /*  896640 */     GIR_EraseRootFromParent_Done,
     /*  896641 */   // Label 13696: @896641
     /*  896641 */   GIM_Try, /*On fail goto*//*Label 13697*/ GIMT_Encode4(896716), // Rule ID 61694 //
     /*  896646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  896657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  896660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  896663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  896692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  896695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896714 */     GIR_RootConstrainSelectedInstOperands,
     /*  896715 */     // GIR_Coverage, 61694,
     /*  896715 */     GIR_EraseRootFromParent_Done,
     /*  896716 */   // Label 13697: @896716
     /*  896716 */   GIM_Try, /*On fail goto*//*Label 13698*/ GIMT_Encode4(896791), // Rule ID 61695 //
     /*  896721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  896732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  896735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  896738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896767 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  896767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  896770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896789 */     GIR_RootConstrainSelectedInstOperands,
     /*  896790 */     // GIR_Coverage, 61695,
     /*  896790 */     GIR_EraseRootFromParent_Done,
     /*  896791 */   // Label 13698: @896791
     /*  896791 */   GIM_Try, /*On fail goto*//*Label 13699*/ GIMT_Encode4(896866), // Rule ID 61698 //
     /*  896796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  896807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  896810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  896813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896842 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896864 */     GIR_RootConstrainSelectedInstOperands,
     /*  896865 */     // GIR_Coverage, 61698,
     /*  896865 */     GIR_EraseRootFromParent_Done,
     /*  896866 */   // Label 13699: @896866
     /*  896866 */   GIM_Try, /*On fail goto*//*Label 13700*/ GIMT_Encode4(896941), // Rule ID 61699 //
     /*  896871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  896882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  896885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  896888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896917 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896939 */     GIR_RootConstrainSelectedInstOperands,
     /*  896940 */     // GIR_Coverage, 61699,
     /*  896940 */     GIR_EraseRootFromParent_Done,
     /*  896941 */   // Label 13700: @896941
     /*  896941 */   GIM_Try, /*On fail goto*//*Label 13701*/ GIMT_Encode4(897016), // Rule ID 61702 //
     /*  896946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  896957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  896960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  896963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896992 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897014 */     GIR_RootConstrainSelectedInstOperands,
     /*  897015 */     // GIR_Coverage, 61702,
     /*  897015 */     GIR_EraseRootFromParent_Done,
     /*  897016 */   // Label 13701: @897016
     /*  897016 */   GIM_Try, /*On fail goto*//*Label 13702*/ GIMT_Encode4(897091), // Rule ID 61703 //
     /*  897021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  897032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  897035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  897038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897067 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897089 */     GIR_RootConstrainSelectedInstOperands,
     /*  897090 */     // GIR_Coverage, 61703,
     /*  897090 */     GIR_EraseRootFromParent_Done,
     /*  897091 */   // Label 13702: @897091
     /*  897091 */   GIM_Try, /*On fail goto*//*Label 13703*/ GIMT_Encode4(897166), // Rule ID 61706 //
     /*  897096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  897107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  897110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  897113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897142 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897164 */     GIR_RootConstrainSelectedInstOperands,
     /*  897165 */     // GIR_Coverage, 61706,
     /*  897165 */     GIR_EraseRootFromParent_Done,
     /*  897166 */   // Label 13703: @897166
     /*  897166 */   GIM_Try, /*On fail goto*//*Label 13704*/ GIMT_Encode4(897241), // Rule ID 61707 //
     /*  897171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  897182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  897185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  897188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897217 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897239 */     GIR_RootConstrainSelectedInstOperands,
     /*  897240 */     // GIR_Coverage, 61707,
     /*  897240 */     GIR_EraseRootFromParent_Done,
     /*  897241 */   // Label 13704: @897241
     /*  897241 */   GIM_Try, /*On fail goto*//*Label 13705*/ GIMT_Encode4(897316), // Rule ID 61710 //
     /*  897246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  897257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  897260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  897263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897314 */     GIR_RootConstrainSelectedInstOperands,
     /*  897315 */     // GIR_Coverage, 61710,
     /*  897315 */     GIR_EraseRootFromParent_Done,
     /*  897316 */   // Label 13705: @897316
     /*  897316 */   GIM_Try, /*On fail goto*//*Label 13706*/ GIMT_Encode4(897391), // Rule ID 61711 //
     /*  897321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  897332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  897335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  897338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897367 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897389 */     GIR_RootConstrainSelectedInstOperands,
     /*  897390 */     // GIR_Coverage, 61711,
     /*  897390 */     GIR_EraseRootFromParent_Done,
     /*  897391 */   // Label 13706: @897391
     /*  897391 */   GIM_Try, /*On fail goto*//*Label 13707*/ GIMT_Encode4(897466), // Rule ID 61714 //
     /*  897396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  897407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  897410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  897413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897442 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897464 */     GIR_RootConstrainSelectedInstOperands,
     /*  897465 */     // GIR_Coverage, 61714,
     /*  897465 */     GIR_EraseRootFromParent_Done,
     /*  897466 */   // Label 13707: @897466
     /*  897466 */   GIM_Try, /*On fail goto*//*Label 13708*/ GIMT_Encode4(897541), // Rule ID 61715 //
     /*  897471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  897482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  897485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  897488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897517 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897539 */     GIR_RootConstrainSelectedInstOperands,
     /*  897540 */     // GIR_Coverage, 61715,
     /*  897540 */     GIR_EraseRootFromParent_Done,
     /*  897541 */   // Label 13708: @897541
     /*  897541 */   GIM_Try, /*On fail goto*//*Label 13709*/ GIMT_Encode4(897616), // Rule ID 61718 //
     /*  897546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  897557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  897560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  897563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897592 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897614 */     GIR_RootConstrainSelectedInstOperands,
     /*  897615 */     // GIR_Coverage, 61718,
     /*  897615 */     GIR_EraseRootFromParent_Done,
     /*  897616 */   // Label 13709: @897616
     /*  897616 */   GIM_Try, /*On fail goto*//*Label 13710*/ GIMT_Encode4(897691), // Rule ID 61719 //
     /*  897621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  897632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  897635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  897638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897667 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897689 */     GIR_RootConstrainSelectedInstOperands,
     /*  897690 */     // GIR_Coverage, 61719,
     /*  897690 */     GIR_EraseRootFromParent_Done,
     /*  897691 */   // Label 13710: @897691
     /*  897691 */   GIM_Try, /*On fail goto*//*Label 13711*/ GIMT_Encode4(897766), // Rule ID 61722 //
     /*  897696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  897707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  897710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  897713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897764 */     GIR_RootConstrainSelectedInstOperands,
     /*  897765 */     // GIR_Coverage, 61722,
     /*  897765 */     GIR_EraseRootFromParent_Done,
     /*  897766 */   // Label 13711: @897766
     /*  897766 */   GIM_Try, /*On fail goto*//*Label 13712*/ GIMT_Encode4(897841), // Rule ID 61723 //
     /*  897771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  897782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  897785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  897788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897817 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897839 */     GIR_RootConstrainSelectedInstOperands,
     /*  897840 */     // GIR_Coverage, 61723,
     /*  897840 */     GIR_EraseRootFromParent_Done,
     /*  897841 */   // Label 13712: @897841
     /*  897841 */   GIM_Try, /*On fail goto*//*Label 13713*/ GIMT_Encode4(897916), // Rule ID 61726 //
     /*  897846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  897857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  897860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  897863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897914 */     GIR_RootConstrainSelectedInstOperands,
     /*  897915 */     // GIR_Coverage, 61726,
     /*  897915 */     GIR_EraseRootFromParent_Done,
     /*  897916 */   // Label 13713: @897916
     /*  897916 */   GIM_Try, /*On fail goto*//*Label 13714*/ GIMT_Encode4(897991), // Rule ID 61727 //
     /*  897921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  897932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  897935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  897938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897967 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897989 */     GIR_RootConstrainSelectedInstOperands,
     /*  897990 */     // GIR_Coverage, 61727,
     /*  897990 */     GIR_EraseRootFromParent_Done,
     /*  897991 */   // Label 13714: @897991
     /*  897991 */   GIM_Try, /*On fail goto*//*Label 13715*/ GIMT_Encode4(898066), // Rule ID 61730 //
     /*  897996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  898007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  898010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  898013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  898016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  898045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898064 */     GIR_RootConstrainSelectedInstOperands,
     /*  898065 */     // GIR_Coverage, 61730,
     /*  898065 */     GIR_EraseRootFromParent_Done,
     /*  898066 */   // Label 13715: @898066
     /*  898066 */   GIM_Try, /*On fail goto*//*Label 13716*/ GIMT_Encode4(898141), // Rule ID 61731 //
     /*  898071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  898082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  898085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  898088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898117 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  898120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898139 */     GIR_RootConstrainSelectedInstOperands,
     /*  898140 */     // GIR_Coverage, 61731,
     /*  898140 */     GIR_EraseRootFromParent_Done,
     /*  898141 */   // Label 13716: @898141
     /*  898141 */   GIM_Try, /*On fail goto*//*Label 13717*/ GIMT_Encode4(898216), // Rule ID 61734 //
     /*  898146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  898157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  898160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  898163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  898166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898192 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  898192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  898195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898214 */     GIR_RootConstrainSelectedInstOperands,
     /*  898215 */     // GIR_Coverage, 61734,
     /*  898215 */     GIR_EraseRootFromParent_Done,
     /*  898216 */   // Label 13717: @898216
     /*  898216 */   GIM_Try, /*On fail goto*//*Label 13718*/ GIMT_Encode4(898291), // Rule ID 61735 //
     /*  898221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  898232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  898235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  898238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898267 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  898267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  898270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898289 */     GIR_RootConstrainSelectedInstOperands,
     /*  898290 */     // GIR_Coverage, 61735,
     /*  898290 */     GIR_EraseRootFromParent_Done,
     /*  898291 */   // Label 13718: @898291
     /*  898291 */   GIM_Try, /*On fail goto*//*Label 13719*/ GIMT_Encode4(898366), // Rule ID 61738 //
     /*  898296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  898307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  898310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  898313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  898316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898342 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  898342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  898345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898364 */     GIR_RootConstrainSelectedInstOperands,
     /*  898365 */     // GIR_Coverage, 61738,
     /*  898365 */     GIR_EraseRootFromParent_Done,
     /*  898366 */   // Label 13719: @898366
     /*  898366 */   GIM_Try, /*On fail goto*//*Label 13720*/ GIMT_Encode4(898441), // Rule ID 61739 //
     /*  898371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  898382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  898385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  898388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898417 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  898417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  898420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898439 */     GIR_RootConstrainSelectedInstOperands,
     /*  898440 */     // GIR_Coverage, 61739,
     /*  898440 */     GIR_EraseRootFromParent_Done,
     /*  898441 */   // Label 13720: @898441
     /*  898441 */   GIM_Try, /*On fail goto*//*Label 13721*/ GIMT_Encode4(898516), // Rule ID 61742 //
     /*  898446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  898457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  898460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  898463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  898466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898492 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  898492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  898495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898514 */     GIR_RootConstrainSelectedInstOperands,
     /*  898515 */     // GIR_Coverage, 61742,
     /*  898515 */     GIR_EraseRootFromParent_Done,
     /*  898516 */   // Label 13721: @898516
     /*  898516 */   GIM_Try, /*On fail goto*//*Label 13722*/ GIMT_Encode4(898591), // Rule ID 61743 //
     /*  898521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  898532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  898535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  898538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898567 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  898567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  898570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898589 */     GIR_RootConstrainSelectedInstOperands,
     /*  898590 */     // GIR_Coverage, 61743,
     /*  898590 */     GIR_EraseRootFromParent_Done,
     /*  898591 */   // Label 13722: @898591
     /*  898591 */   GIM_Try, /*On fail goto*//*Label 13723*/ GIMT_Encode4(898666), // Rule ID 61830 //
     /*  898596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  898607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  898610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  898613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  898616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898642 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  898645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898664 */     GIR_RootConstrainSelectedInstOperands,
     /*  898665 */     // GIR_Coverage, 61830,
     /*  898665 */     GIR_EraseRootFromParent_Done,
     /*  898666 */   // Label 13723: @898666
     /*  898666 */   GIM_Try, /*On fail goto*//*Label 13724*/ GIMT_Encode4(898741), // Rule ID 61831 //
     /*  898671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  898682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  898685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  898688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  898691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898717 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  898720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898739 */     GIR_RootConstrainSelectedInstOperands,
     /*  898740 */     // GIR_Coverage, 61831,
     /*  898740 */     GIR_EraseRootFromParent_Done,
     /*  898741 */   // Label 13724: @898741
     /*  898741 */   GIM_Try, /*On fail goto*//*Label 13725*/ GIMT_Encode4(898816), // Rule ID 61834 //
     /*  898746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  898757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  898760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  898763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  898766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898792 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  898795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898814 */     GIR_RootConstrainSelectedInstOperands,
     /*  898815 */     // GIR_Coverage, 61834,
     /*  898815 */     GIR_EraseRootFromParent_Done,
     /*  898816 */   // Label 13725: @898816
     /*  898816 */   GIM_Try, /*On fail goto*//*Label 13726*/ GIMT_Encode4(898891), // Rule ID 61835 //
     /*  898821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  898832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  898835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  898838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  898841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898867 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  898870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898889 */     GIR_RootConstrainSelectedInstOperands,
     /*  898890 */     // GIR_Coverage, 61835,
     /*  898890 */     GIR_EraseRootFromParent_Done,
     /*  898891 */   // Label 13726: @898891
     /*  898891 */   GIM_Try, /*On fail goto*//*Label 13727*/ GIMT_Encode4(898966), // Rule ID 61838 //
     /*  898896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  898907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  898910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  898913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  898916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898942 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898964 */     GIR_RootConstrainSelectedInstOperands,
     /*  898965 */     // GIR_Coverage, 61838,
     /*  898965 */     GIR_EraseRootFromParent_Done,
     /*  898966 */   // Label 13727: @898966
     /*  898966 */   GIM_Try, /*On fail goto*//*Label 13728*/ GIMT_Encode4(899041), // Rule ID 61839 //
     /*  898971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  898982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  898985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  898988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  898991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899017 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  899020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899039 */     GIR_RootConstrainSelectedInstOperands,
     /*  899040 */     // GIR_Coverage, 61839,
     /*  899040 */     GIR_EraseRootFromParent_Done,
     /*  899041 */   // Label 13728: @899041
     /*  899041 */   GIM_Try, /*On fail goto*//*Label 13729*/ GIMT_Encode4(899116), // Rule ID 61842 //
     /*  899046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  899057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  899060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  899063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  899066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899092 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  899095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899114 */     GIR_RootConstrainSelectedInstOperands,
     /*  899115 */     // GIR_Coverage, 61842,
     /*  899115 */     GIR_EraseRootFromParent_Done,
     /*  899116 */   // Label 13729: @899116
     /*  899116 */   GIM_Try, /*On fail goto*//*Label 13730*/ GIMT_Encode4(899191), // Rule ID 61843 //
     /*  899121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  899132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  899135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  899138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  899141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899167 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  899170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899189 */     GIR_RootConstrainSelectedInstOperands,
     /*  899190 */     // GIR_Coverage, 61843,
     /*  899190 */     GIR_EraseRootFromParent_Done,
     /*  899191 */   // Label 13730: @899191
     /*  899191 */   GIM_Try, /*On fail goto*//*Label 13731*/ GIMT_Encode4(899266), // Rule ID 61846 //
     /*  899196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  899207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  899210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  899213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  899216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899242 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  899245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899264 */     GIR_RootConstrainSelectedInstOperands,
     /*  899265 */     // GIR_Coverage, 61846,
     /*  899265 */     GIR_EraseRootFromParent_Done,
     /*  899266 */   // Label 13731: @899266
     /*  899266 */   GIM_Try, /*On fail goto*//*Label 13732*/ GIMT_Encode4(899341), // Rule ID 61847 //
     /*  899271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  899282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  899285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  899288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  899291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899317 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  899320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899339 */     GIR_RootConstrainSelectedInstOperands,
     /*  899340 */     // GIR_Coverage, 61847,
     /*  899340 */     GIR_EraseRootFromParent_Done,
     /*  899341 */   // Label 13732: @899341
     /*  899341 */   GIM_Try, /*On fail goto*//*Label 13733*/ GIMT_Encode4(899416), // Rule ID 61850 //
     /*  899346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  899357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  899360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  899363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  899366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  899392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  899395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899414 */     GIR_RootConstrainSelectedInstOperands,
     /*  899415 */     // GIR_Coverage, 61850,
     /*  899415 */     GIR_EraseRootFromParent_Done,
     /*  899416 */   // Label 13733: @899416
     /*  899416 */   GIM_Try, /*On fail goto*//*Label 13734*/ GIMT_Encode4(899491), // Rule ID 61851 //
     /*  899421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  899432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  899435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  899438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  899441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899467 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  899467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  899470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899489 */     GIR_RootConstrainSelectedInstOperands,
     /*  899490 */     // GIR_Coverage, 61851,
     /*  899490 */     GIR_EraseRootFromParent_Done,
     /*  899491 */   // Label 13734: @899491
     /*  899491 */   GIM_Try, /*On fail goto*//*Label 13735*/ GIMT_Encode4(899566), // Rule ID 61854 //
     /*  899496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  899507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  899510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  899513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  899516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899542 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899564 */     GIR_RootConstrainSelectedInstOperands,
     /*  899565 */     // GIR_Coverage, 61854,
     /*  899565 */     GIR_EraseRootFromParent_Done,
     /*  899566 */   // Label 13735: @899566
     /*  899566 */   GIM_Try, /*On fail goto*//*Label 13736*/ GIMT_Encode4(899641), // Rule ID 61855 //
     /*  899571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  899582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  899585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  899588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  899591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899617 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899639 */     GIR_RootConstrainSelectedInstOperands,
     /*  899640 */     // GIR_Coverage, 61855,
     /*  899640 */     GIR_EraseRootFromParent_Done,
     /*  899641 */   // Label 13736: @899641
     /*  899641 */   GIM_Try, /*On fail goto*//*Label 13737*/ GIMT_Encode4(899716), // Rule ID 61858 //
     /*  899646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  899657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  899660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  899663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  899666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899714 */     GIR_RootConstrainSelectedInstOperands,
     /*  899715 */     // GIR_Coverage, 61858,
     /*  899715 */     GIR_EraseRootFromParent_Done,
     /*  899716 */   // Label 13737: @899716
     /*  899716 */   GIM_Try, /*On fail goto*//*Label 13738*/ GIMT_Encode4(899791), // Rule ID 61859 //
     /*  899721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  899732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  899735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  899738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  899741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899767 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899789 */     GIR_RootConstrainSelectedInstOperands,
     /*  899790 */     // GIR_Coverage, 61859,
     /*  899790 */     GIR_EraseRootFromParent_Done,
     /*  899791 */   // Label 13738: @899791
     /*  899791 */   GIM_Try, /*On fail goto*//*Label 13739*/ GIMT_Encode4(899866), // Rule ID 61862 //
     /*  899796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  899807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  899810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  899813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  899816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  899842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899864 */     GIR_RootConstrainSelectedInstOperands,
     /*  899865 */     // GIR_Coverage, 61862,
     /*  899865 */     GIR_EraseRootFromParent_Done,
     /*  899866 */   // Label 13739: @899866
     /*  899866 */   GIM_Try, /*On fail goto*//*Label 13740*/ GIMT_Encode4(899941), // Rule ID 61863 //
     /*  899871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  899882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  899885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  899888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  899891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  899917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899939 */     GIR_RootConstrainSelectedInstOperands,
     /*  899940 */     // GIR_Coverage, 61863,
     /*  899940 */     GIR_EraseRootFromParent_Done,
     /*  899941 */   // Label 13740: @899941
     /*  899941 */   GIM_Try, /*On fail goto*//*Label 13741*/ GIMT_Encode4(900016), // Rule ID 61866 //
     /*  899946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  899957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  899960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  899963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  899966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  899992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  899995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900014 */     GIR_RootConstrainSelectedInstOperands,
     /*  900015 */     // GIR_Coverage, 61866,
     /*  900015 */     GIR_EraseRootFromParent_Done,
     /*  900016 */   // Label 13741: @900016
     /*  900016 */   GIM_Try, /*On fail goto*//*Label 13742*/ GIMT_Encode4(900091), // Rule ID 61867 //
     /*  900021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  900032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  900035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  900038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  900041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900067 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  900067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  900070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900089 */     GIR_RootConstrainSelectedInstOperands,
     /*  900090 */     // GIR_Coverage, 61867,
     /*  900090 */     GIR_EraseRootFromParent_Done,
     /*  900091 */   // Label 13742: @900091
     /*  900091 */   GIM_Try, /*On fail goto*//*Label 13743*/ GIMT_Encode4(900166), // Rule ID 61870 //
     /*  900096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  900107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  900110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  900113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  900116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900164 */     GIR_RootConstrainSelectedInstOperands,
     /*  900165 */     // GIR_Coverage, 61870,
     /*  900165 */     GIR_EraseRootFromParent_Done,
     /*  900166 */   // Label 13743: @900166
     /*  900166 */   GIM_Try, /*On fail goto*//*Label 13744*/ GIMT_Encode4(900241), // Rule ID 61871 //
     /*  900171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  900182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  900185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  900188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  900191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900217 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900239 */     GIR_RootConstrainSelectedInstOperands,
     /*  900240 */     // GIR_Coverage, 61871,
     /*  900240 */     GIR_EraseRootFromParent_Done,
     /*  900241 */   // Label 13744: @900241
     /*  900241 */   GIM_Try, /*On fail goto*//*Label 13745*/ GIMT_Encode4(900316), // Rule ID 61874 //
     /*  900246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  900257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  900260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  900263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  900266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900292 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900314 */     GIR_RootConstrainSelectedInstOperands,
     /*  900315 */     // GIR_Coverage, 61874,
     /*  900315 */     GIR_EraseRootFromParent_Done,
     /*  900316 */   // Label 13745: @900316
     /*  900316 */   GIM_Try, /*On fail goto*//*Label 13746*/ GIMT_Encode4(900391), // Rule ID 61875 //
     /*  900321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  900332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  900335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  900338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  900341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900367 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900389 */     GIR_RootConstrainSelectedInstOperands,
     /*  900390 */     // GIR_Coverage, 61875,
     /*  900390 */     GIR_EraseRootFromParent_Done,
     /*  900391 */   // Label 13746: @900391
     /*  900391 */   GIM_Try, /*On fail goto*//*Label 13747*/ GIMT_Encode4(900466), // Rule ID 61878 //
     /*  900396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  900407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  900410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  900413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  900416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900442 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900464 */     GIR_RootConstrainSelectedInstOperands,
     /*  900465 */     // GIR_Coverage, 61878,
     /*  900465 */     GIR_EraseRootFromParent_Done,
     /*  900466 */   // Label 13747: @900466
     /*  900466 */   GIM_Try, /*On fail goto*//*Label 13748*/ GIMT_Encode4(900541), // Rule ID 61879 //
     /*  900471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  900482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  900485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  900488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  900491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900517 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900539 */     GIR_RootConstrainSelectedInstOperands,
     /*  900540 */     // GIR_Coverage, 61879,
     /*  900540 */     GIR_EraseRootFromParent_Done,
     /*  900541 */   // Label 13748: @900541
     /*  900541 */   GIM_Try, /*On fail goto*//*Label 13749*/ GIMT_Encode4(900616), // Rule ID 61882 //
     /*  900546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  900557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  900560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  900563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  900566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900614 */     GIR_RootConstrainSelectedInstOperands,
     /*  900615 */     // GIR_Coverage, 61882,
     /*  900615 */     GIR_EraseRootFromParent_Done,
     /*  900616 */   // Label 13749: @900616
     /*  900616 */   GIM_Try, /*On fail goto*//*Label 13750*/ GIMT_Encode4(900691), // Rule ID 61883 //
     /*  900621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  900632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  900635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  900638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  900641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900667 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900689 */     GIR_RootConstrainSelectedInstOperands,
     /*  900690 */     // GIR_Coverage, 61883,
     /*  900690 */     GIR_EraseRootFromParent_Done,
     /*  900691 */   // Label 13750: @900691
     /*  900691 */   GIM_Try, /*On fail goto*//*Label 13751*/ GIMT_Encode4(900766), // Rule ID 61886 //
     /*  900696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  900707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  900710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  900713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  900716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900742 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900764 */     GIR_RootConstrainSelectedInstOperands,
     /*  900765 */     // GIR_Coverage, 61886,
     /*  900765 */     GIR_EraseRootFromParent_Done,
     /*  900766 */   // Label 13751: @900766
     /*  900766 */   GIM_Try, /*On fail goto*//*Label 13752*/ GIMT_Encode4(900841), // Rule ID 61887 //
     /*  900771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  900782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  900785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  900788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  900791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900817 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900839 */     GIR_RootConstrainSelectedInstOperands,
     /*  900840 */     // GIR_Coverage, 61887,
     /*  900840 */     GIR_EraseRootFromParent_Done,
     /*  900841 */   // Label 13752: @900841
     /*  900841 */   GIM_Try, /*On fail goto*//*Label 13753*/ GIMT_Encode4(900916), // Rule ID 61890 //
     /*  900846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  900857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  900860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  900863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  900866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900892 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900914 */     GIR_RootConstrainSelectedInstOperands,
     /*  900915 */     // GIR_Coverage, 61890,
     /*  900915 */     GIR_EraseRootFromParent_Done,
     /*  900916 */   // Label 13753: @900916
     /*  900916 */   GIM_Try, /*On fail goto*//*Label 13754*/ GIMT_Encode4(900991), // Rule ID 61891 //
     /*  900921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  900932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  900935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  900938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  900941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900967 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900989 */     GIR_RootConstrainSelectedInstOperands,
     /*  900990 */     // GIR_Coverage, 61891,
     /*  900990 */     GIR_EraseRootFromParent_Done,
     /*  900991 */   // Label 13754: @900991
     /*  900991 */   GIM_Try, /*On fail goto*//*Label 13755*/ GIMT_Encode4(901066), // Rule ID 61894 //
     /*  900996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  901007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  901010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  901013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  901016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901042 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  901042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  901045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901064 */     GIR_RootConstrainSelectedInstOperands,
     /*  901065 */     // GIR_Coverage, 61894,
     /*  901065 */     GIR_EraseRootFromParent_Done,
     /*  901066 */   // Label 13755: @901066
     /*  901066 */   GIM_Try, /*On fail goto*//*Label 13756*/ GIMT_Encode4(901141), // Rule ID 61895 //
     /*  901071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  901082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  901085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  901088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  901091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901117 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  901117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  901120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901139 */     GIR_RootConstrainSelectedInstOperands,
     /*  901140 */     // GIR_Coverage, 61895,
     /*  901140 */     GIR_EraseRootFromParent_Done,
     /*  901141 */   // Label 13756: @901141
     /*  901141 */   GIM_Try, /*On fail goto*//*Label 13757*/ GIMT_Encode4(901216), // Rule ID 61898 //
     /*  901146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  901157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  901160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  901163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  901166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  901192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  901195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901214 */     GIR_RootConstrainSelectedInstOperands,
     /*  901215 */     // GIR_Coverage, 61898,
     /*  901215 */     GIR_EraseRootFromParent_Done,
     /*  901216 */   // Label 13757: @901216
     /*  901216 */   GIM_Try, /*On fail goto*//*Label 13758*/ GIMT_Encode4(901291), // Rule ID 61899 //
     /*  901221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  901232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  901235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  901238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  901241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901267 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  901267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  901270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901289 */     GIR_RootConstrainSelectedInstOperands,
     /*  901290 */     // GIR_Coverage, 61899,
     /*  901290 */     GIR_EraseRootFromParent_Done,
     /*  901291 */   // Label 13758: @901291
     /*  901291 */   GIM_Try, /*On fail goto*//*Label 13759*/ GIMT_Encode4(901366), // Rule ID 61902 //
     /*  901296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  901307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  901310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  901313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  901316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901342 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  901342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  901345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901364 */     GIR_RootConstrainSelectedInstOperands,
     /*  901365 */     // GIR_Coverage, 61902,
     /*  901365 */     GIR_EraseRootFromParent_Done,
     /*  901366 */   // Label 13759: @901366
     /*  901366 */   GIM_Try, /*On fail goto*//*Label 13760*/ GIMT_Encode4(901441), // Rule ID 61903 //
     /*  901371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  901382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  901385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  901388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  901391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901417 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  901417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  901420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901439 */     GIR_RootConstrainSelectedInstOperands,
     /*  901440 */     // GIR_Coverage, 61903,
     /*  901440 */     GIR_EraseRootFromParent_Done,
     /*  901441 */   // Label 13760: @901441
     /*  901441 */   GIM_Try, /*On fail goto*//*Label 13761*/ GIMT_Encode4(901516), // Rule ID 61906 //
     /*  901446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  901457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  901460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  901463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  901466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901492 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  901492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  901495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901514 */     GIR_RootConstrainSelectedInstOperands,
     /*  901515 */     // GIR_Coverage, 61906,
     /*  901515 */     GIR_EraseRootFromParent_Done,
     /*  901516 */   // Label 13761: @901516
     /*  901516 */   GIM_Try, /*On fail goto*//*Label 13762*/ GIMT_Encode4(901591), // Rule ID 61907 //
     /*  901521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  901532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  901535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  901538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  901541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901567 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  901567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  901570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901589 */     GIR_RootConstrainSelectedInstOperands,
     /*  901590 */     // GIR_Coverage, 61907,
     /*  901590 */     GIR_EraseRootFromParent_Done,
     /*  901591 */   // Label 13762: @901591
     /*  901591 */   GIM_Try, /*On fail goto*//*Label 13763*/ GIMT_Encode4(901666), // Rule ID 61910 //
     /*  901596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  901607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  901610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  901613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  901616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901642 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  901642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  901645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901664 */     GIR_RootConstrainSelectedInstOperands,
     /*  901665 */     // GIR_Coverage, 61910,
     /*  901665 */     GIR_EraseRootFromParent_Done,
     /*  901666 */   // Label 13763: @901666
     /*  901666 */   GIM_Try, /*On fail goto*//*Label 13764*/ GIMT_Encode4(901741), // Rule ID 61911 //
     /*  901671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  901682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  901685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  901688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  901691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901717 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  901717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  901720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901739 */     GIR_RootConstrainSelectedInstOperands,
     /*  901740 */     // GIR_Coverage, 61911,
     /*  901740 */     GIR_EraseRootFromParent_Done,
     /*  901741 */   // Label 13764: @901741
     /*  901741 */   GIM_Try, /*On fail goto*//*Label 13765*/ GIMT_Encode4(901816), // Rule ID 61914 //
     /*  901746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  901757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  901760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  901763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  901766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901792 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  901792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  901795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901814 */     GIR_RootConstrainSelectedInstOperands,
     /*  901815 */     // GIR_Coverage, 61914,
     /*  901815 */     GIR_EraseRootFromParent_Done,
     /*  901816 */   // Label 13765: @901816
     /*  901816 */   GIM_Try, /*On fail goto*//*Label 13766*/ GIMT_Encode4(901891), // Rule ID 61915 //
     /*  901821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  901832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  901835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  901838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  901841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901867 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  901867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  901870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901889 */     GIR_RootConstrainSelectedInstOperands,
     /*  901890 */     // GIR_Coverage, 61915,
     /*  901890 */     GIR_EraseRootFromParent_Done,
     /*  901891 */   // Label 13766: @901891
     /*  901891 */   GIM_Try, /*On fail goto*//*Label 13767*/ GIMT_Encode4(901966), // Rule ID 61918 //
     /*  901896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  901907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  901910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  901913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901942 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  901945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901964 */     GIR_RootConstrainSelectedInstOperands,
     /*  901965 */     // GIR_Coverage, 61918,
     /*  901965 */     GIR_EraseRootFromParent_Done,
     /*  901966 */   // Label 13767: @901966
     /*  901966 */   GIM_Try, /*On fail goto*//*Label 13768*/ GIMT_Encode4(902041), // Rule ID 61919 //
     /*  901971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  901982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  901985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  901988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902017 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  902020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902039 */     GIR_RootConstrainSelectedInstOperands,
     /*  902040 */     // GIR_Coverage, 61919,
     /*  902040 */     GIR_EraseRootFromParent_Done,
     /*  902041 */   // Label 13768: @902041
     /*  902041 */   GIM_Try, /*On fail goto*//*Label 13769*/ GIMT_Encode4(902116), // Rule ID 61922 //
     /*  902046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  902057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  902060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  902063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902092 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  902095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902114 */     GIR_RootConstrainSelectedInstOperands,
     /*  902115 */     // GIR_Coverage, 61922,
     /*  902115 */     GIR_EraseRootFromParent_Done,
     /*  902116 */   // Label 13769: @902116
     /*  902116 */   GIM_Try, /*On fail goto*//*Label 13770*/ GIMT_Encode4(902191), // Rule ID 61923 //
     /*  902121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  902132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  902135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  902138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902167 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  902170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902189 */     GIR_RootConstrainSelectedInstOperands,
     /*  902190 */     // GIR_Coverage, 61923,
     /*  902190 */     GIR_EraseRootFromParent_Done,
     /*  902191 */   // Label 13770: @902191
     /*  902191 */   GIM_Try, /*On fail goto*//*Label 13771*/ GIMT_Encode4(902266), // Rule ID 61926 //
     /*  902196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  902207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  902210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  902213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902242 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  902245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902264 */     GIR_RootConstrainSelectedInstOperands,
     /*  902265 */     // GIR_Coverage, 61926,
     /*  902265 */     GIR_EraseRootFromParent_Done,
     /*  902266 */   // Label 13771: @902266
     /*  902266 */   GIM_Try, /*On fail goto*//*Label 13772*/ GIMT_Encode4(902341), // Rule ID 61927 //
     /*  902271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  902282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  902285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  902288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902317 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  902320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902339 */     GIR_RootConstrainSelectedInstOperands,
     /*  902340 */     // GIR_Coverage, 61927,
     /*  902340 */     GIR_EraseRootFromParent_Done,
     /*  902341 */   // Label 13772: @902341
     /*  902341 */   GIM_Try, /*On fail goto*//*Label 13773*/ GIMT_Encode4(902416), // Rule ID 61930 //
     /*  902346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  902357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  902360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  902363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  902392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  902395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902414 */     GIR_RootConstrainSelectedInstOperands,
     /*  902415 */     // GIR_Coverage, 61930,
     /*  902415 */     GIR_EraseRootFromParent_Done,
     /*  902416 */   // Label 13773: @902416
     /*  902416 */   GIM_Try, /*On fail goto*//*Label 13774*/ GIMT_Encode4(902491), // Rule ID 61931 //
     /*  902421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  902432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  902435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  902438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902467 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  902467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  902470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902489 */     GIR_RootConstrainSelectedInstOperands,
     /*  902490 */     // GIR_Coverage, 61931,
     /*  902490 */     GIR_EraseRootFromParent_Done,
     /*  902491 */   // Label 13774: @902491
     /*  902491 */   GIM_Try, /*On fail goto*//*Label 13775*/ GIMT_Encode4(902566), // Rule ID 61934 //
     /*  902496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  902507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  902510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  902513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902542 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  902542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  902545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902564 */     GIR_RootConstrainSelectedInstOperands,
     /*  902565 */     // GIR_Coverage, 61934,
     /*  902565 */     GIR_EraseRootFromParent_Done,
     /*  902566 */   // Label 13775: @902566
     /*  902566 */   GIM_Try, /*On fail goto*//*Label 13776*/ GIMT_Encode4(902641), // Rule ID 61935 //
     /*  902571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  902582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  902585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  902588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902617 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  902617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  902620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902639 */     GIR_RootConstrainSelectedInstOperands,
     /*  902640 */     // GIR_Coverage, 61935,
     /*  902640 */     GIR_EraseRootFromParent_Done,
     /*  902641 */   // Label 13776: @902641
     /*  902641 */   GIM_Try, /*On fail goto*//*Label 13777*/ GIMT_Encode4(902716), // Rule ID 61938 //
     /*  902646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  902657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  902660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  902663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902692 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  902695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902714 */     GIR_RootConstrainSelectedInstOperands,
     /*  902715 */     // GIR_Coverage, 61938,
     /*  902715 */     GIR_EraseRootFromParent_Done,
     /*  902716 */   // Label 13777: @902716
     /*  902716 */   GIM_Try, /*On fail goto*//*Label 13778*/ GIMT_Encode4(902791), // Rule ID 61939 //
     /*  902721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  902732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  902735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  902738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902767 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  902767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  902770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902789 */     GIR_RootConstrainSelectedInstOperands,
     /*  902790 */     // GIR_Coverage, 61939,
     /*  902790 */     GIR_EraseRootFromParent_Done,
     /*  902791 */   // Label 13778: @902791
     /*  902791 */   GIM_Try, /*On fail goto*//*Label 13779*/ GIMT_Encode4(902866), // Rule ID 61942 //
     /*  902796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  902807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  902810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  902813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902842 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902864 */     GIR_RootConstrainSelectedInstOperands,
     /*  902865 */     // GIR_Coverage, 61942,
     /*  902865 */     GIR_EraseRootFromParent_Done,
     /*  902866 */   // Label 13779: @902866
     /*  902866 */   GIM_Try, /*On fail goto*//*Label 13780*/ GIMT_Encode4(902941), // Rule ID 61943 //
     /*  902871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  902882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  902885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  902888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902917 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11543:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902939 */     GIR_RootConstrainSelectedInstOperands,
     /*  902940 */     // GIR_Coverage, 61943,
     /*  902940 */     GIR_EraseRootFromParent_Done,
     /*  902941 */   // Label 13780: @902941
     /*  902941 */   GIM_Try, /*On fail goto*//*Label 13781*/ GIMT_Encode4(903016), // Rule ID 61946 //
     /*  902946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  902957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  902960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  902963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  902992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903014 */     GIR_RootConstrainSelectedInstOperands,
     /*  903015 */     // GIR_Coverage, 61946,
     /*  903015 */     GIR_EraseRootFromParent_Done,
     /*  903016 */   // Label 13781: @903016
     /*  903016 */   GIM_Try, /*On fail goto*//*Label 13782*/ GIMT_Encode4(903091), // Rule ID 61947 //
     /*  903021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  903032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  903035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  903038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903067 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  903070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903089 */     GIR_RootConstrainSelectedInstOperands,
     /*  903090 */     // GIR_Coverage, 61947,
     /*  903090 */     GIR_EraseRootFromParent_Done,
     /*  903091 */   // Label 13782: @903091
     /*  903091 */   GIM_Try, /*On fail goto*//*Label 13783*/ GIMT_Encode4(903166), // Rule ID 61950 //
     /*  903096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  903107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  903110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  903113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903142 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  903145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903164 */     GIR_RootConstrainSelectedInstOperands,
     /*  903165 */     // GIR_Coverage, 61950,
     /*  903165 */     GIR_EraseRootFromParent_Done,
     /*  903166 */   // Label 13783: @903166
     /*  903166 */   GIM_Try, /*On fail goto*//*Label 13784*/ GIMT_Encode4(903241), // Rule ID 61951 //
     /*  903171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  903182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  903185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  903188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  903220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903239 */     GIR_RootConstrainSelectedInstOperands,
     /*  903240 */     // GIR_Coverage, 61951,
     /*  903240 */     GIR_EraseRootFromParent_Done,
     /*  903241 */   // Label 13784: @903241
     /*  903241 */   GIM_Try, /*On fail goto*//*Label 13785*/ GIMT_Encode4(903316), // Rule ID 61954 //
     /*  903246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  903257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  903260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  903263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  903292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  903295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903314 */     GIR_RootConstrainSelectedInstOperands,
     /*  903315 */     // GIR_Coverage, 61954,
     /*  903315 */     GIR_EraseRootFromParent_Done,
     /*  903316 */   // Label 13785: @903316
     /*  903316 */   GIM_Try, /*On fail goto*//*Label 13786*/ GIMT_Encode4(903391), // Rule ID 61955 //
     /*  903321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  903332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  903335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  903338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  903367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  903370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903389 */     GIR_RootConstrainSelectedInstOperands,
     /*  903390 */     // GIR_Coverage, 61955,
     /*  903390 */     GIR_EraseRootFromParent_Done,
     /*  903391 */   // Label 13786: @903391
     /*  903391 */   GIM_Try, /*On fail goto*//*Label 13787*/ GIMT_Encode4(903466), // Rule ID 61958 //
     /*  903396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  903407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  903410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  903413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903442 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903464 */     GIR_RootConstrainSelectedInstOperands,
     /*  903465 */     // GIR_Coverage, 61958,
     /*  903465 */     GIR_EraseRootFromParent_Done,
     /*  903466 */   // Label 13787: @903466
     /*  903466 */   GIM_Try, /*On fail goto*//*Label 13788*/ GIMT_Encode4(903541), // Rule ID 61959 //
     /*  903471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  903482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  903485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  903488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903517 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903539 */     GIR_RootConstrainSelectedInstOperands,
     /*  903540 */     // GIR_Coverage, 61959,
     /*  903540 */     GIR_EraseRootFromParent_Done,
     /*  903541 */   // Label 13788: @903541
     /*  903541 */   GIM_Try, /*On fail goto*//*Label 13789*/ GIMT_Encode4(903616), // Rule ID 61962 //
     /*  903546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  903557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  903560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  903563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903592 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903614 */     GIR_RootConstrainSelectedInstOperands,
     /*  903615 */     // GIR_Coverage, 61962,
     /*  903615 */     GIR_EraseRootFromParent_Done,
     /*  903616 */   // Label 13789: @903616
     /*  903616 */   GIM_Try, /*On fail goto*//*Label 13790*/ GIMT_Encode4(903691), // Rule ID 61963 //
     /*  903621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  903632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  903635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  903638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903667 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903689 */     GIR_RootConstrainSelectedInstOperands,
     /*  903690 */     // GIR_Coverage, 61963,
     /*  903690 */     GIR_EraseRootFromParent_Done,
     /*  903691 */   // Label 13790: @903691
     /*  903691 */   GIM_Try, /*On fail goto*//*Label 13791*/ GIMT_Encode4(903766), // Rule ID 61966 //
     /*  903696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  903707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  903710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  903713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903742 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903764 */     GIR_RootConstrainSelectedInstOperands,
     /*  903765 */     // GIR_Coverage, 61966,
     /*  903765 */     GIR_EraseRootFromParent_Done,
     /*  903766 */   // Label 13791: @903766
     /*  903766 */   GIM_Try, /*On fail goto*//*Label 13792*/ GIMT_Encode4(903841), // Rule ID 61967 //
     /*  903771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  903782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  903785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  903788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903817 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903839 */     GIR_RootConstrainSelectedInstOperands,
     /*  903840 */     // GIR_Coverage, 61967,
     /*  903840 */     GIR_EraseRootFromParent_Done,
     /*  903841 */   // Label 13792: @903841
     /*  903841 */   GIM_Try, /*On fail goto*//*Label 13793*/ GIMT_Encode4(903916), // Rule ID 61970 //
     /*  903846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  903857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  903860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  903863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903892 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903914 */     GIR_RootConstrainSelectedInstOperands,
     /*  903915 */     // GIR_Coverage, 61970,
     /*  903915 */     GIR_EraseRootFromParent_Done,
     /*  903916 */   // Label 13793: @903916
     /*  903916 */   GIM_Try, /*On fail goto*//*Label 13794*/ GIMT_Encode4(903991), // Rule ID 61971 //
     /*  903921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  903932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  903935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  903938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903967 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903989 */     GIR_RootConstrainSelectedInstOperands,
     /*  903990 */     // GIR_Coverage, 61971,
     /*  903990 */     GIR_EraseRootFromParent_Done,
     /*  903991 */   // Label 13794: @903991
     /*  903991 */   GIM_Try, /*On fail goto*//*Label 13795*/ GIMT_Encode4(904066), // Rule ID 61974 //
     /*  903996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  904007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  904010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  904013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  904042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  904045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904064 */     GIR_RootConstrainSelectedInstOperands,
     /*  904065 */     // GIR_Coverage, 61974,
     /*  904065 */     GIR_EraseRootFromParent_Done,
     /*  904066 */   // Label 13795: @904066
     /*  904066 */   GIM_Try, /*On fail goto*//*Label 13796*/ GIMT_Encode4(904141), // Rule ID 61975 //
     /*  904071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  904082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  904085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  904088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904117 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  904117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  904120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904139 */     GIR_RootConstrainSelectedInstOperands,
     /*  904140 */     // GIR_Coverage, 61975,
     /*  904140 */     GIR_EraseRootFromParent_Done,
     /*  904141 */   // Label 13796: @904141
     /*  904141 */   GIM_Try, /*On fail goto*//*Label 13797*/ GIMT_Encode4(904216), // Rule ID 61978 //
     /*  904146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  904157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  904160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  904163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  904192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  904195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904214 */     GIR_RootConstrainSelectedInstOperands,
     /*  904215 */     // GIR_Coverage, 61978,
     /*  904215 */     GIR_EraseRootFromParent_Done,
     /*  904216 */   // Label 13797: @904216
     /*  904216 */   GIM_Try, /*On fail goto*//*Label 13798*/ GIMT_Encode4(904291), // Rule ID 61979 //
     /*  904221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  904232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  904235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  904238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904267 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  904267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  904270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904289 */     GIR_RootConstrainSelectedInstOperands,
     /*  904290 */     // GIR_Coverage, 61979,
     /*  904290 */     GIR_EraseRootFromParent_Done,
     /*  904291 */   // Label 13798: @904291
     /*  904291 */   GIM_Try, /*On fail goto*//*Label 13799*/ GIMT_Encode4(904366), // Rule ID 61982 //
     /*  904296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  904345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904364 */     GIR_RootConstrainSelectedInstOperands,
     /*  904365 */     // GIR_Coverage, 61982,
     /*  904365 */     GIR_EraseRootFromParent_Done,
     /*  904366 */   // Label 13799: @904366
     /*  904366 */   GIM_Try, /*On fail goto*//*Label 13800*/ GIMT_Encode4(904441), // Rule ID 61983 //
     /*  904371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904417 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  904420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904439 */     GIR_RootConstrainSelectedInstOperands,
     /*  904440 */     // GIR_Coverage, 61983,
     /*  904440 */     GIR_EraseRootFromParent_Done,
     /*  904441 */   // Label 13800: @904441
     /*  904441 */   GIM_Try, /*On fail goto*//*Label 13801*/ GIMT_Encode4(904516), // Rule ID 61986 //
     /*  904446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  904495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904514 */     GIR_RootConstrainSelectedInstOperands,
     /*  904515 */     // GIR_Coverage, 61986,
     /*  904515 */     GIR_EraseRootFromParent_Done,
     /*  904516 */   // Label 13801: @904516
     /*  904516 */   GIM_Try, /*On fail goto*//*Label 13802*/ GIMT_Encode4(904591), // Rule ID 61987 //
     /*  904521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904567 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  904570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904589 */     GIR_RootConstrainSelectedInstOperands,
     /*  904590 */     // GIR_Coverage, 61987,
     /*  904590 */     GIR_EraseRootFromParent_Done,
     /*  904591 */   // Label 13802: @904591
     /*  904591 */   GIM_Try, /*On fail goto*//*Label 13803*/ GIMT_Encode4(904666), // Rule ID 61990 //
     /*  904596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  904610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904642 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  904645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904664 */     GIR_RootConstrainSelectedInstOperands,
     /*  904665 */     // GIR_Coverage, 61990,
     /*  904665 */     GIR_EraseRootFromParent_Done,
     /*  904666 */   // Label 13803: @904666
     /*  904666 */   GIM_Try, /*On fail goto*//*Label 13804*/ GIMT_Encode4(904741), // Rule ID 61991 //
     /*  904671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  904685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  904720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904739 */     GIR_RootConstrainSelectedInstOperands,
     /*  904740 */     // GIR_Coverage, 61991,
     /*  904740 */     GIR_EraseRootFromParent_Done,
     /*  904741 */   // Label 13804: @904741
     /*  904741 */   GIM_Try, /*On fail goto*//*Label 13805*/ GIMT_Encode4(904816), // Rule ID 61994 //
     /*  904746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  904757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  904760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  904763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904792 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  904792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  904795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904814 */     GIR_RootConstrainSelectedInstOperands,
     /*  904815 */     // GIR_Coverage, 61994,
     /*  904815 */     GIR_EraseRootFromParent_Done,
     /*  904816 */   // Label 13805: @904816
     /*  904816 */   GIM_Try, /*On fail goto*//*Label 13806*/ GIMT_Encode4(904891), // Rule ID 61995 //
     /*  904821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  904832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  904835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  904838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904867 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  904867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  904870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904889 */     GIR_RootConstrainSelectedInstOperands,
     /*  904890 */     // GIR_Coverage, 61995,
     /*  904890 */     GIR_EraseRootFromParent_Done,
     /*  904891 */   // Label 13806: @904891
     /*  904891 */   GIM_Try, /*On fail goto*//*Label 13807*/ GIMT_Encode4(904966), // Rule ID 61998 //
     /*  904896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  904907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  904910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  904913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  904942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  904945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904964 */     GIR_RootConstrainSelectedInstOperands,
     /*  904965 */     // GIR_Coverage, 61998,
     /*  904965 */     GIR_EraseRootFromParent_Done,
     /*  904966 */   // Label 13807: @904966
     /*  904966 */   GIM_Try, /*On fail goto*//*Label 13808*/ GIMT_Encode4(905041), // Rule ID 61999 //
     /*  904971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  904982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  904985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  904988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905017 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  905017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  905020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905039 */     GIR_RootConstrainSelectedInstOperands,
     /*  905040 */     // GIR_Coverage, 61999,
     /*  905040 */     GIR_EraseRootFromParent_Done,
     /*  905041 */   // Label 13808: @905041
     /*  905041 */   GIM_Try, /*On fail goto*//*Label 13809*/ GIMT_Encode4(905116), // Rule ID 62002 //
     /*  905046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  905057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  905060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  905063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  905066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905092 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  905092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  905095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905114 */     GIR_RootConstrainSelectedInstOperands,
     /*  905115 */     // GIR_Coverage, 62002,
     /*  905115 */     GIR_EraseRootFromParent_Done,
     /*  905116 */   // Label 13809: @905116
     /*  905116 */   GIM_Try, /*On fail goto*//*Label 13810*/ GIMT_Encode4(905191), // Rule ID 62003 //
     /*  905121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  905132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  905135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  905138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905167 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  905167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  905170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905189 */     GIR_RootConstrainSelectedInstOperands,
     /*  905190 */     // GIR_Coverage, 62003,
     /*  905190 */     GIR_EraseRootFromParent_Done,
     /*  905191 */   // Label 13810: @905191
     /*  905191 */   GIM_Try, /*On fail goto*//*Label 13811*/ GIMT_Encode4(905266), // Rule ID 62446 //
     /*  905196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  905199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  905204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  905207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  905210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  905213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  905216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905242 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  905242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  905245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905264 */     GIR_RootConstrainSelectedInstOperands,
     /*  905265 */     // GIR_Coverage, 62446,
     /*  905265 */     GIR_EraseRootFromParent_Done,
     /*  905266 */   // Label 13811: @905266
     /*  905266 */   GIM_Try, /*On fail goto*//*Label 13812*/ GIMT_Encode4(905341), // Rule ID 62447 //
     /*  905271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  905274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  905279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  905282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  905285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  905288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  905291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905317 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  905317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  905320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905339 */     GIR_RootConstrainSelectedInstOperands,
     /*  905340 */     // GIR_Coverage, 62447,
     /*  905340 */     GIR_EraseRootFromParent_Done,
     /*  905341 */   // Label 13812: @905341
     /*  905341 */   GIM_Try, /*On fail goto*//*Label 13813*/ GIMT_Encode4(905416), // Rule ID 62448 //
     /*  905346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  905349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  905354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  905357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  905360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  905363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  905366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  905392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  905395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905414 */     GIR_RootConstrainSelectedInstOperands,
     /*  905415 */     // GIR_Coverage, 62448,
     /*  905415 */     GIR_EraseRootFromParent_Done,
     /*  905416 */   // Label 13813: @905416
     /*  905416 */   GIM_Try, /*On fail goto*//*Label 13814*/ GIMT_Encode4(905491), // Rule ID 62449 //
     /*  905421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  905424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  905429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  905432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  905435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  905438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  905441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  905467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  905470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905489 */     GIR_RootConstrainSelectedInstOperands,
     /*  905490 */     // GIR_Coverage, 62449,
     /*  905490 */     GIR_EraseRootFromParent_Done,
     /*  905491 */   // Label 13814: @905491
     /*  905491 */   GIM_Try, /*On fail goto*//*Label 13815*/ GIMT_Encode4(905566), // Rule ID 62450 //
     /*  905496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  905499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  905504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  905507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  905510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  905513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  905516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  905542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  905545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905564 */     GIR_RootConstrainSelectedInstOperands,
     /*  905565 */     // GIR_Coverage, 62450,
     /*  905565 */     GIR_EraseRootFromParent_Done,
     /*  905566 */   // Label 13815: @905566
     /*  905566 */   GIM_Try, /*On fail goto*//*Label 13816*/ GIMT_Encode4(905641), // Rule ID 62451 //
     /*  905571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  905574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  905579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  905582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  905585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  905588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  905591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905617 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  905617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  905620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905639 */     GIR_RootConstrainSelectedInstOperands,
     /*  905640 */     // GIR_Coverage, 62451,
     /*  905640 */     GIR_EraseRootFromParent_Done,
     /*  905641 */   // Label 13816: @905641
     /*  905641 */   GIM_Try, /*On fail goto*//*Label 13817*/ GIMT_Encode4(905716), // Rule ID 62452 //
     /*  905646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  905649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  905654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  905657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  905660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  905663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  905666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  905692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  905695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905714 */     GIR_RootConstrainSelectedInstOperands,
     /*  905715 */     // GIR_Coverage, 62452,
     /*  905715 */     GIR_EraseRootFromParent_Done,
     /*  905716 */   // Label 13817: @905716
     /*  905716 */   GIM_Try, /*On fail goto*//*Label 13818*/ GIMT_Encode4(905791), // Rule ID 62453 //
     /*  905721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  905724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  905729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  905732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  905735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  905738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  905741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  905767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  905770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905789 */     GIR_RootConstrainSelectedInstOperands,
     /*  905790 */     // GIR_Coverage, 62453,
     /*  905790 */     GIR_EraseRootFromParent_Done,
     /*  905791 */   // Label 13818: @905791
     /*  905791 */   GIM_Try, /*On fail goto*//*Label 13819*/ GIMT_Encode4(905855), // Rule ID 64522 //
     /*  905796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuN),
     /*  905804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905832 */     // MIs[0] imm5
     /*  905832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905835 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905840 */     // (intrinsic_wo_chain:{ *:[i32] } 11007:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACUN),
     /*  905843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905851 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905853 */     GIR_RootConstrainSelectedInstOperands,
     /*  905854 */     // GIR_Coverage, 64522,
     /*  905854 */     GIR_EraseRootFromParent_Done,
     /*  905855 */   // Label 13819: @905855
     /*  905855 */   GIM_Try, /*On fail goto*//*Label 13820*/ GIMT_Encode4(905919), // Rule ID 64523 //
     /*  905860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuN),
     /*  905868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905896 */     // MIs[0] imm5
     /*  905896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905904 */     // (intrinsic_wo_chain:{ *:[i32] } 11003:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHUN),
     /*  905907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905915 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905917 */     GIR_RootConstrainSelectedInstOperands,
     /*  905918 */     // GIR_Coverage, 64523,
     /*  905918 */     GIR_EraseRootFromParent_Done,
     /*  905919 */   // Label 13820: @905919
     /*  905919 */   GIM_Try, /*On fail goto*//*Label 13821*/ GIMT_Encode4(905983), // Rule ID 64524 //
     /*  905924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsN),
     /*  905932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905960 */     // MIs[0] imm5
     /*  905960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905968 */     // (intrinsic_wo_chain:{ *:[i32] } 11005:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSN),
     /*  905971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905979 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905981 */     GIR_RootConstrainSelectedInstOperands,
     /*  905982 */     // GIR_Coverage, 64524,
     /*  905982 */     GIR_EraseRootFromParent_Done,
     /*  905983 */   // Label 13821: @905983
     /*  905983 */   GIM_Try, /*On fail goto*//*Label 13822*/ GIMT_Encode4(906047), // Rule ID 64525 //
     /*  905988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsN),
     /*  905996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  906002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  906005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906024 */     // MIs[0] imm5
     /*  906024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906027 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  906032 */     // (intrinsic_wo_chain:{ *:[i32] } 11001:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  906032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSN),
     /*  906035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  906039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  906041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906043 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  906045 */     GIR_RootConstrainSelectedInstOperands,
     /*  906046 */     // GIR_Coverage, 64525,
     /*  906046 */     GIR_EraseRootFromParent_Done,
     /*  906047 */   // Label 13822: @906047
     /*  906047 */   GIM_Try, /*On fail goto*//*Label 13823*/ GIMT_Encode4(906111), // Rule ID 64526 //
     /*  906052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  906055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuRN),
     /*  906060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  906063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  906066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  906069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906088 */     // MIs[0] imm5
     /*  906088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  906096 */     // (intrinsic_wo_chain:{ *:[i32] } 11008:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  906096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACURN),
     /*  906099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  906103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  906105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906107 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  906109 */     GIR_RootConstrainSelectedInstOperands,
     /*  906110 */     // GIR_Coverage, 64526,
     /*  906110 */     GIR_EraseRootFromParent_Done,
     /*  906111 */   // Label 13823: @906111
     /*  906111 */   GIM_Try, /*On fail goto*//*Label 13824*/ GIMT_Encode4(906175), // Rule ID 64527 //
     /*  906116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  906119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuRN),
     /*  906124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  906127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  906130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  906133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906152 */     // MIs[0] imm5
     /*  906152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906155 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  906160 */     // (intrinsic_wo_chain:{ *:[i32] } 11004:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  906160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHURN),
     /*  906163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  906167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  906169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906171 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  906173 */     GIR_RootConstrainSelectedInstOperands,
     /*  906174 */     // GIR_Coverage, 64527,
     /*  906174 */     GIR_EraseRootFromParent_Done,
     /*  906175 */   // Label 13824: @906175
     /*  906175 */   GIM_Try, /*On fail goto*//*Label 13825*/ GIMT_Encode4(906239), // Rule ID 64528 //
     /*  906180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  906183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsRN),
     /*  906188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  906191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  906194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  906197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906216 */     // MIs[0] imm5
     /*  906216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906219 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  906224 */     // (intrinsic_wo_chain:{ *:[i32] } 11006:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  906224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSRN),
     /*  906227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  906231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  906233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906235 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  906237 */     GIR_RootConstrainSelectedInstOperands,
     /*  906238 */     // GIR_Coverage, 64528,
     /*  906238 */     GIR_EraseRootFromParent_Done,
     /*  906239 */   // Label 13825: @906239
     /*  906239 */   GIM_Try, /*On fail goto*//*Label 13826*/ GIMT_Encode4(906303), // Rule ID 64529 //
     /*  906244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  906247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsRN),
     /*  906252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  906255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  906258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  906261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906280 */     // MIs[0] imm5
     /*  906280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  906288 */     // (intrinsic_wo_chain:{ *:[i32] } 11002:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  906288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSRN),
     /*  906291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  906295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  906297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906299 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  906301 */     GIR_RootConstrainSelectedInstOperands,
     /*  906302 */     // GIR_Coverage, 64529,
     /*  906302 */     GIR_EraseRootFromParent_Done,
     /*  906303 */   // Label 13826: @906303
     /*  906303 */   GIM_Reject,
     /*  906304 */ // Label 6980: @906304
     /*  906304 */ GIM_Try, /*On fail goto*//*Label 13827*/ GIMT_Encode4(1401855),
     /*  906309 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  906312 */   GIM_Try, /*On fail goto*//*Label 13828*/ GIMT_Encode4(906395), // Rule ID 62861 //
     /*  906317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  906328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  906331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  906334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906341 */     // MIs[0] op1
     /*  906341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906344 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906357 */     // MIs[0] op4
     /*  906357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906360 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  906372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_MF8),
     /*  906375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906377 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906379 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906381 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906383 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906393 */     GIR_RootConstrainSelectedInstOperands,
     /*  906394 */     // GIR_Coverage, 62861,
     /*  906394 */     GIR_EraseRootFromParent_Done,
     /*  906395 */   // Label 13828: @906395
     /*  906395 */   GIM_Try, /*On fail goto*//*Label 13829*/ GIMT_Encode4(906478), // Rule ID 62862 //
     /*  906400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  906411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  906414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  906417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906424 */     // MIs[0] op1
     /*  906424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906440 */     // MIs[0] op4
     /*  906440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906443 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906455 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  906455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_MF8),
     /*  906458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906460 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906462 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906464 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906466 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906476 */     GIR_RootConstrainSelectedInstOperands,
     /*  906477 */     // GIR_Coverage, 62862,
     /*  906477 */     GIR_EraseRootFromParent_Done,
     /*  906478 */   // Label 13829: @906478
     /*  906478 */   GIM_Try, /*On fail goto*//*Label 13830*/ GIMT_Encode4(906561), // Rule ID 62905 //
     /*  906483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  906494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  906497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  906500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906507 */     // MIs[0] op1
     /*  906507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906523 */     // MIs[0] op4
     /*  906523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906526 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906538 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  906538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_MF4),
     /*  906541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906543 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906545 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906547 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906549 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906559 */     GIR_RootConstrainSelectedInstOperands,
     /*  906560 */     // GIR_Coverage, 62905,
     /*  906560 */     GIR_EraseRootFromParent_Done,
     /*  906561 */   // Label 13830: @906561
     /*  906561 */   GIM_Try, /*On fail goto*//*Label 13831*/ GIMT_Encode4(906644), // Rule ID 62906 //
     /*  906566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  906577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  906580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  906583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906590 */     // MIs[0] op1
     /*  906590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906593 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906606 */     // MIs[0] op4
     /*  906606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906621 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  906621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_MF4),
     /*  906624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906626 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906628 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906630 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906632 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906642 */     GIR_RootConstrainSelectedInstOperands,
     /*  906643 */     // GIR_Coverage, 62906,
     /*  906643 */     GIR_EraseRootFromParent_Done,
     /*  906644 */   // Label 13831: @906644
     /*  906644 */   GIM_Try, /*On fail goto*//*Label 13832*/ GIMT_Encode4(906727), // Rule ID 62949 //
     /*  906649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  906660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  906663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  906666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906673 */     // MIs[0] op1
     /*  906673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906689 */     // MIs[0] op4
     /*  906689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906692 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906704 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  906704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_MF2),
     /*  906707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906709 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906711 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906713 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906715 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906725 */     GIR_RootConstrainSelectedInstOperands,
     /*  906726 */     // GIR_Coverage, 62949,
     /*  906726 */     GIR_EraseRootFromParent_Done,
     /*  906727 */   // Label 13832: @906727
     /*  906727 */   GIM_Try, /*On fail goto*//*Label 13833*/ GIMT_Encode4(906810), // Rule ID 62950 //
     /*  906732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  906743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  906746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  906749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906756 */     // MIs[0] op1
     /*  906756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906772 */     // MIs[0] op4
     /*  906772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906775 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906787 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  906787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_MF2),
     /*  906790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906792 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906794 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906796 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906798 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906808 */     GIR_RootConstrainSelectedInstOperands,
     /*  906809 */     // GIR_Coverage, 62950,
     /*  906809 */     GIR_EraseRootFromParent_Done,
     /*  906810 */   // Label 13833: @906810
     /*  906810 */   GIM_Try, /*On fail goto*//*Label 13834*/ GIMT_Encode4(906893), // Rule ID 62993 //
     /*  906815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  906826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  906829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  906832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906839 */     // MIs[0] op1
     /*  906839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906855 */     // MIs[0] op4
     /*  906855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906870 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_MF4),
     /*  906873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906875 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906877 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906879 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906881 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906891 */     GIR_RootConstrainSelectedInstOperands,
     /*  906892 */     // GIR_Coverage, 62993,
     /*  906892 */     GIR_EraseRootFromParent_Done,
     /*  906893 */   // Label 13834: @906893
     /*  906893 */   GIM_Try, /*On fail goto*//*Label 13835*/ GIMT_Encode4(906976), // Rule ID 62994 //
     /*  906898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  906909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  906912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  906915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906922 */     // MIs[0] op1
     /*  906922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906925 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906938 */     // MIs[0] op4
     /*  906938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906941 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906953 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_MF4),
     /*  906956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906958 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906960 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906962 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906964 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906974 */     GIR_RootConstrainSelectedInstOperands,
     /*  906975 */     // GIR_Coverage, 62994,
     /*  906975 */     GIR_EraseRootFromParent_Done,
     /*  906976 */   // Label 13835: @906976
     /*  906976 */   GIM_Try, /*On fail goto*//*Label 13836*/ GIMT_Encode4(907059), // Rule ID 63049 //
     /*  906981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  906992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  906998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907005 */     // MIs[0] op1
     /*  907005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907021 */     // MIs[0] op4
     /*  907021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907024 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  907036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_MF2),
     /*  907039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907041 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907043 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907045 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907047 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907057 */     GIR_RootConstrainSelectedInstOperands,
     /*  907058 */     // GIR_Coverage, 63049,
     /*  907058 */     GIR_EraseRootFromParent_Done,
     /*  907059 */   // Label 13836: @907059
     /*  907059 */   GIM_Try, /*On fail goto*//*Label 13837*/ GIMT_Encode4(907142), // Rule ID 63050 //
     /*  907064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  907075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  907078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  907081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907088 */     // MIs[0] op1
     /*  907088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907104 */     // MIs[0] op4
     /*  907104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907107 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907119 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  907119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_MF2),
     /*  907122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907124 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907126 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907128 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907130 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907140 */     GIR_RootConstrainSelectedInstOperands,
     /*  907141 */     // GIR_Coverage, 63050,
     /*  907141 */     GIR_EraseRootFromParent_Done,
     /*  907142 */   // Label 13837: @907142
     /*  907142 */   GIM_Try, /*On fail goto*//*Label 13838*/ GIMT_Encode4(907225), // Rule ID 63105 //
     /*  907147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  907158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  907161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  907164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907171 */     // MIs[0] op1
     /*  907171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907174 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907187 */     // MIs[0] op4
     /*  907187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907190 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907202 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  907202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_MF2),
     /*  907205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907207 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907209 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907211 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907213 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907223 */     GIR_RootConstrainSelectedInstOperands,
     /*  907224 */     // GIR_Coverage, 63105,
     /*  907224 */     GIR_EraseRootFromParent_Done,
     /*  907225 */   // Label 13838: @907225
     /*  907225 */   GIM_Try, /*On fail goto*//*Label 13839*/ GIMT_Encode4(907308), // Rule ID 63106 //
     /*  907230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  907241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  907244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  907247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907254 */     // MIs[0] op1
     /*  907254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907257 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907270 */     // MIs[0] op4
     /*  907270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907273 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907285 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  907285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_MF2),
     /*  907288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907290 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907292 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907294 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907296 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907306 */     GIR_RootConstrainSelectedInstOperands,
     /*  907307 */     // GIR_Coverage, 63106,
     /*  907307 */     GIR_EraseRootFromParent_Done,
     /*  907308 */   // Label 13839: @907308
     /*  907308 */   GIM_Try, /*On fail goto*//*Label 13840*/ GIMT_Encode4(907391), // Rule ID 63161 //
     /*  907313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  907324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  907327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  907330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907337 */     // MIs[0] op1
     /*  907337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907340 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907353 */     // MIs[0] op4
     /*  907353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M1),
     /*  907371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907373 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907375 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907377 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907379 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907389 */     GIR_RootConstrainSelectedInstOperands,
     /*  907390 */     // GIR_Coverage, 63161,
     /*  907390 */     GIR_EraseRootFromParent_Done,
     /*  907391 */   // Label 13840: @907391
     /*  907391 */   GIM_Try, /*On fail goto*//*Label 13841*/ GIMT_Encode4(907474), // Rule ID 63162 //
     /*  907396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  907407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  907410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  907413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907420 */     // MIs[0] op1
     /*  907420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907423 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907436 */     // MIs[0] op4
     /*  907436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907439 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907451 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M1),
     /*  907454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907456 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907458 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907460 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907462 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907472 */     GIR_RootConstrainSelectedInstOperands,
     /*  907473 */     // GIR_Coverage, 63162,
     /*  907473 */     GIR_EraseRootFromParent_Done,
     /*  907474 */   // Label 13841: @907474
     /*  907474 */   GIM_Try, /*On fail goto*//*Label 13842*/ GIMT_Encode4(907557), // Rule ID 63205 //
     /*  907479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  907490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  907493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  907496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907503 */     // MIs[0] op1
     /*  907503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907506 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907519 */     // MIs[0] op4
     /*  907519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907534 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  907534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M1),
     /*  907537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907539 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907541 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907543 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907545 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907555 */     GIR_RootConstrainSelectedInstOperands,
     /*  907556 */     // GIR_Coverage, 63205,
     /*  907556 */     GIR_EraseRootFromParent_Done,
     /*  907557 */   // Label 13842: @907557
     /*  907557 */   GIM_Try, /*On fail goto*//*Label 13843*/ GIMT_Encode4(907640), // Rule ID 63206 //
     /*  907562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  907573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  907576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  907579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907586 */     // MIs[0] op1
     /*  907586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907589 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907602 */     // MIs[0] op4
     /*  907602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907605 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907617 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  907617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M1),
     /*  907620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907622 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907624 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907626 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907628 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907638 */     GIR_RootConstrainSelectedInstOperands,
     /*  907639 */     // GIR_Coverage, 63206,
     /*  907639 */     GIR_EraseRootFromParent_Done,
     /*  907640 */   // Label 13843: @907640
     /*  907640 */   GIM_Try, /*On fail goto*//*Label 13844*/ GIMT_Encode4(907723), // Rule ID 63261 //
     /*  907645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  907656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  907659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  907662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907669 */     // MIs[0] op1
     /*  907669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907685 */     // MIs[0] op4
     /*  907685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907688 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  907700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M1),
     /*  907703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907705 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907707 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907709 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907711 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907721 */     GIR_RootConstrainSelectedInstOperands,
     /*  907722 */     // GIR_Coverage, 63261,
     /*  907722 */     GIR_EraseRootFromParent_Done,
     /*  907723 */   // Label 13844: @907723
     /*  907723 */   GIM_Try, /*On fail goto*//*Label 13845*/ GIMT_Encode4(907806), // Rule ID 63262 //
     /*  907728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  907739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  907742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  907745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907752 */     // MIs[0] op1
     /*  907752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907768 */     // MIs[0] op4
     /*  907768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907771 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  907783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M1),
     /*  907786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907788 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907790 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907792 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907794 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907804 */     GIR_RootConstrainSelectedInstOperands,
     /*  907805 */     // GIR_Coverage, 63262,
     /*  907805 */     GIR_EraseRootFromParent_Done,
     /*  907806 */   // Label 13845: @907806
     /*  907806 */   GIM_Try, /*On fail goto*//*Label 13846*/ GIMT_Encode4(907889), // Rule ID 63317 //
     /*  907811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  907822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  907825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  907828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907835 */     // MIs[0] op1
     /*  907835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907851 */     // MIs[0] op4
     /*  907851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907854 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907866 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  907866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M1),
     /*  907869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907871 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907873 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907875 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907877 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907887 */     GIR_RootConstrainSelectedInstOperands,
     /*  907888 */     // GIR_Coverage, 63317,
     /*  907888 */     GIR_EraseRootFromParent_Done,
     /*  907889 */   // Label 13846: @907889
     /*  907889 */   GIM_Try, /*On fail goto*//*Label 13847*/ GIMT_Encode4(907972), // Rule ID 63318 //
     /*  907894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  907905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  907908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  907911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907918 */     // MIs[0] op1
     /*  907918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907921 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907934 */     // MIs[0] op4
     /*  907934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907937 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907949 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  907949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M1),
     /*  907952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907954 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907956 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907958 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907960 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907970 */     GIR_RootConstrainSelectedInstOperands,
     /*  907971 */     // GIR_Coverage, 63318,
     /*  907971 */     GIR_EraseRootFromParent_Done,
     /*  907972 */   // Label 13847: @907972
     /*  907972 */   GIM_Try, /*On fail goto*//*Label 13848*/ GIMT_Encode4(908055), // Rule ID 63373 //
     /*  907977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  907988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  907991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  907994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908001 */     // MIs[0] op1
     /*  908001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908004 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908017 */     // MIs[0] op4
     /*  908017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908032 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  908032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M2),
     /*  908035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908037 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908039 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908041 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908043 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908053 */     GIR_RootConstrainSelectedInstOperands,
     /*  908054 */     // GIR_Coverage, 63373,
     /*  908054 */     GIR_EraseRootFromParent_Done,
     /*  908055 */   // Label 13848: @908055
     /*  908055 */   GIM_Try, /*On fail goto*//*Label 13849*/ GIMT_Encode4(908138), // Rule ID 63374 //
     /*  908060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  908071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  908074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  908077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908084 */     // MIs[0] op1
     /*  908084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908087 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908100 */     // MIs[0] op4
     /*  908100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908103 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908115 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  908115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M2),
     /*  908118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908120 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908122 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908124 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908126 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908136 */     GIR_RootConstrainSelectedInstOperands,
     /*  908137 */     // GIR_Coverage, 63374,
     /*  908137 */     GIR_EraseRootFromParent_Done,
     /*  908138 */   // Label 13849: @908138
     /*  908138 */   GIM_Try, /*On fail goto*//*Label 13850*/ GIMT_Encode4(908221), // Rule ID 63417 //
     /*  908143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  908154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  908157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  908160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908167 */     // MIs[0] op1
     /*  908167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908183 */     // MIs[0] op4
     /*  908183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908198 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  908198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M4),
     /*  908201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908203 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908205 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908207 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908209 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908219 */     GIR_RootConstrainSelectedInstOperands,
     /*  908220 */     // GIR_Coverage, 63417,
     /*  908220 */     GIR_EraseRootFromParent_Done,
     /*  908221 */   // Label 13850: @908221
     /*  908221 */   GIM_Try, /*On fail goto*//*Label 13851*/ GIMT_Encode4(908304), // Rule ID 63418 //
     /*  908226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  908237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  908240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  908243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908250 */     // MIs[0] op1
     /*  908250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908266 */     // MIs[0] op4
     /*  908266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908269 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908281 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  908281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M4),
     /*  908284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908286 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908288 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908290 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908292 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908302 */     GIR_RootConstrainSelectedInstOperands,
     /*  908303 */     // GIR_Coverage, 63418,
     /*  908303 */     GIR_EraseRootFromParent_Done,
     /*  908304 */   // Label 13851: @908304
     /*  908304 */   GIM_Try, /*On fail goto*//*Label 13852*/ GIMT_Encode4(908387), // Rule ID 63461 //
     /*  908309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  908320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  908323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  908326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908333 */     // MIs[0] op1
     /*  908333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908336 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908349 */     // MIs[0] op4
     /*  908349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908364 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  908364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M8),
     /*  908367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908369 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908371 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908373 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908375 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908385 */     GIR_RootConstrainSelectedInstOperands,
     /*  908386 */     // GIR_Coverage, 63461,
     /*  908386 */     GIR_EraseRootFromParent_Done,
     /*  908387 */   // Label 13852: @908387
     /*  908387 */   GIM_Try, /*On fail goto*//*Label 13853*/ GIMT_Encode4(908470), // Rule ID 63462 //
     /*  908392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  908403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  908406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  908409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908416 */     // MIs[0] op1
     /*  908416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908432 */     // MIs[0] op4
     /*  908432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908435 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908447 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  908447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M8),
     /*  908450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908452 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908454 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908456 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908458 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908468 */     GIR_RootConstrainSelectedInstOperands,
     /*  908469 */     // GIR_Coverage, 63462,
     /*  908469 */     GIR_EraseRootFromParent_Done,
     /*  908470 */   // Label 13853: @908470
     /*  908470 */   GIM_Try, /*On fail goto*//*Label 13854*/ GIMT_Encode4(908553), // Rule ID 63505 //
     /*  908475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  908486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  908489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  908492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908499 */     // MIs[0] op1
     /*  908499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908515 */     // MIs[0] op4
     /*  908515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908518 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908530 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  908530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M2),
     /*  908533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908535 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908537 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908539 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908541 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908551 */     GIR_RootConstrainSelectedInstOperands,
     /*  908552 */     // GIR_Coverage, 63505,
     /*  908552 */     GIR_EraseRootFromParent_Done,
     /*  908553 */   // Label 13854: @908553
     /*  908553 */   GIM_Try, /*On fail goto*//*Label 13855*/ GIMT_Encode4(908636), // Rule ID 63506 //
     /*  908558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  908569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  908572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  908575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908582 */     // MIs[0] op1
     /*  908582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908585 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908598 */     // MIs[0] op4
     /*  908598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908601 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908613 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  908613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M2),
     /*  908616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908618 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908620 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908622 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908624 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908634 */     GIR_RootConstrainSelectedInstOperands,
     /*  908635 */     // GIR_Coverage, 63506,
     /*  908635 */     GIR_EraseRootFromParent_Done,
     /*  908636 */   // Label 13855: @908636
     /*  908636 */   GIM_Try, /*On fail goto*//*Label 13856*/ GIMT_Encode4(908719), // Rule ID 63561 //
     /*  908641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  908652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  908655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  908658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908665 */     // MIs[0] op1
     /*  908665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908668 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908681 */     // MIs[0] op4
     /*  908681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908684 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  908696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M4),
     /*  908699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908701 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908703 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908705 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908707 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908717 */     GIR_RootConstrainSelectedInstOperands,
     /*  908718 */     // GIR_Coverage, 63561,
     /*  908718 */     GIR_EraseRootFromParent_Done,
     /*  908719 */   // Label 13856: @908719
     /*  908719 */   GIM_Try, /*On fail goto*//*Label 13857*/ GIMT_Encode4(908802), // Rule ID 63562 //
     /*  908724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  908735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  908738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  908741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908748 */     // MIs[0] op1
     /*  908748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908751 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908764 */     // MIs[0] op4
     /*  908764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908767 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908779 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  908779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M4),
     /*  908782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908784 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908786 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908788 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908790 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908800 */     GIR_RootConstrainSelectedInstOperands,
     /*  908801 */     // GIR_Coverage, 63562,
     /*  908801 */     GIR_EraseRootFromParent_Done,
     /*  908802 */   // Label 13857: @908802
     /*  908802 */   GIM_Try, /*On fail goto*//*Label 13858*/ GIMT_Encode4(908885), // Rule ID 63617 //
     /*  908807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  908818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  908821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  908824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908831 */     // MIs[0] op1
     /*  908831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908834 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908847 */     // MIs[0] op4
     /*  908847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908850 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  908862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M8),
     /*  908865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908867 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908869 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908871 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908873 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908883 */     GIR_RootConstrainSelectedInstOperands,
     /*  908884 */     // GIR_Coverage, 63617,
     /*  908884 */     GIR_EraseRootFromParent_Done,
     /*  908885 */   // Label 13858: @908885
     /*  908885 */   GIM_Try, /*On fail goto*//*Label 13859*/ GIMT_Encode4(908968), // Rule ID 63618 //
     /*  908890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  908901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  908904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  908907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908914 */     // MIs[0] op1
     /*  908914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908917 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908930 */     // MIs[0] op4
     /*  908930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908933 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908945 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  908945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M8),
     /*  908948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908950 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908952 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908954 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908956 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908966 */     GIR_RootConstrainSelectedInstOperands,
     /*  908967 */     // GIR_Coverage, 63618,
     /*  908967 */     GIR_EraseRootFromParent_Done,
     /*  908968 */   // Label 13859: @908968
     /*  908968 */   GIM_Try, /*On fail goto*//*Label 13860*/ GIMT_Encode4(909051), // Rule ID 63673 //
     /*  908973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  908990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908997 */     // MIs[0] op1
     /*  908997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909000 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909013 */     // MIs[0] op4
     /*  909013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909016 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  909028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M2),
     /*  909031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909033 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909035 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909037 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909039 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909049 */     GIR_RootConstrainSelectedInstOperands,
     /*  909050 */     // GIR_Coverage, 63673,
     /*  909050 */     GIR_EraseRootFromParent_Done,
     /*  909051 */   // Label 13860: @909051
     /*  909051 */   GIM_Try, /*On fail goto*//*Label 13861*/ GIMT_Encode4(909134), // Rule ID 63674 //
     /*  909056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  909067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  909070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  909073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909080 */     // MIs[0] op1
     /*  909080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909096 */     // MIs[0] op4
     /*  909096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909099 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909111 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  909111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M2),
     /*  909114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909116 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909118 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909120 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909122 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909132 */     GIR_RootConstrainSelectedInstOperands,
     /*  909133 */     // GIR_Coverage, 63674,
     /*  909133 */     GIR_EraseRootFromParent_Done,
     /*  909134 */   // Label 13861: @909134
     /*  909134 */   GIM_Try, /*On fail goto*//*Label 13862*/ GIMT_Encode4(909217), // Rule ID 63729 //
     /*  909139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  909150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  909153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  909156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909163 */     // MIs[0] op1
     /*  909163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909179 */     // MIs[0] op4
     /*  909179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909182 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909194 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  909194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M4),
     /*  909197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909199 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909201 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909203 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909205 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909215 */     GIR_RootConstrainSelectedInstOperands,
     /*  909216 */     // GIR_Coverage, 63729,
     /*  909216 */     GIR_EraseRootFromParent_Done,
     /*  909217 */   // Label 13862: @909217
     /*  909217 */   GIM_Try, /*On fail goto*//*Label 13863*/ GIMT_Encode4(909300), // Rule ID 63730 //
     /*  909222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  909233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  909236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  909239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909246 */     // MIs[0] op1
     /*  909246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909249 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909262 */     // MIs[0] op4
     /*  909262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909265 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909277 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  909277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M4),
     /*  909280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909282 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909284 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909286 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909288 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909298 */     GIR_RootConstrainSelectedInstOperands,
     /*  909299 */     // GIR_Coverage, 63730,
     /*  909299 */     GIR_EraseRootFromParent_Done,
     /*  909300 */   // Label 13863: @909300
     /*  909300 */   GIM_Try, /*On fail goto*//*Label 13864*/ GIMT_Encode4(909383), // Rule ID 63785 //
     /*  909305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  909316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  909319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  909322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909329 */     // MIs[0] op1
     /*  909329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909345 */     // MIs[0] op4
     /*  909345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909348 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909360 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  909360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M8),
     /*  909363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909365 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909367 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909369 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909371 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909381 */     GIR_RootConstrainSelectedInstOperands,
     /*  909382 */     // GIR_Coverage, 63785,
     /*  909382 */     GIR_EraseRootFromParent_Done,
     /*  909383 */   // Label 13864: @909383
     /*  909383 */   GIM_Try, /*On fail goto*//*Label 13865*/ GIMT_Encode4(909466), // Rule ID 63786 //
     /*  909388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  909399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  909402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  909405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909412 */     // MIs[0] op1
     /*  909412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909415 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909428 */     // MIs[0] op4
     /*  909428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909431 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909443 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  909443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M8),
     /*  909446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909448 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909450 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909452 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909454 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909464 */     GIR_RootConstrainSelectedInstOperands,
     /*  909465 */     // GIR_Coverage, 63786,
     /*  909465 */     GIR_EraseRootFromParent_Done,
     /*  909466 */   // Label 13865: @909466
     /*  909466 */   GIM_Try, /*On fail goto*//*Label 13866*/ GIMT_Encode4(909549), // Rule ID 63841 //
     /*  909471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  909482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  909485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  909488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909495 */     // MIs[0] op1
     /*  909495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909498 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909511 */     // MIs[0] op4
     /*  909511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909526 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  909526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M2),
     /*  909529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909531 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909533 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909535 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909537 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909547 */     GIR_RootConstrainSelectedInstOperands,
     /*  909548 */     // GIR_Coverage, 63841,
     /*  909548 */     GIR_EraseRootFromParent_Done,
     /*  909549 */   // Label 13866: @909549
     /*  909549 */   GIM_Try, /*On fail goto*//*Label 13867*/ GIMT_Encode4(909632), // Rule ID 63842 //
     /*  909554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  909565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  909568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  909571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909578 */     // MIs[0] op1
     /*  909578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909581 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909594 */     // MIs[0] op4
     /*  909594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909609 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  909609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M2),
     /*  909612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909614 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909616 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909618 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909620 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909630 */     GIR_RootConstrainSelectedInstOperands,
     /*  909631 */     // GIR_Coverage, 63842,
     /*  909631 */     GIR_EraseRootFromParent_Done,
     /*  909632 */   // Label 13867: @909632
     /*  909632 */   GIM_Try, /*On fail goto*//*Label 13868*/ GIMT_Encode4(909715), // Rule ID 63897 //
     /*  909637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  909648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  909651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  909654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909661 */     // MIs[0] op1
     /*  909661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909677 */     // MIs[0] op4
     /*  909677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  909692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M4),
     /*  909695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909697 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909699 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909701 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909703 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909713 */     GIR_RootConstrainSelectedInstOperands,
     /*  909714 */     // GIR_Coverage, 63897,
     /*  909714 */     GIR_EraseRootFromParent_Done,
     /*  909715 */   // Label 13868: @909715
     /*  909715 */   GIM_Try, /*On fail goto*//*Label 13869*/ GIMT_Encode4(909798), // Rule ID 63898 //
     /*  909720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  909731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  909734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  909737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909744 */     // MIs[0] op1
     /*  909744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909760 */     // MIs[0] op4
     /*  909760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909775 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  909775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M4),
     /*  909778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909780 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909782 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909784 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909786 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909796 */     GIR_RootConstrainSelectedInstOperands,
     /*  909797 */     // GIR_Coverage, 63898,
     /*  909797 */     GIR_EraseRootFromParent_Done,
     /*  909798 */   // Label 13869: @909798
     /*  909798 */   GIM_Try, /*On fail goto*//*Label 13870*/ GIMT_Encode4(909881), // Rule ID 63953 //
     /*  909803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  909814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  909817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  909820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909827 */     // MIs[0] op1
     /*  909827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909843 */     // MIs[0] op4
     /*  909843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909846 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  909858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M8),
     /*  909861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909863 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909865 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909867 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909869 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909879 */     GIR_RootConstrainSelectedInstOperands,
     /*  909880 */     // GIR_Coverage, 63953,
     /*  909880 */     GIR_EraseRootFromParent_Done,
     /*  909881 */   // Label 13870: @909881
     /*  909881 */   GIM_Try, /*On fail goto*//*Label 13871*/ GIMT_Encode4(909964), // Rule ID 63954 //
     /*  909886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  909897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  909900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  909903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909910 */     // MIs[0] op1
     /*  909910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909926 */     // MIs[0] op4
     /*  909926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909941 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  909941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVV_M8),
     /*  909944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909946 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909948 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909950 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909952 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909962 */     GIR_RootConstrainSelectedInstOperands,
     /*  909963 */     // GIR_Coverage, 63954,
     /*  909963 */     GIR_EraseRootFromParent_Done,
     /*  909964 */   // Label 13871: @909964
     /*  909964 */   GIM_Try, /*On fail goto*//*Label 13872*/ GIMT_Encode4(910047), // Rule ID 63983 //
     /*  909969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  909980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  909983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  909986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909993 */     // MIs[0] op1
     /*  909993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909996 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910009 */     // MIs[0] op4
     /*  910009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_MF8),
     /*  910027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910029 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910031 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910033 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910035 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910045 */     GIR_RootConstrainSelectedInstOperands,
     /*  910046 */     // GIR_Coverage, 63983,
     /*  910046 */     GIR_EraseRootFromParent_Done,
     /*  910047 */   // Label 13872: @910047
     /*  910047 */   GIM_Try, /*On fail goto*//*Label 13873*/ GIMT_Encode4(910130), // Rule ID 63984 //
     /*  910052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  910063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  910066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  910069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910076 */     // MIs[0] op1
     /*  910076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910079 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910092 */     // MIs[0] op4
     /*  910092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910095 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910107 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_MF8),
     /*  910110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910112 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910114 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910116 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910118 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910128 */     GIR_RootConstrainSelectedInstOperands,
     /*  910129 */     // GIR_Coverage, 63984,
     /*  910129 */     GIR_EraseRootFromParent_Done,
     /*  910130 */   // Label 13873: @910130
     /*  910130 */   GIM_Try, /*On fail goto*//*Label 13874*/ GIMT_Encode4(910213), // Rule ID 64001 //
     /*  910135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  910146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  910149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  910152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910159 */     // MIs[0] op1
     /*  910159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910162 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910175 */     // MIs[0] op4
     /*  910175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910190 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_MF4),
     /*  910193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910195 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910197 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910199 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910201 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910211 */     GIR_RootConstrainSelectedInstOperands,
     /*  910212 */     // GIR_Coverage, 64001,
     /*  910212 */     GIR_EraseRootFromParent_Done,
     /*  910213 */   // Label 13874: @910213
     /*  910213 */   GIM_Try, /*On fail goto*//*Label 13875*/ GIMT_Encode4(910296), // Rule ID 64002 //
     /*  910218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  910229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  910232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  910235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910242 */     // MIs[0] op1
     /*  910242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910245 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910258 */     // MIs[0] op4
     /*  910258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910273 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_MF4),
     /*  910276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910278 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910280 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910282 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910284 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910294 */     GIR_RootConstrainSelectedInstOperands,
     /*  910295 */     // GIR_Coverage, 64002,
     /*  910295 */     GIR_EraseRootFromParent_Done,
     /*  910296 */   // Label 13875: @910296
     /*  910296 */   GIM_Try, /*On fail goto*//*Label 13876*/ GIMT_Encode4(910379), // Rule ID 64019 //
     /*  910301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  910312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  910315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  910318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910325 */     // MIs[0] op1
     /*  910325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910328 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910341 */     // MIs[0] op4
     /*  910341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910344 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910356 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_MF2),
     /*  910359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910361 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910363 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910365 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910367 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910377 */     GIR_RootConstrainSelectedInstOperands,
     /*  910378 */     // GIR_Coverage, 64019,
     /*  910378 */     GIR_EraseRootFromParent_Done,
     /*  910379 */   // Label 13876: @910379
     /*  910379 */   GIM_Try, /*On fail goto*//*Label 13877*/ GIMT_Encode4(910462), // Rule ID 64020 //
     /*  910384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  910395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  910398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  910401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910408 */     // MIs[0] op1
     /*  910408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910424 */     // MIs[0] op4
     /*  910424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910439 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_MF2),
     /*  910442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910444 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910446 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910448 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910450 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910460 */     GIR_RootConstrainSelectedInstOperands,
     /*  910461 */     // GIR_Coverage, 64020,
     /*  910461 */     GIR_EraseRootFromParent_Done,
     /*  910462 */   // Label 13877: @910462
     /*  910462 */   GIM_Try, /*On fail goto*//*Label 13878*/ GIMT_Encode4(910545), // Rule ID 64037 //
     /*  910467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  910478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  910481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  910484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910491 */     // MIs[0] op1
     /*  910491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910507 */     // MIs[0] op4
     /*  910507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M1),
     /*  910525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910527 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910529 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910531 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910533 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910543 */     GIR_RootConstrainSelectedInstOperands,
     /*  910544 */     // GIR_Coverage, 64037,
     /*  910544 */     GIR_EraseRootFromParent_Done,
     /*  910545 */   // Label 13878: @910545
     /*  910545 */   GIM_Try, /*On fail goto*//*Label 13879*/ GIMT_Encode4(910628), // Rule ID 64038 //
     /*  910550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  910561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  910564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  910567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910574 */     // MIs[0] op1
     /*  910574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910577 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910590 */     // MIs[0] op4
     /*  910590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910593 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910605 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M1),
     /*  910608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910610 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910612 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910614 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910616 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910626 */     GIR_RootConstrainSelectedInstOperands,
     /*  910627 */     // GIR_Coverage, 64038,
     /*  910627 */     GIR_EraseRootFromParent_Done,
     /*  910628 */   // Label 13879: @910628
     /*  910628 */   GIM_Try, /*On fail goto*//*Label 13880*/ GIMT_Encode4(910711), // Rule ID 64055 //
     /*  910633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  910644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  910647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  910650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910657 */     // MIs[0] op1
     /*  910657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910673 */     // MIs[0] op4
     /*  910673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M2),
     /*  910691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910693 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910695 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910697 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910699 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910709 */     GIR_RootConstrainSelectedInstOperands,
     /*  910710 */     // GIR_Coverage, 64055,
     /*  910710 */     GIR_EraseRootFromParent_Done,
     /*  910711 */   // Label 13880: @910711
     /*  910711 */   GIM_Try, /*On fail goto*//*Label 13881*/ GIMT_Encode4(910794), // Rule ID 64056 //
     /*  910716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  910727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  910730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  910733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910740 */     // MIs[0] op1
     /*  910740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910743 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910756 */     // MIs[0] op4
     /*  910756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M2),
     /*  910774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910776 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910778 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910780 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910782 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910792 */     GIR_RootConstrainSelectedInstOperands,
     /*  910793 */     // GIR_Coverage, 64056,
     /*  910793 */     GIR_EraseRootFromParent_Done,
     /*  910794 */   // Label 13881: @910794
     /*  910794 */   GIM_Try, /*On fail goto*//*Label 13882*/ GIMT_Encode4(910877), // Rule ID 64073 //
     /*  910799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  910810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  910813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  910816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910823 */     // MIs[0] op1
     /*  910823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910839 */     // MIs[0] op4
     /*  910839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910854 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M4),
     /*  910857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910859 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910861 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910863 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910865 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910875 */     GIR_RootConstrainSelectedInstOperands,
     /*  910876 */     // GIR_Coverage, 64073,
     /*  910876 */     GIR_EraseRootFromParent_Done,
     /*  910877 */   // Label 13882: @910877
     /*  910877 */   GIM_Try, /*On fail goto*//*Label 13883*/ GIMT_Encode4(910960), // Rule ID 64074 //
     /*  910882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  910893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  910896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  910899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910906 */     // MIs[0] op1
     /*  910906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910922 */     // MIs[0] op4
     /*  910922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910925 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910937 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M4),
     /*  910940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910942 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910944 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910946 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910948 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910958 */     GIR_RootConstrainSelectedInstOperands,
     /*  910959 */     // GIR_Coverage, 64074,
     /*  910959 */     GIR_EraseRootFromParent_Done,
     /*  910960 */   // Label 13883: @910960
     /*  910960 */   GIM_Try, /*On fail goto*//*Label 13884*/ GIMT_Encode4(911043), // Rule ID 64091 //
     /*  910965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  910982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910989 */     // MIs[0] op1
     /*  910989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910992 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911005 */     // MIs[0] op4
     /*  911005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911020 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  911020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_MF4),
     /*  911023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911025 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911027 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911029 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911031 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911041 */     GIR_RootConstrainSelectedInstOperands,
     /*  911042 */     // GIR_Coverage, 64091,
     /*  911042 */     GIR_EraseRootFromParent_Done,
     /*  911043 */   // Label 13884: @911043
     /*  911043 */   GIM_Try, /*On fail goto*//*Label 13885*/ GIMT_Encode4(911126), // Rule ID 64092 //
     /*  911048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  911065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911072 */     // MIs[0] op1
     /*  911072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911075 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911088 */     // MIs[0] op4
     /*  911088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911103 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  911103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_MF4),
     /*  911106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911108 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911110 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911112 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911114 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911124 */     GIR_RootConstrainSelectedInstOperands,
     /*  911125 */     // GIR_Coverage, 64092,
     /*  911125 */     GIR_EraseRootFromParent_Done,
     /*  911126 */   // Label 13885: @911126
     /*  911126 */   GIM_Try, /*On fail goto*//*Label 13886*/ GIMT_Encode4(911209), // Rule ID 64115 //
     /*  911131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  911148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911155 */     // MIs[0] op1
     /*  911155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911171 */     // MIs[0] op4
     /*  911171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911174 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  911186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_MF2),
     /*  911189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911191 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911193 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911195 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911197 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911207 */     GIR_RootConstrainSelectedInstOperands,
     /*  911208 */     // GIR_Coverage, 64115,
     /*  911208 */     GIR_EraseRootFromParent_Done,
     /*  911209 */   // Label 13886: @911209
     /*  911209 */   GIM_Try, /*On fail goto*//*Label 13887*/ GIMT_Encode4(911292), // Rule ID 64116 //
     /*  911214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  911231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911238 */     // MIs[0] op1
     /*  911238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911241 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911254 */     // MIs[0] op4
     /*  911254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911257 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911269 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  911269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_MF2),
     /*  911272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911274 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911276 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911278 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911280 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911290 */     GIR_RootConstrainSelectedInstOperands,
     /*  911291 */     // GIR_Coverage, 64116,
     /*  911291 */     GIR_EraseRootFromParent_Done,
     /*  911292 */   // Label 13887: @911292
     /*  911292 */   GIM_Try, /*On fail goto*//*Label 13888*/ GIMT_Encode4(911375), // Rule ID 64139 //
     /*  911297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  911308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  911311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  911314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911321 */     // MIs[0] op1
     /*  911321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911324 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911337 */     // MIs[0] op4
     /*  911337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911340 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  911352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M1),
     /*  911355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911357 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911359 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911361 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911363 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911373 */     GIR_RootConstrainSelectedInstOperands,
     /*  911374 */     // GIR_Coverage, 64139,
     /*  911374 */     GIR_EraseRootFromParent_Done,
     /*  911375 */   // Label 13888: @911375
     /*  911375 */   GIM_Try, /*On fail goto*//*Label 13889*/ GIMT_Encode4(911458), // Rule ID 64140 //
     /*  911380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  911391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  911394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  911397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911404 */     // MIs[0] op1
     /*  911404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911407 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911420 */     // MIs[0] op4
     /*  911420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911423 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911435 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  911435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M1),
     /*  911438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911440 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911442 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911444 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911446 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911456 */     GIR_RootConstrainSelectedInstOperands,
     /*  911457 */     // GIR_Coverage, 64140,
     /*  911457 */     GIR_EraseRootFromParent_Done,
     /*  911458 */   // Label 13889: @911458
     /*  911458 */   GIM_Try, /*On fail goto*//*Label 13890*/ GIMT_Encode4(911541), // Rule ID 64163 //
     /*  911463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  911474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  911477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  911480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911487 */     // MIs[0] op1
     /*  911487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911490 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911503 */     // MIs[0] op4
     /*  911503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911506 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  911518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M2),
     /*  911521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911523 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911525 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911527 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911529 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911539 */     GIR_RootConstrainSelectedInstOperands,
     /*  911540 */     // GIR_Coverage, 64163,
     /*  911540 */     GIR_EraseRootFromParent_Done,
     /*  911541 */   // Label 13890: @911541
     /*  911541 */   GIM_Try, /*On fail goto*//*Label 13891*/ GIMT_Encode4(911624), // Rule ID 64164 //
     /*  911546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  911557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  911560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  911563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911570 */     // MIs[0] op1
     /*  911570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911586 */     // MIs[0] op4
     /*  911586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911589 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911601 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  911601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M2),
     /*  911604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911606 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911608 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911610 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911612 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911622 */     GIR_RootConstrainSelectedInstOperands,
     /*  911623 */     // GIR_Coverage, 64164,
     /*  911623 */     GIR_EraseRootFromParent_Done,
     /*  911624 */   // Label 13891: @911624
     /*  911624 */   GIM_Try, /*On fail goto*//*Label 13892*/ GIMT_Encode4(911707), // Rule ID 64187 //
     /*  911629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  911640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  911643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  911646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911653 */     // MIs[0] op1
     /*  911653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911656 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911669 */     // MIs[0] op4
     /*  911669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  911684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M4),
     /*  911687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911689 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911691 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911693 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911695 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911705 */     GIR_RootConstrainSelectedInstOperands,
     /*  911706 */     // GIR_Coverage, 64187,
     /*  911706 */     GIR_EraseRootFromParent_Done,
     /*  911707 */   // Label 13892: @911707
     /*  911707 */   GIM_Try, /*On fail goto*//*Label 13893*/ GIMT_Encode4(911790), // Rule ID 64188 //
     /*  911712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  911723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  911726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  911729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911736 */     // MIs[0] op1
     /*  911736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911739 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911752 */     // MIs[0] op4
     /*  911752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  911767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M4),
     /*  911770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911772 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911774 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911776 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911778 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911788 */     GIR_RootConstrainSelectedInstOperands,
     /*  911789 */     // GIR_Coverage, 64188,
     /*  911789 */     GIR_EraseRootFromParent_Done,
     /*  911790 */   // Label 13893: @911790
     /*  911790 */   GIM_Try, /*On fail goto*//*Label 13894*/ GIMT_Encode4(911873), // Rule ID 64211 //
     /*  911795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  911806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  911809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  911812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911819 */     // MIs[0] op1
     /*  911819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911822 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911835 */     // MIs[0] op4
     /*  911835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911850 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_MF2),
     /*  911853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911855 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911857 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911859 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911861 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911871 */     GIR_RootConstrainSelectedInstOperands,
     /*  911872 */     // GIR_Coverage, 64211,
     /*  911872 */     GIR_EraseRootFromParent_Done,
     /*  911873 */   // Label 13894: @911873
     /*  911873 */   GIM_Try, /*On fail goto*//*Label 13895*/ GIMT_Encode4(911956), // Rule ID 64212 //
     /*  911878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  911889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  911892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  911895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911902 */     // MIs[0] op1
     /*  911902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911905 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911918 */     // MIs[0] op4
     /*  911918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911921 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_MF2),
     /*  911936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911938 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911940 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911942 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911944 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911954 */     GIR_RootConstrainSelectedInstOperands,
     /*  911955 */     // GIR_Coverage, 64212,
     /*  911955 */     GIR_EraseRootFromParent_Done,
     /*  911956 */   // Label 13895: @911956
     /*  911956 */   GIM_Try, /*On fail goto*//*Label 13896*/ GIMT_Encode4(912039), // Rule ID 64235 //
     /*  911961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  911972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  911975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  911978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911985 */     // MIs[0] op1
     /*  911985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911988 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912001 */     // MIs[0] op4
     /*  912001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912004 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  912016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M1),
     /*  912019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912021 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912023 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912025 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912027 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912037 */     GIR_RootConstrainSelectedInstOperands,
     /*  912038 */     // GIR_Coverage, 64235,
     /*  912038 */     GIR_EraseRootFromParent_Done,
     /*  912039 */   // Label 13896: @912039
     /*  912039 */   GIM_Try, /*On fail goto*//*Label 13897*/ GIMT_Encode4(912122), // Rule ID 64236 //
     /*  912044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  912052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  912055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  912058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  912061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912068 */     // MIs[0] op1
     /*  912068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912071 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912084 */     // MIs[0] op4
     /*  912084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912087 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  912099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M1),
     /*  912102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912104 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912106 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912108 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912110 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912120 */     GIR_RootConstrainSelectedInstOperands,
     /*  912121 */     // GIR_Coverage, 64236,
     /*  912121 */     GIR_EraseRootFromParent_Done,
     /*  912122 */   // Label 13897: @912122
     /*  912122 */   GIM_Try, /*On fail goto*//*Label 13898*/ GIMT_Encode4(912205), // Rule ID 64259 //
     /*  912127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  912135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  912138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  912141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  912144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912151 */     // MIs[0] op1
     /*  912151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912167 */     // MIs[0] op4
     /*  912167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912182 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  912182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M2),
     /*  912185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912187 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912189 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912191 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912193 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912203 */     GIR_RootConstrainSelectedInstOperands,
     /*  912204 */     // GIR_Coverage, 64259,
     /*  912204 */     GIR_EraseRootFromParent_Done,
     /*  912205 */   // Label 13898: @912205
     /*  912205 */   GIM_Try, /*On fail goto*//*Label 13899*/ GIMT_Encode4(912288), // Rule ID 64260 //
     /*  912210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  912218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  912221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  912224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  912227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912234 */     // MIs[0] op1
     /*  912234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912250 */     // MIs[0] op4
     /*  912250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912265 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  912265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M2),
     /*  912268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912270 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912272 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912274 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912276 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912286 */     GIR_RootConstrainSelectedInstOperands,
     /*  912287 */     // GIR_Coverage, 64260,
     /*  912287 */     GIR_EraseRootFromParent_Done,
     /*  912288 */   // Label 13899: @912288
     /*  912288 */   GIM_Try, /*On fail goto*//*Label 13900*/ GIMT_Encode4(912371), // Rule ID 64283 //
     /*  912293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  912301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  912304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  912307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  912310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912317 */     // MIs[0] op1
     /*  912317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912320 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912333 */     // MIs[0] op4
     /*  912333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912336 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912348 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  912348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M4),
     /*  912351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912353 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912355 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912357 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912359 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912369 */     GIR_RootConstrainSelectedInstOperands,
     /*  912370 */     // GIR_Coverage, 64283,
     /*  912370 */     GIR_EraseRootFromParent_Done,
     /*  912371 */   // Label 13900: @912371
     /*  912371 */   GIM_Try, /*On fail goto*//*Label 13901*/ GIMT_Encode4(912454), // Rule ID 64284 //
     /*  912376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  912384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  912387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  912390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  912393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912400 */     // MIs[0] op1
     /*  912400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912416 */     // MIs[0] op4
     /*  912416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912431 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  912431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_IVW_M4),
     /*  912434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912436 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912438 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912440 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912442 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912452 */     GIR_RootConstrainSelectedInstOperands,
     /*  912453 */     // GIR_Coverage, 64284,
     /*  912453 */     GIR_EraseRootFromParent_Done,
     /*  912454 */   // Label 13901: @912454
     /*  912454 */   GIM_Try, /*On fail goto*//*Label 13902*/ GIMT_Encode4(912532), // Rule ID 60612 //
     /*  912459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  912462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  912470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  912473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  912476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912491 */     // MIs[0] rs2
     /*  912491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912499 */     // MIs[0] policy
     /*  912499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912509 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  912512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912530 */     GIR_RootConstrainSelectedInstOperands,
     /*  912531 */     // GIR_Coverage, 60612,
     /*  912531 */     GIR_EraseRootFromParent_Done,
     /*  912532 */   // Label 13902: @912532
     /*  912532 */   GIM_Try, /*On fail goto*//*Label 13903*/ GIMT_Encode4(912610), // Rule ID 60613 //
     /*  912537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  912540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  912548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  912551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  912554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912569 */     // MIs[0] rs2
     /*  912569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912577 */     // MIs[0] policy
     /*  912577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912587 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  912590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912608 */     GIR_RootConstrainSelectedInstOperands,
     /*  912609 */     // GIR_Coverage, 60613,
     /*  912609 */     GIR_EraseRootFromParent_Done,
     /*  912610 */   // Label 13903: @912610
     /*  912610 */   GIM_Try, /*On fail goto*//*Label 13904*/ GIMT_Encode4(912688), // Rule ID 62268 //
     /*  912615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  912618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912647 */     // MIs[0] rs2
     /*  912647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912655 */     // MIs[0] policy
     /*  912655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912665 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  912668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912686 */     GIR_RootConstrainSelectedInstOperands,
     /*  912687 */     // GIR_Coverage, 62268,
     /*  912687 */     GIR_EraseRootFromParent_Done,
     /*  912688 */   // Label 13904: @912688
     /*  912688 */   GIM_Try, /*On fail goto*//*Label 13905*/ GIMT_Encode4(912766), // Rule ID 62269 //
     /*  912693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  912696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912725 */     // MIs[0] rs2
     /*  912725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912728 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912733 */     // MIs[0] policy
     /*  912733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912743 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  912746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912764 */     GIR_RootConstrainSelectedInstOperands,
     /*  912765 */     // GIR_Coverage, 62269,
     /*  912765 */     GIR_EraseRootFromParent_Done,
     /*  912766 */   // Label 13905: @912766
     /*  912766 */   GIM_Try, /*On fail goto*//*Label 13906*/ GIMT_Encode4(912844), // Rule ID 62270 //
     /*  912771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  912774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912803 */     // MIs[0] rs2
     /*  912803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912811 */     // MIs[0] policy
     /*  912811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  912824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912842 */     GIR_RootConstrainSelectedInstOperands,
     /*  912843 */     // GIR_Coverage, 62270,
     /*  912843 */     GIR_EraseRootFromParent_Done,
     /*  912844 */   // Label 13906: @912844
     /*  912844 */   GIM_Try, /*On fail goto*//*Label 13907*/ GIMT_Encode4(912922), // Rule ID 62271 //
     /*  912849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  912852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912881 */     // MIs[0] rs2
     /*  912881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912884 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912889 */     // MIs[0] policy
     /*  912889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912899 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  912902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912920 */     GIR_RootConstrainSelectedInstOperands,
     /*  912921 */     // GIR_Coverage, 62271,
     /*  912921 */     GIR_EraseRootFromParent_Done,
     /*  912922 */   // Label 13907: @912922
     /*  912922 */   GIM_Try, /*On fail goto*//*Label 13908*/ GIMT_Encode4(913000), // Rule ID 62272 //
     /*  912927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  912930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  912941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912959 */     // MIs[0] rs2
     /*  912959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912962 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912967 */     // MIs[0] policy
     /*  912967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  912980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912998 */     GIR_RootConstrainSelectedInstOperands,
     /*  912999 */     // GIR_Coverage, 62272,
     /*  912999 */     GIR_EraseRootFromParent_Done,
     /*  913000 */   // Label 13908: @913000
     /*  913000 */   GIM_Try, /*On fail goto*//*Label 13909*/ GIMT_Encode4(913078), // Rule ID 62273 //
     /*  913005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  913008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  913013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  913016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  913019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  913022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913037 */     // MIs[0] rs2
     /*  913037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913045 */     // MIs[0] policy
     /*  913045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913055 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  913058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913076 */     GIR_RootConstrainSelectedInstOperands,
     /*  913077 */     // GIR_Coverage, 62273,
     /*  913077 */     GIR_EraseRootFromParent_Done,
     /*  913078 */   // Label 13909: @913078
     /*  913078 */   GIM_Try, /*On fail goto*//*Label 13910*/ GIMT_Encode4(913156), // Rule ID 62274 //
     /*  913083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  913086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  913091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  913094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  913097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  913100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913115 */     // MIs[0] rs2
     /*  913115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913118 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913123 */     // MIs[0] policy
     /*  913123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913133 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  913136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913154 */     GIR_RootConstrainSelectedInstOperands,
     /*  913155 */     // GIR_Coverage, 62274,
     /*  913155 */     GIR_EraseRootFromParent_Done,
     /*  913156 */   // Label 13910: @913156
     /*  913156 */   GIM_Try, /*On fail goto*//*Label 13911*/ GIMT_Encode4(913234), // Rule ID 62275 //
     /*  913161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  913164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  913169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  913172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  913175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  913178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913193 */     // MIs[0] rs2
     /*  913193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913201 */     // MIs[0] policy
     /*  913201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  913214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913232 */     GIR_RootConstrainSelectedInstOperands,
     /*  913233 */     // GIR_Coverage, 62275,
     /*  913233 */     GIR_EraseRootFromParent_Done,
     /*  913234 */   // Label 13911: @913234
     /*  913234 */   GIM_Try, /*On fail goto*//*Label 13912*/ GIMT_Encode4(913312), // Rule ID 62436 //
     /*  913239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  913242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  913250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  913253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  913256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913271 */     // MIs[0] rs2
     /*  913271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913274 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913279 */     // MIs[0] policy
     /*  913279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  913292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913310 */     GIR_RootConstrainSelectedInstOperands,
     /*  913311 */     // GIR_Coverage, 62436,
     /*  913311 */     GIR_EraseRootFromParent_Done,
     /*  913312 */   // Label 13912: @913312
     /*  913312 */   GIM_Try, /*On fail goto*//*Label 13913*/ GIMT_Encode4(913390), // Rule ID 62437 //
     /*  913317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  913320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  913328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  913331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  913334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913349 */     // MIs[0] rs2
     /*  913349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913357 */     // MIs[0] policy
     /*  913357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913367 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  913370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913388 */     GIR_RootConstrainSelectedInstOperands,
     /*  913389 */     // GIR_Coverage, 62437,
     /*  913389 */     GIR_EraseRootFromParent_Done,
     /*  913390 */   // Label 13913: @913390
     /*  913390 */   GIM_Try, /*On fail goto*//*Label 13914*/ GIMT_Encode4(913468), // Rule ID 62438 //
     /*  913395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  913398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  913406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  913409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  913412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913427 */     // MIs[0] rs2
     /*  913427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913430 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913435 */     // MIs[0] policy
     /*  913435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913445 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  913448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913466 */     GIR_RootConstrainSelectedInstOperands,
     /*  913467 */     // GIR_Coverage, 62438,
     /*  913467 */     GIR_EraseRootFromParent_Done,
     /*  913468 */   // Label 13914: @913468
     /*  913468 */   GIM_Try, /*On fail goto*//*Label 13915*/ GIMT_Encode4(913546), // Rule ID 62439 //
     /*  913473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  913476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  913484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  913487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  913490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913505 */     // MIs[0] rs2
     /*  913505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913513 */     // MIs[0] policy
     /*  913513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  913526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913544 */     GIR_RootConstrainSelectedInstOperands,
     /*  913545 */     // GIR_Coverage, 62439,
     /*  913545 */     GIR_EraseRootFromParent_Done,
     /*  913546 */   // Label 13915: @913546
     /*  913546 */   GIM_Try, /*On fail goto*//*Label 13916*/ GIMT_Encode4(913624), // Rule ID 62440 //
     /*  913551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  913554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  913562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  913565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  913568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913583 */     // MIs[0] rs2
     /*  913583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913586 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913591 */     // MIs[0] policy
     /*  913591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913601 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  913604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913622 */     GIR_RootConstrainSelectedInstOperands,
     /*  913623 */     // GIR_Coverage, 62440,
     /*  913623 */     GIR_EraseRootFromParent_Done,
     /*  913624 */   // Label 13916: @913624
     /*  913624 */   GIM_Try, /*On fail goto*//*Label 13917*/ GIMT_Encode4(913702), // Rule ID 62441 //
     /*  913629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  913632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  913640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  913643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  913646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913661 */     // MIs[0] rs2
     /*  913661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913669 */     // MIs[0] policy
     /*  913669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913679 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  913682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913700 */     GIR_RootConstrainSelectedInstOperands,
     /*  913701 */     // GIR_Coverage, 62441,
     /*  913701 */     GIR_EraseRootFromParent_Done,
     /*  913702 */   // Label 13917: @913702
     /*  913702 */   GIM_Try, /*On fail goto*//*Label 13918*/ GIMT_Encode4(913780), // Rule ID 62442 //
     /*  913707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  913710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  913718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  913721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  913724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913739 */     // MIs[0] rs2
     /*  913739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913742 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913747 */     // MIs[0] policy
     /*  913747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913757 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  913760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913778 */     GIR_RootConstrainSelectedInstOperands,
     /*  913779 */     // GIR_Coverage, 62442,
     /*  913779 */     GIR_EraseRootFromParent_Done,
     /*  913780 */   // Label 13918: @913780
     /*  913780 */   GIM_Try, /*On fail goto*//*Label 13919*/ GIMT_Encode4(913858), // Rule ID 62443 //
     /*  913785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  913788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  913796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  913799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  913802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913817 */     // MIs[0] rs2
     /*  913817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913825 */     // MIs[0] policy
     /*  913825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913835 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  913838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913856 */     GIR_RootConstrainSelectedInstOperands,
     /*  913857 */     // GIR_Coverage, 62443,
     /*  913857 */     GIR_EraseRootFromParent_Done,
     /*  913858 */   // Label 13919: @913858
     /*  913858 */   GIM_Try, /*On fail goto*//*Label 13920*/ GIMT_Encode4(913936), // Rule ID 62444 //
     /*  913863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  913866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  913874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  913877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  913880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913895 */     // MIs[0] rs2
     /*  913895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913898 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913903 */     // MIs[0] policy
     /*  913903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913913 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  913916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913934 */     GIR_RootConstrainSelectedInstOperands,
     /*  913935 */     // GIR_Coverage, 62444,
     /*  913935 */     GIR_EraseRootFromParent_Done,
     /*  913936 */   // Label 13920: @913936
     /*  913936 */   GIM_Try, /*On fail goto*//*Label 13921*/ GIMT_Encode4(914014), // Rule ID 62445 //
     /*  913941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  913944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  913949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  913952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  913955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  913958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913973 */     // MIs[0] rs2
     /*  913973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  913976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  913981 */     // MIs[0] policy
     /*  913981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913991 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  913994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  913996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914012 */     GIR_RootConstrainSelectedInstOperands,
     /*  914013 */     // GIR_Coverage, 62445,
     /*  914013 */     GIR_EraseRootFromParent_Done,
     /*  914014 */   // Label 13921: @914014
     /*  914014 */   GIM_Try, /*On fail goto*//*Label 13922*/ GIMT_Encode4(914102), // Rule ID 23702 //
     /*  914019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  914030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  914033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  914036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914066 */     // MIs[1] Operand 1
     /*  914066 */     // No operand predicates
     /*  914066 */     // MIs[0] policy
     /*  914066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914078 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  914081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914100 */     GIR_RootConstrainSelectedInstOperands,
     /*  914101 */     // GIR_Coverage, 23702,
     /*  914101 */     GIR_EraseRootFromParent_Done,
     /*  914102 */   // Label 13922: @914102
     /*  914102 */   GIM_Try, /*On fail goto*//*Label 13923*/ GIMT_Encode4(914190), // Rule ID 23703 //
     /*  914107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  914118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  914121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  914124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914154 */     // MIs[1] Operand 1
     /*  914154 */     // No operand predicates
     /*  914154 */     // MIs[0] policy
     /*  914154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914166 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  914169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914188 */     GIR_RootConstrainSelectedInstOperands,
     /*  914189 */     // GIR_Coverage, 23703,
     /*  914189 */     GIR_EraseRootFromParent_Done,
     /*  914190 */   // Label 13923: @914190
     /*  914190 */   GIM_Try, /*On fail goto*//*Label 13924*/ GIMT_Encode4(914278), // Rule ID 23706 //
     /*  914195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  914206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  914209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  914212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914242 */     // MIs[1] Operand 1
     /*  914242 */     // No operand predicates
     /*  914242 */     // MIs[0] policy
     /*  914242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914254 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  914257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914276 */     GIR_RootConstrainSelectedInstOperands,
     /*  914277 */     // GIR_Coverage, 23706,
     /*  914277 */     GIR_EraseRootFromParent_Done,
     /*  914278 */   // Label 13924: @914278
     /*  914278 */   GIM_Try, /*On fail goto*//*Label 13925*/ GIMT_Encode4(914366), // Rule ID 23707 //
     /*  914283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  914294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  914297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  914300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914330 */     // MIs[1] Operand 1
     /*  914330 */     // No operand predicates
     /*  914330 */     // MIs[0] policy
     /*  914330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914342 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  914345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914364 */     GIR_RootConstrainSelectedInstOperands,
     /*  914365 */     // GIR_Coverage, 23707,
     /*  914365 */     GIR_EraseRootFromParent_Done,
     /*  914366 */   // Label 13925: @914366
     /*  914366 */   GIM_Try, /*On fail goto*//*Label 13926*/ GIMT_Encode4(914454), // Rule ID 23710 //
     /*  914371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  914382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  914385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  914388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914418 */     // MIs[1] Operand 1
     /*  914418 */     // No operand predicates
     /*  914418 */     // MIs[0] policy
     /*  914418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914430 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914452 */     GIR_RootConstrainSelectedInstOperands,
     /*  914453 */     // GIR_Coverage, 23710,
     /*  914453 */     GIR_EraseRootFromParent_Done,
     /*  914454 */   // Label 13926: @914454
     /*  914454 */   GIM_Try, /*On fail goto*//*Label 13927*/ GIMT_Encode4(914542), // Rule ID 23711 //
     /*  914459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  914470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  914473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  914476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914506 */     // MIs[1] Operand 1
     /*  914506 */     // No operand predicates
     /*  914506 */     // MIs[0] policy
     /*  914506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914518 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914540 */     GIR_RootConstrainSelectedInstOperands,
     /*  914541 */     // GIR_Coverage, 23711,
     /*  914541 */     GIR_EraseRootFromParent_Done,
     /*  914542 */   // Label 13927: @914542
     /*  914542 */   GIM_Try, /*On fail goto*//*Label 13928*/ GIMT_Encode4(914630), // Rule ID 23714 //
     /*  914547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  914558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  914561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  914564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914594 */     // MIs[1] Operand 1
     /*  914594 */     // No operand predicates
     /*  914594 */     // MIs[0] policy
     /*  914594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914606 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  914609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914628 */     GIR_RootConstrainSelectedInstOperands,
     /*  914629 */     // GIR_Coverage, 23714,
     /*  914629 */     GIR_EraseRootFromParent_Done,
     /*  914630 */   // Label 13928: @914630
     /*  914630 */   GIM_Try, /*On fail goto*//*Label 13929*/ GIMT_Encode4(914718), // Rule ID 23715 //
     /*  914635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  914646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  914649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  914652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914682 */     // MIs[1] Operand 1
     /*  914682 */     // No operand predicates
     /*  914682 */     // MIs[0] policy
     /*  914682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914694 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  914697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914716 */     GIR_RootConstrainSelectedInstOperands,
     /*  914717 */     // GIR_Coverage, 23715,
     /*  914717 */     GIR_EraseRootFromParent_Done,
     /*  914718 */   // Label 13929: @914718
     /*  914718 */   GIM_Try, /*On fail goto*//*Label 13930*/ GIMT_Encode4(914806), // Rule ID 23718 //
     /*  914723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  914734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  914737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  914740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914770 */     // MIs[1] Operand 1
     /*  914770 */     // No operand predicates
     /*  914770 */     // MIs[0] policy
     /*  914770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914782 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914804 */     GIR_RootConstrainSelectedInstOperands,
     /*  914805 */     // GIR_Coverage, 23718,
     /*  914805 */     GIR_EraseRootFromParent_Done,
     /*  914806 */   // Label 13930: @914806
     /*  914806 */   GIM_Try, /*On fail goto*//*Label 13931*/ GIMT_Encode4(914894), // Rule ID 23719 //
     /*  914811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  914822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  914825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  914828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914858 */     // MIs[1] Operand 1
     /*  914858 */     // No operand predicates
     /*  914858 */     // MIs[0] policy
     /*  914858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914870 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914892 */     GIR_RootConstrainSelectedInstOperands,
     /*  914893 */     // GIR_Coverage, 23719,
     /*  914893 */     GIR_EraseRootFromParent_Done,
     /*  914894 */   // Label 13931: @914894
     /*  914894 */   GIM_Try, /*On fail goto*//*Label 13932*/ GIMT_Encode4(914982), // Rule ID 23722 //
     /*  914899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  914910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  914913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  914916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914946 */     // MIs[1] Operand 1
     /*  914946 */     // No operand predicates
     /*  914946 */     // MIs[0] policy
     /*  914946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914980 */     GIR_RootConstrainSelectedInstOperands,
     /*  914981 */     // GIR_Coverage, 23722,
     /*  914981 */     GIR_EraseRootFromParent_Done,
     /*  914982 */   // Label 13932: @914982
     /*  914982 */   GIM_Try, /*On fail goto*//*Label 13933*/ GIMT_Encode4(915070), // Rule ID 23723 //
     /*  914987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  914998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  915001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  915004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915034 */     // MIs[1] Operand 1
     /*  915034 */     // No operand predicates
     /*  915034 */     // MIs[0] policy
     /*  915034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  915049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915068 */     GIR_RootConstrainSelectedInstOperands,
     /*  915069 */     // GIR_Coverage, 23723,
     /*  915069 */     GIR_EraseRootFromParent_Done,
     /*  915070 */   // Label 13933: @915070
     /*  915070 */   GIM_Try, /*On fail goto*//*Label 13934*/ GIMT_Encode4(915158), // Rule ID 23726 //
     /*  915075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  915086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  915089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  915092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915122 */     // MIs[1] Operand 1
     /*  915122 */     // No operand predicates
     /*  915122 */     // MIs[0] policy
     /*  915122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915134 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915156 */     GIR_RootConstrainSelectedInstOperands,
     /*  915157 */     // GIR_Coverage, 23726,
     /*  915157 */     GIR_EraseRootFromParent_Done,
     /*  915158 */   // Label 13934: @915158
     /*  915158 */   GIM_Try, /*On fail goto*//*Label 13935*/ GIMT_Encode4(915246), // Rule ID 23727 //
     /*  915163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  915174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  915177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  915180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915210 */     // MIs[1] Operand 1
     /*  915210 */     // No operand predicates
     /*  915210 */     // MIs[0] policy
     /*  915210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915222 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915244 */     GIR_RootConstrainSelectedInstOperands,
     /*  915245 */     // GIR_Coverage, 23727,
     /*  915245 */     GIR_EraseRootFromParent_Done,
     /*  915246 */   // Label 13935: @915246
     /*  915246 */   GIM_Try, /*On fail goto*//*Label 13936*/ GIMT_Encode4(915334), // Rule ID 23730 //
     /*  915251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  915262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  915265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  915268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915298 */     // MIs[1] Operand 1
     /*  915298 */     // No operand predicates
     /*  915298 */     // MIs[0] policy
     /*  915298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915310 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915332 */     GIR_RootConstrainSelectedInstOperands,
     /*  915333 */     // GIR_Coverage, 23730,
     /*  915333 */     GIR_EraseRootFromParent_Done,
     /*  915334 */   // Label 13936: @915334
     /*  915334 */   GIM_Try, /*On fail goto*//*Label 13937*/ GIMT_Encode4(915422), // Rule ID 23731 //
     /*  915339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  915350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  915353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  915356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915386 */     // MIs[1] Operand 1
     /*  915386 */     // No operand predicates
     /*  915386 */     // MIs[0] policy
     /*  915386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915420 */     GIR_RootConstrainSelectedInstOperands,
     /*  915421 */     // GIR_Coverage, 23731,
     /*  915421 */     GIR_EraseRootFromParent_Done,
     /*  915422 */   // Label 13937: @915422
     /*  915422 */   GIM_Try, /*On fail goto*//*Label 13938*/ GIMT_Encode4(915510), // Rule ID 23734 //
     /*  915427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  915438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  915441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  915444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915474 */     // MIs[1] Operand 1
     /*  915474 */     // No operand predicates
     /*  915474 */     // MIs[0] policy
     /*  915474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915486 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915508 */     GIR_RootConstrainSelectedInstOperands,
     /*  915509 */     // GIR_Coverage, 23734,
     /*  915509 */     GIR_EraseRootFromParent_Done,
     /*  915510 */   // Label 13938: @915510
     /*  915510 */   GIM_Try, /*On fail goto*//*Label 13939*/ GIMT_Encode4(915598), // Rule ID 23735 //
     /*  915515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  915526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  915529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  915532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915562 */     // MIs[1] Operand 1
     /*  915562 */     // No operand predicates
     /*  915562 */     // MIs[0] policy
     /*  915562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915574 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915596 */     GIR_RootConstrainSelectedInstOperands,
     /*  915597 */     // GIR_Coverage, 23735,
     /*  915597 */     GIR_EraseRootFromParent_Done,
     /*  915598 */   // Label 13939: @915598
     /*  915598 */   GIM_Try, /*On fail goto*//*Label 13940*/ GIMT_Encode4(915686), // Rule ID 23738 //
     /*  915603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  915606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  915614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  915617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  915620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915650 */     // MIs[1] Operand 1
     /*  915650 */     // No operand predicates
     /*  915650 */     // MIs[0] policy
     /*  915650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915662 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915684 */     GIR_RootConstrainSelectedInstOperands,
     /*  915685 */     // GIR_Coverage, 23738,
     /*  915685 */     GIR_EraseRootFromParent_Done,
     /*  915686 */   // Label 13940: @915686
     /*  915686 */   GIM_Try, /*On fail goto*//*Label 13941*/ GIMT_Encode4(915774), // Rule ID 23739 //
     /*  915691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  915694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  915702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  915705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  915708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915738 */     // MIs[1] Operand 1
     /*  915738 */     // No operand predicates
     /*  915738 */     // MIs[0] policy
     /*  915738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915772 */     GIR_RootConstrainSelectedInstOperands,
     /*  915773 */     // GIR_Coverage, 23739,
     /*  915773 */     GIR_EraseRootFromParent_Done,
     /*  915774 */   // Label 13941: @915774
     /*  915774 */   GIM_Try, /*On fail goto*//*Label 13942*/ GIMT_Encode4(915862), // Rule ID 23742 //
     /*  915779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  915790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  915793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  915796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915826 */     // MIs[1] Operand 1
     /*  915826 */     // No operand predicates
     /*  915826 */     // MIs[0] policy
     /*  915826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915838 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915860 */     GIR_RootConstrainSelectedInstOperands,
     /*  915861 */     // GIR_Coverage, 23742,
     /*  915861 */     GIR_EraseRootFromParent_Done,
     /*  915862 */   // Label 13942: @915862
     /*  915862 */   GIM_Try, /*On fail goto*//*Label 13943*/ GIMT_Encode4(915950), // Rule ID 23743 //
     /*  915867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  915878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  915881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  915884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915914 */     // MIs[1] Operand 1
     /*  915914 */     // No operand predicates
     /*  915914 */     // MIs[0] policy
     /*  915914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915948 */     GIR_RootConstrainSelectedInstOperands,
     /*  915949 */     // GIR_Coverage, 23743,
     /*  915949 */     GIR_EraseRootFromParent_Done,
     /*  915950 */   // Label 13943: @915950
     /*  915950 */   GIM_Try, /*On fail goto*//*Label 13944*/ GIMT_Encode4(916038), // Rule ID 23746 //
     /*  915955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  915966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  915969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  915972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916002 */     // MIs[1] Operand 1
     /*  916002 */     // No operand predicates
     /*  916002 */     // MIs[0] policy
     /*  916002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916014 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916036 */     GIR_RootConstrainSelectedInstOperands,
     /*  916037 */     // GIR_Coverage, 23746,
     /*  916037 */     GIR_EraseRootFromParent_Done,
     /*  916038 */   // Label 13944: @916038
     /*  916038 */   GIM_Try, /*On fail goto*//*Label 13945*/ GIMT_Encode4(916126), // Rule ID 23747 //
     /*  916043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  916054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  916057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  916060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916090 */     // MIs[1] Operand 1
     /*  916090 */     // No operand predicates
     /*  916090 */     // MIs[0] policy
     /*  916090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916102 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916124 */     GIR_RootConstrainSelectedInstOperands,
     /*  916125 */     // GIR_Coverage, 23747,
     /*  916125 */     GIR_EraseRootFromParent_Done,
     /*  916126 */   // Label 13945: @916126
     /*  916126 */   GIM_Try, /*On fail goto*//*Label 13946*/ GIMT_Encode4(916214), // Rule ID 23750 //
     /*  916131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  916142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  916145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  916148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916178 */     // MIs[1] Operand 1
     /*  916178 */     // No operand predicates
     /*  916178 */     // MIs[0] policy
     /*  916178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916190 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916212 */     GIR_RootConstrainSelectedInstOperands,
     /*  916213 */     // GIR_Coverage, 23750,
     /*  916213 */     GIR_EraseRootFromParent_Done,
     /*  916214 */   // Label 13946: @916214
     /*  916214 */   GIM_Try, /*On fail goto*//*Label 13947*/ GIMT_Encode4(916302), // Rule ID 23751 //
     /*  916219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  916230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  916233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  916236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916266 */     // MIs[1] Operand 1
     /*  916266 */     // No operand predicates
     /*  916266 */     // MIs[0] policy
     /*  916266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916278 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916300 */     GIR_RootConstrainSelectedInstOperands,
     /*  916301 */     // GIR_Coverage, 23751,
     /*  916301 */     GIR_EraseRootFromParent_Done,
     /*  916302 */   // Label 13947: @916302
     /*  916302 */   GIM_Try, /*On fail goto*//*Label 13948*/ GIMT_Encode4(916390), // Rule ID 23754 //
     /*  916307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  916318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  916321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  916324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916354 */     // MIs[1] Operand 1
     /*  916354 */     // No operand predicates
     /*  916354 */     // MIs[0] policy
     /*  916354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916366 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916388 */     GIR_RootConstrainSelectedInstOperands,
     /*  916389 */     // GIR_Coverage, 23754,
     /*  916389 */     GIR_EraseRootFromParent_Done,
     /*  916390 */   // Label 13948: @916390
     /*  916390 */   GIM_Try, /*On fail goto*//*Label 13949*/ GIMT_Encode4(916478), // Rule ID 23755 //
     /*  916395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  916406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  916409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  916412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916442 */     // MIs[1] Operand 1
     /*  916442 */     // No operand predicates
     /*  916442 */     // MIs[0] policy
     /*  916442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916454 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916476 */     GIR_RootConstrainSelectedInstOperands,
     /*  916477 */     // GIR_Coverage, 23755,
     /*  916477 */     GIR_EraseRootFromParent_Done,
     /*  916478 */   // Label 13949: @916478
     /*  916478 */   GIM_Try, /*On fail goto*//*Label 13950*/ GIMT_Encode4(916566), // Rule ID 23758 //
     /*  916483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  916494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  916497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  916500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916530 */     // MIs[1] Operand 1
     /*  916530 */     // No operand predicates
     /*  916530 */     // MIs[0] policy
     /*  916530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916542 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916564 */     GIR_RootConstrainSelectedInstOperands,
     /*  916565 */     // GIR_Coverage, 23758,
     /*  916565 */     GIR_EraseRootFromParent_Done,
     /*  916566 */   // Label 13950: @916566
     /*  916566 */   GIM_Try, /*On fail goto*//*Label 13951*/ GIMT_Encode4(916654), // Rule ID 23759 //
     /*  916571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  916582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  916585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  916588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916618 */     // MIs[1] Operand 1
     /*  916618 */     // No operand predicates
     /*  916618 */     // MIs[0] policy
     /*  916618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916630 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916652 */     GIR_RootConstrainSelectedInstOperands,
     /*  916653 */     // GIR_Coverage, 23759,
     /*  916653 */     GIR_EraseRootFromParent_Done,
     /*  916654 */   // Label 13951: @916654
     /*  916654 */   GIM_Try, /*On fail goto*//*Label 13952*/ GIMT_Encode4(916742), // Rule ID 23762 //
     /*  916659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  916670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  916673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  916676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916706 */     // MIs[1] Operand 1
     /*  916706 */     // No operand predicates
     /*  916706 */     // MIs[0] policy
     /*  916706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916718 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916740 */     GIR_RootConstrainSelectedInstOperands,
     /*  916741 */     // GIR_Coverage, 23762,
     /*  916741 */     GIR_EraseRootFromParent_Done,
     /*  916742 */   // Label 13952: @916742
     /*  916742 */   GIM_Try, /*On fail goto*//*Label 13953*/ GIMT_Encode4(916830), // Rule ID 23763 //
     /*  916747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  916758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  916761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  916764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916794 */     // MIs[1] Operand 1
     /*  916794 */     // No operand predicates
     /*  916794 */     // MIs[0] policy
     /*  916794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916806 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916828 */     GIR_RootConstrainSelectedInstOperands,
     /*  916829 */     // GIR_Coverage, 23763,
     /*  916829 */     GIR_EraseRootFromParent_Done,
     /*  916830 */   // Label 13953: @916830
     /*  916830 */   GIM_Try, /*On fail goto*//*Label 13954*/ GIMT_Encode4(916918), // Rule ID 23766 //
     /*  916835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916882 */     // MIs[1] Operand 1
     /*  916882 */     // No operand predicates
     /*  916882 */     // MIs[0] policy
     /*  916882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916916 */     GIR_RootConstrainSelectedInstOperands,
     /*  916917 */     // GIR_Coverage, 23766,
     /*  916917 */     GIR_EraseRootFromParent_Done,
     /*  916918 */   // Label 13954: @916918
     /*  916918 */   GIM_Try, /*On fail goto*//*Label 13955*/ GIMT_Encode4(917006), // Rule ID 23767 //
     /*  916923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916970 */     // MIs[1] Operand 1
     /*  916970 */     // No operand predicates
     /*  916970 */     // MIs[0] policy
     /*  916970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916982 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917004 */     GIR_RootConstrainSelectedInstOperands,
     /*  917005 */     // GIR_Coverage, 23767,
     /*  917005 */     GIR_EraseRootFromParent_Done,
     /*  917006 */   // Label 13955: @917006
     /*  917006 */   GIM_Try, /*On fail goto*//*Label 13956*/ GIMT_Encode4(917094), // Rule ID 23770 //
     /*  917011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  917022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  917025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  917028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917058 */     // MIs[1] Operand 1
     /*  917058 */     // No operand predicates
     /*  917058 */     // MIs[0] policy
     /*  917058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917070 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  917073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917092 */     GIR_RootConstrainSelectedInstOperands,
     /*  917093 */     // GIR_Coverage, 23770,
     /*  917093 */     GIR_EraseRootFromParent_Done,
     /*  917094 */   // Label 13956: @917094
     /*  917094 */   GIM_Try, /*On fail goto*//*Label 13957*/ GIMT_Encode4(917182), // Rule ID 23771 //
     /*  917099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  917110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  917113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  917116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917146 */     // MIs[1] Operand 1
     /*  917146 */     // No operand predicates
     /*  917146 */     // MIs[0] policy
     /*  917146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  917161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917180 */     GIR_RootConstrainSelectedInstOperands,
     /*  917181 */     // GIR_Coverage, 23771,
     /*  917181 */     GIR_EraseRootFromParent_Done,
     /*  917182 */   // Label 13957: @917182
     /*  917182 */   GIM_Try, /*On fail goto*//*Label 13958*/ GIMT_Encode4(917270), // Rule ID 23774 //
     /*  917187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  917198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  917201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  917204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917234 */     // MIs[1] Operand 1
     /*  917234 */     // No operand predicates
     /*  917234 */     // MIs[0] policy
     /*  917234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917246 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  917249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917268 */     GIR_RootConstrainSelectedInstOperands,
     /*  917269 */     // GIR_Coverage, 23774,
     /*  917269 */     GIR_EraseRootFromParent_Done,
     /*  917270 */   // Label 13958: @917270
     /*  917270 */   GIM_Try, /*On fail goto*//*Label 13959*/ GIMT_Encode4(917358), // Rule ID 23775 //
     /*  917275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  917286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  917289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  917292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917322 */     // MIs[1] Operand 1
     /*  917322 */     // No operand predicates
     /*  917322 */     // MIs[0] policy
     /*  917322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917334 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  917337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917356 */     GIR_RootConstrainSelectedInstOperands,
     /*  917357 */     // GIR_Coverage, 23775,
     /*  917357 */     GIR_EraseRootFromParent_Done,
     /*  917358 */   // Label 13959: @917358
     /*  917358 */   GIM_Try, /*On fail goto*//*Label 13960*/ GIMT_Encode4(917446), // Rule ID 23778 //
     /*  917363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  917366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  917374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  917377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  917380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917410 */     // MIs[1] Operand 1
     /*  917410 */     // No operand predicates
     /*  917410 */     // MIs[0] policy
     /*  917410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  917425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917444 */     GIR_RootConstrainSelectedInstOperands,
     /*  917445 */     // GIR_Coverage, 23778,
     /*  917445 */     GIR_EraseRootFromParent_Done,
     /*  917446 */   // Label 13960: @917446
     /*  917446 */   GIM_Try, /*On fail goto*//*Label 13961*/ GIMT_Encode4(917534), // Rule ID 23779 //
     /*  917451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  917454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  917462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  917465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  917468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917498 */     // MIs[1] Operand 1
     /*  917498 */     // No operand predicates
     /*  917498 */     // MIs[0] policy
     /*  917498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917510 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  917513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917532 */     GIR_RootConstrainSelectedInstOperands,
     /*  917533 */     // GIR_Coverage, 23779,
     /*  917533 */     GIR_EraseRootFromParent_Done,
     /*  917534 */   // Label 13961: @917534
     /*  917534 */   GIM_Try, /*On fail goto*//*Label 13962*/ GIMT_Encode4(917622), // Rule ID 23782 //
     /*  917539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  917542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  917550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  917553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  917556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917586 */     // MIs[1] Operand 1
     /*  917586 */     // No operand predicates
     /*  917586 */     // MIs[0] policy
     /*  917586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917598 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  917601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917620 */     GIR_RootConstrainSelectedInstOperands,
     /*  917621 */     // GIR_Coverage, 23782,
     /*  917621 */     GIR_EraseRootFromParent_Done,
     /*  917622 */   // Label 13962: @917622
     /*  917622 */   GIM_Try, /*On fail goto*//*Label 13963*/ GIMT_Encode4(917710), // Rule ID 23783 //
     /*  917627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  917630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  917638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  917641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  917644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917674 */     // MIs[1] Operand 1
     /*  917674 */     // No operand predicates
     /*  917674 */     // MIs[0] policy
     /*  917674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917686 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  917689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917708 */     GIR_RootConstrainSelectedInstOperands,
     /*  917709 */     // GIR_Coverage, 23783,
     /*  917709 */     GIR_EraseRootFromParent_Done,
     /*  917710 */   // Label 13963: @917710
     /*  917710 */   GIM_Try, /*On fail goto*//*Label 13964*/ GIMT_Encode4(917798), // Rule ID 23786 //
     /*  917715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  917718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  917726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  917729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  917732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917762 */     // MIs[1] Operand 1
     /*  917762 */     // No operand predicates
     /*  917762 */     // MIs[0] policy
     /*  917762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  917777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917796 */     GIR_RootConstrainSelectedInstOperands,
     /*  917797 */     // GIR_Coverage, 23786,
     /*  917797 */     GIR_EraseRootFromParent_Done,
     /*  917798 */   // Label 13964: @917798
     /*  917798 */   GIM_Try, /*On fail goto*//*Label 13965*/ GIMT_Encode4(917886), // Rule ID 23787 //
     /*  917803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  917806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  917814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  917817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  917820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917850 */     // MIs[1] Operand 1
     /*  917850 */     // No operand predicates
     /*  917850 */     // MIs[0] policy
     /*  917850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917862 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  917865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917884 */     GIR_RootConstrainSelectedInstOperands,
     /*  917885 */     // GIR_Coverage, 23787,
     /*  917885 */     GIR_EraseRootFromParent_Done,
     /*  917886 */   // Label 13965: @917886
     /*  917886 */   GIM_Try, /*On fail goto*//*Label 13966*/ GIMT_Encode4(917974), // Rule ID 23878 //
     /*  917891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  917902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  917905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  917908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917938 */     // MIs[1] Operand 1
     /*  917938 */     // No operand predicates
     /*  917938 */     // MIs[0] policy
     /*  917938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917950 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  917953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917972 */     GIR_RootConstrainSelectedInstOperands,
     /*  917973 */     // GIR_Coverage, 23878,
     /*  917973 */     GIR_EraseRootFromParent_Done,
     /*  917974 */   // Label 13966: @917974
     /*  917974 */   GIM_Try, /*On fail goto*//*Label 13967*/ GIMT_Encode4(918062), // Rule ID 23879 //
     /*  917979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  917990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  917993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  917996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918026 */     // MIs[1] Operand 1
     /*  918026 */     // No operand predicates
     /*  918026 */     // MIs[0] policy
     /*  918026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918038 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  918041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918060 */     GIR_RootConstrainSelectedInstOperands,
     /*  918061 */     // GIR_Coverage, 23879,
     /*  918061 */     GIR_EraseRootFromParent_Done,
     /*  918062 */   // Label 13967: @918062
     /*  918062 */   GIM_Try, /*On fail goto*//*Label 13968*/ GIMT_Encode4(918150), // Rule ID 23882 //
     /*  918067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  918078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  918081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  918084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918114 */     // MIs[1] Operand 1
     /*  918114 */     // No operand predicates
     /*  918114 */     // MIs[0] policy
     /*  918114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918126 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  918129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918148 */     GIR_RootConstrainSelectedInstOperands,
     /*  918149 */     // GIR_Coverage, 23882,
     /*  918149 */     GIR_EraseRootFromParent_Done,
     /*  918150 */   // Label 13968: @918150
     /*  918150 */   GIM_Try, /*On fail goto*//*Label 13969*/ GIMT_Encode4(918238), // Rule ID 23883 //
     /*  918155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  918166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  918169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  918172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918202 */     // MIs[1] Operand 1
     /*  918202 */     // No operand predicates
     /*  918202 */     // MIs[0] policy
     /*  918202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918214 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  918217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918236 */     GIR_RootConstrainSelectedInstOperands,
     /*  918237 */     // GIR_Coverage, 23883,
     /*  918237 */     GIR_EraseRootFromParent_Done,
     /*  918238 */   // Label 13969: @918238
     /*  918238 */   GIM_Try, /*On fail goto*//*Label 13970*/ GIMT_Encode4(918326), // Rule ID 23886 //
     /*  918243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  918254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  918257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  918260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918290 */     // MIs[1] Operand 1
     /*  918290 */     // No operand predicates
     /*  918290 */     // MIs[0] policy
     /*  918290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918302 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  918305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918324 */     GIR_RootConstrainSelectedInstOperands,
     /*  918325 */     // GIR_Coverage, 23886,
     /*  918325 */     GIR_EraseRootFromParent_Done,
     /*  918326 */   // Label 13970: @918326
     /*  918326 */   GIM_Try, /*On fail goto*//*Label 13971*/ GIMT_Encode4(918414), // Rule ID 23887 //
     /*  918331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  918342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  918345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  918348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918378 */     // MIs[1] Operand 1
     /*  918378 */     // No operand predicates
     /*  918378 */     // MIs[0] policy
     /*  918378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918390 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  918393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918412 */     GIR_RootConstrainSelectedInstOperands,
     /*  918413 */     // GIR_Coverage, 23887,
     /*  918413 */     GIR_EraseRootFromParent_Done,
     /*  918414 */   // Label 13971: @918414
     /*  918414 */   GIM_Try, /*On fail goto*//*Label 13972*/ GIMT_Encode4(918502), // Rule ID 23890 //
     /*  918419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  918430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  918433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  918436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918466 */     // MIs[1] Operand 1
     /*  918466 */     // No operand predicates
     /*  918466 */     // MIs[0] policy
     /*  918466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918478 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  918481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918500 */     GIR_RootConstrainSelectedInstOperands,
     /*  918501 */     // GIR_Coverage, 23890,
     /*  918501 */     GIR_EraseRootFromParent_Done,
     /*  918502 */   // Label 13972: @918502
     /*  918502 */   GIM_Try, /*On fail goto*//*Label 13973*/ GIMT_Encode4(918590), // Rule ID 23891 //
     /*  918507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  918518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  918521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  918524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918554 */     // MIs[1] Operand 1
     /*  918554 */     // No operand predicates
     /*  918554 */     // MIs[0] policy
     /*  918554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918566 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  918569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918588 */     GIR_RootConstrainSelectedInstOperands,
     /*  918589 */     // GIR_Coverage, 23891,
     /*  918589 */     GIR_EraseRootFromParent_Done,
     /*  918590 */   // Label 13973: @918590
     /*  918590 */   GIM_Try, /*On fail goto*//*Label 13974*/ GIMT_Encode4(918678), // Rule ID 23894 //
     /*  918595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  918606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  918609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  918612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918642 */     // MIs[1] Operand 1
     /*  918642 */     // No operand predicates
     /*  918642 */     // MIs[0] policy
     /*  918642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918654 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  918657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918676 */     GIR_RootConstrainSelectedInstOperands,
     /*  918677 */     // GIR_Coverage, 23894,
     /*  918677 */     GIR_EraseRootFromParent_Done,
     /*  918678 */   // Label 13974: @918678
     /*  918678 */   GIM_Try, /*On fail goto*//*Label 13975*/ GIMT_Encode4(918766), // Rule ID 23895 //
     /*  918683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  918694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  918697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  918700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918730 */     // MIs[1] Operand 1
     /*  918730 */     // No operand predicates
     /*  918730 */     // MIs[0] policy
     /*  918730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918742 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  918745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918764 */     GIR_RootConstrainSelectedInstOperands,
     /*  918765 */     // GIR_Coverage, 23895,
     /*  918765 */     GIR_EraseRootFromParent_Done,
     /*  918766 */   // Label 13975: @918766
     /*  918766 */   GIM_Try, /*On fail goto*//*Label 13976*/ GIMT_Encode4(918854), // Rule ID 23898 //
     /*  918771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  918782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  918785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  918788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918818 */     // MIs[1] Operand 1
     /*  918818 */     // No operand predicates
     /*  918818 */     // MIs[0] policy
     /*  918818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918830 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  918833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918852 */     GIR_RootConstrainSelectedInstOperands,
     /*  918853 */     // GIR_Coverage, 23898,
     /*  918853 */     GIR_EraseRootFromParent_Done,
     /*  918854 */   // Label 13976: @918854
     /*  918854 */   GIM_Try, /*On fail goto*//*Label 13977*/ GIMT_Encode4(918942), // Rule ID 23899 //
     /*  918859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  918870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  918873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  918876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918906 */     // MIs[1] Operand 1
     /*  918906 */     // No operand predicates
     /*  918906 */     // MIs[0] policy
     /*  918906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  918921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918940 */     GIR_RootConstrainSelectedInstOperands,
     /*  918941 */     // GIR_Coverage, 23899,
     /*  918941 */     GIR_EraseRootFromParent_Done,
     /*  918942 */   // Label 13977: @918942
     /*  918942 */   GIM_Try, /*On fail goto*//*Label 13978*/ GIMT_Encode4(919030), // Rule ID 23902 //
     /*  918947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  918958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  918961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  918964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918994 */     // MIs[1] Operand 1
     /*  918994 */     // No operand predicates
     /*  918994 */     // MIs[0] policy
     /*  918994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919006 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  919009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919028 */     GIR_RootConstrainSelectedInstOperands,
     /*  919029 */     // GIR_Coverage, 23902,
     /*  919029 */     GIR_EraseRootFromParent_Done,
     /*  919030 */   // Label 13978: @919030
     /*  919030 */   GIM_Try, /*On fail goto*//*Label 13979*/ GIMT_Encode4(919118), // Rule ID 23903 //
     /*  919035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  919046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  919049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  919052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919082 */     // MIs[1] Operand 1
     /*  919082 */     // No operand predicates
     /*  919082 */     // MIs[0] policy
     /*  919082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919094 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  919097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919116 */     GIR_RootConstrainSelectedInstOperands,
     /*  919117 */     // GIR_Coverage, 23903,
     /*  919117 */     GIR_EraseRootFromParent_Done,
     /*  919118 */   // Label 13979: @919118
     /*  919118 */   GIM_Try, /*On fail goto*//*Label 13980*/ GIMT_Encode4(919206), // Rule ID 23906 //
     /*  919123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  919134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  919137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  919140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919170 */     // MIs[1] Operand 1
     /*  919170 */     // No operand predicates
     /*  919170 */     // MIs[0] policy
     /*  919170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  919185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919204 */     GIR_RootConstrainSelectedInstOperands,
     /*  919205 */     // GIR_Coverage, 23906,
     /*  919205 */     GIR_EraseRootFromParent_Done,
     /*  919206 */   // Label 13980: @919206
     /*  919206 */   GIM_Try, /*On fail goto*//*Label 13981*/ GIMT_Encode4(919294), // Rule ID 23907 //
     /*  919211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  919222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  919225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  919228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919258 */     // MIs[1] Operand 1
     /*  919258 */     // No operand predicates
     /*  919258 */     // MIs[0] policy
     /*  919258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919270 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  919273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919292 */     GIR_RootConstrainSelectedInstOperands,
     /*  919293 */     // GIR_Coverage, 23907,
     /*  919293 */     GIR_EraseRootFromParent_Done,
     /*  919294 */   // Label 13981: @919294
     /*  919294 */   GIM_Try, /*On fail goto*//*Label 13982*/ GIMT_Encode4(919382), // Rule ID 23910 //
     /*  919299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  919310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  919313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  919316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919346 */     // MIs[1] Operand 1
     /*  919346 */     // No operand predicates
     /*  919346 */     // MIs[0] policy
     /*  919346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919358 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  919361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919380 */     GIR_RootConstrainSelectedInstOperands,
     /*  919381 */     // GIR_Coverage, 23910,
     /*  919381 */     GIR_EraseRootFromParent_Done,
     /*  919382 */   // Label 13982: @919382
     /*  919382 */   GIM_Try, /*On fail goto*//*Label 13983*/ GIMT_Encode4(919470), // Rule ID 23911 //
     /*  919387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  919398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  919401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  919404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919434 */     // MIs[1] Operand 1
     /*  919434 */     // No operand predicates
     /*  919434 */     // MIs[0] policy
     /*  919434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919446 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  919449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919468 */     GIR_RootConstrainSelectedInstOperands,
     /*  919469 */     // GIR_Coverage, 23911,
     /*  919469 */     GIR_EraseRootFromParent_Done,
     /*  919470 */   // Label 13983: @919470
     /*  919470 */   GIM_Try, /*On fail goto*//*Label 13984*/ GIMT_Encode4(919558), // Rule ID 23914 //
     /*  919475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  919478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  919486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  919489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  919492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919522 */     // MIs[1] Operand 1
     /*  919522 */     // No operand predicates
     /*  919522 */     // MIs[0] policy
     /*  919522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919534 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  919537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919556 */     GIR_RootConstrainSelectedInstOperands,
     /*  919557 */     // GIR_Coverage, 23914,
     /*  919557 */     GIR_EraseRootFromParent_Done,
     /*  919558 */   // Label 13984: @919558
     /*  919558 */   GIM_Try, /*On fail goto*//*Label 13985*/ GIMT_Encode4(919646), // Rule ID 23915 //
     /*  919563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  919566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  919574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  919577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  919580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919610 */     // MIs[1] Operand 1
     /*  919610 */     // No operand predicates
     /*  919610 */     // MIs[0] policy
     /*  919610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919622 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  919625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919644 */     GIR_RootConstrainSelectedInstOperands,
     /*  919645 */     // GIR_Coverage, 23915,
     /*  919645 */     GIR_EraseRootFromParent_Done,
     /*  919646 */   // Label 13985: @919646
     /*  919646 */   GIM_Try, /*On fail goto*//*Label 13986*/ GIMT_Encode4(919734), // Rule ID 23918 //
     /*  919651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  919662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  919665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  919668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919698 */     // MIs[1] Operand 1
     /*  919698 */     // No operand predicates
     /*  919698 */     // MIs[0] policy
     /*  919698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919710 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919732 */     GIR_RootConstrainSelectedInstOperands,
     /*  919733 */     // GIR_Coverage, 23918,
     /*  919733 */     GIR_EraseRootFromParent_Done,
     /*  919734 */   // Label 13986: @919734
     /*  919734 */   GIM_Try, /*On fail goto*//*Label 13987*/ GIMT_Encode4(919822), // Rule ID 23919 //
     /*  919739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  919750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  919753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  919756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919786 */     // MIs[1] Operand 1
     /*  919786 */     // No operand predicates
     /*  919786 */     // MIs[0] policy
     /*  919786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919798 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919820 */     GIR_RootConstrainSelectedInstOperands,
     /*  919821 */     // GIR_Coverage, 23919,
     /*  919821 */     GIR_EraseRootFromParent_Done,
     /*  919822 */   // Label 13987: @919822
     /*  919822 */   GIM_Try, /*On fail goto*//*Label 13988*/ GIMT_Encode4(919910), // Rule ID 23922 //
     /*  919827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  919838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  919841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  919844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919874 */     // MIs[1] Operand 1
     /*  919874 */     // No operand predicates
     /*  919874 */     // MIs[0] policy
     /*  919874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919886 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919908 */     GIR_RootConstrainSelectedInstOperands,
     /*  919909 */     // GIR_Coverage, 23922,
     /*  919909 */     GIR_EraseRootFromParent_Done,
     /*  919910 */   // Label 13988: @919910
     /*  919910 */   GIM_Try, /*On fail goto*//*Label 13989*/ GIMT_Encode4(919998), // Rule ID 23923 //
     /*  919915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  919926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  919929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  919932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919962 */     // MIs[1] Operand 1
     /*  919962 */     // No operand predicates
     /*  919962 */     // MIs[0] policy
     /*  919962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919974 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919996 */     GIR_RootConstrainSelectedInstOperands,
     /*  919997 */     // GIR_Coverage, 23923,
     /*  919997 */     GIR_EraseRootFromParent_Done,
     /*  919998 */   // Label 13989: @919998
     /*  919998 */   GIM_Try, /*On fail goto*//*Label 13990*/ GIMT_Encode4(920086), // Rule ID 23926 //
     /*  920003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  920014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  920017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  920020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920050 */     // MIs[1] Operand 1
     /*  920050 */     // No operand predicates
     /*  920050 */     // MIs[0] policy
     /*  920050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920062 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920084 */     GIR_RootConstrainSelectedInstOperands,
     /*  920085 */     // GIR_Coverage, 23926,
     /*  920085 */     GIR_EraseRootFromParent_Done,
     /*  920086 */   // Label 13990: @920086
     /*  920086 */   GIM_Try, /*On fail goto*//*Label 13991*/ GIMT_Encode4(920174), // Rule ID 23927 //
     /*  920091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  920102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  920105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  920108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920138 */     // MIs[1] Operand 1
     /*  920138 */     // No operand predicates
     /*  920138 */     // MIs[0] policy
     /*  920138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920150 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920172 */     GIR_RootConstrainSelectedInstOperands,
     /*  920173 */     // GIR_Coverage, 23927,
     /*  920173 */     GIR_EraseRootFromParent_Done,
     /*  920174 */   // Label 13991: @920174
     /*  920174 */   GIM_Try, /*On fail goto*//*Label 13992*/ GIMT_Encode4(920262), // Rule ID 23930 //
     /*  920179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  920190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  920193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  920196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920226 */     // MIs[1] Operand 1
     /*  920226 */     // No operand predicates
     /*  920226 */     // MIs[0] policy
     /*  920226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920238 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920260 */     GIR_RootConstrainSelectedInstOperands,
     /*  920261 */     // GIR_Coverage, 23930,
     /*  920261 */     GIR_EraseRootFromParent_Done,
     /*  920262 */   // Label 13992: @920262
     /*  920262 */   GIM_Try, /*On fail goto*//*Label 13993*/ GIMT_Encode4(920350), // Rule ID 23931 //
     /*  920267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  920278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  920281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  920284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920314 */     // MIs[1] Operand 1
     /*  920314 */     // No operand predicates
     /*  920314 */     // MIs[0] policy
     /*  920314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920326 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920348 */     GIR_RootConstrainSelectedInstOperands,
     /*  920349 */     // GIR_Coverage, 23931,
     /*  920349 */     GIR_EraseRootFromParent_Done,
     /*  920350 */   // Label 13993: @920350
     /*  920350 */   GIM_Try, /*On fail goto*//*Label 13994*/ GIMT_Encode4(920438), // Rule ID 23934 //
     /*  920355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  920366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  920369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  920372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920402 */     // MIs[1] Operand 1
     /*  920402 */     // No operand predicates
     /*  920402 */     // MIs[0] policy
     /*  920402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920436 */     GIR_RootConstrainSelectedInstOperands,
     /*  920437 */     // GIR_Coverage, 23934,
     /*  920437 */     GIR_EraseRootFromParent_Done,
     /*  920438 */   // Label 13994: @920438
     /*  920438 */   GIM_Try, /*On fail goto*//*Label 13995*/ GIMT_Encode4(920526), // Rule ID 23935 //
     /*  920443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  920454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  920457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  920460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920490 */     // MIs[1] Operand 1
     /*  920490 */     // No operand predicates
     /*  920490 */     // MIs[0] policy
     /*  920490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920502 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920524 */     GIR_RootConstrainSelectedInstOperands,
     /*  920525 */     // GIR_Coverage, 23935,
     /*  920525 */     GIR_EraseRootFromParent_Done,
     /*  920526 */   // Label 13995: @920526
     /*  920526 */   GIM_Try, /*On fail goto*//*Label 13996*/ GIMT_Encode4(920614), // Rule ID 23938 //
     /*  920531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  920542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  920545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  920548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920578 */     // MIs[1] Operand 1
     /*  920578 */     // No operand predicates
     /*  920578 */     // MIs[0] policy
     /*  920578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920590 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920612 */     GIR_RootConstrainSelectedInstOperands,
     /*  920613 */     // GIR_Coverage, 23938,
     /*  920613 */     GIR_EraseRootFromParent_Done,
     /*  920614 */   // Label 13996: @920614
     /*  920614 */   GIM_Try, /*On fail goto*//*Label 13997*/ GIMT_Encode4(920702), // Rule ID 23939 //
     /*  920619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  920630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  920633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  920636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920666 */     // MIs[1] Operand 1
     /*  920666 */     // No operand predicates
     /*  920666 */     // MIs[0] policy
     /*  920666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920700 */     GIR_RootConstrainSelectedInstOperands,
     /*  920701 */     // GIR_Coverage, 23939,
     /*  920701 */     GIR_EraseRootFromParent_Done,
     /*  920702 */   // Label 13997: @920702
     /*  920702 */   GIM_Try, /*On fail goto*//*Label 13998*/ GIMT_Encode4(920790), // Rule ID 23942 //
     /*  920707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  920718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  920721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  920724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920754 */     // MIs[1] Operand 1
     /*  920754 */     // No operand predicates
     /*  920754 */     // MIs[0] policy
     /*  920754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920766 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920788 */     GIR_RootConstrainSelectedInstOperands,
     /*  920789 */     // GIR_Coverage, 23942,
     /*  920789 */     GIR_EraseRootFromParent_Done,
     /*  920790 */   // Label 13998: @920790
     /*  920790 */   GIM_Try, /*On fail goto*//*Label 13999*/ GIMT_Encode4(920878), // Rule ID 23943 //
     /*  920795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  920806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  920809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  920812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920842 */     // MIs[1] Operand 1
     /*  920842 */     // No operand predicates
     /*  920842 */     // MIs[0] policy
     /*  920842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920854 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920876 */     GIR_RootConstrainSelectedInstOperands,
     /*  920877 */     // GIR_Coverage, 23943,
     /*  920877 */     GIR_EraseRootFromParent_Done,
     /*  920878 */   // Label 13999: @920878
     /*  920878 */   GIM_Try, /*On fail goto*//*Label 14000*/ GIMT_Encode4(920966), // Rule ID 23946 //
     /*  920883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  920894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  920897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  920900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920930 */     // MIs[1] Operand 1
     /*  920930 */     // No operand predicates
     /*  920930 */     // MIs[0] policy
     /*  920930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920942 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920964 */     GIR_RootConstrainSelectedInstOperands,
     /*  920965 */     // GIR_Coverage, 23946,
     /*  920965 */     GIR_EraseRootFromParent_Done,
     /*  920966 */   // Label 14000: @920966
     /*  920966 */   GIM_Try, /*On fail goto*//*Label 14001*/ GIMT_Encode4(921054), // Rule ID 23947 //
     /*  920971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  920982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  920985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  920988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921018 */     // MIs[1] Operand 1
     /*  921018 */     // No operand predicates
     /*  921018 */     // MIs[0] policy
     /*  921018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921030 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  921033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921052 */     GIR_RootConstrainSelectedInstOperands,
     /*  921053 */     // GIR_Coverage, 23947,
     /*  921053 */     GIR_EraseRootFromParent_Done,
     /*  921054 */   // Label 14001: @921054
     /*  921054 */   GIM_Try, /*On fail goto*//*Label 14002*/ GIMT_Encode4(921142), // Rule ID 23950 //
     /*  921059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  921070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  921073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  921076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921106 */     // MIs[1] Operand 1
     /*  921106 */     // No operand predicates
     /*  921106 */     // MIs[0] policy
     /*  921106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  921121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921140 */     GIR_RootConstrainSelectedInstOperands,
     /*  921141 */     // GIR_Coverage, 23950,
     /*  921141 */     GIR_EraseRootFromParent_Done,
     /*  921142 */   // Label 14002: @921142
     /*  921142 */   GIM_Try, /*On fail goto*//*Label 14003*/ GIMT_Encode4(921230), // Rule ID 23951 //
     /*  921147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  921158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  921161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  921164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921194 */     // MIs[1] Operand 1
     /*  921194 */     // No operand predicates
     /*  921194 */     // MIs[0] policy
     /*  921194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921206 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  921209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921228 */     GIR_RootConstrainSelectedInstOperands,
     /*  921229 */     // GIR_Coverage, 23951,
     /*  921229 */     GIR_EraseRootFromParent_Done,
     /*  921230 */   // Label 14003: @921230
     /*  921230 */   GIM_Try, /*On fail goto*//*Label 14004*/ GIMT_Encode4(921318), // Rule ID 23954 //
     /*  921235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  921238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  921246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  921249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  921252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921282 */     // MIs[1] Operand 1
     /*  921282 */     // No operand predicates
     /*  921282 */     // MIs[0] policy
     /*  921282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921294 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  921297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921316 */     GIR_RootConstrainSelectedInstOperands,
     /*  921317 */     // GIR_Coverage, 23954,
     /*  921317 */     GIR_EraseRootFromParent_Done,
     /*  921318 */   // Label 14004: @921318
     /*  921318 */   GIM_Try, /*On fail goto*//*Label 14005*/ GIMT_Encode4(921406), // Rule ID 23955 //
     /*  921323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  921334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  921337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  921340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921370 */     // MIs[1] Operand 1
     /*  921370 */     // No operand predicates
     /*  921370 */     // MIs[0] policy
     /*  921370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921382 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  921385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921404 */     GIR_RootConstrainSelectedInstOperands,
     /*  921405 */     // GIR_Coverage, 23955,
     /*  921405 */     GIR_EraseRootFromParent_Done,
     /*  921406 */   // Label 14005: @921406
     /*  921406 */   GIM_Try, /*On fail goto*//*Label 14006*/ GIMT_Encode4(921494), // Rule ID 23958 //
     /*  921411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  921414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  921422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  921425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  921428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921458 */     // MIs[1] Operand 1
     /*  921458 */     // No operand predicates
     /*  921458 */     // MIs[0] policy
     /*  921458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921470 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  921473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921492 */     GIR_RootConstrainSelectedInstOperands,
     /*  921493 */     // GIR_Coverage, 23958,
     /*  921493 */     GIR_EraseRootFromParent_Done,
     /*  921494 */   // Label 14006: @921494
     /*  921494 */   GIM_Try, /*On fail goto*//*Label 14007*/ GIMT_Encode4(921582), // Rule ID 23959 //
     /*  921499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  921510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  921513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  921516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921546 */     // MIs[1] Operand 1
     /*  921546 */     // No operand predicates
     /*  921546 */     // MIs[0] policy
     /*  921546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921558 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  921561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921580 */     GIR_RootConstrainSelectedInstOperands,
     /*  921581 */     // GIR_Coverage, 23959,
     /*  921581 */     GIR_EraseRootFromParent_Done,
     /*  921582 */   // Label 14007: @921582
     /*  921582 */   GIM_Try, /*On fail goto*//*Label 14008*/ GIMT_Encode4(921670), // Rule ID 23962 //
     /*  921587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  921590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  921598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  921601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  921604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921634 */     // MIs[1] Operand 1
     /*  921634 */     // No operand predicates
     /*  921634 */     // MIs[0] policy
     /*  921634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  921649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921668 */     GIR_RootConstrainSelectedInstOperands,
     /*  921669 */     // GIR_Coverage, 23962,
     /*  921669 */     GIR_EraseRootFromParent_Done,
     /*  921670 */   // Label 14008: @921670
     /*  921670 */   GIM_Try, /*On fail goto*//*Label 14009*/ GIMT_Encode4(921758), // Rule ID 23963 //
     /*  921675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  921686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  921689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  921692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921722 */     // MIs[1] Operand 1
     /*  921722 */     // No operand predicates
     /*  921722 */     // MIs[0] policy
     /*  921722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921734 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  921737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921756 */     GIR_RootConstrainSelectedInstOperands,
     /*  921757 */     // GIR_Coverage, 23963,
     /*  921757 */     GIR_EraseRootFromParent_Done,
     /*  921758 */   // Label 14009: @921758
     /*  921758 */   GIM_Try, /*On fail goto*//*Label 14010*/ GIMT_Encode4(921846), // Rule ID 24202 //
     /*  921763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  921774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  921777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  921780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921810 */     // MIs[1] Operand 1
     /*  921810 */     // No operand predicates
     /*  921810 */     // MIs[0] policy
     /*  921810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921822 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  921825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921844 */     GIR_RootConstrainSelectedInstOperands,
     /*  921845 */     // GIR_Coverage, 24202,
     /*  921845 */     GIR_EraseRootFromParent_Done,
     /*  921846 */   // Label 14010: @921846
     /*  921846 */   GIM_Try, /*On fail goto*//*Label 14011*/ GIMT_Encode4(921934), // Rule ID 24203 //
     /*  921851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  921862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  921865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  921868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921898 */     // MIs[1] Operand 1
     /*  921898 */     // No operand predicates
     /*  921898 */     // MIs[0] policy
     /*  921898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921910 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  921913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921932 */     GIR_RootConstrainSelectedInstOperands,
     /*  921933 */     // GIR_Coverage, 24203,
     /*  921933 */     GIR_EraseRootFromParent_Done,
     /*  921934 */   // Label 14011: @921934
     /*  921934 */   GIM_Try, /*On fail goto*//*Label 14012*/ GIMT_Encode4(922022), // Rule ID 24206 //
     /*  921939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  921950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  921953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  921956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921986 */     // MIs[1] Operand 1
     /*  921986 */     // No operand predicates
     /*  921986 */     // MIs[0] policy
     /*  921986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921998 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  922001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922020 */     GIR_RootConstrainSelectedInstOperands,
     /*  922021 */     // GIR_Coverage, 24206,
     /*  922021 */     GIR_EraseRootFromParent_Done,
     /*  922022 */   // Label 14012: @922022
     /*  922022 */   GIM_Try, /*On fail goto*//*Label 14013*/ GIMT_Encode4(922110), // Rule ID 24207 //
     /*  922027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  922038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  922041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  922044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922074 */     // MIs[1] Operand 1
     /*  922074 */     // No operand predicates
     /*  922074 */     // MIs[0] policy
     /*  922074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922086 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  922089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922108 */     GIR_RootConstrainSelectedInstOperands,
     /*  922109 */     // GIR_Coverage, 24207,
     /*  922109 */     GIR_EraseRootFromParent_Done,
     /*  922110 */   // Label 14013: @922110
     /*  922110 */   GIM_Try, /*On fail goto*//*Label 14014*/ GIMT_Encode4(922198), // Rule ID 24210 //
     /*  922115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  922126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  922129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  922132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922162 */     // MIs[1] Operand 1
     /*  922162 */     // No operand predicates
     /*  922162 */     // MIs[0] policy
     /*  922162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922174 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  922177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922196 */     GIR_RootConstrainSelectedInstOperands,
     /*  922197 */     // GIR_Coverage, 24210,
     /*  922197 */     GIR_EraseRootFromParent_Done,
     /*  922198 */   // Label 14014: @922198
     /*  922198 */   GIM_Try, /*On fail goto*//*Label 14015*/ GIMT_Encode4(922286), // Rule ID 24211 //
     /*  922203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  922214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  922217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  922220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922250 */     // MIs[1] Operand 1
     /*  922250 */     // No operand predicates
     /*  922250 */     // MIs[0] policy
     /*  922250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922262 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  922265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922284 */     GIR_RootConstrainSelectedInstOperands,
     /*  922285 */     // GIR_Coverage, 24211,
     /*  922285 */     GIR_EraseRootFromParent_Done,
     /*  922286 */   // Label 14015: @922286
     /*  922286 */   GIM_Try, /*On fail goto*//*Label 14016*/ GIMT_Encode4(922374), // Rule ID 24214 //
     /*  922291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  922302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  922305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  922308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922338 */     // MIs[1] Operand 1
     /*  922338 */     // No operand predicates
     /*  922338 */     // MIs[0] policy
     /*  922338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922350 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  922353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922372 */     GIR_RootConstrainSelectedInstOperands,
     /*  922373 */     // GIR_Coverage, 24214,
     /*  922373 */     GIR_EraseRootFromParent_Done,
     /*  922374 */   // Label 14016: @922374
     /*  922374 */   GIM_Try, /*On fail goto*//*Label 14017*/ GIMT_Encode4(922462), // Rule ID 24215 //
     /*  922379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  922390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  922393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  922396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922426 */     // MIs[1] Operand 1
     /*  922426 */     // No operand predicates
     /*  922426 */     // MIs[0] policy
     /*  922426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922438 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  922441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922460 */     GIR_RootConstrainSelectedInstOperands,
     /*  922461 */     // GIR_Coverage, 24215,
     /*  922461 */     GIR_EraseRootFromParent_Done,
     /*  922462 */   // Label 14017: @922462
     /*  922462 */   GIM_Try, /*On fail goto*//*Label 14018*/ GIMT_Encode4(922550), // Rule ID 24218 //
     /*  922467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  922478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  922481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  922484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922514 */     // MIs[1] Operand 1
     /*  922514 */     // No operand predicates
     /*  922514 */     // MIs[0] policy
     /*  922514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922526 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  922529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922548 */     GIR_RootConstrainSelectedInstOperands,
     /*  922549 */     // GIR_Coverage, 24218,
     /*  922549 */     GIR_EraseRootFromParent_Done,
     /*  922550 */   // Label 14018: @922550
     /*  922550 */   GIM_Try, /*On fail goto*//*Label 14019*/ GIMT_Encode4(922638), // Rule ID 24219 //
     /*  922555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  922566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  922569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  922572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922602 */     // MIs[1] Operand 1
     /*  922602 */     // No operand predicates
     /*  922602 */     // MIs[0] policy
     /*  922602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922614 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  922617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922636 */     GIR_RootConstrainSelectedInstOperands,
     /*  922637 */     // GIR_Coverage, 24219,
     /*  922637 */     GIR_EraseRootFromParent_Done,
     /*  922638 */   // Label 14019: @922638
     /*  922638 */   GIM_Try, /*On fail goto*//*Label 14020*/ GIMT_Encode4(922726), // Rule ID 24222 //
     /*  922643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  922646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  922654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  922657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  922660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922690 */     // MIs[1] Operand 1
     /*  922690 */     // No operand predicates
     /*  922690 */     // MIs[0] policy
     /*  922690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922702 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  922705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922724 */     GIR_RootConstrainSelectedInstOperands,
     /*  922725 */     // GIR_Coverage, 24222,
     /*  922725 */     GIR_EraseRootFromParent_Done,
     /*  922726 */   // Label 14020: @922726
     /*  922726 */   GIM_Try, /*On fail goto*//*Label 14021*/ GIMT_Encode4(922814), // Rule ID 24223 //
     /*  922731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  922734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  922742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  922745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  922748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922778 */     // MIs[1] Operand 1
     /*  922778 */     // No operand predicates
     /*  922778 */     // MIs[0] policy
     /*  922778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922790 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  922793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922812 */     GIR_RootConstrainSelectedInstOperands,
     /*  922813 */     // GIR_Coverage, 24223,
     /*  922813 */     GIR_EraseRootFromParent_Done,
     /*  922814 */   // Label 14021: @922814
     /*  922814 */   GIM_Try, /*On fail goto*//*Label 14022*/ GIMT_Encode4(922902), // Rule ID 24226 //
     /*  922819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  922830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  922833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  922836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922866 */     // MIs[1] Operand 1
     /*  922866 */     // No operand predicates
     /*  922866 */     // MIs[0] policy
     /*  922866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922878 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922900 */     GIR_RootConstrainSelectedInstOperands,
     /*  922901 */     // GIR_Coverage, 24226,
     /*  922901 */     GIR_EraseRootFromParent_Done,
     /*  922902 */   // Label 14022: @922902
     /*  922902 */   GIM_Try, /*On fail goto*//*Label 14023*/ GIMT_Encode4(922990), // Rule ID 24227 //
     /*  922907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  922918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  922921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  922924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922954 */     // MIs[1] Operand 1
     /*  922954 */     // No operand predicates
     /*  922954 */     // MIs[0] policy
     /*  922954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922966 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922988 */     GIR_RootConstrainSelectedInstOperands,
     /*  922989 */     // GIR_Coverage, 24227,
     /*  922989 */     GIR_EraseRootFromParent_Done,
     /*  922990 */   // Label 14023: @922990
     /*  922990 */   GIM_Try, /*On fail goto*//*Label 14024*/ GIMT_Encode4(923078), // Rule ID 24230 //
     /*  922995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  923006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  923009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  923012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923042 */     // MIs[1] Operand 1
     /*  923042 */     // No operand predicates
     /*  923042 */     // MIs[0] policy
     /*  923042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923054 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  923057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923076 */     GIR_RootConstrainSelectedInstOperands,
     /*  923077 */     // GIR_Coverage, 24230,
     /*  923077 */     GIR_EraseRootFromParent_Done,
     /*  923078 */   // Label 14024: @923078
     /*  923078 */   GIM_Try, /*On fail goto*//*Label 14025*/ GIMT_Encode4(923166), // Rule ID 24231 //
     /*  923083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  923094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  923097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  923100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923130 */     // MIs[1] Operand 1
     /*  923130 */     // No operand predicates
     /*  923130 */     // MIs[0] policy
     /*  923130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923142 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  923145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923164 */     GIR_RootConstrainSelectedInstOperands,
     /*  923165 */     // GIR_Coverage, 24231,
     /*  923165 */     GIR_EraseRootFromParent_Done,
     /*  923166 */   // Label 14025: @923166
     /*  923166 */   GIM_Try, /*On fail goto*//*Label 14026*/ GIMT_Encode4(923254), // Rule ID 24234 //
     /*  923171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  923182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  923185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  923188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923218 */     // MIs[1] Operand 1
     /*  923218 */     // No operand predicates
     /*  923218 */     // MIs[0] policy
     /*  923218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923230 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923252 */     GIR_RootConstrainSelectedInstOperands,
     /*  923253 */     // GIR_Coverage, 24234,
     /*  923253 */     GIR_EraseRootFromParent_Done,
     /*  923254 */   // Label 14026: @923254
     /*  923254 */   GIM_Try, /*On fail goto*//*Label 14027*/ GIMT_Encode4(923342), // Rule ID 24235 //
     /*  923259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  923270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  923273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  923276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923306 */     // MIs[1] Operand 1
     /*  923306 */     // No operand predicates
     /*  923306 */     // MIs[0] policy
     /*  923306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923318 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923340 */     GIR_RootConstrainSelectedInstOperands,
     /*  923341 */     // GIR_Coverage, 24235,
     /*  923341 */     GIR_EraseRootFromParent_Done,
     /*  923342 */   // Label 14027: @923342
     /*  923342 */   GIM_Try, /*On fail goto*//*Label 14028*/ GIMT_Encode4(923430), // Rule ID 24238 //
     /*  923347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  923358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  923361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  923364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923394 */     // MIs[1] Operand 1
     /*  923394 */     // No operand predicates
     /*  923394 */     // MIs[0] policy
     /*  923394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923406 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  923409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923428 */     GIR_RootConstrainSelectedInstOperands,
     /*  923429 */     // GIR_Coverage, 24238,
     /*  923429 */     GIR_EraseRootFromParent_Done,
     /*  923430 */   // Label 14028: @923430
     /*  923430 */   GIM_Try, /*On fail goto*//*Label 14029*/ GIMT_Encode4(923518), // Rule ID 24239 //
     /*  923435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  923446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  923449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  923452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923482 */     // MIs[1] Operand 1
     /*  923482 */     // No operand predicates
     /*  923482 */     // MIs[0] policy
     /*  923482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923494 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  923497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923516 */     GIR_RootConstrainSelectedInstOperands,
     /*  923517 */     // GIR_Coverage, 24239,
     /*  923517 */     GIR_EraseRootFromParent_Done,
     /*  923518 */   // Label 14029: @923518
     /*  923518 */   GIM_Try, /*On fail goto*//*Label 14030*/ GIMT_Encode4(923606), // Rule ID 24242 //
     /*  923523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  923534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  923537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  923540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923570 */     // MIs[1] Operand 1
     /*  923570 */     // No operand predicates
     /*  923570 */     // MIs[0] policy
     /*  923570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923582 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  923585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923604 */     GIR_RootConstrainSelectedInstOperands,
     /*  923605 */     // GIR_Coverage, 24242,
     /*  923605 */     GIR_EraseRootFromParent_Done,
     /*  923606 */   // Label 14030: @923606
     /*  923606 */   GIM_Try, /*On fail goto*//*Label 14031*/ GIMT_Encode4(923694), // Rule ID 24243 //
     /*  923611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  923622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  923625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  923628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923658 */     // MIs[1] Operand 1
     /*  923658 */     // No operand predicates
     /*  923658 */     // MIs[0] policy
     /*  923658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923670 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  923673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923692 */     GIR_RootConstrainSelectedInstOperands,
     /*  923693 */     // GIR_Coverage, 24243,
     /*  923693 */     GIR_EraseRootFromParent_Done,
     /*  923694 */   // Label 14031: @923694
     /*  923694 */   GIM_Try, /*On fail goto*//*Label 14032*/ GIMT_Encode4(923782), // Rule ID 24246 //
     /*  923699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  923710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  923713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  923716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923746 */     // MIs[1] Operand 1
     /*  923746 */     // No operand predicates
     /*  923746 */     // MIs[0] policy
     /*  923746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923758 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923780 */     GIR_RootConstrainSelectedInstOperands,
     /*  923781 */     // GIR_Coverage, 24246,
     /*  923781 */     GIR_EraseRootFromParent_Done,
     /*  923782 */   // Label 14032: @923782
     /*  923782 */   GIM_Try, /*On fail goto*//*Label 14033*/ GIMT_Encode4(923870), // Rule ID 24247 //
     /*  923787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  923798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  923801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  923804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923834 */     // MIs[1] Operand 1
     /*  923834 */     // No operand predicates
     /*  923834 */     // MIs[0] policy
     /*  923834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923846 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923868 */     GIR_RootConstrainSelectedInstOperands,
     /*  923869 */     // GIR_Coverage, 24247,
     /*  923869 */     GIR_EraseRootFromParent_Done,
     /*  923870 */   // Label 14033: @923870
     /*  923870 */   GIM_Try, /*On fail goto*//*Label 14034*/ GIMT_Encode4(923958), // Rule ID 24250 //
     /*  923875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  923878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  923886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  923889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  923892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923922 */     // MIs[1] Operand 1
     /*  923922 */     // No operand predicates
     /*  923922 */     // MIs[0] policy
     /*  923922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923934 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  923937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923956 */     GIR_RootConstrainSelectedInstOperands,
     /*  923957 */     // GIR_Coverage, 24250,
     /*  923957 */     GIR_EraseRootFromParent_Done,
     /*  923958 */   // Label 14034: @923958
     /*  923958 */   GIM_Try, /*On fail goto*//*Label 14035*/ GIMT_Encode4(924046), // Rule ID 24251 //
     /*  923963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  923966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  923974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  923977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  923980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924010 */     // MIs[1] Operand 1
     /*  924010 */     // No operand predicates
     /*  924010 */     // MIs[0] policy
     /*  924010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924022 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  924025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924044 */     GIR_RootConstrainSelectedInstOperands,
     /*  924045 */     // GIR_Coverage, 24251,
     /*  924045 */     GIR_EraseRootFromParent_Done,
     /*  924046 */   // Label 14035: @924046
     /*  924046 */   GIM_Try, /*On fail goto*//*Label 14036*/ GIMT_Encode4(924134), // Rule ID 24254 //
     /*  924051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  924054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  924059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  924062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  924065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  924068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924098 */     // MIs[1] Operand 1
     /*  924098 */     // No operand predicates
     /*  924098 */     // MIs[0] policy
     /*  924098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924110 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  924113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924132 */     GIR_RootConstrainSelectedInstOperands,
     /*  924133 */     // GIR_Coverage, 24254,
     /*  924133 */     GIR_EraseRootFromParent_Done,
     /*  924134 */   // Label 14036: @924134
     /*  924134 */   GIM_Try, /*On fail goto*//*Label 14037*/ GIMT_Encode4(924222), // Rule ID 24255 //
     /*  924139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  924142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  924147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  924150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  924153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  924156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924186 */     // MIs[1] Operand 1
     /*  924186 */     // No operand predicates
     /*  924186 */     // MIs[0] policy
     /*  924186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924198 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  924201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924220 */     GIR_RootConstrainSelectedInstOperands,
     /*  924221 */     // GIR_Coverage, 24255,
     /*  924221 */     GIR_EraseRootFromParent_Done,
     /*  924222 */   // Label 14037: @924222
     /*  924222 */   GIM_Try, /*On fail goto*//*Label 14038*/ GIMT_Encode4(924310), // Rule ID 24258 //
     /*  924227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  924230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  924235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  924238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  924241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  924244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924274 */     // MIs[1] Operand 1
     /*  924274 */     // No operand predicates
     /*  924274 */     // MIs[0] policy
     /*  924274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924286 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  924289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924308 */     GIR_RootConstrainSelectedInstOperands,
     /*  924309 */     // GIR_Coverage, 24258,
     /*  924309 */     GIR_EraseRootFromParent_Done,
     /*  924310 */   // Label 14038: @924310
     /*  924310 */   GIM_Try, /*On fail goto*//*Label 14039*/ GIMT_Encode4(924398), // Rule ID 24259 //
     /*  924315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  924318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  924323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  924326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  924329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  924332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924362 */     // MIs[1] Operand 1
     /*  924362 */     // No operand predicates
     /*  924362 */     // MIs[0] policy
     /*  924362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924374 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  924377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924396 */     GIR_RootConstrainSelectedInstOperands,
     /*  924397 */     // GIR_Coverage, 24259,
     /*  924397 */     GIR_EraseRootFromParent_Done,
     /*  924398 */   // Label 14039: @924398
     /*  924398 */   GIM_Try, /*On fail goto*//*Label 14040*/ GIMT_Encode4(924486), // Rule ID 24322 //
     /*  924403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  924414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  924417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  924420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924450 */     // MIs[1] Operand 1
     /*  924450 */     // No operand predicates
     /*  924450 */     // MIs[0] policy
     /*  924450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924462 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  924465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924484 */     GIR_RootConstrainSelectedInstOperands,
     /*  924485 */     // GIR_Coverage, 24322,
     /*  924485 */     GIR_EraseRootFromParent_Done,
     /*  924486 */   // Label 14040: @924486
     /*  924486 */   GIM_Try, /*On fail goto*//*Label 14041*/ GIMT_Encode4(924574), // Rule ID 24323 //
     /*  924491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  924502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  924505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  924508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924538 */     // MIs[1] Operand 1
     /*  924538 */     // No operand predicates
     /*  924538 */     // MIs[0] policy
     /*  924538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924550 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  924553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924572 */     GIR_RootConstrainSelectedInstOperands,
     /*  924573 */     // GIR_Coverage, 24323,
     /*  924573 */     GIR_EraseRootFromParent_Done,
     /*  924574 */   // Label 14041: @924574
     /*  924574 */   GIM_Try, /*On fail goto*//*Label 14042*/ GIMT_Encode4(924662), // Rule ID 24326 //
     /*  924579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  924590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  924593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  924596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924626 */     // MIs[1] Operand 1
     /*  924626 */     // No operand predicates
     /*  924626 */     // MIs[0] policy
     /*  924626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924638 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  924641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924660 */     GIR_RootConstrainSelectedInstOperands,
     /*  924661 */     // GIR_Coverage, 24326,
     /*  924661 */     GIR_EraseRootFromParent_Done,
     /*  924662 */   // Label 14042: @924662
     /*  924662 */   GIM_Try, /*On fail goto*//*Label 14043*/ GIMT_Encode4(924750), // Rule ID 24327 //
     /*  924667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  924678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  924681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  924684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924714 */     // MIs[1] Operand 1
     /*  924714 */     // No operand predicates
     /*  924714 */     // MIs[0] policy
     /*  924714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924726 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  924729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924748 */     GIR_RootConstrainSelectedInstOperands,
     /*  924749 */     // GIR_Coverage, 24327,
     /*  924749 */     GIR_EraseRootFromParent_Done,
     /*  924750 */   // Label 14043: @924750
     /*  924750 */   GIM_Try, /*On fail goto*//*Label 14044*/ GIMT_Encode4(924838), // Rule ID 24330 //
     /*  924755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  924766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  924769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  924772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924802 */     // MIs[1] Operand 1
     /*  924802 */     // No operand predicates
     /*  924802 */     // MIs[0] policy
     /*  924802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924814 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  924817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924836 */     GIR_RootConstrainSelectedInstOperands,
     /*  924837 */     // GIR_Coverage, 24330,
     /*  924837 */     GIR_EraseRootFromParent_Done,
     /*  924838 */   // Label 14044: @924838
     /*  924838 */   GIM_Try, /*On fail goto*//*Label 14045*/ GIMT_Encode4(924926), // Rule ID 24331 //
     /*  924843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  924854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  924857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  924860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924890 */     // MIs[1] Operand 1
     /*  924890 */     // No operand predicates
     /*  924890 */     // MIs[0] policy
     /*  924890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924902 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  924905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924924 */     GIR_RootConstrainSelectedInstOperands,
     /*  924925 */     // GIR_Coverage, 24331,
     /*  924925 */     GIR_EraseRootFromParent_Done,
     /*  924926 */   // Label 14045: @924926
     /*  924926 */   GIM_Try, /*On fail goto*//*Label 14046*/ GIMT_Encode4(925014), // Rule ID 24334 //
     /*  924931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  924942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  924945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  924948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924978 */     // MIs[1] Operand 1
     /*  924978 */     // No operand predicates
     /*  924978 */     // MIs[0] policy
     /*  924978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924990 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925012 */     GIR_RootConstrainSelectedInstOperands,
     /*  925013 */     // GIR_Coverage, 24334,
     /*  925013 */     GIR_EraseRootFromParent_Done,
     /*  925014 */   // Label 14046: @925014
     /*  925014 */   GIM_Try, /*On fail goto*//*Label 14047*/ GIMT_Encode4(925102), // Rule ID 24335 //
     /*  925019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  925030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  925033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  925036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925066 */     // MIs[1] Operand 1
     /*  925066 */     // No operand predicates
     /*  925066 */     // MIs[0] policy
     /*  925066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925078 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  925081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925100 */     GIR_RootConstrainSelectedInstOperands,
     /*  925101 */     // GIR_Coverage, 24335,
     /*  925101 */     GIR_EraseRootFromParent_Done,
     /*  925102 */   // Label 14047: @925102
     /*  925102 */   GIM_Try, /*On fail goto*//*Label 14048*/ GIMT_Encode4(925190), // Rule ID 24338 //
     /*  925107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  925118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  925121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  925124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925154 */     // MIs[1] Operand 1
     /*  925154 */     // No operand predicates
     /*  925154 */     // MIs[0] policy
     /*  925154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925166 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  925169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925188 */     GIR_RootConstrainSelectedInstOperands,
     /*  925189 */     // GIR_Coverage, 24338,
     /*  925189 */     GIR_EraseRootFromParent_Done,
     /*  925190 */   // Label 14048: @925190
     /*  925190 */   GIM_Try, /*On fail goto*//*Label 14049*/ GIMT_Encode4(925278), // Rule ID 24339 //
     /*  925195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  925206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  925209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  925212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925242 */     // MIs[1] Operand 1
     /*  925242 */     // No operand predicates
     /*  925242 */     // MIs[0] policy
     /*  925242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925254 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  925257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925276 */     GIR_RootConstrainSelectedInstOperands,
     /*  925277 */     // GIR_Coverage, 24339,
     /*  925277 */     GIR_EraseRootFromParent_Done,
     /*  925278 */   // Label 14049: @925278
     /*  925278 */   GIM_Try, /*On fail goto*//*Label 14050*/ GIMT_Encode4(925366), // Rule ID 24342 //
     /*  925283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  925286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  925294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  925297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  925300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925330 */     // MIs[1] Operand 1
     /*  925330 */     // No operand predicates
     /*  925330 */     // MIs[0] policy
     /*  925330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925342 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  925345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925364 */     GIR_RootConstrainSelectedInstOperands,
     /*  925365 */     // GIR_Coverage, 24342,
     /*  925365 */     GIR_EraseRootFromParent_Done,
     /*  925366 */   // Label 14050: @925366
     /*  925366 */   GIM_Try, /*On fail goto*//*Label 14051*/ GIMT_Encode4(925454), // Rule ID 24343 //
     /*  925371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  925374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  925382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  925385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  925388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925418 */     // MIs[1] Operand 1
     /*  925418 */     // No operand predicates
     /*  925418 */     // MIs[0] policy
     /*  925418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925430 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  925433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925452 */     GIR_RootConstrainSelectedInstOperands,
     /*  925453 */     // GIR_Coverage, 24343,
     /*  925453 */     GIR_EraseRootFromParent_Done,
     /*  925454 */   // Label 14051: @925454
     /*  925454 */   GIM_Try, /*On fail goto*//*Label 14052*/ GIMT_Encode4(925542), // Rule ID 24346 //
     /*  925459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  925470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  925473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  925476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925506 */     // MIs[1] Operand 1
     /*  925506 */     // No operand predicates
     /*  925506 */     // MIs[0] policy
     /*  925506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925518 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925540 */     GIR_RootConstrainSelectedInstOperands,
     /*  925541 */     // GIR_Coverage, 24346,
     /*  925541 */     GIR_EraseRootFromParent_Done,
     /*  925542 */   // Label 14052: @925542
     /*  925542 */   GIM_Try, /*On fail goto*//*Label 14053*/ GIMT_Encode4(925630), // Rule ID 24347 //
     /*  925547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  925558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  925561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  925564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925594 */     // MIs[1] Operand 1
     /*  925594 */     // No operand predicates
     /*  925594 */     // MIs[0] policy
     /*  925594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925606 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925628 */     GIR_RootConstrainSelectedInstOperands,
     /*  925629 */     // GIR_Coverage, 24347,
     /*  925629 */     GIR_EraseRootFromParent_Done,
     /*  925630 */   // Label 14053: @925630
     /*  925630 */   GIM_Try, /*On fail goto*//*Label 14054*/ GIMT_Encode4(925718), // Rule ID 24350 //
     /*  925635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  925646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  925649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  925652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925682 */     // MIs[1] Operand 1
     /*  925682 */     // No operand predicates
     /*  925682 */     // MIs[0] policy
     /*  925682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925694 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925716 */     GIR_RootConstrainSelectedInstOperands,
     /*  925717 */     // GIR_Coverage, 24350,
     /*  925717 */     GIR_EraseRootFromParent_Done,
     /*  925718 */   // Label 14054: @925718
     /*  925718 */   GIM_Try, /*On fail goto*//*Label 14055*/ GIMT_Encode4(925806), // Rule ID 24351 //
     /*  925723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  925734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  925737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  925740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925770 */     // MIs[1] Operand 1
     /*  925770 */     // No operand predicates
     /*  925770 */     // MIs[0] policy
     /*  925770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925782 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925804 */     GIR_RootConstrainSelectedInstOperands,
     /*  925805 */     // GIR_Coverage, 24351,
     /*  925805 */     GIR_EraseRootFromParent_Done,
     /*  925806 */   // Label 14055: @925806
     /*  925806 */   GIM_Try, /*On fail goto*//*Label 14056*/ GIMT_Encode4(925894), // Rule ID 24354 //
     /*  925811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  925822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  925825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  925828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925858 */     // MIs[1] Operand 1
     /*  925858 */     // No operand predicates
     /*  925858 */     // MIs[0] policy
     /*  925858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925870 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925892 */     GIR_RootConstrainSelectedInstOperands,
     /*  925893 */     // GIR_Coverage, 24354,
     /*  925893 */     GIR_EraseRootFromParent_Done,
     /*  925894 */   // Label 14056: @925894
     /*  925894 */   GIM_Try, /*On fail goto*//*Label 14057*/ GIMT_Encode4(925982), // Rule ID 24355 //
     /*  925899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  925910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  925913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  925916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925946 */     // MIs[1] Operand 1
     /*  925946 */     // No operand predicates
     /*  925946 */     // MIs[0] policy
     /*  925946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925958 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925980 */     GIR_RootConstrainSelectedInstOperands,
     /*  925981 */     // GIR_Coverage, 24355,
     /*  925981 */     GIR_EraseRootFromParent_Done,
     /*  925982 */   // Label 14057: @925982
     /*  925982 */   GIM_Try, /*On fail goto*//*Label 14058*/ GIMT_Encode4(926070), // Rule ID 24358 //
     /*  925987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  925998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  926001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  926004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926034 */     // MIs[1] Operand 1
     /*  926034 */     // No operand predicates
     /*  926034 */     // MIs[0] policy
     /*  926034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926046 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  926049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926068 */     GIR_RootConstrainSelectedInstOperands,
     /*  926069 */     // GIR_Coverage, 24358,
     /*  926069 */     GIR_EraseRootFromParent_Done,
     /*  926070 */   // Label 14058: @926070
     /*  926070 */   GIM_Try, /*On fail goto*//*Label 14059*/ GIMT_Encode4(926158), // Rule ID 24359 //
     /*  926075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  926086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  926089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  926092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926122 */     // MIs[1] Operand 1
     /*  926122 */     // No operand predicates
     /*  926122 */     // MIs[0] policy
     /*  926122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926134 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  926137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926156 */     GIR_RootConstrainSelectedInstOperands,
     /*  926157 */     // GIR_Coverage, 24359,
     /*  926157 */     GIR_EraseRootFromParent_Done,
     /*  926158 */   // Label 14059: @926158
     /*  926158 */   GIM_Try, /*On fail goto*//*Label 14060*/ GIMT_Encode4(926246), // Rule ID 24362 //
     /*  926163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  926174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  926177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  926180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926210 */     // MIs[1] Operand 1
     /*  926210 */     // No operand predicates
     /*  926210 */     // MIs[0] policy
     /*  926210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926222 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  926225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926244 */     GIR_RootConstrainSelectedInstOperands,
     /*  926245 */     // GIR_Coverage, 24362,
     /*  926245 */     GIR_EraseRootFromParent_Done,
     /*  926246 */   // Label 14060: @926246
     /*  926246 */   GIM_Try, /*On fail goto*//*Label 14061*/ GIMT_Encode4(926334), // Rule ID 24363 //
     /*  926251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  926262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  926265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  926268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926298 */     // MIs[1] Operand 1
     /*  926298 */     // No operand predicates
     /*  926298 */     // MIs[0] policy
     /*  926298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926310 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  926313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926332 */     GIR_RootConstrainSelectedInstOperands,
     /*  926333 */     // GIR_Coverage, 24363,
     /*  926333 */     GIR_EraseRootFromParent_Done,
     /*  926334 */   // Label 14061: @926334
     /*  926334 */   GIM_Try, /*On fail goto*//*Label 14062*/ GIMT_Encode4(926422), // Rule ID 24366 //
     /*  926339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  926350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  926353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  926356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926386 */     // MIs[1] Operand 1
     /*  926386 */     // No operand predicates
     /*  926386 */     // MIs[0] policy
     /*  926386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926398 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  926401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926420 */     GIR_RootConstrainSelectedInstOperands,
     /*  926421 */     // GIR_Coverage, 24366,
     /*  926421 */     GIR_EraseRootFromParent_Done,
     /*  926422 */   // Label 14062: @926422
     /*  926422 */   GIM_Try, /*On fail goto*//*Label 14063*/ GIMT_Encode4(926510), // Rule ID 24367 //
     /*  926427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  926438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  926441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  926444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926474 */     // MIs[1] Operand 1
     /*  926474 */     // No operand predicates
     /*  926474 */     // MIs[0] policy
     /*  926474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926486 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  926489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926508 */     GIR_RootConstrainSelectedInstOperands,
     /*  926509 */     // GIR_Coverage, 24367,
     /*  926509 */     GIR_EraseRootFromParent_Done,
     /*  926510 */   // Label 14063: @926510
     /*  926510 */   GIM_Try, /*On fail goto*//*Label 14064*/ GIMT_Encode4(926598), // Rule ID 24370 //
     /*  926515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  926518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  926526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  926529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  926532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926562 */     // MIs[1] Operand 1
     /*  926562 */     // No operand predicates
     /*  926562 */     // MIs[0] policy
     /*  926562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926574 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  926577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926596 */     GIR_RootConstrainSelectedInstOperands,
     /*  926597 */     // GIR_Coverage, 24370,
     /*  926597 */     GIR_EraseRootFromParent_Done,
     /*  926598 */   // Label 14064: @926598
     /*  926598 */   GIM_Try, /*On fail goto*//*Label 14065*/ GIMT_Encode4(926686), // Rule ID 24371 //
     /*  926603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  926606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  926614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  926617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  926620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926650 */     // MIs[1] Operand 1
     /*  926650 */     // No operand predicates
     /*  926650 */     // MIs[0] policy
     /*  926650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926662 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  926665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926684 */     GIR_RootConstrainSelectedInstOperands,
     /*  926685 */     // GIR_Coverage, 24371,
     /*  926685 */     GIR_EraseRootFromParent_Done,
     /*  926686 */   // Label 14065: @926686
     /*  926686 */   GIM_Try, /*On fail goto*//*Label 14066*/ GIMT_Encode4(926774), // Rule ID 24374 //
     /*  926691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  926694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  926702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  926705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  926708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926738 */     // MIs[1] Operand 1
     /*  926738 */     // No operand predicates
     /*  926738 */     // MIs[0] policy
     /*  926738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926750 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  926753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926772 */     GIR_RootConstrainSelectedInstOperands,
     /*  926773 */     // GIR_Coverage, 24374,
     /*  926773 */     GIR_EraseRootFromParent_Done,
     /*  926774 */   // Label 14066: @926774
     /*  926774 */   GIM_Try, /*On fail goto*//*Label 14067*/ GIMT_Encode4(926862), // Rule ID 24375 //
     /*  926779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  926782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  926790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  926793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  926796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926826 */     // MIs[1] Operand 1
     /*  926826 */     // No operand predicates
     /*  926826 */     // MIs[0] policy
     /*  926826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926838 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  926841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926860 */     GIR_RootConstrainSelectedInstOperands,
     /*  926861 */     // GIR_Coverage, 24375,
     /*  926861 */     GIR_EraseRootFromParent_Done,
     /*  926862 */   // Label 14067: @926862
     /*  926862 */   GIM_Try, /*On fail goto*//*Label 14068*/ GIMT_Encode4(926950), // Rule ID 24378 //
     /*  926867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  926870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  926878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  926881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  926884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926914 */     // MIs[1] Operand 1
     /*  926914 */     // No operand predicates
     /*  926914 */     // MIs[0] policy
     /*  926914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926926 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  926929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926948 */     GIR_RootConstrainSelectedInstOperands,
     /*  926949 */     // GIR_Coverage, 24378,
     /*  926949 */     GIR_EraseRootFromParent_Done,
     /*  926950 */   // Label 14068: @926950
     /*  926950 */   GIM_Try, /*On fail goto*//*Label 14069*/ GIMT_Encode4(927038), // Rule ID 24379 //
     /*  926955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  926958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  926963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  926966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  926969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  926972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927002 */     // MIs[1] Operand 1
     /*  927002 */     // No operand predicates
     /*  927002 */     // MIs[0] policy
     /*  927002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927014 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  927017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927036 */     GIR_RootConstrainSelectedInstOperands,
     /*  927037 */     // GIR_Coverage, 24379,
     /*  927037 */     GIR_EraseRootFromParent_Done,
     /*  927038 */   // Label 14069: @927038
     /*  927038 */   GIM_Try, /*On fail goto*//*Label 14070*/ GIMT_Encode4(927129), // Rule ID 15990 //
     /*  927043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  927054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  927057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  927060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927090 */     // MIs[1] Operand 1
     /*  927090 */     // No operand predicates
     /*  927090 */     // MIs[0] round
     /*  927090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927102 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  927102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  927105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927127 */     GIR_RootConstrainSelectedInstOperands,
     /*  927128 */     // GIR_Coverage, 15990,
     /*  927128 */     GIR_EraseRootFromParent_Done,
     /*  927129 */   // Label 14070: @927129
     /*  927129 */   GIM_Try, /*On fail goto*//*Label 14071*/ GIMT_Encode4(927220), // Rule ID 15991 //
     /*  927134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  927145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  927148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  927151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927181 */     // MIs[1] Operand 1
     /*  927181 */     // No operand predicates
     /*  927181 */     // MIs[0] round
     /*  927181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927193 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  927193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  927196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927218 */     GIR_RootConstrainSelectedInstOperands,
     /*  927219 */     // GIR_Coverage, 15991,
     /*  927219 */     GIR_EraseRootFromParent_Done,
     /*  927220 */   // Label 14071: @927220
     /*  927220 */   GIM_Try, /*On fail goto*//*Label 14072*/ GIMT_Encode4(927311), // Rule ID 15994 //
     /*  927225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  927236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  927239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  927242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927272 */     // MIs[1] Operand 1
     /*  927272 */     // No operand predicates
     /*  927272 */     // MIs[0] round
     /*  927272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927284 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  927284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  927287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927309 */     GIR_RootConstrainSelectedInstOperands,
     /*  927310 */     // GIR_Coverage, 15994,
     /*  927310 */     GIR_EraseRootFromParent_Done,
     /*  927311 */   // Label 14072: @927311
     /*  927311 */   GIM_Try, /*On fail goto*//*Label 14073*/ GIMT_Encode4(927402), // Rule ID 15995 //
     /*  927316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  927327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  927330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  927333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927363 */     // MIs[1] Operand 1
     /*  927363 */     // No operand predicates
     /*  927363 */     // MIs[0] round
     /*  927363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927375 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  927375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  927378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927400 */     GIR_RootConstrainSelectedInstOperands,
     /*  927401 */     // GIR_Coverage, 15995,
     /*  927401 */     GIR_EraseRootFromParent_Done,
     /*  927402 */   // Label 14073: @927402
     /*  927402 */   GIM_Try, /*On fail goto*//*Label 14074*/ GIMT_Encode4(927493), // Rule ID 15998 //
     /*  927407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  927418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  927421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  927424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927454 */     // MIs[1] Operand 1
     /*  927454 */     // No operand predicates
     /*  927454 */     // MIs[0] round
     /*  927454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927466 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  927466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927491 */     GIR_RootConstrainSelectedInstOperands,
     /*  927492 */     // GIR_Coverage, 15998,
     /*  927492 */     GIR_EraseRootFromParent_Done,
     /*  927493 */   // Label 14074: @927493
     /*  927493 */   GIM_Try, /*On fail goto*//*Label 14075*/ GIMT_Encode4(927584), // Rule ID 15999 //
     /*  927498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  927509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  927512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  927515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927545 */     // MIs[1] Operand 1
     /*  927545 */     // No operand predicates
     /*  927545 */     // MIs[0] round
     /*  927545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927557 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  927557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927582 */     GIR_RootConstrainSelectedInstOperands,
     /*  927583 */     // GIR_Coverage, 15999,
     /*  927583 */     GIR_EraseRootFromParent_Done,
     /*  927584 */   // Label 14075: @927584
     /*  927584 */   GIM_Try, /*On fail goto*//*Label 14076*/ GIMT_Encode4(927675), // Rule ID 16002 //
     /*  927589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  927600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  927603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  927606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927636 */     // MIs[1] Operand 1
     /*  927636 */     // No operand predicates
     /*  927636 */     // MIs[0] round
     /*  927636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927648 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  927648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  927651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927673 */     GIR_RootConstrainSelectedInstOperands,
     /*  927674 */     // GIR_Coverage, 16002,
     /*  927674 */     GIR_EraseRootFromParent_Done,
     /*  927675 */   // Label 14076: @927675
     /*  927675 */   GIM_Try, /*On fail goto*//*Label 14077*/ GIMT_Encode4(927766), // Rule ID 16003 //
     /*  927680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  927691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  927694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  927697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927727 */     // MIs[1] Operand 1
     /*  927727 */     // No operand predicates
     /*  927727 */     // MIs[0] round
     /*  927727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927739 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  927739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  927742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927764 */     GIR_RootConstrainSelectedInstOperands,
     /*  927765 */     // GIR_Coverage, 16003,
     /*  927765 */     GIR_EraseRootFromParent_Done,
     /*  927766 */   // Label 14077: @927766
     /*  927766 */   GIM_Try, /*On fail goto*//*Label 14078*/ GIMT_Encode4(927857), // Rule ID 16006 //
     /*  927771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  927782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  927785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  927788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927818 */     // MIs[1] Operand 1
     /*  927818 */     // No operand predicates
     /*  927818 */     // MIs[0] round
     /*  927818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927830 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  927830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927855 */     GIR_RootConstrainSelectedInstOperands,
     /*  927856 */     // GIR_Coverage, 16006,
     /*  927856 */     GIR_EraseRootFromParent_Done,
     /*  927857 */   // Label 14078: @927857
     /*  927857 */   GIM_Try, /*On fail goto*//*Label 14079*/ GIMT_Encode4(927948), // Rule ID 16007 //
     /*  927862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  927873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  927876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  927879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927909 */     // MIs[1] Operand 1
     /*  927909 */     // No operand predicates
     /*  927909 */     // MIs[0] round
     /*  927909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927921 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  927921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927946 */     GIR_RootConstrainSelectedInstOperands,
     /*  927947 */     // GIR_Coverage, 16007,
     /*  927947 */     GIR_EraseRootFromParent_Done,
     /*  927948 */   // Label 14079: @927948
     /*  927948 */   GIM_Try, /*On fail goto*//*Label 14080*/ GIMT_Encode4(928039), // Rule ID 16010 //
     /*  927953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  927964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  927967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  927970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928000 */     // MIs[1] Operand 1
     /*  928000 */     // No operand predicates
     /*  928000 */     // MIs[0] round
     /*  928000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928012 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  928012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  928015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928024 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928037 */     GIR_RootConstrainSelectedInstOperands,
     /*  928038 */     // GIR_Coverage, 16010,
     /*  928038 */     GIR_EraseRootFromParent_Done,
     /*  928039 */   // Label 14080: @928039
     /*  928039 */   GIM_Try, /*On fail goto*//*Label 14081*/ GIMT_Encode4(928130), // Rule ID 16011 //
     /*  928044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  928055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  928058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  928061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928091 */     // MIs[1] Operand 1
     /*  928091 */     // No operand predicates
     /*  928091 */     // MIs[0] round
     /*  928091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928103 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  928103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  928106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928128 */     GIR_RootConstrainSelectedInstOperands,
     /*  928129 */     // GIR_Coverage, 16011,
     /*  928129 */     GIR_EraseRootFromParent_Done,
     /*  928130 */   // Label 14081: @928130
     /*  928130 */   GIM_Try, /*On fail goto*//*Label 14082*/ GIMT_Encode4(928221), // Rule ID 16014 //
     /*  928135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  928146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  928149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  928152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928182 */     // MIs[1] Operand 1
     /*  928182 */     // No operand predicates
     /*  928182 */     // MIs[0] round
     /*  928182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928194 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  928197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928206 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928219 */     GIR_RootConstrainSelectedInstOperands,
     /*  928220 */     // GIR_Coverage, 16014,
     /*  928220 */     GIR_EraseRootFromParent_Done,
     /*  928221 */   // Label 14082: @928221
     /*  928221 */   GIM_Try, /*On fail goto*//*Label 14083*/ GIMT_Encode4(928312), // Rule ID 16015 //
     /*  928226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  928237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  928240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  928243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928273 */     // MIs[1] Operand 1
     /*  928273 */     // No operand predicates
     /*  928273 */     // MIs[0] round
     /*  928273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928285 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  928288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928310 */     GIR_RootConstrainSelectedInstOperands,
     /*  928311 */     // GIR_Coverage, 16015,
     /*  928311 */     GIR_EraseRootFromParent_Done,
     /*  928312 */   // Label 14083: @928312
     /*  928312 */   GIM_Try, /*On fail goto*//*Label 14084*/ GIMT_Encode4(928403), // Rule ID 16018 //
     /*  928317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  928328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  928331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  928334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928364 */     // MIs[1] Operand 1
     /*  928364 */     // No operand predicates
     /*  928364 */     // MIs[0] round
     /*  928364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  928376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  928379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928401 */     GIR_RootConstrainSelectedInstOperands,
     /*  928402 */     // GIR_Coverage, 16018,
     /*  928402 */     GIR_EraseRootFromParent_Done,
     /*  928403 */   // Label 14084: @928403
     /*  928403 */   GIM_Try, /*On fail goto*//*Label 14085*/ GIMT_Encode4(928494), // Rule ID 16019 //
     /*  928408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  928419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  928422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  928425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928455 */     // MIs[1] Operand 1
     /*  928455 */     // No operand predicates
     /*  928455 */     // MIs[0] round
     /*  928455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  928467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  928470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928492 */     GIR_RootConstrainSelectedInstOperands,
     /*  928493 */     // GIR_Coverage, 16019,
     /*  928493 */     GIR_EraseRootFromParent_Done,
     /*  928494 */   // Label 14085: @928494
     /*  928494 */   GIM_Try, /*On fail goto*//*Label 14086*/ GIMT_Encode4(928585), // Rule ID 16022 //
     /*  928499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  928510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  928513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  928516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928546 */     // MIs[1] Operand 1
     /*  928546 */     // No operand predicates
     /*  928546 */     // MIs[0] round
     /*  928546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  928558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  928561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928570 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928583 */     GIR_RootConstrainSelectedInstOperands,
     /*  928584 */     // GIR_Coverage, 16022,
     /*  928584 */     GIR_EraseRootFromParent_Done,
     /*  928585 */   // Label 14086: @928585
     /*  928585 */   GIM_Try, /*On fail goto*//*Label 14087*/ GIMT_Encode4(928676), // Rule ID 16023 //
     /*  928590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  928601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  928604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  928607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928637 */     // MIs[1] Operand 1
     /*  928637 */     // No operand predicates
     /*  928637 */     // MIs[0] round
     /*  928637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  928649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  928652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928674 */     GIR_RootConstrainSelectedInstOperands,
     /*  928675 */     // GIR_Coverage, 16023,
     /*  928675 */     GIR_EraseRootFromParent_Done,
     /*  928676 */   // Label 14087: @928676
     /*  928676 */   GIM_Try, /*On fail goto*//*Label 14088*/ GIMT_Encode4(928767), // Rule ID 16026 //
     /*  928681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  928684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  928692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  928695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  928698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928728 */     // MIs[1] Operand 1
     /*  928728 */     // No operand predicates
     /*  928728 */     // MIs[0] round
     /*  928728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928740 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  928740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  928743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928765 */     GIR_RootConstrainSelectedInstOperands,
     /*  928766 */     // GIR_Coverage, 16026,
     /*  928766 */     GIR_EraseRootFromParent_Done,
     /*  928767 */   // Label 14088: @928767
     /*  928767 */   GIM_Try, /*On fail goto*//*Label 14089*/ GIMT_Encode4(928858), // Rule ID 16027 //
     /*  928772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  928775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  928783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  928786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  928789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928819 */     // MIs[1] Operand 1
     /*  928819 */     // No operand predicates
     /*  928819 */     // MIs[0] round
     /*  928819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928831 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  928831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  928834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928856 */     GIR_RootConstrainSelectedInstOperands,
     /*  928857 */     // GIR_Coverage, 16027,
     /*  928857 */     GIR_EraseRootFromParent_Done,
     /*  928858 */   // Label 14089: @928858
     /*  928858 */   GIM_Try, /*On fail goto*//*Label 14090*/ GIMT_Encode4(928949), // Rule ID 16030 //
     /*  928863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  928874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  928877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  928880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928910 */     // MIs[1] Operand 1
     /*  928910 */     // No operand predicates
     /*  928910 */     // MIs[0] round
     /*  928910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928922 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928947 */     GIR_RootConstrainSelectedInstOperands,
     /*  928948 */     // GIR_Coverage, 16030,
     /*  928948 */     GIR_EraseRootFromParent_Done,
     /*  928949 */   // Label 14090: @928949
     /*  928949 */   GIM_Try, /*On fail goto*//*Label 14091*/ GIMT_Encode4(929040), // Rule ID 16031 //
     /*  928954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  928965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  928968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  928971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929001 */     // MIs[1] Operand 1
     /*  929001 */     // No operand predicates
     /*  929001 */     // MIs[0] round
     /*  929001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929013 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  929013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929038 */     GIR_RootConstrainSelectedInstOperands,
     /*  929039 */     // GIR_Coverage, 16031,
     /*  929039 */     GIR_EraseRootFromParent_Done,
     /*  929040 */   // Label 14091: @929040
     /*  929040 */   GIM_Try, /*On fail goto*//*Label 14092*/ GIMT_Encode4(929131), // Rule ID 16034 //
     /*  929045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  929056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  929059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  929062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929092 */     // MIs[1] Operand 1
     /*  929092 */     // No operand predicates
     /*  929092 */     // MIs[0] round
     /*  929092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929104 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  929104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929129 */     GIR_RootConstrainSelectedInstOperands,
     /*  929130 */     // GIR_Coverage, 16034,
     /*  929130 */     GIR_EraseRootFromParent_Done,
     /*  929131 */   // Label 14092: @929131
     /*  929131 */   GIM_Try, /*On fail goto*//*Label 14093*/ GIMT_Encode4(929222), // Rule ID 16035 //
     /*  929136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  929147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  929150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  929153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929183 */     // MIs[1] Operand 1
     /*  929183 */     // No operand predicates
     /*  929183 */     // MIs[0] round
     /*  929183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929195 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  929195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929220 */     GIR_RootConstrainSelectedInstOperands,
     /*  929221 */     // GIR_Coverage, 16035,
     /*  929221 */     GIR_EraseRootFromParent_Done,
     /*  929222 */   // Label 14093: @929222
     /*  929222 */   GIM_Try, /*On fail goto*//*Label 14094*/ GIMT_Encode4(929313), // Rule ID 16038 //
     /*  929227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  929238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  929241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  929244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929274 */     // MIs[1] Operand 1
     /*  929274 */     // No operand predicates
     /*  929274 */     // MIs[0] round
     /*  929274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929286 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  929286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929311 */     GIR_RootConstrainSelectedInstOperands,
     /*  929312 */     // GIR_Coverage, 16038,
     /*  929312 */     GIR_EraseRootFromParent_Done,
     /*  929313 */   // Label 14094: @929313
     /*  929313 */   GIM_Try, /*On fail goto*//*Label 14095*/ GIMT_Encode4(929404), // Rule ID 16039 //
     /*  929318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  929329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  929332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  929335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929365 */     // MIs[1] Operand 1
     /*  929365 */     // No operand predicates
     /*  929365 */     // MIs[0] round
     /*  929365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929377 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  929377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929402 */     GIR_RootConstrainSelectedInstOperands,
     /*  929403 */     // GIR_Coverage, 16039,
     /*  929403 */     GIR_EraseRootFromParent_Done,
     /*  929404 */   // Label 14095: @929404
     /*  929404 */   GIM_Try, /*On fail goto*//*Label 14096*/ GIMT_Encode4(929495), // Rule ID 16042 //
     /*  929409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  929420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  929423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  929426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929456 */     // MIs[1] Operand 1
     /*  929456 */     // No operand predicates
     /*  929456 */     // MIs[0] round
     /*  929456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  929468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929493 */     GIR_RootConstrainSelectedInstOperands,
     /*  929494 */     // GIR_Coverage, 16042,
     /*  929494 */     GIR_EraseRootFromParent_Done,
     /*  929495 */   // Label 14096: @929495
     /*  929495 */   GIM_Try, /*On fail goto*//*Label 14097*/ GIMT_Encode4(929586), // Rule ID 16043 //
     /*  929500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  929511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  929514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  929517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929547 */     // MIs[1] Operand 1
     /*  929547 */     // No operand predicates
     /*  929547 */     // MIs[0] round
     /*  929547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929559 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  929559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929584 */     GIR_RootConstrainSelectedInstOperands,
     /*  929585 */     // GIR_Coverage, 16043,
     /*  929585 */     GIR_EraseRootFromParent_Done,
     /*  929586 */   // Label 14097: @929586
     /*  929586 */   GIM_Try, /*On fail goto*//*Label 14098*/ GIMT_Encode4(929677), // Rule ID 16046 //
     /*  929591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  929602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  929605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  929608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929638 */     // MIs[1] Operand 1
     /*  929638 */     // No operand predicates
     /*  929638 */     // MIs[0] round
     /*  929638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929650 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  929650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929675 */     GIR_RootConstrainSelectedInstOperands,
     /*  929676 */     // GIR_Coverage, 16046,
     /*  929676 */     GIR_EraseRootFromParent_Done,
     /*  929677 */   // Label 14098: @929677
     /*  929677 */   GIM_Try, /*On fail goto*//*Label 14099*/ GIMT_Encode4(929768), // Rule ID 16047 //
     /*  929682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  929693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  929696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  929699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929729 */     // MIs[1] Operand 1
     /*  929729 */     // No operand predicates
     /*  929729 */     // MIs[0] round
     /*  929729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929741 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  929741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929766 */     GIR_RootConstrainSelectedInstOperands,
     /*  929767 */     // GIR_Coverage, 16047,
     /*  929767 */     GIR_EraseRootFromParent_Done,
     /*  929768 */   // Label 14099: @929768
     /*  929768 */   GIM_Try, /*On fail goto*//*Label 14100*/ GIMT_Encode4(929859), // Rule ID 16050 //
     /*  929773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  929784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  929787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  929790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929820 */     // MIs[1] Operand 1
     /*  929820 */     // No operand predicates
     /*  929820 */     // MIs[0] round
     /*  929820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  929832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929857 */     GIR_RootConstrainSelectedInstOperands,
     /*  929858 */     // GIR_Coverage, 16050,
     /*  929858 */     GIR_EraseRootFromParent_Done,
     /*  929859 */   // Label 14100: @929859
     /*  929859 */   GIM_Try, /*On fail goto*//*Label 14101*/ GIMT_Encode4(929950), // Rule ID 16051 //
     /*  929864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  929875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  929878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  929881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929911 */     // MIs[1] Operand 1
     /*  929911 */     // No operand predicates
     /*  929911 */     // MIs[0] round
     /*  929911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929923 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  929923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929948 */     GIR_RootConstrainSelectedInstOperands,
     /*  929949 */     // GIR_Coverage, 16051,
     /*  929949 */     GIR_EraseRootFromParent_Done,
     /*  929950 */   // Label 14101: @929950
     /*  929950 */   GIM_Try, /*On fail goto*//*Label 14102*/ GIMT_Encode4(930041), // Rule ID 16054 //
     /*  929955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  929966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  929969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  929972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930002 */     // MIs[1] Operand 1
     /*  930002 */     // No operand predicates
     /*  930002 */     // MIs[0] round
     /*  930002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  930014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  930017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930026 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930039 */     GIR_RootConstrainSelectedInstOperands,
     /*  930040 */     // GIR_Coverage, 16054,
     /*  930040 */     GIR_EraseRootFromParent_Done,
     /*  930041 */   // Label 14102: @930041
     /*  930041 */   GIM_Try, /*On fail goto*//*Label 14103*/ GIMT_Encode4(930132), // Rule ID 16055 //
     /*  930046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  930057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  930060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  930063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930093 */     // MIs[1] Operand 1
     /*  930093 */     // No operand predicates
     /*  930093 */     // MIs[0] round
     /*  930093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930105 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  930105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  930108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930130 */     GIR_RootConstrainSelectedInstOperands,
     /*  930131 */     // GIR_Coverage, 16055,
     /*  930131 */     GIR_EraseRootFromParent_Done,
     /*  930132 */   // Label 14103: @930132
     /*  930132 */   GIM_Try, /*On fail goto*//*Label 14104*/ GIMT_Encode4(930223), // Rule ID 16058 //
     /*  930137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  930148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  930151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  930154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930184 */     // MIs[1] Operand 1
     /*  930184 */     // No operand predicates
     /*  930184 */     // MIs[0] round
     /*  930184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930196 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  930196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  930199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930208 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930221 */     GIR_RootConstrainSelectedInstOperands,
     /*  930222 */     // GIR_Coverage, 16058,
     /*  930222 */     GIR_EraseRootFromParent_Done,
     /*  930223 */   // Label 14104: @930223
     /*  930223 */   GIM_Try, /*On fail goto*//*Label 14105*/ GIMT_Encode4(930314), // Rule ID 16059 //
     /*  930228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  930239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  930242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  930245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930275 */     // MIs[1] Operand 1
     /*  930275 */     // No operand predicates
     /*  930275 */     // MIs[0] round
     /*  930275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930287 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  930287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  930290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930312 */     GIR_RootConstrainSelectedInstOperands,
     /*  930313 */     // GIR_Coverage, 16059,
     /*  930313 */     GIR_EraseRootFromParent_Done,
     /*  930314 */   // Label 14105: @930314
     /*  930314 */   GIM_Try, /*On fail goto*//*Label 14106*/ GIMT_Encode4(930405), // Rule ID 16062 //
     /*  930319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  930330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  930333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  930336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930366 */     // MIs[1] Operand 1
     /*  930366 */     // No operand predicates
     /*  930366 */     // MIs[0] round
     /*  930366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930378 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  930378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  930381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930403 */     GIR_RootConstrainSelectedInstOperands,
     /*  930404 */     // GIR_Coverage, 16062,
     /*  930404 */     GIR_EraseRootFromParent_Done,
     /*  930405 */   // Label 14106: @930405
     /*  930405 */   GIM_Try, /*On fail goto*//*Label 14107*/ GIMT_Encode4(930496), // Rule ID 16063 //
     /*  930410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  930421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  930424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  930427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930457 */     // MIs[1] Operand 1
     /*  930457 */     // No operand predicates
     /*  930457 */     // MIs[0] round
     /*  930457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930469 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  930469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  930472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930494 */     GIR_RootConstrainSelectedInstOperands,
     /*  930495 */     // GIR_Coverage, 16063,
     /*  930495 */     GIR_EraseRootFromParent_Done,
     /*  930496 */   // Label 14107: @930496
     /*  930496 */   GIM_Try, /*On fail goto*//*Label 14108*/ GIMT_Encode4(930587), // Rule ID 16066 //
     /*  930501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  930504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  930512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  930515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  930518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930548 */     // MIs[1] Operand 1
     /*  930548 */     // No operand predicates
     /*  930548 */     // MIs[0] round
     /*  930548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  930560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  930563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930572 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930585 */     GIR_RootConstrainSelectedInstOperands,
     /*  930586 */     // GIR_Coverage, 16066,
     /*  930586 */     GIR_EraseRootFromParent_Done,
     /*  930587 */   // Label 14108: @930587
     /*  930587 */   GIM_Try, /*On fail goto*//*Label 14109*/ GIMT_Encode4(930678), // Rule ID 16067 //
     /*  930592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  930595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  930603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  930606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  930609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930639 */     // MIs[1] Operand 1
     /*  930639 */     // No operand predicates
     /*  930639 */     // MIs[0] round
     /*  930639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930651 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  930651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  930654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930676 */     GIR_RootConstrainSelectedInstOperands,
     /*  930677 */     // GIR_Coverage, 16067,
     /*  930677 */     GIR_EraseRootFromParent_Done,
     /*  930678 */   // Label 14109: @930678
     /*  930678 */   GIM_Try, /*On fail goto*//*Label 14110*/ GIMT_Encode4(930769), // Rule ID 16070 //
     /*  930683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  930686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930730 */     // MIs[1] Operand 1
     /*  930730 */     // No operand predicates
     /*  930730 */     // MIs[0] round
     /*  930730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930742 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  930742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  930745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930754 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930767 */     GIR_RootConstrainSelectedInstOperands,
     /*  930768 */     // GIR_Coverage, 16070,
     /*  930768 */     GIR_EraseRootFromParent_Done,
     /*  930769 */   // Label 14110: @930769
     /*  930769 */   GIM_Try, /*On fail goto*//*Label 14111*/ GIMT_Encode4(930860), // Rule ID 16071 //
     /*  930774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  930777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930821 */     // MIs[1] Operand 1
     /*  930821 */     // No operand predicates
     /*  930821 */     // MIs[0] round
     /*  930821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930833 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  930833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  930836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930858 */     GIR_RootConstrainSelectedInstOperands,
     /*  930859 */     // GIR_Coverage, 16071,
     /*  930859 */     GIR_EraseRootFromParent_Done,
     /*  930860 */   // Label 14111: @930860
     /*  930860 */   GIM_Try, /*On fail goto*//*Label 14112*/ GIMT_Encode4(930951), // Rule ID 16074 //
     /*  930865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  930868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  930876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  930879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  930882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930912 */     // MIs[1] Operand 1
     /*  930912 */     // No operand predicates
     /*  930912 */     // MIs[0] round
     /*  930912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930924 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  930924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  930927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930949 */     GIR_RootConstrainSelectedInstOperands,
     /*  930950 */     // GIR_Coverage, 16074,
     /*  930950 */     GIR_EraseRootFromParent_Done,
     /*  930951 */   // Label 14112: @930951
     /*  930951 */   GIM_Try, /*On fail goto*//*Label 14113*/ GIMT_Encode4(931042), // Rule ID 16075 //
     /*  930956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  930959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  930967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  930970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  930973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931003 */     // MIs[1] Operand 1
     /*  931003 */     // No operand predicates
     /*  931003 */     // MIs[0] round
     /*  931003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931015 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  931015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  931018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  931037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931040 */     GIR_RootConstrainSelectedInstOperands,
     /*  931041 */     // GIR_Coverage, 16075,
     /*  931041 */     GIR_EraseRootFromParent_Done,
     /*  931042 */   // Label 14113: @931042
     /*  931042 */   GIM_Try, /*On fail goto*//*Label 14114*/ GIMT_Encode4(931133), // Rule ID 16254 //
     /*  931047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  931058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  931061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  931064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931094 */     // MIs[1] Operand 1
     /*  931094 */     // No operand predicates
     /*  931094 */     // MIs[0] round
     /*  931094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931106 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  931109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931131 */     GIR_RootConstrainSelectedInstOperands,
     /*  931132 */     // GIR_Coverage, 16254,
     /*  931132 */     GIR_EraseRootFromParent_Done,
     /*  931133 */   // Label 14114: @931133
     /*  931133 */   GIM_Try, /*On fail goto*//*Label 14115*/ GIMT_Encode4(931224), // Rule ID 16255 //
     /*  931138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  931149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  931152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  931155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931185 */     // MIs[1] Operand 1
     /*  931185 */     // No operand predicates
     /*  931185 */     // MIs[0] round
     /*  931185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931197 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  931200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931222 */     GIR_RootConstrainSelectedInstOperands,
     /*  931223 */     // GIR_Coverage, 16255,
     /*  931223 */     GIR_EraseRootFromParent_Done,
     /*  931224 */   // Label 14115: @931224
     /*  931224 */   GIM_Try, /*On fail goto*//*Label 14116*/ GIMT_Encode4(931315), // Rule ID 16258 //
     /*  931229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  931240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  931243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  931246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931276 */     // MIs[1] Operand 1
     /*  931276 */     // No operand predicates
     /*  931276 */     // MIs[0] round
     /*  931276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931288 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  931291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931300 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931313 */     GIR_RootConstrainSelectedInstOperands,
     /*  931314 */     // GIR_Coverage, 16258,
     /*  931314 */     GIR_EraseRootFromParent_Done,
     /*  931315 */   // Label 14116: @931315
     /*  931315 */   GIM_Try, /*On fail goto*//*Label 14117*/ GIMT_Encode4(931406), // Rule ID 16259 //
     /*  931320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  931331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  931334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  931337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931367 */     // MIs[1] Operand 1
     /*  931367 */     // No operand predicates
     /*  931367 */     // MIs[0] round
     /*  931367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931379 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  931382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931404 */     GIR_RootConstrainSelectedInstOperands,
     /*  931405 */     // GIR_Coverage, 16259,
     /*  931405 */     GIR_EraseRootFromParent_Done,
     /*  931406 */   // Label 14117: @931406
     /*  931406 */   GIM_Try, /*On fail goto*//*Label 14118*/ GIMT_Encode4(931497), // Rule ID 16262 //
     /*  931411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  931422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  931425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  931428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931458 */     // MIs[1] Operand 1
     /*  931458 */     // No operand predicates
     /*  931458 */     // MIs[0] round
     /*  931458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931470 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931495 */     GIR_RootConstrainSelectedInstOperands,
     /*  931496 */     // GIR_Coverage, 16262,
     /*  931496 */     GIR_EraseRootFromParent_Done,
     /*  931497 */   // Label 14118: @931497
     /*  931497 */   GIM_Try, /*On fail goto*//*Label 14119*/ GIMT_Encode4(931588), // Rule ID 16263 //
     /*  931502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  931513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  931516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  931519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931549 */     // MIs[1] Operand 1
     /*  931549 */     // No operand predicates
     /*  931549 */     // MIs[0] round
     /*  931549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931561 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931586 */     GIR_RootConstrainSelectedInstOperands,
     /*  931587 */     // GIR_Coverage, 16263,
     /*  931587 */     GIR_EraseRootFromParent_Done,
     /*  931588 */   // Label 14119: @931588
     /*  931588 */   GIM_Try, /*On fail goto*//*Label 14120*/ GIMT_Encode4(931679), // Rule ID 16266 //
     /*  931593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  931604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  931607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  931610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931640 */     // MIs[1] Operand 1
     /*  931640 */     // No operand predicates
     /*  931640 */     // MIs[0] round
     /*  931640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931652 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  931655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931664 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931677 */     GIR_RootConstrainSelectedInstOperands,
     /*  931678 */     // GIR_Coverage, 16266,
     /*  931678 */     GIR_EraseRootFromParent_Done,
     /*  931679 */   // Label 14120: @931679
     /*  931679 */   GIM_Try, /*On fail goto*//*Label 14121*/ GIMT_Encode4(931770), // Rule ID 16267 //
     /*  931684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  931695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  931698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  931701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931731 */     // MIs[1] Operand 1
     /*  931731 */     // No operand predicates
     /*  931731 */     // MIs[0] round
     /*  931731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931743 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  931746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931768 */     GIR_RootConstrainSelectedInstOperands,
     /*  931769 */     // GIR_Coverage, 16267,
     /*  931769 */     GIR_EraseRootFromParent_Done,
     /*  931770 */   // Label 14121: @931770
     /*  931770 */   GIM_Try, /*On fail goto*//*Label 14122*/ GIMT_Encode4(931861), // Rule ID 16270 //
     /*  931775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  931786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  931789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931822 */     // MIs[1] Operand 1
     /*  931822 */     // No operand predicates
     /*  931822 */     // MIs[0] round
     /*  931822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931846 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931859 */     GIR_RootConstrainSelectedInstOperands,
     /*  931860 */     // GIR_Coverage, 16270,
     /*  931860 */     GIR_EraseRootFromParent_Done,
     /*  931861 */   // Label 14122: @931861
     /*  931861 */   GIM_Try, /*On fail goto*//*Label 14123*/ GIMT_Encode4(931952), // Rule ID 16271 //
     /*  931866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  931877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  931880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931913 */     // MIs[1] Operand 1
     /*  931913 */     // No operand predicates
     /*  931913 */     // MIs[0] round
     /*  931913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931925 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931950 */     GIR_RootConstrainSelectedInstOperands,
     /*  931951 */     // GIR_Coverage, 16271,
     /*  931951 */     GIR_EraseRootFromParent_Done,
     /*  931952 */   // Label 14123: @931952
     /*  931952 */   GIM_Try, /*On fail goto*//*Label 14124*/ GIMT_Encode4(932043), // Rule ID 16274 //
     /*  931957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  931968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  931971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  931974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932004 */     // MIs[1] Operand 1
     /*  932004 */     // No operand predicates
     /*  932004 */     // MIs[0] round
     /*  932004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  932016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  932019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932041 */     GIR_RootConstrainSelectedInstOperands,
     /*  932042 */     // GIR_Coverage, 16274,
     /*  932042 */     GIR_EraseRootFromParent_Done,
     /*  932043 */   // Label 14124: @932043
     /*  932043 */   GIM_Try, /*On fail goto*//*Label 14125*/ GIMT_Encode4(932134), // Rule ID 16275 //
     /*  932048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  932059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  932062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  932065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932095 */     // MIs[1] Operand 1
     /*  932095 */     // No operand predicates
     /*  932095 */     // MIs[0] round
     /*  932095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932107 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  932107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  932110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932132 */     GIR_RootConstrainSelectedInstOperands,
     /*  932133 */     // GIR_Coverage, 16275,
     /*  932133 */     GIR_EraseRootFromParent_Done,
     /*  932134 */   // Label 14125: @932134
     /*  932134 */   GIM_Try, /*On fail goto*//*Label 14126*/ GIMT_Encode4(932225), // Rule ID 16278 //
     /*  932139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  932150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  932153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  932156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932186 */     // MIs[1] Operand 1
     /*  932186 */     // No operand predicates
     /*  932186 */     // MIs[0] round
     /*  932186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932198 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  932201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932223 */     GIR_RootConstrainSelectedInstOperands,
     /*  932224 */     // GIR_Coverage, 16278,
     /*  932224 */     GIR_EraseRootFromParent_Done,
     /*  932225 */   // Label 14126: @932225
     /*  932225 */   GIM_Try, /*On fail goto*//*Label 14127*/ GIMT_Encode4(932316), // Rule ID 16279 //
     /*  932230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  932241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  932244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  932247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932277 */     // MIs[1] Operand 1
     /*  932277 */     // No operand predicates
     /*  932277 */     // MIs[0] round
     /*  932277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932289 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  932292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932314 */     GIR_RootConstrainSelectedInstOperands,
     /*  932315 */     // GIR_Coverage, 16279,
     /*  932315 */     GIR_EraseRootFromParent_Done,
     /*  932316 */   // Label 14127: @932316
     /*  932316 */   GIM_Try, /*On fail goto*//*Label 14128*/ GIMT_Encode4(932407), // Rule ID 16282 //
     /*  932321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  932332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  932335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  932338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932368 */     // MIs[1] Operand 1
     /*  932368 */     // No operand predicates
     /*  932368 */     // MIs[0] round
     /*  932368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  932383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932405 */     GIR_RootConstrainSelectedInstOperands,
     /*  932406 */     // GIR_Coverage, 16282,
     /*  932406 */     GIR_EraseRootFromParent_Done,
     /*  932407 */   // Label 14128: @932407
     /*  932407 */   GIM_Try, /*On fail goto*//*Label 14129*/ GIMT_Encode4(932498), // Rule ID 16283 //
     /*  932412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  932423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  932426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  932429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932459 */     // MIs[1] Operand 1
     /*  932459 */     // No operand predicates
     /*  932459 */     // MIs[0] round
     /*  932459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  932474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932496 */     GIR_RootConstrainSelectedInstOperands,
     /*  932497 */     // GIR_Coverage, 16283,
     /*  932497 */     GIR_EraseRootFromParent_Done,
     /*  932498 */   // Label 14129: @932498
     /*  932498 */   GIM_Try, /*On fail goto*//*Label 14130*/ GIMT_Encode4(932589), // Rule ID 16286 //
     /*  932503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  932514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  932517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  932520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932550 */     // MIs[1] Operand 1
     /*  932550 */     // No operand predicates
     /*  932550 */     // MIs[0] round
     /*  932550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  932562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  932565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932587 */     GIR_RootConstrainSelectedInstOperands,
     /*  932588 */     // GIR_Coverage, 16286,
     /*  932588 */     GIR_EraseRootFromParent_Done,
     /*  932589 */   // Label 14130: @932589
     /*  932589 */   GIM_Try, /*On fail goto*//*Label 14131*/ GIMT_Encode4(932680), // Rule ID 16287 //
     /*  932594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  932605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  932608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  932611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932641 */     // MIs[1] Operand 1
     /*  932641 */     // No operand predicates
     /*  932641 */     // MIs[0] round
     /*  932641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932653 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  932653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  932656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932678 */     GIR_RootConstrainSelectedInstOperands,
     /*  932679 */     // GIR_Coverage, 16287,
     /*  932679 */     GIR_EraseRootFromParent_Done,
     /*  932680 */   // Label 14131: @932680
     /*  932680 */   GIM_Try, /*On fail goto*//*Label 14132*/ GIMT_Encode4(932771), // Rule ID 16290 //
     /*  932685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  932688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932732 */     // MIs[1] Operand 1
     /*  932732 */     // No operand predicates
     /*  932732 */     // MIs[0] round
     /*  932732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  932744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  932747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932769 */     GIR_RootConstrainSelectedInstOperands,
     /*  932770 */     // GIR_Coverage, 16290,
     /*  932770 */     GIR_EraseRootFromParent_Done,
     /*  932771 */   // Label 14132: @932771
     /*  932771 */   GIM_Try, /*On fail goto*//*Label 14133*/ GIMT_Encode4(932862), // Rule ID 16291 //
     /*  932776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  932779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932823 */     // MIs[1] Operand 1
     /*  932823 */     // No operand predicates
     /*  932823 */     // MIs[0] round
     /*  932823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  932835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  932838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932860 */     GIR_RootConstrainSelectedInstOperands,
     /*  932861 */     // GIR_Coverage, 16291,
     /*  932861 */     GIR_EraseRootFromParent_Done,
     /*  932862 */   // Label 14133: @932862
     /*  932862 */   GIM_Try, /*On fail goto*//*Label 14134*/ GIMT_Encode4(932953), // Rule ID 16294 //
     /*  932867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  932878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  932881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  932884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932914 */     // MIs[1] Operand 1
     /*  932914 */     // No operand predicates
     /*  932914 */     // MIs[0] round
     /*  932914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932951 */     GIR_RootConstrainSelectedInstOperands,
     /*  932952 */     // GIR_Coverage, 16294,
     /*  932952 */     GIR_EraseRootFromParent_Done,
     /*  932953 */   // Label 14134: @932953
     /*  932953 */   GIM_Try, /*On fail goto*//*Label 14135*/ GIMT_Encode4(933044), // Rule ID 16295 //
     /*  932958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  932969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  932972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  932975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933005 */     // MIs[1] Operand 1
     /*  933005 */     // No operand predicates
     /*  933005 */     // MIs[0] round
     /*  933005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933017 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  933017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933042 */     GIR_RootConstrainSelectedInstOperands,
     /*  933043 */     // GIR_Coverage, 16295,
     /*  933043 */     GIR_EraseRootFromParent_Done,
     /*  933044 */   // Label 14135: @933044
     /*  933044 */   GIM_Try, /*On fail goto*//*Label 14136*/ GIMT_Encode4(933135), // Rule ID 16298 //
     /*  933049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  933060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  933063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  933066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933096 */     // MIs[1] Operand 1
     /*  933096 */     // No operand predicates
     /*  933096 */     // MIs[0] round
     /*  933096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933108 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  933108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933133 */     GIR_RootConstrainSelectedInstOperands,
     /*  933134 */     // GIR_Coverage, 16298,
     /*  933134 */     GIR_EraseRootFromParent_Done,
     /*  933135 */   // Label 14136: @933135
     /*  933135 */   GIM_Try, /*On fail goto*//*Label 14137*/ GIMT_Encode4(933226), // Rule ID 16299 //
     /*  933140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  933151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  933154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  933157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933187 */     // MIs[1] Operand 1
     /*  933187 */     // No operand predicates
     /*  933187 */     // MIs[0] round
     /*  933187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933199 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  933199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933224 */     GIR_RootConstrainSelectedInstOperands,
     /*  933225 */     // GIR_Coverage, 16299,
     /*  933225 */     GIR_EraseRootFromParent_Done,
     /*  933226 */   // Label 14137: @933226
     /*  933226 */   GIM_Try, /*On fail goto*//*Label 14138*/ GIMT_Encode4(933317), // Rule ID 16302 //
     /*  933231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  933242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  933245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  933248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933278 */     // MIs[1] Operand 1
     /*  933278 */     // No operand predicates
     /*  933278 */     // MIs[0] round
     /*  933278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933290 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  933290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933315 */     GIR_RootConstrainSelectedInstOperands,
     /*  933316 */     // GIR_Coverage, 16302,
     /*  933316 */     GIR_EraseRootFromParent_Done,
     /*  933317 */   // Label 14138: @933317
     /*  933317 */   GIM_Try, /*On fail goto*//*Label 14139*/ GIMT_Encode4(933408), // Rule ID 16303 //
     /*  933322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  933333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  933336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  933339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933369 */     // MIs[1] Operand 1
     /*  933369 */     // No operand predicates
     /*  933369 */     // MIs[0] round
     /*  933369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933381 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  933381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933406 */     GIR_RootConstrainSelectedInstOperands,
     /*  933407 */     // GIR_Coverage, 16303,
     /*  933407 */     GIR_EraseRootFromParent_Done,
     /*  933408 */   // Label 14139: @933408
     /*  933408 */   GIM_Try, /*On fail goto*//*Label 14140*/ GIMT_Encode4(933499), // Rule ID 16306 //
     /*  933413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  933424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  933427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  933430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933460 */     // MIs[1] Operand 1
     /*  933460 */     // No operand predicates
     /*  933460 */     // MIs[0] round
     /*  933460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  933472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933497 */     GIR_RootConstrainSelectedInstOperands,
     /*  933498 */     // GIR_Coverage, 16306,
     /*  933498 */     GIR_EraseRootFromParent_Done,
     /*  933499 */   // Label 14140: @933499
     /*  933499 */   GIM_Try, /*On fail goto*//*Label 14141*/ GIMT_Encode4(933590), // Rule ID 16307 //
     /*  933504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  933515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  933518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  933521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933551 */     // MIs[1] Operand 1
     /*  933551 */     // No operand predicates
     /*  933551 */     // MIs[0] round
     /*  933551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933588 */     GIR_RootConstrainSelectedInstOperands,
     /*  933589 */     // GIR_Coverage, 16307,
     /*  933589 */     GIR_EraseRootFromParent_Done,
     /*  933590 */   // Label 14141: @933590
     /*  933590 */   GIM_Try, /*On fail goto*//*Label 14142*/ GIMT_Encode4(933681), // Rule ID 16310 //
     /*  933595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  933606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  933609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  933612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933642 */     // MIs[1] Operand 1
     /*  933642 */     // No operand predicates
     /*  933642 */     // MIs[0] round
     /*  933642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933654 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  933654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933666 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933679 */     GIR_RootConstrainSelectedInstOperands,
     /*  933680 */     // GIR_Coverage, 16310,
     /*  933680 */     GIR_EraseRootFromParent_Done,
     /*  933681 */   // Label 14142: @933681
     /*  933681 */   GIM_Try, /*On fail goto*//*Label 14143*/ GIMT_Encode4(933772), // Rule ID 16311 //
     /*  933686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  933697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  933700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  933703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933733 */     // MIs[1] Operand 1
     /*  933733 */     // No operand predicates
     /*  933733 */     // MIs[0] round
     /*  933733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933745 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933770 */     GIR_RootConstrainSelectedInstOperands,
     /*  933771 */     // GIR_Coverage, 16311,
     /*  933771 */     GIR_EraseRootFromParent_Done,
     /*  933772 */   // Label 14143: @933772
     /*  933772 */   GIM_Try, /*On fail goto*//*Label 14144*/ GIMT_Encode4(933863), // Rule ID 16314 //
     /*  933777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  933788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  933791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933824 */     // MIs[1] Operand 1
     /*  933824 */     // No operand predicates
     /*  933824 */     // MIs[0] round
     /*  933824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  933836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933848 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933861 */     GIR_RootConstrainSelectedInstOperands,
     /*  933862 */     // GIR_Coverage, 16314,
     /*  933862 */     GIR_EraseRootFromParent_Done,
     /*  933863 */   // Label 14144: @933863
     /*  933863 */   GIM_Try, /*On fail goto*//*Label 14145*/ GIMT_Encode4(933954), // Rule ID 16315 //
     /*  933868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  933879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  933882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933915 */     // MIs[1] Operand 1
     /*  933915 */     // No operand predicates
     /*  933915 */     // MIs[0] round
     /*  933915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933952 */     GIR_RootConstrainSelectedInstOperands,
     /*  933953 */     // GIR_Coverage, 16315,
     /*  933953 */     GIR_EraseRootFromParent_Done,
     /*  933954 */   // Label 14145: @933954
     /*  933954 */   GIM_Try, /*On fail goto*//*Label 14146*/ GIMT_Encode4(934045), // Rule ID 16318 //
     /*  933959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  933976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934006 */     // MIs[1] Operand 1
     /*  934006 */     // No operand predicates
     /*  934006 */     // MIs[0] round
     /*  934006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934018 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  934018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  934021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934030 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934043 */     GIR_RootConstrainSelectedInstOperands,
     /*  934044 */     // GIR_Coverage, 16318,
     /*  934044 */     GIR_EraseRootFromParent_Done,
     /*  934045 */   // Label 14146: @934045
     /*  934045 */   GIM_Try, /*On fail goto*//*Label 14147*/ GIMT_Encode4(934136), // Rule ID 16319 //
     /*  934050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  934061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  934064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  934067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934097 */     // MIs[1] Operand 1
     /*  934097 */     // No operand predicates
     /*  934097 */     // MIs[0] round
     /*  934097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934109 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  934109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  934112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934134 */     GIR_RootConstrainSelectedInstOperands,
     /*  934135 */     // GIR_Coverage, 16319,
     /*  934135 */     GIR_EraseRootFromParent_Done,
     /*  934136 */   // Label 14147: @934136
     /*  934136 */   GIM_Try, /*On fail goto*//*Label 14148*/ GIMT_Encode4(934227), // Rule ID 16322 //
     /*  934141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  934152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  934155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  934158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934188 */     // MIs[1] Operand 1
     /*  934188 */     // No operand predicates
     /*  934188 */     // MIs[0] round
     /*  934188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934200 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  934200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  934203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934225 */     GIR_RootConstrainSelectedInstOperands,
     /*  934226 */     // GIR_Coverage, 16322,
     /*  934226 */     GIR_EraseRootFromParent_Done,
     /*  934227 */   // Label 14148: @934227
     /*  934227 */   GIM_Try, /*On fail goto*//*Label 14149*/ GIMT_Encode4(934318), // Rule ID 16323 //
     /*  934232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  934243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  934246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  934249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934279 */     // MIs[1] Operand 1
     /*  934279 */     // No operand predicates
     /*  934279 */     // MIs[0] round
     /*  934279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934291 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  934291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  934294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934316 */     GIR_RootConstrainSelectedInstOperands,
     /*  934317 */     // GIR_Coverage, 16323,
     /*  934317 */     GIR_EraseRootFromParent_Done,
     /*  934318 */   // Label 14149: @934318
     /*  934318 */   GIM_Try, /*On fail goto*//*Label 14150*/ GIMT_Encode4(934409), // Rule ID 16326 //
     /*  934323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  934334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  934337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  934340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934370 */     // MIs[1] Operand 1
     /*  934370 */     // No operand predicates
     /*  934370 */     // MIs[0] round
     /*  934370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  934382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  934385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934407 */     GIR_RootConstrainSelectedInstOperands,
     /*  934408 */     // GIR_Coverage, 16326,
     /*  934408 */     GIR_EraseRootFromParent_Done,
     /*  934409 */   // Label 14150: @934409
     /*  934409 */   GIM_Try, /*On fail goto*//*Label 14151*/ GIMT_Encode4(934500), // Rule ID 16327 //
     /*  934414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  934425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  934428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  934431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934461 */     // MIs[1] Operand 1
     /*  934461 */     // No operand predicates
     /*  934461 */     // MIs[0] round
     /*  934461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934473 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  934473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  934476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934498 */     GIR_RootConstrainSelectedInstOperands,
     /*  934499 */     // GIR_Coverage, 16327,
     /*  934499 */     GIR_EraseRootFromParent_Done,
     /*  934500 */   // Label 14151: @934500
     /*  934500 */   GIM_Try, /*On fail goto*//*Label 14152*/ GIMT_Encode4(934591), // Rule ID 16330 //
     /*  934505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  934516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  934519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  934522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934552 */     // MIs[1] Operand 1
     /*  934552 */     // No operand predicates
     /*  934552 */     // MIs[0] round
     /*  934552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934564 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  934567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934589 */     GIR_RootConstrainSelectedInstOperands,
     /*  934590 */     // GIR_Coverage, 16330,
     /*  934590 */     GIR_EraseRootFromParent_Done,
     /*  934591 */   // Label 14152: @934591
     /*  934591 */   GIM_Try, /*On fail goto*//*Label 14153*/ GIMT_Encode4(934682), // Rule ID 16331 //
     /*  934596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  934607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  934610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  934613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934643 */     // MIs[1] Operand 1
     /*  934643 */     // No operand predicates
     /*  934643 */     // MIs[0] round
     /*  934643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934655 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  934655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  934658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934680 */     GIR_RootConstrainSelectedInstOperands,
     /*  934681 */     // GIR_Coverage, 16331,
     /*  934681 */     GIR_EraseRootFromParent_Done,
     /*  934682 */   // Label 14153: @934682
     /*  934682 */   GIM_Try, /*On fail goto*//*Label 14154*/ GIMT_Encode4(934773), // Rule ID 16334 //
     /*  934687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934734 */     // MIs[1] Operand 1
     /*  934734 */     // No operand predicates
     /*  934734 */     // MIs[0] round
     /*  934734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934746 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  934749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934771 */     GIR_RootConstrainSelectedInstOperands,
     /*  934772 */     // GIR_Coverage, 16334,
     /*  934772 */     GIR_EraseRootFromParent_Done,
     /*  934773 */   // Label 14154: @934773
     /*  934773 */   GIM_Try, /*On fail goto*//*Label 14155*/ GIMT_Encode4(934864), // Rule ID 16335 //
     /*  934778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934825 */     // MIs[1] Operand 1
     /*  934825 */     // No operand predicates
     /*  934825 */     // MIs[0] round
     /*  934825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934837 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  934837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  934840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934862 */     GIR_RootConstrainSelectedInstOperands,
     /*  934863 */     // GIR_Coverage, 16335,
     /*  934863 */     GIR_EraseRootFromParent_Done,
     /*  934864 */   // Label 14155: @934864
     /*  934864 */   GIM_Try, /*On fail goto*//*Label 14156*/ GIMT_Encode4(934955), // Rule ID 16338 //
     /*  934869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  934880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  934883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  934886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934916 */     // MIs[1] Operand 1
     /*  934916 */     // No operand predicates
     /*  934916 */     // MIs[0] round
     /*  934916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934928 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  934931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934940 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934953 */     GIR_RootConstrainSelectedInstOperands,
     /*  934954 */     // GIR_Coverage, 16338,
     /*  934954 */     GIR_EraseRootFromParent_Done,
     /*  934955 */   // Label 14156: @934955
     /*  934955 */   GIM_Try, /*On fail goto*//*Label 14157*/ GIMT_Encode4(935046), // Rule ID 16339 //
     /*  934960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  934971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  934974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  934977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935007 */     // MIs[1] Operand 1
     /*  935007 */     // No operand predicates
     /*  935007 */     // MIs[0] round
     /*  935007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935019 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  935019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  935022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  935041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935044 */     GIR_RootConstrainSelectedInstOperands,
     /*  935045 */     // GIR_Coverage, 16339,
     /*  935045 */     GIR_EraseRootFromParent_Done,
     /*  935046 */   // Label 14157: @935046
     /*  935046 */   GIM_Try, /*On fail goto*//*Label 14158*/ GIMT_Encode4(935140), // Rule ID 16462 //
     /*  935051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  935062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  935065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  935068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935098 */     // MIs[1] Operand 1
     /*  935098 */     // No operand predicates
     /*  935098 */     // MIs[0] round
     /*  935098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935110 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  935113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935138 */     GIR_RootConstrainSelectedInstOperands,
     /*  935139 */     // GIR_Coverage, 16462,
     /*  935139 */     GIR_EraseRootFromParent_Done,
     /*  935140 */   // Label 14158: @935140
     /*  935140 */   GIM_Try, /*On fail goto*//*Label 14159*/ GIMT_Encode4(935234), // Rule ID 16463 //
     /*  935145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  935156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  935159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  935162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935192 */     // MIs[1] Operand 1
     /*  935192 */     // No operand predicates
     /*  935192 */     // MIs[0] round
     /*  935192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935204 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  935207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935232 */     GIR_RootConstrainSelectedInstOperands,
     /*  935233 */     // GIR_Coverage, 16463,
     /*  935233 */     GIR_EraseRootFromParent_Done,
     /*  935234 */   // Label 14159: @935234
     /*  935234 */   GIM_Try, /*On fail goto*//*Label 14160*/ GIMT_Encode4(935328), // Rule ID 16466 //
     /*  935239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  935250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  935253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  935256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935286 */     // MIs[1] Operand 1
     /*  935286 */     // No operand predicates
     /*  935286 */     // MIs[0] round
     /*  935286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935298 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  935301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935310 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935326 */     GIR_RootConstrainSelectedInstOperands,
     /*  935327 */     // GIR_Coverage, 16466,
     /*  935327 */     GIR_EraseRootFromParent_Done,
     /*  935328 */   // Label 14160: @935328
     /*  935328 */   GIM_Try, /*On fail goto*//*Label 14161*/ GIMT_Encode4(935422), // Rule ID 16467 //
     /*  935333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  935344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  935347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  935350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935380 */     // MIs[1] Operand 1
     /*  935380 */     // No operand predicates
     /*  935380 */     // MIs[0] round
     /*  935380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935392 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  935395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935420 */     GIR_RootConstrainSelectedInstOperands,
     /*  935421 */     // GIR_Coverage, 16467,
     /*  935421 */     GIR_EraseRootFromParent_Done,
     /*  935422 */   // Label 14161: @935422
     /*  935422 */   GIM_Try, /*On fail goto*//*Label 14162*/ GIMT_Encode4(935516), // Rule ID 16470 //
     /*  935427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  935438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  935441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  935444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935474 */     // MIs[1] Operand 1
     /*  935474 */     // No operand predicates
     /*  935474 */     // MIs[0] round
     /*  935474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935486 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  935489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935514 */     GIR_RootConstrainSelectedInstOperands,
     /*  935515 */     // GIR_Coverage, 16470,
     /*  935515 */     GIR_EraseRootFromParent_Done,
     /*  935516 */   // Label 14162: @935516
     /*  935516 */   GIM_Try, /*On fail goto*//*Label 14163*/ GIMT_Encode4(935610), // Rule ID 16471 //
     /*  935521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  935532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  935535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  935538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935568 */     // MIs[1] Operand 1
     /*  935568 */     // No operand predicates
     /*  935568 */     // MIs[0] round
     /*  935568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935580 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  935583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935592 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935608 */     GIR_RootConstrainSelectedInstOperands,
     /*  935609 */     // GIR_Coverage, 16471,
     /*  935609 */     GIR_EraseRootFromParent_Done,
     /*  935610 */   // Label 14163: @935610
     /*  935610 */   GIM_Try, /*On fail goto*//*Label 14164*/ GIMT_Encode4(935704), // Rule ID 16474 //
     /*  935615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  935626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  935629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  935632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935662 */     // MIs[1] Operand 1
     /*  935662 */     // No operand predicates
     /*  935662 */     // MIs[0] round
     /*  935662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935674 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935686 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935702 */     GIR_RootConstrainSelectedInstOperands,
     /*  935703 */     // GIR_Coverage, 16474,
     /*  935703 */     GIR_EraseRootFromParent_Done,
     /*  935704 */   // Label 14164: @935704
     /*  935704 */   GIM_Try, /*On fail goto*//*Label 14165*/ GIMT_Encode4(935798), // Rule ID 16475 //
     /*  935709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  935720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  935723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  935726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935756 */     // MIs[1] Operand 1
     /*  935756 */     // No operand predicates
     /*  935756 */     // MIs[0] round
     /*  935756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935768 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935780 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935796 */     GIR_RootConstrainSelectedInstOperands,
     /*  935797 */     // GIR_Coverage, 16475,
     /*  935797 */     GIR_EraseRootFromParent_Done,
     /*  935798 */   // Label 14165: @935798
     /*  935798 */   GIM_Try, /*On fail goto*//*Label 14166*/ GIMT_Encode4(935892), // Rule ID 16478 //
     /*  935803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  935814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  935817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  935820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935850 */     // MIs[1] Operand 1
     /*  935850 */     // No operand predicates
     /*  935850 */     // MIs[0] round
     /*  935850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935862 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  935865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935874 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935890 */     GIR_RootConstrainSelectedInstOperands,
     /*  935891 */     // GIR_Coverage, 16478,
     /*  935891 */     GIR_EraseRootFromParent_Done,
     /*  935892 */   // Label 14166: @935892
     /*  935892 */   GIM_Try, /*On fail goto*//*Label 14167*/ GIMT_Encode4(935986), // Rule ID 16479 //
     /*  935897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  935908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  935911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  935914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935944 */     // MIs[1] Operand 1
     /*  935944 */     // No operand predicates
     /*  935944 */     // MIs[0] round
     /*  935944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935956 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  935959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935968 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935984 */     GIR_RootConstrainSelectedInstOperands,
     /*  935985 */     // GIR_Coverage, 16479,
     /*  935985 */     GIR_EraseRootFromParent_Done,
     /*  935986 */   // Label 14167: @935986
     /*  935986 */   GIM_Try, /*On fail goto*//*Label 14168*/ GIMT_Encode4(936080), // Rule ID 16482 //
     /*  935991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  936002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  936005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  936008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936038 */     // MIs[1] Operand 1
     /*  936038 */     // No operand predicates
     /*  936038 */     // MIs[0] round
     /*  936038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936050 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  936053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936078 */     GIR_RootConstrainSelectedInstOperands,
     /*  936079 */     // GIR_Coverage, 16482,
     /*  936079 */     GIR_EraseRootFromParent_Done,
     /*  936080 */   // Label 14168: @936080
     /*  936080 */   GIM_Try, /*On fail goto*//*Label 14169*/ GIMT_Encode4(936174), // Rule ID 16483 //
     /*  936085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  936096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  936099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  936102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936132 */     // MIs[1] Operand 1
     /*  936132 */     // No operand predicates
     /*  936132 */     // MIs[0] round
     /*  936132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936144 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  936144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  936147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936172 */     GIR_RootConstrainSelectedInstOperands,
     /*  936173 */     // GIR_Coverage, 16483,
     /*  936173 */     GIR_EraseRootFromParent_Done,
     /*  936174 */   // Label 14169: @936174
     /*  936174 */   GIM_Try, /*On fail goto*//*Label 14170*/ GIMT_Encode4(936268), // Rule ID 16486 //
     /*  936179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  936190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  936193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  936196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936226 */     // MIs[1] Operand 1
     /*  936226 */     // No operand predicates
     /*  936226 */     // MIs[0] round
     /*  936226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936238 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  936241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936266 */     GIR_RootConstrainSelectedInstOperands,
     /*  936267 */     // GIR_Coverage, 16486,
     /*  936267 */     GIR_EraseRootFromParent_Done,
     /*  936268 */   // Label 14170: @936268
     /*  936268 */   GIM_Try, /*On fail goto*//*Label 14171*/ GIMT_Encode4(936362), // Rule ID 16487 //
     /*  936273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  936284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  936287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  936290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936320 */     // MIs[1] Operand 1
     /*  936320 */     // No operand predicates
     /*  936320 */     // MIs[0] round
     /*  936320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936332 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  936335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936344 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936360 */     GIR_RootConstrainSelectedInstOperands,
     /*  936361 */     // GIR_Coverage, 16487,
     /*  936361 */     GIR_EraseRootFromParent_Done,
     /*  936362 */   // Label 14171: @936362
     /*  936362 */   GIM_Try, /*On fail goto*//*Label 14172*/ GIMT_Encode4(936456), // Rule ID 16490 //
     /*  936367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  936378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  936381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  936384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936414 */     // MIs[1] Operand 1
     /*  936414 */     // No operand predicates
     /*  936414 */     // MIs[0] round
     /*  936414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936426 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  936429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936454 */     GIR_RootConstrainSelectedInstOperands,
     /*  936455 */     // GIR_Coverage, 16490,
     /*  936455 */     GIR_EraseRootFromParent_Done,
     /*  936456 */   // Label 14172: @936456
     /*  936456 */   GIM_Try, /*On fail goto*//*Label 14173*/ GIMT_Encode4(936550), // Rule ID 16491 //
     /*  936461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  936472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  936475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  936478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936508 */     // MIs[1] Operand 1
     /*  936508 */     // No operand predicates
     /*  936508 */     // MIs[0] round
     /*  936508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  936523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936532 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936548 */     GIR_RootConstrainSelectedInstOperands,
     /*  936549 */     // GIR_Coverage, 16491,
     /*  936549 */     GIR_EraseRootFromParent_Done,
     /*  936550 */   // Label 14173: @936550
     /*  936550 */   GIM_Try, /*On fail goto*//*Label 14174*/ GIMT_Encode4(936644), // Rule ID 16494 //
     /*  936555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  936566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  936569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  936572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936602 */     // MIs[1] Operand 1
     /*  936602 */     // No operand predicates
     /*  936602 */     // MIs[0] round
     /*  936602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  936617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936642 */     GIR_RootConstrainSelectedInstOperands,
     /*  936643 */     // GIR_Coverage, 16494,
     /*  936643 */     GIR_EraseRootFromParent_Done,
     /*  936644 */   // Label 14174: @936644
     /*  936644 */   GIM_Try, /*On fail goto*//*Label 14175*/ GIMT_Encode4(936738), // Rule ID 16495 //
     /*  936649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  936660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  936663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  936666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936696 */     // MIs[1] Operand 1
     /*  936696 */     // No operand predicates
     /*  936696 */     // MIs[0] round
     /*  936696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  936711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936736 */     GIR_RootConstrainSelectedInstOperands,
     /*  936737 */     // GIR_Coverage, 16495,
     /*  936737 */     GIR_EraseRootFromParent_Done,
     /*  936738 */   // Label 14175: @936738
     /*  936738 */   GIM_Try, /*On fail goto*//*Label 14176*/ GIMT_Encode4(936832), // Rule ID 16498 //
     /*  936743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  936754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  936757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  936760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936790 */     // MIs[1] Operand 1
     /*  936790 */     // No operand predicates
     /*  936790 */     // MIs[0] round
     /*  936790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936802 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936830 */     GIR_RootConstrainSelectedInstOperands,
     /*  936831 */     // GIR_Coverage, 16498,
     /*  936831 */     GIR_EraseRootFromParent_Done,
     /*  936832 */   // Label 14176: @936832
     /*  936832 */   GIM_Try, /*On fail goto*//*Label 14177*/ GIMT_Encode4(936926), // Rule ID 16499 //
     /*  936837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  936848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  936851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  936854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936884 */     // MIs[1] Operand 1
     /*  936884 */     // No operand predicates
     /*  936884 */     // MIs[0] round
     /*  936884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936924 */     GIR_RootConstrainSelectedInstOperands,
     /*  936925 */     // GIR_Coverage, 16499,
     /*  936925 */     GIR_EraseRootFromParent_Done,
     /*  936926 */   // Label 14177: @936926
     /*  936926 */   GIM_Try, /*On fail goto*//*Label 14178*/ GIMT_Encode4(937020), // Rule ID 16502 //
     /*  936931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  936942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  936945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  936948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936978 */     // MIs[1] Operand 1
     /*  936978 */     // No operand predicates
     /*  936978 */     // MIs[0] round
     /*  936978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936990 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  936993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937018 */     GIR_RootConstrainSelectedInstOperands,
     /*  937019 */     // GIR_Coverage, 16502,
     /*  937019 */     GIR_EraseRootFromParent_Done,
     /*  937020 */   // Label 14178: @937020
     /*  937020 */   GIM_Try, /*On fail goto*//*Label 14179*/ GIMT_Encode4(937114), // Rule ID 16503 //
     /*  937025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  937033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  937036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  937039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  937042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937072 */     // MIs[1] Operand 1
     /*  937072 */     // No operand predicates
     /*  937072 */     // MIs[0] round
     /*  937072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937084 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  937084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  937087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937112 */     GIR_RootConstrainSelectedInstOperands,
     /*  937113 */     // GIR_Coverage, 16503,
     /*  937113 */     GIR_EraseRootFromParent_Done,
     /*  937114 */   // Label 14179: @937114
     /*  937114 */   GIM_Try, /*On fail goto*//*Label 14180*/ GIMT_Encode4(937208), // Rule ID 16506 //
     /*  937119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  937122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  937127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  937130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  937133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  937136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937166 */     // MIs[1] Operand 1
     /*  937166 */     // No operand predicates
     /*  937166 */     // MIs[0] round
     /*  937166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  937178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  937181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937190 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937206 */     GIR_RootConstrainSelectedInstOperands,
     /*  937207 */     // GIR_Coverage, 16506,
     /*  937207 */     GIR_EraseRootFromParent_Done,
     /*  937208 */   // Label 14180: @937208
     /*  937208 */   GIM_Try, /*On fail goto*//*Label 14181*/ GIMT_Encode4(937302), // Rule ID 16507 //
     /*  937213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  937216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  937221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  937224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  937227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  937230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937260 */     // MIs[1] Operand 1
     /*  937260 */     // No operand predicates
     /*  937260 */     // MIs[0] round
     /*  937260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  937272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  937275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937300 */     GIR_RootConstrainSelectedInstOperands,
     /*  937301 */     // GIR_Coverage, 16507,
     /*  937301 */     GIR_EraseRootFromParent_Done,
     /*  937302 */   // Label 14181: @937302
     /*  937302 */   GIM_Try, /*On fail goto*//*Label 14182*/ GIMT_Encode4(937396), // Rule ID 16510 //
     /*  937307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  937310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  937315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  937318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  937321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  937324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937354 */     // MIs[1] Operand 1
     /*  937354 */     // No operand predicates
     /*  937354 */     // MIs[0] round
     /*  937354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937366 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  937366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  937369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937394 */     GIR_RootConstrainSelectedInstOperands,
     /*  937395 */     // GIR_Coverage, 16510,
     /*  937395 */     GIR_EraseRootFromParent_Done,
     /*  937396 */   // Label 14182: @937396
     /*  937396 */   GIM_Try, /*On fail goto*//*Label 14183*/ GIMT_Encode4(937490), // Rule ID 16511 //
     /*  937401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  937404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  937409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  937412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  937415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  937418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937448 */     // MIs[1] Operand 1
     /*  937448 */     // No operand predicates
     /*  937448 */     // MIs[0] round
     /*  937448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  937460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  937463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937488 */     GIR_RootConstrainSelectedInstOperands,
     /*  937489 */     // GIR_Coverage, 16511,
     /*  937489 */     GIR_EraseRootFromParent_Done,
     /*  937490 */   // Label 14183: @937490
     /*  937490 */   GIM_Try, /*On fail goto*//*Label 14184*/ GIMT_Encode4(937584), // Rule ID 16514 //
     /*  937495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  937498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  937503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  937506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  937509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  937512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937542 */     // MIs[1] Operand 1
     /*  937542 */     // No operand predicates
     /*  937542 */     // MIs[0] round
     /*  937542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937554 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  937554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  937557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937566 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937582 */     GIR_RootConstrainSelectedInstOperands,
     /*  937583 */     // GIR_Coverage, 16514,
     /*  937583 */     GIR_EraseRootFromParent_Done,
     /*  937584 */   // Label 14184: @937584
     /*  937584 */   GIM_Try, /*On fail goto*//*Label 14185*/ GIMT_Encode4(937678), // Rule ID 16515 //
     /*  937589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  937592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  937597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  937600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  937603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  937606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937636 */     // MIs[1] Operand 1
     /*  937636 */     // No operand predicates
     /*  937636 */     // MIs[0] round
     /*  937636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937648 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  937648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  937651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937676 */     GIR_RootConstrainSelectedInstOperands,
     /*  937677 */     // GIR_Coverage, 16515,
     /*  937677 */     GIR_EraseRootFromParent_Done,
     /*  937678 */   // Label 14185: @937678
     /*  937678 */   GIM_Try, /*On fail goto*//*Label 14186*/ GIMT_Encode4(937772), // Rule ID 16518 //
     /*  937683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  937686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  937691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  937694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  937697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  937700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937730 */     // MIs[1] Operand 1
     /*  937730 */     // No operand predicates
     /*  937730 */     // MIs[0] round
     /*  937730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937742 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  937742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  937745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937754 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937770 */     GIR_RootConstrainSelectedInstOperands,
     /*  937771 */     // GIR_Coverage, 16518,
     /*  937771 */     GIR_EraseRootFromParent_Done,
     /*  937772 */   // Label 14186: @937772
     /*  937772 */   GIM_Try, /*On fail goto*//*Label 14187*/ GIMT_Encode4(937866), // Rule ID 16519 //
     /*  937777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  937780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  937785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  937788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  937791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  937794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937824 */     // MIs[1] Operand 1
     /*  937824 */     // No operand predicates
     /*  937824 */     // MIs[0] round
     /*  937824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  937836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  937839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937848 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937864 */     GIR_RootConstrainSelectedInstOperands,
     /*  937865 */     // GIR_Coverage, 16519,
     /*  937865 */     GIR_EraseRootFromParent_Done,
     /*  937866 */   // Label 14187: @937866
     /*  937866 */   GIM_Try, /*On fail goto*//*Label 14188*/ GIMT_Encode4(937960), // Rule ID 16642 //
     /*  937871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  937882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  937885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  937888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937918 */     // MIs[1] Operand 1
     /*  937918 */     // No operand predicates
     /*  937918 */     // MIs[0] round
     /*  937918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937930 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  937933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937958 */     GIR_RootConstrainSelectedInstOperands,
     /*  937959 */     // GIR_Coverage, 16642,
     /*  937959 */     GIR_EraseRootFromParent_Done,
     /*  937960 */   // Label 14188: @937960
     /*  937960 */   GIM_Try, /*On fail goto*//*Label 14189*/ GIMT_Encode4(938054), // Rule ID 16643 //
     /*  937965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  937976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  937979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  937982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938012 */     // MIs[1] Operand 1
     /*  938012 */     // No operand predicates
     /*  938012 */     // MIs[0] round
     /*  938012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938024 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  938024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  938027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938036 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938052 */     GIR_RootConstrainSelectedInstOperands,
     /*  938053 */     // GIR_Coverage, 16643,
     /*  938053 */     GIR_EraseRootFromParent_Done,
     /*  938054 */   // Label 14189: @938054
     /*  938054 */   GIM_Try, /*On fail goto*//*Label 14190*/ GIMT_Encode4(938148), // Rule ID 16646 //
     /*  938059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  938070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  938073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  938076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938106 */     // MIs[1] Operand 1
     /*  938106 */     // No operand predicates
     /*  938106 */     // MIs[0] round
     /*  938106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938118 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  938121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938130 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938146 */     GIR_RootConstrainSelectedInstOperands,
     /*  938147 */     // GIR_Coverage, 16646,
     /*  938147 */     GIR_EraseRootFromParent_Done,
     /*  938148 */   // Label 14190: @938148
     /*  938148 */   GIM_Try, /*On fail goto*//*Label 14191*/ GIMT_Encode4(938242), // Rule ID 16647 //
     /*  938153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  938164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  938167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  938170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938200 */     // MIs[1] Operand 1
     /*  938200 */     // No operand predicates
     /*  938200 */     // MIs[0] round
     /*  938200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938212 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  938212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  938215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938240 */     GIR_RootConstrainSelectedInstOperands,
     /*  938241 */     // GIR_Coverage, 16647,
     /*  938241 */     GIR_EraseRootFromParent_Done,
     /*  938242 */   // Label 14191: @938242
     /*  938242 */   GIM_Try, /*On fail goto*//*Label 14192*/ GIMT_Encode4(938336), // Rule ID 16650 //
     /*  938247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  938258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  938261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  938264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938294 */     // MIs[1] Operand 1
     /*  938294 */     // No operand predicates
     /*  938294 */     // MIs[0] round
     /*  938294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938306 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  938309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938334 */     GIR_RootConstrainSelectedInstOperands,
     /*  938335 */     // GIR_Coverage, 16650,
     /*  938335 */     GIR_EraseRootFromParent_Done,
     /*  938336 */   // Label 14192: @938336
     /*  938336 */   GIM_Try, /*On fail goto*//*Label 14193*/ GIMT_Encode4(938430), // Rule ID 16651 //
     /*  938341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  938352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  938355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  938358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938388 */     // MIs[1] Operand 1
     /*  938388 */     // No operand predicates
     /*  938388 */     // MIs[0] round
     /*  938388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938400 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  938400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  938403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938412 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938428 */     GIR_RootConstrainSelectedInstOperands,
     /*  938429 */     // GIR_Coverage, 16651,
     /*  938429 */     GIR_EraseRootFromParent_Done,
     /*  938430 */   // Label 14193: @938430
     /*  938430 */   GIM_Try, /*On fail goto*//*Label 14194*/ GIMT_Encode4(938524), // Rule ID 16654 //
     /*  938435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  938446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  938449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  938452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938482 */     // MIs[1] Operand 1
     /*  938482 */     // No operand predicates
     /*  938482 */     // MIs[0] round
     /*  938482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938494 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  938497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938506 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938522 */     GIR_RootConstrainSelectedInstOperands,
     /*  938523 */     // GIR_Coverage, 16654,
     /*  938523 */     GIR_EraseRootFromParent_Done,
     /*  938524 */   // Label 14194: @938524
     /*  938524 */   GIM_Try, /*On fail goto*//*Label 14195*/ GIMT_Encode4(938618), // Rule ID 16655 //
     /*  938529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  938540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  938543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  938546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938576 */     // MIs[1] Operand 1
     /*  938576 */     // No operand predicates
     /*  938576 */     // MIs[0] round
     /*  938576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938588 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  938588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  938591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938616 */     GIR_RootConstrainSelectedInstOperands,
     /*  938617 */     // GIR_Coverage, 16655,
     /*  938617 */     GIR_EraseRootFromParent_Done,
     /*  938618 */   // Label 14195: @938618
     /*  938618 */   GIM_Try, /*On fail goto*//*Label 14196*/ GIMT_Encode4(938712), // Rule ID 16658 //
     /*  938623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  938634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  938637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  938640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938670 */     // MIs[1] Operand 1
     /*  938670 */     // No operand predicates
     /*  938670 */     // MIs[0] round
     /*  938670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938682 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938710 */     GIR_RootConstrainSelectedInstOperands,
     /*  938711 */     // GIR_Coverage, 16658,
     /*  938711 */     GIR_EraseRootFromParent_Done,
     /*  938712 */   // Label 14196: @938712
     /*  938712 */   GIM_Try, /*On fail goto*//*Label 14197*/ GIMT_Encode4(938806), // Rule ID 16659 //
     /*  938717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  938728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  938731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  938734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938764 */     // MIs[1] Operand 1
     /*  938764 */     // No operand predicates
     /*  938764 */     // MIs[0] round
     /*  938764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938776 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  938776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938804 */     GIR_RootConstrainSelectedInstOperands,
     /*  938805 */     // GIR_Coverage, 16659,
     /*  938805 */     GIR_EraseRootFromParent_Done,
     /*  938806 */   // Label 14197: @938806
     /*  938806 */   GIM_Try, /*On fail goto*//*Label 14198*/ GIMT_Encode4(938900), // Rule ID 16662 //
     /*  938811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  938822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  938825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  938828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938858 */     // MIs[1] Operand 1
     /*  938858 */     // No operand predicates
     /*  938858 */     // MIs[0] round
     /*  938858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938870 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  938873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938898 */     GIR_RootConstrainSelectedInstOperands,
     /*  938899 */     // GIR_Coverage, 16662,
     /*  938899 */     GIR_EraseRootFromParent_Done,
     /*  938900 */   // Label 14198: @938900
     /*  938900 */   GIM_Try, /*On fail goto*//*Label 14199*/ GIMT_Encode4(938994), // Rule ID 16663 //
     /*  938905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  938916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  938919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  938922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938952 */     // MIs[1] Operand 1
     /*  938952 */     // No operand predicates
     /*  938952 */     // MIs[0] round
     /*  938952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938964 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  938964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  938967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938992 */     GIR_RootConstrainSelectedInstOperands,
     /*  938993 */     // GIR_Coverage, 16663,
     /*  938993 */     GIR_EraseRootFromParent_Done,
     /*  938994 */   // Label 14199: @938994
     /*  938994 */   GIM_Try, /*On fail goto*//*Label 14200*/ GIMT_Encode4(939088), // Rule ID 16666 //
     /*  938999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  939010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  939013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  939016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939046 */     // MIs[1] Operand 1
     /*  939046 */     // No operand predicates
     /*  939046 */     // MIs[0] round
     /*  939046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  939058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  939061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939070 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939086 */     GIR_RootConstrainSelectedInstOperands,
     /*  939087 */     // GIR_Coverage, 16666,
     /*  939087 */     GIR_EraseRootFromParent_Done,
     /*  939088 */   // Label 14200: @939088
     /*  939088 */   GIM_Try, /*On fail goto*//*Label 14201*/ GIMT_Encode4(939182), // Rule ID 16667 //
     /*  939093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  939104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  939107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  939110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939140 */     // MIs[1] Operand 1
     /*  939140 */     // No operand predicates
     /*  939140 */     // MIs[0] round
     /*  939140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  939152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  939155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939180 */     GIR_RootConstrainSelectedInstOperands,
     /*  939181 */     // GIR_Coverage, 16667,
     /*  939181 */     GIR_EraseRootFromParent_Done,
     /*  939182 */   // Label 14201: @939182
     /*  939182 */   GIM_Try, /*On fail goto*//*Label 14202*/ GIMT_Encode4(939276), // Rule ID 16670 //
     /*  939187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  939198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  939201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  939204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939234 */     // MIs[1] Operand 1
     /*  939234 */     // No operand predicates
     /*  939234 */     // MIs[0] round
     /*  939234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939246 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  939246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  939249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939274 */     GIR_RootConstrainSelectedInstOperands,
     /*  939275 */     // GIR_Coverage, 16670,
     /*  939275 */     GIR_EraseRootFromParent_Done,
     /*  939276 */   // Label 14202: @939276
     /*  939276 */   GIM_Try, /*On fail goto*//*Label 14203*/ GIMT_Encode4(939370), // Rule ID 16671 //
     /*  939281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  939292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  939295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  939298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939328 */     // MIs[1] Operand 1
     /*  939328 */     // No operand predicates
     /*  939328 */     // MIs[0] round
     /*  939328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939340 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  939340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  939343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939352 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939368 */     GIR_RootConstrainSelectedInstOperands,
     /*  939369 */     // GIR_Coverage, 16671,
     /*  939369 */     GIR_EraseRootFromParent_Done,
     /*  939370 */   // Label 14203: @939370
     /*  939370 */   GIM_Try, /*On fail goto*//*Label 14204*/ GIMT_Encode4(939464), // Rule ID 16674 //
     /*  939375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  939386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  939389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  939392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939422 */     // MIs[1] Operand 1
     /*  939422 */     // No operand predicates
     /*  939422 */     // MIs[0] round
     /*  939422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939434 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  939434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  939437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939462 */     GIR_RootConstrainSelectedInstOperands,
     /*  939463 */     // GIR_Coverage, 16674,
     /*  939463 */     GIR_EraseRootFromParent_Done,
     /*  939464 */   // Label 14204: @939464
     /*  939464 */   GIM_Try, /*On fail goto*//*Label 14205*/ GIMT_Encode4(939558), // Rule ID 16675 //
     /*  939469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  939480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  939483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  939486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939516 */     // MIs[1] Operand 1
     /*  939516 */     // No operand predicates
     /*  939516 */     // MIs[0] round
     /*  939516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  939528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  939531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939540 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939556 */     GIR_RootConstrainSelectedInstOperands,
     /*  939557 */     // GIR_Coverage, 16675,
     /*  939557 */     GIR_EraseRootFromParent_Done,
     /*  939558 */   // Label 14205: @939558
     /*  939558 */   GIM_Try, /*On fail goto*//*Label 14206*/ GIMT_Encode4(939652), // Rule ID 16678 //
     /*  939563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  939574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  939577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  939580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939610 */     // MIs[1] Operand 1
     /*  939610 */     // No operand predicates
     /*  939610 */     // MIs[0] round
     /*  939610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  939622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  939625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939634 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939650 */     GIR_RootConstrainSelectedInstOperands,
     /*  939651 */     // GIR_Coverage, 16678,
     /*  939651 */     GIR_EraseRootFromParent_Done,
     /*  939652 */   // Label 14206: @939652
     /*  939652 */   GIM_Try, /*On fail goto*//*Label 14207*/ GIMT_Encode4(939746), // Rule ID 16679 //
     /*  939657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  939668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  939671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  939674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939704 */     // MIs[1] Operand 1
     /*  939704 */     // No operand predicates
     /*  939704 */     // MIs[0] round
     /*  939704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939716 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  939716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  939719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939728 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939744 */     GIR_RootConstrainSelectedInstOperands,
     /*  939745 */     // GIR_Coverage, 16679,
     /*  939745 */     GIR_EraseRootFromParent_Done,
     /*  939746 */   // Label 14207: @939746
     /*  939746 */   GIM_Try, /*On fail goto*//*Label 14208*/ GIMT_Encode4(939840), // Rule ID 16682 //
     /*  939751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  939762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  939765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  939768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939798 */     // MIs[1] Operand 1
     /*  939798 */     // No operand predicates
     /*  939798 */     // MIs[0] round
     /*  939798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939810 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  939810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939822 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939838 */     GIR_RootConstrainSelectedInstOperands,
     /*  939839 */     // GIR_Coverage, 16682,
     /*  939839 */     GIR_EraseRootFromParent_Done,
     /*  939840 */   // Label 14208: @939840
     /*  939840 */   GIM_Try, /*On fail goto*//*Label 14209*/ GIMT_Encode4(939934), // Rule ID 16683 //
     /*  939845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  939856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  939859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  939862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939892 */     // MIs[1] Operand 1
     /*  939892 */     // No operand predicates
     /*  939892 */     // MIs[0] round
     /*  939892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939904 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  939904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939932 */     GIR_RootConstrainSelectedInstOperands,
     /*  939933 */     // GIR_Coverage, 16683,
     /*  939933 */     GIR_EraseRootFromParent_Done,
     /*  939934 */   // Label 14209: @939934
     /*  939934 */   GIM_Try, /*On fail goto*//*Label 14210*/ GIMT_Encode4(940028), // Rule ID 16686 //
     /*  939939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  939953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  939956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939986 */     // MIs[1] Operand 1
     /*  939986 */     // No operand predicates
     /*  939986 */     // MIs[0] round
     /*  939986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939998 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  940001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940010 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940026 */     GIR_RootConstrainSelectedInstOperands,
     /*  940027 */     // GIR_Coverage, 16686,
     /*  940027 */     GIR_EraseRootFromParent_Done,
     /*  940028 */   // Label 14210: @940028
     /*  940028 */   GIM_Try, /*On fail goto*//*Label 14211*/ GIMT_Encode4(940122), // Rule ID 16687 //
     /*  940033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  940036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  940041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  940044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  940047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940080 */     // MIs[1] Operand 1
     /*  940080 */     // No operand predicates
     /*  940080 */     // MIs[0] round
     /*  940080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  940092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  940095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940120 */     GIR_RootConstrainSelectedInstOperands,
     /*  940121 */     // GIR_Coverage, 16687,
     /*  940121 */     GIR_EraseRootFromParent_Done,
     /*  940122 */   // Label 14211: @940122
     /*  940122 */   GIM_Try, /*On fail goto*//*Label 14212*/ GIMT_Encode4(940216), // Rule ID 16690 //
     /*  940127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  940130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  940135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  940141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  940144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940174 */     // MIs[1] Operand 1
     /*  940174 */     // No operand predicates
     /*  940174 */     // MIs[0] round
     /*  940174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  940186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  940189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940214 */     GIR_RootConstrainSelectedInstOperands,
     /*  940215 */     // GIR_Coverage, 16690,
     /*  940215 */     GIR_EraseRootFromParent_Done,
     /*  940216 */   // Label 14212: @940216
     /*  940216 */   GIM_Try, /*On fail goto*//*Label 14213*/ GIMT_Encode4(940310), // Rule ID 16691 //
     /*  940221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  940224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  940229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  940235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  940238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940268 */     // MIs[1] Operand 1
     /*  940268 */     // No operand predicates
     /*  940268 */     // MIs[0] round
     /*  940268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  940280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  940283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940292 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940308 */     GIR_RootConstrainSelectedInstOperands,
     /*  940309 */     // GIR_Coverage, 16691,
     /*  940309 */     GIR_EraseRootFromParent_Done,
     /*  940310 */   // Label 14213: @940310
     /*  940310 */   GIM_Try, /*On fail goto*//*Label 14214*/ GIMT_Encode4(940404), // Rule ID 16694 //
     /*  940315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  940318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  940323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  940332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940362 */     // MIs[1] Operand 1
     /*  940362 */     // No operand predicates
     /*  940362 */     // MIs[0] round
     /*  940362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  940374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  940377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940386 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940402 */     GIR_RootConstrainSelectedInstOperands,
     /*  940403 */     // GIR_Coverage, 16694,
     /*  940403 */     GIR_EraseRootFromParent_Done,
     /*  940404 */   // Label 14214: @940404
     /*  940404 */   GIM_Try, /*On fail goto*//*Label 14215*/ GIMT_Encode4(940498), // Rule ID 16695 //
     /*  940409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  940412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  940417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  940426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940456 */     // MIs[1] Operand 1
     /*  940456 */     // No operand predicates
     /*  940456 */     // MIs[0] round
     /*  940456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940468 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  940468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  940471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940496 */     GIR_RootConstrainSelectedInstOperands,
     /*  940497 */     // GIR_Coverage, 16695,
     /*  940497 */     GIR_EraseRootFromParent_Done,
     /*  940498 */   // Label 14215: @940498
     /*  940498 */   GIM_Try, /*On fail goto*//*Label 14216*/ GIMT_Encode4(940592), // Rule ID 16698 //
     /*  940503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  940506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  940511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  940520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940550 */     // MIs[1] Operand 1
     /*  940550 */     // No operand predicates
     /*  940550 */     // MIs[0] round
     /*  940550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  940562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  940565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940590 */     GIR_RootConstrainSelectedInstOperands,
     /*  940591 */     // GIR_Coverage, 16698,
     /*  940591 */     GIR_EraseRootFromParent_Done,
     /*  940592 */   // Label 14216: @940592
     /*  940592 */   GIM_Try, /*On fail goto*//*Label 14217*/ GIMT_Encode4(940686), // Rule ID 16699 //
     /*  940597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  940600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  940605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  940614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940644 */     // MIs[1] Operand 1
     /*  940644 */     // No operand predicates
     /*  940644 */     // MIs[0] round
     /*  940644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940656 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  940656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  940659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940684 */     GIR_RootConstrainSelectedInstOperands,
     /*  940685 */     // GIR_Coverage, 16699,
     /*  940685 */     GIR_EraseRootFromParent_Done,
     /*  940686 */   // Label 14217: @940686
     /*  940686 */   GIM_Try, /*On fail goto*//*Label 14218*/ GIMT_Encode4(940770), // Rule ID 2766 //
     /*  940691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  940702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  940705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  940708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  940711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940734 */     // MIs[0] round
     /*  940734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940746 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  940749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940768 */     GIR_RootConstrainSelectedInstOperands,
     /*  940769 */     // GIR_Coverage, 2766,
     /*  940769 */     GIR_EraseRootFromParent_Done,
     /*  940770 */   // Label 14218: @940770
     /*  940770 */   GIM_Try, /*On fail goto*//*Label 14219*/ GIMT_Encode4(940854), // Rule ID 2767 //
     /*  940775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  940786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  940789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  940792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  940795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940818 */     // MIs[0] round
     /*  940818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940830 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  940833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940852 */     GIR_RootConstrainSelectedInstOperands,
     /*  940853 */     // GIR_Coverage, 2767,
     /*  940853 */     GIR_EraseRootFromParent_Done,
     /*  940854 */   // Label 14219: @940854
     /*  940854 */   GIM_Try, /*On fail goto*//*Label 14220*/ GIMT_Encode4(940938), // Rule ID 17146 //
     /*  940859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  940873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  940879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940902 */     // MIs[0] round
     /*  940902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940914 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  940917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940936 */     GIR_RootConstrainSelectedInstOperands,
     /*  940937 */     // GIR_Coverage, 17146,
     /*  940937 */     GIR_EraseRootFromParent_Done,
     /*  940938 */   // Label 14220: @940938
     /*  940938 */   GIM_Try, /*On fail goto*//*Label 14221*/ GIMT_Encode4(941022), // Rule ID 17147 //
     /*  940943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  940957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  940963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940986 */     // MIs[0] round
     /*  940986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940998 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  941001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941020 */     GIR_RootConstrainSelectedInstOperands,
     /*  941021 */     // GIR_Coverage, 17147,
     /*  941021 */     GIR_EraseRootFromParent_Done,
     /*  941022 */   // Label 14221: @941022
     /*  941022 */   GIM_Try, /*On fail goto*//*Label 14222*/ GIMT_Encode4(941106), // Rule ID 17156 //
     /*  941027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  941044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  941047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941070 */     // MIs[0] round
     /*  941070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941082 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  941085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941104 */     GIR_RootConstrainSelectedInstOperands,
     /*  941105 */     // GIR_Coverage, 17156,
     /*  941105 */     GIR_EraseRootFromParent_Done,
     /*  941106 */   // Label 14222: @941106
     /*  941106 */   GIM_Try, /*On fail goto*//*Label 14223*/ GIMT_Encode4(941190), // Rule ID 17157 //
     /*  941111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  941128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  941131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941154 */     // MIs[0] round
     /*  941154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941166 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  941169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941188 */     GIR_RootConstrainSelectedInstOperands,
     /*  941189 */     // GIR_Coverage, 17157,
     /*  941189 */     GIR_EraseRootFromParent_Done,
     /*  941190 */   // Label 14223: @941190
     /*  941190 */   GIM_Try, /*On fail goto*//*Label 14224*/ GIMT_Encode4(941274), // Rule ID 17166 //
     /*  941195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  941206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  941209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  941212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  941215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941238 */     // MIs[0] round
     /*  941238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941250 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  941253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941272 */     GIR_RootConstrainSelectedInstOperands,
     /*  941273 */     // GIR_Coverage, 17166,
     /*  941273 */     GIR_EraseRootFromParent_Done,
     /*  941274 */   // Label 14224: @941274
     /*  941274 */   GIM_Try, /*On fail goto*//*Label 14225*/ GIMT_Encode4(941358), // Rule ID 17167 //
     /*  941279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  941290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  941293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  941296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  941299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941322 */     // MIs[0] round
     /*  941322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941334 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  941337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941356 */     GIR_RootConstrainSelectedInstOperands,
     /*  941357 */     // GIR_Coverage, 17167,
     /*  941357 */     GIR_EraseRootFromParent_Done,
     /*  941358 */   // Label 14225: @941358
     /*  941358 */   GIM_Try, /*On fail goto*//*Label 14226*/ GIMT_Encode4(941442), // Rule ID 17176 //
     /*  941363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  941374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  941377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  941380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  941383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941406 */     // MIs[0] round
     /*  941406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941418 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  941421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941440 */     GIR_RootConstrainSelectedInstOperands,
     /*  941441 */     // GIR_Coverage, 17176,
     /*  941441 */     GIR_EraseRootFromParent_Done,
     /*  941442 */   // Label 14226: @941442
     /*  941442 */   GIM_Try, /*On fail goto*//*Label 14227*/ GIMT_Encode4(941526), // Rule ID 17177 //
     /*  941447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  941458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  941461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  941464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  941467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941490 */     // MIs[0] round
     /*  941490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941502 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  941505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941524 */     GIR_RootConstrainSelectedInstOperands,
     /*  941525 */     // GIR_Coverage, 17177,
     /*  941525 */     GIR_EraseRootFromParent_Done,
     /*  941526 */   // Label 14227: @941526
     /*  941526 */   GIM_Try, /*On fail goto*//*Label 14228*/ GIMT_Encode4(941610), // Rule ID 17186 //
     /*  941531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  941534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  941542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  941545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  941548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  941551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941574 */     // MIs[0] round
     /*  941574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941586 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  941586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  941589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941608 */     GIR_RootConstrainSelectedInstOperands,
     /*  941609 */     // GIR_Coverage, 17186,
     /*  941609 */     GIR_EraseRootFromParent_Done,
     /*  941610 */   // Label 14228: @941610
     /*  941610 */   GIM_Try, /*On fail goto*//*Label 14229*/ GIMT_Encode4(941694), // Rule ID 17187 //
     /*  941615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  941626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  941629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  941632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  941635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941658 */     // MIs[0] round
     /*  941658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941670 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  941673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941692 */     GIR_RootConstrainSelectedInstOperands,
     /*  941693 */     // GIR_Coverage, 17187,
     /*  941693 */     GIR_EraseRootFromParent_Done,
     /*  941694 */   // Label 14229: @941694
     /*  941694 */   GIM_Try, /*On fail goto*//*Label 14230*/ GIMT_Encode4(941778), // Rule ID 17196 //
     /*  941699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  941702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  941710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  941713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  941716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  941719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941742 */     // MIs[0] round
     /*  941742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941754 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  941754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  941757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941776 */     GIR_RootConstrainSelectedInstOperands,
     /*  941777 */     // GIR_Coverage, 17196,
     /*  941777 */     GIR_EraseRootFromParent_Done,
     /*  941778 */   // Label 14230: @941778
     /*  941778 */   GIM_Try, /*On fail goto*//*Label 14231*/ GIMT_Encode4(941862), // Rule ID 17197 //
     /*  941783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  941794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  941797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  941800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  941803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941826 */     // MIs[0] round
     /*  941826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941838 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  941841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941860 */     GIR_RootConstrainSelectedInstOperands,
     /*  941861 */     // GIR_Coverage, 17197,
     /*  941861 */     GIR_EraseRootFromParent_Done,
     /*  941862 */   // Label 14231: @941862
     /*  941862 */   GIM_Try, /*On fail goto*//*Label 14232*/ GIMT_Encode4(941946), // Rule ID 17206 //
     /*  941867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  941870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  941878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  941881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  941887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941910 */     // MIs[0] round
     /*  941910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941922 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  941922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  941925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941944 */     GIR_RootConstrainSelectedInstOperands,
     /*  941945 */     // GIR_Coverage, 17206,
     /*  941945 */     GIR_EraseRootFromParent_Done,
     /*  941946 */   // Label 14232: @941946
     /*  941946 */   GIM_Try, /*On fail goto*//*Label 14233*/ GIMT_Encode4(942030), // Rule ID 17207 //
     /*  941951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  941962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  941965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  941971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941994 */     // MIs[0] round
     /*  941994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942006 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  942009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942028 */     GIR_RootConstrainSelectedInstOperands,
     /*  942029 */     // GIR_Coverage, 17207,
     /*  942029 */     GIR_EraseRootFromParent_Done,
     /*  942030 */   // Label 14233: @942030
     /*  942030 */   GIM_Try, /*On fail goto*//*Label 14234*/ GIMT_Encode4(942114), // Rule ID 17216 //
     /*  942035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  942043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  942046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  942049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  942052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  942055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942078 */     // MIs[0] round
     /*  942078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942090 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  942093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942112 */     GIR_RootConstrainSelectedInstOperands,
     /*  942113 */     // GIR_Coverage, 17216,
     /*  942113 */     GIR_EraseRootFromParent_Done,
     /*  942114 */   // Label 14234: @942114
     /*  942114 */   GIM_Try, /*On fail goto*//*Label 14235*/ GIMT_Encode4(942198), // Rule ID 17217 //
     /*  942119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  942127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  942130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  942133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  942136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  942139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942162 */     // MIs[0] round
     /*  942162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942174 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  942177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942196 */     GIR_RootConstrainSelectedInstOperands,
     /*  942197 */     // GIR_Coverage, 17217,
     /*  942197 */     GIR_EraseRootFromParent_Done,
     /*  942198 */   // Label 14235: @942198
     /*  942198 */   GIM_Try, /*On fail goto*//*Label 14236*/ GIMT_Encode4(942282), // Rule ID 17262 //
     /*  942203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  942206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  942214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  942217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  942220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  942223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942246 */     // MIs[0] round
     /*  942246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942258 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  942258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  942261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942280 */     GIR_RootConstrainSelectedInstOperands,
     /*  942281 */     // GIR_Coverage, 17262,
     /*  942281 */     GIR_EraseRootFromParent_Done,
     /*  942282 */   // Label 14236: @942282
     /*  942282 */   GIM_Try, /*On fail goto*//*Label 14237*/ GIMT_Encode4(942366), // Rule ID 17263 //
     /*  942287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  942290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  942298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  942301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  942304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  942307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942330 */     // MIs[0] round
     /*  942330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942342 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  942342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  942345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942364 */     GIR_RootConstrainSelectedInstOperands,
     /*  942365 */     // GIR_Coverage, 17263,
     /*  942365 */     GIR_EraseRootFromParent_Done,
     /*  942366 */   // Label 14237: @942366
     /*  942366 */   GIM_Try, /*On fail goto*//*Label 14238*/ GIMT_Encode4(942450), // Rule ID 17272 //
     /*  942371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  942374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  942382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  942385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  942388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  942391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942414 */     // MIs[0] round
     /*  942414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942426 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  942426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  942429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942448 */     GIR_RootConstrainSelectedInstOperands,
     /*  942449 */     // GIR_Coverage, 17272,
     /*  942449 */     GIR_EraseRootFromParent_Done,
     /*  942450 */   // Label 14238: @942450
     /*  942450 */   GIM_Try, /*On fail goto*//*Label 14239*/ GIMT_Encode4(942534), // Rule ID 17273 //
     /*  942455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  942458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  942466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  942469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  942472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  942475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942498 */     // MIs[0] round
     /*  942498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942510 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  942510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  942513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942532 */     GIR_RootConstrainSelectedInstOperands,
     /*  942533 */     // GIR_Coverage, 17273,
     /*  942533 */     GIR_EraseRootFromParent_Done,
     /*  942534 */   // Label 14239: @942534
     /*  942534 */   GIM_Try, /*On fail goto*//*Label 14240*/ GIMT_Encode4(942618), // Rule ID 17282 //
     /*  942539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  942542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  942550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  942553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  942556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  942559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942582 */     // MIs[0] round
     /*  942582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942594 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  942594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  942597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942616 */     GIR_RootConstrainSelectedInstOperands,
     /*  942617 */     // GIR_Coverage, 17282,
     /*  942617 */     GIR_EraseRootFromParent_Done,
     /*  942618 */   // Label 14240: @942618
     /*  942618 */   GIM_Try, /*On fail goto*//*Label 14241*/ GIMT_Encode4(942702), // Rule ID 17283 //
     /*  942623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  942626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  942634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  942637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  942640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  942643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942666 */     // MIs[0] round
     /*  942666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942678 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  942678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  942681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942700 */     GIR_RootConstrainSelectedInstOperands,
     /*  942701 */     // GIR_Coverage, 17283,
     /*  942701 */     GIR_EraseRootFromParent_Done,
     /*  942702 */   // Label 14241: @942702
     /*  942702 */   GIM_Try, /*On fail goto*//*Label 14242*/ GIMT_Encode4(942786), // Rule ID 17292 //
     /*  942707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  942710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  942718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  942721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  942724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942750 */     // MIs[0] round
     /*  942750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942762 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  942762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  942765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942784 */     GIR_RootConstrainSelectedInstOperands,
     /*  942785 */     // GIR_Coverage, 17292,
     /*  942785 */     GIR_EraseRootFromParent_Done,
     /*  942786 */   // Label 14242: @942786
     /*  942786 */   GIM_Try, /*On fail goto*//*Label 14243*/ GIMT_Encode4(942870), // Rule ID 17293 //
     /*  942791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  942794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  942802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  942805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  942808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942834 */     // MIs[0] round
     /*  942834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942846 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  942846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  942849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942868 */     GIR_RootConstrainSelectedInstOperands,
     /*  942869 */     // GIR_Coverage, 17293,
     /*  942869 */     GIR_EraseRootFromParent_Done,
     /*  942870 */   // Label 14243: @942870
     /*  942870 */   GIM_Try, /*On fail goto*//*Label 14244*/ GIMT_Encode4(942954), // Rule ID 17302 //
     /*  942875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  942878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  942886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  942889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  942892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942918 */     // MIs[0] round
     /*  942918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942930 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  942930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  942933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942952 */     GIR_RootConstrainSelectedInstOperands,
     /*  942953 */     // GIR_Coverage, 17302,
     /*  942953 */     GIR_EraseRootFromParent_Done,
     /*  942954 */   // Label 14244: @942954
     /*  942954 */   GIM_Try, /*On fail goto*//*Label 14245*/ GIMT_Encode4(943038), // Rule ID 17303 //
     /*  942959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  942962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  942970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  942973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  942976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943002 */     // MIs[0] round
     /*  943002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943014 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  943014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  943017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  943036 */     GIR_RootConstrainSelectedInstOperands,
     /*  943037 */     // GIR_Coverage, 17303,
     /*  943037 */     GIR_EraseRootFromParent_Done,
     /*  943038 */   // Label 14245: @943038
     /*  943038 */   GIM_Try, /*On fail goto*//*Label 14246*/ GIMT_Encode4(943122), // Rule ID 17312 //
     /*  943043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  943046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  943051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  943054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  943057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  943060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  943063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  943074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  943078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943086 */     // MIs[0] round
     /*  943086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943098 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  943098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  943101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  943120 */     GIR_RootConstrainSelectedInstOperands,
     /*  943121 */     // GIR_Coverage, 17312,
     /*  943121 */     GIR_EraseRootFromParent_Done,
     /*  943122 */   // Label 14246: @943122
     /*  943122 */   GIM_Try, /*On fail goto*//*Label 14247*/ GIMT_Encode4(943206), // Rule ID 17313 //
     /*  943127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  943130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  943135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  943138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  943141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  943144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  943147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  943158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  943162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943170 */     // MIs[0] round
     /*  943170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943182 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  943182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  943185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  943204 */     GIR_RootConstrainSelectedInstOperands,
     /*  943205 */     // GIR_Coverage, 17313,
     /*  943205 */     GIR_EraseRootFromParent_Done,
     /*  943206 */   // Label 14247: @943206
     /*  943206 */   GIM_Try, /*On fail goto*//*Label 14248*/ GIMT_Encode4(943290), // Rule ID 17322 //
     /*  943211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  943214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  943219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  943222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  943225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  943228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  943231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  943242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  943246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943254 */     // MIs[0] round
     /*  943254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943266 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  943266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  943269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  943288 */     GIR_RootConstrainSelectedInstOperands,
     /*  943289 */     // GIR_Coverage, 17322,
     /*  943289 */     GIR_EraseRootFromParent_Done,
     /*  943290 */   // Label 14248: @943290
     /*  943290 */   GIM_Try, /*On fail goto*//*Label 14249*/ GIMT_Encode4(943374), // Rule ID 17323 //
     /*  943295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  943298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  943303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  943306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  943309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  943312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  943315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  943326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  943330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943338 */     // MIs[0] round
     /*  943338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943350 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  943350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  943353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  943372 */     GIR_RootConstrainSelectedInstOperands,
     /*  943373 */     // GIR_Coverage, 17323,
     /*  943373 */     GIR_EraseRootFromParent_Done,
     /*  943374 */   // Label 14249: @943374
     /*  943374 */   GIM_Try, /*On fail goto*//*Label 14250*/ GIMT_Encode4(943458), // Rule ID 17332 //
     /*  943379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  943382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  943387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  943390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  943393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  943396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  943399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  943410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  943414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943422 */     // MIs[0] round
     /*  943422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943434 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  943434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  943437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  943456 */     GIR_RootConstrainSelectedInstOperands,
     /*  943457 */     // GIR_Coverage, 17332,
     /*  943457 */     GIR_EraseRootFromParent_Done,
     /*  943458 */   // Label 14250: @943458
     /*  943458 */   GIM_Try, /*On fail goto*//*Label 14251*/ GIMT_Encode4(943542), // Rule ID 17333 //
     /*  943463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  943466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  943471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  943474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  943477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  943480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  943483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  943494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  943498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943506 */     // MIs[0] round
     /*  943506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943518 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  943518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  943521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  943540 */     GIR_RootConstrainSelectedInstOperands,
     /*  943541 */     // GIR_Coverage, 17333,
     /*  943541 */     GIR_EraseRootFromParent_Done,
     /*  943542 */   // Label 14251: @943542
     /*  943542 */   GIM_Try, /*On fail goto*//*Label 14252*/ GIMT_Encode4(943626), // Rule ID 17342 //
     /*  943547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  943550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  943555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  943558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  943561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  943564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  943567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  943578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  943582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943590 */     // MIs[0] round
     /*  943590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943602 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  943602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  943605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  943624 */     GIR_RootConstrainSelectedInstOperands,
     /*  943625 */     // GIR_Coverage, 17342,
     /*  943625 */     GIR_EraseRootFromParent_Done,
     /*  943626 */   // Label 14252: @943626
     /*  943626 */   GIM_Try, /*On fail goto*//*Label 14253*/ GIMT_Encode4(943710), // Rule ID 17343 //
     /*  943631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  943634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  943639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  943642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  943645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  943648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  943651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  943662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  943666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943674 */     // MIs[0] round
     /*  943674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943686 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11333:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  943686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  943689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  943708 */     GIR_RootConstrainSelectedInstOperands,
     /*  943709 */     // GIR_Coverage, 17343,
     /*  943709 */     GIR_EraseRootFromParent_Done,
     /*  943710 */   // Label 14253: @943710
     /*  943710 */   GIM_Try, /*On fail goto*//*Label 14254*/ GIMT_Encode4(943792), // Rule ID 62837 //
     /*  943715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  943726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  943729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943742 */     // MIs[0] op1
     /*  943742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943769 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_MF8),
     /*  943772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943774 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943776 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943778 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943780 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943790 */     GIR_RootConstrainSelectedInstOperands,
     /*  943791 */     // GIR_Coverage, 62837,
     /*  943791 */     GIR_EraseRootFromParent_Done,
     /*  943792 */   // Label 14254: @943792
     /*  943792 */   GIM_Try, /*On fail goto*//*Label 14255*/ GIMT_Encode4(943874), // Rule ID 62838 //
     /*  943797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  943808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  943811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943824 */     // MIs[0] op1
     /*  943824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943827 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943851 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_MF8),
     /*  943854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943856 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943858 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943860 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943862 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943872 */     GIR_RootConstrainSelectedInstOperands,
     /*  943873 */     // GIR_Coverage, 62838,
     /*  943873 */     GIR_EraseRootFromParent_Done,
     /*  943874 */   // Label 14255: @943874
     /*  943874 */   GIM_Try, /*On fail goto*//*Label 14256*/ GIMT_Encode4(943956), // Rule ID 62867 //
     /*  943879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  943890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  943893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  943899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943906 */     // MIs[0] op1
     /*  943906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943933 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_MF8),
     /*  943936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943938 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943940 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943942 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943944 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943954 */     GIR_RootConstrainSelectedInstOperands,
     /*  943955 */     // GIR_Coverage, 62867,
     /*  943955 */     GIR_EraseRootFromParent_Done,
     /*  943956 */   // Label 14256: @943956
     /*  943956 */   GIM_Try, /*On fail goto*//*Label 14257*/ GIMT_Encode4(944038), // Rule ID 62868 //
     /*  943961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  943972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  943975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  943981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943988 */     // MIs[0] op1
     /*  943988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943991 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944015 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  944015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_MF8),
     /*  944018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944020 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944022 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944024 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944026 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944036 */     GIR_RootConstrainSelectedInstOperands,
     /*  944037 */     // GIR_Coverage, 62868,
     /*  944037 */     GIR_EraseRootFromParent_Done,
     /*  944038 */   // Label 14257: @944038
     /*  944038 */   GIM_Try, /*On fail goto*//*Label 14258*/ GIMT_Encode4(944120), // Rule ID 62899 //
     /*  944043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  944054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  944057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  944060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944070 */     // MIs[0] op1
     /*  944070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944073 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944097 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  944097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_MF4),
     /*  944100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944102 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944104 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944106 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944108 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944118 */     GIR_RootConstrainSelectedInstOperands,
     /*  944119 */     // GIR_Coverage, 62899,
     /*  944119 */     GIR_EraseRootFromParent_Done,
     /*  944120 */   // Label 14258: @944120
     /*  944120 */   GIM_Try, /*On fail goto*//*Label 14259*/ GIMT_Encode4(944202), // Rule ID 62900 //
     /*  944125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  944136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  944139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  944142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944152 */     // MIs[0] op1
     /*  944152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944155 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944179 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  944179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_MF4),
     /*  944182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944184 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944186 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944188 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944190 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944200 */     GIR_RootConstrainSelectedInstOperands,
     /*  944201 */     // GIR_Coverage, 62900,
     /*  944201 */     GIR_EraseRootFromParent_Done,
     /*  944202 */   // Label 14259: @944202
     /*  944202 */   GIM_Try, /*On fail goto*//*Label 14260*/ GIMT_Encode4(944284), // Rule ID 62911 //
     /*  944207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  944218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  944221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  944224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  944227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944234 */     // MIs[0] op1
     /*  944234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944261 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  944261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_MF4),
     /*  944264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944266 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944268 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944270 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944272 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944282 */     GIR_RootConstrainSelectedInstOperands,
     /*  944283 */     // GIR_Coverage, 62911,
     /*  944283 */     GIR_EraseRootFromParent_Done,
     /*  944284 */   // Label 14260: @944284
     /*  944284 */   GIM_Try, /*On fail goto*//*Label 14261*/ GIMT_Encode4(944366), // Rule ID 62912 //
     /*  944289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  944300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  944303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  944306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  944309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944316 */     // MIs[0] op1
     /*  944316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944319 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944343 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  944343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_MF4),
     /*  944346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944348 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944350 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944352 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944354 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944364 */     GIR_RootConstrainSelectedInstOperands,
     /*  944365 */     // GIR_Coverage, 62912,
     /*  944365 */     GIR_EraseRootFromParent_Done,
     /*  944366 */   // Label 14261: @944366
     /*  944366 */   GIM_Try, /*On fail goto*//*Label 14262*/ GIMT_Encode4(944448), // Rule ID 62943 //
     /*  944371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  944382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  944385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  944388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944398 */     // MIs[0] op1
     /*  944398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944425 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  944425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_MF2),
     /*  944428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944430 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944432 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944434 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944436 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944446 */     GIR_RootConstrainSelectedInstOperands,
     /*  944447 */     // GIR_Coverage, 62943,
     /*  944447 */     GIR_EraseRootFromParent_Done,
     /*  944448 */   // Label 14262: @944448
     /*  944448 */   GIM_Try, /*On fail goto*//*Label 14263*/ GIMT_Encode4(944530), // Rule ID 62944 //
     /*  944453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  944464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  944467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  944470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944480 */     // MIs[0] op1
     /*  944480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944483 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944507 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  944507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_MF2),
     /*  944510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944512 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944514 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944516 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944518 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944528 */     GIR_RootConstrainSelectedInstOperands,
     /*  944529 */     // GIR_Coverage, 62944,
     /*  944529 */     GIR_EraseRootFromParent_Done,
     /*  944530 */   // Label 14263: @944530
     /*  944530 */   GIM_Try, /*On fail goto*//*Label 14264*/ GIMT_Encode4(944612), // Rule ID 62955 //
     /*  944535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  944546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  944549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  944552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  944555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944562 */     // MIs[0] op1
     /*  944562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944565 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944589 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  944589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_MF2),
     /*  944592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944594 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944596 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944598 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944600 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944610 */     GIR_RootConstrainSelectedInstOperands,
     /*  944611 */     // GIR_Coverage, 62955,
     /*  944611 */     GIR_EraseRootFromParent_Done,
     /*  944612 */   // Label 14264: @944612
     /*  944612 */   GIM_Try, /*On fail goto*//*Label 14265*/ GIMT_Encode4(944694), // Rule ID 62956 //
     /*  944617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  944628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  944631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  944634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  944637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944644 */     // MIs[0] op1
     /*  944644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944671 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  944671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_MF2),
     /*  944674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944676 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944678 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944680 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944682 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944692 */     GIR_RootConstrainSelectedInstOperands,
     /*  944693 */     // GIR_Coverage, 62956,
     /*  944693 */     GIR_EraseRootFromParent_Done,
     /*  944694 */   // Label 14265: @944694
     /*  944694 */   GIM_Try, /*On fail goto*//*Label 14266*/ GIMT_Encode4(944776), // Rule ID 62987 //
     /*  944699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944726 */     // MIs[0] op1
     /*  944726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944729 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_MF4),
     /*  944756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944758 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944760 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944762 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944764 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944774 */     GIR_RootConstrainSelectedInstOperands,
     /*  944775 */     // GIR_Coverage, 62987,
     /*  944775 */     GIR_EraseRootFromParent_Done,
     /*  944776 */   // Label 14266: @944776
     /*  944776 */   GIM_Try, /*On fail goto*//*Label 14267*/ GIMT_Encode4(944858), // Rule ID 62988 //
     /*  944781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944808 */     // MIs[0] op1
     /*  944808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944811 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944835 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_MF4),
     /*  944838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944840 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944842 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944844 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944846 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944856 */     GIR_RootConstrainSelectedInstOperands,
     /*  944857 */     // GIR_Coverage, 62988,
     /*  944857 */     GIR_EraseRootFromParent_Done,
     /*  944858 */   // Label 14267: @944858
     /*  944858 */   GIM_Try, /*On fail goto*//*Label 14268*/ GIMT_Encode4(944940), // Rule ID 62999 //
     /*  944863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  944883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944890 */     // MIs[0] op1
     /*  944890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944917 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_MF4),
     /*  944920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944922 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944924 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944926 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944928 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944938 */     GIR_RootConstrainSelectedInstOperands,
     /*  944939 */     // GIR_Coverage, 62999,
     /*  944939 */     GIR_EraseRootFromParent_Done,
     /*  944940 */   // Label 14268: @944940
     /*  944940 */   GIM_Try, /*On fail goto*//*Label 14269*/ GIMT_Encode4(945022), // Rule ID 63000 //
     /*  944945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  944965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944972 */     // MIs[0] op1
     /*  944972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944975 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944999 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_MF4),
     /*  945002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945004 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945006 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945008 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945010 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945020 */     GIR_RootConstrainSelectedInstOperands,
     /*  945021 */     // GIR_Coverage, 63000,
     /*  945021 */     GIR_EraseRootFromParent_Done,
     /*  945022 */   // Label 14269: @945022
     /*  945022 */   GIM_Try, /*On fail goto*//*Label 14270*/ GIMT_Encode4(945104), // Rule ID 63011 //
     /*  945027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  945038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  945041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  945044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  945047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945054 */     // MIs[0] op1
     /*  945054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945057 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  945074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945081 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  945081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VV_MF4),
     /*  945084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945086 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945088 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945090 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945092 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945102 */     GIR_RootConstrainSelectedInstOperands,
     /*  945103 */     // GIR_Coverage, 63011,
     /*  945103 */     GIR_EraseRootFromParent_Done,
     /*  945104 */   // Label 14270: @945104
     /*  945104 */   GIM_Try, /*On fail goto*//*Label 14271*/ GIMT_Encode4(945186), // Rule ID 63012 //
     /*  945109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  945120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  945123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  945126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  945129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945136 */     // MIs[0] op1
     /*  945136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945139 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  945156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945163 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  945163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VV_MF4),
     /*  945166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945168 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945170 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945172 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945174 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945184 */     GIR_RootConstrainSelectedInstOperands,
     /*  945185 */     // GIR_Coverage, 63012,
     /*  945185 */     GIR_EraseRootFromParent_Done,
     /*  945186 */   // Label 14271: @945186
     /*  945186 */   GIM_Try, /*On fail goto*//*Label 14272*/ GIMT_Encode4(945268), // Rule ID 63043 //
     /*  945191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  945202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  945205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  945208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945218 */     // MIs[0] op1
     /*  945218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945221 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945245 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  945245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_MF2),
     /*  945248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945250 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945252 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945254 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945256 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945266 */     GIR_RootConstrainSelectedInstOperands,
     /*  945267 */     // GIR_Coverage, 63043,
     /*  945267 */     GIR_EraseRootFromParent_Done,
     /*  945268 */   // Label 14272: @945268
     /*  945268 */   GIM_Try, /*On fail goto*//*Label 14273*/ GIMT_Encode4(945350), // Rule ID 63044 //
     /*  945273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  945284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  945287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  945290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945300 */     // MIs[0] op1
     /*  945300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945303 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945327 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  945327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_MF2),
     /*  945330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945332 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945334 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945336 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945338 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945348 */     GIR_RootConstrainSelectedInstOperands,
     /*  945349 */     // GIR_Coverage, 63044,
     /*  945349 */     GIR_EraseRootFromParent_Done,
     /*  945350 */   // Label 14273: @945350
     /*  945350 */   GIM_Try, /*On fail goto*//*Label 14274*/ GIMT_Encode4(945432), // Rule ID 63055 //
     /*  945355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  945366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  945369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  945372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  945375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945382 */     // MIs[0] op1
     /*  945382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945385 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945409 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  945409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_MF2),
     /*  945412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945414 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945416 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945418 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945420 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945430 */     GIR_RootConstrainSelectedInstOperands,
     /*  945431 */     // GIR_Coverage, 63055,
     /*  945431 */     GIR_EraseRootFromParent_Done,
     /*  945432 */   // Label 14274: @945432
     /*  945432 */   GIM_Try, /*On fail goto*//*Label 14275*/ GIMT_Encode4(945514), // Rule ID 63056 //
     /*  945437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  945448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  945451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  945454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  945457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945464 */     // MIs[0] op1
     /*  945464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945467 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945491 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  945491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_MF2),
     /*  945494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945496 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945498 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945500 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945502 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945512 */     GIR_RootConstrainSelectedInstOperands,
     /*  945513 */     // GIR_Coverage, 63056,
     /*  945513 */     GIR_EraseRootFromParent_Done,
     /*  945514 */   // Label 14275: @945514
     /*  945514 */   GIM_Try, /*On fail goto*//*Label 14276*/ GIMT_Encode4(945596), // Rule ID 63067 //
     /*  945519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  945530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  945533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  945536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  945539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945546 */     // MIs[0] op1
     /*  945546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945549 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  945566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945573 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  945573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VV_MF2),
     /*  945576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945578 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945580 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945582 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945584 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945594 */     GIR_RootConstrainSelectedInstOperands,
     /*  945595 */     // GIR_Coverage, 63067,
     /*  945595 */     GIR_EraseRootFromParent_Done,
     /*  945596 */   // Label 14276: @945596
     /*  945596 */   GIM_Try, /*On fail goto*//*Label 14277*/ GIMT_Encode4(945678), // Rule ID 63068 //
     /*  945601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  945612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  945615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  945618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  945621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945628 */     // MIs[0] op1
     /*  945628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  945648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945655 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  945655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VV_MF2),
     /*  945658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945660 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945662 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945664 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945666 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945676 */     GIR_RootConstrainSelectedInstOperands,
     /*  945677 */     // GIR_Coverage, 63068,
     /*  945677 */     GIR_EraseRootFromParent_Done,
     /*  945678 */   // Label 14277: @945678
     /*  945678 */   GIM_Try, /*On fail goto*//*Label 14278*/ GIMT_Encode4(945760), // Rule ID 63099 //
     /*  945683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945710 */     // MIs[0] op1
     /*  945710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945713 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945737 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  945737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_MF2),
     /*  945740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945742 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945744 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945746 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945748 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945758 */     GIR_RootConstrainSelectedInstOperands,
     /*  945759 */     // GIR_Coverage, 63099,
     /*  945759 */     GIR_EraseRootFromParent_Done,
     /*  945760 */   // Label 14278: @945760
     /*  945760 */   GIM_Try, /*On fail goto*//*Label 14279*/ GIMT_Encode4(945842), // Rule ID 63100 //
     /*  945765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945792 */     // MIs[0] op1
     /*  945792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945795 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945819 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  945819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_MF2),
     /*  945822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945824 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945826 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945828 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945830 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945840 */     GIR_RootConstrainSelectedInstOperands,
     /*  945841 */     // GIR_Coverage, 63100,
     /*  945841 */     GIR_EraseRootFromParent_Done,
     /*  945842 */   // Label 14279: @945842
     /*  945842 */   GIM_Try, /*On fail goto*//*Label 14280*/ GIMT_Encode4(945924), // Rule ID 63111 //
     /*  945847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  945867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945874 */     // MIs[0] op1
     /*  945874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945877 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945901 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  945901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_MF2),
     /*  945904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945906 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945908 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945910 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945912 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945922 */     GIR_RootConstrainSelectedInstOperands,
     /*  945923 */     // GIR_Coverage, 63111,
     /*  945923 */     GIR_EraseRootFromParent_Done,
     /*  945924 */   // Label 14280: @945924
     /*  945924 */   GIM_Try, /*On fail goto*//*Label 14281*/ GIMT_Encode4(946006), // Rule ID 63112 //
     /*  945929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  945949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945956 */     // MIs[0] op1
     /*  945956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  945983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_MF2),
     /*  945986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945988 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945990 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945992 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945994 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946004 */     GIR_RootConstrainSelectedInstOperands,
     /*  946005 */     // GIR_Coverage, 63112,
     /*  946005 */     GIR_EraseRootFromParent_Done,
     /*  946006 */   // Label 14281: @946006
     /*  946006 */   GIM_Try, /*On fail goto*//*Label 14282*/ GIMT_Encode4(946088), // Rule ID 63123 //
     /*  946011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  946022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  946025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  946028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946038 */     // MIs[0] op1
     /*  946038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946041 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  946058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946065 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  946065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VV_MF2),
     /*  946068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946070 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946072 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946074 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946076 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946086 */     GIR_RootConstrainSelectedInstOperands,
     /*  946087 */     // GIR_Coverage, 63123,
     /*  946087 */     GIR_EraseRootFromParent_Done,
     /*  946088 */   // Label 14282: @946088
     /*  946088 */   GIM_Try, /*On fail goto*//*Label 14283*/ GIMT_Encode4(946170), // Rule ID 63124 //
     /*  946093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  946104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  946107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  946110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946120 */     // MIs[0] op1
     /*  946120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946123 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  946140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  946147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VV_MF2),
     /*  946150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946152 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946154 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946156 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946158 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946168 */     GIR_RootConstrainSelectedInstOperands,
     /*  946169 */     // GIR_Coverage, 63124,
     /*  946169 */     GIR_EraseRootFromParent_Done,
     /*  946170 */   // Label 14283: @946170
     /*  946170 */   GIM_Try, /*On fail goto*//*Label 14284*/ GIMT_Encode4(946252), // Rule ID 63155 //
     /*  946175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  946186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  946189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  946192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946202 */     // MIs[0] op1
     /*  946202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946205 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946229 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  946229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M1),
     /*  946232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946234 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946236 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946238 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946240 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946250 */     GIR_RootConstrainSelectedInstOperands,
     /*  946251 */     // GIR_Coverage, 63155,
     /*  946251 */     GIR_EraseRootFromParent_Done,
     /*  946252 */   // Label 14284: @946252
     /*  946252 */   GIM_Try, /*On fail goto*//*Label 14285*/ GIMT_Encode4(946334), // Rule ID 63156 //
     /*  946257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  946268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  946271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  946274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946284 */     // MIs[0] op1
     /*  946284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946311 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  946311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M1),
     /*  946314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946316 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946318 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946320 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946322 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946332 */     GIR_RootConstrainSelectedInstOperands,
     /*  946333 */     // GIR_Coverage, 63156,
     /*  946333 */     GIR_EraseRootFromParent_Done,
     /*  946334 */   // Label 14285: @946334
     /*  946334 */   GIM_Try, /*On fail goto*//*Label 14286*/ GIMT_Encode4(946416), // Rule ID 63167 //
     /*  946339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  946350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  946353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  946356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  946359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946366 */     // MIs[0] op1
     /*  946366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946369 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946393 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  946393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M1),
     /*  946396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946398 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946400 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946402 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946404 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946414 */     GIR_RootConstrainSelectedInstOperands,
     /*  946415 */     // GIR_Coverage, 63167,
     /*  946415 */     GIR_EraseRootFromParent_Done,
     /*  946416 */   // Label 14286: @946416
     /*  946416 */   GIM_Try, /*On fail goto*//*Label 14287*/ GIMT_Encode4(946498), // Rule ID 63168 //
     /*  946421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  946432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  946435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  946438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  946441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946448 */     // MIs[0] op1
     /*  946448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946451 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946475 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  946475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M1),
     /*  946478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946480 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946482 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946484 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946486 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946496 */     GIR_RootConstrainSelectedInstOperands,
     /*  946497 */     // GIR_Coverage, 63168,
     /*  946497 */     GIR_EraseRootFromParent_Done,
     /*  946498 */   // Label 14287: @946498
     /*  946498 */   GIM_Try, /*On fail goto*//*Label 14288*/ GIMT_Encode4(946580), // Rule ID 63199 //
     /*  946503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946530 */     // MIs[0] op1
     /*  946530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946533 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946557 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  946557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M1),
     /*  946560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946562 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946564 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946566 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946568 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946578 */     GIR_RootConstrainSelectedInstOperands,
     /*  946579 */     // GIR_Coverage, 63199,
     /*  946579 */     GIR_EraseRootFromParent_Done,
     /*  946580 */   // Label 14288: @946580
     /*  946580 */   GIM_Try, /*On fail goto*//*Label 14289*/ GIMT_Encode4(946662), // Rule ID 63200 //
     /*  946585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946612 */     // MIs[0] op1
     /*  946612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946615 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  946639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M1),
     /*  946642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946644 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946646 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946648 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946650 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946660 */     GIR_RootConstrainSelectedInstOperands,
     /*  946661 */     // GIR_Coverage, 63200,
     /*  946661 */     GIR_EraseRootFromParent_Done,
     /*  946662 */   // Label 14289: @946662
     /*  946662 */   GIM_Try, /*On fail goto*//*Label 14290*/ GIMT_Encode4(946744), // Rule ID 63211 //
     /*  946667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  946687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946694 */     // MIs[0] op1
     /*  946694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  946721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M1),
     /*  946724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946726 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946728 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946730 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946732 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946742 */     GIR_RootConstrainSelectedInstOperands,
     /*  946743 */     // GIR_Coverage, 63211,
     /*  946743 */     GIR_EraseRootFromParent_Done,
     /*  946744 */   // Label 14290: @946744
     /*  946744 */   GIM_Try, /*On fail goto*//*Label 14291*/ GIMT_Encode4(946826), // Rule ID 63212 //
     /*  946749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  946769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946776 */     // MIs[0] op1
     /*  946776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946779 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  946803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M1),
     /*  946806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946808 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946810 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946812 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946814 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946824 */     GIR_RootConstrainSelectedInstOperands,
     /*  946825 */     // GIR_Coverage, 63212,
     /*  946825 */     GIR_EraseRootFromParent_Done,
     /*  946826 */   // Label 14291: @946826
     /*  946826 */   GIM_Try, /*On fail goto*//*Label 14292*/ GIMT_Encode4(946908), // Rule ID 63223 //
     /*  946831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  946851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946858 */     // MIs[0] op1
     /*  946858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946861 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  946878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946885 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  946885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VV_M1),
     /*  946888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946890 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946892 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946894 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946896 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946906 */     GIR_RootConstrainSelectedInstOperands,
     /*  946907 */     // GIR_Coverage, 63223,
     /*  946907 */     GIR_EraseRootFromParent_Done,
     /*  946908 */   // Label 14292: @946908
     /*  946908 */   GIM_Try, /*On fail goto*//*Label 14293*/ GIMT_Encode4(946990), // Rule ID 63224 //
     /*  946913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  946927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  946933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946940 */     // MIs[0] op1
     /*  946940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  946960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946967 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  946967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VV_M1),
     /*  946970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946972 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946974 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946976 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946978 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946988 */     GIR_RootConstrainSelectedInstOperands,
     /*  946989 */     // GIR_Coverage, 63224,
     /*  946989 */     GIR_EraseRootFromParent_Done,
     /*  946990 */   // Label 14293: @946990
     /*  946990 */   GIM_Try, /*On fail goto*//*Label 14294*/ GIMT_Encode4(947072), // Rule ID 63255 //
     /*  946995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  947006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  947009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  947012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947022 */     // MIs[0] op1
     /*  947022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947049 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  947049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M1),
     /*  947052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947054 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947056 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947058 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947060 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947070 */     GIR_RootConstrainSelectedInstOperands,
     /*  947071 */     // GIR_Coverage, 63255,
     /*  947071 */     GIR_EraseRootFromParent_Done,
     /*  947072 */   // Label 14294: @947072
     /*  947072 */   GIM_Try, /*On fail goto*//*Label 14295*/ GIMT_Encode4(947154), // Rule ID 63256 //
     /*  947077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  947088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  947091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  947094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947104 */     // MIs[0] op1
     /*  947104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947107 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947131 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  947131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M1),
     /*  947134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947136 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947138 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947140 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947142 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947152 */     GIR_RootConstrainSelectedInstOperands,
     /*  947153 */     // GIR_Coverage, 63256,
     /*  947153 */     GIR_EraseRootFromParent_Done,
     /*  947154 */   // Label 14295: @947154
     /*  947154 */   GIM_Try, /*On fail goto*//*Label 14296*/ GIMT_Encode4(947236), // Rule ID 63267 //
     /*  947159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  947170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  947173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  947176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  947179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947186 */     // MIs[0] op1
     /*  947186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947189 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947213 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  947213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M1),
     /*  947216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947218 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947220 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947222 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947224 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947234 */     GIR_RootConstrainSelectedInstOperands,
     /*  947235 */     // GIR_Coverage, 63267,
     /*  947235 */     GIR_EraseRootFromParent_Done,
     /*  947236 */   // Label 14296: @947236
     /*  947236 */   GIM_Try, /*On fail goto*//*Label 14297*/ GIMT_Encode4(947318), // Rule ID 63268 //
     /*  947241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  947252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  947255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  947258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  947261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947268 */     // MIs[0] op1
     /*  947268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947271 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947295 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  947295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M1),
     /*  947298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947300 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947302 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947304 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947306 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947316 */     GIR_RootConstrainSelectedInstOperands,
     /*  947317 */     // GIR_Coverage, 63268,
     /*  947317 */     GIR_EraseRootFromParent_Done,
     /*  947318 */   // Label 14297: @947318
     /*  947318 */   GIM_Try, /*On fail goto*//*Label 14298*/ GIMT_Encode4(947400), // Rule ID 63279 //
     /*  947323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  947331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  947334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  947337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  947340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947350 */     // MIs[0] op1
     /*  947350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  947358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  947370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  947377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VV_M1),
     /*  947380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947382 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947384 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947386 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947388 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947398 */     GIR_RootConstrainSelectedInstOperands,
     /*  947399 */     // GIR_Coverage, 63279,
     /*  947399 */     GIR_EraseRootFromParent_Done,
     /*  947400 */   // Label 14298: @947400
     /*  947400 */   GIM_Try, /*On fail goto*//*Label 14299*/ GIMT_Encode4(947482), // Rule ID 63280 //
     /*  947405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  947413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  947416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  947419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  947422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947432 */     // MIs[0] op1
     /*  947432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947435 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  947440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  947452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  947459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VV_M1),
     /*  947462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947464 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947466 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947468 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947470 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947480 */     GIR_RootConstrainSelectedInstOperands,
     /*  947481 */     // GIR_Coverage, 63280,
     /*  947481 */     GIR_EraseRootFromParent_Done,
     /*  947482 */   // Label 14299: @947482
     /*  947482 */   GIM_Try, /*On fail goto*//*Label 14300*/ GIMT_Encode4(947564), // Rule ID 63311 //
     /*  947487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  947504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947514 */     // MIs[0] op1
     /*  947514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947517 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947541 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  947541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M1),
     /*  947544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947546 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947548 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947550 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947552 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947562 */     GIR_RootConstrainSelectedInstOperands,
     /*  947563 */     // GIR_Coverage, 63311,
     /*  947563 */     GIR_EraseRootFromParent_Done,
     /*  947564 */   // Label 14300: @947564
     /*  947564 */   GIM_Try, /*On fail goto*//*Label 14301*/ GIMT_Encode4(947646), // Rule ID 63312 //
     /*  947569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  947586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947596 */     // MIs[0] op1
     /*  947596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947599 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947623 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  947623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M1),
     /*  947626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947628 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947630 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947632 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947634 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947644 */     GIR_RootConstrainSelectedInstOperands,
     /*  947645 */     // GIR_Coverage, 63312,
     /*  947645 */     GIR_EraseRootFromParent_Done,
     /*  947646 */   // Label 14301: @947646
     /*  947646 */   GIM_Try, /*On fail goto*//*Label 14302*/ GIMT_Encode4(947728), // Rule ID 63323 //
     /*  947651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  947668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  947671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947678 */     // MIs[0] op1
     /*  947678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947681 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947705 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  947705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M1),
     /*  947708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947710 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947712 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947714 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947716 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947726 */     GIR_RootConstrainSelectedInstOperands,
     /*  947727 */     // GIR_Coverage, 63323,
     /*  947727 */     GIR_EraseRootFromParent_Done,
     /*  947728 */   // Label 14302: @947728
     /*  947728 */   GIM_Try, /*On fail goto*//*Label 14303*/ GIMT_Encode4(947810), // Rule ID 63324 //
     /*  947733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  947750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  947753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947760 */     // MIs[0] op1
     /*  947760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947787 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  947787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M1),
     /*  947790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947792 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947794 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947796 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947798 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947808 */     GIR_RootConstrainSelectedInstOperands,
     /*  947809 */     // GIR_Coverage, 63324,
     /*  947809 */     GIR_EraseRootFromParent_Done,
     /*  947810 */   // Label 14303: @947810
     /*  947810 */   GIM_Try, /*On fail goto*//*Label 14304*/ GIMT_Encode4(947892), // Rule ID 63335 //
     /*  947815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  947823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  947832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947842 */     // MIs[0] op1
     /*  947842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947845 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  947850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  947862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947869 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  947869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64VV_M1),
     /*  947872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947874 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947876 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947878 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947880 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947890 */     GIR_RootConstrainSelectedInstOperands,
     /*  947891 */     // GIR_Coverage, 63335,
     /*  947891 */     GIR_EraseRootFromParent_Done,
     /*  947892 */   // Label 14304: @947892
     /*  947892 */   GIM_Try, /*On fail goto*//*Label 14305*/ GIMT_Encode4(947974), // Rule ID 63336 //
     /*  947897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  947905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  947914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947924 */     // MIs[0] op1
     /*  947924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  947932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  947944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947951 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  947951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64VV_M1),
     /*  947954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947956 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947958 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947960 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947962 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947972 */     GIR_RootConstrainSelectedInstOperands,
     /*  947973 */     // GIR_Coverage, 63336,
     /*  947973 */     GIR_EraseRootFromParent_Done,
     /*  947974 */   // Label 14305: @947974
     /*  947974 */   GIM_Try, /*On fail goto*//*Label 14306*/ GIMT_Encode4(948056), // Rule ID 63367 //
     /*  947979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948006 */     // MIs[0] op1
     /*  948006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948009 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948033 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M2),
     /*  948036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948038 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948040 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948042 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948044 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948054 */     GIR_RootConstrainSelectedInstOperands,
     /*  948055 */     // GIR_Coverage, 63367,
     /*  948055 */     GIR_EraseRootFromParent_Done,
     /*  948056 */   // Label 14306: @948056
     /*  948056 */   GIM_Try, /*On fail goto*//*Label 14307*/ GIMT_Encode4(948138), // Rule ID 63368 //
     /*  948061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  948072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  948075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  948078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948088 */     // MIs[0] op1
     /*  948088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948115 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M2),
     /*  948118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948120 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948122 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948124 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948126 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948136 */     GIR_RootConstrainSelectedInstOperands,
     /*  948137 */     // GIR_Coverage, 63368,
     /*  948137 */     GIR_EraseRootFromParent_Done,
     /*  948138 */   // Label 14307: @948138
     /*  948138 */   GIM_Try, /*On fail goto*//*Label 14308*/ GIMT_Encode4(948220), // Rule ID 63379 //
     /*  948143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  948154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  948157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  948160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  948163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948170 */     // MIs[0] op1
     /*  948170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948173 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948197 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M2),
     /*  948200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948202 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948204 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948206 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948208 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948218 */     GIR_RootConstrainSelectedInstOperands,
     /*  948219 */     // GIR_Coverage, 63379,
     /*  948219 */     GIR_EraseRootFromParent_Done,
     /*  948220 */   // Label 14308: @948220
     /*  948220 */   GIM_Try, /*On fail goto*//*Label 14309*/ GIMT_Encode4(948302), // Rule ID 63380 //
     /*  948225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  948236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  948239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  948242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  948245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948252 */     // MIs[0] op1
     /*  948252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948279 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M2),
     /*  948282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948284 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948286 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948288 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948290 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948300 */     GIR_RootConstrainSelectedInstOperands,
     /*  948301 */     // GIR_Coverage, 63380,
     /*  948301 */     GIR_EraseRootFromParent_Done,
     /*  948302 */   // Label 14309: @948302
     /*  948302 */   GIM_Try, /*On fail goto*//*Label 14310*/ GIMT_Encode4(948384), // Rule ID 63411 //
     /*  948307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  948318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  948321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  948324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948334 */     // MIs[0] op1
     /*  948334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948337 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948361 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M4),
     /*  948364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948366 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948368 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948370 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948372 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948382 */     GIR_RootConstrainSelectedInstOperands,
     /*  948383 */     // GIR_Coverage, 63411,
     /*  948383 */     GIR_EraseRootFromParent_Done,
     /*  948384 */   // Label 14310: @948384
     /*  948384 */   GIM_Try, /*On fail goto*//*Label 14311*/ GIMT_Encode4(948466), // Rule ID 63412 //
     /*  948389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  948400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  948403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  948406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948416 */     // MIs[0] op1
     /*  948416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948443 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M4),
     /*  948446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948448 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948450 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948452 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948454 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948464 */     GIR_RootConstrainSelectedInstOperands,
     /*  948465 */     // GIR_Coverage, 63412,
     /*  948465 */     GIR_EraseRootFromParent_Done,
     /*  948466 */   // Label 14311: @948466
     /*  948466 */   GIM_Try, /*On fail goto*//*Label 14312*/ GIMT_Encode4(948548), // Rule ID 63423 //
     /*  948471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  948482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  948485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  948488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  948491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948498 */     // MIs[0] op1
     /*  948498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948501 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948525 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M4),
     /*  948528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948530 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948532 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948534 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948536 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948546 */     GIR_RootConstrainSelectedInstOperands,
     /*  948547 */     // GIR_Coverage, 63423,
     /*  948547 */     GIR_EraseRootFromParent_Done,
     /*  948548 */   // Label 14312: @948548
     /*  948548 */   GIM_Try, /*On fail goto*//*Label 14313*/ GIMT_Encode4(948630), // Rule ID 63424 //
     /*  948553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  948564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  948567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  948570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  948573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948580 */     // MIs[0] op1
     /*  948580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948607 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M4),
     /*  948610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948612 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948614 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948616 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948618 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948628 */     GIR_RootConstrainSelectedInstOperands,
     /*  948629 */     // GIR_Coverage, 63424,
     /*  948629 */     GIR_EraseRootFromParent_Done,
     /*  948630 */   // Label 14313: @948630
     /*  948630 */   GIM_Try, /*On fail goto*//*Label 14314*/ GIMT_Encode4(948712), // Rule ID 63455 //
     /*  948635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  948646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  948649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  948652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948662 */     // MIs[0] op1
     /*  948662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948665 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948689 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M8),
     /*  948692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948694 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948696 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948698 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948700 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948710 */     GIR_RootConstrainSelectedInstOperands,
     /*  948711 */     // GIR_Coverage, 63455,
     /*  948711 */     GIR_EraseRootFromParent_Done,
     /*  948712 */   // Label 14314: @948712
     /*  948712 */   GIM_Try, /*On fail goto*//*Label 14315*/ GIMT_Encode4(948794), // Rule ID 63456 //
     /*  948717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  948728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  948731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  948734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948744 */     // MIs[0] op1
     /*  948744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948771 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M8),
     /*  948774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948776 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948778 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948780 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948782 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948792 */     GIR_RootConstrainSelectedInstOperands,
     /*  948793 */     // GIR_Coverage, 63456,
     /*  948793 */     GIR_EraseRootFromParent_Done,
     /*  948794 */   // Label 14315: @948794
     /*  948794 */   GIM_Try, /*On fail goto*//*Label 14316*/ GIMT_Encode4(948876), // Rule ID 63467 //
     /*  948799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  948810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  948813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  948816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  948819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948826 */     // MIs[0] op1
     /*  948826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948829 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948853 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M8),
     /*  948856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948858 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948860 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948862 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948864 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948874 */     GIR_RootConstrainSelectedInstOperands,
     /*  948875 */     // GIR_Coverage, 63467,
     /*  948875 */     GIR_EraseRootFromParent_Done,
     /*  948876 */   // Label 14316: @948876
     /*  948876 */   GIM_Try, /*On fail goto*//*Label 14317*/ GIMT_Encode4(948958), // Rule ID 63468 //
     /*  948881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  948892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  948895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  948898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  948901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948908 */     // MIs[0] op1
     /*  948908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948935 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M8),
     /*  948938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948940 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948942 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948944 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948946 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948956 */     GIR_RootConstrainSelectedInstOperands,
     /*  948957 */     // GIR_Coverage, 63468,
     /*  948957 */     GIR_EraseRootFromParent_Done,
     /*  948958 */   // Label 14317: @948958
     /*  948958 */   GIM_Try, /*On fail goto*//*Label 14318*/ GIMT_Encode4(949040), // Rule ID 63499 //
     /*  948963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948990 */     // MIs[0] op1
     /*  948990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948993 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M2),
     /*  949020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949022 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949024 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949026 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949028 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949038 */     GIR_RootConstrainSelectedInstOperands,
     /*  949039 */     // GIR_Coverage, 63499,
     /*  949039 */     GIR_EraseRootFromParent_Done,
     /*  949040 */   // Label 14318: @949040
     /*  949040 */   GIM_Try, /*On fail goto*//*Label 14319*/ GIMT_Encode4(949122), // Rule ID 63500 //
     /*  949045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  949056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  949059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  949062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949072 */     // MIs[0] op1
     /*  949072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949075 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M2),
     /*  949102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949104 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949106 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949108 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949110 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949120 */     GIR_RootConstrainSelectedInstOperands,
     /*  949121 */     // GIR_Coverage, 63500,
     /*  949121 */     GIR_EraseRootFromParent_Done,
     /*  949122 */   // Label 14319: @949122
     /*  949122 */   GIM_Try, /*On fail goto*//*Label 14320*/ GIMT_Encode4(949204), // Rule ID 63511 //
     /*  949127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  949138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  949141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  949144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  949147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949154 */     // MIs[0] op1
     /*  949154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949157 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949181 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M2),
     /*  949184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949186 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949188 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949190 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949192 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949202 */     GIR_RootConstrainSelectedInstOperands,
     /*  949203 */     // GIR_Coverage, 63511,
     /*  949203 */     GIR_EraseRootFromParent_Done,
     /*  949204 */   // Label 14320: @949204
     /*  949204 */   GIM_Try, /*On fail goto*//*Label 14321*/ GIMT_Encode4(949286), // Rule ID 63512 //
     /*  949209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  949220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  949223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  949226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  949229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949236 */     // MIs[0] op1
     /*  949236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949263 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M2),
     /*  949266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949268 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949270 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949272 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949274 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949284 */     GIR_RootConstrainSelectedInstOperands,
     /*  949285 */     // GIR_Coverage, 63512,
     /*  949285 */     GIR_EraseRootFromParent_Done,
     /*  949286 */   // Label 14321: @949286
     /*  949286 */   GIM_Try, /*On fail goto*//*Label 14322*/ GIMT_Encode4(949368), // Rule ID 63523 //
     /*  949291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  949302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  949305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  949308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949318 */     // MIs[0] op1
     /*  949318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949321 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949345 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VV_M2),
     /*  949348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949350 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949352 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949354 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949356 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949366 */     GIR_RootConstrainSelectedInstOperands,
     /*  949367 */     // GIR_Coverage, 63523,
     /*  949367 */     GIR_EraseRootFromParent_Done,
     /*  949368 */   // Label 14322: @949368
     /*  949368 */   GIM_Try, /*On fail goto*//*Label 14323*/ GIMT_Encode4(949450), // Rule ID 63524 //
     /*  949373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  949384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  949387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  949390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949400 */     // MIs[0] op1
     /*  949400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949427 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VV_M2),
     /*  949430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949432 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949434 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949436 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949438 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949448 */     GIR_RootConstrainSelectedInstOperands,
     /*  949449 */     // GIR_Coverage, 63524,
     /*  949449 */     GIR_EraseRootFromParent_Done,
     /*  949450 */   // Label 14323: @949450
     /*  949450 */   GIM_Try, /*On fail goto*//*Label 14324*/ GIMT_Encode4(949532), // Rule ID 63555 //
     /*  949455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  949469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949482 */     // MIs[0] op1
     /*  949482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949485 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949509 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M4),
     /*  949512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949514 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949516 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949518 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949520 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949530 */     GIR_RootConstrainSelectedInstOperands,
     /*  949531 */     // GIR_Coverage, 63555,
     /*  949531 */     GIR_EraseRootFromParent_Done,
     /*  949532 */   // Label 14324: @949532
     /*  949532 */   GIM_Try, /*On fail goto*//*Label 14325*/ GIMT_Encode4(949614), // Rule ID 63556 //
     /*  949537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  949551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949564 */     // MIs[0] op1
     /*  949564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949591 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M4),
     /*  949594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949596 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949598 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949600 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949602 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949612 */     GIR_RootConstrainSelectedInstOperands,
     /*  949613 */     // GIR_Coverage, 63556,
     /*  949613 */     GIR_EraseRootFromParent_Done,
     /*  949614 */   // Label 14325: @949614
     /*  949614 */   GIM_Try, /*On fail goto*//*Label 14326*/ GIMT_Encode4(949696), // Rule ID 63567 //
     /*  949619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  949633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  949639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949646 */     // MIs[0] op1
     /*  949646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949649 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949673 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M4),
     /*  949676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949678 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949680 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949682 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949684 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949694 */     GIR_RootConstrainSelectedInstOperands,
     /*  949695 */     // GIR_Coverage, 63567,
     /*  949695 */     GIR_EraseRootFromParent_Done,
     /*  949696 */   // Label 14326: @949696
     /*  949696 */   GIM_Try, /*On fail goto*//*Label 14327*/ GIMT_Encode4(949778), // Rule ID 63568 //
     /*  949701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  949715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  949721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949728 */     // MIs[0] op1
     /*  949728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949731 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949755 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M4),
     /*  949758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949760 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949762 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949764 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949766 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949776 */     GIR_RootConstrainSelectedInstOperands,
     /*  949777 */     // GIR_Coverage, 63568,
     /*  949777 */     GIR_EraseRootFromParent_Done,
     /*  949778 */   // Label 14327: @949778
     /*  949778 */   GIM_Try, /*On fail goto*//*Label 14328*/ GIMT_Encode4(949860), // Rule ID 63579 //
     /*  949783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  949797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949810 */     // MIs[0] op1
     /*  949810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949837 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VV_M4),
     /*  949840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949842 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949844 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949846 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949848 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949858 */     GIR_RootConstrainSelectedInstOperands,
     /*  949859 */     // GIR_Coverage, 63579,
     /*  949859 */     GIR_EraseRootFromParent_Done,
     /*  949860 */   // Label 14328: @949860
     /*  949860 */   GIM_Try, /*On fail goto*//*Label 14329*/ GIMT_Encode4(949942), // Rule ID 63580 //
     /*  949865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  949879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949892 */     // MIs[0] op1
     /*  949892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949919 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VV_M4),
     /*  949922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949924 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949926 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949928 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949930 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949940 */     GIR_RootConstrainSelectedInstOperands,
     /*  949941 */     // GIR_Coverage, 63580,
     /*  949941 */     GIR_EraseRootFromParent_Done,
     /*  949942 */   // Label 14329: @949942
     /*  949942 */   GIM_Try, /*On fail goto*//*Label 14330*/ GIMT_Encode4(950024), // Rule ID 63611 //
     /*  949947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949974 */     // MIs[0] op1
     /*  949974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949977 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950001 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M8),
     /*  950004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950006 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950008 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950010 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950012 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950022 */     GIR_RootConstrainSelectedInstOperands,
     /*  950023 */     // GIR_Coverage, 63611,
     /*  950023 */     GIR_EraseRootFromParent_Done,
     /*  950024 */   // Label 14330: @950024
     /*  950024 */   GIM_Try, /*On fail goto*//*Label 14331*/ GIMT_Encode4(950106), // Rule ID 63612 //
     /*  950029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  950040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  950043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  950046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950056 */     // MIs[0] op1
     /*  950056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950059 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M8),
     /*  950086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950088 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950090 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950092 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950094 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950104 */     GIR_RootConstrainSelectedInstOperands,
     /*  950105 */     // GIR_Coverage, 63612,
     /*  950105 */     GIR_EraseRootFromParent_Done,
     /*  950106 */   // Label 14331: @950106
     /*  950106 */   GIM_Try, /*On fail goto*//*Label 14332*/ GIMT_Encode4(950188), // Rule ID 63623 //
     /*  950111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  950122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  950125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  950128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  950131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950138 */     // MIs[0] op1
     /*  950138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950141 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950165 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M8),
     /*  950168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950170 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950172 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950174 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950176 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950186 */     GIR_RootConstrainSelectedInstOperands,
     /*  950187 */     // GIR_Coverage, 63623,
     /*  950187 */     GIR_EraseRootFromParent_Done,
     /*  950188 */   // Label 14332: @950188
     /*  950188 */   GIM_Try, /*On fail goto*//*Label 14333*/ GIMT_Encode4(950270), // Rule ID 63624 //
     /*  950193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  950204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  950207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  950210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  950213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950220 */     // MIs[0] op1
     /*  950220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950223 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950247 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M8),
     /*  950250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950252 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950254 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950256 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950258 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950268 */     GIR_RootConstrainSelectedInstOperands,
     /*  950269 */     // GIR_Coverage, 63624,
     /*  950269 */     GIR_EraseRootFromParent_Done,
     /*  950270 */   // Label 14333: @950270
     /*  950270 */   GIM_Try, /*On fail goto*//*Label 14334*/ GIMT_Encode4(950352), // Rule ID 63635 //
     /*  950275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  950286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  950289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  950292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  950295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950302 */     // MIs[0] op1
     /*  950302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950305 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  950322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950329 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VV_M8),
     /*  950332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950334 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950336 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950338 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950340 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950350 */     GIR_RootConstrainSelectedInstOperands,
     /*  950351 */     // GIR_Coverage, 63635,
     /*  950351 */     GIR_EraseRootFromParent_Done,
     /*  950352 */   // Label 14334: @950352
     /*  950352 */   GIM_Try, /*On fail goto*//*Label 14335*/ GIMT_Encode4(950434), // Rule ID 63636 //
     /*  950357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  950368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  950371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  950374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  950377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950384 */     // MIs[0] op1
     /*  950384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950387 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  950404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950411 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VV_M8),
     /*  950414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950416 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950418 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950420 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950422 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950432 */     GIR_RootConstrainSelectedInstOperands,
     /*  950433 */     // GIR_Coverage, 63636,
     /*  950433 */     GIR_EraseRootFromParent_Done,
     /*  950434 */   // Label 14335: @950434
     /*  950434 */   GIM_Try, /*On fail goto*//*Label 14336*/ GIMT_Encode4(950516), // Rule ID 63667 //
     /*  950439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  950453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950466 */     // MIs[0] op1
     /*  950466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950469 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950493 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M2),
     /*  950496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950498 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950500 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950502 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950504 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950514 */     GIR_RootConstrainSelectedInstOperands,
     /*  950515 */     // GIR_Coverage, 63667,
     /*  950515 */     GIR_EraseRootFromParent_Done,
     /*  950516 */   // Label 14336: @950516
     /*  950516 */   GIM_Try, /*On fail goto*//*Label 14337*/ GIMT_Encode4(950598), // Rule ID 63668 //
     /*  950521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  950535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950548 */     // MIs[0] op1
     /*  950548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950575 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M2),
     /*  950578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950580 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950582 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950584 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950586 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950596 */     GIR_RootConstrainSelectedInstOperands,
     /*  950597 */     // GIR_Coverage, 63668,
     /*  950597 */     GIR_EraseRootFromParent_Done,
     /*  950598 */   // Label 14337: @950598
     /*  950598 */   GIM_Try, /*On fail goto*//*Label 14338*/ GIMT_Encode4(950680), // Rule ID 63679 //
     /*  950603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  950617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  950623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950630 */     // MIs[0] op1
     /*  950630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950633 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950657 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M2),
     /*  950660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950662 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950664 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950666 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950668 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950678 */     GIR_RootConstrainSelectedInstOperands,
     /*  950679 */     // GIR_Coverage, 63679,
     /*  950679 */     GIR_EraseRootFromParent_Done,
     /*  950680 */   // Label 14338: @950680
     /*  950680 */   GIM_Try, /*On fail goto*//*Label 14339*/ GIMT_Encode4(950762), // Rule ID 63680 //
     /*  950685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  950699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  950705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950712 */     // MIs[0] op1
     /*  950712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950715 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950739 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M2),
     /*  950742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950744 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950746 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950748 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950750 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950760 */     GIR_RootConstrainSelectedInstOperands,
     /*  950761 */     // GIR_Coverage, 63680,
     /*  950761 */     GIR_EraseRootFromParent_Done,
     /*  950762 */   // Label 14339: @950762
     /*  950762 */   GIM_Try, /*On fail goto*//*Label 14340*/ GIMT_Encode4(950844), // Rule ID 63691 //
     /*  950767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  950781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950794 */     // MIs[0] op1
     /*  950794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VV_M2),
     /*  950824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950826 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950828 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950830 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950832 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950842 */     GIR_RootConstrainSelectedInstOperands,
     /*  950843 */     // GIR_Coverage, 63691,
     /*  950843 */     GIR_EraseRootFromParent_Done,
     /*  950844 */   // Label 14340: @950844
     /*  950844 */   GIM_Try, /*On fail goto*//*Label 14341*/ GIMT_Encode4(950926), // Rule ID 63692 //
     /*  950849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  950863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950876 */     // MIs[0] op1
     /*  950876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950879 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VV_M2),
     /*  950906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950908 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950910 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950912 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950914 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950924 */     GIR_RootConstrainSelectedInstOperands,
     /*  950925 */     // GIR_Coverage, 63692,
     /*  950925 */     GIR_EraseRootFromParent_Done,
     /*  950926 */   // Label 14341: @950926
     /*  950926 */   GIM_Try, /*On fail goto*//*Label 14342*/ GIMT_Encode4(951008), // Rule ID 63723 //
     /*  950931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950958 */     // MIs[0] op1
     /*  950958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950961 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950985 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M4),
     /*  950988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950990 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950992 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950994 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950996 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951006 */     GIR_RootConstrainSelectedInstOperands,
     /*  951007 */     // GIR_Coverage, 63723,
     /*  951007 */     GIR_EraseRootFromParent_Done,
     /*  951008 */   // Label 14342: @951008
     /*  951008 */   GIM_Try, /*On fail goto*//*Label 14343*/ GIMT_Encode4(951090), // Rule ID 63724 //
     /*  951013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  951024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  951027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  951030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951040 */     // MIs[0] op1
     /*  951040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951043 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M4),
     /*  951070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951072 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951074 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951076 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951078 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951088 */     GIR_RootConstrainSelectedInstOperands,
     /*  951089 */     // GIR_Coverage, 63724,
     /*  951089 */     GIR_EraseRootFromParent_Done,
     /*  951090 */   // Label 14343: @951090
     /*  951090 */   GIM_Try, /*On fail goto*//*Label 14344*/ GIMT_Encode4(951172), // Rule ID 63735 //
     /*  951095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  951106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  951109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  951112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  951115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951122 */     // MIs[0] op1
     /*  951122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951125 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951149 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M4),
     /*  951152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951154 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951156 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951158 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951160 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951170 */     GIR_RootConstrainSelectedInstOperands,
     /*  951171 */     // GIR_Coverage, 63735,
     /*  951171 */     GIR_EraseRootFromParent_Done,
     /*  951172 */   // Label 14344: @951172
     /*  951172 */   GIM_Try, /*On fail goto*//*Label 14345*/ GIMT_Encode4(951254), // Rule ID 63736 //
     /*  951177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  951188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  951191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  951194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  951197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951204 */     // MIs[0] op1
     /*  951204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951207 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951231 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M4),
     /*  951234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951236 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951238 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951240 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951242 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951252 */     GIR_RootConstrainSelectedInstOperands,
     /*  951253 */     // GIR_Coverage, 63736,
     /*  951253 */     GIR_EraseRootFromParent_Done,
     /*  951254 */   // Label 14345: @951254
     /*  951254 */   GIM_Try, /*On fail goto*//*Label 14346*/ GIMT_Encode4(951336), // Rule ID 63747 //
     /*  951259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  951270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  951273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  951276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951286 */     // MIs[0] op1
     /*  951286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951289 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951313 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VV_M4),
     /*  951316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951318 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951320 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951322 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951324 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951334 */     GIR_RootConstrainSelectedInstOperands,
     /*  951335 */     // GIR_Coverage, 63747,
     /*  951335 */     GIR_EraseRootFromParent_Done,
     /*  951336 */   // Label 14346: @951336
     /*  951336 */   GIM_Try, /*On fail goto*//*Label 14347*/ GIMT_Encode4(951418), // Rule ID 63748 //
     /*  951341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  951352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  951355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  951358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951368 */     // MIs[0] op1
     /*  951368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951371 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951395 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VV_M4),
     /*  951398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951400 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951402 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951404 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951406 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951416 */     GIR_RootConstrainSelectedInstOperands,
     /*  951417 */     // GIR_Coverage, 63748,
     /*  951417 */     GIR_EraseRootFromParent_Done,
     /*  951418 */   // Label 14347: @951418
     /*  951418 */   GIM_Try, /*On fail goto*//*Label 14348*/ GIMT_Encode4(951500), // Rule ID 63779 //
     /*  951423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  951434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  951437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  951440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951450 */     // MIs[0] op1
     /*  951450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951477 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M8),
     /*  951480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951482 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951484 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951486 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951488 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951498 */     GIR_RootConstrainSelectedInstOperands,
     /*  951499 */     // GIR_Coverage, 63779,
     /*  951499 */     GIR_EraseRootFromParent_Done,
     /*  951500 */   // Label 14348: @951500
     /*  951500 */   GIM_Try, /*On fail goto*//*Label 14349*/ GIMT_Encode4(951582), // Rule ID 63780 //
     /*  951505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  951516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  951519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  951522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951532 */     // MIs[0] op1
     /*  951532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951535 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M8),
     /*  951562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951564 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951566 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951568 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951570 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951580 */     GIR_RootConstrainSelectedInstOperands,
     /*  951581 */     // GIR_Coverage, 63780,
     /*  951581 */     GIR_EraseRootFromParent_Done,
     /*  951582 */   // Label 14349: @951582
     /*  951582 */   GIM_Try, /*On fail goto*//*Label 14350*/ GIMT_Encode4(951664), // Rule ID 63791 //
     /*  951587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  951598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  951601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  951604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  951607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951614 */     // MIs[0] op1
     /*  951614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951641 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M8),
     /*  951644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951646 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951648 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951650 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951652 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951662 */     GIR_RootConstrainSelectedInstOperands,
     /*  951663 */     // GIR_Coverage, 63791,
     /*  951663 */     GIR_EraseRootFromParent_Done,
     /*  951664 */   // Label 14350: @951664
     /*  951664 */   GIM_Try, /*On fail goto*//*Label 14351*/ GIMT_Encode4(951746), // Rule ID 63792 //
     /*  951669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  951680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  951683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  951686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  951689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951696 */     // MIs[0] op1
     /*  951696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951699 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951723 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M8),
     /*  951726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951728 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951730 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951732 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951734 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951744 */     GIR_RootConstrainSelectedInstOperands,
     /*  951745 */     // GIR_Coverage, 63792,
     /*  951745 */     GIR_EraseRootFromParent_Done,
     /*  951746 */   // Label 14351: @951746
     /*  951746 */   GIM_Try, /*On fail goto*//*Label 14352*/ GIMT_Encode4(951828), // Rule ID 63803 //
     /*  951751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  951762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  951765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  951768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951778 */     // MIs[0] op1
     /*  951778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951805 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VV_M8),
     /*  951808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951810 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951812 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951814 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951816 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951826 */     GIR_RootConstrainSelectedInstOperands,
     /*  951827 */     // GIR_Coverage, 63803,
     /*  951827 */     GIR_EraseRootFromParent_Done,
     /*  951828 */   // Label 14352: @951828
     /*  951828 */   GIM_Try, /*On fail goto*//*Label 14353*/ GIMT_Encode4(951910), // Rule ID 63804 //
     /*  951833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  951844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  951847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  951850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951860 */     // MIs[0] op1
     /*  951860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951863 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951887 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VV_M8),
     /*  951890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951892 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951894 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951896 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951898 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951908 */     GIR_RootConstrainSelectedInstOperands,
     /*  951909 */     // GIR_Coverage, 63804,
     /*  951909 */     GIR_EraseRootFromParent_Done,
     /*  951910 */   // Label 14353: @951910
     /*  951910 */   GIM_Try, /*On fail goto*//*Label 14354*/ GIMT_Encode4(951992), // Rule ID 63835 //
     /*  951915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951942 */     // MIs[0] op1
     /*  951942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951945 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951969 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M2),
     /*  951972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951974 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951976 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951978 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951980 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951990 */     GIR_RootConstrainSelectedInstOperands,
     /*  951991 */     // GIR_Coverage, 63835,
     /*  951991 */     GIR_EraseRootFromParent_Done,
     /*  951992 */   // Label 14354: @951992
     /*  951992 */   GIM_Try, /*On fail goto*//*Label 14355*/ GIMT_Encode4(952074), // Rule ID 63836 //
     /*  951997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  952008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  952011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  952014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952024 */     // MIs[0] op1
     /*  952024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952027 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952051 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M2),
     /*  952054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952056 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952058 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952060 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952062 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952072 */     GIR_RootConstrainSelectedInstOperands,
     /*  952073 */     // GIR_Coverage, 63836,
     /*  952073 */     GIR_EraseRootFromParent_Done,
     /*  952074 */   // Label 14355: @952074
     /*  952074 */   GIM_Try, /*On fail goto*//*Label 14356*/ GIMT_Encode4(952156), // Rule ID 63847 //
     /*  952079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  952090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  952093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  952096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  952099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952106 */     // MIs[0] op1
     /*  952106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M2),
     /*  952136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952138 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952140 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952142 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952144 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952154 */     GIR_RootConstrainSelectedInstOperands,
     /*  952155 */     // GIR_Coverage, 63847,
     /*  952155 */     GIR_EraseRootFromParent_Done,
     /*  952156 */   // Label 14356: @952156
     /*  952156 */   GIM_Try, /*On fail goto*//*Label 14357*/ GIMT_Encode4(952238), // Rule ID 63848 //
     /*  952161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  952172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  952175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  952178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  952181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952188 */     // MIs[0] op1
     /*  952188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952191 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952215 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M2),
     /*  952218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952220 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952222 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952224 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952226 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952236 */     GIR_RootConstrainSelectedInstOperands,
     /*  952237 */     // GIR_Coverage, 63848,
     /*  952237 */     GIR_EraseRootFromParent_Done,
     /*  952238 */   // Label 14357: @952238
     /*  952238 */   GIM_Try, /*On fail goto*//*Label 14358*/ GIMT_Encode4(952320), // Rule ID 63859 //
     /*  952243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  952254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  952257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  952260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952270 */     // MIs[0] op1
     /*  952270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952273 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64VV_M2),
     /*  952300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952302 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952304 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952306 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952308 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952318 */     GIR_RootConstrainSelectedInstOperands,
     /*  952319 */     // GIR_Coverage, 63859,
     /*  952319 */     GIR_EraseRootFromParent_Done,
     /*  952320 */   // Label 14358: @952320
     /*  952320 */   GIM_Try, /*On fail goto*//*Label 14359*/ GIMT_Encode4(952402), // Rule ID 63860 //
     /*  952325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  952336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  952339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  952342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952352 */     // MIs[0] op1
     /*  952352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952355 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952379 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64VV_M2),
     /*  952382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952384 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952386 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952388 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952390 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952400 */     GIR_RootConstrainSelectedInstOperands,
     /*  952401 */     // GIR_Coverage, 63860,
     /*  952401 */     GIR_EraseRootFromParent_Done,
     /*  952402 */   // Label 14359: @952402
     /*  952402 */   GIM_Try, /*On fail goto*//*Label 14360*/ GIMT_Encode4(952484), // Rule ID 63891 //
     /*  952407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  952424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952434 */     // MIs[0] op1
     /*  952434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952461 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M4),
     /*  952464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952466 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952468 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952470 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952472 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952482 */     GIR_RootConstrainSelectedInstOperands,
     /*  952483 */     // GIR_Coverage, 63891,
     /*  952483 */     GIR_EraseRootFromParent_Done,
     /*  952484 */   // Label 14360: @952484
     /*  952484 */   GIM_Try, /*On fail goto*//*Label 14361*/ GIMT_Encode4(952566), // Rule ID 63892 //
     /*  952489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  952506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952516 */     // MIs[0] op1
     /*  952516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952519 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952543 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M4),
     /*  952546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952548 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952550 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952552 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952554 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952564 */     GIR_RootConstrainSelectedInstOperands,
     /*  952565 */     // GIR_Coverage, 63892,
     /*  952565 */     GIR_EraseRootFromParent_Done,
     /*  952566 */   // Label 14361: @952566
     /*  952566 */   GIM_Try, /*On fail goto*//*Label 14362*/ GIMT_Encode4(952648), // Rule ID 63903 //
     /*  952571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  952588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  952591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952598 */     // MIs[0] op1
     /*  952598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952601 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952625 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M4),
     /*  952628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952630 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952632 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952634 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952636 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952646 */     GIR_RootConstrainSelectedInstOperands,
     /*  952647 */     // GIR_Coverage, 63903,
     /*  952647 */     GIR_EraseRootFromParent_Done,
     /*  952648 */   // Label 14362: @952648
     /*  952648 */   GIM_Try, /*On fail goto*//*Label 14363*/ GIMT_Encode4(952730), // Rule ID 63904 //
     /*  952653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  952670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  952673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952680 */     // MIs[0] op1
     /*  952680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952683 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952707 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M4),
     /*  952710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952712 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952714 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952716 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952718 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952728 */     GIR_RootConstrainSelectedInstOperands,
     /*  952729 */     // GIR_Coverage, 63904,
     /*  952729 */     GIR_EraseRootFromParent_Done,
     /*  952730 */   // Label 14363: @952730
     /*  952730 */   GIM_Try, /*On fail goto*//*Label 14364*/ GIMT_Encode4(952812), // Rule ID 63915 //
     /*  952735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  952752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952762 */     // MIs[0] op1
     /*  952762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952765 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952789 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64VV_M4),
     /*  952792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952794 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952796 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952798 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952800 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952810 */     GIR_RootConstrainSelectedInstOperands,
     /*  952811 */     // GIR_Coverage, 63915,
     /*  952811 */     GIR_EraseRootFromParent_Done,
     /*  952812 */   // Label 14364: @952812
     /*  952812 */   GIM_Try, /*On fail goto*//*Label 14365*/ GIMT_Encode4(952894), // Rule ID 63916 //
     /*  952817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  952834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952844 */     // MIs[0] op1
     /*  952844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952847 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952871 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64VV_M4),
     /*  952874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952876 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952878 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952880 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952882 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952892 */     GIR_RootConstrainSelectedInstOperands,
     /*  952893 */     // GIR_Coverage, 63916,
     /*  952893 */     GIR_EraseRootFromParent_Done,
     /*  952894 */   // Label 14365: @952894
     /*  952894 */   GIM_Try, /*On fail goto*//*Label 14366*/ GIMT_Encode4(952976), // Rule ID 63947 //
     /*  952899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952926 */     // MIs[0] op1
     /*  952926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952953 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M8),
     /*  952956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952958 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952960 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952962 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952964 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952974 */     GIR_RootConstrainSelectedInstOperands,
     /*  952975 */     // GIR_Coverage, 63947,
     /*  952975 */     GIR_EraseRootFromParent_Done,
     /*  952976 */   // Label 14366: @952976
     /*  952976 */   GIM_Try, /*On fail goto*//*Label 14367*/ GIMT_Encode4(953058), // Rule ID 63948 //
     /*  952981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953008 */     // MIs[0] op1
     /*  953008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953011 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953035 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  953035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVV_M8),
     /*  953038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953040 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953042 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953044 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953046 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  953056 */     GIR_RootConstrainSelectedInstOperands,
     /*  953057 */     // GIR_Coverage, 63948,
     /*  953057 */     GIR_EraseRootFromParent_Done,
     /*  953058 */   // Label 14367: @953058
     /*  953058 */   GIM_Try, /*On fail goto*//*Label 14368*/ GIMT_Encode4(953140), // Rule ID 63959 //
     /*  953063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  953074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  953077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  953080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  953083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953090 */     // MIs[0] op1
     /*  953090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953117 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  953117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M8),
     /*  953120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953122 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953124 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953126 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953128 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  953138 */     GIR_RootConstrainSelectedInstOperands,
     /*  953139 */     // GIR_Coverage, 63959,
     /*  953139 */     GIR_EraseRootFromParent_Done,
     /*  953140 */   // Label 14368: @953140
     /*  953140 */   GIM_Try, /*On fail goto*//*Label 14369*/ GIMT_Encode4(953222), // Rule ID 63960 //
     /*  953145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  953156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  953159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  953162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  953165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953172 */     // MIs[0] op1
     /*  953172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953175 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953199 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  953199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVV_M8),
     /*  953202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953204 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953206 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953208 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953210 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  953220 */     GIR_RootConstrainSelectedInstOperands,
     /*  953221 */     // GIR_Coverage, 63960,
     /*  953221 */     GIR_EraseRootFromParent_Done,
     /*  953222 */   // Label 14369: @953222
     /*  953222 */   GIM_Try, /*On fail goto*//*Label 14370*/ GIMT_Encode4(953304), // Rule ID 63971 //
     /*  953227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  953235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  953238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  953241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  953244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953254 */     // MIs[0] op1
     /*  953254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953257 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  953274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953281 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  953281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64VV_M8),
     /*  953284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953286 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953288 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953290 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953292 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  953302 */     GIR_RootConstrainSelectedInstOperands,
     /*  953303 */     // GIR_Coverage, 63971,
     /*  953303 */     GIR_EraseRootFromParent_Done,
     /*  953304 */   // Label 14370: @953304
     /*  953304 */   GIM_Try, /*On fail goto*//*Label 14371*/ GIMT_Encode4(953386), // Rule ID 63972 //
     /*  953309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  953317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  953320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  953323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  953326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953336 */     // MIs[0] op1
     /*  953336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  953356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953363 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  953363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR64VV_M8),
     /*  953366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953368 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953370 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953372 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953374 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  953384 */     GIR_RootConstrainSelectedInstOperands,
     /*  953385 */     // GIR_Coverage, 63972,
     /*  953385 */     GIR_EraseRootFromParent_Done,
     /*  953386 */   // Label 14371: @953386
     /*  953386 */   GIM_Try, /*On fail goto*//*Label 14372*/ GIMT_Encode4(953468), // Rule ID 63977 //
     /*  953391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  953402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  953405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  953408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953418 */     // MIs[0] op1
     /*  953418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953445 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_MF8),
     /*  953448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953450 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953452 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953454 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953456 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953466 */     GIR_RootConstrainSelectedInstOperands,
     /*  953467 */     // GIR_Coverage, 63977,
     /*  953467 */     GIR_EraseRootFromParent_Done,
     /*  953468 */   // Label 14372: @953468
     /*  953468 */   GIM_Try, /*On fail goto*//*Label 14373*/ GIMT_Encode4(953550), // Rule ID 63978 //
     /*  953473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  953484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  953487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  953490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953500 */     // MIs[0] op1
     /*  953500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953503 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953527 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_MF8),
     /*  953530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953532 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953534 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953536 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953538 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953548 */     GIR_RootConstrainSelectedInstOperands,
     /*  953549 */     // GIR_Coverage, 63978,
     /*  953549 */     GIR_EraseRootFromParent_Done,
     /*  953550 */   // Label 14373: @953550
     /*  953550 */   GIM_Try, /*On fail goto*//*Label 14374*/ GIMT_Encode4(953632), // Rule ID 63989 //
     /*  953555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  953566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  953569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  953572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  953575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953582 */     // MIs[0] op1
     /*  953582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953585 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953609 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_MF8),
     /*  953612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953614 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953616 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953618 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953620 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953630 */     GIR_RootConstrainSelectedInstOperands,
     /*  953631 */     // GIR_Coverage, 63989,
     /*  953631 */     GIR_EraseRootFromParent_Done,
     /*  953632 */   // Label 14374: @953632
     /*  953632 */   GIM_Try, /*On fail goto*//*Label 14375*/ GIMT_Encode4(953714), // Rule ID 63990 //
     /*  953637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  953648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  953651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  953654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  953657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953664 */     // MIs[0] op1
     /*  953664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953667 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953691 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_MF8),
     /*  953694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953696 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953698 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953700 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953702 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953712 */     GIR_RootConstrainSelectedInstOperands,
     /*  953713 */     // GIR_Coverage, 63990,
     /*  953713 */     GIR_EraseRootFromParent_Done,
     /*  953714 */   // Label 14375: @953714
     /*  953714 */   GIM_Try, /*On fail goto*//*Label 14376*/ GIMT_Encode4(953796), // Rule ID 63995 //
     /*  953719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953746 */     // MIs[0] op1
     /*  953746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953773 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_MF4),
     /*  953776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953778 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953780 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953782 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953784 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953794 */     GIR_RootConstrainSelectedInstOperands,
     /*  953795 */     // GIR_Coverage, 63995,
     /*  953795 */     GIR_EraseRootFromParent_Done,
     /*  953796 */   // Label 14376: @953796
     /*  953796 */   GIM_Try, /*On fail goto*//*Label 14377*/ GIMT_Encode4(953878), // Rule ID 63996 //
     /*  953801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953828 */     // MIs[0] op1
     /*  953828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953855 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_MF4),
     /*  953858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953860 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953862 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953864 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953866 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953876 */     GIR_RootConstrainSelectedInstOperands,
     /*  953877 */     // GIR_Coverage, 63996,
     /*  953877 */     GIR_EraseRootFromParent_Done,
     /*  953878 */   // Label 14377: @953878
     /*  953878 */   GIM_Try, /*On fail goto*//*Label 14378*/ GIMT_Encode4(953960), // Rule ID 64007 //
     /*  953883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  953903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953910 */     // MIs[0] op1
     /*  953910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_MF4),
     /*  953940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953942 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953944 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953946 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953948 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953958 */     GIR_RootConstrainSelectedInstOperands,
     /*  953959 */     // GIR_Coverage, 64007,
     /*  953959 */     GIR_EraseRootFromParent_Done,
     /*  953960 */   // Label 14378: @953960
     /*  953960 */   GIM_Try, /*On fail goto*//*Label 14379*/ GIMT_Encode4(954042), // Rule ID 64008 //
     /*  953965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  953985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953992 */     // MIs[0] op1
     /*  953992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954019 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_MF4),
     /*  954022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954024 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954026 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954028 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954030 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954040 */     GIR_RootConstrainSelectedInstOperands,
     /*  954041 */     // GIR_Coverage, 64008,
     /*  954041 */     GIR_EraseRootFromParent_Done,
     /*  954042 */   // Label 14379: @954042
     /*  954042 */   GIM_Try, /*On fail goto*//*Label 14380*/ GIMT_Encode4(954124), // Rule ID 64013 //
     /*  954047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  954058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  954061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  954064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954074 */     // MIs[0] op1
     /*  954074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954077 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954101 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_MF2),
     /*  954104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954106 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954108 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954110 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954112 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954122 */     GIR_RootConstrainSelectedInstOperands,
     /*  954123 */     // GIR_Coverage, 64013,
     /*  954123 */     GIR_EraseRootFromParent_Done,
     /*  954124 */   // Label 14380: @954124
     /*  954124 */   GIM_Try, /*On fail goto*//*Label 14381*/ GIMT_Encode4(954206), // Rule ID 64014 //
     /*  954129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  954140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  954143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  954146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954156 */     // MIs[0] op1
     /*  954156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954159 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954183 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_MF2),
     /*  954186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954188 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954190 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954192 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954194 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954204 */     GIR_RootConstrainSelectedInstOperands,
     /*  954205 */     // GIR_Coverage, 64014,
     /*  954205 */     GIR_EraseRootFromParent_Done,
     /*  954206 */   // Label 14381: @954206
     /*  954206 */   GIM_Try, /*On fail goto*//*Label 14382*/ GIMT_Encode4(954288), // Rule ID 64025 //
     /*  954211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  954222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  954225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  954228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  954231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954238 */     // MIs[0] op1
     /*  954238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954241 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954265 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_MF2),
     /*  954268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954270 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954272 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954274 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954276 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954286 */     GIR_RootConstrainSelectedInstOperands,
     /*  954287 */     // GIR_Coverage, 64025,
     /*  954287 */     GIR_EraseRootFromParent_Done,
     /*  954288 */   // Label 14382: @954288
     /*  954288 */   GIM_Try, /*On fail goto*//*Label 14383*/ GIMT_Encode4(954370), // Rule ID 64026 //
     /*  954293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  954304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  954307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  954310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  954313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954320 */     // MIs[0] op1
     /*  954320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954323 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954347 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_MF2),
     /*  954350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954352 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954354 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954356 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954358 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954368 */     GIR_RootConstrainSelectedInstOperands,
     /*  954369 */     // GIR_Coverage, 64026,
     /*  954369 */     GIR_EraseRootFromParent_Done,
     /*  954370 */   // Label 14383: @954370
     /*  954370 */   GIM_Try, /*On fail goto*//*Label 14384*/ GIMT_Encode4(954452), // Rule ID 64031 //
     /*  954375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  954386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  954389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  954392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954402 */     // MIs[0] op1
     /*  954402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954429 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M1),
     /*  954432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954434 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954436 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954438 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954440 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954450 */     GIR_RootConstrainSelectedInstOperands,
     /*  954451 */     // GIR_Coverage, 64031,
     /*  954451 */     GIR_EraseRootFromParent_Done,
     /*  954452 */   // Label 14384: @954452
     /*  954452 */   GIM_Try, /*On fail goto*//*Label 14385*/ GIMT_Encode4(954534), // Rule ID 64032 //
     /*  954457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  954468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  954471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  954474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954484 */     // MIs[0] op1
     /*  954484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954487 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954511 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M1),
     /*  954514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954516 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954518 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954520 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954522 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954532 */     GIR_RootConstrainSelectedInstOperands,
     /*  954533 */     // GIR_Coverage, 64032,
     /*  954533 */     GIR_EraseRootFromParent_Done,
     /*  954534 */   // Label 14385: @954534
     /*  954534 */   GIM_Try, /*On fail goto*//*Label 14386*/ GIMT_Encode4(954616), // Rule ID 64043 //
     /*  954539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  954550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  954553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  954556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  954559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954566 */     // MIs[0] op1
     /*  954566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954569 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954593 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M1),
     /*  954596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954598 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954600 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954602 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954604 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954614 */     GIR_RootConstrainSelectedInstOperands,
     /*  954615 */     // GIR_Coverage, 64043,
     /*  954615 */     GIR_EraseRootFromParent_Done,
     /*  954616 */   // Label 14386: @954616
     /*  954616 */   GIM_Try, /*On fail goto*//*Label 14387*/ GIMT_Encode4(954698), // Rule ID 64044 //
     /*  954621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  954632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  954635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  954638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  954641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954648 */     // MIs[0] op1
     /*  954648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954651 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954675 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M1),
     /*  954678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954680 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954682 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954684 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954686 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954696 */     GIR_RootConstrainSelectedInstOperands,
     /*  954697 */     // GIR_Coverage, 64044,
     /*  954697 */     GIR_EraseRootFromParent_Done,
     /*  954698 */   // Label 14387: @954698
     /*  954698 */   GIM_Try, /*On fail goto*//*Label 14388*/ GIMT_Encode4(954780), // Rule ID 64049 //
     /*  954703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  954717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  954720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954730 */     // MIs[0] op1
     /*  954730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954757 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M2),
     /*  954760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954762 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954764 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954766 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954768 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954778 */     GIR_RootConstrainSelectedInstOperands,
     /*  954779 */     // GIR_Coverage, 64049,
     /*  954779 */     GIR_EraseRootFromParent_Done,
     /*  954780 */   // Label 14388: @954780
     /*  954780 */   GIM_Try, /*On fail goto*//*Label 14389*/ GIMT_Encode4(954862), // Rule ID 64050 //
     /*  954785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  954799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  954802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954812 */     // MIs[0] op1
     /*  954812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954815 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954839 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M2),
     /*  954842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954844 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954846 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954848 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954850 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954860 */     GIR_RootConstrainSelectedInstOperands,
     /*  954861 */     // GIR_Coverage, 64050,
     /*  954861 */     GIR_EraseRootFromParent_Done,
     /*  954862 */   // Label 14389: @954862
     /*  954862 */   GIM_Try, /*On fail goto*//*Label 14390*/ GIMT_Encode4(954944), // Rule ID 64061 //
     /*  954867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  954881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  954884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  954887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954894 */     // MIs[0] op1
     /*  954894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954921 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M2),
     /*  954924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954926 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954928 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954930 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954932 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954942 */     GIR_RootConstrainSelectedInstOperands,
     /*  954943 */     // GIR_Coverage, 64061,
     /*  954943 */     GIR_EraseRootFromParent_Done,
     /*  954944 */   // Label 14390: @954944
     /*  954944 */   GIM_Try, /*On fail goto*//*Label 14391*/ GIMT_Encode4(955026), // Rule ID 64062 //
     /*  954949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  954963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  954966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  954969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954976 */     // MIs[0] op1
     /*  954976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954979 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955003 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  955003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M2),
     /*  955006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955008 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955010 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955012 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955014 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  955024 */     GIR_RootConstrainSelectedInstOperands,
     /*  955025 */     // GIR_Coverage, 64062,
     /*  955025 */     GIR_EraseRootFromParent_Done,
     /*  955026 */   // Label 14391: @955026
     /*  955026 */   GIM_Try, /*On fail goto*//*Label 14392*/ GIMT_Encode4(955108), // Rule ID 64067 //
     /*  955031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  955042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  955045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  955048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955058 */     // MIs[0] op1
     /*  955058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955085 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  955085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M4),
     /*  955088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955090 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955092 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955094 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955096 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  955106 */     GIR_RootConstrainSelectedInstOperands,
     /*  955107 */     // GIR_Coverage, 64067,
     /*  955107 */     GIR_EraseRootFromParent_Done,
     /*  955108 */   // Label 14392: @955108
     /*  955108 */   GIM_Try, /*On fail goto*//*Label 14393*/ GIMT_Encode4(955190), // Rule ID 64068 //
     /*  955113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  955124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  955127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  955130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955140 */     // MIs[0] op1
     /*  955140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955143 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955167 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  955167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M4),
     /*  955170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955172 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955174 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955176 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955178 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  955188 */     GIR_RootConstrainSelectedInstOperands,
     /*  955189 */     // GIR_Coverage, 64068,
     /*  955189 */     GIR_EraseRootFromParent_Done,
     /*  955190 */   // Label 14393: @955190
     /*  955190 */   GIM_Try, /*On fail goto*//*Label 14394*/ GIMT_Encode4(955272), // Rule ID 64079 //
     /*  955195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  955206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  955209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  955212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  955215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955222 */     // MIs[0] op1
     /*  955222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955225 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955249 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  955249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M4),
     /*  955252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955254 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955256 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955258 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955260 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  955270 */     GIR_RootConstrainSelectedInstOperands,
     /*  955271 */     // GIR_Coverage, 64079,
     /*  955271 */     GIR_EraseRootFromParent_Done,
     /*  955272 */   // Label 14394: @955272
     /*  955272 */   GIM_Try, /*On fail goto*//*Label 14395*/ GIMT_Encode4(955354), // Rule ID 64080 //
     /*  955277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  955288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  955291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  955294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  955297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955304 */     // MIs[0] op1
     /*  955304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955307 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955331 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  955331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M4),
     /*  955334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955336 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955338 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955340 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955342 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  955352 */     GIR_RootConstrainSelectedInstOperands,
     /*  955353 */     // GIR_Coverage, 64080,
     /*  955353 */     GIR_EraseRootFromParent_Done,
     /*  955354 */   // Label 14395: @955354
     /*  955354 */   GIM_Try, /*On fail goto*//*Label 14396*/ GIMT_Encode4(955436), // Rule ID 64085 //
     /*  955359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  955370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  955373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  955376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955386 */     // MIs[0] op1
     /*  955386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955389 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955413 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_MF4),
     /*  955416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955418 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955420 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955422 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955424 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955434 */     GIR_RootConstrainSelectedInstOperands,
     /*  955435 */     // GIR_Coverage, 64085,
     /*  955435 */     GIR_EraseRootFromParent_Done,
     /*  955436 */   // Label 14396: @955436
     /*  955436 */   GIM_Try, /*On fail goto*//*Label 14397*/ GIMT_Encode4(955518), // Rule ID 64086 //
     /*  955441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  955452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  955455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  955458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955468 */     // MIs[0] op1
     /*  955468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955471 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955495 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_MF4),
     /*  955498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955500 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955502 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955504 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955506 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955516 */     GIR_RootConstrainSelectedInstOperands,
     /*  955517 */     // GIR_Coverage, 64086,
     /*  955517 */     GIR_EraseRootFromParent_Done,
     /*  955518 */   // Label 14397: @955518
     /*  955518 */   GIM_Try, /*On fail goto*//*Label 14398*/ GIMT_Encode4(955600), // Rule ID 64097 //
     /*  955523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  955534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  955537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  955540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  955543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955550 */     // MIs[0] op1
     /*  955550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955553 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955577 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_MF4),
     /*  955580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955582 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955584 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955586 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955588 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955598 */     GIR_RootConstrainSelectedInstOperands,
     /*  955599 */     // GIR_Coverage, 64097,
     /*  955599 */     GIR_EraseRootFromParent_Done,
     /*  955600 */   // Label 14398: @955600
     /*  955600 */   GIM_Try, /*On fail goto*//*Label 14399*/ GIMT_Encode4(955682), // Rule ID 64098 //
     /*  955605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  955616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  955619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  955622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  955625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955632 */     // MIs[0] op1
     /*  955632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955635 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955659 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_MF4),
     /*  955662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955664 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955666 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955668 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955670 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955680 */     GIR_RootConstrainSelectedInstOperands,
     /*  955681 */     // GIR_Coverage, 64098,
     /*  955681 */     GIR_EraseRootFromParent_Done,
     /*  955682 */   // Label 14399: @955682
     /*  955682 */   GIM_Try, /*On fail goto*//*Label 14400*/ GIMT_Encode4(955764), // Rule ID 64103 //
     /*  955687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  955698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  955701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  955704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955714 */     // MIs[0] op1
     /*  955714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955717 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955741 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VW_MF4),
     /*  955744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955746 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955748 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955750 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955752 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955762 */     GIR_RootConstrainSelectedInstOperands,
     /*  955763 */     // GIR_Coverage, 64103,
     /*  955763 */     GIR_EraseRootFromParent_Done,
     /*  955764 */   // Label 14400: @955764
     /*  955764 */   GIM_Try, /*On fail goto*//*Label 14401*/ GIMT_Encode4(955846), // Rule ID 64104 //
     /*  955769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  955780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  955783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  955786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955796 */     // MIs[0] op1
     /*  955796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955799 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955823 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VW_MF4),
     /*  955826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955828 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955830 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955832 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955834 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955844 */     GIR_RootConstrainSelectedInstOperands,
     /*  955845 */     // GIR_Coverage, 64104,
     /*  955845 */     GIR_EraseRootFromParent_Done,
     /*  955846 */   // Label 14401: @955846
     /*  955846 */   GIM_Try, /*On fail goto*//*Label 14402*/ GIMT_Encode4(955928), // Rule ID 64109 //
     /*  955851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955878 */     // MIs[0] op1
     /*  955878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955881 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955905 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_MF2),
     /*  955908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955910 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955912 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955914 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955916 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955926 */     GIR_RootConstrainSelectedInstOperands,
     /*  955927 */     // GIR_Coverage, 64109,
     /*  955927 */     GIR_EraseRootFromParent_Done,
     /*  955928 */   // Label 14402: @955928
     /*  955928 */   GIM_Try, /*On fail goto*//*Label 14403*/ GIMT_Encode4(956010), // Rule ID 64110 //
     /*  955933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955960 */     // MIs[0] op1
     /*  955960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_MF2),
     /*  955990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955992 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955994 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955996 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955998 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956008 */     GIR_RootConstrainSelectedInstOperands,
     /*  956009 */     // GIR_Coverage, 64110,
     /*  956009 */     GIR_EraseRootFromParent_Done,
     /*  956010 */   // Label 14403: @956010
     /*  956010 */   GIM_Try, /*On fail goto*//*Label 14404*/ GIMT_Encode4(956092), // Rule ID 64121 //
     /*  956015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  956026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  956029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  956032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  956035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956042 */     // MIs[0] op1
     /*  956042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956045 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956069 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_MF2),
     /*  956072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956074 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956076 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956078 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956080 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956090 */     GIR_RootConstrainSelectedInstOperands,
     /*  956091 */     // GIR_Coverage, 64121,
     /*  956091 */     GIR_EraseRootFromParent_Done,
     /*  956092 */   // Label 14404: @956092
     /*  956092 */   GIM_Try, /*On fail goto*//*Label 14405*/ GIMT_Encode4(956174), // Rule ID 64122 //
     /*  956097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  956108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  956111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  956114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  956117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956124 */     // MIs[0] op1
     /*  956124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956151 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_MF2),
     /*  956154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956156 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956158 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956160 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956162 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956172 */     GIR_RootConstrainSelectedInstOperands,
     /*  956173 */     // GIR_Coverage, 64122,
     /*  956173 */     GIR_EraseRootFromParent_Done,
     /*  956174 */   // Label 14405: @956174
     /*  956174 */   GIM_Try, /*On fail goto*//*Label 14406*/ GIMT_Encode4(956256), // Rule ID 64127 //
     /*  956179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  956190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  956193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  956196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956206 */     // MIs[0] op1
     /*  956206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956209 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956233 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VW_MF2),
     /*  956236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956238 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956240 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956242 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956244 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956254 */     GIR_RootConstrainSelectedInstOperands,
     /*  956255 */     // GIR_Coverage, 64127,
     /*  956255 */     GIR_EraseRootFromParent_Done,
     /*  956256 */   // Label 14406: @956256
     /*  956256 */   GIM_Try, /*On fail goto*//*Label 14407*/ GIMT_Encode4(956338), // Rule ID 64128 //
     /*  956261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  956272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  956275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  956278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956288 */     // MIs[0] op1
     /*  956288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VW_MF2),
     /*  956318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956320 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956322 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956324 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956326 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956336 */     GIR_RootConstrainSelectedInstOperands,
     /*  956337 */     // GIR_Coverage, 64128,
     /*  956337 */     GIR_EraseRootFromParent_Done,
     /*  956338 */   // Label 14407: @956338
     /*  956338 */   GIM_Try, /*On fail goto*//*Label 14408*/ GIMT_Encode4(956420), // Rule ID 64133 //
     /*  956343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  956357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  956360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956370 */     // MIs[0] op1
     /*  956370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956373 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956397 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M1),
     /*  956400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956402 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956404 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956406 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956408 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956418 */     GIR_RootConstrainSelectedInstOperands,
     /*  956419 */     // GIR_Coverage, 64133,
     /*  956419 */     GIR_EraseRootFromParent_Done,
     /*  956420 */   // Label 14408: @956420
     /*  956420 */   GIM_Try, /*On fail goto*//*Label 14409*/ GIMT_Encode4(956502), // Rule ID 64134 //
     /*  956425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  956439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  956442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956452 */     // MIs[0] op1
     /*  956452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956455 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956479 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M1),
     /*  956482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956484 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956486 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956488 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956490 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956500 */     GIR_RootConstrainSelectedInstOperands,
     /*  956501 */     // GIR_Coverage, 64134,
     /*  956501 */     GIR_EraseRootFromParent_Done,
     /*  956502 */   // Label 14409: @956502
     /*  956502 */   GIM_Try, /*On fail goto*//*Label 14410*/ GIMT_Encode4(956584), // Rule ID 64145 //
     /*  956507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  956521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  956524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  956527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956534 */     // MIs[0] op1
     /*  956534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956537 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956561 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M1),
     /*  956564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956566 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956568 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956570 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956572 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956582 */     GIR_RootConstrainSelectedInstOperands,
     /*  956583 */     // GIR_Coverage, 64145,
     /*  956583 */     GIR_EraseRootFromParent_Done,
     /*  956584 */   // Label 14410: @956584
     /*  956584 */   GIM_Try, /*On fail goto*//*Label 14411*/ GIMT_Encode4(956666), // Rule ID 64146 //
     /*  956589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  956603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  956606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  956609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956616 */     // MIs[0] op1
     /*  956616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956619 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956643 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M1),
     /*  956646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956648 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956650 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956652 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956654 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956664 */     GIR_RootConstrainSelectedInstOperands,
     /*  956665 */     // GIR_Coverage, 64146,
     /*  956665 */     GIR_EraseRootFromParent_Done,
     /*  956666 */   // Label 14411: @956666
     /*  956666 */   GIM_Try, /*On fail goto*//*Label 14412*/ GIMT_Encode4(956748), // Rule ID 64151 //
     /*  956671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  956685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  956688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956698 */     // MIs[0] op1
     /*  956698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956701 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956725 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VW_M1),
     /*  956728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956730 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956732 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956734 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956736 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956746 */     GIR_RootConstrainSelectedInstOperands,
     /*  956747 */     // GIR_Coverage, 64151,
     /*  956747 */     GIR_EraseRootFromParent_Done,
     /*  956748 */   // Label 14412: @956748
     /*  956748 */   GIM_Try, /*On fail goto*//*Label 14413*/ GIMT_Encode4(956830), // Rule ID 64152 //
     /*  956753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  956767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  956770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956780 */     // MIs[0] op1
     /*  956780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956783 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956807 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VW_M1),
     /*  956810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956812 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956814 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956816 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956818 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956828 */     GIR_RootConstrainSelectedInstOperands,
     /*  956829 */     // GIR_Coverage, 64152,
     /*  956829 */     GIR_EraseRootFromParent_Done,
     /*  956830 */   // Label 14413: @956830
     /*  956830 */   GIM_Try, /*On fail goto*//*Label 14414*/ GIMT_Encode4(956912), // Rule ID 64157 //
     /*  956835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956862 */     // MIs[0] op1
     /*  956862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956865 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956889 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M2),
     /*  956892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956894 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956896 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956898 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956900 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956910 */     GIR_RootConstrainSelectedInstOperands,
     /*  956911 */     // GIR_Coverage, 64157,
     /*  956911 */     GIR_EraseRootFromParent_Done,
     /*  956912 */   // Label 14414: @956912
     /*  956912 */   GIM_Try, /*On fail goto*//*Label 14415*/ GIMT_Encode4(956994), // Rule ID 64158 //
     /*  956917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956944 */     // MIs[0] op1
     /*  956944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M2),
     /*  956974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956976 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956978 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956980 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956982 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956992 */     GIR_RootConstrainSelectedInstOperands,
     /*  956993 */     // GIR_Coverage, 64158,
     /*  956993 */     GIR_EraseRootFromParent_Done,
     /*  956994 */   // Label 14415: @956994
     /*  956994 */   GIM_Try, /*On fail goto*//*Label 14416*/ GIMT_Encode4(957076), // Rule ID 64169 //
     /*  956999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  957010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  957013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  957016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  957019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957026 */     // MIs[0] op1
     /*  957026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957029 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  957053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M2),
     /*  957056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957058 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957060 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957062 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957064 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957074 */     GIR_RootConstrainSelectedInstOperands,
     /*  957075 */     // GIR_Coverage, 64169,
     /*  957075 */     GIR_EraseRootFromParent_Done,
     /*  957076 */   // Label 14416: @957076
     /*  957076 */   GIM_Try, /*On fail goto*//*Label 14417*/ GIMT_Encode4(957158), // Rule ID 64170 //
     /*  957081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  957092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  957095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  957098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  957101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957108 */     // MIs[0] op1
     /*  957108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957111 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957135 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  957135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M2),
     /*  957138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957140 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957142 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957144 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957146 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957156 */     GIR_RootConstrainSelectedInstOperands,
     /*  957157 */     // GIR_Coverage, 64170,
     /*  957157 */     GIR_EraseRootFromParent_Done,
     /*  957158 */   // Label 14417: @957158
     /*  957158 */   GIM_Try, /*On fail goto*//*Label 14418*/ GIMT_Encode4(957240), // Rule ID 64175 //
     /*  957163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  957174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  957177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  957180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  957183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957190 */     // MIs[0] op1
     /*  957190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957193 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  957210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957217 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  957217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VW_M2),
     /*  957220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957222 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957224 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957226 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957228 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957238 */     GIR_RootConstrainSelectedInstOperands,
     /*  957239 */     // GIR_Coverage, 64175,
     /*  957239 */     GIR_EraseRootFromParent_Done,
     /*  957240 */   // Label 14418: @957240
     /*  957240 */   GIM_Try, /*On fail goto*//*Label 14419*/ GIMT_Encode4(957322), // Rule ID 64176 //
     /*  957245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  957256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  957259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  957262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  957265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957272 */     // MIs[0] op1
     /*  957272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  957292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957299 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  957299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VW_M2),
     /*  957302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957304 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957306 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957308 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957310 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957320 */     GIR_RootConstrainSelectedInstOperands,
     /*  957321 */     // GIR_Coverage, 64176,
     /*  957321 */     GIR_EraseRootFromParent_Done,
     /*  957322 */   // Label 14419: @957322
     /*  957322 */   GIM_Try, /*On fail goto*//*Label 14420*/ GIMT_Encode4(957404), // Rule ID 64181 //
     /*  957327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  957338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  957341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  957344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957354 */     // MIs[0] op1
     /*  957354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957357 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  957381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M4),
     /*  957384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957386 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957388 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957390 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957392 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957402 */     GIR_RootConstrainSelectedInstOperands,
     /*  957403 */     // GIR_Coverage, 64181,
     /*  957403 */     GIR_EraseRootFromParent_Done,
     /*  957404 */   // Label 14420: @957404
     /*  957404 */   GIM_Try, /*On fail goto*//*Label 14421*/ GIMT_Encode4(957486), // Rule ID 64182 //
     /*  957409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  957420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  957423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  957426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957436 */     // MIs[0] op1
     /*  957436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957439 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957463 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  957463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M4),
     /*  957466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957468 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957470 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957472 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957474 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957484 */     GIR_RootConstrainSelectedInstOperands,
     /*  957485 */     // GIR_Coverage, 64182,
     /*  957485 */     GIR_EraseRootFromParent_Done,
     /*  957486 */   // Label 14421: @957486
     /*  957486 */   GIM_Try, /*On fail goto*//*Label 14422*/ GIMT_Encode4(957568), // Rule ID 64193 //
     /*  957491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  957502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  957505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  957508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  957511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957518 */     // MIs[0] op1
     /*  957518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957521 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957545 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  957545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M4),
     /*  957548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957550 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957552 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957554 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957556 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957566 */     GIR_RootConstrainSelectedInstOperands,
     /*  957567 */     // GIR_Coverage, 64193,
     /*  957567 */     GIR_EraseRootFromParent_Done,
     /*  957568 */   // Label 14422: @957568
     /*  957568 */   GIM_Try, /*On fail goto*//*Label 14423*/ GIMT_Encode4(957650), // Rule ID 64194 //
     /*  957573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  957584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  957587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  957590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  957593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957600 */     // MIs[0] op1
     /*  957600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957603 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957627 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  957627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M4),
     /*  957630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957632 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957634 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957636 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957638 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957648 */     GIR_RootConstrainSelectedInstOperands,
     /*  957649 */     // GIR_Coverage, 64194,
     /*  957649 */     GIR_EraseRootFromParent_Done,
     /*  957650 */   // Label 14423: @957650
     /*  957650 */   GIM_Try, /*On fail goto*//*Label 14424*/ GIMT_Encode4(957732), // Rule ID 64199 //
     /*  957655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  957666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  957669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  957672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  957675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957682 */     // MIs[0] op1
     /*  957682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957685 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  957702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957709 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  957709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VW_M4),
     /*  957712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957714 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957716 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957718 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957720 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957730 */     GIR_RootConstrainSelectedInstOperands,
     /*  957731 */     // GIR_Coverage, 64199,
     /*  957731 */     GIR_EraseRootFromParent_Done,
     /*  957732 */   // Label 14424: @957732
     /*  957732 */   GIM_Try, /*On fail goto*//*Label 14425*/ GIMT_Encode4(957814), // Rule ID 64200 //
     /*  957737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  957748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  957751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  957754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  957757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957764 */     // MIs[0] op1
     /*  957764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957767 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  957784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957791 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  957791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR16VW_M4),
     /*  957794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957796 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957798 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957800 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957802 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957812 */     GIR_RootConstrainSelectedInstOperands,
     /*  957813 */     // GIR_Coverage, 64200,
     /*  957813 */     GIR_EraseRootFromParent_Done,
     /*  957814 */   // Label 14425: @957814
     /*  957814 */   GIM_Try, /*On fail goto*//*Label 14426*/ GIMT_Encode4(957896), // Rule ID 64205 //
     /*  957819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957846 */     // MIs[0] op1
     /*  957846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957849 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957873 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_MF2),
     /*  957876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957878 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957880 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957882 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957884 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957894 */     GIR_RootConstrainSelectedInstOperands,
     /*  957895 */     // GIR_Coverage, 64205,
     /*  957895 */     GIR_EraseRootFromParent_Done,
     /*  957896 */   // Label 14426: @957896
     /*  957896 */   GIM_Try, /*On fail goto*//*Label 14427*/ GIMT_Encode4(957978), // Rule ID 64206 //
     /*  957901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957928 */     // MIs[0] op1
     /*  957928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957931 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957955 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_MF2),
     /*  957958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957960 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957962 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957964 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957966 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957976 */     GIR_RootConstrainSelectedInstOperands,
     /*  957977 */     // GIR_Coverage, 64206,
     /*  957977 */     GIR_EraseRootFromParent_Done,
     /*  957978 */   // Label 14427: @957978
     /*  957978 */   GIM_Try, /*On fail goto*//*Label 14428*/ GIMT_Encode4(958060), // Rule ID 64217 //
     /*  957983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  958000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  958003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958010 */     // MIs[0] op1
     /*  958010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958013 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958037 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_MF2),
     /*  958040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958042 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958044 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958046 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958048 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958058 */     GIR_RootConstrainSelectedInstOperands,
     /*  958059 */     // GIR_Coverage, 64217,
     /*  958059 */     GIR_EraseRootFromParent_Done,
     /*  958060 */   // Label 14428: @958060
     /*  958060 */   GIM_Try, /*On fail goto*//*Label 14429*/ GIMT_Encode4(958142), // Rule ID 64218 //
     /*  958065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  958076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  958079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  958082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  958085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958092 */     // MIs[0] op1
     /*  958092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958095 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958119 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_MF2),
     /*  958122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958124 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958126 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958128 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958130 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958140 */     GIR_RootConstrainSelectedInstOperands,
     /*  958141 */     // GIR_Coverage, 64218,
     /*  958141 */     GIR_EraseRootFromParent_Done,
     /*  958142 */   // Label 14429: @958142
     /*  958142 */   GIM_Try, /*On fail goto*//*Label 14430*/ GIMT_Encode4(958224), // Rule ID 64223 //
     /*  958147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  958158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  958161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  958164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958174 */     // MIs[0] op1
     /*  958174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958177 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958201 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VW_MF2),
     /*  958204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958206 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958208 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958210 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958212 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958222 */     GIR_RootConstrainSelectedInstOperands,
     /*  958223 */     // GIR_Coverage, 64223,
     /*  958223 */     GIR_EraseRootFromParent_Done,
     /*  958224 */   // Label 14430: @958224
     /*  958224 */   GIM_Try, /*On fail goto*//*Label 14431*/ GIMT_Encode4(958306), // Rule ID 64224 //
     /*  958229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  958240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  958243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  958246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958256 */     // MIs[0] op1
     /*  958256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VW_MF2),
     /*  958286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958288 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958290 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958292 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958294 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958304 */     GIR_RootConstrainSelectedInstOperands,
     /*  958305 */     // GIR_Coverage, 64224,
     /*  958305 */     GIR_EraseRootFromParent_Done,
     /*  958306 */   // Label 14431: @958306
     /*  958306 */   GIM_Try, /*On fail goto*//*Label 14432*/ GIMT_Encode4(958388), // Rule ID 64229 //
     /*  958311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  958322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  958325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  958328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958338 */     // MIs[0] op1
     /*  958338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958341 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958365 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M1),
     /*  958368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958370 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958372 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958374 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958376 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958386 */     GIR_RootConstrainSelectedInstOperands,
     /*  958387 */     // GIR_Coverage, 64229,
     /*  958387 */     GIR_EraseRootFromParent_Done,
     /*  958388 */   // Label 14432: @958388
     /*  958388 */   GIM_Try, /*On fail goto*//*Label 14433*/ GIMT_Encode4(958470), // Rule ID 64230 //
     /*  958393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  958404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  958407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  958410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958420 */     // MIs[0] op1
     /*  958420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958423 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958447 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M1),
     /*  958450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958452 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958454 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958456 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958458 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958468 */     GIR_RootConstrainSelectedInstOperands,
     /*  958469 */     // GIR_Coverage, 64230,
     /*  958469 */     GIR_EraseRootFromParent_Done,
     /*  958470 */   // Label 14433: @958470
     /*  958470 */   GIM_Try, /*On fail goto*//*Label 14434*/ GIMT_Encode4(958552), // Rule ID 64241 //
     /*  958475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  958486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  958489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  958492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  958495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958502 */     // MIs[0] op1
     /*  958502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958505 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958529 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M1),
     /*  958532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958534 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958536 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958538 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958540 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958550 */     GIR_RootConstrainSelectedInstOperands,
     /*  958551 */     // GIR_Coverage, 64241,
     /*  958551 */     GIR_EraseRootFromParent_Done,
     /*  958552 */   // Label 14434: @958552
     /*  958552 */   GIM_Try, /*On fail goto*//*Label 14435*/ GIMT_Encode4(958634), // Rule ID 64242 //
     /*  958557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  958568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  958571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  958574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  958577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958584 */     // MIs[0] op1
     /*  958584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958611 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M1),
     /*  958614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958616 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958618 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958620 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958622 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958632 */     GIR_RootConstrainSelectedInstOperands,
     /*  958633 */     // GIR_Coverage, 64242,
     /*  958633 */     GIR_EraseRootFromParent_Done,
     /*  958634 */   // Label 14435: @958634
     /*  958634 */   GIM_Try, /*On fail goto*//*Label 14436*/ GIMT_Encode4(958716), // Rule ID 64247 //
     /*  958639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  958650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  958653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  958656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958666 */     // MIs[0] op1
     /*  958666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958669 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958693 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VW_M1),
     /*  958696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958698 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958700 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958702 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958704 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958714 */     GIR_RootConstrainSelectedInstOperands,
     /*  958715 */     // GIR_Coverage, 64247,
     /*  958715 */     GIR_EraseRootFromParent_Done,
     /*  958716 */   // Label 14436: @958716
     /*  958716 */   GIM_Try, /*On fail goto*//*Label 14437*/ GIMT_Encode4(958798), // Rule ID 64248 //
     /*  958721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  958732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  958735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  958738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958748 */     // MIs[0] op1
     /*  958748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958751 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958775 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VW_M1),
     /*  958778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958780 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958782 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958784 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958786 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958796 */     GIR_RootConstrainSelectedInstOperands,
     /*  958797 */     // GIR_Coverage, 64248,
     /*  958797 */     GIR_EraseRootFromParent_Done,
     /*  958798 */   // Label 14437: @958798
     /*  958798 */   GIM_Try, /*On fail goto*//*Label 14438*/ GIMT_Encode4(958880), // Rule ID 64253 //
     /*  958803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958830 */     // MIs[0] op1
     /*  958830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958833 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958857 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M2),
     /*  958860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958862 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958864 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958866 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958868 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958878 */     GIR_RootConstrainSelectedInstOperands,
     /*  958879 */     // GIR_Coverage, 64253,
     /*  958879 */     GIR_EraseRootFromParent_Done,
     /*  958880 */   // Label 14438: @958880
     /*  958880 */   GIM_Try, /*On fail goto*//*Label 14439*/ GIMT_Encode4(958962), // Rule ID 64254 //
     /*  958885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958912 */     // MIs[0] op1
     /*  958912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958939 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M2),
     /*  958942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958944 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958946 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958948 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958950 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958960 */     GIR_RootConstrainSelectedInstOperands,
     /*  958961 */     // GIR_Coverage, 64254,
     /*  958961 */     GIR_EraseRootFromParent_Done,
     /*  958962 */   // Label 14439: @958962
     /*  958962 */   GIM_Try, /*On fail goto*//*Label 14440*/ GIMT_Encode4(959044), // Rule ID 64265 //
     /*  958967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  958987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958994 */     // MIs[0] op1
     /*  958994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958997 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959021 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  959021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M2),
     /*  959024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959026 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959028 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959030 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959032 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959042 */     GIR_RootConstrainSelectedInstOperands,
     /*  959043 */     // GIR_Coverage, 64265,
     /*  959043 */     GIR_EraseRootFromParent_Done,
     /*  959044 */   // Label 14440: @959044
     /*  959044 */   GIM_Try, /*On fail goto*//*Label 14441*/ GIMT_Encode4(959126), // Rule ID 64266 //
     /*  959049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  959060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  959063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  959066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  959069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959076 */     // MIs[0] op1
     /*  959076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959079 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959103 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  959103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M2),
     /*  959106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959108 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959110 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959112 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959114 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959124 */     GIR_RootConstrainSelectedInstOperands,
     /*  959125 */     // GIR_Coverage, 64266,
     /*  959125 */     GIR_EraseRootFromParent_Done,
     /*  959126 */   // Label 14441: @959126
     /*  959126 */   GIM_Try, /*On fail goto*//*Label 14442*/ GIMT_Encode4(959208), // Rule ID 64271 //
     /*  959131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  959142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  959145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  959148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959158 */     // MIs[0] op1
     /*  959158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959161 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  959178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959185 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  959185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VW_M2),
     /*  959188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959190 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959192 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959194 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959196 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959206 */     GIR_RootConstrainSelectedInstOperands,
     /*  959207 */     // GIR_Coverage, 64271,
     /*  959207 */     GIR_EraseRootFromParent_Done,
     /*  959208 */   // Label 14442: @959208
     /*  959208 */   GIM_Try, /*On fail goto*//*Label 14443*/ GIMT_Encode4(959290), // Rule ID 64272 //
     /*  959213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  959224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  959227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  959230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959240 */     // MIs[0] op1
     /*  959240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  959260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959267 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  959267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VW_M2),
     /*  959270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959272 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959274 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959276 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959278 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959288 */     GIR_RootConstrainSelectedInstOperands,
     /*  959289 */     // GIR_Coverage, 64272,
     /*  959289 */     GIR_EraseRootFromParent_Done,
     /*  959290 */   // Label 14443: @959290
     /*  959290 */   GIM_Try, /*On fail goto*//*Label 14444*/ GIMT_Encode4(959372), // Rule ID 64277 //
     /*  959295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  959306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  959309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  959312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959322 */     // MIs[0] op1
     /*  959322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959325 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959349 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  959349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M4),
     /*  959352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959354 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959356 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959358 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959360 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959370 */     GIR_RootConstrainSelectedInstOperands,
     /*  959371 */     // GIR_Coverage, 64277,
     /*  959371 */     GIR_EraseRootFromParent_Done,
     /*  959372 */   // Label 14444: @959372
     /*  959372 */   GIM_Try, /*On fail goto*//*Label 14445*/ GIMT_Encode4(959454), // Rule ID 64278 //
     /*  959377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  959388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  959391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  959394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959404 */     // MIs[0] op1
     /*  959404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959407 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959431 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  959431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_XVW_M4),
     /*  959434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959436 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959438 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959440 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959442 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959452 */     GIR_RootConstrainSelectedInstOperands,
     /*  959453 */     // GIR_Coverage, 64278,
     /*  959453 */     GIR_EraseRootFromParent_Done,
     /*  959454 */   // Label 14445: @959454
     /*  959454 */   GIM_Try, /*On fail goto*//*Label 14446*/ GIMT_Encode4(959536), // Rule ID 64289 //
     /*  959459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  959470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  959473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  959476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  959479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959486 */     // MIs[0] op1
     /*  959486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959489 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959513 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  959513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M4),
     /*  959516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959518 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959520 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959522 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959524 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959534 */     GIR_RootConstrainSelectedInstOperands,
     /*  959535 */     // GIR_Coverage, 64289,
     /*  959535 */     GIR_EraseRootFromParent_Done,
     /*  959536 */   // Label 14446: @959536
     /*  959536 */   GIM_Try, /*On fail goto*//*Label 14447*/ GIMT_Encode4(959618), // Rule ID 64290 //
     /*  959541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  959552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  959555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  959558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  959561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959568 */     // MIs[0] op1
     /*  959568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959595 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  959595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_VVW_M4),
     /*  959598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959600 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959602 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959604 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959606 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959616 */     GIR_RootConstrainSelectedInstOperands,
     /*  959617 */     // GIR_Coverage, 64290,
     /*  959617 */     GIR_EraseRootFromParent_Done,
     /*  959618 */   // Label 14447: @959618
     /*  959618 */   GIM_Try, /*On fail goto*//*Label 14448*/ GIMT_Encode4(959700), // Rule ID 64295 //
     /*  959623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  959634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  959637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  959640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959650 */     // MIs[0] op1
     /*  959650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  959670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959677 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  959677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VW_M4),
     /*  959680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959682 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959684 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959686 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959688 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959698 */     GIR_RootConstrainSelectedInstOperands,
     /*  959699 */     // GIR_Coverage, 64295,
     /*  959699 */     GIR_EraseRootFromParent_Done,
     /*  959700 */   // Label 14448: @959700
     /*  959700 */   GIM_Try, /*On fail goto*//*Label 14449*/ GIMT_Encode4(959782), // Rule ID 64296 //
     /*  959705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  959716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  959719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  959722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959732 */     // MIs[0] op1
     /*  959732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  959752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959759 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  959759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VC_V_FPR32VW_M4),
     /*  959762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959764 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959766 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959768 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959770 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959780 */     GIR_RootConstrainSelectedInstOperands,
     /*  959781 */     // GIR_Coverage, 64296,
     /*  959781 */     GIR_EraseRootFromParent_Done,
     /*  959782 */   // Label 14449: @959782
     /*  959782 */   GIM_Try, /*On fail goto*//*Label 14450*/ GIMT_Encode4(959874), // Rule ID 5208 //
     /*  959787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  959798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  959801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  959804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959837 */     // MIs[1] Operand 1
     /*  959837 */     // No operand predicates
     /*  959837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959850 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  959853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959872 */     GIR_RootConstrainSelectedInstOperands,
     /*  959873 */     // GIR_Coverage, 5208,
     /*  959873 */     GIR_EraseRootFromParent_Done,
     /*  959874 */   // Label 14450: @959874
     /*  959874 */   GIM_Try, /*On fail goto*//*Label 14451*/ GIMT_Encode4(959966), // Rule ID 5209 //
     /*  959879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  959890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  959893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  959896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959929 */     // MIs[1] Operand 1
     /*  959929 */     // No operand predicates
     /*  959929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959942 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  959945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959964 */     GIR_RootConstrainSelectedInstOperands,
     /*  959965 */     // GIR_Coverage, 5209,
     /*  959965 */     GIR_EraseRootFromParent_Done,
     /*  959966 */   // Label 14451: @959966
     /*  959966 */   GIM_Try, /*On fail goto*//*Label 14452*/ GIMT_Encode4(960058), // Rule ID 5210 //
     /*  959971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  959982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  959985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  959988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960021 */     // MIs[1] Operand 1
     /*  960021 */     // No operand predicates
     /*  960021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960034 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  960034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  960037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960056 */     GIR_RootConstrainSelectedInstOperands,
     /*  960057 */     // GIR_Coverage, 5210,
     /*  960057 */     GIR_EraseRootFromParent_Done,
     /*  960058 */   // Label 14452: @960058
     /*  960058 */   GIM_Try, /*On fail goto*//*Label 14453*/ GIMT_Encode4(960150), // Rule ID 5211 //
     /*  960063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  960074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  960077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  960080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  960086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960113 */     // MIs[1] Operand 1
     /*  960113 */     // No operand predicates
     /*  960113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960126 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  960126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  960129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960148 */     GIR_RootConstrainSelectedInstOperands,
     /*  960149 */     // GIR_Coverage, 5211,
     /*  960149 */     GIR_EraseRootFromParent_Done,
     /*  960150 */   // Label 14453: @960150
     /*  960150 */   GIM_Try, /*On fail goto*//*Label 14454*/ GIMT_Encode4(960242), // Rule ID 5212 //
     /*  960155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  960166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  960169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  960172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  960178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960205 */     // MIs[1] Operand 1
     /*  960205 */     // No operand predicates
     /*  960205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960218 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  960218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  960221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960240 */     GIR_RootConstrainSelectedInstOperands,
     /*  960241 */     // GIR_Coverage, 5212,
     /*  960241 */     GIR_EraseRootFromParent_Done,
     /*  960242 */   // Label 14454: @960242
     /*  960242 */   GIM_Try, /*On fail goto*//*Label 14455*/ GIMT_Encode4(960334), // Rule ID 5213 //
     /*  960247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  960258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  960261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  960264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  960270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960297 */     // MIs[1] Operand 1
     /*  960297 */     // No operand predicates
     /*  960297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960310 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  960310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  960313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960332 */     GIR_RootConstrainSelectedInstOperands,
     /*  960333 */     // GIR_Coverage, 5213,
     /*  960333 */     GIR_EraseRootFromParent_Done,
     /*  960334 */   // Label 14455: @960334
     /*  960334 */   GIM_Try, /*On fail goto*//*Label 14456*/ GIMT_Encode4(960426), // Rule ID 5214 //
     /*  960339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  960350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  960353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  960356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960389 */     // MIs[1] Operand 1
     /*  960389 */     // No operand predicates
     /*  960389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960402 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  960405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960424 */     GIR_RootConstrainSelectedInstOperands,
     /*  960425 */     // GIR_Coverage, 5214,
     /*  960425 */     GIR_EraseRootFromParent_Done,
     /*  960426 */   // Label 14456: @960426
     /*  960426 */   GIM_Try, /*On fail goto*//*Label 14457*/ GIMT_Encode4(960518), // Rule ID 5215 //
     /*  960431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  960442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  960445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  960448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960481 */     // MIs[1] Operand 1
     /*  960481 */     // No operand predicates
     /*  960481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960494 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  960497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960516 */     GIR_RootConstrainSelectedInstOperands,
     /*  960517 */     // GIR_Coverage, 5215,
     /*  960517 */     GIR_EraseRootFromParent_Done,
     /*  960518 */   // Label 14457: @960518
     /*  960518 */   GIM_Try, /*On fail goto*//*Label 14458*/ GIMT_Encode4(960610), // Rule ID 5216 //
     /*  960523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  960534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  960537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  960540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  960546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960573 */     // MIs[1] Operand 1
     /*  960573 */     // No operand predicates
     /*  960573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960586 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  960589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960608 */     GIR_RootConstrainSelectedInstOperands,
     /*  960609 */     // GIR_Coverage, 5216,
     /*  960609 */     GIR_EraseRootFromParent_Done,
     /*  960610 */   // Label 14458: @960610
     /*  960610 */   GIM_Try, /*On fail goto*//*Label 14459*/ GIMT_Encode4(960702), // Rule ID 5217 //
     /*  960615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  960626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  960629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  960632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  960638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960665 */     // MIs[1] Operand 1
     /*  960665 */     // No operand predicates
     /*  960665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960678 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  960681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960700 */     GIR_RootConstrainSelectedInstOperands,
     /*  960701 */     // GIR_Coverage, 5217,
     /*  960701 */     GIR_EraseRootFromParent_Done,
     /*  960702 */   // Label 14459: @960702
     /*  960702 */   GIM_Try, /*On fail goto*//*Label 14460*/ GIMT_Encode4(960794), // Rule ID 5218 //
     /*  960707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  960718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  960721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  960724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960757 */     // MIs[1] Operand 1
     /*  960757 */     // No operand predicates
     /*  960757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960770 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  960770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  960773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960792 */     GIR_RootConstrainSelectedInstOperands,
     /*  960793 */     // GIR_Coverage, 5218,
     /*  960793 */     GIR_EraseRootFromParent_Done,
     /*  960794 */   // Label 14460: @960794
     /*  960794 */   GIM_Try, /*On fail goto*//*Label 14461*/ GIMT_Encode4(960886), // Rule ID 5219 //
     /*  960799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  960810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  960813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  960816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960849 */     // MIs[1] Operand 1
     /*  960849 */     // No operand predicates
     /*  960849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960862 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  960862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  960865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960884 */     GIR_RootConstrainSelectedInstOperands,
     /*  960885 */     // GIR_Coverage, 5219,
     /*  960885 */     GIR_EraseRootFromParent_Done,
     /*  960886 */   // Label 14461: @960886
     /*  960886 */   GIM_Try, /*On fail goto*//*Label 14462*/ GIMT_Encode4(960978), // Rule ID 5220 //
     /*  960891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  960902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  960905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  960908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  960914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960941 */     // MIs[1] Operand 1
     /*  960941 */     // No operand predicates
     /*  960941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960954 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  960954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960976 */     GIR_RootConstrainSelectedInstOperands,
     /*  960977 */     // GIR_Coverage, 5220,
     /*  960977 */     GIR_EraseRootFromParent_Done,
     /*  960978 */   // Label 14462: @960978
     /*  960978 */   GIM_Try, /*On fail goto*//*Label 14463*/ GIMT_Encode4(961070), // Rule ID 5221 //
     /*  960983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  960994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  960997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  961000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  961013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961033 */     // MIs[1] Operand 1
     /*  961033 */     // No operand predicates
     /*  961033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961046 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  961046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  961049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961068 */     GIR_RootConstrainSelectedInstOperands,
     /*  961069 */     // GIR_Coverage, 5221,
     /*  961069 */     GIR_EraseRootFromParent_Done,
     /*  961070 */   // Label 14463: @961070
     /*  961070 */   GIM_Try, /*On fail goto*//*Label 14464*/ GIMT_Encode4(961162), // Rule ID 5222 //
     /*  961075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  961086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  961089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  961092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  961098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  961105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961125 */     // MIs[1] Operand 1
     /*  961125 */     // No operand predicates
     /*  961125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  961141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961160 */     GIR_RootConstrainSelectedInstOperands,
     /*  961161 */     // GIR_Coverage, 5222,
     /*  961161 */     GIR_EraseRootFromParent_Done,
     /*  961162 */   // Label 14464: @961162
     /*  961162 */   GIM_Try, /*On fail goto*//*Label 14465*/ GIMT_Encode4(961254), // Rule ID 5223 //
     /*  961167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  961178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  961181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  961184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  961190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  961197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961217 */     // MIs[1] Operand 1
     /*  961217 */     // No operand predicates
     /*  961217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961230 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  961233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961252 */     GIR_RootConstrainSelectedInstOperands,
     /*  961253 */     // GIR_Coverage, 5223,
     /*  961253 */     GIR_EraseRootFromParent_Done,
     /*  961254 */   // Label 14465: @961254
     /*  961254 */   GIM_Try, /*On fail goto*//*Label 14466*/ GIMT_Encode4(961346), // Rule ID 5224 //
     /*  961259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  961270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  961273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  961276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  961282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  961289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961309 */     // MIs[1] Operand 1
     /*  961309 */     // No operand predicates
     /*  961309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  961322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  961325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961344 */     GIR_RootConstrainSelectedInstOperands,
     /*  961345 */     // GIR_Coverage, 5224,
     /*  961345 */     GIR_EraseRootFromParent_Done,
     /*  961346 */   // Label 14466: @961346
     /*  961346 */   GIM_Try, /*On fail goto*//*Label 14467*/ GIMT_Encode4(961438), // Rule ID 5225 //
     /*  961351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  961362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  961365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  961368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  961374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  961381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961401 */     // MIs[1] Operand 1
     /*  961401 */     // No operand predicates
     /*  961401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  961414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  961417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961436 */     GIR_RootConstrainSelectedInstOperands,
     /*  961437 */     // GIR_Coverage, 5225,
     /*  961437 */     GIR_EraseRootFromParent_Done,
     /*  961438 */   // Label 14467: @961438
     /*  961438 */   GIM_Try, /*On fail goto*//*Label 14468*/ GIMT_Encode4(961530), // Rule ID 5226 //
     /*  961443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  961446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  961457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  961466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  961473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961493 */     // MIs[1] Operand 1
     /*  961493 */     // No operand predicates
     /*  961493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961506 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  961506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  961509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961528 */     GIR_RootConstrainSelectedInstOperands,
     /*  961529 */     // GIR_Coverage, 5226,
     /*  961529 */     GIR_EraseRootFromParent_Done,
     /*  961530 */   // Label 14468: @961530
     /*  961530 */   GIM_Try, /*On fail goto*//*Label 14469*/ GIMT_Encode4(961622), // Rule ID 5227 //
     /*  961535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  961538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  961549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  961558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  961565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961585 */     // MIs[1] Operand 1
     /*  961585 */     // No operand predicates
     /*  961585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961598 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  961598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  961601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961620 */     GIR_RootConstrainSelectedInstOperands,
     /*  961621 */     // GIR_Coverage, 5227,
     /*  961621 */     GIR_EraseRootFromParent_Done,
     /*  961622 */   // Label 14469: @961622
     /*  961622 */   GIM_Try, /*On fail goto*//*Label 14470*/ GIMT_Encode4(961714), // Rule ID 5228 //
     /*  961627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  961638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  961641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  961644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  961650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961677 */     // MIs[1] Operand 1
     /*  961677 */     // No operand predicates
     /*  961677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961690 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  961690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961712 */     GIR_RootConstrainSelectedInstOperands,
     /*  961713 */     // GIR_Coverage, 5228,
     /*  961713 */     GIR_EraseRootFromParent_Done,
     /*  961714 */   // Label 14470: @961714
     /*  961714 */   GIM_Try, /*On fail goto*//*Label 14471*/ GIMT_Encode4(961806), // Rule ID 5229 //
     /*  961719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  961730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  961733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  961736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  961742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961769 */     // MIs[1] Operand 1
     /*  961769 */     // No operand predicates
     /*  961769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961782 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  961782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961804 */     GIR_RootConstrainSelectedInstOperands,
     /*  961805 */     // GIR_Coverage, 5229,
     /*  961805 */     GIR_EraseRootFromParent_Done,
     /*  961806 */   // Label 14471: @961806
     /*  961806 */   GIM_Try, /*On fail goto*//*Label 14472*/ GIMT_Encode4(961898), // Rule ID 5230 //
     /*  961811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  961822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  961825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  961828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961861 */     // MIs[1] Operand 1
     /*  961861 */     // No operand predicates
     /*  961861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961874 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  961874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961896 */     GIR_RootConstrainSelectedInstOperands,
     /*  961897 */     // GIR_Coverage, 5230,
     /*  961897 */     GIR_EraseRootFromParent_Done,
     /*  961898 */   // Label 14472: @961898
     /*  961898 */   GIM_Try, /*On fail goto*//*Label 14473*/ GIMT_Encode4(961990), // Rule ID 5231 //
     /*  961903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  961914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  961917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  961920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961953 */     // MIs[1] Operand 1
     /*  961953 */     // No operand predicates
     /*  961953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961966 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  961966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961988 */     GIR_RootConstrainSelectedInstOperands,
     /*  961989 */     // GIR_Coverage, 5231,
     /*  961989 */     GIR_EraseRootFromParent_Done,
     /*  961990 */   // Label 14473: @961990
     /*  961990 */   GIM_Try, /*On fail goto*//*Label 14474*/ GIMT_Encode4(962082), // Rule ID 5232 //
     /*  961995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  962006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  962009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  962012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  962018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962045 */     // MIs[1] Operand 1
     /*  962045 */     // No operand predicates
     /*  962045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962058 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  962058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962080 */     GIR_RootConstrainSelectedInstOperands,
     /*  962081 */     // GIR_Coverage, 5232,
     /*  962081 */     GIR_EraseRootFromParent_Done,
     /*  962082 */   // Label 14474: @962082
     /*  962082 */   GIM_Try, /*On fail goto*//*Label 14475*/ GIMT_Encode4(962174), // Rule ID 5233 //
     /*  962087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  962098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  962101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  962104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  962110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962137 */     // MIs[1] Operand 1
     /*  962137 */     // No operand predicates
     /*  962137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962150 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  962150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962172 */     GIR_RootConstrainSelectedInstOperands,
     /*  962173 */     // GIR_Coverage, 5233,
     /*  962173 */     GIR_EraseRootFromParent_Done,
     /*  962174 */   // Label 14475: @962174
     /*  962174 */   GIM_Try, /*On fail goto*//*Label 14476*/ GIMT_Encode4(962266), // Rule ID 5234 //
     /*  962179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  962190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  962193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  962196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962229 */     // MIs[1] Operand 1
     /*  962229 */     // No operand predicates
     /*  962229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962242 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  962242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962264 */     GIR_RootConstrainSelectedInstOperands,
     /*  962265 */     // GIR_Coverage, 5234,
     /*  962265 */     GIR_EraseRootFromParent_Done,
     /*  962266 */   // Label 14476: @962266
     /*  962266 */   GIM_Try, /*On fail goto*//*Label 14477*/ GIMT_Encode4(962358), // Rule ID 5235 //
     /*  962271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  962282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  962285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  962288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962321 */     // MIs[1] Operand 1
     /*  962321 */     // No operand predicates
     /*  962321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  962334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962356 */     GIR_RootConstrainSelectedInstOperands,
     /*  962357 */     // GIR_Coverage, 5235,
     /*  962357 */     GIR_EraseRootFromParent_Done,
     /*  962358 */   // Label 14477: @962358
     /*  962358 */   GIM_Try, /*On fail goto*//*Label 14478*/ GIMT_Encode4(962450), // Rule ID 5236 //
     /*  962363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  962374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  962377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  962380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  962386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962413 */     // MIs[1] Operand 1
     /*  962413 */     // No operand predicates
     /*  962413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962426 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  962426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962448 */     GIR_RootConstrainSelectedInstOperands,
     /*  962449 */     // GIR_Coverage, 5236,
     /*  962449 */     GIR_EraseRootFromParent_Done,
     /*  962450 */   // Label 14478: @962450
     /*  962450 */   GIM_Try, /*On fail goto*//*Label 14479*/ GIMT_Encode4(962542), // Rule ID 5237 //
     /*  962455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  962466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  962469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  962472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  962478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962505 */     // MIs[1] Operand 1
     /*  962505 */     // No operand predicates
     /*  962505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962518 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  962518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962540 */     GIR_RootConstrainSelectedInstOperands,
     /*  962541 */     // GIR_Coverage, 5237,
     /*  962541 */     GIR_EraseRootFromParent_Done,
     /*  962542 */   // Label 14479: @962542
     /*  962542 */   GIM_Try, /*On fail goto*//*Label 14480*/ GIMT_Encode4(962634), // Rule ID 5238 //
     /*  962547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  962558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  962561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  962564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  962570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962597 */     // MIs[1] Operand 1
     /*  962597 */     // No operand predicates
     /*  962597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962610 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  962610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962632 */     GIR_RootConstrainSelectedInstOperands,
     /*  962633 */     // GIR_Coverage, 5238,
     /*  962633 */     GIR_EraseRootFromParent_Done,
     /*  962634 */   // Label 14480: @962634
     /*  962634 */   GIM_Try, /*On fail goto*//*Label 14481*/ GIMT_Encode4(962726), // Rule ID 5239 //
     /*  962639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  962650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  962653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  962656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  962662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962689 */     // MIs[1] Operand 1
     /*  962689 */     // No operand predicates
     /*  962689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962702 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  962702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962724 */     GIR_RootConstrainSelectedInstOperands,
     /*  962725 */     // GIR_Coverage, 5239,
     /*  962725 */     GIR_EraseRootFromParent_Done,
     /*  962726 */   // Label 14481: @962726
     /*  962726 */   GIM_Try, /*On fail goto*//*Label 14482*/ GIMT_Encode4(962818), // Rule ID 5240 //
     /*  962731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  962742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  962745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  962748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962781 */     // MIs[1] Operand 1
     /*  962781 */     // No operand predicates
     /*  962781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962816 */     GIR_RootConstrainSelectedInstOperands,
     /*  962817 */     // GIR_Coverage, 5240,
     /*  962817 */     GIR_EraseRootFromParent_Done,
     /*  962818 */   // Label 14482: @962818
     /*  962818 */   GIM_Try, /*On fail goto*//*Label 14483*/ GIMT_Encode4(962910), // Rule ID 5241 //
     /*  962823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  962834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  962837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  962840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962873 */     // MIs[1] Operand 1
     /*  962873 */     // No operand predicates
     /*  962873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962886 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962908 */     GIR_RootConstrainSelectedInstOperands,
     /*  962909 */     // GIR_Coverage, 5241,
     /*  962909 */     GIR_EraseRootFromParent_Done,
     /*  962910 */   // Label 14483: @962910
     /*  962910 */   GIM_Try, /*On fail goto*//*Label 14484*/ GIMT_Encode4(963002), // Rule ID 5242 //
     /*  962915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  962926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  962929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  962932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962965 */     // MIs[1] Operand 1
     /*  962965 */     // No operand predicates
     /*  962965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963000 */     GIR_RootConstrainSelectedInstOperands,
     /*  963001 */     // GIR_Coverage, 5242,
     /*  963001 */     GIR_EraseRootFromParent_Done,
     /*  963002 */   // Label 14484: @963002
     /*  963002 */   GIM_Try, /*On fail goto*//*Label 14485*/ GIMT_Encode4(963094), // Rule ID 5243 //
     /*  963007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  963018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  963021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  963024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  963030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  963037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963057 */     // MIs[1] Operand 1
     /*  963057 */     // No operand predicates
     /*  963057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963070 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  963070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  963073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963092 */     GIR_RootConstrainSelectedInstOperands,
     /*  963093 */     // GIR_Coverage, 5243,
     /*  963093 */     GIR_EraseRootFromParent_Done,
     /*  963094 */   // Label 14485: @963094
     /*  963094 */   GIM_Try, /*On fail goto*//*Label 14486*/ GIMT_Encode4(963186), // Rule ID 5244 //
     /*  963099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  963110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  963113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  963116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  963122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  963129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963149 */     // MIs[1] Operand 1
     /*  963149 */     // No operand predicates
     /*  963149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963162 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  963162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  963165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963184 */     GIR_RootConstrainSelectedInstOperands,
     /*  963185 */     // GIR_Coverage, 5244,
     /*  963185 */     GIR_EraseRootFromParent_Done,
     /*  963186 */   // Label 14486: @963186
     /*  963186 */   GIM_Try, /*On fail goto*//*Label 14487*/ GIMT_Encode4(963278), // Rule ID 5245 //
     /*  963191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  963202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  963205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  963208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  963214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  963221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963241 */     // MIs[1] Operand 1
     /*  963241 */     // No operand predicates
     /*  963241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  963254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  963257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963276 */     GIR_RootConstrainSelectedInstOperands,
     /*  963277 */     // GIR_Coverage, 5245,
     /*  963277 */     GIR_EraseRootFromParent_Done,
     /*  963278 */   // Label 14487: @963278
     /*  963278 */   GIM_Try, /*On fail goto*//*Label 14488*/ GIMT_Encode4(963370), // Rule ID 5246 //
     /*  963283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  963286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  963294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  963297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  963300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  963313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963333 */     // MIs[1] Operand 1
     /*  963333 */     // No operand predicates
     /*  963333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  963346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  963349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  963368 */     GIR_RootConstrainSelectedInstOperands,
     /*  963369 */     // GIR_Coverage, 5246,
     /*  963369 */     GIR_EraseRootFromParent_Done,
     /*  963370 */   // Label 14488: @963370
     /*  963370 */   GIM_Try, /*On fail goto*//*Label 14489*/ GIMT_Encode4(963462), // Rule ID 5247 //
     /*  963375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  963378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  963386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  963389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  963392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  963405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963425 */     // MIs[1] Operand 1
     /*  963425 */     // No operand predicates
     /*  963425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963438 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  963438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  963441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  963460 */     GIR_RootConstrainSelectedInstOperands,
     /*  963461 */     // GIR_Coverage, 5247,
     /*  963461 */     GIR_EraseRootFromParent_Done,
     /*  963462 */   // Label 14489: @963462
     /*  963462 */   GIM_Try, /*On fail goto*//*Label 14490*/ GIMT_Encode4(963554), // Rule ID 5248 //
     /*  963467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  963470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  963478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  963481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  963484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  963497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963517 */     // MIs[1] Operand 1
     /*  963517 */     // No operand predicates
     /*  963517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963530 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  963530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  963533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  963552 */     GIR_RootConstrainSelectedInstOperands,
     /*  963553 */     // GIR_Coverage, 5248,
     /*  963553 */     GIR_EraseRootFromParent_Done,
     /*  963554 */   // Label 14490: @963554
     /*  963554 */   GIM_Try, /*On fail goto*//*Label 14491*/ GIMT_Encode4(963646), // Rule ID 5249 //
     /*  963559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  963562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  963570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  963573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  963576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  963589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963609 */     // MIs[1] Operand 1
     /*  963609 */     // No operand predicates
     /*  963609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  963622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  963625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  963644 */     GIR_RootConstrainSelectedInstOperands,
     /*  963645 */     // GIR_Coverage, 5249,
     /*  963645 */     GIR_EraseRootFromParent_Done,
     /*  963646 */   // Label 14491: @963646
     /*  963646 */   GIM_Try, /*On fail goto*//*Label 14492*/ GIMT_Encode4(963738), // Rule ID 5250 //
     /*  963651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  963654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  963665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  963674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  963681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963701 */     // MIs[1] Operand 1
     /*  963701 */     // No operand predicates
     /*  963701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  963714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  963717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  963736 */     GIR_RootConstrainSelectedInstOperands,
     /*  963737 */     // GIR_Coverage, 5250,
     /*  963737 */     GIR_EraseRootFromParent_Done,
     /*  963738 */   // Label 14492: @963738
     /*  963738 */   GIM_Try, /*On fail goto*//*Label 14493*/ GIMT_Encode4(963830), // Rule ID 5251 //
     /*  963743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  963746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  963757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  963766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  963773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963793 */     // MIs[1] Operand 1
     /*  963793 */     // No operand predicates
     /*  963793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  963806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  963809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  963828 */     GIR_RootConstrainSelectedInstOperands,
     /*  963829 */     // GIR_Coverage, 5251,
     /*  963829 */     GIR_EraseRootFromParent_Done,
     /*  963830 */   // Label 14493: @963830
     /*  963830 */   GIM_Try, /*On fail goto*//*Label 14494*/ GIMT_Encode4(963925), // Rule ID 7982 //
     /*  963835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  963852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963885 */     // MIs[1] Operand 1
     /*  963885 */     // No operand predicates
     /*  963885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963898 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  963901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963923 */     GIR_RootConstrainSelectedInstOperands,
     /*  963924 */     // GIR_Coverage, 7982,
     /*  963924 */     GIR_EraseRootFromParent_Done,
     /*  963925 */   // Label 14494: @963925
     /*  963925 */   GIM_Try, /*On fail goto*//*Label 14495*/ GIMT_Encode4(964020), // Rule ID 7983 //
     /*  963930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  963947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963980 */     // MIs[1] Operand 1
     /*  963980 */     // No operand predicates
     /*  963980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963993 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  963996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964018 */     GIR_RootConstrainSelectedInstOperands,
     /*  964019 */     // GIR_Coverage, 7983,
     /*  964019 */     GIR_EraseRootFromParent_Done,
     /*  964020 */   // Label 14495: @964020
     /*  964020 */   GIM_Try, /*On fail goto*//*Label 14496*/ GIMT_Encode4(964115), // Rule ID 7986 //
     /*  964025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  964042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964075 */     // MIs[1] Operand 1
     /*  964075 */     // No operand predicates
     /*  964075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  964088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  964091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964113 */     GIR_RootConstrainSelectedInstOperands,
     /*  964114 */     // GIR_Coverage, 7986,
     /*  964114 */     GIR_EraseRootFromParent_Done,
     /*  964115 */   // Label 14496: @964115
     /*  964115 */   GIM_Try, /*On fail goto*//*Label 14497*/ GIMT_Encode4(964210), // Rule ID 7987 //
     /*  964120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  964137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964170 */     // MIs[1] Operand 1
     /*  964170 */     // No operand predicates
     /*  964170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964183 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  964183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  964186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964208 */     GIR_RootConstrainSelectedInstOperands,
     /*  964209 */     // GIR_Coverage, 7987,
     /*  964209 */     GIR_EraseRootFromParent_Done,
     /*  964210 */   // Label 14497: @964210
     /*  964210 */   GIM_Try, /*On fail goto*//*Label 14498*/ GIMT_Encode4(964305), // Rule ID 7990 //
     /*  964215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  964232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964265 */     // MIs[1] Operand 1
     /*  964265 */     // No operand predicates
     /*  964265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964278 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  964278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  964281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964303 */     GIR_RootConstrainSelectedInstOperands,
     /*  964304 */     // GIR_Coverage, 7990,
     /*  964304 */     GIR_EraseRootFromParent_Done,
     /*  964305 */   // Label 14498: @964305
     /*  964305 */   GIM_Try, /*On fail goto*//*Label 14499*/ GIMT_Encode4(964400), // Rule ID 7991 //
     /*  964310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  964327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964360 */     // MIs[1] Operand 1
     /*  964360 */     // No operand predicates
     /*  964360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964373 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  964373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  964376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964398 */     GIR_RootConstrainSelectedInstOperands,
     /*  964399 */     // GIR_Coverage, 7991,
     /*  964399 */     GIR_EraseRootFromParent_Done,
     /*  964400 */   // Label 14499: @964400
     /*  964400 */   GIM_Try, /*On fail goto*//*Label 14500*/ GIMT_Encode4(964495), // Rule ID 7994 //
     /*  964405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  964422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964455 */     // MIs[1] Operand 1
     /*  964455 */     // No operand predicates
     /*  964455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964468 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  964468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  964471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964493 */     GIR_RootConstrainSelectedInstOperands,
     /*  964494 */     // GIR_Coverage, 7994,
     /*  964494 */     GIR_EraseRootFromParent_Done,
     /*  964495 */   // Label 14500: @964495
     /*  964495 */   GIM_Try, /*On fail goto*//*Label 14501*/ GIMT_Encode4(964590), // Rule ID 7995 //
     /*  964500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  964517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964550 */     // MIs[1] Operand 1
     /*  964550 */     // No operand predicates
     /*  964550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964563 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  964563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  964566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964588 */     GIR_RootConstrainSelectedInstOperands,
     /*  964589 */     // GIR_Coverage, 7995,
     /*  964589 */     GIR_EraseRootFromParent_Done,
     /*  964590 */   // Label 14501: @964590
     /*  964590 */   GIM_Try, /*On fail goto*//*Label 14502*/ GIMT_Encode4(964685), // Rule ID 7998 //
     /*  964595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  964612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964645 */     // MIs[1] Operand 1
     /*  964645 */     // No operand predicates
     /*  964645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964658 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  964658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  964661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964683 */     GIR_RootConstrainSelectedInstOperands,
     /*  964684 */     // GIR_Coverage, 7998,
     /*  964684 */     GIR_EraseRootFromParent_Done,
     /*  964685 */   // Label 14502: @964685
     /*  964685 */   GIM_Try, /*On fail goto*//*Label 14503*/ GIMT_Encode4(964780), // Rule ID 7999 //
     /*  964690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  964707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964740 */     // MIs[1] Operand 1
     /*  964740 */     // No operand predicates
     /*  964740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964753 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  964753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  964756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964778 */     GIR_RootConstrainSelectedInstOperands,
     /*  964779 */     // GIR_Coverage, 7999,
     /*  964779 */     GIR_EraseRootFromParent_Done,
     /*  964780 */   // Label 14503: @964780
     /*  964780 */   GIM_Try, /*On fail goto*//*Label 14504*/ GIMT_Encode4(964875), // Rule ID 8002 //
     /*  964785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  964802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964835 */     // MIs[1] Operand 1
     /*  964835 */     // No operand predicates
     /*  964835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  964848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  964851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964873 */     GIR_RootConstrainSelectedInstOperands,
     /*  964874 */     // GIR_Coverage, 8002,
     /*  964874 */     GIR_EraseRootFromParent_Done,
     /*  964875 */   // Label 14504: @964875
     /*  964875 */   GIM_Try, /*On fail goto*//*Label 14505*/ GIMT_Encode4(964970), // Rule ID 8003 //
     /*  964880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  964897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964930 */     // MIs[1] Operand 1
     /*  964930 */     // No operand predicates
     /*  964930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964943 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  964943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  964946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964968 */     GIR_RootConstrainSelectedInstOperands,
     /*  964969 */     // GIR_Coverage, 8003,
     /*  964969 */     GIR_EraseRootFromParent_Done,
     /*  964970 */   // Label 14505: @964970
     /*  964970 */   GIM_Try, /*On fail goto*//*Label 14506*/ GIMT_Encode4(965065), // Rule ID 8006 //
     /*  964975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  964986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  964989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  964992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965025 */     // MIs[1] Operand 1
     /*  965025 */     // No operand predicates
     /*  965025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965038 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  965041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965063 */     GIR_RootConstrainSelectedInstOperands,
     /*  965064 */     // GIR_Coverage, 8006,
     /*  965064 */     GIR_EraseRootFromParent_Done,
     /*  965065 */   // Label 14506: @965065
     /*  965065 */   GIM_Try, /*On fail goto*//*Label 14507*/ GIMT_Encode4(965160), // Rule ID 8007 //
     /*  965070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  965087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965120 */     // MIs[1] Operand 1
     /*  965120 */     // No operand predicates
     /*  965120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965133 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  965136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965158 */     GIR_RootConstrainSelectedInstOperands,
     /*  965159 */     // GIR_Coverage, 8007,
     /*  965159 */     GIR_EraseRootFromParent_Done,
     /*  965160 */   // Label 14507: @965160
     /*  965160 */   GIM_Try, /*On fail goto*//*Label 14508*/ GIMT_Encode4(965255), // Rule ID 8010 //
     /*  965165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  965176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  965179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  965182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  965188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965215 */     // MIs[1] Operand 1
     /*  965215 */     // No operand predicates
     /*  965215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  965228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  965231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965253 */     GIR_RootConstrainSelectedInstOperands,
     /*  965254 */     // GIR_Coverage, 8010,
     /*  965254 */     GIR_EraseRootFromParent_Done,
     /*  965255 */   // Label 14508: @965255
     /*  965255 */   GIM_Try, /*On fail goto*//*Label 14509*/ GIMT_Encode4(965350), // Rule ID 8011 //
     /*  965260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  965271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  965274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  965277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  965283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965310 */     // MIs[1] Operand 1
     /*  965310 */     // No operand predicates
     /*  965310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965323 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  965323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  965326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965348 */     GIR_RootConstrainSelectedInstOperands,
     /*  965349 */     // GIR_Coverage, 8011,
     /*  965349 */     GIR_EraseRootFromParent_Done,
     /*  965350 */   // Label 14509: @965350
     /*  965350 */   GIM_Try, /*On fail goto*//*Label 14510*/ GIMT_Encode4(965445), // Rule ID 8014 //
     /*  965355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  965366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  965369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  965372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  965378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965405 */     // MIs[1] Operand 1
     /*  965405 */     // No operand predicates
     /*  965405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965418 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  965418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  965421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  965440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965443 */     GIR_RootConstrainSelectedInstOperands,
     /*  965444 */     // GIR_Coverage, 8014,
     /*  965444 */     GIR_EraseRootFromParent_Done,
     /*  965445 */   // Label 14510: @965445
     /*  965445 */   GIM_Try, /*On fail goto*//*Label 14511*/ GIMT_Encode4(965540), // Rule ID 8015 //
     /*  965450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  965461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  965464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  965467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  965473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965500 */     // MIs[1] Operand 1
     /*  965500 */     // No operand predicates
     /*  965500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965513 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  965513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  965516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  965535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965538 */     GIR_RootConstrainSelectedInstOperands,
     /*  965539 */     // GIR_Coverage, 8015,
     /*  965539 */     GIR_EraseRootFromParent_Done,
     /*  965540 */   // Label 14511: @965540
     /*  965540 */   GIM_Try, /*On fail goto*//*Label 14512*/ GIMT_Encode4(965635), // Rule ID 8018 //
     /*  965545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  965548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  965556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  965559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  965562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  965568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965595 */     // MIs[1] Operand 1
     /*  965595 */     // No operand predicates
     /*  965595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965608 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  965608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  965611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965633 */     GIR_RootConstrainSelectedInstOperands,
     /*  965634 */     // GIR_Coverage, 8018,
     /*  965634 */     GIR_EraseRootFromParent_Done,
     /*  965635 */   // Label 14512: @965635
     /*  965635 */   GIM_Try, /*On fail goto*//*Label 14513*/ GIMT_Encode4(965730), // Rule ID 8019 //
     /*  965640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  965643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  965651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  965654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  965657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  965663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965690 */     // MIs[1] Operand 1
     /*  965690 */     // No operand predicates
     /*  965690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965703 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  965703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  965706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965728 */     GIR_RootConstrainSelectedInstOperands,
     /*  965729 */     // GIR_Coverage, 8019,
     /*  965729 */     GIR_EraseRootFromParent_Done,
     /*  965730 */   // Label 14513: @965730
     /*  965730 */   GIM_Try, /*On fail goto*//*Label 14514*/ GIMT_Encode4(965825), // Rule ID 8022 //
     /*  965735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965785 */     // MIs[1] Operand 1
     /*  965785 */     // No operand predicates
     /*  965785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965798 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965823 */     GIR_RootConstrainSelectedInstOperands,
     /*  965824 */     // GIR_Coverage, 8022,
     /*  965824 */     GIR_EraseRootFromParent_Done,
     /*  965825 */   // Label 14514: @965825
     /*  965825 */   GIM_Try, /*On fail goto*//*Label 14515*/ GIMT_Encode4(965920), // Rule ID 8023 //
     /*  965830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965880 */     // MIs[1] Operand 1
     /*  965880 */     // No operand predicates
     /*  965880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965893 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965918 */     GIR_RootConstrainSelectedInstOperands,
     /*  965919 */     // GIR_Coverage, 8023,
     /*  965919 */     GIR_EraseRootFromParent_Done,
     /*  965920 */   // Label 14515: @965920
     /*  965920 */   GIM_Try, /*On fail goto*//*Label 14516*/ GIMT_Encode4(966015), // Rule ID 8026 //
     /*  965925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  965936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  965939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  965942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  965948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965975 */     // MIs[1] Operand 1
     /*  965975 */     // No operand predicates
     /*  965975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965988 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966013 */     GIR_RootConstrainSelectedInstOperands,
     /*  966014 */     // GIR_Coverage, 8026,
     /*  966014 */     GIR_EraseRootFromParent_Done,
     /*  966015 */   // Label 14516: @966015
     /*  966015 */   GIM_Try, /*On fail goto*//*Label 14517*/ GIMT_Encode4(966110), // Rule ID 8027 //
     /*  966020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  966031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  966034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  966037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966070 */     // MIs[1] Operand 1
     /*  966070 */     // No operand predicates
     /*  966070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966083 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  966083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966108 */     GIR_RootConstrainSelectedInstOperands,
     /*  966109 */     // GIR_Coverage, 8027,
     /*  966109 */     GIR_EraseRootFromParent_Done,
     /*  966110 */   // Label 14517: @966110
     /*  966110 */   GIM_Try, /*On fail goto*//*Label 14518*/ GIMT_Encode4(966205), // Rule ID 8030 //
     /*  966115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  966126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  966129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  966132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  966138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966165 */     // MIs[1] Operand 1
     /*  966165 */     // No operand predicates
     /*  966165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966178 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  966178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966203 */     GIR_RootConstrainSelectedInstOperands,
     /*  966204 */     // GIR_Coverage, 8030,
     /*  966204 */     GIR_EraseRootFromParent_Done,
     /*  966205 */   // Label 14518: @966205
     /*  966205 */   GIM_Try, /*On fail goto*//*Label 14519*/ GIMT_Encode4(966300), // Rule ID 8031 //
     /*  966210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  966221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  966224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  966227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  966233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966260 */     // MIs[1] Operand 1
     /*  966260 */     // No operand predicates
     /*  966260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966273 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  966273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966298 */     GIR_RootConstrainSelectedInstOperands,
     /*  966299 */     // GIR_Coverage, 8031,
     /*  966299 */     GIR_EraseRootFromParent_Done,
     /*  966300 */   // Label 14519: @966300
     /*  966300 */   GIM_Try, /*On fail goto*//*Label 14520*/ GIMT_Encode4(966395), // Rule ID 8034 //
     /*  966305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  966322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966355 */     // MIs[1] Operand 1
     /*  966355 */     // No operand predicates
     /*  966355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  966368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966393 */     GIR_RootConstrainSelectedInstOperands,
     /*  966394 */     // GIR_Coverage, 8034,
     /*  966394 */     GIR_EraseRootFromParent_Done,
     /*  966395 */   // Label 14520: @966395
     /*  966395 */   GIM_Try, /*On fail goto*//*Label 14521*/ GIMT_Encode4(966490), // Rule ID 8035 //
     /*  966400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  966417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966450 */     // MIs[1] Operand 1
     /*  966450 */     // No operand predicates
     /*  966450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966463 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  966463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966488 */     GIR_RootConstrainSelectedInstOperands,
     /*  966489 */     // GIR_Coverage, 8035,
     /*  966489 */     GIR_EraseRootFromParent_Done,
     /*  966490 */   // Label 14521: @966490
     /*  966490 */   GIM_Try, /*On fail goto*//*Label 14522*/ GIMT_Encode4(966585), // Rule ID 8038 //
     /*  966495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  966506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  966509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  966512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966545 */     // MIs[1] Operand 1
     /*  966545 */     // No operand predicates
     /*  966545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966558 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  966558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966583 */     GIR_RootConstrainSelectedInstOperands,
     /*  966584 */     // GIR_Coverage, 8038,
     /*  966584 */     GIR_EraseRootFromParent_Done,
     /*  966585 */   // Label 14522: @966585
     /*  966585 */   GIM_Try, /*On fail goto*//*Label 14523*/ GIMT_Encode4(966680), // Rule ID 8039 //
     /*  966590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  966601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  966604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  966607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966640 */     // MIs[1] Operand 1
     /*  966640 */     // No operand predicates
     /*  966640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966653 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  966653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966678 */     GIR_RootConstrainSelectedInstOperands,
     /*  966679 */     // GIR_Coverage, 8039,
     /*  966679 */     GIR_EraseRootFromParent_Done,
     /*  966680 */   // Label 14523: @966680
     /*  966680 */   GIM_Try, /*On fail goto*//*Label 14524*/ GIMT_Encode4(966775), // Rule ID 8042 //
     /*  966685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  966696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  966699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  966702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966735 */     // MIs[1] Operand 1
     /*  966735 */     // No operand predicates
     /*  966735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966748 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  966748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966773 */     GIR_RootConstrainSelectedInstOperands,
     /*  966774 */     // GIR_Coverage, 8042,
     /*  966774 */     GIR_EraseRootFromParent_Done,
     /*  966775 */   // Label 14524: @966775
     /*  966775 */   GIM_Try, /*On fail goto*//*Label 14525*/ GIMT_Encode4(966870), // Rule ID 8043 //
     /*  966780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  966791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  966794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  966797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966830 */     // MIs[1] Operand 1
     /*  966830 */     // No operand predicates
     /*  966830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966843 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  966843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966868 */     GIR_RootConstrainSelectedInstOperands,
     /*  966869 */     // GIR_Coverage, 8043,
     /*  966869 */     GIR_EraseRootFromParent_Done,
     /*  966870 */   // Label 14525: @966870
     /*  966870 */   GIM_Try, /*On fail goto*//*Label 14526*/ GIMT_Encode4(966965), // Rule ID 8046 //
     /*  966875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  966892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966925 */     // MIs[1] Operand 1
     /*  966925 */     // No operand predicates
     /*  966925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966938 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966963 */     GIR_RootConstrainSelectedInstOperands,
     /*  966964 */     // GIR_Coverage, 8046,
     /*  966964 */     GIR_EraseRootFromParent_Done,
     /*  966965 */   // Label 14526: @966965
     /*  966965 */   GIM_Try, /*On fail goto*//*Label 14527*/ GIMT_Encode4(967060), // Rule ID 8047 //
     /*  966970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  966987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967020 */     // MIs[1] Operand 1
     /*  967020 */     // No operand predicates
     /*  967020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967033 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  967033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  967036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967058 */     GIR_RootConstrainSelectedInstOperands,
     /*  967059 */     // GIR_Coverage, 8047,
     /*  967059 */     GIR_EraseRootFromParent_Done,
     /*  967060 */   // Label 14527: @967060
     /*  967060 */   GIM_Try, /*On fail goto*//*Label 14528*/ GIMT_Encode4(967155), // Rule ID 8050 //
     /*  967065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  967076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  967079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  967082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967115 */     // MIs[1] Operand 1
     /*  967115 */     // No operand predicates
     /*  967115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  967128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  967131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967153 */     GIR_RootConstrainSelectedInstOperands,
     /*  967154 */     // GIR_Coverage, 8050,
     /*  967154 */     GIR_EraseRootFromParent_Done,
     /*  967155 */   // Label 14528: @967155
     /*  967155 */   GIM_Try, /*On fail goto*//*Label 14529*/ GIMT_Encode4(967250), // Rule ID 8051 //
     /*  967160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  967171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  967174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  967177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967210 */     // MIs[1] Operand 1
     /*  967210 */     // No operand predicates
     /*  967210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967223 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  967223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  967226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967248 */     GIR_RootConstrainSelectedInstOperands,
     /*  967249 */     // GIR_Coverage, 8051,
     /*  967249 */     GIR_EraseRootFromParent_Done,
     /*  967250 */   // Label 14529: @967250
     /*  967250 */   GIM_Try, /*On fail goto*//*Label 14530*/ GIMT_Encode4(967345), // Rule ID 8054 //
     /*  967255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  967266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  967269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  967272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  967278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967305 */     // MIs[1] Operand 1
     /*  967305 */     // No operand predicates
     /*  967305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967318 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  967318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  967321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967343 */     GIR_RootConstrainSelectedInstOperands,
     /*  967344 */     // GIR_Coverage, 8054,
     /*  967344 */     GIR_EraseRootFromParent_Done,
     /*  967345 */   // Label 14530: @967345
     /*  967345 */   GIM_Try, /*On fail goto*//*Label 14531*/ GIMT_Encode4(967440), // Rule ID 8055 //
     /*  967350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  967361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  967364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  967367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  967373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967400 */     // MIs[1] Operand 1
     /*  967400 */     // No operand predicates
     /*  967400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967413 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  967413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  967416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967438 */     GIR_RootConstrainSelectedInstOperands,
     /*  967439 */     // GIR_Coverage, 8055,
     /*  967439 */     GIR_EraseRootFromParent_Done,
     /*  967440 */   // Label 14531: @967440
     /*  967440 */   GIM_Try, /*On fail goto*//*Label 14532*/ GIMT_Encode4(967535), // Rule ID 8058 //
     /*  967445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  967448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  967462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967495 */     // MIs[1] Operand 1
     /*  967495 */     // No operand predicates
     /*  967495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  967508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  967511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967533 */     GIR_RootConstrainSelectedInstOperands,
     /*  967534 */     // GIR_Coverage, 8058,
     /*  967534 */     GIR_EraseRootFromParent_Done,
     /*  967535 */   // Label 14532: @967535
     /*  967535 */   GIM_Try, /*On fail goto*//*Label 14533*/ GIMT_Encode4(967630), // Rule ID 8059 //
     /*  967540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  967557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967590 */     // MIs[1] Operand 1
     /*  967590 */     // No operand predicates
     /*  967590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967603 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  967603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  967606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967628 */     GIR_RootConstrainSelectedInstOperands,
     /*  967629 */     // GIR_Coverage, 8059,
     /*  967629 */     GIR_EraseRootFromParent_Done,
     /*  967630 */   // Label 14533: @967630
     /*  967630 */   GIM_Try, /*On fail goto*//*Label 14534*/ GIMT_Encode4(967725), // Rule ID 8062 //
     /*  967635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  967638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  967652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967685 */     // MIs[1] Operand 1
     /*  967685 */     // No operand predicates
     /*  967685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967698 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  967698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  967701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967723 */     GIR_RootConstrainSelectedInstOperands,
     /*  967724 */     // GIR_Coverage, 8062,
     /*  967724 */     GIR_EraseRootFromParent_Done,
     /*  967725 */   // Label 14534: @967725
     /*  967725 */   GIM_Try, /*On fail goto*//*Label 14535*/ GIMT_Encode4(967820), // Rule ID 8063 //
     /*  967730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  967747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967780 */     // MIs[1] Operand 1
     /*  967780 */     // No operand predicates
     /*  967780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967793 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  967793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  967796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967818 */     GIR_RootConstrainSelectedInstOperands,
     /*  967819 */     // GIR_Coverage, 8063,
     /*  967819 */     GIR_EraseRootFromParent_Done,
     /*  967820 */   // Label 14535: @967820
     /*  967820 */   GIM_Try, /*On fail goto*//*Label 14536*/ GIMT_Encode4(967915), // Rule ID 8066 //
     /*  967825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  967828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  967836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  967839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  967842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967875 */     // MIs[1] Operand 1
     /*  967875 */     // No operand predicates
     /*  967875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  967888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  967891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967913 */     GIR_RootConstrainSelectedInstOperands,
     /*  967914 */     // GIR_Coverage, 8066,
     /*  967914 */     GIR_EraseRootFromParent_Done,
     /*  967915 */   // Label 14536: @967915
     /*  967915 */   GIM_Try, /*On fail goto*//*Label 14537*/ GIMT_Encode4(968010), // Rule ID 8067 //
     /*  967920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  967931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  967934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  967937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967970 */     // MIs[1] Operand 1
     /*  967970 */     // No operand predicates
     /*  967970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967983 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  967983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  967986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  968005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968008 */     GIR_RootConstrainSelectedInstOperands,
     /*  968009 */     // GIR_Coverage, 8067,
     /*  968009 */     GIR_EraseRootFromParent_Done,
     /*  968010 */   // Label 14537: @968010
     /*  968010 */   GIM_Try, /*On fail goto*//*Label 14538*/ GIMT_Encode4(968105), // Rule ID 8246 //
     /*  968015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  968032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968065 */     // MIs[1] Operand 1
     /*  968065 */     // No operand predicates
     /*  968065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968078 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  968081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968103 */     GIR_RootConstrainSelectedInstOperands,
     /*  968104 */     // GIR_Coverage, 8246,
     /*  968104 */     GIR_EraseRootFromParent_Done,
     /*  968105 */   // Label 14538: @968105
     /*  968105 */   GIM_Try, /*On fail goto*//*Label 14539*/ GIMT_Encode4(968200), // Rule ID 8247 //
     /*  968110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  968127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968160 */     // MIs[1] Operand 1
     /*  968160 */     // No operand predicates
     /*  968160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968173 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  968176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968198 */     GIR_RootConstrainSelectedInstOperands,
     /*  968199 */     // GIR_Coverage, 8247,
     /*  968199 */     GIR_EraseRootFromParent_Done,
     /*  968200 */   // Label 14539: @968200
     /*  968200 */   GIM_Try, /*On fail goto*//*Label 14540*/ GIMT_Encode4(968295), // Rule ID 8250 //
     /*  968205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  968222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968255 */     // MIs[1] Operand 1
     /*  968255 */     // No operand predicates
     /*  968255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  968271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968293 */     GIR_RootConstrainSelectedInstOperands,
     /*  968294 */     // GIR_Coverage, 8250,
     /*  968294 */     GIR_EraseRootFromParent_Done,
     /*  968295 */   // Label 14540: @968295
     /*  968295 */   GIM_Try, /*On fail goto*//*Label 14541*/ GIMT_Encode4(968390), // Rule ID 8251 //
     /*  968300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  968317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968350 */     // MIs[1] Operand 1
     /*  968350 */     // No operand predicates
     /*  968350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968363 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  968366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968388 */     GIR_RootConstrainSelectedInstOperands,
     /*  968389 */     // GIR_Coverage, 8251,
     /*  968389 */     GIR_EraseRootFromParent_Done,
     /*  968390 */   // Label 14541: @968390
     /*  968390 */   GIM_Try, /*On fail goto*//*Label 14542*/ GIMT_Encode4(968485), // Rule ID 8254 //
     /*  968395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  968412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968445 */     // MIs[1] Operand 1
     /*  968445 */     // No operand predicates
     /*  968445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968458 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968483 */     GIR_RootConstrainSelectedInstOperands,
     /*  968484 */     // GIR_Coverage, 8254,
     /*  968484 */     GIR_EraseRootFromParent_Done,
     /*  968485 */   // Label 14542: @968485
     /*  968485 */   GIM_Try, /*On fail goto*//*Label 14543*/ GIMT_Encode4(968580), // Rule ID 8255 //
     /*  968490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  968507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968540 */     // MIs[1] Operand 1
     /*  968540 */     // No operand predicates
     /*  968540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968553 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968578 */     GIR_RootConstrainSelectedInstOperands,
     /*  968579 */     // GIR_Coverage, 8255,
     /*  968579 */     GIR_EraseRootFromParent_Done,
     /*  968580 */   // Label 14543: @968580
     /*  968580 */   GIM_Try, /*On fail goto*//*Label 14544*/ GIMT_Encode4(968675), // Rule ID 8258 //
     /*  968585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  968602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968635 */     // MIs[1] Operand 1
     /*  968635 */     // No operand predicates
     /*  968635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968648 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  968651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968673 */     GIR_RootConstrainSelectedInstOperands,
     /*  968674 */     // GIR_Coverage, 8258,
     /*  968674 */     GIR_EraseRootFromParent_Done,
     /*  968675 */   // Label 14544: @968675
     /*  968675 */   GIM_Try, /*On fail goto*//*Label 14545*/ GIMT_Encode4(968770), // Rule ID 8259 //
     /*  968680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  968697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968730 */     // MIs[1] Operand 1
     /*  968730 */     // No operand predicates
     /*  968730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968743 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  968746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968768 */     GIR_RootConstrainSelectedInstOperands,
     /*  968769 */     // GIR_Coverage, 8259,
     /*  968769 */     GIR_EraseRootFromParent_Done,
     /*  968770 */   // Label 14545: @968770
     /*  968770 */   GIM_Try, /*On fail goto*//*Label 14546*/ GIMT_Encode4(968865), // Rule ID 8262 //
     /*  968775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  968792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968825 */     // MIs[1] Operand 1
     /*  968825 */     // No operand predicates
     /*  968825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968838 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968863 */     GIR_RootConstrainSelectedInstOperands,
     /*  968864 */     // GIR_Coverage, 8262,
     /*  968864 */     GIR_EraseRootFromParent_Done,
     /*  968865 */   // Label 14546: @968865
     /*  968865 */   GIM_Try, /*On fail goto*//*Label 14547*/ GIMT_Encode4(968960), // Rule ID 8263 //
     /*  968870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  968887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968920 */     // MIs[1] Operand 1
     /*  968920 */     // No operand predicates
     /*  968920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968933 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968958 */     GIR_RootConstrainSelectedInstOperands,
     /*  968959 */     // GIR_Coverage, 8263,
     /*  968959 */     GIR_EraseRootFromParent_Done,
     /*  968960 */   // Label 14547: @968960
     /*  968960 */   GIM_Try, /*On fail goto*//*Label 14548*/ GIMT_Encode4(969055), // Rule ID 8266 //
     /*  968965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  968982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969015 */     // MIs[1] Operand 1
     /*  969015 */     // No operand predicates
     /*  969015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  969028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  969031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969053 */     GIR_RootConstrainSelectedInstOperands,
     /*  969054 */     // GIR_Coverage, 8266,
     /*  969054 */     GIR_EraseRootFromParent_Done,
     /*  969055 */   // Label 14548: @969055
     /*  969055 */   GIM_Try, /*On fail goto*//*Label 14549*/ GIMT_Encode4(969150), // Rule ID 8267 //
     /*  969060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  969077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969110 */     // MIs[1] Operand 1
     /*  969110 */     // No operand predicates
     /*  969110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969123 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  969123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  969126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969148 */     GIR_RootConstrainSelectedInstOperands,
     /*  969149 */     // GIR_Coverage, 8267,
     /*  969149 */     GIR_EraseRootFromParent_Done,
     /*  969150 */   // Label 14549: @969150
     /*  969150 */   GIM_Try, /*On fail goto*//*Label 14550*/ GIMT_Encode4(969245), // Rule ID 8270 //
     /*  969155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  969172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969205 */     // MIs[1] Operand 1
     /*  969205 */     // No operand predicates
     /*  969205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969218 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969243 */     GIR_RootConstrainSelectedInstOperands,
     /*  969244 */     // GIR_Coverage, 8270,
     /*  969244 */     GIR_EraseRootFromParent_Done,
     /*  969245 */   // Label 14550: @969245
     /*  969245 */   GIM_Try, /*On fail goto*//*Label 14551*/ GIMT_Encode4(969340), // Rule ID 8271 //
     /*  969250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  969267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969300 */     // MIs[1] Operand 1
     /*  969300 */     // No operand predicates
     /*  969300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969313 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969338 */     GIR_RootConstrainSelectedInstOperands,
     /*  969339 */     // GIR_Coverage, 8271,
     /*  969339 */     GIR_EraseRootFromParent_Done,
     /*  969340 */   // Label 14551: @969340
     /*  969340 */   GIM_Try, /*On fail goto*//*Label 14552*/ GIMT_Encode4(969435), // Rule ID 8274 //
     /*  969345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  969356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  969359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  969362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  969368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969395 */     // MIs[1] Operand 1
     /*  969395 */     // No operand predicates
     /*  969395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969408 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  969408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969433 */     GIR_RootConstrainSelectedInstOperands,
     /*  969434 */     // GIR_Coverage, 8274,
     /*  969434 */     GIR_EraseRootFromParent_Done,
     /*  969435 */   // Label 14552: @969435
     /*  969435 */   GIM_Try, /*On fail goto*//*Label 14553*/ GIMT_Encode4(969530), // Rule ID 8275 //
     /*  969440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  969451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  969454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  969457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  969463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969490 */     // MIs[1] Operand 1
     /*  969490 */     // No operand predicates
     /*  969490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969503 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  969503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969528 */     GIR_RootConstrainSelectedInstOperands,
     /*  969529 */     // GIR_Coverage, 8275,
     /*  969529 */     GIR_EraseRootFromParent_Done,
     /*  969530 */   // Label 14553: @969530
     /*  969530 */   GIM_Try, /*On fail goto*//*Label 14554*/ GIMT_Encode4(969625), // Rule ID 8278 //
     /*  969535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  969546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  969549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  969552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  969558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969585 */     // MIs[1] Operand 1
     /*  969585 */     // No operand predicates
     /*  969585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969598 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  969598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969623 */     GIR_RootConstrainSelectedInstOperands,
     /*  969624 */     // GIR_Coverage, 8278,
     /*  969624 */     GIR_EraseRootFromParent_Done,
     /*  969625 */   // Label 14554: @969625
     /*  969625 */   GIM_Try, /*On fail goto*//*Label 14555*/ GIMT_Encode4(969720), // Rule ID 8279 //
     /*  969630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  969641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  969644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  969647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  969653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969680 */     // MIs[1] Operand 1
     /*  969680 */     // No operand predicates
     /*  969680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969693 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  969693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969718 */     GIR_RootConstrainSelectedInstOperands,
     /*  969719 */     // GIR_Coverage, 8279,
     /*  969719 */     GIR_EraseRootFromParent_Done,
     /*  969720 */   // Label 14555: @969720
     /*  969720 */   GIM_Try, /*On fail goto*//*Label 14556*/ GIMT_Encode4(969815), // Rule ID 8282 //
     /*  969725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  969728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  969742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969775 */     // MIs[1] Operand 1
     /*  969775 */     // No operand predicates
     /*  969775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969788 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  969788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969813 */     GIR_RootConstrainSelectedInstOperands,
     /*  969814 */     // GIR_Coverage, 8282,
     /*  969814 */     GIR_EraseRootFromParent_Done,
     /*  969815 */   // Label 14556: @969815
     /*  969815 */   GIM_Try, /*On fail goto*//*Label 14557*/ GIMT_Encode4(969910), // Rule ID 8283 //
     /*  969820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  969823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  969837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969870 */     // MIs[1] Operand 1
     /*  969870 */     // No operand predicates
     /*  969870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969883 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  969883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  969886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969908 */     GIR_RootConstrainSelectedInstOperands,
     /*  969909 */     // GIR_Coverage, 8283,
     /*  969909 */     GIR_EraseRootFromParent_Done,
     /*  969910 */   // Label 14557: @969910
     /*  969910 */   GIM_Try, /*On fail goto*//*Label 14558*/ GIMT_Encode4(970005), // Rule ID 8286 //
     /*  969915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  969932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969965 */     // MIs[1] Operand 1
     /*  969965 */     // No operand predicates
     /*  969965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969978 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970003 */     GIR_RootConstrainSelectedInstOperands,
     /*  970004 */     // GIR_Coverage, 8286,
     /*  970004 */     GIR_EraseRootFromParent_Done,
     /*  970005 */   // Label 14558: @970005
     /*  970005 */   GIM_Try, /*On fail goto*//*Label 14559*/ GIMT_Encode4(970100), // Rule ID 8287 //
     /*  970010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  970027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970060 */     // MIs[1] Operand 1
     /*  970060 */     // No operand predicates
     /*  970060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970073 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  970073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970098 */     GIR_RootConstrainSelectedInstOperands,
     /*  970099 */     // GIR_Coverage, 8287,
     /*  970099 */     GIR_EraseRootFromParent_Done,
     /*  970100 */   // Label 14559: @970100
     /*  970100 */   GIM_Try, /*On fail goto*//*Label 14560*/ GIMT_Encode4(970195), // Rule ID 8290 //
     /*  970105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  970122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970155 */     // MIs[1] Operand 1
     /*  970155 */     // No operand predicates
     /*  970155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970168 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  970168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970193 */     GIR_RootConstrainSelectedInstOperands,
     /*  970194 */     // GIR_Coverage, 8290,
     /*  970194 */     GIR_EraseRootFromParent_Done,
     /*  970195 */   // Label 14560: @970195
     /*  970195 */   GIM_Try, /*On fail goto*//*Label 14561*/ GIMT_Encode4(970290), // Rule ID 8291 //
     /*  970200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  970217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970250 */     // MIs[1] Operand 1
     /*  970250 */     // No operand predicates
     /*  970250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970263 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  970263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970288 */     GIR_RootConstrainSelectedInstOperands,
     /*  970289 */     // GIR_Coverage, 8291,
     /*  970289 */     GIR_EraseRootFromParent_Done,
     /*  970290 */   // Label 14561: @970290
     /*  970290 */   GIM_Try, /*On fail goto*//*Label 14562*/ GIMT_Encode4(970385), // Rule ID 8294 //
     /*  970295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  970306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  970309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  970312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  970318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970345 */     // MIs[1] Operand 1
     /*  970345 */     // No operand predicates
     /*  970345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970358 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  970358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970383 */     GIR_RootConstrainSelectedInstOperands,
     /*  970384 */     // GIR_Coverage, 8294,
     /*  970384 */     GIR_EraseRootFromParent_Done,
     /*  970385 */   // Label 14562: @970385
     /*  970385 */   GIM_Try, /*On fail goto*//*Label 14563*/ GIMT_Encode4(970480), // Rule ID 8295 //
     /*  970390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  970401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  970404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  970407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  970413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970440 */     // MIs[1] Operand 1
     /*  970440 */     // No operand predicates
     /*  970440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970453 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  970453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970478 */     GIR_RootConstrainSelectedInstOperands,
     /*  970479 */     // GIR_Coverage, 8295,
     /*  970479 */     GIR_EraseRootFromParent_Done,
     /*  970480 */   // Label 14563: @970480
     /*  970480 */   GIM_Try, /*On fail goto*//*Label 14564*/ GIMT_Encode4(970575), // Rule ID 8298 //
     /*  970485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  970502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970535 */     // MIs[1] Operand 1
     /*  970535 */     // No operand predicates
     /*  970535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970573 */     GIR_RootConstrainSelectedInstOperands,
     /*  970574 */     // GIR_Coverage, 8298,
     /*  970574 */     GIR_EraseRootFromParent_Done,
     /*  970575 */   // Label 14564: @970575
     /*  970575 */   GIM_Try, /*On fail goto*//*Label 14565*/ GIMT_Encode4(970670), // Rule ID 8299 //
     /*  970580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  970597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970630 */     // MIs[1] Operand 1
     /*  970630 */     // No operand predicates
     /*  970630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970643 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970668 */     GIR_RootConstrainSelectedInstOperands,
     /*  970669 */     // GIR_Coverage, 8299,
     /*  970669 */     GIR_EraseRootFromParent_Done,
     /*  970670 */   // Label 14565: @970670
     /*  970670 */   GIM_Try, /*On fail goto*//*Label 14566*/ GIMT_Encode4(970765), // Rule ID 8302 //
     /*  970675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  970692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970725 */     // MIs[1] Operand 1
     /*  970725 */     // No operand predicates
     /*  970725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970738 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970763 */     GIR_RootConstrainSelectedInstOperands,
     /*  970764 */     // GIR_Coverage, 8302,
     /*  970764 */     GIR_EraseRootFromParent_Done,
     /*  970765 */   // Label 14566: @970765
     /*  970765 */   GIM_Try, /*On fail goto*//*Label 14567*/ GIMT_Encode4(970860), // Rule ID 8303 //
     /*  970770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  970787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970820 */     // MIs[1] Operand 1
     /*  970820 */     // No operand predicates
     /*  970820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970833 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970858 */     GIR_RootConstrainSelectedInstOperands,
     /*  970859 */     // GIR_Coverage, 8303,
     /*  970859 */     GIR_EraseRootFromParent_Done,
     /*  970860 */   // Label 14567: @970860
     /*  970860 */   GIM_Try, /*On fail goto*//*Label 14568*/ GIMT_Encode4(970955), // Rule ID 8306 //
     /*  970865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  970882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970915 */     // MIs[1] Operand 1
     /*  970915 */     // No operand predicates
     /*  970915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970928 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970953 */     GIR_RootConstrainSelectedInstOperands,
     /*  970954 */     // GIR_Coverage, 8306,
     /*  970954 */     GIR_EraseRootFromParent_Done,
     /*  970955 */   // Label 14568: @970955
     /*  970955 */   GIM_Try, /*On fail goto*//*Label 14569*/ GIMT_Encode4(971050), // Rule ID 8307 //
     /*  970960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  970977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971010 */     // MIs[1] Operand 1
     /*  971010 */     // No operand predicates
     /*  971010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971023 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  971023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  971026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971048 */     GIR_RootConstrainSelectedInstOperands,
     /*  971049 */     // GIR_Coverage, 8307,
     /*  971049 */     GIR_EraseRootFromParent_Done,
     /*  971050 */   // Label 14569: @971050
     /*  971050 */   GIM_Try, /*On fail goto*//*Label 14570*/ GIMT_Encode4(971145), // Rule ID 8310 //
     /*  971055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  971072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971105 */     // MIs[1] Operand 1
     /*  971105 */     // No operand predicates
     /*  971105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971118 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  971118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  971121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971143 */     GIR_RootConstrainSelectedInstOperands,
     /*  971144 */     // GIR_Coverage, 8310,
     /*  971144 */     GIR_EraseRootFromParent_Done,
     /*  971145 */   // Label 14570: @971145
     /*  971145 */   GIM_Try, /*On fail goto*//*Label 14571*/ GIMT_Encode4(971240), // Rule ID 8311 //
     /*  971150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  971167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971200 */     // MIs[1] Operand 1
     /*  971200 */     // No operand predicates
     /*  971200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971213 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  971213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  971216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971238 */     GIR_RootConstrainSelectedInstOperands,
     /*  971239 */     // GIR_Coverage, 8311,
     /*  971239 */     GIR_EraseRootFromParent_Done,
     /*  971240 */   // Label 14571: @971240
     /*  971240 */   GIM_Try, /*On fail goto*//*Label 14572*/ GIMT_Encode4(971335), // Rule ID 8314 //
     /*  971245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  971262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971295 */     // MIs[1] Operand 1
     /*  971295 */     // No operand predicates
     /*  971295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971308 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  971308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  971311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971333 */     GIR_RootConstrainSelectedInstOperands,
     /*  971334 */     // GIR_Coverage, 8314,
     /*  971334 */     GIR_EraseRootFromParent_Done,
     /*  971335 */   // Label 14572: @971335
     /*  971335 */   GIM_Try, /*On fail goto*//*Label 14573*/ GIMT_Encode4(971430), // Rule ID 8315 //
     /*  971340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  971357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971390 */     // MIs[1] Operand 1
     /*  971390 */     // No operand predicates
     /*  971390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971403 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  971403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  971406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971428 */     GIR_RootConstrainSelectedInstOperands,
     /*  971429 */     // GIR_Coverage, 8315,
     /*  971429 */     GIR_EraseRootFromParent_Done,
     /*  971430 */   // Label 14573: @971430
     /*  971430 */   GIM_Try, /*On fail goto*//*Label 14574*/ GIMT_Encode4(971525), // Rule ID 8318 //
     /*  971435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  971446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  971449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  971452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  971458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971485 */     // MIs[1] Operand 1
     /*  971485 */     // No operand predicates
     /*  971485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971498 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  971498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  971501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971523 */     GIR_RootConstrainSelectedInstOperands,
     /*  971524 */     // GIR_Coverage, 8318,
     /*  971524 */     GIR_EraseRootFromParent_Done,
     /*  971525 */   // Label 14574: @971525
     /*  971525 */   GIM_Try, /*On fail goto*//*Label 14575*/ GIMT_Encode4(971620), // Rule ID 8319 //
     /*  971530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  971541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  971544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  971547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  971553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971580 */     // MIs[1] Operand 1
     /*  971580 */     // No operand predicates
     /*  971580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971593 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  971593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  971596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971618 */     GIR_RootConstrainSelectedInstOperands,
     /*  971619 */     // GIR_Coverage, 8319,
     /*  971619 */     GIR_EraseRootFromParent_Done,
     /*  971620 */   // Label 14575: @971620
     /*  971620 */   GIM_Try, /*On fail goto*//*Label 14576*/ GIMT_Encode4(971715), // Rule ID 8322 //
     /*  971625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  971642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971675 */     // MIs[1] Operand 1
     /*  971675 */     // No operand predicates
     /*  971675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971688 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  971691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971713 */     GIR_RootConstrainSelectedInstOperands,
     /*  971714 */     // GIR_Coverage, 8322,
     /*  971714 */     GIR_EraseRootFromParent_Done,
     /*  971715 */   // Label 14576: @971715
     /*  971715 */   GIM_Try, /*On fail goto*//*Label 14577*/ GIMT_Encode4(971810), // Rule ID 8323 //
     /*  971720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  971737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971770 */     // MIs[1] Operand 1
     /*  971770 */     // No operand predicates
     /*  971770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971783 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  971786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971808 */     GIR_RootConstrainSelectedInstOperands,
     /*  971809 */     // GIR_Coverage, 8323,
     /*  971809 */     GIR_EraseRootFromParent_Done,
     /*  971810 */   // Label 14577: @971810
     /*  971810 */   GIM_Try, /*On fail goto*//*Label 14578*/ GIMT_Encode4(971905), // Rule ID 8326 //
     /*  971815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  971832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971865 */     // MIs[1] Operand 1
     /*  971865 */     // No operand predicates
     /*  971865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971878 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  971881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971903 */     GIR_RootConstrainSelectedInstOperands,
     /*  971904 */     // GIR_Coverage, 8326,
     /*  971904 */     GIR_EraseRootFromParent_Done,
     /*  971905 */   // Label 14578: @971905
     /*  971905 */   GIM_Try, /*On fail goto*//*Label 14579*/ GIMT_Encode4(972000), // Rule ID 8327 //
     /*  971910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  971927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971960 */     // MIs[1] Operand 1
     /*  971960 */     // No operand predicates
     /*  971960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971973 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  971976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971998 */     GIR_RootConstrainSelectedInstOperands,
     /*  971999 */     // GIR_Coverage, 8327,
     /*  971999 */     GIR_EraseRootFromParent_Done,
     /*  972000 */   // Label 14579: @972000
     /*  972000 */   GIM_Try, /*On fail goto*//*Label 14580*/ GIMT_Encode4(972095), // Rule ID 8330 //
     /*  972005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  972008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  972022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972055 */     // MIs[1] Operand 1
     /*  972055 */     // No operand predicates
     /*  972055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972068 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  972068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  972071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  972090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972093 */     GIR_RootConstrainSelectedInstOperands,
     /*  972094 */     // GIR_Coverage, 8330,
     /*  972094 */     GIR_EraseRootFromParent_Done,
     /*  972095 */   // Label 14580: @972095
     /*  972095 */   GIM_Try, /*On fail goto*//*Label 14581*/ GIMT_Encode4(972190), // Rule ID 8331 //
     /*  972100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  972103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  972117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972150 */     // MIs[1] Operand 1
     /*  972150 */     // No operand predicates
     /*  972150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972163 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  972163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  972166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  972185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972188 */     GIR_RootConstrainSelectedInstOperands,
     /*  972189 */     // GIR_Coverage, 8331,
     /*  972189 */     GIR_EraseRootFromParent_Done,
     /*  972190 */   // Label 14581: @972190
     /*  972190 */   GIM_Try, /*On fail goto*//*Label 14582*/ GIMT_Encode4(972285), // Rule ID 8862 //
     /*  972195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  972212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972245 */     // MIs[1] Operand 1
     /*  972245 */     // No operand predicates
     /*  972245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972258 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  972261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972283 */     GIR_RootConstrainSelectedInstOperands,
     /*  972284 */     // GIR_Coverage, 8862,
     /*  972284 */     GIR_EraseRootFromParent_Done,
     /*  972285 */   // Label 14582: @972285
     /*  972285 */   GIM_Try, /*On fail goto*//*Label 14583*/ GIMT_Encode4(972380), // Rule ID 8863 //
     /*  972290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  972307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972340 */     // MIs[1] Operand 1
     /*  972340 */     // No operand predicates
     /*  972340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972353 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  972356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972378 */     GIR_RootConstrainSelectedInstOperands,
     /*  972379 */     // GIR_Coverage, 8863,
     /*  972379 */     GIR_EraseRootFromParent_Done,
     /*  972380 */   // Label 14583: @972380
     /*  972380 */   GIM_Try, /*On fail goto*//*Label 14584*/ GIMT_Encode4(972475), // Rule ID 8866 //
     /*  972385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  972402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972435 */     // MIs[1] Operand 1
     /*  972435 */     // No operand predicates
     /*  972435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972448 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  972451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972473 */     GIR_RootConstrainSelectedInstOperands,
     /*  972474 */     // GIR_Coverage, 8866,
     /*  972474 */     GIR_EraseRootFromParent_Done,
     /*  972475 */   // Label 14584: @972475
     /*  972475 */   GIM_Try, /*On fail goto*//*Label 14585*/ GIMT_Encode4(972570), // Rule ID 8867 //
     /*  972480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  972497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972530 */     // MIs[1] Operand 1
     /*  972530 */     // No operand predicates
     /*  972530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972543 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  972546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972568 */     GIR_RootConstrainSelectedInstOperands,
     /*  972569 */     // GIR_Coverage, 8867,
     /*  972569 */     GIR_EraseRootFromParent_Done,
     /*  972570 */   // Label 14585: @972570
     /*  972570 */   GIM_Try, /*On fail goto*//*Label 14586*/ GIMT_Encode4(972665), // Rule ID 8870 //
     /*  972575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  972592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972625 */     // MIs[1] Operand 1
     /*  972625 */     // No operand predicates
     /*  972625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972638 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972663 */     GIR_RootConstrainSelectedInstOperands,
     /*  972664 */     // GIR_Coverage, 8870,
     /*  972664 */     GIR_EraseRootFromParent_Done,
     /*  972665 */   // Label 14586: @972665
     /*  972665 */   GIM_Try, /*On fail goto*//*Label 14587*/ GIMT_Encode4(972760), // Rule ID 8871 //
     /*  972670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  972687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972720 */     // MIs[1] Operand 1
     /*  972720 */     // No operand predicates
     /*  972720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972733 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972758 */     GIR_RootConstrainSelectedInstOperands,
     /*  972759 */     // GIR_Coverage, 8871,
     /*  972759 */     GIR_EraseRootFromParent_Done,
     /*  972760 */   // Label 14587: @972760
     /*  972760 */   GIM_Try, /*On fail goto*//*Label 14588*/ GIMT_Encode4(972855), // Rule ID 8874 //
     /*  972765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972815 */     // MIs[1] Operand 1
     /*  972815 */     // No operand predicates
     /*  972815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972828 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  972831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972853 */     GIR_RootConstrainSelectedInstOperands,
     /*  972854 */     // GIR_Coverage, 8874,
     /*  972854 */     GIR_EraseRootFromParent_Done,
     /*  972855 */   // Label 14588: @972855
     /*  972855 */   GIM_Try, /*On fail goto*//*Label 14589*/ GIMT_Encode4(972950), // Rule ID 8875 //
     /*  972860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972910 */     // MIs[1] Operand 1
     /*  972910 */     // No operand predicates
     /*  972910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972923 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  972926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972948 */     GIR_RootConstrainSelectedInstOperands,
     /*  972949 */     // GIR_Coverage, 8875,
     /*  972949 */     GIR_EraseRootFromParent_Done,
     /*  972950 */   // Label 14589: @972950
     /*  972950 */   GIM_Try, /*On fail goto*//*Label 14590*/ GIMT_Encode4(973045), // Rule ID 8878 //
     /*  972955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973005 */     // MIs[1] Operand 1
     /*  973005 */     // No operand predicates
     /*  973005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973018 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  973018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  973021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973043 */     GIR_RootConstrainSelectedInstOperands,
     /*  973044 */     // GIR_Coverage, 8878,
     /*  973044 */     GIR_EraseRootFromParent_Done,
     /*  973045 */   // Label 14590: @973045
     /*  973045 */   GIM_Try, /*On fail goto*//*Label 14591*/ GIMT_Encode4(973140), // Rule ID 8879 //
     /*  973050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  973067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973100 */     // MIs[1] Operand 1
     /*  973100 */     // No operand predicates
     /*  973100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973113 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  973113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  973116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973138 */     GIR_RootConstrainSelectedInstOperands,
     /*  973139 */     // GIR_Coverage, 8879,
     /*  973139 */     GIR_EraseRootFromParent_Done,
     /*  973140 */   // Label 14591: @973140
     /*  973140 */   GIM_Try, /*On fail goto*//*Label 14592*/ GIMT_Encode4(973235), // Rule ID 8882 //
     /*  973145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  973162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973195 */     // MIs[1] Operand 1
     /*  973195 */     // No operand predicates
     /*  973195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973208 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  973208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  973211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973233 */     GIR_RootConstrainSelectedInstOperands,
     /*  973234 */     // GIR_Coverage, 8882,
     /*  973234 */     GIR_EraseRootFromParent_Done,
     /*  973235 */   // Label 14592: @973235
     /*  973235 */   GIM_Try, /*On fail goto*//*Label 14593*/ GIMT_Encode4(973330), // Rule ID 8883 //
     /*  973240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  973257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973290 */     // MIs[1] Operand 1
     /*  973290 */     // No operand predicates
     /*  973290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973303 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  973303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  973306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973328 */     GIR_RootConstrainSelectedInstOperands,
     /*  973329 */     // GIR_Coverage, 8883,
     /*  973329 */     GIR_EraseRootFromParent_Done,
     /*  973330 */   // Label 14593: @973330
     /*  973330 */   GIM_Try, /*On fail goto*//*Label 14594*/ GIMT_Encode4(973425), // Rule ID 8886 //
     /*  973335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  973352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973385 */     // MIs[1] Operand 1
     /*  973385 */     // No operand predicates
     /*  973385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973398 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973423 */     GIR_RootConstrainSelectedInstOperands,
     /*  973424 */     // GIR_Coverage, 8886,
     /*  973424 */     GIR_EraseRootFromParent_Done,
     /*  973425 */   // Label 14594: @973425
     /*  973425 */   GIM_Try, /*On fail goto*//*Label 14595*/ GIMT_Encode4(973520), // Rule ID 8887 //
     /*  973430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  973447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973480 */     // MIs[1] Operand 1
     /*  973480 */     // No operand predicates
     /*  973480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973493 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973518 */     GIR_RootConstrainSelectedInstOperands,
     /*  973519 */     // GIR_Coverage, 8887,
     /*  973519 */     GIR_EraseRootFromParent_Done,
     /*  973520 */   // Label 14595: @973520
     /*  973520 */   GIM_Try, /*On fail goto*//*Label 14596*/ GIMT_Encode4(973615), // Rule ID 8890 //
     /*  973525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  973536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  973539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  973542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  973548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973575 */     // MIs[1] Operand 1
     /*  973575 */     // No operand predicates
     /*  973575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  973588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973613 */     GIR_RootConstrainSelectedInstOperands,
     /*  973614 */     // GIR_Coverage, 8890,
     /*  973614 */     GIR_EraseRootFromParent_Done,
     /*  973615 */   // Label 14596: @973615
     /*  973615 */   GIM_Try, /*On fail goto*//*Label 14597*/ GIMT_Encode4(973710), // Rule ID 8891 //
     /*  973620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  973631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  973634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  973637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  973643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973670 */     // MIs[1] Operand 1
     /*  973670 */     // No operand predicates
     /*  973670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973683 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  973683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973708 */     GIR_RootConstrainSelectedInstOperands,
     /*  973709 */     // GIR_Coverage, 8891,
     /*  973709 */     GIR_EraseRootFromParent_Done,
     /*  973710 */   // Label 14597: @973710
     /*  973710 */   GIM_Try, /*On fail goto*//*Label 14598*/ GIMT_Encode4(973805), // Rule ID 8894 //
     /*  973715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973765 */     // MIs[1] Operand 1
     /*  973765 */     // No operand predicates
     /*  973765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973778 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  973778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973803 */     GIR_RootConstrainSelectedInstOperands,
     /*  973804 */     // GIR_Coverage, 8894,
     /*  973804 */     GIR_EraseRootFromParent_Done,
     /*  973805 */   // Label 14598: @973805
     /*  973805 */   GIM_Try, /*On fail goto*//*Label 14599*/ GIMT_Encode4(973900), // Rule ID 8895 //
     /*  973810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973860 */     // MIs[1] Operand 1
     /*  973860 */     // No operand predicates
     /*  973860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973873 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  973873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973898 */     GIR_RootConstrainSelectedInstOperands,
     /*  973899 */     // GIR_Coverage, 8895,
     /*  973899 */     GIR_EraseRootFromParent_Done,
     /*  973900 */   // Label 14599: @973900
     /*  973900 */   GIM_Try, /*On fail goto*//*Label 14600*/ GIMT_Encode4(973995), // Rule ID 8898 //
     /*  973905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  973908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  973922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973955 */     // MIs[1] Operand 1
     /*  973955 */     // No operand predicates
     /*  973955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973968 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  973968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  973971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973993 */     GIR_RootConstrainSelectedInstOperands,
     /*  973994 */     // GIR_Coverage, 8898,
     /*  973994 */     GIR_EraseRootFromParent_Done,
     /*  973995 */   // Label 14600: @973995
     /*  973995 */   GIM_Try, /*On fail goto*//*Label 14601*/ GIMT_Encode4(974090), // Rule ID 8899 //
     /*  974000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  974003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  974011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  974014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  974017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  974023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974050 */     // MIs[1] Operand 1
     /*  974050 */     // No operand predicates
     /*  974050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974063 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  974063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  974066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  974085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974088 */     GIR_RootConstrainSelectedInstOperands,
     /*  974089 */     // GIR_Coverage, 8899,
     /*  974089 */     GIR_EraseRootFromParent_Done,
     /*  974090 */   // Label 14601: @974090
     /*  974090 */   GIM_Try, /*On fail goto*//*Label 14602*/ GIMT_Encode4(974185), // Rule ID 8902 //
     /*  974095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  974112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974145 */     // MIs[1] Operand 1
     /*  974145 */     // No operand predicates
     /*  974145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974158 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  974158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974183 */     GIR_RootConstrainSelectedInstOperands,
     /*  974184 */     // GIR_Coverage, 8902,
     /*  974184 */     GIR_EraseRootFromParent_Done,
     /*  974185 */   // Label 14602: @974185
     /*  974185 */   GIM_Try, /*On fail goto*//*Label 14603*/ GIMT_Encode4(974280), // Rule ID 8903 //
     /*  974190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  974207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974240 */     // MIs[1] Operand 1
     /*  974240 */     // No operand predicates
     /*  974240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974253 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  974253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974278 */     GIR_RootConstrainSelectedInstOperands,
     /*  974279 */     // GIR_Coverage, 8903,
     /*  974279 */     GIR_EraseRootFromParent_Done,
     /*  974280 */   // Label 14603: @974280
     /*  974280 */   GIM_Try, /*On fail goto*//*Label 14604*/ GIMT_Encode4(974375), // Rule ID 8906 //
     /*  974285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  974302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974335 */     // MIs[1] Operand 1
     /*  974335 */     // No operand predicates
     /*  974335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974348 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  974348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974373 */     GIR_RootConstrainSelectedInstOperands,
     /*  974374 */     // GIR_Coverage, 8906,
     /*  974374 */     GIR_EraseRootFromParent_Done,
     /*  974375 */   // Label 14604: @974375
     /*  974375 */   GIM_Try, /*On fail goto*//*Label 14605*/ GIMT_Encode4(974470), // Rule ID 8907 //
     /*  974380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  974397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974430 */     // MIs[1] Operand 1
     /*  974430 */     // No operand predicates
     /*  974430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974443 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  974443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974468 */     GIR_RootConstrainSelectedInstOperands,
     /*  974469 */     // GIR_Coverage, 8907,
     /*  974469 */     GIR_EraseRootFromParent_Done,
     /*  974470 */   // Label 14605: @974470
     /*  974470 */   GIM_Try, /*On fail goto*//*Label 14606*/ GIMT_Encode4(974565), // Rule ID 8910 //
     /*  974475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  974486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  974489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  974492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  974498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974525 */     // MIs[1] Operand 1
     /*  974525 */     // No operand predicates
     /*  974525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974538 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  974538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974563 */     GIR_RootConstrainSelectedInstOperands,
     /*  974564 */     // GIR_Coverage, 8910,
     /*  974564 */     GIR_EraseRootFromParent_Done,
     /*  974565 */   // Label 14606: @974565
     /*  974565 */   GIM_Try, /*On fail goto*//*Label 14607*/ GIMT_Encode4(974660), // Rule ID 8911 //
     /*  974570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  974581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  974584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  974587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  974593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974620 */     // MIs[1] Operand 1
     /*  974620 */     // No operand predicates
     /*  974620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974633 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  974633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974658 */     GIR_RootConstrainSelectedInstOperands,
     /*  974659 */     // GIR_Coverage, 8911,
     /*  974659 */     GIR_EraseRootFromParent_Done,
     /*  974660 */   // Label 14607: @974660
     /*  974660 */   GIM_Try, /*On fail goto*//*Label 14608*/ GIMT_Encode4(974755), // Rule ID 8914 //
     /*  974665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  974682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974715 */     // MIs[1] Operand 1
     /*  974715 */     // No operand predicates
     /*  974715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974753 */     GIR_RootConstrainSelectedInstOperands,
     /*  974754 */     // GIR_Coverage, 8914,
     /*  974754 */     GIR_EraseRootFromParent_Done,
     /*  974755 */   // Label 14608: @974755
     /*  974755 */   GIM_Try, /*On fail goto*//*Label 14609*/ GIMT_Encode4(974850), // Rule ID 8915 //
     /*  974760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  974777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974810 */     // MIs[1] Operand 1
     /*  974810 */     // No operand predicates
     /*  974810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974823 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974848 */     GIR_RootConstrainSelectedInstOperands,
     /*  974849 */     // GIR_Coverage, 8915,
     /*  974849 */     GIR_EraseRootFromParent_Done,
     /*  974850 */   // Label 14609: @974850
     /*  974850 */   GIM_Try, /*On fail goto*//*Label 14610*/ GIMT_Encode4(974945), // Rule ID 8918 //
     /*  974855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  974872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974905 */     // MIs[1] Operand 1
     /*  974905 */     // No operand predicates
     /*  974905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974918 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974943 */     GIR_RootConstrainSelectedInstOperands,
     /*  974944 */     // GIR_Coverage, 8918,
     /*  974944 */     GIR_EraseRootFromParent_Done,
     /*  974945 */   // Label 14610: @974945
     /*  974945 */   GIM_Try, /*On fail goto*//*Label 14611*/ GIMT_Encode4(975040), // Rule ID 8919 //
     /*  974950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  974967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975000 */     // MIs[1] Operand 1
     /*  975000 */     // No operand predicates
     /*  975000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975013 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  975013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  975016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975038 */     GIR_RootConstrainSelectedInstOperands,
     /*  975039 */     // GIR_Coverage, 8919,
     /*  975039 */     GIR_EraseRootFromParent_Done,
     /*  975040 */   // Label 14611: @975040
     /*  975040 */   GIM_Try, /*On fail goto*//*Label 14612*/ GIMT_Encode4(975135), // Rule ID 8922 //
     /*  975045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  975056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  975059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  975062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  975068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975095 */     // MIs[1] Operand 1
     /*  975095 */     // No operand predicates
     /*  975095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975108 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  975108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975133 */     GIR_RootConstrainSelectedInstOperands,
     /*  975134 */     // GIR_Coverage, 8922,
     /*  975134 */     GIR_EraseRootFromParent_Done,
     /*  975135 */   // Label 14612: @975135
     /*  975135 */   GIM_Try, /*On fail goto*//*Label 14613*/ GIMT_Encode4(975230), // Rule ID 8923 //
     /*  975140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  975151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  975154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  975157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  975163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975190 */     // MIs[1] Operand 1
     /*  975190 */     // No operand predicates
     /*  975190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975203 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  975203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975228 */     GIR_RootConstrainSelectedInstOperands,
     /*  975229 */     // GIR_Coverage, 8923,
     /*  975229 */     GIR_EraseRootFromParent_Done,
     /*  975230 */   // Label 14613: @975230
     /*  975230 */   GIM_Try, /*On fail goto*//*Label 14614*/ GIMT_Encode4(975325), // Rule ID 8926 //
     /*  975235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  975252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975285 */     // MIs[1] Operand 1
     /*  975285 */     // No operand predicates
     /*  975285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975298 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  975298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  975301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975323 */     GIR_RootConstrainSelectedInstOperands,
     /*  975324 */     // GIR_Coverage, 8926,
     /*  975324 */     GIR_EraseRootFromParent_Done,
     /*  975325 */   // Label 14614: @975325
     /*  975325 */   GIM_Try, /*On fail goto*//*Label 14615*/ GIMT_Encode4(975420), // Rule ID 8927 //
     /*  975330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  975347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975380 */     // MIs[1] Operand 1
     /*  975380 */     // No operand predicates
     /*  975380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975393 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  975396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975418 */     GIR_RootConstrainSelectedInstOperands,
     /*  975419 */     // GIR_Coverage, 8927,
     /*  975419 */     GIR_EraseRootFromParent_Done,
     /*  975420 */   // Label 14615: @975420
     /*  975420 */   GIM_Try, /*On fail goto*//*Label 14616*/ GIMT_Encode4(975515), // Rule ID 8930 //
     /*  975425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  975442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975475 */     // MIs[1] Operand 1
     /*  975475 */     // No operand predicates
     /*  975475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975488 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  975488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  975491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975513 */     GIR_RootConstrainSelectedInstOperands,
     /*  975514 */     // GIR_Coverage, 8930,
     /*  975514 */     GIR_EraseRootFromParent_Done,
     /*  975515 */   // Label 14616: @975515
     /*  975515 */   GIM_Try, /*On fail goto*//*Label 14617*/ GIMT_Encode4(975610), // Rule ID 8931 //
     /*  975520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  975537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975570 */     // MIs[1] Operand 1
     /*  975570 */     // No operand predicates
     /*  975570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975583 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  975586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975608 */     GIR_RootConstrainSelectedInstOperands,
     /*  975609 */     // GIR_Coverage, 8931,
     /*  975609 */     GIR_EraseRootFromParent_Done,
     /*  975610 */   // Label 14617: @975610
     /*  975610 */   GIM_Try, /*On fail goto*//*Label 14618*/ GIMT_Encode4(975705), // Rule ID 8934 //
     /*  975615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  975626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  975629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  975632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  975638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975665 */     // MIs[1] Operand 1
     /*  975665 */     // No operand predicates
     /*  975665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975678 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  975678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975703 */     GIR_RootConstrainSelectedInstOperands,
     /*  975704 */     // GIR_Coverage, 8934,
     /*  975704 */     GIR_EraseRootFromParent_Done,
     /*  975705 */   // Label 14618: @975705
     /*  975705 */   GIM_Try, /*On fail goto*//*Label 14619*/ GIMT_Encode4(975800), // Rule ID 8935 //
     /*  975710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  975721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  975724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  975727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  975733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975760 */     // MIs[1] Operand 1
     /*  975760 */     // No operand predicates
     /*  975760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975773 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975798 */     GIR_RootConstrainSelectedInstOperands,
     /*  975799 */     // GIR_Coverage, 8935,
     /*  975799 */     GIR_EraseRootFromParent_Done,
     /*  975800 */   // Label 14619: @975800
     /*  975800 */   GIM_Try, /*On fail goto*//*Label 14620*/ GIMT_Encode4(975895), // Rule ID 8938 //
     /*  975805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  975822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975855 */     // MIs[1] Operand 1
     /*  975855 */     // No operand predicates
     /*  975855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975868 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  975871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975893 */     GIR_RootConstrainSelectedInstOperands,
     /*  975894 */     // GIR_Coverage, 8938,
     /*  975894 */     GIR_EraseRootFromParent_Done,
     /*  975895 */   // Label 14620: @975895
     /*  975895 */   GIM_Try, /*On fail goto*//*Label 14621*/ GIMT_Encode4(975990), // Rule ID 8939 //
     /*  975900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  975917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975950 */     // MIs[1] Operand 1
     /*  975950 */     // No operand predicates
     /*  975950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975963 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  975966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975988 */     GIR_RootConstrainSelectedInstOperands,
     /*  975989 */     // GIR_Coverage, 8939,
     /*  975989 */     GIR_EraseRootFromParent_Done,
     /*  975990 */   // Label 14621: @975990
     /*  975990 */   GIM_Try, /*On fail goto*//*Label 14622*/ GIMT_Encode4(976085), // Rule ID 8942 //
     /*  975995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  976012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976045 */     // MIs[1] Operand 1
     /*  976045 */     // No operand predicates
     /*  976045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976058 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  976058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  976061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  976080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976083 */     GIR_RootConstrainSelectedInstOperands,
     /*  976084 */     // GIR_Coverage, 8942,
     /*  976084 */     GIR_EraseRootFromParent_Done,
     /*  976085 */   // Label 14622: @976085
     /*  976085 */   GIM_Try, /*On fail goto*//*Label 14623*/ GIMT_Encode4(976180), // Rule ID 8943 //
     /*  976090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  976093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  976107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976140 */     // MIs[1] Operand 1
     /*  976140 */     // No operand predicates
     /*  976140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976153 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  976153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  976156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  976175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976178 */     GIR_RootConstrainSelectedInstOperands,
     /*  976179 */     // GIR_Coverage, 8943,
     /*  976179 */     GIR_EraseRootFromParent_Done,
     /*  976180 */   // Label 14623: @976180
     /*  976180 */   GIM_Try, /*On fail goto*//*Label 14624*/ GIMT_Encode4(976275), // Rule ID 8946 //
     /*  976185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  976188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  976202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  976223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976235 */     // MIs[1] Operand 1
     /*  976235 */     // No operand predicates
     /*  976235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  976248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  976251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  976270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976273 */     GIR_RootConstrainSelectedInstOperands,
     /*  976274 */     // GIR_Coverage, 8946,
     /*  976274 */     GIR_EraseRootFromParent_Done,
     /*  976275 */   // Label 14624: @976275
     /*  976275 */   GIM_Try, /*On fail goto*//*Label 14625*/ GIMT_Encode4(976370), // Rule ID 8947 //
     /*  976280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  976283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  976297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  976318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976330 */     // MIs[1] Operand 1
     /*  976330 */     // No operand predicates
     /*  976330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976343 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  976343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  976346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  976365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976368 */     GIR_RootConstrainSelectedInstOperands,
     /*  976369 */     // GIR_Coverage, 8947,
     /*  976369 */     GIR_EraseRootFromParent_Done,
     /*  976370 */   // Label 14625: @976370
     /*  976370 */   GIM_Try, /*On fail goto*//*Label 14626*/ GIMT_Encode4(976465), // Rule ID 9126 //
     /*  976375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  976392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976425 */     // MIs[1] Operand 1
     /*  976425 */     // No operand predicates
     /*  976425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976438 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  976441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976463 */     GIR_RootConstrainSelectedInstOperands,
     /*  976464 */     // GIR_Coverage, 9126,
     /*  976464 */     GIR_EraseRootFromParent_Done,
     /*  976465 */   // Label 14626: @976465
     /*  976465 */   GIM_Try, /*On fail goto*//*Label 14627*/ GIMT_Encode4(976560), // Rule ID 9127 //
     /*  976470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  976487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976520 */     // MIs[1] Operand 1
     /*  976520 */     // No operand predicates
     /*  976520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976533 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  976536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976558 */     GIR_RootConstrainSelectedInstOperands,
     /*  976559 */     // GIR_Coverage, 9127,
     /*  976559 */     GIR_EraseRootFromParent_Done,
     /*  976560 */   // Label 14627: @976560
     /*  976560 */   GIM_Try, /*On fail goto*//*Label 14628*/ GIMT_Encode4(976655), // Rule ID 9130 //
     /*  976565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  976582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976615 */     // MIs[1] Operand 1
     /*  976615 */     // No operand predicates
     /*  976615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  976631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976653 */     GIR_RootConstrainSelectedInstOperands,
     /*  976654 */     // GIR_Coverage, 9130,
     /*  976654 */     GIR_EraseRootFromParent_Done,
     /*  976655 */   // Label 14628: @976655
     /*  976655 */   GIM_Try, /*On fail goto*//*Label 14629*/ GIMT_Encode4(976750), // Rule ID 9131 //
     /*  976660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  976677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976710 */     // MIs[1] Operand 1
     /*  976710 */     // No operand predicates
     /*  976710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976723 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  976726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976748 */     GIR_RootConstrainSelectedInstOperands,
     /*  976749 */     // GIR_Coverage, 9131,
     /*  976749 */     GIR_EraseRootFromParent_Done,
     /*  976750 */   // Label 14629: @976750
     /*  976750 */   GIM_Try, /*On fail goto*//*Label 14630*/ GIMT_Encode4(976845), // Rule ID 9134 //
     /*  976755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  976772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976805 */     // MIs[1] Operand 1
     /*  976805 */     // No operand predicates
     /*  976805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976818 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976843 */     GIR_RootConstrainSelectedInstOperands,
     /*  976844 */     // GIR_Coverage, 9134,
     /*  976844 */     GIR_EraseRootFromParent_Done,
     /*  976845 */   // Label 14630: @976845
     /*  976845 */   GIM_Try, /*On fail goto*//*Label 14631*/ GIMT_Encode4(976940), // Rule ID 9135 //
     /*  976850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  976867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976900 */     // MIs[1] Operand 1
     /*  976900 */     // No operand predicates
     /*  976900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976913 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976938 */     GIR_RootConstrainSelectedInstOperands,
     /*  976939 */     // GIR_Coverage, 9135,
     /*  976939 */     GIR_EraseRootFromParent_Done,
     /*  976940 */   // Label 14631: @976940
     /*  976940 */   GIM_Try, /*On fail goto*//*Label 14632*/ GIMT_Encode4(977035), // Rule ID 9138 //
     /*  976945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  976962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976995 */     // MIs[1] Operand 1
     /*  976995 */     // No operand predicates
     /*  976995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977008 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  977008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  977011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977033 */     GIR_RootConstrainSelectedInstOperands,
     /*  977034 */     // GIR_Coverage, 9138,
     /*  977034 */     GIR_EraseRootFromParent_Done,
     /*  977035 */   // Label 14632: @977035
     /*  977035 */   GIM_Try, /*On fail goto*//*Label 14633*/ GIMT_Encode4(977130), // Rule ID 9139 //
     /*  977040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  977057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977090 */     // MIs[1] Operand 1
     /*  977090 */     // No operand predicates
     /*  977090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977103 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  977103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  977106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977128 */     GIR_RootConstrainSelectedInstOperands,
     /*  977129 */     // GIR_Coverage, 9139,
     /*  977129 */     GIR_EraseRootFromParent_Done,
     /*  977130 */   // Label 14633: @977130
     /*  977130 */   GIM_Try, /*On fail goto*//*Label 14634*/ GIMT_Encode4(977225), // Rule ID 9142 //
     /*  977135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  977152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977185 */     // MIs[1] Operand 1
     /*  977185 */     // No operand predicates
     /*  977185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977198 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  977198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  977201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977223 */     GIR_RootConstrainSelectedInstOperands,
     /*  977224 */     // GIR_Coverage, 9142,
     /*  977224 */     GIR_EraseRootFromParent_Done,
     /*  977225 */   // Label 14634: @977225
     /*  977225 */   GIM_Try, /*On fail goto*//*Label 14635*/ GIMT_Encode4(977320), // Rule ID 9143 //
     /*  977230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  977247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977280 */     // MIs[1] Operand 1
     /*  977280 */     // No operand predicates
     /*  977280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977293 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  977293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  977296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977318 */     GIR_RootConstrainSelectedInstOperands,
     /*  977319 */     // GIR_Coverage, 9143,
     /*  977319 */     GIR_EraseRootFromParent_Done,
     /*  977320 */   // Label 14635: @977320
     /*  977320 */   GIM_Try, /*On fail goto*//*Label 14636*/ GIMT_Encode4(977415), // Rule ID 9146 //
     /*  977325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  977342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977375 */     // MIs[1] Operand 1
     /*  977375 */     // No operand predicates
     /*  977375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977388 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  977388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  977391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977413 */     GIR_RootConstrainSelectedInstOperands,
     /*  977414 */     // GIR_Coverage, 9146,
     /*  977414 */     GIR_EraseRootFromParent_Done,
     /*  977415 */   // Label 14636: @977415
     /*  977415 */   GIM_Try, /*On fail goto*//*Label 14637*/ GIMT_Encode4(977510), // Rule ID 9147 //
     /*  977420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  977437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977470 */     // MIs[1] Operand 1
     /*  977470 */     // No operand predicates
     /*  977470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977483 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  977483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  977486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977508 */     GIR_RootConstrainSelectedInstOperands,
     /*  977509 */     // GIR_Coverage, 9147,
     /*  977509 */     GIR_EraseRootFromParent_Done,
     /*  977510 */   // Label 14637: @977510
     /*  977510 */   GIM_Try, /*On fail goto*//*Label 14638*/ GIMT_Encode4(977605), // Rule ID 9150 //
     /*  977515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  977532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977565 */     // MIs[1] Operand 1
     /*  977565 */     // No operand predicates
     /*  977565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977578 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977603 */     GIR_RootConstrainSelectedInstOperands,
     /*  977604 */     // GIR_Coverage, 9150,
     /*  977604 */     GIR_EraseRootFromParent_Done,
     /*  977605 */   // Label 14638: @977605
     /*  977605 */   GIM_Try, /*On fail goto*//*Label 14639*/ GIMT_Encode4(977700), // Rule ID 9151 //
     /*  977610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  977627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977660 */     // MIs[1] Operand 1
     /*  977660 */     // No operand predicates
     /*  977660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977673 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977698 */     GIR_RootConstrainSelectedInstOperands,
     /*  977699 */     // GIR_Coverage, 9151,
     /*  977699 */     GIR_EraseRootFromParent_Done,
     /*  977700 */   // Label 14639: @977700
     /*  977700 */   GIM_Try, /*On fail goto*//*Label 14640*/ GIMT_Encode4(977795), // Rule ID 9154 //
     /*  977705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  977722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977755 */     // MIs[1] Operand 1
     /*  977755 */     // No operand predicates
     /*  977755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977768 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  977768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977793 */     GIR_RootConstrainSelectedInstOperands,
     /*  977794 */     // GIR_Coverage, 9154,
     /*  977794 */     GIR_EraseRootFromParent_Done,
     /*  977795 */   // Label 14640: @977795
     /*  977795 */   GIM_Try, /*On fail goto*//*Label 14641*/ GIMT_Encode4(977890), // Rule ID 9155 //
     /*  977800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  977817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977850 */     // MIs[1] Operand 1
     /*  977850 */     // No operand predicates
     /*  977850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  977863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977888 */     GIR_RootConstrainSelectedInstOperands,
     /*  977889 */     // GIR_Coverage, 9155,
     /*  977889 */     GIR_EraseRootFromParent_Done,
     /*  977890 */   // Label 14641: @977890
     /*  977890 */   GIM_Try, /*On fail goto*//*Label 14642*/ GIMT_Encode4(977985), // Rule ID 9158 //
     /*  977895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  977912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977945 */     // MIs[1] Operand 1
     /*  977945 */     // No operand predicates
     /*  977945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977958 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  977958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977983 */     GIR_RootConstrainSelectedInstOperands,
     /*  977984 */     // GIR_Coverage, 9158,
     /*  977984 */     GIR_EraseRootFromParent_Done,
     /*  977985 */   // Label 14642: @977985
     /*  977985 */   GIM_Try, /*On fail goto*//*Label 14643*/ GIMT_Encode4(978080), // Rule ID 9159 //
     /*  977990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  978001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  978004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  978007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  978013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978040 */     // MIs[1] Operand 1
     /*  978040 */     // No operand predicates
     /*  978040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978053 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  978053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  978056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978078 */     GIR_RootConstrainSelectedInstOperands,
     /*  978079 */     // GIR_Coverage, 9159,
     /*  978079 */     GIR_EraseRootFromParent_Done,
     /*  978080 */   // Label 14643: @978080
     /*  978080 */   GIM_Try, /*On fail goto*//*Label 14644*/ GIMT_Encode4(978175), // Rule ID 9162 //
     /*  978085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  978088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  978096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  978099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  978102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  978108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978135 */     // MIs[1] Operand 1
     /*  978135 */     // No operand predicates
     /*  978135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978148 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  978148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  978151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  978170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978173 */     GIR_RootConstrainSelectedInstOperands,
     /*  978174 */     // GIR_Coverage, 9162,
     /*  978174 */     GIR_EraseRootFromParent_Done,
     /*  978175 */   // Label 14644: @978175
     /*  978175 */   GIM_Try, /*On fail goto*//*Label 14645*/ GIMT_Encode4(978270), // Rule ID 9163 //
     /*  978180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  978183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  978191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  978194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  978197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  978203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978230 */     // MIs[1] Operand 1
     /*  978230 */     // No operand predicates
     /*  978230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978243 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  978243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  978246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  978265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978268 */     GIR_RootConstrainSelectedInstOperands,
     /*  978269 */     // GIR_Coverage, 9163,
     /*  978269 */     GIR_EraseRootFromParent_Done,
     /*  978270 */   // Label 14645: @978270
     /*  978270 */   GIM_Try, /*On fail goto*//*Label 14646*/ GIMT_Encode4(978365), // Rule ID 9166 //
     /*  978275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  978292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978325 */     // MIs[1] Operand 1
     /*  978325 */     // No operand predicates
     /*  978325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978338 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978363 */     GIR_RootConstrainSelectedInstOperands,
     /*  978364 */     // GIR_Coverage, 9166,
     /*  978364 */     GIR_EraseRootFromParent_Done,
     /*  978365 */   // Label 14646: @978365
     /*  978365 */   GIM_Try, /*On fail goto*//*Label 14647*/ GIMT_Encode4(978460), // Rule ID 9167 //
     /*  978370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  978387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978420 */     // MIs[1] Operand 1
     /*  978420 */     // No operand predicates
     /*  978420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978433 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978458 */     GIR_RootConstrainSelectedInstOperands,
     /*  978459 */     // GIR_Coverage, 9167,
     /*  978459 */     GIR_EraseRootFromParent_Done,
     /*  978460 */   // Label 14647: @978460
     /*  978460 */   GIM_Try, /*On fail goto*//*Label 14648*/ GIMT_Encode4(978555), // Rule ID 9170 //
     /*  978465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  978482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978515 */     // MIs[1] Operand 1
     /*  978515 */     // No operand predicates
     /*  978515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978528 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978553 */     GIR_RootConstrainSelectedInstOperands,
     /*  978554 */     // GIR_Coverage, 9170,
     /*  978554 */     GIR_EraseRootFromParent_Done,
     /*  978555 */   // Label 14648: @978555
     /*  978555 */   GIM_Try, /*On fail goto*//*Label 14649*/ GIMT_Encode4(978650), // Rule ID 9171 //
     /*  978560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  978577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978610 */     // MIs[1] Operand 1
     /*  978610 */     // No operand predicates
     /*  978610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978623 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978648 */     GIR_RootConstrainSelectedInstOperands,
     /*  978649 */     // GIR_Coverage, 9171,
     /*  978649 */     GIR_EraseRootFromParent_Done,
     /*  978650 */   // Label 14649: @978650
     /*  978650 */   GIM_Try, /*On fail goto*//*Label 14650*/ GIMT_Encode4(978745), // Rule ID 9174 //
     /*  978655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  978666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  978669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  978672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  978678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978705 */     // MIs[1] Operand 1
     /*  978705 */     // No operand predicates
     /*  978705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978718 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978743 */     GIR_RootConstrainSelectedInstOperands,
     /*  978744 */     // GIR_Coverage, 9174,
     /*  978744 */     GIR_EraseRootFromParent_Done,
     /*  978745 */   // Label 14650: @978745
     /*  978745 */   GIM_Try, /*On fail goto*//*Label 14651*/ GIMT_Encode4(978840), // Rule ID 9175 //
     /*  978750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  978761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  978764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  978767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  978773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978800 */     // MIs[1] Operand 1
     /*  978800 */     // No operand predicates
     /*  978800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978813 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978838 */     GIR_RootConstrainSelectedInstOperands,
     /*  978839 */     // GIR_Coverage, 9175,
     /*  978839 */     GIR_EraseRootFromParent_Done,
     /*  978840 */   // Label 14651: @978840
     /*  978840 */   GIM_Try, /*On fail goto*//*Label 14652*/ GIMT_Encode4(978935), // Rule ID 9178 //
     /*  978845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978895 */     // MIs[1] Operand 1
     /*  978895 */     // No operand predicates
     /*  978895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978933 */     GIR_RootConstrainSelectedInstOperands,
     /*  978934 */     // GIR_Coverage, 9178,
     /*  978934 */     GIR_EraseRootFromParent_Done,
     /*  978935 */   // Label 14652: @978935
     /*  978935 */   GIM_Try, /*On fail goto*//*Label 14653*/ GIMT_Encode4(979030), // Rule ID 9179 //
     /*  978940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978990 */     // MIs[1] Operand 1
     /*  978990 */     // No operand predicates
     /*  978990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979003 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  979003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  979006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979028 */     GIR_RootConstrainSelectedInstOperands,
     /*  979029 */     // GIR_Coverage, 9179,
     /*  979029 */     GIR_EraseRootFromParent_Done,
     /*  979030 */   // Label 14653: @979030
     /*  979030 */   GIM_Try, /*On fail goto*//*Label 14654*/ GIMT_Encode4(979125), // Rule ID 9182 //
     /*  979035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  979052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979085 */     // MIs[1] Operand 1
     /*  979085 */     // No operand predicates
     /*  979085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979098 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  979098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979123 */     GIR_RootConstrainSelectedInstOperands,
     /*  979124 */     // GIR_Coverage, 9182,
     /*  979124 */     GIR_EraseRootFromParent_Done,
     /*  979125 */   // Label 14654: @979125
     /*  979125 */   GIM_Try, /*On fail goto*//*Label 14655*/ GIMT_Encode4(979220), // Rule ID 9183 //
     /*  979130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  979147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979180 */     // MIs[1] Operand 1
     /*  979180 */     // No operand predicates
     /*  979180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979193 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  979193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979218 */     GIR_RootConstrainSelectedInstOperands,
     /*  979219 */     // GIR_Coverage, 9183,
     /*  979219 */     GIR_EraseRootFromParent_Done,
     /*  979220 */   // Label 14655: @979220
     /*  979220 */   GIM_Try, /*On fail goto*//*Label 14656*/ GIMT_Encode4(979315), // Rule ID 9186 //
     /*  979225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  979236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  979239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  979242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  979248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979275 */     // MIs[1] Operand 1
     /*  979275 */     // No operand predicates
     /*  979275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979288 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  979288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979313 */     GIR_RootConstrainSelectedInstOperands,
     /*  979314 */     // GIR_Coverage, 9186,
     /*  979314 */     GIR_EraseRootFromParent_Done,
     /*  979315 */   // Label 14656: @979315
     /*  979315 */   GIM_Try, /*On fail goto*//*Label 14657*/ GIMT_Encode4(979410), // Rule ID 9187 //
     /*  979320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  979331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  979334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  979337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  979343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979370 */     // MIs[1] Operand 1
     /*  979370 */     // No operand predicates
     /*  979370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979383 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  979383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979408 */     GIR_RootConstrainSelectedInstOperands,
     /*  979409 */     // GIR_Coverage, 9187,
     /*  979409 */     GIR_EraseRootFromParent_Done,
     /*  979410 */   // Label 14657: @979410
     /*  979410 */   GIM_Try, /*On fail goto*//*Label 14658*/ GIMT_Encode4(979505), // Rule ID 9190 //
     /*  979415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  979432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979465 */     // MIs[1] Operand 1
     /*  979465 */     // No operand predicates
     /*  979465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979478 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  979481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979503 */     GIR_RootConstrainSelectedInstOperands,
     /*  979504 */     // GIR_Coverage, 9190,
     /*  979504 */     GIR_EraseRootFromParent_Done,
     /*  979505 */   // Label 14658: @979505
     /*  979505 */   GIM_Try, /*On fail goto*//*Label 14659*/ GIMT_Encode4(979600), // Rule ID 9191 //
     /*  979510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  979527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979560 */     // MIs[1] Operand 1
     /*  979560 */     // No operand predicates
     /*  979560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979573 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  979576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979598 */     GIR_RootConstrainSelectedInstOperands,
     /*  979599 */     // GIR_Coverage, 9191,
     /*  979599 */     GIR_EraseRootFromParent_Done,
     /*  979600 */   // Label 14659: @979600
     /*  979600 */   GIM_Try, /*On fail goto*//*Label 14660*/ GIMT_Encode4(979695), // Rule ID 9194 //
     /*  979605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  979622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979655 */     // MIs[1] Operand 1
     /*  979655 */     // No operand predicates
     /*  979655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979668 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979693 */     GIR_RootConstrainSelectedInstOperands,
     /*  979694 */     // GIR_Coverage, 9194,
     /*  979694 */     GIR_EraseRootFromParent_Done,
     /*  979695 */   // Label 14660: @979695
     /*  979695 */   GIM_Try, /*On fail goto*//*Label 14661*/ GIMT_Encode4(979790), // Rule ID 9195 //
     /*  979700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  979717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979750 */     // MIs[1] Operand 1
     /*  979750 */     // No operand predicates
     /*  979750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979763 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979788 */     GIR_RootConstrainSelectedInstOperands,
     /*  979789 */     // GIR_Coverage, 9195,
     /*  979789 */     GIR_EraseRootFromParent_Done,
     /*  979790 */   // Label 14661: @979790
     /*  979790 */   GIM_Try, /*On fail goto*//*Label 14662*/ GIMT_Encode4(979885), // Rule ID 9198 //
     /*  979795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  979812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979845 */     // MIs[1] Operand 1
     /*  979845 */     // No operand predicates
     /*  979845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979858 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979883 */     GIR_RootConstrainSelectedInstOperands,
     /*  979884 */     // GIR_Coverage, 9198,
     /*  979884 */     GIR_EraseRootFromParent_Done,
     /*  979885 */   // Label 14662: @979885
     /*  979885 */   GIM_Try, /*On fail goto*//*Label 14663*/ GIMT_Encode4(979980), // Rule ID 9199 //
     /*  979890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  979907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979940 */     // MIs[1] Operand 1
     /*  979940 */     // No operand predicates
     /*  979940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979953 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979978 */     GIR_RootConstrainSelectedInstOperands,
     /*  979979 */     // GIR_Coverage, 9199,
     /*  979979 */     GIR_EraseRootFromParent_Done,
     /*  979980 */   // Label 14663: @979980
     /*  979980 */   GIM_Try, /*On fail goto*//*Label 14664*/ GIMT_Encode4(980075), // Rule ID 9202 //
     /*  979985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  980002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980035 */     // MIs[1] Operand 1
     /*  980035 */     // No operand predicates
     /*  980035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  980048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  980051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980073 */     GIR_RootConstrainSelectedInstOperands,
     /*  980074 */     // GIR_Coverage, 9202,
     /*  980074 */     GIR_EraseRootFromParent_Done,
     /*  980075 */   // Label 14664: @980075
     /*  980075 */   GIM_Try, /*On fail goto*//*Label 14665*/ GIMT_Encode4(980170), // Rule ID 9203 //
     /*  980080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  980083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  980097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980130 */     // MIs[1] Operand 1
     /*  980130 */     // No operand predicates
     /*  980130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980143 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  980143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  980146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980168 */     GIR_RootConstrainSelectedInstOperands,
     /*  980169 */     // GIR_Coverage, 9203,
     /*  980169 */     GIR_EraseRootFromParent_Done,
     /*  980170 */   // Label 14665: @980170
     /*  980170 */   GIM_Try, /*On fail goto*//*Label 14666*/ GIMT_Encode4(980265), // Rule ID 9206 //
     /*  980175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  980178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  980192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980225 */     // MIs[1] Operand 1
     /*  980225 */     // No operand predicates
     /*  980225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980238 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  980238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  980241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980263 */     GIR_RootConstrainSelectedInstOperands,
     /*  980264 */     // GIR_Coverage, 9206,
     /*  980264 */     GIR_EraseRootFromParent_Done,
     /*  980265 */   // Label 14666: @980265
     /*  980265 */   GIM_Try, /*On fail goto*//*Label 14667*/ GIMT_Encode4(980360), // Rule ID 9207 //
     /*  980270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  980273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  980287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980320 */     // MIs[1] Operand 1
     /*  980320 */     // No operand predicates
     /*  980320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980333 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  980333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  980336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980358 */     GIR_RootConstrainSelectedInstOperands,
     /*  980359 */     // GIR_Coverage, 9207,
     /*  980359 */     GIR_EraseRootFromParent_Done,
     /*  980360 */   // Label 14667: @980360
     /*  980360 */   GIM_Try, /*On fail goto*//*Label 14668*/ GIMT_Encode4(980455), // Rule ID 9210 //
     /*  980365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  980368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  980376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  980379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  980382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  980388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  980403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980415 */     // MIs[1] Operand 1
     /*  980415 */     // No operand predicates
     /*  980415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  980428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  980431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980453 */     GIR_RootConstrainSelectedInstOperands,
     /*  980454 */     // GIR_Coverage, 9210,
     /*  980454 */     GIR_EraseRootFromParent_Done,
     /*  980455 */   // Label 14668: @980455
     /*  980455 */   GIM_Try, /*On fail goto*//*Label 14669*/ GIMT_Encode4(980550), // Rule ID 9211 //
     /*  980460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  980463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  980471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  980474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  980477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  980483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  980498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980510 */     // MIs[1] Operand 1
     /*  980510 */     // No operand predicates
     /*  980510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980523 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  980523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  980526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980548 */     GIR_RootConstrainSelectedInstOperands,
     /*  980549 */     // GIR_Coverage, 9211,
     /*  980549 */     GIR_EraseRootFromParent_Done,
     /*  980550 */   // Label 14669: @980550
     /*  980550 */   GIM_Try, /*On fail goto*//*Label 14670*/ GIMT_Encode4(980645), // Rule ID 9302 //
     /*  980555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  980572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980605 */     // MIs[1] Operand 1
     /*  980605 */     // No operand predicates
     /*  980605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980618 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  980621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980643 */     GIR_RootConstrainSelectedInstOperands,
     /*  980644 */     // GIR_Coverage, 9302,
     /*  980644 */     GIR_EraseRootFromParent_Done,
     /*  980645 */   // Label 14670: @980645
     /*  980645 */   GIM_Try, /*On fail goto*//*Label 14671*/ GIMT_Encode4(980740), // Rule ID 9303 //
     /*  980650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  980667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980700 */     // MIs[1] Operand 1
     /*  980700 */     // No operand predicates
     /*  980700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980713 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  980716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980738 */     GIR_RootConstrainSelectedInstOperands,
     /*  980739 */     // GIR_Coverage, 9303,
     /*  980739 */     GIR_EraseRootFromParent_Done,
     /*  980740 */   // Label 14671: @980740
     /*  980740 */   GIM_Try, /*On fail goto*//*Label 14672*/ GIMT_Encode4(980835), // Rule ID 9306 //
     /*  980745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  980762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980795 */     // MIs[1] Operand 1
     /*  980795 */     // No operand predicates
     /*  980795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980808 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980833 */     GIR_RootConstrainSelectedInstOperands,
     /*  980834 */     // GIR_Coverage, 9306,
     /*  980834 */     GIR_EraseRootFromParent_Done,
     /*  980835 */   // Label 14672: @980835
     /*  980835 */   GIM_Try, /*On fail goto*//*Label 14673*/ GIMT_Encode4(980930), // Rule ID 9307 //
     /*  980840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  980857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980890 */     // MIs[1] Operand 1
     /*  980890 */     // No operand predicates
     /*  980890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980903 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980928 */     GIR_RootConstrainSelectedInstOperands,
     /*  980929 */     // GIR_Coverage, 9307,
     /*  980929 */     GIR_EraseRootFromParent_Done,
     /*  980930 */   // Label 14673: @980930
     /*  980930 */   GIM_Try, /*On fail goto*//*Label 14674*/ GIMT_Encode4(981025), // Rule ID 9310 //
     /*  980935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  980952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980985 */     // MIs[1] Operand 1
     /*  980985 */     // No operand predicates
     /*  980985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980998 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  981001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981023 */     GIR_RootConstrainSelectedInstOperands,
     /*  981024 */     // GIR_Coverage, 9310,
     /*  981024 */     GIR_EraseRootFromParent_Done,
     /*  981025 */   // Label 14674: @981025
     /*  981025 */   GIM_Try, /*On fail goto*//*Label 14675*/ GIMT_Encode4(981120), // Rule ID 9311 //
     /*  981030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  981047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981080 */     // MIs[1] Operand 1
     /*  981080 */     // No operand predicates
     /*  981080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981093 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  981096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981118 */     GIR_RootConstrainSelectedInstOperands,
     /*  981119 */     // GIR_Coverage, 9311,
     /*  981119 */     GIR_EraseRootFromParent_Done,
     /*  981120 */   // Label 14675: @981120
     /*  981120 */   GIM_Try, /*On fail goto*//*Label 14676*/ GIMT_Encode4(981215), // Rule ID 9314 //
     /*  981125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  981142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981175 */     // MIs[1] Operand 1
     /*  981175 */     // No operand predicates
     /*  981175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  981188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  981191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981213 */     GIR_RootConstrainSelectedInstOperands,
     /*  981214 */     // GIR_Coverage, 9314,
     /*  981214 */     GIR_EraseRootFromParent_Done,
     /*  981215 */   // Label 14676: @981215
     /*  981215 */   GIM_Try, /*On fail goto*//*Label 14677*/ GIMT_Encode4(981310), // Rule ID 9315 //
     /*  981220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  981237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981270 */     // MIs[1] Operand 1
     /*  981270 */     // No operand predicates
     /*  981270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981283 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  981283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  981286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981308 */     GIR_RootConstrainSelectedInstOperands,
     /*  981309 */     // GIR_Coverage, 9315,
     /*  981309 */     GIR_EraseRootFromParent_Done,
     /*  981310 */   // Label 14677: @981310
     /*  981310 */   GIM_Try, /*On fail goto*//*Label 14678*/ GIMT_Encode4(981405), // Rule ID 9318 //
     /*  981315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  981332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981365 */     // MIs[1] Operand 1
     /*  981365 */     // No operand predicates
     /*  981365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981378 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  981378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  981381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981403 */     GIR_RootConstrainSelectedInstOperands,
     /*  981404 */     // GIR_Coverage, 9318,
     /*  981404 */     GIR_EraseRootFromParent_Done,
     /*  981405 */   // Label 14678: @981405
     /*  981405 */   GIM_Try, /*On fail goto*//*Label 14679*/ GIMT_Encode4(981500), // Rule ID 9319 //
     /*  981410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  981427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981460 */     // MIs[1] Operand 1
     /*  981460 */     // No operand predicates
     /*  981460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981473 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  981473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  981476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981498 */     GIR_RootConstrainSelectedInstOperands,
     /*  981499 */     // GIR_Coverage, 9319,
     /*  981499 */     GIR_EraseRootFromParent_Done,
     /*  981500 */   // Label 14679: @981500
     /*  981500 */   GIM_Try, /*On fail goto*//*Label 14680*/ GIMT_Encode4(981595), // Rule ID 9322 //
     /*  981505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  981522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981555 */     // MIs[1] Operand 1
     /*  981555 */     // No operand predicates
     /*  981555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981568 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  981571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981593 */     GIR_RootConstrainSelectedInstOperands,
     /*  981594 */     // GIR_Coverage, 9322,
     /*  981594 */     GIR_EraseRootFromParent_Done,
     /*  981595 */   // Label 14680: @981595
     /*  981595 */   GIM_Try, /*On fail goto*//*Label 14681*/ GIMT_Encode4(981690), // Rule ID 9323 //
     /*  981600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  981617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981650 */     // MIs[1] Operand 1
     /*  981650 */     // No operand predicates
     /*  981650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981663 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  981666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981688 */     GIR_RootConstrainSelectedInstOperands,
     /*  981689 */     // GIR_Coverage, 9323,
     /*  981689 */     GIR_EraseRootFromParent_Done,
     /*  981690 */   // Label 14681: @981690
     /*  981690 */   GIM_Try, /*On fail goto*//*Label 14682*/ GIMT_Encode4(981785), // Rule ID 9326 //
     /*  981695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  981712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981745 */     // MIs[1] Operand 1
     /*  981745 */     // No operand predicates
     /*  981745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981758 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981783 */     GIR_RootConstrainSelectedInstOperands,
     /*  981784 */     // GIR_Coverage, 9326,
     /*  981784 */     GIR_EraseRootFromParent_Done,
     /*  981785 */   // Label 14682: @981785
     /*  981785 */   GIM_Try, /*On fail goto*//*Label 14683*/ GIMT_Encode4(981880), // Rule ID 9327 //
     /*  981790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  981807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981840 */     // MIs[1] Operand 1
     /*  981840 */     // No operand predicates
     /*  981840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981853 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981878 */     GIR_RootConstrainSelectedInstOperands,
     /*  981879 */     // GIR_Coverage, 9327,
     /*  981879 */     GIR_EraseRootFromParent_Done,
     /*  981880 */   // Label 14683: @981880
     /*  981880 */   GIM_Try, /*On fail goto*//*Label 14684*/ GIMT_Encode4(981975), // Rule ID 9330 //
     /*  981885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  981902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981935 */     // MIs[1] Operand 1
     /*  981935 */     // No operand predicates
     /*  981935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981948 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  981948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981973 */     GIR_RootConstrainSelectedInstOperands,
     /*  981974 */     // GIR_Coverage, 9330,
     /*  981974 */     GIR_EraseRootFromParent_Done,
     /*  981975 */   // Label 14684: @981975
     /*  981975 */   GIM_Try, /*On fail goto*//*Label 14685*/ GIMT_Encode4(982070), // Rule ID 9331 //
     /*  981980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  981997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982030 */     // MIs[1] Operand 1
     /*  982030 */     // No operand predicates
     /*  982030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982043 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  982046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982068 */     GIR_RootConstrainSelectedInstOperands,
     /*  982069 */     // GIR_Coverage, 9331,
     /*  982069 */     GIR_EraseRootFromParent_Done,
     /*  982070 */   // Label 14685: @982070
     /*  982070 */   GIM_Try, /*On fail goto*//*Label 14686*/ GIMT_Encode4(982165), // Rule ID 9334 //
     /*  982075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  982086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  982089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  982092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  982098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982125 */     // MIs[1] Operand 1
     /*  982125 */     // No operand predicates
     /*  982125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982138 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  982138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  982141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982163 */     GIR_RootConstrainSelectedInstOperands,
     /*  982164 */     // GIR_Coverage, 9334,
     /*  982164 */     GIR_EraseRootFromParent_Done,
     /*  982165 */   // Label 14686: @982165
     /*  982165 */   GIM_Try, /*On fail goto*//*Label 14687*/ GIMT_Encode4(982260), // Rule ID 9335 //
     /*  982170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  982181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  982184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  982187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  982193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982220 */     // MIs[1] Operand 1
     /*  982220 */     // No operand predicates
     /*  982220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982233 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  982233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  982236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982258 */     GIR_RootConstrainSelectedInstOperands,
     /*  982259 */     // GIR_Coverage, 9335,
     /*  982259 */     GIR_EraseRootFromParent_Done,
     /*  982260 */   // Label 14687: @982260
     /*  982260 */   GIM_Try, /*On fail goto*//*Label 14688*/ GIMT_Encode4(982355), // Rule ID 9338 //
     /*  982265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  982268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  982276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  982279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  982282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  982288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982315 */     // MIs[1] Operand 1
     /*  982315 */     // No operand predicates
     /*  982315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  982328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  982331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982353 */     GIR_RootConstrainSelectedInstOperands,
     /*  982354 */     // GIR_Coverage, 9338,
     /*  982354 */     GIR_EraseRootFromParent_Done,
     /*  982355 */   // Label 14688: @982355
     /*  982355 */   GIM_Try, /*On fail goto*//*Label 14689*/ GIMT_Encode4(982450), // Rule ID 9339 //
     /*  982360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  982363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  982371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  982374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  982377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  982383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982410 */     // MIs[1] Operand 1
     /*  982410 */     // No operand predicates
     /*  982410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982423 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  982423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  982426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982448 */     GIR_RootConstrainSelectedInstOperands,
     /*  982449 */     // GIR_Coverage, 9339,
     /*  982449 */     GIR_EraseRootFromParent_Done,
     /*  982450 */   // Label 14689: @982450
     /*  982450 */   GIM_Try, /*On fail goto*//*Label 14690*/ GIMT_Encode4(982545), // Rule ID 9342 //
     /*  982455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  982472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982505 */     // MIs[1] Operand 1
     /*  982505 */     // No operand predicates
     /*  982505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982518 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982543 */     GIR_RootConstrainSelectedInstOperands,
     /*  982544 */     // GIR_Coverage, 9342,
     /*  982544 */     GIR_EraseRootFromParent_Done,
     /*  982545 */   // Label 14690: @982545
     /*  982545 */   GIM_Try, /*On fail goto*//*Label 14691*/ GIMT_Encode4(982640), // Rule ID 9343 //
     /*  982550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  982567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982600 */     // MIs[1] Operand 1
     /*  982600 */     // No operand predicates
     /*  982600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982613 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982638 */     GIR_RootConstrainSelectedInstOperands,
     /*  982639 */     // GIR_Coverage, 9343,
     /*  982639 */     GIR_EraseRootFromParent_Done,
     /*  982640 */   // Label 14691: @982640
     /*  982640 */   GIM_Try, /*On fail goto*//*Label 14692*/ GIMT_Encode4(982735), // Rule ID 9346 //
     /*  982645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  982662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982695 */     // MIs[1] Operand 1
     /*  982695 */     // No operand predicates
     /*  982695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982708 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982733 */     GIR_RootConstrainSelectedInstOperands,
     /*  982734 */     // GIR_Coverage, 9346,
     /*  982734 */     GIR_EraseRootFromParent_Done,
     /*  982735 */   // Label 14692: @982735
     /*  982735 */   GIM_Try, /*On fail goto*//*Label 14693*/ GIMT_Encode4(982830), // Rule ID 9347 //
     /*  982740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  982757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982790 */     // MIs[1] Operand 1
     /*  982790 */     // No operand predicates
     /*  982790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982803 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982828 */     GIR_RootConstrainSelectedInstOperands,
     /*  982829 */     // GIR_Coverage, 9347,
     /*  982829 */     GIR_EraseRootFromParent_Done,
     /*  982830 */   // Label 14693: @982830
     /*  982830 */   GIM_Try, /*On fail goto*//*Label 14694*/ GIMT_Encode4(982925), // Rule ID 9350 //
     /*  982835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  982846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  982849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  982852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  982858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982885 */     // MIs[1] Operand 1
     /*  982885 */     // No operand predicates
     /*  982885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982898 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982923 */     GIR_RootConstrainSelectedInstOperands,
     /*  982924 */     // GIR_Coverage, 9350,
     /*  982924 */     GIR_EraseRootFromParent_Done,
     /*  982925 */   // Label 14694: @982925
     /*  982925 */   GIM_Try, /*On fail goto*//*Label 14695*/ GIMT_Encode4(983020), // Rule ID 9351 //
     /*  982930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  982941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  982944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  982947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  982953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982980 */     // MIs[1] Operand 1
     /*  982980 */     // No operand predicates
     /*  982980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982993 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983018 */     GIR_RootConstrainSelectedInstOperands,
     /*  983019 */     // GIR_Coverage, 9351,
     /*  983019 */     GIR_EraseRootFromParent_Done,
     /*  983020 */   // Label 14695: @983020
     /*  983020 */   GIM_Try, /*On fail goto*//*Label 14696*/ GIMT_Encode4(983115), // Rule ID 9354 //
     /*  983025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  983042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983075 */     // MIs[1] Operand 1
     /*  983075 */     // No operand predicates
     /*  983075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  983088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983113 */     GIR_RootConstrainSelectedInstOperands,
     /*  983114 */     // GIR_Coverage, 9354,
     /*  983114 */     GIR_EraseRootFromParent_Done,
     /*  983115 */   // Label 14696: @983115
     /*  983115 */   GIM_Try, /*On fail goto*//*Label 14697*/ GIMT_Encode4(983210), // Rule ID 9355 //
     /*  983120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  983137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983170 */     // MIs[1] Operand 1
     /*  983170 */     // No operand predicates
     /*  983170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983183 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  983183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983208 */     GIR_RootConstrainSelectedInstOperands,
     /*  983209 */     // GIR_Coverage, 9355,
     /*  983209 */     GIR_EraseRootFromParent_Done,
     /*  983210 */   // Label 14697: @983210
     /*  983210 */   GIM_Try, /*On fail goto*//*Label 14698*/ GIMT_Encode4(983305), // Rule ID 9358 //
     /*  983215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  983232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983265 */     // MIs[1] Operand 1
     /*  983265 */     // No operand predicates
     /*  983265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983278 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  983278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983303 */     GIR_RootConstrainSelectedInstOperands,
     /*  983304 */     // GIR_Coverage, 9358,
     /*  983304 */     GIR_EraseRootFromParent_Done,
     /*  983305 */   // Label 14698: @983305
     /*  983305 */   GIM_Try, /*On fail goto*//*Label 14699*/ GIMT_Encode4(983400), // Rule ID 9359 //
     /*  983310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  983327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983360 */     // MIs[1] Operand 1
     /*  983360 */     // No operand predicates
     /*  983360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983373 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  983373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983398 */     GIR_RootConstrainSelectedInstOperands,
     /*  983399 */     // GIR_Coverage, 9359,
     /*  983399 */     GIR_EraseRootFromParent_Done,
     /*  983400 */   // Label 14699: @983400
     /*  983400 */   GIM_Try, /*On fail goto*//*Label 14700*/ GIMT_Encode4(983495), // Rule ID 9362 //
     /*  983405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  983416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  983419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  983422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  983428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983455 */     // MIs[1] Operand 1
     /*  983455 */     // No operand predicates
     /*  983455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983468 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  983468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983493 */     GIR_RootConstrainSelectedInstOperands,
     /*  983494 */     // GIR_Coverage, 9362,
     /*  983494 */     GIR_EraseRootFromParent_Done,
     /*  983495 */   // Label 14700: @983495
     /*  983495 */   GIM_Try, /*On fail goto*//*Label 14701*/ GIMT_Encode4(983590), // Rule ID 9363 //
     /*  983500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  983511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  983514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  983517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  983523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983550 */     // MIs[1] Operand 1
     /*  983550 */     // No operand predicates
     /*  983550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983563 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  983563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983588 */     GIR_RootConstrainSelectedInstOperands,
     /*  983589 */     // GIR_Coverage, 9363,
     /*  983589 */     GIR_EraseRootFromParent_Done,
     /*  983590 */   // Label 14701: @983590
     /*  983590 */   GIM_Try, /*On fail goto*//*Label 14702*/ GIMT_Encode4(983685), // Rule ID 9366 //
     /*  983595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  983612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983645 */     // MIs[1] Operand 1
     /*  983645 */     // No operand predicates
     /*  983645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983658 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983683 */     GIR_RootConstrainSelectedInstOperands,
     /*  983684 */     // GIR_Coverage, 9366,
     /*  983684 */     GIR_EraseRootFromParent_Done,
     /*  983685 */   // Label 14702: @983685
     /*  983685 */   GIM_Try, /*On fail goto*//*Label 14703*/ GIMT_Encode4(983780), // Rule ID 9367 //
     /*  983690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  983707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983740 */     // MIs[1] Operand 1
     /*  983740 */     // No operand predicates
     /*  983740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983753 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983778 */     GIR_RootConstrainSelectedInstOperands,
     /*  983779 */     // GIR_Coverage, 9367,
     /*  983779 */     GIR_EraseRootFromParent_Done,
     /*  983780 */   // Label 14703: @983780
     /*  983780 */   GIM_Try, /*On fail goto*//*Label 14704*/ GIMT_Encode4(983875), // Rule ID 9370 //
     /*  983785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  983802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983835 */     // MIs[1] Operand 1
     /*  983835 */     // No operand predicates
     /*  983835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983848 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983873 */     GIR_RootConstrainSelectedInstOperands,
     /*  983874 */     // GIR_Coverage, 9370,
     /*  983874 */     GIR_EraseRootFromParent_Done,
     /*  983875 */   // Label 14704: @983875
     /*  983875 */   GIM_Try, /*On fail goto*//*Label 14705*/ GIMT_Encode4(983970), // Rule ID 9371 //
     /*  983880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  983897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983930 */     // MIs[1] Operand 1
     /*  983930 */     // No operand predicates
     /*  983930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983943 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983968 */     GIR_RootConstrainSelectedInstOperands,
     /*  983969 */     // GIR_Coverage, 9371,
     /*  983969 */     GIR_EraseRootFromParent_Done,
     /*  983970 */   // Label 14705: @983970
     /*  983970 */   GIM_Try, /*On fail goto*//*Label 14706*/ GIMT_Encode4(984065), // Rule ID 9374 //
     /*  983975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  983992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984025 */     // MIs[1] Operand 1
     /*  984025 */     // No operand predicates
     /*  984025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984038 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  984038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  984041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984063 */     GIR_RootConstrainSelectedInstOperands,
     /*  984064 */     // GIR_Coverage, 9374,
     /*  984064 */     GIR_EraseRootFromParent_Done,
     /*  984065 */   // Label 14706: @984065
     /*  984065 */   GIM_Try, /*On fail goto*//*Label 14707*/ GIMT_Encode4(984160), // Rule ID 9375 //
     /*  984070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  984081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  984084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  984087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  984093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984120 */     // MIs[1] Operand 1
     /*  984120 */     // No operand predicates
     /*  984120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984133 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  984133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  984136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984158 */     GIR_RootConstrainSelectedInstOperands,
     /*  984159 */     // GIR_Coverage, 9375,
     /*  984159 */     GIR_EraseRootFromParent_Done,
     /*  984160 */   // Label 14707: @984160
     /*  984160 */   GIM_Try, /*On fail goto*//*Label 14708*/ GIMT_Encode4(984255), // Rule ID 9378 //
     /*  984165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  984168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  984182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984215 */     // MIs[1] Operand 1
     /*  984215 */     // No operand predicates
     /*  984215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  984228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  984231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984253 */     GIR_RootConstrainSelectedInstOperands,
     /*  984254 */     // GIR_Coverage, 9378,
     /*  984254 */     GIR_EraseRootFromParent_Done,
     /*  984255 */   // Label 14708: @984255
     /*  984255 */   GIM_Try, /*On fail goto*//*Label 14709*/ GIMT_Encode4(984350), // Rule ID 9379 //
     /*  984260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  984263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  984277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984310 */     // MIs[1] Operand 1
     /*  984310 */     // No operand predicates
     /*  984310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984323 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  984323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  984326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984348 */     GIR_RootConstrainSelectedInstOperands,
     /*  984349 */     // GIR_Coverage, 9379,
     /*  984349 */     GIR_EraseRootFromParent_Done,
     /*  984350 */   // Label 14709: @984350
     /*  984350 */   GIM_Try, /*On fail goto*//*Label 14710*/ GIMT_Encode4(984445), // Rule ID 9382 //
     /*  984355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  984358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  984372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984405 */     // MIs[1] Operand 1
     /*  984405 */     // No operand predicates
     /*  984405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984418 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  984418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  984421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984443 */     GIR_RootConstrainSelectedInstOperands,
     /*  984444 */     // GIR_Coverage, 9382,
     /*  984444 */     GIR_EraseRootFromParent_Done,
     /*  984445 */   // Label 14710: @984445
     /*  984445 */   GIM_Try, /*On fail goto*//*Label 14711*/ GIMT_Encode4(984540), // Rule ID 9383 //
     /*  984450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  984453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  984467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984500 */     // MIs[1] Operand 1
     /*  984500 */     // No operand predicates
     /*  984500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984513 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  984513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  984516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984538 */     GIR_RootConstrainSelectedInstOperands,
     /*  984539 */     // GIR_Coverage, 9383,
     /*  984539 */     GIR_EraseRootFromParent_Done,
     /*  984540 */   // Label 14711: @984540
     /*  984540 */   GIM_Try, /*On fail goto*//*Label 14712*/ GIMT_Encode4(984635), // Rule ID 9386 //
     /*  984545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  984548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  984556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  984559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  984562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  984568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984595 */     // MIs[1] Operand 1
     /*  984595 */     // No operand predicates
     /*  984595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  984608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  984611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984633 */     GIR_RootConstrainSelectedInstOperands,
     /*  984634 */     // GIR_Coverage, 9386,
     /*  984634 */     GIR_EraseRootFromParent_Done,
     /*  984635 */   // Label 14712: @984635
     /*  984635 */   GIM_Try, /*On fail goto*//*Label 14713*/ GIMT_Encode4(984730), // Rule ID 9387 //
     /*  984640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  984643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  984651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  984654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  984657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  984663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984690 */     // MIs[1] Operand 1
     /*  984690 */     // No operand predicates
     /*  984690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984703 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  984703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  984706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984728 */     GIR_RootConstrainSelectedInstOperands,
     /*  984729 */     // GIR_Coverage, 9387,
     /*  984729 */     GIR_EraseRootFromParent_Done,
     /*  984730 */   // Label 14713: @984730
     /*  984730 */   GIM_Try, /*On fail goto*//*Label 14714*/ GIMT_Encode4(984825), // Rule ID 9478 //
     /*  984735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984785 */     // MIs[1] Operand 1
     /*  984785 */     // No operand predicates
     /*  984785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984798 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  984801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984823 */     GIR_RootConstrainSelectedInstOperands,
     /*  984824 */     // GIR_Coverage, 9478,
     /*  984824 */     GIR_EraseRootFromParent_Done,
     /*  984825 */   // Label 14714: @984825
     /*  984825 */   GIM_Try, /*On fail goto*//*Label 14715*/ GIMT_Encode4(984920), // Rule ID 9479 //
     /*  984830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984880 */     // MIs[1] Operand 1
     /*  984880 */     // No operand predicates
     /*  984880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984893 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  984896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984918 */     GIR_RootConstrainSelectedInstOperands,
     /*  984919 */     // GIR_Coverage, 9479,
     /*  984919 */     GIR_EraseRootFromParent_Done,
     /*  984920 */   // Label 14715: @984920
     /*  984920 */   GIM_Try, /*On fail goto*//*Label 14716*/ GIMT_Encode4(985015), // Rule ID 9482 //
     /*  984925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  984942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984975 */     // MIs[1] Operand 1
     /*  984975 */     // No operand predicates
     /*  984975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984988 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985013 */     GIR_RootConstrainSelectedInstOperands,
     /*  985014 */     // GIR_Coverage, 9482,
     /*  985014 */     GIR_EraseRootFromParent_Done,
     /*  985015 */   // Label 14716: @985015
     /*  985015 */   GIM_Try, /*On fail goto*//*Label 14717*/ GIMT_Encode4(985110), // Rule ID 9483 //
     /*  985020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  985037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985070 */     // MIs[1] Operand 1
     /*  985070 */     // No operand predicates
     /*  985070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985083 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  985083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  985086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985108 */     GIR_RootConstrainSelectedInstOperands,
     /*  985109 */     // GIR_Coverage, 9483,
     /*  985109 */     GIR_EraseRootFromParent_Done,
     /*  985110 */   // Label 14717: @985110
     /*  985110 */   GIM_Try, /*On fail goto*//*Label 14718*/ GIMT_Encode4(985205), // Rule ID 9486 //
     /*  985115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  985132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985165 */     // MIs[1] Operand 1
     /*  985165 */     // No operand predicates
     /*  985165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985178 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  985178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  985181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985203 */     GIR_RootConstrainSelectedInstOperands,
     /*  985204 */     // GIR_Coverage, 9486,
     /*  985204 */     GIR_EraseRootFromParent_Done,
     /*  985205 */   // Label 14718: @985205
     /*  985205 */   GIM_Try, /*On fail goto*//*Label 14719*/ GIMT_Encode4(985300), // Rule ID 9487 //
     /*  985210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  985227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985260 */     // MIs[1] Operand 1
     /*  985260 */     // No operand predicates
     /*  985260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985273 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  985273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  985276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985298 */     GIR_RootConstrainSelectedInstOperands,
     /*  985299 */     // GIR_Coverage, 9487,
     /*  985299 */     GIR_EraseRootFromParent_Done,
     /*  985300 */   // Label 14719: @985300
     /*  985300 */   GIM_Try, /*On fail goto*//*Label 14720*/ GIMT_Encode4(985395), // Rule ID 9490 //
     /*  985305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  985322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985355 */     // MIs[1] Operand 1
     /*  985355 */     // No operand predicates
     /*  985355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  985368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  985371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985393 */     GIR_RootConstrainSelectedInstOperands,
     /*  985394 */     // GIR_Coverage, 9490,
     /*  985394 */     GIR_EraseRootFromParent_Done,
     /*  985395 */   // Label 14720: @985395
     /*  985395 */   GIM_Try, /*On fail goto*//*Label 14721*/ GIMT_Encode4(985490), // Rule ID 9491 //
     /*  985400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  985417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985450 */     // MIs[1] Operand 1
     /*  985450 */     // No operand predicates
     /*  985450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985463 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  985466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985488 */     GIR_RootConstrainSelectedInstOperands,
     /*  985489 */     // GIR_Coverage, 9491,
     /*  985489 */     GIR_EraseRootFromParent_Done,
     /*  985490 */   // Label 14721: @985490
     /*  985490 */   GIM_Try, /*On fail goto*//*Label 14722*/ GIMT_Encode4(985585), // Rule ID 9494 //
     /*  985495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  985512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985545 */     // MIs[1] Operand 1
     /*  985545 */     // No operand predicates
     /*  985545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985558 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  985558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  985561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985583 */     GIR_RootConstrainSelectedInstOperands,
     /*  985584 */     // GIR_Coverage, 9494,
     /*  985584 */     GIR_EraseRootFromParent_Done,
     /*  985585 */   // Label 14722: @985585
     /*  985585 */   GIM_Try, /*On fail goto*//*Label 14723*/ GIMT_Encode4(985680), // Rule ID 9495 //
     /*  985590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  985607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985640 */     // MIs[1] Operand 1
     /*  985640 */     // No operand predicates
     /*  985640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985653 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  985656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985678 */     GIR_RootConstrainSelectedInstOperands,
     /*  985679 */     // GIR_Coverage, 9495,
     /*  985679 */     GIR_EraseRootFromParent_Done,
     /*  985680 */   // Label 14723: @985680
     /*  985680 */   GIM_Try, /*On fail goto*//*Label 14724*/ GIMT_Encode4(985775), // Rule ID 9498 //
     /*  985685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  985702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985735 */     // MIs[1] Operand 1
     /*  985735 */     // No operand predicates
     /*  985735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985748 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  985751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985773 */     GIR_RootConstrainSelectedInstOperands,
     /*  985774 */     // GIR_Coverage, 9498,
     /*  985774 */     GIR_EraseRootFromParent_Done,
     /*  985775 */   // Label 14724: @985775
     /*  985775 */   GIM_Try, /*On fail goto*//*Label 14725*/ GIMT_Encode4(985870), // Rule ID 9499 //
     /*  985780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  985797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985830 */     // MIs[1] Operand 1
     /*  985830 */     // No operand predicates
     /*  985830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985843 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  985846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985868 */     GIR_RootConstrainSelectedInstOperands,
     /*  985869 */     // GIR_Coverage, 9499,
     /*  985869 */     GIR_EraseRootFromParent_Done,
     /*  985870 */   // Label 14725: @985870
     /*  985870 */   GIM_Try, /*On fail goto*//*Label 14726*/ GIMT_Encode4(985965), // Rule ID 9502 //
     /*  985875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985925 */     // MIs[1] Operand 1
     /*  985925 */     // No operand predicates
     /*  985925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985938 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  985938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985963 */     GIR_RootConstrainSelectedInstOperands,
     /*  985964 */     // GIR_Coverage, 9502,
     /*  985964 */     GIR_EraseRootFromParent_Done,
     /*  985965 */   // Label 14726: @985965
     /*  985965 */   GIM_Try, /*On fail goto*//*Label 14727*/ GIMT_Encode4(986060), // Rule ID 9503 //
     /*  985970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986020 */     // MIs[1] Operand 1
     /*  986020 */     // No operand predicates
     /*  986020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986033 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  986036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986058 */     GIR_RootConstrainSelectedInstOperands,
     /*  986059 */     // GIR_Coverage, 9503,
     /*  986059 */     GIR_EraseRootFromParent_Done,
     /*  986060 */   // Label 14727: @986060
     /*  986060 */   GIM_Try, /*On fail goto*//*Label 14728*/ GIMT_Encode4(986155), // Rule ID 9506 //
     /*  986065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  986076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  986079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  986082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  986088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986115 */     // MIs[1] Operand 1
     /*  986115 */     // No operand predicates
     /*  986115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986128 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  986131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986153 */     GIR_RootConstrainSelectedInstOperands,
     /*  986154 */     // GIR_Coverage, 9506,
     /*  986154 */     GIR_EraseRootFromParent_Done,
     /*  986155 */   // Label 14728: @986155
     /*  986155 */   GIM_Try, /*On fail goto*//*Label 14729*/ GIMT_Encode4(986250), // Rule ID 9507 //
     /*  986160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  986171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  986174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  986177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  986183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986210 */     // MIs[1] Operand 1
     /*  986210 */     // No operand predicates
     /*  986210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986223 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  986226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986248 */     GIR_RootConstrainSelectedInstOperands,
     /*  986249 */     // GIR_Coverage, 9507,
     /*  986249 */     GIR_EraseRootFromParent_Done,
     /*  986250 */   // Label 14729: @986250
     /*  986250 */   GIM_Try, /*On fail goto*//*Label 14730*/ GIMT_Encode4(986345), // Rule ID 9510 //
     /*  986255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  986266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  986269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  986272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  986278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986305 */     // MIs[1] Operand 1
     /*  986305 */     // No operand predicates
     /*  986305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986318 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  986318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  986321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986343 */     GIR_RootConstrainSelectedInstOperands,
     /*  986344 */     // GIR_Coverage, 9510,
     /*  986344 */     GIR_EraseRootFromParent_Done,
     /*  986345 */   // Label 14730: @986345
     /*  986345 */   GIM_Try, /*On fail goto*//*Label 14731*/ GIMT_Encode4(986440), // Rule ID 9511 //
     /*  986350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  986361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  986364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  986367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  986373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986400 */     // MIs[1] Operand 1
     /*  986400 */     // No operand predicates
     /*  986400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986413 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  986413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  986416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986438 */     GIR_RootConstrainSelectedInstOperands,
     /*  986439 */     // GIR_Coverage, 9511,
     /*  986439 */     GIR_EraseRootFromParent_Done,
     /*  986440 */   // Label 14731: @986440
     /*  986440 */   GIM_Try, /*On fail goto*//*Label 14732*/ GIMT_Encode4(986535), // Rule ID 9514 //
     /*  986445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  986448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  986456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  986459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  986462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  986468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986495 */     // MIs[1] Operand 1
     /*  986495 */     // No operand predicates
     /*  986495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  986508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  986511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986533 */     GIR_RootConstrainSelectedInstOperands,
     /*  986534 */     // GIR_Coverage, 9514,
     /*  986534 */     GIR_EraseRootFromParent_Done,
     /*  986535 */   // Label 14732: @986535
     /*  986535 */   GIM_Try, /*On fail goto*//*Label 14733*/ GIMT_Encode4(986630), // Rule ID 9515 //
     /*  986540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  986543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  986551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  986554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  986557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  986563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986590 */     // MIs[1] Operand 1
     /*  986590 */     // No operand predicates
     /*  986590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986603 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  986603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  986606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986628 */     GIR_RootConstrainSelectedInstOperands,
     /*  986629 */     // GIR_Coverage, 9515,
     /*  986629 */     GIR_EraseRootFromParent_Done,
     /*  986630 */   // Label 14733: @986630
     /*  986630 */   GIM_Try, /*On fail goto*//*Label 14734*/ GIMT_Encode4(986725), // Rule ID 9518 //
     /*  986635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  986652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986685 */     // MIs[1] Operand 1
     /*  986685 */     // No operand predicates
     /*  986685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986698 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986723 */     GIR_RootConstrainSelectedInstOperands,
     /*  986724 */     // GIR_Coverage, 9518,
     /*  986724 */     GIR_EraseRootFromParent_Done,
     /*  986725 */   // Label 14734: @986725
     /*  986725 */   GIM_Try, /*On fail goto*//*Label 14735*/ GIMT_Encode4(986820), // Rule ID 9519 //
     /*  986730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  986747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986780 */     // MIs[1] Operand 1
     /*  986780 */     // No operand predicates
     /*  986780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986793 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986818 */     GIR_RootConstrainSelectedInstOperands,
     /*  986819 */     // GIR_Coverage, 9519,
     /*  986819 */     GIR_EraseRootFromParent_Done,
     /*  986820 */   // Label 14735: @986820
     /*  986820 */   GIM_Try, /*On fail goto*//*Label 14736*/ GIMT_Encode4(986915), // Rule ID 9522 //
     /*  986825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  986842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986875 */     // MIs[1] Operand 1
     /*  986875 */     // No operand predicates
     /*  986875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986888 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986913 */     GIR_RootConstrainSelectedInstOperands,
     /*  986914 */     // GIR_Coverage, 9522,
     /*  986914 */     GIR_EraseRootFromParent_Done,
     /*  986915 */   // Label 14736: @986915
     /*  986915 */   GIM_Try, /*On fail goto*//*Label 14737*/ GIMT_Encode4(987010), // Rule ID 9523 //
     /*  986920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  986937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986970 */     // MIs[1] Operand 1
     /*  986970 */     // No operand predicates
     /*  986970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986983 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  987005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987008 */     GIR_RootConstrainSelectedInstOperands,
     /*  987009 */     // GIR_Coverage, 9523,
     /*  987009 */     GIR_EraseRootFromParent_Done,
     /*  987010 */   // Label 14737: @987010
     /*  987010 */   GIM_Try, /*On fail goto*//*Label 14738*/ GIMT_Encode4(987105), // Rule ID 9526 //
     /*  987015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  987026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  987029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  987032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  987038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987065 */     // MIs[1] Operand 1
     /*  987065 */     // No operand predicates
     /*  987065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987078 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  987078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  987100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987103 */     GIR_RootConstrainSelectedInstOperands,
     /*  987104 */     // GIR_Coverage, 9526,
     /*  987104 */     GIR_EraseRootFromParent_Done,
     /*  987105 */   // Label 14738: @987105
     /*  987105 */   GIM_Try, /*On fail goto*//*Label 14739*/ GIMT_Encode4(987200), // Rule ID 9527 //
     /*  987110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  987121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  987124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  987127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  987133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987160 */     // MIs[1] Operand 1
     /*  987160 */     // No operand predicates
     /*  987160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987173 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  987173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  987195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987198 */     GIR_RootConstrainSelectedInstOperands,
     /*  987199 */     // GIR_Coverage, 9527,
     /*  987199 */     GIR_EraseRootFromParent_Done,
     /*  987200 */   // Label 14739: @987200
     /*  987200 */   GIM_Try, /*On fail goto*//*Label 14740*/ GIMT_Encode4(987295), // Rule ID 9530 //
     /*  987205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  987222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987255 */     // MIs[1] Operand 1
     /*  987255 */     // No operand predicates
     /*  987255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  987268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987293 */     GIR_RootConstrainSelectedInstOperands,
     /*  987294 */     // GIR_Coverage, 9530,
     /*  987294 */     GIR_EraseRootFromParent_Done,
     /*  987295 */   // Label 14740: @987295
     /*  987295 */   GIM_Try, /*On fail goto*//*Label 14741*/ GIMT_Encode4(987390), // Rule ID 9531 //
     /*  987300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  987317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987350 */     // MIs[1] Operand 1
     /*  987350 */     // No operand predicates
     /*  987350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987363 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  987363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987388 */     GIR_RootConstrainSelectedInstOperands,
     /*  987389 */     // GIR_Coverage, 9531,
     /*  987389 */     GIR_EraseRootFromParent_Done,
     /*  987390 */   // Label 14741: @987390
     /*  987390 */   GIM_Try, /*On fail goto*//*Label 14742*/ GIMT_Encode4(987485), // Rule ID 9534 //
     /*  987395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  987412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987445 */     // MIs[1] Operand 1
     /*  987445 */     // No operand predicates
     /*  987445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987458 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  987458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987483 */     GIR_RootConstrainSelectedInstOperands,
     /*  987484 */     // GIR_Coverage, 9534,
     /*  987484 */     GIR_EraseRootFromParent_Done,
     /*  987485 */   // Label 14742: @987485
     /*  987485 */   GIM_Try, /*On fail goto*//*Label 14743*/ GIMT_Encode4(987580), // Rule ID 9535 //
     /*  987490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  987507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987540 */     // MIs[1] Operand 1
     /*  987540 */     // No operand predicates
     /*  987540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987553 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  987553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987578 */     GIR_RootConstrainSelectedInstOperands,
     /*  987579 */     // GIR_Coverage, 9535,
     /*  987579 */     GIR_EraseRootFromParent_Done,
     /*  987580 */   // Label 14743: @987580
     /*  987580 */   GIM_Try, /*On fail goto*//*Label 14744*/ GIMT_Encode4(987675), // Rule ID 9538 //
     /*  987585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  987596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  987599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  987602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  987608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987635 */     // MIs[1] Operand 1
     /*  987635 */     // No operand predicates
     /*  987635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987648 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  987648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987673 */     GIR_RootConstrainSelectedInstOperands,
     /*  987674 */     // GIR_Coverage, 9538,
     /*  987674 */     GIR_EraseRootFromParent_Done,
     /*  987675 */   // Label 14744: @987675
     /*  987675 */   GIM_Try, /*On fail goto*//*Label 14745*/ GIMT_Encode4(987770), // Rule ID 9539 //
     /*  987680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  987691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  987694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  987697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  987703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987730 */     // MIs[1] Operand 1
     /*  987730 */     // No operand predicates
     /*  987730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987743 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  987743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987768 */     GIR_RootConstrainSelectedInstOperands,
     /*  987769 */     // GIR_Coverage, 9539,
     /*  987769 */     GIR_EraseRootFromParent_Done,
     /*  987770 */   // Label 14745: @987770
     /*  987770 */   GIM_Try, /*On fail goto*//*Label 14746*/ GIMT_Encode4(987865), // Rule ID 9542 //
     /*  987775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987825 */     // MIs[1] Operand 1
     /*  987825 */     // No operand predicates
     /*  987825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987838 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987863 */     GIR_RootConstrainSelectedInstOperands,
     /*  987864 */     // GIR_Coverage, 9542,
     /*  987864 */     GIR_EraseRootFromParent_Done,
     /*  987865 */   // Label 14746: @987865
     /*  987865 */   GIM_Try, /*On fail goto*//*Label 14747*/ GIMT_Encode4(987960), // Rule ID 9543 //
     /*  987870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987920 */     // MIs[1] Operand 1
     /*  987920 */     // No operand predicates
     /*  987920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987933 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987958 */     GIR_RootConstrainSelectedInstOperands,
     /*  987959 */     // GIR_Coverage, 9543,
     /*  987959 */     GIR_EraseRootFromParent_Done,
     /*  987960 */   // Label 14747: @987960
     /*  987960 */   GIM_Try, /*On fail goto*//*Label 14748*/ GIMT_Encode4(988055), // Rule ID 9546 //
     /*  987965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  987982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988015 */     // MIs[1] Operand 1
     /*  988015 */     // No operand predicates
     /*  988015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  988028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  988031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988053 */     GIR_RootConstrainSelectedInstOperands,
     /*  988054 */     // GIR_Coverage, 9546,
     /*  988054 */     GIR_EraseRootFromParent_Done,
     /*  988055 */   // Label 14748: @988055
     /*  988055 */   GIM_Try, /*On fail goto*//*Label 14749*/ GIMT_Encode4(988150), // Rule ID 9547 //
     /*  988060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  988077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988110 */     // MIs[1] Operand 1
     /*  988110 */     // No operand predicates
     /*  988110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988123 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  988123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  988126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988148 */     GIR_RootConstrainSelectedInstOperands,
     /*  988149 */     // GIR_Coverage, 9547,
     /*  988149 */     GIR_EraseRootFromParent_Done,
     /*  988150 */   // Label 14749: @988150
     /*  988150 */   GIM_Try, /*On fail goto*//*Label 14750*/ GIMT_Encode4(988245), // Rule ID 9550 //
     /*  988155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  988166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  988169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  988172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  988178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988205 */     // MIs[1] Operand 1
     /*  988205 */     // No operand predicates
     /*  988205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988218 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  988218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  988221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988243 */     GIR_RootConstrainSelectedInstOperands,
     /*  988244 */     // GIR_Coverage, 9550,
     /*  988244 */     GIR_EraseRootFromParent_Done,
     /*  988245 */   // Label 14750: @988245
     /*  988245 */   GIM_Try, /*On fail goto*//*Label 14751*/ GIMT_Encode4(988340), // Rule ID 9551 //
     /*  988250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  988261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  988264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  988267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  988273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988300 */     // MIs[1] Operand 1
     /*  988300 */     // No operand predicates
     /*  988300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988313 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  988313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  988316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988338 */     GIR_RootConstrainSelectedInstOperands,
     /*  988339 */     // GIR_Coverage, 9551,
     /*  988339 */     GIR_EraseRootFromParent_Done,
     /*  988340 */   // Label 14751: @988340
     /*  988340 */   GIM_Try, /*On fail goto*//*Label 14752*/ GIMT_Encode4(988435), // Rule ID 9554 //
     /*  988345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  988348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  988356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  988359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  988362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988395 */     // MIs[1] Operand 1
     /*  988395 */     // No operand predicates
     /*  988395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  988408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  988411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988433 */     GIR_RootConstrainSelectedInstOperands,
     /*  988434 */     // GIR_Coverage, 9554,
     /*  988434 */     GIR_EraseRootFromParent_Done,
     /*  988435 */   // Label 14752: @988435
     /*  988435 */   GIM_Try, /*On fail goto*//*Label 14753*/ GIMT_Encode4(988530), // Rule ID 9555 //
     /*  988440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  988443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  988451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  988454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  988457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988490 */     // MIs[1] Operand 1
     /*  988490 */     // No operand predicates
     /*  988490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988503 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  988506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988528 */     GIR_RootConstrainSelectedInstOperands,
     /*  988529 */     // GIR_Coverage, 9555,
     /*  988529 */     GIR_EraseRootFromParent_Done,
     /*  988530 */   // Label 14753: @988530
     /*  988530 */   GIM_Try, /*On fail goto*//*Label 14754*/ GIMT_Encode4(988625), // Rule ID 9558 //
     /*  988535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  988538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  988546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  988549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  988552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988585 */     // MIs[1] Operand 1
     /*  988585 */     // No operand predicates
     /*  988585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988598 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  988598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  988601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988623 */     GIR_RootConstrainSelectedInstOperands,
     /*  988624 */     // GIR_Coverage, 9558,
     /*  988624 */     GIR_EraseRootFromParent_Done,
     /*  988625 */   // Label 14754: @988625
     /*  988625 */   GIM_Try, /*On fail goto*//*Label 14755*/ GIMT_Encode4(988720), // Rule ID 9559 //
     /*  988630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  988633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  988641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  988644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  988647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988680 */     // MIs[1] Operand 1
     /*  988680 */     // No operand predicates
     /*  988680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988693 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  988696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988718 */     GIR_RootConstrainSelectedInstOperands,
     /*  988719 */     // GIR_Coverage, 9559,
     /*  988719 */     GIR_EraseRootFromParent_Done,
     /*  988720 */   // Label 14755: @988720
     /*  988720 */   GIM_Try, /*On fail goto*//*Label 14756*/ GIMT_Encode4(988815), // Rule ID 9562 //
     /*  988725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  988728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988775 */     // MIs[1] Operand 1
     /*  988775 */     // No operand predicates
     /*  988775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  988788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  988791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988813 */     GIR_RootConstrainSelectedInstOperands,
     /*  988814 */     // GIR_Coverage, 9562,
     /*  988814 */     GIR_EraseRootFromParent_Done,
     /*  988815 */   // Label 14756: @988815
     /*  988815 */   GIM_Try, /*On fail goto*//*Label 14757*/ GIMT_Encode4(988910), // Rule ID 9563 //
     /*  988820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  988823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988870 */     // MIs[1] Operand 1
     /*  988870 */     // No operand predicates
     /*  988870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988883 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  988886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988908 */     GIR_RootConstrainSelectedInstOperands,
     /*  988909 */     // GIR_Coverage, 9563,
     /*  988909 */     GIR_EraseRootFromParent_Done,
     /*  988910 */   // Label 14757: @988910
     /*  988910 */   GIM_Try, /*On fail goto*//*Label 14758*/ GIMT_Encode4(989002), // Rule ID 13940 //
     /*  988915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  988926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  988929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  988932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988965 */     // MIs[1] Operand 1
     /*  988965 */     // No operand predicates
     /*  988965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988978 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  988981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989000 */     GIR_RootConstrainSelectedInstOperands,
     /*  989001 */     // GIR_Coverage, 13940,
     /*  989001 */     GIR_EraseRootFromParent_Done,
     /*  989002 */   // Label 14758: @989002
     /*  989002 */   GIM_Try, /*On fail goto*//*Label 14759*/ GIMT_Encode4(989094), // Rule ID 13941 //
     /*  989007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  989018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  989021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  989024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989057 */     // MIs[1] Operand 1
     /*  989057 */     // No operand predicates
     /*  989057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989070 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  989070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  989073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989092 */     GIR_RootConstrainSelectedInstOperands,
     /*  989093 */     // GIR_Coverage, 13941,
     /*  989093 */     GIR_EraseRootFromParent_Done,
     /*  989094 */   // Label 14759: @989094
     /*  989094 */   GIM_Try, /*On fail goto*//*Label 14760*/ GIMT_Encode4(989186), // Rule ID 13942 //
     /*  989099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  989110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  989113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  989116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989149 */     // MIs[1] Operand 1
     /*  989149 */     // No operand predicates
     /*  989149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989162 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  989162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  989165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989184 */     GIR_RootConstrainSelectedInstOperands,
     /*  989185 */     // GIR_Coverage, 13942,
     /*  989185 */     GIR_EraseRootFromParent_Done,
     /*  989186 */   // Label 14760: @989186
     /*  989186 */   GIM_Try, /*On fail goto*//*Label 14761*/ GIMT_Encode4(989278), // Rule ID 13943 //
     /*  989191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  989202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  989205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  989208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989241 */     // MIs[1] Operand 1
     /*  989241 */     // No operand predicates
     /*  989241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989254 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  989254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  989257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989276 */     GIR_RootConstrainSelectedInstOperands,
     /*  989277 */     // GIR_Coverage, 13943,
     /*  989277 */     GIR_EraseRootFromParent_Done,
     /*  989278 */   // Label 14761: @989278
     /*  989278 */   GIM_Try, /*On fail goto*//*Label 14762*/ GIMT_Encode4(989370), // Rule ID 13944 //
     /*  989283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  989294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  989297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  989300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989333 */     // MIs[1] Operand 1
     /*  989333 */     // No operand predicates
     /*  989333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989346 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  989346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989368 */     GIR_RootConstrainSelectedInstOperands,
     /*  989369 */     // GIR_Coverage, 13944,
     /*  989369 */     GIR_EraseRootFromParent_Done,
     /*  989370 */   // Label 14762: @989370
     /*  989370 */   GIM_Try, /*On fail goto*//*Label 14763*/ GIMT_Encode4(989462), // Rule ID 13945 //
     /*  989375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  989386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  989389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  989392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989425 */     // MIs[1] Operand 1
     /*  989425 */     // No operand predicates
     /*  989425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989438 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  989438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989460 */     GIR_RootConstrainSelectedInstOperands,
     /*  989461 */     // GIR_Coverage, 13945,
     /*  989461 */     GIR_EraseRootFromParent_Done,
     /*  989462 */   // Label 14763: @989462
     /*  989462 */   GIM_Try, /*On fail goto*//*Label 14764*/ GIMT_Encode4(989554), // Rule ID 13946 //
     /*  989467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  989478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  989481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  989484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989517 */     // MIs[1] Operand 1
     /*  989517 */     // No operand predicates
     /*  989517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989530 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  989530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  989533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989552 */     GIR_RootConstrainSelectedInstOperands,
     /*  989553 */     // GIR_Coverage, 13946,
     /*  989553 */     GIR_EraseRootFromParent_Done,
     /*  989554 */   // Label 14764: @989554
     /*  989554 */   GIM_Try, /*On fail goto*//*Label 14765*/ GIMT_Encode4(989646), // Rule ID 13947 //
     /*  989559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  989570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  989573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  989576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989609 */     // MIs[1] Operand 1
     /*  989609 */     // No operand predicates
     /*  989609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  989622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  989625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989644 */     GIR_RootConstrainSelectedInstOperands,
     /*  989645 */     // GIR_Coverage, 13947,
     /*  989645 */     GIR_EraseRootFromParent_Done,
     /*  989646 */   // Label 14765: @989646
     /*  989646 */   GIM_Try, /*On fail goto*//*Label 14766*/ GIMT_Encode4(989738), // Rule ID 13948 //
     /*  989651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  989662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  989665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989701 */     // MIs[1] Operand 1
     /*  989701 */     // No operand predicates
     /*  989701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989714 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  989714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989736 */     GIR_RootConstrainSelectedInstOperands,
     /*  989737 */     // GIR_Coverage, 13948,
     /*  989737 */     GIR_EraseRootFromParent_Done,
     /*  989738 */   // Label 14766: @989738
     /*  989738 */   GIM_Try, /*On fail goto*//*Label 14767*/ GIMT_Encode4(989830), // Rule ID 13949 //
     /*  989743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  989754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  989757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989793 */     // MIs[1] Operand 1
     /*  989793 */     // No operand predicates
     /*  989793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989806 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  989806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989828 */     GIR_RootConstrainSelectedInstOperands,
     /*  989829 */     // GIR_Coverage, 13949,
     /*  989829 */     GIR_EraseRootFromParent_Done,
     /*  989830 */   // Label 14767: @989830
     /*  989830 */   GIM_Try, /*On fail goto*//*Label 14768*/ GIMT_Encode4(989922), // Rule ID 13950 //
     /*  989835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  989846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  989849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989885 */     // MIs[1] Operand 1
     /*  989885 */     // No operand predicates
     /*  989885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989898 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  989898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989920 */     GIR_RootConstrainSelectedInstOperands,
     /*  989921 */     // GIR_Coverage, 13950,
     /*  989921 */     GIR_EraseRootFromParent_Done,
     /*  989922 */   // Label 14768: @989922
     /*  989922 */   GIM_Try, /*On fail goto*//*Label 14769*/ GIMT_Encode4(990014), // Rule ID 13951 //
     /*  989927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  989938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  989941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989977 */     // MIs[1] Operand 1
     /*  989977 */     // No operand predicates
     /*  989977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  989990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  989993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990012 */     GIR_RootConstrainSelectedInstOperands,
     /*  990013 */     // GIR_Coverage, 13951,
     /*  990013 */     GIR_EraseRootFromParent_Done,
     /*  990014 */   // Label 14769: @990014
     /*  990014 */   GIM_Try, /*On fail goto*//*Label 14770*/ GIMT_Encode4(990106), // Rule ID 13952 //
     /*  990019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  990030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  990033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  990036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990069 */     // MIs[1] Operand 1
     /*  990069 */     // No operand predicates
     /*  990069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990082 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  990082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  990085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990104 */     GIR_RootConstrainSelectedInstOperands,
     /*  990105 */     // GIR_Coverage, 13952,
     /*  990105 */     GIR_EraseRootFromParent_Done,
     /*  990106 */   // Label 14770: @990106
     /*  990106 */   GIM_Try, /*On fail goto*//*Label 14771*/ GIMT_Encode4(990198), // Rule ID 13953 //
     /*  990111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  990122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  990125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  990128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990161 */     // MIs[1] Operand 1
     /*  990161 */     // No operand predicates
     /*  990161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990174 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  990174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  990177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990196 */     GIR_RootConstrainSelectedInstOperands,
     /*  990197 */     // GIR_Coverage, 13953,
     /*  990197 */     GIR_EraseRootFromParent_Done,
     /*  990198 */   // Label 14771: @990198
     /*  990198 */   GIM_Try, /*On fail goto*//*Label 14772*/ GIMT_Encode4(990290), // Rule ID 13954 //
     /*  990203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  990214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  990217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  990220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  990226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990253 */     // MIs[1] Operand 1
     /*  990253 */     // No operand predicates
     /*  990253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  990266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  990269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990288 */     GIR_RootConstrainSelectedInstOperands,
     /*  990289 */     // GIR_Coverage, 13954,
     /*  990289 */     GIR_EraseRootFromParent_Done,
     /*  990290 */   // Label 14772: @990290
     /*  990290 */   GIM_Try, /*On fail goto*//*Label 14773*/ GIMT_Encode4(990382), // Rule ID 13955 //
     /*  990295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  990306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  990309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  990312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  990318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990345 */     // MIs[1] Operand 1
     /*  990345 */     // No operand predicates
     /*  990345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  990358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  990361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990380 */     GIR_RootConstrainSelectedInstOperands,
     /*  990381 */     // GIR_Coverage, 13955,
     /*  990381 */     GIR_EraseRootFromParent_Done,
     /*  990382 */   // Label 14773: @990382
     /*  990382 */   GIM_Try, /*On fail goto*//*Label 14774*/ GIMT_Encode4(990474), // Rule ID 13956 //
     /*  990387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  990398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  990401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  990404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  990410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990437 */     // MIs[1] Operand 1
     /*  990437 */     // No operand predicates
     /*  990437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  990450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  990453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990472 */     GIR_RootConstrainSelectedInstOperands,
     /*  990473 */     // GIR_Coverage, 13956,
     /*  990473 */     GIR_EraseRootFromParent_Done,
     /*  990474 */   // Label 14774: @990474
     /*  990474 */   GIM_Try, /*On fail goto*//*Label 14775*/ GIMT_Encode4(990566), // Rule ID 13957 //
     /*  990479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  990490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  990493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  990496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  990502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990529 */     // MIs[1] Operand 1
     /*  990529 */     // No operand predicates
     /*  990529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  990542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  990545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990564 */     GIR_RootConstrainSelectedInstOperands,
     /*  990565 */     // GIR_Coverage, 13957,
     /*  990565 */     GIR_EraseRootFromParent_Done,
     /*  990566 */   // Label 14775: @990566
     /*  990566 */   GIM_Try, /*On fail goto*//*Label 14776*/ GIMT_Encode4(990658), // Rule ID 13958 //
     /*  990571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  990574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  990582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  990585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  990588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  990594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990621 */     // MIs[1] Operand 1
     /*  990621 */     // No operand predicates
     /*  990621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990634 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  990634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  990637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990656 */     GIR_RootConstrainSelectedInstOperands,
     /*  990657 */     // GIR_Coverage, 13958,
     /*  990657 */     GIR_EraseRootFromParent_Done,
     /*  990658 */   // Label 14776: @990658
     /*  990658 */   GIM_Try, /*On fail goto*//*Label 14777*/ GIMT_Encode4(990750), // Rule ID 13959 //
     /*  990663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  990666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  990674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  990677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  990680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  990686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990713 */     // MIs[1] Operand 1
     /*  990713 */     // No operand predicates
     /*  990713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990726 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  990726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  990729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990748 */     GIR_RootConstrainSelectedInstOperands,
     /*  990749 */     // GIR_Coverage, 13959,
     /*  990749 */     GIR_EraseRootFromParent_Done,
     /*  990750 */   // Label 14777: @990750
     /*  990750 */   GIM_Try, /*On fail goto*//*Label 14778*/ GIMT_Encode4(990842), // Rule ID 13960 //
     /*  990755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  990766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  990769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  990772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990805 */     // MIs[1] Operand 1
     /*  990805 */     // No operand predicates
     /*  990805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990818 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  990818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990840 */     GIR_RootConstrainSelectedInstOperands,
     /*  990841 */     // GIR_Coverage, 13960,
     /*  990841 */     GIR_EraseRootFromParent_Done,
     /*  990842 */   // Label 14778: @990842
     /*  990842 */   GIM_Try, /*On fail goto*//*Label 14779*/ GIMT_Encode4(990934), // Rule ID 13961 //
     /*  990847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  990858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  990861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  990864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990897 */     // MIs[1] Operand 1
     /*  990897 */     // No operand predicates
     /*  990897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990910 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  990910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990932 */     GIR_RootConstrainSelectedInstOperands,
     /*  990933 */     // GIR_Coverage, 13961,
     /*  990933 */     GIR_EraseRootFromParent_Done,
     /*  990934 */   // Label 14779: @990934
     /*  990934 */   GIM_Try, /*On fail goto*//*Label 14780*/ GIMT_Encode4(991026), // Rule ID 13962 //
     /*  990939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  990950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  990953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  990956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990989 */     // MIs[1] Operand 1
     /*  990989 */     // No operand predicates
     /*  990989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991002 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  991002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991024 */     GIR_RootConstrainSelectedInstOperands,
     /*  991025 */     // GIR_Coverage, 13962,
     /*  991025 */     GIR_EraseRootFromParent_Done,
     /*  991026 */   // Label 14780: @991026
     /*  991026 */   GIM_Try, /*On fail goto*//*Label 14781*/ GIMT_Encode4(991118), // Rule ID 13963 //
     /*  991031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  991042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  991045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  991048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991081 */     // MIs[1] Operand 1
     /*  991081 */     // No operand predicates
     /*  991081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991094 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  991094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991116 */     GIR_RootConstrainSelectedInstOperands,
     /*  991117 */     // GIR_Coverage, 13963,
     /*  991117 */     GIR_EraseRootFromParent_Done,
     /*  991118 */   // Label 14781: @991118
     /*  991118 */   GIM_Try, /*On fail goto*//*Label 14782*/ GIMT_Encode4(991210), // Rule ID 13964 //
     /*  991123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  991134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  991137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  991140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  991146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991173 */     // MIs[1] Operand 1
     /*  991173 */     // No operand predicates
     /*  991173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991186 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  991186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991208 */     GIR_RootConstrainSelectedInstOperands,
     /*  991209 */     // GIR_Coverage, 13964,
     /*  991209 */     GIR_EraseRootFromParent_Done,
     /*  991210 */   // Label 14782: @991210
     /*  991210 */   GIM_Try, /*On fail goto*//*Label 14783*/ GIMT_Encode4(991302), // Rule ID 13965 //
     /*  991215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  991226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  991229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  991232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  991238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991265 */     // MIs[1] Operand 1
     /*  991265 */     // No operand predicates
     /*  991265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991278 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  991278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991300 */     GIR_RootConstrainSelectedInstOperands,
     /*  991301 */     // GIR_Coverage, 13965,
     /*  991301 */     GIR_EraseRootFromParent_Done,
     /*  991302 */   // Label 14783: @991302
     /*  991302 */   GIM_Try, /*On fail goto*//*Label 14784*/ GIMT_Encode4(991394), // Rule ID 13966 //
     /*  991307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  991318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  991321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  991324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991357 */     // MIs[1] Operand 1
     /*  991357 */     // No operand predicates
     /*  991357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991370 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  991370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991392 */     GIR_RootConstrainSelectedInstOperands,
     /*  991393 */     // GIR_Coverage, 13966,
     /*  991393 */     GIR_EraseRootFromParent_Done,
     /*  991394 */   // Label 14784: @991394
     /*  991394 */   GIM_Try, /*On fail goto*//*Label 14785*/ GIMT_Encode4(991486), // Rule ID 13967 //
     /*  991399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  991410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  991413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  991416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991449 */     // MIs[1] Operand 1
     /*  991449 */     // No operand predicates
     /*  991449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991462 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  991462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991484 */     GIR_RootConstrainSelectedInstOperands,
     /*  991485 */     // GIR_Coverage, 13967,
     /*  991485 */     GIR_EraseRootFromParent_Done,
     /*  991486 */   // Label 14785: @991486
     /*  991486 */   GIM_Try, /*On fail goto*//*Label 14786*/ GIMT_Encode4(991578), // Rule ID 13968 //
     /*  991491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  991502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  991505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  991508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991541 */     // MIs[1] Operand 1
     /*  991541 */     // No operand predicates
     /*  991541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991554 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  991554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991576 */     GIR_RootConstrainSelectedInstOperands,
     /*  991577 */     // GIR_Coverage, 13968,
     /*  991577 */     GIR_EraseRootFromParent_Done,
     /*  991578 */   // Label 14786: @991578
     /*  991578 */   GIM_Try, /*On fail goto*//*Label 14787*/ GIMT_Encode4(991670), // Rule ID 13969 //
     /*  991583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  991594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  991597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  991600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991633 */     // MIs[1] Operand 1
     /*  991633 */     // No operand predicates
     /*  991633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991646 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  991646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991668 */     GIR_RootConstrainSelectedInstOperands,
     /*  991669 */     // GIR_Coverage, 13969,
     /*  991669 */     GIR_EraseRootFromParent_Done,
     /*  991670 */   // Label 14787: @991670
     /*  991670 */   GIM_Try, /*On fail goto*//*Label 14788*/ GIMT_Encode4(991762), // Rule ID 13970 //
     /*  991675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  991686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  991689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  991692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991725 */     // MIs[1] Operand 1
     /*  991725 */     // No operand predicates
     /*  991725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991738 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  991738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991760 */     GIR_RootConstrainSelectedInstOperands,
     /*  991761 */     // GIR_Coverage, 13970,
     /*  991761 */     GIR_EraseRootFromParent_Done,
     /*  991762 */   // Label 14788: @991762
     /*  991762 */   GIM_Try, /*On fail goto*//*Label 14789*/ GIMT_Encode4(991854), // Rule ID 13971 //
     /*  991767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  991778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  991781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  991784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991817 */     // MIs[1] Operand 1
     /*  991817 */     // No operand predicates
     /*  991817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991830 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  991830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991852 */     GIR_RootConstrainSelectedInstOperands,
     /*  991853 */     // GIR_Coverage, 13971,
     /*  991853 */     GIR_EraseRootFromParent_Done,
     /*  991854 */   // Label 14789: @991854
     /*  991854 */   GIM_Try, /*On fail goto*//*Label 14790*/ GIMT_Encode4(991946), // Rule ID 13972 //
     /*  991859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  991870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  991873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  991876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991909 */     // MIs[1] Operand 1
     /*  991909 */     // No operand predicates
     /*  991909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  991922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991944 */     GIR_RootConstrainSelectedInstOperands,
     /*  991945 */     // GIR_Coverage, 13972,
     /*  991945 */     GIR_EraseRootFromParent_Done,
     /*  991946 */   // Label 14790: @991946
     /*  991946 */   GIM_Try, /*On fail goto*//*Label 14791*/ GIMT_Encode4(992038), // Rule ID 13973 //
     /*  991951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  991962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  991965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  991968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992001 */     // MIs[1] Operand 1
     /*  992001 */     // No operand predicates
     /*  992001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  992014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  992017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992036 */     GIR_RootConstrainSelectedInstOperands,
     /*  992037 */     // GIR_Coverage, 13973,
     /*  992037 */     GIR_EraseRootFromParent_Done,
     /*  992038 */   // Label 14791: @992038
     /*  992038 */   GIM_Try, /*On fail goto*//*Label 14792*/ GIMT_Encode4(992130), // Rule ID 13974 //
     /*  992043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  992046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  992060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  992073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992093 */     // MIs[1] Operand 1
     /*  992093 */     // No operand predicates
     /*  992093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992106 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  992106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  992109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992128 */     GIR_RootConstrainSelectedInstOperands,
     /*  992129 */     // GIR_Coverage, 13974,
     /*  992129 */     GIR_EraseRootFromParent_Done,
     /*  992130 */   // Label 14792: @992130
     /*  992130 */   GIM_Try, /*On fail goto*//*Label 14793*/ GIMT_Encode4(992222), // Rule ID 13975 //
     /*  992135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  992138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  992152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  992165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992185 */     // MIs[1] Operand 1
     /*  992185 */     // No operand predicates
     /*  992185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  992198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  992201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992220 */     GIR_RootConstrainSelectedInstOperands,
     /*  992221 */     // GIR_Coverage, 13975,
     /*  992221 */     GIR_EraseRootFromParent_Done,
     /*  992222 */   // Label 14793: @992222
     /*  992222 */   GIM_Try, /*On fail goto*//*Label 14794*/ GIMT_Encode4(992314), // Rule ID 13976 //
     /*  992227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  992230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  992244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  992250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  992257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992277 */     // MIs[1] Operand 1
     /*  992277 */     // No operand predicates
     /*  992277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992290 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  992290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  992293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992312 */     GIR_RootConstrainSelectedInstOperands,
     /*  992313 */     // GIR_Coverage, 13976,
     /*  992313 */     GIR_EraseRootFromParent_Done,
     /*  992314 */   // Label 14794: @992314
     /*  992314 */   GIM_Try, /*On fail goto*//*Label 14795*/ GIMT_Encode4(992406), // Rule ID 13977 //
     /*  992319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  992322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  992336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  992342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  992349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992369 */     // MIs[1] Operand 1
     /*  992369 */     // No operand predicates
     /*  992369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  992382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  992385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992404 */     GIR_RootConstrainSelectedInstOperands,
     /*  992405 */     // GIR_Coverage, 13977,
     /*  992405 */     GIR_EraseRootFromParent_Done,
     /*  992406 */   // Label 14795: @992406
     /*  992406 */   GIM_Try, /*On fail goto*//*Label 14796*/ GIMT_Encode4(992498), // Rule ID 13978 //
     /*  992411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  992414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  992422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  992425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  992428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  992434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  992441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992461 */     // MIs[1] Operand 1
     /*  992461 */     // No operand predicates
     /*  992461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  992474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  992477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992496 */     GIR_RootConstrainSelectedInstOperands,
     /*  992497 */     // GIR_Coverage, 13978,
     /*  992497 */     GIR_EraseRootFromParent_Done,
     /*  992498 */   // Label 14796: @992498
     /*  992498 */   GIM_Try, /*On fail goto*//*Label 14797*/ GIMT_Encode4(992590), // Rule ID 13979 //
     /*  992503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  992514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  992517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  992520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  992526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  992533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992553 */     // MIs[1] Operand 1
     /*  992553 */     // No operand predicates
     /*  992553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  992566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  992569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992588 */     GIR_RootConstrainSelectedInstOperands,
     /*  992589 */     // GIR_Coverage, 13979,
     /*  992589 */     GIR_EraseRootFromParent_Done,
     /*  992590 */   // Label 14797: @992590
     /*  992590 */   GIM_Try, /*On fail goto*//*Label 14798*/ GIMT_Encode4(992682), // Rule ID 13980 //
     /*  992595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  992598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  992606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  992609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  992612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  992618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  992625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992645 */     // MIs[1] Operand 1
     /*  992645 */     // No operand predicates
     /*  992645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992658 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  992658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  992661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992680 */     GIR_RootConstrainSelectedInstOperands,
     /*  992681 */     // GIR_Coverage, 13980,
     /*  992681 */     GIR_EraseRootFromParent_Done,
     /*  992682 */   // Label 14798: @992682
     /*  992682 */   GIM_Try, /*On fail goto*//*Label 14799*/ GIMT_Encode4(992774), // Rule ID 13981 //
     /*  992687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  992698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  992701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  992704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  992710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  992717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992737 */     // MIs[1] Operand 1
     /*  992737 */     // No operand predicates
     /*  992737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992750 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  992750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  992753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992772 */     GIR_RootConstrainSelectedInstOperands,
     /*  992773 */     // GIR_Coverage, 13981,
     /*  992773 */     GIR_EraseRootFromParent_Done,
     /*  992774 */   // Label 14799: @992774
     /*  992774 */   GIM_Try, /*On fail goto*//*Label 14800*/ GIMT_Encode4(992866), // Rule ID 13982 //
     /*  992779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  992782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  992790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  992793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  992796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  992809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992829 */     // MIs[1] Operand 1
     /*  992829 */     // No operand predicates
     /*  992829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  992842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  992845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992864 */     GIR_RootConstrainSelectedInstOperands,
     /*  992865 */     // GIR_Coverage, 13982,
     /*  992865 */     GIR_EraseRootFromParent_Done,
     /*  992866 */   // Label 14800: @992866
     /*  992866 */   GIM_Try, /*On fail goto*//*Label 14801*/ GIMT_Encode4(992958), // Rule ID 13983 //
     /*  992871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  992882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  992885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  992888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  992901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992921 */     // MIs[1] Operand 1
     /*  992921 */     // No operand predicates
     /*  992921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992934 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  992934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  992937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992956 */     GIR_RootConstrainSelectedInstOperands,
     /*  992957 */     // GIR_Coverage, 13983,
     /*  992957 */     GIR_EraseRootFromParent_Done,
     /*  992958 */   // Label 14801: @992958
     /*  992958 */   GIM_Try, /*On fail goto*//*Label 14802*/ GIMT_Encode4(993034), // Rule ID 2770 //
     /*  992963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  992974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  992977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  992980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992991 */     // MIs[0] passthru
     /*  992991 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993000 */     // MIs[0] round
     /*  993000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993010 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  993013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993032 */     GIR_RootConstrainSelectedInstOperands,
     /*  993033 */     // GIR_Coverage, 2770,
     /*  993033 */     GIR_EraseRootFromParent_Done,
     /*  993034 */   // Label 14802: @993034
     /*  993034 */   GIM_Try, /*On fail goto*//*Label 14803*/ GIMT_Encode4(993110), // Rule ID 2771 //
     /*  993039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  993053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  993056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993067 */     // MIs[0] passthru
     /*  993067 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993076 */     // MIs[0] round
     /*  993076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993086 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  993089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993108 */     GIR_RootConstrainSelectedInstOperands,
     /*  993109 */     // GIR_Coverage, 2771,
     /*  993109 */     GIR_EraseRootFromParent_Done,
     /*  993110 */   // Label 14803: @993110
     /*  993110 */   GIM_Try, /*On fail goto*//*Label 14804*/ GIMT_Encode4(993186), // Rule ID 17150 //
     /*  993115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  993126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  993129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  993132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993143 */     // MIs[0] passthru
     /*  993143 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993152 */     // MIs[0] round
     /*  993152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993162 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  993165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993184 */     GIR_RootConstrainSelectedInstOperands,
     /*  993185 */     // GIR_Coverage, 17150,
     /*  993185 */     GIR_EraseRootFromParent_Done,
     /*  993186 */   // Label 14804: @993186
     /*  993186 */   GIM_Try, /*On fail goto*//*Label 14805*/ GIMT_Encode4(993262), // Rule ID 17151 //
     /*  993191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  993202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  993205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  993208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993219 */     // MIs[0] passthru
     /*  993219 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993228 */     // MIs[0] round
     /*  993228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993238 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  993241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993260 */     GIR_RootConstrainSelectedInstOperands,
     /*  993261 */     // GIR_Coverage, 17151,
     /*  993261 */     GIR_EraseRootFromParent_Done,
     /*  993262 */   // Label 14805: @993262
     /*  993262 */   GIM_Try, /*On fail goto*//*Label 14806*/ GIMT_Encode4(993338), // Rule ID 17160 //
     /*  993267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  993278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  993281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  993284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993295 */     // MIs[0] passthru
     /*  993295 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993304 */     // MIs[0] round
     /*  993304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993314 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  993317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993336 */     GIR_RootConstrainSelectedInstOperands,
     /*  993337 */     // GIR_Coverage, 17160,
     /*  993337 */     GIR_EraseRootFromParent_Done,
     /*  993338 */   // Label 14806: @993338
     /*  993338 */   GIM_Try, /*On fail goto*//*Label 14807*/ GIMT_Encode4(993414), // Rule ID 17161 //
     /*  993343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  993354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  993357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  993360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993371 */     // MIs[0] passthru
     /*  993371 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993380 */     // MIs[0] round
     /*  993380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993390 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  993393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993412 */     GIR_RootConstrainSelectedInstOperands,
     /*  993413 */     // GIR_Coverage, 17161,
     /*  993413 */     GIR_EraseRootFromParent_Done,
     /*  993414 */   // Label 14807: @993414
     /*  993414 */   GIM_Try, /*On fail goto*//*Label 14808*/ GIMT_Encode4(993490), // Rule ID 17170 //
     /*  993419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  993430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  993433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  993436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993447 */     // MIs[0] passthru
     /*  993447 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993456 */     // MIs[0] round
     /*  993456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993466 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  993469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993488 */     GIR_RootConstrainSelectedInstOperands,
     /*  993489 */     // GIR_Coverage, 17170,
     /*  993489 */     GIR_EraseRootFromParent_Done,
     /*  993490 */   // Label 14808: @993490
     /*  993490 */   GIM_Try, /*On fail goto*//*Label 14809*/ GIMT_Encode4(993566), // Rule ID 17171 //
     /*  993495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  993506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  993509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  993512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993523 */     // MIs[0] passthru
     /*  993523 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993532 */     // MIs[0] round
     /*  993532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993542 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  993545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993564 */     GIR_RootConstrainSelectedInstOperands,
     /*  993565 */     // GIR_Coverage, 17171,
     /*  993565 */     GIR_EraseRootFromParent_Done,
     /*  993566 */   // Label 14809: @993566
     /*  993566 */   GIM_Try, /*On fail goto*//*Label 14810*/ GIMT_Encode4(993642), // Rule ID 17180 //
     /*  993571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  993582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  993585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  993588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993599 */     // MIs[0] passthru
     /*  993599 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993608 */     // MIs[0] round
     /*  993608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993618 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  993621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993640 */     GIR_RootConstrainSelectedInstOperands,
     /*  993641 */     // GIR_Coverage, 17180,
     /*  993641 */     GIR_EraseRootFromParent_Done,
     /*  993642 */   // Label 14810: @993642
     /*  993642 */   GIM_Try, /*On fail goto*//*Label 14811*/ GIMT_Encode4(993718), // Rule ID 17181 //
     /*  993647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  993658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  993661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  993664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993675 */     // MIs[0] passthru
     /*  993675 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993684 */     // MIs[0] round
     /*  993684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993694 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  993697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993716 */     GIR_RootConstrainSelectedInstOperands,
     /*  993717 */     // GIR_Coverage, 17181,
     /*  993717 */     GIR_EraseRootFromParent_Done,
     /*  993718 */   // Label 14811: @993718
     /*  993718 */   GIM_Try, /*On fail goto*//*Label 14812*/ GIMT_Encode4(993794), // Rule ID 17190 //
     /*  993723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  993734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  993737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  993740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993751 */     // MIs[0] passthru
     /*  993751 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993760 */     // MIs[0] round
     /*  993760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993770 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  993773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993792 */     GIR_RootConstrainSelectedInstOperands,
     /*  993793 */     // GIR_Coverage, 17190,
     /*  993793 */     GIR_EraseRootFromParent_Done,
     /*  993794 */   // Label 14812: @993794
     /*  993794 */   GIM_Try, /*On fail goto*//*Label 14813*/ GIMT_Encode4(993870), // Rule ID 17191 //
     /*  993799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  993810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  993813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  993816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993827 */     // MIs[0] passthru
     /*  993827 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993836 */     // MIs[0] round
     /*  993836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993846 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  993849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993868 */     GIR_RootConstrainSelectedInstOperands,
     /*  993869 */     // GIR_Coverage, 17191,
     /*  993869 */     GIR_EraseRootFromParent_Done,
     /*  993870 */   // Label 14813: @993870
     /*  993870 */   GIM_Try, /*On fail goto*//*Label 14814*/ GIMT_Encode4(993946), // Rule ID 17200 //
     /*  993875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  993886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  993889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  993892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993903 */     // MIs[0] passthru
     /*  993903 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993912 */     // MIs[0] round
     /*  993912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993922 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  993925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993944 */     GIR_RootConstrainSelectedInstOperands,
     /*  993945 */     // GIR_Coverage, 17200,
     /*  993945 */     GIR_EraseRootFromParent_Done,
     /*  993946 */   // Label 14814: @993946
     /*  993946 */   GIM_Try, /*On fail goto*//*Label 14815*/ GIMT_Encode4(994022), // Rule ID 17201 //
     /*  993951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  993962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  993965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  993968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993979 */     // MIs[0] passthru
     /*  993979 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993988 */     // MIs[0] round
     /*  993988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993998 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  994001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994020 */     GIR_RootConstrainSelectedInstOperands,
     /*  994021 */     // GIR_Coverage, 17201,
     /*  994021 */     GIR_EraseRootFromParent_Done,
     /*  994022 */   // Label 14815: @994022
     /*  994022 */   GIM_Try, /*On fail goto*//*Label 14816*/ GIMT_Encode4(994098), // Rule ID 17210 //
     /*  994027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  994035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  994038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  994041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  994044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994055 */     // MIs[0] passthru
     /*  994055 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994064 */     // MIs[0] round
     /*  994064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994074 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  994077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994096 */     GIR_RootConstrainSelectedInstOperands,
     /*  994097 */     // GIR_Coverage, 17210,
     /*  994097 */     GIR_EraseRootFromParent_Done,
     /*  994098 */   // Label 14816: @994098
     /*  994098 */   GIM_Try, /*On fail goto*//*Label 14817*/ GIMT_Encode4(994174), // Rule ID 17211 //
     /*  994103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  994111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  994114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  994117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  994120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994131 */     // MIs[0] passthru
     /*  994131 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994140 */     // MIs[0] round
     /*  994140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994150 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  994153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994172 */     GIR_RootConstrainSelectedInstOperands,
     /*  994173 */     // GIR_Coverage, 17211,
     /*  994173 */     GIR_EraseRootFromParent_Done,
     /*  994174 */   // Label 14817: @994174
     /*  994174 */   GIM_Try, /*On fail goto*//*Label 14818*/ GIMT_Encode4(994250), // Rule ID 17220 //
     /*  994179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  994187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  994190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  994193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  994196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994207 */     // MIs[0] passthru
     /*  994207 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994216 */     // MIs[0] round
     /*  994216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994226 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  994229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994248 */     GIR_RootConstrainSelectedInstOperands,
     /*  994249 */     // GIR_Coverage, 17220,
     /*  994249 */     GIR_EraseRootFromParent_Done,
     /*  994250 */   // Label 14818: @994250
     /*  994250 */   GIM_Try, /*On fail goto*//*Label 14819*/ GIMT_Encode4(994326), // Rule ID 17221 //
     /*  994255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  994263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  994266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  994269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  994272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994283 */     // MIs[0] passthru
     /*  994283 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994292 */     // MIs[0] round
     /*  994292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994302 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  994305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994324 */     GIR_RootConstrainSelectedInstOperands,
     /*  994325 */     // GIR_Coverage, 17221,
     /*  994325 */     GIR_EraseRootFromParent_Done,
     /*  994326 */   // Label 14819: @994326
     /*  994326 */   GIM_Try, /*On fail goto*//*Label 14820*/ GIMT_Encode4(994402), // Rule ID 17266 //
     /*  994331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  994334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  994342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  994345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  994348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994359 */     // MIs[0] passthru
     /*  994359 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994368 */     // MIs[0] round
     /*  994368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994378 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  994378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  994381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994400 */     GIR_RootConstrainSelectedInstOperands,
     /*  994401 */     // GIR_Coverage, 17266,
     /*  994401 */     GIR_EraseRootFromParent_Done,
     /*  994402 */   // Label 14820: @994402
     /*  994402 */   GIM_Try, /*On fail goto*//*Label 14821*/ GIMT_Encode4(994478), // Rule ID 17267 //
     /*  994407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  994410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  994418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  994421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  994424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994435 */     // MIs[0] passthru
     /*  994435 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994444 */     // MIs[0] round
     /*  994444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994454 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  994454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  994457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994476 */     GIR_RootConstrainSelectedInstOperands,
     /*  994477 */     // GIR_Coverage, 17267,
     /*  994477 */     GIR_EraseRootFromParent_Done,
     /*  994478 */   // Label 14821: @994478
     /*  994478 */   GIM_Try, /*On fail goto*//*Label 14822*/ GIMT_Encode4(994554), // Rule ID 17276 //
     /*  994483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  994486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  994494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  994497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  994500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994511 */     // MIs[0] passthru
     /*  994511 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994520 */     // MIs[0] round
     /*  994520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994530 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  994530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  994533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994552 */     GIR_RootConstrainSelectedInstOperands,
     /*  994553 */     // GIR_Coverage, 17276,
     /*  994553 */     GIR_EraseRootFromParent_Done,
     /*  994554 */   // Label 14822: @994554
     /*  994554 */   GIM_Try, /*On fail goto*//*Label 14823*/ GIMT_Encode4(994630), // Rule ID 17277 //
     /*  994559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  994562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  994570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  994573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  994576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994587 */     // MIs[0] passthru
     /*  994587 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994596 */     // MIs[0] round
     /*  994596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994606 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  994606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  994609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994628 */     GIR_RootConstrainSelectedInstOperands,
     /*  994629 */     // GIR_Coverage, 17277,
     /*  994629 */     GIR_EraseRootFromParent_Done,
     /*  994630 */   // Label 14823: @994630
     /*  994630 */   GIM_Try, /*On fail goto*//*Label 14824*/ GIMT_Encode4(994706), // Rule ID 17286 //
     /*  994635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  994638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  994646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  994649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  994652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994663 */     // MIs[0] passthru
     /*  994663 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994672 */     // MIs[0] round
     /*  994672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994682 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  994682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  994685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994704 */     GIR_RootConstrainSelectedInstOperands,
     /*  994705 */     // GIR_Coverage, 17286,
     /*  994705 */     GIR_EraseRootFromParent_Done,
     /*  994706 */   // Label 14824: @994706
     /*  994706 */   GIM_Try, /*On fail goto*//*Label 14825*/ GIMT_Encode4(994782), // Rule ID 17287 //
     /*  994711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  994714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  994722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  994725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  994728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994739 */     // MIs[0] passthru
     /*  994739 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994748 */     // MIs[0] round
     /*  994748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994758 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  994758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  994761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994780 */     GIR_RootConstrainSelectedInstOperands,
     /*  994781 */     // GIR_Coverage, 17287,
     /*  994781 */     GIR_EraseRootFromParent_Done,
     /*  994782 */   // Label 14825: @994782
     /*  994782 */   GIM_Try, /*On fail goto*//*Label 14826*/ GIMT_Encode4(994858), // Rule ID 17296 //
     /*  994787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  994790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  994798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  994801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  994804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994815 */     // MIs[0] passthru
     /*  994815 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994824 */     // MIs[0] round
     /*  994824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994834 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  994834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  994837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994856 */     GIR_RootConstrainSelectedInstOperands,
     /*  994857 */     // GIR_Coverage, 17296,
     /*  994857 */     GIR_EraseRootFromParent_Done,
     /*  994858 */   // Label 14826: @994858
     /*  994858 */   GIM_Try, /*On fail goto*//*Label 14827*/ GIMT_Encode4(994934), // Rule ID 17297 //
     /*  994863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  994866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  994874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  994877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  994880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994891 */     // MIs[0] passthru
     /*  994891 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994900 */     // MIs[0] round
     /*  994900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994910 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  994910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  994913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994932 */     GIR_RootConstrainSelectedInstOperands,
     /*  994933 */     // GIR_Coverage, 17297,
     /*  994933 */     GIR_EraseRootFromParent_Done,
     /*  994934 */   // Label 14827: @994934
     /*  994934 */   GIM_Try, /*On fail goto*//*Label 14828*/ GIMT_Encode4(995010), // Rule ID 17306 //
     /*  994939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  994942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  994950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  994953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  994956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994967 */     // MIs[0] passthru
     /*  994967 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994976 */     // MIs[0] round
     /*  994976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994986 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  994986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  994989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  995008 */     GIR_RootConstrainSelectedInstOperands,
     /*  995009 */     // GIR_Coverage, 17306,
     /*  995009 */     GIR_EraseRootFromParent_Done,
     /*  995010 */   // Label 14828: @995010
     /*  995010 */   GIM_Try, /*On fail goto*//*Label 14829*/ GIMT_Encode4(995086), // Rule ID 17307 //
     /*  995015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  995018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  995023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  995026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  995029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  995032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995043 */     // MIs[0] passthru
     /*  995043 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  995048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995052 */     // MIs[0] round
     /*  995052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  995055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995062 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  995062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  995065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  995073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  995084 */     GIR_RootConstrainSelectedInstOperands,
     /*  995085 */     // GIR_Coverage, 17307,
     /*  995085 */     GIR_EraseRootFromParent_Done,
     /*  995086 */   // Label 14829: @995086
     /*  995086 */   GIM_Try, /*On fail goto*//*Label 14830*/ GIMT_Encode4(995162), // Rule ID 17316 //
     /*  995091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  995094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  995099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  995102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  995105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  995108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995119 */     // MIs[0] passthru
     /*  995119 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  995124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995128 */     // MIs[0] round
     /*  995128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  995131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995138 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  995138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  995141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  995149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  995160 */     GIR_RootConstrainSelectedInstOperands,
     /*  995161 */     // GIR_Coverage, 17316,
     /*  995161 */     GIR_EraseRootFromParent_Done,
     /*  995162 */   // Label 14830: @995162
     /*  995162 */   GIM_Try, /*On fail goto*//*Label 14831*/ GIMT_Encode4(995238), // Rule ID 17317 //
     /*  995167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  995170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  995175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  995178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  995181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  995184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995195 */     // MIs[0] passthru
     /*  995195 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  995200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995204 */     // MIs[0] round
     /*  995204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  995207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995214 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  995214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  995217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  995225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  995236 */     GIR_RootConstrainSelectedInstOperands,
     /*  995237 */     // GIR_Coverage, 17317,
     /*  995237 */     GIR_EraseRootFromParent_Done,
     /*  995238 */   // Label 14831: @995238
     /*  995238 */   GIM_Try, /*On fail goto*//*Label 14832*/ GIMT_Encode4(995314), // Rule ID 17326 //
     /*  995243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  995246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  995251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  995254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  995257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  995260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995271 */     // MIs[0] passthru
     /*  995271 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  995276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995280 */     // MIs[0] round
     /*  995280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  995283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995290 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  995290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  995293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  995301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  995312 */     GIR_RootConstrainSelectedInstOperands,
     /*  995313 */     // GIR_Coverage, 17326,
     /*  995313 */     GIR_EraseRootFromParent_Done,
     /*  995314 */   // Label 14832: @995314
     /*  995314 */   GIM_Try, /*On fail goto*//*Label 14833*/ GIMT_Encode4(995390), // Rule ID 17327 //
     /*  995319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  995322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  995327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  995330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  995333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  995336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995347 */     // MIs[0] passthru
     /*  995347 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  995352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995356 */     // MIs[0] round
     /*  995356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  995359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995366 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  995366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  995369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  995377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  995388 */     GIR_RootConstrainSelectedInstOperands,
     /*  995389 */     // GIR_Coverage, 17327,
     /*  995389 */     GIR_EraseRootFromParent_Done,
     /*  995390 */   // Label 14833: @995390
     /*  995390 */   GIM_Try, /*On fail goto*//*Label 14834*/ GIMT_Encode4(995466), // Rule ID 17336 //
     /*  995395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  995398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  995403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  995406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  995409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  995412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995423 */     // MIs[0] passthru
     /*  995423 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  995428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995432 */     // MIs[0] round
     /*  995432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  995435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995442 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  995442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  995445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  995453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  995464 */     GIR_RootConstrainSelectedInstOperands,
     /*  995465 */     // GIR_Coverage, 17336,
     /*  995465 */     GIR_EraseRootFromParent_Done,
     /*  995466 */   // Label 14834: @995466
     /*  995466 */   GIM_Try, /*On fail goto*//*Label 14835*/ GIMT_Encode4(995542), // Rule ID 17337 //
     /*  995471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  995474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  995479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  995482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  995485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  995488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995499 */     // MIs[0] passthru
     /*  995499 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  995504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995508 */     // MIs[0] round
     /*  995508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  995511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995518 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  995518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  995521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  995529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  995540 */     GIR_RootConstrainSelectedInstOperands,
     /*  995541 */     // GIR_Coverage, 17337,
     /*  995541 */     GIR_EraseRootFromParent_Done,
     /*  995542 */   // Label 14835: @995542
     /*  995542 */   GIM_Try, /*On fail goto*//*Label 14836*/ GIMT_Encode4(995618), // Rule ID 17346 //
     /*  995547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  995550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  995555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  995558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  995561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  995564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995575 */     // MIs[0] passthru
     /*  995575 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  995580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995584 */     // MIs[0] round
     /*  995584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  995587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995594 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  995594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  995597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  995605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  995616 */     GIR_RootConstrainSelectedInstOperands,
     /*  995617 */     // GIR_Coverage, 17346,
     /*  995617 */     GIR_EraseRootFromParent_Done,
     /*  995618 */   // Label 14836: @995618
     /*  995618 */   GIM_Try, /*On fail goto*//*Label 14837*/ GIMT_Encode4(995694), // Rule ID 17347 //
     /*  995623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  995626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  995631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  995634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  995637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  995640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995651 */     // MIs[0] passthru
     /*  995651 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  995656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995660 */     // MIs[0] round
     /*  995660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  995663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995670 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  995670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  995673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  995681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  995692 */     GIR_RootConstrainSelectedInstOperands,
     /*  995693 */     // GIR_Coverage, 17347,
     /*  995693 */     GIR_EraseRootFromParent_Done,
     /*  995694 */   // Label 14837: @995694
     /*  995694 */   GIM_Try, /*On fail goto*//*Label 14838*/ GIMT_Encode4(995771), // Rule ID 2700 //
     /*  995699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  995707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  995716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995738 */     // MIs[0] policy
     /*  995738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995748 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  995751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995769 */     GIR_RootConstrainSelectedInstOperands,
     /*  995770 */     // GIR_Coverage, 2700,
     /*  995770 */     GIR_EraseRootFromParent_Done,
     /*  995771 */   // Label 14838: @995771
     /*  995771 */   GIM_Try, /*On fail goto*//*Label 14839*/ GIMT_Encode4(995848), // Rule ID 2701 //
     /*  995776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  995784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  995793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995815 */     // MIs[0] policy
     /*  995815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995825 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  995828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995846 */     GIR_RootConstrainSelectedInstOperands,
     /*  995847 */     // GIR_Coverage, 2701,
     /*  995847 */     GIR_EraseRootFromParent_Done,
     /*  995848 */   // Label 14839: @995848
     /*  995848 */   GIM_Try, /*On fail goto*//*Label 14840*/ GIMT_Encode4(995925), // Rule ID 2704 //
     /*  995853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995892 */     // MIs[0] policy
     /*  995892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995902 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11694:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  995905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995923 */     GIR_RootConstrainSelectedInstOperands,
     /*  995924 */     // GIR_Coverage, 2704,
     /*  995924 */     GIR_EraseRootFromParent_Done,
     /*  995925 */   // Label 14840: @995925
     /*  995925 */   GIM_Try, /*On fail goto*//*Label 14841*/ GIMT_Encode4(996002), // Rule ID 2705 //
     /*  995930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995969 */     // MIs[0] policy
     /*  995969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995979 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11694:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  995982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996000 */     GIR_RootConstrainSelectedInstOperands,
     /*  996001 */     // GIR_Coverage, 2705,
     /*  996001 */     GIR_EraseRootFromParent_Done,
     /*  996002 */   // Label 14841: @996002
     /*  996002 */   GIM_Try, /*On fail goto*//*Label 14842*/ GIMT_Encode4(996079), // Rule ID 2708 //
     /*  996007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  996010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  996015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  996018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  996021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996046 */     // MIs[0] policy
     /*  996046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996056 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  996059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996077 */     GIR_RootConstrainSelectedInstOperands,
     /*  996078 */     // GIR_Coverage, 2708,
     /*  996078 */     GIR_EraseRootFromParent_Done,
     /*  996079 */   // Label 14842: @996079
     /*  996079 */   GIM_Try, /*On fail goto*//*Label 14843*/ GIMT_Encode4(996156), // Rule ID 2709 //
     /*  996084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  996087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  996092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  996095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  996098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996123 */     // MIs[0] policy
     /*  996123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996133 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  996136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996154 */     GIR_RootConstrainSelectedInstOperands,
     /*  996155 */     // GIR_Coverage, 2709,
     /*  996155 */     GIR_EraseRootFromParent_Done,
     /*  996156 */   // Label 14843: @996156
     /*  996156 */   GIM_Try, /*On fail goto*//*Label 14844*/ GIMT_Encode4(996233), // Rule ID 2744 //
     /*  996161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  996164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  996169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  996172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  996175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996200 */     // MIs[0] policy
     /*  996200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996210 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  996213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996231 */     GIR_RootConstrainSelectedInstOperands,
     /*  996232 */     // GIR_Coverage, 2744,
     /*  996232 */     GIR_EraseRootFromParent_Done,
     /*  996233 */   // Label 14844: @996233
     /*  996233 */   GIM_Try, /*On fail goto*//*Label 14845*/ GIMT_Encode4(996310), // Rule ID 2745 //
     /*  996238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  996241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  996246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  996249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  996252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996277 */     // MIs[0] policy
     /*  996277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996287 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  996290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996308 */     GIR_RootConstrainSelectedInstOperands,
     /*  996309 */     // GIR_Coverage, 2745,
     /*  996309 */     GIR_EraseRootFromParent_Done,
     /*  996310 */   // Label 14845: @996310
     /*  996310 */   GIM_Try, /*On fail goto*//*Label 14846*/ GIMT_Encode4(996387), // Rule ID 2776 //
     /*  996315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  996323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  996326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  996329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  996332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  996335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996354 */     // MIs[0] policy
     /*  996354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996364 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  996367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  996371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  996375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  996383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996385 */     GIR_RootConstrainSelectedInstOperands,
     /*  996386 */     // GIR_Coverage, 2776,
     /*  996386 */     GIR_EraseRootFromParent_Done,
     /*  996387 */   // Label 14846: @996387
     /*  996387 */   GIM_Try, /*On fail goto*//*Label 14847*/ GIMT_Encode4(996464), // Rule ID 2777 //
     /*  996392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  996400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  996403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  996406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  996409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  996412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996431 */     // MIs[0] policy
     /*  996431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996441 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  996444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  996448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  996452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  996460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996462 */     GIR_RootConstrainSelectedInstOperands,
     /*  996463 */     // GIR_Coverage, 2777,
     /*  996463 */     GIR_EraseRootFromParent_Done,
     /*  996464 */   // Label 14847: @996464
     /*  996464 */   GIM_Try, /*On fail goto*//*Label 14848*/ GIMT_Encode4(996541), // Rule ID 4904 //
     /*  996469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  996480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  996483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  996486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996508 */     // MIs[0] policy
     /*  996508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11694:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  996521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996539 */     GIR_RootConstrainSelectedInstOperands,
     /*  996540 */     // GIR_Coverage, 4904,
     /*  996540 */     GIR_EraseRootFromParent_Done,
     /*  996541 */   // Label 14848: @996541
     /*  996541 */   GIM_Try, /*On fail goto*//*Label 14849*/ GIMT_Encode4(996618), // Rule ID 4905 //
     /*  996546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  996557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  996560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  996563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996585 */     // MIs[0] policy
     /*  996585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996595 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11694:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  996598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996616 */     GIR_RootConstrainSelectedInstOperands,
     /*  996617 */     // GIR_Coverage, 4905,
     /*  996617 */     GIR_EraseRootFromParent_Done,
     /*  996618 */   // Label 14849: @996618
     /*  996618 */   GIM_Try, /*On fail goto*//*Label 14850*/ GIMT_Encode4(996695), // Rule ID 4908 //
     /*  996623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  996634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  996637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  996640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996662 */     // MIs[0] policy
     /*  996662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11694:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996693 */     GIR_RootConstrainSelectedInstOperands,
     /*  996694 */     // GIR_Coverage, 4908,
     /*  996694 */     GIR_EraseRootFromParent_Done,
     /*  996695 */   // Label 14850: @996695
     /*  996695 */   GIM_Try, /*On fail goto*//*Label 14851*/ GIMT_Encode4(996772), // Rule ID 4909 //
     /*  996700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  996711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  996714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  996717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996739 */     // MIs[0] policy
     /*  996739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996749 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11694:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996770 */     GIR_RootConstrainSelectedInstOperands,
     /*  996771 */     // GIR_Coverage, 4909,
     /*  996771 */     GIR_EraseRootFromParent_Done,
     /*  996772 */   // Label 14851: @996772
     /*  996772 */   GIM_Try, /*On fail goto*//*Label 14852*/ GIMT_Encode4(996849), // Rule ID 4912 //
     /*  996777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  996788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  996791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  996794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996816 */     // MIs[0] policy
     /*  996816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996826 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11694:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  996829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996847 */     GIR_RootConstrainSelectedInstOperands,
     /*  996848 */     // GIR_Coverage, 4912,
     /*  996848 */     GIR_EraseRootFromParent_Done,
     /*  996849 */   // Label 14852: @996849
     /*  996849 */   GIM_Try, /*On fail goto*//*Label 14853*/ GIMT_Encode4(996926), // Rule ID 4913 //
     /*  996854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  996865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  996868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  996871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996893 */     // MIs[0] policy
     /*  996893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996903 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11694:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  996906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996924 */     GIR_RootConstrainSelectedInstOperands,
     /*  996925 */     // GIR_Coverage, 4913,
     /*  996925 */     GIR_EraseRootFromParent_Done,
     /*  996926 */   // Label 14853: @996926
     /*  996926 */   GIM_Try, /*On fail goto*//*Label 14854*/ GIMT_Encode4(997003), // Rule ID 4916 //
     /*  996931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  996942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  996945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  996948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996970 */     // MIs[0] policy
     /*  996970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11694:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  996983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997001 */     GIR_RootConstrainSelectedInstOperands,
     /*  997002 */     // GIR_Coverage, 4916,
     /*  997002 */     GIR_EraseRootFromParent_Done,
     /*  997003 */   // Label 14854: @997003
     /*  997003 */   GIM_Try, /*On fail goto*//*Label 14855*/ GIMT_Encode4(997080), // Rule ID 4917 //
     /*  997008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  997019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  997022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  997025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  997028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997047 */     // MIs[0] policy
     /*  997047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997057 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11694:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997078 */     GIR_RootConstrainSelectedInstOperands,
     /*  997079 */     // GIR_Coverage, 4917,
     /*  997079 */     GIR_EraseRootFromParent_Done,
     /*  997080 */   // Label 14855: @997080
     /*  997080 */   GIM_Try, /*On fail goto*//*Label 14856*/ GIMT_Encode4(997157), // Rule ID 4920 //
     /*  997085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  997096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  997099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  997102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  997105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997124 */     // MIs[0] policy
     /*  997124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997134 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11694:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997155 */     GIR_RootConstrainSelectedInstOperands,
     /*  997156 */     // GIR_Coverage, 4920,
     /*  997156 */     GIR_EraseRootFromParent_Done,
     /*  997157 */   // Label 14856: @997157
     /*  997157 */   GIM_Try, /*On fail goto*//*Label 14857*/ GIMT_Encode4(997234), // Rule ID 4921 //
     /*  997162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  997173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  997176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  997179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  997182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997201 */     // MIs[0] policy
     /*  997201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997211 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11694:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997232 */     GIR_RootConstrainSelectedInstOperands,
     /*  997233 */     // GIR_Coverage, 4921,
     /*  997233 */     GIR_EraseRootFromParent_Done,
     /*  997234 */   // Label 14857: @997234
     /*  997234 */   GIM_Try, /*On fail goto*//*Label 14858*/ GIMT_Encode4(997311), // Rule ID 4924 //
     /*  997239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  997256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997278 */     // MIs[0] policy
     /*  997278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997288 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11694:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  997291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997309 */     GIR_RootConstrainSelectedInstOperands,
     /*  997310 */     // GIR_Coverage, 4924,
     /*  997310 */     GIR_EraseRootFromParent_Done,
     /*  997311 */   // Label 14858: @997311
     /*  997311 */   GIM_Try, /*On fail goto*//*Label 14859*/ GIMT_Encode4(997388), // Rule ID 4925 //
     /*  997316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  997333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997355 */     // MIs[0] policy
     /*  997355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997365 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11694:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  997368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997386 */     GIR_RootConstrainSelectedInstOperands,
     /*  997387 */     // GIR_Coverage, 4925,
     /*  997387 */     GIR_EraseRootFromParent_Done,
     /*  997388 */   // Label 14859: @997388
     /*  997388 */   GIM_Try, /*On fail goto*//*Label 14860*/ GIMT_Encode4(997465), // Rule ID 4928 //
     /*  997393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  997404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  997407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  997410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997432 */     // MIs[0] policy
     /*  997432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11694:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  997445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997463 */     GIR_RootConstrainSelectedInstOperands,
     /*  997464 */     // GIR_Coverage, 4928,
     /*  997464 */     GIR_EraseRootFromParent_Done,
     /*  997465 */   // Label 14860: @997465
     /*  997465 */   GIM_Try, /*On fail goto*//*Label 14861*/ GIMT_Encode4(997542), // Rule ID 4929 //
     /*  997470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  997481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  997484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  997487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997509 */     // MIs[0] policy
     /*  997509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997519 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11694:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  997522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997540 */     GIR_RootConstrainSelectedInstOperands,
     /*  997541 */     // GIR_Coverage, 4929,
     /*  997541 */     GIR_EraseRootFromParent_Done,
     /*  997542 */   // Label 14861: @997542
     /*  997542 */   GIM_Try, /*On fail goto*//*Label 14862*/ GIMT_Encode4(997619), // Rule ID 4932 //
     /*  997547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  997558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  997561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  997564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997586 */     // MIs[0] policy
     /*  997586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11694:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  997599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997617 */     GIR_RootConstrainSelectedInstOperands,
     /*  997618 */     // GIR_Coverage, 4932,
     /*  997618 */     GIR_EraseRootFromParent_Done,
     /*  997619 */   // Label 14862: @997619
     /*  997619 */   GIM_Try, /*On fail goto*//*Label 14863*/ GIMT_Encode4(997696), // Rule ID 4933 //
     /*  997624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  997635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  997638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  997641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997663 */     // MIs[0] policy
     /*  997663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997673 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11694:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  997676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997694 */     GIR_RootConstrainSelectedInstOperands,
     /*  997695 */     // GIR_Coverage, 4933,
     /*  997695 */     GIR_EraseRootFromParent_Done,
     /*  997696 */   // Label 14863: @997696
     /*  997696 */   GIM_Try, /*On fail goto*//*Label 14864*/ GIMT_Encode4(997773), // Rule ID 4936 //
     /*  997701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  997712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  997715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  997718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997740 */     // MIs[0] policy
     /*  997740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997750 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11694:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997771 */     GIR_RootConstrainSelectedInstOperands,
     /*  997772 */     // GIR_Coverage, 4936,
     /*  997772 */     GIR_EraseRootFromParent_Done,
     /*  997773 */   // Label 14864: @997773
     /*  997773 */   GIM_Try, /*On fail goto*//*Label 14865*/ GIMT_Encode4(997850), // Rule ID 4937 //
     /*  997778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  997789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  997792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  997795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997817 */     // MIs[0] policy
     /*  997817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997827 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11694:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997848 */     GIR_RootConstrainSelectedInstOperands,
     /*  997849 */     // GIR_Coverage, 4937,
     /*  997849 */     GIR_EraseRootFromParent_Done,
     /*  997850 */   // Label 14865: @997850
     /*  997850 */   GIM_Try, /*On fail goto*//*Label 14866*/ GIMT_Encode4(997927), // Rule ID 4940 //
     /*  997855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  997872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  997875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997894 */     // MIs[0] policy
     /*  997894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997904 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11694:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997925 */     GIR_RootConstrainSelectedInstOperands,
     /*  997926 */     // GIR_Coverage, 4940,
     /*  997926 */     GIR_EraseRootFromParent_Done,
     /*  997927 */   // Label 14866: @997927
     /*  997927 */   GIM_Try, /*On fail goto*//*Label 14867*/ GIMT_Encode4(998004), // Rule ID 4941 //
     /*  997932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  997949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  997952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997971 */     // MIs[0] policy
     /*  997971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997981 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11694:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998002 */     GIR_RootConstrainSelectedInstOperands,
     /*  998003 */     // GIR_Coverage, 4941,
     /*  998003 */     GIR_EraseRootFromParent_Done,
     /*  998004 */   // Label 14867: @998004
     /*  998004 */   GIM_Try, /*On fail goto*//*Label 14868*/ GIMT_Encode4(998081), // Rule ID 4944 //
     /*  998009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  998026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998048 */     // MIs[0] policy
     /*  998048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11694:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  998061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998079 */     GIR_RootConstrainSelectedInstOperands,
     /*  998080 */     // GIR_Coverage, 4944,
     /*  998080 */     GIR_EraseRootFromParent_Done,
     /*  998081 */   // Label 14868: @998081
     /*  998081 */   GIM_Try, /*On fail goto*//*Label 14869*/ GIMT_Encode4(998158), // Rule ID 4945 //
     /*  998086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  998103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998125 */     // MIs[0] policy
     /*  998125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998135 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11694:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  998138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998156 */     GIR_RootConstrainSelectedInstOperands,
     /*  998157 */     // GIR_Coverage, 4945,
     /*  998157 */     GIR_EraseRootFromParent_Done,
     /*  998158 */   // Label 14869: @998158
     /*  998158 */   GIM_Try, /*On fail goto*//*Label 14870*/ GIMT_Encode4(998235), // Rule ID 4948 //
     /*  998163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  998180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998202 */     // MIs[0] policy
     /*  998202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998212 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11694:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  998215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998233 */     GIR_RootConstrainSelectedInstOperands,
     /*  998234 */     // GIR_Coverage, 4948,
     /*  998234 */     GIR_EraseRootFromParent_Done,
     /*  998235 */   // Label 14870: @998235
     /*  998235 */   GIM_Try, /*On fail goto*//*Label 14871*/ GIMT_Encode4(998312), // Rule ID 4949 //
     /*  998240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  998257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998279 */     // MIs[0] policy
     /*  998279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998289 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11694:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  998292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998310 */     GIR_RootConstrainSelectedInstOperands,
     /*  998311 */     // GIR_Coverage, 4949,
     /*  998311 */     GIR_EraseRootFromParent_Done,
     /*  998312 */   // Label 14871: @998312
     /*  998312 */   GIM_Try, /*On fail goto*//*Label 14872*/ GIMT_Encode4(998389), // Rule ID 4952 //
     /*  998317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  998328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  998331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  998334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998356 */     // MIs[0] policy
     /*  998356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998366 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11694:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  998369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998387 */     GIR_RootConstrainSelectedInstOperands,
     /*  998388 */     // GIR_Coverage, 4952,
     /*  998388 */     GIR_EraseRootFromParent_Done,
     /*  998389 */   // Label 14872: @998389
     /*  998389 */   GIM_Try, /*On fail goto*//*Label 14873*/ GIMT_Encode4(998466), // Rule ID 4953 //
     /*  998394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  998405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  998408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  998411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998433 */     // MIs[0] policy
     /*  998433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998443 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11694:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  998446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998464 */     GIR_RootConstrainSelectedInstOperands,
     /*  998465 */     // GIR_Coverage, 4953,
     /*  998465 */     GIR_EraseRootFromParent_Done,
     /*  998466 */   // Label 14873: @998466
     /*  998466 */   GIM_Try, /*On fail goto*//*Label 14874*/ GIMT_Encode4(998543), // Rule ID 4956 //
     /*  998471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  998482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  998485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  998488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998510 */     // MIs[0] policy
     /*  998510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11694:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  998523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998541 */     GIR_RootConstrainSelectedInstOperands,
     /*  998542 */     // GIR_Coverage, 4956,
     /*  998542 */     GIR_EraseRootFromParent_Done,
     /*  998543 */   // Label 14874: @998543
     /*  998543 */   GIM_Try, /*On fail goto*//*Label 14875*/ GIMT_Encode4(998620), // Rule ID 4957 //
     /*  998548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  998559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  998562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  998565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998587 */     // MIs[0] policy
     /*  998587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998597 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11694:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  998600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998618 */     GIR_RootConstrainSelectedInstOperands,
     /*  998619 */     // GIR_Coverage, 4957,
     /*  998619 */     GIR_EraseRootFromParent_Done,
     /*  998620 */   // Label 14875: @998620
     /*  998620 */   GIM_Try, /*On fail goto*//*Label 14876*/ GIMT_Encode4(998697), // Rule ID 4960 //
     /*  998625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  998636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  998639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  998642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998664 */     // MIs[0] policy
     /*  998664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998674 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11694:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  998677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998695 */     GIR_RootConstrainSelectedInstOperands,
     /*  998696 */     // GIR_Coverage, 4960,
     /*  998696 */     GIR_EraseRootFromParent_Done,
     /*  998697 */   // Label 14876: @998697
     /*  998697 */   GIM_Try, /*On fail goto*//*Label 14877*/ GIMT_Encode4(998774), // Rule ID 4961 //
     /*  998702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  998713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  998716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  998719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998741 */     // MIs[0] policy
     /*  998741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998751 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11694:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  998754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998772 */     GIR_RootConstrainSelectedInstOperands,
     /*  998773 */     // GIR_Coverage, 4961,
     /*  998773 */     GIR_EraseRootFromParent_Done,
     /*  998774 */   // Label 14877: @998774
     /*  998774 */   GIM_Try, /*On fail goto*//*Label 14878*/ GIMT_Encode4(998851), // Rule ID 4964 //
     /*  998779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  998790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  998793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  998796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998818 */     // MIs[0] policy
     /*  998818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11694:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998849 */     GIR_RootConstrainSelectedInstOperands,
     /*  998850 */     // GIR_Coverage, 4964,
     /*  998850 */     GIR_EraseRootFromParent_Done,
     /*  998851 */   // Label 14878: @998851
     /*  998851 */   GIM_Try, /*On fail goto*//*Label 14879*/ GIMT_Encode4(998928), // Rule ID 4965 //
     /*  998856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  998867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  998870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  998873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998895 */     // MIs[0] policy
     /*  998895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998905 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11694:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998926 */     GIR_RootConstrainSelectedInstOperands,
     /*  998927 */     // GIR_Coverage, 4965,
     /*  998927 */     GIR_EraseRootFromParent_Done,
     /*  998928 */   // Label 14879: @998928
     /*  998928 */   GIM_Try, /*On fail goto*//*Label 14880*/ GIMT_Encode4(999005), // Rule ID 4968 //
     /*  998933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  998944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  998947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  998950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998972 */     // MIs[0] policy
     /*  998972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998982 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11694:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  998985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999003 */     GIR_RootConstrainSelectedInstOperands,
     /*  999004 */     // GIR_Coverage, 4968,
     /*  999004 */     GIR_EraseRootFromParent_Done,
     /*  999005 */   // Label 14880: @999005
     /*  999005 */   GIM_Try, /*On fail goto*//*Label 14881*/ GIMT_Encode4(999082), // Rule ID 4969 //
     /*  999010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  999021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  999024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  999027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999049 */     // MIs[0] policy
     /*  999049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999059 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11694:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  999062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999080 */     GIR_RootConstrainSelectedInstOperands,
     /*  999081 */     // GIR_Coverage, 4969,
     /*  999081 */     GIR_EraseRootFromParent_Done,
     /*  999082 */   // Label 14881: @999082
     /*  999082 */   GIM_Try, /*On fail goto*//*Label 14882*/ GIMT_Encode4(999159), // Rule ID 4972 //
     /*  999087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  999098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  999101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  999104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999126 */     // MIs[0] policy
     /*  999126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11694:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  999139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999157 */     GIR_RootConstrainSelectedInstOperands,
     /*  999158 */     // GIR_Coverage, 4972,
     /*  999158 */     GIR_EraseRootFromParent_Done,
     /*  999159 */   // Label 14882: @999159
     /*  999159 */   GIM_Try, /*On fail goto*//*Label 14883*/ GIMT_Encode4(999236), // Rule ID 4973 //
     /*  999164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  999175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  999178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  999181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999203 */     // MIs[0] policy
     /*  999203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999213 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11694:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  999216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999234 */     GIR_RootConstrainSelectedInstOperands,
     /*  999235 */     // GIR_Coverage, 4973,
     /*  999235 */     GIR_EraseRootFromParent_Done,
     /*  999236 */   // Label 14883: @999236
     /*  999236 */   GIM_Try, /*On fail goto*//*Label 14884*/ GIMT_Encode4(999313), // Rule ID 4976 //
     /*  999241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  999252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  999255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  999258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  999261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999280 */     // MIs[0] policy
     /*  999280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999290 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11694:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  999293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999311 */     GIR_RootConstrainSelectedInstOperands,
     /*  999312 */     // GIR_Coverage, 4976,
     /*  999312 */     GIR_EraseRootFromParent_Done,
     /*  999313 */   // Label 14884: @999313
     /*  999313 */   GIM_Try, /*On fail goto*//*Label 14885*/ GIMT_Encode4(999390), // Rule ID 4977 //
     /*  999318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  999329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  999332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  999335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  999338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999357 */     // MIs[0] policy
     /*  999357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999367 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11694:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  999370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999388 */     GIR_RootConstrainSelectedInstOperands,
     /*  999389 */     // GIR_Coverage, 4977,
     /*  999389 */     GIR_EraseRootFromParent_Done,
     /*  999390 */   // Label 14885: @999390
     /*  999390 */   GIM_Try, /*On fail goto*//*Label 14886*/ GIMT_Encode4(999467), // Rule ID 4980 //
     /*  999395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  999406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  999409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  999412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999434 */     // MIs[0] policy
     /*  999434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999444 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11694:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  999447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999465 */     GIR_RootConstrainSelectedInstOperands,
     /*  999466 */     // GIR_Coverage, 4980,
     /*  999466 */     GIR_EraseRootFromParent_Done,
     /*  999467 */   // Label 14886: @999467
     /*  999467 */   GIM_Try, /*On fail goto*//*Label 14887*/ GIMT_Encode4(999544), // Rule ID 4981 //
     /*  999472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  999483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  999486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  999489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999511 */     // MIs[0] policy
     /*  999511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11694:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  999524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999542 */     GIR_RootConstrainSelectedInstOperands,
     /*  999543 */     // GIR_Coverage, 4981,
     /*  999543 */     GIR_EraseRootFromParent_Done,
     /*  999544 */   // Label 14887: @999544
     /*  999544 */   GIM_Try, /*On fail goto*//*Label 14888*/ GIMT_Encode4(999621), // Rule ID 4984 //
     /*  999549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  999566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999588 */     // MIs[0] policy
     /*  999588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11694:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  999601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999619 */     GIR_RootConstrainSelectedInstOperands,
     /*  999620 */     // GIR_Coverage, 4984,
     /*  999620 */     GIR_EraseRootFromParent_Done,
     /*  999621 */   // Label 14888: @999621
     /*  999621 */   GIM_Try, /*On fail goto*//*Label 14889*/ GIMT_Encode4(999698), // Rule ID 4985 //
     /*  999626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  999643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999665 */     // MIs[0] policy
     /*  999665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999675 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11694:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  999678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999696 */     GIR_RootConstrainSelectedInstOperands,
     /*  999697 */     // GIR_Coverage, 4985,
     /*  999697 */     GIR_EraseRootFromParent_Done,
     /*  999698 */   // Label 14889: @999698
     /*  999698 */   GIM_Try, /*On fail goto*//*Label 14890*/ GIMT_Encode4(999775), // Rule ID 4988 //
     /*  999703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  999720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999742 */     // MIs[0] policy
     /*  999742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999752 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11694:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  999755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999773 */     GIR_RootConstrainSelectedInstOperands,
     /*  999774 */     // GIR_Coverage, 4988,
     /*  999774 */     GIR_EraseRootFromParent_Done,
     /*  999775 */   // Label 14890: @999775
     /*  999775 */   GIM_Try, /*On fail goto*//*Label 14891*/ GIMT_Encode4(999852), // Rule ID 4989 //
     /*  999780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  999797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999819 */     // MIs[0] policy
     /*  999819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999829 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11694:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  999832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999850 */     GIR_RootConstrainSelectedInstOperands,
     /*  999851 */     // GIR_Coverage, 4989,
     /*  999851 */     GIR_EraseRootFromParent_Done,
     /*  999852 */   // Label 14891: @999852
     /*  999852 */   GIM_Try, /*On fail goto*//*Label 14892*/ GIMT_Encode4(999929), // Rule ID 4992 //
     /*  999857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  999874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999896 */     // MIs[0] policy
     /*  999896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999906 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11694:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  999909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999927 */     GIR_RootConstrainSelectedInstOperands,
     /*  999928 */     // GIR_Coverage, 4992,
     /*  999928 */     GIR_EraseRootFromParent_Done,
     /*  999929 */   // Label 14892: @999929
     /*  999929 */   GIM_Try, /*On fail goto*//*Label 14893*/ GIMT_Encode4(1000006), // Rule ID 4993 //
     /*  999934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  999951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999973 */     // MIs[0] policy
     /*  999973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999983 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11694:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  999986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000005 */     // GIR_Coverage, 4993,
     /* 1000005 */     GIR_EraseRootFromParent_Done,
     /* 1000006 */   // Label 14893: @1000006
     /* 1000006 */   GIM_Try, /*On fail goto*//*Label 14894*/ GIMT_Encode4(1000083), // Rule ID 4996 //
     /* 1000011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1000014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1000022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1000025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000050 */     // MIs[0] policy
     /* 1000050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000060 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11694:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /* 1000063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000082 */     // GIR_Coverage, 4996,
     /* 1000082 */     GIR_EraseRootFromParent_Done,
     /* 1000083 */   // Label 14894: @1000083
     /* 1000083 */   GIM_Try, /*On fail goto*//*Label 14895*/ GIMT_Encode4(1000160), // Rule ID 4997 //
     /* 1000088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1000091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1000099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1000102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000127 */     // MIs[0] policy
     /* 1000127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000137 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11694:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /* 1000140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000159 */     // GIR_Coverage, 4997,
     /* 1000159 */     GIR_EraseRootFromParent_Done,
     /* 1000160 */   // Label 14895: @1000160
     /* 1000160 */   GIM_Try, /*On fail goto*//*Label 14896*/ GIMT_Encode4(1000237), // Rule ID 5000 //
     /* 1000165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1000168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1000176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1000179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000204 */     // MIs[0] policy
     /* 1000204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000214 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11694:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /* 1000217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000236 */     // GIR_Coverage, 5000,
     /* 1000236 */     GIR_EraseRootFromParent_Done,
     /* 1000237 */   // Label 14896: @1000237
     /* 1000237 */   GIM_Try, /*On fail goto*//*Label 14897*/ GIMT_Encode4(1000314), // Rule ID 5001 //
     /* 1000242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1000245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1000253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1000256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000281 */     // MIs[0] policy
     /* 1000281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000291 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11694:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /* 1000294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000313 */     // GIR_Coverage, 5001,
     /* 1000313 */     GIR_EraseRootFromParent_Done,
     /* 1000314 */   // Label 14897: @1000314
     /* 1000314 */   GIM_Try, /*On fail goto*//*Label 14898*/ GIMT_Encode4(1000391), // Rule ID 5004 //
     /* 1000319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1000322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1000330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1000333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000358 */     // MIs[0] policy
     /* 1000358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000368 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11694:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /* 1000371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000390 */     // GIR_Coverage, 5004,
     /* 1000390 */     GIR_EraseRootFromParent_Done,
     /* 1000391 */   // Label 14898: @1000391
     /* 1000391 */   GIM_Try, /*On fail goto*//*Label 14899*/ GIMT_Encode4(1000468), // Rule ID 5005 //
     /* 1000396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1000399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1000407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1000410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000435 */     // MIs[0] policy
     /* 1000435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000445 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11694:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /* 1000448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000467 */     // GIR_Coverage, 5005,
     /* 1000467 */     GIR_EraseRootFromParent_Done,
     /* 1000468 */   // Label 14899: @1000468
     /* 1000468 */   GIM_Try, /*On fail goto*//*Label 14900*/ GIMT_Encode4(1000545), // Rule ID 5008 //
     /* 1000473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1000476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1000484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1000487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000512 */     // MIs[0] policy
     /* 1000512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11694:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /* 1000525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000544 */     // GIR_Coverage, 5008,
     /* 1000544 */     GIR_EraseRootFromParent_Done,
     /* 1000545 */   // Label 14900: @1000545
     /* 1000545 */   GIM_Try, /*On fail goto*//*Label 14901*/ GIMT_Encode4(1000622), // Rule ID 5009 //
     /* 1000550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1000553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1000561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1000564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000589 */     // MIs[0] policy
     /* 1000589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000599 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11694:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /* 1000602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000621 */     // GIR_Coverage, 5009,
     /* 1000621 */     GIR_EraseRootFromParent_Done,
     /* 1000622 */   // Label 14901: @1000622
     /* 1000622 */   GIM_Try, /*On fail goto*//*Label 14902*/ GIMT_Encode4(1000699), // Rule ID 5012 //
     /* 1000627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1000638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1000641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000666 */     // MIs[0] policy
     /* 1000666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000676 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /* 1000679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000698 */     // GIR_Coverage, 5012,
     /* 1000698 */     GIR_EraseRootFromParent_Done,
     /* 1000699 */   // Label 14902: @1000699
     /* 1000699 */   GIM_Try, /*On fail goto*//*Label 14903*/ GIMT_Encode4(1000776), // Rule ID 5013 //
     /* 1000704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1000715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1000718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000743 */     // MIs[0] policy
     /* 1000743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /* 1000756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000775 */     // GIR_Coverage, 5013,
     /* 1000775 */     GIR_EraseRootFromParent_Done,
     /* 1000776 */   // Label 14903: @1000776
     /* 1000776 */   GIM_Try, /*On fail goto*//*Label 14904*/ GIMT_Encode4(1000853), // Rule ID 5016 //
     /* 1000781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1000792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1000795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000820 */     // MIs[0] policy
     /* 1000820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000830 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1000833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000852 */     // GIR_Coverage, 5016,
     /* 1000852 */     GIR_EraseRootFromParent_Done,
     /* 1000853 */   // Label 14904: @1000853
     /* 1000853 */   GIM_Try, /*On fail goto*//*Label 14905*/ GIMT_Encode4(1000930), // Rule ID 5017 //
     /* 1000858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1000869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1000872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000897 */     // MIs[0] policy
     /* 1000897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000907 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1000910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000929 */     // GIR_Coverage, 5017,
     /* 1000929 */     GIR_EraseRootFromParent_Done,
     /* 1000930 */   // Label 14905: @1000930
     /* 1000930 */   GIM_Try, /*On fail goto*//*Label 14906*/ GIMT_Encode4(1001007), // Rule ID 5020 //
     /* 1000935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1000946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1000949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000974 */     // MIs[0] policy
     /* 1000974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000984 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1000987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001006 */     // GIR_Coverage, 5020,
     /* 1001006 */     GIR_EraseRootFromParent_Done,
     /* 1001007 */   // Label 14906: @1001007
     /* 1001007 */   GIM_Try, /*On fail goto*//*Label 14907*/ GIMT_Encode4(1001084), // Rule ID 5021 //
     /* 1001012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1001023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1001026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1001029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001051 */     // MIs[0] policy
     /* 1001051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001061 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001083 */     // GIR_Coverage, 5021,
     /* 1001083 */     GIR_EraseRootFromParent_Done,
     /* 1001084 */   // Label 14907: @1001084
     /* 1001084 */   GIM_Try, /*On fail goto*//*Label 14908*/ GIMT_Encode4(1001161), // Rule ID 5024 //
     /* 1001089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1001100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1001103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1001106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001128 */     // MIs[0] policy
     /* 1001128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001138 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001160 */     // GIR_Coverage, 5024,
     /* 1001160 */     GIR_EraseRootFromParent_Done,
     /* 1001161 */   // Label 14908: @1001161
     /* 1001161 */   GIM_Try, /*On fail goto*//*Label 14909*/ GIMT_Encode4(1001238), // Rule ID 5025 //
     /* 1001166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1001177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1001180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1001183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001205 */     // MIs[0] policy
     /* 1001205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001215 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001237 */     // GIR_Coverage, 5025,
     /* 1001237 */     GIR_EraseRootFromParent_Done,
     /* 1001238 */   // Label 14909: @1001238
     /* 1001238 */   GIM_Try, /*On fail goto*//*Label 14910*/ GIMT_Encode4(1001315), // Rule ID 5028 //
     /* 1001243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1001254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1001257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1001260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001282 */     // MIs[0] policy
     /* 1001282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001292 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1001295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001314 */     // GIR_Coverage, 5028,
     /* 1001314 */     GIR_EraseRootFromParent_Done,
     /* 1001315 */   // Label 14910: @1001315
     /* 1001315 */   GIM_Try, /*On fail goto*//*Label 14911*/ GIMT_Encode4(1001392), // Rule ID 5029 //
     /* 1001320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1001331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1001334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1001337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001359 */     // MIs[0] policy
     /* 1001359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001369 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1001372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001391 */     // GIR_Coverage, 5029,
     /* 1001391 */     GIR_EraseRootFromParent_Done,
     /* 1001392 */   // Label 14911: @1001392
     /* 1001392 */   GIM_Try, /*On fail goto*//*Label 14912*/ GIMT_Encode4(1001469), // Rule ID 5032 //
     /* 1001397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1001408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1001411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1001414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1001417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001436 */     // MIs[0] policy
     /* 1001436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001468 */     // GIR_Coverage, 5032,
     /* 1001468 */     GIR_EraseRootFromParent_Done,
     /* 1001469 */   // Label 14912: @1001469
     /* 1001469 */   GIM_Try, /*On fail goto*//*Label 14913*/ GIMT_Encode4(1001546), // Rule ID 5033 //
     /* 1001474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1001485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1001488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1001491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1001494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001513 */     // MIs[0] policy
     /* 1001513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001523 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001545 */     // GIR_Coverage, 5033,
     /* 1001545 */     GIR_EraseRootFromParent_Done,
     /* 1001546 */   // Label 14913: @1001546
     /* 1001546 */   GIM_Try, /*On fail goto*//*Label 14914*/ GIMT_Encode4(1001623), // Rule ID 5036 //
     /* 1001551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1001562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1001565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1001568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001590 */     // MIs[0] policy
     /* 1001590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001600 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1001603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001622 */     // GIR_Coverage, 5036,
     /* 1001622 */     GIR_EraseRootFromParent_Done,
     /* 1001623 */   // Label 14914: @1001623
     /* 1001623 */   GIM_Try, /*On fail goto*//*Label 14915*/ GIMT_Encode4(1001700), // Rule ID 5037 //
     /* 1001628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1001639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1001642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1001645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001667 */     // MIs[0] policy
     /* 1001667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001677 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1001680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001699 */     // GIR_Coverage, 5037,
     /* 1001699 */     GIR_EraseRootFromParent_Done,
     /* 1001700 */   // Label 14915: @1001700
     /* 1001700 */   GIM_Try, /*On fail goto*//*Label 14916*/ GIMT_Encode4(1001777), // Rule ID 5040 //
     /* 1001705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1001716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1001719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001744 */     // MIs[0] policy
     /* 1001744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001754 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001776 */     // GIR_Coverage, 5040,
     /* 1001776 */     GIR_EraseRootFromParent_Done,
     /* 1001777 */   // Label 14916: @1001777
     /* 1001777 */   GIM_Try, /*On fail goto*//*Label 14917*/ GIMT_Encode4(1001854), // Rule ID 5041 //
     /* 1001782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1001793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1001796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001821 */     // MIs[0] policy
     /* 1001821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001831 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001853 */     // GIR_Coverage, 5041,
     /* 1001853 */     GIR_EraseRootFromParent_Done,
     /* 1001854 */   // Label 14917: @1001854
     /* 1001854 */   GIM_Try, /*On fail goto*//*Label 14918*/ GIMT_Encode4(1001931), // Rule ID 5044 //
     /* 1001859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1001870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1001873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001898 */     // MIs[0] policy
     /* 1001898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001930 */     // GIR_Coverage, 5044,
     /* 1001930 */     GIR_EraseRootFromParent_Done,
     /* 1001931 */   // Label 14918: @1001931
     /* 1001931 */   GIM_Try, /*On fail goto*//*Label 14919*/ GIMT_Encode4(1002008), // Rule ID 5045 //
     /* 1001936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1001947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1001950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001975 */     // MIs[0] policy
     /* 1001975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001985 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002007 */     // GIR_Coverage, 5045,
     /* 1002007 */     GIR_EraseRootFromParent_Done,
     /* 1002008 */   // Label 14919: @1002008
     /* 1002008 */   GIM_Try, /*On fail goto*//*Label 14920*/ GIMT_Encode4(1002085), // Rule ID 5048 //
     /* 1002013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1002030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002052 */     // MIs[0] policy
     /* 1002052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002062 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1002065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002084 */     // GIR_Coverage, 5048,
     /* 1002084 */     GIR_EraseRootFromParent_Done,
     /* 1002085 */   // Label 14920: @1002085
     /* 1002085 */   GIM_Try, /*On fail goto*//*Label 14921*/ GIMT_Encode4(1002162), // Rule ID 5049 //
     /* 1002090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1002107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002129 */     // MIs[0] policy
     /* 1002129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002139 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1002142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002161 */     // GIR_Coverage, 5049,
     /* 1002161 */     GIR_EraseRootFromParent_Done,
     /* 1002162 */   // Label 14921: @1002162
     /* 1002162 */   GIM_Try, /*On fail goto*//*Label 14922*/ GIMT_Encode4(1002239), // Rule ID 5052 //
     /* 1002167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1002184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002206 */     // MIs[0] policy
     /* 1002206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002216 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1002219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002238 */     // GIR_Coverage, 5052,
     /* 1002238 */     GIR_EraseRootFromParent_Done,
     /* 1002239 */   // Label 14922: @1002239
     /* 1002239 */   GIM_Try, /*On fail goto*//*Label 14923*/ GIMT_Encode4(1002316), // Rule ID 5053 //
     /* 1002244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1002261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002283 */     // MIs[0] policy
     /* 1002283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002293 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1002296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002315 */     // GIR_Coverage, 5053,
     /* 1002315 */     GIR_EraseRootFromParent_Done,
     /* 1002316 */   // Label 14923: @1002316
     /* 1002316 */   GIM_Try, /*On fail goto*//*Label 14924*/ GIMT_Encode4(1002393), // Rule ID 5056 //
     /* 1002321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1002338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002360 */     // MIs[0] policy
     /* 1002360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002370 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1002373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002392 */     // GIR_Coverage, 5056,
     /* 1002392 */     GIR_EraseRootFromParent_Done,
     /* 1002393 */   // Label 14924: @1002393
     /* 1002393 */   GIM_Try, /*On fail goto*//*Label 14925*/ GIMT_Encode4(1002470), // Rule ID 5057 //
     /* 1002398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1002415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002437 */     // MIs[0] policy
     /* 1002437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1002450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002469 */     // GIR_Coverage, 5057,
     /* 1002469 */     GIR_EraseRootFromParent_Done,
     /* 1002470 */   // Label 14925: @1002470
     /* 1002470 */   GIM_Try, /*On fail goto*//*Label 14926*/ GIMT_Encode4(1002547), // Rule ID 5060 //
     /* 1002475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1002486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1002489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1002492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002514 */     // MIs[0] policy
     /* 1002514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002524 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1002527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002546 */     // GIR_Coverage, 5060,
     /* 1002546 */     GIR_EraseRootFromParent_Done,
     /* 1002547 */   // Label 14926: @1002547
     /* 1002547 */   GIM_Try, /*On fail goto*//*Label 14927*/ GIMT_Encode4(1002624), // Rule ID 5061 //
     /* 1002552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1002563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1002566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1002569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002591 */     // MIs[0] policy
     /* 1002591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002601 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1002604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002610 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002623 */     // GIR_Coverage, 5061,
     /* 1002623 */     GIR_EraseRootFromParent_Done,
     /* 1002624 */   // Label 14927: @1002624
     /* 1002624 */   GIM_Try, /*On fail goto*//*Label 14928*/ GIMT_Encode4(1002701), // Rule ID 5064 //
     /* 1002629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1002640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1002643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1002646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002668 */     // MIs[0] policy
     /* 1002668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002678 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1002681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002700 */     // GIR_Coverage, 5064,
     /* 1002700 */     GIR_EraseRootFromParent_Done,
     /* 1002701 */   // Label 14928: @1002701
     /* 1002701 */   GIM_Try, /*On fail goto*//*Label 14929*/ GIMT_Encode4(1002778), // Rule ID 5065 //
     /* 1002706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1002717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1002720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1002723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002745 */     // MIs[0] policy
     /* 1002745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002755 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1002758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002777 */     // GIR_Coverage, 5065,
     /* 1002777 */     GIR_EraseRootFromParent_Done,
     /* 1002778 */   // Label 14929: @1002778
     /* 1002778 */   GIM_Try, /*On fail goto*//*Label 14930*/ GIMT_Encode4(1002855), // Rule ID 5068 //
     /* 1002783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1002794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1002797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1002800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002822 */     // MIs[0] policy
     /* 1002822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002832 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1002835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002854 */     // GIR_Coverage, 5068,
     /* 1002854 */     GIR_EraseRootFromParent_Done,
     /* 1002855 */   // Label 14930: @1002855
     /* 1002855 */   GIM_Try, /*On fail goto*//*Label 14931*/ GIMT_Encode4(1002932), // Rule ID 5069 //
     /* 1002860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1002871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1002874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1002877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002899 */     // MIs[0] policy
     /* 1002899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002909 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1002912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002931 */     // GIR_Coverage, 5069,
     /* 1002931 */     GIR_EraseRootFromParent_Done,
     /* 1002932 */   // Label 14931: @1002932
     /* 1002932 */   GIM_Try, /*On fail goto*//*Label 14932*/ GIMT_Encode4(1003009), // Rule ID 5072 //
     /* 1002937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1002954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002976 */     // MIs[0] policy
     /* 1002976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1002989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003008 */     // GIR_Coverage, 5072,
     /* 1003008 */     GIR_EraseRootFromParent_Done,
     /* 1003009 */   // Label 14932: @1003009
     /* 1003009 */   GIM_Try, /*On fail goto*//*Label 14933*/ GIMT_Encode4(1003086), // Rule ID 5073 //
     /* 1003014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1003025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1003028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003053 */     // MIs[0] policy
     /* 1003053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003063 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1003066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003085 */     // GIR_Coverage, 5073,
     /* 1003085 */     GIR_EraseRootFromParent_Done,
     /* 1003086 */   // Label 14933: @1003086
     /* 1003086 */   GIM_Try, /*On fail goto*//*Label 14934*/ GIMT_Encode4(1003163), // Rule ID 5076 //
     /* 1003091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1003102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1003105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003130 */     // MIs[0] policy
     /* 1003130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1003143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003162 */     // GIR_Coverage, 5076,
     /* 1003162 */     GIR_EraseRootFromParent_Done,
     /* 1003163 */   // Label 14934: @1003163
     /* 1003163 */   GIM_Try, /*On fail goto*//*Label 14935*/ GIMT_Encode4(1003240), // Rule ID 5077 //
     /* 1003168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1003179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1003182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003207 */     // MIs[0] policy
     /* 1003207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1003220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003239 */     // GIR_Coverage, 5077,
     /* 1003239 */     GIR_EraseRootFromParent_Done,
     /* 1003240 */   // Label 14935: @1003240
     /* 1003240 */   GIM_Try, /*On fail goto*//*Label 14936*/ GIMT_Encode4(1003317), // Rule ID 5080 //
     /* 1003245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1003256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1003259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1003262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003284 */     // MIs[0] policy
     /* 1003284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1003297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003316 */     // GIR_Coverage, 5080,
     /* 1003316 */     GIR_EraseRootFromParent_Done,
     /* 1003317 */   // Label 14936: @1003317
     /* 1003317 */   GIM_Try, /*On fail goto*//*Label 14937*/ GIMT_Encode4(1003394), // Rule ID 5081 //
     /* 1003322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1003333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1003336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1003339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003361 */     // MIs[0] policy
     /* 1003361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1003374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003393 */     // GIR_Coverage, 5081,
     /* 1003393 */     GIR_EraseRootFromParent_Done,
     /* 1003394 */   // Label 14937: @1003394
     /* 1003394 */   GIM_Try, /*On fail goto*//*Label 14938*/ GIMT_Encode4(1003471), // Rule ID 5084 //
     /* 1003399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1003410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1003413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1003416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003438 */     // MIs[0] policy
     /* 1003438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003448 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1003451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003470 */     // GIR_Coverage, 5084,
     /* 1003470 */     GIR_EraseRootFromParent_Done,
     /* 1003471 */   // Label 14938: @1003471
     /* 1003471 */   GIM_Try, /*On fail goto*//*Label 14939*/ GIMT_Encode4(1003548), // Rule ID 5085 //
     /* 1003476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1003487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1003490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1003493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003515 */     // MIs[0] policy
     /* 1003515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003525 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1003528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003534 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003547 */     // GIR_Coverage, 5085,
     /* 1003547 */     GIR_EraseRootFromParent_Done,
     /* 1003548 */   // Label 14939: @1003548
     /* 1003548 */   GIM_Try, /*On fail goto*//*Label 14940*/ GIMT_Encode4(1003625), // Rule ID 5088 //
     /* 1003553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1003564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1003567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1003570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1003573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003592 */     // MIs[0] policy
     /* 1003592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003602 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1003605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003624 */     // GIR_Coverage, 5088,
     /* 1003624 */     GIR_EraseRootFromParent_Done,
     /* 1003625 */   // Label 14940: @1003625
     /* 1003625 */   GIM_Try, /*On fail goto*//*Label 14941*/ GIMT_Encode4(1003702), // Rule ID 5089 //
     /* 1003630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1003641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1003644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1003647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1003650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003669 */     // MIs[0] policy
     /* 1003669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003679 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1003682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003688 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003701 */     // GIR_Coverage, 5089,
     /* 1003701 */     GIR_EraseRootFromParent_Done,
     /* 1003702 */   // Label 14941: @1003702
     /* 1003702 */   GIM_Try, /*On fail goto*//*Label 14942*/ GIMT_Encode4(1003779), // Rule ID 5092 //
     /* 1003707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1003724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003746 */     // MIs[0] policy
     /* 1003746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1003759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003778 */     // GIR_Coverage, 5092,
     /* 1003778 */     GIR_EraseRootFromParent_Done,
     /* 1003779 */   // Label 14942: @1003779
     /* 1003779 */   GIM_Try, /*On fail goto*//*Label 14943*/ GIMT_Encode4(1003856), // Rule ID 5093 //
     /* 1003784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1003801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003823 */     // MIs[0] policy
     /* 1003823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003833 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1003836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003855 */     // GIR_Coverage, 5093,
     /* 1003855 */     GIR_EraseRootFromParent_Done,
     /* 1003856 */   // Label 14943: @1003856
     /* 1003856 */   GIM_Try, /*On fail goto*//*Label 14944*/ GIMT_Encode4(1003933), // Rule ID 5096 //
     /* 1003861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003900 */     // MIs[0] policy
     /* 1003900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003910 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1003913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003932 */     // GIR_Coverage, 5096,
     /* 1003932 */     GIR_EraseRootFromParent_Done,
     /* 1003933 */   // Label 14944: @1003933
     /* 1003933 */   GIM_Try, /*On fail goto*//*Label 14945*/ GIMT_Encode4(1004010), // Rule ID 5097 //
     /* 1003938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003977 */     // MIs[0] policy
     /* 1003977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003987 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1003990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004009 */     // GIR_Coverage, 5097,
     /* 1004009 */     GIR_EraseRootFromParent_Done,
     /* 1004010 */   // Label 14945: @1004010
     /* 1004010 */   GIM_Try, /*On fail goto*//*Label 14946*/ GIMT_Encode4(1004087), // Rule ID 5100 //
     /* 1004015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1004032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004054 */     // MIs[0] policy
     /* 1004054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004064 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1004067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004086 */     // GIR_Coverage, 5100,
     /* 1004086 */     GIR_EraseRootFromParent_Done,
     /* 1004087 */   // Label 14946: @1004087
     /* 1004087 */   GIM_Try, /*On fail goto*//*Label 14947*/ GIMT_Encode4(1004164), // Rule ID 5101 //
     /* 1004092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1004109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004131 */     // MIs[0] policy
     /* 1004131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004141 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1004144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004163 */     // GIR_Coverage, 5101,
     /* 1004163 */     GIR_EraseRootFromParent_Done,
     /* 1004164 */   // Label 14947: @1004164
     /* 1004164 */   GIM_Try, /*On fail goto*//*Label 14948*/ GIMT_Encode4(1004241), // Rule ID 5104 //
     /* 1004169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1004186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004208 */     // MIs[0] policy
     /* 1004208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004218 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1004221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004240 */     // GIR_Coverage, 5104,
     /* 1004240 */     GIR_EraseRootFromParent_Done,
     /* 1004241 */   // Label 14948: @1004241
     /* 1004241 */   GIM_Try, /*On fail goto*//*Label 14949*/ GIMT_Encode4(1004318), // Rule ID 5105 //
     /* 1004246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1004263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004285 */     // MIs[0] policy
     /* 1004285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004295 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1004298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004317 */     // GIR_Coverage, 5105,
     /* 1004317 */     GIR_EraseRootFromParent_Done,
     /* 1004318 */   // Label 14949: @1004318
     /* 1004318 */   GIM_Try, /*On fail goto*//*Label 14950*/ GIMT_Encode4(1004395), // Rule ID 5108 //
     /* 1004323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1004334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1004337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1004343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004362 */     // MIs[0] policy
     /* 1004362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004372 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1004375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004394 */     // GIR_Coverage, 5108,
     /* 1004394 */     GIR_EraseRootFromParent_Done,
     /* 1004395 */   // Label 14950: @1004395
     /* 1004395 */   GIM_Try, /*On fail goto*//*Label 14951*/ GIMT_Encode4(1004472), // Rule ID 5109 //
     /* 1004400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1004411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1004414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1004420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004439 */     // MIs[0] policy
     /* 1004439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004449 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1004452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004471 */     // GIR_Coverage, 5109,
     /* 1004471 */     GIR_EraseRootFromParent_Done,
     /* 1004472 */   // Label 14951: @1004472
     /* 1004472 */   GIM_Try, /*On fail goto*//*Label 14952*/ GIMT_Encode4(1004549), // Rule ID 5112 //
     /* 1004477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1004488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1004491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1004497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1004504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004516 */     // MIs[0] policy
     /* 1004516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004526 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1004529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004548 */     // GIR_Coverage, 5112,
     /* 1004548 */     GIR_EraseRootFromParent_Done,
     /* 1004549 */   // Label 14952: @1004549
     /* 1004549 */   GIM_Try, /*On fail goto*//*Label 14953*/ GIMT_Encode4(1004626), // Rule ID 5113 //
     /* 1004554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1004565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1004568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1004574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1004581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004593 */     // MIs[0] policy
     /* 1004593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004603 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1004606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004625 */     // GIR_Coverage, 5113,
     /* 1004625 */     GIR_EraseRootFromParent_Done,
     /* 1004626 */   // Label 14953: @1004626
     /* 1004626 */   GIM_Try, /*On fail goto*//*Label 14954*/ GIMT_Encode4(1004703), // Rule ID 5116 //
     /* 1004631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004670 */     // MIs[0] policy
     /* 1004670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004680 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1004683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004702 */     // GIR_Coverage, 5116,
     /* 1004702 */     GIR_EraseRootFromParent_Done,
     /* 1004703 */   // Label 14954: @1004703
     /* 1004703 */   GIM_Try, /*On fail goto*//*Label 14955*/ GIMT_Encode4(1004780), // Rule ID 5117 //
     /* 1004708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004747 */     // MIs[0] policy
     /* 1004747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004757 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1004760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004766 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004779 */     // GIR_Coverage, 5117,
     /* 1004779 */     GIR_EraseRootFromParent_Done,
     /* 1004780 */   // Label 14955: @1004780
     /* 1004780 */   GIM_Try, /*On fail goto*//*Label 14956*/ GIMT_Encode4(1004857), // Rule ID 5120 //
     /* 1004785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004824 */     // MIs[0] policy
     /* 1004824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004834 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1004837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004856 */     // GIR_Coverage, 5120,
     /* 1004856 */     GIR_EraseRootFromParent_Done,
     /* 1004857 */   // Label 14956: @1004857
     /* 1004857 */   GIM_Try, /*On fail goto*//*Label 14957*/ GIMT_Encode4(1004934), // Rule ID 5121 //
     /* 1004862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004901 */     // MIs[0] policy
     /* 1004901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004911 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1004914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004933 */     // GIR_Coverage, 5121,
     /* 1004933 */     GIR_EraseRootFromParent_Done,
     /* 1004934 */   // Label 14957: @1004934
     /* 1004934 */   GIM_Try, /*On fail goto*//*Label 14958*/ GIMT_Encode4(1005011), // Rule ID 12732 //
     /* 1004939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1004950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1004953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1004959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004978 */     // MIs[0] policy
     /* 1004978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004988 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005010 */     // GIR_Coverage, 12732,
     /* 1005010 */     GIR_EraseRootFromParent_Done,
     /* 1005011 */   // Label 14958: @1005011
     /* 1005011 */   GIM_Try, /*On fail goto*//*Label 14959*/ GIMT_Encode4(1005088), // Rule ID 12733 //
     /* 1005016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1005027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1005030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1005033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1005036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005055 */     // MIs[0] policy
     /* 1005055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005065 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1005068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005087 */     // GIR_Coverage, 12733,
     /* 1005087 */     GIR_EraseRootFromParent_Done,
     /* 1005088 */   // Label 14959: @1005088
     /* 1005088 */   GIM_Try, /*On fail goto*//*Label 14960*/ GIMT_Encode4(1005165), // Rule ID 12736 //
     /* 1005093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1005104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1005107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1005110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1005113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005132 */     // MIs[0] policy
     /* 1005132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005142 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1005145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005164 */     // GIR_Coverage, 12736,
     /* 1005164 */     GIR_EraseRootFromParent_Done,
     /* 1005165 */   // Label 14960: @1005165
     /* 1005165 */   GIM_Try, /*On fail goto*//*Label 14961*/ GIMT_Encode4(1005242), // Rule ID 12737 //
     /* 1005170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1005181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1005184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1005187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1005190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005209 */     // MIs[0] policy
     /* 1005209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005219 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1005222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005241 */     // GIR_Coverage, 12737,
     /* 1005241 */     GIR_EraseRootFromParent_Done,
     /* 1005242 */   // Label 14961: @1005242
     /* 1005242 */   GIM_Try, /*On fail goto*//*Label 14962*/ GIMT_Encode4(1005319), // Rule ID 12740 //
     /* 1005247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1005258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1005261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1005264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1005267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005286 */     // MIs[0] policy
     /* 1005286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005296 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1005299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005318 */     // GIR_Coverage, 12740,
     /* 1005318 */     GIR_EraseRootFromParent_Done,
     /* 1005319 */   // Label 14962: @1005319
     /* 1005319 */   GIM_Try, /*On fail goto*//*Label 14963*/ GIMT_Encode4(1005396), // Rule ID 12741 //
     /* 1005324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1005335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1005338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1005341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1005344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005363 */     // MIs[0] policy
     /* 1005363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005373 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1005376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005395 */     // GIR_Coverage, 12741,
     /* 1005395 */     GIR_EraseRootFromParent_Done,
     /* 1005396 */   // Label 14963: @1005396
     /* 1005396 */   GIM_Try, /*On fail goto*//*Label 14964*/ GIMT_Encode4(1005473), // Rule ID 12744 //
     /* 1005401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1005412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1005415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1005418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1005421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005440 */     // MIs[0] policy
     /* 1005440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005450 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1005453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005472 */     // GIR_Coverage, 12744,
     /* 1005472 */     GIR_EraseRootFromParent_Done,
     /* 1005473 */   // Label 14964: @1005473
     /* 1005473 */   GIM_Try, /*On fail goto*//*Label 14965*/ GIMT_Encode4(1005550), // Rule ID 12745 //
     /* 1005478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1005489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1005492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1005495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1005498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005517 */     // MIs[0] policy
     /* 1005517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005527 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1005530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005549 */     // GIR_Coverage, 12745,
     /* 1005549 */     GIR_EraseRootFromParent_Done,
     /* 1005550 */   // Label 14965: @1005550
     /* 1005550 */   GIM_Try, /*On fail goto*//*Label 14966*/ GIMT_Encode4(1005627), // Rule ID 12748 //
     /* 1005555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1005566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1005569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1005572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1005575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005594 */     // MIs[0] policy
     /* 1005594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005604 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1005607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005626 */     // GIR_Coverage, 12748,
     /* 1005626 */     GIR_EraseRootFromParent_Done,
     /* 1005627 */   // Label 14966: @1005627
     /* 1005627 */   GIM_Try, /*On fail goto*//*Label 14967*/ GIMT_Encode4(1005704), // Rule ID 12749 //
     /* 1005632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1005643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1005646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1005649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1005652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005671 */     // MIs[0] policy
     /* 1005671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005681 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1005684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005703 */     // GIR_Coverage, 12749,
     /* 1005703 */     GIR_EraseRootFromParent_Done,
     /* 1005704 */   // Label 14967: @1005704
     /* 1005704 */   GIM_Try, /*On fail goto*//*Label 14968*/ GIMT_Encode4(1005781), // Rule ID 12752 //
     /* 1005709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1005720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1005723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1005726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1005729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005748 */     // MIs[0] policy
     /* 1005748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005758 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005780 */     // GIR_Coverage, 12752,
     /* 1005780 */     GIR_EraseRootFromParent_Done,
     /* 1005781 */   // Label 14968: @1005781
     /* 1005781 */   GIM_Try, /*On fail goto*//*Label 14969*/ GIMT_Encode4(1005858), // Rule ID 12753 //
     /* 1005786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1005797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1005800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1005803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1005806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005825 */     // MIs[0] policy
     /* 1005825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005835 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005857 */     // GIR_Coverage, 12753,
     /* 1005857 */     GIR_EraseRootFromParent_Done,
     /* 1005858 */   // Label 14969: @1005858
     /* 1005858 */   GIM_Try, /*On fail goto*//*Label 14970*/ GIMT_Encode4(1005935), // Rule ID 12756 //
     /* 1005863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1005874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1005877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1005883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005902 */     // MIs[0] policy
     /* 1005902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005912 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005934 */     // GIR_Coverage, 12756,
     /* 1005934 */     GIR_EraseRootFromParent_Done,
     /* 1005935 */   // Label 14970: @1005935
     /* 1005935 */   GIM_Try, /*On fail goto*//*Label 14971*/ GIMT_Encode4(1006012), // Rule ID 12757 //
     /* 1005940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1005951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1005954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1005960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005979 */     // MIs[0] policy
     /* 1005979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005989 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006011 */     // GIR_Coverage, 12757,
     /* 1006011 */     GIR_EraseRootFromParent_Done,
     /* 1006012 */   // Label 14971: @1006012
     /* 1006012 */   GIM_Try, /*On fail goto*//*Label 14972*/ GIMT_Encode4(1006089), // Rule ID 12760 //
     /* 1006017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1006028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1006031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1006034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1006037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006056 */     // MIs[0] policy
     /* 1006056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1006069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006088 */     // GIR_Coverage, 12760,
     /* 1006088 */     GIR_EraseRootFromParent_Done,
     /* 1006089 */   // Label 14972: @1006089
     /* 1006089 */   GIM_Try, /*On fail goto*//*Label 14973*/ GIMT_Encode4(1006166), // Rule ID 12761 //
     /* 1006094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1006105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1006108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1006111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1006114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006133 */     // MIs[0] policy
     /* 1006133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006143 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1006146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006165 */     // GIR_Coverage, 12761,
     /* 1006165 */     GIR_EraseRootFromParent_Done,
     /* 1006166 */   // Label 14973: @1006166
     /* 1006166 */   GIM_Try, /*On fail goto*//*Label 14974*/ GIMT_Encode4(1006243), // Rule ID 12764 //
     /* 1006171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1006174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1006182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1006185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1006188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1006191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006210 */     // MIs[0] policy
     /* 1006210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006220 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1006223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006242 */     // GIR_Coverage, 12764,
     /* 1006242 */     GIR_EraseRootFromParent_Done,
     /* 1006243 */   // Label 14974: @1006243
     /* 1006243 */   GIM_Try, /*On fail goto*//*Label 14975*/ GIMT_Encode4(1006320), // Rule ID 12765 //
     /* 1006248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1006251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1006259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1006262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1006265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1006268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006287 */     // MIs[0] policy
     /* 1006287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006297 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1006300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006319 */     // GIR_Coverage, 12765,
     /* 1006319 */     GIR_EraseRootFromParent_Done,
     /* 1006320 */   // Label 14975: @1006320
     /* 1006320 */   GIM_Try, /*On fail goto*//*Label 14976*/ GIMT_Encode4(1006397), // Rule ID 12768 //
     /* 1006325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1006336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1006339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1006342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1006345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006364 */     // MIs[0] policy
     /* 1006364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006374 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006396 */     // GIR_Coverage, 12768,
     /* 1006396 */     GIR_EraseRootFromParent_Done,
     /* 1006397 */   // Label 14976: @1006397
     /* 1006397 */   GIM_Try, /*On fail goto*//*Label 14977*/ GIMT_Encode4(1006474), // Rule ID 12769 //
     /* 1006402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1006413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1006416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1006419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1006422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006441 */     // MIs[0] policy
     /* 1006441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006473 */     // GIR_Coverage, 12769,
     /* 1006473 */     GIR_EraseRootFromParent_Done,
     /* 1006474 */   // Label 14977: @1006474
     /* 1006474 */   GIM_Try, /*On fail goto*//*Label 14978*/ GIMT_Encode4(1006551), // Rule ID 12772 //
     /* 1006479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1006490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1006493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1006496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1006499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006518 */     // MIs[0] policy
     /* 1006518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006528 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006550 */     // GIR_Coverage, 12772,
     /* 1006550 */     GIR_EraseRootFromParent_Done,
     /* 1006551 */   // Label 14978: @1006551
     /* 1006551 */   GIM_Try, /*On fail goto*//*Label 14979*/ GIMT_Encode4(1006628), // Rule ID 12773 //
     /* 1006556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1006567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1006570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1006573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1006576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006595 */     // MIs[0] policy
     /* 1006595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006605 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006627 */     // GIR_Coverage, 12773,
     /* 1006627 */     GIR_EraseRootFromParent_Done,
     /* 1006628 */   // Label 14979: @1006628
     /* 1006628 */   GIM_Try, /*On fail goto*//*Label 14980*/ GIMT_Encode4(1006705), // Rule ID 12776 //
     /* 1006633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1006644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1006647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1006650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1006653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006672 */     // MIs[0] policy
     /* 1006672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006682 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006704 */     // GIR_Coverage, 12776,
     /* 1006704 */     GIR_EraseRootFromParent_Done,
     /* 1006705 */   // Label 14980: @1006705
     /* 1006705 */   GIM_Try, /*On fail goto*//*Label 14981*/ GIMT_Encode4(1006782), // Rule ID 12777 //
     /* 1006710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1006721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1006724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1006727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1006730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006749 */     // MIs[0] policy
     /* 1006749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006759 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006781 */     // GIR_Coverage, 12777,
     /* 1006781 */     GIR_EraseRootFromParent_Done,
     /* 1006782 */   // Label 14981: @1006782
     /* 1006782 */   GIM_Try, /*On fail goto*//*Label 14982*/ GIMT_Encode4(1006859), // Rule ID 12780 //
     /* 1006787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1006798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1006801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1006804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1006807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006826 */     // MIs[0] policy
     /* 1006826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006836 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006858 */     // GIR_Coverage, 12780,
     /* 1006858 */     GIR_EraseRootFromParent_Done,
     /* 1006859 */   // Label 14982: @1006859
     /* 1006859 */   GIM_Try, /*On fail goto*//*Label 14983*/ GIMT_Encode4(1006936), // Rule ID 12781 //
     /* 1006864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1006875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1006878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1006881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1006884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006903 */     // MIs[0] policy
     /* 1006903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006913 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006935 */     // GIR_Coverage, 12781,
     /* 1006935 */     GIR_EraseRootFromParent_Done,
     /* 1006936 */   // Label 14983: @1006936
     /* 1006936 */   GIM_Try, /*On fail goto*//*Label 14984*/ GIMT_Encode4(1007013), // Rule ID 12784 //
     /* 1006941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1006952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1006955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1006958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1006961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006980 */     // MIs[0] policy
     /* 1006980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006990 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007012 */     // GIR_Coverage, 12784,
     /* 1007012 */     GIR_EraseRootFromParent_Done,
     /* 1007013 */   // Label 14984: @1007013
     /* 1007013 */   GIM_Try, /*On fail goto*//*Label 14985*/ GIMT_Encode4(1007090), // Rule ID 12785 //
     /* 1007018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1007029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1007032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1007035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1007038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007057 */     // MIs[0] policy
     /* 1007057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007067 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1007070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007089 */     // GIR_Coverage, 12785,
     /* 1007089 */     GIR_EraseRootFromParent_Done,
     /* 1007090 */   // Label 14985: @1007090
     /* 1007090 */   GIM_Try, /*On fail goto*//*Label 14986*/ GIMT_Encode4(1007167), // Rule ID 12788 //
     /* 1007095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1007106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1007109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1007112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1007115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007134 */     // MIs[0] policy
     /* 1007134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007144 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1007147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007166 */     // GIR_Coverage, 12788,
     /* 1007166 */     GIR_EraseRootFromParent_Done,
     /* 1007167 */   // Label 14986: @1007167
     /* 1007167 */   GIM_Try, /*On fail goto*//*Label 14987*/ GIMT_Encode4(1007244), // Rule ID 12789 //
     /* 1007172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1007183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1007186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1007189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1007192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007211 */     // MIs[0] policy
     /* 1007211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1007224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007243 */     // GIR_Coverage, 12789,
     /* 1007243 */     GIR_EraseRootFromParent_Done,
     /* 1007244 */   // Label 14987: @1007244
     /* 1007244 */   GIM_Try, /*On fail goto*//*Label 14988*/ GIMT_Encode4(1007321), // Rule ID 12792 //
     /* 1007249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1007260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1007263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1007266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1007269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007288 */     // MIs[0] policy
     /* 1007288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1007301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007320 */     // GIR_Coverage, 12792,
     /* 1007320 */     GIR_EraseRootFromParent_Done,
     /* 1007321 */   // Label 14988: @1007321
     /* 1007321 */   GIM_Try, /*On fail goto*//*Label 14989*/ GIMT_Encode4(1007398), // Rule ID 12793 //
     /* 1007326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1007337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1007340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1007343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1007346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007365 */     // MIs[0] policy
     /* 1007365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007375 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1007378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007397 */     // GIR_Coverage, 12793,
     /* 1007397 */     GIR_EraseRootFromParent_Done,
     /* 1007398 */   // Label 14989: @1007398
     /* 1007398 */   GIM_Try, /*On fail goto*//*Label 14990*/ GIMT_Encode4(1007475), // Rule ID 12796 //
     /* 1007403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1007414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1007417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1007420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1007423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007442 */     // MIs[0] policy
     /* 1007442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1007455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007474 */     // GIR_Coverage, 12796,
     /* 1007474 */     GIR_EraseRootFromParent_Done,
     /* 1007475 */   // Label 14990: @1007475
     /* 1007475 */   GIM_Try, /*On fail goto*//*Label 14991*/ GIMT_Encode4(1007552), // Rule ID 12797 //
     /* 1007480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1007491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1007494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1007497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1007500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007519 */     // MIs[0] policy
     /* 1007519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007529 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1007532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007551 */     // GIR_Coverage, 12797,
     /* 1007551 */     GIR_EraseRootFromParent_Done,
     /* 1007552 */   // Label 14991: @1007552
     /* 1007552 */   GIM_Try, /*On fail goto*//*Label 14992*/ GIMT_Encode4(1007629), // Rule ID 12800 //
     /* 1007557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1007568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1007571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1007574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1007577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007596 */     // MIs[0] policy
     /* 1007596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1007609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007628 */     // GIR_Coverage, 12800,
     /* 1007628 */     GIR_EraseRootFromParent_Done,
     /* 1007629 */   // Label 14992: @1007629
     /* 1007629 */   GIM_Try, /*On fail goto*//*Label 14993*/ GIMT_Encode4(1007706), // Rule ID 12801 //
     /* 1007634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1007645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1007648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1007651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1007654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007673 */     // MIs[0] policy
     /* 1007673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1007686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007705 */     // GIR_Coverage, 12801,
     /* 1007705 */     GIR_EraseRootFromParent_Done,
     /* 1007706 */   // Label 14993: @1007706
     /* 1007706 */   GIM_Try, /*On fail goto*//*Label 14994*/ GIMT_Encode4(1007783), // Rule ID 12804 //
     /* 1007711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1007714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1007728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1007731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007750 */     // MIs[0] policy
     /* 1007750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007760 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1007763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007782 */     // GIR_Coverage, 12804,
     /* 1007782 */     GIR_EraseRootFromParent_Done,
     /* 1007783 */   // Label 14994: @1007783
     /* 1007783 */   GIM_Try, /*On fail goto*//*Label 14995*/ GIMT_Encode4(1007860), // Rule ID 12805 //
     /* 1007788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1007805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1007808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007827 */     // MIs[0] policy
     /* 1007827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007837 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1007840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007859 */     // GIR_Coverage, 12805,
     /* 1007859 */     GIR_EraseRootFromParent_Done,
     /* 1007860 */   // Label 14995: @1007860
     /* 1007860 */   GIM_Try, /*On fail goto*//*Label 14996*/ GIMT_Encode4(1007937), // Rule ID 12808 //
     /* 1007865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1007868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1007882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1007885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007904 */     // MIs[0] policy
     /* 1007904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007914 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1007917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007936 */     // GIR_Coverage, 12808,
     /* 1007936 */     GIR_EraseRootFromParent_Done,
     /* 1007937 */   // Label 14996: @1007937
     /* 1007937 */   GIM_Try, /*On fail goto*//*Label 14997*/ GIMT_Encode4(1008014), // Rule ID 12809 //
     /* 1007942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1007959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1007962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007981 */     // MIs[0] policy
     /* 1007981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007991 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1007994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008013 */     // GIR_Coverage, 12809,
     /* 1008013 */     GIR_EraseRootFromParent_Done,
     /* 1008014 */   // Label 14997: @1008014
     /* 1008014 */   GIM_Try, /*On fail goto*//*Label 14998*/ GIMT_Encode4(1008091), // Rule ID 12812 //
     /* 1008019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1008022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1008030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1008033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1008036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1008039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008058 */     // MIs[0] policy
     /* 1008058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008068 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1008071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008090 */     // GIR_Coverage, 12812,
     /* 1008090 */     GIR_EraseRootFromParent_Done,
     /* 1008091 */   // Label 14998: @1008091
     /* 1008091 */   GIM_Try, /*On fail goto*//*Label 14999*/ GIMT_Encode4(1008168), // Rule ID 12813 //
     /* 1008096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1008099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1008107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1008110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1008113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1008116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008135 */     // MIs[0] policy
     /* 1008135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008145 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1008148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008167 */     // GIR_Coverage, 12813,
     /* 1008167 */     GIR_EraseRootFromParent_Done,
     /* 1008168 */   // Label 14999: @1008168
     /* 1008168 */   GIM_Try, /*On fail goto*//*Label 15000*/ GIMT_Encode4(1008245), // Rule ID 12816 //
     /* 1008173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1008184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1008187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1008193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008212 */     // MIs[0] policy
     /* 1008212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008222 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1008225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008244 */     // GIR_Coverage, 12816,
     /* 1008244 */     GIR_EraseRootFromParent_Done,
     /* 1008245 */   // Label 15000: @1008245
     /* 1008245 */   GIM_Try, /*On fail goto*//*Label 15001*/ GIMT_Encode4(1008322), // Rule ID 12817 //
     /* 1008250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1008261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1008264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1008270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008289 */     // MIs[0] policy
     /* 1008289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008299 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1008302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008321 */     // GIR_Coverage, 12817,
     /* 1008321 */     GIR_EraseRootFromParent_Done,
     /* 1008322 */   // Label 15001: @1008322
     /* 1008322 */   GIM_Try, /*On fail goto*//*Label 15002*/ GIMT_Encode4(1008399), // Rule ID 12820 //
     /* 1008327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1008338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1008341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1008347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008366 */     // MIs[0] policy
     /* 1008366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008376 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1008379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008398 */     // GIR_Coverage, 12820,
     /* 1008398 */     GIR_EraseRootFromParent_Done,
     /* 1008399 */   // Label 15002: @1008399
     /* 1008399 */   GIM_Try, /*On fail goto*//*Label 15003*/ GIMT_Encode4(1008476), // Rule ID 12821 //
     /* 1008404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1008415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1008418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1008424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008443 */     // MIs[0] policy
     /* 1008443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008453 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1008456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008475 */     // GIR_Coverage, 12821,
     /* 1008475 */     GIR_EraseRootFromParent_Done,
     /* 1008476 */   // Label 15003: @1008476
     /* 1008476 */   GIM_Try, /*On fail goto*//*Label 15004*/ GIMT_Encode4(1008553), // Rule ID 12824 //
     /* 1008481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1008492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1008495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1008501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008520 */     // MIs[0] policy
     /* 1008520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008530 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008552 */     // GIR_Coverage, 12824,
     /* 1008552 */     GIR_EraseRootFromParent_Done,
     /* 1008553 */   // Label 15004: @1008553
     /* 1008553 */   GIM_Try, /*On fail goto*//*Label 15005*/ GIMT_Encode4(1008630), // Rule ID 12825 //
     /* 1008558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1008569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1008572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1008578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008597 */     // MIs[0] policy
     /* 1008597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008607 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008629 */     // GIR_Coverage, 12825,
     /* 1008629 */     GIR_EraseRootFromParent_Done,
     /* 1008630 */   // Label 15005: @1008630
     /* 1008630 */   GIM_Try, /*On fail goto*//*Label 15006*/ GIMT_Encode4(1008707), // Rule ID 12828 //
     /* 1008635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1008646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1008649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1008655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008674 */     // MIs[0] policy
     /* 1008674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1008687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008706 */     // GIR_Coverage, 12828,
     /* 1008706 */     GIR_EraseRootFromParent_Done,
     /* 1008707 */   // Label 15006: @1008707
     /* 1008707 */   GIM_Try, /*On fail goto*//*Label 15007*/ GIMT_Encode4(1008784), // Rule ID 12829 //
     /* 1008712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1008723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1008726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1008732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008751 */     // MIs[0] policy
     /* 1008751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1008764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008783 */     // GIR_Coverage, 12829,
     /* 1008783 */     GIR_EraseRootFromParent_Done,
     /* 1008784 */   // Label 15007: @1008784
     /* 1008784 */   GIM_Try, /*On fail goto*//*Label 15008*/ GIMT_Encode4(1008861), // Rule ID 12832 //
     /* 1008789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1008800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1008803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1008809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008828 */     // MIs[0] policy
     /* 1008828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008838 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008860 */     // GIR_Coverage, 12832,
     /* 1008860 */     GIR_EraseRootFromParent_Done,
     /* 1008861 */   // Label 15008: @1008861
     /* 1008861 */   GIM_Try, /*On fail goto*//*Label 15009*/ GIMT_Encode4(1008938), // Rule ID 12833 //
     /* 1008866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1008877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1008880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1008886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008905 */     // MIs[0] policy
     /* 1008905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008915 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008937 */     // GIR_Coverage, 12833,
     /* 1008937 */     GIR_EraseRootFromParent_Done,
     /* 1008938 */   // Label 15009: @1008938
     /* 1008938 */   GIM_Try, /*On fail goto*//*Label 15010*/ GIMT_Encode4(1009015), // Rule ID 12836 //
     /* 1008943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1008954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1008957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1008963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008982 */     // MIs[0] policy
     /* 1008982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1008995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009014 */     // GIR_Coverage, 12836,
     /* 1009014 */     GIR_EraseRootFromParent_Done,
     /* 1009015 */   // Label 15010: @1009015
     /* 1009015 */   GIM_Try, /*On fail goto*//*Label 15011*/ GIMT_Encode4(1009092), // Rule ID 12837 //
     /* 1009020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1009031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1009034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1009040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009059 */     // MIs[0] policy
     /* 1009059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009069 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1009072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009091 */     // GIR_Coverage, 12837,
     /* 1009091 */     GIR_EraseRootFromParent_Done,
     /* 1009092 */   // Label 15011: @1009092
     /* 1009092 */   GIM_Try, /*On fail goto*//*Label 15012*/ GIMT_Encode4(1009169), // Rule ID 12840 //
     /* 1009097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1009108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1009111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1009117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009136 */     // MIs[0] policy
     /* 1009136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009146 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1009149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009168 */     // GIR_Coverage, 12840,
     /* 1009168 */     GIR_EraseRootFromParent_Done,
     /* 1009169 */   // Label 15012: @1009169
     /* 1009169 */   GIM_Try, /*On fail goto*//*Label 15013*/ GIMT_Encode4(1009246), // Rule ID 12841 //
     /* 1009174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1009185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1009188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1009194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009213 */     // MIs[0] policy
     /* 1009213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009223 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1009226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009245 */     // GIR_Coverage, 12841,
     /* 1009245 */     GIR_EraseRootFromParent_Done,
     /* 1009246 */   // Label 15013: @1009246
     /* 1009246 */   GIM_Try, /*On fail goto*//*Label 15014*/ GIMT_Encode4(1009323), // Rule ID 12844 //
     /* 1009251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1009262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1009265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1009271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009290 */     // MIs[0] policy
     /* 1009290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009300 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1009303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009322 */     // GIR_Coverage, 12844,
     /* 1009322 */     GIR_EraseRootFromParent_Done,
     /* 1009323 */   // Label 15014: @1009323
     /* 1009323 */   GIM_Try, /*On fail goto*//*Label 15015*/ GIMT_Encode4(1009400), // Rule ID 12845 //
     /* 1009328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1009339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1009342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1009348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009367 */     // MIs[0] policy
     /* 1009367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009377 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1009380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009399 */     // GIR_Coverage, 12845,
     /* 1009399 */     GIR_EraseRootFromParent_Done,
     /* 1009400 */   // Label 15015: @1009400
     /* 1009400 */   GIM_Try, /*On fail goto*//*Label 15016*/ GIMT_Encode4(1009477), // Rule ID 12848 //
     /* 1009405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1009416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1009419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1009425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009444 */     // MIs[0] policy
     /* 1009444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009454 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1009457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009476 */     // GIR_Coverage, 12848,
     /* 1009476 */     GIR_EraseRootFromParent_Done,
     /* 1009477 */   // Label 15016: @1009477
     /* 1009477 */   GIM_Try, /*On fail goto*//*Label 15017*/ GIMT_Encode4(1009554), // Rule ID 12849 //
     /* 1009482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1009493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1009496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1009502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009521 */     // MIs[0] policy
     /* 1009521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009531 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1009534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009553 */     // GIR_Coverage, 12849,
     /* 1009553 */     GIR_EraseRootFromParent_Done,
     /* 1009554 */   // Label 15017: @1009554
     /* 1009554 */   GIM_Try, /*On fail goto*//*Label 15018*/ GIMT_Encode4(1009631), // Rule ID 12852 //
     /* 1009559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1009562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1009570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1009573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1009579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009598 */     // MIs[0] policy
     /* 1009598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009608 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1009611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009630 */     // GIR_Coverage, 12852,
     /* 1009630 */     GIR_EraseRootFromParent_Done,
     /* 1009631 */   // Label 15018: @1009631
     /* 1009631 */   GIM_Try, /*On fail goto*//*Label 15019*/ GIMT_Encode4(1009708), // Rule ID 12853 //
     /* 1009636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1009639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1009647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1009650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1009656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009675 */     // MIs[0] policy
     /* 1009675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009685 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1009688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009707 */     // GIR_Coverage, 12853,
     /* 1009707 */     GIR_EraseRootFromParent_Done,
     /* 1009708 */   // Label 15019: @1009708
     /* 1009708 */   GIM_Try, /*On fail goto*//*Label 15020*/ GIMT_Encode4(1009785), // Rule ID 12856 //
     /* 1009713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1009724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1009727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1009733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009752 */     // MIs[0] policy
     /* 1009752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009762 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009784 */     // GIR_Coverage, 12856,
     /* 1009784 */     GIR_EraseRootFromParent_Done,
     /* 1009785 */   // Label 15020: @1009785
     /* 1009785 */   GIM_Try, /*On fail goto*//*Label 15021*/ GIMT_Encode4(1009862), // Rule ID 12857 //
     /* 1009790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1009801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1009804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1009810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009829 */     // MIs[0] policy
     /* 1009829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009839 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009861 */     // GIR_Coverage, 12857,
     /* 1009861 */     GIR_EraseRootFromParent_Done,
     /* 1009862 */   // Label 15021: @1009862
     /* 1009862 */   GIM_Try, /*On fail goto*//*Label 15022*/ GIMT_Encode4(1009939), // Rule ID 12860 //
     /* 1009867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1009878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1009881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1009887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009906 */     // MIs[0] policy
     /* 1009906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009916 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009938 */     // GIR_Coverage, 12860,
     /* 1009938 */     GIR_EraseRootFromParent_Done,
     /* 1009939 */   // Label 15022: @1009939
     /* 1009939 */   GIM_Try, /*On fail goto*//*Label 15023*/ GIMT_Encode4(1010016), // Rule ID 12861 //
     /* 1009944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1009955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1009958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1009964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009983 */     // MIs[0] policy
     /* 1009983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009993 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010015 */     // GIR_Coverage, 12861,
     /* 1010015 */     GIR_EraseRootFromParent_Done,
     /* 1010016 */   // Label 15023: @1010016
     /* 1010016 */   GIM_Try, /*On fail goto*//*Label 15024*/ GIMT_Encode4(1010093), // Rule ID 12864 //
     /* 1010021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1010032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1010035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1010041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010060 */     // MIs[0] policy
     /* 1010060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010070 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010092 */     // GIR_Coverage, 12864,
     /* 1010092 */     GIR_EraseRootFromParent_Done,
     /* 1010093 */   // Label 15024: @1010093
     /* 1010093 */   GIM_Try, /*On fail goto*//*Label 15025*/ GIMT_Encode4(1010170), // Rule ID 12865 //
     /* 1010098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1010109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1010112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1010118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010137 */     // MIs[0] policy
     /* 1010137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010147 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010169 */     // GIR_Coverage, 12865,
     /* 1010169 */     GIR_EraseRootFromParent_Done,
     /* 1010170 */   // Label 15025: @1010170
     /* 1010170 */   GIM_Try, /*On fail goto*//*Label 15026*/ GIMT_Encode4(1010247), // Rule ID 12868 //
     /* 1010175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1010186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1010189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1010195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010214 */     // MIs[0] policy
     /* 1010214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010224 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010246 */     // GIR_Coverage, 12868,
     /* 1010246 */     GIR_EraseRootFromParent_Done,
     /* 1010247 */   // Label 15026: @1010247
     /* 1010247 */   GIM_Try, /*On fail goto*//*Label 15027*/ GIMT_Encode4(1010324), // Rule ID 12869 //
     /* 1010252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1010263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1010266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1010272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010291 */     // MIs[0] policy
     /* 1010291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010301 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010323 */     // GIR_Coverage, 12869,
     /* 1010323 */     GIR_EraseRootFromParent_Done,
     /* 1010324 */   // Label 15027: @1010324
     /* 1010324 */   GIM_Try, /*On fail goto*//*Label 15028*/ GIMT_Encode4(1010401), // Rule ID 12872 //
     /* 1010329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1010340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1010343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1010349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010368 */     // MIs[0] policy
     /* 1010368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010378 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010400 */     // GIR_Coverage, 12872,
     /* 1010400 */     GIR_EraseRootFromParent_Done,
     /* 1010401 */   // Label 15028: @1010401
     /* 1010401 */   GIM_Try, /*On fail goto*//*Label 15029*/ GIMT_Encode4(1010478), // Rule ID 12873 //
     /* 1010406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1010417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1010420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1010426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010445 */     // MIs[0] policy
     /* 1010445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010455 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010477 */     // GIR_Coverage, 12873,
     /* 1010477 */     GIR_EraseRootFromParent_Done,
     /* 1010478 */   // Label 15029: @1010478
     /* 1010478 */   GIM_Try, /*On fail goto*//*Label 15030*/ GIMT_Encode4(1010555), // Rule ID 12876 //
     /* 1010483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1010494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1010497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1010503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010522 */     // MIs[0] policy
     /* 1010522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010532 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010554 */     // GIR_Coverage, 12876,
     /* 1010554 */     GIR_EraseRootFromParent_Done,
     /* 1010555 */   // Label 15030: @1010555
     /* 1010555 */   GIM_Try, /*On fail goto*//*Label 15031*/ GIMT_Encode4(1010632), // Rule ID 12877 //
     /* 1010560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1010571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1010574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1010580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010599 */     // MIs[0] policy
     /* 1010599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010609 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010631 */     // GIR_Coverage, 12877,
     /* 1010631 */     GIR_EraseRootFromParent_Done,
     /* 1010632 */   // Label 15031: @1010632
     /* 1010632 */   GIM_Try, /*On fail goto*//*Label 15032*/ GIMT_Encode4(1010709), // Rule ID 12880 //
     /* 1010637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1010648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1010651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1010657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010676 */     // MIs[0] policy
     /* 1010676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010686 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010708 */     // GIR_Coverage, 12880,
     /* 1010708 */     GIR_EraseRootFromParent_Done,
     /* 1010709 */   // Label 15032: @1010709
     /* 1010709 */   GIM_Try, /*On fail goto*//*Label 15033*/ GIMT_Encode4(1010786), // Rule ID 12881 //
     /* 1010714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1010725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1010728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1010734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010753 */     // MIs[0] policy
     /* 1010753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010785 */     // GIR_Coverage, 12881,
     /* 1010785 */     GIR_EraseRootFromParent_Done,
     /* 1010786 */   // Label 15033: @1010786
     /* 1010786 */   GIM_Try, /*On fail goto*//*Label 15034*/ GIMT_Encode4(1010863), // Rule ID 12884 //
     /* 1010791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1010802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1010805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1010811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010830 */     // MIs[0] policy
     /* 1010830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010840 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010862 */     // GIR_Coverage, 12884,
     /* 1010862 */     GIR_EraseRootFromParent_Done,
     /* 1010863 */   // Label 15034: @1010863
     /* 1010863 */   GIM_Try, /*On fail goto*//*Label 15035*/ GIMT_Encode4(1010940), // Rule ID 12885 //
     /* 1010868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1010879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1010882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1010888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010907 */     // MIs[0] policy
     /* 1010907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010939 */     // GIR_Coverage, 12885,
     /* 1010939 */     GIR_EraseRootFromParent_Done,
     /* 1010940 */   // Label 15035: @1010940
     /* 1010940 */   GIM_Try, /*On fail goto*//*Label 15036*/ GIMT_Encode4(1011017), // Rule ID 12888 //
     /* 1010945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1010956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1010959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1010965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010984 */     // MIs[0] policy
     /* 1010984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011016 */     // GIR_Coverage, 12888,
     /* 1011016 */     GIR_EraseRootFromParent_Done,
     /* 1011017 */   // Label 15036: @1011017
     /* 1011017 */   GIM_Try, /*On fail goto*//*Label 15037*/ GIMT_Encode4(1011094), // Rule ID 12889 //
     /* 1011022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1011033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1011036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1011039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1011042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011061 */     // MIs[0] policy
     /* 1011061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1011074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011093 */     // GIR_Coverage, 12889,
     /* 1011093 */     GIR_EraseRootFromParent_Done,
     /* 1011094 */   // Label 15037: @1011094
     /* 1011094 */   GIM_Try, /*On fail goto*//*Label 15038*/ GIMT_Encode4(1011171), // Rule ID 12892 //
     /* 1011099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1011110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1011113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1011116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1011119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011138 */     // MIs[0] policy
     /* 1011138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011148 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1011151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011170 */     // GIR_Coverage, 12892,
     /* 1011170 */     GIR_EraseRootFromParent_Done,
     /* 1011171 */   // Label 15038: @1011171
     /* 1011171 */   GIM_Try, /*On fail goto*//*Label 15039*/ GIMT_Encode4(1011248), // Rule ID 12893 //
     /* 1011176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1011187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1011190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1011193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1011196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011215 */     // MIs[0] policy
     /* 1011215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011225 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1011228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011247 */     // GIR_Coverage, 12893,
     /* 1011247 */     GIR_EraseRootFromParent_Done,
     /* 1011248 */   // Label 15039: @1011248
     /* 1011248 */   GIM_Try, /*On fail goto*//*Label 15040*/ GIMT_Encode4(1011325), // Rule ID 12896 //
     /* 1011253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1011264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1011267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1011270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1011273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011292 */     // MIs[0] policy
     /* 1011292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1011305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011324 */     // GIR_Coverage, 12896,
     /* 1011324 */     GIR_EraseRootFromParent_Done,
     /* 1011325 */   // Label 15040: @1011325
     /* 1011325 */   GIM_Try, /*On fail goto*//*Label 15041*/ GIMT_Encode4(1011402), // Rule ID 12897 //
     /* 1011330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1011341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1011344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1011347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1011350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011369 */     // MIs[0] policy
     /* 1011369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011379 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1011382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011401 */     // GIR_Coverage, 12897,
     /* 1011401 */     GIR_EraseRootFromParent_Done,
     /* 1011402 */   // Label 15041: @1011402
     /* 1011402 */   GIM_Try, /*On fail goto*//*Label 15042*/ GIMT_Encode4(1011479), // Rule ID 12900 //
     /* 1011407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1011418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1011421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1011424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1011427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011446 */     // MIs[0] policy
     /* 1011446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011456 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1011459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011478 */     // GIR_Coverage, 12900,
     /* 1011478 */     GIR_EraseRootFromParent_Done,
     /* 1011479 */   // Label 15042: @1011479
     /* 1011479 */   GIM_Try, /*On fail goto*//*Label 15043*/ GIMT_Encode4(1011556), // Rule ID 12901 //
     /* 1011484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1011495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1011498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1011501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1011504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011523 */     // MIs[0] policy
     /* 1011523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011533 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1011536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011555 */     // GIR_Coverage, 12901,
     /* 1011555 */     GIR_EraseRootFromParent_Done,
     /* 1011556 */   // Label 15043: @1011556
     /* 1011556 */   GIM_Try, /*On fail goto*//*Label 15044*/ GIMT_Encode4(1011633), // Rule ID 12904 //
     /* 1011561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1011572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1011575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1011578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1011581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011600 */     // MIs[0] policy
     /* 1011600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011610 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1011613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011632 */     // GIR_Coverage, 12904,
     /* 1011632 */     GIR_EraseRootFromParent_Done,
     /* 1011633 */   // Label 15044: @1011633
     /* 1011633 */   GIM_Try, /*On fail goto*//*Label 15045*/ GIMT_Encode4(1011710), // Rule ID 12905 //
     /* 1011638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1011649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1011652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1011655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1011658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011677 */     // MIs[0] policy
     /* 1011677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011687 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1011690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011709 */     // GIR_Coverage, 12905,
     /* 1011709 */     GIR_EraseRootFromParent_Done,
     /* 1011710 */   // Label 15045: @1011710
     /* 1011710 */   GIM_Try, /*On fail goto*//*Label 15046*/ GIMT_Encode4(1011787), // Rule ID 12908 //
     /* 1011715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1011726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1011729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1011732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1011735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011754 */     // MIs[0] policy
     /* 1011754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011764 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1011767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011786 */     // GIR_Coverage, 12908,
     /* 1011786 */     GIR_EraseRootFromParent_Done,
     /* 1011787 */   // Label 15046: @1011787
     /* 1011787 */   GIM_Try, /*On fail goto*//*Label 15047*/ GIMT_Encode4(1011864), // Rule ID 12909 //
     /* 1011792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1011803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1011806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1011809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1011812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011831 */     // MIs[0] policy
     /* 1011831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011841 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1011844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011863 */     // GIR_Coverage, 12909,
     /* 1011863 */     GIR_EraseRootFromParent_Done,
     /* 1011864 */   // Label 15047: @1011864
     /* 1011864 */   GIM_Try, /*On fail goto*//*Label 15048*/ GIMT_Encode4(1011941), // Rule ID 12912 //
     /* 1011869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1011880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1011883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1011886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1011889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011908 */     // MIs[0] policy
     /* 1011908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011918 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011940 */     // GIR_Coverage, 12912,
     /* 1011940 */     GIR_EraseRootFromParent_Done,
     /* 1011941 */   // Label 15048: @1011941
     /* 1011941 */   GIM_Try, /*On fail goto*//*Label 15049*/ GIMT_Encode4(1012018), // Rule ID 12913 //
     /* 1011946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1011957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1011960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1011963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1011966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011985 */     // MIs[0] policy
     /* 1011985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011995 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012017 */     // GIR_Coverage, 12913,
     /* 1012017 */     GIR_EraseRootFromParent_Done,
     /* 1012018 */   // Label 15049: @1012018
     /* 1012018 */   GIM_Try, /*On fail goto*//*Label 15050*/ GIMT_Encode4(1012095), // Rule ID 12916 //
     /* 1012023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1012034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1012037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1012040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1012043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012062 */     // MIs[0] policy
     /* 1012062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012072 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1012075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012094 */     // GIR_Coverage, 12916,
     /* 1012094 */     GIR_EraseRootFromParent_Done,
     /* 1012095 */   // Label 15050: @1012095
     /* 1012095 */   GIM_Try, /*On fail goto*//*Label 15051*/ GIMT_Encode4(1012172), // Rule ID 12917 //
     /* 1012100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1012111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1012114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1012117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1012120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012139 */     // MIs[0] policy
     /* 1012139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1012152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012171 */     // GIR_Coverage, 12917,
     /* 1012171 */     GIR_EraseRootFromParent_Done,
     /* 1012172 */   // Label 15051: @1012172
     /* 1012172 */   GIM_Try, /*On fail goto*//*Label 15052*/ GIMT_Encode4(1012249), // Rule ID 12920 //
     /* 1012177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1012188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1012191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1012194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1012197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012216 */     // MIs[0] policy
     /* 1012216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1012229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012248 */     // GIR_Coverage, 12920,
     /* 1012248 */     GIR_EraseRootFromParent_Done,
     /* 1012249 */   // Label 15052: @1012249
     /* 1012249 */   GIM_Try, /*On fail goto*//*Label 15053*/ GIMT_Encode4(1012326), // Rule ID 12921 //
     /* 1012254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1012265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1012268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1012271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1012274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012293 */     // MIs[0] policy
     /* 1012293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012303 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1012306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012325 */     // GIR_Coverage, 12921,
     /* 1012325 */     GIR_EraseRootFromParent_Done,
     /* 1012326 */   // Label 15053: @1012326
     /* 1012326 */   GIM_Try, /*On fail goto*//*Label 15054*/ GIMT_Encode4(1012403), // Rule ID 12924 //
     /* 1012331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1012342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1012345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1012348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1012351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012370 */     // MIs[0] policy
     /* 1012370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1012383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012402 */     // GIR_Coverage, 12924,
     /* 1012402 */     GIR_EraseRootFromParent_Done,
     /* 1012403 */   // Label 15054: @1012403
     /* 1012403 */   GIM_Try, /*On fail goto*//*Label 15055*/ GIMT_Encode4(1012480), // Rule ID 12925 //
     /* 1012408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1012419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1012422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1012425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1012428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012447 */     // MIs[0] policy
     /* 1012447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012457 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1012460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012479 */     // GIR_Coverage, 12925,
     /* 1012479 */     GIR_EraseRootFromParent_Done,
     /* 1012480 */   // Label 15055: @1012480
     /* 1012480 */   GIM_Try, /*On fail goto*//*Label 15056*/ GIMT_Encode4(1012557), // Rule ID 12928 //
     /* 1012485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1012496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1012499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1012502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1012505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012524 */     // MIs[0] policy
     /* 1012524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012556 */     // GIR_Coverage, 12928,
     /* 1012556 */     GIR_EraseRootFromParent_Done,
     /* 1012557 */   // Label 15056: @1012557
     /* 1012557 */   GIM_Try, /*On fail goto*//*Label 15057*/ GIMT_Encode4(1012634), // Rule ID 12929 //
     /* 1012562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1012573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1012576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1012579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1012582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012601 */     // MIs[0] policy
     /* 1012601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012611 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012633 */     // GIR_Coverage, 12929,
     /* 1012633 */     GIR_EraseRootFromParent_Done,
     /* 1012634 */   // Label 15057: @1012634
     /* 1012634 */   GIM_Try, /*On fail goto*//*Label 15058*/ GIMT_Encode4(1012711), // Rule ID 12932 //
     /* 1012639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1012650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1012653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1012656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1012659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012678 */     // MIs[0] policy
     /* 1012678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012688 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012710 */     // GIR_Coverage, 12932,
     /* 1012710 */     GIR_EraseRootFromParent_Done,
     /* 1012711 */   // Label 15058: @1012711
     /* 1012711 */   GIM_Try, /*On fail goto*//*Label 15059*/ GIMT_Encode4(1012788), // Rule ID 12933 //
     /* 1012716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1012727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1012730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1012733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1012736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012755 */     // MIs[0] policy
     /* 1012755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012765 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012787 */     // GIR_Coverage, 12933,
     /* 1012787 */     GIR_EraseRootFromParent_Done,
     /* 1012788 */   // Label 15059: @1012788
     /* 1012788 */   GIM_Try, /*On fail goto*//*Label 15060*/ GIMT_Encode4(1012865), // Rule ID 12936 //
     /* 1012793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1012804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1012807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1012810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1012813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012832 */     // MIs[0] policy
     /* 1012832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012864 */     // GIR_Coverage, 12936,
     /* 1012864 */     GIR_EraseRootFromParent_Done,
     /* 1012865 */   // Label 15060: @1012865
     /* 1012865 */   GIM_Try, /*On fail goto*//*Label 15061*/ GIMT_Encode4(1012942), // Rule ID 12937 //
     /* 1012870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1012881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1012884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1012887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1012890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012909 */     // MIs[0] policy
     /* 1012909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012919 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012941 */     // GIR_Coverage, 12937,
     /* 1012941 */     GIR_EraseRootFromParent_Done,
     /* 1012942 */   // Label 15061: @1012942
     /* 1012942 */   GIM_Try, /*On fail goto*//*Label 15062*/ GIMT_Encode4(1013019), // Rule ID 12940 //
     /* 1012947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1012950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1012958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1012961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1012964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1012967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012986 */     // MIs[0] policy
     /* 1012986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012996 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1012999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013018 */     // GIR_Coverage, 12940,
     /* 1013018 */     GIR_EraseRootFromParent_Done,
     /* 1013019 */   // Label 15062: @1013019
     /* 1013019 */   GIM_Try, /*On fail goto*//*Label 15063*/ GIMT_Encode4(1013096), // Rule ID 12941 //
     /* 1013024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1013027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1013035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1013038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1013041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1013044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013063 */     // MIs[0] policy
     /* 1013063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013073 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1013076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013095 */     // GIR_Coverage, 12941,
     /* 1013095 */     GIR_EraseRootFromParent_Done,
     /* 1013096 */   // Label 15063: @1013096
     /* 1013096 */   GIM_Try, /*On fail goto*//*Label 15064*/ GIMT_Encode4(1013173), // Rule ID 12944 //
     /* 1013101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1013112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1013115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1013118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1013121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013140 */     // MIs[0] policy
     /* 1013140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013150 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013172 */     // GIR_Coverage, 12944,
     /* 1013172 */     GIR_EraseRootFromParent_Done,
     /* 1013173 */   // Label 15064: @1013173
     /* 1013173 */   GIM_Try, /*On fail goto*//*Label 15065*/ GIMT_Encode4(1013250), // Rule ID 12945 //
     /* 1013178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1013189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1013192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1013195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1013198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013217 */     // MIs[0] policy
     /* 1013217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013227 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013249 */     // GIR_Coverage, 12945,
     /* 1013249 */     GIR_EraseRootFromParent_Done,
     /* 1013250 */   // Label 15065: @1013250
     /* 1013250 */   GIM_Try, /*On fail goto*//*Label 15066*/ GIMT_Encode4(1013327), // Rule ID 12948 //
     /* 1013255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1013266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1013269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1013272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1013275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013294 */     // MIs[0] policy
     /* 1013294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013304 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013326 */     // GIR_Coverage, 12948,
     /* 1013326 */     GIR_EraseRootFromParent_Done,
     /* 1013327 */   // Label 15066: @1013327
     /* 1013327 */   GIM_Try, /*On fail goto*//*Label 15067*/ GIMT_Encode4(1013404), // Rule ID 12949 //
     /* 1013332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1013343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1013346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1013349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1013352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013371 */     // MIs[0] policy
     /* 1013371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013381 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013403 */     // GIR_Coverage, 12949,
     /* 1013403 */     GIR_EraseRootFromParent_Done,
     /* 1013404 */   // Label 15067: @1013404
     /* 1013404 */   GIM_Try, /*On fail goto*//*Label 15068*/ GIMT_Encode4(1013481), // Rule ID 12952 //
     /* 1013409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1013420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1013423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1013426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1013429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013448 */     // MIs[0] policy
     /* 1013448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013458 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013480 */     // GIR_Coverage, 12952,
     /* 1013480 */     GIR_EraseRootFromParent_Done,
     /* 1013481 */   // Label 15068: @1013481
     /* 1013481 */   GIM_Try, /*On fail goto*//*Label 15069*/ GIMT_Encode4(1013558), // Rule ID 12953 //
     /* 1013486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1013497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1013500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1013503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1013506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013525 */     // MIs[0] policy
     /* 1013525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013535 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013557 */     // GIR_Coverage, 12953,
     /* 1013557 */     GIR_EraseRootFromParent_Done,
     /* 1013558 */   // Label 15069: @1013558
     /* 1013558 */   GIM_Try, /*On fail goto*//*Label 15070*/ GIMT_Encode4(1013635), // Rule ID 12956 //
     /* 1013563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1013574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1013577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1013580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1013583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013602 */     // MIs[0] policy
     /* 1013602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013612 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013634 */     // GIR_Coverage, 12956,
     /* 1013634 */     GIR_EraseRootFromParent_Done,
     /* 1013635 */   // Label 15070: @1013635
     /* 1013635 */   GIM_Try, /*On fail goto*//*Label 15071*/ GIMT_Encode4(1013712), // Rule ID 12957 //
     /* 1013640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1013651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1013654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1013657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1013660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013679 */     // MIs[0] policy
     /* 1013679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013711 */     // GIR_Coverage, 12957,
     /* 1013711 */     GIR_EraseRootFromParent_Done,
     /* 1013712 */   // Label 15071: @1013712
     /* 1013712 */   GIM_Try, /*On fail goto*//*Label 15072*/ GIMT_Encode4(1013789), // Rule ID 12960 //
     /* 1013717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1013728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1013731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1013734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1013737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013756 */     // MIs[0] policy
     /* 1013756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013766 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013788 */     // GIR_Coverage, 12960,
     /* 1013788 */     GIR_EraseRootFromParent_Done,
     /* 1013789 */   // Label 15072: @1013789
     /* 1013789 */   GIM_Try, /*On fail goto*//*Label 15073*/ GIMT_Encode4(1013866), // Rule ID 12961 //
     /* 1013794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1013805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1013808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1013811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1013814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013833 */     // MIs[0] policy
     /* 1013833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013843 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013865 */     // GIR_Coverage, 12961,
     /* 1013865 */     GIR_EraseRootFromParent_Done,
     /* 1013866 */   // Label 15073: @1013866
     /* 1013866 */   GIM_Try, /*On fail goto*//*Label 15074*/ GIMT_Encode4(1013943), // Rule ID 12964 //
     /* 1013871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1013882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1013885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1013888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1013891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013910 */     // MIs[0] policy
     /* 1013910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013920 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013942 */     // GIR_Coverage, 12964,
     /* 1013942 */     GIR_EraseRootFromParent_Done,
     /* 1013943 */   // Label 15074: @1013943
     /* 1013943 */   GIM_Try, /*On fail goto*//*Label 15075*/ GIMT_Encode4(1014020), // Rule ID 12965 //
     /* 1013948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1013959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1013962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1013965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1013968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013987 */     // MIs[0] policy
     /* 1013987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013997 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1014000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014019 */     // GIR_Coverage, 12965,
     /* 1014019 */     GIR_EraseRootFromParent_Done,
     /* 1014020 */   // Label 15075: @1014020
     /* 1014020 */   GIM_Try, /*On fail goto*//*Label 15076*/ GIMT_Encode4(1014097), // Rule ID 12968 //
     /* 1014025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1014036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1014039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1014042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1014045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014064 */     // MIs[0] policy
     /* 1014064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014074 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1014077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014096 */     // GIR_Coverage, 12968,
     /* 1014096 */     GIR_EraseRootFromParent_Done,
     /* 1014097 */   // Label 15076: @1014097
     /* 1014097 */   GIM_Try, /*On fail goto*//*Label 15077*/ GIMT_Encode4(1014174), // Rule ID 12969 //
     /* 1014102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1014113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1014116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1014119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1014122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014141 */     // MIs[0] policy
     /* 1014141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014151 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1014154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014173 */     // GIR_Coverage, 12969,
     /* 1014173 */     GIR_EraseRootFromParent_Done,
     /* 1014174 */   // Label 15077: @1014174
     /* 1014174 */   GIM_Try, /*On fail goto*//*Label 15078*/ GIMT_Encode4(1014251), // Rule ID 12972 //
     /* 1014179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1014190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1014193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1014196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1014199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014218 */     // MIs[0] policy
     /* 1014218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014228 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1014231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014250 */     // GIR_Coverage, 12972,
     /* 1014250 */     GIR_EraseRootFromParent_Done,
     /* 1014251 */   // Label 15078: @1014251
     /* 1014251 */   GIM_Try, /*On fail goto*//*Label 15079*/ GIMT_Encode4(1014328), // Rule ID 12973 //
     /* 1014256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1014267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1014270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1014273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1014276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014295 */     // MIs[0] policy
     /* 1014295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014305 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1014308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014327 */     // GIR_Coverage, 12973,
     /* 1014327 */     GIR_EraseRootFromParent_Done,
     /* 1014328 */   // Label 15079: @1014328
     /* 1014328 */   GIM_Try, /*On fail goto*//*Label 15080*/ GIMT_Encode4(1014405), // Rule ID 12976 //
     /* 1014333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1014344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1014347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1014350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1014353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014372 */     // MIs[0] policy
     /* 1014372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1014385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014404 */     // GIR_Coverage, 12976,
     /* 1014404 */     GIR_EraseRootFromParent_Done,
     /* 1014405 */   // Label 15080: @1014405
     /* 1014405 */   GIM_Try, /*On fail goto*//*Label 15081*/ GIMT_Encode4(1014482), // Rule ID 12977 //
     /* 1014410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1014421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1014424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1014427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1014430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014449 */     // MIs[0] policy
     /* 1014449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014459 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1014462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014481 */     // GIR_Coverage, 12977,
     /* 1014481 */     GIR_EraseRootFromParent_Done,
     /* 1014482 */   // Label 15081: @1014482
     /* 1014482 */   GIM_Try, /*On fail goto*//*Label 15082*/ GIMT_Encode4(1014559), // Rule ID 12980 //
     /* 1014487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1014498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1014501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1014504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1014507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014526 */     // MIs[0] policy
     /* 1014526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014536 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1014539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014558 */     // GIR_Coverage, 12980,
     /* 1014558 */     GIR_EraseRootFromParent_Done,
     /* 1014559 */   // Label 15082: @1014559
     /* 1014559 */   GIM_Try, /*On fail goto*//*Label 15083*/ GIMT_Encode4(1014636), // Rule ID 12981 //
     /* 1014564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1014575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1014578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1014581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1014584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014603 */     // MIs[0] policy
     /* 1014603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014613 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1014616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014635 */     // GIR_Coverage, 12981,
     /* 1014635 */     GIR_EraseRootFromParent_Done,
     /* 1014636 */   // Label 15083: @1014636
     /* 1014636 */   GIM_Try, /*On fail goto*//*Label 15084*/ GIMT_Encode4(1014713), // Rule ID 12984 //
     /* 1014641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1014652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1014655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1014658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1014661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014680 */     // MIs[0] policy
     /* 1014680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014690 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1014693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014712 */     // GIR_Coverage, 12984,
     /* 1014712 */     GIR_EraseRootFromParent_Done,
     /* 1014713 */   // Label 15084: @1014713
     /* 1014713 */   GIM_Try, /*On fail goto*//*Label 15085*/ GIMT_Encode4(1014790), // Rule ID 12985 //
     /* 1014718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1014729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1014732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1014735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1014738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014757 */     // MIs[0] policy
     /* 1014757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1014770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014789 */     // GIR_Coverage, 12985,
     /* 1014789 */     GIR_EraseRootFromParent_Done,
     /* 1014790 */   // Label 15085: @1014790
     /* 1014790 */   GIM_Try, /*On fail goto*//*Label 15086*/ GIMT_Encode4(1014867), // Rule ID 12988 //
     /* 1014795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1014806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1014809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1014812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1014815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014834 */     // MIs[0] policy
     /* 1014834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014844 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1014847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014866 */     // GIR_Coverage, 12988,
     /* 1014866 */     GIR_EraseRootFromParent_Done,
     /* 1014867 */   // Label 15086: @1014867
     /* 1014867 */   GIM_Try, /*On fail goto*//*Label 15087*/ GIMT_Encode4(1014944), // Rule ID 12989 //
     /* 1014872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1014883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1014886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1014889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1014892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014911 */     // MIs[0] policy
     /* 1014911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1014924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014943 */     // GIR_Coverage, 12989,
     /* 1014943 */     GIR_EraseRootFromParent_Done,
     /* 1014944 */   // Label 15087: @1014944
     /* 1014944 */   GIM_Try, /*On fail goto*//*Label 15088*/ GIMT_Encode4(1015021), // Rule ID 12992 //
     /* 1014949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1014960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1014963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1014969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014988 */     // MIs[0] policy
     /* 1014988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014998 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1015001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015020 */     // GIR_Coverage, 12992,
     /* 1015020 */     GIR_EraseRootFromParent_Done,
     /* 1015021 */   // Label 15088: @1015021
     /* 1015021 */   GIM_Try, /*On fail goto*//*Label 15089*/ GIMT_Encode4(1015098), // Rule ID 12993 //
     /* 1015026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1015037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1015040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1015046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015065 */     // MIs[0] policy
     /* 1015065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015075 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1015078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015097 */     // GIR_Coverage, 12993,
     /* 1015097 */     GIR_EraseRootFromParent_Done,
     /* 1015098 */   // Label 15089: @1015098
     /* 1015098 */   GIM_Try, /*On fail goto*//*Label 15090*/ GIMT_Encode4(1015175), // Rule ID 12996 //
     /* 1015103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1015114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1015117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1015123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015142 */     // MIs[0] policy
     /* 1015142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015152 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1015155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015174 */     // GIR_Coverage, 12996,
     /* 1015174 */     GIR_EraseRootFromParent_Done,
     /* 1015175 */   // Label 15090: @1015175
     /* 1015175 */   GIM_Try, /*On fail goto*//*Label 15091*/ GIMT_Encode4(1015252), // Rule ID 12997 //
     /* 1015180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1015191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1015194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1015200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015219 */     // MIs[0] policy
     /* 1015219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015229 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1015232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015251 */     // GIR_Coverage, 12997,
     /* 1015251 */     GIR_EraseRootFromParent_Done,
     /* 1015252 */   // Label 15091: @1015252
     /* 1015252 */   GIM_Try, /*On fail goto*//*Label 15092*/ GIMT_Encode4(1015329), // Rule ID 13000 //
     /* 1015257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1015268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1015271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1015277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015296 */     // MIs[0] policy
     /* 1015296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015306 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1015309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015328 */     // GIR_Coverage, 13000,
     /* 1015328 */     GIR_EraseRootFromParent_Done,
     /* 1015329 */   // Label 15092: @1015329
     /* 1015329 */   GIM_Try, /*On fail goto*//*Label 15093*/ GIMT_Encode4(1015406), // Rule ID 13001 //
     /* 1015334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1015345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1015348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1015354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015373 */     // MIs[0] policy
     /* 1015373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015383 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1015386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015405 */     // GIR_Coverage, 13001,
     /* 1015405 */     GIR_EraseRootFromParent_Done,
     /* 1015406 */   // Label 15093: @1015406
     /* 1015406 */   GIM_Try, /*On fail goto*//*Label 15094*/ GIMT_Encode4(1015483), // Rule ID 13004 //
     /* 1015411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1015422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1015425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1015431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015450 */     // MIs[0] policy
     /* 1015450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015460 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1015463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015482 */     // GIR_Coverage, 13004,
     /* 1015482 */     GIR_EraseRootFromParent_Done,
     /* 1015483 */   // Label 15094: @1015483
     /* 1015483 */   GIM_Try, /*On fail goto*//*Label 15095*/ GIMT_Encode4(1015560), // Rule ID 13005 //
     /* 1015488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1015499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1015502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1015508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015527 */     // MIs[0] policy
     /* 1015527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015537 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1015540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015559 */     // GIR_Coverage, 13005,
     /* 1015559 */     GIR_EraseRootFromParent_Done,
     /* 1015560 */   // Label 15095: @1015560
     /* 1015560 */   GIM_Try, /*On fail goto*//*Label 15096*/ GIMT_Encode4(1015637), // Rule ID 13008 //
     /* 1015565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1015576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1015579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1015585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015604 */     // MIs[0] policy
     /* 1015604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015614 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1015617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015636 */     // GIR_Coverage, 13008,
     /* 1015636 */     GIR_EraseRootFromParent_Done,
     /* 1015637 */   // Label 15096: @1015637
     /* 1015637 */   GIM_Try, /*On fail goto*//*Label 15097*/ GIMT_Encode4(1015714), // Rule ID 13009 //
     /* 1015642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1015653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1015656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1015662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015681 */     // MIs[0] policy
     /* 1015681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015691 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1015694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015713 */     // GIR_Coverage, 13009,
     /* 1015713 */     GIR_EraseRootFromParent_Done,
     /* 1015714 */   // Label 15097: @1015714
     /* 1015714 */   GIM_Try, /*On fail goto*//*Label 15098*/ GIMT_Encode4(1015791), // Rule ID 13012 //
     /* 1015719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1015730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1015733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1015739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015758 */     // MIs[0] policy
     /* 1015758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015768 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1015771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015790 */     // GIR_Coverage, 13012,
     /* 1015790 */     GIR_EraseRootFromParent_Done,
     /* 1015791 */   // Label 15098: @1015791
     /* 1015791 */   GIM_Try, /*On fail goto*//*Label 15099*/ GIMT_Encode4(1015868), // Rule ID 13013 //
     /* 1015796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1015807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1015810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1015816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015835 */     // MIs[0] policy
     /* 1015835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015845 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1015848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015867 */     // GIR_Coverage, 13013,
     /* 1015867 */     GIR_EraseRootFromParent_Done,
     /* 1015868 */   // Label 15099: @1015868
     /* 1015868 */   GIM_Try, /*On fail goto*//*Label 15100*/ GIMT_Encode4(1015945), // Rule ID 13016 //
     /* 1015873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1015884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1015887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1015893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015912 */     // MIs[0] policy
     /* 1015912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015922 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015944 */     // GIR_Coverage, 13016,
     /* 1015944 */     GIR_EraseRootFromParent_Done,
     /* 1015945 */   // Label 15100: @1015945
     /* 1015945 */   GIM_Try, /*On fail goto*//*Label 15101*/ GIMT_Encode4(1016022), // Rule ID 13017 //
     /* 1015950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1015961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1015964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1015970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015989 */     // MIs[0] policy
     /* 1015989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015999 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1016002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016021 */     // GIR_Coverage, 13017,
     /* 1016021 */     GIR_EraseRootFromParent_Done,
     /* 1016022 */   // Label 15101: @1016022
     /* 1016022 */   GIM_Try, /*On fail goto*//*Label 15102*/ GIMT_Encode4(1016099), // Rule ID 13020 //
     /* 1016027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1016038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1016041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1016047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016066 */     // MIs[0] policy
     /* 1016066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016076 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1016079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016098 */     // GIR_Coverage, 13020,
     /* 1016098 */     GIR_EraseRootFromParent_Done,
     /* 1016099 */   // Label 15102: @1016099
     /* 1016099 */   GIM_Try, /*On fail goto*//*Label 15103*/ GIMT_Encode4(1016176), // Rule ID 13021 //
     /* 1016104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1016115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1016118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1016124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016143 */     // MIs[0] policy
     /* 1016143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1016156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016175 */     // GIR_Coverage, 13021,
     /* 1016175 */     GIR_EraseRootFromParent_Done,
     /* 1016176 */   // Label 15103: @1016176
     /* 1016176 */   GIM_Try, /*On fail goto*//*Label 15104*/ GIMT_Encode4(1016253), // Rule ID 13024 //
     /* 1016181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1016192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1016195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1016201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016220 */     // MIs[0] policy
     /* 1016220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1016233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016252 */     // GIR_Coverage, 13024,
     /* 1016252 */     GIR_EraseRootFromParent_Done,
     /* 1016253 */   // Label 15104: @1016253
     /* 1016253 */   GIM_Try, /*On fail goto*//*Label 15105*/ GIMT_Encode4(1016330), // Rule ID 13025 //
     /* 1016258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1016269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1016272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1016278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016297 */     // MIs[0] policy
     /* 1016297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016307 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1016310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016329 */     // GIR_Coverage, 13025,
     /* 1016329 */     GIR_EraseRootFromParent_Done,
     /* 1016330 */   // Label 15105: @1016330
     /* 1016330 */   GIM_Try, /*On fail goto*//*Label 15106*/ GIMT_Encode4(1016407), // Rule ID 13028 //
     /* 1016335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1016338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1016346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1016349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1016355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016374 */     // MIs[0] policy
     /* 1016374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1016387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016406 */     // GIR_Coverage, 13028,
     /* 1016406 */     GIR_EraseRootFromParent_Done,
     /* 1016407 */   // Label 15106: @1016407
     /* 1016407 */   GIM_Try, /*On fail goto*//*Label 15107*/ GIMT_Encode4(1016484), // Rule ID 13029 //
     /* 1016412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1016415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1016423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1016426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1016432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016451 */     // MIs[0] policy
     /* 1016451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016461 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1016464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016483 */     // GIR_Coverage, 13029,
     /* 1016483 */     GIR_EraseRootFromParent_Done,
     /* 1016484 */   // Label 15107: @1016484
     /* 1016484 */   GIM_Try, /*On fail goto*//*Label 15108*/ GIMT_Encode4(1016561), // Rule ID 13032 //
     /* 1016489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1016500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1016503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1016509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016528 */     // MIs[0] policy
     /* 1016528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016538 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016560 */     // GIR_Coverage, 13032,
     /* 1016560 */     GIR_EraseRootFromParent_Done,
     /* 1016561 */   // Label 15108: @1016561
     /* 1016561 */   GIM_Try, /*On fail goto*//*Label 15109*/ GIMT_Encode4(1016638), // Rule ID 13033 //
     /* 1016566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1016577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1016580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1016586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016605 */     // MIs[0] policy
     /* 1016605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016615 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016637 */     // GIR_Coverage, 13033,
     /* 1016637 */     GIR_EraseRootFromParent_Done,
     /* 1016638 */   // Label 15109: @1016638
     /* 1016638 */   GIM_Try, /*On fail goto*//*Label 15110*/ GIMT_Encode4(1016715), // Rule ID 13036 //
     /* 1016643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1016654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1016657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1016663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016682 */     // MIs[0] policy
     /* 1016682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016692 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016714 */     // GIR_Coverage, 13036,
     /* 1016714 */     GIR_EraseRootFromParent_Done,
     /* 1016715 */   // Label 15110: @1016715
     /* 1016715 */   GIM_Try, /*On fail goto*//*Label 15111*/ GIMT_Encode4(1016792), // Rule ID 13037 //
     /* 1016720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1016731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1016734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1016740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016759 */     // MIs[0] policy
     /* 1016759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016769 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016791 */     // GIR_Coverage, 13037,
     /* 1016791 */     GIR_EraseRootFromParent_Done,
     /* 1016792 */   // Label 15111: @1016792
     /* 1016792 */   GIM_Try, /*On fail goto*//*Label 15112*/ GIMT_Encode4(1016869), // Rule ID 13040 //
     /* 1016797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1016808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1016811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1016817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016836 */     // MIs[0] policy
     /* 1016836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016846 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016868 */     // GIR_Coverage, 13040,
     /* 1016868 */     GIR_EraseRootFromParent_Done,
     /* 1016869 */   // Label 15112: @1016869
     /* 1016869 */   GIM_Try, /*On fail goto*//*Label 15113*/ GIMT_Encode4(1016946), // Rule ID 13041 //
     /* 1016874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1016885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1016888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1016894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016913 */     // MIs[0] policy
     /* 1016913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016923 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016945 */     // GIR_Coverage, 13041,
     /* 1016945 */     GIR_EraseRootFromParent_Done,
     /* 1016946 */   // Label 15113: @1016946
     /* 1016946 */   GIM_Try, /*On fail goto*//*Label 15114*/ GIMT_Encode4(1017023), // Rule ID 13044 //
     /* 1016951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1016962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1016965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1016971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016990 */     // MIs[0] policy
     /* 1016990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017000 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1017003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017022 */     // GIR_Coverage, 13044,
     /* 1017022 */     GIR_EraseRootFromParent_Done,
     /* 1017023 */   // Label 15114: @1017023
     /* 1017023 */   GIM_Try, /*On fail goto*//*Label 15115*/ GIMT_Encode4(1017100), // Rule ID 13045 //
     /* 1017028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1017039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1017042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1017048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017067 */     // MIs[0] policy
     /* 1017067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017077 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1017080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017099 */     // GIR_Coverage, 13045,
     /* 1017099 */     GIR_EraseRootFromParent_Done,
     /* 1017100 */   // Label 15115: @1017100
     /* 1017100 */   GIM_Try, /*On fail goto*//*Label 15116*/ GIMT_Encode4(1017177), // Rule ID 13048 //
     /* 1017105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1017116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1017119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1017125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017144 */     // MIs[0] policy
     /* 1017144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017154 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1017157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017176 */     // GIR_Coverage, 13048,
     /* 1017176 */     GIR_EraseRootFromParent_Done,
     /* 1017177 */   // Label 15116: @1017177
     /* 1017177 */   GIM_Try, /*On fail goto*//*Label 15117*/ GIMT_Encode4(1017254), // Rule ID 13049 //
     /* 1017182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1017193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1017196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1017202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017221 */     // MIs[0] policy
     /* 1017221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017231 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1017234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017253 */     // GIR_Coverage, 13049,
     /* 1017253 */     GIR_EraseRootFromParent_Done,
     /* 1017254 */   // Label 15117: @1017254
     /* 1017254 */   GIM_Try, /*On fail goto*//*Label 15118*/ GIMT_Encode4(1017331), // Rule ID 13052 //
     /* 1017259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1017270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1017273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1017279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017298 */     // MIs[0] policy
     /* 1017298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017308 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017330 */     // GIR_Coverage, 13052,
     /* 1017330 */     GIR_EraseRootFromParent_Done,
     /* 1017331 */   // Label 15118: @1017331
     /* 1017331 */   GIM_Try, /*On fail goto*//*Label 15119*/ GIMT_Encode4(1017408), // Rule ID 13053 //
     /* 1017336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1017347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1017350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1017356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017375 */     // MIs[0] policy
     /* 1017375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017385 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017407 */     // GIR_Coverage, 13053,
     /* 1017407 */     GIR_EraseRootFromParent_Done,
     /* 1017408 */   // Label 15119: @1017408
     /* 1017408 */   GIM_Try, /*On fail goto*//*Label 15120*/ GIMT_Encode4(1017485), // Rule ID 13056 //
     /* 1017413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1017424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1017427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1017433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017452 */     // MIs[0] policy
     /* 1017452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017462 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1017465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017484 */     // GIR_Coverage, 13056,
     /* 1017484 */     GIR_EraseRootFromParent_Done,
     /* 1017485 */   // Label 15120: @1017485
     /* 1017485 */   GIM_Try, /*On fail goto*//*Label 15121*/ GIMT_Encode4(1017562), // Rule ID 13057 //
     /* 1017490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1017501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1017504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1017510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017529 */     // MIs[0] policy
     /* 1017529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017539 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1017542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017561 */     // GIR_Coverage, 13057,
     /* 1017561 */     GIR_EraseRootFromParent_Done,
     /* 1017562 */   // Label 15121: @1017562
     /* 1017562 */   GIM_Try, /*On fail goto*//*Label 15122*/ GIMT_Encode4(1017639), // Rule ID 13060 //
     /* 1017567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1017578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1017581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1017587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017606 */     // MIs[0] policy
     /* 1017606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017616 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1017619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017638 */     // GIR_Coverage, 13060,
     /* 1017638 */     GIR_EraseRootFromParent_Done,
     /* 1017639 */   // Label 15122: @1017639
     /* 1017639 */   GIM_Try, /*On fail goto*//*Label 15123*/ GIMT_Encode4(1017716), // Rule ID 13061 //
     /* 1017644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1017655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1017658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1017664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017683 */     // MIs[0] policy
     /* 1017683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017693 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1017696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017715 */     // GIR_Coverage, 13061,
     /* 1017715 */     GIR_EraseRootFromParent_Done,
     /* 1017716 */   // Label 15123: @1017716
     /* 1017716 */   GIM_Try, /*On fail goto*//*Label 15124*/ GIMT_Encode4(1017793), // Rule ID 13064 //
     /* 1017721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1017732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1017735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1017741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017760 */     // MIs[0] policy
     /* 1017760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017792 */     // GIR_Coverage, 13064,
     /* 1017792 */     GIR_EraseRootFromParent_Done,
     /* 1017793 */   // Label 15124: @1017793
     /* 1017793 */   GIM_Try, /*On fail goto*//*Label 15125*/ GIMT_Encode4(1017870), // Rule ID 13065 //
     /* 1017798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1017809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1017812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1017818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017837 */     // MIs[0] policy
     /* 1017837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017847 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017869 */     // GIR_Coverage, 13065,
     /* 1017869 */     GIR_EraseRootFromParent_Done,
     /* 1017870 */   // Label 15125: @1017870
     /* 1017870 */   GIM_Try, /*On fail goto*//*Label 15126*/ GIMT_Encode4(1017947), // Rule ID 13068 //
     /* 1017875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1017886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1017889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1017895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017914 */     // MIs[0] policy
     /* 1017914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017924 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1017927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017946 */     // GIR_Coverage, 13068,
     /* 1017946 */     GIR_EraseRootFromParent_Done,
     /* 1017947 */   // Label 15126: @1017947
     /* 1017947 */   GIM_Try, /*On fail goto*//*Label 15127*/ GIMT_Encode4(1018024), // Rule ID 13069 //
     /* 1017952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1017963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1017966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1017972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017991 */     // MIs[0] policy
     /* 1017991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018001 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11505:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1018004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018023 */     // GIR_Coverage, 13069,
     /* 1018023 */     GIR_EraseRootFromParent_Done,
     /* 1018024 */   // Label 15127: @1018024
     /* 1018024 */   GIM_Try, /*On fail goto*//*Label 15128*/ GIMT_Encode4(1018101), // Rule ID 13072 //
     /* 1018029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1018032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1018040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1018043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1018046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1018049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018068 */     // MIs[0] policy
     /* 1018068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018078 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1018081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018100 */     // GIR_Coverage, 13072,
     /* 1018100 */     GIR_EraseRootFromParent_Done,
     /* 1018101 */   // Label 15128: @1018101
     /* 1018101 */   GIM_Try, /*On fail goto*//*Label 15129*/ GIMT_Encode4(1018178), // Rule ID 13073 //
     /* 1018106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1018109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1018117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1018120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1018123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1018126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018145 */     // MIs[0] policy
     /* 1018145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018155 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11505:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1018158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018177 */     // GIR_Coverage, 13073,
     /* 1018177 */     GIR_EraseRootFromParent_Done,
     /* 1018178 */   // Label 15129: @1018178
     /* 1018178 */   GIM_Try, /*On fail goto*//*Label 15130*/ GIMT_Encode4(1018255), // Rule ID 13076 //
     /* 1018183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1018186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1018194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1018197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1018200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1018203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018222 */     // MIs[0] policy
     /* 1018222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018232 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1018235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018254 */     // GIR_Coverage, 13076,
     /* 1018254 */     GIR_EraseRootFromParent_Done,
     /* 1018255 */   // Label 15130: @1018255
     /* 1018255 */   GIM_Try, /*On fail goto*//*Label 15131*/ GIMT_Encode4(1018332), // Rule ID 13077 //
     /* 1018260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1018263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1018271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1018274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1018277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1018280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018299 */     // MIs[0] policy
     /* 1018299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018309 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11505:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1018312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018331 */     // GIR_Coverage, 13077,
     /* 1018331 */     GIR_EraseRootFromParent_Done,
     /* 1018332 */   // Label 15131: @1018332
     /* 1018332 */   GIM_Try, /*On fail goto*//*Label 15132*/ GIMT_Encode4(1018409), // Rule ID 13080 //
     /* 1018337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1018348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1018351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1018354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1018357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018376 */     // MIs[0] policy
     /* 1018376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018386 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1018389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018408 */     // GIR_Coverage, 13080,
     /* 1018408 */     GIR_EraseRootFromParent_Done,
     /* 1018409 */   // Label 15132: @1018409
     /* 1018409 */   GIM_Try, /*On fail goto*//*Label 15133*/ GIMT_Encode4(1018486), // Rule ID 13081 //
     /* 1018414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1018425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1018428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1018431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1018434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018453 */     // MIs[0] policy
     /* 1018453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018463 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1018466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018485 */     // GIR_Coverage, 13081,
     /* 1018485 */     GIR_EraseRootFromParent_Done,
     /* 1018486 */   // Label 15133: @1018486
     /* 1018486 */   GIM_Try, /*On fail goto*//*Label 15134*/ GIMT_Encode4(1018563), // Rule ID 13084 //
     /* 1018491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1018502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1018505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1018508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1018511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018530 */     // MIs[0] policy
     /* 1018530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018540 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1018543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018562 */     // GIR_Coverage, 13084,
     /* 1018562 */     GIR_EraseRootFromParent_Done,
     /* 1018563 */   // Label 15134: @1018563
     /* 1018563 */   GIM_Try, /*On fail goto*//*Label 15135*/ GIMT_Encode4(1018640), // Rule ID 13085 //
     /* 1018568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1018579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1018582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1018585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1018588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018607 */     // MIs[0] policy
     /* 1018607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018617 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1018620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018639 */     // GIR_Coverage, 13085,
     /* 1018639 */     GIR_EraseRootFromParent_Done,
     /* 1018640 */   // Label 15135: @1018640
     /* 1018640 */   GIM_Try, /*On fail goto*//*Label 15136*/ GIMT_Encode4(1018717), // Rule ID 13088 //
     /* 1018645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1018656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1018659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1018662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1018665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018684 */     // MIs[0] policy
     /* 1018684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018694 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018716 */     // GIR_Coverage, 13088,
     /* 1018716 */     GIR_EraseRootFromParent_Done,
     /* 1018717 */   // Label 15136: @1018717
     /* 1018717 */   GIM_Try, /*On fail goto*//*Label 15137*/ GIMT_Encode4(1018794), // Rule ID 13089 //
     /* 1018722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1018733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1018736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1018739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1018742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018761 */     // MIs[0] policy
     /* 1018761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018793 */     // GIR_Coverage, 13089,
     /* 1018793 */     GIR_EraseRootFromParent_Done,
     /* 1018794 */   // Label 15137: @1018794
     /* 1018794 */   GIM_Try, /*On fail goto*//*Label 15138*/ GIMT_Encode4(1018871), // Rule ID 13092 //
     /* 1018799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1018810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1018813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1018816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1018819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018838 */     // MIs[0] policy
     /* 1018838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018848 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1018851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018870 */     // GIR_Coverage, 13092,
     /* 1018870 */     GIR_EraseRootFromParent_Done,
     /* 1018871 */   // Label 15138: @1018871
     /* 1018871 */   GIM_Try, /*On fail goto*//*Label 15139*/ GIMT_Encode4(1018948), // Rule ID 13093 //
     /* 1018876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1018887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1018890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1018893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1018896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018915 */     // MIs[0] policy
     /* 1018915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018925 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1018928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018947 */     // GIR_Coverage, 13093,
     /* 1018947 */     GIR_EraseRootFromParent_Done,
     /* 1018948 */   // Label 15139: @1018948
     /* 1018948 */   GIM_Try, /*On fail goto*//*Label 15140*/ GIMT_Encode4(1019025), // Rule ID 13096 //
     /* 1018953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1018964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1018967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1018970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1018973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018992 */     // MIs[0] policy
     /* 1018992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019002 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1019005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019024 */     // GIR_Coverage, 13096,
     /* 1019024 */     GIR_EraseRootFromParent_Done,
     /* 1019025 */   // Label 15140: @1019025
     /* 1019025 */   GIM_Try, /*On fail goto*//*Label 15141*/ GIMT_Encode4(1019102), // Rule ID 13097 //
     /* 1019030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1019041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1019044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1019047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1019050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019069 */     // MIs[0] policy
     /* 1019069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019079 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1019082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019101 */     // GIR_Coverage, 13097,
     /* 1019101 */     GIR_EraseRootFromParent_Done,
     /* 1019102 */   // Label 15141: @1019102
     /* 1019102 */   GIM_Try, /*On fail goto*//*Label 15142*/ GIMT_Encode4(1019179), // Rule ID 13100 //
     /* 1019107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1019118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1019121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1019124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1019127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019146 */     // MIs[0] policy
     /* 1019146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019156 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1019159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019178 */     // GIR_Coverage, 13100,
     /* 1019178 */     GIR_EraseRootFromParent_Done,
     /* 1019179 */   // Label 15142: @1019179
     /* 1019179 */   GIM_Try, /*On fail goto*//*Label 15143*/ GIMT_Encode4(1019256), // Rule ID 13101 //
     /* 1019184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1019195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1019198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1019201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1019204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019223 */     // MIs[0] policy
     /* 1019223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1019236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019255 */     // GIR_Coverage, 13101,
     /* 1019255 */     GIR_EraseRootFromParent_Done,
     /* 1019256 */   // Label 15143: @1019256
     /* 1019256 */   GIM_Try, /*On fail goto*//*Label 15144*/ GIMT_Encode4(1019333), // Rule ID 13104 //
     /* 1019261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1019272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1019275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1019278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1019281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019300 */     // MIs[0] policy
     /* 1019300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019310 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019332 */     // GIR_Coverage, 13104,
     /* 1019332 */     GIR_EraseRootFromParent_Done,
     /* 1019333 */   // Label 15144: @1019333
     /* 1019333 */   GIM_Try, /*On fail goto*//*Label 15145*/ GIMT_Encode4(1019410), // Rule ID 13105 //
     /* 1019338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1019349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1019352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1019355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1019358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019377 */     // MIs[0] policy
     /* 1019377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019387 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019409 */     // GIR_Coverage, 13105,
     /* 1019409 */     GIR_EraseRootFromParent_Done,
     /* 1019410 */   // Label 15145: @1019410
     /* 1019410 */   GIM_Try, /*On fail goto*//*Label 15146*/ GIMT_Encode4(1019487), // Rule ID 13108 //
     /* 1019415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1019426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1019429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1019432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1019435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019454 */     // MIs[0] policy
     /* 1019454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019486 */     // GIR_Coverage, 13108,
     /* 1019486 */     GIR_EraseRootFromParent_Done,
     /* 1019487 */   // Label 15146: @1019487
     /* 1019487 */   GIM_Try, /*On fail goto*//*Label 15147*/ GIMT_Encode4(1019564), // Rule ID 13109 //
     /* 1019492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1019503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1019506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1019509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1019512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019531 */     // MIs[0] policy
     /* 1019531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019541 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019563 */     // GIR_Coverage, 13109,
     /* 1019563 */     GIR_EraseRootFromParent_Done,
     /* 1019564 */   // Label 15147: @1019564
     /* 1019564 */   GIM_Try, /*On fail goto*//*Label 15148*/ GIMT_Encode4(1019641), // Rule ID 13112 //
     /* 1019569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1019580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1019583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1019586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1019589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019608 */     // MIs[0] policy
     /* 1019608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019618 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019640 */     // GIR_Coverage, 13112,
     /* 1019640 */     GIR_EraseRootFromParent_Done,
     /* 1019641 */   // Label 15148: @1019641
     /* 1019641 */   GIM_Try, /*On fail goto*//*Label 15149*/ GIMT_Encode4(1019718), // Rule ID 13113 //
     /* 1019646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1019657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1019660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1019663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1019666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019685 */     // MIs[0] policy
     /* 1019685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019695 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019717 */     // GIR_Coverage, 13113,
     /* 1019717 */     GIR_EraseRootFromParent_Done,
     /* 1019718 */   // Label 15149: @1019718
     /* 1019718 */   GIM_Try, /*On fail goto*//*Label 15150*/ GIMT_Encode4(1019795), // Rule ID 13116 //
     /* 1019723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1019726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1019734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1019737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1019740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1019743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019762 */     // MIs[0] policy
     /* 1019762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019772 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019794 */     // GIR_Coverage, 13116,
     /* 1019794 */     GIR_EraseRootFromParent_Done,
     /* 1019795 */   // Label 15150: @1019795
     /* 1019795 */   GIM_Try, /*On fail goto*//*Label 15151*/ GIMT_Encode4(1019872), // Rule ID 13117 //
     /* 1019800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1019803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1019811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1019814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1019817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1019820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019839 */     // MIs[0] policy
     /* 1019839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019849 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1019852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019871 */     // GIR_Coverage, 13117,
     /* 1019871 */     GIR_EraseRootFromParent_Done,
     /* 1019872 */   // Label 15151: @1019872
     /* 1019872 */   GIM_Try, /*On fail goto*//*Label 15152*/ GIMT_Encode4(1019949), // Rule ID 13120 //
     /* 1019877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1019888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1019891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1019894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1019897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019916 */     // MIs[0] policy
     /* 1019916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019948 */     // GIR_Coverage, 13120,
     /* 1019948 */     GIR_EraseRootFromParent_Done,
     /* 1019949 */   // Label 15152: @1019949
     /* 1019949 */   GIM_Try, /*On fail goto*//*Label 15153*/ GIMT_Encode4(1020026), // Rule ID 13121 //
     /* 1019954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1019965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1019968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1019971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1019974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019993 */     // MIs[0] policy
     /* 1019993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020003 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020025 */     // GIR_Coverage, 13121,
     /* 1020025 */     GIR_EraseRootFromParent_Done,
     /* 1020026 */   // Label 15153: @1020026
     /* 1020026 */   GIM_Try, /*On fail goto*//*Label 15154*/ GIMT_Encode4(1020103), // Rule ID 13124 //
     /* 1020031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1020042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1020045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1020048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1020051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020070 */     // MIs[0] policy
     /* 1020070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020080 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020102 */     // GIR_Coverage, 13124,
     /* 1020102 */     GIR_EraseRootFromParent_Done,
     /* 1020103 */   // Label 15154: @1020103
     /* 1020103 */   GIM_Try, /*On fail goto*//*Label 15155*/ GIMT_Encode4(1020180), // Rule ID 13125 //
     /* 1020108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1020119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1020122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1020125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1020128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020147 */     // MIs[0] policy
     /* 1020147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020157 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020179 */     // GIR_Coverage, 13125,
     /* 1020179 */     GIR_EraseRootFromParent_Done,
     /* 1020180 */   // Label 15155: @1020180
     /* 1020180 */   GIM_Try, /*On fail goto*//*Label 15156*/ GIMT_Encode4(1020257), // Rule ID 13128 //
     /* 1020185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1020196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1020199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1020202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1020205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020224 */     // MIs[0] policy
     /* 1020224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020234 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020256 */     // GIR_Coverage, 13128,
     /* 1020256 */     GIR_EraseRootFromParent_Done,
     /* 1020257 */   // Label 15156: @1020257
     /* 1020257 */   GIM_Try, /*On fail goto*//*Label 15157*/ GIMT_Encode4(1020334), // Rule ID 13129 //
     /* 1020262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1020273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1020276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1020279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1020282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020301 */     // MIs[0] policy
     /* 1020301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020311 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020333 */     // GIR_Coverage, 13129,
     /* 1020333 */     GIR_EraseRootFromParent_Done,
     /* 1020334 */   // Label 15157: @1020334
     /* 1020334 */   GIM_Try, /*On fail goto*//*Label 15158*/ GIMT_Encode4(1020411), // Rule ID 13132 //
     /* 1020339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1020350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1020353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1020356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1020359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020378 */     // MIs[0] policy
     /* 1020378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020388 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020410 */     // GIR_Coverage, 13132,
     /* 1020410 */     GIR_EraseRootFromParent_Done,
     /* 1020411 */   // Label 15158: @1020411
     /* 1020411 */   GIM_Try, /*On fail goto*//*Label 15159*/ GIMT_Encode4(1020488), // Rule ID 13133 //
     /* 1020416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1020427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1020430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1020433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1020436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020455 */     // MIs[0] policy
     /* 1020455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020465 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020487 */     // GIR_Coverage, 13133,
     /* 1020487 */     GIR_EraseRootFromParent_Done,
     /* 1020488 */   // Label 15159: @1020488
     /* 1020488 */   GIM_Try, /*On fail goto*//*Label 15160*/ GIMT_Encode4(1020565), // Rule ID 13136 //
     /* 1020493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1020504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1020507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1020510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1020513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020532 */     // MIs[0] policy
     /* 1020532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020542 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020564 */     // GIR_Coverage, 13136,
     /* 1020564 */     GIR_EraseRootFromParent_Done,
     /* 1020565 */   // Label 15160: @1020565
     /* 1020565 */   GIM_Try, /*On fail goto*//*Label 15161*/ GIMT_Encode4(1020642), // Rule ID 13137 //
     /* 1020570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1020581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1020584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1020587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1020590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020609 */     // MIs[0] policy
     /* 1020609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020619 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020641 */     // GIR_Coverage, 13137,
     /* 1020641 */     GIR_EraseRootFromParent_Done,
     /* 1020642 */   // Label 15161: @1020642
     /* 1020642 */   GIM_Try, /*On fail goto*//*Label 15162*/ GIMT_Encode4(1020719), // Rule ID 13140 //
     /* 1020647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1020658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1020661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1020664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1020667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020686 */     // MIs[0] policy
     /* 1020686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020718 */     // GIR_Coverage, 13140,
     /* 1020718 */     GIR_EraseRootFromParent_Done,
     /* 1020719 */   // Label 15162: @1020719
     /* 1020719 */   GIM_Try, /*On fail goto*//*Label 15163*/ GIMT_Encode4(1020796), // Rule ID 13141 //
     /* 1020724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1020735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1020738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1020741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1020744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020763 */     // MIs[0] policy
     /* 1020763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020773 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020795 */     // GIR_Coverage, 13141,
     /* 1020795 */     GIR_EraseRootFromParent_Done,
     /* 1020796 */   // Label 15163: @1020796
     /* 1020796 */   GIM_Try, /*On fail goto*//*Label 15164*/ GIMT_Encode4(1020873), // Rule ID 13144 //
     /* 1020801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1020812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1020815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1020818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1020821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020840 */     // MIs[0] policy
     /* 1020840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020872 */     // GIR_Coverage, 13144,
     /* 1020872 */     GIR_EraseRootFromParent_Done,
     /* 1020873 */   // Label 15164: @1020873
     /* 1020873 */   GIM_Try, /*On fail goto*//*Label 15165*/ GIMT_Encode4(1020950), // Rule ID 13145 //
     /* 1020878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1020889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1020892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1020895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1020898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020917 */     // MIs[0] policy
     /* 1020917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020927 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020949 */     // GIR_Coverage, 13145,
     /* 1020949 */     GIR_EraseRootFromParent_Done,
     /* 1020950 */   // Label 15165: @1020950
     /* 1020950 */   GIM_Try, /*On fail goto*//*Label 15166*/ GIMT_Encode4(1021027), // Rule ID 13148 //
     /* 1020955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1020966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1020969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1020972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1020975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020994 */     // MIs[0] policy
     /* 1020994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021004 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1021007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021026 */     // GIR_Coverage, 13148,
     /* 1021026 */     GIR_EraseRootFromParent_Done,
     /* 1021027 */   // Label 15166: @1021027
     /* 1021027 */   GIM_Try, /*On fail goto*//*Label 15167*/ GIMT_Encode4(1021104), // Rule ID 13149 //
     /* 1021032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1021043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1021046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1021049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1021052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021071 */     // MIs[0] policy
     /* 1021071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021081 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1021084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021103 */     // GIR_Coverage, 13149,
     /* 1021103 */     GIR_EraseRootFromParent_Done,
     /* 1021104 */   // Label 15167: @1021104
     /* 1021104 */   GIM_Try, /*On fail goto*//*Label 15168*/ GIMT_Encode4(1021181), // Rule ID 13152 //
     /* 1021109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1021120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1021123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1021126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1021129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021148 */     // MIs[0] policy
     /* 1021148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021158 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1021161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021180 */     // GIR_Coverage, 13152,
     /* 1021180 */     GIR_EraseRootFromParent_Done,
     /* 1021181 */   // Label 15168: @1021181
     /* 1021181 */   GIM_Try, /*On fail goto*//*Label 15169*/ GIMT_Encode4(1021258), // Rule ID 13153 //
     /* 1021186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1021197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1021200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1021203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1021206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021225 */     // MIs[0] policy
     /* 1021225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021235 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1021238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021257 */     // GIR_Coverage, 13153,
     /* 1021257 */     GIR_EraseRootFromParent_Done,
     /* 1021258 */   // Label 15169: @1021258
     /* 1021258 */   GIM_Try, /*On fail goto*//*Label 15170*/ GIMT_Encode4(1021335), // Rule ID 13156 //
     /* 1021263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1021266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1021274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1021277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1021280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1021283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021302 */     // MIs[0] policy
     /* 1021302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021312 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1021315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021334 */     // GIR_Coverage, 13156,
     /* 1021334 */     GIR_EraseRootFromParent_Done,
     /* 1021335 */   // Label 15170: @1021335
     /* 1021335 */   GIM_Try, /*On fail goto*//*Label 15171*/ GIMT_Encode4(1021412), // Rule ID 13157 //
     /* 1021340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1021343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1021351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1021354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1021357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1021360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021379 */     // MIs[0] policy
     /* 1021379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021389 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1021392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021411 */     // GIR_Coverage, 13157,
     /* 1021411 */     GIR_EraseRootFromParent_Done,
     /* 1021412 */   // Label 15171: @1021412
     /* 1021412 */   GIM_Try, /*On fail goto*//*Label 15172*/ GIMT_Encode4(1021489), // Rule ID 13160 //
     /* 1021417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1021420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1021428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1021431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1021434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1021437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021456 */     // MIs[0] policy
     /* 1021456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021466 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1021469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021488 */     // GIR_Coverage, 13160,
     /* 1021488 */     GIR_EraseRootFromParent_Done,
     /* 1021489 */   // Label 15172: @1021489
     /* 1021489 */   GIM_Try, /*On fail goto*//*Label 15173*/ GIMT_Encode4(1021566), // Rule ID 13161 //
     /* 1021494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1021497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1021505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1021508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1021511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1021514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021533 */     // MIs[0] policy
     /* 1021533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021543 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1021546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021565 */     // GIR_Coverage, 13161,
     /* 1021565 */     GIR_EraseRootFromParent_Done,
     /* 1021566 */   // Label 15173: @1021566
     /* 1021566 */   GIM_Try, /*On fail goto*//*Label 15174*/ GIMT_Encode4(1021643), // Rule ID 13164 //
     /* 1021571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1021574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1021582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1021585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1021588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1021591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021610 */     // MIs[0] policy
     /* 1021610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021620 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1021623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021642 */     // GIR_Coverage, 13164,
     /* 1021642 */     GIR_EraseRootFromParent_Done,
     /* 1021643 */   // Label 15174: @1021643
     /* 1021643 */   GIM_Try, /*On fail goto*//*Label 15175*/ GIMT_Encode4(1021720), // Rule ID 13165 //
     /* 1021648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1021651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1021659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1021662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1021665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1021668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021687 */     // MIs[0] policy
     /* 1021687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021697 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1021700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021719 */     // GIR_Coverage, 13165,
     /* 1021719 */     GIR_EraseRootFromParent_Done,
     /* 1021720 */   // Label 15175: @1021720
     /* 1021720 */   GIM_Try, /*On fail goto*//*Label 15176*/ GIMT_Encode4(1021797), // Rule ID 13168 //
     /* 1021725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1021736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1021739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1021745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021764 */     // MIs[0] policy
     /* 1021764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021774 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1021777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021796 */     // GIR_Coverage, 13168,
     /* 1021796 */     GIR_EraseRootFromParent_Done,
     /* 1021797 */   // Label 15176: @1021797
     /* 1021797 */   GIM_Try, /*On fail goto*//*Label 15177*/ GIMT_Encode4(1021874), // Rule ID 13169 //
     /* 1021802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1021813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1021816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1021822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021841 */     // MIs[0] policy
     /* 1021841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021851 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1021854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021873 */     // GIR_Coverage, 13169,
     /* 1021873 */     GIR_EraseRootFromParent_Done,
     /* 1021874 */   // Label 15177: @1021874
     /* 1021874 */   GIM_Try, /*On fail goto*//*Label 15178*/ GIMT_Encode4(1021951), // Rule ID 13172 //
     /* 1021879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1021890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1021893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1021899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021918 */     // MIs[0] policy
     /* 1021918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021928 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1021931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021950 */     // GIR_Coverage, 13172,
     /* 1021950 */     GIR_EraseRootFromParent_Done,
     /* 1021951 */   // Label 15178: @1021951
     /* 1021951 */   GIM_Try, /*On fail goto*//*Label 15179*/ GIMT_Encode4(1022028), // Rule ID 13173 //
     /* 1021956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1021967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1021970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1021976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021995 */     // MIs[0] policy
     /* 1021995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022005 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1022008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022027 */     // GIR_Coverage, 13173,
     /* 1022027 */     GIR_EraseRootFromParent_Done,
     /* 1022028 */   // Label 15179: @1022028
     /* 1022028 */   GIM_Try, /*On fail goto*//*Label 15180*/ GIMT_Encode4(1022105), // Rule ID 13176 //
     /* 1022033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1022044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1022047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1022053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022072 */     // MIs[0] policy
     /* 1022072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022082 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1022085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022104 */     // GIR_Coverage, 13176,
     /* 1022104 */     GIR_EraseRootFromParent_Done,
     /* 1022105 */   // Label 15180: @1022105
     /* 1022105 */   GIM_Try, /*On fail goto*//*Label 15181*/ GIMT_Encode4(1022182), // Rule ID 13177 //
     /* 1022110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1022121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1022124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1022130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022149 */     // MIs[0] policy
     /* 1022149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022159 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1022162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022181 */     // GIR_Coverage, 13177,
     /* 1022181 */     GIR_EraseRootFromParent_Done,
     /* 1022182 */   // Label 15181: @1022182
     /* 1022182 */   GIM_Try, /*On fail goto*//*Label 15182*/ GIMT_Encode4(1022259), // Rule ID 13180 //
     /* 1022187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1022198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1022201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1022207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022226 */     // MIs[0] policy
     /* 1022226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022236 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1022239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022258 */     // GIR_Coverage, 13180,
     /* 1022258 */     GIR_EraseRootFromParent_Done,
     /* 1022259 */   // Label 15182: @1022259
     /* 1022259 */   GIM_Try, /*On fail goto*//*Label 15183*/ GIMT_Encode4(1022336), // Rule ID 13181 //
     /* 1022264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1022275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1022278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1022284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022303 */     // MIs[0] policy
     /* 1022303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022313 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1022316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022335 */     // GIR_Coverage, 13181,
     /* 1022335 */     GIR_EraseRootFromParent_Done,
     /* 1022336 */   // Label 15183: @1022336
     /* 1022336 */   GIM_Try, /*On fail goto*//*Label 15184*/ GIMT_Encode4(1022413), // Rule ID 13184 //
     /* 1022341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1022352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1022355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1022361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022380 */     // MIs[0] policy
     /* 1022380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022390 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1022393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022412 */     // GIR_Coverage, 13184,
     /* 1022412 */     GIR_EraseRootFromParent_Done,
     /* 1022413 */   // Label 15184: @1022413
     /* 1022413 */   GIM_Try, /*On fail goto*//*Label 15185*/ GIMT_Encode4(1022490), // Rule ID 13185 //
     /* 1022418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1022429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1022432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1022438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022457 */     // MIs[0] policy
     /* 1022457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1022470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022489 */     // GIR_Coverage, 13185,
     /* 1022489 */     GIR_EraseRootFromParent_Done,
     /* 1022490 */   // Label 15185: @1022490
     /* 1022490 */   GIM_Try, /*On fail goto*//*Label 15186*/ GIMT_Encode4(1022567), // Rule ID 13188 //
     /* 1022495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1022506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1022509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1022515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022534 */     // MIs[0] policy
     /* 1022534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022544 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1022547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022566 */     // GIR_Coverage, 13188,
     /* 1022566 */     GIR_EraseRootFromParent_Done,
     /* 1022567 */   // Label 15186: @1022567
     /* 1022567 */   GIM_Try, /*On fail goto*//*Label 15187*/ GIMT_Encode4(1022644), // Rule ID 13189 //
     /* 1022572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1022583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1022586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1022592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022611 */     // MIs[0] policy
     /* 1022611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1022624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022643 */     // GIR_Coverage, 13189,
     /* 1022643 */     GIR_EraseRootFromParent_Done,
     /* 1022644 */   // Label 15187: @1022644
     /* 1022644 */   GIM_Try, /*On fail goto*//*Label 15188*/ GIMT_Encode4(1022721), // Rule ID 13192 //
     /* 1022649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1022660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1022663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1022669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022688 */     // MIs[0] policy
     /* 1022688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022698 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022720 */     // GIR_Coverage, 13192,
     /* 1022720 */     GIR_EraseRootFromParent_Done,
     /* 1022721 */   // Label 15188: @1022721
     /* 1022721 */   GIM_Try, /*On fail goto*//*Label 15189*/ GIMT_Encode4(1022798), // Rule ID 13193 //
     /* 1022726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1022737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1022740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1022746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022765 */     // MIs[0] policy
     /* 1022765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022775 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022797 */     // GIR_Coverage, 13193,
     /* 1022797 */     GIR_EraseRootFromParent_Done,
     /* 1022798 */   // Label 15189: @1022798
     /* 1022798 */   GIM_Try, /*On fail goto*//*Label 15190*/ GIMT_Encode4(1022875), // Rule ID 13196 //
     /* 1022803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1022814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1022817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1022823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022842 */     // MIs[0] policy
     /* 1022842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022874 */     // GIR_Coverage, 13196,
     /* 1022874 */     GIR_EraseRootFromParent_Done,
     /* 1022875 */   // Label 15190: @1022875
     /* 1022875 */   GIM_Try, /*On fail goto*//*Label 15191*/ GIMT_Encode4(1022952), // Rule ID 13197 //
     /* 1022880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1022891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1022894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1022900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022919 */     // MIs[0] policy
     /* 1022919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022929 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022951 */     // GIR_Coverage, 13197,
     /* 1022951 */     GIR_EraseRootFromParent_Done,
     /* 1022952 */   // Label 15191: @1022952
     /* 1022952 */   GIM_Try, /*On fail goto*//*Label 15192*/ GIMT_Encode4(1023029), // Rule ID 13200 //
     /* 1022957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1022968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1022971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1022977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022996 */     // MIs[0] policy
     /* 1022996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023006 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1023009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023028 */     // GIR_Coverage, 13200,
     /* 1023028 */     GIR_EraseRootFromParent_Done,
     /* 1023029 */   // Label 15192: @1023029
     /* 1023029 */   GIM_Try, /*On fail goto*//*Label 15193*/ GIMT_Encode4(1023106), // Rule ID 13201 //
     /* 1023034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1023045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1023048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1023054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023073 */     // MIs[0] policy
     /* 1023073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1023086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023105 */     // GIR_Coverage, 13201,
     /* 1023105 */     GIR_EraseRootFromParent_Done,
     /* 1023106 */   // Label 15193: @1023106
     /* 1023106 */   GIM_Try, /*On fail goto*//*Label 15194*/ GIMT_Encode4(1023183), // Rule ID 13204 //
     /* 1023111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1023114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1023122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1023125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1023131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023150 */     // MIs[0] policy
     /* 1023150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023160 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1023163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023182 */     // GIR_Coverage, 13204,
     /* 1023182 */     GIR_EraseRootFromParent_Done,
     /* 1023183 */   // Label 15194: @1023183
     /* 1023183 */   GIM_Try, /*On fail goto*//*Label 15195*/ GIMT_Encode4(1023260), // Rule ID 13205 //
     /* 1023188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1023191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1023199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1023202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1023208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023227 */     // MIs[0] policy
     /* 1023227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023237 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1023240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023259 */     // GIR_Coverage, 13205,
     /* 1023259 */     GIR_EraseRootFromParent_Done,
     /* 1023260 */   // Label 15195: @1023260
     /* 1023260 */   GIM_Try, /*On fail goto*//*Label 15196*/ GIMT_Encode4(1023337), // Rule ID 13208 //
     /* 1023265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1023276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1023279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1023285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023304 */     // MIs[0] policy
     /* 1023304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023314 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023336 */     // GIR_Coverage, 13208,
     /* 1023336 */     GIR_EraseRootFromParent_Done,
     /* 1023337 */   // Label 15196: @1023337
     /* 1023337 */   GIM_Try, /*On fail goto*//*Label 15197*/ GIMT_Encode4(1023414), // Rule ID 13209 //
     /* 1023342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1023353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1023356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1023362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023381 */     // MIs[0] policy
     /* 1023381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023391 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023413 */     // GIR_Coverage, 13209,
     /* 1023413 */     GIR_EraseRootFromParent_Done,
     /* 1023414 */   // Label 15197: @1023414
     /* 1023414 */   GIM_Try, /*On fail goto*//*Label 15198*/ GIMT_Encode4(1023491), // Rule ID 13212 //
     /* 1023419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1023430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1023433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1023439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023458 */     // MIs[0] policy
     /* 1023458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023468 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023490 */     // GIR_Coverage, 13212,
     /* 1023490 */     GIR_EraseRootFromParent_Done,
     /* 1023491 */   // Label 15198: @1023491
     /* 1023491 */   GIM_Try, /*On fail goto*//*Label 15199*/ GIMT_Encode4(1023568), // Rule ID 13213 //
     /* 1023496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1023507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1023510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1023516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023535 */     // MIs[0] policy
     /* 1023535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023545 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023567 */     // GIR_Coverage, 13213,
     /* 1023567 */     GIR_EraseRootFromParent_Done,
     /* 1023568 */   // Label 15199: @1023568
     /* 1023568 */   GIM_Try, /*On fail goto*//*Label 15200*/ GIMT_Encode4(1023645), // Rule ID 13216 //
     /* 1023573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1023584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1023587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1023593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023612 */     // MIs[0] policy
     /* 1023612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023622 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023644 */     // GIR_Coverage, 13216,
     /* 1023644 */     GIR_EraseRootFromParent_Done,
     /* 1023645 */   // Label 15200: @1023645
     /* 1023645 */   GIM_Try, /*On fail goto*//*Label 15201*/ GIMT_Encode4(1023722), // Rule ID 13217 //
     /* 1023650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1023661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1023664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1023670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023689 */     // MIs[0] policy
     /* 1023689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023699 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023721 */     // GIR_Coverage, 13217,
     /* 1023721 */     GIR_EraseRootFromParent_Done,
     /* 1023722 */   // Label 15201: @1023722
     /* 1023722 */   GIM_Try, /*On fail goto*//*Label 15202*/ GIMT_Encode4(1023799), // Rule ID 13220 //
     /* 1023727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1023738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1023741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1023747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023766 */     // MIs[0] policy
     /* 1023766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023798 */     // GIR_Coverage, 13220,
     /* 1023798 */     GIR_EraseRootFromParent_Done,
     /* 1023799 */   // Label 15202: @1023799
     /* 1023799 */   GIM_Try, /*On fail goto*//*Label 15203*/ GIMT_Encode4(1023876), // Rule ID 13221 //
     /* 1023804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1023815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1023818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1023824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023843 */     // MIs[0] policy
     /* 1023843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023853 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023875 */     // GIR_Coverage, 13221,
     /* 1023875 */     GIR_EraseRootFromParent_Done,
     /* 1023876 */   // Label 15203: @1023876
     /* 1023876 */   GIM_Try, /*On fail goto*//*Label 15204*/ GIMT_Encode4(1023953), // Rule ID 13224 //
     /* 1023881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1023892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1023895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1023901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023920 */     // MIs[0] policy
     /* 1023920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023930 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023952 */     // GIR_Coverage, 13224,
     /* 1023952 */     GIR_EraseRootFromParent_Done,
     /* 1023953 */   // Label 15204: @1023953
     /* 1023953 */   GIM_Try, /*On fail goto*//*Label 15205*/ GIMT_Encode4(1024030), // Rule ID 13225 //
     /* 1023958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1023969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1023972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1023978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023997 */     // MIs[0] policy
     /* 1023997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024007 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1024010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024029 */     // GIR_Coverage, 13225,
     /* 1024029 */     GIR_EraseRootFromParent_Done,
     /* 1024030 */   // Label 15205: @1024030
     /* 1024030 */   GIM_Try, /*On fail goto*//*Label 15206*/ GIMT_Encode4(1024107), // Rule ID 13228 //
     /* 1024035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1024046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1024049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1024055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024074 */     // MIs[0] policy
     /* 1024074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024084 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1024087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024106 */     // GIR_Coverage, 13228,
     /* 1024106 */     GIR_EraseRootFromParent_Done,
     /* 1024107 */   // Label 15206: @1024107
     /* 1024107 */   GIM_Try, /*On fail goto*//*Label 15207*/ GIMT_Encode4(1024184), // Rule ID 13229 //
     /* 1024112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1024123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1024126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1024132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024151 */     // MIs[0] policy
     /* 1024151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024161 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1024164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024183 */     // GIR_Coverage, 13229,
     /* 1024183 */     GIR_EraseRootFromParent_Done,
     /* 1024184 */   // Label 15207: @1024184
     /* 1024184 */   GIM_Try, /*On fail goto*//*Label 15208*/ GIMT_Encode4(1024261), // Rule ID 13232 //
     /* 1024189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1024200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1024203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1024209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024228 */     // MIs[0] policy
     /* 1024228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024238 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1024241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024260 */     // GIR_Coverage, 13232,
     /* 1024260 */     GIR_EraseRootFromParent_Done,
     /* 1024261 */   // Label 15208: @1024261
     /* 1024261 */   GIM_Try, /*On fail goto*//*Label 15209*/ GIMT_Encode4(1024338), // Rule ID 13233 //
     /* 1024266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1024277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1024280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1024286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024305 */     // MIs[0] policy
     /* 1024305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024315 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1024318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024337 */     // GIR_Coverage, 13233,
     /* 1024337 */     GIR_EraseRootFromParent_Done,
     /* 1024338 */   // Label 15209: @1024338
     /* 1024338 */   GIM_Try, /*On fail goto*//*Label 15210*/ GIMT_Encode4(1024415), // Rule ID 13236 //
     /* 1024343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1024354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1024357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1024363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024382 */     // MIs[0] policy
     /* 1024382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024392 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1024395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024414 */     // GIR_Coverage, 13236,
     /* 1024414 */     GIR_EraseRootFromParent_Done,
     /* 1024415 */   // Label 15210: @1024415
     /* 1024415 */   GIM_Try, /*On fail goto*//*Label 15211*/ GIMT_Encode4(1024492), // Rule ID 13237 //
     /* 1024420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1024431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1024434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1024440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024459 */     // MIs[0] policy
     /* 1024459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024469 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1024472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024491 */     // GIR_Coverage, 13237,
     /* 1024491 */     GIR_EraseRootFromParent_Done,
     /* 1024492 */   // Label 15211: @1024492
     /* 1024492 */   GIM_Try, /*On fail goto*//*Label 15212*/ GIMT_Encode4(1024569), // Rule ID 13240 //
     /* 1024497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1024508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1024511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1024517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024536 */     // MIs[0] policy
     /* 1024536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1024549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024568 */     // GIR_Coverage, 13240,
     /* 1024568 */     GIR_EraseRootFromParent_Done,
     /* 1024569 */   // Label 15212: @1024569
     /* 1024569 */   GIM_Try, /*On fail goto*//*Label 15213*/ GIMT_Encode4(1024646), // Rule ID 13241 //
     /* 1024574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1024585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1024588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1024594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024613 */     // MIs[0] policy
     /* 1024613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024623 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1024626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024645 */     // GIR_Coverage, 13241,
     /* 1024645 */     GIR_EraseRootFromParent_Done,
     /* 1024646 */   // Label 15213: @1024646
     /* 1024646 */   GIM_Try, /*On fail goto*//*Label 15214*/ GIMT_Encode4(1024723), // Rule ID 13244 //
     /* 1024651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1024662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1024665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1024671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024690 */     // MIs[0] policy
     /* 1024690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024700 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1024703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024722 */     // GIR_Coverage, 13244,
     /* 1024722 */     GIR_EraseRootFromParent_Done,
     /* 1024723 */   // Label 15214: @1024723
     /* 1024723 */   GIM_Try, /*On fail goto*//*Label 15215*/ GIMT_Encode4(1024800), // Rule ID 13245 //
     /* 1024728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1024739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1024742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1024748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024767 */     // MIs[0] policy
     /* 1024767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024777 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1024780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024799 */     // GIR_Coverage, 13245,
     /* 1024799 */     GIR_EraseRootFromParent_Done,
     /* 1024800 */   // Label 15215: @1024800
     /* 1024800 */   GIM_Try, /*On fail goto*//*Label 15216*/ GIMT_Encode4(1024877), // Rule ID 13248 //
     /* 1024805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1024816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1024819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1024825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024844 */     // MIs[0] policy
     /* 1024844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024854 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1024857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024876 */     // GIR_Coverage, 13248,
     /* 1024876 */     GIR_EraseRootFromParent_Done,
     /* 1024877 */   // Label 15216: @1024877
     /* 1024877 */   GIM_Try, /*On fail goto*//*Label 15217*/ GIMT_Encode4(1024954), // Rule ID 13249 //
     /* 1024882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1024893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1024896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1024902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024921 */     // MIs[0] policy
     /* 1024921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024931 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1024934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024953 */     // GIR_Coverage, 13249,
     /* 1024953 */     GIR_EraseRootFromParent_Done,
     /* 1024954 */   // Label 15217: @1024954
     /* 1024954 */   GIM_Try, /*On fail goto*//*Label 15218*/ GIMT_Encode4(1025031), // Rule ID 13252 //
     /* 1024959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1024970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1024973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1024979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024998 */     // MIs[0] policy
     /* 1024998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025008 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1025011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025030 */     // GIR_Coverage, 13252,
     /* 1025030 */     GIR_EraseRootFromParent_Done,
     /* 1025031 */   // Label 15218: @1025031
     /* 1025031 */   GIM_Try, /*On fail goto*//*Label 15219*/ GIMT_Encode4(1025108), // Rule ID 13253 //
     /* 1025036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1025047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1025050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1025053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1025056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025075 */     // MIs[0] policy
     /* 1025075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025085 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1025088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025107 */     // GIR_Coverage, 13253,
     /* 1025107 */     GIR_EraseRootFromParent_Done,
     /* 1025108 */   // Label 15219: @1025108
     /* 1025108 */   GIM_Try, /*On fail goto*//*Label 15220*/ GIMT_Encode4(1025185), // Rule ID 13256 //
     /* 1025113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1025124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1025127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1025130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1025133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025152 */     // MIs[0] policy
     /* 1025152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025162 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1025165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025184 */     // GIR_Coverage, 13256,
     /* 1025184 */     GIR_EraseRootFromParent_Done,
     /* 1025185 */   // Label 15220: @1025185
     /* 1025185 */   GIM_Try, /*On fail goto*//*Label 15221*/ GIMT_Encode4(1025262), // Rule ID 13257 //
     /* 1025190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1025201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1025204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1025207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1025210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025229 */     // MIs[0] policy
     /* 1025229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025239 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1025242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025261 */     // GIR_Coverage, 13257,
     /* 1025261 */     GIR_EraseRootFromParent_Done,
     /* 1025262 */   // Label 15221: @1025262
     /* 1025262 */   GIM_Try, /*On fail goto*//*Label 15222*/ GIMT_Encode4(1025339), // Rule ID 13260 //
     /* 1025267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1025278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1025281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1025284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1025287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025306 */     // MIs[0] policy
     /* 1025306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025316 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1025319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025338 */     // GIR_Coverage, 13260,
     /* 1025338 */     GIR_EraseRootFromParent_Done,
     /* 1025339 */   // Label 15222: @1025339
     /* 1025339 */   GIM_Try, /*On fail goto*//*Label 15223*/ GIMT_Encode4(1025416), // Rule ID 13261 //
     /* 1025344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1025355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1025358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1025361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1025364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025383 */     // MIs[0] policy
     /* 1025383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025393 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1025396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025415 */     // GIR_Coverage, 13261,
     /* 1025415 */     GIR_EraseRootFromParent_Done,
     /* 1025416 */   // Label 15223: @1025416
     /* 1025416 */   GIM_Try, /*On fail goto*//*Label 15224*/ GIMT_Encode4(1025493), // Rule ID 13264 //
     /* 1025421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1025432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1025435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1025438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1025441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025460 */     // MIs[0] policy
     /* 1025460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025470 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1025473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025492 */     // GIR_Coverage, 13264,
     /* 1025492 */     GIR_EraseRootFromParent_Done,
     /* 1025493 */   // Label 15224: @1025493
     /* 1025493 */   GIM_Try, /*On fail goto*//*Label 15225*/ GIMT_Encode4(1025570), // Rule ID 13265 //
     /* 1025498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1025509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1025512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1025515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1025518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025537 */     // MIs[0] policy
     /* 1025537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025547 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1025550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025569 */     // GIR_Coverage, 13265,
     /* 1025569 */     GIR_EraseRootFromParent_Done,
     /* 1025570 */   // Label 15225: @1025570
     /* 1025570 */   GIM_Try, /*On fail goto*//*Label 15226*/ GIMT_Encode4(1025647), // Rule ID 13268 //
     /* 1025575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1025586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1025589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1025592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1025595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025614 */     // MIs[0] policy
     /* 1025614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025624 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1025627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025646 */     // GIR_Coverage, 13268,
     /* 1025646 */     GIR_EraseRootFromParent_Done,
     /* 1025647 */   // Label 15226: @1025647
     /* 1025647 */   GIM_Try, /*On fail goto*//*Label 15227*/ GIMT_Encode4(1025724), // Rule ID 13269 //
     /* 1025652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1025663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1025666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1025669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1025672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025691 */     // MIs[0] policy
     /* 1025691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025701 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1025704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025723 */     // GIR_Coverage, 13269,
     /* 1025723 */     GIR_EraseRootFromParent_Done,
     /* 1025724 */   // Label 15227: @1025724
     /* 1025724 */   GIM_Try, /*On fail goto*//*Label 15228*/ GIMT_Encode4(1025801), // Rule ID 13272 //
     /* 1025729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1025740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1025743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1025746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1025749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025768 */     // MIs[0] policy
     /* 1025768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025778 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1025781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025800 */     // GIR_Coverage, 13272,
     /* 1025800 */     GIR_EraseRootFromParent_Done,
     /* 1025801 */   // Label 15228: @1025801
     /* 1025801 */   GIM_Try, /*On fail goto*//*Label 15229*/ GIMT_Encode4(1025878), // Rule ID 13273 //
     /* 1025806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1025817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1025820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1025823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1025826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025845 */     // MIs[0] policy
     /* 1025845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025855 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1025858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025877 */     // GIR_Coverage, 13273,
     /* 1025877 */     GIR_EraseRootFromParent_Done,
     /* 1025878 */   // Label 15229: @1025878
     /* 1025878 */   GIM_Try, /*On fail goto*//*Label 15230*/ GIMT_Encode4(1025955), // Rule ID 13276 //
     /* 1025883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1025894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1025897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1025900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1025903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025922 */     // MIs[0] policy
     /* 1025922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025932 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1025935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025954 */     // GIR_Coverage, 13276,
     /* 1025954 */     GIR_EraseRootFromParent_Done,
     /* 1025955 */   // Label 15230: @1025955
     /* 1025955 */   GIM_Try, /*On fail goto*//*Label 15231*/ GIMT_Encode4(1026032), // Rule ID 13277 //
     /* 1025960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1025971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1025974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1025977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1025980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025999 */     // MIs[0] policy
     /* 1025999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026009 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1026012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026031 */     // GIR_Coverage, 13277,
     /* 1026031 */     GIR_EraseRootFromParent_Done,
     /* 1026032 */   // Label 15231: @1026032
     /* 1026032 */   GIM_Try, /*On fail goto*//*Label 15232*/ GIMT_Encode4(1026109), // Rule ID 13280 //
     /* 1026037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1026048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1026051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1026057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026076 */     // MIs[0] policy
     /* 1026076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026086 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1026089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026108 */     // GIR_Coverage, 13280,
     /* 1026108 */     GIR_EraseRootFromParent_Done,
     /* 1026109 */   // Label 15232: @1026109
     /* 1026109 */   GIM_Try, /*On fail goto*//*Label 15233*/ GIMT_Encode4(1026186), // Rule ID 13281 //
     /* 1026114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1026125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1026128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1026134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026153 */     // MIs[0] policy
     /* 1026153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026163 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1026166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026185 */     // GIR_Coverage, 13281,
     /* 1026185 */     GIR_EraseRootFromParent_Done,
     /* 1026186 */   // Label 15233: @1026186
     /* 1026186 */   GIM_Try, /*On fail goto*//*Label 15234*/ GIMT_Encode4(1026263), // Rule ID 13284 //
     /* 1026191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1026202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1026205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1026208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1026211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026230 */     // MIs[0] policy
     /* 1026230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1026243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026262 */     // GIR_Coverage, 13284,
     /* 1026262 */     GIR_EraseRootFromParent_Done,
     /* 1026263 */   // Label 15234: @1026263
     /* 1026263 */   GIM_Try, /*On fail goto*//*Label 15235*/ GIMT_Encode4(1026340), // Rule ID 13285 //
     /* 1026268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1026279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1026282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1026285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1026288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026307 */     // MIs[0] policy
     /* 1026307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026317 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1026320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026339 */     // GIR_Coverage, 13285,
     /* 1026339 */     GIR_EraseRootFromParent_Done,
     /* 1026340 */   // Label 15235: @1026340
     /* 1026340 */   GIM_Try, /*On fail goto*//*Label 15236*/ GIMT_Encode4(1026417), // Rule ID 13288 //
     /* 1026345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1026356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1026359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1026362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1026365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026384 */     // MIs[0] policy
     /* 1026384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026394 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1026397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026416 */     // GIR_Coverage, 13288,
     /* 1026416 */     GIR_EraseRootFromParent_Done,
     /* 1026417 */   // Label 15236: @1026417
     /* 1026417 */   GIM_Try, /*On fail goto*//*Label 15237*/ GIMT_Encode4(1026494), // Rule ID 13289 //
     /* 1026422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1026433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1026436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1026439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1026442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026461 */     // MIs[0] policy
     /* 1026461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1026474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026493 */     // GIR_Coverage, 13289,
     /* 1026493 */     GIR_EraseRootFromParent_Done,
     /* 1026494 */   // Label 15237: @1026494
     /* 1026494 */   GIM_Try, /*On fail goto*//*Label 15238*/ GIMT_Encode4(1026571), // Rule ID 13292 //
     /* 1026499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1026502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1026510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1026513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1026516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1026519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026538 */     // MIs[0] policy
     /* 1026538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1026551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1026567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026570 */     // GIR_Coverage, 13292,
     /* 1026570 */     GIR_EraseRootFromParent_Done,
     /* 1026571 */   // Label 15238: @1026571
     /* 1026571 */   GIM_Try, /*On fail goto*//*Label 15239*/ GIMT_Encode4(1026648), // Rule ID 13293 //
     /* 1026576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1026579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1026587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1026590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1026593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1026596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026615 */     // MIs[0] policy
     /* 1026615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026625 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1026628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1026644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026647 */     // GIR_Coverage, 13293,
     /* 1026647 */     GIR_EraseRootFromParent_Done,
     /* 1026648 */   // Label 15239: @1026648
     /* 1026648 */   GIM_Try, /*On fail goto*//*Label 15240*/ GIMT_Encode4(1026725), // Rule ID 13296 //
     /* 1026653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1026664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1026667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1026670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1026673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026692 */     // MIs[0] policy
     /* 1026692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026702 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026724 */     // GIR_Coverage, 13296,
     /* 1026724 */     GIR_EraseRootFromParent_Done,
     /* 1026725 */   // Label 15240: @1026725
     /* 1026725 */   GIM_Try, /*On fail goto*//*Label 15241*/ GIMT_Encode4(1026802), // Rule ID 13297 //
     /* 1026730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1026741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1026744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1026747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1026750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026769 */     // MIs[0] policy
     /* 1026769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026779 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026801 */     // GIR_Coverage, 13297,
     /* 1026801 */     GIR_EraseRootFromParent_Done,
     /* 1026802 */   // Label 15241: @1026802
     /* 1026802 */   GIM_Try, /*On fail goto*//*Label 15242*/ GIMT_Encode4(1026879), // Rule ID 13300 //
     /* 1026807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1026818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1026821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1026824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1026827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026846 */     // MIs[0] policy
     /* 1026846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026856 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026878 */     // GIR_Coverage, 13300,
     /* 1026878 */     GIR_EraseRootFromParent_Done,
     /* 1026879 */   // Label 15242: @1026879
     /* 1026879 */   GIM_Try, /*On fail goto*//*Label 15243*/ GIMT_Encode4(1026956), // Rule ID 13301 //
     /* 1026884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1026895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1026898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1026901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1026904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026923 */     // MIs[0] policy
     /* 1026923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026933 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026955 */     // GIR_Coverage, 13301,
     /* 1026955 */     GIR_EraseRootFromParent_Done,
     /* 1026956 */   // Label 15243: @1026956
     /* 1026956 */   GIM_Try, /*On fail goto*//*Label 15244*/ GIMT_Encode4(1027033), // Rule ID 13304 //
     /* 1026961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1026972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1026975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1026978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1026981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027000 */     // MIs[0] policy
     /* 1027000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027010 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027032 */     // GIR_Coverage, 13304,
     /* 1027032 */     GIR_EraseRootFromParent_Done,
     /* 1027033 */   // Label 15244: @1027033
     /* 1027033 */   GIM_Try, /*On fail goto*//*Label 15245*/ GIMT_Encode4(1027110), // Rule ID 13305 //
     /* 1027038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1027049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1027052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1027055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1027058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027077 */     // MIs[0] policy
     /* 1027077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027087 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027109 */     // GIR_Coverage, 13305,
     /* 1027109 */     GIR_EraseRootFromParent_Done,
     /* 1027110 */   // Label 15245: @1027110
     /* 1027110 */   GIM_Try, /*On fail goto*//*Label 15246*/ GIMT_Encode4(1027187), // Rule ID 13308 //
     /* 1027115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1027126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1027129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1027132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1027135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027154 */     // MIs[0] policy
     /* 1027154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027164 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1027167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027186 */     // GIR_Coverage, 13308,
     /* 1027186 */     GIR_EraseRootFromParent_Done,
     /* 1027187 */   // Label 15246: @1027187
     /* 1027187 */   GIM_Try, /*On fail goto*//*Label 15247*/ GIMT_Encode4(1027264), // Rule ID 13309 //
     /* 1027192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1027203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1027206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1027209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1027212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027231 */     // MIs[0] policy
     /* 1027231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027241 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1027244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027263 */     // GIR_Coverage, 13309,
     /* 1027263 */     GIR_EraseRootFromParent_Done,
     /* 1027264 */   // Label 15247: @1027264
     /* 1027264 */   GIM_Try, /*On fail goto*//*Label 15248*/ GIMT_Encode4(1027341), // Rule ID 13312 //
     /* 1027269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1027280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1027283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1027286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1027289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027308 */     // MIs[0] policy
     /* 1027308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027318 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027340 */     // GIR_Coverage, 13312,
     /* 1027340 */     GIR_EraseRootFromParent_Done,
     /* 1027341 */   // Label 15248: @1027341
     /* 1027341 */   GIM_Try, /*On fail goto*//*Label 15249*/ GIMT_Encode4(1027418), // Rule ID 13313 //
     /* 1027346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1027357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1027360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1027363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1027366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027385 */     // MIs[0] policy
     /* 1027385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027395 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027417 */     // GIR_Coverage, 13313,
     /* 1027417 */     GIR_EraseRootFromParent_Done,
     /* 1027418 */   // Label 15249: @1027418
     /* 1027418 */   GIM_Try, /*On fail goto*//*Label 15250*/ GIMT_Encode4(1027495), // Rule ID 13316 //
     /* 1027423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1027434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1027437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1027440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1027443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027462 */     // MIs[0] policy
     /* 1027462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027494 */     // GIR_Coverage, 13316,
     /* 1027494 */     GIR_EraseRootFromParent_Done,
     /* 1027495 */   // Label 15250: @1027495
     /* 1027495 */   GIM_Try, /*On fail goto*//*Label 15251*/ GIMT_Encode4(1027572), // Rule ID 13317 //
     /* 1027500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1027511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1027514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1027517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1027520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027539 */     // MIs[0] policy
     /* 1027539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027549 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027571 */     // GIR_Coverage, 13317,
     /* 1027571 */     GIR_EraseRootFromParent_Done,
     /* 1027572 */   // Label 15251: @1027572
     /* 1027572 */   GIM_Try, /*On fail goto*//*Label 15252*/ GIMT_Encode4(1027649), // Rule ID 13320 //
     /* 1027577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1027588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1027591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1027594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1027597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027616 */     // MIs[0] policy
     /* 1027616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1027629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027648 */     // GIR_Coverage, 13320,
     /* 1027648 */     GIR_EraseRootFromParent_Done,
     /* 1027649 */   // Label 15252: @1027649
     /* 1027649 */   GIM_Try, /*On fail goto*//*Label 15253*/ GIMT_Encode4(1027726), // Rule ID 13321 //
     /* 1027654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1027665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1027668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1027671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1027674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027693 */     // MIs[0] policy
     /* 1027693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1027706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027725 */     // GIR_Coverage, 13321,
     /* 1027725 */     GIR_EraseRootFromParent_Done,
     /* 1027726 */   // Label 15253: @1027726
     /* 1027726 */   GIM_Try, /*On fail goto*//*Label 15254*/ GIMT_Encode4(1027803), // Rule ID 13324 //
     /* 1027731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1027742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1027745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1027748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1027751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027770 */     // MIs[0] policy
     /* 1027770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027780 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027802 */     // GIR_Coverage, 13324,
     /* 1027802 */     GIR_EraseRootFromParent_Done,
     /* 1027803 */   // Label 15254: @1027803
     /* 1027803 */   GIM_Try, /*On fail goto*//*Label 15255*/ GIMT_Encode4(1027880), // Rule ID 13325 //
     /* 1027808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1027819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1027822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1027825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1027828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027847 */     // MIs[0] policy
     /* 1027847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027857 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027879 */     // GIR_Coverage, 13325,
     /* 1027879 */     GIR_EraseRootFromParent_Done,
     /* 1027880 */   // Label 15255: @1027880
     /* 1027880 */   GIM_Try, /*On fail goto*//*Label 15256*/ GIMT_Encode4(1027957), // Rule ID 13328 //
     /* 1027885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1027896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1027899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1027902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1027905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027924 */     // MIs[0] policy
     /* 1027924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027934 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027956 */     // GIR_Coverage, 13328,
     /* 1027956 */     GIR_EraseRootFromParent_Done,
     /* 1027957 */   // Label 15256: @1027957
     /* 1027957 */   GIM_Try, /*On fail goto*//*Label 15257*/ GIMT_Encode4(1028034), // Rule ID 13329 //
     /* 1027962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1027973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1027976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1027979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1027982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028001 */     // MIs[0] policy
     /* 1028001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028011 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1028014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028033 */     // GIR_Coverage, 13329,
     /* 1028033 */     GIR_EraseRootFromParent_Done,
     /* 1028034 */   // Label 15257: @1028034
     /* 1028034 */   GIM_Try, /*On fail goto*//*Label 15258*/ GIMT_Encode4(1028111), // Rule ID 13332 //
     /* 1028039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1028042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1028050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1028053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1028056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1028059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028078 */     // MIs[0] policy
     /* 1028078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028088 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1028091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028110 */     // GIR_Coverage, 13332,
     /* 1028110 */     GIR_EraseRootFromParent_Done,
     /* 1028111 */   // Label 15258: @1028111
     /* 1028111 */   GIM_Try, /*On fail goto*//*Label 15259*/ GIMT_Encode4(1028188), // Rule ID 13333 //
     /* 1028116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1028119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1028127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1028130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1028133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1028136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028155 */     // MIs[0] policy
     /* 1028155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028165 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1028168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028187 */     // GIR_Coverage, 13333,
     /* 1028187 */     GIR_EraseRootFromParent_Done,
     /* 1028188 */   // Label 15259: @1028188
     /* 1028188 */   GIM_Try, /*On fail goto*//*Label 15260*/ GIMT_Encode4(1028265), // Rule ID 13336 //
     /* 1028193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1028196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1028204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1028207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1028210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1028213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028232 */     // MIs[0] policy
     /* 1028232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028242 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1028245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028264 */     // GIR_Coverage, 13336,
     /* 1028264 */     GIR_EraseRootFromParent_Done,
     /* 1028265 */   // Label 15260: @1028265
     /* 1028265 */   GIM_Try, /*On fail goto*//*Label 15261*/ GIMT_Encode4(1028342), // Rule ID 13337 //
     /* 1028270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1028273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1028281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1028284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1028287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1028290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028309 */     // MIs[0] policy
     /* 1028309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028319 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1028322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028341 */     // GIR_Coverage, 13337,
     /* 1028341 */     GIR_EraseRootFromParent_Done,
     /* 1028342 */   // Label 15261: @1028342
     /* 1028342 */   GIM_Try, /*On fail goto*//*Label 15262*/ GIMT_Encode4(1028419), // Rule ID 13340 //
     /* 1028347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1028350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1028358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1028361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1028364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1028367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028386 */     // MIs[0] policy
     /* 1028386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028396 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1028399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028418 */     // GIR_Coverage, 13340,
     /* 1028418 */     GIR_EraseRootFromParent_Done,
     /* 1028419 */   // Label 15262: @1028419
     /* 1028419 */   GIM_Try, /*On fail goto*//*Label 15263*/ GIMT_Encode4(1028496), // Rule ID 13341 //
     /* 1028424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1028427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1028435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1028438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1028441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1028444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028463 */     // MIs[0] policy
     /* 1028463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028473 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1028476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028495 */     // GIR_Coverage, 13341,
     /* 1028495 */     GIR_EraseRootFromParent_Done,
     /* 1028496 */   // Label 15263: @1028496
     /* 1028496 */   GIM_Try, /*On fail goto*//*Label 15264*/ GIMT_Encode4(1028573), // Rule ID 13344 //
     /* 1028501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1028512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1028515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1028521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028540 */     // MIs[0] policy
     /* 1028540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028550 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1028553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028572 */     // GIR_Coverage, 13344,
     /* 1028572 */     GIR_EraseRootFromParent_Done,
     /* 1028573 */   // Label 15264: @1028573
     /* 1028573 */   GIM_Try, /*On fail goto*//*Label 15265*/ GIMT_Encode4(1028650), // Rule ID 13345 //
     /* 1028578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1028589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1028592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1028598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028617 */     // MIs[0] policy
     /* 1028617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028627 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1028630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028649 */     // GIR_Coverage, 13345,
     /* 1028649 */     GIR_EraseRootFromParent_Done,
     /* 1028650 */   // Label 15265: @1028650
     /* 1028650 */   GIM_Try, /*On fail goto*//*Label 15266*/ GIMT_Encode4(1028727), // Rule ID 13348 //
     /* 1028655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1028666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1028669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1028675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028694 */     // MIs[0] policy
     /* 1028694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028704 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1028707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028726 */     // GIR_Coverage, 13348,
     /* 1028726 */     GIR_EraseRootFromParent_Done,
     /* 1028727 */   // Label 15266: @1028727
     /* 1028727 */   GIM_Try, /*On fail goto*//*Label 15267*/ GIMT_Encode4(1028804), // Rule ID 13349 //
     /* 1028732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1028743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1028746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1028752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028771 */     // MIs[0] policy
     /* 1028771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028781 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1028784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028803 */     // GIR_Coverage, 13349,
     /* 1028803 */     GIR_EraseRootFromParent_Done,
     /* 1028804 */   // Label 15267: @1028804
     /* 1028804 */   GIM_Try, /*On fail goto*//*Label 15268*/ GIMT_Encode4(1028881), // Rule ID 13352 //
     /* 1028809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1028820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1028823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1028829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028848 */     // MIs[0] policy
     /* 1028848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028858 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028880 */     // GIR_Coverage, 13352,
     /* 1028880 */     GIR_EraseRootFromParent_Done,
     /* 1028881 */   // Label 15268: @1028881
     /* 1028881 */   GIM_Try, /*On fail goto*//*Label 15269*/ GIMT_Encode4(1028958), // Rule ID 13353 //
     /* 1028886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1028897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1028900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1028906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028925 */     // MIs[0] policy
     /* 1028925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028935 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028957 */     // GIR_Coverage, 13353,
     /* 1028957 */     GIR_EraseRootFromParent_Done,
     /* 1028958 */   // Label 15269: @1028958
     /* 1028958 */   GIM_Try, /*On fail goto*//*Label 15270*/ GIMT_Encode4(1029035), // Rule ID 13356 //
     /* 1028963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1028974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1028977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1028983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029002 */     // MIs[0] policy
     /* 1029002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029012 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1029015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029034 */     // GIR_Coverage, 13356,
     /* 1029034 */     GIR_EraseRootFromParent_Done,
     /* 1029035 */   // Label 15270: @1029035
     /* 1029035 */   GIM_Try, /*On fail goto*//*Label 15271*/ GIMT_Encode4(1029112), // Rule ID 13357 //
     /* 1029040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1029060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029079 */     // MIs[0] policy
     /* 1029079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029089 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1029092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029111 */     // GIR_Coverage, 13357,
     /* 1029111 */     GIR_EraseRootFromParent_Done,
     /* 1029112 */   // Label 15271: @1029112
     /* 1029112 */   GIM_Try, /*On fail goto*//*Label 15272*/ GIMT_Encode4(1029189), // Rule ID 13360 //
     /* 1029117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1029137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029156 */     // MIs[0] policy
     /* 1029156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029166 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1029169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029188 */     // GIR_Coverage, 13360,
     /* 1029188 */     GIR_EraseRootFromParent_Done,
     /* 1029189 */   // Label 15272: @1029189
     /* 1029189 */   GIM_Try, /*On fail goto*//*Label 15273*/ GIMT_Encode4(1029266), // Rule ID 13361 //
     /* 1029194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1029214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029233 */     // MIs[0] policy
     /* 1029233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029243 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1029246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029265 */     // GIR_Coverage, 13361,
     /* 1029265 */     GIR_EraseRootFromParent_Done,
     /* 1029266 */   // Label 15273: @1029266
     /* 1029266 */   GIM_Try, /*On fail goto*//*Label 15274*/ GIMT_Encode4(1029343), // Rule ID 13364 //
     /* 1029271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1029282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1029285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1029291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029310 */     // MIs[0] policy
     /* 1029310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029320 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1029323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029342 */     // GIR_Coverage, 13364,
     /* 1029342 */     GIR_EraseRootFromParent_Done,
     /* 1029343 */   // Label 15274: @1029343
     /* 1029343 */   GIM_Try, /*On fail goto*//*Label 15275*/ GIMT_Encode4(1029420), // Rule ID 13365 //
     /* 1029348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1029359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1029362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1029368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029387 */     // MIs[0] policy
     /* 1029387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029397 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1029400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029419 */     // GIR_Coverage, 13365,
     /* 1029419 */     GIR_EraseRootFromParent_Done,
     /* 1029420 */   // Label 15275: @1029420
     /* 1029420 */   GIM_Try, /*On fail goto*//*Label 15276*/ GIMT_Encode4(1029497), // Rule ID 13368 //
     /* 1029425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1029436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1029439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1029445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029464 */     // MIs[0] policy
     /* 1029464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029474 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029496 */     // GIR_Coverage, 13368,
     /* 1029496 */     GIR_EraseRootFromParent_Done,
     /* 1029497 */   // Label 15276: @1029497
     /* 1029497 */   GIM_Try, /*On fail goto*//*Label 15277*/ GIMT_Encode4(1029574), // Rule ID 13369 //
     /* 1029502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1029513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1029516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1029522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029541 */     // MIs[0] policy
     /* 1029541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029551 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029573 */     // GIR_Coverage, 13369,
     /* 1029573 */     GIR_EraseRootFromParent_Done,
     /* 1029574 */   // Label 15277: @1029574
     /* 1029574 */   GIM_Try, /*On fail goto*//*Label 15278*/ GIMT_Encode4(1029651), // Rule ID 13372 //
     /* 1029579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1029590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1029593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1029599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029618 */     // MIs[0] policy
     /* 1029618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029650 */     // GIR_Coverage, 13372,
     /* 1029650 */     GIR_EraseRootFromParent_Done,
     /* 1029651 */   // Label 15278: @1029651
     /* 1029651 */   GIM_Try, /*On fail goto*//*Label 15279*/ GIMT_Encode4(1029728), // Rule ID 13373 //
     /* 1029656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1029667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1029670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1029676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029695 */     // MIs[0] policy
     /* 1029695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029705 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029727 */     // GIR_Coverage, 13373,
     /* 1029727 */     GIR_EraseRootFromParent_Done,
     /* 1029728 */   // Label 15279: @1029728
     /* 1029728 */   GIM_Try, /*On fail goto*//*Label 15280*/ GIMT_Encode4(1029805), // Rule ID 13376 //
     /* 1029733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1029744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1029747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1029753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029772 */     // MIs[0] policy
     /* 1029772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029782 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029804 */     // GIR_Coverage, 13376,
     /* 1029804 */     GIR_EraseRootFromParent_Done,
     /* 1029805 */   // Label 15280: @1029805
     /* 1029805 */   GIM_Try, /*On fail goto*//*Label 15281*/ GIMT_Encode4(1029882), // Rule ID 13377 //
     /* 1029810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1029821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1029824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1029830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029849 */     // MIs[0] policy
     /* 1029849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029881 */     // GIR_Coverage, 13377,
     /* 1029881 */     GIR_EraseRootFromParent_Done,
     /* 1029882 */   // Label 15281: @1029882
     /* 1029882 */   GIM_Try, /*On fail goto*//*Label 15282*/ GIMT_Encode4(1029959), // Rule ID 13380 //
     /* 1029887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1029890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1029898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1029901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1029907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029926 */     // MIs[0] policy
     /* 1029926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1029939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029958 */     // GIR_Coverage, 13380,
     /* 1029958 */     GIR_EraseRootFromParent_Done,
     /* 1029959 */   // Label 15282: @1029959
     /* 1029959 */   GIM_Try, /*On fail goto*//*Label 15283*/ GIMT_Encode4(1030036), // Rule ID 13381 //
     /* 1029964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1029967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1029975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1029978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1029984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030003 */     // MIs[0] policy
     /* 1030003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030013 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1030016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030035 */     // GIR_Coverage, 13381,
     /* 1030035 */     GIR_EraseRootFromParent_Done,
     /* 1030036 */   // Label 15283: @1030036
     /* 1030036 */   GIM_Try, /*On fail goto*//*Label 15284*/ GIMT_Encode4(1030113), // Rule ID 13384 //
     /* 1030041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1030052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1030055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030080 */     // MIs[0] policy
     /* 1030080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030090 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030112 */     // GIR_Coverage, 13384,
     /* 1030112 */     GIR_EraseRootFromParent_Done,
     /* 1030113 */   // Label 15284: @1030113
     /* 1030113 */   GIM_Try, /*On fail goto*//*Label 15285*/ GIMT_Encode4(1030190), // Rule ID 13385 //
     /* 1030118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1030129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1030132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030157 */     // MIs[0] policy
     /* 1030157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030167 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030189 */     // GIR_Coverage, 13385,
     /* 1030189 */     GIR_EraseRootFromParent_Done,
     /* 1030190 */   // Label 15285: @1030190
     /* 1030190 */   GIM_Try, /*On fail goto*//*Label 15286*/ GIMT_Encode4(1030267), // Rule ID 13388 //
     /* 1030195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1030206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1030209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1030215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030234 */     // MIs[0] policy
     /* 1030234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030244 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030266 */     // GIR_Coverage, 13388,
     /* 1030266 */     GIR_EraseRootFromParent_Done,
     /* 1030267 */   // Label 15286: @1030267
     /* 1030267 */   GIM_Try, /*On fail goto*//*Label 15287*/ GIMT_Encode4(1030344), // Rule ID 13389 //
     /* 1030272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1030283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1030286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1030292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030311 */     // MIs[0] policy
     /* 1030311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030321 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030343 */     // GIR_Coverage, 13389,
     /* 1030343 */     GIR_EraseRootFromParent_Done,
     /* 1030344 */   // Label 15287: @1030344
     /* 1030344 */   GIM_Try, /*On fail goto*//*Label 15288*/ GIMT_Encode4(1030421), // Rule ID 13392 //
     /* 1030349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1030360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1030363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1030369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030388 */     // MIs[0] policy
     /* 1030388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030398 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030420 */     // GIR_Coverage, 13392,
     /* 1030420 */     GIR_EraseRootFromParent_Done,
     /* 1030421 */   // Label 15288: @1030421
     /* 1030421 */   GIM_Try, /*On fail goto*//*Label 15289*/ GIMT_Encode4(1030498), // Rule ID 13393 //
     /* 1030426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1030437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1030440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1030446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030465 */     // MIs[0] policy
     /* 1030465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030475 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030497 */     // GIR_Coverage, 13393,
     /* 1030497 */     GIR_EraseRootFromParent_Done,
     /* 1030498 */   // Label 15289: @1030498
     /* 1030498 */   GIM_Try, /*On fail goto*//*Label 15290*/ GIMT_Encode4(1030575), // Rule ID 13396 //
     /* 1030503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1030514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1030517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1030523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030542 */     // MIs[0] policy
     /* 1030542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030552 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030574 */     // GIR_Coverage, 13396,
     /* 1030574 */     GIR_EraseRootFromParent_Done,
     /* 1030575 */   // Label 15290: @1030575
     /* 1030575 */   GIM_Try, /*On fail goto*//*Label 15291*/ GIMT_Encode4(1030652), // Rule ID 13397 //
     /* 1030580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1030591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1030594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1030600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030619 */     // MIs[0] policy
     /* 1030619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030629 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030651 */     // GIR_Coverage, 13397,
     /* 1030651 */     GIR_EraseRootFromParent_Done,
     /* 1030652 */   // Label 15291: @1030652
     /* 1030652 */   GIM_Try, /*On fail goto*//*Label 15292*/ GIMT_Encode4(1030729), // Rule ID 13400 //
     /* 1030657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1030668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1030671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1030677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030696 */     // MIs[0] policy
     /* 1030696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030706 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030728 */     // GIR_Coverage, 13400,
     /* 1030728 */     GIR_EraseRootFromParent_Done,
     /* 1030729 */   // Label 15292: @1030729
     /* 1030729 */   GIM_Try, /*On fail goto*//*Label 15293*/ GIMT_Encode4(1030806), // Rule ID 13401 //
     /* 1030734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1030745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1030748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1030754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030773 */     // MIs[0] policy
     /* 1030773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030783 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030805 */     // GIR_Coverage, 13401,
     /* 1030805 */     GIR_EraseRootFromParent_Done,
     /* 1030806 */   // Label 15293: @1030806
     /* 1030806 */   GIM_Try, /*On fail goto*//*Label 15294*/ GIMT_Encode4(1030883), // Rule ID 13404 //
     /* 1030811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1030822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1030825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1030831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030850 */     // MIs[0] policy
     /* 1030850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030860 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030882 */     // GIR_Coverage, 13404,
     /* 1030882 */     GIR_EraseRootFromParent_Done,
     /* 1030883 */   // Label 15294: @1030883
     /* 1030883 */   GIM_Try, /*On fail goto*//*Label 15295*/ GIMT_Encode4(1030960), // Rule ID 13405 //
     /* 1030888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1030899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1030902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1030908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030927 */     // MIs[0] policy
     /* 1030927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030937 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030959 */     // GIR_Coverage, 13405,
     /* 1030959 */     GIR_EraseRootFromParent_Done,
     /* 1030960 */   // Label 15295: @1030960
     /* 1030960 */   GIM_Try, /*On fail goto*//*Label 15296*/ GIMT_Encode4(1031037), // Rule ID 13408 //
     /* 1030965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1030976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1030979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1030985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031004 */     // MIs[0] policy
     /* 1031004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1031017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031036 */     // GIR_Coverage, 13408,
     /* 1031036 */     GIR_EraseRootFromParent_Done,
     /* 1031037 */   // Label 15296: @1031037
     /* 1031037 */   GIM_Try, /*On fail goto*//*Label 15297*/ GIMT_Encode4(1031114), // Rule ID 13409 //
     /* 1031042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1031053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1031056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1031059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1031062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031081 */     // MIs[0] policy
     /* 1031081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031091 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1031094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031113 */     // GIR_Coverage, 13409,
     /* 1031113 */     GIR_EraseRootFromParent_Done,
     /* 1031114 */   // Label 15297: @1031114
     /* 1031114 */   GIM_Try, /*On fail goto*//*Label 15298*/ GIMT_Encode4(1031191), // Rule ID 13412 //
     /* 1031119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1031130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1031133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1031136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1031139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031158 */     // MIs[0] policy
     /* 1031158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031168 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1031171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031190 */     // GIR_Coverage, 13412,
     /* 1031190 */     GIR_EraseRootFromParent_Done,
     /* 1031191 */   // Label 15298: @1031191
     /* 1031191 */   GIM_Try, /*On fail goto*//*Label 15299*/ GIMT_Encode4(1031268), // Rule ID 13413 //
     /* 1031196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1031207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1031210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1031213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1031216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031235 */     // MIs[0] policy
     /* 1031235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031245 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1031248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031267 */     // GIR_Coverage, 13413,
     /* 1031267 */     GIR_EraseRootFromParent_Done,
     /* 1031268 */   // Label 15299: @1031268
     /* 1031268 */   GIM_Try, /*On fail goto*//*Label 15300*/ GIMT_Encode4(1031345), // Rule ID 13416 //
     /* 1031273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1031284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1031287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1031290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1031293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031312 */     // MIs[0] policy
     /* 1031312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031322 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1031325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031344 */     // GIR_Coverage, 13416,
     /* 1031344 */     GIR_EraseRootFromParent_Done,
     /* 1031345 */   // Label 15300: @1031345
     /* 1031345 */   GIM_Try, /*On fail goto*//*Label 15301*/ GIMT_Encode4(1031422), // Rule ID 13417 //
     /* 1031350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1031361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1031364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1031367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1031370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031389 */     // MIs[0] policy
     /* 1031389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031399 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1031402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031421 */     // GIR_Coverage, 13417,
     /* 1031421 */     GIR_EraseRootFromParent_Done,
     /* 1031422 */   // Label 15301: @1031422
     /* 1031422 */   GIM_Try, /*On fail goto*//*Label 15302*/ GIMT_Encode4(1031499), // Rule ID 13420 //
     /* 1031427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1031430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1031438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1031441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1031444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1031447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031466 */     // MIs[0] policy
     /* 1031466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031476 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1031479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031498 */     // GIR_Coverage, 13420,
     /* 1031498 */     GIR_EraseRootFromParent_Done,
     /* 1031499 */   // Label 15302: @1031499
     /* 1031499 */   GIM_Try, /*On fail goto*//*Label 15303*/ GIMT_Encode4(1031576), // Rule ID 13421 //
     /* 1031504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1031507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1031515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1031518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1031521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1031524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031543 */     // MIs[0] policy
     /* 1031543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031553 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11503:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1031556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031575 */     // GIR_Coverage, 13421,
     /* 1031575 */     GIR_EraseRootFromParent_Done,
     /* 1031576 */   // Label 15303: @1031576
     /* 1031576 */   GIM_Try, /*On fail goto*//*Label 15304*/ GIMT_Encode4(1031653), // Rule ID 13424 //
     /* 1031581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1031584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1031592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1031595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1031598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1031601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031620 */     // MIs[0] policy
     /* 1031620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031630 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1031633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031652 */     // GIR_Coverage, 13424,
     /* 1031652 */     GIR_EraseRootFromParent_Done,
     /* 1031653 */   // Label 15304: @1031653
     /* 1031653 */   GIM_Try, /*On fail goto*//*Label 15305*/ GIMT_Encode4(1031730), // Rule ID 13425 //
     /* 1031658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1031661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1031669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1031672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1031675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1031678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031697 */     // MIs[0] policy
     /* 1031697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031707 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11503:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1031710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031729 */     // GIR_Coverage, 13425,
     /* 1031729 */     GIR_EraseRootFromParent_Done,
     /* 1031730 */   // Label 15305: @1031730
     /* 1031730 */   GIM_Try, /*On fail goto*//*Label 15306*/ GIMT_Encode4(1031807), // Rule ID 13428 //
     /* 1031735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1031738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1031746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1031749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1031752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1031755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031774 */     // MIs[0] policy
     /* 1031774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031784 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1031787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031806 */     // GIR_Coverage, 13428,
     /* 1031806 */     GIR_EraseRootFromParent_Done,
     /* 1031807 */   // Label 15306: @1031807
     /* 1031807 */   GIM_Try, /*On fail goto*//*Label 15307*/ GIMT_Encode4(1031884), // Rule ID 13429 //
     /* 1031812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1031815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1031823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1031826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1031829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1031832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031851 */     // MIs[0] policy
     /* 1031851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031861 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11503:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1031864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031883 */     // GIR_Coverage, 13429,
     /* 1031883 */     GIR_EraseRootFromParent_Done,
     /* 1031884 */   // Label 15307: @1031884
     /* 1031884 */   GIM_Try, /*On fail goto*//*Label 15308*/ GIMT_Encode4(1031961), // Rule ID 13432 //
     /* 1031889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1031900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1031903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1031906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1031909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031928 */     // MIs[0] policy
     /* 1031928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1031941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031960 */     // GIR_Coverage, 13432,
     /* 1031960 */     GIR_EraseRootFromParent_Done,
     /* 1031961 */   // Label 15308: @1031961
     /* 1031961 */   GIM_Try, /*On fail goto*//*Label 15309*/ GIMT_Encode4(1032038), // Rule ID 13433 //
     /* 1031966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1031977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1031980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1031983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1031986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032005 */     // MIs[0] policy
     /* 1032005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032015 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1032018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032037 */     // GIR_Coverage, 13433,
     /* 1032037 */     GIR_EraseRootFromParent_Done,
     /* 1032038 */   // Label 15309: @1032038
     /* 1032038 */   GIM_Try, /*On fail goto*//*Label 15310*/ GIMT_Encode4(1032115), // Rule ID 13436 //
     /* 1032043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1032054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1032057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1032060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1032063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032082 */     // MIs[0] policy
     /* 1032082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032092 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1032095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032114 */     // GIR_Coverage, 13436,
     /* 1032114 */     GIR_EraseRootFromParent_Done,
     /* 1032115 */   // Label 15310: @1032115
     /* 1032115 */   GIM_Try, /*On fail goto*//*Label 15311*/ GIMT_Encode4(1032192), // Rule ID 13437 //
     /* 1032120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1032131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1032134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1032137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1032140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032159 */     // MIs[0] policy
     /* 1032159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032169 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1032172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032191 */     // GIR_Coverage, 13437,
     /* 1032191 */     GIR_EraseRootFromParent_Done,
     /* 1032192 */   // Label 15311: @1032192
     /* 1032192 */   GIM_Try, /*On fail goto*//*Label 15312*/ GIMT_Encode4(1032269), // Rule ID 13440 //
     /* 1032197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1032208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1032211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1032214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1032217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032236 */     // MIs[0] policy
     /* 1032236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1032249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032268 */     // GIR_Coverage, 13440,
     /* 1032268 */     GIR_EraseRootFromParent_Done,
     /* 1032269 */   // Label 15312: @1032269
     /* 1032269 */   GIM_Try, /*On fail goto*//*Label 15313*/ GIMT_Encode4(1032346), // Rule ID 13441 //
     /* 1032274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1032285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1032288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1032291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1032294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032313 */     // MIs[0] policy
     /* 1032313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1032326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032345 */     // GIR_Coverage, 13441,
     /* 1032345 */     GIR_EraseRootFromParent_Done,
     /* 1032346 */   // Label 15313: @1032346
     /* 1032346 */   GIM_Try, /*On fail goto*//*Label 15314*/ GIMT_Encode4(1032423), // Rule ID 13444 //
     /* 1032351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1032362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1032365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1032368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1032371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032390 */     // MIs[0] policy
     /* 1032390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032400 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032422 */     // GIR_Coverage, 13444,
     /* 1032422 */     GIR_EraseRootFromParent_Done,
     /* 1032423 */   // Label 15314: @1032423
     /* 1032423 */   GIM_Try, /*On fail goto*//*Label 15315*/ GIMT_Encode4(1032500), // Rule ID 13445 //
     /* 1032428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1032439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1032442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1032445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1032448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032467 */     // MIs[0] policy
     /* 1032467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032477 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032499 */     // GIR_Coverage, 13445,
     /* 1032499 */     GIR_EraseRootFromParent_Done,
     /* 1032500 */   // Label 15315: @1032500
     /* 1032500 */   GIM_Try, /*On fail goto*//*Label 15316*/ GIMT_Encode4(1032577), // Rule ID 13448 //
     /* 1032505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1032516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1032519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1032522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1032525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032544 */     // MIs[0] policy
     /* 1032544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032554 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032576 */     // GIR_Coverage, 13448,
     /* 1032576 */     GIR_EraseRootFromParent_Done,
     /* 1032577 */   // Label 15316: @1032577
     /* 1032577 */   GIM_Try, /*On fail goto*//*Label 15317*/ GIMT_Encode4(1032654), // Rule ID 13449 //
     /* 1032582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1032593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1032596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1032599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1032602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032621 */     // MIs[0] policy
     /* 1032621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032631 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032653 */     // GIR_Coverage, 13449,
     /* 1032653 */     GIR_EraseRootFromParent_Done,
     /* 1032654 */   // Label 15317: @1032654
     /* 1032654 */   GIM_Try, /*On fail goto*//*Label 15318*/ GIMT_Encode4(1032731), // Rule ID 13452 //
     /* 1032659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1032670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1032673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1032676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1032679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032698 */     // MIs[0] policy
     /* 1032698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032708 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032730 */     // GIR_Coverage, 13452,
     /* 1032730 */     GIR_EraseRootFromParent_Done,
     /* 1032731 */   // Label 15318: @1032731
     /* 1032731 */   GIM_Try, /*On fail goto*//*Label 15319*/ GIMT_Encode4(1032808), // Rule ID 13453 //
     /* 1032736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1032747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1032750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1032753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1032756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032775 */     // MIs[0] policy
     /* 1032775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032785 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032807 */     // GIR_Coverage, 13453,
     /* 1032807 */     GIR_EraseRootFromParent_Done,
     /* 1032808 */   // Label 15319: @1032808
     /* 1032808 */   GIM_Try, /*On fail goto*//*Label 15320*/ GIMT_Encode4(1032885), // Rule ID 13456 //
     /* 1032813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1032824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1032827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1032830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032852 */     // MIs[0] policy
     /* 1032852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032862 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1032865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032884 */     // GIR_Coverage, 13456,
     /* 1032884 */     GIR_EraseRootFromParent_Done,
     /* 1032885 */   // Label 15320: @1032885
     /* 1032885 */   GIM_Try, /*On fail goto*//*Label 15321*/ GIMT_Encode4(1032962), // Rule ID 13457 //
     /* 1032890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1032901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1032904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1032907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032929 */     // MIs[0] policy
     /* 1032929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032939 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1032942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032961 */     // GIR_Coverage, 13457,
     /* 1032961 */     GIR_EraseRootFromParent_Done,
     /* 1032962 */   // Label 15321: @1032962
     /* 1032962 */   GIM_Try, /*On fail goto*//*Label 15322*/ GIMT_Encode4(1033039), // Rule ID 13460 //
     /* 1032967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1032978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1032981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1032984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1032987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033006 */     // MIs[0] policy
     /* 1033006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033016 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1033019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033038 */     // GIR_Coverage, 13460,
     /* 1033038 */     GIR_EraseRootFromParent_Done,
     /* 1033039 */   // Label 15322: @1033039
     /* 1033039 */   GIM_Try, /*On fail goto*//*Label 15323*/ GIMT_Encode4(1033116), // Rule ID 13461 //
     /* 1033044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1033055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1033058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1033061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1033064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033083 */     // MIs[0] policy
     /* 1033083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033093 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1033096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033115 */     // GIR_Coverage, 13461,
     /* 1033115 */     GIR_EraseRootFromParent_Done,
     /* 1033116 */   // Label 15323: @1033116
     /* 1033116 */   GIM_Try, /*On fail goto*//*Label 15324*/ GIMT_Encode4(1033193), // Rule ID 13464 //
     /* 1033121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1033132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1033135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1033138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1033141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033160 */     // MIs[0] policy
     /* 1033160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033170 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1033173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033192 */     // GIR_Coverage, 13464,
     /* 1033192 */     GIR_EraseRootFromParent_Done,
     /* 1033193 */   // Label 15324: @1033193
     /* 1033193 */   GIM_Try, /*On fail goto*//*Label 15325*/ GIMT_Encode4(1033270), // Rule ID 13465 //
     /* 1033198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1033209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1033212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1033215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1033218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033237 */     // MIs[0] policy
     /* 1033237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033247 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1033250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033269 */     // GIR_Coverage, 13465,
     /* 1033269 */     GIR_EraseRootFromParent_Done,
     /* 1033270 */   // Label 15325: @1033270
     /* 1033270 */   GIM_Try, /*On fail goto*//*Label 15326*/ GIMT_Encode4(1033347), // Rule ID 13468 //
     /* 1033275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1033286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1033289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1033292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1033295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033314 */     // MIs[0] policy
     /* 1033314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033324 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1033327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033346 */     // GIR_Coverage, 13468,
     /* 1033346 */     GIR_EraseRootFromParent_Done,
     /* 1033347 */   // Label 15326: @1033347
     /* 1033347 */   GIM_Try, /*On fail goto*//*Label 15327*/ GIMT_Encode4(1033424), // Rule ID 13469 //
     /* 1033352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1033363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1033366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1033369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1033372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033391 */     // MIs[0] policy
     /* 1033391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033401 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1033404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033423 */     // GIR_Coverage, 13469,
     /* 1033423 */     GIR_EraseRootFromParent_Done,
     /* 1033424 */   // Label 15327: @1033424
     /* 1033424 */   GIM_Try, /*On fail goto*//*Label 15328*/ GIMT_Encode4(1033501), // Rule ID 13472 //
     /* 1033429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1033440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1033443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1033446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1033449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033468 */     // MIs[0] policy
     /* 1033468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033478 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1033481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033500 */     // GIR_Coverage, 13472,
     /* 1033500 */     GIR_EraseRootFromParent_Done,
     /* 1033501 */   // Label 15328: @1033501
     /* 1033501 */   GIM_Try, /*On fail goto*//*Label 15329*/ GIMT_Encode4(1033578), // Rule ID 13473 //
     /* 1033506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1033517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1033520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1033523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1033526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033545 */     // MIs[0] policy
     /* 1033545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033555 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1033558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033577 */     // GIR_Coverage, 13473,
     /* 1033577 */     GIR_EraseRootFromParent_Done,
     /* 1033578 */   // Label 15329: @1033578
     /* 1033578 */   GIM_Try, /*On fail goto*//*Label 15330*/ GIMT_Encode4(1033655), // Rule ID 13476 //
     /* 1033583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1033594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1033597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1033600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1033603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033622 */     // MIs[0] policy
     /* 1033622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1033635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033654 */     // GIR_Coverage, 13476,
     /* 1033654 */     GIR_EraseRootFromParent_Done,
     /* 1033655 */   // Label 15330: @1033655
     /* 1033655 */   GIM_Try, /*On fail goto*//*Label 15331*/ GIMT_Encode4(1033732), // Rule ID 13477 //
     /* 1033660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1033671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1033674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1033677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1033680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033699 */     // MIs[0] policy
     /* 1033699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033709 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1033712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033731 */     // GIR_Coverage, 13477,
     /* 1033731 */     GIR_EraseRootFromParent_Done,
     /* 1033732 */   // Label 15331: @1033732
     /* 1033732 */   GIM_Try, /*On fail goto*//*Label 15332*/ GIMT_Encode4(1033809), // Rule ID 13480 //
     /* 1033737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1033748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1033751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1033754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033776 */     // MIs[0] policy
     /* 1033776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033786 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1033789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033808 */     // GIR_Coverage, 13480,
     /* 1033808 */     GIR_EraseRootFromParent_Done,
     /* 1033809 */   // Label 15332: @1033809
     /* 1033809 */   GIM_Try, /*On fail goto*//*Label 15333*/ GIMT_Encode4(1033886), // Rule ID 13481 //
     /* 1033814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1033825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1033828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1033831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033853 */     // MIs[0] policy
     /* 1033853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033863 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1033866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033885 */     // GIR_Coverage, 13481,
     /* 1033885 */     GIR_EraseRootFromParent_Done,
     /* 1033886 */   // Label 15333: @1033886
     /* 1033886 */   GIM_Try, /*On fail goto*//*Label 15334*/ GIMT_Encode4(1033963), // Rule ID 13484 //
     /* 1033891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1033902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1033905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1033908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1033911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033930 */     // MIs[0] policy
     /* 1033930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033940 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1033943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033962 */     // GIR_Coverage, 13484,
     /* 1033962 */     GIR_EraseRootFromParent_Done,
     /* 1033963 */   // Label 15334: @1033963
     /* 1033963 */   GIM_Try, /*On fail goto*//*Label 15335*/ GIMT_Encode4(1034040), // Rule ID 13485 //
     /* 1033968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1033979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1033982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1033985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1033988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034007 */     // MIs[0] policy
     /* 1034007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034017 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1034020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034039 */     // GIR_Coverage, 13485,
     /* 1034039 */     GIR_EraseRootFromParent_Done,
     /* 1034040 */   // Label 15335: @1034040
     /* 1034040 */   GIM_Try, /*On fail goto*//*Label 15336*/ GIMT_Encode4(1034117), // Rule ID 13488 //
     /* 1034045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1034048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1034056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1034059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1034062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1034065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034084 */     // MIs[0] policy
     /* 1034084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034094 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1034097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034116 */     // GIR_Coverage, 13488,
     /* 1034116 */     GIR_EraseRootFromParent_Done,
     /* 1034117 */   // Label 15336: @1034117
     /* 1034117 */   GIM_Try, /*On fail goto*//*Label 15337*/ GIMT_Encode4(1034194), // Rule ID 13489 //
     /* 1034122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1034125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1034133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1034136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1034139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1034142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034161 */     // MIs[0] policy
     /* 1034161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034171 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1034174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034193 */     // GIR_Coverage, 13489,
     /* 1034193 */     GIR_EraseRootFromParent_Done,
     /* 1034194 */   // Label 15337: @1034194
     /* 1034194 */   GIM_Try, /*On fail goto*//*Label 15338*/ GIMT_Encode4(1034271), // Rule ID 13492 //
     /* 1034199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1034210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1034213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1034219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034238 */     // MIs[0] policy
     /* 1034238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034248 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1034251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034270 */     // GIR_Coverage, 13492,
     /* 1034270 */     GIR_EraseRootFromParent_Done,
     /* 1034271 */   // Label 15338: @1034271
     /* 1034271 */   GIM_Try, /*On fail goto*//*Label 15339*/ GIMT_Encode4(1034348), // Rule ID 13493 //
     /* 1034276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1034287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1034290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1034296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034315 */     // MIs[0] policy
     /* 1034315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034325 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1034328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034347 */     // GIR_Coverage, 13493,
     /* 1034347 */     GIR_EraseRootFromParent_Done,
     /* 1034348 */   // Label 15339: @1034348
     /* 1034348 */   GIM_Try, /*On fail goto*//*Label 15340*/ GIMT_Encode4(1034425), // Rule ID 13496 //
     /* 1034353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1034364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1034367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1034373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034392 */     // MIs[0] policy
     /* 1034392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1034405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034424 */     // GIR_Coverage, 13496,
     /* 1034424 */     GIR_EraseRootFromParent_Done,
     /* 1034425 */   // Label 15340: @1034425
     /* 1034425 */   GIM_Try, /*On fail goto*//*Label 15341*/ GIMT_Encode4(1034502), // Rule ID 13497 //
     /* 1034430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1034441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1034444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1034450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034469 */     // MIs[0] policy
     /* 1034469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034479 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1034482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034501 */     // GIR_Coverage, 13497,
     /* 1034501 */     GIR_EraseRootFromParent_Done,
     /* 1034502 */   // Label 15341: @1034502
     /* 1034502 */   GIM_Try, /*On fail goto*//*Label 15342*/ GIMT_Encode4(1034579), // Rule ID 13500 //
     /* 1034507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1034518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1034521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1034527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034546 */     // MIs[0] policy
     /* 1034546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034556 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034578 */     // GIR_Coverage, 13500,
     /* 1034578 */     GIR_EraseRootFromParent_Done,
     /* 1034579 */   // Label 15342: @1034579
     /* 1034579 */   GIM_Try, /*On fail goto*//*Label 15343*/ GIMT_Encode4(1034656), // Rule ID 13501 //
     /* 1034584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1034595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1034598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1034604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034623 */     // MIs[0] policy
     /* 1034623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034655 */     // GIR_Coverage, 13501,
     /* 1034655 */     GIR_EraseRootFromParent_Done,
     /* 1034656 */   // Label 15343: @1034656
     /* 1034656 */   GIM_Try, /*On fail goto*//*Label 15344*/ GIMT_Encode4(1034733), // Rule ID 13504 //
     /* 1034661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1034681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034700 */     // MIs[0] policy
     /* 1034700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034710 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034732 */     // GIR_Coverage, 13504,
     /* 1034732 */     GIR_EraseRootFromParent_Done,
     /* 1034733 */   // Label 15344: @1034733
     /* 1034733 */   GIM_Try, /*On fail goto*//*Label 15345*/ GIMT_Encode4(1034810), // Rule ID 13505 //
     /* 1034738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1034758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034777 */     // MIs[0] policy
     /* 1034777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034787 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034809 */     // GIR_Coverage, 13505,
     /* 1034809 */     GIR_EraseRootFromParent_Done,
     /* 1034810 */   // Label 15345: @1034810
     /* 1034810 */   GIM_Try, /*On fail goto*//*Label 15346*/ GIMT_Encode4(1034887), // Rule ID 13508 //
     /* 1034815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1034835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034854 */     // MIs[0] policy
     /* 1034854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034864 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1034867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034886 */     // GIR_Coverage, 13508,
     /* 1034886 */     GIR_EraseRootFromParent_Done,
     /* 1034887 */   // Label 15346: @1034887
     /* 1034887 */   GIM_Try, /*On fail goto*//*Label 15347*/ GIMT_Encode4(1034964), // Rule ID 13509 //
     /* 1034892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1034912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034931 */     // MIs[0] policy
     /* 1034931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034941 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1034944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034963 */     // GIR_Coverage, 13509,
     /* 1034963 */     GIR_EraseRootFromParent_Done,
     /* 1034964 */   // Label 15347: @1034964
     /* 1034964 */   GIM_Try, /*On fail goto*//*Label 15348*/ GIMT_Encode4(1035041), // Rule ID 13512 //
     /* 1034969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1034989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035008 */     // MIs[0] policy
     /* 1035008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035018 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035040 */     // GIR_Coverage, 13512,
     /* 1035040 */     GIR_EraseRootFromParent_Done,
     /* 1035041 */   // Label 15348: @1035041
     /* 1035041 */   GIM_Try, /*On fail goto*//*Label 15349*/ GIMT_Encode4(1035118), // Rule ID 13513 //
     /* 1035046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1035057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1035060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1035066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035085 */     // MIs[0] policy
     /* 1035085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035095 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035117 */     // GIR_Coverage, 13513,
     /* 1035117 */     GIR_EraseRootFromParent_Done,
     /* 1035118 */   // Label 15349: @1035118
     /* 1035118 */   GIM_Try, /*On fail goto*//*Label 15350*/ GIMT_Encode4(1035195), // Rule ID 13516 //
     /* 1035123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1035134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1035137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1035143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035162 */     // MIs[0] policy
     /* 1035162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035172 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1035175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035194 */     // GIR_Coverage, 13516,
     /* 1035194 */     GIR_EraseRootFromParent_Done,
     /* 1035195 */   // Label 15350: @1035195
     /* 1035195 */   GIM_Try, /*On fail goto*//*Label 15351*/ GIMT_Encode4(1035272), // Rule ID 13517 //
     /* 1035200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1035211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1035214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1035220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035239 */     // MIs[0] policy
     /* 1035239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035249 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1035252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035271 */     // GIR_Coverage, 13517,
     /* 1035271 */     GIR_EraseRootFromParent_Done,
     /* 1035272 */   // Label 15351: @1035272
     /* 1035272 */   GIM_Try, /*On fail goto*//*Label 15352*/ GIMT_Encode4(1035349), // Rule ID 13520 //
     /* 1035277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1035288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1035291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1035297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035316 */     // MIs[0] policy
     /* 1035316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035326 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1035329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035348 */     // GIR_Coverage, 13520,
     /* 1035348 */     GIR_EraseRootFromParent_Done,
     /* 1035349 */   // Label 15352: @1035349
     /* 1035349 */   GIM_Try, /*On fail goto*//*Label 15353*/ GIMT_Encode4(1035426), // Rule ID 13521 //
     /* 1035354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1035365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1035368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1035374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035393 */     // MIs[0] policy
     /* 1035393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1035406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035425 */     // GIR_Coverage, 13521,
     /* 1035425 */     GIR_EraseRootFromParent_Done,
     /* 1035426 */   // Label 15353: @1035426
     /* 1035426 */   GIM_Try, /*On fail goto*//*Label 15354*/ GIMT_Encode4(1035503), // Rule ID 13524 //
     /* 1035431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1035442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1035445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1035451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035470 */     // MIs[0] policy
     /* 1035470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035480 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1035483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035502 */     // GIR_Coverage, 13524,
     /* 1035502 */     GIR_EraseRootFromParent_Done,
     /* 1035503 */   // Label 15354: @1035503
     /* 1035503 */   GIM_Try, /*On fail goto*//*Label 15355*/ GIMT_Encode4(1035580), // Rule ID 13525 //
     /* 1035508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1035519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1035522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1035528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035547 */     // MIs[0] policy
     /* 1035547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035557 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1035560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035579 */     // GIR_Coverage, 13525,
     /* 1035579 */     GIR_EraseRootFromParent_Done,
     /* 1035580 */   // Label 15355: @1035580
     /* 1035580 */   GIM_Try, /*On fail goto*//*Label 15356*/ GIMT_Encode4(1035657), // Rule ID 13528 //
     /* 1035585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1035596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1035599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1035605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035624 */     // MIs[0] policy
     /* 1035624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035634 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1035637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035656 */     // GIR_Coverage, 13528,
     /* 1035656 */     GIR_EraseRootFromParent_Done,
     /* 1035657 */   // Label 15356: @1035657
     /* 1035657 */   GIM_Try, /*On fail goto*//*Label 15357*/ GIMT_Encode4(1035734), // Rule ID 13529 //
     /* 1035662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1035673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1035676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1035682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035701 */     // MIs[0] policy
     /* 1035701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035711 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1035714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035733 */     // GIR_Coverage, 13529,
     /* 1035733 */     GIR_EraseRootFromParent_Done,
     /* 1035734 */   // Label 15357: @1035734
     /* 1035734 */   GIM_Try, /*On fail goto*//*Label 15358*/ GIMT_Encode4(1035811), // Rule ID 13532 //
     /* 1035739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1035759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035778 */     // MIs[0] policy
     /* 1035778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035788 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035810 */     // GIR_Coverage, 13532,
     /* 1035810 */     GIR_EraseRootFromParent_Done,
     /* 1035811 */   // Label 15358: @1035811
     /* 1035811 */   GIM_Try, /*On fail goto*//*Label 15359*/ GIMT_Encode4(1035888), // Rule ID 13533 //
     /* 1035816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1035836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035855 */     // MIs[0] policy
     /* 1035855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035865 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035887 */     // GIR_Coverage, 13533,
     /* 1035887 */     GIR_EraseRootFromParent_Done,
     /* 1035888 */   // Label 15359: @1035888
     /* 1035888 */   GIM_Try, /*On fail goto*//*Label 15360*/ GIMT_Encode4(1035965), // Rule ID 13536 //
     /* 1035893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1035904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1035907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1035913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035932 */     // MIs[0] policy
     /* 1035932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1035945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035964 */     // GIR_Coverage, 13536,
     /* 1035964 */     GIR_EraseRootFromParent_Done,
     /* 1035965 */   // Label 15360: @1035965
     /* 1035965 */   GIM_Try, /*On fail goto*//*Label 15361*/ GIMT_Encode4(1036042), // Rule ID 13537 //
     /* 1035970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1035981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1035984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1035990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036009 */     // MIs[0] policy
     /* 1036009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036019 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1036022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036041 */     // GIR_Coverage, 13537,
     /* 1036041 */     GIR_EraseRootFromParent_Done,
     /* 1036042 */   // Label 15361: @1036042
     /* 1036042 */   GIM_Try, /*On fail goto*//*Label 15362*/ GIMT_Encode4(1036119), // Rule ID 13540 //
     /* 1036047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1036050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1036058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1036061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1036064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1036067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036086 */     // MIs[0] policy
     /* 1036086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1036099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036118 */     // GIR_Coverage, 13540,
     /* 1036118 */     GIR_EraseRootFromParent_Done,
     /* 1036119 */   // Label 15362: @1036119
     /* 1036119 */   GIM_Try, /*On fail goto*//*Label 15363*/ GIMT_Encode4(1036196), // Rule ID 13541 //
     /* 1036124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1036127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1036135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1036138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1036141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1036144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036163 */     // MIs[0] policy
     /* 1036163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036173 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1036176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036195 */     // GIR_Coverage, 13541,
     /* 1036195 */     GIR_EraseRootFromParent_Done,
     /* 1036196 */   // Label 15363: @1036196
     /* 1036196 */   GIM_Try, /*On fail goto*//*Label 15364*/ GIMT_Encode4(1036273), // Rule ID 13544 //
     /* 1036201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1036204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1036212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1036215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1036218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1036221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036240 */     // MIs[0] policy
     /* 1036240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036250 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1036253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036272 */     // GIR_Coverage, 13544,
     /* 1036272 */     GIR_EraseRootFromParent_Done,
     /* 1036273 */   // Label 15364: @1036273
     /* 1036273 */   GIM_Try, /*On fail goto*//*Label 15365*/ GIMT_Encode4(1036350), // Rule ID 13545 //
     /* 1036278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1036281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1036289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1036292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1036295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1036298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036317 */     // MIs[0] policy
     /* 1036317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036327 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1036330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036349 */     // GIR_Coverage, 13545,
     /* 1036349 */     GIR_EraseRootFromParent_Done,
     /* 1036350 */   // Label 15365: @1036350
     /* 1036350 */   GIM_Try, /*On fail goto*//*Label 15366*/ GIMT_Encode4(1036427), // Rule ID 13548 //
     /* 1036355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1036358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1036366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1036369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1036372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1036375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036394 */     // MIs[0] policy
     /* 1036394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036404 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1036407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036426 */     // GIR_Coverage, 13548,
     /* 1036426 */     GIR_EraseRootFromParent_Done,
     /* 1036427 */   // Label 15366: @1036427
     /* 1036427 */   GIM_Try, /*On fail goto*//*Label 15367*/ GIMT_Encode4(1036504), // Rule ID 13549 //
     /* 1036432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1036435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1036443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1036446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1036449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1036452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036471 */     // MIs[0] policy
     /* 1036471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036481 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1036484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036503 */     // GIR_Coverage, 13549,
     /* 1036503 */     GIR_EraseRootFromParent_Done,
     /* 1036504 */   // Label 15367: @1036504
     /* 1036504 */   GIM_Try, /*On fail goto*//*Label 15368*/ GIMT_Encode4(1036581), // Rule ID 13552 //
     /* 1036509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1036520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1036523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1036526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1036529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036548 */     // MIs[0] policy
     /* 1036548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036558 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1036561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036580 */     // GIR_Coverage, 13552,
     /* 1036580 */     GIR_EraseRootFromParent_Done,
     /* 1036581 */   // Label 15368: @1036581
     /* 1036581 */   GIM_Try, /*On fail goto*//*Label 15369*/ GIMT_Encode4(1036658), // Rule ID 13553 //
     /* 1036586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1036597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1036600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1036603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1036606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036625 */     // MIs[0] policy
     /* 1036625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036635 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1036638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036657 */     // GIR_Coverage, 13553,
     /* 1036657 */     GIR_EraseRootFromParent_Done,
     /* 1036658 */   // Label 15369: @1036658
     /* 1036658 */   GIM_Try, /*On fail goto*//*Label 15370*/ GIMT_Encode4(1036735), // Rule ID 13556 //
     /* 1036663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1036674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1036677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1036680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036702 */     // MIs[0] policy
     /* 1036702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036712 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036734 */     // GIR_Coverage, 13556,
     /* 1036734 */     GIR_EraseRootFromParent_Done,
     /* 1036735 */   // Label 15370: @1036735
     /* 1036735 */   GIM_Try, /*On fail goto*//*Label 15371*/ GIMT_Encode4(1036812), // Rule ID 13557 //
     /* 1036740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1036751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1036754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1036757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036779 */     // MIs[0] policy
     /* 1036779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036789 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036811 */     // GIR_Coverage, 13557,
     /* 1036811 */     GIR_EraseRootFromParent_Done,
     /* 1036812 */   // Label 15371: @1036812
     /* 1036812 */   GIM_Try, /*On fail goto*//*Label 15372*/ GIMT_Encode4(1036889), // Rule ID 13560 //
     /* 1036817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1036828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1036831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1036834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036856 */     // MIs[0] policy
     /* 1036856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036866 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1036869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036888 */     // GIR_Coverage, 13560,
     /* 1036888 */     GIR_EraseRootFromParent_Done,
     /* 1036889 */   // Label 15372: @1036889
     /* 1036889 */   GIM_Try, /*On fail goto*//*Label 15373*/ GIMT_Encode4(1036966), // Rule ID 13561 //
     /* 1036894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1036905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1036908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1036911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036933 */     // MIs[0] policy
     /* 1036933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036943 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1036946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036965 */     // GIR_Coverage, 13561,
     /* 1036965 */     GIR_EraseRootFromParent_Done,
     /* 1036966 */   // Label 15373: @1036966
     /* 1036966 */   GIM_Try, /*On fail goto*//*Label 15374*/ GIMT_Encode4(1037043), // Rule ID 13564 //
     /* 1036971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1036982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1036985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1036988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1036991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037010 */     // MIs[0] policy
     /* 1037010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037020 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11663:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037042 */     // GIR_Coverage, 13564,
     /* 1037042 */     GIR_EraseRootFromParent_Done,
     /* 1037043 */   // Label 15374: @1037043
     /* 1037043 */   GIM_Try, /*On fail goto*//*Label 15375*/ GIMT_Encode4(1037120), // Rule ID 13565 //
     /* 1037048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1037059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1037062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1037065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1037068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037087 */     // MIs[0] policy
     /* 1037087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037097 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11663:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037119 */     // GIR_Coverage, 13565,
     /* 1037119 */     GIR_EraseRootFromParent_Done,
     /* 1037120 */   // Label 15375: @1037120
     /* 1037120 */   GIM_Try, /*On fail goto*//*Label 15376*/ GIMT_Encode4(1037197), // Rule ID 13568 //
     /* 1037125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1037136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1037139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1037142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1037145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037164 */     // MIs[0] policy
     /* 1037164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037174 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11663:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037196 */     // GIR_Coverage, 13568,
     /* 1037196 */     GIR_EraseRootFromParent_Done,
     /* 1037197 */   // Label 15376: @1037197
     /* 1037197 */   GIM_Try, /*On fail goto*//*Label 15377*/ GIMT_Encode4(1037274), // Rule ID 13569 //
     /* 1037202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1037213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1037216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1037219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1037222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037241 */     // MIs[0] policy
     /* 1037241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037251 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11663:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037273 */     // GIR_Coverage, 13569,
     /* 1037273 */     GIR_EraseRootFromParent_Done,
     /* 1037274 */   // Label 15377: @1037274
     /* 1037274 */   GIM_Try, /*On fail goto*//*Label 15378*/ GIMT_Encode4(1037351), // Rule ID 13572 //
     /* 1037279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1037290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1037293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1037296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1037299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037318 */     // MIs[0] policy
     /* 1037318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037328 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11663:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1037331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037350 */     // GIR_Coverage, 13572,
     /* 1037350 */     GIR_EraseRootFromParent_Done,
     /* 1037351 */   // Label 15378: @1037351
     /* 1037351 */   GIM_Try, /*On fail goto*//*Label 15379*/ GIMT_Encode4(1037428), // Rule ID 13573 //
     /* 1037356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1037367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1037370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1037373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1037376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037395 */     // MIs[0] policy
     /* 1037395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037405 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11663:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1037408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037427 */     // GIR_Coverage, 13573,
     /* 1037427 */     GIR_EraseRootFromParent_Done,
     /* 1037428 */   // Label 15379: @1037428
     /* 1037428 */   GIM_Try, /*On fail goto*//*Label 15380*/ GIMT_Encode4(1037505), // Rule ID 13576 //
     /* 1037433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1037444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1037447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1037450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1037453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037472 */     // MIs[0] policy
     /* 1037472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037482 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1037485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037504 */     // GIR_Coverage, 13576,
     /* 1037504 */     GIR_EraseRootFromParent_Done,
     /* 1037505 */   // Label 15380: @1037505
     /* 1037505 */   GIM_Try, /*On fail goto*//*Label 15381*/ GIMT_Encode4(1037582), // Rule ID 13577 //
     /* 1037510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1037521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1037524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1037527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1037530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037549 */     // MIs[0] policy
     /* 1037549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037559 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1037562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037581 */     // GIR_Coverage, 13577,
     /* 1037581 */     GIR_EraseRootFromParent_Done,
     /* 1037582 */   // Label 15381: @1037582
     /* 1037582 */   GIM_Try, /*On fail goto*//*Label 15382*/ GIMT_Encode4(1037659), // Rule ID 13580 //
     /* 1037587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1037604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1037607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037626 */     // MIs[0] policy
     /* 1037626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1037639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037658 */     // GIR_Coverage, 13580,
     /* 1037658 */     GIR_EraseRootFromParent_Done,
     /* 1037659 */   // Label 15382: @1037659
     /* 1037659 */   GIM_Try, /*On fail goto*//*Label 15383*/ GIMT_Encode4(1037736), // Rule ID 13581 //
     /* 1037664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1037681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1037684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037703 */     // MIs[0] policy
     /* 1037703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037713 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1037716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037735 */     // GIR_Coverage, 13581,
     /* 1037735 */     GIR_EraseRootFromParent_Done,
     /* 1037736 */   // Label 15383: @1037736
     /* 1037736 */   GIM_Try, /*On fail goto*//*Label 15384*/ GIMT_Encode4(1037813), // Rule ID 13584 //
     /* 1037741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1037758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037780 */     // MIs[0] policy
     /* 1037780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037790 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11663:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037812 */     // GIR_Coverage, 13584,
     /* 1037812 */     GIR_EraseRootFromParent_Done,
     /* 1037813 */   // Label 15384: @1037813
     /* 1037813 */   GIM_Try, /*On fail goto*//*Label 15385*/ GIMT_Encode4(1037890), // Rule ID 13585 //
     /* 1037818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1037835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037857 */     // MIs[0] policy
     /* 1037857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11663:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037889 */     // GIR_Coverage, 13585,
     /* 1037889 */     GIR_EraseRootFromParent_Done,
     /* 1037890 */   // Label 15385: @1037890
     /* 1037890 */   GIM_Try, /*On fail goto*//*Label 15386*/ GIMT_Encode4(1037967), // Rule ID 13588 //
     /* 1037895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1037912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1037915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037934 */     // MIs[0] policy
     /* 1037934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037944 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11663:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037966 */     // GIR_Coverage, 13588,
     /* 1037966 */     GIR_EraseRootFromParent_Done,
     /* 1037967 */   // Label 15386: @1037967
     /* 1037967 */   GIM_Try, /*On fail goto*//*Label 15387*/ GIMT_Encode4(1038044), // Rule ID 13589 //
     /* 1037972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1037989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1037992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038011 */     // MIs[0] policy
     /* 1038011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11663:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1038024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038043 */     // GIR_Coverage, 13589,
     /* 1038043 */     GIR_EraseRootFromParent_Done,
     /* 1038044 */   // Label 15387: @1038044
     /* 1038044 */   GIM_Try, /*On fail goto*//*Label 15388*/ GIMT_Encode4(1038121), // Rule ID 13592 //
     /* 1038049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1038060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1038063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1038066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1038069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038088 */     // MIs[0] policy
     /* 1038088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11663:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1038101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038120 */     // GIR_Coverage, 13592,
     /* 1038120 */     GIR_EraseRootFromParent_Done,
     /* 1038121 */   // Label 15388: @1038121
     /* 1038121 */   GIM_Try, /*On fail goto*//*Label 15389*/ GIMT_Encode4(1038198), // Rule ID 13593 //
     /* 1038126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1038137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1038140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1038143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1038146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038165 */     // MIs[0] policy
     /* 1038165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038175 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11663:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1038178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038197 */     // GIR_Coverage, 13593,
     /* 1038197 */     GIR_EraseRootFromParent_Done,
     /* 1038198 */   // Label 15389: @1038198
     /* 1038198 */   GIM_Try, /*On fail goto*//*Label 15390*/ GIMT_Encode4(1038275), // Rule ID 13596 //
     /* 1038203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1038214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1038217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1038220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1038223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038242 */     // MIs[0] policy
     /* 1038242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1038255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038274 */     // GIR_Coverage, 13596,
     /* 1038274 */     GIR_EraseRootFromParent_Done,
     /* 1038275 */   // Label 15390: @1038275
     /* 1038275 */   GIM_Try, /*On fail goto*//*Label 15391*/ GIMT_Encode4(1038352), // Rule ID 13597 //
     /* 1038280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1038291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1038294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1038297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1038300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038319 */     // MIs[0] policy
     /* 1038319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038329 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1038332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038351 */     // GIR_Coverage, 13597,
     /* 1038351 */     GIR_EraseRootFromParent_Done,
     /* 1038352 */   // Label 15391: @1038352
     /* 1038352 */   GIM_Try, /*On fail goto*//*Label 15392*/ GIMT_Encode4(1038429), // Rule ID 13600 //
     /* 1038357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1038368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1038371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1038374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1038377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038396 */     // MIs[0] policy
     /* 1038396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038406 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11663:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1038409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038428 */     // GIR_Coverage, 13600,
     /* 1038428 */     GIR_EraseRootFromParent_Done,
     /* 1038429 */   // Label 15392: @1038429
     /* 1038429 */   GIM_Try, /*On fail goto*//*Label 15393*/ GIMT_Encode4(1038506), // Rule ID 13601 //
     /* 1038434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1038445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1038448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1038451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1038454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038473 */     // MIs[0] policy
     /* 1038473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038483 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11663:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1038486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038505 */     // GIR_Coverage, 13601,
     /* 1038505 */     GIR_EraseRootFromParent_Done,
     /* 1038506 */   // Label 15393: @1038506
     /* 1038506 */   GIM_Try, /*On fail goto*//*Label 15394*/ GIMT_Encode4(1038583), // Rule ID 13604 //
     /* 1038511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1038522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1038525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1038528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038550 */     // MIs[0] policy
     /* 1038550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038560 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11663:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1038563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038582 */     // GIR_Coverage, 13604,
     /* 1038582 */     GIR_EraseRootFromParent_Done,
     /* 1038583 */   // Label 15394: @1038583
     /* 1038583 */   GIM_Try, /*On fail goto*//*Label 15395*/ GIMT_Encode4(1038660), // Rule ID 13605 //
     /* 1038588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1038599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1038602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1038605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038627 */     // MIs[0] policy
     /* 1038627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038637 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11663:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1038640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038659 */     // GIR_Coverage, 13605,
     /* 1038659 */     GIR_EraseRootFromParent_Done,
     /* 1038660 */   // Label 15395: @1038660
     /* 1038660 */   GIM_Try, /*On fail goto*//*Label 15396*/ GIMT_Encode4(1038737), // Rule ID 13608 //
     /* 1038665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1038676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1038679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1038682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038704 */     // MIs[0] policy
     /* 1038704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11663:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1038717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038736 */     // GIR_Coverage, 13608,
     /* 1038736 */     GIR_EraseRootFromParent_Done,
     /* 1038737 */   // Label 15396: @1038737
     /* 1038737 */   GIM_Try, /*On fail goto*//*Label 15397*/ GIMT_Encode4(1038814), // Rule ID 13609 //
     /* 1038742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1038753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1038756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1038759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038781 */     // MIs[0] policy
     /* 1038781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038791 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11663:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1038794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038813 */     // GIR_Coverage, 13609,
     /* 1038813 */     GIR_EraseRootFromParent_Done,
     /* 1038814 */   // Label 15397: @1038814
     /* 1038814 */   GIM_Try, /*On fail goto*//*Label 15398*/ GIMT_Encode4(1038891), // Rule ID 13612 //
     /* 1038819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1038830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1038833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1038839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038858 */     // MIs[0] policy
     /* 1038858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038868 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1038871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038890 */     // GIR_Coverage, 13612,
     /* 1038890 */     GIR_EraseRootFromParent_Done,
     /* 1038891 */   // Label 15398: @1038891
     /* 1038891 */   GIM_Try, /*On fail goto*//*Label 15399*/ GIMT_Encode4(1038968), // Rule ID 13613 //
     /* 1038896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1038907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1038910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1038916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038935 */     // MIs[0] policy
     /* 1038935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038945 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1038948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038967 */     // GIR_Coverage, 13613,
     /* 1038967 */     GIR_EraseRootFromParent_Done,
     /* 1038968 */   // Label 15399: @1038968
     /* 1038968 */   GIM_Try, /*On fail goto*//*Label 15400*/ GIMT_Encode4(1039045), // Rule ID 13616 //
     /* 1038973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1038984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1038987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1038993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039012 */     // MIs[0] policy
     /* 1039012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039022 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1039025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039044 */     // GIR_Coverage, 13616,
     /* 1039044 */     GIR_EraseRootFromParent_Done,
     /* 1039045 */   // Label 15400: @1039045
     /* 1039045 */   GIM_Try, /*On fail goto*//*Label 15401*/ GIMT_Encode4(1039122), // Rule ID 13617 //
     /* 1039050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1039061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1039064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1039070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039089 */     // MIs[0] policy
     /* 1039089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039099 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1039102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039121 */     // GIR_Coverage, 13617,
     /* 1039121 */     GIR_EraseRootFromParent_Done,
     /* 1039122 */   // Label 15401: @1039122
     /* 1039122 */   GIM_Try, /*On fail goto*//*Label 15402*/ GIMT_Encode4(1039199), // Rule ID 13620 //
     /* 1039127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1039138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1039141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1039147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039166 */     // MIs[0] policy
     /* 1039166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039198 */     // GIR_Coverage, 13620,
     /* 1039198 */     GIR_EraseRootFromParent_Done,
     /* 1039199 */   // Label 15402: @1039199
     /* 1039199 */   GIM_Try, /*On fail goto*//*Label 15403*/ GIMT_Encode4(1039276), // Rule ID 13621 //
     /* 1039204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1039215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1039218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1039224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039243 */     // MIs[0] policy
     /* 1039243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039275 */     // GIR_Coverage, 13621,
     /* 1039275 */     GIR_EraseRootFromParent_Done,
     /* 1039276 */   // Label 15403: @1039276
     /* 1039276 */   GIM_Try, /*On fail goto*//*Label 15404*/ GIMT_Encode4(1039353), // Rule ID 13624 //
     /* 1039281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1039292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1039295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1039301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039320 */     // MIs[0] policy
     /* 1039320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039330 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11663:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1039333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039352 */     // GIR_Coverage, 13624,
     /* 1039352 */     GIR_EraseRootFromParent_Done,
     /* 1039353 */   // Label 15404: @1039353
     /* 1039353 */   GIM_Try, /*On fail goto*//*Label 15405*/ GIMT_Encode4(1039430), // Rule ID 13625 //
     /* 1039358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1039369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1039372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1039378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039397 */     // MIs[0] policy
     /* 1039397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039407 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11663:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1039410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039429 */     // GIR_Coverage, 13625,
     /* 1039429 */     GIR_EraseRootFromParent_Done,
     /* 1039430 */   // Label 15405: @1039430
     /* 1039430 */   GIM_Try, /*On fail goto*//*Label 15406*/ GIMT_Encode4(1039507), // Rule ID 13628 //
     /* 1039435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1039446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1039449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1039455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039474 */     // MIs[0] policy
     /* 1039474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039484 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11663:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039506 */     // GIR_Coverage, 13628,
     /* 1039506 */     GIR_EraseRootFromParent_Done,
     /* 1039507 */   // Label 15406: @1039507
     /* 1039507 */   GIM_Try, /*On fail goto*//*Label 15407*/ GIMT_Encode4(1039584), // Rule ID 13629 //
     /* 1039512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1039523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1039526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1039532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039551 */     // MIs[0] policy
     /* 1039551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039561 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11663:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039583 */     // GIR_Coverage, 13629,
     /* 1039583 */     GIR_EraseRootFromParent_Done,
     /* 1039584 */   // Label 15407: @1039584
     /* 1039584 */   GIM_Try, /*On fail goto*//*Label 15408*/ GIMT_Encode4(1039661), // Rule ID 13632 //
     /* 1039589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1039600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1039603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1039609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039628 */     // MIs[0] policy
     /* 1039628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039638 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11663:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039660 */     // GIR_Coverage, 13632,
     /* 1039660 */     GIR_EraseRootFromParent_Done,
     /* 1039661 */   // Label 15408: @1039661
     /* 1039661 */   GIM_Try, /*On fail goto*//*Label 15409*/ GIMT_Encode4(1039738), // Rule ID 13633 //
     /* 1039666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1039677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1039680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1039686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039705 */     // MIs[0] policy
     /* 1039705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039715 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11663:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039737 */     // GIR_Coverage, 13633,
     /* 1039737 */     GIR_EraseRootFromParent_Done,
     /* 1039738 */   // Label 15409: @1039738
     /* 1039738 */   GIM_Try, /*On fail goto*//*Label 15410*/ GIMT_Encode4(1039815), // Rule ID 13636 //
     /* 1039743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1039763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039782 */     // MIs[0] policy
     /* 1039782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1039795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039814 */     // GIR_Coverage, 13636,
     /* 1039814 */     GIR_EraseRootFromParent_Done,
     /* 1039815 */   // Label 15410: @1039815
     /* 1039815 */   GIM_Try, /*On fail goto*//*Label 15411*/ GIMT_Encode4(1039892), // Rule ID 13637 //
     /* 1039820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1039840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039859 */     // MIs[0] policy
     /* 1039859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039869 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1039872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039891 */     // GIR_Coverage, 13637,
     /* 1039891 */     GIR_EraseRootFromParent_Done,
     /* 1039892 */   // Label 15411: @1039892
     /* 1039892 */   GIM_Try, /*On fail goto*//*Label 15412*/ GIMT_Encode4(1039969), // Rule ID 13640 //
     /* 1039897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1039917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039936 */     // MIs[0] policy
     /* 1039936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039946 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039968 */     // GIR_Coverage, 13640,
     /* 1039968 */     GIR_EraseRootFromParent_Done,
     /* 1039969 */   // Label 15412: @1039969
     /* 1039969 */   GIM_Try, /*On fail goto*//*Label 15413*/ GIMT_Encode4(1040046), // Rule ID 13641 //
     /* 1039974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1039994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040013 */     // MIs[0] policy
     /* 1040013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040023 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1040026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040045 */     // GIR_Coverage, 13641,
     /* 1040045 */     GIR_EraseRootFromParent_Done,
     /* 1040046 */   // Label 15413: @1040046
     /* 1040046 */   GIM_Try, /*On fail goto*//*Label 15414*/ GIMT_Encode4(1040123), // Rule ID 13644 //
     /* 1040051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1040062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1040065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1040071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040090 */     // MIs[0] policy
     /* 1040090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040100 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11663:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1040103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040122 */     // GIR_Coverage, 13644,
     /* 1040122 */     GIR_EraseRootFromParent_Done,
     /* 1040123 */   // Label 15414: @1040123
     /* 1040123 */   GIM_Try, /*On fail goto*//*Label 15415*/ GIMT_Encode4(1040200), // Rule ID 13645 //
     /* 1040128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1040139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1040142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1040148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040167 */     // MIs[0] policy
     /* 1040167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040177 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11663:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1040180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040199 */     // GIR_Coverage, 13645,
     /* 1040199 */     GIR_EraseRootFromParent_Done,
     /* 1040200 */   // Label 15415: @1040200
     /* 1040200 */   GIM_Try, /*On fail goto*//*Label 15416*/ GIMT_Encode4(1040277), // Rule ID 13648 //
     /* 1040205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1040216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1040219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1040225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040244 */     // MIs[0] policy
     /* 1040244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040254 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11663:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1040257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040276 */     // GIR_Coverage, 13648,
     /* 1040276 */     GIR_EraseRootFromParent_Done,
     /* 1040277 */   // Label 15416: @1040277
     /* 1040277 */   GIM_Try, /*On fail goto*//*Label 15417*/ GIMT_Encode4(1040354), // Rule ID 13649 //
     /* 1040282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1040293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1040296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1040302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040321 */     // MIs[0] policy
     /* 1040321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040331 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11663:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1040334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040353 */     // GIR_Coverage, 13649,
     /* 1040353 */     GIR_EraseRootFromParent_Done,
     /* 1040354 */   // Label 15417: @1040354
     /* 1040354 */   GIM_Try, /*On fail goto*//*Label 15418*/ GIMT_Encode4(1040431), // Rule ID 13652 //
     /* 1040359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1040370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1040373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1040379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040398 */     // MIs[0] policy
     /* 1040398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11663:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1040411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040430 */     // GIR_Coverage, 13652,
     /* 1040430 */     GIR_EraseRootFromParent_Done,
     /* 1040431 */   // Label 15418: @1040431
     /* 1040431 */   GIM_Try, /*On fail goto*//*Label 15419*/ GIMT_Encode4(1040508), // Rule ID 13653 //
     /* 1040436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1040447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1040450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1040456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040475 */     // MIs[0] policy
     /* 1040475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040485 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11663:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1040488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040507 */     // GIR_Coverage, 13653,
     /* 1040507 */     GIR_EraseRootFromParent_Done,
     /* 1040508 */   // Label 15419: @1040508
     /* 1040508 */   GIM_Try, /*On fail goto*//*Label 15420*/ GIMT_Encode4(1040585), // Rule ID 13656 //
     /* 1040513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1040524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1040527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1040533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040552 */     // MIs[0] policy
     /* 1040552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040562 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1040565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040584 */     // GIR_Coverage, 13656,
     /* 1040584 */     GIR_EraseRootFromParent_Done,
     /* 1040585 */   // Label 15420: @1040585
     /* 1040585 */   GIM_Try, /*On fail goto*//*Label 15421*/ GIMT_Encode4(1040662), // Rule ID 13657 //
     /* 1040590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1040601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1040604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1040610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040629 */     // MIs[0] policy
     /* 1040629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040639 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1040642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040661 */     // GIR_Coverage, 13657,
     /* 1040661 */     GIR_EraseRootFromParent_Done,
     /* 1040662 */   // Label 15421: @1040662
     /* 1040662 */   GIM_Try, /*On fail goto*//*Label 15422*/ GIMT_Encode4(1040739), // Rule ID 13660 //
     /* 1040667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1040678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1040681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040706 */     // MIs[0] policy
     /* 1040706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040716 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11663:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1040719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040738 */     // GIR_Coverage, 13660,
     /* 1040738 */     GIR_EraseRootFromParent_Done,
     /* 1040739 */   // Label 15422: @1040739
     /* 1040739 */   GIM_Try, /*On fail goto*//*Label 15423*/ GIMT_Encode4(1040816), // Rule ID 13661 //
     /* 1040744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1040755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1040758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040783 */     // MIs[0] policy
     /* 1040783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11663:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1040796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040815 */     // GIR_Coverage, 13661,
     /* 1040815 */     GIR_EraseRootFromParent_Done,
     /* 1040816 */   // Label 15423: @1040816
     /* 1040816 */   GIM_Try, /*On fail goto*//*Label 15424*/ GIMT_Encode4(1040893), // Rule ID 13664 //
     /* 1040821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1040832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1040835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040860 */     // MIs[0] policy
     /* 1040860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040870 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11663:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1040873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040892 */     // GIR_Coverage, 13664,
     /* 1040892 */     GIR_EraseRootFromParent_Done,
     /* 1040893 */   // Label 15424: @1040893
     /* 1040893 */   GIM_Try, /*On fail goto*//*Label 15425*/ GIMT_Encode4(1040970), // Rule ID 13665 //
     /* 1040898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1040909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1040912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040937 */     // MIs[0] policy
     /* 1040937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040947 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11663:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1040950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040969 */     // GIR_Coverage, 13665,
     /* 1040969 */     GIR_EraseRootFromParent_Done,
     /* 1040970 */   // Label 15425: @1040970
     /* 1040970 */   GIM_Try, /*On fail goto*//*Label 15426*/ GIMT_Encode4(1041047), // Rule ID 13668 //
     /* 1040975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1040986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1040989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041014 */     // MIs[0] policy
     /* 1041014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11663:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1041027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041046 */     // GIR_Coverage, 13668,
     /* 1041046 */     GIR_EraseRootFromParent_Done,
     /* 1041047 */   // Label 15426: @1041047
     /* 1041047 */   GIM_Try, /*On fail goto*//*Label 15427*/ GIMT_Encode4(1041124), // Rule ID 13669 //
     /* 1041052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1041055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1041063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1041066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1041069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1041072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041091 */     // MIs[0] policy
     /* 1041091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041101 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11663:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1041104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041123 */     // GIR_Coverage, 13669,
     /* 1041123 */     GIR_EraseRootFromParent_Done,
     /* 1041124 */   // Label 15427: @1041124
     /* 1041124 */   GIM_Try, /*On fail goto*//*Label 15428*/ GIMT_Encode4(1041201), // Rule ID 13672 //
     /* 1041129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1041140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1041143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1041146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1041149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041168 */     // MIs[0] policy
     /* 1041168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1041181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041200 */     // GIR_Coverage, 13672,
     /* 1041200 */     GIR_EraseRootFromParent_Done,
     /* 1041201 */   // Label 15428: @1041201
     /* 1041201 */   GIM_Try, /*On fail goto*//*Label 15429*/ GIMT_Encode4(1041278), // Rule ID 13673 //
     /* 1041206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1041217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1041220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1041223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1041226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041245 */     // MIs[0] policy
     /* 1041245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041255 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1041258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041277 */     // GIR_Coverage, 13673,
     /* 1041277 */     GIR_EraseRootFromParent_Done,
     /* 1041278 */   // Label 15429: @1041278
     /* 1041278 */   GIM_Try, /*On fail goto*//*Label 15430*/ GIMT_Encode4(1041355), // Rule ID 13676 //
     /* 1041283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1041294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1041297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1041300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1041303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041322 */     // MIs[0] policy
     /* 1041322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041332 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1041335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041354 */     // GIR_Coverage, 13676,
     /* 1041354 */     GIR_EraseRootFromParent_Done,
     /* 1041355 */   // Label 15430: @1041355
     /* 1041355 */   GIM_Try, /*On fail goto*//*Label 15431*/ GIMT_Encode4(1041432), // Rule ID 13677 //
     /* 1041360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1041371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1041374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1041377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1041380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041399 */     // MIs[0] policy
     /* 1041399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041409 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1041412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041431 */     // GIR_Coverage, 13677,
     /* 1041431 */     GIR_EraseRootFromParent_Done,
     /* 1041432 */   // Label 15431: @1041432
     /* 1041432 */   GIM_Try, /*On fail goto*//*Label 15432*/ GIMT_Encode4(1041509), // Rule ID 13680 //
     /* 1041437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1041448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1041451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1041454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1041457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041476 */     // MIs[0] policy
     /* 1041476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041486 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041508 */     // GIR_Coverage, 13680,
     /* 1041508 */     GIR_EraseRootFromParent_Done,
     /* 1041509 */   // Label 15432: @1041509
     /* 1041509 */   GIM_Try, /*On fail goto*//*Label 15433*/ GIMT_Encode4(1041586), // Rule ID 13681 //
     /* 1041514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1041525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1041528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1041531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1041534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041553 */     // MIs[0] policy
     /* 1041553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041563 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041585 */     // GIR_Coverage, 13681,
     /* 1041585 */     GIR_EraseRootFromParent_Done,
     /* 1041586 */   // Label 15433: @1041586
     /* 1041586 */   GIM_Try, /*On fail goto*//*Label 15434*/ GIMT_Encode4(1041663), // Rule ID 13684 //
     /* 1041591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1041602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1041605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1041608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1041611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041630 */     // MIs[0] policy
     /* 1041630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041640 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041662 */     // GIR_Coverage, 13684,
     /* 1041662 */     GIR_EraseRootFromParent_Done,
     /* 1041663 */   // Label 15434: @1041663
     /* 1041663 */   GIM_Try, /*On fail goto*//*Label 15435*/ GIMT_Encode4(1041740), // Rule ID 13685 //
     /* 1041668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1041679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1041682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1041685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1041688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041707 */     // MIs[0] policy
     /* 1041707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041739 */     // GIR_Coverage, 13685,
     /* 1041739 */     GIR_EraseRootFromParent_Done,
     /* 1041740 */   // Label 15435: @1041740
     /* 1041740 */   GIM_Try, /*On fail goto*//*Label 15436*/ GIMT_Encode4(1041817), // Rule ID 13688 //
     /* 1041745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1041756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1041759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1041762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1041765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041784 */     // MIs[0] policy
     /* 1041784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041794 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041816 */     // GIR_Coverage, 13688,
     /* 1041816 */     GIR_EraseRootFromParent_Done,
     /* 1041817 */   // Label 15436: @1041817
     /* 1041817 */   GIM_Try, /*On fail goto*//*Label 15437*/ GIMT_Encode4(1041894), // Rule ID 13689 //
     /* 1041822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1041833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1041836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1041839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1041842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041861 */     // MIs[0] policy
     /* 1041861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041893 */     // GIR_Coverage, 13689,
     /* 1041893 */     GIR_EraseRootFromParent_Done,
     /* 1041894 */   // Label 15437: @1041894
     /* 1041894 */   GIM_Try, /*On fail goto*//*Label 15438*/ GIMT_Encode4(1041971), // Rule ID 13692 //
     /* 1041899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1041910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1041913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1041916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1041919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041938 */     // MIs[0] policy
     /* 1041938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041948 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1041951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041970 */     // GIR_Coverage, 13692,
     /* 1041970 */     GIR_EraseRootFromParent_Done,
     /* 1041971 */   // Label 15438: @1041971
     /* 1041971 */   GIM_Try, /*On fail goto*//*Label 15439*/ GIMT_Encode4(1042048), // Rule ID 13693 //
     /* 1041976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1041987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1041990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1041993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1041996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042015 */     // MIs[0] policy
     /* 1042015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042025 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042047 */     // GIR_Coverage, 13693,
     /* 1042047 */     GIR_EraseRootFromParent_Done,
     /* 1042048 */   // Label 15439: @1042048
     /* 1042048 */   GIM_Try, /*On fail goto*//*Label 15440*/ GIMT_Encode4(1042125), // Rule ID 13696 //
     /* 1042053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1042064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1042067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1042070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1042073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042092 */     // MIs[0] policy
     /* 1042092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042102 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1042105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042124 */     // GIR_Coverage, 13696,
     /* 1042124 */     GIR_EraseRootFromParent_Done,
     /* 1042125 */   // Label 15440: @1042125
     /* 1042125 */   GIM_Try, /*On fail goto*//*Label 15441*/ GIMT_Encode4(1042202), // Rule ID 13697 //
     /* 1042130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1042141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1042144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1042147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1042150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042169 */     // MIs[0] policy
     /* 1042169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042179 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1042182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042201 */     // GIR_Coverage, 13697,
     /* 1042201 */     GIR_EraseRootFromParent_Done,
     /* 1042202 */   // Label 15441: @1042202
     /* 1042202 */   GIM_Try, /*On fail goto*//*Label 15442*/ GIMT_Encode4(1042279), // Rule ID 13700 //
     /* 1042207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1042218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1042221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1042224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1042227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042246 */     // MIs[0] policy
     /* 1042246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1042259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042278 */     // GIR_Coverage, 13700,
     /* 1042278 */     GIR_EraseRootFromParent_Done,
     /* 1042279 */   // Label 15442: @1042279
     /* 1042279 */   GIM_Try, /*On fail goto*//*Label 15443*/ GIMT_Encode4(1042356), // Rule ID 13701 //
     /* 1042284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1042295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1042298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1042301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1042304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042323 */     // MIs[0] policy
     /* 1042323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042333 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1042336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042355 */     // GIR_Coverage, 13701,
     /* 1042355 */     GIR_EraseRootFromParent_Done,
     /* 1042356 */   // Label 15443: @1042356
     /* 1042356 */   GIM_Try, /*On fail goto*//*Label 15444*/ GIMT_Encode4(1042433), // Rule ID 13704 //
     /* 1042361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1042372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1042375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1042378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1042381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042400 */     // MIs[0] policy
     /* 1042400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042410 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1042413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042432 */     // GIR_Coverage, 13704,
     /* 1042432 */     GIR_EraseRootFromParent_Done,
     /* 1042433 */   // Label 15444: @1042433
     /* 1042433 */   GIM_Try, /*On fail goto*//*Label 15445*/ GIMT_Encode4(1042510), // Rule ID 13705 //
     /* 1042438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1042449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1042452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1042455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1042458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042477 */     // MIs[0] policy
     /* 1042477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1042490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042509 */     // GIR_Coverage, 13705,
     /* 1042509 */     GIR_EraseRootFromParent_Done,
     /* 1042510 */   // Label 15445: @1042510
     /* 1042510 */   GIM_Try, /*On fail goto*//*Label 15446*/ GIMT_Encode4(1042587), // Rule ID 13708 //
     /* 1042515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1042526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1042529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1042532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1042535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042554 */     // MIs[0] policy
     /* 1042554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042564 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1042567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042586 */     // GIR_Coverage, 13708,
     /* 1042586 */     GIR_EraseRootFromParent_Done,
     /* 1042587 */   // Label 15446: @1042587
     /* 1042587 */   GIM_Try, /*On fail goto*//*Label 15447*/ GIMT_Encode4(1042664), // Rule ID 13709 //
     /* 1042592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1042603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1042606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1042609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1042612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042631 */     // MIs[0] policy
     /* 1042631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042641 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1042644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042663 */     // GIR_Coverage, 13709,
     /* 1042663 */     GIR_EraseRootFromParent_Done,
     /* 1042664 */   // Label 15447: @1042664
     /* 1042664 */   GIM_Try, /*On fail goto*//*Label 15448*/ GIMT_Encode4(1042741), // Rule ID 13712 //
     /* 1042669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1042686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1042689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042708 */     // MIs[0] policy
     /* 1042708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042718 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042740 */     // GIR_Coverage, 13712,
     /* 1042740 */     GIR_EraseRootFromParent_Done,
     /* 1042741 */   // Label 15448: @1042741
     /* 1042741 */   GIM_Try, /*On fail goto*//*Label 15449*/ GIMT_Encode4(1042818), // Rule ID 13713 //
     /* 1042746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1042763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1042766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042785 */     // MIs[0] policy
     /* 1042785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042795 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042817 */     // GIR_Coverage, 13713,
     /* 1042817 */     GIR_EraseRootFromParent_Done,
     /* 1042818 */   // Label 15449: @1042818
     /* 1042818 */   GIM_Try, /*On fail goto*//*Label 15450*/ GIMT_Encode4(1042895), // Rule ID 13716 //
     /* 1042823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1042834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1042837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1042840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1042843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042862 */     // MIs[0] policy
     /* 1042862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1042875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042894 */     // GIR_Coverage, 13716,
     /* 1042894 */     GIR_EraseRootFromParent_Done,
     /* 1042895 */   // Label 15450: @1042895
     /* 1042895 */   GIM_Try, /*On fail goto*//*Label 15451*/ GIMT_Encode4(1042972), // Rule ID 13717 //
     /* 1042900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1042911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1042914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1042917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1042920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042939 */     // MIs[0] policy
     /* 1042939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042949 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1042952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042971 */     // GIR_Coverage, 13717,
     /* 1042971 */     GIR_EraseRootFromParent_Done,
     /* 1042972 */   // Label 15451: @1042972
     /* 1042972 */   GIM_Try, /*On fail goto*//*Label 15452*/ GIMT_Encode4(1043049), // Rule ID 13720 //
     /* 1042977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1042994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1042997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043016 */     // MIs[0] policy
     /* 1043016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043026 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1043029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043048 */     // GIR_Coverage, 13720,
     /* 1043048 */     GIR_EraseRootFromParent_Done,
     /* 1043049 */   // Label 15452: @1043049
     /* 1043049 */   GIM_Try, /*On fail goto*//*Label 15453*/ GIMT_Encode4(1043126), // Rule ID 13721 //
     /* 1043054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1043057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1043065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1043068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1043071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1043074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043093 */     // MIs[0] policy
     /* 1043093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043103 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1043106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043125 */     // GIR_Coverage, 13721,
     /* 1043125 */     GIR_EraseRootFromParent_Done,
     /* 1043126 */   // Label 15453: @1043126
     /* 1043126 */   GIM_Try, /*On fail goto*//*Label 15454*/ GIMT_Encode4(1043203), // Rule ID 13724 //
     /* 1043131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1043134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1043142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1043145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1043148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1043151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043170 */     // MIs[0] policy
     /* 1043170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043180 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1043183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043202 */     // GIR_Coverage, 13724,
     /* 1043202 */     GIR_EraseRootFromParent_Done,
     /* 1043203 */   // Label 15454: @1043203
     /* 1043203 */   GIM_Try, /*On fail goto*//*Label 15455*/ GIMT_Encode4(1043280), // Rule ID 13725 //
     /* 1043208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1043211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1043219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1043222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1043225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1043228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043247 */     // MIs[0] policy
     /* 1043247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043257 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1043260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043279 */     // GIR_Coverage, 13725,
     /* 1043279 */     GIR_EraseRootFromParent_Done,
     /* 1043280 */   // Label 15455: @1043280
     /* 1043280 */   GIM_Try, /*On fail goto*//*Label 15456*/ GIMT_Encode4(1043357), // Rule ID 13728 //
     /* 1043285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1043288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1043296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1043299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1043302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1043305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043324 */     // MIs[0] policy
     /* 1043324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043334 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1043337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043356 */     // GIR_Coverage, 13728,
     /* 1043356 */     GIR_EraseRootFromParent_Done,
     /* 1043357 */   // Label 15456: @1043357
     /* 1043357 */   GIM_Try, /*On fail goto*//*Label 15457*/ GIMT_Encode4(1043434), // Rule ID 13729 //
     /* 1043362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1043365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1043373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1043376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1043379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1043382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043401 */     // MIs[0] policy
     /* 1043401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043411 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1043414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043433 */     // GIR_Coverage, 13729,
     /* 1043433 */     GIR_EraseRootFromParent_Done,
     /* 1043434 */   // Label 15457: @1043434
     /* 1043434 */   GIM_Try, /*On fail goto*//*Label 15458*/ GIMT_Encode4(1043511), // Rule ID 13732 //
     /* 1043439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1043450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1043453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1043459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043478 */     // MIs[0] policy
     /* 1043478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043488 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1043491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043510 */     // GIR_Coverage, 13732,
     /* 1043510 */     GIR_EraseRootFromParent_Done,
     /* 1043511 */   // Label 15458: @1043511
     /* 1043511 */   GIM_Try, /*On fail goto*//*Label 15459*/ GIMT_Encode4(1043588), // Rule ID 13733 //
     /* 1043516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1043527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1043530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1043536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043555 */     // MIs[0] policy
     /* 1043555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043565 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1043568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043587 */     // GIR_Coverage, 13733,
     /* 1043587 */     GIR_EraseRootFromParent_Done,
     /* 1043588 */   // Label 15459: @1043588
     /* 1043588 */   GIM_Try, /*On fail goto*//*Label 15460*/ GIMT_Encode4(1043665), // Rule ID 13736 //
     /* 1043593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1043604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1043607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1043613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043632 */     // MIs[0] policy
     /* 1043632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043642 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1043645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043664 */     // GIR_Coverage, 13736,
     /* 1043664 */     GIR_EraseRootFromParent_Done,
     /* 1043665 */   // Label 15460: @1043665
     /* 1043665 */   GIM_Try, /*On fail goto*//*Label 15461*/ GIMT_Encode4(1043742), // Rule ID 13737 //
     /* 1043670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1043681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1043684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1043690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043709 */     // MIs[0] policy
     /* 1043709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043719 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1043722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043741 */     // GIR_Coverage, 13737,
     /* 1043741 */     GIR_EraseRootFromParent_Done,
     /* 1043742 */   // Label 15461: @1043742
     /* 1043742 */   GIM_Try, /*On fail goto*//*Label 15462*/ GIMT_Encode4(1043819), // Rule ID 13740 //
     /* 1043747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1043758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1043761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1043767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043786 */     // MIs[0] policy
     /* 1043786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043818 */     // GIR_Coverage, 13740,
     /* 1043818 */     GIR_EraseRootFromParent_Done,
     /* 1043819 */   // Label 15462: @1043819
     /* 1043819 */   GIM_Try, /*On fail goto*//*Label 15463*/ GIMT_Encode4(1043896), // Rule ID 13741 //
     /* 1043824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1043835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1043838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1043844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043863 */     // MIs[0] policy
     /* 1043863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043873 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043895 */     // GIR_Coverage, 13741,
     /* 1043895 */     GIR_EraseRootFromParent_Done,
     /* 1043896 */   // Label 15463: @1043896
     /* 1043896 */   GIM_Try, /*On fail goto*//*Label 15464*/ GIMT_Encode4(1043973), // Rule ID 13744 //
     /* 1043901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1043912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1043915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1043921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043940 */     // MIs[0] policy
     /* 1043940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1043953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043972 */     // GIR_Coverage, 13744,
     /* 1043972 */     GIR_EraseRootFromParent_Done,
     /* 1043973 */   // Label 15464: @1043973
     /* 1043973 */   GIM_Try, /*On fail goto*//*Label 15465*/ GIMT_Encode4(1044050), // Rule ID 13745 //
     /* 1043978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1043989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1043992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1043998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044017 */     // MIs[0] policy
     /* 1044017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044027 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044049 */     // GIR_Coverage, 13745,
     /* 1044049 */     GIR_EraseRootFromParent_Done,
     /* 1044050 */   // Label 15465: @1044050
     /* 1044050 */   GIM_Try, /*On fail goto*//*Label 15466*/ GIMT_Encode4(1044127), // Rule ID 13748 //
     /* 1044055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1044066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1044069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1044075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044094 */     // MIs[0] policy
     /* 1044094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044104 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044126 */     // GIR_Coverage, 13748,
     /* 1044126 */     GIR_EraseRootFromParent_Done,
     /* 1044127 */   // Label 15466: @1044127
     /* 1044127 */   GIM_Try, /*On fail goto*//*Label 15467*/ GIMT_Encode4(1044204), // Rule ID 13749 //
     /* 1044132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1044143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1044146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1044152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044171 */     // MIs[0] policy
     /* 1044171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044181 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044203 */     // GIR_Coverage, 13749,
     /* 1044203 */     GIR_EraseRootFromParent_Done,
     /* 1044204 */   // Label 15467: @1044204
     /* 1044204 */   GIM_Try, /*On fail goto*//*Label 15468*/ GIMT_Encode4(1044281), // Rule ID 13752 //
     /* 1044209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1044220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1044223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1044229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044248 */     // MIs[0] policy
     /* 1044248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044258 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044280 */     // GIR_Coverage, 13752,
     /* 1044280 */     GIR_EraseRootFromParent_Done,
     /* 1044281 */   // Label 15468: @1044281
     /* 1044281 */   GIM_Try, /*On fail goto*//*Label 15469*/ GIMT_Encode4(1044358), // Rule ID 13753 //
     /* 1044286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1044297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1044300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1044306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044325 */     // MIs[0] policy
     /* 1044325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044335 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044357 */     // GIR_Coverage, 13753,
     /* 1044357 */     GIR_EraseRootFromParent_Done,
     /* 1044358 */   // Label 15469: @1044358
     /* 1044358 */   GIM_Try, /*On fail goto*//*Label 15470*/ GIMT_Encode4(1044435), // Rule ID 13756 //
     /* 1044363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1044374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1044377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1044383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044402 */     // MIs[0] policy
     /* 1044402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044412 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1044415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044434 */     // GIR_Coverage, 13756,
     /* 1044434 */     GIR_EraseRootFromParent_Done,
     /* 1044435 */   // Label 15470: @1044435
     /* 1044435 */   GIM_Try, /*On fail goto*//*Label 15471*/ GIMT_Encode4(1044512), // Rule ID 13757 //
     /* 1044440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1044451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1044454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1044460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044479 */     // MIs[0] policy
     /* 1044479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044489 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1044492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044511 */     // GIR_Coverage, 13757,
     /* 1044511 */     GIR_EraseRootFromParent_Done,
     /* 1044512 */   // Label 15471: @1044512
     /* 1044512 */   GIM_Try, /*On fail goto*//*Label 15472*/ GIMT_Encode4(1044589), // Rule ID 13760 //
     /* 1044517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1044528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1044531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1044537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044556 */     // MIs[0] policy
     /* 1044556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044566 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1044569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044588 */     // GIR_Coverage, 13760,
     /* 1044588 */     GIR_EraseRootFromParent_Done,
     /* 1044589 */   // Label 15472: @1044589
     /* 1044589 */   GIM_Try, /*On fail goto*//*Label 15473*/ GIMT_Encode4(1044666), // Rule ID 13761 //
     /* 1044594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1044605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1044608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1044614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044633 */     // MIs[0] policy
     /* 1044633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1044646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044665 */     // GIR_Coverage, 13761,
     /* 1044665 */     GIR_EraseRootFromParent_Done,
     /* 1044666 */   // Label 15473: @1044666
     /* 1044666 */   GIM_Try, /*On fail goto*//*Label 15474*/ GIMT_Encode4(1044743), // Rule ID 13764 //
     /* 1044671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1044691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044710 */     // MIs[0] policy
     /* 1044710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044720 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044742 */     // GIR_Coverage, 13764,
     /* 1044742 */     GIR_EraseRootFromParent_Done,
     /* 1044743 */   // Label 15474: @1044743
     /* 1044743 */   GIM_Try, /*On fail goto*//*Label 15475*/ GIMT_Encode4(1044820), // Rule ID 13765 //
     /* 1044748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1044768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044787 */     // MIs[0] policy
     /* 1044787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044819 */     // GIR_Coverage, 13765,
     /* 1044819 */     GIR_EraseRootFromParent_Done,
     /* 1044820 */   // Label 15475: @1044820
     /* 1044820 */   GIM_Try, /*On fail goto*//*Label 15476*/ GIMT_Encode4(1044897), // Rule ID 13768 //
     /* 1044825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1044845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044864 */     // MIs[0] policy
     /* 1044864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044874 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044896 */     // GIR_Coverage, 13768,
     /* 1044896 */     GIR_EraseRootFromParent_Done,
     /* 1044897 */   // Label 15476: @1044897
     /* 1044897 */   GIM_Try, /*On fail goto*//*Label 15477*/ GIMT_Encode4(1044974), // Rule ID 13769 //
     /* 1044902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1044922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044941 */     // MIs[0] policy
     /* 1044941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044951 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044973 */     // GIR_Coverage, 13769,
     /* 1044973 */     GIR_EraseRootFromParent_Done,
     /* 1044974 */   // Label 15477: @1044974
     /* 1044974 */   GIM_Try, /*On fail goto*//*Label 15478*/ GIMT_Encode4(1045051), // Rule ID 13772 //
     /* 1044979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1044999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045018 */     // MIs[0] policy
     /* 1045018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1045031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045050 */     // GIR_Coverage, 13772,
     /* 1045050 */     GIR_EraseRootFromParent_Done,
     /* 1045051 */   // Label 15478: @1045051
     /* 1045051 */   GIM_Try, /*On fail goto*//*Label 15479*/ GIMT_Encode4(1045128), // Rule ID 13773 //
     /* 1045056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1045067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1045070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1045076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045095 */     // MIs[0] policy
     /* 1045095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045105 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1045108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045127 */     // GIR_Coverage, 13773,
     /* 1045127 */     GIR_EraseRootFromParent_Done,
     /* 1045128 */   // Label 15479: @1045128
     /* 1045128 */   GIM_Try, /*On fail goto*//*Label 15480*/ GIMT_Encode4(1045205), // Rule ID 13776 //
     /* 1045133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1045136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1045144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1045147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1045153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045172 */     // MIs[0] policy
     /* 1045172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1045185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045204 */     // GIR_Coverage, 13776,
     /* 1045204 */     GIR_EraseRootFromParent_Done,
     /* 1045205 */   // Label 15480: @1045205
     /* 1045205 */   GIM_Try, /*On fail goto*//*Label 15481*/ GIMT_Encode4(1045282), // Rule ID 13777 //
     /* 1045210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1045213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1045221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1045224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1045230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045249 */     // MIs[0] policy
     /* 1045249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045259 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1045262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045281 */     // GIR_Coverage, 13777,
     /* 1045281 */     GIR_EraseRootFromParent_Done,
     /* 1045282 */   // Label 15481: @1045282
     /* 1045282 */   GIM_Try, /*On fail goto*//*Label 15482*/ GIMT_Encode4(1045359), // Rule ID 13780 //
     /* 1045287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1045290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1045298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1045301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1045307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045326 */     // MIs[0] policy
     /* 1045326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045336 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1045339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045358 */     // GIR_Coverage, 13780,
     /* 1045358 */     GIR_EraseRootFromParent_Done,
     /* 1045359 */   // Label 15482: @1045359
     /* 1045359 */   GIM_Try, /*On fail goto*//*Label 15483*/ GIMT_Encode4(1045436), // Rule ID 13781 //
     /* 1045364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1045367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1045375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1045378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1045384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045403 */     // MIs[0] policy
     /* 1045403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045413 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1045416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045435 */     // GIR_Coverage, 13781,
     /* 1045435 */     GIR_EraseRootFromParent_Done,
     /* 1045436 */   // Label 15483: @1045436
     /* 1045436 */   GIM_Try, /*On fail goto*//*Label 15484*/ GIMT_Encode4(1045513), // Rule ID 13784 //
     /* 1045441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1045444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1045452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1045455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1045461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045480 */     // MIs[0] policy
     /* 1045480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045490 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1045493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045512 */     // GIR_Coverage, 13784,
     /* 1045512 */     GIR_EraseRootFromParent_Done,
     /* 1045513 */   // Label 15484: @1045513
     /* 1045513 */   GIM_Try, /*On fail goto*//*Label 15485*/ GIMT_Encode4(1045590), // Rule ID 13785 //
     /* 1045518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1045521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1045529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1045532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1045538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045557 */     // MIs[0] policy
     /* 1045557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045567 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1045570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045589 */     // GIR_Coverage, 13785,
     /* 1045589 */     GIR_EraseRootFromParent_Done,
     /* 1045590 */   // Label 15485: @1045590
     /* 1045590 */   GIM_Try, /*On fail goto*//*Label 15486*/ GIMT_Encode4(1045667), // Rule ID 13788 //
     /* 1045595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1045598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1045606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1045609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1045615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045634 */     // MIs[0] policy
     /* 1045634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1045647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045666 */     // GIR_Coverage, 13788,
     /* 1045666 */     GIR_EraseRootFromParent_Done,
     /* 1045667 */   // Label 15486: @1045667
     /* 1045667 */   GIM_Try, /*On fail goto*//*Label 15487*/ GIMT_Encode4(1045744), // Rule ID 13789 //
     /* 1045672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1045675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1045683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1045686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1045692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045711 */     // MIs[0] policy
     /* 1045711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1045724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045743 */     // GIR_Coverage, 13789,
     /* 1045743 */     GIR_EraseRootFromParent_Done,
     /* 1045744 */   // Label 15487: @1045744
     /* 1045744 */   GIM_Try, /*On fail goto*//*Label 15488*/ GIMT_Encode4(1045821), // Rule ID 13792 //
     /* 1045749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1045760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1045763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1045769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045788 */     // MIs[0] policy
     /* 1045788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045798 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1045801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045820 */     // GIR_Coverage, 13792,
     /* 1045820 */     GIR_EraseRootFromParent_Done,
     /* 1045821 */   // Label 15488: @1045821
     /* 1045821 */   GIM_Try, /*On fail goto*//*Label 15489*/ GIMT_Encode4(1045898), // Rule ID 13793 //
     /* 1045826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1045837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1045840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1045846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045865 */     // MIs[0] policy
     /* 1045865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045875 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1045878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045897 */     // GIR_Coverage, 13793,
     /* 1045897 */     GIR_EraseRootFromParent_Done,
     /* 1045898 */   // Label 15489: @1045898
     /* 1045898 */   GIM_Try, /*On fail goto*//*Label 15490*/ GIMT_Encode4(1045975), // Rule ID 13796 //
     /* 1045903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1045914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1045917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1045923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045942 */     // MIs[0] policy
     /* 1045942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045952 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1045955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045974 */     // GIR_Coverage, 13796,
     /* 1045974 */     GIR_EraseRootFromParent_Done,
     /* 1045975 */   // Label 15490: @1045975
     /* 1045975 */   GIM_Try, /*On fail goto*//*Label 15491*/ GIMT_Encode4(1046052), // Rule ID 13797 //
     /* 1045980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1045991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1045994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1046000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046019 */     // MIs[0] policy
     /* 1046019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046029 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1046032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046051 */     // GIR_Coverage, 13797,
     /* 1046051 */     GIR_EraseRootFromParent_Done,
     /* 1046052 */   // Label 15491: @1046052
     /* 1046052 */   GIM_Try, /*On fail goto*//*Label 15492*/ GIMT_Encode4(1046129), // Rule ID 13800 //
     /* 1046057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1046068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1046071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1046077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046096 */     // MIs[0] policy
     /* 1046096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046128 */     // GIR_Coverage, 13800,
     /* 1046128 */     GIR_EraseRootFromParent_Done,
     /* 1046129 */   // Label 15492: @1046129
     /* 1046129 */   GIM_Try, /*On fail goto*//*Label 15493*/ GIMT_Encode4(1046206), // Rule ID 13801 //
     /* 1046134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1046145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1046148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1046154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046173 */     // MIs[0] policy
     /* 1046173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046183 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046205 */     // GIR_Coverage, 13801,
     /* 1046205 */     GIR_EraseRootFromParent_Done,
     /* 1046206 */   // Label 15493: @1046206
     /* 1046206 */   GIM_Try, /*On fail goto*//*Label 15494*/ GIMT_Encode4(1046283), // Rule ID 13804 //
     /* 1046211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1046222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1046225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1046231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046250 */     // MIs[0] policy
     /* 1046250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046260 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046282 */     // GIR_Coverage, 13804,
     /* 1046282 */     GIR_EraseRootFromParent_Done,
     /* 1046283 */   // Label 15494: @1046283
     /* 1046283 */   GIM_Try, /*On fail goto*//*Label 15495*/ GIMT_Encode4(1046360), // Rule ID 13805 //
     /* 1046288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1046299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1046302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1046308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046327 */     // MIs[0] policy
     /* 1046327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046337 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046359 */     // GIR_Coverage, 13805,
     /* 1046359 */     GIR_EraseRootFromParent_Done,
     /* 1046360 */   // Label 15495: @1046360
     /* 1046360 */   GIM_Try, /*On fail goto*//*Label 15496*/ GIMT_Encode4(1046437), // Rule ID 13808 //
     /* 1046365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1046376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1046379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1046385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046404 */     // MIs[0] policy
     /* 1046404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046436 */     // GIR_Coverage, 13808,
     /* 1046436 */     GIR_EraseRootFromParent_Done,
     /* 1046437 */   // Label 15496: @1046437
     /* 1046437 */   GIM_Try, /*On fail goto*//*Label 15497*/ GIMT_Encode4(1046514), // Rule ID 13809 //
     /* 1046442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1046453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1046456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1046462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046481 */     // MIs[0] policy
     /* 1046481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046491 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046513 */     // GIR_Coverage, 13809,
     /* 1046513 */     GIR_EraseRootFromParent_Done,
     /* 1046514 */   // Label 15497: @1046514
     /* 1046514 */   GIM_Try, /*On fail goto*//*Label 15498*/ GIMT_Encode4(1046591), // Rule ID 13812 //
     /* 1046519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1046530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1046533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1046539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046558 */     // MIs[0] policy
     /* 1046558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046568 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046590 */     // GIR_Coverage, 13812,
     /* 1046590 */     GIR_EraseRootFromParent_Done,
     /* 1046591 */   // Label 15498: @1046591
     /* 1046591 */   GIM_Try, /*On fail goto*//*Label 15499*/ GIMT_Encode4(1046668), // Rule ID 13813 //
     /* 1046596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1046607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1046610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1046616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046635 */     // MIs[0] policy
     /* 1046635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046645 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046667 */     // GIR_Coverage, 13813,
     /* 1046667 */     GIR_EraseRootFromParent_Done,
     /* 1046668 */   // Label 15499: @1046668
     /* 1046668 */   GIM_Try, /*On fail goto*//*Label 15500*/ GIMT_Encode4(1046745), // Rule ID 13816 //
     /* 1046673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1046684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1046687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1046693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046712 */     // MIs[0] policy
     /* 1046712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1046725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046744 */     // GIR_Coverage, 13816,
     /* 1046744 */     GIR_EraseRootFromParent_Done,
     /* 1046745 */   // Label 15500: @1046745
     /* 1046745 */   GIM_Try, /*On fail goto*//*Label 15501*/ GIMT_Encode4(1046822), // Rule ID 13817 //
     /* 1046750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1046761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1046764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1046770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046789 */     // MIs[0] policy
     /* 1046789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046799 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1046802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046821 */     // GIR_Coverage, 13817,
     /* 1046821 */     GIR_EraseRootFromParent_Done,
     /* 1046822 */   // Label 15501: @1046822
     /* 1046822 */   GIM_Try, /*On fail goto*//*Label 15502*/ GIMT_Encode4(1046899), // Rule ID 13820 //
     /* 1046827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1046838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1046841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1046847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046866 */     // MIs[0] policy
     /* 1046866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046898 */     // GIR_Coverage, 13820,
     /* 1046898 */     GIR_EraseRootFromParent_Done,
     /* 1046899 */   // Label 15502: @1046899
     /* 1046899 */   GIM_Try, /*On fail goto*//*Label 15503*/ GIMT_Encode4(1046976), // Rule ID 13821 //
     /* 1046904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1046915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1046918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1046924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046943 */     // MIs[0] policy
     /* 1046943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046975 */     // GIR_Coverage, 13821,
     /* 1046975 */     GIR_EraseRootFromParent_Done,
     /* 1046976 */   // Label 15503: @1046976
     /* 1046976 */   GIM_Try, /*On fail goto*//*Label 15504*/ GIMT_Encode4(1047053), // Rule ID 13824 //
     /* 1046981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1047001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047020 */     // MIs[0] policy
     /* 1047020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1047033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047052 */     // GIR_Coverage, 13824,
     /* 1047052 */     GIR_EraseRootFromParent_Done,
     /* 1047053 */   // Label 15504: @1047053
     /* 1047053 */   GIM_Try, /*On fail goto*//*Label 15505*/ GIMT_Encode4(1047130), // Rule ID 13825 //
     /* 1047058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1047069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1047072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1047078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047097 */     // MIs[0] policy
     /* 1047097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1047110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047129 */     // GIR_Coverage, 13825,
     /* 1047129 */     GIR_EraseRootFromParent_Done,
     /* 1047130 */   // Label 15505: @1047130
     /* 1047130 */   GIM_Try, /*On fail goto*//*Label 15506*/ GIMT_Encode4(1047207), // Rule ID 13828 //
     /* 1047135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1047146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1047149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1047155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047174 */     // MIs[0] policy
     /* 1047174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1047187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047206 */     // GIR_Coverage, 13828,
     /* 1047206 */     GIR_EraseRootFromParent_Done,
     /* 1047207 */   // Label 15506: @1047207
     /* 1047207 */   GIM_Try, /*On fail goto*//*Label 15507*/ GIMT_Encode4(1047284), // Rule ID 13829 //
     /* 1047212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1047223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1047226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1047232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047251 */     // MIs[0] policy
     /* 1047251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047261 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1047264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047283 */     // GIR_Coverage, 13829,
     /* 1047283 */     GIR_EraseRootFromParent_Done,
     /* 1047284 */   // Label 15507: @1047284
     /* 1047284 */   GIM_Try, /*On fail goto*//*Label 15508*/ GIMT_Encode4(1047361), // Rule ID 13832 //
     /* 1047289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1047300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1047303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1047309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047328 */     // MIs[0] policy
     /* 1047328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047338 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1047341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047360 */     // GIR_Coverage, 13832,
     /* 1047360 */     GIR_EraseRootFromParent_Done,
     /* 1047361 */   // Label 15508: @1047361
     /* 1047361 */   GIM_Try, /*On fail goto*//*Label 15509*/ GIMT_Encode4(1047438), // Rule ID 13833 //
     /* 1047366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1047377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1047380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1047386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047405 */     // MIs[0] policy
     /* 1047405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047415 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1047418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047437 */     // GIR_Coverage, 13833,
     /* 1047437 */     GIR_EraseRootFromParent_Done,
     /* 1047438 */   // Label 15509: @1047438
     /* 1047438 */   GIM_Try, /*On fail goto*//*Label 15510*/ GIMT_Encode4(1047515), // Rule ID 13836 //
     /* 1047443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1047446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1047454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1047457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1047463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047482 */     // MIs[0] policy
     /* 1047482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047492 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1047495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047514 */     // GIR_Coverage, 13836,
     /* 1047514 */     GIR_EraseRootFromParent_Done,
     /* 1047515 */   // Label 15510: @1047515
     /* 1047515 */   GIM_Try, /*On fail goto*//*Label 15511*/ GIMT_Encode4(1047592), // Rule ID 13837 //
     /* 1047520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1047531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1047534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1047540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047559 */     // MIs[0] policy
     /* 1047559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047569 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1047572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047591 */     // GIR_Coverage, 13837,
     /* 1047591 */     GIR_EraseRootFromParent_Done,
     /* 1047592 */   // Label 15511: @1047592
     /* 1047592 */   GIM_Try, /*On fail goto*//*Label 15512*/ GIMT_Encode4(1047669), // Rule ID 13840 //
     /* 1047597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1047600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1047608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1047611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1047617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047636 */     // MIs[0] policy
     /* 1047636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1047649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047668 */     // GIR_Coverage, 13840,
     /* 1047668 */     GIR_EraseRootFromParent_Done,
     /* 1047669 */   // Label 15512: @1047669
     /* 1047669 */   GIM_Try, /*On fail goto*//*Label 15513*/ GIMT_Encode4(1047746), // Rule ID 13841 //
     /* 1047674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1047685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1047688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1047694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047713 */     // MIs[0] policy
     /* 1047713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047723 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1047726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047745 */     // GIR_Coverage, 13841,
     /* 1047745 */     GIR_EraseRootFromParent_Done,
     /* 1047746 */   // Label 15513: @1047746
     /* 1047746 */   GIM_Try, /*On fail goto*//*Label 15514*/ GIMT_Encode4(1047823), // Rule ID 13844 //
     /* 1047751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1047754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1047762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1047765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1047771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047790 */     // MIs[0] policy
     /* 1047790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047800 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1047803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047822 */     // GIR_Coverage, 13844,
     /* 1047822 */     GIR_EraseRootFromParent_Done,
     /* 1047823 */   // Label 15514: @1047823
     /* 1047823 */   GIM_Try, /*On fail goto*//*Label 15515*/ GIMT_Encode4(1047900), // Rule ID 13845 //
     /* 1047828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1047839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1047842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1047848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047867 */     // MIs[0] policy
     /* 1047867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047877 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1047880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047899 */     // GIR_Coverage, 13845,
     /* 1047899 */     GIR_EraseRootFromParent_Done,
     /* 1047900 */   // Label 15515: @1047900
     /* 1047900 */   GIM_Try, /*On fail goto*//*Label 15516*/ GIMT_Encode4(1047977), // Rule ID 13848 //
     /* 1047905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1047908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1047916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1047919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1047925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047944 */     // MIs[0] policy
     /* 1047944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047954 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1047957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047976 */     // GIR_Coverage, 13848,
     /* 1047976 */     GIR_EraseRootFromParent_Done,
     /* 1047977 */   // Label 15516: @1047977
     /* 1047977 */   GIM_Try, /*On fail goto*//*Label 15517*/ GIMT_Encode4(1048054), // Rule ID 13849 //
     /* 1047982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1047990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1047993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1047996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1048002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048021 */     // MIs[0] policy
     /* 1048021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048031 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1048034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048053 */     // GIR_Coverage, 13849,
     /* 1048053 */     GIR_EraseRootFromParent_Done,
     /* 1048054 */   // Label 15517: @1048054
     /* 1048054 */   GIM_Try, /*On fail goto*//*Label 15518*/ GIMT_Encode4(1048131), // Rule ID 19062 //
     /* 1048059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1048062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1048070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1048073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1048076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1048079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048098 */     // MIs[0] policy
     /* 1048098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048108 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1048111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048130 */     // GIR_Coverage, 19062,
     /* 1048130 */     GIR_EraseRootFromParent_Done,
     /* 1048131 */   // Label 15518: @1048131
     /* 1048131 */   GIM_Try, /*On fail goto*//*Label 15519*/ GIMT_Encode4(1048208), // Rule ID 19063 //
     /* 1048136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1048139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1048147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1048150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1048153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1048156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048175 */     // MIs[0] policy
     /* 1048175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048185 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1048188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048207 */     // GIR_Coverage, 19063,
     /* 1048207 */     GIR_EraseRootFromParent_Done,
     /* 1048208 */   // Label 15519: @1048208
     /* 1048208 */   GIM_Try, /*On fail goto*//*Label 15520*/ GIMT_Encode4(1048285), // Rule ID 19066 //
     /* 1048213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1048224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1048227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1048230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048252 */     // MIs[0] policy
     /* 1048252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048262 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1048265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048284 */     // GIR_Coverage, 19066,
     /* 1048284 */     GIR_EraseRootFromParent_Done,
     /* 1048285 */   // Label 15520: @1048285
     /* 1048285 */   GIM_Try, /*On fail goto*//*Label 15521*/ GIMT_Encode4(1048362), // Rule ID 19067 //
     /* 1048290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1048293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1048301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1048304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1048307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048329 */     // MIs[0] policy
     /* 1048329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048339 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1048342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048361 */     // GIR_Coverage, 19067,
     /* 1048361 */     GIR_EraseRootFromParent_Done,
     /* 1048362 */   // Label 15521: @1048362
     /* 1048362 */   GIM_Try, /*On fail goto*//*Label 15522*/ GIMT_Encode4(1048439), // Rule ID 19070 //
     /* 1048367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1048370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1048378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1048381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1048384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048406 */     // MIs[0] policy
     /* 1048406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048416 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1048419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048438 */     // GIR_Coverage, 19070,
     /* 1048438 */     GIR_EraseRootFromParent_Done,
     /* 1048439 */   // Label 15522: @1048439
     /* 1048439 */   GIM_Try, /*On fail goto*//*Label 15523*/ GIMT_Encode4(1048516), // Rule ID 19071 //
     /* 1048444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1048447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1048455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1048458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1048461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048483 */     // MIs[0] policy
     /* 1048483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048493 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1048496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048515 */     // GIR_Coverage, 19071,
     /* 1048515 */     GIR_EraseRootFromParent_Done,
     /* 1048516 */   // Label 15523: @1048516
     /* 1048516 */   GIM_Try, /*On fail goto*//*Label 15524*/ GIMT_Encode4(1048593), // Rule ID 19074 //
     /* 1048521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1048538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1048541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048560 */     // MIs[0] policy
     /* 1048560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048570 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1048573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048592 */     // GIR_Coverage, 19074,
     /* 1048592 */     GIR_EraseRootFromParent_Done,
     /* 1048593 */   // Label 15524: @1048593
     /* 1048593 */   GIM_Try, /*On fail goto*//*Label 15525*/ GIMT_Encode4(1048670), // Rule ID 19075 //
     /* 1048598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1048601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1048615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1048618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048637 */     // MIs[0] policy
     /* 1048637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048647 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1048650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048669 */     // GIR_Coverage, 19075,
     /* 1048669 */     GIR_EraseRootFromParent_Done,
     /* 1048670 */   // Label 15525: @1048670
     /* 1048670 */   GIM_Try, /*On fail goto*//*Label 15526*/ GIMT_Encode4(1048747), // Rule ID 19078 //
     /* 1048675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1048678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1048692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048714 */     // MIs[0] policy
     /* 1048714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048724 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1048727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048746 */     // GIR_Coverage, 19078,
     /* 1048746 */     GIR_EraseRootFromParent_Done,
     /* 1048747 */   // Label 15526: @1048747
     /* 1048747 */   GIM_Try, /*On fail goto*//*Label 15527*/ GIMT_Encode4(1048824), // Rule ID 19079 //
     /* 1048752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1048755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1048769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048791 */     // MIs[0] policy
     /* 1048791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048801 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1048804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048823 */     // GIR_Coverage, 19079,
     /* 1048823 */     GIR_EraseRootFromParent_Done,
     /* 1048824 */   // Label 15527: @1048824
     /* 1048824 */   GIM_Try, /*On fail goto*//*Label 15528*/ GIMT_Encode4(1048901), // Rule ID 19082 //
     /* 1048829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1048832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1048840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1048843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1048846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048868 */     // MIs[0] policy
     /* 1048868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048878 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1048881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048900 */     // GIR_Coverage, 19082,
     /* 1048900 */     GIR_EraseRootFromParent_Done,
     /* 1048901 */   // Label 15528: @1048901
     /* 1048901 */   GIM_Try, /*On fail goto*//*Label 15529*/ GIMT_Encode4(1048978), // Rule ID 19083 //
     /* 1048906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1048909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1048917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1048920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1048923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048945 */     // MIs[0] policy
     /* 1048945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048955 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1048958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048977 */     // GIR_Coverage, 19083,
     /* 1048977 */     GIR_EraseRootFromParent_Done,
     /* 1048978 */   // Label 15529: @1048978
     /* 1048978 */   GIM_Try, /*On fail goto*//*Label 15530*/ GIMT_Encode4(1049055), // Rule ID 19086 //
     /* 1048983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1048986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1048994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1048997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1049000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1049003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049022 */     // MIs[0] policy
     /* 1049022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049032 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1049035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049054 */     // GIR_Coverage, 19086,
     /* 1049054 */     GIR_EraseRootFromParent_Done,
     /* 1049055 */   // Label 15530: @1049055
     /* 1049055 */   GIM_Try, /*On fail goto*//*Label 15531*/ GIMT_Encode4(1049132), // Rule ID 19087 //
     /* 1049060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1049063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1049071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1049074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1049077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1049080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049099 */     // MIs[0] policy
     /* 1049099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049109 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1049112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049131 */     // GIR_Coverage, 19087,
     /* 1049131 */     GIR_EraseRootFromParent_Done,
     /* 1049132 */   // Label 15531: @1049132
     /* 1049132 */   GIM_Try, /*On fail goto*//*Label 15532*/ GIMT_Encode4(1049209), // Rule ID 19090 //
     /* 1049137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1049140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1049148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1049151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1049154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1049157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049176 */     // MIs[0] policy
     /* 1049176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049186 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1049189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049208 */     // GIR_Coverage, 19090,
     /* 1049208 */     GIR_EraseRootFromParent_Done,
     /* 1049209 */   // Label 15532: @1049209
     /* 1049209 */   GIM_Try, /*On fail goto*//*Label 15533*/ GIMT_Encode4(1049286), // Rule ID 19091 //
     /* 1049214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1049217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1049225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1049228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1049231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1049234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049253 */     // MIs[0] policy
     /* 1049253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049263 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1049266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049272 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049285 */     // GIR_Coverage, 19091,
     /* 1049285 */     GIR_EraseRootFromParent_Done,
     /* 1049286 */   // Label 15533: @1049286
     /* 1049286 */   GIM_Try, /*On fail goto*//*Label 15534*/ GIMT_Encode4(1049363), // Rule ID 19094 //
     /* 1049291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1049294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1049302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1049305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1049308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049330 */     // MIs[0] policy
     /* 1049330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049340 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1049343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049362 */     // GIR_Coverage, 19094,
     /* 1049362 */     GIR_EraseRootFromParent_Done,
     /* 1049363 */   // Label 15534: @1049363
     /* 1049363 */   GIM_Try, /*On fail goto*//*Label 15535*/ GIMT_Encode4(1049440), // Rule ID 19095 //
     /* 1049368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1049371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1049379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1049382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1049385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049407 */     // MIs[0] policy
     /* 1049407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049417 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1049420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049439 */     // GIR_Coverage, 19095,
     /* 1049439 */     GIR_EraseRootFromParent_Done,
     /* 1049440 */   // Label 15535: @1049440
     /* 1049440 */   GIM_Try, /*On fail goto*//*Label 15536*/ GIMT_Encode4(1049517), // Rule ID 19098 //
     /* 1049445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1049448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1049462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049484 */     // MIs[0] policy
     /* 1049484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049494 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1049497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049516 */     // GIR_Coverage, 19098,
     /* 1049516 */     GIR_EraseRootFromParent_Done,
     /* 1049517 */   // Label 15536: @1049517
     /* 1049517 */   GIM_Try, /*On fail goto*//*Label 15537*/ GIMT_Encode4(1049594), // Rule ID 19099 //
     /* 1049522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1049525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1049539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049561 */     // MIs[0] policy
     /* 1049561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049571 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1049574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049593 */     // GIR_Coverage, 19099,
     /* 1049593 */     GIR_EraseRootFromParent_Done,
     /* 1049594 */   // Label 15537: @1049594
     /* 1049594 */   GIM_Try, /*On fail goto*//*Label 15538*/ GIMT_Encode4(1049671), // Rule ID 19102 //
     /* 1049599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1049602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1049616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1049619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049638 */     // MIs[0] policy
     /* 1049638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049648 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1049651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049670 */     // GIR_Coverage, 19102,
     /* 1049670 */     GIR_EraseRootFromParent_Done,
     /* 1049671 */   // Label 15538: @1049671
     /* 1049671 */   GIM_Try, /*On fail goto*//*Label 15539*/ GIMT_Encode4(1049748), // Rule ID 19103 //
     /* 1049676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1049679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1049693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1049696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049715 */     // MIs[0] policy
     /* 1049715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049725 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1049728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049747 */     // GIR_Coverage, 19103,
     /* 1049747 */     GIR_EraseRootFromParent_Done,
     /* 1049748 */   // Label 15539: @1049748
     /* 1049748 */   GIM_Try, /*On fail goto*//*Label 15540*/ GIMT_Encode4(1049825), // Rule ID 19106 //
     /* 1049753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1049756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1049770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049792 */     // MIs[0] policy
     /* 1049792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049802 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1049805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049824 */     // GIR_Coverage, 19106,
     /* 1049824 */     GIR_EraseRootFromParent_Done,
     /* 1049825 */   // Label 15540: @1049825
     /* 1049825 */   GIM_Try, /*On fail goto*//*Label 15541*/ GIMT_Encode4(1049902), // Rule ID 19107 //
     /* 1049830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1049833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1049847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049869 */     // MIs[0] policy
     /* 1049869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049879 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1049882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049901 */     // GIR_Coverage, 19107,
     /* 1049901 */     GIR_EraseRootFromParent_Done,
     /* 1049902 */   // Label 15541: @1049902
     /* 1049902 */   GIM_Try, /*On fail goto*//*Label 15542*/ GIMT_Encode4(1049979), // Rule ID 19110 //
     /* 1049907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1049910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1049924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049946 */     // MIs[0] policy
     /* 1049946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049956 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1049959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049978 */     // GIR_Coverage, 19110,
     /* 1049978 */     GIR_EraseRootFromParent_Done,
     /* 1049979 */   // Label 15542: @1049979
     /* 1049979 */   GIM_Try, /*On fail goto*//*Label 15543*/ GIMT_Encode4(1050056), // Rule ID 19111 //
     /* 1049984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1049987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1050001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050023 */     // MIs[0] policy
     /* 1050023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050033 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1050036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050055 */     // GIR_Coverage, 19111,
     /* 1050055 */     GIR_EraseRootFromParent_Done,
     /* 1050056 */   // Label 15543: @1050056
     /* 1050056 */   GIM_Try, /*On fail goto*//*Label 15544*/ GIMT_Encode4(1050133), // Rule ID 19114 //
     /* 1050061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1050064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1050069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1050072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1050075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1050078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050100 */     // MIs[0] policy
     /* 1050100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050110 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1050113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050132 */     // GIR_Coverage, 19114,
     /* 1050132 */     GIR_EraseRootFromParent_Done,
     /* 1050133 */   // Label 15544: @1050133
     /* 1050133 */   GIM_Try, /*On fail goto*//*Label 15545*/ GIMT_Encode4(1050210), // Rule ID 19115 //
     /* 1050138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1050141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1050146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1050149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1050152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1050155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050177 */     // MIs[0] policy
     /* 1050177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050187 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1050190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050209 */     // GIR_Coverage, 19115,
     /* 1050209 */     GIR_EraseRootFromParent_Done,
     /* 1050210 */   // Label 15545: @1050210
     /* 1050210 */   GIM_Try, /*On fail goto*//*Label 15546*/ GIMT_Encode4(1050287), // Rule ID 20498 //
     /* 1050215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1050226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1050229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1050232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050254 */     // MIs[0] policy
     /* 1050254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050264 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1050267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050286 */     // GIR_Coverage, 20498,
     /* 1050286 */     GIR_EraseRootFromParent_Done,
     /* 1050287 */   // Label 15546: @1050287
     /* 1050287 */   GIM_Try, /*On fail goto*//*Label 15547*/ GIMT_Encode4(1050364), // Rule ID 20499 //
     /* 1050292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1050303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1050306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1050309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050331 */     // MIs[0] policy
     /* 1050331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050341 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1050344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050363 */     // GIR_Coverage, 20499,
     /* 1050363 */     GIR_EraseRootFromParent_Done,
     /* 1050364 */   // Label 15547: @1050364
     /* 1050364 */   GIM_Try, /*On fail goto*//*Label 15548*/ GIMT_Encode4(1050441), // Rule ID 20502 //
     /* 1050369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1050380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1050383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1050386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050408 */     // MIs[0] policy
     /* 1050408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1050421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050440 */     // GIR_Coverage, 20502,
     /* 1050440 */     GIR_EraseRootFromParent_Done,
     /* 1050441 */   // Label 15548: @1050441
     /* 1050441 */   GIM_Try, /*On fail goto*//*Label 15549*/ GIMT_Encode4(1050518), // Rule ID 20503 //
     /* 1050446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1050457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1050460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1050463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050485 */     // MIs[0] policy
     /* 1050485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050495 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1050498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050517 */     // GIR_Coverage, 20503,
     /* 1050517 */     GIR_EraseRootFromParent_Done,
     /* 1050518 */   // Label 15549: @1050518
     /* 1050518 */   GIM_Try, /*On fail goto*//*Label 15550*/ GIMT_Encode4(1050595), // Rule ID 20506 //
     /* 1050523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1050534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1050537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1050540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050562 */     // MIs[0] policy
     /* 1050562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050572 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050594 */     // GIR_Coverage, 20506,
     /* 1050594 */     GIR_EraseRootFromParent_Done,
     /* 1050595 */   // Label 15550: @1050595
     /* 1050595 */   GIM_Try, /*On fail goto*//*Label 15551*/ GIMT_Encode4(1050672), // Rule ID 20507 //
     /* 1050600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1050611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1050614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1050617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050639 */     // MIs[0] policy
     /* 1050639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050671 */     // GIR_Coverage, 20507,
     /* 1050671 */     GIR_EraseRootFromParent_Done,
     /* 1050672 */   // Label 15551: @1050672
     /* 1050672 */   GIM_Try, /*On fail goto*//*Label 15552*/ GIMT_Encode4(1050749), // Rule ID 20510 //
     /* 1050677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1050694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050716 */     // MIs[0] policy
     /* 1050716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050748 */     // GIR_Coverage, 20510,
     /* 1050748 */     GIR_EraseRootFromParent_Done,
     /* 1050749 */   // Label 15552: @1050749
     /* 1050749 */   GIM_Try, /*On fail goto*//*Label 15553*/ GIMT_Encode4(1050826), // Rule ID 20511 //
     /* 1050754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1050771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050793 */     // MIs[0] policy
     /* 1050793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050825 */     // GIR_Coverage, 20511,
     /* 1050825 */     GIR_EraseRootFromParent_Done,
     /* 1050826 */   // Label 15553: @1050826
     /* 1050826 */   GIM_Try, /*On fail goto*//*Label 15554*/ GIMT_Encode4(1050903), // Rule ID 20514 //
     /* 1050831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1050834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1050842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1050845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1050848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050870 */     // MIs[0] policy
     /* 1050870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050880 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050902 */     // GIR_Coverage, 20514,
     /* 1050902 */     GIR_EraseRootFromParent_Done,
     /* 1050903 */   // Label 15554: @1050903
     /* 1050903 */   GIM_Try, /*On fail goto*//*Label 15555*/ GIMT_Encode4(1050980), // Rule ID 20515 //
     /* 1050908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1050911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1050919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1050922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1050925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050947 */     // MIs[0] policy
     /* 1050947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050957 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1050960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050979 */     // GIR_Coverage, 20515,
     /* 1050979 */     GIR_EraseRootFromParent_Done,
     /* 1050980 */   // Label 15555: @1050980
     /* 1050980 */   GIM_Try, /*On fail goto*//*Label 15556*/ GIMT_Encode4(1051057), // Rule ID 20518 //
     /* 1050985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1050996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1050999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1051002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051024 */     // MIs[0] policy
     /* 1051024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1051037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051056 */     // GIR_Coverage, 20518,
     /* 1051056 */     GIR_EraseRootFromParent_Done,
     /* 1051057 */   // Label 15556: @1051057
     /* 1051057 */   GIM_Try, /*On fail goto*//*Label 15557*/ GIMT_Encode4(1051134), // Rule ID 20519 //
     /* 1051062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1051073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1051076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1051079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051101 */     // MIs[0] policy
     /* 1051101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051111 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1051114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051120 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051133 */     // GIR_Coverage, 20519,
     /* 1051133 */     GIR_EraseRootFromParent_Done,
     /* 1051134 */   // Label 15557: @1051134
     /* 1051134 */   GIM_Try, /*On fail goto*//*Label 15558*/ GIMT_Encode4(1051211), // Rule ID 20522 //
     /* 1051139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1051150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1051153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1051156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1051159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051178 */     // MIs[0] policy
     /* 1051178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051188 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051210 */     // GIR_Coverage, 20522,
     /* 1051210 */     GIR_EraseRootFromParent_Done,
     /* 1051211 */   // Label 15558: @1051211
     /* 1051211 */   GIM_Try, /*On fail goto*//*Label 15559*/ GIMT_Encode4(1051288), // Rule ID 20523 //
     /* 1051216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1051227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1051230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1051233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1051236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051255 */     // MIs[0] policy
     /* 1051255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051265 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051274 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051287 */     // GIR_Coverage, 20523,
     /* 1051287 */     GIR_EraseRootFromParent_Done,
     /* 1051288 */   // Label 15559: @1051288
     /* 1051288 */   GIM_Try, /*On fail goto*//*Label 15560*/ GIMT_Encode4(1051365), // Rule ID 20526 //
     /* 1051293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1051304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1051307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1051310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1051313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051332 */     // MIs[0] policy
     /* 1051332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051342 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051364 */     // GIR_Coverage, 20526,
     /* 1051364 */     GIR_EraseRootFromParent_Done,
     /* 1051365 */   // Label 15560: @1051365
     /* 1051365 */   GIM_Try, /*On fail goto*//*Label 15561*/ GIMT_Encode4(1051442), // Rule ID 20527 //
     /* 1051370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1051381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1051384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1051387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1051390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051409 */     // MIs[0] policy
     /* 1051409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051419 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051441 */     // GIR_Coverage, 20527,
     /* 1051441 */     GIR_EraseRootFromParent_Done,
     /* 1051442 */   // Label 15561: @1051442
     /* 1051442 */   GIM_Try, /*On fail goto*//*Label 15562*/ GIMT_Encode4(1051519), // Rule ID 20530 //
     /* 1051447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1051450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1051458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1051461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1051464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051486 */     // MIs[0] policy
     /* 1051486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1051499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051518 */     // GIR_Coverage, 20530,
     /* 1051518 */     GIR_EraseRootFromParent_Done,
     /* 1051519 */   // Label 15562: @1051519
     /* 1051519 */   GIM_Try, /*On fail goto*//*Label 15563*/ GIMT_Encode4(1051596), // Rule ID 20531 //
     /* 1051524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1051527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1051535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1051538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1051541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051563 */     // MIs[0] policy
     /* 1051563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051573 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1051576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051595 */     // GIR_Coverage, 20531,
     /* 1051595 */     GIR_EraseRootFromParent_Done,
     /* 1051596 */   // Label 15563: @1051596
     /* 1051596 */   GIM_Try, /*On fail goto*//*Label 15564*/ GIMT_Encode4(1051673), // Rule ID 20534 //
     /* 1051601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1051604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1051618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051640 */     // MIs[0] policy
     /* 1051640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051672 */     // GIR_Coverage, 20534,
     /* 1051672 */     GIR_EraseRootFromParent_Done,
     /* 1051673 */   // Label 15564: @1051673
     /* 1051673 */   GIM_Try, /*On fail goto*//*Label 15565*/ GIMT_Encode4(1051750), // Rule ID 20535 //
     /* 1051678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1051681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1051695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051717 */     // MIs[0] policy
     /* 1051717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051749 */     // GIR_Coverage, 20535,
     /* 1051749 */     GIR_EraseRootFromParent_Done,
     /* 1051750 */   // Label 15565: @1051750
     /* 1051750 */   GIM_Try, /*On fail goto*//*Label 15566*/ GIMT_Encode4(1051827), // Rule ID 20538 //
     /* 1051755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1051758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1051772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1051775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051794 */     // MIs[0] policy
     /* 1051794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051804 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051826 */     // GIR_Coverage, 20538,
     /* 1051826 */     GIR_EraseRootFromParent_Done,
     /* 1051827 */   // Label 15566: @1051827
     /* 1051827 */   GIM_Try, /*On fail goto*//*Label 15567*/ GIMT_Encode4(1051904), // Rule ID 20539 //
     /* 1051832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1051835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1051849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1051852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051871 */     // MIs[0] policy
     /* 1051871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051903 */     // GIR_Coverage, 20539,
     /* 1051903 */     GIR_EraseRootFromParent_Done,
     /* 1051904 */   // Label 15567: @1051904
     /* 1051904 */   GIM_Try, /*On fail goto*//*Label 15568*/ GIMT_Encode4(1051981), // Rule ID 20542 //
     /* 1051909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1051912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1051920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1051923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1051926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051948 */     // MIs[0] policy
     /* 1051948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1051961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051980 */     // GIR_Coverage, 20542,
     /* 1051980 */     GIR_EraseRootFromParent_Done,
     /* 1051981 */   // Label 15568: @1051981
     /* 1051981 */   GIM_Try, /*On fail goto*//*Label 15569*/ GIMT_Encode4(1052058), // Rule ID 20543 //
     /* 1051986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1051989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1051997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1052000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1052003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052025 */     // MIs[0] policy
     /* 1052025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052035 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1052038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052057 */     // GIR_Coverage, 20543,
     /* 1052057 */     GIR_EraseRootFromParent_Done,
     /* 1052058 */   // Label 15569: @1052058
     /* 1052058 */   GIM_Try, /*On fail goto*//*Label 15570*/ GIMT_Encode4(1052135), // Rule ID 20546 //
     /* 1052063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1052066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1052071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1052074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1052077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1052080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052102 */     // MIs[0] policy
     /* 1052102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1052115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052134 */     // GIR_Coverage, 20546,
     /* 1052134 */     GIR_EraseRootFromParent_Done,
     /* 1052135 */   // Label 15570: @1052135
     /* 1052135 */   GIM_Try, /*On fail goto*//*Label 15571*/ GIMT_Encode4(1052212), // Rule ID 20547 //
     /* 1052140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1052143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1052148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1052151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1052154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1052157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052179 */     // MIs[0] policy
     /* 1052179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052189 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1052192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052211 */     // GIR_Coverage, 20547,
     /* 1052211 */     GIR_EraseRootFromParent_Done,
     /* 1052212 */   // Label 15571: @1052212
     /* 1052212 */   GIM_Try, /*On fail goto*//*Label 15572*/ GIMT_Encode4(1052289), // Rule ID 20550 //
     /* 1052217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1052220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1052225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1052228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1052231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1052234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052256 */     // MIs[0] policy
     /* 1052256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052266 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1052269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052288 */     // GIR_Coverage, 20550,
     /* 1052288 */     GIR_EraseRootFromParent_Done,
     /* 1052289 */   // Label 15572: @1052289
     /* 1052289 */   GIM_Try, /*On fail goto*//*Label 15573*/ GIMT_Encode4(1052366), // Rule ID 20551 //
     /* 1052294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1052297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1052302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1052305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1052308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1052311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052333 */     // MIs[0] policy
     /* 1052333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052343 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1052346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052365 */     // GIR_Coverage, 20551,
     /* 1052365 */     GIR_EraseRootFromParent_Done,
     /* 1052366 */   // Label 15573: @1052366
     /* 1052366 */   GIM_Try, /*On fail goto*//*Label 15574*/ GIMT_Encode4(1052443), // Rule ID 20876 //
     /* 1052371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1052382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1052385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1052388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052410 */     // MIs[0] policy
     /* 1052410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052420 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1052423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052442 */     // GIR_Coverage, 20876,
     /* 1052442 */     GIR_EraseRootFromParent_Done,
     /* 1052443 */   // Label 15574: @1052443
     /* 1052443 */   GIM_Try, /*On fail goto*//*Label 15575*/ GIMT_Encode4(1052520), // Rule ID 20877 //
     /* 1052448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1052459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1052462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1052465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052487 */     // MIs[0] policy
     /* 1052487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052497 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1052500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052519 */     // GIR_Coverage, 20877,
     /* 1052519 */     GIR_EraseRootFromParent_Done,
     /* 1052520 */   // Label 15575: @1052520
     /* 1052520 */   GIM_Try, /*On fail goto*//*Label 15576*/ GIMT_Encode4(1052597), // Rule ID 20880 //
     /* 1052525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1052536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1052539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1052542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052564 */     // MIs[0] policy
     /* 1052564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052574 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1052577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052596 */     // GIR_Coverage, 20880,
     /* 1052596 */     GIR_EraseRootFromParent_Done,
     /* 1052597 */   // Label 15576: @1052597
     /* 1052597 */   GIM_Try, /*On fail goto*//*Label 15577*/ GIMT_Encode4(1052674), // Rule ID 20881 //
     /* 1052602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1052613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1052616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1052619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052641 */     // MIs[0] policy
     /* 1052641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1052654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052673 */     // GIR_Coverage, 20881,
     /* 1052673 */     GIR_EraseRootFromParent_Done,
     /* 1052674 */   // Label 15577: @1052674
     /* 1052674 */   GIM_Try, /*On fail goto*//*Label 15578*/ GIMT_Encode4(1052751), // Rule ID 20884 //
     /* 1052679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1052682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1052690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1052693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1052696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052718 */     // MIs[0] policy
     /* 1052718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052728 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1052731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052750 */     // GIR_Coverage, 20884,
     /* 1052750 */     GIR_EraseRootFromParent_Done,
     /* 1052751 */   // Label 15578: @1052751
     /* 1052751 */   GIM_Try, /*On fail goto*//*Label 15579*/ GIMT_Encode4(1052828), // Rule ID 20885 //
     /* 1052756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1052759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1052767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1052770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1052773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052795 */     // MIs[0] policy
     /* 1052795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052805 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1052808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052827 */     // GIR_Coverage, 20885,
     /* 1052827 */     GIR_EraseRootFromParent_Done,
     /* 1052828 */   // Label 15579: @1052828
     /* 1052828 */   GIM_Try, /*On fail goto*//*Label 15580*/ GIMT_Encode4(1052905), // Rule ID 20888 //
     /* 1052833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1052844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1052847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1052850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052872 */     // MIs[0] policy
     /* 1052872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052904 */     // GIR_Coverage, 20888,
     /* 1052904 */     GIR_EraseRootFromParent_Done,
     /* 1052905 */   // Label 15580: @1052905
     /* 1052905 */   GIM_Try, /*On fail goto*//*Label 15581*/ GIMT_Encode4(1052982), // Rule ID 20889 //
     /* 1052910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1052921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1052924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1052927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052949 */     // MIs[0] policy
     /* 1052949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052981 */     // GIR_Coverage, 20889,
     /* 1052981 */     GIR_EraseRootFromParent_Done,
     /* 1052982 */   // Label 15581: @1052982
     /* 1052982 */   GIM_Try, /*On fail goto*//*Label 15582*/ GIMT_Encode4(1053059), // Rule ID 20892 //
     /* 1052987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1052990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1053001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1053004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053026 */     // MIs[0] policy
     /* 1053026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1053039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053058 */     // GIR_Coverage, 20892,
     /* 1053058 */     GIR_EraseRootFromParent_Done,
     /* 1053059 */   // Label 15582: @1053059
     /* 1053059 */   GIM_Try, /*On fail goto*//*Label 15583*/ GIMT_Encode4(1053136), // Rule ID 20893 //
     /* 1053064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1053075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1053078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1053081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053103 */     // MIs[0] policy
     /* 1053103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053113 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1053116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053135 */     // GIR_Coverage, 20893,
     /* 1053135 */     GIR_EraseRootFromParent_Done,
     /* 1053136 */   // Label 15583: @1053136
     /* 1053136 */   GIM_Try, /*On fail goto*//*Label 15584*/ GIMT_Encode4(1053213), // Rule ID 20896 //
     /* 1053141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1053152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1053155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1053158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053180 */     // MIs[0] policy
     /* 1053180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053190 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1053193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053212 */     // GIR_Coverage, 20896,
     /* 1053212 */     GIR_EraseRootFromParent_Done,
     /* 1053213 */   // Label 15584: @1053213
     /* 1053213 */   GIM_Try, /*On fail goto*//*Label 15585*/ GIMT_Encode4(1053290), // Rule ID 20897 //
     /* 1053218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1053229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1053232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1053235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053257 */     // MIs[0] policy
     /* 1053257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053267 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1053270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053289 */     // GIR_Coverage, 20897,
     /* 1053289 */     GIR_EraseRootFromParent_Done,
     /* 1053290 */   // Label 15585: @1053290
     /* 1053290 */   GIM_Try, /*On fail goto*//*Label 15586*/ GIMT_Encode4(1053367), // Rule ID 20900 //
     /* 1053295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1053306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1053309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1053312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053334 */     // MIs[0] policy
     /* 1053334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053366 */     // GIR_Coverage, 20900,
     /* 1053366 */     GIR_EraseRootFromParent_Done,
     /* 1053367 */   // Label 15586: @1053367
     /* 1053367 */   GIM_Try, /*On fail goto*//*Label 15587*/ GIMT_Encode4(1053444), // Rule ID 20901 //
     /* 1053372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1053383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1053386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1053389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053411 */     // MIs[0] policy
     /* 1053411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053443 */     // GIR_Coverage, 20901,
     /* 1053443 */     GIR_EraseRootFromParent_Done,
     /* 1053444 */   // Label 15587: @1053444
     /* 1053444 */   GIM_Try, /*On fail goto*//*Label 15588*/ GIMT_Encode4(1053521), // Rule ID 20904 //
     /* 1053449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1053460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1053463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1053466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053488 */     // MIs[0] policy
     /* 1053488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053498 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053520 */     // GIR_Coverage, 20904,
     /* 1053520 */     GIR_EraseRootFromParent_Done,
     /* 1053521 */   // Label 15588: @1053521
     /* 1053521 */   GIM_Try, /*On fail goto*//*Label 15589*/ GIMT_Encode4(1053598), // Rule ID 20905 //
     /* 1053526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1053537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1053540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1053543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053565 */     // MIs[0] policy
     /* 1053565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053575 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053584 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053597 */     // GIR_Coverage, 20905,
     /* 1053597 */     GIR_EraseRootFromParent_Done,
     /* 1053598 */   // Label 15589: @1053598
     /* 1053598 */   GIM_Try, /*On fail goto*//*Label 15590*/ GIMT_Encode4(1053675), // Rule ID 20908 //
     /* 1053603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1053614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1053617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1053620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1053623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053642 */     // MIs[0] policy
     /* 1053642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053674 */     // GIR_Coverage, 20908,
     /* 1053674 */     GIR_EraseRootFromParent_Done,
     /* 1053675 */   // Label 15590: @1053675
     /* 1053675 */   GIM_Try, /*On fail goto*//*Label 15591*/ GIMT_Encode4(1053752), // Rule ID 20909 //
     /* 1053680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1053691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1053694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1053697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1053700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053719 */     // MIs[0] policy
     /* 1053719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053729 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053751 */     // GIR_Coverage, 20909,
     /* 1053751 */     GIR_EraseRootFromParent_Done,
     /* 1053752 */   // Label 15591: @1053752
     /* 1053752 */   GIM_Try, /*On fail goto*//*Label 15592*/ GIMT_Encode4(1053829), // Rule ID 20912 //
     /* 1053757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1053774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053796 */     // MIs[0] policy
     /* 1053796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053806 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053828 */     // GIR_Coverage, 20912,
     /* 1053828 */     GIR_EraseRootFromParent_Done,
     /* 1053829 */   // Label 15592: @1053829
     /* 1053829 */   GIM_Try, /*On fail goto*//*Label 15593*/ GIMT_Encode4(1053906), // Rule ID 20913 //
     /* 1053834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1053851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053873 */     // MIs[0] policy
     /* 1053873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053905 */     // GIR_Coverage, 20913,
     /* 1053905 */     GIR_EraseRootFromParent_Done,
     /* 1053906 */   // Label 15593: @1053906
     /* 1053906 */   GIM_Try, /*On fail goto*//*Label 15594*/ GIMT_Encode4(1053983), // Rule ID 20916 //
     /* 1053911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1053928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053950 */     // MIs[0] policy
     /* 1053950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053960 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053982 */     // GIR_Coverage, 20916,
     /* 1053982 */     GIR_EraseRootFromParent_Done,
     /* 1053983 */   // Label 15594: @1053983
     /* 1053983 */   GIM_Try, /*On fail goto*//*Label 15595*/ GIMT_Encode4(1054060), // Rule ID 20917 //
     /* 1053988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1054002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1054005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054027 */     // MIs[0] policy
     /* 1054027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054037 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1054040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054046 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054059 */     // GIR_Coverage, 20917,
     /* 1054059 */     GIR_EraseRootFromParent_Done,
     /* 1054060 */   // Label 15595: @1054060
     /* 1054060 */   GIM_Try, /*On fail goto*//*Label 15596*/ GIMT_Encode4(1054137), // Rule ID 20920 //
     /* 1054065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1054073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1054076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1054079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1054082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054104 */     // MIs[0] policy
     /* 1054104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054114 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1054117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054136 */     // GIR_Coverage, 20920,
     /* 1054136 */     GIR_EraseRootFromParent_Done,
     /* 1054137 */   // Label 15596: @1054137
     /* 1054137 */   GIM_Try, /*On fail goto*//*Label 15597*/ GIMT_Encode4(1054214), // Rule ID 20921 //
     /* 1054142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1054150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1054153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1054156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1054159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054181 */     // MIs[0] policy
     /* 1054181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054191 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1054194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054213 */     // GIR_Coverage, 20921,
     /* 1054213 */     GIR_EraseRootFromParent_Done,
     /* 1054214 */   // Label 15597: @1054214
     /* 1054214 */   GIM_Try, /*On fail goto*//*Label 15598*/ GIMT_Encode4(1054291), // Rule ID 20924 //
     /* 1054219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1054222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1054227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1054230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1054233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1054236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054258 */     // MIs[0] policy
     /* 1054258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054268 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1054271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054290 */     // GIR_Coverage, 20924,
     /* 1054290 */     GIR_EraseRootFromParent_Done,
     /* 1054291 */   // Label 15598: @1054291
     /* 1054291 */   GIM_Try, /*On fail goto*//*Label 15599*/ GIMT_Encode4(1054368), // Rule ID 20925 //
     /* 1054296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1054299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1054304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1054307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1054310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1054313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054335 */     // MIs[0] policy
     /* 1054335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054345 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1054348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054354 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054367 */     // GIR_Coverage, 20925,
     /* 1054367 */     GIR_EraseRootFromParent_Done,
     /* 1054368 */   // Label 15599: @1054368
     /* 1054368 */   GIM_Try, /*On fail goto*//*Label 15600*/ GIMT_Encode4(1054445), // Rule ID 20928 //
     /* 1054373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1054376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1054381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1054384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1054387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1054390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054412 */     // MIs[0] policy
     /* 1054412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054422 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1054425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054431 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054444 */     // GIR_Coverage, 20928,
     /* 1054444 */     GIR_EraseRootFromParent_Done,
     /* 1054445 */   // Label 15600: @1054445
     /* 1054445 */   GIM_Try, /*On fail goto*//*Label 15601*/ GIMT_Encode4(1054522), // Rule ID 20929 //
     /* 1054450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1054453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1054458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1054461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1054464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1054467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054489 */     // MIs[0] policy
     /* 1054489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054499 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1054502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054521 */     // GIR_Coverage, 20929,
     /* 1054521 */     GIR_EraseRootFromParent_Done,
     /* 1054522 */   // Label 15601: @1054522
     /* 1054522 */   GIM_Try, /*On fail goto*//*Label 15602*/ GIMT_Encode4(1054599), // Rule ID 20932 //
     /* 1054527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1054530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1054535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1054538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1054541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1054544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054566 */     // MIs[0] policy
     /* 1054566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054576 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1054579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054598 */     // GIR_Coverage, 20932,
     /* 1054598 */     GIR_EraseRootFromParent_Done,
     /* 1054599 */   // Label 15602: @1054599
     /* 1054599 */   GIM_Try, /*On fail goto*//*Label 15603*/ GIMT_Encode4(1054676), // Rule ID 20933 //
     /* 1054604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1054607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1054612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1054615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1054618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1054621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054643 */     // MIs[0] policy
     /* 1054643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054653 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1054656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054675 */     // GIR_Coverage, 20933,
     /* 1054675 */     GIR_EraseRootFromParent_Done,
     /* 1054676 */   // Label 15603: @1054676
     /* 1054676 */   GIM_Try, /*On fail goto*//*Label 15604*/ GIMT_Encode4(1054753), // Rule ID 20936 //
     /* 1054681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1054692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1054695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1054698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054720 */     // MIs[0] policy
     /* 1054720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054730 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1054733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054752 */     // GIR_Coverage, 20936,
     /* 1054752 */     GIR_EraseRootFromParent_Done,
     /* 1054753 */   // Label 15604: @1054753
     /* 1054753 */   GIM_Try, /*On fail goto*//*Label 15605*/ GIMT_Encode4(1054830), // Rule ID 20937 //
     /* 1054758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1054769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1054772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1054775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054797 */     // MIs[0] policy
     /* 1054797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054807 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1054810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054816 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054829 */     // GIR_Coverage, 20937,
     /* 1054829 */     GIR_EraseRootFromParent_Done,
     /* 1054830 */   // Label 15605: @1054830
     /* 1054830 */   GIM_Try, /*On fail goto*//*Label 15606*/ GIMT_Encode4(1054907), // Rule ID 20940 //
     /* 1054835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1054846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1054849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1054852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054874 */     // MIs[0] policy
     /* 1054874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054884 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1054887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054906 */     // GIR_Coverage, 20940,
     /* 1054906 */     GIR_EraseRootFromParent_Done,
     /* 1054907 */   // Label 15606: @1054907
     /* 1054907 */   GIM_Try, /*On fail goto*//*Label 15607*/ GIMT_Encode4(1054984), // Rule ID 20941 //
     /* 1054912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1054923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1054926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1054929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054951 */     // MIs[0] policy
     /* 1054951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054961 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1054964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054970 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054983 */     // GIR_Coverage, 20941,
     /* 1054983 */     GIR_EraseRootFromParent_Done,
     /* 1054984 */   // Label 15607: @1054984
     /* 1054984 */   GIM_Try, /*On fail goto*//*Label 15608*/ GIMT_Encode4(1055061), // Rule ID 20944 //
     /* 1054989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1055000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1055003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1055006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055028 */     // MIs[0] policy
     /* 1055028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055038 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1055041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055047 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055060 */     // GIR_Coverage, 20944,
     /* 1055060 */     GIR_EraseRootFromParent_Done,
     /* 1055061 */   // Label 15608: @1055061
     /* 1055061 */   GIM_Try, /*On fail goto*//*Label 15609*/ GIMT_Encode4(1055138), // Rule ID 20945 //
     /* 1055066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1055077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1055080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1055083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055105 */     // MIs[0] policy
     /* 1055105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055115 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1055118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055124 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055137 */     // GIR_Coverage, 20945,
     /* 1055137 */     GIR_EraseRootFromParent_Done,
     /* 1055138 */   // Label 15609: @1055138
     /* 1055138 */   GIM_Try, /*On fail goto*//*Label 15610*/ GIMT_Encode4(1055215), // Rule ID 20948 //
     /* 1055143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1055154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1055157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1055160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055182 */     // MIs[0] policy
     /* 1055182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1055195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055214 */     // GIR_Coverage, 20948,
     /* 1055214 */     GIR_EraseRootFromParent_Done,
     /* 1055215 */   // Label 15610: @1055215
     /* 1055215 */   GIM_Try, /*On fail goto*//*Label 15611*/ GIMT_Encode4(1055292), // Rule ID 20949 //
     /* 1055220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1055231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1055234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1055237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055259 */     // MIs[0] policy
     /* 1055259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055269 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1055272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055291 */     // GIR_Coverage, 20949,
     /* 1055291 */     GIR_EraseRootFromParent_Done,
     /* 1055292 */   // Label 15611: @1055292
     /* 1055292 */   GIM_Try, /*On fail goto*//*Label 15612*/ GIMT_Encode4(1055369), // Rule ID 20952 //
     /* 1055297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1055308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1055311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1055314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055336 */     // MIs[0] policy
     /* 1055336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055346 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1055349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055368 */     // GIR_Coverage, 20952,
     /* 1055368 */     GIR_EraseRootFromParent_Done,
     /* 1055369 */   // Label 15612: @1055369
     /* 1055369 */   GIM_Try, /*On fail goto*//*Label 15613*/ GIMT_Encode4(1055446), // Rule ID 20953 //
     /* 1055374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1055385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1055388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1055391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055413 */     // MIs[0] policy
     /* 1055413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055423 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1055426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055432 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055445 */     // GIR_Coverage, 20953,
     /* 1055445 */     GIR_EraseRootFromParent_Done,
     /* 1055446 */   // Label 15613: @1055446
     /* 1055446 */   GIM_Try, /*On fail goto*//*Label 15614*/ GIMT_Encode4(1055523), // Rule ID 20956 //
     /* 1055451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1055462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1055465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1055468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055490 */     // MIs[0] policy
     /* 1055490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055500 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1055503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055522 */     // GIR_Coverage, 20956,
     /* 1055522 */     GIR_EraseRootFromParent_Done,
     /* 1055523 */   // Label 15614: @1055523
     /* 1055523 */   GIM_Try, /*On fail goto*//*Label 15615*/ GIMT_Encode4(1055600), // Rule ID 20957 //
     /* 1055528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1055539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1055542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1055545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055567 */     // MIs[0] policy
     /* 1055567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055577 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1055580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055599 */     // GIR_Coverage, 20957,
     /* 1055599 */     GIR_EraseRootFromParent_Done,
     /* 1055600 */   // Label 15615: @1055600
     /* 1055600 */   GIM_Try, /*On fail goto*//*Label 15616*/ GIMT_Encode4(1055677), // Rule ID 20960 //
     /* 1055605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1055616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1055619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1055622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055644 */     // MIs[0] policy
     /* 1055644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055663 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055676 */     // GIR_Coverage, 20960,
     /* 1055676 */     GIR_EraseRootFromParent_Done,
     /* 1055677 */   // Label 15616: @1055677
     /* 1055677 */   GIM_Try, /*On fail goto*//*Label 15617*/ GIMT_Encode4(1055754), // Rule ID 20961 //
     /* 1055682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1055693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1055696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1055699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055721 */     // MIs[0] policy
     /* 1055721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055731 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055740 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055753 */     // GIR_Coverage, 20961,
     /* 1055753 */     GIR_EraseRootFromParent_Done,
     /* 1055754 */   // Label 15617: @1055754
     /* 1055754 */   GIM_Try, /*On fail goto*//*Label 15618*/ GIMT_Encode4(1055831), // Rule ID 20964 //
     /* 1055759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1055770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1055773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1055776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055798 */     // MIs[0] policy
     /* 1055798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055808 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055830 */     // GIR_Coverage, 20964,
     /* 1055830 */     GIR_EraseRootFromParent_Done,
     /* 1055831 */   // Label 15618: @1055831
     /* 1055831 */   GIM_Try, /*On fail goto*//*Label 15619*/ GIMT_Encode4(1055908), // Rule ID 20965 //
     /* 1055836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1055847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1055850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1055853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055875 */     // MIs[0] policy
     /* 1055875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055885 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055907 */     // GIR_Coverage, 20965,
     /* 1055907 */     GIR_EraseRootFromParent_Done,
     /* 1055908 */   // Label 15619: @1055908
     /* 1055908 */   GIM_Try, /*On fail goto*//*Label 15620*/ GIMT_Encode4(1055985), // Rule ID 20968 //
     /* 1055913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1055924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1055927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1055930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1055933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055952 */     // MIs[0] policy
     /* 1055952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055962 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055984 */     // GIR_Coverage, 20968,
     /* 1055984 */     GIR_EraseRootFromParent_Done,
     /* 1055985 */   // Label 15620: @1055985
     /* 1055985 */   GIM_Try, /*On fail goto*//*Label 15621*/ GIMT_Encode4(1056062), // Rule ID 20969 //
     /* 1055990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1056001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1056004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1056007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1056010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056029 */     // MIs[0] policy
     /* 1056029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056039 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1056042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056048 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056061 */     // GIR_Coverage, 20969,
     /* 1056061 */     GIR_EraseRootFromParent_Done,
     /* 1056062 */   // Label 15621: @1056062
     /* 1056062 */   GIM_Try, /*On fail goto*//*Label 15622*/ GIMT_Encode4(1056139), // Rule ID 20972 //
     /* 1056067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1056070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1056084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056106 */     // MIs[0] policy
     /* 1056106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056116 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1056119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056138 */     // GIR_Coverage, 20972,
     /* 1056138 */     GIR_EraseRootFromParent_Done,
     /* 1056139 */   // Label 15622: @1056139
     /* 1056139 */   GIM_Try, /*On fail goto*//*Label 15623*/ GIMT_Encode4(1056216), // Rule ID 20973 //
     /* 1056144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1056161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056183 */     // MIs[0] policy
     /* 1056183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056193 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1056196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056215 */     // GIR_Coverage, 20973,
     /* 1056215 */     GIR_EraseRootFromParent_Done,
     /* 1056216 */   // Label 15623: @1056216
     /* 1056216 */   GIM_Try, /*On fail goto*//*Label 15624*/ GIMT_Encode4(1056293), // Rule ID 20976 //
     /* 1056221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1056224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1056238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056260 */     // MIs[0] policy
     /* 1056260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056270 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1056273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056279 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056292 */     // GIR_Coverage, 20976,
     /* 1056292 */     GIR_EraseRootFromParent_Done,
     /* 1056293 */   // Label 15624: @1056293
     /* 1056293 */   GIM_Try, /*On fail goto*//*Label 15625*/ GIMT_Encode4(1056370), // Rule ID 20977 //
     /* 1056298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1056315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056337 */     // MIs[0] policy
     /* 1056337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1056350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056356 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056369 */     // GIR_Coverage, 20977,
     /* 1056369 */     GIR_EraseRootFromParent_Done,
     /* 1056370 */   // Label 15625: @1056370
     /* 1056370 */   GIM_Try, /*On fail goto*//*Label 15626*/ GIMT_Encode4(1056447), // Rule ID 20980 //
     /* 1056375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1056378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1056392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056414 */     // MIs[0] policy
     /* 1056414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1056427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056446 */     // GIR_Coverage, 20980,
     /* 1056446 */     GIR_EraseRootFromParent_Done,
     /* 1056447 */   // Label 15626: @1056447
     /* 1056447 */   GIM_Try, /*On fail goto*//*Label 15627*/ GIMT_Encode4(1056524), // Rule ID 20981 //
     /* 1056452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1056469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056491 */     // MIs[0] policy
     /* 1056491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1056504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056523 */     // GIR_Coverage, 20981,
     /* 1056523 */     GIR_EraseRootFromParent_Done,
     /* 1056524 */   // Label 15627: @1056524
     /* 1056524 */   GIM_Try, /*On fail goto*//*Label 15628*/ GIMT_Encode4(1056601), // Rule ID 20984 //
     /* 1056529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1056532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1056540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1056543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1056546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056568 */     // MIs[0] policy
     /* 1056568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1056581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056600 */     // GIR_Coverage, 20984,
     /* 1056600 */     GIR_EraseRootFromParent_Done,
     /* 1056601 */   // Label 15628: @1056601
     /* 1056601 */   GIM_Try, /*On fail goto*//*Label 15629*/ GIMT_Encode4(1056678), // Rule ID 20985 //
     /* 1056606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1056609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1056617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1056620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1056623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056645 */     // MIs[0] policy
     /* 1056645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056655 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1056658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056664 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056677 */     // GIR_Coverage, 20985,
     /* 1056677 */     GIR_EraseRootFromParent_Done,
     /* 1056678 */   // Label 15629: @1056678
     /* 1056678 */   GIM_Try, /*On fail goto*//*Label 15630*/ GIMT_Encode4(1056755), // Rule ID 20988 //
     /* 1056683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1056686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1056694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1056697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1056700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056722 */     // MIs[0] policy
     /* 1056722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1056735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056754 */     // GIR_Coverage, 20988,
     /* 1056754 */     GIR_EraseRootFromParent_Done,
     /* 1056755 */   // Label 15630: @1056755
     /* 1056755 */   GIM_Try, /*On fail goto*//*Label 15631*/ GIMT_Encode4(1056832), // Rule ID 20989 //
     /* 1056760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1056763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1056771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1056774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1056777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056799 */     // MIs[0] policy
     /* 1056799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056809 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1056812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056831 */     // GIR_Coverage, 20989,
     /* 1056831 */     GIR_EraseRootFromParent_Done,
     /* 1056832 */   // Label 15631: @1056832
     /* 1056832 */   GIM_Try, /*On fail goto*//*Label 15632*/ GIMT_Encode4(1056909), // Rule ID 20992 //
     /* 1056837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1056840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1056848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1056851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1056854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056876 */     // MIs[0] policy
     /* 1056876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056886 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1056889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056895 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056908 */     // GIR_Coverage, 20992,
     /* 1056908 */     GIR_EraseRootFromParent_Done,
     /* 1056909 */   // Label 15632: @1056909
     /* 1056909 */   GIM_Try, /*On fail goto*//*Label 15633*/ GIMT_Encode4(1056986), // Rule ID 20993 //
     /* 1056914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1056917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1056922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1056925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1056928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1056931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056953 */     // MIs[0] policy
     /* 1056953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056963 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1056966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056972 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056985 */     // GIR_Coverage, 20993,
     /* 1056985 */     GIR_EraseRootFromParent_Done,
     /* 1056986 */   // Label 15633: @1056986
     /* 1056986 */   GIM_Try, /*On fail goto*//*Label 15634*/ GIMT_Encode4(1057063), // Rule ID 21260 //
     /* 1056991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1057002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1057005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1057008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057030 */     // MIs[0] policy
     /* 1057030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1057043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057062 */     // GIR_Coverage, 21260,
     /* 1057062 */     GIR_EraseRootFromParent_Done,
     /* 1057063 */   // Label 15634: @1057063
     /* 1057063 */   GIM_Try, /*On fail goto*//*Label 15635*/ GIMT_Encode4(1057140), // Rule ID 21261 //
     /* 1057068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1057079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1057082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1057085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057107 */     // MIs[0] policy
     /* 1057107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057117 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1057120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057126 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057139 */     // GIR_Coverage, 21261,
     /* 1057139 */     GIR_EraseRootFromParent_Done,
     /* 1057140 */   // Label 15635: @1057140
     /* 1057140 */   GIM_Try, /*On fail goto*//*Label 15636*/ GIMT_Encode4(1057217), // Rule ID 21264 //
     /* 1057145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1057162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057184 */     // MIs[0] policy
     /* 1057184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057194 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1057197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057216 */     // GIR_Coverage, 21264,
     /* 1057216 */     GIR_EraseRootFromParent_Done,
     /* 1057217 */   // Label 15636: @1057217
     /* 1057217 */   GIM_Try, /*On fail goto*//*Label 15637*/ GIMT_Encode4(1057294), // Rule ID 21265 //
     /* 1057222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1057239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057261 */     // MIs[0] policy
     /* 1057261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1057274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057293 */     // GIR_Coverage, 21265,
     /* 1057293 */     GIR_EraseRootFromParent_Done,
     /* 1057294 */   // Label 15637: @1057294
     /* 1057294 */   GIM_Try, /*On fail goto*//*Label 15638*/ GIMT_Encode4(1057371), // Rule ID 21268 //
     /* 1057299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1057316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057338 */     // MIs[0] policy
     /* 1057338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1057351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057370 */     // GIR_Coverage, 21268,
     /* 1057370 */     GIR_EraseRootFromParent_Done,
     /* 1057371 */   // Label 15638: @1057371
     /* 1057371 */   GIM_Try, /*On fail goto*//*Label 15639*/ GIMT_Encode4(1057448), // Rule ID 21269 //
     /* 1057376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1057393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057415 */     // MIs[0] policy
     /* 1057415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057425 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1057428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057434 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057447 */     // GIR_Coverage, 21269,
     /* 1057447 */     GIR_EraseRootFromParent_Done,
     /* 1057448 */   // Label 15639: @1057448
     /* 1057448 */   GIM_Try, /*On fail goto*//*Label 15640*/ GIMT_Encode4(1057525), // Rule ID 21272 //
     /* 1057453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1057470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057492 */     // MIs[0] policy
     /* 1057492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057511 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057524 */     // GIR_Coverage, 21272,
     /* 1057524 */     GIR_EraseRootFromParent_Done,
     /* 1057525 */   // Label 15640: @1057525
     /* 1057525 */   GIM_Try, /*On fail goto*//*Label 15641*/ GIMT_Encode4(1057602), // Rule ID 21273 //
     /* 1057530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1057547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057569 */     // MIs[0] policy
     /* 1057569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057579 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057588 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057601 */     // GIR_Coverage, 21273,
     /* 1057601 */     GIR_EraseRootFromParent_Done,
     /* 1057602 */   // Label 15641: @1057602
     /* 1057602 */   GIM_Try, /*On fail goto*//*Label 15642*/ GIMT_Encode4(1057679), // Rule ID 21276 //
     /* 1057607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1057618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1057621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057646 */     // MIs[0] policy
     /* 1057646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057656 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057678 */     // GIR_Coverage, 21276,
     /* 1057678 */     GIR_EraseRootFromParent_Done,
     /* 1057679 */   // Label 15642: @1057679
     /* 1057679 */   GIM_Try, /*On fail goto*//*Label 15643*/ GIMT_Encode4(1057756), // Rule ID 21277 //
     /* 1057684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1057695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1057698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057723 */     // MIs[0] policy
     /* 1057723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057733 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057742 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057755 */     // GIR_Coverage, 21277,
     /* 1057755 */     GIR_EraseRootFromParent_Done,
     /* 1057756 */   // Label 15643: @1057756
     /* 1057756 */   GIM_Try, /*On fail goto*//*Label 15644*/ GIMT_Encode4(1057833), // Rule ID 21280 //
     /* 1057761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1057772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1057775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1057778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057800 */     // MIs[0] policy
     /* 1057800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057810 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1057813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057832 */     // GIR_Coverage, 21280,
     /* 1057832 */     GIR_EraseRootFromParent_Done,
     /* 1057833 */   // Label 15644: @1057833
     /* 1057833 */   GIM_Try, /*On fail goto*//*Label 15645*/ GIMT_Encode4(1057910), // Rule ID 21281 //
     /* 1057838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1057849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1057852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1057855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057877 */     // MIs[0] policy
     /* 1057877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057887 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1057890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057896 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057909 */     // GIR_Coverage, 21281,
     /* 1057909 */     GIR_EraseRootFromParent_Done,
     /* 1057910 */   // Label 15645: @1057910
     /* 1057910 */   GIM_Try, /*On fail goto*//*Label 15646*/ GIMT_Encode4(1057987), // Rule ID 21284 //
     /* 1057915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1057932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057954 */     // MIs[0] policy
     /* 1057954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1057967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057986 */     // GIR_Coverage, 21284,
     /* 1057986 */     GIR_EraseRootFromParent_Done,
     /* 1057987 */   // Label 15646: @1057987
     /* 1057987 */   GIM_Try, /*On fail goto*//*Label 15647*/ GIMT_Encode4(1058064), // Rule ID 21285 //
     /* 1057992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1058000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058031 */     // MIs[0] policy
     /* 1058031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058041 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1058044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058050 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058063 */     // GIR_Coverage, 21285,
     /* 1058063 */     GIR_EraseRootFromParent_Done,
     /* 1058064 */   // Label 15647: @1058064
     /* 1058064 */   GIM_Try, /*On fail goto*//*Label 15648*/ GIMT_Encode4(1058141), // Rule ID 21288 //
     /* 1058069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1058077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1058086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058108 */     // MIs[0] policy
     /* 1058108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058118 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1058121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058127 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058140 */     // GIR_Coverage, 21288,
     /* 1058140 */     GIR_EraseRootFromParent_Done,
     /* 1058141 */   // Label 15648: @1058141
     /* 1058141 */   GIM_Try, /*On fail goto*//*Label 15649*/ GIMT_Encode4(1058218), // Rule ID 21289 //
     /* 1058146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1058154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1058163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058185 */     // MIs[0] policy
     /* 1058185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058195 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1058198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058217 */     // GIR_Coverage, 21289,
     /* 1058217 */     GIR_EraseRootFromParent_Done,
     /* 1058218 */   // Label 15649: @1058218
     /* 1058218 */   GIM_Try, /*On fail goto*//*Label 15650*/ GIMT_Encode4(1058295), // Rule ID 21292 //
     /* 1058223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1058231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1058240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058262 */     // MIs[0] policy
     /* 1058262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1058275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058294 */     // GIR_Coverage, 21292,
     /* 1058294 */     GIR_EraseRootFromParent_Done,
     /* 1058295 */   // Label 15650: @1058295
     /* 1058295 */   GIM_Try, /*On fail goto*//*Label 15651*/ GIMT_Encode4(1058372), // Rule ID 21293 //
     /* 1058300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1058308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1058317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058339 */     // MIs[0] policy
     /* 1058339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058349 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1058352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058358 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058371 */     // GIR_Coverage, 21293,
     /* 1058371 */     GIR_EraseRootFromParent_Done,
     /* 1058372 */   // Label 15651: @1058372
     /* 1058372 */   GIM_Try, /*On fail goto*//*Label 15652*/ GIMT_Encode4(1058449), // Rule ID 21296 //
     /* 1058377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1058388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1058391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058416 */     // MIs[0] policy
     /* 1058416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058426 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1058429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058448 */     // GIR_Coverage, 21296,
     /* 1058448 */     GIR_EraseRootFromParent_Done,
     /* 1058449 */   // Label 15652: @1058449
     /* 1058449 */   GIM_Try, /*On fail goto*//*Label 15653*/ GIMT_Encode4(1058526), // Rule ID 21297 //
     /* 1058454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1058465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1058468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058493 */     // MIs[0] policy
     /* 1058493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058503 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1058506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058525 */     // GIR_Coverage, 21297,
     /* 1058525 */     GIR_EraseRootFromParent_Done,
     /* 1058526 */   // Label 15653: @1058526
     /* 1058526 */   GIM_Try, /*On fail goto*//*Label 15654*/ GIMT_Encode4(1058603), // Rule ID 21300 //
     /* 1058531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1058542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1058545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1058548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058570 */     // MIs[0] policy
     /* 1058570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058602 */     // GIR_Coverage, 21300,
     /* 1058602 */     GIR_EraseRootFromParent_Done,
     /* 1058603 */   // Label 15654: @1058603
     /* 1058603 */   GIM_Try, /*On fail goto*//*Label 15655*/ GIMT_Encode4(1058680), // Rule ID 21301 //
     /* 1058608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1058619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1058622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1058625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058647 */     // MIs[0] policy
     /* 1058647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058679 */     // GIR_Coverage, 21301,
     /* 1058679 */     GIR_EraseRootFromParent_Done,
     /* 1058680 */   // Label 15655: @1058680
     /* 1058680 */   GIM_Try, /*On fail goto*//*Label 15656*/ GIMT_Encode4(1058757), // Rule ID 21304 //
     /* 1058685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1058696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1058699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058724 */     // MIs[0] policy
     /* 1058724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058756 */     // GIR_Coverage, 21304,
     /* 1058756 */     GIR_EraseRootFromParent_Done,
     /* 1058757 */   // Label 15656: @1058757
     /* 1058757 */   GIM_Try, /*On fail goto*//*Label 15657*/ GIMT_Encode4(1058834), // Rule ID 21305 //
     /* 1058762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1058773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1058776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058801 */     // MIs[0] policy
     /* 1058801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058820 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058833 */     // GIR_Coverage, 21305,
     /* 1058833 */     GIR_EraseRootFromParent_Done,
     /* 1058834 */   // Label 15657: @1058834
     /* 1058834 */   GIM_Try, /*On fail goto*//*Label 15658*/ GIMT_Encode4(1058911), // Rule ID 21308 //
     /* 1058839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1058850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1058853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1058856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058878 */     // MIs[0] policy
     /* 1058878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058910 */     // GIR_Coverage, 21308,
     /* 1058910 */     GIR_EraseRootFromParent_Done,
     /* 1058911 */   // Label 15658: @1058911
     /* 1058911 */   GIM_Try, /*On fail goto*//*Label 15659*/ GIMT_Encode4(1058988), // Rule ID 21309 //
     /* 1058916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1058927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1058930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1058933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058955 */     // MIs[0] policy
     /* 1058955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058965 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058974 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058987 */     // GIR_Coverage, 21309,
     /* 1058987 */     GIR_EraseRootFromParent_Done,
     /* 1058988 */   // Label 15659: @1058988
     /* 1058988 */   GIM_Try, /*On fail goto*//*Label 15660*/ GIMT_Encode4(1059065), // Rule ID 21312 //
     /* 1058993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1059001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1059004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1059007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1059010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059032 */     // MIs[0] policy
     /* 1059032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1059045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059064 */     // GIR_Coverage, 21312,
     /* 1059064 */     GIR_EraseRootFromParent_Done,
     /* 1059065 */   // Label 15660: @1059065
     /* 1059065 */   GIM_Try, /*On fail goto*//*Label 15661*/ GIMT_Encode4(1059142), // Rule ID 21313 //
     /* 1059070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1059078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1059081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1059084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1059087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059109 */     // MIs[0] policy
     /* 1059109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059119 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1059122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059128 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059141 */     // GIR_Coverage, 21313,
     /* 1059141 */     GIR_EraseRootFromParent_Done,
     /* 1059142 */   // Label 15661: @1059142
     /* 1059142 */   GIM_Try, /*On fail goto*//*Label 15662*/ GIMT_Encode4(1059219), // Rule ID 21316 //
     /* 1059147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1059150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1059155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1059158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1059161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1059164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059186 */     // MIs[0] policy
     /* 1059186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059196 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1059199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059218 */     // GIR_Coverage, 21316,
     /* 1059218 */     GIR_EraseRootFromParent_Done,
     /* 1059219 */   // Label 15662: @1059219
     /* 1059219 */   GIM_Try, /*On fail goto*//*Label 15663*/ GIMT_Encode4(1059296), // Rule ID 21317 //
     /* 1059224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1059227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1059232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1059235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1059238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1059241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059263 */     // MIs[0] policy
     /* 1059263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059273 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1059276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059282 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059295 */     // GIR_Coverage, 21317,
     /* 1059295 */     GIR_EraseRootFromParent_Done,
     /* 1059296 */   // Label 15663: @1059296
     /* 1059296 */   GIM_Try, /*On fail goto*//*Label 15664*/ GIMT_Encode4(1059373), // Rule ID 21320 //
     /* 1059301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1059304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1059309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1059312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1059315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1059318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059340 */     // MIs[0] policy
     /* 1059340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059350 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1059353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059359 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059372 */     // GIR_Coverage, 21320,
     /* 1059372 */     GIR_EraseRootFromParent_Done,
     /* 1059373 */   // Label 15664: @1059373
     /* 1059373 */   GIM_Try, /*On fail goto*//*Label 15665*/ GIMT_Encode4(1059450), // Rule ID 21321 //
     /* 1059378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1059381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1059386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1059389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1059392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1059395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059417 */     // MIs[0] policy
     /* 1059417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1059430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059449 */     // GIR_Coverage, 21321,
     /* 1059449 */     GIR_EraseRootFromParent_Done,
     /* 1059450 */   // Label 15665: @1059450
     /* 1059450 */   GIM_Try, /*On fail goto*//*Label 15666*/ GIMT_Encode4(1059527), // Rule ID 21324 //
     /* 1059455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1059458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1059463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1059466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1059469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1059472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059494 */     // MIs[0] policy
     /* 1059494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059504 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1059507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059526 */     // GIR_Coverage, 21324,
     /* 1059526 */     GIR_EraseRootFromParent_Done,
     /* 1059527 */   // Label 15666: @1059527
     /* 1059527 */   GIM_Try, /*On fail goto*//*Label 15667*/ GIMT_Encode4(1059604), // Rule ID 21325 //
     /* 1059532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1059535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1059540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1059543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1059546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1059549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059571 */     // MIs[0] policy
     /* 1059571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059581 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1059584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059590 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059603 */     // GIR_Coverage, 21325,
     /* 1059603 */     GIR_EraseRootFromParent_Done,
     /* 1059604 */   // Label 15667: @1059604
     /* 1059604 */   GIM_Try, /*On fail goto*//*Label 15668*/ GIMT_Encode4(1059681), // Rule ID 21328 //
     /* 1059609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1059612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1059617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1059620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1059623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1059626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059648 */     // MIs[0] policy
     /* 1059648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1059661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059680 */     // GIR_Coverage, 21328,
     /* 1059680 */     GIR_EraseRootFromParent_Done,
     /* 1059681 */   // Label 15668: @1059681
     /* 1059681 */   GIM_Try, /*On fail goto*//*Label 15669*/ GIMT_Encode4(1059758), // Rule ID 21329 //
     /* 1059686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1059689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1059694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1059697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1059700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1059703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059725 */     // MIs[0] policy
     /* 1059725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059735 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1059738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059757 */     // GIR_Coverage, 21329,
     /* 1059757 */     GIR_EraseRootFromParent_Done,
     /* 1059758 */   // Label 15669: @1059758
     /* 1059758 */   GIM_Try, /*On fail goto*//*Label 15670*/ GIMT_Encode4(1059835), // Rule ID 21332 //
     /* 1059763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1059774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1059777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1059780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059802 */     // MIs[0] policy
     /* 1059802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059812 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1059815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059834 */     // GIR_Coverage, 21332,
     /* 1059834 */     GIR_EraseRootFromParent_Done,
     /* 1059835 */   // Label 15670: @1059835
     /* 1059835 */   GIM_Try, /*On fail goto*//*Label 15671*/ GIMT_Encode4(1059912), // Rule ID 21333 //
     /* 1059840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1059851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1059854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1059857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059879 */     // MIs[0] policy
     /* 1059879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059889 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1059892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059898 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059911 */     // GIR_Coverage, 21333,
     /* 1059911 */     GIR_EraseRootFromParent_Done,
     /* 1059912 */   // Label 15671: @1059912
     /* 1059912 */   GIM_Try, /*On fail goto*//*Label 15672*/ GIMT_Encode4(1059989), // Rule ID 21336 //
     /* 1059917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1059928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1059931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1059934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059956 */     // MIs[0] policy
     /* 1059956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059966 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1059969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059975 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059988 */     // GIR_Coverage, 21336,
     /* 1059988 */     GIR_EraseRootFromParent_Done,
     /* 1059989 */   // Label 15672: @1059989
     /* 1059989 */   GIM_Try, /*On fail goto*//*Label 15673*/ GIMT_Encode4(1060066), // Rule ID 21337 //
     /* 1059994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1060005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1060008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1060011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060033 */     // MIs[0] policy
     /* 1060033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060043 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1060046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060052 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060065 */     // GIR_Coverage, 21337,
     /* 1060065 */     GIR_EraseRootFromParent_Done,
     /* 1060066 */   // Label 15673: @1060066
     /* 1060066 */   GIM_Try, /*On fail goto*//*Label 15674*/ GIMT_Encode4(1060143), // Rule ID 21340 //
     /* 1060071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1060082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1060085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1060088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060110 */     // MIs[0] policy
     /* 1060110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060120 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1060123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060142 */     // GIR_Coverage, 21340,
     /* 1060142 */     GIR_EraseRootFromParent_Done,
     /* 1060143 */   // Label 15674: @1060143
     /* 1060143 */   GIM_Try, /*On fail goto*//*Label 15675*/ GIMT_Encode4(1060220), // Rule ID 21341 //
     /* 1060148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1060159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1060162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1060165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060187 */     // MIs[0] policy
     /* 1060187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060197 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1060200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060206 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060219 */     // GIR_Coverage, 21341,
     /* 1060219 */     GIR_EraseRootFromParent_Done,
     /* 1060220 */   // Label 15675: @1060220
     /* 1060220 */   GIM_Try, /*On fail goto*//*Label 15676*/ GIMT_Encode4(1060297), // Rule ID 21344 //
     /* 1060225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1060236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1060239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1060242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060264 */     // MIs[0] policy
     /* 1060264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060274 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1060277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060296 */     // GIR_Coverage, 21344,
     /* 1060296 */     GIR_EraseRootFromParent_Done,
     /* 1060297 */   // Label 15676: @1060297
     /* 1060297 */   GIM_Try, /*On fail goto*//*Label 15677*/ GIMT_Encode4(1060374), // Rule ID 21345 //
     /* 1060302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1060313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1060316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1060319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060341 */     // MIs[0] policy
     /* 1060341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060351 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1060354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060360 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060373 */     // GIR_Coverage, 21345,
     /* 1060373 */     GIR_EraseRootFromParent_Done,
     /* 1060374 */   // Label 15677: @1060374
     /* 1060374 */   GIM_Try, /*On fail goto*//*Label 15678*/ GIMT_Encode4(1060451), // Rule ID 21348 //
     /* 1060379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1060390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1060393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1060396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060418 */     // MIs[0] policy
     /* 1060418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060428 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1060431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060450 */     // GIR_Coverage, 21348,
     /* 1060450 */     GIR_EraseRootFromParent_Done,
     /* 1060451 */   // Label 15678: @1060451
     /* 1060451 */   GIM_Try, /*On fail goto*//*Label 15679*/ GIMT_Encode4(1060528), // Rule ID 21349 //
     /* 1060456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1060467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1060470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1060473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060495 */     // MIs[0] policy
     /* 1060495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060505 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1060508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060527 */     // GIR_Coverage, 21349,
     /* 1060527 */     GIR_EraseRootFromParent_Done,
     /* 1060528 */   // Label 15679: @1060528
     /* 1060528 */   GIM_Try, /*On fail goto*//*Label 15680*/ GIMT_Encode4(1060605), // Rule ID 21352 //
     /* 1060533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1060544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1060547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1060550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1060553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060572 */     // MIs[0] policy
     /* 1060572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060582 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1060585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060604 */     // GIR_Coverage, 21352,
     /* 1060604 */     GIR_EraseRootFromParent_Done,
     /* 1060605 */   // Label 15680: @1060605
     /* 1060605 */   GIM_Try, /*On fail goto*//*Label 15681*/ GIMT_Encode4(1060682), // Rule ID 21353 //
     /* 1060610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1060621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1060624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1060627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1060630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060649 */     // MIs[0] policy
     /* 1060649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060659 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1060662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060681 */     // GIR_Coverage, 21353,
     /* 1060681 */     GIR_EraseRootFromParent_Done,
     /* 1060682 */   // Label 15681: @1060682
     /* 1060682 */   GIM_Try, /*On fail goto*//*Label 15682*/ GIMT_Encode4(1060759), // Rule ID 21356 //
     /* 1060687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1060704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060726 */     // MIs[0] policy
     /* 1060726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060736 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1060739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060758 */     // GIR_Coverage, 21356,
     /* 1060758 */     GIR_EraseRootFromParent_Done,
     /* 1060759 */   // Label 15682: @1060759
     /* 1060759 */   GIM_Try, /*On fail goto*//*Label 15683*/ GIMT_Encode4(1060836), // Rule ID 21357 //
     /* 1060764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1060781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060803 */     // MIs[0] policy
     /* 1060803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060813 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1060816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060835 */     // GIR_Coverage, 21357,
     /* 1060835 */     GIR_EraseRootFromParent_Done,
     /* 1060836 */   // Label 15683: @1060836
     /* 1060836 */   GIM_Try, /*On fail goto*//*Label 15684*/ GIMT_Encode4(1060913), // Rule ID 21360 //
     /* 1060841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1060858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060880 */     // MIs[0] policy
     /* 1060880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060890 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1060893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060912 */     // GIR_Coverage, 21360,
     /* 1060912 */     GIR_EraseRootFromParent_Done,
     /* 1060913 */   // Label 15684: @1060913
     /* 1060913 */   GIM_Try, /*On fail goto*//*Label 15685*/ GIMT_Encode4(1060990), // Rule ID 21361 //
     /* 1060918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1060935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060957 */     // MIs[0] policy
     /* 1060957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060967 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1060970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060976 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060989 */     // GIR_Coverage, 21361,
     /* 1060989 */     GIR_EraseRootFromParent_Done,
     /* 1060990 */   // Label 15685: @1060990
     /* 1060990 */   GIM_Try, /*On fail goto*//*Label 15686*/ GIMT_Encode4(1061067), // Rule ID 21364 //
     /* 1060995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1061006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1061009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1061012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061034 */     // MIs[0] policy
     /* 1061034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061044 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1061047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061066 */     // GIR_Coverage, 21364,
     /* 1061066 */     GIR_EraseRootFromParent_Done,
     /* 1061067 */   // Label 15686: @1061067
     /* 1061067 */   GIM_Try, /*On fail goto*//*Label 15687*/ GIMT_Encode4(1061144), // Rule ID 21365 //
     /* 1061072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1061075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1061083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1061086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1061089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061111 */     // MIs[0] policy
     /* 1061111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061121 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1061124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061143 */     // GIR_Coverage, 21365,
     /* 1061143 */     GIR_EraseRootFromParent_Done,
     /* 1061144 */   // Label 15687: @1061144
     /* 1061144 */   GIM_Try, /*On fail goto*//*Label 15688*/ GIMT_Encode4(1061221), // Rule ID 21368 //
     /* 1061149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1061152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1061160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1061163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1061166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061188 */     // MIs[0] policy
     /* 1061188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061198 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1061201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061220 */     // GIR_Coverage, 21368,
     /* 1061220 */     GIR_EraseRootFromParent_Done,
     /* 1061221 */   // Label 15688: @1061221
     /* 1061221 */   GIM_Try, /*On fail goto*//*Label 15689*/ GIMT_Encode4(1061298), // Rule ID 21369 //
     /* 1061226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1061229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1061237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1061240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1061243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061265 */     // MIs[0] policy
     /* 1061265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061275 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1061278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061297 */     // GIR_Coverage, 21369,
     /* 1061297 */     GIR_EraseRootFromParent_Done,
     /* 1061298 */   // Label 15689: @1061298
     /* 1061298 */   GIM_Try, /*On fail goto*//*Label 15690*/ GIMT_Encode4(1061375), // Rule ID 21372 //
     /* 1061303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1061306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1061314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1061317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1061320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061342 */     // MIs[0] policy
     /* 1061342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061352 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1061355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061374 */     // GIR_Coverage, 21372,
     /* 1061374 */     GIR_EraseRootFromParent_Done,
     /* 1061375 */   // Label 15690: @1061375
     /* 1061375 */   GIM_Try, /*On fail goto*//*Label 15691*/ GIMT_Encode4(1061452), // Rule ID 21373 //
     /* 1061380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1061383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1061391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1061394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1061397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061419 */     // MIs[0] policy
     /* 1061419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061429 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1061432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061438 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061451 */     // GIR_Coverage, 21373,
     /* 1061451 */     GIR_EraseRootFromParent_Done,
     /* 1061452 */   // Label 15691: @1061452
     /* 1061452 */   GIM_Try, /*On fail goto*//*Label 15692*/ GIMT_Encode4(1061529), // Rule ID 21376 //
     /* 1061457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1061460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1061468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1061471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1061474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061496 */     // MIs[0] policy
     /* 1061496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061506 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1061509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061528 */     // GIR_Coverage, 21376,
     /* 1061528 */     GIR_EraseRootFromParent_Done,
     /* 1061529 */   // Label 15692: @1061529
     /* 1061529 */   GIM_Try, /*On fail goto*//*Label 15693*/ GIMT_Encode4(1061606), // Rule ID 21377 //
     /* 1061534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1061537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1061545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1061548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1061551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061573 */     // MIs[0] policy
     /* 1061573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061583 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1061586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061592 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061605 */     // GIR_Coverage, 21377,
     /* 1061605 */     GIR_EraseRootFromParent_Done,
     /* 1061606 */   // Label 15693: @1061606
     /* 1061606 */   GIM_Try, /*On fail goto*//*Label 15694*/ GIMT_Encode4(1061683), // Rule ID 21380 //
     /* 1061611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1061614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1061622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1061625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1061628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061650 */     // MIs[0] policy
     /* 1061650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061660 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1061663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061682 */     // GIR_Coverage, 21380,
     /* 1061682 */     GIR_EraseRootFromParent_Done,
     /* 1061683 */   // Label 15694: @1061683
     /* 1061683 */   GIM_Try, /*On fail goto*//*Label 15695*/ GIMT_Encode4(1061760), // Rule ID 21381 //
     /* 1061688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1061691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1061699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1061702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1061705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061727 */     // MIs[0] policy
     /* 1061727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061737 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1061740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061746 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061759 */     // GIR_Coverage, 21381,
     /* 1061759 */     GIR_EraseRootFromParent_Done,
     /* 1061760 */   // Label 15695: @1061760
     /* 1061760 */   GIM_Try, /*On fail goto*//*Label 15696*/ GIMT_Encode4(1061837), // Rule ID 21384 //
     /* 1061765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1061768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1061782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061804 */     // MIs[0] policy
     /* 1061804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061814 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1061817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061836 */     // GIR_Coverage, 21384,
     /* 1061836 */     GIR_EraseRootFromParent_Done,
     /* 1061837 */   // Label 15696: @1061837
     /* 1061837 */   GIM_Try, /*On fail goto*//*Label 15697*/ GIMT_Encode4(1061914), // Rule ID 21385 //
     /* 1061842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1061845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1061859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061881 */     // MIs[0] policy
     /* 1061881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061891 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1061894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061913 */     // GIR_Coverage, 21385,
     /* 1061913 */     GIR_EraseRootFromParent_Done,
     /* 1061914 */   // Label 15697: @1061914
     /* 1061914 */   GIM_Try, /*On fail goto*//*Label 15698*/ GIMT_Encode4(1061991), // Rule ID 21388 //
     /* 1061919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1061922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1061927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1061930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1061933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1061936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061958 */     // MIs[0] policy
     /* 1061958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061968 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1061971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061990 */     // GIR_Coverage, 21388,
     /* 1061990 */     GIR_EraseRootFromParent_Done,
     /* 1061991 */   // Label 15698: @1061991
     /* 1061991 */   GIM_Try, /*On fail goto*//*Label 15699*/ GIMT_Encode4(1062068), // Rule ID 21389 //
     /* 1061996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1061999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1062004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1062007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1062010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1062013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062035 */     // MIs[0] policy
     /* 1062035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062045 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1062048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062054 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062067 */     // GIR_Coverage, 21389,
     /* 1062067 */     GIR_EraseRootFromParent_Done,
     /* 1062068 */   // Label 15699: @1062068
     /* 1062068 */   GIM_Try, /*On fail goto*//*Label 15700*/ GIMT_Encode4(1062145), // Rule ID 21392 //
     /* 1062073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1062084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1062087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1062090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062112 */     // MIs[0] policy
     /* 1062112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062122 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1062125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062144 */     // GIR_Coverage, 21392,
     /* 1062144 */     GIR_EraseRootFromParent_Done,
     /* 1062145 */   // Label 15700: @1062145
     /* 1062145 */   GIM_Try, /*On fail goto*//*Label 15701*/ GIMT_Encode4(1062222), // Rule ID 21393 //
     /* 1062150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1062161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1062164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1062167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062189 */     // MIs[0] policy
     /* 1062189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062199 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1062202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062221 */     // GIR_Coverage, 21393,
     /* 1062221 */     GIR_EraseRootFromParent_Done,
     /* 1062222 */   // Label 15701: @1062222
     /* 1062222 */   GIM_Try, /*On fail goto*//*Label 15702*/ GIMT_Encode4(1062299), // Rule ID 21396 //
     /* 1062227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1062238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1062241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1062244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062266 */     // MIs[0] policy
     /* 1062266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062276 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1062279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062298 */     // GIR_Coverage, 21396,
     /* 1062298 */     GIR_EraseRootFromParent_Done,
     /* 1062299 */   // Label 15702: @1062299
     /* 1062299 */   GIM_Try, /*On fail goto*//*Label 15703*/ GIMT_Encode4(1062376), // Rule ID 21397 //
     /* 1062304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1062315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1062318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1062321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062343 */     // MIs[0] policy
     /* 1062343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062353 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1062356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062375 */     // GIR_Coverage, 21397,
     /* 1062375 */     GIR_EraseRootFromParent_Done,
     /* 1062376 */   // Label 15703: @1062376
     /* 1062376 */   GIM_Try, /*On fail goto*//*Label 15704*/ GIMT_Encode4(1062453), // Rule ID 21400 //
     /* 1062381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1062392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1062395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1062398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062420 */     // MIs[0] policy
     /* 1062420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062430 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1062433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062452 */     // GIR_Coverage, 21400,
     /* 1062452 */     GIR_EraseRootFromParent_Done,
     /* 1062453 */   // Label 15704: @1062453
     /* 1062453 */   GIM_Try, /*On fail goto*//*Label 15705*/ GIMT_Encode4(1062530), // Rule ID 21401 //
     /* 1062458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1062469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1062472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1062475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062497 */     // MIs[0] policy
     /* 1062497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062507 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1062510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062529 */     // GIR_Coverage, 21401,
     /* 1062529 */     GIR_EraseRootFromParent_Done,
     /* 1062530 */   // Label 15705: @1062530
     /* 1062530 */   GIM_Try, /*On fail goto*//*Label 15706*/ GIMT_Encode4(1062607), // Rule ID 21404 //
     /* 1062535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1062546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1062549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1062552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062574 */     // MIs[0] policy
     /* 1062574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062584 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1062587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062606 */     // GIR_Coverage, 21404,
     /* 1062606 */     GIR_EraseRootFromParent_Done,
     /* 1062607 */   // Label 15706: @1062607
     /* 1062607 */   GIM_Try, /*On fail goto*//*Label 15707*/ GIMT_Encode4(1062684), // Rule ID 21405 //
     /* 1062612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1062623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1062626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1062629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062651 */     // MIs[0] policy
     /* 1062651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062661 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1062664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062683 */     // GIR_Coverage, 21405,
     /* 1062683 */     GIR_EraseRootFromParent_Done,
     /* 1062684 */   // Label 15707: @1062684
     /* 1062684 */   GIM_Try, /*On fail goto*//*Label 15708*/ GIMT_Encode4(1062761), // Rule ID 21408 //
     /* 1062689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1062700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1062703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1062706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062728 */     // MIs[0] policy
     /* 1062728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062738 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1062741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062760 */     // GIR_Coverage, 21408,
     /* 1062760 */     GIR_EraseRootFromParent_Done,
     /* 1062761 */   // Label 15708: @1062761
     /* 1062761 */   GIM_Try, /*On fail goto*//*Label 15709*/ GIMT_Encode4(1062838), // Rule ID 21409 //
     /* 1062766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1062777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1062780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1062783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062805 */     // MIs[0] policy
     /* 1062805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062815 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1062818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062837 */     // GIR_Coverage, 21409,
     /* 1062837 */     GIR_EraseRootFromParent_Done,
     /* 1062838 */   // Label 15709: @1062838
     /* 1062838 */   GIM_Try, /*On fail goto*//*Label 15710*/ GIMT_Encode4(1062915), // Rule ID 21412 //
     /* 1062843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1062854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1062857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1062860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1062863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062882 */     // MIs[0] policy
     /* 1062882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062892 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1062895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062914 */     // GIR_Coverage, 21412,
     /* 1062914 */     GIR_EraseRootFromParent_Done,
     /* 1062915 */   // Label 15710: @1062915
     /* 1062915 */   GIM_Try, /*On fail goto*//*Label 15711*/ GIMT_Encode4(1062992), // Rule ID 21413 //
     /* 1062920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1062931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1062934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1062937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1062940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062959 */     // MIs[0] policy
     /* 1062959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062969 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1062972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062978 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062991 */     // GIR_Coverage, 21413,
     /* 1062991 */     GIR_EraseRootFromParent_Done,
     /* 1062992 */   // Label 15711: @1062992
     /* 1062992 */   GIM_Try, /*On fail goto*//*Label 15712*/ GIMT_Encode4(1063069), // Rule ID 21416 //
     /* 1062997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1063000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1063008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1063011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1063014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063036 */     // MIs[0] policy
     /* 1063036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063046 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1063049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063068 */     // GIR_Coverage, 21416,
     /* 1063068 */     GIR_EraseRootFromParent_Done,
     /* 1063069 */   // Label 15712: @1063069
     /* 1063069 */   GIM_Try, /*On fail goto*//*Label 15713*/ GIMT_Encode4(1063146), // Rule ID 21417 //
     /* 1063074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1063077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1063085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1063088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1063091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063113 */     // MIs[0] policy
     /* 1063113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063123 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1063126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063132 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063145 */     // GIR_Coverage, 21417,
     /* 1063145 */     GIR_EraseRootFromParent_Done,
     /* 1063146 */   // Label 15713: @1063146
     /* 1063146 */   GIM_Try, /*On fail goto*//*Label 15714*/ GIMT_Encode4(1063223), // Rule ID 21420 //
     /* 1063151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1063154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1063162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1063165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1063168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063190 */     // MIs[0] policy
     /* 1063190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063200 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1063203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063222 */     // GIR_Coverage, 21420,
     /* 1063222 */     GIR_EraseRootFromParent_Done,
     /* 1063223 */   // Label 15714: @1063223
     /* 1063223 */   GIM_Try, /*On fail goto*//*Label 15715*/ GIMT_Encode4(1063300), // Rule ID 21421 //
     /* 1063228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1063231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1063239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1063242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1063245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063267 */     // MIs[0] policy
     /* 1063267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063277 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1063280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063299 */     // GIR_Coverage, 21421,
     /* 1063299 */     GIR_EraseRootFromParent_Done,
     /* 1063300 */   // Label 15715: @1063300
     /* 1063300 */   GIM_Try, /*On fail goto*//*Label 15716*/ GIMT_Encode4(1063377), // Rule ID 21424 //
     /* 1063305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1063308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1063316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1063319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1063322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063344 */     // MIs[0] policy
     /* 1063344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063354 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1063357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063376 */     // GIR_Coverage, 21424,
     /* 1063376 */     GIR_EraseRootFromParent_Done,
     /* 1063377 */   // Label 15716: @1063377
     /* 1063377 */   GIM_Try, /*On fail goto*//*Label 15717*/ GIMT_Encode4(1063454), // Rule ID 21425 //
     /* 1063382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1063385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1063393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1063396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1063399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063421 */     // MIs[0] policy
     /* 1063421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063431 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1063434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063440 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063453 */     // GIR_Coverage, 21425,
     /* 1063453 */     GIR_EraseRootFromParent_Done,
     /* 1063454 */   // Label 15717: @1063454
     /* 1063454 */   GIM_Try, /*On fail goto*//*Label 15718*/ GIMT_Encode4(1063531), // Rule ID 21428 //
     /* 1063459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1063462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1063470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1063473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1063476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063498 */     // MIs[0] policy
     /* 1063498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063508 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1063511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063530 */     // GIR_Coverage, 21428,
     /* 1063530 */     GIR_EraseRootFromParent_Done,
     /* 1063531 */   // Label 15718: @1063531
     /* 1063531 */   GIM_Try, /*On fail goto*//*Label 15719*/ GIMT_Encode4(1063608), // Rule ID 21429 //
     /* 1063536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1063539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1063547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1063550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1063553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063575 */     // MIs[0] policy
     /* 1063575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063585 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1063588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063607 */     // GIR_Coverage, 21429,
     /* 1063607 */     GIR_EraseRootFromParent_Done,
     /* 1063608 */   // Label 15719: @1063608
     /* 1063608 */   GIM_Try, /*On fail goto*//*Label 15720*/ GIMT_Encode4(1063685), // Rule ID 21432 //
     /* 1063613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1063616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1063624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1063627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1063630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1063633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063652 */     // MIs[0] policy
     /* 1063652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063662 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1063665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063684 */     // GIR_Coverage, 21432,
     /* 1063684 */     GIR_EraseRootFromParent_Done,
     /* 1063685 */   // Label 15720: @1063685
     /* 1063685 */   GIM_Try, /*On fail goto*//*Label 15721*/ GIMT_Encode4(1063762), // Rule ID 21433 //
     /* 1063690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1063693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1063701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1063704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1063707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1063710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063729 */     // MIs[0] policy
     /* 1063729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063739 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1063742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063748 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063761 */     // GIR_Coverage, 21433,
     /* 1063761 */     GIR_EraseRootFromParent_Done,
     /* 1063762 */   // Label 15721: @1063762
     /* 1063762 */   GIM_Try, /*On fail goto*//*Label 15722*/ GIMT_Encode4(1063839), // Rule ID 21436 //
     /* 1063767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1063778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1063781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1063784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063806 */     // MIs[0] policy
     /* 1063806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063816 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1063819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063838 */     // GIR_Coverage, 21436,
     /* 1063838 */     GIR_EraseRootFromParent_Done,
     /* 1063839 */   // Label 15722: @1063839
     /* 1063839 */   GIM_Try, /*On fail goto*//*Label 15723*/ GIMT_Encode4(1063916), // Rule ID 21437 //
     /* 1063844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1063855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1063858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1063861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063883 */     // MIs[0] policy
     /* 1063883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063893 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1063896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063902 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063915 */     // GIR_Coverage, 21437,
     /* 1063915 */     GIR_EraseRootFromParent_Done,
     /* 1063916 */   // Label 15723: @1063916
     /* 1063916 */   GIM_Try, /*On fail goto*//*Label 15724*/ GIMT_Encode4(1063993), // Rule ID 21440 //
     /* 1063921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1063932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1063935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063960 */     // MIs[0] policy
     /* 1063960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063970 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1063973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063992 */     // GIR_Coverage, 21440,
     /* 1063992 */     GIR_EraseRootFromParent_Done,
     /* 1063993 */   // Label 15724: @1063993
     /* 1063993 */   GIM_Try, /*On fail goto*//*Label 15725*/ GIMT_Encode4(1064070), // Rule ID 21441 //
     /* 1063998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1064001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1064006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1064009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1064012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1064015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064037 */     // MIs[0] policy
     /* 1064037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064047 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1064050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064056 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064069 */     // GIR_Coverage, 21441,
     /* 1064069 */     GIR_EraseRootFromParent_Done,
     /* 1064070 */   // Label 15725: @1064070
     /* 1064070 */   GIM_Try, /*On fail goto*//*Label 15726*/ GIMT_Encode4(1064147), // Rule ID 21444 //
     /* 1064075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1064078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1064083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1064086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1064089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064114 */     // MIs[0] policy
     /* 1064114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064124 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1064127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064146 */     // GIR_Coverage, 21444,
     /* 1064146 */     GIR_EraseRootFromParent_Done,
     /* 1064147 */   // Label 15726: @1064147
     /* 1064147 */   GIM_Try, /*On fail goto*//*Label 15727*/ GIMT_Encode4(1064224), // Rule ID 21445 //
     /* 1064152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1064155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1064160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1064163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1064166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064191 */     // MIs[0] policy
     /* 1064191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064201 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1064204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064210 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064223 */     // GIR_Coverage, 21445,
     /* 1064223 */     GIR_EraseRootFromParent_Done,
     /* 1064224 */   // Label 15727: @1064224
     /* 1064224 */   GIM_Try, /*On fail goto*//*Label 15728*/ GIMT_Encode4(1064301), // Rule ID 21448 //
     /* 1064229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1064232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1064237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1064240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1064243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1064246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064268 */     // MIs[0] policy
     /* 1064268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064278 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1064281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064300 */     // GIR_Coverage, 21448,
     /* 1064300 */     GIR_EraseRootFromParent_Done,
     /* 1064301 */   // Label 15728: @1064301
     /* 1064301 */   GIM_Try, /*On fail goto*//*Label 15729*/ GIMT_Encode4(1064378), // Rule ID 21449 //
     /* 1064306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1064309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1064314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1064317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1064320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1064323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064345 */     // MIs[0] policy
     /* 1064345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064355 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1064358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064377 */     // GIR_Coverage, 21449,
     /* 1064377 */     GIR_EraseRootFromParent_Done,
     /* 1064378 */   // Label 15729: @1064378
     /* 1064378 */   GIM_Try, /*On fail goto*//*Label 15730*/ GIMT_Encode4(1064455), // Rule ID 21452 //
     /* 1064383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1064386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1064394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1064397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1064400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064422 */     // MIs[0] policy
     /* 1064422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064432 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1064435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064454 */     // GIR_Coverage, 21452,
     /* 1064454 */     GIR_EraseRootFromParent_Done,
     /* 1064455 */   // Label 15730: @1064455
     /* 1064455 */   GIM_Try, /*On fail goto*//*Label 15731*/ GIMT_Encode4(1064532), // Rule ID 21453 //
     /* 1064460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1064463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1064471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1064474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1064477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064499 */     // MIs[0] policy
     /* 1064499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064509 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1064512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064518 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064531 */     // GIR_Coverage, 21453,
     /* 1064531 */     GIR_EraseRootFromParent_Done,
     /* 1064532 */   // Label 15731: @1064532
     /* 1064532 */   GIM_Try, /*On fail goto*//*Label 15732*/ GIMT_Encode4(1064609), // Rule ID 21456 //
     /* 1064537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1064540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1064548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1064551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1064554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064576 */     // MIs[0] policy
     /* 1064576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064586 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1064589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064608 */     // GIR_Coverage, 21456,
     /* 1064608 */     GIR_EraseRootFromParent_Done,
     /* 1064609 */   // Label 15732: @1064609
     /* 1064609 */   GIM_Try, /*On fail goto*//*Label 15733*/ GIMT_Encode4(1064686), // Rule ID 21457 //
     /* 1064614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1064617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1064625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1064628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1064631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064653 */     // MIs[0] policy
     /* 1064653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064663 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1064666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064685 */     // GIR_Coverage, 21457,
     /* 1064685 */     GIR_EraseRootFromParent_Done,
     /* 1064686 */   // Label 15733: @1064686
     /* 1064686 */   GIM_Try, /*On fail goto*//*Label 15734*/ GIMT_Encode4(1064763), // Rule ID 21460 //
     /* 1064691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1064694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1064708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064730 */     // MIs[0] policy
     /* 1064730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064740 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1064743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064762 */     // GIR_Coverage, 21460,
     /* 1064762 */     GIR_EraseRootFromParent_Done,
     /* 1064763 */   // Label 15734: @1064763
     /* 1064763 */   GIM_Try, /*On fail goto*//*Label 15735*/ GIMT_Encode4(1064840), // Rule ID 21461 //
     /* 1064768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1064771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1064785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064807 */     // MIs[0] policy
     /* 1064807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064817 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1064820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064839 */     // GIR_Coverage, 21461,
     /* 1064839 */     GIR_EraseRootFromParent_Done,
     /* 1064840 */   // Label 15735: @1064840
     /* 1064840 */   GIM_Try, /*On fail goto*//*Label 15736*/ GIMT_Encode4(1064917), // Rule ID 21464 //
     /* 1064845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1064848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1064862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064884 */     // MIs[0] policy
     /* 1064884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064894 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1064897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064916 */     // GIR_Coverage, 21464,
     /* 1064916 */     GIR_EraseRootFromParent_Done,
     /* 1064917 */   // Label 15736: @1064917
     /* 1064917 */   GIM_Try, /*On fail goto*//*Label 15737*/ GIMT_Encode4(1064994), // Rule ID 21465 //
     /* 1064922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1064925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1064939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064961 */     // MIs[0] policy
     /* 1064961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064971 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1064974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064993 */     // GIR_Coverage, 21465,
     /* 1064993 */     GIR_EraseRootFromParent_Done,
     /* 1064994 */   // Label 15737: @1064994
     /* 1064994 */   GIM_Try, /*On fail goto*//*Label 15738*/ GIMT_Encode4(1065071), // Rule ID 21468 //
     /* 1064999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1065002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1065007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1065010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1065013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065038 */     // MIs[0] policy
     /* 1065038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065048 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1065051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065070 */     // GIR_Coverage, 21468,
     /* 1065070 */     GIR_EraseRootFromParent_Done,
     /* 1065071 */   // Label 15738: @1065071
     /* 1065071 */   GIM_Try, /*On fail goto*//*Label 15739*/ GIMT_Encode4(1065148), // Rule ID 21469 //
     /* 1065076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1065079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1065084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1065087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1065090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065115 */     // MIs[0] policy
     /* 1065115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065125 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1065128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065147 */     // GIR_Coverage, 21469,
     /* 1065147 */     GIR_EraseRootFromParent_Done,
     /* 1065148 */   // Label 15739: @1065148
     /* 1065148 */   GIM_Try, /*On fail goto*//*Label 15740*/ GIMT_Encode4(1065225), // Rule ID 21472 //
     /* 1065153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1065156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1065161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1065164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1065167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1065170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065192 */     // MIs[0] policy
     /* 1065192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065202 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1065205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065224 */     // GIR_Coverage, 21472,
     /* 1065224 */     GIR_EraseRootFromParent_Done,
     /* 1065225 */   // Label 15740: @1065225
     /* 1065225 */   GIM_Try, /*On fail goto*//*Label 15741*/ GIMT_Encode4(1065302), // Rule ID 21473 //
     /* 1065230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1065233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1065238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1065241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1065244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1065247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065269 */     // MIs[0] policy
     /* 1065269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065279 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1065282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065288 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065301 */     // GIR_Coverage, 21473,
     /* 1065301 */     GIR_EraseRootFromParent_Done,
     /* 1065302 */   // Label 15741: @1065302
     /* 1065302 */   GIM_Try, /*On fail goto*//*Label 15742*/ GIMT_Encode4(1065379), // Rule ID 21476 //
     /* 1065307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1065310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1065315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1065318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1065321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1065324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065346 */     // MIs[0] policy
     /* 1065346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065356 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1065359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065378 */     // GIR_Coverage, 21476,
     /* 1065378 */     GIR_EraseRootFromParent_Done,
     /* 1065379 */   // Label 15742: @1065379
     /* 1065379 */   GIM_Try, /*On fail goto*//*Label 15743*/ GIMT_Encode4(1065456), // Rule ID 21477 //
     /* 1065384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1065387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1065392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1065395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1065398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1065401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065423 */     // MIs[0] policy
     /* 1065423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065433 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1065436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065455 */     // GIR_Coverage, 21477,
     /* 1065455 */     GIR_EraseRootFromParent_Done,
     /* 1065456 */   // Label 15743: @1065456
     /* 1065456 */   GIM_Try, /*On fail goto*//*Label 15744*/ GIMT_Encode4(1065533), // Rule ID 21480 //
     /* 1065461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1065464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1065469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1065472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1065475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1065478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065500 */     // MIs[0] policy
     /* 1065500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065510 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1065513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065532 */     // GIR_Coverage, 21480,
     /* 1065532 */     GIR_EraseRootFromParent_Done,
     /* 1065533 */   // Label 15744: @1065533
     /* 1065533 */   GIM_Try, /*On fail goto*//*Label 15745*/ GIMT_Encode4(1065610), // Rule ID 21481 //
     /* 1065538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1065541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1065546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1065549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1065552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1065555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065577 */     // MIs[0] policy
     /* 1065577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065587 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1065590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065609 */     // GIR_Coverage, 21481,
     /* 1065609 */     GIR_EraseRootFromParent_Done,
     /* 1065610 */   // Label 15745: @1065610
     /* 1065610 */   GIM_Try, /*On fail goto*//*Label 15746*/ GIMT_Encode4(1065687), // Rule ID 21484 //
     /* 1065615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1065618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1065623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1065626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1065629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1065632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065654 */     // MIs[0] policy
     /* 1065654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065664 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1065667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065686 */     // GIR_Coverage, 21484,
     /* 1065686 */     GIR_EraseRootFromParent_Done,
     /* 1065687 */   // Label 15746: @1065687
     /* 1065687 */   GIM_Try, /*On fail goto*//*Label 15747*/ GIMT_Encode4(1065764), // Rule ID 21485 //
     /* 1065692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1065695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1065700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1065703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1065706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1065709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065731 */     // MIs[0] policy
     /* 1065731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065741 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1065744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065763 */     // GIR_Coverage, 21485,
     /* 1065763 */     GIR_EraseRootFromParent_Done,
     /* 1065764 */   // Label 15747: @1065764
     /* 1065764 */   GIM_Try, /*On fail goto*//*Label 15748*/ GIMT_Encode4(1065841), // Rule ID 21728 //
     /* 1065769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1065780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1065783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1065786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065808 */     // MIs[0] policy
     /* 1065808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065818 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1065821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065840 */     // GIR_Coverage, 21728,
     /* 1065840 */     GIR_EraseRootFromParent_Done,
     /* 1065841 */   // Label 15748: @1065841
     /* 1065841 */   GIM_Try, /*On fail goto*//*Label 15749*/ GIMT_Encode4(1065918), // Rule ID 21729 //
     /* 1065846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1065857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1065860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1065863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065885 */     // MIs[0] policy
     /* 1065885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065895 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1065898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065904 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065917 */     // GIR_Coverage, 21729,
     /* 1065917 */     GIR_EraseRootFromParent_Done,
     /* 1065918 */   // Label 15749: @1065918
     /* 1065918 */   GIM_Try, /*On fail goto*//*Label 15750*/ GIMT_Encode4(1065995), // Rule ID 21732 //
     /* 1065923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1065934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1065937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1065940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065962 */     // MIs[0] policy
     /* 1065962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065972 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1065975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065994 */     // GIR_Coverage, 21732,
     /* 1065994 */     GIR_EraseRootFromParent_Done,
     /* 1065995 */   // Label 15750: @1065995
     /* 1065995 */   GIM_Try, /*On fail goto*//*Label 15751*/ GIMT_Encode4(1066072), // Rule ID 21733 //
     /* 1066000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1066011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1066014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1066017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066039 */     // MIs[0] policy
     /* 1066039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066049 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1066052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066071 */     // GIR_Coverage, 21733,
     /* 1066071 */     GIR_EraseRootFromParent_Done,
     /* 1066072 */   // Label 15751: @1066072
     /* 1066072 */   GIM_Try, /*On fail goto*//*Label 15752*/ GIMT_Encode4(1066149), // Rule ID 21736 //
     /* 1066077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1066088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1066091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1066094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066116 */     // MIs[0] policy
     /* 1066116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066126 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066148 */     // GIR_Coverage, 21736,
     /* 1066148 */     GIR_EraseRootFromParent_Done,
     /* 1066149 */   // Label 15752: @1066149
     /* 1066149 */   GIM_Try, /*On fail goto*//*Label 15753*/ GIMT_Encode4(1066226), // Rule ID 21737 //
     /* 1066154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1066165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1066168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1066171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066193 */     // MIs[0] policy
     /* 1066193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066203 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066225 */     // GIR_Coverage, 21737,
     /* 1066225 */     GIR_EraseRootFromParent_Done,
     /* 1066226 */   // Label 15753: @1066226
     /* 1066226 */   GIM_Try, /*On fail goto*//*Label 15754*/ GIMT_Encode4(1066303), // Rule ID 21740 //
     /* 1066231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1066242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1066245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1066248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066270 */     // MIs[0] policy
     /* 1066270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066302 */     // GIR_Coverage, 21740,
     /* 1066302 */     GIR_EraseRootFromParent_Done,
     /* 1066303 */   // Label 15754: @1066303
     /* 1066303 */   GIM_Try, /*On fail goto*//*Label 15755*/ GIMT_Encode4(1066380), // Rule ID 21741 //
     /* 1066308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1066319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1066322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1066325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066347 */     // MIs[0] policy
     /* 1066347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066357 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11250:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066379 */     // GIR_Coverage, 21741,
     /* 1066379 */     GIR_EraseRootFromParent_Done,
     /* 1066380 */   // Label 15755: @1066380
     /* 1066380 */   GIM_Try, /*On fail goto*//*Label 15756*/ GIMT_Encode4(1066457), // Rule ID 21744 //
     /* 1066385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1066396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1066399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1066402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066424 */     // MIs[0] policy
     /* 1066424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066434 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066456 */     // GIR_Coverage, 21744,
     /* 1066456 */     GIR_EraseRootFromParent_Done,
     /* 1066457 */   // Label 15756: @1066457
     /* 1066457 */   GIM_Try, /*On fail goto*//*Label 15757*/ GIMT_Encode4(1066534), // Rule ID 21745 //
     /* 1066462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1066473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1066476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1066479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066501 */     // MIs[0] policy
     /* 1066501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066511 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066520 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066533 */     // GIR_Coverage, 21745,
     /* 1066533 */     GIR_EraseRootFromParent_Done,
     /* 1066534 */   // Label 15757: @1066534
     /* 1066534 */   GIM_Try, /*On fail goto*//*Label 15758*/ GIMT_Encode4(1066611), // Rule ID 21748 //
     /* 1066539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1066550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1066553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1066556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1066559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066578 */     // MIs[0] policy
     /* 1066578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066588 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066610 */     // GIR_Coverage, 21748,
     /* 1066610 */     GIR_EraseRootFromParent_Done,
     /* 1066611 */   // Label 15758: @1066611
     /* 1066611 */   GIM_Try, /*On fail goto*//*Label 15759*/ GIMT_Encode4(1066688), // Rule ID 21749 //
     /* 1066616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1066627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1066630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1066633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1066636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066655 */     // MIs[0] policy
     /* 1066655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066665 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066687 */     // GIR_Coverage, 21749,
     /* 1066687 */     GIR_EraseRootFromParent_Done,
     /* 1066688 */   // Label 15759: @1066688
     /* 1066688 */   GIM_Try, /*On fail goto*//*Label 15760*/ GIMT_Encode4(1066765), // Rule ID 21752 //
     /* 1066693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1066704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1066707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1066710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066732 */     // MIs[0] policy
     /* 1066732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066742 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1066745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066764 */     // GIR_Coverage, 21752,
     /* 1066764 */     GIR_EraseRootFromParent_Done,
     /* 1066765 */   // Label 15760: @1066765
     /* 1066765 */   GIM_Try, /*On fail goto*//*Label 15761*/ GIMT_Encode4(1066842), // Rule ID 21753 //
     /* 1066770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1066781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1066784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1066787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066809 */     // MIs[0] policy
     /* 1066809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066819 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1066822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066841 */     // GIR_Coverage, 21753,
     /* 1066841 */     GIR_EraseRootFromParent_Done,
     /* 1066842 */   // Label 15761: @1066842
     /* 1066842 */   GIM_Try, /*On fail goto*//*Label 15762*/ GIMT_Encode4(1066919), // Rule ID 21756 //
     /* 1066847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1066858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1066861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1066864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066886 */     // MIs[0] policy
     /* 1066886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066896 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066918 */     // GIR_Coverage, 21756,
     /* 1066918 */     GIR_EraseRootFromParent_Done,
     /* 1066919 */   // Label 15762: @1066919
     /* 1066919 */   GIM_Try, /*On fail goto*//*Label 15763*/ GIMT_Encode4(1066996), // Rule ID 21757 //
     /* 1066924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1066935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1066938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1066941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066963 */     // MIs[0] policy
     /* 1066963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066973 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066995 */     // GIR_Coverage, 21757,
     /* 1066995 */     GIR_EraseRootFromParent_Done,
     /* 1066996 */   // Label 15763: @1066996
     /* 1066996 */   GIM_Try, /*On fail goto*//*Label 15764*/ GIMT_Encode4(1067073), // Rule ID 21760 //
     /* 1067001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1067012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1067015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1067018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067040 */     // MIs[0] policy
     /* 1067040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067050 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1067053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067072 */     // GIR_Coverage, 21760,
     /* 1067072 */     GIR_EraseRootFromParent_Done,
     /* 1067073 */   // Label 15764: @1067073
     /* 1067073 */   GIM_Try, /*On fail goto*//*Label 15765*/ GIMT_Encode4(1067150), // Rule ID 21761 //
     /* 1067078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1067089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1067092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1067095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067117 */     // MIs[0] policy
     /* 1067117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1067130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067149 */     // GIR_Coverage, 21761,
     /* 1067149 */     GIR_EraseRootFromParent_Done,
     /* 1067150 */   // Label 15765: @1067150
     /* 1067150 */   GIM_Try, /*On fail goto*//*Label 15766*/ GIMT_Encode4(1067227), // Rule ID 21764 //
     /* 1067155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1067166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1067169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1067172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067194 */     // MIs[0] policy
     /* 1067194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067204 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1067207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067226 */     // GIR_Coverage, 21764,
     /* 1067226 */     GIR_EraseRootFromParent_Done,
     /* 1067227 */   // Label 15766: @1067227
     /* 1067227 */   GIM_Try, /*On fail goto*//*Label 15767*/ GIMT_Encode4(1067304), // Rule ID 21765 //
     /* 1067232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1067243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1067246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1067249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067271 */     // MIs[0] policy
     /* 1067271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067281 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1067284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067303 */     // GIR_Coverage, 21765,
     /* 1067303 */     GIR_EraseRootFromParent_Done,
     /* 1067304 */   // Label 15767: @1067304
     /* 1067304 */   GIM_Try, /*On fail goto*//*Label 15768*/ GIMT_Encode4(1067381), // Rule ID 21768 //
     /* 1067309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1067320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1067323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1067326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067348 */     // MIs[0] policy
     /* 1067348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067358 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1067361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067380 */     // GIR_Coverage, 21768,
     /* 1067380 */     GIR_EraseRootFromParent_Done,
     /* 1067381 */   // Label 15768: @1067381
     /* 1067381 */   GIM_Try, /*On fail goto*//*Label 15769*/ GIMT_Encode4(1067458), // Rule ID 21769 //
     /* 1067386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1067397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1067400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1067403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067425 */     // MIs[0] policy
     /* 1067425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1067438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067457 */     // GIR_Coverage, 21769,
     /* 1067457 */     GIR_EraseRootFromParent_Done,
     /* 1067458 */   // Label 15769: @1067458
     /* 1067458 */   GIM_Try, /*On fail goto*//*Label 15770*/ GIMT_Encode4(1067535), // Rule ID 21772 //
     /* 1067463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1067474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1067477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1067480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067502 */     // MIs[0] policy
     /* 1067502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067512 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1067515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067534 */     // GIR_Coverage, 21772,
     /* 1067534 */     GIR_EraseRootFromParent_Done,
     /* 1067535 */   // Label 15770: @1067535
     /* 1067535 */   GIM_Try, /*On fail goto*//*Label 15771*/ GIMT_Encode4(1067612), // Rule ID 21773 //
     /* 1067540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1067551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1067554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1067557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067579 */     // MIs[0] policy
     /* 1067579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067589 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1067592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067611 */     // GIR_Coverage, 21773,
     /* 1067611 */     GIR_EraseRootFromParent_Done,
     /* 1067612 */   // Label 15771: @1067612
     /* 1067612 */   GIM_Try, /*On fail goto*//*Label 15772*/ GIMT_Encode4(1067689), // Rule ID 21776 //
     /* 1067617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1067628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1067631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1067634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067656 */     // MIs[0] policy
     /* 1067656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067666 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1067669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067688 */     // GIR_Coverage, 21776,
     /* 1067688 */     GIR_EraseRootFromParent_Done,
     /* 1067689 */   // Label 15772: @1067689
     /* 1067689 */   GIM_Try, /*On fail goto*//*Label 15773*/ GIMT_Encode4(1067766), // Rule ID 21777 //
     /* 1067694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1067705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1067708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1067711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067733 */     // MIs[0] policy
     /* 1067733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067743 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1067746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067752 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067765 */     // GIR_Coverage, 21777,
     /* 1067765 */     GIR_EraseRootFromParent_Done,
     /* 1067766 */   // Label 15773: @1067766
     /* 1067766 */   GIM_Try, /*On fail goto*//*Label 15774*/ GIMT_Encode4(1067843), // Rule ID 21780 //
     /* 1067771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1067788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067810 */     // MIs[0] policy
     /* 1067810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067820 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1067823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067842 */     // GIR_Coverage, 21780,
     /* 1067842 */     GIR_EraseRootFromParent_Done,
     /* 1067843 */   // Label 15774: @1067843
     /* 1067843 */   GIM_Try, /*On fail goto*//*Label 15775*/ GIMT_Encode4(1067920), // Rule ID 21781 //
     /* 1067848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1067865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067887 */     // MIs[0] policy
     /* 1067887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1067900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067919 */     // GIR_Coverage, 21781,
     /* 1067919 */     GIR_EraseRootFromParent_Done,
     /* 1067920 */   // Label 15775: @1067920
     /* 1067920 */   GIM_Try, /*On fail goto*//*Label 15776*/ GIMT_Encode4(1067997), // Rule ID 21784 //
     /* 1067925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1067933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1067942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067964 */     // MIs[0] policy
     /* 1067964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1067977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067996 */     // GIR_Coverage, 21784,
     /* 1067996 */     GIR_EraseRootFromParent_Done,
     /* 1067997 */   // Label 15776: @1067997
     /* 1067997 */   GIM_Try, /*On fail goto*//*Label 15777*/ GIMT_Encode4(1068074), // Rule ID 21785 //
     /* 1068002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1068005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1068010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1068013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1068016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1068019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068041 */     // MIs[0] policy
     /* 1068041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068051 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1068054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068060 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068073 */     // GIR_Coverage, 21785,
     /* 1068073 */     GIR_EraseRootFromParent_Done,
     /* 1068074 */   // Label 15777: @1068074
     /* 1068074 */   GIM_Try, /*On fail goto*//*Label 15778*/ GIMT_Encode4(1068151), // Rule ID 21788 //
     /* 1068079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1068082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1068090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1068093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1068096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068118 */     // MIs[0] policy
     /* 1068118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068128 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1068131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068150 */     // GIR_Coverage, 21788,
     /* 1068150 */     GIR_EraseRootFromParent_Done,
     /* 1068151 */   // Label 15778: @1068151
     /* 1068151 */   GIM_Try, /*On fail goto*//*Label 15779*/ GIMT_Encode4(1068228), // Rule ID 21789 //
     /* 1068156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1068159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1068167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1068170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1068173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068195 */     // MIs[0] policy
     /* 1068195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068205 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1068208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068227 */     // GIR_Coverage, 21789,
     /* 1068227 */     GIR_EraseRootFromParent_Done,
     /* 1068228 */   // Label 15779: @1068228
     /* 1068228 */   GIM_Try, /*On fail goto*//*Label 15780*/ GIMT_Encode4(1068305), // Rule ID 21792 //
     /* 1068233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1068236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1068244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1068247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1068250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068272 */     // MIs[0] policy
     /* 1068272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068282 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1068285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068304 */     // GIR_Coverage, 21792,
     /* 1068304 */     GIR_EraseRootFromParent_Done,
     /* 1068305 */   // Label 15780: @1068305
     /* 1068305 */   GIM_Try, /*On fail goto*//*Label 15781*/ GIMT_Encode4(1068382), // Rule ID 21793 //
     /* 1068310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1068313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1068321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1068324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1068327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068349 */     // MIs[0] policy
     /* 1068349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068359 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1068362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068381 */     // GIR_Coverage, 21793,
     /* 1068381 */     GIR_EraseRootFromParent_Done,
     /* 1068382 */   // Label 15781: @1068382
     /* 1068382 */   GIM_Try, /*On fail goto*//*Label 15782*/ GIMT_Encode4(1068459), // Rule ID 21796 //
     /* 1068387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1068390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1068398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1068401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1068404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068426 */     // MIs[0] policy
     /* 1068426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068458 */     // GIR_Coverage, 21796,
     /* 1068458 */     GIR_EraseRootFromParent_Done,
     /* 1068459 */   // Label 15782: @1068459
     /* 1068459 */   GIM_Try, /*On fail goto*//*Label 15783*/ GIMT_Encode4(1068536), // Rule ID 21797 //
     /* 1068464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1068467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1068475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1068478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1068481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068503 */     // MIs[0] policy
     /* 1068503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068513 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068535 */     // GIR_Coverage, 21797,
     /* 1068535 */     GIR_EraseRootFromParent_Done,
     /* 1068536 */   // Label 15783: @1068536
     /* 1068536 */   GIM_Try, /*On fail goto*//*Label 15784*/ GIMT_Encode4(1068613), // Rule ID 21800 //
     /* 1068541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1068544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1068552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1068555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1068558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068580 */     // MIs[0] policy
     /* 1068580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068590 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068612 */     // GIR_Coverage, 21800,
     /* 1068612 */     GIR_EraseRootFromParent_Done,
     /* 1068613 */   // Label 15784: @1068613
     /* 1068613 */   GIM_Try, /*On fail goto*//*Label 15785*/ GIMT_Encode4(1068690), // Rule ID 21801 //
     /* 1068618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1068621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1068629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1068632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1068635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068657 */     // MIs[0] policy
     /* 1068657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11248:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068689 */     // GIR_Coverage, 21801,
     /* 1068689 */     GIR_EraseRootFromParent_Done,
     /* 1068690 */   // Label 15785: @1068690
     /* 1068690 */   GIM_Try, /*On fail goto*//*Label 15786*/ GIMT_Encode4(1068767), // Rule ID 21804 //
     /* 1068695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1068698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1068706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1068709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1068712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068734 */     // MIs[0] policy
     /* 1068734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068744 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068766 */     // GIR_Coverage, 21804,
     /* 1068766 */     GIR_EraseRootFromParent_Done,
     /* 1068767 */   // Label 15786: @1068767
     /* 1068767 */   GIM_Try, /*On fail goto*//*Label 15787*/ GIMT_Encode4(1068844), // Rule ID 21805 //
     /* 1068772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1068775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1068783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1068786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1068789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068811 */     // MIs[0] policy
     /* 1068811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068821 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068843 */     // GIR_Coverage, 21805,
     /* 1068843 */     GIR_EraseRootFromParent_Done,
     /* 1068844 */   // Label 15787: @1068844
     /* 1068844 */   GIM_Try, /*On fail goto*//*Label 15788*/ GIMT_Encode4(1068921), // Rule ID 21808 //
     /* 1068849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1068852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1068860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1068863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1068866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1068869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068888 */     // MIs[0] policy
     /* 1068888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068898 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1068901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068920 */     // GIR_Coverage, 21808,
     /* 1068920 */     GIR_EraseRootFromParent_Done,
     /* 1068921 */   // Label 15788: @1068921
     /* 1068921 */   GIM_Try, /*On fail goto*//*Label 15789*/ GIMT_Encode4(1068998), // Rule ID 21809 //
     /* 1068926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1068929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1068937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1068940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1068943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1068946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068965 */     // MIs[0] policy
     /* 1068965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068975 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1068978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068984 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068997 */     // GIR_Coverage, 21809,
     /* 1068997 */     GIR_EraseRootFromParent_Done,
     /* 1068998 */   // Label 15789: @1068998
     /* 1068998 */   GIM_Try, /*On fail goto*//*Label 15790*/ GIMT_Encode4(1069075), // Rule ID 21812 //
     /* 1069003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1069006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069042 */     // MIs[0] policy
     /* 1069042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069052 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1069055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069074 */     // GIR_Coverage, 21812,
     /* 1069074 */     GIR_EraseRootFromParent_Done,
     /* 1069075 */   // Label 15790: @1069075
     /* 1069075 */   GIM_Try, /*On fail goto*//*Label 15791*/ GIMT_Encode4(1069152), // Rule ID 21813 //
     /* 1069080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1069083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069119 */     // MIs[0] policy
     /* 1069119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069129 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1069132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069151 */     // GIR_Coverage, 21813,
     /* 1069151 */     GIR_EraseRootFromParent_Done,
     /* 1069152 */   // Label 15791: @1069152
     /* 1069152 */   GIM_Try, /*On fail goto*//*Label 15792*/ GIMT_Encode4(1069229), // Rule ID 21816 //
     /* 1069157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1069160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1069168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1069171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069196 */     // MIs[0] policy
     /* 1069196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069206 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1069209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069228 */     // GIR_Coverage, 21816,
     /* 1069228 */     GIR_EraseRootFromParent_Done,
     /* 1069229 */   // Label 15792: @1069229
     /* 1069229 */   GIM_Try, /*On fail goto*//*Label 15793*/ GIMT_Encode4(1069306), // Rule ID 21817 //
     /* 1069234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1069237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1069245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1069248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069273 */     // MIs[0] policy
     /* 1069273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069283 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1069286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069305 */     // GIR_Coverage, 21817,
     /* 1069305 */     GIR_EraseRootFromParent_Done,
     /* 1069306 */   // Label 15793: @1069306
     /* 1069306 */   GIM_Try, /*On fail goto*//*Label 15794*/ GIMT_Encode4(1069383), // Rule ID 21820 //
     /* 1069311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1069314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1069322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1069325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1069328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069350 */     // MIs[0] policy
     /* 1069350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1069363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069382 */     // GIR_Coverage, 21820,
     /* 1069382 */     GIR_EraseRootFromParent_Done,
     /* 1069383 */   // Label 15794: @1069383
     /* 1069383 */   GIM_Try, /*On fail goto*//*Label 15795*/ GIMT_Encode4(1069460), // Rule ID 21821 //
     /* 1069388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1069391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1069399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1069402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1069405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069427 */     // MIs[0] policy
     /* 1069427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069437 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1069440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069459 */     // GIR_Coverage, 21821,
     /* 1069459 */     GIR_EraseRootFromParent_Done,
     /* 1069460 */   // Label 15795: @1069460
     /* 1069460 */   GIM_Try, /*On fail goto*//*Label 15796*/ GIMT_Encode4(1069537), // Rule ID 21824 //
     /* 1069465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1069468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1069476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1069479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1069482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069504 */     // MIs[0] policy
     /* 1069504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069514 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1069517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069536 */     // GIR_Coverage, 21824,
     /* 1069536 */     GIR_EraseRootFromParent_Done,
     /* 1069537 */   // Label 15796: @1069537
     /* 1069537 */   GIM_Try, /*On fail goto*//*Label 15797*/ GIMT_Encode4(1069614), // Rule ID 21825 //
     /* 1069542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1069545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1069553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1069556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1069559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069581 */     // MIs[0] policy
     /* 1069581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069591 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1069594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069600 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069613 */     // GIR_Coverage, 21825,
     /* 1069613 */     GIR_EraseRootFromParent_Done,
     /* 1069614 */   // Label 15797: @1069614
     /* 1069614 */   GIM_Try, /*On fail goto*//*Label 15798*/ GIMT_Encode4(1069691), // Rule ID 21828 //
     /* 1069619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1069622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1069630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1069633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1069636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1069639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069658 */     // MIs[0] policy
     /* 1069658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1069671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069690 */     // GIR_Coverage, 21828,
     /* 1069690 */     GIR_EraseRootFromParent_Done,
     /* 1069691 */   // Label 15798: @1069691
     /* 1069691 */   GIM_Try, /*On fail goto*//*Label 15799*/ GIMT_Encode4(1069768), // Rule ID 21829 //
     /* 1069696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1069699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1069707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1069710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1069713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1069716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069735 */     // MIs[0] policy
     /* 1069735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069745 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1069748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069767 */     // GIR_Coverage, 21829,
     /* 1069767 */     GIR_EraseRootFromParent_Done,
     /* 1069768 */   // Label 15799: @1069768
     /* 1069768 */   GIM_Try, /*On fail goto*//*Label 15800*/ GIMT_Encode4(1069845), // Rule ID 21832 //
     /* 1069773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1069776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1069784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1069787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1069790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069812 */     // MIs[0] policy
     /* 1069812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1069825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069844 */     // GIR_Coverage, 21832,
     /* 1069844 */     GIR_EraseRootFromParent_Done,
     /* 1069845 */   // Label 15800: @1069845
     /* 1069845 */   GIM_Try, /*On fail goto*//*Label 15801*/ GIMT_Encode4(1069922), // Rule ID 21833 //
     /* 1069850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1069853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1069861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1069864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1069867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069889 */     // MIs[0] policy
     /* 1069889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1069902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069921 */     // GIR_Coverage, 21833,
     /* 1069921 */     GIR_EraseRootFromParent_Done,
     /* 1069922 */   // Label 15801: @1069922
     /* 1069922 */   GIM_Try, /*On fail goto*//*Label 15802*/ GIMT_Encode4(1069999), // Rule ID 21836 //
     /* 1069927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1069930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1069938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1069941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1069944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069966 */     // MIs[0] policy
     /* 1069966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1069979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069998 */     // GIR_Coverage, 21836,
     /* 1069998 */     GIR_EraseRootFromParent_Done,
     /* 1069999 */   // Label 15802: @1069999
     /* 1069999 */   GIM_Try, /*On fail goto*//*Label 15803*/ GIMT_Encode4(1070076), // Rule ID 21837 //
     /* 1070004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1070007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1070012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1070015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1070018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1070021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070043 */     // MIs[0] policy
     /* 1070043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1070056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070075 */     // GIR_Coverage, 21837,
     /* 1070075 */     GIR_EraseRootFromParent_Done,
     /* 1070076 */   // Label 15803: @1070076
     /* 1070076 */   GIM_Try, /*On fail goto*//*Label 15804*/ GIMT_Encode4(1070153), // Rule ID 21840 //
     /* 1070081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1070084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1070089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1070098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070120 */     // MIs[0] policy
     /* 1070120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070130 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1070133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070152 */     // GIR_Coverage, 21840,
     /* 1070152 */     GIR_EraseRootFromParent_Done,
     /* 1070153 */   // Label 15804: @1070153
     /* 1070153 */   GIM_Try, /*On fail goto*//*Label 15805*/ GIMT_Encode4(1070230), // Rule ID 21841 //
     /* 1070158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1070161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1070166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1070175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070197 */     // MIs[0] policy
     /* 1070197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070207 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1070210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070229 */     // GIR_Coverage, 21841,
     /* 1070229 */     GIR_EraseRootFromParent_Done,
     /* 1070230 */   // Label 15805: @1070230
     /* 1070230 */   GIM_Try, /*On fail goto*//*Label 15806*/ GIMT_Encode4(1070307), // Rule ID 21844 //
     /* 1070235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1070238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1070243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1070246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1070249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1070252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070274 */     // MIs[0] policy
     /* 1070274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070284 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1070287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070306 */     // GIR_Coverage, 21844,
     /* 1070306 */     GIR_EraseRootFromParent_Done,
     /* 1070307 */   // Label 15806: @1070307
     /* 1070307 */   GIM_Try, /*On fail goto*//*Label 15807*/ GIMT_Encode4(1070384), // Rule ID 21845 //
     /* 1070312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1070315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1070320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1070323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1070326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1070329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070351 */     // MIs[0] policy
     /* 1070351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070361 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1070364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070383 */     // GIR_Coverage, 21845,
     /* 1070383 */     GIR_EraseRootFromParent_Done,
     /* 1070384 */   // Label 15807: @1070384
     /* 1070384 */   GIM_Try, /*On fail goto*//*Label 15808*/ GIMT_Encode4(1070461), // Rule ID 21956 //
     /* 1070389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1070392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1070400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1070403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1070406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070428 */     // MIs[0] policy
     /* 1070428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070438 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1070441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070460 */     // GIR_Coverage, 21956,
     /* 1070460 */     GIR_EraseRootFromParent_Done,
     /* 1070461 */   // Label 15808: @1070461
     /* 1070461 */   GIM_Try, /*On fail goto*//*Label 15809*/ GIMT_Encode4(1070538), // Rule ID 21957 //
     /* 1070466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1070469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1070477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1070480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1070483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070505 */     // MIs[0] policy
     /* 1070505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070515 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1070518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070537 */     // GIR_Coverage, 21957,
     /* 1070537 */     GIR_EraseRootFromParent_Done,
     /* 1070538 */   // Label 15809: @1070538
     /* 1070538 */   GIM_Try, /*On fail goto*//*Label 15810*/ GIMT_Encode4(1070615), // Rule ID 21960 //
     /* 1070543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1070546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1070554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1070557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1070560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070582 */     // MIs[0] policy
     /* 1070582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070592 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1070595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070614 */     // GIR_Coverage, 21960,
     /* 1070614 */     GIR_EraseRootFromParent_Done,
     /* 1070615 */   // Label 15810: @1070615
     /* 1070615 */   GIM_Try, /*On fail goto*//*Label 15811*/ GIMT_Encode4(1070692), // Rule ID 21961 //
     /* 1070620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1070623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1070631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1070634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1070637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070659 */     // MIs[0] policy
     /* 1070659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070669 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1070672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070691 */     // GIR_Coverage, 21961,
     /* 1070691 */     GIR_EraseRootFromParent_Done,
     /* 1070692 */   // Label 15811: @1070692
     /* 1070692 */   GIM_Try, /*On fail goto*//*Label 15812*/ GIMT_Encode4(1070769), // Rule ID 21964 //
     /* 1070697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1070700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070736 */     // MIs[0] policy
     /* 1070736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070746 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1070749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070768 */     // GIR_Coverage, 21964,
     /* 1070768 */     GIR_EraseRootFromParent_Done,
     /* 1070769 */   // Label 15812: @1070769
     /* 1070769 */   GIM_Try, /*On fail goto*//*Label 15813*/ GIMT_Encode4(1070846), // Rule ID 21965 //
     /* 1070774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1070777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070813 */     // MIs[0] policy
     /* 1070813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070823 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1070826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070845 */     // GIR_Coverage, 21965,
     /* 1070845 */     GIR_EraseRootFromParent_Done,
     /* 1070846 */   // Label 15813: @1070846
     /* 1070846 */   GIM_Try, /*On fail goto*//*Label 15814*/ GIMT_Encode4(1070923), // Rule ID 21968 //
     /* 1070851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1070854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1070868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070890 */     // MIs[0] policy
     /* 1070890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070900 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1070903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070922 */     // GIR_Coverage, 21968,
     /* 1070922 */     GIR_EraseRootFromParent_Done,
     /* 1070923 */   // Label 15814: @1070923
     /* 1070923 */   GIM_Try, /*On fail goto*//*Label 15815*/ GIMT_Encode4(1071000), // Rule ID 21969 //
     /* 1070928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1070931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1070945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070967 */     // MIs[0] policy
     /* 1070967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070977 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1070980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070999 */     // GIR_Coverage, 21969,
     /* 1070999 */     GIR_EraseRootFromParent_Done,
     /* 1071000 */   // Label 15815: @1071000
     /* 1071000 */   GIM_Try, /*On fail goto*//*Label 15816*/ GIMT_Encode4(1071077), // Rule ID 21972 //
     /* 1071005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1071008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1071013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1071016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1071019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1071022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1071025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071044 */     // MIs[0] policy
     /* 1071044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071054 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1071057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071076 */     // GIR_Coverage, 21972,
     /* 1071076 */     GIR_EraseRootFromParent_Done,
     /* 1071077 */   // Label 15816: @1071077
     /* 1071077 */   GIM_Try, /*On fail goto*//*Label 15817*/ GIMT_Encode4(1071154), // Rule ID 21973 //
     /* 1071082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1071085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1071090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1071093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1071096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1071099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1071102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071121 */     // MIs[0] policy
     /* 1071121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071131 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1071134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071153 */     // GIR_Coverage, 21973,
     /* 1071153 */     GIR_EraseRootFromParent_Done,
     /* 1071154 */   // Label 15817: @1071154
     /* 1071154 */   GIM_Try, /*On fail goto*//*Label 15818*/ GIMT_Encode4(1071231), // Rule ID 21976 //
     /* 1071159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1071162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1071167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1071176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071198 */     // MIs[0] policy
     /* 1071198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071208 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1071211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071230 */     // GIR_Coverage, 21976,
     /* 1071230 */     GIR_EraseRootFromParent_Done,
     /* 1071231 */   // Label 15818: @1071231
     /* 1071231 */   GIM_Try, /*On fail goto*//*Label 15819*/ GIMT_Encode4(1071308), // Rule ID 21977 //
     /* 1071236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1071239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1071244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1071253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071275 */     // MIs[0] policy
     /* 1071275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071285 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1071288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071307 */     // GIR_Coverage, 21977,
     /* 1071307 */     GIR_EraseRootFromParent_Done,
     /* 1071308 */   // Label 15819: @1071308
     /* 1071308 */   GIM_Try, /*On fail goto*//*Label 15820*/ GIMT_Encode4(1071385), // Rule ID 21980 //
     /* 1071313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1071316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1071321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1071324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1071327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1071330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071352 */     // MIs[0] policy
     /* 1071352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071362 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1071365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071384 */     // GIR_Coverage, 21980,
     /* 1071384 */     GIR_EraseRootFromParent_Done,
     /* 1071385 */   // Label 15820: @1071385
     /* 1071385 */   GIM_Try, /*On fail goto*//*Label 15821*/ GIMT_Encode4(1071462), // Rule ID 21981 //
     /* 1071390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1071393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1071398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1071401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1071404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1071407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071429 */     // MIs[0] policy
     /* 1071429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071439 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1071442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071461 */     // GIR_Coverage, 21981,
     /* 1071461 */     GIR_EraseRootFromParent_Done,
     /* 1071462 */   // Label 15821: @1071462
     /* 1071462 */   GIM_Try, /*On fail goto*//*Label 15822*/ GIMT_Encode4(1071539), // Rule ID 21984 //
     /* 1071467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1071470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1071475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1071478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1071481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1071484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1071494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071506 */     // MIs[0] policy
     /* 1071506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071516 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1071519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071538 */     // GIR_Coverage, 21984,
     /* 1071538 */     GIR_EraseRootFromParent_Done,
     /* 1071539 */   // Label 15822: @1071539
     /* 1071539 */   GIM_Try, /*On fail goto*//*Label 15823*/ GIMT_Encode4(1071616), // Rule ID 21985 //
     /* 1071544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1071547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1071552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1071555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1071558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1071561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1071571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071583 */     // MIs[0] policy
     /* 1071583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071593 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1071596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071615 */     // GIR_Coverage, 21985,
     /* 1071615 */     GIR_EraseRootFromParent_Done,
     /* 1071616 */   // Label 15823: @1071616
     /* 1071616 */   GIM_Try, /*On fail goto*//*Label 15824*/ GIMT_Encode4(1071693), // Rule ID 21988 //
     /* 1071621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1071624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1071629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1071632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1071635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1071638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071660 */     // MIs[0] policy
     /* 1071660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071670 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1071673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071692 */     // GIR_Coverage, 21988,
     /* 1071692 */     GIR_EraseRootFromParent_Done,
     /* 1071693 */   // Label 15824: @1071693
     /* 1071693 */   GIM_Try, /*On fail goto*//*Label 15825*/ GIMT_Encode4(1071770), // Rule ID 21989 //
     /* 1071698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1071701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1071706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1071709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1071712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1071715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071737 */     // MIs[0] policy
     /* 1071737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071747 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1071750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071769 */     // GIR_Coverage, 21989,
     /* 1071769 */     GIR_EraseRootFromParent_Done,
     /* 1071770 */   // Label 15825: @1071770
     /* 1071770 */   GIM_Try, /*On fail goto*//*Label 15826*/ GIMT_Encode4(1071847), // Rule ID 23428 //
     /* 1071775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1071786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1071789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071814 */     // MIs[0] policy
     /* 1071814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071824 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071846 */     // GIR_Coverage, 23428,
     /* 1071846 */     GIR_EraseRootFromParent_Done,
     /* 1071847 */   // Label 15826: @1071847
     /* 1071847 */   GIM_Try, /*On fail goto*//*Label 15827*/ GIMT_Encode4(1071924), // Rule ID 23429 //
     /* 1071852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1071863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1071866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071891 */     // MIs[0] policy
     /* 1071891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071901 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071923 */     // GIR_Coverage, 23429,
     /* 1071923 */     GIR_EraseRootFromParent_Done,
     /* 1071924 */   // Label 15827: @1071924
     /* 1071924 */   GIM_Try, /*On fail goto*//*Label 15828*/ GIMT_Encode4(1072001), // Rule ID 23432 //
     /* 1071929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1071940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1071943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1071946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071968 */     // MIs[0] policy
     /* 1071968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071978 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072000 */     // GIR_Coverage, 23432,
     /* 1072000 */     GIR_EraseRootFromParent_Done,
     /* 1072001 */   // Label 15828: @1072001
     /* 1072001 */   GIM_Try, /*On fail goto*//*Label 15829*/ GIMT_Encode4(1072078), // Rule ID 23433 //
     /* 1072006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1072017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1072020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1072023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072045 */     // MIs[0] policy
     /* 1072045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072055 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1072058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072077 */     // GIR_Coverage, 23433,
     /* 1072077 */     GIR_EraseRootFromParent_Done,
     /* 1072078 */   // Label 15829: @1072078
     /* 1072078 */   GIM_Try, /*On fail goto*//*Label 15830*/ GIMT_Encode4(1072155), // Rule ID 23436 //
     /* 1072083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1072094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1072097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1072100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072122 */     // MIs[0] policy
     /* 1072122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072132 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1072135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072154 */     // GIR_Coverage, 23436,
     /* 1072154 */     GIR_EraseRootFromParent_Done,
     /* 1072155 */   // Label 15830: @1072155
     /* 1072155 */   GIM_Try, /*On fail goto*//*Label 15831*/ GIMT_Encode4(1072232), // Rule ID 23437 //
     /* 1072160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1072171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1072174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1072177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072199 */     // MIs[0] policy
     /* 1072199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072209 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1072212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072231 */     // GIR_Coverage, 23437,
     /* 1072231 */     GIR_EraseRootFromParent_Done,
     /* 1072232 */   // Label 15831: @1072232
     /* 1072232 */   GIM_Try, /*On fail goto*//*Label 15832*/ GIMT_Encode4(1072309), // Rule ID 23440 //
     /* 1072237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1072248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1072251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1072254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072276 */     // MIs[0] policy
     /* 1072276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072286 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1072289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072308 */     // GIR_Coverage, 23440,
     /* 1072308 */     GIR_EraseRootFromParent_Done,
     /* 1072309 */   // Label 15832: @1072309
     /* 1072309 */   GIM_Try, /*On fail goto*//*Label 15833*/ GIMT_Encode4(1072386), // Rule ID 23441 //
     /* 1072314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1072325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1072328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1072331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072353 */     // MIs[0] policy
     /* 1072353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072363 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1072366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072385 */     // GIR_Coverage, 23441,
     /* 1072385 */     GIR_EraseRootFromParent_Done,
     /* 1072386 */   // Label 15833: @1072386
     /* 1072386 */   GIM_Try, /*On fail goto*//*Label 15834*/ GIMT_Encode4(1072463), // Rule ID 23444 //
     /* 1072391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1072402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1072405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1072408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072430 */     // MIs[0] policy
     /* 1072430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072440 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1072443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072462 */     // GIR_Coverage, 23444,
     /* 1072462 */     GIR_EraseRootFromParent_Done,
     /* 1072463 */   // Label 15834: @1072463
     /* 1072463 */   GIM_Try, /*On fail goto*//*Label 15835*/ GIMT_Encode4(1072540), // Rule ID 23445 //
     /* 1072468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1072479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1072482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1072485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072507 */     // MIs[0] policy
     /* 1072507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1072520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072539 */     // GIR_Coverage, 23445,
     /* 1072539 */     GIR_EraseRootFromParent_Done,
     /* 1072540 */   // Label 15835: @1072540
     /* 1072540 */   GIM_Try, /*On fail goto*//*Label 15836*/ GIMT_Encode4(1072617), // Rule ID 23448 //
     /* 1072545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1072556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1072559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1072562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072584 */     // MIs[0] policy
     /* 1072584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072594 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072616 */     // GIR_Coverage, 23448,
     /* 1072616 */     GIR_EraseRootFromParent_Done,
     /* 1072617 */   // Label 15836: @1072617
     /* 1072617 */   GIM_Try, /*On fail goto*//*Label 15837*/ GIMT_Encode4(1072694), // Rule ID 23449 //
     /* 1072622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1072633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1072636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1072639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072661 */     // MIs[0] policy
     /* 1072661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072671 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072680 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072693 */     // GIR_Coverage, 23449,
     /* 1072693 */     GIR_EraseRootFromParent_Done,
     /* 1072694 */   // Label 15837: @1072694
     /* 1072694 */   GIM_Try, /*On fail goto*//*Label 15838*/ GIMT_Encode4(1072771), // Rule ID 23452 //
     /* 1072699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1072710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1072713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1072716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072738 */     // MIs[0] policy
     /* 1072738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072770 */     // GIR_Coverage, 23452,
     /* 1072770 */     GIR_EraseRootFromParent_Done,
     /* 1072771 */   // Label 15838: @1072771
     /* 1072771 */   GIM_Try, /*On fail goto*//*Label 15839*/ GIMT_Encode4(1072848), // Rule ID 23453 //
     /* 1072776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1072787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1072790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1072793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072815 */     // MIs[0] policy
     /* 1072815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072825 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072847 */     // GIR_Coverage, 23453,
     /* 1072847 */     GIR_EraseRootFromParent_Done,
     /* 1072848 */   // Label 15839: @1072848
     /* 1072848 */   GIM_Try, /*On fail goto*//*Label 15840*/ GIMT_Encode4(1072925), // Rule ID 23456 //
     /* 1072853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1072864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1072867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1072870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072892 */     // MIs[0] policy
     /* 1072892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072924 */     // GIR_Coverage, 23456,
     /* 1072924 */     GIR_EraseRootFromParent_Done,
     /* 1072925 */   // Label 15840: @1072925
     /* 1072925 */   GIM_Try, /*On fail goto*//*Label 15841*/ GIMT_Encode4(1073002), // Rule ID 23457 //
     /* 1072930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1072941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1072944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1072947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072969 */     // MIs[0] policy
     /* 1072969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072979 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073001 */     // GIR_Coverage, 23457,
     /* 1073001 */     GIR_EraseRootFromParent_Done,
     /* 1073002 */   // Label 15841: @1073002
     /* 1073002 */   GIM_Try, /*On fail goto*//*Label 15842*/ GIMT_Encode4(1073079), // Rule ID 23460 //
     /* 1073007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1073010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1073018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1073021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1073024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1073027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073046 */     // MIs[0] policy
     /* 1073046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073056 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1073059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073078 */     // GIR_Coverage, 23460,
     /* 1073078 */     GIR_EraseRootFromParent_Done,
     /* 1073079 */   // Label 15842: @1073079
     /* 1073079 */   GIM_Try, /*On fail goto*//*Label 15843*/ GIMT_Encode4(1073156), // Rule ID 23461 //
     /* 1073084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1073087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1073095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1073098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1073101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1073104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073123 */     // MIs[0] policy
     /* 1073123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073133 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1073136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073155 */     // GIR_Coverage, 23461,
     /* 1073155 */     GIR_EraseRootFromParent_Done,
     /* 1073156 */   // Label 15843: @1073156
     /* 1073156 */   GIM_Try, /*On fail goto*//*Label 15844*/ GIMT_Encode4(1073233), // Rule ID 23464 //
     /* 1073161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1073172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1073175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073200 */     // MIs[0] policy
     /* 1073200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073210 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073232 */     // GIR_Coverage, 23464,
     /* 1073232 */     GIR_EraseRootFromParent_Done,
     /* 1073233 */   // Label 15844: @1073233
     /* 1073233 */   GIM_Try, /*On fail goto*//*Label 15845*/ GIMT_Encode4(1073310), // Rule ID 23465 //
     /* 1073238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1073249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1073252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073277 */     // MIs[0] policy
     /* 1073277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073287 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073309 */     // GIR_Coverage, 23465,
     /* 1073309 */     GIR_EraseRootFromParent_Done,
     /* 1073310 */   // Label 15845: @1073310
     /* 1073310 */   GIM_Try, /*On fail goto*//*Label 15846*/ GIMT_Encode4(1073387), // Rule ID 23468 //
     /* 1073315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1073326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1073329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1073332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1073335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073354 */     // MIs[0] policy
     /* 1073354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073364 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073386 */     // GIR_Coverage, 23468,
     /* 1073386 */     GIR_EraseRootFromParent_Done,
     /* 1073387 */   // Label 15846: @1073387
     /* 1073387 */   GIM_Try, /*On fail goto*//*Label 15847*/ GIMT_Encode4(1073464), // Rule ID 23469 //
     /* 1073392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1073403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1073406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1073409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1073412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073431 */     // MIs[0] policy
     /* 1073431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073441 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073463 */     // GIR_Coverage, 23469,
     /* 1073463 */     GIR_EraseRootFromParent_Done,
     /* 1073464 */   // Label 15847: @1073464
     /* 1073464 */   GIM_Try, /*On fail goto*//*Label 15848*/ GIMT_Encode4(1073541), // Rule ID 23472 //
     /* 1073469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1073480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1073483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1073486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1073489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073508 */     // MIs[0] policy
     /* 1073508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073518 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073540 */     // GIR_Coverage, 23472,
     /* 1073540 */     GIR_EraseRootFromParent_Done,
     /* 1073541 */   // Label 15848: @1073541
     /* 1073541 */   GIM_Try, /*On fail goto*//*Label 15849*/ GIMT_Encode4(1073618), // Rule ID 23473 //
     /* 1073546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1073557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1073560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1073563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1073566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073585 */     // MIs[0] policy
     /* 1073585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073595 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073617 */     // GIR_Coverage, 23473,
     /* 1073617 */     GIR_EraseRootFromParent_Done,
     /* 1073618 */   // Label 15849: @1073618
     /* 1073618 */   GIM_Try, /*On fail goto*//*Label 15850*/ GIMT_Encode4(1073695), // Rule ID 23476 //
     /* 1073623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1073634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1073637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073662 */     // MIs[0] policy
     /* 1073662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073672 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073694 */     // GIR_Coverage, 23476,
     /* 1073694 */     GIR_EraseRootFromParent_Done,
     /* 1073695 */   // Label 15850: @1073695
     /* 1073695 */   GIM_Try, /*On fail goto*//*Label 15851*/ GIMT_Encode4(1073772), // Rule ID 23477 //
     /* 1073700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1073711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1073714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073739 */     // MIs[0] policy
     /* 1073739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073749 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073771 */     // GIR_Coverage, 23477,
     /* 1073771 */     GIR_EraseRootFromParent_Done,
     /* 1073772 */   // Label 15851: @1073772
     /* 1073772 */   GIM_Try, /*On fail goto*//*Label 15852*/ GIMT_Encode4(1073849), // Rule ID 23480 //
     /* 1073777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073816 */     // MIs[0] policy
     /* 1073816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073848 */     // GIR_Coverage, 23480,
     /* 1073848 */     GIR_EraseRootFromParent_Done,
     /* 1073849 */   // Label 15852: @1073849
     /* 1073849 */   GIM_Try, /*On fail goto*//*Label 15853*/ GIMT_Encode4(1073926), // Rule ID 23481 //
     /* 1073854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073893 */     // MIs[0] policy
     /* 1073893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073903 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073925 */     // GIR_Coverage, 23481,
     /* 1073925 */     GIR_EraseRootFromParent_Done,
     /* 1073926 */   // Label 15853: @1073926
     /* 1073926 */   GIM_Try, /*On fail goto*//*Label 15854*/ GIMT_Encode4(1074003), // Rule ID 23484 //
     /* 1073931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1073942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1073945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1073948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1073951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073970 */     // MIs[0] policy
     /* 1073970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073980 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074002 */     // GIR_Coverage, 23484,
     /* 1074002 */     GIR_EraseRootFromParent_Done,
     /* 1074003 */   // Label 15854: @1074003
     /* 1074003 */   GIM_Try, /*On fail goto*//*Label 15855*/ GIMT_Encode4(1074080), // Rule ID 23485 //
     /* 1074008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1074019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1074022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1074025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1074028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1074035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074047 */     // MIs[0] policy
     /* 1074047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074057 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1074060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074079 */     // GIR_Coverage, 23485,
     /* 1074079 */     GIR_EraseRootFromParent_Done,
     /* 1074080 */   // Label 15855: @1074080
     /* 1074080 */   GIM_Try, /*On fail goto*//*Label 15856*/ GIMT_Encode4(1074157), // Rule ID 23488 //
     /* 1074085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1074096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1074099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1074102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1074112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074124 */     // MIs[0] policy
     /* 1074124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074134 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1074137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074156 */     // GIR_Coverage, 23488,
     /* 1074156 */     GIR_EraseRootFromParent_Done,
     /* 1074157 */   // Label 15856: @1074157
     /* 1074157 */   GIM_Try, /*On fail goto*//*Label 15857*/ GIMT_Encode4(1074234), // Rule ID 23489 //
     /* 1074162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1074173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1074176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1074179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1074189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074201 */     // MIs[0] policy
     /* 1074201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1074214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074233 */     // GIR_Coverage, 23489,
     /* 1074233 */     GIR_EraseRootFromParent_Done,
     /* 1074234 */   // Label 15857: @1074234
     /* 1074234 */   GIM_Try, /*On fail goto*//*Label 15858*/ GIMT_Encode4(1074311), // Rule ID 23492 //
     /* 1074239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1074250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1074253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1074256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074278 */     // MIs[0] policy
     /* 1074278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074288 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1074291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074310 */     // GIR_Coverage, 23492,
     /* 1074310 */     GIR_EraseRootFromParent_Done,
     /* 1074311 */   // Label 15858: @1074311
     /* 1074311 */   GIM_Try, /*On fail goto*//*Label 15859*/ GIMT_Encode4(1074388), // Rule ID 23493 //
     /* 1074316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1074327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1074330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1074333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074355 */     // MIs[0] policy
     /* 1074355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074365 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1074368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074387 */     // GIR_Coverage, 23493,
     /* 1074387 */     GIR_EraseRootFromParent_Done,
     /* 1074388 */   // Label 15859: @1074388
     /* 1074388 */   GIM_Try, /*On fail goto*//*Label 15860*/ GIMT_Encode4(1074465), // Rule ID 23496 //
     /* 1074393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1074404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1074407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1074410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1074413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1074420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074432 */     // MIs[0] policy
     /* 1074432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074442 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1074445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074464 */     // GIR_Coverage, 23496,
     /* 1074464 */     GIR_EraseRootFromParent_Done,
     /* 1074465 */   // Label 15860: @1074465
     /* 1074465 */   GIM_Try, /*On fail goto*//*Label 15861*/ GIMT_Encode4(1074542), // Rule ID 23497 //
     /* 1074470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1074481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1074484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1074487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1074490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1074497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074509 */     // MIs[0] policy
     /* 1074509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074519 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1074522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074541 */     // GIR_Coverage, 23497,
     /* 1074541 */     GIR_EraseRootFromParent_Done,
     /* 1074542 */   // Label 15861: @1074542
     /* 1074542 */   GIM_Try, /*On fail goto*//*Label 15862*/ GIMT_Encode4(1074619), // Rule ID 23500 //
     /* 1074547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1074550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1074558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1074561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1074564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1074567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1074574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074586 */     // MIs[0] policy
     /* 1074586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074596 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1074599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074618 */     // GIR_Coverage, 23500,
     /* 1074618 */     GIR_EraseRootFromParent_Done,
     /* 1074619 */   // Label 15862: @1074619
     /* 1074619 */   GIM_Try, /*On fail goto*//*Label 15863*/ GIMT_Encode4(1074696), // Rule ID 23501 //
     /* 1074624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1074627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1074635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1074638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1074641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1074644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1074651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074663 */     // MIs[0] policy
     /* 1074663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074673 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1074676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074695 */     // GIR_Coverage, 23501,
     /* 1074695 */     GIR_EraseRootFromParent_Done,
     /* 1074696 */   // Label 15863: @1074696
     /* 1074696 */   GIM_Try, /*On fail goto*//*Label 15864*/ GIMT_Encode4(1074773), // Rule ID 23504 //
     /* 1074701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1074704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1074712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1074715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1074718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074740 */     // MIs[0] policy
     /* 1074740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074750 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1074753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074772 */     // GIR_Coverage, 23504,
     /* 1074772 */     GIR_EraseRootFromParent_Done,
     /* 1074773 */   // Label 15864: @1074773
     /* 1074773 */   GIM_Try, /*On fail goto*//*Label 15865*/ GIMT_Encode4(1074850), // Rule ID 23505 //
     /* 1074778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1074781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1074789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1074792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1074795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074817 */     // MIs[0] policy
     /* 1074817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074827 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1074830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074849 */     // GIR_Coverage, 23505,
     /* 1074849 */     GIR_EraseRootFromParent_Done,
     /* 1074850 */   // Label 15865: @1074850
     /* 1074850 */   GIM_Try, /*On fail goto*//*Label 15866*/ GIMT_Encode4(1074927), // Rule ID 23508 //
     /* 1074855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1074858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1074866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1074869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1074872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1074882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074894 */     // MIs[0] policy
     /* 1074894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074904 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1074907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074926 */     // GIR_Coverage, 23508,
     /* 1074926 */     GIR_EraseRootFromParent_Done,
     /* 1074927 */   // Label 15866: @1074927
     /* 1074927 */   GIM_Try, /*On fail goto*//*Label 15867*/ GIMT_Encode4(1075004), // Rule ID 23509 //
     /* 1074932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1074935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1074940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1074943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1074946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1074949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1074959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074971 */     // MIs[0] policy
     /* 1074971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074981 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1074984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075003 */     // GIR_Coverage, 23509,
     /* 1075003 */     GIR_EraseRootFromParent_Done,
     /* 1075004 */   // Label 15867: @1075004
     /* 1075004 */   GIM_Try, /*On fail goto*//*Label 15868*/ GIMT_Encode4(1075081), // Rule ID 23614 //
     /* 1075009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1075020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1075023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1075026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075048 */     // MIs[0] policy
     /* 1075048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075058 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1075061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075080 */     // GIR_Coverage, 23614,
     /* 1075080 */     GIR_EraseRootFromParent_Done,
     /* 1075081 */   // Label 15868: @1075081
     /* 1075081 */   GIM_Try, /*On fail goto*//*Label 15869*/ GIMT_Encode4(1075158), // Rule ID 23615 //
     /* 1075086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1075097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1075100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1075103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075125 */     // MIs[0] policy
     /* 1075125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075135 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1075138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075157 */     // GIR_Coverage, 23615,
     /* 1075157 */     GIR_EraseRootFromParent_Done,
     /* 1075158 */   // Label 15869: @1075158
     /* 1075158 */   GIM_Try, /*On fail goto*//*Label 15870*/ GIMT_Encode4(1075235), // Rule ID 23618 //
     /* 1075163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1075174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1075177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1075180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075202 */     // MIs[0] policy
     /* 1075202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075212 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1075215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075234 */     // GIR_Coverage, 23618,
     /* 1075234 */     GIR_EraseRootFromParent_Done,
     /* 1075235 */   // Label 15870: @1075235
     /* 1075235 */   GIM_Try, /*On fail goto*//*Label 15871*/ GIMT_Encode4(1075312), // Rule ID 23619 //
     /* 1075240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1075251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1075254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1075257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075279 */     // MIs[0] policy
     /* 1075279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075289 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1075292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075311 */     // GIR_Coverage, 23619,
     /* 1075311 */     GIR_EraseRootFromParent_Done,
     /* 1075312 */   // Label 15871: @1075312
     /* 1075312 */   GIM_Try, /*On fail goto*//*Label 15872*/ GIMT_Encode4(1075389), // Rule ID 23622 //
     /* 1075317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1075328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1075331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1075334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075356 */     // MIs[0] policy
     /* 1075356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075366 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075388 */     // GIR_Coverage, 23622,
     /* 1075388 */     GIR_EraseRootFromParent_Done,
     /* 1075389 */   // Label 15872: @1075389
     /* 1075389 */   GIM_Try, /*On fail goto*//*Label 15873*/ GIMT_Encode4(1075466), // Rule ID 23623 //
     /* 1075394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1075405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1075408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1075411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075433 */     // MIs[0] policy
     /* 1075433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075443 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075465 */     // GIR_Coverage, 23623,
     /* 1075465 */     GIR_EraseRootFromParent_Done,
     /* 1075466 */   // Label 15873: @1075466
     /* 1075466 */   GIM_Try, /*On fail goto*//*Label 15874*/ GIMT_Encode4(1075543), // Rule ID 23626 //
     /* 1075471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1075482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1075485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1075488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075510 */     // MIs[0] policy
     /* 1075510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075520 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1075523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075542 */     // GIR_Coverage, 23626,
     /* 1075542 */     GIR_EraseRootFromParent_Done,
     /* 1075543 */   // Label 15874: @1075543
     /* 1075543 */   GIM_Try, /*On fail goto*//*Label 15875*/ GIMT_Encode4(1075620), // Rule ID 23627 //
     /* 1075548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1075559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1075562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1075565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075587 */     // MIs[0] policy
     /* 1075587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075597 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1075600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075619 */     // GIR_Coverage, 23627,
     /* 1075619 */     GIR_EraseRootFromParent_Done,
     /* 1075620 */   // Label 15875: @1075620
     /* 1075620 */   GIM_Try, /*On fail goto*//*Label 15876*/ GIMT_Encode4(1075697), // Rule ID 23630 //
     /* 1075625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1075636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1075639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1075642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075664 */     // MIs[0] policy
     /* 1075664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075674 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075696 */     // GIR_Coverage, 23630,
     /* 1075696 */     GIR_EraseRootFromParent_Done,
     /* 1075697 */   // Label 15876: @1075697
     /* 1075697 */   GIM_Try, /*On fail goto*//*Label 15877*/ GIMT_Encode4(1075774), // Rule ID 23631 //
     /* 1075702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1075713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1075716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1075719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075741 */     // MIs[0] policy
     /* 1075741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075751 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075773 */     // GIR_Coverage, 23631,
     /* 1075773 */     GIR_EraseRootFromParent_Done,
     /* 1075774 */   // Label 15877: @1075774
     /* 1075774 */   GIM_Try, /*On fail goto*//*Label 15878*/ GIMT_Encode4(1075851), // Rule ID 23634 //
     /* 1075779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1075790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1075793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1075796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075818 */     // MIs[0] policy
     /* 1075818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075828 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075850 */     // GIR_Coverage, 23634,
     /* 1075850 */     GIR_EraseRootFromParent_Done,
     /* 1075851 */   // Label 15878: @1075851
     /* 1075851 */   GIM_Try, /*On fail goto*//*Label 15879*/ GIMT_Encode4(1075928), // Rule ID 23635 //
     /* 1075856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1075867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1075870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1075873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075895 */     // MIs[0] policy
     /* 1075895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075905 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075927 */     // GIR_Coverage, 23635,
     /* 1075927 */     GIR_EraseRootFromParent_Done,
     /* 1075928 */   // Label 15879: @1075928
     /* 1075928 */   GIM_Try, /*On fail goto*//*Label 15880*/ GIMT_Encode4(1076005), // Rule ID 23638 //
     /* 1075933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1075944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1075947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1075950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075972 */     // MIs[0] policy
     /* 1075972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075982 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076004 */     // GIR_Coverage, 23638,
     /* 1076004 */     GIR_EraseRootFromParent_Done,
     /* 1076005 */   // Label 15880: @1076005
     /* 1076005 */   GIM_Try, /*On fail goto*//*Label 15881*/ GIMT_Encode4(1076082), // Rule ID 23639 //
     /* 1076010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1076021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1076024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1076027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076049 */     // MIs[0] policy
     /* 1076049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076059 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11567:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1076062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076081 */     // GIR_Coverage, 23639,
     /* 1076081 */     GIR_EraseRootFromParent_Done,
     /* 1076082 */   // Label 15881: @1076082
     /* 1076082 */   GIM_Try, /*On fail goto*//*Label 15882*/ GIMT_Encode4(1076159), // Rule ID 23642 //
     /* 1076087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1076098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1076101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1076104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076126 */     // MIs[0] policy
     /* 1076126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076136 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1076139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076158 */     // GIR_Coverage, 23642,
     /* 1076158 */     GIR_EraseRootFromParent_Done,
     /* 1076159 */   // Label 15882: @1076159
     /* 1076159 */   GIM_Try, /*On fail goto*//*Label 15883*/ GIMT_Encode4(1076236), // Rule ID 23643 //
     /* 1076164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1076175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1076178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1076181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076203 */     // MIs[0] policy
     /* 1076203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076213 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1076216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076235 */     // GIR_Coverage, 23643,
     /* 1076235 */     GIR_EraseRootFromParent_Done,
     /* 1076236 */   // Label 15883: @1076236
     /* 1076236 */   GIM_Try, /*On fail goto*//*Label 15884*/ GIMT_Encode4(1076313), // Rule ID 23646 //
     /* 1076241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1076252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1076255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1076258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076280 */     // MIs[0] policy
     /* 1076280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1076293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076312 */     // GIR_Coverage, 23646,
     /* 1076312 */     GIR_EraseRootFromParent_Done,
     /* 1076313 */   // Label 15884: @1076313
     /* 1076313 */   GIM_Try, /*On fail goto*//*Label 15885*/ GIMT_Encode4(1076390), // Rule ID 23647 //
     /* 1076318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1076329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1076332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1076335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076357 */     // MIs[0] policy
     /* 1076357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1076370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076389 */     // GIR_Coverage, 23647,
     /* 1076389 */     GIR_EraseRootFromParent_Done,
     /* 1076390 */   // Label 15885: @1076390
     /* 1076390 */   GIM_Try, /*On fail goto*//*Label 15886*/ GIMT_Encode4(1076467), // Rule ID 23650 //
     /* 1076395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1076398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1076406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1076409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1076412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076434 */     // MIs[0] policy
     /* 1076434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076444 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1076447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076466 */     // GIR_Coverage, 23650,
     /* 1076466 */     GIR_EraseRootFromParent_Done,
     /* 1076467 */   // Label 15886: @1076467
     /* 1076467 */   GIM_Try, /*On fail goto*//*Label 15887*/ GIMT_Encode4(1076544), // Rule ID 23651 //
     /* 1076472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1076475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1076483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1076486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1076489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076511 */     // MIs[0] policy
     /* 1076511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1076524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076543 */     // GIR_Coverage, 23651,
     /* 1076543 */     GIR_EraseRootFromParent_Done,
     /* 1076544 */   // Label 15887: @1076544
     /* 1076544 */   GIM_Try, /*On fail goto*//*Label 15888*/ GIMT_Encode4(1076621), // Rule ID 23654 //
     /* 1076549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1076560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1076563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1076566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076588 */     // MIs[0] policy
     /* 1076588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076598 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076620 */     // GIR_Coverage, 23654,
     /* 1076620 */     GIR_EraseRootFromParent_Done,
     /* 1076621 */   // Label 15888: @1076621
     /* 1076621 */   GIM_Try, /*On fail goto*//*Label 15889*/ GIMT_Encode4(1076698), // Rule ID 23655 //
     /* 1076626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1076637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1076640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1076643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076665 */     // MIs[0] policy
     /* 1076665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076675 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076697 */     // GIR_Coverage, 23655,
     /* 1076697 */     GIR_EraseRootFromParent_Done,
     /* 1076698 */   // Label 15889: @1076698
     /* 1076698 */   GIM_Try, /*On fail goto*//*Label 15890*/ GIMT_Encode4(1076775), // Rule ID 23658 //
     /* 1076703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1076714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1076717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1076720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076742 */     // MIs[0] policy
     /* 1076742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076752 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076774 */     // GIR_Coverage, 23658,
     /* 1076774 */     GIR_EraseRootFromParent_Done,
     /* 1076775 */   // Label 15890: @1076775
     /* 1076775 */   GIM_Try, /*On fail goto*//*Label 15891*/ GIMT_Encode4(1076852), // Rule ID 23659 //
     /* 1076780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1076791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1076794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1076797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076819 */     // MIs[0] policy
     /* 1076819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076829 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076851 */     // GIR_Coverage, 23659,
     /* 1076851 */     GIR_EraseRootFromParent_Done,
     /* 1076852 */   // Label 15891: @1076852
     /* 1076852 */   GIM_Try, /*On fail goto*//*Label 15892*/ GIMT_Encode4(1076929), // Rule ID 23662 //
     /* 1076857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1076868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1076871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1076874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076896 */     // MIs[0] policy
     /* 1076896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076906 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076928 */     // GIR_Coverage, 23662,
     /* 1076928 */     GIR_EraseRootFromParent_Done,
     /* 1076929 */   // Label 15892: @1076929
     /* 1076929 */   GIM_Try, /*On fail goto*//*Label 15893*/ GIMT_Encode4(1077006), // Rule ID 23663 //
     /* 1076934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1076945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1076948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1076951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076973 */     // MIs[0] policy
     /* 1076973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076983 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077005 */     // GIR_Coverage, 23663,
     /* 1077005 */     GIR_EraseRootFromParent_Done,
     /* 1077006 */   // Label 15893: @1077006
     /* 1077006 */   GIM_Try, /*On fail goto*//*Label 15894*/ GIMT_Encode4(1077083), // Rule ID 23666 //
     /* 1077011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1077022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1077025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1077028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077050 */     // MIs[0] policy
     /* 1077050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077060 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1077063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077082 */     // GIR_Coverage, 23666,
     /* 1077082 */     GIR_EraseRootFromParent_Done,
     /* 1077083 */   // Label 15894: @1077083
     /* 1077083 */   GIM_Try, /*On fail goto*//*Label 15895*/ GIMT_Encode4(1077160), // Rule ID 23667 //
     /* 1077088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1077099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1077102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1077105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077127 */     // MIs[0] policy
     /* 1077127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077137 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1077140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077159 */     // GIR_Coverage, 23667,
     /* 1077159 */     GIR_EraseRootFromParent_Done,
     /* 1077160 */   // Label 15895: @1077160
     /* 1077160 */   GIM_Try, /*On fail goto*//*Label 15896*/ GIMT_Encode4(1077237), // Rule ID 23670 //
     /* 1077165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1077176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1077179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1077182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077204 */     // MIs[0] policy
     /* 1077204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077214 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077236 */     // GIR_Coverage, 23670,
     /* 1077236 */     GIR_EraseRootFromParent_Done,
     /* 1077237 */   // Label 15896: @1077237
     /* 1077237 */   GIM_Try, /*On fail goto*//*Label 15897*/ GIMT_Encode4(1077314), // Rule ID 23671 //
     /* 1077242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1077253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1077256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1077259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077281 */     // MIs[0] policy
     /* 1077281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077291 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077313 */     // GIR_Coverage, 23671,
     /* 1077313 */     GIR_EraseRootFromParent_Done,
     /* 1077314 */   // Label 15897: @1077314
     /* 1077314 */   GIM_Try, /*On fail goto*//*Label 15898*/ GIMT_Encode4(1077391), // Rule ID 23674 //
     /* 1077319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1077330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1077333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1077336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077358 */     // MIs[0] policy
     /* 1077358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077390 */     // GIR_Coverage, 23674,
     /* 1077390 */     GIR_EraseRootFromParent_Done,
     /* 1077391 */   // Label 15898: @1077391
     /* 1077391 */   GIM_Try, /*On fail goto*//*Label 15899*/ GIMT_Encode4(1077468), // Rule ID 23675 //
     /* 1077396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1077407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1077410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1077413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077435 */     // MIs[0] policy
     /* 1077435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077445 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077467 */     // GIR_Coverage, 23675,
     /* 1077467 */     GIR_EraseRootFromParent_Done,
     /* 1077468 */   // Label 15899: @1077468
     /* 1077468 */   GIM_Try, /*On fail goto*//*Label 15900*/ GIMT_Encode4(1077545), // Rule ID 23678 //
     /* 1077473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1077484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1077487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1077490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077512 */     // MIs[0] policy
     /* 1077512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077522 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1077525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077544 */     // GIR_Coverage, 23678,
     /* 1077544 */     GIR_EraseRootFromParent_Done,
     /* 1077545 */   // Label 15900: @1077545
     /* 1077545 */   GIM_Try, /*On fail goto*//*Label 15901*/ GIMT_Encode4(1077622), // Rule ID 23679 //
     /* 1077550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1077561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1077564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1077567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077589 */     // MIs[0] policy
     /* 1077589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077599 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1077602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077621 */     // GIR_Coverage, 23679,
     /* 1077621 */     GIR_EraseRootFromParent_Done,
     /* 1077622 */   // Label 15901: @1077622
     /* 1077622 */   GIM_Try, /*On fail goto*//*Label 15902*/ GIMT_Encode4(1077699), // Rule ID 23682 //
     /* 1077627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1077638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1077641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1077644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077666 */     // MIs[0] policy
     /* 1077666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077676 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077698 */     // GIR_Coverage, 23682,
     /* 1077698 */     GIR_EraseRootFromParent_Done,
     /* 1077699 */   // Label 15902: @1077699
     /* 1077699 */   GIM_Try, /*On fail goto*//*Label 15903*/ GIMT_Encode4(1077776), // Rule ID 23683 //
     /* 1077704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1077715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1077718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1077721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077743 */     // MIs[0] policy
     /* 1077743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077753 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077775 */     // GIR_Coverage, 23683,
     /* 1077775 */     GIR_EraseRootFromParent_Done,
     /* 1077776 */   // Label 15903: @1077776
     /* 1077776 */   GIM_Try, /*On fail goto*//*Label 15904*/ GIMT_Encode4(1077853), // Rule ID 23686 //
     /* 1077781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1077792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1077795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1077798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077820 */     // MIs[0] policy
     /* 1077820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077830 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077852 */     // GIR_Coverage, 23686,
     /* 1077852 */     GIR_EraseRootFromParent_Done,
     /* 1077853 */   // Label 15904: @1077853
     /* 1077853 */   GIM_Try, /*On fail goto*//*Label 15905*/ GIMT_Encode4(1077930), // Rule ID 23687 //
     /* 1077858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1077869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1077872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1077875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077897 */     // MIs[0] policy
     /* 1077897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077907 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077929 */     // GIR_Coverage, 23687,
     /* 1077929 */     GIR_EraseRootFromParent_Done,
     /* 1077930 */   // Label 15905: @1077930
     /* 1077930 */   GIM_Try, /*On fail goto*//*Label 15906*/ GIMT_Encode4(1078007), // Rule ID 23690 //
     /* 1077935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1077938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1077946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1077949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1077952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077974 */     // MIs[0] policy
     /* 1077974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077984 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1077987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078006 */     // GIR_Coverage, 23690,
     /* 1078006 */     GIR_EraseRootFromParent_Done,
     /* 1078007 */   // Label 15906: @1078007
     /* 1078007 */   GIM_Try, /*On fail goto*//*Label 15907*/ GIMT_Encode4(1078084), // Rule ID 23691 //
     /* 1078012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1078023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1078026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1078029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078051 */     // MIs[0] policy
     /* 1078051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1078064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078083 */     // GIR_Coverage, 23691,
     /* 1078083 */     GIR_EraseRootFromParent_Done,
     /* 1078084 */   // Label 15907: @1078084
     /* 1078084 */   GIM_Try, /*On fail goto*//*Label 15908*/ GIMT_Encode4(1078161), // Rule ID 23694 //
     /* 1078089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1078100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1078103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1078106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078128 */     // MIs[0] policy
     /* 1078128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078138 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1078141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078160 */     // GIR_Coverage, 23694,
     /* 1078160 */     GIR_EraseRootFromParent_Done,
     /* 1078161 */   // Label 15908: @1078161
     /* 1078161 */   GIM_Try, /*On fail goto*//*Label 15909*/ GIMT_Encode4(1078238), // Rule ID 23695 //
     /* 1078166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1078177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1078180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1078183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078205 */     // MIs[0] policy
     /* 1078205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078215 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1078218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078237 */     // GIR_Coverage, 23695,
     /* 1078237 */     GIR_EraseRootFromParent_Done,
     /* 1078238 */   // Label 15909: @1078238
     /* 1078238 */   GIM_Try, /*On fail goto*//*Label 15910*/ GIMT_Encode4(1078315), // Rule ID 23698 //
     /* 1078243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1078254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1078257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1078260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078282 */     // MIs[0] policy
     /* 1078282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078292 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1078295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078314 */     // GIR_Coverage, 23698,
     /* 1078314 */     GIR_EraseRootFromParent_Done,
     /* 1078315 */   // Label 15910: @1078315
     /* 1078315 */   GIM_Try, /*On fail goto*//*Label 15911*/ GIMT_Encode4(1078392), // Rule ID 23699 //
     /* 1078320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1078331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1078334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1078337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078359 */     // MIs[0] policy
     /* 1078359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078369 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1078372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078391 */     // GIR_Coverage, 23699,
     /* 1078391 */     GIR_EraseRootFromParent_Done,
     /* 1078392 */   // Label 15911: @1078392
     /* 1078392 */   GIM_Try, /*On fail goto*//*Label 15912*/ GIMT_Encode4(1078469), // Rule ID 23790 //
     /* 1078397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1078408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1078411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1078414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078436 */     // MIs[0] policy
     /* 1078436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078446 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1078449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078468 */     // GIR_Coverage, 23790,
     /* 1078468 */     GIR_EraseRootFromParent_Done,
     /* 1078469 */   // Label 15912: @1078469
     /* 1078469 */   GIM_Try, /*On fail goto*//*Label 15913*/ GIMT_Encode4(1078546), // Rule ID 23791 //
     /* 1078474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1078485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1078488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1078491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078513 */     // MIs[0] policy
     /* 1078513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078523 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1078526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078545 */     // GIR_Coverage, 23791,
     /* 1078545 */     GIR_EraseRootFromParent_Done,
     /* 1078546 */   // Label 15913: @1078546
     /* 1078546 */   GIM_Try, /*On fail goto*//*Label 15914*/ GIMT_Encode4(1078623), // Rule ID 23794 //
     /* 1078551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1078562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1078565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1078568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078590 */     // MIs[0] policy
     /* 1078590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078600 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1078603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078622 */     // GIR_Coverage, 23794,
     /* 1078622 */     GIR_EraseRootFromParent_Done,
     /* 1078623 */   // Label 15914: @1078623
     /* 1078623 */   GIM_Try, /*On fail goto*//*Label 15915*/ GIMT_Encode4(1078700), // Rule ID 23795 //
     /* 1078628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1078639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1078642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1078645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078667 */     // MIs[0] policy
     /* 1078667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078677 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1078680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078699 */     // GIR_Coverage, 23795,
     /* 1078699 */     GIR_EraseRootFromParent_Done,
     /* 1078700 */   // Label 15915: @1078700
     /* 1078700 */   GIM_Try, /*On fail goto*//*Label 15916*/ GIMT_Encode4(1078777), // Rule ID 23798 //
     /* 1078705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1078716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1078719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1078722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078744 */     // MIs[0] policy
     /* 1078744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078754 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078776 */     // GIR_Coverage, 23798,
     /* 1078776 */     GIR_EraseRootFromParent_Done,
     /* 1078777 */   // Label 15916: @1078777
     /* 1078777 */   GIM_Try, /*On fail goto*//*Label 15917*/ GIMT_Encode4(1078854), // Rule ID 23799 //
     /* 1078782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1078793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1078796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1078799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078821 */     // MIs[0] policy
     /* 1078821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078831 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078853 */     // GIR_Coverage, 23799,
     /* 1078853 */     GIR_EraseRootFromParent_Done,
     /* 1078854 */   // Label 15917: @1078854
     /* 1078854 */   GIM_Try, /*On fail goto*//*Label 15918*/ GIMT_Encode4(1078931), // Rule ID 23802 //
     /* 1078859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1078870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1078873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1078876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078898 */     // MIs[0] policy
     /* 1078898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078908 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1078911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078930 */     // GIR_Coverage, 23802,
     /* 1078930 */     GIR_EraseRootFromParent_Done,
     /* 1078931 */   // Label 15918: @1078931
     /* 1078931 */   GIM_Try, /*On fail goto*//*Label 15919*/ GIMT_Encode4(1079008), // Rule ID 23803 //
     /* 1078936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1078947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1078950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1078953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078975 */     // MIs[0] policy
     /* 1078975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078985 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1078988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079007 */     // GIR_Coverage, 23803,
     /* 1079007 */     GIR_EraseRootFromParent_Done,
     /* 1079008 */   // Label 15919: @1079008
     /* 1079008 */   GIM_Try, /*On fail goto*//*Label 15920*/ GIMT_Encode4(1079085), // Rule ID 23806 //
     /* 1079013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1079024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1079027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1079030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079052 */     // MIs[0] policy
     /* 1079052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079062 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1079065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079084 */     // GIR_Coverage, 23806,
     /* 1079084 */     GIR_EraseRootFromParent_Done,
     /* 1079085 */   // Label 15920: @1079085
     /* 1079085 */   GIM_Try, /*On fail goto*//*Label 15921*/ GIMT_Encode4(1079162), // Rule ID 23807 //
     /* 1079090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1079101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1079104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1079107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079129 */     // MIs[0] policy
     /* 1079129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079139 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1079142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079161 */     // GIR_Coverage, 23807,
     /* 1079161 */     GIR_EraseRootFromParent_Done,
     /* 1079162 */   // Label 15921: @1079162
     /* 1079162 */   GIM_Try, /*On fail goto*//*Label 15922*/ GIMT_Encode4(1079239), // Rule ID 23810 //
     /* 1079167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1079178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1079181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1079184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079206 */     // MIs[0] policy
     /* 1079206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079216 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1079219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079238 */     // GIR_Coverage, 23810,
     /* 1079238 */     GIR_EraseRootFromParent_Done,
     /* 1079239 */   // Label 15922: @1079239
     /* 1079239 */   GIM_Try, /*On fail goto*//*Label 15923*/ GIMT_Encode4(1079316), // Rule ID 23811 //
     /* 1079244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1079255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1079258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1079261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079283 */     // MIs[0] policy
     /* 1079283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079293 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1079296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079315 */     // GIR_Coverage, 23811,
     /* 1079315 */     GIR_EraseRootFromParent_Done,
     /* 1079316 */   // Label 15923: @1079316
     /* 1079316 */   GIM_Try, /*On fail goto*//*Label 15924*/ GIMT_Encode4(1079393), // Rule ID 23814 //
     /* 1079321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1079332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1079335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1079338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079360 */     // MIs[0] policy
     /* 1079360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079370 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079392 */     // GIR_Coverage, 23814,
     /* 1079392 */     GIR_EraseRootFromParent_Done,
     /* 1079393 */   // Label 15924: @1079393
     /* 1079393 */   GIM_Try, /*On fail goto*//*Label 15925*/ GIMT_Encode4(1079470), // Rule ID 23815 //
     /* 1079398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1079409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1079412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1079415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079437 */     // MIs[0] policy
     /* 1079437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079447 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11565:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079469 */     // GIR_Coverage, 23815,
     /* 1079469 */     GIR_EraseRootFromParent_Done,
     /* 1079470 */   // Label 15925: @1079470
     /* 1079470 */   GIM_Try, /*On fail goto*//*Label 15926*/ GIMT_Encode4(1079547), // Rule ID 23818 //
     /* 1079475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1079486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1079489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1079492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079514 */     // MIs[0] policy
     /* 1079514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079524 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079546 */     // GIR_Coverage, 23818,
     /* 1079546 */     GIR_EraseRootFromParent_Done,
     /* 1079547 */   // Label 15926: @1079547
     /* 1079547 */   GIM_Try, /*On fail goto*//*Label 15927*/ GIMT_Encode4(1079624), // Rule ID 23819 //
     /* 1079552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1079563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1079566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1079569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079591 */     // MIs[0] policy
     /* 1079591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079601 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079623 */     // GIR_Coverage, 23819,
     /* 1079623 */     GIR_EraseRootFromParent_Done,
     /* 1079624 */   // Label 15927: @1079624
     /* 1079624 */   GIM_Try, /*On fail goto*//*Label 15928*/ GIMT_Encode4(1079701), // Rule ID 23822 //
     /* 1079629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1079640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1079643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1079646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079668 */     // MIs[0] policy
     /* 1079668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079700 */     // GIR_Coverage, 23822,
     /* 1079700 */     GIR_EraseRootFromParent_Done,
     /* 1079701 */   // Label 15928: @1079701
     /* 1079701 */   GIM_Try, /*On fail goto*//*Label 15929*/ GIMT_Encode4(1079778), // Rule ID 23823 //
     /* 1079706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1079717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1079720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1079723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079745 */     // MIs[0] policy
     /* 1079745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079777 */     // GIR_Coverage, 23823,
     /* 1079777 */     GIR_EraseRootFromParent_Done,
     /* 1079778 */   // Label 15929: @1079778
     /* 1079778 */   GIM_Try, /*On fail goto*//*Label 15930*/ GIMT_Encode4(1079855), // Rule ID 23826 //
     /* 1079783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1079786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1079794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1079797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1079800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079822 */     // MIs[0] policy
     /* 1079822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079832 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079854 */     // GIR_Coverage, 23826,
     /* 1079854 */     GIR_EraseRootFromParent_Done,
     /* 1079855 */   // Label 15930: @1079855
     /* 1079855 */   GIM_Try, /*On fail goto*//*Label 15931*/ GIMT_Encode4(1079932), // Rule ID 23827 //
     /* 1079860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1079863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1079871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1079874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1079877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079899 */     // MIs[0] policy
     /* 1079899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079909 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1079912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079931 */     // GIR_Coverage, 23827,
     /* 1079931 */     GIR_EraseRootFromParent_Done,
     /* 1079932 */   // Label 15931: @1079932
     /* 1079932 */   GIM_Try, /*On fail goto*//*Label 15932*/ GIMT_Encode4(1080009), // Rule ID 23830 //
     /* 1079937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1079948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1079951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1079954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079976 */     // MIs[0] policy
     /* 1079976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079986 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080008 */     // GIR_Coverage, 23830,
     /* 1080008 */     GIR_EraseRootFromParent_Done,
     /* 1080009 */   // Label 15932: @1080009
     /* 1080009 */   GIM_Try, /*On fail goto*//*Label 15933*/ GIMT_Encode4(1080086), // Rule ID 23831 //
     /* 1080014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1080025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1080028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1080031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080053 */     // MIs[0] policy
     /* 1080053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080063 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080085 */     // GIR_Coverage, 23831,
     /* 1080085 */     GIR_EraseRootFromParent_Done,
     /* 1080086 */   // Label 15933: @1080086
     /* 1080086 */   GIM_Try, /*On fail goto*//*Label 15934*/ GIMT_Encode4(1080163), // Rule ID 23834 //
     /* 1080091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1080102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1080105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1080108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080130 */     // MIs[0] policy
     /* 1080130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080140 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080162 */     // GIR_Coverage, 23834,
     /* 1080162 */     GIR_EraseRootFromParent_Done,
     /* 1080163 */   // Label 15934: @1080163
     /* 1080163 */   GIM_Try, /*On fail goto*//*Label 15935*/ GIMT_Encode4(1080240), // Rule ID 23835 //
     /* 1080168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1080179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1080182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1080185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080207 */     // MIs[0] policy
     /* 1080207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080217 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080239 */     // GIR_Coverage, 23835,
     /* 1080239 */     GIR_EraseRootFromParent_Done,
     /* 1080240 */   // Label 15935: @1080240
     /* 1080240 */   GIM_Try, /*On fail goto*//*Label 15936*/ GIMT_Encode4(1080317), // Rule ID 23838 //
     /* 1080245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1080256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1080259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1080262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080284 */     // MIs[0] policy
     /* 1080284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080294 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080316 */     // GIR_Coverage, 23838,
     /* 1080316 */     GIR_EraseRootFromParent_Done,
     /* 1080317 */   // Label 15936: @1080317
     /* 1080317 */   GIM_Try, /*On fail goto*//*Label 15937*/ GIMT_Encode4(1080394), // Rule ID 23839 //
     /* 1080322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1080333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1080336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1080339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080361 */     // MIs[0] policy
     /* 1080361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080393 */     // GIR_Coverage, 23839,
     /* 1080393 */     GIR_EraseRootFromParent_Done,
     /* 1080394 */   // Label 15937: @1080394
     /* 1080394 */   GIM_Try, /*On fail goto*//*Label 15938*/ GIMT_Encode4(1080471), // Rule ID 23842 //
     /* 1080399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1080410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1080413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1080416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080438 */     // MIs[0] policy
     /* 1080438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080448 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080470 */     // GIR_Coverage, 23842,
     /* 1080470 */     GIR_EraseRootFromParent_Done,
     /* 1080471 */   // Label 15938: @1080471
     /* 1080471 */   GIM_Try, /*On fail goto*//*Label 15939*/ GIMT_Encode4(1080548), // Rule ID 23843 //
     /* 1080476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1080487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1080490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1080493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080515 */     // MIs[0] policy
     /* 1080515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080525 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080547 */     // GIR_Coverage, 23843,
     /* 1080547 */     GIR_EraseRootFromParent_Done,
     /* 1080548 */   // Label 15939: @1080548
     /* 1080548 */   GIM_Try, /*On fail goto*//*Label 15940*/ GIMT_Encode4(1080625), // Rule ID 23846 //
     /* 1080553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1080564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1080567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1080570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080592 */     // MIs[0] policy
     /* 1080592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080602 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080624 */     // GIR_Coverage, 23846,
     /* 1080624 */     GIR_EraseRootFromParent_Done,
     /* 1080625 */   // Label 15940: @1080625
     /* 1080625 */   GIM_Try, /*On fail goto*//*Label 15941*/ GIMT_Encode4(1080702), // Rule ID 23847 //
     /* 1080630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1080641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1080644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1080647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080669 */     // MIs[0] policy
     /* 1080669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080679 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080701 */     // GIR_Coverage, 23847,
     /* 1080701 */     GIR_EraseRootFromParent_Done,
     /* 1080702 */   // Label 15941: @1080702
     /* 1080702 */   GIM_Try, /*On fail goto*//*Label 15942*/ GIMT_Encode4(1080779), // Rule ID 23850 //
     /* 1080707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1080718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1080721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1080724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080746 */     // MIs[0] policy
     /* 1080746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080756 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080778 */     // GIR_Coverage, 23850,
     /* 1080778 */     GIR_EraseRootFromParent_Done,
     /* 1080779 */   // Label 15942: @1080779
     /* 1080779 */   GIM_Try, /*On fail goto*//*Label 15943*/ GIMT_Encode4(1080856), // Rule ID 23851 //
     /* 1080784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1080795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1080798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1080801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080823 */     // MIs[0] policy
     /* 1080823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080833 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080855 */     // GIR_Coverage, 23851,
     /* 1080855 */     GIR_EraseRootFromParent_Done,
     /* 1080856 */   // Label 15943: @1080856
     /* 1080856 */   GIM_Try, /*On fail goto*//*Label 15944*/ GIMT_Encode4(1080933), // Rule ID 23854 //
     /* 1080861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1080872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1080875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1080878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080900 */     // MIs[0] policy
     /* 1080900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080910 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080932 */     // GIR_Coverage, 23854,
     /* 1080932 */     GIR_EraseRootFromParent_Done,
     /* 1080933 */   // Label 15944: @1080933
     /* 1080933 */   GIM_Try, /*On fail goto*//*Label 15945*/ GIMT_Encode4(1081010), // Rule ID 23855 //
     /* 1080938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1080949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1080952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1080955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080977 */     // MIs[0] policy
     /* 1080977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081009 */     // GIR_Coverage, 23855,
     /* 1081009 */     GIR_EraseRootFromParent_Done,
     /* 1081010 */   // Label 15945: @1081010
     /* 1081010 */   GIM_Try, /*On fail goto*//*Label 15946*/ GIMT_Encode4(1081087), // Rule ID 23858 //
     /* 1081015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1081026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1081029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1081032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081054 */     // MIs[0] policy
     /* 1081054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081064 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1081067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081086 */     // GIR_Coverage, 23858,
     /* 1081086 */     GIR_EraseRootFromParent_Done,
     /* 1081087 */   // Label 15946: @1081087
     /* 1081087 */   GIM_Try, /*On fail goto*//*Label 15947*/ GIMT_Encode4(1081164), // Rule ID 23859 //
     /* 1081092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1081103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1081106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1081109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081131 */     // MIs[0] policy
     /* 1081131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081141 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1081144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081163 */     // GIR_Coverage, 23859,
     /* 1081163 */     GIR_EraseRootFromParent_Done,
     /* 1081164 */   // Label 15947: @1081164
     /* 1081164 */   GIM_Try, /*On fail goto*//*Label 15948*/ GIMT_Encode4(1081241), // Rule ID 23862 //
     /* 1081169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1081180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1081183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1081186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081208 */     // MIs[0] policy
     /* 1081208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081218 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1081221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081240 */     // GIR_Coverage, 23862,
     /* 1081240 */     GIR_EraseRootFromParent_Done,
     /* 1081241 */   // Label 15948: @1081241
     /* 1081241 */   GIM_Try, /*On fail goto*//*Label 15949*/ GIMT_Encode4(1081318), // Rule ID 23863 //
     /* 1081246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1081257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1081260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1081263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081285 */     // MIs[0] policy
     /* 1081285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081295 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1081298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081317 */     // GIR_Coverage, 23863,
     /* 1081317 */     GIR_EraseRootFromParent_Done,
     /* 1081318 */   // Label 15949: @1081318
     /* 1081318 */   GIM_Try, /*On fail goto*//*Label 15950*/ GIMT_Encode4(1081395), // Rule ID 23866 //
     /* 1081323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1081326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1081334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1081337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1081340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081362 */     // MIs[0] policy
     /* 1081362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081372 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1081375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081394 */     // GIR_Coverage, 23866,
     /* 1081394 */     GIR_EraseRootFromParent_Done,
     /* 1081395 */   // Label 15950: @1081395
     /* 1081395 */   GIM_Try, /*On fail goto*//*Label 15951*/ GIMT_Encode4(1081472), // Rule ID 23867 //
     /* 1081400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1081403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1081411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1081414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1081417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081439 */     // MIs[0] policy
     /* 1081439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081449 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1081452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081471 */     // GIR_Coverage, 23867,
     /* 1081471 */     GIR_EraseRootFromParent_Done,
     /* 1081472 */   // Label 15951: @1081472
     /* 1081472 */   GIM_Try, /*On fail goto*//*Label 15952*/ GIMT_Encode4(1081549), // Rule ID 23870 //
     /* 1081477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1081480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1081488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1081491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1081494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081516 */     // MIs[0] policy
     /* 1081516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081526 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1081529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081548 */     // GIR_Coverage, 23870,
     /* 1081548 */     GIR_EraseRootFromParent_Done,
     /* 1081549 */   // Label 15952: @1081549
     /* 1081549 */   GIM_Try, /*On fail goto*//*Label 15953*/ GIMT_Encode4(1081626), // Rule ID 23871 //
     /* 1081554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1081557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1081565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1081568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1081571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081593 */     // MIs[0] policy
     /* 1081593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1081606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081625 */     // GIR_Coverage, 23871,
     /* 1081625 */     GIR_EraseRootFromParent_Done,
     /* 1081626 */   // Label 15953: @1081626
     /* 1081626 */   GIM_Try, /*On fail goto*//*Label 15954*/ GIMT_Encode4(1081703), // Rule ID 23874 //
     /* 1081631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1081634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1081642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1081645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1081648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081670 */     // MIs[0] policy
     /* 1081670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081680 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1081683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081702 */     // GIR_Coverage, 23874,
     /* 1081702 */     GIR_EraseRootFromParent_Done,
     /* 1081703 */   // Label 15954: @1081703
     /* 1081703 */   GIM_Try, /*On fail goto*//*Label 15955*/ GIMT_Encode4(1081780), // Rule ID 23875 //
     /* 1081708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1081711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1081719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1081722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1081725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081747 */     // MIs[0] policy
     /* 1081747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081757 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1081760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081779 */     // GIR_Coverage, 23875,
     /* 1081779 */     GIR_EraseRootFromParent_Done,
     /* 1081780 */   // Label 15955: @1081780
     /* 1081780 */   GIM_Try, /*On fail goto*//*Label 15956*/ GIMT_Encode4(1081857), // Rule ID 24142 //
     /* 1081785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1081796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1081799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1081802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081824 */     // MIs[0] policy
     /* 1081824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081834 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1081837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081856 */     // GIR_Coverage, 24142,
     /* 1081856 */     GIR_EraseRootFromParent_Done,
     /* 1081857 */   // Label 15956: @1081857
     /* 1081857 */   GIM_Try, /*On fail goto*//*Label 15957*/ GIMT_Encode4(1081934), // Rule ID 24143 //
     /* 1081862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1081873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1081876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1081879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081901 */     // MIs[0] policy
     /* 1081901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081911 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1081914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081933 */     // GIR_Coverage, 24143,
     /* 1081933 */     GIR_EraseRootFromParent_Done,
     /* 1081934 */   // Label 15957: @1081934
     /* 1081934 */   GIM_Try, /*On fail goto*//*Label 15958*/ GIMT_Encode4(1082011), // Rule ID 24146 //
     /* 1081939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1081950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1081953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1081956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081978 */     // MIs[0] policy
     /* 1081978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081988 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082010 */     // GIR_Coverage, 24146,
     /* 1082010 */     GIR_EraseRootFromParent_Done,
     /* 1082011 */   // Label 15958: @1082011
     /* 1082011 */   GIM_Try, /*On fail goto*//*Label 15959*/ GIMT_Encode4(1082088), // Rule ID 24147 //
     /* 1082016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1082027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1082030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1082033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082055 */     // MIs[0] policy
     /* 1082055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082065 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1082068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082087 */     // GIR_Coverage, 24147,
     /* 1082087 */     GIR_EraseRootFromParent_Done,
     /* 1082088 */   // Label 15959: @1082088
     /* 1082088 */   GIM_Try, /*On fail goto*//*Label 15960*/ GIMT_Encode4(1082165), // Rule ID 24150 //
     /* 1082093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1082104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1082107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1082110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082132 */     // MIs[0] policy
     /* 1082132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082142 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1082145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082164 */     // GIR_Coverage, 24150,
     /* 1082164 */     GIR_EraseRootFromParent_Done,
     /* 1082165 */   // Label 15960: @1082165
     /* 1082165 */   GIM_Try, /*On fail goto*//*Label 15961*/ GIMT_Encode4(1082242), // Rule ID 24151 //
     /* 1082170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1082181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1082184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1082187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082209 */     // MIs[0] policy
     /* 1082209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082219 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1082222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082241 */     // GIR_Coverage, 24151,
     /* 1082241 */     GIR_EraseRootFromParent_Done,
     /* 1082242 */   // Label 15961: @1082242
     /* 1082242 */   GIM_Try, /*On fail goto*//*Label 15962*/ GIMT_Encode4(1082319), // Rule ID 24154 //
     /* 1082247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1082258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1082261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1082264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082286 */     // MIs[0] policy
     /* 1082286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082296 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1082299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082318 */     // GIR_Coverage, 24154,
     /* 1082318 */     GIR_EraseRootFromParent_Done,
     /* 1082319 */   // Label 15962: @1082319
     /* 1082319 */   GIM_Try, /*On fail goto*//*Label 15963*/ GIMT_Encode4(1082396), // Rule ID 24155 //
     /* 1082324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1082335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1082338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1082341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082363 */     // MIs[0] policy
     /* 1082363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082373 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1082376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082395 */     // GIR_Coverage, 24155,
     /* 1082395 */     GIR_EraseRootFromParent_Done,
     /* 1082396 */   // Label 15963: @1082396
     /* 1082396 */   GIM_Try, /*On fail goto*//*Label 15964*/ GIMT_Encode4(1082473), // Rule ID 24158 //
     /* 1082401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1082412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1082415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1082418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082440 */     // MIs[0] policy
     /* 1082440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082450 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1082453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082472 */     // GIR_Coverage, 24158,
     /* 1082472 */     GIR_EraseRootFromParent_Done,
     /* 1082473 */   // Label 15964: @1082473
     /* 1082473 */   GIM_Try, /*On fail goto*//*Label 15965*/ GIMT_Encode4(1082550), // Rule ID 24159 //
     /* 1082478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1082489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1082492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1082495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082517 */     // MIs[0] policy
     /* 1082517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082527 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1082530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082549 */     // GIR_Coverage, 24159,
     /* 1082549 */     GIR_EraseRootFromParent_Done,
     /* 1082550 */   // Label 15965: @1082550
     /* 1082550 */   GIM_Try, /*On fail goto*//*Label 15966*/ GIMT_Encode4(1082627), // Rule ID 24162 //
     /* 1082555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1082558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1082566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1082569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1082572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082594 */     // MIs[0] policy
     /* 1082594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082604 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1082607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082626 */     // GIR_Coverage, 24162,
     /* 1082626 */     GIR_EraseRootFromParent_Done,
     /* 1082627 */   // Label 15966: @1082627
     /* 1082627 */   GIM_Try, /*On fail goto*//*Label 15967*/ GIMT_Encode4(1082704), // Rule ID 24163 //
     /* 1082632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1082635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1082643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1082646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1082649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082671 */     // MIs[0] policy
     /* 1082671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082681 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1082684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082703 */     // GIR_Coverage, 24163,
     /* 1082703 */     GIR_EraseRootFromParent_Done,
     /* 1082704 */   // Label 15967: @1082704
     /* 1082704 */   GIM_Try, /*On fail goto*//*Label 15968*/ GIMT_Encode4(1082781), // Rule ID 24166 //
     /* 1082709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1082720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1082723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1082726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082748 */     // MIs[0] policy
     /* 1082748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082758 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082780 */     // GIR_Coverage, 24166,
     /* 1082780 */     GIR_EraseRootFromParent_Done,
     /* 1082781 */   // Label 15968: @1082781
     /* 1082781 */   GIM_Try, /*On fail goto*//*Label 15969*/ GIMT_Encode4(1082858), // Rule ID 24167 //
     /* 1082786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1082797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1082800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1082803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082825 */     // MIs[0] policy
     /* 1082825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082835 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082857 */     // GIR_Coverage, 24167,
     /* 1082857 */     GIR_EraseRootFromParent_Done,
     /* 1082858 */   // Label 15969: @1082858
     /* 1082858 */   GIM_Try, /*On fail goto*//*Label 15970*/ GIMT_Encode4(1082935), // Rule ID 24170 //
     /* 1082863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1082874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1082877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1082880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082902 */     // MIs[0] policy
     /* 1082902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082912 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082934 */     // GIR_Coverage, 24170,
     /* 1082934 */     GIR_EraseRootFromParent_Done,
     /* 1082935 */   // Label 15970: @1082935
     /* 1082935 */   GIM_Try, /*On fail goto*//*Label 15971*/ GIMT_Encode4(1083012), // Rule ID 24171 //
     /* 1082940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1082951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1082954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1082957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082979 */     // MIs[0] policy
     /* 1082979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082989 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083011 */     // GIR_Coverage, 24171,
     /* 1083011 */     GIR_EraseRootFromParent_Done,
     /* 1083012 */   // Label 15971: @1083012
     /* 1083012 */   GIM_Try, /*On fail goto*//*Label 15972*/ GIMT_Encode4(1083089), // Rule ID 24174 //
     /* 1083017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1083028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1083031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1083034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083056 */     // MIs[0] policy
     /* 1083056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083066 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1083069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083088 */     // GIR_Coverage, 24174,
     /* 1083088 */     GIR_EraseRootFromParent_Done,
     /* 1083089 */   // Label 15972: @1083089
     /* 1083089 */   GIM_Try, /*On fail goto*//*Label 15973*/ GIMT_Encode4(1083166), // Rule ID 24175 //
     /* 1083094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1083105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1083108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1083111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083133 */     // MIs[0] policy
     /* 1083133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083143 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1083146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083165 */     // GIR_Coverage, 24175,
     /* 1083165 */     GIR_EraseRootFromParent_Done,
     /* 1083166 */   // Label 15973: @1083166
     /* 1083166 */   GIM_Try, /*On fail goto*//*Label 15974*/ GIMT_Encode4(1083243), // Rule ID 24178 //
     /* 1083171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1083182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1083185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1083188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083210 */     // MIs[0] policy
     /* 1083210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083220 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1083223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083242 */     // GIR_Coverage, 24178,
     /* 1083242 */     GIR_EraseRootFromParent_Done,
     /* 1083243 */   // Label 15974: @1083243
     /* 1083243 */   GIM_Try, /*On fail goto*//*Label 15975*/ GIMT_Encode4(1083320), // Rule ID 24179 //
     /* 1083248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1083259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1083262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1083265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083287 */     // MIs[0] policy
     /* 1083287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083297 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1083300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083319 */     // GIR_Coverage, 24179,
     /* 1083319 */     GIR_EraseRootFromParent_Done,
     /* 1083320 */   // Label 15975: @1083320
     /* 1083320 */   GIM_Try, /*On fail goto*//*Label 15976*/ GIMT_Encode4(1083397), // Rule ID 24182 //
     /* 1083325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1083336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1083339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1083342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083364 */     // MIs[0] policy
     /* 1083364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083374 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1083377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083396 */     // GIR_Coverage, 24182,
     /* 1083396 */     GIR_EraseRootFromParent_Done,
     /* 1083397 */   // Label 15976: @1083397
     /* 1083397 */   GIM_Try, /*On fail goto*//*Label 15977*/ GIMT_Encode4(1083474), // Rule ID 24183 //
     /* 1083402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1083413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1083416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1083419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083441 */     // MIs[0] policy
     /* 1083441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083451 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1083454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083473 */     // GIR_Coverage, 24183,
     /* 1083473 */     GIR_EraseRootFromParent_Done,
     /* 1083474 */   // Label 15977: @1083474
     /* 1083474 */   GIM_Try, /*On fail goto*//*Label 15978*/ GIMT_Encode4(1083551), // Rule ID 24186 //
     /* 1083479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1083490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1083493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1083496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083518 */     // MIs[0] policy
     /* 1083518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083528 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1083531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083550 */     // GIR_Coverage, 24186,
     /* 1083550 */     GIR_EraseRootFromParent_Done,
     /* 1083551 */   // Label 15978: @1083551
     /* 1083551 */   GIM_Try, /*On fail goto*//*Label 15979*/ GIMT_Encode4(1083628), // Rule ID 24187 //
     /* 1083556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1083567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1083570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1083573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083595 */     // MIs[0] policy
     /* 1083595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083605 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1083608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083627 */     // GIR_Coverage, 24187,
     /* 1083627 */     GIR_EraseRootFromParent_Done,
     /* 1083628 */   // Label 15979: @1083628
     /* 1083628 */   GIM_Try, /*On fail goto*//*Label 15980*/ GIMT_Encode4(1083705), // Rule ID 24190 //
     /* 1083633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1083636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1083644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1083647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1083650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083672 */     // MIs[0] policy
     /* 1083672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083682 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1083685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083704 */     // GIR_Coverage, 24190,
     /* 1083704 */     GIR_EraseRootFromParent_Done,
     /* 1083705 */   // Label 15980: @1083705
     /* 1083705 */   GIM_Try, /*On fail goto*//*Label 15981*/ GIMT_Encode4(1083782), // Rule ID 24191 //
     /* 1083710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1083713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1083721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1083724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1083727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083749 */     // MIs[0] policy
     /* 1083749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083759 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1083762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083781 */     // GIR_Coverage, 24191,
     /* 1083781 */     GIR_EraseRootFromParent_Done,
     /* 1083782 */   // Label 15981: @1083782
     /* 1083782 */   GIM_Try, /*On fail goto*//*Label 15982*/ GIMT_Encode4(1083859), // Rule ID 24194 //
     /* 1083787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1083790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1083798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1083801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1083804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083826 */     // MIs[0] policy
     /* 1083826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083836 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1083839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083858 */     // GIR_Coverage, 24194,
     /* 1083858 */     GIR_EraseRootFromParent_Done,
     /* 1083859 */   // Label 15982: @1083859
     /* 1083859 */   GIM_Try, /*On fail goto*//*Label 15983*/ GIMT_Encode4(1083936), // Rule ID 24195 //
     /* 1083864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1083867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1083875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1083878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1083881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083903 */     // MIs[0] policy
     /* 1083903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083913 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1083916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083935 */     // GIR_Coverage, 24195,
     /* 1083935 */     GIR_EraseRootFromParent_Done,
     /* 1083936 */   // Label 15983: @1083936
     /* 1083936 */   GIM_Try, /*On fail goto*//*Label 15984*/ GIMT_Encode4(1084013), // Rule ID 24198 //
     /* 1083941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1083944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1083949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1083952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1083955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1083958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083980 */     // MIs[0] policy
     /* 1083980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083990 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1083993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084012 */     // GIR_Coverage, 24198,
     /* 1084012 */     GIR_EraseRootFromParent_Done,
     /* 1084013 */   // Label 15984: @1084013
     /* 1084013 */   GIM_Try, /*On fail goto*//*Label 15985*/ GIMT_Encode4(1084090), // Rule ID 24199 //
     /* 1084018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1084021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1084026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1084029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1084032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1084035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084057 */     // MIs[0] policy
     /* 1084057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084067 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1084070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084089 */     // GIR_Coverage, 24199,
     /* 1084089 */     GIR_EraseRootFromParent_Done,
     /* 1084090 */   // Label 15985: @1084090
     /* 1084090 */   GIM_Try, /*On fail goto*//*Label 15986*/ GIMT_Encode4(1084167), // Rule ID 24262 //
     /* 1084095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1084106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1084109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1084112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084134 */     // MIs[0] policy
     /* 1084134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084144 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1084147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084166 */     // GIR_Coverage, 24262,
     /* 1084166 */     GIR_EraseRootFromParent_Done,
     /* 1084167 */   // Label 15986: @1084167
     /* 1084167 */   GIM_Try, /*On fail goto*//*Label 15987*/ GIMT_Encode4(1084244), // Rule ID 24263 //
     /* 1084172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1084183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1084186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1084189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084211 */     // MIs[0] policy
     /* 1084211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084221 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1084224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084243 */     // GIR_Coverage, 24263,
     /* 1084243 */     GIR_EraseRootFromParent_Done,
     /* 1084244 */   // Label 15987: @1084244
     /* 1084244 */   GIM_Try, /*On fail goto*//*Label 15988*/ GIMT_Encode4(1084321), // Rule ID 24266 //
     /* 1084249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1084260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1084263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1084266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084288 */     // MIs[0] policy
     /* 1084288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084298 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1084301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084320 */     // GIR_Coverage, 24266,
     /* 1084320 */     GIR_EraseRootFromParent_Done,
     /* 1084321 */   // Label 15988: @1084321
     /* 1084321 */   GIM_Try, /*On fail goto*//*Label 15989*/ GIMT_Encode4(1084398), // Rule ID 24267 //
     /* 1084326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1084337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1084340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1084343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084365 */     // MIs[0] policy
     /* 1084365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084375 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1084378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084397 */     // GIR_Coverage, 24267,
     /* 1084397 */     GIR_EraseRootFromParent_Done,
     /* 1084398 */   // Label 15989: @1084398
     /* 1084398 */   GIM_Try, /*On fail goto*//*Label 15990*/ GIMT_Encode4(1084475), // Rule ID 24270 //
     /* 1084403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1084414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1084417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1084420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084442 */     // MIs[0] policy
     /* 1084442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084452 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1084455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084474 */     // GIR_Coverage, 24270,
     /* 1084474 */     GIR_EraseRootFromParent_Done,
     /* 1084475 */   // Label 15990: @1084475
     /* 1084475 */   GIM_Try, /*On fail goto*//*Label 15991*/ GIMT_Encode4(1084552), // Rule ID 24271 //
     /* 1084480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1084491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1084494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1084497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084519 */     // MIs[0] policy
     /* 1084519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084529 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1084532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084551 */     // GIR_Coverage, 24271,
     /* 1084551 */     GIR_EraseRootFromParent_Done,
     /* 1084552 */   // Label 15991: @1084552
     /* 1084552 */   GIM_Try, /*On fail goto*//*Label 15992*/ GIMT_Encode4(1084629), // Rule ID 24274 //
     /* 1084557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1084568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1084571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1084574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084596 */     // MIs[0] policy
     /* 1084596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084606 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084628 */     // GIR_Coverage, 24274,
     /* 1084628 */     GIR_EraseRootFromParent_Done,
     /* 1084629 */   // Label 15992: @1084629
     /* 1084629 */   GIM_Try, /*On fail goto*//*Label 15993*/ GIMT_Encode4(1084706), // Rule ID 24275 //
     /* 1084634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1084645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1084648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1084651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084673 */     // MIs[0] policy
     /* 1084673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084683 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084705 */     // GIR_Coverage, 24275,
     /* 1084705 */     GIR_EraseRootFromParent_Done,
     /* 1084706 */   // Label 15993: @1084706
     /* 1084706 */   GIM_Try, /*On fail goto*//*Label 15994*/ GIMT_Encode4(1084783), // Rule ID 24278 //
     /* 1084711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1084722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1084725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1084728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084750 */     // MIs[0] policy
     /* 1084750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084760 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084782 */     // GIR_Coverage, 24278,
     /* 1084782 */     GIR_EraseRootFromParent_Done,
     /* 1084783 */   // Label 15994: @1084783
     /* 1084783 */   GIM_Try, /*On fail goto*//*Label 15995*/ GIMT_Encode4(1084860), // Rule ID 24279 //
     /* 1084788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1084799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1084802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1084805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084827 */     // MIs[0] policy
     /* 1084827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084837 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084859 */     // GIR_Coverage, 24279,
     /* 1084859 */     GIR_EraseRootFromParent_Done,
     /* 1084860 */   // Label 15995: @1084860
     /* 1084860 */   GIM_Try, /*On fail goto*//*Label 15996*/ GIMT_Encode4(1084937), // Rule ID 24282 //
     /* 1084865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1084868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1084876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1084879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1084882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084904 */     // MIs[0] policy
     /* 1084904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084914 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084936 */     // GIR_Coverage, 24282,
     /* 1084936 */     GIR_EraseRootFromParent_Done,
     /* 1084937 */   // Label 15996: @1084937
     /* 1084937 */   GIM_Try, /*On fail goto*//*Label 15997*/ GIMT_Encode4(1085014), // Rule ID 24283 //
     /* 1084942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1084945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1084953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1084956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1084959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084981 */     // MIs[0] policy
     /* 1084981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084991 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085013 */     // GIR_Coverage, 24283,
     /* 1085013 */     GIR_EraseRootFromParent_Done,
     /* 1085014 */   // Label 15997: @1085014
     /* 1085014 */   GIM_Try, /*On fail goto*//*Label 15998*/ GIMT_Encode4(1085091), // Rule ID 24286 //
     /* 1085019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1085030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1085033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1085036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085058 */     // MIs[0] policy
     /* 1085058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085068 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085090 */     // GIR_Coverage, 24286,
     /* 1085090 */     GIR_EraseRootFromParent_Done,
     /* 1085091 */   // Label 15998: @1085091
     /* 1085091 */   GIM_Try, /*On fail goto*//*Label 15999*/ GIMT_Encode4(1085168), // Rule ID 24287 //
     /* 1085096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1085107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1085110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1085113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085135 */     // MIs[0] policy
     /* 1085135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085145 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085167 */     // GIR_Coverage, 24287,
     /* 1085167 */     GIR_EraseRootFromParent_Done,
     /* 1085168 */   // Label 15999: @1085168
     /* 1085168 */   GIM_Try, /*On fail goto*//*Label 16000*/ GIMT_Encode4(1085245), // Rule ID 24290 //
     /* 1085173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1085184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1085187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1085190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085212 */     // MIs[0] policy
     /* 1085212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085222 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085244 */     // GIR_Coverage, 24290,
     /* 1085244 */     GIR_EraseRootFromParent_Done,
     /* 1085245 */   // Label 16000: @1085245
     /* 1085245 */   GIM_Try, /*On fail goto*//*Label 16001*/ GIMT_Encode4(1085322), // Rule ID 24291 //
     /* 1085250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1085261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1085264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1085267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085289 */     // MIs[0] policy
     /* 1085289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085299 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085321 */     // GIR_Coverage, 24291,
     /* 1085321 */     GIR_EraseRootFromParent_Done,
     /* 1085322 */   // Label 16001: @1085322
     /* 1085322 */   GIM_Try, /*On fail goto*//*Label 16002*/ GIMT_Encode4(1085399), // Rule ID 24294 //
     /* 1085327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1085338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1085341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1085344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085366 */     // MIs[0] policy
     /* 1085366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085376 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085398 */     // GIR_Coverage, 24294,
     /* 1085398 */     GIR_EraseRootFromParent_Done,
     /* 1085399 */   // Label 16002: @1085399
     /* 1085399 */   GIM_Try, /*On fail goto*//*Label 16003*/ GIMT_Encode4(1085476), // Rule ID 24295 //
     /* 1085404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1085415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1085418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1085421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085443 */     // MIs[0] policy
     /* 1085443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085453 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085475 */     // GIR_Coverage, 24295,
     /* 1085475 */     GIR_EraseRootFromParent_Done,
     /* 1085476 */   // Label 16003: @1085476
     /* 1085476 */   GIM_Try, /*On fail goto*//*Label 16004*/ GIMT_Encode4(1085553), // Rule ID 24298 //
     /* 1085481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1085492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1085495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1085498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085520 */     // MIs[0] policy
     /* 1085520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085530 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085552 */     // GIR_Coverage, 24298,
     /* 1085552 */     GIR_EraseRootFromParent_Done,
     /* 1085553 */   // Label 16004: @1085553
     /* 1085553 */   GIM_Try, /*On fail goto*//*Label 16005*/ GIMT_Encode4(1085630), // Rule ID 24299 //
     /* 1085558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1085569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1085572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1085575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085597 */     // MIs[0] policy
     /* 1085597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085607 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085629 */     // GIR_Coverage, 24299,
     /* 1085629 */     GIR_EraseRootFromParent_Done,
     /* 1085630 */   // Label 16005: @1085630
     /* 1085630 */   GIM_Try, /*On fail goto*//*Label 16006*/ GIMT_Encode4(1085707), // Rule ID 24302 //
     /* 1085635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1085646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1085649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1085652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085674 */     // MIs[0] policy
     /* 1085674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085684 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085706 */     // GIR_Coverage, 24302,
     /* 1085706 */     GIR_EraseRootFromParent_Done,
     /* 1085707 */   // Label 16006: @1085707
     /* 1085707 */   GIM_Try, /*On fail goto*//*Label 16007*/ GIMT_Encode4(1085784), // Rule ID 24303 //
     /* 1085712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1085723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1085726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1085729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085751 */     // MIs[0] policy
     /* 1085751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085761 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085783 */     // GIR_Coverage, 24303,
     /* 1085783 */     GIR_EraseRootFromParent_Done,
     /* 1085784 */   // Label 16007: @1085784
     /* 1085784 */   GIM_Try, /*On fail goto*//*Label 16008*/ GIMT_Encode4(1085861), // Rule ID 24306 //
     /* 1085789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1085800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1085803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085828 */     // MIs[0] policy
     /* 1085828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085838 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085860 */     // GIR_Coverage, 24306,
     /* 1085860 */     GIR_EraseRootFromParent_Done,
     /* 1085861 */   // Label 16008: @1085861
     /* 1085861 */   GIM_Try, /*On fail goto*//*Label 16009*/ GIMT_Encode4(1085938), // Rule ID 24307 //
     /* 1085866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1085877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1085880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085905 */     // MIs[0] policy
     /* 1085905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085915 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085937 */     // GIR_Coverage, 24307,
     /* 1085937 */     GIR_EraseRootFromParent_Done,
     /* 1085938 */   // Label 16009: @1085938
     /* 1085938 */   GIM_Try, /*On fail goto*//*Label 16010*/ GIMT_Encode4(1086015), // Rule ID 24310 //
     /* 1085943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1085946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1085954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1085957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1085960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085982 */     // MIs[0] policy
     /* 1085982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085992 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086014 */     // GIR_Coverage, 24310,
     /* 1086014 */     GIR_EraseRootFromParent_Done,
     /* 1086015 */   // Label 16010: @1086015
     /* 1086015 */   GIM_Try, /*On fail goto*//*Label 16011*/ GIMT_Encode4(1086092), // Rule ID 24311 //
     /* 1086020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1086023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1086028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1086031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1086034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1086037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086059 */     // MIs[0] policy
     /* 1086059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086069 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1086072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086091 */     // GIR_Coverage, 24311,
     /* 1086091 */     GIR_EraseRootFromParent_Done,
     /* 1086092 */   // Label 16011: @1086092
     /* 1086092 */   GIM_Try, /*On fail goto*//*Label 16012*/ GIMT_Encode4(1086169), // Rule ID 24314 //
     /* 1086097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1086100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1086105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1086108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1086111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1086114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086136 */     // MIs[0] policy
     /* 1086136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086146 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1086149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086168 */     // GIR_Coverage, 24314,
     /* 1086168 */     GIR_EraseRootFromParent_Done,
     /* 1086169 */   // Label 16012: @1086169
     /* 1086169 */   GIM_Try, /*On fail goto*//*Label 16013*/ GIMT_Encode4(1086246), // Rule ID 24315 //
     /* 1086174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1086177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1086182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1086185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1086188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1086191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086213 */     // MIs[0] policy
     /* 1086213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086223 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1086226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086245 */     // GIR_Coverage, 24315,
     /* 1086245 */     GIR_EraseRootFromParent_Done,
     /* 1086246 */   // Label 16013: @1086246
     /* 1086246 */   GIM_Try, /*On fail goto*//*Label 16014*/ GIMT_Encode4(1086323), // Rule ID 24318 //
     /* 1086251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1086254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1086259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1086262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1086265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1086268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086290 */     // MIs[0] policy
     /* 1086290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086300 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1086303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086322 */     // GIR_Coverage, 24318,
     /* 1086322 */     GIR_EraseRootFromParent_Done,
     /* 1086323 */   // Label 16014: @1086323
     /* 1086323 */   GIM_Try, /*On fail goto*//*Label 16015*/ GIMT_Encode4(1086400), // Rule ID 24319 //
     /* 1086328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1086331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1086336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1086339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1086342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1086345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086367 */     // MIs[0] policy
     /* 1086367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086377 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1086380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086399 */     // GIR_Coverage, 24319,
     /* 1086399 */     GIR_EraseRootFromParent_Done,
     /* 1086400 */   // Label 16015: @1086400
     /* 1086400 */   GIM_Try, /*On fail goto*//*Label 16016*/ GIMT_Encode4(1086477), // Rule ID 60610 //
     /* 1086405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1086408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1086413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1086425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086444 */     // MIs[0] policy
     /* 1086444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086454 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1086457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1086459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086476 */     // GIR_Coverage, 60610,
     /* 1086476 */     GIR_EraseRootFromParent_Done,
     /* 1086477 */   // Label 16016: @1086477
     /* 1086477 */   GIM_Try, /*On fail goto*//*Label 16017*/ GIMT_Encode4(1086554), // Rule ID 60611 //
     /* 1086482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1086485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1086490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1086502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086521 */     // MIs[0] policy
     /* 1086521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086531 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1086534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1086536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086553 */     // GIR_Coverage, 60611,
     /* 1086553 */     GIR_EraseRootFromParent_Done,
     /* 1086554 */   // Label 16017: @1086554
     /* 1086554 */   GIM_Try, /*On fail goto*//*Label 16018*/ GIMT_Encode4(1086631), // Rule ID 60624 //
     /* 1086559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1086570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1086573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1086576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086598 */     // MIs[0] policy
     /* 1086598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086608 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1086611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086630 */     // GIR_Coverage, 60624,
     /* 1086630 */     GIR_EraseRootFromParent_Done,
     /* 1086631 */   // Label 16018: @1086631
     /* 1086631 */   GIM_Try, /*On fail goto*//*Label 16019*/ GIMT_Encode4(1086708), // Rule ID 60625 //
     /* 1086636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1086647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1086650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1086653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086675 */     // MIs[0] policy
     /* 1086675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086685 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1086688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086707 */     // GIR_Coverage, 60625,
     /* 1086707 */     GIR_EraseRootFromParent_Done,
     /* 1086708 */   // Label 16019: @1086708
     /* 1086708 */   GIM_Try, /*On fail goto*//*Label 16020*/ GIMT_Encode4(1086785), // Rule ID 60628 //
     /* 1086713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1086724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1086727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1086730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086752 */     // MIs[0] policy
     /* 1086752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086762 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1086765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086784 */     // GIR_Coverage, 60628,
     /* 1086784 */     GIR_EraseRootFromParent_Done,
     /* 1086785 */   // Label 16020: @1086785
     /* 1086785 */   GIM_Try, /*On fail goto*//*Label 16021*/ GIMT_Encode4(1086862), // Rule ID 60629 //
     /* 1086790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1086801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1086804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1086807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086829 */     // MIs[0] policy
     /* 1086829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086839 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1086842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086848 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086861 */     // GIR_Coverage, 60629,
     /* 1086861 */     GIR_EraseRootFromParent_Done,
     /* 1086862 */   // Label 16021: @1086862
     /* 1086862 */   GIM_Try, /*On fail goto*//*Label 16022*/ GIMT_Encode4(1086939), // Rule ID 60632 //
     /* 1086867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1086878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1086881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1086884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086906 */     // MIs[0] policy
     /* 1086906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086916 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086938 */     // GIR_Coverage, 60632,
     /* 1086938 */     GIR_EraseRootFromParent_Done,
     /* 1086939 */   // Label 16022: @1086939
     /* 1086939 */   GIM_Try, /*On fail goto*//*Label 16023*/ GIMT_Encode4(1087016), // Rule ID 60633 //
     /* 1086944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1086955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1086958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1086961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086983 */     // MIs[0] policy
     /* 1086983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086993 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087015 */     // GIR_Coverage, 60633,
     /* 1087015 */     GIR_EraseRootFromParent_Done,
     /* 1087016 */   // Label 16023: @1087016
     /* 1087016 */   GIM_Try, /*On fail goto*//*Label 16024*/ GIMT_Encode4(1087093), // Rule ID 60636 //
     /* 1087021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1087032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1087035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1087038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087060 */     // MIs[0] policy
     /* 1087060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087070 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1087073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087092 */     // GIR_Coverage, 60636,
     /* 1087092 */     GIR_EraseRootFromParent_Done,
     /* 1087093 */   // Label 16024: @1087093
     /* 1087093 */   GIM_Try, /*On fail goto*//*Label 16025*/ GIMT_Encode4(1087170), // Rule ID 60637 //
     /* 1087098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1087109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1087112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1087115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087137 */     // MIs[0] policy
     /* 1087137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087147 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1087150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087169 */     // GIR_Coverage, 60637,
     /* 1087169 */     GIR_EraseRootFromParent_Done,
     /* 1087170 */   // Label 16025: @1087170
     /* 1087170 */   GIM_Try, /*On fail goto*//*Label 16026*/ GIMT_Encode4(1087247), // Rule ID 60640 //
     /* 1087175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1087186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1087189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1087192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087214 */     // MIs[0] policy
     /* 1087214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1087227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087246 */     // GIR_Coverage, 60640,
     /* 1087246 */     GIR_EraseRootFromParent_Done,
     /* 1087247 */   // Label 16026: @1087247
     /* 1087247 */   GIM_Try, /*On fail goto*//*Label 16027*/ GIMT_Encode4(1087324), // Rule ID 60641 //
     /* 1087252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1087263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1087266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1087269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087291 */     // MIs[0] policy
     /* 1087291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087301 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1087304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087323 */     // GIR_Coverage, 60641,
     /* 1087323 */     GIR_EraseRootFromParent_Done,
     /* 1087324 */   // Label 16027: @1087324
     /* 1087324 */   GIM_Try, /*On fail goto*//*Label 16028*/ GIMT_Encode4(1087401), // Rule ID 60644 //
     /* 1087329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1087340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1087343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1087346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087368 */     // MIs[0] policy
     /* 1087368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1087381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087400 */     // GIR_Coverage, 60644,
     /* 1087400 */     GIR_EraseRootFromParent_Done,
     /* 1087401 */   // Label 16028: @1087401
     /* 1087401 */   GIM_Try, /*On fail goto*//*Label 16029*/ GIMT_Encode4(1087478), // Rule ID 60645 //
     /* 1087406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1087417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1087420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1087423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087445 */     // MIs[0] policy
     /* 1087445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087455 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1087458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087477 */     // GIR_Coverage, 60645,
     /* 1087477 */     GIR_EraseRootFromParent_Done,
     /* 1087478 */   // Label 16029: @1087478
     /* 1087478 */   GIM_Try, /*On fail goto*//*Label 16030*/ GIMT_Encode4(1087555), // Rule ID 60648 //
     /* 1087483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1087494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1087497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1087500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087522 */     // MIs[0] policy
     /* 1087522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087554 */     // GIR_Coverage, 60648,
     /* 1087554 */     GIR_EraseRootFromParent_Done,
     /* 1087555 */   // Label 16030: @1087555
     /* 1087555 */   GIM_Try, /*On fail goto*//*Label 16031*/ GIMT_Encode4(1087632), // Rule ID 60649 //
     /* 1087560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1087571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1087574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1087577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087599 */     // MIs[0] policy
     /* 1087599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087609 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087631 */     // GIR_Coverage, 60649,
     /* 1087631 */     GIR_EraseRootFromParent_Done,
     /* 1087632 */   // Label 16031: @1087632
     /* 1087632 */   GIM_Try, /*On fail goto*//*Label 16032*/ GIMT_Encode4(1087709), // Rule ID 60652 //
     /* 1087637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1087648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1087651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1087654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1087657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087676 */     // MIs[0] policy
     /* 1087676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087708 */     // GIR_Coverage, 60652,
     /* 1087708 */     GIR_EraseRootFromParent_Done,
     /* 1087709 */   // Label 16032: @1087709
     /* 1087709 */   GIM_Try, /*On fail goto*//*Label 16033*/ GIMT_Encode4(1087786), // Rule ID 60653 //
     /* 1087714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1087725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1087728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1087731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1087734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087753 */     // MIs[0] policy
     /* 1087753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087763 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087785 */     // GIR_Coverage, 60653,
     /* 1087785 */     GIR_EraseRootFromParent_Done,
     /* 1087786 */   // Label 16033: @1087786
     /* 1087786 */   GIM_Try, /*On fail goto*//*Label 16034*/ GIMT_Encode4(1087863), // Rule ID 60656 //
     /* 1087791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1087802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1087805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1087808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087830 */     // MIs[0] policy
     /* 1087830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087862 */     // GIR_Coverage, 60656,
     /* 1087862 */     GIR_EraseRootFromParent_Done,
     /* 1087863 */   // Label 16034: @1087863
     /* 1087863 */   GIM_Try, /*On fail goto*//*Label 16035*/ GIMT_Encode4(1087940), // Rule ID 60657 //
     /* 1087868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1087879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1087882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1087885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087907 */     // MIs[0] policy
     /* 1087907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087939 */     // GIR_Coverage, 60657,
     /* 1087939 */     GIR_EraseRootFromParent_Done,
     /* 1087940 */   // Label 16035: @1087940
     /* 1087940 */   GIM_Try, /*On fail goto*//*Label 16036*/ GIMT_Encode4(1088017), // Rule ID 60660 //
     /* 1087945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1087956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1087959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1087962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087984 */     // MIs[0] policy
     /* 1087984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087994 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1087997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088016 */     // GIR_Coverage, 60660,
     /* 1088016 */     GIR_EraseRootFromParent_Done,
     /* 1088017 */   // Label 16036: @1088017
     /* 1088017 */   GIM_Try, /*On fail goto*//*Label 16037*/ GIMT_Encode4(1088094), // Rule ID 60661 //
     /* 1088022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1088033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1088036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1088039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1088042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088061 */     // MIs[0] policy
     /* 1088061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088071 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1088074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088080 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088093 */     // GIR_Coverage, 60661,
     /* 1088093 */     GIR_EraseRootFromParent_Done,
     /* 1088094 */   // Label 16037: @1088094
     /* 1088094 */   GIM_Try, /*On fail goto*//*Label 16038*/ GIMT_Encode4(1088171), // Rule ID 60664 //
     /* 1088099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1088110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1088113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1088116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088138 */     // MIs[0] policy
     /* 1088138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088148 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088170 */     // GIR_Coverage, 60664,
     /* 1088170 */     GIR_EraseRootFromParent_Done,
     /* 1088171 */   // Label 16038: @1088171
     /* 1088171 */   GIM_Try, /*On fail goto*//*Label 16039*/ GIMT_Encode4(1088248), // Rule ID 60665 //
     /* 1088176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1088187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1088190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1088193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088215 */     // MIs[0] policy
     /* 1088215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088225 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088247 */     // GIR_Coverage, 60665,
     /* 1088247 */     GIR_EraseRootFromParent_Done,
     /* 1088248 */   // Label 16039: @1088248
     /* 1088248 */   GIM_Try, /*On fail goto*//*Label 16040*/ GIMT_Encode4(1088325), // Rule ID 60668 //
     /* 1088253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1088264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1088267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1088270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1088273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088292 */     // MIs[0] policy
     /* 1088292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088302 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088324 */     // GIR_Coverage, 60668,
     /* 1088324 */     GIR_EraseRootFromParent_Done,
     /* 1088325 */   // Label 16040: @1088325
     /* 1088325 */   GIM_Try, /*On fail goto*//*Label 16041*/ GIMT_Encode4(1088402), // Rule ID 60669 //
     /* 1088330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1088341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1088344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1088347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1088350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088369 */     // MIs[0] policy
     /* 1088369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088379 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088401 */     // GIR_Coverage, 60669,
     /* 1088401 */     GIR_EraseRootFromParent_Done,
     /* 1088402 */   // Label 16041: @1088402
     /* 1088402 */   GIM_Try, /*On fail goto*//*Label 16042*/ GIMT_Encode4(1088479), // Rule ID 60672 //
     /* 1088407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1088418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1088421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1088424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1088427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088446 */     // MIs[0] policy
     /* 1088446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088456 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088478 */     // GIR_Coverage, 60672,
     /* 1088478 */     GIR_EraseRootFromParent_Done,
     /* 1088479 */   // Label 16042: @1088479
     /* 1088479 */   GIM_Try, /*On fail goto*//*Label 16043*/ GIMT_Encode4(1088556), // Rule ID 60673 //
     /* 1088484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1088495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1088498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1088501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1088504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088523 */     // MIs[0] policy
     /* 1088523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088533 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088555 */     // GIR_Coverage, 60673,
     /* 1088555 */     GIR_EraseRootFromParent_Done,
     /* 1088556 */   // Label 16043: @1088556
     /* 1088556 */   GIM_Try, /*On fail goto*//*Label 16044*/ GIMT_Encode4(1088633), // Rule ID 60676 //
     /* 1088561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1088572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1088575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1088578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088600 */     // MIs[0] policy
     /* 1088600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088610 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088632 */     // GIR_Coverage, 60676,
     /* 1088632 */     GIR_EraseRootFromParent_Done,
     /* 1088633 */   // Label 16044: @1088633
     /* 1088633 */   GIM_Try, /*On fail goto*//*Label 16045*/ GIMT_Encode4(1088710), // Rule ID 60677 //
     /* 1088638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1088649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1088652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1088655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088677 */     // MIs[0] policy
     /* 1088677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088687 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088709 */     // GIR_Coverage, 60677,
     /* 1088709 */     GIR_EraseRootFromParent_Done,
     /* 1088710 */   // Label 16045: @1088710
     /* 1088710 */   GIM_Try, /*On fail goto*//*Label 16046*/ GIMT_Encode4(1088787), // Rule ID 60680 //
     /* 1088715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088754 */     // MIs[0] policy
     /* 1088754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088786 */     // GIR_Coverage, 60680,
     /* 1088786 */     GIR_EraseRootFromParent_Done,
     /* 1088787 */   // Label 16046: @1088787
     /* 1088787 */   GIM_Try, /*On fail goto*//*Label 16047*/ GIMT_Encode4(1088864), // Rule ID 60681 //
     /* 1088792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088831 */     // MIs[0] policy
     /* 1088831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088841 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088863 */     // GIR_Coverage, 60681,
     /* 1088863 */     GIR_EraseRootFromParent_Done,
     /* 1088864 */   // Label 16047: @1088864
     /* 1088864 */   GIM_Try, /*On fail goto*//*Label 16048*/ GIMT_Encode4(1088941), // Rule ID 60684 //
     /* 1088869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1088880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1088883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1088886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1088889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088908 */     // MIs[0] policy
     /* 1088908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088918 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088940 */     // GIR_Coverage, 60684,
     /* 1088940 */     GIR_EraseRootFromParent_Done,
     /* 1088941 */   // Label 16048: @1088941
     /* 1088941 */   GIM_Try, /*On fail goto*//*Label 16049*/ GIMT_Encode4(1089018), // Rule ID 60685 //
     /* 1088946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1088957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1088960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1088963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1088966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088985 */     // MIs[0] policy
     /* 1088985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088995 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089017 */     // GIR_Coverage, 60685,
     /* 1089017 */     GIR_EraseRootFromParent_Done,
     /* 1089018 */   // Label 16049: @1089018
     /* 1089018 */   GIM_Try, /*On fail goto*//*Label 16050*/ GIMT_Encode4(1089095), // Rule ID 60688 //
     /* 1089023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1089034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1089037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1089040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1089050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089062 */     // MIs[0] policy
     /* 1089062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1089075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089094 */     // GIR_Coverage, 60688,
     /* 1089094 */     GIR_EraseRootFromParent_Done,
     /* 1089095 */   // Label 16050: @1089095
     /* 1089095 */   GIM_Try, /*On fail goto*//*Label 16051*/ GIMT_Encode4(1089172), // Rule ID 60689 //
     /* 1089100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1089111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1089114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1089117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1089127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089139 */     // MIs[0] policy
     /* 1089139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089149 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1089152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089171 */     // GIR_Coverage, 60689,
     /* 1089171 */     GIR_EraseRootFromParent_Done,
     /* 1089172 */   // Label 16051: @1089172
     /* 1089172 */   GIM_Try, /*On fail goto*//*Label 16052*/ GIMT_Encode4(1089249), // Rule ID 60692 //
     /* 1089177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1089188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1089191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1089194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089216 */     // MIs[0] policy
     /* 1089216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1089229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089248 */     // GIR_Coverage, 60692,
     /* 1089248 */     GIR_EraseRootFromParent_Done,
     /* 1089249 */   // Label 16052: @1089249
     /* 1089249 */   GIM_Try, /*On fail goto*//*Label 16053*/ GIMT_Encode4(1089326), // Rule ID 60693 //
     /* 1089254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1089265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1089268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1089271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089293 */     // MIs[0] policy
     /* 1089293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089303 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1089306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089325 */     // GIR_Coverage, 60693,
     /* 1089325 */     GIR_EraseRootFromParent_Done,
     /* 1089326 */   // Label 16053: @1089326
     /* 1089326 */   GIM_Try, /*On fail goto*//*Label 16054*/ GIMT_Encode4(1089403), // Rule ID 60696 //
     /* 1089331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1089342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1089345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1089348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1089351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089370 */     // MIs[0] policy
     /* 1089370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089380 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1089383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089402 */     // GIR_Coverage, 60696,
     /* 1089402 */     GIR_EraseRootFromParent_Done,
     /* 1089403 */   // Label 16054: @1089403
     /* 1089403 */   GIM_Try, /*On fail goto*//*Label 16055*/ GIMT_Encode4(1089480), // Rule ID 60697 //
     /* 1089408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1089419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1089422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1089425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1089428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089447 */     // MIs[0] policy
     /* 1089447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089457 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1089460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089479 */     // GIR_Coverage, 60697,
     /* 1089479 */     GIR_EraseRootFromParent_Done,
     /* 1089480 */   // Label 16055: @1089480
     /* 1089480 */   GIM_Try, /*On fail goto*//*Label 16056*/ GIMT_Encode4(1089557), // Rule ID 60700 //
     /* 1089485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1089496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1089499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1089502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1089512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089524 */     // MIs[0] policy
     /* 1089524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089534 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1089537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089556 */     // GIR_Coverage, 60700,
     /* 1089556 */     GIR_EraseRootFromParent_Done,
     /* 1089557 */   // Label 16056: @1089557
     /* 1089557 */   GIM_Try, /*On fail goto*//*Label 16057*/ GIMT_Encode4(1089634), // Rule ID 60701 //
     /* 1089562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1089573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1089576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1089579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1089589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089601 */     // MIs[0] policy
     /* 1089601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089611 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1089614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089620 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089633 */     // GIR_Coverage, 60701,
     /* 1089633 */     GIR_EraseRootFromParent_Done,
     /* 1089634 */   // Label 16057: @1089634
     /* 1089634 */   GIM_Try, /*On fail goto*//*Label 16058*/ GIMT_Encode4(1089711), // Rule ID 60704 //
     /* 1089639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1089650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1089653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1089656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089678 */     // MIs[0] policy
     /* 1089678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1089691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089710 */     // GIR_Coverage, 60704,
     /* 1089710 */     GIR_EraseRootFromParent_Done,
     /* 1089711 */   // Label 16058: @1089711
     /* 1089711 */   GIM_Try, /*On fail goto*//*Label 16059*/ GIMT_Encode4(1089788), // Rule ID 60705 //
     /* 1089716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1089727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1089730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1089733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089755 */     // MIs[0] policy
     /* 1089755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089765 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1089768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089787 */     // GIR_Coverage, 60705,
     /* 1089787 */     GIR_EraseRootFromParent_Done,
     /* 1089788 */   // Label 16059: @1089788
     /* 1089788 */   GIM_Try, /*On fail goto*//*Label 16060*/ GIMT_Encode4(1089865), // Rule ID 60708 //
     /* 1089793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1089804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1089807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1089810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089832 */     // MIs[0] policy
     /* 1089832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1089845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089864 */     // GIR_Coverage, 60708,
     /* 1089864 */     GIR_EraseRootFromParent_Done,
     /* 1089865 */   // Label 16060: @1089865
     /* 1089865 */   GIM_Try, /*On fail goto*//*Label 16061*/ GIMT_Encode4(1089942), // Rule ID 60709 //
     /* 1089870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1089878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1089881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1089884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1089887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089909 */     // MIs[0] policy
     /* 1089909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089919 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1089922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089928 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089941 */     // GIR_Coverage, 60709,
     /* 1089941 */     GIR_EraseRootFromParent_Done,
     /* 1089942 */   // Label 16061: @1089942
     /* 1089942 */   GIM_Try, /*On fail goto*//*Label 16062*/ GIMT_Encode4(1090019), // Rule ID 60712 //
     /* 1089947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1089958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1089961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1089964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089986 */     // MIs[0] policy
     /* 1089986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089996 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1089999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090018 */     // GIR_Coverage, 60712,
     /* 1090018 */     GIR_EraseRootFromParent_Done,
     /* 1090019 */   // Label 16062: @1090019
     /* 1090019 */   GIM_Try, /*On fail goto*//*Label 16063*/ GIMT_Encode4(1090096), // Rule ID 60713 //
     /* 1090024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1090035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1090038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1090041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090063 */     // MIs[0] policy
     /* 1090063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090073 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1090076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090095 */     // GIR_Coverage, 60713,
     /* 1090095 */     GIR_EraseRootFromParent_Done,
     /* 1090096 */   // Label 16063: @1090096
     /* 1090096 */   GIM_Try, /*On fail goto*//*Label 16064*/ GIMT_Encode4(1090173), // Rule ID 60716 //
     /* 1090101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1090112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1090115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1090118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090140 */     // MIs[0] policy
     /* 1090140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090150 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1090153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090172 */     // GIR_Coverage, 60716,
     /* 1090172 */     GIR_EraseRootFromParent_Done,
     /* 1090173 */   // Label 16064: @1090173
     /* 1090173 */   GIM_Try, /*On fail goto*//*Label 16065*/ GIMT_Encode4(1090250), // Rule ID 60717 //
     /* 1090178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1090189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1090192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1090195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090217 */     // MIs[0] policy
     /* 1090217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090227 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1090230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090249 */     // GIR_Coverage, 60717,
     /* 1090249 */     GIR_EraseRootFromParent_Done,
     /* 1090250 */   // Label 16065: @1090250
     /* 1090250 */   GIM_Try, /*On fail goto*//*Label 16066*/ GIMT_Encode4(1090327), // Rule ID 60720 //
     /* 1090255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1090266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1090269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1090272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090294 */     // MIs[0] policy
     /* 1090294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090304 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1090307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090326 */     // GIR_Coverage, 60720,
     /* 1090326 */     GIR_EraseRootFromParent_Done,
     /* 1090327 */   // Label 16066: @1090327
     /* 1090327 */   GIM_Try, /*On fail goto*//*Label 16067*/ GIMT_Encode4(1090404), // Rule ID 60721 //
     /* 1090332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1090343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1090346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1090349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090371 */     // MIs[0] policy
     /* 1090371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090381 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1090384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090403 */     // GIR_Coverage, 60721,
     /* 1090403 */     GIR_EraseRootFromParent_Done,
     /* 1090404 */   // Label 16067: @1090404
     /* 1090404 */   GIM_Try, /*On fail goto*//*Label 16068*/ GIMT_Encode4(1090481), // Rule ID 60724 //
     /* 1090409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1090420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1090423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1090426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090448 */     // MIs[0] policy
     /* 1090448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1090461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090480 */     // GIR_Coverage, 60724,
     /* 1090480 */     GIR_EraseRootFromParent_Done,
     /* 1090481 */   // Label 16068: @1090481
     /* 1090481 */   GIM_Try, /*On fail goto*//*Label 16069*/ GIMT_Encode4(1090558), // Rule ID 60725 //
     /* 1090486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1090497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1090500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1090503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090525 */     // MIs[0] policy
     /* 1090525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090535 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1090538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090557 */     // GIR_Coverage, 60725,
     /* 1090557 */     GIR_EraseRootFromParent_Done,
     /* 1090558 */   // Label 16069: @1090558
     /* 1090558 */   GIM_Try, /*On fail goto*//*Label 16070*/ GIMT_Encode4(1090635), // Rule ID 60728 //
     /* 1090563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1090574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1090577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1090580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090602 */     // MIs[0] policy
     /* 1090602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090612 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1090615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090634 */     // GIR_Coverage, 60728,
     /* 1090634 */     GIR_EraseRootFromParent_Done,
     /* 1090635 */   // Label 16070: @1090635
     /* 1090635 */   GIM_Try, /*On fail goto*//*Label 16071*/ GIMT_Encode4(1090712), // Rule ID 60729 //
     /* 1090640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1090651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1090654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1090657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090679 */     // MIs[0] policy
     /* 1090679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090689 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1090692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090711 */     // GIR_Coverage, 60729,
     /* 1090711 */     GIR_EraseRootFromParent_Done,
     /* 1090712 */   // Label 16071: @1090712
     /* 1090712 */   GIM_Try, /*On fail goto*//*Label 16072*/ GIMT_Encode4(1090789), // Rule ID 60732 //
     /* 1090717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090756 */     // MIs[0] policy
     /* 1090756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090766 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1090769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090788 */     // GIR_Coverage, 60732,
     /* 1090788 */     GIR_EraseRootFromParent_Done,
     /* 1090789 */   // Label 16072: @1090789
     /* 1090789 */   GIM_Try, /*On fail goto*//*Label 16073*/ GIMT_Encode4(1090866), // Rule ID 60733 //
     /* 1090794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090833 */     // MIs[0] policy
     /* 1090833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1090846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090865 */     // GIR_Coverage, 60733,
     /* 1090865 */     GIR_EraseRootFromParent_Done,
     /* 1090866 */   // Label 16073: @1090866
     /* 1090866 */   GIM_Try, /*On fail goto*//*Label 16074*/ GIMT_Encode4(1090943), // Rule ID 60736 //
     /* 1090871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1090882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1090885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1090888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090910 */     // MIs[0] policy
     /* 1090910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090920 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090942 */     // GIR_Coverage, 60736,
     /* 1090942 */     GIR_EraseRootFromParent_Done,
     /* 1090943 */   // Label 16074: @1090943
     /* 1090943 */   GIM_Try, /*On fail goto*//*Label 16075*/ GIMT_Encode4(1091020), // Rule ID 60737 //
     /* 1090948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1090959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1090962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1090965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090987 */     // MIs[0] policy
     /* 1090987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11189:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1091000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091019 */     // GIR_Coverage, 60737,
     /* 1091019 */     GIR_EraseRootFromParent_Done,
     /* 1091020 */   // Label 16075: @1091020
     /* 1091020 */   GIM_Try, /*On fail goto*//*Label 16076*/ GIMT_Encode4(1091097), // Rule ID 60740 //
     /* 1091025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1091036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1091039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1091042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091064 */     // MIs[0] policy
     /* 1091064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1091077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091096 */     // GIR_Coverage, 60740,
     /* 1091096 */     GIR_EraseRootFromParent_Done,
     /* 1091097 */   // Label 16076: @1091097
     /* 1091097 */   GIM_Try, /*On fail goto*//*Label 16077*/ GIMT_Encode4(1091174), // Rule ID 60741 //
     /* 1091102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1091113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1091116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1091119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091141 */     // MIs[0] policy
     /* 1091141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091151 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1091154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091173 */     // GIR_Coverage, 60741,
     /* 1091173 */     GIR_EraseRootFromParent_Done,
     /* 1091174 */   // Label 16077: @1091174
     /* 1091174 */   GIM_Try, /*On fail goto*//*Label 16078*/ GIMT_Encode4(1091251), // Rule ID 60744 //
     /* 1091179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1091190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1091193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1091196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091218 */     // MIs[0] policy
     /* 1091218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1091231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091250 */     // GIR_Coverage, 60744,
     /* 1091250 */     GIR_EraseRootFromParent_Done,
     /* 1091251 */   // Label 16078: @1091251
     /* 1091251 */   GIM_Try, /*On fail goto*//*Label 16079*/ GIMT_Encode4(1091328), // Rule ID 60745 //
     /* 1091256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1091267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1091270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1091273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091295 */     // MIs[0] policy
     /* 1091295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1091308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091327 */     // GIR_Coverage, 60745,
     /* 1091327 */     GIR_EraseRootFromParent_Done,
     /* 1091328 */   // Label 16079: @1091328
     /* 1091328 */   GIM_Try, /*On fail goto*//*Label 16080*/ GIMT_Encode4(1091405), // Rule ID 60748 //
     /* 1091333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1091344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1091347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1091350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091372 */     // MIs[0] policy
     /* 1091372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091382 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1091385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091404 */     // GIR_Coverage, 60748,
     /* 1091404 */     GIR_EraseRootFromParent_Done,
     /* 1091405 */   // Label 16080: @1091405
     /* 1091405 */   GIM_Try, /*On fail goto*//*Label 16081*/ GIMT_Encode4(1091482), // Rule ID 60749 //
     /* 1091410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1091421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1091424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1091427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091449 */     // MIs[0] policy
     /* 1091449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091459 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1091462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091481 */     // GIR_Coverage, 60749,
     /* 1091481 */     GIR_EraseRootFromParent_Done,
     /* 1091482 */   // Label 16081: @1091482
     /* 1091482 */   GIM_Try, /*On fail goto*//*Label 16082*/ GIMT_Encode4(1091559), // Rule ID 60752 //
     /* 1091487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1091498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1091501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1091504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091526 */     // MIs[0] policy
     /* 1091526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091558 */     // GIR_Coverage, 60752,
     /* 1091558 */     GIR_EraseRootFromParent_Done,
     /* 1091559 */   // Label 16082: @1091559
     /* 1091559 */   GIM_Try, /*On fail goto*//*Label 16083*/ GIMT_Encode4(1091636), // Rule ID 60753 //
     /* 1091564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1091575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1091578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1091581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091603 */     // MIs[0] policy
     /* 1091603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091613 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091635 */     // GIR_Coverage, 60753,
     /* 1091635 */     GIR_EraseRootFromParent_Done,
     /* 1091636 */   // Label 16083: @1091636
     /* 1091636 */   GIM_Try, /*On fail goto*//*Label 16084*/ GIMT_Encode4(1091713), // Rule ID 60756 //
     /* 1091641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1091652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1091655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1091658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091680 */     // MIs[0] policy
     /* 1091680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091690 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091712 */     // GIR_Coverage, 60756,
     /* 1091712 */     GIR_EraseRootFromParent_Done,
     /* 1091713 */   // Label 16084: @1091713
     /* 1091713 */   GIM_Try, /*On fail goto*//*Label 16085*/ GIMT_Encode4(1091790), // Rule ID 60757 //
     /* 1091718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1091729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1091732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1091735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091757 */     // MIs[0] policy
     /* 1091757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091767 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091789 */     // GIR_Coverage, 60757,
     /* 1091789 */     GIR_EraseRootFromParent_Done,
     /* 1091790 */   // Label 16085: @1091790
     /* 1091790 */   GIM_Try, /*On fail goto*//*Label 16086*/ GIMT_Encode4(1091867), // Rule ID 60760 //
     /* 1091795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1091806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1091809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1091812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1091815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091834 */     // MIs[0] policy
     /* 1091834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091844 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091866 */     // GIR_Coverage, 60760,
     /* 1091866 */     GIR_EraseRootFromParent_Done,
     /* 1091867 */   // Label 16086: @1091867
     /* 1091867 */   GIM_Try, /*On fail goto*//*Label 16087*/ GIMT_Encode4(1091944), // Rule ID 60761 //
     /* 1091872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1091883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1091886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1091889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1091892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091911 */     // MIs[0] policy
     /* 1091911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091921 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091943 */     // GIR_Coverage, 60761,
     /* 1091943 */     GIR_EraseRootFromParent_Done,
     /* 1091944 */   // Label 16087: @1091944
     /* 1091944 */   GIM_Try, /*On fail goto*//*Label 16088*/ GIMT_Encode4(1092021), // Rule ID 60764 //
     /* 1091949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1091960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1091963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1091966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091988 */     // MIs[0] policy
     /* 1091988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091998 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1092001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092020 */     // GIR_Coverage, 60764,
     /* 1092020 */     GIR_EraseRootFromParent_Done,
     /* 1092021 */   // Label 16088: @1092021
     /* 1092021 */   GIM_Try, /*On fail goto*//*Label 16089*/ GIMT_Encode4(1092098), // Rule ID 60765 //
     /* 1092026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1092037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1092040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1092043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092065 */     // MIs[0] policy
     /* 1092065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092075 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1092078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092097 */     // GIR_Coverage, 60765,
     /* 1092097 */     GIR_EraseRootFromParent_Done,
     /* 1092098 */   // Label 16089: @1092098
     /* 1092098 */   GIM_Try, /*On fail goto*//*Label 16090*/ GIMT_Encode4(1092175), // Rule ID 60768 //
     /* 1092103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1092114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1092117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1092120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092142 */     // MIs[0] policy
     /* 1092142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092152 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1092155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092174 */     // GIR_Coverage, 60768,
     /* 1092174 */     GIR_EraseRootFromParent_Done,
     /* 1092175 */   // Label 16090: @1092175
     /* 1092175 */   GIM_Try, /*On fail goto*//*Label 16091*/ GIMT_Encode4(1092252), // Rule ID 60769 //
     /* 1092180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1092191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1092194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1092197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092219 */     // MIs[0] policy
     /* 1092219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092229 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1092232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092251 */     // GIR_Coverage, 60769,
     /* 1092251 */     GIR_EraseRootFromParent_Done,
     /* 1092252 */   // Label 16091: @1092252
     /* 1092252 */   GIM_Try, /*On fail goto*//*Label 16092*/ GIMT_Encode4(1092329), // Rule ID 60772 //
     /* 1092257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1092268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1092271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1092274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1092277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092296 */     // MIs[0] policy
     /* 1092296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092306 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092328 */     // GIR_Coverage, 60772,
     /* 1092328 */     GIR_EraseRootFromParent_Done,
     /* 1092329 */   // Label 16092: @1092329
     /* 1092329 */   GIM_Try, /*On fail goto*//*Label 16093*/ GIMT_Encode4(1092406), // Rule ID 60773 //
     /* 1092334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1092345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1092348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1092351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1092354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092373 */     // MIs[0] policy
     /* 1092373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092383 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092405 */     // GIR_Coverage, 60773,
     /* 1092405 */     GIR_EraseRootFromParent_Done,
     /* 1092406 */   // Label 16093: @1092406
     /* 1092406 */   GIM_Try, /*On fail goto*//*Label 16094*/ GIMT_Encode4(1092483), // Rule ID 60776 //
     /* 1092411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1092422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1092425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1092428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092450 */     // MIs[0] policy
     /* 1092450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092460 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1092463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092482 */     // GIR_Coverage, 60776,
     /* 1092482 */     GIR_EraseRootFromParent_Done,
     /* 1092483 */   // Label 16094: @1092483
     /* 1092483 */   GIM_Try, /*On fail goto*//*Label 16095*/ GIMT_Encode4(1092560), // Rule ID 60777 //
     /* 1092488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1092499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1092502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1092505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092527 */     // MIs[0] policy
     /* 1092527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092537 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1092540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092559 */     // GIR_Coverage, 60777,
     /* 1092559 */     GIR_EraseRootFromParent_Done,
     /* 1092560 */   // Label 16095: @1092560
     /* 1092560 */   GIM_Try, /*On fail goto*//*Label 16096*/ GIMT_Encode4(1092637), // Rule ID 60780 //
     /* 1092565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1092576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1092579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1092582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092604 */     // MIs[0] policy
     /* 1092604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092614 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1092617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092636 */     // GIR_Coverage, 60780,
     /* 1092636 */     GIR_EraseRootFromParent_Done,
     /* 1092637 */   // Label 16096: @1092637
     /* 1092637 */   GIM_Try, /*On fail goto*//*Label 16097*/ GIMT_Encode4(1092714), // Rule ID 60781 //
     /* 1092642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1092653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1092656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1092659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092681 */     // MIs[0] policy
     /* 1092681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092691 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1092694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092713 */     // GIR_Coverage, 60781,
     /* 1092713 */     GIR_EraseRootFromParent_Done,
     /* 1092714 */   // Label 16097: @1092714
     /* 1092714 */   GIM_Try, /*On fail goto*//*Label 16098*/ GIMT_Encode4(1092791), // Rule ID 60784 //
     /* 1092719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1092730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1092733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1092736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092758 */     // MIs[0] policy
     /* 1092758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092768 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092790 */     // GIR_Coverage, 60784,
     /* 1092790 */     GIR_EraseRootFromParent_Done,
     /* 1092791 */   // Label 16098: @1092791
     /* 1092791 */   GIM_Try, /*On fail goto*//*Label 16099*/ GIMT_Encode4(1092868), // Rule ID 60785 //
     /* 1092796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1092807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1092810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1092813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092835 */     // MIs[0] policy
     /* 1092835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092845 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092867 */     // GIR_Coverage, 60785,
     /* 1092867 */     GIR_EraseRootFromParent_Done,
     /* 1092868 */   // Label 16099: @1092868
     /* 1092868 */   GIM_Try, /*On fail goto*//*Label 16100*/ GIMT_Encode4(1092945), // Rule ID 60788 //
     /* 1092873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1092884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1092887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1092890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092912 */     // MIs[0] policy
     /* 1092912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1092925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092944 */     // GIR_Coverage, 60788,
     /* 1092944 */     GIR_EraseRootFromParent_Done,
     /* 1092945 */   // Label 16100: @1092945
     /* 1092945 */   GIM_Try, /*On fail goto*//*Label 16101*/ GIMT_Encode4(1093022), // Rule ID 60789 //
     /* 1092950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1092961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1092964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1092967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092989 */     // MIs[0] policy
     /* 1092989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092999 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1093002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093021 */     // GIR_Coverage, 60789,
     /* 1093021 */     GIR_EraseRootFromParent_Done,
     /* 1093022 */   // Label 16101: @1093022
     /* 1093022 */   GIM_Try, /*On fail goto*//*Label 16102*/ GIMT_Encode4(1093099), // Rule ID 60792 //
     /* 1093027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1093038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1093041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1093044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093066 */     // MIs[0] policy
     /* 1093066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093076 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1093079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093098 */     // GIR_Coverage, 60792,
     /* 1093098 */     GIR_EraseRootFromParent_Done,
     /* 1093099 */   // Label 16102: @1093099
     /* 1093099 */   GIM_Try, /*On fail goto*//*Label 16103*/ GIMT_Encode4(1093176), // Rule ID 60793 //
     /* 1093104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1093115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1093118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1093121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093143 */     // MIs[0] policy
     /* 1093143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093153 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1093156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093175 */     // GIR_Coverage, 60793,
     /* 1093175 */     GIR_EraseRootFromParent_Done,
     /* 1093176 */   // Label 16103: @1093176
     /* 1093176 */   GIM_Try, /*On fail goto*//*Label 16104*/ GIMT_Encode4(1093253), // Rule ID 60796 //
     /* 1093181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1093192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1093195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1093198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093220 */     // MIs[0] policy
     /* 1093220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093230 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1093233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093252 */     // GIR_Coverage, 60796,
     /* 1093252 */     GIR_EraseRootFromParent_Done,
     /* 1093253 */   // Label 16104: @1093253
     /* 1093253 */   GIM_Try, /*On fail goto*//*Label 16105*/ GIMT_Encode4(1093330), // Rule ID 60797 //
     /* 1093258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1093269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1093272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1093275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093297 */     // MIs[0] policy
     /* 1093297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093307 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1093310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093329 */     // GIR_Coverage, 60797,
     /* 1093329 */     GIR_EraseRootFromParent_Done,
     /* 1093330 */   // Label 16105: @1093330
     /* 1093330 */   GIM_Try, /*On fail goto*//*Label 16106*/ GIMT_Encode4(1093407), // Rule ID 60800 //
     /* 1093335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1093346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1093349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1093352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093374 */     // MIs[0] policy
     /* 1093374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093384 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1093387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093406 */     // GIR_Coverage, 60800,
     /* 1093406 */     GIR_EraseRootFromParent_Done,
     /* 1093407 */   // Label 16106: @1093407
     /* 1093407 */   GIM_Try, /*On fail goto*//*Label 16107*/ GIMT_Encode4(1093484), // Rule ID 60801 //
     /* 1093412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1093423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1093426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1093429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093451 */     // MIs[0] policy
     /* 1093451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093461 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1093464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093483 */     // GIR_Coverage, 60801,
     /* 1093483 */     GIR_EraseRootFromParent_Done,
     /* 1093484 */   // Label 16107: @1093484
     /* 1093484 */   GIM_Try, /*On fail goto*//*Label 16108*/ GIMT_Encode4(1093561), // Rule ID 60804 //
     /* 1093489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1093500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1093503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1093506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093528 */     // MIs[0] policy
     /* 1093528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093538 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1093541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093560 */     // GIR_Coverage, 60804,
     /* 1093560 */     GIR_EraseRootFromParent_Done,
     /* 1093561 */   // Label 16108: @1093561
     /* 1093561 */   GIM_Try, /*On fail goto*//*Label 16109*/ GIMT_Encode4(1093638), // Rule ID 60805 //
     /* 1093566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1093577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1093580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1093583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093605 */     // MIs[0] policy
     /* 1093605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093615 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1093618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093637 */     // GIR_Coverage, 60805,
     /* 1093637 */     GIR_EraseRootFromParent_Done,
     /* 1093638 */   // Label 16109: @1093638
     /* 1093638 */   GIM_Try, /*On fail goto*//*Label 16110*/ GIMT_Encode4(1093715), // Rule ID 60808 //
     /* 1093643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1093654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1093657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1093660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093682 */     // MIs[0] policy
     /* 1093682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093714 */     // GIR_Coverage, 60808,
     /* 1093714 */     GIR_EraseRootFromParent_Done,
     /* 1093715 */   // Label 16110: @1093715
     /* 1093715 */   GIM_Try, /*On fail goto*//*Label 16111*/ GIMT_Encode4(1093792), // Rule ID 60809 //
     /* 1093720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1093731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1093734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1093737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093759 */     // MIs[0] policy
     /* 1093759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093769 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093791 */     // GIR_Coverage, 60809,
     /* 1093791 */     GIR_EraseRootFromParent_Done,
     /* 1093792 */   // Label 16111: @1093792
     /* 1093792 */   GIM_Try, /*On fail goto*//*Label 16112*/ GIMT_Encode4(1093869), // Rule ID 60812 //
     /* 1093797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1093808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1093811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1093814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093836 */     // MIs[0] policy
     /* 1093836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1093849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093868 */     // GIR_Coverage, 60812,
     /* 1093868 */     GIR_EraseRootFromParent_Done,
     /* 1093869 */   // Label 16112: @1093869
     /* 1093869 */   GIM_Try, /*On fail goto*//*Label 16113*/ GIMT_Encode4(1093946), // Rule ID 60813 //
     /* 1093874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1093885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1093888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1093891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093913 */     // MIs[0] policy
     /* 1093913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093923 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1093926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093945 */     // GIR_Coverage, 60813,
     /* 1093945 */     GIR_EraseRootFromParent_Done,
     /* 1093946 */   // Label 16113: @1093946
     /* 1093946 */   GIM_Try, /*On fail goto*//*Label 16114*/ GIMT_Encode4(1094023), // Rule ID 60816 //
     /* 1093951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1093962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1093965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1093968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093990 */     // MIs[0] policy
     /* 1093990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094000 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1094003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094022 */     // GIR_Coverage, 60816,
     /* 1094022 */     GIR_EraseRootFromParent_Done,
     /* 1094023 */   // Label 16114: @1094023
     /* 1094023 */   GIM_Try, /*On fail goto*//*Label 16115*/ GIMT_Encode4(1094100), // Rule ID 60817 //
     /* 1094028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1094039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1094042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1094045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094067 */     // MIs[0] policy
     /* 1094067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094077 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1094080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094099 */     // GIR_Coverage, 60817,
     /* 1094099 */     GIR_EraseRootFromParent_Done,
     /* 1094100 */   // Label 16115: @1094100
     /* 1094100 */   GIM_Try, /*On fail goto*//*Label 16116*/ GIMT_Encode4(1094177), // Rule ID 60820 //
     /* 1094105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1094116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1094119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1094122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094144 */     // MIs[0] policy
     /* 1094144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094154 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1094157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094176 */     // GIR_Coverage, 60820,
     /* 1094176 */     GIR_EraseRootFromParent_Done,
     /* 1094177 */   // Label 16116: @1094177
     /* 1094177 */   GIM_Try, /*On fail goto*//*Label 16117*/ GIMT_Encode4(1094254), // Rule ID 60821 //
     /* 1094182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1094193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1094196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1094199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094221 */     // MIs[0] policy
     /* 1094221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094231 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1094234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094240 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094253 */     // GIR_Coverage, 60821,
     /* 1094253 */     GIR_EraseRootFromParent_Done,
     /* 1094254 */   // Label 16117: @1094254
     /* 1094254 */   GIM_Try, /*On fail goto*//*Label 16118*/ GIMT_Encode4(1094331), // Rule ID 60824 //
     /* 1094259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1094270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1094273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1094276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094298 */     // MIs[0] policy
     /* 1094298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094330 */     // GIR_Coverage, 60824,
     /* 1094330 */     GIR_EraseRootFromParent_Done,
     /* 1094331 */   // Label 16118: @1094331
     /* 1094331 */   GIM_Try, /*On fail goto*//*Label 16119*/ GIMT_Encode4(1094408), // Rule ID 60825 //
     /* 1094336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1094347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1094350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1094353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094375 */     // MIs[0] policy
     /* 1094375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094385 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094407 */     // GIR_Coverage, 60825,
     /* 1094407 */     GIR_EraseRootFromParent_Done,
     /* 1094408 */   // Label 16119: @1094408
     /* 1094408 */   GIM_Try, /*On fail goto*//*Label 16120*/ GIMT_Encode4(1094485), // Rule ID 60828 //
     /* 1094413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1094424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1094427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1094430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094452 */     // MIs[0] policy
     /* 1094452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094462 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094484 */     // GIR_Coverage, 60828,
     /* 1094484 */     GIR_EraseRootFromParent_Done,
     /* 1094485 */   // Label 16120: @1094485
     /* 1094485 */   GIM_Try, /*On fail goto*//*Label 16121*/ GIMT_Encode4(1094562), // Rule ID 60829 //
     /* 1094490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1094501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1094504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1094507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094529 */     // MIs[0] policy
     /* 1094529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094561 */     // GIR_Coverage, 60829,
     /* 1094561 */     GIR_EraseRootFromParent_Done,
     /* 1094562 */   // Label 16121: @1094562
     /* 1094562 */   GIM_Try, /*On fail goto*//*Label 16122*/ GIMT_Encode4(1094639), // Rule ID 60832 //
     /* 1094567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1094578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1094581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1094584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094606 */     // MIs[0] policy
     /* 1094606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094616 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094638 */     // GIR_Coverage, 60832,
     /* 1094638 */     GIR_EraseRootFromParent_Done,
     /* 1094639 */   // Label 16122: @1094639
     /* 1094639 */   GIM_Try, /*On fail goto*//*Label 16123*/ GIMT_Encode4(1094716), // Rule ID 60833 //
     /* 1094644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1094655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1094658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1094661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094683 */     // MIs[0] policy
     /* 1094683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094693 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094715 */     // GIR_Coverage, 60833,
     /* 1094715 */     GIR_EraseRootFromParent_Done,
     /* 1094716 */   // Label 16123: @1094716
     /* 1094716 */   GIM_Try, /*On fail goto*//*Label 16124*/ GIMT_Encode4(1094793), // Rule ID 60836 //
     /* 1094721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1094732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1094735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1094738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094760 */     // MIs[0] policy
     /* 1094760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094792 */     // GIR_Coverage, 60836,
     /* 1094792 */     GIR_EraseRootFromParent_Done,
     /* 1094793 */   // Label 16124: @1094793
     /* 1094793 */   GIM_Try, /*On fail goto*//*Label 16125*/ GIMT_Encode4(1094870), // Rule ID 60837 //
     /* 1094798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1094809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1094812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1094815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094837 */     // MIs[0] policy
     /* 1094837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094847 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1094850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094869 */     // GIR_Coverage, 60837,
     /* 1094869 */     GIR_EraseRootFromParent_Done,
     /* 1094870 */   // Label 16125: @1094870
     /* 1094870 */   GIM_Try, /*On fail goto*//*Label 16126*/ GIMT_Encode4(1094947), // Rule ID 60840 //
     /* 1094875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1094886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1094889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1094892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094914 */     // MIs[0] policy
     /* 1094914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094924 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094946 */     // GIR_Coverage, 60840,
     /* 1094946 */     GIR_EraseRootFromParent_Done,
     /* 1094947 */   // Label 16126: @1094947
     /* 1094947 */   GIM_Try, /*On fail goto*//*Label 16127*/ GIMT_Encode4(1095024), // Rule ID 60841 //
     /* 1094952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1094963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1094966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1094969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094991 */     // MIs[0] policy
     /* 1094991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095001 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095023 */     // GIR_Coverage, 60841,
     /* 1095023 */     GIR_EraseRootFromParent_Done,
     /* 1095024 */   // Label 16127: @1095024
     /* 1095024 */   GIM_Try, /*On fail goto*//*Label 16128*/ GIMT_Encode4(1095101), // Rule ID 60844 //
     /* 1095029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1095040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1095043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1095046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095068 */     // MIs[0] policy
     /* 1095068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095078 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095100 */     // GIR_Coverage, 60844,
     /* 1095100 */     GIR_EraseRootFromParent_Done,
     /* 1095101 */   // Label 16128: @1095101
     /* 1095101 */   GIM_Try, /*On fail goto*//*Label 16129*/ GIMT_Encode4(1095178), // Rule ID 60845 //
     /* 1095106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1095117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1095120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1095123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095145 */     // MIs[0] policy
     /* 1095145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095155 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095177 */     // GIR_Coverage, 60845,
     /* 1095177 */     GIR_EraseRootFromParent_Done,
     /* 1095178 */   // Label 16129: @1095178
     /* 1095178 */   GIM_Try, /*On fail goto*//*Label 16130*/ GIMT_Encode4(1095255), // Rule ID 60848 //
     /* 1095183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1095194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1095197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1095200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1095203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095222 */     // MIs[0] policy
     /* 1095222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095232 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095254 */     // GIR_Coverage, 60848,
     /* 1095254 */     GIR_EraseRootFromParent_Done,
     /* 1095255 */   // Label 16130: @1095255
     /* 1095255 */   GIM_Try, /*On fail goto*//*Label 16131*/ GIMT_Encode4(1095332), // Rule ID 60849 //
     /* 1095260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1095271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1095274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1095277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1095280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095299 */     // MIs[0] policy
     /* 1095299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095309 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095331 */     // GIR_Coverage, 60849,
     /* 1095331 */     GIR_EraseRootFromParent_Done,
     /* 1095332 */   // Label 16131: @1095332
     /* 1095332 */   GIM_Try, /*On fail goto*//*Label 16132*/ GIMT_Encode4(1095409), // Rule ID 60852 //
     /* 1095337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1095348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1095351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1095354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095376 */     // MIs[0] policy
     /* 1095376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095386 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095408 */     // GIR_Coverage, 60852,
     /* 1095408 */     GIR_EraseRootFromParent_Done,
     /* 1095409 */   // Label 16132: @1095409
     /* 1095409 */   GIM_Try, /*On fail goto*//*Label 16133*/ GIMT_Encode4(1095486), // Rule ID 60853 //
     /* 1095414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1095425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1095428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1095431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095453 */     // MIs[0] policy
     /* 1095453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095463 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095485 */     // GIR_Coverage, 60853,
     /* 1095485 */     GIR_EraseRootFromParent_Done,
     /* 1095486 */   // Label 16133: @1095486
     /* 1095486 */   GIM_Try, /*On fail goto*//*Label 16134*/ GIMT_Encode4(1095563), // Rule ID 60856 //
     /* 1095491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1095502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1095505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1095508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095530 */     // MIs[0] policy
     /* 1095530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095540 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095562 */     // GIR_Coverage, 60856,
     /* 1095562 */     GIR_EraseRootFromParent_Done,
     /* 1095563 */   // Label 16134: @1095563
     /* 1095563 */   GIM_Try, /*On fail goto*//*Label 16135*/ GIMT_Encode4(1095640), // Rule ID 60857 //
     /* 1095568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1095579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1095582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1095585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095607 */     // MIs[0] policy
     /* 1095607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095617 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095639 */     // GIR_Coverage, 60857,
     /* 1095639 */     GIR_EraseRootFromParent_Done,
     /* 1095640 */   // Label 16135: @1095640
     /* 1095640 */   GIM_Try, /*On fail goto*//*Label 16136*/ GIMT_Encode4(1095717), // Rule ID 60860 //
     /* 1095645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1095656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1095659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1095662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095684 */     // MIs[0] policy
     /* 1095684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095694 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095716 */     // GIR_Coverage, 60860,
     /* 1095716 */     GIR_EraseRootFromParent_Done,
     /* 1095717 */   // Label 16136: @1095717
     /* 1095717 */   GIM_Try, /*On fail goto*//*Label 16137*/ GIMT_Encode4(1095794), // Rule ID 60861 //
     /* 1095722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1095733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1095736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1095739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095761 */     // MIs[0] policy
     /* 1095761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095793 */     // GIR_Coverage, 60861,
     /* 1095793 */     GIR_EraseRootFromParent_Done,
     /* 1095794 */   // Label 16137: @1095794
     /* 1095794 */   GIM_Try, /*On fail goto*//*Label 16138*/ GIMT_Encode4(1095871), // Rule ID 60864 //
     /* 1095799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1095810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1095813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1095816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095838 */     // MIs[0] policy
     /* 1095838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095848 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095870 */     // GIR_Coverage, 60864,
     /* 1095870 */     GIR_EraseRootFromParent_Done,
     /* 1095871 */   // Label 16138: @1095871
     /* 1095871 */   GIM_Try, /*On fail goto*//*Label 16139*/ GIMT_Encode4(1095948), // Rule ID 60865 //
     /* 1095876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1095887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1095890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1095893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095915 */     // MIs[0] policy
     /* 1095915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095947 */     // GIR_Coverage, 60865,
     /* 1095947 */     GIR_EraseRootFromParent_Done,
     /* 1095948 */   // Label 16139: @1095948
     /* 1095948 */   GIM_Try, /*On fail goto*//*Label 16140*/ GIMT_Encode4(1096025), // Rule ID 60868 //
     /* 1095953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1095964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1095967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1095970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095992 */     // MIs[0] policy
     /* 1095992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096002 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1096005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096024 */     // GIR_Coverage, 60868,
     /* 1096024 */     GIR_EraseRootFromParent_Done,
     /* 1096025 */   // Label 16140: @1096025
     /* 1096025 */   GIM_Try, /*On fail goto*//*Label 16141*/ GIMT_Encode4(1096102), // Rule ID 60869 //
     /* 1096030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1096038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1096041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1096044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1096047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096069 */     // MIs[0] policy
     /* 1096069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096079 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1096082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096101 */     // GIR_Coverage, 60869,
     /* 1096101 */     GIR_EraseRootFromParent_Done,
     /* 1096102 */   // Label 16141: @1096102
     /* 1096102 */   GIM_Try, /*On fail goto*//*Label 16142*/ GIMT_Encode4(1096179), // Rule ID 60872 //
     /* 1096107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1096115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1096118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1096121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1096124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1096127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096146 */     // MIs[0] policy
     /* 1096146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096156 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1096159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096178 */     // GIR_Coverage, 60872,
     /* 1096178 */     GIR_EraseRootFromParent_Done,
     /* 1096179 */   // Label 16142: @1096179
     /* 1096179 */   GIM_Try, /*On fail goto*//*Label 16143*/ GIMT_Encode4(1096256), // Rule ID 60873 //
     /* 1096184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1096192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1096195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1096198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1096201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1096204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096223 */     // MIs[0] policy
     /* 1096223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096233 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1096236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096255 */     // GIR_Coverage, 60873,
     /* 1096255 */     GIR_EraseRootFromParent_Done,
     /* 1096256 */   // Label 16143: @1096256
     /* 1096256 */   GIM_Try, /*On fail goto*//*Label 16144*/ GIMT_Encode4(1096333), // Rule ID 60876 //
     /* 1096261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1096269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1096272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1096275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1096278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096300 */     // MIs[0] policy
     /* 1096300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096310 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1096313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096332 */     // GIR_Coverage, 60876,
     /* 1096332 */     GIR_EraseRootFromParent_Done,
     /* 1096333 */   // Label 16144: @1096333
     /* 1096333 */   GIM_Try, /*On fail goto*//*Label 16145*/ GIMT_Encode4(1096410), // Rule ID 60877 //
     /* 1096338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1096346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1096349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1096352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1096355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096377 */     // MIs[0] policy
     /* 1096377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1096390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096409 */     // GIR_Coverage, 60877,
     /* 1096409 */     GIR_EraseRootFromParent_Done,
     /* 1096410 */   // Label 16145: @1096410
     /* 1096410 */   GIM_Try, /*On fail goto*//*Label 16146*/ GIMT_Encode4(1096487), // Rule ID 60880 //
     /* 1096415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1096423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1096426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1096429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1096432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096454 */     // MIs[0] policy
     /* 1096454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096464 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1096467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096486 */     // GIR_Coverage, 60880,
     /* 1096486 */     GIR_EraseRootFromParent_Done,
     /* 1096487 */   // Label 16146: @1096487
     /* 1096487 */   GIM_Try, /*On fail goto*//*Label 16147*/ GIMT_Encode4(1096564), // Rule ID 60881 //
     /* 1096492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1096500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1096503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1096506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1096509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096531 */     // MIs[0] policy
     /* 1096531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096541 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1096544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096563 */     // GIR_Coverage, 60881,
     /* 1096563 */     GIR_EraseRootFromParent_Done,
     /* 1096564 */   // Label 16147: @1096564
     /* 1096564 */   GIM_Try, /*On fail goto*//*Label 16148*/ GIMT_Encode4(1096641), // Rule ID 60884 //
     /* 1096569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1096577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1096580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1096583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1096586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096608 */     // MIs[0] policy
     /* 1096608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1096621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096640 */     // GIR_Coverage, 60884,
     /* 1096640 */     GIR_EraseRootFromParent_Done,
     /* 1096641 */   // Label 16148: @1096641
     /* 1096641 */   GIM_Try, /*On fail goto*//*Label 16149*/ GIMT_Encode4(1096718), // Rule ID 60885 //
     /* 1096646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1096654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1096657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1096660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1096663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096685 */     // MIs[0] policy
     /* 1096685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096695 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1096698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096717 */     // GIR_Coverage, 60885,
     /* 1096717 */     GIR_EraseRootFromParent_Done,
     /* 1096718 */   // Label 16149: @1096718
     /* 1096718 */   GIM_Try, /*On fail goto*//*Label 16150*/ GIMT_Encode4(1096795), // Rule ID 60888 //
     /* 1096723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1096734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1096737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1096740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096762 */     // MIs[0] policy
     /* 1096762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1096775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096794 */     // GIR_Coverage, 60888,
     /* 1096794 */     GIR_EraseRootFromParent_Done,
     /* 1096795 */   // Label 16150: @1096795
     /* 1096795 */   GIM_Try, /*On fail goto*//*Label 16151*/ GIMT_Encode4(1096872), // Rule ID 60889 //
     /* 1096800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1096811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1096814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1096817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096839 */     // MIs[0] policy
     /* 1096839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096849 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1096852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096871 */     // GIR_Coverage, 60889,
     /* 1096871 */     GIR_EraseRootFromParent_Done,
     /* 1096872 */   // Label 16151: @1096872
     /* 1096872 */   GIM_Try, /*On fail goto*//*Label 16152*/ GIMT_Encode4(1096949), // Rule ID 60892 //
     /* 1096877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1096888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1096891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1096894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096916 */     // MIs[0] policy
     /* 1096916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096926 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1096929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096935 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096948 */     // GIR_Coverage, 60892,
     /* 1096948 */     GIR_EraseRootFromParent_Done,
     /* 1096949 */   // Label 16152: @1096949
     /* 1096949 */   GIM_Try, /*On fail goto*//*Label 16153*/ GIMT_Encode4(1097026), // Rule ID 60893 //
     /* 1096954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1096965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1096968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1096971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096993 */     // MIs[0] policy
     /* 1096993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097003 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1097006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097025 */     // GIR_Coverage, 60893,
     /* 1097025 */     GIR_EraseRootFromParent_Done,
     /* 1097026 */   // Label 16153: @1097026
     /* 1097026 */   GIM_Try, /*On fail goto*//*Label 16154*/ GIMT_Encode4(1097103), // Rule ID 60896 //
     /* 1097031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1097042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1097045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1097048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097070 */     // MIs[0] policy
     /* 1097070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097080 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1097083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097102 */     // GIR_Coverage, 60896,
     /* 1097102 */     GIR_EraseRootFromParent_Done,
     /* 1097103 */   // Label 16154: @1097103
     /* 1097103 */   GIM_Try, /*On fail goto*//*Label 16155*/ GIMT_Encode4(1097180), // Rule ID 60897 //
     /* 1097108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1097119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1097122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1097125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097147 */     // MIs[0] policy
     /* 1097147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097157 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1097160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097179 */     // GIR_Coverage, 60897,
     /* 1097179 */     GIR_EraseRootFromParent_Done,
     /* 1097180 */   // Label 16155: @1097180
     /* 1097180 */   GIM_Try, /*On fail goto*//*Label 16156*/ GIMT_Encode4(1097257), // Rule ID 60900 //
     /* 1097185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1097196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1097199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1097202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097224 */     // MIs[0] policy
     /* 1097224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097234 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1097237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097256 */     // GIR_Coverage, 60900,
     /* 1097256 */     GIR_EraseRootFromParent_Done,
     /* 1097257 */   // Label 16156: @1097257
     /* 1097257 */   GIM_Try, /*On fail goto*//*Label 16157*/ GIMT_Encode4(1097334), // Rule ID 60901 //
     /* 1097262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1097273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1097276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1097279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097301 */     // MIs[0] policy
     /* 1097301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097311 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1097314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097333 */     // GIR_Coverage, 60901,
     /* 1097333 */     GIR_EraseRootFromParent_Done,
     /* 1097334 */   // Label 16157: @1097334
     /* 1097334 */   GIM_Try, /*On fail goto*//*Label 16158*/ GIMT_Encode4(1097411), // Rule ID 60904 //
     /* 1097339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1097350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1097353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1097356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097378 */     // MIs[0] policy
     /* 1097378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097388 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1097391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097410 */     // GIR_Coverage, 60904,
     /* 1097410 */     GIR_EraseRootFromParent_Done,
     /* 1097411 */   // Label 16158: @1097411
     /* 1097411 */   GIM_Try, /*On fail goto*//*Label 16159*/ GIMT_Encode4(1097488), // Rule ID 60905 //
     /* 1097416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1097427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1097430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1097433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097455 */     // MIs[0] policy
     /* 1097455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097465 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1097468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097487 */     // GIR_Coverage, 60905,
     /* 1097487 */     GIR_EraseRootFromParent_Done,
     /* 1097488 */   // Label 16159: @1097488
     /* 1097488 */   GIM_Try, /*On fail goto*//*Label 16160*/ GIMT_Encode4(1097565), // Rule ID 60908 //
     /* 1097493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1097504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1097507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1097510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097532 */     // MIs[0] policy
     /* 1097532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1097545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097564 */     // GIR_Coverage, 60908,
     /* 1097564 */     GIR_EraseRootFromParent_Done,
     /* 1097565 */   // Label 16160: @1097565
     /* 1097565 */   GIM_Try, /*On fail goto*//*Label 16161*/ GIMT_Encode4(1097642), // Rule ID 60909 //
     /* 1097570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1097581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1097584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1097587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097609 */     // MIs[0] policy
     /* 1097609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097619 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1097622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097641 */     // GIR_Coverage, 60909,
     /* 1097641 */     GIR_EraseRootFromParent_Done,
     /* 1097642 */   // Label 16161: @1097642
     /* 1097642 */   GIM_Try, /*On fail goto*//*Label 16162*/ GIMT_Encode4(1097719), // Rule ID 60912 //
     /* 1097647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1097658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1097661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1097664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097686 */     // MIs[0] policy
     /* 1097686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11194:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097718 */     // GIR_Coverage, 60912,
     /* 1097718 */     GIR_EraseRootFromParent_Done,
     /* 1097719 */   // Label 16162: @1097719
     /* 1097719 */   GIM_Try, /*On fail goto*//*Label 16163*/ GIMT_Encode4(1097796), // Rule ID 60913 //
     /* 1097724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1097735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1097738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1097741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097763 */     // MIs[0] policy
     /* 1097763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097773 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11194:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097795 */     // GIR_Coverage, 60913,
     /* 1097795 */     GIR_EraseRootFromParent_Done,
     /* 1097796 */   // Label 16163: @1097796
     /* 1097796 */   GIM_Try, /*On fail goto*//*Label 16164*/ GIMT_Encode4(1097873), // Rule ID 60916 //
     /* 1097801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1097812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1097815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1097818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097840 */     // MIs[0] policy
     /* 1097840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097850 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097872 */     // GIR_Coverage, 60916,
     /* 1097872 */     GIR_EraseRootFromParent_Done,
     /* 1097873 */   // Label 16164: @1097873
     /* 1097873 */   GIM_Try, /*On fail goto*//*Label 16165*/ GIMT_Encode4(1097950), // Rule ID 60917 //
     /* 1097878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1097889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1097892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1097895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097917 */     // MIs[0] policy
     /* 1097917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097949 */     // GIR_Coverage, 60917,
     /* 1097949 */     GIR_EraseRootFromParent_Done,
     /* 1097950 */   // Label 16165: @1097950
     /* 1097950 */   GIM_Try, /*On fail goto*//*Label 16166*/ GIMT_Encode4(1098027), // Rule ID 60920 //
     /* 1097955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1097966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1097969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1097972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097994 */     // MIs[0] policy
     /* 1097994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1098007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098026 */     // GIR_Coverage, 60920,
     /* 1098026 */     GIR_EraseRootFromParent_Done,
     /* 1098027 */   // Label 16166: @1098027
     /* 1098027 */   GIM_Try, /*On fail goto*//*Label 16167*/ GIMT_Encode4(1098104), // Rule ID 60921 //
     /* 1098032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1098043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1098046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1098049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098071 */     // MIs[0] policy
     /* 1098071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098081 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1098084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098103 */     // GIR_Coverage, 60921,
     /* 1098103 */     GIR_EraseRootFromParent_Done,
     /* 1098104 */   // Label 16167: @1098104
     /* 1098104 */   GIM_Try, /*On fail goto*//*Label 16168*/ GIMT_Encode4(1098181), // Rule ID 60924 //
     /* 1098109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1098120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1098123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1098126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098148 */     // MIs[0] policy
     /* 1098148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1098161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098180 */     // GIR_Coverage, 60924,
     /* 1098180 */     GIR_EraseRootFromParent_Done,
     /* 1098181 */   // Label 16168: @1098181
     /* 1098181 */   GIM_Try, /*On fail goto*//*Label 16169*/ GIMT_Encode4(1098258), // Rule ID 60925 //
     /* 1098186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1098197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1098200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1098203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098225 */     // MIs[0] policy
     /* 1098225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098235 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1098238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098257 */     // GIR_Coverage, 60925,
     /* 1098257 */     GIR_EraseRootFromParent_Done,
     /* 1098258 */   // Label 16169: @1098258
     /* 1098258 */   GIM_Try, /*On fail goto*//*Label 16170*/ GIMT_Encode4(1098335), // Rule ID 60928 //
     /* 1098263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1098274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1098277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1098280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098302 */     // MIs[0] policy
     /* 1098302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098312 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098334 */     // GIR_Coverage, 60928,
     /* 1098334 */     GIR_EraseRootFromParent_Done,
     /* 1098335 */   // Label 16170: @1098335
     /* 1098335 */   GIM_Try, /*On fail goto*//*Label 16171*/ GIMT_Encode4(1098412), // Rule ID 60929 //
     /* 1098340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1098351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1098354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1098357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098379 */     // MIs[0] policy
     /* 1098379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098389 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098411 */     // GIR_Coverage, 60929,
     /* 1098411 */     GIR_EraseRootFromParent_Done,
     /* 1098412 */   // Label 16171: @1098412
     /* 1098412 */   GIM_Try, /*On fail goto*//*Label 16172*/ GIMT_Encode4(1098489), // Rule ID 60932 //
     /* 1098417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1098428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1098431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1098434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098456 */     // MIs[0] policy
     /* 1098456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098466 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098488 */     // GIR_Coverage, 60932,
     /* 1098488 */     GIR_EraseRootFromParent_Done,
     /* 1098489 */   // Label 16172: @1098489
     /* 1098489 */   GIM_Try, /*On fail goto*//*Label 16173*/ GIMT_Encode4(1098566), // Rule ID 60933 //
     /* 1098494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1098505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1098508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1098511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098533 */     // MIs[0] policy
     /* 1098533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098543 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098565 */     // GIR_Coverage, 60933,
     /* 1098565 */     GIR_EraseRootFromParent_Done,
     /* 1098566 */   // Label 16173: @1098566
     /* 1098566 */   GIM_Try, /*On fail goto*//*Label 16174*/ GIMT_Encode4(1098643), // Rule ID 60936 //
     /* 1098571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1098582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1098585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1098588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1098591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098610 */     // MIs[0] policy
     /* 1098610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098620 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098642 */     // GIR_Coverage, 60936,
     /* 1098642 */     GIR_EraseRootFromParent_Done,
     /* 1098643 */   // Label 16174: @1098643
     /* 1098643 */   GIM_Try, /*On fail goto*//*Label 16175*/ GIMT_Encode4(1098720), // Rule ID 60937 //
     /* 1098648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1098659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1098662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1098665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1098668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098687 */     // MIs[0] policy
     /* 1098687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098697 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098719 */     // GIR_Coverage, 60937,
     /* 1098719 */     GIR_EraseRootFromParent_Done,
     /* 1098720 */   // Label 16175: @1098720
     /* 1098720 */   GIM_Try, /*On fail goto*//*Label 16176*/ GIMT_Encode4(1098797), // Rule ID 60940 //
     /* 1098725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1098736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1098739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1098742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098764 */     // MIs[0] policy
     /* 1098764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098796 */     // GIR_Coverage, 60940,
     /* 1098796 */     GIR_EraseRootFromParent_Done,
     /* 1098797 */   // Label 16176: @1098797
     /* 1098797 */   GIM_Try, /*On fail goto*//*Label 16177*/ GIMT_Encode4(1098874), // Rule ID 60941 //
     /* 1098802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1098813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1098816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1098819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098841 */     // MIs[0] policy
     /* 1098841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098851 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098873 */     // GIR_Coverage, 60941,
     /* 1098873 */     GIR_EraseRootFromParent_Done,
     /* 1098874 */   // Label 16177: @1098874
     /* 1098874 */   GIM_Try, /*On fail goto*//*Label 16178*/ GIMT_Encode4(1098951), // Rule ID 60944 //
     /* 1098879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1098890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1098893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1098896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098918 */     // MIs[0] policy
     /* 1098918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098950 */     // GIR_Coverage, 60944,
     /* 1098950 */     GIR_EraseRootFromParent_Done,
     /* 1098951 */   // Label 16178: @1098951
     /* 1098951 */   GIM_Try, /*On fail goto*//*Label 16179*/ GIMT_Encode4(1099028), // Rule ID 60945 //
     /* 1098956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1098967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1098970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1098973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098995 */     // MIs[0] policy
     /* 1098995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099005 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1099008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099027 */     // GIR_Coverage, 60945,
     /* 1099027 */     GIR_EraseRootFromParent_Done,
     /* 1099028 */   // Label 16179: @1099028
     /* 1099028 */   GIM_Try, /*On fail goto*//*Label 16180*/ GIMT_Encode4(1099105), // Rule ID 60948 //
     /* 1099033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1099044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1099047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1099050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1099053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099072 */     // MIs[0] policy
     /* 1099072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099082 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1099085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099104 */     // GIR_Coverage, 60948,
     /* 1099104 */     GIR_EraseRootFromParent_Done,
     /* 1099105 */   // Label 16180: @1099105
     /* 1099105 */   GIM_Try, /*On fail goto*//*Label 16181*/ GIMT_Encode4(1099182), // Rule ID 60949 //
     /* 1099110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1099121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1099124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1099127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1099130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099149 */     // MIs[0] policy
     /* 1099149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099159 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1099162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099181 */     // GIR_Coverage, 60949,
     /* 1099181 */     GIR_EraseRootFromParent_Done,
     /* 1099182 */   // Label 16181: @1099182
     /* 1099182 */   GIM_Try, /*On fail goto*//*Label 16182*/ GIMT_Encode4(1099259), // Rule ID 60952 //
     /* 1099187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1099198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1099201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1099204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099226 */     // MIs[0] policy
     /* 1099226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099236 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1099239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099258 */     // GIR_Coverage, 60952,
     /* 1099258 */     GIR_EraseRootFromParent_Done,
     /* 1099259 */   // Label 16182: @1099259
     /* 1099259 */   GIM_Try, /*On fail goto*//*Label 16183*/ GIMT_Encode4(1099336), // Rule ID 60953 //
     /* 1099264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1099275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1099278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1099281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099303 */     // MIs[0] policy
     /* 1099303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099313 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1099316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099335 */     // GIR_Coverage, 60953,
     /* 1099335 */     GIR_EraseRootFromParent_Done,
     /* 1099336 */   // Label 16183: @1099336
     /* 1099336 */   GIM_Try, /*On fail goto*//*Label 16184*/ GIMT_Encode4(1099413), // Rule ID 60956 //
     /* 1099341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1099352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1099355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1099358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099380 */     // MIs[0] policy
     /* 1099380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099390 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1099393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099412 */     // GIR_Coverage, 60956,
     /* 1099412 */     GIR_EraseRootFromParent_Done,
     /* 1099413 */   // Label 16184: @1099413
     /* 1099413 */   GIM_Try, /*On fail goto*//*Label 16185*/ GIMT_Encode4(1099490), // Rule ID 60957 //
     /* 1099418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1099429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1099432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1099435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099457 */     // MIs[0] policy
     /* 1099457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099467 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1099470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099489 */     // GIR_Coverage, 60957,
     /* 1099489 */     GIR_EraseRootFromParent_Done,
     /* 1099490 */   // Label 16185: @1099490
     /* 1099490 */   GIM_Try, /*On fail goto*//*Label 16186*/ GIMT_Encode4(1099567), // Rule ID 60960 //
     /* 1099495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1099506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1099509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1099512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099534 */     // MIs[0] policy
     /* 1099534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099544 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1099547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099566 */     // GIR_Coverage, 60960,
     /* 1099566 */     GIR_EraseRootFromParent_Done,
     /* 1099567 */   // Label 16186: @1099567
     /* 1099567 */   GIM_Try, /*On fail goto*//*Label 16187*/ GIMT_Encode4(1099644), // Rule ID 60961 //
     /* 1099572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1099583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1099586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1099589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099611 */     // MIs[0] policy
     /* 1099611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099621 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1099624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099643 */     // GIR_Coverage, 60961,
     /* 1099643 */     GIR_EraseRootFromParent_Done,
     /* 1099644 */   // Label 16187: @1099644
     /* 1099644 */   GIM_Try, /*On fail goto*//*Label 16188*/ GIMT_Encode4(1099721), // Rule ID 60964 //
     /* 1099649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1099660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1099663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1099666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099688 */     // MIs[0] policy
     /* 1099688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099698 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1099701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099720 */     // GIR_Coverage, 60964,
     /* 1099720 */     GIR_EraseRootFromParent_Done,
     /* 1099721 */   // Label 16188: @1099721
     /* 1099721 */   GIM_Try, /*On fail goto*//*Label 16189*/ GIMT_Encode4(1099798), // Rule ID 60965 //
     /* 1099726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1099737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1099740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1099743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099765 */     // MIs[0] policy
     /* 1099765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099775 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1099778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099797 */     // GIR_Coverage, 60965,
     /* 1099797 */     GIR_EraseRootFromParent_Done,
     /* 1099798 */   // Label 16189: @1099798
     /* 1099798 */   GIM_Try, /*On fail goto*//*Label 16190*/ GIMT_Encode4(1099875), // Rule ID 60968 //
     /* 1099803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1099814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1099817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1099820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099842 */     // MIs[0] policy
     /* 1099842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1099855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099874 */     // GIR_Coverage, 60968,
     /* 1099874 */     GIR_EraseRootFromParent_Done,
     /* 1099875 */   // Label 16190: @1099875
     /* 1099875 */   GIM_Try, /*On fail goto*//*Label 16191*/ GIMT_Encode4(1099952), // Rule ID 60969 //
     /* 1099880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1099891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1099894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1099897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099919 */     // MIs[0] policy
     /* 1099919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099929 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1099932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099951 */     // GIR_Coverage, 60969,
     /* 1099951 */     GIR_EraseRootFromParent_Done,
     /* 1099952 */   // Label 16191: @1099952
     /* 1099952 */   GIM_Try, /*On fail goto*//*Label 16192*/ GIMT_Encode4(1100029), // Rule ID 60972 //
     /* 1099957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1099965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1099968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1099971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1099974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099996 */     // MIs[0] policy
     /* 1099996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100006 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1100009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100028 */     // GIR_Coverage, 60972,
     /* 1100028 */     GIR_EraseRootFromParent_Done,
     /* 1100029 */   // Label 16192: @1100029
     /* 1100029 */   GIM_Try, /*On fail goto*//*Label 16193*/ GIMT_Encode4(1100106), // Rule ID 60973 //
     /* 1100034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1100045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1100048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1100051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100073 */     // MIs[0] policy
     /* 1100073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1100086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100105 */     // GIR_Coverage, 60973,
     /* 1100105 */     GIR_EraseRootFromParent_Done,
     /* 1100106 */   // Label 16193: @1100106
     /* 1100106 */   GIM_Try, /*On fail goto*//*Label 16194*/ GIMT_Encode4(1100183), // Rule ID 61396 //
     /* 1100111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1100122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1100125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1100128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100150 */     // MIs[0] policy
     /* 1100150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100160 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1100163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100182 */     // GIR_Coverage, 61396,
     /* 1100182 */     GIR_EraseRootFromParent_Done,
     /* 1100183 */   // Label 16194: @1100183
     /* 1100183 */   GIM_Try, /*On fail goto*//*Label 16195*/ GIMT_Encode4(1100260), // Rule ID 61397 //
     /* 1100188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1100199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1100202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1100205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100227 */     // MIs[0] policy
     /* 1100227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100237 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1100240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100259 */     // GIR_Coverage, 61397,
     /* 1100259 */     GIR_EraseRootFromParent_Done,
     /* 1100260 */   // Label 16195: @1100260
     /* 1100260 */   GIM_Try, /*On fail goto*//*Label 16196*/ GIMT_Encode4(1100337), // Rule ID 61400 //
     /* 1100265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1100276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1100279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1100282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100304 */     // MIs[0] policy
     /* 1100304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100314 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1100317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100336 */     // GIR_Coverage, 61400,
     /* 1100336 */     GIR_EraseRootFromParent_Done,
     /* 1100337 */   // Label 16196: @1100337
     /* 1100337 */   GIM_Try, /*On fail goto*//*Label 16197*/ GIMT_Encode4(1100414), // Rule ID 61401 //
     /* 1100342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1100353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1100356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1100359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100381 */     // MIs[0] policy
     /* 1100381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100391 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1100394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100413 */     // GIR_Coverage, 61401,
     /* 1100413 */     GIR_EraseRootFromParent_Done,
     /* 1100414 */   // Label 16197: @1100414
     /* 1100414 */   GIM_Try, /*On fail goto*//*Label 16198*/ GIMT_Encode4(1100491), // Rule ID 61404 //
     /* 1100419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1100430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1100433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1100436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100458 */     // MIs[0] policy
     /* 1100458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100468 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1100471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100490 */     // GIR_Coverage, 61404,
     /* 1100490 */     GIR_EraseRootFromParent_Done,
     /* 1100491 */   // Label 16198: @1100491
     /* 1100491 */   GIM_Try, /*On fail goto*//*Label 16199*/ GIMT_Encode4(1100568), // Rule ID 61405 //
     /* 1100496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1100507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1100510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1100513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100535 */     // MIs[0] policy
     /* 1100535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100545 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1100548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100567 */     // GIR_Coverage, 61405,
     /* 1100567 */     GIR_EraseRootFromParent_Done,
     /* 1100568 */   // Label 16199: @1100568
     /* 1100568 */   GIM_Try, /*On fail goto*//*Label 16200*/ GIMT_Encode4(1100645), // Rule ID 61408 //
     /* 1100573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1100584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1100587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1100590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100612 */     // MIs[0] policy
     /* 1100612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1100625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100644 */     // GIR_Coverage, 61408,
     /* 1100644 */     GIR_EraseRootFromParent_Done,
     /* 1100645 */   // Label 16200: @1100645
     /* 1100645 */   GIM_Try, /*On fail goto*//*Label 16201*/ GIMT_Encode4(1100722), // Rule ID 61409 //
     /* 1100650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1100661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1100664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1100667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100689 */     // MIs[0] policy
     /* 1100689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100699 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1100702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100721 */     // GIR_Coverage, 61409,
     /* 1100721 */     GIR_EraseRootFromParent_Done,
     /* 1100722 */   // Label 16201: @1100722
     /* 1100722 */   GIM_Try, /*On fail goto*//*Label 16202*/ GIMT_Encode4(1100799), // Rule ID 61412 //
     /* 1100727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1100738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1100741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1100744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100766 */     // MIs[0] policy
     /* 1100766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1100779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100798 */     // GIR_Coverage, 61412,
     /* 1100798 */     GIR_EraseRootFromParent_Done,
     /* 1100799 */   // Label 16202: @1100799
     /* 1100799 */   GIM_Try, /*On fail goto*//*Label 16203*/ GIMT_Encode4(1100876), // Rule ID 61413 //
     /* 1100804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1100815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1100818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1100821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100843 */     // MIs[0] policy
     /* 1100843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100853 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1100856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100875 */     // GIR_Coverage, 61413,
     /* 1100875 */     GIR_EraseRootFromParent_Done,
     /* 1100876 */   // Label 16203: @1100876
     /* 1100876 */   GIM_Try, /*On fail goto*//*Label 16204*/ GIMT_Encode4(1100953), // Rule ID 61416 //
     /* 1100881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1100892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1100895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1100898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100920 */     // MIs[0] policy
     /* 1100920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100930 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1100933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100952 */     // GIR_Coverage, 61416,
     /* 1100952 */     GIR_EraseRootFromParent_Done,
     /* 1100953 */   // Label 16204: @1100953
     /* 1100953 */   GIM_Try, /*On fail goto*//*Label 16205*/ GIMT_Encode4(1101030), // Rule ID 61417 //
     /* 1100958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1100969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1100972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1100975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100997 */     // MIs[0] policy
     /* 1100997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101007 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1101010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101029 */     // GIR_Coverage, 61417,
     /* 1101029 */     GIR_EraseRootFromParent_Done,
     /* 1101030 */   // Label 16205: @1101030
     /* 1101030 */   GIM_Try, /*On fail goto*//*Label 16206*/ GIMT_Encode4(1101107), // Rule ID 61420 //
     /* 1101035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1101046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1101049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1101052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101074 */     // MIs[0] policy
     /* 1101074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101084 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1101087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101106 */     // GIR_Coverage, 61420,
     /* 1101106 */     GIR_EraseRootFromParent_Done,
     /* 1101107 */   // Label 16206: @1101107
     /* 1101107 */   GIM_Try, /*On fail goto*//*Label 16207*/ GIMT_Encode4(1101184), // Rule ID 61421 //
     /* 1101112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1101123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1101126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1101129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101151 */     // MIs[0] policy
     /* 1101151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101161 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1101164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101183 */     // GIR_Coverage, 61421,
     /* 1101183 */     GIR_EraseRootFromParent_Done,
     /* 1101184 */   // Label 16207: @1101184
     /* 1101184 */   GIM_Try, /*On fail goto*//*Label 16208*/ GIMT_Encode4(1101261), // Rule ID 61424 //
     /* 1101189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1101200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1101203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1101206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101228 */     // MIs[0] policy
     /* 1101228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101238 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1101241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101260 */     // GIR_Coverage, 61424,
     /* 1101260 */     GIR_EraseRootFromParent_Done,
     /* 1101261 */   // Label 16208: @1101261
     /* 1101261 */   GIM_Try, /*On fail goto*//*Label 16209*/ GIMT_Encode4(1101338), // Rule ID 61425 //
     /* 1101266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1101277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1101280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1101283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101305 */     // MIs[0] policy
     /* 1101305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1101318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101337 */     // GIR_Coverage, 61425,
     /* 1101337 */     GIR_EraseRootFromParent_Done,
     /* 1101338 */   // Label 16209: @1101338
     /* 1101338 */   GIM_Try, /*On fail goto*//*Label 16210*/ GIMT_Encode4(1101415), // Rule ID 61428 //
     /* 1101343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1101354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1101357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1101360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101382 */     // MIs[0] policy
     /* 1101382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1101395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101414 */     // GIR_Coverage, 61428,
     /* 1101414 */     GIR_EraseRootFromParent_Done,
     /* 1101415 */   // Label 16210: @1101415
     /* 1101415 */   GIM_Try, /*On fail goto*//*Label 16211*/ GIMT_Encode4(1101492), // Rule ID 61429 //
     /* 1101420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1101431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1101434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1101437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101459 */     // MIs[0] policy
     /* 1101459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101469 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1101472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101491 */     // GIR_Coverage, 61429,
     /* 1101491 */     GIR_EraseRootFromParent_Done,
     /* 1101492 */   // Label 16211: @1101492
     /* 1101492 */   GIM_Try, /*On fail goto*//*Label 16212*/ GIMT_Encode4(1101569), // Rule ID 61432 //
     /* 1101497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1101508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1101511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1101514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101536 */     // MIs[0] policy
     /* 1101536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1101549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1101565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101568 */     // GIR_Coverage, 61432,
     /* 1101568 */     GIR_EraseRootFromParent_Done,
     /* 1101569 */   // Label 16212: @1101569
     /* 1101569 */   GIM_Try, /*On fail goto*//*Label 16213*/ GIMT_Encode4(1101646), // Rule ID 61433 //
     /* 1101574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1101585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1101588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1101591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101613 */     // MIs[0] policy
     /* 1101613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101623 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1101626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101632 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1101642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101645 */     // GIR_Coverage, 61433,
     /* 1101645 */     GIR_EraseRootFromParent_Done,
     /* 1101646 */   // Label 16213: @1101646
     /* 1101646 */   GIM_Try, /*On fail goto*//*Label 16214*/ GIMT_Encode4(1101723), // Rule ID 61436 //
     /* 1101651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1101662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1101665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1101668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101690 */     // MIs[0] policy
     /* 1101690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101700 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101722 */     // GIR_Coverage, 61436,
     /* 1101722 */     GIR_EraseRootFromParent_Done,
     /* 1101723 */   // Label 16214: @1101723
     /* 1101723 */   GIM_Try, /*On fail goto*//*Label 16215*/ GIMT_Encode4(1101800), // Rule ID 61437 //
     /* 1101728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1101739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1101742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1101745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101767 */     // MIs[0] policy
     /* 1101767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101777 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101799 */     // GIR_Coverage, 61437,
     /* 1101799 */     GIR_EraseRootFromParent_Done,
     /* 1101800 */   // Label 16215: @1101800
     /* 1101800 */   GIM_Try, /*On fail goto*//*Label 16216*/ GIMT_Encode4(1101877), // Rule ID 61440 //
     /* 1101805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1101816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1101819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1101822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101844 */     // MIs[0] policy
     /* 1101844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101854 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101876 */     // GIR_Coverage, 61440,
     /* 1101876 */     GIR_EraseRootFromParent_Done,
     /* 1101877 */   // Label 16216: @1101877
     /* 1101877 */   GIM_Try, /*On fail goto*//*Label 16217*/ GIMT_Encode4(1101954), // Rule ID 61441 //
     /* 1101882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1101893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1101896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1101899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101921 */     // MIs[0] policy
     /* 1101921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101931 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101953 */     // GIR_Coverage, 61441,
     /* 1101953 */     GIR_EraseRootFromParent_Done,
     /* 1101954 */   // Label 16217: @1101954
     /* 1101954 */   GIM_Try, /*On fail goto*//*Label 16218*/ GIMT_Encode4(1102031), // Rule ID 61444 //
     /* 1101959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1101970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1101973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1101976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1101979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101998 */     // MIs[0] policy
     /* 1101998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102008 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102030 */     // GIR_Coverage, 61444,
     /* 1102030 */     GIR_EraseRootFromParent_Done,
     /* 1102031 */   // Label 16218: @1102031
     /* 1102031 */   GIM_Try, /*On fail goto*//*Label 16219*/ GIMT_Encode4(1102108), // Rule ID 61445 //
     /* 1102036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1102047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1102050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1102053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1102056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102075 */     // MIs[0] policy
     /* 1102075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102085 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102094 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102107 */     // GIR_Coverage, 61445,
     /* 1102107 */     GIR_EraseRootFromParent_Done,
     /* 1102108 */   // Label 16219: @1102108
     /* 1102108 */   GIM_Try, /*On fail goto*//*Label 16220*/ GIMT_Encode4(1102185), // Rule ID 61448 //
     /* 1102113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1102124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1102127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1102130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102152 */     // MIs[0] policy
     /* 1102152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1102165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102184 */     // GIR_Coverage, 61448,
     /* 1102184 */     GIR_EraseRootFromParent_Done,
     /* 1102185 */   // Label 16220: @1102185
     /* 1102185 */   GIM_Try, /*On fail goto*//*Label 16221*/ GIMT_Encode4(1102262), // Rule ID 61449 //
     /* 1102190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1102201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1102204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1102207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102229 */     // MIs[0] policy
     /* 1102229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102239 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1102242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102261 */     // GIR_Coverage, 61449,
     /* 1102261 */     GIR_EraseRootFromParent_Done,
     /* 1102262 */   // Label 16221: @1102262
     /* 1102262 */   GIM_Try, /*On fail goto*//*Label 16222*/ GIMT_Encode4(1102339), // Rule ID 61452 //
     /* 1102267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1102278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1102281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1102284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102306 */     // MIs[0] policy
     /* 1102306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102316 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102338 */     // GIR_Coverage, 61452,
     /* 1102338 */     GIR_EraseRootFromParent_Done,
     /* 1102339 */   // Label 16222: @1102339
     /* 1102339 */   GIM_Try, /*On fail goto*//*Label 16223*/ GIMT_Encode4(1102416), // Rule ID 61453 //
     /* 1102344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1102355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1102358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1102361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102383 */     // MIs[0] policy
     /* 1102383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102393 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102415 */     // GIR_Coverage, 61453,
     /* 1102415 */     GIR_EraseRootFromParent_Done,
     /* 1102416 */   // Label 16223: @1102416
     /* 1102416 */   GIM_Try, /*On fail goto*//*Label 16224*/ GIMT_Encode4(1102493), // Rule ID 61456 //
     /* 1102421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1102432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1102435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1102438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1102441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102460 */     // MIs[0] policy
     /* 1102460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102470 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102492 */     // GIR_Coverage, 61456,
     /* 1102492 */     GIR_EraseRootFromParent_Done,
     /* 1102493 */   // Label 16224: @1102493
     /* 1102493 */   GIM_Try, /*On fail goto*//*Label 16225*/ GIMT_Encode4(1102570), // Rule ID 61457 //
     /* 1102498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1102509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1102512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1102515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1102518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102537 */     // MIs[0] policy
     /* 1102537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102547 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102569 */     // GIR_Coverage, 61457,
     /* 1102569 */     GIR_EraseRootFromParent_Done,
     /* 1102570 */   // Label 16225: @1102570
     /* 1102570 */   GIM_Try, /*On fail goto*//*Label 16226*/ GIMT_Encode4(1102647), // Rule ID 61460 //
     /* 1102575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1102586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1102589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1102592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102614 */     // MIs[0] policy
     /* 1102614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1102627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102646 */     // GIR_Coverage, 61460,
     /* 1102646 */     GIR_EraseRootFromParent_Done,
     /* 1102647 */   // Label 16226: @1102647
     /* 1102647 */   GIM_Try, /*On fail goto*//*Label 16227*/ GIMT_Encode4(1102724), // Rule ID 61461 //
     /* 1102652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1102663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1102666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1102669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102691 */     // MIs[0] policy
     /* 1102691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102701 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1102704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102723 */     // GIR_Coverage, 61461,
     /* 1102723 */     GIR_EraseRootFromParent_Done,
     /* 1102724 */   // Label 16227: @1102724
     /* 1102724 */   GIM_Try, /*On fail goto*//*Label 16228*/ GIMT_Encode4(1102801), // Rule ID 61464 //
     /* 1102729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1102740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1102743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1102746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102768 */     // MIs[0] policy
     /* 1102768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102800 */     // GIR_Coverage, 61464,
     /* 1102800 */     GIR_EraseRootFromParent_Done,
     /* 1102801 */   // Label 16228: @1102801
     /* 1102801 */   GIM_Try, /*On fail goto*//*Label 16229*/ GIMT_Encode4(1102878), // Rule ID 61465 //
     /* 1102806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1102817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1102820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1102823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102845 */     // MIs[0] policy
     /* 1102845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102855 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102877 */     // GIR_Coverage, 61465,
     /* 1102877 */     GIR_EraseRootFromParent_Done,
     /* 1102878 */   // Label 16229: @1102878
     /* 1102878 */   GIM_Try, /*On fail goto*//*Label 16230*/ GIMT_Encode4(1102955), // Rule ID 61468 //
     /* 1102883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1102894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1102897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1102900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102922 */     // MIs[0] policy
     /* 1102922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102954 */     // GIR_Coverage, 61468,
     /* 1102954 */     GIR_EraseRootFromParent_Done,
     /* 1102955 */   // Label 16230: @1102955
     /* 1102955 */   GIM_Try, /*On fail goto*//*Label 16231*/ GIMT_Encode4(1103032), // Rule ID 61469 //
     /* 1102960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1102971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1102974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1102977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102999 */     // MIs[0] policy
     /* 1102999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103009 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1103012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103031 */     // GIR_Coverage, 61469,
     /* 1103031 */     GIR_EraseRootFromParent_Done,
     /* 1103032 */   // Label 16231: @1103032
     /* 1103032 */   GIM_Try, /*On fail goto*//*Label 16232*/ GIMT_Encode4(1103109), // Rule ID 61472 //
     /* 1103037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1103054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103076 */     // MIs[0] policy
     /* 1103076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1103089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103108 */     // GIR_Coverage, 61472,
     /* 1103108 */     GIR_EraseRootFromParent_Done,
     /* 1103109 */   // Label 16232: @1103109
     /* 1103109 */   GIM_Try, /*On fail goto*//*Label 16233*/ GIMT_Encode4(1103186), // Rule ID 61473 //
     /* 1103114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1103131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103153 */     // MIs[0] policy
     /* 1103153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1103166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103185 */     // GIR_Coverage, 61473,
     /* 1103185 */     GIR_EraseRootFromParent_Done,
     /* 1103186 */   // Label 16233: @1103186
     /* 1103186 */   GIM_Try, /*On fail goto*//*Label 16234*/ GIMT_Encode4(1103263), // Rule ID 61476 //
     /* 1103191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1103202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1103205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1103208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103230 */     // MIs[0] policy
     /* 1103230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103240 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1103243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103262 */     // GIR_Coverage, 61476,
     /* 1103262 */     GIR_EraseRootFromParent_Done,
     /* 1103263 */   // Label 16234: @1103263
     /* 1103263 */   GIM_Try, /*On fail goto*//*Label 16235*/ GIMT_Encode4(1103340), // Rule ID 61477 //
     /* 1103268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1103279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1103282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1103285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103307 */     // MIs[0] policy
     /* 1103307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1103320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103339 */     // GIR_Coverage, 61477,
     /* 1103339 */     GIR_EraseRootFromParent_Done,
     /* 1103340 */   // Label 16235: @1103340
     /* 1103340 */   GIM_Try, /*On fail goto*//*Label 16236*/ GIMT_Encode4(1103417), // Rule ID 61480 //
     /* 1103345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1103356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1103359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1103362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103384 */     // MIs[0] policy
     /* 1103384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103394 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1103397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103416 */     // GIR_Coverage, 61480,
     /* 1103416 */     GIR_EraseRootFromParent_Done,
     /* 1103417 */   // Label 16236: @1103417
     /* 1103417 */   GIM_Try, /*On fail goto*//*Label 16237*/ GIMT_Encode4(1103494), // Rule ID 61481 //
     /* 1103422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1103433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1103436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1103439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103461 */     // MIs[0] policy
     /* 1103461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103471 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1103474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103493 */     // GIR_Coverage, 61481,
     /* 1103493 */     GIR_EraseRootFromParent_Done,
     /* 1103494 */   // Label 16237: @1103494
     /* 1103494 */   GIM_Try, /*On fail goto*//*Label 16238*/ GIMT_Encode4(1103571), // Rule ID 61484 //
     /* 1103499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1103510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1103513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1103516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103538 */     // MIs[0] policy
     /* 1103538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103548 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1103551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103570 */     // GIR_Coverage, 61484,
     /* 1103570 */     GIR_EraseRootFromParent_Done,
     /* 1103571 */   // Label 16238: @1103571
     /* 1103571 */   GIM_Try, /*On fail goto*//*Label 16239*/ GIMT_Encode4(1103648), // Rule ID 61485 //
     /* 1103576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1103587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1103590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1103593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103615 */     // MIs[0] policy
     /* 1103615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103625 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1103628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103647 */     // GIR_Coverage, 61485,
     /* 1103647 */     GIR_EraseRootFromParent_Done,
     /* 1103648 */   // Label 16239: @1103648
     /* 1103648 */   GIM_Try, /*On fail goto*//*Label 16240*/ GIMT_Encode4(1103725), // Rule ID 61488 //
     /* 1103653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1103664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1103667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1103670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103692 */     // MIs[0] policy
     /* 1103692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1103705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103724 */     // GIR_Coverage, 61488,
     /* 1103724 */     GIR_EraseRootFromParent_Done,
     /* 1103725 */   // Label 16240: @1103725
     /* 1103725 */   GIM_Try, /*On fail goto*//*Label 16241*/ GIMT_Encode4(1103802), // Rule ID 61489 //
     /* 1103730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1103741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1103744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1103747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103769 */     // MIs[0] policy
     /* 1103769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103779 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1103782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103801 */     // GIR_Coverage, 61489,
     /* 1103801 */     GIR_EraseRootFromParent_Done,
     /* 1103802 */   // Label 16241: @1103802
     /* 1103802 */   GIM_Try, /*On fail goto*//*Label 16242*/ GIMT_Encode4(1103879), // Rule ID 61492 //
     /* 1103807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1103818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1103821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1103824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103846 */     // MIs[0] policy
     /* 1103846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103856 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103878 */     // GIR_Coverage, 61492,
     /* 1103878 */     GIR_EraseRootFromParent_Done,
     /* 1103879 */   // Label 16242: @1103879
     /* 1103879 */   GIM_Try, /*On fail goto*//*Label 16243*/ GIMT_Encode4(1103956), // Rule ID 61493 //
     /* 1103884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1103895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1103898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1103901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103923 */     // MIs[0] policy
     /* 1103923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103933 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103955 */     // GIR_Coverage, 61493,
     /* 1103955 */     GIR_EraseRootFromParent_Done,
     /* 1103956 */   // Label 16243: @1103956
     /* 1103956 */   GIM_Try, /*On fail goto*//*Label 16244*/ GIMT_Encode4(1104033), // Rule ID 61496 //
     /* 1103961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1103972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1103975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1103978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104000 */     // MIs[0] policy
     /* 1104000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104010 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1104013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104032 */     // GIR_Coverage, 61496,
     /* 1104032 */     GIR_EraseRootFromParent_Done,
     /* 1104033 */   // Label 16244: @1104033
     /* 1104033 */   GIM_Try, /*On fail goto*//*Label 16245*/ GIMT_Encode4(1104110), // Rule ID 61497 //
     /* 1104038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1104049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1104052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1104055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104077 */     // MIs[0] policy
     /* 1104077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104087 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1104090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104096 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104109 */     // GIR_Coverage, 61497,
     /* 1104109 */     GIR_EraseRootFromParent_Done,
     /* 1104110 */   // Label 16245: @1104110
     /* 1104110 */   GIM_Try, /*On fail goto*//*Label 16246*/ GIMT_Encode4(1104187), // Rule ID 61500 //
     /* 1104115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1104126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1104129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1104132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104154 */     // MIs[0] policy
     /* 1104154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104164 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1104167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104186 */     // GIR_Coverage, 61500,
     /* 1104186 */     GIR_EraseRootFromParent_Done,
     /* 1104187 */   // Label 16246: @1104187
     /* 1104187 */   GIM_Try, /*On fail goto*//*Label 16247*/ GIMT_Encode4(1104264), // Rule ID 61501 //
     /* 1104192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1104203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1104206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1104209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104231 */     // MIs[0] policy
     /* 1104231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104241 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1104244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104263 */     // GIR_Coverage, 61501,
     /* 1104263 */     GIR_EraseRootFromParent_Done,
     /* 1104264 */   // Label 16247: @1104264
     /* 1104264 */   GIM_Try, /*On fail goto*//*Label 16248*/ GIMT_Encode4(1104341), // Rule ID 61504 //
     /* 1104269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1104280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1104283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1104286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104308 */     // MIs[0] policy
     /* 1104308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1104321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104340 */     // GIR_Coverage, 61504,
     /* 1104340 */     GIR_EraseRootFromParent_Done,
     /* 1104341 */   // Label 16248: @1104341
     /* 1104341 */   GIM_Try, /*On fail goto*//*Label 16249*/ GIMT_Encode4(1104418), // Rule ID 61505 //
     /* 1104346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1104357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1104360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1104363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104385 */     // MIs[0] policy
     /* 1104385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104395 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1104398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104417 */     // GIR_Coverage, 61505,
     /* 1104417 */     GIR_EraseRootFromParent_Done,
     /* 1104418 */   // Label 16249: @1104418
     /* 1104418 */   GIM_Try, /*On fail goto*//*Label 16250*/ GIMT_Encode4(1104495), // Rule ID 61508 //
     /* 1104423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1104434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1104437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1104440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104462 */     // MIs[0] policy
     /* 1104462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104494 */     // GIR_Coverage, 61508,
     /* 1104494 */     GIR_EraseRootFromParent_Done,
     /* 1104495 */   // Label 16250: @1104495
     /* 1104495 */   GIM_Try, /*On fail goto*//*Label 16251*/ GIMT_Encode4(1104572), // Rule ID 61509 //
     /* 1104500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1104511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1104514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1104517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104539 */     // MIs[0] policy
     /* 1104539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104549 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104571 */     // GIR_Coverage, 61509,
     /* 1104571 */     GIR_EraseRootFromParent_Done,
     /* 1104572 */   // Label 16251: @1104572
     /* 1104572 */   GIM_Try, /*On fail goto*//*Label 16252*/ GIMT_Encode4(1104649), // Rule ID 61512 //
     /* 1104577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1104588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1104591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1104594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104616 */     // MIs[0] policy
     /* 1104616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104648 */     // GIR_Coverage, 61512,
     /* 1104648 */     GIR_EraseRootFromParent_Done,
     /* 1104649 */   // Label 16252: @1104649
     /* 1104649 */   GIM_Try, /*On fail goto*//*Label 16253*/ GIMT_Encode4(1104726), // Rule ID 61513 //
     /* 1104654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1104665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1104668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1104671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104693 */     // MIs[0] policy
     /* 1104693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104703 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104725 */     // GIR_Coverage, 61513,
     /* 1104725 */     GIR_EraseRootFromParent_Done,
     /* 1104726 */   // Label 16253: @1104726
     /* 1104726 */   GIM_Try, /*On fail goto*//*Label 16254*/ GIMT_Encode4(1104803), // Rule ID 61516 //
     /* 1104731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1104742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1104745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104770 */     // MIs[0] policy
     /* 1104770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104802 */     // GIR_Coverage, 61516,
     /* 1104802 */     GIR_EraseRootFromParent_Done,
     /* 1104803 */   // Label 16254: @1104803
     /* 1104803 */   GIM_Try, /*On fail goto*//*Label 16255*/ GIMT_Encode4(1104880), // Rule ID 61517 //
     /* 1104808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1104819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1104822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104847 */     // MIs[0] policy
     /* 1104847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104879 */     // GIR_Coverage, 61517,
     /* 1104879 */     GIR_EraseRootFromParent_Done,
     /* 1104880 */   // Label 16255: @1104880
     /* 1104880 */   GIM_Try, /*On fail goto*//*Label 16256*/ GIMT_Encode4(1104957), // Rule ID 61520 //
     /* 1104885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1104896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1104899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1104902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104924 */     // MIs[0] policy
     /* 1104924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1104937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104956 */     // GIR_Coverage, 61520,
     /* 1104956 */     GIR_EraseRootFromParent_Done,
     /* 1104957 */   // Label 16256: @1104957
     /* 1104957 */   GIM_Try, /*On fail goto*//*Label 16257*/ GIMT_Encode4(1105034), // Rule ID 61521 //
     /* 1104962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1104973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1104976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1104979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105001 */     // MIs[0] policy
     /* 1105001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105011 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1105014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105033 */     // GIR_Coverage, 61521,
     /* 1105033 */     GIR_EraseRootFromParent_Done,
     /* 1105034 */   // Label 16257: @1105034
     /* 1105034 */   GIM_Try, /*On fail goto*//*Label 16258*/ GIMT_Encode4(1105111), // Rule ID 61524 //
     /* 1105039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1105050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1105053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1105056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105078 */     // MIs[0] policy
     /* 1105078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105088 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105110 */     // GIR_Coverage, 61524,
     /* 1105110 */     GIR_EraseRootFromParent_Done,
     /* 1105111 */   // Label 16258: @1105111
     /* 1105111 */   GIM_Try, /*On fail goto*//*Label 16259*/ GIMT_Encode4(1105188), // Rule ID 61525 //
     /* 1105116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1105127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1105130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1105133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105155 */     // MIs[0] policy
     /* 1105155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105165 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105187 */     // GIR_Coverage, 61525,
     /* 1105187 */     GIR_EraseRootFromParent_Done,
     /* 1105188 */   // Label 16259: @1105188
     /* 1105188 */   GIM_Try, /*On fail goto*//*Label 16260*/ GIMT_Encode4(1105265), // Rule ID 61528 //
     /* 1105193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1105204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1105207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1105210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105232 */     // MIs[0] policy
     /* 1105232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105242 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105264 */     // GIR_Coverage, 61528,
     /* 1105264 */     GIR_EraseRootFromParent_Done,
     /* 1105265 */   // Label 16260: @1105265
     /* 1105265 */   GIM_Try, /*On fail goto*//*Label 16261*/ GIMT_Encode4(1105342), // Rule ID 61529 //
     /* 1105270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1105281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1105284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1105287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105309 */     // MIs[0] policy
     /* 1105309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105319 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105341 */     // GIR_Coverage, 61529,
     /* 1105341 */     GIR_EraseRootFromParent_Done,
     /* 1105342 */   // Label 16261: @1105342
     /* 1105342 */   GIM_Try, /*On fail goto*//*Label 16262*/ GIMT_Encode4(1105419), // Rule ID 61532 //
     /* 1105347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1105358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1105361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1105364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1105367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105386 */     // MIs[0] policy
     /* 1105386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105418 */     // GIR_Coverage, 61532,
     /* 1105418 */     GIR_EraseRootFromParent_Done,
     /* 1105419 */   // Label 16262: @1105419
     /* 1105419 */   GIM_Try, /*On fail goto*//*Label 16263*/ GIMT_Encode4(1105496), // Rule ID 61533 //
     /* 1105424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1105435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1105438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1105441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1105444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105463 */     // MIs[0] policy
     /* 1105463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105473 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105495 */     // GIR_Coverage, 61533,
     /* 1105495 */     GIR_EraseRootFromParent_Done,
     /* 1105496 */   // Label 16263: @1105496
     /* 1105496 */   GIM_Try, /*On fail goto*//*Label 16264*/ GIMT_Encode4(1105573), // Rule ID 61536 //
     /* 1105501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1105512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1105515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1105518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105540 */     // MIs[0] policy
     /* 1105540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105550 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105572 */     // GIR_Coverage, 61536,
     /* 1105572 */     GIR_EraseRootFromParent_Done,
     /* 1105573 */   // Label 16264: @1105573
     /* 1105573 */   GIM_Try, /*On fail goto*//*Label 16265*/ GIMT_Encode4(1105650), // Rule ID 61537 //
     /* 1105578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1105589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1105592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1105595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105617 */     // MIs[0] policy
     /* 1105617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105627 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105649 */     // GIR_Coverage, 61537,
     /* 1105649 */     GIR_EraseRootFromParent_Done,
     /* 1105650 */   // Label 16265: @1105650
     /* 1105650 */   GIM_Try, /*On fail goto*//*Label 16266*/ GIMT_Encode4(1105727), // Rule ID 61540 //
     /* 1105655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1105666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1105669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1105672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105694 */     // MIs[0] policy
     /* 1105694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105726 */     // GIR_Coverage, 61540,
     /* 1105726 */     GIR_EraseRootFromParent_Done,
     /* 1105727 */   // Label 16266: @1105727
     /* 1105727 */   GIM_Try, /*On fail goto*//*Label 16267*/ GIMT_Encode4(1105804), // Rule ID 61541 //
     /* 1105732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1105743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1105746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1105749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105771 */     // MIs[0] policy
     /* 1105771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105781 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105803 */     // GIR_Coverage, 61541,
     /* 1105803 */     GIR_EraseRootFromParent_Done,
     /* 1105804 */   // Label 16267: @1105804
     /* 1105804 */   GIM_Try, /*On fail goto*//*Label 16268*/ GIMT_Encode4(1105881), // Rule ID 61544 //
     /* 1105809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1105820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1105823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1105826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105848 */     // MIs[0] policy
     /* 1105848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105880 */     // GIR_Coverage, 61544,
     /* 1105880 */     GIR_EraseRootFromParent_Done,
     /* 1105881 */   // Label 16268: @1105881
     /* 1105881 */   GIM_Try, /*On fail goto*//*Label 16269*/ GIMT_Encode4(1105958), // Rule ID 61545 //
     /* 1105886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1105897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1105900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1105903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105925 */     // MIs[0] policy
     /* 1105925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105935 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105944 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105957 */     // GIR_Coverage, 61545,
     /* 1105957 */     GIR_EraseRootFromParent_Done,
     /* 1105958 */   // Label 16269: @1105958
     /* 1105958 */   GIM_Try, /*On fail goto*//*Label 16270*/ GIMT_Encode4(1106035), // Rule ID 61548 //
     /* 1105963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1105974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1105977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1105980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106002 */     // MIs[0] policy
     /* 1106002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1106015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106034 */     // GIR_Coverage, 61548,
     /* 1106034 */     GIR_EraseRootFromParent_Done,
     /* 1106035 */   // Label 16270: @1106035
     /* 1106035 */   GIM_Try, /*On fail goto*//*Label 16271*/ GIMT_Encode4(1106112), // Rule ID 61549 //
     /* 1106040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106079 */     // MIs[0] policy
     /* 1106079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106089 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1106092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106111 */     // GIR_Coverage, 61549,
     /* 1106111 */     GIR_EraseRootFromParent_Done,
     /* 1106112 */   // Label 16271: @1106112
     /* 1106112 */   GIM_Try, /*On fail goto*//*Label 16272*/ GIMT_Encode4(1106189), // Rule ID 61552 //
     /* 1106117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106156 */     // MIs[0] policy
     /* 1106156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1106169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106188 */     // GIR_Coverage, 61552,
     /* 1106188 */     GIR_EraseRootFromParent_Done,
     /* 1106189 */   // Label 16272: @1106189
     /* 1106189 */   GIM_Try, /*On fail goto*//*Label 16273*/ GIMT_Encode4(1106266), // Rule ID 61553 //
     /* 1106194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106233 */     // MIs[0] policy
     /* 1106233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1106246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106265 */     // GIR_Coverage, 61553,
     /* 1106265 */     GIR_EraseRootFromParent_Done,
     /* 1106266 */   // Label 16273: @1106266
     /* 1106266 */   GIM_Try, /*On fail goto*//*Label 16274*/ GIMT_Encode4(1106343), // Rule ID 61556 //
     /* 1106271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1106291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106310 */     // MIs[0] policy
     /* 1106310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106320 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1106323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106342 */     // GIR_Coverage, 61556,
     /* 1106342 */     GIR_EraseRootFromParent_Done,
     /* 1106343 */   // Label 16274: @1106343
     /* 1106343 */   GIM_Try, /*On fail goto*//*Label 16275*/ GIMT_Encode4(1106420), // Rule ID 61557 //
     /* 1106348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1106368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106387 */     // MIs[0] policy
     /* 1106387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106397 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1106400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106419 */     // GIR_Coverage, 61557,
     /* 1106419 */     GIR_EraseRootFromParent_Done,
     /* 1106420 */   // Label 16275: @1106420
     /* 1106420 */   GIM_Try, /*On fail goto*//*Label 16276*/ GIMT_Encode4(1106497), // Rule ID 61560 //
     /* 1106425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1106436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1106439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1106442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1106445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106464 */     // MIs[0] policy
     /* 1106464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1106477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106496 */     // GIR_Coverage, 61560,
     /* 1106496 */     GIR_EraseRootFromParent_Done,
     /* 1106497 */   // Label 16276: @1106497
     /* 1106497 */   GIM_Try, /*On fail goto*//*Label 16277*/ GIMT_Encode4(1106574), // Rule ID 61561 //
     /* 1106502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1106513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1106516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1106519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1106522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106541 */     // MIs[0] policy
     /* 1106541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106551 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1106554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106573 */     // GIR_Coverage, 61561,
     /* 1106573 */     GIR_EraseRootFromParent_Done,
     /* 1106574 */   // Label 16277: @1106574
     /* 1106574 */   GIM_Try, /*On fail goto*//*Label 16278*/ GIMT_Encode4(1106651), // Rule ID 61564 //
     /* 1106579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1106590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1106593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1106596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106618 */     // MIs[0] policy
     /* 1106618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1106631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106650 */     // GIR_Coverage, 61564,
     /* 1106650 */     GIR_EraseRootFromParent_Done,
     /* 1106651 */   // Label 16278: @1106651
     /* 1106651 */   GIM_Try, /*On fail goto*//*Label 16279*/ GIMT_Encode4(1106728), // Rule ID 61565 //
     /* 1106656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1106667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1106670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1106673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106695 */     // MIs[0] policy
     /* 1106695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106705 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1106708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106727 */     // GIR_Coverage, 61565,
     /* 1106727 */     GIR_EraseRootFromParent_Done,
     /* 1106728 */   // Label 16279: @1106728
     /* 1106728 */   GIM_Try, /*On fail goto*//*Label 16280*/ GIMT_Encode4(1106805), // Rule ID 61568 //
     /* 1106733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1106744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1106747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1106750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106772 */     // MIs[0] policy
     /* 1106772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1106785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106804 */     // GIR_Coverage, 61568,
     /* 1106804 */     GIR_EraseRootFromParent_Done,
     /* 1106805 */   // Label 16280: @1106805
     /* 1106805 */   GIM_Try, /*On fail goto*//*Label 16281*/ GIMT_Encode4(1106882), // Rule ID 61569 //
     /* 1106810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1106821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1106824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1106827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106849 */     // MIs[0] policy
     /* 1106849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106859 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1106862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106881 */     // GIR_Coverage, 61569,
     /* 1106881 */     GIR_EraseRootFromParent_Done,
     /* 1106882 */   // Label 16281: @1106882
     /* 1106882 */   GIM_Try, /*On fail goto*//*Label 16282*/ GIMT_Encode4(1106959), // Rule ID 62094 //
     /* 1106887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1106890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106926 */     // MIs[0] policy
     /* 1106926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1106939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106958 */     // GIR_Coverage, 62094,
     /* 1106958 */     GIR_EraseRootFromParent_Done,
     /* 1106959 */   // Label 16282: @1106959
     /* 1106959 */   GIM_Try, /*On fail goto*//*Label 16283*/ GIMT_Encode4(1107036), // Rule ID 62095 //
     /* 1106964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107003 */     // MIs[0] policy
     /* 1107003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107013 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1107016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107035 */     // GIR_Coverage, 62095,
     /* 1107035 */     GIR_EraseRootFromParent_Done,
     /* 1107036 */   // Label 16283: @1107036
     /* 1107036 */   GIM_Try, /*On fail goto*//*Label 16284*/ GIMT_Encode4(1107113), // Rule ID 62096 //
     /* 1107041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1107044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1107049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107080 */     // MIs[0] policy
     /* 1107080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1107093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107112 */     // GIR_Coverage, 62096,
     /* 1107112 */     GIR_EraseRootFromParent_Done,
     /* 1107113 */   // Label 16284: @1107113
     /* 1107113 */   GIM_Try, /*On fail goto*//*Label 16285*/ GIMT_Encode4(1107190), // Rule ID 62097 //
     /* 1107118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1107121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1107126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107157 */     // MIs[0] policy
     /* 1107157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107167 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1107170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107189 */     // GIR_Coverage, 62097,
     /* 1107189 */     GIR_EraseRootFromParent_Done,
     /* 1107190 */   // Label 16285: @1107190
     /* 1107190 */   GIM_Try, /*On fail goto*//*Label 16286*/ GIMT_Encode4(1107267), // Rule ID 62098 //
     /* 1107195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1107198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1107203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107234 */     // MIs[0] policy
     /* 1107234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107244 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1107247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107266 */     // GIR_Coverage, 62098,
     /* 1107266 */     GIR_EraseRootFromParent_Done,
     /* 1107267 */   // Label 16286: @1107267
     /* 1107267 */   GIM_Try, /*On fail goto*//*Label 16287*/ GIMT_Encode4(1107344), // Rule ID 62099 //
     /* 1107272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1107275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1107280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107311 */     // MIs[0] policy
     /* 1107311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1107324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107343 */     // GIR_Coverage, 62099,
     /* 1107343 */     GIR_EraseRootFromParent_Done,
     /* 1107344 */   // Label 16287: @1107344
     /* 1107344 */   GIM_Try, /*On fail goto*//*Label 16288*/ GIMT_Encode4(1107421), // Rule ID 62100 //
     /* 1107349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1107352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1107357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107388 */     // MIs[0] policy
     /* 1107388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1107401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107420 */     // GIR_Coverage, 62100,
     /* 1107420 */     GIR_EraseRootFromParent_Done,
     /* 1107421 */   // Label 16288: @1107421
     /* 1107421 */   GIM_Try, /*On fail goto*//*Label 16289*/ GIMT_Encode4(1107498), // Rule ID 62101 //
     /* 1107426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1107429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1107434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107465 */     // MIs[0] policy
     /* 1107465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107475 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1107478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107497 */     // GIR_Coverage, 62101,
     /* 1107497 */     GIR_EraseRootFromParent_Done,
     /* 1107498 */   // Label 16289: @1107498
     /* 1107498 */   GIM_Try, /*On fail goto*//*Label 16290*/ GIMT_Encode4(1107575), // Rule ID 62304 //
     /* 1107503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107542 */     // MIs[0] policy
     /* 1107542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107552 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1107555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107574 */     // GIR_Coverage, 62304,
     /* 1107574 */     GIR_EraseRootFromParent_Done,
     /* 1107575 */   // Label 16290: @1107575
     /* 1107575 */   GIM_Try, /*On fail goto*//*Label 16291*/ GIMT_Encode4(1107652), // Rule ID 62305 //
     /* 1107580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107619 */     // MIs[0] policy
     /* 1107619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107629 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1107632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107651 */     // GIR_Coverage, 62305,
     /* 1107651 */     GIR_EraseRootFromParent_Done,
     /* 1107652 */   // Label 16291: @1107652
     /* 1107652 */   GIM_Try, /*On fail goto*//*Label 16292*/ GIMT_Encode4(1107729), // Rule ID 62306 //
     /* 1107657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107696 */     // MIs[0] policy
     /* 1107696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107706 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107728 */     // GIR_Coverage, 62306,
     /* 1107728 */     GIR_EraseRootFromParent_Done,
     /* 1107729 */   // Label 16292: @1107729
     /* 1107729 */   GIM_Try, /*On fail goto*//*Label 16293*/ GIMT_Encode4(1107806), // Rule ID 62307 //
     /* 1107734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107773 */     // MIs[0] policy
     /* 1107773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107805 */     // GIR_Coverage, 62307,
     /* 1107805 */     GIR_EraseRootFromParent_Done,
     /* 1107806 */   // Label 16293: @1107806
     /* 1107806 */   GIM_Try, /*On fail goto*//*Label 16294*/ GIMT_Encode4(1107883), // Rule ID 62308 //
     /* 1107811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107850 */     // MIs[0] policy
     /* 1107850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107860 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1107863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107882 */     // GIR_Coverage, 62308,
     /* 1107882 */     GIR_EraseRootFromParent_Done,
     /* 1107883 */   // Label 16294: @1107883
     /* 1107883 */   GIM_Try, /*On fail goto*//*Label 16295*/ GIMT_Encode4(1107960), // Rule ID 62309 //
     /* 1107888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107927 */     // MIs[0] policy
     /* 1107927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107937 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1107940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107959 */     // GIR_Coverage, 62309,
     /* 1107959 */     GIR_EraseRootFromParent_Done,
     /* 1107960 */   // Label 16295: @1107960
     /* 1107960 */   GIM_Try, /*On fail goto*//*Label 16296*/ GIMT_Encode4(1108037), // Rule ID 62310 //
     /* 1107965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108004 */     // MIs[0] policy
     /* 1108004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1108017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108036 */     // GIR_Coverage, 62310,
     /* 1108036 */     GIR_EraseRootFromParent_Done,
     /* 1108037 */   // Label 16296: @1108037
     /* 1108037 */   GIM_Try, /*On fail goto*//*Label 16297*/ GIMT_Encode4(1108114), // Rule ID 62311 //
     /* 1108042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108081 */     // MIs[0] policy
     /* 1108081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108091 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1108094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108113 */     // GIR_Coverage, 62311,
     /* 1108113 */     GIR_EraseRootFromParent_Done,
     /* 1108114 */   // Label 16297: @1108114
     /* 1108114 */   GIM_Try, /*On fail goto*//*Label 16298*/ GIMT_Encode4(1108191), // Rule ID 62312 //
     /* 1108119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108158 */     // MIs[0] policy
     /* 1108158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108168 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1108171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108190 */     // GIR_Coverage, 62312,
     /* 1108190 */     GIR_EraseRootFromParent_Done,
     /* 1108191 */   // Label 16298: @1108191
     /* 1108191 */   GIM_Try, /*On fail goto*//*Label 16299*/ GIMT_Encode4(1108268), // Rule ID 62313 //
     /* 1108196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108235 */     // MIs[0] policy
     /* 1108235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108245 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1108248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108267 */     // GIR_Coverage, 62313,
     /* 1108267 */     GIR_EraseRootFromParent_Done,
     /* 1108268 */   // Label 16299: @1108268
     /* 1108268 */   GIM_Try, /*On fail goto*//*Label 16300*/ GIMT_Encode4(1108345), // Rule ID 62314 //
     /* 1108273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108312 */     // MIs[0] policy
     /* 1108312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1108325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108344 */     // GIR_Coverage, 62314,
     /* 1108344 */     GIR_EraseRootFromParent_Done,
     /* 1108345 */   // Label 16300: @1108345
     /* 1108345 */   GIM_Try, /*On fail goto*//*Label 16301*/ GIMT_Encode4(1108422), // Rule ID 62315 //
     /* 1108350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108389 */     // MIs[0] policy
     /* 1108389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1108402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108421 */     // GIR_Coverage, 62315,
     /* 1108421 */     GIR_EraseRootFromParent_Done,
     /* 1108422 */   // Label 16301: @1108422
     /* 1108422 */   GIM_Try, /*On fail goto*//*Label 16302*/ GIMT_Encode4(1108499), // Rule ID 62316 //
     /* 1108427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1108447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108466 */     // MIs[0] policy
     /* 1108466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1108479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108498 */     // GIR_Coverage, 62316,
     /* 1108498 */     GIR_EraseRootFromParent_Done,
     /* 1108499 */   // Label 16302: @1108499
     /* 1108499 */   GIM_Try, /*On fail goto*//*Label 16303*/ GIMT_Encode4(1108576), // Rule ID 62317 //
     /* 1108504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1108524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108543 */     // MIs[0] policy
     /* 1108543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1108556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108575 */     // GIR_Coverage, 62317,
     /* 1108575 */     GIR_EraseRootFromParent_Done,
     /* 1108576 */   // Label 16303: @1108576
     /* 1108576 */   GIM_Try, /*On fail goto*//*Label 16304*/ GIMT_Encode4(1108653), // Rule ID 62318 //
     /* 1108581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108620 */     // MIs[0] policy
     /* 1108620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1108633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108652 */     // GIR_Coverage, 62318,
     /* 1108652 */     GIR_EraseRootFromParent_Done,
     /* 1108653 */   // Label 16304: @1108653
     /* 1108653 */   GIM_Try, /*On fail goto*//*Label 16305*/ GIMT_Encode4(1108730), // Rule ID 62319 //
     /* 1108658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108697 */     // MIs[0] policy
     /* 1108697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108707 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1108710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108729 */     // GIR_Coverage, 62319,
     /* 1108729 */     GIR_EraseRootFromParent_Done,
     /* 1108730 */   // Label 16305: @1108730
     /* 1108730 */   GIM_Try, /*On fail goto*//*Label 16306*/ GIMT_Encode4(1108807), // Rule ID 62320 //
     /* 1108735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108774 */     // MIs[0] policy
     /* 1108774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1108787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108806 */     // GIR_Coverage, 62320,
     /* 1108806 */     GIR_EraseRootFromParent_Done,
     /* 1108807 */   // Label 16306: @1108807
     /* 1108807 */   GIM_Try, /*On fail goto*//*Label 16307*/ GIMT_Encode4(1108884), // Rule ID 62321 //
     /* 1108812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108851 */     // MIs[0] policy
     /* 1108851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108861 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1108864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108883 */     // GIR_Coverage, 62321,
     /* 1108883 */     GIR_EraseRootFromParent_Done,
     /* 1108884 */   // Label 16307: @1108884
     /* 1108884 */   GIM_Try, /*On fail goto*//*Label 16308*/ GIMT_Encode4(1108961), // Rule ID 62322 //
     /* 1108889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108928 */     // MIs[0] policy
     /* 1108928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108938 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1108941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108960 */     // GIR_Coverage, 62322,
     /* 1108960 */     GIR_EraseRootFromParent_Done,
     /* 1108961 */   // Label 16308: @1108961
     /* 1108961 */   GIM_Try, /*On fail goto*//*Label 16309*/ GIMT_Encode4(1109038), // Rule ID 62323 //
     /* 1108966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109005 */     // MIs[0] policy
     /* 1109005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109015 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1109018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109037 */     // GIR_Coverage, 62323,
     /* 1109037 */     GIR_EraseRootFromParent_Done,
     /* 1109038 */   // Label 16309: @1109038
     /* 1109038 */   GIM_Try, /*On fail goto*//*Label 16310*/ GIMT_Encode4(1109115), // Rule ID 62324 //
     /* 1109043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1109046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1109051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1109054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1109057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1109060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1109063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109082 */     // MIs[0] policy
     /* 1109082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1109095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109114 */     // GIR_Coverage, 62324,
     /* 1109114 */     GIR_EraseRootFromParent_Done,
     /* 1109115 */   // Label 16310: @1109115
     /* 1109115 */   GIM_Try, /*On fail goto*//*Label 16311*/ GIMT_Encode4(1109192), // Rule ID 62325 //
     /* 1109120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1109123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1109128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1109131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1109134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1109137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1109140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109159 */     // MIs[0] policy
     /* 1109159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109169 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1109172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109191 */     // GIR_Coverage, 62325,
     /* 1109191 */     GIR_EraseRootFromParent_Done,
     /* 1109192 */   // Label 16311: @1109192
     /* 1109192 */   GIM_Try, /*On fail goto*//*Label 16312*/ GIMT_Encode4(1109269), // Rule ID 62326 //
     /* 1109197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1109200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1109205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1109214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1109217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109236 */     // MIs[0] policy
     /* 1109236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1109249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109268 */     // GIR_Coverage, 62326,
     /* 1109268 */     GIR_EraseRootFromParent_Done,
     /* 1109269 */   // Label 16312: @1109269
     /* 1109269 */   GIM_Try, /*On fail goto*//*Label 16313*/ GIMT_Encode4(1109346), // Rule ID 62327 //
     /* 1109274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1109277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1109282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1109291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1109294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109313 */     // MIs[0] policy
     /* 1109313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1109326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109345 */     // GIR_Coverage, 62327,
     /* 1109345 */     GIR_EraseRootFromParent_Done,
     /* 1109346 */   // Label 16313: @1109346
     /* 1109346 */   GIM_Try, /*On fail goto*//*Label 16314*/ GIMT_Encode4(1109423), // Rule ID 62328 //
     /* 1109351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1109354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1109359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1109371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109390 */     // MIs[0] policy
     /* 1109390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109400 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1109403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109422 */     // GIR_Coverage, 62328,
     /* 1109422 */     GIR_EraseRootFromParent_Done,
     /* 1109423 */   // Label 16314: @1109423
     /* 1109423 */   GIM_Try, /*On fail goto*//*Label 16315*/ GIMT_Encode4(1109500), // Rule ID 62329 //
     /* 1109428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1109431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1109436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1109448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109467 */     // MIs[0] policy
     /* 1109467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1109480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109499 */     // GIR_Coverage, 62329,
     /* 1109499 */     GIR_EraseRootFromParent_Done,
     /* 1109500 */   // Label 16315: @1109500
     /* 1109500 */   GIM_Try, /*On fail goto*//*Label 16316*/ GIMT_Encode4(1109577), // Rule ID 62330 //
     /* 1109505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1109508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1109513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1109525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109544 */     // MIs[0] policy
     /* 1109544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1109557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109576 */     // GIR_Coverage, 62330,
     /* 1109576 */     GIR_EraseRootFromParent_Done,
     /* 1109577 */   // Label 16316: @1109577
     /* 1109577 */   GIM_Try, /*On fail goto*//*Label 16317*/ GIMT_Encode4(1109654), // Rule ID 62331 //
     /* 1109582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1109585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1109590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1109602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109621 */     // MIs[0] policy
     /* 1109621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1109634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109653 */     // GIR_Coverage, 62331,
     /* 1109653 */     GIR_EraseRootFromParent_Done,
     /* 1109654 */   // Label 16317: @1109654
     /* 1109654 */   GIM_Try, /*On fail goto*//*Label 16318*/ GIMT_Encode4(1109731), // Rule ID 62332 //
     /* 1109659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1109662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1109667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109698 */     // MIs[0] policy
     /* 1109698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1109711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109730 */     // GIR_Coverage, 62332,
     /* 1109730 */     GIR_EraseRootFromParent_Done,
     /* 1109731 */   // Label 16318: @1109731
     /* 1109731 */   GIM_Try, /*On fail goto*//*Label 16319*/ GIMT_Encode4(1109808), // Rule ID 62333 //
     /* 1109736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1109739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1109744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109775 */     // MIs[0] policy
     /* 1109775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109785 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1109788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109807 */     // GIR_Coverage, 62333,
     /* 1109807 */     GIR_EraseRootFromParent_Done,
     /* 1109808 */   // Label 16319: @1109808
     /* 1109808 */   GIM_Try, /*On fail goto*//*Label 16320*/ GIMT_Encode4(1109885), // Rule ID 62334 //
     /* 1109813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1109824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1109827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1109830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1109833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109852 */     // MIs[0] policy
     /* 1109852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109862 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1109865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109884 */     // GIR_Coverage, 62334,
     /* 1109884 */     GIR_EraseRootFromParent_Done,
     /* 1109885 */   // Label 16320: @1109885
     /* 1109885 */   GIM_Try, /*On fail goto*//*Label 16321*/ GIMT_Encode4(1109962), // Rule ID 62335 //
     /* 1109890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1109901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1109904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1109907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1109910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109929 */     // MIs[0] policy
     /* 1109929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109939 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1109942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109961 */     // GIR_Coverage, 62335,
     /* 1109961 */     GIR_EraseRootFromParent_Done,
     /* 1109962 */   // Label 16321: @1109962
     /* 1109962 */   GIM_Try, /*On fail goto*//*Label 16322*/ GIMT_Encode4(1110039), // Rule ID 62336 //
     /* 1109967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1109984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1109987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110006 */     // MIs[0] policy
     /* 1110006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110016 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110038 */     // GIR_Coverage, 62336,
     /* 1110038 */     GIR_EraseRootFromParent_Done,
     /* 1110039 */   // Label 16322: @1110039
     /* 1110039 */   GIM_Try, /*On fail goto*//*Label 16323*/ GIMT_Encode4(1110116), // Rule ID 62337 //
     /* 1110044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110083 */     // MIs[0] policy
     /* 1110083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110093 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110115 */     // GIR_Coverage, 62337,
     /* 1110115 */     GIR_EraseRootFromParent_Done,
     /* 1110116 */   // Label 16323: @1110116
     /* 1110116 */   GIM_Try, /*On fail goto*//*Label 16324*/ GIMT_Encode4(1110193), // Rule ID 62338 //
     /* 1110121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1110141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110160 */     // MIs[0] policy
     /* 1110160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110170 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110192 */     // GIR_Coverage, 62338,
     /* 1110192 */     GIR_EraseRootFromParent_Done,
     /* 1110193 */   // Label 16324: @1110193
     /* 1110193 */   GIM_Try, /*On fail goto*//*Label 16325*/ GIMT_Encode4(1110270), // Rule ID 62339 //
     /* 1110198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1110218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110237 */     // MIs[0] policy
     /* 1110237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110247 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110269 */     // GIR_Coverage, 62339,
     /* 1110269 */     GIR_EraseRootFromParent_Done,
     /* 1110270 */   // Label 16325: @1110270
     /* 1110270 */   GIM_Try, /*On fail goto*//*Label 16326*/ GIMT_Encode4(1110347), // Rule ID 62340 //
     /* 1110275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110314 */     // MIs[0] policy
     /* 1110314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1110327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110346 */     // GIR_Coverage, 62340,
     /* 1110346 */     GIR_EraseRootFromParent_Done,
     /* 1110347 */   // Label 16326: @1110347
     /* 1110347 */   GIM_Try, /*On fail goto*//*Label 16327*/ GIMT_Encode4(1110424), // Rule ID 62341 //
     /* 1110352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110391 */     // MIs[0] policy
     /* 1110391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110401 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1110404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110423 */     // GIR_Coverage, 62341,
     /* 1110423 */     GIR_EraseRootFromParent_Done,
     /* 1110424 */   // Label 16327: @1110424
     /* 1110424 */   GIM_Try, /*On fail goto*//*Label 16328*/ GIMT_Encode4(1110501), // Rule ID 62342 //
     /* 1110429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1110449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110468 */     // MIs[0] policy
     /* 1110468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1110481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110500 */     // GIR_Coverage, 62342,
     /* 1110500 */     GIR_EraseRootFromParent_Done,
     /* 1110501 */   // Label 16328: @1110501
     /* 1110501 */   GIM_Try, /*On fail goto*//*Label 16329*/ GIMT_Encode4(1110578), // Rule ID 62343 //
     /* 1110506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1110526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110545 */     // MIs[0] policy
     /* 1110545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110555 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1110558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110577 */     // GIR_Coverage, 62343,
     /* 1110577 */     GIR_EraseRootFromParent_Done,
     /* 1110578 */   // Label 16329: @1110578
     /* 1110578 */   GIM_Try, /*On fail goto*//*Label 16330*/ GIMT_Encode4(1110655), // Rule ID 62344 //
     /* 1110583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1110594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1110600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1110603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110622 */     // MIs[0] policy
     /* 1110622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110632 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110654 */     // GIR_Coverage, 62344,
     /* 1110654 */     GIR_EraseRootFromParent_Done,
     /* 1110655 */   // Label 16330: @1110655
     /* 1110655 */   GIM_Try, /*On fail goto*//*Label 16331*/ GIMT_Encode4(1110732), // Rule ID 62345 //
     /* 1110660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1110671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1110677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1110680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110699 */     // MIs[0] policy
     /* 1110699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110709 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110731 */     // GIR_Coverage, 62345,
     /* 1110731 */     GIR_EraseRootFromParent_Done,
     /* 1110732 */   // Label 16331: @1110732
     /* 1110732 */   GIM_Try, /*On fail goto*//*Label 16332*/ GIMT_Encode4(1110809), // Rule ID 62346 //
     /* 1110737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1110748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1110751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1110754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1110757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110776 */     // MIs[0] policy
     /* 1110776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110786 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1110789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110808 */     // GIR_Coverage, 62346,
     /* 1110808 */     GIR_EraseRootFromParent_Done,
     /* 1110809 */   // Label 16332: @1110809
     /* 1110809 */   GIM_Try, /*On fail goto*//*Label 16333*/ GIMT_Encode4(1110886), // Rule ID 62347 //
     /* 1110814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1110825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1110828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1110831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1110834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110853 */     // MIs[0] policy
     /* 1110853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110863 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1110866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110885 */     // GIR_Coverage, 62347,
     /* 1110885 */     GIR_EraseRootFromParent_Done,
     /* 1110886 */   // Label 16333: @1110886
     /* 1110886 */   GIM_Try, /*On fail goto*//*Label 16334*/ GIMT_Encode4(1110963), // Rule ID 62348 //
     /* 1110891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1110911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110930 */     // MIs[0] policy
     /* 1110930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110940 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1110943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110962 */     // GIR_Coverage, 62348,
     /* 1110962 */     GIR_EraseRootFromParent_Done,
     /* 1110963 */   // Label 16334: @1110963
     /* 1110963 */   GIM_Try, /*On fail goto*//*Label 16335*/ GIMT_Encode4(1111040), // Rule ID 62349 //
     /* 1110968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1110988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111007 */     // MIs[0] policy
     /* 1111007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111017 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111039 */     // GIR_Coverage, 62349,
     /* 1111039 */     GIR_EraseRootFromParent_Done,
     /* 1111040 */   // Label 16335: @1111040
     /* 1111040 */   GIM_Try, /*On fail goto*//*Label 16336*/ GIMT_Encode4(1111117), // Rule ID 62350 //
     /* 1111045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1111056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1111059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1111065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111084 */     // MIs[0] policy
     /* 1111084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111094 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111116 */     // GIR_Coverage, 62350,
     /* 1111116 */     GIR_EraseRootFromParent_Done,
     /* 1111117 */   // Label 16336: @1111117
     /* 1111117 */   GIM_Try, /*On fail goto*//*Label 16337*/ GIMT_Encode4(1111194), // Rule ID 62351 //
     /* 1111122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1111133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1111136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1111142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111161 */     // MIs[0] policy
     /* 1111161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111171 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111193 */     // GIR_Coverage, 62351,
     /* 1111193 */     GIR_EraseRootFromParent_Done,
     /* 1111194 */   // Label 16337: @1111194
     /* 1111194 */   GIM_Try, /*On fail goto*//*Label 16338*/ GIMT_Encode4(1111271), // Rule ID 62352 //
     /* 1111199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111238 */     // MIs[0] policy
     /* 1111238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111248 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1111251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111270 */     // GIR_Coverage, 62352,
     /* 1111270 */     GIR_EraseRootFromParent_Done,
     /* 1111271 */   // Label 16338: @1111271
     /* 1111271 */   GIM_Try, /*On fail goto*//*Label 16339*/ GIMT_Encode4(1111348), // Rule ID 62353 //
     /* 1111276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111315 */     // MIs[0] policy
     /* 1111315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111325 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1111328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111347 */     // GIR_Coverage, 62353,
     /* 1111347 */     GIR_EraseRootFromParent_Done,
     /* 1111348 */   // Label 16339: @1111348
     /* 1111348 */   GIM_Try, /*On fail goto*//*Label 16340*/ GIMT_Encode4(1111425), // Rule ID 62354 //
     /* 1111353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111392 */     // MIs[0] policy
     /* 1111392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1111405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111424 */     // GIR_Coverage, 62354,
     /* 1111424 */     GIR_EraseRootFromParent_Done,
     /* 1111425 */   // Label 16340: @1111425
     /* 1111425 */   GIM_Try, /*On fail goto*//*Label 16341*/ GIMT_Encode4(1111502), // Rule ID 62355 //
     /* 1111430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111469 */     // MIs[0] policy
     /* 1111469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111479 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1111482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111501 */     // GIR_Coverage, 62355,
     /* 1111501 */     GIR_EraseRootFromParent_Done,
     /* 1111502 */   // Label 16341: @1111502
     /* 1111502 */   GIM_Try, /*On fail goto*//*Label 16342*/ GIMT_Encode4(1111579), // Rule ID 62356 //
     /* 1111507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1111518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1111521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1111524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1111527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111546 */     // MIs[0] policy
     /* 1111546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111556 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1111559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111578 */     // GIR_Coverage, 62356,
     /* 1111578 */     GIR_EraseRootFromParent_Done,
     /* 1111579 */   // Label 16342: @1111579
     /* 1111579 */   GIM_Try, /*On fail goto*//*Label 16343*/ GIMT_Encode4(1111656), // Rule ID 62357 //
     /* 1111584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1111595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1111598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1111601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1111604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111623 */     // MIs[0] policy
     /* 1111623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1111636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111655 */     // GIR_Coverage, 62357,
     /* 1111655 */     GIR_EraseRootFromParent_Done,
     /* 1111656 */   // Label 16343: @1111656
     /* 1111656 */   GIM_Try, /*On fail goto*//*Label 16344*/ GIMT_Encode4(1111733), // Rule ID 62358 //
     /* 1111661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111700 */     // MIs[0] policy
     /* 1111700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111710 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111732 */     // GIR_Coverage, 62358,
     /* 1111732 */     GIR_EraseRootFromParent_Done,
     /* 1111733 */   // Label 16344: @1111733
     /* 1111733 */   GIM_Try, /*On fail goto*//*Label 16345*/ GIMT_Encode4(1111810), // Rule ID 62359 //
     /* 1111738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111777 */     // MIs[0] policy
     /* 1111777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111787 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111809 */     // GIR_Coverage, 62359,
     /* 1111809 */     GIR_EraseRootFromParent_Done,
     /* 1111810 */   // Label 16345: @1111810
     /* 1111810 */   GIM_Try, /*On fail goto*//*Label 16346*/ GIMT_Encode4(1111887), // Rule ID 62360 //
     /* 1111815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111854 */     // MIs[0] policy
     /* 1111854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111886 */     // GIR_Coverage, 62360,
     /* 1111886 */     GIR_EraseRootFromParent_Done,
     /* 1111887 */   // Label 16346: @1111887
     /* 1111887 */   GIM_Try, /*On fail goto*//*Label 16347*/ GIMT_Encode4(1111964), // Rule ID 62361 //
     /* 1111892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111931 */     // MIs[0] policy
     /* 1111931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111941 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111963 */     // GIR_Coverage, 62361,
     /* 1111963 */     GIR_EraseRootFromParent_Done,
     /* 1111964 */   // Label 16347: @1111964
     /* 1111964 */   GIM_Try, /*On fail goto*//*Label 16348*/ GIMT_Encode4(1112041), // Rule ID 62362 //
     /* 1111969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112008 */     // MIs[0] policy
     /* 1112008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1112021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112040 */     // GIR_Coverage, 62362,
     /* 1112040 */     GIR_EraseRootFromParent_Done,
     /* 1112041 */   // Label 16348: @1112041
     /* 1112041 */   GIM_Try, /*On fail goto*//*Label 16349*/ GIMT_Encode4(1112118), // Rule ID 62363 //
     /* 1112046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112085 */     // MIs[0] policy
     /* 1112085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112095 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1112098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112117 */     // GIR_Coverage, 62363,
     /* 1112117 */     GIR_EraseRootFromParent_Done,
     /* 1112118 */   // Label 16349: @1112118
     /* 1112118 */   GIM_Try, /*On fail goto*//*Label 16350*/ GIMT_Encode4(1112195), // Rule ID 62364 //
     /* 1112123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1112134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1112137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1112140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1112143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112162 */     // MIs[0] policy
     /* 1112162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1112175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112194 */     // GIR_Coverage, 62364,
     /* 1112194 */     GIR_EraseRootFromParent_Done,
     /* 1112195 */   // Label 16350: @1112195
     /* 1112195 */   GIM_Try, /*On fail goto*//*Label 16351*/ GIMT_Encode4(1112272), // Rule ID 62365 //
     /* 1112200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1112211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1112214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1112217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1112220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112239 */     // MIs[0] policy
     /* 1112239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112249 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1112252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112271 */     // GIR_Coverage, 62365,
     /* 1112271 */     GIR_EraseRootFromParent_Done,
     /* 1112272 */   // Label 16351: @1112272
     /* 1112272 */   GIM_Try, /*On fail goto*//*Label 16352*/ GIMT_Encode4(1112349), // Rule ID 62366 //
     /* 1112277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1112288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1112291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1112294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1112297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112316 */     // MIs[0] policy
     /* 1112316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112326 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1112329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112348 */     // GIR_Coverage, 62366,
     /* 1112348 */     GIR_EraseRootFromParent_Done,
     /* 1112349 */   // Label 16352: @1112349
     /* 1112349 */   GIM_Try, /*On fail goto*//*Label 16353*/ GIMT_Encode4(1112426), // Rule ID 62367 //
     /* 1112354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1112365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1112368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1112371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1112374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112393 */     // MIs[0] policy
     /* 1112393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112403 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1112406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112425 */     // GIR_Coverage, 62367,
     /* 1112425 */     GIR_EraseRootFromParent_Done,
     /* 1112426 */   // Label 16353: @1112426
     /* 1112426 */   GIM_Try, /*On fail goto*//*Label 16354*/ GIMT_Encode4(1112503), // Rule ID 62368 //
     /* 1112431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1112442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1112445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1112448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1112451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112470 */     // MIs[0] policy
     /* 1112470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112480 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1112483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112502 */     // GIR_Coverage, 62368,
     /* 1112502 */     GIR_EraseRootFromParent_Done,
     /* 1112503 */   // Label 16354: @1112503
     /* 1112503 */   GIM_Try, /*On fail goto*//*Label 16355*/ GIMT_Encode4(1112580), // Rule ID 62369 //
     /* 1112508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1112519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1112522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1112525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1112528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112547 */     // MIs[0] policy
     /* 1112547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112557 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1112560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112579 */     // GIR_Coverage, 62369,
     /* 1112579 */     GIR_EraseRootFromParent_Done,
     /* 1112580 */   // Label 16355: @1112580
     /* 1112580 */   GIM_Try, /*On fail goto*//*Label 16356*/ GIMT_Encode4(1112657), // Rule ID 62370 //
     /* 1112585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1112605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112624 */     // MIs[0] policy
     /* 1112624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112634 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1112637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112656 */     // GIR_Coverage, 62370,
     /* 1112656 */     GIR_EraseRootFromParent_Done,
     /* 1112657 */   // Label 16356: @1112657
     /* 1112657 */   GIM_Try, /*On fail goto*//*Label 16357*/ GIMT_Encode4(1112734), // Rule ID 62371 //
     /* 1112662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1112682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112701 */     // MIs[0] policy
     /* 1112701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112711 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1112714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112733 */     // GIR_Coverage, 62371,
     /* 1112733 */     GIR_EraseRootFromParent_Done,
     /* 1112734 */   // Label 16357: @1112734
     /* 1112734 */   GIM_Try, /*On fail goto*//*Label 16358*/ GIMT_Encode4(1112811), // Rule ID 62372 //
     /* 1112739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112778 */     // MIs[0] policy
     /* 1112778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112788 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1112791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112810 */     // GIR_Coverage, 62372,
     /* 1112810 */     GIR_EraseRootFromParent_Done,
     /* 1112811 */   // Label 16358: @1112811
     /* 1112811 */   GIM_Try, /*On fail goto*//*Label 16359*/ GIMT_Encode4(1112888), // Rule ID 62373 //
     /* 1112816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112855 */     // MIs[0] policy
     /* 1112855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112865 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1112868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112887 */     // GIR_Coverage, 62373,
     /* 1112887 */     GIR_EraseRootFromParent_Done,
     /* 1112888 */   // Label 16359: @1112888
     /* 1112888 */   GIM_Try, /*On fail goto*//*Label 16360*/ GIMT_Encode4(1112965), // Rule ID 62374 //
     /* 1112893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1112904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1112907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1112910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1112913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112932 */     // MIs[0] policy
     /* 1112932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1112945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112964 */     // GIR_Coverage, 62374,
     /* 1112964 */     GIR_EraseRootFromParent_Done,
     /* 1112965 */   // Label 16360: @1112965
     /* 1112965 */   GIM_Try, /*On fail goto*//*Label 16361*/ GIMT_Encode4(1113042), // Rule ID 62375 //
     /* 1112970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1112981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1112984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1112987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1112990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113009 */     // MIs[0] policy
     /* 1113009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113019 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1113022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113041 */     // GIR_Coverage, 62375,
     /* 1113041 */     GIR_EraseRootFromParent_Done,
     /* 1113042 */   // Label 16361: @1113042
     /* 1113042 */   GIM_Try, /*On fail goto*//*Label 16362*/ GIMT_Encode4(1113119), // Rule ID 62376 //
     /* 1113047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1113064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1113067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113086 */     // MIs[0] policy
     /* 1113086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1113099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113118 */     // GIR_Coverage, 62376,
     /* 1113118 */     GIR_EraseRootFromParent_Done,
     /* 1113119 */   // Label 16362: @1113119
     /* 1113119 */   GIM_Try, /*On fail goto*//*Label 16363*/ GIMT_Encode4(1113196), // Rule ID 62377 //
     /* 1113124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1113141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1113144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113163 */     // MIs[0] policy
     /* 1113163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113173 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1113176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113195 */     // GIR_Coverage, 62377,
     /* 1113195 */     GIR_EraseRootFromParent_Done,
     /* 1113196 */   // Label 16363: @1113196
     /* 1113196 */   GIM_Try, /*On fail goto*//*Label 16364*/ GIMT_Encode4(1113273), // Rule ID 62378 //
     /* 1113201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1113218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1113221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113240 */     // MIs[0] policy
     /* 1113240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113250 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1113253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113272 */     // GIR_Coverage, 62378,
     /* 1113272 */     GIR_EraseRootFromParent_Done,
     /* 1113273 */   // Label 16364: @1113273
     /* 1113273 */   GIM_Try, /*On fail goto*//*Label 16365*/ GIMT_Encode4(1113350), // Rule ID 62379 //
     /* 1113278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1113295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1113298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113317 */     // MIs[0] policy
     /* 1113317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113327 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1113330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113349 */     // GIR_Coverage, 62379,
     /* 1113349 */     GIR_EraseRootFromParent_Done,
     /* 1113350 */   // Label 16365: @1113350
     /* 1113350 */   GIM_Try, /*On fail goto*//*Label 16366*/ GIMT_Encode4(1113427), // Rule ID 62380 //
     /* 1113355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1113375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113394 */     // MIs[0] policy
     /* 1113394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113404 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1113407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113426 */     // GIR_Coverage, 62380,
     /* 1113426 */     GIR_EraseRootFromParent_Done,
     /* 1113427 */   // Label 16366: @1113427
     /* 1113427 */   GIM_Try, /*On fail goto*//*Label 16367*/ GIMT_Encode4(1113504), // Rule ID 62381 //
     /* 1113432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1113452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113471 */     // MIs[0] policy
     /* 1113471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113481 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1113484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113503 */     // GIR_Coverage, 62381,
     /* 1113503 */     GIR_EraseRootFromParent_Done,
     /* 1113504 */   // Label 16367: @1113504
     /* 1113504 */   GIM_Try, /*On fail goto*//*Label 16368*/ GIMT_Encode4(1113581), // Rule ID 62382 //
     /* 1113509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1113520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1113523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1113526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1113529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113548 */     // MIs[0] policy
     /* 1113548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113558 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1113561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113580 */     // GIR_Coverage, 62382,
     /* 1113580 */     GIR_EraseRootFromParent_Done,
     /* 1113581 */   // Label 16368: @1113581
     /* 1113581 */   GIM_Try, /*On fail goto*//*Label 16369*/ GIMT_Encode4(1113658), // Rule ID 62383 //
     /* 1113586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1113597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1113600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1113603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1113606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113625 */     // MIs[0] policy
     /* 1113625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113635 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1113638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113657 */     // GIR_Coverage, 62383,
     /* 1113657 */     GIR_EraseRootFromParent_Done,
     /* 1113658 */   // Label 16369: @1113658
     /* 1113658 */   GIM_Try, /*On fail goto*//*Label 16370*/ GIMT_Encode4(1113735), // Rule ID 62384 //
     /* 1113663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1113674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1113677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1113680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1113683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113702 */     // MIs[0] policy
     /* 1113702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113712 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1113715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113734 */     // GIR_Coverage, 62384,
     /* 1113734 */     GIR_EraseRootFromParent_Done,
     /* 1113735 */   // Label 16370: @1113735
     /* 1113735 */   GIM_Try, /*On fail goto*//*Label 16371*/ GIMT_Encode4(1113812), // Rule ID 62385 //
     /* 1113740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1113751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1113754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1113757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1113760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113779 */     // MIs[0] policy
     /* 1113779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113789 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1113792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113811 */     // GIR_Coverage, 62385,
     /* 1113811 */     GIR_EraseRootFromParent_Done,
     /* 1113812 */   // Label 16371: @1113812
     /* 1113812 */   GIM_Try, /*On fail goto*//*Label 16372*/ GIMT_Encode4(1113889), // Rule ID 62386 //
     /* 1113817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1113828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1113831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1113834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1113837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113856 */     // MIs[0] policy
     /* 1113856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113866 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1113869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113888 */     // GIR_Coverage, 62386,
     /* 1113888 */     GIR_EraseRootFromParent_Done,
     /* 1113889 */   // Label 16372: @1113889
     /* 1113889 */   GIM_Try, /*On fail goto*//*Label 16373*/ GIMT_Encode4(1113966), // Rule ID 62387 //
     /* 1113894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1113905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1113908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1113911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1113914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113933 */     // MIs[0] policy
     /* 1113933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113943 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1113946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113965 */     // GIR_Coverage, 62387,
     /* 1113965 */     GIR_EraseRootFromParent_Done,
     /* 1113966 */   // Label 16373: @1113966
     /* 1113966 */   GIM_Try, /*On fail goto*//*Label 16374*/ GIMT_Encode4(1114043), // Rule ID 62608 //
     /* 1113971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1113988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1113991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114010 */     // MIs[0] policy
     /* 1114010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114020 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_MF2),
     /* 1114023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114042 */     // GIR_Coverage, 62608,
     /* 1114042 */     GIR_EraseRootFromParent_Done,
     /* 1114043 */   // Label 16374: @1114043
     /* 1114043 */   GIM_Try, /*On fail goto*//*Label 16375*/ GIMT_Encode4(1114120), // Rule ID 62609 //
     /* 1114048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1114065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114087 */     // MIs[0] policy
     /* 1114087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114097 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_MF2),
     /* 1114100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114119 */     // GIR_Coverage, 62609,
     /* 1114119 */     GIR_EraseRootFromParent_Done,
     /* 1114120 */   // Label 16375: @1114120
     /* 1114120 */   GIM_Try, /*On fail goto*//*Label 16376*/ GIMT_Encode4(1114197), // Rule ID 62612 //
     /* 1114125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114164 */     // MIs[0] policy
     /* 1114164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114174 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M1),
     /* 1114177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114196 */     // GIR_Coverage, 62612,
     /* 1114196 */     GIR_EraseRootFromParent_Done,
     /* 1114197 */   // Label 16376: @1114197
     /* 1114197 */   GIM_Try, /*On fail goto*//*Label 16377*/ GIMT_Encode4(1114274), // Rule ID 62613 //
     /* 1114202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114241 */     // MIs[0] policy
     /* 1114241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M1),
     /* 1114254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114273 */     // GIR_Coverage, 62613,
     /* 1114273 */     GIR_EraseRootFromParent_Done,
     /* 1114274 */   // Label 16377: @1114274
     /* 1114274 */   GIM_Try, /*On fail goto*//*Label 16378*/ GIMT_Encode4(1114351), // Rule ID 62616 //
     /* 1114279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1114296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114318 */     // MIs[0] policy
     /* 1114318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M2),
     /* 1114331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114350 */     // GIR_Coverage, 62616,
     /* 1114350 */     GIR_EraseRootFromParent_Done,
     /* 1114351 */   // Label 16378: @1114351
     /* 1114351 */   GIM_Try, /*On fail goto*//*Label 16379*/ GIMT_Encode4(1114428), // Rule ID 62617 //
     /* 1114356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1114373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114395 */     // MIs[0] policy
     /* 1114395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114405 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M2),
     /* 1114408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114427 */     // GIR_Coverage, 62617,
     /* 1114427 */     GIR_EraseRootFromParent_Done,
     /* 1114428 */   // Label 16379: @1114428
     /* 1114428 */   GIM_Try, /*On fail goto*//*Label 16380*/ GIMT_Encode4(1114505), // Rule ID 62620 //
     /* 1114433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1114450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114472 */     // MIs[0] policy
     /* 1114472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114482 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M4),
     /* 1114485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114504 */     // GIR_Coverage, 62620,
     /* 1114504 */     GIR_EraseRootFromParent_Done,
     /* 1114505 */   // Label 16380: @1114505
     /* 1114505 */   GIM_Try, /*On fail goto*//*Label 16381*/ GIMT_Encode4(1114582), // Rule ID 62621 //
     /* 1114510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1114527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114549 */     // MIs[0] policy
     /* 1114549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114559 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M4),
     /* 1114562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114581 */     // GIR_Coverage, 62621,
     /* 1114581 */     GIR_EraseRootFromParent_Done,
     /* 1114582 */   // Label 16381: @1114582
     /* 1114582 */   GIM_Try, /*On fail goto*//*Label 16382*/ GIMT_Encode4(1114659), // Rule ID 62624 //
     /* 1114587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1114604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114626 */     // MIs[0] policy
     /* 1114626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114636 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M8),
     /* 1114639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114658 */     // GIR_Coverage, 62624,
     /* 1114658 */     GIR_EraseRootFromParent_Done,
     /* 1114659 */   // Label 16382: @1114659
     /* 1114659 */   GIM_Try, /*On fail goto*//*Label 16383*/ GIMT_Encode4(1114736), // Rule ID 62625 //
     /* 1114664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1114681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114703 */     // MIs[0] policy
     /* 1114703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114713 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M8),
     /* 1114716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114735 */     // GIR_Coverage, 62625,
     /* 1114735 */     GIR_EraseRootFromParent_Done,
     /* 1114736 */   // Label 16383: @1114736
     /* 1114736 */   GIM_Try, /*On fail goto*//*Label 16384*/ GIMT_Encode4(1114813), // Rule ID 62628 //
     /* 1114741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114780 */     // MIs[0] policy
     /* 1114780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114790 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_MF2),
     /* 1114793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114812 */     // GIR_Coverage, 62628,
     /* 1114812 */     GIR_EraseRootFromParent_Done,
     /* 1114813 */   // Label 16384: @1114813
     /* 1114813 */   GIM_Try, /*On fail goto*//*Label 16385*/ GIMT_Encode4(1114890), // Rule ID 62629 //
     /* 1114818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114857 */     // MIs[0] policy
     /* 1114857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114867 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_MF2),
     /* 1114870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114889 */     // GIR_Coverage, 62629,
     /* 1114889 */     GIR_EraseRootFromParent_Done,
     /* 1114890 */   // Label 16385: @1114890
     /* 1114890 */   GIM_Try, /*On fail goto*//*Label 16386*/ GIMT_Encode4(1114967), // Rule ID 62632 //
     /* 1114895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114934 */     // MIs[0] policy
     /* 1114934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M1),
     /* 1114947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114966 */     // GIR_Coverage, 62632,
     /* 1114966 */     GIR_EraseRootFromParent_Done,
     /* 1114967 */   // Label 16386: @1114967
     /* 1114967 */   GIM_Try, /*On fail goto*//*Label 16387*/ GIMT_Encode4(1115044), // Rule ID 62633 //
     /* 1114972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115011 */     // MIs[0] policy
     /* 1115011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115021 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M1),
     /* 1115024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115043 */     // GIR_Coverage, 62633,
     /* 1115043 */     GIR_EraseRootFromParent_Done,
     /* 1115044 */   // Label 16387: @1115044
     /* 1115044 */   GIM_Try, /*On fail goto*//*Label 16388*/ GIMT_Encode4(1115121), // Rule ID 62636 //
     /* 1115049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1115057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115088 */     // MIs[0] policy
     /* 1115088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115098 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M2),
     /* 1115101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115120 */     // GIR_Coverage, 62636,
     /* 1115120 */     GIR_EraseRootFromParent_Done,
     /* 1115121 */   // Label 16388: @1115121
     /* 1115121 */   GIM_Try, /*On fail goto*//*Label 16389*/ GIMT_Encode4(1115198), // Rule ID 62637 //
     /* 1115126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1115134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115165 */     // MIs[0] policy
     /* 1115165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115175 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M2),
     /* 1115178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115197 */     // GIR_Coverage, 62637,
     /* 1115197 */     GIR_EraseRootFromParent_Done,
     /* 1115198 */   // Label 16389: @1115198
     /* 1115198 */   GIM_Try, /*On fail goto*//*Label 16390*/ GIMT_Encode4(1115275), // Rule ID 62640 //
     /* 1115203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1115211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115242 */     // MIs[0] policy
     /* 1115242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115252 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M4),
     /* 1115255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115274 */     // GIR_Coverage, 62640,
     /* 1115274 */     GIR_EraseRootFromParent_Done,
     /* 1115275 */   // Label 16390: @1115275
     /* 1115275 */   GIM_Try, /*On fail goto*//*Label 16391*/ GIMT_Encode4(1115352), // Rule ID 62641 //
     /* 1115280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1115288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115319 */     // MIs[0] policy
     /* 1115319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115329 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M4),
     /* 1115332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115351 */     // GIR_Coverage, 62641,
     /* 1115351 */     GIR_EraseRootFromParent_Done,
     /* 1115352 */   // Label 16391: @1115352
     /* 1115352 */   GIM_Try, /*On fail goto*//*Label 16392*/ GIMT_Encode4(1115429), // Rule ID 62644 //
     /* 1115357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1115365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115396 */     // MIs[0] policy
     /* 1115396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115406 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M8),
     /* 1115409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115428 */     // GIR_Coverage, 62644,
     /* 1115428 */     GIR_EraseRootFromParent_Done,
     /* 1115429 */   // Label 16392: @1115429
     /* 1115429 */   GIM_Try, /*On fail goto*//*Label 16393*/ GIMT_Encode4(1115506), // Rule ID 62645 //
     /* 1115434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1115442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115473 */     // MIs[0] policy
     /* 1115473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115483 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M8),
     /* 1115486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115505 */     // GIR_Coverage, 62645,
     /* 1115505 */     GIR_EraseRootFromParent_Done,
     /* 1115506 */   // Label 16393: @1115506
     /* 1115506 */   GIM_Try, /*On fail goto*//*Label 16394*/ GIMT_Encode4(1115583), // Rule ID 62648 //
     /* 1115511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1115528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115550 */     // MIs[0] policy
     /* 1115550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115560 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_MF2),
     /* 1115563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115582 */     // GIR_Coverage, 62648,
     /* 1115582 */     GIR_EraseRootFromParent_Done,
     /* 1115583 */   // Label 16394: @1115583
     /* 1115583 */   GIM_Try, /*On fail goto*//*Label 16395*/ GIMT_Encode4(1115660), // Rule ID 62649 //
     /* 1115588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1115605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115627 */     // MIs[0] policy
     /* 1115627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115637 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_MF2),
     /* 1115640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115659 */     // GIR_Coverage, 62649,
     /* 1115659 */     GIR_EraseRootFromParent_Done,
     /* 1115660 */   // Label 16395: @1115660
     /* 1115660 */   GIM_Try, /*On fail goto*//*Label 16396*/ GIMT_Encode4(1115737), // Rule ID 62652 //
     /* 1115665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115704 */     // MIs[0] policy
     /* 1115704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M1),
     /* 1115717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115736 */     // GIR_Coverage, 62652,
     /* 1115736 */     GIR_EraseRootFromParent_Done,
     /* 1115737 */   // Label 16396: @1115737
     /* 1115737 */   GIM_Try, /*On fail goto*//*Label 16397*/ GIMT_Encode4(1115814), // Rule ID 62653 //
     /* 1115742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115781 */     // MIs[0] policy
     /* 1115781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115791 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M1),
     /* 1115794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115813 */     // GIR_Coverage, 62653,
     /* 1115813 */     GIR_EraseRootFromParent_Done,
     /* 1115814 */   // Label 16397: @1115814
     /* 1115814 */   GIM_Try, /*On fail goto*//*Label 16398*/ GIMT_Encode4(1115891), // Rule ID 62656 //
     /* 1115819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1115836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115858 */     // MIs[0] policy
     /* 1115858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115868 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M2),
     /* 1115871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115890 */     // GIR_Coverage, 62656,
     /* 1115890 */     GIR_EraseRootFromParent_Done,
     /* 1115891 */   // Label 16398: @1115891
     /* 1115891 */   GIM_Try, /*On fail goto*//*Label 16399*/ GIMT_Encode4(1115968), // Rule ID 62657 //
     /* 1115896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1115913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115935 */     // MIs[0] policy
     /* 1115935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115945 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M2),
     /* 1115948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115967 */     // GIR_Coverage, 62657,
     /* 1115967 */     GIR_EraseRootFromParent_Done,
     /* 1115968 */   // Label 16399: @1115968
     /* 1115968 */   GIM_Try, /*On fail goto*//*Label 16400*/ GIMT_Encode4(1116045), // Rule ID 62660 //
     /* 1115973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1115990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116012 */     // MIs[0] policy
     /* 1116012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M4),
     /* 1116025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116044 */     // GIR_Coverage, 62660,
     /* 1116044 */     GIR_EraseRootFromParent_Done,
     /* 1116045 */   // Label 16400: @1116045
     /* 1116045 */   GIM_Try, /*On fail goto*//*Label 16401*/ GIMT_Encode4(1116122), // Rule ID 62661 //
     /* 1116050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1116067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116089 */     // MIs[0] policy
     /* 1116089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M4),
     /* 1116102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116121 */     // GIR_Coverage, 62661,
     /* 1116121 */     GIR_EraseRootFromParent_Done,
     /* 1116122 */   // Label 16401: @1116122
     /* 1116122 */   GIM_Try, /*On fail goto*//*Label 16402*/ GIMT_Encode4(1116199), // Rule ID 62664 //
     /* 1116127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1116144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116166 */     // MIs[0] policy
     /* 1116166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116176 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M8),
     /* 1116179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116198 */     // GIR_Coverage, 62664,
     /* 1116198 */     GIR_EraseRootFromParent_Done,
     /* 1116199 */   // Label 16402: @1116199
     /* 1116199 */   GIM_Try, /*On fail goto*//*Label 16403*/ GIMT_Encode4(1116276), // Rule ID 62665 //
     /* 1116204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1116221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116243 */     // MIs[0] policy
     /* 1116243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116253 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M8),
     /* 1116256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116275 */     // GIR_Coverage, 62665,
     /* 1116275 */     GIR_EraseRootFromParent_Done,
     /* 1116276 */   // Label 16403: @1116276
     /* 1116276 */   GIM_Try, /*On fail goto*//*Label 16404*/ GIMT_Encode4(1116353), // Rule ID 62668 //
     /* 1116281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116320 */     // MIs[0] policy
     /* 1116320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116330 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_MF2),
     /* 1116333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116352 */     // GIR_Coverage, 62668,
     /* 1116352 */     GIR_EraseRootFromParent_Done,
     /* 1116353 */   // Label 16404: @1116353
     /* 1116353 */   GIM_Try, /*On fail goto*//*Label 16405*/ GIMT_Encode4(1116430), // Rule ID 62669 //
     /* 1116358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116397 */     // MIs[0] policy
     /* 1116397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116407 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_MF2),
     /* 1116410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116429 */     // GIR_Coverage, 62669,
     /* 1116429 */     GIR_EraseRootFromParent_Done,
     /* 1116430 */   // Label 16405: @1116430
     /* 1116430 */   GIM_Try, /*On fail goto*//*Label 16406*/ GIMT_Encode4(1116507), // Rule ID 62672 //
     /* 1116435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116474 */     // MIs[0] policy
     /* 1116474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M1),
     /* 1116487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116506 */     // GIR_Coverage, 62672,
     /* 1116506 */     GIR_EraseRootFromParent_Done,
     /* 1116507 */   // Label 16406: @1116507
     /* 1116507 */   GIM_Try, /*On fail goto*//*Label 16407*/ GIMT_Encode4(1116584), // Rule ID 62673 //
     /* 1116512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116551 */     // MIs[0] policy
     /* 1116551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116561 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M1),
     /* 1116564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116583 */     // GIR_Coverage, 62673,
     /* 1116583 */     GIR_EraseRootFromParent_Done,
     /* 1116584 */   // Label 16407: @1116584
     /* 1116584 */   GIM_Try, /*On fail goto*//*Label 16408*/ GIMT_Encode4(1116661), // Rule ID 62676 //
     /* 1116589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116628 */     // MIs[0] policy
     /* 1116628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116638 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M2),
     /* 1116641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116660 */     // GIR_Coverage, 62676,
     /* 1116660 */     GIR_EraseRootFromParent_Done,
     /* 1116661 */   // Label 16408: @1116661
     /* 1116661 */   GIM_Try, /*On fail goto*//*Label 16409*/ GIMT_Encode4(1116738), // Rule ID 62677 //
     /* 1116666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116705 */     // MIs[0] policy
     /* 1116705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116715 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M2),
     /* 1116718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116737 */     // GIR_Coverage, 62677,
     /* 1116737 */     GIR_EraseRootFromParent_Done,
     /* 1116738 */   // Label 16409: @1116738
     /* 1116738 */   GIM_Try, /*On fail goto*//*Label 16410*/ GIMT_Encode4(1116815), // Rule ID 62680 //
     /* 1116743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116782 */     // MIs[0] policy
     /* 1116782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M4),
     /* 1116795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116814 */     // GIR_Coverage, 62680,
     /* 1116814 */     GIR_EraseRootFromParent_Done,
     /* 1116815 */   // Label 16410: @1116815
     /* 1116815 */   GIM_Try, /*On fail goto*//*Label 16411*/ GIMT_Encode4(1116892), // Rule ID 62681 //
     /* 1116820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116859 */     // MIs[0] policy
     /* 1116859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116869 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M4),
     /* 1116872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116891 */     // GIR_Coverage, 62681,
     /* 1116891 */     GIR_EraseRootFromParent_Done,
     /* 1116892 */   // Label 16411: @1116892
     /* 1116892 */   GIM_Try, /*On fail goto*//*Label 16412*/ GIMT_Encode4(1116969), // Rule ID 62684 //
     /* 1116897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116936 */     // MIs[0] policy
     /* 1116936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M8),
     /* 1116949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116968 */     // GIR_Coverage, 62684,
     /* 1116968 */     GIR_EraseRootFromParent_Done,
     /* 1116969 */   // Label 16412: @1116969
     /* 1116969 */   GIM_Try, /*On fail goto*//*Label 16413*/ GIMT_Encode4(1117046), // Rule ID 62685 //
     /* 1116974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1116982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117013 */     // MIs[0] policy
     /* 1117013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117023 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M8),
     /* 1117026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117045 */     // GIR_Coverage, 62685,
     /* 1117045 */     GIR_EraseRootFromParent_Done,
     /* 1117046 */   // Label 16413: @1117046
     /* 1117046 */   GIM_Try, /*On fail goto*//*Label 16414*/ GIMT_Encode4(1117123), // Rule ID 62688 //
     /* 1117051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1117068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117090 */     // MIs[0] policy
     /* 1117090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117100 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_MF2),
     /* 1117103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117122 */     // GIR_Coverage, 62688,
     /* 1117122 */     GIR_EraseRootFromParent_Done,
     /* 1117123 */   // Label 16414: @1117123
     /* 1117123 */   GIM_Try, /*On fail goto*//*Label 16415*/ GIMT_Encode4(1117200), // Rule ID 62689 //
     /* 1117128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1117145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117167 */     // MIs[0] policy
     /* 1117167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117177 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_MF2),
     /* 1117180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117199 */     // GIR_Coverage, 62689,
     /* 1117199 */     GIR_EraseRootFromParent_Done,
     /* 1117200 */   // Label 16415: @1117200
     /* 1117200 */   GIM_Try, /*On fail goto*//*Label 16416*/ GIMT_Encode4(1117277), // Rule ID 62692 //
     /* 1117205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117244 */     // MIs[0] policy
     /* 1117244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117254 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M1),
     /* 1117257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117276 */     // GIR_Coverage, 62692,
     /* 1117276 */     GIR_EraseRootFromParent_Done,
     /* 1117277 */   // Label 16416: @1117277
     /* 1117277 */   GIM_Try, /*On fail goto*//*Label 16417*/ GIMT_Encode4(1117354), // Rule ID 62693 //
     /* 1117282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117321 */     // MIs[0] policy
     /* 1117321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117331 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M1),
     /* 1117334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117353 */     // GIR_Coverage, 62693,
     /* 1117353 */     GIR_EraseRootFromParent_Done,
     /* 1117354 */   // Label 16417: @1117354
     /* 1117354 */   GIM_Try, /*On fail goto*//*Label 16418*/ GIMT_Encode4(1117431), // Rule ID 62696 //
     /* 1117359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1117376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117398 */     // MIs[0] policy
     /* 1117398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M2),
     /* 1117411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117430 */     // GIR_Coverage, 62696,
     /* 1117430 */     GIR_EraseRootFromParent_Done,
     /* 1117431 */   // Label 16418: @1117431
     /* 1117431 */   GIM_Try, /*On fail goto*//*Label 16419*/ GIMT_Encode4(1117508), // Rule ID 62697 //
     /* 1117436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1117453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117475 */     // MIs[0] policy
     /* 1117475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117485 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M2),
     /* 1117488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117507 */     // GIR_Coverage, 62697,
     /* 1117507 */     GIR_EraseRootFromParent_Done,
     /* 1117508 */   // Label 16419: @1117508
     /* 1117508 */   GIM_Try, /*On fail goto*//*Label 16420*/ GIMT_Encode4(1117585), // Rule ID 62700 //
     /* 1117513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1117530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117552 */     // MIs[0] policy
     /* 1117552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M4),
     /* 1117565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117584 */     // GIR_Coverage, 62700,
     /* 1117584 */     GIR_EraseRootFromParent_Done,
     /* 1117585 */   // Label 16420: @1117585
     /* 1117585 */   GIM_Try, /*On fail goto*//*Label 16421*/ GIMT_Encode4(1117662), // Rule ID 62701 //
     /* 1117590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1117607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117629 */     // MIs[0] policy
     /* 1117629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117639 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M4),
     /* 1117642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117661 */     // GIR_Coverage, 62701,
     /* 1117661 */     GIR_EraseRootFromParent_Done,
     /* 1117662 */   // Label 16421: @1117662
     /* 1117662 */   GIM_Try, /*On fail goto*//*Label 16422*/ GIMT_Encode4(1117739), // Rule ID 62704 //
     /* 1117667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1117684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117706 */     // MIs[0] policy
     /* 1117706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117716 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M8),
     /* 1117719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117738 */     // GIR_Coverage, 62704,
     /* 1117738 */     GIR_EraseRootFromParent_Done,
     /* 1117739 */   // Label 16422: @1117739
     /* 1117739 */   GIM_Try, /*On fail goto*//*Label 16423*/ GIMT_Encode4(1117816), // Rule ID 62705 //
     /* 1117744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1117761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117783 */     // MIs[0] policy
     /* 1117783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117793 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M8),
     /* 1117796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117815 */     // GIR_Coverage, 62705,
     /* 1117815 */     GIR_EraseRootFromParent_Done,
     /* 1117816 */   // Label 16423: @1117816
     /* 1117816 */   GIM_Try, /*On fail goto*//*Label 16424*/ GIMT_Encode4(1117893), // Rule ID 62708 //
     /* 1117821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117860 */     // MIs[0] policy
     /* 1117860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117870 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_MF2),
     /* 1117873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117892 */     // GIR_Coverage, 62708,
     /* 1117892 */     GIR_EraseRootFromParent_Done,
     /* 1117893 */   // Label 16424: @1117893
     /* 1117893 */   GIM_Try, /*On fail goto*//*Label 16425*/ GIMT_Encode4(1117970), // Rule ID 62709 //
     /* 1117898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117937 */     // MIs[0] policy
     /* 1117937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_MF2),
     /* 1117950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117969 */     // GIR_Coverage, 62709,
     /* 1117969 */     GIR_EraseRootFromParent_Done,
     /* 1117970 */   // Label 16425: @1117970
     /* 1117970 */   GIM_Try, /*On fail goto*//*Label 16426*/ GIMT_Encode4(1118047), // Rule ID 62712 //
     /* 1117975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118014 */     // MIs[0] policy
     /* 1118014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M1),
     /* 1118027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118046 */     // GIR_Coverage, 62712,
     /* 1118046 */     GIR_EraseRootFromParent_Done,
     /* 1118047 */   // Label 16426: @1118047
     /* 1118047 */   GIM_Try, /*On fail goto*//*Label 16427*/ GIMT_Encode4(1118124), // Rule ID 62713 //
     /* 1118052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1118060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118091 */     // MIs[0] policy
     /* 1118091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118101 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M1),
     /* 1118104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118123 */     // GIR_Coverage, 62713,
     /* 1118123 */     GIR_EraseRootFromParent_Done,
     /* 1118124 */   // Label 16427: @1118124
     /* 1118124 */   GIM_Try, /*On fail goto*//*Label 16428*/ GIMT_Encode4(1118201), // Rule ID 62716 //
     /* 1118129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1118137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118168 */     // MIs[0] policy
     /* 1118168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118178 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M2),
     /* 1118181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118200 */     // GIR_Coverage, 62716,
     /* 1118200 */     GIR_EraseRootFromParent_Done,
     /* 1118201 */   // Label 16428: @1118201
     /* 1118201 */   GIM_Try, /*On fail goto*//*Label 16429*/ GIMT_Encode4(1118278), // Rule ID 62717 //
     /* 1118206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1118214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118245 */     // MIs[0] policy
     /* 1118245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M2),
     /* 1118258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118277 */     // GIR_Coverage, 62717,
     /* 1118277 */     GIR_EraseRootFromParent_Done,
     /* 1118278 */   // Label 16429: @1118278
     /* 1118278 */   GIM_Try, /*On fail goto*//*Label 16430*/ GIMT_Encode4(1118355), // Rule ID 62720 //
     /* 1118283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1118291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118322 */     // MIs[0] policy
     /* 1118322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118332 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M4),
     /* 1118335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118354 */     // GIR_Coverage, 62720,
     /* 1118354 */     GIR_EraseRootFromParent_Done,
     /* 1118355 */   // Label 16430: @1118355
     /* 1118355 */   GIM_Try, /*On fail goto*//*Label 16431*/ GIMT_Encode4(1118432), // Rule ID 62721 //
     /* 1118360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1118368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118399 */     // MIs[0] policy
     /* 1118399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118409 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M4),
     /* 1118412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118431 */     // GIR_Coverage, 62721,
     /* 1118431 */     GIR_EraseRootFromParent_Done,
     /* 1118432 */   // Label 16431: @1118432
     /* 1118432 */   GIM_Try, /*On fail goto*//*Label 16432*/ GIMT_Encode4(1118509), // Rule ID 62724 //
     /* 1118437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1118445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118476 */     // MIs[0] policy
     /* 1118476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118486 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M8),
     /* 1118489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118508 */     // GIR_Coverage, 62724,
     /* 1118508 */     GIR_EraseRootFromParent_Done,
     /* 1118509 */   // Label 16432: @1118509
     /* 1118509 */   GIM_Try, /*On fail goto*//*Label 16433*/ GIMT_Encode4(1118586), // Rule ID 62725 //
     /* 1118514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1118522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118553 */     // MIs[0] policy
     /* 1118553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118563 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M8),
     /* 1118566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118585 */     // GIR_Coverage, 62725,
     /* 1118585 */     GIR_EraseRootFromParent_Done,
     /* 1118586 */   // Label 16433: @1118586
     /* 1118586 */   GIM_Try, /*On fail goto*//*Label 16434*/ GIMT_Encode4(1118663), // Rule ID 62728 //
     /* 1118591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1118605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1118611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118630 */     // MIs[0] policy
     /* 1118630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118640 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_MF2),
     /* 1118643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118662 */     // GIR_Coverage, 62728,
     /* 1118662 */     GIR_EraseRootFromParent_Done,
     /* 1118663 */   // Label 16434: @1118663
     /* 1118663 */   GIM_Try, /*On fail goto*//*Label 16435*/ GIMT_Encode4(1118740), // Rule ID 62729 //
     /* 1118668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1118682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1118688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118707 */     // MIs[0] policy
     /* 1118707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118717 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_MF2),
     /* 1118720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118739 */     // GIR_Coverage, 62729,
     /* 1118739 */     GIR_EraseRootFromParent_Done,
     /* 1118740 */   // Label 16435: @1118740
     /* 1118740 */   GIM_Try, /*On fail goto*//*Label 16436*/ GIMT_Encode4(1118817), // Rule ID 62732 //
     /* 1118745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118784 */     // MIs[0] policy
     /* 1118784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M1),
     /* 1118797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118816 */     // GIR_Coverage, 62732,
     /* 1118816 */     GIR_EraseRootFromParent_Done,
     /* 1118817 */   // Label 16436: @1118817
     /* 1118817 */   GIM_Try, /*On fail goto*//*Label 16437*/ GIMT_Encode4(1118894), // Rule ID 62733 //
     /* 1118822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118861 */     // MIs[0] policy
     /* 1118861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M1),
     /* 1118874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118893 */     // GIR_Coverage, 62733,
     /* 1118893 */     GIR_EraseRootFromParent_Done,
     /* 1118894 */   // Label 16437: @1118894
     /* 1118894 */   GIM_Try, /*On fail goto*//*Label 16438*/ GIMT_Encode4(1118971), // Rule ID 62736 //
     /* 1118899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118938 */     // MIs[0] policy
     /* 1118938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118948 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M2),
     /* 1118951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118970 */     // GIR_Coverage, 62736,
     /* 1118970 */     GIR_EraseRootFromParent_Done,
     /* 1118971 */   // Label 16438: @1118971
     /* 1118971 */   GIM_Try, /*On fail goto*//*Label 16439*/ GIMT_Encode4(1119048), // Rule ID 62737 //
     /* 1118976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119015 */     // MIs[0] policy
     /* 1119015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119025 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M2),
     /* 1119028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119047 */     // GIR_Coverage, 62737,
     /* 1119047 */     GIR_EraseRootFromParent_Done,
     /* 1119048 */   // Label 16439: @1119048
     /* 1119048 */   GIM_Try, /*On fail goto*//*Label 16440*/ GIMT_Encode4(1119125), // Rule ID 62740 //
     /* 1119053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1119061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1119070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119092 */     // MIs[0] policy
     /* 1119092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119102 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M4),
     /* 1119105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119124 */     // GIR_Coverage, 62740,
     /* 1119124 */     GIR_EraseRootFromParent_Done,
     /* 1119125 */   // Label 16440: @1119125
     /* 1119125 */   GIM_Try, /*On fail goto*//*Label 16441*/ GIMT_Encode4(1119202), // Rule ID 62741 //
     /* 1119130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1119138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1119147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119169 */     // MIs[0] policy
     /* 1119169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119179 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M4),
     /* 1119182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119201 */     // GIR_Coverage, 62741,
     /* 1119201 */     GIR_EraseRootFromParent_Done,
     /* 1119202 */   // Label 16441: @1119202
     /* 1119202 */   GIM_Try, /*On fail goto*//*Label 16442*/ GIMT_Encode4(1119279), // Rule ID 62744 //
     /* 1119207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1119215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1119224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119246 */     // MIs[0] policy
     /* 1119246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119256 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M8),
     /* 1119259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119278 */     // GIR_Coverage, 62744,
     /* 1119278 */     GIR_EraseRootFromParent_Done,
     /* 1119279 */   // Label 16442: @1119279
     /* 1119279 */   GIM_Try, /*On fail goto*//*Label 16443*/ GIMT_Encode4(1119356), // Rule ID 62745 //
     /* 1119284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1119292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1119301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119323 */     // MIs[0] policy
     /* 1119323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119333 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M8),
     /* 1119336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119355 */     // GIR_Coverage, 62745,
     /* 1119355 */     GIR_EraseRootFromParent_Done,
     /* 1119356 */   // Label 16443: @1119356
     /* 1119356 */   GIM_Try, /*On fail goto*//*Label 16444*/ GIMT_Encode4(1119433), // Rule ID 62839 //
     /* 1119361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119400 */     // MIs[0] policy
     /* 1119400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119410 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_2x8x2_M1),
     /* 1119413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119432 */     // GIR_Coverage, 62839,
     /* 1119432 */     GIR_EraseRootFromParent_Done,
     /* 1119433 */   // Label 16444: @1119433
     /* 1119433 */   GIM_Try, /*On fail goto*//*Label 16445*/ GIMT_Encode4(1119510), // Rule ID 62840 //
     /* 1119438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119477 */     // MIs[0] policy
     /* 1119477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119487 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_2x8x2_M1),
     /* 1119490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119509 */     // GIR_Coverage, 62840,
     /* 1119509 */     GIR_EraseRootFromParent_Done,
     /* 1119510 */   // Label 16445: @1119510
     /* 1119510 */   GIM_Try, /*On fail goto*//*Label 16446*/ GIMT_Encode4(1119587), // Rule ID 64297 //
     /* 1119515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119554 */     // MIs[0] policy
     /* 1119554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_2x8x2_M2),
     /* 1119567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119586 */     // GIR_Coverage, 64297,
     /* 1119586 */     GIR_EraseRootFromParent_Done,
     /* 1119587 */   // Label 16446: @1119587
     /* 1119587 */   GIM_Try, /*On fail goto*//*Label 16447*/ GIMT_Encode4(1119664), // Rule ID 64298 //
     /* 1119592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119631 */     // MIs[0] policy
     /* 1119631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119641 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_2x8x2_M2),
     /* 1119644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119663 */     // GIR_Coverage, 64298,
     /* 1119663 */     GIR_EraseRootFromParent_Done,
     /* 1119664 */   // Label 16447: @1119664
     /* 1119664 */   GIM_Try, /*On fail goto*//*Label 16448*/ GIMT_Encode4(1119741), // Rule ID 64299 //
     /* 1119669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119708 */     // MIs[0] policy
     /* 1119708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119718 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_2x8x2_M4),
     /* 1119721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119740 */     // GIR_Coverage, 64299,
     /* 1119740 */     GIR_EraseRootFromParent_Done,
     /* 1119741 */   // Label 16448: @1119741
     /* 1119741 */   GIM_Try, /*On fail goto*//*Label 16449*/ GIMT_Encode4(1119818), // Rule ID 64300 //
     /* 1119746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119785 */     // MIs[0] policy
     /* 1119785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119795 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_2x8x2_M4),
     /* 1119798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119817 */     // GIR_Coverage, 64300,
     /* 1119817 */     GIR_EraseRootFromParent_Done,
     /* 1119818 */   // Label 16449: @1119818
     /* 1119818 */   GIM_Try, /*On fail goto*//*Label 16450*/ GIMT_Encode4(1119895), // Rule ID 64301 //
     /* 1119823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119862 */     // MIs[0] policy
     /* 1119862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_2x8x2_M8),
     /* 1119875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119894 */     // GIR_Coverage, 64301,
     /* 1119894 */     GIR_EraseRootFromParent_Done,
     /* 1119895 */   // Label 16450: @1119895
     /* 1119895 */   GIM_Try, /*On fail goto*//*Label 16451*/ GIMT_Encode4(1119972), // Rule ID 64302 //
     /* 1119900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1119908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119939 */     // MIs[0] policy
     /* 1119939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_2x8x2_M8),
     /* 1119952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119971 */     // GIR_Coverage, 64302,
     /* 1119971 */     GIR_EraseRootFromParent_Done,
     /* 1119972 */   // Label 16451: @1119972
     /* 1119972 */   GIM_Try, /*On fail goto*//*Label 16452*/ GIMT_Encode4(1120049), // Rule ID 64303 //
     /* 1119977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120016 */     // MIs[0] policy
     /* 1120016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120026 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_2x8x2_M1),
     /* 1120029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120048 */     // GIR_Coverage, 64303,
     /* 1120048 */     GIR_EraseRootFromParent_Done,
     /* 1120049 */   // Label 16452: @1120049
     /* 1120049 */   GIM_Try, /*On fail goto*//*Label 16453*/ GIMT_Encode4(1120126), // Rule ID 64304 //
     /* 1120054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1120062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120093 */     // MIs[0] policy
     /* 1120093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_2x8x2_M1),
     /* 1120106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120125 */     // GIR_Coverage, 64304,
     /* 1120125 */     GIR_EraseRootFromParent_Done,
     /* 1120126 */   // Label 16453: @1120126
     /* 1120126 */   GIM_Try, /*On fail goto*//*Label 16454*/ GIMT_Encode4(1120203), // Rule ID 64305 //
     /* 1120131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1120139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120170 */     // MIs[0] policy
     /* 1120170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120180 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_2x8x2_M2),
     /* 1120183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120202 */     // GIR_Coverage, 64305,
     /* 1120202 */     GIR_EraseRootFromParent_Done,
     /* 1120203 */   // Label 16454: @1120203
     /* 1120203 */   GIM_Try, /*On fail goto*//*Label 16455*/ GIMT_Encode4(1120280), // Rule ID 64306 //
     /* 1120208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1120216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120247 */     // MIs[0] policy
     /* 1120247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120257 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_2x8x2_M2),
     /* 1120260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120279 */     // GIR_Coverage, 64306,
     /* 1120279 */     GIR_EraseRootFromParent_Done,
     /* 1120280 */   // Label 16455: @1120280
     /* 1120280 */   GIM_Try, /*On fail goto*//*Label 16456*/ GIMT_Encode4(1120357), // Rule ID 64307 //
     /* 1120285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1120293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120324 */     // MIs[0] policy
     /* 1120324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120334 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_2x8x2_M4),
     /* 1120337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120356 */     // GIR_Coverage, 64307,
     /* 1120356 */     GIR_EraseRootFromParent_Done,
     /* 1120357 */   // Label 16456: @1120357
     /* 1120357 */   GIM_Try, /*On fail goto*//*Label 16457*/ GIMT_Encode4(1120434), // Rule ID 64308 //
     /* 1120362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1120370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120401 */     // MIs[0] policy
     /* 1120401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120411 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_2x8x2_M4),
     /* 1120414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120433 */     // GIR_Coverage, 64308,
     /* 1120433 */     GIR_EraseRootFromParent_Done,
     /* 1120434 */   // Label 16457: @1120434
     /* 1120434 */   GIM_Try, /*On fail goto*//*Label 16458*/ GIMT_Encode4(1120511), // Rule ID 64309 //
     /* 1120439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1120447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120478 */     // MIs[0] policy
     /* 1120478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120488 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_2x8x2_M8),
     /* 1120491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120510 */     // GIR_Coverage, 64309,
     /* 1120510 */     GIR_EraseRootFromParent_Done,
     /* 1120511 */   // Label 16458: @1120511
     /* 1120511 */   GIM_Try, /*On fail goto*//*Label 16459*/ GIMT_Encode4(1120588), // Rule ID 64310 //
     /* 1120516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1120524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120555 */     // MIs[0] policy
     /* 1120555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120565 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_2x8x2_M8),
     /* 1120568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120587 */     // GIR_Coverage, 64310,
     /* 1120587 */     GIR_EraseRootFromParent_Done,
     /* 1120588 */   // Label 16459: @1120588
     /* 1120588 */   GIM_Try, /*On fail goto*//*Label 16460*/ GIMT_Encode4(1120665), // Rule ID 64311 //
     /* 1120593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120632 */     // MIs[0] policy
     /* 1120632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_2x8x2_M1),
     /* 1120645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120664 */     // GIR_Coverage, 64311,
     /* 1120664 */     GIR_EraseRootFromParent_Done,
     /* 1120665 */   // Label 16460: @1120665
     /* 1120665 */   GIM_Try, /*On fail goto*//*Label 16461*/ GIMT_Encode4(1120742), // Rule ID 64312 //
     /* 1120670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120709 */     // MIs[0] policy
     /* 1120709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120719 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_2x8x2_M1),
     /* 1120722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120741 */     // GIR_Coverage, 64312,
     /* 1120741 */     GIR_EraseRootFromParent_Done,
     /* 1120742 */   // Label 16461: @1120742
     /* 1120742 */   GIM_Try, /*On fail goto*//*Label 16462*/ GIMT_Encode4(1120819), // Rule ID 64313 //
     /* 1120747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120786 */     // MIs[0] policy
     /* 1120786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_2x8x2_M2),
     /* 1120799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120818 */     // GIR_Coverage, 64313,
     /* 1120818 */     GIR_EraseRootFromParent_Done,
     /* 1120819 */   // Label 16462: @1120819
     /* 1120819 */   GIM_Try, /*On fail goto*//*Label 16463*/ GIMT_Encode4(1120896), // Rule ID 64314 //
     /* 1120824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120863 */     // MIs[0] policy
     /* 1120863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120873 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_2x8x2_M2),
     /* 1120876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120895 */     // GIR_Coverage, 64314,
     /* 1120895 */     GIR_EraseRootFromParent_Done,
     /* 1120896 */   // Label 16463: @1120896
     /* 1120896 */   GIM_Try, /*On fail goto*//*Label 16464*/ GIMT_Encode4(1120973), // Rule ID 64315 //
     /* 1120901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120940 */     // MIs[0] policy
     /* 1120940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120950 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_2x8x2_M4),
     /* 1120953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120972 */     // GIR_Coverage, 64315,
     /* 1120972 */     GIR_EraseRootFromParent_Done,
     /* 1120973 */   // Label 16464: @1120973
     /* 1120973 */   GIM_Try, /*On fail goto*//*Label 16465*/ GIMT_Encode4(1121050), // Rule ID 64316 //
     /* 1120978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121017 */     // MIs[0] policy
     /* 1121017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_2x8x2_M4),
     /* 1121030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121049 */     // GIR_Coverage, 64316,
     /* 1121049 */     GIR_EraseRootFromParent_Done,
     /* 1121050 */   // Label 16465: @1121050
     /* 1121050 */   GIM_Try, /*On fail goto*//*Label 16466*/ GIMT_Encode4(1121127), // Rule ID 64317 //
     /* 1121055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1121058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1121063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121094 */     // MIs[0] policy
     /* 1121094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121104 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_2x8x2_M8),
     /* 1121107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121126 */     // GIR_Coverage, 64317,
     /* 1121126 */     GIR_EraseRootFromParent_Done,
     /* 1121127 */   // Label 16466: @1121127
     /* 1121127 */   GIM_Try, /*On fail goto*//*Label 16467*/ GIMT_Encode4(1121204), // Rule ID 64318 //
     /* 1121132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1121135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1121140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121171 */     // MIs[0] policy
     /* 1121171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121181 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_2x8x2_M8),
     /* 1121184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121203 */     // GIR_Coverage, 64318,
     /* 1121203 */     GIR_EraseRootFromParent_Done,
     /* 1121204 */   // Label 16467: @1121204
     /* 1121204 */   GIM_Try, /*On fail goto*//*Label 16468*/ GIMT_Encode4(1121281), // Rule ID 64319 //
     /* 1121209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1121212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1121217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121248 */     // MIs[0] policy
     /* 1121248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121258 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_2x8x2_M1),
     /* 1121261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121280 */     // GIR_Coverage, 64319,
     /* 1121280 */     GIR_EraseRootFromParent_Done,
     /* 1121281 */   // Label 16468: @1121281
     /* 1121281 */   GIM_Try, /*On fail goto*//*Label 16469*/ GIMT_Encode4(1121358), // Rule ID 64320 //
     /* 1121286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1121289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1121294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121325 */     // MIs[0] policy
     /* 1121325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121335 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_2x8x2_M1),
     /* 1121338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121357 */     // GIR_Coverage, 64320,
     /* 1121357 */     GIR_EraseRootFromParent_Done,
     /* 1121358 */   // Label 16469: @1121358
     /* 1121358 */   GIM_Try, /*On fail goto*//*Label 16470*/ GIMT_Encode4(1121435), // Rule ID 64321 //
     /* 1121363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1121366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1121371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121402 */     // MIs[0] policy
     /* 1121402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121412 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_2x8x2_M2),
     /* 1121415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121434 */     // GIR_Coverage, 64321,
     /* 1121434 */     GIR_EraseRootFromParent_Done,
     /* 1121435 */   // Label 16470: @1121435
     /* 1121435 */   GIM_Try, /*On fail goto*//*Label 16471*/ GIMT_Encode4(1121512), // Rule ID 64322 //
     /* 1121440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1121443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1121448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121479 */     // MIs[0] policy
     /* 1121479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121489 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_2x8x2_M2),
     /* 1121492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121511 */     // GIR_Coverage, 64322,
     /* 1121511 */     GIR_EraseRootFromParent_Done,
     /* 1121512 */   // Label 16471: @1121512
     /* 1121512 */   GIM_Try, /*On fail goto*//*Label 16472*/ GIMT_Encode4(1121589), // Rule ID 64323 //
     /* 1121517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1121520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1121525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121556 */     // MIs[0] policy
     /* 1121556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121566 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_2x8x2_M4),
     /* 1121569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121588 */     // GIR_Coverage, 64323,
     /* 1121588 */     GIR_EraseRootFromParent_Done,
     /* 1121589 */   // Label 16472: @1121589
     /* 1121589 */   GIM_Try, /*On fail goto*//*Label 16473*/ GIMT_Encode4(1121666), // Rule ID 64324 //
     /* 1121594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1121597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1121602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121633 */     // MIs[0] policy
     /* 1121633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121643 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_2x8x2_M4),
     /* 1121646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121665 */     // GIR_Coverage, 64324,
     /* 1121665 */     GIR_EraseRootFromParent_Done,
     /* 1121666 */   // Label 16473: @1121666
     /* 1121666 */   GIM_Try, /*On fail goto*//*Label 16474*/ GIMT_Encode4(1121743), // Rule ID 64325 //
     /* 1121671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1121674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1121679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121710 */     // MIs[0] policy
     /* 1121710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121720 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_2x8x2_M8),
     /* 1121723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121742 */     // GIR_Coverage, 64325,
     /* 1121742 */     GIR_EraseRootFromParent_Done,
     /* 1121743 */   // Label 16474: @1121743
     /* 1121743 */   GIM_Try, /*On fail goto*//*Label 16475*/ GIMT_Encode4(1121820), // Rule ID 64326 //
     /* 1121748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1121751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1121756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121787 */     // MIs[0] policy
     /* 1121787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_2x8x2_M8),
     /* 1121800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121819 */     // GIR_Coverage, 64326,
     /* 1121819 */     GIR_EraseRootFromParent_Done,
     /* 1121820 */   // Label 16475: @1121820
     /* 1121820 */   GIM_Try, /*On fail goto*//*Label 16476*/ GIMT_Encode4(1121897), // Rule ID 64327 //
     /* 1121825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121864 */     // MIs[0] policy
     /* 1121864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_4x8x4_MF2),
     /* 1121877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121896 */     // GIR_Coverage, 64327,
     /* 1121896 */     GIR_EraseRootFromParent_Done,
     /* 1121897 */   // Label 16476: @1121897
     /* 1121897 */   GIM_Try, /*On fail goto*//*Label 16477*/ GIMT_Encode4(1121974), // Rule ID 64328 //
     /* 1121902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121941 */     // MIs[0] policy
     /* 1121941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121951 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_4x8x4_MF2),
     /* 1121954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121973 */     // GIR_Coverage, 64328,
     /* 1121973 */     GIR_EraseRootFromParent_Done,
     /* 1121974 */   // Label 16477: @1121974
     /* 1121974 */   GIM_Try, /*On fail goto*//*Label 16478*/ GIMT_Encode4(1122051), // Rule ID 64329 //
     /* 1121979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122018 */     // MIs[0] policy
     /* 1122018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_4x8x4_M1),
     /* 1122031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122050 */     // GIR_Coverage, 64329,
     /* 1122050 */     GIR_EraseRootFromParent_Done,
     /* 1122051 */   // Label 16478: @1122051
     /* 1122051 */   GIM_Try, /*On fail goto*//*Label 16479*/ GIMT_Encode4(1122128), // Rule ID 64330 //
     /* 1122056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1122064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122095 */     // MIs[0] policy
     /* 1122095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122105 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_4x8x4_M1),
     /* 1122108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122127 */     // GIR_Coverage, 64330,
     /* 1122127 */     GIR_EraseRootFromParent_Done,
     /* 1122128 */   // Label 16479: @1122128
     /* 1122128 */   GIM_Try, /*On fail goto*//*Label 16480*/ GIMT_Encode4(1122205), // Rule ID 64331 //
     /* 1122133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1122141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122172 */     // MIs[0] policy
     /* 1122172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122182 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_4x8x4_M2),
     /* 1122185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122204 */     // GIR_Coverage, 64331,
     /* 1122204 */     GIR_EraseRootFromParent_Done,
     /* 1122205 */   // Label 16480: @1122205
     /* 1122205 */   GIM_Try, /*On fail goto*//*Label 16481*/ GIMT_Encode4(1122282), // Rule ID 64332 //
     /* 1122210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1122218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122249 */     // MIs[0] policy
     /* 1122249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122259 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_4x8x4_M2),
     /* 1122262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122281 */     // GIR_Coverage, 64332,
     /* 1122281 */     GIR_EraseRootFromParent_Done,
     /* 1122282 */   // Label 16481: @1122282
     /* 1122282 */   GIM_Try, /*On fail goto*//*Label 16482*/ GIMT_Encode4(1122359), // Rule ID 64333 //
     /* 1122287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1122295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122326 */     // MIs[0] policy
     /* 1122326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_4x8x4_M4),
     /* 1122339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122358 */     // GIR_Coverage, 64333,
     /* 1122358 */     GIR_EraseRootFromParent_Done,
     /* 1122359 */   // Label 16482: @1122359
     /* 1122359 */   GIM_Try, /*On fail goto*//*Label 16483*/ GIMT_Encode4(1122436), // Rule ID 64334 //
     /* 1122364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1122372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122403 */     // MIs[0] policy
     /* 1122403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122413 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCU_4x8x4_M4),
     /* 1122416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122435 */     // GIR_Coverage, 64334,
     /* 1122435 */     GIR_EraseRootFromParent_Done,
     /* 1122436 */   // Label 16483: @1122436
     /* 1122436 */   GIM_Try, /*On fail goto*//*Label 16484*/ GIMT_Encode4(1122513), // Rule ID 64335 //
     /* 1122441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122480 */     // MIs[0] policy
     /* 1122480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122490 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_4x8x4_MF2),
     /* 1122493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122512 */     // GIR_Coverage, 64335,
     /* 1122512 */     GIR_EraseRootFromParent_Done,
     /* 1122513 */   // Label 16484: @1122513
     /* 1122513 */   GIM_Try, /*On fail goto*//*Label 16485*/ GIMT_Encode4(1122590), // Rule ID 64336 //
     /* 1122518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122557 */     // MIs[0] policy
     /* 1122557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_4x8x4_MF2),
     /* 1122570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122589 */     // GIR_Coverage, 64336,
     /* 1122589 */     GIR_EraseRootFromParent_Done,
     /* 1122590 */   // Label 16485: @1122590
     /* 1122590 */   GIM_Try, /*On fail goto*//*Label 16486*/ GIMT_Encode4(1122667), // Rule ID 64337 //
     /* 1122595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122634 */     // MIs[0] policy
     /* 1122634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122644 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_4x8x4_M1),
     /* 1122647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122666 */     // GIR_Coverage, 64337,
     /* 1122666 */     GIR_EraseRootFromParent_Done,
     /* 1122667 */   // Label 16486: @1122667
     /* 1122667 */   GIM_Try, /*On fail goto*//*Label 16487*/ GIMT_Encode4(1122744), // Rule ID 64338 //
     /* 1122672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122711 */     // MIs[0] policy
     /* 1122711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122721 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_4x8x4_M1),
     /* 1122724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122743 */     // GIR_Coverage, 64338,
     /* 1122743 */     GIR_EraseRootFromParent_Done,
     /* 1122744 */   // Label 16487: @1122744
     /* 1122744 */   GIM_Try, /*On fail goto*//*Label 16488*/ GIMT_Encode4(1122821), // Rule ID 64339 //
     /* 1122749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122788 */     // MIs[0] policy
     /* 1122788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122798 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_4x8x4_M2),
     /* 1122801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122820 */     // GIR_Coverage, 64339,
     /* 1122820 */     GIR_EraseRootFromParent_Done,
     /* 1122821 */   // Label 16488: @1122821
     /* 1122821 */   GIM_Try, /*On fail goto*//*Label 16489*/ GIMT_Encode4(1122898), // Rule ID 64340 //
     /* 1122826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122865 */     // MIs[0] policy
     /* 1122865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122875 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_4x8x4_M2),
     /* 1122878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122897 */     // GIR_Coverage, 64340,
     /* 1122897 */     GIR_EraseRootFromParent_Done,
     /* 1122898 */   // Label 16489: @1122898
     /* 1122898 */   GIM_Try, /*On fail goto*//*Label 16490*/ GIMT_Encode4(1122975), // Rule ID 64341 //
     /* 1122903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122942 */     // MIs[0] policy
     /* 1122942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_4x8x4_M4),
     /* 1122955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122974 */     // GIR_Coverage, 64341,
     /* 1122974 */     GIR_EraseRootFromParent_Done,
     /* 1122975 */   // Label 16490: @1122975
     /* 1122975 */   GIM_Try, /*On fail goto*//*Label 16491*/ GIMT_Encode4(1123052), // Rule ID 64342 //
     /* 1122980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1122988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123019 */     // MIs[0] policy
     /* 1123019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123029 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACC_4x8x4_M4),
     /* 1123032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123051 */     // GIR_Coverage, 64342,
     /* 1123051 */     GIR_EraseRootFromParent_Done,
     /* 1123052 */   // Label 16491: @1123052
     /* 1123052 */   GIM_Try, /*On fail goto*//*Label 16492*/ GIMT_Encode4(1123129), // Rule ID 64343 //
     /* 1123057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1123065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1123077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123096 */     // MIs[0] policy
     /* 1123096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123106 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_4x8x4_MF2),
     /* 1123109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123128 */     // GIR_Coverage, 64343,
     /* 1123128 */     GIR_EraseRootFromParent_Done,
     /* 1123129 */   // Label 16492: @1123129
     /* 1123129 */   GIM_Try, /*On fail goto*//*Label 16493*/ GIMT_Encode4(1123206), // Rule ID 64344 //
     /* 1123134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1123142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1123154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123173 */     // MIs[0] policy
     /* 1123173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_4x8x4_MF2),
     /* 1123186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123205 */     // GIR_Coverage, 64344,
     /* 1123205 */     GIR_EraseRootFromParent_Done,
     /* 1123206 */   // Label 16493: @1123206
     /* 1123206 */   GIM_Try, /*On fail goto*//*Label 16494*/ GIMT_Encode4(1123283), // Rule ID 64345 //
     /* 1123211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1123219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123250 */     // MIs[0] policy
     /* 1123250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123260 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_4x8x4_M1),
     /* 1123263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123282 */     // GIR_Coverage, 64345,
     /* 1123282 */     GIR_EraseRootFromParent_Done,
     /* 1123283 */   // Label 16494: @1123283
     /* 1123283 */   GIM_Try, /*On fail goto*//*Label 16495*/ GIMT_Encode4(1123360), // Rule ID 64346 //
     /* 1123288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1123296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123327 */     // MIs[0] policy
     /* 1123327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123337 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_4x8x4_M1),
     /* 1123340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123359 */     // GIR_Coverage, 64346,
     /* 1123359 */     GIR_EraseRootFromParent_Done,
     /* 1123360 */   // Label 16495: @1123360
     /* 1123360 */   GIM_Try, /*On fail goto*//*Label 16496*/ GIMT_Encode4(1123437), // Rule ID 64347 //
     /* 1123365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1123373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123404 */     // MIs[0] policy
     /* 1123404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123414 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_4x8x4_M2),
     /* 1123417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123436 */     // GIR_Coverage, 64347,
     /* 1123436 */     GIR_EraseRootFromParent_Done,
     /* 1123437 */   // Label 16496: @1123437
     /* 1123437 */   GIM_Try, /*On fail goto*//*Label 16497*/ GIMT_Encode4(1123514), // Rule ID 64348 //
     /* 1123442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1123450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123481 */     // MIs[0] policy
     /* 1123481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123491 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_4x8x4_M2),
     /* 1123494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123513 */     // GIR_Coverage, 64348,
     /* 1123513 */     GIR_EraseRootFromParent_Done,
     /* 1123514 */   // Label 16497: @1123514
     /* 1123514 */   GIM_Try, /*On fail goto*//*Label 16498*/ GIMT_Encode4(1123591), // Rule ID 64349 //
     /* 1123519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1123527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123558 */     // MIs[0] policy
     /* 1123558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123568 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_4x8x4_M4),
     /* 1123571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123590 */     // GIR_Coverage, 64349,
     /* 1123590 */     GIR_EraseRootFromParent_Done,
     /* 1123591 */   // Label 16498: @1123591
     /* 1123591 */   GIM_Try, /*On fail goto*//*Label 16499*/ GIMT_Encode4(1123668), // Rule ID 64350 //
     /* 1123596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1123604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123635 */     // MIs[0] policy
     /* 1123635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123645 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCUS_4x8x4_M4),
     /* 1123648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123667 */     // GIR_Coverage, 64350,
     /* 1123667 */     GIR_EraseRootFromParent_Done,
     /* 1123668 */   // Label 16499: @1123668
     /* 1123668 */   GIM_Try, /*On fail goto*//*Label 16500*/ GIMT_Encode4(1123745), // Rule ID 64351 //
     /* 1123673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1123693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123712 */     // MIs[0] policy
     /* 1123712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_4x8x4_MF2),
     /* 1123725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123744 */     // GIR_Coverage, 64351,
     /* 1123744 */     GIR_EraseRootFromParent_Done,
     /* 1123745 */   // Label 16500: @1123745
     /* 1123745 */   GIM_Try, /*On fail goto*//*Label 16501*/ GIMT_Encode4(1123822), // Rule ID 64352 //
     /* 1123750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1123770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123789 */     // MIs[0] policy
     /* 1123789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123799 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_4x8x4_MF2),
     /* 1123802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123821 */     // GIR_Coverage, 64352,
     /* 1123821 */     GIR_EraseRootFromParent_Done,
     /* 1123822 */   // Label 16501: @1123822
     /* 1123822 */   GIM_Try, /*On fail goto*//*Label 16502*/ GIMT_Encode4(1123899), // Rule ID 64353 //
     /* 1123827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123866 */     // MIs[0] policy
     /* 1123866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123876 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_4x8x4_M1),
     /* 1123879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123898 */     // GIR_Coverage, 64353,
     /* 1123898 */     GIR_EraseRootFromParent_Done,
     /* 1123899 */   // Label 16502: @1123899
     /* 1123899 */   GIM_Try, /*On fail goto*//*Label 16503*/ GIMT_Encode4(1123976), // Rule ID 64354 //
     /* 1123904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123943 */     // MIs[0] policy
     /* 1123943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123953 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_4x8x4_M1),
     /* 1123956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123975 */     // GIR_Coverage, 64354,
     /* 1123975 */     GIR_EraseRootFromParent_Done,
     /* 1123976 */   // Label 16503: @1123976
     /* 1123976 */   GIM_Try, /*On fail goto*//*Label 16504*/ GIMT_Encode4(1124053), // Rule ID 64355 //
     /* 1123981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124020 */     // MIs[0] policy
     /* 1124020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124030 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_4x8x4_M2),
     /* 1124033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124052 */     // GIR_Coverage, 64355,
     /* 1124052 */     GIR_EraseRootFromParent_Done,
     /* 1124053 */   // Label 16504: @1124053
     /* 1124053 */   GIM_Try, /*On fail goto*//*Label 16505*/ GIMT_Encode4(1124130), // Rule ID 64356 //
     /* 1124058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1124061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1124066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1124069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1124072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124097 */     // MIs[0] policy
     /* 1124097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124107 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_4x8x4_M2),
     /* 1124110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124129 */     // GIR_Coverage, 64356,
     /* 1124129 */     GIR_EraseRootFromParent_Done,
     /* 1124130 */   // Label 16505: @1124130
     /* 1124130 */   GIM_Try, /*On fail goto*//*Label 16506*/ GIMT_Encode4(1124207), // Rule ID 64357 //
     /* 1124135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1124138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1124143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1124155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124174 */     // MIs[0] policy
     /* 1124174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124184 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_4x8x4_M4),
     /* 1124187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124206 */     // GIR_Coverage, 64357,
     /* 1124206 */     GIR_EraseRootFromParent_Done,
     /* 1124207 */   // Label 16506: @1124207
     /* 1124207 */   GIM_Try, /*On fail goto*//*Label 16507*/ GIMT_Encode4(1124284), // Rule ID 64358 //
     /* 1124212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1124215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1124220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1124232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124251 */     // MIs[0] policy
     /* 1124251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124261 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VQMACCSU_4x8x4_M4),
     /* 1124264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124283 */     // GIR_Coverage, 64358,
     /* 1124283 */     GIR_EraseRootFromParent_Done,
     /* 1124284 */   // Label 16507: @1124284
     /* 1124284 */   GIM_Try, /*On fail goto*//*Label 16508*/ GIMT_Encode4(1124361), // Rule ID 65178 //
     /* 1124289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1124297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1124306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1124309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124328 */     // MIs[0] policy
     /* 1124328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124338 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_MF2),
     /* 1124341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124360 */     // GIR_Coverage, 65178,
     /* 1124360 */     GIR_EraseRootFromParent_Done,
     /* 1124361 */   // Label 16508: @1124361
     /* 1124361 */   GIM_Try, /*On fail goto*//*Label 16509*/ GIMT_Encode4(1124438), // Rule ID 65179 //
     /* 1124366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1124374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1124383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1124386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124405 */     // MIs[0] policy
     /* 1124405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124415 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_MF2),
     /* 1124418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124437 */     // GIR_Coverage, 65179,
     /* 1124437 */     GIR_EraseRootFromParent_Done,
     /* 1124438 */   // Label 16509: @1124438
     /* 1124438 */   GIM_Try, /*On fail goto*//*Label 16510*/ GIMT_Encode4(1124515), // Rule ID 65182 //
     /* 1124443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1124451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124482 */     // MIs[0] policy
     /* 1124482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1),
     /* 1124495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124514 */     // GIR_Coverage, 65182,
     /* 1124514 */     GIR_EraseRootFromParent_Done,
     /* 1124515 */   // Label 16510: @1124515
     /* 1124515 */   GIM_Try, /*On fail goto*//*Label 16511*/ GIMT_Encode4(1124592), // Rule ID 65183 //
     /* 1124520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1124528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124559 */     // MIs[0] policy
     /* 1124559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124569 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1),
     /* 1124572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124591 */     // GIR_Coverage, 65183,
     /* 1124591 */     GIR_EraseRootFromParent_Done,
     /* 1124592 */   // Label 16511: @1124592
     /* 1124592 */   GIM_Try, /*On fail goto*//*Label 16512*/ GIMT_Encode4(1124669), // Rule ID 65186 //
     /* 1124597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1124605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1124614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124636 */     // MIs[0] policy
     /* 1124636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124646 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2),
     /* 1124649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124668 */     // GIR_Coverage, 65186,
     /* 1124668 */     GIR_EraseRootFromParent_Done,
     /* 1124669 */   // Label 16512: @1124669
     /* 1124669 */   GIM_Try, /*On fail goto*//*Label 16513*/ GIMT_Encode4(1124746), // Rule ID 65187 //
     /* 1124674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1124682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1124691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124713 */     // MIs[0] policy
     /* 1124713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124723 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2),
     /* 1124726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124745 */     // GIR_Coverage, 65187,
     /* 1124745 */     GIR_EraseRootFromParent_Done,
     /* 1124746 */   // Label 16513: @1124746
     /* 1124746 */   GIM_Try, /*On fail goto*//*Label 16514*/ GIMT_Encode4(1124823), // Rule ID 65190 //
     /* 1124751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1124759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1124762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1124765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1124768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1124771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124790 */     // MIs[0] policy
     /* 1124790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4),
     /* 1124803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124822 */     // GIR_Coverage, 65190,
     /* 1124822 */     GIR_EraseRootFromParent_Done,
     /* 1124823 */   // Label 16514: @1124823
     /* 1124823 */   GIM_Try, /*On fail goto*//*Label 16515*/ GIMT_Encode4(1124900), // Rule ID 65191 //
     /* 1124828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1124836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1124839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1124842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1124845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1124848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124867 */     // MIs[0] policy
     /* 1124867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124877 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4),
     /* 1124880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124899 */     // GIR_Coverage, 65191,
     /* 1124899 */     GIR_EraseRootFromParent_Done,
     /* 1124900 */   // Label 16515: @1124900
     /* 1124900 */   GIM_Try, /*On fail goto*//*Label 16516*/ GIMT_Encode4(1124977), // Rule ID 65194 //
     /* 1124905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1124913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1124922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124944 */     // MIs[0] policy
     /* 1124944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124954 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8),
     /* 1124957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124976 */     // GIR_Coverage, 65194,
     /* 1124976 */     GIR_EraseRootFromParent_Done,
     /* 1124977 */   // Label 16516: @1124977
     /* 1124977 */   GIM_Try, /*On fail goto*//*Label 16517*/ GIMT_Encode4(1125054), // Rule ID 65195 //
     /* 1124982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1124990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1124999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125021 */     // MIs[0] policy
     /* 1125021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125031 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8),
     /* 1125034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125053 */     // GIR_Coverage, 65195,
     /* 1125053 */     GIR_EraseRootFromParent_Done,
     /* 1125054 */   // Label 16517: @1125054
     /* 1125054 */   GIM_Try, /*On fail goto*//*Label 16518*/ GIMT_Encode4(1125131), // Rule ID 65198 //
     /* 1125059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1125062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1125067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1125070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1125073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1125076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1125079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125098 */     // MIs[0] policy
     /* 1125098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1),
     /* 1125111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125130 */     // GIR_Coverage, 65198,
     /* 1125130 */     GIR_EraseRootFromParent_Done,
     /* 1125131 */   // Label 16518: @1125131
     /* 1125131 */   GIM_Try, /*On fail goto*//*Label 16519*/ GIMT_Encode4(1125208), // Rule ID 65199 //
     /* 1125136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1125139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1125144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1125147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1125150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1125153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1125156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125175 */     // MIs[0] policy
     /* 1125175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125185 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1),
     /* 1125188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125207 */     // GIR_Coverage, 65199,
     /* 1125207 */     GIR_EraseRootFromParent_Done,
     /* 1125208 */   // Label 16519: @1125208
     /* 1125208 */   GIM_Try, /*On fail goto*//*Label 16520*/ GIMT_Encode4(1125285), // Rule ID 65202 //
     /* 1125213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1125216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1125221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1125224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1125227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1125230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1125233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125252 */     // MIs[0] policy
     /* 1125252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125262 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2),
     /* 1125265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125284 */     // GIR_Coverage, 65202,
     /* 1125284 */     GIR_EraseRootFromParent_Done,
     /* 1125285 */   // Label 16520: @1125285
     /* 1125285 */   GIM_Try, /*On fail goto*//*Label 16521*/ GIMT_Encode4(1125362), // Rule ID 65203 //
     /* 1125290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1125293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1125298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1125301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1125304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1125307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1125310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125329 */     // MIs[0] policy
     /* 1125329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125339 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2),
     /* 1125342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125361 */     // GIR_Coverage, 65203,
     /* 1125361 */     GIR_EraseRootFromParent_Done,
     /* 1125362 */   // Label 16521: @1125362
     /* 1125362 */   GIM_Try, /*On fail goto*//*Label 16522*/ GIMT_Encode4(1125439), // Rule ID 65206 //
     /* 1125367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1125370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1125375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1125378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1125381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1125384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1125387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125406 */     // MIs[0] policy
     /* 1125406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125416 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4),
     /* 1125419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125438 */     // GIR_Coverage, 65206,
     /* 1125438 */     GIR_EraseRootFromParent_Done,
     /* 1125439 */   // Label 16522: @1125439
     /* 1125439 */   GIM_Try, /*On fail goto*//*Label 16523*/ GIMT_Encode4(1125516), // Rule ID 65207 //
     /* 1125444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1125447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1125452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1125455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1125458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1125461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1125464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125483 */     // MIs[0] policy
     /* 1125483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125493 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4),
     /* 1125496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125515 */     // GIR_Coverage, 65207,
     /* 1125515 */     GIR_EraseRootFromParent_Done,
     /* 1125516 */   // Label 16523: @1125516
     /* 1125516 */   GIM_Try, /*On fail goto*//*Label 16524*/ GIMT_Encode4(1125593), // Rule ID 65210 //
     /* 1125521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1125524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1125529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1125532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1125535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1125538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1125541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125560 */     // MIs[0] policy
     /* 1125560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125570 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8),
     /* 1125573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125592 */     // GIR_Coverage, 65210,
     /* 1125592 */     GIR_EraseRootFromParent_Done,
     /* 1125593 */   // Label 16524: @1125593
     /* 1125593 */   GIM_Try, /*On fail goto*//*Label 16525*/ GIMT_Encode4(1125670), // Rule ID 65211 //
     /* 1125598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1125601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1125606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1125609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1125612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1125615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1125618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125637 */     // MIs[0] policy
     /* 1125637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125647 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8),
     /* 1125650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125669 */     // GIR_Coverage, 65211,
     /* 1125669 */     GIR_EraseRootFromParent_Done,
     /* 1125670 */   // Label 16525: @1125670
     /* 1125670 */   GIM_Try, /*On fail goto*//*Label 16526*/ GIMT_Encode4(1125747), // Rule ID 65214 //
     /* 1125675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1125683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1125686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1125689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1125692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1125695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125714 */     // MIs[0] policy
     /* 1125714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125724 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_MF2),
     /* 1125727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125746 */     // GIR_Coverage, 65214,
     /* 1125746 */     GIR_EraseRootFromParent_Done,
     /* 1125747 */   // Label 16526: @1125747
     /* 1125747 */   GIM_Try, /*On fail goto*//*Label 16527*/ GIMT_Encode4(1125824), // Rule ID 65215 //
     /* 1125752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1125760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1125763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1125766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1125769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1125772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125791 */     // MIs[0] policy
     /* 1125791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125801 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_MF2),
     /* 1125804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125823 */     // GIR_Coverage, 65215,
     /* 1125823 */     GIR_EraseRootFromParent_Done,
     /* 1125824 */   // Label 16527: @1125824
     /* 1125824 */   GIM_Try, /*On fail goto*//*Label 16528*/ GIMT_Encode4(1125901), // Rule ID 65218 //
     /* 1125829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1125837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1125849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125868 */     // MIs[0] policy
     /* 1125868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1),
     /* 1125881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125900 */     // GIR_Coverage, 65218,
     /* 1125900 */     GIR_EraseRootFromParent_Done,
     /* 1125901 */   // Label 16528: @1125901
     /* 1125901 */   GIM_Try, /*On fail goto*//*Label 16529*/ GIMT_Encode4(1125978), // Rule ID 65219 //
     /* 1125906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1125914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1125926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125945 */     // MIs[0] policy
     /* 1125945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125955 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1),
     /* 1125958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125977 */     // GIR_Coverage, 65219,
     /* 1125977 */     GIR_EraseRootFromParent_Done,
     /* 1125978 */   // Label 16529: @1125978
     /* 1125978 */   GIM_Try, /*On fail goto*//*Label 16530*/ GIMT_Encode4(1126055), // Rule ID 65222 //
     /* 1125983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1125991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1126000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1126003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126022 */     // MIs[0] policy
     /* 1126022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2),
     /* 1126035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126054 */     // GIR_Coverage, 65222,
     /* 1126054 */     GIR_EraseRootFromParent_Done,
     /* 1126055 */   // Label 16530: @1126055
     /* 1126055 */   GIM_Try, /*On fail goto*//*Label 16531*/ GIMT_Encode4(1126132), // Rule ID 65223 //
     /* 1126060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1126068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1126077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1126080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126099 */     // MIs[0] policy
     /* 1126099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126109 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2),
     /* 1126112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126131 */     // GIR_Coverage, 65223,
     /* 1126131 */     GIR_EraseRootFromParent_Done,
     /* 1126132 */   // Label 16531: @1126132
     /* 1126132 */   GIM_Try, /*On fail goto*//*Label 16532*/ GIMT_Encode4(1126209), // Rule ID 65226 //
     /* 1126137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1126145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1126154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1126157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126176 */     // MIs[0] policy
     /* 1126176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4),
     /* 1126189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126208 */     // GIR_Coverage, 65226,
     /* 1126208 */     GIR_EraseRootFromParent_Done,
     /* 1126209 */   // Label 16532: @1126209
     /* 1126209 */   GIM_Try, /*On fail goto*//*Label 16533*/ GIMT_Encode4(1126286), // Rule ID 65227 //
     /* 1126214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1126222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1126231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1126234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126253 */     // MIs[0] policy
     /* 1126253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126263 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4),
     /* 1126266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126285 */     // GIR_Coverage, 65227,
     /* 1126285 */     GIR_EraseRootFromParent_Done,
     /* 1126286 */   // Label 16533: @1126286
     /* 1126286 */   GIM_Try, /*On fail goto*//*Label 16534*/ GIMT_Encode4(1126363), // Rule ID 65230 //
     /* 1126291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1126299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1126308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1126311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126330 */     // MIs[0] policy
     /* 1126330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126340 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8),
     /* 1126343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126362 */     // GIR_Coverage, 65230,
     /* 1126362 */     GIR_EraseRootFromParent_Done,
     /* 1126363 */   // Label 16534: @1126363
     /* 1126363 */   GIM_Try, /*On fail goto*//*Label 16535*/ GIMT_Encode4(1126440), // Rule ID 65231 //
     /* 1126368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1126376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1126385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1126388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126407 */     // MIs[0] policy
     /* 1126407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126417 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8),
     /* 1126420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126439 */     // GIR_Coverage, 65231,
     /* 1126439 */     GIR_EraseRootFromParent_Done,
     /* 1126440 */   // Label 16535: @1126440
     /* 1126440 */   GIM_Try, /*On fail goto*//*Label 16536*/ GIMT_Encode4(1126517), // Rule ID 65234 //
     /* 1126445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1126448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1126453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1126456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1126459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1126462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1126465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126484 */     // MIs[0] policy
     /* 1126484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1),
     /* 1126497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126516 */     // GIR_Coverage, 65234,
     /* 1126516 */     GIR_EraseRootFromParent_Done,
     /* 1126517 */   // Label 16536: @1126517
     /* 1126517 */   GIM_Try, /*On fail goto*//*Label 16537*/ GIMT_Encode4(1126594), // Rule ID 65235 //
     /* 1126522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1126525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1126530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1126533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1126536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1126539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1126542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126561 */     // MIs[0] policy
     /* 1126561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126571 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1),
     /* 1126574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126593 */     // GIR_Coverage, 65235,
     /* 1126593 */     GIR_EraseRootFromParent_Done,
     /* 1126594 */   // Label 16537: @1126594
     /* 1126594 */   GIM_Try, /*On fail goto*//*Label 16538*/ GIMT_Encode4(1126671), // Rule ID 65238 //
     /* 1126599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1126602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1126607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1126610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1126613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1126616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1126619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126638 */     // MIs[0] policy
     /* 1126638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126648 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2),
     /* 1126651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126670 */     // GIR_Coverage, 65238,
     /* 1126670 */     GIR_EraseRootFromParent_Done,
     /* 1126671 */   // Label 16538: @1126671
     /* 1126671 */   GIM_Try, /*On fail goto*//*Label 16539*/ GIMT_Encode4(1126748), // Rule ID 65239 //
     /* 1126676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1126679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1126684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1126687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1126690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1126693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1126696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126715 */     // MIs[0] policy
     /* 1126715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126725 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2),
     /* 1126728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126747 */     // GIR_Coverage, 65239,
     /* 1126747 */     GIR_EraseRootFromParent_Done,
     /* 1126748 */   // Label 16539: @1126748
     /* 1126748 */   GIM_Try, /*On fail goto*//*Label 16540*/ GIMT_Encode4(1126825), // Rule ID 65242 //
     /* 1126753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1126756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1126761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1126764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1126767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1126770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1126773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126792 */     // MIs[0] policy
     /* 1126792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126802 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4),
     /* 1126805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126824 */     // GIR_Coverage, 65242,
     /* 1126824 */     GIR_EraseRootFromParent_Done,
     /* 1126825 */   // Label 16540: @1126825
     /* 1126825 */   GIM_Try, /*On fail goto*//*Label 16541*/ GIMT_Encode4(1126902), // Rule ID 65243 //
     /* 1126830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1126833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1126838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1126841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1126844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1126847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1126850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126869 */     // MIs[0] policy
     /* 1126869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126879 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4),
     /* 1126882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126901 */     // GIR_Coverage, 65243,
     /* 1126901 */     GIR_EraseRootFromParent_Done,
     /* 1126902 */   // Label 16541: @1126902
     /* 1126902 */   GIM_Try, /*On fail goto*//*Label 16542*/ GIMT_Encode4(1126979), // Rule ID 65246 //
     /* 1126907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1126910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1126915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1126918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1126921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1126924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1126927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126946 */     // MIs[0] policy
     /* 1126946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126956 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8),
     /* 1126959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126978 */     // GIR_Coverage, 65246,
     /* 1126978 */     GIR_EraseRootFromParent_Done,
     /* 1126979 */   // Label 16542: @1126979
     /* 1126979 */   GIM_Try, /*On fail goto*//*Label 16543*/ GIMT_Encode4(1127056), // Rule ID 65247 //
     /* 1126984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1126987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1126992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1126995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1126998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1127001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1127004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127023 */     // MIs[0] policy
     /* 1127023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8),
     /* 1127036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127055 */     // GIR_Coverage, 65247,
     /* 1127055 */     GIR_EraseRootFromParent_Done,
     /* 1127056 */   // Label 16543: @1127056
     /* 1127056 */   GIM_Try, /*On fail goto*//*Label 16544*/ GIMT_Encode4(1127133), // Rule ID 65250 //
     /* 1127061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1127069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1127072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1127075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1127078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1127081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127100 */     // MIs[0] policy
     /* 1127100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127110 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_MF2),
     /* 1127113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127132 */     // GIR_Coverage, 65250,
     /* 1127132 */     GIR_EraseRootFromParent_Done,
     /* 1127133 */   // Label 16544: @1127133
     /* 1127133 */   GIM_Try, /*On fail goto*//*Label 16545*/ GIMT_Encode4(1127210), // Rule ID 65251 //
     /* 1127138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1127146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1127149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1127152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1127155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1127158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127177 */     // MIs[0] policy
     /* 1127177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127187 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_MF2),
     /* 1127190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127209 */     // GIR_Coverage, 65251,
     /* 1127209 */     GIR_EraseRootFromParent_Done,
     /* 1127210 */   // Label 16545: @1127210
     /* 1127210 */   GIM_Try, /*On fail goto*//*Label 16546*/ GIMT_Encode4(1127287), // Rule ID 65254 //
     /* 1127215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1127223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1127235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127254 */     // MIs[0] policy
     /* 1127254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1),
     /* 1127267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127286 */     // GIR_Coverage, 65254,
     /* 1127286 */     GIR_EraseRootFromParent_Done,
     /* 1127287 */   // Label 16546: @1127287
     /* 1127287 */   GIM_Try, /*On fail goto*//*Label 16547*/ GIMT_Encode4(1127364), // Rule ID 65255 //
     /* 1127292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1127300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1127312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127331 */     // MIs[0] policy
     /* 1127331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127341 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1),
     /* 1127344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127363 */     // GIR_Coverage, 65255,
     /* 1127363 */     GIR_EraseRootFromParent_Done,
     /* 1127364 */   // Label 16547: @1127364
     /* 1127364 */   GIM_Try, /*On fail goto*//*Label 16548*/ GIMT_Encode4(1127441), // Rule ID 65258 //
     /* 1127369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1127377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1127380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1127383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1127386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1127389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127408 */     // MIs[0] policy
     /* 1127408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127418 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2),
     /* 1127421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127440 */     // GIR_Coverage, 65258,
     /* 1127440 */     GIR_EraseRootFromParent_Done,
     /* 1127441 */   // Label 16548: @1127441
     /* 1127441 */   GIM_Try, /*On fail goto*//*Label 16549*/ GIMT_Encode4(1127518), // Rule ID 65259 //
     /* 1127446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1127454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1127457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1127460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1127463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1127466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127485 */     // MIs[0] policy
     /* 1127485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127495 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2),
     /* 1127498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127517 */     // GIR_Coverage, 65259,
     /* 1127517 */     GIR_EraseRootFromParent_Done,
     /* 1127518 */   // Label 16549: @1127518
     /* 1127518 */   GIM_Try, /*On fail goto*//*Label 16550*/ GIMT_Encode4(1127595), // Rule ID 65262 //
     /* 1127523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1127531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1127534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1127537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1127540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127562 */     // MIs[0] policy
     /* 1127562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127572 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4),
     /* 1127575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127594 */     // GIR_Coverage, 65262,
     /* 1127594 */     GIR_EraseRootFromParent_Done,
     /* 1127595 */   // Label 16550: @1127595
     /* 1127595 */   GIM_Try, /*On fail goto*//*Label 16551*/ GIMT_Encode4(1127672), // Rule ID 65263 //
     /* 1127600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1127608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1127611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1127614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1127617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127639 */     // MIs[0] policy
     /* 1127639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127649 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4),
     /* 1127652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127671 */     // GIR_Coverage, 65263,
     /* 1127671 */     GIR_EraseRootFromParent_Done,
     /* 1127672 */   // Label 16551: @1127672
     /* 1127672 */   GIM_Try, /*On fail goto*//*Label 16552*/ GIMT_Encode4(1127749), // Rule ID 65266 //
     /* 1127677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1127685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1127694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1127697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127716 */     // MIs[0] policy
     /* 1127716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127726 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8),
     /* 1127729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127748 */     // GIR_Coverage, 65266,
     /* 1127748 */     GIR_EraseRootFromParent_Done,
     /* 1127749 */   // Label 16552: @1127749
     /* 1127749 */   GIM_Try, /*On fail goto*//*Label 16553*/ GIMT_Encode4(1127826), // Rule ID 65267 //
     /* 1127754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1127762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1127771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1127774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127793 */     // MIs[0] policy
     /* 1127793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8),
     /* 1127806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127825 */     // GIR_Coverage, 65267,
     /* 1127825 */     GIR_EraseRootFromParent_Done,
     /* 1127826 */   // Label 16553: @1127826
     /* 1127826 */   GIM_Try, /*On fail goto*//*Label 16554*/ GIMT_Encode4(1127903), // Rule ID 65270 //
     /* 1127831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1127834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1127839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1127842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1127845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1127848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1127851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127870 */     // MIs[0] policy
     /* 1127870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127880 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1),
     /* 1127883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127902 */     // GIR_Coverage, 65270,
     /* 1127902 */     GIR_EraseRootFromParent_Done,
     /* 1127903 */   // Label 16554: @1127903
     /* 1127903 */   GIM_Try, /*On fail goto*//*Label 16555*/ GIMT_Encode4(1127980), // Rule ID 65271 //
     /* 1127908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1127911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1127916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1127919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1127922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1127925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1127928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127947 */     // MIs[0] policy
     /* 1127947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127957 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1),
     /* 1127960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127979 */     // GIR_Coverage, 65271,
     /* 1127979 */     GIR_EraseRootFromParent_Done,
     /* 1127980 */   // Label 16555: @1127980
     /* 1127980 */   GIM_Try, /*On fail goto*//*Label 16556*/ GIMT_Encode4(1128057), // Rule ID 65274 //
     /* 1127985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1127988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1127993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1127996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1127999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1128002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1128005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1128008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128024 */     // MIs[0] policy
     /* 1128024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128034 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1128034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2),
     /* 1128037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128056 */     // GIR_Coverage, 65274,
     /* 1128056 */     GIR_EraseRootFromParent_Done,
     /* 1128057 */   // Label 16556: @1128057
     /* 1128057 */   GIM_Try, /*On fail goto*//*Label 16557*/ GIMT_Encode4(1128134), // Rule ID 65275 //
     /* 1128062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1128065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1128070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1128073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1128076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1128079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1128082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1128085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128101 */     // MIs[0] policy
     /* 1128101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128111 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1128111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2),
     /* 1128114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128133 */     // GIR_Coverage, 65275,
     /* 1128133 */     GIR_EraseRootFromParent_Done,
     /* 1128134 */   // Label 16557: @1128134
     /* 1128134 */   GIM_Try, /*On fail goto*//*Label 16558*/ GIMT_Encode4(1128211), // Rule ID 65278 //
     /* 1128139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1128142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1128147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1128150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1128153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1128156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1128159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1128162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128178 */     // MIs[0] policy
     /* 1128178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128188 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1128188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4),
     /* 1128191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128210 */     // GIR_Coverage, 65278,
     /* 1128210 */     GIR_EraseRootFromParent_Done,
     /* 1128211 */   // Label 16558: @1128211
     /* 1128211 */   GIM_Try, /*On fail goto*//*Label 16559*/ GIMT_Encode4(1128288), // Rule ID 65279 //
     /* 1128216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1128219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1128224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1128227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1128230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1128233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1128236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1128239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128255 */     // MIs[0] policy
     /* 1128255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128265 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1128265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4),
     /* 1128268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128287 */     // GIR_Coverage, 65279,
     /* 1128287 */     GIR_EraseRootFromParent_Done,
     /* 1128288 */   // Label 16559: @1128288
     /* 1128288 */   GIM_Try, /*On fail goto*//*Label 16560*/ GIMT_Encode4(1128365), // Rule ID 65282 //
     /* 1128293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1128296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1128301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1128304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1128307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1128310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1128313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1128316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128332 */     // MIs[0] policy
     /* 1128332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128342 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1128342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8),
     /* 1128345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128364 */     // GIR_Coverage, 65282,
     /* 1128364 */     GIR_EraseRootFromParent_Done,
     /* 1128365 */   // Label 16560: @1128365
     /* 1128365 */   GIM_Try, /*On fail goto*//*Label 16561*/ GIMT_Encode4(1128442), // Rule ID 65283 //
     /* 1128370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1128373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1128378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1128381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1128384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1128387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1128390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1128393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128409 */     // MIs[0] policy
     /* 1128409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128419 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1128419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8),
     /* 1128422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128441 */     // GIR_Coverage, 65283,
     /* 1128441 */     GIR_EraseRootFromParent_Done,
     /* 1128442 */   // Label 16561: @1128442
     /* 1128442 */   GIM_Try, /*On fail goto*//*Label 16562*/ GIMT_Encode4(1128522), // Rule ID 2728 //
     /* 1128447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1128458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1128461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1128464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1128467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128486 */     // MIs[0] round
     /* 1128486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1128499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128521 */     // GIR_Coverage, 2728,
     /* 1128521 */     GIR_EraseRootFromParent_Done,
     /* 1128522 */   // Label 16562: @1128522
     /* 1128522 */   GIM_Try, /*On fail goto*//*Label 16563*/ GIMT_Encode4(1128602), // Rule ID 2729 //
     /* 1128527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1128538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1128541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1128544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1128547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128566 */     // MIs[0] round
     /* 1128566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128576 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1128579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128601 */     // GIR_Coverage, 2729,
     /* 1128601 */     GIR_EraseRootFromParent_Done,
     /* 1128602 */   // Label 16563: @1128602
     /* 1128602 */   GIM_Try, /*On fail goto*//*Label 16564*/ GIMT_Encode4(1128682), // Rule ID 2768 //
     /* 1128607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1128610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1128615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1128627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128646 */     // MIs[0] round
     /* 1128646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128656 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1128659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128681 */     // GIR_Coverage, 2768,
     /* 1128681 */     GIR_EraseRootFromParent_Done,
     /* 1128682 */   // Label 16564: @1128682
     /* 1128682 */   GIM_Try, /*On fail goto*//*Label 16565*/ GIMT_Encode4(1128762), // Rule ID 2769 //
     /* 1128687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1128690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1128695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1128707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128726 */     // MIs[0] round
     /* 1128726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128736 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1128739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128761 */     // GIR_Coverage, 2769,
     /* 1128761 */     GIR_EraseRootFromParent_Done,
     /* 1128762 */   // Label 16565: @1128762
     /* 1128762 */   GIM_Try, /*On fail goto*//*Label 16566*/ GIMT_Encode4(1128842), // Rule ID 2788 //
     /* 1128767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1128770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1128787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128806 */     // MIs[0] round
     /* 1128806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128816 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1128819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128841 */     // GIR_Coverage, 2788,
     /* 1128841 */     GIR_EraseRootFromParent_Done,
     /* 1128842 */   // Label 16566: @1128842
     /* 1128842 */   GIM_Try, /*On fail goto*//*Label 16567*/ GIMT_Encode4(1128922), // Rule ID 2789 //
     /* 1128847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1128850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1128867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128886 */     // MIs[0] round
     /* 1128886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128896 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1128899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128921 */     // GIR_Coverage, 2789,
     /* 1128921 */     GIR_EraseRootFromParent_Done,
     /* 1128922 */   // Label 16567: @1128922
     /* 1128922 */   GIM_Try, /*On fail goto*//*Label 16568*/ GIMT_Encode4(1129002), // Rule ID 14938 //
     /* 1128927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1128938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1128941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1128944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1128947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128966 */     // MIs[0] round
     /* 1128966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128976 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1128979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129001 */     // GIR_Coverage, 14938,
     /* 1129001 */     GIR_EraseRootFromParent_Done,
     /* 1129002 */   // Label 16568: @1129002
     /* 1129002 */   GIM_Try, /*On fail goto*//*Label 16569*/ GIMT_Encode4(1129082), // Rule ID 14939 //
     /* 1129007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1129018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1129021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1129024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1129027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129046 */     // MIs[0] round
     /* 1129046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129056 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1129059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129081 */     // GIR_Coverage, 14939,
     /* 1129081 */     GIR_EraseRootFromParent_Done,
     /* 1129082 */   // Label 16569: @1129082
     /* 1129082 */   GIM_Try, /*On fail goto*//*Label 16570*/ GIMT_Encode4(1129162), // Rule ID 14942 //
     /* 1129087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1129098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1129101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1129104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1129107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129126 */     // MIs[0] round
     /* 1129126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1129139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129161 */     // GIR_Coverage, 14942,
     /* 1129161 */     GIR_EraseRootFromParent_Done,
     /* 1129162 */   // Label 16570: @1129162
     /* 1129162 */   GIM_Try, /*On fail goto*//*Label 16571*/ GIMT_Encode4(1129242), // Rule ID 14943 //
     /* 1129167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1129178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1129181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1129184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1129187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129206 */     // MIs[0] round
     /* 1129206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129216 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1129219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129241 */     // GIR_Coverage, 14943,
     /* 1129241 */     GIR_EraseRootFromParent_Done,
     /* 1129242 */   // Label 16571: @1129242
     /* 1129242 */   GIM_Try, /*On fail goto*//*Label 16572*/ GIMT_Encode4(1129322), // Rule ID 14946 //
     /* 1129247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1129258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1129261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1129264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1129267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129286 */     // MIs[0] round
     /* 1129286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129296 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1129299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129321 */     // GIR_Coverage, 14946,
     /* 1129321 */     GIR_EraseRootFromParent_Done,
     /* 1129322 */   // Label 16572: @1129322
     /* 1129322 */   GIM_Try, /*On fail goto*//*Label 16573*/ GIMT_Encode4(1129402), // Rule ID 14947 //
     /* 1129327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1129338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1129341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1129344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1129347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129366 */     // MIs[0] round
     /* 1129366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129376 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1129379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129401 */     // GIR_Coverage, 14947,
     /* 1129401 */     GIR_EraseRootFromParent_Done,
     /* 1129402 */   // Label 16573: @1129402
     /* 1129402 */   GIM_Try, /*On fail goto*//*Label 16574*/ GIMT_Encode4(1129482), // Rule ID 14950 //
     /* 1129407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1129418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1129421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1129424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1129427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129446 */     // MIs[0] round
     /* 1129446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129456 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1129459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129481 */     // GIR_Coverage, 14950,
     /* 1129481 */     GIR_EraseRootFromParent_Done,
     /* 1129482 */   // Label 16574: @1129482
     /* 1129482 */   GIM_Try, /*On fail goto*//*Label 16575*/ GIMT_Encode4(1129562), // Rule ID 14951 //
     /* 1129487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1129498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1129501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1129504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1129507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129526 */     // MIs[0] round
     /* 1129526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1129539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129561 */     // GIR_Coverage, 14951,
     /* 1129561 */     GIR_EraseRootFromParent_Done,
     /* 1129562 */   // Label 16575: @1129562
     /* 1129562 */   GIM_Try, /*On fail goto*//*Label 16576*/ GIMT_Encode4(1129642), // Rule ID 14954 //
     /* 1129567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1129578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1129581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1129584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1129587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129606 */     // MIs[0] round
     /* 1129606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1129619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129641 */     // GIR_Coverage, 14954,
     /* 1129641 */     GIR_EraseRootFromParent_Done,
     /* 1129642 */   // Label 16576: @1129642
     /* 1129642 */   GIM_Try, /*On fail goto*//*Label 16577*/ GIMT_Encode4(1129722), // Rule ID 14955 //
     /* 1129647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1129658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1129661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1129664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1129667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129686 */     // MIs[0] round
     /* 1129686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129696 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1129699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129721 */     // GIR_Coverage, 14955,
     /* 1129721 */     GIR_EraseRootFromParent_Done,
     /* 1129722 */   // Label 16577: @1129722
     /* 1129722 */   GIM_Try, /*On fail goto*//*Label 16578*/ GIMT_Encode4(1129802), // Rule ID 14958 //
     /* 1129727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1129738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1129741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1129744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1129747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129766 */     // MIs[0] round
     /* 1129766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129776 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129801 */     // GIR_Coverage, 14958,
     /* 1129801 */     GIR_EraseRootFromParent_Done,
     /* 1129802 */   // Label 16578: @1129802
     /* 1129802 */   GIM_Try, /*On fail goto*//*Label 16579*/ GIMT_Encode4(1129882), // Rule ID 14959 //
     /* 1129807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1129818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1129821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1129824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1129827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129846 */     // MIs[0] round
     /* 1129846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129856 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129881 */     // GIR_Coverage, 14959,
     /* 1129881 */     GIR_EraseRootFromParent_Done,
     /* 1129882 */   // Label 16579: @1129882
     /* 1129882 */   GIM_Try, /*On fail goto*//*Label 16580*/ GIMT_Encode4(1129962), // Rule ID 14962 //
     /* 1129887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129926 */     // MIs[0] round
     /* 1129926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129961 */     // GIR_Coverage, 14962,
     /* 1129961 */     GIR_EraseRootFromParent_Done,
     /* 1129962 */   // Label 16580: @1129962
     /* 1129962 */   GIM_Try, /*On fail goto*//*Label 16581*/ GIMT_Encode4(1130042), // Rule ID 14963 //
     /* 1129967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130006 */     // MIs[0] round
     /* 1130006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1130019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130041 */     // GIR_Coverage, 14963,
     /* 1130041 */     GIR_EraseRootFromParent_Done,
     /* 1130042 */   // Label 16581: @1130042
     /* 1130042 */   GIM_Try, /*On fail goto*//*Label 16582*/ GIMT_Encode4(1130122), // Rule ID 14966 //
     /* 1130047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1130058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1130061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1130064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1130067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130086 */     // MIs[0] round
     /* 1130086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1130099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130121 */     // GIR_Coverage, 14966,
     /* 1130121 */     GIR_EraseRootFromParent_Done,
     /* 1130122 */   // Label 16582: @1130122
     /* 1130122 */   GIM_Try, /*On fail goto*//*Label 16583*/ GIMT_Encode4(1130202), // Rule ID 14967 //
     /* 1130127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1130138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1130141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1130144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1130147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130166 */     // MIs[0] round
     /* 1130166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1130179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130201 */     // GIR_Coverage, 14967,
     /* 1130201 */     GIR_EraseRootFromParent_Done,
     /* 1130202 */   // Label 16583: @1130202
     /* 1130202 */   GIM_Try, /*On fail goto*//*Label 16584*/ GIMT_Encode4(1130282), // Rule ID 14970 //
     /* 1130207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1130218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1130221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1130224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1130227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130246 */     // MIs[0] round
     /* 1130246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130256 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1130259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130281 */     // GIR_Coverage, 14970,
     /* 1130281 */     GIR_EraseRootFromParent_Done,
     /* 1130282 */   // Label 16584: @1130282
     /* 1130282 */   GIM_Try, /*On fail goto*//*Label 16585*/ GIMT_Encode4(1130362), // Rule ID 14971 //
     /* 1130287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1130298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1130301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1130304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1130307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130326 */     // MIs[0] round
     /* 1130326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1130339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130361 */     // GIR_Coverage, 14971,
     /* 1130361 */     GIR_EraseRootFromParent_Done,
     /* 1130362 */   // Label 16585: @1130362
     /* 1130362 */   GIM_Try, /*On fail goto*//*Label 16586*/ GIMT_Encode4(1130442), // Rule ID 14974 //
     /* 1130367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1130378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1130381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1130384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1130387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130406 */     // MIs[0] round
     /* 1130406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1130419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130441 */     // GIR_Coverage, 14974,
     /* 1130441 */     GIR_EraseRootFromParent_Done,
     /* 1130442 */   // Label 16586: @1130442
     /* 1130442 */   GIM_Try, /*On fail goto*//*Label 16587*/ GIMT_Encode4(1130522), // Rule ID 14975 //
     /* 1130447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1130458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1130461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1130464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1130467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130486 */     // MIs[0] round
     /* 1130486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130496 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1130499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130521 */     // GIR_Coverage, 14975,
     /* 1130521 */     GIR_EraseRootFromParent_Done,
     /* 1130522 */   // Label 16587: @1130522
     /* 1130522 */   GIM_Try, /*On fail goto*//*Label 16588*/ GIMT_Encode4(1130602), // Rule ID 14978 //
     /* 1130527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1130538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1130541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1130544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1130547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130566 */     // MIs[0] round
     /* 1130566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130576 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1130579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130601 */     // GIR_Coverage, 14978,
     /* 1130601 */     GIR_EraseRootFromParent_Done,
     /* 1130602 */   // Label 16588: @1130602
     /* 1130602 */   GIM_Try, /*On fail goto*//*Label 16589*/ GIMT_Encode4(1130682), // Rule ID 14979 //
     /* 1130607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1130618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1130621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1130624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1130627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130646 */     // MIs[0] round
     /* 1130646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130656 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1130659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130681 */     // GIR_Coverage, 14979,
     /* 1130681 */     GIR_EraseRootFromParent_Done,
     /* 1130682 */   // Label 16589: @1130682
     /* 1130682 */   GIM_Try, /*On fail goto*//*Label 16590*/ GIMT_Encode4(1130762), // Rule ID 14982 //
     /* 1130687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1130698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1130701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1130704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1130707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130726 */     // MIs[0] round
     /* 1130726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130736 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1130739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130761 */     // GIR_Coverage, 14982,
     /* 1130761 */     GIR_EraseRootFromParent_Done,
     /* 1130762 */   // Label 16590: @1130762
     /* 1130762 */   GIM_Try, /*On fail goto*//*Label 16591*/ GIMT_Encode4(1130842), // Rule ID 14983 //
     /* 1130767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1130778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1130781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1130784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1130787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130806 */     // MIs[0] round
     /* 1130806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130816 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1130819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130841 */     // GIR_Coverage, 14983,
     /* 1130841 */     GIR_EraseRootFromParent_Done,
     /* 1130842 */   // Label 16591: @1130842
     /* 1130842 */   GIM_Try, /*On fail goto*//*Label 16592*/ GIMT_Encode4(1130922), // Rule ID 14986 //
     /* 1130847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1130858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1130861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1130864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1130867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130886 */     // MIs[0] round
     /* 1130886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1130899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130921 */     // GIR_Coverage, 14986,
     /* 1130921 */     GIR_EraseRootFromParent_Done,
     /* 1130922 */   // Label 16592: @1130922
     /* 1130922 */   GIM_Try, /*On fail goto*//*Label 16593*/ GIMT_Encode4(1131002), // Rule ID 14987 //
     /* 1130927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1130938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1130941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1130944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1130947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130966 */     // MIs[0] round
     /* 1130966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130976 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1130979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131001 */     // GIR_Coverage, 14987,
     /* 1131001 */     GIR_EraseRootFromParent_Done,
     /* 1131002 */   // Label 16593: @1131002
     /* 1131002 */   GIM_Try, /*On fail goto*//*Label 16594*/ GIMT_Encode4(1131082), // Rule ID 14990 //
     /* 1131007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1131018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1131021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1131024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1131027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131046 */     // MIs[0] round
     /* 1131046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131056 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1131059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131081 */     // GIR_Coverage, 14990,
     /* 1131081 */     GIR_EraseRootFromParent_Done,
     /* 1131082 */   // Label 16594: @1131082
     /* 1131082 */   GIM_Try, /*On fail goto*//*Label 16595*/ GIMT_Encode4(1131162), // Rule ID 14991 //
     /* 1131087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1131098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1131101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1131104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1131107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131126 */     // MIs[0] round
     /* 1131126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1131139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131161 */     // GIR_Coverage, 14991,
     /* 1131161 */     GIR_EraseRootFromParent_Done,
     /* 1131162 */   // Label 16595: @1131162
     /* 1131162 */   GIM_Try, /*On fail goto*//*Label 16596*/ GIMT_Encode4(1131242), // Rule ID 14994 //
     /* 1131167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1131178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1131181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1131184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1131187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131206 */     // MIs[0] round
     /* 1131206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131216 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1131219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131241 */     // GIR_Coverage, 14994,
     /* 1131241 */     GIR_EraseRootFromParent_Done,
     /* 1131242 */   // Label 16596: @1131242
     /* 1131242 */   GIM_Try, /*On fail goto*//*Label 16597*/ GIMT_Encode4(1131322), // Rule ID 14995 //
     /* 1131247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1131258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1131261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1131264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1131267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131286 */     // MIs[0] round
     /* 1131286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1131299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131321 */     // GIR_Coverage, 14995,
     /* 1131321 */     GIR_EraseRootFromParent_Done,
     /* 1131322 */   // Label 16597: @1131322
     /* 1131322 */   GIM_Try, /*On fail goto*//*Label 16598*/ GIMT_Encode4(1131402), // Rule ID 14998 //
     /* 1131327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1131338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1131341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1131344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1131347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131366 */     // MIs[0] round
     /* 1131366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1131379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131401 */     // GIR_Coverage, 14998,
     /* 1131401 */     GIR_EraseRootFromParent_Done,
     /* 1131402 */   // Label 16598: @1131402
     /* 1131402 */   GIM_Try, /*On fail goto*//*Label 16599*/ GIMT_Encode4(1131482), // Rule ID 14999 //
     /* 1131407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1131418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1131421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1131424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1131427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131446 */     // MIs[0] round
     /* 1131446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131456 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1131459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131481 */     // GIR_Coverage, 14999,
     /* 1131481 */     GIR_EraseRootFromParent_Done,
     /* 1131482 */   // Label 16599: @1131482
     /* 1131482 */   GIM_Try, /*On fail goto*//*Label 16600*/ GIMT_Encode4(1131562), // Rule ID 15002 //
     /* 1131487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1131498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1131501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1131504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1131507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131526 */     // MIs[0] round
     /* 1131526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1131539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131561 */     // GIR_Coverage, 15002,
     /* 1131561 */     GIR_EraseRootFromParent_Done,
     /* 1131562 */   // Label 16600: @1131562
     /* 1131562 */   GIM_Try, /*On fail goto*//*Label 16601*/ GIMT_Encode4(1131642), // Rule ID 15003 //
     /* 1131567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1131578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1131581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1131584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1131587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131606 */     // MIs[0] round
     /* 1131606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131616 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1131619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131641 */     // GIR_Coverage, 15003,
     /* 1131641 */     GIR_EraseRootFromParent_Done,
     /* 1131642 */   // Label 16601: @1131642
     /* 1131642 */   GIM_Try, /*On fail goto*//*Label 16602*/ GIMT_Encode4(1131722), // Rule ID 15006 //
     /* 1131647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1131658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1131661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1131664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1131667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131686 */     // MIs[0] round
     /* 1131686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1131699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131721 */     // GIR_Coverage, 15006,
     /* 1131721 */     GIR_EraseRootFromParent_Done,
     /* 1131722 */   // Label 16602: @1131722
     /* 1131722 */   GIM_Try, /*On fail goto*//*Label 16603*/ GIMT_Encode4(1131802), // Rule ID 15007 //
     /* 1131727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1131738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1131741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1131744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1131747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131766 */     // MIs[0] round
     /* 1131766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131776 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1131779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131801 */     // GIR_Coverage, 15007,
     /* 1131801 */     GIR_EraseRootFromParent_Done,
     /* 1131802 */   // Label 16603: @1131802
     /* 1131802 */   GIM_Try, /*On fail goto*//*Label 16604*/ GIMT_Encode4(1131882), // Rule ID 15010 //
     /* 1131807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1131810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1131818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1131821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1131824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1131827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131846 */     // MIs[0] round
     /* 1131846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131856 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1131859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131881 */     // GIR_Coverage, 15010,
     /* 1131881 */     GIR_EraseRootFromParent_Done,
     /* 1131882 */   // Label 16604: @1131882
     /* 1131882 */   GIM_Try, /*On fail goto*//*Label 16605*/ GIMT_Encode4(1131962), // Rule ID 15011 //
     /* 1131887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1131890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1131898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1131901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1131904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1131907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131926 */     // MIs[0] round
     /* 1131926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1131939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131961 */     // GIR_Coverage, 15011,
     /* 1131961 */     GIR_EraseRootFromParent_Done,
     /* 1131962 */   // Label 16605: @1131962
     /* 1131962 */   GIM_Try, /*On fail goto*//*Label 16606*/ GIMT_Encode4(1132042), // Rule ID 15014 //
     /* 1131967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1131970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1131978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1131981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1131984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1131987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132006 */     // MIs[0] round
     /* 1132006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132016 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1132019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132041 */     // GIR_Coverage, 15014,
     /* 1132041 */     GIR_EraseRootFromParent_Done,
     /* 1132042 */   // Label 16606: @1132042
     /* 1132042 */   GIM_Try, /*On fail goto*//*Label 16607*/ GIMT_Encode4(1132122), // Rule ID 15015 //
     /* 1132047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1132050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1132058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1132061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1132064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1132067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132086 */     // MIs[0] round
     /* 1132086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132096 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1132099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132121 */     // GIR_Coverage, 15015,
     /* 1132121 */     GIR_EraseRootFromParent_Done,
     /* 1132122 */   // Label 16607: @1132122
     /* 1132122 */   GIM_Try, /*On fail goto*//*Label 16608*/ GIMT_Encode4(1132202), // Rule ID 15018 //
     /* 1132127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1132130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1132138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1132141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1132144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1132147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132166 */     // MIs[0] round
     /* 1132166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1132179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132201 */     // GIR_Coverage, 15018,
     /* 1132201 */     GIR_EraseRootFromParent_Done,
     /* 1132202 */   // Label 16608: @1132202
     /* 1132202 */   GIM_Try, /*On fail goto*//*Label 16609*/ GIMT_Encode4(1132282), // Rule ID 15019 //
     /* 1132207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1132210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1132218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1132221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1132224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1132227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132246 */     // MIs[0] round
     /* 1132246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132256 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1132259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132281 */     // GIR_Coverage, 15019,
     /* 1132281 */     GIR_EraseRootFromParent_Done,
     /* 1132282 */   // Label 16609: @1132282
     /* 1132282 */   GIM_Try, /*On fail goto*//*Label 16610*/ GIMT_Encode4(1132362), // Rule ID 15022 //
     /* 1132287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1132298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1132301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1132304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132326 */     // MIs[0] round
     /* 1132326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1132339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132361 */     // GIR_Coverage, 15022,
     /* 1132361 */     GIR_EraseRootFromParent_Done,
     /* 1132362 */   // Label 16610: @1132362
     /* 1132362 */   GIM_Try, /*On fail goto*//*Label 16611*/ GIMT_Encode4(1132442), // Rule ID 15023 //
     /* 1132367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1132378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1132381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1132384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132406 */     // MIs[0] round
     /* 1132406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132416 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1132419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132441 */     // GIR_Coverage, 15023,
     /* 1132441 */     GIR_EraseRootFromParent_Done,
     /* 1132442 */   // Label 16611: @1132442
     /* 1132442 */   GIM_Try, /*On fail goto*//*Label 16612*/ GIMT_Encode4(1132522), // Rule ID 15026 //
     /* 1132447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1132458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1132461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1132464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132486 */     // MIs[0] round
     /* 1132486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132496 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1132499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132521 */     // GIR_Coverage, 15026,
     /* 1132521 */     GIR_EraseRootFromParent_Done,
     /* 1132522 */   // Label 16612: @1132522
     /* 1132522 */   GIM_Try, /*On fail goto*//*Label 16613*/ GIMT_Encode4(1132602), // Rule ID 15027 //
     /* 1132527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1132538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1132541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1132544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132566 */     // MIs[0] round
     /* 1132566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132576 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1132579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132601 */     // GIR_Coverage, 15027,
     /* 1132601 */     GIR_EraseRootFromParent_Done,
     /* 1132602 */   // Label 16613: @1132602
     /* 1132602 */   GIM_Try, /*On fail goto*//*Label 16614*/ GIMT_Encode4(1132682), // Rule ID 15030 //
     /* 1132607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1132618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1132621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1132624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132646 */     // MIs[0] round
     /* 1132646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132656 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132681 */     // GIR_Coverage, 15030,
     /* 1132681 */     GIR_EraseRootFromParent_Done,
     /* 1132682 */   // Label 16614: @1132682
     /* 1132682 */   GIM_Try, /*On fail goto*//*Label 16615*/ GIMT_Encode4(1132762), // Rule ID 15031 //
     /* 1132687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1132698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1132701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1132704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132726 */     // MIs[0] round
     /* 1132726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132761 */     // GIR_Coverage, 15031,
     /* 1132761 */     GIR_EraseRootFromParent_Done,
     /* 1132762 */   // Label 16615: @1132762
     /* 1132762 */   GIM_Try, /*On fail goto*//*Label 16616*/ GIMT_Encode4(1132842), // Rule ID 15034 //
     /* 1132767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1132778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1132781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1132784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132806 */     // MIs[0] round
     /* 1132806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132816 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1132819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132841 */     // GIR_Coverage, 15034,
     /* 1132841 */     GIR_EraseRootFromParent_Done,
     /* 1132842 */   // Label 16616: @1132842
     /* 1132842 */   GIM_Try, /*On fail goto*//*Label 16617*/ GIMT_Encode4(1132922), // Rule ID 15035 //
     /* 1132847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1132858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1132861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1132864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132886 */     // MIs[0] round
     /* 1132886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132896 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1132899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132921 */     // GIR_Coverage, 15035,
     /* 1132921 */     GIR_EraseRootFromParent_Done,
     /* 1132922 */   // Label 16617: @1132922
     /* 1132922 */   GIM_Try, /*On fail goto*//*Label 16618*/ GIMT_Encode4(1133002), // Rule ID 15038 //
     /* 1132927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1132938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1132941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1132944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132966 */     // MIs[0] round
     /* 1132966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133001 */     // GIR_Coverage, 15038,
     /* 1133001 */     GIR_EraseRootFromParent_Done,
     /* 1133002 */   // Label 16618: @1133002
     /* 1133002 */   GIM_Try, /*On fail goto*//*Label 16619*/ GIMT_Encode4(1133082), // Rule ID 15039 //
     /* 1133007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1133018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1133021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1133024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133046 */     // MIs[0] round
     /* 1133046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133056 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1133059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133081 */     // GIR_Coverage, 15039,
     /* 1133081 */     GIR_EraseRootFromParent_Done,
     /* 1133082 */   // Label 16619: @1133082
     /* 1133082 */   GIM_Try, /*On fail goto*//*Label 16620*/ GIMT_Encode4(1133162), // Rule ID 15042 //
     /* 1133087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1133098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1133101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1133104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133126 */     // MIs[0] round
     /* 1133126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133136 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1133139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133161 */     // GIR_Coverage, 15042,
     /* 1133161 */     GIR_EraseRootFromParent_Done,
     /* 1133162 */   // Label 16620: @1133162
     /* 1133162 */   GIM_Try, /*On fail goto*//*Label 16621*/ GIMT_Encode4(1133242), // Rule ID 15043 //
     /* 1133167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1133178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1133181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1133184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133206 */     // MIs[0] round
     /* 1133206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133216 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1133219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133241 */     // GIR_Coverage, 15043,
     /* 1133241 */     GIR_EraseRootFromParent_Done,
     /* 1133242 */   // Label 16621: @1133242
     /* 1133242 */   GIM_Try, /*On fail goto*//*Label 16622*/ GIMT_Encode4(1133322), // Rule ID 15046 //
     /* 1133247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1133258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1133261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1133264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133286 */     // MIs[0] round
     /* 1133286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133321 */     // GIR_Coverage, 15046,
     /* 1133321 */     GIR_EraseRootFromParent_Done,
     /* 1133322 */   // Label 16622: @1133322
     /* 1133322 */   GIM_Try, /*On fail goto*//*Label 16623*/ GIMT_Encode4(1133402), // Rule ID 15047 //
     /* 1133327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1133338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1133341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1133344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133366 */     // MIs[0] round
     /* 1133366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133401 */     // GIR_Coverage, 15047,
     /* 1133401 */     GIR_EraseRootFromParent_Done,
     /* 1133402 */   // Label 16623: @1133402
     /* 1133402 */   GIM_Try, /*On fail goto*//*Label 16624*/ GIMT_Encode4(1133482), // Rule ID 15050 //
     /* 1133407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1133418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1133421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1133424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133446 */     // MIs[0] round
     /* 1133446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133481 */     // GIR_Coverage, 15050,
     /* 1133481 */     GIR_EraseRootFromParent_Done,
     /* 1133482 */   // Label 16624: @1133482
     /* 1133482 */   GIM_Try, /*On fail goto*//*Label 16625*/ GIMT_Encode4(1133562), // Rule ID 15051 //
     /* 1133487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1133498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1133501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1133504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133526 */     // MIs[0] round
     /* 1133526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133561 */     // GIR_Coverage, 15051,
     /* 1133561 */     GIR_EraseRootFromParent_Done,
     /* 1133562 */   // Label 16625: @1133562
     /* 1133562 */   GIM_Try, /*On fail goto*//*Label 16626*/ GIMT_Encode4(1133642), // Rule ID 15054 //
     /* 1133567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1133578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1133581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1133584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133606 */     // MIs[0] round
     /* 1133606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133616 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133641 */     // GIR_Coverage, 15054,
     /* 1133641 */     GIR_EraseRootFromParent_Done,
     /* 1133642 */   // Label 16626: @1133642
     /* 1133642 */   GIM_Try, /*On fail goto*//*Label 16627*/ GIMT_Encode4(1133722), // Rule ID 15055 //
     /* 1133647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1133658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1133661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1133664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133686 */     // MIs[0] round
     /* 1133686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133721 */     // GIR_Coverage, 15055,
     /* 1133721 */     GIR_EraseRootFromParent_Done,
     /* 1133722 */   // Label 16627: @1133722
     /* 1133722 */   GIM_Try, /*On fail goto*//*Label 16628*/ GIMT_Encode4(1133802), // Rule ID 15058 //
     /* 1133727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1133730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1133744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133766 */     // MIs[0] round
     /* 1133766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133801 */     // GIR_Coverage, 15058,
     /* 1133801 */     GIR_EraseRootFromParent_Done,
     /* 1133802 */   // Label 16628: @1133802
     /* 1133802 */   GIM_Try, /*On fail goto*//*Label 16629*/ GIMT_Encode4(1133882), // Rule ID 15059 //
     /* 1133807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1133810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1133824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133846 */     // MIs[0] round
     /* 1133846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133881 */     // GIR_Coverage, 15059,
     /* 1133881 */     GIR_EraseRootFromParent_Done,
     /* 1133882 */   // Label 16629: @1133882
     /* 1133882 */   GIM_Try, /*On fail goto*//*Label 16630*/ GIMT_Encode4(1133962), // Rule ID 15062 //
     /* 1133887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1133898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1133901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1133904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133926 */     // MIs[0] round
     /* 1133926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133936 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1133939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133961 */     // GIR_Coverage, 15062,
     /* 1133961 */     GIR_EraseRootFromParent_Done,
     /* 1133962 */   // Label 16630: @1133962
     /* 1133962 */   GIM_Try, /*On fail goto*//*Label 16631*/ GIMT_Encode4(1134042), // Rule ID 15063 //
     /* 1133967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1133978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1133981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1133984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134006 */     // MIs[0] round
     /* 1134006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134016 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134041 */     // GIR_Coverage, 15063,
     /* 1134041 */     GIR_EraseRootFromParent_Done,
     /* 1134042 */   // Label 16631: @1134042
     /* 1134042 */   GIM_Try, /*On fail goto*//*Label 16632*/ GIMT_Encode4(1134122), // Rule ID 15066 //
     /* 1134047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1134058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1134061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1134064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134086 */     // MIs[0] round
     /* 1134086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134096 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1134099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134121 */     // GIR_Coverage, 15066,
     /* 1134121 */     GIR_EraseRootFromParent_Done,
     /* 1134122 */   // Label 16632: @1134122
     /* 1134122 */   GIM_Try, /*On fail goto*//*Label 16633*/ GIMT_Encode4(1134202), // Rule ID 15067 //
     /* 1134127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1134138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1134141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1134144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134166 */     // MIs[0] round
     /* 1134166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134176 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1134179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134201 */     // GIR_Coverage, 15067,
     /* 1134201 */     GIR_EraseRootFromParent_Done,
     /* 1134202 */   // Label 16633: @1134202
     /* 1134202 */   GIM_Try, /*On fail goto*//*Label 16634*/ GIMT_Encode4(1134282), // Rule ID 15070 //
     /* 1134207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1134218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1134221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1134224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134246 */     // MIs[0] round
     /* 1134246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134256 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1134259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134281 */     // GIR_Coverage, 15070,
     /* 1134281 */     GIR_EraseRootFromParent_Done,
     /* 1134282 */   // Label 16634: @1134282
     /* 1134282 */   GIM_Try, /*On fail goto*//*Label 16635*/ GIMT_Encode4(1134362), // Rule ID 15071 //
     /* 1134287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1134298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1134301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1134304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134326 */     // MIs[0] round
     /* 1134326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1134339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134361 */     // GIR_Coverage, 15071,
     /* 1134361 */     GIR_EraseRootFromParent_Done,
     /* 1134362 */   // Label 16635: @1134362
     /* 1134362 */   GIM_Try, /*On fail goto*//*Label 16636*/ GIMT_Encode4(1134442), // Rule ID 15074 //
     /* 1134367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1134378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1134381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1134384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134406 */     // MIs[0] round
     /* 1134406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134416 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134441 */     // GIR_Coverage, 15074,
     /* 1134441 */     GIR_EraseRootFromParent_Done,
     /* 1134442 */   // Label 16636: @1134442
     /* 1134442 */   GIM_Try, /*On fail goto*//*Label 16637*/ GIMT_Encode4(1134522), // Rule ID 15075 //
     /* 1134447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1134458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1134461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1134464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134486 */     // MIs[0] round
     /* 1134486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134521 */     // GIR_Coverage, 15075,
     /* 1134521 */     GIR_EraseRootFromParent_Done,
     /* 1134522 */   // Label 16637: @1134522
     /* 1134522 */   GIM_Try, /*On fail goto*//*Label 16638*/ GIMT_Encode4(1134602), // Rule ID 15078 //
     /* 1134527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1134538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1134541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1134544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134566 */     // MIs[0] round
     /* 1134566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134576 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1134579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134601 */     // GIR_Coverage, 15078,
     /* 1134601 */     GIR_EraseRootFromParent_Done,
     /* 1134602 */   // Label 16638: @1134602
     /* 1134602 */   GIM_Try, /*On fail goto*//*Label 16639*/ GIMT_Encode4(1134682), // Rule ID 15079 //
     /* 1134607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1134618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1134621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1134624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134646 */     // MIs[0] round
     /* 1134646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134656 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1134659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134681 */     // GIR_Coverage, 15079,
     /* 1134681 */     GIR_EraseRootFromParent_Done,
     /* 1134682 */   // Label 16639: @1134682
     /* 1134682 */   GIM_Try, /*On fail goto*//*Label 16640*/ GIMT_Encode4(1134762), // Rule ID 15082 //
     /* 1134687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1134698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1134701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1134704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134726 */     // MIs[0] round
     /* 1134726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134736 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1134739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134761 */     // GIR_Coverage, 15082,
     /* 1134761 */     GIR_EraseRootFromParent_Done,
     /* 1134762 */   // Label 16640: @1134762
     /* 1134762 */   GIM_Try, /*On fail goto*//*Label 16641*/ GIMT_Encode4(1134842), // Rule ID 15083 //
     /* 1134767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1134778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1134781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1134784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134806 */     // MIs[0] round
     /* 1134806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134816 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1134819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134841 */     // GIR_Coverage, 15083,
     /* 1134841 */     GIR_EraseRootFromParent_Done,
     /* 1134842 */   // Label 16641: @1134842
     /* 1134842 */   GIM_Try, /*On fail goto*//*Label 16642*/ GIMT_Encode4(1134922), // Rule ID 15086 //
     /* 1134847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1134858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1134861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1134864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134886 */     // MIs[0] round
     /* 1134886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134921 */     // GIR_Coverage, 15086,
     /* 1134921 */     GIR_EraseRootFromParent_Done,
     /* 1134922 */   // Label 16642: @1134922
     /* 1134922 */   GIM_Try, /*On fail goto*//*Label 16643*/ GIMT_Encode4(1135002), // Rule ID 15087 //
     /* 1134927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1134938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1134941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1134944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134966 */     // MIs[0] round
     /* 1134966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135001 */     // GIR_Coverage, 15087,
     /* 1135001 */     GIR_EraseRootFromParent_Done,
     /* 1135002 */   // Label 16643: @1135002
     /* 1135002 */   GIM_Try, /*On fail goto*//*Label 16644*/ GIMT_Encode4(1135082), // Rule ID 15090 //
     /* 1135007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1135018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1135021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1135024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135046 */     // MIs[0] round
     /* 1135046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1135059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135081 */     // GIR_Coverage, 15090,
     /* 1135081 */     GIR_EraseRootFromParent_Done,
     /* 1135082 */   // Label 16644: @1135082
     /* 1135082 */   GIM_Try, /*On fail goto*//*Label 16645*/ GIMT_Encode4(1135162), // Rule ID 15091 //
     /* 1135087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1135098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1135101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1135104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135126 */     // MIs[0] round
     /* 1135126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1135139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135161 */     // GIR_Coverage, 15091,
     /* 1135161 */     GIR_EraseRootFromParent_Done,
     /* 1135162 */   // Label 16645: @1135162
     /* 1135162 */   GIM_Try, /*On fail goto*//*Label 16646*/ GIMT_Encode4(1135242), // Rule ID 15094 //
     /* 1135167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1135178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1135181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1135184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135206 */     // MIs[0] round
     /* 1135206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135216 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1135219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135241 */     // GIR_Coverage, 15094,
     /* 1135241 */     GIR_EraseRootFromParent_Done,
     /* 1135242 */   // Label 16646: @1135242
     /* 1135242 */   GIM_Try, /*On fail goto*//*Label 16647*/ GIMT_Encode4(1135322), // Rule ID 15095 //
     /* 1135247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1135258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1135261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1135264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135286 */     // MIs[0] round
     /* 1135286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1135299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135321 */     // GIR_Coverage, 15095,
     /* 1135321 */     GIR_EraseRootFromParent_Done,
     /* 1135322 */   // Label 16647: @1135322
     /* 1135322 */   GIM_Try, /*On fail goto*//*Label 16648*/ GIMT_Encode4(1135402), // Rule ID 15098 //
     /* 1135327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1135330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1135338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1135341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1135344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135366 */     // MIs[0] round
     /* 1135366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1135379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135401 */     // GIR_Coverage, 15098,
     /* 1135401 */     GIR_EraseRootFromParent_Done,
     /* 1135402 */   // Label 16648: @1135402
     /* 1135402 */   GIM_Try, /*On fail goto*//*Label 16649*/ GIMT_Encode4(1135482), // Rule ID 15099 //
     /* 1135407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1135410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1135418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1135421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1135424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135446 */     // MIs[0] round
     /* 1135446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1135459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135481 */     // GIR_Coverage, 15099,
     /* 1135481 */     GIR_EraseRootFromParent_Done,
     /* 1135482 */   // Label 16649: @1135482
     /* 1135482 */   GIM_Try, /*On fail goto*//*Label 16650*/ GIMT_Encode4(1135562), // Rule ID 15102 //
     /* 1135487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1135490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1135498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1135501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1135504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135526 */     // MIs[0] round
     /* 1135526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1135539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135561 */     // GIR_Coverage, 15102,
     /* 1135561 */     GIR_EraseRootFromParent_Done,
     /* 1135562 */   // Label 16650: @1135562
     /* 1135562 */   GIM_Try, /*On fail goto*//*Label 16651*/ GIMT_Encode4(1135642), // Rule ID 15103 //
     /* 1135567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1135570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1135578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1135581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1135584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135606 */     // MIs[0] round
     /* 1135606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1135619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135641 */     // GIR_Coverage, 15103,
     /* 1135641 */     GIR_EraseRootFromParent_Done,
     /* 1135642 */   // Label 16651: @1135642
     /* 1135642 */   GIM_Try, /*On fail goto*//*Label 16652*/ GIMT_Encode4(1135722), // Rule ID 15106 //
     /* 1135647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1135650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1135658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1135661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1135664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135686 */     // MIs[0] round
     /* 1135686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135696 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1135699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135721 */     // GIR_Coverage, 15106,
     /* 1135721 */     GIR_EraseRootFromParent_Done,
     /* 1135722 */   // Label 16652: @1135722
     /* 1135722 */   GIM_Try, /*On fail goto*//*Label 16653*/ GIMT_Encode4(1135802), // Rule ID 15107 //
     /* 1135727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1135730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1135738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1135741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1135744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135766 */     // MIs[0] round
     /* 1135766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135776 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1135779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135801 */     // GIR_Coverage, 15107,
     /* 1135801 */     GIR_EraseRootFromParent_Done,
     /* 1135802 */   // Label 16653: @1135802
     /* 1135802 */   GIM_Try, /*On fail goto*//*Label 16654*/ GIMT_Encode4(1135882), // Rule ID 15110 //
     /* 1135807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1135818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1135821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1135824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1135827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135846 */     // MIs[0] round
     /* 1135846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135856 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1135859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135881 */     // GIR_Coverage, 15110,
     /* 1135881 */     GIR_EraseRootFromParent_Done,
     /* 1135882 */   // Label 16654: @1135882
     /* 1135882 */   GIM_Try, /*On fail goto*//*Label 16655*/ GIMT_Encode4(1135962), // Rule ID 15111 //
     /* 1135887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1135898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1135901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1135904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1135907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135926 */     // MIs[0] round
     /* 1135926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1135939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135961 */     // GIR_Coverage, 15111,
     /* 1135961 */     GIR_EraseRootFromParent_Done,
     /* 1135962 */   // Label 16655: @1135962
     /* 1135962 */   GIM_Try, /*On fail goto*//*Label 16656*/ GIMT_Encode4(1136042), // Rule ID 15114 //
     /* 1135967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1135978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1135981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1135984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1135987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136006 */     // MIs[0] round
     /* 1136006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1136019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136041 */     // GIR_Coverage, 15114,
     /* 1136041 */     GIR_EraseRootFromParent_Done,
     /* 1136042 */   // Label 16656: @1136042
     /* 1136042 */   GIM_Try, /*On fail goto*//*Label 16657*/ GIMT_Encode4(1136122), // Rule ID 15115 //
     /* 1136047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1136058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1136061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1136064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1136067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136086 */     // MIs[0] round
     /* 1136086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136096 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1136099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136121 */     // GIR_Coverage, 15115,
     /* 1136121 */     GIR_EraseRootFromParent_Done,
     /* 1136122 */   // Label 16657: @1136122
     /* 1136122 */   GIM_Try, /*On fail goto*//*Label 16658*/ GIMT_Encode4(1136202), // Rule ID 15118 //
     /* 1136127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1136138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1136141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1136144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1136147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136166 */     // MIs[0] round
     /* 1136166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136176 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1136179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136201 */     // GIR_Coverage, 15118,
     /* 1136201 */     GIR_EraseRootFromParent_Done,
     /* 1136202 */   // Label 16658: @1136202
     /* 1136202 */   GIM_Try, /*On fail goto*//*Label 16659*/ GIMT_Encode4(1136282), // Rule ID 15119 //
     /* 1136207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1136218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1136221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1136224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1136227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136246 */     // MIs[0] round
     /* 1136246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136256 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1136259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136281 */     // GIR_Coverage, 15119,
     /* 1136281 */     GIR_EraseRootFromParent_Done,
     /* 1136282 */   // Label 16659: @1136282
     /* 1136282 */   GIM_Try, /*On fail goto*//*Label 16660*/ GIMT_Encode4(1136362), // Rule ID 15122 //
     /* 1136287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1136298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1136301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1136304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1136307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136326 */     // MIs[0] round
     /* 1136326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1136339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136361 */     // GIR_Coverage, 15122,
     /* 1136361 */     GIR_EraseRootFromParent_Done,
     /* 1136362 */   // Label 16660: @1136362
     /* 1136362 */   GIM_Try, /*On fail goto*//*Label 16661*/ GIMT_Encode4(1136442), // Rule ID 15123 //
     /* 1136367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1136378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1136381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1136384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1136387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136406 */     // MIs[0] round
     /* 1136406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136416 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1136419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136441 */     // GIR_Coverage, 15123,
     /* 1136441 */     GIR_EraseRootFromParent_Done,
     /* 1136442 */   // Label 16661: @1136442
     /* 1136442 */   GIM_Try, /*On fail goto*//*Label 16662*/ GIMT_Encode4(1136522), // Rule ID 15126 //
     /* 1136447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1136458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1136461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1136464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1136467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136486 */     // MIs[0] round
     /* 1136486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1136499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136521 */     // GIR_Coverage, 15126,
     /* 1136521 */     GIR_EraseRootFromParent_Done,
     /* 1136522 */   // Label 16662: @1136522
     /* 1136522 */   GIM_Try, /*On fail goto*//*Label 16663*/ GIMT_Encode4(1136602), // Rule ID 15127 //
     /* 1136527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1136538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1136541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1136544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1136547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136566 */     // MIs[0] round
     /* 1136566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136576 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1136579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136601 */     // GIR_Coverage, 15127,
     /* 1136601 */     GIR_EraseRootFromParent_Done,
     /* 1136602 */   // Label 16663: @1136602
     /* 1136602 */   GIM_Try, /*On fail goto*//*Label 16664*/ GIMT_Encode4(1136682), // Rule ID 15130 //
     /* 1136607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1136618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1136621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1136624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1136627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136646 */     // MIs[0] round
     /* 1136646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1136659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136681 */     // GIR_Coverage, 15130,
     /* 1136681 */     GIR_EraseRootFromParent_Done,
     /* 1136682 */   // Label 16664: @1136682
     /* 1136682 */   GIM_Try, /*On fail goto*//*Label 16665*/ GIMT_Encode4(1136762), // Rule ID 15131 //
     /* 1136687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1136698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1136701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1136704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1136707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136726 */     // MIs[0] round
     /* 1136726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1136739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136761 */     // GIR_Coverage, 15131,
     /* 1136761 */     GIR_EraseRootFromParent_Done,
     /* 1136762 */   // Label 16665: @1136762
     /* 1136762 */   GIM_Try, /*On fail goto*//*Label 16666*/ GIMT_Encode4(1136842), // Rule ID 15134 //
     /* 1136767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1136778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1136781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1136784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1136787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136806 */     // MIs[0] round
     /* 1136806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136816 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136841 */     // GIR_Coverage, 15134,
     /* 1136841 */     GIR_EraseRootFromParent_Done,
     /* 1136842 */   // Label 16666: @1136842
     /* 1136842 */   GIM_Try, /*On fail goto*//*Label 16667*/ GIMT_Encode4(1136922), // Rule ID 15135 //
     /* 1136847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1136858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1136861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1136864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1136867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136886 */     // MIs[0] round
     /* 1136886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136921 */     // GIR_Coverage, 15135,
     /* 1136921 */     GIR_EraseRootFromParent_Done,
     /* 1136922 */   // Label 16667: @1136922
     /* 1136922 */   GIM_Try, /*On fail goto*//*Label 16668*/ GIMT_Encode4(1137002), // Rule ID 15138 //
     /* 1136927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1136938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1136941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1136944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1136947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136966 */     // MIs[0] round
     /* 1136966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136976 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137001 */     // GIR_Coverage, 15138,
     /* 1137001 */     GIR_EraseRootFromParent_Done,
     /* 1137002 */   // Label 16668: @1137002
     /* 1137002 */   GIM_Try, /*On fail goto*//*Label 16669*/ GIMT_Encode4(1137082), // Rule ID 15139 //
     /* 1137007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1137018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1137021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1137024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1137027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137046 */     // MIs[0] round
     /* 1137046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137056 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1137059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137081 */     // GIR_Coverage, 15139,
     /* 1137081 */     GIR_EraseRootFromParent_Done,
     /* 1137082 */   // Label 16669: @1137082
     /* 1137082 */   GIM_Try, /*On fail goto*//*Label 16670*/ GIMT_Encode4(1137162), // Rule ID 15142 //
     /* 1137087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1137098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1137101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1137104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1137107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137126 */     // MIs[0] round
     /* 1137126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1137139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137161 */     // GIR_Coverage, 15142,
     /* 1137161 */     GIR_EraseRootFromParent_Done,
     /* 1137162 */   // Label 16670: @1137162
     /* 1137162 */   GIM_Try, /*On fail goto*//*Label 16671*/ GIMT_Encode4(1137242), // Rule ID 15143 //
     /* 1137167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1137178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1137181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1137184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1137187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137206 */     // MIs[0] round
     /* 1137206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1137219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137241 */     // GIR_Coverage, 15143,
     /* 1137241 */     GIR_EraseRootFromParent_Done,
     /* 1137242 */   // Label 16671: @1137242
     /* 1137242 */   GIM_Try, /*On fail goto*//*Label 16672*/ GIMT_Encode4(1137322), // Rule ID 15146 //
     /* 1137247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1137258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1137261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1137264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1137267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137286 */     // MIs[0] round
     /* 1137286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1137299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137321 */     // GIR_Coverage, 15146,
     /* 1137321 */     GIR_EraseRootFromParent_Done,
     /* 1137322 */   // Label 16672: @1137322
     /* 1137322 */   GIM_Try, /*On fail goto*//*Label 16673*/ GIMT_Encode4(1137402), // Rule ID 15147 //
     /* 1137327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1137338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1137341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1137344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1137347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137366 */     // MIs[0] round
     /* 1137366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1137379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137401 */     // GIR_Coverage, 15147,
     /* 1137401 */     GIR_EraseRootFromParent_Done,
     /* 1137402 */   // Label 16673: @1137402
     /* 1137402 */   GIM_Try, /*On fail goto*//*Label 16674*/ GIMT_Encode4(1137482), // Rule ID 15150 //
     /* 1137407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1137418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1137421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1137424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1137427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137446 */     // MIs[0] round
     /* 1137446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137456 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1137459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137481 */     // GIR_Coverage, 15150,
     /* 1137481 */     GIR_EraseRootFromParent_Done,
     /* 1137482 */   // Label 16674: @1137482
     /* 1137482 */   GIM_Try, /*On fail goto*//*Label 16675*/ GIMT_Encode4(1137562), // Rule ID 15151 //
     /* 1137487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1137498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1137501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1137504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1137507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137526 */     // MIs[0] round
     /* 1137526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1137539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137561 */     // GIR_Coverage, 15151,
     /* 1137561 */     GIR_EraseRootFromParent_Done,
     /* 1137562 */   // Label 16675: @1137562
     /* 1137562 */   GIM_Try, /*On fail goto*//*Label 16676*/ GIMT_Encode4(1137642), // Rule ID 15154 //
     /* 1137567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1137578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1137581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1137584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1137587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137606 */     // MIs[0] round
     /* 1137606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137616 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1137619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137641 */     // GIR_Coverage, 15154,
     /* 1137641 */     GIR_EraseRootFromParent_Done,
     /* 1137642 */   // Label 16676: @1137642
     /* 1137642 */   GIM_Try, /*On fail goto*//*Label 16677*/ GIMT_Encode4(1137722), // Rule ID 15155 //
     /* 1137647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1137658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1137661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1137664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1137667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137686 */     // MIs[0] round
     /* 1137686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1137699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137721 */     // GIR_Coverage, 15155,
     /* 1137721 */     GIR_EraseRootFromParent_Done,
     /* 1137722 */   // Label 16677: @1137722
     /* 1137722 */   GIM_Try, /*On fail goto*//*Label 16678*/ GIMT_Encode4(1137802), // Rule ID 15158 //
     /* 1137727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1137738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1137741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1137744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1137747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137766 */     // MIs[0] round
     /* 1137766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137776 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1137779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137801 */     // GIR_Coverage, 15158,
     /* 1137801 */     GIR_EraseRootFromParent_Done,
     /* 1137802 */   // Label 16678: @1137802
     /* 1137802 */   GIM_Try, /*On fail goto*//*Label 16679*/ GIMT_Encode4(1137882), // Rule ID 15159 //
     /* 1137807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1137818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1137821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1137824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1137827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137846 */     // MIs[0] round
     /* 1137846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137856 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1137859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137881 */     // GIR_Coverage, 15159,
     /* 1137881 */     GIR_EraseRootFromParent_Done,
     /* 1137882 */   // Label 16679: @1137882
     /* 1137882 */   GIM_Try, /*On fail goto*//*Label 16680*/ GIMT_Encode4(1137962), // Rule ID 15162 //
     /* 1137887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1137898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1137901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1137904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1137907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137926 */     // MIs[0] round
     /* 1137926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1137939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137961 */     // GIR_Coverage, 15162,
     /* 1137961 */     GIR_EraseRootFromParent_Done,
     /* 1137962 */   // Label 16680: @1137962
     /* 1137962 */   GIM_Try, /*On fail goto*//*Label 16681*/ GIMT_Encode4(1138042), // Rule ID 15163 //
     /* 1137967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1137978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1137981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1137984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1137987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138006 */     // MIs[0] round
     /* 1138006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138016 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1138019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138041 */     // GIR_Coverage, 15163,
     /* 1138041 */     GIR_EraseRootFromParent_Done,
     /* 1138042 */   // Label 16681: @1138042
     /* 1138042 */   GIM_Try, /*On fail goto*//*Label 16682*/ GIMT_Encode4(1138122), // Rule ID 15166 //
     /* 1138047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1138058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1138061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1138064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1138067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138086 */     // MIs[0] round
     /* 1138086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138096 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1138099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138121 */     // GIR_Coverage, 15166,
     /* 1138121 */     GIR_EraseRootFromParent_Done,
     /* 1138122 */   // Label 16682: @1138122
     /* 1138122 */   GIM_Try, /*On fail goto*//*Label 16683*/ GIMT_Encode4(1138202), // Rule ID 15167 //
     /* 1138127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1138138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1138141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1138144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1138147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138166 */     // MIs[0] round
     /* 1138166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138176 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1138179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138201 */     // GIR_Coverage, 15167,
     /* 1138201 */     GIR_EraseRootFromParent_Done,
     /* 1138202 */   // Label 16683: @1138202
     /* 1138202 */   GIM_Try, /*On fail goto*//*Label 16684*/ GIMT_Encode4(1138282), // Rule ID 15170 //
     /* 1138207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1138218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1138221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1138224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1138227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138246 */     // MIs[0] round
     /* 1138246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138256 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1138259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138281 */     // GIR_Coverage, 15170,
     /* 1138281 */     GIR_EraseRootFromParent_Done,
     /* 1138282 */   // Label 16684: @1138282
     /* 1138282 */   GIM_Try, /*On fail goto*//*Label 16685*/ GIMT_Encode4(1138362), // Rule ID 15171 //
     /* 1138287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1138298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1138301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1138304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1138307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138326 */     // MIs[0] round
     /* 1138326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138336 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1138339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138361 */     // GIR_Coverage, 15171,
     /* 1138361 */     GIR_EraseRootFromParent_Done,
     /* 1138362 */   // Label 16685: @1138362
     /* 1138362 */   GIM_Try, /*On fail goto*//*Label 16686*/ GIMT_Encode4(1138442), // Rule ID 15174 //
     /* 1138367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1138378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1138381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1138384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1138387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138406 */     // MIs[0] round
     /* 1138406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1138419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138441 */     // GIR_Coverage, 15174,
     /* 1138441 */     GIR_EraseRootFromParent_Done,
     /* 1138442 */   // Label 16686: @1138442
     /* 1138442 */   GIM_Try, /*On fail goto*//*Label 16687*/ GIMT_Encode4(1138522), // Rule ID 15175 //
     /* 1138447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1138458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1138461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1138464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1138467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138486 */     // MIs[0] round
     /* 1138486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1138499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138521 */     // GIR_Coverage, 15175,
     /* 1138521 */     GIR_EraseRootFromParent_Done,
     /* 1138522 */   // Label 16687: @1138522
     /* 1138522 */   GIM_Try, /*On fail goto*//*Label 16688*/ GIMT_Encode4(1138602), // Rule ID 15178 //
     /* 1138527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1138538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1138541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1138544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1138547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138566 */     // MIs[0] round
     /* 1138566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1138579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138601 */     // GIR_Coverage, 15178,
     /* 1138601 */     GIR_EraseRootFromParent_Done,
     /* 1138602 */   // Label 16688: @1138602
     /* 1138602 */   GIM_Try, /*On fail goto*//*Label 16689*/ GIMT_Encode4(1138682), // Rule ID 15179 //
     /* 1138607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1138618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1138621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1138624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1138627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138646 */     // MIs[0] round
     /* 1138646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138656 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1138659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138681 */     // GIR_Coverage, 15179,
     /* 1138681 */     GIR_EraseRootFromParent_Done,
     /* 1138682 */   // Label 16689: @1138682
     /* 1138682 */   GIM_Try, /*On fail goto*//*Label 16690*/ GIMT_Encode4(1138762), // Rule ID 15182 //
     /* 1138687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1138698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1138701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1138704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1138707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138726 */     // MIs[0] round
     /* 1138726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1138739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138761 */     // GIR_Coverage, 15182,
     /* 1138761 */     GIR_EraseRootFromParent_Done,
     /* 1138762 */   // Label 16690: @1138762
     /* 1138762 */   GIM_Try, /*On fail goto*//*Label 16691*/ GIMT_Encode4(1138842), // Rule ID 15183 //
     /* 1138767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1138778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1138781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1138784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1138787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138806 */     // MIs[0] round
     /* 1138806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1138819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138841 */     // GIR_Coverage, 15183,
     /* 1138841 */     GIR_EraseRootFromParent_Done,
     /* 1138842 */   // Label 16691: @1138842
     /* 1138842 */   GIM_Try, /*On fail goto*//*Label 16692*/ GIMT_Encode4(1138922), // Rule ID 15186 //
     /* 1138847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1138850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1138858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1138861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1138864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1138867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138886 */     // MIs[0] round
     /* 1138886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1138899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138921 */     // GIR_Coverage, 15186,
     /* 1138921 */     GIR_EraseRootFromParent_Done,
     /* 1138922 */   // Label 16692: @1138922
     /* 1138922 */   GIM_Try, /*On fail goto*//*Label 16693*/ GIMT_Encode4(1139002), // Rule ID 15187 //
     /* 1138927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1138930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1138938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1138941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1138944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1138947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138966 */     // MIs[0] round
     /* 1138966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1138979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139001 */     // GIR_Coverage, 15187,
     /* 1139001 */     GIR_EraseRootFromParent_Done,
     /* 1139002 */   // Label 16693: @1139002
     /* 1139002 */   GIM_Try, /*On fail goto*//*Label 16694*/ GIMT_Encode4(1139082), // Rule ID 15190 //
     /* 1139007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1139010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1139018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1139021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1139024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1139027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139046 */     // MIs[0] round
     /* 1139046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139056 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1139059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139081 */     // GIR_Coverage, 15190,
     /* 1139081 */     GIR_EraseRootFromParent_Done,
     /* 1139082 */   // Label 16694: @1139082
     /* 1139082 */   GIM_Try, /*On fail goto*//*Label 16695*/ GIMT_Encode4(1139162), // Rule ID 15191 //
     /* 1139087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1139090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1139098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1139101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1139104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1139107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139126 */     // MIs[0] round
     /* 1139126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139136 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1139139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139161 */     // GIR_Coverage, 15191,
     /* 1139161 */     GIR_EraseRootFromParent_Done,
     /* 1139162 */   // Label 16695: @1139162
     /* 1139162 */   GIM_Try, /*On fail goto*//*Label 16696*/ GIMT_Encode4(1139242), // Rule ID 15194 //
     /* 1139167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1139170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1139178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1139181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1139184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1139187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139206 */     // MIs[0] round
     /* 1139206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1139219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139241 */     // GIR_Coverage, 15194,
     /* 1139241 */     GIR_EraseRootFromParent_Done,
     /* 1139242 */   // Label 16696: @1139242
     /* 1139242 */   GIM_Try, /*On fail goto*//*Label 16697*/ GIMT_Encode4(1139322), // Rule ID 15195 //
     /* 1139247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1139250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1139258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1139261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1139264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1139267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139286 */     // MIs[0] round
     /* 1139286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139296 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1139299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139321 */     // GIR_Coverage, 15195,
     /* 1139321 */     GIR_EraseRootFromParent_Done,
     /* 1139322 */   // Label 16697: @1139322
     /* 1139322 */   GIM_Try, /*On fail goto*//*Label 16698*/ GIMT_Encode4(1139402), // Rule ID 15198 //
     /* 1139327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1139338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1139341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1139344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139366 */     // MIs[0] round
     /* 1139366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139376 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1139379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139401 */     // GIR_Coverage, 15198,
     /* 1139401 */     GIR_EraseRootFromParent_Done,
     /* 1139402 */   // Label 16698: @1139402
     /* 1139402 */   GIM_Try, /*On fail goto*//*Label 16699*/ GIMT_Encode4(1139482), // Rule ID 15199 //
     /* 1139407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1139418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1139421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1139424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139446 */     // MIs[0] round
     /* 1139446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139456 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1139459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139481 */     // GIR_Coverage, 15199,
     /* 1139481 */     GIR_EraseRootFromParent_Done,
     /* 1139482 */   // Label 16699: @1139482
     /* 1139482 */   GIM_Try, /*On fail goto*//*Label 16700*/ GIMT_Encode4(1139562), // Rule ID 15202 //
     /* 1139487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1139498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1139501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1139504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139526 */     // MIs[0] round
     /* 1139526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139536 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1139539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139561 */     // GIR_Coverage, 15202,
     /* 1139561 */     GIR_EraseRootFromParent_Done,
     /* 1139562 */   // Label 16700: @1139562
     /* 1139562 */   GIM_Try, /*On fail goto*//*Label 16701*/ GIMT_Encode4(1139642), // Rule ID 15203 //
     /* 1139567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1139578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1139581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1139584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139606 */     // MIs[0] round
     /* 1139606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1139619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139641 */     // GIR_Coverage, 15203,
     /* 1139641 */     GIR_EraseRootFromParent_Done,
     /* 1139642 */   // Label 16701: @1139642
     /* 1139642 */   GIM_Try, /*On fail goto*//*Label 16702*/ GIMT_Encode4(1139722), // Rule ID 15206 //
     /* 1139647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1139658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1139661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1139664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139686 */     // MIs[0] round
     /* 1139686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139696 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139721 */     // GIR_Coverage, 15206,
     /* 1139721 */     GIR_EraseRootFromParent_Done,
     /* 1139722 */   // Label 16702: @1139722
     /* 1139722 */   GIM_Try, /*On fail goto*//*Label 16703*/ GIMT_Encode4(1139802), // Rule ID 15207 //
     /* 1139727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1139738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1139741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1139744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139766 */     // MIs[0] round
     /* 1139766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139776 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139801 */     // GIR_Coverage, 15207,
     /* 1139801 */     GIR_EraseRootFromParent_Done,
     /* 1139802 */   // Label 16703: @1139802
     /* 1139802 */   GIM_Try, /*On fail goto*//*Label 16704*/ GIMT_Encode4(1139882), // Rule ID 15210 //
     /* 1139807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1139818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1139821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1139824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139846 */     // MIs[0] round
     /* 1139846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139856 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1139859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139881 */     // GIR_Coverage, 15210,
     /* 1139881 */     GIR_EraseRootFromParent_Done,
     /* 1139882 */   // Label 16704: @1139882
     /* 1139882 */   GIM_Try, /*On fail goto*//*Label 16705*/ GIMT_Encode4(1139962), // Rule ID 15211 //
     /* 1139887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1139898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1139901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1139904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139926 */     // MIs[0] round
     /* 1139926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139936 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1139939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139961 */     // GIR_Coverage, 15211,
     /* 1139961 */     GIR_EraseRootFromParent_Done,
     /* 1139962 */   // Label 16705: @1139962
     /* 1139962 */   GIM_Try, /*On fail goto*//*Label 16706*/ GIMT_Encode4(1140042), // Rule ID 15214 //
     /* 1139967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1139978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1139981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1139984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140006 */     // MIs[0] round
     /* 1140006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140016 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1140019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140041 */     // GIR_Coverage, 15214,
     /* 1140041 */     GIR_EraseRootFromParent_Done,
     /* 1140042 */   // Label 16706: @1140042
     /* 1140042 */   GIM_Try, /*On fail goto*//*Label 16707*/ GIMT_Encode4(1140122), // Rule ID 15215 //
     /* 1140047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1140058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1140061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1140064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140086 */     // MIs[0] round
     /* 1140086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1140099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140121 */     // GIR_Coverage, 15215,
     /* 1140121 */     GIR_EraseRootFromParent_Done,
     /* 1140122 */   // Label 16707: @1140122
     /* 1140122 */   GIM_Try, /*On fail goto*//*Label 16708*/ GIMT_Encode4(1140202), // Rule ID 15218 //
     /* 1140127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1140138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1140141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1140144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140166 */     // MIs[0] round
     /* 1140166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1140179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140201 */     // GIR_Coverage, 15218,
     /* 1140201 */     GIR_EraseRootFromParent_Done,
     /* 1140202 */   // Label 16708: @1140202
     /* 1140202 */   GIM_Try, /*On fail goto*//*Label 16709*/ GIMT_Encode4(1140282), // Rule ID 15219 //
     /* 1140207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1140218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1140221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1140224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140246 */     // MIs[0] round
     /* 1140246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1140259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140281 */     // GIR_Coverage, 15219,
     /* 1140281 */     GIR_EraseRootFromParent_Done,
     /* 1140282 */   // Label 16709: @1140282
     /* 1140282 */   GIM_Try, /*On fail goto*//*Label 16710*/ GIMT_Encode4(1140362), // Rule ID 15222 //
     /* 1140287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1140298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1140301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1140304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140326 */     // MIs[0] round
     /* 1140326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140361 */     // GIR_Coverage, 15222,
     /* 1140361 */     GIR_EraseRootFromParent_Done,
     /* 1140362 */   // Label 16710: @1140362
     /* 1140362 */   GIM_Try, /*On fail goto*//*Label 16711*/ GIMT_Encode4(1140442), // Rule ID 15223 //
     /* 1140367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1140378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1140381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1140384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140406 */     // MIs[0] round
     /* 1140406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140441 */     // GIR_Coverage, 15223,
     /* 1140441 */     GIR_EraseRootFromParent_Done,
     /* 1140442 */   // Label 16711: @1140442
     /* 1140442 */   GIM_Try, /*On fail goto*//*Label 16712*/ GIMT_Encode4(1140522), // Rule ID 15226 //
     /* 1140447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1140458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1140461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1140464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140486 */     // MIs[0] round
     /* 1140486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140521 */     // GIR_Coverage, 15226,
     /* 1140521 */     GIR_EraseRootFromParent_Done,
     /* 1140522 */   // Label 16712: @1140522
     /* 1140522 */   GIM_Try, /*On fail goto*//*Label 16713*/ GIMT_Encode4(1140602), // Rule ID 15227 //
     /* 1140527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1140538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1140541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1140544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140566 */     // MIs[0] round
     /* 1140566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140601 */     // GIR_Coverage, 15227,
     /* 1140601 */     GIR_EraseRootFromParent_Done,
     /* 1140602 */   // Label 16713: @1140602
     /* 1140602 */   GIM_Try, /*On fail goto*//*Label 16714*/ GIMT_Encode4(1140682), // Rule ID 15230 //
     /* 1140607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1140618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1140621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1140624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140646 */     // MIs[0] round
     /* 1140646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140681 */     // GIR_Coverage, 15230,
     /* 1140681 */     GIR_EraseRootFromParent_Done,
     /* 1140682 */   // Label 16714: @1140682
     /* 1140682 */   GIM_Try, /*On fail goto*//*Label 16715*/ GIMT_Encode4(1140762), // Rule ID 15231 //
     /* 1140687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1140698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1140701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1140704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140726 */     // MIs[0] round
     /* 1140726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140761 */     // GIR_Coverage, 15231,
     /* 1140761 */     GIR_EraseRootFromParent_Done,
     /* 1140762 */   // Label 16715: @1140762
     /* 1140762 */   GIM_Try, /*On fail goto*//*Label 16716*/ GIMT_Encode4(1140842), // Rule ID 15234 //
     /* 1140767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1140770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1140778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1140781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1140784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140806 */     // MIs[0] round
     /* 1140806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140816 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140841 */     // GIR_Coverage, 15234,
     /* 1140841 */     GIR_EraseRootFromParent_Done,
     /* 1140842 */   // Label 16716: @1140842
     /* 1140842 */   GIM_Try, /*On fail goto*//*Label 16717*/ GIMT_Encode4(1140922), // Rule ID 15235 //
     /* 1140847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1140850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1140858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1140861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1140864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140886 */     // MIs[0] round
     /* 1140886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140921 */     // GIR_Coverage, 15235,
     /* 1140921 */     GIR_EraseRootFromParent_Done,
     /* 1140922 */   // Label 16717: @1140922
     /* 1140922 */   GIM_Try, /*On fail goto*//*Label 16718*/ GIMT_Encode4(1141002), // Rule ID 15238 //
     /* 1140927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1140938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1140941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1140944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140966 */     // MIs[0] round
     /* 1140966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140976 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1140979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141001 */     // GIR_Coverage, 15238,
     /* 1141001 */     GIR_EraseRootFromParent_Done,
     /* 1141002 */   // Label 16718: @1141002
     /* 1141002 */   GIM_Try, /*On fail goto*//*Label 16719*/ GIMT_Encode4(1141082), // Rule ID 15239 //
     /* 1141007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1141018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1141021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1141024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141046 */     // MIs[0] round
     /* 1141046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141056 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1141059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141081 */     // GIR_Coverage, 15239,
     /* 1141081 */     GIR_EraseRootFromParent_Done,
     /* 1141082 */   // Label 16719: @1141082
     /* 1141082 */   GIM_Try, /*On fail goto*//*Label 16720*/ GIMT_Encode4(1141162), // Rule ID 15242 //
     /* 1141087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1141098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1141101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1141104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141126 */     // MIs[0] round
     /* 1141126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141136 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1141139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141161 */     // GIR_Coverage, 15242,
     /* 1141161 */     GIR_EraseRootFromParent_Done,
     /* 1141162 */   // Label 16720: @1141162
     /* 1141162 */   GIM_Try, /*On fail goto*//*Label 16721*/ GIMT_Encode4(1141242), // Rule ID 15243 //
     /* 1141167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1141178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1141181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1141184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141206 */     // MIs[0] round
     /* 1141206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1141219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141241 */     // GIR_Coverage, 15243,
     /* 1141241 */     GIR_EraseRootFromParent_Done,
     /* 1141242 */   // Label 16721: @1141242
     /* 1141242 */   GIM_Try, /*On fail goto*//*Label 16722*/ GIMT_Encode4(1141322), // Rule ID 15246 //
     /* 1141247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1141258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1141261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1141264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141286 */     // MIs[0] round
     /* 1141286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1141299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141321 */     // GIR_Coverage, 15246,
     /* 1141321 */     GIR_EraseRootFromParent_Done,
     /* 1141322 */   // Label 16722: @1141322
     /* 1141322 */   GIM_Try, /*On fail goto*//*Label 16723*/ GIMT_Encode4(1141402), // Rule ID 15247 //
     /* 1141327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1141338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1141341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1141344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141366 */     // MIs[0] round
     /* 1141366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141376 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1141379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141401 */     // GIR_Coverage, 15247,
     /* 1141401 */     GIR_EraseRootFromParent_Done,
     /* 1141402 */   // Label 16723: @1141402
     /* 1141402 */   GIM_Try, /*On fail goto*//*Label 16724*/ GIMT_Encode4(1141482), // Rule ID 15250 //
     /* 1141407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1141418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1141421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1141424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141446 */     // MIs[0] round
     /* 1141446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141456 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1141459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141481 */     // GIR_Coverage, 15250,
     /* 1141481 */     GIR_EraseRootFromParent_Done,
     /* 1141482 */   // Label 16724: @1141482
     /* 1141482 */   GIM_Try, /*On fail goto*//*Label 16725*/ GIMT_Encode4(1141562), // Rule ID 15251 //
     /* 1141487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1141498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1141501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1141504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141526 */     // MIs[0] round
     /* 1141526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1141539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141561 */     // GIR_Coverage, 15251,
     /* 1141561 */     GIR_EraseRootFromParent_Done,
     /* 1141562 */   // Label 16725: @1141562
     /* 1141562 */   GIM_Try, /*On fail goto*//*Label 16726*/ GIMT_Encode4(1141642), // Rule ID 15254 //
     /* 1141567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1141578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1141581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1141584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141606 */     // MIs[0] round
     /* 1141606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141616 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1141619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141641 */     // GIR_Coverage, 15254,
     /* 1141641 */     GIR_EraseRootFromParent_Done,
     /* 1141642 */   // Label 16726: @1141642
     /* 1141642 */   GIM_Try, /*On fail goto*//*Label 16727*/ GIMT_Encode4(1141722), // Rule ID 15255 //
     /* 1141647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1141658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1141661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1141664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141686 */     // MIs[0] round
     /* 1141686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1141699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141721 */     // GIR_Coverage, 15255,
     /* 1141721 */     GIR_EraseRootFromParent_Done,
     /* 1141722 */   // Label 16727: @1141722
     /* 1141722 */   GIM_Try, /*On fail goto*//*Label 16728*/ GIMT_Encode4(1141802), // Rule ID 15258 //
     /* 1141727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1141738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1141741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1141744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141766 */     // MIs[0] round
     /* 1141766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141776 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1141779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141801 */     // GIR_Coverage, 15258,
     /* 1141801 */     GIR_EraseRootFromParent_Done,
     /* 1141802 */   // Label 16728: @1141802
     /* 1141802 */   GIM_Try, /*On fail goto*//*Label 16729*/ GIMT_Encode4(1141882), // Rule ID 15259 //
     /* 1141807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1141818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1141821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1141824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141846 */     // MIs[0] round
     /* 1141846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141856 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1141859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141881 */     // GIR_Coverage, 15259,
     /* 1141881 */     GIR_EraseRootFromParent_Done,
     /* 1141882 */   // Label 16729: @1141882
     /* 1141882 */   GIM_Try, /*On fail goto*//*Label 16730*/ GIMT_Encode4(1141962), // Rule ID 15262 //
     /* 1141887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1141898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1141901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1141904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141926 */     // MIs[0] round
     /* 1141926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1141939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141961 */     // GIR_Coverage, 15262,
     /* 1141961 */     GIR_EraseRootFromParent_Done,
     /* 1141962 */   // Label 16730: @1141962
     /* 1141962 */   GIM_Try, /*On fail goto*//*Label 16731*/ GIMT_Encode4(1142042), // Rule ID 15263 //
     /* 1141967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1141978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1141981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1141984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142006 */     // MIs[0] round
     /* 1142006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1142019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142041 */     // GIR_Coverage, 15263,
     /* 1142041 */     GIR_EraseRootFromParent_Done,
     /* 1142042 */   // Label 16731: @1142042
     /* 1142042 */   GIM_Try, /*On fail goto*//*Label 16732*/ GIMT_Encode4(1142122), // Rule ID 15266 //
     /* 1142047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1142058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1142061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1142064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142086 */     // MIs[0] round
     /* 1142086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1142099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142121 */     // GIR_Coverage, 15266,
     /* 1142121 */     GIR_EraseRootFromParent_Done,
     /* 1142122 */   // Label 16732: @1142122
     /* 1142122 */   GIM_Try, /*On fail goto*//*Label 16733*/ GIMT_Encode4(1142202), // Rule ID 15267 //
     /* 1142127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1142138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1142141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1142144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142166 */     // MIs[0] round
     /* 1142166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1142179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142201 */     // GIR_Coverage, 15267,
     /* 1142201 */     GIR_EraseRootFromParent_Done,
     /* 1142202 */   // Label 16733: @1142202
     /* 1142202 */   GIM_Try, /*On fail goto*//*Label 16734*/ GIMT_Encode4(1142282), // Rule ID 15270 //
     /* 1142207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1142218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1142221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1142224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142246 */     // MIs[0] round
     /* 1142246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142256 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1142259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142281 */     // GIR_Coverage, 15270,
     /* 1142281 */     GIR_EraseRootFromParent_Done,
     /* 1142282 */   // Label 16734: @1142282
     /* 1142282 */   GIM_Try, /*On fail goto*//*Label 16735*/ GIMT_Encode4(1142362), // Rule ID 15271 //
     /* 1142287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1142298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1142301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1142304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142326 */     // MIs[0] round
     /* 1142326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1142339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142361 */     // GIR_Coverage, 15271,
     /* 1142361 */     GIR_EraseRootFromParent_Done,
     /* 1142362 */   // Label 16735: @1142362
     /* 1142362 */   GIM_Try, /*On fail goto*//*Label 16736*/ GIMT_Encode4(1142442), // Rule ID 15274 //
     /* 1142367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1142370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1142378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1142381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1142384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142406 */     // MIs[0] round
     /* 1142406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142416 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1142419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142441 */     // GIR_Coverage, 15274,
     /* 1142441 */     GIR_EraseRootFromParent_Done,
     /* 1142442 */   // Label 16736: @1142442
     /* 1142442 */   GIM_Try, /*On fail goto*//*Label 16737*/ GIMT_Encode4(1142522), // Rule ID 15275 //
     /* 1142447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1142450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1142458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1142461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1142464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142486 */     // MIs[0] round
     /* 1142486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1142499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142521 */     // GIR_Coverage, 15275,
     /* 1142521 */     GIR_EraseRootFromParent_Done,
     /* 1142522 */   // Label 16737: @1142522
     /* 1142522 */   GIM_Try, /*On fail goto*//*Label 16738*/ GIMT_Encode4(1142602), // Rule ID 15278 //
     /* 1142527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1142530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1142538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1142541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1142544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142566 */     // MIs[0] round
     /* 1142566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142576 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1142579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142601 */     // GIR_Coverage, 15278,
     /* 1142601 */     GIR_EraseRootFromParent_Done,
     /* 1142602 */   // Label 16738: @1142602
     /* 1142602 */   GIM_Try, /*On fail goto*//*Label 16739*/ GIMT_Encode4(1142682), // Rule ID 15279 //
     /* 1142607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1142610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1142618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1142621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1142624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142646 */     // MIs[0] round
     /* 1142646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1142659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142681 */     // GIR_Coverage, 15279,
     /* 1142681 */     GIR_EraseRootFromParent_Done,
     /* 1142682 */   // Label 16739: @1142682
     /* 1142682 */   GIM_Try, /*On fail goto*//*Label 16740*/ GIMT_Encode4(1142762), // Rule ID 15282 //
     /* 1142687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1142690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1142698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1142701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1142704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142726 */     // MIs[0] round
     /* 1142726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142736 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1142739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142761 */     // GIR_Coverage, 15282,
     /* 1142761 */     GIR_EraseRootFromParent_Done,
     /* 1142762 */   // Label 16740: @1142762
     /* 1142762 */   GIM_Try, /*On fail goto*//*Label 16741*/ GIMT_Encode4(1142842), // Rule ID 15283 //
     /* 1142767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1142770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1142778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1142781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1142784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142806 */     // MIs[0] round
     /* 1142806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142816 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1142819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142841 */     // GIR_Coverage, 15283,
     /* 1142841 */     GIR_EraseRootFromParent_Done,
     /* 1142842 */   // Label 16741: @1142842
     /* 1142842 */   GIM_Try, /*On fail goto*//*Label 16742*/ GIMT_Encode4(1142922), // Rule ID 15286 //
     /* 1142847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1142858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1142861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1142864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1142867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142886 */     // MIs[0] round
     /* 1142886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1142899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142921 */     // GIR_Coverage, 15286,
     /* 1142921 */     GIR_EraseRootFromParent_Done,
     /* 1142922 */   // Label 16742: @1142922
     /* 1142922 */   GIM_Try, /*On fail goto*//*Label 16743*/ GIMT_Encode4(1143002), // Rule ID 15287 //
     /* 1142927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1142938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1142941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1142944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1142947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142966 */     // MIs[0] round
     /* 1142966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1142979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143001 */     // GIR_Coverage, 15287,
     /* 1143001 */     GIR_EraseRootFromParent_Done,
     /* 1143002 */   // Label 16743: @1143002
     /* 1143002 */   GIM_Try, /*On fail goto*//*Label 16744*/ GIMT_Encode4(1143082), // Rule ID 15290 //
     /* 1143007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1143018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1143021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1143024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1143027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143046 */     // MIs[0] round
     /* 1143046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143056 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1143059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143081 */     // GIR_Coverage, 15290,
     /* 1143081 */     GIR_EraseRootFromParent_Done,
     /* 1143082 */   // Label 16744: @1143082
     /* 1143082 */   GIM_Try, /*On fail goto*//*Label 16745*/ GIMT_Encode4(1143162), // Rule ID 15291 //
     /* 1143087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1143098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1143101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1143104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1143107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143126 */     // MIs[0] round
     /* 1143126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143136 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1143139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143161 */     // GIR_Coverage, 15291,
     /* 1143161 */     GIR_EraseRootFromParent_Done,
     /* 1143162 */   // Label 16745: @1143162
     /* 1143162 */   GIM_Try, /*On fail goto*//*Label 16746*/ GIMT_Encode4(1143242), // Rule ID 15294 //
     /* 1143167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1143178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1143181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1143184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1143187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143206 */     // MIs[0] round
     /* 1143206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143216 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1143219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143241 */     // GIR_Coverage, 15294,
     /* 1143241 */     GIR_EraseRootFromParent_Done,
     /* 1143242 */   // Label 16746: @1143242
     /* 1143242 */   GIM_Try, /*On fail goto*//*Label 16747*/ GIMT_Encode4(1143322), // Rule ID 15295 //
     /* 1143247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1143258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1143261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1143264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1143267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143286 */     // MIs[0] round
     /* 1143286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1143299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143321 */     // GIR_Coverage, 15295,
     /* 1143321 */     GIR_EraseRootFromParent_Done,
     /* 1143322 */   // Label 16747: @1143322
     /* 1143322 */   GIM_Try, /*On fail goto*//*Label 16748*/ GIMT_Encode4(1143402), // Rule ID 15298 //
     /* 1143327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1143338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1143341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1143344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1143347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143366 */     // MIs[0] round
     /* 1143366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143376 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1143379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143401 */     // GIR_Coverage, 15298,
     /* 1143401 */     GIR_EraseRootFromParent_Done,
     /* 1143402 */   // Label 16748: @1143402
     /* 1143402 */   GIM_Try, /*On fail goto*//*Label 16749*/ GIMT_Encode4(1143482), // Rule ID 15299 //
     /* 1143407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1143418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1143421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1143424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1143427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143446 */     // MIs[0] round
     /* 1143446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143456 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1143459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143481 */     // GIR_Coverage, 15299,
     /* 1143481 */     GIR_EraseRootFromParent_Done,
     /* 1143482 */   // Label 16749: @1143482
     /* 1143482 */   GIM_Try, /*On fail goto*//*Label 16750*/ GIMT_Encode4(1143562), // Rule ID 15302 //
     /* 1143487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1143498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1143501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1143504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1143507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143526 */     // MIs[0] round
     /* 1143526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1143539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143561 */     // GIR_Coverage, 15302,
     /* 1143561 */     GIR_EraseRootFromParent_Done,
     /* 1143562 */   // Label 16750: @1143562
     /* 1143562 */   GIM_Try, /*On fail goto*//*Label 16751*/ GIMT_Encode4(1143642), // Rule ID 15303 //
     /* 1143567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1143578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1143581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1143584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1143587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143606 */     // MIs[0] round
     /* 1143606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1143619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143641 */     // GIR_Coverage, 15303,
     /* 1143641 */     GIR_EraseRootFromParent_Done,
     /* 1143642 */   // Label 16751: @1143642
     /* 1143642 */   GIM_Try, /*On fail goto*//*Label 16752*/ GIMT_Encode4(1143722), // Rule ID 15306 //
     /* 1143647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1143658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1143661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1143664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1143667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143686 */     // MIs[0] round
     /* 1143686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143696 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1143699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143721 */     // GIR_Coverage, 15306,
     /* 1143721 */     GIR_EraseRootFromParent_Done,
     /* 1143722 */   // Label 16752: @1143722
     /* 1143722 */   GIM_Try, /*On fail goto*//*Label 16753*/ GIMT_Encode4(1143802), // Rule ID 15307 //
     /* 1143727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1143738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1143741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1143744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1143747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143766 */     // MIs[0] round
     /* 1143766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1143779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143801 */     // GIR_Coverage, 15307,
     /* 1143801 */     GIR_EraseRootFromParent_Done,
     /* 1143802 */   // Label 16753: @1143802
     /* 1143802 */   GIM_Try, /*On fail goto*//*Label 16754*/ GIMT_Encode4(1143882), // Rule ID 15310 //
     /* 1143807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1143818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1143821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1143824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1143827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143846 */     // MIs[0] round
     /* 1143846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143856 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143881 */     // GIR_Coverage, 15310,
     /* 1143881 */     GIR_EraseRootFromParent_Done,
     /* 1143882 */   // Label 16754: @1143882
     /* 1143882 */   GIM_Try, /*On fail goto*//*Label 16755*/ GIMT_Encode4(1143962), // Rule ID 15311 //
     /* 1143887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1143898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1143901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1143904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1143907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143926 */     // MIs[0] round
     /* 1143926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143961 */     // GIR_Coverage, 15311,
     /* 1143961 */     GIR_EraseRootFromParent_Done,
     /* 1143962 */   // Label 16755: @1143962
     /* 1143962 */   GIM_Try, /*On fail goto*//*Label 16756*/ GIMT_Encode4(1144042), // Rule ID 15314 //
     /* 1143967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1143978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1143981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1143984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1143987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144006 */     // MIs[0] round
     /* 1144006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1144019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144041 */     // GIR_Coverage, 15314,
     /* 1144041 */     GIR_EraseRootFromParent_Done,
     /* 1144042 */   // Label 16756: @1144042
     /* 1144042 */   GIM_Try, /*On fail goto*//*Label 16757*/ GIMT_Encode4(1144122), // Rule ID 15315 //
     /* 1144047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1144058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1144061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1144064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1144067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144086 */     // MIs[0] round
     /* 1144086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1144099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144121 */     // GIR_Coverage, 15315,
     /* 1144121 */     GIR_EraseRootFromParent_Done,
     /* 1144122 */   // Label 16757: @1144122
     /* 1144122 */   GIM_Try, /*On fail goto*//*Label 16758*/ GIMT_Encode4(1144202), // Rule ID 15318 //
     /* 1144127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1144138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1144141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1144144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1144147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144166 */     // MIs[0] round
     /* 1144166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1144179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144201 */     // GIR_Coverage, 15318,
     /* 1144201 */     GIR_EraseRootFromParent_Done,
     /* 1144202 */   // Label 16758: @1144202
     /* 1144202 */   GIM_Try, /*On fail goto*//*Label 16759*/ GIMT_Encode4(1144282), // Rule ID 15319 //
     /* 1144207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1144218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1144221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1144224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1144227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144246 */     // MIs[0] round
     /* 1144246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1144259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144281 */     // GIR_Coverage, 15319,
     /* 1144281 */     GIR_EraseRootFromParent_Done,
     /* 1144282 */   // Label 16759: @1144282
     /* 1144282 */   GIM_Try, /*On fail goto*//*Label 16760*/ GIMT_Encode4(1144362), // Rule ID 15322 //
     /* 1144287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1144298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1144301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1144304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1144307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144326 */     // MIs[0] round
     /* 1144326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1144339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144361 */     // GIR_Coverage, 15322,
     /* 1144361 */     GIR_EraseRootFromParent_Done,
     /* 1144362 */   // Label 16760: @1144362
     /* 1144362 */   GIM_Try, /*On fail goto*//*Label 16761*/ GIMT_Encode4(1144442), // Rule ID 15323 //
     /* 1144367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1144378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1144381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1144384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1144387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144406 */     // MIs[0] round
     /* 1144406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1144419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144441 */     // GIR_Coverage, 15323,
     /* 1144441 */     GIR_EraseRootFromParent_Done,
     /* 1144442 */   // Label 16761: @1144442
     /* 1144442 */   GIM_Try, /*On fail goto*//*Label 16762*/ GIMT_Encode4(1144522), // Rule ID 15326 //
     /* 1144447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1144458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1144461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1144464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1144467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144486 */     // MIs[0] round
     /* 1144486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144496 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1144499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144521 */     // GIR_Coverage, 15326,
     /* 1144521 */     GIR_EraseRootFromParent_Done,
     /* 1144522 */   // Label 16762: @1144522
     /* 1144522 */   GIM_Try, /*On fail goto*//*Label 16763*/ GIMT_Encode4(1144602), // Rule ID 15327 //
     /* 1144527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1144538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1144541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1144544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1144547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144566 */     // MIs[0] round
     /* 1144566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144576 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1144579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144601 */     // GIR_Coverage, 15327,
     /* 1144601 */     GIR_EraseRootFromParent_Done,
     /* 1144602 */   // Label 16763: @1144602
     /* 1144602 */   GIM_Try, /*On fail goto*//*Label 16764*/ GIMT_Encode4(1144682), // Rule ID 15330 //
     /* 1144607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1144618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1144621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1144624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1144627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144646 */     // MIs[0] round
     /* 1144646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144656 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1144659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144681 */     // GIR_Coverage, 15330,
     /* 1144681 */     GIR_EraseRootFromParent_Done,
     /* 1144682 */   // Label 16764: @1144682
     /* 1144682 */   GIM_Try, /*On fail goto*//*Label 16765*/ GIMT_Encode4(1144762), // Rule ID 15331 //
     /* 1144687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1144698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1144701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1144704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1144707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144726 */     // MIs[0] round
     /* 1144726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144736 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1144739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144761 */     // GIR_Coverage, 15331,
     /* 1144761 */     GIR_EraseRootFromParent_Done,
     /* 1144762 */   // Label 16765: @1144762
     /* 1144762 */   GIM_Try, /*On fail goto*//*Label 16766*/ GIMT_Encode4(1144842), // Rule ID 15334 //
     /* 1144767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1144778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1144781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1144784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1144787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144806 */     // MIs[0] round
     /* 1144806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144816 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1144819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144841 */     // GIR_Coverage, 15334,
     /* 1144841 */     GIR_EraseRootFromParent_Done,
     /* 1144842 */   // Label 16766: @1144842
     /* 1144842 */   GIM_Try, /*On fail goto*//*Label 16767*/ GIMT_Encode4(1144922), // Rule ID 15335 //
     /* 1144847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1144858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1144861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1144864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1144867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144886 */     // MIs[0] round
     /* 1144886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144896 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1144899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144921 */     // GIR_Coverage, 15335,
     /* 1144921 */     GIR_EraseRootFromParent_Done,
     /* 1144922 */   // Label 16767: @1144922
     /* 1144922 */   GIM_Try, /*On fail goto*//*Label 16768*/ GIMT_Encode4(1145002), // Rule ID 15338 //
     /* 1144927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1144938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1144941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1144944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1144947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144966 */     // MIs[0] round
     /* 1144966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144976 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1144979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145001 */     // GIR_Coverage, 15338,
     /* 1145001 */     GIR_EraseRootFromParent_Done,
     /* 1145002 */   // Label 16768: @1145002
     /* 1145002 */   GIM_Try, /*On fail goto*//*Label 16769*/ GIMT_Encode4(1145082), // Rule ID 15339 //
     /* 1145007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1145018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1145021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1145024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1145027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145046 */     // MIs[0] round
     /* 1145046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145056 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1145059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145081 */     // GIR_Coverage, 15339,
     /* 1145081 */     GIR_EraseRootFromParent_Done,
     /* 1145082 */   // Label 16769: @1145082
     /* 1145082 */   GIM_Try, /*On fail goto*//*Label 16770*/ GIMT_Encode4(1145162), // Rule ID 15342 //
     /* 1145087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1145098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1145101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1145104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1145107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145126 */     // MIs[0] round
     /* 1145126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1145139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145161 */     // GIR_Coverage, 15342,
     /* 1145161 */     GIR_EraseRootFromParent_Done,
     /* 1145162 */   // Label 16770: @1145162
     /* 1145162 */   GIM_Try, /*On fail goto*//*Label 16771*/ GIMT_Encode4(1145242), // Rule ID 15343 //
     /* 1145167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1145178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1145181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1145184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1145187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145206 */     // MIs[0] round
     /* 1145206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145216 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1145219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145241 */     // GIR_Coverage, 15343,
     /* 1145241 */     GIR_EraseRootFromParent_Done,
     /* 1145242 */   // Label 16771: @1145242
     /* 1145242 */   GIM_Try, /*On fail goto*//*Label 16772*/ GIMT_Encode4(1145322), // Rule ID 15346 //
     /* 1145247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1145258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1145261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1145264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1145267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145286 */     // MIs[0] round
     /* 1145286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1145299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145321 */     // GIR_Coverage, 15346,
     /* 1145321 */     GIR_EraseRootFromParent_Done,
     /* 1145322 */   // Label 16772: @1145322
     /* 1145322 */   GIM_Try, /*On fail goto*//*Label 16773*/ GIMT_Encode4(1145402), // Rule ID 15347 //
     /* 1145327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1145338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1145341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1145344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1145347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145366 */     // MIs[0] round
     /* 1145366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145376 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1145379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145401 */     // GIR_Coverage, 15347,
     /* 1145401 */     GIR_EraseRootFromParent_Done,
     /* 1145402 */   // Label 16773: @1145402
     /* 1145402 */   GIM_Try, /*On fail goto*//*Label 16774*/ GIMT_Encode4(1145482), // Rule ID 15350 //
     /* 1145407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1145418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1145421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1145424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1145427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145446 */     // MIs[0] round
     /* 1145446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145456 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1145459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145481 */     // GIR_Coverage, 15350,
     /* 1145481 */     GIR_EraseRootFromParent_Done,
     /* 1145482 */   // Label 16774: @1145482
     /* 1145482 */   GIM_Try, /*On fail goto*//*Label 16775*/ GIMT_Encode4(1145562), // Rule ID 15351 //
     /* 1145487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1145498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1145501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1145504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1145507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145526 */     // MIs[0] round
     /* 1145526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1145539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145561 */     // GIR_Coverage, 15351,
     /* 1145561 */     GIR_EraseRootFromParent_Done,
     /* 1145562 */   // Label 16775: @1145562
     /* 1145562 */   GIM_Try, /*On fail goto*//*Label 16776*/ GIMT_Encode4(1145642), // Rule ID 15354 //
     /* 1145567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1145578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1145581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1145584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1145587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145606 */     // MIs[0] round
     /* 1145606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145616 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1145619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145641 */     // GIR_Coverage, 15354,
     /* 1145641 */     GIR_EraseRootFromParent_Done,
     /* 1145642 */   // Label 16776: @1145642
     /* 1145642 */   GIM_Try, /*On fail goto*//*Label 16777*/ GIMT_Encode4(1145722), // Rule ID 15355 //
     /* 1145647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1145658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1145661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1145664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1145667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145686 */     // MIs[0] round
     /* 1145686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145696 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1145699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145721 */     // GIR_Coverage, 15355,
     /* 1145721 */     GIR_EraseRootFromParent_Done,
     /* 1145722 */   // Label 16777: @1145722
     /* 1145722 */   GIM_Try, /*On fail goto*//*Label 16778*/ GIMT_Encode4(1145802), // Rule ID 15358 //
     /* 1145727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1145738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1145741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1145744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1145747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145766 */     // MIs[0] round
     /* 1145766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145776 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1145779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145801 */     // GIR_Coverage, 15358,
     /* 1145801 */     GIR_EraseRootFromParent_Done,
     /* 1145802 */   // Label 16778: @1145802
     /* 1145802 */   GIM_Try, /*On fail goto*//*Label 16779*/ GIMT_Encode4(1145882), // Rule ID 15359 //
     /* 1145807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1145818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1145821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1145824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1145827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145846 */     // MIs[0] round
     /* 1145846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1145859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145881 */     // GIR_Coverage, 15359,
     /* 1145881 */     GIR_EraseRootFromParent_Done,
     /* 1145882 */   // Label 16779: @1145882
     /* 1145882 */   GIM_Try, /*On fail goto*//*Label 16780*/ GIMT_Encode4(1145962), // Rule ID 15362 //
     /* 1145887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1145890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1145898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1145901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1145904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1145907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145926 */     // MIs[0] round
     /* 1145926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1145939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145961 */     // GIR_Coverage, 15362,
     /* 1145961 */     GIR_EraseRootFromParent_Done,
     /* 1145962 */   // Label 16780: @1145962
     /* 1145962 */   GIM_Try, /*On fail goto*//*Label 16781*/ GIMT_Encode4(1146042), // Rule ID 15363 //
     /* 1145967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1145970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1145978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1145981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1145984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1145987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146006 */     // MIs[0] round
     /* 1146006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1146019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146041 */     // GIR_Coverage, 15363,
     /* 1146041 */     GIR_EraseRootFromParent_Done,
     /* 1146042 */   // Label 16781: @1146042
     /* 1146042 */   GIM_Try, /*On fail goto*//*Label 16782*/ GIMT_Encode4(1146122), // Rule ID 15366 //
     /* 1146047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1146050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1146058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1146061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1146064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1146067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146086 */     // MIs[0] round
     /* 1146086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146096 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1146099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146121 */     // GIR_Coverage, 15366,
     /* 1146121 */     GIR_EraseRootFromParent_Done,
     /* 1146122 */   // Label 16782: @1146122
     /* 1146122 */   GIM_Try, /*On fail goto*//*Label 16783*/ GIMT_Encode4(1146202), // Rule ID 15367 //
     /* 1146127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1146130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1146138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1146141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1146144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1146147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146166 */     // MIs[0] round
     /* 1146166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146176 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1146179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146201 */     // GIR_Coverage, 15367,
     /* 1146201 */     GIR_EraseRootFromParent_Done,
     /* 1146202 */   // Label 16783: @1146202
     /* 1146202 */   GIM_Try, /*On fail goto*//*Label 16784*/ GIMT_Encode4(1146282), // Rule ID 15370 //
     /* 1146207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1146210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1146218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1146221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1146224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1146227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146246 */     // MIs[0] round
     /* 1146246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146256 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1146259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146281 */     // GIR_Coverage, 15370,
     /* 1146281 */     GIR_EraseRootFromParent_Done,
     /* 1146282 */   // Label 16784: @1146282
     /* 1146282 */   GIM_Try, /*On fail goto*//*Label 16785*/ GIMT_Encode4(1146362), // Rule ID 15371 //
     /* 1146287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1146290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1146298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1146301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1146304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1146307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146326 */     // MIs[0] round
     /* 1146326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146336 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1146339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146361 */     // GIR_Coverage, 15371,
     /* 1146361 */     GIR_EraseRootFromParent_Done,
     /* 1146362 */   // Label 16785: @1146362
     /* 1146362 */   GIM_Try, /*On fail goto*//*Label 16786*/ GIMT_Encode4(1146442), // Rule ID 15374 //
     /* 1146367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1146378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1146381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1146384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146406 */     // MIs[0] round
     /* 1146406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146416 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1146419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146441 */     // GIR_Coverage, 15374,
     /* 1146441 */     GIR_EraseRootFromParent_Done,
     /* 1146442 */   // Label 16786: @1146442
     /* 1146442 */   GIM_Try, /*On fail goto*//*Label 16787*/ GIMT_Encode4(1146522), // Rule ID 15375 //
     /* 1146447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1146458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1146461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1146464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146486 */     // MIs[0] round
     /* 1146486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1146499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146521 */     // GIR_Coverage, 15375,
     /* 1146521 */     GIR_EraseRootFromParent_Done,
     /* 1146522 */   // Label 16787: @1146522
     /* 1146522 */   GIM_Try, /*On fail goto*//*Label 16788*/ GIMT_Encode4(1146602), // Rule ID 15378 //
     /* 1146527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1146538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1146541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1146544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146566 */     // MIs[0] round
     /* 1146566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146576 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1146579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146601 */     // GIR_Coverage, 15378,
     /* 1146601 */     GIR_EraseRootFromParent_Done,
     /* 1146602 */   // Label 16788: @1146602
     /* 1146602 */   GIM_Try, /*On fail goto*//*Label 16789*/ GIMT_Encode4(1146682), // Rule ID 15379 //
     /* 1146607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1146618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1146621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1146624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146646 */     // MIs[0] round
     /* 1146646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146656 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1146659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146681 */     // GIR_Coverage, 15379,
     /* 1146681 */     GIR_EraseRootFromParent_Done,
     /* 1146682 */   // Label 16789: @1146682
     /* 1146682 */   GIM_Try, /*On fail goto*//*Label 16790*/ GIMT_Encode4(1146762), // Rule ID 15382 //
     /* 1146687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1146698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1146701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1146704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146726 */     // MIs[0] round
     /* 1146726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146761 */     // GIR_Coverage, 15382,
     /* 1146761 */     GIR_EraseRootFromParent_Done,
     /* 1146762 */   // Label 16790: @1146762
     /* 1146762 */   GIM_Try, /*On fail goto*//*Label 16791*/ GIMT_Encode4(1146842), // Rule ID 15383 //
     /* 1146767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1146778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1146781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1146784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146806 */     // MIs[0] round
     /* 1146806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146816 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146841 */     // GIR_Coverage, 15383,
     /* 1146841 */     GIR_EraseRootFromParent_Done,
     /* 1146842 */   // Label 16791: @1146842
     /* 1146842 */   GIM_Try, /*On fail goto*//*Label 16792*/ GIMT_Encode4(1146922), // Rule ID 15386 //
     /* 1146847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1146858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1146861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1146864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146886 */     // MIs[0] round
     /* 1146886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146896 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1146899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146921 */     // GIR_Coverage, 15386,
     /* 1146921 */     GIR_EraseRootFromParent_Done,
     /* 1146922 */   // Label 16792: @1146922
     /* 1146922 */   GIM_Try, /*On fail goto*//*Label 16793*/ GIMT_Encode4(1147002), // Rule ID 15387 //
     /* 1146927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1146938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1146941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1146944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146966 */     // MIs[0] round
     /* 1146966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1146979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147001 */     // GIR_Coverage, 15387,
     /* 1147001 */     GIR_EraseRootFromParent_Done,
     /* 1147002 */   // Label 16793: @1147002
     /* 1147002 */   GIM_Try, /*On fail goto*//*Label 16794*/ GIMT_Encode4(1147082), // Rule ID 15390 //
     /* 1147007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1147018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1147021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1147024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147046 */     // MIs[0] round
     /* 1147046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147056 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1147059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147081 */     // GIR_Coverage, 15390,
     /* 1147081 */     GIR_EraseRootFromParent_Done,
     /* 1147082 */   // Label 16794: @1147082
     /* 1147082 */   GIM_Try, /*On fail goto*//*Label 16795*/ GIMT_Encode4(1147162), // Rule ID 15391 //
     /* 1147087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1147098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1147101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1147104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147126 */     // MIs[0] round
     /* 1147126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1147139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147161 */     // GIR_Coverage, 15391,
     /* 1147161 */     GIR_EraseRootFromParent_Done,
     /* 1147162 */   // Label 16795: @1147162
     /* 1147162 */   GIM_Try, /*On fail goto*//*Label 16796*/ GIMT_Encode4(1147242), // Rule ID 15394 //
     /* 1147167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1147178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1147181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1147184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147206 */     // MIs[0] round
     /* 1147206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147216 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1147219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147241 */     // GIR_Coverage, 15394,
     /* 1147241 */     GIR_EraseRootFromParent_Done,
     /* 1147242 */   // Label 16796: @1147242
     /* 1147242 */   GIM_Try, /*On fail goto*//*Label 16797*/ GIMT_Encode4(1147322), // Rule ID 15395 //
     /* 1147247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1147258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1147261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1147264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147286 */     // MIs[0] round
     /* 1147286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147296 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1147299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147321 */     // GIR_Coverage, 15395,
     /* 1147321 */     GIR_EraseRootFromParent_Done,
     /* 1147322 */   // Label 16797: @1147322
     /* 1147322 */   GIM_Try, /*On fail goto*//*Label 16798*/ GIMT_Encode4(1147402), // Rule ID 15398 //
     /* 1147327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1147338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1147341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1147344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147366 */     // MIs[0] round
     /* 1147366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147401 */     // GIR_Coverage, 15398,
     /* 1147401 */     GIR_EraseRootFromParent_Done,
     /* 1147402 */   // Label 16798: @1147402
     /* 1147402 */   GIM_Try, /*On fail goto*//*Label 16799*/ GIMT_Encode4(1147482), // Rule ID 15399 //
     /* 1147407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1147418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1147421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1147424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147446 */     // MIs[0] round
     /* 1147446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147456 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147481 */     // GIR_Coverage, 15399,
     /* 1147481 */     GIR_EraseRootFromParent_Done,
     /* 1147482 */   // Label 16799: @1147482
     /* 1147482 */   GIM_Try, /*On fail goto*//*Label 16800*/ GIMT_Encode4(1147562), // Rule ID 15402 //
     /* 1147487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1147498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1147501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1147504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147526 */     // MIs[0] round
     /* 1147526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147561 */     // GIR_Coverage, 15402,
     /* 1147561 */     GIR_EraseRootFromParent_Done,
     /* 1147562 */   // Label 16800: @1147562
     /* 1147562 */   GIM_Try, /*On fail goto*//*Label 16801*/ GIMT_Encode4(1147642), // Rule ID 15403 //
     /* 1147567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1147578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1147581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1147584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147606 */     // MIs[0] round
     /* 1147606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147641 */     // GIR_Coverage, 15403,
     /* 1147641 */     GIR_EraseRootFromParent_Done,
     /* 1147642 */   // Label 16801: @1147642
     /* 1147642 */   GIM_Try, /*On fail goto*//*Label 16802*/ GIMT_Encode4(1147722), // Rule ID 15406 //
     /* 1147647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1147658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1147661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1147664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147686 */     // MIs[0] round
     /* 1147686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147721 */     // GIR_Coverage, 15406,
     /* 1147721 */     GIR_EraseRootFromParent_Done,
     /* 1147722 */   // Label 16802: @1147722
     /* 1147722 */   GIM_Try, /*On fail goto*//*Label 16803*/ GIMT_Encode4(1147802), // Rule ID 15407 //
     /* 1147727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1147738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1147741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1147744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147766 */     // MIs[0] round
     /* 1147766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147801 */     // GIR_Coverage, 15407,
     /* 1147801 */     GIR_EraseRootFromParent_Done,
     /* 1147802 */   // Label 16803: @1147802
     /* 1147802 */   GIM_Try, /*On fail goto*//*Label 16804*/ GIMT_Encode4(1147882), // Rule ID 15410 //
     /* 1147807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1147810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1147818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1147821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1147824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147846 */     // MIs[0] round
     /* 1147846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147881 */     // GIR_Coverage, 15410,
     /* 1147881 */     GIR_EraseRootFromParent_Done,
     /* 1147882 */   // Label 16804: @1147882
     /* 1147882 */   GIM_Try, /*On fail goto*//*Label 16805*/ GIMT_Encode4(1147962), // Rule ID 15411 //
     /* 1147887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1147890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1147898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1147901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1147904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147926 */     // MIs[0] round
     /* 1147926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147961 */     // GIR_Coverage, 15411,
     /* 1147961 */     GIR_EraseRootFromParent_Done,
     /* 1147962 */   // Label 16805: @1147962
     /* 1147962 */   GIM_Try, /*On fail goto*//*Label 16806*/ GIMT_Encode4(1148042), // Rule ID 15414 //
     /* 1147967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1147978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1147981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1147984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148006 */     // MIs[0] round
     /* 1148006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148016 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148041 */     // GIR_Coverage, 15414,
     /* 1148041 */     GIR_EraseRootFromParent_Done,
     /* 1148042 */   // Label 16806: @1148042
     /* 1148042 */   GIM_Try, /*On fail goto*//*Label 16807*/ GIMT_Encode4(1148122), // Rule ID 15415 //
     /* 1148047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1148058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1148061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1148064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148086 */     // MIs[0] round
     /* 1148086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148121 */     // GIR_Coverage, 15415,
     /* 1148121 */     GIR_EraseRootFromParent_Done,
     /* 1148122 */   // Label 16807: @1148122
     /* 1148122 */   GIM_Try, /*On fail goto*//*Label 16808*/ GIMT_Encode4(1148202), // Rule ID 15418 //
     /* 1148127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1148138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1148141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1148144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148166 */     // MIs[0] round
     /* 1148166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148176 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1148179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148201 */     // GIR_Coverage, 15418,
     /* 1148201 */     GIR_EraseRootFromParent_Done,
     /* 1148202 */   // Label 16808: @1148202
     /* 1148202 */   GIM_Try, /*On fail goto*//*Label 16809*/ GIMT_Encode4(1148282), // Rule ID 15419 //
     /* 1148207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1148218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1148221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1148224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148246 */     // MIs[0] round
     /* 1148246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148256 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1148259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148281 */     // GIR_Coverage, 15419,
     /* 1148281 */     GIR_EraseRootFromParent_Done,
     /* 1148282 */   // Label 16809: @1148282
     /* 1148282 */   GIM_Try, /*On fail goto*//*Label 16810*/ GIMT_Encode4(1148362), // Rule ID 15422 //
     /* 1148287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1148298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1148301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1148304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148326 */     // MIs[0] round
     /* 1148326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1148339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148361 */     // GIR_Coverage, 15422,
     /* 1148361 */     GIR_EraseRootFromParent_Done,
     /* 1148362 */   // Label 16810: @1148362
     /* 1148362 */   GIM_Try, /*On fail goto*//*Label 16811*/ GIMT_Encode4(1148442), // Rule ID 15423 //
     /* 1148367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1148378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1148381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1148384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148406 */     // MIs[0] round
     /* 1148406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148416 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1148419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148441 */     // GIR_Coverage, 15423,
     /* 1148441 */     GIR_EraseRootFromParent_Done,
     /* 1148442 */   // Label 16811: @1148442
     /* 1148442 */   GIM_Try, /*On fail goto*//*Label 16812*/ GIMT_Encode4(1148522), // Rule ID 15426 //
     /* 1148447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1148458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1148461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1148464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148486 */     // MIs[0] round
     /* 1148486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148521 */     // GIR_Coverage, 15426,
     /* 1148521 */     GIR_EraseRootFromParent_Done,
     /* 1148522 */   // Label 16812: @1148522
     /* 1148522 */   GIM_Try, /*On fail goto*//*Label 16813*/ GIMT_Encode4(1148602), // Rule ID 15427 //
     /* 1148527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1148538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1148541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1148544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148566 */     // MIs[0] round
     /* 1148566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148601 */     // GIR_Coverage, 15427,
     /* 1148601 */     GIR_EraseRootFromParent_Done,
     /* 1148602 */   // Label 16813: @1148602
     /* 1148602 */   GIM_Try, /*On fail goto*//*Label 16814*/ GIMT_Encode4(1148682), // Rule ID 15430 //
     /* 1148607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1148618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1148621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1148624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148646 */     // MIs[0] round
     /* 1148646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148656 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1148659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148681 */     // GIR_Coverage, 15430,
     /* 1148681 */     GIR_EraseRootFromParent_Done,
     /* 1148682 */   // Label 16814: @1148682
     /* 1148682 */   GIM_Try, /*On fail goto*//*Label 16815*/ GIMT_Encode4(1148762), // Rule ID 15431 //
     /* 1148687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1148698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1148701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1148704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148726 */     // MIs[0] round
     /* 1148726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148736 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1148739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148761 */     // GIR_Coverage, 15431,
     /* 1148761 */     GIR_EraseRootFromParent_Done,
     /* 1148762 */   // Label 16815: @1148762
     /* 1148762 */   GIM_Try, /*On fail goto*//*Label 16816*/ GIMT_Encode4(1148842), // Rule ID 15434 //
     /* 1148767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1148778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1148781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1148784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148806 */     // MIs[0] round
     /* 1148806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148816 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1148819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148841 */     // GIR_Coverage, 15434,
     /* 1148841 */     GIR_EraseRootFromParent_Done,
     /* 1148842 */   // Label 16816: @1148842
     /* 1148842 */   GIM_Try, /*On fail goto*//*Label 16817*/ GIMT_Encode4(1148922), // Rule ID 15435 //
     /* 1148847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1148858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1148861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1148864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148886 */     // MIs[0] round
     /* 1148886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148896 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1148899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148921 */     // GIR_Coverage, 15435,
     /* 1148921 */     GIR_EraseRootFromParent_Done,
     /* 1148922 */   // Label 16817: @1148922
     /* 1148922 */   GIM_Try, /*On fail goto*//*Label 16818*/ GIMT_Encode4(1149002), // Rule ID 15438 //
     /* 1148927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1148938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1148941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1148944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148966 */     // MIs[0] round
     /* 1148966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149001 */     // GIR_Coverage, 15438,
     /* 1149001 */     GIR_EraseRootFromParent_Done,
     /* 1149002 */   // Label 16818: @1149002
     /* 1149002 */   GIM_Try, /*On fail goto*//*Label 16819*/ GIMT_Encode4(1149082), // Rule ID 15439 //
     /* 1149007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1149018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1149021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1149024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149046 */     // MIs[0] round
     /* 1149046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1149059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149081 */     // GIR_Coverage, 15439,
     /* 1149081 */     GIR_EraseRootFromParent_Done,
     /* 1149082 */   // Label 16819: @1149082
     /* 1149082 */   GIM_Try, /*On fail goto*//*Label 16820*/ GIMT_Encode4(1149162), // Rule ID 15442 //
     /* 1149087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1149098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1149101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1149104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149126 */     // MIs[0] round
     /* 1149126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1149139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149161 */     // GIR_Coverage, 15442,
     /* 1149161 */     GIR_EraseRootFromParent_Done,
     /* 1149162 */   // Label 16820: @1149162
     /* 1149162 */   GIM_Try, /*On fail goto*//*Label 16821*/ GIMT_Encode4(1149242), // Rule ID 15443 //
     /* 1149167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1149178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1149181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1149184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149206 */     // MIs[0] round
     /* 1149206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149216 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1149219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149241 */     // GIR_Coverage, 15443,
     /* 1149241 */     GIR_EraseRootFromParent_Done,
     /* 1149242 */   // Label 16821: @1149242
     /* 1149242 */   GIM_Try, /*On fail goto*//*Label 16822*/ GIMT_Encode4(1149322), // Rule ID 15446 //
     /* 1149247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1149258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1149261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1149264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149286 */     // MIs[0] round
     /* 1149286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1149299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149321 */     // GIR_Coverage, 15446,
     /* 1149321 */     GIR_EraseRootFromParent_Done,
     /* 1149322 */   // Label 16822: @1149322
     /* 1149322 */   GIM_Try, /*On fail goto*//*Label 16823*/ GIMT_Encode4(1149402), // Rule ID 15447 //
     /* 1149327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1149338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1149341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1149344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149366 */     // MIs[0] round
     /* 1149366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1149379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149401 */     // GIR_Coverage, 15447,
     /* 1149401 */     GIR_EraseRootFromParent_Done,
     /* 1149402 */   // Label 16823: @1149402
     /* 1149402 */   GIM_Try, /*On fail goto*//*Label 16824*/ GIMT_Encode4(1149482), // Rule ID 15450 //
     /* 1149407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1149410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1149418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1149421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1149424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149446 */     // MIs[0] round
     /* 1149446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1149459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149481 */     // GIR_Coverage, 15450,
     /* 1149481 */     GIR_EraseRootFromParent_Done,
     /* 1149482 */   // Label 16824: @1149482
     /* 1149482 */   GIM_Try, /*On fail goto*//*Label 16825*/ GIMT_Encode4(1149562), // Rule ID 15451 //
     /* 1149487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1149490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1149498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1149501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1149504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149526 */     // MIs[0] round
     /* 1149526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149536 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1149539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149561 */     // GIR_Coverage, 15451,
     /* 1149561 */     GIR_EraseRootFromParent_Done,
     /* 1149562 */   // Label 16825: @1149562
     /* 1149562 */   GIM_Try, /*On fail goto*//*Label 16826*/ GIMT_Encode4(1149642), // Rule ID 15454 //
     /* 1149567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1149570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1149578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1149581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1149584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149606 */     // MIs[0] round
     /* 1149606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1149619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149641 */     // GIR_Coverage, 15454,
     /* 1149641 */     GIR_EraseRootFromParent_Done,
     /* 1149642 */   // Label 16826: @1149642
     /* 1149642 */   GIM_Try, /*On fail goto*//*Label 16827*/ GIMT_Encode4(1149722), // Rule ID 15455 //
     /* 1149647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1149650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1149658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1149661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1149664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149686 */     // MIs[0] round
     /* 1149686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1149699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149721 */     // GIR_Coverage, 15455,
     /* 1149721 */     GIR_EraseRootFromParent_Done,
     /* 1149722 */   // Label 16827: @1149722
     /* 1149722 */   GIM_Try, /*On fail goto*//*Label 16828*/ GIMT_Encode4(1149802), // Rule ID 15458 //
     /* 1149727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1149730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1149738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1149741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1149744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149766 */     // MIs[0] round
     /* 1149766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149776 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1149779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149801 */     // GIR_Coverage, 15458,
     /* 1149801 */     GIR_EraseRootFromParent_Done,
     /* 1149802 */   // Label 16828: @1149802
     /* 1149802 */   GIM_Try, /*On fail goto*//*Label 16829*/ GIMT_Encode4(1149882), // Rule ID 15459 //
     /* 1149807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1149810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1149818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1149821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1149824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149846 */     // MIs[0] round
     /* 1149846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149856 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1149859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149881 */     // GIR_Coverage, 15459,
     /* 1149881 */     GIR_EraseRootFromParent_Done,
     /* 1149882 */   // Label 16829: @1149882
     /* 1149882 */   GIM_Try, /*On fail goto*//*Label 16830*/ GIMT_Encode4(1149962), // Rule ID 15462 //
     /* 1149887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1149898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1149901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1149904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1149907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149926 */     // MIs[0] round
     /* 1149926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1149939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149961 */     // GIR_Coverage, 15462,
     /* 1149961 */     GIR_EraseRootFromParent_Done,
     /* 1149962 */   // Label 16830: @1149962
     /* 1149962 */   GIM_Try, /*On fail goto*//*Label 16831*/ GIMT_Encode4(1150042), // Rule ID 15463 //
     /* 1149967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1149978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1149981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1149984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1149987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150006 */     // MIs[0] round
     /* 1150006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150016 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1150019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150041 */     // GIR_Coverage, 15463,
     /* 1150041 */     GIR_EraseRootFromParent_Done,
     /* 1150042 */   // Label 16831: @1150042
     /* 1150042 */   GIM_Try, /*On fail goto*//*Label 16832*/ GIMT_Encode4(1150122), // Rule ID 15466 //
     /* 1150047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1150058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1150061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1150064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1150067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150086 */     // MIs[0] round
     /* 1150086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150096 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1150099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150121 */     // GIR_Coverage, 15466,
     /* 1150121 */     GIR_EraseRootFromParent_Done,
     /* 1150122 */   // Label 16832: @1150122
     /* 1150122 */   GIM_Try, /*On fail goto*//*Label 16833*/ GIMT_Encode4(1150202), // Rule ID 15467 //
     /* 1150127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1150138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1150141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1150144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1150147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150166 */     // MIs[0] round
     /* 1150166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150176 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1150179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150201 */     // GIR_Coverage, 15467,
     /* 1150201 */     GIR_EraseRootFromParent_Done,
     /* 1150202 */   // Label 16833: @1150202
     /* 1150202 */   GIM_Try, /*On fail goto*//*Label 16834*/ GIMT_Encode4(1150282), // Rule ID 15470 //
     /* 1150207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1150218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1150221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1150224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1150227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150246 */     // MIs[0] round
     /* 1150246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150256 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1150259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150281 */     // GIR_Coverage, 15470,
     /* 1150281 */     GIR_EraseRootFromParent_Done,
     /* 1150282 */   // Label 16834: @1150282
     /* 1150282 */   GIM_Try, /*On fail goto*//*Label 16835*/ GIMT_Encode4(1150362), // Rule ID 15471 //
     /* 1150287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1150298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1150301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1150304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1150307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150326 */     // MIs[0] round
     /* 1150326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150336 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1150339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150361 */     // GIR_Coverage, 15471,
     /* 1150361 */     GIR_EraseRootFromParent_Done,
     /* 1150362 */   // Label 16835: @1150362
     /* 1150362 */   GIM_Try, /*On fail goto*//*Label 16836*/ GIMT_Encode4(1150442), // Rule ID 15474 //
     /* 1150367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1150378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1150381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1150384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1150387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150406 */     // MIs[0] round
     /* 1150406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150416 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1150419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150441 */     // GIR_Coverage, 15474,
     /* 1150441 */     GIR_EraseRootFromParent_Done,
     /* 1150442 */   // Label 16836: @1150442
     /* 1150442 */   GIM_Try, /*On fail goto*//*Label 16837*/ GIMT_Encode4(1150522), // Rule ID 15475 //
     /* 1150447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1150458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1150461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1150464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1150467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150486 */     // MIs[0] round
     /* 1150486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150496 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1150499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150521 */     // GIR_Coverage, 15475,
     /* 1150521 */     GIR_EraseRootFromParent_Done,
     /* 1150522 */   // Label 16837: @1150522
     /* 1150522 */   GIM_Try, /*On fail goto*//*Label 16838*/ GIMT_Encode4(1150602), // Rule ID 15478 //
     /* 1150527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1150538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1150541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1150544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1150547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150566 */     // MIs[0] round
     /* 1150566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150576 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1150579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150601 */     // GIR_Coverage, 15478,
     /* 1150601 */     GIR_EraseRootFromParent_Done,
     /* 1150602 */   // Label 16838: @1150602
     /* 1150602 */   GIM_Try, /*On fail goto*//*Label 16839*/ GIMT_Encode4(1150682), // Rule ID 15479 //
     /* 1150607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1150618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1150621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1150624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1150627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150646 */     // MIs[0] round
     /* 1150646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150656 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1150659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150681 */     // GIR_Coverage, 15479,
     /* 1150681 */     GIR_EraseRootFromParent_Done,
     /* 1150682 */   // Label 16839: @1150682
     /* 1150682 */   GIM_Try, /*On fail goto*//*Label 16840*/ GIMT_Encode4(1150762), // Rule ID 15482 //
     /* 1150687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1150698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1150701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1150704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1150707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150726 */     // MIs[0] round
     /* 1150726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1150739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150761 */     // GIR_Coverage, 15482,
     /* 1150761 */     GIR_EraseRootFromParent_Done,
     /* 1150762 */   // Label 16840: @1150762
     /* 1150762 */   GIM_Try, /*On fail goto*//*Label 16841*/ GIMT_Encode4(1150842), // Rule ID 15483 //
     /* 1150767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1150778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1150781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1150784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1150787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150806 */     // MIs[0] round
     /* 1150806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150816 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1150819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150841 */     // GIR_Coverage, 15483,
     /* 1150841 */     GIR_EraseRootFromParent_Done,
     /* 1150842 */   // Label 16841: @1150842
     /* 1150842 */   GIM_Try, /*On fail goto*//*Label 16842*/ GIMT_Encode4(1150922), // Rule ID 15486 //
     /* 1150847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1150858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1150861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1150864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1150867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150886 */     // MIs[0] round
     /* 1150886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150921 */     // GIR_Coverage, 15486,
     /* 1150921 */     GIR_EraseRootFromParent_Done,
     /* 1150922 */   // Label 16842: @1150922
     /* 1150922 */   GIM_Try, /*On fail goto*//*Label 16843*/ GIMT_Encode4(1151002), // Rule ID 15487 //
     /* 1150927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1150938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1150941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1150944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1150947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150966 */     // MIs[0] round
     /* 1150966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150976 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151001 */     // GIR_Coverage, 15487,
     /* 1151001 */     GIR_EraseRootFromParent_Done,
     /* 1151002 */   // Label 16843: @1151002
     /* 1151002 */   GIM_Try, /*On fail goto*//*Label 16844*/ GIMT_Encode4(1151082), // Rule ID 15490 //
     /* 1151007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1151018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1151021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1151024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1151027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151046 */     // MIs[0] round
     /* 1151046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151056 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1151059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151081 */     // GIR_Coverage, 15490,
     /* 1151081 */     GIR_EraseRootFromParent_Done,
     /* 1151082 */   // Label 16844: @1151082
     /* 1151082 */   GIM_Try, /*On fail goto*//*Label 16845*/ GIMT_Encode4(1151162), // Rule ID 15491 //
     /* 1151087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1151098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1151101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1151104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1151107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151126 */     // MIs[0] round
     /* 1151126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151136 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1151139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151161 */     // GIR_Coverage, 15491,
     /* 1151161 */     GIR_EraseRootFromParent_Done,
     /* 1151162 */   // Label 16845: @1151162
     /* 1151162 */   GIM_Try, /*On fail goto*//*Label 16846*/ GIMT_Encode4(1151242), // Rule ID 15494 //
     /* 1151167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1151178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1151181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1151184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1151187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151206 */     // MIs[0] round
     /* 1151206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1151219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151241 */     // GIR_Coverage, 15494,
     /* 1151241 */     GIR_EraseRootFromParent_Done,
     /* 1151242 */   // Label 16846: @1151242
     /* 1151242 */   GIM_Try, /*On fail goto*//*Label 16847*/ GIMT_Encode4(1151322), // Rule ID 15495 //
     /* 1151247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1151258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1151261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1151264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1151267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151286 */     // MIs[0] round
     /* 1151286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1151299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151321 */     // GIR_Coverage, 15495,
     /* 1151321 */     GIR_EraseRootFromParent_Done,
     /* 1151322 */   // Label 16847: @1151322
     /* 1151322 */   GIM_Try, /*On fail goto*//*Label 16848*/ GIMT_Encode4(1151402), // Rule ID 15498 //
     /* 1151327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1151338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1151341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1151344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1151347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151366 */     // MIs[0] round
     /* 1151366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1151379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151401 */     // GIR_Coverage, 15498,
     /* 1151401 */     GIR_EraseRootFromParent_Done,
     /* 1151402 */   // Label 16848: @1151402
     /* 1151402 */   GIM_Try, /*On fail goto*//*Label 16849*/ GIMT_Encode4(1151482), // Rule ID 15499 //
     /* 1151407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1151418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1151421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1151424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1151427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151446 */     // MIs[0] round
     /* 1151446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151456 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1151459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151481 */     // GIR_Coverage, 15499,
     /* 1151481 */     GIR_EraseRootFromParent_Done,
     /* 1151482 */   // Label 16849: @1151482
     /* 1151482 */   GIM_Try, /*On fail goto*//*Label 16850*/ GIMT_Encode4(1151562), // Rule ID 15502 //
     /* 1151487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1151498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1151501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1151504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1151507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151526 */     // MIs[0] round
     /* 1151526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1151539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151561 */     // GIR_Coverage, 15502,
     /* 1151561 */     GIR_EraseRootFromParent_Done,
     /* 1151562 */   // Label 16850: @1151562
     /* 1151562 */   GIM_Try, /*On fail goto*//*Label 16851*/ GIMT_Encode4(1151642), // Rule ID 15503 //
     /* 1151567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1151578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1151581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1151584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1151587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151606 */     // MIs[0] round
     /* 1151606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151616 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1151619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151641 */     // GIR_Coverage, 15503,
     /* 1151641 */     GIR_EraseRootFromParent_Done,
     /* 1151642 */   // Label 16851: @1151642
     /* 1151642 */   GIM_Try, /*On fail goto*//*Label 16852*/ GIMT_Encode4(1151722), // Rule ID 15506 //
     /* 1151647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1151658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1151661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1151664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1151667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151686 */     // MIs[0] round
     /* 1151686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1151699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151721 */     // GIR_Coverage, 15506,
     /* 1151721 */     GIR_EraseRootFromParent_Done,
     /* 1151722 */   // Label 16852: @1151722
     /* 1151722 */   GIM_Try, /*On fail goto*//*Label 16853*/ GIMT_Encode4(1151802), // Rule ID 15507 //
     /* 1151727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1151738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1151741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1151744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1151747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151766 */     // MIs[0] round
     /* 1151766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151776 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1151779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151801 */     // GIR_Coverage, 15507,
     /* 1151801 */     GIR_EraseRootFromParent_Done,
     /* 1151802 */   // Label 16853: @1151802
     /* 1151802 */   GIM_Try, /*On fail goto*//*Label 16854*/ GIMT_Encode4(1151882), // Rule ID 15510 //
     /* 1151807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1151818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1151821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1151824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1151827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151846 */     // MIs[0] round
     /* 1151846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151856 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1151859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151881 */     // GIR_Coverage, 15510,
     /* 1151881 */     GIR_EraseRootFromParent_Done,
     /* 1151882 */   // Label 16854: @1151882
     /* 1151882 */   GIM_Try, /*On fail goto*//*Label 16855*/ GIMT_Encode4(1151962), // Rule ID 15511 //
     /* 1151887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1151898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1151901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1151904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1151907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151926 */     // MIs[0] round
     /* 1151926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151936 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1151939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151961 */     // GIR_Coverage, 15511,
     /* 1151961 */     GIR_EraseRootFromParent_Done,
     /* 1151962 */   // Label 16855: @1151962
     /* 1151962 */   GIM_Try, /*On fail goto*//*Label 16856*/ GIMT_Encode4(1152042), // Rule ID 15514 //
     /* 1151967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1151978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1151981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1151984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1151987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152006 */     // MIs[0] round
     /* 1152006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152016 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1152019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152041 */     // GIR_Coverage, 15514,
     /* 1152041 */     GIR_EraseRootFromParent_Done,
     /* 1152042 */   // Label 16856: @1152042
     /* 1152042 */   GIM_Try, /*On fail goto*//*Label 16857*/ GIMT_Encode4(1152122), // Rule ID 15515 //
     /* 1152047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1152058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1152061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1152064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1152067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152086 */     // MIs[0] round
     /* 1152086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152096 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1152099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152121 */     // GIR_Coverage, 15515,
     /* 1152121 */     GIR_EraseRootFromParent_Done,
     /* 1152122 */   // Label 16857: @1152122
     /* 1152122 */   GIM_Try, /*On fail goto*//*Label 16858*/ GIMT_Encode4(1152202), // Rule ID 15518 //
     /* 1152127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1152138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1152141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1152144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1152147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152166 */     // MIs[0] round
     /* 1152166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152176 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1152179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152201 */     // GIR_Coverage, 15518,
     /* 1152201 */     GIR_EraseRootFromParent_Done,
     /* 1152202 */   // Label 16858: @1152202
     /* 1152202 */   GIM_Try, /*On fail goto*//*Label 16859*/ GIMT_Encode4(1152282), // Rule ID 15519 //
     /* 1152207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1152218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1152221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1152224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1152227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152246 */     // MIs[0] round
     /* 1152246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152256 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1152259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152281 */     // GIR_Coverage, 15519,
     /* 1152281 */     GIR_EraseRootFromParent_Done,
     /* 1152282 */   // Label 16859: @1152282
     /* 1152282 */   GIM_Try, /*On fail goto*//*Label 16860*/ GIMT_Encode4(1152362), // Rule ID 15522 //
     /* 1152287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1152298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1152301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1152304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1152307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152326 */     // MIs[0] round
     /* 1152326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152336 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1152339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152361 */     // GIR_Coverage, 15522,
     /* 1152361 */     GIR_EraseRootFromParent_Done,
     /* 1152362 */   // Label 16860: @1152362
     /* 1152362 */   GIM_Try, /*On fail goto*//*Label 16861*/ GIMT_Encode4(1152442), // Rule ID 15523 //
     /* 1152367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1152378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1152381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1152384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1152387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152406 */     // MIs[0] round
     /* 1152406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152416 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1152419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152441 */     // GIR_Coverage, 15523,
     /* 1152441 */     GIR_EraseRootFromParent_Done,
     /* 1152442 */   // Label 16861: @1152442
     /* 1152442 */   GIM_Try, /*On fail goto*//*Label 16862*/ GIMT_Encode4(1152522), // Rule ID 15526 //
     /* 1152447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1152458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1152461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1152464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1152467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152486 */     // MIs[0] round
     /* 1152486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1152499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152521 */     // GIR_Coverage, 15526,
     /* 1152521 */     GIR_EraseRootFromParent_Done,
     /* 1152522 */   // Label 16862: @1152522
     /* 1152522 */   GIM_Try, /*On fail goto*//*Label 16863*/ GIMT_Encode4(1152602), // Rule ID 15527 //
     /* 1152527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1152538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1152541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1152544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1152547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152566 */     // MIs[0] round
     /* 1152566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152576 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1152579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152601 */     // GIR_Coverage, 15527,
     /* 1152601 */     GIR_EraseRootFromParent_Done,
     /* 1152602 */   // Label 16863: @1152602
     /* 1152602 */   GIM_Try, /*On fail goto*//*Label 16864*/ GIMT_Encode4(1152682), // Rule ID 15530 //
     /* 1152607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1152618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1152621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1152624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1152627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152646 */     // MIs[0] round
     /* 1152646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152656 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1152659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152681 */     // GIR_Coverage, 15530,
     /* 1152681 */     GIR_EraseRootFromParent_Done,
     /* 1152682 */   // Label 16864: @1152682
     /* 1152682 */   GIM_Try, /*On fail goto*//*Label 16865*/ GIMT_Encode4(1152762), // Rule ID 15531 //
     /* 1152687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1152698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1152701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1152704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1152707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152726 */     // MIs[0] round
     /* 1152726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1152739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152761 */     // GIR_Coverage, 15531,
     /* 1152761 */     GIR_EraseRootFromParent_Done,
     /* 1152762 */   // Label 16865: @1152762
     /* 1152762 */   GIM_Try, /*On fail goto*//*Label 16866*/ GIMT_Encode4(1152842), // Rule ID 15534 //
     /* 1152767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1152778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1152781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1152784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1152787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152806 */     // MIs[0] round
     /* 1152806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1152819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152841 */     // GIR_Coverage, 15534,
     /* 1152841 */     GIR_EraseRootFromParent_Done,
     /* 1152842 */   // Label 16866: @1152842
     /* 1152842 */   GIM_Try, /*On fail goto*//*Label 16867*/ GIMT_Encode4(1152922), // Rule ID 15535 //
     /* 1152847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1152858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1152861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1152864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1152867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152886 */     // MIs[0] round
     /* 1152886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1152899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152921 */     // GIR_Coverage, 15535,
     /* 1152921 */     GIR_EraseRootFromParent_Done,
     /* 1152922 */   // Label 16867: @1152922
     /* 1152922 */   GIM_Try, /*On fail goto*//*Label 16868*/ GIMT_Encode4(1153002), // Rule ID 15538 //
     /* 1152927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1152930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1152938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1152941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1152944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1152947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152966 */     // MIs[0] round
     /* 1152966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1152979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153001 */     // GIR_Coverage, 15538,
     /* 1153001 */     GIR_EraseRootFromParent_Done,
     /* 1153002 */   // Label 16868: @1153002
     /* 1153002 */   GIM_Try, /*On fail goto*//*Label 16869*/ GIMT_Encode4(1153082), // Rule ID 15539 //
     /* 1153007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1153010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1153018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1153021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1153024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1153027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153046 */     // MIs[0] round
     /* 1153046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153056 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1153059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1153077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153081 */     // GIR_Coverage, 15539,
     /* 1153081 */     GIR_EraseRootFromParent_Done,
     /* 1153082 */   // Label 16869: @1153082
     /* 1153082 */   GIM_Try, /*On fail goto*//*Label 16870*/ GIMT_Encode4(1153162), // Rule ID 15542 //
     /* 1153087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1153090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1153098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1153101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1153104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1153107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153126 */     // MIs[0] round
     /* 1153126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153136 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1153139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1153157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153161 */     // GIR_Coverage, 15542,
     /* 1153161 */     GIR_EraseRootFromParent_Done,
     /* 1153162 */   // Label 16870: @1153162
     /* 1153162 */   GIM_Try, /*On fail goto*//*Label 16871*/ GIMT_Encode4(1153242), // Rule ID 15543 //
     /* 1153167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1153170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1153178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1153181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1153184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1153187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153206 */     // MIs[0] round
     /* 1153206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153216 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1153219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1153237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153241 */     // GIR_Coverage, 15543,
     /* 1153241 */     GIR_EraseRootFromParent_Done,
     /* 1153242 */   // Label 16871: @1153242
     /* 1153242 */   GIM_Try, /*On fail goto*//*Label 16872*/ GIMT_Encode4(1153322), // Rule ID 15546 //
     /* 1153247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1153250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1153258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1153261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1153264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1153267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153286 */     // MIs[0] round
     /* 1153286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153296 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1153299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1153317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153321 */     // GIR_Coverage, 15546,
     /* 1153321 */     GIR_EraseRootFromParent_Done,
     /* 1153322 */   // Label 16872: @1153322
     /* 1153322 */   GIM_Try, /*On fail goto*//*Label 16873*/ GIMT_Encode4(1153402), // Rule ID 15547 //
     /* 1153327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1153330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1153338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1153341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1153344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1153347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153366 */     // MIs[0] round
     /* 1153366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153376 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1153379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1153397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153401 */     // GIR_Coverage, 15547,
     /* 1153401 */     GIR_EraseRootFromParent_Done,
     /* 1153402 */   // Label 16873: @1153402
     /* 1153402 */   GIM_Try, /*On fail goto*//*Label 16874*/ GIMT_Encode4(1153482), // Rule ID 15550 //
     /* 1153407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1153418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1153421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1153424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153446 */     // MIs[0] round
     /* 1153446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153456 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1153459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153481 */     // GIR_Coverage, 15550,
     /* 1153481 */     GIR_EraseRootFromParent_Done,
     /* 1153482 */   // Label 16874: @1153482
     /* 1153482 */   GIM_Try, /*On fail goto*//*Label 16875*/ GIMT_Encode4(1153562), // Rule ID 15551 //
     /* 1153487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1153498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1153501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1153504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153526 */     // MIs[0] round
     /* 1153526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153536 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1153539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153561 */     // GIR_Coverage, 15551,
     /* 1153561 */     GIR_EraseRootFromParent_Done,
     /* 1153562 */   // Label 16875: @1153562
     /* 1153562 */   GIM_Try, /*On fail goto*//*Label 16876*/ GIMT_Encode4(1153642), // Rule ID 15554 //
     /* 1153567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1153578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1153581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1153584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153606 */     // MIs[0] round
     /* 1153606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1153619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153641 */     // GIR_Coverage, 15554,
     /* 1153641 */     GIR_EraseRootFromParent_Done,
     /* 1153642 */   // Label 16876: @1153642
     /* 1153642 */   GIM_Try, /*On fail goto*//*Label 16877*/ GIMT_Encode4(1153722), // Rule ID 15555 //
     /* 1153647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1153658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1153661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1153664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153686 */     // MIs[0] round
     /* 1153686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153696 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1153699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153721 */     // GIR_Coverage, 15555,
     /* 1153721 */     GIR_EraseRootFromParent_Done,
     /* 1153722 */   // Label 16877: @1153722
     /* 1153722 */   GIM_Try, /*On fail goto*//*Label 16878*/ GIMT_Encode4(1153802), // Rule ID 15558 //
     /* 1153727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1153738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1153741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1153744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153766 */     // MIs[0] round
     /* 1153766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153776 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153801 */     // GIR_Coverage, 15558,
     /* 1153801 */     GIR_EraseRootFromParent_Done,
     /* 1153802 */   // Label 16878: @1153802
     /* 1153802 */   GIM_Try, /*On fail goto*//*Label 16879*/ GIMT_Encode4(1153882), // Rule ID 15559 //
     /* 1153807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1153818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1153821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1153824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153846 */     // MIs[0] round
     /* 1153846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153856 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153881 */     // GIR_Coverage, 15559,
     /* 1153881 */     GIR_EraseRootFromParent_Done,
     /* 1153882 */   // Label 16879: @1153882
     /* 1153882 */   GIM_Try, /*On fail goto*//*Label 16880*/ GIMT_Encode4(1153962), // Rule ID 15562 //
     /* 1153887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1153898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1153901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1153904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153926 */     // MIs[0] round
     /* 1153926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153936 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1153939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153961 */     // GIR_Coverage, 15562,
     /* 1153961 */     GIR_EraseRootFromParent_Done,
     /* 1153962 */   // Label 16880: @1153962
     /* 1153962 */   GIM_Try, /*On fail goto*//*Label 16881*/ GIMT_Encode4(1154042), // Rule ID 15563 //
     /* 1153967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1153978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1153981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1153984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154006 */     // MIs[0] round
     /* 1154006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1154019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154041 */     // GIR_Coverage, 15563,
     /* 1154041 */     GIR_EraseRootFromParent_Done,
     /* 1154042 */   // Label 16881: @1154042
     /* 1154042 */   GIM_Try, /*On fail goto*//*Label 16882*/ GIMT_Encode4(1154122), // Rule ID 15566 //
     /* 1154047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1154058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1154061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1154064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154086 */     // MIs[0] round
     /* 1154086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1154099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154121 */     // GIR_Coverage, 15566,
     /* 1154121 */     GIR_EraseRootFromParent_Done,
     /* 1154122 */   // Label 16882: @1154122
     /* 1154122 */   GIM_Try, /*On fail goto*//*Label 16883*/ GIMT_Encode4(1154202), // Rule ID 15567 //
     /* 1154127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1154138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1154141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1154144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154166 */     // MIs[0] round
     /* 1154166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154176 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1154179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154201 */     // GIR_Coverage, 15567,
     /* 1154201 */     GIR_EraseRootFromParent_Done,
     /* 1154202 */   // Label 16883: @1154202
     /* 1154202 */   GIM_Try, /*On fail goto*//*Label 16884*/ GIMT_Encode4(1154282), // Rule ID 15570 //
     /* 1154207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1154218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1154221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1154224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154246 */     // MIs[0] round
     /* 1154246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1154259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154281 */     // GIR_Coverage, 15570,
     /* 1154281 */     GIR_EraseRootFromParent_Done,
     /* 1154282 */   // Label 16884: @1154282
     /* 1154282 */   GIM_Try, /*On fail goto*//*Label 16885*/ GIMT_Encode4(1154362), // Rule ID 15571 //
     /* 1154287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1154298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1154301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1154304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154326 */     // MIs[0] round
     /* 1154326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154336 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1154339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154361 */     // GIR_Coverage, 15571,
     /* 1154361 */     GIR_EraseRootFromParent_Done,
     /* 1154362 */   // Label 16885: @1154362
     /* 1154362 */   GIM_Try, /*On fail goto*//*Label 16886*/ GIMT_Encode4(1154442), // Rule ID 15574 //
     /* 1154367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1154378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1154381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1154384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154406 */     // MIs[0] round
     /* 1154406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154441 */     // GIR_Coverage, 15574,
     /* 1154441 */     GIR_EraseRootFromParent_Done,
     /* 1154442 */   // Label 16886: @1154442
     /* 1154442 */   GIM_Try, /*On fail goto*//*Label 16887*/ GIMT_Encode4(1154522), // Rule ID 15575 //
     /* 1154447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1154458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1154461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1154464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154486 */     // MIs[0] round
     /* 1154486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154521 */     // GIR_Coverage, 15575,
     /* 1154521 */     GIR_EraseRootFromParent_Done,
     /* 1154522 */   // Label 16887: @1154522
     /* 1154522 */   GIM_Try, /*On fail goto*//*Label 16888*/ GIMT_Encode4(1154602), // Rule ID 15578 //
     /* 1154527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1154538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1154541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1154544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154566 */     // MIs[0] round
     /* 1154566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154601 */     // GIR_Coverage, 15578,
     /* 1154601 */     GIR_EraseRootFromParent_Done,
     /* 1154602 */   // Label 16888: @1154602
     /* 1154602 */   GIM_Try, /*On fail goto*//*Label 16889*/ GIMT_Encode4(1154682), // Rule ID 15579 //
     /* 1154607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1154618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1154621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1154624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154646 */     // MIs[0] round
     /* 1154646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154681 */     // GIR_Coverage, 15579,
     /* 1154681 */     GIR_EraseRootFromParent_Done,
     /* 1154682 */   // Label 16889: @1154682
     /* 1154682 */   GIM_Try, /*On fail goto*//*Label 16890*/ GIMT_Encode4(1154762), // Rule ID 15582 //
     /* 1154687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1154698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1154701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1154704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154726 */     // MIs[0] round
     /* 1154726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154761 */     // GIR_Coverage, 15582,
     /* 1154761 */     GIR_EraseRootFromParent_Done,
     /* 1154762 */   // Label 16890: @1154762
     /* 1154762 */   GIM_Try, /*On fail goto*//*Label 16891*/ GIMT_Encode4(1154842), // Rule ID 15583 //
     /* 1154767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1154778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1154781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1154784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154806 */     // MIs[0] round
     /* 1154806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154841 */     // GIR_Coverage, 15583,
     /* 1154841 */     GIR_EraseRootFromParent_Done,
     /* 1154842 */   // Label 16891: @1154842
     /* 1154842 */   GIM_Try, /*On fail goto*//*Label 16892*/ GIMT_Encode4(1154922), // Rule ID 15586 //
     /* 1154847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1154850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1154864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154886 */     // MIs[0] round
     /* 1154886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154921 */     // GIR_Coverage, 15586,
     /* 1154921 */     GIR_EraseRootFromParent_Done,
     /* 1154922 */   // Label 16892: @1154922
     /* 1154922 */   GIM_Try, /*On fail goto*//*Label 16893*/ GIMT_Encode4(1155002), // Rule ID 15587 //
     /* 1154927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1154930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1154944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154966 */     // MIs[0] round
     /* 1154966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154976 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155001 */     // GIR_Coverage, 15587,
     /* 1155001 */     GIR_EraseRootFromParent_Done,
     /* 1155002 */   // Label 16893: @1155002
     /* 1155002 */   GIM_Try, /*On fail goto*//*Label 16894*/ GIMT_Encode4(1155082), // Rule ID 15590 //
     /* 1155007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1155018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1155021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1155024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155046 */     // MIs[0] round
     /* 1155046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155056 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1155059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155081 */     // GIR_Coverage, 15590,
     /* 1155081 */     GIR_EraseRootFromParent_Done,
     /* 1155082 */   // Label 16894: @1155082
     /* 1155082 */   GIM_Try, /*On fail goto*//*Label 16895*/ GIMT_Encode4(1155162), // Rule ID 15591 //
     /* 1155087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1155098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1155101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1155104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155126 */     // MIs[0] round
     /* 1155126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155136 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1155139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155161 */     // GIR_Coverage, 15591,
     /* 1155161 */     GIR_EraseRootFromParent_Done,
     /* 1155162 */   // Label 16895: @1155162
     /* 1155162 */   GIM_Try, /*On fail goto*//*Label 16896*/ GIMT_Encode4(1155242), // Rule ID 15594 //
     /* 1155167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1155178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1155181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1155184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155206 */     // MIs[0] round
     /* 1155206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1155219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155241 */     // GIR_Coverage, 15594,
     /* 1155241 */     GIR_EraseRootFromParent_Done,
     /* 1155242 */   // Label 16896: @1155242
     /* 1155242 */   GIM_Try, /*On fail goto*//*Label 16897*/ GIMT_Encode4(1155322), // Rule ID 15595 //
     /* 1155247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1155258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1155261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1155264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155286 */     // MIs[0] round
     /* 1155286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155296 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1155299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155321 */     // GIR_Coverage, 15595,
     /* 1155321 */     GIR_EraseRootFromParent_Done,
     /* 1155322 */   // Label 16897: @1155322
     /* 1155322 */   GIM_Try, /*On fail goto*//*Label 16898*/ GIMT_Encode4(1155402), // Rule ID 15598 //
     /* 1155327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1155338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1155341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1155344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155366 */     // MIs[0] round
     /* 1155366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155376 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1155379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155401 */     // GIR_Coverage, 15598,
     /* 1155401 */     GIR_EraseRootFromParent_Done,
     /* 1155402 */   // Label 16898: @1155402
     /* 1155402 */   GIM_Try, /*On fail goto*//*Label 16899*/ GIMT_Encode4(1155482), // Rule ID 15599 //
     /* 1155407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1155418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1155421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1155424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155446 */     // MIs[0] round
     /* 1155446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155456 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1155459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155481 */     // GIR_Coverage, 15599,
     /* 1155481 */     GIR_EraseRootFromParent_Done,
     /* 1155482 */   // Label 16899: @1155482
     /* 1155482 */   GIM_Try, /*On fail goto*//*Label 16900*/ GIMT_Encode4(1155562), // Rule ID 15602 //
     /* 1155487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1155498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1155501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1155504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155526 */     // MIs[0] round
     /* 1155526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1155539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155561 */     // GIR_Coverage, 15602,
     /* 1155561 */     GIR_EraseRootFromParent_Done,
     /* 1155562 */   // Label 16900: @1155562
     /* 1155562 */   GIM_Try, /*On fail goto*//*Label 16901*/ GIMT_Encode4(1155642), // Rule ID 15603 //
     /* 1155567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1155578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1155581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1155584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155606 */     // MIs[0] round
     /* 1155606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155616 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1155619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155641 */     // GIR_Coverage, 15603,
     /* 1155641 */     GIR_EraseRootFromParent_Done,
     /* 1155642 */   // Label 16901: @1155642
     /* 1155642 */   GIM_Try, /*On fail goto*//*Label 16902*/ GIMT_Encode4(1155722), // Rule ID 15606 //
     /* 1155647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1155658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1155661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1155664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155686 */     // MIs[0] round
     /* 1155686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1155699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155721 */     // GIR_Coverage, 15606,
     /* 1155721 */     GIR_EraseRootFromParent_Done,
     /* 1155722 */   // Label 16902: @1155722
     /* 1155722 */   GIM_Try, /*On fail goto*//*Label 16903*/ GIMT_Encode4(1155802), // Rule ID 15607 //
     /* 1155727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1155738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1155741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1155744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155766 */     // MIs[0] round
     /* 1155766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155776 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1155779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155801 */     // GIR_Coverage, 15607,
     /* 1155801 */     GIR_EraseRootFromParent_Done,
     /* 1155802 */   // Label 16903: @1155802
     /* 1155802 */   GIM_Try, /*On fail goto*//*Label 16904*/ GIMT_Encode4(1155882), // Rule ID 15610 //
     /* 1155807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1155818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1155821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1155824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155846 */     // MIs[0] round
     /* 1155846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155856 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1155859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155881 */     // GIR_Coverage, 15610,
     /* 1155881 */     GIR_EraseRootFromParent_Done,
     /* 1155882 */   // Label 16904: @1155882
     /* 1155882 */   GIM_Try, /*On fail goto*//*Label 16905*/ GIMT_Encode4(1155962), // Rule ID 15611 //
     /* 1155887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1155898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1155901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1155904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155926 */     // MIs[0] round
     /* 1155926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155936 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1155939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155961 */     // GIR_Coverage, 15611,
     /* 1155961 */     GIR_EraseRootFromParent_Done,
     /* 1155962 */   // Label 16905: @1155962
     /* 1155962 */   GIM_Try, /*On fail goto*//*Label 16906*/ GIMT_Encode4(1156042), // Rule ID 15614 //
     /* 1155967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1155978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1155981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1155984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156006 */     // MIs[0] round
     /* 1156006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1156019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156041 */     // GIR_Coverage, 15614,
     /* 1156041 */     GIR_EraseRootFromParent_Done,
     /* 1156042 */   // Label 16906: @1156042
     /* 1156042 */   GIM_Try, /*On fail goto*//*Label 16907*/ GIMT_Encode4(1156122), // Rule ID 15615 //
     /* 1156047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1156058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1156061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1156064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156086 */     // MIs[0] round
     /* 1156086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1156099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156121 */     // GIR_Coverage, 15615,
     /* 1156121 */     GIR_EraseRootFromParent_Done,
     /* 1156122 */   // Label 16907: @1156122
     /* 1156122 */   GIM_Try, /*On fail goto*//*Label 16908*/ GIMT_Encode4(1156202), // Rule ID 15618 //
     /* 1156127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1156138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1156141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1156144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156166 */     // MIs[0] round
     /* 1156166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1156179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156201 */     // GIR_Coverage, 15618,
     /* 1156201 */     GIR_EraseRootFromParent_Done,
     /* 1156202 */   // Label 16908: @1156202
     /* 1156202 */   GIM_Try, /*On fail goto*//*Label 16909*/ GIMT_Encode4(1156282), // Rule ID 15619 //
     /* 1156207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1156218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1156221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1156224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156246 */     // MIs[0] round
     /* 1156246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156256 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1156259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156281 */     // GIR_Coverage, 15619,
     /* 1156281 */     GIR_EraseRootFromParent_Done,
     /* 1156282 */   // Label 16909: @1156282
     /* 1156282 */   GIM_Try, /*On fail goto*//*Label 16910*/ GIMT_Encode4(1156362), // Rule ID 15622 //
     /* 1156287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1156298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1156301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1156304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156326 */     // MIs[0] round
     /* 1156326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1156339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156361 */     // GIR_Coverage, 15622,
     /* 1156361 */     GIR_EraseRootFromParent_Done,
     /* 1156362 */   // Label 16910: @1156362
     /* 1156362 */   GIM_Try, /*On fail goto*//*Label 16911*/ GIMT_Encode4(1156442), // Rule ID 15623 //
     /* 1156367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1156378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1156381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1156384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156406 */     // MIs[0] round
     /* 1156406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156416 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1156419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156441 */     // GIR_Coverage, 15623,
     /* 1156441 */     GIR_EraseRootFromParent_Done,
     /* 1156442 */   // Label 16911: @1156442
     /* 1156442 */   GIM_Try, /*On fail goto*//*Label 16912*/ GIMT_Encode4(1156522), // Rule ID 15626 //
     /* 1156447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1156450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1156458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1156461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1156464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156486 */     // MIs[0] round
     /* 1156486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1156499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156521 */     // GIR_Coverage, 15626,
     /* 1156521 */     GIR_EraseRootFromParent_Done,
     /* 1156522 */   // Label 16912: @1156522
     /* 1156522 */   GIM_Try, /*On fail goto*//*Label 16913*/ GIMT_Encode4(1156602), // Rule ID 15627 //
     /* 1156527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1156530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1156538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1156541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1156544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156566 */     // MIs[0] round
     /* 1156566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156576 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1156579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156601 */     // GIR_Coverage, 15627,
     /* 1156601 */     GIR_EraseRootFromParent_Done,
     /* 1156602 */   // Label 16913: @1156602
     /* 1156602 */   GIM_Try, /*On fail goto*//*Label 16914*/ GIMT_Encode4(1156682), // Rule ID 15630 //
     /* 1156607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1156610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1156618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1156621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1156624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156646 */     // MIs[0] round
     /* 1156646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1156659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156681 */     // GIR_Coverage, 15630,
     /* 1156681 */     GIR_EraseRootFromParent_Done,
     /* 1156682 */   // Label 16914: @1156682
     /* 1156682 */   GIM_Try, /*On fail goto*//*Label 16915*/ GIMT_Encode4(1156762), // Rule ID 15631 //
     /* 1156687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1156690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1156698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1156701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1156704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156726 */     // MIs[0] round
     /* 1156726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1156739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156761 */     // GIR_Coverage, 15631,
     /* 1156761 */     GIR_EraseRootFromParent_Done,
     /* 1156762 */   // Label 16915: @1156762
     /* 1156762 */   GIM_Try, /*On fail goto*//*Label 16916*/ GIMT_Encode4(1156842), // Rule ID 15634 //
     /* 1156767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1156770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1156778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1156781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1156784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156806 */     // MIs[0] round
     /* 1156806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156816 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1156819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156841 */     // GIR_Coverage, 15634,
     /* 1156841 */     GIR_EraseRootFromParent_Done,
     /* 1156842 */   // Label 16916: @1156842
     /* 1156842 */   GIM_Try, /*On fail goto*//*Label 16917*/ GIMT_Encode4(1156922), // Rule ID 15635 //
     /* 1156847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1156850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1156858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1156861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1156864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156886 */     // MIs[0] round
     /* 1156886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156896 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1156899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156921 */     // GIR_Coverage, 15635,
     /* 1156921 */     GIR_EraseRootFromParent_Done,
     /* 1156922 */   // Label 16917: @1156922
     /* 1156922 */   GIM_Try, /*On fail goto*//*Label 16918*/ GIMT_Encode4(1157005), // Rule ID 15638 //
     /* 1156927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1156938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1156941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1156944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1156947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156966 */     // MIs[0] round
     /* 1156966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1156979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157004 */     // GIR_Coverage, 15638,
     /* 1157004 */     GIR_EraseRootFromParent_Done,
     /* 1157005 */   // Label 16918: @1157005
     /* 1157005 */   GIM_Try, /*On fail goto*//*Label 16919*/ GIMT_Encode4(1157088), // Rule ID 15639 //
     /* 1157010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1157021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1157024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1157027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1157030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157049 */     // MIs[0] round
     /* 1157049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157059 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1157062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157070 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157087 */     // GIR_Coverage, 15639,
     /* 1157087 */     GIR_EraseRootFromParent_Done,
     /* 1157088 */   // Label 16919: @1157088
     /* 1157088 */   GIM_Try, /*On fail goto*//*Label 16920*/ GIMT_Encode4(1157171), // Rule ID 15642 //
     /* 1157093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1157104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1157107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1157110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1157113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157132 */     // MIs[0] round
     /* 1157132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157142 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1157145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157170 */     // GIR_Coverage, 15642,
     /* 1157170 */     GIR_EraseRootFromParent_Done,
     /* 1157171 */   // Label 16920: @1157171
     /* 1157171 */   GIM_Try, /*On fail goto*//*Label 16921*/ GIMT_Encode4(1157254), // Rule ID 15643 //
     /* 1157176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1157187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1157190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1157193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1157196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157215 */     // MIs[0] round
     /* 1157215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157225 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1157228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157236 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157253 */     // GIR_Coverage, 15643,
     /* 1157253 */     GIR_EraseRootFromParent_Done,
     /* 1157254 */   // Label 16921: @1157254
     /* 1157254 */   GIM_Try, /*On fail goto*//*Label 16922*/ GIMT_Encode4(1157337), // Rule ID 15646 //
     /* 1157259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1157270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1157273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1157276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1157279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157298 */     // MIs[0] round
     /* 1157298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157308 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1157311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157336 */     // GIR_Coverage, 15646,
     /* 1157336 */     GIR_EraseRootFromParent_Done,
     /* 1157337 */   // Label 16922: @1157337
     /* 1157337 */   GIM_Try, /*On fail goto*//*Label 16923*/ GIMT_Encode4(1157420), // Rule ID 15647 //
     /* 1157342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1157353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1157356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1157359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1157362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157381 */     // MIs[0] round
     /* 1157381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157391 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1157394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157419 */     // GIR_Coverage, 15647,
     /* 1157419 */     GIR_EraseRootFromParent_Done,
     /* 1157420 */   // Label 16923: @1157420
     /* 1157420 */   GIM_Try, /*On fail goto*//*Label 16924*/ GIMT_Encode4(1157503), // Rule ID 15650 //
     /* 1157425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1157436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1157439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1157442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1157445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157464 */     // MIs[0] round
     /* 1157464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1157477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157502 */     // GIR_Coverage, 15650,
     /* 1157502 */     GIR_EraseRootFromParent_Done,
     /* 1157503 */   // Label 16924: @1157503
     /* 1157503 */   GIM_Try, /*On fail goto*//*Label 16925*/ GIMT_Encode4(1157586), // Rule ID 15651 //
     /* 1157508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1157519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1157522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1157525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1157528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157547 */     // MIs[0] round
     /* 1157547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157557 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1157560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157585 */     // GIR_Coverage, 15651,
     /* 1157585 */     GIR_EraseRootFromParent_Done,
     /* 1157586 */   // Label 16925: @1157586
     /* 1157586 */   GIM_Try, /*On fail goto*//*Label 16926*/ GIMT_Encode4(1157669), // Rule ID 15654 //
     /* 1157591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1157602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1157605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1157608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1157611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157630 */     // MIs[0] round
     /* 1157630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157640 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1157643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157668 */     // GIR_Coverage, 15654,
     /* 1157668 */     GIR_EraseRootFromParent_Done,
     /* 1157669 */   // Label 16926: @1157669
     /* 1157669 */   GIM_Try, /*On fail goto*//*Label 16927*/ GIMT_Encode4(1157752), // Rule ID 15655 //
     /* 1157674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1157685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1157688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1157691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1157694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157713 */     // MIs[0] round
     /* 1157713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157723 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1157726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157751 */     // GIR_Coverage, 15655,
     /* 1157751 */     GIR_EraseRootFromParent_Done,
     /* 1157752 */   // Label 16927: @1157752
     /* 1157752 */   GIM_Try, /*On fail goto*//*Label 16928*/ GIMT_Encode4(1157835), // Rule ID 15658 //
     /* 1157757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1157768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1157771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1157774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1157777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157796 */     // MIs[0] round
     /* 1157796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157806 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1157809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157834 */     // GIR_Coverage, 15658,
     /* 1157834 */     GIR_EraseRootFromParent_Done,
     /* 1157835 */   // Label 16928: @1157835
     /* 1157835 */   GIM_Try, /*On fail goto*//*Label 16929*/ GIMT_Encode4(1157918), // Rule ID 15659 //
     /* 1157840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1157851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1157854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1157857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1157860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157879 */     // MIs[0] round
     /* 1157879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157889 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1157892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157917 */     // GIR_Coverage, 15659,
     /* 1157917 */     GIR_EraseRootFromParent_Done,
     /* 1157918 */   // Label 16929: @1157918
     /* 1157918 */   GIM_Try, /*On fail goto*//*Label 16930*/ GIMT_Encode4(1158001), // Rule ID 15662 //
     /* 1157923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1157934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1157937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1157940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1157943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157962 */     // MIs[0] round
     /* 1157962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158000 */     // GIR_Coverage, 15662,
     /* 1158000 */     GIR_EraseRootFromParent_Done,
     /* 1158001 */   // Label 16930: @1158001
     /* 1158001 */   GIM_Try, /*On fail goto*//*Label 16931*/ GIMT_Encode4(1158084), // Rule ID 15663 //
     /* 1158006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1158017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1158020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1158023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1158026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158045 */     // MIs[0] round
     /* 1158045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158055 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1158058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158083 */     // GIR_Coverage, 15663,
     /* 1158083 */     GIR_EraseRootFromParent_Done,
     /* 1158084 */   // Label 16931: @1158084
     /* 1158084 */   GIM_Try, /*On fail goto*//*Label 16932*/ GIMT_Encode4(1158167), // Rule ID 15666 //
     /* 1158089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1158100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1158103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1158106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1158109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158128 */     // MIs[0] round
     /* 1158128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1158141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158166 */     // GIR_Coverage, 15666,
     /* 1158166 */     GIR_EraseRootFromParent_Done,
     /* 1158167 */   // Label 16932: @1158167
     /* 1158167 */   GIM_Try, /*On fail goto*//*Label 16933*/ GIMT_Encode4(1158250), // Rule ID 15667 //
     /* 1158172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1158183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1158186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1158189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1158192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158211 */     // MIs[0] round
     /* 1158211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158221 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1158224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158249 */     // GIR_Coverage, 15667,
     /* 1158249 */     GIR_EraseRootFromParent_Done,
     /* 1158250 */   // Label 16933: @1158250
     /* 1158250 */   GIM_Try, /*On fail goto*//*Label 16934*/ GIMT_Encode4(1158333), // Rule ID 15670 //
     /* 1158255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1158266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1158269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1158272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1158275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158294 */     // MIs[0] round
     /* 1158294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158304 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1158307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158332 */     // GIR_Coverage, 15670,
     /* 1158332 */     GIR_EraseRootFromParent_Done,
     /* 1158333 */   // Label 16934: @1158333
     /* 1158333 */   GIM_Try, /*On fail goto*//*Label 16935*/ GIMT_Encode4(1158416), // Rule ID 15671 //
     /* 1158338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1158349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1158352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1158355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1158358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158377 */     // MIs[0] round
     /* 1158377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158387 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1158390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158415 */     // GIR_Coverage, 15671,
     /* 1158415 */     GIR_EraseRootFromParent_Done,
     /* 1158416 */   // Label 16935: @1158416
     /* 1158416 */   GIM_Try, /*On fail goto*//*Label 16936*/ GIMT_Encode4(1158499), // Rule ID 15674 //
     /* 1158421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1158432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1158435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1158438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1158441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158460 */     // MIs[0] round
     /* 1158460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158470 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158498 */     // GIR_Coverage, 15674,
     /* 1158498 */     GIR_EraseRootFromParent_Done,
     /* 1158499 */   // Label 16936: @1158499
     /* 1158499 */   GIM_Try, /*On fail goto*//*Label 16937*/ GIMT_Encode4(1158582), // Rule ID 15675 //
     /* 1158504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1158515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1158518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1158521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1158524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158543 */     // MIs[0] round
     /* 1158543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158553 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158581 */     // GIR_Coverage, 15675,
     /* 1158581 */     GIR_EraseRootFromParent_Done,
     /* 1158582 */   // Label 16937: @1158582
     /* 1158582 */   GIM_Try, /*On fail goto*//*Label 16938*/ GIMT_Encode4(1158665), // Rule ID 15678 //
     /* 1158587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1158598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1158601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1158604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1158607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158626 */     // MIs[0] round
     /* 1158626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158664 */     // GIR_Coverage, 15678,
     /* 1158664 */     GIR_EraseRootFromParent_Done,
     /* 1158665 */   // Label 16938: @1158665
     /* 1158665 */   GIM_Try, /*On fail goto*//*Label 16939*/ GIMT_Encode4(1158748), // Rule ID 15679 //
     /* 1158670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1158681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1158684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1158687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1158690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158709 */     // MIs[0] round
     /* 1158709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158719 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158730 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158747 */     // GIR_Coverage, 15679,
     /* 1158747 */     GIR_EraseRootFromParent_Done,
     /* 1158748 */   // Label 16939: @1158748
     /* 1158748 */   GIM_Try, /*On fail goto*//*Label 16940*/ GIMT_Encode4(1158831), // Rule ID 15682 //
     /* 1158753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1158764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1158767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1158770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1158773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158792 */     // MIs[0] round
     /* 1158792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158802 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158830 */     // GIR_Coverage, 15682,
     /* 1158830 */     GIR_EraseRootFromParent_Done,
     /* 1158831 */   // Label 16940: @1158831
     /* 1158831 */   GIM_Try, /*On fail goto*//*Label 16941*/ GIMT_Encode4(1158914), // Rule ID 15683 //
     /* 1158836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1158847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1158850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1158853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1158856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158875 */     // MIs[0] round
     /* 1158875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158885 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158913 */     // GIR_Coverage, 15683,
     /* 1158913 */     GIR_EraseRootFromParent_Done,
     /* 1158914 */   // Label 16941: @1158914
     /* 1158914 */   GIM_Try, /*On fail goto*//*Label 16942*/ GIMT_Encode4(1158997), // Rule ID 15686 //
     /* 1158919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1158930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1158933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1158936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1158939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158958 */     // MIs[0] round
     /* 1158958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158996 */     // GIR_Coverage, 15686,
     /* 1158996 */     GIR_EraseRootFromParent_Done,
     /* 1158997 */   // Label 16942: @1158997
     /* 1158997 */   GIM_Try, /*On fail goto*//*Label 16943*/ GIMT_Encode4(1159080), // Rule ID 15687 //
     /* 1159002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1159013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1159016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1159019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1159022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159041 */     // MIs[0] round
     /* 1159041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159051 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1159054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159079 */     // GIR_Coverage, 15687,
     /* 1159079 */     GIR_EraseRootFromParent_Done,
     /* 1159080 */   // Label 16943: @1159080
     /* 1159080 */   GIM_Try, /*On fail goto*//*Label 16944*/ GIMT_Encode4(1159163), // Rule ID 15690 //
     /* 1159085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1159096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1159099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1159102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1159105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159124 */     // MIs[0] round
     /* 1159124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1159137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159162 */     // GIR_Coverage, 15690,
     /* 1159162 */     GIR_EraseRootFromParent_Done,
     /* 1159163 */   // Label 16944: @1159163
     /* 1159163 */   GIM_Try, /*On fail goto*//*Label 16945*/ GIMT_Encode4(1159246), // Rule ID 15691 //
     /* 1159168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1159179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1159182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1159185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1159188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159207 */     // MIs[0] round
     /* 1159207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159217 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1159220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159245 */     // GIR_Coverage, 15691,
     /* 1159245 */     GIR_EraseRootFromParent_Done,
     /* 1159246 */   // Label 16945: @1159246
     /* 1159246 */   GIM_Try, /*On fail goto*//*Label 16946*/ GIMT_Encode4(1159329), // Rule ID 15694 //
     /* 1159251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1159262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1159265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1159268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1159271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159290 */     // MIs[0] round
     /* 1159290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159300 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1159303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159328 */     // GIR_Coverage, 15694,
     /* 1159328 */     GIR_EraseRootFromParent_Done,
     /* 1159329 */   // Label 16946: @1159329
     /* 1159329 */   GIM_Try, /*On fail goto*//*Label 16947*/ GIMT_Encode4(1159412), // Rule ID 15695 //
     /* 1159334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1159345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1159348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1159351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1159354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159373 */     // MIs[0] round
     /* 1159373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159383 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1159386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159411 */     // GIR_Coverage, 15695,
     /* 1159411 */     GIR_EraseRootFromParent_Done,
     /* 1159412 */   // Label 16947: @1159412
     /* 1159412 */   GIM_Try, /*On fail goto*//*Label 16948*/ GIMT_Encode4(1159495), // Rule ID 15698 //
     /* 1159417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1159428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1159431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1159434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1159437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159456 */     // MIs[0] round
     /* 1159456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159466 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1159469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159494 */     // GIR_Coverage, 15698,
     /* 1159494 */     GIR_EraseRootFromParent_Done,
     /* 1159495 */   // Label 16948: @1159495
     /* 1159495 */   GIM_Try, /*On fail goto*//*Label 16949*/ GIMT_Encode4(1159578), // Rule ID 15699 //
     /* 1159500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1159511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1159514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1159517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1159520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159539 */     // MIs[0] round
     /* 1159539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1159552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159577 */     // GIR_Coverage, 15699,
     /* 1159577 */     GIR_EraseRootFromParent_Done,
     /* 1159578 */   // Label 16949: @1159578
     /* 1159578 */   GIM_Try, /*On fail goto*//*Label 16950*/ GIMT_Encode4(1159661), // Rule ID 15702 //
     /* 1159583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1159594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1159597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1159600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1159603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159622 */     // MIs[0] round
     /* 1159622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159632 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1159635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159660 */     // GIR_Coverage, 15702,
     /* 1159660 */     GIR_EraseRootFromParent_Done,
     /* 1159661 */   // Label 16950: @1159661
     /* 1159661 */   GIM_Try, /*On fail goto*//*Label 16951*/ GIMT_Encode4(1159744), // Rule ID 15703 //
     /* 1159666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1159677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1159680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1159683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1159686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159705 */     // MIs[0] round
     /* 1159705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159715 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1159718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159743 */     // GIR_Coverage, 15703,
     /* 1159743 */     GIR_EraseRootFromParent_Done,
     /* 1159744 */   // Label 16951: @1159744
     /* 1159744 */   GIM_Try, /*On fail goto*//*Label 16952*/ GIMT_Encode4(1159827), // Rule ID 15706 //
     /* 1159749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1159760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1159763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1159766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1159769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159788 */     // MIs[0] round
     /* 1159788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159798 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1159801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159826 */     // GIR_Coverage, 15706,
     /* 1159826 */     GIR_EraseRootFromParent_Done,
     /* 1159827 */   // Label 16952: @1159827
     /* 1159827 */   GIM_Try, /*On fail goto*//*Label 16953*/ GIMT_Encode4(1159910), // Rule ID 15707 //
     /* 1159832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1159843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1159846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1159849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1159852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159871 */     // MIs[0] round
     /* 1159871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1159884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159909 */     // GIR_Coverage, 15707,
     /* 1159909 */     GIR_EraseRootFromParent_Done,
     /* 1159910 */   // Label 16953: @1159910
     /* 1159910 */   GIM_Try, /*On fail goto*//*Label 16954*/ GIMT_Encode4(1159993), // Rule ID 15710 //
     /* 1159915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1159926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1159929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1159932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159954 */     // MIs[0] round
     /* 1159954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159964 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1159967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159992 */     // GIR_Coverage, 15710,
     /* 1159992 */     GIR_EraseRootFromParent_Done,
     /* 1159993 */   // Label 16954: @1159993
     /* 1159993 */   GIM_Try, /*On fail goto*//*Label 16955*/ GIMT_Encode4(1160076), // Rule ID 15711 //
     /* 1159998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1160009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1160012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1160015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160037 */     // MIs[0] round
     /* 1160037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160047 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1160050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160075 */     // GIR_Coverage, 15711,
     /* 1160075 */     GIR_EraseRootFromParent_Done,
     /* 1160076 */   // Label 16955: @1160076
     /* 1160076 */   GIM_Try, /*On fail goto*//*Label 16956*/ GIMT_Encode4(1160159), // Rule ID 15714 //
     /* 1160081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1160092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1160095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1160098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160120 */     // MIs[0] round
     /* 1160120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160130 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1160133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160158 */     // GIR_Coverage, 15714,
     /* 1160158 */     GIR_EraseRootFromParent_Done,
     /* 1160159 */   // Label 16956: @1160159
     /* 1160159 */   GIM_Try, /*On fail goto*//*Label 16957*/ GIMT_Encode4(1160242), // Rule ID 15715 //
     /* 1160164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1160175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1160178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1160181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160203 */     // MIs[0] round
     /* 1160203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160213 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1160216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160241 */     // GIR_Coverage, 15715,
     /* 1160241 */     GIR_EraseRootFromParent_Done,
     /* 1160242 */   // Label 16957: @1160242
     /* 1160242 */   GIM_Try, /*On fail goto*//*Label 16958*/ GIMT_Encode4(1160325), // Rule ID 15718 //
     /* 1160247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1160258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1160261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1160264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160286 */     // MIs[0] round
     /* 1160286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1160299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160324 */     // GIR_Coverage, 15718,
     /* 1160324 */     GIR_EraseRootFromParent_Done,
     /* 1160325 */   // Label 16958: @1160325
     /* 1160325 */   GIM_Try, /*On fail goto*//*Label 16959*/ GIMT_Encode4(1160408), // Rule ID 15719 //
     /* 1160330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1160341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1160344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1160347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160369 */     // MIs[0] round
     /* 1160369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160379 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1160382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160407 */     // GIR_Coverage, 15719,
     /* 1160407 */     GIR_EraseRootFromParent_Done,
     /* 1160408 */   // Label 16959: @1160408
     /* 1160408 */   GIM_Try, /*On fail goto*//*Label 16960*/ GIMT_Encode4(1160491), // Rule ID 15722 //
     /* 1160413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1160424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1160427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1160430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160452 */     // MIs[0] round
     /* 1160452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160462 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1160465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160490 */     // GIR_Coverage, 15722,
     /* 1160490 */     GIR_EraseRootFromParent_Done,
     /* 1160491 */   // Label 16960: @1160491
     /* 1160491 */   GIM_Try, /*On fail goto*//*Label 16961*/ GIMT_Encode4(1160574), // Rule ID 15723 //
     /* 1160496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1160507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1160510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1160513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160535 */     // MIs[0] round
     /* 1160535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160545 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1160548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160573 */     // GIR_Coverage, 15723,
     /* 1160573 */     GIR_EraseRootFromParent_Done,
     /* 1160574 */   // Label 16961: @1160574
     /* 1160574 */   GIM_Try, /*On fail goto*//*Label 16962*/ GIMT_Encode4(1160657), // Rule ID 15726 //
     /* 1160579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1160590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1160593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1160596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160618 */     // MIs[0] round
     /* 1160618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160628 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1160631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160656 */     // GIR_Coverage, 15726,
     /* 1160656 */     GIR_EraseRootFromParent_Done,
     /* 1160657 */   // Label 16962: @1160657
     /* 1160657 */   GIM_Try, /*On fail goto*//*Label 16963*/ GIMT_Encode4(1160740), // Rule ID 15727 //
     /* 1160662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1160673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1160676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1160679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160701 */     // MIs[0] round
     /* 1160701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160711 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1160714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160739 */     // GIR_Coverage, 15727,
     /* 1160739 */     GIR_EraseRootFromParent_Done,
     /* 1160740 */   // Label 16963: @1160740
     /* 1160740 */   GIM_Try, /*On fail goto*//*Label 16964*/ GIMT_Encode4(1160823), // Rule ID 15730 //
     /* 1160745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1160756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1160759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1160762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160784 */     // MIs[0] round
     /* 1160784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1160797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160822 */     // GIR_Coverage, 15730,
     /* 1160822 */     GIR_EraseRootFromParent_Done,
     /* 1160823 */   // Label 16964: @1160823
     /* 1160823 */   GIM_Try, /*On fail goto*//*Label 16965*/ GIMT_Encode4(1160906), // Rule ID 15731 //
     /* 1160828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1160839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1160842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1160845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160867 */     // MIs[0] round
     /* 1160867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160877 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1160880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160888 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160905 */     // GIR_Coverage, 15731,
     /* 1160905 */     GIR_EraseRootFromParent_Done,
     /* 1160906 */   // Label 16965: @1160906
     /* 1160906 */   GIM_Try, /*On fail goto*//*Label 16966*/ GIMT_Encode4(1160989), // Rule ID 15734 //
     /* 1160911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1160922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1160925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1160928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160950 */     // MIs[0] round
     /* 1160950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160960 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1160963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160988 */     // GIR_Coverage, 15734,
     /* 1160988 */     GIR_EraseRootFromParent_Done,
     /* 1160989 */   // Label 16966: @1160989
     /* 1160989 */   GIM_Try, /*On fail goto*//*Label 16967*/ GIMT_Encode4(1161072), // Rule ID 15735 //
     /* 1160994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1161005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1161008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1161011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161033 */     // MIs[0] round
     /* 1161033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161043 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11577:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1161046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161071 */     // GIR_Coverage, 15735,
     /* 1161071 */     GIR_EraseRootFromParent_Done,
     /* 1161072 */   // Label 16967: @1161072
     /* 1161072 */   GIM_Try, /*On fail goto*//*Label 16968*/ GIMT_Encode4(1161155), // Rule ID 15738 //
     /* 1161077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1161088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1161091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1161094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161116 */     // MIs[0] round
     /* 1161116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161126 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1161129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161154 */     // GIR_Coverage, 15738,
     /* 1161154 */     GIR_EraseRootFromParent_Done,
     /* 1161155 */   // Label 16968: @1161155
     /* 1161155 */   GIM_Try, /*On fail goto*//*Label 16969*/ GIMT_Encode4(1161238), // Rule ID 15739 //
     /* 1161160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1161171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1161174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1161177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161199 */     // MIs[0] round
     /* 1161199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161209 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1161212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161220 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161237 */     // GIR_Coverage, 15739,
     /* 1161237 */     GIR_EraseRootFromParent_Done,
     /* 1161238 */   // Label 16969: @1161238
     /* 1161238 */   GIM_Try, /*On fail goto*//*Label 16970*/ GIMT_Encode4(1161321), // Rule ID 15742 //
     /* 1161243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1161254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1161257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1161260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161282 */     // MIs[0] round
     /* 1161282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1161295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161320 */     // GIR_Coverage, 15742,
     /* 1161320 */     GIR_EraseRootFromParent_Done,
     /* 1161321 */   // Label 16970: @1161321
     /* 1161321 */   GIM_Try, /*On fail goto*//*Label 16971*/ GIMT_Encode4(1161404), // Rule ID 15743 //
     /* 1161326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1161337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1161340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1161343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161365 */     // MIs[0] round
     /* 1161365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161375 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1161378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161386 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161403 */     // GIR_Coverage, 15743,
     /* 1161403 */     GIR_EraseRootFromParent_Done,
     /* 1161404 */   // Label 16971: @1161404
     /* 1161404 */   GIM_Try, /*On fail goto*//*Label 16972*/ GIMT_Encode4(1161487), // Rule ID 15746 //
     /* 1161409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1161420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1161423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1161426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161448 */     // MIs[0] round
     /* 1161448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161458 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1161461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161486 */     // GIR_Coverage, 15746,
     /* 1161486 */     GIR_EraseRootFromParent_Done,
     /* 1161487 */   // Label 16972: @1161487
     /* 1161487 */   GIM_Try, /*On fail goto*//*Label 16973*/ GIMT_Encode4(1161570), // Rule ID 15747 //
     /* 1161492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1161503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1161506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1161509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161531 */     // MIs[0] round
     /* 1161531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161541 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1161544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161569 */     // GIR_Coverage, 15747,
     /* 1161569 */     GIR_EraseRootFromParent_Done,
     /* 1161570 */   // Label 16973: @1161570
     /* 1161570 */   GIM_Try, /*On fail goto*//*Label 16974*/ GIMT_Encode4(1161653), // Rule ID 15750 //
     /* 1161575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1161586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1161589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1161592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161614 */     // MIs[0] round
     /* 1161614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161624 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1161627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161652 */     // GIR_Coverage, 15750,
     /* 1161652 */     GIR_EraseRootFromParent_Done,
     /* 1161653 */   // Label 16974: @1161653
     /* 1161653 */   GIM_Try, /*On fail goto*//*Label 16975*/ GIMT_Encode4(1161736), // Rule ID 15751 //
     /* 1161658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1161669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1161672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1161675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161697 */     // MIs[0] round
     /* 1161697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161707 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1161710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161735 */     // GIR_Coverage, 15751,
     /* 1161735 */     GIR_EraseRootFromParent_Done,
     /* 1161736 */   // Label 16975: @1161736
     /* 1161736 */   GIM_Try, /*On fail goto*//*Label 16976*/ GIMT_Encode4(1161819), // Rule ID 15754 //
     /* 1161741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1161752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1161755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1161758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161780 */     // MIs[0] round
     /* 1161780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161790 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1161793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161818 */     // GIR_Coverage, 15754,
     /* 1161818 */     GIR_EraseRootFromParent_Done,
     /* 1161819 */   // Label 16976: @1161819
     /* 1161819 */   GIM_Try, /*On fail goto*//*Label 16977*/ GIMT_Encode4(1161902), // Rule ID 15755 //
     /* 1161824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1161835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1161838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1161841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161863 */     // MIs[0] round
     /* 1161863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161873 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1161876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161901 */     // GIR_Coverage, 15755,
     /* 1161901 */     GIR_EraseRootFromParent_Done,
     /* 1161902 */   // Label 16977: @1161902
     /* 1161902 */   GIM_Try, /*On fail goto*//*Label 16978*/ GIMT_Encode4(1161985), // Rule ID 15758 //
     /* 1161907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1161918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1161921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1161924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161946 */     // MIs[0] round
     /* 1161946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161956 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1161959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161984 */     // GIR_Coverage, 15758,
     /* 1161984 */     GIR_EraseRootFromParent_Done,
     /* 1161985 */   // Label 16978: @1161985
     /* 1161985 */   GIM_Try, /*On fail goto*//*Label 16979*/ GIMT_Encode4(1162068), // Rule ID 15759 //
     /* 1161990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1162001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1162004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1162007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162029 */     // MIs[0] round
     /* 1162029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162039 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1162042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162050 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162067 */     // GIR_Coverage, 15759,
     /* 1162067 */     GIR_EraseRootFromParent_Done,
     /* 1162068 */   // Label 16979: @1162068
     /* 1162068 */   GIM_Try, /*On fail goto*//*Label 16980*/ GIMT_Encode4(1162151), // Rule ID 15762 //
     /* 1162073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1162084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1162087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1162090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162112 */     // MIs[0] round
     /* 1162112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162122 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1162125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162150 */     // GIR_Coverage, 15762,
     /* 1162150 */     GIR_EraseRootFromParent_Done,
     /* 1162151 */   // Label 16980: @1162151
     /* 1162151 */   GIM_Try, /*On fail goto*//*Label 16981*/ GIMT_Encode4(1162234), // Rule ID 15763 //
     /* 1162156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1162167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1162170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1162173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162195 */     // MIs[0] round
     /* 1162195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162205 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1162208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162233 */     // GIR_Coverage, 15763,
     /* 1162233 */     GIR_EraseRootFromParent_Done,
     /* 1162234 */   // Label 16981: @1162234
     /* 1162234 */   GIM_Try, /*On fail goto*//*Label 16982*/ GIMT_Encode4(1162317), // Rule ID 15766 //
     /* 1162239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1162250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1162253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1162256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162278 */     // MIs[0] round
     /* 1162278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162288 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1162291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162316 */     // GIR_Coverage, 15766,
     /* 1162316 */     GIR_EraseRootFromParent_Done,
     /* 1162317 */   // Label 16982: @1162317
     /* 1162317 */   GIM_Try, /*On fail goto*//*Label 16983*/ GIMT_Encode4(1162400), // Rule ID 15767 //
     /* 1162322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1162333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1162336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1162339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162361 */     // MIs[0] round
     /* 1162361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162371 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1162374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162399 */     // GIR_Coverage, 15767,
     /* 1162399 */     GIR_EraseRootFromParent_Done,
     /* 1162400 */   // Label 16983: @1162400
     /* 1162400 */   GIM_Try, /*On fail goto*//*Label 16984*/ GIMT_Encode4(1162483), // Rule ID 15770 //
     /* 1162405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1162416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1162419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1162422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162444 */     // MIs[0] round
     /* 1162444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162454 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1162457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162482 */     // GIR_Coverage, 15770,
     /* 1162482 */     GIR_EraseRootFromParent_Done,
     /* 1162483 */   // Label 16984: @1162483
     /* 1162483 */   GIM_Try, /*On fail goto*//*Label 16985*/ GIMT_Encode4(1162566), // Rule ID 15771 //
     /* 1162488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1162499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1162502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1162505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162527 */     // MIs[0] round
     /* 1162527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162537 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1162540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162565 */     // GIR_Coverage, 15771,
     /* 1162565 */     GIR_EraseRootFromParent_Done,
     /* 1162566 */   // Label 16985: @1162566
     /* 1162566 */   GIM_Try, /*On fail goto*//*Label 16986*/ GIMT_Encode4(1162649), // Rule ID 15774 //
     /* 1162571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1162582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1162585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1162588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162610 */     // MIs[0] round
     /* 1162610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162620 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1162623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162648 */     // GIR_Coverage, 15774,
     /* 1162648 */     GIR_EraseRootFromParent_Done,
     /* 1162649 */   // Label 16986: @1162649
     /* 1162649 */   GIM_Try, /*On fail goto*//*Label 16987*/ GIMT_Encode4(1162732), // Rule ID 15775 //
     /* 1162654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1162665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1162668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1162671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162693 */     // MIs[0] round
     /* 1162693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162703 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1162706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162731 */     // GIR_Coverage, 15775,
     /* 1162731 */     GIR_EraseRootFromParent_Done,
     /* 1162732 */   // Label 16987: @1162732
     /* 1162732 */   GIM_Try, /*On fail goto*//*Label 16988*/ GIMT_Encode4(1162815), // Rule ID 15778 //
     /* 1162737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1162748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1162751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1162754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162776 */     // MIs[0] round
     /* 1162776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162786 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1162789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162814 */     // GIR_Coverage, 15778,
     /* 1162814 */     GIR_EraseRootFromParent_Done,
     /* 1162815 */   // Label 16988: @1162815
     /* 1162815 */   GIM_Try, /*On fail goto*//*Label 16989*/ GIMT_Encode4(1162898), // Rule ID 15779 //
     /* 1162820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1162831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1162834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1162837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162859 */     // MIs[0] round
     /* 1162859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162869 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1162872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162897 */     // GIR_Coverage, 15779,
     /* 1162897 */     GIR_EraseRootFromParent_Done,
     /* 1162898 */   // Label 16989: @1162898
     /* 1162898 */   GIM_Try, /*On fail goto*//*Label 16990*/ GIMT_Encode4(1162981), // Rule ID 15782 //
     /* 1162903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1162906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1162914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1162917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1162920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1162923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162942 */     // MIs[0] round
     /* 1162942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1162955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162980 */     // GIR_Coverage, 15782,
     /* 1162980 */     GIR_EraseRootFromParent_Done,
     /* 1162981 */   // Label 16990: @1162981
     /* 1162981 */   GIM_Try, /*On fail goto*//*Label 16991*/ GIMT_Encode4(1163064), // Rule ID 15783 //
     /* 1162986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1162989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1162997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1163000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1163003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1163006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163025 */     // MIs[0] round
     /* 1163025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163035 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1163038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163063 */     // GIR_Coverage, 15783,
     /* 1163063 */     GIR_EraseRootFromParent_Done,
     /* 1163064 */   // Label 16991: @1163064
     /* 1163064 */   GIM_Try, /*On fail goto*//*Label 16992*/ GIMT_Encode4(1163147), // Rule ID 15786 //
     /* 1163069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1163072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1163080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1163083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1163086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1163089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163108 */     // MIs[0] round
     /* 1163108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163118 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1163121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163146 */     // GIR_Coverage, 15786,
     /* 1163146 */     GIR_EraseRootFromParent_Done,
     /* 1163147 */   // Label 16992: @1163147
     /* 1163147 */   GIM_Try, /*On fail goto*//*Label 16993*/ GIMT_Encode4(1163230), // Rule ID 15787 //
     /* 1163152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1163163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1163166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1163169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1163172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163191 */     // MIs[0] round
     /* 1163191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163201 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1163204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163229 */     // GIR_Coverage, 15787,
     /* 1163229 */     GIR_EraseRootFromParent_Done,
     /* 1163230 */   // Label 16993: @1163230
     /* 1163230 */   GIM_Try, /*On fail goto*//*Label 16994*/ GIMT_Encode4(1163313), // Rule ID 15790 //
     /* 1163235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1163238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1163246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1163249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1163252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1163255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163274 */     // MIs[0] round
     /* 1163274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163284 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1163287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163312 */     // GIR_Coverage, 15790,
     /* 1163312 */     GIR_EraseRootFromParent_Done,
     /* 1163313 */   // Label 16994: @1163313
     /* 1163313 */   GIM_Try, /*On fail goto*//*Label 16995*/ GIMT_Encode4(1163396), // Rule ID 15791 //
     /* 1163318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1163329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1163332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1163335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1163338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163357 */     // MIs[0] round
     /* 1163357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163367 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1163370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163395 */     // GIR_Coverage, 15791,
     /* 1163395 */     GIR_EraseRootFromParent_Done,
     /* 1163396 */   // Label 16995: @1163396
     /* 1163396 */   GIM_Try, /*On fail goto*//*Label 16996*/ GIMT_Encode4(1163479), // Rule ID 15794 //
     /* 1163401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1163404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1163412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1163415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1163418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1163421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163440 */     // MIs[0] round
     /* 1163440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163450 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1163453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163478 */     // GIR_Coverage, 15794,
     /* 1163478 */     GIR_EraseRootFromParent_Done,
     /* 1163479 */   // Label 16996: @1163479
     /* 1163479 */   GIM_Try, /*On fail goto*//*Label 16997*/ GIMT_Encode4(1163562), // Rule ID 15795 //
     /* 1163484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1163495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1163498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1163501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1163504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163523 */     // MIs[0] round
     /* 1163523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163533 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1163536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163544 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163561 */     // GIR_Coverage, 15795,
     /* 1163561 */     GIR_EraseRootFromParent_Done,
     /* 1163562 */   // Label 16997: @1163562
     /* 1163562 */   GIM_Try, /*On fail goto*//*Label 16998*/ GIMT_Encode4(1163645), // Rule ID 15798 //
     /* 1163567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1163570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1163578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1163581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1163584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163606 */     // MIs[0] round
     /* 1163606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163616 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1163619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163644 */     // GIR_Coverage, 15798,
     /* 1163644 */     GIR_EraseRootFromParent_Done,
     /* 1163645 */   // Label 16998: @1163645
     /* 1163645 */   GIM_Try, /*On fail goto*//*Label 16999*/ GIMT_Encode4(1163728), // Rule ID 15799 //
     /* 1163650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1163661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1163664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1163667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163689 */     // MIs[0] round
     /* 1163689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1163702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163710 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163727 */     // GIR_Coverage, 15799,
     /* 1163727 */     GIR_EraseRootFromParent_Done,
     /* 1163728 */   // Label 16999: @1163728
     /* 1163728 */   GIM_Try, /*On fail goto*//*Label 17000*/ GIMT_Encode4(1163811), // Rule ID 15802 //
     /* 1163733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1163736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1163744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1163747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1163750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163772 */     // MIs[0] round
     /* 1163772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163782 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1163785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163810 */     // GIR_Coverage, 15802,
     /* 1163810 */     GIR_EraseRootFromParent_Done,
     /* 1163811 */   // Label 17000: @1163811
     /* 1163811 */   GIM_Try, /*On fail goto*//*Label 17001*/ GIMT_Encode4(1163894), // Rule ID 15803 //
     /* 1163816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1163827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1163830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1163833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163855 */     // MIs[0] round
     /* 1163855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163865 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1163868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163876 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163893 */     // GIR_Coverage, 15803,
     /* 1163893 */     GIR_EraseRootFromParent_Done,
     /* 1163894 */   // Label 17001: @1163894
     /* 1163894 */   GIM_Try, /*On fail goto*//*Label 17002*/ GIMT_Encode4(1163977), // Rule ID 15806 //
     /* 1163899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1163902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1163910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1163913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1163916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163938 */     // MIs[0] round
     /* 1163938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163948 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1163951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163972 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163976 */     // GIR_Coverage, 15806,
     /* 1163976 */     GIR_EraseRootFromParent_Done,
     /* 1163977 */   // Label 17002: @1163977
     /* 1163977 */   GIM_Try, /*On fail goto*//*Label 17003*/ GIMT_Encode4(1164060), // Rule ID 15807 //
     /* 1163982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1163993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1163996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1163999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164021 */     // MIs[0] round
     /* 1164021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164031 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1164034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164059 */     // GIR_Coverage, 15807,
     /* 1164059 */     GIR_EraseRootFromParent_Done,
     /* 1164060 */   // Label 17003: @1164060
     /* 1164060 */   GIM_Try, /*On fail goto*//*Label 17004*/ GIMT_Encode4(1164143), // Rule ID 15810 //
     /* 1164065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1164068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1164076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1164079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1164082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164104 */     // MIs[0] round
     /* 1164104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164114 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1164117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164142 */     // GIR_Coverage, 15810,
     /* 1164142 */     GIR_EraseRootFromParent_Done,
     /* 1164143 */   // Label 17004: @1164143
     /* 1164143 */   GIM_Try, /*On fail goto*//*Label 17005*/ GIMT_Encode4(1164226), // Rule ID 15811 //
     /* 1164148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1164151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1164159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1164162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1164165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164187 */     // MIs[0] round
     /* 1164187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164197 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1164200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164208 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164225 */     // GIR_Coverage, 15811,
     /* 1164225 */     GIR_EraseRootFromParent_Done,
     /* 1164226 */   // Label 17005: @1164226
     /* 1164226 */   GIM_Try, /*On fail goto*//*Label 17006*/ GIMT_Encode4(1164306), // Rule ID 15814 //
     /* 1164231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1164242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1164245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1164248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1164251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164270 */     // MIs[0] round
     /* 1164270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164280 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1164283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164305 */     // GIR_Coverage, 15814,
     /* 1164305 */     GIR_EraseRootFromParent_Done,
     /* 1164306 */   // Label 17006: @1164306
     /* 1164306 */   GIM_Try, /*On fail goto*//*Label 17007*/ GIMT_Encode4(1164386), // Rule ID 15815 //
     /* 1164311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1164322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1164325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1164328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1164331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164350 */     // MIs[0] round
     /* 1164350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164360 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1164363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164385 */     // GIR_Coverage, 15815,
     /* 1164385 */     GIR_EraseRootFromParent_Done,
     /* 1164386 */   // Label 17007: @1164386
     /* 1164386 */   GIM_Try, /*On fail goto*//*Label 17008*/ GIMT_Encode4(1164466), // Rule ID 15818 //
     /* 1164391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1164402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1164405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1164408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1164411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164430 */     // MIs[0] round
     /* 1164430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164440 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1164443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164465 */     // GIR_Coverage, 15818,
     /* 1164465 */     GIR_EraseRootFromParent_Done,
     /* 1164466 */   // Label 17008: @1164466
     /* 1164466 */   GIM_Try, /*On fail goto*//*Label 17009*/ GIMT_Encode4(1164546), // Rule ID 15819 //
     /* 1164471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1164482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1164485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1164488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1164491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164510 */     // MIs[0] round
     /* 1164510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164520 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1164523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164545 */     // GIR_Coverage, 15819,
     /* 1164545 */     GIR_EraseRootFromParent_Done,
     /* 1164546 */   // Label 17009: @1164546
     /* 1164546 */   GIM_Try, /*On fail goto*//*Label 17010*/ GIMT_Encode4(1164626), // Rule ID 15822 //
     /* 1164551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1164562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1164565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1164568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1164571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164590 */     // MIs[0] round
     /* 1164590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164600 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164625 */     // GIR_Coverage, 15822,
     /* 1164625 */     GIR_EraseRootFromParent_Done,
     /* 1164626 */   // Label 17010: @1164626
     /* 1164626 */   GIM_Try, /*On fail goto*//*Label 17011*/ GIMT_Encode4(1164706), // Rule ID 15823 //
     /* 1164631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1164642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1164645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1164648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1164651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164670 */     // MIs[0] round
     /* 1164670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164680 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164705 */     // GIR_Coverage, 15823,
     /* 1164705 */     GIR_EraseRootFromParent_Done,
     /* 1164706 */   // Label 17011: @1164706
     /* 1164706 */   GIM_Try, /*On fail goto*//*Label 17012*/ GIMT_Encode4(1164786), // Rule ID 15826 //
     /* 1164711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1164722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1164725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1164728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1164731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164750 */     // MIs[0] round
     /* 1164750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164760 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1164763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164785 */     // GIR_Coverage, 15826,
     /* 1164785 */     GIR_EraseRootFromParent_Done,
     /* 1164786 */   // Label 17012: @1164786
     /* 1164786 */   GIM_Try, /*On fail goto*//*Label 17013*/ GIMT_Encode4(1164866), // Rule ID 15827 //
     /* 1164791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1164802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1164805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1164808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1164811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164830 */     // MIs[0] round
     /* 1164830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1164843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164865 */     // GIR_Coverage, 15827,
     /* 1164865 */     GIR_EraseRootFromParent_Done,
     /* 1164866 */   // Label 17013: @1164866
     /* 1164866 */   GIM_Try, /*On fail goto*//*Label 17014*/ GIMT_Encode4(1164946), // Rule ID 15830 //
     /* 1164871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1164882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1164885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1164888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1164891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164910 */     // MIs[0] round
     /* 1164910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164920 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164945 */     // GIR_Coverage, 15830,
     /* 1164945 */     GIR_EraseRootFromParent_Done,
     /* 1164946 */   // Label 17014: @1164946
     /* 1164946 */   GIM_Try, /*On fail goto*//*Label 17015*/ GIMT_Encode4(1165026), // Rule ID 15831 //
     /* 1164951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1164962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1164965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1164968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1164971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164990 */     // MIs[0] round
     /* 1164990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165000 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1165003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165025 */     // GIR_Coverage, 15831,
     /* 1165025 */     GIR_EraseRootFromParent_Done,
     /* 1165026 */   // Label 17015: @1165026
     /* 1165026 */   GIM_Try, /*On fail goto*//*Label 17016*/ GIMT_Encode4(1165106), // Rule ID 15834 //
     /* 1165031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1165042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1165045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1165048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1165051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165070 */     // MIs[0] round
     /* 1165070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1165083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165105 */     // GIR_Coverage, 15834,
     /* 1165105 */     GIR_EraseRootFromParent_Done,
     /* 1165106 */   // Label 17016: @1165106
     /* 1165106 */   GIM_Try, /*On fail goto*//*Label 17017*/ GIMT_Encode4(1165186), // Rule ID 15835 //
     /* 1165111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1165122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1165125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1165128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1165131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165150 */     // MIs[0] round
     /* 1165150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165160 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1165163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165185 */     // GIR_Coverage, 15835,
     /* 1165185 */     GIR_EraseRootFromParent_Done,
     /* 1165186 */   // Label 17017: @1165186
     /* 1165186 */   GIM_Try, /*On fail goto*//*Label 17018*/ GIMT_Encode4(1165266), // Rule ID 15838 //
     /* 1165191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1165202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1165205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1165208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1165211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165230 */     // MIs[0] round
     /* 1165230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165240 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165265 */     // GIR_Coverage, 15838,
     /* 1165265 */     GIR_EraseRootFromParent_Done,
     /* 1165266 */   // Label 17018: @1165266
     /* 1165266 */   GIM_Try, /*On fail goto*//*Label 17019*/ GIMT_Encode4(1165346), // Rule ID 15839 //
     /* 1165271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1165282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1165285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1165288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1165291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165310 */     // MIs[0] round
     /* 1165310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165320 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165345 */     // GIR_Coverage, 15839,
     /* 1165345 */     GIR_EraseRootFromParent_Done,
     /* 1165346 */   // Label 17019: @1165346
     /* 1165346 */   GIM_Try, /*On fail goto*//*Label 17020*/ GIMT_Encode4(1165426), // Rule ID 15842 //
     /* 1165351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1165362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1165365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1165368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1165371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165390 */     // MIs[0] round
     /* 1165390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165400 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165425 */     // GIR_Coverage, 15842,
     /* 1165425 */     GIR_EraseRootFromParent_Done,
     /* 1165426 */   // Label 17020: @1165426
     /* 1165426 */   GIM_Try, /*On fail goto*//*Label 17021*/ GIMT_Encode4(1165506), // Rule ID 15843 //
     /* 1165431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1165442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1165445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1165448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1165451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165470 */     // MIs[0] round
     /* 1165470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165480 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165505 */     // GIR_Coverage, 15843,
     /* 1165505 */     GIR_EraseRootFromParent_Done,
     /* 1165506 */   // Label 17021: @1165506
     /* 1165506 */   GIM_Try, /*On fail goto*//*Label 17022*/ GIMT_Encode4(1165586), // Rule ID 15846 //
     /* 1165511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1165522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1165525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1165528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1165531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165550 */     // MIs[0] round
     /* 1165550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165585 */     // GIR_Coverage, 15846,
     /* 1165585 */     GIR_EraseRootFromParent_Done,
     /* 1165586 */   // Label 17022: @1165586
     /* 1165586 */   GIM_Try, /*On fail goto*//*Label 17023*/ GIMT_Encode4(1165666), // Rule ID 15847 //
     /* 1165591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1165602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1165605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1165608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1165611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165630 */     // MIs[0] round
     /* 1165630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165665 */     // GIR_Coverage, 15847,
     /* 1165665 */     GIR_EraseRootFromParent_Done,
     /* 1165666 */   // Label 17023: @1165666
     /* 1165666 */   GIM_Try, /*On fail goto*//*Label 17024*/ GIMT_Encode4(1165746), // Rule ID 15850 //
     /* 1165671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1165682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1165685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1165688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1165691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165710 */     // MIs[0] round
     /* 1165710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165720 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165745 */     // GIR_Coverage, 15850,
     /* 1165745 */     GIR_EraseRootFromParent_Done,
     /* 1165746 */   // Label 17024: @1165746
     /* 1165746 */   GIM_Try, /*On fail goto*//*Label 17025*/ GIMT_Encode4(1165826), // Rule ID 15851 //
     /* 1165751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1165754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1165762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1165765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1165768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1165771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165790 */     // MIs[0] round
     /* 1165790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165825 */     // GIR_Coverage, 15851,
     /* 1165825 */     GIR_EraseRootFromParent_Done,
     /* 1165826 */   // Label 17025: @1165826
     /* 1165826 */   GIM_Try, /*On fail goto*//*Label 17026*/ GIMT_Encode4(1165906), // Rule ID 15854 //
     /* 1165831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1165842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1165845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1165848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1165851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165870 */     // MIs[0] round
     /* 1165870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165880 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1165883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165905 */     // GIR_Coverage, 15854,
     /* 1165905 */     GIR_EraseRootFromParent_Done,
     /* 1165906 */   // Label 17026: @1165906
     /* 1165906 */   GIM_Try, /*On fail goto*//*Label 17027*/ GIMT_Encode4(1165986), // Rule ID 15855 //
     /* 1165911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1165922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1165925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1165928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1165931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165950 */     // MIs[0] round
     /* 1165950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165960 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1165963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165985 */     // GIR_Coverage, 15855,
     /* 1165985 */     GIR_EraseRootFromParent_Done,
     /* 1165986 */   // Label 17027: @1165986
     /* 1165986 */   GIM_Try, /*On fail goto*//*Label 17028*/ GIMT_Encode4(1166066), // Rule ID 15858 //
     /* 1165991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1166002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1166005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1166008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1166011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166030 */     // MIs[0] round
     /* 1166030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166040 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1166043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166065 */     // GIR_Coverage, 15858,
     /* 1166065 */     GIR_EraseRootFromParent_Done,
     /* 1166066 */   // Label 17028: @1166066
     /* 1166066 */   GIM_Try, /*On fail goto*//*Label 17029*/ GIMT_Encode4(1166146), // Rule ID 15859 //
     /* 1166071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1166082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1166085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1166088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1166091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166110 */     // MIs[0] round
     /* 1166110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166120 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1166123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166145 */     // GIR_Coverage, 15859,
     /* 1166145 */     GIR_EraseRootFromParent_Done,
     /* 1166146 */   // Label 17029: @1166146
     /* 1166146 */   GIM_Try, /*On fail goto*//*Label 17030*/ GIMT_Encode4(1166226), // Rule ID 15862 //
     /* 1166151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1166162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1166165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1166168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1166171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166190 */     // MIs[0] round
     /* 1166190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166200 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1166203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166225 */     // GIR_Coverage, 15862,
     /* 1166225 */     GIR_EraseRootFromParent_Done,
     /* 1166226 */   // Label 17030: @1166226
     /* 1166226 */   GIM_Try, /*On fail goto*//*Label 17031*/ GIMT_Encode4(1166306), // Rule ID 15863 //
     /* 1166231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1166242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1166245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1166248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1166251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166270 */     // MIs[0] round
     /* 1166270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166280 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1166283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166305 */     // GIR_Coverage, 15863,
     /* 1166305 */     GIR_EraseRootFromParent_Done,
     /* 1166306 */   // Label 17031: @1166306
     /* 1166306 */   GIM_Try, /*On fail goto*//*Label 17032*/ GIMT_Encode4(1166386), // Rule ID 15866 //
     /* 1166311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1166322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1166325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1166328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1166331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166350 */     // MIs[0] round
     /* 1166350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166360 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1166363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166385 */     // GIR_Coverage, 15866,
     /* 1166385 */     GIR_EraseRootFromParent_Done,
     /* 1166386 */   // Label 17032: @1166386
     /* 1166386 */   GIM_Try, /*On fail goto*//*Label 17033*/ GIMT_Encode4(1166466), // Rule ID 15867 //
     /* 1166391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1166402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1166405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1166408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1166411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166430 */     // MIs[0] round
     /* 1166430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166440 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1166443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166465 */     // GIR_Coverage, 15867,
     /* 1166465 */     GIR_EraseRootFromParent_Done,
     /* 1166466 */   // Label 17033: @1166466
     /* 1166466 */   GIM_Try, /*On fail goto*//*Label 17034*/ GIMT_Encode4(1166546), // Rule ID 15870 //
     /* 1166471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1166482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1166485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1166488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1166491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166510 */     // MIs[0] round
     /* 1166510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166520 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1166523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166545 */     // GIR_Coverage, 15870,
     /* 1166545 */     GIR_EraseRootFromParent_Done,
     /* 1166546 */   // Label 17034: @1166546
     /* 1166546 */   GIM_Try, /*On fail goto*//*Label 17035*/ GIMT_Encode4(1166626), // Rule ID 15871 //
     /* 1166551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1166562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1166565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1166568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1166571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166590 */     // MIs[0] round
     /* 1166590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166600 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1166603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166625 */     // GIR_Coverage, 15871,
     /* 1166625 */     GIR_EraseRootFromParent_Done,
     /* 1166626 */   // Label 17035: @1166626
     /* 1166626 */   GIM_Try, /*On fail goto*//*Label 17036*/ GIMT_Encode4(1166706), // Rule ID 15874 //
     /* 1166631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1166642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1166645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1166648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1166651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166670 */     // MIs[0] round
     /* 1166670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166680 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1166683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166705 */     // GIR_Coverage, 15874,
     /* 1166705 */     GIR_EraseRootFromParent_Done,
     /* 1166706 */   // Label 17036: @1166706
     /* 1166706 */   GIM_Try, /*On fail goto*//*Label 17037*/ GIMT_Encode4(1166786), // Rule ID 15875 //
     /* 1166711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1166722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1166725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1166728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1166731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166750 */     // MIs[0] round
     /* 1166750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166760 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1166763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166785 */     // GIR_Coverage, 15875,
     /* 1166785 */     GIR_EraseRootFromParent_Done,
     /* 1166786 */   // Label 17037: @1166786
     /* 1166786 */   GIM_Try, /*On fail goto*//*Label 17038*/ GIMT_Encode4(1166866), // Rule ID 15878 //
     /* 1166791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1166802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1166805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1166808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1166811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166830 */     // MIs[0] round
     /* 1166830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166840 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1166843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166865 */     // GIR_Coverage, 15878,
     /* 1166865 */     GIR_EraseRootFromParent_Done,
     /* 1166866 */   // Label 17038: @1166866
     /* 1166866 */   GIM_Try, /*On fail goto*//*Label 17039*/ GIMT_Encode4(1166946), // Rule ID 15879 //
     /* 1166871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1166882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1166885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1166888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1166891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166910 */     // MIs[0] round
     /* 1166910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166920 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1166923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166945 */     // GIR_Coverage, 15879,
     /* 1166945 */     GIR_EraseRootFromParent_Done,
     /* 1166946 */   // Label 17039: @1166946
     /* 1166946 */   GIM_Try, /*On fail goto*//*Label 17040*/ GIMT_Encode4(1167026), // Rule ID 15882 //
     /* 1166951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1166962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1166965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1166968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1166971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166990 */     // MIs[0] round
     /* 1166990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1167003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167025 */     // GIR_Coverage, 15882,
     /* 1167025 */     GIR_EraseRootFromParent_Done,
     /* 1167026 */   // Label 17040: @1167026
     /* 1167026 */   GIM_Try, /*On fail goto*//*Label 17041*/ GIMT_Encode4(1167106), // Rule ID 15883 //
     /* 1167031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1167042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1167045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1167048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1167051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167070 */     // MIs[0] round
     /* 1167070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167080 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1167083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167105 */     // GIR_Coverage, 15883,
     /* 1167105 */     GIR_EraseRootFromParent_Done,
     /* 1167106 */   // Label 17041: @1167106
     /* 1167106 */   GIM_Try, /*On fail goto*//*Label 17042*/ GIMT_Encode4(1167186), // Rule ID 15886 //
     /* 1167111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1167122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1167125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1167128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1167131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167150 */     // MIs[0] round
     /* 1167150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167160 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1167163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167185 */     // GIR_Coverage, 15886,
     /* 1167185 */     GIR_EraseRootFromParent_Done,
     /* 1167186 */   // Label 17042: @1167186
     /* 1167186 */   GIM_Try, /*On fail goto*//*Label 17043*/ GIMT_Encode4(1167266), // Rule ID 15887 //
     /* 1167191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1167202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1167205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1167208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1167211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167230 */     // MIs[0] round
     /* 1167230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167240 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1167243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167265 */     // GIR_Coverage, 15887,
     /* 1167265 */     GIR_EraseRootFromParent_Done,
     /* 1167266 */   // Label 17043: @1167266
     /* 1167266 */   GIM_Try, /*On fail goto*//*Label 17044*/ GIMT_Encode4(1167346), // Rule ID 15890 //
     /* 1167271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1167274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1167282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1167285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1167288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1167291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167310 */     // MIs[0] round
     /* 1167310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167320 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1167323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167345 */     // GIR_Coverage, 15890,
     /* 1167345 */     GIR_EraseRootFromParent_Done,
     /* 1167346 */   // Label 17044: @1167346
     /* 1167346 */   GIM_Try, /*On fail goto*//*Label 17045*/ GIMT_Encode4(1167426), // Rule ID 15891 //
     /* 1167351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1167362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1167365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1167368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1167371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167390 */     // MIs[0] round
     /* 1167390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167400 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1167403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167425 */     // GIR_Coverage, 15891,
     /* 1167425 */     GIR_EraseRootFromParent_Done,
     /* 1167426 */   // Label 17045: @1167426
     /* 1167426 */   GIM_Try, /*On fail goto*//*Label 17046*/ GIMT_Encode4(1167506), // Rule ID 15894 //
     /* 1167431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1167434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1167442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1167445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1167448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1167451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167470 */     // MIs[0] round
     /* 1167470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1167483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167505 */     // GIR_Coverage, 15894,
     /* 1167505 */     GIR_EraseRootFromParent_Done,
     /* 1167506 */   // Label 17046: @1167506
     /* 1167506 */   GIM_Try, /*On fail goto*//*Label 17047*/ GIMT_Encode4(1167586), // Rule ID 15895 //
     /* 1167511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1167522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1167525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1167528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1167531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167550 */     // MIs[0] round
     /* 1167550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167560 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1167563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167585 */     // GIR_Coverage, 15895,
     /* 1167585 */     GIR_EraseRootFromParent_Done,
     /* 1167586 */   // Label 17047: @1167586
     /* 1167586 */   GIM_Try, /*On fail goto*//*Label 17048*/ GIMT_Encode4(1167666), // Rule ID 15898 //
     /* 1167591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1167594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1167602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1167605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1167608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1167611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167630 */     // MIs[0] round
     /* 1167630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167640 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1167643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167665 */     // GIR_Coverage, 15898,
     /* 1167665 */     GIR_EraseRootFromParent_Done,
     /* 1167666 */   // Label 17048: @1167666
     /* 1167666 */   GIM_Try, /*On fail goto*//*Label 17049*/ GIMT_Encode4(1167746), // Rule ID 15899 //
     /* 1167671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1167682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1167685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1167688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1167691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167710 */     // MIs[0] round
     /* 1167710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167720 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1167723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167745 */     // GIR_Coverage, 15899,
     /* 1167745 */     GIR_EraseRootFromParent_Done,
     /* 1167746 */   // Label 17049: @1167746
     /* 1167746 */   GIM_Try, /*On fail goto*//*Label 17050*/ GIMT_Encode4(1167826), // Rule ID 15902 //
     /* 1167751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1167762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1167765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1167768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167790 */     // MIs[0] round
     /* 1167790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167800 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1167803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167825 */     // GIR_Coverage, 15902,
     /* 1167825 */     GIR_EraseRootFromParent_Done,
     /* 1167826 */   // Label 17050: @1167826
     /* 1167826 */   GIM_Try, /*On fail goto*//*Label 17051*/ GIMT_Encode4(1167906), // Rule ID 15903 //
     /* 1167831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1167842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1167845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1167848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167870 */     // MIs[0] round
     /* 1167870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167880 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1167883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167905 */     // GIR_Coverage, 15903,
     /* 1167905 */     GIR_EraseRootFromParent_Done,
     /* 1167906 */   // Label 17051: @1167906
     /* 1167906 */   GIM_Try, /*On fail goto*//*Label 17052*/ GIMT_Encode4(1167986), // Rule ID 15906 //
     /* 1167911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1167922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1167925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1167928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167950 */     // MIs[0] round
     /* 1167950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167960 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1167963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167985 */     // GIR_Coverage, 15906,
     /* 1167985 */     GIR_EraseRootFromParent_Done,
     /* 1167986 */   // Label 17052: @1167986
     /* 1167986 */   GIM_Try, /*On fail goto*//*Label 17053*/ GIMT_Encode4(1168066), // Rule ID 15907 //
     /* 1167991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1168002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1168005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1168008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168030 */     // MIs[0] round
     /* 1168030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168040 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1168043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168065 */     // GIR_Coverage, 15907,
     /* 1168065 */     GIR_EraseRootFromParent_Done,
     /* 1168066 */   // Label 17053: @1168066
     /* 1168066 */   GIM_Try, /*On fail goto*//*Label 17054*/ GIMT_Encode4(1168146), // Rule ID 15910 //
     /* 1168071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1168082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1168085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1168088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168110 */     // MIs[0] round
     /* 1168110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168120 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1168123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168145 */     // GIR_Coverage, 15910,
     /* 1168145 */     GIR_EraseRootFromParent_Done,
     /* 1168146 */   // Label 17054: @1168146
     /* 1168146 */   GIM_Try, /*On fail goto*//*Label 17055*/ GIMT_Encode4(1168226), // Rule ID 15911 //
     /* 1168151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1168162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1168165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1168168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168190 */     // MIs[0] round
     /* 1168190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168200 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1168203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168225 */     // GIR_Coverage, 15911,
     /* 1168225 */     GIR_EraseRootFromParent_Done,
     /* 1168226 */   // Label 17055: @1168226
     /* 1168226 */   GIM_Try, /*On fail goto*//*Label 17056*/ GIMT_Encode4(1168306), // Rule ID 15914 //
     /* 1168231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1168242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1168245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1168248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168270 */     // MIs[0] round
     /* 1168270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168280 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1168283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168305 */     // GIR_Coverage, 15914,
     /* 1168305 */     GIR_EraseRootFromParent_Done,
     /* 1168306 */   // Label 17056: @1168306
     /* 1168306 */   GIM_Try, /*On fail goto*//*Label 17057*/ GIMT_Encode4(1168386), // Rule ID 15915 //
     /* 1168311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1168322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1168325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1168328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168350 */     // MIs[0] round
     /* 1168350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168360 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1168363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168385 */     // GIR_Coverage, 15915,
     /* 1168385 */     GIR_EraseRootFromParent_Done,
     /* 1168386 */   // Label 17057: @1168386
     /* 1168386 */   GIM_Try, /*On fail goto*//*Label 17058*/ GIMT_Encode4(1168466), // Rule ID 15918 //
     /* 1168391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1168402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1168405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1168408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168430 */     // MIs[0] round
     /* 1168430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168440 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1168443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168465 */     // GIR_Coverage, 15918,
     /* 1168465 */     GIR_EraseRootFromParent_Done,
     /* 1168466 */   // Label 17058: @1168466
     /* 1168466 */   GIM_Try, /*On fail goto*//*Label 17059*/ GIMT_Encode4(1168546), // Rule ID 15919 //
     /* 1168471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1168482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1168485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1168488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168510 */     // MIs[0] round
     /* 1168510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1168523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168545 */     // GIR_Coverage, 15919,
     /* 1168545 */     GIR_EraseRootFromParent_Done,
     /* 1168546 */   // Label 17059: @1168546
     /* 1168546 */   GIM_Try, /*On fail goto*//*Label 17060*/ GIMT_Encode4(1168626), // Rule ID 15922 //
     /* 1168551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1168562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1168565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1168568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168590 */     // MIs[0] round
     /* 1168590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168600 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1168603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168625 */     // GIR_Coverage, 15922,
     /* 1168625 */     GIR_EraseRootFromParent_Done,
     /* 1168626 */   // Label 17060: @1168626
     /* 1168626 */   GIM_Try, /*On fail goto*//*Label 17061*/ GIMT_Encode4(1168706), // Rule ID 15923 //
     /* 1168631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1168642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1168645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1168648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168670 */     // MIs[0] round
     /* 1168670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168680 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1168683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168705 */     // GIR_Coverage, 15923,
     /* 1168705 */     GIR_EraseRootFromParent_Done,
     /* 1168706 */   // Label 17061: @1168706
     /* 1168706 */   GIM_Try, /*On fail goto*//*Label 17062*/ GIMT_Encode4(1168786), // Rule ID 15926 //
     /* 1168711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1168722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1168725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1168728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168750 */     // MIs[0] round
     /* 1168750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168760 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168785 */     // GIR_Coverage, 15926,
     /* 1168785 */     GIR_EraseRootFromParent_Done,
     /* 1168786 */   // Label 17062: @1168786
     /* 1168786 */   GIM_Try, /*On fail goto*//*Label 17063*/ GIMT_Encode4(1168866), // Rule ID 15927 //
     /* 1168791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1168802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1168805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1168808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168830 */     // MIs[0] round
     /* 1168830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168840 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168865 */     // GIR_Coverage, 15927,
     /* 1168865 */     GIR_EraseRootFromParent_Done,
     /* 1168866 */   // Label 17063: @1168866
     /* 1168866 */   GIM_Try, /*On fail goto*//*Label 17064*/ GIMT_Encode4(1168946), // Rule ID 15930 //
     /* 1168871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1168882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1168885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1168888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168910 */     // MIs[0] round
     /* 1168910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168920 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168945 */     // GIR_Coverage, 15930,
     /* 1168945 */     GIR_EraseRootFromParent_Done,
     /* 1168946 */   // Label 17064: @1168946
     /* 1168946 */   GIM_Try, /*On fail goto*//*Label 17065*/ GIMT_Encode4(1169026), // Rule ID 15931 //
     /* 1168951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1168962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1168965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1168968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168990 */     // MIs[0] round
     /* 1168990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169000 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1169003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169025 */     // GIR_Coverage, 15931,
     /* 1169025 */     GIR_EraseRootFromParent_Done,
     /* 1169026 */   // Label 17065: @1169026
     /* 1169026 */   GIM_Try, /*On fail goto*//*Label 17066*/ GIMT_Encode4(1169106), // Rule ID 15934 //
     /* 1169031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1169042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1169045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1169048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169070 */     // MIs[0] round
     /* 1169070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1169083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169105 */     // GIR_Coverage, 15934,
     /* 1169105 */     GIR_EraseRootFromParent_Done,
     /* 1169106 */   // Label 17066: @1169106
     /* 1169106 */   GIM_Try, /*On fail goto*//*Label 17067*/ GIMT_Encode4(1169186), // Rule ID 15935 //
     /* 1169111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1169122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1169125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1169128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169150 */     // MIs[0] round
     /* 1169150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1169163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169185 */     // GIR_Coverage, 15935,
     /* 1169185 */     GIR_EraseRootFromParent_Done,
     /* 1169186 */   // Label 17067: @1169186
     /* 1169186 */   GIM_Try, /*On fail goto*//*Label 17068*/ GIMT_Encode4(1169266), // Rule ID 15938 //
     /* 1169191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1169202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1169205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1169208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169230 */     // MIs[0] round
     /* 1169230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1169243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169265 */     // GIR_Coverage, 15938,
     /* 1169265 */     GIR_EraseRootFromParent_Done,
     /* 1169266 */   // Label 17068: @1169266
     /* 1169266 */   GIM_Try, /*On fail goto*//*Label 17069*/ GIMT_Encode4(1169346), // Rule ID 15939 //
     /* 1169271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1169282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1169285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1169288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169310 */     // MIs[0] round
     /* 1169310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1169323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169345 */     // GIR_Coverage, 15939,
     /* 1169345 */     GIR_EraseRootFromParent_Done,
     /* 1169346 */   // Label 17069: @1169346
     /* 1169346 */   GIM_Try, /*On fail goto*//*Label 17070*/ GIMT_Encode4(1169426), // Rule ID 15942 //
     /* 1169351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1169362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1169365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1169368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169390 */     // MIs[0] round
     /* 1169390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169400 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1169403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169425 */     // GIR_Coverage, 15942,
     /* 1169425 */     GIR_EraseRootFromParent_Done,
     /* 1169426 */   // Label 17070: @1169426
     /* 1169426 */   GIM_Try, /*On fail goto*//*Label 17071*/ GIMT_Encode4(1169506), // Rule ID 15943 //
     /* 1169431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1169442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1169445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1169448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169470 */     // MIs[0] round
     /* 1169470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169480 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1169483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169505 */     // GIR_Coverage, 15943,
     /* 1169505 */     GIR_EraseRootFromParent_Done,
     /* 1169506 */   // Label 17071: @1169506
     /* 1169506 */   GIM_Try, /*On fail goto*//*Label 17072*/ GIMT_Encode4(1169586), // Rule ID 15946 //
     /* 1169511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1169522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1169525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1169528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169550 */     // MIs[0] round
     /* 1169550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169560 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1169563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169585 */     // GIR_Coverage, 15946,
     /* 1169585 */     GIR_EraseRootFromParent_Done,
     /* 1169586 */   // Label 17072: @1169586
     /* 1169586 */   GIM_Try, /*On fail goto*//*Label 17073*/ GIMT_Encode4(1169666), // Rule ID 15947 //
     /* 1169591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1169602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1169605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1169608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169630 */     // MIs[0] round
     /* 1169630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169640 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1169643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169665 */     // GIR_Coverage, 15947,
     /* 1169665 */     GIR_EraseRootFromParent_Done,
     /* 1169666 */   // Label 17073: @1169666
     /* 1169666 */   GIM_Try, /*On fail goto*//*Label 17074*/ GIMT_Encode4(1169746), // Rule ID 15950 //
     /* 1169671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1169682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1169685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1169688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169710 */     // MIs[0] round
     /* 1169710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169720 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1169723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169745 */     // GIR_Coverage, 15950,
     /* 1169745 */     GIR_EraseRootFromParent_Done,
     /* 1169746 */   // Label 17074: @1169746
     /* 1169746 */   GIM_Try, /*On fail goto*//*Label 17075*/ GIMT_Encode4(1169826), // Rule ID 15951 //
     /* 1169751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1169762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1169765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1169768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169790 */     // MIs[0] round
     /* 1169790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169800 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1169803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169825 */     // GIR_Coverage, 15951,
     /* 1169825 */     GIR_EraseRootFromParent_Done,
     /* 1169826 */   // Label 17075: @1169826
     /* 1169826 */   GIM_Try, /*On fail goto*//*Label 17076*/ GIMT_Encode4(1169906), // Rule ID 15954 //
     /* 1169831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1169842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1169845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1169848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169870 */     // MIs[0] round
     /* 1169870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169880 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1169883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169905 */     // GIR_Coverage, 15954,
     /* 1169905 */     GIR_EraseRootFromParent_Done,
     /* 1169906 */   // Label 17076: @1169906
     /* 1169906 */   GIM_Try, /*On fail goto*//*Label 17077*/ GIMT_Encode4(1169986), // Rule ID 15955 //
     /* 1169911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1169922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1169925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1169928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169950 */     // MIs[0] round
     /* 1169950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169960 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1169963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169985 */     // GIR_Coverage, 15955,
     /* 1169985 */     GIR_EraseRootFromParent_Done,
     /* 1169986 */   // Label 17077: @1169986
     /* 1169986 */   GIM_Try, /*On fail goto*//*Label 17078*/ GIMT_Encode4(1170066), // Rule ID 15958 //
     /* 1169991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1170002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1170005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1170008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170030 */     // MIs[0] round
     /* 1170030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170040 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1170043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170065 */     // GIR_Coverage, 15958,
     /* 1170065 */     GIR_EraseRootFromParent_Done,
     /* 1170066 */   // Label 17078: @1170066
     /* 1170066 */   GIM_Try, /*On fail goto*//*Label 17079*/ GIMT_Encode4(1170146), // Rule ID 15959 //
     /* 1170071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1170082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1170085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1170088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170110 */     // MIs[0] round
     /* 1170110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1170123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170145 */     // GIR_Coverage, 15959,
     /* 1170145 */     GIR_EraseRootFromParent_Done,
     /* 1170146 */   // Label 17079: @1170146
     /* 1170146 */   GIM_Try, /*On fail goto*//*Label 17080*/ GIMT_Encode4(1170226), // Rule ID 15962 //
     /* 1170151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1170162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1170165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1170168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170190 */     // MIs[0] round
     /* 1170190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170200 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1170203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170225 */     // GIR_Coverage, 15962,
     /* 1170225 */     GIR_EraseRootFromParent_Done,
     /* 1170226 */   // Label 17080: @1170226
     /* 1170226 */   GIM_Try, /*On fail goto*//*Label 17081*/ GIMT_Encode4(1170306), // Rule ID 15963 //
     /* 1170231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1170242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1170245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1170248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170270 */     // MIs[0] round
     /* 1170270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170280 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1170283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170305 */     // GIR_Coverage, 15963,
     /* 1170305 */     GIR_EraseRootFromParent_Done,
     /* 1170306 */   // Label 17081: @1170306
     /* 1170306 */   GIM_Try, /*On fail goto*//*Label 17082*/ GIMT_Encode4(1170386), // Rule ID 15966 //
     /* 1170311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1170322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1170325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1170328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170350 */     // MIs[0] round
     /* 1170350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170360 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1170363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170385 */     // GIR_Coverage, 15966,
     /* 1170385 */     GIR_EraseRootFromParent_Done,
     /* 1170386 */   // Label 17082: @1170386
     /* 1170386 */   GIM_Try, /*On fail goto*//*Label 17083*/ GIMT_Encode4(1170466), // Rule ID 15967 //
     /* 1170391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1170402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1170405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1170408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170430 */     // MIs[0] round
     /* 1170430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1170443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170465 */     // GIR_Coverage, 15967,
     /* 1170465 */     GIR_EraseRootFromParent_Done,
     /* 1170466 */   // Label 17083: @1170466
     /* 1170466 */   GIM_Try, /*On fail goto*//*Label 17084*/ GIMT_Encode4(1170546), // Rule ID 15970 //
     /* 1170471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1170482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1170485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1170488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170510 */     // MIs[0] round
     /* 1170510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170520 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1170523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170545 */     // GIR_Coverage, 15970,
     /* 1170545 */     GIR_EraseRootFromParent_Done,
     /* 1170546 */   // Label 17084: @1170546
     /* 1170546 */   GIM_Try, /*On fail goto*//*Label 17085*/ GIMT_Encode4(1170626), // Rule ID 15971 //
     /* 1170551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1170562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1170565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1170568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170590 */     // MIs[0] round
     /* 1170590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170600 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1170603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170625 */     // GIR_Coverage, 15971,
     /* 1170625 */     GIR_EraseRootFromParent_Done,
     /* 1170626 */   // Label 17085: @1170626
     /* 1170626 */   GIM_Try, /*On fail goto*//*Label 17086*/ GIMT_Encode4(1170706), // Rule ID 15974 //
     /* 1170631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1170642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1170645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1170648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170670 */     // MIs[0] round
     /* 1170670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1170683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170705 */     // GIR_Coverage, 15974,
     /* 1170705 */     GIR_EraseRootFromParent_Done,
     /* 1170706 */   // Label 17086: @1170706
     /* 1170706 */   GIM_Try, /*On fail goto*//*Label 17087*/ GIMT_Encode4(1170786), // Rule ID 15975 //
     /* 1170711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1170722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1170725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1170728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170750 */     // MIs[0] round
     /* 1170750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170760 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1170763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170785 */     // GIR_Coverage, 15975,
     /* 1170785 */     GIR_EraseRootFromParent_Done,
     /* 1170786 */   // Label 17087: @1170786
     /* 1170786 */   GIM_Try, /*On fail goto*//*Label 17088*/ GIMT_Encode4(1170866), // Rule ID 15978 //
     /* 1170791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1170794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1170802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1170805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1170808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170830 */     // MIs[0] round
     /* 1170830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1170843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170865 */     // GIR_Coverage, 15978,
     /* 1170865 */     GIR_EraseRootFromParent_Done,
     /* 1170866 */   // Label 17088: @1170866
     /* 1170866 */   GIM_Try, /*On fail goto*//*Label 17089*/ GIMT_Encode4(1170946), // Rule ID 15979 //
     /* 1170871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1170874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1170882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1170885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1170888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170910 */     // MIs[0] round
     /* 1170910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170920 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1170923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170945 */     // GIR_Coverage, 15979,
     /* 1170945 */     GIR_EraseRootFromParent_Done,
     /* 1170946 */   // Label 17089: @1170946
     /* 1170946 */   GIM_Try, /*On fail goto*//*Label 17090*/ GIMT_Encode4(1171026), // Rule ID 15982 //
     /* 1170951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1170954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1170962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1170965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1170968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170990 */     // MIs[0] round
     /* 1170990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171000 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1171003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171025 */     // GIR_Coverage, 15982,
     /* 1171025 */     GIR_EraseRootFromParent_Done,
     /* 1171026 */   // Label 17090: @1171026
     /* 1171026 */   GIM_Try, /*On fail goto*//*Label 17091*/ GIMT_Encode4(1171106), // Rule ID 15983 //
     /* 1171031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1171042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1171045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1171048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171070 */     // MIs[0] round
     /* 1171070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171080 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1171083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171105 */     // GIR_Coverage, 15983,
     /* 1171105 */     GIR_EraseRootFromParent_Done,
     /* 1171106 */   // Label 17091: @1171106
     /* 1171106 */   GIM_Try, /*On fail goto*//*Label 17092*/ GIMT_Encode4(1171186), // Rule ID 15986 //
     /* 1171111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1171114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1171122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1171125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1171128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171150 */     // MIs[0] round
     /* 1171150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1171163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171185 */     // GIR_Coverage, 15986,
     /* 1171185 */     GIR_EraseRootFromParent_Done,
     /* 1171186 */   // Label 17092: @1171186
     /* 1171186 */   GIM_Try, /*On fail goto*//*Label 17093*/ GIMT_Encode4(1171266), // Rule ID 15987 //
     /* 1171191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1171202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1171205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1171208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171230 */     // MIs[0] round
     /* 1171230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171240 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1171243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171265 */     // GIR_Coverage, 15987,
     /* 1171265 */     GIR_EraseRootFromParent_Done,
     /* 1171266 */   // Label 17093: @1171266
     /* 1171266 */   GIM_Try, /*On fail goto*//*Label 17094*/ GIMT_Encode4(1171346), // Rule ID 16078 //
     /* 1171271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1171282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1171285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1171288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1171291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171310 */     // MIs[0] round
     /* 1171310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171320 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1171323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171345 */     // GIR_Coverage, 16078,
     /* 1171345 */     GIR_EraseRootFromParent_Done,
     /* 1171346 */   // Label 17094: @1171346
     /* 1171346 */   GIM_Try, /*On fail goto*//*Label 17095*/ GIMT_Encode4(1171426), // Rule ID 16079 //
     /* 1171351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1171362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1171365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1171368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1171371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171390 */     // MIs[0] round
     /* 1171390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171400 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1171403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171425 */     // GIR_Coverage, 16079,
     /* 1171425 */     GIR_EraseRootFromParent_Done,
     /* 1171426 */   // Label 17095: @1171426
     /* 1171426 */   GIM_Try, /*On fail goto*//*Label 17096*/ GIMT_Encode4(1171506), // Rule ID 16082 //
     /* 1171431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1171442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1171445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1171448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1171451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171470 */     // MIs[0] round
     /* 1171470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171480 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1171483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171505 */     // GIR_Coverage, 16082,
     /* 1171505 */     GIR_EraseRootFromParent_Done,
     /* 1171506 */   // Label 17096: @1171506
     /* 1171506 */   GIM_Try, /*On fail goto*//*Label 17097*/ GIMT_Encode4(1171586), // Rule ID 16083 //
     /* 1171511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1171522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1171525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1171528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1171531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171550 */     // MIs[0] round
     /* 1171550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171560 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1171563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171585 */     // GIR_Coverage, 16083,
     /* 1171585 */     GIR_EraseRootFromParent_Done,
     /* 1171586 */   // Label 17097: @1171586
     /* 1171586 */   GIM_Try, /*On fail goto*//*Label 17098*/ GIMT_Encode4(1171666), // Rule ID 16086 //
     /* 1171591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1171602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1171605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1171608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1171611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171630 */     // MIs[0] round
     /* 1171630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171640 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171665 */     // GIR_Coverage, 16086,
     /* 1171665 */     GIR_EraseRootFromParent_Done,
     /* 1171666 */   // Label 17098: @1171666
     /* 1171666 */   GIM_Try, /*On fail goto*//*Label 17099*/ GIMT_Encode4(1171746), // Rule ID 16087 //
     /* 1171671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1171682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1171685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1171688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1171691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171710 */     // MIs[0] round
     /* 1171710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171720 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171745 */     // GIR_Coverage, 16087,
     /* 1171745 */     GIR_EraseRootFromParent_Done,
     /* 1171746 */   // Label 17099: @1171746
     /* 1171746 */   GIM_Try, /*On fail goto*//*Label 17100*/ GIMT_Encode4(1171826), // Rule ID 16090 //
     /* 1171751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1171762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1171765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1171768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1171771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171790 */     // MIs[0] round
     /* 1171790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171800 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1171803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171825 */     // GIR_Coverage, 16090,
     /* 1171825 */     GIR_EraseRootFromParent_Done,
     /* 1171826 */   // Label 17100: @1171826
     /* 1171826 */   GIM_Try, /*On fail goto*//*Label 17101*/ GIMT_Encode4(1171906), // Rule ID 16091 //
     /* 1171831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1171842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1171845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1171848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1171851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171870 */     // MIs[0] round
     /* 1171870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171880 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1171883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171905 */     // GIR_Coverage, 16091,
     /* 1171905 */     GIR_EraseRootFromParent_Done,
     /* 1171906 */   // Label 17101: @1171906
     /* 1171906 */   GIM_Try, /*On fail goto*//*Label 17102*/ GIMT_Encode4(1171986), // Rule ID 16094 //
     /* 1171911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1171922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1171925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1171928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1171931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171950 */     // MIs[0] round
     /* 1171950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171960 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171985 */     // GIR_Coverage, 16094,
     /* 1171985 */     GIR_EraseRootFromParent_Done,
     /* 1171986 */   // Label 17102: @1171986
     /* 1171986 */   GIM_Try, /*On fail goto*//*Label 17103*/ GIMT_Encode4(1172066), // Rule ID 16095 //
     /* 1171991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1172002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1172005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1172008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1172011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172030 */     // MIs[0] round
     /* 1172030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172040 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1172043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172065 */     // GIR_Coverage, 16095,
     /* 1172065 */     GIR_EraseRootFromParent_Done,
     /* 1172066 */   // Label 17103: @1172066
     /* 1172066 */   GIM_Try, /*On fail goto*//*Label 17104*/ GIMT_Encode4(1172146), // Rule ID 16098 //
     /* 1172071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1172082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1172085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1172088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1172091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172110 */     // MIs[0] round
     /* 1172110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1172123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172145 */     // GIR_Coverage, 16098,
     /* 1172145 */     GIR_EraseRootFromParent_Done,
     /* 1172146 */   // Label 17104: @1172146
     /* 1172146 */   GIM_Try, /*On fail goto*//*Label 17105*/ GIMT_Encode4(1172226), // Rule ID 16099 //
     /* 1172151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1172162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1172165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1172168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1172171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172190 */     // MIs[0] round
     /* 1172190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172200 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1172203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172225 */     // GIR_Coverage, 16099,
     /* 1172225 */     GIR_EraseRootFromParent_Done,
     /* 1172226 */   // Label 17105: @1172226
     /* 1172226 */   GIM_Try, /*On fail goto*//*Label 17106*/ GIMT_Encode4(1172306), // Rule ID 16102 //
     /* 1172231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1172242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1172245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1172248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1172251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172270 */     // MIs[0] round
     /* 1172270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172305 */     // GIR_Coverage, 16102,
     /* 1172305 */     GIR_EraseRootFromParent_Done,
     /* 1172306 */   // Label 17106: @1172306
     /* 1172306 */   GIM_Try, /*On fail goto*//*Label 17107*/ GIMT_Encode4(1172386), // Rule ID 16103 //
     /* 1172311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1172322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1172325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1172328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1172331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172350 */     // MIs[0] round
     /* 1172350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172360 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172385 */     // GIR_Coverage, 16103,
     /* 1172385 */     GIR_EraseRootFromParent_Done,
     /* 1172386 */   // Label 17107: @1172386
     /* 1172386 */   GIM_Try, /*On fail goto*//*Label 17108*/ GIMT_Encode4(1172466), // Rule ID 16106 //
     /* 1172391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1172402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1172405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1172408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1172411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172430 */     // MIs[0] round
     /* 1172430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172465 */     // GIR_Coverage, 16106,
     /* 1172465 */     GIR_EraseRootFromParent_Done,
     /* 1172466 */   // Label 17108: @1172466
     /* 1172466 */   GIM_Try, /*On fail goto*//*Label 17109*/ GIMT_Encode4(1172546), // Rule ID 16107 //
     /* 1172471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1172482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1172485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1172488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1172491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172510 */     // MIs[0] round
     /* 1172510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172520 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172545 */     // GIR_Coverage, 16107,
     /* 1172545 */     GIR_EraseRootFromParent_Done,
     /* 1172546 */   // Label 17109: @1172546
     /* 1172546 */   GIM_Try, /*On fail goto*//*Label 17110*/ GIMT_Encode4(1172626), // Rule ID 16110 //
     /* 1172551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1172562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1172565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1172568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1172571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172590 */     // MIs[0] round
     /* 1172590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172600 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172625 */     // GIR_Coverage, 16110,
     /* 1172625 */     GIR_EraseRootFromParent_Done,
     /* 1172626 */   // Label 17110: @1172626
     /* 1172626 */   GIM_Try, /*On fail goto*//*Label 17111*/ GIMT_Encode4(1172706), // Rule ID 16111 //
     /* 1172631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1172642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1172645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1172648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1172651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172670 */     // MIs[0] round
     /* 1172670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172705 */     // GIR_Coverage, 16111,
     /* 1172705 */     GIR_EraseRootFromParent_Done,
     /* 1172706 */   // Label 17111: @1172706
     /* 1172706 */   GIM_Try, /*On fail goto*//*Label 17112*/ GIMT_Encode4(1172786), // Rule ID 16114 //
     /* 1172711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1172714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1172722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1172725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1172728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1172731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172750 */     // MIs[0] round
     /* 1172750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172760 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172785 */     // GIR_Coverage, 16114,
     /* 1172785 */     GIR_EraseRootFromParent_Done,
     /* 1172786 */   // Label 17112: @1172786
     /* 1172786 */   GIM_Try, /*On fail goto*//*Label 17113*/ GIMT_Encode4(1172866), // Rule ID 16115 //
     /* 1172791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1172794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1172802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1172805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1172808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1172811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172830 */     // MIs[0] round
     /* 1172830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172865 */     // GIR_Coverage, 16115,
     /* 1172865 */     GIR_EraseRootFromParent_Done,
     /* 1172866 */   // Label 17113: @1172866
     /* 1172866 */   GIM_Try, /*On fail goto*//*Label 17114*/ GIMT_Encode4(1172946), // Rule ID 16118 //
     /* 1172871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1172882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1172885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1172888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1172891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172910 */     // MIs[0] round
     /* 1172910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172920 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1172923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172945 */     // GIR_Coverage, 16118,
     /* 1172945 */     GIR_EraseRootFromParent_Done,
     /* 1172946 */   // Label 17114: @1172946
     /* 1172946 */   GIM_Try, /*On fail goto*//*Label 17115*/ GIMT_Encode4(1173026), // Rule ID 16119 //
     /* 1172951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1172962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1172965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1172968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1172971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172990 */     // MIs[0] round
     /* 1172990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173000 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173025 */     // GIR_Coverage, 16119,
     /* 1173025 */     GIR_EraseRootFromParent_Done,
     /* 1173026 */   // Label 17115: @1173026
     /* 1173026 */   GIM_Try, /*On fail goto*//*Label 17116*/ GIMT_Encode4(1173106), // Rule ID 16122 //
     /* 1173031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1173042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1173045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1173048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1173051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173070 */     // MIs[0] round
     /* 1173070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173080 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1173083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173105 */     // GIR_Coverage, 16122,
     /* 1173105 */     GIR_EraseRootFromParent_Done,
     /* 1173106 */   // Label 17116: @1173106
     /* 1173106 */   GIM_Try, /*On fail goto*//*Label 17117*/ GIMT_Encode4(1173186), // Rule ID 16123 //
     /* 1173111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1173122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1173125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1173128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1173131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173150 */     // MIs[0] round
     /* 1173150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173160 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1173163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173185 */     // GIR_Coverage, 16123,
     /* 1173185 */     GIR_EraseRootFromParent_Done,
     /* 1173186 */   // Label 17117: @1173186
     /* 1173186 */   GIM_Try, /*On fail goto*//*Label 17118*/ GIMT_Encode4(1173266), // Rule ID 16126 //
     /* 1173191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1173202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1173205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1173208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1173211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173230 */     // MIs[0] round
     /* 1173230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173240 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1173243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173265 */     // GIR_Coverage, 16126,
     /* 1173265 */     GIR_EraseRootFromParent_Done,
     /* 1173266 */   // Label 17118: @1173266
     /* 1173266 */   GIM_Try, /*On fail goto*//*Label 17119*/ GIMT_Encode4(1173346), // Rule ID 16127 //
     /* 1173271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1173282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1173285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1173288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1173291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173310 */     // MIs[0] round
     /* 1173310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173320 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1173323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173345 */     // GIR_Coverage, 16127,
     /* 1173345 */     GIR_EraseRootFromParent_Done,
     /* 1173346 */   // Label 17119: @1173346
     /* 1173346 */   GIM_Try, /*On fail goto*//*Label 17120*/ GIMT_Encode4(1173426), // Rule ID 16130 //
     /* 1173351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1173362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1173365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1173368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1173371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173390 */     // MIs[0] round
     /* 1173390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173400 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173425 */     // GIR_Coverage, 16130,
     /* 1173425 */     GIR_EraseRootFromParent_Done,
     /* 1173426 */   // Label 17120: @1173426
     /* 1173426 */   GIM_Try, /*On fail goto*//*Label 17121*/ GIMT_Encode4(1173506), // Rule ID 16131 //
     /* 1173431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1173442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1173445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1173448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1173451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173470 */     // MIs[0] round
     /* 1173470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173480 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173505 */     // GIR_Coverage, 16131,
     /* 1173505 */     GIR_EraseRootFromParent_Done,
     /* 1173506 */   // Label 17121: @1173506
     /* 1173506 */   GIM_Try, /*On fail goto*//*Label 17122*/ GIMT_Encode4(1173586), // Rule ID 16134 //
     /* 1173511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1173522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1173525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1173528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1173531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173550 */     // MIs[0] round
     /* 1173550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173560 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1173563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173585 */     // GIR_Coverage, 16134,
     /* 1173585 */     GIR_EraseRootFromParent_Done,
     /* 1173586 */   // Label 17122: @1173586
     /* 1173586 */   GIM_Try, /*On fail goto*//*Label 17123*/ GIMT_Encode4(1173666), // Rule ID 16135 //
     /* 1173591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1173602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1173605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1173608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1173611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173630 */     // MIs[0] round
     /* 1173630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173640 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1173643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173665 */     // GIR_Coverage, 16135,
     /* 1173665 */     GIR_EraseRootFromParent_Done,
     /* 1173666 */   // Label 17123: @1173666
     /* 1173666 */   GIM_Try, /*On fail goto*//*Label 17124*/ GIMT_Encode4(1173746), // Rule ID 16138 //
     /* 1173671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1173682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1173685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1173688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1173691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173710 */     // MIs[0] round
     /* 1173710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173720 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1173723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173745 */     // GIR_Coverage, 16138,
     /* 1173745 */     GIR_EraseRootFromParent_Done,
     /* 1173746 */   // Label 17124: @1173746
     /* 1173746 */   GIM_Try, /*On fail goto*//*Label 17125*/ GIMT_Encode4(1173826), // Rule ID 16139 //
     /* 1173751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1173762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1173765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1173768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1173771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173790 */     // MIs[0] round
     /* 1173790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173800 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1173803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173825 */     // GIR_Coverage, 16139,
     /* 1173825 */     GIR_EraseRootFromParent_Done,
     /* 1173826 */   // Label 17125: @1173826
     /* 1173826 */   GIM_Try, /*On fail goto*//*Label 17126*/ GIMT_Encode4(1173906), // Rule ID 16142 //
     /* 1173831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1173842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1173845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1173848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1173851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173870 */     // MIs[0] round
     /* 1173870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173905 */     // GIR_Coverage, 16142,
     /* 1173905 */     GIR_EraseRootFromParent_Done,
     /* 1173906 */   // Label 17126: @1173906
     /* 1173906 */   GIM_Try, /*On fail goto*//*Label 17127*/ GIMT_Encode4(1173986), // Rule ID 16143 //
     /* 1173911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1173922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1173925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1173928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1173931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173950 */     // MIs[0] round
     /* 1173950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173960 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173985 */     // GIR_Coverage, 16143,
     /* 1173985 */     GIR_EraseRootFromParent_Done,
     /* 1173986 */   // Label 17127: @1173986
     /* 1173986 */   GIM_Try, /*On fail goto*//*Label 17128*/ GIMT_Encode4(1174066), // Rule ID 16146 //
     /* 1173991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1174002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1174005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1174008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1174011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174030 */     // MIs[0] round
     /* 1174030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174040 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1174043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174065 */     // GIR_Coverage, 16146,
     /* 1174065 */     GIR_EraseRootFromParent_Done,
     /* 1174066 */   // Label 17128: @1174066
     /* 1174066 */   GIM_Try, /*On fail goto*//*Label 17129*/ GIMT_Encode4(1174146), // Rule ID 16147 //
     /* 1174071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1174082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1174085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1174088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1174091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174110 */     // MIs[0] round
     /* 1174110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174120 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1174123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174145 */     // GIR_Coverage, 16147,
     /* 1174145 */     GIR_EraseRootFromParent_Done,
     /* 1174146 */   // Label 17129: @1174146
     /* 1174146 */   GIM_Try, /*On fail goto*//*Label 17130*/ GIMT_Encode4(1174226), // Rule ID 16150 //
     /* 1174151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1174162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1174165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1174168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1174171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174190 */     // MIs[0] round
     /* 1174190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174200 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1174203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174225 */     // GIR_Coverage, 16150,
     /* 1174225 */     GIR_EraseRootFromParent_Done,
     /* 1174226 */   // Label 17130: @1174226
     /* 1174226 */   GIM_Try, /*On fail goto*//*Label 17131*/ GIMT_Encode4(1174306), // Rule ID 16151 //
     /* 1174231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1174242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1174245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1174248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1174251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174270 */     // MIs[0] round
     /* 1174270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174280 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1174283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174305 */     // GIR_Coverage, 16151,
     /* 1174305 */     GIR_EraseRootFromParent_Done,
     /* 1174306 */   // Label 17131: @1174306
     /* 1174306 */   GIM_Try, /*On fail goto*//*Label 17132*/ GIMT_Encode4(1174386), // Rule ID 16154 //
     /* 1174311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1174314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1174322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1174325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1174328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1174331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174350 */     // MIs[0] round
     /* 1174350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174360 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1174363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174385 */     // GIR_Coverage, 16154,
     /* 1174385 */     GIR_EraseRootFromParent_Done,
     /* 1174386 */   // Label 17132: @1174386
     /* 1174386 */   GIM_Try, /*On fail goto*//*Label 17133*/ GIMT_Encode4(1174466), // Rule ID 16155 //
     /* 1174391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1174394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1174402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1174405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1174408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1174411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174430 */     // MIs[0] round
     /* 1174430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174440 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1174443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174465 */     // GIR_Coverage, 16155,
     /* 1174465 */     GIR_EraseRootFromParent_Done,
     /* 1174466 */   // Label 17133: @1174466
     /* 1174466 */   GIM_Try, /*On fail goto*//*Label 17134*/ GIMT_Encode4(1174546), // Rule ID 16158 //
     /* 1174471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1174474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1174482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1174485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1174488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1174491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174510 */     // MIs[0] round
     /* 1174510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174520 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1174523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174545 */     // GIR_Coverage, 16158,
     /* 1174545 */     GIR_EraseRootFromParent_Done,
     /* 1174546 */   // Label 17134: @1174546
     /* 1174546 */   GIM_Try, /*On fail goto*//*Label 17135*/ GIMT_Encode4(1174626), // Rule ID 16159 //
     /* 1174551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1174554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1174562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1174565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1174568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1174571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174590 */     // MIs[0] round
     /* 1174590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174600 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1174603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174625 */     // GIR_Coverage, 16159,
     /* 1174625 */     GIR_EraseRootFromParent_Done,
     /* 1174626 */   // Label 17135: @1174626
     /* 1174626 */   GIM_Try, /*On fail goto*//*Label 17136*/ GIMT_Encode4(1174706), // Rule ID 16162 //
     /* 1174631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1174634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1174642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1174645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1174648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1174651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174670 */     // MIs[0] round
     /* 1174670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174680 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1174683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174705 */     // GIR_Coverage, 16162,
     /* 1174705 */     GIR_EraseRootFromParent_Done,
     /* 1174706 */   // Label 17136: @1174706
     /* 1174706 */   GIM_Try, /*On fail goto*//*Label 17137*/ GIMT_Encode4(1174786), // Rule ID 16163 //
     /* 1174711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1174714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1174722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1174725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1174728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1174731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174750 */     // MIs[0] round
     /* 1174750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174760 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1174763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174785 */     // GIR_Coverage, 16163,
     /* 1174785 */     GIR_EraseRootFromParent_Done,
     /* 1174786 */   // Label 17137: @1174786
     /* 1174786 */   GIM_Try, /*On fail goto*//*Label 17138*/ GIMT_Encode4(1174866), // Rule ID 16166 //
     /* 1174791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1174802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1174805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1174808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174830 */     // MIs[0] round
     /* 1174830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174840 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1174843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174865 */     // GIR_Coverage, 16166,
     /* 1174865 */     GIR_EraseRootFromParent_Done,
     /* 1174866 */   // Label 17138: @1174866
     /* 1174866 */   GIM_Try, /*On fail goto*//*Label 17139*/ GIMT_Encode4(1174946), // Rule ID 16167 //
     /* 1174871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1174882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1174885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1174888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174910 */     // MIs[0] round
     /* 1174910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174920 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1174923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174945 */     // GIR_Coverage, 16167,
     /* 1174945 */     GIR_EraseRootFromParent_Done,
     /* 1174946 */   // Label 17139: @1174946
     /* 1174946 */   GIM_Try, /*On fail goto*//*Label 17140*/ GIMT_Encode4(1175026), // Rule ID 16170 //
     /* 1174951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1174962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1174965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1174968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174990 */     // MIs[0] round
     /* 1174990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175000 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1175003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175025 */     // GIR_Coverage, 16170,
     /* 1175025 */     GIR_EraseRootFromParent_Done,
     /* 1175026 */   // Label 17140: @1175026
     /* 1175026 */   GIM_Try, /*On fail goto*//*Label 17141*/ GIMT_Encode4(1175106), // Rule ID 16171 //
     /* 1175031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1175042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1175045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1175048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175070 */     // MIs[0] round
     /* 1175070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175080 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1175083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175105 */     // GIR_Coverage, 16171,
     /* 1175105 */     GIR_EraseRootFromParent_Done,
     /* 1175106 */   // Label 17141: @1175106
     /* 1175106 */   GIM_Try, /*On fail goto*//*Label 17142*/ GIMT_Encode4(1175186), // Rule ID 16174 //
     /* 1175111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1175122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1175125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1175128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175150 */     // MIs[0] round
     /* 1175150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175160 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1175163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175185 */     // GIR_Coverage, 16174,
     /* 1175185 */     GIR_EraseRootFromParent_Done,
     /* 1175186 */   // Label 17142: @1175186
     /* 1175186 */   GIM_Try, /*On fail goto*//*Label 17143*/ GIMT_Encode4(1175266), // Rule ID 16175 //
     /* 1175191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1175202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1175205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1175208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175230 */     // MIs[0] round
     /* 1175230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175240 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1175243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175265 */     // GIR_Coverage, 16175,
     /* 1175265 */     GIR_EraseRootFromParent_Done,
     /* 1175266 */   // Label 17143: @1175266
     /* 1175266 */   GIM_Try, /*On fail goto*//*Label 17144*/ GIMT_Encode4(1175346), // Rule ID 16178 //
     /* 1175271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1175282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1175285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1175288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175310 */     // MIs[0] round
     /* 1175310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175320 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1175323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175345 */     // GIR_Coverage, 16178,
     /* 1175345 */     GIR_EraseRootFromParent_Done,
     /* 1175346 */   // Label 17144: @1175346
     /* 1175346 */   GIM_Try, /*On fail goto*//*Label 17145*/ GIMT_Encode4(1175426), // Rule ID 16179 //
     /* 1175351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1175362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1175365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1175368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175390 */     // MIs[0] round
     /* 1175390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175400 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1175403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175425 */     // GIR_Coverage, 16179,
     /* 1175425 */     GIR_EraseRootFromParent_Done,
     /* 1175426 */   // Label 17145: @1175426
     /* 1175426 */   GIM_Try, /*On fail goto*//*Label 17146*/ GIMT_Encode4(1175506), // Rule ID 16182 //
     /* 1175431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1175442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1175445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1175448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175470 */     // MIs[0] round
     /* 1175470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175480 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1175483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175505 */     // GIR_Coverage, 16182,
     /* 1175505 */     GIR_EraseRootFromParent_Done,
     /* 1175506 */   // Label 17146: @1175506
     /* 1175506 */   GIM_Try, /*On fail goto*//*Label 17147*/ GIMT_Encode4(1175586), // Rule ID 16183 //
     /* 1175511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1175522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1175525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1175528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175550 */     // MIs[0] round
     /* 1175550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1175563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175585 */     // GIR_Coverage, 16183,
     /* 1175585 */     GIR_EraseRootFromParent_Done,
     /* 1175586 */   // Label 17147: @1175586
     /* 1175586 */   GIM_Try, /*On fail goto*//*Label 17148*/ GIMT_Encode4(1175666), // Rule ID 16186 //
     /* 1175591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1175602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1175605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1175608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175630 */     // MIs[0] round
     /* 1175630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175640 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1175643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175665 */     // GIR_Coverage, 16186,
     /* 1175665 */     GIR_EraseRootFromParent_Done,
     /* 1175666 */   // Label 17148: @1175666
     /* 1175666 */   GIM_Try, /*On fail goto*//*Label 17149*/ GIMT_Encode4(1175746), // Rule ID 16187 //
     /* 1175671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1175682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1175685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1175688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175710 */     // MIs[0] round
     /* 1175710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175720 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1175723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175745 */     // GIR_Coverage, 16187,
     /* 1175745 */     GIR_EraseRootFromParent_Done,
     /* 1175746 */   // Label 17149: @1175746
     /* 1175746 */   GIM_Try, /*On fail goto*//*Label 17150*/ GIMT_Encode4(1175826), // Rule ID 16190 //
     /* 1175751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1175762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1175765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1175768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175790 */     // MIs[0] round
     /* 1175790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175825 */     // GIR_Coverage, 16190,
     /* 1175825 */     GIR_EraseRootFromParent_Done,
     /* 1175826 */   // Label 17150: @1175826
     /* 1175826 */   GIM_Try, /*On fail goto*//*Label 17151*/ GIMT_Encode4(1175906), // Rule ID 16191 //
     /* 1175831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1175842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1175845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1175848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175870 */     // MIs[0] round
     /* 1175870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11615:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175905 */     // GIR_Coverage, 16191,
     /* 1175905 */     GIR_EraseRootFromParent_Done,
     /* 1175906 */   // Label 17151: @1175906
     /* 1175906 */   GIM_Try, /*On fail goto*//*Label 17152*/ GIMT_Encode4(1175986), // Rule ID 16194 //
     /* 1175911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1175922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1175925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1175928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175950 */     // MIs[0] round
     /* 1175950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175985 */     // GIR_Coverage, 16194,
     /* 1175985 */     GIR_EraseRootFromParent_Done,
     /* 1175986 */   // Label 17152: @1175986
     /* 1175986 */   GIM_Try, /*On fail goto*//*Label 17153*/ GIMT_Encode4(1176066), // Rule ID 16195 //
     /* 1175991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1176002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1176005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1176008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176030 */     // MIs[0] round
     /* 1176030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176040 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11615:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1176043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176065 */     // GIR_Coverage, 16195,
     /* 1176065 */     GIR_EraseRootFromParent_Done,
     /* 1176066 */   // Label 17153: @1176066
     /* 1176066 */   GIM_Try, /*On fail goto*//*Label 17154*/ GIMT_Encode4(1176146), // Rule ID 16198 //
     /* 1176071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1176082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1176085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1176088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176110 */     // MIs[0] round
     /* 1176110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176120 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1176123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176145 */     // GIR_Coverage, 16198,
     /* 1176145 */     GIR_EraseRootFromParent_Done,
     /* 1176146 */   // Label 17154: @1176146
     /* 1176146 */   GIM_Try, /*On fail goto*//*Label 17155*/ GIMT_Encode4(1176226), // Rule ID 16199 //
     /* 1176151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1176162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1176165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1176168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176190 */     // MIs[0] round
     /* 1176190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11615:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1176203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176225 */     // GIR_Coverage, 16199,
     /* 1176225 */     GIR_EraseRootFromParent_Done,
     /* 1176226 */   // Label 17155: @1176226
     /* 1176226 */   GIM_Try, /*On fail goto*//*Label 17156*/ GIMT_Encode4(1176306), // Rule ID 16202 //
     /* 1176231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1176234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1176242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1176245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1176248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176270 */     // MIs[0] round
     /* 1176270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1176283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1176301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176305 */     // GIR_Coverage, 16202,
     /* 1176305 */     GIR_EraseRootFromParent_Done,
     /* 1176306 */   // Label 17156: @1176306
     /* 1176306 */   GIM_Try, /*On fail goto*//*Label 17157*/ GIMT_Encode4(1176386), // Rule ID 16203 //
     /* 1176311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1176314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1176322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1176325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1176328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176350 */     // MIs[0] round
     /* 1176350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176360 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11615:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1176363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1176381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176385 */     // GIR_Coverage, 16203,
     /* 1176385 */     GIR_EraseRootFromParent_Done,
     /* 1176386 */   // Label 17157: @1176386
     /* 1176386 */   GIM_Try, /*On fail goto*//*Label 17158*/ GIMT_Encode4(1176466), // Rule ID 16206 //
     /* 1176391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1176402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1176405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1176408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176430 */     // MIs[0] round
     /* 1176430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176440 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1176443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176465 */     // GIR_Coverage, 16206,
     /* 1176465 */     GIR_EraseRootFromParent_Done,
     /* 1176466 */   // Label 17158: @1176466
     /* 1176466 */   GIM_Try, /*On fail goto*//*Label 17159*/ GIMT_Encode4(1176546), // Rule ID 16207 //
     /* 1176471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1176482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1176485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1176488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176510 */     // MIs[0] round
     /* 1176510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176520 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1176523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176545 */     // GIR_Coverage, 16207,
     /* 1176545 */     GIR_EraseRootFromParent_Done,
     /* 1176546 */   // Label 17159: @1176546
     /* 1176546 */   GIM_Try, /*On fail goto*//*Label 17160*/ GIMT_Encode4(1176626), // Rule ID 16210 //
     /* 1176551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1176562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1176565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1176568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176590 */     // MIs[0] round
     /* 1176590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176600 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1176603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176625 */     // GIR_Coverage, 16210,
     /* 1176625 */     GIR_EraseRootFromParent_Done,
     /* 1176626 */   // Label 17160: @1176626
     /* 1176626 */   GIM_Try, /*On fail goto*//*Label 17161*/ GIMT_Encode4(1176706), // Rule ID 16211 //
     /* 1176631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1176642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1176645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1176648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176670 */     // MIs[0] round
     /* 1176670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1176683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176705 */     // GIR_Coverage, 16211,
     /* 1176705 */     GIR_EraseRootFromParent_Done,
     /* 1176706 */   // Label 17161: @1176706
     /* 1176706 */   GIM_Try, /*On fail goto*//*Label 17162*/ GIMT_Encode4(1176786), // Rule ID 16214 //
     /* 1176711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1176722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1176725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1176728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176750 */     // MIs[0] round
     /* 1176750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176760 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1176763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176785 */     // GIR_Coverage, 16214,
     /* 1176785 */     GIR_EraseRootFromParent_Done,
     /* 1176786 */   // Label 17162: @1176786
     /* 1176786 */   GIM_Try, /*On fail goto*//*Label 17163*/ GIMT_Encode4(1176866), // Rule ID 16215 //
     /* 1176791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1176802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1176805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1176808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176830 */     // MIs[0] round
     /* 1176830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176840 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1176843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176865 */     // GIR_Coverage, 16215,
     /* 1176865 */     GIR_EraseRootFromParent_Done,
     /* 1176866 */   // Label 17163: @1176866
     /* 1176866 */   GIM_Try, /*On fail goto*//*Label 17164*/ GIMT_Encode4(1176946), // Rule ID 16218 //
     /* 1176871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1176882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1176885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176910 */     // MIs[0] round
     /* 1176910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176920 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1176923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176945 */     // GIR_Coverage, 16218,
     /* 1176945 */     GIR_EraseRootFromParent_Done,
     /* 1176946 */   // Label 17164: @1176946
     /* 1176946 */   GIM_Try, /*On fail goto*//*Label 17165*/ GIMT_Encode4(1177026), // Rule ID 16219 //
     /* 1176951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1176962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1176965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176990 */     // MIs[0] round
     /* 1176990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177000 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1177003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177025 */     // GIR_Coverage, 16219,
     /* 1177025 */     GIR_EraseRootFromParent_Done,
     /* 1177026 */   // Label 17165: @1177026
     /* 1177026 */   GIM_Try, /*On fail goto*//*Label 17166*/ GIMT_Encode4(1177106), // Rule ID 16222 //
     /* 1177031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1177042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1177045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1177048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177070 */     // MIs[0] round
     /* 1177070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177080 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1177083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177105 */     // GIR_Coverage, 16222,
     /* 1177105 */     GIR_EraseRootFromParent_Done,
     /* 1177106 */   // Label 17166: @1177106
     /* 1177106 */   GIM_Try, /*On fail goto*//*Label 17167*/ GIMT_Encode4(1177186), // Rule ID 16223 //
     /* 1177111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1177122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1177125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1177128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177150 */     // MIs[0] round
     /* 1177150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177160 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1177163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177185 */     // GIR_Coverage, 16223,
     /* 1177185 */     GIR_EraseRootFromParent_Done,
     /* 1177186 */   // Label 17167: @1177186
     /* 1177186 */   GIM_Try, /*On fail goto*//*Label 17168*/ GIMT_Encode4(1177266), // Rule ID 16226 //
     /* 1177191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1177202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1177205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1177208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177230 */     // MIs[0] round
     /* 1177230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177240 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1177243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177265 */     // GIR_Coverage, 16226,
     /* 1177265 */     GIR_EraseRootFromParent_Done,
     /* 1177266 */   // Label 17168: @1177266
     /* 1177266 */   GIM_Try, /*On fail goto*//*Label 17169*/ GIMT_Encode4(1177346), // Rule ID 16227 //
     /* 1177271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1177282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1177285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1177288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177310 */     // MIs[0] round
     /* 1177310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177320 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1177323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177345 */     // GIR_Coverage, 16227,
     /* 1177345 */     GIR_EraseRootFromParent_Done,
     /* 1177346 */   // Label 17169: @1177346
     /* 1177346 */   GIM_Try, /*On fail goto*//*Label 17170*/ GIMT_Encode4(1177426), // Rule ID 16230 //
     /* 1177351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1177362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1177365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1177368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177390 */     // MIs[0] round
     /* 1177390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177400 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1177403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177425 */     // GIR_Coverage, 16230,
     /* 1177425 */     GIR_EraseRootFromParent_Done,
     /* 1177426 */   // Label 17170: @1177426
     /* 1177426 */   GIM_Try, /*On fail goto*//*Label 17171*/ GIMT_Encode4(1177506), // Rule ID 16231 //
     /* 1177431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1177442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1177445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1177448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177470 */     // MIs[0] round
     /* 1177470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177480 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1177483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177505 */     // GIR_Coverage, 16231,
     /* 1177505 */     GIR_EraseRootFromParent_Done,
     /* 1177506 */   // Label 17171: @1177506
     /* 1177506 */   GIM_Try, /*On fail goto*//*Label 17172*/ GIMT_Encode4(1177586), // Rule ID 16234 //
     /* 1177511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1177522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1177525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1177528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177550 */     // MIs[0] round
     /* 1177550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1177563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177585 */     // GIR_Coverage, 16234,
     /* 1177585 */     GIR_EraseRootFromParent_Done,
     /* 1177586 */   // Label 17172: @1177586
     /* 1177586 */   GIM_Try, /*On fail goto*//*Label 17173*/ GIMT_Encode4(1177666), // Rule ID 16235 //
     /* 1177591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1177602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1177605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1177608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177630 */     // MIs[0] round
     /* 1177630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177640 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1177643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177665 */     // GIR_Coverage, 16235,
     /* 1177665 */     GIR_EraseRootFromParent_Done,
     /* 1177666 */   // Label 17173: @1177666
     /* 1177666 */   GIM_Try, /*On fail goto*//*Label 17174*/ GIMT_Encode4(1177746), // Rule ID 16238 //
     /* 1177671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1177682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1177685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177710 */     // MIs[0] round
     /* 1177710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177720 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1177723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177745 */     // GIR_Coverage, 16238,
     /* 1177745 */     GIR_EraseRootFromParent_Done,
     /* 1177746 */   // Label 17174: @1177746
     /* 1177746 */   GIM_Try, /*On fail goto*//*Label 17175*/ GIMT_Encode4(1177826), // Rule ID 16239 //
     /* 1177751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1177762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1177765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177790 */     // MIs[0] round
     /* 1177790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177800 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1177803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177825 */     // GIR_Coverage, 16239,
     /* 1177825 */     GIR_EraseRootFromParent_Done,
     /* 1177826 */   // Label 17175: @1177826
     /* 1177826 */   GIM_Try, /*On fail goto*//*Label 17176*/ GIMT_Encode4(1177906), // Rule ID 16242 //
     /* 1177831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1177834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1177842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1177845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1177848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177870 */     // MIs[0] round
     /* 1177870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177880 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1177883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177905 */     // GIR_Coverage, 16242,
     /* 1177905 */     GIR_EraseRootFromParent_Done,
     /* 1177906 */   // Label 17176: @1177906
     /* 1177906 */   GIM_Try, /*On fail goto*//*Label 17177*/ GIMT_Encode4(1177986), // Rule ID 16243 //
     /* 1177911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1177914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1177922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1177925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1177928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177950 */     // MIs[0] round
     /* 1177950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177960 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11615:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1177963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177985 */     // GIR_Coverage, 16243,
     /* 1177985 */     GIR_EraseRootFromParent_Done,
     /* 1177986 */   // Label 17177: @1177986
     /* 1177986 */   GIM_Try, /*On fail goto*//*Label 17178*/ GIMT_Encode4(1178066), // Rule ID 16246 //
     /* 1177991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1177994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1178002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1178005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1178008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178030 */     // MIs[0] round
     /* 1178030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1178043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1178061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178065 */     // GIR_Coverage, 16246,
     /* 1178065 */     GIR_EraseRootFromParent_Done,
     /* 1178066 */   // Label 17178: @1178066
     /* 1178066 */   GIM_Try, /*On fail goto*//*Label 17179*/ GIMT_Encode4(1178146), // Rule ID 16247 //
     /* 1178071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1178074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1178082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1178085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1178088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178110 */     // MIs[0] round
     /* 1178110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178120 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11615:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1178123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1178141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178145 */     // GIR_Coverage, 16247,
     /* 1178145 */     GIR_EraseRootFromParent_Done,
     /* 1178146 */   // Label 17179: @1178146
     /* 1178146 */   GIM_Try, /*On fail goto*//*Label 17180*/ GIMT_Encode4(1178226), // Rule ID 16250 //
     /* 1178151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1178154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1178162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1178165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1178168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178190 */     // MIs[0] round
     /* 1178190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178200 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1178203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1178221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178225 */     // GIR_Coverage, 16250,
     /* 1178225 */     GIR_EraseRootFromParent_Done,
     /* 1178226 */   // Label 17180: @1178226
     /* 1178226 */   GIM_Try, /*On fail goto*//*Label 17181*/ GIMT_Encode4(1178306), // Rule ID 16251 //
     /* 1178231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1178234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1178242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1178245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1178248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178270 */     // MIs[0] round
     /* 1178270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178280 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11615:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1178283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1178301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178305 */     // GIR_Coverage, 16251,
     /* 1178305 */     GIR_EraseRootFromParent_Done,
     /* 1178306 */   // Label 17181: @1178306
     /* 1178306 */   GIM_Try, /*On fail goto*//*Label 17182*/ GIMT_Encode4(1178389), // Rule ID 16342 //
     /* 1178311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1178322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1178325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1178328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1178331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178350 */     // MIs[0] round
     /* 1178350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178360 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1178363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178388 */     // GIR_Coverage, 16342,
     /* 1178388 */     GIR_EraseRootFromParent_Done,
     /* 1178389 */   // Label 17182: @1178389
     /* 1178389 */   GIM_Try, /*On fail goto*//*Label 17183*/ GIMT_Encode4(1178472), // Rule ID 16343 //
     /* 1178394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1178405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1178408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1178411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1178414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178433 */     // MIs[0] round
     /* 1178433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178443 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1178446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178471 */     // GIR_Coverage, 16343,
     /* 1178471 */     GIR_EraseRootFromParent_Done,
     /* 1178472 */   // Label 17183: @1178472
     /* 1178472 */   GIM_Try, /*On fail goto*//*Label 17184*/ GIMT_Encode4(1178555), // Rule ID 16346 //
     /* 1178477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1178488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1178491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1178494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1178497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178516 */     // MIs[0] round
     /* 1178516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178526 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1178529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178554 */     // GIR_Coverage, 16346,
     /* 1178554 */     GIR_EraseRootFromParent_Done,
     /* 1178555 */   // Label 17184: @1178555
     /* 1178555 */   GIM_Try, /*On fail goto*//*Label 17185*/ GIMT_Encode4(1178638), // Rule ID 16347 //
     /* 1178560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1178571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1178574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1178577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1178580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178599 */     // MIs[0] round
     /* 1178599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178609 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1178612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178620 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178637 */     // GIR_Coverage, 16347,
     /* 1178637 */     GIR_EraseRootFromParent_Done,
     /* 1178638 */   // Label 17185: @1178638
     /* 1178638 */   GIM_Try, /*On fail goto*//*Label 17186*/ GIMT_Encode4(1178721), // Rule ID 16350 //
     /* 1178643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1178654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1178657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1178660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1178663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178682 */     // MIs[0] round
     /* 1178682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1178695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178720 */     // GIR_Coverage, 16350,
     /* 1178720 */     GIR_EraseRootFromParent_Done,
     /* 1178721 */   // Label 17186: @1178721
     /* 1178721 */   GIM_Try, /*On fail goto*//*Label 17187*/ GIMT_Encode4(1178804), // Rule ID 16351 //
     /* 1178726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1178737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1178740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1178743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1178746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178765 */     // MIs[0] round
     /* 1178765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178775 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1178778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178786 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178803 */     // GIR_Coverage, 16351,
     /* 1178803 */     GIR_EraseRootFromParent_Done,
     /* 1178804 */   // Label 17187: @1178804
     /* 1178804 */   GIM_Try, /*On fail goto*//*Label 17188*/ GIMT_Encode4(1178887), // Rule ID 16354 //
     /* 1178809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1178820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1178823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1178829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178848 */     // MIs[0] round
     /* 1178848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178858 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1178861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178886 */     // GIR_Coverage, 16354,
     /* 1178886 */     GIR_EraseRootFromParent_Done,
     /* 1178887 */   // Label 17188: @1178887
     /* 1178887 */   GIM_Try, /*On fail goto*//*Label 17189*/ GIMT_Encode4(1178970), // Rule ID 16355 //
     /* 1178892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1178903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1178906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1178912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178931 */     // MIs[0] round
     /* 1178931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178941 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1178944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178952 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178969 */     // GIR_Coverage, 16355,
     /* 1178969 */     GIR_EraseRootFromParent_Done,
     /* 1178970 */   // Label 17189: @1178970
     /* 1178970 */   GIM_Try, /*On fail goto*//*Label 17190*/ GIMT_Encode4(1179053), // Rule ID 16358 //
     /* 1178975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1178986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1178989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1178995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179014 */     // MIs[0] round
     /* 1179014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179024 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1179027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179052 */     // GIR_Coverage, 16358,
     /* 1179052 */     GIR_EraseRootFromParent_Done,
     /* 1179053 */   // Label 17190: @1179053
     /* 1179053 */   GIM_Try, /*On fail goto*//*Label 17191*/ GIMT_Encode4(1179136), // Rule ID 16359 //
     /* 1179058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1179069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1179072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1179075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1179078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179097 */     // MIs[0] round
     /* 1179097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179107 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1179110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179135 */     // GIR_Coverage, 16359,
     /* 1179135 */     GIR_EraseRootFromParent_Done,
     /* 1179136 */   // Label 17191: @1179136
     /* 1179136 */   GIM_Try, /*On fail goto*//*Label 17192*/ GIMT_Encode4(1179219), // Rule ID 16362 //
     /* 1179141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1179152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1179155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1179158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1179161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179180 */     // MIs[0] round
     /* 1179180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179190 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1179193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179218 */     // GIR_Coverage, 16362,
     /* 1179218 */     GIR_EraseRootFromParent_Done,
     /* 1179219 */   // Label 17192: @1179219
     /* 1179219 */   GIM_Try, /*On fail goto*//*Label 17193*/ GIMT_Encode4(1179302), // Rule ID 16363 //
     /* 1179224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1179235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1179238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1179241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1179244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179263 */     // MIs[0] round
     /* 1179263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179273 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1179276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179301 */     // GIR_Coverage, 16363,
     /* 1179301 */     GIR_EraseRootFromParent_Done,
     /* 1179302 */   // Label 17193: @1179302
     /* 1179302 */   GIM_Try, /*On fail goto*//*Label 17194*/ GIMT_Encode4(1179385), // Rule ID 16366 //
     /* 1179307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1179327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179346 */     // MIs[0] round
     /* 1179346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1179359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179384 */     // GIR_Coverage, 16366,
     /* 1179384 */     GIR_EraseRootFromParent_Done,
     /* 1179385 */   // Label 17194: @1179385
     /* 1179385 */   GIM_Try, /*On fail goto*//*Label 17195*/ GIMT_Encode4(1179468), // Rule ID 16367 //
     /* 1179390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1179410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179429 */     // MIs[0] round
     /* 1179429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179439 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1179442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179450 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179467 */     // GIR_Coverage, 16367,
     /* 1179467 */     GIR_EraseRootFromParent_Done,
     /* 1179468 */   // Label 17195: @1179468
     /* 1179468 */   GIM_Try, /*On fail goto*//*Label 17196*/ GIMT_Encode4(1179551), // Rule ID 16370 //
     /* 1179473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1179490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1179493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179512 */     // MIs[0] round
     /* 1179512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179522 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1179525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179550 */     // GIR_Coverage, 16370,
     /* 1179550 */     GIR_EraseRootFromParent_Done,
     /* 1179551 */   // Label 17196: @1179551
     /* 1179551 */   GIM_Try, /*On fail goto*//*Label 17197*/ GIMT_Encode4(1179634), // Rule ID 16371 //
     /* 1179556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1179573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1179576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179595 */     // MIs[0] round
     /* 1179595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179605 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1179608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179633 */     // GIR_Coverage, 16371,
     /* 1179633 */     GIR_EraseRootFromParent_Done,
     /* 1179634 */   // Label 17197: @1179634
     /* 1179634 */   GIM_Try, /*On fail goto*//*Label 17198*/ GIMT_Encode4(1179717), // Rule ID 16374 //
     /* 1179639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1179653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1179659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179678 */     // MIs[0] round
     /* 1179678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179688 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1179691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179716 */     // GIR_Coverage, 16374,
     /* 1179716 */     GIR_EraseRootFromParent_Done,
     /* 1179717 */   // Label 17198: @1179717
     /* 1179717 */   GIM_Try, /*On fail goto*//*Label 17199*/ GIMT_Encode4(1179800), // Rule ID 16375 //
     /* 1179722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1179736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1179742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179761 */     // MIs[0] round
     /* 1179761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179771 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1179774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179782 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179799 */     // GIR_Coverage, 16375,
     /* 1179799 */     GIR_EraseRootFromParent_Done,
     /* 1179800 */   // Label 17199: @1179800
     /* 1179800 */   GIM_Try, /*On fail goto*//*Label 17200*/ GIMT_Encode4(1179883), // Rule ID 16378 //
     /* 1179805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1179816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1179819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1179825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179844 */     // MIs[0] round
     /* 1179844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179854 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1179857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179882 */     // GIR_Coverage, 16378,
     /* 1179882 */     GIR_EraseRootFromParent_Done,
     /* 1179883 */   // Label 17200: @1179883
     /* 1179883 */   GIM_Try, /*On fail goto*//*Label 17201*/ GIMT_Encode4(1179966), // Rule ID 16379 //
     /* 1179888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1179899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1179902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1179908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179927 */     // MIs[0] round
     /* 1179927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179937 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1179940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179965 */     // GIR_Coverage, 16379,
     /* 1179965 */     GIR_EraseRootFromParent_Done,
     /* 1179966 */   // Label 17201: @1179966
     /* 1179966 */   GIM_Try, /*On fail goto*//*Label 17202*/ GIMT_Encode4(1180049), // Rule ID 16382 //
     /* 1179971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1179982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1179985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1179988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1179991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180010 */     // MIs[0] round
     /* 1180010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180020 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1180023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180048 */     // GIR_Coverage, 16382,
     /* 1180048 */     GIR_EraseRootFromParent_Done,
     /* 1180049 */   // Label 17202: @1180049
     /* 1180049 */   GIM_Try, /*On fail goto*//*Label 17203*/ GIMT_Encode4(1180132), // Rule ID 16383 //
     /* 1180054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1180065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1180068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1180071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1180074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180093 */     // MIs[0] round
     /* 1180093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180103 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1180106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180131 */     // GIR_Coverage, 16383,
     /* 1180131 */     GIR_EraseRootFromParent_Done,
     /* 1180132 */   // Label 17203: @1180132
     /* 1180132 */   GIM_Try, /*On fail goto*//*Label 17204*/ GIMT_Encode4(1180215), // Rule ID 16386 //
     /* 1180137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1180148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1180151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1180154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1180157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180176 */     // MIs[0] round
     /* 1180176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1180189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180214 */     // GIR_Coverage, 16386,
     /* 1180214 */     GIR_EraseRootFromParent_Done,
     /* 1180215 */   // Label 17204: @1180215
     /* 1180215 */   GIM_Try, /*On fail goto*//*Label 17205*/ GIMT_Encode4(1180298), // Rule ID 16387 //
     /* 1180220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1180231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1180234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1180237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1180240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180259 */     // MIs[0] round
     /* 1180259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180269 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1180272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180297 */     // GIR_Coverage, 16387,
     /* 1180297 */     GIR_EraseRootFromParent_Done,
     /* 1180298 */   // Label 17205: @1180298
     /* 1180298 */   GIM_Try, /*On fail goto*//*Label 17206*/ GIMT_Encode4(1180381), // Rule ID 16390 //
     /* 1180303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1180320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1180323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180342 */     // MIs[0] round
     /* 1180342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1180355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180380 */     // GIR_Coverage, 16390,
     /* 1180380 */     GIR_EraseRootFromParent_Done,
     /* 1180381 */   // Label 17206: @1180381
     /* 1180381 */   GIM_Try, /*On fail goto*//*Label 17207*/ GIMT_Encode4(1180464), // Rule ID 16391 //
     /* 1180386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1180403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1180406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180425 */     // MIs[0] round
     /* 1180425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180435 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1180438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180463 */     // GIR_Coverage, 16391,
     /* 1180463 */     GIR_EraseRootFromParent_Done,
     /* 1180464 */   // Label 17207: @1180464
     /* 1180464 */   GIM_Try, /*On fail goto*//*Label 17208*/ GIMT_Encode4(1180547), // Rule ID 16394 //
     /* 1180469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1180480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1180483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1180486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1180489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180508 */     // MIs[0] round
     /* 1180508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1180521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180546 */     // GIR_Coverage, 16394,
     /* 1180546 */     GIR_EraseRootFromParent_Done,
     /* 1180547 */   // Label 17208: @1180547
     /* 1180547 */   GIM_Try, /*On fail goto*//*Label 17209*/ GIMT_Encode4(1180630), // Rule ID 16395 //
     /* 1180552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1180563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1180566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1180569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1180572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180591 */     // MIs[0] round
     /* 1180591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180601 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1180604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180612 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180629 */     // GIR_Coverage, 16395,
     /* 1180629 */     GIR_EraseRootFromParent_Done,
     /* 1180630 */   // Label 17209: @1180630
     /* 1180630 */   GIM_Try, /*On fail goto*//*Label 17210*/ GIMT_Encode4(1180713), // Rule ID 16398 //
     /* 1180635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1180646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1180649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1180655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180674 */     // MIs[0] round
     /* 1180674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1180687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180712 */     // GIR_Coverage, 16398,
     /* 1180712 */     GIR_EraseRootFromParent_Done,
     /* 1180713 */   // Label 17210: @1180713
     /* 1180713 */   GIM_Try, /*On fail goto*//*Label 17211*/ GIMT_Encode4(1180796), // Rule ID 16399 //
     /* 1180718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1180729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1180732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1180738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180757 */     // MIs[0] round
     /* 1180757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180767 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1180770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180795 */     // GIR_Coverage, 16399,
     /* 1180795 */     GIR_EraseRootFromParent_Done,
     /* 1180796 */   // Label 17211: @1180796
     /* 1180796 */   GIM_Try, /*On fail goto*//*Label 17212*/ GIMT_Encode4(1180879), // Rule ID 16402 //
     /* 1180801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1180812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1180815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180840 */     // MIs[0] round
     /* 1180840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180850 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1180853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180878 */     // GIR_Coverage, 16402,
     /* 1180878 */     GIR_EraseRootFromParent_Done,
     /* 1180879 */   // Label 17212: @1180879
     /* 1180879 */   GIM_Try, /*On fail goto*//*Label 17213*/ GIMT_Encode4(1180962), // Rule ID 16403 //
     /* 1180884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1180895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1180898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180923 */     // MIs[0] round
     /* 1180923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180933 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1180936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180944 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180961 */     // GIR_Coverage, 16403,
     /* 1180961 */     GIR_EraseRootFromParent_Done,
     /* 1180962 */   // Label 17213: @1180962
     /* 1180962 */   GIM_Try, /*On fail goto*//*Label 17214*/ GIMT_Encode4(1181045), // Rule ID 16406 //
     /* 1180967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1180978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1180981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1180984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181006 */     // MIs[0] round
     /* 1181006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1181019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181044 */     // GIR_Coverage, 16406,
     /* 1181044 */     GIR_EraseRootFromParent_Done,
     /* 1181045 */   // Label 17214: @1181045
     /* 1181045 */   GIM_Try, /*On fail goto*//*Label 17215*/ GIMT_Encode4(1181128), // Rule ID 16407 //
     /* 1181050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1181061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1181064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1181067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181089 */     // MIs[0] round
     /* 1181089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181099 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1181102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181110 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181127 */     // GIR_Coverage, 16407,
     /* 1181127 */     GIR_EraseRootFromParent_Done,
     /* 1181128 */   // Label 17215: @1181128
     /* 1181128 */   GIM_Try, /*On fail goto*//*Label 17216*/ GIMT_Encode4(1181211), // Rule ID 16410 //
     /* 1181133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1181144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1181147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1181150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181172 */     // MIs[0] round
     /* 1181172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181182 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1181185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181210 */     // GIR_Coverage, 16410,
     /* 1181210 */     GIR_EraseRootFromParent_Done,
     /* 1181211 */   // Label 17216: @1181211
     /* 1181211 */   GIM_Try, /*On fail goto*//*Label 17217*/ GIMT_Encode4(1181294), // Rule ID 16411 //
     /* 1181216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1181227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1181230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1181233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181255 */     // MIs[0] round
     /* 1181255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181265 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1181268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181276 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181293 */     // GIR_Coverage, 16411,
     /* 1181293 */     GIR_EraseRootFromParent_Done,
     /* 1181294 */   // Label 17217: @1181294
     /* 1181294 */   GIM_Try, /*On fail goto*//*Label 17218*/ GIMT_Encode4(1181377), // Rule ID 16414 //
     /* 1181299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1181310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1181313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1181316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181338 */     // MIs[0] round
     /* 1181338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1181351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181376 */     // GIR_Coverage, 16414,
     /* 1181376 */     GIR_EraseRootFromParent_Done,
     /* 1181377 */   // Label 17218: @1181377
     /* 1181377 */   GIM_Try, /*On fail goto*//*Label 17219*/ GIMT_Encode4(1181460), // Rule ID 16415 //
     /* 1181382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1181393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1181396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1181399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181421 */     // MIs[0] round
     /* 1181421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181431 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1181434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181459 */     // GIR_Coverage, 16415,
     /* 1181459 */     GIR_EraseRootFromParent_Done,
     /* 1181460 */   // Label 17219: @1181460
     /* 1181460 */   GIM_Try, /*On fail goto*//*Label 17220*/ GIMT_Encode4(1181543), // Rule ID 16418 //
     /* 1181465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1181476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1181479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181504 */     // MIs[0] round
     /* 1181504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181514 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1181517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181542 */     // GIR_Coverage, 16418,
     /* 1181542 */     GIR_EraseRootFromParent_Done,
     /* 1181543 */   // Label 17220: @1181543
     /* 1181543 */   GIM_Try, /*On fail goto*//*Label 17221*/ GIMT_Encode4(1181626), // Rule ID 16419 //
     /* 1181548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1181559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1181562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181587 */     // MIs[0] round
     /* 1181587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181597 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1181600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181608 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181625 */     // GIR_Coverage, 16419,
     /* 1181625 */     GIR_EraseRootFromParent_Done,
     /* 1181626 */   // Label 17221: @1181626
     /* 1181626 */   GIM_Try, /*On fail goto*//*Label 17222*/ GIMT_Encode4(1181709), // Rule ID 16422 //
     /* 1181631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1181642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1181645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181670 */     // MIs[0] round
     /* 1181670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1181683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181708 */     // GIR_Coverage, 16422,
     /* 1181708 */     GIR_EraseRootFromParent_Done,
     /* 1181709 */   // Label 17222: @1181709
     /* 1181709 */   GIM_Try, /*On fail goto*//*Label 17223*/ GIMT_Encode4(1181792), // Rule ID 16423 //
     /* 1181714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1181725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1181728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181753 */     // MIs[0] round
     /* 1181753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181763 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1181766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181791 */     // GIR_Coverage, 16423,
     /* 1181791 */     GIR_EraseRootFromParent_Done,
     /* 1181792 */   // Label 17223: @1181792
     /* 1181792 */   GIM_Try, /*On fail goto*//*Label 17224*/ GIMT_Encode4(1181875), // Rule ID 16426 //
     /* 1181797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181836 */     // MIs[0] round
     /* 1181836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1181849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181874 */     // GIR_Coverage, 16426,
     /* 1181874 */     GIR_EraseRootFromParent_Done,
     /* 1181875 */   // Label 17224: @1181875
     /* 1181875 */   GIM_Try, /*On fail goto*//*Label 17225*/ GIMT_Encode4(1181958), // Rule ID 16427 //
     /* 1181880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181919 */     // MIs[0] round
     /* 1181919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181929 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1181932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181940 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181957 */     // GIR_Coverage, 16427,
     /* 1181957 */     GIR_EraseRootFromParent_Done,
     /* 1181958 */   // Label 17225: @1181958
     /* 1181958 */   GIM_Try, /*On fail goto*//*Label 17226*/ GIMT_Encode4(1182041), // Rule ID 16430 //
     /* 1181963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1181974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1181977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1181980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182002 */     // MIs[0] round
     /* 1182002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182012 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1182015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182040 */     // GIR_Coverage, 16430,
     /* 1182040 */     GIR_EraseRootFromParent_Done,
     /* 1182041 */   // Label 17226: @1182041
     /* 1182041 */   GIM_Try, /*On fail goto*//*Label 17227*/ GIMT_Encode4(1182124), // Rule ID 16431 //
     /* 1182046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1182057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1182060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1182063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182085 */     // MIs[0] round
     /* 1182085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182095 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1182098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182123 */     // GIR_Coverage, 16431,
     /* 1182123 */     GIR_EraseRootFromParent_Done,
     /* 1182124 */   // Label 17227: @1182124
     /* 1182124 */   GIM_Try, /*On fail goto*//*Label 17228*/ GIMT_Encode4(1182207), // Rule ID 16434 //
     /* 1182129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1182140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1182143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1182146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182168 */     // MIs[0] round
     /* 1182168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1182181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182206 */     // GIR_Coverage, 16434,
     /* 1182206 */     GIR_EraseRootFromParent_Done,
     /* 1182207 */   // Label 17228: @1182207
     /* 1182207 */   GIM_Try, /*On fail goto*//*Label 17229*/ GIMT_Encode4(1182290), // Rule ID 16435 //
     /* 1182212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1182223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1182226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1182229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182251 */     // MIs[0] round
     /* 1182251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1182264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182272 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182289 */     // GIR_Coverage, 16435,
     /* 1182289 */     GIR_EraseRootFromParent_Done,
     /* 1182290 */   // Label 17229: @1182290
     /* 1182290 */   GIM_Try, /*On fail goto*//*Label 17230*/ GIMT_Encode4(1182373), // Rule ID 16438 //
     /* 1182295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1182312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182334 */     // MIs[0] round
     /* 1182334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1182347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182372 */     // GIR_Coverage, 16438,
     /* 1182372 */     GIR_EraseRootFromParent_Done,
     /* 1182373 */   // Label 17230: @1182373
     /* 1182373 */   GIM_Try, /*On fail goto*//*Label 17231*/ GIMT_Encode4(1182456), // Rule ID 16439 //
     /* 1182378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1182395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182417 */     // MIs[0] round
     /* 1182417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182427 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1182430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182455 */     // GIR_Coverage, 16439,
     /* 1182455 */     GIR_EraseRootFromParent_Done,
     /* 1182456 */   // Label 17231: @1182456
     /* 1182456 */   GIM_Try, /*On fail goto*//*Label 17232*/ GIMT_Encode4(1182539), // Rule ID 16442 //
     /* 1182461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1182472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1182475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182500 */     // MIs[0] round
     /* 1182500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182510 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1182513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182538 */     // GIR_Coverage, 16442,
     /* 1182538 */     GIR_EraseRootFromParent_Done,
     /* 1182539 */   // Label 17232: @1182539
     /* 1182539 */   GIM_Try, /*On fail goto*//*Label 17233*/ GIMT_Encode4(1182622), // Rule ID 16443 //
     /* 1182544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1182555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1182558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182583 */     // MIs[0] round
     /* 1182583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182593 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1182596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182621 */     // GIR_Coverage, 16443,
     /* 1182621 */     GIR_EraseRootFromParent_Done,
     /* 1182622 */   // Label 17233: @1182622
     /* 1182622 */   GIM_Try, /*On fail goto*//*Label 17234*/ GIMT_Encode4(1182705), // Rule ID 16446 //
     /* 1182627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182666 */     // MIs[0] round
     /* 1182666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182676 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1182679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182704 */     // GIR_Coverage, 16446,
     /* 1182704 */     GIR_EraseRootFromParent_Done,
     /* 1182705 */   // Label 17234: @1182705
     /* 1182705 */   GIM_Try, /*On fail goto*//*Label 17235*/ GIMT_Encode4(1182788), // Rule ID 16447 //
     /* 1182710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182749 */     // MIs[0] round
     /* 1182749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182759 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1182762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182770 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182787 */     // GIR_Coverage, 16447,
     /* 1182787 */     GIR_EraseRootFromParent_Done,
     /* 1182788 */   // Label 17235: @1182788
     /* 1182788 */   GIM_Try, /*On fail goto*//*Label 17236*/ GIMT_Encode4(1182871), // Rule ID 16450 //
     /* 1182793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182832 */     // MIs[0] round
     /* 1182832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1182845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182870 */     // GIR_Coverage, 16450,
     /* 1182870 */     GIR_EraseRootFromParent_Done,
     /* 1182871 */   // Label 17236: @1182871
     /* 1182871 */   GIM_Try, /*On fail goto*//*Label 17237*/ GIMT_Encode4(1182954), // Rule ID 16451 //
     /* 1182876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182915 */     // MIs[0] round
     /* 1182915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182925 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1182928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182953 */     // GIR_Coverage, 16451,
     /* 1182953 */     GIR_EraseRootFromParent_Done,
     /* 1182954 */   // Label 17237: @1182954
     /* 1182954 */   GIM_Try, /*On fail goto*//*Label 17238*/ GIMT_Encode4(1183037), // Rule ID 16454 //
     /* 1182959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1182970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1182973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1182976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182998 */     // MIs[0] round
     /* 1182998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1183011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183036 */     // GIR_Coverage, 16454,
     /* 1183036 */     GIR_EraseRootFromParent_Done,
     /* 1183037 */   // Label 17238: @1183037
     /* 1183037 */   GIM_Try, /*On fail goto*//*Label 17239*/ GIMT_Encode4(1183120), // Rule ID 16455 //
     /* 1183042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1183045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1183053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1183056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1183059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1183062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183081 */     // MIs[0] round
     /* 1183081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183091 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1183094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183102 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183119 */     // GIR_Coverage, 16455,
     /* 1183119 */     GIR_EraseRootFromParent_Done,
     /* 1183120 */   // Label 17239: @1183120
     /* 1183120 */   GIM_Try, /*On fail goto*//*Label 17240*/ GIMT_Encode4(1183203), // Rule ID 16458 //
     /* 1183125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1183128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1183136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1183139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1183142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1183145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183164 */     // MIs[0] round
     /* 1183164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1183177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183202 */     // GIR_Coverage, 16458,
     /* 1183202 */     GIR_EraseRootFromParent_Done,
     /* 1183203 */   // Label 17240: @1183203
     /* 1183203 */   GIM_Try, /*On fail goto*//*Label 17241*/ GIMT_Encode4(1183286), // Rule ID 16459 //
     /* 1183208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1183211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1183219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1183222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1183225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1183228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183247 */     // MIs[0] round
     /* 1183247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183257 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1183260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183285 */     // GIR_Coverage, 16459,
     /* 1183285 */     GIR_EraseRootFromParent_Done,
     /* 1183286 */   // Label 17241: @1183286
     /* 1183286 */   GIM_Try, /*On fail goto*//*Label 17242*/ GIMT_Encode4(1183369), // Rule ID 16522 //
     /* 1183291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1183302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1183305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1183308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1183311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183330 */     // MIs[0] round
     /* 1183330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183340 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1183343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183368 */     // GIR_Coverage, 16522,
     /* 1183368 */     GIR_EraseRootFromParent_Done,
     /* 1183369 */   // Label 17242: @1183369
     /* 1183369 */   GIM_Try, /*On fail goto*//*Label 17243*/ GIMT_Encode4(1183452), // Rule ID 16523 //
     /* 1183374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1183385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1183388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1183391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1183394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183413 */     // MIs[0] round
     /* 1183413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183423 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1183426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183434 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183451 */     // GIR_Coverage, 16523,
     /* 1183451 */     GIR_EraseRootFromParent_Done,
     /* 1183452 */   // Label 17243: @1183452
     /* 1183452 */   GIM_Try, /*On fail goto*//*Label 17244*/ GIMT_Encode4(1183535), // Rule ID 16526 //
     /* 1183457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1183468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1183471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1183474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1183477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183496 */     // MIs[0] round
     /* 1183496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183506 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1183509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183534 */     // GIR_Coverage, 16526,
     /* 1183534 */     GIR_EraseRootFromParent_Done,
     /* 1183535 */   // Label 17244: @1183535
     /* 1183535 */   GIM_Try, /*On fail goto*//*Label 17245*/ GIMT_Encode4(1183618), // Rule ID 16527 //
     /* 1183540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1183551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1183554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1183557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1183560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183579 */     // MIs[0] round
     /* 1183579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183589 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1183592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183617 */     // GIR_Coverage, 16527,
     /* 1183617 */     GIR_EraseRootFromParent_Done,
     /* 1183618 */   // Label 17245: @1183618
     /* 1183618 */   GIM_Try, /*On fail goto*//*Label 17246*/ GIMT_Encode4(1183701), // Rule ID 16530 //
     /* 1183623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1183634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1183637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1183640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1183643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183662 */     // MIs[0] round
     /* 1183662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1183675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183700 */     // GIR_Coverage, 16530,
     /* 1183700 */     GIR_EraseRootFromParent_Done,
     /* 1183701 */   // Label 17246: @1183701
     /* 1183701 */   GIM_Try, /*On fail goto*//*Label 17247*/ GIMT_Encode4(1183784), // Rule ID 16531 //
     /* 1183706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1183717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1183720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1183723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1183726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183745 */     // MIs[0] round
     /* 1183745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183755 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1183758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183766 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183783 */     // GIR_Coverage, 16531,
     /* 1183783 */     GIR_EraseRootFromParent_Done,
     /* 1183784 */   // Label 17247: @1183784
     /* 1183784 */   GIM_Try, /*On fail goto*//*Label 17248*/ GIMT_Encode4(1183867), // Rule ID 16534 //
     /* 1183789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1183800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1183803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1183806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1183809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183828 */     // MIs[0] round
     /* 1183828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183838 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1183841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183866 */     // GIR_Coverage, 16534,
     /* 1183866 */     GIR_EraseRootFromParent_Done,
     /* 1183867 */   // Label 17248: @1183867
     /* 1183867 */   GIM_Try, /*On fail goto*//*Label 17249*/ GIMT_Encode4(1183950), // Rule ID 16535 //
     /* 1183872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1183883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1183886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1183889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1183892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183911 */     // MIs[0] round
     /* 1183911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183921 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1183924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183932 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183949 */     // GIR_Coverage, 16535,
     /* 1183949 */     GIR_EraseRootFromParent_Done,
     /* 1183950 */   // Label 17249: @1183950
     /* 1183950 */   GIM_Try, /*On fail goto*//*Label 17250*/ GIMT_Encode4(1184033), // Rule ID 16538 //
     /* 1183955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1183966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1183969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1183972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1183975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183994 */     // MIs[0] round
     /* 1183994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184004 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1184007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1184025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184032 */     // GIR_Coverage, 16538,
     /* 1184032 */     GIR_EraseRootFromParent_Done,
     /* 1184033 */   // Label 17250: @1184033
     /* 1184033 */   GIM_Try, /*On fail goto*//*Label 17251*/ GIMT_Encode4(1184116), // Rule ID 16539 //
     /* 1184038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1184049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1184052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1184055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1184058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184077 */     // MIs[0] round
     /* 1184077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184087 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1184090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1184108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184115 */     // GIR_Coverage, 16539,
     /* 1184115 */     GIR_EraseRootFromParent_Done,
     /* 1184116 */   // Label 17251: @1184116
     /* 1184116 */   GIM_Try, /*On fail goto*//*Label 17252*/ GIMT_Encode4(1184199), // Rule ID 16542 //
     /* 1184121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1184132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1184135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1184138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1184141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184160 */     // MIs[0] round
     /* 1184160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184170 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1184173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1184191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184198 */     // GIR_Coverage, 16542,
     /* 1184198 */     GIR_EraseRootFromParent_Done,
     /* 1184199 */   // Label 17252: @1184199
     /* 1184199 */   GIM_Try, /*On fail goto*//*Label 17253*/ GIMT_Encode4(1184282), // Rule ID 16543 //
     /* 1184204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1184215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1184218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1184221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1184224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184243 */     // MIs[0] round
     /* 1184243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184253 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1184256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184264 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1184274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184281 */     // GIR_Coverage, 16543,
     /* 1184281 */     GIR_EraseRootFromParent_Done,
     /* 1184282 */   // Label 17253: @1184282
     /* 1184282 */   GIM_Try, /*On fail goto*//*Label 17254*/ GIMT_Encode4(1184365), // Rule ID 16546 //
     /* 1184287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1184298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1184301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1184304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1184307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184326 */     // MIs[0] round
     /* 1184326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1184339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184364 */     // GIR_Coverage, 16546,
     /* 1184364 */     GIR_EraseRootFromParent_Done,
     /* 1184365 */   // Label 17254: @1184365
     /* 1184365 */   GIM_Try, /*On fail goto*//*Label 17255*/ GIMT_Encode4(1184448), // Rule ID 16547 //
     /* 1184370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1184381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1184384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1184387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1184390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184409 */     // MIs[0] round
     /* 1184409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184419 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1184422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184447 */     // GIR_Coverage, 16547,
     /* 1184447 */     GIR_EraseRootFromParent_Done,
     /* 1184448 */   // Label 17255: @1184448
     /* 1184448 */   GIM_Try, /*On fail goto*//*Label 17256*/ GIMT_Encode4(1184531), // Rule ID 16550 //
     /* 1184453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1184464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1184467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1184470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1184473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184492 */     // MIs[0] round
     /* 1184492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184502 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1184505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184530 */     // GIR_Coverage, 16550,
     /* 1184530 */     GIR_EraseRootFromParent_Done,
     /* 1184531 */   // Label 17256: @1184531
     /* 1184531 */   GIM_Try, /*On fail goto*//*Label 17257*/ GIMT_Encode4(1184614), // Rule ID 16551 //
     /* 1184536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1184547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1184550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1184553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1184556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184575 */     // MIs[0] round
     /* 1184575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184585 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1184588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184596 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184613 */     // GIR_Coverage, 16551,
     /* 1184613 */     GIR_EraseRootFromParent_Done,
     /* 1184614 */   // Label 17257: @1184614
     /* 1184614 */   GIM_Try, /*On fail goto*//*Label 17258*/ GIMT_Encode4(1184697), // Rule ID 16554 //
     /* 1184619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1184630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1184633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1184636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1184639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184658 */     // MIs[0] round
     /* 1184658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1184671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184696 */     // GIR_Coverage, 16554,
     /* 1184696 */     GIR_EraseRootFromParent_Done,
     /* 1184697 */   // Label 17258: @1184697
     /* 1184697 */   GIM_Try, /*On fail goto*//*Label 17259*/ GIMT_Encode4(1184780), // Rule ID 16555 //
     /* 1184702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1184713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1184716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1184719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1184722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184741 */     // MIs[0] round
     /* 1184741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184751 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1184754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184779 */     // GIR_Coverage, 16555,
     /* 1184779 */     GIR_EraseRootFromParent_Done,
     /* 1184780 */   // Label 17259: @1184780
     /* 1184780 */   GIM_Try, /*On fail goto*//*Label 17260*/ GIMT_Encode4(1184863), // Rule ID 16558 //
     /* 1184785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1184802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184824 */     // MIs[0] round
     /* 1184824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184834 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1184837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184862 */     // GIR_Coverage, 16558,
     /* 1184862 */     GIR_EraseRootFromParent_Done,
     /* 1184863 */   // Label 17260: @1184863
     /* 1184863 */   GIM_Try, /*On fail goto*//*Label 17261*/ GIMT_Encode4(1184946), // Rule ID 16559 //
     /* 1184868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1184885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184907 */     // MIs[0] round
     /* 1184907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184917 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1184920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184928 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184945 */     // GIR_Coverage, 16559,
     /* 1184945 */     GIR_EraseRootFromParent_Done,
     /* 1184946 */   // Label 17261: @1184946
     /* 1184946 */   GIM_Try, /*On fail goto*//*Label 17262*/ GIMT_Encode4(1185029), // Rule ID 16562 //
     /* 1184951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1184968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184990 */     // MIs[0] round
     /* 1184990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185000 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1185003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185028 */     // GIR_Coverage, 16562,
     /* 1185028 */     GIR_EraseRootFromParent_Done,
     /* 1185029 */   // Label 17262: @1185029
     /* 1185029 */   GIM_Try, /*On fail goto*//*Label 17263*/ GIMT_Encode4(1185112), // Rule ID 16563 //
     /* 1185034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1185045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1185048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1185051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1185054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185073 */     // MIs[0] round
     /* 1185073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1185086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185111 */     // GIR_Coverage, 16563,
     /* 1185111 */     GIR_EraseRootFromParent_Done,
     /* 1185112 */   // Label 17263: @1185112
     /* 1185112 */   GIM_Try, /*On fail goto*//*Label 17264*/ GIMT_Encode4(1185195), // Rule ID 16566 //
     /* 1185117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1185120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1185128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1185131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1185134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1185137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185156 */     // MIs[0] round
     /* 1185156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1185169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185194 */     // GIR_Coverage, 16566,
     /* 1185194 */     GIR_EraseRootFromParent_Done,
     /* 1185195 */   // Label 17264: @1185195
     /* 1185195 */   GIM_Try, /*On fail goto*//*Label 17265*/ GIMT_Encode4(1185278), // Rule ID 16567 //
     /* 1185200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1185203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1185211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1185214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1185217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1185220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185239 */     // MIs[0] round
     /* 1185239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185249 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1185252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185260 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185277 */     // GIR_Coverage, 16567,
     /* 1185277 */     GIR_EraseRootFromParent_Done,
     /* 1185278 */   // Label 17265: @1185278
     /* 1185278 */   GIM_Try, /*On fail goto*//*Label 17266*/ GIMT_Encode4(1185361), // Rule ID 16570 //
     /* 1185283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1185286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1185294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1185297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1185300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1185303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185322 */     // MIs[0] round
     /* 1185322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1185335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185360 */     // GIR_Coverage, 16570,
     /* 1185360 */     GIR_EraseRootFromParent_Done,
     /* 1185361 */   // Label 17266: @1185361
     /* 1185361 */   GIM_Try, /*On fail goto*//*Label 17267*/ GIMT_Encode4(1185444), // Rule ID 16571 //
     /* 1185366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1185369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1185377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1185380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1185383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1185386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185405 */     // MIs[0] round
     /* 1185405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185415 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1185418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185426 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185443 */     // GIR_Coverage, 16571,
     /* 1185443 */     GIR_EraseRootFromParent_Done,
     /* 1185444 */   // Label 17267: @1185444
     /* 1185444 */   GIM_Try, /*On fail goto*//*Label 17268*/ GIMT_Encode4(1185527), // Rule ID 16574 //
     /* 1185449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1185452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1185460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1185463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1185466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1185469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185488 */     // MIs[0] round
     /* 1185488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185498 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1185501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185526 */     // GIR_Coverage, 16574,
     /* 1185526 */     GIR_EraseRootFromParent_Done,
     /* 1185527 */   // Label 17268: @1185527
     /* 1185527 */   GIM_Try, /*On fail goto*//*Label 17269*/ GIMT_Encode4(1185610), // Rule ID 16575 //
     /* 1185532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1185535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1185543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1185546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1185549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1185552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185571 */     // MIs[0] round
     /* 1185571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185581 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1185584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185592 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185609 */     // GIR_Coverage, 16575,
     /* 1185609 */     GIR_EraseRootFromParent_Done,
     /* 1185610 */   // Label 17269: @1185610
     /* 1185610 */   GIM_Try, /*On fail goto*//*Label 17270*/ GIMT_Encode4(1185693), // Rule ID 16578 //
     /* 1185615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1185618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1185626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1185629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1185632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1185635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185654 */     // MIs[0] round
     /* 1185654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185664 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1185667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185692 */     // GIR_Coverage, 16578,
     /* 1185692 */     GIR_EraseRootFromParent_Done,
     /* 1185693 */   // Label 17270: @1185693
     /* 1185693 */   GIM_Try, /*On fail goto*//*Label 17271*/ GIMT_Encode4(1185776), // Rule ID 16579 //
     /* 1185698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1185701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1185709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1185712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1185715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1185718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185737 */     // MIs[0] round
     /* 1185737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185747 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1185750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185775 */     // GIR_Coverage, 16579,
     /* 1185775 */     GIR_EraseRootFromParent_Done,
     /* 1185776 */   // Label 17271: @1185776
     /* 1185776 */   GIM_Try, /*On fail goto*//*Label 17272*/ GIMT_Encode4(1185859), // Rule ID 16582 //
     /* 1185781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1185792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1185795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185820 */     // MIs[0] round
     /* 1185820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185830 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1185833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185858 */     // GIR_Coverage, 16582,
     /* 1185858 */     GIR_EraseRootFromParent_Done,
     /* 1185859 */   // Label 17272: @1185859
     /* 1185859 */   GIM_Try, /*On fail goto*//*Label 17273*/ GIMT_Encode4(1185942), // Rule ID 16583 //
     /* 1185864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1185875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1185878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185903 */     // MIs[0] round
     /* 1185903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185913 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1185916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185941 */     // GIR_Coverage, 16583,
     /* 1185941 */     GIR_EraseRootFromParent_Done,
     /* 1185942 */   // Label 17273: @1185942
     /* 1185942 */   GIM_Try, /*On fail goto*//*Label 17274*/ GIMT_Encode4(1186025), // Rule ID 16586 //
     /* 1185947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1185958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1185961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1185964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185986 */     // MIs[0] round
     /* 1185986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185996 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1185999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186024 */     // GIR_Coverage, 16586,
     /* 1186024 */     GIR_EraseRootFromParent_Done,
     /* 1186025 */   // Label 17274: @1186025
     /* 1186025 */   GIM_Try, /*On fail goto*//*Label 17275*/ GIMT_Encode4(1186108), // Rule ID 16587 //
     /* 1186030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1186041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1186044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1186047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186069 */     // MIs[0] round
     /* 1186069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186079 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1186082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186090 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186107 */     // GIR_Coverage, 16587,
     /* 1186107 */     GIR_EraseRootFromParent_Done,
     /* 1186108 */   // Label 17275: @1186108
     /* 1186108 */   GIM_Try, /*On fail goto*//*Label 17276*/ GIMT_Encode4(1186191), // Rule ID 16590 //
     /* 1186113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1186124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1186127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1186130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186152 */     // MIs[0] round
     /* 1186152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186162 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1186165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186190 */     // GIR_Coverage, 16590,
     /* 1186190 */     GIR_EraseRootFromParent_Done,
     /* 1186191 */   // Label 17276: @1186191
     /* 1186191 */   GIM_Try, /*On fail goto*//*Label 17277*/ GIMT_Encode4(1186274), // Rule ID 16591 //
     /* 1186196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1186207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1186210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1186213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186235 */     // MIs[0] round
     /* 1186235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186245 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1186248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186273 */     // GIR_Coverage, 16591,
     /* 1186273 */     GIR_EraseRootFromParent_Done,
     /* 1186274 */   // Label 17277: @1186274
     /* 1186274 */   GIM_Try, /*On fail goto*//*Label 17278*/ GIMT_Encode4(1186357), // Rule ID 16594 //
     /* 1186279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1186290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1186293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1186296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186318 */     // MIs[0] round
     /* 1186318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1186331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186356 */     // GIR_Coverage, 16594,
     /* 1186356 */     GIR_EraseRootFromParent_Done,
     /* 1186357 */   // Label 17278: @1186357
     /* 1186357 */   GIM_Try, /*On fail goto*//*Label 17279*/ GIMT_Encode4(1186440), // Rule ID 16595 //
     /* 1186362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1186373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1186376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1186379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186401 */     // MIs[0] round
     /* 1186401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1186414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186422 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186439 */     // GIR_Coverage, 16595,
     /* 1186439 */     GIR_EraseRootFromParent_Done,
     /* 1186440 */   // Label 17279: @1186440
     /* 1186440 */   GIM_Try, /*On fail goto*//*Label 17280*/ GIMT_Encode4(1186523), // Rule ID 16598 //
     /* 1186445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1186456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1186459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1186462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186484 */     // MIs[0] round
     /* 1186484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186494 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1186497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186522 */     // GIR_Coverage, 16598,
     /* 1186522 */     GIR_EraseRootFromParent_Done,
     /* 1186523 */   // Label 17280: @1186523
     /* 1186523 */   GIM_Try, /*On fail goto*//*Label 17281*/ GIMT_Encode4(1186606), // Rule ID 16599 //
     /* 1186528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1186539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1186542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1186545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186567 */     // MIs[0] round
     /* 1186567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186577 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1186580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186605 */     // GIR_Coverage, 16599,
     /* 1186605 */     GIR_EraseRootFromParent_Done,
     /* 1186606 */   // Label 17281: @1186606
     /* 1186606 */   GIM_Try, /*On fail goto*//*Label 17282*/ GIMT_Encode4(1186689), // Rule ID 16602 //
     /* 1186611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1186622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1186625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1186628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186650 */     // MIs[0] round
     /* 1186650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186660 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1186663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186688 */     // GIR_Coverage, 16602,
     /* 1186688 */     GIR_EraseRootFromParent_Done,
     /* 1186689 */   // Label 17282: @1186689
     /* 1186689 */   GIM_Try, /*On fail goto*//*Label 17283*/ GIMT_Encode4(1186772), // Rule ID 16603 //
     /* 1186694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1186705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1186708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1186711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186733 */     // MIs[0] round
     /* 1186733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186743 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1186746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186754 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186771 */     // GIR_Coverage, 16603,
     /* 1186771 */     GIR_EraseRootFromParent_Done,
     /* 1186772 */   // Label 17283: @1186772
     /* 1186772 */   GIM_Try, /*On fail goto*//*Label 17284*/ GIMT_Encode4(1186855), // Rule ID 16606 //
     /* 1186777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1186788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1186791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1186794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186816 */     // MIs[0] round
     /* 1186816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186826 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1186829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186854 */     // GIR_Coverage, 16606,
     /* 1186854 */     GIR_EraseRootFromParent_Done,
     /* 1186855 */   // Label 17284: @1186855
     /* 1186855 */   GIM_Try, /*On fail goto*//*Label 17285*/ GIMT_Encode4(1186938), // Rule ID 16607 //
     /* 1186860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1186871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1186874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1186877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186899 */     // MIs[0] round
     /* 1186899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186909 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1186912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186937 */     // GIR_Coverage, 16607,
     /* 1186937 */     GIR_EraseRootFromParent_Done,
     /* 1186938 */   // Label 17285: @1186938
     /* 1186938 */   GIM_Try, /*On fail goto*//*Label 17286*/ GIMT_Encode4(1187021), // Rule ID 16610 //
     /* 1186943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186982 */     // MIs[0] round
     /* 1186982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1186995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187020 */     // GIR_Coverage, 16610,
     /* 1187020 */     GIR_EraseRootFromParent_Done,
     /* 1187021 */   // Label 17286: @1187021
     /* 1187021 */   GIM_Try, /*On fail goto*//*Label 17287*/ GIMT_Encode4(1187104), // Rule ID 16611 //
     /* 1187026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1187037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1187040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1187043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187065 */     // MIs[0] round
     /* 1187065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187075 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1187078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187103 */     // GIR_Coverage, 16611,
     /* 1187103 */     GIR_EraseRootFromParent_Done,
     /* 1187104 */   // Label 17287: @1187104
     /* 1187104 */   GIM_Try, /*On fail goto*//*Label 17288*/ GIMT_Encode4(1187187), // Rule ID 16614 //
     /* 1187109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1187120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1187123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1187126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187148 */     // MIs[0] round
     /* 1187148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1187161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187186 */     // GIR_Coverage, 16614,
     /* 1187186 */     GIR_EraseRootFromParent_Done,
     /* 1187187 */   // Label 17288: @1187187
     /* 1187187 */   GIM_Try, /*On fail goto*//*Label 17289*/ GIMT_Encode4(1187270), // Rule ID 16615 //
     /* 1187192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1187203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1187206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1187209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187231 */     // MIs[0] round
     /* 1187231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187241 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1187244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187252 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187269 */     // GIR_Coverage, 16615,
     /* 1187269 */     GIR_EraseRootFromParent_Done,
     /* 1187270 */   // Label 17289: @1187270
     /* 1187270 */   GIM_Try, /*On fail goto*//*Label 17290*/ GIMT_Encode4(1187353), // Rule ID 16618 //
     /* 1187275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1187286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1187289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1187292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187314 */     // MIs[0] round
     /* 1187314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187324 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1187327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187352 */     // GIR_Coverage, 16618,
     /* 1187352 */     GIR_EraseRootFromParent_Done,
     /* 1187353 */   // Label 17290: @1187353
     /* 1187353 */   GIM_Try, /*On fail goto*//*Label 17291*/ GIMT_Encode4(1187436), // Rule ID 16619 //
     /* 1187358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1187369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1187372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1187375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187397 */     // MIs[0] round
     /* 1187397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187407 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1187410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187435 */     // GIR_Coverage, 16619,
     /* 1187435 */     GIR_EraseRootFromParent_Done,
     /* 1187436 */   // Label 17291: @1187436
     /* 1187436 */   GIM_Try, /*On fail goto*//*Label 17292*/ GIMT_Encode4(1187519), // Rule ID 16622 //
     /* 1187441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1187452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1187455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1187458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187480 */     // MIs[0] round
     /* 1187480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187490 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1187493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187518 */     // GIR_Coverage, 16622,
     /* 1187518 */     GIR_EraseRootFromParent_Done,
     /* 1187519 */   // Label 17292: @1187519
     /* 1187519 */   GIM_Try, /*On fail goto*//*Label 17293*/ GIMT_Encode4(1187602), // Rule ID 16623 //
     /* 1187524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1187535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1187538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1187541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187563 */     // MIs[0] round
     /* 1187563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187573 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1187576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187584 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187601 */     // GIR_Coverage, 16623,
     /* 1187601 */     GIR_EraseRootFromParent_Done,
     /* 1187602 */   // Label 17293: @1187602
     /* 1187602 */   GIM_Try, /*On fail goto*//*Label 17294*/ GIMT_Encode4(1187685), // Rule ID 16626 //
     /* 1187607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1187610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1187618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1187621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1187624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187646 */     // MIs[0] round
     /* 1187646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1187659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187684 */     // GIR_Coverage, 16626,
     /* 1187684 */     GIR_EraseRootFromParent_Done,
     /* 1187685 */   // Label 17294: @1187685
     /* 1187685 */   GIM_Try, /*On fail goto*//*Label 17295*/ GIMT_Encode4(1187768), // Rule ID 16627 //
     /* 1187690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1187693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1187701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1187704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1187707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187729 */     // MIs[0] round
     /* 1187729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1187742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187750 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187767 */     // GIR_Coverage, 16627,
     /* 1187767 */     GIR_EraseRootFromParent_Done,
     /* 1187768 */   // Label 17295: @1187768
     /* 1187768 */   GIM_Try, /*On fail goto*//*Label 17296*/ GIMT_Encode4(1187851), // Rule ID 16630 //
     /* 1187773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1187776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1187784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1187787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187812 */     // MIs[0] round
     /* 1187812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1187825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187850 */     // GIR_Coverage, 16630,
     /* 1187850 */     GIR_EraseRootFromParent_Done,
     /* 1187851 */   // Label 17296: @1187851
     /* 1187851 */   GIM_Try, /*On fail goto*//*Label 17297*/ GIMT_Encode4(1187934), // Rule ID 16631 //
     /* 1187856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1187859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1187867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1187870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187895 */     // MIs[0] round
     /* 1187895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187905 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1187908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187933 */     // GIR_Coverage, 16631,
     /* 1187933 */     GIR_EraseRootFromParent_Done,
     /* 1187934 */   // Label 17297: @1187934
     /* 1187934 */   GIM_Try, /*On fail goto*//*Label 17298*/ GIMT_Encode4(1188017), // Rule ID 16634 //
     /* 1187939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1187942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1187950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1187953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1187956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187978 */     // MIs[0] round
     /* 1187978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1187991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188016 */     // GIR_Coverage, 16634,
     /* 1188016 */     GIR_EraseRootFromParent_Done,
     /* 1188017 */   // Label 17298: @1188017
     /* 1188017 */   GIM_Try, /*On fail goto*//*Label 17299*/ GIMT_Encode4(1188100), // Rule ID 16635 //
     /* 1188022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1188025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1188033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1188036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1188039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1188042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1188061 */     // MIs[0] round
     /* 1188061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1188074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188099 */     // GIR_Coverage, 16635,
     /* 1188099 */     GIR_EraseRootFromParent_Done,
     /* 1188100 */   // Label 17299: @1188100
     /* 1188100 */   GIM_Try, /*On fail goto*//*Label 17300*/ GIMT_Encode4(1188183), // Rule ID 16638 //
     /* 1188105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1188108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1188116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1188119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1188122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1188144 */     // MIs[0] round
     /* 1188144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188154 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1188157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188178 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188182 */     // GIR_Coverage, 16638,
     /* 1188182 */     GIR_EraseRootFromParent_Done,
     /* 1188183 */   // Label 17300: @1188183
     /* 1188183 */   GIM_Try, /*On fail goto*//*Label 17301*/ GIMT_Encode4(1188266), // Rule ID 16639 //
     /* 1188188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1188191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1188199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1188202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1188205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1188208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1188227 */     // MIs[0] round
     /* 1188227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188237 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1188240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188248 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188265 */     // GIR_Coverage, 16639,
     /* 1188265 */     GIR_EraseRootFromParent_Done,
     /* 1188266 */   // Label 17301: @1188266
     /* 1188266 */   GIM_Try, /*On fail goto*//*Label 17302*/ GIMT_Encode4(1188346), // Rule ID 16702 //
     /* 1188271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1188282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1188285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1188288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1188291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188310 */     // MIs[0] round
     /* 1188310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188320 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1188323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188345 */     // GIR_Coverage, 16702,
     /* 1188345 */     GIR_EraseRootFromParent_Done,
     /* 1188346 */   // Label 17302: @1188346
     /* 1188346 */   GIM_Try, /*On fail goto*//*Label 17303*/ GIMT_Encode4(1188426), // Rule ID 16703 //
     /* 1188351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1188362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1188365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1188368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1188371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188390 */     // MIs[0] round
     /* 1188390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188400 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1188403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188425 */     // GIR_Coverage, 16703,
     /* 1188425 */     GIR_EraseRootFromParent_Done,
     /* 1188426 */   // Label 17303: @1188426
     /* 1188426 */   GIM_Try, /*On fail goto*//*Label 17304*/ GIMT_Encode4(1188506), // Rule ID 16706 //
     /* 1188431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1188442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1188445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1188448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1188451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188470 */     // MIs[0] round
     /* 1188470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188480 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1188483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188505 */     // GIR_Coverage, 16706,
     /* 1188505 */     GIR_EraseRootFromParent_Done,
     /* 1188506 */   // Label 17304: @1188506
     /* 1188506 */   GIM_Try, /*On fail goto*//*Label 17305*/ GIMT_Encode4(1188586), // Rule ID 16707 //
     /* 1188511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1188522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1188525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1188528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1188531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188550 */     // MIs[0] round
     /* 1188550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188560 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1188563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188585 */     // GIR_Coverage, 16707,
     /* 1188585 */     GIR_EraseRootFromParent_Done,
     /* 1188586 */   // Label 17305: @1188586
     /* 1188586 */   GIM_Try, /*On fail goto*//*Label 17306*/ GIMT_Encode4(1188666), // Rule ID 16710 //
     /* 1188591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1188602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1188605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1188611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188630 */     // MIs[0] round
     /* 1188630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188640 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1188643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188665 */     // GIR_Coverage, 16710,
     /* 1188665 */     GIR_EraseRootFromParent_Done,
     /* 1188666 */   // Label 17306: @1188666
     /* 1188666 */   GIM_Try, /*On fail goto*//*Label 17307*/ GIMT_Encode4(1188746), // Rule ID 16711 //
     /* 1188671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1188682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1188685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1188691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188710 */     // MIs[0] round
     /* 1188710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188720 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1188723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188745 */     // GIR_Coverage, 16711,
     /* 1188745 */     GIR_EraseRootFromParent_Done,
     /* 1188746 */   // Label 17307: @1188746
     /* 1188746 */   GIM_Try, /*On fail goto*//*Label 17308*/ GIMT_Encode4(1188826), // Rule ID 16714 //
     /* 1188751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188790 */     // MIs[0] round
     /* 1188790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188800 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1188803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188825 */     // GIR_Coverage, 16714,
     /* 1188825 */     GIR_EraseRootFromParent_Done,
     /* 1188826 */   // Label 17308: @1188826
     /* 1188826 */   GIM_Try, /*On fail goto*//*Label 17309*/ GIMT_Encode4(1188906), // Rule ID 16715 //
     /* 1188831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188870 */     // MIs[0] round
     /* 1188870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188880 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1188883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188905 */     // GIR_Coverage, 16715,
     /* 1188905 */     GIR_EraseRootFromParent_Done,
     /* 1188906 */   // Label 17309: @1188906
     /* 1188906 */   GIM_Try, /*On fail goto*//*Label 17310*/ GIMT_Encode4(1188986), // Rule ID 16718 //
     /* 1188911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1188922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1188925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188950 */     // MIs[0] round
     /* 1188950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188960 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1188963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188985 */     // GIR_Coverage, 16718,
     /* 1188985 */     GIR_EraseRootFromParent_Done,
     /* 1188986 */   // Label 17310: @1188986
     /* 1188986 */   GIM_Try, /*On fail goto*//*Label 17311*/ GIMT_Encode4(1189066), // Rule ID 16719 //
     /* 1188991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1189002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1189005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1189008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1189011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189030 */     // MIs[0] round
     /* 1189030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189040 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1189043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189065 */     // GIR_Coverage, 16719,
     /* 1189065 */     GIR_EraseRootFromParent_Done,
     /* 1189066 */   // Label 17311: @1189066
     /* 1189066 */   GIM_Try, /*On fail goto*//*Label 17312*/ GIMT_Encode4(1189146), // Rule ID 16722 //
     /* 1189071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1189074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1189082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1189085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1189088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1189091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189110 */     // MIs[0] round
     /* 1189110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189120 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1189123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189145 */     // GIR_Coverage, 16722,
     /* 1189145 */     GIR_EraseRootFromParent_Done,
     /* 1189146 */   // Label 17312: @1189146
     /* 1189146 */   GIM_Try, /*On fail goto*//*Label 17313*/ GIMT_Encode4(1189226), // Rule ID 16723 //
     /* 1189151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1189154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1189162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1189165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1189168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1189171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189190 */     // MIs[0] round
     /* 1189190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189200 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1189203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189225 */     // GIR_Coverage, 16723,
     /* 1189225 */     GIR_EraseRootFromParent_Done,
     /* 1189226 */   // Label 17313: @1189226
     /* 1189226 */   GIM_Try, /*On fail goto*//*Label 17314*/ GIMT_Encode4(1189306), // Rule ID 16726 //
     /* 1189231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1189242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1189245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1189248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1189251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189270 */     // MIs[0] round
     /* 1189270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189280 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1189283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189305 */     // GIR_Coverage, 16726,
     /* 1189305 */     GIR_EraseRootFromParent_Done,
     /* 1189306 */   // Label 17314: @1189306
     /* 1189306 */   GIM_Try, /*On fail goto*//*Label 17315*/ GIMT_Encode4(1189386), // Rule ID 16727 //
     /* 1189311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1189322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1189325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1189328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1189331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189350 */     // MIs[0] round
     /* 1189350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189360 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1189363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189385 */     // GIR_Coverage, 16727,
     /* 1189385 */     GIR_EraseRootFromParent_Done,
     /* 1189386 */   // Label 17315: @1189386
     /* 1189386 */   GIM_Try, /*On fail goto*//*Label 17316*/ GIMT_Encode4(1189466), // Rule ID 16730 //
     /* 1189391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1189402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1189405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1189408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189430 */     // MIs[0] round
     /* 1189430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189440 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1189443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189465 */     // GIR_Coverage, 16730,
     /* 1189465 */     GIR_EraseRootFromParent_Done,
     /* 1189466 */   // Label 17316: @1189466
     /* 1189466 */   GIM_Try, /*On fail goto*//*Label 17317*/ GIMT_Encode4(1189546), // Rule ID 16731 //
     /* 1189471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1189482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1189485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1189488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189510 */     // MIs[0] round
     /* 1189510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189520 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1189523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189545 */     // GIR_Coverage, 16731,
     /* 1189545 */     GIR_EraseRootFromParent_Done,
     /* 1189546 */   // Label 17317: @1189546
     /* 1189546 */   GIM_Try, /*On fail goto*//*Label 17318*/ GIMT_Encode4(1189626), // Rule ID 16734 //
     /* 1189551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1189562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1189565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189590 */     // MIs[0] round
     /* 1189590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189600 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1189603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189625 */     // GIR_Coverage, 16734,
     /* 1189625 */     GIR_EraseRootFromParent_Done,
     /* 1189626 */   // Label 17318: @1189626
     /* 1189626 */   GIM_Try, /*On fail goto*//*Label 17319*/ GIMT_Encode4(1189706), // Rule ID 16735 //
     /* 1189631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1189642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1189645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189670 */     // MIs[0] round
     /* 1189670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189680 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1189683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189705 */     // GIR_Coverage, 16735,
     /* 1189705 */     GIR_EraseRootFromParent_Done,
     /* 1189706 */   // Label 17319: @1189706
     /* 1189706 */   GIM_Try, /*On fail goto*//*Label 17320*/ GIMT_Encode4(1189786), // Rule ID 16738 //
     /* 1189711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189750 */     // MIs[0] round
     /* 1189750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189760 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1189763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189785 */     // GIR_Coverage, 16738,
     /* 1189785 */     GIR_EraseRootFromParent_Done,
     /* 1189786 */   // Label 17320: @1189786
     /* 1189786 */   GIM_Try, /*On fail goto*//*Label 17321*/ GIMT_Encode4(1189866), // Rule ID 16739 //
     /* 1189791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189830 */     // MIs[0] round
     /* 1189830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189840 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1189843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189865 */     // GIR_Coverage, 16739,
     /* 1189865 */     GIR_EraseRootFromParent_Done,
     /* 1189866 */   // Label 17321: @1189866
     /* 1189866 */   GIM_Try, /*On fail goto*//*Label 17322*/ GIMT_Encode4(1189946), // Rule ID 16742 //
     /* 1189871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189910 */     // MIs[0] round
     /* 1189910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189920 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1189923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189945 */     // GIR_Coverage, 16742,
     /* 1189945 */     GIR_EraseRootFromParent_Done,
     /* 1189946 */   // Label 17322: @1189946
     /* 1189946 */   GIM_Try, /*On fail goto*//*Label 17323*/ GIMT_Encode4(1190026), // Rule ID 16743 //
     /* 1189951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189990 */     // MIs[0] round
     /* 1189990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190000 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1190003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190025 */     // GIR_Coverage, 16743,
     /* 1190025 */     GIR_EraseRootFromParent_Done,
     /* 1190026 */   // Label 17323: @1190026
     /* 1190026 */   GIM_Try, /*On fail goto*//*Label 17324*/ GIMT_Encode4(1190106), // Rule ID 16746 //
     /* 1190031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1190042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1190045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1190048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1190051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190070 */     // MIs[0] round
     /* 1190070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190080 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1190083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190105 */     // GIR_Coverage, 16746,
     /* 1190105 */     GIR_EraseRootFromParent_Done,
     /* 1190106 */   // Label 17324: @1190106
     /* 1190106 */   GIM_Try, /*On fail goto*//*Label 17325*/ GIMT_Encode4(1190186), // Rule ID 16747 //
     /* 1190111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1190122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1190125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1190128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1190131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190150 */     // MIs[0] round
     /* 1190150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190160 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1190163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190185 */     // GIR_Coverage, 16747,
     /* 1190185 */     GIR_EraseRootFromParent_Done,
     /* 1190186 */   // Label 17325: @1190186
     /* 1190186 */   GIM_Try, /*On fail goto*//*Label 17326*/ GIMT_Encode4(1190266), // Rule ID 16750 //
     /* 1190191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1190202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1190205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1190208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1190211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190230 */     // MIs[0] round
     /* 1190230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190240 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1190243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190265 */     // GIR_Coverage, 16750,
     /* 1190265 */     GIR_EraseRootFromParent_Done,
     /* 1190266 */   // Label 17326: @1190266
     /* 1190266 */   GIM_Try, /*On fail goto*//*Label 17327*/ GIMT_Encode4(1190346), // Rule ID 16751 //
     /* 1190271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1190282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1190285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1190288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1190291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190310 */     // MIs[0] round
     /* 1190310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190320 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1190323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190345 */     // GIR_Coverage, 16751,
     /* 1190345 */     GIR_EraseRootFromParent_Done,
     /* 1190346 */   // Label 17327: @1190346
     /* 1190346 */   GIM_Try, /*On fail goto*//*Label 17328*/ GIMT_Encode4(1190426), // Rule ID 16754 //
     /* 1190351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1190362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1190365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1190368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1190371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190390 */     // MIs[0] round
     /* 1190390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190400 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1190403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190425 */     // GIR_Coverage, 16754,
     /* 1190425 */     GIR_EraseRootFromParent_Done,
     /* 1190426 */   // Label 17328: @1190426
     /* 1190426 */   GIM_Try, /*On fail goto*//*Label 17329*/ GIMT_Encode4(1190506), // Rule ID 16755 //
     /* 1190431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1190442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1190445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1190448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1190451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190470 */     // MIs[0] round
     /* 1190470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190480 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1190483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190505 */     // GIR_Coverage, 16755,
     /* 1190505 */     GIR_EraseRootFromParent_Done,
     /* 1190506 */   // Label 17329: @1190506
     /* 1190506 */   GIM_Try, /*On fail goto*//*Label 17330*/ GIMT_Encode4(1190586), // Rule ID 16758 //
     /* 1190511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190550 */     // MIs[0] round
     /* 1190550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190560 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1190563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190585 */     // GIR_Coverage, 16758,
     /* 1190585 */     GIR_EraseRootFromParent_Done,
     /* 1190586 */   // Label 17330: @1190586
     /* 1190586 */   GIM_Try, /*On fail goto*//*Label 17331*/ GIMT_Encode4(1190666), // Rule ID 16759 //
     /* 1190591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190630 */     // MIs[0] round
     /* 1190630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190640 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1190643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190665 */     // GIR_Coverage, 16759,
     /* 1190665 */     GIR_EraseRootFromParent_Done,
     /* 1190666 */   // Label 17331: @1190666
     /* 1190666 */   GIM_Try, /*On fail goto*//*Label 17332*/ GIMT_Encode4(1190746), // Rule ID 16762 //
     /* 1190671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190710 */     // MIs[0] round
     /* 1190710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190720 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1190723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190745 */     // GIR_Coverage, 16762,
     /* 1190745 */     GIR_EraseRootFromParent_Done,
     /* 1190746 */   // Label 17332: @1190746
     /* 1190746 */   GIM_Try, /*On fail goto*//*Label 17333*/ GIMT_Encode4(1190826), // Rule ID 16763 //
     /* 1190751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190790 */     // MIs[0] round
     /* 1190790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190800 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1190803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190825 */     // GIR_Coverage, 16763,
     /* 1190825 */     GIR_EraseRootFromParent_Done,
     /* 1190826 */   // Label 17333: @1190826
     /* 1190826 */   GIM_Try, /*On fail goto*//*Label 17334*/ GIMT_Encode4(1190906), // Rule ID 16766 //
     /* 1190831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190870 */     // MIs[0] round
     /* 1190870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190880 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1190883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190905 */     // GIR_Coverage, 16766,
     /* 1190905 */     GIR_EraseRootFromParent_Done,
     /* 1190906 */   // Label 17334: @1190906
     /* 1190906 */   GIM_Try, /*On fail goto*//*Label 17335*/ GIMT_Encode4(1190986), // Rule ID 16767 //
     /* 1190911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190950 */     // MIs[0] round
     /* 1190950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190960 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1190963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190985 */     // GIR_Coverage, 16767,
     /* 1190985 */     GIR_EraseRootFromParent_Done,
     /* 1190986 */   // Label 17335: @1190986
     /* 1190986 */   GIM_Try, /*On fail goto*//*Label 17336*/ GIMT_Encode4(1191066), // Rule ID 16770 //
     /* 1190991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1191002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1191005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1191008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191030 */     // MIs[0] round
     /* 1191030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191040 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1191043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191065 */     // GIR_Coverage, 16770,
     /* 1191065 */     GIR_EraseRootFromParent_Done,
     /* 1191066 */   // Label 17336: @1191066
     /* 1191066 */   GIM_Try, /*On fail goto*//*Label 17337*/ GIMT_Encode4(1191146), // Rule ID 16771 //
     /* 1191071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1191082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1191085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1191088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191110 */     // MIs[0] round
     /* 1191110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191120 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1191123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191145 */     // GIR_Coverage, 16771,
     /* 1191145 */     GIR_EraseRootFromParent_Done,
     /* 1191146 */   // Label 17337: @1191146
     /* 1191146 */   GIM_Try, /*On fail goto*//*Label 17338*/ GIMT_Encode4(1191226), // Rule ID 16774 //
     /* 1191151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1191162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1191165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1191168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191190 */     // MIs[0] round
     /* 1191190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191200 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1191203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191225 */     // GIR_Coverage, 16774,
     /* 1191225 */     GIR_EraseRootFromParent_Done,
     /* 1191226 */   // Label 17338: @1191226
     /* 1191226 */   GIM_Try, /*On fail goto*//*Label 17339*/ GIMT_Encode4(1191306), // Rule ID 16775 //
     /* 1191231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1191242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1191245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1191248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191270 */     // MIs[0] round
     /* 1191270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191280 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1191283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191305 */     // GIR_Coverage, 16775,
     /* 1191305 */     GIR_EraseRootFromParent_Done,
     /* 1191306 */   // Label 17339: @1191306
     /* 1191306 */   GIM_Try, /*On fail goto*//*Label 17340*/ GIMT_Encode4(1191386), // Rule ID 16778 //
     /* 1191311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1191322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1191325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1191328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191350 */     // MIs[0] round
     /* 1191350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191360 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1191363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191385 */     // GIR_Coverage, 16778,
     /* 1191385 */     GIR_EraseRootFromParent_Done,
     /* 1191386 */   // Label 17340: @1191386
     /* 1191386 */   GIM_Try, /*On fail goto*//*Label 17341*/ GIMT_Encode4(1191466), // Rule ID 16779 //
     /* 1191391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1191402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1191405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1191408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191430 */     // MIs[0] round
     /* 1191430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191440 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1191443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191465 */     // GIR_Coverage, 16779,
     /* 1191465 */     GIR_EraseRootFromParent_Done,
     /* 1191466 */   // Label 17341: @1191466
     /* 1191466 */   GIM_Try, /*On fail goto*//*Label 17342*/ GIMT_Encode4(1191546), // Rule ID 16782 //
     /* 1191471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1191474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191510 */     // MIs[0] round
     /* 1191510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191520 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1191523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191545 */     // GIR_Coverage, 16782,
     /* 1191545 */     GIR_EraseRootFromParent_Done,
     /* 1191546 */   // Label 17342: @1191546
     /* 1191546 */   GIM_Try, /*On fail goto*//*Label 17343*/ GIMT_Encode4(1191626), // Rule ID 16783 //
     /* 1191551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1191554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191590 */     // MIs[0] round
     /* 1191590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191600 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1191603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191625 */     // GIR_Coverage, 16783,
     /* 1191625 */     GIR_EraseRootFromParent_Done,
     /* 1191626 */   // Label 17343: @1191626
     /* 1191626 */   GIM_Try, /*On fail goto*//*Label 17344*/ GIMT_Encode4(1191706), // Rule ID 16786 //
     /* 1191631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191670 */     // MIs[0] round
     /* 1191670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191680 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1191683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191705 */     // GIR_Coverage, 16786,
     /* 1191705 */     GIR_EraseRootFromParent_Done,
     /* 1191706 */   // Label 17344: @1191706
     /* 1191706 */   GIM_Try, /*On fail goto*//*Label 17345*/ GIMT_Encode4(1191786), // Rule ID 16787 //
     /* 1191711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191750 */     // MIs[0] round
     /* 1191750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191760 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1191763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191785 */     // GIR_Coverage, 16787,
     /* 1191785 */     GIR_EraseRootFromParent_Done,
     /* 1191786 */   // Label 17345: @1191786
     /* 1191786 */   GIM_Try, /*On fail goto*//*Label 17346*/ GIMT_Encode4(1191866), // Rule ID 16790 //
     /* 1191791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191830 */     // MIs[0] round
     /* 1191830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191840 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1191843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191865 */     // GIR_Coverage, 16790,
     /* 1191865 */     GIR_EraseRootFromParent_Done,
     /* 1191866 */   // Label 17346: @1191866
     /* 1191866 */   GIM_Try, /*On fail goto*//*Label 17347*/ GIMT_Encode4(1191946), // Rule ID 16791 //
     /* 1191871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191910 */     // MIs[0] round
     /* 1191910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191920 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1191923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191945 */     // GIR_Coverage, 16791,
     /* 1191945 */     GIR_EraseRootFromParent_Done,
     /* 1191946 */   // Label 17347: @1191946
     /* 1191946 */   GIM_Try, /*On fail goto*//*Label 17348*/ GIMT_Encode4(1192026), // Rule ID 16794 //
     /* 1191951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1191962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1191965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1191968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191990 */     // MIs[0] round
     /* 1191990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192000 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1192003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192025 */     // GIR_Coverage, 16794,
     /* 1192025 */     GIR_EraseRootFromParent_Done,
     /* 1192026 */   // Label 17348: @1192026
     /* 1192026 */   GIM_Try, /*On fail goto*//*Label 17349*/ GIMT_Encode4(1192106), // Rule ID 16795 //
     /* 1192031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1192042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1192045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1192048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192070 */     // MIs[0] round
     /* 1192070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192080 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1192083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192105 */     // GIR_Coverage, 16795,
     /* 1192105 */     GIR_EraseRootFromParent_Done,
     /* 1192106 */   // Label 17349: @1192106
     /* 1192106 */   GIM_Try, /*On fail goto*//*Label 17350*/ GIMT_Encode4(1192186), // Rule ID 16798 //
     /* 1192111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1192122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1192125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1192128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192150 */     // MIs[0] round
     /* 1192150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192160 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1192163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192185 */     // GIR_Coverage, 16798,
     /* 1192185 */     GIR_EraseRootFromParent_Done,
     /* 1192186 */   // Label 17350: @1192186
     /* 1192186 */   GIM_Try, /*On fail goto*//*Label 17351*/ GIMT_Encode4(1192266), // Rule ID 16799 //
     /* 1192191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1192202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1192205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1192208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192230 */     // MIs[0] round
     /* 1192230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192240 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1192243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192265 */     // GIR_Coverage, 16799,
     /* 1192265 */     GIR_EraseRootFromParent_Done,
     /* 1192266 */   // Label 17351: @1192266
     /* 1192266 */   GIM_Try, /*On fail goto*//*Label 17352*/ GIMT_Encode4(1192346), // Rule ID 16802 //
     /* 1192271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1192282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1192285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1192288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192310 */     // MIs[0] round
     /* 1192310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192320 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1192323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192345 */     // GIR_Coverage, 16802,
     /* 1192345 */     GIR_EraseRootFromParent_Done,
     /* 1192346 */   // Label 17352: @1192346
     /* 1192346 */   GIM_Try, /*On fail goto*//*Label 17353*/ GIMT_Encode4(1192426), // Rule ID 16803 //
     /* 1192351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1192362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1192365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1192368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192390 */     // MIs[0] round
     /* 1192390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192400 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1192403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192425 */     // GIR_Coverage, 16803,
     /* 1192425 */     GIR_EraseRootFromParent_Done,
     /* 1192426 */   // Label 17353: @1192426
     /* 1192426 */   GIM_Try, /*On fail goto*//*Label 17354*/ GIMT_Encode4(1192506), // Rule ID 16806 //
     /* 1192431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1192442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1192445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1192448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192470 */     // MIs[0] round
     /* 1192470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192480 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1192483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192505 */     // GIR_Coverage, 16806,
     /* 1192505 */     GIR_EraseRootFromParent_Done,
     /* 1192506 */   // Label 17354: @1192506
     /* 1192506 */   GIM_Try, /*On fail goto*//*Label 17355*/ GIMT_Encode4(1192586), // Rule ID 16807 //
     /* 1192511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1192522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1192525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1192528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192550 */     // MIs[0] round
     /* 1192550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192560 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1192563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192585 */     // GIR_Coverage, 16807,
     /* 1192585 */     GIR_EraseRootFromParent_Done,
     /* 1192586 */   // Label 17355: @1192586
     /* 1192586 */   GIM_Try, /*On fail goto*//*Label 17356*/ GIMT_Encode4(1192666), // Rule ID 16810 //
     /* 1192591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192630 */     // MIs[0] round
     /* 1192630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192640 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1192643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192665 */     // GIR_Coverage, 16810,
     /* 1192665 */     GIR_EraseRootFromParent_Done,
     /* 1192666 */   // Label 17356: @1192666
     /* 1192666 */   GIM_Try, /*On fail goto*//*Label 17357*/ GIMT_Encode4(1192746), // Rule ID 16811 //
     /* 1192671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192710 */     // MIs[0] round
     /* 1192710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192720 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1192723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192745 */     // GIR_Coverage, 16811,
     /* 1192745 */     GIR_EraseRootFromParent_Done,
     /* 1192746 */   // Label 17357: @1192746
     /* 1192746 */   GIM_Try, /*On fail goto*//*Label 17358*/ GIMT_Encode4(1192826), // Rule ID 16814 //
     /* 1192751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192790 */     // MIs[0] round
     /* 1192790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192800 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1192803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192825 */     // GIR_Coverage, 16814,
     /* 1192825 */     GIR_EraseRootFromParent_Done,
     /* 1192826 */   // Label 17358: @1192826
     /* 1192826 */   GIM_Try, /*On fail goto*//*Label 17359*/ GIMT_Encode4(1192906), // Rule ID 16815 //
     /* 1192831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192870 */     // MIs[0] round
     /* 1192870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192880 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1192883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192905 */     // GIR_Coverage, 16815,
     /* 1192905 */     GIR_EraseRootFromParent_Done,
     /* 1192906 */   // Label 17359: @1192906
     /* 1192906 */   GIM_Try, /*On fail goto*//*Label 17360*/ GIMT_Encode4(1192986), // Rule ID 16818 //
     /* 1192911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1192922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1192925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192950 */     // MIs[0] round
     /* 1192950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192960 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1192963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192985 */     // GIR_Coverage, 16818,
     /* 1192985 */     GIR_EraseRootFromParent_Done,
     /* 1192986 */   // Label 17360: @1192986
     /* 1192986 */   GIM_Try, /*On fail goto*//*Label 17361*/ GIMT_Encode4(1193066), // Rule ID 16819 //
     /* 1192991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1193002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1193005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1193008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193030 */     // MIs[0] round
     /* 1193030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193040 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1193043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193065 */     // GIR_Coverage, 16819,
     /* 1193065 */     GIR_EraseRootFromParent_Done,
     /* 1193066 */   // Label 17361: @1193066
     /* 1193066 */   GIM_Try, /*On fail goto*//*Label 17362*/ GIMT_Encode4(1193146), // Rule ID 16822 //
     /* 1193071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1193082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1193085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1193088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1193091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193110 */     // MIs[0] round
     /* 1193110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193120 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1193123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193145 */     // GIR_Coverage, 16822,
     /* 1193145 */     GIR_EraseRootFromParent_Done,
     /* 1193146 */   // Label 17362: @1193146
     /* 1193146 */   GIM_Try, /*On fail goto*//*Label 17363*/ GIMT_Encode4(1193226), // Rule ID 16823 //
     /* 1193151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1193162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1193165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1193168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1193171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193190 */     // MIs[0] round
     /* 1193190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193200 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1193203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193225 */     // GIR_Coverage, 16823,
     /* 1193225 */     GIR_EraseRootFromParent_Done,
     /* 1193226 */   // Label 17363: @1193226
     /* 1193226 */   GIM_Try, /*On fail goto*//*Label 17364*/ GIMT_Encode4(1193306), // Rule ID 16826 //
     /* 1193231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1193242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1193245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1193248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1193251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193270 */     // MIs[0] round
     /* 1193270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193280 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1193283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193305 */     // GIR_Coverage, 16826,
     /* 1193305 */     GIR_EraseRootFromParent_Done,
     /* 1193306 */   // Label 17364: @1193306
     /* 1193306 */   GIM_Try, /*On fail goto*//*Label 17365*/ GIMT_Encode4(1193386), // Rule ID 16827 //
     /* 1193311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1193322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1193325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1193328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1193331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193350 */     // MIs[0] round
     /* 1193350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193360 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1193363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193385 */     // GIR_Coverage, 16827,
     /* 1193385 */     GIR_EraseRootFromParent_Done,
     /* 1193386 */   // Label 17365: @1193386
     /* 1193386 */   GIM_Try, /*On fail goto*//*Label 17366*/ GIMT_Encode4(1193466), // Rule ID 16830 //
     /* 1193391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1193402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1193405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1193408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1193411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193430 */     // MIs[0] round
     /* 1193430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193440 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1193443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193465 */     // GIR_Coverage, 16830,
     /* 1193465 */     GIR_EraseRootFromParent_Done,
     /* 1193466 */   // Label 17366: @1193466
     /* 1193466 */   GIM_Try, /*On fail goto*//*Label 17367*/ GIMT_Encode4(1193546), // Rule ID 16831 //
     /* 1193471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1193482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1193485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1193488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1193491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193510 */     // MIs[0] round
     /* 1193510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193520 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1193523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193545 */     // GIR_Coverage, 16831,
     /* 1193545 */     GIR_EraseRootFromParent_Done,
     /* 1193546 */   // Label 17367: @1193546
     /* 1193546 */   GIM_Try, /*On fail goto*//*Label 17368*/ GIMT_Encode4(1193626), // Rule ID 16834 //
     /* 1193551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1193562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1193565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1193571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193590 */     // MIs[0] round
     /* 1193590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193600 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1193603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193625 */     // GIR_Coverage, 16834,
     /* 1193625 */     GIR_EraseRootFromParent_Done,
     /* 1193626 */   // Label 17368: @1193626
     /* 1193626 */   GIM_Try, /*On fail goto*//*Label 17369*/ GIMT_Encode4(1193706), // Rule ID 16835 //
     /* 1193631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1193642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1193645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1193651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193670 */     // MIs[0] round
     /* 1193670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193680 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1193683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193705 */     // GIR_Coverage, 16835,
     /* 1193705 */     GIR_EraseRootFromParent_Done,
     /* 1193706 */   // Label 17369: @1193706
     /* 1193706 */   GIM_Try, /*On fail goto*//*Label 17370*/ GIMT_Encode4(1193786), // Rule ID 16838 //
     /* 1193711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1193731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193750 */     // MIs[0] round
     /* 1193750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193760 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1193763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193785 */     // GIR_Coverage, 16838,
     /* 1193785 */     GIR_EraseRootFromParent_Done,
     /* 1193786 */   // Label 17370: @1193786
     /* 1193786 */   GIM_Try, /*On fail goto*//*Label 17371*/ GIMT_Encode4(1193866), // Rule ID 16839 //
     /* 1193791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1193811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193830 */     // MIs[0] round
     /* 1193830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193840 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1193843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193865 */     // GIR_Coverage, 16839,
     /* 1193865 */     GIR_EraseRootFromParent_Done,
     /* 1193866 */   // Label 17371: @1193866
     /* 1193866 */   GIM_Try, /*On fail goto*//*Label 17372*/ GIMT_Encode4(1193946), // Rule ID 16842 //
     /* 1193871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1193874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1193891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193910 */     // MIs[0] round
     /* 1193910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193920 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1193923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193945 */     // GIR_Coverage, 16842,
     /* 1193945 */     GIR_EraseRootFromParent_Done,
     /* 1193946 */   // Label 17372: @1193946
     /* 1193946 */   GIM_Try, /*On fail goto*//*Label 17373*/ GIMT_Encode4(1194026), // Rule ID 16843 //
     /* 1193951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1193954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1193971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193990 */     // MIs[0] round
     /* 1193990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194000 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1194003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194025 */     // GIR_Coverage, 16843,
     /* 1194025 */     GIR_EraseRootFromParent_Done,
     /* 1194026 */   // Label 17373: @1194026
     /* 1194026 */   GIM_Try, /*On fail goto*//*Label 17374*/ GIMT_Encode4(1194106), // Rule ID 16846 //
     /* 1194031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1194034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1194042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1194045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1194048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1194051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194070 */     // MIs[0] round
     /* 1194070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194080 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1194083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194105 */     // GIR_Coverage, 16846,
     /* 1194105 */     GIR_EraseRootFromParent_Done,
     /* 1194106 */   // Label 17374: @1194106
     /* 1194106 */   GIM_Try, /*On fail goto*//*Label 17375*/ GIMT_Encode4(1194186), // Rule ID 16847 //
     /* 1194111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1194114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1194122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1194125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1194128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1194131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194150 */     // MIs[0] round
     /* 1194150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194160 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1194163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194185 */     // GIR_Coverage, 16847,
     /* 1194185 */     GIR_EraseRootFromParent_Done,
     /* 1194186 */   // Label 17375: @1194186
     /* 1194186 */   GIM_Try, /*On fail goto*//*Label 17376*/ GIMT_Encode4(1194266), // Rule ID 16850 //
     /* 1194191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1194194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1194202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1194205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1194208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1194211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194230 */     // MIs[0] round
     /* 1194230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194240 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1194243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194265 */     // GIR_Coverage, 16850,
     /* 1194265 */     GIR_EraseRootFromParent_Done,
     /* 1194266 */   // Label 17376: @1194266
     /* 1194266 */   GIM_Try, /*On fail goto*//*Label 17377*/ GIMT_Encode4(1194346), // Rule ID 16851 //
     /* 1194271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1194274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1194282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1194285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1194288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1194291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194310 */     // MIs[0] round
     /* 1194310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194320 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1194323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194345 */     // GIR_Coverage, 16851,
     /* 1194345 */     GIR_EraseRootFromParent_Done,
     /* 1194346 */   // Label 17377: @1194346
     /* 1194346 */   GIM_Try, /*On fail goto*//*Label 17378*/ GIMT_Encode4(1194426), // Rule ID 16854 //
     /* 1194351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1194354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1194362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1194365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1194368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1194371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194390 */     // MIs[0] round
     /* 1194390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194400 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1194403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194425 */     // GIR_Coverage, 16854,
     /* 1194425 */     GIR_EraseRootFromParent_Done,
     /* 1194426 */   // Label 17378: @1194426
     /* 1194426 */   GIM_Try, /*On fail goto*//*Label 17379*/ GIMT_Encode4(1194506), // Rule ID 16855 //
     /* 1194431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1194434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1194442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1194445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1194448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1194451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194470 */     // MIs[0] round
     /* 1194470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194480 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1194483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194505 */     // GIR_Coverage, 16855,
     /* 1194505 */     GIR_EraseRootFromParent_Done,
     /* 1194506 */   // Label 17379: @1194506
     /* 1194506 */   GIM_Try, /*On fail goto*//*Label 17380*/ GIMT_Encode4(1194586), // Rule ID 16858 //
     /* 1194511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1194531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194550 */     // MIs[0] round
     /* 1194550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194560 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1194563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194585 */     // GIR_Coverage, 16858,
     /* 1194585 */     GIR_EraseRootFromParent_Done,
     /* 1194586 */   // Label 17380: @1194586
     /* 1194586 */   GIM_Try, /*On fail goto*//*Label 17381*/ GIMT_Encode4(1194666), // Rule ID 16859 //
     /* 1194591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1194611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194630 */     // MIs[0] round
     /* 1194630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194640 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1194643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194665 */     // GIR_Coverage, 16859,
     /* 1194665 */     GIR_EraseRootFromParent_Done,
     /* 1194666 */   // Label 17381: @1194666
     /* 1194666 */   GIM_Try, /*On fail goto*//*Label 17382*/ GIMT_Encode4(1194746), // Rule ID 16862 //
     /* 1194671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1194691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194710 */     // MIs[0] round
     /* 1194710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194720 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1194723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194745 */     // GIR_Coverage, 16862,
     /* 1194745 */     GIR_EraseRootFromParent_Done,
     /* 1194746 */   // Label 17382: @1194746
     /* 1194746 */   GIM_Try, /*On fail goto*//*Label 17383*/ GIMT_Encode4(1194826), // Rule ID 16863 //
     /* 1194751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1194771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194790 */     // MIs[0] round
     /* 1194790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194800 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1194803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194825 */     // GIR_Coverage, 16863,
     /* 1194825 */     GIR_EraseRootFromParent_Done,
     /* 1194826 */   // Label 17383: @1194826
     /* 1194826 */   GIM_Try, /*On fail goto*//*Label 17384*/ GIMT_Encode4(1194906), // Rule ID 16866 //
     /* 1194831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1194851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194870 */     // MIs[0] round
     /* 1194870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194880 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1194883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194905 */     // GIR_Coverage, 16866,
     /* 1194905 */     GIR_EraseRootFromParent_Done,
     /* 1194906 */   // Label 17384: @1194906
     /* 1194906 */   GIM_Try, /*On fail goto*//*Label 17385*/ GIMT_Encode4(1194986), // Rule ID 16867 //
     /* 1194911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1194931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194950 */     // MIs[0] round
     /* 1194950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194960 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1194963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194985 */     // GIR_Coverage, 16867,
     /* 1194985 */     GIR_EraseRootFromParent_Done,
     /* 1194986 */   // Label 17385: @1194986
     /* 1194986 */   GIM_Try, /*On fail goto*//*Label 17386*/ GIMT_Encode4(1195066), // Rule ID 16870 //
     /* 1194991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1195002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1195005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1195008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1195011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195030 */     // MIs[0] round
     /* 1195030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195040 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1195043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195065 */     // GIR_Coverage, 16870,
     /* 1195065 */     GIR_EraseRootFromParent_Done,
     /* 1195066 */   // Label 17386: @1195066
     /* 1195066 */   GIM_Try, /*On fail goto*//*Label 17387*/ GIMT_Encode4(1195146), // Rule ID 16871 //
     /* 1195071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1195074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1195082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1195085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1195088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1195091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195110 */     // MIs[0] round
     /* 1195110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195120 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1195123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195145 */     // GIR_Coverage, 16871,
     /* 1195145 */     GIR_EraseRootFromParent_Done,
     /* 1195146 */   // Label 17387: @1195146
     /* 1195146 */   GIM_Try, /*On fail goto*//*Label 17388*/ GIMT_Encode4(1195226), // Rule ID 16874 //
     /* 1195151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1195154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1195162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1195165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1195168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1195171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195190 */     // MIs[0] round
     /* 1195190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195200 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1195203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195225 */     // GIR_Coverage, 16874,
     /* 1195225 */     GIR_EraseRootFromParent_Done,
     /* 1195226 */   // Label 17388: @1195226
     /* 1195226 */   GIM_Try, /*On fail goto*//*Label 17389*/ GIMT_Encode4(1195306), // Rule ID 16875 //
     /* 1195231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1195234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1195242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1195245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1195248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1195251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195270 */     // MIs[0] round
     /* 1195270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195280 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1195283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195305 */     // GIR_Coverage, 16875,
     /* 1195305 */     GIR_EraseRootFromParent_Done,
     /* 1195306 */   // Label 17389: @1195306
     /* 1195306 */   GIM_Try, /*On fail goto*//*Label 17390*/ GIMT_Encode4(1195386), // Rule ID 16878 //
     /* 1195311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1195314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1195322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1195325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1195328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1195331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195350 */     // MIs[0] round
     /* 1195350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195360 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1195363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195385 */     // GIR_Coverage, 16878,
     /* 1195385 */     GIR_EraseRootFromParent_Done,
     /* 1195386 */   // Label 17390: @1195386
     /* 1195386 */   GIM_Try, /*On fail goto*//*Label 17391*/ GIMT_Encode4(1195466), // Rule ID 16879 //
     /* 1195391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1195394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1195402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1195405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1195408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1195411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195430 */     // MIs[0] round
     /* 1195430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195440 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1195443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195465 */     // GIR_Coverage, 16879,
     /* 1195465 */     GIR_EraseRootFromParent_Done,
     /* 1195466 */   // Label 17391: @1195466
     /* 1195466 */   GIM_Try, /*On fail goto*//*Label 17392*/ GIMT_Encode4(1195546), // Rule ID 16882 //
     /* 1195471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1195482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1195485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195510 */     // MIs[0] round
     /* 1195510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195520 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1195523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195545 */     // GIR_Coverage, 16882,
     /* 1195545 */     GIR_EraseRootFromParent_Done,
     /* 1195546 */   // Label 17392: @1195546
     /* 1195546 */   GIM_Try, /*On fail goto*//*Label 17393*/ GIMT_Encode4(1195626), // Rule ID 16883 //
     /* 1195551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1195554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1195562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1195565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195590 */     // MIs[0] round
     /* 1195590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195600 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1195603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195625 */     // GIR_Coverage, 16883,
     /* 1195625 */     GIR_EraseRootFromParent_Done,
     /* 1195626 */   // Label 17393: @1195626
     /* 1195626 */   GIM_Try, /*On fail goto*//*Label 17394*/ GIMT_Encode4(1195706), // Rule ID 16886 //
     /* 1195631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1195642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1195645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195670 */     // MIs[0] round
     /* 1195670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195680 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1195683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195705 */     // GIR_Coverage, 16886,
     /* 1195705 */     GIR_EraseRootFromParent_Done,
     /* 1195706 */   // Label 17394: @1195706
     /* 1195706 */   GIM_Try, /*On fail goto*//*Label 17395*/ GIMT_Encode4(1195786), // Rule ID 16887 //
     /* 1195711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1195714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1195722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1195725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195750 */     // MIs[0] round
     /* 1195750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195760 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1195763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195785 */     // GIR_Coverage, 16887,
     /* 1195785 */     GIR_EraseRootFromParent_Done,
     /* 1195786 */   // Label 17395: @1195786
     /* 1195786 */   GIM_Try, /*On fail goto*//*Label 17396*/ GIMT_Encode4(1195866), // Rule ID 16890 //
     /* 1195791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1195794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1195808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195830 */     // MIs[0] round
     /* 1195830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195840 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1195843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195865 */     // GIR_Coverage, 16890,
     /* 1195865 */     GIR_EraseRootFromParent_Done,
     /* 1195866 */   // Label 17396: @1195866
     /* 1195866 */   GIM_Try, /*On fail goto*//*Label 17397*/ GIMT_Encode4(1195946), // Rule ID 16891 //
     /* 1195871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1195874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1195888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195910 */     // MIs[0] round
     /* 1195910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195920 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1195923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195945 */     // GIR_Coverage, 16891,
     /* 1195945 */     GIR_EraseRootFromParent_Done,
     /* 1195946 */   // Label 17397: @1195946
     /* 1195946 */   GIM_Try, /*On fail goto*//*Label 17398*/ GIMT_Encode4(1196026), // Rule ID 16894 //
     /* 1195951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1195962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1195965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195990 */     // MIs[0] round
     /* 1195990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196000 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1196003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196025 */     // GIR_Coverage, 16894,
     /* 1196025 */     GIR_EraseRootFromParent_Done,
     /* 1196026 */   // Label 17398: @1196026
     /* 1196026 */   GIM_Try, /*On fail goto*//*Label 17399*/ GIMT_Encode4(1196106), // Rule ID 16895 //
     /* 1196031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1196034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1196042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1196045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1196048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196070 */     // MIs[0] round
     /* 1196070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196080 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1196083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196105 */     // GIR_Coverage, 16895,
     /* 1196105 */     GIR_EraseRootFromParent_Done,
     /* 1196106 */   // Label 17399: @1196106
     /* 1196106 */   GIM_Try, /*On fail goto*//*Label 17400*/ GIMT_Encode4(1196186), // Rule ID 16898 //
     /* 1196111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1196114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1196122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1196125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1196128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196150 */     // MIs[0] round
     /* 1196150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196160 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1196163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196185 */     // GIR_Coverage, 16898,
     /* 1196185 */     GIR_EraseRootFromParent_Done,
     /* 1196186 */   // Label 17400: @1196186
     /* 1196186 */   GIM_Try, /*On fail goto*//*Label 17401*/ GIMT_Encode4(1196266), // Rule ID 16899 //
     /* 1196191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1196194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1196202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1196205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1196208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196230 */     // MIs[0] round
     /* 1196230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196240 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1196243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196265 */     // GIR_Coverage, 16899,
     /* 1196265 */     GIR_EraseRootFromParent_Done,
     /* 1196266 */   // Label 17401: @1196266
     /* 1196266 */   GIM_Try, /*On fail goto*//*Label 17402*/ GIMT_Encode4(1196346), // Rule ID 16902 //
     /* 1196271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1196274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1196282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1196285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1196288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1196310 */     // MIs[0] round
     /* 1196310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196320 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1196323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1196341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196345 */     // GIR_Coverage, 16902,
     /* 1196345 */     GIR_EraseRootFromParent_Done,
     /* 1196346 */   // Label 17402: @1196346
     /* 1196346 */   GIM_Try, /*On fail goto*//*Label 17403*/ GIMT_Encode4(1196426), // Rule ID 16903 //
     /* 1196351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1196354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1196362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1196365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1196368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1196390 */     // MIs[0] round
     /* 1196390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196400 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1196403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1196421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196425 */     // GIR_Coverage, 16903,
     /* 1196425 */     GIR_EraseRootFromParent_Done,
     /* 1196426 */   // Label 17403: @1196426
     /* 1196426 */   GIM_Try, /*On fail goto*//*Label 17404*/ GIMT_Encode4(1196506), // Rule ID 16906 //
     /* 1196431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1196434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1196442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1196445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1196448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196470 */     // MIs[0] round
     /* 1196470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196480 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1196483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196505 */     // GIR_Coverage, 16906,
     /* 1196505 */     GIR_EraseRootFromParent_Done,
     /* 1196506 */   // Label 17404: @1196506
     /* 1196506 */   GIM_Try, /*On fail goto*//*Label 17405*/ GIMT_Encode4(1196586), // Rule ID 16907 //
     /* 1196511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1196514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1196522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1196525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1196528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196550 */     // MIs[0] round
     /* 1196550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196560 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1196563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196585 */     // GIR_Coverage, 16907,
     /* 1196585 */     GIR_EraseRootFromParent_Done,
     /* 1196586 */   // Label 17405: @1196586
     /* 1196586 */   GIM_Try, /*On fail goto*//*Label 17406*/ GIMT_Encode4(1196666), // Rule ID 16910 //
     /* 1196591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1196594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1196602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1196605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1196608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196630 */     // MIs[0] round
     /* 1196630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196640 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1196643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196665 */     // GIR_Coverage, 16910,
     /* 1196665 */     GIR_EraseRootFromParent_Done,
     /* 1196666 */   // Label 17406: @1196666
     /* 1196666 */   GIM_Try, /*On fail goto*//*Label 17407*/ GIMT_Encode4(1196746), // Rule ID 16911 //
     /* 1196671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1196674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1196682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1196685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1196688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196710 */     // MIs[0] round
     /* 1196710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196720 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1196723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196745 */     // GIR_Coverage, 16911,
     /* 1196745 */     GIR_EraseRootFromParent_Done,
     /* 1196746 */   // Label 17407: @1196746
     /* 1196746 */   GIM_Try, /*On fail goto*//*Label 17408*/ GIMT_Encode4(1196826), // Rule ID 16914 //
     /* 1196751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1196754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1196762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1196765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1196768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196790 */     // MIs[0] round
     /* 1196790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196800 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1196803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196825 */     // GIR_Coverage, 16914,
     /* 1196825 */     GIR_EraseRootFromParent_Done,
     /* 1196826 */   // Label 17408: @1196826
     /* 1196826 */   GIM_Try, /*On fail goto*//*Label 17409*/ GIMT_Encode4(1196906), // Rule ID 16915 //
     /* 1196831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1196834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1196842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1196845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1196848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196870 */     // MIs[0] round
     /* 1196870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196880 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1196883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196905 */     // GIR_Coverage, 16915,
     /* 1196905 */     GIR_EraseRootFromParent_Done,
     /* 1196906 */   // Label 17409: @1196906
     /* 1196906 */   GIM_Try, /*On fail goto*//*Label 17410*/ GIMT_Encode4(1196986), // Rule ID 16918 //
     /* 1196911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1196914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1196922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1196925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196950 */     // MIs[0] round
     /* 1196950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196960 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1196963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196985 */     // GIR_Coverage, 16918,
     /* 1196985 */     GIR_EraseRootFromParent_Done,
     /* 1196986 */   // Label 17410: @1196986
     /* 1196986 */   GIM_Try, /*On fail goto*//*Label 17411*/ GIMT_Encode4(1197066), // Rule ID 16919 //
     /* 1196991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1196994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1197002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1197005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1197008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197030 */     // MIs[0] round
     /* 1197030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197040 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1197043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197065 */     // GIR_Coverage, 16919,
     /* 1197065 */     GIR_EraseRootFromParent_Done,
     /* 1197066 */   // Label 17411: @1197066
     /* 1197066 */   GIM_Try, /*On fail goto*//*Label 17412*/ GIMT_Encode4(1197146), // Rule ID 16922 //
     /* 1197071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1197074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1197082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1197085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1197088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197110 */     // MIs[0] round
     /* 1197110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197120 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1197123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197145 */     // GIR_Coverage, 16922,
     /* 1197145 */     GIR_EraseRootFromParent_Done,
     /* 1197146 */   // Label 17412: @1197146
     /* 1197146 */   GIM_Try, /*On fail goto*//*Label 17413*/ GIMT_Encode4(1197226), // Rule ID 16923 //
     /* 1197151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1197154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1197162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1197165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1197168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197190 */     // MIs[0] round
     /* 1197190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197200 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1197203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197225 */     // GIR_Coverage, 16923,
     /* 1197225 */     GIR_EraseRootFromParent_Done,
     /* 1197226 */   // Label 17413: @1197226
     /* 1197226 */   GIM_Try, /*On fail goto*//*Label 17414*/ GIMT_Encode4(1197306), // Rule ID 16926 //
     /* 1197231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1197234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1197242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1197245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1197248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197270 */     // MIs[0] round
     /* 1197270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197280 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1197283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197305 */     // GIR_Coverage, 16926,
     /* 1197305 */     GIR_EraseRootFromParent_Done,
     /* 1197306 */   // Label 17414: @1197306
     /* 1197306 */   GIM_Try, /*On fail goto*//*Label 17415*/ GIMT_Encode4(1197386), // Rule ID 16927 //
     /* 1197311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1197314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1197322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1197325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1197328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197350 */     // MIs[0] round
     /* 1197350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197360 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1197363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197385 */     // GIR_Coverage, 16927,
     /* 1197385 */     GIR_EraseRootFromParent_Done,
     /* 1197386 */   // Label 17415: @1197386
     /* 1197386 */   GIM_Try, /*On fail goto*//*Label 17416*/ GIMT_Encode4(1197466), // Rule ID 16930 //
     /* 1197391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1197394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1197408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197430 */     // MIs[0] round
     /* 1197430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197440 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1197443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197465 */     // GIR_Coverage, 16930,
     /* 1197465 */     GIR_EraseRootFromParent_Done,
     /* 1197466 */   // Label 17416: @1197466
     /* 1197466 */   GIM_Try, /*On fail goto*//*Label 17417*/ GIMT_Encode4(1197546), // Rule ID 16931 //
     /* 1197471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1197474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1197488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197510 */     // MIs[0] round
     /* 1197510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197520 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1197523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197545 */     // GIR_Coverage, 16931,
     /* 1197545 */     GIR_EraseRootFromParent_Done,
     /* 1197546 */   // Label 17417: @1197546
     /* 1197546 */   GIM_Try, /*On fail goto*//*Label 17418*/ GIMT_Encode4(1197626), // Rule ID 16934 //
     /* 1197551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1197554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1197562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1197565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1197568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197590 */     // MIs[0] round
     /* 1197590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197600 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1197603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197625 */     // GIR_Coverage, 16934,
     /* 1197625 */     GIR_EraseRootFromParent_Done,
     /* 1197626 */   // Label 17418: @1197626
     /* 1197626 */   GIM_Try, /*On fail goto*//*Label 17419*/ GIMT_Encode4(1197706), // Rule ID 16935 //
     /* 1197631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1197634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1197642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1197645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1197648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197670 */     // MIs[0] round
     /* 1197670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197680 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1197683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197705 */     // GIR_Coverage, 16935,
     /* 1197705 */     GIR_EraseRootFromParent_Done,
     /* 1197706 */   // Label 17419: @1197706
     /* 1197706 */   GIM_Try, /*On fail goto*//*Label 17420*/ GIMT_Encode4(1197786), // Rule ID 16938 //
     /* 1197711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1197714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197750 */     // MIs[0] round
     /* 1197750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197760 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1197763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197785 */     // GIR_Coverage, 16938,
     /* 1197785 */     GIR_EraseRootFromParent_Done,
     /* 1197786 */   // Label 17420: @1197786
     /* 1197786 */   GIM_Try, /*On fail goto*//*Label 17421*/ GIMT_Encode4(1197866), // Rule ID 16939 //
     /* 1197791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1197794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197830 */     // MIs[0] round
     /* 1197830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197840 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1197843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197865 */     // GIR_Coverage, 16939,
     /* 1197865 */     GIR_EraseRootFromParent_Done,
     /* 1197866 */   // Label 17421: @1197866
     /* 1197866 */   GIM_Try, /*On fail goto*//*Label 17422*/ GIMT_Encode4(1197946), // Rule ID 16942 //
     /* 1197871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1197874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1197882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1197885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1197888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197910 */     // MIs[0] round
     /* 1197910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197920 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1197923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197945 */     // GIR_Coverage, 16942,
     /* 1197945 */     GIR_EraseRootFromParent_Done,
     /* 1197946 */   // Label 17422: @1197946
     /* 1197946 */   GIM_Try, /*On fail goto*//*Label 17423*/ GIMT_Encode4(1198026), // Rule ID 16943 //
     /* 1197951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1197954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1197962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1197965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1197968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197990 */     // MIs[0] round
     /* 1197990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198000 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1198003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198025 */     // GIR_Coverage, 16943,
     /* 1198025 */     GIR_EraseRootFromParent_Done,
     /* 1198026 */   // Label 17423: @1198026
     /* 1198026 */   GIM_Try, /*On fail goto*//*Label 17424*/ GIMT_Encode4(1198106), // Rule ID 16946 //
     /* 1198031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1198034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1198042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1198045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198070 */     // MIs[0] round
     /* 1198070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198080 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1198083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198105 */     // GIR_Coverage, 16946,
     /* 1198105 */     GIR_EraseRootFromParent_Done,
     /* 1198106 */   // Label 17424: @1198106
     /* 1198106 */   GIM_Try, /*On fail goto*//*Label 17425*/ GIMT_Encode4(1198186), // Rule ID 16947 //
     /* 1198111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1198114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1198122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1198125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198150 */     // MIs[0] round
     /* 1198150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198160 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1198163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198185 */     // GIR_Coverage, 16947,
     /* 1198185 */     GIR_EraseRootFromParent_Done,
     /* 1198186 */   // Label 17425: @1198186
     /* 1198186 */   GIM_Try, /*On fail goto*//*Label 17426*/ GIMT_Encode4(1198266), // Rule ID 16950 //
     /* 1198191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1198194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1198202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1198205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1198208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198230 */     // MIs[0] round
     /* 1198230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198240 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1198243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198265 */     // GIR_Coverage, 16950,
     /* 1198265 */     GIR_EraseRootFromParent_Done,
     /* 1198266 */   // Label 17426: @1198266
     /* 1198266 */   GIM_Try, /*On fail goto*//*Label 17427*/ GIMT_Encode4(1198346), // Rule ID 16951 //
     /* 1198271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1198274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1198282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1198285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1198288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198310 */     // MIs[0] round
     /* 1198310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198320 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1198323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198345 */     // GIR_Coverage, 16951,
     /* 1198345 */     GIR_EraseRootFromParent_Done,
     /* 1198346 */   // Label 17427: @1198346
     /* 1198346 */   GIM_Try, /*On fail goto*//*Label 17428*/ GIMT_Encode4(1198426), // Rule ID 16954 //
     /* 1198351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1198354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1198362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1198365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198390 */     // MIs[0] round
     /* 1198390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198400 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1198403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198425 */     // GIR_Coverage, 16954,
     /* 1198425 */     GIR_EraseRootFromParent_Done,
     /* 1198426 */   // Label 17428: @1198426
     /* 1198426 */   GIM_Try, /*On fail goto*//*Label 17429*/ GIMT_Encode4(1198506), // Rule ID 16955 //
     /* 1198431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1198434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1198442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1198445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198470 */     // MIs[0] round
     /* 1198470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198480 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1198483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198505 */     // GIR_Coverage, 16955,
     /* 1198505 */     GIR_EraseRootFromParent_Done,
     /* 1198506 */   // Label 17429: @1198506
     /* 1198506 */   GIM_Try, /*On fail goto*//*Label 17430*/ GIMT_Encode4(1198586), // Rule ID 16958 //
     /* 1198511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1198514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1198528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198550 */     // MIs[0] round
     /* 1198550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198560 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1198563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198585 */     // GIR_Coverage, 16958,
     /* 1198585 */     GIR_EraseRootFromParent_Done,
     /* 1198586 */   // Label 17430: @1198586
     /* 1198586 */   GIM_Try, /*On fail goto*//*Label 17431*/ GIMT_Encode4(1198666), // Rule ID 16959 //
     /* 1198591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1198594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1198608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198630 */     // MIs[0] round
     /* 1198630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198640 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1198643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198665 */     // GIR_Coverage, 16959,
     /* 1198665 */     GIR_EraseRootFromParent_Done,
     /* 1198666 */   // Label 17431: @1198666
     /* 1198666 */   GIM_Try, /*On fail goto*//*Label 17432*/ GIMT_Encode4(1198746), // Rule ID 16962 //
     /* 1198671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1198674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1198688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1198691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1198710 */     // MIs[0] round
     /* 1198710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1198723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1198741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198745 */     // GIR_Coverage, 16962,
     /* 1198745 */     GIR_EraseRootFromParent_Done,
     /* 1198746 */   // Label 17432: @1198746
     /* 1198746 */   GIM_Try, /*On fail goto*//*Label 17433*/ GIMT_Encode4(1198826), // Rule ID 16963 //
     /* 1198751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1198754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1198768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1198771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1198790 */     // MIs[0] round
     /* 1198790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1198803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1198821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198825 */     // GIR_Coverage, 16963,
     /* 1198825 */     GIR_EraseRootFromParent_Done,
     /* 1198826 */   // Label 17433: @1198826
     /* 1198826 */   GIM_Try, /*On fail goto*//*Label 17434*/ GIMT_Encode4(1198906), // Rule ID 16966 //
     /* 1198831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1198834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1198842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1198845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198870 */     // MIs[0] round
     /* 1198870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198880 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1198883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198905 */     // GIR_Coverage, 16966,
     /* 1198905 */     GIR_EraseRootFromParent_Done,
     /* 1198906 */   // Label 17434: @1198906
     /* 1198906 */   GIM_Try, /*On fail goto*//*Label 17435*/ GIMT_Encode4(1198986), // Rule ID 16967 //
     /* 1198911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1198914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1198922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1198925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198950 */     // MIs[0] round
     /* 1198950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198960 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1198963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198985 */     // GIR_Coverage, 16967,
     /* 1198985 */     GIR_EraseRootFromParent_Done,
     /* 1198986 */   // Label 17435: @1198986
     /* 1198986 */   GIM_Try, /*On fail goto*//*Label 17436*/ GIMT_Encode4(1199066), // Rule ID 16970 //
     /* 1198991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1198994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1199002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1199005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1199008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199030 */     // MIs[0] round
     /* 1199030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199040 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1199043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199065 */     // GIR_Coverage, 16970,
     /* 1199065 */     GIR_EraseRootFromParent_Done,
     /* 1199066 */   // Label 17436: @1199066
     /* 1199066 */   GIM_Try, /*On fail goto*//*Label 17437*/ GIMT_Encode4(1199146), // Rule ID 16971 //
     /* 1199071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1199074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1199082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1199085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1199088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199110 */     // MIs[0] round
     /* 1199110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199120 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1199123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199145 */     // GIR_Coverage, 16971,
     /* 1199145 */     GIR_EraseRootFromParent_Done,
     /* 1199146 */   // Label 17437: @1199146
     /* 1199146 */   GIM_Try, /*On fail goto*//*Label 17438*/ GIMT_Encode4(1199226), // Rule ID 16974 //
     /* 1199151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1199154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1199162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1199165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1199168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199190 */     // MIs[0] round
     /* 1199190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199200 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1199203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199225 */     // GIR_Coverage, 16974,
     /* 1199225 */     GIR_EraseRootFromParent_Done,
     /* 1199226 */   // Label 17438: @1199226
     /* 1199226 */   GIM_Try, /*On fail goto*//*Label 17439*/ GIMT_Encode4(1199306), // Rule ID 16975 //
     /* 1199231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1199234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1199242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1199245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1199248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199270 */     // MIs[0] round
     /* 1199270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199280 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1199283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199305 */     // GIR_Coverage, 16975,
     /* 1199305 */     GIR_EraseRootFromParent_Done,
     /* 1199306 */   // Label 17439: @1199306
     /* 1199306 */   GIM_Try, /*On fail goto*//*Label 17440*/ GIMT_Encode4(1199386), // Rule ID 16978 //
     /* 1199311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1199314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1199322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1199325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199350 */     // MIs[0] round
     /* 1199350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199360 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1199363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199385 */     // GIR_Coverage, 16978,
     /* 1199385 */     GIR_EraseRootFromParent_Done,
     /* 1199386 */   // Label 17440: @1199386
     /* 1199386 */   GIM_Try, /*On fail goto*//*Label 17441*/ GIMT_Encode4(1199466), // Rule ID 16979 //
     /* 1199391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1199394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1199402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1199405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199430 */     // MIs[0] round
     /* 1199430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199440 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1199443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199465 */     // GIR_Coverage, 16979,
     /* 1199465 */     GIR_EraseRootFromParent_Done,
     /* 1199466 */   // Label 17441: @1199466
     /* 1199466 */   GIM_Try, /*On fail goto*//*Label 17442*/ GIMT_Encode4(1199546), // Rule ID 16982 //
     /* 1199471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1199474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1199482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1199485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199510 */     // MIs[0] round
     /* 1199510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199520 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1199523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199545 */     // GIR_Coverage, 16982,
     /* 1199545 */     GIR_EraseRootFromParent_Done,
     /* 1199546 */   // Label 17442: @1199546
     /* 1199546 */   GIM_Try, /*On fail goto*//*Label 17443*/ GIMT_Encode4(1199626), // Rule ID 16983 //
     /* 1199551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1199554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1199562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1199565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199590 */     // MIs[0] round
     /* 1199590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199600 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1199603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199625 */     // GIR_Coverage, 16983,
     /* 1199625 */     GIR_EraseRootFromParent_Done,
     /* 1199626 */   // Label 17443: @1199626
     /* 1199626 */   GIM_Try, /*On fail goto*//*Label 17444*/ GIMT_Encode4(1199706), // Rule ID 16986 //
     /* 1199631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1199634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1199642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1199645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1199648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199670 */     // MIs[0] round
     /* 1199670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199680 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1199683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199705 */     // GIR_Coverage, 16986,
     /* 1199705 */     GIR_EraseRootFromParent_Done,
     /* 1199706 */   // Label 17444: @1199706
     /* 1199706 */   GIM_Try, /*On fail goto*//*Label 17445*/ GIMT_Encode4(1199786), // Rule ID 16987 //
     /* 1199711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1199714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1199722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1199725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1199728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199750 */     // MIs[0] round
     /* 1199750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199760 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1199763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199785 */     // GIR_Coverage, 16987,
     /* 1199785 */     GIR_EraseRootFromParent_Done,
     /* 1199786 */   // Label 17445: @1199786
     /* 1199786 */   GIM_Try, /*On fail goto*//*Label 17446*/ GIMT_Encode4(1199866), // Rule ID 16990 //
     /* 1199791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1199794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1199808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199830 */     // MIs[0] round
     /* 1199830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199840 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1199843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199865 */     // GIR_Coverage, 16990,
     /* 1199865 */     GIR_EraseRootFromParent_Done,
     /* 1199866 */   // Label 17446: @1199866
     /* 1199866 */   GIM_Try, /*On fail goto*//*Label 17447*/ GIMT_Encode4(1199946), // Rule ID 16991 //
     /* 1199871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1199874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1199888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199910 */     // MIs[0] round
     /* 1199910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199920 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1199923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199945 */     // GIR_Coverage, 16991,
     /* 1199945 */     GIR_EraseRootFromParent_Done,
     /* 1199946 */   // Label 17447: @1199946
     /* 1199946 */   GIM_Try, /*On fail goto*//*Label 17448*/ GIMT_Encode4(1200026), // Rule ID 16994 //
     /* 1199951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1199954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1199968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199990 */     // MIs[0] round
     /* 1199990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200000 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1200003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1200021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200025 */     // GIR_Coverage, 16994,
     /* 1200025 */     GIR_EraseRootFromParent_Done,
     /* 1200026 */   // Label 17448: @1200026
     /* 1200026 */   GIM_Try, /*On fail goto*//*Label 17449*/ GIMT_Encode4(1200106), // Rule ID 16995 //
     /* 1200031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1200034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1200039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1200048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1200051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1200070 */     // MIs[0] round
     /* 1200070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200080 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1200083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1200101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200105 */     // GIR_Coverage, 16995,
     /* 1200105 */     GIR_EraseRootFromParent_Done,
     /* 1200106 */   // Label 17449: @1200106
     /* 1200106 */   GIM_Try, /*On fail goto*//*Label 17450*/ GIMT_Encode4(1200186), // Rule ID 16998 //
     /* 1200111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1200114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1200119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1200122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1200125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1200128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1200131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1200150 */     // MIs[0] round
     /* 1200150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200160 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1200163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1200181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200185 */     // GIR_Coverage, 16998,
     /* 1200185 */     GIR_EraseRootFromParent_Done,
     /* 1200186 */   // Label 17450: @1200186
     /* 1200186 */   GIM_Try, /*On fail goto*//*Label 17451*/ GIMT_Encode4(1200266), // Rule ID 16999 //
     /* 1200191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1200194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1200199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1200202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1200205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1200208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1200211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1200230 */     // MIs[0] round
     /* 1200230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200240 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1200243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1200261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200265 */     // GIR_Coverage, 16999,
     /* 1200265 */     GIR_EraseRootFromParent_Done,
     /* 1200266 */   // Label 17451: @1200266
     /* 1200266 */   GIM_Try, /*On fail goto*//*Label 17452*/ GIMT_Encode4(1200346), // Rule ID 17002 //
     /* 1200271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1200282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1200285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1200288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1200291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200310 */     // MIs[0] round
     /* 1200310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200320 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1200323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200345 */     // GIR_Coverage, 17002,
     /* 1200345 */     GIR_EraseRootFromParent_Done,
     /* 1200346 */   // Label 17452: @1200346
     /* 1200346 */   GIM_Try, /*On fail goto*//*Label 17453*/ GIMT_Encode4(1200426), // Rule ID 17003 //
     /* 1200351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1200362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1200365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1200368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1200371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200390 */     // MIs[0] round
     /* 1200390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200400 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1200403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200425 */     // GIR_Coverage, 17003,
     /* 1200425 */     GIR_EraseRootFromParent_Done,
     /* 1200426 */   // Label 17453: @1200426
     /* 1200426 */   GIM_Try, /*On fail goto*//*Label 17454*/ GIMT_Encode4(1200506), // Rule ID 17006 //
     /* 1200431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1200442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1200445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1200448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1200451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200470 */     // MIs[0] round
     /* 1200470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200480 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1200483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200505 */     // GIR_Coverage, 17006,
     /* 1200505 */     GIR_EraseRootFromParent_Done,
     /* 1200506 */   // Label 17454: @1200506
     /* 1200506 */   GIM_Try, /*On fail goto*//*Label 17455*/ GIMT_Encode4(1200586), // Rule ID 17007 //
     /* 1200511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1200522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1200525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1200528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1200531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200550 */     // MIs[0] round
     /* 1200550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200560 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1200563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200585 */     // GIR_Coverage, 17007,
     /* 1200585 */     GIR_EraseRootFromParent_Done,
     /* 1200586 */   // Label 17455: @1200586
     /* 1200586 */   GIM_Try, /*On fail goto*//*Label 17456*/ GIMT_Encode4(1200666), // Rule ID 17010 //
     /* 1200591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1200602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1200605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1200608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1200611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200630 */     // MIs[0] round
     /* 1200630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200640 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1200643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200665 */     // GIR_Coverage, 17010,
     /* 1200665 */     GIR_EraseRootFromParent_Done,
     /* 1200666 */   // Label 17456: @1200666
     /* 1200666 */   GIM_Try, /*On fail goto*//*Label 17457*/ GIMT_Encode4(1200746), // Rule ID 17011 //
     /* 1200671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1200682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1200685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1200688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1200691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200710 */     // MIs[0] round
     /* 1200710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200720 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1200723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200745 */     // GIR_Coverage, 17011,
     /* 1200745 */     GIR_EraseRootFromParent_Done,
     /* 1200746 */   // Label 17457: @1200746
     /* 1200746 */   GIM_Try, /*On fail goto*//*Label 17458*/ GIMT_Encode4(1200826), // Rule ID 17014 //
     /* 1200751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1200762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1200765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1200771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200790 */     // MIs[0] round
     /* 1200790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200800 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1200803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200825 */     // GIR_Coverage, 17014,
     /* 1200825 */     GIR_EraseRootFromParent_Done,
     /* 1200826 */   // Label 17458: @1200826
     /* 1200826 */   GIM_Try, /*On fail goto*//*Label 17459*/ GIMT_Encode4(1200906), // Rule ID 17015 //
     /* 1200831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1200842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1200845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1200851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200870 */     // MIs[0] round
     /* 1200870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200880 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1200883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200905 */     // GIR_Coverage, 17015,
     /* 1200905 */     GIR_EraseRootFromParent_Done,
     /* 1200906 */   // Label 17459: @1200906
     /* 1200906 */   GIM_Try, /*On fail goto*//*Label 17460*/ GIMT_Encode4(1200986), // Rule ID 17018 //
     /* 1200911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1200931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200950 */     // MIs[0] round
     /* 1200950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200960 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1200963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200985 */     // GIR_Coverage, 17018,
     /* 1200985 */     GIR_EraseRootFromParent_Done,
     /* 1200986 */   // Label 17460: @1200986
     /* 1200986 */   GIM_Try, /*On fail goto*//*Label 17461*/ GIMT_Encode4(1201066), // Rule ID 17019 //
     /* 1200991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1201008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1201011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201030 */     // MIs[0] round
     /* 1201030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201040 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1201043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201065 */     // GIR_Coverage, 17019,
     /* 1201065 */     GIR_EraseRootFromParent_Done,
     /* 1201066 */   // Label 17461: @1201066
     /* 1201066 */   GIM_Try, /*On fail goto*//*Label 17462*/ GIMT_Encode4(1201146), // Rule ID 17022 //
     /* 1201071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1201088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1201091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201110 */     // MIs[0] round
     /* 1201110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201120 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1201123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201145 */     // GIR_Coverage, 17022,
     /* 1201145 */     GIR_EraseRootFromParent_Done,
     /* 1201146 */   // Label 17462: @1201146
     /* 1201146 */   GIM_Try, /*On fail goto*//*Label 17463*/ GIMT_Encode4(1201226), // Rule ID 17023 //
     /* 1201151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1201168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1201171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201190 */     // MIs[0] round
     /* 1201190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201200 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1201203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201225 */     // GIR_Coverage, 17023,
     /* 1201225 */     GIR_EraseRootFromParent_Done,
     /* 1201226 */   // Label 17463: @1201226
     /* 1201226 */   GIM_Try, /*On fail goto*//*Label 17464*/ GIMT_Encode4(1201306), // Rule ID 17026 //
     /* 1201231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1201242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1201245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1201248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1201251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201270 */     // MIs[0] round
     /* 1201270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201280 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1201283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201305 */     // GIR_Coverage, 17026,
     /* 1201305 */     GIR_EraseRootFromParent_Done,
     /* 1201306 */   // Label 17464: @1201306
     /* 1201306 */   GIM_Try, /*On fail goto*//*Label 17465*/ GIMT_Encode4(1201386), // Rule ID 17027 //
     /* 1201311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1201322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1201325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1201328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1201331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201350 */     // MIs[0] round
     /* 1201350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201360 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1201363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201385 */     // GIR_Coverage, 17027,
     /* 1201385 */     GIR_EraseRootFromParent_Done,
     /* 1201386 */   // Label 17465: @1201386
     /* 1201386 */   GIM_Try, /*On fail goto*//*Label 17466*/ GIMT_Encode4(1201466), // Rule ID 17030 //
     /* 1201391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1201402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1201405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1201411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201430 */     // MIs[0] round
     /* 1201430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201440 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1201443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201465 */     // GIR_Coverage, 17030,
     /* 1201465 */     GIR_EraseRootFromParent_Done,
     /* 1201466 */   // Label 17466: @1201466
     /* 1201466 */   GIM_Try, /*On fail goto*//*Label 17467*/ GIMT_Encode4(1201546), // Rule ID 17031 //
     /* 1201471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1201482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1201485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1201491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201510 */     // MIs[0] round
     /* 1201510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201520 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1201523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201545 */     // GIR_Coverage, 17031,
     /* 1201545 */     GIR_EraseRootFromParent_Done,
     /* 1201546 */   // Label 17467: @1201546
     /* 1201546 */   GIM_Try, /*On fail goto*//*Label 17468*/ GIMT_Encode4(1201626), // Rule ID 17034 //
     /* 1201551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1201562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1201565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1201571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201590 */     // MIs[0] round
     /* 1201590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201600 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1201603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201625 */     // GIR_Coverage, 17034,
     /* 1201625 */     GIR_EraseRootFromParent_Done,
     /* 1201626 */   // Label 17468: @1201626
     /* 1201626 */   GIM_Try, /*On fail goto*//*Label 17469*/ GIMT_Encode4(1201706), // Rule ID 17035 //
     /* 1201631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1201642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1201645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1201651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201670 */     // MIs[0] round
     /* 1201670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201680 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1201683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201705 */     // GIR_Coverage, 17035,
     /* 1201705 */     GIR_EraseRootFromParent_Done,
     /* 1201706 */   // Label 17469: @1201706
     /* 1201706 */   GIM_Try, /*On fail goto*//*Label 17470*/ GIMT_Encode4(1201786), // Rule ID 17038 //
     /* 1201711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1201722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1201725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1201728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201750 */     // MIs[0] round
     /* 1201750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201760 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1201763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201785 */     // GIR_Coverage, 17038,
     /* 1201785 */     GIR_EraseRootFromParent_Done,
     /* 1201786 */   // Label 17470: @1201786
     /* 1201786 */   GIM_Try, /*On fail goto*//*Label 17471*/ GIMT_Encode4(1201866), // Rule ID 17039 //
     /* 1201791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1201802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1201805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1201808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201830 */     // MIs[0] round
     /* 1201830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201840 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1201843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201865 */     // GIR_Coverage, 17039,
     /* 1201865 */     GIR_EraseRootFromParent_Done,
     /* 1201866 */   // Label 17471: @1201866
     /* 1201866 */   GIM_Try, /*On fail goto*//*Label 17472*/ GIMT_Encode4(1201946), // Rule ID 17042 //
     /* 1201871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1201888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201910 */     // MIs[0] round
     /* 1201910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201920 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1201923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201945 */     // GIR_Coverage, 17042,
     /* 1201945 */     GIR_EraseRootFromParent_Done,
     /* 1201946 */   // Label 17472: @1201946
     /* 1201946 */   GIM_Try, /*On fail goto*//*Label 17473*/ GIMT_Encode4(1202026), // Rule ID 17043 //
     /* 1201951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1201968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201990 */     // MIs[0] round
     /* 1201990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202000 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1202003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202025 */     // GIR_Coverage, 17043,
     /* 1202025 */     GIR_EraseRootFromParent_Done,
     /* 1202026 */   // Label 17473: @1202026
     /* 1202026 */   GIM_Try, /*On fail goto*//*Label 17474*/ GIMT_Encode4(1202106), // Rule ID 17046 //
     /* 1202031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1202048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202070 */     // MIs[0] round
     /* 1202070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202080 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1202083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202105 */     // GIR_Coverage, 17046,
     /* 1202105 */     GIR_EraseRootFromParent_Done,
     /* 1202106 */   // Label 17474: @1202106
     /* 1202106 */   GIM_Try, /*On fail goto*//*Label 17475*/ GIMT_Encode4(1202186), // Rule ID 17047 //
     /* 1202111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1202128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202150 */     // MIs[0] round
     /* 1202150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202160 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1202163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202185 */     // GIR_Coverage, 17047,
     /* 1202185 */     GIR_EraseRootFromParent_Done,
     /* 1202186 */   // Label 17475: @1202186
     /* 1202186 */   GIM_Try, /*On fail goto*//*Label 17476*/ GIMT_Encode4(1202266), // Rule ID 17050 //
     /* 1202191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1202202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1202205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1202208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202230 */     // MIs[0] round
     /* 1202230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202240 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1202243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202265 */     // GIR_Coverage, 17050,
     /* 1202265 */     GIR_EraseRootFromParent_Done,
     /* 1202266 */   // Label 17476: @1202266
     /* 1202266 */   GIM_Try, /*On fail goto*//*Label 17477*/ GIMT_Encode4(1202346), // Rule ID 17051 //
     /* 1202271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1202282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1202285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1202288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202310 */     // MIs[0] round
     /* 1202310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202320 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1202323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202345 */     // GIR_Coverage, 17051,
     /* 1202345 */     GIR_EraseRootFromParent_Done,
     /* 1202346 */   // Label 17477: @1202346
     /* 1202346 */   GIM_Try, /*On fail goto*//*Label 17478*/ GIMT_Encode4(1202426), // Rule ID 17054 //
     /* 1202351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1202362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1202365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1202368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202390 */     // MIs[0] round
     /* 1202390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202400 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1202403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202425 */     // GIR_Coverage, 17054,
     /* 1202425 */     GIR_EraseRootFromParent_Done,
     /* 1202426 */   // Label 17478: @1202426
     /* 1202426 */   GIM_Try, /*On fail goto*//*Label 17479*/ GIMT_Encode4(1202506), // Rule ID 17055 //
     /* 1202431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1202442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1202445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1202448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202470 */     // MIs[0] round
     /* 1202470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202480 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1202483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202505 */     // GIR_Coverage, 17055,
     /* 1202505 */     GIR_EraseRootFromParent_Done,
     /* 1202506 */   // Label 17479: @1202506
     /* 1202506 */   GIM_Try, /*On fail goto*//*Label 17480*/ GIMT_Encode4(1202586), // Rule ID 17058 //
     /* 1202511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1202522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1202525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202550 */     // MIs[0] round
     /* 1202550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202560 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1202563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202585 */     // GIR_Coverage, 17058,
     /* 1202585 */     GIR_EraseRootFromParent_Done,
     /* 1202586 */   // Label 17480: @1202586
     /* 1202586 */   GIM_Try, /*On fail goto*//*Label 17481*/ GIMT_Encode4(1202666), // Rule ID 17059 //
     /* 1202591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1202602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1202605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202630 */     // MIs[0] round
     /* 1202630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1202643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202665 */     // GIR_Coverage, 17059,
     /* 1202665 */     GIR_EraseRootFromParent_Done,
     /* 1202666 */   // Label 17481: @1202666
     /* 1202666 */   GIM_Try, /*On fail goto*//*Label 17482*/ GIMT_Encode4(1202746), // Rule ID 17062 //
     /* 1202671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1202682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1202685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202710 */     // MIs[0] round
     /* 1202710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202720 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1202723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202745 */     // GIR_Coverage, 17062,
     /* 1202745 */     GIR_EraseRootFromParent_Done,
     /* 1202746 */   // Label 17482: @1202746
     /* 1202746 */   GIM_Try, /*On fail goto*//*Label 17483*/ GIMT_Encode4(1202826), // Rule ID 17063 //
     /* 1202751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1202762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1202765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202790 */     // MIs[0] round
     /* 1202790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202800 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1202803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202825 */     // GIR_Coverage, 17063,
     /* 1202825 */     GIR_EraseRootFromParent_Done,
     /* 1202826 */   // Label 17483: @1202826
     /* 1202826 */   GIM_Try, /*On fail goto*//*Label 17484*/ GIMT_Encode4(1202906), // Rule ID 17066 //
     /* 1202831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1202842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1202845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202870 */     // MIs[0] round
     /* 1202870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202880 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1202883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202905 */     // GIR_Coverage, 17066,
     /* 1202905 */     GIR_EraseRootFromParent_Done,
     /* 1202906 */   // Label 17484: @1202906
     /* 1202906 */   GIM_Try, /*On fail goto*//*Label 17485*/ GIMT_Encode4(1202986), // Rule ID 17067 //
     /* 1202911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1202922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1202925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202950 */     // MIs[0] round
     /* 1202950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202960 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1202963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202985 */     // GIR_Coverage, 17067,
     /* 1202985 */     GIR_EraseRootFromParent_Done,
     /* 1202986 */   // Label 17485: @1202986
     /* 1202986 */   GIM_Try, /*On fail goto*//*Label 17486*/ GIMT_Encode4(1203066), // Rule ID 17070 //
     /* 1202991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1203008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203030 */     // MIs[0] round
     /* 1203030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203040 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1203043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203065 */     // GIR_Coverage, 17070,
     /* 1203065 */     GIR_EraseRootFromParent_Done,
     /* 1203066 */   // Label 17486: @1203066
     /* 1203066 */   GIM_Try, /*On fail goto*//*Label 17487*/ GIMT_Encode4(1203146), // Rule ID 17071 //
     /* 1203071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1203079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1203088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203110 */     // MIs[0] round
     /* 1203110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203120 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1203123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203145 */     // GIR_Coverage, 17071,
     /* 1203145 */     GIR_EraseRootFromParent_Done,
     /* 1203146 */   // Label 17487: @1203146
     /* 1203146 */   GIM_Try, /*On fail goto*//*Label 17488*/ GIMT_Encode4(1203226), // Rule ID 17074 //
     /* 1203151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1203162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1203165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1203168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1203171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203190 */     // MIs[0] round
     /* 1203190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203200 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1203203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203225 */     // GIR_Coverage, 17074,
     /* 1203225 */     GIR_EraseRootFromParent_Done,
     /* 1203226 */   // Label 17488: @1203226
     /* 1203226 */   GIM_Try, /*On fail goto*//*Label 17489*/ GIMT_Encode4(1203306), // Rule ID 17075 //
     /* 1203231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1203242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1203245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1203248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1203251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203270 */     // MIs[0] round
     /* 1203270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203280 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1203283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203305 */     // GIR_Coverage, 17075,
     /* 1203305 */     GIR_EraseRootFromParent_Done,
     /* 1203306 */   // Label 17489: @1203306
     /* 1203306 */   GIM_Try, /*On fail goto*//*Label 17490*/ GIMT_Encode4(1203386), // Rule ID 17078 //
     /* 1203311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1203322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1203325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1203328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1203331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203350 */     // MIs[0] round
     /* 1203350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203360 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1203363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203385 */     // GIR_Coverage, 17078,
     /* 1203385 */     GIR_EraseRootFromParent_Done,
     /* 1203386 */   // Label 17490: @1203386
     /* 1203386 */   GIM_Try, /*On fail goto*//*Label 17491*/ GIMT_Encode4(1203466), // Rule ID 17079 //
     /* 1203391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1203402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1203405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1203408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1203411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203430 */     // MIs[0] round
     /* 1203430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203440 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1203443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203465 */     // GIR_Coverage, 17079,
     /* 1203465 */     GIR_EraseRootFromParent_Done,
     /* 1203466 */   // Label 17491: @1203466
     /* 1203466 */   GIM_Try, /*On fail goto*//*Label 17492*/ GIMT_Encode4(1203546), // Rule ID 17082 //
     /* 1203471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1203482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1203485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1203488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1203491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203510 */     // MIs[0] round
     /* 1203510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203520 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1203523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203545 */     // GIR_Coverage, 17082,
     /* 1203545 */     GIR_EraseRootFromParent_Done,
     /* 1203546 */   // Label 17492: @1203546
     /* 1203546 */   GIM_Try, /*On fail goto*//*Label 17493*/ GIMT_Encode4(1203626), // Rule ID 17083 //
     /* 1203551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1203562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1203565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1203568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1203571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203590 */     // MIs[0] round
     /* 1203590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203600 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1203603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203625 */     // GIR_Coverage, 17083,
     /* 1203625 */     GIR_EraseRootFromParent_Done,
     /* 1203626 */   // Label 17493: @1203626
     /* 1203626 */   GIM_Try, /*On fail goto*//*Label 17494*/ GIMT_Encode4(1203706), // Rule ID 17086 //
     /* 1203631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1203642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1203645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1203648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1203651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203670 */     // MIs[0] round
     /* 1203670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203680 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1203683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203705 */     // GIR_Coverage, 17086,
     /* 1203705 */     GIR_EraseRootFromParent_Done,
     /* 1203706 */   // Label 17494: @1203706
     /* 1203706 */   GIM_Try, /*On fail goto*//*Label 17495*/ GIMT_Encode4(1203786), // Rule ID 17087 //
     /* 1203711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1203722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1203725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1203728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1203731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203750 */     // MIs[0] round
     /* 1203750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203760 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1203763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203785 */     // GIR_Coverage, 17087,
     /* 1203785 */     GIR_EraseRootFromParent_Done,
     /* 1203786 */   // Label 17495: @1203786
     /* 1203786 */   GIM_Try, /*On fail goto*//*Label 17496*/ GIMT_Encode4(1203866), // Rule ID 17090 //
     /* 1203791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1203802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1203805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1203808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1203811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203830 */     // MIs[0] round
     /* 1203830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203840 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1203843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203865 */     // GIR_Coverage, 17090,
     /* 1203865 */     GIR_EraseRootFromParent_Done,
     /* 1203866 */   // Label 17496: @1203866
     /* 1203866 */   GIM_Try, /*On fail goto*//*Label 17497*/ GIMT_Encode4(1203946), // Rule ID 17091 //
     /* 1203871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1203882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1203885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1203888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1203891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203910 */     // MIs[0] round
     /* 1203910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203920 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1203923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203945 */     // GIR_Coverage, 17091,
     /* 1203945 */     GIR_EraseRootFromParent_Done,
     /* 1203946 */   // Label 17497: @1203946
     /* 1203946 */   GIM_Try, /*On fail goto*//*Label 17498*/ GIMT_Encode4(1204026), // Rule ID 17094 //
     /* 1203951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1203962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1203965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1203971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203990 */     // MIs[0] round
     /* 1203990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204000 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1204003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204025 */     // GIR_Coverage, 17094,
     /* 1204025 */     GIR_EraseRootFromParent_Done,
     /* 1204026 */   // Label 17498: @1204026
     /* 1204026 */   GIM_Try, /*On fail goto*//*Label 17499*/ GIMT_Encode4(1204106), // Rule ID 17095 //
     /* 1204031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1204048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1204051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204070 */     // MIs[0] round
     /* 1204070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204080 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1204083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204105 */     // GIR_Coverage, 17095,
     /* 1204105 */     GIR_EraseRootFromParent_Done,
     /* 1204106 */   // Label 17499: @1204106
     /* 1204106 */   GIM_Try, /*On fail goto*//*Label 17500*/ GIMT_Encode4(1204186), // Rule ID 17098 //
     /* 1204111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1204128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1204131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204150 */     // MIs[0] round
     /* 1204150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204160 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1204163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204185 */     // GIR_Coverage, 17098,
     /* 1204185 */     GIR_EraseRootFromParent_Done,
     /* 1204186 */   // Label 17500: @1204186
     /* 1204186 */   GIM_Try, /*On fail goto*//*Label 17501*/ GIMT_Encode4(1204266), // Rule ID 17099 //
     /* 1204191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1204208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1204211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204230 */     // MIs[0] round
     /* 1204230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204240 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1204243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204265 */     // GIR_Coverage, 17099,
     /* 1204265 */     GIR_EraseRootFromParent_Done,
     /* 1204266 */   // Label 17501: @1204266
     /* 1204266 */   GIM_Try, /*On fail goto*//*Label 17502*/ GIMT_Encode4(1204346), // Rule ID 17102 //
     /* 1204271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1204282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1204285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1204288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1204291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204310 */     // MIs[0] round
     /* 1204310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204320 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1204323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204345 */     // GIR_Coverage, 17102,
     /* 1204345 */     GIR_EraseRootFromParent_Done,
     /* 1204346 */   // Label 17502: @1204346
     /* 1204346 */   GIM_Try, /*On fail goto*//*Label 17503*/ GIMT_Encode4(1204426), // Rule ID 17103 //
     /* 1204351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1204362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1204365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1204368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1204371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204390 */     // MIs[0] round
     /* 1204390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204400 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1204403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204425 */     // GIR_Coverage, 17103,
     /* 1204425 */     GIR_EraseRootFromParent_Done,
     /* 1204426 */   // Label 17503: @1204426
     /* 1204426 */   GIM_Try, /*On fail goto*//*Label 17504*/ GIMT_Encode4(1204506), // Rule ID 17106 //
     /* 1204431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1204442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1204445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1204451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204470 */     // MIs[0] round
     /* 1204470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204480 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1204483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204505 */     // GIR_Coverage, 17106,
     /* 1204505 */     GIR_EraseRootFromParent_Done,
     /* 1204506 */   // Label 17504: @1204506
     /* 1204506 */   GIM_Try, /*On fail goto*//*Label 17505*/ GIMT_Encode4(1204586), // Rule ID 17107 //
     /* 1204511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1204522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1204525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1204531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204550 */     // MIs[0] round
     /* 1204550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204560 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1204563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204585 */     // GIR_Coverage, 17107,
     /* 1204585 */     GIR_EraseRootFromParent_Done,
     /* 1204586 */   // Label 17505: @1204586
     /* 1204586 */   GIM_Try, /*On fail goto*//*Label 17506*/ GIMT_Encode4(1204666), // Rule ID 17110 //
     /* 1204591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1204602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1204605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1204608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204630 */     // MIs[0] round
     /* 1204630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204640 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1204643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204665 */     // GIR_Coverage, 17110,
     /* 1204665 */     GIR_EraseRootFromParent_Done,
     /* 1204666 */   // Label 17506: @1204666
     /* 1204666 */   GIM_Try, /*On fail goto*//*Label 17507*/ GIMT_Encode4(1204746), // Rule ID 17111 //
     /* 1204671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1204682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1204685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1204688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204710 */     // MIs[0] round
     /* 1204710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204720 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1204723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204745 */     // GIR_Coverage, 17111,
     /* 1204745 */     GIR_EraseRootFromParent_Done,
     /* 1204746 */   // Label 17507: @1204746
     /* 1204746 */   GIM_Try, /*On fail goto*//*Label 17508*/ GIMT_Encode4(1204826), // Rule ID 17114 //
     /* 1204751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1204762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1204765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1204768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204790 */     // MIs[0] round
     /* 1204790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204800 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1204803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204825 */     // GIR_Coverage, 17114,
     /* 1204825 */     GIR_EraseRootFromParent_Done,
     /* 1204826 */   // Label 17508: @1204826
     /* 1204826 */   GIM_Try, /*On fail goto*//*Label 17509*/ GIMT_Encode4(1204906), // Rule ID 17115 //
     /* 1204831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1204842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1204845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1204848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204870 */     // MIs[0] round
     /* 1204870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204880 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1204883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204905 */     // GIR_Coverage, 17115,
     /* 1204905 */     GIR_EraseRootFromParent_Done,
     /* 1204906 */   // Label 17509: @1204906
     /* 1204906 */   GIM_Try, /*On fail goto*//*Label 17510*/ GIMT_Encode4(1204986), // Rule ID 17118 //
     /* 1204911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1204928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204950 */     // MIs[0] round
     /* 1204950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204960 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1204963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204985 */     // GIR_Coverage, 17118,
     /* 1204985 */     GIR_EraseRootFromParent_Done,
     /* 1204986 */   // Label 17510: @1204986
     /* 1204986 */   GIM_Try, /*On fail goto*//*Label 17511*/ GIMT_Encode4(1205066), // Rule ID 17119 //
     /* 1204991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1205002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1205005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1205008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205030 */     // MIs[0] round
     /* 1205030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205040 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1205043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205065 */     // GIR_Coverage, 17119,
     /* 1205065 */     GIR_EraseRootFromParent_Done,
     /* 1205066 */   // Label 17511: @1205066
     /* 1205066 */   GIM_Try, /*On fail goto*//*Label 17512*/ GIMT_Encode4(1205146), // Rule ID 17122 //
     /* 1205071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1205088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205110 */     // MIs[0] round
     /* 1205110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205120 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1205123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205145 */     // GIR_Coverage, 17122,
     /* 1205145 */     GIR_EraseRootFromParent_Done,
     /* 1205146 */   // Label 17512: @1205146
     /* 1205146 */   GIM_Try, /*On fail goto*//*Label 17513*/ GIMT_Encode4(1205226), // Rule ID 17123 //
     /* 1205151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1205168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205190 */     // MIs[0] round
     /* 1205190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205200 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1205203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205225 */     // GIR_Coverage, 17123,
     /* 1205225 */     GIR_EraseRootFromParent_Done,
     /* 1205226 */   // Label 17513: @1205226
     /* 1205226 */   GIM_Try, /*On fail goto*//*Label 17514*/ GIMT_Encode4(1205306), // Rule ID 17126 //
     /* 1205231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1205242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1205245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1205248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205270 */     // MIs[0] round
     /* 1205270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205280 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1205283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205305 */     // GIR_Coverage, 17126,
     /* 1205305 */     GIR_EraseRootFromParent_Done,
     /* 1205306 */   // Label 17514: @1205306
     /* 1205306 */   GIM_Try, /*On fail goto*//*Label 17515*/ GIMT_Encode4(1205386), // Rule ID 17127 //
     /* 1205311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1205322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1205325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1205328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205350 */     // MIs[0] round
     /* 1205350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205360 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1205363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205385 */     // GIR_Coverage, 17127,
     /* 1205385 */     GIR_EraseRootFromParent_Done,
     /* 1205386 */   // Label 17515: @1205386
     /* 1205386 */   GIM_Try, /*On fail goto*//*Label 17516*/ GIMT_Encode4(1205466), // Rule ID 17130 //
     /* 1205391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1205402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1205405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205430 */     // MIs[0] round
     /* 1205430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205440 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1205443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205465 */     // GIR_Coverage, 17130,
     /* 1205465 */     GIR_EraseRootFromParent_Done,
     /* 1205466 */   // Label 17516: @1205466
     /* 1205466 */   GIM_Try, /*On fail goto*//*Label 17517*/ GIMT_Encode4(1205546), // Rule ID 17131 //
     /* 1205471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1205482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1205485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205510 */     // MIs[0] round
     /* 1205510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205520 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1205523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205545 */     // GIR_Coverage, 17131,
     /* 1205545 */     GIR_EraseRootFromParent_Done,
     /* 1205546 */   // Label 17517: @1205546
     /* 1205546 */   GIM_Try, /*On fail goto*//*Label 17518*/ GIMT_Encode4(1205626), // Rule ID 17134 //
     /* 1205551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1205562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1205565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205590 */     // MIs[0] round
     /* 1205590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205600 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1205603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205625 */     // GIR_Coverage, 17134,
     /* 1205625 */     GIR_EraseRootFromParent_Done,
     /* 1205626 */   // Label 17518: @1205626
     /* 1205626 */   GIM_Try, /*On fail goto*//*Label 17519*/ GIMT_Encode4(1205706), // Rule ID 17135 //
     /* 1205631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1205642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1205645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205670 */     // MIs[0] round
     /* 1205670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205680 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1205683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205705 */     // GIR_Coverage, 17135,
     /* 1205705 */     GIR_EraseRootFromParent_Done,
     /* 1205706 */   // Label 17519: @1205706
     /* 1205706 */   GIM_Try, /*On fail goto*//*Label 17520*/ GIMT_Encode4(1205786), // Rule ID 17138 //
     /* 1205711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1205722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1205725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205750 */     // MIs[0] round
     /* 1205750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205760 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1205763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205785 */     // GIR_Coverage, 17138,
     /* 1205785 */     GIR_EraseRootFromParent_Done,
     /* 1205786 */   // Label 17520: @1205786
     /* 1205786 */   GIM_Try, /*On fail goto*//*Label 17521*/ GIMT_Encode4(1205866), // Rule ID 17139 //
     /* 1205791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1205802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1205805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205830 */     // MIs[0] round
     /* 1205830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205840 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1205843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205865 */     // GIR_Coverage, 17139,
     /* 1205865 */     GIR_EraseRootFromParent_Done,
     /* 1205866 */   // Label 17521: @1205866
     /* 1205866 */   GIM_Try, /*On fail goto*//*Label 17522*/ GIMT_Encode4(1205946), // Rule ID 17142 //
     /* 1205871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205910 */     // MIs[0] round
     /* 1205910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205920 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1205923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205945 */     // GIR_Coverage, 17142,
     /* 1205945 */     GIR_EraseRootFromParent_Done,
     /* 1205946 */   // Label 17522: @1205946
     /* 1205946 */   GIM_Try, /*On fail goto*//*Label 17523*/ GIMT_Encode4(1206026), // Rule ID 17143 //
     /* 1205951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205990 */     // MIs[0] round
     /* 1205990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206000 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1206003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206025 */     // GIR_Coverage, 17143,
     /* 1206025 */     GIR_EraseRootFromParent_Done,
     /* 1206026 */   // Label 17523: @1206026
     /* 1206026 */   GIM_Try, /*On fail goto*//*Label 17524*/ GIMT_Encode4(1206106), // Rule ID 17148 //
     /* 1206031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1206042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1206045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1206048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1206051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206070 */     // MIs[0] round
     /* 1206070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206080 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1206083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206105 */     // GIR_Coverage, 17148,
     /* 1206105 */     GIR_EraseRootFromParent_Done,
     /* 1206106 */   // Label 17524: @1206106
     /* 1206106 */   GIM_Try, /*On fail goto*//*Label 17525*/ GIMT_Encode4(1206186), // Rule ID 17149 //
     /* 1206111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1206122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1206125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1206128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1206131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206150 */     // MIs[0] round
     /* 1206150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206160 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1206163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206185 */     // GIR_Coverage, 17149,
     /* 1206185 */     GIR_EraseRootFromParent_Done,
     /* 1206186 */   // Label 17525: @1206186
     /* 1206186 */   GIM_Try, /*On fail goto*//*Label 17526*/ GIMT_Encode4(1206266), // Rule ID 17158 //
     /* 1206191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1206202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1206205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1206208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1206211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206230 */     // MIs[0] round
     /* 1206230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206240 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1206243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206265 */     // GIR_Coverage, 17158,
     /* 1206265 */     GIR_EraseRootFromParent_Done,
     /* 1206266 */   // Label 17526: @1206266
     /* 1206266 */   GIM_Try, /*On fail goto*//*Label 17527*/ GIMT_Encode4(1206346), // Rule ID 17159 //
     /* 1206271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1206282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1206285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1206288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1206291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206310 */     // MIs[0] round
     /* 1206310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206320 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1206323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206345 */     // GIR_Coverage, 17159,
     /* 1206345 */     GIR_EraseRootFromParent_Done,
     /* 1206346 */   // Label 17527: @1206346
     /* 1206346 */   GIM_Try, /*On fail goto*//*Label 17528*/ GIMT_Encode4(1206426), // Rule ID 17168 //
     /* 1206351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1206362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1206365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1206368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1206371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206390 */     // MIs[0] round
     /* 1206390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206400 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1206403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206425 */     // GIR_Coverage, 17168,
     /* 1206425 */     GIR_EraseRootFromParent_Done,
     /* 1206426 */   // Label 17528: @1206426
     /* 1206426 */   GIM_Try, /*On fail goto*//*Label 17529*/ GIMT_Encode4(1206506), // Rule ID 17169 //
     /* 1206431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1206442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1206445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1206448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1206451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206470 */     // MIs[0] round
     /* 1206470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206480 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1206483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206505 */     // GIR_Coverage, 17169,
     /* 1206505 */     GIR_EraseRootFromParent_Done,
     /* 1206506 */   // Label 17529: @1206506
     /* 1206506 */   GIM_Try, /*On fail goto*//*Label 17530*/ GIMT_Encode4(1206586), // Rule ID 17178 //
     /* 1206511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1206522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1206525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1206528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1206531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206550 */     // MIs[0] round
     /* 1206550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206560 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1206563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206585 */     // GIR_Coverage, 17178,
     /* 1206585 */     GIR_EraseRootFromParent_Done,
     /* 1206586 */   // Label 17530: @1206586
     /* 1206586 */   GIM_Try, /*On fail goto*//*Label 17531*/ GIMT_Encode4(1206666), // Rule ID 17179 //
     /* 1206591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1206602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1206605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1206608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1206611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206630 */     // MIs[0] round
     /* 1206630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206640 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1206643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206665 */     // GIR_Coverage, 17179,
     /* 1206665 */     GIR_EraseRootFromParent_Done,
     /* 1206666 */   // Label 17531: @1206666
     /* 1206666 */   GIM_Try, /*On fail goto*//*Label 17532*/ GIMT_Encode4(1206746), // Rule ID 17188 //
     /* 1206671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1206691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206710 */     // MIs[0] round
     /* 1206710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1206723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206745 */     // GIR_Coverage, 17188,
     /* 1206745 */     GIR_EraseRootFromParent_Done,
     /* 1206746 */   // Label 17532: @1206746
     /* 1206746 */   GIM_Try, /*On fail goto*//*Label 17533*/ GIMT_Encode4(1206826), // Rule ID 17189 //
     /* 1206751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1206771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206790 */     // MIs[0] round
     /* 1206790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1206803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206825 */     // GIR_Coverage, 17189,
     /* 1206825 */     GIR_EraseRootFromParent_Done,
     /* 1206826 */   // Label 17533: @1206826
     /* 1206826 */   GIM_Try, /*On fail goto*//*Label 17534*/ GIMT_Encode4(1206906), // Rule ID 17198 //
     /* 1206831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1206842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1206845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1206848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1206851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206870 */     // MIs[0] round
     /* 1206870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206880 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1206883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206905 */     // GIR_Coverage, 17198,
     /* 1206905 */     GIR_EraseRootFromParent_Done,
     /* 1206906 */   // Label 17534: @1206906
     /* 1206906 */   GIM_Try, /*On fail goto*//*Label 17535*/ GIMT_Encode4(1206986), // Rule ID 17199 //
     /* 1206911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1206922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1206925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1206928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1206931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206950 */     // MIs[0] round
     /* 1206950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206960 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1206963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206985 */     // GIR_Coverage, 17199,
     /* 1206985 */     GIR_EraseRootFromParent_Done,
     /* 1206986 */   // Label 17535: @1206986
     /* 1206986 */   GIM_Try, /*On fail goto*//*Label 17536*/ GIMT_Encode4(1207066), // Rule ID 17208 //
     /* 1206991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1207002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1207005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1207008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1207011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207030 */     // MIs[0] round
     /* 1207030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207040 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1207043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207065 */     // GIR_Coverage, 17208,
     /* 1207065 */     GIR_EraseRootFromParent_Done,
     /* 1207066 */   // Label 17536: @1207066
     /* 1207066 */   GIM_Try, /*On fail goto*//*Label 17537*/ GIMT_Encode4(1207146), // Rule ID 17209 //
     /* 1207071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1207074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1207082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1207085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1207088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1207091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207110 */     // MIs[0] round
     /* 1207110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207120 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1207123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207145 */     // GIR_Coverage, 17209,
     /* 1207145 */     GIR_EraseRootFromParent_Done,
     /* 1207146 */   // Label 17537: @1207146
     /* 1207146 */   GIM_Try, /*On fail goto*//*Label 17538*/ GIMT_Encode4(1207226), // Rule ID 17218 //
     /* 1207151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1207154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1207162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1207165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1207168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1207171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207190 */     // MIs[0] round
     /* 1207190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207200 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1207203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207225 */     // GIR_Coverage, 17218,
     /* 1207225 */     GIR_EraseRootFromParent_Done,
     /* 1207226 */   // Label 17538: @1207226
     /* 1207226 */   GIM_Try, /*On fail goto*//*Label 17539*/ GIMT_Encode4(1207306), // Rule ID 17219 //
     /* 1207231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1207234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1207242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1207245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1207248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1207251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207270 */     // MIs[0] round
     /* 1207270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207280 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1207283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207305 */     // GIR_Coverage, 17219,
     /* 1207305 */     GIR_EraseRootFromParent_Done,
     /* 1207306 */   // Label 17539: @1207306
     /* 1207306 */   GIM_Try, /*On fail goto*//*Label 17540*/ GIMT_Encode4(1207386), // Rule ID 17226 //
     /* 1207311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1207322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1207325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1207328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207350 */     // MIs[0] round
     /* 1207350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207360 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1207363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207385 */     // GIR_Coverage, 17226,
     /* 1207385 */     GIR_EraseRootFromParent_Done,
     /* 1207386 */   // Label 17540: @1207386
     /* 1207386 */   GIM_Try, /*On fail goto*//*Label 17541*/ GIMT_Encode4(1207466), // Rule ID 17227 //
     /* 1207391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1207402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1207405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1207408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207430 */     // MIs[0] round
     /* 1207430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207440 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1207443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207465 */     // GIR_Coverage, 17227,
     /* 1207465 */     GIR_EraseRootFromParent_Done,
     /* 1207466 */   // Label 17541: @1207466
     /* 1207466 */   GIM_Try, /*On fail goto*//*Label 17542*/ GIMT_Encode4(1207546), // Rule ID 17230 //
     /* 1207471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207510 */     // MIs[0] round
     /* 1207510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207520 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1207523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207545 */     // GIR_Coverage, 17230,
     /* 1207545 */     GIR_EraseRootFromParent_Done,
     /* 1207546 */   // Label 17542: @1207546
     /* 1207546 */   GIM_Try, /*On fail goto*//*Label 17543*/ GIMT_Encode4(1207626), // Rule ID 17231 //
     /* 1207551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207590 */     // MIs[0] round
     /* 1207590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207600 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1207603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207625 */     // GIR_Coverage, 17231,
     /* 1207625 */     GIR_EraseRootFromParent_Done,
     /* 1207626 */   // Label 17543: @1207626
     /* 1207626 */   GIM_Try, /*On fail goto*//*Label 17544*/ GIMT_Encode4(1207706), // Rule ID 17234 //
     /* 1207631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1207642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1207645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1207648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207670 */     // MIs[0] round
     /* 1207670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207680 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1207683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207705 */     // GIR_Coverage, 17234,
     /* 1207705 */     GIR_EraseRootFromParent_Done,
     /* 1207706 */   // Label 17544: @1207706
     /* 1207706 */   GIM_Try, /*On fail goto*//*Label 17545*/ GIMT_Encode4(1207786), // Rule ID 17235 //
     /* 1207711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1207722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1207725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1207728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207750 */     // MIs[0] round
     /* 1207750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207760 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1207763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207785 */     // GIR_Coverage, 17235,
     /* 1207785 */     GIR_EraseRootFromParent_Done,
     /* 1207786 */   // Label 17545: @1207786
     /* 1207786 */   GIM_Try, /*On fail goto*//*Label 17546*/ GIMT_Encode4(1207866), // Rule ID 17238 //
     /* 1207791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1207802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1207805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1207808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207830 */     // MIs[0] round
     /* 1207830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207840 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1207843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207865 */     // GIR_Coverage, 17238,
     /* 1207865 */     GIR_EraseRootFromParent_Done,
     /* 1207866 */   // Label 17546: @1207866
     /* 1207866 */   GIM_Try, /*On fail goto*//*Label 17547*/ GIMT_Encode4(1207946), // Rule ID 17239 //
     /* 1207871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1207882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1207885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1207888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207910 */     // MIs[0] round
     /* 1207910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207920 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1207923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207945 */     // GIR_Coverage, 17239,
     /* 1207945 */     GIR_EraseRootFromParent_Done,
     /* 1207946 */   // Label 17547: @1207946
     /* 1207946 */   GIM_Try, /*On fail goto*//*Label 17548*/ GIMT_Encode4(1208026), // Rule ID 17242 //
     /* 1207951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1207962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1207965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1207968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207990 */     // MIs[0] round
     /* 1207990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208000 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1208003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208025 */     // GIR_Coverage, 17242,
     /* 1208025 */     GIR_EraseRootFromParent_Done,
     /* 1208026 */   // Label 17548: @1208026
     /* 1208026 */   GIM_Try, /*On fail goto*//*Label 17549*/ GIMT_Encode4(1208106), // Rule ID 17243 //
     /* 1208031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1208039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1208042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1208045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1208048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208070 */     // MIs[0] round
     /* 1208070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208080 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1208083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208105 */     // GIR_Coverage, 17243,
     /* 1208105 */     GIR_EraseRootFromParent_Done,
     /* 1208106 */   // Label 17549: @1208106
     /* 1208106 */   GIM_Try, /*On fail goto*//*Label 17550*/ GIMT_Encode4(1208186), // Rule ID 17246 //
     /* 1208111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1208114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1208119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1208122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1208125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1208128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208150 */     // MIs[0] round
     /* 1208150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208160 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1208163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208185 */     // GIR_Coverage, 17246,
     /* 1208185 */     GIR_EraseRootFromParent_Done,
     /* 1208186 */   // Label 17550: @1208186
     /* 1208186 */   GIM_Try, /*On fail goto*//*Label 17551*/ GIMT_Encode4(1208266), // Rule ID 17247 //
     /* 1208191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1208194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1208199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1208202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1208205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1208208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208230 */     // MIs[0] round
     /* 1208230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208240 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1208243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208265 */     // GIR_Coverage, 17247,
     /* 1208265 */     GIR_EraseRootFromParent_Done,
     /* 1208266 */   // Label 17551: @1208266
     /* 1208266 */   GIM_Try, /*On fail goto*//*Label 17552*/ GIMT_Encode4(1208346), // Rule ID 17250 //
     /* 1208271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1208274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1208279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1208282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1208285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1208288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208310 */     // MIs[0] round
     /* 1208310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208320 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1208323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208345 */     // GIR_Coverage, 17250,
     /* 1208345 */     GIR_EraseRootFromParent_Done,
     /* 1208346 */   // Label 17552: @1208346
     /* 1208346 */   GIM_Try, /*On fail goto*//*Label 17553*/ GIMT_Encode4(1208426), // Rule ID 17251 //
     /* 1208351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1208354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1208359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1208362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1208365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1208368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208390 */     // MIs[0] round
     /* 1208390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208400 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1208403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208425 */     // GIR_Coverage, 17251,
     /* 1208425 */     GIR_EraseRootFromParent_Done,
     /* 1208426 */   // Label 17553: @1208426
     /* 1208426 */   GIM_Try, /*On fail goto*//*Label 17554*/ GIMT_Encode4(1208506), // Rule ID 17254 //
     /* 1208431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1208434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1208439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1208442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1208445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1208448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208470 */     // MIs[0] round
     /* 1208470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208480 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1208483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208505 */     // GIR_Coverage, 17254,
     /* 1208505 */     GIR_EraseRootFromParent_Done,
     /* 1208506 */   // Label 17554: @1208506
     /* 1208506 */   GIM_Try, /*On fail goto*//*Label 17555*/ GIMT_Encode4(1208586), // Rule ID 17255 //
     /* 1208511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1208514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1208519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1208522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1208525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1208528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208550 */     // MIs[0] round
     /* 1208550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208560 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1208563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208585 */     // GIR_Coverage, 17255,
     /* 1208585 */     GIR_EraseRootFromParent_Done,
     /* 1208586 */   // Label 17555: @1208586
     /* 1208586 */   GIM_Try, /*On fail goto*//*Label 17556*/ GIMT_Encode4(1208666), // Rule ID 17258 //
     /* 1208591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1208594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1208599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1208602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1208605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1208608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208630 */     // MIs[0] round
     /* 1208630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208640 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1208643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208665 */     // GIR_Coverage, 17258,
     /* 1208665 */     GIR_EraseRootFromParent_Done,
     /* 1208666 */   // Label 17556: @1208666
     /* 1208666 */   GIM_Try, /*On fail goto*//*Label 17557*/ GIMT_Encode4(1208746), // Rule ID 17259 //
     /* 1208671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1208674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1208679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1208682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1208685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1208688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208710 */     // MIs[0] round
     /* 1208710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208720 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1208723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208745 */     // GIR_Coverage, 17259,
     /* 1208745 */     GIR_EraseRootFromParent_Done,
     /* 1208746 */   // Label 17557: @1208746
     /* 1208746 */   GIM_Try, /*On fail goto*//*Label 17558*/ GIMT_Encode4(1208826), // Rule ID 17264 //
     /* 1208751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1208762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1208765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1208768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1208771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208790 */     // MIs[0] round
     /* 1208790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208800 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1208803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208825 */     // GIR_Coverage, 17264,
     /* 1208825 */     GIR_EraseRootFromParent_Done,
     /* 1208826 */   // Label 17558: @1208826
     /* 1208826 */   GIM_Try, /*On fail goto*//*Label 17559*/ GIMT_Encode4(1208906), // Rule ID 17265 //
     /* 1208831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1208842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1208845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1208848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1208851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208870 */     // MIs[0] round
     /* 1208870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208880 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1208883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208905 */     // GIR_Coverage, 17265,
     /* 1208905 */     GIR_EraseRootFromParent_Done,
     /* 1208906 */   // Label 17559: @1208906
     /* 1208906 */   GIM_Try, /*On fail goto*//*Label 17560*/ GIMT_Encode4(1208986), // Rule ID 17274 //
     /* 1208911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1208922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1208925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1208928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1208931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208950 */     // MIs[0] round
     /* 1208950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208960 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1208963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208985 */     // GIR_Coverage, 17274,
     /* 1208985 */     GIR_EraseRootFromParent_Done,
     /* 1208986 */   // Label 17560: @1208986
     /* 1208986 */   GIM_Try, /*On fail goto*//*Label 17561*/ GIMT_Encode4(1209066), // Rule ID 17275 //
     /* 1208991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1209011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209030 */     // MIs[0] round
     /* 1209030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209040 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1209043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209065 */     // GIR_Coverage, 17275,
     /* 1209065 */     GIR_EraseRootFromParent_Done,
     /* 1209066 */   // Label 17561: @1209066
     /* 1209066 */   GIM_Try, /*On fail goto*//*Label 17562*/ GIMT_Encode4(1209146), // Rule ID 17284 //
     /* 1209071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1209074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1209082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1209085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1209088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1209091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209110 */     // MIs[0] round
     /* 1209110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209120 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1209123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209145 */     // GIR_Coverage, 17284,
     /* 1209145 */     GIR_EraseRootFromParent_Done,
     /* 1209146 */   // Label 17562: @1209146
     /* 1209146 */   GIM_Try, /*On fail goto*//*Label 17563*/ GIMT_Encode4(1209226), // Rule ID 17285 //
     /* 1209151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1209154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1209162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1209165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1209168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1209171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209190 */     // MIs[0] round
     /* 1209190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209200 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1209203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209225 */     // GIR_Coverage, 17285,
     /* 1209225 */     GIR_EraseRootFromParent_Done,
     /* 1209226 */   // Label 17563: @1209226
     /* 1209226 */   GIM_Try, /*On fail goto*//*Label 17564*/ GIMT_Encode4(1209306), // Rule ID 17294 //
     /* 1209231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1209234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1209242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1209245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1209248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1209251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209270 */     // MIs[0] round
     /* 1209270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209280 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1209283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209305 */     // GIR_Coverage, 17294,
     /* 1209305 */     GIR_EraseRootFromParent_Done,
     /* 1209306 */   // Label 17564: @1209306
     /* 1209306 */   GIM_Try, /*On fail goto*//*Label 17565*/ GIMT_Encode4(1209386), // Rule ID 17295 //
     /* 1209311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1209314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1209322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1209325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1209328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1209331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209350 */     // MIs[0] round
     /* 1209350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209360 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1209363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209385 */     // GIR_Coverage, 17295,
     /* 1209385 */     GIR_EraseRootFromParent_Done,
     /* 1209386 */   // Label 17565: @1209386
     /* 1209386 */   GIM_Try, /*On fail goto*//*Label 17566*/ GIMT_Encode4(1209466), // Rule ID 17304 //
     /* 1209391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1209394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1209402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1209405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1209408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1209411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209430 */     // MIs[0] round
     /* 1209430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209440 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1209443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209465 */     // GIR_Coverage, 17304,
     /* 1209465 */     GIR_EraseRootFromParent_Done,
     /* 1209466 */   // Label 17566: @1209466
     /* 1209466 */   GIM_Try, /*On fail goto*//*Label 17567*/ GIMT_Encode4(1209546), // Rule ID 17305 //
     /* 1209471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1209474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1209482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1209485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1209488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1209491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209510 */     // MIs[0] round
     /* 1209510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209520 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1209523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209545 */     // GIR_Coverage, 17305,
     /* 1209545 */     GIR_EraseRootFromParent_Done,
     /* 1209546 */   // Label 17567: @1209546
     /* 1209546 */   GIM_Try, /*On fail goto*//*Label 17568*/ GIMT_Encode4(1209626), // Rule ID 17314 //
     /* 1209551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1209554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1209562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1209565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1209568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1209571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209590 */     // MIs[0] round
     /* 1209590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209600 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1209603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209625 */     // GIR_Coverage, 17314,
     /* 1209625 */     GIR_EraseRootFromParent_Done,
     /* 1209626 */   // Label 17568: @1209626
     /* 1209626 */   GIM_Try, /*On fail goto*//*Label 17569*/ GIMT_Encode4(1209706), // Rule ID 17315 //
     /* 1209631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1209634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1209642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1209645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1209648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1209651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209670 */     // MIs[0] round
     /* 1209670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209680 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1209683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209705 */     // GIR_Coverage, 17315,
     /* 1209705 */     GIR_EraseRootFromParent_Done,
     /* 1209706 */   // Label 17569: @1209706
     /* 1209706 */   GIM_Try, /*On fail goto*//*Label 17570*/ GIMT_Encode4(1209786), // Rule ID 17324 //
     /* 1209711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1209714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1209722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1209725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1209728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1209731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209750 */     // MIs[0] round
     /* 1209750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209760 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1209763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209785 */     // GIR_Coverage, 17324,
     /* 1209785 */     GIR_EraseRootFromParent_Done,
     /* 1209786 */   // Label 17570: @1209786
     /* 1209786 */   GIM_Try, /*On fail goto*//*Label 17571*/ GIMT_Encode4(1209866), // Rule ID 17325 //
     /* 1209791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1209794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1209802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1209805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1209808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1209811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209830 */     // MIs[0] round
     /* 1209830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209840 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1209843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209865 */     // GIR_Coverage, 17325,
     /* 1209865 */     GIR_EraseRootFromParent_Done,
     /* 1209866 */   // Label 17571: @1209866
     /* 1209866 */   GIM_Try, /*On fail goto*//*Label 17572*/ GIMT_Encode4(1209946), // Rule ID 17334 //
     /* 1209871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1209874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1209882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1209885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1209888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1209891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209910 */     // MIs[0] round
     /* 1209910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209920 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1209923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209945 */     // GIR_Coverage, 17334,
     /* 1209945 */     GIR_EraseRootFromParent_Done,
     /* 1209946 */   // Label 17572: @1209946
     /* 1209946 */   GIM_Try, /*On fail goto*//*Label 17573*/ GIMT_Encode4(1210026), // Rule ID 17335 //
     /* 1209951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1209954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1209962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1209965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1209968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1209971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209990 */     // MIs[0] round
     /* 1209990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210000 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1210003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210025 */     // GIR_Coverage, 17335,
     /* 1210025 */     GIR_EraseRootFromParent_Done,
     /* 1210026 */   // Label 17573: @1210026
     /* 1210026 */   GIM_Try, /*On fail goto*//*Label 17574*/ GIMT_Encode4(1210106), // Rule ID 17344 //
     /* 1210031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1210034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1210042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1210045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1210048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1210051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210070 */     // MIs[0] round
     /* 1210070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210080 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1210083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210105 */     // GIR_Coverage, 17344,
     /* 1210105 */     GIR_EraseRootFromParent_Done,
     /* 1210106 */   // Label 17574: @1210106
     /* 1210106 */   GIM_Try, /*On fail goto*//*Label 17575*/ GIMT_Encode4(1210186), // Rule ID 17345 //
     /* 1210111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1210114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1210122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1210125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1210128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1210131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210150 */     // MIs[0] round
     /* 1210150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210160 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1210163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210185 */     // GIR_Coverage, 17345,
     /* 1210185 */     GIR_EraseRootFromParent_Done,
     /* 1210186 */   // Label 17575: @1210186
     /* 1210186 */   GIM_Try, /*On fail goto*//*Label 17576*/ GIMT_Encode4(1210266), // Rule ID 17352 //
     /* 1210191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1210202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1210205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1210208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210230 */     // MIs[0] round
     /* 1210230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210240 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1210243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210265 */     // GIR_Coverage, 17352,
     /* 1210265 */     GIR_EraseRootFromParent_Done,
     /* 1210266 */   // Label 17576: @1210266
     /* 1210266 */   GIM_Try, /*On fail goto*//*Label 17577*/ GIMT_Encode4(1210346), // Rule ID 17353 //
     /* 1210271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1210282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1210285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1210288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210310 */     // MIs[0] round
     /* 1210310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210320 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1210323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210345 */     // GIR_Coverage, 17353,
     /* 1210345 */     GIR_EraseRootFromParent_Done,
     /* 1210346 */   // Label 17577: @1210346
     /* 1210346 */   GIM_Try, /*On fail goto*//*Label 17578*/ GIMT_Encode4(1210426), // Rule ID 17356 //
     /* 1210351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1210362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1210365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1210368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210390 */     // MIs[0] round
     /* 1210390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210400 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1210403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210425 */     // GIR_Coverage, 17356,
     /* 1210425 */     GIR_EraseRootFromParent_Done,
     /* 1210426 */   // Label 17578: @1210426
     /* 1210426 */   GIM_Try, /*On fail goto*//*Label 17579*/ GIMT_Encode4(1210506), // Rule ID 17357 //
     /* 1210431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1210442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1210445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1210448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210470 */     // MIs[0] round
     /* 1210470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210480 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1210483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210505 */     // GIR_Coverage, 17357,
     /* 1210505 */     GIR_EraseRootFromParent_Done,
     /* 1210506 */   // Label 17579: @1210506
     /* 1210506 */   GIM_Try, /*On fail goto*//*Label 17580*/ GIMT_Encode4(1210586), // Rule ID 17360 //
     /* 1210511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210550 */     // MIs[0] round
     /* 1210550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210560 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1210563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210585 */     // GIR_Coverage, 17360,
     /* 1210585 */     GIR_EraseRootFromParent_Done,
     /* 1210586 */   // Label 17580: @1210586
     /* 1210586 */   GIM_Try, /*On fail goto*//*Label 17581*/ GIMT_Encode4(1210666), // Rule ID 17361 //
     /* 1210591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210630 */     // MIs[0] round
     /* 1210630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210640 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1210643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210665 */     // GIR_Coverage, 17361,
     /* 1210665 */     GIR_EraseRootFromParent_Done,
     /* 1210666 */   // Label 17581: @1210666
     /* 1210666 */   GIM_Try, /*On fail goto*//*Label 17582*/ GIMT_Encode4(1210746), // Rule ID 17364 //
     /* 1210671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210710 */     // MIs[0] round
     /* 1210710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210720 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1210723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210745 */     // GIR_Coverage, 17364,
     /* 1210745 */     GIR_EraseRootFromParent_Done,
     /* 1210746 */   // Label 17582: @1210746
     /* 1210746 */   GIM_Try, /*On fail goto*//*Label 17583*/ GIMT_Encode4(1210826), // Rule ID 17365 //
     /* 1210751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210790 */     // MIs[0] round
     /* 1210790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210800 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1210803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210825 */     // GIR_Coverage, 17365,
     /* 1210825 */     GIR_EraseRootFromParent_Done,
     /* 1210826 */   // Label 17583: @1210826
     /* 1210826 */   GIM_Try, /*On fail goto*//*Label 17584*/ GIMT_Encode4(1210906), // Rule ID 17368 //
     /* 1210831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210870 */     // MIs[0] round
     /* 1210870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210880 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1210883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210905 */     // GIR_Coverage, 17368,
     /* 1210905 */     GIR_EraseRootFromParent_Done,
     /* 1210906 */   // Label 17584: @1210906
     /* 1210906 */   GIM_Try, /*On fail goto*//*Label 17585*/ GIMT_Encode4(1210986), // Rule ID 17369 //
     /* 1210911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210950 */     // MIs[0] round
     /* 1210950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210960 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1210963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210985 */     // GIR_Coverage, 17369,
     /* 1210985 */     GIR_EraseRootFromParent_Done,
     /* 1210986 */   // Label 17585: @1210986
     /* 1210986 */   GIM_Try, /*On fail goto*//*Label 17586*/ GIMT_Encode4(1211066), // Rule ID 17372 //
     /* 1210991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1210994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1211002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1211005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1211008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211030 */     // MIs[0] round
     /* 1211030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211040 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1211043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211065 */     // GIR_Coverage, 17372,
     /* 1211065 */     GIR_EraseRootFromParent_Done,
     /* 1211066 */   // Label 17586: @1211066
     /* 1211066 */   GIM_Try, /*On fail goto*//*Label 17587*/ GIMT_Encode4(1211146), // Rule ID 17373 //
     /* 1211071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1211074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1211079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1211082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1211085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1211088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211110 */     // MIs[0] round
     /* 1211110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211120 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1211123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211145 */     // GIR_Coverage, 17373,
     /* 1211145 */     GIR_EraseRootFromParent_Done,
     /* 1211146 */   // Label 17587: @1211146
     /* 1211146 */   GIM_Try, /*On fail goto*//*Label 17588*/ GIMT_Encode4(1211226), // Rule ID 17376 //
     /* 1211151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1211154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1211159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1211162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1211165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1211168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211190 */     // MIs[0] round
     /* 1211190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211200 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1211203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211225 */     // GIR_Coverage, 17376,
     /* 1211225 */     GIR_EraseRootFromParent_Done,
     /* 1211226 */   // Label 17588: @1211226
     /* 1211226 */   GIM_Try, /*On fail goto*//*Label 17589*/ GIMT_Encode4(1211306), // Rule ID 17377 //
     /* 1211231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1211234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1211239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1211242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1211245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1211248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211270 */     // MIs[0] round
     /* 1211270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211280 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1211283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211305 */     // GIR_Coverage, 17377,
     /* 1211305 */     GIR_EraseRootFromParent_Done,
     /* 1211306 */   // Label 17589: @1211306
     /* 1211306 */   GIM_Try, /*On fail goto*//*Label 17590*/ GIMT_Encode4(1211386), // Rule ID 17380 //
     /* 1211311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1211314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1211319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1211322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1211325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1211328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211350 */     // MIs[0] round
     /* 1211350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211360 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1211363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211385 */     // GIR_Coverage, 17380,
     /* 1211385 */     GIR_EraseRootFromParent_Done,
     /* 1211386 */   // Label 17590: @1211386
     /* 1211386 */   GIM_Try, /*On fail goto*//*Label 17591*/ GIMT_Encode4(1211466), // Rule ID 17381 //
     /* 1211391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1211394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1211399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1211402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1211405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1211408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211430 */     // MIs[0] round
     /* 1211430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211440 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1211443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211465 */     // GIR_Coverage, 17381,
     /* 1211465 */     GIR_EraseRootFromParent_Done,
     /* 1211466 */   // Label 17591: @1211466
     /* 1211466 */   GIM_Try, /*On fail goto*//*Label 17592*/ GIMT_Encode4(1211546), // Rule ID 17384 //
     /* 1211471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1211474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1211479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211510 */     // MIs[0] round
     /* 1211510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211520 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1211523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211545 */     // GIR_Coverage, 17384,
     /* 1211545 */     GIR_EraseRootFromParent_Done,
     /* 1211546 */   // Label 17592: @1211546
     /* 1211546 */   GIM_Try, /*On fail goto*//*Label 17593*/ GIMT_Encode4(1211626), // Rule ID 17385 //
     /* 1211551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1211554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1211559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211590 */     // MIs[0] round
     /* 1211590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211600 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1211603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211625 */     // GIR_Coverage, 17385,
     /* 1211625 */     GIR_EraseRootFromParent_Done,
     /* 1211626 */   // Label 17593: @1211626
     /* 1211626 */   GIM_Try, /*On fail goto*//*Label 17594*/ GIMT_Encode4(1211706), // Rule ID 17388 //
     /* 1211631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1211642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1211645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1211651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211670 */     // MIs[0] round
     /* 1211670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211680 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1211683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211705 */     // GIR_Coverage, 17388,
     /* 1211705 */     GIR_EraseRootFromParent_Done,
     /* 1211706 */   // Label 17594: @1211706
     /* 1211706 */   GIM_Try, /*On fail goto*//*Label 17595*/ GIMT_Encode4(1211786), // Rule ID 17389 //
     /* 1211711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1211722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1211725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1211731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211750 */     // MIs[0] round
     /* 1211750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211760 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1211763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211785 */     // GIR_Coverage, 17389,
     /* 1211785 */     GIR_EraseRootFromParent_Done,
     /* 1211786 */   // Label 17595: @1211786
     /* 1211786 */   GIM_Try, /*On fail goto*//*Label 17596*/ GIMT_Encode4(1211866), // Rule ID 17392 //
     /* 1211791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211830 */     // MIs[0] round
     /* 1211830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211840 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1211843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211865 */     // GIR_Coverage, 17392,
     /* 1211865 */     GIR_EraseRootFromParent_Done,
     /* 1211866 */   // Label 17596: @1211866
     /* 1211866 */   GIM_Try, /*On fail goto*//*Label 17597*/ GIMT_Encode4(1211946), // Rule ID 17393 //
     /* 1211871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211910 */     // MIs[0] round
     /* 1211910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211920 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1211923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211945 */     // GIR_Coverage, 17393,
     /* 1211945 */     GIR_EraseRootFromParent_Done,
     /* 1211946 */   // Label 17597: @1211946
     /* 1211946 */   GIM_Try, /*On fail goto*//*Label 17598*/ GIMT_Encode4(1212026), // Rule ID 17396 //
     /* 1211951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1211962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1211965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1211971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211990 */     // MIs[0] round
     /* 1211990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212000 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1212003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212025 */     // GIR_Coverage, 17396,
     /* 1212025 */     GIR_EraseRootFromParent_Done,
     /* 1212026 */   // Label 17598: @1212026
     /* 1212026 */   GIM_Try, /*On fail goto*//*Label 17599*/ GIMT_Encode4(1212106), // Rule ID 17397 //
     /* 1212031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1212042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1212045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1212048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1212051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212070 */     // MIs[0] round
     /* 1212070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212080 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1212083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212105 */     // GIR_Coverage, 17397,
     /* 1212105 */     GIR_EraseRootFromParent_Done,
     /* 1212106 */   // Label 17599: @1212106
     /* 1212106 */   GIM_Try, /*On fail goto*//*Label 17600*/ GIMT_Encode4(1212186), // Rule ID 17400 //
     /* 1212111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1212122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1212125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1212128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1212131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212150 */     // MIs[0] round
     /* 1212150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212160 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1212163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212185 */     // GIR_Coverage, 17400,
     /* 1212185 */     GIR_EraseRootFromParent_Done,
     /* 1212186 */   // Label 17600: @1212186
     /* 1212186 */   GIM_Try, /*On fail goto*//*Label 17601*/ GIMT_Encode4(1212266), // Rule ID 17401 //
     /* 1212191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1212202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1212205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1212208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1212211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212230 */     // MIs[0] round
     /* 1212230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212240 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1212243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212265 */     // GIR_Coverage, 17401,
     /* 1212265 */     GIR_EraseRootFromParent_Done,
     /* 1212266 */   // Label 17601: @1212266
     /* 1212266 */   GIM_Try, /*On fail goto*//*Label 17602*/ GIMT_Encode4(1212346), // Rule ID 17404 //
     /* 1212271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1212282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1212285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1212288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1212291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212310 */     // MIs[0] round
     /* 1212310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212320 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1212323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212345 */     // GIR_Coverage, 17404,
     /* 1212345 */     GIR_EraseRootFromParent_Done,
     /* 1212346 */   // Label 17602: @1212346
     /* 1212346 */   GIM_Try, /*On fail goto*//*Label 17603*/ GIMT_Encode4(1212426), // Rule ID 17405 //
     /* 1212351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1212362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1212365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1212368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1212371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212390 */     // MIs[0] round
     /* 1212390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212400 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1212403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212425 */     // GIR_Coverage, 17405,
     /* 1212425 */     GIR_EraseRootFromParent_Done,
     /* 1212426 */   // Label 17603: @1212426
     /* 1212426 */   GIM_Try, /*On fail goto*//*Label 17604*/ GIMT_Encode4(1212506), // Rule ID 17408 //
     /* 1212431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1212434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1212442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1212445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1212451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212470 */     // MIs[0] round
     /* 1212470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212480 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1212483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212505 */     // GIR_Coverage, 17408,
     /* 1212505 */     GIR_EraseRootFromParent_Done,
     /* 1212506 */   // Label 17604: @1212506
     /* 1212506 */   GIM_Try, /*On fail goto*//*Label 17605*/ GIMT_Encode4(1212586), // Rule ID 17409 //
     /* 1212511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1212514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1212522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1212525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1212531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212550 */     // MIs[0] round
     /* 1212550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212560 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1212563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212585 */     // GIR_Coverage, 17409,
     /* 1212585 */     GIR_EraseRootFromParent_Done,
     /* 1212586 */   // Label 17605: @1212586
     /* 1212586 */   GIM_Try, /*On fail goto*//*Label 17606*/ GIMT_Encode4(1212666), // Rule ID 17412 //
     /* 1212591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1212602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1212605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212630 */     // MIs[0] round
     /* 1212630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212640 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1212643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212665 */     // GIR_Coverage, 17412,
     /* 1212665 */     GIR_EraseRootFromParent_Done,
     /* 1212666 */   // Label 17606: @1212666
     /* 1212666 */   GIM_Try, /*On fail goto*//*Label 17607*/ GIMT_Encode4(1212746), // Rule ID 17413 //
     /* 1212671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1212682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1212685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212710 */     // MIs[0] round
     /* 1212710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212720 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1212723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212745 */     // GIR_Coverage, 17413,
     /* 1212745 */     GIR_EraseRootFromParent_Done,
     /* 1212746 */   // Label 17607: @1212746
     /* 1212746 */   GIM_Try, /*On fail goto*//*Label 17608*/ GIMT_Encode4(1212826), // Rule ID 17416 //
     /* 1212751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212790 */     // MIs[0] round
     /* 1212790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212800 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1212803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212825 */     // GIR_Coverage, 17416,
     /* 1212825 */     GIR_EraseRootFromParent_Done,
     /* 1212826 */   // Label 17608: @1212826
     /* 1212826 */   GIM_Try, /*On fail goto*//*Label 17609*/ GIMT_Encode4(1212906), // Rule ID 17417 //
     /* 1212831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212870 */     // MIs[0] round
     /* 1212870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212880 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1212883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212905 */     // GIR_Coverage, 17417,
     /* 1212905 */     GIR_EraseRootFromParent_Done,
     /* 1212906 */   // Label 17609: @1212906
     /* 1212906 */   GIM_Try, /*On fail goto*//*Label 17610*/ GIMT_Encode4(1212986), // Rule ID 17420 //
     /* 1212911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1212922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1212925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1212928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1212931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212950 */     // MIs[0] round
     /* 1212950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212960 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1212963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212985 */     // GIR_Coverage, 17420,
     /* 1212985 */     GIR_EraseRootFromParent_Done,
     /* 1212986 */   // Label 17610: @1212986
     /* 1212986 */   GIM_Try, /*On fail goto*//*Label 17611*/ GIMT_Encode4(1213066), // Rule ID 17421 //
     /* 1212991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1213002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1213005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1213008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1213011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213030 */     // MIs[0] round
     /* 1213030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213040 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1213043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213065 */     // GIR_Coverage, 17421,
     /* 1213065 */     GIR_EraseRootFromParent_Done,
     /* 1213066 */   // Label 17611: @1213066
     /* 1213066 */   GIM_Try, /*On fail goto*//*Label 17612*/ GIMT_Encode4(1213146), // Rule ID 17424 //
     /* 1213071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1213082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1213085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1213091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213110 */     // MIs[0] round
     /* 1213110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213120 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1213123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213145 */     // GIR_Coverage, 17424,
     /* 1213145 */     GIR_EraseRootFromParent_Done,
     /* 1213146 */   // Label 17612: @1213146
     /* 1213146 */   GIM_Try, /*On fail goto*//*Label 17613*/ GIMT_Encode4(1213226), // Rule ID 17425 //
     /* 1213151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1213162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1213165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1213171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213190 */     // MIs[0] round
     /* 1213190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213200 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1213203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213225 */     // GIR_Coverage, 17425,
     /* 1213225 */     GIR_EraseRootFromParent_Done,
     /* 1213226 */   // Label 17613: @1213226
     /* 1213226 */   GIM_Try, /*On fail goto*//*Label 17614*/ GIMT_Encode4(1213306), // Rule ID 17428 //
     /* 1213231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1213242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1213245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1213248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1213251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213270 */     // MIs[0] round
     /* 1213270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213280 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1213283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213305 */     // GIR_Coverage, 17428,
     /* 1213305 */     GIR_EraseRootFromParent_Done,
     /* 1213306 */   // Label 17614: @1213306
     /* 1213306 */   GIM_Try, /*On fail goto*//*Label 17615*/ GIMT_Encode4(1213386), // Rule ID 17429 //
     /* 1213311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1213322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1213325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1213328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1213331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213350 */     // MIs[0] round
     /* 1213350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213360 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1213363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213385 */     // GIR_Coverage, 17429,
     /* 1213385 */     GIR_EraseRootFromParent_Done,
     /* 1213386 */   // Label 17615: @1213386
     /* 1213386 */   GIM_Try, /*On fail goto*//*Label 17616*/ GIMT_Encode4(1213466), // Rule ID 17432 //
     /* 1213391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1213402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1213405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1213408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1213411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213430 */     // MIs[0] round
     /* 1213430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213440 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1213443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213465 */     // GIR_Coverage, 17432,
     /* 1213465 */     GIR_EraseRootFromParent_Done,
     /* 1213466 */   // Label 17616: @1213466
     /* 1213466 */   GIM_Try, /*On fail goto*//*Label 17617*/ GIMT_Encode4(1213546), // Rule ID 17433 //
     /* 1213471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1213482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1213485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1213488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1213491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213510 */     // MIs[0] round
     /* 1213510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213520 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1213523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213545 */     // GIR_Coverage, 17433,
     /* 1213545 */     GIR_EraseRootFromParent_Done,
     /* 1213546 */   // Label 17617: @1213546
     /* 1213546 */   GIM_Try, /*On fail goto*//*Label 17618*/ GIMT_Encode4(1213626), // Rule ID 17436 //
     /* 1213551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1213571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213590 */     // MIs[0] round
     /* 1213590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213600 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1213603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213625 */     // GIR_Coverage, 17436,
     /* 1213625 */     GIR_EraseRootFromParent_Done,
     /* 1213626 */   // Label 17618: @1213626
     /* 1213626 */   GIM_Try, /*On fail goto*//*Label 17619*/ GIMT_Encode4(1213706), // Rule ID 17437 //
     /* 1213631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1213651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213670 */     // MIs[0] round
     /* 1213670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213680 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1213683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213705 */     // GIR_Coverage, 17437,
     /* 1213705 */     GIR_EraseRootFromParent_Done,
     /* 1213706 */   // Label 17619: @1213706
     /* 1213706 */   GIM_Try, /*On fail goto*//*Label 17620*/ GIMT_Encode4(1213786), // Rule ID 17440 //
     /* 1213711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213750 */     // MIs[0] round
     /* 1213750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213760 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1213763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213785 */     // GIR_Coverage, 17440,
     /* 1213785 */     GIR_EraseRootFromParent_Done,
     /* 1213786 */   // Label 17620: @1213786
     /* 1213786 */   GIM_Try, /*On fail goto*//*Label 17621*/ GIMT_Encode4(1213866), // Rule ID 17441 //
     /* 1213791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213830 */     // MIs[0] round
     /* 1213830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213840 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1213843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213865 */     // GIR_Coverage, 17441,
     /* 1213865 */     GIR_EraseRootFromParent_Done,
     /* 1213866 */   // Label 17621: @1213866
     /* 1213866 */   GIM_Try, /*On fail goto*//*Label 17622*/ GIMT_Encode4(1213946), // Rule ID 17444 //
     /* 1213871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213910 */     // MIs[0] round
     /* 1213910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213920 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1213923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213945 */     // GIR_Coverage, 17444,
     /* 1213945 */     GIR_EraseRootFromParent_Done,
     /* 1213946 */   // Label 17622: @1213946
     /* 1213946 */   GIM_Try, /*On fail goto*//*Label 17623*/ GIMT_Encode4(1214026), // Rule ID 17445 //
     /* 1213951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213990 */     // MIs[0] round
     /* 1213990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214000 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1214003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214025 */     // GIR_Coverage, 17445,
     /* 1214025 */     GIR_EraseRootFromParent_Done,
     /* 1214026 */   // Label 17623: @1214026
     /* 1214026 */   GIM_Try, /*On fail goto*//*Label 17624*/ GIMT_Encode4(1214106), // Rule ID 17448 //
     /* 1214031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1214042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1214045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1214048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214070 */     // MIs[0] round
     /* 1214070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214080 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1214083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214105 */     // GIR_Coverage, 17448,
     /* 1214105 */     GIR_EraseRootFromParent_Done,
     /* 1214106 */   // Label 17624: @1214106
     /* 1214106 */   GIM_Try, /*On fail goto*//*Label 17625*/ GIMT_Encode4(1214186), // Rule ID 17449 //
     /* 1214111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1214122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1214125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1214128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214150 */     // MIs[0] round
     /* 1214150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214160 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1214163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214185 */     // GIR_Coverage, 17449,
     /* 1214185 */     GIR_EraseRootFromParent_Done,
     /* 1214186 */   // Label 17625: @1214186
     /* 1214186 */   GIM_Try, /*On fail goto*//*Label 17626*/ GIMT_Encode4(1214266), // Rule ID 17452 //
     /* 1214191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1214202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1214205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1214208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214230 */     // MIs[0] round
     /* 1214230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214240 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1214243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214265 */     // GIR_Coverage, 17452,
     /* 1214265 */     GIR_EraseRootFromParent_Done,
     /* 1214266 */   // Label 17626: @1214266
     /* 1214266 */   GIM_Try, /*On fail goto*//*Label 17627*/ GIMT_Encode4(1214346), // Rule ID 17453 //
     /* 1214271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1214282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1214285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1214288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214310 */     // MIs[0] round
     /* 1214310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214320 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1214323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214345 */     // GIR_Coverage, 17453,
     /* 1214345 */     GIR_EraseRootFromParent_Done,
     /* 1214346 */   // Label 17627: @1214346
     /* 1214346 */   GIM_Try, /*On fail goto*//*Label 17628*/ GIMT_Encode4(1214426), // Rule ID 17456 //
     /* 1214351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1214354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1214362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1214365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1214368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214390 */     // MIs[0] round
     /* 1214390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214400 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1214403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214425 */     // GIR_Coverage, 17456,
     /* 1214425 */     GIR_EraseRootFromParent_Done,
     /* 1214426 */   // Label 17628: @1214426
     /* 1214426 */   GIM_Try, /*On fail goto*//*Label 17629*/ GIMT_Encode4(1214506), // Rule ID 17457 //
     /* 1214431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1214442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1214445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1214448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214470 */     // MIs[0] round
     /* 1214470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214480 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1214483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214505 */     // GIR_Coverage, 17457,
     /* 1214505 */     GIR_EraseRootFromParent_Done,
     /* 1214506 */   // Label 17629: @1214506
     /* 1214506 */   GIM_Try, /*On fail goto*//*Label 17630*/ GIMT_Encode4(1214586), // Rule ID 17460 //
     /* 1214511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1214522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1214525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214550 */     // MIs[0] round
     /* 1214550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214560 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1214563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214585 */     // GIR_Coverage, 17460,
     /* 1214585 */     GIR_EraseRootFromParent_Done,
     /* 1214586 */   // Label 17630: @1214586
     /* 1214586 */   GIM_Try, /*On fail goto*//*Label 17631*/ GIMT_Encode4(1214666), // Rule ID 17461 //
     /* 1214591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1214602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1214605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214630 */     // MIs[0] round
     /* 1214630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214640 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1214643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214665 */     // GIR_Coverage, 17461,
     /* 1214665 */     GIR_EraseRootFromParent_Done,
     /* 1214666 */   // Label 17631: @1214666
     /* 1214666 */   GIM_Try, /*On fail goto*//*Label 17632*/ GIMT_Encode4(1214746), // Rule ID 17464 //
     /* 1214671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1214674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214710 */     // MIs[0] round
     /* 1214710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214720 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1214723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214745 */     // GIR_Coverage, 17464,
     /* 1214745 */     GIR_EraseRootFromParent_Done,
     /* 1214746 */   // Label 17632: @1214746
     /* 1214746 */   GIM_Try, /*On fail goto*//*Label 17633*/ GIMT_Encode4(1214826), // Rule ID 17465 //
     /* 1214751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214790 */     // MIs[0] round
     /* 1214790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214800 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1214803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214825 */     // GIR_Coverage, 17465,
     /* 1214825 */     GIR_EraseRootFromParent_Done,
     /* 1214826 */   // Label 17633: @1214826
     /* 1214826 */   GIM_Try, /*On fail goto*//*Label 17634*/ GIMT_Encode4(1214906), // Rule ID 17468 //
     /* 1214831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1214834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214870 */     // MIs[0] round
     /* 1214870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214880 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1214883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214905 */     // GIR_Coverage, 17468,
     /* 1214905 */     GIR_EraseRootFromParent_Done,
     /* 1214906 */   // Label 17634: @1214906
     /* 1214906 */   GIM_Try, /*On fail goto*//*Label 17635*/ GIMT_Encode4(1214986), // Rule ID 17469 //
     /* 1214911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1214914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214950 */     // MIs[0] round
     /* 1214950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214960 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1214963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214985 */     // GIR_Coverage, 17469,
     /* 1214985 */     GIR_EraseRootFromParent_Done,
     /* 1214986 */   // Label 17635: @1214986
     /* 1214986 */   GIM_Try, /*On fail goto*//*Label 17636*/ GIMT_Encode4(1215066), // Rule ID 17472 //
     /* 1214991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1215002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1215005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1215008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215030 */     // MIs[0] round
     /* 1215030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215040 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1215043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215065 */     // GIR_Coverage, 17472,
     /* 1215065 */     GIR_EraseRootFromParent_Done,
     /* 1215066 */   // Label 17636: @1215066
     /* 1215066 */   GIM_Try, /*On fail goto*//*Label 17637*/ GIMT_Encode4(1215146), // Rule ID 17473 //
     /* 1215071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1215082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1215085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1215088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215110 */     // MIs[0] round
     /* 1215110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215120 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1215123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215145 */     // GIR_Coverage, 17473,
     /* 1215145 */     GIR_EraseRootFromParent_Done,
     /* 1215146 */   // Label 17637: @1215146
     /* 1215146 */   GIM_Try, /*On fail goto*//*Label 17638*/ GIMT_Encode4(1215226), // Rule ID 17476 //
     /* 1215151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1215162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1215165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1215168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215190 */     // MIs[0] round
     /* 1215190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215200 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1215203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215225 */     // GIR_Coverage, 17476,
     /* 1215225 */     GIR_EraseRootFromParent_Done,
     /* 1215226 */   // Label 17638: @1215226
     /* 1215226 */   GIM_Try, /*On fail goto*//*Label 17639*/ GIMT_Encode4(1215306), // Rule ID 17477 //
     /* 1215231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1215242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1215245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1215248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215270 */     // MIs[0] round
     /* 1215270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215280 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1215283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215305 */     // GIR_Coverage, 17477,
     /* 1215305 */     GIR_EraseRootFromParent_Done,
     /* 1215306 */   // Label 17639: @1215306
     /* 1215306 */   GIM_Try, /*On fail goto*//*Label 17640*/ GIMT_Encode4(1215386), // Rule ID 17480 //
     /* 1215311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1215322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1215325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1215328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215350 */     // MIs[0] round
     /* 1215350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215360 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1215363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215385 */     // GIR_Coverage, 17480,
     /* 1215385 */     GIR_EraseRootFromParent_Done,
     /* 1215386 */   // Label 17640: @1215386
     /* 1215386 */   GIM_Try, /*On fail goto*//*Label 17641*/ GIMT_Encode4(1215466), // Rule ID 17481 //
     /* 1215391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1215402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1215405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1215408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215430 */     // MIs[0] round
     /* 1215430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215440 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1215443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215465 */     // GIR_Coverage, 17481,
     /* 1215465 */     GIR_EraseRootFromParent_Done,
     /* 1215466 */   // Label 17641: @1215466
     /* 1215466 */   GIM_Try, /*On fail goto*//*Label 17642*/ GIMT_Encode4(1215546), // Rule ID 17484 //
     /* 1215471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1215482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1215485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215510 */     // MIs[0] round
     /* 1215510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215520 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1215523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215545 */     // GIR_Coverage, 17484,
     /* 1215545 */     GIR_EraseRootFromParent_Done,
     /* 1215546 */   // Label 17642: @1215546
     /* 1215546 */   GIM_Try, /*On fail goto*//*Label 17643*/ GIMT_Encode4(1215626), // Rule ID 17485 //
     /* 1215551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1215562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1215565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215590 */     // MIs[0] round
     /* 1215590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215600 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1215603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215625 */     // GIR_Coverage, 17485,
     /* 1215625 */     GIR_EraseRootFromParent_Done,
     /* 1215626 */   // Label 17643: @1215626
     /* 1215626 */   GIM_Try, /*On fail goto*//*Label 17644*/ GIMT_Encode4(1215706), // Rule ID 17488 //
     /* 1215631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1215642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1215645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215670 */     // MIs[0] round
     /* 1215670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215680 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1215683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215705 */     // GIR_Coverage, 17488,
     /* 1215705 */     GIR_EraseRootFromParent_Done,
     /* 1215706 */   // Label 17644: @1215706
     /* 1215706 */   GIM_Try, /*On fail goto*//*Label 17645*/ GIMT_Encode4(1215786), // Rule ID 17489 //
     /* 1215711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1215722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1215725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215750 */     // MIs[0] round
     /* 1215750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215760 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1215763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215785 */     // GIR_Coverage, 17489,
     /* 1215785 */     GIR_EraseRootFromParent_Done,
     /* 1215786 */   // Label 17645: @1215786
     /* 1215786 */   GIM_Try, /*On fail goto*//*Label 17646*/ GIMT_Encode4(1215866), // Rule ID 17492 //
     /* 1215791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215830 */     // MIs[0] round
     /* 1215830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215840 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1215843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215865 */     // GIR_Coverage, 17492,
     /* 1215865 */     GIR_EraseRootFromParent_Done,
     /* 1215866 */   // Label 17646: @1215866
     /* 1215866 */   GIM_Try, /*On fail goto*//*Label 17647*/ GIMT_Encode4(1215946), // Rule ID 17493 //
     /* 1215871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215910 */     // MIs[0] round
     /* 1215910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215920 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1215923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215945 */     // GIR_Coverage, 17493,
     /* 1215945 */     GIR_EraseRootFromParent_Done,
     /* 1215946 */   // Label 17647: @1215946
     /* 1215946 */   GIM_Try, /*On fail goto*//*Label 17648*/ GIMT_Encode4(1216026), // Rule ID 17496 //
     /* 1215951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1215962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1215965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1215968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215990 */     // MIs[0] round
     /* 1215990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216000 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1216003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216025 */     // GIR_Coverage, 17496,
     /* 1216025 */     GIR_EraseRootFromParent_Done,
     /* 1216026 */   // Label 17648: @1216026
     /* 1216026 */   GIM_Try, /*On fail goto*//*Label 17649*/ GIMT_Encode4(1216106), // Rule ID 17497 //
     /* 1216031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1216042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1216045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1216048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216070 */     // MIs[0] round
     /* 1216070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216080 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1216083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216105 */     // GIR_Coverage, 17497,
     /* 1216105 */     GIR_EraseRootFromParent_Done,
     /* 1216106 */   // Label 17649: @1216106
     /* 1216106 */   GIM_Try, /*On fail goto*//*Label 17650*/ GIMT_Encode4(1216186), // Rule ID 17500 //
     /* 1216111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1216114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1216122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1216125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1216128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216150 */     // MIs[0] round
     /* 1216150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216160 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1216163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216185 */     // GIR_Coverage, 17500,
     /* 1216185 */     GIR_EraseRootFromParent_Done,
     /* 1216186 */   // Label 17650: @1216186
     /* 1216186 */   GIM_Try, /*On fail goto*//*Label 17651*/ GIMT_Encode4(1216266), // Rule ID 17501 //
     /* 1216191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1216202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1216205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1216208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216230 */     // MIs[0] round
     /* 1216230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216240 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1216243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216265 */     // GIR_Coverage, 17501,
     /* 1216265 */     GIR_EraseRootFromParent_Done,
     /* 1216266 */   // Label 17651: @1216266
     /* 1216266 */   GIM_Try, /*On fail goto*//*Label 17652*/ GIMT_Encode4(1216346), // Rule ID 17504 //
     /* 1216271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1216274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1216282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1216285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1216288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216310 */     // MIs[0] round
     /* 1216310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216320 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1216323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216345 */     // GIR_Coverage, 17504,
     /* 1216345 */     GIR_EraseRootFromParent_Done,
     /* 1216346 */   // Label 17652: @1216346
     /* 1216346 */   GIM_Try, /*On fail goto*//*Label 17653*/ GIMT_Encode4(1216426), // Rule ID 17505 //
     /* 1216351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1216362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1216365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1216368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216390 */     // MIs[0] round
     /* 1216390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216400 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1216403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216425 */     // GIR_Coverage, 17505,
     /* 1216425 */     GIR_EraseRootFromParent_Done,
     /* 1216426 */   // Label 17653: @1216426
     /* 1216426 */   GIM_Try, /*On fail goto*//*Label 17654*/ GIMT_Encode4(1216506), // Rule ID 17508 //
     /* 1216431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1216442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1216445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1216448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1216451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216470 */     // MIs[0] round
     /* 1216470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216480 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1216483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216505 */     // GIR_Coverage, 17508,
     /* 1216505 */     GIR_EraseRootFromParent_Done,
     /* 1216506 */   // Label 17654: @1216506
     /* 1216506 */   GIM_Try, /*On fail goto*//*Label 17655*/ GIMT_Encode4(1216586), // Rule ID 17509 //
     /* 1216511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1216522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1216525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1216528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1216531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216550 */     // MIs[0] round
     /* 1216550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216560 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1216563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216585 */     // GIR_Coverage, 17509,
     /* 1216585 */     GIR_EraseRootFromParent_Done,
     /* 1216586 */   // Label 17655: @1216586
     /* 1216586 */   GIM_Try, /*On fail goto*//*Label 17656*/ GIMT_Encode4(1216666), // Rule ID 17512 //
     /* 1216591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1216611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216630 */     // MIs[0] round
     /* 1216630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216640 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1216643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216665 */     // GIR_Coverage, 17512,
     /* 1216665 */     GIR_EraseRootFromParent_Done,
     /* 1216666 */   // Label 17656: @1216666
     /* 1216666 */   GIM_Try, /*On fail goto*//*Label 17657*/ GIMT_Encode4(1216746), // Rule ID 17513 //
     /* 1216671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1216691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216710 */     // MIs[0] round
     /* 1216710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216720 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1216723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216745 */     // GIR_Coverage, 17513,
     /* 1216745 */     GIR_EraseRootFromParent_Done,
     /* 1216746 */   // Label 17657: @1216746
     /* 1216746 */   GIM_Try, /*On fail goto*//*Label 17658*/ GIMT_Encode4(1216826), // Rule ID 17516 //
     /* 1216751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1216771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216790 */     // MIs[0] round
     /* 1216790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216800 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1216803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216825 */     // GIR_Coverage, 17516,
     /* 1216825 */     GIR_EraseRootFromParent_Done,
     /* 1216826 */   // Label 17658: @1216826
     /* 1216826 */   GIM_Try, /*On fail goto*//*Label 17659*/ GIMT_Encode4(1216906), // Rule ID 17517 //
     /* 1216831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1216851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216870 */     // MIs[0] round
     /* 1216870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216880 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1216883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216905 */     // GIR_Coverage, 17517,
     /* 1216905 */     GIR_EraseRootFromParent_Done,
     /* 1216906 */   // Label 17659: @1216906
     /* 1216906 */   GIM_Try, /*On fail goto*//*Label 17660*/ GIMT_Encode4(1216986), // Rule ID 17520 //
     /* 1216911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216950 */     // MIs[0] round
     /* 1216950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216960 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1216963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216985 */     // GIR_Coverage, 17520,
     /* 1216985 */     GIR_EraseRootFromParent_Done,
     /* 1216986 */   // Label 17660: @1216986
     /* 1216986 */   GIM_Try, /*On fail goto*//*Label 17661*/ GIMT_Encode4(1217066), // Rule ID 17521 //
     /* 1216991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1217002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1217005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1217008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1217011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217030 */     // MIs[0] round
     /* 1217030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217040 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1217043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217065 */     // GIR_Coverage, 17521,
     /* 1217065 */     GIR_EraseRootFromParent_Done,
     /* 1217066 */   // Label 17661: @1217066
     /* 1217066 */   GIM_Try, /*On fail goto*//*Label 17662*/ GIMT_Encode4(1217146), // Rule ID 17524 //
     /* 1217071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1217082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1217085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1217088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1217091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217110 */     // MIs[0] round
     /* 1217110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217120 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1217123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217145 */     // GIR_Coverage, 17524,
     /* 1217145 */     GIR_EraseRootFromParent_Done,
     /* 1217146 */   // Label 17662: @1217146
     /* 1217146 */   GIM_Try, /*On fail goto*//*Label 17663*/ GIMT_Encode4(1217226), // Rule ID 17525 //
     /* 1217151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1217162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1217165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1217168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1217171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217190 */     // MIs[0] round
     /* 1217190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217200 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1217203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217225 */     // GIR_Coverage, 17525,
     /* 1217225 */     GIR_EraseRootFromParent_Done,
     /* 1217226 */   // Label 17663: @1217226
     /* 1217226 */   GIM_Try, /*On fail goto*//*Label 17664*/ GIMT_Encode4(1217306), // Rule ID 17528 //
     /* 1217231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1217242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1217245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1217248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1217251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217270 */     // MIs[0] round
     /* 1217270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217280 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1217283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217305 */     // GIR_Coverage, 17528,
     /* 1217305 */     GIR_EraseRootFromParent_Done,
     /* 1217306 */   // Label 17664: @1217306
     /* 1217306 */   GIM_Try, /*On fail goto*//*Label 17665*/ GIMT_Encode4(1217386), // Rule ID 17529 //
     /* 1217311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1217314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1217322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1217325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1217328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1217331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217350 */     // MIs[0] round
     /* 1217350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217360 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1217363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217385 */     // GIR_Coverage, 17529,
     /* 1217385 */     GIR_EraseRootFromParent_Done,
     /* 1217386 */   // Label 17665: @1217386
     /* 1217386 */   GIM_Try, /*On fail goto*//*Label 17666*/ GIMT_Encode4(1217466), // Rule ID 17532 //
     /* 1217391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1217402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1217405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1217411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217430 */     // MIs[0] round
     /* 1217430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217440 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1217443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217465 */     // GIR_Coverage, 17532,
     /* 1217465 */     GIR_EraseRootFromParent_Done,
     /* 1217466 */   // Label 17666: @1217466
     /* 1217466 */   GIM_Try, /*On fail goto*//*Label 17667*/ GIMT_Encode4(1217546), // Rule ID 17533 //
     /* 1217471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1217482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1217485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1217491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217510 */     // MIs[0] round
     /* 1217510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217520 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1217523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217545 */     // GIR_Coverage, 17533,
     /* 1217545 */     GIR_EraseRootFromParent_Done,
     /* 1217546 */   // Label 17667: @1217546
     /* 1217546 */   GIM_Try, /*On fail goto*//*Label 17668*/ GIMT_Encode4(1217626), // Rule ID 17536 //
     /* 1217551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1217571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217590 */     // MIs[0] round
     /* 1217590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217600 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1217603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217625 */     // GIR_Coverage, 17536,
     /* 1217625 */     GIR_EraseRootFromParent_Done,
     /* 1217626 */   // Label 17668: @1217626
     /* 1217626 */   GIM_Try, /*On fail goto*//*Label 17669*/ GIMT_Encode4(1217706), // Rule ID 17537 //
     /* 1217631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1217651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217670 */     // MIs[0] round
     /* 1217670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217680 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1217683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217705 */     // GIR_Coverage, 17537,
     /* 1217705 */     GIR_EraseRootFromParent_Done,
     /* 1217706 */   // Label 17669: @1217706
     /* 1217706 */   GIM_Try, /*On fail goto*//*Label 17670*/ GIMT_Encode4(1217786), // Rule ID 17540 //
     /* 1217711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1217731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217750 */     // MIs[0] round
     /* 1217750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217760 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1217763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217785 */     // GIR_Coverage, 17540,
     /* 1217785 */     GIR_EraseRootFromParent_Done,
     /* 1217786 */   // Label 17670: @1217786
     /* 1217786 */   GIM_Try, /*On fail goto*//*Label 17671*/ GIMT_Encode4(1217866), // Rule ID 17541 //
     /* 1217791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1217811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217830 */     // MIs[0] round
     /* 1217830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217840 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1217843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217865 */     // GIR_Coverage, 17541,
     /* 1217865 */     GIR_EraseRootFromParent_Done,
     /* 1217866 */   // Label 17671: @1217866
     /* 1217866 */   GIM_Try, /*On fail goto*//*Label 17672*/ GIMT_Encode4(1217946), // Rule ID 17544 //
     /* 1217871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1217891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217910 */     // MIs[0] round
     /* 1217910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217920 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1217923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217945 */     // GIR_Coverage, 17544,
     /* 1217945 */     GIR_EraseRootFromParent_Done,
     /* 1217946 */   // Label 17672: @1217946
     /* 1217946 */   GIM_Try, /*On fail goto*//*Label 17673*/ GIMT_Encode4(1218026), // Rule ID 17545 //
     /* 1217951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1217971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217990 */     // MIs[0] round
     /* 1217990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218000 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1218003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218025 */     // GIR_Coverage, 17545,
     /* 1218025 */     GIR_EraseRootFromParent_Done,
     /* 1218026 */   // Label 17673: @1218026
     /* 1218026 */   GIM_Try, /*On fail goto*//*Label 17674*/ GIMT_Encode4(1218106), // Rule ID 17548 //
     /* 1218031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1218034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1218042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1218045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1218048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1218051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218070 */     // MIs[0] round
     /* 1218070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218080 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1218083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218105 */     // GIR_Coverage, 17548,
     /* 1218105 */     GIR_EraseRootFromParent_Done,
     /* 1218106 */   // Label 17674: @1218106
     /* 1218106 */   GIM_Try, /*On fail goto*//*Label 17675*/ GIMT_Encode4(1218186), // Rule ID 17549 //
     /* 1218111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1218114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1218122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1218125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1218128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1218131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218150 */     // MIs[0] round
     /* 1218150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218160 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1218163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218185 */     // GIR_Coverage, 17549,
     /* 1218185 */     GIR_EraseRootFromParent_Done,
     /* 1218186 */   // Label 17675: @1218186
     /* 1218186 */   GIM_Try, /*On fail goto*//*Label 17676*/ GIMT_Encode4(1218266), // Rule ID 17552 //
     /* 1218191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1218194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1218202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1218205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1218208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1218211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218230 */     // MIs[0] round
     /* 1218230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218240 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1218243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218265 */     // GIR_Coverage, 17552,
     /* 1218265 */     GIR_EraseRootFromParent_Done,
     /* 1218266 */   // Label 17676: @1218266
     /* 1218266 */   GIM_Try, /*On fail goto*//*Label 17677*/ GIMT_Encode4(1218346), // Rule ID 17553 //
     /* 1218271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1218274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1218282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1218285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1218288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1218291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218310 */     // MIs[0] round
     /* 1218310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218320 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1218323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218345 */     // GIR_Coverage, 17553,
     /* 1218345 */     GIR_EraseRootFromParent_Done,
     /* 1218346 */   // Label 17677: @1218346
     /* 1218346 */   GIM_Try, /*On fail goto*//*Label 17678*/ GIMT_Encode4(1218426), // Rule ID 17556 //
     /* 1218351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1218362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1218365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1218368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1218371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218390 */     // MIs[0] round
     /* 1218390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218400 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1218403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218425 */     // GIR_Coverage, 17556,
     /* 1218425 */     GIR_EraseRootFromParent_Done,
     /* 1218426 */   // Label 17678: @1218426
     /* 1218426 */   GIM_Try, /*On fail goto*//*Label 17679*/ GIMT_Encode4(1218506), // Rule ID 17557 //
     /* 1218431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1218442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1218445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1218448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1218451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218470 */     // MIs[0] round
     /* 1218470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218480 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1218483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218505 */     // GIR_Coverage, 17557,
     /* 1218505 */     GIR_EraseRootFromParent_Done,
     /* 1218506 */   // Label 17679: @1218506
     /* 1218506 */   GIM_Try, /*On fail goto*//*Label 17680*/ GIMT_Encode4(1218586), // Rule ID 17560 //
     /* 1218511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1218531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218550 */     // MIs[0] round
     /* 1218550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218560 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1218563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218585 */     // GIR_Coverage, 17560,
     /* 1218585 */     GIR_EraseRootFromParent_Done,
     /* 1218586 */   // Label 17680: @1218586
     /* 1218586 */   GIM_Try, /*On fail goto*//*Label 17681*/ GIMT_Encode4(1218666), // Rule ID 17561 //
     /* 1218591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1218611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218630 */     // MIs[0] round
     /* 1218630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218640 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1218643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218665 */     // GIR_Coverage, 17561,
     /* 1218665 */     GIR_EraseRootFromParent_Done,
     /* 1218666 */   // Label 17681: @1218666
     /* 1218666 */   GIM_Try, /*On fail goto*//*Label 17682*/ GIMT_Encode4(1218746), // Rule ID 17564 //
     /* 1218671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1218691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218710 */     // MIs[0] round
     /* 1218710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218720 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1218723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218745 */     // GIR_Coverage, 17564,
     /* 1218745 */     GIR_EraseRootFromParent_Done,
     /* 1218746 */   // Label 17682: @1218746
     /* 1218746 */   GIM_Try, /*On fail goto*//*Label 17683*/ GIMT_Encode4(1218826), // Rule ID 17565 //
     /* 1218751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1218771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218790 */     // MIs[0] round
     /* 1218790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218800 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1218803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218825 */     // GIR_Coverage, 17565,
     /* 1218825 */     GIR_EraseRootFromParent_Done,
     /* 1218826 */   // Label 17683: @1218826
     /* 1218826 */   GIM_Try, /*On fail goto*//*Label 17684*/ GIMT_Encode4(1218906), // Rule ID 17568 //
     /* 1218831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1218842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1218845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218870 */     // MIs[0] round
     /* 1218870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218880 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1218883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218905 */     // GIR_Coverage, 17568,
     /* 1218905 */     GIR_EraseRootFromParent_Done,
     /* 1218906 */   // Label 17684: @1218906
     /* 1218906 */   GIM_Try, /*On fail goto*//*Label 17685*/ GIMT_Encode4(1218986), // Rule ID 17569 //
     /* 1218911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1218922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1218925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218950 */     // MIs[0] round
     /* 1218950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218960 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1218963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218985 */     // GIR_Coverage, 17569,
     /* 1218985 */     GIR_EraseRootFromParent_Done,
     /* 1218986 */   // Label 17685: @1218986
     /* 1218986 */   GIM_Try, /*On fail goto*//*Label 17686*/ GIMT_Encode4(1219066), // Rule ID 17572 //
     /* 1218991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1219002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1219005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1219008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219030 */     // MIs[0] round
     /* 1219030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219040 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1219043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219065 */     // GIR_Coverage, 17572,
     /* 1219065 */     GIR_EraseRootFromParent_Done,
     /* 1219066 */   // Label 17686: @1219066
     /* 1219066 */   GIM_Try, /*On fail goto*//*Label 17687*/ GIMT_Encode4(1219146), // Rule ID 17573 //
     /* 1219071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1219074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1219082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1219085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1219088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219110 */     // MIs[0] round
     /* 1219110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219120 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1219123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219145 */     // GIR_Coverage, 17573,
     /* 1219145 */     GIR_EraseRootFromParent_Done,
     /* 1219146 */   // Label 17687: @1219146
     /* 1219146 */   GIM_Try, /*On fail goto*//*Label 17688*/ GIMT_Encode4(1219226), // Rule ID 17576 //
     /* 1219151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1219162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1219165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219190 */     // MIs[0] round
     /* 1219190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219200 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1219203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219225 */     // GIR_Coverage, 17576,
     /* 1219225 */     GIR_EraseRootFromParent_Done,
     /* 1219226 */   // Label 17688: @1219226
     /* 1219226 */   GIM_Try, /*On fail goto*//*Label 17689*/ GIMT_Encode4(1219306), // Rule ID 17577 //
     /* 1219231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1219234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1219242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1219245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219270 */     // MIs[0] round
     /* 1219270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219280 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1219283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219305 */     // GIR_Coverage, 17577,
     /* 1219305 */     GIR_EraseRootFromParent_Done,
     /* 1219306 */   // Label 17689: @1219306
     /* 1219306 */   GIM_Try, /*On fail goto*//*Label 17690*/ GIMT_Encode4(1219386), // Rule ID 17580 //
     /* 1219311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1219314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1219322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1219325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1219328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219350 */     // MIs[0] round
     /* 1219350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219360 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1219363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219385 */     // GIR_Coverage, 17580,
     /* 1219385 */     GIR_EraseRootFromParent_Done,
     /* 1219386 */   // Label 17690: @1219386
     /* 1219386 */   GIM_Try, /*On fail goto*//*Label 17691*/ GIMT_Encode4(1219466), // Rule ID 17581 //
     /* 1219391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1219394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1219402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1219405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1219408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219430 */     // MIs[0] round
     /* 1219430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219440 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1219443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219465 */     // GIR_Coverage, 17581,
     /* 1219465 */     GIR_EraseRootFromParent_Done,
     /* 1219466 */   // Label 17691: @1219466
     /* 1219466 */   GIM_Try, /*On fail goto*//*Label 17692*/ GIMT_Encode4(1219546), // Rule ID 17584 //
     /* 1219471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1219485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219510 */     // MIs[0] round
     /* 1219510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219520 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1219523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219545 */     // GIR_Coverage, 17584,
     /* 1219545 */     GIR_EraseRootFromParent_Done,
     /* 1219546 */   // Label 17692: @1219546
     /* 1219546 */   GIM_Try, /*On fail goto*//*Label 17693*/ GIMT_Encode4(1219626), // Rule ID 17585 //
     /* 1219551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1219554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1219565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219590 */     // MIs[0] round
     /* 1219590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219600 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1219603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219625 */     // GIR_Coverage, 17585,
     /* 1219625 */     GIR_EraseRootFromParent_Done,
     /* 1219626 */   // Label 17693: @1219626
     /* 1219626 */   GIM_Try, /*On fail goto*//*Label 17694*/ GIMT_Encode4(1219706), // Rule ID 17588 //
     /* 1219631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1219634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1219648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1219670 */     // MIs[0] round
     /* 1219670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219680 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1219683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219705 */     // GIR_Coverage, 17588,
     /* 1219705 */     GIR_EraseRootFromParent_Done,
     /* 1219706 */   // Label 17694: @1219706
     /* 1219706 */   GIM_Try, /*On fail goto*//*Label 17695*/ GIMT_Encode4(1219786), // Rule ID 17589 //
     /* 1219711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1219714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1219728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1219750 */     // MIs[0] round
     /* 1219750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219760 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1219763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219785 */     // GIR_Coverage, 17589,
     /* 1219785 */     GIR_EraseRootFromParent_Done,
     /* 1219786 */   // Label 17695: @1219786
     /* 1219786 */   GIM_Try, /*On fail goto*//*Label 17696*/ GIMT_Encode4(1219866), // Rule ID 17592 //
     /* 1219791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1219794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1219802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1219805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219830 */     // MIs[0] round
     /* 1219830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219840 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1219843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219865 */     // GIR_Coverage, 17592,
     /* 1219865 */     GIR_EraseRootFromParent_Done,
     /* 1219866 */   // Label 17696: @1219866
     /* 1219866 */   GIM_Try, /*On fail goto*//*Label 17697*/ GIMT_Encode4(1219946), // Rule ID 17593 //
     /* 1219871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1219874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1219882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1219885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219910 */     // MIs[0] round
     /* 1219910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219920 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1219923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219945 */     // GIR_Coverage, 17593,
     /* 1219945 */     GIR_EraseRootFromParent_Done,
     /* 1219946 */   // Label 17697: @1219946
     /* 1219946 */   GIM_Try, /*On fail goto*//*Label 17698*/ GIMT_Encode4(1220026), // Rule ID 17596 //
     /* 1219951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1219954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1219962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1219965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219990 */     // MIs[0] round
     /* 1219990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220000 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1220003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220025 */     // GIR_Coverage, 17596,
     /* 1220025 */     GIR_EraseRootFromParent_Done,
     /* 1220026 */   // Label 17698: @1220026
     /* 1220026 */   GIM_Try, /*On fail goto*//*Label 17699*/ GIMT_Encode4(1220106), // Rule ID 17597 //
     /* 1220031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1220042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1220045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1220048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220070 */     // MIs[0] round
     /* 1220070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220080 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1220083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220105 */     // GIR_Coverage, 17597,
     /* 1220105 */     GIR_EraseRootFromParent_Done,
     /* 1220106 */   // Label 17699: @1220106
     /* 1220106 */   GIM_Try, /*On fail goto*//*Label 17700*/ GIMT_Encode4(1220186), // Rule ID 17600 //
     /* 1220111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1220122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1220125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1220128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220150 */     // MIs[0] round
     /* 1220150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220160 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1220163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220185 */     // GIR_Coverage, 17600,
     /* 1220185 */     GIR_EraseRootFromParent_Done,
     /* 1220186 */   // Label 17700: @1220186
     /* 1220186 */   GIM_Try, /*On fail goto*//*Label 17701*/ GIMT_Encode4(1220266), // Rule ID 17601 //
     /* 1220191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1220202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1220205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1220208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220230 */     // MIs[0] round
     /* 1220230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220240 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1220243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220265 */     // GIR_Coverage, 17601,
     /* 1220265 */     GIR_EraseRootFromParent_Done,
     /* 1220266 */   // Label 17701: @1220266
     /* 1220266 */   GIM_Try, /*On fail goto*//*Label 17702*/ GIMT_Encode4(1220346), // Rule ID 17604 //
     /* 1220271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1220274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1220282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1220285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1220288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220310 */     // MIs[0] round
     /* 1220310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220320 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1220323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220345 */     // GIR_Coverage, 17604,
     /* 1220345 */     GIR_EraseRootFromParent_Done,
     /* 1220346 */   // Label 17702: @1220346
     /* 1220346 */   GIM_Try, /*On fail goto*//*Label 17703*/ GIMT_Encode4(1220426), // Rule ID 17605 //
     /* 1220351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1220354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1220362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1220365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1220368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220390 */     // MIs[0] round
     /* 1220390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220400 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1220403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220425 */     // GIR_Coverage, 17605,
     /* 1220425 */     GIR_EraseRootFromParent_Done,
     /* 1220426 */   // Label 17703: @1220426
     /* 1220426 */   GIM_Try, /*On fail goto*//*Label 17704*/ GIMT_Encode4(1220506), // Rule ID 17608 //
     /* 1220431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1220434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1220442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1220445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1220448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220470 */     // MIs[0] round
     /* 1220470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220480 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1220483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220505 */     // GIR_Coverage, 17608,
     /* 1220505 */     GIR_EraseRootFromParent_Done,
     /* 1220506 */   // Label 17704: @1220506
     /* 1220506 */   GIM_Try, /*On fail goto*//*Label 17705*/ GIMT_Encode4(1220586), // Rule ID 17609 //
     /* 1220511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1220514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1220522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1220525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1220528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220550 */     // MIs[0] round
     /* 1220550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220560 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1220563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220585 */     // GIR_Coverage, 17609,
     /* 1220585 */     GIR_EraseRootFromParent_Done,
     /* 1220586 */   // Label 17705: @1220586
     /* 1220586 */   GIM_Try, /*On fail goto*//*Label 17706*/ GIMT_Encode4(1220666), // Rule ID 17612 //
     /* 1220591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1220594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1220608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220630 */     // MIs[0] round
     /* 1220630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220640 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1220643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220665 */     // GIR_Coverage, 17612,
     /* 1220665 */     GIR_EraseRootFromParent_Done,
     /* 1220666 */   // Label 17706: @1220666
     /* 1220666 */   GIM_Try, /*On fail goto*//*Label 17707*/ GIMT_Encode4(1220746), // Rule ID 17613 //
     /* 1220671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1220674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1220688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220710 */     // MIs[0] round
     /* 1220710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220720 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1220723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220745 */     // GIR_Coverage, 17613,
     /* 1220745 */     GIR_EraseRootFromParent_Done,
     /* 1220746 */   // Label 17707: @1220746
     /* 1220746 */   GIM_Try, /*On fail goto*//*Label 17708*/ GIMT_Encode4(1220826), // Rule ID 17616 //
     /* 1220751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1220754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1220762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1220765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1220768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220790 */     // MIs[0] round
     /* 1220790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220800 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1220803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220825 */     // GIR_Coverage, 17616,
     /* 1220825 */     GIR_EraseRootFromParent_Done,
     /* 1220826 */   // Label 17708: @1220826
     /* 1220826 */   GIM_Try, /*On fail goto*//*Label 17709*/ GIMT_Encode4(1220906), // Rule ID 17617 //
     /* 1220831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1220834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1220842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1220845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1220848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220870 */     // MIs[0] round
     /* 1220870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220880 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1220883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220905 */     // GIR_Coverage, 17617,
     /* 1220905 */     GIR_EraseRootFromParent_Done,
     /* 1220906 */   // Label 17709: @1220906
     /* 1220906 */   GIM_Try, /*On fail goto*//*Label 17710*/ GIMT_Encode4(1220986), // Rule ID 17620 //
     /* 1220911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1220914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1220922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1220925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1220928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220950 */     // MIs[0] round
     /* 1220950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220960 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1220963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220985 */     // GIR_Coverage, 17620,
     /* 1220985 */     GIR_EraseRootFromParent_Done,
     /* 1220986 */   // Label 17710: @1220986
     /* 1220986 */   GIM_Try, /*On fail goto*//*Label 17711*/ GIMT_Encode4(1221066), // Rule ID 17621 //
     /* 1220991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1220994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1221002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1221005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1221008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1221030 */     // MIs[0] round
     /* 1221030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221040 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1221043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221065 */     // GIR_Coverage, 17621,
     /* 1221065 */     GIR_EraseRootFromParent_Done,
     /* 1221066 */   // Label 17711: @1221066
     /* 1221066 */   GIM_Try, /*On fail goto*//*Label 17712*/ GIMT_Encode4(1221146), // Rule ID 17624 //
     /* 1221071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1221074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1221082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1221085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1221088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1221110 */     // MIs[0] round
     /* 1221110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221120 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1221123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221145 */     // GIR_Coverage, 17624,
     /* 1221145 */     GIR_EraseRootFromParent_Done,
     /* 1221146 */   // Label 17712: @1221146
     /* 1221146 */   GIM_Try, /*On fail goto*//*Label 17713*/ GIMT_Encode4(1221226), // Rule ID 17625 //
     /* 1221151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1221154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1221162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1221165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1221168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1221190 */     // MIs[0] round
     /* 1221190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221200 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1221203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221225 */     // GIR_Coverage, 17625,
     /* 1221225 */     GIR_EraseRootFromParent_Done,
     /* 1221226 */   // Label 17713: @1221226
     /* 1221226 */   GIM_Try, /*On fail goto*//*Label 17714*/ GIMT_Encode4(1221306), // Rule ID 17628 //
     /* 1221231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1221242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1221245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1221248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221270 */     // MIs[0] round
     /* 1221270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221280 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1221283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221305 */     // GIR_Coverage, 17628,
     /* 1221305 */     GIR_EraseRootFromParent_Done,
     /* 1221306 */   // Label 17714: @1221306
     /* 1221306 */   GIM_Try, /*On fail goto*//*Label 17715*/ GIMT_Encode4(1221386), // Rule ID 17629 //
     /* 1221311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1221322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1221325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1221328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221350 */     // MIs[0] round
     /* 1221350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221360 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1221363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221385 */     // GIR_Coverage, 17629,
     /* 1221385 */     GIR_EraseRootFromParent_Done,
     /* 1221386 */   // Label 17715: @1221386
     /* 1221386 */   GIM_Try, /*On fail goto*//*Label 17716*/ GIMT_Encode4(1221466), // Rule ID 17632 //
     /* 1221391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1221402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1221405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1221408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221430 */     // MIs[0] round
     /* 1221430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221440 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1221443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221465 */     // GIR_Coverage, 17632,
     /* 1221465 */     GIR_EraseRootFromParent_Done,
     /* 1221466 */   // Label 17716: @1221466
     /* 1221466 */   GIM_Try, /*On fail goto*//*Label 17717*/ GIMT_Encode4(1221546), // Rule ID 17633 //
     /* 1221471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1221482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1221485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1221488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221510 */     // MIs[0] round
     /* 1221510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221520 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1221523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221545 */     // GIR_Coverage, 17633,
     /* 1221545 */     GIR_EraseRootFromParent_Done,
     /* 1221546 */   // Label 17717: @1221546
     /* 1221546 */   GIM_Try, /*On fail goto*//*Label 17718*/ GIMT_Encode4(1221626), // Rule ID 17636 //
     /* 1221551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1221562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1221565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221590 */     // MIs[0] round
     /* 1221590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221600 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1221603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221625 */     // GIR_Coverage, 17636,
     /* 1221625 */     GIR_EraseRootFromParent_Done,
     /* 1221626 */   // Label 17718: @1221626
     /* 1221626 */   GIM_Try, /*On fail goto*//*Label 17719*/ GIMT_Encode4(1221706), // Rule ID 17637 //
     /* 1221631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1221642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1221645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221670 */     // MIs[0] round
     /* 1221670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221680 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1221683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221705 */     // GIR_Coverage, 17637,
     /* 1221705 */     GIR_EraseRootFromParent_Done,
     /* 1221706 */   // Label 17719: @1221706
     /* 1221706 */   GIM_Try, /*On fail goto*//*Label 17720*/ GIMT_Encode4(1221786), // Rule ID 17640 //
     /* 1221711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1221728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221750 */     // MIs[0] round
     /* 1221750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221760 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1221763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221785 */     // GIR_Coverage, 17640,
     /* 1221785 */     GIR_EraseRootFromParent_Done,
     /* 1221786 */   // Label 17720: @1221786
     /* 1221786 */   GIM_Try, /*On fail goto*//*Label 17721*/ GIMT_Encode4(1221866), // Rule ID 17641 //
     /* 1221791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1221808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221830 */     // MIs[0] round
     /* 1221830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221840 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1221843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221865 */     // GIR_Coverage, 17641,
     /* 1221865 */     GIR_EraseRootFromParent_Done,
     /* 1221866 */   // Label 17721: @1221866
     /* 1221866 */   GIM_Try, /*On fail goto*//*Label 17722*/ GIMT_Encode4(1221946), // Rule ID 17644 //
     /* 1221871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221910 */     // MIs[0] round
     /* 1221910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221920 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1221923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221945 */     // GIR_Coverage, 17644,
     /* 1221945 */     GIR_EraseRootFromParent_Done,
     /* 1221946 */   // Label 17722: @1221946
     /* 1221946 */   GIM_Try, /*On fail goto*//*Label 17723*/ GIMT_Encode4(1222026), // Rule ID 17645 //
     /* 1221951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221990 */     // MIs[0] round
     /* 1221990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222000 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1222003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222025 */     // GIR_Coverage, 17645,
     /* 1222025 */     GIR_EraseRootFromParent_Done,
     /* 1222026 */   // Label 17723: @1222026
     /* 1222026 */   GIM_Try, /*On fail goto*//*Label 17724*/ GIMT_Encode4(1222106), // Rule ID 17648 //
     /* 1222031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1222034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1222048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1222070 */     // MIs[0] round
     /* 1222070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222080 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1222083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222105 */     // GIR_Coverage, 17648,
     /* 1222105 */     GIR_EraseRootFromParent_Done,
     /* 1222106 */   // Label 17724: @1222106
     /* 1222106 */   GIM_Try, /*On fail goto*//*Label 17725*/ GIMT_Encode4(1222186), // Rule ID 17649 //
     /* 1222111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1222128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1222150 */     // MIs[0] round
     /* 1222150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222160 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1222163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222185 */     // GIR_Coverage, 17649,
     /* 1222185 */     GIR_EraseRootFromParent_Done,
     /* 1222186 */   // Label 17725: @1222186
     /* 1222186 */   GIM_Try, /*On fail goto*//*Label 17726*/ GIMT_Encode4(1222266), // Rule ID 17652 //
     /* 1222191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1222202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1222205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1222208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1222211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1222230 */     // MIs[0] round
     /* 1222230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222240 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1222243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222265 */     // GIR_Coverage, 17652,
     /* 1222265 */     GIR_EraseRootFromParent_Done,
     /* 1222266 */   // Label 17726: @1222266
     /* 1222266 */   GIM_Try, /*On fail goto*//*Label 17727*/ GIMT_Encode4(1222346), // Rule ID 17653 //
     /* 1222271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1222282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1222285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1222288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1222291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1222310 */     // MIs[0] round
     /* 1222310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222320 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1222323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222345 */     // GIR_Coverage, 17653,
     /* 1222345 */     GIR_EraseRootFromParent_Done,
     /* 1222346 */   // Label 17727: @1222346
     /* 1222346 */   GIM_Try, /*On fail goto*//*Label 17728*/ GIMT_Encode4(1222426), // Rule ID 17656 //
     /* 1222351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1222362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1222365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1222371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1222390 */     // MIs[0] round
     /* 1222390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222400 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1222403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222425 */     // GIR_Coverage, 17656,
     /* 1222425 */     GIR_EraseRootFromParent_Done,
     /* 1222426 */   // Label 17728: @1222426
     /* 1222426 */   GIM_Try, /*On fail goto*//*Label 17729*/ GIMT_Encode4(1222506), // Rule ID 17657 //
     /* 1222431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1222442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1222445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1222451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1222470 */     // MIs[0] round
     /* 1222470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222480 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1222483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222505 */     // GIR_Coverage, 17657,
     /* 1222505 */     GIR_EraseRootFromParent_Done,
     /* 1222506 */   // Label 17729: @1222506
     /* 1222506 */   GIM_Try, /*On fail goto*//*Label 17730*/ GIMT_Encode4(1222586), // Rule ID 17660 //
     /* 1222511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1222522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1222525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1222531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1222550 */     // MIs[0] round
     /* 1222550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222560 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1222563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222585 */     // GIR_Coverage, 17660,
     /* 1222585 */     GIR_EraseRootFromParent_Done,
     /* 1222586 */   // Label 17730: @1222586
     /* 1222586 */   GIM_Try, /*On fail goto*//*Label 17731*/ GIMT_Encode4(1222666), // Rule ID 17661 //
     /* 1222591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1222602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1222605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1222611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1222630 */     // MIs[0] round
     /* 1222630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222640 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1222643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222665 */     // GIR_Coverage, 17661,
     /* 1222665 */     GIR_EraseRootFromParent_Done,
     /* 1222666 */   // Label 17731: @1222666
     /* 1222666 */   GIM_Try, /*On fail goto*//*Label 17732*/ GIMT_Encode4(1222746), // Rule ID 17664 //
     /* 1222671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1222682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1222685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222710 */     // MIs[0] round
     /* 1222710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222720 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1222723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222745 */     // GIR_Coverage, 17664,
     /* 1222745 */     GIR_EraseRootFromParent_Done,
     /* 1222746 */   // Label 17732: @1222746
     /* 1222746 */   GIM_Try, /*On fail goto*//*Label 17733*/ GIMT_Encode4(1222826), // Rule ID 17665 //
     /* 1222751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1222762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1222765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222790 */     // MIs[0] round
     /* 1222790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222800 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1222803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222825 */     // GIR_Coverage, 17665,
     /* 1222825 */     GIR_EraseRootFromParent_Done,
     /* 1222826 */   // Label 17733: @1222826
     /* 1222826 */   GIM_Try, /*On fail goto*//*Label 17734*/ GIMT_Encode4(1222906), // Rule ID 17668 //
     /* 1222831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1222842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1222845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222870 */     // MIs[0] round
     /* 1222870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222880 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1222883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222905 */     // GIR_Coverage, 17668,
     /* 1222905 */     GIR_EraseRootFromParent_Done,
     /* 1222906 */   // Label 17734: @1222906
     /* 1222906 */   GIM_Try, /*On fail goto*//*Label 17735*/ GIMT_Encode4(1222986), // Rule ID 17669 //
     /* 1222911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1222922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1222925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222950 */     // MIs[0] round
     /* 1222950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222960 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1222963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222985 */     // GIR_Coverage, 17669,
     /* 1222985 */     GIR_EraseRootFromParent_Done,
     /* 1222986 */   // Label 17735: @1222986
     /* 1222986 */   GIM_Try, /*On fail goto*//*Label 17736*/ GIMT_Encode4(1223066), // Rule ID 17672 //
     /* 1222991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1223002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1223005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1223008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1223030 */     // MIs[0] round
     /* 1223030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223040 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1223043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223065 */     // GIR_Coverage, 17672,
     /* 1223065 */     GIR_EraseRootFromParent_Done,
     /* 1223066 */   // Label 17736: @1223066
     /* 1223066 */   GIM_Try, /*On fail goto*//*Label 17737*/ GIMT_Encode4(1223146), // Rule ID 17673 //
     /* 1223071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1223079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1223082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1223085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1223088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1223110 */     // MIs[0] round
     /* 1223110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223120 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1223123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223145 */     // GIR_Coverage, 17673,
     /* 1223145 */     GIR_EraseRootFromParent_Done,
     /* 1223146 */   // Label 17737: @1223146
     /* 1223146 */   GIM_Try, /*On fail goto*//*Label 17738*/ GIMT_Encode4(1223226), // Rule ID 17676 //
     /* 1223151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1223159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1223162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1223165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1223168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1223171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1223190 */     // MIs[0] round
     /* 1223190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223200 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1223203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223225 */     // GIR_Coverage, 17676,
     /* 1223225 */     GIR_EraseRootFromParent_Done,
     /* 1223226 */   // Label 17738: @1223226
     /* 1223226 */   GIM_Try, /*On fail goto*//*Label 17739*/ GIMT_Encode4(1223306), // Rule ID 17677 //
     /* 1223231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1223239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1223242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1223245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1223248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1223251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1223270 */     // MIs[0] round
     /* 1223270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223280 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1223283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223305 */     // GIR_Coverage, 17677,
     /* 1223305 */     GIR_EraseRootFromParent_Done,
     /* 1223306 */   // Label 17739: @1223306
     /* 1223306 */   GIM_Try, /*On fail goto*//*Label 17740*/ GIMT_Encode4(1223386), // Rule ID 17680 //
     /* 1223311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1223319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1223322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1223325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1223328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1223331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1223350 */     // MIs[0] round
     /* 1223350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223360 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1223363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223385 */     // GIR_Coverage, 17680,
     /* 1223385 */     GIR_EraseRootFromParent_Done,
     /* 1223386 */   // Label 17740: @1223386
     /* 1223386 */   GIM_Try, /*On fail goto*//*Label 17741*/ GIMT_Encode4(1223466), // Rule ID 17681 //
     /* 1223391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1223399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1223402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1223405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1223408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1223411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1223430 */     // MIs[0] round
     /* 1223430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223440 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1223443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223465 */     // GIR_Coverage, 17681,
     /* 1223465 */     GIR_EraseRootFromParent_Done,
     /* 1223466 */   // Label 17741: @1223466
     /* 1223466 */   GIM_Try, /*On fail goto*//*Label 17742*/ GIMT_Encode4(1223546), // Rule ID 17684 //
     /* 1223471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1223479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1223482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1223485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1223491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1223510 */     // MIs[0] round
     /* 1223510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223520 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1223523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223545 */     // GIR_Coverage, 17684,
     /* 1223545 */     GIR_EraseRootFromParent_Done,
     /* 1223546 */   // Label 17742: @1223546
     /* 1223546 */   GIM_Try, /*On fail goto*//*Label 17743*/ GIMT_Encode4(1223626), // Rule ID 17685 //
     /* 1223551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1223559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1223562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1223565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1223571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1223590 */     // MIs[0] round
     /* 1223590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223600 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1223603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223625 */     // GIR_Coverage, 17685,
     /* 1223625 */     GIR_EraseRootFromParent_Done,
     /* 1223626 */   // Label 17743: @1223626
     /* 1223626 */   GIM_Try, /*On fail goto*//*Label 17744*/ GIMT_Encode4(1223706), // Rule ID 17688 //
     /* 1223631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1223634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1223642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1223645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1223648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1223651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223670 */     // MIs[0] round
     /* 1223670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223680 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1223683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223705 */     // GIR_Coverage, 17688,
     /* 1223705 */     GIR_EraseRootFromParent_Done,
     /* 1223706 */   // Label 17744: @1223706
     /* 1223706 */   GIM_Try, /*On fail goto*//*Label 17745*/ GIMT_Encode4(1223786), // Rule ID 17689 //
     /* 1223711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1223714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1223722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1223725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1223728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1223731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223750 */     // MIs[0] round
     /* 1223750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223760 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1223763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223785 */     // GIR_Coverage, 17689,
     /* 1223785 */     GIR_EraseRootFromParent_Done,
     /* 1223786 */   // Label 17745: @1223786
     /* 1223786 */   GIM_Try, /*On fail goto*//*Label 17746*/ GIMT_Encode4(1223866), // Rule ID 17692 //
     /* 1223791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1223794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1223808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1223811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223830 */     // MIs[0] round
     /* 1223830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223840 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1223843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223865 */     // GIR_Coverage, 17692,
     /* 1223865 */     GIR_EraseRootFromParent_Done,
     /* 1223866 */   // Label 17746: @1223866
     /* 1223866 */   GIM_Try, /*On fail goto*//*Label 17747*/ GIMT_Encode4(1223946), // Rule ID 17693 //
     /* 1223871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1223874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1223888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1223891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223910 */     // MIs[0] round
     /* 1223910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223920 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1223923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223945 */     // GIR_Coverage, 17693,
     /* 1223945 */     GIR_EraseRootFromParent_Done,
     /* 1223946 */   // Label 17747: @1223946
     /* 1223946 */   GIM_Try, /*On fail goto*//*Label 17748*/ GIMT_Encode4(1224026), // Rule ID 17696 //
     /* 1223951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1223954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1223962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1223965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1223968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223990 */     // MIs[0] round
     /* 1223990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224000 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1224003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224025 */     // GIR_Coverage, 17696,
     /* 1224025 */     GIR_EraseRootFromParent_Done,
     /* 1224026 */   // Label 17748: @1224026
     /* 1224026 */   GIM_Try, /*On fail goto*//*Label 17749*/ GIMT_Encode4(1224106), // Rule ID 17697 //
     /* 1224031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1224034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1224042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1224045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1224048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224070 */     // MIs[0] round
     /* 1224070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224080 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1224083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224105 */     // GIR_Coverage, 17697,
     /* 1224105 */     GIR_EraseRootFromParent_Done,
     /* 1224106 */   // Label 17749: @1224106
     /* 1224106 */   GIM_Try, /*On fail goto*//*Label 17750*/ GIMT_Encode4(1224186), // Rule ID 17700 //
     /* 1224111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1224114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1224122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1224125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1224128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1224131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224150 */     // MIs[0] round
     /* 1224150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224160 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1224163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224185 */     // GIR_Coverage, 17700,
     /* 1224185 */     GIR_EraseRootFromParent_Done,
     /* 1224186 */   // Label 17750: @1224186
     /* 1224186 */   GIM_Try, /*On fail goto*//*Label 17751*/ GIMT_Encode4(1224266), // Rule ID 17701 //
     /* 1224191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1224194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1224202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1224205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1224208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1224211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224230 */     // MIs[0] round
     /* 1224230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224240 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1224243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224265 */     // GIR_Coverage, 17701,
     /* 1224265 */     GIR_EraseRootFromParent_Done,
     /* 1224266 */   // Label 17751: @1224266
     /* 1224266 */   GIM_Try, /*On fail goto*//*Label 17752*/ GIMT_Encode4(1224346), // Rule ID 17704 //
     /* 1224271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1224274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1224282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1224285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1224288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1224291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224310 */     // MIs[0] round
     /* 1224310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224320 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1224323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224345 */     // GIR_Coverage, 17704,
     /* 1224345 */     GIR_EraseRootFromParent_Done,
     /* 1224346 */   // Label 17752: @1224346
     /* 1224346 */   GIM_Try, /*On fail goto*//*Label 17753*/ GIMT_Encode4(1224426), // Rule ID 17705 //
     /* 1224351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1224354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1224362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1224365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1224368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1224371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224390 */     // MIs[0] round
     /* 1224390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224400 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1224403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224425 */     // GIR_Coverage, 17705,
     /* 1224425 */     GIR_EraseRootFromParent_Done,
     /* 1224426 */   // Label 17753: @1224426
     /* 1224426 */   GIM_Try, /*On fail goto*//*Label 17754*/ GIMT_Encode4(1224506), // Rule ID 17708 //
     /* 1224431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1224434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1224448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1224451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224470 */     // MIs[0] round
     /* 1224470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224480 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1224483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224505 */     // GIR_Coverage, 17708,
     /* 1224505 */     GIR_EraseRootFromParent_Done,
     /* 1224506 */   // Label 17754: @1224506
     /* 1224506 */   GIM_Try, /*On fail goto*//*Label 17755*/ GIMT_Encode4(1224586), // Rule ID 17709 //
     /* 1224511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1224514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1224528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1224531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224550 */     // MIs[0] round
     /* 1224550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224560 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1224563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224585 */     // GIR_Coverage, 17709,
     /* 1224585 */     GIR_EraseRootFromParent_Done,
     /* 1224586 */   // Label 17755: @1224586
     /* 1224586 */   GIM_Try, /*On fail goto*//*Label 17756*/ GIMT_Encode4(1224666), // Rule ID 17712 //
     /* 1224591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1224594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1224602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1224605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224630 */     // MIs[0] round
     /* 1224630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224640 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1224643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224665 */     // GIR_Coverage, 17712,
     /* 1224665 */     GIR_EraseRootFromParent_Done,
     /* 1224666 */   // Label 17756: @1224666
     /* 1224666 */   GIM_Try, /*On fail goto*//*Label 17757*/ GIMT_Encode4(1224746), // Rule ID 17713 //
     /* 1224671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1224674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1224682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1224685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224710 */     // MIs[0] round
     /* 1224710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224720 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1224723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224745 */     // GIR_Coverage, 17713,
     /* 1224745 */     GIR_EraseRootFromParent_Done,
     /* 1224746 */   // Label 17757: @1224746
     /* 1224746 */   GIM_Try, /*On fail goto*//*Label 17758*/ GIMT_Encode4(1224826), // Rule ID 17716 //
     /* 1224751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1224754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1224762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1224765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1224768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1224771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224790 */     // MIs[0] round
     /* 1224790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224800 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1224803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224825 */     // GIR_Coverage, 17716,
     /* 1224825 */     GIR_EraseRootFromParent_Done,
     /* 1224826 */   // Label 17758: @1224826
     /* 1224826 */   GIM_Try, /*On fail goto*//*Label 17759*/ GIMT_Encode4(1224906), // Rule ID 17717 //
     /* 1224831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1224834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1224842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1224845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1224848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1224851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224870 */     // MIs[0] round
     /* 1224870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224880 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1224883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224905 */     // GIR_Coverage, 17717,
     /* 1224905 */     GIR_EraseRootFromParent_Done,
     /* 1224906 */   // Label 17759: @1224906
     /* 1224906 */   GIM_Try, /*On fail goto*//*Label 17760*/ GIMT_Encode4(1224986), // Rule ID 17720 //
     /* 1224911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1224914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1224922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1224925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1224928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1224931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224950 */     // MIs[0] round
     /* 1224950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224960 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1224963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224985 */     // GIR_Coverage, 17720,
     /* 1224985 */     GIR_EraseRootFromParent_Done,
     /* 1224986 */   // Label 17760: @1224986
     /* 1224986 */   GIM_Try, /*On fail goto*//*Label 17761*/ GIMT_Encode4(1225066), // Rule ID 17721 //
     /* 1224991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1224994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1225002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1225005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1225008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1225011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225030 */     // MIs[0] round
     /* 1225030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225040 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1225043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225065 */     // GIR_Coverage, 17721,
     /* 1225065 */     GIR_EraseRootFromParent_Done,
     /* 1225066 */   // Label 17761: @1225066
     /* 1225066 */   GIM_Try, /*On fail goto*//*Label 17762*/ GIMT_Encode4(1225146), // Rule ID 17724 //
     /* 1225071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1225074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1225082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1225085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1225088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225110 */     // MIs[0] round
     /* 1225110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225120 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1225123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225145 */     // GIR_Coverage, 17724,
     /* 1225145 */     GIR_EraseRootFromParent_Done,
     /* 1225146 */   // Label 17762: @1225146
     /* 1225146 */   GIM_Try, /*On fail goto*//*Label 17763*/ GIMT_Encode4(1225226), // Rule ID 17725 //
     /* 1225151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1225154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1225162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1225165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1225168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225190 */     // MIs[0] round
     /* 1225190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225200 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1225203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225225 */     // GIR_Coverage, 17725,
     /* 1225225 */     GIR_EraseRootFromParent_Done,
     /* 1225226 */   // Label 17763: @1225226
     /* 1225226 */   GIM_Try, /*On fail goto*//*Label 17764*/ GIMT_Encode4(1225306), // Rule ID 17728 //
     /* 1225231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1225234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1225248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225270 */     // MIs[0] round
     /* 1225270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225280 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1225283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225305 */     // GIR_Coverage, 17728,
     /* 1225305 */     GIR_EraseRootFromParent_Done,
     /* 1225306 */   // Label 17764: @1225306
     /* 1225306 */   GIM_Try, /*On fail goto*//*Label 17765*/ GIMT_Encode4(1225386), // Rule ID 17729 //
     /* 1225311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1225314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1225328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225350 */     // MIs[0] round
     /* 1225350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225360 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1225363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225385 */     // GIR_Coverage, 17729,
     /* 1225385 */     GIR_EraseRootFromParent_Done,
     /* 1225386 */   // Label 17765: @1225386
     /* 1225386 */   GIM_Try, /*On fail goto*//*Label 17766*/ GIMT_Encode4(1225466), // Rule ID 17732 //
     /* 1225391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1225394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1225402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1225405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1225408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225430 */     // MIs[0] round
     /* 1225430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225440 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1225443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225465 */     // GIR_Coverage, 17732,
     /* 1225465 */     GIR_EraseRootFromParent_Done,
     /* 1225466 */   // Label 17766: @1225466
     /* 1225466 */   GIM_Try, /*On fail goto*//*Label 17767*/ GIMT_Encode4(1225546), // Rule ID 17733 //
     /* 1225471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1225474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1225482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1225485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1225488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225510 */     // MIs[0] round
     /* 1225510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225520 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1225523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225545 */     // GIR_Coverage, 17733,
     /* 1225545 */     GIR_EraseRootFromParent_Done,
     /* 1225546 */   // Label 17767: @1225546
     /* 1225546 */   GIM_Try, /*On fail goto*//*Label 17768*/ GIMT_Encode4(1225626), // Rule ID 17736 //
     /* 1225551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1225554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1225562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1225565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1225568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225590 */     // MIs[0] round
     /* 1225590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225600 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1225603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225625 */     // GIR_Coverage, 17736,
     /* 1225625 */     GIR_EraseRootFromParent_Done,
     /* 1225626 */   // Label 17768: @1225626
     /* 1225626 */   GIM_Try, /*On fail goto*//*Label 17769*/ GIMT_Encode4(1225706), // Rule ID 17737 //
     /* 1225631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1225634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1225642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1225645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1225648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225670 */     // MIs[0] round
     /* 1225670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225680 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1225683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225705 */     // GIR_Coverage, 17737,
     /* 1225705 */     GIR_EraseRootFromParent_Done,
     /* 1225706 */   // Label 17769: @1225706
     /* 1225706 */   GIM_Try, /*On fail goto*//*Label 17770*/ GIMT_Encode4(1225786), // Rule ID 17740 //
     /* 1225711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1225714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1225722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1225725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1225728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225750 */     // MIs[0] round
     /* 1225750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225760 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1225763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225785 */     // GIR_Coverage, 17740,
     /* 1225785 */     GIR_EraseRootFromParent_Done,
     /* 1225786 */   // Label 17770: @1225786
     /* 1225786 */   GIM_Try, /*On fail goto*//*Label 17771*/ GIMT_Encode4(1225866), // Rule ID 17741 //
     /* 1225791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1225794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1225802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1225805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1225808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225830 */     // MIs[0] round
     /* 1225830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225840 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1225843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225865 */     // GIR_Coverage, 17741,
     /* 1225865 */     GIR_EraseRootFromParent_Done,
     /* 1225866 */   // Label 17771: @1225866
     /* 1225866 */   GIM_Try, /*On fail goto*//*Label 17772*/ GIMT_Encode4(1225946), // Rule ID 17744 //
     /* 1225871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1225874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1225888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225910 */     // MIs[0] round
     /* 1225910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225920 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1225923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225945 */     // GIR_Coverage, 17744,
     /* 1225945 */     GIR_EraseRootFromParent_Done,
     /* 1225946 */   // Label 17772: @1225946
     /* 1225946 */   GIM_Try, /*On fail goto*//*Label 17773*/ GIMT_Encode4(1226026), // Rule ID 17745 //
     /* 1225951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1225954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1225968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225990 */     // MIs[0] round
     /* 1225990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226000 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1226003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226025 */     // GIR_Coverage, 17745,
     /* 1226025 */     GIR_EraseRootFromParent_Done,
     /* 1226026 */   // Label 17773: @1226026
     /* 1226026 */   GIM_Try, /*On fail goto*//*Label 17774*/ GIMT_Encode4(1226106), // Rule ID 17748 //
     /* 1226031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1226034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1226039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1226042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1226045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226070 */     // MIs[0] round
     /* 1226070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226080 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1226083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226105 */     // GIR_Coverage, 17748,
     /* 1226105 */     GIR_EraseRootFromParent_Done,
     /* 1226106 */   // Label 17774: @1226106
     /* 1226106 */   GIM_Try, /*On fail goto*//*Label 17775*/ GIMT_Encode4(1226186), // Rule ID 17749 //
     /* 1226111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1226114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1226119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1226122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1226125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226150 */     // MIs[0] round
     /* 1226150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226160 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1226163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226185 */     // GIR_Coverage, 17749,
     /* 1226185 */     GIR_EraseRootFromParent_Done,
     /* 1226186 */   // Label 17775: @1226186
     /* 1226186 */   GIM_Try, /*On fail goto*//*Label 17776*/ GIMT_Encode4(1226266), // Rule ID 17752 //
     /* 1226191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1226194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1226199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1226202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1226205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1226208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226230 */     // MIs[0] round
     /* 1226230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226240 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1226243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226265 */     // GIR_Coverage, 17752,
     /* 1226265 */     GIR_EraseRootFromParent_Done,
     /* 1226266 */   // Label 17776: @1226266
     /* 1226266 */   GIM_Try, /*On fail goto*//*Label 17777*/ GIMT_Encode4(1226346), // Rule ID 17753 //
     /* 1226271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1226274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1226279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1226282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1226285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1226288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226310 */     // MIs[0] round
     /* 1226310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226320 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1226323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226345 */     // GIR_Coverage, 17753,
     /* 1226345 */     GIR_EraseRootFromParent_Done,
     /* 1226346 */   // Label 17777: @1226346
     /* 1226346 */   GIM_Try, /*On fail goto*//*Label 17778*/ GIMT_Encode4(1226426), // Rule ID 17756 //
     /* 1226351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1226354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1226359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1226362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1226365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1226368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226390 */     // MIs[0] round
     /* 1226390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226400 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1226403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226425 */     // GIR_Coverage, 17756,
     /* 1226425 */     GIR_EraseRootFromParent_Done,
     /* 1226426 */   // Label 17778: @1226426
     /* 1226426 */   GIM_Try, /*On fail goto*//*Label 17779*/ GIMT_Encode4(1226506), // Rule ID 17757 //
     /* 1226431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1226434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1226439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1226442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1226445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1226448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226470 */     // MIs[0] round
     /* 1226470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226480 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1226483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226505 */     // GIR_Coverage, 17757,
     /* 1226505 */     GIR_EraseRootFromParent_Done,
     /* 1226506 */   // Label 17779: @1226506
     /* 1226506 */   GIM_Try, /*On fail goto*//*Label 17780*/ GIMT_Encode4(1226586), // Rule ID 22834 //
     /* 1226511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226550 */     // MIs[0] round
     /* 1226550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226560 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1226563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226585 */     // GIR_Coverage, 22834,
     /* 1226585 */     GIR_EraseRootFromParent_Done,
     /* 1226586 */   // Label 17780: @1226586
     /* 1226586 */   GIM_Try, /*On fail goto*//*Label 17781*/ GIMT_Encode4(1226666), // Rule ID 22835 //
     /* 1226591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226630 */     // MIs[0] round
     /* 1226630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226640 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1226643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226665 */     // GIR_Coverage, 22835,
     /* 1226665 */     GIR_EraseRootFromParent_Done,
     /* 1226666 */   // Label 17781: @1226666
     /* 1226666 */   GIM_Try, /*On fail goto*//*Label 17782*/ GIMT_Encode4(1226746), // Rule ID 22838 //
     /* 1226671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226710 */     // MIs[0] round
     /* 1226710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226720 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1226723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226745 */     // GIR_Coverage, 22838,
     /* 1226745 */     GIR_EraseRootFromParent_Done,
     /* 1226746 */   // Label 17782: @1226746
     /* 1226746 */   GIM_Try, /*On fail goto*//*Label 17783*/ GIMT_Encode4(1226826), // Rule ID 22839 //
     /* 1226751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226790 */     // MIs[0] round
     /* 1226790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226800 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1226803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226825 */     // GIR_Coverage, 22839,
     /* 1226825 */     GIR_EraseRootFromParent_Done,
     /* 1226826 */   // Label 17783: @1226826
     /* 1226826 */   GIM_Try, /*On fail goto*//*Label 17784*/ GIMT_Encode4(1226906), // Rule ID 22842 //
     /* 1226831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226870 */     // MIs[0] round
     /* 1226870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226880 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1226883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226905 */     // GIR_Coverage, 22842,
     /* 1226905 */     GIR_EraseRootFromParent_Done,
     /* 1226906 */   // Label 17784: @1226906
     /* 1226906 */   GIM_Try, /*On fail goto*//*Label 17785*/ GIMT_Encode4(1226986), // Rule ID 22843 //
     /* 1226911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226950 */     // MIs[0] round
     /* 1226950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226960 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1226963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226985 */     // GIR_Coverage, 22843,
     /* 1226985 */     GIR_EraseRootFromParent_Done,
     /* 1226986 */   // Label 17785: @1226986
     /* 1226986 */   GIM_Try, /*On fail goto*//*Label 17786*/ GIMT_Encode4(1227066), // Rule ID 22846 //
     /* 1226991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1227008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227030 */     // MIs[0] round
     /* 1227030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227040 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1227043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227065 */     // GIR_Coverage, 22846,
     /* 1227065 */     GIR_EraseRootFromParent_Done,
     /* 1227066 */   // Label 17786: @1227066
     /* 1227066 */   GIM_Try, /*On fail goto*//*Label 17787*/ GIMT_Encode4(1227146), // Rule ID 22847 //
     /* 1227071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1227088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227110 */     // MIs[0] round
     /* 1227110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227120 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1227123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227145 */     // GIR_Coverage, 22847,
     /* 1227145 */     GIR_EraseRootFromParent_Done,
     /* 1227146 */   // Label 17787: @1227146
     /* 1227146 */   GIM_Try, /*On fail goto*//*Label 17788*/ GIMT_Encode4(1227226), // Rule ID 22850 //
     /* 1227151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1227154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1227168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227190 */     // MIs[0] round
     /* 1227190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227200 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1227203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227225 */     // GIR_Coverage, 22850,
     /* 1227225 */     GIR_EraseRootFromParent_Done,
     /* 1227226 */   // Label 17788: @1227226
     /* 1227226 */   GIM_Try, /*On fail goto*//*Label 17789*/ GIMT_Encode4(1227306), // Rule ID 22851 //
     /* 1227231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1227234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1227248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227270 */     // MIs[0] round
     /* 1227270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227280 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1227283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227305 */     // GIR_Coverage, 22851,
     /* 1227305 */     GIR_EraseRootFromParent_Done,
     /* 1227306 */   // Label 17789: @1227306
     /* 1227306 */   GIM_Try, /*On fail goto*//*Label 17790*/ GIMT_Encode4(1227386), // Rule ID 22854 //
     /* 1227311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1227322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1227325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1227328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1227331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227350 */     // MIs[0] round
     /* 1227350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227360 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1227363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227385 */     // GIR_Coverage, 22854,
     /* 1227385 */     GIR_EraseRootFromParent_Done,
     /* 1227386 */   // Label 17790: @1227386
     /* 1227386 */   GIM_Try, /*On fail goto*//*Label 17791*/ GIMT_Encode4(1227466), // Rule ID 22855 //
     /* 1227391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1227402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1227405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1227408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1227411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227430 */     // MIs[0] round
     /* 1227430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227440 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1227443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227465 */     // GIR_Coverage, 22855,
     /* 1227465 */     GIR_EraseRootFromParent_Done,
     /* 1227466 */   // Label 17791: @1227466
     /* 1227466 */   GIM_Try, /*On fail goto*//*Label 17792*/ GIMT_Encode4(1227546), // Rule ID 22858 //
     /* 1227471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1227482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1227485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1227488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1227491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227510 */     // MIs[0] round
     /* 1227510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227520 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1227523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227545 */     // GIR_Coverage, 22858,
     /* 1227545 */     GIR_EraseRootFromParent_Done,
     /* 1227546 */   // Label 17792: @1227546
     /* 1227546 */   GIM_Try, /*On fail goto*//*Label 17793*/ GIMT_Encode4(1227626), // Rule ID 22859 //
     /* 1227551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1227562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1227565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1227568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1227571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227590 */     // MIs[0] round
     /* 1227590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227600 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1227603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227625 */     // GIR_Coverage, 22859,
     /* 1227625 */     GIR_EraseRootFromParent_Done,
     /* 1227626 */   // Label 17793: @1227626
     /* 1227626 */   GIM_Try, /*On fail goto*//*Label 17794*/ GIMT_Encode4(1227706), // Rule ID 22862 //
     /* 1227631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1227642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1227645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1227651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227670 */     // MIs[0] round
     /* 1227670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227680 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1227683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227705 */     // GIR_Coverage, 22862,
     /* 1227705 */     GIR_EraseRootFromParent_Done,
     /* 1227706 */   // Label 17794: @1227706
     /* 1227706 */   GIM_Try, /*On fail goto*//*Label 17795*/ GIMT_Encode4(1227786), // Rule ID 22863 //
     /* 1227711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1227722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1227725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1227731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227750 */     // MIs[0] round
     /* 1227750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227760 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1227763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227785 */     // GIR_Coverage, 22863,
     /* 1227785 */     GIR_EraseRootFromParent_Done,
     /* 1227786 */   // Label 17795: @1227786
     /* 1227786 */   GIM_Try, /*On fail goto*//*Label 17796*/ GIMT_Encode4(1227866), // Rule ID 22866 //
     /* 1227791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227830 */     // MIs[0] round
     /* 1227830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227840 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1227843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227865 */     // GIR_Coverage, 22866,
     /* 1227865 */     GIR_EraseRootFromParent_Done,
     /* 1227866 */   // Label 17796: @1227866
     /* 1227866 */   GIM_Try, /*On fail goto*//*Label 17797*/ GIMT_Encode4(1227946), // Rule ID 22867 //
     /* 1227871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227910 */     // MIs[0] round
     /* 1227910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227920 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1227923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227945 */     // GIR_Coverage, 22867,
     /* 1227945 */     GIR_EraseRootFromParent_Done,
     /* 1227946 */   // Label 17797: @1227946
     /* 1227946 */   GIM_Try, /*On fail goto*//*Label 17798*/ GIMT_Encode4(1228026), // Rule ID 22870 //
     /* 1227951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227990 */     // MIs[0] round
     /* 1227990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228000 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1228003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228025 */     // GIR_Coverage, 22870,
     /* 1228025 */     GIR_EraseRootFromParent_Done,
     /* 1228026 */   // Label 17798: @1228026
     /* 1228026 */   GIM_Try, /*On fail goto*//*Label 17799*/ GIMT_Encode4(1228106), // Rule ID 22871 //
     /* 1228031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1228039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1228048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228070 */     // MIs[0] round
     /* 1228070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228080 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1228083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228105 */     // GIR_Coverage, 22871,
     /* 1228105 */     GIR_EraseRootFromParent_Done,
     /* 1228106 */   // Label 17799: @1228106
     /* 1228106 */   GIM_Try, /*On fail goto*//*Label 17800*/ GIMT_Encode4(1228186), // Rule ID 22874 //
     /* 1228111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1228119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1228128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228150 */     // MIs[0] round
     /* 1228150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228160 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1228163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228185 */     // GIR_Coverage, 22874,
     /* 1228185 */     GIR_EraseRootFromParent_Done,
     /* 1228186 */   // Label 17800: @1228186
     /* 1228186 */   GIM_Try, /*On fail goto*//*Label 17801*/ GIMT_Encode4(1228266), // Rule ID 22875 //
     /* 1228191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1228199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1228208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228230 */     // MIs[0] round
     /* 1228230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228240 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1228243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228265 */     // GIR_Coverage, 22875,
     /* 1228265 */     GIR_EraseRootFromParent_Done,
     /* 1228266 */   // Label 17801: @1228266
     /* 1228266 */   GIM_Try, /*On fail goto*//*Label 17802*/ GIMT_Encode4(1228346), // Rule ID 22878 //
     /* 1228271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1228274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1228279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1228288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228310 */     // MIs[0] round
     /* 1228310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228320 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1228323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228345 */     // GIR_Coverage, 22878,
     /* 1228345 */     GIR_EraseRootFromParent_Done,
     /* 1228346 */   // Label 17802: @1228346
     /* 1228346 */   GIM_Try, /*On fail goto*//*Label 17803*/ GIMT_Encode4(1228426), // Rule ID 22879 //
     /* 1228351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1228354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1228359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1228368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228390 */     // MIs[0] round
     /* 1228390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228400 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1228403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228425 */     // GIR_Coverage, 22879,
     /* 1228425 */     GIR_EraseRootFromParent_Done,
     /* 1228426 */   // Label 17803: @1228426
     /* 1228426 */   GIM_Try, /*On fail goto*//*Label 17804*/ GIMT_Encode4(1228506), // Rule ID 22882 //
     /* 1228431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1228434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1228439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1228448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228470 */     // MIs[0] round
     /* 1228470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228480 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1228483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228505 */     // GIR_Coverage, 22882,
     /* 1228505 */     GIR_EraseRootFromParent_Done,
     /* 1228506 */   // Label 17804: @1228506
     /* 1228506 */   GIM_Try, /*On fail goto*//*Label 17805*/ GIMT_Encode4(1228586), // Rule ID 22883 //
     /* 1228511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1228514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1228519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1228528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228550 */     // MIs[0] round
     /* 1228550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228560 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1228563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228585 */     // GIR_Coverage, 22883,
     /* 1228585 */     GIR_EraseRootFromParent_Done,
     /* 1228586 */   // Label 17805: @1228586
     /* 1228586 */   GIM_Try, /*On fail goto*//*Label 17806*/ GIMT_Encode4(1228666), // Rule ID 22886 //
     /* 1228591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1228594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1228599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1228608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228630 */     // MIs[0] round
     /* 1228630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1228643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228665 */     // GIR_Coverage, 22886,
     /* 1228665 */     GIR_EraseRootFromParent_Done,
     /* 1228666 */   // Label 17806: @1228666
     /* 1228666 */   GIM_Try, /*On fail goto*//*Label 17807*/ GIMT_Encode4(1228746), // Rule ID 22887 //
     /* 1228671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1228674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1228679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1228688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228710 */     // MIs[0] round
     /* 1228710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1228723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228745 */     // GIR_Coverage, 22887,
     /* 1228745 */     GIR_EraseRootFromParent_Done,
     /* 1228746 */   // Label 17807: @1228746
     /* 1228746 */   GIM_Try, /*On fail goto*//*Label 17808*/ GIMT_Encode4(1228826), // Rule ID 22890 //
     /* 1228751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1228768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228790 */     // MIs[0] round
     /* 1228790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228800 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1228803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228825 */     // GIR_Coverage, 22890,
     /* 1228825 */     GIR_EraseRootFromParent_Done,
     /* 1228826 */   // Label 17808: @1228826
     /* 1228826 */   GIM_Try, /*On fail goto*//*Label 17809*/ GIMT_Encode4(1228906), // Rule ID 22891 //
     /* 1228831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1228848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228870 */     // MIs[0] round
     /* 1228870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228880 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1228883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228905 */     // GIR_Coverage, 22891,
     /* 1228905 */     GIR_EraseRootFromParent_Done,
     /* 1228906 */   // Label 17809: @1228906
     /* 1228906 */   GIM_Try, /*On fail goto*//*Label 17810*/ GIMT_Encode4(1228986), // Rule ID 22894 //
     /* 1228911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1228928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228950 */     // MIs[0] round
     /* 1228950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228960 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1228963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228985 */     // GIR_Coverage, 22894,
     /* 1228985 */     GIR_EraseRootFromParent_Done,
     /* 1228986 */   // Label 17810: @1228986
     /* 1228986 */   GIM_Try, /*On fail goto*//*Label 17811*/ GIMT_Encode4(1229066), // Rule ID 22895 //
     /* 1228991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1229008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229030 */     // MIs[0] round
     /* 1229030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229040 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1229043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229065 */     // GIR_Coverage, 22895,
     /* 1229065 */     GIR_EraseRootFromParent_Done,
     /* 1229066 */   // Label 17811: @1229066
     /* 1229066 */   GIM_Try, /*On fail goto*//*Label 17812*/ GIMT_Encode4(1229146), // Rule ID 22898 //
     /* 1229071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229110 */     // MIs[0] round
     /* 1229110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229120 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1229123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229145 */     // GIR_Coverage, 22898,
     /* 1229145 */     GIR_EraseRootFromParent_Done,
     /* 1229146 */   // Label 17812: @1229146
     /* 1229146 */   GIM_Try, /*On fail goto*//*Label 17813*/ GIMT_Encode4(1229226), // Rule ID 22899 //
     /* 1229151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229190 */     // MIs[0] round
     /* 1229190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229200 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1229203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229225 */     // GIR_Coverage, 22899,
     /* 1229225 */     GIR_EraseRootFromParent_Done,
     /* 1229226 */   // Label 17813: @1229226
     /* 1229226 */   GIM_Try, /*On fail goto*//*Label 17814*/ GIMT_Encode4(1229306), // Rule ID 22902 //
     /* 1229231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1229248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229270 */     // MIs[0] round
     /* 1229270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229280 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1229283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229305 */     // GIR_Coverage, 22902,
     /* 1229305 */     GIR_EraseRootFromParent_Done,
     /* 1229306 */   // Label 17814: @1229306
     /* 1229306 */   GIM_Try, /*On fail goto*//*Label 17815*/ GIMT_Encode4(1229386), // Rule ID 22903 //
     /* 1229311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1229328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229350 */     // MIs[0] round
     /* 1229350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229360 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1229363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229385 */     // GIR_Coverage, 22903,
     /* 1229385 */     GIR_EraseRootFromParent_Done,
     /* 1229386 */   // Label 17815: @1229386
     /* 1229386 */   GIM_Try, /*On fail goto*//*Label 17816*/ GIMT_Encode4(1229466), // Rule ID 22906 //
     /* 1229391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1229408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229430 */     // MIs[0] round
     /* 1229430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229440 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1229443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229465 */     // GIR_Coverage, 22906,
     /* 1229465 */     GIR_EraseRootFromParent_Done,
     /* 1229466 */   // Label 17816: @1229466
     /* 1229466 */   GIM_Try, /*On fail goto*//*Label 17817*/ GIMT_Encode4(1229546), // Rule ID 22907 //
     /* 1229471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1229488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229510 */     // MIs[0] round
     /* 1229510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229520 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1229523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229545 */     // GIR_Coverage, 22907,
     /* 1229545 */     GIR_EraseRootFromParent_Done,
     /* 1229546 */   // Label 17817: @1229546
     /* 1229546 */   GIM_Try, /*On fail goto*//*Label 17818*/ GIMT_Encode4(1229626), // Rule ID 22910 //
     /* 1229551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1229554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1229568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229590 */     // MIs[0] round
     /* 1229590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229600 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1229603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229625 */     // GIR_Coverage, 22910,
     /* 1229625 */     GIR_EraseRootFromParent_Done,
     /* 1229626 */   // Label 17818: @1229626
     /* 1229626 */   GIM_Try, /*On fail goto*//*Label 17819*/ GIMT_Encode4(1229706), // Rule ID 22911 //
     /* 1229631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1229634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1229648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229670 */     // MIs[0] round
     /* 1229670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229680 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1229683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229705 */     // GIR_Coverage, 22911,
     /* 1229705 */     GIR_EraseRootFromParent_Done,
     /* 1229706 */   // Label 17819: @1229706
     /* 1229706 */   GIM_Try, /*On fail goto*//*Label 17820*/ GIMT_Encode4(1229786), // Rule ID 22914 //
     /* 1229711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1229728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229750 */     // MIs[0] round
     /* 1229750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229760 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1229763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229785 */     // GIR_Coverage, 22914,
     /* 1229785 */     GIR_EraseRootFromParent_Done,
     /* 1229786 */   // Label 17820: @1229786
     /* 1229786 */   GIM_Try, /*On fail goto*//*Label 17821*/ GIMT_Encode4(1229866), // Rule ID 22915 //
     /* 1229791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1229808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229830 */     // MIs[0] round
     /* 1229830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229840 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1229843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229865 */     // GIR_Coverage, 22915,
     /* 1229865 */     GIR_EraseRootFromParent_Done,
     /* 1229866 */   // Label 17821: @1229866
     /* 1229866 */   GIM_Try, /*On fail goto*//*Label 17822*/ GIMT_Encode4(1229946), // Rule ID 22918 //
     /* 1229871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1229888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229910 */     // MIs[0] round
     /* 1229910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229920 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1229923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229945 */     // GIR_Coverage, 22918,
     /* 1229945 */     GIR_EraseRootFromParent_Done,
     /* 1229946 */   // Label 17822: @1229946
     /* 1229946 */   GIM_Try, /*On fail goto*//*Label 17823*/ GIMT_Encode4(1230026), // Rule ID 22919 //
     /* 1229951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1229968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229990 */     // MIs[0] round
     /* 1229990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230000 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1230003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230025 */     // GIR_Coverage, 22919,
     /* 1230025 */     GIR_EraseRootFromParent_Done,
     /* 1230026 */   // Label 17823: @1230026
     /* 1230026 */   GIM_Try, /*On fail goto*//*Label 17824*/ GIMT_Encode4(1230106), // Rule ID 22922 //
     /* 1230031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1230034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1230042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1230045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1230048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1230051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230070 */     // MIs[0] round
     /* 1230070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230080 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1230083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230105 */     // GIR_Coverage, 22922,
     /* 1230105 */     GIR_EraseRootFromParent_Done,
     /* 1230106 */   // Label 17824: @1230106
     /* 1230106 */   GIM_Try, /*On fail goto*//*Label 17825*/ GIMT_Encode4(1230186), // Rule ID 22923 //
     /* 1230111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1230114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1230122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1230125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1230128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1230131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230150 */     // MIs[0] round
     /* 1230150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230160 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1230163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230185 */     // GIR_Coverage, 22923,
     /* 1230185 */     GIR_EraseRootFromParent_Done,
     /* 1230186 */   // Label 17825: @1230186
     /* 1230186 */   GIM_Try, /*On fail goto*//*Label 17826*/ GIMT_Encode4(1230266), // Rule ID 22926 //
     /* 1230191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1230194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230230 */     // MIs[0] round
     /* 1230230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230240 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1230243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230265 */     // GIR_Coverage, 22926,
     /* 1230265 */     GIR_EraseRootFromParent_Done,
     /* 1230266 */   // Label 17826: @1230266
     /* 1230266 */   GIM_Try, /*On fail goto*//*Label 17827*/ GIMT_Encode4(1230346), // Rule ID 22927 //
     /* 1230271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1230274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230310 */     // MIs[0] round
     /* 1230310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230320 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1230323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230345 */     // GIR_Coverage, 22927,
     /* 1230345 */     GIR_EraseRootFromParent_Done,
     /* 1230346 */   // Label 17827: @1230346
     /* 1230346 */   GIM_Try, /*On fail goto*//*Label 17828*/ GIMT_Encode4(1230426), // Rule ID 22930 //
     /* 1230351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1230354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1230368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230390 */     // MIs[0] round
     /* 1230390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230400 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1230403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230425 */     // GIR_Coverage, 22930,
     /* 1230425 */     GIR_EraseRootFromParent_Done,
     /* 1230426 */   // Label 17828: @1230426
     /* 1230426 */   GIM_Try, /*On fail goto*//*Label 17829*/ GIMT_Encode4(1230506), // Rule ID 22931 //
     /* 1230431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1230434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1230448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230470 */     // MIs[0] round
     /* 1230470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230480 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1230483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230505 */     // GIR_Coverage, 22931,
     /* 1230505 */     GIR_EraseRootFromParent_Done,
     /* 1230506 */   // Label 17829: @1230506
     /* 1230506 */   GIM_Try, /*On fail goto*//*Label 17830*/ GIMT_Encode4(1230586), // Rule ID 22934 //
     /* 1230511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1230514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230550 */     // MIs[0] round
     /* 1230550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230560 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1230563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230585 */     // GIR_Coverage, 22934,
     /* 1230585 */     GIR_EraseRootFromParent_Done,
     /* 1230586 */   // Label 17830: @1230586
     /* 1230586 */   GIM_Try, /*On fail goto*//*Label 17831*/ GIMT_Encode4(1230666), // Rule ID 22935 //
     /* 1230591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1230594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230630 */     // MIs[0] round
     /* 1230630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230640 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1230643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230665 */     // GIR_Coverage, 22935,
     /* 1230665 */     GIR_EraseRootFromParent_Done,
     /* 1230666 */   // Label 17831: @1230666
     /* 1230666 */   GIM_Try, /*On fail goto*//*Label 17832*/ GIMT_Encode4(1230746), // Rule ID 22938 //
     /* 1230671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1230674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1230688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230710 */     // MIs[0] round
     /* 1230710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1230723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230745 */     // GIR_Coverage, 22938,
     /* 1230745 */     GIR_EraseRootFromParent_Done,
     /* 1230746 */   // Label 17832: @1230746
     /* 1230746 */   GIM_Try, /*On fail goto*//*Label 17833*/ GIMT_Encode4(1230826), // Rule ID 22939 //
     /* 1230751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1230754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1230768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230790 */     // MIs[0] round
     /* 1230790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1230803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230825 */     // GIR_Coverage, 22939,
     /* 1230825 */     GIR_EraseRootFromParent_Done,
     /* 1230826 */   // Label 17833: @1230826
     /* 1230826 */   GIM_Try, /*On fail goto*//*Label 17834*/ GIMT_Encode4(1230906), // Rule ID 22942 //
     /* 1230831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1230834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1230848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230870 */     // MIs[0] round
     /* 1230870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230880 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1230883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230905 */     // GIR_Coverage, 22942,
     /* 1230905 */     GIR_EraseRootFromParent_Done,
     /* 1230906 */   // Label 17834: @1230906
     /* 1230906 */   GIM_Try, /*On fail goto*//*Label 17835*/ GIMT_Encode4(1230986), // Rule ID 22943 //
     /* 1230911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1230914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1230928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230950 */     // MIs[0] round
     /* 1230950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230960 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1230963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230985 */     // GIR_Coverage, 22943,
     /* 1230985 */     GIR_EraseRootFromParent_Done,
     /* 1230986 */   // Label 17835: @1230986
     /* 1230986 */   GIM_Try, /*On fail goto*//*Label 17836*/ GIMT_Encode4(1231066), // Rule ID 22946 //
     /* 1230991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1230994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1231008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231030 */     // MIs[0] round
     /* 1231030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231040 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1231043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1231061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231065 */     // GIR_Coverage, 22946,
     /* 1231065 */     GIR_EraseRootFromParent_Done,
     /* 1231066 */   // Label 17836: @1231066
     /* 1231066 */   GIM_Try, /*On fail goto*//*Label 17837*/ GIMT_Encode4(1231146), // Rule ID 22947 //
     /* 1231071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1231074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1231079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1231088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231110 */     // MIs[0] round
     /* 1231110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231120 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1231123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1231141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231145 */     // GIR_Coverage, 22947,
     /* 1231145 */     GIR_EraseRootFromParent_Done,
     /* 1231146 */   // Label 17837: @1231146
     /* 1231146 */   GIM_Try, /*On fail goto*//*Label 17838*/ GIMT_Encode4(1231226), // Rule ID 23070 //
     /* 1231151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1231168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231190 */     // MIs[0] round
     /* 1231190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231200 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1231203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231225 */     // GIR_Coverage, 23070,
     /* 1231225 */     GIR_EraseRootFromParent_Done,
     /* 1231226 */   // Label 17838: @1231226
     /* 1231226 */   GIM_Try, /*On fail goto*//*Label 17839*/ GIMT_Encode4(1231306), // Rule ID 23071 //
     /* 1231231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1231248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231270 */     // MIs[0] round
     /* 1231270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231280 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1231283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231305 */     // GIR_Coverage, 23071,
     /* 1231305 */     GIR_EraseRootFromParent_Done,
     /* 1231306 */   // Label 17839: @1231306
     /* 1231306 */   GIM_Try, /*On fail goto*//*Label 17840*/ GIMT_Encode4(1231386), // Rule ID 23074 //
     /* 1231311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1231328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231350 */     // MIs[0] round
     /* 1231350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231360 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1231363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231385 */     // GIR_Coverage, 23074,
     /* 1231385 */     GIR_EraseRootFromParent_Done,
     /* 1231386 */   // Label 17840: @1231386
     /* 1231386 */   GIM_Try, /*On fail goto*//*Label 17841*/ GIMT_Encode4(1231466), // Rule ID 23075 //
     /* 1231391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1231408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231430 */     // MIs[0] round
     /* 1231430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231440 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1231443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231465 */     // GIR_Coverage, 23075,
     /* 1231465 */     GIR_EraseRootFromParent_Done,
     /* 1231466 */   // Label 17841: @1231466
     /* 1231466 */   GIM_Try, /*On fail goto*//*Label 17842*/ GIMT_Encode4(1231546), // Rule ID 23078 //
     /* 1231471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1231474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1231488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231510 */     // MIs[0] round
     /* 1231510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231520 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1231523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231545 */     // GIR_Coverage, 23078,
     /* 1231545 */     GIR_EraseRootFromParent_Done,
     /* 1231546 */   // Label 17842: @1231546
     /* 1231546 */   GIM_Try, /*On fail goto*//*Label 17843*/ GIMT_Encode4(1231626), // Rule ID 23079 //
     /* 1231551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1231554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1231568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231590 */     // MIs[0] round
     /* 1231590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231600 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1231603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231625 */     // GIR_Coverage, 23079,
     /* 1231625 */     GIR_EraseRootFromParent_Done,
     /* 1231626 */   // Label 17843: @1231626
     /* 1231626 */   GIM_Try, /*On fail goto*//*Label 17844*/ GIMT_Encode4(1231706), // Rule ID 23082 //
     /* 1231631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1231648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231670 */     // MIs[0] round
     /* 1231670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231680 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1231683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231705 */     // GIR_Coverage, 23082,
     /* 1231705 */     GIR_EraseRootFromParent_Done,
     /* 1231706 */   // Label 17844: @1231706
     /* 1231706 */   GIM_Try, /*On fail goto*//*Label 17845*/ GIMT_Encode4(1231786), // Rule ID 23083 //
     /* 1231711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1231728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231750 */     // MIs[0] round
     /* 1231750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231760 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1231763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231785 */     // GIR_Coverage, 23083,
     /* 1231785 */     GIR_EraseRootFromParent_Done,
     /* 1231786 */   // Label 17845: @1231786
     /* 1231786 */   GIM_Try, /*On fail goto*//*Label 17846*/ GIMT_Encode4(1231866), // Rule ID 23086 //
     /* 1231791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1231794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1231808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231830 */     // MIs[0] round
     /* 1231830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231840 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1231843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231865 */     // GIR_Coverage, 23086,
     /* 1231865 */     GIR_EraseRootFromParent_Done,
     /* 1231866 */   // Label 17846: @1231866
     /* 1231866 */   GIM_Try, /*On fail goto*//*Label 17847*/ GIMT_Encode4(1231946), // Rule ID 23087 //
     /* 1231871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1231874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1231888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231910 */     // MIs[0] round
     /* 1231910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231920 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1231923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231945 */     // GIR_Coverage, 23087,
     /* 1231945 */     GIR_EraseRootFromParent_Done,
     /* 1231946 */   // Label 17847: @1231946
     /* 1231946 */   GIM_Try, /*On fail goto*//*Label 17848*/ GIMT_Encode4(1232026), // Rule ID 23090 //
     /* 1231951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1231968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231990 */     // MIs[0] round
     /* 1231990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232000 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1232003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232025 */     // GIR_Coverage, 23090,
     /* 1232025 */     GIR_EraseRootFromParent_Done,
     /* 1232026 */   // Label 17848: @1232026
     /* 1232026 */   GIM_Try, /*On fail goto*//*Label 17849*/ GIMT_Encode4(1232106), // Rule ID 23091 //
     /* 1232031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1232034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1232048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232070 */     // MIs[0] round
     /* 1232070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232080 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1232083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232105 */     // GIR_Coverage, 23091,
     /* 1232105 */     GIR_EraseRootFromParent_Done,
     /* 1232106 */   // Label 17849: @1232106
     /* 1232106 */   GIM_Try, /*On fail goto*//*Label 17850*/ GIMT_Encode4(1232186), // Rule ID 23094 //
     /* 1232111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1232114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1232128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232150 */     // MIs[0] round
     /* 1232150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232160 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1232163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232185 */     // GIR_Coverage, 23094,
     /* 1232185 */     GIR_EraseRootFromParent_Done,
     /* 1232186 */   // Label 17850: @1232186
     /* 1232186 */   GIM_Try, /*On fail goto*//*Label 17851*/ GIMT_Encode4(1232266), // Rule ID 23095 //
     /* 1232191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1232194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1232208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232230 */     // MIs[0] round
     /* 1232230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232240 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1232243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232265 */     // GIR_Coverage, 23095,
     /* 1232265 */     GIR_EraseRootFromParent_Done,
     /* 1232266 */   // Label 17851: @1232266
     /* 1232266 */   GIM_Try, /*On fail goto*//*Label 17852*/ GIMT_Encode4(1232346), // Rule ID 23098 //
     /* 1232271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1232274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1232288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232310 */     // MIs[0] round
     /* 1232310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232320 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1232323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232345 */     // GIR_Coverage, 23098,
     /* 1232345 */     GIR_EraseRootFromParent_Done,
     /* 1232346 */   // Label 17852: @1232346
     /* 1232346 */   GIM_Try, /*On fail goto*//*Label 17853*/ GIMT_Encode4(1232426), // Rule ID 23099 //
     /* 1232351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1232354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1232368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232390 */     // MIs[0] round
     /* 1232390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232400 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1232403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232425 */     // GIR_Coverage, 23099,
     /* 1232425 */     GIR_EraseRootFromParent_Done,
     /* 1232426 */   // Label 17853: @1232426
     /* 1232426 */   GIM_Try, /*On fail goto*//*Label 17854*/ GIMT_Encode4(1232506), // Rule ID 23102 //
     /* 1232431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1232434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1232448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232470 */     // MIs[0] round
     /* 1232470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232480 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1232483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232505 */     // GIR_Coverage, 23102,
     /* 1232505 */     GIR_EraseRootFromParent_Done,
     /* 1232506 */   // Label 17854: @1232506
     /* 1232506 */   GIM_Try, /*On fail goto*//*Label 17855*/ GIMT_Encode4(1232586), // Rule ID 23103 //
     /* 1232511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1232528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232550 */     // MIs[0] round
     /* 1232550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232560 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1232563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232585 */     // GIR_Coverage, 23103,
     /* 1232585 */     GIR_EraseRootFromParent_Done,
     /* 1232586 */   // Label 17855: @1232586
     /* 1232586 */   GIM_Try, /*On fail goto*//*Label 17856*/ GIMT_Encode4(1232666), // Rule ID 23106 //
     /* 1232591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1232594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1232608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232630 */     // MIs[0] round
     /* 1232630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1232643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232665 */     // GIR_Coverage, 23106,
     /* 1232665 */     GIR_EraseRootFromParent_Done,
     /* 1232666 */   // Label 17856: @1232666
     /* 1232666 */   GIM_Try, /*On fail goto*//*Label 17857*/ GIMT_Encode4(1232746), // Rule ID 23107 //
     /* 1232671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1232688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232710 */     // MIs[0] round
     /* 1232710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1232723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232745 */     // GIR_Coverage, 23107,
     /* 1232745 */     GIR_EraseRootFromParent_Done,
     /* 1232746 */   // Label 17857: @1232746
     /* 1232746 */   GIM_Try, /*On fail goto*//*Label 17858*/ GIMT_Encode4(1232826), // Rule ID 23110 //
     /* 1232751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1232754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1232768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232790 */     // MIs[0] round
     /* 1232790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1232803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232825 */     // GIR_Coverage, 23110,
     /* 1232825 */     GIR_EraseRootFromParent_Done,
     /* 1232826 */   // Label 17858: @1232826
     /* 1232826 */   GIM_Try, /*On fail goto*//*Label 17859*/ GIMT_Encode4(1232906), // Rule ID 23111 //
     /* 1232831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1232848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232870 */     // MIs[0] round
     /* 1232870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232880 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1232883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232905 */     // GIR_Coverage, 23111,
     /* 1232905 */     GIR_EraseRootFromParent_Done,
     /* 1232906 */   // Label 17859: @1232906
     /* 1232906 */   GIM_Try, /*On fail goto*//*Label 17860*/ GIMT_Encode4(1232986), // Rule ID 23114 //
     /* 1232911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1232914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232950 */     // MIs[0] round
     /* 1232950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232960 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1232963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232985 */     // GIR_Coverage, 23114,
     /* 1232985 */     GIR_EraseRootFromParent_Done,
     /* 1232986 */   // Label 17860: @1232986
     /* 1232986 */   GIM_Try, /*On fail goto*//*Label 17861*/ GIMT_Encode4(1233066), // Rule ID 23115 //
     /* 1232991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1232994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1233008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233030 */     // MIs[0] round
     /* 1233030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233040 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1233043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233065 */     // GIR_Coverage, 23115,
     /* 1233065 */     GIR_EraseRootFromParent_Done,
     /* 1233066 */   // Label 17861: @1233066
     /* 1233066 */   GIM_Try, /*On fail goto*//*Label 17862*/ GIMT_Encode4(1233146), // Rule ID 23118 //
     /* 1233071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1233088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233110 */     // MIs[0] round
     /* 1233110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233120 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1233123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233145 */     // GIR_Coverage, 23118,
     /* 1233145 */     GIR_EraseRootFromParent_Done,
     /* 1233146 */   // Label 17862: @1233146
     /* 1233146 */   GIM_Try, /*On fail goto*//*Label 17863*/ GIMT_Encode4(1233226), // Rule ID 23119 //
     /* 1233151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1233168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233190 */     // MIs[0] round
     /* 1233190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233200 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1233203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233225 */     // GIR_Coverage, 23119,
     /* 1233225 */     GIR_EraseRootFromParent_Done,
     /* 1233226 */   // Label 17863: @1233226
     /* 1233226 */   GIM_Try, /*On fail goto*//*Label 17864*/ GIMT_Encode4(1233306), // Rule ID 23122 //
     /* 1233231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1233234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1233248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233270 */     // MIs[0] round
     /* 1233270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233280 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1233283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233305 */     // GIR_Coverage, 23122,
     /* 1233305 */     GIR_EraseRootFromParent_Done,
     /* 1233306 */   // Label 17864: @1233306
     /* 1233306 */   GIM_Try, /*On fail goto*//*Label 17865*/ GIMT_Encode4(1233386), // Rule ID 23123 //
     /* 1233311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1233314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1233328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233350 */     // MIs[0] round
     /* 1233350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233360 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1233363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233385 */     // GIR_Coverage, 23123,
     /* 1233385 */     GIR_EraseRootFromParent_Done,
     /* 1233386 */   // Label 17865: @1233386
     /* 1233386 */   GIM_Try, /*On fail goto*//*Label 17866*/ GIMT_Encode4(1233466), // Rule ID 23126 //
     /* 1233391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1233408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233430 */     // MIs[0] round
     /* 1233430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233440 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1233443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233465 */     // GIR_Coverage, 23126,
     /* 1233465 */     GIR_EraseRootFromParent_Done,
     /* 1233466 */   // Label 17866: @1233466
     /* 1233466 */   GIM_Try, /*On fail goto*//*Label 17867*/ GIMT_Encode4(1233546), // Rule ID 23127 //
     /* 1233471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1233488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233510 */     // MIs[0] round
     /* 1233510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233520 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1233523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233545 */     // GIR_Coverage, 23127,
     /* 1233545 */     GIR_EraseRootFromParent_Done,
     /* 1233546 */   // Label 17867: @1233546
     /* 1233546 */   GIM_Try, /*On fail goto*//*Label 17868*/ GIMT_Encode4(1233626), // Rule ID 23130 //
     /* 1233551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1233554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1233568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233590 */     // MIs[0] round
     /* 1233590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233600 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1233603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233625 */     // GIR_Coverage, 23130,
     /* 1233625 */     GIR_EraseRootFromParent_Done,
     /* 1233626 */   // Label 17868: @1233626
     /* 1233626 */   GIM_Try, /*On fail goto*//*Label 17869*/ GIMT_Encode4(1233706), // Rule ID 23131 //
     /* 1233631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1233634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1233648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233670 */     // MIs[0] round
     /* 1233670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233680 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1233683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233705 */     // GIR_Coverage, 23131,
     /* 1233705 */     GIR_EraseRootFromParent_Done,
     /* 1233706 */   // Label 17869: @1233706
     /* 1233706 */   GIM_Try, /*On fail goto*//*Label 17870*/ GIMT_Encode4(1233786), // Rule ID 23134 //
     /* 1233711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233750 */     // MIs[0] round
     /* 1233750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233760 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1233763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233785 */     // GIR_Coverage, 23134,
     /* 1233785 */     GIR_EraseRootFromParent_Done,
     /* 1233786 */   // Label 17870: @1233786
     /* 1233786 */   GIM_Try, /*On fail goto*//*Label 17871*/ GIMT_Encode4(1233866), // Rule ID 23135 //
     /* 1233791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233830 */     // MIs[0] round
     /* 1233830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233840 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1233843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233865 */     // GIR_Coverage, 23135,
     /* 1233865 */     GIR_EraseRootFromParent_Done,
     /* 1233866 */   // Label 17871: @1233866
     /* 1233866 */   GIM_Try, /*On fail goto*//*Label 17872*/ GIMT_Encode4(1233946), // Rule ID 23138 //
     /* 1233871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1233888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233910 */     // MIs[0] round
     /* 1233910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233920 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1233923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233945 */     // GIR_Coverage, 23138,
     /* 1233945 */     GIR_EraseRootFromParent_Done,
     /* 1233946 */   // Label 17872: @1233946
     /* 1233946 */   GIM_Try, /*On fail goto*//*Label 17873*/ GIMT_Encode4(1234026), // Rule ID 23139 //
     /* 1233951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1233968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233990 */     // MIs[0] round
     /* 1233990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234000 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1234003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234025 */     // GIR_Coverage, 23139,
     /* 1234025 */     GIR_EraseRootFromParent_Done,
     /* 1234026 */   // Label 17873: @1234026
     /* 1234026 */   GIM_Try, /*On fail goto*//*Label 17874*/ GIMT_Encode4(1234106), // Rule ID 23142 //
     /* 1234031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1234034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1234039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1234042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1234045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1234048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1234051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234070 */     // MIs[0] round
     /* 1234070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234080 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1234083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234105 */     // GIR_Coverage, 23142,
     /* 1234105 */     GIR_EraseRootFromParent_Done,
     /* 1234106 */   // Label 17874: @1234106
     /* 1234106 */   GIM_Try, /*On fail goto*//*Label 17875*/ GIMT_Encode4(1234186), // Rule ID 23143 //
     /* 1234111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1234114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1234119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1234122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1234125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1234128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1234131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234150 */     // MIs[0] round
     /* 1234150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234160 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1234163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234185 */     // GIR_Coverage, 23143,
     /* 1234185 */     GIR_EraseRootFromParent_Done,
     /* 1234186 */   // Label 17875: @1234186
     /* 1234186 */   GIM_Try, /*On fail goto*//*Label 17876*/ GIMT_Encode4(1234266), // Rule ID 23146 //
     /* 1234191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1234194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1234199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1234202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1234205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1234211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234230 */     // MIs[0] round
     /* 1234230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234240 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1234243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234265 */     // GIR_Coverage, 23146,
     /* 1234265 */     GIR_EraseRootFromParent_Done,
     /* 1234266 */   // Label 17876: @1234266
     /* 1234266 */   GIM_Try, /*On fail goto*//*Label 17877*/ GIMT_Encode4(1234346), // Rule ID 23147 //
     /* 1234271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1234274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1234279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1234282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1234285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1234291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234310 */     // MIs[0] round
     /* 1234310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234320 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1234323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234345 */     // GIR_Coverage, 23147,
     /* 1234345 */     GIR_EraseRootFromParent_Done,
     /* 1234346 */   // Label 17877: @1234346
     /* 1234346 */   GIM_Try, /*On fail goto*//*Label 17878*/ GIMT_Encode4(1234426), // Rule ID 23150 //
     /* 1234351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1234354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1234359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1234362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1234365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1234371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234390 */     // MIs[0] round
     /* 1234390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234400 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1234403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234425 */     // GIR_Coverage, 23150,
     /* 1234425 */     GIR_EraseRootFromParent_Done,
     /* 1234426 */   // Label 17878: @1234426
     /* 1234426 */   GIM_Try, /*On fail goto*//*Label 17879*/ GIMT_Encode4(1234506), // Rule ID 23151 //
     /* 1234431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1234434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1234439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1234442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1234445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1234451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234470 */     // MIs[0] round
     /* 1234470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234480 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1234483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234505 */     // GIR_Coverage, 23151,
     /* 1234505 */     GIR_EraseRootFromParent_Done,
     /* 1234506 */   // Label 17879: @1234506
     /* 1234506 */   GIM_Try, /*On fail goto*//*Label 17880*/ GIMT_Encode4(1234586), // Rule ID 23154 //
     /* 1234511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1234514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1234519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1234522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1234525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1234531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234550 */     // MIs[0] round
     /* 1234550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234560 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1234563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234585 */     // GIR_Coverage, 23154,
     /* 1234585 */     GIR_EraseRootFromParent_Done,
     /* 1234586 */   // Label 17880: @1234586
     /* 1234586 */   GIM_Try, /*On fail goto*//*Label 17881*/ GIMT_Encode4(1234666), // Rule ID 23155 //
     /* 1234591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1234594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1234599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1234602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1234605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1234611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234630 */     // MIs[0] round
     /* 1234630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1234643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234665 */     // GIR_Coverage, 23155,
     /* 1234665 */     GIR_EraseRootFromParent_Done,
     /* 1234666 */   // Label 17881: @1234666
     /* 1234666 */   GIM_Try, /*On fail goto*//*Label 17882*/ GIMT_Encode4(1234746), // Rule ID 64359 //
     /* 1234671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1234682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1234685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1234688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234710 */     // MIs[0] round
     /* 1234710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234720 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_MF8),
     /* 1234723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234745 */     // GIR_Coverage, 64359,
     /* 1234745 */     GIR_EraseRootFromParent_Done,
     /* 1234746 */   // Label 17882: @1234746
     /* 1234746 */   GIM_Try, /*On fail goto*//*Label 17883*/ GIMT_Encode4(1234826), // Rule ID 64360 //
     /* 1234751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1234754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1234762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1234765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1234768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234790 */     // MIs[0] round
     /* 1234790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234800 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_MF8),
     /* 1234803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234825 */     // GIR_Coverage, 64360,
     /* 1234825 */     GIR_EraseRootFromParent_Done,
     /* 1234826 */   // Label 17883: @1234826
     /* 1234826 */   GIM_Try, /*On fail goto*//*Label 17884*/ GIMT_Encode4(1234906), // Rule ID 64363 //
     /* 1234831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1234842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1234845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1234848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234870 */     // MIs[0] round
     /* 1234870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234880 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_MF4),
     /* 1234883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234905 */     // GIR_Coverage, 64363,
     /* 1234905 */     GIR_EraseRootFromParent_Done,
     /* 1234906 */   // Label 17884: @1234906
     /* 1234906 */   GIM_Try, /*On fail goto*//*Label 17885*/ GIMT_Encode4(1234986), // Rule ID 64364 //
     /* 1234911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1234914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1234922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1234925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1234928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234950 */     // MIs[0] round
     /* 1234950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234960 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_MF4),
     /* 1234963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234985 */     // GIR_Coverage, 64364,
     /* 1234985 */     GIR_EraseRootFromParent_Done,
     /* 1234986 */   // Label 17885: @1234986
     /* 1234986 */   GIM_Try, /*On fail goto*//*Label 17886*/ GIMT_Encode4(1235066), // Rule ID 64367 //
     /* 1234991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1235008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235030 */     // MIs[0] round
     /* 1235030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235040 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_MF2),
     /* 1235043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235065 */     // GIR_Coverage, 64367,
     /* 1235065 */     GIR_EraseRootFromParent_Done,
     /* 1235066 */   // Label 17886: @1235066
     /* 1235066 */   GIM_Try, /*On fail goto*//*Label 17887*/ GIMT_Encode4(1235146), // Rule ID 64368 //
     /* 1235071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1235079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1235088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235110 */     // MIs[0] round
     /* 1235110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235120 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_MF2),
     /* 1235123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235145 */     // GIR_Coverage, 64368,
     /* 1235145 */     GIR_EraseRootFromParent_Done,
     /* 1235146 */   // Label 17887: @1235146
     /* 1235146 */   GIM_Try, /*On fail goto*//*Label 17888*/ GIMT_Encode4(1235226), // Rule ID 64371 //
     /* 1235151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1235159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1235162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1235165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1235168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235190 */     // MIs[0] round
     /* 1235190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_M1),
     /* 1235203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235225 */     // GIR_Coverage, 64371,
     /* 1235225 */     GIR_EraseRootFromParent_Done,
     /* 1235226 */   // Label 17888: @1235226
     /* 1235226 */   GIM_Try, /*On fail goto*//*Label 17889*/ GIMT_Encode4(1235306), // Rule ID 64372 //
     /* 1235231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1235239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1235242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1235245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1235248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235270 */     // MIs[0] round
     /* 1235270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_M1),
     /* 1235283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235305 */     // GIR_Coverage, 64372,
     /* 1235305 */     GIR_EraseRootFromParent_Done,
     /* 1235306 */   // Label 17889: @1235306
     /* 1235306 */   GIM_Try, /*On fail goto*//*Label 17890*/ GIMT_Encode4(1235386), // Rule ID 64375 //
     /* 1235311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1235319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1235322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1235325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1235328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235350 */     // MIs[0] round
     /* 1235350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235360 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_M2),
     /* 1235363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235385 */     // GIR_Coverage, 64375,
     /* 1235385 */     GIR_EraseRootFromParent_Done,
     /* 1235386 */   // Label 17890: @1235386
     /* 1235386 */   GIM_Try, /*On fail goto*//*Label 17891*/ GIMT_Encode4(1235466), // Rule ID 64376 //
     /* 1235391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1235399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1235402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1235405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1235408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235430 */     // MIs[0] round
     /* 1235430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235440 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_M2),
     /* 1235443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235465 */     // GIR_Coverage, 64376,
     /* 1235465 */     GIR_EraseRootFromParent_Done,
     /* 1235466 */   // Label 17891: @1235466
     /* 1235466 */   GIM_Try, /*On fail goto*//*Label 17892*/ GIMT_Encode4(1235546), // Rule ID 64379 //
     /* 1235471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1235482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1235485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1235488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235510 */     // MIs[0] round
     /* 1235510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235520 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_MF8),
     /* 1235523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235545 */     // GIR_Coverage, 64379,
     /* 1235545 */     GIR_EraseRootFromParent_Done,
     /* 1235546 */   // Label 17892: @1235546
     /* 1235546 */   GIM_Try, /*On fail goto*//*Label 17893*/ GIMT_Encode4(1235626), // Rule ID 64380 //
     /* 1235551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1235562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1235565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1235568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235590 */     // MIs[0] round
     /* 1235590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235600 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_MF8),
     /* 1235603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235625 */     // GIR_Coverage, 64380,
     /* 1235625 */     GIR_EraseRootFromParent_Done,
     /* 1235626 */   // Label 17893: @1235626
     /* 1235626 */   GIM_Try, /*On fail goto*//*Label 17894*/ GIMT_Encode4(1235706), // Rule ID 64383 //
     /* 1235631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1235642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1235645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1235648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235670 */     // MIs[0] round
     /* 1235670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235680 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_MF4),
     /* 1235683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235705 */     // GIR_Coverage, 64383,
     /* 1235705 */     GIR_EraseRootFromParent_Done,
     /* 1235706 */   // Label 17894: @1235706
     /* 1235706 */   GIM_Try, /*On fail goto*//*Label 17895*/ GIMT_Encode4(1235786), // Rule ID 64384 //
     /* 1235711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1235722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1235725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1235728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235750 */     // MIs[0] round
     /* 1235750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235760 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_MF4),
     /* 1235763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235785 */     // GIR_Coverage, 64384,
     /* 1235785 */     GIR_EraseRootFromParent_Done,
     /* 1235786 */   // Label 17895: @1235786
     /* 1235786 */   GIM_Try, /*On fail goto*//*Label 17896*/ GIMT_Encode4(1235866), // Rule ID 64387 //
     /* 1235791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1235808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235830 */     // MIs[0] round
     /* 1235830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235840 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_MF2),
     /* 1235843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235865 */     // GIR_Coverage, 64387,
     /* 1235865 */     GIR_EraseRootFromParent_Done,
     /* 1235866 */   // Label 17896: @1235866
     /* 1235866 */   GIM_Try, /*On fail goto*//*Label 17897*/ GIMT_Encode4(1235946), // Rule ID 64388 //
     /* 1235871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1235888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235910 */     // MIs[0] round
     /* 1235910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235920 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_MF2),
     /* 1235923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235945 */     // GIR_Coverage, 64388,
     /* 1235945 */     GIR_EraseRootFromParent_Done,
     /* 1235946 */   // Label 17897: @1235946
     /* 1235946 */   GIM_Try, /*On fail goto*//*Label 17898*/ GIMT_Encode4(1236026), // Rule ID 64391 //
     /* 1235951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1235962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1235965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1235968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235990 */     // MIs[0] round
     /* 1235990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_M1),
     /* 1236003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236025 */     // GIR_Coverage, 64391,
     /* 1236025 */     GIR_EraseRootFromParent_Done,
     /* 1236026 */   // Label 17898: @1236026
     /* 1236026 */   GIM_Try, /*On fail goto*//*Label 17899*/ GIMT_Encode4(1236106), // Rule ID 64392 //
     /* 1236031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1236034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1236039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1236042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1236045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1236048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236070 */     // MIs[0] round
     /* 1236070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236080 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_M1),
     /* 1236083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236105 */     // GIR_Coverage, 64392,
     /* 1236105 */     GIR_EraseRootFromParent_Done,
     /* 1236106 */   // Label 17899: @1236106
     /* 1236106 */   GIM_Try, /*On fail goto*//*Label 17900*/ GIMT_Encode4(1236186), // Rule ID 64395 //
     /* 1236111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1236114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1236119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1236122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1236125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1236128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236150 */     // MIs[0] round
     /* 1236150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236160 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoSF_VFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_M2),
     /* 1236163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236185 */     // GIR_Coverage, 64395,
     /* 1236185 */     GIR_EraseRootFromParent_Done,
     /* 1236186 */   // Label 17900: @1236186
     /* 1236186 */   GIM_Try, /*On fail goto*//*Label 17901*/ GIMT_Encode4(1236266), // Rule ID 64396 //
     /* 1236191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1236194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1236199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1236202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1236205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1236208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236230 */     // MIs[0] round
     /* 1236230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236240 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoSF_VFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_M2),
     /* 1236243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236265 */     // GIR_Coverage, 64396,
     /* 1236265 */     GIR_EraseRootFromParent_Done,
     /* 1236266 */   // Label 17901: @1236266
     /* 1236266 */   GIM_Try, /*On fail goto*//*Label 17902*/ GIMT_Encode4(1236346), // Rule ID 65130 //
     /* 1236271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1236274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1236282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1236285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1236288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236310 */     // MIs[0] round
     /* 1236310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236320 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF4),
     /* 1236323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236345 */     // GIR_Coverage, 65130,
     /* 1236345 */     GIR_EraseRootFromParent_Done,
     /* 1236346 */   // Label 17902: @1236346
     /* 1236346 */   GIM_Try, /*On fail goto*//*Label 17903*/ GIMT_Encode4(1236426), // Rule ID 65131 //
     /* 1236351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1236354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1236362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1236365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1236368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236390 */     // MIs[0] round
     /* 1236390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236400 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF4),
     /* 1236403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236425 */     // GIR_Coverage, 65131,
     /* 1236425 */     GIR_EraseRootFromParent_Done,
     /* 1236426 */   // Label 17903: @1236426
     /* 1236426 */   GIM_Try, /*On fail goto*//*Label 17904*/ GIMT_Encode4(1236506), // Rule ID 65134 //
     /* 1236431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1236434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1236442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1236445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1236448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236470 */     // MIs[0] round
     /* 1236470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236480 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF2),
     /* 1236483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236505 */     // GIR_Coverage, 65134,
     /* 1236505 */     GIR_EraseRootFromParent_Done,
     /* 1236506 */   // Label 17904: @1236506
     /* 1236506 */   GIM_Try, /*On fail goto*//*Label 17905*/ GIMT_Encode4(1236586), // Rule ID 65135 //
     /* 1236511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1236514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1236522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1236525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1236528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236550 */     // MIs[0] round
     /* 1236550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236560 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF2),
     /* 1236563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236585 */     // GIR_Coverage, 65135,
     /* 1236585 */     GIR_EraseRootFromParent_Done,
     /* 1236586 */   // Label 17905: @1236586
     /* 1236586 */   GIM_Try, /*On fail goto*//*Label 17906*/ GIMT_Encode4(1236666), // Rule ID 65138 //
     /* 1236591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1236594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1236602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1236605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1236608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236630 */     // MIs[0] round
     /* 1236630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236640 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11047:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M1),
     /* 1236643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236665 */     // GIR_Coverage, 65138,
     /* 1236665 */     GIR_EraseRootFromParent_Done,
     /* 1236666 */   // Label 17906: @1236666
     /* 1236666 */   GIM_Try, /*On fail goto*//*Label 17907*/ GIMT_Encode4(1236746), // Rule ID 65139 //
     /* 1236671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1236674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1236682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1236685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1236688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236710 */     // MIs[0] round
     /* 1236710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236720 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11047:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M1),
     /* 1236723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236745 */     // GIR_Coverage, 65139,
     /* 1236745 */     GIR_EraseRootFromParent_Done,
     /* 1236746 */   // Label 17907: @1236746
     /* 1236746 */   GIM_Try, /*On fail goto*//*Label 17908*/ GIMT_Encode4(1236826), // Rule ID 65142 //
     /* 1236751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1236754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1236762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1236765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1236768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236790 */     // MIs[0] round
     /* 1236790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236800 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M2),
     /* 1236803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236825 */     // GIR_Coverage, 65142,
     /* 1236825 */     GIR_EraseRootFromParent_Done,
     /* 1236826 */   // Label 17908: @1236826
     /* 1236826 */   GIM_Try, /*On fail goto*//*Label 17909*/ GIMT_Encode4(1236906), // Rule ID 65143 //
     /* 1236831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1236834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1236842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1236845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1236848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236870 */     // MIs[0] round
     /* 1236870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236880 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M2),
     /* 1236883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236905 */     // GIR_Coverage, 65143,
     /* 1236905 */     GIR_EraseRootFromParent_Done,
     /* 1236906 */   // Label 17909: @1236906
     /* 1236906 */   GIM_Try, /*On fail goto*//*Label 17910*/ GIMT_Encode4(1236986), // Rule ID 65146 //
     /* 1236911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1236914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1236922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1236925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1236928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236950 */     // MIs[0] round
     /* 1236950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236960 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M4),
     /* 1236963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236985 */     // GIR_Coverage, 65146,
     /* 1236985 */     GIR_EraseRootFromParent_Done,
     /* 1236986 */   // Label 17910: @1236986
     /* 1236986 */   GIM_Try, /*On fail goto*//*Label 17911*/ GIMT_Encode4(1237066), // Rule ID 65147 //
     /* 1236991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1236994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1236999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1237002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1237005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1237008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237030 */     // MIs[0] round
     /* 1237030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237040 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M4),
     /* 1237043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237065 */     // GIR_Coverage, 65147,
     /* 1237065 */     GIR_EraseRootFromParent_Done,
     /* 1237066 */   // Label 17911: @1237066
     /* 1237066 */   GIM_Try, /*On fail goto*//*Label 17912*/ GIMT_Encode4(1237146), // Rule ID 65150 //
     /* 1237071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1237074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1237079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1237082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1237085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1237088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237110 */     // MIs[0] round
     /* 1237110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237120 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M8),
     /* 1237123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237145 */     // GIR_Coverage, 65150,
     /* 1237145 */     GIR_EraseRootFromParent_Done,
     /* 1237146 */   // Label 17912: @1237146
     /* 1237146 */   GIM_Try, /*On fail goto*//*Label 17913*/ GIMT_Encode4(1237226), // Rule ID 65151 //
     /* 1237151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1237154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1237159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1237162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1237165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1237168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237190 */     // MIs[0] round
     /* 1237190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237200 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M8),
     /* 1237203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237225 */     // GIR_Coverage, 65151,
     /* 1237225 */     GIR_EraseRootFromParent_Done,
     /* 1237226 */   // Label 17913: @1237226
     /* 1237226 */   GIM_Try, /*On fail goto*//*Label 17914*/ GIMT_Encode4(1237306), // Rule ID 65154 //
     /* 1237231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1237234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1237242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1237245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1237248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237270 */     // MIs[0] round
     /* 1237270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237280 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF4),
     /* 1237283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237305 */     // GIR_Coverage, 65154,
     /* 1237305 */     GIR_EraseRootFromParent_Done,
     /* 1237306 */   // Label 17914: @1237306
     /* 1237306 */   GIM_Try, /*On fail goto*//*Label 17915*/ GIMT_Encode4(1237386), // Rule ID 65155 //
     /* 1237311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1237314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1237322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1237325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1237328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237350 */     // MIs[0] round
     /* 1237350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237360 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF4),
     /* 1237363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237385 */     // GIR_Coverage, 65155,
     /* 1237385 */     GIR_EraseRootFromParent_Done,
     /* 1237386 */   // Label 17915: @1237386
     /* 1237386 */   GIM_Try, /*On fail goto*//*Label 17916*/ GIMT_Encode4(1237466), // Rule ID 65158 //
     /* 1237391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1237394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1237402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1237405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1237408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237430 */     // MIs[0] round
     /* 1237430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237440 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF2),
     /* 1237443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237465 */     // GIR_Coverage, 65158,
     /* 1237465 */     GIR_EraseRootFromParent_Done,
     /* 1237466 */   // Label 17916: @1237466
     /* 1237466 */   GIM_Try, /*On fail goto*//*Label 17917*/ GIMT_Encode4(1237546), // Rule ID 65159 //
     /* 1237471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1237474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1237482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1237485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1237488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237510 */     // MIs[0] round
     /* 1237510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237520 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF2),
     /* 1237523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237545 */     // GIR_Coverage, 65159,
     /* 1237545 */     GIR_EraseRootFromParent_Done,
     /* 1237546 */   // Label 17917: @1237546
     /* 1237546 */   GIM_Try, /*On fail goto*//*Label 17918*/ GIMT_Encode4(1237626), // Rule ID 65162 //
     /* 1237551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1237554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1237562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1237565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1237568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237590 */     // MIs[0] round
     /* 1237590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237600 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M1),
     /* 1237603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237625 */     // GIR_Coverage, 65162,
     /* 1237625 */     GIR_EraseRootFromParent_Done,
     /* 1237626 */   // Label 17918: @1237626
     /* 1237626 */   GIM_Try, /*On fail goto*//*Label 17919*/ GIMT_Encode4(1237706), // Rule ID 65163 //
     /* 1237631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1237634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1237642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1237645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1237648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237670 */     // MIs[0] round
     /* 1237670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237680 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M1),
     /* 1237683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237705 */     // GIR_Coverage, 65163,
     /* 1237705 */     GIR_EraseRootFromParent_Done,
     /* 1237706 */   // Label 17919: @1237706
     /* 1237706 */   GIM_Try, /*On fail goto*//*Label 17920*/ GIMT_Encode4(1237786), // Rule ID 65166 //
     /* 1237711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1237714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1237722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1237725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237750 */     // MIs[0] round
     /* 1237750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237760 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M2),
     /* 1237763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237785 */     // GIR_Coverage, 65166,
     /* 1237785 */     GIR_EraseRootFromParent_Done,
     /* 1237786 */   // Label 17920: @1237786
     /* 1237786 */   GIM_Try, /*On fail goto*//*Label 17921*/ GIMT_Encode4(1237866), // Rule ID 65167 //
     /* 1237791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1237794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1237802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1237805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237830 */     // MIs[0] round
     /* 1237830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237840 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M2),
     /* 1237843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237865 */     // GIR_Coverage, 65167,
     /* 1237865 */     GIR_EraseRootFromParent_Done,
     /* 1237866 */   // Label 17921: @1237866
     /* 1237866 */   GIM_Try, /*On fail goto*//*Label 17922*/ GIMT_Encode4(1237946), // Rule ID 65170 //
     /* 1237871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1237874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1237882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1237885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1237888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237910 */     // MIs[0] round
     /* 1237910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237920 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M4),
     /* 1237923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237945 */     // GIR_Coverage, 65170,
     /* 1237945 */     GIR_EraseRootFromParent_Done,
     /* 1237946 */   // Label 17922: @1237946
     /* 1237946 */   GIM_Try, /*On fail goto*//*Label 17923*/ GIMT_Encode4(1238026), // Rule ID 65171 //
     /* 1237951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1237954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1237959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1237962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1237965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1237968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1237990 */     // MIs[0] round
     /* 1237990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238000 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1238000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M4),
     /* 1238003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238025 */     // GIR_Coverage, 65171,
     /* 1238025 */     GIR_EraseRootFromParent_Done,
     /* 1238026 */   // Label 17923: @1238026
     /* 1238026 */   GIM_Try, /*On fail goto*//*Label 17924*/ GIMT_Encode4(1238106), // Rule ID 65174 //
     /* 1238031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1238034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1238039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1238042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1238045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1238048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1238070 */     // MIs[0] round
     /* 1238070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238080 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1238080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M8),
     /* 1238083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238105 */     // GIR_Coverage, 65174,
     /* 1238105 */     GIR_EraseRootFromParent_Done,
     /* 1238106 */   // Label 17924: @1238106
     /* 1238106 */   GIM_Try, /*On fail goto*//*Label 17925*/ GIMT_Encode4(1238186), // Rule ID 65175 //
     /* 1238111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1238114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1238119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1238122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1238125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1238128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1238150 */     // MIs[0] round
     /* 1238150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238160 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1238160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M8),
     /* 1238163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238185 */     // GIR_Coverage, 65175,
     /* 1238185 */     GIR_EraseRootFromParent_Done,
     /* 1238186 */   // Label 17925: @1238186
     /* 1238186 */   GIM_Try, /*On fail goto*//*Label 17926*/ GIMT_Encode4(1238270), // Rule ID 2722 //
     /* 1238191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1238199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1238202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1238205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1238211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1238244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1238247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1238268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238269 */     // GIR_Coverage, 2722,
     /* 1238269 */     GIR_EraseRootFromParent_Done,
     /* 1238270 */   // Label 17926: @1238270
     /* 1238270 */   GIM_Try, /*On fail goto*//*Label 17927*/ GIMT_Encode4(1238354), // Rule ID 2723 //
     /* 1238275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1238283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1238286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1238289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1238295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1238328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1238331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1238352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238353 */     // GIR_Coverage, 2723,
     /* 1238353 */     GIR_EraseRootFromParent_Done,
     /* 1238354 */   // Label 17927: @1238354
     /* 1238354 */   GIM_Try, /*On fail goto*//*Label 17928*/ GIMT_Encode4(1238438), // Rule ID 2734 //
     /* 1238359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1238367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1238370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1238373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1238379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1238412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1238415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1238421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1238423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1238436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238437 */     // GIR_Coverage, 2734,
     /* 1238437 */     GIR_EraseRootFromParent_Done,
     /* 1238438 */   // Label 17928: @1238438
     /* 1238438 */   GIM_Try, /*On fail goto*//*Label 17929*/ GIMT_Encode4(1238522), // Rule ID 2735 //
     /* 1238443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1238451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1238454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1238457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1238463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238496 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1238496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1238499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1238505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1238507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1238520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238521 */     // GIR_Coverage, 2735,
     /* 1238521 */     GIR_EraseRootFromParent_Done,
     /* 1238522 */   // Label 17929: @1238522
     /* 1238522 */   GIM_Try, /*On fail goto*//*Label 17930*/ GIMT_Encode4(1238603), // Rule ID 2736 //
     /* 1238527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1238538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1238541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1238547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238580 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1238583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238602 */     // GIR_Coverage, 2736,
     /* 1238602 */     GIR_EraseRootFromParent_Done,
     /* 1238603 */   // Label 17930: @1238603
     /* 1238603 */   GIM_Try, /*On fail goto*//*Label 17931*/ GIMT_Encode4(1238684), // Rule ID 2737 //
     /* 1238608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1238619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1238622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1238628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238661 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1238664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238683 */     // GIR_Coverage, 2737,
     /* 1238683 */     GIR_EraseRootFromParent_Done,
     /* 1238684 */   // Label 17931: @1238684
     /* 1238684 */   GIM_Try, /*On fail goto*//*Label 17932*/ GIMT_Encode4(1238768), // Rule ID 2786 //
     /* 1238689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1238697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1238700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1238703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1238709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1238742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1238745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238767 */     // GIR_Coverage, 2786,
     /* 1238767 */     GIR_EraseRootFromParent_Done,
     /* 1238768 */   // Label 17932: @1238768
     /* 1238768 */   GIM_Try, /*On fail goto*//*Label 17933*/ GIMT_Encode4(1238852), // Rule ID 2787 //
     /* 1238773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1238781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1238784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1238787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1238793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238826 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1238826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1238829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238851 */     // GIR_Coverage, 2787,
     /* 1238851 */     GIR_EraseRootFromParent_Done,
     /* 1238852 */   // Label 17933: @1238852
     /* 1238852 */   GIM_Try, /*On fail goto*//*Label 17934*/ GIMT_Encode4(1238933), // Rule ID 5122 //
     /* 1238857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1238868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1238871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1238874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1238877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238910 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1238913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238932 */     // GIR_Coverage, 5122,
     /* 1238932 */     GIR_EraseRootFromParent_Done,
     /* 1238933 */   // Label 17934: @1238933
     /* 1238933 */   GIM_Try, /*On fail goto*//*Label 17935*/ GIMT_Encode4(1239014), // Rule ID 5123 //
     /* 1238938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1238949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1238952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1238955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1238958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238991 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1238994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239013 */     // GIR_Coverage, 5123,
     /* 1239013 */     GIR_EraseRootFromParent_Done,
     /* 1239014 */   // Label 17935: @1239014
     /* 1239014 */   GIM_Try, /*On fail goto*//*Label 17936*/ GIMT_Encode4(1239095), // Rule ID 5124 //
     /* 1239019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1239030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1239033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1239036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1239039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1239075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239094 */     // GIR_Coverage, 5124,
     /* 1239094 */     GIR_EraseRootFromParent_Done,
     /* 1239095 */   // Label 17936: @1239095
     /* 1239095 */   GIM_Try, /*On fail goto*//*Label 17937*/ GIMT_Encode4(1239176), // Rule ID 5125 //
     /* 1239100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1239111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1239114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1239117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1239120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239153 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1239156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239175 */     // GIR_Coverage, 5125,
     /* 1239175 */     GIR_EraseRootFromParent_Done,
     /* 1239176 */   // Label 17937: @1239176
     /* 1239176 */   GIM_Try, /*On fail goto*//*Label 17938*/ GIMT_Encode4(1239257), // Rule ID 5126 //
     /* 1239181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1239192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1239195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1239198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1239201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239234 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1239237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239256 */     // GIR_Coverage, 5126,
     /* 1239256 */     GIR_EraseRootFromParent_Done,
     /* 1239257 */   // Label 17938: @1239257
     /* 1239257 */   GIM_Try, /*On fail goto*//*Label 17939*/ GIMT_Encode4(1239338), // Rule ID 5127 //
     /* 1239262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1239273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1239276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1239279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1239282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239315 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1239318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239337 */     // GIR_Coverage, 5127,
     /* 1239337 */     GIR_EraseRootFromParent_Done,
     /* 1239338 */   // Label 17939: @1239338
     /* 1239338 */   GIM_Try, /*On fail goto*//*Label 17940*/ GIMT_Encode4(1239419), // Rule ID 5128 //
     /* 1239343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1239354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1239357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1239360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1239363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1239399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239418 */     // GIR_Coverage, 5128,
     /* 1239418 */     GIR_EraseRootFromParent_Done,
     /* 1239419 */   // Label 17940: @1239419
     /* 1239419 */   GIM_Try, /*On fail goto*//*Label 17941*/ GIMT_Encode4(1239500), // Rule ID 5129 //
     /* 1239424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1239435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1239438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1239441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1239444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239477 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1239480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239499 */     // GIR_Coverage, 5129,
     /* 1239499 */     GIR_EraseRootFromParent_Done,
     /* 1239500 */   // Label 17941: @1239500
     /* 1239500 */   GIM_Try, /*On fail goto*//*Label 17942*/ GIMT_Encode4(1239581), // Rule ID 5130 //
     /* 1239505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1239516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1239519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1239525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239558 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1239558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1239561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239580 */     // GIR_Coverage, 5130,
     /* 1239580 */     GIR_EraseRootFromParent_Done,
     /* 1239581 */   // Label 17942: @1239581
     /* 1239581 */   GIM_Try, /*On fail goto*//*Label 17943*/ GIMT_Encode4(1239662), // Rule ID 5131 //
     /* 1239586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1239597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1239600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1239606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239639 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1239639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1239642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239661 */     // GIR_Coverage, 5131,
     /* 1239661 */     GIR_EraseRootFromParent_Done,
     /* 1239662 */   // Label 17943: @1239662
     /* 1239662 */   GIM_Try, /*On fail goto*//*Label 17944*/ GIMT_Encode4(1239743), // Rule ID 5132 //
     /* 1239667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1239678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1239681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1239684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1239687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239720 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1239723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239742 */     // GIR_Coverage, 5132,
     /* 1239742 */     GIR_EraseRootFromParent_Done,
     /* 1239743 */   // Label 17944: @1239743
     /* 1239743 */   GIM_Try, /*On fail goto*//*Label 17945*/ GIMT_Encode4(1239824), // Rule ID 5133 //
     /* 1239748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1239759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1239762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1239765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1239768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239801 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1239804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239823 */     // GIR_Coverage, 5133,
     /* 1239823 */     GIR_EraseRootFromParent_Done,
     /* 1239824 */   // Label 17945: @1239824
     /* 1239824 */   GIM_Try, /*On fail goto*//*Label 17946*/ GIMT_Encode4(1239905), // Rule ID 5134 //
     /* 1239829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1239840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1239843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1239846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1239849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1239885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239904 */     // GIR_Coverage, 5134,
     /* 1239904 */     GIR_EraseRootFromParent_Done,
     /* 1239905 */   // Label 17946: @1239905
     /* 1239905 */   GIM_Try, /*On fail goto*//*Label 17947*/ GIMT_Encode4(1239986), // Rule ID 5135 //
     /* 1239910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1239921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1239924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1239927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1239930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1239966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239985 */     // GIR_Coverage, 5135,
     /* 1239985 */     GIR_EraseRootFromParent_Done,
     /* 1239986 */   // Label 17947: @1239986
     /* 1239986 */   GIM_Try, /*On fail goto*//*Label 17948*/ GIMT_Encode4(1240067), // Rule ID 5136 //
     /* 1239991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1240002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1240005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1240008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1240011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240044 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1240044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1240047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240066 */     // GIR_Coverage, 5136,
     /* 1240066 */     GIR_EraseRootFromParent_Done,
     /* 1240067 */   // Label 17948: @1240067
     /* 1240067 */   GIM_Try, /*On fail goto*//*Label 17949*/ GIMT_Encode4(1240148), // Rule ID 5137 //
     /* 1240072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1240083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1240086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1240089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1240092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240125 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1240128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240147 */     // GIR_Coverage, 5137,
     /* 1240147 */     GIR_EraseRootFromParent_Done,
     /* 1240148 */   // Label 17949: @1240148
     /* 1240148 */   GIM_Try, /*On fail goto*//*Label 17950*/ GIMT_Encode4(1240229), // Rule ID 5138 //
     /* 1240153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1240156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1240164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1240167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1240170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1240173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240206 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1240206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1240209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240228 */     // GIR_Coverage, 5138,
     /* 1240228 */     GIR_EraseRootFromParent_Done,
     /* 1240229 */   // Label 17950: @1240229
     /* 1240229 */   GIM_Try, /*On fail goto*//*Label 17951*/ GIMT_Encode4(1240310), // Rule ID 5139 //
     /* 1240234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1240237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1240245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1240248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1240251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1240254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240287 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1240287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1240290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240309 */     // GIR_Coverage, 5139,
     /* 1240309 */     GIR_EraseRootFromParent_Done,
     /* 1240310 */   // Label 17951: @1240310
     /* 1240310 */   GIM_Try, /*On fail goto*//*Label 17952*/ GIMT_Encode4(1240391), // Rule ID 5140 //
     /* 1240315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1240326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1240329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1240332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1240335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240368 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1240371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240390 */     // GIR_Coverage, 5140,
     /* 1240390 */     GIR_EraseRootFromParent_Done,
     /* 1240391 */   // Label 17952: @1240391
     /* 1240391 */   GIM_Try, /*On fail goto*//*Label 17953*/ GIMT_Encode4(1240472), // Rule ID 5141 //
     /* 1240396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1240407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1240410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1240413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1240416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240449 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1240452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240471 */     // GIR_Coverage, 5141,
     /* 1240471 */     GIR_EraseRootFromParent_Done,
     /* 1240472 */   // Label 17953: @1240472
     /* 1240472 */   GIM_Try, /*On fail goto*//*Label 17954*/ GIMT_Encode4(1240553), // Rule ID 5142 //
     /* 1240477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1240488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1240491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1240494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1240497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240530 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1240533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240552 */     // GIR_Coverage, 5142,
     /* 1240552 */     GIR_EraseRootFromParent_Done,
     /* 1240553 */   // Label 17954: @1240553
     /* 1240553 */   GIM_Try, /*On fail goto*//*Label 17955*/ GIMT_Encode4(1240634), // Rule ID 5143 //
     /* 1240558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1240569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1240572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1240575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1240578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240611 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1240614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240633 */     // GIR_Coverage, 5143,
     /* 1240633 */     GIR_EraseRootFromParent_Done,
     /* 1240634 */   // Label 17955: @1240634
     /* 1240634 */   GIM_Try, /*On fail goto*//*Label 17956*/ GIMT_Encode4(1240715), // Rule ID 5144 //
     /* 1240639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1240650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1240653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1240656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1240659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1240662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240692 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1240695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240714 */     // GIR_Coverage, 5144,
     /* 1240714 */     GIR_EraseRootFromParent_Done,
     /* 1240715 */   // Label 17956: @1240715
     /* 1240715 */   GIM_Try, /*On fail goto*//*Label 17957*/ GIMT_Encode4(1240796), // Rule ID 5145 //
     /* 1240720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1240731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1240734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1240737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1240740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1240743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240773 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1240776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240795 */     // GIR_Coverage, 5145,
     /* 1240795 */     GIR_EraseRootFromParent_Done,
     /* 1240796 */   // Label 17957: @1240796
     /* 1240796 */   GIM_Try, /*On fail goto*//*Label 17958*/ GIMT_Encode4(1240877), // Rule ID 5146 //
     /* 1240801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1240812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1240815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1240818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1240821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240854 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1240857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240876 */     // GIR_Coverage, 5146,
     /* 1240876 */     GIR_EraseRootFromParent_Done,
     /* 1240877 */   // Label 17958: @1240877
     /* 1240877 */   GIM_Try, /*On fail goto*//*Label 17959*/ GIMT_Encode4(1240958), // Rule ID 5147 //
     /* 1240882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1240893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1240896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1240899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1240902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240935 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1240938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240957 */     // GIR_Coverage, 5147,
     /* 1240957 */     GIR_EraseRootFromParent_Done,
     /* 1240958 */   // Label 17959: @1240958
     /* 1240958 */   GIM_Try, /*On fail goto*//*Label 17960*/ GIMT_Encode4(1241039), // Rule ID 5148 //
     /* 1240963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1240974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1240977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1240980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1240983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241016 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1241019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241038 */     // GIR_Coverage, 5148,
     /* 1241038 */     GIR_EraseRootFromParent_Done,
     /* 1241039 */   // Label 17960: @1241039
     /* 1241039 */   GIM_Try, /*On fail goto*//*Label 17961*/ GIMT_Encode4(1241120), // Rule ID 5149 //
     /* 1241044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1241055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1241058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1241061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1241064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241097 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1241100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241119 */     // GIR_Coverage, 5149,
     /* 1241119 */     GIR_EraseRootFromParent_Done,
     /* 1241120 */   // Label 17961: @1241120
     /* 1241120 */   GIM_Try, /*On fail goto*//*Label 17962*/ GIMT_Encode4(1241201), // Rule ID 5150 //
     /* 1241125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1241136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1241139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1241142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1241145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241178 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1241181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241200 */     // GIR_Coverage, 5150,
     /* 1241200 */     GIR_EraseRootFromParent_Done,
     /* 1241201 */   // Label 17962: @1241201
     /* 1241201 */   GIM_Try, /*On fail goto*//*Label 17963*/ GIMT_Encode4(1241282), // Rule ID 5151 //
     /* 1241206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1241217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1241220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1241223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1241226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241259 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1241262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241281 */     // GIR_Coverage, 5151,
     /* 1241281 */     GIR_EraseRootFromParent_Done,
     /* 1241282 */   // Label 17963: @1241282
     /* 1241282 */   GIM_Try, /*On fail goto*//*Label 17964*/ GIMT_Encode4(1241363), // Rule ID 5152 //
     /* 1241287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1241298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1241301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1241304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1241307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1241343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241362 */     // GIR_Coverage, 5152,
     /* 1241362 */     GIR_EraseRootFromParent_Done,
     /* 1241363 */   // Label 17964: @1241363
     /* 1241363 */   GIM_Try, /*On fail goto*//*Label 17965*/ GIMT_Encode4(1241444), // Rule ID 5153 //
     /* 1241368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1241379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1241382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1241385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1241388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241421 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1241424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241443 */     // GIR_Coverage, 5153,
     /* 1241443 */     GIR_EraseRootFromParent_Done,
     /* 1241444 */   // Label 17965: @1241444
     /* 1241444 */   GIM_Try, /*On fail goto*//*Label 17966*/ GIMT_Encode4(1241525), // Rule ID 5154 //
     /* 1241449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1241460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1241463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1241469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1241505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241524 */     // GIR_Coverage, 5154,
     /* 1241524 */     GIR_EraseRootFromParent_Done,
     /* 1241525 */   // Label 17966: @1241525
     /* 1241525 */   GIM_Try, /*On fail goto*//*Label 17967*/ GIMT_Encode4(1241606), // Rule ID 5155 //
     /* 1241530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1241541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1241544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1241550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241583 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1241586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241605 */     // GIR_Coverage, 5155,
     /* 1241605 */     GIR_EraseRootFromParent_Done,
     /* 1241606 */   // Label 17967: @1241606
     /* 1241606 */   GIM_Try, /*On fail goto*//*Label 17968*/ GIMT_Encode4(1241687), // Rule ID 5156 //
     /* 1241611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1241622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1241625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1241628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1241631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241664 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1241667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241686 */     // GIR_Coverage, 5156,
     /* 1241686 */     GIR_EraseRootFromParent_Done,
     /* 1241687 */   // Label 17968: @1241687
     /* 1241687 */   GIM_Try, /*On fail goto*//*Label 17969*/ GIMT_Encode4(1241768), // Rule ID 5157 //
     /* 1241692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1241703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1241706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1241709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1241712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241745 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1241748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241767 */     // GIR_Coverage, 5157,
     /* 1241767 */     GIR_EraseRootFromParent_Done,
     /* 1241768 */   // Label 17969: @1241768
     /* 1241768 */   GIM_Try, /*On fail goto*//*Label 17970*/ GIMT_Encode4(1241849), // Rule ID 5158 //
     /* 1241773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1241776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1241784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1241787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1241790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1241793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241826 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1241826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1241829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241848 */     // GIR_Coverage, 5158,
     /* 1241848 */     GIR_EraseRootFromParent_Done,
     /* 1241849 */   // Label 17970: @1241849
     /* 1241849 */   GIM_Try, /*On fail goto*//*Label 17971*/ GIMT_Encode4(1241930), // Rule ID 5159 //
     /* 1241854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1241857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1241865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1241868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1241871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1241874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241907 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1241907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1241910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241929 */     // GIR_Coverage, 5159,
     /* 1241929 */     GIR_EraseRootFromParent_Done,
     /* 1241930 */   // Label 17971: @1241930
     /* 1241930 */   GIM_Try, /*On fail goto*//*Label 17972*/ GIMT_Encode4(1242011), // Rule ID 5160 //
     /* 1241935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1241938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1241946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1241949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1241952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1241955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1241988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1241991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242010 */     // GIR_Coverage, 5160,
     /* 1242010 */     GIR_EraseRootFromParent_Done,
     /* 1242011 */   // Label 17972: @1242011
     /* 1242011 */   GIM_Try, /*On fail goto*//*Label 17973*/ GIMT_Encode4(1242092), // Rule ID 5161 //
     /* 1242016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1242027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1242030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1242033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1242036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1242046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242069 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1242072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242091 */     // GIR_Coverage, 5161,
     /* 1242091 */     GIR_EraseRootFromParent_Done,
     /* 1242092 */   // Label 17973: @1242092
     /* 1242092 */   GIM_Try, /*On fail goto*//*Label 17974*/ GIMT_Encode4(1242173), // Rule ID 5162 //
     /* 1242097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1242108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1242111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1242114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1242117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242150 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1242153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242172 */     // GIR_Coverage, 5162,
     /* 1242172 */     GIR_EraseRootFromParent_Done,
     /* 1242173 */   // Label 17974: @1242173
     /* 1242173 */   GIM_Try, /*On fail goto*//*Label 17975*/ GIMT_Encode4(1242254), // Rule ID 5163 //
     /* 1242178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1242189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1242192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1242195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1242198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242231 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1242234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242253 */     // GIR_Coverage, 5163,
     /* 1242253 */     GIR_EraseRootFromParent_Done,
     /* 1242254 */   // Label 17975: @1242254
     /* 1242254 */   GIM_Try, /*On fail goto*//*Label 17976*/ GIMT_Encode4(1242335), // Rule ID 5164 //
     /* 1242259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1242270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1242273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242312 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1242315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242334 */     // GIR_Coverage, 5164,
     /* 1242334 */     GIR_EraseRootFromParent_Done,
     /* 1242335 */   // Label 17976: @1242335
     /* 1242335 */   GIM_Try, /*On fail goto*//*Label 17977*/ GIMT_Encode4(1242416), // Rule ID 5165 //
     /* 1242340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1242351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1242354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242393 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1242396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242415 */     // GIR_Coverage, 5165,
     /* 1242415 */     GIR_EraseRootFromParent_Done,
     /* 1242416 */   // Label 17977: @1242416
     /* 1242416 */   GIM_Try, /*On fail goto*//*Label 17978*/ GIMT_Encode4(1242497), // Rule ID 5166 //
     /* 1242421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1242432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1242435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1242438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242474 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1242477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242496 */     // GIR_Coverage, 5166,
     /* 1242496 */     GIR_EraseRootFromParent_Done,
     /* 1242497 */   // Label 17978: @1242497
     /* 1242497 */   GIM_Try, /*On fail goto*//*Label 17979*/ GIMT_Encode4(1242578), // Rule ID 5167 //
     /* 1242502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1242513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1242516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1242519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242555 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1242558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242577 */     // GIR_Coverage, 5167,
     /* 1242577 */     GIR_EraseRootFromParent_Done,
     /* 1242578 */   // Label 17979: @1242578
     /* 1242578 */   GIM_Try, /*On fail goto*//*Label 17980*/ GIMT_Encode4(1242659), // Rule ID 5168 //
     /* 1242583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1242594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1242597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1242600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242636 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1242639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242658 */     // GIR_Coverage, 5168,
     /* 1242658 */     GIR_EraseRootFromParent_Done,
     /* 1242659 */   // Label 17980: @1242659
     /* 1242659 */   GIM_Try, /*On fail goto*//*Label 17981*/ GIMT_Encode4(1242740), // Rule ID 5169 //
     /* 1242664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1242675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1242678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1242681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242717 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1242720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242739 */     // GIR_Coverage, 5169,
     /* 1242739 */     GIR_EraseRootFromParent_Done,
     /* 1242740 */   // Label 17981: @1242740
     /* 1242740 */   GIM_Try, /*On fail goto*//*Label 17982*/ GIMT_Encode4(1242821), // Rule ID 5170 //
     /* 1242745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1242756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1242759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1242762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242798 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1242801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242820 */     // GIR_Coverage, 5170,
     /* 1242820 */     GIR_EraseRootFromParent_Done,
     /* 1242821 */   // Label 17982: @1242821
     /* 1242821 */   GIM_Try, /*On fail goto*//*Label 17983*/ GIMT_Encode4(1242902), // Rule ID 5171 //
     /* 1242826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1242837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1242840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1242843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242879 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1242879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1242882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242901 */     // GIR_Coverage, 5171,
     /* 1242901 */     GIR_EraseRootFromParent_Done,
     /* 1242902 */   // Label 17983: @1242902
     /* 1242902 */   GIM_Try, /*On fail goto*//*Label 17984*/ GIMT_Encode4(1242983), // Rule ID 5172 //
     /* 1242907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1242918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1242921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1242924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242960 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1242963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242982 */     // GIR_Coverage, 5172,
     /* 1242982 */     GIR_EraseRootFromParent_Done,
     /* 1242983 */   // Label 17984: @1242983
     /* 1242983 */   GIM_Try, /*On fail goto*//*Label 17985*/ GIMT_Encode4(1243064), // Rule ID 5173 //
     /* 1242988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1242999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1243002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1243005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243041 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1243044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243063 */     // GIR_Coverage, 5173,
     /* 1243063 */     GIR_EraseRootFromParent_Done,
     /* 1243064 */   // Label 17985: @1243064
     /* 1243064 */   GIM_Try, /*On fail goto*//*Label 17986*/ GIMT_Encode4(1243145), // Rule ID 5174 //
     /* 1243069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1243080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1243083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1243086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1243125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243144 */     // GIR_Coverage, 5174,
     /* 1243144 */     GIR_EraseRootFromParent_Done,
     /* 1243145 */   // Label 17986: @1243145
     /* 1243145 */   GIM_Try, /*On fail goto*//*Label 17987*/ GIMT_Encode4(1243226), // Rule ID 5175 //
     /* 1243150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1243161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1243164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1243167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243203 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1243206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243225 */     // GIR_Coverage, 5175,
     /* 1243225 */     GIR_EraseRootFromParent_Done,
     /* 1243226 */   // Label 17987: @1243226
     /* 1243226 */   GIM_Try, /*On fail goto*//*Label 17988*/ GIMT_Encode4(1243307), // Rule ID 5176 //
     /* 1243231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1243242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1243245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1243248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243284 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1243287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243306 */     // GIR_Coverage, 5176,
     /* 1243306 */     GIR_EraseRootFromParent_Done,
     /* 1243307 */   // Label 17988: @1243307
     /* 1243307 */   GIM_Try, /*On fail goto*//*Label 17989*/ GIMT_Encode4(1243388), // Rule ID 5177 //
     /* 1243312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1243323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1243326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1243329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1243368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243387 */     // GIR_Coverage, 5177,
     /* 1243387 */     GIR_EraseRootFromParent_Done,
     /* 1243388 */   // Label 17989: @1243388
     /* 1243388 */   GIM_Try, /*On fail goto*//*Label 17990*/ GIMT_Encode4(1243469), // Rule ID 5178 //
     /* 1243393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1243404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1243407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1243410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1243449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243468 */     // GIR_Coverage, 5178,
     /* 1243468 */     GIR_EraseRootFromParent_Done,
     /* 1243469 */   // Label 17990: @1243469
     /* 1243469 */   GIM_Try, /*On fail goto*//*Label 17991*/ GIMT_Encode4(1243550), // Rule ID 5179 //
     /* 1243474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1243485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1243488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1243491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1243530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243549 */     // GIR_Coverage, 5179,
     /* 1243549 */     GIR_EraseRootFromParent_Done,
     /* 1243550 */   // Label 17991: @1243550
     /* 1243550 */   GIM_Try, /*On fail goto*//*Label 17992*/ GIMT_Encode4(1243631), // Rule ID 5180 //
     /* 1243555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1243566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1243569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1243572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1243611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243630 */     // GIR_Coverage, 5180,
     /* 1243630 */     GIR_EraseRootFromParent_Done,
     /* 1243631 */   // Label 17992: @1243631
     /* 1243631 */   GIM_Try, /*On fail goto*//*Label 17993*/ GIMT_Encode4(1243712), // Rule ID 5181 //
     /* 1243636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1243647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1243650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1243653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1243692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243711 */     // GIR_Coverage, 5181,
     /* 1243711 */     GIR_EraseRootFromParent_Done,
     /* 1243712 */   // Label 17993: @1243712
     /* 1243712 */   GIM_Try, /*On fail goto*//*Label 17994*/ GIMT_Encode4(1243793), // Rule ID 5182 //
     /* 1243717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1243720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1243728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1243731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1243734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1243770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1243773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243792 */     // GIR_Coverage, 5182,
     /* 1243792 */     GIR_EraseRootFromParent_Done,
     /* 1243793 */   // Label 17994: @1243793
     /* 1243793 */   GIM_Try, /*On fail goto*//*Label 17995*/ GIMT_Encode4(1243874), // Rule ID 5183 //
     /* 1243798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1243801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1243809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1243812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1243815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243851 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1243851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1243854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243873 */     // GIR_Coverage, 5183,
     /* 1243873 */     GIR_EraseRootFromParent_Done,
     /* 1243874 */   // Label 17995: @1243874
     /* 1243874 */   GIM_Try, /*On fail goto*//*Label 17996*/ GIMT_Encode4(1243955), // Rule ID 5184 //
     /* 1243879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1243890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1243893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1243896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1243909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243932 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1243935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243954 */     // GIR_Coverage, 5184,
     /* 1243954 */     GIR_EraseRootFromParent_Done,
     /* 1243955 */   // Label 17996: @1243955
     /* 1243955 */   GIM_Try, /*On fail goto*//*Label 17997*/ GIMT_Encode4(1244036), // Rule ID 5185 //
     /* 1243960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1243971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1243974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1243977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1243990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244013 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1244016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244035 */     // GIR_Coverage, 5185,
     /* 1244035 */     GIR_EraseRootFromParent_Done,
     /* 1244036 */   // Label 17997: @1244036
     /* 1244036 */   GIM_Try, /*On fail goto*//*Label 17998*/ GIMT_Encode4(1244117), // Rule ID 5186 //
     /* 1244041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1244052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1244055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1244058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244094 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1244097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244116 */     // GIR_Coverage, 5186,
     /* 1244116 */     GIR_EraseRootFromParent_Done,
     /* 1244117 */   // Label 17998: @1244117
     /* 1244117 */   GIM_Try, /*On fail goto*//*Label 17999*/ GIMT_Encode4(1244198), // Rule ID 5187 //
     /* 1244122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1244133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1244136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1244139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244175 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1244178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244197 */     // GIR_Coverage, 5187,
     /* 1244197 */     GIR_EraseRootFromParent_Done,
     /* 1244198 */   // Label 17999: @1244198
     /* 1244198 */   GIM_Try, /*On fail goto*//*Label 18000*/ GIMT_Encode4(1244279), // Rule ID 5188 //
     /* 1244203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1244214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1244217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1244220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1244226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244256 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1244259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244278 */     // GIR_Coverage, 5188,
     /* 1244278 */     GIR_EraseRootFromParent_Done,
     /* 1244279 */   // Label 18000: @1244279
     /* 1244279 */   GIM_Try, /*On fail goto*//*Label 18001*/ GIMT_Encode4(1244360), // Rule ID 5189 //
     /* 1244284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1244295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1244298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1244301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1244307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244337 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1244340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244359 */     // GIR_Coverage, 5189,
     /* 1244359 */     GIR_EraseRootFromParent_Done,
     /* 1244360 */   // Label 18001: @1244360
     /* 1244360 */   GIM_Try, /*On fail goto*//*Label 18002*/ GIMT_Encode4(1244441), // Rule ID 5190 //
     /* 1244365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1244376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1244379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1244382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244418 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1244421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244440 */     // GIR_Coverage, 5190,
     /* 1244440 */     GIR_EraseRootFromParent_Done,
     /* 1244441 */   // Label 18002: @1244441
     /* 1244441 */   GIM_Try, /*On fail goto*//*Label 18003*/ GIMT_Encode4(1244522), // Rule ID 5191 //
     /* 1244446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1244457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1244460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1244463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244499 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1244502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244521 */     // GIR_Coverage, 5191,
     /* 1244521 */     GIR_EraseRootFromParent_Done,
     /* 1244522 */   // Label 18003: @1244522
     /* 1244522 */   GIM_Try, /*On fail goto*//*Label 18004*/ GIMT_Encode4(1244603), // Rule ID 5192 //
     /* 1244527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1244538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1244541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1244544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244580 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1244583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244602 */     // GIR_Coverage, 5192,
     /* 1244602 */     GIR_EraseRootFromParent_Done,
     /* 1244603 */   // Label 18004: @1244603
     /* 1244603 */   GIM_Try, /*On fail goto*//*Label 18005*/ GIMT_Encode4(1244684), // Rule ID 5193 //
     /* 1244608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1244619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1244622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1244625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244661 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1244664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244683 */     // GIR_Coverage, 5193,
     /* 1244683 */     GIR_EraseRootFromParent_Done,
     /* 1244684 */   // Label 18005: @1244684
     /* 1244684 */   GIM_Try, /*On fail goto*//*Label 18006*/ GIMT_Encode4(1244765), // Rule ID 5194 //
     /* 1244689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1244700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1244703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1244706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244742 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1244745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244764 */     // GIR_Coverage, 5194,
     /* 1244764 */     GIR_EraseRootFromParent_Done,
     /* 1244765 */   // Label 18006: @1244765
     /* 1244765 */   GIM_Try, /*On fail goto*//*Label 18007*/ GIMT_Encode4(1244846), // Rule ID 5195 //
     /* 1244770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1244781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1244784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1244787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244823 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1244826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244845 */     // GIR_Coverage, 5195,
     /* 1244845 */     GIR_EraseRootFromParent_Done,
     /* 1244846 */   // Label 18007: @1244846
     /* 1244846 */   GIM_Try, /*On fail goto*//*Label 18008*/ GIMT_Encode4(1244927), // Rule ID 5196 //
     /* 1244851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1244862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1244865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1244868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244904 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1244904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1244907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244926 */     // GIR_Coverage, 5196,
     /* 1244926 */     GIR_EraseRootFromParent_Done,
     /* 1244927 */   // Label 18008: @1244927
     /* 1244927 */   GIM_Try, /*On fail goto*//*Label 18009*/ GIMT_Encode4(1245008), // Rule ID 5197 //
     /* 1244932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1244943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1244946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1244949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244985 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1244988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245007 */     // GIR_Coverage, 5197,
     /* 1245007 */     GIR_EraseRootFromParent_Done,
     /* 1245008 */   // Label 18009: @1245008
     /* 1245008 */   GIM_Try, /*On fail goto*//*Label 18010*/ GIMT_Encode4(1245089), // Rule ID 5198 //
     /* 1245013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1245024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1245027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1245030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245066 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1245069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245088 */     // GIR_Coverage, 5198,
     /* 1245088 */     GIR_EraseRootFromParent_Done,
     /* 1245089 */   // Label 18010: @1245089
     /* 1245089 */   GIM_Try, /*On fail goto*//*Label 18011*/ GIMT_Encode4(1245170), // Rule ID 5199 //
     /* 1245094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1245105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1245108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1245111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1245150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245169 */     // GIR_Coverage, 5199,
     /* 1245169 */     GIR_EraseRootFromParent_Done,
     /* 1245170 */   // Label 18011: @1245170
     /* 1245170 */   GIM_Try, /*On fail goto*//*Label 18012*/ GIMT_Encode4(1245251), // Rule ID 5200 //
     /* 1245175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1245186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1245189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1245192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1245231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245250 */     // GIR_Coverage, 5200,
     /* 1245250 */     GIR_EraseRootFromParent_Done,
     /* 1245251 */   // Label 18012: @1245251
     /* 1245251 */   GIM_Try, /*On fail goto*//*Label 18013*/ GIMT_Encode4(1245332), // Rule ID 5201 //
     /* 1245256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1245267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1245270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1245273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245309 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1245312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245331 */     // GIR_Coverage, 5201,
     /* 1245331 */     GIR_EraseRootFromParent_Done,
     /* 1245332 */   // Label 18013: @1245332
     /* 1245332 */   GIM_Try, /*On fail goto*//*Label 18014*/ GIMT_Encode4(1245413), // Rule ID 5202 //
     /* 1245337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1245348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1245351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1245354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245390 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1245393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245412 */     // GIR_Coverage, 5202,
     /* 1245412 */     GIR_EraseRootFromParent_Done,
     /* 1245413 */   // Label 18014: @1245413
     /* 1245413 */   GIM_Try, /*On fail goto*//*Label 18015*/ GIMT_Encode4(1245494), // Rule ID 5203 //
     /* 1245418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1245429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1245432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1245435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245471 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1245474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245493 */     // GIR_Coverage, 5203,
     /* 1245493 */     GIR_EraseRootFromParent_Done,
     /* 1245494 */   // Label 18015: @1245494
     /* 1245494 */   GIM_Try, /*On fail goto*//*Label 18016*/ GIMT_Encode4(1245575), // Rule ID 5204 //
     /* 1245499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1245510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1245513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1245516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245552 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1245555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245574 */     // GIR_Coverage, 5204,
     /* 1245574 */     GIR_EraseRootFromParent_Done,
     /* 1245575 */   // Label 18016: @1245575
     /* 1245575 */   GIM_Try, /*On fail goto*//*Label 18017*/ GIMT_Encode4(1245656), // Rule ID 5205 //
     /* 1245580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1245591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1245594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1245597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245633 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1245636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245655 */     // GIR_Coverage, 5205,
     /* 1245655 */     GIR_EraseRootFromParent_Done,
     /* 1245656 */   // Label 18017: @1245656
     /* 1245656 */   GIM_Try, /*On fail goto*//*Label 18018*/ GIMT_Encode4(1245737), // Rule ID 5206 //
     /* 1245661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1245672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1245675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1245678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1245717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245736 */     // GIR_Coverage, 5206,
     /* 1245736 */     GIR_EraseRootFromParent_Done,
     /* 1245737 */   // Label 18018: @1245737
     /* 1245737 */   GIM_Try, /*On fail goto*//*Label 18019*/ GIMT_Encode4(1245818), // Rule ID 5207 //
     /* 1245742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1245753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1245756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1245759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245795 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1245798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245817 */     // GIR_Coverage, 5207,
     /* 1245817 */     GIR_EraseRootFromParent_Done,
     /* 1245818 */   // Label 18019: @1245818
     /* 1245818 */   GIM_Try, /*On fail goto*//*Label 18020*/ GIMT_Encode4(1245899), // Rule ID 5512 //
     /* 1245823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1245834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1245837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1245840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1245843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1245853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245876 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1245876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1245879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245898 */     // GIR_Coverage, 5512,
     /* 1245898 */     GIR_EraseRootFromParent_Done,
     /* 1245899 */   // Label 18020: @1245899
     /* 1245899 */   GIM_Try, /*On fail goto*//*Label 18021*/ GIMT_Encode4(1245980), // Rule ID 5513 //
     /* 1245904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1245915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1245918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1245921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1245924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1245934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245957 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1245957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1245960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245979 */     // GIR_Coverage, 5513,
     /* 1245979 */     GIR_EraseRootFromParent_Done,
     /* 1245980 */   // Label 18021: @1245980
     /* 1245980 */   GIM_Try, /*On fail goto*//*Label 18022*/ GIMT_Encode4(1246061), // Rule ID 5514 //
     /* 1245985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1245996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1245999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1246002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1246005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246038 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1246038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1246041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246060 */     // GIR_Coverage, 5514,
     /* 1246060 */     GIR_EraseRootFromParent_Done,
     /* 1246061 */   // Label 18022: @1246061
     /* 1246061 */   GIM_Try, /*On fail goto*//*Label 18023*/ GIMT_Encode4(1246142), // Rule ID 5515 //
     /* 1246066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1246077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1246080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1246083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1246086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246119 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1246119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1246122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246141 */     // GIR_Coverage, 5515,
     /* 1246141 */     GIR_EraseRootFromParent_Done,
     /* 1246142 */   // Label 18023: @1246142
     /* 1246142 */   GIM_Try, /*On fail goto*//*Label 18024*/ GIMT_Encode4(1246223), // Rule ID 5516 //
     /* 1246147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1246158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1246161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1246164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1246167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246200 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1246200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1246203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246222 */     // GIR_Coverage, 5516,
     /* 1246222 */     GIR_EraseRootFromParent_Done,
     /* 1246223 */   // Label 18024: @1246223
     /* 1246223 */   GIM_Try, /*On fail goto*//*Label 18025*/ GIMT_Encode4(1246304), // Rule ID 5517 //
     /* 1246228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1246239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1246242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1246245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1246248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246281 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1246281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1246284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246303 */     // GIR_Coverage, 5517,
     /* 1246303 */     GIR_EraseRootFromParent_Done,
     /* 1246304 */   // Label 18025: @1246304
     /* 1246304 */   GIM_Try, /*On fail goto*//*Label 18026*/ GIMT_Encode4(1246385), // Rule ID 5518 //
     /* 1246309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1246320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1246323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1246326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1246329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246362 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1246362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1246365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246384 */     // GIR_Coverage, 5518,
     /* 1246384 */     GIR_EraseRootFromParent_Done,
     /* 1246385 */   // Label 18026: @1246385
     /* 1246385 */   GIM_Try, /*On fail goto*//*Label 18027*/ GIMT_Encode4(1246466), // Rule ID 5519 //
     /* 1246390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1246401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1246404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1246407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1246410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246443 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1246443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1246446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246465 */     // GIR_Coverage, 5519,
     /* 1246465 */     GIR_EraseRootFromParent_Done,
     /* 1246466 */   // Label 18027: @1246466
     /* 1246466 */   GIM_Try, /*On fail goto*//*Label 18028*/ GIMT_Encode4(1246547), // Rule ID 5520 //
     /* 1246471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1246482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1246485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1246524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1246527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246546 */     // GIR_Coverage, 5520,
     /* 1246546 */     GIR_EraseRootFromParent_Done,
     /* 1246547 */   // Label 18028: @1246547
     /* 1246547 */   GIM_Try, /*On fail goto*//*Label 18029*/ GIMT_Encode4(1246628), // Rule ID 5521 //
     /* 1246552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1246563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1246566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246605 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1246605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1246608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246627 */     // GIR_Coverage, 5521,
     /* 1246627 */     GIR_EraseRootFromParent_Done,
     /* 1246628 */   // Label 18029: @1246628
     /* 1246628 */   GIM_Try, /*On fail goto*//*Label 18030*/ GIMT_Encode4(1246709), // Rule ID 5522 //
     /* 1246633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1246644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1246647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1246686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1246689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246708 */     // GIR_Coverage, 5522,
     /* 1246708 */     GIR_EraseRootFromParent_Done,
     /* 1246709 */   // Label 18030: @1246709
     /* 1246709 */   GIM_Try, /*On fail goto*//*Label 18031*/ GIMT_Encode4(1246790), // Rule ID 5523 //
     /* 1246714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1246725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1246728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246767 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1246767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1246770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246789 */     // GIR_Coverage, 5523,
     /* 1246789 */     GIR_EraseRootFromParent_Done,
     /* 1246790 */   // Label 18031: @1246790
     /* 1246790 */   GIM_Try, /*On fail goto*//*Label 18032*/ GIMT_Encode4(1246871), // Rule ID 5524 //
     /* 1246795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1246806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1246809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1246812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1246815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246848 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1246848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1246851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246870 */     // GIR_Coverage, 5524,
     /* 1246870 */     GIR_EraseRootFromParent_Done,
     /* 1246871 */   // Label 18032: @1246871
     /* 1246871 */   GIM_Try, /*On fail goto*//*Label 18033*/ GIMT_Encode4(1246952), // Rule ID 5525 //
     /* 1246876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1246887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1246890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1246893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1246896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246929 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1246929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1246932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246951 */     // GIR_Coverage, 5525,
     /* 1246951 */     GIR_EraseRootFromParent_Done,
     /* 1246952 */   // Label 18033: @1246952
     /* 1246952 */   GIM_Try, /*On fail goto*//*Label 18034*/ GIMT_Encode4(1247033), // Rule ID 5526 //
     /* 1246957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1246968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1246971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1246974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1246977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247010 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1247013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247032 */     // GIR_Coverage, 5526,
     /* 1247032 */     GIR_EraseRootFromParent_Done,
     /* 1247033 */   // Label 18034: @1247033
     /* 1247033 */   GIM_Try, /*On fail goto*//*Label 18035*/ GIMT_Encode4(1247114), // Rule ID 5527 //
     /* 1247038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1247049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1247052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1247055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1247058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247091 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1247091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1247094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247113 */     // GIR_Coverage, 5527,
     /* 1247113 */     GIR_EraseRootFromParent_Done,
     /* 1247114 */   // Label 18035: @1247114
     /* 1247114 */   GIM_Try, /*On fail goto*//*Label 18036*/ GIMT_Encode4(1247195), // Rule ID 5528 //
     /* 1247119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1247130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1247133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1247136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1247139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1247172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1247175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247194 */     // GIR_Coverage, 5528,
     /* 1247194 */     GIR_EraseRootFromParent_Done,
     /* 1247195 */   // Label 18036: @1247195
     /* 1247195 */   GIM_Try, /*On fail goto*//*Label 18037*/ GIMT_Encode4(1247276), // Rule ID 5529 //
     /* 1247200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1247211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1247214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1247217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1247220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1247253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1247256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247275 */     // GIR_Coverage, 5529,
     /* 1247275 */     GIR_EraseRootFromParent_Done,
     /* 1247276 */   // Label 18037: @1247276
     /* 1247276 */   GIM_Try, /*On fail goto*//*Label 18038*/ GIMT_Encode4(1247357), // Rule ID 5530 //
     /* 1247281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1247284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1247292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1247295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247334 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1247334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1247337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247356 */     // GIR_Coverage, 5530,
     /* 1247356 */     GIR_EraseRootFromParent_Done,
     /* 1247357 */   // Label 18038: @1247357
     /* 1247357 */   GIM_Try, /*On fail goto*//*Label 18039*/ GIMT_Encode4(1247438), // Rule ID 5531 //
     /* 1247362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1247365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1247373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1247376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247415 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1247415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1247418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247437 */     // GIR_Coverage, 5531,
     /* 1247437 */     GIR_EraseRootFromParent_Done,
     /* 1247438 */   // Label 18039: @1247438
     /* 1247438 */   GIM_Try, /*On fail goto*//*Label 18040*/ GIMT_Encode4(1247519), // Rule ID 5532 //
     /* 1247443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1247454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1247457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1247460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1247463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1247473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247496 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1247496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1247499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247518 */     // GIR_Coverage, 5532,
     /* 1247518 */     GIR_EraseRootFromParent_Done,
     /* 1247519 */   // Label 18040: @1247519
     /* 1247519 */   GIM_Try, /*On fail goto*//*Label 18041*/ GIMT_Encode4(1247600), // Rule ID 5533 //
     /* 1247524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1247535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1247538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1247541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1247544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1247554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247577 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1247577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1247580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247599 */     // GIR_Coverage, 5533,
     /* 1247599 */     GIR_EraseRootFromParent_Done,
     /* 1247600 */   // Label 18041: @1247600
     /* 1247600 */   GIM_Try, /*On fail goto*//*Label 18042*/ GIMT_Encode4(1247681), // Rule ID 5534 //
     /* 1247605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1247616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1247619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1247635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247658 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1247658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1247661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247680 */     // GIR_Coverage, 5534,
     /* 1247680 */     GIR_EraseRootFromParent_Done,
     /* 1247681 */   // Label 18042: @1247681
     /* 1247681 */   GIM_Try, /*On fail goto*//*Label 18043*/ GIMT_Encode4(1247762), // Rule ID 5535 //
     /* 1247686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1247697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1247700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1247716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247739 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1247739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1247742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247761 */     // GIR_Coverage, 5535,
     /* 1247761 */     GIR_EraseRootFromParent_Done,
     /* 1247762 */   // Label 18043: @1247762
     /* 1247762 */   GIM_Try, /*On fail goto*//*Label 18044*/ GIMT_Encode4(1247843), // Rule ID 5536 //
     /* 1247767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1247778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1247781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1247784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1247787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1247790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1247797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247820 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1247820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1247823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247842 */     // GIR_Coverage, 5536,
     /* 1247842 */     GIR_EraseRootFromParent_Done,
     /* 1247843 */   // Label 18044: @1247843
     /* 1247843 */   GIM_Try, /*On fail goto*//*Label 18045*/ GIMT_Encode4(1247924), // Rule ID 5537 //
     /* 1247848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1247859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1247862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1247865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1247868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1247871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1247878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247901 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1247901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1247904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247923 */     // GIR_Coverage, 5537,
     /* 1247923 */     GIR_EraseRootFromParent_Done,
     /* 1247924 */   // Label 18045: @1247924
     /* 1247924 */   GIM_Try, /*On fail goto*//*Label 18046*/ GIMT_Encode4(1248005), // Rule ID 5538 //
     /* 1247929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1247940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1247943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1247946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1247949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1247959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247982 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1247985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248004 */     // GIR_Coverage, 5538,
     /* 1248004 */     GIR_EraseRootFromParent_Done,
     /* 1248005 */   // Label 18046: @1248005
     /* 1248005 */   GIM_Try, /*On fail goto*//*Label 18047*/ GIMT_Encode4(1248086), // Rule ID 5539 //
     /* 1248010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1248021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1248024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1248027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1248030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248063 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1248063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1248066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248085 */     // GIR_Coverage, 5539,
     /* 1248085 */     GIR_EraseRootFromParent_Done,
     /* 1248086 */   // Label 18047: @1248086
     /* 1248086 */   GIM_Try, /*On fail goto*//*Label 18048*/ GIMT_Encode4(1248167), // Rule ID 5540 //
     /* 1248091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1248102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1248105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1248111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248144 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1248144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1248147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248166 */     // GIR_Coverage, 5540,
     /* 1248166 */     GIR_EraseRootFromParent_Done,
     /* 1248167 */   // Label 18048: @1248167
     /* 1248167 */   GIM_Try, /*On fail goto*//*Label 18049*/ GIMT_Encode4(1248248), // Rule ID 5541 //
     /* 1248172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1248183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1248186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1248192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248225 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1248225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1248228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248247 */     // GIR_Coverage, 5541,
     /* 1248247 */     GIR_EraseRootFromParent_Done,
     /* 1248248 */   // Label 18049: @1248248
     /* 1248248 */   GIM_Try, /*On fail goto*//*Label 18050*/ GIMT_Encode4(1248329), // Rule ID 5542 //
     /* 1248253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1248264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1248267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248306 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1248306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1248309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248328 */     // GIR_Coverage, 5542,
     /* 1248328 */     GIR_EraseRootFromParent_Done,
     /* 1248329 */   // Label 18050: @1248329
     /* 1248329 */   GIM_Try, /*On fail goto*//*Label 18051*/ GIMT_Encode4(1248410), // Rule ID 5543 //
     /* 1248334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1248345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1248348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248387 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1248387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1248390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248409 */     // GIR_Coverage, 5543,
     /* 1248409 */     GIR_EraseRootFromParent_Done,
     /* 1248410 */   // Label 18051: @1248410
     /* 1248410 */   GIM_Try, /*On fail goto*//*Label 18052*/ GIMT_Encode4(1248491), // Rule ID 5544 //
     /* 1248415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1248426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1248429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248468 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1248468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1248471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248490 */     // GIR_Coverage, 5544,
     /* 1248490 */     GIR_EraseRootFromParent_Done,
     /* 1248491 */   // Label 18052: @1248491
     /* 1248491 */   GIM_Try, /*On fail goto*//*Label 18053*/ GIMT_Encode4(1248572), // Rule ID 5545 //
     /* 1248496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1248507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1248510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1248549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1248552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248571 */     // GIR_Coverage, 5545,
     /* 1248571 */     GIR_EraseRootFromParent_Done,
     /* 1248572 */   // Label 18053: @1248572
     /* 1248572 */   GIM_Try, /*On fail goto*//*Label 18054*/ GIMT_Encode4(1248653), // Rule ID 5546 //
     /* 1248577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1248588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1248591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248630 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1248630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1248633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248652 */     // GIR_Coverage, 5546,
     /* 1248652 */     GIR_EraseRootFromParent_Done,
     /* 1248653 */   // Label 18054: @1248653
     /* 1248653 */   GIM_Try, /*On fail goto*//*Label 18055*/ GIMT_Encode4(1248734), // Rule ID 5547 //
     /* 1248658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1248669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1248672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248711 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1248711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1248714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248733 */     // GIR_Coverage, 5547,
     /* 1248733 */     GIR_EraseRootFromParent_Done,
     /* 1248734 */   // Label 18055: @1248734
     /* 1248734 */   GIM_Try, /*On fail goto*//*Label 18056*/ GIMT_Encode4(1248815), // Rule ID 5548 //
     /* 1248739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1248750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1248753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1248756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1248759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248792 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1248792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1248795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248814 */     // GIR_Coverage, 5548,
     /* 1248814 */     GIR_EraseRootFromParent_Done,
     /* 1248815 */   // Label 18056: @1248815
     /* 1248815 */   GIM_Try, /*On fail goto*//*Label 18057*/ GIMT_Encode4(1248896), // Rule ID 5549 //
     /* 1248820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1248831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1248834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1248837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1248840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248873 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1248873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1248876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248895 */     // GIR_Coverage, 5549,
     /* 1248895 */     GIR_EraseRootFromParent_Done,
     /* 1248896 */   // Label 18057: @1248896
     /* 1248896 */   GIM_Try, /*On fail goto*//*Label 18058*/ GIMT_Encode4(1248977), // Rule ID 5550 //
     /* 1248901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1248904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1248912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1248915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1248918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1248921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248954 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1248954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1248957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248976 */     // GIR_Coverage, 5550,
     /* 1248976 */     GIR_EraseRootFromParent_Done,
     /* 1248977 */   // Label 18058: @1248977
     /* 1248977 */   GIM_Try, /*On fail goto*//*Label 18059*/ GIMT_Encode4(1249058), // Rule ID 5551 //
     /* 1248982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1248985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1248993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1248996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1248999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1249002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1249012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249035 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1249035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1249038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249057 */     // GIR_Coverage, 5551,
     /* 1249057 */     GIR_EraseRootFromParent_Done,
     /* 1249058 */   // Label 18059: @1249058
     /* 1249058 */   GIM_Try, /*On fail goto*//*Label 18060*/ GIMT_Encode4(1249139), // Rule ID 5552 //
     /* 1249063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1249074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1249077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1249080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1249083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1249093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249116 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1249116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1249119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249138 */     // GIR_Coverage, 5552,
     /* 1249138 */     GIR_EraseRootFromParent_Done,
     /* 1249139 */   // Label 18060: @1249139
     /* 1249139 */   GIM_Try, /*On fail goto*//*Label 18061*/ GIMT_Encode4(1249220), // Rule ID 5553 //
     /* 1249144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1249155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1249158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1249161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1249164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1249174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1249197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1249200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249219 */     // GIR_Coverage, 5553,
     /* 1249219 */     GIR_EraseRootFromParent_Done,
     /* 1249220 */   // Label 18061: @1249220
     /* 1249220 */   GIM_Try, /*On fail goto*//*Label 18062*/ GIMT_Encode4(1249301), // Rule ID 5554 //
     /* 1249225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1249236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1249239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1249255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1249278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1249281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249300 */     // GIR_Coverage, 5554,
     /* 1249300 */     GIR_EraseRootFromParent_Done,
     /* 1249301 */   // Label 18062: @1249301
     /* 1249301 */   GIM_Try, /*On fail goto*//*Label 18063*/ GIMT_Encode4(1249382), // Rule ID 5555 //
     /* 1249306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1249317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1249320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1249336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249359 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1249359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1249362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249381 */     // GIR_Coverage, 5555,
     /* 1249381 */     GIR_EraseRootFromParent_Done,
     /* 1249382 */   // Label 18063: @1249382
     /* 1249382 */   GIM_Try, /*On fail goto*//*Label 18064*/ GIMT_Encode4(1249463), // Rule ID 5556 //
     /* 1249387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1249398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1249401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1249404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249440 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1249440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1249443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249462 */     // GIR_Coverage, 5556,
     /* 1249462 */     GIR_EraseRootFromParent_Done,
     /* 1249463 */   // Label 18064: @1249463
     /* 1249463 */   GIM_Try, /*On fail goto*//*Label 18065*/ GIMT_Encode4(1249544), // Rule ID 5557 //
     /* 1249468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1249479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1249482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1249485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249521 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1249521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1249524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249543 */     // GIR_Coverage, 5557,
     /* 1249543 */     GIR_EraseRootFromParent_Done,
     /* 1249544 */   // Label 18065: @1249544
     /* 1249544 */   GIM_Try, /*On fail goto*//*Label 18066*/ GIMT_Encode4(1249625), // Rule ID 5558 //
     /* 1249549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1249560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1249563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1249566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249602 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1249602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1249605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249624 */     // GIR_Coverage, 5558,
     /* 1249624 */     GIR_EraseRootFromParent_Done,
     /* 1249625 */   // Label 18066: @1249625
     /* 1249625 */   GIM_Try, /*On fail goto*//*Label 18067*/ GIMT_Encode4(1249706), // Rule ID 5559 //
     /* 1249630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1249641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1249644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1249647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249683 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1249683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1249686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249705 */     // GIR_Coverage, 5559,
     /* 1249705 */     GIR_EraseRootFromParent_Done,
     /* 1249706 */   // Label 18067: @1249706
     /* 1249706 */   GIM_Try, /*On fail goto*//*Label 18068*/ GIMT_Encode4(1249787), // Rule ID 5560 //
     /* 1249711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1249722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1249725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1249728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249764 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1249764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1249767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249786 */     // GIR_Coverage, 5560,
     /* 1249786 */     GIR_EraseRootFromParent_Done,
     /* 1249787 */   // Label 18068: @1249787
     /* 1249787 */   GIM_Try, /*On fail goto*//*Label 18069*/ GIMT_Encode4(1249868), // Rule ID 5561 //
     /* 1249792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1249803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1249806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1249809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249845 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1249845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1249848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249867 */     // GIR_Coverage, 5561,
     /* 1249867 */     GIR_EraseRootFromParent_Done,
     /* 1249868 */   // Label 18069: @1249868
     /* 1249868 */   GIM_Try, /*On fail goto*//*Label 18070*/ GIMT_Encode4(1249949), // Rule ID 5562 //
     /* 1249873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1249884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1249887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1249890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249926 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1249926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1249929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249948 */     // GIR_Coverage, 5562,
     /* 1249948 */     GIR_EraseRootFromParent_Done,
     /* 1249949 */   // Label 18070: @1249949
     /* 1249949 */   GIM_Try, /*On fail goto*//*Label 18071*/ GIMT_Encode4(1250030), // Rule ID 5563 //
     /* 1249954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1249965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1249968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1249971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1249984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250007 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1250007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1250010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250029 */     // GIR_Coverage, 5563,
     /* 1250029 */     GIR_EraseRootFromParent_Done,
     /* 1250030 */   // Label 18071: @1250030
     /* 1250030 */   GIM_Try, /*On fail goto*//*Label 18072*/ GIMT_Encode4(1250111), // Rule ID 5564 //
     /* 1250035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1250046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1250049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250088 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1250088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1250091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250110 */     // GIR_Coverage, 5564,
     /* 1250110 */     GIR_EraseRootFromParent_Done,
     /* 1250111 */   // Label 18072: @1250111
     /* 1250111 */   GIM_Try, /*On fail goto*//*Label 18073*/ GIMT_Encode4(1250192), // Rule ID 5565 //
     /* 1250116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1250127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1250130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250169 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1250169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1250172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250191 */     // GIR_Coverage, 5565,
     /* 1250191 */     GIR_EraseRootFromParent_Done,
     /* 1250192 */   // Label 18073: @1250192
     /* 1250192 */   GIM_Try, /*On fail goto*//*Label 18074*/ GIMT_Encode4(1250273), // Rule ID 5566 //
     /* 1250197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1250208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1250211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250250 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1250250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1250253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250272 */     // GIR_Coverage, 5566,
     /* 1250272 */     GIR_EraseRootFromParent_Done,
     /* 1250273 */   // Label 18074: @1250273
     /* 1250273 */   GIM_Try, /*On fail goto*//*Label 18075*/ GIMT_Encode4(1250354), // Rule ID 5567 //
     /* 1250278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1250289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1250292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250331 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1250331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1250334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250353 */     // GIR_Coverage, 5567,
     /* 1250353 */     GIR_EraseRootFromParent_Done,
     /* 1250354 */   // Label 18075: @1250354
     /* 1250354 */   GIM_Try, /*On fail goto*//*Label 18076*/ GIMT_Encode4(1250435), // Rule ID 5568 //
     /* 1250359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1250370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1250373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1250376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250412 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1250412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250434 */     // GIR_Coverage, 5568,
     /* 1250434 */     GIR_EraseRootFromParent_Done,
     /* 1250435 */   // Label 18076: @1250435
     /* 1250435 */   GIM_Try, /*On fail goto*//*Label 18077*/ GIMT_Encode4(1250516), // Rule ID 5569 //
     /* 1250440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1250451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1250454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1250457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250493 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1250493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250515 */     // GIR_Coverage, 5569,
     /* 1250515 */     GIR_EraseRootFromParent_Done,
     /* 1250516 */   // Label 18077: @1250516
     /* 1250516 */   GIM_Try, /*On fail goto*//*Label 18078*/ GIMT_Encode4(1250597), // Rule ID 5570 //
     /* 1250521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1250532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1250535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1250538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1250574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250596 */     // GIR_Coverage, 5570,
     /* 1250596 */     GIR_EraseRootFromParent_Done,
     /* 1250597 */   // Label 18078: @1250597
     /* 1250597 */   GIM_Try, /*On fail goto*//*Label 18079*/ GIMT_Encode4(1250678), // Rule ID 5571 //
     /* 1250602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1250613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1250616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1250619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1250655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250677 */     // GIR_Coverage, 5571,
     /* 1250677 */     GIR_EraseRootFromParent_Done,
     /* 1250678 */   // Label 18079: @1250678
     /* 1250678 */   GIM_Try, /*On fail goto*//*Label 18080*/ GIMT_Encode4(1250759), // Rule ID 5572 //
     /* 1250683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1250694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1250697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1250700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1250736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250758 */     // GIR_Coverage, 5572,
     /* 1250758 */     GIR_EraseRootFromParent_Done,
     /* 1250759 */   // Label 18080: @1250759
     /* 1250759 */   GIM_Try, /*On fail goto*//*Label 18081*/ GIMT_Encode4(1250840), // Rule ID 5573 //
     /* 1250764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1250775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1250778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1250781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250817 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1250817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250839 */     // GIR_Coverage, 5573,
     /* 1250839 */     GIR_EraseRootFromParent_Done,
     /* 1250840 */   // Label 18081: @1250840
     /* 1250840 */   GIM_Try, /*On fail goto*//*Label 18082*/ GIMT_Encode4(1250921), // Rule ID 5574 //
     /* 1250845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1250848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1250856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1250859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1250862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250898 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1250898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250920 */     // GIR_Coverage, 5574,
     /* 1250920 */     GIR_EraseRootFromParent_Done,
     /* 1250921 */   // Label 18082: @1250921
     /* 1250921 */   GIM_Try, /*On fail goto*//*Label 18083*/ GIMT_Encode4(1251002), // Rule ID 5575 //
     /* 1250926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1250929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1250937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1250940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1250943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250979 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1250979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1250982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251001 */     // GIR_Coverage, 5575,
     /* 1251001 */     GIR_EraseRootFromParent_Done,
     /* 1251002 */   // Label 18083: @1251002
     /* 1251002 */   GIM_Try, /*On fail goto*//*Label 18084*/ GIMT_Encode4(1251083), // Rule ID 5576 //
     /* 1251007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1251018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1251021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1251037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251060 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1251060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1251063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251082 */     // GIR_Coverage, 5576,
     /* 1251082 */     GIR_EraseRootFromParent_Done,
     /* 1251083 */   // Label 18084: @1251083
     /* 1251083 */   GIM_Try, /*On fail goto*//*Label 18085*/ GIMT_Encode4(1251164), // Rule ID 5577 //
     /* 1251088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1251099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1251102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1251118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251141 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1251141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1251144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251163 */     // GIR_Coverage, 5577,
     /* 1251163 */     GIR_EraseRootFromParent_Done,
     /* 1251164 */   // Label 18085: @1251164
     /* 1251164 */   GIM_Try, /*On fail goto*//*Label 18086*/ GIMT_Encode4(1251245), // Rule ID 5578 //
     /* 1251169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1251180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1251183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1251199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1251222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1251225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251244 */     // GIR_Coverage, 5578,
     /* 1251244 */     GIR_EraseRootFromParent_Done,
     /* 1251245 */   // Label 18086: @1251245
     /* 1251245 */   GIM_Try, /*On fail goto*//*Label 18087*/ GIMT_Encode4(1251326), // Rule ID 5579 //
     /* 1251250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1251261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1251264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1251280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251303 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1251303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1251306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251325 */     // GIR_Coverage, 5579,
     /* 1251325 */     GIR_EraseRootFromParent_Done,
     /* 1251326 */   // Label 18087: @1251326
     /* 1251326 */   GIM_Try, /*On fail goto*//*Label 18088*/ GIMT_Encode4(1251407), // Rule ID 5580 //
     /* 1251331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1251342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1251345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1251348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1251354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1251361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251384 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1251384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1251387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251406 */     // GIR_Coverage, 5580,
     /* 1251406 */     GIR_EraseRootFromParent_Done,
     /* 1251407 */   // Label 18088: @1251407
     /* 1251407 */   GIM_Try, /*On fail goto*//*Label 18089*/ GIMT_Encode4(1251488), // Rule ID 5581 //
     /* 1251412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1251423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1251426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1251429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1251435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1251442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251465 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1251465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1251468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251487 */     // GIR_Coverage, 5581,
     /* 1251487 */     GIR_EraseRootFromParent_Done,
     /* 1251488 */   // Label 18089: @1251488
     /* 1251488 */   GIM_Try, /*On fail goto*//*Label 18090*/ GIMT_Encode4(1251569), // Rule ID 5582 //
     /* 1251493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1251504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1251507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1251510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1251523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1251546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1251549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251568 */     // GIR_Coverage, 5582,
     /* 1251568 */     GIR_EraseRootFromParent_Done,
     /* 1251569 */   // Label 18090: @1251569
     /* 1251569 */   GIM_Try, /*On fail goto*//*Label 18091*/ GIMT_Encode4(1251650), // Rule ID 5583 //
     /* 1251574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1251585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1251588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1251591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1251604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251627 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1251627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1251630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251649 */     // GIR_Coverage, 5583,
     /* 1251649 */     GIR_EraseRootFromParent_Done,
     /* 1251650 */   // Label 18091: @1251650
     /* 1251650 */   GIM_Try, /*On fail goto*//*Label 18092*/ GIMT_Encode4(1251731), // Rule ID 5584 //
     /* 1251655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1251666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1251669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1251672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1251685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251708 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1251708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1251711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251730 */     // GIR_Coverage, 5584,
     /* 1251730 */     GIR_EraseRootFromParent_Done,
     /* 1251731 */   // Label 18092: @1251731
     /* 1251731 */   GIM_Try, /*On fail goto*//*Label 18093*/ GIMT_Encode4(1251812), // Rule ID 5585 //
     /* 1251736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1251747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1251750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1251753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1251766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251789 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1251789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1251792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251811 */     // GIR_Coverage, 5585,
     /* 1251811 */     GIR_EraseRootFromParent_Done,
     /* 1251812 */   // Label 18093: @1251812
     /* 1251812 */   GIM_Try, /*On fail goto*//*Label 18094*/ GIMT_Encode4(1251893), // Rule ID 5586 //
     /* 1251817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1251828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1251831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1251834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1251847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251870 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1251870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1251873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251892 */     // GIR_Coverage, 5586,
     /* 1251892 */     GIR_EraseRootFromParent_Done,
     /* 1251893 */   // Label 18094: @1251893
     /* 1251893 */   GIM_Try, /*On fail goto*//*Label 18095*/ GIMT_Encode4(1251974), // Rule ID 5587 //
     /* 1251898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1251909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1251912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1251915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1251928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251951 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1251951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1251954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251973 */     // GIR_Coverage, 5587,
     /* 1251973 */     GIR_EraseRootFromParent_Done,
     /* 1251974 */   // Label 18095: @1251974
     /* 1251974 */   GIM_Try, /*On fail goto*//*Label 18096*/ GIMT_Encode4(1252055), // Rule ID 5588 //
     /* 1251979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1251990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1251993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1251996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1252009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1252032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1252035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252054 */     // GIR_Coverage, 5588,
     /* 1252054 */     GIR_EraseRootFromParent_Done,
     /* 1252055 */   // Label 18096: @1252055
     /* 1252055 */   GIM_Try, /*On fail goto*//*Label 18097*/ GIMT_Encode4(1252136), // Rule ID 5589 //
     /* 1252060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1252071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1252074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1252090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252113 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1252113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1252116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252135 */     // GIR_Coverage, 5589,
     /* 1252135 */     GIR_EraseRootFromParent_Done,
     /* 1252136 */   // Label 18097: @1252136
     /* 1252136 */   GIM_Try, /*On fail goto*//*Label 18098*/ GIMT_Encode4(1252217), // Rule ID 5590 //
     /* 1252141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1252152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1252155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1252158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1252171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252194 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1252194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1252197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252216 */     // GIR_Coverage, 5590,
     /* 1252216 */     GIR_EraseRootFromParent_Done,
     /* 1252217 */   // Label 18098: @1252217
     /* 1252217 */   GIM_Try, /*On fail goto*//*Label 18099*/ GIMT_Encode4(1252298), // Rule ID 5591 //
     /* 1252222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1252233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1252236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1252239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1252252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252275 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1252275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1252278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252297 */     // GIR_Coverage, 5591,
     /* 1252297 */     GIR_EraseRootFromParent_Done,
     /* 1252298 */   // Label 18099: @1252298
     /* 1252298 */   GIM_Try, /*On fail goto*//*Label 18100*/ GIMT_Encode4(1252379), // Rule ID 5592 //
     /* 1252303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1252314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1252317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1252320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1252333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252356 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1252356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1252359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252378 */     // GIR_Coverage, 5592,
     /* 1252378 */     GIR_EraseRootFromParent_Done,
     /* 1252379 */   // Label 18100: @1252379
     /* 1252379 */   GIM_Try, /*On fail goto*//*Label 18101*/ GIMT_Encode4(1252460), // Rule ID 5593 //
     /* 1252384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1252395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1252398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1252401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1252414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252437 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1252437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1252440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252459 */     // GIR_Coverage, 5593,
     /* 1252459 */     GIR_EraseRootFromParent_Done,
     /* 1252460 */   // Label 18101: @1252460
     /* 1252460 */   GIM_Try, /*On fail goto*//*Label 18102*/ GIMT_Encode4(1252541), // Rule ID 5594 //
     /* 1252465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1252476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1252479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1252482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1252495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252518 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1252518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1252521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252540 */     // GIR_Coverage, 5594,
     /* 1252540 */     GIR_EraseRootFromParent_Done,
     /* 1252541 */   // Label 18102: @1252541
     /* 1252541 */   GIM_Try, /*On fail goto*//*Label 18103*/ GIMT_Encode4(1252622), // Rule ID 5595 //
     /* 1252546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1252549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1252557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1252560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1252563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1252576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252599 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1252599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1252602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252621 */     // GIR_Coverage, 5595,
     /* 1252621 */     GIR_EraseRootFromParent_Done,
     /* 1252622 */   // Label 18103: @1252622
     /* 1252622 */   GIM_Try, /*On fail goto*//*Label 18104*/ GIMT_Encode4(1252703), // Rule ID 5596 //
     /* 1252627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1252638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1252641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1252644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1252657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252680 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1252680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1252683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252702 */     // GIR_Coverage, 5596,
     /* 1252702 */     GIR_EraseRootFromParent_Done,
     /* 1252703 */   // Label 18104: @1252703
     /* 1252703 */   GIM_Try, /*On fail goto*//*Label 18105*/ GIMT_Encode4(1252784), // Rule ID 5597 //
     /* 1252708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1252711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1252719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1252722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1252725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1252738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252761 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1252761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1252764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252783 */     // GIR_Coverage, 5597,
     /* 1252783 */     GIR_EraseRootFromParent_Done,
     /* 1252784 */   // Label 18105: @1252784
     /* 1252784 */   GIM_Try, /*On fail goto*//*Label 18106*/ GIMT_Encode4(1252865), // Rule ID 5598 //
     /* 1252789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1252800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1252803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1252806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1252819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1252842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1252845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252864 */     // GIR_Coverage, 5598,
     /* 1252864 */     GIR_EraseRootFromParent_Done,
     /* 1252865 */   // Label 18106: @1252865
     /* 1252865 */   GIM_Try, /*On fail goto*//*Label 18107*/ GIMT_Encode4(1252946), // Rule ID 5599 //
     /* 1252870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1252873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1252881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1252884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1252887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1252900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252923 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1252923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1252926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252945 */     // GIR_Coverage, 5599,
     /* 1252945 */     GIR_EraseRootFromParent_Done,
     /* 1252946 */   // Label 18107: @1252946
     /* 1252946 */   GIM_Try, /*On fail goto*//*Label 18108*/ GIMT_Encode4(1253030), // Rule ID 7810 //
     /* 1252951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1252968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1252971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253004 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1253007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253029 */     // GIR_Coverage, 7810,
     /* 1253029 */     GIR_EraseRootFromParent_Done,
     /* 1253030 */   // Label 18108: @1253030
     /* 1253030 */   GIM_Try, /*On fail goto*//*Label 18109*/ GIMT_Encode4(1253114), // Rule ID 7811 //
     /* 1253035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1253052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1253055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1253091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253113 */     // GIR_Coverage, 7811,
     /* 1253113 */     GIR_EraseRootFromParent_Done,
     /* 1253114 */   // Label 18109: @1253114
     /* 1253114 */   GIM_Try, /*On fail goto*//*Label 18110*/ GIMT_Encode4(1253198), // Rule ID 7814 //
     /* 1253119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1253136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1253139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253172 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1253175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253197 */     // GIR_Coverage, 7814,
     /* 1253197 */     GIR_EraseRootFromParent_Done,
     /* 1253198 */   // Label 18110: @1253198
     /* 1253198 */   GIM_Try, /*On fail goto*//*Label 18111*/ GIMT_Encode4(1253282), // Rule ID 7815 //
     /* 1253203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1253220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1253223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253256 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1253259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253281 */     // GIR_Coverage, 7815,
     /* 1253281 */     GIR_EraseRootFromParent_Done,
     /* 1253282 */   // Label 18111: @1253282
     /* 1253282 */   GIM_Try, /*On fail goto*//*Label 18112*/ GIMT_Encode4(1253366), // Rule ID 7818 //
     /* 1253287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1253304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1253307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1253343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253365 */     // GIR_Coverage, 7818,
     /* 1253365 */     GIR_EraseRootFromParent_Done,
     /* 1253366 */   // Label 18112: @1253366
     /* 1253366 */   GIM_Try, /*On fail goto*//*Label 18113*/ GIMT_Encode4(1253450), // Rule ID 7819 //
     /* 1253371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1253388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1253391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1253427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253449 */     // GIR_Coverage, 7819,
     /* 1253449 */     GIR_EraseRootFromParent_Done,
     /* 1253450 */   // Label 18113: @1253450
     /* 1253450 */   GIM_Try, /*On fail goto*//*Label 18114*/ GIMT_Encode4(1253534), // Rule ID 7822 //
     /* 1253455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1253472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1253475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1253511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253533 */     // GIR_Coverage, 7822,
     /* 1253533 */     GIR_EraseRootFromParent_Done,
     /* 1253534 */   // Label 18114: @1253534
     /* 1253534 */   GIM_Try, /*On fail goto*//*Label 18115*/ GIMT_Encode4(1253618), // Rule ID 7823 //
     /* 1253539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1253556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1253559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1253595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253617 */     // GIR_Coverage, 7823,
     /* 1253617 */     GIR_EraseRootFromParent_Done,
     /* 1253618 */   // Label 18115: @1253618
     /* 1253618 */   GIM_Try, /*On fail goto*//*Label 18116*/ GIMT_Encode4(1253702), // Rule ID 7826 //
     /* 1253623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1253640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1253643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253676 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1253679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253701 */     // GIR_Coverage, 7826,
     /* 1253701 */     GIR_EraseRootFromParent_Done,
     /* 1253702 */   // Label 18116: @1253702
     /* 1253702 */   GIM_Try, /*On fail goto*//*Label 18117*/ GIMT_Encode4(1253786), // Rule ID 7827 //
     /* 1253707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1253724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1253727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253760 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1253763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253785 */     // GIR_Coverage, 7827,
     /* 1253785 */     GIR_EraseRootFromParent_Done,
     /* 1253786 */   // Label 18117: @1253786
     /* 1253786 */   GIM_Try, /*On fail goto*//*Label 18118*/ GIMT_Encode4(1253870), // Rule ID 7830 //
     /* 1253791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1253808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1253811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253844 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1253847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253869 */     // GIR_Coverage, 7830,
     /* 1253869 */     GIR_EraseRootFromParent_Done,
     /* 1253870 */   // Label 18118: @1253870
     /* 1253870 */   GIM_Try, /*On fail goto*//*Label 18119*/ GIMT_Encode4(1253954), // Rule ID 7831 //
     /* 1253875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1253892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1253895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1253931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253953 */     // GIR_Coverage, 7831,
     /* 1253953 */     GIR_EraseRootFromParent_Done,
     /* 1253954 */   // Label 18119: @1253954
     /* 1253954 */   GIM_Try, /*On fail goto*//*Label 18120*/ GIMT_Encode4(1254038), // Rule ID 7834 //
     /* 1253959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1253976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1253979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254012 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1254015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254037 */     // GIR_Coverage, 7834,
     /* 1254037 */     GIR_EraseRootFromParent_Done,
     /* 1254038 */   // Label 18120: @1254038
     /* 1254038 */   GIM_Try, /*On fail goto*//*Label 18121*/ GIMT_Encode4(1254122), // Rule ID 7835 //
     /* 1254043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1254060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1254063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254096 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1254099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254121 */     // GIR_Coverage, 7835,
     /* 1254121 */     GIR_EraseRootFromParent_Done,
     /* 1254122 */   // Label 18121: @1254122
     /* 1254122 */   GIM_Try, /*On fail goto*//*Label 18122*/ GIMT_Encode4(1254206), // Rule ID 7838 //
     /* 1254127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1254144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1254147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1254183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254205 */     // GIR_Coverage, 7838,
     /* 1254205 */     GIR_EraseRootFromParent_Done,
     /* 1254206 */   // Label 18122: @1254206
     /* 1254206 */   GIM_Try, /*On fail goto*//*Label 18123*/ GIMT_Encode4(1254290), // Rule ID 7839 //
     /* 1254211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1254228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1254231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254264 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1254267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254289 */     // GIR_Coverage, 7839,
     /* 1254289 */     GIR_EraseRootFromParent_Done,
     /* 1254290 */   // Label 18123: @1254290
     /* 1254290 */   GIM_Try, /*On fail goto*//*Label 18124*/ GIMT_Encode4(1254374), // Rule ID 7842 //
     /* 1254295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1254298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1254312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1254315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254348 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1254351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1254369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254373 */     // GIR_Coverage, 7842,
     /* 1254373 */     GIR_EraseRootFromParent_Done,
     /* 1254374 */   // Label 18124: @1254374
     /* 1254374 */   GIM_Try, /*On fail goto*//*Label 18125*/ GIMT_Encode4(1254458), // Rule ID 7843 //
     /* 1254379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1254382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1254396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1254399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254432 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1254435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1254453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254457 */     // GIR_Coverage, 7843,
     /* 1254457 */     GIR_EraseRootFromParent_Done,
     /* 1254458 */   // Label 18125: @1254458
     /* 1254458 */   GIM_Try, /*On fail goto*//*Label 18126*/ GIMT_Encode4(1254542), // Rule ID 7846 //
     /* 1254463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1254480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1254483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254516 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1254519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254541 */     // GIR_Coverage, 7846,
     /* 1254541 */     GIR_EraseRootFromParent_Done,
     /* 1254542 */   // Label 18126: @1254542
     /* 1254542 */   GIM_Try, /*On fail goto*//*Label 18127*/ GIMT_Encode4(1254626), // Rule ID 7847 //
     /* 1254547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1254564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1254567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254600 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1254603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254625 */     // GIR_Coverage, 7847,
     /* 1254625 */     GIR_EraseRootFromParent_Done,
     /* 1254626 */   // Label 18127: @1254626
     /* 1254626 */   GIM_Try, /*On fail goto*//*Label 18128*/ GIMT_Encode4(1254710), // Rule ID 7850 //
     /* 1254631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1254642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1254645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1254648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1254651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254684 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1254687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254709 */     // GIR_Coverage, 7850,
     /* 1254709 */     GIR_EraseRootFromParent_Done,
     /* 1254710 */   // Label 18128: @1254710
     /* 1254710 */   GIM_Try, /*On fail goto*//*Label 18129*/ GIMT_Encode4(1254794), // Rule ID 7851 //
     /* 1254715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1254726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1254729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1254732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1254735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254768 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1254771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254793 */     // GIR_Coverage, 7851,
     /* 1254793 */     GIR_EraseRootFromParent_Done,
     /* 1254794 */   // Label 18129: @1254794
     /* 1254794 */   GIM_Try, /*On fail goto*//*Label 18130*/ GIMT_Encode4(1254878), // Rule ID 7854 //
     /* 1254799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1254810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1254813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1254816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1254819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1254822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254852 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1254855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254877 */     // GIR_Coverage, 7854,
     /* 1254877 */     GIR_EraseRootFromParent_Done,
     /* 1254878 */   // Label 18130: @1254878
     /* 1254878 */   GIM_Try, /*On fail goto*//*Label 18131*/ GIMT_Encode4(1254962), // Rule ID 7855 //
     /* 1254883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1254894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1254897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1254900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1254903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1254906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254936 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1254939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254961 */     // GIR_Coverage, 7855,
     /* 1254961 */     GIR_EraseRootFromParent_Done,
     /* 1254962 */   // Label 18131: @1254962
     /* 1254962 */   GIM_Try, /*On fail goto*//*Label 18132*/ GIMT_Encode4(1255046), // Rule ID 7858 //
     /* 1254967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1254984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1254987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1255023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255045 */     // GIR_Coverage, 7858,
     /* 1255045 */     GIR_EraseRootFromParent_Done,
     /* 1255046 */   // Label 18132: @1255046
     /* 1255046 */   GIM_Try, /*On fail goto*//*Label 18133*/ GIMT_Encode4(1255130), // Rule ID 7859 //
     /* 1255051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1255068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1255071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1255107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255129 */     // GIR_Coverage, 7859,
     /* 1255129 */     GIR_EraseRootFromParent_Done,
     /* 1255130 */   // Label 18133: @1255130
     /* 1255130 */   GIM_Try, /*On fail goto*//*Label 18134*/ GIMT_Encode4(1255214), // Rule ID 7862 //
     /* 1255135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1255152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1255155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1255191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255213 */     // GIR_Coverage, 7862,
     /* 1255213 */     GIR_EraseRootFromParent_Done,
     /* 1255214 */   // Label 18134: @1255214
     /* 1255214 */   GIM_Try, /*On fail goto*//*Label 18135*/ GIMT_Encode4(1255298), // Rule ID 7863 //
     /* 1255219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1255236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1255239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255272 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1255275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255297 */     // GIR_Coverage, 7863,
     /* 1255297 */     GIR_EraseRootFromParent_Done,
     /* 1255298 */   // Label 18135: @1255298
     /* 1255298 */   GIM_Try, /*On fail goto*//*Label 18136*/ GIMT_Encode4(1255382), // Rule ID 7866 //
     /* 1255303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1255320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1255323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255356 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1255359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255381 */     // GIR_Coverage, 7866,
     /* 1255381 */     GIR_EraseRootFromParent_Done,
     /* 1255382 */   // Label 18136: @1255382
     /* 1255382 */   GIM_Try, /*On fail goto*//*Label 18137*/ GIMT_Encode4(1255466), // Rule ID 7867 //
     /* 1255387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1255404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1255407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255440 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1255443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255465 */     // GIR_Coverage, 7867,
     /* 1255465 */     GIR_EraseRootFromParent_Done,
     /* 1255466 */   // Label 18137: @1255466
     /* 1255466 */   GIM_Try, /*On fail goto*//*Label 18138*/ GIMT_Encode4(1255550), // Rule ID 7870 //
     /* 1255471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1255488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1255491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1255527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255549 */     // GIR_Coverage, 7870,
     /* 1255549 */     GIR_EraseRootFromParent_Done,
     /* 1255550 */   // Label 18138: @1255550
     /* 1255550 */   GIM_Try, /*On fail goto*//*Label 18139*/ GIMT_Encode4(1255634), // Rule ID 7871 //
     /* 1255555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1255572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1255575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255608 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1255611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255633 */     // GIR_Coverage, 7871,
     /* 1255633 */     GIR_EraseRootFromParent_Done,
     /* 1255634 */   // Label 18139: @1255634
     /* 1255634 */   GIM_Try, /*On fail goto*//*Label 18140*/ GIMT_Encode4(1255718), // Rule ID 7874 //
     /* 1255639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1255656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1255659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255692 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1255695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255717 */     // GIR_Coverage, 7874,
     /* 1255717 */     GIR_EraseRootFromParent_Done,
     /* 1255718 */   // Label 18140: @1255718
     /* 1255718 */   GIM_Try, /*On fail goto*//*Label 18141*/ GIMT_Encode4(1255802), // Rule ID 7875 //
     /* 1255723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1255740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1255743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255776 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1255779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255801 */     // GIR_Coverage, 7875,
     /* 1255801 */     GIR_EraseRootFromParent_Done,
     /* 1255802 */   // Label 18141: @1255802
     /* 1255802 */   GIM_Try, /*On fail goto*//*Label 18142*/ GIMT_Encode4(1255886), // Rule ID 7878 //
     /* 1255807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1255824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1255827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255860 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1255863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255885 */     // GIR_Coverage, 7878,
     /* 1255885 */     GIR_EraseRootFromParent_Done,
     /* 1255886 */   // Label 18142: @1255886
     /* 1255886 */   GIM_Try, /*On fail goto*//*Label 18143*/ GIMT_Encode4(1255970), // Rule ID 7879 //
     /* 1255891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1255908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1255911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255944 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1255947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255969 */     // GIR_Coverage, 7879,
     /* 1255969 */     GIR_EraseRootFromParent_Done,
     /* 1255970 */   // Label 18143: @1255970
     /* 1255970 */   GIM_Try, /*On fail goto*//*Label 18144*/ GIMT_Encode4(1256054), // Rule ID 7882 //
     /* 1255975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1255978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1255992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1255995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256028 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1256031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256053 */     // GIR_Coverage, 7882,
     /* 1256053 */     GIR_EraseRootFromParent_Done,
     /* 1256054 */   // Label 18144: @1256054
     /* 1256054 */   GIM_Try, /*On fail goto*//*Label 18145*/ GIMT_Encode4(1256138), // Rule ID 7883 //
     /* 1256059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1256076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1256079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1256115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256137 */     // GIR_Coverage, 7883,
     /* 1256137 */     GIR_EraseRootFromParent_Done,
     /* 1256138 */   // Label 18145: @1256138
     /* 1256138 */   GIM_Try, /*On fail goto*//*Label 18146*/ GIMT_Encode4(1256222), // Rule ID 7886 //
     /* 1256143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1256163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256196 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1256199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256221 */     // GIR_Coverage, 7886,
     /* 1256221 */     GIR_EraseRootFromParent_Done,
     /* 1256222 */   // Label 18146: @1256222
     /* 1256222 */   GIM_Try, /*On fail goto*//*Label 18147*/ GIMT_Encode4(1256306), // Rule ID 7887 //
     /* 1256227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1256247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256280 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1256283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256305 */     // GIR_Coverage, 7887,
     /* 1256305 */     GIR_EraseRootFromParent_Done,
     /* 1256306 */   // Label 18147: @1256306
     /* 1256306 */   GIM_Try, /*On fail goto*//*Label 18148*/ GIMT_Encode4(1256390), // Rule ID 7890 //
     /* 1256311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1256328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1256331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256364 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1256367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256389 */     // GIR_Coverage, 7890,
     /* 1256389 */     GIR_EraseRootFromParent_Done,
     /* 1256390 */   // Label 18148: @1256390
     /* 1256390 */   GIM_Try, /*On fail goto*//*Label 18149*/ GIMT_Encode4(1256474), // Rule ID 7891 //
     /* 1256395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1256412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1256415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256448 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1256451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256473 */     // GIR_Coverage, 7891,
     /* 1256473 */     GIR_EraseRootFromParent_Done,
     /* 1256474 */   // Label 18149: @1256474
     /* 1256474 */   GIM_Try, /*On fail goto*//*Label 18150*/ GIMT_Encode4(1256558), // Rule ID 7894 //
     /* 1256479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1256496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256532 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1256535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256557 */     // GIR_Coverage, 7894,
     /* 1256557 */     GIR_EraseRootFromParent_Done,
     /* 1256558 */   // Label 18150: @1256558
     /* 1256558 */   GIM_Try, /*On fail goto*//*Label 18151*/ GIMT_Encode4(1256642), // Rule ID 7895 //
     /* 1256563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1256580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256616 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1256619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256641 */     // GIR_Coverage, 7895,
     /* 1256641 */     GIR_EraseRootFromParent_Done,
     /* 1256642 */   // Label 18151: @1256642
     /* 1256642 */   GIM_Try, /*On fail goto*//*Label 18152*/ GIMT_Encode4(1256726), // Rule ID 7898 //
     /* 1256647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1256664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1256703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256725 */     // GIR_Coverage, 7898,
     /* 1256725 */     GIR_EraseRootFromParent_Done,
     /* 1256726 */   // Label 18152: @1256726
     /* 1256726 */   GIM_Try, /*On fail goto*//*Label 18153*/ GIMT_Encode4(1256810), // Rule ID 7899 //
     /* 1256731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1256748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1256787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256809 */     // GIR_Coverage, 7899,
     /* 1256809 */     GIR_EraseRootFromParent_Done,
     /* 1256810 */   // Label 18153: @1256810
     /* 1256810 */   GIM_Try, /*On fail goto*//*Label 18154*/ GIMT_Encode4(1256894), // Rule ID 7902 //
     /* 1256815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1256832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256868 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1256871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256893 */     // GIR_Coverage, 7902,
     /* 1256893 */     GIR_EraseRootFromParent_Done,
     /* 1256894 */   // Label 18154: @1256894
     /* 1256894 */   GIM_Try, /*On fail goto*//*Label 18155*/ GIMT_Encode4(1256978), // Rule ID 7903 //
     /* 1256899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1256916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256952 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1256955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256977 */     // GIR_Coverage, 7903,
     /* 1256977 */     GIR_EraseRootFromParent_Done,
     /* 1256978 */   // Label 18155: @1256978
     /* 1256978 */   GIM_Try, /*On fail goto*//*Label 18156*/ GIMT_Encode4(1257062), // Rule ID 7906 //
     /* 1256983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1257000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257036 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1257039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257061 */     // GIR_Coverage, 7906,
     /* 1257061 */     GIR_EraseRootFromParent_Done,
     /* 1257062 */   // Label 18156: @1257062
     /* 1257062 */   GIM_Try, /*On fail goto*//*Label 18157*/ GIMT_Encode4(1257146), // Rule ID 7907 //
     /* 1257067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1257084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257120 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1257123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257145 */     // GIR_Coverage, 7907,
     /* 1257145 */     GIR_EraseRootFromParent_Done,
     /* 1257146 */   // Label 18157: @1257146
     /* 1257146 */   GIM_Try, /*On fail goto*//*Label 18158*/ GIMT_Encode4(1257230), // Rule ID 7910 //
     /* 1257151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257204 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1257207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257229 */     // GIR_Coverage, 7910,
     /* 1257229 */     GIR_EraseRootFromParent_Done,
     /* 1257230 */   // Label 18158: @1257230
     /* 1257230 */   GIM_Try, /*On fail goto*//*Label 18159*/ GIMT_Encode4(1257314), // Rule ID 7911 //
     /* 1257235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1257291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257313 */     // GIR_Coverage, 7911,
     /* 1257313 */     GIR_EraseRootFromParent_Done,
     /* 1257314 */   // Label 18159: @1257314
     /* 1257314 */   GIM_Try, /*On fail goto*//*Label 18160*/ GIMT_Encode4(1257398), // Rule ID 7914 //
     /* 1257319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1257336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257372 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1257375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257397 */     // GIR_Coverage, 7914,
     /* 1257397 */     GIR_EraseRootFromParent_Done,
     /* 1257398 */   // Label 18160: @1257398
     /* 1257398 */   GIM_Try, /*On fail goto*//*Label 18161*/ GIMT_Encode4(1257482), // Rule ID 7915 //
     /* 1257403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1257420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257456 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1257459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257481 */     // GIR_Coverage, 7915,
     /* 1257481 */     GIR_EraseRootFromParent_Done,
     /* 1257482 */   // Label 18161: @1257482
     /* 1257482 */   GIM_Try, /*On fail goto*//*Label 18162*/ GIMT_Encode4(1257566), // Rule ID 7918 //
     /* 1257487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1257504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257565 */     // GIR_Coverage, 7918,
     /* 1257565 */     GIR_EraseRootFromParent_Done,
     /* 1257566 */   // Label 18162: @1257566
     /* 1257566 */   GIM_Try, /*On fail goto*//*Label 18163*/ GIMT_Encode4(1257650), // Rule ID 7919 //
     /* 1257571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1257588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257624 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257649 */     // GIR_Coverage, 7919,
     /* 1257649 */     GIR_EraseRootFromParent_Done,
     /* 1257650 */   // Label 18163: @1257650
     /* 1257650 */   GIM_Try, /*On fail goto*//*Label 18164*/ GIMT_Encode4(1257734), // Rule ID 7922 //
     /* 1257655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1257672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257733 */     // GIR_Coverage, 7922,
     /* 1257733 */     GIR_EraseRootFromParent_Done,
     /* 1257734 */   // Label 18164: @1257734
     /* 1257734 */   GIM_Try, /*On fail goto*//*Label 18165*/ GIMT_Encode4(1257818), // Rule ID 7923 //
     /* 1257739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1257756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257792 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257817 */     // GIR_Coverage, 7923,
     /* 1257817 */     GIR_EraseRootFromParent_Done,
     /* 1257818 */   // Label 18165: @1257818
     /* 1257818 */   GIM_Try, /*On fail goto*//*Label 18166*/ GIMT_Encode4(1257902), // Rule ID 7926 //
     /* 1257823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1257840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257876 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257901 */     // GIR_Coverage, 7926,
     /* 1257901 */     GIR_EraseRootFromParent_Done,
     /* 1257902 */   // Label 18166: @1257902
     /* 1257902 */   GIM_Try, /*On fail goto*//*Label 18167*/ GIMT_Encode4(1257986), // Rule ID 7927 //
     /* 1257907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1257924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257960 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1257963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257985 */     // GIR_Coverage, 7927,
     /* 1257985 */     GIR_EraseRootFromParent_Done,
     /* 1257986 */   // Label 18167: @1257986
     /* 1257986 */   GIM_Try, /*On fail goto*//*Label 18168*/ GIMT_Encode4(1258070), // Rule ID 7930 //
     /* 1257991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1257994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1258008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258044 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1258047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258069 */     // GIR_Coverage, 7930,
     /* 1258069 */     GIR_EraseRootFromParent_Done,
     /* 1258070 */   // Label 18168: @1258070
     /* 1258070 */   GIM_Try, /*On fail goto*//*Label 18169*/ GIMT_Encode4(1258154), // Rule ID 7931 //
     /* 1258075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1258078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1258092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258128 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1258131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258153 */     // GIR_Coverage, 7931,
     /* 1258153 */     GIR_EraseRootFromParent_Done,
     /* 1258154 */   // Label 18169: @1258154
     /* 1258154 */   GIM_Try, /*On fail goto*//*Label 18170*/ GIMT_Encode4(1258238), // Rule ID 7934 //
     /* 1258159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258212 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1258215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258237 */     // GIR_Coverage, 7934,
     /* 1258237 */     GIR_EraseRootFromParent_Done,
     /* 1258238 */   // Label 18170: @1258238
     /* 1258238 */   GIM_Try, /*On fail goto*//*Label 18171*/ GIMT_Encode4(1258322), // Rule ID 7935 //
     /* 1258243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258296 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1258299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258321 */     // GIR_Coverage, 7935,
     /* 1258321 */     GIR_EraseRootFromParent_Done,
     /* 1258322 */   // Label 18171: @1258322
     /* 1258322 */   GIM_Try, /*On fail goto*//*Label 18172*/ GIMT_Encode4(1258406), // Rule ID 7938 //
     /* 1258327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1258344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258380 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1258383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258405 */     // GIR_Coverage, 7938,
     /* 1258405 */     GIR_EraseRootFromParent_Done,
     /* 1258406 */   // Label 18172: @1258406
     /* 1258406 */   GIM_Try, /*On fail goto*//*Label 18173*/ GIMT_Encode4(1258490), // Rule ID 7939 //
     /* 1258411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1258428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258464 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1258467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258489 */     // GIR_Coverage, 7939,
     /* 1258489 */     GIR_EraseRootFromParent_Done,
     /* 1258490 */   // Label 18173: @1258490
     /* 1258490 */   GIM_Try, /*On fail goto*//*Label 18174*/ GIMT_Encode4(1258574), // Rule ID 7942 //
     /* 1258495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1258506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1258509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1258512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1258518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258548 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1258551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258573 */     // GIR_Coverage, 7942,
     /* 1258573 */     GIR_EraseRootFromParent_Done,
     /* 1258574 */   // Label 18174: @1258574
     /* 1258574 */   GIM_Try, /*On fail goto*//*Label 18175*/ GIMT_Encode4(1258658), // Rule ID 7943 //
     /* 1258579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1258590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1258593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1258596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1258602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258632 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1258635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258657 */     // GIR_Coverage, 7943,
     /* 1258657 */     GIR_EraseRootFromParent_Done,
     /* 1258658 */   // Label 18175: @1258658
     /* 1258658 */   GIM_Try, /*On fail goto*//*Label 18176*/ GIMT_Encode4(1258742), // Rule ID 7946 //
     /* 1258663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1258680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258716 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1258719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258741 */     // GIR_Coverage, 7946,
     /* 1258741 */     GIR_EraseRootFromParent_Done,
     /* 1258742 */   // Label 18176: @1258742
     /* 1258742 */   GIM_Try, /*On fail goto*//*Label 18177*/ GIMT_Encode4(1258826), // Rule ID 7947 //
     /* 1258747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1258764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258800 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1258803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258825 */     // GIR_Coverage, 7947,
     /* 1258825 */     GIR_EraseRootFromParent_Done,
     /* 1258826 */   // Label 18177: @1258826
     /* 1258826 */   GIM_Try, /*On fail goto*//*Label 18178*/ GIMT_Encode4(1258910), // Rule ID 7950 //
     /* 1258831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1258848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258884 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1258887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258909 */     // GIR_Coverage, 7950,
     /* 1258909 */     GIR_EraseRootFromParent_Done,
     /* 1258910 */   // Label 18178: @1258910
     /* 1258910 */   GIM_Try, /*On fail goto*//*Label 18179*/ GIMT_Encode4(1258994), // Rule ID 7951 //
     /* 1258915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1258932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258968 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1258971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258993 */     // GIR_Coverage, 7951,
     /* 1258993 */     GIR_EraseRootFromParent_Done,
     /* 1258994 */   // Label 18179: @1258994
     /* 1258994 */   GIM_Try, /*On fail goto*//*Label 18180*/ GIMT_Encode4(1259078), // Rule ID 7954 //
     /* 1258999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1259016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259052 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1259055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259077 */     // GIR_Coverage, 7954,
     /* 1259077 */     GIR_EraseRootFromParent_Done,
     /* 1259078 */   // Label 18180: @1259078
     /* 1259078 */   GIM_Try, /*On fail goto*//*Label 18181*/ GIMT_Encode4(1259162), // Rule ID 7955 //
     /* 1259083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1259100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259136 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1259139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259161 */     // GIR_Coverage, 7955,
     /* 1259161 */     GIR_EraseRootFromParent_Done,
     /* 1259162 */   // Label 18181: @1259162
     /* 1259162 */   GIM_Try, /*On fail goto*//*Label 18182*/ GIMT_Encode4(1259246), // Rule ID 7958 //
     /* 1259167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1259223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259245 */     // GIR_Coverage, 7958,
     /* 1259245 */     GIR_EraseRootFromParent_Done,
     /* 1259246 */   // Label 18182: @1259246
     /* 1259246 */   GIM_Try, /*On fail goto*//*Label 18183*/ GIMT_Encode4(1259330), // Rule ID 7959 //
     /* 1259251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1259307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259329 */     // GIR_Coverage, 7959,
     /* 1259329 */     GIR_EraseRootFromParent_Done,
     /* 1259330 */   // Label 18183: @1259330
     /* 1259330 */   GIM_Try, /*On fail goto*//*Label 18184*/ GIMT_Encode4(1259414), // Rule ID 7962 //
     /* 1259335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1259352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1259391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259413 */     // GIR_Coverage, 7962,
     /* 1259413 */     GIR_EraseRootFromParent_Done,
     /* 1259414 */   // Label 18184: @1259414
     /* 1259414 */   GIM_Try, /*On fail goto*//*Label 18185*/ GIMT_Encode4(1259498), // Rule ID 7963 //
     /* 1259419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1259436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259472 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1259475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259497 */     // GIR_Coverage, 7963,
     /* 1259497 */     GIR_EraseRootFromParent_Done,
     /* 1259498 */   // Label 18185: @1259498
     /* 1259498 */   GIM_Try, /*On fail goto*//*Label 18186*/ GIMT_Encode4(1259582), // Rule ID 7966 //
     /* 1259503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1259520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259556 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1259559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259581 */     // GIR_Coverage, 7966,
     /* 1259581 */     GIR_EraseRootFromParent_Done,
     /* 1259582 */   // Label 18186: @1259582
     /* 1259582 */   GIM_Try, /*On fail goto*//*Label 18187*/ GIMT_Encode4(1259666), // Rule ID 7967 //
     /* 1259587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1259604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259640 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1259643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259665 */     // GIR_Coverage, 7967,
     /* 1259665 */     GIR_EraseRootFromParent_Done,
     /* 1259666 */   // Label 18187: @1259666
     /* 1259666 */   GIM_Try, /*On fail goto*//*Label 18188*/ GIMT_Encode4(1259750), // Rule ID 7970 //
     /* 1259671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1259674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1259688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1259727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259749 */     // GIR_Coverage, 7970,
     /* 1259749 */     GIR_EraseRootFromParent_Done,
     /* 1259750 */   // Label 18188: @1259750
     /* 1259750 */   GIM_Try, /*On fail goto*//*Label 18189*/ GIMT_Encode4(1259834), // Rule ID 7971 //
     /* 1259755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1259758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1259772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259808 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1259811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259833 */     // GIR_Coverage, 7971,
     /* 1259833 */     GIR_EraseRootFromParent_Done,
     /* 1259834 */   // Label 18189: @1259834
     /* 1259834 */   GIM_Try, /*On fail goto*//*Label 18190*/ GIMT_Encode4(1259918), // Rule ID 7974 //
     /* 1259839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1259842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1259856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259892 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1259895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259917 */     // GIR_Coverage, 7974,
     /* 1259917 */     GIR_EraseRootFromParent_Done,
     /* 1259918 */   // Label 18190: @1259918
     /* 1259918 */   GIM_Try, /*On fail goto*//*Label 18191*/ GIMT_Encode4(1260002), // Rule ID 7975 //
     /* 1259923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1259926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1259940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1259979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260001 */     // GIR_Coverage, 7975,
     /* 1260001 */     GIR_EraseRootFromParent_Done,
     /* 1260002 */   // Label 18191: @1260002
     /* 1260002 */   GIM_Try, /*On fail goto*//*Label 18192*/ GIMT_Encode4(1260086), // Rule ID 7978 //
     /* 1260007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1260024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1260063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260085 */     // GIR_Coverage, 7978,
     /* 1260085 */     GIR_EraseRootFromParent_Done,
     /* 1260086 */   // Label 18192: @1260086
     /* 1260086 */   GIM_Try, /*On fail goto*//*Label 18193*/ GIMT_Encode4(1260170), // Rule ID 7979 //
     /* 1260091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1260108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1260147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260169 */     // GIR_Coverage, 7979,
     /* 1260169 */     GIR_EraseRootFromParent_Done,
     /* 1260170 */   // Label 18193: @1260170
     /* 1260170 */   GIM_Try, /*On fail goto*//*Label 18194*/ GIMT_Encode4(1260254), // Rule ID 8070 //
     /* 1260175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1260195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260228 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1260231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260253 */     // GIR_Coverage, 8070,
     /* 1260253 */     GIR_EraseRootFromParent_Done,
     /* 1260254 */   // Label 18194: @1260254
     /* 1260254 */   GIM_Try, /*On fail goto*//*Label 18195*/ GIMT_Encode4(1260338), // Rule ID 8071 //
     /* 1260259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1260279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260312 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1260315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260337 */     // GIR_Coverage, 8071,
     /* 1260337 */     GIR_EraseRootFromParent_Done,
     /* 1260338 */   // Label 18195: @1260338
     /* 1260338 */   GIM_Try, /*On fail goto*//*Label 18196*/ GIMT_Encode4(1260422), // Rule ID 8074 //
     /* 1260343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1260360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1260363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1260399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260421 */     // GIR_Coverage, 8074,
     /* 1260421 */     GIR_EraseRootFromParent_Done,
     /* 1260422 */   // Label 18196: @1260422
     /* 1260422 */   GIM_Try, /*On fail goto*//*Label 18197*/ GIMT_Encode4(1260506), // Rule ID 8075 //
     /* 1260427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1260444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1260447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260480 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1260483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260505 */     // GIR_Coverage, 8075,
     /* 1260505 */     GIR_EraseRootFromParent_Done,
     /* 1260506 */   // Label 18197: @1260506
     /* 1260506 */   GIM_Try, /*On fail goto*//*Label 18198*/ GIMT_Encode4(1260590), // Rule ID 8078 //
     /* 1260511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1260528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1260531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1260567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260589 */     // GIR_Coverage, 8078,
     /* 1260589 */     GIR_EraseRootFromParent_Done,
     /* 1260590 */   // Label 18198: @1260590
     /* 1260590 */   GIM_Try, /*On fail goto*//*Label 18199*/ GIMT_Encode4(1260674), // Rule ID 8079 //
     /* 1260595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1260612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1260615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260648 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1260651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260673 */     // GIR_Coverage, 8079,
     /* 1260673 */     GIR_EraseRootFromParent_Done,
     /* 1260674 */   // Label 18199: @1260674
     /* 1260674 */   GIM_Try, /*On fail goto*//*Label 18200*/ GIMT_Encode4(1260758), // Rule ID 8082 //
     /* 1260679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1260696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1260699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260732 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1260735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260757 */     // GIR_Coverage, 8082,
     /* 1260757 */     GIR_EraseRootFromParent_Done,
     /* 1260758 */   // Label 18200: @1260758
     /* 1260758 */   GIM_Try, /*On fail goto*//*Label 18201*/ GIMT_Encode4(1260842), // Rule ID 8083 //
     /* 1260763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1260780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1260783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260816 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1260819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260841 */     // GIR_Coverage, 8083,
     /* 1260841 */     GIR_EraseRootFromParent_Done,
     /* 1260842 */   // Label 18201: @1260842
     /* 1260842 */   GIM_Try, /*On fail goto*//*Label 18202*/ GIMT_Encode4(1260926), // Rule ID 8086 //
     /* 1260847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1260864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1260867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1260903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260925 */     // GIR_Coverage, 8086,
     /* 1260925 */     GIR_EraseRootFromParent_Done,
     /* 1260926 */   // Label 18202: @1260926
     /* 1260926 */   GIM_Try, /*On fail goto*//*Label 18203*/ GIMT_Encode4(1261010), // Rule ID 8087 //
     /* 1260931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1260948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1260951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1260987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261009 */     // GIR_Coverage, 8087,
     /* 1261009 */     GIR_EraseRootFromParent_Done,
     /* 1261010 */   // Label 18203: @1261010
     /* 1261010 */   GIM_Try, /*On fail goto*//*Label 18204*/ GIMT_Encode4(1261094), // Rule ID 8090 //
     /* 1261015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1261032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1261035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1261071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261093 */     // GIR_Coverage, 8090,
     /* 1261093 */     GIR_EraseRootFromParent_Done,
     /* 1261094 */   // Label 18204: @1261094
     /* 1261094 */   GIM_Try, /*On fail goto*//*Label 18205*/ GIMT_Encode4(1261178), // Rule ID 8091 //
     /* 1261099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1261116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1261119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1261155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261177 */     // GIR_Coverage, 8091,
     /* 1261177 */     GIR_EraseRootFromParent_Done,
     /* 1261178 */   // Label 18205: @1261178
     /* 1261178 */   GIM_Try, /*On fail goto*//*Label 18206*/ GIMT_Encode4(1261262), // Rule ID 8094 //
     /* 1261183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1261239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261261 */     // GIR_Coverage, 8094,
     /* 1261261 */     GIR_EraseRootFromParent_Done,
     /* 1261262 */   // Label 18206: @1261262
     /* 1261262 */   GIM_Try, /*On fail goto*//*Label 18207*/ GIMT_Encode4(1261346), // Rule ID 8095 //
     /* 1261267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261320 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1261323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261345 */     // GIR_Coverage, 8095,
     /* 1261345 */     GIR_EraseRootFromParent_Done,
     /* 1261346 */   // Label 18207: @1261346
     /* 1261346 */   GIM_Try, /*On fail goto*//*Label 18208*/ GIMT_Encode4(1261430), // Rule ID 8098 //
     /* 1261351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1261368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1261371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1261407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261429 */     // GIR_Coverage, 8098,
     /* 1261429 */     GIR_EraseRootFromParent_Done,
     /* 1261430 */   // Label 18208: @1261430
     /* 1261430 */   GIM_Try, /*On fail goto*//*Label 18209*/ GIMT_Encode4(1261514), // Rule ID 8099 //
     /* 1261435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1261452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1261455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1261491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261513 */     // GIR_Coverage, 8099,
     /* 1261513 */     GIR_EraseRootFromParent_Done,
     /* 1261514 */   // Label 18209: @1261514
     /* 1261514 */   GIM_Try, /*On fail goto*//*Label 18210*/ GIMT_Encode4(1261598), // Rule ID 8102 //
     /* 1261519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1261536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1261539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1261575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261597 */     // GIR_Coverage, 8102,
     /* 1261597 */     GIR_EraseRootFromParent_Done,
     /* 1261598 */   // Label 18210: @1261598
     /* 1261598 */   GIM_Try, /*On fail goto*//*Label 18211*/ GIMT_Encode4(1261682), // Rule ID 8103 //
     /* 1261603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1261620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1261623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261656 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1261659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261681 */     // GIR_Coverage, 8103,
     /* 1261681 */     GIR_EraseRootFromParent_Done,
     /* 1261682 */   // Label 18211: @1261682
     /* 1261682 */   GIM_Try, /*On fail goto*//*Label 18212*/ GIMT_Encode4(1261766), // Rule ID 8106 //
     /* 1261687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1261690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1261704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1261707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1261743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261765 */     // GIR_Coverage, 8106,
     /* 1261765 */     GIR_EraseRootFromParent_Done,
     /* 1261766 */   // Label 18212: @1261766
     /* 1261766 */   GIM_Try, /*On fail goto*//*Label 18213*/ GIMT_Encode4(1261850), // Rule ID 8107 //
     /* 1261771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1261774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1261788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1261791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261824 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1261827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261849 */     // GIR_Coverage, 8107,
     /* 1261849 */     GIR_EraseRootFromParent_Done,
     /* 1261850 */   // Label 18213: @1261850
     /* 1261850 */   GIM_Try, /*On fail goto*//*Label 18214*/ GIMT_Encode4(1261934), // Rule ID 8110 //
     /* 1261855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1261866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1261869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1261872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1261875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1261878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261908 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1261911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261933 */     // GIR_Coverage, 8110,
     /* 1261933 */     GIR_EraseRootFromParent_Done,
     /* 1261934 */   // Label 18214: @1261934
     /* 1261934 */   GIM_Try, /*On fail goto*//*Label 18215*/ GIMT_Encode4(1262018), // Rule ID 8111 //
     /* 1261939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1261950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1261953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1261956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1261959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1261962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261992 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1261995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262017 */     // GIR_Coverage, 8111,
     /* 1262017 */     GIR_EraseRootFromParent_Done,
     /* 1262018 */   // Label 18215: @1262018
     /* 1262018 */   GIM_Try, /*On fail goto*//*Label 18216*/ GIMT_Encode4(1262102), // Rule ID 8114 //
     /* 1262023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1262040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1262043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262076 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1262079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262101 */     // GIR_Coverage, 8114,
     /* 1262101 */     GIR_EraseRootFromParent_Done,
     /* 1262102 */   // Label 18216: @1262102
     /* 1262102 */   GIM_Try, /*On fail goto*//*Label 18217*/ GIMT_Encode4(1262186), // Rule ID 8115 //
     /* 1262107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1262124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1262127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262160 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1262163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262185 */     // GIR_Coverage, 8115,
     /* 1262185 */     GIR_EraseRootFromParent_Done,
     /* 1262186 */   // Label 18217: @1262186
     /* 1262186 */   GIM_Try, /*On fail goto*//*Label 18218*/ GIMT_Encode4(1262270), // Rule ID 8118 //
     /* 1262191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1262202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1262205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1262211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262244 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1262247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262269 */     // GIR_Coverage, 8118,
     /* 1262269 */     GIR_EraseRootFromParent_Done,
     /* 1262270 */   // Label 18218: @1262270
     /* 1262270 */   GIM_Try, /*On fail goto*//*Label 18219*/ GIMT_Encode4(1262354), // Rule ID 8119 //
     /* 1262275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1262286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1262289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1262295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262328 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1262331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262353 */     // GIR_Coverage, 8119,
     /* 1262353 */     GIR_EraseRootFromParent_Done,
     /* 1262354 */   // Label 18219: @1262354
     /* 1262354 */   GIM_Try, /*On fail goto*//*Label 18220*/ GIMT_Encode4(1262438), // Rule ID 8122 //
     /* 1262359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1262376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1262379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1262415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262437 */     // GIR_Coverage, 8122,
     /* 1262437 */     GIR_EraseRootFromParent_Done,
     /* 1262438 */   // Label 18220: @1262438
     /* 1262438 */   GIM_Try, /*On fail goto*//*Label 18221*/ GIMT_Encode4(1262522), // Rule ID 8123 //
     /* 1262443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1262460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1262463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1262499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262521 */     // GIR_Coverage, 8123,
     /* 1262521 */     GIR_EraseRootFromParent_Done,
     /* 1262522 */   // Label 18221: @1262522
     /* 1262522 */   GIM_Try, /*On fail goto*//*Label 18222*/ GIMT_Encode4(1262606), // Rule ID 8126 //
     /* 1262527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1262544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1262547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262580 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1262583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262605 */     // GIR_Coverage, 8126,
     /* 1262605 */     GIR_EraseRootFromParent_Done,
     /* 1262606 */   // Label 18222: @1262606
     /* 1262606 */   GIM_Try, /*On fail goto*//*Label 18223*/ GIMT_Encode4(1262690), // Rule ID 8127 //
     /* 1262611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1262628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1262631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262664 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1262667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262689 */     // GIR_Coverage, 8127,
     /* 1262689 */     GIR_EraseRootFromParent_Done,
     /* 1262690 */   // Label 18223: @1262690
     /* 1262690 */   GIM_Try, /*On fail goto*//*Label 18224*/ GIMT_Encode4(1262774), // Rule ID 8130 //
     /* 1262695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1262712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1262715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262748 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1262751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262773 */     // GIR_Coverage, 8130,
     /* 1262773 */     GIR_EraseRootFromParent_Done,
     /* 1262774 */   // Label 18224: @1262774
     /* 1262774 */   GIM_Try, /*On fail goto*//*Label 18225*/ GIMT_Encode4(1262858), // Rule ID 8131 //
     /* 1262779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1262796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1262799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262832 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1262835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262857 */     // GIR_Coverage, 8131,
     /* 1262857 */     GIR_EraseRootFromParent_Done,
     /* 1262858 */   // Label 18225: @1262858
     /* 1262858 */   GIM_Try, /*On fail goto*//*Label 18226*/ GIMT_Encode4(1262942), // Rule ID 8134 //
     /* 1262863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1262880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1262883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262916 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1262919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262941 */     // GIR_Coverage, 8134,
     /* 1262941 */     GIR_EraseRootFromParent_Done,
     /* 1262942 */   // Label 18226: @1262942
     /* 1262942 */   GIM_Try, /*On fail goto*//*Label 18227*/ GIMT_Encode4(1263026), // Rule ID 8135 //
     /* 1262947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1262964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1262967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1263003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263025 */     // GIR_Coverage, 8135,
     /* 1263025 */     GIR_EraseRootFromParent_Done,
     /* 1263026 */   // Label 18227: @1263026
     /* 1263026 */   GIM_Try, /*On fail goto*//*Label 18228*/ GIMT_Encode4(1263110), // Rule ID 8138 //
     /* 1263031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1263048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1263051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1263087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263109 */     // GIR_Coverage, 8138,
     /* 1263109 */     GIR_EraseRootFromParent_Done,
     /* 1263110 */   // Label 18228: @1263110
     /* 1263110 */   GIM_Try, /*On fail goto*//*Label 18229*/ GIMT_Encode4(1263194), // Rule ID 8139 //
     /* 1263115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1263132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1263135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1263171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263193 */     // GIR_Coverage, 8139,
     /* 1263193 */     GIR_EraseRootFromParent_Done,
     /* 1263194 */   // Label 18229: @1263194
     /* 1263194 */   GIM_Try, /*On fail goto*//*Label 18230*/ GIMT_Encode4(1263278), // Rule ID 8142 //
     /* 1263199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1263219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1263255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263277 */     // GIR_Coverage, 8142,
     /* 1263277 */     GIR_EraseRootFromParent_Done,
     /* 1263278 */   // Label 18230: @1263278
     /* 1263278 */   GIM_Try, /*On fail goto*//*Label 18231*/ GIMT_Encode4(1263362), // Rule ID 8143 //
     /* 1263283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1263303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263336 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1263339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263361 */     // GIR_Coverage, 8143,
     /* 1263361 */     GIR_EraseRootFromParent_Done,
     /* 1263362 */   // Label 18231: @1263362
     /* 1263362 */   GIM_Try, /*On fail goto*//*Label 18232*/ GIMT_Encode4(1263446), // Rule ID 8146 //
     /* 1263367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1263384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1263387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263420 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1263423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263445 */     // GIR_Coverage, 8146,
     /* 1263445 */     GIR_EraseRootFromParent_Done,
     /* 1263446 */   // Label 18232: @1263446
     /* 1263446 */   GIM_Try, /*On fail goto*//*Label 18233*/ GIMT_Encode4(1263530), // Rule ID 8147 //
     /* 1263451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1263468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1263471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263504 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1263507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263529 */     // GIR_Coverage, 8147,
     /* 1263529 */     GIR_EraseRootFromParent_Done,
     /* 1263530 */   // Label 18233: @1263530
     /* 1263530 */   GIM_Try, /*On fail goto*//*Label 18234*/ GIMT_Encode4(1263614), // Rule ID 8150 //
     /* 1263535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1263552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1263555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1263591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263613 */     // GIR_Coverage, 8150,
     /* 1263613 */     GIR_EraseRootFromParent_Done,
     /* 1263614 */   // Label 18234: @1263614
     /* 1263614 */   GIM_Try, /*On fail goto*//*Label 18235*/ GIMT_Encode4(1263698), // Rule ID 8151 //
     /* 1263619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1263636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1263639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263672 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1263675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263697 */     // GIR_Coverage, 8151,
     /* 1263697 */     GIR_EraseRootFromParent_Done,
     /* 1263698 */   // Label 18235: @1263698
     /* 1263698 */   GIM_Try, /*On fail goto*//*Label 18236*/ GIMT_Encode4(1263782), // Rule ID 8154 //
     /* 1263703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1263720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1263723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263756 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1263759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263781 */     // GIR_Coverage, 8154,
     /* 1263781 */     GIR_EraseRootFromParent_Done,
     /* 1263782 */   // Label 18236: @1263782
     /* 1263782 */   GIM_Try, /*On fail goto*//*Label 18237*/ GIMT_Encode4(1263866), // Rule ID 8155 //
     /* 1263787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1263804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1263807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263840 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1263843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263865 */     // GIR_Coverage, 8155,
     /* 1263865 */     GIR_EraseRootFromParent_Done,
     /* 1263866 */   // Label 18237: @1263866
     /* 1263866 */   GIM_Try, /*On fail goto*//*Label 18238*/ GIMT_Encode4(1263950), // Rule ID 8158 //
     /* 1263871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1263882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1263885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1263888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1263927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263949 */     // GIR_Coverage, 8158,
     /* 1263949 */     GIR_EraseRootFromParent_Done,
     /* 1263950 */   // Label 18238: @1263950
     /* 1263950 */   GIM_Try, /*On fail goto*//*Label 18239*/ GIMT_Encode4(1264034), // Rule ID 8159 //
     /* 1263955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1263966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1263969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1263972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264008 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1264011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264033 */     // GIR_Coverage, 8159,
     /* 1264033 */     GIR_EraseRootFromParent_Done,
     /* 1264034 */   // Label 18239: @1264034
     /* 1264034 */   GIM_Try, /*On fail goto*//*Label 18240*/ GIMT_Encode4(1264118), // Rule ID 8162 //
     /* 1264039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1264056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1264095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264117 */     // GIR_Coverage, 8162,
     /* 1264117 */     GIR_EraseRootFromParent_Done,
     /* 1264118 */   // Label 18240: @1264118
     /* 1264118 */   GIM_Try, /*On fail goto*//*Label 18241*/ GIMT_Encode4(1264202), // Rule ID 8163 //
     /* 1264123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1264140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264176 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1264179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264201 */     // GIR_Coverage, 8163,
     /* 1264201 */     GIR_EraseRootFromParent_Done,
     /* 1264202 */   // Label 18241: @1264202
     /* 1264202 */   GIM_Try, /*On fail goto*//*Label 18242*/ GIMT_Encode4(1264286), // Rule ID 8166 //
     /* 1264207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1264263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264285 */     // GIR_Coverage, 8166,
     /* 1264285 */     GIR_EraseRootFromParent_Done,
     /* 1264286 */   // Label 18242: @1264286
     /* 1264286 */   GIM_Try, /*On fail goto*//*Label 18243*/ GIMT_Encode4(1264370), // Rule ID 8167 //
     /* 1264291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264344 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1264347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264369 */     // GIR_Coverage, 8167,
     /* 1264369 */     GIR_EraseRootFromParent_Done,
     /* 1264370 */   // Label 18243: @1264370
     /* 1264370 */   GIM_Try, /*On fail goto*//*Label 18244*/ GIMT_Encode4(1264454), // Rule ID 8170 //
     /* 1264375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1264392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264428 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1264431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264453 */     // GIR_Coverage, 8170,
     /* 1264453 */     GIR_EraseRootFromParent_Done,
     /* 1264454 */   // Label 18244: @1264454
     /* 1264454 */   GIM_Try, /*On fail goto*//*Label 18245*/ GIMT_Encode4(1264538), // Rule ID 8171 //
     /* 1264459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1264476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264512 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1264515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264537 */     // GIR_Coverage, 8171,
     /* 1264537 */     GIR_EraseRootFromParent_Done,
     /* 1264538 */   // Label 18245: @1264538
     /* 1264538 */   GIM_Try, /*On fail goto*//*Label 18246*/ GIMT_Encode4(1264622), // Rule ID 8174 //
     /* 1264543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1264560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1264599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264621 */     // GIR_Coverage, 8174,
     /* 1264621 */     GIR_EraseRootFromParent_Done,
     /* 1264622 */   // Label 18246: @1264622
     /* 1264622 */   GIM_Try, /*On fail goto*//*Label 18247*/ GIMT_Encode4(1264706), // Rule ID 8175 //
     /* 1264627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1264644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1264683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264705 */     // GIR_Coverage, 8175,
     /* 1264705 */     GIR_EraseRootFromParent_Done,
     /* 1264706 */   // Label 18247: @1264706
     /* 1264706 */   GIM_Try, /*On fail goto*//*Label 18248*/ GIMT_Encode4(1264790), // Rule ID 8178 //
     /* 1264711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1264728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264764 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1264767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264789 */     // GIR_Coverage, 8178,
     /* 1264789 */     GIR_EraseRootFromParent_Done,
     /* 1264790 */   // Label 18248: @1264790
     /* 1264790 */   GIM_Try, /*On fail goto*//*Label 18249*/ GIMT_Encode4(1264874), // Rule ID 8179 //
     /* 1264795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1264812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1264851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264873 */     // GIR_Coverage, 8179,
     /* 1264873 */     GIR_EraseRootFromParent_Done,
     /* 1264874 */   // Label 18249: @1264874
     /* 1264874 */   GIM_Try, /*On fail goto*//*Label 18250*/ GIMT_Encode4(1264958), // Rule ID 8182 //
     /* 1264879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1264896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1264935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264957 */     // GIR_Coverage, 8182,
     /* 1264957 */     GIR_EraseRootFromParent_Done,
     /* 1264958 */   // Label 18250: @1264958
     /* 1264958 */   GIM_Try, /*On fail goto*//*Label 18251*/ GIMT_Encode4(1265042), // Rule ID 8183 //
     /* 1264963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1264980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1265019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265041 */     // GIR_Coverage, 8183,
     /* 1265041 */     GIR_EraseRootFromParent_Done,
     /* 1265042 */   // Label 18251: @1265042
     /* 1265042 */   GIM_Try, /*On fail goto*//*Label 18252*/ GIMT_Encode4(1265126), // Rule ID 8186 //
     /* 1265047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1265064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1265103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265125 */     // GIR_Coverage, 8186,
     /* 1265125 */     GIR_EraseRootFromParent_Done,
     /* 1265126 */   // Label 18252: @1265126
     /* 1265126 */   GIM_Try, /*On fail goto*//*Label 18253*/ GIMT_Encode4(1265210), // Rule ID 8187 //
     /* 1265131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1265148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265184 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1265187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265209 */     // GIR_Coverage, 8187,
     /* 1265209 */     GIR_EraseRootFromParent_Done,
     /* 1265210 */   // Label 18253: @1265210
     /* 1265210 */   GIM_Try, /*On fail goto*//*Label 18254*/ GIMT_Encode4(1265294), // Rule ID 8190 //
     /* 1265215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1265271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265293 */     // GIR_Coverage, 8190,
     /* 1265293 */     GIR_EraseRootFromParent_Done,
     /* 1265294 */   // Label 18254: @1265294
     /* 1265294 */   GIM_Try, /*On fail goto*//*Label 18255*/ GIMT_Encode4(1265378), // Rule ID 8191 //
     /* 1265299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1265355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265377 */     // GIR_Coverage, 8191,
     /* 1265377 */     GIR_EraseRootFromParent_Done,
     /* 1265378 */   // Label 18255: @1265378
     /* 1265378 */   GIM_Try, /*On fail goto*//*Label 18256*/ GIMT_Encode4(1265462), // Rule ID 8194 //
     /* 1265383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1265386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1265400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1265439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265461 */     // GIR_Coverage, 8194,
     /* 1265461 */     GIR_EraseRootFromParent_Done,
     /* 1265462 */   // Label 18256: @1265462
     /* 1265462 */   GIM_Try, /*On fail goto*//*Label 18257*/ GIMT_Encode4(1265546), // Rule ID 8195 //
     /* 1265467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1265470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1265484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265520 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1265523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265545 */     // GIR_Coverage, 8195,
     /* 1265545 */     GIR_EraseRootFromParent_Done,
     /* 1265546 */   // Label 18257: @1265546
     /* 1265546 */   GIM_Try, /*On fail goto*//*Label 18258*/ GIMT_Encode4(1265630), // Rule ID 8198 //
     /* 1265551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1265562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1265565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1265568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265604 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1265607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265629 */     // GIR_Coverage, 8198,
     /* 1265629 */     GIR_EraseRootFromParent_Done,
     /* 1265630 */   // Label 18258: @1265630
     /* 1265630 */   GIM_Try, /*On fail goto*//*Label 18259*/ GIMT_Encode4(1265714), // Rule ID 8199 //
     /* 1265635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1265646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1265649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1265652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1265691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265713 */     // GIR_Coverage, 8199,
     /* 1265713 */     GIR_EraseRootFromParent_Done,
     /* 1265714 */   // Label 18259: @1265714
     /* 1265714 */   GIM_Try, /*On fail goto*//*Label 18260*/ GIMT_Encode4(1265798), // Rule ID 8202 //
     /* 1265719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1265730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1265733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1265736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1265742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265772 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1265775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265797 */     // GIR_Coverage, 8202,
     /* 1265797 */     GIR_EraseRootFromParent_Done,
     /* 1265798 */   // Label 18260: @1265798
     /* 1265798 */   GIM_Try, /*On fail goto*//*Label 18261*/ GIMT_Encode4(1265882), // Rule ID 8203 //
     /* 1265803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1265814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1265817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1265820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1265826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265856 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1265859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265881 */     // GIR_Coverage, 8203,
     /* 1265881 */     GIR_EraseRootFromParent_Done,
     /* 1265882 */   // Label 18261: @1265882
     /* 1265882 */   GIM_Try, /*On fail goto*//*Label 18262*/ GIMT_Encode4(1265966), // Rule ID 8206 //
     /* 1265887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1265898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1265901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1265904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1265910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265940 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1265943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265965 */     // GIR_Coverage, 8206,
     /* 1265965 */     GIR_EraseRootFromParent_Done,
     /* 1265966 */   // Label 18262: @1265966
     /* 1265966 */   GIM_Try, /*On fail goto*//*Label 18263*/ GIMT_Encode4(1266050), // Rule ID 8207 //
     /* 1265971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1265982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1265985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1265988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1265994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266024 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1266027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266049 */     // GIR_Coverage, 8207,
     /* 1266049 */     GIR_EraseRootFromParent_Done,
     /* 1266050 */   // Label 18263: @1266050
     /* 1266050 */   GIM_Try, /*On fail goto*//*Label 18264*/ GIMT_Encode4(1266134), // Rule ID 8210 //
     /* 1266055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1266072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1266111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266133 */     // GIR_Coverage, 8210,
     /* 1266133 */     GIR_EraseRootFromParent_Done,
     /* 1266134 */   // Label 18264: @1266134
     /* 1266134 */   GIM_Try, /*On fail goto*//*Label 18265*/ GIMT_Encode4(1266218), // Rule ID 8211 //
     /* 1266139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1266156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266192 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1266195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266217 */     // GIR_Coverage, 8211,
     /* 1266217 */     GIR_EraseRootFromParent_Done,
     /* 1266218 */   // Label 18265: @1266218
     /* 1266218 */   GIM_Try, /*On fail goto*//*Label 18266*/ GIMT_Encode4(1266302), // Rule ID 8214 //
     /* 1266223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266276 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1266279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266301 */     // GIR_Coverage, 8214,
     /* 1266301 */     GIR_EraseRootFromParent_Done,
     /* 1266302 */   // Label 18266: @1266302
     /* 1266302 */   GIM_Try, /*On fail goto*//*Label 18267*/ GIMT_Encode4(1266386), // Rule ID 8215 //
     /* 1266307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266360 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1266363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266385 */     // GIR_Coverage, 8215,
     /* 1266385 */     GIR_EraseRootFromParent_Done,
     /* 1266386 */   // Label 18267: @1266386
     /* 1266386 */   GIM_Try, /*On fail goto*//*Label 18268*/ GIMT_Encode4(1266470), // Rule ID 8218 //
     /* 1266391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1266408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266444 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1266447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266469 */     // GIR_Coverage, 8218,
     /* 1266469 */     GIR_EraseRootFromParent_Done,
     /* 1266470 */   // Label 18268: @1266470
     /* 1266470 */   GIM_Try, /*On fail goto*//*Label 18269*/ GIMT_Encode4(1266554), // Rule ID 8219 //
     /* 1266475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1266492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266528 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1266531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266553 */     // GIR_Coverage, 8219,
     /* 1266553 */     GIR_EraseRootFromParent_Done,
     /* 1266554 */   // Label 18269: @1266554
     /* 1266554 */   GIM_Try, /*On fail goto*//*Label 18270*/ GIMT_Encode4(1266638), // Rule ID 8222 //
     /* 1266559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1266576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266612 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1266615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266637 */     // GIR_Coverage, 8222,
     /* 1266637 */     GIR_EraseRootFromParent_Done,
     /* 1266638 */   // Label 18270: @1266638
     /* 1266638 */   GIM_Try, /*On fail goto*//*Label 18271*/ GIMT_Encode4(1266722), // Rule ID 8223 //
     /* 1266643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1266660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266696 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1266699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266721 */     // GIR_Coverage, 8223,
     /* 1266721 */     GIR_EraseRootFromParent_Done,
     /* 1266722 */   // Label 18271: @1266722
     /* 1266722 */   GIM_Try, /*On fail goto*//*Label 18272*/ GIMT_Encode4(1266806), // Rule ID 8226 //
     /* 1266727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1266744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266780 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1266783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266805 */     // GIR_Coverage, 8226,
     /* 1266805 */     GIR_EraseRootFromParent_Done,
     /* 1266806 */   // Label 18272: @1266806
     /* 1266806 */   GIM_Try, /*On fail goto*//*Label 18273*/ GIMT_Encode4(1266890), // Rule ID 8227 //
     /* 1266811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1266828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1266867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266889 */     // GIR_Coverage, 8227,
     /* 1266889 */     GIR_EraseRootFromParent_Done,
     /* 1266890 */   // Label 18273: @1266890
     /* 1266890 */   GIM_Try, /*On fail goto*//*Label 18274*/ GIMT_Encode4(1266974), // Rule ID 8230 //
     /* 1266895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1266912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266948 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1266951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266973 */     // GIR_Coverage, 8230,
     /* 1266973 */     GIR_EraseRootFromParent_Done,
     /* 1266974 */   // Label 18274: @1266974
     /* 1266974 */   GIM_Try, /*On fail goto*//*Label 18275*/ GIMT_Encode4(1267058), // Rule ID 8231 //
     /* 1266979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1266996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267032 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1267035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267057 */     // GIR_Coverage, 8231,
     /* 1267057 */     GIR_EraseRootFromParent_Done,
     /* 1267058 */   // Label 18275: @1267058
     /* 1267058 */   GIM_Try, /*On fail goto*//*Label 18276*/ GIMT_Encode4(1267142), // Rule ID 8234 //
     /* 1267063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1267080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267116 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1267119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267141 */     // GIR_Coverage, 8234,
     /* 1267141 */     GIR_EraseRootFromParent_Done,
     /* 1267142 */   // Label 18276: @1267142
     /* 1267142 */   GIM_Try, /*On fail goto*//*Label 18277*/ GIMT_Encode4(1267226), // Rule ID 8235 //
     /* 1267147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1267164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1267203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267225 */     // GIR_Coverage, 8235,
     /* 1267225 */     GIR_EraseRootFromParent_Done,
     /* 1267226 */   // Label 18277: @1267226
     /* 1267226 */   GIM_Try, /*On fail goto*//*Label 18278*/ GIMT_Encode4(1267310), // Rule ID 8238 //
     /* 1267231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1267287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267309 */     // GIR_Coverage, 8238,
     /* 1267309 */     GIR_EraseRootFromParent_Done,
     /* 1267310 */   // Label 18278: @1267310
     /* 1267310 */   GIM_Try, /*On fail goto*//*Label 18279*/ GIMT_Encode4(1267394), // Rule ID 8239 //
     /* 1267315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1267371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267393 */     // GIR_Coverage, 8239,
     /* 1267393 */     GIR_EraseRootFromParent_Done,
     /* 1267394 */   // Label 18279: @1267394
     /* 1267394 */   GIM_Try, /*On fail goto*//*Label 18280*/ GIMT_Encode4(1267478), // Rule ID 8242 //
     /* 1267399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1267416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1267455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267477 */     // GIR_Coverage, 8242,
     /* 1267477 */     GIR_EraseRootFromParent_Done,
     /* 1267478 */   // Label 18280: @1267478
     /* 1267478 */   GIM_Try, /*On fail goto*//*Label 18281*/ GIMT_Encode4(1267562), // Rule ID 8243 //
     /* 1267483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1267500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267536 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1267539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267561 */     // GIR_Coverage, 8243,
     /* 1267561 */     GIR_EraseRootFromParent_Done,
     /* 1267562 */   // Label 18281: @1267562
     /* 1267562 */   GIM_Try, /*On fail goto*//*Label 18282*/ GIMT_Encode4(1267646), // Rule ID 8334 //
     /* 1267567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1267584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1267587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1267623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267645 */     // GIR_Coverage, 8334,
     /* 1267645 */     GIR_EraseRootFromParent_Done,
     /* 1267646 */   // Label 18282: @1267646
     /* 1267646 */   GIM_Try, /*On fail goto*//*Label 18283*/ GIMT_Encode4(1267730), // Rule ID 8335 //
     /* 1267651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1267668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1267671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267704 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1267707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267729 */     // GIR_Coverage, 8335,
     /* 1267729 */     GIR_EraseRootFromParent_Done,
     /* 1267730 */   // Label 18283: @1267730
     /* 1267730 */   GIM_Try, /*On fail goto*//*Label 18284*/ GIMT_Encode4(1267814), // Rule ID 8338 //
     /* 1267735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1267752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1267755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1267791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267813 */     // GIR_Coverage, 8338,
     /* 1267813 */     GIR_EraseRootFromParent_Done,
     /* 1267814 */   // Label 18284: @1267814
     /* 1267814 */   GIM_Try, /*On fail goto*//*Label 18285*/ GIMT_Encode4(1267898), // Rule ID 8339 //
     /* 1267819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1267836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1267839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267872 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1267875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267897 */     // GIR_Coverage, 8339,
     /* 1267897 */     GIR_EraseRootFromParent_Done,
     /* 1267898 */   // Label 18285: @1267898
     /* 1267898 */   GIM_Try, /*On fail goto*//*Label 18286*/ GIMT_Encode4(1267982), // Rule ID 8342 //
     /* 1267903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1267920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1267923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267956 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1267959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267981 */     // GIR_Coverage, 8342,
     /* 1267981 */     GIR_EraseRootFromParent_Done,
     /* 1267982 */   // Label 18286: @1267982
     /* 1267982 */   GIM_Try, /*On fail goto*//*Label 18287*/ GIMT_Encode4(1268066), // Rule ID 8343 //
     /* 1267987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1268004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1268007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268040 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1268043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268065 */     // GIR_Coverage, 8343,
     /* 1268065 */     GIR_EraseRootFromParent_Done,
     /* 1268066 */   // Label 18287: @1268066
     /* 1268066 */   GIM_Try, /*On fail goto*//*Label 18288*/ GIMT_Encode4(1268150), // Rule ID 8346 //
     /* 1268071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1268088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1268091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268124 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1268127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268149 */     // GIR_Coverage, 8346,
     /* 1268149 */     GIR_EraseRootFromParent_Done,
     /* 1268150 */   // Label 18288: @1268150
     /* 1268150 */   GIM_Try, /*On fail goto*//*Label 18289*/ GIMT_Encode4(1268234), // Rule ID 8347 //
     /* 1268155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1268172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1268175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268208 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1268211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268233 */     // GIR_Coverage, 8347,
     /* 1268233 */     GIR_EraseRootFromParent_Done,
     /* 1268234 */   // Label 18289: @1268234
     /* 1268234 */   GIM_Try, /*On fail goto*//*Label 18290*/ GIMT_Encode4(1268318), // Rule ID 8350 //
     /* 1268239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1268259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1268295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268317 */     // GIR_Coverage, 8350,
     /* 1268317 */     GIR_EraseRootFromParent_Done,
     /* 1268318 */   // Label 18290: @1268318
     /* 1268318 */   GIM_Try, /*On fail goto*//*Label 18291*/ GIMT_Encode4(1268402), // Rule ID 8351 //
     /* 1268323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1268343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1268379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268401 */     // GIR_Coverage, 8351,
     /* 1268401 */     GIR_EraseRootFromParent_Done,
     /* 1268402 */   // Label 18291: @1268402
     /* 1268402 */   GIM_Try, /*On fail goto*//*Label 18292*/ GIMT_Encode4(1268486), // Rule ID 8354 //
     /* 1268407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1268424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1268427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268460 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1268463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268485 */     // GIR_Coverage, 8354,
     /* 1268485 */     GIR_EraseRootFromParent_Done,
     /* 1268486 */   // Label 18292: @1268486
     /* 1268486 */   GIM_Try, /*On fail goto*//*Label 18293*/ GIMT_Encode4(1268570), // Rule ID 8355 //
     /* 1268491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1268508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1268511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268544 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1268547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268569 */     // GIR_Coverage, 8355,
     /* 1268569 */     GIR_EraseRootFromParent_Done,
     /* 1268570 */   // Label 18293: @1268570
     /* 1268570 */   GIM_Try, /*On fail goto*//*Label 18294*/ GIMT_Encode4(1268654), // Rule ID 8358 //
     /* 1268575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1268592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1268595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268628 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1268631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268653 */     // GIR_Coverage, 8358,
     /* 1268653 */     GIR_EraseRootFromParent_Done,
     /* 1268654 */   // Label 18294: @1268654
     /* 1268654 */   GIM_Try, /*On fail goto*//*Label 18295*/ GIMT_Encode4(1268738), // Rule ID 8359 //
     /* 1268659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1268676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1268679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268712 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1268715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268737 */     // GIR_Coverage, 8359,
     /* 1268737 */     GIR_EraseRootFromParent_Done,
     /* 1268738 */   // Label 18295: @1268738
     /* 1268738 */   GIM_Try, /*On fail goto*//*Label 18296*/ GIMT_Encode4(1268822), // Rule ID 8362 //
     /* 1268743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1268760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1268763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268796 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1268799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268821 */     // GIR_Coverage, 8362,
     /* 1268821 */     GIR_EraseRootFromParent_Done,
     /* 1268822 */   // Label 18296: @1268822
     /* 1268822 */   GIM_Try, /*On fail goto*//*Label 18297*/ GIMT_Encode4(1268906), // Rule ID 8363 //
     /* 1268827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1268844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1268847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1268883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268905 */     // GIR_Coverage, 8363,
     /* 1268905 */     GIR_EraseRootFromParent_Done,
     /* 1268906 */   // Label 18297: @1268906
     /* 1268906 */   GIM_Try, /*On fail goto*//*Label 18298*/ GIMT_Encode4(1268990), // Rule ID 8366 //
     /* 1268911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1268928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1268931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268964 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1268967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268989 */     // GIR_Coverage, 8366,
     /* 1268989 */     GIR_EraseRootFromParent_Done,
     /* 1268990 */   // Label 18298: @1268990
     /* 1268990 */   GIM_Try, /*On fail goto*//*Label 18299*/ GIMT_Encode4(1269074), // Rule ID 8367 //
     /* 1268995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1269012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1269015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1269051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269073 */     // GIR_Coverage, 8367,
     /* 1269073 */     GIR_EraseRootFromParent_Done,
     /* 1269074 */   // Label 18299: @1269074
     /* 1269074 */   GIM_Try, /*On fail goto*//*Label 18300*/ GIMT_Encode4(1269158), // Rule ID 8370 //
     /* 1269079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1269082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1269096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1269099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269132 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1269135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269157 */     // GIR_Coverage, 8370,
     /* 1269157 */     GIR_EraseRootFromParent_Done,
     /* 1269158 */   // Label 18300: @1269158
     /* 1269158 */   GIM_Try, /*On fail goto*//*Label 18301*/ GIMT_Encode4(1269242), // Rule ID 8371 //
     /* 1269163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1269166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1269180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1269183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269216 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1269219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269241 */     // GIR_Coverage, 8371,
     /* 1269241 */     GIR_EraseRootFromParent_Done,
     /* 1269242 */   // Label 18301: @1269242
     /* 1269242 */   GIM_Try, /*On fail goto*//*Label 18302*/ GIMT_Encode4(1269326), // Rule ID 8374 //
     /* 1269247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1269267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269300 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1269303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269325 */     // GIR_Coverage, 8374,
     /* 1269325 */     GIR_EraseRootFromParent_Done,
     /* 1269326 */   // Label 18302: @1269326
     /* 1269326 */   GIM_Try, /*On fail goto*//*Label 18303*/ GIMT_Encode4(1269410), // Rule ID 8375 //
     /* 1269331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1269351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1269387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269409 */     // GIR_Coverage, 8375,
     /* 1269409 */     GIR_EraseRootFromParent_Done,
     /* 1269410 */   // Label 18303: @1269410
     /* 1269410 */   GIM_Try, /*On fail goto*//*Label 18304*/ GIMT_Encode4(1269494), // Rule ID 8378 //
     /* 1269415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1269426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1269429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1269432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1269435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269468 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1269471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269493 */     // GIR_Coverage, 8378,
     /* 1269493 */     GIR_EraseRootFromParent_Done,
     /* 1269494 */   // Label 18304: @1269494
     /* 1269494 */   GIM_Try, /*On fail goto*//*Label 18305*/ GIMT_Encode4(1269578), // Rule ID 8379 //
     /* 1269499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1269510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1269513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1269516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1269519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269552 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1269555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269577 */     // GIR_Coverage, 8379,
     /* 1269577 */     GIR_EraseRootFromParent_Done,
     /* 1269578 */   // Label 18305: @1269578
     /* 1269578 */   GIM_Try, /*On fail goto*//*Label 18306*/ GIMT_Encode4(1269662), // Rule ID 8382 //
     /* 1269583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1269594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1269597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1269600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1269603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1269606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269636 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1269639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269661 */     // GIR_Coverage, 8382,
     /* 1269661 */     GIR_EraseRootFromParent_Done,
     /* 1269662 */   // Label 18306: @1269662
     /* 1269662 */   GIM_Try, /*On fail goto*//*Label 18307*/ GIMT_Encode4(1269746), // Rule ID 8383 //
     /* 1269667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1269678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1269681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1269684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1269687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1269690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269720 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1269723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269745 */     // GIR_Coverage, 8383,
     /* 1269745 */     GIR_EraseRootFromParent_Done,
     /* 1269746 */   // Label 18307: @1269746
     /* 1269746 */   GIM_Try, /*On fail goto*//*Label 18308*/ GIMT_Encode4(1269830), // Rule ID 8386 //
     /* 1269751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1269768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1269771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269804 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1269807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269829 */     // GIR_Coverage, 8386,
     /* 1269829 */     GIR_EraseRootFromParent_Done,
     /* 1269830 */   // Label 18308: @1269830
     /* 1269830 */   GIM_Try, /*On fail goto*//*Label 18309*/ GIMT_Encode4(1269914), // Rule ID 8387 //
     /* 1269835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1269852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1269855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1269891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269913 */     // GIR_Coverage, 8387,
     /* 1269913 */     GIR_EraseRootFromParent_Done,
     /* 1269914 */   // Label 18309: @1269914
     /* 1269914 */   GIM_Try, /*On fail goto*//*Label 18310*/ GIMT_Encode4(1269998), // Rule ID 8390 //
     /* 1269919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1269936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1269939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269972 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1269975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269997 */     // GIR_Coverage, 8390,
     /* 1269997 */     GIR_EraseRootFromParent_Done,
     /* 1269998 */   // Label 18310: @1269998
     /* 1269998 */   GIM_Try, /*On fail goto*//*Label 18311*/ GIMT_Encode4(1270082), // Rule ID 8391 //
     /* 1270003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1270020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1270023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270056 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1270059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270081 */     // GIR_Coverage, 8391,
     /* 1270081 */     GIR_EraseRootFromParent_Done,
     /* 1270082 */   // Label 18311: @1270082
     /* 1270082 */   GIM_Try, /*On fail goto*//*Label 18312*/ GIMT_Encode4(1270166), // Rule ID 8394 //
     /* 1270087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1270104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1270107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270140 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1270143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270165 */     // GIR_Coverage, 8394,
     /* 1270165 */     GIR_EraseRootFromParent_Done,
     /* 1270166 */   // Label 18312: @1270166
     /* 1270166 */   GIM_Try, /*On fail goto*//*Label 18313*/ GIMT_Encode4(1270250), // Rule ID 8395 //
     /* 1270171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1270188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1270191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270224 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1270227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270249 */     // GIR_Coverage, 8395,
     /* 1270249 */     GIR_EraseRootFromParent_Done,
     /* 1270250 */   // Label 18313: @1270250
     /* 1270250 */   GIM_Try, /*On fail goto*//*Label 18314*/ GIMT_Encode4(1270334), // Rule ID 8398 //
     /* 1270255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1270272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1270275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1270311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270333 */     // GIR_Coverage, 8398,
     /* 1270333 */     GIR_EraseRootFromParent_Done,
     /* 1270334 */   // Label 18314: @1270334
     /* 1270334 */   GIM_Try, /*On fail goto*//*Label 18315*/ GIMT_Encode4(1270418), // Rule ID 8399 //
     /* 1270339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1270356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1270359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1270395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270417 */     // GIR_Coverage, 8399,
     /* 1270417 */     GIR_EraseRootFromParent_Done,
     /* 1270418 */   // Label 18315: @1270418
     /* 1270418 */   GIM_Try, /*On fail goto*//*Label 18316*/ GIMT_Encode4(1270502), // Rule ID 8402 //
     /* 1270423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1270440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1270443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270476 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1270479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270501 */     // GIR_Coverage, 8402,
     /* 1270501 */     GIR_EraseRootFromParent_Done,
     /* 1270502 */   // Label 18316: @1270502
     /* 1270502 */   GIM_Try, /*On fail goto*//*Label 18317*/ GIMT_Encode4(1270586), // Rule ID 8403 //
     /* 1270507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1270524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1270527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1270563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270585 */     // GIR_Coverage, 8403,
     /* 1270585 */     GIR_EraseRootFromParent_Done,
     /* 1270586 */   // Label 18317: @1270586
     /* 1270586 */   GIM_Try, /*On fail goto*//*Label 18318*/ GIMT_Encode4(1270670), // Rule ID 8406 //
     /* 1270591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1270608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1270611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270644 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1270647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270669 */     // GIR_Coverage, 8406,
     /* 1270669 */     GIR_EraseRootFromParent_Done,
     /* 1270670 */   // Label 18318: @1270670
     /* 1270670 */   GIM_Try, /*On fail goto*//*Label 18319*/ GIMT_Encode4(1270754), // Rule ID 8407 //
     /* 1270675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1270692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1270695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270728 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1270731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270753 */     // GIR_Coverage, 8407,
     /* 1270753 */     GIR_EraseRootFromParent_Done,
     /* 1270754 */   // Label 18319: @1270754
     /* 1270754 */   GIM_Try, /*On fail goto*//*Label 18320*/ GIMT_Encode4(1270838), // Rule ID 8410 //
     /* 1270759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1270762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1270776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1270779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1270815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270837 */     // GIR_Coverage, 8410,
     /* 1270837 */     GIR_EraseRootFromParent_Done,
     /* 1270838 */   // Label 18320: @1270838
     /* 1270838 */   GIM_Try, /*On fail goto*//*Label 18321*/ GIMT_Encode4(1270922), // Rule ID 8411 //
     /* 1270843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1270846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1270860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1270863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1270899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270921 */     // GIR_Coverage, 8411,
     /* 1270921 */     GIR_EraseRootFromParent_Done,
     /* 1270922 */   // Label 18321: @1270922
     /* 1270922 */   GIM_Try, /*On fail goto*//*Label 18322*/ GIMT_Encode4(1271006), // Rule ID 8414 //
     /* 1270927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1270930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1270944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1270947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270980 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1270983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271005 */     // GIR_Coverage, 8414,
     /* 1271005 */     GIR_EraseRootFromParent_Done,
     /* 1271006 */   // Label 18322: @1271006
     /* 1271006 */   GIM_Try, /*On fail goto*//*Label 18323*/ GIMT_Encode4(1271090), // Rule ID 8415 //
     /* 1271011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1271028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1271031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271064 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1271067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271089 */     // GIR_Coverage, 8415,
     /* 1271089 */     GIR_EraseRootFromParent_Done,
     /* 1271090 */   // Label 18323: @1271090
     /* 1271090 */   GIM_Try, /*On fail goto*//*Label 18324*/ GIMT_Encode4(1271174), // Rule ID 8418 //
     /* 1271095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1271112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1271115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271148 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1271151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271173 */     // GIR_Coverage, 8418,
     /* 1271173 */     GIR_EraseRootFromParent_Done,
     /* 1271174 */   // Label 18324: @1271174
     /* 1271174 */   GIM_Try, /*On fail goto*//*Label 18325*/ GIMT_Encode4(1271258), // Rule ID 8419 //
     /* 1271179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1271196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1271199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1271235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271257 */     // GIR_Coverage, 8419,
     /* 1271257 */     GIR_EraseRootFromParent_Done,
     /* 1271258 */   // Label 18325: @1271258
     /* 1271258 */   GIM_Try, /*On fail goto*//*Label 18326*/ GIMT_Encode4(1271342), // Rule ID 8422 //
     /* 1271263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1271280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1271319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271341 */     // GIR_Coverage, 8422,
     /* 1271341 */     GIR_EraseRootFromParent_Done,
     /* 1271342 */   // Label 18326: @1271342
     /* 1271342 */   GIM_Try, /*On fail goto*//*Label 18327*/ GIMT_Encode4(1271426), // Rule ID 8423 //
     /* 1271347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1271364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271400 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1271403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271425 */     // GIR_Coverage, 8423,
     /* 1271425 */     GIR_EraseRootFromParent_Done,
     /* 1271426 */   // Label 18327: @1271426
     /* 1271426 */   GIM_Try, /*On fail goto*//*Label 18328*/ GIMT_Encode4(1271510), // Rule ID 8426 //
     /* 1271431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1271448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271484 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1271487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271509 */     // GIR_Coverage, 8426,
     /* 1271509 */     GIR_EraseRootFromParent_Done,
     /* 1271510 */   // Label 18328: @1271510
     /* 1271510 */   GIM_Try, /*On fail goto*//*Label 18329*/ GIMT_Encode4(1271594), // Rule ID 8427 //
     /* 1271515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1271532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271568 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1271571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271593 */     // GIR_Coverage, 8427,
     /* 1271593 */     GIR_EraseRootFromParent_Done,
     /* 1271594 */   // Label 18329: @1271594
     /* 1271594 */   GIM_Try, /*On fail goto*//*Label 18330*/ GIMT_Encode4(1271678), // Rule ID 8430 //
     /* 1271599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1271616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1271655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271677 */     // GIR_Coverage, 8430,
     /* 1271677 */     GIR_EraseRootFromParent_Done,
     /* 1271678 */   // Label 18330: @1271678
     /* 1271678 */   GIM_Try, /*On fail goto*//*Label 18331*/ GIMT_Encode4(1271762), // Rule ID 8431 //
     /* 1271683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1271700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1271739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271761 */     // GIR_Coverage, 8431,
     /* 1271761 */     GIR_EraseRootFromParent_Done,
     /* 1271762 */   // Label 18331: @1271762
     /* 1271762 */   GIM_Try, /*On fail goto*//*Label 18332*/ GIMT_Encode4(1271846), // Rule ID 8434 //
     /* 1271767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1271784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1271823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271845 */     // GIR_Coverage, 8434,
     /* 1271845 */     GIR_EraseRootFromParent_Done,
     /* 1271846 */   // Label 18332: @1271846
     /* 1271846 */   GIM_Try, /*On fail goto*//*Label 18333*/ GIMT_Encode4(1271930), // Rule ID 8435 //
     /* 1271851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1271868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271904 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1271907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271929 */     // GIR_Coverage, 8435,
     /* 1271929 */     GIR_EraseRootFromParent_Done,
     /* 1271930 */   // Label 18333: @1271930
     /* 1271930 */   GIM_Try, /*On fail goto*//*Label 18334*/ GIMT_Encode4(1272014), // Rule ID 8438 //
     /* 1271935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1271952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271988 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1271991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272013 */     // GIR_Coverage, 8438,
     /* 1272013 */     GIR_EraseRootFromParent_Done,
     /* 1272014 */   // Label 18334: @1272014
     /* 1272014 */   GIM_Try, /*On fail goto*//*Label 18335*/ GIMT_Encode4(1272098), // Rule ID 8439 //
     /* 1272019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1272036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1272075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272097 */     // GIR_Coverage, 8439,
     /* 1272097 */     GIR_EraseRootFromParent_Done,
     /* 1272098 */   // Label 18335: @1272098
     /* 1272098 */   GIM_Try, /*On fail goto*//*Label 18336*/ GIMT_Encode4(1272182), // Rule ID 8442 //
     /* 1272103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1272120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272156 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1272159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272181 */     // GIR_Coverage, 8442,
     /* 1272181 */     GIR_EraseRootFromParent_Done,
     /* 1272182 */   // Label 18336: @1272182
     /* 1272182 */   GIM_Try, /*On fail goto*//*Label 18337*/ GIMT_Encode4(1272266), // Rule ID 8443 //
     /* 1272187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1272204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272240 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1272243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272265 */     // GIR_Coverage, 8443,
     /* 1272265 */     GIR_EraseRootFromParent_Done,
     /* 1272266 */   // Label 18337: @1272266
     /* 1272266 */   GIM_Try, /*On fail goto*//*Label 18338*/ GIMT_Encode4(1272350), // Rule ID 8446 //
     /* 1272271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1272288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272324 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272349 */     // GIR_Coverage, 8446,
     /* 1272349 */     GIR_EraseRootFromParent_Done,
     /* 1272350 */   // Label 18338: @1272350
     /* 1272350 */   GIM_Try, /*On fail goto*//*Label 18339*/ GIMT_Encode4(1272434), // Rule ID 8447 //
     /* 1272355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1272372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272408 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272433 */     // GIR_Coverage, 8447,
     /* 1272433 */     GIR_EraseRootFromParent_Done,
     /* 1272434 */   // Label 18339: @1272434
     /* 1272434 */   GIM_Try, /*On fail goto*//*Label 18340*/ GIMT_Encode4(1272518), // Rule ID 8450 //
     /* 1272439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1272456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272492 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272517 */     // GIR_Coverage, 8450,
     /* 1272517 */     GIR_EraseRootFromParent_Done,
     /* 1272518 */   // Label 18340: @1272518
     /* 1272518 */   GIM_Try, /*On fail goto*//*Label 18341*/ GIMT_Encode4(1272602), // Rule ID 8451 //
     /* 1272523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1272540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272576 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272601 */     // GIR_Coverage, 8451,
     /* 1272601 */     GIR_EraseRootFromParent_Done,
     /* 1272602 */   // Label 18341: @1272602
     /* 1272602 */   GIM_Try, /*On fail goto*//*Label 18342*/ GIMT_Encode4(1272686), // Rule ID 8454 //
     /* 1272607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1272624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272660 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272685 */     // GIR_Coverage, 8454,
     /* 1272685 */     GIR_EraseRootFromParent_Done,
     /* 1272686 */   // Label 18342: @1272686
     /* 1272686 */   GIM_Try, /*On fail goto*//*Label 18343*/ GIMT_Encode4(1272770), // Rule ID 8455 //
     /* 1272691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1272708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272744 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272769 */     // GIR_Coverage, 8455,
     /* 1272769 */     GIR_EraseRootFromParent_Done,
     /* 1272770 */   // Label 18343: @1272770
     /* 1272770 */   GIM_Try, /*On fail goto*//*Label 18344*/ GIMT_Encode4(1272854), // Rule ID 8458 //
     /* 1272775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1272778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1272792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272828 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272853 */     // GIR_Coverage, 8458,
     /* 1272853 */     GIR_EraseRootFromParent_Done,
     /* 1272854 */   // Label 18344: @1272854
     /* 1272854 */   GIM_Try, /*On fail goto*//*Label 18345*/ GIMT_Encode4(1272938), // Rule ID 8459 //
     /* 1272859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1272862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1272876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272912 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1272915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272937 */     // GIR_Coverage, 8459,
     /* 1272937 */     GIR_EraseRootFromParent_Done,
     /* 1272938 */   // Label 18345: @1272938
     /* 1272938 */   GIM_Try, /*On fail goto*//*Label 18346*/ GIMT_Encode4(1273022), // Rule ID 8462 //
     /* 1272943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1272954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1272957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1272960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1272966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272996 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1272999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273021 */     // GIR_Coverage, 8462,
     /* 1273021 */     GIR_EraseRootFromParent_Done,
     /* 1273022 */   // Label 18346: @1273022
     /* 1273022 */   GIM_Try, /*On fail goto*//*Label 18347*/ GIMT_Encode4(1273106), // Rule ID 8463 //
     /* 1273027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1273044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273080 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1273083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273105 */     // GIR_Coverage, 8463,
     /* 1273105 */     GIR_EraseRootFromParent_Done,
     /* 1273106 */   // Label 18347: @1273106
     /* 1273106 */   GIM_Try, /*On fail goto*//*Label 18348*/ GIMT_Encode4(1273190), // Rule ID 8466 //
     /* 1273111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1273128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273164 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1273167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273189 */     // GIR_Coverage, 8466,
     /* 1273189 */     GIR_EraseRootFromParent_Done,
     /* 1273190 */   // Label 18348: @1273190
     /* 1273190 */   GIM_Try, /*On fail goto*//*Label 18349*/ GIMT_Encode4(1273274), // Rule ID 8467 //
     /* 1273195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1273212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273248 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1273251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273273 */     // GIR_Coverage, 8467,
     /* 1273273 */     GIR_EraseRootFromParent_Done,
     /* 1273274 */   // Label 18349: @1273274
     /* 1273274 */   GIM_Try, /*On fail goto*//*Label 18350*/ GIMT_Encode4(1273358), // Rule ID 8470 //
     /* 1273279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1273290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1273293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1273296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1273302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273332 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1273335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273357 */     // GIR_Coverage, 8470,
     /* 1273357 */     GIR_EraseRootFromParent_Done,
     /* 1273358 */   // Label 18350: @1273358
     /* 1273358 */   GIM_Try, /*On fail goto*//*Label 18351*/ GIMT_Encode4(1273442), // Rule ID 8471 //
     /* 1273363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1273374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1273377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1273380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1273386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273416 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1273419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273441 */     // GIR_Coverage, 8471,
     /* 1273441 */     GIR_EraseRootFromParent_Done,
     /* 1273442 */   // Label 18351: @1273442
     /* 1273442 */   GIM_Try, /*On fail goto*//*Label 18352*/ GIMT_Encode4(1273526), // Rule ID 8474 //
     /* 1273447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1273464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273500 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1273503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273525 */     // GIR_Coverage, 8474,
     /* 1273525 */     GIR_EraseRootFromParent_Done,
     /* 1273526 */   // Label 18352: @1273526
     /* 1273526 */   GIM_Try, /*On fail goto*//*Label 18353*/ GIMT_Encode4(1273610), // Rule ID 8475 //
     /* 1273531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1273548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273584 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1273587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273609 */     // GIR_Coverage, 8475,
     /* 1273609 */     GIR_EraseRootFromParent_Done,
     /* 1273610 */   // Label 18353: @1273610
     /* 1273610 */   GIM_Try, /*On fail goto*//*Label 18354*/ GIMT_Encode4(1273694), // Rule ID 8478 //
     /* 1273615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1273632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273668 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1273671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273693 */     // GIR_Coverage, 8478,
     /* 1273693 */     GIR_EraseRootFromParent_Done,
     /* 1273694 */   // Label 18354: @1273694
     /* 1273694 */   GIM_Try, /*On fail goto*//*Label 18355*/ GIMT_Encode4(1273778), // Rule ID 8479 //
     /* 1273699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1273716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273752 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1273755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273777 */     // GIR_Coverage, 8479,
     /* 1273777 */     GIR_EraseRootFromParent_Done,
     /* 1273778 */   // Label 18355: @1273778
     /* 1273778 */   GIM_Try, /*On fail goto*//*Label 18356*/ GIMT_Encode4(1273862), // Rule ID 8482 //
     /* 1273783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1273800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273836 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1273839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273861 */     // GIR_Coverage, 8482,
     /* 1273861 */     GIR_EraseRootFromParent_Done,
     /* 1273862 */   // Label 18356: @1273862
     /* 1273862 */   GIM_Try, /*On fail goto*//*Label 18357*/ GIMT_Encode4(1273946), // Rule ID 8483 //
     /* 1273867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1273884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273920 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1273923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273945 */     // GIR_Coverage, 8483,
     /* 1273945 */     GIR_EraseRootFromParent_Done,
     /* 1273946 */   // Label 18357: @1273946
     /* 1273946 */   GIM_Try, /*On fail goto*//*Label 18358*/ GIMT_Encode4(1274030), // Rule ID 8486 //
     /* 1273951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1273968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274004 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1274007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274029 */     // GIR_Coverage, 8486,
     /* 1274029 */     GIR_EraseRootFromParent_Done,
     /* 1274030 */   // Label 18358: @1274030
     /* 1274030 */   GIM_Try, /*On fail goto*//*Label 18359*/ GIMT_Encode4(1274114), // Rule ID 8487 //
     /* 1274035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1274052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1274091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274113 */     // GIR_Coverage, 8487,
     /* 1274113 */     GIR_EraseRootFromParent_Done,
     /* 1274114 */   // Label 18359: @1274114
     /* 1274114 */   GIM_Try, /*On fail goto*//*Label 18360*/ GIMT_Encode4(1274198), // Rule ID 8490 //
     /* 1274119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274172 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1274175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274197 */     // GIR_Coverage, 8490,
     /* 1274197 */     GIR_EraseRootFromParent_Done,
     /* 1274198 */   // Label 18360: @1274198
     /* 1274198 */   GIM_Try, /*On fail goto*//*Label 18361*/ GIMT_Encode4(1274282), // Rule ID 8491 //
     /* 1274203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274256 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1274259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274281 */     // GIR_Coverage, 8491,
     /* 1274281 */     GIR_EraseRootFromParent_Done,
     /* 1274282 */   // Label 18361: @1274282
     /* 1274282 */   GIM_Try, /*On fail goto*//*Label 18362*/ GIMT_Encode4(1274366), // Rule ID 8494 //
     /* 1274287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1274304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274340 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1274343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274365 */     // GIR_Coverage, 8494,
     /* 1274365 */     GIR_EraseRootFromParent_Done,
     /* 1274366 */   // Label 18362: @1274366
     /* 1274366 */   GIM_Try, /*On fail goto*//*Label 18363*/ GIMT_Encode4(1274450), // Rule ID 8495 //
     /* 1274371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1274388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274424 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1274427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274449 */     // GIR_Coverage, 8495,
     /* 1274449 */     GIR_EraseRootFromParent_Done,
     /* 1274450 */   // Label 18363: @1274450
     /* 1274450 */   GIM_Try, /*On fail goto*//*Label 18364*/ GIMT_Encode4(1274534), // Rule ID 8498 //
     /* 1274455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1274472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1274511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274533 */     // GIR_Coverage, 8498,
     /* 1274533 */     GIR_EraseRootFromParent_Done,
     /* 1274534 */   // Label 18364: @1274534
     /* 1274534 */   GIM_Try, /*On fail goto*//*Label 18365*/ GIMT_Encode4(1274618), // Rule ID 8499 //
     /* 1274539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1274556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1274595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274617 */     // GIR_Coverage, 8499,
     /* 1274617 */     GIR_EraseRootFromParent_Done,
     /* 1274618 */   // Label 18365: @1274618
     /* 1274618 */   GIM_Try, /*On fail goto*//*Label 18366*/ GIMT_Encode4(1274702), // Rule ID 8502 //
     /* 1274623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1274640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274676 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1274679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274701 */     // GIR_Coverage, 8502,
     /* 1274701 */     GIR_EraseRootFromParent_Done,
     /* 1274702 */   // Label 18366: @1274702
     /* 1274702 */   GIM_Try, /*On fail goto*//*Label 18367*/ GIMT_Encode4(1274786), // Rule ID 8503 //
     /* 1274707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1274724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1274763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274785 */     // GIR_Coverage, 8503,
     /* 1274785 */     GIR_EraseRootFromParent_Done,
     /* 1274786 */   // Label 18367: @1274786
     /* 1274786 */   GIM_Try, /*On fail goto*//*Label 18368*/ GIMT_Encode4(1274870), // Rule ID 8506 //
     /* 1274791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1274808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274844 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1274847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274869 */     // GIR_Coverage, 8506,
     /* 1274869 */     GIR_EraseRootFromParent_Done,
     /* 1274870 */   // Label 18368: @1274870
     /* 1274870 */   GIM_Try, /*On fail goto*//*Label 18369*/ GIMT_Encode4(1274954), // Rule ID 8507 //
     /* 1274875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1274892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1274931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274953 */     // GIR_Coverage, 8507,
     /* 1274953 */     GIR_EraseRootFromParent_Done,
     /* 1274954 */   // Label 18369: @1274954
     /* 1274954 */   GIM_Try, /*On fail goto*//*Label 18370*/ GIMT_Encode4(1275038), // Rule ID 8510 //
     /* 1274959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1274970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1274973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1274976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1274979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275012 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1275015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275037 */     // GIR_Coverage, 8510,
     /* 1275037 */     GIR_EraseRootFromParent_Done,
     /* 1275038 */   // Label 18370: @1275038
     /* 1275038 */   GIM_Try, /*On fail goto*//*Label 18371*/ GIMT_Encode4(1275122), // Rule ID 8511 //
     /* 1275043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1275060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1275063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1275099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275121 */     // GIR_Coverage, 8511,
     /* 1275121 */     GIR_EraseRootFromParent_Done,
     /* 1275122 */   // Label 18371: @1275122
     /* 1275122 */   GIM_Try, /*On fail goto*//*Label 18372*/ GIMT_Encode4(1275206), // Rule ID 8514 //
     /* 1275127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1275144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1275147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1275183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275205 */     // GIR_Coverage, 8514,
     /* 1275205 */     GIR_EraseRootFromParent_Done,
     /* 1275206 */   // Label 18372: @1275206
     /* 1275206 */   GIM_Try, /*On fail goto*//*Label 18373*/ GIMT_Encode4(1275290), // Rule ID 8515 //
     /* 1275211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1275228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1275231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275264 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1275267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275289 */     // GIR_Coverage, 8515,
     /* 1275289 */     GIR_EraseRootFromParent_Done,
     /* 1275290 */   // Label 18373: @1275290
     /* 1275290 */   GIM_Try, /*On fail goto*//*Label 18374*/ GIMT_Encode4(1275374), // Rule ID 8518 //
     /* 1275295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1275312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1275315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1275351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275373 */     // GIR_Coverage, 8518,
     /* 1275373 */     GIR_EraseRootFromParent_Done,
     /* 1275374 */   // Label 18374: @1275374
     /* 1275374 */   GIM_Try, /*On fail goto*//*Label 18375*/ GIMT_Encode4(1275458), // Rule ID 8519 //
     /* 1275379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1275396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1275399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275432 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1275435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275457 */     // GIR_Coverage, 8519,
     /* 1275457 */     GIR_EraseRootFromParent_Done,
     /* 1275458 */   // Label 18375: @1275458
     /* 1275458 */   GIM_Try, /*On fail goto*//*Label 18376*/ GIMT_Encode4(1275542), // Rule ID 8522 //
     /* 1275463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1275480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1275483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275516 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1275519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275541 */     // GIR_Coverage, 8522,
     /* 1275541 */     GIR_EraseRootFromParent_Done,
     /* 1275542 */   // Label 18376: @1275542
     /* 1275542 */   GIM_Try, /*On fail goto*//*Label 18377*/ GIMT_Encode4(1275626), // Rule ID 8523 //
     /* 1275547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1275564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1275567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275600 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1275603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275625 */     // GIR_Coverage, 8523,
     /* 1275625 */     GIR_EraseRootFromParent_Done,
     /* 1275626 */   // Label 18377: @1275626
     /* 1275626 */   GIM_Try, /*On fail goto*//*Label 18378*/ GIMT_Encode4(1275710), // Rule ID 8526 //
     /* 1275631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1275648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1275651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1275687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275709 */     // GIR_Coverage, 8526,
     /* 1275709 */     GIR_EraseRootFromParent_Done,
     /* 1275710 */   // Label 18378: @1275710
     /* 1275710 */   GIM_Try, /*On fail goto*//*Label 18379*/ GIMT_Encode4(1275794), // Rule ID 8527 //
     /* 1275715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1275732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1275735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1275771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275793 */     // GIR_Coverage, 8527,
     /* 1275793 */     GIR_EraseRootFromParent_Done,
     /* 1275794 */   // Label 18379: @1275794
     /* 1275794 */   GIM_Try, /*On fail goto*//*Label 18380*/ GIMT_Encode4(1275878), // Rule ID 8530 //
     /* 1275799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1275816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1275819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275852 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1275855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275877 */     // GIR_Coverage, 8530,
     /* 1275877 */     GIR_EraseRootFromParent_Done,
     /* 1275878 */   // Label 18380: @1275878
     /* 1275878 */   GIM_Try, /*On fail goto*//*Label 18381*/ GIMT_Encode4(1275962), // Rule ID 8531 //
     /* 1275883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1275900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1275903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1275939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275961 */     // GIR_Coverage, 8531,
     /* 1275961 */     GIR_EraseRootFromParent_Done,
     /* 1275962 */   // Label 18381: @1275962
     /* 1275962 */   GIM_Try, /*On fail goto*//*Label 18382*/ GIMT_Encode4(1276046), // Rule ID 8534 //
     /* 1275967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1275984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1275987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1276023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276045 */     // GIR_Coverage, 8534,
     /* 1276045 */     GIR_EraseRootFromParent_Done,
     /* 1276046 */   // Label 18382: @1276046
     /* 1276046 */   GIM_Try, /*On fail goto*//*Label 18383*/ GIMT_Encode4(1276130), // Rule ID 8535 //
     /* 1276051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1276068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1276107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276129 */     // GIR_Coverage, 8535,
     /* 1276129 */     GIR_EraseRootFromParent_Done,
     /* 1276130 */   // Label 18383: @1276130
     /* 1276130 */   GIM_Try, /*On fail goto*//*Label 18384*/ GIMT_Encode4(1276214), // Rule ID 8538 //
     /* 1276135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1276155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276188 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1276191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276213 */     // GIR_Coverage, 8538,
     /* 1276213 */     GIR_EraseRootFromParent_Done,
     /* 1276214 */   // Label 18384: @1276214
     /* 1276214 */   GIM_Try, /*On fail goto*//*Label 18385*/ GIMT_Encode4(1276298), // Rule ID 8539 //
     /* 1276219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1276239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276272 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1276275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276297 */     // GIR_Coverage, 8539,
     /* 1276297 */     GIR_EraseRootFromParent_Done,
     /* 1276298 */   // Label 18385: @1276298
     /* 1276298 */   GIM_Try, /*On fail goto*//*Label 18386*/ GIMT_Encode4(1276382), // Rule ID 8542 //
     /* 1276303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1276323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1276359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276381 */     // GIR_Coverage, 8542,
     /* 1276381 */     GIR_EraseRootFromParent_Done,
     /* 1276382 */   // Label 18386: @1276382
     /* 1276382 */   GIM_Try, /*On fail goto*//*Label 18387*/ GIMT_Encode4(1276466), // Rule ID 8543 //
     /* 1276387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1276407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276440 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1276443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276465 */     // GIR_Coverage, 8543,
     /* 1276465 */     GIR_EraseRootFromParent_Done,
     /* 1276466 */   // Label 18387: @1276466
     /* 1276466 */   GIM_Try, /*On fail goto*//*Label 18388*/ GIMT_Encode4(1276550), // Rule ID 8546 //
     /* 1276471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1276474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1276488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1276491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276524 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1276527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276549 */     // GIR_Coverage, 8546,
     /* 1276549 */     GIR_EraseRootFromParent_Done,
     /* 1276550 */   // Label 18388: @1276550
     /* 1276550 */   GIM_Try, /*On fail goto*//*Label 18389*/ GIMT_Encode4(1276634), // Rule ID 8547 //
     /* 1276555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1276558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1276572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1276575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276608 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1276611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276633 */     // GIR_Coverage, 8547,
     /* 1276633 */     GIR_EraseRootFromParent_Done,
     /* 1276634 */   // Label 18389: @1276634
     /* 1276634 */   GIM_Try, /*On fail goto*//*Label 18390*/ GIMT_Encode4(1276718), // Rule ID 8550 //
     /* 1276639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1276650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1276656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1276659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276692 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1276695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276717 */     // GIR_Coverage, 8550,
     /* 1276717 */     GIR_EraseRootFromParent_Done,
     /* 1276718 */   // Label 18390: @1276718
     /* 1276718 */   GIM_Try, /*On fail goto*//*Label 18391*/ GIMT_Encode4(1276802), // Rule ID 8551 //
     /* 1276723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1276734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1276740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1276743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276776 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1276779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276801 */     // GIR_Coverage, 8551,
     /* 1276801 */     GIR_EraseRootFromParent_Done,
     /* 1276802 */   // Label 18391: @1276802
     /* 1276802 */   GIM_Try, /*On fail goto*//*Label 18392*/ GIMT_Encode4(1276886), // Rule ID 8554 //
     /* 1276807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1276818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1276821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1276824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1276827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1276830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276860 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1276863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276885 */     // GIR_Coverage, 8554,
     /* 1276885 */     GIR_EraseRootFromParent_Done,
     /* 1276886 */   // Label 18392: @1276886
     /* 1276886 */   GIM_Try, /*On fail goto*//*Label 18393*/ GIMT_Encode4(1276970), // Rule ID 8555 //
     /* 1276891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1276902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1276905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1276908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1276911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1276914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276944 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1276947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276969 */     // GIR_Coverage, 8555,
     /* 1276969 */     GIR_EraseRootFromParent_Done,
     /* 1276970 */   // Label 18393: @1276970
     /* 1276970 */   GIM_Try, /*On fail goto*//*Label 18394*/ GIMT_Encode4(1277054), // Rule ID 8558 //
     /* 1276975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1276986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1276989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1276992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1276995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1276998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277028 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1277031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277053 */     // GIR_Coverage, 8558,
     /* 1277053 */     GIR_EraseRootFromParent_Done,
     /* 1277054 */   // Label 18394: @1277054
     /* 1277054 */   GIM_Try, /*On fail goto*//*Label 18395*/ GIMT_Encode4(1277138), // Rule ID 8559 //
     /* 1277059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1277070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1277073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1277076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1277079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1277082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277112 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1277115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277137 */     // GIR_Coverage, 8559,
     /* 1277137 */     GIR_EraseRootFromParent_Done,
     /* 1277138 */   // Label 18395: @1277138
     /* 1277138 */   GIM_Try, /*On fail goto*//*Label 18396*/ GIMT_Encode4(1277222), // Rule ID 8562 //
     /* 1277143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1277163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1277199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277221 */     // GIR_Coverage, 8562,
     /* 1277221 */     GIR_EraseRootFromParent_Done,
     /* 1277222 */   // Label 18396: @1277222
     /* 1277222 */   GIM_Try, /*On fail goto*//*Label 18397*/ GIMT_Encode4(1277306), // Rule ID 8563 //
     /* 1277227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1277247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277280 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1277283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277305 */     // GIR_Coverage, 8563,
     /* 1277305 */     GIR_EraseRootFromParent_Done,
     /* 1277306 */   // Label 18397: @1277306
     /* 1277306 */   GIM_Try, /*On fail goto*//*Label 18398*/ GIMT_Encode4(1277390), // Rule ID 8566 //
     /* 1277311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1277331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277364 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1277367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277389 */     // GIR_Coverage, 8566,
     /* 1277389 */     GIR_EraseRootFromParent_Done,
     /* 1277390 */   // Label 18398: @1277390
     /* 1277390 */   GIM_Try, /*On fail goto*//*Label 18399*/ GIMT_Encode4(1277474), // Rule ID 8567 //
     /* 1277395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1277415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1277451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277473 */     // GIR_Coverage, 8567,
     /* 1277473 */     GIR_EraseRootFromParent_Done,
     /* 1277474 */   // Label 18399: @1277474
     /* 1277474 */   GIM_Try, /*On fail goto*//*Label 18400*/ GIMT_Encode4(1277558), // Rule ID 8570 //
     /* 1277479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1277496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1277499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277532 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1277535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277557 */     // GIR_Coverage, 8570,
     /* 1277557 */     GIR_EraseRootFromParent_Done,
     /* 1277558 */   // Label 18400: @1277558
     /* 1277558 */   GIM_Try, /*On fail goto*//*Label 18401*/ GIMT_Encode4(1277642), // Rule ID 8571 //
     /* 1277563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1277580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1277583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277616 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1277619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277641 */     // GIR_Coverage, 8571,
     /* 1277641 */     GIR_EraseRootFromParent_Done,
     /* 1277642 */   // Label 18401: @1277642
     /* 1277642 */   GIM_Try, /*On fail goto*//*Label 18402*/ GIMT_Encode4(1277726), // Rule ID 8574 //
     /* 1277647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1277664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1277667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277700 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1277703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277725 */     // GIR_Coverage, 8574,
     /* 1277725 */     GIR_EraseRootFromParent_Done,
     /* 1277726 */   // Label 18402: @1277726
     /* 1277726 */   GIM_Try, /*On fail goto*//*Label 18403*/ GIMT_Encode4(1277810), // Rule ID 8575 //
     /* 1277731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1277748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1277751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277784 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1277787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277809 */     // GIR_Coverage, 8575,
     /* 1277809 */     GIR_EraseRootFromParent_Done,
     /* 1277810 */   // Label 18403: @1277810
     /* 1277810 */   GIM_Try, /*On fail goto*//*Label 18404*/ GIMT_Encode4(1277894), // Rule ID 8578 //
     /* 1277815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1277832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1277835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277868 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1277871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277893 */     // GIR_Coverage, 8578,
     /* 1277893 */     GIR_EraseRootFromParent_Done,
     /* 1277894 */   // Label 18404: @1277894
     /* 1277894 */   GIM_Try, /*On fail goto*//*Label 18405*/ GIMT_Encode4(1277978), // Rule ID 8579 //
     /* 1277899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1277916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1277919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277952 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1277955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277977 */     // GIR_Coverage, 8579,
     /* 1277977 */     GIR_EraseRootFromParent_Done,
     /* 1277978 */   // Label 18405: @1277978
     /* 1277978 */   GIM_Try, /*On fail goto*//*Label 18406*/ GIMT_Encode4(1278062), // Rule ID 8582 //
     /* 1277983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1278003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1278039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278061 */     // GIR_Coverage, 8582,
     /* 1278061 */     GIR_EraseRootFromParent_Done,
     /* 1278062 */   // Label 18406: @1278062
     /* 1278062 */   GIM_Try, /*On fail goto*//*Label 18407*/ GIMT_Encode4(1278146), // Rule ID 8583 //
     /* 1278067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1278087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278120 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1278123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278145 */     // GIR_Coverage, 8583,
     /* 1278145 */     GIR_EraseRootFromParent_Done,
     /* 1278146 */   // Label 18407: @1278146
     /* 1278146 */   GIM_Try, /*On fail goto*//*Label 18408*/ GIMT_Encode4(1278230), // Rule ID 8586 //
     /* 1278151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1278171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278204 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1278207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278229 */     // GIR_Coverage, 8586,
     /* 1278229 */     GIR_EraseRootFromParent_Done,
     /* 1278230 */   // Label 18408: @1278230
     /* 1278230 */   GIM_Try, /*On fail goto*//*Label 18409*/ GIMT_Encode4(1278314), // Rule ID 8587 //
     /* 1278235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1278255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1278291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278313 */     // GIR_Coverage, 8587,
     /* 1278313 */     GIR_EraseRootFromParent_Done,
     /* 1278314 */   // Label 18409: @1278314
     /* 1278314 */   GIM_Try, /*On fail goto*//*Label 18410*/ GIMT_Encode4(1278398), // Rule ID 8590 //
     /* 1278319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1278339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278372 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1278375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278397 */     // GIR_Coverage, 8590,
     /* 1278397 */     GIR_EraseRootFromParent_Done,
     /* 1278398 */   // Label 18410: @1278398
     /* 1278398 */   GIM_Try, /*On fail goto*//*Label 18411*/ GIMT_Encode4(1278482), // Rule ID 8591 //
     /* 1278403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1278423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278456 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1278459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278481 */     // GIR_Coverage, 8591,
     /* 1278481 */     GIR_EraseRootFromParent_Done,
     /* 1278482 */   // Label 18411: @1278482
     /* 1278482 */   GIM_Try, /*On fail goto*//*Label 18412*/ GIMT_Encode4(1278566), // Rule ID 8594 //
     /* 1278487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1278504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1278507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1278543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278565 */     // GIR_Coverage, 8594,
     /* 1278565 */     GIR_EraseRootFromParent_Done,
     /* 1278566 */   // Label 18412: @1278566
     /* 1278566 */   GIM_Try, /*On fail goto*//*Label 18413*/ GIMT_Encode4(1278650), // Rule ID 8595 //
     /* 1278571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1278588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1278591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278624 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1278627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278649 */     // GIR_Coverage, 8595,
     /* 1278649 */     GIR_EraseRootFromParent_Done,
     /* 1278650 */   // Label 18413: @1278650
     /* 1278650 */   GIM_Try, /*On fail goto*//*Label 18414*/ GIMT_Encode4(1278734), // Rule ID 8598 //
     /* 1278655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1278672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1278711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278733 */     // GIR_Coverage, 8598,
     /* 1278733 */     GIR_EraseRootFromParent_Done,
     /* 1278734 */   // Label 18414: @1278734
     /* 1278734 */   GIM_Try, /*On fail goto*//*Label 18415*/ GIMT_Encode4(1278818), // Rule ID 8599 //
     /* 1278739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1278756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278792 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1278795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278817 */     // GIR_Coverage, 8599,
     /* 1278817 */     GIR_EraseRootFromParent_Done,
     /* 1278818 */   // Label 18415: @1278818
     /* 1278818 */   GIM_Try, /*On fail goto*//*Label 18416*/ GIMT_Encode4(1278902), // Rule ID 8602 //
     /* 1278823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1278840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278876 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1278879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278901 */     // GIR_Coverage, 8602,
     /* 1278901 */     GIR_EraseRootFromParent_Done,
     /* 1278902 */   // Label 18416: @1278902
     /* 1278902 */   GIM_Try, /*On fail goto*//*Label 18417*/ GIMT_Encode4(1278986), // Rule ID 8603 //
     /* 1278907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1278924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278960 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1278963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278985 */     // GIR_Coverage, 8603,
     /* 1278985 */     GIR_EraseRootFromParent_Done,
     /* 1278986 */   // Label 18417: @1278986
     /* 1278986 */   GIM_Try, /*On fail goto*//*Label 18418*/ GIMT_Encode4(1279070), // Rule ID 8606 //
     /* 1278991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1279008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1279047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279069 */     // GIR_Coverage, 8606,
     /* 1279069 */     GIR_EraseRootFromParent_Done,
     /* 1279070 */   // Label 18418: @1279070
     /* 1279070 */   GIM_Try, /*On fail goto*//*Label 18419*/ GIMT_Encode4(1279154), // Rule ID 8607 //
     /* 1279075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1279092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279128 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1279131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279153 */     // GIR_Coverage, 8607,
     /* 1279153 */     GIR_EraseRootFromParent_Done,
     /* 1279154 */   // Label 18419: @1279154
     /* 1279154 */   GIM_Try, /*On fail goto*//*Label 18420*/ GIMT_Encode4(1279238), // Rule ID 8610 //
     /* 1279159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279212 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1279215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279237 */     // GIR_Coverage, 8610,
     /* 1279237 */     GIR_EraseRootFromParent_Done,
     /* 1279238 */   // Label 18420: @1279238
     /* 1279238 */   GIM_Try, /*On fail goto*//*Label 18421*/ GIMT_Encode4(1279322), // Rule ID 8611 //
     /* 1279243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1279299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279321 */     // GIR_Coverage, 8611,
     /* 1279321 */     GIR_EraseRootFromParent_Done,
     /* 1279322 */   // Label 18421: @1279322
     /* 1279322 */   GIM_Try, /*On fail goto*//*Label 18422*/ GIMT_Encode4(1279406), // Rule ID 8614 //
     /* 1279327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1279383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279405 */     // GIR_Coverage, 8614,
     /* 1279405 */     GIR_EraseRootFromParent_Done,
     /* 1279406 */   // Label 18422: @1279406
     /* 1279406 */   GIM_Try, /*On fail goto*//*Label 18423*/ GIMT_Encode4(1279490), // Rule ID 8615 //
     /* 1279411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1279467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279489 */     // GIR_Coverage, 8615,
     /* 1279489 */     GIR_EraseRootFromParent_Done,
     /* 1279490 */   // Label 18423: @1279490
     /* 1279490 */   GIM_Try, /*On fail goto*//*Label 18424*/ GIMT_Encode4(1279574), // Rule ID 8618 //
     /* 1279495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1279512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279548 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1279551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279573 */     // GIR_Coverage, 8618,
     /* 1279573 */     GIR_EraseRootFromParent_Done,
     /* 1279574 */   // Label 18424: @1279574
     /* 1279574 */   GIM_Try, /*On fail goto*//*Label 18425*/ GIMT_Encode4(1279658), // Rule ID 8619 //
     /* 1279579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1279596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1279635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279657 */     // GIR_Coverage, 8619,
     /* 1279657 */     GIR_EraseRootFromParent_Done,
     /* 1279658 */   // Label 18425: @1279658
     /* 1279658 */   GIM_Try, /*On fail goto*//*Label 18426*/ GIMT_Encode4(1279742), // Rule ID 8622 //
     /* 1279663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1279680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279716 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1279719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279741 */     // GIR_Coverage, 8622,
     /* 1279741 */     GIR_EraseRootFromParent_Done,
     /* 1279742 */   // Label 18426: @1279742
     /* 1279742 */   GIM_Try, /*On fail goto*//*Label 18427*/ GIMT_Encode4(1279826), // Rule ID 8623 //
     /* 1279747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1279764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279800 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1279803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279825 */     // GIR_Coverage, 8623,
     /* 1279825 */     GIR_EraseRootFromParent_Done,
     /* 1279826 */   // Label 18427: @1279826
     /* 1279826 */   GIM_Try, /*On fail goto*//*Label 18428*/ GIMT_Encode4(1279910), // Rule ID 8626 //
     /* 1279831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1279848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279884 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1279887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279909 */     // GIR_Coverage, 8626,
     /* 1279909 */     GIR_EraseRootFromParent_Done,
     /* 1279910 */   // Label 18428: @1279910
     /* 1279910 */   GIM_Try, /*On fail goto*//*Label 18429*/ GIMT_Encode4(1279994), // Rule ID 8627 //
     /* 1279915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1279932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279968 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1279971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279993 */     // GIR_Coverage, 8627,
     /* 1279993 */     GIR_EraseRootFromParent_Done,
     /* 1279994 */   // Label 18429: @1279994
     /* 1279994 */   GIM_Try, /*On fail goto*//*Label 18430*/ GIMT_Encode4(1280078), // Rule ID 8630 //
     /* 1279999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1280016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1280055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280077 */     // GIR_Coverage, 8630,
     /* 1280077 */     GIR_EraseRootFromParent_Done,
     /* 1280078 */   // Label 18430: @1280078
     /* 1280078 */   GIM_Try, /*On fail goto*//*Label 18431*/ GIMT_Encode4(1280162), // Rule ID 8631 //
     /* 1280083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1280100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1280139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280161 */     // GIR_Coverage, 8631,
     /* 1280161 */     GIR_EraseRootFromParent_Done,
     /* 1280162 */   // Label 18431: @1280162
     /* 1280162 */   GIM_Try, /*On fail goto*//*Label 18432*/ GIMT_Encode4(1280246), // Rule ID 8634 //
     /* 1280167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1280170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280220 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1280223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280245 */     // GIR_Coverage, 8634,
     /* 1280245 */     GIR_EraseRootFromParent_Done,
     /* 1280246 */   // Label 18432: @1280246
     /* 1280246 */   GIM_Try, /*On fail goto*//*Label 18433*/ GIMT_Encode4(1280330), // Rule ID 8635 //
     /* 1280251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1280254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280304 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1280307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280329 */     // GIR_Coverage, 8635,
     /* 1280329 */     GIR_EraseRootFromParent_Done,
     /* 1280330 */   // Label 18433: @1280330
     /* 1280330 */   GIM_Try, /*On fail goto*//*Label 18434*/ GIMT_Encode4(1280414), // Rule ID 8638 //
     /* 1280335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1280352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280388 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1280391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280413 */     // GIR_Coverage, 8638,
     /* 1280413 */     GIR_EraseRootFromParent_Done,
     /* 1280414 */   // Label 18434: @1280414
     /* 1280414 */   GIM_Try, /*On fail goto*//*Label 18435*/ GIMT_Encode4(1280498), // Rule ID 8639 //
     /* 1280419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1280436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1280475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280497 */     // GIR_Coverage, 8639,
     /* 1280497 */     GIR_EraseRootFromParent_Done,
     /* 1280498 */   // Label 18435: @1280498
     /* 1280498 */   GIM_Try, /*On fail goto*//*Label 18436*/ GIMT_Encode4(1280582), // Rule ID 8642 //
     /* 1280503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1280520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280556 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1280559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280581 */     // GIR_Coverage, 8642,
     /* 1280581 */     GIR_EraseRootFromParent_Done,
     /* 1280582 */   // Label 18436: @1280582
     /* 1280582 */   GIM_Try, /*On fail goto*//*Label 18437*/ GIMT_Encode4(1280666), // Rule ID 8643 //
     /* 1280587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1280604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280640 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1280643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280665 */     // GIR_Coverage, 8643,
     /* 1280665 */     GIR_EraseRootFromParent_Done,
     /* 1280666 */   // Label 18437: @1280666
     /* 1280666 */   GIM_Try, /*On fail goto*//*Label 18438*/ GIMT_Encode4(1280750), // Rule ID 8646 //
     /* 1280671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1280682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1280685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1280688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1280694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280724 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1280727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280749 */     // GIR_Coverage, 8646,
     /* 1280749 */     GIR_EraseRootFromParent_Done,
     /* 1280750 */   // Label 18438: @1280750
     /* 1280750 */   GIM_Try, /*On fail goto*//*Label 18439*/ GIMT_Encode4(1280834), // Rule ID 8647 //
     /* 1280755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1280766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1280769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1280772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1280778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280808 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1280811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280833 */     // GIR_Coverage, 8647,
     /* 1280833 */     GIR_EraseRootFromParent_Done,
     /* 1280834 */   // Label 18439: @1280834
     /* 1280834 */   GIM_Try, /*On fail goto*//*Label 18440*/ GIMT_Encode4(1280918), // Rule ID 8650 //
     /* 1280839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1280856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1280895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280917 */     // GIR_Coverage, 8650,
     /* 1280917 */     GIR_EraseRootFromParent_Done,
     /* 1280918 */   // Label 18440: @1280918
     /* 1280918 */   GIM_Try, /*On fail goto*//*Label 18441*/ GIMT_Encode4(1281002), // Rule ID 8651 //
     /* 1280923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1280940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1280979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281001 */     // GIR_Coverage, 8651,
     /* 1281001 */     GIR_EraseRootFromParent_Done,
     /* 1281002 */   // Label 18441: @1281002
     /* 1281002 */   GIM_Try, /*On fail goto*//*Label 18442*/ GIMT_Encode4(1281086), // Rule ID 8654 //
     /* 1281007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1281024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281060 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1281063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281085 */     // GIR_Coverage, 8654,
     /* 1281085 */     GIR_EraseRootFromParent_Done,
     /* 1281086 */   // Label 18442: @1281086
     /* 1281086 */   GIM_Try, /*On fail goto*//*Label 18443*/ GIMT_Encode4(1281170), // Rule ID 8655 //
     /* 1281091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1281108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281144 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1281147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281169 */     // GIR_Coverage, 8655,
     /* 1281169 */     GIR_EraseRootFromParent_Done,
     /* 1281170 */   // Label 18443: @1281170
     /* 1281170 */   GIM_Try, /*On fail goto*//*Label 18444*/ GIMT_Encode4(1281254), // Rule ID 8658 //
     /* 1281175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281228 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1281231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281253 */     // GIR_Coverage, 8658,
     /* 1281253 */     GIR_EraseRootFromParent_Done,
     /* 1281254 */   // Label 18444: @1281254
     /* 1281254 */   GIM_Try, /*On fail goto*//*Label 18445*/ GIMT_Encode4(1281338), // Rule ID 8659 //
     /* 1281259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281312 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1281315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281337 */     // GIR_Coverage, 8659,
     /* 1281337 */     GIR_EraseRootFromParent_Done,
     /* 1281338 */   // Label 18445: @1281338
     /* 1281338 */   GIM_Try, /*On fail goto*//*Label 18446*/ GIMT_Encode4(1281422), // Rule ID 8662 //
     /* 1281343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1281360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281396 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1281399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281421 */     // GIR_Coverage, 8662,
     /* 1281421 */     GIR_EraseRootFromParent_Done,
     /* 1281422 */   // Label 18446: @1281422
     /* 1281422 */   GIM_Try, /*On fail goto*//*Label 18447*/ GIMT_Encode4(1281506), // Rule ID 8663 //
     /* 1281427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1281444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1281483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281505 */     // GIR_Coverage, 8663,
     /* 1281505 */     GIR_EraseRootFromParent_Done,
     /* 1281506 */   // Label 18447: @1281506
     /* 1281506 */   GIM_Try, /*On fail goto*//*Label 18448*/ GIMT_Encode4(1281590), // Rule ID 8666 //
     /* 1281511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1281528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281564 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1281567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281589 */     // GIR_Coverage, 8666,
     /* 1281589 */     GIR_EraseRootFromParent_Done,
     /* 1281590 */   // Label 18448: @1281590
     /* 1281590 */   GIM_Try, /*On fail goto*//*Label 18449*/ GIMT_Encode4(1281674), // Rule ID 8667 //
     /* 1281595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1281612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1281651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281673 */     // GIR_Coverage, 8667,
     /* 1281673 */     GIR_EraseRootFromParent_Done,
     /* 1281674 */   // Label 18449: @1281674
     /* 1281674 */   GIM_Try, /*On fail goto*//*Label 18450*/ GIMT_Encode4(1281758), // Rule ID 8670 //
     /* 1281679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1281696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281732 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1281735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281757 */     // GIR_Coverage, 8670,
     /* 1281757 */     GIR_EraseRootFromParent_Done,
     /* 1281758 */   // Label 18450: @1281758
     /* 1281758 */   GIM_Try, /*On fail goto*//*Label 18451*/ GIMT_Encode4(1281842), // Rule ID 8671 //
     /* 1281763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1281780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281816 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1281819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281841 */     // GIR_Coverage, 8671,
     /* 1281841 */     GIR_EraseRootFromParent_Done,
     /* 1281842 */   // Label 18451: @1281842
     /* 1281842 */   GIM_Try, /*On fail goto*//*Label 18452*/ GIMT_Encode4(1281926), // Rule ID 8674 //
     /* 1281847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1281850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1281864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1281903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281925 */     // GIR_Coverage, 8674,
     /* 1281925 */     GIR_EraseRootFromParent_Done,
     /* 1281926 */   // Label 18452: @1281926
     /* 1281926 */   GIM_Try, /*On fail goto*//*Label 18453*/ GIMT_Encode4(1282010), // Rule ID 8675 //
     /* 1281931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1281934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1281948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1281987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282009 */     // GIR_Coverage, 8675,
     /* 1282009 */     GIR_EraseRootFromParent_Done,
     /* 1282010 */   // Label 18453: @1282010
     /* 1282010 */   GIM_Try, /*On fail goto*//*Label 18454*/ GIMT_Encode4(1282094), // Rule ID 8678 //
     /* 1282015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1282032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1282071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282093 */     // GIR_Coverage, 8678,
     /* 1282093 */     GIR_EraseRootFromParent_Done,
     /* 1282094 */   // Label 18454: @1282094
     /* 1282094 */   GIM_Try, /*On fail goto*//*Label 18455*/ GIMT_Encode4(1282178), // Rule ID 8679 //
     /* 1282099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1282116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1282155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282177 */     // GIR_Coverage, 8679,
     /* 1282177 */     GIR_EraseRootFromParent_Done,
     /* 1282178 */   // Label 18455: @1282178
     /* 1282178 */   GIM_Try, /*On fail goto*//*Label 18456*/ GIMT_Encode4(1282262), // Rule ID 8682 //
     /* 1282183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1282239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282261 */     // GIR_Coverage, 8682,
     /* 1282261 */     GIR_EraseRootFromParent_Done,
     /* 1282262 */   // Label 18456: @1282262
     /* 1282262 */   GIM_Try, /*On fail goto*//*Label 18457*/ GIMT_Encode4(1282346), // Rule ID 8683 //
     /* 1282267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282320 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1282323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282345 */     // GIR_Coverage, 8683,
     /* 1282345 */     GIR_EraseRootFromParent_Done,
     /* 1282346 */   // Label 18457: @1282346
     /* 1282346 */   GIM_Try, /*On fail goto*//*Label 18458*/ GIMT_Encode4(1282430), // Rule ID 8686 //
     /* 1282351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1282368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1282371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282404 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1282407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282429 */     // GIR_Coverage, 8686,
     /* 1282429 */     GIR_EraseRootFromParent_Done,
     /* 1282430 */   // Label 18458: @1282430
     /* 1282430 */   GIM_Try, /*On fail goto*//*Label 18459*/ GIMT_Encode4(1282514), // Rule ID 8687 //
     /* 1282435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1282452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1282455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282488 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1282491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282513 */     // GIR_Coverage, 8687,
     /* 1282513 */     GIR_EraseRootFromParent_Done,
     /* 1282514 */   // Label 18459: @1282514
     /* 1282514 */   GIM_Try, /*On fail goto*//*Label 18460*/ GIMT_Encode4(1282598), // Rule ID 8690 //
     /* 1282519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1282536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1282539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1282575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282597 */     // GIR_Coverage, 8690,
     /* 1282597 */     GIR_EraseRootFromParent_Done,
     /* 1282598 */   // Label 18460: @1282598
     /* 1282598 */   GIM_Try, /*On fail goto*//*Label 18461*/ GIMT_Encode4(1282682), // Rule ID 8691 //
     /* 1282603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1282620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1282623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282656 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1282659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282681 */     // GIR_Coverage, 8691,
     /* 1282681 */     GIR_EraseRootFromParent_Done,
     /* 1282682 */   // Label 18461: @1282682
     /* 1282682 */   GIM_Try, /*On fail goto*//*Label 18462*/ GIMT_Encode4(1282766), // Rule ID 8694 //
     /* 1282687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1282704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1282707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1282743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282765 */     // GIR_Coverage, 8694,
     /* 1282765 */     GIR_EraseRootFromParent_Done,
     /* 1282766 */   // Label 18462: @1282766
     /* 1282766 */   GIM_Try, /*On fail goto*//*Label 18463*/ GIMT_Encode4(1282850), // Rule ID 8695 //
     /* 1282771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1282788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1282791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282824 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1282827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282849 */     // GIR_Coverage, 8695,
     /* 1282849 */     GIR_EraseRootFromParent_Done,
     /* 1282850 */   // Label 18463: @1282850
     /* 1282850 */   GIM_Try, /*On fail goto*//*Label 18464*/ GIMT_Encode4(1282934), // Rule ID 8698 //
     /* 1282855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1282872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1282875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1282911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282933 */     // GIR_Coverage, 8698,
     /* 1282933 */     GIR_EraseRootFromParent_Done,
     /* 1282934 */   // Label 18464: @1282934
     /* 1282934 */   GIM_Try, /*On fail goto*//*Label 18465*/ GIMT_Encode4(1283018), // Rule ID 8699 //
     /* 1282939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1282956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1282959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282992 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1282995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283017 */     // GIR_Coverage, 8699,
     /* 1283017 */     GIR_EraseRootFromParent_Done,
     /* 1283018 */   // Label 18465: @1283018
     /* 1283018 */   GIM_Try, /*On fail goto*//*Label 18466*/ GIMT_Encode4(1283102), // Rule ID 8702 //
     /* 1283023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1283040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1283043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283076 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1283079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283101 */     // GIR_Coverage, 8702,
     /* 1283101 */     GIR_EraseRootFromParent_Done,
     /* 1283102 */   // Label 18466: @1283102
     /* 1283102 */   GIM_Try, /*On fail goto*//*Label 18467*/ GIMT_Encode4(1283186), // Rule ID 8703 //
     /* 1283107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1283124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1283127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1283163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283185 */     // GIR_Coverage, 8703,
     /* 1283185 */     GIR_EraseRootFromParent_Done,
     /* 1283186 */   // Label 18467: @1283186
     /* 1283186 */   GIM_Try, /*On fail goto*//*Label 18468*/ GIMT_Encode4(1283270), // Rule ID 8706 //
     /* 1283191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1283211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1283247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283269 */     // GIR_Coverage, 8706,
     /* 1283269 */     GIR_EraseRootFromParent_Done,
     /* 1283270 */   // Label 18468: @1283270
     /* 1283270 */   GIM_Try, /*On fail goto*//*Label 18469*/ GIMT_Encode4(1283354), // Rule ID 8707 //
     /* 1283275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1283295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1283331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283353 */     // GIR_Coverage, 8707,
     /* 1283353 */     GIR_EraseRootFromParent_Done,
     /* 1283354 */   // Label 18469: @1283354
     /* 1283354 */   GIM_Try, /*On fail goto*//*Label 18470*/ GIMT_Encode4(1283438), // Rule ID 8710 //
     /* 1283359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1283376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1283379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283437 */     // GIR_Coverage, 8710,
     /* 1283437 */     GIR_EraseRootFromParent_Done,
     /* 1283438 */   // Label 18470: @1283438
     /* 1283438 */   GIM_Try, /*On fail goto*//*Label 18471*/ GIMT_Encode4(1283522), // Rule ID 8711 //
     /* 1283443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1283460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1283463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283521 */     // GIR_Coverage, 8711,
     /* 1283521 */     GIR_EraseRootFromParent_Done,
     /* 1283522 */   // Label 18471: @1283522
     /* 1283522 */   GIM_Try, /*On fail goto*//*Label 18472*/ GIMT_Encode4(1283606), // Rule ID 8714 //
     /* 1283527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1283544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1283547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283605 */     // GIR_Coverage, 8714,
     /* 1283605 */     GIR_EraseRootFromParent_Done,
     /* 1283606 */   // Label 18472: @1283606
     /* 1283606 */   GIM_Try, /*On fail goto*//*Label 18473*/ GIMT_Encode4(1283690), // Rule ID 8715 //
     /* 1283611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1283628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1283631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283664 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283689 */     // GIR_Coverage, 8715,
     /* 1283689 */     GIR_EraseRootFromParent_Done,
     /* 1283690 */   // Label 18473: @1283690
     /* 1283690 */   GIM_Try, /*On fail goto*//*Label 18474*/ GIMT_Encode4(1283774), // Rule ID 8718 //
     /* 1283695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1283712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1283715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283748 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283773 */     // GIR_Coverage, 8718,
     /* 1283773 */     GIR_EraseRootFromParent_Done,
     /* 1283774 */   // Label 18474: @1283774
     /* 1283774 */   GIM_Try, /*On fail goto*//*Label 18475*/ GIMT_Encode4(1283858), // Rule ID 8719 //
     /* 1283779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1283796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1283799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283857 */     // GIR_Coverage, 8719,
     /* 1283857 */     GIR_EraseRootFromParent_Done,
     /* 1283858 */   // Label 18475: @1283858
     /* 1283858 */   GIM_Try, /*On fail goto*//*Label 18476*/ GIMT_Encode4(1283942), // Rule ID 8722 //
     /* 1283863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1283866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1283880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1283883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283916 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1283919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283941 */     // GIR_Coverage, 8722,
     /* 1283941 */     GIR_EraseRootFromParent_Done,
     /* 1283942 */   // Label 18476: @1283942
     /* 1283942 */   GIM_Try, /*On fail goto*//*Label 18477*/ GIMT_Encode4(1284026), // Rule ID 8723 //
     /* 1283947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1283950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1283964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1283967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284000 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1284003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284025 */     // GIR_Coverage, 8723,
     /* 1284025 */     GIR_EraseRootFromParent_Done,
     /* 1284026 */   // Label 18477: @1284026
     /* 1284026 */   GIM_Try, /*On fail goto*//*Label 18478*/ GIMT_Encode4(1284110), // Rule ID 8726 //
     /* 1284031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1284048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1284051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284084 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1284087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284109 */     // GIR_Coverage, 8726,
     /* 1284109 */     GIR_EraseRootFromParent_Done,
     /* 1284110 */   // Label 18478: @1284110
     /* 1284110 */   GIM_Try, /*On fail goto*//*Label 18479*/ GIMT_Encode4(1284194), // Rule ID 8727 //
     /* 1284115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1284132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1284135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284168 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1284171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284193 */     // GIR_Coverage, 8727,
     /* 1284193 */     GIR_EraseRootFromParent_Done,
     /* 1284194 */   // Label 18479: @1284194
     /* 1284194 */   GIM_Try, /*On fail goto*//*Label 18480*/ GIMT_Encode4(1284278), // Rule ID 8730 //
     /* 1284199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1284219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284252 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1284255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284277 */     // GIR_Coverage, 8730,
     /* 1284277 */     GIR_EraseRootFromParent_Done,
     /* 1284278 */   // Label 18480: @1284278
     /* 1284278 */   GIM_Try, /*On fail goto*//*Label 18481*/ GIMT_Encode4(1284362), // Rule ID 8731 //
     /* 1284283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1284303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284336 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1284339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284361 */     // GIR_Coverage, 8731,
     /* 1284361 */     GIR_EraseRootFromParent_Done,
     /* 1284362 */   // Label 18481: @1284362
     /* 1284362 */   GIM_Try, /*On fail goto*//*Label 18482*/ GIMT_Encode4(1284446), // Rule ID 8734 //
     /* 1284367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1284378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1284381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1284384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1284387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1284390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284420 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1284423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284445 */     // GIR_Coverage, 8734,
     /* 1284445 */     GIR_EraseRootFromParent_Done,
     /* 1284446 */   // Label 18482: @1284446
     /* 1284446 */   GIM_Try, /*On fail goto*//*Label 18483*/ GIMT_Encode4(1284530), // Rule ID 8735 //
     /* 1284451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1284462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1284465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1284468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1284471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1284474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284504 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1284507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284529 */     // GIR_Coverage, 8735,
     /* 1284529 */     GIR_EraseRootFromParent_Done,
     /* 1284530 */   // Label 18483: @1284530
     /* 1284530 */   GIM_Try, /*On fail goto*//*Label 18484*/ GIMT_Encode4(1284614), // Rule ID 8738 //
     /* 1284535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1284552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1284555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284588 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1284591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284613 */     // GIR_Coverage, 8738,
     /* 1284613 */     GIR_EraseRootFromParent_Done,
     /* 1284614 */   // Label 18484: @1284614
     /* 1284614 */   GIM_Try, /*On fail goto*//*Label 18485*/ GIMT_Encode4(1284698), // Rule ID 8739 //
     /* 1284619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1284636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1284639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1284675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284697 */     // GIR_Coverage, 8739,
     /* 1284697 */     GIR_EraseRootFromParent_Done,
     /* 1284698 */   // Label 18485: @1284698
     /* 1284698 */   GIM_Try, /*On fail goto*//*Label 18486*/ GIMT_Encode4(1284782), // Rule ID 8742 //
     /* 1284703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1284720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1284723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284756 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1284759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284781 */     // GIR_Coverage, 8742,
     /* 1284781 */     GIR_EraseRootFromParent_Done,
     /* 1284782 */   // Label 18486: @1284782
     /* 1284782 */   GIM_Try, /*On fail goto*//*Label 18487*/ GIMT_Encode4(1284866), // Rule ID 8743 //
     /* 1284787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1284804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1284807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284840 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1284843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284865 */     // GIR_Coverage, 8743,
     /* 1284865 */     GIR_EraseRootFromParent_Done,
     /* 1284866 */   // Label 18487: @1284866
     /* 1284866 */   GIM_Try, /*On fail goto*//*Label 18488*/ GIMT_Encode4(1284950), // Rule ID 8746 //
     /* 1284871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1284888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1284891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284924 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1284927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284949 */     // GIR_Coverage, 8746,
     /* 1284949 */     GIR_EraseRootFromParent_Done,
     /* 1284950 */   // Label 18488: @1284950
     /* 1284950 */   GIM_Try, /*On fail goto*//*Label 18489*/ GIMT_Encode4(1285034), // Rule ID 8747 //
     /* 1284955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1284972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1284975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285008 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1285011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285033 */     // GIR_Coverage, 8747,
     /* 1285033 */     GIR_EraseRootFromParent_Done,
     /* 1285034 */   // Label 18489: @1285034
     /* 1285034 */   GIM_Try, /*On fail goto*//*Label 18490*/ GIMT_Encode4(1285118), // Rule ID 8750 //
     /* 1285039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1285056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1285059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285092 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1285095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285117 */     // GIR_Coverage, 8750,
     /* 1285117 */     GIR_EraseRootFromParent_Done,
     /* 1285118 */   // Label 18490: @1285118
     /* 1285118 */   GIM_Try, /*On fail goto*//*Label 18491*/ GIMT_Encode4(1285202), // Rule ID 8751 //
     /* 1285123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1285140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1285143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285176 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1285179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285201 */     // GIR_Coverage, 8751,
     /* 1285201 */     GIR_EraseRootFromParent_Done,
     /* 1285202 */   // Label 18491: @1285202
     /* 1285202 */   GIM_Try, /*On fail goto*//*Label 18492*/ GIMT_Encode4(1285286), // Rule ID 8754 //
     /* 1285207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1285227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285260 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1285263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285285 */     // GIR_Coverage, 8754,
     /* 1285285 */     GIR_EraseRootFromParent_Done,
     /* 1285286 */   // Label 18492: @1285286
     /* 1285286 */   GIM_Try, /*On fail goto*//*Label 18493*/ GIMT_Encode4(1285370), // Rule ID 8755 //
     /* 1285291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1285311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285344 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1285347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285369 */     // GIR_Coverage, 8755,
     /* 1285369 */     GIR_EraseRootFromParent_Done,
     /* 1285370 */   // Label 18493: @1285370
     /* 1285370 */   GIM_Try, /*On fail goto*//*Label 18494*/ GIMT_Encode4(1285454), // Rule ID 8758 //
     /* 1285375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1285392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1285395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285428 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1285431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285453 */     // GIR_Coverage, 8758,
     /* 1285453 */     GIR_EraseRootFromParent_Done,
     /* 1285454 */   // Label 18494: @1285454
     /* 1285454 */   GIM_Try, /*On fail goto*//*Label 18495*/ GIMT_Encode4(1285538), // Rule ID 8759 //
     /* 1285459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1285476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1285479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285512 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1285515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285537 */     // GIR_Coverage, 8759,
     /* 1285537 */     GIR_EraseRootFromParent_Done,
     /* 1285538 */   // Label 18495: @1285538
     /* 1285538 */   GIM_Try, /*On fail goto*//*Label 18496*/ GIMT_Encode4(1285622), // Rule ID 8762 //
     /* 1285543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1285560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1285563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1285599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285621 */     // GIR_Coverage, 8762,
     /* 1285621 */     GIR_EraseRootFromParent_Done,
     /* 1285622 */   // Label 18496: @1285622
     /* 1285622 */   GIM_Try, /*On fail goto*//*Label 18497*/ GIMT_Encode4(1285706), // Rule ID 8763 //
     /* 1285627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1285630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1285644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1285647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1285683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285705 */     // GIR_Coverage, 8763,
     /* 1285705 */     GIR_EraseRootFromParent_Done,
     /* 1285706 */   // Label 18497: @1285706
     /* 1285706 */   GIM_Try, /*On fail goto*//*Label 18498*/ GIMT_Encode4(1285790), // Rule ID 8766 //
     /* 1285711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1285728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1285731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285764 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1285767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285789 */     // GIR_Coverage, 8766,
     /* 1285789 */     GIR_EraseRootFromParent_Done,
     /* 1285790 */   // Label 18498: @1285790
     /* 1285790 */   GIM_Try, /*On fail goto*//*Label 18499*/ GIMT_Encode4(1285874), // Rule ID 8767 //
     /* 1285795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1285798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1285812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1285815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1285851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285873 */     // GIR_Coverage, 8767,
     /* 1285873 */     GIR_EraseRootFromParent_Done,
     /* 1285874 */   // Label 18499: @1285874
     /* 1285874 */   GIM_Try, /*On fail goto*//*Label 18500*/ GIMT_Encode4(1285958), // Rule ID 8770 //
     /* 1285879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1285896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1285899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1285935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285957 */     // GIR_Coverage, 8770,
     /* 1285957 */     GIR_EraseRootFromParent_Done,
     /* 1285958 */   // Label 18500: @1285958
     /* 1285958 */   GIM_Try, /*On fail goto*//*Label 18501*/ GIMT_Encode4(1286042), // Rule ID 8771 //
     /* 1285963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1285966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1285980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1285983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1286019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286041 */     // GIR_Coverage, 8771,
     /* 1286041 */     GIR_EraseRootFromParent_Done,
     /* 1286042 */   // Label 18501: @1286042
     /* 1286042 */   GIM_Try, /*On fail goto*//*Label 18502*/ GIMT_Encode4(1286126), // Rule ID 8774 //
     /* 1286047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1286064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286100 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1286103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286125 */     // GIR_Coverage, 8774,
     /* 1286125 */     GIR_EraseRootFromParent_Done,
     /* 1286126 */   // Label 18502: @1286126
     /* 1286126 */   GIM_Try, /*On fail goto*//*Label 18503*/ GIMT_Encode4(1286210), // Rule ID 8775 //
     /* 1286131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1286148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286184 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1286187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286209 */     // GIR_Coverage, 8775,
     /* 1286209 */     GIR_EraseRootFromParent_Done,
     /* 1286210 */   // Label 18503: @1286210
     /* 1286210 */   GIM_Try, /*On fail goto*//*Label 18504*/ GIMT_Encode4(1286294), // Rule ID 8778 //
     /* 1286215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1286271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286293 */     // GIR_Coverage, 8778,
     /* 1286293 */     GIR_EraseRootFromParent_Done,
     /* 1286294 */   // Label 18504: @1286294
     /* 1286294 */   GIM_Try, /*On fail goto*//*Label 18505*/ GIMT_Encode4(1286378), // Rule ID 8779 //
     /* 1286299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1286355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286377 */     // GIR_Coverage, 8779,
     /* 1286377 */     GIR_EraseRootFromParent_Done,
     /* 1286378 */   // Label 18505: @1286378
     /* 1286378 */   GIM_Try, /*On fail goto*//*Label 18506*/ GIMT_Encode4(1286462), // Rule ID 8782 //
     /* 1286383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1286400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1286439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286461 */     // GIR_Coverage, 8782,
     /* 1286461 */     GIR_EraseRootFromParent_Done,
     /* 1286462 */   // Label 18506: @1286462
     /* 1286462 */   GIM_Try, /*On fail goto*//*Label 18507*/ GIMT_Encode4(1286546), // Rule ID 8783 //
     /* 1286467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1286484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286520 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1286523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286545 */     // GIR_Coverage, 8783,
     /* 1286545 */     GIR_EraseRootFromParent_Done,
     /* 1286546 */   // Label 18507: @1286546
     /* 1286546 */   GIM_Try, /*On fail goto*//*Label 18508*/ GIMT_Encode4(1286630), // Rule ID 8786 //
     /* 1286551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1286568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1286607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286629 */     // GIR_Coverage, 8786,
     /* 1286629 */     GIR_EraseRootFromParent_Done,
     /* 1286630 */   // Label 18508: @1286630
     /* 1286630 */   GIM_Try, /*On fail goto*//*Label 18509*/ GIMT_Encode4(1286714), // Rule ID 8787 //
     /* 1286635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1286652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286688 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1286691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286713 */     // GIR_Coverage, 8787,
     /* 1286713 */     GIR_EraseRootFromParent_Done,
     /* 1286714 */   // Label 18509: @1286714
     /* 1286714 */   GIM_Try, /*On fail goto*//*Label 18510*/ GIMT_Encode4(1286798), // Rule ID 8790 //
     /* 1286719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1286736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286772 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1286775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286797 */     // GIR_Coverage, 8790,
     /* 1286797 */     GIR_EraseRootFromParent_Done,
     /* 1286798 */   // Label 18510: @1286798
     /* 1286798 */   GIM_Try, /*On fail goto*//*Label 18511*/ GIMT_Encode4(1286882), // Rule ID 8791 //
     /* 1286803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1286820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286856 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1286859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286881 */     // GIR_Coverage, 8791,
     /* 1286881 */     GIR_EraseRootFromParent_Done,
     /* 1286882 */   // Label 18511: @1286882
     /* 1286882 */   GIM_Try, /*On fail goto*//*Label 18512*/ GIMT_Encode4(1286966), // Rule ID 8794 //
     /* 1286887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1286904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1286943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286965 */     // GIR_Coverage, 8794,
     /* 1286965 */     GIR_EraseRootFromParent_Done,
     /* 1286966 */   // Label 18512: @1286966
     /* 1286966 */   GIM_Try, /*On fail goto*//*Label 18513*/ GIMT_Encode4(1287050), // Rule ID 8795 //
     /* 1286971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1286988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1287027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287049 */     // GIR_Coverage, 8795,
     /* 1287049 */     GIR_EraseRootFromParent_Done,
     /* 1287050 */   // Label 18513: @1287050
     /* 1287050 */   GIM_Try, /*On fail goto*//*Label 18514*/ GIMT_Encode4(1287134), // Rule ID 8798 //
     /* 1287055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1287072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1287111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287133 */     // GIR_Coverage, 8798,
     /* 1287133 */     GIR_EraseRootFromParent_Done,
     /* 1287134 */   // Label 18514: @1287134
     /* 1287134 */   GIM_Try, /*On fail goto*//*Label 18515*/ GIMT_Encode4(1287218), // Rule ID 8799 //
     /* 1287139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1287156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287192 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1287195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287217 */     // GIR_Coverage, 8799,
     /* 1287217 */     GIR_EraseRootFromParent_Done,
     /* 1287218 */   // Label 18515: @1287218
     /* 1287218 */   GIM_Try, /*On fail goto*//*Label 18516*/ GIMT_Encode4(1287302), // Rule ID 8802 //
     /* 1287223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287276 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1287279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287301 */     // GIR_Coverage, 8802,
     /* 1287301 */     GIR_EraseRootFromParent_Done,
     /* 1287302 */   // Label 18516: @1287302
     /* 1287302 */   GIM_Try, /*On fail goto*//*Label 18517*/ GIMT_Encode4(1287386), // Rule ID 8803 //
     /* 1287307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287360 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1287363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287385 */     // GIR_Coverage, 8803,
     /* 1287385 */     GIR_EraseRootFromParent_Done,
     /* 1287386 */   // Label 18517: @1287386
     /* 1287386 */   GIM_Try, /*On fail goto*//*Label 18518*/ GIMT_Encode4(1287470), // Rule ID 8806 //
     /* 1287391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1287408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287444 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1287447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287469 */     // GIR_Coverage, 8806,
     /* 1287469 */     GIR_EraseRootFromParent_Done,
     /* 1287470 */   // Label 18518: @1287470
     /* 1287470 */   GIM_Try, /*On fail goto*//*Label 18519*/ GIMT_Encode4(1287554), // Rule ID 8807 //
     /* 1287475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1287492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1287531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287553 */     // GIR_Coverage, 8807,
     /* 1287553 */     GIR_EraseRootFromParent_Done,
     /* 1287554 */   // Label 18519: @1287554
     /* 1287554 */   GIM_Try, /*On fail goto*//*Label 18520*/ GIMT_Encode4(1287638), // Rule ID 8810 //
     /* 1287559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1287562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1287576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287612 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1287615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287637 */     // GIR_Coverage, 8810,
     /* 1287637 */     GIR_EraseRootFromParent_Done,
     /* 1287638 */   // Label 18520: @1287638
     /* 1287638 */   GIM_Try, /*On fail goto*//*Label 18521*/ GIMT_Encode4(1287722), // Rule ID 8811 //
     /* 1287643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1287646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1287660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287696 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1287699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287721 */     // GIR_Coverage, 8811,
     /* 1287721 */     GIR_EraseRootFromParent_Done,
     /* 1287722 */   // Label 18521: @1287722
     /* 1287722 */   GIM_Try, /*On fail goto*//*Label 18522*/ GIMT_Encode4(1287806), // Rule ID 8814 //
     /* 1287727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1287738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1287741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1287744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1287783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287805 */     // GIR_Coverage, 8814,
     /* 1287805 */     GIR_EraseRootFromParent_Done,
     /* 1287806 */   // Label 18522: @1287806
     /* 1287806 */   GIM_Try, /*On fail goto*//*Label 18523*/ GIMT_Encode4(1287890), // Rule ID 8815 //
     /* 1287811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1287822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1287825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1287828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287864 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1287867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287889 */     // GIR_Coverage, 8815,
     /* 1287889 */     GIR_EraseRootFromParent_Done,
     /* 1287890 */   // Label 18523: @1287890
     /* 1287890 */   GIM_Try, /*On fail goto*//*Label 18524*/ GIMT_Encode4(1287974), // Rule ID 8818 //
     /* 1287895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1287906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1287909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1287912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1287918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287948 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1287951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287973 */     // GIR_Coverage, 8818,
     /* 1287973 */     GIR_EraseRootFromParent_Done,
     /* 1287974 */   // Label 18524: @1287974
     /* 1287974 */   GIM_Try, /*On fail goto*//*Label 18525*/ GIMT_Encode4(1288058), // Rule ID 8819 //
     /* 1287979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1287990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1287993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1287996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288032 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1288035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288057 */     // GIR_Coverage, 8819,
     /* 1288057 */     GIR_EraseRootFromParent_Done,
     /* 1288058 */   // Label 18525: @1288058
     /* 1288058 */   GIM_Try, /*On fail goto*//*Label 18526*/ GIMT_Encode4(1288142), // Rule ID 8822 //
     /* 1288063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1288074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1288077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1288080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1288086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288116 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1288119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288141 */     // GIR_Coverage, 8822,
     /* 1288141 */     GIR_EraseRootFromParent_Done,
     /* 1288142 */   // Label 18526: @1288142
     /* 1288142 */   GIM_Try, /*On fail goto*//*Label 18527*/ GIMT_Encode4(1288226), // Rule ID 8823 //
     /* 1288147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1288158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1288161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1288164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1288170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288200 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1288203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288225 */     // GIR_Coverage, 8823,
     /* 1288225 */     GIR_EraseRootFromParent_Done,
     /* 1288226 */   // Label 18527: @1288226
     /* 1288226 */   GIM_Try, /*On fail goto*//*Label 18528*/ GIMT_Encode4(1288310), // Rule ID 8826 //
     /* 1288231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1288248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288284 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1288287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288309 */     // GIR_Coverage, 8826,
     /* 1288309 */     GIR_EraseRootFromParent_Done,
     /* 1288310 */   // Label 18528: @1288310
     /* 1288310 */   GIM_Try, /*On fail goto*//*Label 18529*/ GIMT_Encode4(1288394), // Rule ID 8827 //
     /* 1288315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1288332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1288371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288393 */     // GIR_Coverage, 8827,
     /* 1288393 */     GIR_EraseRootFromParent_Done,
     /* 1288394 */   // Label 18529: @1288394
     /* 1288394 */   GIM_Try, /*On fail goto*//*Label 18530*/ GIMT_Encode4(1288478), // Rule ID 8830 //
     /* 1288399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1288416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288452 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1288455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288477 */     // GIR_Coverage, 8830,
     /* 1288477 */     GIR_EraseRootFromParent_Done,
     /* 1288478 */   // Label 18530: @1288478
     /* 1288478 */   GIM_Try, /*On fail goto*//*Label 18531*/ GIMT_Encode4(1288562), // Rule ID 8831 //
     /* 1288483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1288500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288536 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1288539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288561 */     // GIR_Coverage, 8831,
     /* 1288561 */     GIR_EraseRootFromParent_Done,
     /* 1288562 */   // Label 18531: @1288562
     /* 1288562 */   GIM_Try, /*On fail goto*//*Label 18532*/ GIMT_Encode4(1288646), // Rule ID 8834 //
     /* 1288567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1288584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288620 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1288623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288645 */     // GIR_Coverage, 8834,
     /* 1288645 */     GIR_EraseRootFromParent_Done,
     /* 1288646 */   // Label 18532: @1288646
     /* 1288646 */   GIM_Try, /*On fail goto*//*Label 18533*/ GIMT_Encode4(1288730), // Rule ID 8835 //
     /* 1288651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1288668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288704 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1288707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288729 */     // GIR_Coverage, 8835,
     /* 1288729 */     GIR_EraseRootFromParent_Done,
     /* 1288730 */   // Label 18533: @1288730
     /* 1288730 */   GIM_Try, /*On fail goto*//*Label 18534*/ GIMT_Encode4(1288814), // Rule ID 8838 //
     /* 1288735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1288752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288788 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1288791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288813 */     // GIR_Coverage, 8838,
     /* 1288813 */     GIR_EraseRootFromParent_Done,
     /* 1288814 */   // Label 18534: @1288814
     /* 1288814 */   GIM_Try, /*On fail goto*//*Label 18535*/ GIMT_Encode4(1288898), // Rule ID 8839 //
     /* 1288819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1288836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1288875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288897 */     // GIR_Coverage, 8839,
     /* 1288897 */     GIR_EraseRootFromParent_Done,
     /* 1288898 */   // Label 18535: @1288898
     /* 1288898 */   GIM_Try, /*On fail goto*//*Label 18536*/ GIMT_Encode4(1288982), // Rule ID 8842 //
     /* 1288903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1288920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288956 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1288959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288981 */     // GIR_Coverage, 8842,
     /* 1288981 */     GIR_EraseRootFromParent_Done,
     /* 1288982 */   // Label 18536: @1288982
     /* 1288982 */   GIM_Try, /*On fail goto*//*Label 18537*/ GIMT_Encode4(1289066), // Rule ID 8843 //
     /* 1288987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1289004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289040 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1289043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289065 */     // GIR_Coverage, 8843,
     /* 1289065 */     GIR_EraseRootFromParent_Done,
     /* 1289066 */   // Label 18537: @1289066
     /* 1289066 */   GIM_Try, /*On fail goto*//*Label 18538*/ GIMT_Encode4(1289150), // Rule ID 8846 //
     /* 1289071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1289088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289124 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1289127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289149 */     // GIR_Coverage, 8846,
     /* 1289149 */     GIR_EraseRootFromParent_Done,
     /* 1289150 */   // Label 18538: @1289150
     /* 1289150 */   GIM_Try, /*On fail goto*//*Label 18539*/ GIMT_Encode4(1289234), // Rule ID 8847 //
     /* 1289155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1289172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289208 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1289211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289233 */     // GIR_Coverage, 8847,
     /* 1289233 */     GIR_EraseRootFromParent_Done,
     /* 1289234 */   // Label 18539: @1289234
     /* 1289234 */   GIM_Try, /*On fail goto*//*Label 18540*/ GIMT_Encode4(1289318), // Rule ID 8850 //
     /* 1289239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1289256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1289295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289317 */     // GIR_Coverage, 8850,
     /* 1289317 */     GIR_EraseRootFromParent_Done,
     /* 1289318 */   // Label 18540: @1289318
     /* 1289318 */   GIM_Try, /*On fail goto*//*Label 18541*/ GIMT_Encode4(1289402), // Rule ID 8851 //
     /* 1289323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1289340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1289379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289401 */     // GIR_Coverage, 8851,
     /* 1289401 */     GIR_EraseRootFromParent_Done,
     /* 1289402 */   // Label 18541: @1289402
     /* 1289402 */   GIM_Try, /*On fail goto*//*Label 18542*/ GIMT_Encode4(1289486), // Rule ID 8854 //
     /* 1289407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1289424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289460 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1289463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289485 */     // GIR_Coverage, 8854,
     /* 1289485 */     GIR_EraseRootFromParent_Done,
     /* 1289486 */   // Label 18542: @1289486
     /* 1289486 */   GIM_Try, /*On fail goto*//*Label 18543*/ GIMT_Encode4(1289570), // Rule ID 8855 //
     /* 1289491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1289508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289544 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1289547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289569 */     // GIR_Coverage, 8855,
     /* 1289569 */     GIR_EraseRootFromParent_Done,
     /* 1289570 */   // Label 18543: @1289570
     /* 1289570 */   GIM_Try, /*On fail goto*//*Label 18544*/ GIMT_Encode4(1289654), // Rule ID 8858 //
     /* 1289575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1289592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289628 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1289631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289653 */     // GIR_Coverage, 8858,
     /* 1289653 */     GIR_EraseRootFromParent_Done,
     /* 1289654 */   // Label 18544: @1289654
     /* 1289654 */   GIM_Try, /*On fail goto*//*Label 18545*/ GIMT_Encode4(1289738), // Rule ID 8859 //
     /* 1289659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1289676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289712 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1289715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289737 */     // GIR_Coverage, 8859,
     /* 1289737 */     GIR_EraseRootFromParent_Done,
     /* 1289738 */   // Label 18545: @1289738
     /* 1289738 */   GIM_Try, /*On fail goto*//*Label 18546*/ GIMT_Encode4(1289822), // Rule ID 8950 //
     /* 1289743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1289754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1289757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1289760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1289763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1289799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289821 */     // GIR_Coverage, 8950,
     /* 1289821 */     GIR_EraseRootFromParent_Done,
     /* 1289822 */   // Label 18546: @1289822
     /* 1289822 */   GIM_Try, /*On fail goto*//*Label 18547*/ GIMT_Encode4(1289906), // Rule ID 8951 //
     /* 1289827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1289838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1289841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1289844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1289847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289880 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1289883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289905 */     // GIR_Coverage, 8951,
     /* 1289905 */     GIR_EraseRootFromParent_Done,
     /* 1289906 */   // Label 18547: @1289906
     /* 1289906 */   GIM_Try, /*On fail goto*//*Label 18548*/ GIMT_Encode4(1289990), // Rule ID 8954 //
     /* 1289911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1289928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1289931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289964 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1289967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289989 */     // GIR_Coverage, 8954,
     /* 1289989 */     GIR_EraseRootFromParent_Done,
     /* 1289990 */   // Label 18548: @1289990
     /* 1289990 */   GIM_Try, /*On fail goto*//*Label 18549*/ GIMT_Encode4(1290074), // Rule ID 8955 //
     /* 1289995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1290012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1290015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1290051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290073 */     // GIR_Coverage, 8955,
     /* 1290073 */     GIR_EraseRootFromParent_Done,
     /* 1290074 */   // Label 18549: @1290074
     /* 1290074 */   GIM_Try, /*On fail goto*//*Label 18550*/ GIMT_Encode4(1290158), // Rule ID 8958 //
     /* 1290079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1290096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1290099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290132 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1290135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290157 */     // GIR_Coverage, 8958,
     /* 1290157 */     GIR_EraseRootFromParent_Done,
     /* 1290158 */   // Label 18550: @1290158
     /* 1290158 */   GIM_Try, /*On fail goto*//*Label 18551*/ GIMT_Encode4(1290242), // Rule ID 8959 //
     /* 1290163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1290180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1290183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290216 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1290219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290241 */     // GIR_Coverage, 8959,
     /* 1290241 */     GIR_EraseRootFromParent_Done,
     /* 1290242 */   // Label 18551: @1290242
     /* 1290242 */   GIM_Try, /*On fail goto*//*Label 18552*/ GIMT_Encode4(1290326), // Rule ID 8962 //
     /* 1290247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1290267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1290303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290325 */     // GIR_Coverage, 8962,
     /* 1290325 */     GIR_EraseRootFromParent_Done,
     /* 1290326 */   // Label 18552: @1290326
     /* 1290326 */   GIM_Try, /*On fail goto*//*Label 18553*/ GIMT_Encode4(1290410), // Rule ID 8963 //
     /* 1290331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1290351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290384 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1290387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290409 */     // GIR_Coverage, 8963,
     /* 1290409 */     GIR_EraseRootFromParent_Done,
     /* 1290410 */   // Label 18553: @1290410
     /* 1290410 */   GIM_Try, /*On fail goto*//*Label 18554*/ GIMT_Encode4(1290494), // Rule ID 8966 //
     /* 1290415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1290432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1290435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290468 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1290471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290493 */     // GIR_Coverage, 8966,
     /* 1290493 */     GIR_EraseRootFromParent_Done,
     /* 1290494 */   // Label 18554: @1290494
     /* 1290494 */   GIM_Try, /*On fail goto*//*Label 18555*/ GIMT_Encode4(1290578), // Rule ID 8967 //
     /* 1290499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1290516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1290519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290552 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1290555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290577 */     // GIR_Coverage, 8967,
     /* 1290577 */     GIR_EraseRootFromParent_Done,
     /* 1290578 */   // Label 18555: @1290578
     /* 1290578 */   GIM_Try, /*On fail goto*//*Label 18556*/ GIMT_Encode4(1290662), // Rule ID 8970 //
     /* 1290583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1290600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1290603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290636 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1290639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290661 */     // GIR_Coverage, 8970,
     /* 1290661 */     GIR_EraseRootFromParent_Done,
     /* 1290662 */   // Label 18556: @1290662
     /* 1290662 */   GIM_Try, /*On fail goto*//*Label 18557*/ GIMT_Encode4(1290746), // Rule ID 8971 //
     /* 1290667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1290684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1290687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290720 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1290723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290745 */     // GIR_Coverage, 8971,
     /* 1290745 */     GIR_EraseRootFromParent_Done,
     /* 1290746 */   // Label 18557: @1290746
     /* 1290746 */   GIM_Try, /*On fail goto*//*Label 18558*/ GIMT_Encode4(1290830), // Rule ID 8974 //
     /* 1290751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1290768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1290771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290804 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1290807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290829 */     // GIR_Coverage, 8974,
     /* 1290829 */     GIR_EraseRootFromParent_Done,
     /* 1290830 */   // Label 18558: @1290830
     /* 1290830 */   GIM_Try, /*On fail goto*//*Label 18559*/ GIMT_Encode4(1290914), // Rule ID 8975 //
     /* 1290835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1290852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1290855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1290891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290913 */     // GIR_Coverage, 8975,
     /* 1290913 */     GIR_EraseRootFromParent_Done,
     /* 1290914 */   // Label 18559: @1290914
     /* 1290914 */   GIM_Try, /*On fail goto*//*Label 18560*/ GIMT_Encode4(1290998), // Rule ID 8978 //
     /* 1290919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1290936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1290939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1290975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290997 */     // GIR_Coverage, 8978,
     /* 1290997 */     GIR_EraseRootFromParent_Done,
     /* 1290998 */   // Label 18560: @1290998
     /* 1290998 */   GIM_Try, /*On fail goto*//*Label 18561*/ GIMT_Encode4(1291082), // Rule ID 8979 //
     /* 1291003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1291020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1291023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291056 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1291059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291081 */     // GIR_Coverage, 8979,
     /* 1291081 */     GIR_EraseRootFromParent_Done,
     /* 1291082 */   // Label 18561: @1291082
     /* 1291082 */   GIM_Try, /*On fail goto*//*Label 18562*/ GIMT_Encode4(1291166), // Rule ID 8982 //
     /* 1291087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1291107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1291143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291165 */     // GIR_Coverage, 8982,
     /* 1291165 */     GIR_EraseRootFromParent_Done,
     /* 1291166 */   // Label 18562: @1291166
     /* 1291166 */   GIM_Try, /*On fail goto*//*Label 18563*/ GIMT_Encode4(1291250), // Rule ID 8983 //
     /* 1291171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1291191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291224 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1291227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291249 */     // GIR_Coverage, 8983,
     /* 1291249 */     GIR_EraseRootFromParent_Done,
     /* 1291250 */   // Label 18563: @1291250
     /* 1291250 */   GIM_Try, /*On fail goto*//*Label 18564*/ GIMT_Encode4(1291334), // Rule ID 8986 //
     /* 1291255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1291258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1291272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1291275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291308 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1291311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291333 */     // GIR_Coverage, 8986,
     /* 1291333 */     GIR_EraseRootFromParent_Done,
     /* 1291334 */   // Label 18564: @1291334
     /* 1291334 */   GIM_Try, /*On fail goto*//*Label 18565*/ GIMT_Encode4(1291418), // Rule ID 8987 //
     /* 1291339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1291342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1291356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1291359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291392 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1291395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291417 */     // GIR_Coverage, 8987,
     /* 1291417 */     GIR_EraseRootFromParent_Done,
     /* 1291418 */   // Label 18565: @1291418
     /* 1291418 */   GIM_Try, /*On fail goto*//*Label 18566*/ GIMT_Encode4(1291502), // Rule ID 8990 //
     /* 1291423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1291440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1291443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291476 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1291479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291501 */     // GIR_Coverage, 8990,
     /* 1291501 */     GIR_EraseRootFromParent_Done,
     /* 1291502 */   // Label 18566: @1291502
     /* 1291502 */   GIM_Try, /*On fail goto*//*Label 18567*/ GIMT_Encode4(1291586), // Rule ID 8991 //
     /* 1291507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1291524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1291527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291560 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1291563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291585 */     // GIR_Coverage, 8991,
     /* 1291585 */     GIR_EraseRootFromParent_Done,
     /* 1291586 */   // Label 18567: @1291586
     /* 1291586 */   GIM_Try, /*On fail goto*//*Label 18568*/ GIMT_Encode4(1291670), // Rule ID 8994 //
     /* 1291591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1291602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1291605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1291608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1291611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291644 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1291647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291669 */     // GIR_Coverage, 8994,
     /* 1291669 */     GIR_EraseRootFromParent_Done,
     /* 1291670 */   // Label 18568: @1291670
     /* 1291670 */   GIM_Try, /*On fail goto*//*Label 18569*/ GIMT_Encode4(1291754), // Rule ID 8995 //
     /* 1291675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1291686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1291689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1291692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1291695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291728 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1291731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291753 */     // GIR_Coverage, 8995,
     /* 1291753 */     GIR_EraseRootFromParent_Done,
     /* 1291754 */   // Label 18569: @1291754
     /* 1291754 */   GIM_Try, /*On fail goto*//*Label 18570*/ GIMT_Encode4(1291838), // Rule ID 8998 //
     /* 1291759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1291770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1291773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1291776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1291779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1291782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291812 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1291815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291837 */     // GIR_Coverage, 8998,
     /* 1291837 */     GIR_EraseRootFromParent_Done,
     /* 1291838 */   // Label 18570: @1291838
     /* 1291838 */   GIM_Try, /*On fail goto*//*Label 18571*/ GIMT_Encode4(1291922), // Rule ID 8999 //
     /* 1291843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1291854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1291857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1291860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1291863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1291866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291896 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1291899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291921 */     // GIR_Coverage, 8999,
     /* 1291921 */     GIR_EraseRootFromParent_Done,
     /* 1291922 */   // Label 18571: @1291922
     /* 1291922 */   GIM_Try, /*On fail goto*//*Label 18572*/ GIMT_Encode4(1292006), // Rule ID 9002 //
     /* 1291927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1291944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1291947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1291983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292005 */     // GIR_Coverage, 9002,
     /* 1292005 */     GIR_EraseRootFromParent_Done,
     /* 1292006 */   // Label 18572: @1292006
     /* 1292006 */   GIM_Try, /*On fail goto*//*Label 18573*/ GIMT_Encode4(1292090), // Rule ID 9003 //
     /* 1292011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1292031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292064 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1292067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292089 */     // GIR_Coverage, 9003,
     /* 1292089 */     GIR_EraseRootFromParent_Done,
     /* 1292090 */   // Label 18573: @1292090
     /* 1292090 */   GIM_Try, /*On fail goto*//*Label 18574*/ GIMT_Encode4(1292174), // Rule ID 9006 //
     /* 1292095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1292115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292148 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1292151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292173 */     // GIR_Coverage, 9006,
     /* 1292173 */     GIR_EraseRootFromParent_Done,
     /* 1292174 */   // Label 18574: @1292174
     /* 1292174 */   GIM_Try, /*On fail goto*//*Label 18575*/ GIMT_Encode4(1292258), // Rule ID 9007 //
     /* 1292179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1292199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292232 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1292235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292257 */     // GIR_Coverage, 9007,
     /* 1292257 */     GIR_EraseRootFromParent_Done,
     /* 1292258 */   // Label 18575: @1292258
     /* 1292258 */   GIM_Try, /*On fail goto*//*Label 18576*/ GIMT_Encode4(1292342), // Rule ID 9010 //
     /* 1292263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1292280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1292283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292316 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1292319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292341 */     // GIR_Coverage, 9010,
     /* 1292341 */     GIR_EraseRootFromParent_Done,
     /* 1292342 */   // Label 18576: @1292342
     /* 1292342 */   GIM_Try, /*On fail goto*//*Label 18577*/ GIMT_Encode4(1292426), // Rule ID 9011 //
     /* 1292347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1292364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1292367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292400 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1292403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292425 */     // GIR_Coverage, 9011,
     /* 1292425 */     GIR_EraseRootFromParent_Done,
     /* 1292426 */   // Label 18577: @1292426
     /* 1292426 */   GIM_Try, /*On fail goto*//*Label 18578*/ GIMT_Encode4(1292510), // Rule ID 9014 //
     /* 1292431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1292448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1292451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292484 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1292487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292509 */     // GIR_Coverage, 9014,
     /* 1292509 */     GIR_EraseRootFromParent_Done,
     /* 1292510 */   // Label 18578: @1292510
     /* 1292510 */   GIM_Try, /*On fail goto*//*Label 18579*/ GIMT_Encode4(1292594), // Rule ID 9015 //
     /* 1292515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1292532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1292535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292568 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1292571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292593 */     // GIR_Coverage, 9015,
     /* 1292593 */     GIR_EraseRootFromParent_Done,
     /* 1292594 */   // Label 18579: @1292594
     /* 1292594 */   GIM_Try, /*On fail goto*//*Label 18580*/ GIMT_Encode4(1292678), // Rule ID 9018 //
     /* 1292599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1292616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1292619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292652 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1292655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292677 */     // GIR_Coverage, 9018,
     /* 1292677 */     GIR_EraseRootFromParent_Done,
     /* 1292678 */   // Label 18580: @1292678
     /* 1292678 */   GIM_Try, /*On fail goto*//*Label 18581*/ GIMT_Encode4(1292762), // Rule ID 9019 //
     /* 1292683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1292700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1292703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1292739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292761 */     // GIR_Coverage, 9019,
     /* 1292761 */     GIR_EraseRootFromParent_Done,
     /* 1292762 */   // Label 18581: @1292762
     /* 1292762 */   GIM_Try, /*On fail goto*//*Label 18582*/ GIMT_Encode4(1292846), // Rule ID 9022 //
     /* 1292767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1292784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1292787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292820 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1292823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292845 */     // GIR_Coverage, 9022,
     /* 1292845 */     GIR_EraseRootFromParent_Done,
     /* 1292846 */   // Label 18582: @1292846
     /* 1292846 */   GIM_Try, /*On fail goto*//*Label 18583*/ GIMT_Encode4(1292930), // Rule ID 9023 //
     /* 1292851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1292868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1292871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292904 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1292907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292929 */     // GIR_Coverage, 9023,
     /* 1292929 */     GIR_EraseRootFromParent_Done,
     /* 1292930 */   // Label 18583: @1292930
     /* 1292930 */   GIM_Try, /*On fail goto*//*Label 18584*/ GIMT_Encode4(1293014), // Rule ID 9026 //
     /* 1292935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1292938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1292946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1292949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1292952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1292955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292988 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1292991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293013 */     // GIR_Coverage, 9026,
     /* 1293013 */     GIR_EraseRootFromParent_Done,
     /* 1293014 */   // Label 18584: @1293014
     /* 1293014 */   GIM_Try, /*On fail goto*//*Label 18585*/ GIMT_Encode4(1293098), // Rule ID 9027 //
     /* 1293019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1293039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1293075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293097 */     // GIR_Coverage, 9027,
     /* 1293097 */     GIR_EraseRootFromParent_Done,
     /* 1293098 */   // Label 18585: @1293098
     /* 1293098 */   GIM_Try, /*On fail goto*//*Label 18586*/ GIMT_Encode4(1293182), // Rule ID 9030 //
     /* 1293103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1293123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1293159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293181 */     // GIR_Coverage, 9030,
     /* 1293181 */     GIR_EraseRootFromParent_Done,
     /* 1293182 */   // Label 18586: @1293182
     /* 1293182 */   GIM_Try, /*On fail goto*//*Label 18587*/ GIMT_Encode4(1293266), // Rule ID 9031 //
     /* 1293187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1293207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293240 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1293243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293265 */     // GIR_Coverage, 9031,
     /* 1293265 */     GIR_EraseRootFromParent_Done,
     /* 1293266 */   // Label 18587: @1293266
     /* 1293266 */   GIM_Try, /*On fail goto*//*Label 18588*/ GIMT_Encode4(1293350), // Rule ID 9034 //
     /* 1293271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1293288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1293291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293324 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1293327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293349 */     // GIR_Coverage, 9034,
     /* 1293349 */     GIR_EraseRootFromParent_Done,
     /* 1293350 */   // Label 18588: @1293350
     /* 1293350 */   GIM_Try, /*On fail goto*//*Label 18589*/ GIMT_Encode4(1293434), // Rule ID 9035 //
     /* 1293355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1293372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1293375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293408 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1293411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293433 */     // GIR_Coverage, 9035,
     /* 1293433 */     GIR_EraseRootFromParent_Done,
     /* 1293434 */   // Label 18589: @1293434
     /* 1293434 */   GIM_Try, /*On fail goto*//*Label 18590*/ GIMT_Encode4(1293518), // Rule ID 9038 //
     /* 1293439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1293456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1293495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293517 */     // GIR_Coverage, 9038,
     /* 1293517 */     GIR_EraseRootFromParent_Done,
     /* 1293518 */   // Label 18590: @1293518
     /* 1293518 */   GIM_Try, /*On fail goto*//*Label 18591*/ GIMT_Encode4(1293602), // Rule ID 9039 //
     /* 1293523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1293540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1293579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293601 */     // GIR_Coverage, 9039,
     /* 1293601 */     GIR_EraseRootFromParent_Done,
     /* 1293602 */   // Label 18591: @1293602
     /* 1293602 */   GIM_Try, /*On fail goto*//*Label 18592*/ GIMT_Encode4(1293686), // Rule ID 9042 //
     /* 1293607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1293624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293660 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1293663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293685 */     // GIR_Coverage, 9042,
     /* 1293685 */     GIR_EraseRootFromParent_Done,
     /* 1293686 */   // Label 18592: @1293686
     /* 1293686 */   GIM_Try, /*On fail goto*//*Label 18593*/ GIMT_Encode4(1293770), // Rule ID 9043 //
     /* 1293691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1293708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293744 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1293747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293769 */     // GIR_Coverage, 9043,
     /* 1293769 */     GIR_EraseRootFromParent_Done,
     /* 1293770 */   // Label 18593: @1293770
     /* 1293770 */   GIM_Try, /*On fail goto*//*Label 18594*/ GIMT_Encode4(1293854), // Rule ID 9046 //
     /* 1293775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1293792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1293831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293853 */     // GIR_Coverage, 9046,
     /* 1293853 */     GIR_EraseRootFromParent_Done,
     /* 1293854 */   // Label 18594: @1293854
     /* 1293854 */   GIM_Try, /*On fail goto*//*Label 18595*/ GIMT_Encode4(1293938), // Rule ID 9047 //
     /* 1293859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1293876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293912 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1293915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293937 */     // GIR_Coverage, 9047,
     /* 1293937 */     GIR_EraseRootFromParent_Done,
     /* 1293938 */   // Label 18595: @1293938
     /* 1293938 */   GIM_Try, /*On fail goto*//*Label 18596*/ GIMT_Encode4(1294022), // Rule ID 9050 //
     /* 1293943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1293960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293996 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1293999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294021 */     // GIR_Coverage, 9050,
     /* 1294021 */     GIR_EraseRootFromParent_Done,
     /* 1294022 */   // Label 18596: @1294022
     /* 1294022 */   GIM_Try, /*On fail goto*//*Label 18597*/ GIMT_Encode4(1294106), // Rule ID 9051 //
     /* 1294027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1294044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294080 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1294083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294105 */     // GIR_Coverage, 9051,
     /* 1294105 */     GIR_EraseRootFromParent_Done,
     /* 1294106 */   // Label 18597: @1294106
     /* 1294106 */   GIM_Try, /*On fail goto*//*Label 18598*/ GIMT_Encode4(1294190), // Rule ID 9054 //
     /* 1294111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294164 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1294167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294189 */     // GIR_Coverage, 9054,
     /* 1294189 */     GIR_EraseRootFromParent_Done,
     /* 1294190 */   // Label 18598: @1294190
     /* 1294190 */   GIM_Try, /*On fail goto*//*Label 18599*/ GIMT_Encode4(1294274), // Rule ID 9055 //
     /* 1294195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294248 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1294251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294273 */     // GIR_Coverage, 9055,
     /* 1294273 */     GIR_EraseRootFromParent_Done,
     /* 1294274 */   // Label 18599: @1294274
     /* 1294274 */   GIM_Try, /*On fail goto*//*Label 18600*/ GIMT_Encode4(1294358), // Rule ID 9058 //
     /* 1294279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294332 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1294335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294357 */     // GIR_Coverage, 9058,
     /* 1294357 */     GIR_EraseRootFromParent_Done,
     /* 1294358 */   // Label 18600: @1294358
     /* 1294358 */   GIM_Try, /*On fail goto*//*Label 18601*/ GIMT_Encode4(1294442), // Rule ID 9059 //
     /* 1294363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1294419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294441 */     // GIR_Coverage, 9059,
     /* 1294441 */     GIR_EraseRootFromParent_Done,
     /* 1294442 */   // Label 18601: @1294442
     /* 1294442 */   GIM_Try, /*On fail goto*//*Label 18602*/ GIMT_Encode4(1294526), // Rule ID 9062 //
     /* 1294447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1294464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294500 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294525 */     // GIR_Coverage, 9062,
     /* 1294525 */     GIR_EraseRootFromParent_Done,
     /* 1294526 */   // Label 18602: @1294526
     /* 1294526 */   GIM_Try, /*On fail goto*//*Label 18603*/ GIMT_Encode4(1294610), // Rule ID 9063 //
     /* 1294531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1294548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294584 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294609 */     // GIR_Coverage, 9063,
     /* 1294609 */     GIR_EraseRootFromParent_Done,
     /* 1294610 */   // Label 18603: @1294610
     /* 1294610 */   GIM_Try, /*On fail goto*//*Label 18604*/ GIMT_Encode4(1294694), // Rule ID 9066 //
     /* 1294615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1294632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294693 */     // GIR_Coverage, 9066,
     /* 1294693 */     GIR_EraseRootFromParent_Done,
     /* 1294694 */   // Label 18604: @1294694
     /* 1294694 */   GIM_Try, /*On fail goto*//*Label 18605*/ GIMT_Encode4(1294778), // Rule ID 9067 //
     /* 1294699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1294716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294752 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294777 */     // GIR_Coverage, 9067,
     /* 1294777 */     GIR_EraseRootFromParent_Done,
     /* 1294778 */   // Label 18605: @1294778
     /* 1294778 */   GIM_Try, /*On fail goto*//*Label 18606*/ GIMT_Encode4(1294862), // Rule ID 9070 //
     /* 1294783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1294800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294836 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294861 */     // GIR_Coverage, 9070,
     /* 1294861 */     GIR_EraseRootFromParent_Done,
     /* 1294862 */   // Label 18606: @1294862
     /* 1294862 */   GIM_Try, /*On fail goto*//*Label 18607*/ GIMT_Encode4(1294946), // Rule ID 9071 //
     /* 1294867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1294884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294920 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1294923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294945 */     // GIR_Coverage, 9071,
     /* 1294945 */     GIR_EraseRootFromParent_Done,
     /* 1294946 */   // Label 18607: @1294946
     /* 1294946 */   GIM_Try, /*On fail goto*//*Label 18608*/ GIMT_Encode4(1295030), // Rule ID 9074 //
     /* 1294951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1294954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1294968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295004 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1295007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295029 */     // GIR_Coverage, 9074,
     /* 1295029 */     GIR_EraseRootFromParent_Done,
     /* 1295030 */   // Label 18608: @1295030
     /* 1295030 */   GIM_Try, /*On fail goto*//*Label 18609*/ GIMT_Encode4(1295114), // Rule ID 9075 //
     /* 1295035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1295038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1295052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295088 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1295091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295113 */     // GIR_Coverage, 9075,
     /* 1295113 */     GIR_EraseRootFromParent_Done,
     /* 1295114 */   // Label 18609: @1295114
     /* 1295114 */   GIM_Try, /*On fail goto*//*Label 18610*/ GIMT_Encode4(1295198), // Rule ID 9078 //
     /* 1295119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1295136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295172 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1295175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295197 */     // GIR_Coverage, 9078,
     /* 1295197 */     GIR_EraseRootFromParent_Done,
     /* 1295198 */   // Label 18610: @1295198
     /* 1295198 */   GIM_Try, /*On fail goto*//*Label 18611*/ GIMT_Encode4(1295282), // Rule ID 9079 //
     /* 1295203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1295220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295256 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1295259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295281 */     // GIR_Coverage, 9079,
     /* 1295281 */     GIR_EraseRootFromParent_Done,
     /* 1295282 */   // Label 18611: @1295282
     /* 1295282 */   GIM_Try, /*On fail goto*//*Label 18612*/ GIMT_Encode4(1295366), // Rule ID 9082 //
     /* 1295287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1295304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295340 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1295343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295365 */     // GIR_Coverage, 9082,
     /* 1295365 */     GIR_EraseRootFromParent_Done,
     /* 1295366 */   // Label 18612: @1295366
     /* 1295366 */   GIM_Try, /*On fail goto*//*Label 18613*/ GIMT_Encode4(1295450), // Rule ID 9083 //
     /* 1295371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1295388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295424 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1295427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295449 */     // GIR_Coverage, 9083,
     /* 1295449 */     GIR_EraseRootFromParent_Done,
     /* 1295450 */   // Label 18613: @1295450
     /* 1295450 */   GIM_Try, /*On fail goto*//*Label 18614*/ GIMT_Encode4(1295534), // Rule ID 9086 //
     /* 1295455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1295466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1295469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1295472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1295478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295508 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1295511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295533 */     // GIR_Coverage, 9086,
     /* 1295533 */     GIR_EraseRootFromParent_Done,
     /* 1295534 */   // Label 18614: @1295534
     /* 1295534 */   GIM_Try, /*On fail goto*//*Label 18615*/ GIMT_Encode4(1295618), // Rule ID 9087 //
     /* 1295539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1295550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1295553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1295556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1295562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295592 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1295595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295617 */     // GIR_Coverage, 9087,
     /* 1295617 */     GIR_EraseRootFromParent_Done,
     /* 1295618 */   // Label 18615: @1295618
     /* 1295618 */   GIM_Try, /*On fail goto*//*Label 18616*/ GIMT_Encode4(1295702), // Rule ID 9090 //
     /* 1295623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1295640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295676 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1295679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295701 */     // GIR_Coverage, 9090,
     /* 1295701 */     GIR_EraseRootFromParent_Done,
     /* 1295702 */   // Label 18616: @1295702
     /* 1295702 */   GIM_Try, /*On fail goto*//*Label 18617*/ GIMT_Encode4(1295786), // Rule ID 9091 //
     /* 1295707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1295724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295760 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1295763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295785 */     // GIR_Coverage, 9091,
     /* 1295785 */     GIR_EraseRootFromParent_Done,
     /* 1295786 */   // Label 18617: @1295786
     /* 1295786 */   GIM_Try, /*On fail goto*//*Label 18618*/ GIMT_Encode4(1295870), // Rule ID 9094 //
     /* 1295791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1295808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295844 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1295847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295869 */     // GIR_Coverage, 9094,
     /* 1295869 */     GIR_EraseRootFromParent_Done,
     /* 1295870 */   // Label 18618: @1295870
     /* 1295870 */   GIM_Try, /*On fail goto*//*Label 18619*/ GIMT_Encode4(1295954), // Rule ID 9095 //
     /* 1295875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1295892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295928 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1295931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295953 */     // GIR_Coverage, 9095,
     /* 1295953 */     GIR_EraseRootFromParent_Done,
     /* 1295954 */   // Label 18619: @1295954
     /* 1295954 */   GIM_Try, /*On fail goto*//*Label 18620*/ GIMT_Encode4(1296038), // Rule ID 9098 //
     /* 1295959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1295976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296012 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1296015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296037 */     // GIR_Coverage, 9098,
     /* 1296037 */     GIR_EraseRootFromParent_Done,
     /* 1296038 */   // Label 18620: @1296038
     /* 1296038 */   GIM_Try, /*On fail goto*//*Label 18621*/ GIMT_Encode4(1296122), // Rule ID 9099 //
     /* 1296043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1296060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296096 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1296099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296121 */     // GIR_Coverage, 9099,
     /* 1296121 */     GIR_EraseRootFromParent_Done,
     /* 1296122 */   // Label 18621: @1296122
     /* 1296122 */   GIM_Try, /*On fail goto*//*Label 18622*/ GIMT_Encode4(1296206), // Rule ID 9102 //
     /* 1296127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1296144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296180 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1296183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296205 */     // GIR_Coverage, 9102,
     /* 1296205 */     GIR_EraseRootFromParent_Done,
     /* 1296206 */   // Label 18622: @1296206
     /* 1296206 */   GIM_Try, /*On fail goto*//*Label 18623*/ GIMT_Encode4(1296290), // Rule ID 9103 //
     /* 1296211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1296228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296264 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1296267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296289 */     // GIR_Coverage, 9103,
     /* 1296289 */     GIR_EraseRootFromParent_Done,
     /* 1296290 */   // Label 18623: @1296290
     /* 1296290 */   GIM_Try, /*On fail goto*//*Label 18624*/ GIMT_Encode4(1296374), // Rule ID 9106 //
     /* 1296295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1296312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296348 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1296351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296373 */     // GIR_Coverage, 9106,
     /* 1296373 */     GIR_EraseRootFromParent_Done,
     /* 1296374 */   // Label 18624: @1296374
     /* 1296374 */   GIM_Try, /*On fail goto*//*Label 18625*/ GIMT_Encode4(1296458), // Rule ID 9107 //
     /* 1296379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1296396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1296435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296457 */     // GIR_Coverage, 9107,
     /* 1296457 */     GIR_EraseRootFromParent_Done,
     /* 1296458 */   // Label 18625: @1296458
     /* 1296458 */   GIM_Try, /*On fail goto*//*Label 18626*/ GIMT_Encode4(1296542), // Rule ID 9110 //
     /* 1296463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1296480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296516 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1296519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296541 */     // GIR_Coverage, 9110,
     /* 1296541 */     GIR_EraseRootFromParent_Done,
     /* 1296542 */   // Label 18626: @1296542
     /* 1296542 */   GIM_Try, /*On fail goto*//*Label 18627*/ GIMT_Encode4(1296626), // Rule ID 9111 //
     /* 1296547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1296564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296600 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1296603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296625 */     // GIR_Coverage, 9111,
     /* 1296625 */     GIR_EraseRootFromParent_Done,
     /* 1296626 */   // Label 18627: @1296626
     /* 1296626 */   GIM_Try, /*On fail goto*//*Label 18628*/ GIMT_Encode4(1296710), // Rule ID 9114 //
     /* 1296631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1296634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1296648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1296687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296709 */     // GIR_Coverage, 9114,
     /* 1296709 */     GIR_EraseRootFromParent_Done,
     /* 1296710 */   // Label 18628: @1296710
     /* 1296710 */   GIM_Try, /*On fail goto*//*Label 18629*/ GIMT_Encode4(1296794), // Rule ID 9115 //
     /* 1296715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1296718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1296732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1296771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296793 */     // GIR_Coverage, 9115,
     /* 1296793 */     GIR_EraseRootFromParent_Done,
     /* 1296794 */   // Label 18629: @1296794
     /* 1296794 */   GIM_Try, /*On fail goto*//*Label 18630*/ GIMT_Encode4(1296878), // Rule ID 9118 //
     /* 1296799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1296802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1296816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296852 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1296855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296877 */     // GIR_Coverage, 9118,
     /* 1296877 */     GIR_EraseRootFromParent_Done,
     /* 1296878 */   // Label 18630: @1296878
     /* 1296878 */   GIM_Try, /*On fail goto*//*Label 18631*/ GIMT_Encode4(1296962), // Rule ID 9119 //
     /* 1296883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1296886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1296900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296936 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1296939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296961 */     // GIR_Coverage, 9119,
     /* 1296961 */     GIR_EraseRootFromParent_Done,
     /* 1296962 */   // Label 18631: @1296962
     /* 1296962 */   GIM_Try, /*On fail goto*//*Label 18632*/ GIMT_Encode4(1297046), // Rule ID 9122 //
     /* 1296967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1296970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1296984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1297023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297045 */     // GIR_Coverage, 9122,
     /* 1297045 */     GIR_EraseRootFromParent_Done,
     /* 1297046 */   // Label 18632: @1297046
     /* 1297046 */   GIM_Try, /*On fail goto*//*Label 18633*/ GIMT_Encode4(1297130), // Rule ID 9123 //
     /* 1297051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1297059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1297068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1297107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297129 */     // GIR_Coverage, 9123,
     /* 1297129 */     GIR_EraseRootFromParent_Done,
     /* 1297130 */   // Label 18633: @1297130
     /* 1297130 */   GIM_Try, /*On fail goto*//*Label 18634*/ GIMT_Encode4(1297214), // Rule ID 9214 //
     /* 1297135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1297152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1297191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297213 */     // GIR_Coverage, 9214,
     /* 1297213 */     GIR_EraseRootFromParent_Done,
     /* 1297214 */   // Label 18634: @1297214
     /* 1297214 */   GIM_Try, /*On fail goto*//*Label 18635*/ GIMT_Encode4(1297298), // Rule ID 9215 //
     /* 1297219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1297236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1297275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297297 */     // GIR_Coverage, 9215,
     /* 1297297 */     GIR_EraseRootFromParent_Done,
     /* 1297298 */   // Label 18635: @1297298
     /* 1297298 */   GIM_Try, /*On fail goto*//*Label 18636*/ GIMT_Encode4(1297382), // Rule ID 9218 //
     /* 1297303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1297359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297381 */     // GIR_Coverage, 9218,
     /* 1297381 */     GIR_EraseRootFromParent_Done,
     /* 1297382 */   // Label 18636: @1297382
     /* 1297382 */   GIM_Try, /*On fail goto*//*Label 18637*/ GIMT_Encode4(1297466), // Rule ID 9219 //
     /* 1297387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297440 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1297443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297465 */     // GIR_Coverage, 9219,
     /* 1297465 */     GIR_EraseRootFromParent_Done,
     /* 1297466 */   // Label 18637: @1297466
     /* 1297466 */   GIM_Try, /*On fail goto*//*Label 18638*/ GIMT_Encode4(1297550), // Rule ID 9222 //
     /* 1297471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1297488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1297527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297549 */     // GIR_Coverage, 9222,
     /* 1297549 */     GIR_EraseRootFromParent_Done,
     /* 1297550 */   // Label 18638: @1297550
     /* 1297550 */   GIM_Try, /*On fail goto*//*Label 18639*/ GIMT_Encode4(1297634), // Rule ID 9223 //
     /* 1297555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1297572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297608 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1297611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297633 */     // GIR_Coverage, 9223,
     /* 1297633 */     GIR_EraseRootFromParent_Done,
     /* 1297634 */   // Label 18639: @1297634
     /* 1297634 */   GIM_Try, /*On fail goto*//*Label 18640*/ GIMT_Encode4(1297718), // Rule ID 9226 //
     /* 1297639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1297656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1297695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297717 */     // GIR_Coverage, 9226,
     /* 1297717 */     GIR_EraseRootFromParent_Done,
     /* 1297718 */   // Label 18640: @1297718
     /* 1297718 */   GIM_Try, /*On fail goto*//*Label 18641*/ GIMT_Encode4(1297802), // Rule ID 9227 //
     /* 1297723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1297740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297776 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1297779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297801 */     // GIR_Coverage, 9227,
     /* 1297801 */     GIR_EraseRootFromParent_Done,
     /* 1297802 */   // Label 18641: @1297802
     /* 1297802 */   GIM_Try, /*On fail goto*//*Label 18642*/ GIMT_Encode4(1297886), // Rule ID 9230 //
     /* 1297807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1297824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1297863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297885 */     // GIR_Coverage, 9230,
     /* 1297885 */     GIR_EraseRootFromParent_Done,
     /* 1297886 */   // Label 18642: @1297886
     /* 1297886 */   GIM_Try, /*On fail goto*//*Label 18643*/ GIMT_Encode4(1297970), // Rule ID 9231 //
     /* 1297891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1297908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297944 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1297947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297969 */     // GIR_Coverage, 9231,
     /* 1297969 */     GIR_EraseRootFromParent_Done,
     /* 1297970 */   // Label 18643: @1297970
     /* 1297970 */   GIM_Try, /*On fail goto*//*Label 18644*/ GIMT_Encode4(1298054), // Rule ID 9234 //
     /* 1297975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1297992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1298031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298053 */     // GIR_Coverage, 9234,
     /* 1298053 */     GIR_EraseRootFromParent_Done,
     /* 1298054 */   // Label 18644: @1298054
     /* 1298054 */   GIM_Try, /*On fail goto*//*Label 18645*/ GIMT_Encode4(1298138), // Rule ID 9235 //
     /* 1298059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1298076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1298115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298137 */     // GIR_Coverage, 9235,
     /* 1298137 */     GIR_EraseRootFromParent_Done,
     /* 1298138 */   // Label 18645: @1298138
     /* 1298138 */   GIM_Try, /*On fail goto*//*Label 18646*/ GIMT_Encode4(1298222), // Rule ID 9238 //
     /* 1298143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1298199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298221 */     // GIR_Coverage, 9238,
     /* 1298221 */     GIR_EraseRootFromParent_Done,
     /* 1298222 */   // Label 18646: @1298222
     /* 1298222 */   GIM_Try, /*On fail goto*//*Label 18647*/ GIMT_Encode4(1298306), // Rule ID 9239 //
     /* 1298227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298280 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1298283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298305 */     // GIR_Coverage, 9239,
     /* 1298305 */     GIR_EraseRootFromParent_Done,
     /* 1298306 */   // Label 18647: @1298306
     /* 1298306 */   GIM_Try, /*On fail goto*//*Label 18648*/ GIMT_Encode4(1298390), // Rule ID 9242 //
     /* 1298311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298364 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1298367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298389 */     // GIR_Coverage, 9242,
     /* 1298389 */     GIR_EraseRootFromParent_Done,
     /* 1298390 */   // Label 18648: @1298390
     /* 1298390 */   GIM_Try, /*On fail goto*//*Label 18649*/ GIMT_Encode4(1298474), // Rule ID 9243 //
     /* 1298395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298448 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1298451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298473 */     // GIR_Coverage, 9243,
     /* 1298473 */     GIR_EraseRootFromParent_Done,
     /* 1298474 */   // Label 18649: @1298474
     /* 1298474 */   GIM_Try, /*On fail goto*//*Label 18650*/ GIMT_Encode4(1298558), // Rule ID 9246 //
     /* 1298479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1298496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1298535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298557 */     // GIR_Coverage, 9246,
     /* 1298557 */     GIR_EraseRootFromParent_Done,
     /* 1298558 */   // Label 18650: @1298558
     /* 1298558 */   GIM_Try, /*On fail goto*//*Label 18651*/ GIMT_Encode4(1298642), // Rule ID 9247 //
     /* 1298563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1298580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1298619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298641 */     // GIR_Coverage, 9247,
     /* 1298641 */     GIR_EraseRootFromParent_Done,
     /* 1298642 */   // Label 18651: @1298642
     /* 1298642 */   GIM_Try, /*On fail goto*//*Label 18652*/ GIMT_Encode4(1298726), // Rule ID 9250 //
     /* 1298647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1298650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1298664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298700 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1298703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298725 */     // GIR_Coverage, 9250,
     /* 1298725 */     GIR_EraseRootFromParent_Done,
     /* 1298726 */   // Label 18652: @1298726
     /* 1298726 */   GIM_Try, /*On fail goto*//*Label 18653*/ GIMT_Encode4(1298810), // Rule ID 9251 //
     /* 1298731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1298734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1298748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1298787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298809 */     // GIR_Coverage, 9251,
     /* 1298809 */     GIR_EraseRootFromParent_Done,
     /* 1298810 */   // Label 18653: @1298810
     /* 1298810 */   GIM_Try, /*On fail goto*//*Label 18654*/ GIMT_Encode4(1298894), // Rule ID 9254 //
     /* 1298815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1298832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298868 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1298871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298893 */     // GIR_Coverage, 9254,
     /* 1298893 */     GIR_EraseRootFromParent_Done,
     /* 1298894 */   // Label 18654: @1298894
     /* 1298894 */   GIM_Try, /*On fail goto*//*Label 18655*/ GIMT_Encode4(1298978), // Rule ID 9255 //
     /* 1298899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1298916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1298955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298977 */     // GIR_Coverage, 9255,
     /* 1298977 */     GIR_EraseRootFromParent_Done,
     /* 1298978 */   // Label 18655: @1298978
     /* 1298978 */   GIM_Try, /*On fail goto*//*Label 18656*/ GIMT_Encode4(1299062), // Rule ID 9258 //
     /* 1298983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1298994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1298997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1299000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299036 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1299039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299061 */     // GIR_Coverage, 9258,
     /* 1299061 */     GIR_EraseRootFromParent_Done,
     /* 1299062 */   // Label 18656: @1299062
     /* 1299062 */   GIM_Try, /*On fail goto*//*Label 18657*/ GIMT_Encode4(1299146), // Rule ID 9259 //
     /* 1299067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1299084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299120 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1299123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299145 */     // GIR_Coverage, 9259,
     /* 1299145 */     GIR_EraseRootFromParent_Done,
     /* 1299146 */   // Label 18657: @1299146
     /* 1299146 */   GIM_Try, /*On fail goto*//*Label 18658*/ GIMT_Encode4(1299230), // Rule ID 9262 //
     /* 1299151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1299162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1299165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299204 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1299207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299229 */     // GIR_Coverage, 9262,
     /* 1299229 */     GIR_EraseRootFromParent_Done,
     /* 1299230 */   // Label 18658: @1299230
     /* 1299230 */   GIM_Try, /*On fail goto*//*Label 18659*/ GIMT_Encode4(1299314), // Rule ID 9263 //
     /* 1299235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1299246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1299249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299288 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1299291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299313 */     // GIR_Coverage, 9263,
     /* 1299313 */     GIR_EraseRootFromParent_Done,
     /* 1299314 */   // Label 18659: @1299314
     /* 1299314 */   GIM_Try, /*On fail goto*//*Label 18660*/ GIMT_Encode4(1299398), // Rule ID 9266 //
     /* 1299319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1299375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299397 */     // GIR_Coverage, 9266,
     /* 1299397 */     GIR_EraseRootFromParent_Done,
     /* 1299398 */   // Label 18660: @1299398
     /* 1299398 */   GIM_Try, /*On fail goto*//*Label 18661*/ GIMT_Encode4(1299482), // Rule ID 9267 //
     /* 1299403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1299459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299481 */     // GIR_Coverage, 9267,
     /* 1299481 */     GIR_EraseRootFromParent_Done,
     /* 1299482 */   // Label 18661: @1299482
     /* 1299482 */   GIM_Try, /*On fail goto*//*Label 18662*/ GIMT_Encode4(1299566), // Rule ID 9270 //
     /* 1299487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1299504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1299543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299565 */     // GIR_Coverage, 9270,
     /* 1299565 */     GIR_EraseRootFromParent_Done,
     /* 1299566 */   // Label 18662: @1299566
     /* 1299566 */   GIM_Try, /*On fail goto*//*Label 18663*/ GIMT_Encode4(1299650), // Rule ID 9271 //
     /* 1299571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1299588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299624 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1299627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299649 */     // GIR_Coverage, 9271,
     /* 1299649 */     GIR_EraseRootFromParent_Done,
     /* 1299650 */   // Label 18663: @1299650
     /* 1299650 */   GIM_Try, /*On fail goto*//*Label 18664*/ GIMT_Encode4(1299734), // Rule ID 9274 //
     /* 1299655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1299672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299708 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1299711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299733 */     // GIR_Coverage, 9274,
     /* 1299733 */     GIR_EraseRootFromParent_Done,
     /* 1299734 */   // Label 18664: @1299734
     /* 1299734 */   GIM_Try, /*On fail goto*//*Label 18665*/ GIMT_Encode4(1299818), // Rule ID 9275 //
     /* 1299739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1299756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299792 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1299795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299817 */     // GIR_Coverage, 9275,
     /* 1299817 */     GIR_EraseRootFromParent_Done,
     /* 1299818 */   // Label 18665: @1299818
     /* 1299818 */   GIM_Try, /*On fail goto*//*Label 18666*/ GIMT_Encode4(1299902), // Rule ID 9278 //
     /* 1299823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1299840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299876 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1299879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299901 */     // GIR_Coverage, 9278,
     /* 1299901 */     GIR_EraseRootFromParent_Done,
     /* 1299902 */   // Label 18666: @1299902
     /* 1299902 */   GIM_Try, /*On fail goto*//*Label 18667*/ GIMT_Encode4(1299986), // Rule ID 9279 //
     /* 1299907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1299924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299960 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1299963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299985 */     // GIR_Coverage, 9279,
     /* 1299985 */     GIR_EraseRootFromParent_Done,
     /* 1299986 */   // Label 18667: @1299986
     /* 1299986 */   GIM_Try, /*On fail goto*//*Label 18668*/ GIMT_Encode4(1300070), // Rule ID 9282 //
     /* 1299991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1300008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1300047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300069 */     // GIR_Coverage, 9282,
     /* 1300069 */     GIR_EraseRootFromParent_Done,
     /* 1300070 */   // Label 18668: @1300070
     /* 1300070 */   GIM_Try, /*On fail goto*//*Label 18669*/ GIMT_Encode4(1300154), // Rule ID 9283 //
     /* 1300075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1300092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1300131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300153 */     // GIR_Coverage, 9283,
     /* 1300153 */     GIR_EraseRootFromParent_Done,
     /* 1300154 */   // Label 18669: @1300154
     /* 1300154 */   GIM_Try, /*On fail goto*//*Label 18670*/ GIMT_Encode4(1300238), // Rule ID 9286 //
     /* 1300159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300212 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1300215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300237 */     // GIR_Coverage, 9286,
     /* 1300237 */     GIR_EraseRootFromParent_Done,
     /* 1300238 */   // Label 18670: @1300238
     /* 1300238 */   GIM_Try, /*On fail goto*//*Label 18671*/ GIMT_Encode4(1300322), // Rule ID 9287 //
     /* 1300243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300296 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1300299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300321 */     // GIR_Coverage, 9287,
     /* 1300321 */     GIR_EraseRootFromParent_Done,
     /* 1300322 */   // Label 18671: @1300322
     /* 1300322 */   GIM_Try, /*On fail goto*//*Label 18672*/ GIMT_Encode4(1300406), // Rule ID 9290 //
     /* 1300327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1300383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300405 */     // GIR_Coverage, 9290,
     /* 1300405 */     GIR_EraseRootFromParent_Done,
     /* 1300406 */   // Label 18672: @1300406
     /* 1300406 */   GIM_Try, /*On fail goto*//*Label 18673*/ GIMT_Encode4(1300490), // Rule ID 9291 //
     /* 1300411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1300467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300489 */     // GIR_Coverage, 9291,
     /* 1300489 */     GIR_EraseRootFromParent_Done,
     /* 1300490 */   // Label 18673: @1300490
     /* 1300490 */   GIM_Try, /*On fail goto*//*Label 18674*/ GIMT_Encode4(1300574), // Rule ID 9294 //
     /* 1300495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1300512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300548 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1300551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300573 */     // GIR_Coverage, 9294,
     /* 1300573 */     GIR_EraseRootFromParent_Done,
     /* 1300574 */   // Label 18674: @1300574
     /* 1300574 */   GIM_Try, /*On fail goto*//*Label 18675*/ GIMT_Encode4(1300658), // Rule ID 9295 //
     /* 1300579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1300596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1300635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300657 */     // GIR_Coverage, 9295,
     /* 1300657 */     GIR_EraseRootFromParent_Done,
     /* 1300658 */   // Label 18675: @1300658
     /* 1300658 */   GIM_Try, /*On fail goto*//*Label 18676*/ GIMT_Encode4(1300742), // Rule ID 9298 //
     /* 1300663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1300680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300716 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1300719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300741 */     // GIR_Coverage, 9298,
     /* 1300741 */     GIR_EraseRootFromParent_Done,
     /* 1300742 */   // Label 18676: @1300742
     /* 1300742 */   GIM_Try, /*On fail goto*//*Label 18677*/ GIMT_Encode4(1300826), // Rule ID 9299 //
     /* 1300747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1300764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300800 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1300803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300825 */     // GIR_Coverage, 9299,
     /* 1300825 */     GIR_EraseRootFromParent_Done,
     /* 1300826 */   // Label 18677: @1300826
     /* 1300826 */   GIM_Try, /*On fail goto*//*Label 18678*/ GIMT_Encode4(1300910), // Rule ID 9390 //
     /* 1300831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1300848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1300887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300909 */     // GIR_Coverage, 9390,
     /* 1300909 */     GIR_EraseRootFromParent_Done,
     /* 1300910 */   // Label 18678: @1300910
     /* 1300910 */   GIM_Try, /*On fail goto*//*Label 18679*/ GIMT_Encode4(1300994), // Rule ID 9391 //
     /* 1300915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1300932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300968 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1300971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300993 */     // GIR_Coverage, 9391,
     /* 1300993 */     GIR_EraseRootFromParent_Done,
     /* 1300994 */   // Label 18679: @1300994
     /* 1300994 */   GIM_Try, /*On fail goto*//*Label 18680*/ GIMT_Encode4(1301078), // Rule ID 9394 //
     /* 1300999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1301016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1301055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301077 */     // GIR_Coverage, 9394,
     /* 1301077 */     GIR_EraseRootFromParent_Done,
     /* 1301078 */   // Label 18680: @1301078
     /* 1301078 */   GIM_Try, /*On fail goto*//*Label 18681*/ GIMT_Encode4(1301162), // Rule ID 9395 //
     /* 1301083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1301100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1301139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301161 */     // GIR_Coverage, 9395,
     /* 1301161 */     GIR_EraseRootFromParent_Done,
     /* 1301162 */   // Label 18681: @1301162
     /* 1301162 */   GIM_Try, /*On fail goto*//*Label 18682*/ GIMT_Encode4(1301246), // Rule ID 9398 //
     /* 1301167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1301184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1301223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301245 */     // GIR_Coverage, 9398,
     /* 1301245 */     GIR_EraseRootFromParent_Done,
     /* 1301246 */   // Label 18682: @1301246
     /* 1301246 */   GIM_Try, /*On fail goto*//*Label 18683*/ GIMT_Encode4(1301330), // Rule ID 9399 //
     /* 1301251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1301268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1301307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301329 */     // GIR_Coverage, 9399,
     /* 1301329 */     GIR_EraseRootFromParent_Done,
     /* 1301330 */   // Label 18683: @1301330
     /* 1301330 */   GIM_Try, /*On fail goto*//*Label 18684*/ GIMT_Encode4(1301414), // Rule ID 9402 //
     /* 1301335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1301352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301388 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1301391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301413 */     // GIR_Coverage, 9402,
     /* 1301413 */     GIR_EraseRootFromParent_Done,
     /* 1301414 */   // Label 18684: @1301414
     /* 1301414 */   GIM_Try, /*On fail goto*//*Label 18685*/ GIMT_Encode4(1301498), // Rule ID 9403 //
     /* 1301419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1301436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301472 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1301475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301497 */     // GIR_Coverage, 9403,
     /* 1301497 */     GIR_EraseRootFromParent_Done,
     /* 1301498 */   // Label 18685: @1301498
     /* 1301498 */   GIM_Try, /*On fail goto*//*Label 18686*/ GIMT_Encode4(1301582), // Rule ID 9406 //
     /* 1301503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1301520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1301559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301581 */     // GIR_Coverage, 9406,
     /* 1301581 */     GIR_EraseRootFromParent_Done,
     /* 1301582 */   // Label 18686: @1301582
     /* 1301582 */   GIM_Try, /*On fail goto*//*Label 18687*/ GIMT_Encode4(1301666), // Rule ID 9407 //
     /* 1301587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1301604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301640 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1301643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301665 */     // GIR_Coverage, 9407,
     /* 1301665 */     GIR_EraseRootFromParent_Done,
     /* 1301666 */   // Label 18687: @1301666
     /* 1301666 */   GIM_Try, /*On fail goto*//*Label 18688*/ GIMT_Encode4(1301750), // Rule ID 9410 //
     /* 1301671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1301688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1301727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301749 */     // GIR_Coverage, 9410,
     /* 1301749 */     GIR_EraseRootFromParent_Done,
     /* 1301750 */   // Label 18688: @1301750
     /* 1301750 */   GIM_Try, /*On fail goto*//*Label 18689*/ GIMT_Encode4(1301834), // Rule ID 9411 //
     /* 1301755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1301772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301808 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1301811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301833 */     // GIR_Coverage, 9411,
     /* 1301833 */     GIR_EraseRootFromParent_Done,
     /* 1301834 */   // Label 18689: @1301834
     /* 1301834 */   GIM_Try, /*On fail goto*//*Label 18690*/ GIMT_Encode4(1301918), // Rule ID 9414 //
     /* 1301839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1301856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1301895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301917 */     // GIR_Coverage, 9414,
     /* 1301917 */     GIR_EraseRootFromParent_Done,
     /* 1301918 */   // Label 18690: @1301918
     /* 1301918 */   GIM_Try, /*On fail goto*//*Label 18691*/ GIMT_Encode4(1302002), // Rule ID 9415 //
     /* 1301923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1301940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1301979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302001 */     // GIR_Coverage, 9415,
     /* 1302001 */     GIR_EraseRootFromParent_Done,
     /* 1302002 */   // Label 18691: @1302002
     /* 1302002 */   GIM_Try, /*On fail goto*//*Label 18692*/ GIMT_Encode4(1302086), // Rule ID 9418 //
     /* 1302007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1302024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302060 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1302063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302085 */     // GIR_Coverage, 9418,
     /* 1302085 */     GIR_EraseRootFromParent_Done,
     /* 1302086 */   // Label 18692: @1302086
     /* 1302086 */   GIM_Try, /*On fail goto*//*Label 18693*/ GIMT_Encode4(1302170), // Rule ID 9419 //
     /* 1302091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1302108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1302147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302169 */     // GIR_Coverage, 9419,
     /* 1302169 */     GIR_EraseRootFromParent_Done,
     /* 1302170 */   // Label 18693: @1302170
     /* 1302170 */   GIM_Try, /*On fail goto*//*Label 18694*/ GIMT_Encode4(1302254), // Rule ID 9422 //
     /* 1302175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1302192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1302231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302253 */     // GIR_Coverage, 9422,
     /* 1302253 */     GIR_EraseRootFromParent_Done,
     /* 1302254 */   // Label 18694: @1302254
     /* 1302254 */   GIM_Try, /*On fail goto*//*Label 18695*/ GIMT_Encode4(1302338), // Rule ID 9423 //
     /* 1302259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1302276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1302315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302337 */     // GIR_Coverage, 9423,
     /* 1302337 */     GIR_EraseRootFromParent_Done,
     /* 1302338 */   // Label 18695: @1302338
     /* 1302338 */   GIM_Try, /*On fail goto*//*Label 18696*/ GIMT_Encode4(1302422), // Rule ID 9426 //
     /* 1302343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1302346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1302360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302396 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1302399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302421 */     // GIR_Coverage, 9426,
     /* 1302421 */     GIR_EraseRootFromParent_Done,
     /* 1302422 */   // Label 18696: @1302422
     /* 1302422 */   GIM_Try, /*On fail goto*//*Label 18697*/ GIMT_Encode4(1302506), // Rule ID 9427 //
     /* 1302427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1302430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1302444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302480 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1302483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302505 */     // GIR_Coverage, 9427,
     /* 1302505 */     GIR_EraseRootFromParent_Done,
     /* 1302506 */   // Label 18697: @1302506
     /* 1302506 */   GIM_Try, /*On fail goto*//*Label 18698*/ GIMT_Encode4(1302590), // Rule ID 9430 //
     /* 1302511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1302528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302564 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1302567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302589 */     // GIR_Coverage, 9430,
     /* 1302589 */     GIR_EraseRootFromParent_Done,
     /* 1302590 */   // Label 18698: @1302590
     /* 1302590 */   GIM_Try, /*On fail goto*//*Label 18699*/ GIMT_Encode4(1302674), // Rule ID 9431 //
     /* 1302595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1302612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302648 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1302651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302673 */     // GIR_Coverage, 9431,
     /* 1302673 */     GIR_EraseRootFromParent_Done,
     /* 1302674 */   // Label 18699: @1302674
     /* 1302674 */   GIM_Try, /*On fail goto*//*Label 18700*/ GIMT_Encode4(1302758), // Rule ID 9434 //
     /* 1302679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1302690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1302693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1302696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1302702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302732 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1302735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302757 */     // GIR_Coverage, 9434,
     /* 1302757 */     GIR_EraseRootFromParent_Done,
     /* 1302758 */   // Label 18700: @1302758
     /* 1302758 */   GIM_Try, /*On fail goto*//*Label 18701*/ GIMT_Encode4(1302842), // Rule ID 9435 //
     /* 1302763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1302774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1302777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1302780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1302786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302816 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1302819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302841 */     // GIR_Coverage, 9435,
     /* 1302841 */     GIR_EraseRootFromParent_Done,
     /* 1302842 */   // Label 18701: @1302842
     /* 1302842 */   GIM_Try, /*On fail goto*//*Label 18702*/ GIMT_Encode4(1302926), // Rule ID 9438 //
     /* 1302847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1302858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1302861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1302864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1302870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302900 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1302903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302925 */     // GIR_Coverage, 9438,
     /* 1302925 */     GIR_EraseRootFromParent_Done,
     /* 1302926 */   // Label 18702: @1302926
     /* 1302926 */   GIM_Try, /*On fail goto*//*Label 18703*/ GIMT_Encode4(1303010), // Rule ID 9439 //
     /* 1302931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1302942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1302945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1302948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1302954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302984 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1302987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303009 */     // GIR_Coverage, 9439,
     /* 1303009 */     GIR_EraseRootFromParent_Done,
     /* 1303010 */   // Label 18703: @1303010
     /* 1303010 */   GIM_Try, /*On fail goto*//*Label 18704*/ GIMT_Encode4(1303094), // Rule ID 9442 //
     /* 1303015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1303032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303068 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1303071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303093 */     // GIR_Coverage, 9442,
     /* 1303093 */     GIR_EraseRootFromParent_Done,
     /* 1303094 */   // Label 18704: @1303094
     /* 1303094 */   GIM_Try, /*On fail goto*//*Label 18705*/ GIMT_Encode4(1303178), // Rule ID 9443 //
     /* 1303099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1303116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1303155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303177 */     // GIR_Coverage, 9443,
     /* 1303177 */     GIR_EraseRootFromParent_Done,
     /* 1303178 */   // Label 18705: @1303178
     /* 1303178 */   GIM_Try, /*On fail goto*//*Label 18706*/ GIMT_Encode4(1303262), // Rule ID 9446 //
     /* 1303183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1303200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303236 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1303239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303261 */     // GIR_Coverage, 9446,
     /* 1303261 */     GIR_EraseRootFromParent_Done,
     /* 1303262 */   // Label 18706: @1303262
     /* 1303262 */   GIM_Try, /*On fail goto*//*Label 18707*/ GIMT_Encode4(1303346), // Rule ID 9447 //
     /* 1303267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1303284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1303323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303345 */     // GIR_Coverage, 9447,
     /* 1303345 */     GIR_EraseRootFromParent_Done,
     /* 1303346 */   // Label 18707: @1303346
     /* 1303346 */   GIM_Try, /*On fail goto*//*Label 18708*/ GIMT_Encode4(1303430), // Rule ID 9450 //
     /* 1303351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1303368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303404 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1303407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303429 */     // GIR_Coverage, 9450,
     /* 1303429 */     GIR_EraseRootFromParent_Done,
     /* 1303430 */   // Label 18708: @1303430
     /* 1303430 */   GIM_Try, /*On fail goto*//*Label 18709*/ GIMT_Encode4(1303514), // Rule ID 9451 //
     /* 1303435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1303452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303488 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1303491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303513 */     // GIR_Coverage, 9451,
     /* 1303513 */     GIR_EraseRootFromParent_Done,
     /* 1303514 */   // Label 18709: @1303514
     /* 1303514 */   GIM_Try, /*On fail goto*//*Label 18710*/ GIMT_Encode4(1303598), // Rule ID 9454 //
     /* 1303519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1303536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303572 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1303575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303597 */     // GIR_Coverage, 9454,
     /* 1303597 */     GIR_EraseRootFromParent_Done,
     /* 1303598 */   // Label 18710: @1303598
     /* 1303598 */   GIM_Try, /*On fail goto*//*Label 18711*/ GIMT_Encode4(1303682), // Rule ID 9455 //
     /* 1303603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1303620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303656 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1303659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303681 */     // GIR_Coverage, 9455,
     /* 1303681 */     GIR_EraseRootFromParent_Done,
     /* 1303682 */   // Label 18711: @1303682
     /* 1303682 */   GIM_Try, /*On fail goto*//*Label 18712*/ GIMT_Encode4(1303766), // Rule ID 9458 //
     /* 1303687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1303704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303740 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1303743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303765 */     // GIR_Coverage, 9458,
     /* 1303765 */     GIR_EraseRootFromParent_Done,
     /* 1303766 */   // Label 18712: @1303766
     /* 1303766 */   GIM_Try, /*On fail goto*//*Label 18713*/ GIMT_Encode4(1303850), // Rule ID 9459 //
     /* 1303771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1303788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1303827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303849 */     // GIR_Coverage, 9459,
     /* 1303849 */     GIR_EraseRootFromParent_Done,
     /* 1303850 */   // Label 18713: @1303850
     /* 1303850 */   GIM_Try, /*On fail goto*//*Label 18714*/ GIMT_Encode4(1303934), // Rule ID 9462 //
     /* 1303855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1303872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303908 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1303911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303933 */     // GIR_Coverage, 9462,
     /* 1303933 */     GIR_EraseRootFromParent_Done,
     /* 1303934 */   // Label 18714: @1303934
     /* 1303934 */   GIM_Try, /*On fail goto*//*Label 18715*/ GIMT_Encode4(1304018), // Rule ID 9463 //
     /* 1303939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1303956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303992 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1303995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304017 */     // GIR_Coverage, 9463,
     /* 1304017 */     GIR_EraseRootFromParent_Done,
     /* 1304018 */   // Label 18715: @1304018
     /* 1304018 */   GIM_Try, /*On fail goto*//*Label 18716*/ GIMT_Encode4(1304102), // Rule ID 9466 //
     /* 1304023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1304040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1304043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304076 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1304079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304101 */     // GIR_Coverage, 9466,
     /* 1304101 */     GIR_EraseRootFromParent_Done,
     /* 1304102 */   // Label 18716: @1304102
     /* 1304102 */   GIM_Try, /*On fail goto*//*Label 18717*/ GIMT_Encode4(1304186), // Rule ID 9467 //
     /* 1304107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1304124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1304127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1304163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304185 */     // GIR_Coverage, 9467,
     /* 1304185 */     GIR_EraseRootFromParent_Done,
     /* 1304186 */   // Label 18717: @1304186
     /* 1304186 */   GIM_Try, /*On fail goto*//*Label 18718*/ GIMT_Encode4(1304270), // Rule ID 9470 //
     /* 1304191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1304208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1304211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304244 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1304247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304269 */     // GIR_Coverage, 9470,
     /* 1304269 */     GIR_EraseRootFromParent_Done,
     /* 1304270 */   // Label 18718: @1304270
     /* 1304270 */   GIM_Try, /*On fail goto*//*Label 18719*/ GIMT_Encode4(1304354), // Rule ID 9471 //
     /* 1304275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1304292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1304295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1304331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304353 */     // GIR_Coverage, 9471,
     /* 1304353 */     GIR_EraseRootFromParent_Done,
     /* 1304354 */   // Label 18719: @1304354
     /* 1304354 */   GIM_Try, /*On fail goto*//*Label 18720*/ GIMT_Encode4(1304438), // Rule ID 9474 //
     /* 1304359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1304376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1304379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1304415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304437 */     // GIR_Coverage, 9474,
     /* 1304437 */     GIR_EraseRootFromParent_Done,
     /* 1304438 */   // Label 18720: @1304438
     /* 1304438 */   GIM_Try, /*On fail goto*//*Label 18721*/ GIMT_Encode4(1304522), // Rule ID 9475 //
     /* 1304443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1304460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1304463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1304499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304521 */     // GIR_Coverage, 9475,
     /* 1304521 */     GIR_EraseRootFromParent_Done,
     /* 1304522 */   // Label 18721: @1304522
     /* 1304522 */   GIM_Try, /*On fail goto*//*Label 18722*/ GIMT_Encode4(1304606), // Rule ID 9566 //
     /* 1304527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1304544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1304547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304580 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1304583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304605 */     // GIR_Coverage, 9566,
     /* 1304605 */     GIR_EraseRootFromParent_Done,
     /* 1304606 */   // Label 18722: @1304606
     /* 1304606 */   GIM_Try, /*On fail goto*//*Label 18723*/ GIMT_Encode4(1304690), // Rule ID 9567 //
     /* 1304611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1304628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1304631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304664 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1304667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304689 */     // GIR_Coverage, 9567,
     /* 1304689 */     GIR_EraseRootFromParent_Done,
     /* 1304690 */   // Label 18723: @1304690
     /* 1304690 */   GIM_Try, /*On fail goto*//*Label 18724*/ GIMT_Encode4(1304774), // Rule ID 9570 //
     /* 1304695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1304712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1304715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1304751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304773 */     // GIR_Coverage, 9570,
     /* 1304773 */     GIR_EraseRootFromParent_Done,
     /* 1304774 */   // Label 18724: @1304774
     /* 1304774 */   GIM_Try, /*On fail goto*//*Label 18725*/ GIMT_Encode4(1304858), // Rule ID 9571 //
     /* 1304779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1304796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1304799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304832 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1304835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304857 */     // GIR_Coverage, 9571,
     /* 1304857 */     GIR_EraseRootFromParent_Done,
     /* 1304858 */   // Label 18725: @1304858
     /* 1304858 */   GIM_Try, /*On fail goto*//*Label 18726*/ GIMT_Encode4(1304942), // Rule ID 9574 //
     /* 1304863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1304880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1304883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304916 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1304919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304941 */     // GIR_Coverage, 9574,
     /* 1304941 */     GIR_EraseRootFromParent_Done,
     /* 1304942 */   // Label 18726: @1304942
     /* 1304942 */   GIM_Try, /*On fail goto*//*Label 18727*/ GIMT_Encode4(1305026), // Rule ID 9575 //
     /* 1304947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1304964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1304967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305000 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1305003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305025 */     // GIR_Coverage, 9575,
     /* 1305025 */     GIR_EraseRootFromParent_Done,
     /* 1305026 */   // Label 18727: @1305026
     /* 1305026 */   GIM_Try, /*On fail goto*//*Label 18728*/ GIMT_Encode4(1305110), // Rule ID 9578 //
     /* 1305031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1305048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1305051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305084 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1305087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305109 */     // GIR_Coverage, 9578,
     /* 1305109 */     GIR_EraseRootFromParent_Done,
     /* 1305110 */   // Label 18728: @1305110
     /* 1305110 */   GIM_Try, /*On fail goto*//*Label 18729*/ GIMT_Encode4(1305194), // Rule ID 9579 //
     /* 1305115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1305132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1305135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305168 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1305171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305193 */     // GIR_Coverage, 9579,
     /* 1305193 */     GIR_EraseRootFromParent_Done,
     /* 1305194 */   // Label 18729: @1305194
     /* 1305194 */   GIM_Try, /*On fail goto*//*Label 18730*/ GIMT_Encode4(1305278), // Rule ID 9582 //
     /* 1305199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1305216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1305219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305252 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1305255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305277 */     // GIR_Coverage, 9582,
     /* 1305277 */     GIR_EraseRootFromParent_Done,
     /* 1305278 */   // Label 18730: @1305278
     /* 1305278 */   GIM_Try, /*On fail goto*//*Label 18731*/ GIMT_Encode4(1305362), // Rule ID 9583 //
     /* 1305283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1305300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1305303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305336 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1305339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305361 */     // GIR_Coverage, 9583,
     /* 1305361 */     GIR_EraseRootFromParent_Done,
     /* 1305362 */   // Label 18731: @1305362
     /* 1305362 */   GIM_Try, /*On fail goto*//*Label 18732*/ GIMT_Encode4(1305446), // Rule ID 9586 //
     /* 1305367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1305384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1305387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305420 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305445 */     // GIR_Coverage, 9586,
     /* 1305445 */     GIR_EraseRootFromParent_Done,
     /* 1305446 */   // Label 18732: @1305446
     /* 1305446 */   GIM_Try, /*On fail goto*//*Label 18733*/ GIMT_Encode4(1305530), // Rule ID 9587 //
     /* 1305451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1305468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1305471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305504 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305529 */     // GIR_Coverage, 9587,
     /* 1305529 */     GIR_EraseRootFromParent_Done,
     /* 1305530 */   // Label 18733: @1305530
     /* 1305530 */   GIM_Try, /*On fail goto*//*Label 18734*/ GIMT_Encode4(1305614), // Rule ID 9590 //
     /* 1305535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1305552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1305555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305613 */     // GIR_Coverage, 9590,
     /* 1305613 */     GIR_EraseRootFromParent_Done,
     /* 1305614 */   // Label 18734: @1305614
     /* 1305614 */   GIM_Try, /*On fail goto*//*Label 18735*/ GIMT_Encode4(1305698), // Rule ID 9591 //
     /* 1305619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1305636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1305639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305672 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305697 */     // GIR_Coverage, 9591,
     /* 1305697 */     GIR_EraseRootFromParent_Done,
     /* 1305698 */   // Label 18735: @1305698
     /* 1305698 */   GIM_Try, /*On fail goto*//*Label 18736*/ GIMT_Encode4(1305782), // Rule ID 9594 //
     /* 1305703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1305720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1305723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305756 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305781 */     // GIR_Coverage, 9594,
     /* 1305781 */     GIR_EraseRootFromParent_Done,
     /* 1305782 */   // Label 18736: @1305782
     /* 1305782 */   GIM_Try, /*On fail goto*//*Label 18737*/ GIMT_Encode4(1305866), // Rule ID 9595 //
     /* 1305787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1305804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1305807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305840 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305865 */     // GIR_Coverage, 9595,
     /* 1305865 */     GIR_EraseRootFromParent_Done,
     /* 1305866 */   // Label 18737: @1305866
     /* 1305866 */   GIM_Try, /*On fail goto*//*Label 18738*/ GIMT_Encode4(1305950), // Rule ID 9598 //
     /* 1305871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1305874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1305888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1305891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1305927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305949 */     // GIR_Coverage, 9598,
     /* 1305949 */     GIR_EraseRootFromParent_Done,
     /* 1305950 */   // Label 18738: @1305950
     /* 1305950 */   GIM_Try, /*On fail goto*//*Label 18739*/ GIMT_Encode4(1306034), // Rule ID 9599 //
     /* 1305955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1305958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1305972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1305975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306008 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1306011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306033 */     // GIR_Coverage, 9599,
     /* 1306033 */     GIR_EraseRootFromParent_Done,
     /* 1306034 */   // Label 18739: @1306034
     /* 1306034 */   GIM_Try, /*On fail goto*//*Label 18740*/ GIMT_Encode4(1306118), // Rule ID 9602 //
     /* 1306039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1306056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1306059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306092 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1306095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306117 */     // GIR_Coverage, 9602,
     /* 1306117 */     GIR_EraseRootFromParent_Done,
     /* 1306118 */   // Label 18740: @1306118
     /* 1306118 */   GIM_Try, /*On fail goto*//*Label 18741*/ GIMT_Encode4(1306202), // Rule ID 9603 //
     /* 1306123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1306140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1306143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306176 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1306179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306201 */     // GIR_Coverage, 9603,
     /* 1306201 */     GIR_EraseRootFromParent_Done,
     /* 1306202 */   // Label 18741: @1306202
     /* 1306202 */   GIM_Try, /*On fail goto*//*Label 18742*/ GIMT_Encode4(1306286), // Rule ID 9606 //
     /* 1306207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1306224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1306227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306260 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1306263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306285 */     // GIR_Coverage, 9606,
     /* 1306285 */     GIR_EraseRootFromParent_Done,
     /* 1306286 */   // Label 18742: @1306286
     /* 1306286 */   GIM_Try, /*On fail goto*//*Label 18743*/ GIMT_Encode4(1306370), // Rule ID 9607 //
     /* 1306291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1306308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1306311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306344 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1306347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306369 */     // GIR_Coverage, 9607,
     /* 1306369 */     GIR_EraseRootFromParent_Done,
     /* 1306370 */   // Label 18743: @1306370
     /* 1306370 */   GIM_Try, /*On fail goto*//*Label 18744*/ GIMT_Encode4(1306454), // Rule ID 9610 //
     /* 1306375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1306386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1306389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1306392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1306395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1306398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306428 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1306431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306453 */     // GIR_Coverage, 9610,
     /* 1306453 */     GIR_EraseRootFromParent_Done,
     /* 1306454 */   // Label 18744: @1306454
     /* 1306454 */   GIM_Try, /*On fail goto*//*Label 18745*/ GIMT_Encode4(1306538), // Rule ID 9611 //
     /* 1306459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1306470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1306473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1306476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1306479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1306482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306512 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1306515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306537 */     // GIR_Coverage, 9611,
     /* 1306537 */     GIR_EraseRootFromParent_Done,
     /* 1306538 */   // Label 18745: @1306538
     /* 1306538 */   GIM_Try, /*On fail goto*//*Label 18746*/ GIMT_Encode4(1306622), // Rule ID 9614 //
     /* 1306543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1306560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1306563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306596 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1306599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306621 */     // GIR_Coverage, 9614,
     /* 1306621 */     GIR_EraseRootFromParent_Done,
     /* 1306622 */   // Label 18746: @1306622
     /* 1306622 */   GIM_Try, /*On fail goto*//*Label 18747*/ GIMT_Encode4(1306706), // Rule ID 9615 //
     /* 1306627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1306644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1306647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306680 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1306683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306705 */     // GIR_Coverage, 9615,
     /* 1306705 */     GIR_EraseRootFromParent_Done,
     /* 1306706 */   // Label 18747: @1306706
     /* 1306706 */   GIM_Try, /*On fail goto*//*Label 18748*/ GIMT_Encode4(1306790), // Rule ID 9618 //
     /* 1306711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1306728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1306731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306764 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1306767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306789 */     // GIR_Coverage, 9618,
     /* 1306789 */     GIR_EraseRootFromParent_Done,
     /* 1306790 */   // Label 18748: @1306790
     /* 1306790 */   GIM_Try, /*On fail goto*//*Label 18749*/ GIMT_Encode4(1306874), // Rule ID 9619 //
     /* 1306795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1306812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1306815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306848 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1306851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306873 */     // GIR_Coverage, 9619,
     /* 1306873 */     GIR_EraseRootFromParent_Done,
     /* 1306874 */   // Label 18749: @1306874
     /* 1306874 */   GIM_Try, /*On fail goto*//*Label 18750*/ GIMT_Encode4(1306958), // Rule ID 9622 //
     /* 1306879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1306896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1306899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306932 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1306935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306957 */     // GIR_Coverage, 9622,
     /* 1306957 */     GIR_EraseRootFromParent_Done,
     /* 1306958 */   // Label 18750: @1306958
     /* 1306958 */   GIM_Try, /*On fail goto*//*Label 18751*/ GIMT_Encode4(1307042), // Rule ID 9623 //
     /* 1306963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1306971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1306980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1306983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307016 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1307019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307041 */     // GIR_Coverage, 9623,
     /* 1307041 */     GIR_EraseRootFromParent_Done,
     /* 1307042 */   // Label 18751: @1307042
     /* 1307042 */   GIM_Try, /*On fail goto*//*Label 18752*/ GIMT_Encode4(1307126), // Rule ID 9626 //
     /* 1307047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1307067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1307103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307125 */     // GIR_Coverage, 9626,
     /* 1307125 */     GIR_EraseRootFromParent_Done,
     /* 1307126 */   // Label 18752: @1307126
     /* 1307126 */   GIM_Try, /*On fail goto*//*Label 18753*/ GIMT_Encode4(1307210), // Rule ID 9627 //
     /* 1307131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1307151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307184 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1307187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307209 */     // GIR_Coverage, 9627,
     /* 1307209 */     GIR_EraseRootFromParent_Done,
     /* 1307210 */   // Label 18753: @1307210
     /* 1307210 */   GIM_Try, /*On fail goto*//*Label 18754*/ GIMT_Encode4(1307294), // Rule ID 9630 //
     /* 1307215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1307235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1307271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307293 */     // GIR_Coverage, 9630,
     /* 1307293 */     GIR_EraseRootFromParent_Done,
     /* 1307294 */   // Label 18754: @1307294
     /* 1307294 */   GIM_Try, /*On fail goto*//*Label 18755*/ GIMT_Encode4(1307378), // Rule ID 9631 //
     /* 1307299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1307319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1307355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307377 */     // GIR_Coverage, 9631,
     /* 1307377 */     GIR_EraseRootFromParent_Done,
     /* 1307378 */   // Label 18755: @1307378
     /* 1307378 */   GIM_Try, /*On fail goto*//*Label 18756*/ GIMT_Encode4(1307462), // Rule ID 9634 //
     /* 1307383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1307400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1307403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307436 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1307439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307461 */     // GIR_Coverage, 9634,
     /* 1307461 */     GIR_EraseRootFromParent_Done,
     /* 1307462 */   // Label 18756: @1307462
     /* 1307462 */   GIM_Try, /*On fail goto*//*Label 18757*/ GIMT_Encode4(1307546), // Rule ID 9635 //
     /* 1307467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1307484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1307487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307520 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1307523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307545 */     // GIR_Coverage, 9635,
     /* 1307545 */     GIR_EraseRootFromParent_Done,
     /* 1307546 */   // Label 18757: @1307546
     /* 1307546 */   GIM_Try, /*On fail goto*//*Label 18758*/ GIMT_Encode4(1307630), // Rule ID 9638 //
     /* 1307551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1307554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1307568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1307571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307604 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1307607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307629 */     // GIR_Coverage, 9638,
     /* 1307629 */     GIR_EraseRootFromParent_Done,
     /* 1307630 */   // Label 18758: @1307630
     /* 1307630 */   GIM_Try, /*On fail goto*//*Label 18759*/ GIMT_Encode4(1307714), // Rule ID 9639 //
     /* 1307635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1307638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1307652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1307655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307688 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1307691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307713 */     // GIR_Coverage, 9639,
     /* 1307713 */     GIR_EraseRootFromParent_Done,
     /* 1307714 */   // Label 18759: @1307714
     /* 1307714 */   GIM_Try, /*On fail goto*//*Label 18760*/ GIMT_Encode4(1307798), // Rule ID 9642 //
     /* 1307719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1307722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1307736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1307739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1307775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307797 */     // GIR_Coverage, 9642,
     /* 1307797 */     GIR_EraseRootFromParent_Done,
     /* 1307798 */   // Label 18760: @1307798
     /* 1307798 */   GIM_Try, /*On fail goto*//*Label 18761*/ GIMT_Encode4(1307882), // Rule ID 9643 //
     /* 1307803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1307806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1307820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1307823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307856 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1307859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307881 */     // GIR_Coverage, 9643,
     /* 1307881 */     GIR_EraseRootFromParent_Done,
     /* 1307882 */   // Label 18761: @1307882
     /* 1307882 */   GIM_Try, /*On fail goto*//*Label 18762*/ GIMT_Encode4(1307966), // Rule ID 9646 //
     /* 1307887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1307890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1307904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1307907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307940 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1307943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307965 */     // GIR_Coverage, 9646,
     /* 1307965 */     GIR_EraseRootFromParent_Done,
     /* 1307966 */   // Label 18762: @1307966
     /* 1307966 */   GIM_Try, /*On fail goto*//*Label 18763*/ GIMT_Encode4(1308050), // Rule ID 9647 //
     /* 1307971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1307974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1307979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1307988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1307991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308024 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1308027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308049 */     // GIR_Coverage, 9647,
     /* 1308049 */     GIR_EraseRootFromParent_Done,
     /* 1308050 */   // Label 18763: @1308050
     /* 1308050 */   GIM_Try, /*On fail goto*//*Label 18764*/ GIMT_Encode4(1308134), // Rule ID 9650 //
     /* 1308055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1308072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1308075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1308111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308133 */     // GIR_Coverage, 9650,
     /* 1308133 */     GIR_EraseRootFromParent_Done,
     /* 1308134 */   // Label 18764: @1308134
     /* 1308134 */   GIM_Try, /*On fail goto*//*Label 18765*/ GIMT_Encode4(1308218), // Rule ID 9651 //
     /* 1308139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1308156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1308159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308192 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1308195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308217 */     // GIR_Coverage, 9651,
     /* 1308217 */     GIR_EraseRootFromParent_Done,
     /* 1308218 */   // Label 18765: @1308218
     /* 1308218 */   GIM_Try, /*On fail goto*//*Label 18766*/ GIMT_Encode4(1308302), // Rule ID 9654 //
     /* 1308223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1308243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1308279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308301 */     // GIR_Coverage, 9654,
     /* 1308301 */     GIR_EraseRootFromParent_Done,
     /* 1308302 */   // Label 18766: @1308302
     /* 1308302 */   GIM_Try, /*On fail goto*//*Label 18767*/ GIMT_Encode4(1308386), // Rule ID 9655 //
     /* 1308307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1308327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308360 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1308363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308385 */     // GIR_Coverage, 9655,
     /* 1308385 */     GIR_EraseRootFromParent_Done,
     /* 1308386 */   // Label 18767: @1308386
     /* 1308386 */   GIM_Try, /*On fail goto*//*Label 18768*/ GIMT_Encode4(1308470), // Rule ID 9658 //
     /* 1308391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1308408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1308411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308444 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1308447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308469 */     // GIR_Coverage, 9658,
     /* 1308469 */     GIR_EraseRootFromParent_Done,
     /* 1308470 */   // Label 18768: @1308470
     /* 1308470 */   GIM_Try, /*On fail goto*//*Label 18769*/ GIMT_Encode4(1308554), // Rule ID 9659 //
     /* 1308475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1308492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1308495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1308531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308553 */     // GIR_Coverage, 9659,
     /* 1308553 */     GIR_EraseRootFromParent_Done,
     /* 1308554 */   // Label 18769: @1308554
     /* 1308554 */   GIM_Try, /*On fail goto*//*Label 18770*/ GIMT_Encode4(1308638), // Rule ID 9662 //
     /* 1308559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1308576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1308579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308612 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1308615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308637 */     // GIR_Coverage, 9662,
     /* 1308637 */     GIR_EraseRootFromParent_Done,
     /* 1308638 */   // Label 18770: @1308638
     /* 1308638 */   GIM_Try, /*On fail goto*//*Label 18771*/ GIMT_Encode4(1308722), // Rule ID 9663 //
     /* 1308643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1308660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1308663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308696 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1308699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308721 */     // GIR_Coverage, 9663,
     /* 1308721 */     GIR_EraseRootFromParent_Done,
     /* 1308722 */   // Label 18771: @1308722
     /* 1308722 */   GIM_Try, /*On fail goto*//*Label 18772*/ GIMT_Encode4(1308806), // Rule ID 9666 //
     /* 1308727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1308744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1308747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308780 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1308783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308805 */     // GIR_Coverage, 9666,
     /* 1308805 */     GIR_EraseRootFromParent_Done,
     /* 1308806 */   // Label 18772: @1308806
     /* 1308806 */   GIM_Try, /*On fail goto*//*Label 18773*/ GIMT_Encode4(1308890), // Rule ID 9667 //
     /* 1308811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1308828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1308831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308864 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1308867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308889 */     // GIR_Coverage, 9667,
     /* 1308889 */     GIR_EraseRootFromParent_Done,
     /* 1308890 */   // Label 18773: @1308890
     /* 1308890 */   GIM_Try, /*On fail goto*//*Label 18774*/ GIMT_Encode4(1308974), // Rule ID 9670 //
     /* 1308895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1308912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1308915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308948 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1308951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308973 */     // GIR_Coverage, 9670,
     /* 1308973 */     GIR_EraseRootFromParent_Done,
     /* 1308974 */   // Label 18774: @1308974
     /* 1308974 */   GIM_Try, /*On fail goto*//*Label 18775*/ GIMT_Encode4(1309058), // Rule ID 9671 //
     /* 1308979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1308996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1308999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1309035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309057 */     // GIR_Coverage, 9671,
     /* 1309057 */     GIR_EraseRootFromParent_Done,
     /* 1309058 */   // Label 18775: @1309058
     /* 1309058 */   GIM_Try, /*On fail goto*//*Label 18776*/ GIMT_Encode4(1309142), // Rule ID 9674 //
     /* 1309063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309116 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1309119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309141 */     // GIR_Coverage, 9674,
     /* 1309141 */     GIR_EraseRootFromParent_Done,
     /* 1309142 */   // Label 18776: @1309142
     /* 1309142 */   GIM_Try, /*On fail goto*//*Label 18777*/ GIMT_Encode4(1309226), // Rule ID 9675 //
     /* 1309147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309200 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1309203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309225 */     // GIR_Coverage, 9675,
     /* 1309225 */     GIR_EraseRootFromParent_Done,
     /* 1309226 */   // Label 18777: @1309226
     /* 1309226 */   GIM_Try, /*On fail goto*//*Label 18778*/ GIMT_Encode4(1309310), // Rule ID 9678 //
     /* 1309231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1309287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309309 */     // GIR_Coverage, 9678,
     /* 1309309 */     GIR_EraseRootFromParent_Done,
     /* 1309310 */   // Label 18778: @1309310
     /* 1309310 */   GIM_Try, /*On fail goto*//*Label 18779*/ GIMT_Encode4(1309394), // Rule ID 9679 //
     /* 1309315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1309371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309393 */     // GIR_Coverage, 9679,
     /* 1309393 */     GIR_EraseRootFromParent_Done,
     /* 1309394 */   // Label 18779: @1309394
     /* 1309394 */   GIM_Try, /*On fail goto*//*Label 18780*/ GIMT_Encode4(1309478), // Rule ID 9682 //
     /* 1309399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1309416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1309419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309452 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1309455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309477 */     // GIR_Coverage, 9682,
     /* 1309477 */     GIR_EraseRootFromParent_Done,
     /* 1309478 */   // Label 18780: @1309478
     /* 1309478 */   GIM_Try, /*On fail goto*//*Label 18781*/ GIMT_Encode4(1309562), // Rule ID 9683 //
     /* 1309483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1309500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1309503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309536 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1309539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309561 */     // GIR_Coverage, 9683,
     /* 1309561 */     GIR_EraseRootFromParent_Done,
     /* 1309562 */   // Label 18781: @1309562
     /* 1309562 */   GIM_Try, /*On fail goto*//*Label 18782*/ GIMT_Encode4(1309646), // Rule ID 9686 //
     /* 1309567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1309570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1309584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1309587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1309623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309645 */     // GIR_Coverage, 9686,
     /* 1309645 */     GIR_EraseRootFromParent_Done,
     /* 1309646 */   // Label 18782: @1309646
     /* 1309646 */   GIM_Try, /*On fail goto*//*Label 18783*/ GIMT_Encode4(1309730), // Rule ID 9687 //
     /* 1309651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1309654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1309668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1309671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309704 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1309707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309729 */     // GIR_Coverage, 9687,
     /* 1309729 */     GIR_EraseRootFromParent_Done,
     /* 1309730 */   // Label 18783: @1309730
     /* 1309730 */   GIM_Try, /*On fail goto*//*Label 18784*/ GIMT_Encode4(1309814), // Rule ID 9690 //
     /* 1309735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1309746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1309749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1309752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1309755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1309758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1309791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309813 */     // GIR_Coverage, 9690,
     /* 1309813 */     GIR_EraseRootFromParent_Done,
     /* 1309814 */   // Label 18784: @1309814
     /* 1309814 */   GIM_Try, /*On fail goto*//*Label 18785*/ GIMT_Encode4(1309898), // Rule ID 9691 //
     /* 1309819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1309830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1309833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1309836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1309839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1309842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309872 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1309875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309897 */     // GIR_Coverage, 9691,
     /* 1309897 */     GIR_EraseRootFromParent_Done,
     /* 1309898 */   // Label 18785: @1309898
     /* 1309898 */   GIM_Try, /*On fail goto*//*Label 18786*/ GIMT_Encode4(1309982), // Rule ID 9694 //
     /* 1309903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1309914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1309917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1309920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1309923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1309926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309956 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1309959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309981 */     // GIR_Coverage, 9694,
     /* 1309981 */     GIR_EraseRootFromParent_Done,
     /* 1309982 */   // Label 18786: @1309982
     /* 1309982 */   GIM_Try, /*On fail goto*//*Label 18787*/ GIMT_Encode4(1310066), // Rule ID 9695 //
     /* 1309987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1309998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1310004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1310007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310040 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1310043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310065 */     // GIR_Coverage, 9695,
     /* 1310065 */     GIR_EraseRootFromParent_Done,
     /* 1310066 */   // Label 18787: @1310066
     /* 1310066 */   GIM_Try, /*On fail goto*//*Label 18788*/ GIMT_Encode4(1310150), // Rule ID 9698 //
     /* 1310071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1310082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1310085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1310091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310124 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1310127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310149 */     // GIR_Coverage, 9698,
     /* 1310149 */     GIR_EraseRootFromParent_Done,
     /* 1310150 */   // Label 18788: @1310150
     /* 1310150 */   GIM_Try, /*On fail goto*//*Label 18789*/ GIMT_Encode4(1310234), // Rule ID 9699 //
     /* 1310155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1310166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1310169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1310175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310208 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1310211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310233 */     // GIR_Coverage, 9699,
     /* 1310233 */     GIR_EraseRootFromParent_Done,
     /* 1310234 */   // Label 18789: @1310234
     /* 1310234 */   GIM_Try, /*On fail goto*//*Label 18790*/ GIMT_Encode4(1310318), // Rule ID 9702 //
     /* 1310239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1310256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1310259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1310295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310317 */     // GIR_Coverage, 9702,
     /* 1310317 */     GIR_EraseRootFromParent_Done,
     /* 1310318 */   // Label 18790: @1310318
     /* 1310318 */   GIM_Try, /*On fail goto*//*Label 18791*/ GIMT_Encode4(1310402), // Rule ID 9703 //
     /* 1310323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1310340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1310343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1310379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310401 */     // GIR_Coverage, 9703,
     /* 1310401 */     GIR_EraseRootFromParent_Done,
     /* 1310402 */   // Label 18791: @1310402
     /* 1310402 */   GIM_Try, /*On fail goto*//*Label 18792*/ GIMT_Encode4(1310486), // Rule ID 9706 //
     /* 1310407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1310424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1310427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310460 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1310463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310485 */     // GIR_Coverage, 9706,
     /* 1310485 */     GIR_EraseRootFromParent_Done,
     /* 1310486 */   // Label 18792: @1310486
     /* 1310486 */   GIM_Try, /*On fail goto*//*Label 18793*/ GIMT_Encode4(1310570), // Rule ID 9707 //
     /* 1310491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1310508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1310511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310544 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1310547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310569 */     // GIR_Coverage, 9707,
     /* 1310569 */     GIR_EraseRootFromParent_Done,
     /* 1310570 */   // Label 18793: @1310570
     /* 1310570 */   GIM_Try, /*On fail goto*//*Label 18794*/ GIMT_Encode4(1310654), // Rule ID 9710 //
     /* 1310575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1310592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1310595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310628 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1310631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310653 */     // GIR_Coverage, 9710,
     /* 1310653 */     GIR_EraseRootFromParent_Done,
     /* 1310654 */   // Label 18794: @1310654
     /* 1310654 */   GIM_Try, /*On fail goto*//*Label 18795*/ GIMT_Encode4(1310738), // Rule ID 9711 //
     /* 1310659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1310676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1310679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310712 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1310715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310737 */     // GIR_Coverage, 9711,
     /* 1310737 */     GIR_EraseRootFromParent_Done,
     /* 1310738 */   // Label 18795: @1310738
     /* 1310738 */   GIM_Try, /*On fail goto*//*Label 18796*/ GIMT_Encode4(1310822), // Rule ID 9714 //
     /* 1310743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1310754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1310757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1310760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1310763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1310766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310796 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1310799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310821 */     // GIR_Coverage, 9714,
     /* 1310821 */     GIR_EraseRootFromParent_Done,
     /* 1310822 */   // Label 18796: @1310822
     /* 1310822 */   GIM_Try, /*On fail goto*//*Label 18797*/ GIMT_Encode4(1310906), // Rule ID 9715 //
     /* 1310827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1310838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1310841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1310844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1310847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1310850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1310883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310905 */     // GIR_Coverage, 9715,
     /* 1310905 */     GIR_EraseRootFromParent_Done,
     /* 1310906 */   // Label 18797: @1310906
     /* 1310906 */   GIM_Try, /*On fail goto*//*Label 18798*/ GIMT_Encode4(1310990), // Rule ID 9718 //
     /* 1310911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1310919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1310928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1310931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310964 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1310967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310989 */     // GIR_Coverage, 9718,
     /* 1310989 */     GIR_EraseRootFromParent_Done,
     /* 1310990 */   // Label 18798: @1310990
     /* 1310990 */   GIM_Try, /*On fail goto*//*Label 18799*/ GIMT_Encode4(1311074), // Rule ID 9719 //
     /* 1310995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1311003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1311012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1311015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311048 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1311051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311073 */     // GIR_Coverage, 9719,
     /* 1311073 */     GIR_EraseRootFromParent_Done,
     /* 1311074 */   // Label 18799: @1311074
     /* 1311074 */   GIM_Try, /*On fail goto*//*Label 18800*/ GIMT_Encode4(1311158), // Rule ID 9722 //
     /* 1311079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1311087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1311099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311132 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1311135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311157 */     // GIR_Coverage, 9722,
     /* 1311157 */     GIR_EraseRootFromParent_Done,
     /* 1311158 */   // Label 18800: @1311158
     /* 1311158 */   GIM_Try, /*On fail goto*//*Label 18801*/ GIMT_Encode4(1311242), // Rule ID 9723 //
     /* 1311163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1311171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1311183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311216 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1311219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311241 */     // GIR_Coverage, 9723,
     /* 1311241 */     GIR_EraseRootFromParent_Done,
     /* 1311242 */   // Label 18801: @1311242
     /* 1311242 */   GIM_Try, /*On fail goto*//*Label 18802*/ GIMT_Encode4(1311326), // Rule ID 9726 //
     /* 1311247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1311255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1311267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1311303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311325 */     // GIR_Coverage, 9726,
     /* 1311325 */     GIR_EraseRootFromParent_Done,
     /* 1311326 */   // Label 18802: @1311326
     /* 1311326 */   GIM_Try, /*On fail goto*//*Label 18803*/ GIMT_Encode4(1311410), // Rule ID 9727 //
     /* 1311331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1311339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1311351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311384 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1311387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311409 */     // GIR_Coverage, 9727,
     /* 1311409 */     GIR_EraseRootFromParent_Done,
     /* 1311410 */   // Label 18803: @1311410
     /* 1311410 */   GIM_Try, /*On fail goto*//*Label 18804*/ GIMT_Encode4(1311494), // Rule ID 9730 //
     /* 1311415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1311423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1311432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1311435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311468 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1311471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311493 */     // GIR_Coverage, 9730,
     /* 1311493 */     GIR_EraseRootFromParent_Done,
     /* 1311494 */   // Label 18804: @1311494
     /* 1311494 */   GIM_Try, /*On fail goto*//*Label 18805*/ GIMT_Encode4(1311578), // Rule ID 9731 //
     /* 1311499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1311507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1311516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1311519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311552 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1311555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311577 */     // GIR_Coverage, 9731,
     /* 1311577 */     GIR_EraseRootFromParent_Done,
     /* 1311578 */   // Label 18805: @1311578
     /* 1311578 */   GIM_Try, /*On fail goto*//*Label 18806*/ GIMT_Encode4(1311662), // Rule ID 9734 //
     /* 1311583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1311591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1311600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1311603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311636 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1311639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311661 */     // GIR_Coverage, 9734,
     /* 1311661 */     GIR_EraseRootFromParent_Done,
     /* 1311662 */   // Label 18806: @1311662
     /* 1311662 */   GIM_Try, /*On fail goto*//*Label 18807*/ GIMT_Encode4(1311746), // Rule ID 9735 //
     /* 1311667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1311675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1311684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1311687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311720 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1311723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311745 */     // GIR_Coverage, 9735,
     /* 1311745 */     GIR_EraseRootFromParent_Done,
     /* 1311746 */   // Label 18807: @1311746
     /* 1311746 */   GIM_Try, /*On fail goto*//*Label 18808*/ GIMT_Encode4(1311830), // Rule ID 9738 //
     /* 1311751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1311762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1311765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1311768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1311771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1311774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311804 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1311807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311829 */     // GIR_Coverage, 9738,
     /* 1311829 */     GIR_EraseRootFromParent_Done,
     /* 1311830 */   // Label 18808: @1311830
     /* 1311830 */   GIM_Try, /*On fail goto*//*Label 18809*/ GIMT_Encode4(1311914), // Rule ID 9739 //
     /* 1311835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1311846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1311849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1311852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1311855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1311858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311888 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1311891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311913 */     // GIR_Coverage, 9739,
     /* 1311913 */     GIR_EraseRootFromParent_Done,
     /* 1311914 */   // Label 18809: @1311914
     /* 1311914 */   GIM_Try, /*On fail goto*//*Label 18810*/ GIMT_Encode4(1311998), // Rule ID 9742 //
     /* 1311919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1311936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1311939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311972 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1311975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311997 */     // GIR_Coverage, 9742,
     /* 1311997 */     GIR_EraseRootFromParent_Done,
     /* 1311998 */   // Label 18810: @1311998
     /* 1311998 */   GIM_Try, /*On fail goto*//*Label 18811*/ GIMT_Encode4(1312082), // Rule ID 9743 //
     /* 1312003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1312014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1312017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1312020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1312023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312056 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1312059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312081 */     // GIR_Coverage, 9743,
     /* 1312081 */     GIR_EraseRootFromParent_Done,
     /* 1312082 */   // Label 18811: @1312082
     /* 1312082 */   GIM_Try, /*On fail goto*//*Label 18812*/ GIMT_Encode4(1312166), // Rule ID 9746 //
     /* 1312087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1312098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1312101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1312104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1312107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312140 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1312143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312165 */     // GIR_Coverage, 9746,
     /* 1312165 */     GIR_EraseRootFromParent_Done,
     /* 1312166 */   // Label 18812: @1312166
     /* 1312166 */   GIM_Try, /*On fail goto*//*Label 18813*/ GIMT_Encode4(1312250), // Rule ID 9747 //
     /* 1312171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1312182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1312185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1312188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1312191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312224 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1312227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312249 */     // GIR_Coverage, 9747,
     /* 1312249 */     GIR_EraseRootFromParent_Done,
     /* 1312250 */   // Label 18813: @1312250
     /* 1312250 */   GIM_Try, /*On fail goto*//*Label 18814*/ GIMT_Encode4(1312334), // Rule ID 9750 //
     /* 1312255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1312272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1312275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312308 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1312311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312333 */     // GIR_Coverage, 9750,
     /* 1312333 */     GIR_EraseRootFromParent_Done,
     /* 1312334 */   // Label 18814: @1312334
     /* 1312334 */   GIM_Try, /*On fail goto*//*Label 18815*/ GIMT_Encode4(1312418), // Rule ID 9751 //
     /* 1312339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1312356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1312359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312392 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1312395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312417 */     // GIR_Coverage, 9751,
     /* 1312417 */     GIR_EraseRootFromParent_Done,
     /* 1312418 */   // Label 18815: @1312418
     /* 1312418 */   GIM_Try, /*On fail goto*//*Label 18816*/ GIMT_Encode4(1312502), // Rule ID 9754 //
     /* 1312423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1312434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1312437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1312440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1312443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312476 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1312479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312501 */     // GIR_Coverage, 9754,
     /* 1312501 */     GIR_EraseRootFromParent_Done,
     /* 1312502 */   // Label 18816: @1312502
     /* 1312502 */   GIM_Try, /*On fail goto*//*Label 18817*/ GIMT_Encode4(1312586), // Rule ID 9755 //
     /* 1312507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1312518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1312521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1312524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1312527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312560 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1312563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312585 */     // GIR_Coverage, 9755,
     /* 1312585 */     GIR_EraseRootFromParent_Done,
     /* 1312586 */   // Label 18817: @1312586
     /* 1312586 */   GIM_Try, /*On fail goto*//*Label 18818*/ GIMT_Encode4(1312670), // Rule ID 9758 //
     /* 1312591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1312608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1312611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312644 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1312647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312669 */     // GIR_Coverage, 9758,
     /* 1312669 */     GIR_EraseRootFromParent_Done,
     /* 1312670 */   // Label 18818: @1312670
     /* 1312670 */   GIM_Try, /*On fail goto*//*Label 18819*/ GIMT_Encode4(1312754), // Rule ID 9759 //
     /* 1312675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1312692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1312695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1312731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312753 */     // GIR_Coverage, 9759,
     /* 1312753 */     GIR_EraseRootFromParent_Done,
     /* 1312754 */   // Label 18819: @1312754
     /* 1312754 */   GIM_Try, /*On fail goto*//*Label 18820*/ GIMT_Encode4(1312838), // Rule ID 9762 //
     /* 1312759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1312776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1312779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312812 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1312815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312837 */     // GIR_Coverage, 9762,
     /* 1312837 */     GIR_EraseRootFromParent_Done,
     /* 1312838 */   // Label 18820: @1312838
     /* 1312838 */   GIM_Try, /*On fail goto*//*Label 18821*/ GIMT_Encode4(1312922), // Rule ID 9763 //
     /* 1312843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1312860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1312863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312896 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1312899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312921 */     // GIR_Coverage, 9763,
     /* 1312921 */     GIR_EraseRootFromParent_Done,
     /* 1312922 */   // Label 18821: @1312922
     /* 1312922 */   GIM_Try, /*On fail goto*//*Label 18822*/ GIMT_Encode4(1313006), // Rule ID 9766 //
     /* 1312927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1312938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1312941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1312944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1312947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312980 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1312983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313005 */     // GIR_Coverage, 9766,
     /* 1313005 */     GIR_EraseRootFromParent_Done,
     /* 1313006 */   // Label 18822: @1313006
     /* 1313006 */   GIM_Try, /*On fail goto*//*Label 18823*/ GIMT_Encode4(1313090), // Rule ID 9767 //
     /* 1313011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1313022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1313025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1313028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313064 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1313067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313089 */     // GIR_Coverage, 9767,
     /* 1313089 */     GIR_EraseRootFromParent_Done,
     /* 1313090 */   // Label 18823: @1313090
     /* 1313090 */   GIM_Try, /*On fail goto*//*Label 18824*/ GIMT_Encode4(1313174), // Rule ID 9770 //
     /* 1313095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1313106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1313109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1313151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313173 */     // GIR_Coverage, 9770,
     /* 1313173 */     GIR_EraseRootFromParent_Done,
     /* 1313174 */   // Label 18824: @1313174
     /* 1313174 */   GIM_Try, /*On fail goto*//*Label 18825*/ GIMT_Encode4(1313258), // Rule ID 9771 //
     /* 1313179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1313190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1313193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313232 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1313235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313257 */     // GIR_Coverage, 9771,
     /* 1313257 */     GIR_EraseRootFromParent_Done,
     /* 1313258 */   // Label 18825: @1313258
     /* 1313258 */   GIM_Try, /*On fail goto*//*Label 18826*/ GIMT_Encode4(1313342), // Rule ID 9774 //
     /* 1313263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1313266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1313283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1313319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313341 */     // GIR_Coverage, 9774,
     /* 1313341 */     GIR_EraseRootFromParent_Done,
     /* 1313342 */   // Label 18826: @1313342
     /* 1313342 */   GIM_Try, /*On fail goto*//*Label 18827*/ GIMT_Encode4(1313426), // Rule ID 9775 //
     /* 1313347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1313350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1313367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313400 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1313403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313425 */     // GIR_Coverage, 9775,
     /* 1313425 */     GIR_EraseRootFromParent_Done,
     /* 1313426 */   // Label 18827: @1313426
     /* 1313426 */   GIM_Try, /*On fail goto*//*Label 18828*/ GIMT_Encode4(1313510), // Rule ID 9778 //
     /* 1313431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1313442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1313445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1313448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1313451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313484 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1313487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313509 */     // GIR_Coverage, 9778,
     /* 1313509 */     GIR_EraseRootFromParent_Done,
     /* 1313510 */   // Label 18828: @1313510
     /* 1313510 */   GIM_Try, /*On fail goto*//*Label 18829*/ GIMT_Encode4(1313594), // Rule ID 9779 //
     /* 1313515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1313526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1313529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1313532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1313535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313568 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1313571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313593 */     // GIR_Coverage, 9779,
     /* 1313593 */     GIR_EraseRootFromParent_Done,
     /* 1313594 */   // Label 18829: @1313594
     /* 1313594 */   GIM_Try, /*On fail goto*//*Label 18830*/ GIMT_Encode4(1313678), // Rule ID 9782 //
     /* 1313599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1313610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1313613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1313616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1313619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1313622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313652 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1313655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313677 */     // GIR_Coverage, 9782,
     /* 1313677 */     GIR_EraseRootFromParent_Done,
     /* 1313678 */   // Label 18830: @1313678
     /* 1313678 */   GIM_Try, /*On fail goto*//*Label 18831*/ GIMT_Encode4(1313762), // Rule ID 9783 //
     /* 1313683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1313694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1313697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1313700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1313703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1313706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313736 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1313739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313761 */     // GIR_Coverage, 9783,
     /* 1313761 */     GIR_EraseRootFromParent_Done,
     /* 1313762 */   // Label 18831: @1313762
     /* 1313762 */   GIM_Try, /*On fail goto*//*Label 18832*/ GIMT_Encode4(1313846), // Rule ID 9786 //
     /* 1313767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1313778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1313781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1313784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1313787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1313790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313820 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1313823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313845 */     // GIR_Coverage, 9786,
     /* 1313845 */     GIR_EraseRootFromParent_Done,
     /* 1313846 */   // Label 18832: @1313846
     /* 1313846 */   GIM_Try, /*On fail goto*//*Label 18833*/ GIMT_Encode4(1313930), // Rule ID 9787 //
     /* 1313851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1313862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1313865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1313868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1313871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1313874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313904 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1313907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313929 */     // GIR_Coverage, 9787,
     /* 1313929 */     GIR_EraseRootFromParent_Done,
     /* 1313930 */   // Label 18833: @1313930
     /* 1313930 */   GIM_Try, /*On fail goto*//*Label 18834*/ GIMT_Encode4(1314014), // Rule ID 9790 //
     /* 1313935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1313943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1313946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1313949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1313952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1313955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313988 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1313991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314013 */     // GIR_Coverage, 9790,
     /* 1314013 */     GIR_EraseRootFromParent_Done,
     /* 1314014 */   // Label 18834: @1314014
     /* 1314014 */   GIM_Try, /*On fail goto*//*Label 18835*/ GIMT_Encode4(1314098), // Rule ID 9791 //
     /* 1314019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1314030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1314033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1314036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1314039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314072 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1314075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314097 */     // GIR_Coverage, 9791,
     /* 1314097 */     GIR_EraseRootFromParent_Done,
     /* 1314098 */   // Label 18835: @1314098
     /* 1314098 */   GIM_Try, /*On fail goto*//*Label 18836*/ GIMT_Encode4(1314182), // Rule ID 9794 //
     /* 1314103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1314114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1314117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314156 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1314159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314181 */     // GIR_Coverage, 9794,
     /* 1314181 */     GIR_EraseRootFromParent_Done,
     /* 1314182 */   // Label 18836: @1314182
     /* 1314182 */   GIM_Try, /*On fail goto*//*Label 18837*/ GIMT_Encode4(1314266), // Rule ID 9795 //
     /* 1314187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1314198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1314201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314240 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1314243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314265 */     // GIR_Coverage, 9795,
     /* 1314265 */     GIR_EraseRootFromParent_Done,
     /* 1314266 */   // Label 18837: @1314266
     /* 1314266 */   GIM_Try, /*On fail goto*//*Label 18838*/ GIMT_Encode4(1314350), // Rule ID 9798 //
     /* 1314271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1314282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1314285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314324 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1314327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314349 */     // GIR_Coverage, 9798,
     /* 1314349 */     GIR_EraseRootFromParent_Done,
     /* 1314350 */   // Label 18838: @1314350
     /* 1314350 */   GIM_Try, /*On fail goto*//*Label 18839*/ GIMT_Encode4(1314434), // Rule ID 9799 //
     /* 1314355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1314366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1314369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314408 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1314411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314433 */     // GIR_Coverage, 9799,
     /* 1314433 */     GIR_EraseRootFromParent_Done,
     /* 1314434 */   // Label 18839: @1314434
     /* 1314434 */   GIM_Try, /*On fail goto*//*Label 18840*/ GIMT_Encode4(1314518), // Rule ID 9802 //
     /* 1314439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1314450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1314453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1314456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1314459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314492 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1314495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314517 */     // GIR_Coverage, 9802,
     /* 1314517 */     GIR_EraseRootFromParent_Done,
     /* 1314518 */   // Label 18840: @1314518
     /* 1314518 */   GIM_Try, /*On fail goto*//*Label 18841*/ GIMT_Encode4(1314602), // Rule ID 9803 //
     /* 1314523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1314534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1314537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1314540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1314543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314576 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1314579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314601 */     // GIR_Coverage, 9803,
     /* 1314601 */     GIR_EraseRootFromParent_Done,
     /* 1314602 */   // Label 18841: @1314602
     /* 1314602 */   GIM_Try, /*On fail goto*//*Label 18842*/ GIMT_Encode4(1314686), // Rule ID 9806 //
     /* 1314607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1314618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1314621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1314624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1314627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314660 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1314663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314685 */     // GIR_Coverage, 9806,
     /* 1314685 */     GIR_EraseRootFromParent_Done,
     /* 1314686 */   // Label 18842: @1314686
     /* 1314686 */   GIM_Try, /*On fail goto*//*Label 18843*/ GIMT_Encode4(1314770), // Rule ID 9807 //
     /* 1314691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1314702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1314705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1314708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1314711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1314747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314769 */     // GIR_Coverage, 9807,
     /* 1314769 */     GIR_EraseRootFromParent_Done,
     /* 1314770 */   // Label 18843: @1314770
     /* 1314770 */   GIM_Try, /*On fail goto*//*Label 18844*/ GIMT_Encode4(1314854), // Rule ID 9810 //
     /* 1314775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1314786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1314789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1314792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1314795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1314831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314853 */     // GIR_Coverage, 9810,
     /* 1314853 */     GIR_EraseRootFromParent_Done,
     /* 1314854 */   // Label 18844: @1314854
     /* 1314854 */   GIM_Try, /*On fail goto*//*Label 18845*/ GIMT_Encode4(1314938), // Rule ID 9811 //
     /* 1314859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1314870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1314873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1314876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1314879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314912 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1314915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314937 */     // GIR_Coverage, 9811,
     /* 1314937 */     GIR_EraseRootFromParent_Done,
     /* 1314938 */   // Label 18845: @1314938
     /* 1314938 */   GIM_Try, /*On fail goto*//*Label 18846*/ GIMT_Encode4(1315022), // Rule ID 9814 //
     /* 1314943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1314946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1314951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1314954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1314957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1314960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1314963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1314966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314996 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1314999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315021 */     // GIR_Coverage, 9814,
     /* 1315021 */     GIR_EraseRootFromParent_Done,
     /* 1315022 */   // Label 18846: @1315022
     /* 1315022 */   GIM_Try, /*On fail goto*//*Label 18847*/ GIMT_Encode4(1315106), // Rule ID 9815 //
     /* 1315027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1315035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1315038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1315041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1315044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1315047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1315083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315105 */     // GIR_Coverage, 9815,
     /* 1315105 */     GIR_EraseRootFromParent_Done,
     /* 1315106 */   // Label 18847: @1315106
     /* 1315106 */   GIM_Try, /*On fail goto*//*Label 18848*/ GIMT_Encode4(1315190), // Rule ID 9818 //
     /* 1315111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1315119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1315122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1315125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1315167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315189 */     // GIR_Coverage, 9818,
     /* 1315189 */     GIR_EraseRootFromParent_Done,
     /* 1315190 */   // Label 18848: @1315190
     /* 1315190 */   GIM_Try, /*On fail goto*//*Label 18849*/ GIMT_Encode4(1315274), // Rule ID 9819 //
     /* 1315195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1315203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1315206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1315209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1315251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315273 */     // GIR_Coverage, 9819,
     /* 1315273 */     GIR_EraseRootFromParent_Done,
     /* 1315274 */   // Label 18849: @1315274
     /* 1315274 */   GIM_Try, /*On fail goto*//*Label 18850*/ GIMT_Encode4(1315358), // Rule ID 9822 //
     /* 1315279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1315287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1315290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1315293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1315335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315357 */     // GIR_Coverage, 9822,
     /* 1315357 */     GIR_EraseRootFromParent_Done,
     /* 1315358 */   // Label 18850: @1315358
     /* 1315358 */   GIM_Try, /*On fail goto*//*Label 18851*/ GIMT_Encode4(1315442), // Rule ID 9823 //
     /* 1315363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1315371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1315374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1315377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315416 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1315419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315441 */     // GIR_Coverage, 9823,
     /* 1315441 */     GIR_EraseRootFromParent_Done,
     /* 1315442 */   // Label 18851: @1315442
     /* 1315442 */   GIM_Try, /*On fail goto*//*Label 18852*/ GIMT_Encode4(1315526), // Rule ID 9826 //
     /* 1315447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1315458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1315461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1315464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1315467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1315503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315525 */     // GIR_Coverage, 9826,
     /* 1315525 */     GIR_EraseRootFromParent_Done,
     /* 1315526 */   // Label 18852: @1315526
     /* 1315526 */   GIM_Try, /*On fail goto*//*Label 18853*/ GIMT_Encode4(1315610), // Rule ID 9827 //
     /* 1315531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1315542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1315545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1315548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1315551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315584 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1315587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315609 */     // GIR_Coverage, 9827,
     /* 1315609 */     GIR_EraseRootFromParent_Done,
     /* 1315610 */   // Label 18853: @1315610
     /* 1315610 */   GIM_Try, /*On fail goto*//*Label 18854*/ GIMT_Encode4(1315694), // Rule ID 9830 //
     /* 1315615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1315626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1315629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1315632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1315635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1315671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315693 */     // GIR_Coverage, 9830,
     /* 1315693 */     GIR_EraseRootFromParent_Done,
     /* 1315694 */   // Label 18854: @1315694
     /* 1315694 */   GIM_Try, /*On fail goto*//*Label 18855*/ GIMT_Encode4(1315778), // Rule ID 9831 //
     /* 1315699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1315710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1315713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1315716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1315719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315752 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1315755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315777 */     // GIR_Coverage, 9831,
     /* 1315777 */     GIR_EraseRootFromParent_Done,
     /* 1315778 */   // Label 18855: @1315778
     /* 1315778 */   GIM_Try, /*On fail goto*//*Label 18856*/ GIMT_Encode4(1315862), // Rule ID 9834 //
     /* 1315783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1315794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1315797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1315800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1315803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315836 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1315839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315861 */     // GIR_Coverage, 9834,
     /* 1315861 */     GIR_EraseRootFromParent_Done,
     /* 1315862 */   // Label 18856: @1315862
     /* 1315862 */   GIM_Try, /*On fail goto*//*Label 18857*/ GIMT_Encode4(1315946), // Rule ID 9835 //
     /* 1315867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1315878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1315881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1315884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1315887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1315923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315945 */     // GIR_Coverage, 9835,
     /* 1315945 */     GIR_EraseRootFromParent_Done,
     /* 1315946 */   // Label 18857: @1315946
     /* 1315946 */   GIM_Try, /*On fail goto*//*Label 18858*/ GIMT_Encode4(1316030), // Rule ID 9838 //
     /* 1315951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1315962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1315965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1315968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1315971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316004 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1316007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316029 */     // GIR_Coverage, 9838,
     /* 1316029 */     GIR_EraseRootFromParent_Done,
     /* 1316030 */   // Label 18858: @1316030
     /* 1316030 */   GIM_Try, /*On fail goto*//*Label 18859*/ GIMT_Encode4(1316114), // Rule ID 9839 //
     /* 1316035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1316052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1316055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316088 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1316091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316113 */     // GIR_Coverage, 9839,
     /* 1316113 */     GIR_EraseRootFromParent_Done,
     /* 1316114 */   // Label 18859: @1316114
     /* 1316114 */   GIM_Try, /*On fail goto*//*Label 18860*/ GIMT_Encode4(1316198), // Rule ID 9842 //
     /* 1316119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1316136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1316139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1316175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316197 */     // GIR_Coverage, 9842,
     /* 1316197 */     GIR_EraseRootFromParent_Done,
     /* 1316198 */   // Label 18860: @1316198
     /* 1316198 */   GIM_Try, /*On fail goto*//*Label 18861*/ GIMT_Encode4(1316282), // Rule ID 9843 //
     /* 1316203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1316220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1316223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316256 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1316259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316281 */     // GIR_Coverage, 9843,
     /* 1316281 */     GIR_EraseRootFromParent_Done,
     /* 1316282 */   // Label 18861: @1316282
     /* 1316282 */   GIM_Try, /*On fail goto*//*Label 18862*/ GIMT_Encode4(1316366), // Rule ID 9846 //
     /* 1316287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1316307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1316343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316365 */     // GIR_Coverage, 9846,
     /* 1316365 */     GIR_EraseRootFromParent_Done,
     /* 1316366 */   // Label 18862: @1316366
     /* 1316366 */   GIM_Try, /*On fail goto*//*Label 18863*/ GIMT_Encode4(1316450), // Rule ID 9847 //
     /* 1316371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1316391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1316427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316449 */     // GIR_Coverage, 9847,
     /* 1316449 */     GIR_EraseRootFromParent_Done,
     /* 1316450 */   // Label 18863: @1316450
     /* 1316450 */   GIM_Try, /*On fail goto*//*Label 18864*/ GIMT_Encode4(1316534), // Rule ID 9850 //
     /* 1316455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1316466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1316469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1316472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1316475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316508 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316533 */     // GIR_Coverage, 9850,
     /* 1316533 */     GIR_EraseRootFromParent_Done,
     /* 1316534 */   // Label 18864: @1316534
     /* 1316534 */   GIM_Try, /*On fail goto*//*Label 18865*/ GIMT_Encode4(1316618), // Rule ID 9851 //
     /* 1316539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1316550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1316553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1316556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1316559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316592 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316617 */     // GIR_Coverage, 9851,
     /* 1316617 */     GIR_EraseRootFromParent_Done,
     /* 1316618 */   // Label 18865: @1316618
     /* 1316618 */   GIM_Try, /*On fail goto*//*Label 18866*/ GIMT_Encode4(1316702), // Rule ID 9854 //
     /* 1316623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1316634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1316637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1316640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1316643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316676 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316701 */     // GIR_Coverage, 9854,
     /* 1316701 */     GIR_EraseRootFromParent_Done,
     /* 1316702 */   // Label 18866: @1316702
     /* 1316702 */   GIM_Try, /*On fail goto*//*Label 18867*/ GIMT_Encode4(1316786), // Rule ID 9855 //
     /* 1316707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1316718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1316721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1316724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1316727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316785 */     // GIR_Coverage, 9855,
     /* 1316785 */     GIR_EraseRootFromParent_Done,
     /* 1316786 */   // Label 18867: @1316786
     /* 1316786 */   GIM_Try, /*On fail goto*//*Label 18868*/ GIMT_Encode4(1316870), // Rule ID 9858 //
     /* 1316791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1316808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1316811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316869 */     // GIR_Coverage, 9858,
     /* 1316869 */     GIR_EraseRootFromParent_Done,
     /* 1316870 */   // Label 18868: @1316870
     /* 1316870 */   GIM_Try, /*On fail goto*//*Label 18869*/ GIMT_Encode4(1316954), // Rule ID 9859 //
     /* 1316875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1316892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1316895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1316931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316953 */     // GIR_Coverage, 9859,
     /* 1316953 */     GIR_EraseRootFromParent_Done,
     /* 1316954 */   // Label 18869: @1316954
     /* 1316954 */   GIM_Try, /*On fail goto*//*Label 18870*/ GIMT_Encode4(1317038), // Rule ID 9862 //
     /* 1316959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1316962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1316976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1316979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317012 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1317015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317037 */     // GIR_Coverage, 9862,
     /* 1317037 */     GIR_EraseRootFromParent_Done,
     /* 1317038 */   // Label 18870: @1317038
     /* 1317038 */   GIM_Try, /*On fail goto*//*Label 18871*/ GIMT_Encode4(1317122), // Rule ID 9863 //
     /* 1317043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1317046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1317054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1317057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1317060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1317063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1317099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317121 */     // GIR_Coverage, 9863,
     /* 1317121 */     GIR_EraseRootFromParent_Done,
     /* 1317122 */   // Label 18871: @1317122
     /* 1317122 */   GIM_Try, /*On fail goto*//*Label 18872*/ GIMT_Encode4(1317206), // Rule ID 9866 //
     /* 1317127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1317138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1317141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1317144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1317147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1317183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317205 */     // GIR_Coverage, 9866,
     /* 1317205 */     GIR_EraseRootFromParent_Done,
     /* 1317206 */   // Label 18872: @1317206
     /* 1317206 */   GIM_Try, /*On fail goto*//*Label 18873*/ GIMT_Encode4(1317290), // Rule ID 9867 //
     /* 1317211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1317222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1317225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1317228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1317231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317264 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1317267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317289 */     // GIR_Coverage, 9867,
     /* 1317289 */     GIR_EraseRootFromParent_Done,
     /* 1317290 */   // Label 18873: @1317290
     /* 1317290 */   GIM_Try, /*On fail goto*//*Label 18874*/ GIMT_Encode4(1317374), // Rule ID 9870 //
     /* 1317295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1317306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1317309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1317312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1317315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317348 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1317351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317373 */     // GIR_Coverage, 9870,
     /* 1317373 */     GIR_EraseRootFromParent_Done,
     /* 1317374 */   // Label 18874: @1317374
     /* 1317374 */   GIM_Try, /*On fail goto*//*Label 18875*/ GIMT_Encode4(1317458), // Rule ID 9871 //
     /* 1317379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1317390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1317393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1317396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1317399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317432 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1317435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317457 */     // GIR_Coverage, 9871,
     /* 1317457 */     GIR_EraseRootFromParent_Done,
     /* 1317458 */   // Label 18875: @1317458
     /* 1317458 */   GIM_Try, /*On fail goto*//*Label 18876*/ GIMT_Encode4(1317542), // Rule ID 9874 //
     /* 1317463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1317474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1317477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1317480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1317483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1317486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317516 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1317519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317541 */     // GIR_Coverage, 9874,
     /* 1317541 */     GIR_EraseRootFromParent_Done,
     /* 1317542 */   // Label 18876: @1317542
     /* 1317542 */   GIM_Try, /*On fail goto*//*Label 18877*/ GIMT_Encode4(1317626), // Rule ID 9875 //
     /* 1317547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1317558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1317561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1317564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1317567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1317570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317600 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1317603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317625 */     // GIR_Coverage, 9875,
     /* 1317625 */     GIR_EraseRootFromParent_Done,
     /* 1317626 */   // Label 18877: @1317626
     /* 1317626 */   GIM_Try, /*On fail goto*//*Label 18878*/ GIMT_Encode4(1317710), // Rule ID 9878 //
     /* 1317631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1317642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1317645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1317648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1317651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317684 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1317687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317709 */     // GIR_Coverage, 9878,
     /* 1317709 */     GIR_EraseRootFromParent_Done,
     /* 1317710 */   // Label 18878: @1317710
     /* 1317710 */   GIM_Try, /*On fail goto*//*Label 18879*/ GIMT_Encode4(1317794), // Rule ID 9879 //
     /* 1317715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1317726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1317729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1317732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1317735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317768 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1317771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317793 */     // GIR_Coverage, 9879,
     /* 1317793 */     GIR_EraseRootFromParent_Done,
     /* 1317794 */   // Label 18879: @1317794
     /* 1317794 */   GIM_Try, /*On fail goto*//*Label 18880*/ GIMT_Encode4(1317878), // Rule ID 9882 //
     /* 1317799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1317810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1317813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1317816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1317819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1317855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317877 */     // GIR_Coverage, 9882,
     /* 1317877 */     GIR_EraseRootFromParent_Done,
     /* 1317878 */   // Label 18880: @1317878
     /* 1317878 */   GIM_Try, /*On fail goto*//*Label 18881*/ GIMT_Encode4(1317962), // Rule ID 9883 //
     /* 1317883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1317894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1317897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1317900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1317903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317936 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1317939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317961 */     // GIR_Coverage, 9883,
     /* 1317961 */     GIR_EraseRootFromParent_Done,
     /* 1317962 */   // Label 18881: @1317962
     /* 1317962 */   GIM_Try, /*On fail goto*//*Label 18882*/ GIMT_Encode4(1318046), // Rule ID 9886 //
     /* 1317967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1317975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1317978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1317981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1317984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1317987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318020 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1318023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318045 */     // GIR_Coverage, 9886,
     /* 1318045 */     GIR_EraseRootFromParent_Done,
     /* 1318046 */   // Label 18882: @1318046
     /* 1318046 */   GIM_Try, /*On fail goto*//*Label 18883*/ GIMT_Encode4(1318130), // Rule ID 9887 //
     /* 1318051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1318062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1318065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1318068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1318071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1318074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318104 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1318107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318129 */     // GIR_Coverage, 9887,
     /* 1318129 */     GIR_EraseRootFromParent_Done,
     /* 1318130 */   // Label 18883: @1318130
     /* 1318130 */   GIM_Try, /*On fail goto*//*Label 18884*/ GIMT_Encode4(1318214), // Rule ID 9890 //
     /* 1318135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1318146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1318149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1318152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1318155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318188 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1318191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318213 */     // GIR_Coverage, 9890,
     /* 1318213 */     GIR_EraseRootFromParent_Done,
     /* 1318214 */   // Label 18884: @1318214
     /* 1318214 */   GIM_Try, /*On fail goto*//*Label 18885*/ GIMT_Encode4(1318298), // Rule ID 9891 //
     /* 1318219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1318230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1318233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1318236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1318239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318272 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1318275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318297 */     // GIR_Coverage, 9891,
     /* 1318297 */     GIR_EraseRootFromParent_Done,
     /* 1318298 */   // Label 18885: @1318298
     /* 1318298 */   GIM_Try, /*On fail goto*//*Label 18886*/ GIMT_Encode4(1318382), // Rule ID 9894 //
     /* 1318303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1318314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1318317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1318320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1318323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318356 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1318359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318381 */     // GIR_Coverage, 9894,
     /* 1318381 */     GIR_EraseRootFromParent_Done,
     /* 1318382 */   // Label 18886: @1318382
     /* 1318382 */   GIM_Try, /*On fail goto*//*Label 18887*/ GIMT_Encode4(1318466), // Rule ID 9895 //
     /* 1318387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1318398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1318401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1318404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1318407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318440 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1318443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318465 */     // GIR_Coverage, 9895,
     /* 1318465 */     GIR_EraseRootFromParent_Done,
     /* 1318466 */   // Label 18887: @1318466
     /* 1318466 */   GIM_Try, /*On fail goto*//*Label 18888*/ GIMT_Encode4(1318550), // Rule ID 9898 //
     /* 1318471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1318482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1318485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1318491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318524 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1318527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318549 */     // GIR_Coverage, 9898,
     /* 1318549 */     GIR_EraseRootFromParent_Done,
     /* 1318550 */   // Label 18888: @1318550
     /* 1318550 */   GIM_Try, /*On fail goto*//*Label 18889*/ GIMT_Encode4(1318634), // Rule ID 9899 //
     /* 1318555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1318566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1318569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1318575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318608 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1318611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318633 */     // GIR_Coverage, 9899,
     /* 1318633 */     GIR_EraseRootFromParent_Done,
     /* 1318634 */   // Label 18889: @1318634
     /* 1318634 */   GIM_Try, /*On fail goto*//*Label 18890*/ GIMT_Encode4(1318718), // Rule ID 9902 //
     /* 1318639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1318650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1318653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1318656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1318659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1318695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318717 */     // GIR_Coverage, 9902,
     /* 1318717 */     GIR_EraseRootFromParent_Done,
     /* 1318718 */   // Label 18890: @1318718
     /* 1318718 */   GIM_Try, /*On fail goto*//*Label 18891*/ GIMT_Encode4(1318802), // Rule ID 9903 //
     /* 1318723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1318726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1318734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1318737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1318740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1318743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1318779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318801 */     // GIR_Coverage, 9903,
     /* 1318801 */     GIR_EraseRootFromParent_Done,
     /* 1318802 */   // Label 18891: @1318802
     /* 1318802 */   GIM_Try, /*On fail goto*//*Label 18892*/ GIMT_Encode4(1318886), // Rule ID 9906 //
     /* 1318807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1318818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1318821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1318824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1318827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318860 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1318863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318885 */     // GIR_Coverage, 9906,
     /* 1318885 */     GIR_EraseRootFromParent_Done,
     /* 1318886 */   // Label 18892: @1318886
     /* 1318886 */   GIM_Try, /*On fail goto*//*Label 18893*/ GIMT_Encode4(1318970), // Rule ID 9907 //
     /* 1318891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1318894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1318902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1318905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1318908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1318911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318944 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1318947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318969 */     // GIR_Coverage, 9907,
     /* 1318969 */     GIR_EraseRootFromParent_Done,
     /* 1318970 */   // Label 18893: @1318970
     /* 1318970 */   GIM_Try, /*On fail goto*//*Label 18894*/ GIMT_Encode4(1319054), // Rule ID 9910 //
     /* 1318975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1318983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1318986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1318989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1318992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1318995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1319031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319053 */     // GIR_Coverage, 9910,
     /* 1319053 */     GIR_EraseRootFromParent_Done,
     /* 1319054 */   // Label 18894: @1319054
     /* 1319054 */   GIM_Try, /*On fail goto*//*Label 18895*/ GIMT_Encode4(1319138), // Rule ID 9911 //
     /* 1319059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1319067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1319070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1319073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1319076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1319079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319112 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1319115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319137 */     // GIR_Coverage, 9911,
     /* 1319137 */     GIR_EraseRootFromParent_Done,
     /* 1319138 */   // Label 18895: @1319138
     /* 1319138 */   GIM_Try, /*On fail goto*//*Label 18896*/ GIMT_Encode4(1319219), // Rule ID 13852 //
     /* 1319143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1319154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1319157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1319160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1319163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1319196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1319199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319218 */     // GIR_Coverage, 13852,
     /* 1319218 */     GIR_EraseRootFromParent_Done,
     /* 1319219 */   // Label 18896: @1319219
     /* 1319219 */   GIM_Try, /*On fail goto*//*Label 18897*/ GIMT_Encode4(1319300), // Rule ID 13853 //
     /* 1319224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1319235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1319238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1319241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1319244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319277 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1319277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1319280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319299 */     // GIR_Coverage, 13853,
     /* 1319299 */     GIR_EraseRootFromParent_Done,
     /* 1319300 */   // Label 18897: @1319300
     /* 1319300 */   GIM_Try, /*On fail goto*//*Label 18898*/ GIMT_Encode4(1319381), // Rule ID 13854 //
     /* 1319305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1319316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1319319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1319322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1319325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319358 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1319358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1319361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319380 */     // GIR_Coverage, 13854,
     /* 1319380 */     GIR_EraseRootFromParent_Done,
     /* 1319381 */   // Label 18898: @1319381
     /* 1319381 */   GIM_Try, /*On fail goto*//*Label 18899*/ GIMT_Encode4(1319462), // Rule ID 13855 //
     /* 1319386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1319397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1319400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1319403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1319406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319439 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1319439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1319442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319461 */     // GIR_Coverage, 13855,
     /* 1319461 */     GIR_EraseRootFromParent_Done,
     /* 1319462 */   // Label 18899: @1319462
     /* 1319462 */   GIM_Try, /*On fail goto*//*Label 18900*/ GIMT_Encode4(1319543), // Rule ID 13856 //
     /* 1319467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1319478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1319481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1319484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1319487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319520 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1319520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1319523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319542 */     // GIR_Coverage, 13856,
     /* 1319542 */     GIR_EraseRootFromParent_Done,
     /* 1319543 */   // Label 18900: @1319543
     /* 1319543 */   GIM_Try, /*On fail goto*//*Label 18901*/ GIMT_Encode4(1319624), // Rule ID 13857 //
     /* 1319548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1319559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1319562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1319565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1319568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319601 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1319601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1319604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319623 */     // GIR_Coverage, 13857,
     /* 1319623 */     GIR_EraseRootFromParent_Done,
     /* 1319624 */   // Label 18901: @1319624
     /* 1319624 */   GIM_Try, /*On fail goto*//*Label 18902*/ GIMT_Encode4(1319705), // Rule ID 13858 //
     /* 1319629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1319640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1319643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1319649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319682 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1319682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1319685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319704 */     // GIR_Coverage, 13858,
     /* 1319704 */     GIR_EraseRootFromParent_Done,
     /* 1319705 */   // Label 18902: @1319705
     /* 1319705 */   GIM_Try, /*On fail goto*//*Label 18903*/ GIMT_Encode4(1319786), // Rule ID 13859 //
     /* 1319710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1319721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1319724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1319730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319763 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1319763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1319766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319785 */     // GIR_Coverage, 13859,
     /* 1319785 */     GIR_EraseRootFromParent_Done,
     /* 1319786 */   // Label 18903: @1319786
     /* 1319786 */   GIM_Try, /*On fail goto*//*Label 18904*/ GIMT_Encode4(1319867), // Rule ID 13860 //
     /* 1319791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1319802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1319805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1319811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319844 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1319844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1319847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319866 */     // GIR_Coverage, 13860,
     /* 1319866 */     GIR_EraseRootFromParent_Done,
     /* 1319867 */   // Label 18904: @1319867
     /* 1319867 */   GIM_Try, /*On fail goto*//*Label 18905*/ GIMT_Encode4(1319948), // Rule ID 13861 //
     /* 1319872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1319883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1319886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1319892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319925 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1319925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1319928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319947 */     // GIR_Coverage, 13861,
     /* 1319947 */     GIR_EraseRootFromParent_Done,
     /* 1319948 */   // Label 18905: @1319948
     /* 1319948 */   GIM_Try, /*On fail goto*//*Label 18906*/ GIMT_Encode4(1320029), // Rule ID 13862 //
     /* 1319953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1319964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1319967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1319970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1319973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1320006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1320009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320028 */     // GIR_Coverage, 13862,
     /* 1320028 */     GIR_EraseRootFromParent_Done,
     /* 1320029 */   // Label 18906: @1320029
     /* 1320029 */   GIM_Try, /*On fail goto*//*Label 18907*/ GIMT_Encode4(1320110), // Rule ID 13863 //
     /* 1320034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1320045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1320048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1320051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1320054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320087 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1320087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1320090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320109 */     // GIR_Coverage, 13863,
     /* 1320109 */     GIR_EraseRootFromParent_Done,
     /* 1320110 */   // Label 18907: @1320110
     /* 1320110 */   GIM_Try, /*On fail goto*//*Label 18908*/ GIMT_Encode4(1320191), // Rule ID 13864 //
     /* 1320115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1320126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1320129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1320132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1320135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1320168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1320171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320190 */     // GIR_Coverage, 13864,
     /* 1320190 */     GIR_EraseRootFromParent_Done,
     /* 1320191 */   // Label 18908: @1320191
     /* 1320191 */   GIM_Try, /*On fail goto*//*Label 18909*/ GIMT_Encode4(1320272), // Rule ID 13865 //
     /* 1320196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1320207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1320210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1320213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1320216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320249 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1320249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1320252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320271 */     // GIR_Coverage, 13865,
     /* 1320271 */     GIR_EraseRootFromParent_Done,
     /* 1320272 */   // Label 18909: @1320272
     /* 1320272 */   GIM_Try, /*On fail goto*//*Label 18910*/ GIMT_Encode4(1320353), // Rule ID 13866 //
     /* 1320277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1320288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1320291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1320294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320330 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1320330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1320333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320352 */     // GIR_Coverage, 13866,
     /* 1320352 */     GIR_EraseRootFromParent_Done,
     /* 1320353 */   // Label 18910: @1320353
     /* 1320353 */   GIM_Try, /*On fail goto*//*Label 18911*/ GIMT_Encode4(1320434), // Rule ID 13867 //
     /* 1320358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1320369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1320372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1320375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320411 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1320411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1320414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320433 */     // GIR_Coverage, 13867,
     /* 1320433 */     GIR_EraseRootFromParent_Done,
     /* 1320434 */   // Label 18911: @1320434
     /* 1320434 */   GIM_Try, /*On fail goto*//*Label 18912*/ GIMT_Encode4(1320515), // Rule ID 13868 //
     /* 1320439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1320450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1320453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1320456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1320459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1320492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1320495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320514 */     // GIR_Coverage, 13868,
     /* 1320514 */     GIR_EraseRootFromParent_Done,
     /* 1320515 */   // Label 18912: @1320515
     /* 1320515 */   GIM_Try, /*On fail goto*//*Label 18913*/ GIMT_Encode4(1320596), // Rule ID 13869 //
     /* 1320520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1320531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1320534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1320537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1320540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1320573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1320576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320595 */     // GIR_Coverage, 13869,
     /* 1320595 */     GIR_EraseRootFromParent_Done,
     /* 1320596 */   // Label 18913: @1320596
     /* 1320596 */   GIM_Try, /*On fail goto*//*Label 18914*/ GIMT_Encode4(1320677), // Rule ID 13870 //
     /* 1320601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1320604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1320612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1320615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1320618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1320621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320654 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1320654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1320657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320676 */     // GIR_Coverage, 13870,
     /* 1320676 */     GIR_EraseRootFromParent_Done,
     /* 1320677 */   // Label 18914: @1320677
     /* 1320677 */   GIM_Try, /*On fail goto*//*Label 18915*/ GIMT_Encode4(1320758), // Rule ID 13871 //
     /* 1320682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1320685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1320693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1320696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1320699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1320702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320735 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1320735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1320738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320757 */     // GIR_Coverage, 13871,
     /* 1320757 */     GIR_EraseRootFromParent_Done,
     /* 1320758 */   // Label 18915: @1320758
     /* 1320758 */   GIM_Try, /*On fail goto*//*Label 18916*/ GIMT_Encode4(1320839), // Rule ID 13872 //
     /* 1320763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1320774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1320777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1320780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1320783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1320793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320816 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1320816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1320819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320838 */     // GIR_Coverage, 13872,
     /* 1320838 */     GIR_EraseRootFromParent_Done,
     /* 1320839 */   // Label 18916: @1320839
     /* 1320839 */   GIM_Try, /*On fail goto*//*Label 18917*/ GIMT_Encode4(1320920), // Rule ID 13873 //
     /* 1320844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1320855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1320858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1320861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1320864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1320874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320897 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1320897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1320900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320919 */     // GIR_Coverage, 13873,
     /* 1320919 */     GIR_EraseRootFromParent_Done,
     /* 1320920 */   // Label 18917: @1320920
     /* 1320920 */   GIM_Try, /*On fail goto*//*Label 18918*/ GIMT_Encode4(1321001), // Rule ID 13874 //
     /* 1320925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1320936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1320939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1320942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1320945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1320948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1320955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320978 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1320978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1320981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321000 */     // GIR_Coverage, 13874,
     /* 1321000 */     GIR_EraseRootFromParent_Done,
     /* 1321001 */   // Label 18918: @1321001
     /* 1321001 */   GIM_Try, /*On fail goto*//*Label 18919*/ GIMT_Encode4(1321082), // Rule ID 13875 //
     /* 1321006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1321017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1321020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1321023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1321026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1321036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321059 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1321059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1321062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321081 */     // GIR_Coverage, 13875,
     /* 1321081 */     GIR_EraseRootFromParent_Done,
     /* 1321082 */   // Label 18919: @1321082
     /* 1321082 */   GIM_Try, /*On fail goto*//*Label 18920*/ GIMT_Encode4(1321163), // Rule ID 13876 //
     /* 1321087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1321098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1321101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1321104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1321107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1321110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1321117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321140 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1321140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1321143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321162 */     // GIR_Coverage, 13876,
     /* 1321162 */     GIR_EraseRootFromParent_Done,
     /* 1321163 */   // Label 18920: @1321163
     /* 1321163 */   GIM_Try, /*On fail goto*//*Label 18921*/ GIMT_Encode4(1321244), // Rule ID 13877 //
     /* 1321168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1321179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1321182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1321185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1321188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1321191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1321198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321221 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1321221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1321224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321243 */     // GIR_Coverage, 13877,
     /* 1321243 */     GIR_EraseRootFromParent_Done,
     /* 1321244 */   // Label 18921: @1321244
     /* 1321244 */   GIM_Try, /*On fail goto*//*Label 18922*/ GIMT_Encode4(1321325), // Rule ID 13878 //
     /* 1321249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1321260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1321263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1321266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1321269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1321279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321302 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1321302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1321305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321324 */     // GIR_Coverage, 13878,
     /* 1321324 */     GIR_EraseRootFromParent_Done,
     /* 1321325 */   // Label 18922: @1321325
     /* 1321325 */   GIM_Try, /*On fail goto*//*Label 18923*/ GIMT_Encode4(1321406), // Rule ID 13879 //
     /* 1321330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1321341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1321344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1321347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1321350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1321360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321383 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1321383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1321386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321405 */     // GIR_Coverage, 13879,
     /* 1321405 */     GIR_EraseRootFromParent_Done,
     /* 1321406 */   // Label 18923: @1321406
     /* 1321406 */   GIM_Try, /*On fail goto*//*Label 18924*/ GIMT_Encode4(1321487), // Rule ID 13880 //
     /* 1321411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1321422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1321425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1321428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1321431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1321441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321464 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1321464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1321467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321486 */     // GIR_Coverage, 13880,
     /* 1321486 */     GIR_EraseRootFromParent_Done,
     /* 1321487 */   // Label 18924: @1321487
     /* 1321487 */   GIM_Try, /*On fail goto*//*Label 18925*/ GIMT_Encode4(1321568), // Rule ID 13881 //
     /* 1321492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1321503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1321506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1321509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1321512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1321522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321545 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1321545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1321548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321567 */     // GIR_Coverage, 13881,
     /* 1321567 */     GIR_EraseRootFromParent_Done,
     /* 1321568 */   // Label 18925: @1321568
     /* 1321568 */   GIM_Try, /*On fail goto*//*Label 18926*/ GIMT_Encode4(1321649), // Rule ID 13882 //
     /* 1321573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1321584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1321587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1321590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1321593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1321603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1321626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1321629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321648 */     // GIR_Coverage, 13882,
     /* 1321648 */     GIR_EraseRootFromParent_Done,
     /* 1321649 */   // Label 18926: @1321649
     /* 1321649 */   GIM_Try, /*On fail goto*//*Label 18927*/ GIMT_Encode4(1321730), // Rule ID 13883 //
     /* 1321654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1321665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1321668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1321671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1321674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1321684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321707 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1321707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1321710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321729 */     // GIR_Coverage, 13883,
     /* 1321729 */     GIR_EraseRootFromParent_Done,
     /* 1321730 */   // Label 18927: @1321730
     /* 1321730 */   GIM_Try, /*On fail goto*//*Label 18928*/ GIMT_Encode4(1321811), // Rule ID 13884 //
     /* 1321735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1321746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1321749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1321752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1321755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1321765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321788 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1321788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1321791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321810 */     // GIR_Coverage, 13884,
     /* 1321810 */     GIR_EraseRootFromParent_Done,
     /* 1321811 */   // Label 18928: @1321811
     /* 1321811 */   GIM_Try, /*On fail goto*//*Label 18929*/ GIMT_Encode4(1321892), // Rule ID 13885 //
     /* 1321816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1321827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1321830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1321833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1321836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1321846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1321869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1321872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321891 */     // GIR_Coverage, 13885,
     /* 1321891 */     GIR_EraseRootFromParent_Done,
     /* 1321892 */   // Label 18929: @1321892
     /* 1321892 */   GIM_Try, /*On fail goto*//*Label 18930*/ GIMT_Encode4(1321973), // Rule ID 13886 //
     /* 1321897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1321908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1321911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1321914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1321917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1321927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321950 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1321950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1321953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321972 */     // GIR_Coverage, 13886,
     /* 1321972 */     GIR_EraseRootFromParent_Done,
     /* 1321973 */   // Label 18930: @1321973
     /* 1321973 */   GIM_Try, /*On fail goto*//*Label 18931*/ GIMT_Encode4(1322054), // Rule ID 13887 //
     /* 1321978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1321989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1321992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1321995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1321998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1322008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322031 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1322031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1322034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322053 */     // GIR_Coverage, 13887,
     /* 1322053 */     GIR_EraseRootFromParent_Done,
     /* 1322054 */   // Label 18931: @1322054
     /* 1322054 */   GIM_Try, /*On fail goto*//*Label 18932*/ GIMT_Encode4(1322135), // Rule ID 13888 //
     /* 1322059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1322070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1322073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1322076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1322079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1322089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322112 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1322112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1322115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322134 */     // GIR_Coverage, 13888,
     /* 1322134 */     GIR_EraseRootFromParent_Done,
     /* 1322135 */   // Label 18932: @1322135
     /* 1322135 */   GIM_Try, /*On fail goto*//*Label 18933*/ GIMT_Encode4(1322216), // Rule ID 13889 //
     /* 1322140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1322151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1322154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1322157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1322160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1322170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322193 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1322193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1322196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322215 */     // GIR_Coverage, 13889,
     /* 1322215 */     GIR_EraseRootFromParent_Done,
     /* 1322216 */   // Label 18933: @1322216
     /* 1322216 */   GIM_Try, /*On fail goto*//*Label 18934*/ GIMT_Encode4(1322297), // Rule ID 13890 //
     /* 1322221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1322224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1322232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1322235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1322238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1322241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1322251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322274 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1322274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1322277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322296 */     // GIR_Coverage, 13890,
     /* 1322296 */     GIR_EraseRootFromParent_Done,
     /* 1322297 */   // Label 18934: @1322297
     /* 1322297 */   GIM_Try, /*On fail goto*//*Label 18935*/ GIMT_Encode4(1322378), // Rule ID 13891 //
     /* 1322302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1322305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1322313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1322316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1322319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1322322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1322332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322355 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1322355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1322358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322377 */     // GIR_Coverage, 13891,
     /* 1322377 */     GIR_EraseRootFromParent_Done,
     /* 1322378 */   // Label 18935: @1322378
     /* 1322378 */   GIM_Try, /*On fail goto*//*Label 18936*/ GIMT_Encode4(1322459), // Rule ID 13892 //
     /* 1322383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1322386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1322394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1322397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1322400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1322403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1322413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1322436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1322439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322458 */     // GIR_Coverage, 13892,
     /* 1322458 */     GIR_EraseRootFromParent_Done,
     /* 1322459 */   // Label 18936: @1322459
     /* 1322459 */   GIM_Try, /*On fail goto*//*Label 18937*/ GIMT_Encode4(1322540), // Rule ID 13893 //
     /* 1322464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1322467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1322475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1322478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1322481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1322484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1322494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322517 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1322517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1322520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322539 */     // GIR_Coverage, 13893,
     /* 1322539 */     GIR_EraseRootFromParent_Done,
     /* 1322540 */   // Label 18937: @1322540
     /* 1322540 */   GIM_Try, /*On fail goto*//*Label 18938*/ GIMT_Encode4(1322621), // Rule ID 13894 //
     /* 1322545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1322548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1322556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1322559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1322562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1322565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1322575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322598 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1322598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1322601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322620 */     // GIR_Coverage, 13894,
     /* 1322620 */     GIR_EraseRootFromParent_Done,
     /* 1322621 */   // Label 18938: @1322621
     /* 1322621 */   GIM_Try, /*On fail goto*//*Label 18939*/ GIMT_Encode4(1322702), // Rule ID 13895 //
     /* 1322626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1322629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1322637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1322640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1322643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1322646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1322656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322679 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1322679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1322682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322701 */     // GIR_Coverage, 13895,
     /* 1322701 */     GIR_EraseRootFromParent_Done,
     /* 1322702 */   // Label 18939: @1322702
     /* 1322702 */   GIM_Try, /*On fail goto*//*Label 18940*/ GIMT_Encode4(1322783), // Rule ID 13896 //
     /* 1322707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1322718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1322721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1322724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322760 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1322760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1322763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322782 */     // GIR_Coverage, 13896,
     /* 1322782 */     GIR_EraseRootFromParent_Done,
     /* 1322783 */   // Label 18940: @1322783
     /* 1322783 */   GIM_Try, /*On fail goto*//*Label 18941*/ GIMT_Encode4(1322864), // Rule ID 13897 //
     /* 1322788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1322799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1322802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1322805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322841 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1322841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1322844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322863 */     // GIR_Coverage, 13897,
     /* 1322863 */     GIR_EraseRootFromParent_Done,
     /* 1322864 */   // Label 18941: @1322864
     /* 1322864 */   GIM_Try, /*On fail goto*//*Label 18942*/ GIMT_Encode4(1322945), // Rule ID 13898 //
     /* 1322869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1322880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1322883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1322886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1322922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1322925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322944 */     // GIR_Coverage, 13898,
     /* 1322944 */     GIR_EraseRootFromParent_Done,
     /* 1322945 */   // Label 18942: @1322945
     /* 1322945 */   GIM_Try, /*On fail goto*//*Label 18943*/ GIMT_Encode4(1323026), // Rule ID 13899 //
     /* 1322950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1322961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1322964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1322967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323003 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1323003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1323006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323025 */     // GIR_Coverage, 13899,
     /* 1323025 */     GIR_EraseRootFromParent_Done,
     /* 1323026 */   // Label 18943: @1323026
     /* 1323026 */   GIM_Try, /*On fail goto*//*Label 18944*/ GIMT_Encode4(1323107), // Rule ID 13900 //
     /* 1323031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1323042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1323045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1323048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323084 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1323084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1323087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323106 */     // GIR_Coverage, 13900,
     /* 1323106 */     GIR_EraseRootFromParent_Done,
     /* 1323107 */   // Label 18944: @1323107
     /* 1323107 */   GIM_Try, /*On fail goto*//*Label 18945*/ GIMT_Encode4(1323188), // Rule ID 13901 //
     /* 1323112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1323123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1323126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1323129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323165 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1323165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1323168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323187 */     // GIR_Coverage, 13901,
     /* 1323187 */     GIR_EraseRootFromParent_Done,
     /* 1323188 */   // Label 18945: @1323188
     /* 1323188 */   GIM_Try, /*On fail goto*//*Label 18946*/ GIMT_Encode4(1323269), // Rule ID 13902 //
     /* 1323193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1323204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1323207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1323210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1323246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1323249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323268 */     // GIR_Coverage, 13902,
     /* 1323268 */     GIR_EraseRootFromParent_Done,
     /* 1323269 */   // Label 18946: @1323269
     /* 1323269 */   GIM_Try, /*On fail goto*//*Label 18947*/ GIMT_Encode4(1323350), // Rule ID 13903 //
     /* 1323274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1323285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1323288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1323291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323327 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1323327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1323330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323349 */     // GIR_Coverage, 13903,
     /* 1323349 */     GIR_EraseRootFromParent_Done,
     /* 1323350 */   // Label 18947: @1323350
     /* 1323350 */   GIM_Try, /*On fail goto*//*Label 18948*/ GIMT_Encode4(1323431), // Rule ID 13904 //
     /* 1323355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1323366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1323369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1323372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1323408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1323411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323430 */     // GIR_Coverage, 13904,
     /* 1323430 */     GIR_EraseRootFromParent_Done,
     /* 1323431 */   // Label 18948: @1323431
     /* 1323431 */   GIM_Try, /*On fail goto*//*Label 18949*/ GIMT_Encode4(1323512), // Rule ID 13905 //
     /* 1323436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1323447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1323450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1323453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323489 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1323489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1323492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323511 */     // GIR_Coverage, 13905,
     /* 1323511 */     GIR_EraseRootFromParent_Done,
     /* 1323512 */   // Label 18949: @1323512
     /* 1323512 */   GIM_Try, /*On fail goto*//*Label 18950*/ GIMT_Encode4(1323593), // Rule ID 13906 //
     /* 1323517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1323528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1323531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1323534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323570 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1323570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1323573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323592 */     // GIR_Coverage, 13906,
     /* 1323592 */     GIR_EraseRootFromParent_Done,
     /* 1323593 */   // Label 18950: @1323593
     /* 1323593 */   GIM_Try, /*On fail goto*//*Label 18951*/ GIMT_Encode4(1323674), // Rule ID 13907 //
     /* 1323598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1323609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1323612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1323615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323651 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1323651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1323654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323673 */     // GIR_Coverage, 13907,
     /* 1323673 */     GIR_EraseRootFromParent_Done,
     /* 1323674 */   // Label 18951: @1323674
     /* 1323674 */   GIM_Try, /*On fail goto*//*Label 18952*/ GIMT_Encode4(1323755), // Rule ID 13908 //
     /* 1323679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1323690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1323693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1323696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1323732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1323735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323754 */     // GIR_Coverage, 13908,
     /* 1323754 */     GIR_EraseRootFromParent_Done,
     /* 1323755 */   // Label 18952: @1323755
     /* 1323755 */   GIM_Try, /*On fail goto*//*Label 18953*/ GIMT_Encode4(1323836), // Rule ID 13909 //
     /* 1323760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1323771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1323774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1323777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323813 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1323813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1323816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323835 */     // GIR_Coverage, 13909,
     /* 1323835 */     GIR_EraseRootFromParent_Done,
     /* 1323836 */   // Label 18953: @1323836
     /* 1323836 */   GIM_Try, /*On fail goto*//*Label 18954*/ GIMT_Encode4(1323917), // Rule ID 13910 //
     /* 1323841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1323852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1323855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1323858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323894 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1323894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1323897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323916 */     // GIR_Coverage, 13910,
     /* 1323916 */     GIR_EraseRootFromParent_Done,
     /* 1323917 */   // Label 18954: @1323917
     /* 1323917 */   GIM_Try, /*On fail goto*//*Label 18955*/ GIMT_Encode4(1323998), // Rule ID 13911 //
     /* 1323922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1323933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1323936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1323939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323975 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1323975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1323978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323997 */     // GIR_Coverage, 13911,
     /* 1323997 */     GIR_EraseRootFromParent_Done,
     /* 1323998 */   // Label 18955: @1323998
     /* 1323998 */   GIM_Try, /*On fail goto*//*Label 18956*/ GIMT_Encode4(1324079), // Rule ID 13912 //
     /* 1324003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1324014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1324017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1324020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1324056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1324059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324078 */     // GIR_Coverage, 13912,
     /* 1324078 */     GIR_EraseRootFromParent_Done,
     /* 1324079 */   // Label 18956: @1324079
     /* 1324079 */   GIM_Try, /*On fail goto*//*Label 18957*/ GIMT_Encode4(1324160), // Rule ID 13913 //
     /* 1324084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1324095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1324098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1324101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324137 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1324137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1324140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324159 */     // GIR_Coverage, 13913,
     /* 1324159 */     GIR_EraseRootFromParent_Done,
     /* 1324160 */   // Label 18957: @1324160
     /* 1324160 */   GIM_Try, /*On fail goto*//*Label 18958*/ GIMT_Encode4(1324241), // Rule ID 13914 //
     /* 1324165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1324168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1324176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1324179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1324182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324218 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1324218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1324221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324240 */     // GIR_Coverage, 13914,
     /* 1324240 */     GIR_EraseRootFromParent_Done,
     /* 1324241 */   // Label 18958: @1324241
     /* 1324241 */   GIM_Try, /*On fail goto*//*Label 18959*/ GIMT_Encode4(1324322), // Rule ID 13915 //
     /* 1324246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1324249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1324257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1324260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1324263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324299 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1324299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1324302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324321 */     // GIR_Coverage, 13915,
     /* 1324321 */     GIR_EraseRootFromParent_Done,
     /* 1324322 */   // Label 18959: @1324322
     /* 1324322 */   GIM_Try, /*On fail goto*//*Label 18960*/ GIMT_Encode4(1324403), // Rule ID 13916 //
     /* 1324327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1324338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1324341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1324344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1324357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324380 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1324380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1324383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324402 */     // GIR_Coverage, 13916,
     /* 1324402 */     GIR_EraseRootFromParent_Done,
     /* 1324403 */   // Label 18960: @1324403
     /* 1324403 */   GIM_Try, /*On fail goto*//*Label 18961*/ GIMT_Encode4(1324484), // Rule ID 13917 //
     /* 1324408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1324419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1324422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1324425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1324438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324461 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1324461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1324464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324483 */     // GIR_Coverage, 13917,
     /* 1324483 */     GIR_EraseRootFromParent_Done,
     /* 1324484 */   // Label 18961: @1324484
     /* 1324484 */   GIM_Try, /*On fail goto*//*Label 18962*/ GIMT_Encode4(1324565), // Rule ID 13918 //
     /* 1324489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1324500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1324503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1324506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1324512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1324519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324542 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1324542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1324545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324564 */     // GIR_Coverage, 13918,
     /* 1324564 */     GIR_EraseRootFromParent_Done,
     /* 1324565 */   // Label 18962: @1324565
     /* 1324565 */   GIM_Try, /*On fail goto*//*Label 18963*/ GIMT_Encode4(1324646), // Rule ID 13919 //
     /* 1324570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1324581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1324584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1324587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1324593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1324600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324623 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1324623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1324626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324645 */     // GIR_Coverage, 13919,
     /* 1324645 */     GIR_EraseRootFromParent_Done,
     /* 1324646 */   // Label 18963: @1324646
     /* 1324646 */   GIM_Try, /*On fail goto*//*Label 18964*/ GIMT_Encode4(1324727), // Rule ID 13920 //
     /* 1324651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1324662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1324665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1324668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1324674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1324681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324704 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1324704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1324707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324726 */     // GIR_Coverage, 13920,
     /* 1324726 */     GIR_EraseRootFromParent_Done,
     /* 1324727 */   // Label 18964: @1324727
     /* 1324727 */   GIM_Try, /*On fail goto*//*Label 18965*/ GIMT_Encode4(1324808), // Rule ID 13921 //
     /* 1324732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1324743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1324746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1324749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1324755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1324762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324785 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1324785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1324788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324807 */     // GIR_Coverage, 13921,
     /* 1324807 */     GIR_EraseRootFromParent_Done,
     /* 1324808 */   // Label 18965: @1324808
     /* 1324808 */   GIM_Try, /*On fail goto*//*Label 18966*/ GIMT_Encode4(1324889), // Rule ID 13922 //
     /* 1324813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1324824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1324827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1324830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1324843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324866 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1324866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1324869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324888 */     // GIR_Coverage, 13922,
     /* 1324888 */     GIR_EraseRootFromParent_Done,
     /* 1324889 */   // Label 18966: @1324889
     /* 1324889 */   GIM_Try, /*On fail goto*//*Label 18967*/ GIMT_Encode4(1324970), // Rule ID 13923 //
     /* 1324894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1324905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1324908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1324911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1324924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1324936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1324947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1324950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324969 */     // GIR_Coverage, 13923,
     /* 1324969 */     GIR_EraseRootFromParent_Done,
     /* 1324970 */   // Label 18967: @1324970
     /* 1324970 */   GIM_Try, /*On fail goto*//*Label 18968*/ GIMT_Encode4(1325051), // Rule ID 13924 //
     /* 1324975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1324986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1324989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1324992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325028 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1325028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1325031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325050 */     // GIR_Coverage, 13924,
     /* 1325050 */     GIR_EraseRootFromParent_Done,
     /* 1325051 */   // Label 18968: @1325051
     /* 1325051 */   GIM_Try, /*On fail goto*//*Label 18969*/ GIMT_Encode4(1325132), // Rule ID 13925 //
     /* 1325056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1325067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1325070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1325073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325109 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1325109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1325112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325131 */     // GIR_Coverage, 13925,
     /* 1325131 */     GIR_EraseRootFromParent_Done,
     /* 1325132 */   // Label 18969: @1325132
     /* 1325132 */   GIM_Try, /*On fail goto*//*Label 18970*/ GIMT_Encode4(1325213), // Rule ID 13926 //
     /* 1325137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1325148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1325151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1325154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325190 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1325190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1325193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325212 */     // GIR_Coverage, 13926,
     /* 1325212 */     GIR_EraseRootFromParent_Done,
     /* 1325213 */   // Label 18970: @1325213
     /* 1325213 */   GIM_Try, /*On fail goto*//*Label 18971*/ GIMT_Encode4(1325294), // Rule ID 13927 //
     /* 1325218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1325229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1325232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1325235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325271 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1325271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1325274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325293 */     // GIR_Coverage, 13927,
     /* 1325293 */     GIR_EraseRootFromParent_Done,
     /* 1325294 */   // Label 18971: @1325294
     /* 1325294 */   GIM_Try, /*On fail goto*//*Label 18972*/ GIMT_Encode4(1325375), // Rule ID 13928 //
     /* 1325299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1325310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1325313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1325316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1325352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1325355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325374 */     // GIR_Coverage, 13928,
     /* 1325374 */     GIR_EraseRootFromParent_Done,
     /* 1325375 */   // Label 18972: @1325375
     /* 1325375 */   GIM_Try, /*On fail goto*//*Label 18973*/ GIMT_Encode4(1325456), // Rule ID 13929 //
     /* 1325380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1325391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1325394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1325397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325433 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1325433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1325436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325455 */     // GIR_Coverage, 13929,
     /* 1325455 */     GIR_EraseRootFromParent_Done,
     /* 1325456 */   // Label 18973: @1325456
     /* 1325456 */   GIM_Try, /*On fail goto*//*Label 18974*/ GIMT_Encode4(1325537), // Rule ID 13930 //
     /* 1325461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1325472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1325475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1325478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1325514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1325517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325536 */     // GIR_Coverage, 13930,
     /* 1325536 */     GIR_EraseRootFromParent_Done,
     /* 1325537 */   // Label 18974: @1325537
     /* 1325537 */   GIM_Try, /*On fail goto*//*Label 18975*/ GIMT_Encode4(1325618), // Rule ID 13931 //
     /* 1325542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1325553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1325556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1325559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325595 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1325595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1325598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325617 */     // GIR_Coverage, 13931,
     /* 1325617 */     GIR_EraseRootFromParent_Done,
     /* 1325618 */   // Label 18975: @1325618
     /* 1325618 */   GIM_Try, /*On fail goto*//*Label 18976*/ GIMT_Encode4(1325699), // Rule ID 13932 //
     /* 1325623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1325634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1325637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1325640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325676 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1325676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1325679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325698 */     // GIR_Coverage, 13932,
     /* 1325698 */     GIR_EraseRootFromParent_Done,
     /* 1325699 */   // Label 18976: @1325699
     /* 1325699 */   GIM_Try, /*On fail goto*//*Label 18977*/ GIMT_Encode4(1325780), // Rule ID 13933 //
     /* 1325704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1325715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1325718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1325721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325757 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1325757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1325760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325779 */     // GIR_Coverage, 13933,
     /* 1325779 */     GIR_EraseRootFromParent_Done,
     /* 1325780 */   // Label 18977: @1325780
     /* 1325780 */   GIM_Try, /*On fail goto*//*Label 18978*/ GIMT_Encode4(1325861), // Rule ID 13934 //
     /* 1325785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1325788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1325796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1325799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1325802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325838 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1325838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1325841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325860 */     // GIR_Coverage, 13934,
     /* 1325860 */     GIR_EraseRootFromParent_Done,
     /* 1325861 */   // Label 18978: @1325861
     /* 1325861 */   GIM_Try, /*On fail goto*//*Label 18979*/ GIMT_Encode4(1325942), // Rule ID 13935 //
     /* 1325866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1325869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1325877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1325880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1325883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325919 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1325919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1325922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325941 */     // GIR_Coverage, 13935,
     /* 1325941 */     GIR_EraseRootFromParent_Done,
     /* 1325942 */   // Label 18979: @1325942
     /* 1325942 */   GIM_Try, /*On fail goto*//*Label 18980*/ GIMT_Encode4(1326023), // Rule ID 13936 //
     /* 1325947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1325950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1325958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1325961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1325964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1325989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326000 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1326000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1326003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326022 */     // GIR_Coverage, 13936,
     /* 1326022 */     GIR_EraseRootFromParent_Done,
     /* 1326023 */   // Label 18980: @1326023
     /* 1326023 */   GIM_Try, /*On fail goto*//*Label 18981*/ GIMT_Encode4(1326104), // Rule ID 13937 //
     /* 1326028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1326031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1326039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1326042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1326045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1326058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1326070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326081 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1326081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1326084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326103 */     // GIR_Coverage, 13937,
     /* 1326103 */     GIR_EraseRootFromParent_Done,
     /* 1326104 */   // Label 18981: @1326104
     /* 1326104 */   GIM_Try, /*On fail goto*//*Label 18982*/ GIMT_Encode4(1326185), // Rule ID 13938 //
     /* 1326109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1326112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1326120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1326123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1326129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1326139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1326151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326162 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1326162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1326165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326184 */     // GIR_Coverage, 13938,
     /* 1326184 */     GIR_EraseRootFromParent_Done,
     /* 1326185 */   // Label 18982: @1326185
     /* 1326185 */   GIM_Try, /*On fail goto*//*Label 18983*/ GIMT_Encode4(1326266), // Rule ID 13939 //
     /* 1326190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1326193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1326201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1326204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1326220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1326232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326243 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1326243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1326246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326265 */     // GIR_Coverage, 13939,
     /* 1326265 */     GIR_EraseRootFromParent_Done,
     /* 1326266 */   // Label 18983: @1326266
     /* 1326266 */   GIM_Try, /*On fail goto*//*Label 18984*/ GIMT_Encode4(1326350), // Rule ID 19778 //
     /* 1326271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1326288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1326291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1326327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326349 */     // GIR_Coverage, 19778,
     /* 1326349 */     GIR_EraseRootFromParent_Done,
     /* 1326350 */   // Label 18984: @1326350
     /* 1326350 */   GIM_Try, /*On fail goto*//*Label 18985*/ GIMT_Encode4(1326434), // Rule ID 19779 //
     /* 1326355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1326372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1326375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326408 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1326411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326433 */     // GIR_Coverage, 19779,
     /* 1326433 */     GIR_EraseRootFromParent_Done,
     /* 1326434 */   // Label 18985: @1326434
     /* 1326434 */   GIM_Try, /*On fail goto*//*Label 18986*/ GIMT_Encode4(1326518), // Rule ID 19782 //
     /* 1326439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1326456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1326459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326492 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1326495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326517 */     // GIR_Coverage, 19782,
     /* 1326517 */     GIR_EraseRootFromParent_Done,
     /* 1326518 */   // Label 18986: @1326518
     /* 1326518 */   GIM_Try, /*On fail goto*//*Label 18987*/ GIMT_Encode4(1326602), // Rule ID 19783 //
     /* 1326523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1326540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1326543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326576 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1326579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326601 */     // GIR_Coverage, 19783,
     /* 1326601 */     GIR_EraseRootFromParent_Done,
     /* 1326602 */   // Label 18987: @1326602
     /* 1326602 */   GIM_Try, /*On fail goto*//*Label 18988*/ GIMT_Encode4(1326686), // Rule ID 19786 //
     /* 1326607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1326624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1326627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1326663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326685 */     // GIR_Coverage, 19786,
     /* 1326685 */     GIR_EraseRootFromParent_Done,
     /* 1326686 */   // Label 18988: @1326686
     /* 1326686 */   GIM_Try, /*On fail goto*//*Label 18989*/ GIMT_Encode4(1326770), // Rule ID 19787 //
     /* 1326691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1326708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1326711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326744 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1326747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326769 */     // GIR_Coverage, 19787,
     /* 1326769 */     GIR_EraseRootFromParent_Done,
     /* 1326770 */   // Label 18989: @1326770
     /* 1326770 */   GIM_Try, /*On fail goto*//*Label 18990*/ GIMT_Encode4(1326854), // Rule ID 19790 //
     /* 1326775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1326792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1326795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1326831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326853 */     // GIR_Coverage, 19790,
     /* 1326853 */     GIR_EraseRootFromParent_Done,
     /* 1326854 */   // Label 18990: @1326854
     /* 1326854 */   GIM_Try, /*On fail goto*//*Label 18991*/ GIMT_Encode4(1326938), // Rule ID 19791 //
     /* 1326859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1326876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1326879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326912 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1326915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326937 */     // GIR_Coverage, 19791,
     /* 1326937 */     GIR_EraseRootFromParent_Done,
     /* 1326938 */   // Label 18991: @1326938
     /* 1326938 */   GIM_Try, /*On fail goto*//*Label 18992*/ GIMT_Encode4(1327022), // Rule ID 19794 //
     /* 1326943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1326960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1326963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326996 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1326999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327021 */     // GIR_Coverage, 19794,
     /* 1327021 */     GIR_EraseRootFromParent_Done,
     /* 1327022 */   // Label 18992: @1327022
     /* 1327022 */   GIM_Try, /*On fail goto*//*Label 18993*/ GIMT_Encode4(1327106), // Rule ID 19795 //
     /* 1327027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1327044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1327047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1327083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327105 */     // GIR_Coverage, 19795,
     /* 1327105 */     GIR_EraseRootFromParent_Done,
     /* 1327106 */   // Label 18993: @1327106
     /* 1327106 */   GIM_Try, /*On fail goto*//*Label 18994*/ GIMT_Encode4(1327190), // Rule ID 19798 //
     /* 1327111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1327114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1327128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1327131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327164 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1327167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327189 */     // GIR_Coverage, 19798,
     /* 1327189 */     GIR_EraseRootFromParent_Done,
     /* 1327190 */   // Label 18994: @1327190
     /* 1327190 */   GIM_Try, /*On fail goto*//*Label 18995*/ GIMT_Encode4(1327274), // Rule ID 19799 //
     /* 1327195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1327198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1327212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1327215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1327251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327273 */     // GIR_Coverage, 19799,
     /* 1327273 */     GIR_EraseRootFromParent_Done,
     /* 1327274 */   // Label 18995: @1327274
     /* 1327274 */   GIM_Try, /*On fail goto*//*Label 18996*/ GIMT_Encode4(1327358), // Rule ID 19802 //
     /* 1327279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1327296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1327299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1327335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327357 */     // GIR_Coverage, 19802,
     /* 1327357 */     GIR_EraseRootFromParent_Done,
     /* 1327358 */   // Label 18996: @1327358
     /* 1327358 */   GIM_Try, /*On fail goto*//*Label 18997*/ GIMT_Encode4(1327442), // Rule ID 19803 //
     /* 1327363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1327380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1327383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327416 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1327419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327441 */     // GIR_Coverage, 19803,
     /* 1327441 */     GIR_EraseRootFromParent_Done,
     /* 1327442 */   // Label 18997: @1327442
     /* 1327442 */   GIM_Try, /*On fail goto*//*Label 18998*/ GIMT_Encode4(1327526), // Rule ID 19806 //
     /* 1327447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1327464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1327467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327500 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1327503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327525 */     // GIR_Coverage, 19806,
     /* 1327525 */     GIR_EraseRootFromParent_Done,
     /* 1327526 */   // Label 18998: @1327526
     /* 1327526 */   GIM_Try, /*On fail goto*//*Label 18999*/ GIMT_Encode4(1327610), // Rule ID 19807 //
     /* 1327531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1327548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1327551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327584 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1327587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327609 */     // GIR_Coverage, 19807,
     /* 1327609 */     GIR_EraseRootFromParent_Done,
     /* 1327610 */   // Label 18999: @1327610
     /* 1327610 */   GIM_Try, /*On fail goto*//*Label 19000*/ GIMT_Encode4(1327694), // Rule ID 19810 //
     /* 1327615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1327626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1327629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1327632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1327635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1327638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327668 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1327671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327693 */     // GIR_Coverage, 19810,
     /* 1327693 */     GIR_EraseRootFromParent_Done,
     /* 1327694 */   // Label 19000: @1327694
     /* 1327694 */   GIM_Try, /*On fail goto*//*Label 19001*/ GIMT_Encode4(1327778), // Rule ID 19811 //
     /* 1327699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1327710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1327713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1327716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1327719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1327722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327752 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1327755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327777 */     // GIR_Coverage, 19811,
     /* 1327777 */     GIR_EraseRootFromParent_Done,
     /* 1327778 */   // Label 19001: @1327778
     /* 1327778 */   GIM_Try, /*On fail goto*//*Label 19002*/ GIMT_Encode4(1327862), // Rule ID 19814 //
     /* 1327783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1327800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1327803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327836 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1327839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327861 */     // GIR_Coverage, 19814,
     /* 1327861 */     GIR_EraseRootFromParent_Done,
     /* 1327862 */   // Label 19002: @1327862
     /* 1327862 */   GIM_Try, /*On fail goto*//*Label 19003*/ GIMT_Encode4(1327946), // Rule ID 19815 //
     /* 1327867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1327884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1327887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1327923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327945 */     // GIR_Coverage, 19815,
     /* 1327945 */     GIR_EraseRootFromParent_Done,
     /* 1327946 */   // Label 19003: @1327946
     /* 1327946 */   GIM_Try, /*On fail goto*//*Label 19004*/ GIMT_Encode4(1328030), // Rule ID 19818 //
     /* 1327951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1327968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1327971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328004 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1328007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328029 */     // GIR_Coverage, 19818,
     /* 1328029 */     GIR_EraseRootFromParent_Done,
     /* 1328030 */   // Label 19004: @1328030
     /* 1328030 */   GIM_Try, /*On fail goto*//*Label 19005*/ GIMT_Encode4(1328114), // Rule ID 19819 //
     /* 1328035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1328052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1328055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1328091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328113 */     // GIR_Coverage, 19819,
     /* 1328113 */     GIR_EraseRootFromParent_Done,
     /* 1328114 */   // Label 19005: @1328114
     /* 1328114 */   GIM_Try, /*On fail goto*//*Label 19006*/ GIMT_Encode4(1328198), // Rule ID 19822 //
     /* 1328119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1328136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1328139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328172 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1328175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328197 */     // GIR_Coverage, 19822,
     /* 1328197 */     GIR_EraseRootFromParent_Done,
     /* 1328198 */   // Label 19006: @1328198
     /* 1328198 */   GIM_Try, /*On fail goto*//*Label 19007*/ GIMT_Encode4(1328282), // Rule ID 19823 //
     /* 1328203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1328220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1328223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328256 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1328259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328281 */     // GIR_Coverage, 19823,
     /* 1328281 */     GIR_EraseRootFromParent_Done,
     /* 1328282 */   // Label 19007: @1328282
     /* 1328282 */   GIM_Try, /*On fail goto*//*Label 19008*/ GIMT_Encode4(1328366), // Rule ID 19826 //
     /* 1328287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1328290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1328304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1328307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1328343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328365 */     // GIR_Coverage, 19826,
     /* 1328365 */     GIR_EraseRootFromParent_Done,
     /* 1328366 */   // Label 19008: @1328366
     /* 1328366 */   GIM_Try, /*On fail goto*//*Label 19009*/ GIMT_Encode4(1328450), // Rule ID 19827 //
     /* 1328371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1328388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1328391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328424 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1328427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328449 */     // GIR_Coverage, 19827,
     /* 1328449 */     GIR_EraseRootFromParent_Done,
     /* 1328450 */   // Label 19009: @1328450
     /* 1328450 */   GIM_Try, /*On fail goto*//*Label 19010*/ GIMT_Encode4(1328534), // Rule ID 19830 //
     /* 1328455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1328458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1328472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1328475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328508 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1328511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328533 */     // GIR_Coverage, 19830,
     /* 1328533 */     GIR_EraseRootFromParent_Done,
     /* 1328534 */   // Label 19010: @1328534
     /* 1328534 */   GIM_Try, /*On fail goto*//*Label 19011*/ GIMT_Encode4(1328618), // Rule ID 19831 //
     /* 1328539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1328556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1328559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1328595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328617 */     // GIR_Coverage, 19831,
     /* 1328617 */     GIR_EraseRootFromParent_Done,
     /* 1328618 */   // Label 19011: @1328618
     /* 1328618 */   GIM_Try, /*On fail goto*//*Label 19012*/ GIMT_Encode4(1328702), // Rule ID 19834 //
     /* 1328623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1328626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1328640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1328643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328676 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1328679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328701 */     // GIR_Coverage, 19834,
     /* 1328701 */     GIR_EraseRootFromParent_Done,
     /* 1328702 */   // Label 19012: @1328702
     /* 1328702 */   GIM_Try, /*On fail goto*//*Label 19013*/ GIMT_Encode4(1328786), // Rule ID 19835 //
     /* 1328707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1328724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1328727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328760 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1328763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328785 */     // GIR_Coverage, 19835,
     /* 1328785 */     GIR_EraseRootFromParent_Done,
     /* 1328786 */   // Label 19013: @1328786
     /* 1328786 */   GIM_Try, /*On fail goto*//*Label 19014*/ GIMT_Encode4(1328870), // Rule ID 19838 //
     /* 1328791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1328808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328844 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1328847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328869 */     // GIR_Coverage, 19838,
     /* 1328869 */     GIR_EraseRootFromParent_Done,
     /* 1328870 */   // Label 19014: @1328870
     /* 1328870 */   GIM_Try, /*On fail goto*//*Label 19015*/ GIMT_Encode4(1328954), // Rule ID 19839 //
     /* 1328875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1328892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1328931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328953 */     // GIR_Coverage, 19839,
     /* 1328953 */     GIR_EraseRootFromParent_Done,
     /* 1328954 */   // Label 19015: @1328954
     /* 1328954 */   GIM_Try, /*On fail goto*//*Label 19016*/ GIMT_Encode4(1329038), // Rule ID 19842 //
     /* 1328959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1328976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1329001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1329015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329037 */     // GIR_Coverage, 19842,
     /* 1329037 */     GIR_EraseRootFromParent_Done,
     /* 1329038 */   // Label 19016: @1329038
     /* 1329038 */   GIM_Try, /*On fail goto*//*Label 19017*/ GIMT_Encode4(1329122), // Rule ID 19843 //
     /* 1329043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1329060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1329063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1329085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329096 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1329099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329121 */     // GIR_Coverage, 19843,
     /* 1329121 */     GIR_EraseRootFromParent_Done,
     /* 1329122 */   // Label 19017: @1329122
     /* 1329122 */   GIM_Try, /*On fail goto*//*Label 19018*/ GIMT_Encode4(1329206), // Rule ID 19846 //
     /* 1329127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1329144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1329169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329180 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1329183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329205 */     // GIR_Coverage, 19846,
     /* 1329205 */     GIR_EraseRootFromParent_Done,
     /* 1329206 */   // Label 19018: @1329206
     /* 1329206 */   GIM_Try, /*On fail goto*//*Label 19019*/ GIMT_Encode4(1329290), // Rule ID 19847 //
     /* 1329211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1329228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1329253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1329267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329289 */     // GIR_Coverage, 19847,
     /* 1329289 */     GIR_EraseRootFromParent_Done,
     /* 1329290 */   // Label 19019: @1329290
     /* 1329290 */   GIM_Try, /*On fail goto*//*Label 19020*/ GIMT_Encode4(1329374), // Rule ID 19850 //
     /* 1329295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1329312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1329315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1329337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1329351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329373 */     // GIR_Coverage, 19850,
     /* 1329373 */     GIR_EraseRootFromParent_Done,
     /* 1329374 */   // Label 19020: @1329374
     /* 1329374 */   GIM_Try, /*On fail goto*//*Label 19021*/ GIMT_Encode4(1329458), // Rule ID 19851 //
     /* 1329379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1329396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1329399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1329421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329432 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1329435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329457 */     // GIR_Coverage, 19851,
     /* 1329457 */     GIR_EraseRootFromParent_Done,
     /* 1329458 */   // Label 19021: @1329458
     /* 1329458 */   GIM_Try, /*On fail goto*//*Label 19022*/ GIMT_Encode4(1329542), // Rule ID 19854 //
     /* 1329463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1329480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1329505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329516 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1329519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329541 */     // GIR_Coverage, 19854,
     /* 1329541 */     GIR_EraseRootFromParent_Done,
     /* 1329542 */   // Label 19022: @1329542
     /* 1329542 */   GIM_Try, /*On fail goto*//*Label 19023*/ GIMT_Encode4(1329626), // Rule ID 19855 //
     /* 1329547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1329564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1329589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329600 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1329603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329625 */     // GIR_Coverage, 19855,
     /* 1329625 */     GIR_EraseRootFromParent_Done,
     /* 1329626 */   // Label 19023: @1329626
     /* 1329626 */   GIM_Try, /*On fail goto*//*Label 19024*/ GIMT_Encode4(1329710), // Rule ID 19858 //
     /* 1329631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1329634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1329648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329684 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1329687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329709 */     // GIR_Coverage, 19858,
     /* 1329709 */     GIR_EraseRootFromParent_Done,
     /* 1329710 */   // Label 19024: @1329710
     /* 1329710 */   GIM_Try, /*On fail goto*//*Label 19025*/ GIMT_Encode4(1329794), // Rule ID 19859 //
     /* 1329715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1329718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1329732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329768 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1329771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329793 */     // GIR_Coverage, 19859,
     /* 1329793 */     GIR_EraseRootFromParent_Done,
     /* 1329794 */   // Label 19025: @1329794
     /* 1329794 */   GIM_Try, /*On fail goto*//*Label 19026*/ GIMT_Encode4(1329878), // Rule ID 19862 //
     /* 1329799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1329819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1329841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1329855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329877 */     // GIR_Coverage, 19862,
     /* 1329877 */     GIR_EraseRootFromParent_Done,
     /* 1329878 */   // Label 19026: @1329878
     /* 1329878 */   GIM_Try, /*On fail goto*//*Label 19027*/ GIMT_Encode4(1329962), // Rule ID 19863 //
     /* 1329883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1329903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1329925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1329939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329961 */     // GIR_Coverage, 19863,
     /* 1329961 */     GIR_EraseRootFromParent_Done,
     /* 1329962 */   // Label 19027: @1329962
     /* 1329962 */   GIM_Try, /*On fail goto*//*Label 19028*/ GIMT_Encode4(1330046), // Rule ID 19866 //
     /* 1329967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1329975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1329978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1329981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1329984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1329987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1330009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330020 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1330023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330045 */     // GIR_Coverage, 19866,
     /* 1330045 */     GIR_EraseRootFromParent_Done,
     /* 1330046 */   // Label 19028: @1330046
     /* 1330046 */   GIM_Try, /*On fail goto*//*Label 19029*/ GIMT_Encode4(1330130), // Rule ID 19867 //
     /* 1330051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1330068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1330071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1330093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330104 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1330107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330129 */     // GIR_Coverage, 19867,
     /* 1330129 */     GIR_EraseRootFromParent_Done,
     /* 1330130 */   // Label 19029: @1330130
     /* 1330130 */   GIM_Try, /*On fail goto*//*Label 19030*/ GIMT_Encode4(1330214), // Rule ID 19870 //
     /* 1330135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1330146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1330149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1330152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1330155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1330158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1330177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330188 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1330191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330213 */     // GIR_Coverage, 19870,
     /* 1330213 */     GIR_EraseRootFromParent_Done,
     /* 1330214 */   // Label 19030: @1330214
     /* 1330214 */   GIM_Try, /*On fail goto*//*Label 19031*/ GIMT_Encode4(1330298), // Rule ID 19871 //
     /* 1330219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1330230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1330233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1330236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1330239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1330242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1330261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330272 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1330275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330297 */     // GIR_Coverage, 19871,
     /* 1330297 */     GIR_EraseRootFromParent_Done,
     /* 1330298 */   // Label 19031: @1330298
     /* 1330298 */   GIM_Try, /*On fail goto*//*Label 19032*/ GIMT_Encode4(1330382), // Rule ID 19874 //
     /* 1330303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1330320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1330345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330356 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1330359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330381 */     // GIR_Coverage, 19874,
     /* 1330381 */     GIR_EraseRootFromParent_Done,
     /* 1330382 */   // Label 19032: @1330382
     /* 1330382 */   GIM_Try, /*On fail goto*//*Label 19033*/ GIMT_Encode4(1330466), // Rule ID 19875 //
     /* 1330387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1330404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1330429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1330443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330465 */     // GIR_Coverage, 19875,
     /* 1330465 */     GIR_EraseRootFromParent_Done,
     /* 1330466 */   // Label 19033: @1330466
     /* 1330466 */   GIM_Try, /*On fail goto*//*Label 19034*/ GIMT_Encode4(1330550), // Rule ID 19878 //
     /* 1330471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1330488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1330513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330524 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1330527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330549 */     // GIR_Coverage, 19878,
     /* 1330549 */     GIR_EraseRootFromParent_Done,
     /* 1330550 */   // Label 19034: @1330550
     /* 1330550 */   GIM_Try, /*On fail goto*//*Label 19035*/ GIMT_Encode4(1330634), // Rule ID 19879 //
     /* 1330555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1330572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1330597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1330611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330633 */     // GIR_Coverage, 19879,
     /* 1330633 */     GIR_EraseRootFromParent_Done,
     /* 1330634 */   // Label 19035: @1330634
     /* 1330634 */   GIM_Try, /*On fail goto*//*Label 19036*/ GIMT_Encode4(1330718), // Rule ID 19882 //
     /* 1330639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1330656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1330681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330692 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1330695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330717 */     // GIR_Coverage, 19882,
     /* 1330717 */     GIR_EraseRootFromParent_Done,
     /* 1330718 */   // Label 19036: @1330718
     /* 1330718 */   GIM_Try, /*On fail goto*//*Label 19037*/ GIMT_Encode4(1330802), // Rule ID 19883 //
     /* 1330723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1330740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1330765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330776 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1330779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330801 */     // GIR_Coverage, 19883,
     /* 1330801 */     GIR_EraseRootFromParent_Done,
     /* 1330802 */   // Label 19037: @1330802
     /* 1330802 */   GIM_Try, /*On fail goto*//*Label 19038*/ GIMT_Encode4(1330886), // Rule ID 19886 //
     /* 1330807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1330824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1330849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1330863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330885 */     // GIR_Coverage, 19886,
     /* 1330885 */     GIR_EraseRootFromParent_Done,
     /* 1330886 */   // Label 19038: @1330886
     /* 1330886 */   GIM_Try, /*On fail goto*//*Label 19039*/ GIMT_Encode4(1330970), // Rule ID 19887 //
     /* 1330891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1330908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1330933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330944 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1330947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330969 */     // GIR_Coverage, 19887,
     /* 1330969 */     GIR_EraseRootFromParent_Done,
     /* 1330970 */   // Label 19039: @1330970
     /* 1330970 */   GIM_Try, /*On fail goto*//*Label 19040*/ GIMT_Encode4(1331054), // Rule ID 19890 //
     /* 1330975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1330992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1331017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1331031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331053 */     // GIR_Coverage, 19890,
     /* 1331053 */     GIR_EraseRootFromParent_Done,
     /* 1331054 */   // Label 19040: @1331054
     /* 1331054 */   GIM_Try, /*On fail goto*//*Label 19041*/ GIMT_Encode4(1331138), // Rule ID 19891 //
     /* 1331059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1331076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1331079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1331101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1331115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331137 */     // GIR_Coverage, 19891,
     /* 1331137 */     GIR_EraseRootFromParent_Done,
     /* 1331138 */   // Label 19041: @1331138
     /* 1331138 */   GIM_Try, /*On fail goto*//*Label 19042*/ GIMT_Encode4(1331222), // Rule ID 19894 //
     /* 1331143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1331160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1331163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1331185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1331199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331221 */     // GIR_Coverage, 19894,
     /* 1331221 */     GIR_EraseRootFromParent_Done,
     /* 1331222 */   // Label 19042: @1331222
     /* 1331222 */   GIM_Try, /*On fail goto*//*Label 19043*/ GIMT_Encode4(1331306), // Rule ID 19895 //
     /* 1331227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1331244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1331247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1331269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331280 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1331283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331305 */     // GIR_Coverage, 19895,
     /* 1331305 */     GIR_EraseRootFromParent_Done,
     /* 1331306 */   // Label 19043: @1331306
     /* 1331306 */   GIM_Try, /*On fail goto*//*Label 19044*/ GIMT_Encode4(1331390), // Rule ID 19898 //
     /* 1331311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1331328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1331331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1331367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331389 */     // GIR_Coverage, 19898,
     /* 1331389 */     GIR_EraseRootFromParent_Done,
     /* 1331390 */   // Label 19044: @1331390
     /* 1331390 */   GIM_Try, /*On fail goto*//*Label 19045*/ GIMT_Encode4(1331474), // Rule ID 19899 //
     /* 1331395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1331412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1331415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1331451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331473 */     // GIR_Coverage, 19899,
     /* 1331473 */     GIR_EraseRootFromParent_Done,
     /* 1331474 */   // Label 19045: @1331474
     /* 1331474 */   GIM_Try, /*On fail goto*//*Label 19046*/ GIMT_Encode4(1331558), // Rule ID 19902 //
     /* 1331479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1331496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1331499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1331535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331557 */     // GIR_Coverage, 19902,
     /* 1331557 */     GIR_EraseRootFromParent_Done,
     /* 1331558 */   // Label 19046: @1331558
     /* 1331558 */   GIM_Try, /*On fail goto*//*Label 19047*/ GIMT_Encode4(1331642), // Rule ID 19903 //
     /* 1331563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1331580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1331583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1331619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331641 */     // GIR_Coverage, 19903,
     /* 1331641 */     GIR_EraseRootFromParent_Done,
     /* 1331642 */   // Label 19047: @1331642
     /* 1331642 */   GIM_Try, /*On fail goto*//*Label 19048*/ GIMT_Encode4(1331726), // Rule ID 19906 //
     /* 1331647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1331664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1331667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331700 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1331703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331725 */     // GIR_Coverage, 19906,
     /* 1331725 */     GIR_EraseRootFromParent_Done,
     /* 1331726 */   // Label 19048: @1331726
     /* 1331726 */   GIM_Try, /*On fail goto*//*Label 19049*/ GIMT_Encode4(1331810), // Rule ID 19907 //
     /* 1331731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1331748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1331751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1331787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331809 */     // GIR_Coverage, 19907,
     /* 1331809 */     GIR_EraseRootFromParent_Done,
     /* 1331810 */   // Label 19049: @1331810
     /* 1331810 */   GIM_Try, /*On fail goto*//*Label 19050*/ GIMT_Encode4(1331894), // Rule ID 19910 //
     /* 1331815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1331832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1331835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331868 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1331871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331893 */     // GIR_Coverage, 19910,
     /* 1331893 */     GIR_EraseRootFromParent_Done,
     /* 1331894 */   // Label 19050: @1331894
     /* 1331894 */   GIM_Try, /*On fail goto*//*Label 19051*/ GIMT_Encode4(1331978), // Rule ID 19911 //
     /* 1331899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1331916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1331919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331952 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1331955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331977 */     // GIR_Coverage, 19911,
     /* 1331977 */     GIR_EraseRootFromParent_Done,
     /* 1331978 */   // Label 19051: @1331978
     /* 1331978 */   GIM_Try, /*On fail goto*//*Label 19052*/ GIMT_Encode4(1332062), // Rule ID 19914 //
     /* 1331983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1332000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1332003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332036 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1332039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332061 */     // GIR_Coverage, 19914,
     /* 1332061 */     GIR_EraseRootFromParent_Done,
     /* 1332062 */   // Label 19052: @1332062
     /* 1332062 */   GIM_Try, /*On fail goto*//*Label 19053*/ GIMT_Encode4(1332146), // Rule ID 19915 //
     /* 1332067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1332084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1332087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332120 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1332123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332145 */     // GIR_Coverage, 19915,
     /* 1332145 */     GIR_EraseRootFromParent_Done,
     /* 1332146 */   // Label 19053: @1332146
     /* 1332146 */   GIM_Try, /*On fail goto*//*Label 19054*/ GIMT_Encode4(1332230), // Rule ID 19918 //
     /* 1332151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1332168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1332171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332204 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1332207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332229 */     // GIR_Coverage, 19918,
     /* 1332229 */     GIR_EraseRootFromParent_Done,
     /* 1332230 */   // Label 19054: @1332230
     /* 1332230 */   GIM_Try, /*On fail goto*//*Label 19055*/ GIMT_Encode4(1332314), // Rule ID 19919 //
     /* 1332235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1332252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1332255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332288 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1332291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332313 */     // GIR_Coverage, 19919,
     /* 1332313 */     GIR_EraseRootFromParent_Done,
     /* 1332314 */   // Label 19055: @1332314
     /* 1332314 */   GIM_Try, /*On fail goto*//*Label 19056*/ GIMT_Encode4(1332398), // Rule ID 19922 //
     /* 1332319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1332336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1332339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1332375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332397 */     // GIR_Coverage, 19922,
     /* 1332397 */     GIR_EraseRootFromParent_Done,
     /* 1332398 */   // Label 19056: @1332398
     /* 1332398 */   GIM_Try, /*On fail goto*//*Label 19057*/ GIMT_Encode4(1332482), // Rule ID 19923 //
     /* 1332403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1332420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1332423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1332459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332481 */     // GIR_Coverage, 19923,
     /* 1332481 */     GIR_EraseRootFromParent_Done,
     /* 1332482 */   // Label 19057: @1332482
     /* 1332482 */   GIM_Try, /*On fail goto*//*Label 19058*/ GIMT_Encode4(1332566), // Rule ID 19926 //
     /* 1332487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1332504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1332507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1332543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332565 */     // GIR_Coverage, 19926,
     /* 1332565 */     GIR_EraseRootFromParent_Done,
     /* 1332566 */   // Label 19058: @1332566
     /* 1332566 */   GIM_Try, /*On fail goto*//*Label 19059*/ GIMT_Encode4(1332650), // Rule ID 19927 //
     /* 1332571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1332588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1332591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332624 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1332627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332649 */     // GIR_Coverage, 19927,
     /* 1332649 */     GIR_EraseRootFromParent_Done,
     /* 1332650 */   // Label 19059: @1332650
     /* 1332650 */   GIM_Try, /*On fail goto*//*Label 19060*/ GIMT_Encode4(1332734), // Rule ID 19930 //
     /* 1332655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1332666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1332669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1332672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1332675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1332678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332708 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1332711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332733 */     // GIR_Coverage, 19930,
     /* 1332733 */     GIR_EraseRootFromParent_Done,
     /* 1332734 */   // Label 19060: @1332734
     /* 1332734 */   GIM_Try, /*On fail goto*//*Label 19061*/ GIMT_Encode4(1332818), // Rule ID 19931 //
     /* 1332739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1332750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1332753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1332756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1332759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1332762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332792 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1332795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332817 */     // GIR_Coverage, 19931,
     /* 1332817 */     GIR_EraseRootFromParent_Done,
     /* 1332818 */   // Label 19061: @1332818
     /* 1332818 */   GIM_Try, /*On fail goto*//*Label 19062*/ GIMT_Encode4(1332902), // Rule ID 19934 //
     /* 1332823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1332840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1332843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332876 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1332879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332901 */     // GIR_Coverage, 19934,
     /* 1332901 */     GIR_EraseRootFromParent_Done,
     /* 1332902 */   // Label 19062: @1332902
     /* 1332902 */   GIM_Try, /*On fail goto*//*Label 19063*/ GIMT_Encode4(1332986), // Rule ID 19935 //
     /* 1332907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1332924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1332927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332960 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1332963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332985 */     // GIR_Coverage, 19935,
     /* 1332985 */     GIR_EraseRootFromParent_Done,
     /* 1332986 */   // Label 19063: @1332986
     /* 1332986 */   GIM_Try, /*On fail goto*//*Label 19064*/ GIMT_Encode4(1333070), // Rule ID 19938 //
     /* 1332991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1333008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1333011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1333047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333069 */     // GIR_Coverage, 19938,
     /* 1333069 */     GIR_EraseRootFromParent_Done,
     /* 1333070 */   // Label 19064: @1333070
     /* 1333070 */   GIM_Try, /*On fail goto*//*Label 19065*/ GIMT_Encode4(1333154), // Rule ID 19939 //
     /* 1333075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1333092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1333095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1333131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333153 */     // GIR_Coverage, 19939,
     /* 1333153 */     GIR_EraseRootFromParent_Done,
     /* 1333154 */   // Label 19065: @1333154
     /* 1333154 */   GIM_Try, /*On fail goto*//*Label 19066*/ GIMT_Encode4(1333238), // Rule ID 19942 //
     /* 1333159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1333176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1333179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333212 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1333215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333237 */     // GIR_Coverage, 19942,
     /* 1333237 */     GIR_EraseRootFromParent_Done,
     /* 1333238 */   // Label 19066: @1333238
     /* 1333238 */   GIM_Try, /*On fail goto*//*Label 19067*/ GIMT_Encode4(1333322), // Rule ID 19943 //
     /* 1333243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1333260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1333263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333296 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1333299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333321 */     // GIR_Coverage, 19943,
     /* 1333321 */     GIR_EraseRootFromParent_Done,
     /* 1333322 */   // Label 19067: @1333322
     /* 1333322 */   GIM_Try, /*On fail goto*//*Label 19068*/ GIMT_Encode4(1333406), // Rule ID 19946 //
     /* 1333327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1333344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1333347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1333383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333405 */     // GIR_Coverage, 19946,
     /* 1333405 */     GIR_EraseRootFromParent_Done,
     /* 1333406 */   // Label 19068: @1333406
     /* 1333406 */   GIM_Try, /*On fail goto*//*Label 19069*/ GIMT_Encode4(1333490), // Rule ID 19947 //
     /* 1333411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1333428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1333431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1333467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333489 */     // GIR_Coverage, 19947,
     /* 1333489 */     GIR_EraseRootFromParent_Done,
     /* 1333490 */   // Label 19069: @1333490
     /* 1333490 */   GIM_Try, /*On fail goto*//*Label 19070*/ GIMT_Encode4(1333574), // Rule ID 19950 //
     /* 1333495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1333512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1333515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333548 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1333551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333573 */     // GIR_Coverage, 19950,
     /* 1333573 */     GIR_EraseRootFromParent_Done,
     /* 1333574 */   // Label 19070: @1333574
     /* 1333574 */   GIM_Try, /*On fail goto*//*Label 19071*/ GIMT_Encode4(1333658), // Rule ID 19951 //
     /* 1333579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1333596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1333599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1333635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333657 */     // GIR_Coverage, 19951,
     /* 1333657 */     GIR_EraseRootFromParent_Done,
     /* 1333658 */   // Label 19071: @1333658
     /* 1333658 */   GIM_Try, /*On fail goto*//*Label 19072*/ GIMT_Encode4(1333742), // Rule ID 19954 //
     /* 1333663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1333680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1333683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333716 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1333719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333741 */     // GIR_Coverage, 19954,
     /* 1333741 */     GIR_EraseRootFromParent_Done,
     /* 1333742 */   // Label 19072: @1333742
     /* 1333742 */   GIM_Try, /*On fail goto*//*Label 19073*/ GIMT_Encode4(1333826), // Rule ID 19955 //
     /* 1333747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1333764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1333767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333800 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1333803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333825 */     // GIR_Coverage, 19955,
     /* 1333825 */     GIR_EraseRootFromParent_Done,
     /* 1333826 */   // Label 19073: @1333826
     /* 1333826 */   GIM_Try, /*On fail goto*//*Label 19074*/ GIMT_Encode4(1333910), // Rule ID 19958 //
     /* 1333831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1333848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1333887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333909 */     // GIR_Coverage, 19958,
     /* 1333909 */     GIR_EraseRootFromParent_Done,
     /* 1333910 */   // Label 19074: @1333910
     /* 1333910 */   GIM_Try, /*On fail goto*//*Label 19075*/ GIMT_Encode4(1333994), // Rule ID 19959 //
     /* 1333915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1333932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333968 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1333971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333993 */     // GIR_Coverage, 19959,
     /* 1333993 */     GIR_EraseRootFromParent_Done,
     /* 1333994 */   // Label 19075: @1333994
     /* 1333994 */   GIM_Try, /*On fail goto*//*Label 19076*/ GIMT_Encode4(1334078), // Rule ID 19962 //
     /* 1333999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1334016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1334055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334077 */     // GIR_Coverage, 19962,
     /* 1334077 */     GIR_EraseRootFromParent_Done,
     /* 1334078 */   // Label 19076: @1334078
     /* 1334078 */   GIM_Try, /*On fail goto*//*Label 19077*/ GIMT_Encode4(1334162), // Rule ID 19963 //
     /* 1334083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1334100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1334139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334161 */     // GIR_Coverage, 19963,
     /* 1334161 */     GIR_EraseRootFromParent_Done,
     /* 1334162 */   // Label 19077: @1334162
     /* 1334162 */   GIM_Try, /*On fail goto*//*Label 19078*/ GIMT_Encode4(1334246), // Rule ID 19966 //
     /* 1334167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1334184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334220 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1334223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334245 */     // GIR_Coverage, 19966,
     /* 1334245 */     GIR_EraseRootFromParent_Done,
     /* 1334246 */   // Label 19078: @1334246
     /* 1334246 */   GIM_Try, /*On fail goto*//*Label 19079*/ GIMT_Encode4(1334330), // Rule ID 19967 //
     /* 1334251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1334268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334304 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1334307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334329 */     // GIR_Coverage, 19967,
     /* 1334329 */     GIR_EraseRootFromParent_Done,
     /* 1334330 */   // Label 19079: @1334330
     /* 1334330 */   GIM_Try, /*On fail goto*//*Label 19080*/ GIMT_Encode4(1334414), // Rule ID 19970 //
     /* 1334335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1334352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1334391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334413 */     // GIR_Coverage, 19970,
     /* 1334413 */     GIR_EraseRootFromParent_Done,
     /* 1334414 */   // Label 19080: @1334414
     /* 1334414 */   GIM_Try, /*On fail goto*//*Label 19081*/ GIMT_Encode4(1334498), // Rule ID 19971 //
     /* 1334419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1334436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1334475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334497 */     // GIR_Coverage, 19971,
     /* 1334497 */     GIR_EraseRootFromParent_Done,
     /* 1334498 */   // Label 19081: @1334498
     /* 1334498 */   GIM_Try, /*On fail goto*//*Label 19082*/ GIMT_Encode4(1334582), // Rule ID 19974 //
     /* 1334503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1334520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1334559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334581 */     // GIR_Coverage, 19974,
     /* 1334581 */     GIR_EraseRootFromParent_Done,
     /* 1334582 */   // Label 19082: @1334582
     /* 1334582 */   GIM_Try, /*On fail goto*//*Label 19083*/ GIMT_Encode4(1334666), // Rule ID 19975 //
     /* 1334587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1334604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334640 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1334643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334665 */     // GIR_Coverage, 19975,
     /* 1334665 */     GIR_EraseRootFromParent_Done,
     /* 1334666 */   // Label 19083: @1334666
     /* 1334666 */   GIM_Try, /*On fail goto*//*Label 19084*/ GIMT_Encode4(1334750), // Rule ID 19978 //
     /* 1334671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1334674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1334688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1334727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334749 */     // GIR_Coverage, 19978,
     /* 1334749 */     GIR_EraseRootFromParent_Done,
     /* 1334750 */   // Label 19084: @1334750
     /* 1334750 */   GIM_Try, /*On fail goto*//*Label 19085*/ GIMT_Encode4(1334834), // Rule ID 19979 //
     /* 1334755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1334758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1334772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334808 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1334811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334833 */     // GIR_Coverage, 19979,
     /* 1334833 */     GIR_EraseRootFromParent_Done,
     /* 1334834 */   // Label 19085: @1334834
     /* 1334834 */   GIM_Try, /*On fail goto*//*Label 19086*/ GIMT_Encode4(1334918), // Rule ID 19982 //
     /* 1334839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1334856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1334895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334917 */     // GIR_Coverage, 19982,
     /* 1334917 */     GIR_EraseRootFromParent_Done,
     /* 1334918 */   // Label 19086: @1334918
     /* 1334918 */   GIM_Try, /*On fail goto*//*Label 19087*/ GIMT_Encode4(1335002), // Rule ID 19983 //
     /* 1334923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1334931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1334940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1334979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335001 */     // GIR_Coverage, 19983,
     /* 1335001 */     GIR_EraseRootFromParent_Done,
     /* 1335002 */   // Label 19087: @1335002
     /* 1335002 */   GIM_Try, /*On fail goto*//*Label 19088*/ GIMT_Encode4(1335086), // Rule ID 19986 //
     /* 1335007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1335024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1335027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1335049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335060 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1335063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335085 */     // GIR_Coverage, 19986,
     /* 1335085 */     GIR_EraseRootFromParent_Done,
     /* 1335086 */   // Label 19088: @1335086
     /* 1335086 */   GIM_Try, /*On fail goto*//*Label 19089*/ GIMT_Encode4(1335170), // Rule ID 19987 //
     /* 1335091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1335108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1335111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1335133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335144 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1335147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335169 */     // GIR_Coverage, 19987,
     /* 1335169 */     GIR_EraseRootFromParent_Done,
     /* 1335170 */   // Label 19089: @1335170
     /* 1335170 */   GIM_Try, /*On fail goto*//*Label 19090*/ GIMT_Encode4(1335254), // Rule ID 19990 //
     /* 1335175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1335186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1335189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1335192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1335195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1335198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1335217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335228 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1335231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335253 */     // GIR_Coverage, 19990,
     /* 1335253 */     GIR_EraseRootFromParent_Done,
     /* 1335254 */   // Label 19090: @1335254
     /* 1335254 */   GIM_Try, /*On fail goto*//*Label 19091*/ GIMT_Encode4(1335338), // Rule ID 19991 //
     /* 1335259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1335270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1335273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1335276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1335279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1335282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1335301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335312 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1335315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335337 */     // GIR_Coverage, 19991,
     /* 1335337 */     GIR_EraseRootFromParent_Done,
     /* 1335338 */   // Label 19091: @1335338
     /* 1335338 */   GIM_Try, /*On fail goto*//*Label 19092*/ GIMT_Encode4(1335422), // Rule ID 19994 //
     /* 1335343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1335360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335396 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1335399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335421 */     // GIR_Coverage, 19994,
     /* 1335421 */     GIR_EraseRootFromParent_Done,
     /* 1335422 */   // Label 19092: @1335422
     /* 1335422 */   GIM_Try, /*On fail goto*//*Label 19093*/ GIMT_Encode4(1335506), // Rule ID 19995 //
     /* 1335427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1335444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1335483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335505 */     // GIR_Coverage, 19995,
     /* 1335505 */     GIR_EraseRootFromParent_Done,
     /* 1335506 */   // Label 19093: @1335506
     /* 1335506 */   GIM_Try, /*On fail goto*//*Label 19094*/ GIMT_Encode4(1335590), // Rule ID 19998 //
     /* 1335511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1335528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335564 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1335567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335589 */     // GIR_Coverage, 19998,
     /* 1335589 */     GIR_EraseRootFromParent_Done,
     /* 1335590 */   // Label 19094: @1335590
     /* 1335590 */   GIM_Try, /*On fail goto*//*Label 19095*/ GIMT_Encode4(1335674), // Rule ID 19999 //
     /* 1335595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1335612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1335651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335673 */     // GIR_Coverage, 19999,
     /* 1335673 */     GIR_EraseRootFromParent_Done,
     /* 1335674 */   // Label 19095: @1335674
     /* 1335674 */   GIM_Try, /*On fail goto*//*Label 19096*/ GIMT_Encode4(1335758), // Rule ID 20002 //
     /* 1335679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1335696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335732 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1335735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335757 */     // GIR_Coverage, 20002,
     /* 1335757 */     GIR_EraseRootFromParent_Done,
     /* 1335758 */   // Label 19096: @1335758
     /* 1335758 */   GIM_Try, /*On fail goto*//*Label 19097*/ GIMT_Encode4(1335842), // Rule ID 20003 //
     /* 1335763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1335780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335816 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1335819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335841 */     // GIR_Coverage, 20003,
     /* 1335841 */     GIR_EraseRootFromParent_Done,
     /* 1335842 */   // Label 19097: @1335842
     /* 1335842 */   GIM_Try, /*On fail goto*//*Label 19098*/ GIMT_Encode4(1335926), // Rule ID 20006 //
     /* 1335847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1335864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1335903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335925 */     // GIR_Coverage, 20006,
     /* 1335925 */     GIR_EraseRootFromParent_Done,
     /* 1335926 */   // Label 19098: @1335926
     /* 1335926 */   GIM_Try, /*On fail goto*//*Label 19099*/ GIMT_Encode4(1336010), // Rule ID 20007 //
     /* 1335931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1335948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1335987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336009 */     // GIR_Coverage, 20007,
     /* 1336009 */     GIR_EraseRootFromParent_Done,
     /* 1336010 */   // Label 19099: @1336010
     /* 1336010 */   GIM_Try, /*On fail goto*//*Label 19100*/ GIMT_Encode4(1336094), // Rule ID 20010 //
     /* 1336015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1336032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1336035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1336057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1336071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336093 */     // GIR_Coverage, 20010,
     /* 1336093 */     GIR_EraseRootFromParent_Done,
     /* 1336094 */   // Label 19100: @1336094
     /* 1336094 */   GIM_Try, /*On fail goto*//*Label 19101*/ GIMT_Encode4(1336178), // Rule ID 20011 //
     /* 1336099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1336116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1336119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1336141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1336155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336177 */     // GIR_Coverage, 20011,
     /* 1336177 */     GIR_EraseRootFromParent_Done,
     /* 1336178 */   // Label 19101: @1336178
     /* 1336178 */   GIM_Try, /*On fail goto*//*Label 19102*/ GIMT_Encode4(1336262), // Rule ID 20014 //
     /* 1336183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1336200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1336203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1336225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1336239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336261 */     // GIR_Coverage, 20014,
     /* 1336261 */     GIR_EraseRootFromParent_Done,
     /* 1336262 */   // Label 19102: @1336262
     /* 1336262 */   GIM_Try, /*On fail goto*//*Label 19103*/ GIMT_Encode4(1336346), // Rule ID 20015 //
     /* 1336267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1336284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1336287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1336309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336320 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1336323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336345 */     // GIR_Coverage, 20015,
     /* 1336345 */     GIR_EraseRootFromParent_Done,
     /* 1336346 */   // Label 19103: @1336346
     /* 1336346 */   GIM_Try, /*On fail goto*//*Label 19104*/ GIMT_Encode4(1336430), // Rule ID 20018 //
     /* 1336351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1336368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1336371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336404 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1336407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336429 */     // GIR_Coverage, 20018,
     /* 1336429 */     GIR_EraseRootFromParent_Done,
     /* 1336430 */   // Label 19104: @1336430
     /* 1336430 */   GIM_Try, /*On fail goto*//*Label 19105*/ GIMT_Encode4(1336514), // Rule ID 20019 //
     /* 1336435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1336452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1336455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336488 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1336491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336513 */     // GIR_Coverage, 20019,
     /* 1336513 */     GIR_EraseRootFromParent_Done,
     /* 1336514 */   // Label 19105: @1336514
     /* 1336514 */   GIM_Try, /*On fail goto*//*Label 19106*/ GIMT_Encode4(1336598), // Rule ID 20022 //
     /* 1336519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1336539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1336575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336597 */     // GIR_Coverage, 20022,
     /* 1336597 */     GIR_EraseRootFromParent_Done,
     /* 1336598 */   // Label 19106: @1336598
     /* 1336598 */   GIM_Try, /*On fail goto*//*Label 19107*/ GIMT_Encode4(1336682), // Rule ID 20023 //
     /* 1336603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1336623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336656 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1336659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336681 */     // GIR_Coverage, 20023,
     /* 1336681 */     GIR_EraseRootFromParent_Done,
     /* 1336682 */   // Label 19107: @1336682
     /* 1336682 */   GIM_Try, /*On fail goto*//*Label 19108*/ GIMT_Encode4(1336766), // Rule ID 20026 //
     /* 1336687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1336704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1336707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1336743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336765 */     // GIR_Coverage, 20026,
     /* 1336765 */     GIR_EraseRootFromParent_Done,
     /* 1336766 */   // Label 19108: @1336766
     /* 1336766 */   GIM_Try, /*On fail goto*//*Label 19109*/ GIMT_Encode4(1336850), // Rule ID 20027 //
     /* 1336771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1336788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1336791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336824 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1336827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336849 */     // GIR_Coverage, 20027,
     /* 1336849 */     GIR_EraseRootFromParent_Done,
     /* 1336850 */   // Label 19109: @1336850
     /* 1336850 */   GIM_Try, /*On fail goto*//*Label 19110*/ GIMT_Encode4(1336934), // Rule ID 20030 //
     /* 1336855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1336875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336908 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1336911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336933 */     // GIR_Coverage, 20030,
     /* 1336933 */     GIR_EraseRootFromParent_Done,
     /* 1336934 */   // Label 19110: @1336934
     /* 1336934 */   GIM_Try, /*On fail goto*//*Label 19111*/ GIMT_Encode4(1337018), // Rule ID 20031 //
     /* 1336939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1336959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1336995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337017 */     // GIR_Coverage, 20031,
     /* 1337017 */     GIR_EraseRootFromParent_Done,
     /* 1337018 */   // Label 19111: @1337018
     /* 1337018 */   GIM_Try, /*On fail goto*//*Label 19112*/ GIMT_Encode4(1337102), // Rule ID 20034 //
     /* 1337023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1337043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337076 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1337079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337101 */     // GIR_Coverage, 20034,
     /* 1337101 */     GIR_EraseRootFromParent_Done,
     /* 1337102 */   // Label 19112: @1337102
     /* 1337102 */   GIM_Try, /*On fail goto*//*Label 19113*/ GIMT_Encode4(1337186), // Rule ID 20035 //
     /* 1337107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1337127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1337163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337185 */     // GIR_Coverage, 20035,
     /* 1337185 */     GIR_EraseRootFromParent_Done,
     /* 1337186 */   // Label 19113: @1337186
     /* 1337186 */   GIM_Try, /*On fail goto*//*Label 19114*/ GIMT_Encode4(1337270), // Rule ID 20038 //
     /* 1337191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1337194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1337208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1337211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1337247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337269 */     // GIR_Coverage, 20038,
     /* 1337269 */     GIR_EraseRootFromParent_Done,
     /* 1337270 */   // Label 19114: @1337270
     /* 1337270 */   GIM_Try, /*On fail goto*//*Label 19115*/ GIMT_Encode4(1337354), // Rule ID 20039 //
     /* 1337275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1337292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1337295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1337331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337353 */     // GIR_Coverage, 20039,
     /* 1337353 */     GIR_EraseRootFromParent_Done,
     /* 1337354 */   // Label 19115: @1337354
     /* 1337354 */   GIM_Try, /*On fail goto*//*Label 19116*/ GIMT_Encode4(1337438), // Rule ID 20042 //
     /* 1337359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1337376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1337379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1337415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337437 */     // GIR_Coverage, 20042,
     /* 1337437 */     GIR_EraseRootFromParent_Done,
     /* 1337438 */   // Label 19116: @1337438
     /* 1337438 */   GIM_Try, /*On fail goto*//*Label 19117*/ GIMT_Encode4(1337522), // Rule ID 20043 //
     /* 1337443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1337460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1337463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1337499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337521 */     // GIR_Coverage, 20043,
     /* 1337521 */     GIR_EraseRootFromParent_Done,
     /* 1337522 */   // Label 19117: @1337522
     /* 1337522 */   GIM_Try, /*On fail goto*//*Label 19118*/ GIMT_Encode4(1337606), // Rule ID 20046 //
     /* 1337527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1337544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1337547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337580 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1337583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337605 */     // GIR_Coverage, 20046,
     /* 1337605 */     GIR_EraseRootFromParent_Done,
     /* 1337606 */   // Label 19118: @1337606
     /* 1337606 */   GIM_Try, /*On fail goto*//*Label 19119*/ GIMT_Encode4(1337690), // Rule ID 20047 //
     /* 1337611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1337628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1337631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337664 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1337667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337689 */     // GIR_Coverage, 20047,
     /* 1337689 */     GIR_EraseRootFromParent_Done,
     /* 1337690 */   // Label 19119: @1337690
     /* 1337690 */   GIM_Try, /*On fail goto*//*Label 19120*/ GIMT_Encode4(1337774), // Rule ID 20050 //
     /* 1337695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1337706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1337709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1337712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1337715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1337718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337748 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1337751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337773 */     // GIR_Coverage, 20050,
     /* 1337773 */     GIR_EraseRootFromParent_Done,
     /* 1337774 */   // Label 19120: @1337774
     /* 1337774 */   GIM_Try, /*On fail goto*//*Label 19121*/ GIMT_Encode4(1337858), // Rule ID 20051 //
     /* 1337779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1337790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1337793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1337796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1337799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1337802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337832 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1337835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337857 */     // GIR_Coverage, 20051,
     /* 1337857 */     GIR_EraseRootFromParent_Done,
     /* 1337858 */   // Label 19121: @1337858
     /* 1337858 */   GIM_Try, /*On fail goto*//*Label 19122*/ GIMT_Encode4(1337942), // Rule ID 20054 //
     /* 1337863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1337880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1337883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337916 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1337919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337941 */     // GIR_Coverage, 20054,
     /* 1337941 */     GIR_EraseRootFromParent_Done,
     /* 1337942 */   // Label 19122: @1337942
     /* 1337942 */   GIM_Try, /*On fail goto*//*Label 19123*/ GIMT_Encode4(1338026), // Rule ID 20055 //
     /* 1337947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1337964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1337967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1338003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338025 */     // GIR_Coverage, 20055,
     /* 1338025 */     GIR_EraseRootFromParent_Done,
     /* 1338026 */   // Label 19123: @1338026
     /* 1338026 */   GIM_Try, /*On fail goto*//*Label 19124*/ GIMT_Encode4(1338110), // Rule ID 20058 //
     /* 1338031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1338048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1338051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1338087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338109 */     // GIR_Coverage, 20058,
     /* 1338109 */     GIR_EraseRootFromParent_Done,
     /* 1338110 */   // Label 19124: @1338110
     /* 1338110 */   GIM_Try, /*On fail goto*//*Label 19125*/ GIMT_Encode4(1338194), // Rule ID 20059 //
     /* 1338115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1338132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1338135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1338171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338193 */     // GIR_Coverage, 20059,
     /* 1338193 */     GIR_EraseRootFromParent_Done,
     /* 1338194 */   // Label 19125: @1338194
     /* 1338194 */   GIM_Try, /*On fail goto*//*Label 19126*/ GIMT_Encode4(1338278), // Rule ID 20062 //
     /* 1338199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1338210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1338216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1338219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1338255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338277 */     // GIR_Coverage, 20062,
     /* 1338277 */     GIR_EraseRootFromParent_Done,
     /* 1338278 */   // Label 19126: @1338278
     /* 1338278 */   GIM_Try, /*On fail goto*//*Label 19127*/ GIMT_Encode4(1338362), // Rule ID 20063 //
     /* 1338283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1338294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1338300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1338303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338336 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1338339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338361 */     // GIR_Coverage, 20063,
     /* 1338361 */     GIR_EraseRootFromParent_Done,
     /* 1338362 */   // Label 19127: @1338362
     /* 1338362 */   GIM_Try, /*On fail goto*//*Label 19128*/ GIMT_Encode4(1338446), // Rule ID 20066 //
     /* 1338367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1338384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1338387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338420 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1338423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338445 */     // GIR_Coverage, 20066,
     /* 1338445 */     GIR_EraseRootFromParent_Done,
     /* 1338446 */   // Label 19128: @1338446
     /* 1338446 */   GIM_Try, /*On fail goto*//*Label 19129*/ GIMT_Encode4(1338530), // Rule ID 20067 //
     /* 1338451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1338468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1338471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338504 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1338507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338529 */     // GIR_Coverage, 20067,
     /* 1338529 */     GIR_EraseRootFromParent_Done,
     /* 1338530 */   // Label 19129: @1338530
     /* 1338530 */   GIM_Try, /*On fail goto*//*Label 19130*/ GIMT_Encode4(1338614), // Rule ID 20070 //
     /* 1338535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1338552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1338555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1338591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338613 */     // GIR_Coverage, 20070,
     /* 1338613 */     GIR_EraseRootFromParent_Done,
     /* 1338614 */   // Label 19130: @1338614
     /* 1338614 */   GIM_Try, /*On fail goto*//*Label 19131*/ GIMT_Encode4(1338698), // Rule ID 20071 //
     /* 1338619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1338636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1338639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338672 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1338675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338697 */     // GIR_Coverage, 20071,
     /* 1338697 */     GIR_EraseRootFromParent_Done,
     /* 1338698 */   // Label 19131: @1338698
     /* 1338698 */   GIM_Try, /*On fail goto*//*Label 19132*/ GIMT_Encode4(1338782), // Rule ID 20074 //
     /* 1338703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1338720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1338723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338756 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1338759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338781 */     // GIR_Coverage, 20074,
     /* 1338781 */     GIR_EraseRootFromParent_Done,
     /* 1338782 */   // Label 19132: @1338782
     /* 1338782 */   GIM_Try, /*On fail goto*//*Label 19133*/ GIMT_Encode4(1338866), // Rule ID 20075 //
     /* 1338787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1338804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1338807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338840 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1338843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338865 */     // GIR_Coverage, 20075,
     /* 1338865 */     GIR_EraseRootFromParent_Done,
     /* 1338866 */   // Label 19133: @1338866
     /* 1338866 */   GIM_Try, /*On fail goto*//*Label 19134*/ GIMT_Encode4(1338950), // Rule ID 20078 //
     /* 1338871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1338888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1338927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338949 */     // GIR_Coverage, 20078,
     /* 1338949 */     GIR_EraseRootFromParent_Done,
     /* 1338950 */   // Label 19134: @1338950
     /* 1338950 */   GIM_Try, /*On fail goto*//*Label 19135*/ GIMT_Encode4(1339034), // Rule ID 20079 //
     /* 1338955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1338972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339008 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1339011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339033 */     // GIR_Coverage, 20079,
     /* 1339033 */     GIR_EraseRootFromParent_Done,
     /* 1339034 */   // Label 19135: @1339034
     /* 1339034 */   GIM_Try, /*On fail goto*//*Label 19136*/ GIMT_Encode4(1339118), // Rule ID 20082 //
     /* 1339039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1339056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1339095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339117 */     // GIR_Coverage, 20082,
     /* 1339117 */     GIR_EraseRootFromParent_Done,
     /* 1339118 */   // Label 19136: @1339118
     /* 1339118 */   GIM_Try, /*On fail goto*//*Label 19137*/ GIMT_Encode4(1339202), // Rule ID 20083 //
     /* 1339123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1339140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339176 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1339179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339201 */     // GIR_Coverage, 20083,
     /* 1339201 */     GIR_EraseRootFromParent_Done,
     /* 1339202 */   // Label 19137: @1339202
     /* 1339202 */   GIM_Try, /*On fail goto*//*Label 19138*/ GIMT_Encode4(1339286), // Rule ID 20086 //
     /* 1339207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1339224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1339263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339285 */     // GIR_Coverage, 20086,
     /* 1339285 */     GIR_EraseRootFromParent_Done,
     /* 1339286 */   // Label 19138: @1339286
     /* 1339286 */   GIM_Try, /*On fail goto*//*Label 19139*/ GIMT_Encode4(1339370), // Rule ID 20087 //
     /* 1339291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1339308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1339347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339369 */     // GIR_Coverage, 20087,
     /* 1339369 */     GIR_EraseRootFromParent_Done,
     /* 1339370 */   // Label 19139: @1339370
     /* 1339370 */   GIM_Try, /*On fail goto*//*Label 19140*/ GIMT_Encode4(1339454), // Rule ID 20090 //
     /* 1339375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1339392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339428 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1339431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339453 */     // GIR_Coverage, 20090,
     /* 1339453 */     GIR_EraseRootFromParent_Done,
     /* 1339454 */   // Label 19140: @1339454
     /* 1339454 */   GIM_Try, /*On fail goto*//*Label 19141*/ GIMT_Encode4(1339538), // Rule ID 20091 //
     /* 1339459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1339476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1339515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339537 */     // GIR_Coverage, 20091,
     /* 1339537 */     GIR_EraseRootFromParent_Done,
     /* 1339538 */   // Label 19141: @1339538
     /* 1339538 */   GIM_Try, /*On fail goto*//*Label 19142*/ GIMT_Encode4(1339622), // Rule ID 20094 //
     /* 1339543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1339560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1339599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339621 */     // GIR_Coverage, 20094,
     /* 1339621 */     GIR_EraseRootFromParent_Done,
     /* 1339622 */   // Label 19142: @1339622
     /* 1339622 */   GIM_Try, /*On fail goto*//*Label 19143*/ GIMT_Encode4(1339706), // Rule ID 20095 //
     /* 1339627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1339644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1339683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339705 */     // GIR_Coverage, 20095,
     /* 1339705 */     GIR_EraseRootFromParent_Done,
     /* 1339706 */   // Label 19143: @1339706
     /* 1339706 */   GIM_Try, /*On fail goto*//*Label 19144*/ GIMT_Encode4(1339790), // Rule ID 20098 //
     /* 1339711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1339714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1339728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339764 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1339767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339789 */     // GIR_Coverage, 20098,
     /* 1339789 */     GIR_EraseRootFromParent_Done,
     /* 1339790 */   // Label 19144: @1339790
     /* 1339790 */   GIM_Try, /*On fail goto*//*Label 19145*/ GIMT_Encode4(1339874), // Rule ID 20099 //
     /* 1339795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1339798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1339812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1339851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339873 */     // GIR_Coverage, 20099,
     /* 1339873 */     GIR_EraseRootFromParent_Done,
     /* 1339874 */   // Label 19145: @1339874
     /* 1339874 */   GIM_Try, /*On fail goto*//*Label 19146*/ GIMT_Encode4(1339958), // Rule ID 20102 //
     /* 1339879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1339896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1339935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339957 */     // GIR_Coverage, 20102,
     /* 1339957 */     GIR_EraseRootFromParent_Done,
     /* 1339958 */   // Label 19146: @1339958
     /* 1339958 */   GIM_Try, /*On fail goto*//*Label 19147*/ GIMT_Encode4(1340042), // Rule ID 20103 //
     /* 1339963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1339971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1339980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1340019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340041 */     // GIR_Coverage, 20103,
     /* 1340041 */     GIR_EraseRootFromParent_Done,
     /* 1340042 */   // Label 19147: @1340042
     /* 1340042 */   GIM_Try, /*On fail goto*//*Label 19148*/ GIMT_Encode4(1340126), // Rule ID 20106 //
     /* 1340047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1340064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340100 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1340103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340125 */     // GIR_Coverage, 20106,
     /* 1340125 */     GIR_EraseRootFromParent_Done,
     /* 1340126 */   // Label 19148: @1340126
     /* 1340126 */   GIM_Try, /*On fail goto*//*Label 19149*/ GIMT_Encode4(1340210), // Rule ID 20107 //
     /* 1340131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1340148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340184 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1340187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340209 */     // GIR_Coverage, 20107,
     /* 1340209 */     GIR_EraseRootFromParent_Done,
     /* 1340210 */   // Label 19149: @1340210
     /* 1340210 */   GIM_Try, /*On fail goto*//*Label 19150*/ GIMT_Encode4(1340294), // Rule ID 20110 //
     /* 1340215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1340226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1340229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1340232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1340238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340268 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1340271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340293 */     // GIR_Coverage, 20110,
     /* 1340293 */     GIR_EraseRootFromParent_Done,
     /* 1340294 */   // Label 19150: @1340294
     /* 1340294 */   GIM_Try, /*On fail goto*//*Label 19151*/ GIMT_Encode4(1340378), // Rule ID 20111 //
     /* 1340299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1340310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1340313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1340316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1340322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340352 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1340355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340377 */     // GIR_Coverage, 20111,
     /* 1340377 */     GIR_EraseRootFromParent_Done,
     /* 1340378 */   // Label 19151: @1340378
     /* 1340378 */   GIM_Try, /*On fail goto*//*Label 19152*/ GIMT_Encode4(1340462), // Rule ID 20114 //
     /* 1340383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1340400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1340439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340461 */     // GIR_Coverage, 20114,
     /* 1340461 */     GIR_EraseRootFromParent_Done,
     /* 1340462 */   // Label 19152: @1340462
     /* 1340462 */   GIM_Try, /*On fail goto*//*Label 19153*/ GIMT_Encode4(1340546), // Rule ID 20115 //
     /* 1340467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1340484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340520 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1340523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340545 */     // GIR_Coverage, 20115,
     /* 1340545 */     GIR_EraseRootFromParent_Done,
     /* 1340546 */   // Label 19153: @1340546
     /* 1340546 */   GIM_Try, /*On fail goto*//*Label 19154*/ GIMT_Encode4(1340630), // Rule ID 20118 //
     /* 1340551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1340568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1340607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340629 */     // GIR_Coverage, 20118,
     /* 1340629 */     GIR_EraseRootFromParent_Done,
     /* 1340630 */   // Label 19154: @1340630
     /* 1340630 */   GIM_Try, /*On fail goto*//*Label 19155*/ GIMT_Encode4(1340714), // Rule ID 20119 //
     /* 1340635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1340652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340688 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1340691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340713 */     // GIR_Coverage, 20119,
     /* 1340713 */     GIR_EraseRootFromParent_Done,
     /* 1340714 */   // Label 19155: @1340714
     /* 1340714 */   GIM_Try, /*On fail goto*//*Label 19156*/ GIMT_Encode4(1340798), // Rule ID 20122 //
     /* 1340719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1340736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340772 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1340775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340797 */     // GIR_Coverage, 20122,
     /* 1340797 */     GIR_EraseRootFromParent_Done,
     /* 1340798 */   // Label 19156: @1340798
     /* 1340798 */   GIM_Try, /*On fail goto*//*Label 19157*/ GIMT_Encode4(1340882), // Rule ID 20123 //
     /* 1340803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1340820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340856 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1340859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340881 */     // GIR_Coverage, 20123,
     /* 1340881 */     GIR_EraseRootFromParent_Done,
     /* 1340882 */   // Label 19157: @1340882
     /* 1340882 */   GIM_Try, /*On fail goto*//*Label 19158*/ GIMT_Encode4(1340966), // Rule ID 20126 //
     /* 1340887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1340904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340940 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1340943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340965 */     // GIR_Coverage, 20126,
     /* 1340965 */     GIR_EraseRootFromParent_Done,
     /* 1340966 */   // Label 19158: @1340966
     /* 1340966 */   GIM_Try, /*On fail goto*//*Label 19159*/ GIMT_Encode4(1341050), // Rule ID 20127 //
     /* 1340971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1340988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1341027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341049 */     // GIR_Coverage, 20127,
     /* 1341049 */     GIR_EraseRootFromParent_Done,
     /* 1341050 */   // Label 19159: @1341050
     /* 1341050 */   GIM_Try, /*On fail goto*//*Label 19160*/ GIMT_Encode4(1341134), // Rule ID 20130 //
     /* 1341055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1341072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341108 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1341111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341133 */     // GIR_Coverage, 20130,
     /* 1341133 */     GIR_EraseRootFromParent_Done,
     /* 1341134 */   // Label 19160: @1341134
     /* 1341134 */   GIM_Try, /*On fail goto*//*Label 19161*/ GIMT_Encode4(1341218), // Rule ID 20131 //
     /* 1341139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1341156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341192 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1341195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341217 */     // GIR_Coverage, 20131,
     /* 1341217 */     GIR_EraseRootFromParent_Done,
     /* 1341218 */   // Label 19161: @1341218
     /* 1341218 */   GIM_Try, /*On fail goto*//*Label 19162*/ GIMT_Encode4(1341302), // Rule ID 20134 //
     /* 1341223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1341240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1341279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341301 */     // GIR_Coverage, 20134,
     /* 1341301 */     GIR_EraseRootFromParent_Done,
     /* 1341302 */   // Label 19162: @1341302
     /* 1341302 */   GIM_Try, /*On fail goto*//*Label 19163*/ GIMT_Encode4(1341386), // Rule ID 20135 //
     /* 1341307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1341324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341360 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1341363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341385 */     // GIR_Coverage, 20135,
     /* 1341385 */     GIR_EraseRootFromParent_Done,
     /* 1341386 */   // Label 19163: @1341386
     /* 1341386 */   GIM_Try, /*On fail goto*//*Label 19164*/ GIMT_Encode4(1341470), // Rule ID 20138 //
     /* 1341391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1341408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1341411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341444 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1341447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341469 */     // GIR_Coverage, 20138,
     /* 1341469 */     GIR_EraseRootFromParent_Done,
     /* 1341470 */   // Label 19164: @1341470
     /* 1341470 */   GIM_Try, /*On fail goto*//*Label 19165*/ GIMT_Encode4(1341554), // Rule ID 20139 //
     /* 1341475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1341492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1341495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1341531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341553 */     // GIR_Coverage, 20139,
     /* 1341553 */     GIR_EraseRootFromParent_Done,
     /* 1341554 */   // Label 19165: @1341554
     /* 1341554 */   GIM_Try, /*On fail goto*//*Label 19166*/ GIMT_Encode4(1341638), // Rule ID 20142 //
     /* 1341559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1341576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1341579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1341615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341637 */     // GIR_Coverage, 20142,
     /* 1341637 */     GIR_EraseRootFromParent_Done,
     /* 1341638 */   // Label 19166: @1341638
     /* 1341638 */   GIM_Try, /*On fail goto*//*Label 19167*/ GIMT_Encode4(1341722), // Rule ID 20143 //
     /* 1341643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1341660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1341663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341696 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1341699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341721 */     // GIR_Coverage, 20143,
     /* 1341721 */     GIR_EraseRootFromParent_Done,
     /* 1341722 */   // Label 19167: @1341722
     /* 1341722 */   GIM_Try, /*On fail goto*//*Label 19168*/ GIMT_Encode4(1341806), // Rule ID 20146 //
     /* 1341727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1341744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1341747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1341783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341805 */     // GIR_Coverage, 20146,
     /* 1341805 */     GIR_EraseRootFromParent_Done,
     /* 1341806 */   // Label 19168: @1341806
     /* 1341806 */   GIM_Try, /*On fail goto*//*Label 19169*/ GIMT_Encode4(1341890), // Rule ID 20147 //
     /* 1341811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1341828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1341831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341864 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1341867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341889 */     // GIR_Coverage, 20147,
     /* 1341889 */     GIR_EraseRootFromParent_Done,
     /* 1341890 */   // Label 19169: @1341890
     /* 1341890 */   GIM_Try, /*On fail goto*//*Label 19170*/ GIMT_Encode4(1341974), // Rule ID 20150 //
     /* 1341895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1341915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341948 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1341951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341973 */     // GIR_Coverage, 20150,
     /* 1341973 */     GIR_EraseRootFromParent_Done,
     /* 1341974 */   // Label 19170: @1341974
     /* 1341974 */   GIM_Try, /*On fail goto*//*Label 19171*/ GIMT_Encode4(1342058), // Rule ID 20151 //
     /* 1341979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1341999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342032 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1342035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342057 */     // GIR_Coverage, 20151,
     /* 1342057 */     GIR_EraseRootFromParent_Done,
     /* 1342058 */   // Label 19171: @1342058
     /* 1342058 */   GIM_Try, /*On fail goto*//*Label 19172*/ GIMT_Encode4(1342142), // Rule ID 20154 //
     /* 1342063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1342080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1342083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342116 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1342119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342141 */     // GIR_Coverage, 20154,
     /* 1342141 */     GIR_EraseRootFromParent_Done,
     /* 1342142 */   // Label 19172: @1342142
     /* 1342142 */   GIM_Try, /*On fail goto*//*Label 19173*/ GIMT_Encode4(1342226), // Rule ID 20155 //
     /* 1342147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1342164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1342167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1342203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342225 */     // GIR_Coverage, 20155,
     /* 1342225 */     GIR_EraseRootFromParent_Done,
     /* 1342226 */   // Label 19173: @1342226
     /* 1342226 */   GIM_Try, /*On fail goto*//*Label 19174*/ GIMT_Encode4(1342310), // Rule ID 20158 //
     /* 1342231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1342248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1342251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342284 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1342287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342309 */     // GIR_Coverage, 20158,
     /* 1342309 */     GIR_EraseRootFromParent_Done,
     /* 1342310 */   // Label 19174: @1342310
     /* 1342310 */   GIM_Try, /*On fail goto*//*Label 19175*/ GIMT_Encode4(1342394), // Rule ID 20159 //
     /* 1342315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1342318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1342332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1342335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1342371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342393 */     // GIR_Coverage, 20159,
     /* 1342393 */     GIR_EraseRootFromParent_Done,
     /* 1342394 */   // Label 19175: @1342394
     /* 1342394 */   GIM_Try, /*On fail goto*//*Label 19176*/ GIMT_Encode4(1342478), // Rule ID 20162 //
     /* 1342399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1342419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1342455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342477 */     // GIR_Coverage, 20162,
     /* 1342477 */     GIR_EraseRootFromParent_Done,
     /* 1342478 */   // Label 19176: @1342478
     /* 1342478 */   GIM_Try, /*On fail goto*//*Label 19177*/ GIMT_Encode4(1342562), // Rule ID 20163 //
     /* 1342483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1342503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342536 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1342539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342561 */     // GIR_Coverage, 20163,
     /* 1342561 */     GIR_EraseRootFromParent_Done,
     /* 1342562 */   // Label 19177: @1342562
     /* 1342562 */   GIM_Try, /*On fail goto*//*Label 19178*/ GIMT_Encode4(1342646), // Rule ID 20166 //
     /* 1342567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1342584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1342587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342620 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1342623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342645 */     // GIR_Coverage, 20166,
     /* 1342645 */     GIR_EraseRootFromParent_Done,
     /* 1342646 */   // Label 19178: @1342646
     /* 1342646 */   GIM_Try, /*On fail goto*//*Label 19179*/ GIMT_Encode4(1342730), // Rule ID 20167 //
     /* 1342651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1342668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1342671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342704 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1342707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342729 */     // GIR_Coverage, 20167,
     /* 1342729 */     GIR_EraseRootFromParent_Done,
     /* 1342730 */   // Label 19179: @1342730
     /* 1342730 */   GIM_Try, /*On fail goto*//*Label 19180*/ GIMT_Encode4(1342814), // Rule ID 20170 //
     /* 1342735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1342746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1342749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1342752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1342755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342788 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1342791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342813 */     // GIR_Coverage, 20170,
     /* 1342813 */     GIR_EraseRootFromParent_Done,
     /* 1342814 */   // Label 19180: @1342814
     /* 1342814 */   GIM_Try, /*On fail goto*//*Label 19181*/ GIMT_Encode4(1342898), // Rule ID 20171 //
     /* 1342819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1342830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1342833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1342836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1342839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342872 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1342875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342897 */     // GIR_Coverage, 20171,
     /* 1342897 */     GIR_EraseRootFromParent_Done,
     /* 1342898 */   // Label 19181: @1342898
     /* 1342898 */   GIM_Try, /*On fail goto*//*Label 19182*/ GIMT_Encode4(1342982), // Rule ID 20174 //
     /* 1342903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1342920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1342923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342956 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1342959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342981 */     // GIR_Coverage, 20174,
     /* 1342981 */     GIR_EraseRootFromParent_Done,
     /* 1342982 */   // Label 19182: @1342982
     /* 1342982 */   GIM_Try, /*On fail goto*//*Label 19183*/ GIMT_Encode4(1343066), // Rule ID 20175 //
     /* 1342987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1343004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1343007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343040 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1343043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343065 */     // GIR_Coverage, 20175,
     /* 1343065 */     GIR_EraseRootFromParent_Done,
     /* 1343066 */   // Label 19183: @1343066
     /* 1343066 */   GIM_Try, /*On fail goto*//*Label 19184*/ GIMT_Encode4(1343150), // Rule ID 20178 //
     /* 1343071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1343091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1343127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343149 */     // GIR_Coverage, 20178,
     /* 1343149 */     GIR_EraseRootFromParent_Done,
     /* 1343150 */   // Label 19184: @1343150
     /* 1343150 */   GIM_Try, /*On fail goto*//*Label 19185*/ GIMT_Encode4(1343234), // Rule ID 20179 //
     /* 1343155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1343175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343208 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1343211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343233 */     // GIR_Coverage, 20179,
     /* 1343233 */     GIR_EraseRootFromParent_Done,
     /* 1343234 */   // Label 19185: @1343234
     /* 1343234 */   GIM_Try, /*On fail goto*//*Label 19186*/ GIMT_Encode4(1343318), // Rule ID 20182 //
     /* 1343239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1343256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1343259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1343295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343317 */     // GIR_Coverage, 20182,
     /* 1343317 */     GIR_EraseRootFromParent_Done,
     /* 1343318 */   // Label 19186: @1343318
     /* 1343318 */   GIM_Try, /*On fail goto*//*Label 19187*/ GIMT_Encode4(1343402), // Rule ID 20183 //
     /* 1343323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1343340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1343343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343376 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1343379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343401 */     // GIR_Coverage, 20183,
     /* 1343401 */     GIR_EraseRootFromParent_Done,
     /* 1343402 */   // Label 19187: @1343402
     /* 1343402 */   GIM_Try, /*On fail goto*//*Label 19188*/ GIMT_Encode4(1343486), // Rule ID 20186 //
     /* 1343407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1343424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1343427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1343463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343485 */     // GIR_Coverage, 20186,
     /* 1343485 */     GIR_EraseRootFromParent_Done,
     /* 1343486 */   // Label 19188: @1343486
     /* 1343486 */   GIM_Try, /*On fail goto*//*Label 19189*/ GIMT_Encode4(1343570), // Rule ID 20187 //
     /* 1343491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1343508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1343511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343544 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1343547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343569 */     // GIR_Coverage, 20187,
     /* 1343569 */     GIR_EraseRootFromParent_Done,
     /* 1343570 */   // Label 19189: @1343570
     /* 1343570 */   GIM_Try, /*On fail goto*//*Label 19190*/ GIMT_Encode4(1343654), // Rule ID 20190 //
     /* 1343575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1343592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1343595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1343631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343653 */     // GIR_Coverage, 20190,
     /* 1343653 */     GIR_EraseRootFromParent_Done,
     /* 1343654 */   // Label 19190: @1343654
     /* 1343654 */   GIM_Try, /*On fail goto*//*Label 19191*/ GIMT_Encode4(1343738), // Rule ID 20191 //
     /* 1343659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1343676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1343679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343712 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1343715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343737 */     // GIR_Coverage, 20191,
     /* 1343737 */     GIR_EraseRootFromParent_Done,
     /* 1343738 */   // Label 19191: @1343738
     /* 1343738 */   GIM_Try, /*On fail goto*//*Label 19192*/ GIMT_Encode4(1343822), // Rule ID 20194 //
     /* 1343743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1343760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1343763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343796 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1343799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343821 */     // GIR_Coverage, 20194,
     /* 1343821 */     GIR_EraseRootFromParent_Done,
     /* 1343822 */   // Label 19192: @1343822
     /* 1343822 */   GIM_Try, /*On fail goto*//*Label 19193*/ GIMT_Encode4(1343906), // Rule ID 20195 //
     /* 1343827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1343844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1343847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343880 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1343883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343905 */     // GIR_Coverage, 20195,
     /* 1343905 */     GIR_EraseRootFromParent_Done,
     /* 1343906 */   // Label 19193: @1343906
     /* 1343906 */   GIM_Try, /*On fail goto*//*Label 19194*/ GIMT_Encode4(1343990), // Rule ID 20198 //
     /* 1343911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1343928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343964 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1343967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343989 */     // GIR_Coverage, 20198,
     /* 1343989 */     GIR_EraseRootFromParent_Done,
     /* 1343990 */   // Label 19194: @1343990
     /* 1343990 */   GIM_Try, /*On fail goto*//*Label 19195*/ GIMT_Encode4(1344074), // Rule ID 20199 //
     /* 1343995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1344012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1344051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344073 */     // GIR_Coverage, 20199,
     /* 1344073 */     GIR_EraseRootFromParent_Done,
     /* 1344074 */   // Label 19195: @1344074
     /* 1344074 */   GIM_Try, /*On fail goto*//*Label 19196*/ GIMT_Encode4(1344158), // Rule ID 20202 //
     /* 1344079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1344096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1344135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344157 */     // GIR_Coverage, 20202,
     /* 1344157 */     GIR_EraseRootFromParent_Done,
     /* 1344158 */   // Label 19196: @1344158
     /* 1344158 */   GIM_Try, /*On fail goto*//*Label 19197*/ GIMT_Encode4(1344242), // Rule ID 20203 //
     /* 1344163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1344180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344216 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1344219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344241 */     // GIR_Coverage, 20203,
     /* 1344241 */     GIR_EraseRootFromParent_Done,
     /* 1344242 */   // Label 19197: @1344242
     /* 1344242 */   GIM_Try, /*On fail goto*//*Label 19198*/ GIMT_Encode4(1344326), // Rule ID 20206 //
     /* 1344247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1344264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1344303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344325 */     // GIR_Coverage, 20206,
     /* 1344325 */     GIR_EraseRootFromParent_Done,
     /* 1344326 */   // Label 19198: @1344326
     /* 1344326 */   GIM_Try, /*On fail goto*//*Label 19199*/ GIMT_Encode4(1344410), // Rule ID 20207 //
     /* 1344331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1344348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344384 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1344387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344409 */     // GIR_Coverage, 20207,
     /* 1344409 */     GIR_EraseRootFromParent_Done,
     /* 1344410 */   // Label 19199: @1344410
     /* 1344410 */   GIM_Try, /*On fail goto*//*Label 19200*/ GIMT_Encode4(1344494), // Rule ID 20210 //
     /* 1344415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1344432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344468 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1344471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344493 */     // GIR_Coverage, 20210,
     /* 1344493 */     GIR_EraseRootFromParent_Done,
     /* 1344494 */   // Label 19200: @1344494
     /* 1344494 */   GIM_Try, /*On fail goto*//*Label 19201*/ GIMT_Encode4(1344578), // Rule ID 20211 //
     /* 1344499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1344516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344552 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1344555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344577 */     // GIR_Coverage, 20211,
     /* 1344577 */     GIR_EraseRootFromParent_Done,
     /* 1344578 */   // Label 19201: @1344578
     /* 1344578 */   GIM_Try, /*On fail goto*//*Label 19202*/ GIMT_Encode4(1344662), // Rule ID 20214 //
     /* 1344583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1344600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344636 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1344639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344661 */     // GIR_Coverage, 20214,
     /* 1344661 */     GIR_EraseRootFromParent_Done,
     /* 1344662 */   // Label 19202: @1344662
     /* 1344662 */   GIM_Try, /*On fail goto*//*Label 19203*/ GIMT_Encode4(1344746), // Rule ID 20215 //
     /* 1344667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1344684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344720 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1344723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344745 */     // GIR_Coverage, 20215,
     /* 1344745 */     GIR_EraseRootFromParent_Done,
     /* 1344746 */   // Label 19203: @1344746
     /* 1344746 */   GIM_Try, /*On fail goto*//*Label 19204*/ GIMT_Encode4(1344830), // Rule ID 20218 //
     /* 1344751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1344754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1344768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344804 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1344807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344829 */     // GIR_Coverage, 20218,
     /* 1344829 */     GIR_EraseRootFromParent_Done,
     /* 1344830 */   // Label 19204: @1344830
     /* 1344830 */   GIM_Try, /*On fail goto*//*Label 19205*/ GIMT_Encode4(1344914), // Rule ID 20219 //
     /* 1344835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1344852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344888 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1344891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344913 */     // GIR_Coverage, 20219,
     /* 1344913 */     GIR_EraseRootFromParent_Done,
     /* 1344914 */   // Label 19205: @1344914
     /* 1344914 */   GIM_Try, /*On fail goto*//*Label 19206*/ GIMT_Encode4(1344998), // Rule ID 20222 //
     /* 1344919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1344927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1344936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1344975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344997 */     // GIR_Coverage, 20222,
     /* 1344997 */     GIR_EraseRootFromParent_Done,
     /* 1344998 */   // Label 19206: @1344998
     /* 1344998 */   GIM_Try, /*On fail goto*//*Label 19207*/ GIMT_Encode4(1345082), // Rule ID 20223 //
     /* 1345003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1345020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1345045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1345059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345081 */     // GIR_Coverage, 20223,
     /* 1345081 */     GIR_EraseRootFromParent_Done,
     /* 1345082 */   // Label 19207: @1345082
     /* 1345082 */   GIM_Try, /*On fail goto*//*Label 19208*/ GIMT_Encode4(1345166), // Rule ID 20226 //
     /* 1345087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1345129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345140 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1345143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345165 */     // GIR_Coverage, 20226,
     /* 1345165 */     GIR_EraseRootFromParent_Done,
     /* 1345166 */   // Label 19208: @1345166
     /* 1345166 */   GIM_Try, /*On fail goto*//*Label 19209*/ GIMT_Encode4(1345250), // Rule ID 20227 //
     /* 1345171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1345213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345224 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1345227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345249 */     // GIR_Coverage, 20227,
     /* 1345249 */     GIR_EraseRootFromParent_Done,
     /* 1345250 */   // Label 19209: @1345250
     /* 1345250 */   GIM_Try, /*On fail goto*//*Label 19210*/ GIMT_Encode4(1345334), // Rule ID 20230 //
     /* 1345255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1345266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1345269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1345272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1345278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1345297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345308 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1345311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345333 */     // GIR_Coverage, 20230,
     /* 1345333 */     GIR_EraseRootFromParent_Done,
     /* 1345334 */   // Label 19210: @1345334
     /* 1345334 */   GIM_Try, /*On fail goto*//*Label 19211*/ GIMT_Encode4(1345418), // Rule ID 20231 //
     /* 1345339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1345350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1345353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1345356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1345362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1345381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345392 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1345395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345417 */     // GIR_Coverage, 20231,
     /* 1345417 */     GIR_EraseRootFromParent_Done,
     /* 1345418 */   // Label 19211: @1345418
     /* 1345418 */   GIM_Try, /*On fail goto*//*Label 19212*/ GIMT_Encode4(1345502), // Rule ID 20234 //
     /* 1345423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1345440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1345479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345501 */     // GIR_Coverage, 20234,
     /* 1345501 */     GIR_EraseRootFromParent_Done,
     /* 1345502 */   // Label 19212: @1345502
     /* 1345502 */   GIM_Try, /*On fail goto*//*Label 19213*/ GIMT_Encode4(1345586), // Rule ID 20235 //
     /* 1345507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1345524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345560 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1345563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345585 */     // GIR_Coverage, 20235,
     /* 1345585 */     GIR_EraseRootFromParent_Done,
     /* 1345586 */   // Label 19213: @1345586
     /* 1345586 */   GIM_Try, /*On fail goto*//*Label 19214*/ GIMT_Encode4(1345670), // Rule ID 20238 //
     /* 1345591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1345608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1345647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345669 */     // GIR_Coverage, 20238,
     /* 1345669 */     GIR_EraseRootFromParent_Done,
     /* 1345670 */   // Label 19214: @1345670
     /* 1345670 */   GIM_Try, /*On fail goto*//*Label 19215*/ GIMT_Encode4(1345754), // Rule ID 20239 //
     /* 1345675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1345692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1345731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345753 */     // GIR_Coverage, 20239,
     /* 1345753 */     GIR_EraseRootFromParent_Done,
     /* 1345754 */   // Label 19215: @1345754
     /* 1345754 */   GIM_Try, /*On fail goto*//*Label 19216*/ GIMT_Encode4(1345838), // Rule ID 20242 //
     /* 1345759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1345776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345812 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1345815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345837 */     // GIR_Coverage, 20242,
     /* 1345837 */     GIR_EraseRootFromParent_Done,
     /* 1345838 */   // Label 19216: @1345838
     /* 1345838 */   GIM_Try, /*On fail goto*//*Label 19217*/ GIMT_Encode4(1345922), // Rule ID 20243 //
     /* 1345843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1345860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345896 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1345899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345921 */     // GIR_Coverage, 20243,
     /* 1345921 */     GIR_EraseRootFromParent_Done,
     /* 1345922 */   // Label 19217: @1345922
     /* 1345922 */   GIM_Try, /*On fail goto*//*Label 19218*/ GIMT_Encode4(1346006), // Rule ID 20246 //
     /* 1345927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1345944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345980 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1345983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346005 */     // GIR_Coverage, 20246,
     /* 1346005 */     GIR_EraseRootFromParent_Done,
     /* 1346006 */   // Label 19218: @1346006
     /* 1346006 */   GIM_Try, /*On fail goto*//*Label 19219*/ GIMT_Encode4(1346090), // Rule ID 20247 //
     /* 1346011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1346028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1346053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346064 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1346067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346089 */     // GIR_Coverage, 20247,
     /* 1346089 */     GIR_EraseRootFromParent_Done,
     /* 1346090 */   // Label 19219: @1346090
     /* 1346090 */   GIM_Try, /*On fail goto*//*Label 19220*/ GIMT_Encode4(1346174), // Rule ID 20250 //
     /* 1346095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1346112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1346137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346148 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1346151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346173 */     // GIR_Coverage, 20250,
     /* 1346173 */     GIR_EraseRootFromParent_Done,
     /* 1346174 */   // Label 19220: @1346174
     /* 1346174 */   GIM_Try, /*On fail goto*//*Label 19221*/ GIMT_Encode4(1346258), // Rule ID 20251 //
     /* 1346179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1346196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1346221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346232 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1346235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346257 */     // GIR_Coverage, 20251,
     /* 1346257 */     GIR_EraseRootFromParent_Done,
     /* 1346258 */   // Label 19221: @1346258
     /* 1346258 */   GIM_Try, /*On fail goto*//*Label 19222*/ GIMT_Encode4(1346342), // Rule ID 20254 //
     /* 1346263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1346280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1346305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346316 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1346319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346341 */     // GIR_Coverage, 20254,
     /* 1346341 */     GIR_EraseRootFromParent_Done,
     /* 1346342 */   // Label 19222: @1346342
     /* 1346342 */   GIM_Try, /*On fail goto*//*Label 19223*/ GIMT_Encode4(1346426), // Rule ID 20255 //
     /* 1346347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1346364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1346389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346400 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1346403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346425 */     // GIR_Coverage, 20255,
     /* 1346425 */     GIR_EraseRootFromParent_Done,
     /* 1346426 */   // Label 19223: @1346426
     /* 1346426 */   GIM_Try, /*On fail goto*//*Label 19224*/ GIMT_Encode4(1346510), // Rule ID 20258 //
     /* 1346431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1346448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346484 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1346487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346509 */     // GIR_Coverage, 20258,
     /* 1346509 */     GIR_EraseRootFromParent_Done,
     /* 1346510 */   // Label 19224: @1346510
     /* 1346510 */   GIM_Try, /*On fail goto*//*Label 19225*/ GIMT_Encode4(1346594), // Rule ID 20259 //
     /* 1346515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1346532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346568 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1346571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346593 */     // GIR_Coverage, 20259,
     /* 1346593 */     GIR_EraseRootFromParent_Done,
     /* 1346594 */   // Label 19225: @1346594
     /* 1346594 */   GIM_Try, /*On fail goto*//*Label 19226*/ GIMT_Encode4(1346678), // Rule ID 20262 //
     /* 1346599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1346616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1346655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346677 */     // GIR_Coverage, 20262,
     /* 1346677 */     GIR_EraseRootFromParent_Done,
     /* 1346678 */   // Label 19226: @1346678
     /* 1346678 */   GIM_Try, /*On fail goto*//*Label 19227*/ GIMT_Encode4(1346762), // Rule ID 20263 //
     /* 1346683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1346700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346736 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1346739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346761 */     // GIR_Coverage, 20263,
     /* 1346761 */     GIR_EraseRootFromParent_Done,
     /* 1346762 */   // Label 19227: @1346762
     /* 1346762 */   GIM_Try, /*On fail goto*//*Label 19228*/ GIMT_Encode4(1346846), // Rule ID 20266 //
     /* 1346767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1346784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1346809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1346823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346845 */     // GIR_Coverage, 20266,
     /* 1346845 */     GIR_EraseRootFromParent_Done,
     /* 1346846 */   // Label 19228: @1346846
     /* 1346846 */   GIM_Try, /*On fail goto*//*Label 19229*/ GIMT_Encode4(1346930), // Rule ID 20267 //
     /* 1346851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1346868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1346893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346904 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1346907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346929 */     // GIR_Coverage, 20267,
     /* 1346929 */     GIR_EraseRootFromParent_Done,
     /* 1346930 */   // Label 19229: @1346930
     /* 1346930 */   GIM_Try, /*On fail goto*//*Label 19230*/ GIMT_Encode4(1347014), // Rule ID 20270 //
     /* 1346935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1346952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1346991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347013 */     // GIR_Coverage, 20270,
     /* 1347013 */     GIR_EraseRootFromParent_Done,
     /* 1347014 */   // Label 19230: @1347014
     /* 1347014 */   GIM_Try, /*On fail goto*//*Label 19231*/ GIMT_Encode4(1347098), // Rule ID 20271 //
     /* 1347019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1347036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347072 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1347075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347097 */     // GIR_Coverage, 20271,
     /* 1347097 */     GIR_EraseRootFromParent_Done,
     /* 1347098 */   // Label 19231: @1347098
     /* 1347098 */   GIM_Try, /*On fail goto*//*Label 19232*/ GIMT_Encode4(1347182), // Rule ID 20274 //
     /* 1347103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1347120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347156 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1347159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347181 */     // GIR_Coverage, 20274,
     /* 1347181 */     GIR_EraseRootFromParent_Done,
     /* 1347182 */   // Label 19232: @1347182
     /* 1347182 */   GIM_Try, /*On fail goto*//*Label 19233*/ GIMT_Encode4(1347266), // Rule ID 20275 //
     /* 1347187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1347204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347240 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1347243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347265 */     // GIR_Coverage, 20275,
     /* 1347265 */     GIR_EraseRootFromParent_Done,
     /* 1347266 */   // Label 19233: @1347266
     /* 1347266 */   GIM_Try, /*On fail goto*//*Label 19234*/ GIMT_Encode4(1347350), // Rule ID 20278 //
     /* 1347271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1347288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1347313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1347327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347349 */     // GIR_Coverage, 20278,
     /* 1347349 */     GIR_EraseRootFromParent_Done,
     /* 1347350 */   // Label 19234: @1347350
     /* 1347350 */   GIM_Try, /*On fail goto*//*Label 19235*/ GIMT_Encode4(1347434), // Rule ID 20279 //
     /* 1347355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1347372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1347397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347408 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1347411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347433 */     // GIR_Coverage, 20279,
     /* 1347433 */     GIR_EraseRootFromParent_Done,
     /* 1347434 */   // Label 19235: @1347434
     /* 1347434 */   GIM_Try, /*On fail goto*//*Label 19236*/ GIMT_Encode4(1347518), // Rule ID 20282 //
     /* 1347439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1347456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347492 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1347495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347517 */     // GIR_Coverage, 20282,
     /* 1347517 */     GIR_EraseRootFromParent_Done,
     /* 1347518 */   // Label 19236: @1347518
     /* 1347518 */   GIM_Try, /*On fail goto*//*Label 19237*/ GIMT_Encode4(1347602), // Rule ID 20283 //
     /* 1347523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1347540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347576 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1347579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347601 */     // GIR_Coverage, 20283,
     /* 1347601 */     GIR_EraseRootFromParent_Done,
     /* 1347602 */   // Label 19237: @1347602
     /* 1347602 */   GIM_Try, /*On fail goto*//*Label 19238*/ GIMT_Encode4(1347686), // Rule ID 20286 //
     /* 1347607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1347618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1347621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1347624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347660 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1347663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347685 */     // GIR_Coverage, 20286,
     /* 1347685 */     GIR_EraseRootFromParent_Done,
     /* 1347686 */   // Label 19238: @1347686
     /* 1347686 */   GIM_Try, /*On fail goto*//*Label 19239*/ GIMT_Encode4(1347770), // Rule ID 20287 //
     /* 1347691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1347702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1347705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1347708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347744 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1347747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347769 */     // GIR_Coverage, 20287,
     /* 1347769 */     GIR_EraseRootFromParent_Done,
     /* 1347770 */   // Label 19239: @1347770
     /* 1347770 */   GIM_Try, /*On fail goto*//*Label 19240*/ GIMT_Encode4(1347854), // Rule ID 20290 //
     /* 1347775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1347786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1347789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1347792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1347798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347828 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1347831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347853 */     // GIR_Coverage, 20290,
     /* 1347853 */     GIR_EraseRootFromParent_Done,
     /* 1347854 */   // Label 19240: @1347854
     /* 1347854 */   GIM_Try, /*On fail goto*//*Label 19241*/ GIMT_Encode4(1347938), // Rule ID 20291 //
     /* 1347859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1347870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1347873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1347876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1347882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347912 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1347915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347937 */     // GIR_Coverage, 20291,
     /* 1347937 */     GIR_EraseRootFromParent_Done,
     /* 1347938 */   // Label 19241: @1347938
     /* 1347938 */   GIM_Try, /*On fail goto*//*Label 19242*/ GIMT_Encode4(1348022), // Rule ID 20294 //
     /* 1347943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1347951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1347960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347996 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1347999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348021 */     // GIR_Coverage, 20294,
     /* 1348021 */     GIR_EraseRootFromParent_Done,
     /* 1348022 */   // Label 19242: @1348022
     /* 1348022 */   GIM_Try, /*On fail goto*//*Label 19243*/ GIMT_Encode4(1348106), // Rule ID 20295 //
     /* 1348027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1348044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348080 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1348083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348105 */     // GIR_Coverage, 20295,
     /* 1348105 */     GIR_EraseRootFromParent_Done,
     /* 1348106 */   // Label 19243: @1348106
     /* 1348106 */   GIM_Try, /*On fail goto*//*Label 19244*/ GIMT_Encode4(1348190), // Rule ID 20298 //
     /* 1348111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1348128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348164 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1348167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348189 */     // GIR_Coverage, 20298,
     /* 1348189 */     GIR_EraseRootFromParent_Done,
     /* 1348190 */   // Label 19244: @1348190
     /* 1348190 */   GIM_Try, /*On fail goto*//*Label 19245*/ GIMT_Encode4(1348274), // Rule ID 20299 //
     /* 1348195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1348212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1348251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348273 */     // GIR_Coverage, 20299,
     /* 1348273 */     GIR_EraseRootFromParent_Done,
     /* 1348274 */   // Label 19245: @1348274
     /* 1348274 */   GIM_Try, /*On fail goto*//*Label 19246*/ GIMT_Encode4(1348358), // Rule ID 20302 //
     /* 1348279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1348296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348332 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1348335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348357 */     // GIR_Coverage, 20302,
     /* 1348357 */     GIR_EraseRootFromParent_Done,
     /* 1348358 */   // Label 19246: @1348358
     /* 1348358 */   GIM_Try, /*On fail goto*//*Label 19247*/ GIMT_Encode4(1348442), // Rule ID 20303 //
     /* 1348363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1348380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348416 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1348419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348441 */     // GIR_Coverage, 20303,
     /* 1348441 */     GIR_EraseRootFromParent_Done,
     /* 1348442 */   // Label 19247: @1348442
     /* 1348442 */   GIM_Try, /*On fail goto*//*Label 19248*/ GIMT_Encode4(1348526), // Rule ID 20306 //
     /* 1348447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1348464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348500 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1348503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348525 */     // GIR_Coverage, 20306,
     /* 1348525 */     GIR_EraseRootFromParent_Done,
     /* 1348526 */   // Label 19248: @1348526
     /* 1348526 */   GIM_Try, /*On fail goto*//*Label 19249*/ GIMT_Encode4(1348610), // Rule ID 20307 //
     /* 1348531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1348548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348584 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1348587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348609 */     // GIR_Coverage, 20307,
     /* 1348609 */     GIR_EraseRootFromParent_Done,
     /* 1348610 */   // Label 19249: @1348610
     /* 1348610 */   GIM_Try, /*On fail goto*//*Label 19250*/ GIMT_Encode4(1348694), // Rule ID 20310 //
     /* 1348615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1348632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1348671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348693 */     // GIR_Coverage, 20310,
     /* 1348693 */     GIR_EraseRootFromParent_Done,
     /* 1348694 */   // Label 19250: @1348694
     /* 1348694 */   GIM_Try, /*On fail goto*//*Label 19251*/ GIMT_Encode4(1348778), // Rule ID 20311 //
     /* 1348699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1348716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348752 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1348755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348777 */     // GIR_Coverage, 20311,
     /* 1348777 */     GIR_EraseRootFromParent_Done,
     /* 1348778 */   // Label 19251: @1348778
     /* 1348778 */   GIM_Try, /*On fail goto*//*Label 19252*/ GIMT_Encode4(1348862), // Rule ID 20314 //
     /* 1348783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1348800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348836 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1348839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348861 */     // GIR_Coverage, 20314,
     /* 1348861 */     GIR_EraseRootFromParent_Done,
     /* 1348862 */   // Label 19252: @1348862
     /* 1348862 */   GIM_Try, /*On fail goto*//*Label 19253*/ GIMT_Encode4(1348946), // Rule ID 20315 //
     /* 1348867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1348884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348920 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1348923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348945 */     // GIR_Coverage, 20315,
     /* 1348945 */     GIR_EraseRootFromParent_Done,
     /* 1348946 */   // Label 19253: @1348946
     /* 1348946 */   GIM_Try, /*On fail goto*//*Label 19254*/ GIMT_Encode4(1349030), // Rule ID 20318 //
     /* 1348951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349004 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1349007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349029 */     // GIR_Coverage, 20318,
     /* 1349029 */     GIR_EraseRootFromParent_Done,
     /* 1349030 */   // Label 19254: @1349030
     /* 1349030 */   GIM_Try, /*On fail goto*//*Label 19255*/ GIMT_Encode4(1349114), // Rule ID 20319 //
     /* 1349035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1349046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1349049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349088 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1349091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349113 */     // GIR_Coverage, 20319,
     /* 1349113 */     GIR_EraseRootFromParent_Done,
     /* 1349114 */   // Label 19255: @1349114
     /* 1349114 */   GIM_Try, /*On fail goto*//*Label 19256*/ GIMT_Encode4(1349198), // Rule ID 20322 //
     /* 1349119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1349175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349197 */     // GIR_Coverage, 20322,
     /* 1349197 */     GIR_EraseRootFromParent_Done,
     /* 1349198 */   // Label 19256: @1349198
     /* 1349198 */   GIM_Try, /*On fail goto*//*Label 19257*/ GIMT_Encode4(1349282), // Rule ID 20323 //
     /* 1349203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349256 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1349259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349281 */     // GIR_Coverage, 20323,
     /* 1349281 */     GIR_EraseRootFromParent_Done,
     /* 1349282 */   // Label 19257: @1349282
     /* 1349282 */   GIM_Try, /*On fail goto*//*Label 19258*/ GIMT_Encode4(1349366), // Rule ID 20326 //
     /* 1349287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1349290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1349298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1349301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1349304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1349343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349365 */     // GIR_Coverage, 20326,
     /* 1349365 */     GIR_EraseRootFromParent_Done,
     /* 1349366 */   // Label 19258: @1349366
     /* 1349366 */   GIM_Try, /*On fail goto*//*Label 19259*/ GIMT_Encode4(1349450), // Rule ID 20327 //
     /* 1349371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1349382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1349385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1349388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1349427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349449 */     // GIR_Coverage, 20327,
     /* 1349449 */     GIR_EraseRootFromParent_Done,
     /* 1349450 */   // Label 19259: @1349450
     /* 1349450 */   GIM_Try, /*On fail goto*//*Label 19260*/ GIMT_Encode4(1349534), // Rule ID 20330 //
     /* 1349455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349508 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1349511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349533 */     // GIR_Coverage, 20330,
     /* 1349533 */     GIR_EraseRootFromParent_Done,
     /* 1349534 */   // Label 19260: @1349534
     /* 1349534 */   GIM_Try, /*On fail goto*//*Label 19261*/ GIMT_Encode4(1349618), // Rule ID 20331 //
     /* 1349539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1349595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349617 */     // GIR_Coverage, 20331,
     /* 1349617 */     GIR_EraseRootFromParent_Done,
     /* 1349618 */   // Label 19261: @1349618
     /* 1349618 */   GIM_Try, /*On fail goto*//*Label 19262*/ GIMT_Encode4(1349702), // Rule ID 20334 //
     /* 1349623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1349626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1349679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349701 */     // GIR_Coverage, 20334,
     /* 1349701 */     GIR_EraseRootFromParent_Done,
     /* 1349702 */   // Label 19262: @1349702
     /* 1349702 */   GIM_Try, /*On fail goto*//*Label 19263*/ GIMT_Encode4(1349786), // Rule ID 20335 //
     /* 1349707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349760 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1349763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349785 */     // GIR_Coverage, 20335,
     /* 1349785 */     GIR_EraseRootFromParent_Done,
     /* 1349786 */   // Label 19263: @1349786
     /* 1349786 */   GIM_Try, /*On fail goto*//*Label 19264*/ GIMT_Encode4(1349870), // Rule ID 20338 //
     /* 1349791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1349802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1349805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1349808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1349811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1349833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349844 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1349847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349869 */     // GIR_Coverage, 20338,
     /* 1349869 */     GIR_EraseRootFromParent_Done,
     /* 1349870 */   // Label 19264: @1349870
     /* 1349870 */   GIM_Try, /*On fail goto*//*Label 19265*/ GIMT_Encode4(1349954), // Rule ID 20339 //
     /* 1349875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1349886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1349889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1349892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1349895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1349917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1349931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349953 */     // GIR_Coverage, 20339,
     /* 1349953 */     GIR_EraseRootFromParent_Done,
     /* 1349954 */   // Label 19265: @1349954
     /* 1349954 */   GIM_Try, /*On fail goto*//*Label 19266*/ GIMT_Encode4(1350038), // Rule ID 20342 //
     /* 1349959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1349976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350012 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1350015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350037 */     // GIR_Coverage, 20342,
     /* 1350037 */     GIR_EraseRootFromParent_Done,
     /* 1350038 */   // Label 19266: @1350038
     /* 1350038 */   GIM_Try, /*On fail goto*//*Label 19267*/ GIMT_Encode4(1350122), // Rule ID 20343 //
     /* 1350043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1350054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1350057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1350060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350096 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1350099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350121 */     // GIR_Coverage, 20343,
     /* 1350121 */     GIR_EraseRootFromParent_Done,
     /* 1350122 */   // Label 19267: @1350122
     /* 1350122 */   GIM_Try, /*On fail goto*//*Label 19268*/ GIMT_Encode4(1350206), // Rule ID 20346 //
     /* 1350127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1350138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1350141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1350144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1350183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350205 */     // GIR_Coverage, 20346,
     /* 1350205 */     GIR_EraseRootFromParent_Done,
     /* 1350206 */   // Label 19268: @1350206
     /* 1350206 */   GIM_Try, /*On fail goto*//*Label 19269*/ GIMT_Encode4(1350290), // Rule ID 20347 //
     /* 1350211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1350222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1350225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1350228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350264 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1350267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350289 */     // GIR_Coverage, 20347,
     /* 1350289 */     GIR_EraseRootFromParent_Done,
     /* 1350290 */   // Label 19269: @1350290
     /* 1350290 */   GIM_Try, /*On fail goto*//*Label 19270*/ GIMT_Encode4(1350374), // Rule ID 20350 //
     /* 1350295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1350306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1350309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1350312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350348 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1350351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350373 */     // GIR_Coverage, 20350,
     /* 1350373 */     GIR_EraseRootFromParent_Done,
     /* 1350374 */   // Label 19270: @1350374
     /* 1350374 */   GIM_Try, /*On fail goto*//*Label 19271*/ GIMT_Encode4(1350458), // Rule ID 20351 //
     /* 1350379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1350390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1350393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1350396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350432 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1350435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350457 */     // GIR_Coverage, 20351,
     /* 1350457 */     GIR_EraseRootFromParent_Done,
     /* 1350458 */   // Label 19271: @1350458
     /* 1350458 */   GIM_Try, /*On fail goto*//*Label 19272*/ GIMT_Encode4(1350542), // Rule ID 20354 //
     /* 1350463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1350474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1350477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1350480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350516 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1350519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350541 */     // GIR_Coverage, 20354,
     /* 1350541 */     GIR_EraseRootFromParent_Done,
     /* 1350542 */   // Label 19272: @1350542
     /* 1350542 */   GIM_Try, /*On fail goto*//*Label 19273*/ GIMT_Encode4(1350626), // Rule ID 20355 //
     /* 1350547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1350558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1350561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1350564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1350603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350625 */     // GIR_Coverage, 20355,
     /* 1350625 */     GIR_EraseRootFromParent_Done,
     /* 1350626 */   // Label 19273: @1350626
     /* 1350626 */   GIM_Try, /*On fail goto*//*Label 19274*/ GIMT_Encode4(1350710), // Rule ID 20358 //
     /* 1350631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1350642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1350645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1350648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350684 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1350687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350709 */     // GIR_Coverage, 20358,
     /* 1350709 */     GIR_EraseRootFromParent_Done,
     /* 1350710 */   // Label 19274: @1350710
     /* 1350710 */   GIM_Try, /*On fail goto*//*Label 19275*/ GIMT_Encode4(1350794), // Rule ID 20359 //
     /* 1350715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1350726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1350729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1350732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350768 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1350771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350793 */     // GIR_Coverage, 20359,
     /* 1350793 */     GIR_EraseRootFromParent_Done,
     /* 1350794 */   // Label 19275: @1350794
     /* 1350794 */   GIM_Try, /*On fail goto*//*Label 19276*/ GIMT_Encode4(1350878), // Rule ID 20362 //
     /* 1350799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1350810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1350813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1350816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1350855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350877 */     // GIR_Coverage, 20362,
     /* 1350877 */     GIR_EraseRootFromParent_Done,
     /* 1350878 */   // Label 19276: @1350878
     /* 1350878 */   GIM_Try, /*On fail goto*//*Label 19277*/ GIMT_Encode4(1350962), // Rule ID 20363 //
     /* 1350883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1350894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1350897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1350900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350936 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1350939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350961 */     // GIR_Coverage, 20363,
     /* 1350961 */     GIR_EraseRootFromParent_Done,
     /* 1350962 */   // Label 19277: @1350962
     /* 1350962 */   GIM_Try, /*On fail goto*//*Label 19278*/ GIMT_Encode4(1351046), // Rule ID 20366 //
     /* 1350967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1350970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1350975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1350978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1350981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1350984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351020 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1351023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351045 */     // GIR_Coverage, 20366,
     /* 1351045 */     GIR_EraseRootFromParent_Done,
     /* 1351046 */   // Label 19278: @1351046
     /* 1351046 */   GIM_Try, /*On fail goto*//*Label 19279*/ GIMT_Encode4(1351130), // Rule ID 20367 //
     /* 1351051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1351059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1351062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1351065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1351068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351104 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1351107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351129 */     // GIR_Coverage, 20367,
     /* 1351129 */     GIR_EraseRootFromParent_Done,
     /* 1351130 */   // Label 19279: @1351130
     /* 1351130 */   GIM_Try, /*On fail goto*//*Label 19280*/ GIMT_Encode4(1351214), // Rule ID 20370 //
     /* 1351135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1351138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1351143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1351146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1351149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1351152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351188 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1351191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351213 */     // GIR_Coverage, 20370,
     /* 1351213 */     GIR_EraseRootFromParent_Done,
     /* 1351214 */   // Label 19280: @1351214
     /* 1351214 */   GIM_Try, /*On fail goto*//*Label 19281*/ GIMT_Encode4(1351298), // Rule ID 20371 //
     /* 1351219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1351227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1351230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1351233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1351236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351272 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1351275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351297 */     // GIR_Coverage, 20371,
     /* 1351297 */     GIR_EraseRootFromParent_Done,
     /* 1351298 */   // Label 19281: @1351298
     /* 1351298 */   GIM_Try, /*On fail goto*//*Label 19282*/ GIMT_Encode4(1351382), // Rule ID 20374 //
     /* 1351303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1351306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1351311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1351314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1351317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1351320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351356 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1351359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351381 */     // GIR_Coverage, 20374,
     /* 1351381 */     GIR_EraseRootFromParent_Done,
     /* 1351382 */   // Label 19282: @1351382
     /* 1351382 */   GIM_Try, /*On fail goto*//*Label 19283*/ GIMT_Encode4(1351466), // Rule ID 20375 //
     /* 1351387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1351395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1351398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1351401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1351404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351440 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1351443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351465 */     // GIR_Coverage, 20375,
     /* 1351465 */     GIR_EraseRootFromParent_Done,
     /* 1351466 */   // Label 19283: @1351466
     /* 1351466 */   GIM_Try, /*On fail goto*//*Label 19284*/ GIMT_Encode4(1351550), // Rule ID 20378 //
     /* 1351471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1351488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1351491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351524 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1351527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351549 */     // GIR_Coverage, 20378,
     /* 1351549 */     GIR_EraseRootFromParent_Done,
     /* 1351550 */   // Label 19284: @1351550
     /* 1351550 */   GIM_Try, /*On fail goto*//*Label 19285*/ GIMT_Encode4(1351634), // Rule ID 20379 //
     /* 1351555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1351572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1351575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351608 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1351611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351633 */     // GIR_Coverage, 20379,
     /* 1351633 */     GIR_EraseRootFromParent_Done,
     /* 1351634 */   // Label 19285: @1351634
     /* 1351634 */   GIM_Try, /*On fail goto*//*Label 19286*/ GIMT_Encode4(1351718), // Rule ID 20382 //
     /* 1351639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1351650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1351653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1351656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1351659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1351695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351717 */     // GIR_Coverage, 20382,
     /* 1351717 */     GIR_EraseRootFromParent_Done,
     /* 1351718 */   // Label 19286: @1351718
     /* 1351718 */   GIM_Try, /*On fail goto*//*Label 19287*/ GIMT_Encode4(1351802), // Rule ID 20383 //
     /* 1351723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1351734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1351737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1351740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1351743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1351779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351801 */     // GIR_Coverage, 20383,
     /* 1351801 */     GIR_EraseRootFromParent_Done,
     /* 1351802 */   // Label 19287: @1351802
     /* 1351802 */   GIM_Try, /*On fail goto*//*Label 19288*/ GIMT_Encode4(1351886), // Rule ID 20386 //
     /* 1351807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1351824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1351827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1351863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351885 */     // GIR_Coverage, 20386,
     /* 1351885 */     GIR_EraseRootFromParent_Done,
     /* 1351886 */   // Label 19288: @1351886
     /* 1351886 */   GIM_Try, /*On fail goto*//*Label 19289*/ GIMT_Encode4(1351970), // Rule ID 20387 //
     /* 1351891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1351908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1351911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1351947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351969 */     // GIR_Coverage, 20387,
     /* 1351969 */     GIR_EraseRootFromParent_Done,
     /* 1351970 */   // Label 19289: @1351970
     /* 1351970 */   GIM_Try, /*On fail goto*//*Label 19290*/ GIMT_Encode4(1352054), // Rule ID 20390 //
     /* 1351975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1351986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1351989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1351992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1351995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1352031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352053 */     // GIR_Coverage, 20390,
     /* 1352053 */     GIR_EraseRootFromParent_Done,
     /* 1352054 */   // Label 19290: @1352054
     /* 1352054 */   GIM_Try, /*On fail goto*//*Label 19291*/ GIMT_Encode4(1352138), // Rule ID 20391 //
     /* 1352059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1352070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1352073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1352076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1352079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1352115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352137 */     // GIR_Coverage, 20391,
     /* 1352137 */     GIR_EraseRootFromParent_Done,
     /* 1352138 */   // Label 19291: @1352138
     /* 1352138 */   GIM_Try, /*On fail goto*//*Label 19292*/ GIMT_Encode4(1352222), // Rule ID 20394 //
     /* 1352143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1352154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1352157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1352160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1352163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352196 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1352199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352221 */     // GIR_Coverage, 20394,
     /* 1352221 */     GIR_EraseRootFromParent_Done,
     /* 1352222 */   // Label 19292: @1352222
     /* 1352222 */   GIM_Try, /*On fail goto*//*Label 19293*/ GIMT_Encode4(1352306), // Rule ID 20395 //
     /* 1352227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1352238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1352241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1352244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1352247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352280 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1352283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352305 */     // GIR_Coverage, 20395,
     /* 1352305 */     GIR_EraseRootFromParent_Done,
     /* 1352306 */   // Label 19293: @1352306
     /* 1352306 */   GIM_Try, /*On fail goto*//*Label 19294*/ GIMT_Encode4(1352390), // Rule ID 20398 //
     /* 1352311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1352314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1352322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1352325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1352328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1352331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1352334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1352367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352389 */     // GIR_Coverage, 20398,
     /* 1352389 */     GIR_EraseRootFromParent_Done,
     /* 1352390 */   // Label 19294: @1352390
     /* 1352390 */   GIM_Try, /*On fail goto*//*Label 19295*/ GIMT_Encode4(1352474), // Rule ID 20399 //
     /* 1352395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1352398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1352406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1352409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1352412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1352415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1352418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1352451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352473 */     // GIR_Coverage, 20399,
     /* 1352473 */     GIR_EraseRootFromParent_Done,
     /* 1352474 */   // Label 19295: @1352474
     /* 1352474 */   GIM_Try, /*On fail goto*//*Label 19296*/ GIMT_Encode4(1352558), // Rule ID 20402 //
     /* 1352479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1352490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1352493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1352496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1352499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352532 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1352535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352557 */     // GIR_Coverage, 20402,
     /* 1352557 */     GIR_EraseRootFromParent_Done,
     /* 1352558 */   // Label 19296: @1352558
     /* 1352558 */   GIM_Try, /*On fail goto*//*Label 19297*/ GIMT_Encode4(1352642), // Rule ID 20403 //
     /* 1352563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1352574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1352577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1352580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1352583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352616 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1352619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352641 */     // GIR_Coverage, 20403,
     /* 1352641 */     GIR_EraseRootFromParent_Done,
     /* 1352642 */   // Label 19297: @1352642
     /* 1352642 */   GIM_Try, /*On fail goto*//*Label 19298*/ GIMT_Encode4(1352726), // Rule ID 20406 //
     /* 1352647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1352658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1352661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1352667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352700 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1352703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352725 */     // GIR_Coverage, 20406,
     /* 1352725 */     GIR_EraseRootFromParent_Done,
     /* 1352726 */   // Label 19298: @1352726
     /* 1352726 */   GIM_Try, /*On fail goto*//*Label 19299*/ GIMT_Encode4(1352810), // Rule ID 20407 //
     /* 1352731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1352742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1352745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1352751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352784 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1352787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352809 */     // GIR_Coverage, 20407,
     /* 1352809 */     GIR_EraseRootFromParent_Done,
     /* 1352810 */   // Label 19299: @1352810
     /* 1352810 */   GIM_Try, /*On fail goto*//*Label 19300*/ GIMT_Encode4(1352894), // Rule ID 20410 //
     /* 1352815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1352826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1352829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1352835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352868 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1352871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352893 */     // GIR_Coverage, 20410,
     /* 1352893 */     GIR_EraseRootFromParent_Done,
     /* 1352894 */   // Label 19300: @1352894
     /* 1352894 */   GIM_Try, /*On fail goto*//*Label 19301*/ GIMT_Encode4(1352978), // Rule ID 20411 //
     /* 1352899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1352910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1352913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1352919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352952 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1352955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352977 */     // GIR_Coverage, 20411,
     /* 1352977 */     GIR_EraseRootFromParent_Done,
     /* 1352978 */   // Label 19301: @1352978
     /* 1352978 */   GIM_Try, /*On fail goto*//*Label 19302*/ GIMT_Encode4(1353062), // Rule ID 20414 //
     /* 1352983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1352994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1352997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1353000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1353003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353036 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1353039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353061 */     // GIR_Coverage, 20414,
     /* 1353061 */     GIR_EraseRootFromParent_Done,
     /* 1353062 */   // Label 19302: @1353062
     /* 1353062 */   GIM_Try, /*On fail goto*//*Label 19303*/ GIMT_Encode4(1353146), // Rule ID 20415 //
     /* 1353067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1353078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1353081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1353084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1353087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353120 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1353123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353145 */     // GIR_Coverage, 20415,
     /* 1353145 */     GIR_EraseRootFromParent_Done,
     /* 1353146 */   // Label 19303: @1353146
     /* 1353146 */   GIM_Try, /*On fail goto*//*Label 19304*/ GIMT_Encode4(1353230), // Rule ID 20418 //
     /* 1353151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1353162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1353165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1353171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353204 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1353207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353229 */     // GIR_Coverage, 20418,
     /* 1353229 */     GIR_EraseRootFromParent_Done,
     /* 1353230 */   // Label 19304: @1353230
     /* 1353230 */   GIM_Try, /*On fail goto*//*Label 19305*/ GIMT_Encode4(1353314), // Rule ID 20419 //
     /* 1353235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1353246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1353249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1353255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353288 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1353291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353313 */     // GIR_Coverage, 20419,
     /* 1353313 */     GIR_EraseRootFromParent_Done,
     /* 1353314 */   // Label 19305: @1353314
     /* 1353314 */   GIM_Try, /*On fail goto*//*Label 19306*/ GIMT_Encode4(1353398), // Rule ID 20422 //
     /* 1353319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1353330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1353333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1353339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353372 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1353375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353397 */     // GIR_Coverage, 20422,
     /* 1353397 */     GIR_EraseRootFromParent_Done,
     /* 1353398 */   // Label 19306: @1353398
     /* 1353398 */   GIM_Try, /*On fail goto*//*Label 19307*/ GIMT_Encode4(1353482), // Rule ID 20423 //
     /* 1353403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1353414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1353417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1353423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353456 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1353459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353481 */     // GIR_Coverage, 20423,
     /* 1353481 */     GIR_EraseRootFromParent_Done,
     /* 1353482 */   // Label 19307: @1353482
     /* 1353482 */   GIM_Try, /*On fail goto*//*Label 19308*/ GIMT_Encode4(1353566), // Rule ID 20426 //
     /* 1353487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1353498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1353501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353540 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1353543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353565 */     // GIR_Coverage, 20426,
     /* 1353565 */     GIR_EraseRootFromParent_Done,
     /* 1353566 */   // Label 19308: @1353566
     /* 1353566 */   GIM_Try, /*On fail goto*//*Label 19309*/ GIMT_Encode4(1353650), // Rule ID 20427 //
     /* 1353571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1353582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1353585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353624 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1353627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353649 */     // GIR_Coverage, 20427,
     /* 1353649 */     GIR_EraseRootFromParent_Done,
     /* 1353650 */   // Label 19309: @1353650
     /* 1353650 */   GIM_Try, /*On fail goto*//*Label 19310*/ GIMT_Encode4(1353734), // Rule ID 20430 //
     /* 1353655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1353666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1353669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1353675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1353711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353733 */     // GIR_Coverage, 20430,
     /* 1353733 */     GIR_EraseRootFromParent_Done,
     /* 1353734 */   // Label 19310: @1353734
     /* 1353734 */   GIM_Try, /*On fail goto*//*Label 19311*/ GIMT_Encode4(1353818), // Rule ID 20431 //
     /* 1353739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1353750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1353753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1353759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353792 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1353795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353817 */     // GIR_Coverage, 20431,
     /* 1353817 */     GIR_EraseRootFromParent_Done,
     /* 1353818 */   // Label 19311: @1353818
     /* 1353818 */   GIM_Try, /*On fail goto*//*Label 19312*/ GIMT_Encode4(1353902), // Rule ID 20434 //
     /* 1353823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1353834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1353837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1353840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1353843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353876 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1353879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353901 */     // GIR_Coverage, 20434,
     /* 1353901 */     GIR_EraseRootFromParent_Done,
     /* 1353902 */   // Label 19312: @1353902
     /* 1353902 */   GIM_Try, /*On fail goto*//*Label 19313*/ GIMT_Encode4(1353986), // Rule ID 20435 //
     /* 1353907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1353918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1353921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1353924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1353927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353960 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1353963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353985 */     // GIR_Coverage, 20435,
     /* 1353985 */     GIR_EraseRootFromParent_Done,
     /* 1353986 */   // Label 19313: @1353986
     /* 1353986 */   GIM_Try, /*On fail goto*//*Label 19314*/ GIMT_Encode4(1354070), // Rule ID 20438 //
     /* 1353991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1353994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1354002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1354005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1354008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1354011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354044 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1354047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354069 */     // GIR_Coverage, 20438,
     /* 1354069 */     GIR_EraseRootFromParent_Done,
     /* 1354070 */   // Label 19314: @1354070
     /* 1354070 */   GIM_Try, /*On fail goto*//*Label 19315*/ GIMT_Encode4(1354154), // Rule ID 20439 //
     /* 1354075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1354078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1354086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1354089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1354092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1354095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354128 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1354131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354153 */     // GIR_Coverage, 20439,
     /* 1354153 */     GIR_EraseRootFromParent_Done,
     /* 1354154 */   // Label 19315: @1354154
     /* 1354154 */   GIM_Try, /*On fail goto*//*Label 19316*/ GIMT_Encode4(1354238), // Rule ID 20442 //
     /* 1354159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1354162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1354170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1354173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1354176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1354179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354212 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1354215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354237 */     // GIR_Coverage, 20442,
     /* 1354237 */     GIR_EraseRootFromParent_Done,
     /* 1354238 */   // Label 19316: @1354238
     /* 1354238 */   GIM_Try, /*On fail goto*//*Label 19317*/ GIMT_Encode4(1354322), // Rule ID 20443 //
     /* 1354243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1354246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1354254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1354257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1354260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1354263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354296 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1354299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354321 */     // GIR_Coverage, 20443,
     /* 1354321 */     GIR_EraseRootFromParent_Done,
     /* 1354322 */   // Label 19317: @1354322
     /* 1354322 */   GIM_Try, /*On fail goto*//*Label 19318*/ GIMT_Encode4(1354406), // Rule ID 20446 //
     /* 1354327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1354330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1354338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1354341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1354344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1354347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354380 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1354383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354405 */     // GIR_Coverage, 20446,
     /* 1354405 */     GIR_EraseRootFromParent_Done,
     /* 1354406 */   // Label 19318: @1354406
     /* 1354406 */   GIM_Try, /*On fail goto*//*Label 19319*/ GIMT_Encode4(1354490), // Rule ID 20447 //
     /* 1354411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1354414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1354422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1354425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1354428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1354431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1354467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354489 */     // GIR_Coverage, 20447,
     /* 1354489 */     GIR_EraseRootFromParent_Done,
     /* 1354490 */   // Label 19319: @1354490
     /* 1354490 */   GIM_Try, /*On fail goto*//*Label 19320*/ GIMT_Encode4(1354574), // Rule ID 20450 //
     /* 1354495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1354498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1354506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1354509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1354512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354548 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1354551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354573 */     // GIR_Coverage, 20450,
     /* 1354573 */     GIR_EraseRootFromParent_Done,
     /* 1354574 */   // Label 19320: @1354574
     /* 1354574 */   GIM_Try, /*On fail goto*//*Label 19321*/ GIMT_Encode4(1354658), // Rule ID 20451 //
     /* 1354579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1354582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1354590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1354593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1354596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1354635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354657 */     // GIR_Coverage, 20451,
     /* 1354657 */     GIR_EraseRootFromParent_Done,
     /* 1354658 */   // Label 19321: @1354658
     /* 1354658 */   GIM_Try, /*On fail goto*//*Label 19322*/ GIMT_Encode4(1354742), // Rule ID 20454 //
     /* 1354663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1354666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1354674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1354677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1354680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354716 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1354719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354741 */     // GIR_Coverage, 20454,
     /* 1354741 */     GIR_EraseRootFromParent_Done,
     /* 1354742 */   // Label 19322: @1354742
     /* 1354742 */   GIM_Try, /*On fail goto*//*Label 19323*/ GIMT_Encode4(1354826), // Rule ID 20455 //
     /* 1354747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1354750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1354758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1354761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1354764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1354803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354825 */     // GIR_Coverage, 20455,
     /* 1354825 */     GIR_EraseRootFromParent_Done,
     /* 1354826 */   // Label 19323: @1354826
     /* 1354826 */   GIM_Try, /*On fail goto*//*Label 19324*/ GIMT_Encode4(1354910), // Rule ID 20458 //
     /* 1354831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1354834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1354842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1354845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1354848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1354851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1354887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354909 */     // GIR_Coverage, 20458,
     /* 1354909 */     GIR_EraseRootFromParent_Done,
     /* 1354910 */   // Label 19324: @1354910
     /* 1354910 */   GIM_Try, /*On fail goto*//*Label 19325*/ GIMT_Encode4(1354994), // Rule ID 20459 //
     /* 1354915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1354926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1354929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1354932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1354935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354968 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1354971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1354977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1354979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354993 */     // GIR_Coverage, 20459,
     /* 1354993 */     GIR_EraseRootFromParent_Done,
     /* 1354994 */   // Label 19325: @1354994
     /* 1354994 */   GIM_Try, /*On fail goto*//*Label 19326*/ GIMT_Encode4(1355078), // Rule ID 20462 //
     /* 1354999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1355002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1355010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1355013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1355016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1355019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355052 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1355055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355077 */     // GIR_Coverage, 20462,
     /* 1355077 */     GIR_EraseRootFromParent_Done,
     /* 1355078 */   // Label 19326: @1355078
     /* 1355078 */   GIM_Try, /*On fail goto*//*Label 19327*/ GIMT_Encode4(1355162), // Rule ID 20463 //
     /* 1355083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1355086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1355094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1355097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1355100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1355103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355136 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1355139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355161 */     // GIR_Coverage, 20463,
     /* 1355161 */     GIR_EraseRootFromParent_Done,
     /* 1355162 */   // Label 19327: @1355162
     /* 1355162 */   GIM_Try, /*On fail goto*//*Label 19328*/ GIMT_Encode4(1355246), // Rule ID 20466 //
     /* 1355167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1355170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1355178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1355181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1355184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1355187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355220 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1355223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355245 */     // GIR_Coverage, 20466,
     /* 1355245 */     GIR_EraseRootFromParent_Done,
     /* 1355246 */   // Label 19328: @1355246
     /* 1355246 */   GIM_Try, /*On fail goto*//*Label 19329*/ GIMT_Encode4(1355330), // Rule ID 20467 //
     /* 1355251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1355254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1355262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1355265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1355268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1355271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355304 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1355307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355329 */     // GIR_Coverage, 20467,
     /* 1355329 */     GIR_EraseRootFromParent_Done,
     /* 1355330 */   // Label 19329: @1355330
     /* 1355330 */   GIM_Try, /*On fail goto*//*Label 19330*/ GIMT_Encode4(1355414), // Rule ID 20470 //
     /* 1355335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1355338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1355346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1355349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1355352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1355355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1355358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355388 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1355391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355413 */     // GIR_Coverage, 20470,
     /* 1355413 */     GIR_EraseRootFromParent_Done,
     /* 1355414 */   // Label 19330: @1355414
     /* 1355414 */   GIM_Try, /*On fail goto*//*Label 19331*/ GIMT_Encode4(1355498), // Rule ID 20471 //
     /* 1355419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1355422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1355430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1355433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1355436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1355439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1355442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355472 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1355475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355497 */     // GIR_Coverage, 20471,
     /* 1355497 */     GIR_EraseRootFromParent_Done,
     /* 1355498 */   // Label 19331: @1355498
     /* 1355498 */   GIM_Try, /*On fail goto*//*Label 19332*/ GIMT_Encode4(1355582), // Rule ID 20474 //
     /* 1355503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1355506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1355514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1355517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1355520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1355523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355556 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1355559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355581 */     // GIR_Coverage, 20474,
     /* 1355581 */     GIR_EraseRootFromParent_Done,
     /* 1355582 */   // Label 19332: @1355582
     /* 1355582 */   GIM_Try, /*On fail goto*//*Label 19333*/ GIMT_Encode4(1355666), // Rule ID 20475 //
     /* 1355587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1355590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1355598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1355601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1355604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1355607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355640 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1355643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355665 */     // GIR_Coverage, 20475,
     /* 1355665 */     GIR_EraseRootFromParent_Done,
     /* 1355666 */   // Label 19333: @1355666
     /* 1355666 */   GIM_Try, /*On fail goto*//*Label 19334*/ GIMT_Encode4(1355750), // Rule ID 20478 //
     /* 1355671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1355674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1355682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1355685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1355688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1355691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355724 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1355727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355749 */     // GIR_Coverage, 20478,
     /* 1355749 */     GIR_EraseRootFromParent_Done,
     /* 1355750 */   // Label 19334: @1355750
     /* 1355750 */   GIM_Try, /*On fail goto*//*Label 19335*/ GIMT_Encode4(1355834), // Rule ID 20479 //
     /* 1355755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1355758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1355766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1355769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1355772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1355775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1355811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355833 */     // GIR_Coverage, 20479,
     /* 1355833 */     GIR_EraseRootFromParent_Done,
     /* 1355834 */   // Label 19335: @1355834
     /* 1355834 */   GIM_Try, /*On fail goto*//*Label 19336*/ GIMT_Encode4(1355918), // Rule ID 20482 //
     /* 1355839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1355842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1355850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1355853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1355856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1355859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355892 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1355895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355917 */     // GIR_Coverage, 20482,
     /* 1355917 */     GIR_EraseRootFromParent_Done,
     /* 1355918 */   // Label 19336: @1355918
     /* 1355918 */   GIM_Try, /*On fail goto*//*Label 19337*/ GIMT_Encode4(1356002), // Rule ID 20483 //
     /* 1355923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1355926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1355934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1355937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1355940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1355943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355976 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1355979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356001 */     // GIR_Coverage, 20483,
     /* 1356001 */     GIR_EraseRootFromParent_Done,
     /* 1356002 */   // Label 19337: @1356002
     /* 1356002 */   GIM_Try, /*On fail goto*//*Label 19338*/ GIMT_Encode4(1356086), // Rule ID 20486 //
     /* 1356007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1356010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1356015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1356018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1356021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1356024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1356027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356060 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1356060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1356063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356085 */     // GIR_Coverage, 20486,
     /* 1356085 */     GIR_EraseRootFromParent_Done,
     /* 1356086 */   // Label 19338: @1356086
     /* 1356086 */   GIM_Try, /*On fail goto*//*Label 19339*/ GIMT_Encode4(1356170), // Rule ID 20487 //
     /* 1356091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1356094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1356099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1356102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1356105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1356108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1356111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356144 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1356144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1356147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356169 */     // GIR_Coverage, 20487,
     /* 1356169 */     GIR_EraseRootFromParent_Done,
     /* 1356170 */   // Label 19339: @1356170
     /* 1356170 */   GIM_Try, /*On fail goto*//*Label 19340*/ GIMT_Encode4(1356254), // Rule ID 20490 //
     /* 1356175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1356178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1356183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1356186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1356189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1356192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1356195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1356228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1356231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356253 */     // GIR_Coverage, 20490,
     /* 1356253 */     GIR_EraseRootFromParent_Done,
     /* 1356254 */   // Label 19340: @1356254
     /* 1356254 */   GIM_Try, /*On fail goto*//*Label 19341*/ GIMT_Encode4(1356338), // Rule ID 20491 //
     /* 1356259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1356262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1356267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1356270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1356273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1356276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1356279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1356312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1356315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356337 */     // GIR_Coverage, 20491,
     /* 1356337 */     GIR_EraseRootFromParent_Done,
     /* 1356338 */   // Label 19341: @1356338
     /* 1356338 */   GIM_Try, /*On fail goto*//*Label 19342*/ GIMT_Encode4(1356422), // Rule ID 20494 //
     /* 1356343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1356346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1356351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1356354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1356357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1356360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1356363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356396 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1356396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1356399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356421 */     // GIR_Coverage, 20494,
     /* 1356421 */     GIR_EraseRootFromParent_Done,
     /* 1356422 */   // Label 19342: @1356422
     /* 1356422 */   GIM_Try, /*On fail goto*//*Label 19343*/ GIMT_Encode4(1356506), // Rule ID 20495 //
     /* 1356427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1356430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1356435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1356438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1356441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1356444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1356447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356480 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1356480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1356483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356505 */     // GIR_Coverage, 20495,
     /* 1356505 */     GIR_EraseRootFromParent_Done,
     /* 1356506 */   // Label 19343: @1356506
     /* 1356506 */   GIM_Try, /*On fail goto*//*Label 19344*/ GIMT_Encode4(1356587), // Rule ID 20552 //
     /* 1356511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1356514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1356522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1356525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1356528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1356531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356564 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1356564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1356567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356586 */     // GIR_Coverage, 20552,
     /* 1356586 */     GIR_EraseRootFromParent_Done,
     /* 1356587 */   // Label 19344: @1356587
     /* 1356587 */   GIM_Try, /*On fail goto*//*Label 19345*/ GIMT_Encode4(1356668), // Rule ID 20553 //
     /* 1356592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1356595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1356603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1356606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1356609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1356612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356645 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1356645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1356648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356667 */     // GIR_Coverage, 20553,
     /* 1356667 */     GIR_EraseRootFromParent_Done,
     /* 1356668 */   // Label 19345: @1356668
     /* 1356668 */   GIM_Try, /*On fail goto*//*Label 19346*/ GIMT_Encode4(1356749), // Rule ID 20554 //
     /* 1356673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1356676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1356684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1356687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1356690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1356693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1356715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356726 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1356726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1356729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356748 */     // GIR_Coverage, 20554,
     /* 1356748 */     GIR_EraseRootFromParent_Done,
     /* 1356749 */   // Label 19346: @1356749
     /* 1356749 */   GIM_Try, /*On fail goto*//*Label 19347*/ GIMT_Encode4(1356830), // Rule ID 20555 //
     /* 1356754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1356757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1356765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1356768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1356771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1356774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1356796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356807 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1356807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1356810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356829 */     // GIR_Coverage, 20555,
     /* 1356829 */     GIR_EraseRootFromParent_Done,
     /* 1356830 */   // Label 19347: @1356830
     /* 1356830 */   GIM_Try, /*On fail goto*//*Label 19348*/ GIMT_Encode4(1356911), // Rule ID 20556 //
     /* 1356835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1356838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1356846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1356849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1356852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1356855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356888 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1356888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1356891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356910 */     // GIR_Coverage, 20556,
     /* 1356910 */     GIR_EraseRootFromParent_Done,
     /* 1356911 */   // Label 19348: @1356911
     /* 1356911 */   GIM_Try, /*On fail goto*//*Label 19349*/ GIMT_Encode4(1356992), // Rule ID 20557 //
     /* 1356916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1356919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1356927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1356930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1356933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1356936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356969 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1356969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1356972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356991 */     // GIR_Coverage, 20557,
     /* 1356991 */     GIR_EraseRootFromParent_Done,
     /* 1356992 */   // Label 19349: @1356992
     /* 1356992 */   GIM_Try, /*On fail goto*//*Label 19350*/ GIMT_Encode4(1357073), // Rule ID 20558 //
     /* 1356997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1357000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1357008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1357011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1357014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1357017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1357039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357050 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1357050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1357053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357072 */     // GIR_Coverage, 20558,
     /* 1357072 */     GIR_EraseRootFromParent_Done,
     /* 1357073 */   // Label 19350: @1357073
     /* 1357073 */   GIM_Try, /*On fail goto*//*Label 19351*/ GIMT_Encode4(1357154), // Rule ID 20559 //
     /* 1357078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1357081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1357089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1357092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1357095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1357098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1357120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357131 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1357131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1357134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357153 */     // GIR_Coverage, 20559,
     /* 1357153 */     GIR_EraseRootFromParent_Done,
     /* 1357154 */   // Label 19351: @1357154
     /* 1357154 */   GIM_Try, /*On fail goto*//*Label 19352*/ GIMT_Encode4(1357235), // Rule ID 20560 //
     /* 1357159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1357170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1357173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1357176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1357179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357212 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1357212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1357215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357234 */     // GIR_Coverage, 20560,
     /* 1357234 */     GIR_EraseRootFromParent_Done,
     /* 1357235 */   // Label 19352: @1357235
     /* 1357235 */   GIM_Try, /*On fail goto*//*Label 19353*/ GIMT_Encode4(1357316), // Rule ID 20561 //
     /* 1357240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1357251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1357254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1357257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1357260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357293 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1357293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1357296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357315 */     // GIR_Coverage, 20561,
     /* 1357315 */     GIR_EraseRootFromParent_Done,
     /* 1357316 */   // Label 19353: @1357316
     /* 1357316 */   GIM_Try, /*On fail goto*//*Label 19354*/ GIMT_Encode4(1357397), // Rule ID 20562 //
     /* 1357321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1357332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1357335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1357338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1357363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357374 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1357374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1357377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357396 */     // GIR_Coverage, 20562,
     /* 1357396 */     GIR_EraseRootFromParent_Done,
     /* 1357397 */   // Label 19354: @1357397
     /* 1357397 */   GIM_Try, /*On fail goto*//*Label 19355*/ GIMT_Encode4(1357478), // Rule ID 20563 //
     /* 1357402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1357413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1357416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1357419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1357444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357455 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1357455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1357458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357477 */     // GIR_Coverage, 20563,
     /* 1357477 */     GIR_EraseRootFromParent_Done,
     /* 1357478 */   // Label 19355: @1357478
     /* 1357478 */   GIM_Try, /*On fail goto*//*Label 19356*/ GIMT_Encode4(1357559), // Rule ID 20564 //
     /* 1357483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1357486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1357500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357536 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1357536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1357539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357558 */     // GIR_Coverage, 20564,
     /* 1357558 */     GIR_EraseRootFromParent_Done,
     /* 1357559 */   // Label 19356: @1357559
     /* 1357559 */   GIM_Try, /*On fail goto*//*Label 19357*/ GIMT_Encode4(1357640), // Rule ID 20565 //
     /* 1357564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1357567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1357581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357617 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1357617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1357620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357639 */     // GIR_Coverage, 20565,
     /* 1357639 */     GIR_EraseRootFromParent_Done,
     /* 1357640 */   // Label 19357: @1357640
     /* 1357640 */   GIM_Try, /*On fail goto*//*Label 19358*/ GIMT_Encode4(1357721), // Rule ID 20566 //
     /* 1357645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1357648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1357662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1357665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1357687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357698 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1357698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1357701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357720 */     // GIR_Coverage, 20566,
     /* 1357720 */     GIR_EraseRootFromParent_Done,
     /* 1357721 */   // Label 19358: @1357721
     /* 1357721 */   GIM_Try, /*On fail goto*//*Label 19359*/ GIMT_Encode4(1357802), // Rule ID 20567 //
     /* 1357726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1357729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1357743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1357746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1357768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357779 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1357779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1357782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357801 */     // GIR_Coverage, 20567,
     /* 1357801 */     GIR_EraseRootFromParent_Done,
     /* 1357802 */   // Label 19359: @1357802
     /* 1357802 */   GIM_Try, /*On fail goto*//*Label 19360*/ GIMT_Encode4(1357883), // Rule ID 20568 //
     /* 1357807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1357824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357860 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1357860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1357863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357882 */     // GIR_Coverage, 20568,
     /* 1357882 */     GIR_EraseRootFromParent_Done,
     /* 1357883 */   // Label 19360: @1357883
     /* 1357883 */   GIM_Try, /*On fail goto*//*Label 19361*/ GIMT_Encode4(1357964), // Rule ID 20569 //
     /* 1357888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1357905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357941 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1357941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1357944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357963 */     // GIR_Coverage, 20569,
     /* 1357963 */     GIR_EraseRootFromParent_Done,
     /* 1357964 */   // Label 19361: @1357964
     /* 1357964 */   GIM_Try, /*On fail goto*//*Label 19362*/ GIMT_Encode4(1358045), // Rule ID 20570 //
     /* 1357969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1357986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1358011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358022 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1358022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1358025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358044 */     // GIR_Coverage, 20570,
     /* 1358044 */     GIR_EraseRootFromParent_Done,
     /* 1358045 */   // Label 19362: @1358045
     /* 1358045 */   GIM_Try, /*On fail goto*//*Label 19363*/ GIMT_Encode4(1358126), // Rule ID 20571 //
     /* 1358050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1358053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1358064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1358067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1358070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1358092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358103 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1358103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1358106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358125 */     // GIR_Coverage, 20571,
     /* 1358125 */     GIR_EraseRootFromParent_Done,
     /* 1358126 */   // Label 19363: @1358126
     /* 1358126 */   GIM_Try, /*On fail goto*//*Label 19364*/ GIMT_Encode4(1358207), // Rule ID 20572 //
     /* 1358131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1358134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1358142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1358145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1358148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1358151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358184 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1358184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1358187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358206 */     // GIR_Coverage, 20572,
     /* 1358206 */     GIR_EraseRootFromParent_Done,
     /* 1358207 */   // Label 19364: @1358207
     /* 1358207 */   GIM_Try, /*On fail goto*//*Label 19365*/ GIMT_Encode4(1358288), // Rule ID 20573 //
     /* 1358212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1358215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1358223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1358226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1358229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1358232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358265 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1358265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1358268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358287 */     // GIR_Coverage, 20573,
     /* 1358287 */     GIR_EraseRootFromParent_Done,
     /* 1358288 */   // Label 19365: @1358288
     /* 1358288 */   GIM_Try, /*On fail goto*//*Label 19366*/ GIMT_Encode4(1358369), // Rule ID 20574 //
     /* 1358293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1358296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1358304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1358307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1358310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1358335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358346 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1358346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1358349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358368 */     // GIR_Coverage, 20574,
     /* 1358368 */     GIR_EraseRootFromParent_Done,
     /* 1358369 */   // Label 19366: @1358369
     /* 1358369 */   GIM_Try, /*On fail goto*//*Label 19367*/ GIMT_Encode4(1358450), // Rule ID 20575 //
     /* 1358374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1358377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1358385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1358388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1358391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1358416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358427 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1358427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1358430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358449 */     // GIR_Coverage, 20575,
     /* 1358449 */     GIR_EraseRootFromParent_Done,
     /* 1358450 */   // Label 19367: @1358450
     /* 1358450 */   GIM_Try, /*On fail goto*//*Label 19368*/ GIMT_Encode4(1358531), // Rule ID 20576 //
     /* 1358455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1358458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1358466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1358469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1358472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1358475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1358485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358508 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1358508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1358511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358530 */     // GIR_Coverage, 20576,
     /* 1358530 */     GIR_EraseRootFromParent_Done,
     /* 1358531 */   // Label 19368: @1358531
     /* 1358531 */   GIM_Try, /*On fail goto*//*Label 19369*/ GIMT_Encode4(1358612), // Rule ID 20577 //
     /* 1358536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1358539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1358547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1358550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1358553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1358556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1358566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358589 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1358589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1358592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358611 */     // GIR_Coverage, 20577,
     /* 1358611 */     GIR_EraseRootFromParent_Done,
     /* 1358612 */   // Label 19369: @1358612
     /* 1358612 */   GIM_Try, /*On fail goto*//*Label 19370*/ GIMT_Encode4(1358693), // Rule ID 20578 //
     /* 1358617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1358620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1358628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1358631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1358634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1358637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1358647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1358659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358670 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1358670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1358673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358692 */     // GIR_Coverage, 20578,
     /* 1358692 */     GIR_EraseRootFromParent_Done,
     /* 1358693 */   // Label 19370: @1358693
     /* 1358693 */   GIM_Try, /*On fail goto*//*Label 19371*/ GIMT_Encode4(1358774), // Rule ID 20579 //
     /* 1358698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1358701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1358709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1358712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1358715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1358718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1358728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1358740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358751 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1358751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1358754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358773 */     // GIR_Coverage, 20579,
     /* 1358773 */     GIR_EraseRootFromParent_Done,
     /* 1358774 */   // Label 19371: @1358774
     /* 1358774 */   GIM_Try, /*On fail goto*//*Label 19372*/ GIMT_Encode4(1358855), // Rule ID 20580 //
     /* 1358779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1358782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1358790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1358793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1358796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1358799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1358802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1358809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358832 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1358832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1358835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358854 */     // GIR_Coverage, 20580,
     /* 1358854 */     GIR_EraseRootFromParent_Done,
     /* 1358855 */   // Label 19372: @1358855
     /* 1358855 */   GIM_Try, /*On fail goto*//*Label 19373*/ GIMT_Encode4(1358936), // Rule ID 20581 //
     /* 1358860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1358863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1358871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1358874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1358877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1358880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1358883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1358890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358913 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1358913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1358916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358935 */     // GIR_Coverage, 20581,
     /* 1358935 */     GIR_EraseRootFromParent_Done,
     /* 1358936 */   // Label 19373: @1358936
     /* 1358936 */   GIM_Try, /*On fail goto*//*Label 19374*/ GIMT_Encode4(1359017), // Rule ID 20582 //
     /* 1358941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1358944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1358952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1358955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1358958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1358961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1358964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1358971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1358983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358994 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1358994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1358997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359016 */     // GIR_Coverage, 20582,
     /* 1359016 */     GIR_EraseRootFromParent_Done,
     /* 1359017 */   // Label 19374: @1359017
     /* 1359017 */   GIM_Try, /*On fail goto*//*Label 19375*/ GIMT_Encode4(1359098), // Rule ID 20583 //
     /* 1359022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1359025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1359030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1359033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1359036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1359039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1359042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1359052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1359064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359075 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1359075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1359078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359097 */     // GIR_Coverage, 20583,
     /* 1359097 */     GIR_EraseRootFromParent_Done,
     /* 1359098 */   // Label 19375: @1359098
     /* 1359098 */   GIM_Try, /*On fail goto*//*Label 19376*/ GIMT_Encode4(1359179), // Rule ID 20584 //
     /* 1359103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1359106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1359111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1359114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1359117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1359120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1359123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1359126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1359133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359156 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1359156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1359159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359178 */     // GIR_Coverage, 20584,
     /* 1359178 */     GIR_EraseRootFromParent_Done,
     /* 1359179 */   // Label 19376: @1359179
     /* 1359179 */   GIM_Try, /*On fail goto*//*Label 19377*/ GIMT_Encode4(1359260), // Rule ID 20585 //
     /* 1359184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1359187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1359192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1359195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1359198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1359201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1359204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1359207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1359214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359237 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1359237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1359240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359259 */     // GIR_Coverage, 20585,
     /* 1359259 */     GIR_EraseRootFromParent_Done,
     /* 1359260 */   // Label 19377: @1359260
     /* 1359260 */   GIM_Try, /*On fail goto*//*Label 19378*/ GIMT_Encode4(1359341), // Rule ID 20586 //
     /* 1359265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1359268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1359273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1359276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1359279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1359282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1359285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1359288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1359295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1359307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359318 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1359318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1359321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359340 */     // GIR_Coverage, 20586,
     /* 1359340 */     GIR_EraseRootFromParent_Done,
     /* 1359341 */   // Label 19378: @1359341
     /* 1359341 */   GIM_Try, /*On fail goto*//*Label 19379*/ GIMT_Encode4(1359422), // Rule ID 20587 //
     /* 1359346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1359349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1359354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1359357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1359360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1359363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1359366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1359369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1359376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1359388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359399 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1359399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1359402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359421 */     // GIR_Coverage, 20587,
     /* 1359421 */     GIR_EraseRootFromParent_Done,
     /* 1359422 */   // Label 19379: @1359422
     /* 1359422 */   GIM_Try, /*On fail goto*//*Label 19380*/ GIMT_Encode4(1359503), // Rule ID 20588 //
     /* 1359427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1359430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1359435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1359438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1359441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1359444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1359447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1359457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359480 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1359480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1359483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359502 */     // GIR_Coverage, 20588,
     /* 1359502 */     GIR_EraseRootFromParent_Done,
     /* 1359503 */   // Label 19380: @1359503
     /* 1359503 */   GIM_Try, /*On fail goto*//*Label 19381*/ GIMT_Encode4(1359584), // Rule ID 20589 //
     /* 1359508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1359511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1359516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1359519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1359522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1359525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1359528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1359538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359561 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1359561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1359564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359583 */     // GIR_Coverage, 20589,
     /* 1359583 */     GIR_EraseRootFromParent_Done,
     /* 1359584 */   // Label 19381: @1359584
     /* 1359584 */   GIM_Try, /*On fail goto*//*Label 19382*/ GIMT_Encode4(1359665), // Rule ID 20590 //
     /* 1359589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1359592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1359597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1359600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1359603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1359606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1359619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1359631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359642 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1359642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1359645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359664 */     // GIR_Coverage, 20590,
     /* 1359664 */     GIR_EraseRootFromParent_Done,
     /* 1359665 */   // Label 19382: @1359665
     /* 1359665 */   GIM_Try, /*On fail goto*//*Label 19383*/ GIMT_Encode4(1359746), // Rule ID 20591 //
     /* 1359670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1359673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1359678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1359681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1359684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1359687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1359700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1359712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359723 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1359723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1359726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359745 */     // GIR_Coverage, 20591,
     /* 1359745 */     GIR_EraseRootFromParent_Done,
     /* 1359746 */   // Label 19383: @1359746
     /* 1359746 */   GIM_Try, /*On fail goto*//*Label 19384*/ GIMT_Encode4(1359827), // Rule ID 20592 //
     /* 1359751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1359754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1359759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1359762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1359765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1359768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1359771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1359781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359804 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1359804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1359807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359826 */     // GIR_Coverage, 20592,
     /* 1359826 */     GIR_EraseRootFromParent_Done,
     /* 1359827 */   // Label 19384: @1359827
     /* 1359827 */   GIM_Try, /*On fail goto*//*Label 19385*/ GIMT_Encode4(1359908), // Rule ID 20593 //
     /* 1359832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1359835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1359840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1359843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1359846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1359849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1359852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1359862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359885 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1359885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1359888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359907 */     // GIR_Coverage, 20593,
     /* 1359907 */     GIR_EraseRootFromParent_Done,
     /* 1359908 */   // Label 19385: @1359908
     /* 1359908 */   GIM_Try, /*On fail goto*//*Label 19386*/ GIMT_Encode4(1359989), // Rule ID 20594 //
     /* 1359913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1359916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1359921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1359924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1359927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1359930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1359943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1359955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359966 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1359966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1359969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359988 */     // GIR_Coverage, 20594,
     /* 1359988 */     GIR_EraseRootFromParent_Done,
     /* 1359989 */   // Label 19386: @1359989
     /* 1359989 */   GIM_Try, /*On fail goto*//*Label 19387*/ GIMT_Encode4(1360070), // Rule ID 20595 //
     /* 1359994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1359997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1360005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1360008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1360011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1360014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1360024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1360036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360047 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1360047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1360050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360069 */     // GIR_Coverage, 20595,
     /* 1360069 */     GIR_EraseRootFromParent_Done,
     /* 1360070 */   // Label 19387: @1360070
     /* 1360070 */   GIM_Try, /*On fail goto*//*Label 19388*/ GIMT_Encode4(1360151), // Rule ID 20596 //
     /* 1360075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1360078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1360083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1360086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1360089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1360092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1360095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1360105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360128 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1360128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1360131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360150 */     // GIR_Coverage, 20596,
     /* 1360150 */     GIR_EraseRootFromParent_Done,
     /* 1360151 */   // Label 19388: @1360151
     /* 1360151 */   GIM_Try, /*On fail goto*//*Label 19389*/ GIMT_Encode4(1360232), // Rule ID 20597 //
     /* 1360156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1360159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1360164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1360167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1360170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1360173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1360176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1360186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360209 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1360209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1360212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360231 */     // GIR_Coverage, 20597,
     /* 1360231 */     GIR_EraseRootFromParent_Done,
     /* 1360232 */   // Label 19389: @1360232
     /* 1360232 */   GIM_Try, /*On fail goto*//*Label 19390*/ GIMT_Encode4(1360313), // Rule ID 20598 //
     /* 1360237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1360240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1360248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1360251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1360254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1360257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1360267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1360279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360290 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1360290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1360293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360312 */     // GIR_Coverage, 20598,
     /* 1360312 */     GIR_EraseRootFromParent_Done,
     /* 1360313 */   // Label 19390: @1360313
     /* 1360313 */   GIM_Try, /*On fail goto*//*Label 19391*/ GIMT_Encode4(1360394), // Rule ID 20599 //
     /* 1360318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1360321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1360329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1360332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1360335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1360338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1360348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1360360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360371 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1360371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1360374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360393 */     // GIR_Coverage, 20599,
     /* 1360393 */     GIR_EraseRootFromParent_Done,
     /* 1360394 */   // Label 19391: @1360394
     /* 1360394 */   GIM_Try, /*On fail goto*//*Label 19392*/ GIMT_Encode4(1360475), // Rule ID 20600 //
     /* 1360399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1360402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1360407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1360410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1360413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1360416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1360419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1360429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360452 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1360452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1360455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360474 */     // GIR_Coverage, 20600,
     /* 1360474 */     GIR_EraseRootFromParent_Done,
     /* 1360475 */   // Label 19392: @1360475
     /* 1360475 */   GIM_Try, /*On fail goto*//*Label 19393*/ GIMT_Encode4(1360556), // Rule ID 20601 //
     /* 1360480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1360483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1360488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1360491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1360494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1360497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1360500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1360510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360533 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1360533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1360536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360555 */     // GIR_Coverage, 20601,
     /* 1360555 */     GIR_EraseRootFromParent_Done,
     /* 1360556 */   // Label 19393: @1360556
     /* 1360556 */   GIM_Try, /*On fail goto*//*Label 19394*/ GIMT_Encode4(1360637), // Rule ID 20602 //
     /* 1360561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1360564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1360572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1360575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1360578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1360591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1360603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360614 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1360614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1360617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360636 */     // GIR_Coverage, 20602,
     /* 1360636 */     GIR_EraseRootFromParent_Done,
     /* 1360637 */   // Label 19394: @1360637
     /* 1360637 */   GIM_Try, /*On fail goto*//*Label 19395*/ GIMT_Encode4(1360718), // Rule ID 20603 //
     /* 1360642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1360645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1360653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1360656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1360659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1360672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1360684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360695 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1360695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1360698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360717 */     // GIR_Coverage, 20603,
     /* 1360717 */     GIR_EraseRootFromParent_Done,
     /* 1360718 */   // Label 19395: @1360718
     /* 1360718 */   GIM_Try, /*On fail goto*//*Label 19396*/ GIMT_Encode4(1360799), // Rule ID 20604 //
     /* 1360723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1360726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1360731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1360734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1360737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1360740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1360743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1360753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360776 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1360776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1360779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360798 */     // GIR_Coverage, 20604,
     /* 1360798 */     GIR_EraseRootFromParent_Done,
     /* 1360799 */   // Label 19396: @1360799
     /* 1360799 */   GIM_Try, /*On fail goto*//*Label 19397*/ GIMT_Encode4(1360880), // Rule ID 20605 //
     /* 1360804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1360807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1360812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1360815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1360818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1360821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1360824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1360834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360857 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1360857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1360860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360879 */     // GIR_Coverage, 20605,
     /* 1360879 */     GIR_EraseRootFromParent_Done,
     /* 1360880 */   // Label 19397: @1360880
     /* 1360880 */   GIM_Try, /*On fail goto*//*Label 19398*/ GIMT_Encode4(1360961), // Rule ID 20606 //
     /* 1360885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1360888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1360896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1360899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1360902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1360915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1360927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360938 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1360938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1360941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360960 */     // GIR_Coverage, 20606,
     /* 1360960 */     GIR_EraseRootFromParent_Done,
     /* 1360961 */   // Label 19398: @1360961
     /* 1360961 */   GIM_Try, /*On fail goto*//*Label 19399*/ GIMT_Encode4(1361042), // Rule ID 20607 //
     /* 1360966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1360969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1360977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1360980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1360983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1360996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1361008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361019 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1361019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1361022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361041 */     // GIR_Coverage, 20607,
     /* 1361041 */     GIR_EraseRootFromParent_Done,
     /* 1361042 */   // Label 19399: @1361042
     /* 1361042 */   GIM_Try, /*On fail goto*//*Label 19400*/ GIMT_Encode4(1361123), // Rule ID 20608 //
     /* 1361047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1361050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1361055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1361058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1361061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1361064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1361067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1361077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361100 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1361100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1361103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361122 */     // GIR_Coverage, 20608,
     /* 1361122 */     GIR_EraseRootFromParent_Done,
     /* 1361123 */   // Label 19400: @1361123
     /* 1361123 */   GIM_Try, /*On fail goto*//*Label 19401*/ GIMT_Encode4(1361204), // Rule ID 20609 //
     /* 1361128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1361131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1361136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1361139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1361142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1361145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1361148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1361158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361181 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1361181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1361184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361203 */     // GIR_Coverage, 20609,
     /* 1361203 */     GIR_EraseRootFromParent_Done,
     /* 1361204 */   // Label 19401: @1361204
     /* 1361204 */   GIM_Try, /*On fail goto*//*Label 19402*/ GIMT_Encode4(1361285), // Rule ID 20610 //
     /* 1361209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1361212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1361217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1361220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1361223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1361226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1361229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1361239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1361251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361262 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1361262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1361265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361284 */     // GIR_Coverage, 20610,
     /* 1361284 */     GIR_EraseRootFromParent_Done,
     /* 1361285 */   // Label 19402: @1361285
     /* 1361285 */   GIM_Try, /*On fail goto*//*Label 19403*/ GIMT_Encode4(1361366), // Rule ID 20611 //
     /* 1361290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1361293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1361298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1361301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1361304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1361307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1361310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1361320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1361332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361343 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1361343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1361346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361365 */     // GIR_Coverage, 20611,
     /* 1361365 */     GIR_EraseRootFromParent_Done,
     /* 1361366 */   // Label 19403: @1361366
     /* 1361366 */   GIM_Try, /*On fail goto*//*Label 19404*/ GIMT_Encode4(1361450), // Rule ID 21992 //
     /* 1361371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1361388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1361427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361449 */     // GIR_Coverage, 21992,
     /* 1361449 */     GIR_EraseRootFromParent_Done,
     /* 1361450 */   // Label 19404: @1361450
     /* 1361450 */   GIM_Try, /*On fail goto*//*Label 19405*/ GIMT_Encode4(1361534), // Rule ID 21993 //
     /* 1361455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1361472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1361511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361533 */     // GIR_Coverage, 21993,
     /* 1361533 */     GIR_EraseRootFromParent_Done,
     /* 1361534 */   // Label 19405: @1361534
     /* 1361534 */   GIM_Try, /*On fail goto*//*Label 19406*/ GIMT_Encode4(1361618), // Rule ID 21996 //
     /* 1361539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1361556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1361595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361617 */     // GIR_Coverage, 21996,
     /* 1361617 */     GIR_EraseRootFromParent_Done,
     /* 1361618 */   // Label 19406: @1361618
     /* 1361618 */   GIM_Try, /*On fail goto*//*Label 19407*/ GIMT_Encode4(1361702), // Rule ID 21997 //
     /* 1361623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1361640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361676 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1361679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361701 */     // GIR_Coverage, 21997,
     /* 1361701 */     GIR_EraseRootFromParent_Done,
     /* 1361702 */   // Label 19407: @1361702
     /* 1361702 */   GIM_Try, /*On fail goto*//*Label 19408*/ GIMT_Encode4(1361786), // Rule ID 22000 //
     /* 1361707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1361724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361760 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1361763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361785 */     // GIR_Coverage, 22000,
     /* 1361785 */     GIR_EraseRootFromParent_Done,
     /* 1361786 */   // Label 19408: @1361786
     /* 1361786 */   GIM_Try, /*On fail goto*//*Label 19409*/ GIMT_Encode4(1361870), // Rule ID 22001 //
     /* 1361791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1361808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1361847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361869 */     // GIR_Coverage, 22001,
     /* 1361869 */     GIR_EraseRootFromParent_Done,
     /* 1361870 */   // Label 19409: @1361870
     /* 1361870 */   GIM_Try, /*On fail goto*//*Label 19410*/ GIMT_Encode4(1361954), // Rule ID 22004 //
     /* 1361875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1361892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1361931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361953 */     // GIR_Coverage, 22004,
     /* 1361953 */     GIR_EraseRootFromParent_Done,
     /* 1361954 */   // Label 19410: @1361954
     /* 1361954 */   GIM_Try, /*On fail goto*//*Label 19411*/ GIMT_Encode4(1362038), // Rule ID 22005 //
     /* 1361959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1361976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362012 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1362015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362037 */     // GIR_Coverage, 22005,
     /* 1362037 */     GIR_EraseRootFromParent_Done,
     /* 1362038 */   // Label 19411: @1362038
     /* 1362038 */   GIM_Try, /*On fail goto*//*Label 19412*/ GIMT_Encode4(1362122), // Rule ID 22008 //
     /* 1362043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1362060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1362099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362121 */     // GIR_Coverage, 22008,
     /* 1362121 */     GIR_EraseRootFromParent_Done,
     /* 1362122 */   // Label 19412: @1362122
     /* 1362122 */   GIM_Try, /*On fail goto*//*Label 19413*/ GIMT_Encode4(1362206), // Rule ID 22009 //
     /* 1362127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1362144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1362183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362205 */     // GIR_Coverage, 22009,
     /* 1362205 */     GIR_EraseRootFromParent_Done,
     /* 1362206 */   // Label 19413: @1362206
     /* 1362206 */   GIM_Try, /*On fail goto*//*Label 19414*/ GIMT_Encode4(1362290), // Rule ID 22012 //
     /* 1362211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1362228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362264 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1362267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362289 */     // GIR_Coverage, 22012,
     /* 1362289 */     GIR_EraseRootFromParent_Done,
     /* 1362290 */   // Label 19414: @1362290
     /* 1362290 */   GIM_Try, /*On fail goto*//*Label 19415*/ GIMT_Encode4(1362374), // Rule ID 22013 //
     /* 1362295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1362312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1362351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362373 */     // GIR_Coverage, 22013,
     /* 1362373 */     GIR_EraseRootFromParent_Done,
     /* 1362374 */   // Label 19415: @1362374
     /* 1362374 */   GIM_Try, /*On fail goto*//*Label 19416*/ GIMT_Encode4(1362458), // Rule ID 22016 //
     /* 1362379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1362396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1362435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362457 */     // GIR_Coverage, 22016,
     /* 1362457 */     GIR_EraseRootFromParent_Done,
     /* 1362458 */   // Label 19416: @1362458
     /* 1362458 */   GIM_Try, /*On fail goto*//*Label 19417*/ GIMT_Encode4(1362542), // Rule ID 22017 //
     /* 1362463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1362480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362516 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1362519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362541 */     // GIR_Coverage, 22017,
     /* 1362541 */     GIR_EraseRootFromParent_Done,
     /* 1362542 */   // Label 19417: @1362542
     /* 1362542 */   GIM_Try, /*On fail goto*//*Label 19418*/ GIMT_Encode4(1362626), // Rule ID 22020 //
     /* 1362547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1362564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362600 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1362603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362625 */     // GIR_Coverage, 22020,
     /* 1362625 */     GIR_EraseRootFromParent_Done,
     /* 1362626 */   // Label 19418: @1362626
     /* 1362626 */   GIM_Try, /*On fail goto*//*Label 19419*/ GIMT_Encode4(1362710), // Rule ID 22021 //
     /* 1362631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1362648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1362687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362709 */     // GIR_Coverage, 22021,
     /* 1362709 */     GIR_EraseRootFromParent_Done,
     /* 1362710 */   // Label 19419: @1362710
     /* 1362710 */   GIM_Try, /*On fail goto*//*Label 19420*/ GIMT_Encode4(1362794), // Rule ID 22024 //
     /* 1362715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1362718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1362732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1362771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362793 */     // GIR_Coverage, 22024,
     /* 1362793 */     GIR_EraseRootFromParent_Done,
     /* 1362794 */   // Label 19420: @1362794
     /* 1362794 */   GIM_Try, /*On fail goto*//*Label 19421*/ GIMT_Encode4(1362878), // Rule ID 22025 //
     /* 1362799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1362802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1362816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1362855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362877 */     // GIR_Coverage, 22025,
     /* 1362877 */     GIR_EraseRootFromParent_Done,
     /* 1362878 */   // Label 19421: @1362878
     /* 1362878 */   GIM_Try, /*On fail goto*//*Label 19422*/ GIMT_Encode4(1362962), // Rule ID 22028 //
     /* 1362883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1362900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1362906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1362939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362961 */     // GIR_Coverage, 22028,
     /* 1362961 */     GIR_EraseRootFromParent_Done,
     /* 1362962 */   // Label 19422: @1362962
     /* 1362962 */   GIM_Try, /*On fail goto*//*Label 19423*/ GIMT_Encode4(1363046), // Rule ID 22029 //
     /* 1362967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1362984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1362990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363020 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1363023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363045 */     // GIR_Coverage, 22029,
     /* 1363045 */     GIR_EraseRootFromParent_Done,
     /* 1363046 */   // Label 19423: @1363046
     /* 1363046 */   GIM_Try, /*On fail goto*//*Label 19424*/ GIMT_Encode4(1363130), // Rule ID 22032 //
     /* 1363051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1363068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363104 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1363107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363129 */     // GIR_Coverage, 22032,
     /* 1363129 */     GIR_EraseRootFromParent_Done,
     /* 1363130 */   // Label 19424: @1363130
     /* 1363130 */   GIM_Try, /*On fail goto*//*Label 19425*/ GIMT_Encode4(1363214), // Rule ID 22033 //
     /* 1363135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1363152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1363191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363213 */     // GIR_Coverage, 22033,
     /* 1363213 */     GIR_EraseRootFromParent_Done,
     /* 1363214 */   // Label 19425: @1363214
     /* 1363214 */   GIM_Try, /*On fail goto*//*Label 19426*/ GIMT_Encode4(1363298), // Rule ID 22036 //
     /* 1363219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1363236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1363242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1363275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363297 */     // GIR_Coverage, 22036,
     /* 1363297 */     GIR_EraseRootFromParent_Done,
     /* 1363298 */   // Label 19426: @1363298
     /* 1363298 */   GIM_Try, /*On fail goto*//*Label 19427*/ GIMT_Encode4(1363382), // Rule ID 22037 //
     /* 1363303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1363320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1363326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363356 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1363359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363381 */     // GIR_Coverage, 22037,
     /* 1363381 */     GIR_EraseRootFromParent_Done,
     /* 1363382 */   // Label 19427: @1363382
     /* 1363382 */   GIM_Try, /*On fail goto*//*Label 19428*/ GIMT_Encode4(1363466), // Rule ID 22040 //
     /* 1363387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1363404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1363443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363465 */     // GIR_Coverage, 22040,
     /* 1363465 */     GIR_EraseRootFromParent_Done,
     /* 1363466 */   // Label 19428: @1363466
     /* 1363466 */   GIM_Try, /*On fail goto*//*Label 19429*/ GIMT_Encode4(1363550), // Rule ID 22041 //
     /* 1363471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1363488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363524 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1363527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363549 */     // GIR_Coverage, 22041,
     /* 1363549 */     GIR_EraseRootFromParent_Done,
     /* 1363550 */   // Label 19429: @1363550
     /* 1363550 */   GIM_Try, /*On fail goto*//*Label 19430*/ GIMT_Encode4(1363634), // Rule ID 22044 //
     /* 1363555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1363572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1363611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363633 */     // GIR_Coverage, 22044,
     /* 1363633 */     GIR_EraseRootFromParent_Done,
     /* 1363634 */   // Label 19430: @1363634
     /* 1363634 */   GIM_Try, /*On fail goto*//*Label 19431*/ GIMT_Encode4(1363718), // Rule ID 22045 //
     /* 1363639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1363656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1363695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363717 */     // GIR_Coverage, 22045,
     /* 1363717 */     GIR_EraseRootFromParent_Done,
     /* 1363718 */   // Label 19431: @1363718
     /* 1363718 */   GIM_Try, /*On fail goto*//*Label 19432*/ GIMT_Encode4(1363802), // Rule ID 22048 //
     /* 1363723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1363740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1363779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363801 */     // GIR_Coverage, 22048,
     /* 1363801 */     GIR_EraseRootFromParent_Done,
     /* 1363802 */   // Label 19432: @1363802
     /* 1363802 */   GIM_Try, /*On fail goto*//*Label 19433*/ GIMT_Encode4(1363886), // Rule ID 22049 //
     /* 1363807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1363824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363860 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1363863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363885 */     // GIR_Coverage, 22049,
     /* 1363885 */     GIR_EraseRootFromParent_Done,
     /* 1363886 */   // Label 19433: @1363886
     /* 1363886 */   GIM_Try, /*On fail goto*//*Label 19434*/ GIMT_Encode4(1363970), // Rule ID 22052 //
     /* 1363891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1363908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1363947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363969 */     // GIR_Coverage, 22052,
     /* 1363969 */     GIR_EraseRootFromParent_Done,
     /* 1363970 */   // Label 19434: @1363970
     /* 1363970 */   GIM_Try, /*On fail goto*//*Label 19435*/ GIMT_Encode4(1364054), // Rule ID 22053 //
     /* 1363975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1363983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1363992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1364031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364053 */     // GIR_Coverage, 22053,
     /* 1364053 */     GIR_EraseRootFromParent_Done,
     /* 1364054 */   // Label 19435: @1364054
     /* 1364054 */   GIM_Try, /*On fail goto*//*Label 19436*/ GIMT_Encode4(1364138), // Rule ID 22056 //
     /* 1364059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364112 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1364115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364137 */     // GIR_Coverage, 22056,
     /* 1364137 */     GIR_EraseRootFromParent_Done,
     /* 1364138 */   // Label 19436: @1364138
     /* 1364138 */   GIM_Try, /*On fail goto*//*Label 19437*/ GIMT_Encode4(1364222), // Rule ID 22057 //
     /* 1364143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1364199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364221 */     // GIR_Coverage, 22057,
     /* 1364221 */     GIR_EraseRootFromParent_Done,
     /* 1364222 */   // Label 19437: @1364222
     /* 1364222 */   GIM_Try, /*On fail goto*//*Label 19438*/ GIMT_Encode4(1364306), // Rule ID 22060 //
     /* 1364227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1364283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364305 */     // GIR_Coverage, 22060,
     /* 1364305 */     GIR_EraseRootFromParent_Done,
     /* 1364306 */   // Label 19438: @1364306
     /* 1364306 */   GIM_Try, /*On fail goto*//*Label 19439*/ GIMT_Encode4(1364390), // Rule ID 22061 //
     /* 1364311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1364367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364389 */     // GIR_Coverage, 22061,
     /* 1364389 */     GIR_EraseRootFromParent_Done,
     /* 1364390 */   // Label 19439: @1364390
     /* 1364390 */   GIM_Try, /*On fail goto*//*Label 19440*/ GIMT_Encode4(1364474), // Rule ID 22064 //
     /* 1364395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1364398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1364412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1364451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364473 */     // GIR_Coverage, 22064,
     /* 1364473 */     GIR_EraseRootFromParent_Done,
     /* 1364474 */   // Label 19440: @1364474
     /* 1364474 */   GIM_Try, /*On fail goto*//*Label 19441*/ GIMT_Encode4(1364558), // Rule ID 22065 //
     /* 1364479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1364482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1364496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364532 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1364535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364557 */     // GIR_Coverage, 22065,
     /* 1364557 */     GIR_EraseRootFromParent_Done,
     /* 1364558 */   // Label 19441: @1364558
     /* 1364558 */   GIM_Try, /*On fail goto*//*Label 19442*/ GIMT_Encode4(1364642), // Rule ID 22068 //
     /* 1364563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1364566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1364580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364616 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1364619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364641 */     // GIR_Coverage, 22068,
     /* 1364641 */     GIR_EraseRootFromParent_Done,
     /* 1364642 */   // Label 19442: @1364642
     /* 1364642 */   GIM_Try, /*On fail goto*//*Label 19443*/ GIMT_Encode4(1364726), // Rule ID 22069 //
     /* 1364647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1364650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1364664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364700 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1364703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364725 */     // GIR_Coverage, 22069,
     /* 1364725 */     GIR_EraseRootFromParent_Done,
     /* 1364726 */   // Label 19443: @1364726
     /* 1364726 */   GIM_Try, /*On fail goto*//*Label 19444*/ GIMT_Encode4(1364810), // Rule ID 22072 //
     /* 1364731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1364734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1364748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1364787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364809 */     // GIR_Coverage, 22072,
     /* 1364809 */     GIR_EraseRootFromParent_Done,
     /* 1364810 */   // Label 19444: @1364810
     /* 1364810 */   GIM_Try, /*On fail goto*//*Label 19445*/ GIMT_Encode4(1364894), // Rule ID 22073 //
     /* 1364815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1364818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1364823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1364832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364868 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1364871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364893 */     // GIR_Coverage, 22073,
     /* 1364893 */     GIR_EraseRootFromParent_Done,
     /* 1364894 */   // Label 19445: @1364894
     /* 1364894 */   GIM_Try, /*On fail goto*//*Label 19446*/ GIMT_Encode4(1364978), // Rule ID 22076 //
     /* 1364899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1364916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1364922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1364955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364977 */     // GIR_Coverage, 22076,
     /* 1364977 */     GIR_EraseRootFromParent_Done,
     /* 1364978 */   // Label 19446: @1364978
     /* 1364978 */   GIM_Try, /*On fail goto*//*Label 19447*/ GIMT_Encode4(1365062), // Rule ID 22077 //
     /* 1364983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1365000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1365039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365061 */     // GIR_Coverage, 22077,
     /* 1365061 */     GIR_EraseRootFromParent_Done,
     /* 1365062 */   // Label 19447: @1365062
     /* 1365062 */   GIM_Try, /*On fail goto*//*Label 19448*/ GIMT_Encode4(1365146), // Rule ID 22080 //
     /* 1365067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1365084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365120 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1365123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365145 */     // GIR_Coverage, 22080,
     /* 1365145 */     GIR_EraseRootFromParent_Done,
     /* 1365146 */   // Label 19448: @1365146
     /* 1365146 */   GIM_Try, /*On fail goto*//*Label 19449*/ GIMT_Encode4(1365230), // Rule ID 22081 //
     /* 1365151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1365168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365204 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1365207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365229 */     // GIR_Coverage, 22081,
     /* 1365229 */     GIR_EraseRootFromParent_Done,
     /* 1365230 */   // Label 19449: @1365230
     /* 1365230 */   GIM_Try, /*On fail goto*//*Label 19450*/ GIMT_Encode4(1365314), // Rule ID 22084 //
     /* 1365235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1365252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365288 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1365291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365313 */     // GIR_Coverage, 22084,
     /* 1365313 */     GIR_EraseRootFromParent_Done,
     /* 1365314 */   // Label 19450: @1365314
     /* 1365314 */   GIM_Try, /*On fail goto*//*Label 19451*/ GIMT_Encode4(1365398), // Rule ID 22085 //
     /* 1365319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1365336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1365375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365397 */     // GIR_Coverage, 22085,
     /* 1365397 */     GIR_EraseRootFromParent_Done,
     /* 1365398 */   // Label 19451: @1365398
     /* 1365398 */   GIM_Try, /*On fail goto*//*Label 19452*/ GIMT_Encode4(1365482), // Rule ID 22088 //
     /* 1365403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1365420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1365459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365481 */     // GIR_Coverage, 22088,
     /* 1365481 */     GIR_EraseRootFromParent_Done,
     /* 1365482 */   // Label 19452: @1365482
     /* 1365482 */   GIM_Try, /*On fail goto*//*Label 19453*/ GIMT_Encode4(1365566), // Rule ID 22089 //
     /* 1365487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1365504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1365543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365565 */     // GIR_Coverage, 22089,
     /* 1365565 */     GIR_EraseRootFromParent_Done,
     /* 1365566 */   // Label 19453: @1365566
     /* 1365566 */   GIM_Try, /*On fail goto*//*Label 19454*/ GIMT_Encode4(1365650), // Rule ID 22092 //
     /* 1365571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1365588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365624 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1365627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365649 */     // GIR_Coverage, 22092,
     /* 1365649 */     GIR_EraseRootFromParent_Done,
     /* 1365650 */   // Label 19454: @1365650
     /* 1365650 */   GIM_Try, /*On fail goto*//*Label 19455*/ GIMT_Encode4(1365734), // Rule ID 22093 //
     /* 1365655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1365672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1365711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365733 */     // GIR_Coverage, 22093,
     /* 1365733 */     GIR_EraseRootFromParent_Done,
     /* 1365734 */   // Label 19455: @1365734
     /* 1365734 */   GIM_Try, /*On fail goto*//*Label 19456*/ GIMT_Encode4(1365818), // Rule ID 22096 //
     /* 1365739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1365756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1365795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365817 */     // GIR_Coverage, 22096,
     /* 1365817 */     GIR_EraseRootFromParent_Done,
     /* 1365818 */   // Label 19456: @1365818
     /* 1365818 */   GIM_Try, /*On fail goto*//*Label 19457*/ GIMT_Encode4(1365902), // Rule ID 22097 //
     /* 1365823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1365840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1365879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365901 */     // GIR_Coverage, 22097,
     /* 1365901 */     GIR_EraseRootFromParent_Done,
     /* 1365902 */   // Label 19457: @1365902
     /* 1365902 */   GIM_Try, /*On fail goto*//*Label 19458*/ GIMT_Encode4(1365986), // Rule ID 22100 //
     /* 1365907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1365924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365960 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1365963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365985 */     // GIR_Coverage, 22100,
     /* 1365985 */     GIR_EraseRootFromParent_Done,
     /* 1365986 */   // Label 19458: @1365986
     /* 1365986 */   GIM_Try, /*On fail goto*//*Label 19459*/ GIMT_Encode4(1366070), // Rule ID 22101 //
     /* 1365991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1366008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1366047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366069 */     // GIR_Coverage, 22101,
     /* 1366069 */     GIR_EraseRootFromParent_Done,
     /* 1366070 */   // Label 19459: @1366070
     /* 1366070 */   GIM_Try, /*On fail goto*//*Label 19460*/ GIMT_Encode4(1366154), // Rule ID 22104 //
     /* 1366075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1366131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366153 */     // GIR_Coverage, 22104,
     /* 1366153 */     GIR_EraseRootFromParent_Done,
     /* 1366154 */   // Label 19460: @1366154
     /* 1366154 */   GIM_Try, /*On fail goto*//*Label 19461*/ GIMT_Encode4(1366238), // Rule ID 22105 //
     /* 1366159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366212 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1366215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366237 */     // GIR_Coverage, 22105,
     /* 1366237 */     GIR_EraseRootFromParent_Done,
     /* 1366238 */   // Label 19461: @1366238
     /* 1366238 */   GIM_Try, /*On fail goto*//*Label 19462*/ GIMT_Encode4(1366322), // Rule ID 22108 //
     /* 1366243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1366299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366321 */     // GIR_Coverage, 22108,
     /* 1366321 */     GIR_EraseRootFromParent_Done,
     /* 1366322 */   // Label 19462: @1366322
     /* 1366322 */   GIM_Try, /*On fail goto*//*Label 19463*/ GIMT_Encode4(1366406), // Rule ID 22109 //
     /* 1366327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1366383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366405 */     // GIR_Coverage, 22109,
     /* 1366405 */     GIR_EraseRootFromParent_Done,
     /* 1366406 */   // Label 19463: @1366406
     /* 1366406 */   GIM_Try, /*On fail goto*//*Label 19464*/ GIMT_Encode4(1366490), // Rule ID 22112 //
     /* 1366411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1366414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1366428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1366467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366489 */     // GIR_Coverage, 22112,
     /* 1366489 */     GIR_EraseRootFromParent_Done,
     /* 1366490 */   // Label 19464: @1366490
     /* 1366490 */   GIM_Try, /*On fail goto*//*Label 19465*/ GIMT_Encode4(1366574), // Rule ID 22113 //
     /* 1366495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1366498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1366512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1366551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366573 */     // GIR_Coverage, 22113,
     /* 1366573 */     GIR_EraseRootFromParent_Done,
     /* 1366574 */   // Label 19465: @1366574
     /* 1366574 */   GIM_Try, /*On fail goto*//*Label 19466*/ GIMT_Encode4(1366658), // Rule ID 22116 //
     /* 1366579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1366596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1366635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366657 */     // GIR_Coverage, 22116,
     /* 1366657 */     GIR_EraseRootFromParent_Done,
     /* 1366658 */   // Label 19466: @1366658
     /* 1366658 */   GIM_Try, /*On fail goto*//*Label 19467*/ GIMT_Encode4(1366742), // Rule ID 22117 //
     /* 1366663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1366680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366716 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1366719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366741 */     // GIR_Coverage, 22117,
     /* 1366741 */     GIR_EraseRootFromParent_Done,
     /* 1366742 */   // Label 19467: @1366742
     /* 1366742 */   GIM_Try, /*On fail goto*//*Label 19468*/ GIMT_Encode4(1366826), // Rule ID 22120 //
     /* 1366747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1366764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1366770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1366803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366825 */     // GIR_Coverage, 22120,
     /* 1366825 */     GIR_EraseRootFromParent_Done,
     /* 1366826 */   // Label 19468: @1366826
     /* 1366826 */   GIM_Try, /*On fail goto*//*Label 19469*/ GIMT_Encode4(1366910), // Rule ID 22121 //
     /* 1366831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1366848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1366854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366884 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1366887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366909 */     // GIR_Coverage, 22121,
     /* 1366909 */     GIR_EraseRootFromParent_Done,
     /* 1366910 */   // Label 19469: @1366910
     /* 1366910 */   GIM_Try, /*On fail goto*//*Label 19470*/ GIMT_Encode4(1366994), // Rule ID 22124 //
     /* 1366915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1366923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1366932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1366938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366968 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1366971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366993 */     // GIR_Coverage, 22124,
     /* 1366993 */     GIR_EraseRootFromParent_Done,
     /* 1366994 */   // Label 19470: @1366994
     /* 1366994 */   GIM_Try, /*On fail goto*//*Label 19471*/ GIMT_Encode4(1367078), // Rule ID 22125 //
     /* 1366999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1367016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1367022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1367055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367077 */     // GIR_Coverage, 22125,
     /* 1367077 */     GIR_EraseRootFromParent_Done,
     /* 1367078 */   // Label 19471: @1367078
     /* 1367078 */   GIM_Try, /*On fail goto*//*Label 19472*/ GIMT_Encode4(1367162), // Rule ID 22128 //
     /* 1367083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1367100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367136 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1367139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367161 */     // GIR_Coverage, 22128,
     /* 1367161 */     GIR_EraseRootFromParent_Done,
     /* 1367162 */   // Label 19472: @1367162
     /* 1367162 */   GIM_Try, /*On fail goto*//*Label 19473*/ GIMT_Encode4(1367246), // Rule ID 22129 //
     /* 1367167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1367184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367220 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1367223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367245 */     // GIR_Coverage, 22129,
     /* 1367245 */     GIR_EraseRootFromParent_Done,
     /* 1367246 */   // Label 19473: @1367246
     /* 1367246 */   GIM_Try, /*On fail goto*//*Label 19474*/ GIMT_Encode4(1367330), // Rule ID 22132 //
     /* 1367251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1367268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1367307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367329 */     // GIR_Coverage, 22132,
     /* 1367329 */     GIR_EraseRootFromParent_Done,
     /* 1367330 */   // Label 19474: @1367330
     /* 1367330 */   GIM_Try, /*On fail goto*//*Label 19475*/ GIMT_Encode4(1367414), // Rule ID 22133 //
     /* 1367335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1367352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367388 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1367391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367413 */     // GIR_Coverage, 22133,
     /* 1367413 */     GIR_EraseRootFromParent_Done,
     /* 1367414 */   // Label 19475: @1367414
     /* 1367414 */   GIM_Try, /*On fail goto*//*Label 19476*/ GIMT_Encode4(1367498), // Rule ID 22136 //
     /* 1367419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1367436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1367475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367497 */     // GIR_Coverage, 22136,
     /* 1367497 */     GIR_EraseRootFromParent_Done,
     /* 1367498 */   // Label 19476: @1367498
     /* 1367498 */   GIM_Try, /*On fail goto*//*Label 19477*/ GIMT_Encode4(1367582), // Rule ID 22137 //
     /* 1367503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1367520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367556 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1367559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367581 */     // GIR_Coverage, 22137,
     /* 1367581 */     GIR_EraseRootFromParent_Done,
     /* 1367582 */   // Label 19477: @1367582
     /* 1367582 */   GIM_Try, /*On fail goto*//*Label 19478*/ GIMT_Encode4(1367666), // Rule ID 22140 //
     /* 1367587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1367604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1367643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367665 */     // GIR_Coverage, 22140,
     /* 1367665 */     GIR_EraseRootFromParent_Done,
     /* 1367666 */   // Label 19478: @1367666
     /* 1367666 */   GIM_Try, /*On fail goto*//*Label 19479*/ GIMT_Encode4(1367750), // Rule ID 22141 //
     /* 1367671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1367688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1367727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367749 */     // GIR_Coverage, 22141,
     /* 1367749 */     GIR_EraseRootFromParent_Done,
     /* 1367750 */   // Label 19479: @1367750
     /* 1367750 */   GIM_Try, /*On fail goto*//*Label 19480*/ GIMT_Encode4(1367834), // Rule ID 22144 //
     /* 1367755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1367772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1367811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367833 */     // GIR_Coverage, 22144,
     /* 1367833 */     GIR_EraseRootFromParent_Done,
     /* 1367834 */   // Label 19480: @1367834
     /* 1367834 */   GIM_Try, /*On fail goto*//*Label 19481*/ GIMT_Encode4(1367918), // Rule ID 22145 //
     /* 1367839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1367856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1367895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367917 */     // GIR_Coverage, 22145,
     /* 1367917 */     GIR_EraseRootFromParent_Done,
     /* 1367918 */   // Label 19481: @1367918
     /* 1367918 */   GIM_Try, /*On fail goto*//*Label 19482*/ GIMT_Encode4(1368002), // Rule ID 22148 //
     /* 1367923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1367931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1367940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1367979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368001 */     // GIR_Coverage, 22148,
     /* 1368001 */     GIR_EraseRootFromParent_Done,
     /* 1368002 */   // Label 19482: @1368002
     /* 1368002 */   GIM_Try, /*On fail goto*//*Label 19483*/ GIMT_Encode4(1368086), // Rule ID 22149 //
     /* 1368007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1368015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1368024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1368063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368085 */     // GIR_Coverage, 22149,
     /* 1368085 */     GIR_EraseRootFromParent_Done,
     /* 1368086 */   // Label 19483: @1368086
     /* 1368086 */   GIM_Try, /*On fail goto*//*Label 19484*/ GIMT_Encode4(1368170), // Rule ID 22152 //
     /* 1368091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1368099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368144 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1368147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368169 */     // GIR_Coverage, 22152,
     /* 1368169 */     GIR_EraseRootFromParent_Done,
     /* 1368170 */   // Label 19484: @1368170
     /* 1368170 */   GIM_Try, /*On fail goto*//*Label 19485*/ GIMT_Encode4(1368254), // Rule ID 22153 //
     /* 1368175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1368183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1368231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368253 */     // GIR_Coverage, 22153,
     /* 1368253 */     GIR_EraseRootFromParent_Done,
     /* 1368254 */   // Label 19485: @1368254
     /* 1368254 */   GIM_Try, /*On fail goto*//*Label 19486*/ GIMT_Encode4(1368338), // Rule ID 22156 //
     /* 1368259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1368267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1368276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368312 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1368315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368337 */     // GIR_Coverage, 22156,
     /* 1368337 */     GIR_EraseRootFromParent_Done,
     /* 1368338 */   // Label 19486: @1368338
     /* 1368338 */   GIM_Try, /*On fail goto*//*Label 19487*/ GIMT_Encode4(1368422), // Rule ID 22157 //
     /* 1368343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1368351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1368360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1368399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368421 */     // GIR_Coverage, 22157,
     /* 1368421 */     GIR_EraseRootFromParent_Done,
     /* 1368422 */   // Label 19487: @1368422
     /* 1368422 */   GIM_Try, /*On fail goto*//*Label 19488*/ GIMT_Encode4(1368506), // Rule ID 22160 //
     /* 1368427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1368435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1368444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1368483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368505 */     // GIR_Coverage, 22160,
     /* 1368505 */     GIR_EraseRootFromParent_Done,
     /* 1368506 */   // Label 19488: @1368506
     /* 1368506 */   GIM_Try, /*On fail goto*//*Label 19489*/ GIMT_Encode4(1368590), // Rule ID 22161 //
     /* 1368511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1368519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1368528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368564 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1368567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368589 */     // GIR_Coverage, 22161,
     /* 1368589 */     GIR_EraseRootFromParent_Done,
     /* 1368590 */   // Label 19489: @1368590
     /* 1368590 */   GIM_Try, /*On fail goto*//*Label 19490*/ GIMT_Encode4(1368674), // Rule ID 22164 //
     /* 1368595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1368612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368648 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1368651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368673 */     // GIR_Coverage, 22164,
     /* 1368673 */     GIR_EraseRootFromParent_Done,
     /* 1368674 */   // Label 19490: @1368674
     /* 1368674 */   GIM_Try, /*On fail goto*//*Label 19491*/ GIMT_Encode4(1368758), // Rule ID 22165 //
     /* 1368679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1368696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1368735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368757 */     // GIR_Coverage, 22165,
     /* 1368757 */     GIR_EraseRootFromParent_Done,
     /* 1368758 */   // Label 19491: @1368758
     /* 1368758 */   GIM_Try, /*On fail goto*//*Label 19492*/ GIMT_Encode4(1368842), // Rule ID 22168 //
     /* 1368763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1368780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368816 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1368819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368841 */     // GIR_Coverage, 22168,
     /* 1368841 */     GIR_EraseRootFromParent_Done,
     /* 1368842 */   // Label 19492: @1368842
     /* 1368842 */   GIM_Try, /*On fail goto*//*Label 19493*/ GIMT_Encode4(1368926), // Rule ID 22169 //
     /* 1368847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1368864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368900 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1368903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368925 */     // GIR_Coverage, 22169,
     /* 1368925 */     GIR_EraseRootFromParent_Done,
     /* 1368926 */   // Label 19493: @1368926
     /* 1368926 */   GIM_Try, /*On fail goto*//*Label 19494*/ GIMT_Encode4(1369010), // Rule ID 22172 //
     /* 1368931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1368948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1368987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369009 */     // GIR_Coverage, 22172,
     /* 1369009 */     GIR_EraseRootFromParent_Done,
     /* 1369010 */   // Label 19494: @1369010
     /* 1369010 */   GIM_Try, /*On fail goto*//*Label 19495*/ GIMT_Encode4(1369094), // Rule ID 22173 //
     /* 1369015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1369032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369068 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1369071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369093 */     // GIR_Coverage, 22173,
     /* 1369093 */     GIR_EraseRootFromParent_Done,
     /* 1369094 */   // Label 19495: @1369094
     /* 1369094 */   GIM_Try, /*On fail goto*//*Label 19496*/ GIMT_Encode4(1369178), // Rule ID 22176 //
     /* 1369099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1369116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1369155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369177 */     // GIR_Coverage, 22176,
     /* 1369177 */     GIR_EraseRootFromParent_Done,
     /* 1369178 */   // Label 19496: @1369178
     /* 1369178 */   GIM_Try, /*On fail goto*//*Label 19497*/ GIMT_Encode4(1369262), // Rule ID 22177 //
     /* 1369183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1369200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1369239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369261 */     // GIR_Coverage, 22177,
     /* 1369261 */     GIR_EraseRootFromParent_Done,
     /* 1369262 */   // Label 19497: @1369262
     /* 1369262 */   GIM_Try, /*On fail goto*//*Label 19498*/ GIMT_Encode4(1369346), // Rule ID 22180 //
     /* 1369267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1369284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1369323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369345 */     // GIR_Coverage, 22180,
     /* 1369345 */     GIR_EraseRootFromParent_Done,
     /* 1369346 */   // Label 19498: @1369346
     /* 1369346 */   GIM_Try, /*On fail goto*//*Label 19499*/ GIMT_Encode4(1369430), // Rule ID 22181 //
     /* 1369351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1369368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369404 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1369407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369429 */     // GIR_Coverage, 22181,
     /* 1369429 */     GIR_EraseRootFromParent_Done,
     /* 1369430 */   // Label 19499: @1369430
     /* 1369430 */   GIM_Try, /*On fail goto*//*Label 19500*/ GIMT_Encode4(1369514), // Rule ID 22184 //
     /* 1369435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1369452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369488 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1369491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369513 */     // GIR_Coverage, 22184,
     /* 1369513 */     GIR_EraseRootFromParent_Done,
     /* 1369514 */   // Label 19500: @1369514
     /* 1369514 */   GIM_Try, /*On fail goto*//*Label 19501*/ GIMT_Encode4(1369598), // Rule ID 22185 //
     /* 1369519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1369536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1369575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369597 */     // GIR_Coverage, 22185,
     /* 1369597 */     GIR_EraseRootFromParent_Done,
     /* 1369598 */   // Label 19501: @1369598
     /* 1369598 */   GIM_Try, /*On fail goto*//*Label 19502*/ GIMT_Encode4(1369682), // Rule ID 22188 //
     /* 1369603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1369620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369656 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1369659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369681 */     // GIR_Coverage, 22188,
     /* 1369681 */     GIR_EraseRootFromParent_Done,
     /* 1369682 */   // Label 19502: @1369682
     /* 1369682 */   GIM_Try, /*On fail goto*//*Label 19503*/ GIMT_Encode4(1369766), // Rule ID 22189 //
     /* 1369687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1369704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1369743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369765 */     // GIR_Coverage, 22189,
     /* 1369765 */     GIR_EraseRootFromParent_Done,
     /* 1369766 */   // Label 19503: @1369766
     /* 1369766 */   GIM_Try, /*On fail goto*//*Label 19504*/ GIMT_Encode4(1369850), // Rule ID 22192 //
     /* 1369771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1369788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369824 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1369827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369849 */     // GIR_Coverage, 22192,
     /* 1369849 */     GIR_EraseRootFromParent_Done,
     /* 1369850 */   // Label 19504: @1369850
     /* 1369850 */   GIM_Try, /*On fail goto*//*Label 19505*/ GIMT_Encode4(1369934), // Rule ID 22193 //
     /* 1369855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1369872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1369911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369933 */     // GIR_Coverage, 22193,
     /* 1369933 */     GIR_EraseRootFromParent_Done,
     /* 1369934 */   // Label 19505: @1369934
     /* 1369934 */   GIM_Try, /*On fail goto*//*Label 19506*/ GIMT_Encode4(1370018), // Rule ID 22196 //
     /* 1369939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1369956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1369995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370017 */     // GIR_Coverage, 22196,
     /* 1370017 */     GIR_EraseRootFromParent_Done,
     /* 1370018 */   // Label 19506: @1370018
     /* 1370018 */   GIM_Try, /*On fail goto*//*Label 19507*/ GIMT_Encode4(1370102), // Rule ID 22197 //
     /* 1370023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1370040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1370079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370101 */     // GIR_Coverage, 22197,
     /* 1370101 */     GIR_EraseRootFromParent_Done,
     /* 1370102 */   // Label 19507: @1370102
     /* 1370102 */   GIM_Try, /*On fail goto*//*Label 19508*/ GIMT_Encode4(1370186), // Rule ID 22200 //
     /* 1370107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1370110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1370124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370160 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1370163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370185 */     // GIR_Coverage, 22200,
     /* 1370185 */     GIR_EraseRootFromParent_Done,
     /* 1370186 */   // Label 19508: @1370186
     /* 1370186 */   GIM_Try, /*On fail goto*//*Label 19509*/ GIMT_Encode4(1370270), // Rule ID 22201 //
     /* 1370191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1370194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1370208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370244 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1370247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370269 */     // GIR_Coverage, 22201,
     /* 1370269 */     GIR_EraseRootFromParent_Done,
     /* 1370270 */   // Label 19509: @1370270
     /* 1370270 */   GIM_Try, /*On fail goto*//*Label 19510*/ GIMT_Encode4(1370354), // Rule ID 22204 //
     /* 1370275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1370292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1370331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370353 */     // GIR_Coverage, 22204,
     /* 1370353 */     GIR_EraseRootFromParent_Done,
     /* 1370354 */   // Label 19510: @1370354
     /* 1370354 */   GIM_Try, /*On fail goto*//*Label 19511*/ GIMT_Encode4(1370438), // Rule ID 22205 //
     /* 1370359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1370376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370412 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1370415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370437 */     // GIR_Coverage, 22205,
     /* 1370437 */     GIR_EraseRootFromParent_Done,
     /* 1370438 */   // Label 19511: @1370438
     /* 1370438 */   GIM_Try, /*On fail goto*//*Label 19512*/ GIMT_Encode4(1370522), // Rule ID 22208 //
     /* 1370443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1370460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1370499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370521 */     // GIR_Coverage, 22208,
     /* 1370521 */     GIR_EraseRootFromParent_Done,
     /* 1370522 */   // Label 19512: @1370522
     /* 1370522 */   GIM_Try, /*On fail goto*//*Label 19513*/ GIMT_Encode4(1370606), // Rule ID 22209 //
     /* 1370527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1370544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1370583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370605 */     // GIR_Coverage, 22209,
     /* 1370605 */     GIR_EraseRootFromParent_Done,
     /* 1370606 */   // Label 19513: @1370606
     /* 1370606 */   GIM_Try, /*On fail goto*//*Label 19514*/ GIMT_Encode4(1370690), // Rule ID 22212 //
     /* 1370611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1370628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1370634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1370667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370689 */     // GIR_Coverage, 22212,
     /* 1370689 */     GIR_EraseRootFromParent_Done,
     /* 1370690 */   // Label 19514: @1370690
     /* 1370690 */   GIM_Try, /*On fail goto*//*Label 19515*/ GIMT_Encode4(1370774), // Rule ID 22213 //
     /* 1370695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1370712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1370718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370748 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1370751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370773 */     // GIR_Coverage, 22213,
     /* 1370773 */     GIR_EraseRootFromParent_Done,
     /* 1370774 */   // Label 19515: @1370774
     /* 1370774 */   GIM_Try, /*On fail goto*//*Label 19516*/ GIMT_Encode4(1370858), // Rule ID 22216 //
     /* 1370779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1370796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1370835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370857 */     // GIR_Coverage, 22216,
     /* 1370857 */     GIR_EraseRootFromParent_Done,
     /* 1370858 */   // Label 19516: @1370858
     /* 1370858 */   GIM_Try, /*On fail goto*//*Label 19517*/ GIMT_Encode4(1370942), // Rule ID 22217 //
     /* 1370863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1370880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370916 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1370919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370941 */     // GIR_Coverage, 22217,
     /* 1370941 */     GIR_EraseRootFromParent_Done,
     /* 1370942 */   // Label 19517: @1370942
     /* 1370942 */   GIM_Try, /*On fail goto*//*Label 19518*/ GIMT_Encode4(1371026), // Rule ID 22220 //
     /* 1370947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1370955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1370964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371000 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1371003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371025 */     // GIR_Coverage, 22220,
     /* 1371025 */     GIR_EraseRootFromParent_Done,
     /* 1371026 */   // Label 19518: @1371026
     /* 1371026 */   GIM_Try, /*On fail goto*//*Label 19519*/ GIMT_Encode4(1371110), // Rule ID 22221 //
     /* 1371031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1371048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1371087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371109 */     // GIR_Coverage, 22221,
     /* 1371109 */     GIR_EraseRootFromParent_Done,
     /* 1371110 */   // Label 19519: @1371110
     /* 1371110 */   GIM_Try, /*On fail goto*//*Label 19520*/ GIMT_Encode4(1371194), // Rule ID 22224 //
     /* 1371115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1371132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1371171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371193 */     // GIR_Coverage, 22224,
     /* 1371193 */     GIR_EraseRootFromParent_Done,
     /* 1371194 */   // Label 19520: @1371194
     /* 1371194 */   GIM_Try, /*On fail goto*//*Label 19521*/ GIMT_Encode4(1371278), // Rule ID 22225 //
     /* 1371199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1371216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1371255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371277 */     // GIR_Coverage, 22225,
     /* 1371277 */     GIR_EraseRootFromParent_Done,
     /* 1371278 */   // Label 19521: @1371278
     /* 1371278 */   GIM_Try, /*On fail goto*//*Label 19522*/ GIMT_Encode4(1371362), // Rule ID 22228 //
     /* 1371283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1371300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1371339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371361 */     // GIR_Coverage, 22228,
     /* 1371361 */     GIR_EraseRootFromParent_Done,
     /* 1371362 */   // Label 19522: @1371362
     /* 1371362 */   GIM_Try, /*On fail goto*//*Label 19523*/ GIMT_Encode4(1371446), // Rule ID 22229 //
     /* 1371367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1371384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1371423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371445 */     // GIR_Coverage, 22229,
     /* 1371445 */     GIR_EraseRootFromParent_Done,
     /* 1371446 */   // Label 19523: @1371446
     /* 1371446 */   GIM_Try, /*On fail goto*//*Label 19524*/ GIMT_Encode4(1371530), // Rule ID 22232 //
     /* 1371451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1371468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371504 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1371507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371529 */     // GIR_Coverage, 22232,
     /* 1371529 */     GIR_EraseRootFromParent_Done,
     /* 1371530 */   // Label 19524: @1371530
     /* 1371530 */   GIM_Try, /*On fail goto*//*Label 19525*/ GIMT_Encode4(1371614), // Rule ID 22233 //
     /* 1371535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1371552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1371591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371613 */     // GIR_Coverage, 22233,
     /* 1371613 */     GIR_EraseRootFromParent_Done,
     /* 1371614 */   // Label 19525: @1371614
     /* 1371614 */   GIM_Try, /*On fail goto*//*Label 19526*/ GIMT_Encode4(1371698), // Rule ID 22236 //
     /* 1371619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1371636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1371675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371697 */     // GIR_Coverage, 22236,
     /* 1371697 */     GIR_EraseRootFromParent_Done,
     /* 1371698 */   // Label 19526: @1371698
     /* 1371698 */   GIM_Try, /*On fail goto*//*Label 19527*/ GIMT_Encode4(1371782), // Rule ID 22237 //
     /* 1371703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1371720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371756 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1371759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371781 */     // GIR_Coverage, 22237,
     /* 1371781 */     GIR_EraseRootFromParent_Done,
     /* 1371782 */   // Label 19527: @1371782
     /* 1371782 */   GIM_Try, /*On fail goto*//*Label 19528*/ GIMT_Encode4(1371866), // Rule ID 22240 //
     /* 1371787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1371790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1371804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1371810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1371843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371865 */     // GIR_Coverage, 22240,
     /* 1371865 */     GIR_EraseRootFromParent_Done,
     /* 1371866 */   // Label 19528: @1371866
     /* 1371866 */   GIM_Try, /*On fail goto*//*Label 19529*/ GIMT_Encode4(1371950), // Rule ID 22241 //
     /* 1371871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1371874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1371888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1371894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1371927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371949 */     // GIR_Coverage, 22241,
     /* 1371949 */     GIR_EraseRootFromParent_Done,
     /* 1371950 */   // Label 19529: @1371950
     /* 1371950 */   GIM_Try, /*On fail goto*//*Label 19530*/ GIMT_Encode4(1372034), // Rule ID 22244 //
     /* 1371955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1371958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1371963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1371972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1372011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372033 */     // GIR_Coverage, 22244,
     /* 1372033 */     GIR_EraseRootFromParent_Done,
     /* 1372034 */   // Label 19530: @1372034
     /* 1372034 */   GIM_Try, /*On fail goto*//*Label 19531*/ GIMT_Encode4(1372118), // Rule ID 22245 //
     /* 1372039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1372047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1372056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1372095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372117 */     // GIR_Coverage, 22245,
     /* 1372117 */     GIR_EraseRootFromParent_Done,
     /* 1372118 */   // Label 19531: @1372118
     /* 1372118 */   GIM_Try, /*On fail goto*//*Label 19532*/ GIMT_Encode4(1372202), // Rule ID 22248 //
     /* 1372123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1372131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1372140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1372179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372201 */     // GIR_Coverage, 22248,
     /* 1372201 */     GIR_EraseRootFromParent_Done,
     /* 1372202 */   // Label 19532: @1372202
     /* 1372202 */   GIM_Try, /*On fail goto*//*Label 19533*/ GIMT_Encode4(1372286), // Rule ID 22249 //
     /* 1372207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1372215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1372224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372260 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1372263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372285 */     // GIR_Coverage, 22249,
     /* 1372285 */     GIR_EraseRootFromParent_Done,
     /* 1372286 */   // Label 19533: @1372286
     /* 1372286 */   GIM_Try, /*On fail goto*//*Label 19534*/ GIMT_Encode4(1372370), // Rule ID 22252 //
     /* 1372291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1372308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372344 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1372347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372369 */     // GIR_Coverage, 22252,
     /* 1372369 */     GIR_EraseRootFromParent_Done,
     /* 1372370 */   // Label 19534: @1372370
     /* 1372370 */   GIM_Try, /*On fail goto*//*Label 19535*/ GIMT_Encode4(1372454), // Rule ID 22253 //
     /* 1372375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1372392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1372431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372453 */     // GIR_Coverage, 22253,
     /* 1372453 */     GIR_EraseRootFromParent_Done,
     /* 1372454 */   // Label 19535: @1372454
     /* 1372454 */   GIM_Try, /*On fail goto*//*Label 19536*/ GIMT_Encode4(1372538), // Rule ID 22256 //
     /* 1372459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1372476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1372515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372537 */     // GIR_Coverage, 22256,
     /* 1372537 */     GIR_EraseRootFromParent_Done,
     /* 1372538 */   // Label 19536: @1372538
     /* 1372538 */   GIM_Try, /*On fail goto*//*Label 19537*/ GIMT_Encode4(1372622), // Rule ID 22257 //
     /* 1372543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1372560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1372599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372621 */     // GIR_Coverage, 22257,
     /* 1372621 */     GIR_EraseRootFromParent_Done,
     /* 1372622 */   // Label 19537: @1372622
     /* 1372622 */   GIM_Try, /*On fail goto*//*Label 19538*/ GIMT_Encode4(1372706), // Rule ID 22260 //
     /* 1372627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1372644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372680 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1372683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372705 */     // GIR_Coverage, 22260,
     /* 1372705 */     GIR_EraseRootFromParent_Done,
     /* 1372706 */   // Label 19538: @1372706
     /* 1372706 */   GIM_Try, /*On fail goto*//*Label 19539*/ GIMT_Encode4(1372790), // Rule ID 22261 //
     /* 1372711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1372728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372764 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1372767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372789 */     // GIR_Coverage, 22261,
     /* 1372789 */     GIR_EraseRootFromParent_Done,
     /* 1372790 */   // Label 19539: @1372790
     /* 1372790 */   GIM_Try, /*On fail goto*//*Label 19540*/ GIMT_Encode4(1372874), // Rule ID 22264 //
     /* 1372795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1372812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1372851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372873 */     // GIR_Coverage, 22264,
     /* 1372873 */     GIR_EraseRootFromParent_Done,
     /* 1372874 */   // Label 19540: @1372874
     /* 1372874 */   GIM_Try, /*On fail goto*//*Label 19541*/ GIMT_Encode4(1372958), // Rule ID 22265 //
     /* 1372879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1372896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1372935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372957 */     // GIR_Coverage, 22265,
     /* 1372957 */     GIR_EraseRootFromParent_Done,
     /* 1372958 */   // Label 19541: @1372958
     /* 1372958 */   GIM_Try, /*On fail goto*//*Label 19542*/ GIMT_Encode4(1373042), // Rule ID 22268 //
     /* 1372963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1372980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1373019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373041 */     // GIR_Coverage, 22268,
     /* 1373041 */     GIR_EraseRootFromParent_Done,
     /* 1373042 */   // Label 19542: @1373042
     /* 1373042 */   GIM_Try, /*On fail goto*//*Label 19543*/ GIMT_Encode4(1373126), // Rule ID 22269 //
     /* 1373047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1373064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373100 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1373103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373125 */     // GIR_Coverage, 22269,
     /* 1373125 */     GIR_EraseRootFromParent_Done,
     /* 1373126 */   // Label 19543: @1373126
     /* 1373126 */   GIM_Try, /*On fail goto*//*Label 19544*/ GIMT_Encode4(1373210), // Rule ID 22272 //
     /* 1373131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1373187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373209 */     // GIR_Coverage, 22272,
     /* 1373209 */     GIR_EraseRootFromParent_Done,
     /* 1373210 */   // Label 19544: @1373210
     /* 1373210 */   GIM_Try, /*On fail goto*//*Label 19545*/ GIMT_Encode4(1373294), // Rule ID 22273 //
     /* 1373215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373268 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1373271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373293 */     // GIR_Coverage, 22273,
     /* 1373293 */     GIR_EraseRootFromParent_Done,
     /* 1373294 */   // Label 19545: @1373294
     /* 1373294 */   GIM_Try, /*On fail goto*//*Label 19546*/ GIMT_Encode4(1373378), // Rule ID 22276 //
     /* 1373299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1373316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373352 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1373355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373377 */     // GIR_Coverage, 22276,
     /* 1373377 */     GIR_EraseRootFromParent_Done,
     /* 1373378 */   // Label 19546: @1373378
     /* 1373378 */   GIM_Try, /*On fail goto*//*Label 19547*/ GIMT_Encode4(1373462), // Rule ID 22277 //
     /* 1373383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1373400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373436 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1373439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373461 */     // GIR_Coverage, 22277,
     /* 1373461 */     GIR_EraseRootFromParent_Done,
     /* 1373462 */   // Label 19547: @1373462
     /* 1373462 */   GIM_Try, /*On fail goto*//*Label 19548*/ GIMT_Encode4(1373546), // Rule ID 22280 //
     /* 1373467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1373484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373520 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1373523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373545 */     // GIR_Coverage, 22280,
     /* 1373545 */     GIR_EraseRootFromParent_Done,
     /* 1373546 */   // Label 19548: @1373546
     /* 1373546 */   GIM_Try, /*On fail goto*//*Label 19549*/ GIMT_Encode4(1373630), // Rule ID 22281 //
     /* 1373551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1373568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373604 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1373607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373629 */     // GIR_Coverage, 22281,
     /* 1373629 */     GIR_EraseRootFromParent_Done,
     /* 1373630 */   // Label 19549: @1373630
     /* 1373630 */   GIM_Try, /*On fail goto*//*Label 19550*/ GIMT_Encode4(1373714), // Rule ID 22284 //
     /* 1373635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1373652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373688 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1373691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373713 */     // GIR_Coverage, 22284,
     /* 1373713 */     GIR_EraseRootFromParent_Done,
     /* 1373714 */   // Label 19550: @1373714
     /* 1373714 */   GIM_Try, /*On fail goto*//*Label 19551*/ GIMT_Encode4(1373798), // Rule ID 22285 //
     /* 1373719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1373736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1373775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373797 */     // GIR_Coverage, 22285,
     /* 1373797 */     GIR_EraseRootFromParent_Done,
     /* 1373798 */   // Label 19551: @1373798
     /* 1373798 */   GIM_Try, /*On fail goto*//*Label 19552*/ GIMT_Encode4(1373882), // Rule ID 22288 //
     /* 1373803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1373806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1373820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1373859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373881 */     // GIR_Coverage, 22288,
     /* 1373881 */     GIR_EraseRootFromParent_Done,
     /* 1373882 */   // Label 19552: @1373882
     /* 1373882 */   GIM_Try, /*On fail goto*//*Label 19553*/ GIMT_Encode4(1373966), // Rule ID 22289 //
     /* 1373887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1373890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1373904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373940 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1373943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373965 */     // GIR_Coverage, 22289,
     /* 1373965 */     GIR_EraseRootFromParent_Done,
     /* 1373966 */   // Label 19553: @1373966
     /* 1373966 */   GIM_Try, /*On fail goto*//*Label 19554*/ GIMT_Encode4(1374050), // Rule ID 22292 //
     /* 1373971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1373988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1373994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1374027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374049 */     // GIR_Coverage, 22292,
     /* 1374049 */     GIR_EraseRootFromParent_Done,
     /* 1374050 */   // Label 19554: @1374050
     /* 1374050 */   GIM_Try, /*On fail goto*//*Label 19555*/ GIMT_Encode4(1374134), // Rule ID 22293 //
     /* 1374055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1374072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1374111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374133 */     // GIR_Coverage, 22293,
     /* 1374133 */     GIR_EraseRootFromParent_Done,
     /* 1374134 */   // Label 19555: @1374134
     /* 1374134 */   GIM_Try, /*On fail goto*//*Label 19556*/ GIMT_Encode4(1374218), // Rule ID 22296 //
     /* 1374139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374192 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1374195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374217 */     // GIR_Coverage, 22296,
     /* 1374217 */     GIR_EraseRootFromParent_Done,
     /* 1374218 */   // Label 19556: @1374218
     /* 1374218 */   GIM_Try, /*On fail goto*//*Label 19557*/ GIMT_Encode4(1374302), // Rule ID 22297 //
     /* 1374223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374276 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1374279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374301 */     // GIR_Coverage, 22297,
     /* 1374301 */     GIR_EraseRootFromParent_Done,
     /* 1374302 */   // Label 19557: @1374302
     /* 1374302 */   GIM_Try, /*On fail goto*//*Label 19558*/ GIMT_Encode4(1374386), // Rule ID 22300 //
     /* 1374307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1374324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1374330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374360 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1374363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374385 */     // GIR_Coverage, 22300,
     /* 1374385 */     GIR_EraseRootFromParent_Done,
     /* 1374386 */   // Label 19558: @1374386
     /* 1374386 */   GIM_Try, /*On fail goto*//*Label 19559*/ GIMT_Encode4(1374470), // Rule ID 22301 //
     /* 1374391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1374408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1374414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1374447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374469 */     // GIR_Coverage, 22301,
     /* 1374469 */     GIR_EraseRootFromParent_Done,
     /* 1374470 */   // Label 19559: @1374470
     /* 1374470 */   GIM_Try, /*On fail goto*//*Label 19560*/ GIMT_Encode4(1374554), // Rule ID 22304 //
     /* 1374475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1374492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1374531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374553 */     // GIR_Coverage, 22304,
     /* 1374553 */     GIR_EraseRootFromParent_Done,
     /* 1374554 */   // Label 19560: @1374554
     /* 1374554 */   GIM_Try, /*On fail goto*//*Label 19561*/ GIMT_Encode4(1374638), // Rule ID 22305 //
     /* 1374559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1374576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374612 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1374615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374637 */     // GIR_Coverage, 22305,
     /* 1374637 */     GIR_EraseRootFromParent_Done,
     /* 1374638 */   // Label 19561: @1374638
     /* 1374638 */   GIM_Try, /*On fail goto*//*Label 19562*/ GIMT_Encode4(1374722), // Rule ID 22308 //
     /* 1374643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1374660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1374699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374721 */     // GIR_Coverage, 22308,
     /* 1374721 */     GIR_EraseRootFromParent_Done,
     /* 1374722 */   // Label 19562: @1374722
     /* 1374722 */   GIM_Try, /*On fail goto*//*Label 19563*/ GIMT_Encode4(1374806), // Rule ID 22309 //
     /* 1374727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1374744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1374783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374805 */     // GIR_Coverage, 22309,
     /* 1374805 */     GIR_EraseRootFromParent_Done,
     /* 1374806 */   // Label 19563: @1374806
     /* 1374806 */   GIM_Try, /*On fail goto*//*Label 19564*/ GIMT_Encode4(1374890), // Rule ID 22312 //
     /* 1374811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1374828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1374867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374889 */     // GIR_Coverage, 22312,
     /* 1374889 */     GIR_EraseRootFromParent_Done,
     /* 1374890 */   // Label 19564: @1374890
     /* 1374890 */   GIM_Try, /*On fail goto*//*Label 19565*/ GIMT_Encode4(1374974), // Rule ID 22313 //
     /* 1374895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1374912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1374951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374973 */     // GIR_Coverage, 22313,
     /* 1374973 */     GIR_EraseRootFromParent_Done,
     /* 1374974 */   // Label 19565: @1374974
     /* 1374974 */   GIM_Try, /*On fail goto*//*Label 19566*/ GIMT_Encode4(1375058), // Rule ID 22316 //
     /* 1374979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1374987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1374996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1375035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375057 */     // GIR_Coverage, 22316,
     /* 1375057 */     GIR_EraseRootFromParent_Done,
     /* 1375058 */   // Label 19566: @1375058
     /* 1375058 */   GIM_Try, /*On fail goto*//*Label 19567*/ GIMT_Encode4(1375142), // Rule ID 22317 //
     /* 1375063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1375080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1375119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375141 */     // GIR_Coverage, 22317,
     /* 1375141 */     GIR_EraseRootFromParent_Done,
     /* 1375142 */   // Label 19567: @1375142
     /* 1375142 */   GIM_Try, /*On fail goto*//*Label 19568*/ GIMT_Encode4(1375226), // Rule ID 22320 //
     /* 1375147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1375203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375225 */     // GIR_Coverage, 22320,
     /* 1375225 */     GIR_EraseRootFromParent_Done,
     /* 1375226 */   // Label 19568: @1375226
     /* 1375226 */   GIM_Try, /*On fail goto*//*Label 19569*/ GIMT_Encode4(1375310), // Rule ID 22321 //
     /* 1375231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1375287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375309 */     // GIR_Coverage, 22321,
     /* 1375309 */     GIR_EraseRootFromParent_Done,
     /* 1375310 */   // Label 19569: @1375310
     /* 1375310 */   GIM_Try, /*On fail goto*//*Label 19570*/ GIMT_Encode4(1375394), // Rule ID 22324 //
     /* 1375315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1375332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375368 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1375371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375393 */     // GIR_Coverage, 22324,
     /* 1375393 */     GIR_EraseRootFromParent_Done,
     /* 1375394 */   // Label 19570: @1375394
     /* 1375394 */   GIM_Try, /*On fail goto*//*Label 19571*/ GIMT_Encode4(1375478), // Rule ID 22325 //
     /* 1375399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1375416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1375455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375477 */     // GIR_Coverage, 22325,
     /* 1375477 */     GIR_EraseRootFromParent_Done,
     /* 1375478 */   // Label 19571: @1375478
     /* 1375478 */   GIM_Try, /*On fail goto*//*Label 19572*/ GIMT_Encode4(1375562), // Rule ID 22328 //
     /* 1375483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1375500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375536 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1375539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375561 */     // GIR_Coverage, 22328,
     /* 1375561 */     GIR_EraseRootFromParent_Done,
     /* 1375562 */   // Label 19572: @1375562
     /* 1375562 */   GIM_Try, /*On fail goto*//*Label 19573*/ GIMT_Encode4(1375646), // Rule ID 22329 //
     /* 1375567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1375570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1375584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1375623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375645 */     // GIR_Coverage, 22329,
     /* 1375645 */     GIR_EraseRootFromParent_Done,
     /* 1375646 */   // Label 19573: @1375646
     /* 1375646 */   GIM_Try, /*On fail goto*//*Label 19574*/ GIMT_Encode4(1375730), // Rule ID 22332 //
     /* 1375651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1375668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1375707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375729 */     // GIR_Coverage, 22332,
     /* 1375729 */     GIR_EraseRootFromParent_Done,
     /* 1375730 */   // Label 19574: @1375730
     /* 1375730 */   GIM_Try, /*On fail goto*//*Label 19575*/ GIMT_Encode4(1375814), // Rule ID 22333 //
     /* 1375735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1375738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1375752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375788 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1375791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375813 */     // GIR_Coverage, 22333,
     /* 1375813 */     GIR_EraseRootFromParent_Done,
     /* 1375814 */   // Label 19575: @1375814
     /* 1375814 */   GIM_Try, /*On fail goto*//*Label 19576*/ GIMT_Encode4(1375898), // Rule ID 22336 //
     /* 1375819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1375836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1375875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375897 */     // GIR_Coverage, 22336,
     /* 1375897 */     GIR_EraseRootFromParent_Done,
     /* 1375898 */   // Label 19576: @1375898
     /* 1375898 */   GIM_Try, /*On fail goto*//*Label 19577*/ GIMT_Encode4(1375982), // Rule ID 22337 //
     /* 1375903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1375906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1375911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1375920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375956 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1375959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375981 */     // GIR_Coverage, 22337,
     /* 1375981 */     GIR_EraseRootFromParent_Done,
     /* 1375982 */   // Label 19577: @1375982
     /* 1375982 */   GIM_Try, /*On fail goto*//*Label 19578*/ GIMT_Encode4(1376066), // Rule ID 22340 //
     /* 1375987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1376004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376040 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1376043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376065 */     // GIR_Coverage, 22340,
     /* 1376065 */     GIR_EraseRootFromParent_Done,
     /* 1376066 */   // Label 19578: @1376066
     /* 1376066 */   GIM_Try, /*On fail goto*//*Label 19579*/ GIMT_Encode4(1376150), // Rule ID 22341 //
     /* 1376071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1376088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1376127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376149 */     // GIR_Coverage, 22341,
     /* 1376149 */     GIR_EraseRootFromParent_Done,
     /* 1376150 */   // Label 19579: @1376150
     /* 1376150 */   GIM_Try, /*On fail goto*//*Label 19580*/ GIMT_Encode4(1376234), // Rule ID 22344 //
     /* 1376155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1376172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1376211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376233 */     // GIR_Coverage, 22344,
     /* 1376233 */     GIR_EraseRootFromParent_Done,
     /* 1376234 */   // Label 19580: @1376234
     /* 1376234 */   GIM_Try, /*On fail goto*//*Label 19581*/ GIMT_Encode4(1376318), // Rule ID 22345 //
     /* 1376239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1376256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1376295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376317 */     // GIR_Coverage, 22345,
     /* 1376317 */     GIR_EraseRootFromParent_Done,
     /* 1376318 */   // Label 19581: @1376318
     /* 1376318 */   GIM_Try, /*On fail goto*//*Label 19582*/ GIMT_Encode4(1376402), // Rule ID 22348 //
     /* 1376323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1376340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1376379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376401 */     // GIR_Coverage, 22348,
     /* 1376401 */     GIR_EraseRootFromParent_Done,
     /* 1376402 */   // Label 19582: @1376402
     /* 1376402 */   GIM_Try, /*On fail goto*//*Label 19583*/ GIMT_Encode4(1376486), // Rule ID 22349 //
     /* 1376407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1376424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376460 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1376463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376485 */     // GIR_Coverage, 22349,
     /* 1376485 */     GIR_EraseRootFromParent_Done,
     /* 1376486 */   // Label 19583: @1376486
     /* 1376486 */   GIM_Try, /*On fail goto*//*Label 19584*/ GIMT_Encode4(1376570), // Rule ID 22352 //
     /* 1376491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1376508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1376547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376569 */     // GIR_Coverage, 22352,
     /* 1376569 */     GIR_EraseRootFromParent_Done,
     /* 1376570 */   // Label 19584: @1376570
     /* 1376570 */   GIM_Try, /*On fail goto*//*Label 19585*/ GIMT_Encode4(1376654), // Rule ID 22353 //
     /* 1376575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1376592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1376631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376653 */     // GIR_Coverage, 22353,
     /* 1376653 */     GIR_EraseRootFromParent_Done,
     /* 1376654 */   // Label 19585: @1376654
     /* 1376654 */   GIM_Try, /*On fail goto*//*Label 19586*/ GIMT_Encode4(1376738), // Rule ID 22356 //
     /* 1376659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1376676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1376715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376737 */     // GIR_Coverage, 22356,
     /* 1376737 */     GIR_EraseRootFromParent_Done,
     /* 1376738 */   // Label 19586: @1376738
     /* 1376738 */   GIM_Try, /*On fail goto*//*Label 19587*/ GIMT_Encode4(1376822), // Rule ID 22357 //
     /* 1376743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1376760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1376799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376821 */     // GIR_Coverage, 22357,
     /* 1376821 */     GIR_EraseRootFromParent_Done,
     /* 1376822 */   // Label 19587: @1376822
     /* 1376822 */   GIM_Try, /*On fail goto*//*Label 19588*/ GIMT_Encode4(1376906), // Rule ID 22360 //
     /* 1376827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1376844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1376883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376905 */     // GIR_Coverage, 22360,
     /* 1376905 */     GIR_EraseRootFromParent_Done,
     /* 1376906 */   // Label 19588: @1376906
     /* 1376906 */   GIM_Try, /*On fail goto*//*Label 19589*/ GIMT_Encode4(1376990), // Rule ID 22361 //
     /* 1376911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1376928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1376967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376989 */     // GIR_Coverage, 22361,
     /* 1376989 */     GIR_EraseRootFromParent_Done,
     /* 1376990 */   // Label 19589: @1376990
     /* 1376990 */   GIM_Try, /*On fail goto*//*Label 19590*/ GIMT_Encode4(1377074), // Rule ID 22364 //
     /* 1376995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1377012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377048 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1377051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377073 */     // GIR_Coverage, 22364,
     /* 1377073 */     GIR_EraseRootFromParent_Done,
     /* 1377074 */   // Label 19590: @1377074
     /* 1377074 */   GIM_Try, /*On fail goto*//*Label 19591*/ GIMT_Encode4(1377158), // Rule ID 22365 //
     /* 1377079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1377096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1377135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377157 */     // GIR_Coverage, 22365,
     /* 1377157 */     GIR_EraseRootFromParent_Done,
     /* 1377158 */   // Label 19591: @1377158
     /* 1377158 */   GIM_Try, /*On fail goto*//*Label 19592*/ GIMT_Encode4(1377242), // Rule ID 22368 //
     /* 1377163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1377180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1377219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377241 */     // GIR_Coverage, 22368,
     /* 1377241 */     GIR_EraseRootFromParent_Done,
     /* 1377242 */   // Label 19592: @1377242
     /* 1377242 */   GIM_Try, /*On fail goto*//*Label 19593*/ GIMT_Encode4(1377326), // Rule ID 22369 //
     /* 1377247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1377264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377300 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1377303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377325 */     // GIR_Coverage, 22369,
     /* 1377325 */     GIR_EraseRootFromParent_Done,
     /* 1377326 */   // Label 19593: @1377326
     /* 1377326 */   GIM_Try, /*On fail goto*//*Label 19594*/ GIMT_Encode4(1377410), // Rule ID 22372 //
     /* 1377331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1377348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1377387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377409 */     // GIR_Coverage, 22372,
     /* 1377409 */     GIR_EraseRootFromParent_Done,
     /* 1377410 */   // Label 19594: @1377410
     /* 1377410 */   GIM_Try, /*On fail goto*//*Label 19595*/ GIMT_Encode4(1377494), // Rule ID 22373 //
     /* 1377415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1377432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1377471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377493 */     // GIR_Coverage, 22373,
     /* 1377493 */     GIR_EraseRootFromParent_Done,
     /* 1377494 */   // Label 19595: @1377494
     /* 1377494 */   GIM_Try, /*On fail goto*//*Label 19596*/ GIMT_Encode4(1377578), // Rule ID 22376 //
     /* 1377499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1377502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1377516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1377555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377577 */     // GIR_Coverage, 22376,
     /* 1377577 */     GIR_EraseRootFromParent_Done,
     /* 1377578 */   // Label 19596: @1377578
     /* 1377578 */   GIM_Try, /*On fail goto*//*Label 19597*/ GIMT_Encode4(1377662), // Rule ID 22377 //
     /* 1377583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1377586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1377600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1377639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377661 */     // GIR_Coverage, 22377,
     /* 1377661 */     GIR_EraseRootFromParent_Done,
     /* 1377662 */   // Label 19597: @1377662
     /* 1377662 */   GIM_Try, /*On fail goto*//*Label 19598*/ GIMT_Encode4(1377746), // Rule ID 22380 //
     /* 1377667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1377684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377720 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1377723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377745 */     // GIR_Coverage, 22380,
     /* 1377745 */     GIR_EraseRootFromParent_Done,
     /* 1377746 */   // Label 19598: @1377746
     /* 1377746 */   GIM_Try, /*On fail goto*//*Label 19599*/ GIMT_Encode4(1377830), // Rule ID 22381 //
     /* 1377751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1377768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377804 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1377807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377829 */     // GIR_Coverage, 22381,
     /* 1377829 */     GIR_EraseRootFromParent_Done,
     /* 1377830 */   // Label 19599: @1377830
     /* 1377830 */   GIM_Try, /*On fail goto*//*Label 19600*/ GIMT_Encode4(1377914), // Rule ID 22384 //
     /* 1377835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1377852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1377858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1377891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377913 */     // GIR_Coverage, 22384,
     /* 1377913 */     GIR_EraseRootFromParent_Done,
     /* 1377914 */   // Label 19600: @1377914
     /* 1377914 */   GIM_Try, /*On fail goto*//*Label 19601*/ GIMT_Encode4(1377998), // Rule ID 22385 //
     /* 1377919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1377936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1377942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1377975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377997 */     // GIR_Coverage, 22385,
     /* 1377997 */     GIR_EraseRootFromParent_Done,
     /* 1377998 */   // Label 19601: @1377998
     /* 1377998 */   GIM_Try, /*On fail goto*//*Label 19602*/ GIMT_Encode4(1378082), // Rule ID 22388 //
     /* 1378003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1378020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1378026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378056 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1378059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378081 */     // GIR_Coverage, 22388,
     /* 1378081 */     GIR_EraseRootFromParent_Done,
     /* 1378082 */   // Label 19602: @1378082
     /* 1378082 */   GIM_Try, /*On fail goto*//*Label 19603*/ GIMT_Encode4(1378166), // Rule ID 22389 //
     /* 1378087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1378104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1378110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1378143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378165 */     // GIR_Coverage, 22389,
     /* 1378165 */     GIR_EraseRootFromParent_Done,
     /* 1378166 */   // Label 19603: @1378166
     /* 1378166 */   GIM_Try, /*On fail goto*//*Label 19604*/ GIMT_Encode4(1378250), // Rule ID 22392 //
     /* 1378171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1378188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1378227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378249 */     // GIR_Coverage, 22392,
     /* 1378249 */     GIR_EraseRootFromParent_Done,
     /* 1378250 */   // Label 19604: @1378250
     /* 1378250 */   GIM_Try, /*On fail goto*//*Label 19605*/ GIMT_Encode4(1378334), // Rule ID 22393 //
     /* 1378255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1378272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1378311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378333 */     // GIR_Coverage, 22393,
     /* 1378333 */     GIR_EraseRootFromParent_Done,
     /* 1378334 */   // Label 19605: @1378334
     /* 1378334 */   GIM_Try, /*On fail goto*//*Label 19606*/ GIMT_Encode4(1378418), // Rule ID 22396 //
     /* 1378339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1378356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1378395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378417 */     // GIR_Coverage, 22396,
     /* 1378417 */     GIR_EraseRootFromParent_Done,
     /* 1378418 */   // Label 19606: @1378418
     /* 1378418 */   GIM_Try, /*On fail goto*//*Label 19607*/ GIMT_Encode4(1378502), // Rule ID 22397 //
     /* 1378423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1378440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378476 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1378479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378501 */     // GIR_Coverage, 22397,
     /* 1378501 */     GIR_EraseRootFromParent_Done,
     /* 1378502 */   // Label 19607: @1378502
     /* 1378502 */   GIM_Try, /*On fail goto*//*Label 19608*/ GIMT_Encode4(1378586), // Rule ID 22400 //
     /* 1378507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1378524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378560 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1378563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378585 */     // GIR_Coverage, 22400,
     /* 1378585 */     GIR_EraseRootFromParent_Done,
     /* 1378586 */   // Label 19608: @1378586
     /* 1378586 */   GIM_Try, /*On fail goto*//*Label 19609*/ GIMT_Encode4(1378670), // Rule ID 22401 //
     /* 1378591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1378608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1378647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378669 */     // GIR_Coverage, 22401,
     /* 1378669 */     GIR_EraseRootFromParent_Done,
     /* 1378670 */   // Label 19609: @1378670
     /* 1378670 */   GIM_Try, /*On fail goto*//*Label 19610*/ GIMT_Encode4(1378754), // Rule ID 22404 //
     /* 1378675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1378692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1378731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378753 */     // GIR_Coverage, 22404,
     /* 1378753 */     GIR_EraseRootFromParent_Done,
     /* 1378754 */   // Label 19610: @1378754
     /* 1378754 */   GIM_Try, /*On fail goto*//*Label 19611*/ GIMT_Encode4(1378838), // Rule ID 22405 //
     /* 1378759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1378776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1378815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378837 */     // GIR_Coverage, 22405,
     /* 1378837 */     GIR_EraseRootFromParent_Done,
     /* 1378838 */   // Label 19611: @1378838
     /* 1378838 */   GIM_Try, /*On fail goto*//*Label 19612*/ GIMT_Encode4(1378922), // Rule ID 22408 //
     /* 1378843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1378860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1378899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378921 */     // GIR_Coverage, 22408,
     /* 1378921 */     GIR_EraseRootFromParent_Done,
     /* 1378922 */   // Label 19612: @1378922
     /* 1378922 */   GIM_Try, /*On fail goto*//*Label 19613*/ GIMT_Encode4(1379006), // Rule ID 22409 //
     /* 1378927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1378935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1378944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1378983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379005 */     // GIR_Coverage, 22409,
     /* 1379005 */     GIR_EraseRootFromParent_Done,
     /* 1379006 */   // Label 19613: @1379006
     /* 1379006 */   GIM_Try, /*On fail goto*//*Label 19614*/ GIMT_Encode4(1379090), // Rule ID 22412 //
     /* 1379011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1379019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1379028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1379067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379089 */     // GIR_Coverage, 22412,
     /* 1379089 */     GIR_EraseRootFromParent_Done,
     /* 1379090 */   // Label 19614: @1379090
     /* 1379090 */   GIM_Try, /*On fail goto*//*Label 19615*/ GIMT_Encode4(1379174), // Rule ID 22413 //
     /* 1379095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1379103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1379112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1379151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379173 */     // GIR_Coverage, 22413,
     /* 1379173 */     GIR_EraseRootFromParent_Done,
     /* 1379174 */   // Label 19615: @1379174
     /* 1379174 */   GIM_Try, /*On fail goto*//*Label 19616*/ GIMT_Encode4(1379258), // Rule ID 22416 //
     /* 1379179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1379187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1379196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379232 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1379235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379257 */     // GIR_Coverage, 22416,
     /* 1379257 */     GIR_EraseRootFromParent_Done,
     /* 1379258 */   // Label 19616: @1379258
     /* 1379258 */   GIM_Try, /*On fail goto*//*Label 19617*/ GIMT_Encode4(1379342), // Rule ID 22417 //
     /* 1379263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1379271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1379280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379316 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1379319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379341 */     // GIR_Coverage, 22417,
     /* 1379341 */     GIR_EraseRootFromParent_Done,
     /* 1379342 */   // Label 19617: @1379342
     /* 1379342 */   GIM_Try, /*On fail goto*//*Label 19618*/ GIMT_Encode4(1379426), // Rule ID 22420 //
     /* 1379347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1379355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1379364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379400 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1379403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379425 */     // GIR_Coverage, 22420,
     /* 1379425 */     GIR_EraseRootFromParent_Done,
     /* 1379426 */   // Label 19618: @1379426
     /* 1379426 */   GIM_Try, /*On fail goto*//*Label 19619*/ GIMT_Encode4(1379510), // Rule ID 22421 //
     /* 1379431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1379439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1379448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1379487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379509 */     // GIR_Coverage, 22421,
     /* 1379509 */     GIR_EraseRootFromParent_Done,
     /* 1379510 */   // Label 19619: @1379510
     /* 1379510 */   GIM_Try, /*On fail goto*//*Label 19620*/ GIMT_Encode4(1379594), // Rule ID 22424 //
     /* 1379515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1379523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1379532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1379571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379593 */     // GIR_Coverage, 22424,
     /* 1379593 */     GIR_EraseRootFromParent_Done,
     /* 1379594 */   // Label 19620: @1379594
     /* 1379594 */   GIM_Try, /*On fail goto*//*Label 19621*/ GIMT_Encode4(1379678), // Rule ID 22425 //
     /* 1379599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1379607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1379616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1379655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379677 */     // GIR_Coverage, 22425,
     /* 1379677 */     GIR_EraseRootFromParent_Done,
     /* 1379678 */   // Label 19621: @1379678
     /* 1379678 */   GIM_Try, /*On fail goto*//*Label 19622*/ GIMT_Encode4(1379762), // Rule ID 22428 //
     /* 1379683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1379700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1379739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379761 */     // GIR_Coverage, 22428,
     /* 1379761 */     GIR_EraseRootFromParent_Done,
     /* 1379762 */   // Label 19622: @1379762
     /* 1379762 */   GIM_Try, /*On fail goto*//*Label 19623*/ GIMT_Encode4(1379846), // Rule ID 22429 //
     /* 1379767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1379784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1379823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379845 */     // GIR_Coverage, 22429,
     /* 1379845 */     GIR_EraseRootFromParent_Done,
     /* 1379846 */   // Label 19623: @1379846
     /* 1379846 */   GIM_Try, /*On fail goto*//*Label 19624*/ GIMT_Encode4(1379930), // Rule ID 22432 //
     /* 1379851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1379868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379904 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1379907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379929 */     // GIR_Coverage, 22432,
     /* 1379929 */     GIR_EraseRootFromParent_Done,
     /* 1379930 */   // Label 19624: @1379930
     /* 1379930 */   GIM_Try, /*On fail goto*//*Label 19625*/ GIMT_Encode4(1380014), // Rule ID 22433 //
     /* 1379935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1379952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379988 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1379991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380013 */     // GIR_Coverage, 22433,
     /* 1380013 */     GIR_EraseRootFromParent_Done,
     /* 1380014 */   // Label 19625: @1380014
     /* 1380014 */   GIM_Try, /*On fail goto*//*Label 19626*/ GIMT_Encode4(1380098), // Rule ID 22436 //
     /* 1380019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1380036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1380075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380097 */     // GIR_Coverage, 22436,
     /* 1380097 */     GIR_EraseRootFromParent_Done,
     /* 1380098 */   // Label 19626: @1380098
     /* 1380098 */   GIM_Try, /*On fail goto*//*Label 19627*/ GIMT_Encode4(1380182), // Rule ID 22437 //
     /* 1380103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1380120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1380159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380181 */     // GIR_Coverage, 22437,
     /* 1380181 */     GIR_EraseRootFromParent_Done,
     /* 1380182 */   // Label 19627: @1380182
     /* 1380182 */   GIM_Try, /*On fail goto*//*Label 19628*/ GIMT_Encode4(1380266), // Rule ID 22440 //
     /* 1380187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1380204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1380243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380265 */     // GIR_Coverage, 22440,
     /* 1380265 */     GIR_EraseRootFromParent_Done,
     /* 1380266 */   // Label 19628: @1380266
     /* 1380266 */   GIM_Try, /*On fail goto*//*Label 19629*/ GIMT_Encode4(1380350), // Rule ID 22441 //
     /* 1380271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1380288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1380327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380349 */     // GIR_Coverage, 22441,
     /* 1380349 */     GIR_EraseRootFromParent_Done,
     /* 1380350 */   // Label 19629: @1380350
     /* 1380350 */   GIM_Try, /*On fail goto*//*Label 19630*/ GIMT_Encode4(1380434), // Rule ID 22444 //
     /* 1380355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1380372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1380411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380433 */     // GIR_Coverage, 22444,
     /* 1380433 */     GIR_EraseRootFromParent_Done,
     /* 1380434 */   // Label 19630: @1380434
     /* 1380434 */   GIM_Try, /*On fail goto*//*Label 19631*/ GIMT_Encode4(1380518), // Rule ID 22445 //
     /* 1380439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1380456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1380495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380517 */     // GIR_Coverage, 22445,
     /* 1380517 */     GIR_EraseRootFromParent_Done,
     /* 1380518 */   // Label 19631: @1380518
     /* 1380518 */   GIM_Try, /*On fail goto*//*Label 19632*/ GIMT_Encode4(1380602), // Rule ID 22448 //
     /* 1380523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1380540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1380579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380601 */     // GIR_Coverage, 22448,
     /* 1380601 */     GIR_EraseRootFromParent_Done,
     /* 1380602 */   // Label 19632: @1380602
     /* 1380602 */   GIM_Try, /*On fail goto*//*Label 19633*/ GIMT_Encode4(1380686), // Rule ID 22449 //
     /* 1380607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1380624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380660 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1380663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380685 */     // GIR_Coverage, 22449,
     /* 1380685 */     GIR_EraseRootFromParent_Done,
     /* 1380686 */   // Label 19633: @1380686
     /* 1380686 */   GIM_Try, /*On fail goto*//*Label 19634*/ GIMT_Encode4(1380770), // Rule ID 22452 //
     /* 1380691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1380708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380744 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1380747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380769 */     // GIR_Coverage, 22452,
     /* 1380769 */     GIR_EraseRootFromParent_Done,
     /* 1380770 */   // Label 19634: @1380770
     /* 1380770 */   GIM_Try, /*On fail goto*//*Label 19635*/ GIMT_Encode4(1380854), // Rule ID 22453 //
     /* 1380775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1380792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1380831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380853 */     // GIR_Coverage, 22453,
     /* 1380853 */     GIR_EraseRootFromParent_Done,
     /* 1380854 */   // Label 19635: @1380854
     /* 1380854 */   GIM_Try, /*On fail goto*//*Label 19636*/ GIMT_Encode4(1380938), // Rule ID 22456 //
     /* 1380859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1380876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380912 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1380915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380937 */     // GIR_Coverage, 22456,
     /* 1380937 */     GIR_EraseRootFromParent_Done,
     /* 1380938 */   // Label 19636: @1380938
     /* 1380938 */   GIM_Try, /*On fail goto*//*Label 19637*/ GIMT_Encode4(1381022), // Rule ID 22457 //
     /* 1380943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1380960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380996 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1380999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381021 */     // GIR_Coverage, 22457,
     /* 1381021 */     GIR_EraseRootFromParent_Done,
     /* 1381022 */   // Label 19637: @1381022
     /* 1381022 */   GIM_Try, /*On fail goto*//*Label 19638*/ GIMT_Encode4(1381106), // Rule ID 22460 //
     /* 1381027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1381044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1381083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381105 */     // GIR_Coverage, 22460,
     /* 1381105 */     GIR_EraseRootFromParent_Done,
     /* 1381106 */   // Label 19638: @1381106
     /* 1381106 */   GIM_Try, /*On fail goto*//*Label 19639*/ GIMT_Encode4(1381190), // Rule ID 22461 //
     /* 1381111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1381128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1381167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381189 */     // GIR_Coverage, 22461,
     /* 1381189 */     GIR_EraseRootFromParent_Done,
     /* 1381190 */   // Label 19639: @1381190
     /* 1381190 */   GIM_Try, /*On fail goto*//*Label 19640*/ GIMT_Encode4(1381274), // Rule ID 22464 //
     /* 1381195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1381198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381248 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1381251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381273 */     // GIR_Coverage, 22464,
     /* 1381273 */     GIR_EraseRootFromParent_Done,
     /* 1381274 */   // Label 19640: @1381274
     /* 1381274 */   GIM_Try, /*On fail goto*//*Label 19641*/ GIMT_Encode4(1381358), // Rule ID 22465 //
     /* 1381279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1381282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1381335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381357 */     // GIR_Coverage, 22465,
     /* 1381357 */     GIR_EraseRootFromParent_Done,
     /* 1381358 */   // Label 19641: @1381358
     /* 1381358 */   GIM_Try, /*On fail goto*//*Label 19642*/ GIMT_Encode4(1381442), // Rule ID 22468 //
     /* 1381363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1381380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1381419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381441 */     // GIR_Coverage, 22468,
     /* 1381441 */     GIR_EraseRootFromParent_Done,
     /* 1381442 */   // Label 19642: @1381442
     /* 1381442 */   GIM_Try, /*On fail goto*//*Label 19643*/ GIMT_Encode4(1381526), // Rule ID 22469 //
     /* 1381447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1381464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381500 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1381503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381525 */     // GIR_Coverage, 22469,
     /* 1381525 */     GIR_EraseRootFromParent_Done,
     /* 1381526 */   // Label 19643: @1381526
     /* 1381526 */   GIM_Try, /*On fail goto*//*Label 19644*/ GIMT_Encode4(1381610), // Rule ID 22472 //
     /* 1381531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1381548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1381587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381609 */     // GIR_Coverage, 22472,
     /* 1381609 */     GIR_EraseRootFromParent_Done,
     /* 1381610 */   // Label 19644: @1381610
     /* 1381610 */   GIM_Try, /*On fail goto*//*Label 19645*/ GIMT_Encode4(1381694), // Rule ID 22473 //
     /* 1381615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1381632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1381671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381693 */     // GIR_Coverage, 22473,
     /* 1381693 */     GIR_EraseRootFromParent_Done,
     /* 1381694 */   // Label 19645: @1381694
     /* 1381694 */   GIM_Try, /*On fail goto*//*Label 19646*/ GIMT_Encode4(1381778), // Rule ID 22476 //
     /* 1381699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1381716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1381722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1381755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381777 */     // GIR_Coverage, 22476,
     /* 1381777 */     GIR_EraseRootFromParent_Done,
     /* 1381778 */   // Label 19646: @1381778
     /* 1381778 */   GIM_Try, /*On fail goto*//*Label 19647*/ GIMT_Encode4(1381862), // Rule ID 22477 //
     /* 1381783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1381800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1381806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1381839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381861 */     // GIR_Coverage, 22477,
     /* 1381861 */     GIR_EraseRootFromParent_Done,
     /* 1381862 */   // Label 19647: @1381862
     /* 1381862 */   GIM_Try, /*On fail goto*//*Label 19648*/ GIMT_Encode4(1381946), // Rule ID 22480 //
     /* 1381867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1381884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381920 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1381923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381945 */     // GIR_Coverage, 22480,
     /* 1381945 */     GIR_EraseRootFromParent_Done,
     /* 1381946 */   // Label 19648: @1381946
     /* 1381946 */   GIM_Try, /*On fail goto*//*Label 19649*/ GIMT_Encode4(1382030), // Rule ID 22481 //
     /* 1381951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1381959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1381968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382004 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1382007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382029 */     // GIR_Coverage, 22481,
     /* 1382029 */     GIR_EraseRootFromParent_Done,
     /* 1382030 */   // Label 19649: @1382030
     /* 1382030 */   GIM_Try, /*On fail goto*//*Label 19650*/ GIMT_Encode4(1382114), // Rule ID 22484 //
     /* 1382035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382088 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1382091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382113 */     // GIR_Coverage, 22484,
     /* 1382113 */     GIR_EraseRootFromParent_Done,
     /* 1382114 */   // Label 19650: @1382114
     /* 1382114 */   GIM_Try, /*On fail goto*//*Label 19651*/ GIMT_Encode4(1382198), // Rule ID 22485 //
     /* 1382119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382172 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1382175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382197 */     // GIR_Coverage, 22485,
     /* 1382197 */     GIR_EraseRootFromParent_Done,
     /* 1382198 */   // Label 19651: @1382198
     /* 1382198 */   GIM_Try, /*On fail goto*//*Label 19652*/ GIMT_Encode4(1382282), // Rule ID 22488 //
     /* 1382203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382256 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1382259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382281 */     // GIR_Coverage, 22488,
     /* 1382281 */     GIR_EraseRootFromParent_Done,
     /* 1382282 */   // Label 19652: @1382282
     /* 1382282 */   GIM_Try, /*On fail goto*//*Label 19653*/ GIMT_Encode4(1382366), // Rule ID 22489 //
     /* 1382287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382340 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1382343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382365 */     // GIR_Coverage, 22489,
     /* 1382365 */     GIR_EraseRootFromParent_Done,
     /* 1382366 */   // Label 19653: @1382366
     /* 1382366 */   GIM_Try, /*On fail goto*//*Label 19654*/ GIMT_Encode4(1382450), // Rule ID 22492 //
     /* 1382371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1382388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1382427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382449 */     // GIR_Coverage, 22492,
     /* 1382449 */     GIR_EraseRootFromParent_Done,
     /* 1382450 */   // Label 19654: @1382450
     /* 1382450 */   GIM_Try, /*On fail goto*//*Label 19655*/ GIMT_Encode4(1382534), // Rule ID 22493 //
     /* 1382455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1382472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1382511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382533 */     // GIR_Coverage, 22493,
     /* 1382533 */     GIR_EraseRootFromParent_Done,
     /* 1382534 */   // Label 19655: @1382534
     /* 1382534 */   GIM_Try, /*On fail goto*//*Label 19656*/ GIMT_Encode4(1382618), // Rule ID 22496 //
     /* 1382539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1382556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1382595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382617 */     // GIR_Coverage, 22496,
     /* 1382617 */     GIR_EraseRootFromParent_Done,
     /* 1382618 */   // Label 19656: @1382618
     /* 1382618 */   GIM_Try, /*On fail goto*//*Label 19657*/ GIMT_Encode4(1382702), // Rule ID 22497 //
     /* 1382623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1382640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1382679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382701 */     // GIR_Coverage, 22497,
     /* 1382701 */     GIR_EraseRootFromParent_Done,
     /* 1382702 */   // Label 19657: @1382702
     /* 1382702 */   GIM_Try, /*On fail goto*//*Label 19658*/ GIMT_Encode4(1382786), // Rule ID 22500 //
     /* 1382707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1382724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382760 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1382763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382785 */     // GIR_Coverage, 22500,
     /* 1382785 */     GIR_EraseRootFromParent_Done,
     /* 1382786 */   // Label 19658: @1382786
     /* 1382786 */   GIM_Try, /*On fail goto*//*Label 19659*/ GIMT_Encode4(1382870), // Rule ID 22501 //
     /* 1382791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1382808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1382847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382869 */     // GIR_Coverage, 22501,
     /* 1382869 */     GIR_EraseRootFromParent_Done,
     /* 1382870 */   // Label 19659: @1382870
     /* 1382870 */   GIM_Try, /*On fail goto*//*Label 19660*/ GIMT_Encode4(1382954), // Rule ID 22504 //
     /* 1382875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1382878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1382892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1382931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382953 */     // GIR_Coverage, 22504,
     /* 1382953 */     GIR_EraseRootFromParent_Done,
     /* 1382954 */   // Label 19660: @1382954
     /* 1382954 */   GIM_Try, /*On fail goto*//*Label 19661*/ GIMT_Encode4(1383038), // Rule ID 22505 //
     /* 1382959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1382962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1382967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1382976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1383015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383037 */     // GIR_Coverage, 22505,
     /* 1383037 */     GIR_EraseRootFromParent_Done,
     /* 1383038 */   // Label 19661: @1383038
     /* 1383038 */   GIM_Try, /*On fail goto*//*Label 19662*/ GIMT_Encode4(1383122), // Rule ID 22508 //
     /* 1383043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1383051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1383099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383121 */     // GIR_Coverage, 22508,
     /* 1383121 */     GIR_EraseRootFromParent_Done,
     /* 1383122 */   // Label 19662: @1383122
     /* 1383122 */   GIM_Try, /*On fail goto*//*Label 19663*/ GIMT_Encode4(1383206), // Rule ID 22509 //
     /* 1383127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1383135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1383183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383205 */     // GIR_Coverage, 22509,
     /* 1383205 */     GIR_EraseRootFromParent_Done,
     /* 1383206 */   // Label 19663: @1383206
     /* 1383206 */   GIM_Try, /*On fail goto*//*Label 19664*/ GIMT_Encode4(1383290), // Rule ID 22512 //
     /* 1383211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1383219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1383267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383289 */     // GIR_Coverage, 22512,
     /* 1383289 */     GIR_EraseRootFromParent_Done,
     /* 1383290 */   // Label 19664: @1383290
     /* 1383290 */   GIM_Try, /*On fail goto*//*Label 19665*/ GIMT_Encode4(1383374), // Rule ID 22513 //
     /* 1383295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1383303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383348 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1383351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383373 */     // GIR_Coverage, 22513,
     /* 1383373 */     GIR_EraseRootFromParent_Done,
     /* 1383374 */   // Label 19665: @1383374
     /* 1383374 */   GIM_Try, /*On fail goto*//*Label 19666*/ GIMT_Encode4(1383458), // Rule ID 22516 //
     /* 1383379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1383396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383432 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1383435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383457 */     // GIR_Coverage, 22516,
     /* 1383457 */     GIR_EraseRootFromParent_Done,
     /* 1383458 */   // Label 19666: @1383458
     /* 1383458 */   GIM_Try, /*On fail goto*//*Label 19667*/ GIMT_Encode4(1383542), // Rule ID 22517 //
     /* 1383463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1383480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383516 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1383519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383541 */     // GIR_Coverage, 22517,
     /* 1383541 */     GIR_EraseRootFromParent_Done,
     /* 1383542 */   // Label 19667: @1383542
     /* 1383542 */   GIM_Try, /*On fail goto*//*Label 19668*/ GIMT_Encode4(1383626), // Rule ID 22520 //
     /* 1383547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1383564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383600 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1383603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383625 */     // GIR_Coverage, 22520,
     /* 1383625 */     GIR_EraseRootFromParent_Done,
     /* 1383626 */   // Label 19668: @1383626
     /* 1383626 */   GIM_Try, /*On fail goto*//*Label 19669*/ GIMT_Encode4(1383710), // Rule ID 22521 //
     /* 1383631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1383648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1383687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383709 */     // GIR_Coverage, 22521,
     /* 1383709 */     GIR_EraseRootFromParent_Done,
     /* 1383710 */   // Label 19669: @1383710
     /* 1383710 */   GIM_Try, /*On fail goto*//*Label 19670*/ GIMT_Encode4(1383794), // Rule ID 22524 //
     /* 1383715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1383732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383768 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1383771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383793 */     // GIR_Coverage, 22524,
     /* 1383793 */     GIR_EraseRootFromParent_Done,
     /* 1383794 */   // Label 19670: @1383794
     /* 1383794 */   GIM_Try, /*On fail goto*//*Label 19671*/ GIMT_Encode4(1383878), // Rule ID 22525 //
     /* 1383799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1383816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383852 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1383855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383877 */     // GIR_Coverage, 22525,
     /* 1383877 */     GIR_EraseRootFromParent_Done,
     /* 1383878 */   // Label 19671: @1383878
     /* 1383878 */   GIM_Try, /*On fail goto*//*Label 19672*/ GIMT_Encode4(1383962), // Rule ID 22528 //
     /* 1383883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1383900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1383939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383961 */     // GIR_Coverage, 22528,
     /* 1383961 */     GIR_EraseRootFromParent_Done,
     /* 1383962 */   // Label 19672: @1383962
     /* 1383962 */   GIM_Try, /*On fail goto*//*Label 19673*/ GIMT_Encode4(1384046), // Rule ID 22529 //
     /* 1383967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1383984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1384023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384045 */     // GIR_Coverage, 22529,
     /* 1384045 */     GIR_EraseRootFromParent_Done,
     /* 1384046 */   // Label 19673: @1384046
     /* 1384046 */   GIM_Try, /*On fail goto*//*Label 19674*/ GIMT_Encode4(1384130), // Rule ID 22532 //
     /* 1384051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1384068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1384107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384129 */     // GIR_Coverage, 22532,
     /* 1384129 */     GIR_EraseRootFromParent_Done,
     /* 1384130 */   // Label 19674: @1384130
     /* 1384130 */   GIM_Try, /*On fail goto*//*Label 19675*/ GIMT_Encode4(1384214), // Rule ID 22533 //
     /* 1384135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1384152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384188 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1384191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384213 */     // GIR_Coverage, 22533,
     /* 1384213 */     GIR_EraseRootFromParent_Done,
     /* 1384214 */   // Label 19675: @1384214
     /* 1384214 */   GIM_Try, /*On fail goto*//*Label 19676*/ GIMT_Encode4(1384298), // Rule ID 22536 //
     /* 1384219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1384275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384297 */     // GIR_Coverage, 22536,
     /* 1384297 */     GIR_EraseRootFromParent_Done,
     /* 1384298 */   // Label 19676: @1384298
     /* 1384298 */   GIM_Try, /*On fail goto*//*Label 19677*/ GIMT_Encode4(1384382), // Rule ID 22537 //
     /* 1384303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1384359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384381 */     // GIR_Coverage, 22537,
     /* 1384381 */     GIR_EraseRootFromParent_Done,
     /* 1384382 */   // Label 19677: @1384382
     /* 1384382 */   GIM_Try, /*On fail goto*//*Label 19678*/ GIMT_Encode4(1384466), // Rule ID 22540 //
     /* 1384387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1384404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1384443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384465 */     // GIR_Coverage, 22540,
     /* 1384465 */     GIR_EraseRootFromParent_Done,
     /* 1384466 */   // Label 19678: @1384466
     /* 1384466 */   GIM_Try, /*On fail goto*//*Label 19679*/ GIMT_Encode4(1384550), // Rule ID 22541 //
     /* 1384471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1384488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1384527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384549 */     // GIR_Coverage, 22541,
     /* 1384549 */     GIR_EraseRootFromParent_Done,
     /* 1384550 */   // Label 19679: @1384550
     /* 1384550 */   GIM_Try, /*On fail goto*//*Label 19680*/ GIMT_Encode4(1384634), // Rule ID 22544 //
     /* 1384555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1384572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1384611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384633 */     // GIR_Coverage, 22544,
     /* 1384633 */     GIR_EraseRootFromParent_Done,
     /* 1384634 */   // Label 19680: @1384634
     /* 1384634 */   GIM_Try, /*On fail goto*//*Label 19681*/ GIMT_Encode4(1384718), // Rule ID 22545 //
     /* 1384639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1384656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1384695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384717 */     // GIR_Coverage, 22545,
     /* 1384717 */     GIR_EraseRootFromParent_Done,
     /* 1384718 */   // Label 19681: @1384718
     /* 1384718 */   GIM_Try, /*On fail goto*//*Label 19682*/ GIMT_Encode4(1384802), // Rule ID 22548 //
     /* 1384723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1384740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1384779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384801 */     // GIR_Coverage, 22548,
     /* 1384801 */     GIR_EraseRootFromParent_Done,
     /* 1384802 */   // Label 19682: @1384802
     /* 1384802 */   GIM_Try, /*On fail goto*//*Label 19683*/ GIMT_Encode4(1384886), // Rule ID 22549 //
     /* 1384807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1384824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384860 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1384863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384885 */     // GIR_Coverage, 22549,
     /* 1384885 */     GIR_EraseRootFromParent_Done,
     /* 1384886 */   // Label 19683: @1384886
     /* 1384886 */   GIM_Try, /*On fail goto*//*Label 19684*/ GIMT_Encode4(1384970), // Rule ID 22552 //
     /* 1384891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1384894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1384908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1384947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384969 */     // GIR_Coverage, 22552,
     /* 1384969 */     GIR_EraseRootFromParent_Done,
     /* 1384970 */   // Label 19684: @1384970
     /* 1384970 */   GIM_Try, /*On fail goto*//*Label 19685*/ GIMT_Encode4(1385054), // Rule ID 22553 //
     /* 1384975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1384978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1384992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1385031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1385049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385053 */     // GIR_Coverage, 22553,
     /* 1385053 */     GIR_EraseRootFromParent_Done,
     /* 1385054 */   // Label 19685: @1385054
     /* 1385054 */   GIM_Try, /*On fail goto*//*Label 19686*/ GIMT_Encode4(1385138), // Rule ID 22556 //
     /* 1385059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1385076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385112 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1385115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385137 */     // GIR_Coverage, 22556,
     /* 1385137 */     GIR_EraseRootFromParent_Done,
     /* 1385138 */   // Label 19686: @1385138
     /* 1385138 */   GIM_Try, /*On fail goto*//*Label 19687*/ GIMT_Encode4(1385222), // Rule ID 22557 //
     /* 1385143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1385160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1385199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385221 */     // GIR_Coverage, 22557,
     /* 1385221 */     GIR_EraseRootFromParent_Done,
     /* 1385222 */   // Label 19687: @1385222
     /* 1385222 */   GIM_Try, /*On fail goto*//*Label 19688*/ GIMT_Encode4(1385306), // Rule ID 22560 //
     /* 1385227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1385244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1385283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385305 */     // GIR_Coverage, 22560,
     /* 1385305 */     GIR_EraseRootFromParent_Done,
     /* 1385306 */   // Label 19688: @1385306
     /* 1385306 */   GIM_Try, /*On fail goto*//*Label 19689*/ GIMT_Encode4(1385390), // Rule ID 22561 //
     /* 1385311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1385328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1385367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385389 */     // GIR_Coverage, 22561,
     /* 1385389 */     GIR_EraseRootFromParent_Done,
     /* 1385390 */   // Label 19689: @1385390
     /* 1385390 */   GIM_Try, /*On fail goto*//*Label 19690*/ GIMT_Encode4(1385474), // Rule ID 22564 //
     /* 1385395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1385412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1385418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1385451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385473 */     // GIR_Coverage, 22564,
     /* 1385473 */     GIR_EraseRootFromParent_Done,
     /* 1385474 */   // Label 19690: @1385474
     /* 1385474 */   GIM_Try, /*On fail goto*//*Label 19691*/ GIMT_Encode4(1385558), // Rule ID 22565 //
     /* 1385479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1385496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1385502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1385535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385557 */     // GIR_Coverage, 22565,
     /* 1385557 */     GIR_EraseRootFromParent_Done,
     /* 1385558 */   // Label 19691: @1385558
     /* 1385558 */   GIM_Try, /*On fail goto*//*Label 19692*/ GIMT_Encode4(1385642), // Rule ID 22568 //
     /* 1385563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1385580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1385619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385641 */     // GIR_Coverage, 22568,
     /* 1385641 */     GIR_EraseRootFromParent_Done,
     /* 1385642 */   // Label 19692: @1385642
     /* 1385642 */   GIM_Try, /*On fail goto*//*Label 19693*/ GIMT_Encode4(1385726), // Rule ID 22569 //
     /* 1385647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1385664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385700 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1385703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385725 */     // GIR_Coverage, 22569,
     /* 1385725 */     GIR_EraseRootFromParent_Done,
     /* 1385726 */   // Label 19693: @1385726
     /* 1385726 */   GIM_Try, /*On fail goto*//*Label 19694*/ GIMT_Encode4(1385810), // Rule ID 22572 //
     /* 1385731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1385748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1385787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385809 */     // GIR_Coverage, 22572,
     /* 1385809 */     GIR_EraseRootFromParent_Done,
     /* 1385810 */   // Label 19694: @1385810
     /* 1385810 */   GIM_Try, /*On fail goto*//*Label 19695*/ GIMT_Encode4(1385894), // Rule ID 22573 //
     /* 1385815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1385832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1385871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385893 */     // GIR_Coverage, 22573,
     /* 1385893 */     GIR_EraseRootFromParent_Done,
     /* 1385894 */   // Label 19695: @1385894
     /* 1385894 */   GIM_Try, /*On fail goto*//*Label 19696*/ GIMT_Encode4(1385978), // Rule ID 22576 //
     /* 1385899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1385916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1385955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385977 */     // GIR_Coverage, 22576,
     /* 1385977 */     GIR_EraseRootFromParent_Done,
     /* 1385978 */   // Label 19696: @1385978
     /* 1385978 */   GIM_Try, /*On fail goto*//*Label 19697*/ GIMT_Encode4(1386062), // Rule ID 22577 //
     /* 1385983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1385991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1386000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1386039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386061 */     // GIR_Coverage, 22577,
     /* 1386061 */     GIR_EraseRootFromParent_Done,
     /* 1386062 */   // Label 19697: @1386062
     /* 1386062 */   GIM_Try, /*On fail goto*//*Label 19698*/ GIMT_Encode4(1386146), // Rule ID 22580 //
     /* 1386067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386120 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1386123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386145 */     // GIR_Coverage, 22580,
     /* 1386145 */     GIR_EraseRootFromParent_Done,
     /* 1386146 */   // Label 19698: @1386146
     /* 1386146 */   GIM_Try, /*On fail goto*//*Label 19699*/ GIMT_Encode4(1386230), // Rule ID 22581 //
     /* 1386151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1386207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386229 */     // GIR_Coverage, 22581,
     /* 1386229 */     GIR_EraseRootFromParent_Done,
     /* 1386230 */   // Label 19699: @1386230
     /* 1386230 */   GIM_Try, /*On fail goto*//*Label 19700*/ GIMT_Encode4(1386314), // Rule ID 22584 //
     /* 1386235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1386252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1386291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386313 */     // GIR_Coverage, 22584,
     /* 1386313 */     GIR_EraseRootFromParent_Done,
     /* 1386314 */   // Label 19700: @1386314
     /* 1386314 */   GIM_Try, /*On fail goto*//*Label 19701*/ GIMT_Encode4(1386398), // Rule ID 22585 //
     /* 1386319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1386336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1386375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386397 */     // GIR_Coverage, 22585,
     /* 1386397 */     GIR_EraseRootFromParent_Done,
     /* 1386398 */   // Label 19701: @1386398
     /* 1386398 */   GIM_Try, /*On fail goto*//*Label 19702*/ GIMT_Encode4(1386482), // Rule ID 22588 //
     /* 1386403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1386420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386456 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1386459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386481 */     // GIR_Coverage, 22588,
     /* 1386481 */     GIR_EraseRootFromParent_Done,
     /* 1386482 */   // Label 19702: @1386482
     /* 1386482 */   GIM_Try, /*On fail goto*//*Label 19703*/ GIMT_Encode4(1386566), // Rule ID 22589 //
     /* 1386487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1386504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1386543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386565 */     // GIR_Coverage, 22589,
     /* 1386565 */     GIR_EraseRootFromParent_Done,
     /* 1386566 */   // Label 19703: @1386566
     /* 1386566 */   GIM_Try, /*On fail goto*//*Label 19704*/ GIMT_Encode4(1386650), // Rule ID 22592 //
     /* 1386571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1386574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1386588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386624 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1386627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386649 */     // GIR_Coverage, 22592,
     /* 1386649 */     GIR_EraseRootFromParent_Done,
     /* 1386650 */   // Label 19704: @1386650
     /* 1386650 */   GIM_Try, /*On fail goto*//*Label 19705*/ GIMT_Encode4(1386734), // Rule ID 22593 //
     /* 1386655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1386658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1386672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386708 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1386711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386733 */     // GIR_Coverage, 22593,
     /* 1386733 */     GIR_EraseRootFromParent_Done,
     /* 1386734 */   // Label 19705: @1386734
     /* 1386734 */   GIM_Try, /*On fail goto*//*Label 19706*/ GIMT_Encode4(1386818), // Rule ID 22596 //
     /* 1386739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1386742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1386756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1386795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386817 */     // GIR_Coverage, 22596,
     /* 1386817 */     GIR_EraseRootFromParent_Done,
     /* 1386818 */   // Label 19706: @1386818
     /* 1386818 */   GIM_Try, /*On fail goto*//*Label 19707*/ GIMT_Encode4(1386902), // Rule ID 22597 //
     /* 1386823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1386826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1386840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1386879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386901 */     // GIR_Coverage, 22597,
     /* 1386901 */     GIR_EraseRootFromParent_Done,
     /* 1386902 */   // Label 19707: @1386902
     /* 1386902 */   GIM_Try, /*On fail goto*//*Label 19708*/ GIMT_Encode4(1386986), // Rule ID 22600 //
     /* 1386907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1386910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1386924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1386963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386985 */     // GIR_Coverage, 22600,
     /* 1386985 */     GIR_EraseRootFromParent_Done,
     /* 1386986 */   // Label 19708: @1386986
     /* 1386986 */   GIM_Try, /*On fail goto*//*Label 19709*/ GIMT_Encode4(1387070), // Rule ID 22601 //
     /* 1386991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1386994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1386999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1387008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387044 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1387047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387069 */     // GIR_Coverage, 22601,
     /* 1387069 */     GIR_EraseRootFromParent_Done,
     /* 1387070 */   // Label 19709: @1387070
     /* 1387070 */   GIM_Try, /*On fail goto*//*Label 19710*/ GIMT_Encode4(1387154), // Rule ID 22604 //
     /* 1387075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1387092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1387131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387153 */     // GIR_Coverage, 22604,
     /* 1387153 */     GIR_EraseRootFromParent_Done,
     /* 1387154 */   // Label 19710: @1387154
     /* 1387154 */   GIM_Try, /*On fail goto*//*Label 19711*/ GIMT_Encode4(1387238), // Rule ID 22605 //
     /* 1387159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1387176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1387215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387237 */     // GIR_Coverage, 22605,
     /* 1387237 */     GIR_EraseRootFromParent_Done,
     /* 1387238 */   // Label 19711: @1387238
     /* 1387238 */   GIM_Try, /*On fail goto*//*Label 19712*/ GIMT_Encode4(1387322), // Rule ID 22608 //
     /* 1387243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1387260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1387299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387321 */     // GIR_Coverage, 22608,
     /* 1387321 */     GIR_EraseRootFromParent_Done,
     /* 1387322 */   // Label 19712: @1387322
     /* 1387322 */   GIM_Try, /*On fail goto*//*Label 19713*/ GIMT_Encode4(1387406), // Rule ID 22609 //
     /* 1387327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1387344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1387383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387405 */     // GIR_Coverage, 22609,
     /* 1387405 */     GIR_EraseRootFromParent_Done,
     /* 1387406 */   // Label 19713: @1387406
     /* 1387406 */   GIM_Try, /*On fail goto*//*Label 19714*/ GIMT_Encode4(1387490), // Rule ID 22612 //
     /* 1387411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1387428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387464 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1387467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387489 */     // GIR_Coverage, 22612,
     /* 1387489 */     GIR_EraseRootFromParent_Done,
     /* 1387490 */   // Label 19714: @1387490
     /* 1387490 */   GIM_Try, /*On fail goto*//*Label 19715*/ GIMT_Encode4(1387574), // Rule ID 22613 //
     /* 1387495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1387512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1387551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387573 */     // GIR_Coverage, 22613,
     /* 1387573 */     GIR_EraseRootFromParent_Done,
     /* 1387574 */   // Label 19715: @1387574
     /* 1387574 */   GIM_Try, /*On fail goto*//*Label 19716*/ GIMT_Encode4(1387658), // Rule ID 22616 //
     /* 1387579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1387596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387632 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1387635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387657 */     // GIR_Coverage, 22616,
     /* 1387657 */     GIR_EraseRootFromParent_Done,
     /* 1387658 */   // Label 19716: @1387658
     /* 1387658 */   GIM_Try, /*On fail goto*//*Label 19717*/ GIMT_Encode4(1387742), // Rule ID 22617 //
     /* 1387663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1387680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387716 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1387719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387741 */     // GIR_Coverage, 22617,
     /* 1387741 */     GIR_EraseRootFromParent_Done,
     /* 1387742 */   // Label 19717: @1387742
     /* 1387742 */   GIM_Try, /*On fail goto*//*Label 19718*/ GIMT_Encode4(1387826), // Rule ID 22620 //
     /* 1387747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1387764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1387803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387825 */     // GIR_Coverage, 22620,
     /* 1387825 */     GIR_EraseRootFromParent_Done,
     /* 1387826 */   // Label 19718: @1387826
     /* 1387826 */   GIM_Try, /*On fail goto*//*Label 19719*/ GIMT_Encode4(1387910), // Rule ID 22621 //
     /* 1387831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1387848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1387887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387909 */     // GIR_Coverage, 22621,
     /* 1387909 */     GIR_EraseRootFromParent_Done,
     /* 1387910 */   // Label 19719: @1387910
     /* 1387910 */   GIM_Try, /*On fail goto*//*Label 19720*/ GIMT_Encode4(1387994), // Rule ID 22624 //
     /* 1387915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1387932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1387971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387993 */     // GIR_Coverage, 22624,
     /* 1387993 */     GIR_EraseRootFromParent_Done,
     /* 1387994 */   // Label 19720: @1387994
     /* 1387994 */   GIM_Try, /*On fail goto*//*Label 19721*/ GIMT_Encode4(1388078), // Rule ID 22625 //
     /* 1387999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1388016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1388055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388077 */     // GIR_Coverage, 22625,
     /* 1388077 */     GIR_EraseRootFromParent_Done,
     /* 1388078 */   // Label 19721: @1388078
     /* 1388078 */   GIM_Try, /*On fail goto*//*Label 19722*/ GIMT_Encode4(1388162), // Rule ID 22628 //
     /* 1388083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1388094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1388097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1388100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1388103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388136 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1388139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388161 */     // GIR_Coverage, 22628,
     /* 1388161 */     GIR_EraseRootFromParent_Done,
     /* 1388162 */   // Label 19722: @1388162
     /* 1388162 */   GIM_Try, /*On fail goto*//*Label 19723*/ GIMT_Encode4(1388246), // Rule ID 22629 //
     /* 1388167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1388178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1388181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1388184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1388187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388220 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1388223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388245 */     // GIR_Coverage, 22629,
     /* 1388245 */     GIR_EraseRootFromParent_Done,
     /* 1388246 */   // Label 19723: @1388246
     /* 1388246 */   GIM_Try, /*On fail goto*//*Label 19724*/ GIMT_Encode4(1388330), // Rule ID 22632 //
     /* 1388251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1388268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1388307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388329 */     // GIR_Coverage, 22632,
     /* 1388329 */     GIR_EraseRootFromParent_Done,
     /* 1388330 */   // Label 19724: @1388330
     /* 1388330 */   GIM_Try, /*On fail goto*//*Label 19725*/ GIMT_Encode4(1388414), // Rule ID 22633 //
     /* 1388335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1388352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388388 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1388391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388413 */     // GIR_Coverage, 22633,
     /* 1388413 */     GIR_EraseRootFromParent_Done,
     /* 1388414 */   // Label 19725: @1388414
     /* 1388414 */   GIM_Try, /*On fail goto*//*Label 19726*/ GIMT_Encode4(1388498), // Rule ID 22636 //
     /* 1388419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1388436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1388475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388497 */     // GIR_Coverage, 22636,
     /* 1388497 */     GIR_EraseRootFromParent_Done,
     /* 1388498 */   // Label 19726: @1388498
     /* 1388498 */   GIM_Try, /*On fail goto*//*Label 19727*/ GIMT_Encode4(1388582), // Rule ID 22637 //
     /* 1388503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1388520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1388559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388581 */     // GIR_Coverage, 22637,
     /* 1388581 */     GIR_EraseRootFromParent_Done,
     /* 1388582 */   // Label 19727: @1388582
     /* 1388582 */   GIM_Try, /*On fail goto*//*Label 19728*/ GIMT_Encode4(1388666), // Rule ID 22640 //
     /* 1388587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1388590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1388604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1388643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388665 */     // GIR_Coverage, 22640,
     /* 1388665 */     GIR_EraseRootFromParent_Done,
     /* 1388666 */   // Label 19728: @1388666
     /* 1388666 */   GIM_Try, /*On fail goto*//*Label 19729*/ GIMT_Encode4(1388750), // Rule ID 22641 //
     /* 1388671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1388674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1388688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388724 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1388727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388749 */     // GIR_Coverage, 22641,
     /* 1388749 */     GIR_EraseRootFromParent_Done,
     /* 1388750 */   // Label 19729: @1388750
     /* 1388750 */   GIM_Try, /*On fail goto*//*Label 19730*/ GIMT_Encode4(1388834), // Rule ID 22644 //
     /* 1388755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1388766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1388769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1388772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1388775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1388811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388833 */     // GIR_Coverage, 22644,
     /* 1388833 */     GIR_EraseRootFromParent_Done,
     /* 1388834 */   // Label 19730: @1388834
     /* 1388834 */   GIM_Try, /*On fail goto*//*Label 19731*/ GIMT_Encode4(1388918), // Rule ID 22645 //
     /* 1388839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1388850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1388853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1388856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1388859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1388895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388917 */     // GIR_Coverage, 22645,
     /* 1388917 */     GIR_EraseRootFromParent_Done,
     /* 1388918 */   // Label 19731: @1388918
     /* 1388918 */   GIM_Try, /*On fail goto*//*Label 19732*/ GIMT_Encode4(1389002), // Rule ID 22648 //
     /* 1388923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1388934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1388937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1388940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1388943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1388946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388976 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1388979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389001 */     // GIR_Coverage, 22648,
     /* 1389001 */     GIR_EraseRootFromParent_Done,
     /* 1389002 */   // Label 19732: @1389002
     /* 1389002 */   GIM_Try, /*On fail goto*//*Label 19733*/ GIMT_Encode4(1389086), // Rule ID 22649 //
     /* 1389007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1389018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1389021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1389024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1389027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389060 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1389063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389085 */     // GIR_Coverage, 22649,
     /* 1389085 */     GIR_EraseRootFromParent_Done,
     /* 1389086 */   // Label 19733: @1389086
     /* 1389086 */   GIM_Try, /*On fail goto*//*Label 19734*/ GIMT_Encode4(1389170), // Rule ID 22652 //
     /* 1389091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1389102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1389105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1389108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1389111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1389114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389144 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1389147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389169 */     // GIR_Coverage, 22652,
     /* 1389169 */     GIR_EraseRootFromParent_Done,
     /* 1389170 */   // Label 19734: @1389170
     /* 1389170 */   GIM_Try, /*On fail goto*//*Label 19735*/ GIMT_Encode4(1389254), // Rule ID 22653 //
     /* 1389175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1389186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1389189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1389192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1389195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1389198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1389231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389253 */     // GIR_Coverage, 22653,
     /* 1389253 */     GIR_EraseRootFromParent_Done,
     /* 1389254 */   // Label 19735: @1389254
     /* 1389254 */   GIM_Try, /*On fail goto*//*Label 19736*/ GIMT_Encode4(1389338), // Rule ID 22656 //
     /* 1389259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1389276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1389315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389337 */     // GIR_Coverage, 22656,
     /* 1389337 */     GIR_EraseRootFromParent_Done,
     /* 1389338 */   // Label 19736: @1389338
     /* 1389338 */   GIM_Try, /*On fail goto*//*Label 19737*/ GIMT_Encode4(1389422), // Rule ID 22657 //
     /* 1389343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1389360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1389399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389421 */     // GIR_Coverage, 22657,
     /* 1389421 */     GIR_EraseRootFromParent_Done,
     /* 1389422 */   // Label 19737: @1389422
     /* 1389422 */   GIM_Try, /*On fail goto*//*Label 19738*/ GIMT_Encode4(1389506), // Rule ID 22660 //
     /* 1389427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1389444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389480 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1389483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389505 */     // GIR_Coverage, 22660,
     /* 1389505 */     GIR_EraseRootFromParent_Done,
     /* 1389506 */   // Label 19738: @1389506
     /* 1389506 */   GIM_Try, /*On fail goto*//*Label 19739*/ GIMT_Encode4(1389590), // Rule ID 22661 //
     /* 1389511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1389528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1389567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389589 */     // GIR_Coverage, 22661,
     /* 1389589 */     GIR_EraseRootFromParent_Done,
     /* 1389590 */   // Label 19739: @1389590
     /* 1389590 */   GIM_Try, /*On fail goto*//*Label 19740*/ GIMT_Encode4(1389674), // Rule ID 22664 //
     /* 1389595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1389651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389673 */     // GIR_Coverage, 22664,
     /* 1389673 */     GIR_EraseRootFromParent_Done,
     /* 1389674 */   // Label 19740: @1389674
     /* 1389674 */   GIM_Try, /*On fail goto*//*Label 19741*/ GIMT_Encode4(1389758), // Rule ID 22665 //
     /* 1389679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1389735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389757 */     // GIR_Coverage, 22665,
     /* 1389757 */     GIR_EraseRootFromParent_Done,
     /* 1389758 */   // Label 19741: @1389758
     /* 1389758 */   GIM_Try, /*On fail goto*//*Label 19742*/ GIMT_Encode4(1389842), // Rule ID 22668 //
     /* 1389763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1389780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1389819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389841 */     // GIR_Coverage, 22668,
     /* 1389841 */     GIR_EraseRootFromParent_Done,
     /* 1389842 */   // Label 19742: @1389842
     /* 1389842 */   GIM_Try, /*On fail goto*//*Label 19743*/ GIMT_Encode4(1389926), // Rule ID 22669 //
     /* 1389847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1389864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1389903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389925 */     // GIR_Coverage, 22669,
     /* 1389925 */     GIR_EraseRootFromParent_Done,
     /* 1389926 */   // Label 19743: @1389926
     /* 1389926 */   GIM_Try, /*On fail goto*//*Label 19744*/ GIMT_Encode4(1390010), // Rule ID 22672 //
     /* 1389931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1389939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1389948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1389987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390009 */     // GIR_Coverage, 22672,
     /* 1390009 */     GIR_EraseRootFromParent_Done,
     /* 1390010 */   // Label 19744: @1390010
     /* 1390010 */   GIM_Try, /*On fail goto*//*Label 19745*/ GIMT_Encode4(1390094), // Rule ID 22673 //
     /* 1390015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1390023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1390032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1390071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390093 */     // GIR_Coverage, 22673,
     /* 1390093 */     GIR_EraseRootFromParent_Done,
     /* 1390094 */   // Label 19745: @1390094
     /* 1390094 */   GIM_Try, /*On fail goto*//*Label 19746*/ GIMT_Encode4(1390178), // Rule ID 22676 //
     /* 1390099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1390107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1390116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1390155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390177 */     // GIR_Coverage, 22676,
     /* 1390177 */     GIR_EraseRootFromParent_Done,
     /* 1390178 */   // Label 19746: @1390178
     /* 1390178 */   GIM_Try, /*On fail goto*//*Label 19747*/ GIMT_Encode4(1390262), // Rule ID 22677 //
     /* 1390183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1390191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1390200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1390239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390261 */     // GIR_Coverage, 22677,
     /* 1390261 */     GIR_EraseRootFromParent_Done,
     /* 1390262 */   // Label 19747: @1390262
     /* 1390262 */   GIM_Try, /*On fail goto*//*Label 19748*/ GIMT_Encode4(1390346), // Rule ID 22680 //
     /* 1390267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1390270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1390275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1390284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1390323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390345 */     // GIR_Coverage, 22680,
     /* 1390345 */     GIR_EraseRootFromParent_Done,
     /* 1390346 */   // Label 19748: @1390346
     /* 1390346 */   GIM_Try, /*On fail goto*//*Label 19749*/ GIMT_Encode4(1390430), // Rule ID 22681 //
     /* 1390351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1390354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1390359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1390368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1390407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390429 */     // GIR_Coverage, 22681,
     /* 1390429 */     GIR_EraseRootFromParent_Done,
     /* 1390430 */   // Label 19749: @1390430
     /* 1390430 */   GIM_Try, /*On fail goto*//*Label 19750*/ GIMT_Encode4(1390514), // Rule ID 22684 //
     /* 1390435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1390438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1390443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1390452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1390491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390513 */     // GIR_Coverage, 22684,
     /* 1390513 */     GIR_EraseRootFromParent_Done,
     /* 1390514 */   // Label 19750: @1390514
     /* 1390514 */   GIM_Try, /*On fail goto*//*Label 19751*/ GIMT_Encode4(1390598), // Rule ID 22685 //
     /* 1390519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1390522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1390527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1390536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1390575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390597 */     // GIR_Coverage, 22685,
     /* 1390597 */     GIR_EraseRootFromParent_Done,
     /* 1390598 */   // Label 19751: @1390598
     /* 1390598 */   GIM_Try, /*On fail goto*//*Label 19752*/ GIMT_Encode4(1390682), // Rule ID 22688 //
     /* 1390603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1390606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1390611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1390620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1390659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390681 */     // GIR_Coverage, 22688,
     /* 1390681 */     GIR_EraseRootFromParent_Done,
     /* 1390682 */   // Label 19752: @1390682
     /* 1390682 */   GIM_Try, /*On fail goto*//*Label 19753*/ GIMT_Encode4(1390766), // Rule ID 22689 //
     /* 1390687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1390690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1390695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1390704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390740 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1390743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390765 */     // GIR_Coverage, 22689,
     /* 1390765 */     GIR_EraseRootFromParent_Done,
     /* 1390766 */   // Label 19753: @1390766
     /* 1390766 */   GIM_Try, /*On fail goto*//*Label 19754*/ GIMT_Encode4(1390850), // Rule ID 22692 //
     /* 1390771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1390788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390824 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1390827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390849 */     // GIR_Coverage, 22692,
     /* 1390849 */     GIR_EraseRootFromParent_Done,
     /* 1390850 */   // Label 19754: @1390850
     /* 1390850 */   GIM_Try, /*On fail goto*//*Label 19755*/ GIMT_Encode4(1390934), // Rule ID 22693 //
     /* 1390855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1390872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1390911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390933 */     // GIR_Coverage, 22693,
     /* 1390933 */     GIR_EraseRootFromParent_Done,
     /* 1390934 */   // Label 19755: @1390934
     /* 1390934 */   GIM_Try, /*On fail goto*//*Label 19756*/ GIMT_Encode4(1391018), // Rule ID 22696 //
     /* 1390939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1390956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1390995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391017 */     // GIR_Coverage, 22696,
     /* 1391017 */     GIR_EraseRootFromParent_Done,
     /* 1391018 */   // Label 19756: @1391018
     /* 1391018 */   GIM_Try, /*On fail goto*//*Label 19757*/ GIMT_Encode4(1391102), // Rule ID 22697 //
     /* 1391023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1391040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391076 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1391079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391101 */     // GIR_Coverage, 22697,
     /* 1391101 */     GIR_EraseRootFromParent_Done,
     /* 1391102 */   // Label 19757: @1391102
     /* 1391102 */   GIM_Try, /*On fail goto*//*Label 19758*/ GIMT_Encode4(1391186), // Rule ID 22700 //
     /* 1391107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1391124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391160 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1391163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391185 */     // GIR_Coverage, 22700,
     /* 1391185 */     GIR_EraseRootFromParent_Done,
     /* 1391186 */   // Label 19758: @1391186
     /* 1391186 */   GIM_Try, /*On fail goto*//*Label 19759*/ GIMT_Encode4(1391270), // Rule ID 22701 //
     /* 1391191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1391208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391244 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1391247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391269 */     // GIR_Coverage, 22701,
     /* 1391269 */     GIR_EraseRootFromParent_Done,
     /* 1391270 */   // Label 19759: @1391270
     /* 1391270 */   GIM_Try, /*On fail goto*//*Label 19760*/ GIMT_Encode4(1391354), // Rule ID 22704 //
     /* 1391275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1391292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11680:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1391331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391353 */     // GIR_Coverage, 22704,
     /* 1391353 */     GIR_EraseRootFromParent_Done,
     /* 1391354 */   // Label 19760: @1391354
     /* 1391354 */   GIM_Try, /*On fail goto*//*Label 19761*/ GIMT_Encode4(1391438), // Rule ID 22705 //
     /* 1391359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1391376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11680:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1391415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391437 */     // GIR_Coverage, 22705,
     /* 1391437 */     GIR_EraseRootFromParent_Done,
     /* 1391438 */   // Label 19761: @1391438
     /* 1391438 */   GIM_Try, /*On fail goto*//*Label 19762*/ GIMT_Encode4(1391522), // Rule ID 22708 //
     /* 1391443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1391460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11680:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1391499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391521 */     // GIR_Coverage, 22708,
     /* 1391521 */     GIR_EraseRootFromParent_Done,
     /* 1391522 */   // Label 19762: @1391522
     /* 1391522 */   GIM_Try, /*On fail goto*//*Label 19763*/ GIMT_Encode4(1391606), // Rule ID 22709 //
     /* 1391527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1391544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11680:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1391583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391605 */     // GIR_Coverage, 22709,
     /* 1391605 */     GIR_EraseRootFromParent_Done,
     /* 1391606 */   // Label 19763: @1391606
     /* 1391606 */   GIM_Try, /*On fail goto*//*Label 19764*/ GIMT_Encode4(1391690), // Rule ID 22712 //
     /* 1391611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1391628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11680:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1391667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391689 */     // GIR_Coverage, 22712,
     /* 1391689 */     GIR_EraseRootFromParent_Done,
     /* 1391690 */   // Label 19764: @1391690
     /* 1391690 */   GIM_Try, /*On fail goto*//*Label 19765*/ GIMT_Encode4(1391774), // Rule ID 22713 //
     /* 1391695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1391712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391748 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11680:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1391751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391773 */     // GIR_Coverage, 22713,
     /* 1391773 */     GIR_EraseRootFromParent_Done,
     /* 1391774 */   // Label 19765: @1391774
     /* 1391774 */   GIM_Try, /*On fail goto*//*Label 19766*/ GIMT_Encode4(1391858), // Rule ID 22716 //
     /* 1391779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1391796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1391835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391857 */     // GIR_Coverage, 22716,
     /* 1391857 */     GIR_EraseRootFromParent_Done,
     /* 1391858 */   // Label 19766: @1391858
     /* 1391858 */   GIM_Try, /*On fail goto*//*Label 19767*/ GIMT_Encode4(1391942), // Rule ID 22717 //
     /* 1391863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1391880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391916 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1391919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391941 */     // GIR_Coverage, 22717,
     /* 1391941 */     GIR_EraseRootFromParent_Done,
     /* 1391942 */   // Label 19767: @1391942
     /* 1391942 */   GIM_Try, /*On fail goto*//*Label 19768*/ GIMT_Encode4(1392026), // Rule ID 22720 //
     /* 1391947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1391964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11680:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1392003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392025 */     // GIR_Coverage, 22720,
     /* 1392025 */     GIR_EraseRootFromParent_Done,
     /* 1392026 */   // Label 19768: @1392026
     /* 1392026 */   GIM_Try, /*On fail goto*//*Label 19769*/ GIMT_Encode4(1392110), // Rule ID 22721 //
     /* 1392031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1392048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11680:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1392087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392109 */     // GIR_Coverage, 22721,
     /* 1392109 */     GIR_EraseRootFromParent_Done,
     /* 1392110 */   // Label 19769: @1392110
     /* 1392110 */   GIM_Try, /*On fail goto*//*Label 19770*/ GIMT_Encode4(1392194), // Rule ID 22724 //
     /* 1392115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1392132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392168 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11680:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1392171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392193 */     // GIR_Coverage, 22724,
     /* 1392193 */     GIR_EraseRootFromParent_Done,
     /* 1392194 */   // Label 19770: @1392194
     /* 1392194 */   GIM_Try, /*On fail goto*//*Label 19771*/ GIMT_Encode4(1392278), // Rule ID 22725 //
     /* 1392199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1392216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11680:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1392255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392277 */     // GIR_Coverage, 22725,
     /* 1392277 */     GIR_EraseRootFromParent_Done,
     /* 1392278 */   // Label 19771: @1392278
     /* 1392278 */   GIM_Try, /*On fail goto*//*Label 19772*/ GIMT_Encode4(1392362), // Rule ID 22728 //
     /* 1392283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1392300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392336 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1392339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392361 */     // GIR_Coverage, 22728,
     /* 1392361 */     GIR_EraseRootFromParent_Done,
     /* 1392362 */   // Label 19772: @1392362
     /* 1392362 */   GIM_Try, /*On fail goto*//*Label 19773*/ GIMT_Encode4(1392446), // Rule ID 22729 //
     /* 1392367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1392384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392420 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1392423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392445 */     // GIR_Coverage, 22729,
     /* 1392445 */     GIR_EraseRootFromParent_Done,
     /* 1392446 */   // Label 19773: @1392446
     /* 1392446 */   GIM_Try, /*On fail goto*//*Label 19774*/ GIMT_Encode4(1392530), // Rule ID 22732 //
     /* 1392451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1392468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1392474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1392507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392529 */     // GIR_Coverage, 22732,
     /* 1392529 */     GIR_EraseRootFromParent_Done,
     /* 1392530 */   // Label 19774: @1392530
     /* 1392530 */   GIM_Try, /*On fail goto*//*Label 19775*/ GIMT_Encode4(1392614), // Rule ID 22733 //
     /* 1392535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1392552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1392558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1392591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392613 */     // GIR_Coverage, 22733,
     /* 1392613 */     GIR_EraseRootFromParent_Done,
     /* 1392614 */   // Label 19775: @1392614
     /* 1392614 */   GIM_Try, /*On fail goto*//*Label 19776*/ GIMT_Encode4(1392698), // Rule ID 22736 //
     /* 1392619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1392636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1392642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1392675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392697 */     // GIR_Coverage, 22736,
     /* 1392697 */     GIR_EraseRootFromParent_Done,
     /* 1392698 */   // Label 19776: @1392698
     /* 1392698 */   GIM_Try, /*On fail goto*//*Label 19777*/ GIMT_Encode4(1392782), // Rule ID 22737 //
     /* 1392703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1392720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1392726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11680:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1392759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392781 */     // GIR_Coverage, 22737,
     /* 1392781 */     GIR_EraseRootFromParent_Done,
     /* 1392782 */   // Label 19777: @1392782
     /* 1392782 */   GIM_Try, /*On fail goto*//*Label 19778*/ GIMT_Encode4(1392866), // Rule ID 22740 //
     /* 1392787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1392804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11680:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1392843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392865 */     // GIR_Coverage, 22740,
     /* 1392865 */     GIR_EraseRootFromParent_Done,
     /* 1392866 */   // Label 19778: @1392866
     /* 1392866 */   GIM_Try, /*On fail goto*//*Label 19779*/ GIMT_Encode4(1392950), // Rule ID 22741 //
     /* 1392871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1392888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11680:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1392927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392949 */     // GIR_Coverage, 22741,
     /* 1392949 */     GIR_EraseRootFromParent_Done,
     /* 1392950 */   // Label 19779: @1392950
     /* 1392950 */   GIM_Try, /*On fail goto*//*Label 19780*/ GIMT_Encode4(1393034), // Rule ID 22744 //
     /* 1392955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1392963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1392972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11680:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1393011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393033 */     // GIR_Coverage, 22744,
     /* 1393033 */     GIR_EraseRootFromParent_Done,
     /* 1393034 */   // Label 19780: @1393034
     /* 1393034 */   GIM_Try, /*On fail goto*//*Label 19781*/ GIMT_Encode4(1393118), // Rule ID 22745 //
     /* 1393039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1393047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11680:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1393095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393117 */     // GIR_Coverage, 22745,
     /* 1393117 */     GIR_EraseRootFromParent_Done,
     /* 1393118 */   // Label 19781: @1393118
     /* 1393118 */   GIM_Try, /*On fail goto*//*Label 19782*/ GIMT_Encode4(1393202), // Rule ID 22748 //
     /* 1393123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1393131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1393140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11680:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1393179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393201 */     // GIR_Coverage, 22748,
     /* 1393201 */     GIR_EraseRootFromParent_Done,
     /* 1393202 */   // Label 19782: @1393202
     /* 1393202 */   GIM_Try, /*On fail goto*//*Label 19783*/ GIMT_Encode4(1393286), // Rule ID 22749 //
     /* 1393207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1393215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1393224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393260 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11680:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1393263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393285 */     // GIR_Coverage, 22749,
     /* 1393285 */     GIR_EraseRootFromParent_Done,
     /* 1393286 */   // Label 19783: @1393286
     /* 1393286 */   GIM_Try, /*On fail goto*//*Label 19784*/ GIMT_Encode4(1393370), // Rule ID 22752 //
     /* 1393291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1393299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1393308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393344 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11680:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1393347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393369 */     // GIR_Coverage, 22752,
     /* 1393369 */     GIR_EraseRootFromParent_Done,
     /* 1393370 */   // Label 19784: @1393370
     /* 1393370 */   GIM_Try, /*On fail goto*//*Label 19785*/ GIMT_Encode4(1393454), // Rule ID 22753 //
     /* 1393375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1393383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1393392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11680:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1393431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393453 */     // GIR_Coverage, 22753,
     /* 1393453 */     GIR_EraseRootFromParent_Done,
     /* 1393454 */   // Label 19785: @1393454
     /* 1393454 */   GIM_Try, /*On fail goto*//*Label 19786*/ GIMT_Encode4(1393538), // Rule ID 22756 //
     /* 1393459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1393467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1393476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393512 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11680:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1393515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393537 */     // GIR_Coverage, 22756,
     /* 1393537 */     GIR_EraseRootFromParent_Done,
     /* 1393538 */   // Label 19786: @1393538
     /* 1393538 */   GIM_Try, /*On fail goto*//*Label 19787*/ GIMT_Encode4(1393622), // Rule ID 22757 //
     /* 1393543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1393551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1393560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11680:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1393599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393621 */     // GIR_Coverage, 22757,
     /* 1393621 */     GIR_EraseRootFromParent_Done,
     /* 1393622 */   // Label 19787: @1393622
     /* 1393622 */   GIM_Try, /*On fail goto*//*Label 19788*/ GIMT_Encode4(1393706), // Rule ID 22760 //
     /* 1393627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1393635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1393644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11680:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1393683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393705 */     // GIR_Coverage, 22760,
     /* 1393705 */     GIR_EraseRootFromParent_Done,
     /* 1393706 */   // Label 19788: @1393706
     /* 1393706 */   GIM_Try, /*On fail goto*//*Label 19789*/ GIMT_Encode4(1393790), // Rule ID 22761 //
     /* 1393711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1393719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1393728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11680:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1393767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393789 */     // GIR_Coverage, 22761,
     /* 1393789 */     GIR_EraseRootFromParent_Done,
     /* 1393790 */   // Label 19789: @1393790
     /* 1393790 */   GIM_Try, /*On fail goto*//*Label 19790*/ GIMT_Encode4(1393874), // Rule ID 22764 //
     /* 1393795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1393812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1393851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393873 */     // GIR_Coverage, 22764,
     /* 1393873 */     GIR_EraseRootFromParent_Done,
     /* 1393874 */   // Label 19790: @1393874
     /* 1393874 */   GIM_Try, /*On fail goto*//*Label 19791*/ GIMT_Encode4(1393958), // Rule ID 22765 //
     /* 1393879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1393896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1393935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393957 */     // GIR_Coverage, 22765,
     /* 1393957 */     GIR_EraseRootFromParent_Done,
     /* 1393958 */   // Label 19791: @1393958
     /* 1393958 */   GIM_Try, /*On fail goto*//*Label 19792*/ GIMT_Encode4(1394042), // Rule ID 22768 //
     /* 1393963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1393980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1394019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394041 */     // GIR_Coverage, 22768,
     /* 1394041 */     GIR_EraseRootFromParent_Done,
     /* 1394042 */   // Label 19792: @1394042
     /* 1394042 */   GIM_Try, /*On fail goto*//*Label 19793*/ GIMT_Encode4(1394126), // Rule ID 22769 //
     /* 1394047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1394064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394100 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1394103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394125 */     // GIR_Coverage, 22769,
     /* 1394125 */     GIR_EraseRootFromParent_Done,
     /* 1394126 */   // Label 19793: @1394126
     /* 1394126 */   GIM_Try, /*On fail goto*//*Label 19794*/ GIMT_Encode4(1394210), // Rule ID 22772 //
     /* 1394131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1394148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1394187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394209 */     // GIR_Coverage, 22772,
     /* 1394209 */     GIR_EraseRootFromParent_Done,
     /* 1394210 */   // Label 19794: @1394210
     /* 1394210 */   GIM_Try, /*On fail goto*//*Label 19795*/ GIMT_Encode4(1394294), // Rule ID 22773 //
     /* 1394215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1394232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1394271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394293 */     // GIR_Coverage, 22773,
     /* 1394293 */     GIR_EraseRootFromParent_Done,
     /* 1394294 */   // Label 19795: @1394294
     /* 1394294 */   GIM_Try, /*On fail goto*//*Label 19796*/ GIMT_Encode4(1394378), // Rule ID 22776 //
     /* 1394299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1394316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1394355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394377 */     // GIR_Coverage, 22776,
     /* 1394377 */     GIR_EraseRootFromParent_Done,
     /* 1394378 */   // Label 19796: @1394378
     /* 1394378 */   GIM_Try, /*On fail goto*//*Label 19797*/ GIMT_Encode4(1394462), // Rule ID 22777 //
     /* 1394383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1394400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1394439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394461 */     // GIR_Coverage, 22777,
     /* 1394461 */     GIR_EraseRootFromParent_Done,
     /* 1394462 */   // Label 19797: @1394462
     /* 1394462 */   GIM_Try, /*On fail goto*//*Label 19798*/ GIMT_Encode4(1394546), // Rule ID 22780 //
     /* 1394467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1394484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1394523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394545 */     // GIR_Coverage, 22780,
     /* 1394545 */     GIR_EraseRootFromParent_Done,
     /* 1394546 */   // Label 19798: @1394546
     /* 1394546 */   GIM_Try, /*On fail goto*//*Label 19799*/ GIMT_Encode4(1394630), // Rule ID 22781 //
     /* 1394551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1394568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1394607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394629 */     // GIR_Coverage, 22781,
     /* 1394629 */     GIR_EraseRootFromParent_Done,
     /* 1394630 */   // Label 19799: @1394630
     /* 1394630 */   GIM_Try, /*On fail goto*//*Label 19800*/ GIMT_Encode4(1394714), // Rule ID 22784 //
     /* 1394635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1394652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394688 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1394691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394713 */     // GIR_Coverage, 22784,
     /* 1394713 */     GIR_EraseRootFromParent_Done,
     /* 1394714 */   // Label 19800: @1394714
     /* 1394714 */   GIM_Try, /*On fail goto*//*Label 19801*/ GIMT_Encode4(1394798), // Rule ID 22785 //
     /* 1394719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1394736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394772 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1394775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394797 */     // GIR_Coverage, 22785,
     /* 1394797 */     GIR_EraseRootFromParent_Done,
     /* 1394798 */   // Label 19801: @1394798
     /* 1394798 */   GIM_Try, /*On fail goto*//*Label 19802*/ GIMT_Encode4(1394882), // Rule ID 22788 //
     /* 1394803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1394820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1394859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394881 */     // GIR_Coverage, 22788,
     /* 1394881 */     GIR_EraseRootFromParent_Done,
     /* 1394882 */   // Label 19802: @1394882
     /* 1394882 */   GIM_Try, /*On fail goto*//*Label 19803*/ GIMT_Encode4(1394966), // Rule ID 22789 //
     /* 1394887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1394904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1394943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394965 */     // GIR_Coverage, 22789,
     /* 1394965 */     GIR_EraseRootFromParent_Done,
     /* 1394966 */   // Label 19803: @1394966
     /* 1394966 */   GIM_Try, /*On fail goto*//*Label 19804*/ GIMT_Encode4(1395050), // Rule ID 22792 //
     /* 1394971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1394988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1395027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395049 */     // GIR_Coverage, 22792,
     /* 1395049 */     GIR_EraseRootFromParent_Done,
     /* 1395050 */   // Label 19804: @1395050
     /* 1395050 */   GIM_Try, /*On fail goto*//*Label 19805*/ GIMT_Encode4(1395134), // Rule ID 22793 //
     /* 1395055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1395072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1395111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395133 */     // GIR_Coverage, 22793,
     /* 1395133 */     GIR_EraseRootFromParent_Done,
     /* 1395134 */   // Label 19805: @1395134
     /* 1395134 */   GIM_Try, /*On fail goto*//*Label 19806*/ GIMT_Encode4(1395218), // Rule ID 22796 //
     /* 1395139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1395150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1395153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1395156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1395159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1395195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395217 */     // GIR_Coverage, 22796,
     /* 1395217 */     GIR_EraseRootFromParent_Done,
     /* 1395218 */   // Label 19806: @1395218
     /* 1395218 */   GIM_Try, /*On fail goto*//*Label 19807*/ GIMT_Encode4(1395302), // Rule ID 22797 //
     /* 1395223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1395234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1395237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1395240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1395243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1395279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395301 */     // GIR_Coverage, 22797,
     /* 1395301 */     GIR_EraseRootFromParent_Done,
     /* 1395302 */   // Label 19807: @1395302
     /* 1395302 */   GIM_Try, /*On fail goto*//*Label 19808*/ GIMT_Encode4(1395386), // Rule ID 22800 //
     /* 1395307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1395324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1395330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1395363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395385 */     // GIR_Coverage, 22800,
     /* 1395385 */     GIR_EraseRootFromParent_Done,
     /* 1395386 */   // Label 19808: @1395386
     /* 1395386 */   GIM_Try, /*On fail goto*//*Label 19809*/ GIMT_Encode4(1395470), // Rule ID 22801 //
     /* 1395391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1395408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1395414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395444 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1395447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395469 */     // GIR_Coverage, 22801,
     /* 1395469 */     GIR_EraseRootFromParent_Done,
     /* 1395470 */   // Label 19809: @1395470
     /* 1395470 */   GIM_Try, /*On fail goto*//*Label 19810*/ GIMT_Encode4(1395554), // Rule ID 22804 //
     /* 1395475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1395492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1395498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1395531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395553 */     // GIR_Coverage, 22804,
     /* 1395553 */     GIR_EraseRootFromParent_Done,
     /* 1395554 */   // Label 19810: @1395554
     /* 1395554 */   GIM_Try, /*On fail goto*//*Label 19811*/ GIMT_Encode4(1395638), // Rule ID 22805 //
     /* 1395559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1395576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1395582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395612 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1395615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395637 */     // GIR_Coverage, 22805,
     /* 1395637 */     GIR_EraseRootFromParent_Done,
     /* 1395638 */   // Label 19811: @1395638
     /* 1395638 */   GIM_Try, /*On fail goto*//*Label 19812*/ GIMT_Encode4(1395722), // Rule ID 22808 //
     /* 1395643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1395660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1395666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1395699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395721 */     // GIR_Coverage, 22808,
     /* 1395721 */     GIR_EraseRootFromParent_Done,
     /* 1395722 */   // Label 19812: @1395722
     /* 1395722 */   GIM_Try, /*On fail goto*//*Label 19813*/ GIMT_Encode4(1395806), // Rule ID 22809 //
     /* 1395727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1395744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1395750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1395783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395805 */     // GIR_Coverage, 22809,
     /* 1395805 */     GIR_EraseRootFromParent_Done,
     /* 1395806 */   // Label 19813: @1395806
     /* 1395806 */   GIM_Try, /*On fail goto*//*Label 19814*/ GIMT_Encode4(1395890), // Rule ID 22812 //
     /* 1395811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1395828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1395867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395889 */     // GIR_Coverage, 22812,
     /* 1395889 */     GIR_EraseRootFromParent_Done,
     /* 1395890 */   // Label 19814: @1395890
     /* 1395890 */   GIM_Try, /*On fail goto*//*Label 19815*/ GIMT_Encode4(1395974), // Rule ID 22813 //
     /* 1395895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1395912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1395951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395973 */     // GIR_Coverage, 22813,
     /* 1395973 */     GIR_EraseRootFromParent_Done,
     /* 1395974 */   // Label 19815: @1395974
     /* 1395974 */   GIM_Try, /*On fail goto*//*Label 19816*/ GIMT_Encode4(1396058), // Rule ID 22816 //
     /* 1395979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1395987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1395996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1396035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396057 */     // GIR_Coverage, 22816,
     /* 1396057 */     GIR_EraseRootFromParent_Done,
     /* 1396058 */   // Label 19816: @1396058
     /* 1396058 */   GIM_Try, /*On fail goto*//*Label 19817*/ GIMT_Encode4(1396142), // Rule ID 22817 //
     /* 1396063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1396071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1396080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1396083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1396119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396141 */     // GIR_Coverage, 22817,
     /* 1396141 */     GIR_EraseRootFromParent_Done,
     /* 1396142 */   // Label 19817: @1396142
     /* 1396142 */   GIM_Try, /*On fail goto*//*Label 19818*/ GIMT_Encode4(1396226), // Rule ID 22820 //
     /* 1396147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1396155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1396164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1396167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1396170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1396203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396225 */     // GIR_Coverage, 22820,
     /* 1396225 */     GIR_EraseRootFromParent_Done,
     /* 1396226 */   // Label 19818: @1396226
     /* 1396226 */   GIM_Try, /*On fail goto*//*Label 19819*/ GIMT_Encode4(1396310), // Rule ID 22821 //
     /* 1396231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1396239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1396248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1396251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1396254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1396287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396309 */     // GIR_Coverage, 22821,
     /* 1396309 */     GIR_EraseRootFromParent_Done,
     /* 1396310 */   // Label 19819: @1396310
     /* 1396310 */   GIM_Try, /*On fail goto*//*Label 19820*/ GIMT_Encode4(1396394), // Rule ID 22824 //
     /* 1396315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1396323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1396332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396368 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1396371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396393 */     // GIR_Coverage, 22824,
     /* 1396393 */     GIR_EraseRootFromParent_Done,
     /* 1396394 */   // Label 19820: @1396394
     /* 1396394 */   GIM_Try, /*On fail goto*//*Label 19821*/ GIMT_Encode4(1396478), // Rule ID 22825 //
     /* 1396399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1396407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1396416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1396455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396477 */     // GIR_Coverage, 22825,
     /* 1396477 */     GIR_EraseRootFromParent_Done,
     /* 1396478 */   // Label 19821: @1396478
     /* 1396478 */   GIM_Try, /*On fail goto*//*Label 19822*/ GIMT_Encode4(1396562), // Rule ID 22828 //
     /* 1396483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1396491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1396500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396536 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1396539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396561 */     // GIR_Coverage, 22828,
     /* 1396561 */     GIR_EraseRootFromParent_Done,
     /* 1396562 */   // Label 19822: @1396562
     /* 1396562 */   GIM_Try, /*On fail goto*//*Label 19823*/ GIMT_Encode4(1396646), // Rule ID 22829 //
     /* 1396567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1396575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1396584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1396623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396645 */     // GIR_Coverage, 22829,
     /* 1396645 */     GIR_EraseRootFromParent_Done,
     /* 1396646 */   // Label 19823: @1396646
     /* 1396646 */   GIM_Try, /*On fail goto*//*Label 19824*/ GIMT_Encode4(1396730), // Rule ID 22832 //
     /* 1396651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1396659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1396668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1396707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396729 */     // GIR_Coverage, 22832,
     /* 1396729 */     GIR_EraseRootFromParent_Done,
     /* 1396730 */   // Label 19824: @1396730
     /* 1396730 */   GIM_Try, /*On fail goto*//*Label 19825*/ GIMT_Encode4(1396814), // Rule ID 22833 //
     /* 1396735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1396743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1396752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396788 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1396791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396813 */     // GIR_Coverage, 22833,
     /* 1396813 */     GIR_EraseRootFromParent_Done,
     /* 1396814 */   // Label 19825: @1396814
     /* 1396814 */   GIM_Try, /*On fail goto*//*Label 19826*/ GIMT_Encode4(1396898), // Rule ID 22952 //
     /* 1396819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1396822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1396836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396872 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1396875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396897 */     // GIR_Coverage, 22952,
     /* 1396897 */     GIR_EraseRootFromParent_Done,
     /* 1396898 */   // Label 19826: @1396898
     /* 1396898 */   GIM_Try, /*On fail goto*//*Label 19827*/ GIMT_Encode4(1396982), // Rule ID 22953 //
     /* 1396903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1396906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1396920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396956 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1396959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396981 */     // GIR_Coverage, 22953,
     /* 1396981 */     GIR_EraseRootFromParent_Done,
     /* 1396982 */   // Label 19827: @1396982
     /* 1396982 */   GIM_Try, /*On fail goto*//*Label 19828*/ GIMT_Encode4(1397066), // Rule ID 22956 //
     /* 1396987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1396990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1397004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1397010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397040 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1397043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397065 */     // GIR_Coverage, 22956,
     /* 1397065 */     GIR_EraseRootFromParent_Done,
     /* 1397066 */   // Label 19828: @1397066
     /* 1397066 */   GIM_Try, /*On fail goto*//*Label 19829*/ GIMT_Encode4(1397150), // Rule ID 22957 //
     /* 1397071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1397074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1397088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1397094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397124 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1397127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397149 */     // GIR_Coverage, 22957,
     /* 1397149 */     GIR_EraseRootFromParent_Done,
     /* 1397150 */   // Label 19829: @1397150
     /* 1397150 */   GIM_Try, /*On fail goto*//*Label 19830*/ GIMT_Encode4(1397234), // Rule ID 22960 //
     /* 1397155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1397158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1397172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1397178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397208 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1397211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397233 */     // GIR_Coverage, 22960,
     /* 1397233 */     GIR_EraseRootFromParent_Done,
     /* 1397234 */   // Label 19830: @1397234
     /* 1397234 */   GIM_Try, /*On fail goto*//*Label 19831*/ GIMT_Encode4(1397318), // Rule ID 22961 //
     /* 1397239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1397242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1397256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1397262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397292 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1397295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397317 */     // GIR_Coverage, 22961,
     /* 1397317 */     GIR_EraseRootFromParent_Done,
     /* 1397318 */   // Label 19831: @1397318
     /* 1397318 */   GIM_Try, /*On fail goto*//*Label 19832*/ GIMT_Encode4(1397402), // Rule ID 22964 //
     /* 1397323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1397326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1397340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397376 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1397379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397401 */     // GIR_Coverage, 22964,
     /* 1397401 */     GIR_EraseRootFromParent_Done,
     /* 1397402 */   // Label 19832: @1397402
     /* 1397402 */   GIM_Try, /*On fail goto*//*Label 19833*/ GIMT_Encode4(1397486), // Rule ID 22965 //
     /* 1397407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1397410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1397424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397460 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1397463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397485 */     // GIR_Coverage, 22965,
     /* 1397485 */     GIR_EraseRootFromParent_Done,
     /* 1397486 */   // Label 19833: @1397486
     /* 1397486 */   GIM_Try, /*On fail goto*//*Label 19834*/ GIMT_Encode4(1397570), // Rule ID 22968 //
     /* 1397491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1397494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1397508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1397514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397544 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1397547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397569 */     // GIR_Coverage, 22968,
     /* 1397569 */     GIR_EraseRootFromParent_Done,
     /* 1397570 */   // Label 19834: @1397570
     /* 1397570 */   GIM_Try, /*On fail goto*//*Label 19835*/ GIMT_Encode4(1397654), // Rule ID 22969 //
     /* 1397575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1397578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1397592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1397598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397628 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1397631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397653 */     // GIR_Coverage, 22969,
     /* 1397653 */     GIR_EraseRootFromParent_Done,
     /* 1397654 */   // Label 19835: @1397654
     /* 1397654 */   GIM_Try, /*On fail goto*//*Label 19836*/ GIMT_Encode4(1397738), // Rule ID 22972 //
     /* 1397659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1397662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1397676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1397682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397712 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1397715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397737 */     // GIR_Coverage, 22972,
     /* 1397737 */     GIR_EraseRootFromParent_Done,
     /* 1397738 */   // Label 19836: @1397738
     /* 1397738 */   GIM_Try, /*On fail goto*//*Label 19837*/ GIMT_Encode4(1397822), // Rule ID 22973 //
     /* 1397743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1397746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1397760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1397766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397796 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1397799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397821 */     // GIR_Coverage, 22973,
     /* 1397821 */     GIR_EraseRootFromParent_Done,
     /* 1397822 */   // Label 19837: @1397822
     /* 1397822 */   GIM_Try, /*On fail goto*//*Label 19838*/ GIMT_Encode4(1397906), // Rule ID 22976 //
     /* 1397827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1397830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397880 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1397883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397905 */     // GIR_Coverage, 22976,
     /* 1397905 */     GIR_EraseRootFromParent_Done,
     /* 1397906 */   // Label 19838: @1397906
     /* 1397906 */   GIM_Try, /*On fail goto*//*Label 19839*/ GIMT_Encode4(1397990), // Rule ID 22977 //
     /* 1397911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1397914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1397919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397964 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1397967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397989 */     // GIR_Coverage, 22977,
     /* 1397989 */     GIR_EraseRootFromParent_Done,
     /* 1397990 */   // Label 19839: @1397990
     /* 1397990 */   GIM_Try, /*On fail goto*//*Label 19840*/ GIMT_Encode4(1398074), // Rule ID 22980 //
     /* 1397995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1397998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1398012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398048 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1398051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398073 */     // GIR_Coverage, 22980,
     /* 1398073 */     GIR_EraseRootFromParent_Done,
     /* 1398074 */   // Label 19840: @1398074
     /* 1398074 */   GIM_Try, /*On fail goto*//*Label 19841*/ GIMT_Encode4(1398158), // Rule ID 22981 //
     /* 1398079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1398082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1398096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398132 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1398135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398157 */     // GIR_Coverage, 22981,
     /* 1398157 */     GIR_EraseRootFromParent_Done,
     /* 1398158 */   // Label 19841: @1398158
     /* 1398158 */   GIM_Try, /*On fail goto*//*Label 19842*/ GIMT_Encode4(1398242), // Rule ID 22984 //
     /* 1398163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1398166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1398180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1398186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398216 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1398219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398241 */     // GIR_Coverage, 22984,
     /* 1398241 */     GIR_EraseRootFromParent_Done,
     /* 1398242 */   // Label 19842: @1398242
     /* 1398242 */   GIM_Try, /*On fail goto*//*Label 19843*/ GIMT_Encode4(1398326), // Rule ID 22985 //
     /* 1398247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1398250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1398264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1398270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398300 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1398303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398325 */     // GIR_Coverage, 22985,
     /* 1398325 */     GIR_EraseRootFromParent_Done,
     /* 1398326 */   // Label 19843: @1398326
     /* 1398326 */   GIM_Try, /*On fail goto*//*Label 19844*/ GIMT_Encode4(1398410), // Rule ID 22988 //
     /* 1398331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1398334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1398348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398384 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1398387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398409 */     // GIR_Coverage, 22988,
     /* 1398409 */     GIR_EraseRootFromParent_Done,
     /* 1398410 */   // Label 19844: @1398410
     /* 1398410 */   GIM_Try, /*On fail goto*//*Label 19845*/ GIMT_Encode4(1398494), // Rule ID 22989 //
     /* 1398415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1398418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1398432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398468 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1398471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398493 */     // GIR_Coverage, 22989,
     /* 1398493 */     GIR_EraseRootFromParent_Done,
     /* 1398494 */   // Label 19845: @1398494
     /* 1398494 */   GIM_Try, /*On fail goto*//*Label 19846*/ GIMT_Encode4(1398578), // Rule ID 22992 //
     /* 1398499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1398502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398552 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1398555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398577 */     // GIR_Coverage, 22992,
     /* 1398577 */     GIR_EraseRootFromParent_Done,
     /* 1398578 */   // Label 19846: @1398578
     /* 1398578 */   GIM_Try, /*On fail goto*//*Label 19847*/ GIMT_Encode4(1398662), // Rule ID 22993 //
     /* 1398583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1398586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398636 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1398639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398661 */     // GIR_Coverage, 22993,
     /* 1398661 */     GIR_EraseRootFromParent_Done,
     /* 1398662 */   // Label 19847: @1398662
     /* 1398662 */   GIM_Try, /*On fail goto*//*Label 19848*/ GIMT_Encode4(1398746), // Rule ID 22996 //
     /* 1398667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1398670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398720 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1398723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398745 */     // GIR_Coverage, 22996,
     /* 1398745 */     GIR_EraseRootFromParent_Done,
     /* 1398746 */   // Label 19848: @1398746
     /* 1398746 */   GIM_Try, /*On fail goto*//*Label 19849*/ GIMT_Encode4(1398830), // Rule ID 22997 //
     /* 1398751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1398754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398804 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1398807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398829 */     // GIR_Coverage, 22997,
     /* 1398829 */     GIR_EraseRootFromParent_Done,
     /* 1398830 */   // Label 19849: @1398830
     /* 1398830 */   GIM_Try, /*On fail goto*//*Label 19850*/ GIMT_Encode4(1398914), // Rule ID 23000 //
     /* 1398835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1398838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1398855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398888 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1398891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398913 */     // GIR_Coverage, 23000,
     /* 1398913 */     GIR_EraseRootFromParent_Done,
     /* 1398914 */   // Label 19850: @1398914
     /* 1398914 */   GIM_Try, /*On fail goto*//*Label 19851*/ GIMT_Encode4(1398998), // Rule ID 23001 //
     /* 1398919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1398922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1398927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1398939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398972 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1398975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398997 */     // GIR_Coverage, 23001,
     /* 1398997 */     GIR_EraseRootFromParent_Done,
     /* 1398998 */   // Label 19851: @1398998
     /* 1398998 */   GIM_Try, /*On fail goto*//*Label 19852*/ GIMT_Encode4(1399082), // Rule ID 23004 //
     /* 1399003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1399006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1399011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1399020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1399023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1399026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399056 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1399059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399081 */     // GIR_Coverage, 23004,
     /* 1399081 */     GIR_EraseRootFromParent_Done,
     /* 1399082 */   // Label 19852: @1399082
     /* 1399082 */   GIM_Try, /*On fail goto*//*Label 19853*/ GIMT_Encode4(1399166), // Rule ID 23005 //
     /* 1399087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1399090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1399095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1399104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1399107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1399110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399140 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1399143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399165 */     // GIR_Coverage, 23005,
     /* 1399165 */     GIR_EraseRootFromParent_Done,
     /* 1399166 */   // Label 19853: @1399166
     /* 1399166 */   GIM_Try, /*On fail goto*//*Label 19854*/ GIMT_Encode4(1399250), // Rule ID 23008 //
     /* 1399171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1399174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1399179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1399188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1399191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1399194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399224 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1399227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399249 */     // GIR_Coverage, 23008,
     /* 1399249 */     GIR_EraseRootFromParent_Done,
     /* 1399250 */   // Label 19854: @1399250
     /* 1399250 */   GIM_Try, /*On fail goto*//*Label 19855*/ GIMT_Encode4(1399334), // Rule ID 23009 //
     /* 1399255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1399258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1399263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1399272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1399275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1399278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399308 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1399311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399333 */     // GIR_Coverage, 23009,
     /* 1399333 */     GIR_EraseRootFromParent_Done,
     /* 1399334 */   // Label 19855: @1399334
     /* 1399334 */   GIM_Try, /*On fail goto*//*Label 19856*/ GIMT_Encode4(1399418), // Rule ID 23012 //
     /* 1399339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1399342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1399356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399392 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1399395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399417 */     // GIR_Coverage, 23012,
     /* 1399417 */     GIR_EraseRootFromParent_Done,
     /* 1399418 */   // Label 19856: @1399418
     /* 1399418 */   GIM_Try, /*On fail goto*//*Label 19857*/ GIMT_Encode4(1399502), // Rule ID 23013 //
     /* 1399423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1399426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1399440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399476 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1399479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399501 */     // GIR_Coverage, 23013,
     /* 1399501 */     GIR_EraseRootFromParent_Done,
     /* 1399502 */   // Label 19857: @1399502
     /* 1399502 */   GIM_Try, /*On fail goto*//*Label 19858*/ GIMT_Encode4(1399586), // Rule ID 23016 //
     /* 1399507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1399510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1399524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1399530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399560 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1399563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399585 */     // GIR_Coverage, 23016,
     /* 1399585 */     GIR_EraseRootFromParent_Done,
     /* 1399586 */   // Label 19858: @1399586
     /* 1399586 */   GIM_Try, /*On fail goto*//*Label 19859*/ GIMT_Encode4(1399670), // Rule ID 23017 //
     /* 1399591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1399594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1399608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1399614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399644 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1399647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399669 */     // GIR_Coverage, 23017,
     /* 1399669 */     GIR_EraseRootFromParent_Done,
     /* 1399670 */   // Label 19859: @1399670
     /* 1399670 */   GIM_Try, /*On fail goto*//*Label 19860*/ GIMT_Encode4(1399754), // Rule ID 23020 //
     /* 1399675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1399678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1399692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1399695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399728 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1399731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399753 */     // GIR_Coverage, 23020,
     /* 1399753 */     GIR_EraseRootFromParent_Done,
     /* 1399754 */   // Label 19860: @1399754
     /* 1399754 */   GIM_Try, /*On fail goto*//*Label 19861*/ GIMT_Encode4(1399838), // Rule ID 23021 //
     /* 1399759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1399762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1399776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1399779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399812 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1399815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399837 */     // GIR_Coverage, 23021,
     /* 1399837 */     GIR_EraseRootFromParent_Done,
     /* 1399838 */   // Label 19861: @1399838
     /* 1399838 */   GIM_Try, /*On fail goto*//*Label 19862*/ GIMT_Encode4(1399922), // Rule ID 23024 //
     /* 1399843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1399846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1399866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399896 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1399899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399921 */     // GIR_Coverage, 23024,
     /* 1399921 */     GIR_EraseRootFromParent_Done,
     /* 1399922 */   // Label 19862: @1399922
     /* 1399922 */   GIM_Try, /*On fail goto*//*Label 19863*/ GIMT_Encode4(1400006), // Rule ID 23025 //
     /* 1399927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1399930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1399950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399980 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1399983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400005 */     // GIR_Coverage, 23025,
     /* 1400005 */     GIR_EraseRootFromParent_Done,
     /* 1400006 */   // Label 19863: @1400006
     /* 1400006 */   GIM_Try, /*On fail goto*//*Label 19864*/ GIMT_Encode4(1400090), // Rule ID 23028 //
     /* 1400011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1400014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1400028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1400034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400064 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1400067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400089 */     // GIR_Coverage, 23028,
     /* 1400089 */     GIR_EraseRootFromParent_Done,
     /* 1400090 */   // Label 19864: @1400090
     /* 1400090 */   GIM_Try, /*On fail goto*//*Label 19865*/ GIMT_Encode4(1400174), // Rule ID 23029 //
     /* 1400095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1400098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1400112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1400118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400148 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1400151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400173 */     // GIR_Coverage, 23029,
     /* 1400173 */     GIR_EraseRootFromParent_Done,
     /* 1400174 */   // Label 19865: @1400174
     /* 1400174 */   GIM_Try, /*On fail goto*//*Label 19866*/ GIMT_Encode4(1400258), // Rule ID 23032 //
     /* 1400179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1400182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1400196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1400199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1400202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400232 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1400235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400257 */     // GIR_Coverage, 23032,
     /* 1400257 */     GIR_EraseRootFromParent_Done,
     /* 1400258 */   // Label 19866: @1400258
     /* 1400258 */   GIM_Try, /*On fail goto*//*Label 19867*/ GIMT_Encode4(1400342), // Rule ID 23033 //
     /* 1400263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1400266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1400280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1400283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1400286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400316 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1400319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400341 */     // GIR_Coverage, 23033,
     /* 1400341 */     GIR_EraseRootFromParent_Done,
     /* 1400342 */   // Label 19867: @1400342
     /* 1400342 */   GIM_Try, /*On fail goto*//*Label 19868*/ GIMT_Encode4(1400426), // Rule ID 23036 //
     /* 1400347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1400350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1400364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1400367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1400370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400400 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1400403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400425 */     // GIR_Coverage, 23036,
     /* 1400425 */     GIR_EraseRootFromParent_Done,
     /* 1400426 */   // Label 19868: @1400426
     /* 1400426 */   GIM_Try, /*On fail goto*//*Label 19869*/ GIMT_Encode4(1400510), // Rule ID 23037 //
     /* 1400431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1400434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1400448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1400451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1400454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400484 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1400487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400509 */     // GIR_Coverage, 23037,
     /* 1400509 */     GIR_EraseRootFromParent_Done,
     /* 1400510 */   // Label 19869: @1400510
     /* 1400510 */   GIM_Try, /*On fail goto*//*Label 19870*/ GIMT_Encode4(1400594), // Rule ID 23040 //
     /* 1400515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1400518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1400532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1400535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1400538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400568 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1400571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400593 */     // GIR_Coverage, 23040,
     /* 1400593 */     GIR_EraseRootFromParent_Done,
     /* 1400594 */   // Label 19870: @1400594
     /* 1400594 */   GIM_Try, /*On fail goto*//*Label 19871*/ GIMT_Encode4(1400678), // Rule ID 23041 //
     /* 1400599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1400602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1400616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1400619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1400622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400652 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1400655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400677 */     // GIR_Coverage, 23041,
     /* 1400677 */     GIR_EraseRootFromParent_Done,
     /* 1400678 */   // Label 19871: @1400678
     /* 1400678 */   GIM_Try, /*On fail goto*//*Label 19872*/ GIMT_Encode4(1400762), // Rule ID 23044 //
     /* 1400683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1400686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1400700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1400703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1400706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400736 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1400739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400761 */     // GIR_Coverage, 23044,
     /* 1400761 */     GIR_EraseRootFromParent_Done,
     /* 1400762 */   // Label 19872: @1400762
     /* 1400762 */   GIM_Try, /*On fail goto*//*Label 19873*/ GIMT_Encode4(1400846), // Rule ID 23045 //
     /* 1400767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1400770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1400784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1400787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1400790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400820 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1400823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400845 */     // GIR_Coverage, 23045,
     /* 1400845 */     GIR_EraseRootFromParent_Done,
     /* 1400846 */   // Label 19873: @1400846
     /* 1400846 */   GIM_Try, /*On fail goto*//*Label 19874*/ GIMT_Encode4(1400930), // Rule ID 23048 //
     /* 1400851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1400854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1400874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400904 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1400907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400929 */     // GIR_Coverage, 23048,
     /* 1400929 */     GIR_EraseRootFromParent_Done,
     /* 1400930 */   // Label 19874: @1400930
     /* 1400930 */   GIM_Try, /*On fail goto*//*Label 19875*/ GIMT_Encode4(1401014), // Rule ID 23049 //
     /* 1400935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1400938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1400943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1400958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400988 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1400991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401013 */     // GIR_Coverage, 23049,
     /* 1401013 */     GIR_EraseRootFromParent_Done,
     /* 1401014 */   // Label 19875: @1401014
     /* 1401014 */   GIM_Try, /*On fail goto*//*Label 19876*/ GIMT_Encode4(1401098), // Rule ID 23052 //
     /* 1401019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1401022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1401036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1401039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1401042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401072 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1401072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1401075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401097 */     // GIR_Coverage, 23052,
     /* 1401097 */     GIR_EraseRootFromParent_Done,
     /* 1401098 */   // Label 19876: @1401098
     /* 1401098 */   GIM_Try, /*On fail goto*//*Label 19877*/ GIMT_Encode4(1401182), // Rule ID 23053 //
     /* 1401103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1401106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1401120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1401123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1401126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401156 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1401159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401181 */     // GIR_Coverage, 23053,
     /* 1401181 */     GIR_EraseRootFromParent_Done,
     /* 1401182 */   // Label 19877: @1401182
     /* 1401182 */   GIM_Try, /*On fail goto*//*Label 19878*/ GIMT_Encode4(1401266), // Rule ID 23056 //
     /* 1401187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1401190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1401204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1401207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1401210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401240 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1401240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1401243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401265 */     // GIR_Coverage, 23056,
     /* 1401265 */     GIR_EraseRootFromParent_Done,
     /* 1401266 */   // Label 19878: @1401266
     /* 1401266 */   GIM_Try, /*On fail goto*//*Label 19879*/ GIMT_Encode4(1401350), // Rule ID 23057 //
     /* 1401271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1401274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1401288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1401291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1401294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401324 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1401327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401349 */     // GIR_Coverage, 23057,
     /* 1401349 */     GIR_EraseRootFromParent_Done,
     /* 1401350 */   // Label 19879: @1401350
     /* 1401350 */   GIM_Try, /*On fail goto*//*Label 19880*/ GIMT_Encode4(1401434), // Rule ID 23060 //
     /* 1401355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1401358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1401372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1401375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1401378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401408 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1401408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1401411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401433 */     // GIR_Coverage, 23060,
     /* 1401433 */     GIR_EraseRootFromParent_Done,
     /* 1401434 */   // Label 19880: @1401434
     /* 1401434 */   GIM_Try, /*On fail goto*//*Label 19881*/ GIMT_Encode4(1401518), // Rule ID 23061 //
     /* 1401439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1401442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1401456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1401459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1401462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401492 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1401495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401517 */     // GIR_Coverage, 23061,
     /* 1401517 */     GIR_EraseRootFromParent_Done,
     /* 1401518 */   // Label 19881: @1401518
     /* 1401518 */   GIM_Try, /*On fail goto*//*Label 19882*/ GIMT_Encode4(1401602), // Rule ID 23064 //
     /* 1401523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1401526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1401540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1401543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1401546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401576 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1401576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1401579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401601 */     // GIR_Coverage, 23064,
     /* 1401601 */     GIR_EraseRootFromParent_Done,
     /* 1401602 */   // Label 19882: @1401602
     /* 1401602 */   GIM_Try, /*On fail goto*//*Label 19883*/ GIMT_Encode4(1401686), // Rule ID 23065 //
     /* 1401607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1401610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1401624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1401627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1401630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401660 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1401663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401685 */     // GIR_Coverage, 23065,
     /* 1401685 */     GIR_EraseRootFromParent_Done,
     /* 1401686 */   // Label 19883: @1401686
     /* 1401686 */   GIM_Try, /*On fail goto*//*Label 19884*/ GIMT_Encode4(1401770), // Rule ID 23068 //
     /* 1401691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1401694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1401708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1401711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1401714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401744 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1401744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1401747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401769 */     // GIR_Coverage, 23068,
     /* 1401769 */     GIR_EraseRootFromParent_Done,
     /* 1401770 */   // Label 19884: @1401770
     /* 1401770 */   GIM_Try, /*On fail goto*//*Label 19885*/ GIMT_Encode4(1401854), // Rule ID 23069 //
     /* 1401775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1401778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1401783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1401792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1401795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1401798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401828 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1401831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401853 */     // GIR_Coverage, 23069,
     /* 1401853 */     GIR_EraseRootFromParent_Done,
     /* 1401854 */   // Label 19885: @1401854
     /* 1401854 */   GIM_Reject,
     /* 1401855 */ // Label 13827: @1401855
     /* 1401855 */ GIM_Try, /*On fail goto*//*Label 19886*/ GIMT_Encode4(2015656),
     /* 1401860 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 1401863 */   GIM_Try, /*On fail goto*//*Label 19887*/ GIMT_Encode4(1401949), // Rule ID 7362 //
     /* 1401868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1401879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1401882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1401885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1401891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401914 */     // MIs[0] policy
     /* 1401914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1401927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401948 */     // GIR_Coverage, 7362,
     /* 1401948 */     GIR_EraseRootFromParent_Done,
     /* 1401949 */   // Label 19887: @1401949
     /* 1401949 */   GIM_Try, /*On fail goto*//*Label 19888*/ GIMT_Encode4(1402035), // Rule ID 7363 //
     /* 1401954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1401957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1401965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1401968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1401971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1401977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401992 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402000 */     // MIs[0] policy
     /* 1402000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402010 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1402013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1402031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402034 */     // GIR_Coverage, 7363,
     /* 1402034 */     GIR_EraseRootFromParent_Done,
     /* 1402035 */   // Label 19888: @1402035
     /* 1402035 */   GIM_Try, /*On fail goto*//*Label 19889*/ GIMT_Encode4(1402121), // Rule ID 7366 //
     /* 1402040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1402051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1402054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1402057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1402063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402078 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402086 */     // MIs[0] policy
     /* 1402086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402096 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1402099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1402117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402120 */     // GIR_Coverage, 7366,
     /* 1402120 */     GIR_EraseRootFromParent_Done,
     /* 1402121 */   // Label 19889: @1402121
     /* 1402121 */   GIM_Try, /*On fail goto*//*Label 19890*/ GIMT_Encode4(1402207), // Rule ID 7367 //
     /* 1402126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1402137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1402140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1402143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1402149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402164 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402172 */     // MIs[0] policy
     /* 1402172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402182 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1402185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1402203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402206 */     // GIR_Coverage, 7367,
     /* 1402206 */     GIR_EraseRootFromParent_Done,
     /* 1402207 */   // Label 19890: @1402207
     /* 1402207 */   GIM_Try, /*On fail goto*//*Label 19891*/ GIMT_Encode4(1402293), // Rule ID 7370 //
     /* 1402212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1402223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1402226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1402229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1402235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402250 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402258 */     // MIs[0] policy
     /* 1402258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402268 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1402271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1402289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402292 */     // GIR_Coverage, 7370,
     /* 1402292 */     GIR_EraseRootFromParent_Done,
     /* 1402293 */   // Label 19891: @1402293
     /* 1402293 */   GIM_Try, /*On fail goto*//*Label 19892*/ GIMT_Encode4(1402379), // Rule ID 7371 //
     /* 1402298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1402309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1402312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1402315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1402321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402336 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402344 */     // MIs[0] policy
     /* 1402344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402354 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1402357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1402375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402378 */     // GIR_Coverage, 7371,
     /* 1402378 */     GIR_EraseRootFromParent_Done,
     /* 1402379 */   // Label 19892: @1402379
     /* 1402379 */   GIM_Try, /*On fail goto*//*Label 19893*/ GIMT_Encode4(1402465), // Rule ID 7374 //
     /* 1402384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1402395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1402398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1402401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1402407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402422 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402430 */     // MIs[0] policy
     /* 1402430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402440 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1402443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402464 */     // GIR_Coverage, 7374,
     /* 1402464 */     GIR_EraseRootFromParent_Done,
     /* 1402465 */   // Label 19893: @1402465
     /* 1402465 */   GIM_Try, /*On fail goto*//*Label 19894*/ GIMT_Encode4(1402551), // Rule ID 7375 //
     /* 1402470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1402481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1402484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1402487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1402493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402508 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402516 */     // MIs[0] policy
     /* 1402516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402526 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1402529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402550 */     // GIR_Coverage, 7375,
     /* 1402550 */     GIR_EraseRootFromParent_Done,
     /* 1402551 */   // Label 19894: @1402551
     /* 1402551 */   GIM_Try, /*On fail goto*//*Label 19895*/ GIMT_Encode4(1402637), // Rule ID 7378 //
     /* 1402556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1402567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1402570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1402573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1402579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402594 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402602 */     // MIs[0] policy
     /* 1402602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402612 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1402615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402636 */     // GIR_Coverage, 7378,
     /* 1402636 */     GIR_EraseRootFromParent_Done,
     /* 1402637 */   // Label 19895: @1402637
     /* 1402637 */   GIM_Try, /*On fail goto*//*Label 19896*/ GIMT_Encode4(1402723), // Rule ID 7379 //
     /* 1402642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1402653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1402656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1402659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1402665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402680 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402688 */     // MIs[0] policy
     /* 1402688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402698 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1402701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402722 */     // GIR_Coverage, 7379,
     /* 1402722 */     GIR_EraseRootFromParent_Done,
     /* 1402723 */   // Label 19896: @1402723
     /* 1402723 */   GIM_Try, /*On fail goto*//*Label 19897*/ GIMT_Encode4(1402809), // Rule ID 7382 //
     /* 1402728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1402739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1402742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1402745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1402751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402766 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402774 */     // MIs[0] policy
     /* 1402774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1402787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402808 */     // GIR_Coverage, 7382,
     /* 1402808 */     GIR_EraseRootFromParent_Done,
     /* 1402809 */   // Label 19897: @1402809
     /* 1402809 */   GIM_Try, /*On fail goto*//*Label 19898*/ GIMT_Encode4(1402895), // Rule ID 7383 //
     /* 1402814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1402825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1402828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1402831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1402837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402852 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402860 */     // MIs[0] policy
     /* 1402860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402870 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1402873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402894 */     // GIR_Coverage, 7383,
     /* 1402894 */     GIR_EraseRootFromParent_Done,
     /* 1402895 */   // Label 19898: @1402895
     /* 1402895 */   GIM_Try, /*On fail goto*//*Label 19899*/ GIMT_Encode4(1402981), // Rule ID 7386 //
     /* 1402900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1402911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1402914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1402917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1402923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402938 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402946 */     // MIs[0] policy
     /* 1402946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402956 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1402959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1402977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402980 */     // GIR_Coverage, 7386,
     /* 1402980 */     GIR_EraseRootFromParent_Done,
     /* 1402981 */   // Label 19899: @1402981
     /* 1402981 */   GIM_Try, /*On fail goto*//*Label 19900*/ GIMT_Encode4(1403067), // Rule ID 7387 //
     /* 1402986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1402997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1403000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1403003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1403009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403024 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403032 */     // MIs[0] policy
     /* 1403032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403042 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1403045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403066 */     // GIR_Coverage, 7387,
     /* 1403066 */     GIR_EraseRootFromParent_Done,
     /* 1403067 */   // Label 19900: @1403067
     /* 1403067 */   GIM_Try, /*On fail goto*//*Label 19901*/ GIMT_Encode4(1403153), // Rule ID 7390 //
     /* 1403072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1403075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1403083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1403086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1403089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1403095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403110 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403118 */     // MIs[0] policy
     /* 1403118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1403131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403152 */     // GIR_Coverage, 7390,
     /* 1403152 */     GIR_EraseRootFromParent_Done,
     /* 1403153 */   // Label 19901: @1403153
     /* 1403153 */   GIM_Try, /*On fail goto*//*Label 19902*/ GIMT_Encode4(1403239), // Rule ID 7391 //
     /* 1403158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1403161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1403169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1403172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1403175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1403181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403196 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403204 */     // MIs[0] policy
     /* 1403204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403214 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1403217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403238 */     // GIR_Coverage, 7391,
     /* 1403238 */     GIR_EraseRootFromParent_Done,
     /* 1403239 */   // Label 19902: @1403239
     /* 1403239 */   GIM_Try, /*On fail goto*//*Label 19903*/ GIMT_Encode4(1403325), // Rule ID 7394 //
     /* 1403244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1403247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1403255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1403258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1403261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1403267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403282 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403290 */     // MIs[0] policy
     /* 1403290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1403303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403324 */     // GIR_Coverage, 7394,
     /* 1403324 */     GIR_EraseRootFromParent_Done,
     /* 1403325 */   // Label 19903: @1403325
     /* 1403325 */   GIM_Try, /*On fail goto*//*Label 19904*/ GIMT_Encode4(1403411), // Rule ID 7395 //
     /* 1403330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1403333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1403341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1403344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1403347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1403353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403368 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403376 */     // MIs[0] policy
     /* 1403376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1403389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403410 */     // GIR_Coverage, 7395,
     /* 1403410 */     GIR_EraseRootFromParent_Done,
     /* 1403411 */   // Label 19904: @1403411
     /* 1403411 */   GIM_Try, /*On fail goto*//*Label 19905*/ GIMT_Encode4(1403497), // Rule ID 7398 //
     /* 1403416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1403419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1403427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1403430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1403433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1403439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403454 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403462 */     // MIs[0] policy
     /* 1403462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403472 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1403475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403496 */     // GIR_Coverage, 7398,
     /* 1403496 */     GIR_EraseRootFromParent_Done,
     /* 1403497 */   // Label 19905: @1403497
     /* 1403497 */   GIM_Try, /*On fail goto*//*Label 19906*/ GIMT_Encode4(1403583), // Rule ID 7399 //
     /* 1403502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1403505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1403513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1403516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1403519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1403525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403540 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403548 */     // MIs[0] policy
     /* 1403548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403558 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1403561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403582 */     // GIR_Coverage, 7399,
     /* 1403582 */     GIR_EraseRootFromParent_Done,
     /* 1403583 */   // Label 19906: @1403583
     /* 1403583 */   GIM_Try, /*On fail goto*//*Label 19907*/ GIMT_Encode4(1403669), // Rule ID 7402 //
     /* 1403588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1403591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1403599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1403602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1403605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1403611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403626 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403634 */     // MIs[0] policy
     /* 1403634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403644 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1403647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403668 */     // GIR_Coverage, 7402,
     /* 1403668 */     GIR_EraseRootFromParent_Done,
     /* 1403669 */   // Label 19907: @1403669
     /* 1403669 */   GIM_Try, /*On fail goto*//*Label 19908*/ GIMT_Encode4(1403755), // Rule ID 7403 //
     /* 1403674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1403677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1403685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1403688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1403691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1403697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403712 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403720 */     // MIs[0] policy
     /* 1403720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403730 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1403733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403754 */     // GIR_Coverage, 7403,
     /* 1403754 */     GIR_EraseRootFromParent_Done,
     /* 1403755 */   // Label 19908: @1403755
     /* 1403755 */   GIM_Try, /*On fail goto*//*Label 19909*/ GIMT_Encode4(1403841), // Rule ID 7406 //
     /* 1403760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1403763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1403771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1403774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1403777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1403783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403798 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403806 */     // MIs[0] policy
     /* 1403806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403816 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1403819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403840 */     // GIR_Coverage, 7406,
     /* 1403840 */     GIR_EraseRootFromParent_Done,
     /* 1403841 */   // Label 19909: @1403841
     /* 1403841 */   GIM_Try, /*On fail goto*//*Label 19910*/ GIMT_Encode4(1403927), // Rule ID 7407 //
     /* 1403846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1403849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1403857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1403860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1403863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1403869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403884 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403892 */     // MIs[0] policy
     /* 1403892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403902 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1403905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403926 */     // GIR_Coverage, 7407,
     /* 1403926 */     GIR_EraseRootFromParent_Done,
     /* 1403927 */   // Label 19910: @1403927
     /* 1403927 */   GIM_Try, /*On fail goto*//*Label 19911*/ GIMT_Encode4(1404013), // Rule ID 7410 //
     /* 1403932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1403935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1403940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1403943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1403946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1403949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1403955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403970 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403978 */     // MIs[0] policy
     /* 1403978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403988 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1403991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404012 */     // GIR_Coverage, 7410,
     /* 1404012 */     GIR_EraseRootFromParent_Done,
     /* 1404013 */   // Label 19911: @1404013
     /* 1404013 */   GIM_Try, /*On fail goto*//*Label 19912*/ GIMT_Encode4(1404099), // Rule ID 7411 //
     /* 1404018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1404021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1404029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1404032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1404035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1404041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404056 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404064 */     // MIs[0] policy
     /* 1404064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404074 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1404077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404098 */     // GIR_Coverage, 7411,
     /* 1404098 */     GIR_EraseRootFromParent_Done,
     /* 1404099 */   // Label 19912: @1404099
     /* 1404099 */   GIM_Try, /*On fail goto*//*Label 19913*/ GIMT_Encode4(1404185), // Rule ID 7414 //
     /* 1404104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1404107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1404115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1404118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1404127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404142 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404150 */     // MIs[0] policy
     /* 1404150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404160 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1404163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404184 */     // GIR_Coverage, 7414,
     /* 1404184 */     GIR_EraseRootFromParent_Done,
     /* 1404185 */   // Label 19913: @1404185
     /* 1404185 */   GIM_Try, /*On fail goto*//*Label 19914*/ GIMT_Encode4(1404271), // Rule ID 7415 //
     /* 1404190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1404193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1404201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1404204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1404213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404228 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404236 */     // MIs[0] policy
     /* 1404236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404246 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1404249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404270 */     // GIR_Coverage, 7415,
     /* 1404270 */     GIR_EraseRootFromParent_Done,
     /* 1404271 */   // Label 19914: @1404271
     /* 1404271 */   GIM_Try, /*On fail goto*//*Label 19915*/ GIMT_Encode4(1404357), // Rule ID 7418 //
     /* 1404276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1404279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1404287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1404290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1404299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404314 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404322 */     // MIs[0] policy
     /* 1404322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1404335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404356 */     // GIR_Coverage, 7418,
     /* 1404356 */     GIR_EraseRootFromParent_Done,
     /* 1404357 */   // Label 19915: @1404357
     /* 1404357 */   GIM_Try, /*On fail goto*//*Label 19916*/ GIMT_Encode4(1404443), // Rule ID 7419 //
     /* 1404362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1404365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1404373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1404376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1404385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404400 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404408 */     // MIs[0] policy
     /* 1404408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404418 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1404421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404442 */     // GIR_Coverage, 7419,
     /* 1404442 */     GIR_EraseRootFromParent_Done,
     /* 1404443 */   // Label 19916: @1404443
     /* 1404443 */   GIM_Try, /*On fail goto*//*Label 19917*/ GIMT_Encode4(1404529), // Rule ID 7422 //
     /* 1404448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1404451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1404459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1404462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1404465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1404471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404486 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404494 */     // MIs[0] policy
     /* 1404494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404504 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1404507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404528 */     // GIR_Coverage, 7422,
     /* 1404528 */     GIR_EraseRootFromParent_Done,
     /* 1404529 */   // Label 19917: @1404529
     /* 1404529 */   GIM_Try, /*On fail goto*//*Label 19918*/ GIMT_Encode4(1404615), // Rule ID 7423 //
     /* 1404534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1404537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1404545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1404548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1404551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1404557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404572 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404580 */     // MIs[0] policy
     /* 1404580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404590 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1404593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404614 */     // GIR_Coverage, 7423,
     /* 1404614 */     GIR_EraseRootFromParent_Done,
     /* 1404615 */   // Label 19918: @1404615
     /* 1404615 */   GIM_Try, /*On fail goto*//*Label 19919*/ GIMT_Encode4(1404701), // Rule ID 7426 //
     /* 1404620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1404623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1404637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1404643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404658 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404666 */     // MIs[0] policy
     /* 1404666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1404679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404700 */     // GIR_Coverage, 7426,
     /* 1404700 */     GIR_EraseRootFromParent_Done,
     /* 1404701 */   // Label 19919: @1404701
     /* 1404701 */   GIM_Try, /*On fail goto*//*Label 19920*/ GIMT_Encode4(1404787), // Rule ID 7427 //
     /* 1404706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1404709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1404723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1404729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404744 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404752 */     // MIs[0] policy
     /* 1404752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404762 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1404765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404786 */     // GIR_Coverage, 7427,
     /* 1404786 */     GIR_EraseRootFromParent_Done,
     /* 1404787 */   // Label 19920: @1404787
     /* 1404787 */   GIM_Try, /*On fail goto*//*Label 19921*/ GIMT_Encode4(1404873), // Rule ID 7430 //
     /* 1404792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1404795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1404809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1404815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404830 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404838 */     // MIs[0] policy
     /* 1404838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404848 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1404851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404872 */     // GIR_Coverage, 7430,
     /* 1404872 */     GIR_EraseRootFromParent_Done,
     /* 1404873 */   // Label 19921: @1404873
     /* 1404873 */   GIM_Try, /*On fail goto*//*Label 19922*/ GIMT_Encode4(1404959), // Rule ID 7431 //
     /* 1404878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1404881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1404895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1404901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404916 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1404920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404924 */     // MIs[0] policy
     /* 1404924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404934 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1404937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404958 */     // GIR_Coverage, 7431,
     /* 1404958 */     GIR_EraseRootFromParent_Done,
     /* 1404959 */   // Label 19922: @1404959
     /* 1404959 */   GIM_Try, /*On fail goto*//*Label 19923*/ GIMT_Encode4(1405045), // Rule ID 7434 //
     /* 1404964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1404967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1404972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1404975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1404978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1404981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1404987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405002 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1405006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405010 */     // MIs[0] policy
     /* 1405010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405020 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1405023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405044 */     // GIR_Coverage, 7434,
     /* 1405044 */     GIR_EraseRootFromParent_Done,
     /* 1405045 */   // Label 19923: @1405045
     /* 1405045 */   GIM_Try, /*On fail goto*//*Label 19924*/ GIMT_Encode4(1405131), // Rule ID 7435 //
     /* 1405050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1405053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1405058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1405061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1405064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1405067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1405070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1405073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405088 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1405092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405096 */     // MIs[0] policy
     /* 1405096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405106 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1405109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405130 */     // GIR_Coverage, 7435,
     /* 1405130 */     GIR_EraseRootFromParent_Done,
     /* 1405131 */   // Label 19924: @1405131
     /* 1405131 */   GIM_Try, /*On fail goto*//*Label 19925*/ GIMT_Encode4(1405217), // Rule ID 7438 //
     /* 1405136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1405139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1405144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1405147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1405150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1405153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1405156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1405159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405174 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1405178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405182 */     // MIs[0] policy
     /* 1405182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405192 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1405195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405216 */     // GIR_Coverage, 7438,
     /* 1405216 */     GIR_EraseRootFromParent_Done,
     /* 1405217 */   // Label 19925: @1405217
     /* 1405217 */   GIM_Try, /*On fail goto*//*Label 19926*/ GIMT_Encode4(1405303), // Rule ID 7439 //
     /* 1405222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1405225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1405230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1405233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1405236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1405239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1405242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1405245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405260 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1405264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405268 */     // MIs[0] policy
     /* 1405268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405278 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1405281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405302 */     // GIR_Coverage, 7439,
     /* 1405302 */     GIR_EraseRootFromParent_Done,
     /* 1405303 */   // Label 19926: @1405303
     /* 1405303 */   GIM_Try, /*On fail goto*//*Label 19927*/ GIMT_Encode4(1405389), // Rule ID 7442 //
     /* 1405308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1405311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1405316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1405319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1405322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1405325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1405328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1405331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405346 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1405350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405354 */     // MIs[0] policy
     /* 1405354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405364 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1405367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405388 */     // GIR_Coverage, 7442,
     /* 1405388 */     GIR_EraseRootFromParent_Done,
     /* 1405389 */   // Label 19927: @1405389
     /* 1405389 */   GIM_Try, /*On fail goto*//*Label 19928*/ GIMT_Encode4(1405475), // Rule ID 7443 //
     /* 1405394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1405397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1405402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1405405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1405408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1405411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1405414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1405417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405432 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1405436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405440 */     // MIs[0] policy
     /* 1405440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405450 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1405453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405474 */     // GIR_Coverage, 7443,
     /* 1405474 */     GIR_EraseRootFromParent_Done,
     /* 1405475 */   // Label 19928: @1405475
     /* 1405475 */   GIM_Try, /*On fail goto*//*Label 19929*/ GIMT_Encode4(1405561), // Rule ID 7446 //
     /* 1405480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1405483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1405488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1405497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1405500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1405503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405518 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1405522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405526 */     // MIs[0] policy
     /* 1405526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405536 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1405539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405560 */     // GIR_Coverage, 7446,
     /* 1405560 */     GIR_EraseRootFromParent_Done,
     /* 1405561 */   // Label 19929: @1405561
     /* 1405561 */   GIM_Try, /*On fail goto*//*Label 19930*/ GIMT_Encode4(1405647), // Rule ID 7447 //
     /* 1405566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1405569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1405574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1405583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1405586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1405589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405604 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1405608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405612 */     // MIs[0] policy
     /* 1405612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1405625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405646 */     // GIR_Coverage, 7447,
     /* 1405646 */     GIR_EraseRootFromParent_Done,
     /* 1405647 */   // Label 19930: @1405647
     /* 1405647 */   GIM_Try, /*On fail goto*//*Label 19931*/ GIMT_Encode4(1405735), // Rule ID 2752 //
     /* 1405652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1405663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1405666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405691 */     // MIs[0] Operand 5
     /* 1405691 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405702 */     // MIs[0] policy
     /* 1405702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405712 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1405715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405734 */     // GIR_Coverage, 2752,
     /* 1405734 */     GIR_EraseRootFromParent_Done,
     /* 1405735 */   // Label 19931: @1405735
     /* 1405735 */   GIM_Try, /*On fail goto*//*Label 19932*/ GIMT_Encode4(1405823), // Rule ID 2753 //
     /* 1405740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1405751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1405754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405779 */     // MIs[0] Operand 5
     /* 1405779 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405790 */     // MIs[0] policy
     /* 1405790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405800 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1405803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405822 */     // GIR_Coverage, 2753,
     /* 1405822 */     GIR_EraseRootFromParent_Done,
     /* 1405823 */   // Label 19932: @1405823
     /* 1405823 */   GIM_Try, /*On fail goto*//*Label 19933*/ GIMT_Encode4(1405911), // Rule ID 20644 //
     /* 1405828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1405839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1405842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405867 */     // MIs[0] Operand 5
     /* 1405867 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405878 */     // MIs[0] policy
     /* 1405878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405888 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1405891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405910 */     // GIR_Coverage, 20644,
     /* 1405910 */     GIR_EraseRootFromParent_Done,
     /* 1405911 */   // Label 19933: @1405911
     /* 1405911 */   GIM_Try, /*On fail goto*//*Label 19934*/ GIMT_Encode4(1405999), // Rule ID 20645 //
     /* 1405916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1405927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1405930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405955 */     // MIs[0] Operand 5
     /* 1405955 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405966 */     // MIs[0] policy
     /* 1405966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1405979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405998 */     // GIR_Coverage, 20645,
     /* 1405998 */     GIR_EraseRootFromParent_Done,
     /* 1405999 */   // Label 19934: @1405999
     /* 1405999 */   GIM_Try, /*On fail goto*//*Label 19935*/ GIMT_Encode4(1406087), // Rule ID 20648 //
     /* 1406004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1406007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1406015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1406018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406043 */     // MIs[0] Operand 5
     /* 1406043 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406054 */     // MIs[0] policy
     /* 1406054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406064 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406086 */     // GIR_Coverage, 20648,
     /* 1406086 */     GIR_EraseRootFromParent_Done,
     /* 1406087 */   // Label 19935: @1406087
     /* 1406087 */   GIM_Try, /*On fail goto*//*Label 19936*/ GIMT_Encode4(1406175), // Rule ID 20649 //
     /* 1406092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1406095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1406103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1406106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406131 */     // MIs[0] Operand 5
     /* 1406131 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406142 */     // MIs[0] policy
     /* 1406142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406174 */     // GIR_Coverage, 20649,
     /* 1406174 */     GIR_EraseRootFromParent_Done,
     /* 1406175 */   // Label 19936: @1406175
     /* 1406175 */   GIM_Try, /*On fail goto*//*Label 19937*/ GIMT_Encode4(1406263), // Rule ID 20652 //
     /* 1406180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1406191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1406194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1406197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406219 */     // MIs[0] Operand 5
     /* 1406219 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406230 */     // MIs[0] policy
     /* 1406230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1406243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406262 */     // GIR_Coverage, 20652,
     /* 1406262 */     GIR_EraseRootFromParent_Done,
     /* 1406263 */   // Label 19937: @1406263
     /* 1406263 */   GIM_Try, /*On fail goto*//*Label 19938*/ GIMT_Encode4(1406351), // Rule ID 20653 //
     /* 1406268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1406279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1406282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1406285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406307 */     // MIs[0] Operand 5
     /* 1406307 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406318 */     // MIs[0] policy
     /* 1406318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1406331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406350 */     // GIR_Coverage, 20653,
     /* 1406350 */     GIR_EraseRootFromParent_Done,
     /* 1406351 */   // Label 19938: @1406351
     /* 1406351 */   GIM_Try, /*On fail goto*//*Label 19939*/ GIMT_Encode4(1406439), // Rule ID 20656 //
     /* 1406356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1406359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1406367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1406370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406395 */     // MIs[0] Operand 5
     /* 1406395 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406406 */     // MIs[0] policy
     /* 1406406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1406419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406438 */     // GIR_Coverage, 20656,
     /* 1406438 */     GIR_EraseRootFromParent_Done,
     /* 1406439 */   // Label 19939: @1406439
     /* 1406439 */   GIM_Try, /*On fail goto*//*Label 19940*/ GIMT_Encode4(1406527), // Rule ID 20657 //
     /* 1406444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1406447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1406455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1406458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406483 */     // MIs[0] Operand 5
     /* 1406483 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406494 */     // MIs[0] policy
     /* 1406494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406504 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1406507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406526 */     // GIR_Coverage, 20657,
     /* 1406526 */     GIR_EraseRootFromParent_Done,
     /* 1406527 */   // Label 19940: @1406527
     /* 1406527 */   GIM_Try, /*On fail goto*//*Label 19941*/ GIMT_Encode4(1406615), // Rule ID 20660 //
     /* 1406532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1406535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1406549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406571 */     // MIs[0] Operand 5
     /* 1406571 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406582 */     // MIs[0] policy
     /* 1406582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1406595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406614 */     // GIR_Coverage, 20660,
     /* 1406614 */     GIR_EraseRootFromParent_Done,
     /* 1406615 */   // Label 19941: @1406615
     /* 1406615 */   GIM_Try, /*On fail goto*//*Label 19942*/ GIMT_Encode4(1406703), // Rule ID 20661 //
     /* 1406620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1406623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1406637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406659 */     // MIs[0] Operand 5
     /* 1406659 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406670 */     // MIs[0] policy
     /* 1406670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1406683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406702 */     // GIR_Coverage, 20661,
     /* 1406702 */     GIR_EraseRootFromParent_Done,
     /* 1406703 */   // Label 19942: @1406703
     /* 1406703 */   GIM_Try, /*On fail goto*//*Label 19943*/ GIMT_Encode4(1406791), // Rule ID 20664 //
     /* 1406708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1406719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1406722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1406725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406747 */     // MIs[0] Operand 5
     /* 1406747 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406758 */     // MIs[0] policy
     /* 1406758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406768 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1406771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406790 */     // GIR_Coverage, 20664,
     /* 1406790 */     GIR_EraseRootFromParent_Done,
     /* 1406791 */   // Label 19943: @1406791
     /* 1406791 */   GIM_Try, /*On fail goto*//*Label 19944*/ GIMT_Encode4(1406879), // Rule ID 20665 //
     /* 1406796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1406807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1406810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1406813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406835 */     // MIs[0] Operand 5
     /* 1406835 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406846 */     // MIs[0] policy
     /* 1406846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406856 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1406859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406878 */     // GIR_Coverage, 20665,
     /* 1406878 */     GIR_EraseRootFromParent_Done,
     /* 1406879 */   // Label 19944: @1406879
     /* 1406879 */   GIM_Try, /*On fail goto*//*Label 19945*/ GIMT_Encode4(1406967), // Rule ID 20668 //
     /* 1406884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1406895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1406898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406923 */     // MIs[0] Operand 5
     /* 1406923 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406934 */     // MIs[0] policy
     /* 1406934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406944 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1406947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406966 */     // GIR_Coverage, 20668,
     /* 1406966 */     GIR_EraseRootFromParent_Done,
     /* 1406967 */   // Label 19945: @1406967
     /* 1406967 */   GIM_Try, /*On fail goto*//*Label 19946*/ GIMT_Encode4(1407055), // Rule ID 20669 //
     /* 1406972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1406980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1406983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1406986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407011 */     // MIs[0] Operand 5
     /* 1407011 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407022 */     // MIs[0] policy
     /* 1407022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1407035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407054 */     // GIR_Coverage, 20669,
     /* 1407054 */     GIR_EraseRootFromParent_Done,
     /* 1407055 */   // Label 19946: @1407055
     /* 1407055 */   GIM_Try, /*On fail goto*//*Label 19947*/ GIMT_Encode4(1407143), // Rule ID 20672 //
     /* 1407060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1407071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1407074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1407077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1407080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407099 */     // MIs[0] Operand 5
     /* 1407099 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407110 */     // MIs[0] policy
     /* 1407110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407120 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1407123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407142 */     // GIR_Coverage, 20672,
     /* 1407142 */     GIR_EraseRootFromParent_Done,
     /* 1407143 */   // Label 19947: @1407143
     /* 1407143 */   GIM_Try, /*On fail goto*//*Label 19948*/ GIMT_Encode4(1407231), // Rule ID 20673 //
     /* 1407148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1407159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1407162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1407165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1407168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407187 */     // MIs[0] Operand 5
     /* 1407187 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407198 */     // MIs[0] policy
     /* 1407198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1407211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407230 */     // GIR_Coverage, 20673,
     /* 1407230 */     GIR_EraseRootFromParent_Done,
     /* 1407231 */   // Label 19948: @1407231
     /* 1407231 */   GIM_Try, /*On fail goto*//*Label 19949*/ GIMT_Encode4(1407319), // Rule ID 20676 //
     /* 1407236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1407239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1407247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1407250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1407253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407275 */     // MIs[0] Operand 5
     /* 1407275 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407286 */     // MIs[0] policy
     /* 1407286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1407299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407318 */     // GIR_Coverage, 20676,
     /* 1407318 */     GIR_EraseRootFromParent_Done,
     /* 1407319 */   // Label 19949: @1407319
     /* 1407319 */   GIM_Try, /*On fail goto*//*Label 19950*/ GIMT_Encode4(1407407), // Rule ID 20677 //
     /* 1407324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1407327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1407335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1407338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1407341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407363 */     // MIs[0] Operand 5
     /* 1407363 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407374 */     // MIs[0] policy
     /* 1407374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1407387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407406 */     // GIR_Coverage, 20677,
     /* 1407406 */     GIR_EraseRootFromParent_Done,
     /* 1407407 */   // Label 19950: @1407407
     /* 1407407 */   GIM_Try, /*On fail goto*//*Label 19951*/ GIMT_Encode4(1407495), // Rule ID 20680 //
     /* 1407412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1407415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1407423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1407426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1407429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407451 */     // MIs[0] Operand 5
     /* 1407451 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407462 */     // MIs[0] policy
     /* 1407462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1407475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407494 */     // GIR_Coverage, 20680,
     /* 1407494 */     GIR_EraseRootFromParent_Done,
     /* 1407495 */   // Label 19951: @1407495
     /* 1407495 */   GIM_Try, /*On fail goto*//*Label 19952*/ GIMT_Encode4(1407583), // Rule ID 20681 //
     /* 1407500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1407503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1407511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1407514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1407517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407539 */     // MIs[0] Operand 5
     /* 1407539 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407550 */     // MIs[0] policy
     /* 1407550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1407563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407582 */     // GIR_Coverage, 20681,
     /* 1407582 */     GIR_EraseRootFromParent_Done,
     /* 1407583 */   // Label 19952: @1407583
     /* 1407583 */   GIM_Try, /*On fail goto*//*Label 19953*/ GIMT_Encode4(1407671), // Rule ID 20684 //
     /* 1407588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1407591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1407599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1407602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1407605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1407608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407627 */     // MIs[0] Operand 5
     /* 1407627 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407638 */     // MIs[0] policy
     /* 1407638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407648 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1407651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407670 */     // GIR_Coverage, 20684,
     /* 1407670 */     GIR_EraseRootFromParent_Done,
     /* 1407671 */   // Label 19953: @1407671
     /* 1407671 */   GIM_Try, /*On fail goto*//*Label 19954*/ GIMT_Encode4(1407759), // Rule ID 20685 //
     /* 1407676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1407679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1407687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1407690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1407693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1407696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407715 */     // MIs[0] Operand 5
     /* 1407715 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407726 */     // MIs[0] policy
     /* 1407726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1407739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407758 */     // GIR_Coverage, 20685,
     /* 1407758 */     GIR_EraseRootFromParent_Done,
     /* 1407759 */   // Label 19954: @1407759
     /* 1407759 */   GIM_Try, /*On fail goto*//*Label 19955*/ GIMT_Encode4(1407847), // Rule ID 20688 //
     /* 1407764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1407767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1407775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1407778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1407781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407803 */     // MIs[0] Operand 5
     /* 1407803 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407814 */     // MIs[0] policy
     /* 1407814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407824 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1407827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407846 */     // GIR_Coverage, 20688,
     /* 1407846 */     GIR_EraseRootFromParent_Done,
     /* 1407847 */   // Label 19955: @1407847
     /* 1407847 */   GIM_Try, /*On fail goto*//*Label 19956*/ GIMT_Encode4(1407935), // Rule ID 20689 //
     /* 1407852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1407855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1407863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1407866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1407869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407891 */     // MIs[0] Operand 5
     /* 1407891 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407902 */     // MIs[0] policy
     /* 1407902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407912 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1407915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407934 */     // GIR_Coverage, 20689,
     /* 1407934 */     GIR_EraseRootFromParent_Done,
     /* 1407935 */   // Label 19956: @1407935
     /* 1407935 */   GIM_Try, /*On fail goto*//*Label 19957*/ GIMT_Encode4(1408023), // Rule ID 20692 //
     /* 1407940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1407943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1407948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1407951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1407954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1407957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407979 */     // MIs[0] Operand 5
     /* 1407979 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407990 */     // MIs[0] policy
     /* 1407990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408000 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1408003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408022 */     // GIR_Coverage, 20692,
     /* 1408022 */     GIR_EraseRootFromParent_Done,
     /* 1408023 */   // Label 19957: @1408023
     /* 1408023 */   GIM_Try, /*On fail goto*//*Label 19958*/ GIMT_Encode4(1408111), // Rule ID 20693 //
     /* 1408028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1408031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1408036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1408039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1408042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1408045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408067 */     // MIs[0] Operand 5
     /* 1408067 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408078 */     // MIs[0] policy
     /* 1408078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408088 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1408091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408110 */     // GIR_Coverage, 20693,
     /* 1408110 */     GIR_EraseRootFromParent_Done,
     /* 1408111 */   // Label 19958: @1408111
     /* 1408111 */   GIM_Try, /*On fail goto*//*Label 19959*/ GIMT_Encode4(1408199), // Rule ID 20696 //
     /* 1408116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1408119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1408124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1408127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1408130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1408133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1408143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408155 */     // MIs[0] Operand 5
     /* 1408155 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408166 */     // MIs[0] policy
     /* 1408166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1408179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408198 */     // GIR_Coverage, 20696,
     /* 1408198 */     GIR_EraseRootFromParent_Done,
     /* 1408199 */   // Label 19959: @1408199
     /* 1408199 */   GIM_Try, /*On fail goto*//*Label 19960*/ GIMT_Encode4(1408287), // Rule ID 20697 //
     /* 1408204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1408207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1408212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1408215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1408218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1408221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1408231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408243 */     // MIs[0] Operand 5
     /* 1408243 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408254 */     // MIs[0] policy
     /* 1408254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1408267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408286 */     // GIR_Coverage, 20697,
     /* 1408286 */     GIR_EraseRootFromParent_Done,
     /* 1408287 */   // Label 19960: @1408287
     /* 1408287 */   GIM_Try, /*On fail goto*//*Label 19961*/ GIMT_Encode4(1408375), // Rule ID 20700 //
     /* 1408292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1408303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1408306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1408309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408331 */     // MIs[0] Operand 5
     /* 1408331 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408342 */     // MIs[0] policy
     /* 1408342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408352 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1408355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408374 */     // GIR_Coverage, 20700,
     /* 1408374 */     GIR_EraseRootFromParent_Done,
     /* 1408375 */   // Label 19961: @1408375
     /* 1408375 */   GIM_Try, /*On fail goto*//*Label 19962*/ GIMT_Encode4(1408463), // Rule ID 20701 //
     /* 1408380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1408391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1408394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1408397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408419 */     // MIs[0] Operand 5
     /* 1408419 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408430 */     // MIs[0] policy
     /* 1408430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408440 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1408443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408462 */     // GIR_Coverage, 20701,
     /* 1408462 */     GIR_EraseRootFromParent_Done,
     /* 1408463 */   // Label 19962: @1408463
     /* 1408463 */   GIM_Try, /*On fail goto*//*Label 19963*/ GIMT_Encode4(1408551), // Rule ID 20704 //
     /* 1408468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1408479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1408482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1408485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408507 */     // MIs[0] Operand 5
     /* 1408507 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408518 */     // MIs[0] policy
     /* 1408518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1408531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408550 */     // GIR_Coverage, 20704,
     /* 1408550 */     GIR_EraseRootFromParent_Done,
     /* 1408551 */   // Label 19963: @1408551
     /* 1408551 */   GIM_Try, /*On fail goto*//*Label 19964*/ GIMT_Encode4(1408639), // Rule ID 20705 //
     /* 1408556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1408567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1408570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1408573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408595 */     // MIs[0] Operand 5
     /* 1408595 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408606 */     // MIs[0] policy
     /* 1408606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1408619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408638 */     // GIR_Coverage, 20705,
     /* 1408638 */     GIR_EraseRootFromParent_Done,
     /* 1408639 */   // Label 19964: @1408639
     /* 1408639 */   GIM_Try, /*On fail goto*//*Label 19965*/ GIMT_Encode4(1408727), // Rule ID 20708 //
     /* 1408644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1408655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1408658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1408661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408683 */     // MIs[0] Operand 5
     /* 1408683 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408694 */     // MIs[0] policy
     /* 1408694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408704 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1408707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408726 */     // GIR_Coverage, 20708,
     /* 1408726 */     GIR_EraseRootFromParent_Done,
     /* 1408727 */   // Label 19965: @1408727
     /* 1408727 */   GIM_Try, /*On fail goto*//*Label 19966*/ GIMT_Encode4(1408815), // Rule ID 20709 //
     /* 1408732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1408743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1408746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1408749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408771 */     // MIs[0] Operand 5
     /* 1408771 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408782 */     // MIs[0] policy
     /* 1408782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1408795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408814 */     // GIR_Coverage, 20709,
     /* 1408814 */     GIR_EraseRootFromParent_Done,
     /* 1408815 */   // Label 19966: @1408815
     /* 1408815 */   GIM_Try, /*On fail goto*//*Label 19967*/ GIMT_Encode4(1408903), // Rule ID 20712 //
     /* 1408820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1408831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1408834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1408837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408859 */     // MIs[0] Operand 5
     /* 1408859 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408870 */     // MIs[0] policy
     /* 1408870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1408883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408902 */     // GIR_Coverage, 20712,
     /* 1408902 */     GIR_EraseRootFromParent_Done,
     /* 1408903 */   // Label 19967: @1408903
     /* 1408903 */   GIM_Try, /*On fail goto*//*Label 19968*/ GIMT_Encode4(1408991), // Rule ID 20713 //
     /* 1408908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1408919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1408922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1408925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408947 */     // MIs[0] Operand 5
     /* 1408947 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408958 */     // MIs[0] policy
     /* 1408958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1408971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408990 */     // GIR_Coverage, 20713,
     /* 1408990 */     GIR_EraseRootFromParent_Done,
     /* 1408991 */   // Label 19968: @1408991
     /* 1408991 */   GIM_Try, /*On fail goto*//*Label 19969*/ GIMT_Encode4(1409079), // Rule ID 20716 //
     /* 1408996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1409007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1409010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1409013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409035 */     // MIs[0] Operand 5
     /* 1409035 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409046 */     // MIs[0] policy
     /* 1409046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1409059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409078 */     // GIR_Coverage, 20716,
     /* 1409078 */     GIR_EraseRootFromParent_Done,
     /* 1409079 */   // Label 19969: @1409079
     /* 1409079 */   GIM_Try, /*On fail goto*//*Label 19970*/ GIMT_Encode4(1409167), // Rule ID 20717 //
     /* 1409084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1409087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1409095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1409098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1409101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409123 */     // MIs[0] Operand 5
     /* 1409123 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409134 */     // MIs[0] policy
     /* 1409134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1409147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409166 */     // GIR_Coverage, 20717,
     /* 1409166 */     GIR_EraseRootFromParent_Done,
     /* 1409167 */   // Label 19970: @1409167
     /* 1409167 */   GIM_Try, /*On fail goto*//*Label 19971*/ GIMT_Encode4(1409255), // Rule ID 20720 //
     /* 1409172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1409175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1409183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1409186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1409189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409211 */     // MIs[0] Operand 5
     /* 1409211 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409222 */     // MIs[0] policy
     /* 1409222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409232 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1409235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409254 */     // GIR_Coverage, 20720,
     /* 1409254 */     GIR_EraseRootFromParent_Done,
     /* 1409255 */   // Label 19971: @1409255
     /* 1409255 */   GIM_Try, /*On fail goto*//*Label 19972*/ GIMT_Encode4(1409343), // Rule ID 20721 //
     /* 1409260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1409263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1409271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1409274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1409277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409299 */     // MIs[0] Operand 5
     /* 1409299 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409310 */     // MIs[0] policy
     /* 1409310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1409323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409342 */     // GIR_Coverage, 20721,
     /* 1409342 */     GIR_EraseRootFromParent_Done,
     /* 1409343 */   // Label 19972: @1409343
     /* 1409343 */   GIM_Try, /*On fail goto*//*Label 19973*/ GIMT_Encode4(1409431), // Rule ID 20724 //
     /* 1409348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1409359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1409362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1409365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409387 */     // MIs[0] Operand 5
     /* 1409387 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409398 */     // MIs[0] policy
     /* 1409398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409408 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1409411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409430 */     // GIR_Coverage, 20724,
     /* 1409430 */     GIR_EraseRootFromParent_Done,
     /* 1409431 */   // Label 19973: @1409431
     /* 1409431 */   GIM_Try, /*On fail goto*//*Label 19974*/ GIMT_Encode4(1409519), // Rule ID 20725 //
     /* 1409436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1409439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1409447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1409450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1409453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409475 */     // MIs[0] Operand 5
     /* 1409475 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409486 */     // MIs[0] policy
     /* 1409486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1409499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409518 */     // GIR_Coverage, 20725,
     /* 1409518 */     GIR_EraseRootFromParent_Done,
     /* 1409519 */   // Label 19974: @1409519
     /* 1409519 */   GIM_Try, /*On fail goto*//*Label 19975*/ GIMT_Encode4(1409607), // Rule ID 20728 //
     /* 1409524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1409535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1409538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1409541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409563 */     // MIs[0] Operand 5
     /* 1409563 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409574 */     // MIs[0] policy
     /* 1409574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1409587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409606 */     // GIR_Coverage, 20728,
     /* 1409606 */     GIR_EraseRootFromParent_Done,
     /* 1409607 */   // Label 19975: @1409607
     /* 1409607 */   GIM_Try, /*On fail goto*//*Label 19976*/ GIMT_Encode4(1409695), // Rule ID 20729 //
     /* 1409612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1409615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1409623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1409626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1409629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409651 */     // MIs[0] Operand 5
     /* 1409651 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409662 */     // MIs[0] policy
     /* 1409662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1409675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409694 */     // GIR_Coverage, 20729,
     /* 1409694 */     GIR_EraseRootFromParent_Done,
     /* 1409695 */   // Label 19976: @1409695
     /* 1409695 */   GIM_Try, /*On fail goto*//*Label 19977*/ GIMT_Encode4(1409783), // Rule ID 20732 //
     /* 1409700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1409711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1409714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1409717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1409720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409739 */     // MIs[0] Operand 5
     /* 1409739 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409750 */     // MIs[0] policy
     /* 1409750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409760 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1409763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409782 */     // GIR_Coverage, 20732,
     /* 1409782 */     GIR_EraseRootFromParent_Done,
     /* 1409783 */   // Label 19977: @1409783
     /* 1409783 */   GIM_Try, /*On fail goto*//*Label 19978*/ GIMT_Encode4(1409871), // Rule ID 20733 //
     /* 1409788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1409791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1409799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1409802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1409805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1409808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409827 */     // MIs[0] Operand 5
     /* 1409827 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409838 */     // MIs[0] policy
     /* 1409838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409848 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1409851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409870 */     // GIR_Coverage, 20733,
     /* 1409870 */     GIR_EraseRootFromParent_Done,
     /* 1409871 */   // Label 19978: @1409871
     /* 1409871 */   GIM_Try, /*On fail goto*//*Label 19979*/ GIMT_Encode4(1409959), // Rule ID 20736 //
     /* 1409876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1409879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1409893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409915 */     // MIs[0] Operand 5
     /* 1409915 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409926 */     // MIs[0] policy
     /* 1409926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1409939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409958 */     // GIR_Coverage, 20736,
     /* 1409958 */     GIR_EraseRootFromParent_Done,
     /* 1409959 */   // Label 19979: @1409959
     /* 1409959 */   GIM_Try, /*On fail goto*//*Label 19980*/ GIMT_Encode4(1410047), // Rule ID 20737 //
     /* 1409964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1409967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1409972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1409981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410003 */     // MIs[0] Operand 5
     /* 1410003 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410014 */     // MIs[0] policy
     /* 1410014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1410027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410046 */     // GIR_Coverage, 20737,
     /* 1410046 */     GIR_EraseRootFromParent_Done,
     /* 1410047 */   // Label 19980: @1410047
     /* 1410047 */   GIM_Try, /*On fail goto*//*Label 19981*/ GIMT_Encode4(1410135), // Rule ID 20740 //
     /* 1410052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1410055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1410063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1410066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1410069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410091 */     // MIs[0] Operand 5
     /* 1410091 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410102 */     // MIs[0] policy
     /* 1410102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410112 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1410115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410134 */     // GIR_Coverage, 20740,
     /* 1410134 */     GIR_EraseRootFromParent_Done,
     /* 1410135 */   // Label 19981: @1410135
     /* 1410135 */   GIM_Try, /*On fail goto*//*Label 19982*/ GIMT_Encode4(1410223), // Rule ID 20741 //
     /* 1410140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1410143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1410151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1410154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1410157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410179 */     // MIs[0] Operand 5
     /* 1410179 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410190 */     // MIs[0] policy
     /* 1410190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410200 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1410203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410222 */     // GIR_Coverage, 20741,
     /* 1410222 */     GIR_EraseRootFromParent_Done,
     /* 1410223 */   // Label 19982: @1410223
     /* 1410223 */   GIM_Try, /*On fail goto*//*Label 19983*/ GIMT_Encode4(1410311), // Rule ID 20744 //
     /* 1410228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1410231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1410239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1410242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1410245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1410255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410267 */     // MIs[0] Operand 5
     /* 1410267 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410278 */     // MIs[0] policy
     /* 1410278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410288 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1410291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410310 */     // GIR_Coverage, 20744,
     /* 1410310 */     GIR_EraseRootFromParent_Done,
     /* 1410311 */   // Label 19983: @1410311
     /* 1410311 */   GIM_Try, /*On fail goto*//*Label 19984*/ GIMT_Encode4(1410399), // Rule ID 20745 //
     /* 1410316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1410319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1410327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1410330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1410333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1410343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410355 */     // MIs[0] Operand 5
     /* 1410355 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410366 */     // MIs[0] policy
     /* 1410366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1410379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410398 */     // GIR_Coverage, 20745,
     /* 1410398 */     GIR_EraseRootFromParent_Done,
     /* 1410399 */   // Label 19984: @1410399
     /* 1410399 */   GIM_Try, /*On fail goto*//*Label 19985*/ GIMT_Encode4(1410487), // Rule ID 20748 //
     /* 1410404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1410407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1410415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1410418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1410421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410443 */     // MIs[0] Operand 5
     /* 1410443 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410454 */     // MIs[0] policy
     /* 1410454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410464 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1410467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410486 */     // GIR_Coverage, 20748,
     /* 1410486 */     GIR_EraseRootFromParent_Done,
     /* 1410487 */   // Label 19985: @1410487
     /* 1410487 */   GIM_Try, /*On fail goto*//*Label 19986*/ GIMT_Encode4(1410575), // Rule ID 20749 //
     /* 1410492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1410495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1410503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1410506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1410509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410531 */     // MIs[0] Operand 5
     /* 1410531 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410542 */     // MIs[0] policy
     /* 1410542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1410555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410574 */     // GIR_Coverage, 20749,
     /* 1410574 */     GIR_EraseRootFromParent_Done,
     /* 1410575 */   // Label 19986: @1410575
     /* 1410575 */   GIM_Try, /*On fail goto*//*Label 19987*/ GIMT_Encode4(1410663), // Rule ID 20752 //
     /* 1410580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1410583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1410591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1410594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1410597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410619 */     // MIs[0] Operand 5
     /* 1410619 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410630 */     // MIs[0] policy
     /* 1410630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410640 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1410643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410662 */     // GIR_Coverage, 20752,
     /* 1410662 */     GIR_EraseRootFromParent_Done,
     /* 1410663 */   // Label 19987: @1410663
     /* 1410663 */   GIM_Try, /*On fail goto*//*Label 19988*/ GIMT_Encode4(1410751), // Rule ID 20753 //
     /* 1410668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1410671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1410679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1410682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1410685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410707 */     // MIs[0] Operand 5
     /* 1410707 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410718 */     // MIs[0] policy
     /* 1410718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1410731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410750 */     // GIR_Coverage, 20753,
     /* 1410750 */     GIR_EraseRootFromParent_Done,
     /* 1410751 */   // Label 19988: @1410751
     /* 1410751 */   GIM_Try, /*On fail goto*//*Label 19989*/ GIMT_Encode4(1410839), // Rule ID 20756 //
     /* 1410756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1410759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1410767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1410770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1410773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1410783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410795 */     // MIs[0] Operand 5
     /* 1410795 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410806 */     // MIs[0] policy
     /* 1410806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410816 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1410819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410838 */     // GIR_Coverage, 20756,
     /* 1410838 */     GIR_EraseRootFromParent_Done,
     /* 1410839 */   // Label 19989: @1410839
     /* 1410839 */   GIM_Try, /*On fail goto*//*Label 19990*/ GIMT_Encode4(1410927), // Rule ID 20757 //
     /* 1410844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1410847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1410852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1410855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1410858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1410861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1410871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410883 */     // MIs[0] Operand 5
     /* 1410883 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410894 */     // MIs[0] policy
     /* 1410894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410904 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1410907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410926 */     // GIR_Coverage, 20757,
     /* 1410926 */     GIR_EraseRootFromParent_Done,
     /* 1410927 */   // Label 19990: @1410927
     /* 1410927 */   GIM_Try, /*On fail goto*//*Label 19991*/ GIMT_Encode4(1411015), // Rule ID 21116 //
     /* 1410932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1410940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1410943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1410946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1410949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410971 */     // MIs[0] Operand 5
     /* 1410971 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410982 */     // MIs[0] policy
     /* 1410982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1410995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411014 */     // GIR_Coverage, 21116,
     /* 1411014 */     GIR_EraseRootFromParent_Done,
     /* 1411015 */   // Label 19991: @1411015
     /* 1411015 */   GIM_Try, /*On fail goto*//*Label 19992*/ GIMT_Encode4(1411103), // Rule ID 21117 //
     /* 1411020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1411023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1411031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1411034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1411037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411059 */     // MIs[0] Operand 5
     /* 1411059 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411070 */     // MIs[0] policy
     /* 1411070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1411083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411102 */     // GIR_Coverage, 21117,
     /* 1411102 */     GIR_EraseRootFromParent_Done,
     /* 1411103 */   // Label 19992: @1411103
     /* 1411103 */   GIM_Try, /*On fail goto*//*Label 19993*/ GIMT_Encode4(1411191), // Rule ID 21120 //
     /* 1411108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1411111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1411119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1411122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1411125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411147 */     // MIs[0] Operand 5
     /* 1411147 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411158 */     // MIs[0] policy
     /* 1411158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1411171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411190 */     // GIR_Coverage, 21120,
     /* 1411190 */     GIR_EraseRootFromParent_Done,
     /* 1411191 */   // Label 19993: @1411191
     /* 1411191 */   GIM_Try, /*On fail goto*//*Label 19994*/ GIMT_Encode4(1411279), // Rule ID 21121 //
     /* 1411196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1411199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1411207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1411210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1411213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411235 */     // MIs[0] Operand 5
     /* 1411235 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411246 */     // MIs[0] policy
     /* 1411246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1411259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411278 */     // GIR_Coverage, 21121,
     /* 1411278 */     GIR_EraseRootFromParent_Done,
     /* 1411279 */   // Label 19994: @1411279
     /* 1411279 */   GIM_Try, /*On fail goto*//*Label 19995*/ GIMT_Encode4(1411367), // Rule ID 21124 //
     /* 1411284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1411287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1411295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1411298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1411301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411323 */     // MIs[0] Operand 5
     /* 1411323 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411334 */     // MIs[0] policy
     /* 1411334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1411347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411366 */     // GIR_Coverage, 21124,
     /* 1411366 */     GIR_EraseRootFromParent_Done,
     /* 1411367 */   // Label 19995: @1411367
     /* 1411367 */   GIM_Try, /*On fail goto*//*Label 19996*/ GIMT_Encode4(1411455), // Rule ID 21125 //
     /* 1411372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1411375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1411383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1411386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1411389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411411 */     // MIs[0] Operand 5
     /* 1411411 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411422 */     // MIs[0] policy
     /* 1411422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411432 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1411435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411454 */     // GIR_Coverage, 21125,
     /* 1411454 */     GIR_EraseRootFromParent_Done,
     /* 1411455 */   // Label 19996: @1411455
     /* 1411455 */   GIM_Try, /*On fail goto*//*Label 19997*/ GIMT_Encode4(1411543), // Rule ID 21128 //
     /* 1411460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1411463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1411471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1411474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1411477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411499 */     // MIs[0] Operand 5
     /* 1411499 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411510 */     // MIs[0] policy
     /* 1411510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411520 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1411523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411542 */     // GIR_Coverage, 21128,
     /* 1411542 */     GIR_EraseRootFromParent_Done,
     /* 1411543 */   // Label 19997: @1411543
     /* 1411543 */   GIM_Try, /*On fail goto*//*Label 19998*/ GIMT_Encode4(1411631), // Rule ID 21129 //
     /* 1411548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1411551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1411559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1411562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1411565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411587 */     // MIs[0] Operand 5
     /* 1411587 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411598 */     // MIs[0] policy
     /* 1411598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1411611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411630 */     // GIR_Coverage, 21129,
     /* 1411630 */     GIR_EraseRootFromParent_Done,
     /* 1411631 */   // Label 19998: @1411631
     /* 1411631 */   GIM_Try, /*On fail goto*//*Label 19999*/ GIMT_Encode4(1411719), // Rule ID 21132 //
     /* 1411636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1411639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1411647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1411650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1411653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1411663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411675 */     // MIs[0] Operand 5
     /* 1411675 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411686 */     // MIs[0] policy
     /* 1411686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1411699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411718 */     // GIR_Coverage, 21132,
     /* 1411718 */     GIR_EraseRootFromParent_Done,
     /* 1411719 */   // Label 19999: @1411719
     /* 1411719 */   GIM_Try, /*On fail goto*//*Label 20000*/ GIMT_Encode4(1411807), // Rule ID 21133 //
     /* 1411724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1411727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1411735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1411738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1411741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1411751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411763 */     // MIs[0] Operand 5
     /* 1411763 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411774 */     // MIs[0] policy
     /* 1411774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411784 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1411787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411806 */     // GIR_Coverage, 21133,
     /* 1411806 */     GIR_EraseRootFromParent_Done,
     /* 1411807 */   // Label 20000: @1411807
     /* 1411807 */   GIM_Try, /*On fail goto*//*Label 20001*/ GIMT_Encode4(1411895), // Rule ID 21136 //
     /* 1411812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1411815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1411823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1411826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1411829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411851 */     // MIs[0] Operand 5
     /* 1411851 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411862 */     // MIs[0] policy
     /* 1411862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1411875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411894 */     // GIR_Coverage, 21136,
     /* 1411894 */     GIR_EraseRootFromParent_Done,
     /* 1411895 */   // Label 20001: @1411895
     /* 1411895 */   GIM_Try, /*On fail goto*//*Label 20002*/ GIMT_Encode4(1411983), // Rule ID 21137 //
     /* 1411900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1411903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1411911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1411914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1411917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411939 */     // MIs[0] Operand 5
     /* 1411939 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411950 */     // MIs[0] policy
     /* 1411950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1411963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411982 */     // GIR_Coverage, 21137,
     /* 1411982 */     GIR_EraseRootFromParent_Done,
     /* 1411983 */   // Label 20002: @1411983
     /* 1411983 */   GIM_Try, /*On fail goto*//*Label 20003*/ GIMT_Encode4(1412071), // Rule ID 21140 //
     /* 1411988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1411991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1411996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1411999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1412002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1412005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412027 */     // MIs[0] Operand 5
     /* 1412027 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412038 */     // MIs[0] policy
     /* 1412038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412048 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1412051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412070 */     // GIR_Coverage, 21140,
     /* 1412070 */     GIR_EraseRootFromParent_Done,
     /* 1412071 */   // Label 20003: @1412071
     /* 1412071 */   GIM_Try, /*On fail goto*//*Label 20004*/ GIMT_Encode4(1412159), // Rule ID 21141 //
     /* 1412076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1412079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1412084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1412087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1412090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1412093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412115 */     // MIs[0] Operand 5
     /* 1412115 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412126 */     // MIs[0] policy
     /* 1412126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1412139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412158 */     // GIR_Coverage, 21141,
     /* 1412158 */     GIR_EraseRootFromParent_Done,
     /* 1412159 */   // Label 20004: @1412159
     /* 1412159 */   GIM_Try, /*On fail goto*//*Label 20005*/ GIMT_Encode4(1412247), // Rule ID 21144 //
     /* 1412164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1412167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1412172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1412175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1412178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1412181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412203 */     // MIs[0] Operand 5
     /* 1412203 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412214 */     // MIs[0] policy
     /* 1412214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1412227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412246 */     // GIR_Coverage, 21144,
     /* 1412246 */     GIR_EraseRootFromParent_Done,
     /* 1412247 */   // Label 20005: @1412247
     /* 1412247 */   GIM_Try, /*On fail goto*//*Label 20006*/ GIMT_Encode4(1412335), // Rule ID 21145 //
     /* 1412252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1412255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1412260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1412263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1412266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1412269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412291 */     // MIs[0] Operand 5
     /* 1412291 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412302 */     // MIs[0] policy
     /* 1412302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412312 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1412315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412334 */     // GIR_Coverage, 21145,
     /* 1412334 */     GIR_EraseRootFromParent_Done,
     /* 1412335 */   // Label 20006: @1412335
     /* 1412335 */   GIM_Try, /*On fail goto*//*Label 20007*/ GIMT_Encode4(1412423), // Rule ID 21148 //
     /* 1412340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1412343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1412348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1412351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1412354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1412357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1412367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412379 */     // MIs[0] Operand 5
     /* 1412379 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412390 */     // MIs[0] policy
     /* 1412390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412400 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1412403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412422 */     // GIR_Coverage, 21148,
     /* 1412422 */     GIR_EraseRootFromParent_Done,
     /* 1412423 */   // Label 20007: @1412423
     /* 1412423 */   GIM_Try, /*On fail goto*//*Label 20008*/ GIMT_Encode4(1412511), // Rule ID 21149 //
     /* 1412428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1412431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1412436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1412439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1412442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1412445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1412455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412467 */     // MIs[0] Operand 5
     /* 1412467 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412478 */     // MIs[0] policy
     /* 1412478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412488 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1412491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412510 */     // GIR_Coverage, 21149,
     /* 1412510 */     GIR_EraseRootFromParent_Done,
     /* 1412511 */   // Label 20008: @1412511
     /* 1412511 */   GIM_Try, /*On fail goto*//*Label 20009*/ GIMT_Encode4(1412599), // Rule ID 21152 //
     /* 1412516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1412527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1412530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1412533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1412536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412555 */     // MIs[0] Operand 5
     /* 1412555 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412566 */     // MIs[0] policy
     /* 1412566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412576 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1412579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412598 */     // GIR_Coverage, 21152,
     /* 1412598 */     GIR_EraseRootFromParent_Done,
     /* 1412599 */   // Label 20009: @1412599
     /* 1412599 */   GIM_Try, /*On fail goto*//*Label 20010*/ GIMT_Encode4(1412687), // Rule ID 21153 //
     /* 1412604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1412607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1412615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1412618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1412621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1412624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412643 */     // MIs[0] Operand 5
     /* 1412643 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412654 */     // MIs[0] policy
     /* 1412654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1412667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412686 */     // GIR_Coverage, 21153,
     /* 1412686 */     GIR_EraseRootFromParent_Done,
     /* 1412687 */   // Label 20010: @1412687
     /* 1412687 */   GIM_Try, /*On fail goto*//*Label 20011*/ GIMT_Encode4(1412775), // Rule ID 21156 //
     /* 1412692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1412709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412731 */     // MIs[0] Operand 5
     /* 1412731 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412742 */     // MIs[0] policy
     /* 1412742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1412755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412774 */     // GIR_Coverage, 21156,
     /* 1412774 */     GIR_EraseRootFromParent_Done,
     /* 1412775 */   // Label 20011: @1412775
     /* 1412775 */   GIM_Try, /*On fail goto*//*Label 20012*/ GIMT_Encode4(1412863), // Rule ID 21157 //
     /* 1412780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1412783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1412797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412819 */     // MIs[0] Operand 5
     /* 1412819 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412830 */     // MIs[0] policy
     /* 1412830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1412843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412862 */     // GIR_Coverage, 21157,
     /* 1412862 */     GIR_EraseRootFromParent_Done,
     /* 1412863 */   // Label 20012: @1412863
     /* 1412863 */   GIM_Try, /*On fail goto*//*Label 20013*/ GIMT_Encode4(1412951), // Rule ID 21160 //
     /* 1412868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1412879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1412882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1412885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412907 */     // MIs[0] Operand 5
     /* 1412907 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412918 */     // MIs[0] policy
     /* 1412918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1412931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412950 */     // GIR_Coverage, 21160,
     /* 1412950 */     GIR_EraseRootFromParent_Done,
     /* 1412951 */   // Label 20013: @1412951
     /* 1412951 */   GIM_Try, /*On fail goto*//*Label 20014*/ GIMT_Encode4(1413039), // Rule ID 21161 //
     /* 1412956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1412959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1412964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1412967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1412970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1412973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412995 */     // MIs[0] Operand 5
     /* 1412995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413006 */     // MIs[0] policy
     /* 1413006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1413019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413038 */     // GIR_Coverage, 21161,
     /* 1413038 */     GIR_EraseRootFromParent_Done,
     /* 1413039 */   // Label 20014: @1413039
     /* 1413039 */   GIM_Try, /*On fail goto*//*Label 20015*/ GIMT_Encode4(1413127), // Rule ID 21164 //
     /* 1413044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1413047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1413055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1413058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1413061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1413064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413083 */     // MIs[0] Operand 5
     /* 1413083 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413094 */     // MIs[0] policy
     /* 1413094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413104 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1413107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413126 */     // GIR_Coverage, 21164,
     /* 1413126 */     GIR_EraseRootFromParent_Done,
     /* 1413127 */   // Label 20015: @1413127
     /* 1413127 */   GIM_Try, /*On fail goto*//*Label 20016*/ GIMT_Encode4(1413215), // Rule ID 21165 //
     /* 1413132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1413135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1413143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1413146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1413149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1413152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413171 */     // MIs[0] Operand 5
     /* 1413171 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413182 */     // MIs[0] policy
     /* 1413182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1413195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413214 */     // GIR_Coverage, 21165,
     /* 1413214 */     GIR_EraseRootFromParent_Done,
     /* 1413215 */   // Label 20016: @1413215
     /* 1413215 */   GIM_Try, /*On fail goto*//*Label 20017*/ GIMT_Encode4(1413303), // Rule ID 21168 //
     /* 1413220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1413223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1413231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1413234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1413237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1413240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413259 */     // MIs[0] Operand 5
     /* 1413259 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413270 */     // MIs[0] policy
     /* 1413270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413280 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1413283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413302 */     // GIR_Coverage, 21168,
     /* 1413302 */     GIR_EraseRootFromParent_Done,
     /* 1413303 */   // Label 20017: @1413303
     /* 1413303 */   GIM_Try, /*On fail goto*//*Label 20018*/ GIMT_Encode4(1413391), // Rule ID 21169 //
     /* 1413308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1413311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1413319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1413322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1413325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1413328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413347 */     // MIs[0] Operand 5
     /* 1413347 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413358 */     // MIs[0] policy
     /* 1413358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1413371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413390 */     // GIR_Coverage, 21169,
     /* 1413390 */     GIR_EraseRootFromParent_Done,
     /* 1413391 */   // Label 20018: @1413391
     /* 1413391 */   GIM_Try, /*On fail goto*//*Label 20019*/ GIMT_Encode4(1413479), // Rule ID 21172 //
     /* 1413396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1413399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1413407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1413410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1413413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1413416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413435 */     // MIs[0] Operand 5
     /* 1413435 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413446 */     // MIs[0] policy
     /* 1413446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413456 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1413459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413478 */     // GIR_Coverage, 21172,
     /* 1413478 */     GIR_EraseRootFromParent_Done,
     /* 1413479 */   // Label 20019: @1413479
     /* 1413479 */   GIM_Try, /*On fail goto*//*Label 20020*/ GIMT_Encode4(1413567), // Rule ID 21173 //
     /* 1413484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1413487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1413495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1413498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1413501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1413504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413523 */     // MIs[0] Operand 5
     /* 1413523 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413534 */     // MIs[0] policy
     /* 1413534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413544 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1413547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413566 */     // GIR_Coverage, 21173,
     /* 1413566 */     GIR_EraseRootFromParent_Done,
     /* 1413567 */   // Label 20020: @1413567
     /* 1413567 */   GIM_Try, /*On fail goto*//*Label 20021*/ GIMT_Encode4(1413655), // Rule ID 21176 //
     /* 1413572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1413575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1413583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1413586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1413589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1413592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413611 */     // MIs[0] Operand 5
     /* 1413611 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413622 */     // MIs[0] policy
     /* 1413622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413632 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1413635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413654 */     // GIR_Coverage, 21176,
     /* 1413654 */     GIR_EraseRootFromParent_Done,
     /* 1413655 */   // Label 20021: @1413655
     /* 1413655 */   GIM_Try, /*On fail goto*//*Label 20022*/ GIMT_Encode4(1413743), // Rule ID 21177 //
     /* 1413660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1413663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1413671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1413674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1413677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1413680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413699 */     // MIs[0] Operand 5
     /* 1413699 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413710 */     // MIs[0] policy
     /* 1413710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413720 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1413723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413742 */     // GIR_Coverage, 21177,
     /* 1413742 */     GIR_EraseRootFromParent_Done,
     /* 1413743 */   // Label 20022: @1413743
     /* 1413743 */   GIM_Try, /*On fail goto*//*Label 20023*/ GIMT_Encode4(1413831), // Rule ID 21180 //
     /* 1413748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1413751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1413759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1413762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1413765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1413768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413787 */     // MIs[0] Operand 5
     /* 1413787 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413798 */     // MIs[0] policy
     /* 1413798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413808 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1413811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413830 */     // GIR_Coverage, 21180,
     /* 1413830 */     GIR_EraseRootFromParent_Done,
     /* 1413831 */   // Label 20023: @1413831
     /* 1413831 */   GIM_Try, /*On fail goto*//*Label 20024*/ GIMT_Encode4(1413919), // Rule ID 21181 //
     /* 1413836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1413839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1413847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1413850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1413853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1413856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413875 */     // MIs[0] Operand 5
     /* 1413875 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413886 */     // MIs[0] policy
     /* 1413886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1413899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413918 */     // GIR_Coverage, 21181,
     /* 1413918 */     GIR_EraseRootFromParent_Done,
     /* 1413919 */   // Label 20024: @1413919
     /* 1413919 */   GIM_Try, /*On fail goto*//*Label 20025*/ GIMT_Encode4(1414007), // Rule ID 21184 //
     /* 1413924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1413927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1413932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1413935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1413938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1413941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1413944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413963 */     // MIs[0] Operand 5
     /* 1413963 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413974 */     // MIs[0] policy
     /* 1413974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1413987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414006 */     // GIR_Coverage, 21184,
     /* 1414006 */     GIR_EraseRootFromParent_Done,
     /* 1414007 */   // Label 20025: @1414007
     /* 1414007 */   GIM_Try, /*On fail goto*//*Label 20026*/ GIMT_Encode4(1414095), // Rule ID 21185 //
     /* 1414012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1414015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1414020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1414023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1414026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1414029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1414032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414051 */     // MIs[0] Operand 5
     /* 1414051 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414062 */     // MIs[0] policy
     /* 1414062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414072 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1414075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414094 */     // GIR_Coverage, 21185,
     /* 1414094 */     GIR_EraseRootFromParent_Done,
     /* 1414095 */   // Label 20026: @1414095
     /* 1414095 */   GIM_Try, /*On fail goto*//*Label 20027*/ GIMT_Encode4(1414183), // Rule ID 21488 //
     /* 1414100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1414111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1414114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1414117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1414120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414139 */     // MIs[0] Operand 5
     /* 1414139 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414150 */     // MIs[0] policy
     /* 1414150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414160 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1414163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414182 */     // GIR_Coverage, 21488,
     /* 1414182 */     GIR_EraseRootFromParent_Done,
     /* 1414183 */   // Label 20027: @1414183
     /* 1414183 */   GIM_Try, /*On fail goto*//*Label 20028*/ GIMT_Encode4(1414271), // Rule ID 21489 //
     /* 1414188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1414199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1414202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1414205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1414208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414227 */     // MIs[0] Operand 5
     /* 1414227 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414238 */     // MIs[0] policy
     /* 1414238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414248 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1414251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414270 */     // GIR_Coverage, 21489,
     /* 1414270 */     GIR_EraseRootFromParent_Done,
     /* 1414271 */   // Label 20028: @1414271
     /* 1414271 */   GIM_Try, /*On fail goto*//*Label 20029*/ GIMT_Encode4(1414359), // Rule ID 21492 //
     /* 1414276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1414287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1414290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1414293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1414296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414315 */     // MIs[0] Operand 5
     /* 1414315 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414326 */     // MIs[0] policy
     /* 1414326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414336 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1414339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414358 */     // GIR_Coverage, 21492,
     /* 1414358 */     GIR_EraseRootFromParent_Done,
     /* 1414359 */   // Label 20029: @1414359
     /* 1414359 */   GIM_Try, /*On fail goto*//*Label 20030*/ GIMT_Encode4(1414447), // Rule ID 21493 //
     /* 1414364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1414375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1414378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1414381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1414384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414403 */     // MIs[0] Operand 5
     /* 1414403 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414414 */     // MIs[0] policy
     /* 1414414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1414427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414446 */     // GIR_Coverage, 21493,
     /* 1414446 */     GIR_EraseRootFromParent_Done,
     /* 1414447 */   // Label 20030: @1414447
     /* 1414447 */   GIM_Try, /*On fail goto*//*Label 20031*/ GIMT_Encode4(1414535), // Rule ID 21496 //
     /* 1414452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1414463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1414466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1414469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1414472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414491 */     // MIs[0] Operand 5
     /* 1414491 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414502 */     // MIs[0] policy
     /* 1414502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414512 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1414515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414534 */     // GIR_Coverage, 21496,
     /* 1414534 */     GIR_EraseRootFromParent_Done,
     /* 1414535 */   // Label 20031: @1414535
     /* 1414535 */   GIM_Try, /*On fail goto*//*Label 20032*/ GIMT_Encode4(1414623), // Rule ID 21497 //
     /* 1414540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1414551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1414554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1414557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1414560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414579 */     // MIs[0] Operand 5
     /* 1414579 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414590 */     // MIs[0] policy
     /* 1414590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414600 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1414603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414622 */     // GIR_Coverage, 21497,
     /* 1414622 */     GIR_EraseRootFromParent_Done,
     /* 1414623 */   // Label 20032: @1414623
     /* 1414623 */   GIM_Try, /*On fail goto*//*Label 20033*/ GIMT_Encode4(1414711), // Rule ID 21500 //
     /* 1414628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1414639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1414642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1414645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1414648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414667 */     // MIs[0] Operand 5
     /* 1414667 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414678 */     // MIs[0] policy
     /* 1414678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414688 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1414691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414710 */     // GIR_Coverage, 21500,
     /* 1414710 */     GIR_EraseRootFromParent_Done,
     /* 1414711 */   // Label 20033: @1414711
     /* 1414711 */   GIM_Try, /*On fail goto*//*Label 20034*/ GIMT_Encode4(1414799), // Rule ID 21501 //
     /* 1414716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1414727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1414730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1414733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1414736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414755 */     // MIs[0] Operand 5
     /* 1414755 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414766 */     // MIs[0] policy
     /* 1414766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414776 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1414779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414798 */     // GIR_Coverage, 21501,
     /* 1414798 */     GIR_EraseRootFromParent_Done,
     /* 1414799 */   // Label 20034: @1414799
     /* 1414799 */   GIM_Try, /*On fail goto*//*Label 20035*/ GIMT_Encode4(1414887), // Rule ID 21504 //
     /* 1414804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1414821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1414824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414843 */     // MIs[0] Operand 5
     /* 1414843 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414854 */     // MIs[0] policy
     /* 1414854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414864 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1414867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414886 */     // GIR_Coverage, 21504,
     /* 1414886 */     GIR_EraseRootFromParent_Done,
     /* 1414887 */   // Label 20035: @1414887
     /* 1414887 */   GIM_Try, /*On fail goto*//*Label 20036*/ GIMT_Encode4(1414975), // Rule ID 21505 //
     /* 1414892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1414909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1414912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414931 */     // MIs[0] Operand 5
     /* 1414931 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414942 */     // MIs[0] policy
     /* 1414942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1414955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414974 */     // GIR_Coverage, 21505,
     /* 1414974 */     GIR_EraseRootFromParent_Done,
     /* 1414975 */   // Label 20036: @1414975
     /* 1414975 */   GIM_Try, /*On fail goto*//*Label 20037*/ GIMT_Encode4(1415063), // Rule ID 21508 //
     /* 1414980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1414991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1414994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1414997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1415000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415019 */     // MIs[0] Operand 5
     /* 1415019 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415030 */     // MIs[0] policy
     /* 1415030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415040 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1415043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415062 */     // GIR_Coverage, 21508,
     /* 1415062 */     GIR_EraseRootFromParent_Done,
     /* 1415063 */   // Label 20037: @1415063
     /* 1415063 */   GIM_Try, /*On fail goto*//*Label 20038*/ GIMT_Encode4(1415151), // Rule ID 21509 //
     /* 1415068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1415071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1415079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1415082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1415085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1415088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415107 */     // MIs[0] Operand 5
     /* 1415107 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415118 */     // MIs[0] policy
     /* 1415118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415128 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1415131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415150 */     // GIR_Coverage, 21509,
     /* 1415150 */     GIR_EraseRootFromParent_Done,
     /* 1415151 */   // Label 20038: @1415151
     /* 1415151 */   GIM_Try, /*On fail goto*//*Label 20039*/ GIMT_Encode4(1415239), // Rule ID 21512 //
     /* 1415156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1415159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1415167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1415170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1415173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1415176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415195 */     // MIs[0] Operand 5
     /* 1415195 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415206 */     // MIs[0] policy
     /* 1415206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415216 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1415219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415238 */     // GIR_Coverage, 21512,
     /* 1415238 */     GIR_EraseRootFromParent_Done,
     /* 1415239 */   // Label 20039: @1415239
     /* 1415239 */   GIM_Try, /*On fail goto*//*Label 20040*/ GIMT_Encode4(1415327), // Rule ID 21513 //
     /* 1415244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1415247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1415255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1415258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1415261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1415264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415283 */     // MIs[0] Operand 5
     /* 1415283 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415294 */     // MIs[0] policy
     /* 1415294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415304 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1415307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415326 */     // GIR_Coverage, 21513,
     /* 1415326 */     GIR_EraseRootFromParent_Done,
     /* 1415327 */   // Label 20040: @1415327
     /* 1415327 */   GIM_Try, /*On fail goto*//*Label 20041*/ GIMT_Encode4(1415415), // Rule ID 21516 //
     /* 1415332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1415335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1415343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1415346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1415349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1415352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415371 */     // MIs[0] Operand 5
     /* 1415371 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415382 */     // MIs[0] policy
     /* 1415382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415392 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1415395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415414 */     // GIR_Coverage, 21516,
     /* 1415414 */     GIR_EraseRootFromParent_Done,
     /* 1415415 */   // Label 20041: @1415415
     /* 1415415 */   GIM_Try, /*On fail goto*//*Label 20042*/ GIMT_Encode4(1415503), // Rule ID 21517 //
     /* 1415420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1415423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1415431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1415434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1415437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1415440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415459 */     // MIs[0] Operand 5
     /* 1415459 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415470 */     // MIs[0] policy
     /* 1415470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415480 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1415483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415502 */     // GIR_Coverage, 21517,
     /* 1415502 */     GIR_EraseRootFromParent_Done,
     /* 1415503 */   // Label 20042: @1415503
     /* 1415503 */   GIM_Try, /*On fail goto*//*Label 20043*/ GIMT_Encode4(1415591), // Rule ID 21520 //
     /* 1415508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1415511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1415519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1415522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1415528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415547 */     // MIs[0] Operand 5
     /* 1415547 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415558 */     // MIs[0] policy
     /* 1415558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1415571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415590 */     // GIR_Coverage, 21520,
     /* 1415590 */     GIR_EraseRootFromParent_Done,
     /* 1415591 */   // Label 20043: @1415591
     /* 1415591 */   GIM_Try, /*On fail goto*//*Label 20044*/ GIMT_Encode4(1415679), // Rule ID 21521 //
     /* 1415596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1415599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1415607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1415610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1415616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415635 */     // MIs[0] Operand 5
     /* 1415635 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415646 */     // MIs[0] policy
     /* 1415646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1415659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415678 */     // GIR_Coverage, 21521,
     /* 1415678 */     GIR_EraseRootFromParent_Done,
     /* 1415679 */   // Label 20044: @1415679
     /* 1415679 */   GIM_Try, /*On fail goto*//*Label 20045*/ GIMT_Encode4(1415767), // Rule ID 21524 //
     /* 1415684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1415687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1415695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1415698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1415701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1415704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415723 */     // MIs[0] Operand 5
     /* 1415723 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415734 */     // MIs[0] policy
     /* 1415734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415744 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1415747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415766 */     // GIR_Coverage, 21524,
     /* 1415766 */     GIR_EraseRootFromParent_Done,
     /* 1415767 */   // Label 20045: @1415767
     /* 1415767 */   GIM_Try, /*On fail goto*//*Label 20046*/ GIMT_Encode4(1415855), // Rule ID 21525 //
     /* 1415772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1415775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1415783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1415786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1415789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1415792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415811 */     // MIs[0] Operand 5
     /* 1415811 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415822 */     // MIs[0] policy
     /* 1415822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415832 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1415835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415854 */     // GIR_Coverage, 21525,
     /* 1415854 */     GIR_EraseRootFromParent_Done,
     /* 1415855 */   // Label 20046: @1415855
     /* 1415855 */   GIM_Try, /*On fail goto*//*Label 20047*/ GIMT_Encode4(1415943), // Rule ID 21528 //
     /* 1415860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1415863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1415877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1415880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415899 */     // MIs[0] Operand 5
     /* 1415899 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415910 */     // MIs[0] policy
     /* 1415910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415920 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1415923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415942 */     // GIR_Coverage, 21528,
     /* 1415942 */     GIR_EraseRootFromParent_Done,
     /* 1415943 */   // Label 20047: @1415943
     /* 1415943 */   GIM_Try, /*On fail goto*//*Label 20048*/ GIMT_Encode4(1416031), // Rule ID 21529 //
     /* 1415948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1415951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1415956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1415965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1415968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415987 */     // MIs[0] Operand 5
     /* 1415987 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415998 */     // MIs[0] policy
     /* 1415998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1416011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416030 */     // GIR_Coverage, 21529,
     /* 1416030 */     GIR_EraseRootFromParent_Done,
     /* 1416031 */   // Label 20048: @1416031
     /* 1416031 */   GIM_Try, /*On fail goto*//*Label 20049*/ GIMT_Encode4(1416119), // Rule ID 21532 //
     /* 1416036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1416039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1416044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1416047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1416050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1416053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1416056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416075 */     // MIs[0] Operand 5
     /* 1416075 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416086 */     // MIs[0] policy
     /* 1416086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416096 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1416099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416118 */     // GIR_Coverage, 21532,
     /* 1416118 */     GIR_EraseRootFromParent_Done,
     /* 1416119 */   // Label 20049: @1416119
     /* 1416119 */   GIM_Try, /*On fail goto*//*Label 20050*/ GIMT_Encode4(1416207), // Rule ID 21533 //
     /* 1416124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1416127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1416132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1416135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1416138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1416141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1416144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416163 */     // MIs[0] Operand 5
     /* 1416163 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416174 */     // MIs[0] policy
     /* 1416174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1416187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416206 */     // GIR_Coverage, 21533,
     /* 1416206 */     GIR_EraseRootFromParent_Done,
     /* 1416207 */   // Label 20050: @1416207
     /* 1416207 */   GIM_Try, /*On fail goto*//*Label 20051*/ GIMT_Encode4(1416295), // Rule ID 21536 //
     /* 1416212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1416215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1416220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1416223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1416226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1416229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1416232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416251 */     // MIs[0] Operand 5
     /* 1416251 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416262 */     // MIs[0] policy
     /* 1416262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1416275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416294 */     // GIR_Coverage, 21536,
     /* 1416294 */     GIR_EraseRootFromParent_Done,
     /* 1416295 */   // Label 20051: @1416295
     /* 1416295 */   GIM_Try, /*On fail goto*//*Label 20052*/ GIMT_Encode4(1416383), // Rule ID 21537 //
     /* 1416300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1416303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1416308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1416311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1416314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1416317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1416320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416339 */     // MIs[0] Operand 5
     /* 1416339 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416350 */     // MIs[0] policy
     /* 1416350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416360 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1416363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416382 */     // GIR_Coverage, 21537,
     /* 1416382 */     GIR_EraseRootFromParent_Done,
     /* 1416383 */   // Label 20052: @1416383
     /* 1416383 */   GIM_Try, /*On fail goto*//*Label 20053*/ GIMT_Encode4(1416471), // Rule ID 21540 //
     /* 1416388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1416391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1416396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1416399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1416402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1416405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1416408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416427 */     // MIs[0] Operand 5
     /* 1416427 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416438 */     // MIs[0] policy
     /* 1416438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416448 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1416451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416470 */     // GIR_Coverage, 21540,
     /* 1416470 */     GIR_EraseRootFromParent_Done,
     /* 1416471 */   // Label 20053: @1416471
     /* 1416471 */   GIM_Try, /*On fail goto*//*Label 20054*/ GIMT_Encode4(1416559), // Rule ID 21541 //
     /* 1416476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1416479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1416484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1416487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1416490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1416493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1416496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416515 */     // MIs[0] Operand 5
     /* 1416515 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416526 */     // MIs[0] policy
     /* 1416526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1416539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416558 */     // GIR_Coverage, 21541,
     /* 1416558 */     GIR_EraseRootFromParent_Done,
     /* 1416559 */   // Label 20054: @1416559
     /* 1416559 */   GIM_Try, /*On fail goto*//*Label 20055*/ GIMT_Encode4(1416647), // Rule ID 21544 //
     /* 1416564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1416567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1416572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1416575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1416578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1416584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416603 */     // MIs[0] Operand 5
     /* 1416603 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416614 */     // MIs[0] policy
     /* 1416614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416624 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1416627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416646 */     // GIR_Coverage, 21544,
     /* 1416646 */     GIR_EraseRootFromParent_Done,
     /* 1416647 */   // Label 20055: @1416647
     /* 1416647 */   GIM_Try, /*On fail goto*//*Label 20056*/ GIMT_Encode4(1416735), // Rule ID 21545 //
     /* 1416652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1416655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1416660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1416663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1416666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1416672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416691 */     // MIs[0] Operand 5
     /* 1416691 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416702 */     // MIs[0] policy
     /* 1416702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416712 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1416715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416734 */     // GIR_Coverage, 21545,
     /* 1416734 */     GIR_EraseRootFromParent_Done,
     /* 1416735 */   // Label 20056: @1416735
     /* 1416735 */   GIM_Try, /*On fail goto*//*Label 20057*/ GIMT_Encode4(1416823), // Rule ID 21548 //
     /* 1416740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1416743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1416751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1416754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1416757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1416760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416779 */     // MIs[0] Operand 5
     /* 1416779 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416790 */     // MIs[0] policy
     /* 1416790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416800 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1416803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416822 */     // GIR_Coverage, 21548,
     /* 1416822 */     GIR_EraseRootFromParent_Done,
     /* 1416823 */   // Label 20057: @1416823
     /* 1416823 */   GIM_Try, /*On fail goto*//*Label 20058*/ GIMT_Encode4(1416911), // Rule ID 21549 //
     /* 1416828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1416831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1416839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1416842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1416845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1416848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416867 */     // MIs[0] Operand 5
     /* 1416867 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416878 */     // MIs[0] policy
     /* 1416878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416888 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1416891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416910 */     // GIR_Coverage, 21549,
     /* 1416910 */     GIR_EraseRootFromParent_Done,
     /* 1416911 */   // Label 20058: @1416911
     /* 1416911 */   GIM_Try, /*On fail goto*//*Label 20059*/ GIMT_Encode4(1416999), // Rule ID 21552 //
     /* 1416916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1416919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1416927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1416930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1416933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1416936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416955 */     // MIs[0] Operand 5
     /* 1416955 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416966 */     // MIs[0] policy
     /* 1416966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416976 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1416979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416998 */     // GIR_Coverage, 21552,
     /* 1416998 */     GIR_EraseRootFromParent_Done,
     /* 1416999 */   // Label 20059: @1416999
     /* 1416999 */   GIM_Try, /*On fail goto*//*Label 20060*/ GIMT_Encode4(1417087), // Rule ID 21553 //
     /* 1417004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1417007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1417015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1417018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1417021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1417024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417043 */     // MIs[0] Operand 5
     /* 1417043 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417054 */     // MIs[0] policy
     /* 1417054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417064 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1417067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417086 */     // GIR_Coverage, 21553,
     /* 1417086 */     GIR_EraseRootFromParent_Done,
     /* 1417087 */   // Label 20060: @1417087
     /* 1417087 */   GIM_Try, /*On fail goto*//*Label 20061*/ GIMT_Encode4(1417175), // Rule ID 21556 //
     /* 1417092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1417095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1417103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1417106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1417109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1417112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417131 */     // MIs[0] Operand 5
     /* 1417131 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417142 */     // MIs[0] policy
     /* 1417142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417152 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1417155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417174 */     // GIR_Coverage, 21556,
     /* 1417174 */     GIR_EraseRootFromParent_Done,
     /* 1417175 */   // Label 20061: @1417175
     /* 1417175 */   GIM_Try, /*On fail goto*//*Label 20062*/ GIMT_Encode4(1417263), // Rule ID 21557 //
     /* 1417180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1417183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1417191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1417194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1417197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1417200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417219 */     // MIs[0] Operand 5
     /* 1417219 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417230 */     // MIs[0] policy
     /* 1417230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417240 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1417243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417262 */     // GIR_Coverage, 21557,
     /* 1417262 */     GIR_EraseRootFromParent_Done,
     /* 1417263 */   // Label 20062: @1417263
     /* 1417263 */   GIM_Try, /*On fail goto*//*Label 20063*/ GIMT_Encode4(1417351), // Rule ID 21560 //
     /* 1417268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1417271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1417279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1417282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1417285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1417288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417307 */     // MIs[0] Operand 5
     /* 1417307 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417318 */     // MIs[0] policy
     /* 1417318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1417331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417350 */     // GIR_Coverage, 21560,
     /* 1417350 */     GIR_EraseRootFromParent_Done,
     /* 1417351 */   // Label 20063: @1417351
     /* 1417351 */   GIM_Try, /*On fail goto*//*Label 20064*/ GIMT_Encode4(1417439), // Rule ID 21561 //
     /* 1417356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1417359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1417367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1417370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1417373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1417376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417395 */     // MIs[0] Operand 5
     /* 1417395 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417406 */     // MIs[0] policy
     /* 1417406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1417419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417438 */     // GIR_Coverage, 21561,
     /* 1417438 */     GIR_EraseRootFromParent_Done,
     /* 1417439 */   // Label 20064: @1417439
     /* 1417439 */   GIM_Try, /*On fail goto*//*Label 20065*/ GIMT_Encode4(1417527), // Rule ID 21564 //
     /* 1417444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1417447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1417455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1417458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1417461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1417464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417483 */     // MIs[0] Operand 5
     /* 1417483 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417494 */     // MIs[0] policy
     /* 1417494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417504 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1417507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417526 */     // GIR_Coverage, 21564,
     /* 1417526 */     GIR_EraseRootFromParent_Done,
     /* 1417527 */   // Label 20065: @1417527
     /* 1417527 */   GIM_Try, /*On fail goto*//*Label 20066*/ GIMT_Encode4(1417615), // Rule ID 21565 //
     /* 1417532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1417535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1417543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1417546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1417549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1417552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417571 */     // MIs[0] Operand 5
     /* 1417571 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417582 */     // MIs[0] policy
     /* 1417582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1417595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417614 */     // GIR_Coverage, 21565,
     /* 1417614 */     GIR_EraseRootFromParent_Done,
     /* 1417615 */   // Label 20066: @1417615
     /* 1417615 */   GIM_Try, /*On fail goto*//*Label 20067*/ GIMT_Encode4(1417703), // Rule ID 21568 //
     /* 1417620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1417623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1417631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1417634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1417637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1417640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417659 */     // MIs[0] Operand 5
     /* 1417659 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417670 */     // MIs[0] policy
     /* 1417670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1417683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417702 */     // GIR_Coverage, 21568,
     /* 1417702 */     GIR_EraseRootFromParent_Done,
     /* 1417703 */   // Label 20067: @1417703
     /* 1417703 */   GIM_Try, /*On fail goto*//*Label 20068*/ GIMT_Encode4(1417791), // Rule ID 21569 //
     /* 1417708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1417711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1417719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1417722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1417725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1417728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417747 */     // MIs[0] Operand 5
     /* 1417747 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417758 */     // MIs[0] policy
     /* 1417758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417768 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1417771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417790 */     // GIR_Coverage, 21569,
     /* 1417790 */     GIR_EraseRootFromParent_Done,
     /* 1417791 */   // Label 20068: @1417791
     /* 1417791 */   GIM_Try, /*On fail goto*//*Label 20069*/ GIMT_Encode4(1417879), // Rule ID 21572 //
     /* 1417796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1417799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1417816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417835 */     // MIs[0] Operand 5
     /* 1417835 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417846 */     // MIs[0] policy
     /* 1417846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417856 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1417859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417878 */     // GIR_Coverage, 21572,
     /* 1417878 */     GIR_EraseRootFromParent_Done,
     /* 1417879 */   // Label 20069: @1417879
     /* 1417879 */   GIM_Try, /*On fail goto*//*Label 20070*/ GIMT_Encode4(1417967), // Rule ID 21573 //
     /* 1417884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1417887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1417904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417923 */     // MIs[0] Operand 5
     /* 1417923 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417934 */     // MIs[0] policy
     /* 1417934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417944 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1417947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417966 */     // GIR_Coverage, 21573,
     /* 1417966 */     GIR_EraseRootFromParent_Done,
     /* 1417967 */   // Label 20070: @1417967
     /* 1417967 */   GIM_Try, /*On fail goto*//*Label 20071*/ GIMT_Encode4(1418055), // Rule ID 21576 //
     /* 1417972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1417975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1417980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1417983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1417986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1417989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1417992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418011 */     // MIs[0] Operand 5
     /* 1418011 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418022 */     // MIs[0] policy
     /* 1418022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418032 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1418035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418054 */     // GIR_Coverage, 21576,
     /* 1418054 */     GIR_EraseRootFromParent_Done,
     /* 1418055 */   // Label 20071: @1418055
     /* 1418055 */   GIM_Try, /*On fail goto*//*Label 20072*/ GIMT_Encode4(1418143), // Rule ID 21577 //
     /* 1418060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1418063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1418071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1418074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1418077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1418080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418099 */     // MIs[0] Operand 5
     /* 1418099 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418110 */     // MIs[0] policy
     /* 1418110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418120 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1418123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418142 */     // GIR_Coverage, 21577,
     /* 1418142 */     GIR_EraseRootFromParent_Done,
     /* 1418143 */   // Label 20072: @1418143
     /* 1418143 */   GIM_Try, /*On fail goto*//*Label 20073*/ GIMT_Encode4(1418231), // Rule ID 21580 //
     /* 1418148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1418151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1418159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1418162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1418165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1418168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418187 */     // MIs[0] Operand 5
     /* 1418187 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418198 */     // MIs[0] policy
     /* 1418198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1418211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418230 */     // GIR_Coverage, 21580,
     /* 1418230 */     GIR_EraseRootFromParent_Done,
     /* 1418231 */   // Label 20073: @1418231
     /* 1418231 */   GIM_Try, /*On fail goto*//*Label 20074*/ GIMT_Encode4(1418319), // Rule ID 21581 //
     /* 1418236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1418239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1418247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1418250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1418253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1418256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418275 */     // MIs[0] Operand 5
     /* 1418275 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418286 */     // MIs[0] policy
     /* 1418286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418296 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1418299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418318 */     // GIR_Coverage, 21581,
     /* 1418318 */     GIR_EraseRootFromParent_Done,
     /* 1418319 */   // Label 20074: @1418319
     /* 1418319 */   GIM_Try, /*On fail goto*//*Label 20075*/ GIMT_Encode4(1418407), // Rule ID 21584 //
     /* 1418324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1418327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1418335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1418338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1418341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1418344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418363 */     // MIs[0] Operand 5
     /* 1418363 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418374 */     // MIs[0] policy
     /* 1418374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418384 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1418387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418406 */     // GIR_Coverage, 21584,
     /* 1418406 */     GIR_EraseRootFromParent_Done,
     /* 1418407 */   // Label 20075: @1418407
     /* 1418407 */   GIM_Try, /*On fail goto*//*Label 20076*/ GIMT_Encode4(1418495), // Rule ID 21585 //
     /* 1418412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1418415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1418423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1418426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1418429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1418432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418451 */     // MIs[0] Operand 5
     /* 1418451 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418462 */     // MIs[0] policy
     /* 1418462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1418475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418494 */     // GIR_Coverage, 21585,
     /* 1418494 */     GIR_EraseRootFromParent_Done,
     /* 1418495 */   // Label 20076: @1418495
     /* 1418495 */   GIM_Try, /*On fail goto*//*Label 20077*/ GIMT_Encode4(1418583), // Rule ID 21588 //
     /* 1418500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1418503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1418511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1418514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1418517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1418520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418539 */     // MIs[0] Operand 5
     /* 1418539 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418550 */     // MIs[0] policy
     /* 1418550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418560 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1418563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418582 */     // GIR_Coverage, 21588,
     /* 1418582 */     GIR_EraseRootFromParent_Done,
     /* 1418583 */   // Label 20077: @1418583
     /* 1418583 */   GIM_Try, /*On fail goto*//*Label 20078*/ GIMT_Encode4(1418671), // Rule ID 21589 //
     /* 1418588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1418591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1418599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1418602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1418605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1418608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418627 */     // MIs[0] Operand 5
     /* 1418627 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418638 */     // MIs[0] policy
     /* 1418638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418648 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1418651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418670 */     // GIR_Coverage, 21589,
     /* 1418670 */     GIR_EraseRootFromParent_Done,
     /* 1418671 */   // Label 20078: @1418671
     /* 1418671 */   GIM_Try, /*On fail goto*//*Label 20079*/ GIMT_Encode4(1418759), // Rule ID 21592 //
     /* 1418676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1418679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1418687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1418690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1418696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418715 */     // MIs[0] Operand 5
     /* 1418715 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418726 */     // MIs[0] policy
     /* 1418726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1418739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418758 */     // GIR_Coverage, 21592,
     /* 1418758 */     GIR_EraseRootFromParent_Done,
     /* 1418759 */   // Label 20079: @1418759
     /* 1418759 */   GIM_Try, /*On fail goto*//*Label 20080*/ GIMT_Encode4(1418847), // Rule ID 21593 //
     /* 1418764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1418767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1418775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1418778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1418784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418803 */     // MIs[0] Operand 5
     /* 1418803 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418814 */     // MIs[0] policy
     /* 1418814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418824 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1418827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418846 */     // GIR_Coverage, 21593,
     /* 1418846 */     GIR_EraseRootFromParent_Done,
     /* 1418847 */   // Label 20080: @1418847
     /* 1418847 */   GIM_Try, /*On fail goto*//*Label 20081*/ GIMT_Encode4(1418935), // Rule ID 21596 //
     /* 1418852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1418855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1418869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1418872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418891 */     // MIs[0] Operand 5
     /* 1418891 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418902 */     // MIs[0] policy
     /* 1418902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418912 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1418915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418934 */     // GIR_Coverage, 21596,
     /* 1418934 */     GIR_EraseRootFromParent_Done,
     /* 1418935 */   // Label 20081: @1418935
     /* 1418935 */   GIM_Try, /*On fail goto*//*Label 20082*/ GIMT_Encode4(1419023), // Rule ID 21597 //
     /* 1418940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1418943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1418948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1418957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1418960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418979 */     // MIs[0] Operand 5
     /* 1418979 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418990 */     // MIs[0] policy
     /* 1418990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1419003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419022 */     // GIR_Coverage, 21597,
     /* 1419022 */     GIR_EraseRootFromParent_Done,
     /* 1419023 */   // Label 20082: @1419023
     /* 1419023 */   GIM_Try, /*On fail goto*//*Label 20083*/ GIMT_Encode4(1419111), // Rule ID 21600 //
     /* 1419028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1419031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1419036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1419039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1419042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1419045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1419048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419067 */     // MIs[0] Operand 5
     /* 1419067 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419078 */     // MIs[0] policy
     /* 1419078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1419091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419110 */     // GIR_Coverage, 21600,
     /* 1419110 */     GIR_EraseRootFromParent_Done,
     /* 1419111 */   // Label 20083: @1419111
     /* 1419111 */   GIM_Try, /*On fail goto*//*Label 20084*/ GIMT_Encode4(1419199), // Rule ID 21601 //
     /* 1419116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1419119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1419124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1419127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1419130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1419133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1419136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419155 */     // MIs[0] Operand 5
     /* 1419155 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419166 */     // MIs[0] policy
     /* 1419166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1419179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419198 */     // GIR_Coverage, 21601,
     /* 1419198 */     GIR_EraseRootFromParent_Done,
     /* 1419199 */   // Label 20084: @1419199
     /* 1419199 */   GIM_Try, /*On fail goto*//*Label 20085*/ GIMT_Encode4(1419287), // Rule ID 21604 //
     /* 1419204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1419207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1419212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1419215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1419218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1419221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1419224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419243 */     // MIs[0] Operand 5
     /* 1419243 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419254 */     // MIs[0] policy
     /* 1419254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419264 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1419267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419286 */     // GIR_Coverage, 21604,
     /* 1419286 */     GIR_EraseRootFromParent_Done,
     /* 1419287 */   // Label 20085: @1419287
     /* 1419287 */   GIM_Try, /*On fail goto*//*Label 20086*/ GIMT_Encode4(1419375), // Rule ID 21605 //
     /* 1419292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1419295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1419300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1419303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1419306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1419309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1419312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419331 */     // MIs[0] Operand 5
     /* 1419331 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419342 */     // MIs[0] policy
     /* 1419342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419352 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1419355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419374 */     // GIR_Coverage, 21605,
     /* 1419374 */     GIR_EraseRootFromParent_Done,
     /* 1419375 */   // Label 20086: @1419375
     /* 1419375 */   GIM_Try, /*On fail goto*//*Label 20087*/ GIMT_Encode4(1419474), // Rule ID 2802 //
     /* 1419380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1419391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1419394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1419397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419430 */     // MIs[1] Operand 1
     /* 1419430 */     // No operand predicates
     /* 1419430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419434 */     // MIs[0] policy
     /* 1419434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419446 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1419449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419455 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419473 */     // GIR_Coverage, 2802,
     /* 1419473 */     GIR_EraseRootFromParent_Done,
     /* 1419474 */   // Label 20087: @1419474
     /* 1419474 */   GIM_Try, /*On fail goto*//*Label 20088*/ GIMT_Encode4(1419573), // Rule ID 2803 //
     /* 1419479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1419490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1419493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1419496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419529 */     // MIs[1] Operand 1
     /* 1419529 */     // No operand predicates
     /* 1419529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419533 */     // MIs[0] policy
     /* 1419533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419545 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1419548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419554 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419572 */     // GIR_Coverage, 2803,
     /* 1419572 */     GIR_EraseRootFromParent_Done,
     /* 1419573 */   // Label 20088: @1419573
     /* 1419573 */   GIM_Try, /*On fail goto*//*Label 20089*/ GIMT_Encode4(1419672), // Rule ID 2810 //
     /* 1419578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1419589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1419592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1419595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419628 */     // MIs[1] Operand 1
     /* 1419628 */     // No operand predicates
     /* 1419628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419632 */     // MIs[0] policy
     /* 1419632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419644 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1419647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419653 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419671 */     // GIR_Coverage, 2810,
     /* 1419671 */     GIR_EraseRootFromParent_Done,
     /* 1419672 */   // Label 20089: @1419672
     /* 1419672 */   GIM_Try, /*On fail goto*//*Label 20090*/ GIMT_Encode4(1419771), // Rule ID 2811 //
     /* 1419677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1419688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1419691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1419694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419727 */     // MIs[1] Operand 1
     /* 1419727 */     // No operand predicates
     /* 1419727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419731 */     // MIs[0] policy
     /* 1419731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419743 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1419746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419752 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419770 */     // GIR_Coverage, 2811,
     /* 1419770 */     GIR_EraseRootFromParent_Done,
     /* 1419771 */   // Label 20090: @1419771
     /* 1419771 */   GIM_Try, /*On fail goto*//*Label 20091*/ GIMT_Encode4(1419870), // Rule ID 2818 //
     /* 1419776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1419787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1419790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1419793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419826 */     // MIs[1] Operand 1
     /* 1419826 */     // No operand predicates
     /* 1419826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419830 */     // MIs[0] policy
     /* 1419830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419842 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1419845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419851 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419869 */     // GIR_Coverage, 2818,
     /* 1419869 */     GIR_EraseRootFromParent_Done,
     /* 1419870 */   // Label 20091: @1419870
     /* 1419870 */   GIM_Try, /*On fail goto*//*Label 20092*/ GIMT_Encode4(1419969), // Rule ID 2819 //
     /* 1419875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1419886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1419889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1419892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419925 */     // MIs[1] Operand 1
     /* 1419925 */     // No operand predicates
     /* 1419925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419929 */     // MIs[0] policy
     /* 1419929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419941 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1419944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419950 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419968 */     // GIR_Coverage, 2819,
     /* 1419968 */     GIR_EraseRootFromParent_Done,
     /* 1419969 */   // Label 20092: @1419969
     /* 1419969 */   GIM_Try, /*On fail goto*//*Label 20093*/ GIMT_Encode4(1420068), // Rule ID 2826 //
     /* 1419974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1419985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1419988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1419991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420024 */     // MIs[1] Operand 1
     /* 1420024 */     // No operand predicates
     /* 1420024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420028 */     // MIs[0] policy
     /* 1420028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420040 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1420043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420049 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420067 */     // GIR_Coverage, 2826,
     /* 1420067 */     GIR_EraseRootFromParent_Done,
     /* 1420068 */   // Label 20093: @1420068
     /* 1420068 */   GIM_Try, /*On fail goto*//*Label 20094*/ GIMT_Encode4(1420167), // Rule ID 2827 //
     /* 1420073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1420084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1420087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1420090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420123 */     // MIs[1] Operand 1
     /* 1420123 */     // No operand predicates
     /* 1420123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420127 */     // MIs[0] policy
     /* 1420127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1420142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420148 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420166 */     // GIR_Coverage, 2827,
     /* 1420166 */     GIR_EraseRootFromParent_Done,
     /* 1420167 */   // Label 20094: @1420167
     /* 1420167 */   GIM_Try, /*On fail goto*//*Label 20095*/ GIMT_Encode4(1420266), // Rule ID 2834 //
     /* 1420172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1420183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1420186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1420189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420222 */     // MIs[1] Operand 1
     /* 1420222 */     // No operand predicates
     /* 1420222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420226 */     // MIs[0] policy
     /* 1420226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420238 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1420241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420247 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420265 */     // GIR_Coverage, 2834,
     /* 1420265 */     GIR_EraseRootFromParent_Done,
     /* 1420266 */   // Label 20095: @1420266
     /* 1420266 */   GIM_Try, /*On fail goto*//*Label 20096*/ GIMT_Encode4(1420365), // Rule ID 2835 //
     /* 1420271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1420282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1420285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1420288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420321 */     // MIs[1] Operand 1
     /* 1420321 */     // No operand predicates
     /* 1420321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420325 */     // MIs[0] policy
     /* 1420325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420337 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1420340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420346 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420364 */     // GIR_Coverage, 2835,
     /* 1420364 */     GIR_EraseRootFromParent_Done,
     /* 1420365 */   // Label 20096: @1420365
     /* 1420365 */   GIM_Try, /*On fail goto*//*Label 20097*/ GIMT_Encode4(1420464), // Rule ID 2842 //
     /* 1420370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1420381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1420384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1420387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420420 */     // MIs[1] Operand 1
     /* 1420420 */     // No operand predicates
     /* 1420420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420424 */     // MIs[0] policy
     /* 1420424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420436 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1420439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420445 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420463 */     // GIR_Coverage, 2842,
     /* 1420463 */     GIR_EraseRootFromParent_Done,
     /* 1420464 */   // Label 20097: @1420464
     /* 1420464 */   GIM_Try, /*On fail goto*//*Label 20098*/ GIMT_Encode4(1420563), // Rule ID 2843 //
     /* 1420469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1420480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1420483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1420486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420519 */     // MIs[1] Operand 1
     /* 1420519 */     // No operand predicates
     /* 1420519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420523 */     // MIs[0] policy
     /* 1420523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420535 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1420538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420544 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420562 */     // GIR_Coverage, 2843,
     /* 1420562 */     GIR_EraseRootFromParent_Done,
     /* 1420563 */   // Label 20098: @1420563
     /* 1420563 */   GIM_Try, /*On fail goto*//*Label 20099*/ GIMT_Encode4(1420662), // Rule ID 2850 //
     /* 1420568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1420579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1420582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1420585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420618 */     // MIs[1] Operand 1
     /* 1420618 */     // No operand predicates
     /* 1420618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420622 */     // MIs[0] policy
     /* 1420622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1420637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420643 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420661 */     // GIR_Coverage, 2850,
     /* 1420661 */     GIR_EraseRootFromParent_Done,
     /* 1420662 */   // Label 20099: @1420662
     /* 1420662 */   GIM_Try, /*On fail goto*//*Label 20100*/ GIMT_Encode4(1420761), // Rule ID 2851 //
     /* 1420667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1420678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1420681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1420684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420717 */     // MIs[1] Operand 1
     /* 1420717 */     // No operand predicates
     /* 1420717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420721 */     // MIs[0] policy
     /* 1420721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420733 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1420736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420742 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420760 */     // GIR_Coverage, 2851,
     /* 1420760 */     GIR_EraseRootFromParent_Done,
     /* 1420761 */   // Label 20100: @1420761
     /* 1420761 */   GIM_Try, /*On fail goto*//*Label 20101*/ GIMT_Encode4(1420860), // Rule ID 2858 //
     /* 1420766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1420777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1420780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1420783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420816 */     // MIs[1] Operand 1
     /* 1420816 */     // No operand predicates
     /* 1420816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420820 */     // MIs[0] policy
     /* 1420820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1420835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420841 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420859 */     // GIR_Coverage, 2858,
     /* 1420859 */     GIR_EraseRootFromParent_Done,
     /* 1420860 */   // Label 20101: @1420860
     /* 1420860 */   GIM_Try, /*On fail goto*//*Label 20102*/ GIMT_Encode4(1420959), // Rule ID 2859 //
     /* 1420865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1420876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1420879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1420882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420915 */     // MIs[1] Operand 1
     /* 1420915 */     // No operand predicates
     /* 1420915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420919 */     // MIs[0] policy
     /* 1420919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420931 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1420934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420940 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420958 */     // GIR_Coverage, 2859,
     /* 1420958 */     GIR_EraseRootFromParent_Done,
     /* 1420959 */   // Label 20102: @1420959
     /* 1420959 */   GIM_Try, /*On fail goto*//*Label 20103*/ GIMT_Encode4(1421058), // Rule ID 2866 //
     /* 1420964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1420975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1420978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1420981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421014 */     // MIs[1] Operand 1
     /* 1421014 */     // No operand predicates
     /* 1421014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421018 */     // MIs[0] policy
     /* 1421018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1421033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421039 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1421054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421057 */     // GIR_Coverage, 2866,
     /* 1421057 */     GIR_EraseRootFromParent_Done,
     /* 1421058 */   // Label 20103: @1421058
     /* 1421058 */   GIM_Try, /*On fail goto*//*Label 20104*/ GIMT_Encode4(1421157), // Rule ID 2867 //
     /* 1421063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1421074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1421077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1421080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421113 */     // MIs[1] Operand 1
     /* 1421113 */     // No operand predicates
     /* 1421113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421117 */     // MIs[0] policy
     /* 1421117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421129 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1421132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421138 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1421153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421156 */     // GIR_Coverage, 2867,
     /* 1421156 */     GIR_EraseRootFromParent_Done,
     /* 1421157 */   // Label 20104: @1421157
     /* 1421157 */   GIM_Try, /*On fail goto*//*Label 20105*/ GIMT_Encode4(1421256), // Rule ID 2874 //
     /* 1421162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1421165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1421173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1421176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1421179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421212 */     // MIs[1] Operand 1
     /* 1421212 */     // No operand predicates
     /* 1421212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421216 */     // MIs[0] policy
     /* 1421216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1421231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421237 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421255 */     // GIR_Coverage, 2874,
     /* 1421255 */     GIR_EraseRootFromParent_Done,
     /* 1421256 */   // Label 20105: @1421256
     /* 1421256 */   GIM_Try, /*On fail goto*//*Label 20106*/ GIMT_Encode4(1421355), // Rule ID 2875 //
     /* 1421261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1421264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1421272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1421275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1421278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421311 */     // MIs[1] Operand 1
     /* 1421311 */     // No operand predicates
     /* 1421311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421315 */     // MIs[0] policy
     /* 1421315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1421330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421336 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421354 */     // GIR_Coverage, 2875,
     /* 1421354 */     GIR_EraseRootFromParent_Done,
     /* 1421355 */   // Label 20106: @1421355
     /* 1421355 */   GIM_Try, /*On fail goto*//*Label 20107*/ GIMT_Encode4(1421454), // Rule ID 2882 //
     /* 1421360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1421371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1421374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1421377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1421383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421410 */     // MIs[1] Operand 1
     /* 1421410 */     // No operand predicates
     /* 1421410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421414 */     // MIs[0] policy
     /* 1421414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421426 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1421429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421435 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421453 */     // GIR_Coverage, 2882,
     /* 1421453 */     GIR_EraseRootFromParent_Done,
     /* 1421454 */   // Label 20107: @1421454
     /* 1421454 */   GIM_Try, /*On fail goto*//*Label 20108*/ GIMT_Encode4(1421553), // Rule ID 2883 //
     /* 1421459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1421470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1421473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1421476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1421482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421509 */     // MIs[1] Operand 1
     /* 1421509 */     // No operand predicates
     /* 1421509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421513 */     // MIs[0] policy
     /* 1421513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421525 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1421528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421534 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421552 */     // GIR_Coverage, 2883,
     /* 1421552 */     GIR_EraseRootFromParent_Done,
     /* 1421553 */   // Label 20108: @1421553
     /* 1421553 */   GIM_Try, /*On fail goto*//*Label 20109*/ GIMT_Encode4(1421652), // Rule ID 2890 //
     /* 1421558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1421569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1421572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1421575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1421581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1421588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421608 */     // MIs[1] Operand 1
     /* 1421608 */     // No operand predicates
     /* 1421608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421612 */     // MIs[0] policy
     /* 1421612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421624 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1421627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421633 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421651 */     // GIR_Coverage, 2890,
     /* 1421651 */     GIR_EraseRootFromParent_Done,
     /* 1421652 */   // Label 20109: @1421652
     /* 1421652 */   GIM_Try, /*On fail goto*//*Label 20110*/ GIMT_Encode4(1421751), // Rule ID 2891 //
     /* 1421657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1421668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1421671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1421674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1421680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1421687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421707 */     // MIs[1] Operand 1
     /* 1421707 */     // No operand predicates
     /* 1421707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421711 */     // MIs[0] policy
     /* 1421711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421723 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1421726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421732 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421750 */     // GIR_Coverage, 2891,
     /* 1421750 */     GIR_EraseRootFromParent_Done,
     /* 1421751 */   // Label 20110: @1421751
     /* 1421751 */   GIM_Try, /*On fail goto*//*Label 20111*/ GIMT_Encode4(1421850), // Rule ID 2898 //
     /* 1421756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1421767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1421770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1421773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1421779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1421786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421806 */     // MIs[1] Operand 1
     /* 1421806 */     // No operand predicates
     /* 1421806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421810 */     // MIs[0] policy
     /* 1421810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421822 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1421825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421831 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421849 */     // GIR_Coverage, 2898,
     /* 1421849 */     GIR_EraseRootFromParent_Done,
     /* 1421850 */   // Label 20111: @1421850
     /* 1421850 */   GIM_Try, /*On fail goto*//*Label 20112*/ GIMT_Encode4(1421949), // Rule ID 2899 //
     /* 1421855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1421866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1421869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1421872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1421878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1421885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421905 */     // MIs[1] Operand 1
     /* 1421905 */     // No operand predicates
     /* 1421905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421909 */     // MIs[0] policy
     /* 1421909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421921 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1421924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421930 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421948 */     // GIR_Coverage, 2899,
     /* 1421948 */     GIR_EraseRootFromParent_Done,
     /* 1421949 */   // Label 20112: @1421949
     /* 1421949 */   GIM_Try, /*On fail goto*//*Label 20113*/ GIMT_Encode4(1422048), // Rule ID 2906 //
     /* 1421954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1421965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1421968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1421971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1421977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422004 */     // MIs[1] Operand 1
     /* 1422004 */     // No operand predicates
     /* 1422004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422008 */     // MIs[0] policy
     /* 1422008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422020 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1422023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422029 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422047 */     // GIR_Coverage, 2906,
     /* 1422047 */     GIR_EraseRootFromParent_Done,
     /* 1422048 */   // Label 20113: @1422048
     /* 1422048 */   GIM_Try, /*On fail goto*//*Label 20114*/ GIMT_Encode4(1422147), // Rule ID 2907 //
     /* 1422053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1422064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1422067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1422070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422103 */     // MIs[1] Operand 1
     /* 1422103 */     // No operand predicates
     /* 1422103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422107 */     // MIs[0] policy
     /* 1422107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422119 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1422122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422128 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422146 */     // GIR_Coverage, 2907,
     /* 1422146 */     GIR_EraseRootFromParent_Done,
     /* 1422147 */   // Label 20114: @1422147
     /* 1422147 */   GIM_Try, /*On fail goto*//*Label 20115*/ GIMT_Encode4(1422246), // Rule ID 2914 //
     /* 1422152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1422163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1422166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1422169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422202 */     // MIs[1] Operand 1
     /* 1422202 */     // No operand predicates
     /* 1422202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422206 */     // MIs[0] policy
     /* 1422206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422218 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1422221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422227 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422245 */     // GIR_Coverage, 2914,
     /* 1422245 */     GIR_EraseRootFromParent_Done,
     /* 1422246 */   // Label 20115: @1422246
     /* 1422246 */   GIM_Try, /*On fail goto*//*Label 20116*/ GIMT_Encode4(1422345), // Rule ID 2915 //
     /* 1422251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1422262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1422265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1422268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422301 */     // MIs[1] Operand 1
     /* 1422301 */     // No operand predicates
     /* 1422301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422305 */     // MIs[0] policy
     /* 1422305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422317 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1422320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422326 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422344 */     // GIR_Coverage, 2915,
     /* 1422344 */     GIR_EraseRootFromParent_Done,
     /* 1422345 */   // Label 20116: @1422345
     /* 1422345 */   GIM_Try, /*On fail goto*//*Label 20117*/ GIMT_Encode4(1422444), // Rule ID 2922 //
     /* 1422350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1422361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1422364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1422367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1422373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422400 */     // MIs[1] Operand 1
     /* 1422400 */     // No operand predicates
     /* 1422400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422404 */     // MIs[0] policy
     /* 1422404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422416 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1422419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422425 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422443 */     // GIR_Coverage, 2922,
     /* 1422443 */     GIR_EraseRootFromParent_Done,
     /* 1422444 */   // Label 20117: @1422444
     /* 1422444 */   GIM_Try, /*On fail goto*//*Label 20118*/ GIMT_Encode4(1422543), // Rule ID 2923 //
     /* 1422449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1422460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1422463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1422466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1422472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422499 */     // MIs[1] Operand 1
     /* 1422499 */     // No operand predicates
     /* 1422499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422503 */     // MIs[0] policy
     /* 1422503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1422518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422524 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422542 */     // GIR_Coverage, 2923,
     /* 1422542 */     GIR_EraseRootFromParent_Done,
     /* 1422543 */   // Label 20118: @1422543
     /* 1422543 */   GIM_Try, /*On fail goto*//*Label 20119*/ GIMT_Encode4(1422642), // Rule ID 2930 //
     /* 1422548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1422559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1422562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1422565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422598 */     // MIs[1] Operand 1
     /* 1422598 */     // No operand predicates
     /* 1422598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422602 */     // MIs[0] policy
     /* 1422602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422614 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1422617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422623 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422641 */     // GIR_Coverage, 2930,
     /* 1422641 */     GIR_EraseRootFromParent_Done,
     /* 1422642 */   // Label 20119: @1422642
     /* 1422642 */   GIM_Try, /*On fail goto*//*Label 20120*/ GIMT_Encode4(1422741), // Rule ID 2931 //
     /* 1422647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1422658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1422661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1422664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422697 */     // MIs[1] Operand 1
     /* 1422697 */     // No operand predicates
     /* 1422697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422701 */     // MIs[0] policy
     /* 1422701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422713 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1422716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422722 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422740 */     // GIR_Coverage, 2931,
     /* 1422740 */     GIR_EraseRootFromParent_Done,
     /* 1422741 */   // Label 20120: @1422741
     /* 1422741 */   GIM_Try, /*On fail goto*//*Label 20121*/ GIMT_Encode4(1422840), // Rule ID 2938 //
     /* 1422746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1422757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1422760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1422763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422796 */     // MIs[1] Operand 1
     /* 1422796 */     // No operand predicates
     /* 1422796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422800 */     // MIs[0] policy
     /* 1422800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422812 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1422815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422821 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422839 */     // GIR_Coverage, 2938,
     /* 1422839 */     GIR_EraseRootFromParent_Done,
     /* 1422840 */   // Label 20121: @1422840
     /* 1422840 */   GIM_Try, /*On fail goto*//*Label 20122*/ GIMT_Encode4(1422939), // Rule ID 2939 //
     /* 1422845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1422856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1422859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1422862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422895 */     // MIs[1] Operand 1
     /* 1422895 */     // No operand predicates
     /* 1422895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422899 */     // MIs[0] policy
     /* 1422899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422911 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1422914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422920 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1422925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422938 */     // GIR_Coverage, 2939,
     /* 1422938 */     GIR_EraseRootFromParent_Done,
     /* 1422939 */   // Label 20122: @1422939
     /* 1422939 */   GIM_Try, /*On fail goto*//*Label 20123*/ GIMT_Encode4(1423038), // Rule ID 2946 //
     /* 1422944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1422952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1422955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1422958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1422961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1422994 */     // MIs[1] Operand 1
     /* 1422994 */     // No operand predicates
     /* 1422994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422998 */     // MIs[0] policy
     /* 1422998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423010 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1423013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423019 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423037 */     // GIR_Coverage, 2946,
     /* 1423037 */     GIR_EraseRootFromParent_Done,
     /* 1423038 */   // Label 20123: @1423038
     /* 1423038 */   GIM_Try, /*On fail goto*//*Label 20124*/ GIMT_Encode4(1423137), // Rule ID 2947 //
     /* 1423043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1423054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1423057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1423060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423093 */     // MIs[1] Operand 1
     /* 1423093 */     // No operand predicates
     /* 1423093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423097 */     // MIs[0] policy
     /* 1423097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423109 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1423112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423118 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423136 */     // GIR_Coverage, 2947,
     /* 1423136 */     GIR_EraseRootFromParent_Done,
     /* 1423137 */   // Label 20124: @1423137
     /* 1423137 */   GIM_Try, /*On fail goto*//*Label 20125*/ GIMT_Encode4(1423236), // Rule ID 2954 //
     /* 1423142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1423145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1423153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1423156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1423159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1423165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423192 */     // MIs[1] Operand 1
     /* 1423192 */     // No operand predicates
     /* 1423192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423196 */     // MIs[0] policy
     /* 1423196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423208 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1423211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423217 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423235 */     // GIR_Coverage, 2954,
     /* 1423235 */     GIR_EraseRootFromParent_Done,
     /* 1423236 */   // Label 20125: @1423236
     /* 1423236 */   GIM_Try, /*On fail goto*//*Label 20126*/ GIMT_Encode4(1423335), // Rule ID 2955 //
     /* 1423241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1423244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1423252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1423255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1423258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1423264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423291 */     // MIs[1] Operand 1
     /* 1423291 */     // No operand predicates
     /* 1423291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423295 */     // MIs[0] policy
     /* 1423295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423307 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1423310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423316 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423334 */     // GIR_Coverage, 2955,
     /* 1423334 */     GIR_EraseRootFromParent_Done,
     /* 1423335 */   // Label 20126: @1423335
     /* 1423335 */   GIM_Try, /*On fail goto*//*Label 20127*/ GIMT_Encode4(1423434), // Rule ID 2962 //
     /* 1423340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1423343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1423351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1423354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1423357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423390 */     // MIs[1] Operand 1
     /* 1423390 */     // No operand predicates
     /* 1423390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423394 */     // MIs[0] policy
     /* 1423394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423406 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1423409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423415 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423433 */     // GIR_Coverage, 2962,
     /* 1423433 */     GIR_EraseRootFromParent_Done,
     /* 1423434 */   // Label 20127: @1423434
     /* 1423434 */   GIM_Try, /*On fail goto*//*Label 20128*/ GIMT_Encode4(1423533), // Rule ID 2963 //
     /* 1423439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1423442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1423450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1423453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1423456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423489 */     // MIs[1] Operand 1
     /* 1423489 */     // No operand predicates
     /* 1423489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423493 */     // MIs[0] policy
     /* 1423493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423505 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1423508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423514 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423532 */     // GIR_Coverage, 2963,
     /* 1423532 */     GIR_EraseRootFromParent_Done,
     /* 1423533 */   // Label 20128: @1423533
     /* 1423533 */   GIM_Try, /*On fail goto*//*Label 20129*/ GIMT_Encode4(1423632), // Rule ID 2970 //
     /* 1423538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1423541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1423549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1423552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1423555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423588 */     // MIs[1] Operand 1
     /* 1423588 */     // No operand predicates
     /* 1423588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423592 */     // MIs[0] policy
     /* 1423592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423604 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1423607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423613 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423631 */     // GIR_Coverage, 2970,
     /* 1423631 */     GIR_EraseRootFromParent_Done,
     /* 1423632 */   // Label 20129: @1423632
     /* 1423632 */   GIM_Try, /*On fail goto*//*Label 20130*/ GIMT_Encode4(1423731), // Rule ID 2971 //
     /* 1423637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1423640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1423648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1423651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1423654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423687 */     // MIs[1] Operand 1
     /* 1423687 */     // No operand predicates
     /* 1423687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423691 */     // MIs[0] policy
     /* 1423691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423703 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1423706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423712 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423730 */     // GIR_Coverage, 2971,
     /* 1423730 */     GIR_EraseRootFromParent_Done,
     /* 1423731 */   // Label 20130: @1423731
     /* 1423731 */   GIM_Try, /*On fail goto*//*Label 20131*/ GIMT_Encode4(1423828), // Rule ID 3154 //
     /* 1423736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1423747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1423750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1423753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423786 */     // MIs[1] Operand 1
     /* 1423786 */     // No operand predicates
     /* 1423786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423790 */     // MIs[0] policy
     /* 1423790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423802 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1423805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423827 */     // GIR_Coverage, 3154,
     /* 1423827 */     GIR_EraseRootFromParent_Done,
     /* 1423828 */   // Label 20131: @1423828
     /* 1423828 */   GIM_Try, /*On fail goto*//*Label 20132*/ GIMT_Encode4(1423925), // Rule ID 3155 //
     /* 1423833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1423844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1423847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1423850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423883 */     // MIs[1] Operand 1
     /* 1423883 */     // No operand predicates
     /* 1423883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423887 */     // MIs[0] policy
     /* 1423887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423899 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1423902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423924 */     // GIR_Coverage, 3155,
     /* 1423924 */     GIR_EraseRootFromParent_Done,
     /* 1423925 */   // Label 20132: @1423925
     /* 1423925 */   GIM_Try, /*On fail goto*//*Label 20133*/ GIMT_Encode4(1424022), // Rule ID 3158 //
     /* 1423930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1423941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1423944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1423947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1423953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423980 */     // MIs[1] Operand 1
     /* 1423980 */     // No operand predicates
     /* 1423980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423984 */     // MIs[0] policy
     /* 1423984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423996 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1423999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424021 */     // GIR_Coverage, 3158,
     /* 1424021 */     GIR_EraseRootFromParent_Done,
     /* 1424022 */   // Label 20133: @1424022
     /* 1424022 */   GIM_Try, /*On fail goto*//*Label 20134*/ GIMT_Encode4(1424119), // Rule ID 3159 //
     /* 1424027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1424038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1424041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1424044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424077 */     // MIs[1] Operand 1
     /* 1424077 */     // No operand predicates
     /* 1424077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424081 */     // MIs[0] policy
     /* 1424081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424093 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1424096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424118 */     // GIR_Coverage, 3159,
     /* 1424118 */     GIR_EraseRootFromParent_Done,
     /* 1424119 */   // Label 20134: @1424119
     /* 1424119 */   GIM_Try, /*On fail goto*//*Label 20135*/ GIMT_Encode4(1424216), // Rule ID 3162 //
     /* 1424124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1424135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1424138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1424141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424174 */     // MIs[1] Operand 1
     /* 1424174 */     // No operand predicates
     /* 1424174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424178 */     // MIs[0] policy
     /* 1424178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424190 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424215 */     // GIR_Coverage, 3162,
     /* 1424215 */     GIR_EraseRootFromParent_Done,
     /* 1424216 */   // Label 20135: @1424216
     /* 1424216 */   GIM_Try, /*On fail goto*//*Label 20136*/ GIMT_Encode4(1424313), // Rule ID 3163 //
     /* 1424221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1424232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1424235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1424238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424271 */     // MIs[1] Operand 1
     /* 1424271 */     // No operand predicates
     /* 1424271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424275 */     // MIs[0] policy
     /* 1424275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424287 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424312 */     // GIR_Coverage, 3163,
     /* 1424312 */     GIR_EraseRootFromParent_Done,
     /* 1424313 */   // Label 20136: @1424313
     /* 1424313 */   GIM_Try, /*On fail goto*//*Label 20137*/ GIMT_Encode4(1424410), // Rule ID 3166 //
     /* 1424318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1424329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1424332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1424335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424368 */     // MIs[1] Operand 1
     /* 1424368 */     // No operand predicates
     /* 1424368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424372 */     // MIs[0] policy
     /* 1424372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424384 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1424387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424409 */     // GIR_Coverage, 3166,
     /* 1424409 */     GIR_EraseRootFromParent_Done,
     /* 1424410 */   // Label 20137: @1424410
     /* 1424410 */   GIM_Try, /*On fail goto*//*Label 20138*/ GIMT_Encode4(1424507), // Rule ID 3167 //
     /* 1424415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1424426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1424429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1424432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424465 */     // MIs[1] Operand 1
     /* 1424465 */     // No operand predicates
     /* 1424465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424469 */     // MIs[0] policy
     /* 1424469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424481 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1424484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424506 */     // GIR_Coverage, 3167,
     /* 1424506 */     GIR_EraseRootFromParent_Done,
     /* 1424507 */   // Label 20138: @1424507
     /* 1424507 */   GIM_Try, /*On fail goto*//*Label 20139*/ GIMT_Encode4(1424604), // Rule ID 3170 //
     /* 1424512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1424523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1424526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1424529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424562 */     // MIs[1] Operand 1
     /* 1424562 */     // No operand predicates
     /* 1424562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424566 */     // MIs[0] policy
     /* 1424566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424578 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424603 */     // GIR_Coverage, 3170,
     /* 1424603 */     GIR_EraseRootFromParent_Done,
     /* 1424604 */   // Label 20139: @1424604
     /* 1424604 */   GIM_Try, /*On fail goto*//*Label 20140*/ GIMT_Encode4(1424701), // Rule ID 3171 //
     /* 1424609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1424620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1424623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1424626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424659 */     // MIs[1] Operand 1
     /* 1424659 */     // No operand predicates
     /* 1424659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424663 */     // MIs[0] policy
     /* 1424663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424675 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424700 */     // GIR_Coverage, 3171,
     /* 1424700 */     GIR_EraseRootFromParent_Done,
     /* 1424701 */   // Label 20140: @1424701
     /* 1424701 */   GIM_Try, /*On fail goto*//*Label 20141*/ GIMT_Encode4(1424798), // Rule ID 3174 //
     /* 1424706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1424717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1424720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1424723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424756 */     // MIs[1] Operand 1
     /* 1424756 */     // No operand predicates
     /* 1424756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424760 */     // MIs[0] policy
     /* 1424760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424772 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424797 */     // GIR_Coverage, 3174,
     /* 1424797 */     GIR_EraseRootFromParent_Done,
     /* 1424798 */   // Label 20141: @1424798
     /* 1424798 */   GIM_Try, /*On fail goto*//*Label 20142*/ GIMT_Encode4(1424895), // Rule ID 3175 //
     /* 1424803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1424814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1424817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1424820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424853 */     // MIs[1] Operand 1
     /* 1424853 */     // No operand predicates
     /* 1424853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424857 */     // MIs[0] policy
     /* 1424857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424869 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424894 */     // GIR_Coverage, 3175,
     /* 1424894 */     GIR_EraseRootFromParent_Done,
     /* 1424895 */   // Label 20142: @1424895
     /* 1424895 */   GIM_Try, /*On fail goto*//*Label 20143*/ GIMT_Encode4(1424992), // Rule ID 3178 //
     /* 1424900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1424911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1424914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1424917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424950 */     // MIs[1] Operand 1
     /* 1424950 */     // No operand predicates
     /* 1424950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424954 */     // MIs[0] policy
     /* 1424954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424966 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1424969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424991 */     // GIR_Coverage, 3178,
     /* 1424991 */     GIR_EraseRootFromParent_Done,
     /* 1424992 */   // Label 20143: @1424992
     /* 1424992 */   GIM_Try, /*On fail goto*//*Label 20144*/ GIMT_Encode4(1425089), // Rule ID 3179 //
     /* 1424997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1425008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1425011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1425014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425047 */     // MIs[1] Operand 1
     /* 1425047 */     // No operand predicates
     /* 1425047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425051 */     // MIs[0] policy
     /* 1425051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425063 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425088 */     // GIR_Coverage, 3179,
     /* 1425088 */     GIR_EraseRootFromParent_Done,
     /* 1425089 */   // Label 20144: @1425089
     /* 1425089 */   GIM_Try, /*On fail goto*//*Label 20145*/ GIMT_Encode4(1425186), // Rule ID 3182 //
     /* 1425094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1425105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1425108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1425111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425144 */     // MIs[1] Operand 1
     /* 1425144 */     // No operand predicates
     /* 1425144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425148 */     // MIs[0] policy
     /* 1425148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425160 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425185 */     // GIR_Coverage, 3182,
     /* 1425185 */     GIR_EraseRootFromParent_Done,
     /* 1425186 */   // Label 20145: @1425186
     /* 1425186 */   GIM_Try, /*On fail goto*//*Label 20146*/ GIMT_Encode4(1425283), // Rule ID 3183 //
     /* 1425191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1425202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1425205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1425208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425241 */     // MIs[1] Operand 1
     /* 1425241 */     // No operand predicates
     /* 1425241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425245 */     // MIs[0] policy
     /* 1425245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425257 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425282 */     // GIR_Coverage, 3183,
     /* 1425282 */     GIR_EraseRootFromParent_Done,
     /* 1425283 */   // Label 20146: @1425283
     /* 1425283 */   GIM_Try, /*On fail goto*//*Label 20147*/ GIMT_Encode4(1425380), // Rule ID 3186 //
     /* 1425288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1425299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1425302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1425305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425338 */     // MIs[1] Operand 1
     /* 1425338 */     // No operand predicates
     /* 1425338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425342 */     // MIs[0] policy
     /* 1425342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425379 */     // GIR_Coverage, 3186,
     /* 1425379 */     GIR_EraseRootFromParent_Done,
     /* 1425380 */   // Label 20147: @1425380
     /* 1425380 */   GIM_Try, /*On fail goto*//*Label 20148*/ GIMT_Encode4(1425477), // Rule ID 3187 //
     /* 1425385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1425396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1425399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1425402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425435 */     // MIs[1] Operand 1
     /* 1425435 */     // No operand predicates
     /* 1425435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425439 */     // MIs[0] policy
     /* 1425439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425451 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425476 */     // GIR_Coverage, 3187,
     /* 1425476 */     GIR_EraseRootFromParent_Done,
     /* 1425477 */   // Label 20148: @1425477
     /* 1425477 */   GIM_Try, /*On fail goto*//*Label 20149*/ GIMT_Encode4(1425574), // Rule ID 3190 //
     /* 1425482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1425485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1425493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1425496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1425499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425532 */     // MIs[1] Operand 1
     /* 1425532 */     // No operand predicates
     /* 1425532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425536 */     // MIs[0] policy
     /* 1425536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425573 */     // GIR_Coverage, 3190,
     /* 1425573 */     GIR_EraseRootFromParent_Done,
     /* 1425574 */   // Label 20149: @1425574
     /* 1425574 */   GIM_Try, /*On fail goto*//*Label 20150*/ GIMT_Encode4(1425671), // Rule ID 3191 //
     /* 1425579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1425590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1425593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1425596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425629 */     // MIs[1] Operand 1
     /* 1425629 */     // No operand predicates
     /* 1425629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425633 */     // MIs[0] policy
     /* 1425633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425645 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425670 */     // GIR_Coverage, 3191,
     /* 1425670 */     GIR_EraseRootFromParent_Done,
     /* 1425671 */   // Label 20150: @1425671
     /* 1425671 */   GIM_Try, /*On fail goto*//*Label 20151*/ GIMT_Encode4(1425768), // Rule ID 3194 //
     /* 1425676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1425687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1425690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1425693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1425699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425726 */     // MIs[1] Operand 1
     /* 1425726 */     // No operand predicates
     /* 1425726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425730 */     // MIs[0] policy
     /* 1425730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425742 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1425745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425767 */     // GIR_Coverage, 3194,
     /* 1425767 */     GIR_EraseRootFromParent_Done,
     /* 1425768 */   // Label 20151: @1425768
     /* 1425768 */   GIM_Try, /*On fail goto*//*Label 20152*/ GIMT_Encode4(1425865), // Rule ID 3195 //
     /* 1425773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1425784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1425787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1425790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1425796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425823 */     // MIs[1] Operand 1
     /* 1425823 */     // No operand predicates
     /* 1425823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425827 */     // MIs[0] policy
     /* 1425827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425839 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1425842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425864 */     // GIR_Coverage, 3195,
     /* 1425864 */     GIR_EraseRootFromParent_Done,
     /* 1425865 */   // Label 20152: @1425865
     /* 1425865 */   GIM_Try, /*On fail goto*//*Label 20153*/ GIMT_Encode4(1425962), // Rule ID 3198 //
     /* 1425870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1425881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1425884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1425887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1425893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425920 */     // MIs[1] Operand 1
     /* 1425920 */     // No operand predicates
     /* 1425920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425924 */     // MIs[0] policy
     /* 1425924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425936 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1425939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425961 */     // GIR_Coverage, 3198,
     /* 1425961 */     GIR_EraseRootFromParent_Done,
     /* 1425962 */   // Label 20153: @1425962
     /* 1425962 */   GIM_Try, /*On fail goto*//*Label 20154*/ GIMT_Encode4(1426059), // Rule ID 3199 //
     /* 1425967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1425978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1425981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1425984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1425990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426017 */     // MIs[1] Operand 1
     /* 1426017 */     // No operand predicates
     /* 1426017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426021 */     // MIs[0] policy
     /* 1426021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426033 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1426036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426058 */     // GIR_Coverage, 3199,
     /* 1426058 */     GIR_EraseRootFromParent_Done,
     /* 1426059 */   // Label 20154: @1426059
     /* 1426059 */   GIM_Try, /*On fail goto*//*Label 20155*/ GIMT_Encode4(1426156), // Rule ID 3202 //
     /* 1426064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1426075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1426078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1426081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1426087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426114 */     // MIs[1] Operand 1
     /* 1426114 */     // No operand predicates
     /* 1426114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426118 */     // MIs[0] policy
     /* 1426118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426130 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1426133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426155 */     // GIR_Coverage, 3202,
     /* 1426155 */     GIR_EraseRootFromParent_Done,
     /* 1426156 */   // Label 20155: @1426156
     /* 1426156 */   GIM_Try, /*On fail goto*//*Label 20156*/ GIMT_Encode4(1426253), // Rule ID 3203 //
     /* 1426161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1426172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1426175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1426178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1426184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426211 */     // MIs[1] Operand 1
     /* 1426211 */     // No operand predicates
     /* 1426211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426215 */     // MIs[0] policy
     /* 1426215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426227 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1426230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426252 */     // GIR_Coverage, 3203,
     /* 1426252 */     GIR_EraseRootFromParent_Done,
     /* 1426253 */   // Label 20156: @1426253
     /* 1426253 */   GIM_Try, /*On fail goto*//*Label 20157*/ GIMT_Encode4(1426350), // Rule ID 3206 //
     /* 1426258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1426269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1426272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1426275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426308 */     // MIs[1] Operand 1
     /* 1426308 */     // No operand predicates
     /* 1426308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426312 */     // MIs[0] policy
     /* 1426312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426324 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1426327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426349 */     // GIR_Coverage, 3206,
     /* 1426349 */     GIR_EraseRootFromParent_Done,
     /* 1426350 */   // Label 20157: @1426350
     /* 1426350 */   GIM_Try, /*On fail goto*//*Label 20158*/ GIMT_Encode4(1426447), // Rule ID 3207 //
     /* 1426355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1426366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1426369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1426372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426405 */     // MIs[1] Operand 1
     /* 1426405 */     // No operand predicates
     /* 1426405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426409 */     // MIs[0] policy
     /* 1426409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1426424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426446 */     // GIR_Coverage, 3207,
     /* 1426446 */     GIR_EraseRootFromParent_Done,
     /* 1426447 */   // Label 20158: @1426447
     /* 1426447 */   GIM_Try, /*On fail goto*//*Label 20159*/ GIMT_Encode4(1426544), // Rule ID 3210 //
     /* 1426452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1426463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1426466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1426469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426502 */     // MIs[1] Operand 1
     /* 1426502 */     // No operand predicates
     /* 1426502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426506 */     // MIs[0] policy
     /* 1426506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426518 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1426521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426543 */     // GIR_Coverage, 3210,
     /* 1426543 */     GIR_EraseRootFromParent_Done,
     /* 1426544 */   // Label 20159: @1426544
     /* 1426544 */   GIM_Try, /*On fail goto*//*Label 20160*/ GIMT_Encode4(1426641), // Rule ID 3211 //
     /* 1426549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1426560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1426563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1426566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426599 */     // MIs[1] Operand 1
     /* 1426599 */     // No operand predicates
     /* 1426599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426603 */     // MIs[0] policy
     /* 1426603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426615 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1426618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426640 */     // GIR_Coverage, 3211,
     /* 1426640 */     GIR_EraseRootFromParent_Done,
     /* 1426641 */   // Label 20160: @1426641
     /* 1426641 */   GIM_Try, /*On fail goto*//*Label 20161*/ GIMT_Encode4(1426738), // Rule ID 3214 //
     /* 1426646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1426657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1426660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1426663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1426669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426696 */     // MIs[1] Operand 1
     /* 1426696 */     // No operand predicates
     /* 1426696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426700 */     // MIs[0] policy
     /* 1426700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426712 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1426715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426737 */     // GIR_Coverage, 3214,
     /* 1426737 */     GIR_EraseRootFromParent_Done,
     /* 1426738 */   // Label 20161: @1426738
     /* 1426738 */   GIM_Try, /*On fail goto*//*Label 20162*/ GIMT_Encode4(1426835), // Rule ID 3215 //
     /* 1426743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1426754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1426757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1426760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1426766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426793 */     // MIs[1] Operand 1
     /* 1426793 */     // No operand predicates
     /* 1426793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426797 */     // MIs[0] policy
     /* 1426797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426809 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1426812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426834 */     // GIR_Coverage, 3215,
     /* 1426834 */     GIR_EraseRootFromParent_Done,
     /* 1426835 */   // Label 20162: @1426835
     /* 1426835 */   GIM_Try, /*On fail goto*//*Label 20163*/ GIMT_Encode4(1426932), // Rule ID 3218 //
     /* 1426840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1426851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1426854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1426857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426890 */     // MIs[1] Operand 1
     /* 1426890 */     // No operand predicates
     /* 1426890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426894 */     // MIs[0] policy
     /* 1426894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1426909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426931 */     // GIR_Coverage, 3218,
     /* 1426931 */     GIR_EraseRootFromParent_Done,
     /* 1426932 */   // Label 20163: @1426932
     /* 1426932 */   GIM_Try, /*On fail goto*//*Label 20164*/ GIMT_Encode4(1427029), // Rule ID 3219 //
     /* 1426937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1426945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1426948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1426951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1426954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426987 */     // MIs[1] Operand 1
     /* 1426987 */     // No operand predicates
     /* 1426987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426991 */     // MIs[0] policy
     /* 1426991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1427006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427028 */     // GIR_Coverage, 3219,
     /* 1427028 */     GIR_EraseRootFromParent_Done,
     /* 1427029 */   // Label 20164: @1427029
     /* 1427029 */   GIM_Try, /*On fail goto*//*Label 20165*/ GIMT_Encode4(1427126), // Rule ID 3222 //
     /* 1427034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1427045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1427048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1427051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427084 */     // MIs[1] Operand 1
     /* 1427084 */     // No operand predicates
     /* 1427084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427088 */     // MIs[0] policy
     /* 1427088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1427103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427125 */     // GIR_Coverage, 3222,
     /* 1427125 */     GIR_EraseRootFromParent_Done,
     /* 1427126 */   // Label 20165: @1427126
     /* 1427126 */   GIM_Try, /*On fail goto*//*Label 20166*/ GIMT_Encode4(1427223), // Rule ID 3223 //
     /* 1427131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1427142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1427145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1427148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427181 */     // MIs[1] Operand 1
     /* 1427181 */     // No operand predicates
     /* 1427181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427185 */     // MIs[0] policy
     /* 1427185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1427200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427222 */     // GIR_Coverage, 3223,
     /* 1427222 */     GIR_EraseRootFromParent_Done,
     /* 1427223 */   // Label 20166: @1427223
     /* 1427223 */   GIM_Try, /*On fail goto*//*Label 20167*/ GIMT_Encode4(1427320), // Rule ID 3226 //
     /* 1427228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1427239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1427242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1427245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427278 */     // MIs[1] Operand 1
     /* 1427278 */     // No operand predicates
     /* 1427278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427282 */     // MIs[0] policy
     /* 1427282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427294 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1427297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427319 */     // GIR_Coverage, 3226,
     /* 1427319 */     GIR_EraseRootFromParent_Done,
     /* 1427320 */   // Label 20167: @1427320
     /* 1427320 */   GIM_Try, /*On fail goto*//*Label 20168*/ GIMT_Encode4(1427417), // Rule ID 3227 //
     /* 1427325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1427336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1427339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1427342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427375 */     // MIs[1] Operand 1
     /* 1427375 */     // No operand predicates
     /* 1427375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427379 */     // MIs[0] policy
     /* 1427379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427391 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1427394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427416 */     // GIR_Coverage, 3227,
     /* 1427416 */     GIR_EraseRootFromParent_Done,
     /* 1427417 */   // Label 20168: @1427417
     /* 1427417 */   GIM_Try, /*On fail goto*//*Label 20169*/ GIMT_Encode4(1427514), // Rule ID 3230 //
     /* 1427422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1427433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1427436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1427439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427472 */     // MIs[1] Operand 1
     /* 1427472 */     // No operand predicates
     /* 1427472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427476 */     // MIs[0] policy
     /* 1427476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427488 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1427491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427513 */     // GIR_Coverage, 3230,
     /* 1427513 */     GIR_EraseRootFromParent_Done,
     /* 1427514 */   // Label 20169: @1427514
     /* 1427514 */   GIM_Try, /*On fail goto*//*Label 20170*/ GIMT_Encode4(1427611), // Rule ID 3231 //
     /* 1427519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1427530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1427533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1427536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427569 */     // MIs[1] Operand 1
     /* 1427569 */     // No operand predicates
     /* 1427569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427573 */     // MIs[0] policy
     /* 1427573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427585 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1427588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427610 */     // GIR_Coverage, 3231,
     /* 1427610 */     GIR_EraseRootFromParent_Done,
     /* 1427611 */   // Label 20170: @1427611
     /* 1427611 */   GIM_Try, /*On fail goto*//*Label 20171*/ GIMT_Encode4(1427708), // Rule ID 3234 //
     /* 1427616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1427627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1427630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1427633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427666 */     // MIs[1] Operand 1
     /* 1427666 */     // No operand predicates
     /* 1427666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427670 */     // MIs[0] policy
     /* 1427670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427682 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1427685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427707 */     // GIR_Coverage, 3234,
     /* 1427707 */     GIR_EraseRootFromParent_Done,
     /* 1427708 */   // Label 20171: @1427708
     /* 1427708 */   GIM_Try, /*On fail goto*//*Label 20172*/ GIMT_Encode4(1427805), // Rule ID 3235 //
     /* 1427713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1427724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1427727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1427730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427763 */     // MIs[1] Operand 1
     /* 1427763 */     // No operand predicates
     /* 1427763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427767 */     // MIs[0] policy
     /* 1427767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427779 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1427782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427804 */     // GIR_Coverage, 3235,
     /* 1427804 */     GIR_EraseRootFromParent_Done,
     /* 1427805 */   // Label 20172: @1427805
     /* 1427805 */   GIM_Try, /*On fail goto*//*Label 20173*/ GIMT_Encode4(1427902), // Rule ID 3238 //
     /* 1427810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1427821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1427824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1427827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427860 */     // MIs[1] Operand 1
     /* 1427860 */     // No operand predicates
     /* 1427860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427864 */     // MIs[0] policy
     /* 1427864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427876 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1427879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427901 */     // GIR_Coverage, 3238,
     /* 1427901 */     GIR_EraseRootFromParent_Done,
     /* 1427902 */   // Label 20173: @1427902
     /* 1427902 */   GIM_Try, /*On fail goto*//*Label 20174*/ GIMT_Encode4(1427999), // Rule ID 3239 //
     /* 1427907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1427918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1427921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1427924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427957 */     // MIs[1] Operand 1
     /* 1427957 */     // No operand predicates
     /* 1427957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427961 */     // MIs[0] policy
     /* 1427961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427973 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1427976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427998 */     // GIR_Coverage, 3239,
     /* 1427998 */     GIR_EraseRootFromParent_Done,
     /* 1427999 */   // Label 20174: @1427999
     /* 1427999 */   GIM_Try, /*On fail goto*//*Label 20175*/ GIMT_Encode4(1428096), // Rule ID 3506 //
     /* 1428004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1428015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1428018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1428021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428054 */     // MIs[1] Operand 1
     /* 1428054 */     // No operand predicates
     /* 1428054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428058 */     // MIs[0] policy
     /* 1428058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428070 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1428073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428095 */     // GIR_Coverage, 3506,
     /* 1428095 */     GIR_EraseRootFromParent_Done,
     /* 1428096 */   // Label 20175: @1428096
     /* 1428096 */   GIM_Try, /*On fail goto*//*Label 20176*/ GIMT_Encode4(1428193), // Rule ID 3507 //
     /* 1428101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1428112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1428115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1428118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428151 */     // MIs[1] Operand 1
     /* 1428151 */     // No operand predicates
     /* 1428151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428155 */     // MIs[0] policy
     /* 1428155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428167 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1428170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428192 */     // GIR_Coverage, 3507,
     /* 1428192 */     GIR_EraseRootFromParent_Done,
     /* 1428193 */   // Label 20176: @1428193
     /* 1428193 */   GIM_Try, /*On fail goto*//*Label 20177*/ GIMT_Encode4(1428290), // Rule ID 3510 //
     /* 1428198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1428209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1428212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1428215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428248 */     // MIs[1] Operand 1
     /* 1428248 */     // No operand predicates
     /* 1428248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428252 */     // MIs[0] policy
     /* 1428252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428264 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1428267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428289 */     // GIR_Coverage, 3510,
     /* 1428289 */     GIR_EraseRootFromParent_Done,
     /* 1428290 */   // Label 20177: @1428290
     /* 1428290 */   GIM_Try, /*On fail goto*//*Label 20178*/ GIMT_Encode4(1428387), // Rule ID 3511 //
     /* 1428295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1428306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1428309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1428312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428345 */     // MIs[1] Operand 1
     /* 1428345 */     // No operand predicates
     /* 1428345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428349 */     // MIs[0] policy
     /* 1428349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428361 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1428364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428386 */     // GIR_Coverage, 3511,
     /* 1428386 */     GIR_EraseRootFromParent_Done,
     /* 1428387 */   // Label 20178: @1428387
     /* 1428387 */   GIM_Try, /*On fail goto*//*Label 20179*/ GIMT_Encode4(1428484), // Rule ID 3514 //
     /* 1428392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1428403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1428406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1428409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428442 */     // MIs[1] Operand 1
     /* 1428442 */     // No operand predicates
     /* 1428442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428446 */     // MIs[0] policy
     /* 1428446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428458 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1428461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428483 */     // GIR_Coverage, 3514,
     /* 1428483 */     GIR_EraseRootFromParent_Done,
     /* 1428484 */   // Label 20179: @1428484
     /* 1428484 */   GIM_Try, /*On fail goto*//*Label 20180*/ GIMT_Encode4(1428581), // Rule ID 3515 //
     /* 1428489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1428500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1428503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1428506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428539 */     // MIs[1] Operand 1
     /* 1428539 */     // No operand predicates
     /* 1428539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428543 */     // MIs[0] policy
     /* 1428543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428555 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1428558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428580 */     // GIR_Coverage, 3515,
     /* 1428580 */     GIR_EraseRootFromParent_Done,
     /* 1428581 */   // Label 20180: @1428581
     /* 1428581 */   GIM_Try, /*On fail goto*//*Label 20181*/ GIMT_Encode4(1428678), // Rule ID 3518 //
     /* 1428586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1428597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1428600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1428603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428636 */     // MIs[1] Operand 1
     /* 1428636 */     // No operand predicates
     /* 1428636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428640 */     // MIs[0] policy
     /* 1428640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428652 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1428655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428677 */     // GIR_Coverage, 3518,
     /* 1428677 */     GIR_EraseRootFromParent_Done,
     /* 1428678 */   // Label 20181: @1428678
     /* 1428678 */   GIM_Try, /*On fail goto*//*Label 20182*/ GIMT_Encode4(1428775), // Rule ID 3519 //
     /* 1428683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1428694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1428697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1428700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428733 */     // MIs[1] Operand 1
     /* 1428733 */     // No operand predicates
     /* 1428733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428737 */     // MIs[0] policy
     /* 1428737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428749 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1428752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428774 */     // GIR_Coverage, 3519,
     /* 1428774 */     GIR_EraseRootFromParent_Done,
     /* 1428775 */   // Label 20182: @1428775
     /* 1428775 */   GIM_Try, /*On fail goto*//*Label 20183*/ GIMT_Encode4(1428872), // Rule ID 3522 //
     /* 1428780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1428791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1428794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1428797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428830 */     // MIs[1] Operand 1
     /* 1428830 */     // No operand predicates
     /* 1428830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428834 */     // MIs[0] policy
     /* 1428834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1428849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428871 */     // GIR_Coverage, 3522,
     /* 1428871 */     GIR_EraseRootFromParent_Done,
     /* 1428872 */   // Label 20183: @1428872
     /* 1428872 */   GIM_Try, /*On fail goto*//*Label 20184*/ GIMT_Encode4(1428969), // Rule ID 3523 //
     /* 1428877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1428888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1428891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1428894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428927 */     // MIs[1] Operand 1
     /* 1428927 */     // No operand predicates
     /* 1428927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428931 */     // MIs[0] policy
     /* 1428931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428943 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1428946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428968 */     // GIR_Coverage, 3523,
     /* 1428968 */     GIR_EraseRootFromParent_Done,
     /* 1428969 */   // Label 20184: @1428969
     /* 1428969 */   GIM_Try, /*On fail goto*//*Label 20185*/ GIMT_Encode4(1429066), // Rule ID 3526 //
     /* 1428974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1428985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1428988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1428991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429024 */     // MIs[1] Operand 1
     /* 1429024 */     // No operand predicates
     /* 1429024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429028 */     // MIs[0] policy
     /* 1429028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1429043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429065 */     // GIR_Coverage, 3526,
     /* 1429065 */     GIR_EraseRootFromParent_Done,
     /* 1429066 */   // Label 20185: @1429066
     /* 1429066 */   GIM_Try, /*On fail goto*//*Label 20186*/ GIMT_Encode4(1429163), // Rule ID 3527 //
     /* 1429071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1429082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1429085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1429088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429121 */     // MIs[1] Operand 1
     /* 1429121 */     // No operand predicates
     /* 1429121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429125 */     // MIs[0] policy
     /* 1429125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429137 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1429140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429162 */     // GIR_Coverage, 3527,
     /* 1429162 */     GIR_EraseRootFromParent_Done,
     /* 1429163 */   // Label 20186: @1429163
     /* 1429163 */   GIM_Try, /*On fail goto*//*Label 20187*/ GIMT_Encode4(1429260), // Rule ID 3530 //
     /* 1429168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1429179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1429182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1429185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429218 */     // MIs[1] Operand 1
     /* 1429218 */     // No operand predicates
     /* 1429218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429222 */     // MIs[0] policy
     /* 1429222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1429237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429259 */     // GIR_Coverage, 3530,
     /* 1429259 */     GIR_EraseRootFromParent_Done,
     /* 1429260 */   // Label 20187: @1429260
     /* 1429260 */   GIM_Try, /*On fail goto*//*Label 20188*/ GIMT_Encode4(1429357), // Rule ID 3531 //
     /* 1429265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1429276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1429279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1429282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429315 */     // MIs[1] Operand 1
     /* 1429315 */     // No operand predicates
     /* 1429315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429319 */     // MIs[0] policy
     /* 1429319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429331 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1429334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429356 */     // GIR_Coverage, 3531,
     /* 1429356 */     GIR_EraseRootFromParent_Done,
     /* 1429357 */   // Label 20188: @1429357
     /* 1429357 */   GIM_Try, /*On fail goto*//*Label 20189*/ GIMT_Encode4(1429454), // Rule ID 3534 //
     /* 1429362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1429373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1429376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1429379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429412 */     // MIs[1] Operand 1
     /* 1429412 */     // No operand predicates
     /* 1429412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429416 */     // MIs[0] policy
     /* 1429416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1429431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429453 */     // GIR_Coverage, 3534,
     /* 1429453 */     GIR_EraseRootFromParent_Done,
     /* 1429454 */   // Label 20189: @1429454
     /* 1429454 */   GIM_Try, /*On fail goto*//*Label 20190*/ GIMT_Encode4(1429551), // Rule ID 3535 //
     /* 1429459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1429470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1429473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1429476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429509 */     // MIs[1] Operand 1
     /* 1429509 */     // No operand predicates
     /* 1429509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429513 */     // MIs[0] policy
     /* 1429513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429525 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1429528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429550 */     // GIR_Coverage, 3535,
     /* 1429550 */     GIR_EraseRootFromParent_Done,
     /* 1429551 */   // Label 20190: @1429551
     /* 1429551 */   GIM_Try, /*On fail goto*//*Label 20191*/ GIMT_Encode4(1429648), // Rule ID 3538 //
     /* 1429556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1429567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1429570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1429573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429606 */     // MIs[1] Operand 1
     /* 1429606 */     // No operand predicates
     /* 1429606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429610 */     // MIs[0] policy
     /* 1429610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429622 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1429625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429647 */     // GIR_Coverage, 3538,
     /* 1429647 */     GIR_EraseRootFromParent_Done,
     /* 1429648 */   // Label 20191: @1429648
     /* 1429648 */   GIM_Try, /*On fail goto*//*Label 20192*/ GIMT_Encode4(1429745), // Rule ID 3539 //
     /* 1429653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1429664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1429667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1429670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429703 */     // MIs[1] Operand 1
     /* 1429703 */     // No operand predicates
     /* 1429703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429707 */     // MIs[0] policy
     /* 1429707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429719 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1429722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429744 */     // GIR_Coverage, 3539,
     /* 1429744 */     GIR_EraseRootFromParent_Done,
     /* 1429745 */   // Label 20192: @1429745
     /* 1429745 */   GIM_Try, /*On fail goto*//*Label 20193*/ GIMT_Encode4(1429842), // Rule ID 3542 //
     /* 1429750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1429761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1429764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1429767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429800 */     // MIs[1] Operand 1
     /* 1429800 */     // No operand predicates
     /* 1429800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429804 */     // MIs[0] policy
     /* 1429804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429816 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1429819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429841 */     // GIR_Coverage, 3542,
     /* 1429841 */     GIR_EraseRootFromParent_Done,
     /* 1429842 */   // Label 20193: @1429842
     /* 1429842 */   GIM_Try, /*On fail goto*//*Label 20194*/ GIMT_Encode4(1429939), // Rule ID 3543 //
     /* 1429847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1429858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1429861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1429864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429897 */     // MIs[1] Operand 1
     /* 1429897 */     // No operand predicates
     /* 1429897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429901 */     // MIs[0] policy
     /* 1429901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429913 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1429916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429938 */     // GIR_Coverage, 3543,
     /* 1429938 */     GIR_EraseRootFromParent_Done,
     /* 1429939 */   // Label 20194: @1429939
     /* 1429939 */   GIM_Try, /*On fail goto*//*Label 20195*/ GIMT_Encode4(1430036), // Rule ID 3546 //
     /* 1429944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1429955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1429958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1429961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1429967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429994 */     // MIs[1] Operand 1
     /* 1429994 */     // No operand predicates
     /* 1429994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429998 */     // MIs[0] policy
     /* 1429998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430010 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1430013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430035 */     // GIR_Coverage, 3546,
     /* 1430035 */     GIR_EraseRootFromParent_Done,
     /* 1430036 */   // Label 20195: @1430036
     /* 1430036 */   GIM_Try, /*On fail goto*//*Label 20196*/ GIMT_Encode4(1430133), // Rule ID 3547 //
     /* 1430041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1430052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1430055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1430058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430091 */     // MIs[1] Operand 1
     /* 1430091 */     // No operand predicates
     /* 1430091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430095 */     // MIs[0] policy
     /* 1430095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430107 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1430110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430132 */     // GIR_Coverage, 3547,
     /* 1430132 */     GIR_EraseRootFromParent_Done,
     /* 1430133 */   // Label 20196: @1430133
     /* 1430133 */   GIM_Try, /*On fail goto*//*Label 20197*/ GIMT_Encode4(1430230), // Rule ID 3550 //
     /* 1430138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1430149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1430152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1430155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1430161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430188 */     // MIs[1] Operand 1
     /* 1430188 */     // No operand predicates
     /* 1430188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430192 */     // MIs[0] policy
     /* 1430192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430204 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1430207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430229 */     // GIR_Coverage, 3550,
     /* 1430229 */     GIR_EraseRootFromParent_Done,
     /* 1430230 */   // Label 20197: @1430230
     /* 1430230 */   GIM_Try, /*On fail goto*//*Label 20198*/ GIMT_Encode4(1430327), // Rule ID 3551 //
     /* 1430235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1430246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1430249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1430252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1430258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430285 */     // MIs[1] Operand 1
     /* 1430285 */     // No operand predicates
     /* 1430285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430289 */     // MIs[0] policy
     /* 1430289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430301 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1430304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430326 */     // GIR_Coverage, 3551,
     /* 1430326 */     GIR_EraseRootFromParent_Done,
     /* 1430327 */   // Label 20198: @1430327
     /* 1430327 */   GIM_Try, /*On fail goto*//*Label 20199*/ GIMT_Encode4(1430424), // Rule ID 3554 //
     /* 1430332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1430343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1430346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1430349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1430355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430382 */     // MIs[1] Operand 1
     /* 1430382 */     // No operand predicates
     /* 1430382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430386 */     // MIs[0] policy
     /* 1430386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430398 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1430401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430423 */     // GIR_Coverage, 3554,
     /* 1430423 */     GIR_EraseRootFromParent_Done,
     /* 1430424 */   // Label 20199: @1430424
     /* 1430424 */   GIM_Try, /*On fail goto*//*Label 20200*/ GIMT_Encode4(1430521), // Rule ID 3555 //
     /* 1430429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1430440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1430443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1430446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1430452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430479 */     // MIs[1] Operand 1
     /* 1430479 */     // No operand predicates
     /* 1430479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430483 */     // MIs[0] policy
     /* 1430483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430495 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1430498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430520 */     // GIR_Coverage, 3555,
     /* 1430520 */     GIR_EraseRootFromParent_Done,
     /* 1430521 */   // Label 20200: @1430521
     /* 1430521 */   GIM_Try, /*On fail goto*//*Label 20201*/ GIMT_Encode4(1430618), // Rule ID 3558 //
     /* 1430526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1430537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1430540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1430543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430576 */     // MIs[1] Operand 1
     /* 1430576 */     // No operand predicates
     /* 1430576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430580 */     // MIs[0] policy
     /* 1430580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1430595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430617 */     // GIR_Coverage, 3558,
     /* 1430617 */     GIR_EraseRootFromParent_Done,
     /* 1430618 */   // Label 20201: @1430618
     /* 1430618 */   GIM_Try, /*On fail goto*//*Label 20202*/ GIMT_Encode4(1430715), // Rule ID 3559 //
     /* 1430623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1430634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1430637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1430640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430673 */     // MIs[1] Operand 1
     /* 1430673 */     // No operand predicates
     /* 1430673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430677 */     // MIs[0] policy
     /* 1430677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1430692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430714 */     // GIR_Coverage, 3559,
     /* 1430714 */     GIR_EraseRootFromParent_Done,
     /* 1430715 */   // Label 20202: @1430715
     /* 1430715 */   GIM_Try, /*On fail goto*//*Label 20203*/ GIMT_Encode4(1430812), // Rule ID 3562 //
     /* 1430720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1430731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1430734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1430737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430770 */     // MIs[1] Operand 1
     /* 1430770 */     // No operand predicates
     /* 1430770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430774 */     // MIs[0] policy
     /* 1430774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1430789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430811 */     // GIR_Coverage, 3562,
     /* 1430811 */     GIR_EraseRootFromParent_Done,
     /* 1430812 */   // Label 20203: @1430812
     /* 1430812 */   GIM_Try, /*On fail goto*//*Label 20204*/ GIMT_Encode4(1430909), // Rule ID 3563 //
     /* 1430817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1430828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1430831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1430834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430867 */     // MIs[1] Operand 1
     /* 1430867 */     // No operand predicates
     /* 1430867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430871 */     // MIs[0] policy
     /* 1430871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430883 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1430886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430908 */     // GIR_Coverage, 3563,
     /* 1430908 */     GIR_EraseRootFromParent_Done,
     /* 1430909 */   // Label 20204: @1430909
     /* 1430909 */   GIM_Try, /*On fail goto*//*Label 20205*/ GIMT_Encode4(1431006), // Rule ID 3566 //
     /* 1430914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1430922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1430925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1430928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1430931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1430937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430964 */     // MIs[1] Operand 1
     /* 1430964 */     // No operand predicates
     /* 1430964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430968 */     // MIs[0] policy
     /* 1430968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430980 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1430983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431005 */     // GIR_Coverage, 3566,
     /* 1431005 */     GIR_EraseRootFromParent_Done,
     /* 1431006 */   // Label 20205: @1431006
     /* 1431006 */   GIM_Try, /*On fail goto*//*Label 20206*/ GIMT_Encode4(1431103), // Rule ID 3567 //
     /* 1431011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1431022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1431025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1431028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1431034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431061 */     // MIs[1] Operand 1
     /* 1431061 */     // No operand predicates
     /* 1431061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431065 */     // MIs[0] policy
     /* 1431065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431077 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1431080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431102 */     // GIR_Coverage, 3567,
     /* 1431102 */     GIR_EraseRootFromParent_Done,
     /* 1431103 */   // Label 20206: @1431103
     /* 1431103 */   GIM_Try, /*On fail goto*//*Label 20207*/ GIMT_Encode4(1431200), // Rule ID 3570 //
     /* 1431108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1431119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1431122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1431125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431158 */     // MIs[1] Operand 1
     /* 1431158 */     // No operand predicates
     /* 1431158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431162 */     // MIs[0] policy
     /* 1431162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1431177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431199 */     // GIR_Coverage, 3570,
     /* 1431199 */     GIR_EraseRootFromParent_Done,
     /* 1431200 */   // Label 20207: @1431200
     /* 1431200 */   GIM_Try, /*On fail goto*//*Label 20208*/ GIMT_Encode4(1431297), // Rule ID 3571 //
     /* 1431205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1431216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1431219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1431222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431255 */     // MIs[1] Operand 1
     /* 1431255 */     // No operand predicates
     /* 1431255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431259 */     // MIs[0] policy
     /* 1431259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1431274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431296 */     // GIR_Coverage, 3571,
     /* 1431296 */     GIR_EraseRootFromParent_Done,
     /* 1431297 */   // Label 20208: @1431297
     /* 1431297 */   GIM_Try, /*On fail goto*//*Label 20209*/ GIMT_Encode4(1431394), // Rule ID 3574 //
     /* 1431302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1431313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1431316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1431319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431352 */     // MIs[1] Operand 1
     /* 1431352 */     // No operand predicates
     /* 1431352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431356 */     // MIs[0] policy
     /* 1431356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1431371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431393 */     // GIR_Coverage, 3574,
     /* 1431393 */     GIR_EraseRootFromParent_Done,
     /* 1431394 */   // Label 20209: @1431394
     /* 1431394 */   GIM_Try, /*On fail goto*//*Label 20210*/ GIMT_Encode4(1431491), // Rule ID 3575 //
     /* 1431399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1431410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1431413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1431416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431449 */     // MIs[1] Operand 1
     /* 1431449 */     // No operand predicates
     /* 1431449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431453 */     // MIs[0] policy
     /* 1431453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431465 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1431468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431490 */     // GIR_Coverage, 3575,
     /* 1431490 */     GIR_EraseRootFromParent_Done,
     /* 1431491 */   // Label 20210: @1431491
     /* 1431491 */   GIM_Try, /*On fail goto*//*Label 20211*/ GIMT_Encode4(1431588), // Rule ID 3578 //
     /* 1431496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1431507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1431510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1431513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431546 */     // MIs[1] Operand 1
     /* 1431546 */     // No operand predicates
     /* 1431546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431550 */     // MIs[0] policy
     /* 1431550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431562 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1431565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431587 */     // GIR_Coverage, 3578,
     /* 1431587 */     GIR_EraseRootFromParent_Done,
     /* 1431588 */   // Label 20211: @1431588
     /* 1431588 */   GIM_Try, /*On fail goto*//*Label 20212*/ GIMT_Encode4(1431685), // Rule ID 3579 //
     /* 1431593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1431604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1431607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1431610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431643 */     // MIs[1] Operand 1
     /* 1431643 */     // No operand predicates
     /* 1431643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431647 */     // MIs[0] policy
     /* 1431647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431659 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1431662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431684 */     // GIR_Coverage, 3579,
     /* 1431684 */     GIR_EraseRootFromParent_Done,
     /* 1431685 */   // Label 20212: @1431685
     /* 1431685 */   GIM_Try, /*On fail goto*//*Label 20213*/ GIMT_Encode4(1431782), // Rule ID 3582 //
     /* 1431690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1431701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1431704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1431707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431740 */     // MIs[1] Operand 1
     /* 1431740 */     // No operand predicates
     /* 1431740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431744 */     // MIs[0] policy
     /* 1431744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431756 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1431759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431781 */     // GIR_Coverage, 3582,
     /* 1431781 */     GIR_EraseRootFromParent_Done,
     /* 1431782 */   // Label 20213: @1431782
     /* 1431782 */   GIM_Try, /*On fail goto*//*Label 20214*/ GIMT_Encode4(1431879), // Rule ID 3583 //
     /* 1431787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1431798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1431801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1431804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431837 */     // MIs[1] Operand 1
     /* 1431837 */     // No operand predicates
     /* 1431837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431841 */     // MIs[0] policy
     /* 1431841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431853 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1431856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431878 */     // GIR_Coverage, 3583,
     /* 1431878 */     GIR_EraseRootFromParent_Done,
     /* 1431879 */   // Label 20214: @1431879
     /* 1431879 */   GIM_Try, /*On fail goto*//*Label 20215*/ GIMT_Encode4(1431976), // Rule ID 3586 //
     /* 1431884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1431895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1431898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1431901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431934 */     // MIs[1] Operand 1
     /* 1431934 */     // No operand predicates
     /* 1431934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431938 */     // MIs[0] policy
     /* 1431938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431950 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1431953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431975 */     // GIR_Coverage, 3586,
     /* 1431975 */     GIR_EraseRootFromParent_Done,
     /* 1431976 */   // Label 20215: @1431976
     /* 1431976 */   GIM_Try, /*On fail goto*//*Label 20216*/ GIMT_Encode4(1432073), // Rule ID 3587 //
     /* 1431981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1431989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1431992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1431995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1431998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432031 */     // MIs[1] Operand 1
     /* 1432031 */     // No operand predicates
     /* 1432031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432035 */     // MIs[0] policy
     /* 1432035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432047 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1432050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1432069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432072 */     // GIR_Coverage, 3587,
     /* 1432072 */     GIR_EraseRootFromParent_Done,
     /* 1432073 */   // Label 20216: @1432073
     /* 1432073 */   GIM_Try, /*On fail goto*//*Label 20217*/ GIMT_Encode4(1432170), // Rule ID 3590 //
     /* 1432078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1432081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1432086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1432089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1432092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1432095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432128 */     // MIs[1] Operand 1
     /* 1432128 */     // No operand predicates
     /* 1432128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432132 */     // MIs[0] policy
     /* 1432132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432144 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1432147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1432166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432169 */     // GIR_Coverage, 3590,
     /* 1432169 */     GIR_EraseRootFromParent_Done,
     /* 1432170 */   // Label 20217: @1432170
     /* 1432170 */   GIM_Try, /*On fail goto*//*Label 20218*/ GIMT_Encode4(1432267), // Rule ID 3591 //
     /* 1432175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1432178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1432183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1432186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1432189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1432192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432225 */     // MIs[1] Operand 1
     /* 1432225 */     // No operand predicates
     /* 1432225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432229 */     // MIs[0] policy
     /* 1432229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432241 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1432244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1432263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432266 */     // GIR_Coverage, 3591,
     /* 1432266 */     GIR_EraseRootFromParent_Done,
     /* 1432267 */   // Label 20218: @1432267
     /* 1432267 */   GIM_Try, /*On fail goto*//*Label 20219*/ GIMT_Encode4(1432364), // Rule ID 5954 //
     /* 1432272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1432283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1432286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1432289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432322 */     // MIs[1] Operand 1
     /* 1432322 */     // No operand predicates
     /* 1432322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432326 */     // MIs[0] policy
     /* 1432326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432338 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1432341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432363 */     // GIR_Coverage, 5954,
     /* 1432363 */     GIR_EraseRootFromParent_Done,
     /* 1432364 */   // Label 20219: @1432364
     /* 1432364 */   GIM_Try, /*On fail goto*//*Label 20220*/ GIMT_Encode4(1432461), // Rule ID 5955 //
     /* 1432369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1432380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1432383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1432386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432419 */     // MIs[1] Operand 1
     /* 1432419 */     // No operand predicates
     /* 1432419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432423 */     // MIs[0] policy
     /* 1432423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432435 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1432438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432460 */     // GIR_Coverage, 5955,
     /* 1432460 */     GIR_EraseRootFromParent_Done,
     /* 1432461 */   // Label 20220: @1432461
     /* 1432461 */   GIM_Try, /*On fail goto*//*Label 20221*/ GIMT_Encode4(1432558), // Rule ID 5958 //
     /* 1432466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1432477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1432480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1432483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432516 */     // MIs[1] Operand 1
     /* 1432516 */     // No operand predicates
     /* 1432516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432520 */     // MIs[0] policy
     /* 1432520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432532 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1432535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432557 */     // GIR_Coverage, 5958,
     /* 1432557 */     GIR_EraseRootFromParent_Done,
     /* 1432558 */   // Label 20221: @1432558
     /* 1432558 */   GIM_Try, /*On fail goto*//*Label 20222*/ GIMT_Encode4(1432655), // Rule ID 5959 //
     /* 1432563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1432574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1432577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1432580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432613 */     // MIs[1] Operand 1
     /* 1432613 */     // No operand predicates
     /* 1432613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432617 */     // MIs[0] policy
     /* 1432617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432629 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1432632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432654 */     // GIR_Coverage, 5959,
     /* 1432654 */     GIR_EraseRootFromParent_Done,
     /* 1432655 */   // Label 20222: @1432655
     /* 1432655 */   GIM_Try, /*On fail goto*//*Label 20223*/ GIMT_Encode4(1432752), // Rule ID 5962 //
     /* 1432660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1432671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1432674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1432677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432710 */     // MIs[1] Operand 1
     /* 1432710 */     // No operand predicates
     /* 1432710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432714 */     // MIs[0] policy
     /* 1432714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432726 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1432729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432751 */     // GIR_Coverage, 5962,
     /* 1432751 */     GIR_EraseRootFromParent_Done,
     /* 1432752 */   // Label 20223: @1432752
     /* 1432752 */   GIM_Try, /*On fail goto*//*Label 20224*/ GIMT_Encode4(1432849), // Rule ID 5963 //
     /* 1432757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1432768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1432771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1432774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432807 */     // MIs[1] Operand 1
     /* 1432807 */     // No operand predicates
     /* 1432807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432811 */     // MIs[0] policy
     /* 1432811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432823 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1432826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432848 */     // GIR_Coverage, 5963,
     /* 1432848 */     GIR_EraseRootFromParent_Done,
     /* 1432849 */   // Label 20224: @1432849
     /* 1432849 */   GIM_Try, /*On fail goto*//*Label 20225*/ GIMT_Encode4(1432946), // Rule ID 5966 //
     /* 1432854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1432865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1432868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1432871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432904 */     // MIs[1] Operand 1
     /* 1432904 */     // No operand predicates
     /* 1432904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432908 */     // MIs[0] policy
     /* 1432908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432920 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1432923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432945 */     // GIR_Coverage, 5966,
     /* 1432945 */     GIR_EraseRootFromParent_Done,
     /* 1432946 */   // Label 20225: @1432946
     /* 1432946 */   GIM_Try, /*On fail goto*//*Label 20226*/ GIMT_Encode4(1433043), // Rule ID 5967 //
     /* 1432951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1432962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1432965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1432968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433001 */     // MIs[1] Operand 1
     /* 1433001 */     // No operand predicates
     /* 1433001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433005 */     // MIs[0] policy
     /* 1433005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433017 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1433020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433042 */     // GIR_Coverage, 5967,
     /* 1433042 */     GIR_EraseRootFromParent_Done,
     /* 1433043 */   // Label 20226: @1433043
     /* 1433043 */   GIM_Try, /*On fail goto*//*Label 20227*/ GIMT_Encode4(1433140), // Rule ID 5970 //
     /* 1433048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1433059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1433062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1433065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433098 */     // MIs[1] Operand 1
     /* 1433098 */     // No operand predicates
     /* 1433098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433102 */     // MIs[0] policy
     /* 1433102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433114 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1433117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433139 */     // GIR_Coverage, 5970,
     /* 1433139 */     GIR_EraseRootFromParent_Done,
     /* 1433140 */   // Label 20227: @1433140
     /* 1433140 */   GIM_Try, /*On fail goto*//*Label 20228*/ GIMT_Encode4(1433237), // Rule ID 5971 //
     /* 1433145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1433156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1433159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1433162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433195 */     // MIs[1] Operand 1
     /* 1433195 */     // No operand predicates
     /* 1433195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433199 */     // MIs[0] policy
     /* 1433199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1433214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433236 */     // GIR_Coverage, 5971,
     /* 1433236 */     GIR_EraseRootFromParent_Done,
     /* 1433237 */   // Label 20228: @1433237
     /* 1433237 */   GIM_Try, /*On fail goto*//*Label 20229*/ GIMT_Encode4(1433334), // Rule ID 5974 //
     /* 1433242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1433253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1433256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1433259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433292 */     // MIs[1] Operand 1
     /* 1433292 */     // No operand predicates
     /* 1433292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433296 */     // MIs[0] policy
     /* 1433296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433308 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1433311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433333 */     // GIR_Coverage, 5974,
     /* 1433333 */     GIR_EraseRootFromParent_Done,
     /* 1433334 */   // Label 20229: @1433334
     /* 1433334 */   GIM_Try, /*On fail goto*//*Label 20230*/ GIMT_Encode4(1433431), // Rule ID 5975 //
     /* 1433339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1433350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1433353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1433356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433389 */     // MIs[1] Operand 1
     /* 1433389 */     // No operand predicates
     /* 1433389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433393 */     // MIs[0] policy
     /* 1433393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433405 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1433408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433430 */     // GIR_Coverage, 5975,
     /* 1433430 */     GIR_EraseRootFromParent_Done,
     /* 1433431 */   // Label 20230: @1433431
     /* 1433431 */   GIM_Try, /*On fail goto*//*Label 20231*/ GIMT_Encode4(1433528), // Rule ID 5978 //
     /* 1433436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1433447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1433450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1433453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433486 */     // MIs[1] Operand 1
     /* 1433486 */     // No operand predicates
     /* 1433486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433490 */     // MIs[0] policy
     /* 1433490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433527 */     // GIR_Coverage, 5978,
     /* 1433527 */     GIR_EraseRootFromParent_Done,
     /* 1433528 */   // Label 20231: @1433528
     /* 1433528 */   GIM_Try, /*On fail goto*//*Label 20232*/ GIMT_Encode4(1433625), // Rule ID 5979 //
     /* 1433533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1433544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1433547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1433550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433583 */     // MIs[1] Operand 1
     /* 1433583 */     // No operand predicates
     /* 1433583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433587 */     // MIs[0] policy
     /* 1433587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433599 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433624 */     // GIR_Coverage, 5979,
     /* 1433624 */     GIR_EraseRootFromParent_Done,
     /* 1433625 */   // Label 20232: @1433625
     /* 1433625 */   GIM_Try, /*On fail goto*//*Label 20233*/ GIMT_Encode4(1433722), // Rule ID 5982 //
     /* 1433630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1433641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1433644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1433647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433680 */     // MIs[1] Operand 1
     /* 1433680 */     // No operand predicates
     /* 1433680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433684 */     // MIs[0] policy
     /* 1433684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433721 */     // GIR_Coverage, 5982,
     /* 1433721 */     GIR_EraseRootFromParent_Done,
     /* 1433722 */   // Label 20233: @1433722
     /* 1433722 */   GIM_Try, /*On fail goto*//*Label 20234*/ GIMT_Encode4(1433819), // Rule ID 5983 //
     /* 1433727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1433738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1433741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1433744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433777 */     // MIs[1] Operand 1
     /* 1433777 */     // No operand predicates
     /* 1433777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433781 */     // MIs[0] policy
     /* 1433781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433818 */     // GIR_Coverage, 5983,
     /* 1433818 */     GIR_EraseRootFromParent_Done,
     /* 1433819 */   // Label 20234: @1433819
     /* 1433819 */   GIM_Try, /*On fail goto*//*Label 20235*/ GIMT_Encode4(1433916), // Rule ID 5986 //
     /* 1433824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1433835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1433838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1433841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433874 */     // MIs[1] Operand 1
     /* 1433874 */     // No operand predicates
     /* 1433874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433878 */     // MIs[0] policy
     /* 1433878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433915 */     // GIR_Coverage, 5986,
     /* 1433915 */     GIR_EraseRootFromParent_Done,
     /* 1433916 */   // Label 20235: @1433916
     /* 1433916 */   GIM_Try, /*On fail goto*//*Label 20236*/ GIMT_Encode4(1434013), // Rule ID 5987 //
     /* 1433921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1433932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1433935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1433938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433971 */     // MIs[1] Operand 1
     /* 1433971 */     // No operand predicates
     /* 1433971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433975 */     // MIs[0] policy
     /* 1433975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1433990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1434009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434012 */     // GIR_Coverage, 5987,
     /* 1434012 */     GIR_EraseRootFromParent_Done,
     /* 1434013 */   // Label 20236: @1434013
     /* 1434013 */   GIM_Try, /*On fail goto*//*Label 20237*/ GIMT_Encode4(1434110), // Rule ID 5990 //
     /* 1434018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1434021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1434029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1434032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1434035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434068 */     // MIs[1] Operand 1
     /* 1434068 */     // No operand predicates
     /* 1434068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434072 */     // MIs[0] policy
     /* 1434072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1434087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1434106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434109 */     // GIR_Coverage, 5990,
     /* 1434109 */     GIR_EraseRootFromParent_Done,
     /* 1434110 */   // Label 20237: @1434110
     /* 1434110 */   GIM_Try, /*On fail goto*//*Label 20238*/ GIMT_Encode4(1434207), // Rule ID 5991 //
     /* 1434115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1434118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1434126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1434129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1434132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434165 */     // MIs[1] Operand 1
     /* 1434165 */     // No operand predicates
     /* 1434165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434169 */     // MIs[0] policy
     /* 1434169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434181 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1434184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1434203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434206 */     // GIR_Coverage, 5991,
     /* 1434206 */     GIR_EraseRootFromParent_Done,
     /* 1434207 */   // Label 20238: @1434207
     /* 1434207 */   GIM_Try, /*On fail goto*//*Label 20239*/ GIMT_Encode4(1434304), // Rule ID 5994 //
     /* 1434212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1434223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1434226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1434229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434262 */     // MIs[1] Operand 1
     /* 1434262 */     // No operand predicates
     /* 1434262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434266 */     // MIs[0] policy
     /* 1434266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434278 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1434281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434303 */     // GIR_Coverage, 5994,
     /* 1434303 */     GIR_EraseRootFromParent_Done,
     /* 1434304 */   // Label 20239: @1434304
     /* 1434304 */   GIM_Try, /*On fail goto*//*Label 20240*/ GIMT_Encode4(1434401), // Rule ID 5995 //
     /* 1434309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1434320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1434323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1434326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434359 */     // MIs[1] Operand 1
     /* 1434359 */     // No operand predicates
     /* 1434359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434363 */     // MIs[0] policy
     /* 1434363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434375 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1434378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434400 */     // GIR_Coverage, 5995,
     /* 1434400 */     GIR_EraseRootFromParent_Done,
     /* 1434401 */   // Label 20240: @1434401
     /* 1434401 */   GIM_Try, /*On fail goto*//*Label 20241*/ GIMT_Encode4(1434498), // Rule ID 5998 //
     /* 1434406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1434417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1434420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1434423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434456 */     // MIs[1] Operand 1
     /* 1434456 */     // No operand predicates
     /* 1434456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434460 */     // MIs[0] policy
     /* 1434460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434472 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1434475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434497 */     // GIR_Coverage, 5998,
     /* 1434497 */     GIR_EraseRootFromParent_Done,
     /* 1434498 */   // Label 20241: @1434498
     /* 1434498 */   GIM_Try, /*On fail goto*//*Label 20242*/ GIMT_Encode4(1434595), // Rule ID 5999 //
     /* 1434503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1434514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1434517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1434520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434553 */     // MIs[1] Operand 1
     /* 1434553 */     // No operand predicates
     /* 1434553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434557 */     // MIs[0] policy
     /* 1434557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434569 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1434572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434594 */     // GIR_Coverage, 5999,
     /* 1434594 */     GIR_EraseRootFromParent_Done,
     /* 1434595 */   // Label 20242: @1434595
     /* 1434595 */   GIM_Try, /*On fail goto*//*Label 20243*/ GIMT_Encode4(1434692), // Rule ID 6002 //
     /* 1434600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1434611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1434614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1434617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1434623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434650 */     // MIs[1] Operand 1
     /* 1434650 */     // No operand predicates
     /* 1434650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434654 */     // MIs[0] policy
     /* 1434654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434666 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1434669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434691 */     // GIR_Coverage, 6002,
     /* 1434691 */     GIR_EraseRootFromParent_Done,
     /* 1434692 */   // Label 20243: @1434692
     /* 1434692 */   GIM_Try, /*On fail goto*//*Label 20244*/ GIMT_Encode4(1434789), // Rule ID 6003 //
     /* 1434697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1434708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1434711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1434714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1434720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434747 */     // MIs[1] Operand 1
     /* 1434747 */     // No operand predicates
     /* 1434747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434751 */     // MIs[0] policy
     /* 1434751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434763 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1434766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434788 */     // GIR_Coverage, 6003,
     /* 1434788 */     GIR_EraseRootFromParent_Done,
     /* 1434789 */   // Label 20244: @1434789
     /* 1434789 */   GIM_Try, /*On fail goto*//*Label 20245*/ GIMT_Encode4(1434886), // Rule ID 6006 //
     /* 1434794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1434805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1434808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1434811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434844 */     // MIs[1] Operand 1
     /* 1434844 */     // No operand predicates
     /* 1434844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434848 */     // MIs[0] policy
     /* 1434848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434860 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1434863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434885 */     // GIR_Coverage, 6006,
     /* 1434885 */     GIR_EraseRootFromParent_Done,
     /* 1434886 */   // Label 20245: @1434886
     /* 1434886 */   GIM_Try, /*On fail goto*//*Label 20246*/ GIMT_Encode4(1434983), // Rule ID 6007 //
     /* 1434891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1434902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1434905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1434908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434941 */     // MIs[1] Operand 1
     /* 1434941 */     // No operand predicates
     /* 1434941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434945 */     // MIs[0] policy
     /* 1434945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434957 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1434960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434982 */     // GIR_Coverage, 6007,
     /* 1434982 */     GIR_EraseRootFromParent_Done,
     /* 1434983 */   // Label 20246: @1434983
     /* 1434983 */   GIM_Try, /*On fail goto*//*Label 20247*/ GIMT_Encode4(1435080), // Rule ID 6010 //
     /* 1434988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1434996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1434999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1435002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1435005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435038 */     // MIs[1] Operand 1
     /* 1435038 */     // No operand predicates
     /* 1435038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435042 */     // MIs[0] policy
     /* 1435042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435054 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1435057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435079 */     // GIR_Coverage, 6010,
     /* 1435079 */     GIR_EraseRootFromParent_Done,
     /* 1435080 */   // Label 20247: @1435080
     /* 1435080 */   GIM_Try, /*On fail goto*//*Label 20248*/ GIMT_Encode4(1435177), // Rule ID 6011 //
     /* 1435085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1435096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1435099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1435102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435135 */     // MIs[1] Operand 1
     /* 1435135 */     // No operand predicates
     /* 1435135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435139 */     // MIs[0] policy
     /* 1435139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435151 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1435154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435176 */     // GIR_Coverage, 6011,
     /* 1435176 */     GIR_EraseRootFromParent_Done,
     /* 1435177 */   // Label 20248: @1435177
     /* 1435177 */   GIM_Try, /*On fail goto*//*Label 20249*/ GIMT_Encode4(1435274), // Rule ID 6014 //
     /* 1435182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1435193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1435196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1435199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1435205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435232 */     // MIs[1] Operand 1
     /* 1435232 */     // No operand predicates
     /* 1435232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435236 */     // MIs[0] policy
     /* 1435236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435248 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1435251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435273 */     // GIR_Coverage, 6014,
     /* 1435273 */     GIR_EraseRootFromParent_Done,
     /* 1435274 */   // Label 20249: @1435274
     /* 1435274 */   GIM_Try, /*On fail goto*//*Label 20250*/ GIMT_Encode4(1435371), // Rule ID 6015 //
     /* 1435279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1435290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1435293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1435296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1435302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435329 */     // MIs[1] Operand 1
     /* 1435329 */     // No operand predicates
     /* 1435329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435333 */     // MIs[0] policy
     /* 1435333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435345 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1435348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435370 */     // GIR_Coverage, 6015,
     /* 1435370 */     GIR_EraseRootFromParent_Done,
     /* 1435371 */   // Label 20250: @1435371
     /* 1435371 */   GIM_Try, /*On fail goto*//*Label 20251*/ GIMT_Encode4(1435468), // Rule ID 6018 //
     /* 1435376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1435387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1435390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1435393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435426 */     // MIs[1] Operand 1
     /* 1435426 */     // No operand predicates
     /* 1435426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435430 */     // MIs[0] policy
     /* 1435430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435442 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1435445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435467 */     // GIR_Coverage, 6018,
     /* 1435467 */     GIR_EraseRootFromParent_Done,
     /* 1435468 */   // Label 20251: @1435468
     /* 1435468 */   GIM_Try, /*On fail goto*//*Label 20252*/ GIMT_Encode4(1435565), // Rule ID 6019 //
     /* 1435473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1435484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1435487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1435490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435523 */     // MIs[1] Operand 1
     /* 1435523 */     // No operand predicates
     /* 1435523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435527 */     // MIs[0] policy
     /* 1435527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435539 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1435542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435564 */     // GIR_Coverage, 6019,
     /* 1435564 */     GIR_EraseRootFromParent_Done,
     /* 1435565 */   // Label 20252: @1435565
     /* 1435565 */   GIM_Try, /*On fail goto*//*Label 20253*/ GIMT_Encode4(1435662), // Rule ID 6022 //
     /* 1435570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1435587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435620 */     // MIs[1] Operand 1
     /* 1435620 */     // No operand predicates
     /* 1435620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435624 */     // MIs[0] policy
     /* 1435624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435636 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1435639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435661 */     // GIR_Coverage, 6022,
     /* 1435661 */     GIR_EraseRootFromParent_Done,
     /* 1435662 */   // Label 20253: @1435662
     /* 1435662 */   GIM_Try, /*On fail goto*//*Label 20254*/ GIMT_Encode4(1435759), // Rule ID 6023 //
     /* 1435667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1435684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435717 */     // MIs[1] Operand 1
     /* 1435717 */     // No operand predicates
     /* 1435717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435721 */     // MIs[0] policy
     /* 1435721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435733 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1435736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435758 */     // GIR_Coverage, 6023,
     /* 1435758 */     GIR_EraseRootFromParent_Done,
     /* 1435759 */   // Label 20254: @1435759
     /* 1435759 */   GIM_Try, /*On fail goto*//*Label 20255*/ GIMT_Encode4(1435856), // Rule ID 6026 //
     /* 1435764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1435775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1435778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1435781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435814 */     // MIs[1] Operand 1
     /* 1435814 */     // No operand predicates
     /* 1435814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435818 */     // MIs[0] policy
     /* 1435818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435830 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1435833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435855 */     // GIR_Coverage, 6026,
     /* 1435855 */     GIR_EraseRootFromParent_Done,
     /* 1435856 */   // Label 20255: @1435856
     /* 1435856 */   GIM_Try, /*On fail goto*//*Label 20256*/ GIMT_Encode4(1435953), // Rule ID 6027 //
     /* 1435861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1435872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1435875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1435878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435911 */     // MIs[1] Operand 1
     /* 1435911 */     // No operand predicates
     /* 1435911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435915 */     // MIs[0] policy
     /* 1435915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435927 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1435930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435952 */     // GIR_Coverage, 6027,
     /* 1435952 */     GIR_EraseRootFromParent_Done,
     /* 1435953 */   // Label 20256: @1435953
     /* 1435953 */   GIM_Try, /*On fail goto*//*Label 20257*/ GIMT_Encode4(1436050), // Rule ID 6030 //
     /* 1435958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1435961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1435966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1435969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1435972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1435975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436008 */     // MIs[1] Operand 1
     /* 1436008 */     // No operand predicates
     /* 1436008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436012 */     // MIs[0] policy
     /* 1436012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1436027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436049 */     // GIR_Coverage, 6030,
     /* 1436049 */     GIR_EraseRootFromParent_Done,
     /* 1436050 */   // Label 20257: @1436050
     /* 1436050 */   GIM_Try, /*On fail goto*//*Label 20258*/ GIMT_Encode4(1436147), // Rule ID 6031 //
     /* 1436055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1436058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1436063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1436066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1436069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1436072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436105 */     // MIs[1] Operand 1
     /* 1436105 */     // No operand predicates
     /* 1436105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436109 */     // MIs[0] policy
     /* 1436109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1436124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436146 */     // GIR_Coverage, 6031,
     /* 1436146 */     GIR_EraseRootFromParent_Done,
     /* 1436147 */   // Label 20258: @1436147
     /* 1436147 */   GIM_Try, /*On fail goto*//*Label 20259*/ GIMT_Encode4(1436244), // Rule ID 6034 //
     /* 1436152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1436155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1436160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1436163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1436166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1436169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436202 */     // MIs[1] Operand 1
     /* 1436202 */     // No operand predicates
     /* 1436202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436206 */     // MIs[0] policy
     /* 1436206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436218 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1436221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436243 */     // GIR_Coverage, 6034,
     /* 1436243 */     GIR_EraseRootFromParent_Done,
     /* 1436244 */   // Label 20259: @1436244
     /* 1436244 */   GIM_Try, /*On fail goto*//*Label 20260*/ GIMT_Encode4(1436341), // Rule ID 6035 //
     /* 1436249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1436252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1436257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1436260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1436263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1436266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436299 */     // MIs[1] Operand 1
     /* 1436299 */     // No operand predicates
     /* 1436299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436303 */     // MIs[0] policy
     /* 1436303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436315 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1436318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436340 */     // GIR_Coverage, 6035,
     /* 1436340 */     GIR_EraseRootFromParent_Done,
     /* 1436341 */   // Label 20260: @1436341
     /* 1436341 */   GIM_Try, /*On fail goto*//*Label 20261*/ GIMT_Encode4(1436438), // Rule ID 6038 //
     /* 1436346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1436349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1436354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1436357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1436360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1436363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436396 */     // MIs[1] Operand 1
     /* 1436396 */     // No operand predicates
     /* 1436396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436400 */     // MIs[0] policy
     /* 1436400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436412 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1436415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436437 */     // GIR_Coverage, 6038,
     /* 1436437 */     GIR_EraseRootFromParent_Done,
     /* 1436438 */   // Label 20261: @1436438
     /* 1436438 */   GIM_Try, /*On fail goto*//*Label 20262*/ GIMT_Encode4(1436535), // Rule ID 6039 //
     /* 1436443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1436446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1436451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1436454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1436457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1436460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436493 */     // MIs[1] Operand 1
     /* 1436493 */     // No operand predicates
     /* 1436493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436497 */     // MIs[0] policy
     /* 1436497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1436512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436534 */     // GIR_Coverage, 6039,
     /* 1436534 */     GIR_EraseRootFromParent_Done,
     /* 1436535 */   // Label 20262: @1436535
     /* 1436535 */   GIM_Try, /*On fail goto*//*Label 20263*/ GIMT_Encode4(1436632), // Rule ID 6218 //
     /* 1436540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1436551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1436554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1436557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436590 */     // MIs[1] Operand 1
     /* 1436590 */     // No operand predicates
     /* 1436590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436594 */     // MIs[0] policy
     /* 1436594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436606 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1436609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436631 */     // GIR_Coverage, 6218,
     /* 1436631 */     GIR_EraseRootFromParent_Done,
     /* 1436632 */   // Label 20263: @1436632
     /* 1436632 */   GIM_Try, /*On fail goto*//*Label 20264*/ GIMT_Encode4(1436729), // Rule ID 6219 //
     /* 1436637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1436648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1436651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1436654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436687 */     // MIs[1] Operand 1
     /* 1436687 */     // No operand predicates
     /* 1436687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436691 */     // MIs[0] policy
     /* 1436691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436703 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1436706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436728 */     // GIR_Coverage, 6219,
     /* 1436728 */     GIR_EraseRootFromParent_Done,
     /* 1436729 */   // Label 20264: @1436729
     /* 1436729 */   GIM_Try, /*On fail goto*//*Label 20265*/ GIMT_Encode4(1436826), // Rule ID 6222 //
     /* 1436734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1436745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1436748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1436751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436784 */     // MIs[1] Operand 1
     /* 1436784 */     // No operand predicates
     /* 1436784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436788 */     // MIs[0] policy
     /* 1436788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436800 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1436803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436825 */     // GIR_Coverage, 6222,
     /* 1436825 */     GIR_EraseRootFromParent_Done,
     /* 1436826 */   // Label 20265: @1436826
     /* 1436826 */   GIM_Try, /*On fail goto*//*Label 20266*/ GIMT_Encode4(1436923), // Rule ID 6223 //
     /* 1436831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1436842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1436845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1436848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436881 */     // MIs[1] Operand 1
     /* 1436881 */     // No operand predicates
     /* 1436881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436885 */     // MIs[0] policy
     /* 1436885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436897 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1436900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436922 */     // GIR_Coverage, 6223,
     /* 1436922 */     GIR_EraseRootFromParent_Done,
     /* 1436923 */   // Label 20266: @1436923
     /* 1436923 */   GIM_Try, /*On fail goto*//*Label 20267*/ GIMT_Encode4(1437020), // Rule ID 6226 //
     /* 1436928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1436939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1436942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1436945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436978 */     // MIs[1] Operand 1
     /* 1436978 */     // No operand predicates
     /* 1436978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436982 */     // MIs[0] policy
     /* 1436982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436994 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1436997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437019 */     // GIR_Coverage, 6226,
     /* 1437019 */     GIR_EraseRootFromParent_Done,
     /* 1437020 */   // Label 20267: @1437020
     /* 1437020 */   GIM_Try, /*On fail goto*//*Label 20268*/ GIMT_Encode4(1437117), // Rule ID 6227 //
     /* 1437025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1437036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1437039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1437042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437075 */     // MIs[1] Operand 1
     /* 1437075 */     // No operand predicates
     /* 1437075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437079 */     // MIs[0] policy
     /* 1437079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437091 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1437094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437116 */     // GIR_Coverage, 6227,
     /* 1437116 */     GIR_EraseRootFromParent_Done,
     /* 1437117 */   // Label 20268: @1437117
     /* 1437117 */   GIM_Try, /*On fail goto*//*Label 20269*/ GIMT_Encode4(1437214), // Rule ID 6230 //
     /* 1437122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1437133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1437136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1437139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437172 */     // MIs[1] Operand 1
     /* 1437172 */     // No operand predicates
     /* 1437172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437176 */     // MIs[0] policy
     /* 1437176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437188 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1437191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437213 */     // GIR_Coverage, 6230,
     /* 1437213 */     GIR_EraseRootFromParent_Done,
     /* 1437214 */   // Label 20269: @1437214
     /* 1437214 */   GIM_Try, /*On fail goto*//*Label 20270*/ GIMT_Encode4(1437311), // Rule ID 6231 //
     /* 1437219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1437230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1437233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1437236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437269 */     // MIs[1] Operand 1
     /* 1437269 */     // No operand predicates
     /* 1437269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437273 */     // MIs[0] policy
     /* 1437273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437285 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1437288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437310 */     // GIR_Coverage, 6231,
     /* 1437310 */     GIR_EraseRootFromParent_Done,
     /* 1437311 */   // Label 20270: @1437311
     /* 1437311 */   GIM_Try, /*On fail goto*//*Label 20271*/ GIMT_Encode4(1437408), // Rule ID 6234 //
     /* 1437316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1437327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1437330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1437333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437366 */     // MIs[1] Operand 1
     /* 1437366 */     // No operand predicates
     /* 1437366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437370 */     // MIs[0] policy
     /* 1437370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437382 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1437385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437407 */     // GIR_Coverage, 6234,
     /* 1437407 */     GIR_EraseRootFromParent_Done,
     /* 1437408 */   // Label 20271: @1437408
     /* 1437408 */   GIM_Try, /*On fail goto*//*Label 20272*/ GIMT_Encode4(1437505), // Rule ID 6235 //
     /* 1437413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1437424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1437427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1437430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437463 */     // MIs[1] Operand 1
     /* 1437463 */     // No operand predicates
     /* 1437463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437467 */     // MIs[0] policy
     /* 1437467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437479 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1437482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437504 */     // GIR_Coverage, 6235,
     /* 1437504 */     GIR_EraseRootFromParent_Done,
     /* 1437505 */   // Label 20272: @1437505
     /* 1437505 */   GIM_Try, /*On fail goto*//*Label 20273*/ GIMT_Encode4(1437602), // Rule ID 6238 //
     /* 1437510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1437527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437560 */     // MIs[1] Operand 1
     /* 1437560 */     // No operand predicates
     /* 1437560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437564 */     // MIs[0] policy
     /* 1437564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437576 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1437579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437601 */     // GIR_Coverage, 6238,
     /* 1437601 */     GIR_EraseRootFromParent_Done,
     /* 1437602 */   // Label 20273: @1437602
     /* 1437602 */   GIM_Try, /*On fail goto*//*Label 20274*/ GIMT_Encode4(1437699), // Rule ID 6239 //
     /* 1437607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1437624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437657 */     // MIs[1] Operand 1
     /* 1437657 */     // No operand predicates
     /* 1437657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437661 */     // MIs[0] policy
     /* 1437661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437673 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1437676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437698 */     // GIR_Coverage, 6239,
     /* 1437698 */     GIR_EraseRootFromParent_Done,
     /* 1437699 */   // Label 20274: @1437699
     /* 1437699 */   GIM_Try, /*On fail goto*//*Label 20275*/ GIMT_Encode4(1437796), // Rule ID 6242 //
     /* 1437704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1437715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1437718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1437721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437754 */     // MIs[1] Operand 1
     /* 1437754 */     // No operand predicates
     /* 1437754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437758 */     // MIs[0] policy
     /* 1437758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437770 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1437773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437795 */     // GIR_Coverage, 6242,
     /* 1437795 */     GIR_EraseRootFromParent_Done,
     /* 1437796 */   // Label 20275: @1437796
     /* 1437796 */   GIM_Try, /*On fail goto*//*Label 20276*/ GIMT_Encode4(1437893), // Rule ID 6243 //
     /* 1437801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1437812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1437815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1437818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437851 */     // MIs[1] Operand 1
     /* 1437851 */     // No operand predicates
     /* 1437851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437855 */     // MIs[0] policy
     /* 1437855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1437870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437892 */     // GIR_Coverage, 6243,
     /* 1437892 */     GIR_EraseRootFromParent_Done,
     /* 1437893 */   // Label 20276: @1437893
     /* 1437893 */   GIM_Try, /*On fail goto*//*Label 20277*/ GIMT_Encode4(1437990), // Rule ID 6246 //
     /* 1437898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1437909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1437912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1437915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437948 */     // MIs[1] Operand 1
     /* 1437948 */     // No operand predicates
     /* 1437948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437952 */     // MIs[0] policy
     /* 1437952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1437967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437989 */     // GIR_Coverage, 6246,
     /* 1437989 */     GIR_EraseRootFromParent_Done,
     /* 1437990 */   // Label 20277: @1437990
     /* 1437990 */   GIM_Try, /*On fail goto*//*Label 20278*/ GIMT_Encode4(1438087), // Rule ID 6247 //
     /* 1437995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1438006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1438009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1438012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438045 */     // MIs[1] Operand 1
     /* 1438045 */     // No operand predicates
     /* 1438045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438049 */     // MIs[0] policy
     /* 1438049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438061 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1438064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438086 */     // GIR_Coverage, 6247,
     /* 1438086 */     GIR_EraseRootFromParent_Done,
     /* 1438087 */   // Label 20278: @1438087
     /* 1438087 */   GIM_Try, /*On fail goto*//*Label 20279*/ GIMT_Encode4(1438184), // Rule ID 6250 //
     /* 1438092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1438103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1438106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1438109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438142 */     // MIs[1] Operand 1
     /* 1438142 */     // No operand predicates
     /* 1438142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438146 */     // MIs[0] policy
     /* 1438146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438158 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1438161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438183 */     // GIR_Coverage, 6250,
     /* 1438183 */     GIR_EraseRootFromParent_Done,
     /* 1438184 */   // Label 20279: @1438184
     /* 1438184 */   GIM_Try, /*On fail goto*//*Label 20280*/ GIMT_Encode4(1438281), // Rule ID 6251 //
     /* 1438189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1438200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1438203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1438206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438239 */     // MIs[1] Operand 1
     /* 1438239 */     // No operand predicates
     /* 1438239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438243 */     // MIs[0] policy
     /* 1438243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1438258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438280 */     // GIR_Coverage, 6251,
     /* 1438280 */     GIR_EraseRootFromParent_Done,
     /* 1438281 */   // Label 20280: @1438281
     /* 1438281 */   GIM_Try, /*On fail goto*//*Label 20281*/ GIMT_Encode4(1438378), // Rule ID 6254 //
     /* 1438286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1438289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1438297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1438300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1438303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438336 */     // MIs[1] Operand 1
     /* 1438336 */     // No operand predicates
     /* 1438336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438340 */     // MIs[0] policy
     /* 1438340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1438355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438377 */     // GIR_Coverage, 6254,
     /* 1438377 */     GIR_EraseRootFromParent_Done,
     /* 1438378 */   // Label 20281: @1438378
     /* 1438378 */   GIM_Try, /*On fail goto*//*Label 20282*/ GIMT_Encode4(1438475), // Rule ID 6255 //
     /* 1438383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1438386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1438394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1438397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1438400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438433 */     // MIs[1] Operand 1
     /* 1438433 */     // No operand predicates
     /* 1438433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438437 */     // MIs[0] policy
     /* 1438437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438449 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1438452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438474 */     // GIR_Coverage, 6255,
     /* 1438474 */     GIR_EraseRootFromParent_Done,
     /* 1438475 */   // Label 20282: @1438475
     /* 1438475 */   GIM_Try, /*On fail goto*//*Label 20283*/ GIMT_Encode4(1438572), // Rule ID 6258 //
     /* 1438480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1438491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1438494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1438497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1438503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438530 */     // MIs[1] Operand 1
     /* 1438530 */     // No operand predicates
     /* 1438530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438534 */     // MIs[0] policy
     /* 1438534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438546 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1438549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438571 */     // GIR_Coverage, 6258,
     /* 1438571 */     GIR_EraseRootFromParent_Done,
     /* 1438572 */   // Label 20283: @1438572
     /* 1438572 */   GIM_Try, /*On fail goto*//*Label 20284*/ GIMT_Encode4(1438669), // Rule ID 6259 //
     /* 1438577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1438588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1438591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1438594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1438600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438627 */     // MIs[1] Operand 1
     /* 1438627 */     // No operand predicates
     /* 1438627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438631 */     // MIs[0] policy
     /* 1438631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438643 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1438646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438668 */     // GIR_Coverage, 6259,
     /* 1438668 */     GIR_EraseRootFromParent_Done,
     /* 1438669 */   // Label 20284: @1438669
     /* 1438669 */   GIM_Try, /*On fail goto*//*Label 20285*/ GIMT_Encode4(1438766), // Rule ID 6262 //
     /* 1438674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1438685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1438688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1438691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1438697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438724 */     // MIs[1] Operand 1
     /* 1438724 */     // No operand predicates
     /* 1438724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438728 */     // MIs[0] policy
     /* 1438728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438740 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1438743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438765 */     // GIR_Coverage, 6262,
     /* 1438765 */     GIR_EraseRootFromParent_Done,
     /* 1438766 */   // Label 20285: @1438766
     /* 1438766 */   GIM_Try, /*On fail goto*//*Label 20286*/ GIMT_Encode4(1438863), // Rule ID 6263 //
     /* 1438771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1438782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1438785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1438788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1438794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438821 */     // MIs[1] Operand 1
     /* 1438821 */     // No operand predicates
     /* 1438821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438825 */     // MIs[0] policy
     /* 1438825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438837 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1438840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438862 */     // GIR_Coverage, 6263,
     /* 1438862 */     GIR_EraseRootFromParent_Done,
     /* 1438863 */   // Label 20286: @1438863
     /* 1438863 */   GIM_Try, /*On fail goto*//*Label 20287*/ GIMT_Encode4(1438960), // Rule ID 6266 //
     /* 1438868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1438879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1438882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1438885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1438891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438918 */     // MIs[1] Operand 1
     /* 1438918 */     // No operand predicates
     /* 1438918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438922 */     // MIs[0] policy
     /* 1438922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438934 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1438937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438959 */     // GIR_Coverage, 6266,
     /* 1438959 */     GIR_EraseRootFromParent_Done,
     /* 1438960 */   // Label 20287: @1438960
     /* 1438960 */   GIM_Try, /*On fail goto*//*Label 20288*/ GIMT_Encode4(1439057), // Rule ID 6267 //
     /* 1438965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1438976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1438979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1438982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1438988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439015 */     // MIs[1] Operand 1
     /* 1439015 */     // No operand predicates
     /* 1439015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439019 */     // MIs[0] policy
     /* 1439019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439031 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1439034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439056 */     // GIR_Coverage, 6267,
     /* 1439056 */     GIR_EraseRootFromParent_Done,
     /* 1439057 */   // Label 20288: @1439057
     /* 1439057 */   GIM_Try, /*On fail goto*//*Label 20289*/ GIMT_Encode4(1439154), // Rule ID 6270 //
     /* 1439062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1439073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1439076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1439079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439112 */     // MIs[1] Operand 1
     /* 1439112 */     // No operand predicates
     /* 1439112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439116 */     // MIs[0] policy
     /* 1439116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1439131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439153 */     // GIR_Coverage, 6270,
     /* 1439153 */     GIR_EraseRootFromParent_Done,
     /* 1439154 */   // Label 20289: @1439154
     /* 1439154 */   GIM_Try, /*On fail goto*//*Label 20290*/ GIMT_Encode4(1439251), // Rule ID 6271 //
     /* 1439159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1439170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1439173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1439176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439209 */     // MIs[1] Operand 1
     /* 1439209 */     // No operand predicates
     /* 1439209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439213 */     // MIs[0] policy
     /* 1439213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439225 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1439228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439250 */     // GIR_Coverage, 6271,
     /* 1439250 */     GIR_EraseRootFromParent_Done,
     /* 1439251 */   // Label 20290: @1439251
     /* 1439251 */   GIM_Try, /*On fail goto*//*Label 20291*/ GIMT_Encode4(1439348), // Rule ID 6274 //
     /* 1439256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1439267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1439270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1439273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439306 */     // MIs[1] Operand 1
     /* 1439306 */     // No operand predicates
     /* 1439306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439310 */     // MIs[0] policy
     /* 1439310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439322 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1439325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439347 */     // GIR_Coverage, 6274,
     /* 1439347 */     GIR_EraseRootFromParent_Done,
     /* 1439348 */   // Label 20291: @1439348
     /* 1439348 */   GIM_Try, /*On fail goto*//*Label 20292*/ GIMT_Encode4(1439445), // Rule ID 6275 //
     /* 1439353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1439364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1439367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1439370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439403 */     // MIs[1] Operand 1
     /* 1439403 */     // No operand predicates
     /* 1439403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439407 */     // MIs[0] policy
     /* 1439407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439419 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1439422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439444 */     // GIR_Coverage, 6275,
     /* 1439444 */     GIR_EraseRootFromParent_Done,
     /* 1439445 */   // Label 20292: @1439445
     /* 1439445 */   GIM_Try, /*On fail goto*//*Label 20293*/ GIMT_Encode4(1439542), // Rule ID 6278 //
     /* 1439450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1439461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1439464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1439467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1439473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439500 */     // MIs[1] Operand 1
     /* 1439500 */     // No operand predicates
     /* 1439500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439504 */     // MIs[0] policy
     /* 1439504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439516 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1439519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439541 */     // GIR_Coverage, 6278,
     /* 1439541 */     GIR_EraseRootFromParent_Done,
     /* 1439542 */   // Label 20293: @1439542
     /* 1439542 */   GIM_Try, /*On fail goto*//*Label 20294*/ GIMT_Encode4(1439639), // Rule ID 6279 //
     /* 1439547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1439558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1439561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1439564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1439570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439597 */     // MIs[1] Operand 1
     /* 1439597 */     // No operand predicates
     /* 1439597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439601 */     // MIs[0] policy
     /* 1439601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439613 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1439616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439638 */     // GIR_Coverage, 6279,
     /* 1439638 */     GIR_EraseRootFromParent_Done,
     /* 1439639 */   // Label 20294: @1439639
     /* 1439639 */   GIM_Try, /*On fail goto*//*Label 20295*/ GIMT_Encode4(1439736), // Rule ID 6282 //
     /* 1439644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1439655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1439658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1439661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439694 */     // MIs[1] Operand 1
     /* 1439694 */     // No operand predicates
     /* 1439694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439698 */     // MIs[0] policy
     /* 1439698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439710 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1439713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439735 */     // GIR_Coverage, 6282,
     /* 1439735 */     GIR_EraseRootFromParent_Done,
     /* 1439736 */   // Label 20295: @1439736
     /* 1439736 */   GIM_Try, /*On fail goto*//*Label 20296*/ GIMT_Encode4(1439833), // Rule ID 6283 //
     /* 1439741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1439752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1439755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1439758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439791 */     // MIs[1] Operand 1
     /* 1439791 */     // No operand predicates
     /* 1439791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439795 */     // MIs[0] policy
     /* 1439795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439807 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1439810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439832 */     // GIR_Coverage, 6283,
     /* 1439832 */     GIR_EraseRootFromParent_Done,
     /* 1439833 */   // Label 20296: @1439833
     /* 1439833 */   GIM_Try, /*On fail goto*//*Label 20297*/ GIMT_Encode4(1439930), // Rule ID 6286 //
     /* 1439838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1439849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1439852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1439855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439888 */     // MIs[1] Operand 1
     /* 1439888 */     // No operand predicates
     /* 1439888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439892 */     // MIs[0] policy
     /* 1439892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439904 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1439907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439929 */     // GIR_Coverage, 6286,
     /* 1439929 */     GIR_EraseRootFromParent_Done,
     /* 1439930 */   // Label 20297: @1439930
     /* 1439930 */   GIM_Try, /*On fail goto*//*Label 20298*/ GIMT_Encode4(1440027), // Rule ID 6287 //
     /* 1439935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1439943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1439946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1439949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1439952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439985 */     // MIs[1] Operand 1
     /* 1439985 */     // No operand predicates
     /* 1439985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439989 */     // MIs[0] policy
     /* 1439989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440001 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1440004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440026 */     // GIR_Coverage, 6287,
     /* 1440026 */     GIR_EraseRootFromParent_Done,
     /* 1440027 */   // Label 20298: @1440027
     /* 1440027 */   GIM_Try, /*On fail goto*//*Label 20299*/ GIMT_Encode4(1440124), // Rule ID 6290 //
     /* 1440032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1440043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1440046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1440049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440082 */     // MIs[1] Operand 1
     /* 1440082 */     // No operand predicates
     /* 1440082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440086 */     // MIs[0] policy
     /* 1440086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1440101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440123 */     // GIR_Coverage, 6290,
     /* 1440123 */     GIR_EraseRootFromParent_Done,
     /* 1440124 */   // Label 20299: @1440124
     /* 1440124 */   GIM_Try, /*On fail goto*//*Label 20300*/ GIMT_Encode4(1440221), // Rule ID 6291 //
     /* 1440129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1440140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1440143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1440146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440179 */     // MIs[1] Operand 1
     /* 1440179 */     // No operand predicates
     /* 1440179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440183 */     // MIs[0] policy
     /* 1440183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440195 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1440198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440220 */     // GIR_Coverage, 6291,
     /* 1440220 */     GIR_EraseRootFromParent_Done,
     /* 1440221 */   // Label 20300: @1440221
     /* 1440221 */   GIM_Try, /*On fail goto*//*Label 20301*/ GIMT_Encode4(1440318), // Rule ID 6294 //
     /* 1440226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1440237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1440240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1440243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1440249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440276 */     // MIs[1] Operand 1
     /* 1440276 */     // No operand predicates
     /* 1440276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440280 */     // MIs[0] policy
     /* 1440280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440292 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1440295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440317 */     // GIR_Coverage, 6294,
     /* 1440317 */     GIR_EraseRootFromParent_Done,
     /* 1440318 */   // Label 20301: @1440318
     /* 1440318 */   GIM_Try, /*On fail goto*//*Label 20302*/ GIMT_Encode4(1440415), // Rule ID 6295 //
     /* 1440323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1440334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1440337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1440340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1440346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440373 */     // MIs[1] Operand 1
     /* 1440373 */     // No operand predicates
     /* 1440373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440377 */     // MIs[0] policy
     /* 1440377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440389 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1440392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440414 */     // GIR_Coverage, 6295,
     /* 1440414 */     GIR_EraseRootFromParent_Done,
     /* 1440415 */   // Label 20302: @1440415
     /* 1440415 */   GIM_Try, /*On fail goto*//*Label 20303*/ GIMT_Encode4(1440512), // Rule ID 6298 //
     /* 1440420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1440431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1440434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1440437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440470 */     // MIs[1] Operand 1
     /* 1440470 */     // No operand predicates
     /* 1440470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440474 */     // MIs[0] policy
     /* 1440474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1440489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440511 */     // GIR_Coverage, 6298,
     /* 1440511 */     GIR_EraseRootFromParent_Done,
     /* 1440512 */   // Label 20303: @1440512
     /* 1440512 */   GIM_Try, /*On fail goto*//*Label 20304*/ GIMT_Encode4(1440609), // Rule ID 6299 //
     /* 1440517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1440528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1440531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1440534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440567 */     // MIs[1] Operand 1
     /* 1440567 */     // No operand predicates
     /* 1440567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440571 */     // MIs[0] policy
     /* 1440571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1440586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440608 */     // GIR_Coverage, 6299,
     /* 1440608 */     GIR_EraseRootFromParent_Done,
     /* 1440609 */   // Label 20304: @1440609
     /* 1440609 */   GIM_Try, /*On fail goto*//*Label 20305*/ GIMT_Encode4(1440706), // Rule ID 6302 //
     /* 1440614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1440625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1440628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1440631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440664 */     // MIs[1] Operand 1
     /* 1440664 */     // No operand predicates
     /* 1440664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440668 */     // MIs[0] policy
     /* 1440668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440680 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1440683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440705 */     // GIR_Coverage, 6302,
     /* 1440705 */     GIR_EraseRootFromParent_Done,
     /* 1440706 */   // Label 20305: @1440706
     /* 1440706 */   GIM_Try, /*On fail goto*//*Label 20306*/ GIMT_Encode4(1440803), // Rule ID 6303 //
     /* 1440711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1440722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1440725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1440728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440761 */     // MIs[1] Operand 1
     /* 1440761 */     // No operand predicates
     /* 1440761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440765 */     // MIs[0] policy
     /* 1440765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440777 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1440780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440802 */     // GIR_Coverage, 6303,
     /* 1440802 */     GIR_EraseRootFromParent_Done,
     /* 1440803 */   // Label 20306: @1440803
     /* 1440803 */   GIM_Try, /*On fail goto*//*Label 20307*/ GIMT_Encode4(1440900), // Rule ID 6482 //
     /* 1440808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1440819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1440822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1440825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440858 */     // MIs[1] Operand 1
     /* 1440858 */     // No operand predicates
     /* 1440858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440862 */     // MIs[0] policy
     /* 1440862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440874 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1440877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440899 */     // GIR_Coverage, 6482,
     /* 1440899 */     GIR_EraseRootFromParent_Done,
     /* 1440900 */   // Label 20307: @1440900
     /* 1440900 */   GIM_Try, /*On fail goto*//*Label 20308*/ GIMT_Encode4(1440997), // Rule ID 6483 //
     /* 1440905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1440916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1440919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1440922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440955 */     // MIs[1] Operand 1
     /* 1440955 */     // No operand predicates
     /* 1440955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440959 */     // MIs[0] policy
     /* 1440959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1440974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440996 */     // GIR_Coverage, 6483,
     /* 1440996 */     GIR_EraseRootFromParent_Done,
     /* 1440997 */   // Label 20308: @1440997
     /* 1440997 */   GIM_Try, /*On fail goto*//*Label 20309*/ GIMT_Encode4(1441094), // Rule ID 6486 //
     /* 1441002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1441013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1441016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1441019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441052 */     // MIs[1] Operand 1
     /* 1441052 */     // No operand predicates
     /* 1441052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441056 */     // MIs[0] policy
     /* 1441056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441068 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1441071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441093 */     // GIR_Coverage, 6486,
     /* 1441093 */     GIR_EraseRootFromParent_Done,
     /* 1441094 */   // Label 20309: @1441094
     /* 1441094 */   GIM_Try, /*On fail goto*//*Label 20310*/ GIMT_Encode4(1441191), // Rule ID 6487 //
     /* 1441099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1441110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1441113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1441116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441149 */     // MIs[1] Operand 1
     /* 1441149 */     // No operand predicates
     /* 1441149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441153 */     // MIs[0] policy
     /* 1441153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441165 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1441168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441190 */     // GIR_Coverage, 6487,
     /* 1441190 */     GIR_EraseRootFromParent_Done,
     /* 1441191 */   // Label 20310: @1441191
     /* 1441191 */   GIM_Try, /*On fail goto*//*Label 20311*/ GIMT_Encode4(1441288), // Rule ID 6490 //
     /* 1441196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1441207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1441210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1441213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441246 */     // MIs[1] Operand 1
     /* 1441246 */     // No operand predicates
     /* 1441246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441250 */     // MIs[0] policy
     /* 1441250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441262 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1441265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441287 */     // GIR_Coverage, 6490,
     /* 1441287 */     GIR_EraseRootFromParent_Done,
     /* 1441288 */   // Label 20311: @1441288
     /* 1441288 */   GIM_Try, /*On fail goto*//*Label 20312*/ GIMT_Encode4(1441385), // Rule ID 6491 //
     /* 1441293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1441304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1441307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1441310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441343 */     // MIs[1] Operand 1
     /* 1441343 */     // No operand predicates
     /* 1441343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441347 */     // MIs[0] policy
     /* 1441347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441359 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1441362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441384 */     // GIR_Coverage, 6491,
     /* 1441384 */     GIR_EraseRootFromParent_Done,
     /* 1441385 */   // Label 20312: @1441385
     /* 1441385 */   GIM_Try, /*On fail goto*//*Label 20313*/ GIMT_Encode4(1441482), // Rule ID 6494 //
     /* 1441390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1441401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1441404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1441407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441440 */     // MIs[1] Operand 1
     /* 1441440 */     // No operand predicates
     /* 1441440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441444 */     // MIs[0] policy
     /* 1441444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441456 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1441459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441481 */     // GIR_Coverage, 6494,
     /* 1441481 */     GIR_EraseRootFromParent_Done,
     /* 1441482 */   // Label 20313: @1441482
     /* 1441482 */   GIM_Try, /*On fail goto*//*Label 20314*/ GIMT_Encode4(1441579), // Rule ID 6495 //
     /* 1441487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1441498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1441501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1441504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441537 */     // MIs[1] Operand 1
     /* 1441537 */     // No operand predicates
     /* 1441537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441541 */     // MIs[0] policy
     /* 1441541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441553 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1441556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441578 */     // GIR_Coverage, 6495,
     /* 1441578 */     GIR_EraseRootFromParent_Done,
     /* 1441579 */   // Label 20314: @1441579
     /* 1441579 */   GIM_Try, /*On fail goto*//*Label 20315*/ GIMT_Encode4(1441676), // Rule ID 6498 //
     /* 1441584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1441595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1441598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1441601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441634 */     // MIs[1] Operand 1
     /* 1441634 */     // No operand predicates
     /* 1441634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441638 */     // MIs[0] policy
     /* 1441638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441650 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1441653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441675 */     // GIR_Coverage, 6498,
     /* 1441675 */     GIR_EraseRootFromParent_Done,
     /* 1441676 */   // Label 20315: @1441676
     /* 1441676 */   GIM_Try, /*On fail goto*//*Label 20316*/ GIMT_Encode4(1441773), // Rule ID 6499 //
     /* 1441681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1441692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1441695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1441698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441731 */     // MIs[1] Operand 1
     /* 1441731 */     // No operand predicates
     /* 1441731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441735 */     // MIs[0] policy
     /* 1441735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1441750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441772 */     // GIR_Coverage, 6499,
     /* 1441772 */     GIR_EraseRootFromParent_Done,
     /* 1441773 */   // Label 20316: @1441773
     /* 1441773 */   GIM_Try, /*On fail goto*//*Label 20317*/ GIMT_Encode4(1441870), // Rule ID 6502 //
     /* 1441778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1441789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1441792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1441795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441828 */     // MIs[1] Operand 1
     /* 1441828 */     // No operand predicates
     /* 1441828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441832 */     // MIs[0] policy
     /* 1441832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441844 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1441847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441869 */     // GIR_Coverage, 6502,
     /* 1441869 */     GIR_EraseRootFromParent_Done,
     /* 1441870 */   // Label 20317: @1441870
     /* 1441870 */   GIM_Try, /*On fail goto*//*Label 20318*/ GIMT_Encode4(1441967), // Rule ID 6503 //
     /* 1441875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1441886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1441889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1441892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441925 */     // MIs[1] Operand 1
     /* 1441925 */     // No operand predicates
     /* 1441925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441929 */     // MIs[0] policy
     /* 1441929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441941 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1441944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441966 */     // GIR_Coverage, 6503,
     /* 1441966 */     GIR_EraseRootFromParent_Done,
     /* 1441967 */   // Label 20318: @1441967
     /* 1441967 */   GIM_Try, /*On fail goto*//*Label 20319*/ GIMT_Encode4(1442064), // Rule ID 6506 //
     /* 1441972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1441983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1441986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1441989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442022 */     // MIs[1] Operand 1
     /* 1442022 */     // No operand predicates
     /* 1442022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442026 */     // MIs[0] policy
     /* 1442026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442038 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1442041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442063 */     // GIR_Coverage, 6506,
     /* 1442063 */     GIR_EraseRootFromParent_Done,
     /* 1442064 */   // Label 20319: @1442064
     /* 1442064 */   GIM_Try, /*On fail goto*//*Label 20320*/ GIMT_Encode4(1442161), // Rule ID 6507 //
     /* 1442069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1442080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1442083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1442086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442119 */     // MIs[1] Operand 1
     /* 1442119 */     // No operand predicates
     /* 1442119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442123 */     // MIs[0] policy
     /* 1442123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442135 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1442138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442160 */     // GIR_Coverage, 6507,
     /* 1442160 */     GIR_EraseRootFromParent_Done,
     /* 1442161 */   // Label 20320: @1442161
     /* 1442161 */   GIM_Try, /*On fail goto*//*Label 20321*/ GIMT_Encode4(1442258), // Rule ID 6510 //
     /* 1442166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1442177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1442180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1442183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442216 */     // MIs[1] Operand 1
     /* 1442216 */     // No operand predicates
     /* 1442216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442220 */     // MIs[0] policy
     /* 1442220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1442235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442257 */     // GIR_Coverage, 6510,
     /* 1442257 */     GIR_EraseRootFromParent_Done,
     /* 1442258 */   // Label 20321: @1442258
     /* 1442258 */   GIM_Try, /*On fail goto*//*Label 20322*/ GIMT_Encode4(1442355), // Rule ID 6511 //
     /* 1442263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1442274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1442277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1442280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442313 */     // MIs[1] Operand 1
     /* 1442313 */     // No operand predicates
     /* 1442313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442317 */     // MIs[0] policy
     /* 1442317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442329 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1442332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442354 */     // GIR_Coverage, 6511,
     /* 1442354 */     GIR_EraseRootFromParent_Done,
     /* 1442355 */   // Label 20322: @1442355
     /* 1442355 */   GIM_Try, /*On fail goto*//*Label 20323*/ GIMT_Encode4(1442452), // Rule ID 6514 //
     /* 1442360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1442371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1442374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1442377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442410 */     // MIs[1] Operand 1
     /* 1442410 */     // No operand predicates
     /* 1442410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442414 */     // MIs[0] policy
     /* 1442414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1442429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442451 */     // GIR_Coverage, 6514,
     /* 1442451 */     GIR_EraseRootFromParent_Done,
     /* 1442452 */   // Label 20323: @1442452
     /* 1442452 */   GIM_Try, /*On fail goto*//*Label 20324*/ GIMT_Encode4(1442549), // Rule ID 6515 //
     /* 1442457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1442468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1442471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1442474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442507 */     // MIs[1] Operand 1
     /* 1442507 */     // No operand predicates
     /* 1442507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442511 */     // MIs[0] policy
     /* 1442511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1442526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442548 */     // GIR_Coverage, 6515,
     /* 1442548 */     GIR_EraseRootFromParent_Done,
     /* 1442549 */   // Label 20324: @1442549
     /* 1442549 */   GIM_Try, /*On fail goto*//*Label 20325*/ GIMT_Encode4(1442646), // Rule ID 6518 //
     /* 1442554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1442565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1442568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1442571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442604 */     // MIs[1] Operand 1
     /* 1442604 */     // No operand predicates
     /* 1442604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442608 */     // MIs[0] policy
     /* 1442608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1442623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442645 */     // GIR_Coverage, 6518,
     /* 1442645 */     GIR_EraseRootFromParent_Done,
     /* 1442646 */   // Label 20325: @1442646
     /* 1442646 */   GIM_Try, /*On fail goto*//*Label 20326*/ GIMT_Encode4(1442743), // Rule ID 6519 //
     /* 1442651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1442662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1442665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1442668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442701 */     // MIs[1] Operand 1
     /* 1442701 */     // No operand predicates
     /* 1442701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442705 */     // MIs[0] policy
     /* 1442705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442717 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1442720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442742 */     // GIR_Coverage, 6519,
     /* 1442742 */     GIR_EraseRootFromParent_Done,
     /* 1442743 */   // Label 20326: @1442743
     /* 1442743 */   GIM_Try, /*On fail goto*//*Label 20327*/ GIMT_Encode4(1442840), // Rule ID 6522 //
     /* 1442748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1442759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1442762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1442765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1442771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442798 */     // MIs[1] Operand 1
     /* 1442798 */     // No operand predicates
     /* 1442798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442802 */     // MIs[0] policy
     /* 1442802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442814 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1442817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442839 */     // GIR_Coverage, 6522,
     /* 1442839 */     GIR_EraseRootFromParent_Done,
     /* 1442840 */   // Label 20327: @1442840
     /* 1442840 */   GIM_Try, /*On fail goto*//*Label 20328*/ GIMT_Encode4(1442937), // Rule ID 6523 //
     /* 1442845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1442856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1442859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1442862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1442868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442895 */     // MIs[1] Operand 1
     /* 1442895 */     // No operand predicates
     /* 1442895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442899 */     // MIs[0] policy
     /* 1442899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442911 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1442914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442936 */     // GIR_Coverage, 6523,
     /* 1442936 */     GIR_EraseRootFromParent_Done,
     /* 1442937 */   // Label 20328: @1442937
     /* 1442937 */   GIM_Try, /*On fail goto*//*Label 20329*/ GIMT_Encode4(1443034), // Rule ID 6526 //
     /* 1442942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1442953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1442956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1442959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1442965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1442972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442992 */     // MIs[1] Operand 1
     /* 1442992 */     // No operand predicates
     /* 1442992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442996 */     // MIs[0] policy
     /* 1442996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443008 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1443011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443033 */     // GIR_Coverage, 6526,
     /* 1443033 */     GIR_EraseRootFromParent_Done,
     /* 1443034 */   // Label 20329: @1443034
     /* 1443034 */   GIM_Try, /*On fail goto*//*Label 20330*/ GIMT_Encode4(1443131), // Rule ID 6527 //
     /* 1443039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1443050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1443053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1443056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1443062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443089 */     // MIs[1] Operand 1
     /* 1443089 */     // No operand predicates
     /* 1443089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443093 */     // MIs[0] policy
     /* 1443093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443105 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1443108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443130 */     // GIR_Coverage, 6527,
     /* 1443130 */     GIR_EraseRootFromParent_Done,
     /* 1443131 */   // Label 20330: @1443131
     /* 1443131 */   GIM_Try, /*On fail goto*//*Label 20331*/ GIMT_Encode4(1443228), // Rule ID 6530 //
     /* 1443136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1443147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1443150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1443153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1443159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443186 */     // MIs[1] Operand 1
     /* 1443186 */     // No operand predicates
     /* 1443186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443190 */     // MIs[0] policy
     /* 1443190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443202 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1443205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443227 */     // GIR_Coverage, 6530,
     /* 1443227 */     GIR_EraseRootFromParent_Done,
     /* 1443228 */   // Label 20331: @1443228
     /* 1443228 */   GIM_Try, /*On fail goto*//*Label 20332*/ GIMT_Encode4(1443325), // Rule ID 6531 //
     /* 1443233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1443244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1443247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1443250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1443256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443283 */     // MIs[1] Operand 1
     /* 1443283 */     // No operand predicates
     /* 1443283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443287 */     // MIs[0] policy
     /* 1443287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443299 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1443302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443324 */     // GIR_Coverage, 6531,
     /* 1443324 */     GIR_EraseRootFromParent_Done,
     /* 1443325 */   // Label 20332: @1443325
     /* 1443325 */   GIM_Try, /*On fail goto*//*Label 20333*/ GIMT_Encode4(1443422), // Rule ID 6534 //
     /* 1443330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1443341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1443344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1443347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443380 */     // MIs[1] Operand 1
     /* 1443380 */     // No operand predicates
     /* 1443380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443384 */     // MIs[0] policy
     /* 1443384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1443399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443421 */     // GIR_Coverage, 6534,
     /* 1443421 */     GIR_EraseRootFromParent_Done,
     /* 1443422 */   // Label 20333: @1443422
     /* 1443422 */   GIM_Try, /*On fail goto*//*Label 20334*/ GIMT_Encode4(1443519), // Rule ID 6535 //
     /* 1443427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1443438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1443441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1443444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443477 */     // MIs[1] Operand 1
     /* 1443477 */     // No operand predicates
     /* 1443477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443481 */     // MIs[0] policy
     /* 1443481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443493 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1443496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443518 */     // GIR_Coverage, 6535,
     /* 1443518 */     GIR_EraseRootFromParent_Done,
     /* 1443519 */   // Label 20334: @1443519
     /* 1443519 */   GIM_Try, /*On fail goto*//*Label 20335*/ GIMT_Encode4(1443616), // Rule ID 6538 //
     /* 1443524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1443535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1443538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1443541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1443547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443574 */     // MIs[1] Operand 1
     /* 1443574 */     // No operand predicates
     /* 1443574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443578 */     // MIs[0] policy
     /* 1443578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443590 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1443593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443615 */     // GIR_Coverage, 6538,
     /* 1443615 */     GIR_EraseRootFromParent_Done,
     /* 1443616 */   // Label 20335: @1443616
     /* 1443616 */   GIM_Try, /*On fail goto*//*Label 20336*/ GIMT_Encode4(1443713), // Rule ID 6539 //
     /* 1443621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1443632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1443635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1443638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1443644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443671 */     // MIs[1] Operand 1
     /* 1443671 */     // No operand predicates
     /* 1443671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443675 */     // MIs[0] policy
     /* 1443675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443687 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1443690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443712 */     // GIR_Coverage, 6539,
     /* 1443712 */     GIR_EraseRootFromParent_Done,
     /* 1443713 */   // Label 20336: @1443713
     /* 1443713 */   GIM_Try, /*On fail goto*//*Label 20337*/ GIMT_Encode4(1443810), // Rule ID 6542 //
     /* 1443718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1443729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1443732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1443735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1443741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443768 */     // MIs[1] Operand 1
     /* 1443768 */     // No operand predicates
     /* 1443768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443772 */     // MIs[0] policy
     /* 1443772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443784 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1443787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443809 */     // GIR_Coverage, 6542,
     /* 1443809 */     GIR_EraseRootFromParent_Done,
     /* 1443810 */   // Label 20337: @1443810
     /* 1443810 */   GIM_Try, /*On fail goto*//*Label 20338*/ GIMT_Encode4(1443907), // Rule ID 6543 //
     /* 1443815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1443826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1443829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1443832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1443838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443865 */     // MIs[1] Operand 1
     /* 1443865 */     // No operand predicates
     /* 1443865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443869 */     // MIs[0] policy
     /* 1443869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443881 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1443884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443906 */     // GIR_Coverage, 6543,
     /* 1443906 */     GIR_EraseRootFromParent_Done,
     /* 1443907 */   // Label 20338: @1443907
     /* 1443907 */   GIM_Try, /*On fail goto*//*Label 20339*/ GIMT_Encode4(1444004), // Rule ID 6546 //
     /* 1443912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1443920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1443923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1443926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1443929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443962 */     // MIs[1] Operand 1
     /* 1443962 */     // No operand predicates
     /* 1443962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443966 */     // MIs[0] policy
     /* 1443966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1443981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444003 */     // GIR_Coverage, 6546,
     /* 1444003 */     GIR_EraseRootFromParent_Done,
     /* 1444004 */   // Label 20339: @1444004
     /* 1444004 */   GIM_Try, /*On fail goto*//*Label 20340*/ GIMT_Encode4(1444101), // Rule ID 6547 //
     /* 1444009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1444020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1444023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1444026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444059 */     // MIs[1] Operand 1
     /* 1444059 */     // No operand predicates
     /* 1444059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444063 */     // MIs[0] policy
     /* 1444063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444075 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1444078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444100 */     // GIR_Coverage, 6547,
     /* 1444100 */     GIR_EraseRootFromParent_Done,
     /* 1444101 */   // Label 20340: @1444101
     /* 1444101 */   GIM_Try, /*On fail goto*//*Label 20341*/ GIMT_Encode4(1444198), // Rule ID 6550 //
     /* 1444106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1444117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1444120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1444123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444156 */     // MIs[1] Operand 1
     /* 1444156 */     // No operand predicates
     /* 1444156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444160 */     // MIs[0] policy
     /* 1444160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1444175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444197 */     // GIR_Coverage, 6550,
     /* 1444197 */     GIR_EraseRootFromParent_Done,
     /* 1444198 */   // Label 20341: @1444198
     /* 1444198 */   GIM_Try, /*On fail goto*//*Label 20342*/ GIMT_Encode4(1444295), // Rule ID 6551 //
     /* 1444203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1444214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1444217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1444220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444253 */     // MIs[1] Operand 1
     /* 1444253 */     // No operand predicates
     /* 1444253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444257 */     // MIs[0] policy
     /* 1444257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444269 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1444272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444294 */     // GIR_Coverage, 6551,
     /* 1444294 */     GIR_EraseRootFromParent_Done,
     /* 1444295 */   // Label 20342: @1444295
     /* 1444295 */   GIM_Try, /*On fail goto*//*Label 20343*/ GIMT_Encode4(1444392), // Rule ID 6554 //
     /* 1444300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1444311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1444314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1444317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444350 */     // MIs[1] Operand 1
     /* 1444350 */     // No operand predicates
     /* 1444350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444354 */     // MIs[0] policy
     /* 1444354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444366 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1444369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444391 */     // GIR_Coverage, 6554,
     /* 1444391 */     GIR_EraseRootFromParent_Done,
     /* 1444392 */   // Label 20343: @1444392
     /* 1444392 */   GIM_Try, /*On fail goto*//*Label 20344*/ GIMT_Encode4(1444489), // Rule ID 6555 //
     /* 1444397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1444408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1444411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1444414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444447 */     // MIs[1] Operand 1
     /* 1444447 */     // No operand predicates
     /* 1444447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444451 */     // MIs[0] policy
     /* 1444451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444463 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1444466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444488 */     // GIR_Coverage, 6555,
     /* 1444488 */     GIR_EraseRootFromParent_Done,
     /* 1444489 */   // Label 20344: @1444489
     /* 1444489 */   GIM_Try, /*On fail goto*//*Label 20345*/ GIMT_Encode4(1444586), // Rule ID 6558 //
     /* 1444494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1444505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1444508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1444511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444544 */     // MIs[1] Operand 1
     /* 1444544 */     // No operand predicates
     /* 1444544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444548 */     // MIs[0] policy
     /* 1444548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1444563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444585 */     // GIR_Coverage, 6558,
     /* 1444585 */     GIR_EraseRootFromParent_Done,
     /* 1444586 */   // Label 20345: @1444586
     /* 1444586 */   GIM_Try, /*On fail goto*//*Label 20346*/ GIMT_Encode4(1444683), // Rule ID 6559 //
     /* 1444591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1444602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1444605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1444608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444641 */     // MIs[1] Operand 1
     /* 1444641 */     // No operand predicates
     /* 1444641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444645 */     // MIs[0] policy
     /* 1444645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444657 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1444660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444682 */     // GIR_Coverage, 6559,
     /* 1444682 */     GIR_EraseRootFromParent_Done,
     /* 1444683 */   // Label 20346: @1444683
     /* 1444683 */   GIM_Try, /*On fail goto*//*Label 20347*/ GIMT_Encode4(1444780), // Rule ID 6562 //
     /* 1444688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1444699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1444702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1444705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444738 */     // MIs[1] Operand 1
     /* 1444738 */     // No operand predicates
     /* 1444738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444742 */     // MIs[0] policy
     /* 1444742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1444757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444779 */     // GIR_Coverage, 6562,
     /* 1444779 */     GIR_EraseRootFromParent_Done,
     /* 1444780 */   // Label 20347: @1444780
     /* 1444780 */   GIM_Try, /*On fail goto*//*Label 20348*/ GIMT_Encode4(1444877), // Rule ID 6563 //
     /* 1444785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1444796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1444799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1444802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444835 */     // MIs[1] Operand 1
     /* 1444835 */     // No operand predicates
     /* 1444835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444839 */     // MIs[0] policy
     /* 1444839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444851 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1444854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444876 */     // GIR_Coverage, 6563,
     /* 1444876 */     GIR_EraseRootFromParent_Done,
     /* 1444877 */   // Label 20348: @1444877
     /* 1444877 */   GIM_Try, /*On fail goto*//*Label 20349*/ GIMT_Encode4(1444974), // Rule ID 6566 //
     /* 1444882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1444893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1444896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1444899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444932 */     // MIs[1] Operand 1
     /* 1444932 */     // No operand predicates
     /* 1444932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444936 */     // MIs[0] policy
     /* 1444936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444948 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1444951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444973 */     // GIR_Coverage, 6566,
     /* 1444973 */     GIR_EraseRootFromParent_Done,
     /* 1444974 */   // Label 20349: @1444974
     /* 1444974 */   GIM_Try, /*On fail goto*//*Label 20350*/ GIMT_Encode4(1445071), // Rule ID 6567 //
     /* 1444979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1444990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1444993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1444996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1445029 */     // MIs[1] Operand 1
     /* 1445029 */     // No operand predicates
     /* 1445029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445033 */     // MIs[0] policy
     /* 1445033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445045 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1445048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1445067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445070 */     // GIR_Coverage, 6567,
     /* 1445070 */     GIR_EraseRootFromParent_Done,
     /* 1445071 */   // Label 20350: @1445071
     /* 1445071 */   GIM_Try, /*On fail goto*//*Label 20351*/ GIMT_Encode4(1445168), // Rule ID 6746 //
     /* 1445076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1445087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1445090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1445093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445126 */     // MIs[1] Operand 1
     /* 1445126 */     // No operand predicates
     /* 1445126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445130 */     // MIs[0] policy
     /* 1445130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445142 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1445145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445167 */     // GIR_Coverage, 6746,
     /* 1445167 */     GIR_EraseRootFromParent_Done,
     /* 1445168 */   // Label 20351: @1445168
     /* 1445168 */   GIM_Try, /*On fail goto*//*Label 20352*/ GIMT_Encode4(1445265), // Rule ID 6747 //
     /* 1445173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1445184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1445187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1445190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445223 */     // MIs[1] Operand 1
     /* 1445223 */     // No operand predicates
     /* 1445223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445227 */     // MIs[0] policy
     /* 1445227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445239 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1445242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445264 */     // GIR_Coverage, 6747,
     /* 1445264 */     GIR_EraseRootFromParent_Done,
     /* 1445265 */   // Label 20352: @1445265
     /* 1445265 */   GIM_Try, /*On fail goto*//*Label 20353*/ GIMT_Encode4(1445362), // Rule ID 6750 //
     /* 1445270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1445281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1445284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1445287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445320 */     // MIs[1] Operand 1
     /* 1445320 */     // No operand predicates
     /* 1445320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445324 */     // MIs[0] policy
     /* 1445324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445336 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1445339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445361 */     // GIR_Coverage, 6750,
     /* 1445361 */     GIR_EraseRootFromParent_Done,
     /* 1445362 */   // Label 20353: @1445362
     /* 1445362 */   GIM_Try, /*On fail goto*//*Label 20354*/ GIMT_Encode4(1445459), // Rule ID 6751 //
     /* 1445367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1445378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1445381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1445384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445417 */     // MIs[1] Operand 1
     /* 1445417 */     // No operand predicates
     /* 1445417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445421 */     // MIs[0] policy
     /* 1445421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1445436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445458 */     // GIR_Coverage, 6751,
     /* 1445458 */     GIR_EraseRootFromParent_Done,
     /* 1445459 */   // Label 20354: @1445459
     /* 1445459 */   GIM_Try, /*On fail goto*//*Label 20355*/ GIMT_Encode4(1445556), // Rule ID 6754 //
     /* 1445464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1445475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1445478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1445481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445514 */     // MIs[1] Operand 1
     /* 1445514 */     // No operand predicates
     /* 1445514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445518 */     // MIs[0] policy
     /* 1445518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445530 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1445533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445555 */     // GIR_Coverage, 6754,
     /* 1445555 */     GIR_EraseRootFromParent_Done,
     /* 1445556 */   // Label 20355: @1445556
     /* 1445556 */   GIM_Try, /*On fail goto*//*Label 20356*/ GIMT_Encode4(1445653), // Rule ID 6755 //
     /* 1445561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1445572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1445575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1445578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445611 */     // MIs[1] Operand 1
     /* 1445611 */     // No operand predicates
     /* 1445611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445615 */     // MIs[0] policy
     /* 1445615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445627 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1445630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445652 */     // GIR_Coverage, 6755,
     /* 1445652 */     GIR_EraseRootFromParent_Done,
     /* 1445653 */   // Label 20356: @1445653
     /* 1445653 */   GIM_Try, /*On fail goto*//*Label 20357*/ GIMT_Encode4(1445750), // Rule ID 6758 //
     /* 1445658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1445669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1445672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1445675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445708 */     // MIs[1] Operand 1
     /* 1445708 */     // No operand predicates
     /* 1445708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445712 */     // MIs[0] policy
     /* 1445712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445724 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1445727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445749 */     // GIR_Coverage, 6758,
     /* 1445749 */     GIR_EraseRootFromParent_Done,
     /* 1445750 */   // Label 20357: @1445750
     /* 1445750 */   GIM_Try, /*On fail goto*//*Label 20358*/ GIMT_Encode4(1445847), // Rule ID 6759 //
     /* 1445755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1445766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1445769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1445772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445805 */     // MIs[1] Operand 1
     /* 1445805 */     // No operand predicates
     /* 1445805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445809 */     // MIs[0] policy
     /* 1445809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445821 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1445824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445846 */     // GIR_Coverage, 6759,
     /* 1445846 */     GIR_EraseRootFromParent_Done,
     /* 1445847 */   // Label 20358: @1445847
     /* 1445847 */   GIM_Try, /*On fail goto*//*Label 20359*/ GIMT_Encode4(1445944), // Rule ID 6762 //
     /* 1445852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1445863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1445866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1445869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445902 */     // MIs[1] Operand 1
     /* 1445902 */     // No operand predicates
     /* 1445902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445906 */     // MIs[0] policy
     /* 1445906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445918 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1445921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445943 */     // GIR_Coverage, 6762,
     /* 1445943 */     GIR_EraseRootFromParent_Done,
     /* 1445944 */   // Label 20359: @1445944
     /* 1445944 */   GIM_Try, /*On fail goto*//*Label 20360*/ GIMT_Encode4(1446041), // Rule ID 6763 //
     /* 1445949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1445960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1445963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1445966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445999 */     // MIs[1] Operand 1
     /* 1445999 */     // No operand predicates
     /* 1445999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446003 */     // MIs[0] policy
     /* 1446003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446015 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1446018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446040 */     // GIR_Coverage, 6763,
     /* 1446040 */     GIR_EraseRootFromParent_Done,
     /* 1446041 */   // Label 20360: @1446041
     /* 1446041 */   GIM_Try, /*On fail goto*//*Label 20361*/ GIMT_Encode4(1446138), // Rule ID 6766 //
     /* 1446046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1446057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1446060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1446063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446096 */     // MIs[1] Operand 1
     /* 1446096 */     // No operand predicates
     /* 1446096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446100 */     // MIs[0] policy
     /* 1446100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446112 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1446115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446137 */     // GIR_Coverage, 6766,
     /* 1446137 */     GIR_EraseRootFromParent_Done,
     /* 1446138 */   // Label 20361: @1446138
     /* 1446138 */   GIM_Try, /*On fail goto*//*Label 20362*/ GIMT_Encode4(1446235), // Rule ID 6767 //
     /* 1446143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1446154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1446157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1446160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446193 */     // MIs[1] Operand 1
     /* 1446193 */     // No operand predicates
     /* 1446193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446197 */     // MIs[0] policy
     /* 1446197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446209 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1446212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446234 */     // GIR_Coverage, 6767,
     /* 1446234 */     GIR_EraseRootFromParent_Done,
     /* 1446235 */   // Label 20362: @1446235
     /* 1446235 */   GIM_Try, /*On fail goto*//*Label 20363*/ GIMT_Encode4(1446332), // Rule ID 6770 //
     /* 1446240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1446251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1446254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1446257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446290 */     // MIs[1] Operand 1
     /* 1446290 */     // No operand predicates
     /* 1446290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446294 */     // MIs[0] policy
     /* 1446294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446306 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446331 */     // GIR_Coverage, 6770,
     /* 1446331 */     GIR_EraseRootFromParent_Done,
     /* 1446332 */   // Label 20363: @1446332
     /* 1446332 */   GIM_Try, /*On fail goto*//*Label 20364*/ GIMT_Encode4(1446429), // Rule ID 6771 //
     /* 1446337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1446348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1446351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1446354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446387 */     // MIs[1] Operand 1
     /* 1446387 */     // No operand predicates
     /* 1446387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446391 */     // MIs[0] policy
     /* 1446391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446428 */     // GIR_Coverage, 6771,
     /* 1446428 */     GIR_EraseRootFromParent_Done,
     /* 1446429 */   // Label 20364: @1446429
     /* 1446429 */   GIM_Try, /*On fail goto*//*Label 20365*/ GIMT_Encode4(1446526), // Rule ID 6774 //
     /* 1446434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1446445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1446448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1446451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446484 */     // MIs[1] Operand 1
     /* 1446484 */     // No operand predicates
     /* 1446484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446488 */     // MIs[0] policy
     /* 1446488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446500 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446525 */     // GIR_Coverage, 6774,
     /* 1446525 */     GIR_EraseRootFromParent_Done,
     /* 1446526 */   // Label 20365: @1446526
     /* 1446526 */   GIM_Try, /*On fail goto*//*Label 20366*/ GIMT_Encode4(1446623), // Rule ID 6775 //
     /* 1446531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1446542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1446545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1446548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446581 */     // MIs[1] Operand 1
     /* 1446581 */     // No operand predicates
     /* 1446581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446585 */     // MIs[0] policy
     /* 1446585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446597 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446622 */     // GIR_Coverage, 6775,
     /* 1446622 */     GIR_EraseRootFromParent_Done,
     /* 1446623 */   // Label 20366: @1446623
     /* 1446623 */   GIM_Try, /*On fail goto*//*Label 20367*/ GIMT_Encode4(1446720), // Rule ID 6778 //
     /* 1446628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1446639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1446642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1446645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446678 */     // MIs[1] Operand 1
     /* 1446678 */     // No operand predicates
     /* 1446678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446682 */     // MIs[0] policy
     /* 1446682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446719 */     // GIR_Coverage, 6778,
     /* 1446719 */     GIR_EraseRootFromParent_Done,
     /* 1446720 */   // Label 20367: @1446720
     /* 1446720 */   GIM_Try, /*On fail goto*//*Label 20368*/ GIMT_Encode4(1446817), // Rule ID 6779 //
     /* 1446725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1446736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1446739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1446742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446775 */     // MIs[1] Operand 1
     /* 1446775 */     // No operand predicates
     /* 1446775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446779 */     // MIs[0] policy
     /* 1446779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446791 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446816 */     // GIR_Coverage, 6779,
     /* 1446816 */     GIR_EraseRootFromParent_Done,
     /* 1446817 */   // Label 20368: @1446817
     /* 1446817 */   GIM_Try, /*On fail goto*//*Label 20369*/ GIMT_Encode4(1446914), // Rule ID 6782 //
     /* 1446822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1446833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1446836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1446839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446872 */     // MIs[1] Operand 1
     /* 1446872 */     // No operand predicates
     /* 1446872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446876 */     // MIs[0] policy
     /* 1446876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446888 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446913 */     // GIR_Coverage, 6782,
     /* 1446913 */     GIR_EraseRootFromParent_Done,
     /* 1446914 */   // Label 20369: @1446914
     /* 1446914 */   GIM_Try, /*On fail goto*//*Label 20370*/ GIMT_Encode4(1447011), // Rule ID 6783 //
     /* 1446919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1446930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1446933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1446936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446969 */     // MIs[1] Operand 1
     /* 1446969 */     // No operand predicates
     /* 1446969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446973 */     // MIs[0] policy
     /* 1446973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446985 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1446988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1447007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447010 */     // GIR_Coverage, 6783,
     /* 1447010 */     GIR_EraseRootFromParent_Done,
     /* 1447011 */   // Label 20370: @1447011
     /* 1447011 */   GIM_Try, /*On fail goto*//*Label 20371*/ GIMT_Encode4(1447108), // Rule ID 6786 //
     /* 1447016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1447027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1447030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1447033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1447039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447066 */     // MIs[1] Operand 1
     /* 1447066 */     // No operand predicates
     /* 1447066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447070 */     // MIs[0] policy
     /* 1447070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447082 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1447085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447107 */     // GIR_Coverage, 6786,
     /* 1447107 */     GIR_EraseRootFromParent_Done,
     /* 1447108 */   // Label 20371: @1447108
     /* 1447108 */   GIM_Try, /*On fail goto*//*Label 20372*/ GIMT_Encode4(1447205), // Rule ID 6787 //
     /* 1447113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1447124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1447127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1447130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1447136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447163 */     // MIs[1] Operand 1
     /* 1447163 */     // No operand predicates
     /* 1447163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447167 */     // MIs[0] policy
     /* 1447167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447179 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1447182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447204 */     // GIR_Coverage, 6787,
     /* 1447204 */     GIR_EraseRootFromParent_Done,
     /* 1447205 */   // Label 20372: @1447205
     /* 1447205 */   GIM_Try, /*On fail goto*//*Label 20373*/ GIMT_Encode4(1447302), // Rule ID 6790 //
     /* 1447210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1447221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1447224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1447227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1447233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447260 */     // MIs[1] Operand 1
     /* 1447260 */     // No operand predicates
     /* 1447260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447264 */     // MIs[0] policy
     /* 1447264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447276 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1447279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447301 */     // GIR_Coverage, 6790,
     /* 1447301 */     GIR_EraseRootFromParent_Done,
     /* 1447302 */   // Label 20373: @1447302
     /* 1447302 */   GIM_Try, /*On fail goto*//*Label 20374*/ GIMT_Encode4(1447399), // Rule ID 6791 //
     /* 1447307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1447318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1447321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1447324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1447330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447357 */     // MIs[1] Operand 1
     /* 1447357 */     // No operand predicates
     /* 1447357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447361 */     // MIs[0] policy
     /* 1447361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447373 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1447376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447398 */     // GIR_Coverage, 6791,
     /* 1447398 */     GIR_EraseRootFromParent_Done,
     /* 1447399 */   // Label 20374: @1447399
     /* 1447399 */   GIM_Try, /*On fail goto*//*Label 20375*/ GIMT_Encode4(1447496), // Rule ID 6794 //
     /* 1447404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1447415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1447418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1447421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1447427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1447434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447454 */     // MIs[1] Operand 1
     /* 1447454 */     // No operand predicates
     /* 1447454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447458 */     // MIs[0] policy
     /* 1447458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447470 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1447473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447495 */     // GIR_Coverage, 6794,
     /* 1447495 */     GIR_EraseRootFromParent_Done,
     /* 1447496 */   // Label 20375: @1447496
     /* 1447496 */   GIM_Try, /*On fail goto*//*Label 20376*/ GIMT_Encode4(1447593), // Rule ID 6795 //
     /* 1447501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1447512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1447515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1447518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1447524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1447531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447551 */     // MIs[1] Operand 1
     /* 1447551 */     // No operand predicates
     /* 1447551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447555 */     // MIs[0] policy
     /* 1447555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447567 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1447570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447592 */     // GIR_Coverage, 6795,
     /* 1447592 */     GIR_EraseRootFromParent_Done,
     /* 1447593 */   // Label 20376: @1447593
     /* 1447593 */   GIM_Try, /*On fail goto*//*Label 20377*/ GIMT_Encode4(1447690), // Rule ID 6798 //
     /* 1447598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1447609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1447612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1447615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447648 */     // MIs[1] Operand 1
     /* 1447648 */     // No operand predicates
     /* 1447648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447652 */     // MIs[0] policy
     /* 1447652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447664 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1447667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447689 */     // GIR_Coverage, 6798,
     /* 1447689 */     GIR_EraseRootFromParent_Done,
     /* 1447690 */   // Label 20377: @1447690
     /* 1447690 */   GIM_Try, /*On fail goto*//*Label 20378*/ GIMT_Encode4(1447787), // Rule ID 6799 //
     /* 1447695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1447706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1447709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1447712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447745 */     // MIs[1] Operand 1
     /* 1447745 */     // No operand predicates
     /* 1447745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447749 */     // MIs[0] policy
     /* 1447749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447761 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1447764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447786 */     // GIR_Coverage, 6799,
     /* 1447786 */     GIR_EraseRootFromParent_Done,
     /* 1447787 */   // Label 20378: @1447787
     /* 1447787 */   GIM_Try, /*On fail goto*//*Label 20379*/ GIMT_Encode4(1447884), // Rule ID 6802 //
     /* 1447792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1447803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1447806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1447809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1447815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447842 */     // MIs[1] Operand 1
     /* 1447842 */     // No operand predicates
     /* 1447842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447846 */     // MIs[0] policy
     /* 1447846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1447861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447883 */     // GIR_Coverage, 6802,
     /* 1447883 */     GIR_EraseRootFromParent_Done,
     /* 1447884 */   // Label 20379: @1447884
     /* 1447884 */   GIM_Try, /*On fail goto*//*Label 20380*/ GIMT_Encode4(1447981), // Rule ID 6803 //
     /* 1447889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1447900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1447903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1447906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1447912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447939 */     // MIs[1] Operand 1
     /* 1447939 */     // No operand predicates
     /* 1447939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447943 */     // MIs[0] policy
     /* 1447943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447955 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1447958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447980 */     // GIR_Coverage, 6803,
     /* 1447980 */     GIR_EraseRootFromParent_Done,
     /* 1447981 */   // Label 20380: @1447981
     /* 1447981 */   GIM_Try, /*On fail goto*//*Label 20381*/ GIMT_Encode4(1448078), // Rule ID 6806 //
     /* 1447986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1447994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1447997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1448000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1448003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1448009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448036 */     // MIs[1] Operand 1
     /* 1448036 */     // No operand predicates
     /* 1448036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448040 */     // MIs[0] policy
     /* 1448040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1448055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448077 */     // GIR_Coverage, 6806,
     /* 1448077 */     GIR_EraseRootFromParent_Done,
     /* 1448078 */   // Label 20381: @1448078
     /* 1448078 */   GIM_Try, /*On fail goto*//*Label 20382*/ GIMT_Encode4(1448175), // Rule ID 6807 //
     /* 1448083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1448094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1448097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1448100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1448106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448133 */     // MIs[1] Operand 1
     /* 1448133 */     // No operand predicates
     /* 1448133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448137 */     // MIs[0] policy
     /* 1448137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448149 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1448152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448174 */     // GIR_Coverage, 6807,
     /* 1448174 */     GIR_EraseRootFromParent_Done,
     /* 1448175 */   // Label 20382: @1448175
     /* 1448175 */   GIM_Try, /*On fail goto*//*Label 20383*/ GIMT_Encode4(1448272), // Rule ID 6810 //
     /* 1448180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1448191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1448194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1448197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448230 */     // MIs[1] Operand 1
     /* 1448230 */     // No operand predicates
     /* 1448230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448234 */     // MIs[0] policy
     /* 1448234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448246 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1448249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448271 */     // GIR_Coverage, 6810,
     /* 1448271 */     GIR_EraseRootFromParent_Done,
     /* 1448272 */   // Label 20383: @1448272
     /* 1448272 */   GIM_Try, /*On fail goto*//*Label 20384*/ GIMT_Encode4(1448369), // Rule ID 6811 //
     /* 1448277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1448288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1448291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1448294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448327 */     // MIs[1] Operand 1
     /* 1448327 */     // No operand predicates
     /* 1448327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448331 */     // MIs[0] policy
     /* 1448331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448343 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1448346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448368 */     // GIR_Coverage, 6811,
     /* 1448368 */     GIR_EraseRootFromParent_Done,
     /* 1448369 */   // Label 20384: @1448369
     /* 1448369 */   GIM_Try, /*On fail goto*//*Label 20385*/ GIMT_Encode4(1448466), // Rule ID 6814 //
     /* 1448374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1448385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1448388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1448391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448424 */     // MIs[1] Operand 1
     /* 1448424 */     // No operand predicates
     /* 1448424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448428 */     // MIs[0] policy
     /* 1448428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1448443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448465 */     // GIR_Coverage, 6814,
     /* 1448465 */     GIR_EraseRootFromParent_Done,
     /* 1448466 */   // Label 20385: @1448466
     /* 1448466 */   GIM_Try, /*On fail goto*//*Label 20386*/ GIMT_Encode4(1448563), // Rule ID 6815 //
     /* 1448471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1448482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1448485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1448488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448521 */     // MIs[1] Operand 1
     /* 1448521 */     // No operand predicates
     /* 1448521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448525 */     // MIs[0] policy
     /* 1448525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448537 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1448540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448562 */     // GIR_Coverage, 6815,
     /* 1448562 */     GIR_EraseRootFromParent_Done,
     /* 1448563 */   // Label 20386: @1448563
     /* 1448563 */   GIM_Try, /*On fail goto*//*Label 20387*/ GIMT_Encode4(1448660), // Rule ID 6818 //
     /* 1448568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1448579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1448582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1448585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448618 */     // MIs[1] Operand 1
     /* 1448618 */     // No operand predicates
     /* 1448618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448622 */     // MIs[0] policy
     /* 1448622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448634 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1448637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448659 */     // GIR_Coverage, 6818,
     /* 1448659 */     GIR_EraseRootFromParent_Done,
     /* 1448660 */   // Label 20387: @1448660
     /* 1448660 */   GIM_Try, /*On fail goto*//*Label 20388*/ GIMT_Encode4(1448757), // Rule ID 6819 //
     /* 1448665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1448676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1448679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1448682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448715 */     // MIs[1] Operand 1
     /* 1448715 */     // No operand predicates
     /* 1448715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448719 */     // MIs[0] policy
     /* 1448719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448731 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1448734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448756 */     // GIR_Coverage, 6819,
     /* 1448756 */     GIR_EraseRootFromParent_Done,
     /* 1448757 */   // Label 20388: @1448757
     /* 1448757 */   GIM_Try, /*On fail goto*//*Label 20389*/ GIMT_Encode4(1448854), // Rule ID 6822 //
     /* 1448762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1448773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1448776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1448779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448812 */     // MIs[1] Operand 1
     /* 1448812 */     // No operand predicates
     /* 1448812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448816 */     // MIs[0] policy
     /* 1448816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448828 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1448831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448853 */     // GIR_Coverage, 6822,
     /* 1448853 */     GIR_EraseRootFromParent_Done,
     /* 1448854 */   // Label 20389: @1448854
     /* 1448854 */   GIM_Try, /*On fail goto*//*Label 20390*/ GIMT_Encode4(1448951), // Rule ID 6823 //
     /* 1448859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1448862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1448870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1448873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1448876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448909 */     // MIs[1] Operand 1
     /* 1448909 */     // No operand predicates
     /* 1448909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448913 */     // MIs[0] policy
     /* 1448913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448925 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1448928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448950 */     // GIR_Coverage, 6823,
     /* 1448950 */     GIR_EraseRootFromParent_Done,
     /* 1448951 */   // Label 20390: @1448951
     /* 1448951 */   GIM_Try, /*On fail goto*//*Label 20391*/ GIMT_Encode4(1449048), // Rule ID 6826 //
     /* 1448956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1448964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1448967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1448970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1448973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449006 */     // MIs[1] Operand 1
     /* 1449006 */     // No operand predicates
     /* 1449006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449010 */     // MIs[0] policy
     /* 1449010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449022 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1449025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449047 */     // GIR_Coverage, 6826,
     /* 1449047 */     GIR_EraseRootFromParent_Done,
     /* 1449048 */   // Label 20391: @1449048
     /* 1449048 */   GIM_Try, /*On fail goto*//*Label 20392*/ GIMT_Encode4(1449145), // Rule ID 6827 //
     /* 1449053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1449056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1449061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1449064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1449067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1449070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449103 */     // MIs[1] Operand 1
     /* 1449103 */     // No operand predicates
     /* 1449103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449107 */     // MIs[0] policy
     /* 1449107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449119 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1449122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449144 */     // GIR_Coverage, 6827,
     /* 1449144 */     GIR_EraseRootFromParent_Done,
     /* 1449145 */   // Label 20392: @1449145
     /* 1449145 */   GIM_Try, /*On fail goto*//*Label 20393*/ GIMT_Encode4(1449242), // Rule ID 6830 //
     /* 1449150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1449153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1449158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1449161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1449164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1449167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449200 */     // MIs[1] Operand 1
     /* 1449200 */     // No operand predicates
     /* 1449200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449204 */     // MIs[0] policy
     /* 1449204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1449219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449241 */     // GIR_Coverage, 6830,
     /* 1449241 */     GIR_EraseRootFromParent_Done,
     /* 1449242 */   // Label 20393: @1449242
     /* 1449242 */   GIM_Try, /*On fail goto*//*Label 20394*/ GIMT_Encode4(1449339), // Rule ID 6831 //
     /* 1449247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1449250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1449255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1449258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1449261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1449264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449297 */     // MIs[1] Operand 1
     /* 1449297 */     // No operand predicates
     /* 1449297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449301 */     // MIs[0] policy
     /* 1449301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449313 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1449316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449338 */     // GIR_Coverage, 6831,
     /* 1449338 */     GIR_EraseRootFromParent_Done,
     /* 1449339 */   // Label 20394: @1449339
     /* 1449339 */   GIM_Try, /*On fail goto*//*Label 20395*/ GIMT_Encode4(1449436), // Rule ID 7010 //
     /* 1449344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1449355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1449358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1449361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449394 */     // MIs[1] Operand 1
     /* 1449394 */     // No operand predicates
     /* 1449394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449398 */     // MIs[0] policy
     /* 1449398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449410 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1449413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449435 */     // GIR_Coverage, 7010,
     /* 1449435 */     GIR_EraseRootFromParent_Done,
     /* 1449436 */   // Label 20395: @1449436
     /* 1449436 */   GIM_Try, /*On fail goto*//*Label 20396*/ GIMT_Encode4(1449533), // Rule ID 7011 //
     /* 1449441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1449452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1449455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1449458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449491 */     // MIs[1] Operand 1
     /* 1449491 */     // No operand predicates
     /* 1449491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449495 */     // MIs[0] policy
     /* 1449495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449507 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1449510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449532 */     // GIR_Coverage, 7011,
     /* 1449532 */     GIR_EraseRootFromParent_Done,
     /* 1449533 */   // Label 20396: @1449533
     /* 1449533 */   GIM_Try, /*On fail goto*//*Label 20397*/ GIMT_Encode4(1449630), // Rule ID 7014 //
     /* 1449538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1449549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1449552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1449555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1449561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449588 */     // MIs[1] Operand 1
     /* 1449588 */     // No operand predicates
     /* 1449588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449592 */     // MIs[0] policy
     /* 1449592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449604 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1449607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449629 */     // GIR_Coverage, 7014,
     /* 1449629 */     GIR_EraseRootFromParent_Done,
     /* 1449630 */   // Label 20397: @1449630
     /* 1449630 */   GIM_Try, /*On fail goto*//*Label 20398*/ GIMT_Encode4(1449727), // Rule ID 7015 //
     /* 1449635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1449646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1449649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1449652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1449658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449685 */     // MIs[1] Operand 1
     /* 1449685 */     // No operand predicates
     /* 1449685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449689 */     // MIs[0] policy
     /* 1449689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449701 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1449704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449726 */     // GIR_Coverage, 7015,
     /* 1449726 */     GIR_EraseRootFromParent_Done,
     /* 1449727 */   // Label 20398: @1449727
     /* 1449727 */   GIM_Try, /*On fail goto*//*Label 20399*/ GIMT_Encode4(1449824), // Rule ID 7018 //
     /* 1449732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1449743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1449746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1449749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449782 */     // MIs[1] Operand 1
     /* 1449782 */     // No operand predicates
     /* 1449782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449786 */     // MIs[0] policy
     /* 1449786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449798 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1449801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449823 */     // GIR_Coverage, 7018,
     /* 1449823 */     GIR_EraseRootFromParent_Done,
     /* 1449824 */   // Label 20399: @1449824
     /* 1449824 */   GIM_Try, /*On fail goto*//*Label 20400*/ GIMT_Encode4(1449921), // Rule ID 7019 //
     /* 1449829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1449840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1449843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1449846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449879 */     // MIs[1] Operand 1
     /* 1449879 */     // No operand predicates
     /* 1449879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449883 */     // MIs[0] policy
     /* 1449883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449895 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1449898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449920 */     // GIR_Coverage, 7019,
     /* 1449920 */     GIR_EraseRootFromParent_Done,
     /* 1449921 */   // Label 20400: @1449921
     /* 1449921 */   GIM_Try, /*On fail goto*//*Label 20401*/ GIMT_Encode4(1450018), // Rule ID 7022 //
     /* 1449926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1449937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1449940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1449943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449976 */     // MIs[1] Operand 1
     /* 1449976 */     // No operand predicates
     /* 1449976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449980 */     // MIs[0] policy
     /* 1449980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449992 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1449995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450017 */     // GIR_Coverage, 7022,
     /* 1450017 */     GIR_EraseRootFromParent_Done,
     /* 1450018 */   // Label 20401: @1450018
     /* 1450018 */   GIM_Try, /*On fail goto*//*Label 20402*/ GIMT_Encode4(1450115), // Rule ID 7023 //
     /* 1450023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1450034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1450037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1450040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450073 */     // MIs[1] Operand 1
     /* 1450073 */     // No operand predicates
     /* 1450073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450077 */     // MIs[0] policy
     /* 1450077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450089 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1450092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450114 */     // GIR_Coverage, 7023,
     /* 1450114 */     GIR_EraseRootFromParent_Done,
     /* 1450115 */   // Label 20402: @1450115
     /* 1450115 */   GIM_Try, /*On fail goto*//*Label 20403*/ GIMT_Encode4(1450212), // Rule ID 7026 //
     /* 1450120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1450131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1450134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1450137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450170 */     // MIs[1] Operand 1
     /* 1450170 */     // No operand predicates
     /* 1450170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450174 */     // MIs[0] policy
     /* 1450174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450186 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1450189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450211 */     // GIR_Coverage, 7026,
     /* 1450211 */     GIR_EraseRootFromParent_Done,
     /* 1450212 */   // Label 20403: @1450212
     /* 1450212 */   GIM_Try, /*On fail goto*//*Label 20404*/ GIMT_Encode4(1450309), // Rule ID 7027 //
     /* 1450217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1450228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1450231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1450234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450267 */     // MIs[1] Operand 1
     /* 1450267 */     // No operand predicates
     /* 1450267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450271 */     // MIs[0] policy
     /* 1450271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450283 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1450286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450308 */     // GIR_Coverage, 7027,
     /* 1450308 */     GIR_EraseRootFromParent_Done,
     /* 1450309 */   // Label 20404: @1450309
     /* 1450309 */   GIM_Try, /*On fail goto*//*Label 20405*/ GIMT_Encode4(1450406), // Rule ID 7030 //
     /* 1450314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1450325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1450328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1450331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450364 */     // MIs[1] Operand 1
     /* 1450364 */     // No operand predicates
     /* 1450364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450368 */     // MIs[0] policy
     /* 1450368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1450383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450405 */     // GIR_Coverage, 7030,
     /* 1450405 */     GIR_EraseRootFromParent_Done,
     /* 1450406 */   // Label 20405: @1450406
     /* 1450406 */   GIM_Try, /*On fail goto*//*Label 20406*/ GIMT_Encode4(1450503), // Rule ID 7031 //
     /* 1450411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1450422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1450425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1450428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450461 */     // MIs[1] Operand 1
     /* 1450461 */     // No operand predicates
     /* 1450461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450465 */     // MIs[0] policy
     /* 1450465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450477 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1450480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450502 */     // GIR_Coverage, 7031,
     /* 1450502 */     GIR_EraseRootFromParent_Done,
     /* 1450503 */   // Label 20406: @1450503
     /* 1450503 */   GIM_Try, /*On fail goto*//*Label 20407*/ GIMT_Encode4(1450600), // Rule ID 7034 //
     /* 1450508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1450519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1450522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1450525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450558 */     // MIs[1] Operand 1
     /* 1450558 */     // No operand predicates
     /* 1450558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450562 */     // MIs[0] policy
     /* 1450562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450574 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1450577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450599 */     // GIR_Coverage, 7034,
     /* 1450599 */     GIR_EraseRootFromParent_Done,
     /* 1450600 */   // Label 20407: @1450600
     /* 1450600 */   GIM_Try, /*On fail goto*//*Label 20408*/ GIMT_Encode4(1450697), // Rule ID 7035 //
     /* 1450605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1450616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1450619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1450622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450655 */     // MIs[1] Operand 1
     /* 1450655 */     // No operand predicates
     /* 1450655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450659 */     // MIs[0] policy
     /* 1450659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450671 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1450674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450696 */     // GIR_Coverage, 7035,
     /* 1450696 */     GIR_EraseRootFromParent_Done,
     /* 1450697 */   // Label 20408: @1450697
     /* 1450697 */   GIM_Try, /*On fail goto*//*Label 20409*/ GIMT_Encode4(1450794), // Rule ID 7038 //
     /* 1450702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1450713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1450716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1450719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450752 */     // MIs[1] Operand 1
     /* 1450752 */     // No operand predicates
     /* 1450752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450756 */     // MIs[0] policy
     /* 1450756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450768 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1450771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450793 */     // GIR_Coverage, 7038,
     /* 1450793 */     GIR_EraseRootFromParent_Done,
     /* 1450794 */   // Label 20409: @1450794
     /* 1450794 */   GIM_Try, /*On fail goto*//*Label 20410*/ GIMT_Encode4(1450891), // Rule ID 7039 //
     /* 1450799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1450810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1450813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1450816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450849 */     // MIs[1] Operand 1
     /* 1450849 */     // No operand predicates
     /* 1450849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450853 */     // MIs[0] policy
     /* 1450853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1450868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450890 */     // GIR_Coverage, 7039,
     /* 1450890 */     GIR_EraseRootFromParent_Done,
     /* 1450891 */   // Label 20410: @1450891
     /* 1450891 */   GIM_Try, /*On fail goto*//*Label 20411*/ GIMT_Encode4(1450988), // Rule ID 7042 //
     /* 1450896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1450907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1450910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1450913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450946 */     // MIs[1] Operand 1
     /* 1450946 */     // No operand predicates
     /* 1450946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450950 */     // MIs[0] policy
     /* 1450950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450962 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1450965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450987 */     // GIR_Coverage, 7042,
     /* 1450987 */     GIR_EraseRootFromParent_Done,
     /* 1450988 */   // Label 20411: @1450988
     /* 1450988 */   GIM_Try, /*On fail goto*//*Label 20412*/ GIMT_Encode4(1451085), // Rule ID 7043 //
     /* 1450993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1451004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1451007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1451010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451043 */     // MIs[1] Operand 1
     /* 1451043 */     // No operand predicates
     /* 1451043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451047 */     // MIs[0] policy
     /* 1451047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1451062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1451081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451084 */     // GIR_Coverage, 7043,
     /* 1451084 */     GIR_EraseRootFromParent_Done,
     /* 1451085 */   // Label 20412: @1451085
     /* 1451085 */   GIM_Try, /*On fail goto*//*Label 20413*/ GIMT_Encode4(1451182), // Rule ID 7046 //
     /* 1451090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1451093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1451101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1451104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1451107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451140 */     // MIs[1] Operand 1
     /* 1451140 */     // No operand predicates
     /* 1451140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451144 */     // MIs[0] policy
     /* 1451144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451156 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1451159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451181 */     // GIR_Coverage, 7046,
     /* 1451181 */     GIR_EraseRootFromParent_Done,
     /* 1451182 */   // Label 20413: @1451182
     /* 1451182 */   GIM_Try, /*On fail goto*//*Label 20414*/ GIMT_Encode4(1451279), // Rule ID 7047 //
     /* 1451187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1451190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1451198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1451201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1451204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451237 */     // MIs[1] Operand 1
     /* 1451237 */     // No operand predicates
     /* 1451237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451241 */     // MIs[0] policy
     /* 1451241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1451256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451278 */     // GIR_Coverage, 7047,
     /* 1451278 */     GIR_EraseRootFromParent_Done,
     /* 1451279 */   // Label 20414: @1451279
     /* 1451279 */   GIM_Try, /*On fail goto*//*Label 20415*/ GIMT_Encode4(1451376), // Rule ID 7050 //
     /* 1451284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1451295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1451298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1451301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451334 */     // MIs[1] Operand 1
     /* 1451334 */     // No operand predicates
     /* 1451334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451338 */     // MIs[0] policy
     /* 1451338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451350 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1451353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451375 */     // GIR_Coverage, 7050,
     /* 1451375 */     GIR_EraseRootFromParent_Done,
     /* 1451376 */   // Label 20415: @1451376
     /* 1451376 */   GIM_Try, /*On fail goto*//*Label 20416*/ GIMT_Encode4(1451473), // Rule ID 7051 //
     /* 1451381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1451392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1451395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1451398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451431 */     // MIs[1] Operand 1
     /* 1451431 */     // No operand predicates
     /* 1451431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451435 */     // MIs[0] policy
     /* 1451435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451447 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1451450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451472 */     // GIR_Coverage, 7051,
     /* 1451472 */     GIR_EraseRootFromParent_Done,
     /* 1451473 */   // Label 20416: @1451473
     /* 1451473 */   GIM_Try, /*On fail goto*//*Label 20417*/ GIMT_Encode4(1451570), // Rule ID 7054 //
     /* 1451478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1451489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1451492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1451495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1451501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451528 */     // MIs[1] Operand 1
     /* 1451528 */     // No operand predicates
     /* 1451528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451532 */     // MIs[0] policy
     /* 1451532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451544 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1451547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451569 */     // GIR_Coverage, 7054,
     /* 1451569 */     GIR_EraseRootFromParent_Done,
     /* 1451570 */   // Label 20417: @1451570
     /* 1451570 */   GIM_Try, /*On fail goto*//*Label 20418*/ GIMT_Encode4(1451667), // Rule ID 7055 //
     /* 1451575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1451586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1451589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1451592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1451598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451625 */     // MIs[1] Operand 1
     /* 1451625 */     // No operand predicates
     /* 1451625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451629 */     // MIs[0] policy
     /* 1451629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451641 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1451644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451666 */     // GIR_Coverage, 7055,
     /* 1451666 */     GIR_EraseRootFromParent_Done,
     /* 1451667 */   // Label 20418: @1451667
     /* 1451667 */   GIM_Try, /*On fail goto*//*Label 20419*/ GIMT_Encode4(1451764), // Rule ID 7058 //
     /* 1451672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1451683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1451686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1451689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1451695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451722 */     // MIs[1] Operand 1
     /* 1451722 */     // No operand predicates
     /* 1451722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451726 */     // MIs[0] policy
     /* 1451726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451738 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1451741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451763 */     // GIR_Coverage, 7058,
     /* 1451763 */     GIR_EraseRootFromParent_Done,
     /* 1451764 */   // Label 20419: @1451764
     /* 1451764 */   GIM_Try, /*On fail goto*//*Label 20420*/ GIMT_Encode4(1451861), // Rule ID 7059 //
     /* 1451769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1451780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1451783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1451786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1451792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451819 */     // MIs[1] Operand 1
     /* 1451819 */     // No operand predicates
     /* 1451819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451823 */     // MIs[0] policy
     /* 1451823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451835 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1451838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451860 */     // GIR_Coverage, 7059,
     /* 1451860 */     GIR_EraseRootFromParent_Done,
     /* 1451861 */   // Label 20420: @1451861
     /* 1451861 */   GIM_Try, /*On fail goto*//*Label 20421*/ GIMT_Encode4(1451958), // Rule ID 7062 //
     /* 1451866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1451877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1451880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451916 */     // MIs[1] Operand 1
     /* 1451916 */     // No operand predicates
     /* 1451916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451920 */     // MIs[0] policy
     /* 1451920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451932 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1451935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451957 */     // GIR_Coverage, 7062,
     /* 1451957 */     GIR_EraseRootFromParent_Done,
     /* 1451958 */   // Label 20421: @1451958
     /* 1451958 */   GIM_Try, /*On fail goto*//*Label 20422*/ GIMT_Encode4(1452055), // Rule ID 7063 //
     /* 1451963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1451971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1451974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1451977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452013 */     // MIs[1] Operand 1
     /* 1452013 */     // No operand predicates
     /* 1452013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452017 */     // MIs[0] policy
     /* 1452017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452029 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1452032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452054 */     // GIR_Coverage, 7063,
     /* 1452054 */     GIR_EraseRootFromParent_Done,
     /* 1452055 */   // Label 20422: @1452055
     /* 1452055 */   GIM_Try, /*On fail goto*//*Label 20423*/ GIMT_Encode4(1452152), // Rule ID 7066 //
     /* 1452060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1452071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1452074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1452077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452110 */     // MIs[1] Operand 1
     /* 1452110 */     // No operand predicates
     /* 1452110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452114 */     // MIs[0] policy
     /* 1452114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1452129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452151 */     // GIR_Coverage, 7066,
     /* 1452151 */     GIR_EraseRootFromParent_Done,
     /* 1452152 */   // Label 20423: @1452152
     /* 1452152 */   GIM_Try, /*On fail goto*//*Label 20424*/ GIMT_Encode4(1452249), // Rule ID 7067 //
     /* 1452157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1452168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1452171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1452174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452207 */     // MIs[1] Operand 1
     /* 1452207 */     // No operand predicates
     /* 1452207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452211 */     // MIs[0] policy
     /* 1452211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452223 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1452226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452248 */     // GIR_Coverage, 7067,
     /* 1452248 */     GIR_EraseRootFromParent_Done,
     /* 1452249 */   // Label 20424: @1452249
     /* 1452249 */   GIM_Try, /*On fail goto*//*Label 20425*/ GIMT_Encode4(1452346), // Rule ID 7070 //
     /* 1452254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1452265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1452268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1452271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1452277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452304 */     // MIs[1] Operand 1
     /* 1452304 */     // No operand predicates
     /* 1452304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452308 */     // MIs[0] policy
     /* 1452308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452320 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1452323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452345 */     // GIR_Coverage, 7070,
     /* 1452345 */     GIR_EraseRootFromParent_Done,
     /* 1452346 */   // Label 20425: @1452346
     /* 1452346 */   GIM_Try, /*On fail goto*//*Label 20426*/ GIMT_Encode4(1452443), // Rule ID 7071 //
     /* 1452351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1452362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1452365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1452368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1452374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452401 */     // MIs[1] Operand 1
     /* 1452401 */     // No operand predicates
     /* 1452401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452405 */     // MIs[0] policy
     /* 1452405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452417 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1452420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452442 */     // GIR_Coverage, 7071,
     /* 1452442 */     GIR_EraseRootFromParent_Done,
     /* 1452443 */   // Label 20426: @1452443
     /* 1452443 */   GIM_Try, /*On fail goto*//*Label 20427*/ GIMT_Encode4(1452540), // Rule ID 7074 //
     /* 1452448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1452459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1452462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452498 */     // MIs[1] Operand 1
     /* 1452498 */     // No operand predicates
     /* 1452498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452502 */     // MIs[0] policy
     /* 1452502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1452517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452539 */     // GIR_Coverage, 7074,
     /* 1452539 */     GIR_EraseRootFromParent_Done,
     /* 1452540 */   // Label 20427: @1452540
     /* 1452540 */   GIM_Try, /*On fail goto*//*Label 20428*/ GIMT_Encode4(1452637), // Rule ID 7075 //
     /* 1452545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1452556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1452559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452595 */     // MIs[1] Operand 1
     /* 1452595 */     // No operand predicates
     /* 1452595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452599 */     // MIs[0] policy
     /* 1452599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1452614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452636 */     // GIR_Coverage, 7075,
     /* 1452636 */     GIR_EraseRootFromParent_Done,
     /* 1452637 */   // Label 20428: @1452637
     /* 1452637 */   GIM_Try, /*On fail goto*//*Label 20429*/ GIMT_Encode4(1452734), // Rule ID 7078 //
     /* 1452642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1452653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1452656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452692 */     // MIs[1] Operand 1
     /* 1452692 */     // No operand predicates
     /* 1452692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452696 */     // MIs[0] policy
     /* 1452696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452708 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1452711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452733 */     // GIR_Coverage, 7078,
     /* 1452733 */     GIR_EraseRootFromParent_Done,
     /* 1452734 */   // Label 20429: @1452734
     /* 1452734 */   GIM_Try, /*On fail goto*//*Label 20430*/ GIMT_Encode4(1452831), // Rule ID 7079 //
     /* 1452739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1452750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1452753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452789 */     // MIs[1] Operand 1
     /* 1452789 */     // No operand predicates
     /* 1452789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452793 */     // MIs[0] policy
     /* 1452793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452805 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1452808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452830 */     // GIR_Coverage, 7079,
     /* 1452830 */     GIR_EraseRootFromParent_Done,
     /* 1452831 */   // Label 20430: @1452831
     /* 1452831 */   GIM_Try, /*On fail goto*//*Label 20431*/ GIMT_Encode4(1452928), // Rule ID 7082 //
     /* 1452836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1452847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1452850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1452853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452886 */     // MIs[1] Operand 1
     /* 1452886 */     // No operand predicates
     /* 1452886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452890 */     // MIs[0] policy
     /* 1452890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1452905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452927 */     // GIR_Coverage, 7082,
     /* 1452927 */     GIR_EraseRootFromParent_Done,
     /* 1452928 */   // Label 20431: @1452928
     /* 1452928 */   GIM_Try, /*On fail goto*//*Label 20432*/ GIMT_Encode4(1453025), // Rule ID 7083 //
     /* 1452933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1452941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1452944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1452947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1452950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452983 */     // MIs[1] Operand 1
     /* 1452983 */     // No operand predicates
     /* 1452983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452987 */     // MIs[0] policy
     /* 1452987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452999 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1453002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453024 */     // GIR_Coverage, 7083,
     /* 1453024 */     GIR_EraseRootFromParent_Done,
     /* 1453025 */   // Label 20432: @1453025
     /* 1453025 */   GIM_Try, /*On fail goto*//*Label 20433*/ GIMT_Encode4(1453122), // Rule ID 7086 //
     /* 1453030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1453033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1453038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1453041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1453044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1453047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453080 */     // MIs[1] Operand 1
     /* 1453080 */     // No operand predicates
     /* 1453080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453084 */     // MIs[0] policy
     /* 1453084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1453099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453121 */     // GIR_Coverage, 7086,
     /* 1453121 */     GIR_EraseRootFromParent_Done,
     /* 1453122 */   // Label 20433: @1453122
     /* 1453122 */   GIM_Try, /*On fail goto*//*Label 20434*/ GIMT_Encode4(1453219), // Rule ID 7087 //
     /* 1453127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1453130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1453135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1453138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1453141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1453144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453177 */     // MIs[1] Operand 1
     /* 1453177 */     // No operand predicates
     /* 1453177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453181 */     // MIs[0] policy
     /* 1453181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453193 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1453196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453218 */     // GIR_Coverage, 7087,
     /* 1453218 */     GIR_EraseRootFromParent_Done,
     /* 1453219 */   // Label 20434: @1453219
     /* 1453219 */   GIM_Try, /*On fail goto*//*Label 20435*/ GIMT_Encode4(1453316), // Rule ID 7090 //
     /* 1453224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1453227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1453232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1453235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1453238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1453241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453274 */     // MIs[1] Operand 1
     /* 1453274 */     // No operand predicates
     /* 1453274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453278 */     // MIs[0] policy
     /* 1453278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453290 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1453293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453315 */     // GIR_Coverage, 7090,
     /* 1453315 */     GIR_EraseRootFromParent_Done,
     /* 1453316 */   // Label 20435: @1453316
     /* 1453316 */   GIM_Try, /*On fail goto*//*Label 20436*/ GIMT_Encode4(1453413), // Rule ID 7091 //
     /* 1453321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1453324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1453329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1453332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1453335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1453338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453371 */     // MIs[1] Operand 1
     /* 1453371 */     // No operand predicates
     /* 1453371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453375 */     // MIs[0] policy
     /* 1453375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453387 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1453390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453412 */     // GIR_Coverage, 7091,
     /* 1453412 */     GIR_EraseRootFromParent_Done,
     /* 1453413 */   // Label 20436: @1453413
     /* 1453413 */   GIM_Try, /*On fail goto*//*Label 20437*/ GIMT_Encode4(1453510), // Rule ID 7094 //
     /* 1453418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1453421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1453426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1453429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1453432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1453435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453468 */     // MIs[1] Operand 1
     /* 1453468 */     // No operand predicates
     /* 1453468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453472 */     // MIs[0] policy
     /* 1453472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453484 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1453487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453509 */     // GIR_Coverage, 7094,
     /* 1453509 */     GIR_EraseRootFromParent_Done,
     /* 1453510 */   // Label 20437: @1453510
     /* 1453510 */   GIM_Try, /*On fail goto*//*Label 20438*/ GIMT_Encode4(1453607), // Rule ID 7095 //
     /* 1453515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1453518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1453523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1453526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1453529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1453532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453565 */     // MIs[1] Operand 1
     /* 1453565 */     // No operand predicates
     /* 1453565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453569 */     // MIs[0] policy
     /* 1453569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453581 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1453584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453606 */     // GIR_Coverage, 7095,
     /* 1453606 */     GIR_EraseRootFromParent_Done,
     /* 1453607 */   // Label 20438: @1453607
     /* 1453607 */   GIM_Try, /*On fail goto*//*Label 20439*/ GIMT_Encode4(1453704), // Rule ID 7274 //
     /* 1453612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1453623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1453626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1453629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453662 */     // MIs[1] Operand 1
     /* 1453662 */     // No operand predicates
     /* 1453662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453666 */     // MIs[0] policy
     /* 1453666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453678 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1453681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453703 */     // GIR_Coverage, 7274,
     /* 1453703 */     GIR_EraseRootFromParent_Done,
     /* 1453704 */   // Label 20439: @1453704
     /* 1453704 */   GIM_Try, /*On fail goto*//*Label 20440*/ GIMT_Encode4(1453801), // Rule ID 7275 //
     /* 1453709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1453720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1453723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1453726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453759 */     // MIs[1] Operand 1
     /* 1453759 */     // No operand predicates
     /* 1453759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453763 */     // MIs[0] policy
     /* 1453763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453775 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1453778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453800 */     // GIR_Coverage, 7275,
     /* 1453800 */     GIR_EraseRootFromParent_Done,
     /* 1453801 */   // Label 20440: @1453801
     /* 1453801 */   GIM_Try, /*On fail goto*//*Label 20441*/ GIMT_Encode4(1453898), // Rule ID 7278 //
     /* 1453806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1453817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1453820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1453823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453856 */     // MIs[1] Operand 1
     /* 1453856 */     // No operand predicates
     /* 1453856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453860 */     // MIs[0] policy
     /* 1453860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1453875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453897 */     // GIR_Coverage, 7278,
     /* 1453897 */     GIR_EraseRootFromParent_Done,
     /* 1453898 */   // Label 20441: @1453898
     /* 1453898 */   GIM_Try, /*On fail goto*//*Label 20442*/ GIMT_Encode4(1453995), // Rule ID 7279 //
     /* 1453903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1453914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1453917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1453920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453953 */     // MIs[1] Operand 1
     /* 1453953 */     // No operand predicates
     /* 1453953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453957 */     // MIs[0] policy
     /* 1453957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453969 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1453972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453994 */     // GIR_Coverage, 7279,
     /* 1453994 */     GIR_EraseRootFromParent_Done,
     /* 1453995 */   // Label 20442: @1453995
     /* 1453995 */   GIM_Try, /*On fail goto*//*Label 20443*/ GIMT_Encode4(1454092), // Rule ID 7282 //
     /* 1454000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1454011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1454014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1454017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454050 */     // MIs[1] Operand 1
     /* 1454050 */     // No operand predicates
     /* 1454050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454054 */     // MIs[0] policy
     /* 1454054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454066 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1454069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454091 */     // GIR_Coverage, 7282,
     /* 1454091 */     GIR_EraseRootFromParent_Done,
     /* 1454092 */   // Label 20443: @1454092
     /* 1454092 */   GIM_Try, /*On fail goto*//*Label 20444*/ GIMT_Encode4(1454189), // Rule ID 7283 //
     /* 1454097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1454108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1454111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1454114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454147 */     // MIs[1] Operand 1
     /* 1454147 */     // No operand predicates
     /* 1454147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454151 */     // MIs[0] policy
     /* 1454151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454163 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1454166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454188 */     // GIR_Coverage, 7283,
     /* 1454188 */     GIR_EraseRootFromParent_Done,
     /* 1454189 */   // Label 20444: @1454189
     /* 1454189 */   GIM_Try, /*On fail goto*//*Label 20445*/ GIMT_Encode4(1454286), // Rule ID 7286 //
     /* 1454194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1454205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1454208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1454211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454244 */     // MIs[1] Operand 1
     /* 1454244 */     // No operand predicates
     /* 1454244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454248 */     // MIs[0] policy
     /* 1454248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454260 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1454263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454285 */     // GIR_Coverage, 7286,
     /* 1454285 */     GIR_EraseRootFromParent_Done,
     /* 1454286 */   // Label 20445: @1454286
     /* 1454286 */   GIM_Try, /*On fail goto*//*Label 20446*/ GIMT_Encode4(1454383), // Rule ID 7287 //
     /* 1454291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1454302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1454305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1454308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454341 */     // MIs[1] Operand 1
     /* 1454341 */     // No operand predicates
     /* 1454341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454345 */     // MIs[0] policy
     /* 1454345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454357 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1454360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454382 */     // GIR_Coverage, 7287,
     /* 1454382 */     GIR_EraseRootFromParent_Done,
     /* 1454383 */   // Label 20446: @1454383
     /* 1454383 */   GIM_Try, /*On fail goto*//*Label 20447*/ GIMT_Encode4(1454480), // Rule ID 7290 //
     /* 1454388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1454399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1454402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1454405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454438 */     // MIs[1] Operand 1
     /* 1454438 */     // No operand predicates
     /* 1454438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454442 */     // MIs[0] policy
     /* 1454442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454454 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1454457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454479 */     // GIR_Coverage, 7290,
     /* 1454479 */     GIR_EraseRootFromParent_Done,
     /* 1454480 */   // Label 20447: @1454480
     /* 1454480 */   GIM_Try, /*On fail goto*//*Label 20448*/ GIMT_Encode4(1454577), // Rule ID 7291 //
     /* 1454485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1454496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1454499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1454502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454535 */     // MIs[1] Operand 1
     /* 1454535 */     // No operand predicates
     /* 1454535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454539 */     // MIs[0] policy
     /* 1454539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454551 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1454554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454576 */     // GIR_Coverage, 7291,
     /* 1454576 */     GIR_EraseRootFromParent_Done,
     /* 1454577 */   // Label 20448: @1454577
     /* 1454577 */   GIM_Try, /*On fail goto*//*Label 20449*/ GIMT_Encode4(1454674), // Rule ID 7294 //
     /* 1454582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1454593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1454596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1454599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454632 */     // MIs[1] Operand 1
     /* 1454632 */     // No operand predicates
     /* 1454632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454636 */     // MIs[0] policy
     /* 1454636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1454651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454673 */     // GIR_Coverage, 7294,
     /* 1454673 */     GIR_EraseRootFromParent_Done,
     /* 1454674 */   // Label 20449: @1454674
     /* 1454674 */   GIM_Try, /*On fail goto*//*Label 20450*/ GIMT_Encode4(1454771), // Rule ID 7295 //
     /* 1454679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1454690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1454693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1454696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454729 */     // MIs[1] Operand 1
     /* 1454729 */     // No operand predicates
     /* 1454729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454733 */     // MIs[0] policy
     /* 1454733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454745 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1454748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454770 */     // GIR_Coverage, 7295,
     /* 1454770 */     GIR_EraseRootFromParent_Done,
     /* 1454771 */   // Label 20450: @1454771
     /* 1454771 */   GIM_Try, /*On fail goto*//*Label 20451*/ GIMT_Encode4(1454868), // Rule ID 7298 //
     /* 1454776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1454793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454826 */     // MIs[1] Operand 1
     /* 1454826 */     // No operand predicates
     /* 1454826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454830 */     // MIs[0] policy
     /* 1454830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454842 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1454845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454867 */     // GIR_Coverage, 7298,
     /* 1454867 */     GIR_EraseRootFromParent_Done,
     /* 1454868 */   // Label 20451: @1454868
     /* 1454868 */   GIM_Try, /*On fail goto*//*Label 20452*/ GIMT_Encode4(1454965), // Rule ID 7299 //
     /* 1454873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1454890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454923 */     // MIs[1] Operand 1
     /* 1454923 */     // No operand predicates
     /* 1454923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454927 */     // MIs[0] policy
     /* 1454927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454939 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1454942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454964 */     // GIR_Coverage, 7299,
     /* 1454964 */     GIR_EraseRootFromParent_Done,
     /* 1454965 */   // Label 20452: @1454965
     /* 1454965 */   GIM_Try, /*On fail goto*//*Label 20453*/ GIMT_Encode4(1455062), // Rule ID 7302 //
     /* 1454970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1454981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1454984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1454987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455020 */     // MIs[1] Operand 1
     /* 1455020 */     // No operand predicates
     /* 1455020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455024 */     // MIs[0] policy
     /* 1455024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1455039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455061 */     // GIR_Coverage, 7302,
     /* 1455061 */     GIR_EraseRootFromParent_Done,
     /* 1455062 */   // Label 20453: @1455062
     /* 1455062 */   GIM_Try, /*On fail goto*//*Label 20454*/ GIMT_Encode4(1455159), // Rule ID 7303 //
     /* 1455067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1455078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1455081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1455084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455117 */     // MIs[1] Operand 1
     /* 1455117 */     // No operand predicates
     /* 1455117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455121 */     // MIs[0] policy
     /* 1455121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1455136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455158 */     // GIR_Coverage, 7303,
     /* 1455158 */     GIR_EraseRootFromParent_Done,
     /* 1455159 */   // Label 20454: @1455159
     /* 1455159 */   GIM_Try, /*On fail goto*//*Label 20455*/ GIMT_Encode4(1455256), // Rule ID 7306 //
     /* 1455164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1455175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1455178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1455181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455214 */     // MIs[1] Operand 1
     /* 1455214 */     // No operand predicates
     /* 1455214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455218 */     // MIs[0] policy
     /* 1455218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1455233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455255 */     // GIR_Coverage, 7306,
     /* 1455255 */     GIR_EraseRootFromParent_Done,
     /* 1455256 */   // Label 20455: @1455256
     /* 1455256 */   GIM_Try, /*On fail goto*//*Label 20456*/ GIMT_Encode4(1455353), // Rule ID 7307 //
     /* 1455261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1455272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1455275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1455278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455311 */     // MIs[1] Operand 1
     /* 1455311 */     // No operand predicates
     /* 1455311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455315 */     // MIs[0] policy
     /* 1455315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455327 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1455330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455352 */     // GIR_Coverage, 7307,
     /* 1455352 */     GIR_EraseRootFromParent_Done,
     /* 1455353 */   // Label 20456: @1455353
     /* 1455353 */   GIM_Try, /*On fail goto*//*Label 20457*/ GIMT_Encode4(1455450), // Rule ID 7310 //
     /* 1455358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1455361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1455369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1455372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1455375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455408 */     // MIs[1] Operand 1
     /* 1455408 */     // No operand predicates
     /* 1455408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455412 */     // MIs[0] policy
     /* 1455412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1455427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455449 */     // GIR_Coverage, 7310,
     /* 1455449 */     GIR_EraseRootFromParent_Done,
     /* 1455450 */   // Label 20457: @1455450
     /* 1455450 */   GIM_Try, /*On fail goto*//*Label 20458*/ GIMT_Encode4(1455547), // Rule ID 7311 //
     /* 1455455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1455458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1455466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1455469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1455472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455505 */     // MIs[1] Operand 1
     /* 1455505 */     // No operand predicates
     /* 1455505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455509 */     // MIs[0] policy
     /* 1455509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1455524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455546 */     // GIR_Coverage, 7311,
     /* 1455546 */     GIR_EraseRootFromParent_Done,
     /* 1455547 */   // Label 20458: @1455547
     /* 1455547 */   GIM_Try, /*On fail goto*//*Label 20459*/ GIMT_Encode4(1455644), // Rule ID 7314 //
     /* 1455552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1455563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1455566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1455569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1455575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455602 */     // MIs[1] Operand 1
     /* 1455602 */     // No operand predicates
     /* 1455602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455606 */     // MIs[0] policy
     /* 1455606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455618 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1455621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455643 */     // GIR_Coverage, 7314,
     /* 1455643 */     GIR_EraseRootFromParent_Done,
     /* 1455644 */   // Label 20459: @1455644
     /* 1455644 */   GIM_Try, /*On fail goto*//*Label 20460*/ GIMT_Encode4(1455741), // Rule ID 7315 //
     /* 1455649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1455660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1455663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1455666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1455672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455699 */     // MIs[1] Operand 1
     /* 1455699 */     // No operand predicates
     /* 1455699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455703 */     // MIs[0] policy
     /* 1455703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455715 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1455718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455740 */     // GIR_Coverage, 7315,
     /* 1455740 */     GIR_EraseRootFromParent_Done,
     /* 1455741 */   // Label 20460: @1455741
     /* 1455741 */   GIM_Try, /*On fail goto*//*Label 20461*/ GIMT_Encode4(1455838), // Rule ID 7318 //
     /* 1455746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1455757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1455760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1455763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1455769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455796 */     // MIs[1] Operand 1
     /* 1455796 */     // No operand predicates
     /* 1455796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455800 */     // MIs[0] policy
     /* 1455800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455812 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1455815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455837 */     // GIR_Coverage, 7318,
     /* 1455837 */     GIR_EraseRootFromParent_Done,
     /* 1455838 */   // Label 20461: @1455838
     /* 1455838 */   GIM_Try, /*On fail goto*//*Label 20462*/ GIMT_Encode4(1455935), // Rule ID 7319 //
     /* 1455843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1455854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1455857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1455860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1455866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455893 */     // MIs[1] Operand 1
     /* 1455893 */     // No operand predicates
     /* 1455893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455897 */     // MIs[0] policy
     /* 1455897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455909 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1455912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455934 */     // GIR_Coverage, 7319,
     /* 1455934 */     GIR_EraseRootFromParent_Done,
     /* 1455935 */   // Label 20462: @1455935
     /* 1455935 */   GIM_Try, /*On fail goto*//*Label 20463*/ GIMT_Encode4(1456032), // Rule ID 7322 //
     /* 1455940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1455951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1455954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1455957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1455963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1455970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455990 */     // MIs[1] Operand 1
     /* 1455990 */     // No operand predicates
     /* 1455990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455994 */     // MIs[0] policy
     /* 1455994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456006 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1456009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456031 */     // GIR_Coverage, 7322,
     /* 1456031 */     GIR_EraseRootFromParent_Done,
     /* 1456032 */   // Label 20463: @1456032
     /* 1456032 */   GIM_Try, /*On fail goto*//*Label 20464*/ GIMT_Encode4(1456129), // Rule ID 7323 //
     /* 1456037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1456048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1456051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1456054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1456060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1456067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456087 */     // MIs[1] Operand 1
     /* 1456087 */     // No operand predicates
     /* 1456087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456091 */     // MIs[0] policy
     /* 1456091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456103 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1456106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456128 */     // GIR_Coverage, 7323,
     /* 1456128 */     GIR_EraseRootFromParent_Done,
     /* 1456129 */   // Label 20464: @1456129
     /* 1456129 */   GIM_Try, /*On fail goto*//*Label 20465*/ GIMT_Encode4(1456226), // Rule ID 7326 //
     /* 1456134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1456145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1456148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1456151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456184 */     // MIs[1] Operand 1
     /* 1456184 */     // No operand predicates
     /* 1456184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456188 */     // MIs[0] policy
     /* 1456188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456200 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1456203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456225 */     // GIR_Coverage, 7326,
     /* 1456225 */     GIR_EraseRootFromParent_Done,
     /* 1456226 */   // Label 20465: @1456226
     /* 1456226 */   GIM_Try, /*On fail goto*//*Label 20466*/ GIMT_Encode4(1456323), // Rule ID 7327 //
     /* 1456231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1456242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1456245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1456248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456281 */     // MIs[1] Operand 1
     /* 1456281 */     // No operand predicates
     /* 1456281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456285 */     // MIs[0] policy
     /* 1456285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1456300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456322 */     // GIR_Coverage, 7327,
     /* 1456322 */     GIR_EraseRootFromParent_Done,
     /* 1456323 */   // Label 20466: @1456323
     /* 1456323 */   GIM_Try, /*On fail goto*//*Label 20467*/ GIMT_Encode4(1456420), // Rule ID 7330 //
     /* 1456328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1456339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1456342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1456345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1456351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456378 */     // MIs[1] Operand 1
     /* 1456378 */     // No operand predicates
     /* 1456378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456382 */     // MIs[0] policy
     /* 1456382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1456397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456419 */     // GIR_Coverage, 7330,
     /* 1456419 */     GIR_EraseRootFromParent_Done,
     /* 1456420 */   // Label 20467: @1456420
     /* 1456420 */   GIM_Try, /*On fail goto*//*Label 20468*/ GIMT_Encode4(1456517), // Rule ID 7331 //
     /* 1456425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1456436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1456439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1456442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1456448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456475 */     // MIs[1] Operand 1
     /* 1456475 */     // No operand predicates
     /* 1456475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456479 */     // MIs[0] policy
     /* 1456479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456491 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1456494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456516 */     // GIR_Coverage, 7331,
     /* 1456516 */     GIR_EraseRootFromParent_Done,
     /* 1456517 */   // Label 20468: @1456517
     /* 1456517 */   GIM_Try, /*On fail goto*//*Label 20469*/ GIMT_Encode4(1456614), // Rule ID 7334 //
     /* 1456522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1456533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1456536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1456539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1456545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1456552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456572 */     // MIs[1] Operand 1
     /* 1456572 */     // No operand predicates
     /* 1456572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456576 */     // MIs[0] policy
     /* 1456576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456588 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1456591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456613 */     // GIR_Coverage, 7334,
     /* 1456613 */     GIR_EraseRootFromParent_Done,
     /* 1456614 */   // Label 20469: @1456614
     /* 1456614 */   GIM_Try, /*On fail goto*//*Label 20470*/ GIMT_Encode4(1456711), // Rule ID 7335 //
     /* 1456619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1456630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1456633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1456636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1456642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1456649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456669 */     // MIs[1] Operand 1
     /* 1456669 */     // No operand predicates
     /* 1456669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456673 */     // MIs[0] policy
     /* 1456673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456685 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1456688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456710 */     // GIR_Coverage, 7335,
     /* 1456710 */     GIR_EraseRootFromParent_Done,
     /* 1456711 */   // Label 20470: @1456711
     /* 1456711 */   GIM_Try, /*On fail goto*//*Label 20471*/ GIMT_Encode4(1456808), // Rule ID 7338 //
     /* 1456716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1456733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456766 */     // MIs[1] Operand 1
     /* 1456766 */     // No operand predicates
     /* 1456766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456770 */     // MIs[0] policy
     /* 1456770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456782 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1456785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456807 */     // GIR_Coverage, 7338,
     /* 1456807 */     GIR_EraseRootFromParent_Done,
     /* 1456808 */   // Label 20471: @1456808
     /* 1456808 */   GIM_Try, /*On fail goto*//*Label 20472*/ GIMT_Encode4(1456905), // Rule ID 7339 //
     /* 1456813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1456830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456863 */     // MIs[1] Operand 1
     /* 1456863 */     // No operand predicates
     /* 1456863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456867 */     // MIs[0] policy
     /* 1456867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456879 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1456882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456904 */     // GIR_Coverage, 7339,
     /* 1456904 */     GIR_EraseRootFromParent_Done,
     /* 1456905 */   // Label 20472: @1456905
     /* 1456905 */   GIM_Try, /*On fail goto*//*Label 20473*/ GIMT_Encode4(1457002), // Rule ID 7342 //
     /* 1456910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1456918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1456927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456960 */     // MIs[1] Operand 1
     /* 1456960 */     // No operand predicates
     /* 1456960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456964 */     // MIs[0] policy
     /* 1456964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1456979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457001 */     // GIR_Coverage, 7342,
     /* 1457001 */     GIR_EraseRootFromParent_Done,
     /* 1457002 */   // Label 20473: @1457002
     /* 1457002 */   GIM_Try, /*On fail goto*//*Label 20474*/ GIMT_Encode4(1457099), // Rule ID 7343 //
     /* 1457007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1457018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1457021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1457024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457057 */     // MIs[1] Operand 1
     /* 1457057 */     // No operand predicates
     /* 1457057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457061 */     // MIs[0] policy
     /* 1457061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457073 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1457076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457098 */     // GIR_Coverage, 7343,
     /* 1457098 */     GIR_EraseRootFromParent_Done,
     /* 1457099 */   // Label 20474: @1457099
     /* 1457099 */   GIM_Try, /*On fail goto*//*Label 20475*/ GIMT_Encode4(1457196), // Rule ID 7346 //
     /* 1457104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1457115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1457118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1457121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457154 */     // MIs[1] Operand 1
     /* 1457154 */     // No operand predicates
     /* 1457154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457158 */     // MIs[0] policy
     /* 1457158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457170 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1457173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457195 */     // GIR_Coverage, 7346,
     /* 1457195 */     GIR_EraseRootFromParent_Done,
     /* 1457196 */   // Label 20475: @1457196
     /* 1457196 */   GIM_Try, /*On fail goto*//*Label 20476*/ GIMT_Encode4(1457293), // Rule ID 7347 //
     /* 1457201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1457212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1457215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1457218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457251 */     // MIs[1] Operand 1
     /* 1457251 */     // No operand predicates
     /* 1457251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457255 */     // MIs[0] policy
     /* 1457255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1457270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457292 */     // GIR_Coverage, 7347,
     /* 1457292 */     GIR_EraseRootFromParent_Done,
     /* 1457293 */   // Label 20476: @1457293
     /* 1457293 */   GIM_Try, /*On fail goto*//*Label 20477*/ GIMT_Encode4(1457390), // Rule ID 7350 //
     /* 1457298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1457301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1457309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1457312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1457315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457348 */     // MIs[1] Operand 1
     /* 1457348 */     // No operand predicates
     /* 1457348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457352 */     // MIs[0] policy
     /* 1457352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457364 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1457367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457389 */     // GIR_Coverage, 7350,
     /* 1457389 */     GIR_EraseRootFromParent_Done,
     /* 1457390 */   // Label 20477: @1457390
     /* 1457390 */   GIM_Try, /*On fail goto*//*Label 20478*/ GIMT_Encode4(1457487), // Rule ID 7351 //
     /* 1457395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1457398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1457406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1457409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1457412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457445 */     // MIs[1] Operand 1
     /* 1457445 */     // No operand predicates
     /* 1457445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457449 */     // MIs[0] policy
     /* 1457449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1457464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457486 */     // GIR_Coverage, 7351,
     /* 1457486 */     GIR_EraseRootFromParent_Done,
     /* 1457487 */   // Label 20478: @1457487
     /* 1457487 */   GIM_Try, /*On fail goto*//*Label 20479*/ GIMT_Encode4(1457584), // Rule ID 7354 //
     /* 1457492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1457495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1457503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1457506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1457509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457542 */     // MIs[1] Operand 1
     /* 1457542 */     // No operand predicates
     /* 1457542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457546 */     // MIs[0] policy
     /* 1457546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457558 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1457561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457583 */     // GIR_Coverage, 7354,
     /* 1457583 */     GIR_EraseRootFromParent_Done,
     /* 1457584 */   // Label 20479: @1457584
     /* 1457584 */   GIM_Try, /*On fail goto*//*Label 20480*/ GIMT_Encode4(1457681), // Rule ID 7355 //
     /* 1457589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1457592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1457600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1457603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1457606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457639 */     // MIs[1] Operand 1
     /* 1457639 */     // No operand predicates
     /* 1457639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457643 */     // MIs[0] policy
     /* 1457643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457655 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1457658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457680 */     // GIR_Coverage, 7355,
     /* 1457680 */     GIR_EraseRootFromParent_Done,
     /* 1457681 */   // Label 20480: @1457681
     /* 1457681 */   GIM_Try, /*On fail goto*//*Label 20481*/ GIMT_Encode4(1457778), // Rule ID 7358 //
     /* 1457686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1457689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1457697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1457700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1457703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457736 */     // MIs[1] Operand 1
     /* 1457736 */     // No operand predicates
     /* 1457736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457740 */     // MIs[0] policy
     /* 1457740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1457755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457777 */     // GIR_Coverage, 7358,
     /* 1457777 */     GIR_EraseRootFromParent_Done,
     /* 1457778 */   // Label 20481: @1457778
     /* 1457778 */   GIM_Try, /*On fail goto*//*Label 20482*/ GIMT_Encode4(1457875), // Rule ID 7359 //
     /* 1457783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1457786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1457794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1457797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1457800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457833 */     // MIs[1] Operand 1
     /* 1457833 */     // No operand predicates
     /* 1457833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457837 */     // MIs[0] policy
     /* 1457837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457849 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1457852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457874 */     // GIR_Coverage, 7359,
     /* 1457874 */     GIR_EraseRootFromParent_Done,
     /* 1457875 */   // Label 20482: @1457875
     /* 1457875 */   GIM_Try, /*On fail goto*//*Label 20483*/ GIMT_Encode4(1457972), // Rule ID 7570 //
     /* 1457880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1457891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1457894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457930 */     // MIs[1] Operand 1
     /* 1457930 */     // No operand predicates
     /* 1457930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457934 */     // MIs[0] policy
     /* 1457934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457946 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1457949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457971 */     // GIR_Coverage, 7570,
     /* 1457971 */     GIR_EraseRootFromParent_Done,
     /* 1457972 */   // Label 20483: @1457972
     /* 1457972 */   GIM_Try, /*On fail goto*//*Label 20484*/ GIMT_Encode4(1458069), // Rule ID 7571 //
     /* 1457977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1457988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1457991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458027 */     // MIs[1] Operand 1
     /* 1458027 */     // No operand predicates
     /* 1458027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458031 */     // MIs[0] policy
     /* 1458031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458043 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1458046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458068 */     // GIR_Coverage, 7571,
     /* 1458068 */     GIR_EraseRootFromParent_Done,
     /* 1458069 */   // Label 20484: @1458069
     /* 1458069 */   GIM_Try, /*On fail goto*//*Label 20485*/ GIMT_Encode4(1458166), // Rule ID 7574 //
     /* 1458074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1458085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1458088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1458091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458124 */     // MIs[1] Operand 1
     /* 1458124 */     // No operand predicates
     /* 1458124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458128 */     // MIs[0] policy
     /* 1458128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458140 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1458143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458165 */     // GIR_Coverage, 7574,
     /* 1458165 */     GIR_EraseRootFromParent_Done,
     /* 1458166 */   // Label 20485: @1458166
     /* 1458166 */   GIM_Try, /*On fail goto*//*Label 20486*/ GIMT_Encode4(1458263), // Rule ID 7575 //
     /* 1458171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1458182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1458185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1458188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458221 */     // MIs[1] Operand 1
     /* 1458221 */     // No operand predicates
     /* 1458221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458225 */     // MIs[0] policy
     /* 1458225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458237 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1458240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458262 */     // GIR_Coverage, 7575,
     /* 1458262 */     GIR_EraseRootFromParent_Done,
     /* 1458263 */   // Label 20486: @1458263
     /* 1458263 */   GIM_Try, /*On fail goto*//*Label 20487*/ GIMT_Encode4(1458360), // Rule ID 7578 //
     /* 1458268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1458279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1458282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1458285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458318 */     // MIs[1] Operand 1
     /* 1458318 */     // No operand predicates
     /* 1458318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458322 */     // MIs[0] policy
     /* 1458322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1458337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458359 */     // GIR_Coverage, 7578,
     /* 1458359 */     GIR_EraseRootFromParent_Done,
     /* 1458360 */   // Label 20487: @1458360
     /* 1458360 */   GIM_Try, /*On fail goto*//*Label 20488*/ GIMT_Encode4(1458457), // Rule ID 7579 //
     /* 1458365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1458376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1458379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1458382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458415 */     // MIs[1] Operand 1
     /* 1458415 */     // No operand predicates
     /* 1458415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458419 */     // MIs[0] policy
     /* 1458419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458431 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1458434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458456 */     // GIR_Coverage, 7579,
     /* 1458456 */     GIR_EraseRootFromParent_Done,
     /* 1458457 */   // Label 20488: @1458457
     /* 1458457 */   GIM_Try, /*On fail goto*//*Label 20489*/ GIMT_Encode4(1458554), // Rule ID 7582 //
     /* 1458462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1458473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1458476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1458479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458512 */     // MIs[1] Operand 1
     /* 1458512 */     // No operand predicates
     /* 1458512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458516 */     // MIs[0] policy
     /* 1458516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1458531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458553 */     // GIR_Coverage, 7582,
     /* 1458553 */     GIR_EraseRootFromParent_Done,
     /* 1458554 */   // Label 20489: @1458554
     /* 1458554 */   GIM_Try, /*On fail goto*//*Label 20490*/ GIMT_Encode4(1458651), // Rule ID 7583 //
     /* 1458559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1458570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1458573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1458576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458609 */     // MIs[1] Operand 1
     /* 1458609 */     // No operand predicates
     /* 1458609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458613 */     // MIs[0] policy
     /* 1458613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458625 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1458628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458650 */     // GIR_Coverage, 7583,
     /* 1458650 */     GIR_EraseRootFromParent_Done,
     /* 1458651 */   // Label 20490: @1458651
     /* 1458651 */   GIM_Try, /*On fail goto*//*Label 20491*/ GIMT_Encode4(1458748), // Rule ID 7586 //
     /* 1458656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1458667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1458670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1458673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458706 */     // MIs[1] Operand 1
     /* 1458706 */     // No operand predicates
     /* 1458706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458710 */     // MIs[0] policy
     /* 1458710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458722 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1458725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458747 */     // GIR_Coverage, 7586,
     /* 1458747 */     GIR_EraseRootFromParent_Done,
     /* 1458748 */   // Label 20491: @1458748
     /* 1458748 */   GIM_Try, /*On fail goto*//*Label 20492*/ GIMT_Encode4(1458845), // Rule ID 7587 //
     /* 1458753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1458764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1458767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1458770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458803 */     // MIs[1] Operand 1
     /* 1458803 */     // No operand predicates
     /* 1458803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458807 */     // MIs[0] policy
     /* 1458807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458819 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1458822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458844 */     // GIR_Coverage, 7587,
     /* 1458844 */     GIR_EraseRootFromParent_Done,
     /* 1458845 */   // Label 20492: @1458845
     /* 1458845 */   GIM_Try, /*On fail goto*//*Label 20493*/ GIMT_Encode4(1458942), // Rule ID 7590 //
     /* 1458850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1458861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1458864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1458867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1458873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458900 */     // MIs[1] Operand 1
     /* 1458900 */     // No operand predicates
     /* 1458900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458904 */     // MIs[0] policy
     /* 1458904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458916 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1458919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458941 */     // GIR_Coverage, 7590,
     /* 1458941 */     GIR_EraseRootFromParent_Done,
     /* 1458942 */   // Label 20493: @1458942
     /* 1458942 */   GIM_Try, /*On fail goto*//*Label 20494*/ GIMT_Encode4(1459039), // Rule ID 7591 //
     /* 1458947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1458958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1458961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1458964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1458970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458997 */     // MIs[1] Operand 1
     /* 1458997 */     // No operand predicates
     /* 1458997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459001 */     // MIs[0] policy
     /* 1459001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459013 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1459016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459038 */     // GIR_Coverage, 7591,
     /* 1459038 */     GIR_EraseRootFromParent_Done,
     /* 1459039 */   // Label 20494: @1459039
     /* 1459039 */   GIM_Try, /*On fail goto*//*Label 20495*/ GIMT_Encode4(1459136), // Rule ID 7594 //
     /* 1459044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1459055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1459058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1459061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459094 */     // MIs[1] Operand 1
     /* 1459094 */     // No operand predicates
     /* 1459094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459098 */     // MIs[0] policy
     /* 1459098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459110 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1459113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459135 */     // GIR_Coverage, 7594,
     /* 1459135 */     GIR_EraseRootFromParent_Done,
     /* 1459136 */   // Label 20495: @1459136
     /* 1459136 */   GIM_Try, /*On fail goto*//*Label 20496*/ GIMT_Encode4(1459233), // Rule ID 7595 //
     /* 1459141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1459152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1459155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1459158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459191 */     // MIs[1] Operand 1
     /* 1459191 */     // No operand predicates
     /* 1459191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459195 */     // MIs[0] policy
     /* 1459195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459207 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1459210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459232 */     // GIR_Coverage, 7595,
     /* 1459232 */     GIR_EraseRootFromParent_Done,
     /* 1459233 */   // Label 20496: @1459233
     /* 1459233 */   GIM_Try, /*On fail goto*//*Label 20497*/ GIMT_Encode4(1459330), // Rule ID 7598 //
     /* 1459238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1459249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1459252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1459255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459288 */     // MIs[1] Operand 1
     /* 1459288 */     // No operand predicates
     /* 1459288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459292 */     // MIs[0] policy
     /* 1459292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459304 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1459307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459329 */     // GIR_Coverage, 7598,
     /* 1459329 */     GIR_EraseRootFromParent_Done,
     /* 1459330 */   // Label 20497: @1459330
     /* 1459330 */   GIM_Try, /*On fail goto*//*Label 20498*/ GIMT_Encode4(1459427), // Rule ID 7599 //
     /* 1459335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1459346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1459349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1459352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459385 */     // MIs[1] Operand 1
     /* 1459385 */     // No operand predicates
     /* 1459385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459389 */     // MIs[0] policy
     /* 1459389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459401 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1459404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459426 */     // GIR_Coverage, 7599,
     /* 1459426 */     GIR_EraseRootFromParent_Done,
     /* 1459427 */   // Label 20498: @1459427
     /* 1459427 */   GIM_Try, /*On fail goto*//*Label 20499*/ GIMT_Encode4(1459524), // Rule ID 7602 //
     /* 1459432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1459443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1459446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1459449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459482 */     // MIs[1] Operand 1
     /* 1459482 */     // No operand predicates
     /* 1459482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459486 */     // MIs[0] policy
     /* 1459486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459498 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1459501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459523 */     // GIR_Coverage, 7602,
     /* 1459523 */     GIR_EraseRootFromParent_Done,
     /* 1459524 */   // Label 20499: @1459524
     /* 1459524 */   GIM_Try, /*On fail goto*//*Label 20500*/ GIMT_Encode4(1459621), // Rule ID 7603 //
     /* 1459529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1459540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1459543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1459546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459579 */     // MIs[1] Operand 1
     /* 1459579 */     // No operand predicates
     /* 1459579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459583 */     // MIs[0] policy
     /* 1459583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459595 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1459598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459620 */     // GIR_Coverage, 7603,
     /* 1459620 */     GIR_EraseRootFromParent_Done,
     /* 1459621 */   // Label 20500: @1459621
     /* 1459621 */   GIM_Try, /*On fail goto*//*Label 20501*/ GIMT_Encode4(1459718), // Rule ID 7606 //
     /* 1459626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1459637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1459640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1459643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459676 */     // MIs[1] Operand 1
     /* 1459676 */     // No operand predicates
     /* 1459676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459680 */     // MIs[0] policy
     /* 1459680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459692 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1459695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459717 */     // GIR_Coverage, 7606,
     /* 1459717 */     GIR_EraseRootFromParent_Done,
     /* 1459718 */   // Label 20501: @1459718
     /* 1459718 */   GIM_Try, /*On fail goto*//*Label 20502*/ GIMT_Encode4(1459815), // Rule ID 7607 //
     /* 1459723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1459734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1459737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1459740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459773 */     // MIs[1] Operand 1
     /* 1459773 */     // No operand predicates
     /* 1459773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459777 */     // MIs[0] policy
     /* 1459777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459789 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1459792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459814 */     // GIR_Coverage, 7607,
     /* 1459814 */     GIR_EraseRootFromParent_Done,
     /* 1459815 */   // Label 20502: @1459815
     /* 1459815 */   GIM_Try, /*On fail goto*//*Label 20503*/ GIMT_Encode4(1459912), // Rule ID 7610 //
     /* 1459820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1459831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1459834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1459837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459870 */     // MIs[1] Operand 1
     /* 1459870 */     // No operand predicates
     /* 1459870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459874 */     // MIs[0] policy
     /* 1459874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459886 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1459889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459911 */     // GIR_Coverage, 7610,
     /* 1459911 */     GIR_EraseRootFromParent_Done,
     /* 1459912 */   // Label 20503: @1459912
     /* 1459912 */   GIM_Try, /*On fail goto*//*Label 20504*/ GIMT_Encode4(1460009), // Rule ID 7611 //
     /* 1459917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1459925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1459928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1459931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1459934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459967 */     // MIs[1] Operand 1
     /* 1459967 */     // No operand predicates
     /* 1459967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459971 */     // MIs[0] policy
     /* 1459971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459983 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1459986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460008 */     // GIR_Coverage, 7611,
     /* 1460008 */     GIR_EraseRootFromParent_Done,
     /* 1460009 */   // Label 20504: @1460009
     /* 1460009 */   GIM_Try, /*On fail goto*//*Label 20505*/ GIMT_Encode4(1460106), // Rule ID 7614 //
     /* 1460014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1460017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1460022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1460025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1460028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1460031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460064 */     // MIs[1] Operand 1
     /* 1460064 */     // No operand predicates
     /* 1460064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460068 */     // MIs[0] policy
     /* 1460068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1460083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460105 */     // GIR_Coverage, 7614,
     /* 1460105 */     GIR_EraseRootFromParent_Done,
     /* 1460106 */   // Label 20505: @1460106
     /* 1460106 */   GIM_Try, /*On fail goto*//*Label 20506*/ GIMT_Encode4(1460203), // Rule ID 7615 //
     /* 1460111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1460114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1460119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1460122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1460125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1460128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460161 */     // MIs[1] Operand 1
     /* 1460161 */     // No operand predicates
     /* 1460161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460165 */     // MIs[0] policy
     /* 1460165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460177 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1460180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460202 */     // GIR_Coverage, 7615,
     /* 1460202 */     GIR_EraseRootFromParent_Done,
     /* 1460203 */   // Label 20506: @1460203
     /* 1460203 */   GIM_Try, /*On fail goto*//*Label 20507*/ GIMT_Encode4(1460300), // Rule ID 7618 //
     /* 1460208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1460211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1460216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1460219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1460222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1460225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460258 */     // MIs[1] Operand 1
     /* 1460258 */     // No operand predicates
     /* 1460258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460262 */     // MIs[0] policy
     /* 1460262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460274 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1460277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460299 */     // GIR_Coverage, 7618,
     /* 1460299 */     GIR_EraseRootFromParent_Done,
     /* 1460300 */   // Label 20507: @1460300
     /* 1460300 */   GIM_Try, /*On fail goto*//*Label 20508*/ GIMT_Encode4(1460397), // Rule ID 7619 //
     /* 1460305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1460308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1460313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1460316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1460319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1460322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460355 */     // MIs[1] Operand 1
     /* 1460355 */     // No operand predicates
     /* 1460355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460359 */     // MIs[0] policy
     /* 1460359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1460374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460396 */     // GIR_Coverage, 7619,
     /* 1460396 */     GIR_EraseRootFromParent_Done,
     /* 1460397 */   // Label 20508: @1460397
     /* 1460397 */   GIM_Try, /*On fail goto*//*Label 20509*/ GIMT_Encode4(1460494), // Rule ID 7622 //
     /* 1460402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1460405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1460410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1460413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1460416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1460419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460452 */     // MIs[1] Operand 1
     /* 1460452 */     // No operand predicates
     /* 1460452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460456 */     // MIs[0] policy
     /* 1460456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460468 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1460471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460493 */     // GIR_Coverage, 7622,
     /* 1460493 */     GIR_EraseRootFromParent_Done,
     /* 1460494 */   // Label 20509: @1460494
     /* 1460494 */   GIM_Try, /*On fail goto*//*Label 20510*/ GIMT_Encode4(1460591), // Rule ID 7623 //
     /* 1460499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1460502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1460507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1460510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1460513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1460516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460549 */     // MIs[1] Operand 1
     /* 1460549 */     // No operand predicates
     /* 1460549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460553 */     // MIs[0] policy
     /* 1460553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460565 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1460568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460590 */     // GIR_Coverage, 7623,
     /* 1460590 */     GIR_EraseRootFromParent_Done,
     /* 1460591 */   // Label 20510: @1460591
     /* 1460591 */   GIM_Try, /*On fail goto*//*Label 20511*/ GIMT_Encode4(1460688), // Rule ID 7626 //
     /* 1460596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1460599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1460604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1460607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1460610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1460613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460646 */     // MIs[1] Operand 1
     /* 1460646 */     // No operand predicates
     /* 1460646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460650 */     // MIs[0] policy
     /* 1460650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460662 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1460665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460687 */     // GIR_Coverage, 7626,
     /* 1460687 */     GIR_EraseRootFromParent_Done,
     /* 1460688 */   // Label 20511: @1460688
     /* 1460688 */   GIM_Try, /*On fail goto*//*Label 20512*/ GIMT_Encode4(1460785), // Rule ID 7627 //
     /* 1460693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1460696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1460701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1460704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1460707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1460710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460743 */     // MIs[1] Operand 1
     /* 1460743 */     // No operand predicates
     /* 1460743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460747 */     // MIs[0] policy
     /* 1460747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460759 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1460762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460784 */     // GIR_Coverage, 7627,
     /* 1460784 */     GIR_EraseRootFromParent_Done,
     /* 1460785 */   // Label 20512: @1460785
     /* 1460785 */   GIM_Try, /*On fail goto*//*Label 20513*/ GIMT_Encode4(1460882), // Rule ID 7750 //
     /* 1460790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1460801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1460804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1460807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460840 */     // MIs[1] Operand 1
     /* 1460840 */     // No operand predicates
     /* 1460840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460844 */     // MIs[0] policy
     /* 1460844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460856 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1460859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460881 */     // GIR_Coverage, 7750,
     /* 1460881 */     GIR_EraseRootFromParent_Done,
     /* 1460882 */   // Label 20513: @1460882
     /* 1460882 */   GIM_Try, /*On fail goto*//*Label 20514*/ GIMT_Encode4(1460979), // Rule ID 7751 //
     /* 1460887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1460898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1460901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1460904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460937 */     // MIs[1] Operand 1
     /* 1460937 */     // No operand predicates
     /* 1460937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460941 */     // MIs[0] policy
     /* 1460941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460953 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1460956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460978 */     // GIR_Coverage, 7751,
     /* 1460978 */     GIR_EraseRootFromParent_Done,
     /* 1460979 */   // Label 20514: @1460979
     /* 1460979 */   GIM_Try, /*On fail goto*//*Label 20515*/ GIMT_Encode4(1461076), // Rule ID 7754 //
     /* 1460984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1460995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1460998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1461001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461034 */     // MIs[1] Operand 1
     /* 1461034 */     // No operand predicates
     /* 1461034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461038 */     // MIs[0] policy
     /* 1461038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461050 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1461053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461075 */     // GIR_Coverage, 7754,
     /* 1461075 */     GIR_EraseRootFromParent_Done,
     /* 1461076 */   // Label 20515: @1461076
     /* 1461076 */   GIM_Try, /*On fail goto*//*Label 20516*/ GIMT_Encode4(1461173), // Rule ID 7755 //
     /* 1461081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1461092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1461095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1461098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461131 */     // MIs[1] Operand 1
     /* 1461131 */     // No operand predicates
     /* 1461131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461135 */     // MIs[0] policy
     /* 1461135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461147 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1461150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461172 */     // GIR_Coverage, 7755,
     /* 1461172 */     GIR_EraseRootFromParent_Done,
     /* 1461173 */   // Label 20516: @1461173
     /* 1461173 */   GIM_Try, /*On fail goto*//*Label 20517*/ GIMT_Encode4(1461270), // Rule ID 7758 //
     /* 1461178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1461189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1461192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1461195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461228 */     // MIs[1] Operand 1
     /* 1461228 */     // No operand predicates
     /* 1461228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461232 */     // MIs[0] policy
     /* 1461232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461244 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1461247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461269 */     // GIR_Coverage, 7758,
     /* 1461269 */     GIR_EraseRootFromParent_Done,
     /* 1461270 */   // Label 20517: @1461270
     /* 1461270 */   GIM_Try, /*On fail goto*//*Label 20518*/ GIMT_Encode4(1461367), // Rule ID 7759 //
     /* 1461275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1461286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1461289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1461292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461325 */     // MIs[1] Operand 1
     /* 1461325 */     // No operand predicates
     /* 1461325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461329 */     // MIs[0] policy
     /* 1461329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461341 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1461344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461366 */     // GIR_Coverage, 7759,
     /* 1461366 */     GIR_EraseRootFromParent_Done,
     /* 1461367 */   // Label 20518: @1461367
     /* 1461367 */   GIM_Try, /*On fail goto*//*Label 20519*/ GIMT_Encode4(1461464), // Rule ID 7762 //
     /* 1461372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1461383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1461386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1461389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461422 */     // MIs[1] Operand 1
     /* 1461422 */     // No operand predicates
     /* 1461422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461426 */     // MIs[0] policy
     /* 1461426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461438 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1461441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461463 */     // GIR_Coverage, 7762,
     /* 1461463 */     GIR_EraseRootFromParent_Done,
     /* 1461464 */   // Label 20519: @1461464
     /* 1461464 */   GIM_Try, /*On fail goto*//*Label 20520*/ GIMT_Encode4(1461561), // Rule ID 7763 //
     /* 1461469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1461480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1461483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1461486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461519 */     // MIs[1] Operand 1
     /* 1461519 */     // No operand predicates
     /* 1461519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461523 */     // MIs[0] policy
     /* 1461523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461535 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1461538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461560 */     // GIR_Coverage, 7763,
     /* 1461560 */     GIR_EraseRootFromParent_Done,
     /* 1461561 */   // Label 20520: @1461561
     /* 1461561 */   GIM_Try, /*On fail goto*//*Label 20521*/ GIMT_Encode4(1461658), // Rule ID 7766 //
     /* 1461566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1461577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1461580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1461583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1461589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461616 */     // MIs[1] Operand 1
     /* 1461616 */     // No operand predicates
     /* 1461616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461620 */     // MIs[0] policy
     /* 1461620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461632 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1461635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461657 */     // GIR_Coverage, 7766,
     /* 1461657 */     GIR_EraseRootFromParent_Done,
     /* 1461658 */   // Label 20521: @1461658
     /* 1461658 */   GIM_Try, /*On fail goto*//*Label 20522*/ GIMT_Encode4(1461755), // Rule ID 7767 //
     /* 1461663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1461674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1461677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1461680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1461686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461713 */     // MIs[1] Operand 1
     /* 1461713 */     // No operand predicates
     /* 1461713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461717 */     // MIs[0] policy
     /* 1461717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461729 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1461732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461754 */     // GIR_Coverage, 7767,
     /* 1461754 */     GIR_EraseRootFromParent_Done,
     /* 1461755 */   // Label 20522: @1461755
     /* 1461755 */   GIM_Try, /*On fail goto*//*Label 20523*/ GIMT_Encode4(1461852), // Rule ID 7770 //
     /* 1461760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1461771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1461774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1461777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1461783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461810 */     // MIs[1] Operand 1
     /* 1461810 */     // No operand predicates
     /* 1461810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461814 */     // MIs[0] policy
     /* 1461814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461826 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1461829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461851 */     // GIR_Coverage, 7770,
     /* 1461851 */     GIR_EraseRootFromParent_Done,
     /* 1461852 */   // Label 20523: @1461852
     /* 1461852 */   GIM_Try, /*On fail goto*//*Label 20524*/ GIMT_Encode4(1461949), // Rule ID 7771 //
     /* 1461857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1461868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1461871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1461874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1461880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461907 */     // MIs[1] Operand 1
     /* 1461907 */     // No operand predicates
     /* 1461907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461911 */     // MIs[0] policy
     /* 1461911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461923 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1461926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461948 */     // GIR_Coverage, 7771,
     /* 1461948 */     GIR_EraseRootFromParent_Done,
     /* 1461949 */   // Label 20524: @1461949
     /* 1461949 */   GIM_Try, /*On fail goto*//*Label 20525*/ GIMT_Encode4(1462046), // Rule ID 7774 //
     /* 1461954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1461965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1461968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1461971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462004 */     // MIs[1] Operand 1
     /* 1462004 */     // No operand predicates
     /* 1462004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462008 */     // MIs[0] policy
     /* 1462008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462020 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1462023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462045 */     // GIR_Coverage, 7774,
     /* 1462045 */     GIR_EraseRootFromParent_Done,
     /* 1462046 */   // Label 20525: @1462046
     /* 1462046 */   GIM_Try, /*On fail goto*//*Label 20526*/ GIMT_Encode4(1462143), // Rule ID 7775 //
     /* 1462051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1462062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1462065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1462068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462101 */     // MIs[1] Operand 1
     /* 1462101 */     // No operand predicates
     /* 1462101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462105 */     // MIs[0] policy
     /* 1462105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462117 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1462120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462142 */     // GIR_Coverage, 7775,
     /* 1462142 */     GIR_EraseRootFromParent_Done,
     /* 1462143 */   // Label 20526: @1462143
     /* 1462143 */   GIM_Try, /*On fail goto*//*Label 20527*/ GIMT_Encode4(1462240), // Rule ID 7778 //
     /* 1462148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1462159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1462162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1462165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462198 */     // MIs[1] Operand 1
     /* 1462198 */     // No operand predicates
     /* 1462198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462202 */     // MIs[0] policy
     /* 1462202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462214 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1462217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462239 */     // GIR_Coverage, 7778,
     /* 1462239 */     GIR_EraseRootFromParent_Done,
     /* 1462240 */   // Label 20527: @1462240
     /* 1462240 */   GIM_Try, /*On fail goto*//*Label 20528*/ GIMT_Encode4(1462337), // Rule ID 7779 //
     /* 1462245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1462256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1462259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1462262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462295 */     // MIs[1] Operand 1
     /* 1462295 */     // No operand predicates
     /* 1462295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462299 */     // MIs[0] policy
     /* 1462299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1462314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462336 */     // GIR_Coverage, 7779,
     /* 1462336 */     GIR_EraseRootFromParent_Done,
     /* 1462337 */   // Label 20528: @1462337
     /* 1462337 */   GIM_Try, /*On fail goto*//*Label 20529*/ GIMT_Encode4(1462434), // Rule ID 7782 //
     /* 1462342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1462353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1462356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1462359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462392 */     // MIs[1] Operand 1
     /* 1462392 */     // No operand predicates
     /* 1462392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462396 */     // MIs[0] policy
     /* 1462396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1462411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462433 */     // GIR_Coverage, 7782,
     /* 1462433 */     GIR_EraseRootFromParent_Done,
     /* 1462434 */   // Label 20529: @1462434
     /* 1462434 */   GIM_Try, /*On fail goto*//*Label 20530*/ GIMT_Encode4(1462531), // Rule ID 7783 //
     /* 1462439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1462450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1462453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1462456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462489 */     // MIs[1] Operand 1
     /* 1462489 */     // No operand predicates
     /* 1462489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462493 */     // MIs[0] policy
     /* 1462493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462505 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1462508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462530 */     // GIR_Coverage, 7783,
     /* 1462530 */     GIR_EraseRootFromParent_Done,
     /* 1462531 */   // Label 20530: @1462531
     /* 1462531 */   GIM_Try, /*On fail goto*//*Label 20531*/ GIMT_Encode4(1462628), // Rule ID 7786 //
     /* 1462536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1462547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1462550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1462553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462586 */     // MIs[1] Operand 1
     /* 1462586 */     // No operand predicates
     /* 1462586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462590 */     // MIs[0] policy
     /* 1462590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462602 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1462605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462627 */     // GIR_Coverage, 7786,
     /* 1462627 */     GIR_EraseRootFromParent_Done,
     /* 1462628 */   // Label 20531: @1462628
     /* 1462628 */   GIM_Try, /*On fail goto*//*Label 20532*/ GIMT_Encode4(1462725), // Rule ID 7787 //
     /* 1462633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1462644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1462647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1462650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462683 */     // MIs[1] Operand 1
     /* 1462683 */     // No operand predicates
     /* 1462683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462687 */     // MIs[0] policy
     /* 1462687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1462702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462724 */     // GIR_Coverage, 7787,
     /* 1462724 */     GIR_EraseRootFromParent_Done,
     /* 1462725 */   // Label 20532: @1462725
     /* 1462725 */   GIM_Try, /*On fail goto*//*Label 20533*/ GIMT_Encode4(1462822), // Rule ID 7790 //
     /* 1462730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1462741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1462744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1462747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462780 */     // MIs[1] Operand 1
     /* 1462780 */     // No operand predicates
     /* 1462780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462784 */     // MIs[0] policy
     /* 1462784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1462799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462821 */     // GIR_Coverage, 7790,
     /* 1462821 */     GIR_EraseRootFromParent_Done,
     /* 1462822 */   // Label 20533: @1462822
     /* 1462822 */   GIM_Try, /*On fail goto*//*Label 20534*/ GIMT_Encode4(1462919), // Rule ID 7791 //
     /* 1462827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1462838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1462841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1462844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462877 */     // MIs[1] Operand 1
     /* 1462877 */     // No operand predicates
     /* 1462877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462881 */     // MIs[0] policy
     /* 1462881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462893 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1462896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462918 */     // GIR_Coverage, 7791,
     /* 1462918 */     GIR_EraseRootFromParent_Done,
     /* 1462919 */   // Label 20534: @1462919
     /* 1462919 */   GIM_Try, /*On fail goto*//*Label 20535*/ GIMT_Encode4(1463016), // Rule ID 7794 //
     /* 1462924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1462927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1462932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1462935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1462938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1462941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462974 */     // MIs[1] Operand 1
     /* 1462974 */     // No operand predicates
     /* 1462974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462978 */     // MIs[0] policy
     /* 1462978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1462993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463015 */     // GIR_Coverage, 7794,
     /* 1463015 */     GIR_EraseRootFromParent_Done,
     /* 1463016 */   // Label 20535: @1463016
     /* 1463016 */   GIM_Try, /*On fail goto*//*Label 20536*/ GIMT_Encode4(1463113), // Rule ID 7795 //
     /* 1463021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1463024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1463029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1463032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1463035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1463038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463071 */     // MIs[1] Operand 1
     /* 1463071 */     // No operand predicates
     /* 1463071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463075 */     // MIs[0] policy
     /* 1463075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463087 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1463090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463112 */     // GIR_Coverage, 7795,
     /* 1463112 */     GIR_EraseRootFromParent_Done,
     /* 1463113 */   // Label 20536: @1463113
     /* 1463113 */   GIM_Try, /*On fail goto*//*Label 20537*/ GIMT_Encode4(1463210), // Rule ID 7798 //
     /* 1463118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1463121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1463126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1463129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1463132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1463135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463168 */     // MIs[1] Operand 1
     /* 1463168 */     // No operand predicates
     /* 1463168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463172 */     // MIs[0] policy
     /* 1463172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1463187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463209 */     // GIR_Coverage, 7798,
     /* 1463209 */     GIR_EraseRootFromParent_Done,
     /* 1463210 */   // Label 20537: @1463210
     /* 1463210 */   GIM_Try, /*On fail goto*//*Label 20538*/ GIMT_Encode4(1463307), // Rule ID 7799 //
     /* 1463215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1463218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1463223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1463226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1463229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1463232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463265 */     // MIs[1] Operand 1
     /* 1463265 */     // No operand predicates
     /* 1463265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463269 */     // MIs[0] policy
     /* 1463269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463281 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1463284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463306 */     // GIR_Coverage, 7799,
     /* 1463306 */     GIR_EraseRootFromParent_Done,
     /* 1463307 */   // Label 20538: @1463307
     /* 1463307 */   GIM_Try, /*On fail goto*//*Label 20539*/ GIMT_Encode4(1463404), // Rule ID 7802 //
     /* 1463312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1463315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1463320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1463323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1463326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1463329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1463335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463362 */     // MIs[1] Operand 1
     /* 1463362 */     // No operand predicates
     /* 1463362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463366 */     // MIs[0] policy
     /* 1463366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463378 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1463381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463403 */     // GIR_Coverage, 7802,
     /* 1463403 */     GIR_EraseRootFromParent_Done,
     /* 1463404 */   // Label 20539: @1463404
     /* 1463404 */   GIM_Try, /*On fail goto*//*Label 20540*/ GIMT_Encode4(1463501), // Rule ID 7803 //
     /* 1463409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1463412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1463417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1463420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1463423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1463426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1463432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463459 */     // MIs[1] Operand 1
     /* 1463459 */     // No operand predicates
     /* 1463459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463463 */     // MIs[0] policy
     /* 1463463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463475 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1463478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463500 */     // GIR_Coverage, 7803,
     /* 1463500 */     GIR_EraseRootFromParent_Done,
     /* 1463501 */   // Label 20540: @1463501
     /* 1463501 */   GIM_Try, /*On fail goto*//*Label 20541*/ GIMT_Encode4(1463598), // Rule ID 7806 //
     /* 1463506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1463509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1463514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1463517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1463520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1463523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463556 */     // MIs[1] Operand 1
     /* 1463556 */     // No operand predicates
     /* 1463556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463560 */     // MIs[0] policy
     /* 1463560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463572 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1463575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463597 */     // GIR_Coverage, 7806,
     /* 1463597 */     GIR_EraseRootFromParent_Done,
     /* 1463598 */   // Label 20541: @1463598
     /* 1463598 */   GIM_Try, /*On fail goto*//*Label 20542*/ GIMT_Encode4(1463695), // Rule ID 7807 //
     /* 1463603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1463606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1463611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1463614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1463617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1463620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463653 */     // MIs[1] Operand 1
     /* 1463653 */     // No operand predicates
     /* 1463653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463657 */     // MIs[0] policy
     /* 1463657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463669 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1463672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463694 */     // GIR_Coverage, 7807,
     /* 1463694 */     GIR_EraseRootFromParent_Done,
     /* 1463695 */   // Label 20542: @1463695
     /* 1463695 */   GIM_Try, /*On fail goto*//*Label 20543*/ GIMT_Encode4(1463795), // Rule ID 14236 //
     /* 1463700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1463711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1463714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1463717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463750 */     // MIs[1] Operand 1
     /* 1463750 */     // No operand predicates
     /* 1463750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463754 */     // MIs[0] policy
     /* 1463754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463766 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1463769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463794 */     // GIR_Coverage, 14236,
     /* 1463794 */     GIR_EraseRootFromParent_Done,
     /* 1463795 */   // Label 20543: @1463795
     /* 1463795 */   GIM_Try, /*On fail goto*//*Label 20544*/ GIMT_Encode4(1463895), // Rule ID 14237 //
     /* 1463800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1463811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1463814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1463817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463850 */     // MIs[1] Operand 1
     /* 1463850 */     // No operand predicates
     /* 1463850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463854 */     // MIs[0] policy
     /* 1463854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463866 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1463869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463894 */     // GIR_Coverage, 14237,
     /* 1463894 */     GIR_EraseRootFromParent_Done,
     /* 1463895 */   // Label 20544: @1463895
     /* 1463895 */   GIM_Try, /*On fail goto*//*Label 20545*/ GIMT_Encode4(1463995), // Rule ID 14240 //
     /* 1463900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1463911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1463914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1463917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463950 */     // MIs[1] Operand 1
     /* 1463950 */     // No operand predicates
     /* 1463950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463954 */     // MIs[0] policy
     /* 1463954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463966 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1463969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463994 */     // GIR_Coverage, 14240,
     /* 1463994 */     GIR_EraseRootFromParent_Done,
     /* 1463995 */   // Label 20545: @1463995
     /* 1463995 */   GIM_Try, /*On fail goto*//*Label 20546*/ GIMT_Encode4(1464095), // Rule ID 14241 //
     /* 1464000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1464011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1464014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1464017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464050 */     // MIs[1] Operand 1
     /* 1464050 */     // No operand predicates
     /* 1464050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464054 */     // MIs[0] policy
     /* 1464054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464066 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1464069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464094 */     // GIR_Coverage, 14241,
     /* 1464094 */     GIR_EraseRootFromParent_Done,
     /* 1464095 */   // Label 20546: @1464095
     /* 1464095 */   GIM_Try, /*On fail goto*//*Label 20547*/ GIMT_Encode4(1464195), // Rule ID 14244 //
     /* 1464100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1464111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1464114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1464117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464150 */     // MIs[1] Operand 1
     /* 1464150 */     // No operand predicates
     /* 1464150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464154 */     // MIs[0] policy
     /* 1464154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464166 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1464169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464194 */     // GIR_Coverage, 14244,
     /* 1464194 */     GIR_EraseRootFromParent_Done,
     /* 1464195 */   // Label 20547: @1464195
     /* 1464195 */   GIM_Try, /*On fail goto*//*Label 20548*/ GIMT_Encode4(1464295), // Rule ID 14245 //
     /* 1464200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1464211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1464214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1464217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464250 */     // MIs[1] Operand 1
     /* 1464250 */     // No operand predicates
     /* 1464250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464254 */     // MIs[0] policy
     /* 1464254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464266 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1464269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464294 */     // GIR_Coverage, 14245,
     /* 1464294 */     GIR_EraseRootFromParent_Done,
     /* 1464295 */   // Label 20548: @1464295
     /* 1464295 */   GIM_Try, /*On fail goto*//*Label 20549*/ GIMT_Encode4(1464395), // Rule ID 14248 //
     /* 1464300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1464311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1464314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1464317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464350 */     // MIs[1] Operand 1
     /* 1464350 */     // No operand predicates
     /* 1464350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464354 */     // MIs[0] policy
     /* 1464354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1464369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464394 */     // GIR_Coverage, 14248,
     /* 1464394 */     GIR_EraseRootFromParent_Done,
     /* 1464395 */   // Label 20549: @1464395
     /* 1464395 */   GIM_Try, /*On fail goto*//*Label 20550*/ GIMT_Encode4(1464495), // Rule ID 14249 //
     /* 1464400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1464411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1464414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1464417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464450 */     // MIs[1] Operand 1
     /* 1464450 */     // No operand predicates
     /* 1464450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464454 */     // MIs[0] policy
     /* 1464454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464466 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1464469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464494 */     // GIR_Coverage, 14249,
     /* 1464494 */     GIR_EraseRootFromParent_Done,
     /* 1464495 */   // Label 20550: @1464495
     /* 1464495 */   GIM_Try, /*On fail goto*//*Label 20551*/ GIMT_Encode4(1464595), // Rule ID 14252 //
     /* 1464500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1464511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1464514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1464517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464550 */     // MIs[1] Operand 1
     /* 1464550 */     // No operand predicates
     /* 1464550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464554 */     // MIs[0] policy
     /* 1464554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464566 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1464569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464594 */     // GIR_Coverage, 14252,
     /* 1464594 */     GIR_EraseRootFromParent_Done,
     /* 1464595 */   // Label 20551: @1464595
     /* 1464595 */   GIM_Try, /*On fail goto*//*Label 20552*/ GIMT_Encode4(1464695), // Rule ID 14253 //
     /* 1464600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1464611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1464614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1464617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464650 */     // MIs[1] Operand 1
     /* 1464650 */     // No operand predicates
     /* 1464650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464654 */     // MIs[0] policy
     /* 1464654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464666 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1464669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464694 */     // GIR_Coverage, 14253,
     /* 1464694 */     GIR_EraseRootFromParent_Done,
     /* 1464695 */   // Label 20552: @1464695
     /* 1464695 */   GIM_Try, /*On fail goto*//*Label 20553*/ GIMT_Encode4(1464795), // Rule ID 14256 //
     /* 1464700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1464711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1464714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1464717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464750 */     // MIs[1] Operand 1
     /* 1464750 */     // No operand predicates
     /* 1464750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464754 */     // MIs[0] policy
     /* 1464754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464766 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1464769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464794 */     // GIR_Coverage, 14256,
     /* 1464794 */     GIR_EraseRootFromParent_Done,
     /* 1464795 */   // Label 20553: @1464795
     /* 1464795 */   GIM_Try, /*On fail goto*//*Label 20554*/ GIMT_Encode4(1464895), // Rule ID 14257 //
     /* 1464800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1464811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1464814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1464817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464850 */     // MIs[1] Operand 1
     /* 1464850 */     // No operand predicates
     /* 1464850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464854 */     // MIs[0] policy
     /* 1464854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464866 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1464869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464894 */     // GIR_Coverage, 14257,
     /* 1464894 */     GIR_EraseRootFromParent_Done,
     /* 1464895 */   // Label 20554: @1464895
     /* 1464895 */   GIM_Try, /*On fail goto*//*Label 20555*/ GIMT_Encode4(1464995), // Rule ID 14260 //
     /* 1464900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1464911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1464914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1464917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464950 */     // MIs[1] Operand 1
     /* 1464950 */     // No operand predicates
     /* 1464950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464954 */     // MIs[0] policy
     /* 1464954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464966 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1464969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464994 */     // GIR_Coverage, 14260,
     /* 1464994 */     GIR_EraseRootFromParent_Done,
     /* 1464995 */   // Label 20555: @1464995
     /* 1464995 */   GIM_Try, /*On fail goto*//*Label 20556*/ GIMT_Encode4(1465095), // Rule ID 14261 //
     /* 1465000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1465011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1465014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1465017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465050 */     // MIs[1] Operand 1
     /* 1465050 */     // No operand predicates
     /* 1465050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465054 */     // MIs[0] policy
     /* 1465054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465066 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1465069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465094 */     // GIR_Coverage, 14261,
     /* 1465094 */     GIR_EraseRootFromParent_Done,
     /* 1465095 */   // Label 20556: @1465095
     /* 1465095 */   GIM_Try, /*On fail goto*//*Label 20557*/ GIMT_Encode4(1465195), // Rule ID 14264 //
     /* 1465100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1465111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1465114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1465117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465150 */     // MIs[1] Operand 1
     /* 1465150 */     // No operand predicates
     /* 1465150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465154 */     // MIs[0] policy
     /* 1465154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465166 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1465169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1465188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465194 */     // GIR_Coverage, 14264,
     /* 1465194 */     GIR_EraseRootFromParent_Done,
     /* 1465195 */   // Label 20557: @1465195
     /* 1465195 */   GIM_Try, /*On fail goto*//*Label 20558*/ GIMT_Encode4(1465295), // Rule ID 14265 //
     /* 1465200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1465211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1465214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1465217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465250 */     // MIs[1] Operand 1
     /* 1465250 */     // No operand predicates
     /* 1465250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465254 */     // MIs[0] policy
     /* 1465254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1465269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1465288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465294 */     // GIR_Coverage, 14265,
     /* 1465294 */     GIR_EraseRootFromParent_Done,
     /* 1465295 */   // Label 20558: @1465295
     /* 1465295 */   GIM_Try, /*On fail goto*//*Label 20559*/ GIMT_Encode4(1465395), // Rule ID 14268 //
     /* 1465300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1465311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1465314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1465317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465350 */     // MIs[1] Operand 1
     /* 1465350 */     // No operand predicates
     /* 1465350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465354 */     // MIs[0] policy
     /* 1465354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465366 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1465369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465394 */     // GIR_Coverage, 14268,
     /* 1465394 */     GIR_EraseRootFromParent_Done,
     /* 1465395 */   // Label 20559: @1465395
     /* 1465395 */   GIM_Try, /*On fail goto*//*Label 20560*/ GIMT_Encode4(1465495), // Rule ID 14269 //
     /* 1465400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1465411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1465414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1465417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465450 */     // MIs[1] Operand 1
     /* 1465450 */     // No operand predicates
     /* 1465450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465454 */     // MIs[0] policy
     /* 1465454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1465469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465494 */     // GIR_Coverage, 14269,
     /* 1465494 */     GIR_EraseRootFromParent_Done,
     /* 1465495 */   // Label 20560: @1465495
     /* 1465495 */   GIM_Try, /*On fail goto*//*Label 20561*/ GIMT_Encode4(1465595), // Rule ID 14272 //
     /* 1465500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1465511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1465514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1465517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465550 */     // MIs[1] Operand 1
     /* 1465550 */     // No operand predicates
     /* 1465550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465554 */     // MIs[0] policy
     /* 1465554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465566 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1465569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465594 */     // GIR_Coverage, 14272,
     /* 1465594 */     GIR_EraseRootFromParent_Done,
     /* 1465595 */   // Label 20561: @1465595
     /* 1465595 */   GIM_Try, /*On fail goto*//*Label 20562*/ GIMT_Encode4(1465695), // Rule ID 14273 //
     /* 1465600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1465611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1465614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1465617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465650 */     // MIs[1] Operand 1
     /* 1465650 */     // No operand predicates
     /* 1465650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465654 */     // MIs[0] policy
     /* 1465654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465666 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1465669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465694 */     // GIR_Coverage, 14273,
     /* 1465694 */     GIR_EraseRootFromParent_Done,
     /* 1465695 */   // Label 20562: @1465695
     /* 1465695 */   GIM_Try, /*On fail goto*//*Label 20563*/ GIMT_Encode4(1465795), // Rule ID 14276 //
     /* 1465700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1465711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1465714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1465717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1465723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465750 */     // MIs[1] Operand 1
     /* 1465750 */     // No operand predicates
     /* 1465750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465754 */     // MIs[0] policy
     /* 1465754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465766 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1465769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465794 */     // GIR_Coverage, 14276,
     /* 1465794 */     GIR_EraseRootFromParent_Done,
     /* 1465795 */   // Label 20563: @1465795
     /* 1465795 */   GIM_Try, /*On fail goto*//*Label 20564*/ GIMT_Encode4(1465895), // Rule ID 14277 //
     /* 1465800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1465811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1465814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1465817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1465823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465850 */     // MIs[1] Operand 1
     /* 1465850 */     // No operand predicates
     /* 1465850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465854 */     // MIs[0] policy
     /* 1465854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465866 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1465869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465894 */     // GIR_Coverage, 14277,
     /* 1465894 */     GIR_EraseRootFromParent_Done,
     /* 1465895 */   // Label 20564: @1465895
     /* 1465895 */   GIM_Try, /*On fail goto*//*Label 20565*/ GIMT_Encode4(1465995), // Rule ID 14280 //
     /* 1465900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1465911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1465914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1465917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1465923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465950 */     // MIs[1] Operand 1
     /* 1465950 */     // No operand predicates
     /* 1465950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465954 */     // MIs[0] policy
     /* 1465954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465966 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1465969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465994 */     // GIR_Coverage, 14280,
     /* 1465994 */     GIR_EraseRootFromParent_Done,
     /* 1465995 */   // Label 20565: @1465995
     /* 1465995 */   GIM_Try, /*On fail goto*//*Label 20566*/ GIMT_Encode4(1466095), // Rule ID 14281 //
     /* 1466000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1466011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1466014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1466017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1466023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466050 */     // MIs[1] Operand 1
     /* 1466050 */     // No operand predicates
     /* 1466050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466054 */     // MIs[0] policy
     /* 1466054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466066 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1466069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466094 */     // GIR_Coverage, 14281,
     /* 1466094 */     GIR_EraseRootFromParent_Done,
     /* 1466095 */   // Label 20566: @1466095
     /* 1466095 */   GIM_Try, /*On fail goto*//*Label 20567*/ GIMT_Encode4(1466195), // Rule ID 14284 //
     /* 1466100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1466111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1466114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1466117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1466123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466150 */     // MIs[1] Operand 1
     /* 1466150 */     // No operand predicates
     /* 1466150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466154 */     // MIs[0] policy
     /* 1466154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466166 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1466169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466194 */     // GIR_Coverage, 14284,
     /* 1466194 */     GIR_EraseRootFromParent_Done,
     /* 1466195 */   // Label 20567: @1466195
     /* 1466195 */   GIM_Try, /*On fail goto*//*Label 20568*/ GIMT_Encode4(1466295), // Rule ID 14285 //
     /* 1466200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1466211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1466214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1466217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1466223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466250 */     // MIs[1] Operand 1
     /* 1466250 */     // No operand predicates
     /* 1466250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466254 */     // MIs[0] policy
     /* 1466254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466266 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1466269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466294 */     // GIR_Coverage, 14285,
     /* 1466294 */     GIR_EraseRootFromParent_Done,
     /* 1466295 */   // Label 20568: @1466295
     /* 1466295 */   GIM_Try, /*On fail goto*//*Label 20569*/ GIMT_Encode4(1466395), // Rule ID 14288 //
     /* 1466300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1466311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1466314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1466317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466350 */     // MIs[1] Operand 1
     /* 1466350 */     // No operand predicates
     /* 1466350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466354 */     // MIs[0] policy
     /* 1466354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466366 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1466369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466394 */     // GIR_Coverage, 14288,
     /* 1466394 */     GIR_EraseRootFromParent_Done,
     /* 1466395 */   // Label 20569: @1466395
     /* 1466395 */   GIM_Try, /*On fail goto*//*Label 20570*/ GIMT_Encode4(1466495), // Rule ID 14289 //
     /* 1466400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1466411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1466414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1466417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466450 */     // MIs[1] Operand 1
     /* 1466450 */     // No operand predicates
     /* 1466450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466454 */     // MIs[0] policy
     /* 1466454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466466 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1466469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466494 */     // GIR_Coverage, 14289,
     /* 1466494 */     GIR_EraseRootFromParent_Done,
     /* 1466495 */   // Label 20570: @1466495
     /* 1466495 */   GIM_Try, /*On fail goto*//*Label 20571*/ GIMT_Encode4(1466595), // Rule ID 14292 //
     /* 1466500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1466511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1466514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1466517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466550 */     // MIs[1] Operand 1
     /* 1466550 */     // No operand predicates
     /* 1466550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466554 */     // MIs[0] policy
     /* 1466554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466566 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1466569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466594 */     // GIR_Coverage, 14292,
     /* 1466594 */     GIR_EraseRootFromParent_Done,
     /* 1466595 */   // Label 20571: @1466595
     /* 1466595 */   GIM_Try, /*On fail goto*//*Label 20572*/ GIMT_Encode4(1466695), // Rule ID 14293 //
     /* 1466600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1466611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1466614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1466617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466650 */     // MIs[1] Operand 1
     /* 1466650 */     // No operand predicates
     /* 1466650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466654 */     // MIs[0] policy
     /* 1466654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466666 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1466669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466694 */     // GIR_Coverage, 14293,
     /* 1466694 */     GIR_EraseRootFromParent_Done,
     /* 1466695 */   // Label 20572: @1466695
     /* 1466695 */   GIM_Try, /*On fail goto*//*Label 20573*/ GIMT_Encode4(1466795), // Rule ID 14296 //
     /* 1466700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1466711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1466714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1466717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1466723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466750 */     // MIs[1] Operand 1
     /* 1466750 */     // No operand predicates
     /* 1466750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466754 */     // MIs[0] policy
     /* 1466754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466766 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1466769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466794 */     // GIR_Coverage, 14296,
     /* 1466794 */     GIR_EraseRootFromParent_Done,
     /* 1466795 */   // Label 20573: @1466795
     /* 1466795 */   GIM_Try, /*On fail goto*//*Label 20574*/ GIMT_Encode4(1466895), // Rule ID 14297 //
     /* 1466800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1466811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1466814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1466817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1466823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466850 */     // MIs[1] Operand 1
     /* 1466850 */     // No operand predicates
     /* 1466850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466854 */     // MIs[0] policy
     /* 1466854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1466869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466894 */     // GIR_Coverage, 14297,
     /* 1466894 */     GIR_EraseRootFromParent_Done,
     /* 1466895 */   // Label 20574: @1466895
     /* 1466895 */   GIM_Try, /*On fail goto*//*Label 20575*/ GIMT_Encode4(1466995), // Rule ID 14300 //
     /* 1466900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1466908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1466911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1466914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1466917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466950 */     // MIs[1] Operand 1
     /* 1466950 */     // No operand predicates
     /* 1466950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466954 */     // MIs[0] policy
     /* 1466954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466966 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1466969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466994 */     // GIR_Coverage, 14300,
     /* 1466994 */     GIR_EraseRootFromParent_Done,
     /* 1466995 */   // Label 20575: @1466995
     /* 1466995 */   GIM_Try, /*On fail goto*//*Label 20576*/ GIMT_Encode4(1467095), // Rule ID 14301 //
     /* 1467000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1467011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1467014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1467017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467050 */     // MIs[1] Operand 1
     /* 1467050 */     // No operand predicates
     /* 1467050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467054 */     // MIs[0] policy
     /* 1467054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1467069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467094 */     // GIR_Coverage, 14301,
     /* 1467094 */     GIR_EraseRootFromParent_Done,
     /* 1467095 */   // Label 20576: @1467095
     /* 1467095 */   GIM_Try, /*On fail goto*//*Label 20577*/ GIMT_Encode4(1467195), // Rule ID 14304 //
     /* 1467100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1467111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1467114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1467117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467150 */     // MIs[1] Operand 1
     /* 1467150 */     // No operand predicates
     /* 1467150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467154 */     // MIs[0] policy
     /* 1467154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1467169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467194 */     // GIR_Coverage, 14304,
     /* 1467194 */     GIR_EraseRootFromParent_Done,
     /* 1467195 */   // Label 20577: @1467195
     /* 1467195 */   GIM_Try, /*On fail goto*//*Label 20578*/ GIMT_Encode4(1467295), // Rule ID 14305 //
     /* 1467200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1467211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1467214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1467217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467250 */     // MIs[1] Operand 1
     /* 1467250 */     // No operand predicates
     /* 1467250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467254 */     // MIs[0] policy
     /* 1467254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467266 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1467269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467294 */     // GIR_Coverage, 14305,
     /* 1467294 */     GIR_EraseRootFromParent_Done,
     /* 1467295 */   // Label 20578: @1467295
     /* 1467295 */   GIM_Try, /*On fail goto*//*Label 20579*/ GIMT_Encode4(1467395), // Rule ID 14308 //
     /* 1467300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1467311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1467314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1467317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467350 */     // MIs[1] Operand 1
     /* 1467350 */     // No operand predicates
     /* 1467350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467354 */     // MIs[0] policy
     /* 1467354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467366 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1467369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467394 */     // GIR_Coverage, 14308,
     /* 1467394 */     GIR_EraseRootFromParent_Done,
     /* 1467395 */   // Label 20579: @1467395
     /* 1467395 */   GIM_Try, /*On fail goto*//*Label 20580*/ GIMT_Encode4(1467495), // Rule ID 14309 //
     /* 1467400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1467411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1467414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1467417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467450 */     // MIs[1] Operand 1
     /* 1467450 */     // No operand predicates
     /* 1467450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467454 */     // MIs[0] policy
     /* 1467454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467466 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1467469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467494 */     // GIR_Coverage, 14309,
     /* 1467494 */     GIR_EraseRootFromParent_Done,
     /* 1467495 */   // Label 20580: @1467495
     /* 1467495 */   GIM_Try, /*On fail goto*//*Label 20581*/ GIMT_Encode4(1467595), // Rule ID 14312 //
     /* 1467500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1467511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1467514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1467517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467550 */     // MIs[1] Operand 1
     /* 1467550 */     // No operand predicates
     /* 1467550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467554 */     // MIs[0] policy
     /* 1467554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1467569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467594 */     // GIR_Coverage, 14312,
     /* 1467594 */     GIR_EraseRootFromParent_Done,
     /* 1467595 */   // Label 20581: @1467595
     /* 1467595 */   GIM_Try, /*On fail goto*//*Label 20582*/ GIMT_Encode4(1467695), // Rule ID 14313 //
     /* 1467600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1467611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1467614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1467617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467650 */     // MIs[1] Operand 1
     /* 1467650 */     // No operand predicates
     /* 1467650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467654 */     // MIs[0] policy
     /* 1467654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467666 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1467669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467694 */     // GIR_Coverage, 14313,
     /* 1467694 */     GIR_EraseRootFromParent_Done,
     /* 1467695 */   // Label 20582: @1467695
     /* 1467695 */   GIM_Try, /*On fail goto*//*Label 20583*/ GIMT_Encode4(1467795), // Rule ID 14316 //
     /* 1467700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1467711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1467714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1467717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467750 */     // MIs[1] Operand 1
     /* 1467750 */     // No operand predicates
     /* 1467750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467754 */     // MIs[0] policy
     /* 1467754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467766 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1467769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467794 */     // GIR_Coverage, 14316,
     /* 1467794 */     GIR_EraseRootFromParent_Done,
     /* 1467795 */   // Label 20583: @1467795
     /* 1467795 */   GIM_Try, /*On fail goto*//*Label 20584*/ GIMT_Encode4(1467895), // Rule ID 14317 //
     /* 1467800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1467811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1467814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1467817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467850 */     // MIs[1] Operand 1
     /* 1467850 */     // No operand predicates
     /* 1467850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467854 */     // MIs[0] policy
     /* 1467854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467866 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1467869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467894 */     // GIR_Coverage, 14317,
     /* 1467894 */     GIR_EraseRootFromParent_Done,
     /* 1467895 */   // Label 20584: @1467895
     /* 1467895 */   GIM_Try, /*On fail goto*//*Label 20585*/ GIMT_Encode4(1467995), // Rule ID 14320 //
     /* 1467900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1467911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1467914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1467917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467950 */     // MIs[1] Operand 1
     /* 1467950 */     // No operand predicates
     /* 1467950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467954 */     // MIs[0] policy
     /* 1467954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467966 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1467969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467994 */     // GIR_Coverage, 14320,
     /* 1467994 */     GIR_EraseRootFromParent_Done,
     /* 1467995 */   // Label 20585: @1467995
     /* 1467995 */   GIM_Try, /*On fail goto*//*Label 20586*/ GIMT_Encode4(1468095), // Rule ID 14321 //
     /* 1468000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1468003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1468008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1468011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1468014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1468017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468050 */     // MIs[1] Operand 1
     /* 1468050 */     // No operand predicates
     /* 1468050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468054 */     // MIs[0] policy
     /* 1468054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468066 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1468069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1468088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468094 */     // GIR_Coverage, 14321,
     /* 1468094 */     GIR_EraseRootFromParent_Done,
     /* 1468095 */   // Label 20586: @1468095
     /* 1468095 */   GIM_Try, /*On fail goto*//*Label 20587*/ GIMT_Encode4(1468195), // Rule ID 14500 //
     /* 1468100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1468111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1468114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1468117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468150 */     // MIs[1] Operand 1
     /* 1468150 */     // No operand predicates
     /* 1468150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468154 */     // MIs[0] policy
     /* 1468154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468166 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1468169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468194 */     // GIR_Coverage, 14500,
     /* 1468194 */     GIR_EraseRootFromParent_Done,
     /* 1468195 */   // Label 20587: @1468195
     /* 1468195 */   GIM_Try, /*On fail goto*//*Label 20588*/ GIMT_Encode4(1468295), // Rule ID 14501 //
     /* 1468200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1468211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1468214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1468217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468250 */     // MIs[1] Operand 1
     /* 1468250 */     // No operand predicates
     /* 1468250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468254 */     // MIs[0] policy
     /* 1468254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468266 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1468269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468294 */     // GIR_Coverage, 14501,
     /* 1468294 */     GIR_EraseRootFromParent_Done,
     /* 1468295 */   // Label 20588: @1468295
     /* 1468295 */   GIM_Try, /*On fail goto*//*Label 20589*/ GIMT_Encode4(1468395), // Rule ID 14504 //
     /* 1468300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1468311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1468314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1468317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468350 */     // MIs[1] Operand 1
     /* 1468350 */     // No operand predicates
     /* 1468350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468354 */     // MIs[0] policy
     /* 1468354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468366 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1468369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468394 */     // GIR_Coverage, 14504,
     /* 1468394 */     GIR_EraseRootFromParent_Done,
     /* 1468395 */   // Label 20589: @1468395
     /* 1468395 */   GIM_Try, /*On fail goto*//*Label 20590*/ GIMT_Encode4(1468495), // Rule ID 14505 //
     /* 1468400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1468411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1468414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1468417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468450 */     // MIs[1] Operand 1
     /* 1468450 */     // No operand predicates
     /* 1468450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468454 */     // MIs[0] policy
     /* 1468454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468466 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1468469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468494 */     // GIR_Coverage, 14505,
     /* 1468494 */     GIR_EraseRootFromParent_Done,
     /* 1468495 */   // Label 20590: @1468495
     /* 1468495 */   GIM_Try, /*On fail goto*//*Label 20591*/ GIMT_Encode4(1468595), // Rule ID 14508 //
     /* 1468500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1468511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1468514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1468517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468550 */     // MIs[1] Operand 1
     /* 1468550 */     // No operand predicates
     /* 1468550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468554 */     // MIs[0] policy
     /* 1468554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468566 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1468569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468594 */     // GIR_Coverage, 14508,
     /* 1468594 */     GIR_EraseRootFromParent_Done,
     /* 1468595 */   // Label 20591: @1468595
     /* 1468595 */   GIM_Try, /*On fail goto*//*Label 20592*/ GIMT_Encode4(1468695), // Rule ID 14509 //
     /* 1468600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1468611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1468614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1468617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468650 */     // MIs[1] Operand 1
     /* 1468650 */     // No operand predicates
     /* 1468650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468654 */     // MIs[0] policy
     /* 1468654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468666 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1468669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468694 */     // GIR_Coverage, 14509,
     /* 1468694 */     GIR_EraseRootFromParent_Done,
     /* 1468695 */   // Label 20592: @1468695
     /* 1468695 */   GIM_Try, /*On fail goto*//*Label 20593*/ GIMT_Encode4(1468795), // Rule ID 14512 //
     /* 1468700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1468711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1468714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1468717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468750 */     // MIs[1] Operand 1
     /* 1468750 */     // No operand predicates
     /* 1468750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468754 */     // MIs[0] policy
     /* 1468754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468766 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1468769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468794 */     // GIR_Coverage, 14512,
     /* 1468794 */     GIR_EraseRootFromParent_Done,
     /* 1468795 */   // Label 20593: @1468795
     /* 1468795 */   GIM_Try, /*On fail goto*//*Label 20594*/ GIMT_Encode4(1468895), // Rule ID 14513 //
     /* 1468800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1468811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1468814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1468817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468850 */     // MIs[1] Operand 1
     /* 1468850 */     // No operand predicates
     /* 1468850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468854 */     // MIs[0] policy
     /* 1468854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468866 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1468869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468894 */     // GIR_Coverage, 14513,
     /* 1468894 */     GIR_EraseRootFromParent_Done,
     /* 1468895 */   // Label 20594: @1468895
     /* 1468895 */   GIM_Try, /*On fail goto*//*Label 20595*/ GIMT_Encode4(1468995), // Rule ID 14516 //
     /* 1468900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1468911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1468914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1468917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468950 */     // MIs[1] Operand 1
     /* 1468950 */     // No operand predicates
     /* 1468950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468954 */     // MIs[0] policy
     /* 1468954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468966 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1468969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468994 */     // GIR_Coverage, 14516,
     /* 1468994 */     GIR_EraseRootFromParent_Done,
     /* 1468995 */   // Label 20595: @1468995
     /* 1468995 */   GIM_Try, /*On fail goto*//*Label 20596*/ GIMT_Encode4(1469095), // Rule ID 14517 //
     /* 1469000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1469011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1469014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1469017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469050 */     // MIs[1] Operand 1
     /* 1469050 */     // No operand predicates
     /* 1469050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469054 */     // MIs[0] policy
     /* 1469054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469066 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1469069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469094 */     // GIR_Coverage, 14517,
     /* 1469094 */     GIR_EraseRootFromParent_Done,
     /* 1469095 */   // Label 20596: @1469095
     /* 1469095 */   GIM_Try, /*On fail goto*//*Label 20597*/ GIMT_Encode4(1469195), // Rule ID 14520 //
     /* 1469100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1469111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1469114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1469117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469150 */     // MIs[1] Operand 1
     /* 1469150 */     // No operand predicates
     /* 1469150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469154 */     // MIs[0] policy
     /* 1469154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1469169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469194 */     // GIR_Coverage, 14520,
     /* 1469194 */     GIR_EraseRootFromParent_Done,
     /* 1469195 */   // Label 20597: @1469195
     /* 1469195 */   GIM_Try, /*On fail goto*//*Label 20598*/ GIMT_Encode4(1469295), // Rule ID 14521 //
     /* 1469200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1469211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1469214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1469217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469250 */     // MIs[1] Operand 1
     /* 1469250 */     // No operand predicates
     /* 1469250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469254 */     // MIs[0] policy
     /* 1469254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469266 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1469269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469294 */     // GIR_Coverage, 14521,
     /* 1469294 */     GIR_EraseRootFromParent_Done,
     /* 1469295 */   // Label 20598: @1469295
     /* 1469295 */   GIM_Try, /*On fail goto*//*Label 20599*/ GIMT_Encode4(1469395), // Rule ID 14524 //
     /* 1469300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1469311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1469314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1469317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469350 */     // MIs[1] Operand 1
     /* 1469350 */     // No operand predicates
     /* 1469350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469354 */     // MIs[0] policy
     /* 1469354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469366 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469394 */     // GIR_Coverage, 14524,
     /* 1469394 */     GIR_EraseRootFromParent_Done,
     /* 1469395 */   // Label 20599: @1469395
     /* 1469395 */   GIM_Try, /*On fail goto*//*Label 20600*/ GIMT_Encode4(1469495), // Rule ID 14525 //
     /* 1469400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1469411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1469414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1469417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469450 */     // MIs[1] Operand 1
     /* 1469450 */     // No operand predicates
     /* 1469450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469454 */     // MIs[0] policy
     /* 1469454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469466 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469494 */     // GIR_Coverage, 14525,
     /* 1469494 */     GIR_EraseRootFromParent_Done,
     /* 1469495 */   // Label 20600: @1469495
     /* 1469495 */   GIM_Try, /*On fail goto*//*Label 20601*/ GIMT_Encode4(1469595), // Rule ID 14528 //
     /* 1469500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1469511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1469514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1469517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469550 */     // MIs[1] Operand 1
     /* 1469550 */     // No operand predicates
     /* 1469550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469554 */     // MIs[0] policy
     /* 1469554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469566 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469594 */     // GIR_Coverage, 14528,
     /* 1469594 */     GIR_EraseRootFromParent_Done,
     /* 1469595 */   // Label 20601: @1469595
     /* 1469595 */   GIM_Try, /*On fail goto*//*Label 20602*/ GIMT_Encode4(1469695), // Rule ID 14529 //
     /* 1469600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1469611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1469614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1469617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469650 */     // MIs[1] Operand 1
     /* 1469650 */     // No operand predicates
     /* 1469650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469654 */     // MIs[0] policy
     /* 1469654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469694 */     // GIR_Coverage, 14529,
     /* 1469694 */     GIR_EraseRootFromParent_Done,
     /* 1469695 */   // Label 20602: @1469695
     /* 1469695 */   GIM_Try, /*On fail goto*//*Label 20603*/ GIMT_Encode4(1469795), // Rule ID 14532 //
     /* 1469700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1469711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1469714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1469717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469750 */     // MIs[1] Operand 1
     /* 1469750 */     // No operand predicates
     /* 1469750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469754 */     // MIs[0] policy
     /* 1469754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469766 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469794 */     // GIR_Coverage, 14532,
     /* 1469794 */     GIR_EraseRootFromParent_Done,
     /* 1469795 */   // Label 20603: @1469795
     /* 1469795 */   GIM_Try, /*On fail goto*//*Label 20604*/ GIMT_Encode4(1469895), // Rule ID 14533 //
     /* 1469800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1469811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1469814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1469817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469850 */     // MIs[1] Operand 1
     /* 1469850 */     // No operand predicates
     /* 1469850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469854 */     // MIs[0] policy
     /* 1469854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469866 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469894 */     // GIR_Coverage, 14533,
     /* 1469894 */     GIR_EraseRootFromParent_Done,
     /* 1469895 */   // Label 20604: @1469895
     /* 1469895 */   GIM_Try, /*On fail goto*//*Label 20605*/ GIMT_Encode4(1469995), // Rule ID 14536 //
     /* 1469900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1469911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1469914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1469917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469950 */     // MIs[1] Operand 1
     /* 1469950 */     // No operand predicates
     /* 1469950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469954 */     // MIs[0] policy
     /* 1469954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469966 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1469969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469994 */     // GIR_Coverage, 14536,
     /* 1469994 */     GIR_EraseRootFromParent_Done,
     /* 1469995 */   // Label 20605: @1469995
     /* 1469995 */   GIM_Try, /*On fail goto*//*Label 20606*/ GIMT_Encode4(1470095), // Rule ID 14537 //
     /* 1470000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1470003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1470011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1470014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1470017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470050 */     // MIs[1] Operand 1
     /* 1470050 */     // No operand predicates
     /* 1470050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470054 */     // MIs[0] policy
     /* 1470054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1470069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1470088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470094 */     // GIR_Coverage, 14537,
     /* 1470094 */     GIR_EraseRootFromParent_Done,
     /* 1470095 */   // Label 20606: @1470095
     /* 1470095 */   GIM_Try, /*On fail goto*//*Label 20607*/ GIMT_Encode4(1470195), // Rule ID 14540 //
     /* 1470100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1470111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1470114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1470117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1470123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470150 */     // MIs[1] Operand 1
     /* 1470150 */     // No operand predicates
     /* 1470150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470154 */     // MIs[0] policy
     /* 1470154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470166 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1470169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470194 */     // GIR_Coverage, 14540,
     /* 1470194 */     GIR_EraseRootFromParent_Done,
     /* 1470195 */   // Label 20607: @1470195
     /* 1470195 */   GIM_Try, /*On fail goto*//*Label 20608*/ GIMT_Encode4(1470295), // Rule ID 14541 //
     /* 1470200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1470211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1470214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1470217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1470223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470250 */     // MIs[1] Operand 1
     /* 1470250 */     // No operand predicates
     /* 1470250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470254 */     // MIs[0] policy
     /* 1470254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1470269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470294 */     // GIR_Coverage, 14541,
     /* 1470294 */     GIR_EraseRootFromParent_Done,
     /* 1470295 */   // Label 20608: @1470295
     /* 1470295 */   GIM_Try, /*On fail goto*//*Label 20609*/ GIMT_Encode4(1470395), // Rule ID 14544 //
     /* 1470300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1470311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1470314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1470317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1470323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470350 */     // MIs[1] Operand 1
     /* 1470350 */     // No operand predicates
     /* 1470350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470354 */     // MIs[0] policy
     /* 1470354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470366 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1470369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470394 */     // GIR_Coverage, 14544,
     /* 1470394 */     GIR_EraseRootFromParent_Done,
     /* 1470395 */   // Label 20609: @1470395
     /* 1470395 */   GIM_Try, /*On fail goto*//*Label 20610*/ GIMT_Encode4(1470495), // Rule ID 14545 //
     /* 1470400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1470411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1470414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1470417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1470423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470450 */     // MIs[1] Operand 1
     /* 1470450 */     // No operand predicates
     /* 1470450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470454 */     // MIs[0] policy
     /* 1470454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470466 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1470469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470494 */     // GIR_Coverage, 14545,
     /* 1470494 */     GIR_EraseRootFromParent_Done,
     /* 1470495 */   // Label 20610: @1470495
     /* 1470495 */   GIM_Try, /*On fail goto*//*Label 20611*/ GIMT_Encode4(1470595), // Rule ID 14548 //
     /* 1470500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1470511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1470514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1470517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1470523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470550 */     // MIs[1] Operand 1
     /* 1470550 */     // No operand predicates
     /* 1470550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470554 */     // MIs[0] policy
     /* 1470554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470566 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1470569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470594 */     // GIR_Coverage, 14548,
     /* 1470594 */     GIR_EraseRootFromParent_Done,
     /* 1470595 */   // Label 20611: @1470595
     /* 1470595 */   GIM_Try, /*On fail goto*//*Label 20612*/ GIMT_Encode4(1470695), // Rule ID 14549 //
     /* 1470600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1470611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1470614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1470617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1470623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470650 */     // MIs[1] Operand 1
     /* 1470650 */     // No operand predicates
     /* 1470650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470654 */     // MIs[0] policy
     /* 1470654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470666 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1470669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470694 */     // GIR_Coverage, 14549,
     /* 1470694 */     GIR_EraseRootFromParent_Done,
     /* 1470695 */   // Label 20612: @1470695
     /* 1470695 */   GIM_Try, /*On fail goto*//*Label 20613*/ GIMT_Encode4(1470795), // Rule ID 14552 //
     /* 1470700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1470711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1470714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1470717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470750 */     // MIs[1] Operand 1
     /* 1470750 */     // No operand predicates
     /* 1470750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470754 */     // MIs[0] policy
     /* 1470754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470766 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1470769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470794 */     // GIR_Coverage, 14552,
     /* 1470794 */     GIR_EraseRootFromParent_Done,
     /* 1470795 */   // Label 20613: @1470795
     /* 1470795 */   GIM_Try, /*On fail goto*//*Label 20614*/ GIMT_Encode4(1470895), // Rule ID 14553 //
     /* 1470800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1470811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1470814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1470817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470850 */     // MIs[1] Operand 1
     /* 1470850 */     // No operand predicates
     /* 1470850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470854 */     // MIs[0] policy
     /* 1470854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470866 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1470869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470894 */     // GIR_Coverage, 14553,
     /* 1470894 */     GIR_EraseRootFromParent_Done,
     /* 1470895 */   // Label 20614: @1470895
     /* 1470895 */   GIM_Try, /*On fail goto*//*Label 20615*/ GIMT_Encode4(1470995), // Rule ID 14556 //
     /* 1470900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1470908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1470911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1470914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1470917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1470923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470950 */     // MIs[1] Operand 1
     /* 1470950 */     // No operand predicates
     /* 1470950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470954 */     // MIs[0] policy
     /* 1470954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470966 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1470969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470994 */     // GIR_Coverage, 14556,
     /* 1470994 */     GIR_EraseRootFromParent_Done,
     /* 1470995 */   // Label 20615: @1470995
     /* 1470995 */   GIM_Try, /*On fail goto*//*Label 20616*/ GIMT_Encode4(1471095), // Rule ID 14557 //
     /* 1471000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1471011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1471014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1471017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471050 */     // MIs[1] Operand 1
     /* 1471050 */     // No operand predicates
     /* 1471050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471054 */     // MIs[0] policy
     /* 1471054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471066 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1471069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471094 */     // GIR_Coverage, 14557,
     /* 1471094 */     GIR_EraseRootFromParent_Done,
     /* 1471095 */   // Label 20616: @1471095
     /* 1471095 */   GIM_Try, /*On fail goto*//*Label 20617*/ GIMT_Encode4(1471195), // Rule ID 14560 //
     /* 1471100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1471111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1471114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1471117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1471123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471150 */     // MIs[1] Operand 1
     /* 1471150 */     // No operand predicates
     /* 1471150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471154 */     // MIs[0] policy
     /* 1471154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471166 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1471169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471194 */     // GIR_Coverage, 14560,
     /* 1471194 */     GIR_EraseRootFromParent_Done,
     /* 1471195 */   // Label 20617: @1471195
     /* 1471195 */   GIM_Try, /*On fail goto*//*Label 20618*/ GIMT_Encode4(1471295), // Rule ID 14561 //
     /* 1471200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1471211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1471214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1471217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1471223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471250 */     // MIs[1] Operand 1
     /* 1471250 */     // No operand predicates
     /* 1471250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471254 */     // MIs[0] policy
     /* 1471254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471266 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1471269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471294 */     // GIR_Coverage, 14561,
     /* 1471294 */     GIR_EraseRootFromParent_Done,
     /* 1471295 */   // Label 20618: @1471295
     /* 1471295 */   GIM_Try, /*On fail goto*//*Label 20619*/ GIMT_Encode4(1471395), // Rule ID 14564 //
     /* 1471300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1471311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1471314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1471317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471350 */     // MIs[1] Operand 1
     /* 1471350 */     // No operand predicates
     /* 1471350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471354 */     // MIs[0] policy
     /* 1471354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1471369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471394 */     // GIR_Coverage, 14564,
     /* 1471394 */     GIR_EraseRootFromParent_Done,
     /* 1471395 */   // Label 20619: @1471395
     /* 1471395 */   GIM_Try, /*On fail goto*//*Label 20620*/ GIMT_Encode4(1471495), // Rule ID 14565 //
     /* 1471400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1471411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1471414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1471417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471450 */     // MIs[1] Operand 1
     /* 1471450 */     // No operand predicates
     /* 1471450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471454 */     // MIs[0] policy
     /* 1471454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471466 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1471469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471494 */     // GIR_Coverage, 14565,
     /* 1471494 */     GIR_EraseRootFromParent_Done,
     /* 1471495 */   // Label 20620: @1471495
     /* 1471495 */   GIM_Try, /*On fail goto*//*Label 20621*/ GIMT_Encode4(1471595), // Rule ID 14568 //
     /* 1471500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1471511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1471514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1471517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471550 */     // MIs[1] Operand 1
     /* 1471550 */     // No operand predicates
     /* 1471550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471554 */     // MIs[0] policy
     /* 1471554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471566 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1471569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471594 */     // GIR_Coverage, 14568,
     /* 1471594 */     GIR_EraseRootFromParent_Done,
     /* 1471595 */   // Label 20621: @1471595
     /* 1471595 */   GIM_Try, /*On fail goto*//*Label 20622*/ GIMT_Encode4(1471695), // Rule ID 14569 //
     /* 1471600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1471611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1471614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1471617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471650 */     // MIs[1] Operand 1
     /* 1471650 */     // No operand predicates
     /* 1471650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471654 */     // MIs[0] policy
     /* 1471654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471666 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1471669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471694 */     // GIR_Coverage, 14569,
     /* 1471694 */     GIR_EraseRootFromParent_Done,
     /* 1471695 */   // Label 20622: @1471695
     /* 1471695 */   GIM_Try, /*On fail goto*//*Label 20623*/ GIMT_Encode4(1471795), // Rule ID 14572 //
     /* 1471700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1471711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1471714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1471717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471750 */     // MIs[1] Operand 1
     /* 1471750 */     // No operand predicates
     /* 1471750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471754 */     // MIs[0] policy
     /* 1471754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471766 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1471769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471794 */     // GIR_Coverage, 14572,
     /* 1471794 */     GIR_EraseRootFromParent_Done,
     /* 1471795 */   // Label 20623: @1471795
     /* 1471795 */   GIM_Try, /*On fail goto*//*Label 20624*/ GIMT_Encode4(1471895), // Rule ID 14573 //
     /* 1471800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1471811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1471814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1471817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471850 */     // MIs[1] Operand 1
     /* 1471850 */     // No operand predicates
     /* 1471850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471854 */     // MIs[0] policy
     /* 1471854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1471869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471894 */     // GIR_Coverage, 14573,
     /* 1471894 */     GIR_EraseRootFromParent_Done,
     /* 1471895 */   // Label 20624: @1471895
     /* 1471895 */   GIM_Try, /*On fail goto*//*Label 20625*/ GIMT_Encode4(1471995), // Rule ID 14576 //
     /* 1471900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1471903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1471908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1471911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1471914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1471917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471950 */     // MIs[1] Operand 1
     /* 1471950 */     // No operand predicates
     /* 1471950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471954 */     // MIs[0] policy
     /* 1471954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471966 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1471969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471994 */     // GIR_Coverage, 14576,
     /* 1471994 */     GIR_EraseRootFromParent_Done,
     /* 1471995 */   // Label 20625: @1471995
     /* 1471995 */   GIM_Try, /*On fail goto*//*Label 20626*/ GIMT_Encode4(1472095), // Rule ID 14577 //
     /* 1472000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1472003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1472008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1472011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1472014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1472017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472050 */     // MIs[1] Operand 1
     /* 1472050 */     // No operand predicates
     /* 1472050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472054 */     // MIs[0] policy
     /* 1472054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472066 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1472069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472094 */     // GIR_Coverage, 14577,
     /* 1472094 */     GIR_EraseRootFromParent_Done,
     /* 1472095 */   // Label 20626: @1472095
     /* 1472095 */   GIM_Try, /*On fail goto*//*Label 20627*/ GIMT_Encode4(1472195), // Rule ID 14580 //
     /* 1472100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1472103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1472108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1472111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1472114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1472117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472150 */     // MIs[1] Operand 1
     /* 1472150 */     // No operand predicates
     /* 1472150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472154 */     // MIs[0] policy
     /* 1472154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472166 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1472169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472194 */     // GIR_Coverage, 14580,
     /* 1472194 */     GIR_EraseRootFromParent_Done,
     /* 1472195 */   // Label 20627: @1472195
     /* 1472195 */   GIM_Try, /*On fail goto*//*Label 20628*/ GIMT_Encode4(1472295), // Rule ID 14581 //
     /* 1472200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1472203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1472208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1472211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1472214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1472217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472250 */     // MIs[1] Operand 1
     /* 1472250 */     // No operand predicates
     /* 1472250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472254 */     // MIs[0] policy
     /* 1472254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472266 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1472269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472294 */     // GIR_Coverage, 14581,
     /* 1472294 */     GIR_EraseRootFromParent_Done,
     /* 1472295 */   // Label 20628: @1472295
     /* 1472295 */   GIM_Try, /*On fail goto*//*Label 20629*/ GIMT_Encode4(1472395), // Rule ID 14584 //
     /* 1472300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1472303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1472308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1472311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1472314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1472317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472350 */     // MIs[1] Operand 1
     /* 1472350 */     // No operand predicates
     /* 1472350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472354 */     // MIs[0] policy
     /* 1472354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472366 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1472369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472394 */     // GIR_Coverage, 14584,
     /* 1472394 */     GIR_EraseRootFromParent_Done,
     /* 1472395 */   // Label 20629: @1472395
     /* 1472395 */   GIM_Try, /*On fail goto*//*Label 20630*/ GIMT_Encode4(1472495), // Rule ID 14585 //
     /* 1472400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1472403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1472408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1472411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1472414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1472417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472450 */     // MIs[1] Operand 1
     /* 1472450 */     // No operand predicates
     /* 1472450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472454 */     // MIs[0] policy
     /* 1472454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472466 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1472469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472494 */     // GIR_Coverage, 14585,
     /* 1472494 */     GIR_EraseRootFromParent_Done,
     /* 1472495 */   // Label 20630: @1472495
     /* 1472495 */   GIM_Try, /*On fail goto*//*Label 20631*/ GIMT_Encode4(1472592), // Rule ID 23704 //
     /* 1472500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1472511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1472514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1472517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472550 */     // MIs[1] Operand 1
     /* 1472550 */     // No operand predicates
     /* 1472550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472554 */     // MIs[0] policy
     /* 1472554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472566 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1472569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472591 */     // GIR_Coverage, 23704,
     /* 1472591 */     GIR_EraseRootFromParent_Done,
     /* 1472592 */   // Label 20631: @1472592
     /* 1472592 */   GIM_Try, /*On fail goto*//*Label 20632*/ GIMT_Encode4(1472689), // Rule ID 23705 //
     /* 1472597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1472608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1472611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1472614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472647 */     // MIs[1] Operand 1
     /* 1472647 */     // No operand predicates
     /* 1472647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472651 */     // MIs[0] policy
     /* 1472651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472663 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1472666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472688 */     // GIR_Coverage, 23705,
     /* 1472688 */     GIR_EraseRootFromParent_Done,
     /* 1472689 */   // Label 20632: @1472689
     /* 1472689 */   GIM_Try, /*On fail goto*//*Label 20633*/ GIMT_Encode4(1472786), // Rule ID 23708 //
     /* 1472694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1472705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1472708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1472711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472744 */     // MIs[1] Operand 1
     /* 1472744 */     // No operand predicates
     /* 1472744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472748 */     // MIs[0] policy
     /* 1472748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472760 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1472763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472785 */     // GIR_Coverage, 23708,
     /* 1472785 */     GIR_EraseRootFromParent_Done,
     /* 1472786 */   // Label 20633: @1472786
     /* 1472786 */   GIM_Try, /*On fail goto*//*Label 20634*/ GIMT_Encode4(1472883), // Rule ID 23709 //
     /* 1472791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1472802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1472805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1472808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472841 */     // MIs[1] Operand 1
     /* 1472841 */     // No operand predicates
     /* 1472841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472845 */     // MIs[0] policy
     /* 1472845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472857 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1472860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472882 */     // GIR_Coverage, 23709,
     /* 1472882 */     GIR_EraseRootFromParent_Done,
     /* 1472883 */   // Label 20634: @1472883
     /* 1472883 */   GIM_Try, /*On fail goto*//*Label 20635*/ GIMT_Encode4(1472980), // Rule ID 23712 //
     /* 1472888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1472899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1472902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1472905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472938 */     // MIs[1] Operand 1
     /* 1472938 */     // No operand predicates
     /* 1472938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472942 */     // MIs[0] policy
     /* 1472942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472954 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1472957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472979 */     // GIR_Coverage, 23712,
     /* 1472979 */     GIR_EraseRootFromParent_Done,
     /* 1472980 */   // Label 20635: @1472980
     /* 1472980 */   GIM_Try, /*On fail goto*//*Label 20636*/ GIMT_Encode4(1473077), // Rule ID 23713 //
     /* 1472985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1472996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1472999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1473002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473035 */     // MIs[1] Operand 1
     /* 1473035 */     // No operand predicates
     /* 1473035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473039 */     // MIs[0] policy
     /* 1473039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473051 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1473054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473076 */     // GIR_Coverage, 23713,
     /* 1473076 */     GIR_EraseRootFromParent_Done,
     /* 1473077 */   // Label 20636: @1473077
     /* 1473077 */   GIM_Try, /*On fail goto*//*Label 20637*/ GIMT_Encode4(1473174), // Rule ID 23716 //
     /* 1473082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1473093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1473096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1473099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473132 */     // MIs[1] Operand 1
     /* 1473132 */     // No operand predicates
     /* 1473132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473136 */     // MIs[0] policy
     /* 1473136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473148 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1473151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473173 */     // GIR_Coverage, 23716,
     /* 1473173 */     GIR_EraseRootFromParent_Done,
     /* 1473174 */   // Label 20637: @1473174
     /* 1473174 */   GIM_Try, /*On fail goto*//*Label 20638*/ GIMT_Encode4(1473271), // Rule ID 23717 //
     /* 1473179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1473190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1473193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1473196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473229 */     // MIs[1] Operand 1
     /* 1473229 */     // No operand predicates
     /* 1473229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473233 */     // MIs[0] policy
     /* 1473233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473245 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1473248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473270 */     // GIR_Coverage, 23717,
     /* 1473270 */     GIR_EraseRootFromParent_Done,
     /* 1473271 */   // Label 20638: @1473271
     /* 1473271 */   GIM_Try, /*On fail goto*//*Label 20639*/ GIMT_Encode4(1473368), // Rule ID 23720 //
     /* 1473276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1473287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1473290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1473293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473326 */     // MIs[1] Operand 1
     /* 1473326 */     // No operand predicates
     /* 1473326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473330 */     // MIs[0] policy
     /* 1473330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473342 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1473345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473367 */     // GIR_Coverage, 23720,
     /* 1473367 */     GIR_EraseRootFromParent_Done,
     /* 1473368 */   // Label 20639: @1473368
     /* 1473368 */   GIM_Try, /*On fail goto*//*Label 20640*/ GIMT_Encode4(1473465), // Rule ID 23721 //
     /* 1473373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1473384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1473387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1473390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473423 */     // MIs[1] Operand 1
     /* 1473423 */     // No operand predicates
     /* 1473423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473427 */     // MIs[0] policy
     /* 1473427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473439 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1473442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473464 */     // GIR_Coverage, 23721,
     /* 1473464 */     GIR_EraseRootFromParent_Done,
     /* 1473465 */   // Label 20640: @1473465
     /* 1473465 */   GIM_Try, /*On fail goto*//*Label 20641*/ GIMT_Encode4(1473562), // Rule ID 23724 //
     /* 1473470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1473481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1473484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1473487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473520 */     // MIs[1] Operand 1
     /* 1473520 */     // No operand predicates
     /* 1473520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473524 */     // MIs[0] policy
     /* 1473524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473536 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1473539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473561 */     // GIR_Coverage, 23724,
     /* 1473561 */     GIR_EraseRootFromParent_Done,
     /* 1473562 */   // Label 20641: @1473562
     /* 1473562 */   GIM_Try, /*On fail goto*//*Label 20642*/ GIMT_Encode4(1473659), // Rule ID 23725 //
     /* 1473567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1473578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1473581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1473584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473617 */     // MIs[1] Operand 1
     /* 1473617 */     // No operand predicates
     /* 1473617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473621 */     // MIs[0] policy
     /* 1473621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473633 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1473636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473658 */     // GIR_Coverage, 23725,
     /* 1473658 */     GIR_EraseRootFromParent_Done,
     /* 1473659 */   // Label 20642: @1473659
     /* 1473659 */   GIM_Try, /*On fail goto*//*Label 20643*/ GIMT_Encode4(1473756), // Rule ID 23728 //
     /* 1473664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1473675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1473678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1473681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473714 */     // MIs[1] Operand 1
     /* 1473714 */     // No operand predicates
     /* 1473714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473718 */     // MIs[0] policy
     /* 1473718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473755 */     // GIR_Coverage, 23728,
     /* 1473755 */     GIR_EraseRootFromParent_Done,
     /* 1473756 */   // Label 20643: @1473756
     /* 1473756 */   GIM_Try, /*On fail goto*//*Label 20644*/ GIMT_Encode4(1473853), // Rule ID 23729 //
     /* 1473761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1473772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1473775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1473778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473811 */     // MIs[1] Operand 1
     /* 1473811 */     // No operand predicates
     /* 1473811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473815 */     // MIs[0] policy
     /* 1473815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473827 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473852 */     // GIR_Coverage, 23729,
     /* 1473852 */     GIR_EraseRootFromParent_Done,
     /* 1473853 */   // Label 20644: @1473853
     /* 1473853 */   GIM_Try, /*On fail goto*//*Label 20645*/ GIMT_Encode4(1473950), // Rule ID 23732 //
     /* 1473858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1473869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1473872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1473875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473908 */     // MIs[1] Operand 1
     /* 1473908 */     // No operand predicates
     /* 1473908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473912 */     // MIs[0] policy
     /* 1473912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473949 */     // GIR_Coverage, 23732,
     /* 1473949 */     GIR_EraseRootFromParent_Done,
     /* 1473950 */   // Label 20645: @1473950
     /* 1473950 */   GIM_Try, /*On fail goto*//*Label 20646*/ GIMT_Encode4(1474047), // Rule ID 23733 //
     /* 1473955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1473966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1473969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1473972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474005 */     // MIs[1] Operand 1
     /* 1474005 */     // No operand predicates
     /* 1474005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474009 */     // MIs[0] policy
     /* 1474009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474046 */     // GIR_Coverage, 23733,
     /* 1474046 */     GIR_EraseRootFromParent_Done,
     /* 1474047 */   // Label 20646: @1474047
     /* 1474047 */   GIM_Try, /*On fail goto*//*Label 20647*/ GIMT_Encode4(1474144), // Rule ID 23736 //
     /* 1474052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1474063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1474066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1474069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474102 */     // MIs[1] Operand 1
     /* 1474102 */     // No operand predicates
     /* 1474102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474106 */     // MIs[0] policy
     /* 1474106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474143 */     // GIR_Coverage, 23736,
     /* 1474143 */     GIR_EraseRootFromParent_Done,
     /* 1474144 */   // Label 20647: @1474144
     /* 1474144 */   GIM_Try, /*On fail goto*//*Label 20648*/ GIMT_Encode4(1474241), // Rule ID 23737 //
     /* 1474149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1474160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1474163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1474166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474199 */     // MIs[1] Operand 1
     /* 1474199 */     // No operand predicates
     /* 1474199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474203 */     // MIs[0] policy
     /* 1474203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474215 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474240 */     // GIR_Coverage, 23737,
     /* 1474240 */     GIR_EraseRootFromParent_Done,
     /* 1474241 */   // Label 20648: @1474241
     /* 1474241 */   GIM_Try, /*On fail goto*//*Label 20649*/ GIMT_Encode4(1474338), // Rule ID 23740 //
     /* 1474246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1474249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1474257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1474260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1474263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474296 */     // MIs[1] Operand 1
     /* 1474296 */     // No operand predicates
     /* 1474296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474300 */     // MIs[0] policy
     /* 1474300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474312 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474337 */     // GIR_Coverage, 23740,
     /* 1474337 */     GIR_EraseRootFromParent_Done,
     /* 1474338 */   // Label 20649: @1474338
     /* 1474338 */   GIM_Try, /*On fail goto*//*Label 20650*/ GIMT_Encode4(1474435), // Rule ID 23741 //
     /* 1474343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1474346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1474354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1474357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1474360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474393 */     // MIs[1] Operand 1
     /* 1474393 */     // No operand predicates
     /* 1474393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474397 */     // MIs[0] policy
     /* 1474397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474409 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474434 */     // GIR_Coverage, 23741,
     /* 1474434 */     GIR_EraseRootFromParent_Done,
     /* 1474435 */   // Label 20650: @1474435
     /* 1474435 */   GIM_Try, /*On fail goto*//*Label 20651*/ GIMT_Encode4(1474532), // Rule ID 23744 //
     /* 1474440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1474451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1474454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1474457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474490 */     // MIs[1] Operand 1
     /* 1474490 */     // No operand predicates
     /* 1474490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474494 */     // MIs[0] policy
     /* 1474494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474506 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1474509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474531 */     // GIR_Coverage, 23744,
     /* 1474531 */     GIR_EraseRootFromParent_Done,
     /* 1474532 */   // Label 20651: @1474532
     /* 1474532 */   GIM_Try, /*On fail goto*//*Label 20652*/ GIMT_Encode4(1474629), // Rule ID 23745 //
     /* 1474537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1474548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1474551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1474554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474587 */     // MIs[1] Operand 1
     /* 1474587 */     // No operand predicates
     /* 1474587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474591 */     // MIs[0] policy
     /* 1474591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474603 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1474606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474628 */     // GIR_Coverage, 23745,
     /* 1474628 */     GIR_EraseRootFromParent_Done,
     /* 1474629 */   // Label 20652: @1474629
     /* 1474629 */   GIM_Try, /*On fail goto*//*Label 20653*/ GIMT_Encode4(1474726), // Rule ID 23748 //
     /* 1474634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1474645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1474648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1474651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1474657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474684 */     // MIs[1] Operand 1
     /* 1474684 */     // No operand predicates
     /* 1474684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474688 */     // MIs[0] policy
     /* 1474688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474700 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1474703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474725 */     // GIR_Coverage, 23748,
     /* 1474725 */     GIR_EraseRootFromParent_Done,
     /* 1474726 */   // Label 20653: @1474726
     /* 1474726 */   GIM_Try, /*On fail goto*//*Label 20654*/ GIMT_Encode4(1474823), // Rule ID 23749 //
     /* 1474731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1474742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1474745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1474748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1474754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474781 */     // MIs[1] Operand 1
     /* 1474781 */     // No operand predicates
     /* 1474781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474785 */     // MIs[0] policy
     /* 1474785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474797 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1474800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474822 */     // GIR_Coverage, 23749,
     /* 1474822 */     GIR_EraseRootFromParent_Done,
     /* 1474823 */   // Label 20654: @1474823
     /* 1474823 */   GIM_Try, /*On fail goto*//*Label 20655*/ GIMT_Encode4(1474920), // Rule ID 23752 //
     /* 1474828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1474839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1474842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1474845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1474851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474878 */     // MIs[1] Operand 1
     /* 1474878 */     // No operand predicates
     /* 1474878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474882 */     // MIs[0] policy
     /* 1474882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474894 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1474897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474919 */     // GIR_Coverage, 23752,
     /* 1474919 */     GIR_EraseRootFromParent_Done,
     /* 1474920 */   // Label 20655: @1474920
     /* 1474920 */   GIM_Try, /*On fail goto*//*Label 20656*/ GIMT_Encode4(1475017), // Rule ID 23753 //
     /* 1474925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1474936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1474939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1474942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1474948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474975 */     // MIs[1] Operand 1
     /* 1474975 */     // No operand predicates
     /* 1474975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474979 */     // MIs[0] policy
     /* 1474979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474991 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1474994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475016 */     // GIR_Coverage, 23753,
     /* 1475016 */     GIR_EraseRootFromParent_Done,
     /* 1475017 */   // Label 20656: @1475017
     /* 1475017 */   GIM_Try, /*On fail goto*//*Label 20657*/ GIMT_Encode4(1475114), // Rule ID 23756 //
     /* 1475022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1475033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1475036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1475039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475072 */     // MIs[1] Operand 1
     /* 1475072 */     // No operand predicates
     /* 1475072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475076 */     // MIs[0] policy
     /* 1475076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475088 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475113 */     // GIR_Coverage, 23756,
     /* 1475113 */     GIR_EraseRootFromParent_Done,
     /* 1475114 */   // Label 20657: @1475114
     /* 1475114 */   GIM_Try, /*On fail goto*//*Label 20658*/ GIMT_Encode4(1475211), // Rule ID 23757 //
     /* 1475119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1475130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1475133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1475136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475169 */     // MIs[1] Operand 1
     /* 1475169 */     // No operand predicates
     /* 1475169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475173 */     // MIs[0] policy
     /* 1475173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475185 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475210 */     // GIR_Coverage, 23757,
     /* 1475210 */     GIR_EraseRootFromParent_Done,
     /* 1475211 */   // Label 20658: @1475211
     /* 1475211 */   GIM_Try, /*On fail goto*//*Label 20659*/ GIMT_Encode4(1475308), // Rule ID 23760 //
     /* 1475216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1475233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475266 */     // MIs[1] Operand 1
     /* 1475266 */     // No operand predicates
     /* 1475266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475270 */     // MIs[0] policy
     /* 1475270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475282 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475307 */     // GIR_Coverage, 23760,
     /* 1475307 */     GIR_EraseRootFromParent_Done,
     /* 1475308 */   // Label 20659: @1475308
     /* 1475308 */   GIM_Try, /*On fail goto*//*Label 20660*/ GIMT_Encode4(1475405), // Rule ID 23761 //
     /* 1475313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1475330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475363 */     // MIs[1] Operand 1
     /* 1475363 */     // No operand predicates
     /* 1475363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475367 */     // MIs[0] policy
     /* 1475367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475379 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475404 */     // GIR_Coverage, 23761,
     /* 1475404 */     GIR_EraseRootFromParent_Done,
     /* 1475405 */   // Label 20660: @1475405
     /* 1475405 */   GIM_Try, /*On fail goto*//*Label 20661*/ GIMT_Encode4(1475502), // Rule ID 23764 //
     /* 1475410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1475427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475460 */     // MIs[1] Operand 1
     /* 1475460 */     // No operand predicates
     /* 1475460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475464 */     // MIs[0] policy
     /* 1475464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475476 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475501 */     // GIR_Coverage, 23764,
     /* 1475501 */     GIR_EraseRootFromParent_Done,
     /* 1475502 */   // Label 20661: @1475502
     /* 1475502 */   GIM_Try, /*On fail goto*//*Label 20662*/ GIMT_Encode4(1475599), // Rule ID 23765 //
     /* 1475507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1475524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475557 */     // MIs[1] Operand 1
     /* 1475557 */     // No operand predicates
     /* 1475557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475561 */     // MIs[0] policy
     /* 1475561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475573 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475598 */     // GIR_Coverage, 23765,
     /* 1475598 */     GIR_EraseRootFromParent_Done,
     /* 1475599 */   // Label 20662: @1475599
     /* 1475599 */   GIM_Try, /*On fail goto*//*Label 20663*/ GIMT_Encode4(1475696), // Rule ID 23768 //
     /* 1475604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1475615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1475618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1475621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475654 */     // MIs[1] Operand 1
     /* 1475654 */     // No operand predicates
     /* 1475654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475658 */     // MIs[0] policy
     /* 1475658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475670 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475695 */     // GIR_Coverage, 23768,
     /* 1475695 */     GIR_EraseRootFromParent_Done,
     /* 1475696 */   // Label 20663: @1475696
     /* 1475696 */   GIM_Try, /*On fail goto*//*Label 20664*/ GIMT_Encode4(1475793), // Rule ID 23769 //
     /* 1475701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1475712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1475715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1475718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475751 */     // MIs[1] Operand 1
     /* 1475751 */     // No operand predicates
     /* 1475751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475755 */     // MIs[0] policy
     /* 1475755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475767 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475792 */     // GIR_Coverage, 23769,
     /* 1475792 */     GIR_EraseRootFromParent_Done,
     /* 1475793 */   // Label 20664: @1475793
     /* 1475793 */   GIM_Try, /*On fail goto*//*Label 20665*/ GIMT_Encode4(1475890), // Rule ID 23772 //
     /* 1475798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1475809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1475812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1475815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475848 */     // MIs[1] Operand 1
     /* 1475848 */     // No operand predicates
     /* 1475848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475852 */     // MIs[0] policy
     /* 1475852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475889 */     // GIR_Coverage, 23772,
     /* 1475889 */     GIR_EraseRootFromParent_Done,
     /* 1475890 */   // Label 20665: @1475890
     /* 1475890 */   GIM_Try, /*On fail goto*//*Label 20666*/ GIMT_Encode4(1475987), // Rule ID 23773 //
     /* 1475895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1475906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1475909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1475912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475945 */     // MIs[1] Operand 1
     /* 1475945 */     // No operand predicates
     /* 1475945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475949 */     // MIs[0] policy
     /* 1475949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475986 */     // GIR_Coverage, 23773,
     /* 1475986 */     GIR_EraseRootFromParent_Done,
     /* 1475987 */   // Label 20666: @1475987
     /* 1475987 */   GIM_Try, /*On fail goto*//*Label 20667*/ GIMT_Encode4(1476084), // Rule ID 23776 //
     /* 1475992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1476003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1476006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1476009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476042 */     // MIs[1] Operand 1
     /* 1476042 */     // No operand predicates
     /* 1476042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476046 */     // MIs[0] policy
     /* 1476046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476083 */     // GIR_Coverage, 23776,
     /* 1476083 */     GIR_EraseRootFromParent_Done,
     /* 1476084 */   // Label 20667: @1476084
     /* 1476084 */   GIM_Try, /*On fail goto*//*Label 20668*/ GIMT_Encode4(1476181), // Rule ID 23777 //
     /* 1476089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1476100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1476103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1476106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476139 */     // MIs[1] Operand 1
     /* 1476139 */     // No operand predicates
     /* 1476139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476143 */     // MIs[0] policy
     /* 1476143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476155 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476180 */     // GIR_Coverage, 23777,
     /* 1476180 */     GIR_EraseRootFromParent_Done,
     /* 1476181 */   // Label 20668: @1476181
     /* 1476181 */   GIM_Try, /*On fail goto*//*Label 20669*/ GIMT_Encode4(1476278), // Rule ID 23780 //
     /* 1476186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1476189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1476203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476236 */     // MIs[1] Operand 1
     /* 1476236 */     // No operand predicates
     /* 1476236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476240 */     // MIs[0] policy
     /* 1476240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476277 */     // GIR_Coverage, 23780,
     /* 1476277 */     GIR_EraseRootFromParent_Done,
     /* 1476278 */   // Label 20669: @1476278
     /* 1476278 */   GIM_Try, /*On fail goto*//*Label 20670*/ GIMT_Encode4(1476375), // Rule ID 23781 //
     /* 1476283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1476286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1476300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476333 */     // MIs[1] Operand 1
     /* 1476333 */     // No operand predicates
     /* 1476333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476337 */     // MIs[0] policy
     /* 1476337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476349 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476374 */     // GIR_Coverage, 23781,
     /* 1476374 */     GIR_EraseRootFromParent_Done,
     /* 1476375 */   // Label 20670: @1476375
     /* 1476375 */   GIM_Try, /*On fail goto*//*Label 20671*/ GIMT_Encode4(1476472), // Rule ID 23784 //
     /* 1476380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1476383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1476397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476430 */     // MIs[1] Operand 1
     /* 1476430 */     // No operand predicates
     /* 1476430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476434 */     // MIs[0] policy
     /* 1476434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476446 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476471 */     // GIR_Coverage, 23784,
     /* 1476471 */     GIR_EraseRootFromParent_Done,
     /* 1476472 */   // Label 20671: @1476472
     /* 1476472 */   GIM_Try, /*On fail goto*//*Label 20672*/ GIMT_Encode4(1476569), // Rule ID 23785 //
     /* 1476477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1476480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1476494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476527 */     // MIs[1] Operand 1
     /* 1476527 */     // No operand predicates
     /* 1476527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476531 */     // MIs[0] policy
     /* 1476531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476543 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476568 */     // GIR_Coverage, 23785,
     /* 1476568 */     GIR_EraseRootFromParent_Done,
     /* 1476569 */   // Label 20672: @1476569
     /* 1476569 */   GIM_Try, /*On fail goto*//*Label 20673*/ GIMT_Encode4(1476666), // Rule ID 23788 //
     /* 1476574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1476577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1476585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1476588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1476591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476624 */     // MIs[1] Operand 1
     /* 1476624 */     // No operand predicates
     /* 1476624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476628 */     // MIs[0] policy
     /* 1476628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476640 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476665 */     // GIR_Coverage, 23788,
     /* 1476665 */     GIR_EraseRootFromParent_Done,
     /* 1476666 */   // Label 20673: @1476666
     /* 1476666 */   GIM_Try, /*On fail goto*//*Label 20674*/ GIMT_Encode4(1476763), // Rule ID 23789 //
     /* 1476671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1476674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1476682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1476685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1476688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476721 */     // MIs[1] Operand 1
     /* 1476721 */     // No operand predicates
     /* 1476721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476725 */     // MIs[0] policy
     /* 1476725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476737 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476762 */     // GIR_Coverage, 23789,
     /* 1476762 */     GIR_EraseRootFromParent_Done,
     /* 1476763 */   // Label 20674: @1476763
     /* 1476763 */   GIM_Try, /*On fail goto*//*Label 20675*/ GIMT_Encode4(1476860), // Rule ID 23880 //
     /* 1476768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1476779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1476782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1476785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476818 */     // MIs[1] Operand 1
     /* 1476818 */     // No operand predicates
     /* 1476818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476822 */     // MIs[0] policy
     /* 1476822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476834 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1476837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476859 */     // GIR_Coverage, 23880,
     /* 1476859 */     GIR_EraseRootFromParent_Done,
     /* 1476860 */   // Label 20675: @1476860
     /* 1476860 */   GIM_Try, /*On fail goto*//*Label 20676*/ GIMT_Encode4(1476957), // Rule ID 23881 //
     /* 1476865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1476876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1476879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1476882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476915 */     // MIs[1] Operand 1
     /* 1476915 */     // No operand predicates
     /* 1476915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476919 */     // MIs[0] policy
     /* 1476919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476931 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1476934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476956 */     // GIR_Coverage, 23881,
     /* 1476956 */     GIR_EraseRootFromParent_Done,
     /* 1476957 */   // Label 20676: @1476957
     /* 1476957 */   GIM_Try, /*On fail goto*//*Label 20677*/ GIMT_Encode4(1477054), // Rule ID 23884 //
     /* 1476962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1476973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1476976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1476979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477012 */     // MIs[1] Operand 1
     /* 1477012 */     // No operand predicates
     /* 1477012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477016 */     // MIs[0] policy
     /* 1477016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1477031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477053 */     // GIR_Coverage, 23884,
     /* 1477053 */     GIR_EraseRootFromParent_Done,
     /* 1477054 */   // Label 20677: @1477054
     /* 1477054 */   GIM_Try, /*On fail goto*//*Label 20678*/ GIMT_Encode4(1477151), // Rule ID 23885 //
     /* 1477059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1477070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1477073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1477076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477109 */     // MIs[1] Operand 1
     /* 1477109 */     // No operand predicates
     /* 1477109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477113 */     // MIs[0] policy
     /* 1477113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477125 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1477128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477150 */     // GIR_Coverage, 23885,
     /* 1477150 */     GIR_EraseRootFromParent_Done,
     /* 1477151 */   // Label 20678: @1477151
     /* 1477151 */   GIM_Try, /*On fail goto*//*Label 20679*/ GIMT_Encode4(1477248), // Rule ID 23888 //
     /* 1477156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1477167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1477170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1477173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477206 */     // MIs[1] Operand 1
     /* 1477206 */     // No operand predicates
     /* 1477206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477210 */     // MIs[0] policy
     /* 1477210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477222 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477247 */     // GIR_Coverage, 23888,
     /* 1477247 */     GIR_EraseRootFromParent_Done,
     /* 1477248 */   // Label 20679: @1477248
     /* 1477248 */   GIM_Try, /*On fail goto*//*Label 20680*/ GIMT_Encode4(1477345), // Rule ID 23889 //
     /* 1477253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1477264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1477267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1477270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477303 */     // MIs[1] Operand 1
     /* 1477303 */     // No operand predicates
     /* 1477303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477307 */     // MIs[0] policy
     /* 1477307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477319 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477344 */     // GIR_Coverage, 23889,
     /* 1477344 */     GIR_EraseRootFromParent_Done,
     /* 1477345 */   // Label 20680: @1477345
     /* 1477345 */   GIM_Try, /*On fail goto*//*Label 20681*/ GIMT_Encode4(1477442), // Rule ID 23892 //
     /* 1477350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1477361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1477364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1477367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477400 */     // MIs[1] Operand 1
     /* 1477400 */     // No operand predicates
     /* 1477400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477404 */     // MIs[0] policy
     /* 1477404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477416 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1477419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477441 */     // GIR_Coverage, 23892,
     /* 1477441 */     GIR_EraseRootFromParent_Done,
     /* 1477442 */   // Label 20681: @1477442
     /* 1477442 */   GIM_Try, /*On fail goto*//*Label 20682*/ GIMT_Encode4(1477539), // Rule ID 23893 //
     /* 1477447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1477458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1477461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1477464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477497 */     // MIs[1] Operand 1
     /* 1477497 */     // No operand predicates
     /* 1477497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477501 */     // MIs[0] policy
     /* 1477501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477513 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1477516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477538 */     // GIR_Coverage, 23893,
     /* 1477538 */     GIR_EraseRootFromParent_Done,
     /* 1477539 */   // Label 20682: @1477539
     /* 1477539 */   GIM_Try, /*On fail goto*//*Label 20683*/ GIMT_Encode4(1477636), // Rule ID 23896 //
     /* 1477544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1477561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477594 */     // MIs[1] Operand 1
     /* 1477594 */     // No operand predicates
     /* 1477594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477598 */     // MIs[0] policy
     /* 1477598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477610 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477635 */     // GIR_Coverage, 23896,
     /* 1477635 */     GIR_EraseRootFromParent_Done,
     /* 1477636 */   // Label 20683: @1477636
     /* 1477636 */   GIM_Try, /*On fail goto*//*Label 20684*/ GIMT_Encode4(1477733), // Rule ID 23897 //
     /* 1477641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1477658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477691 */     // MIs[1] Operand 1
     /* 1477691 */     // No operand predicates
     /* 1477691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477695 */     // MIs[0] policy
     /* 1477695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477707 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477732 */     // GIR_Coverage, 23897,
     /* 1477732 */     GIR_EraseRootFromParent_Done,
     /* 1477733 */   // Label 20684: @1477733
     /* 1477733 */   GIM_Try, /*On fail goto*//*Label 20685*/ GIMT_Encode4(1477830), // Rule ID 23900 //
     /* 1477738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477788 */     // MIs[1] Operand 1
     /* 1477788 */     // No operand predicates
     /* 1477788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477792 */     // MIs[0] policy
     /* 1477792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477804 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477829 */     // GIR_Coverage, 23900,
     /* 1477829 */     GIR_EraseRootFromParent_Done,
     /* 1477830 */   // Label 20685: @1477830
     /* 1477830 */   GIM_Try, /*On fail goto*//*Label 20686*/ GIMT_Encode4(1477927), // Rule ID 23901 //
     /* 1477835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477885 */     // MIs[1] Operand 1
     /* 1477885 */     // No operand predicates
     /* 1477885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477889 */     // MIs[0] policy
     /* 1477889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477901 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477926 */     // GIR_Coverage, 23901,
     /* 1477926 */     GIR_EraseRootFromParent_Done,
     /* 1477927 */   // Label 20686: @1477927
     /* 1477927 */   GIM_Try, /*On fail goto*//*Label 20687*/ GIMT_Encode4(1478024), // Rule ID 23904 //
     /* 1477932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1477943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1477946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1477949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477982 */     // MIs[1] Operand 1
     /* 1477982 */     // No operand predicates
     /* 1477982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477986 */     // MIs[0] policy
     /* 1477986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477998 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478023 */     // GIR_Coverage, 23904,
     /* 1478023 */     GIR_EraseRootFromParent_Done,
     /* 1478024 */   // Label 20687: @1478024
     /* 1478024 */   GIM_Try, /*On fail goto*//*Label 20688*/ GIMT_Encode4(1478121), // Rule ID 23905 //
     /* 1478029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1478040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1478043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1478046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478079 */     // MIs[1] Operand 1
     /* 1478079 */     // No operand predicates
     /* 1478079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478083 */     // MIs[0] policy
     /* 1478083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478095 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478120 */     // GIR_Coverage, 23905,
     /* 1478120 */     GIR_EraseRootFromParent_Done,
     /* 1478121 */   // Label 20688: @1478121
     /* 1478121 */   GIM_Try, /*On fail goto*//*Label 20689*/ GIMT_Encode4(1478218), // Rule ID 23908 //
     /* 1478126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1478137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1478140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1478143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478176 */     // MIs[1] Operand 1
     /* 1478176 */     // No operand predicates
     /* 1478176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478180 */     // MIs[0] policy
     /* 1478180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478217 */     // GIR_Coverage, 23908,
     /* 1478217 */     GIR_EraseRootFromParent_Done,
     /* 1478218 */   // Label 20689: @1478218
     /* 1478218 */   GIM_Try, /*On fail goto*//*Label 20690*/ GIMT_Encode4(1478315), // Rule ID 23909 //
     /* 1478223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1478234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1478237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1478240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478273 */     // MIs[1] Operand 1
     /* 1478273 */     // No operand predicates
     /* 1478273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478277 */     // MIs[0] policy
     /* 1478277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478289 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478314 */     // GIR_Coverage, 23909,
     /* 1478314 */     GIR_EraseRootFromParent_Done,
     /* 1478315 */   // Label 20690: @1478315
     /* 1478315 */   GIM_Try, /*On fail goto*//*Label 20691*/ GIMT_Encode4(1478412), // Rule ID 23912 //
     /* 1478320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1478331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1478334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1478337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478370 */     // MIs[1] Operand 1
     /* 1478370 */     // No operand predicates
     /* 1478370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478374 */     // MIs[0] policy
     /* 1478374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478411 */     // GIR_Coverage, 23912,
     /* 1478411 */     GIR_EraseRootFromParent_Done,
     /* 1478412 */   // Label 20691: @1478412
     /* 1478412 */   GIM_Try, /*On fail goto*//*Label 20692*/ GIMT_Encode4(1478509), // Rule ID 23913 //
     /* 1478417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1478428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1478431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1478434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478467 */     // MIs[1] Operand 1
     /* 1478467 */     // No operand predicates
     /* 1478467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478471 */     // MIs[0] policy
     /* 1478471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478483 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478508 */     // GIR_Coverage, 23913,
     /* 1478508 */     GIR_EraseRootFromParent_Done,
     /* 1478509 */   // Label 20692: @1478509
     /* 1478509 */   GIM_Try, /*On fail goto*//*Label 20693*/ GIMT_Encode4(1478606), // Rule ID 23916 //
     /* 1478514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1478517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1478531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478564 */     // MIs[1] Operand 1
     /* 1478564 */     // No operand predicates
     /* 1478564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478568 */     // MIs[0] policy
     /* 1478568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478605 */     // GIR_Coverage, 23916,
     /* 1478605 */     GIR_EraseRootFromParent_Done,
     /* 1478606 */   // Label 20693: @1478606
     /* 1478606 */   GIM_Try, /*On fail goto*//*Label 20694*/ GIMT_Encode4(1478703), // Rule ID 23917 //
     /* 1478611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1478614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1478628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478661 */     // MIs[1] Operand 1
     /* 1478661 */     // No operand predicates
     /* 1478661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478665 */     // MIs[0] policy
     /* 1478665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478677 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1478680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478702 */     // GIR_Coverage, 23917,
     /* 1478702 */     GIR_EraseRootFromParent_Done,
     /* 1478703 */   // Label 20694: @1478703
     /* 1478703 */   GIM_Try, /*On fail goto*//*Label 20695*/ GIMT_Encode4(1478800), // Rule ID 23920 //
     /* 1478708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1478719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1478722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1478725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478758 */     // MIs[1] Operand 1
     /* 1478758 */     // No operand predicates
     /* 1478758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478762 */     // MIs[0] policy
     /* 1478762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478774 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478799 */     // GIR_Coverage, 23920,
     /* 1478799 */     GIR_EraseRootFromParent_Done,
     /* 1478800 */   // Label 20695: @1478800
     /* 1478800 */   GIM_Try, /*On fail goto*//*Label 20696*/ GIMT_Encode4(1478897), // Rule ID 23921 //
     /* 1478805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1478816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1478819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1478822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478855 */     // MIs[1] Operand 1
     /* 1478855 */     // No operand predicates
     /* 1478855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478859 */     // MIs[0] policy
     /* 1478859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478871 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478896 */     // GIR_Coverage, 23921,
     /* 1478896 */     GIR_EraseRootFromParent_Done,
     /* 1478897 */   // Label 20696: @1478897
     /* 1478897 */   GIM_Try, /*On fail goto*//*Label 20697*/ GIMT_Encode4(1478994), // Rule ID 23924 //
     /* 1478902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1478913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1478916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1478919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1478925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478952 */     // MIs[1] Operand 1
     /* 1478952 */     // No operand predicates
     /* 1478952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478956 */     // MIs[0] policy
     /* 1478956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478968 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478993 */     // GIR_Coverage, 23924,
     /* 1478993 */     GIR_EraseRootFromParent_Done,
     /* 1478994 */   // Label 20697: @1478994
     /* 1478994 */   GIM_Try, /*On fail goto*//*Label 20698*/ GIMT_Encode4(1479091), // Rule ID 23925 //
     /* 1478999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1479010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1479013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1479016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1479022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479049 */     // MIs[1] Operand 1
     /* 1479049 */     // No operand predicates
     /* 1479049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479053 */     // MIs[0] policy
     /* 1479053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479065 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479090 */     // GIR_Coverage, 23925,
     /* 1479090 */     GIR_EraseRootFromParent_Done,
     /* 1479091 */   // Label 20698: @1479091
     /* 1479091 */   GIM_Try, /*On fail goto*//*Label 20699*/ GIMT_Encode4(1479188), // Rule ID 23928 //
     /* 1479096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1479107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1479110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1479113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1479119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479146 */     // MIs[1] Operand 1
     /* 1479146 */     // No operand predicates
     /* 1479146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479150 */     // MIs[0] policy
     /* 1479150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479162 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479187 */     // GIR_Coverage, 23928,
     /* 1479187 */     GIR_EraseRootFromParent_Done,
     /* 1479188 */   // Label 20699: @1479188
     /* 1479188 */   GIM_Try, /*On fail goto*//*Label 20700*/ GIMT_Encode4(1479285), // Rule ID 23929 //
     /* 1479193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1479204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1479207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1479210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1479216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479243 */     // MIs[1] Operand 1
     /* 1479243 */     // No operand predicates
     /* 1479243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479247 */     // MIs[0] policy
     /* 1479247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479259 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479284 */     // GIR_Coverage, 23929,
     /* 1479284 */     GIR_EraseRootFromParent_Done,
     /* 1479285 */   // Label 20700: @1479285
     /* 1479285 */   GIM_Try, /*On fail goto*//*Label 20701*/ GIMT_Encode4(1479382), // Rule ID 23932 //
     /* 1479290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1479301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1479304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1479307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479340 */     // MIs[1] Operand 1
     /* 1479340 */     // No operand predicates
     /* 1479340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479344 */     // MIs[0] policy
     /* 1479344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479356 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479381 */     // GIR_Coverage, 23932,
     /* 1479381 */     GIR_EraseRootFromParent_Done,
     /* 1479382 */   // Label 20701: @1479382
     /* 1479382 */   GIM_Try, /*On fail goto*//*Label 20702*/ GIMT_Encode4(1479479), // Rule ID 23933 //
     /* 1479387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1479398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1479401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1479404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479437 */     // MIs[1] Operand 1
     /* 1479437 */     // No operand predicates
     /* 1479437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479441 */     // MIs[0] policy
     /* 1479441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479453 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479478 */     // GIR_Coverage, 23933,
     /* 1479478 */     GIR_EraseRootFromParent_Done,
     /* 1479479 */   // Label 20702: @1479479
     /* 1479479 */   GIM_Try, /*On fail goto*//*Label 20703*/ GIMT_Encode4(1479576), // Rule ID 23936 //
     /* 1479484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1479495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1479498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1479501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479534 */     // MIs[1] Operand 1
     /* 1479534 */     // No operand predicates
     /* 1479534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479538 */     // MIs[0] policy
     /* 1479538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479550 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479575 */     // GIR_Coverage, 23936,
     /* 1479575 */     GIR_EraseRootFromParent_Done,
     /* 1479576 */   // Label 20703: @1479576
     /* 1479576 */   GIM_Try, /*On fail goto*//*Label 20704*/ GIMT_Encode4(1479673), // Rule ID 23937 //
     /* 1479581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1479592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1479595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1479598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479631 */     // MIs[1] Operand 1
     /* 1479631 */     // No operand predicates
     /* 1479631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479635 */     // MIs[0] policy
     /* 1479635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479647 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479672 */     // GIR_Coverage, 23937,
     /* 1479672 */     GIR_EraseRootFromParent_Done,
     /* 1479673 */   // Label 20704: @1479673
     /* 1479673 */   GIM_Try, /*On fail goto*//*Label 20705*/ GIMT_Encode4(1479770), // Rule ID 23940 //
     /* 1479678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1479689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1479692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1479695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1479701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479728 */     // MIs[1] Operand 1
     /* 1479728 */     // No operand predicates
     /* 1479728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479732 */     // MIs[0] policy
     /* 1479732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479744 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479769 */     // GIR_Coverage, 23940,
     /* 1479769 */     GIR_EraseRootFromParent_Done,
     /* 1479770 */   // Label 20705: @1479770
     /* 1479770 */   GIM_Try, /*On fail goto*//*Label 20706*/ GIMT_Encode4(1479867), // Rule ID 23941 //
     /* 1479775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1479786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1479789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1479792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1479798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479825 */     // MIs[1] Operand 1
     /* 1479825 */     // No operand predicates
     /* 1479825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479829 */     // MIs[0] policy
     /* 1479829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479841 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479866 */     // GIR_Coverage, 23941,
     /* 1479866 */     GIR_EraseRootFromParent_Done,
     /* 1479867 */   // Label 20706: @1479867
     /* 1479867 */   GIM_Try, /*On fail goto*//*Label 20707*/ GIMT_Encode4(1479964), // Rule ID 23944 //
     /* 1479872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1479883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1479886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1479889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479922 */     // MIs[1] Operand 1
     /* 1479922 */     // No operand predicates
     /* 1479922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479926 */     // MIs[0] policy
     /* 1479926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479938 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479963 */     // GIR_Coverage, 23944,
     /* 1479963 */     GIR_EraseRootFromParent_Done,
     /* 1479964 */   // Label 20707: @1479964
     /* 1479964 */   GIM_Try, /*On fail goto*//*Label 20708*/ GIMT_Encode4(1480061), // Rule ID 23945 //
     /* 1479969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1479980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1479983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1479986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480019 */     // MIs[1] Operand 1
     /* 1480019 */     // No operand predicates
     /* 1480019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480023 */     // MIs[0] policy
     /* 1480023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480035 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1480038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480060 */     // GIR_Coverage, 23945,
     /* 1480060 */     GIR_EraseRootFromParent_Done,
     /* 1480061 */   // Label 20708: @1480061
     /* 1480061 */   GIM_Try, /*On fail goto*//*Label 20709*/ GIMT_Encode4(1480158), // Rule ID 23948 //
     /* 1480066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1480077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1480080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1480083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480116 */     // MIs[1] Operand 1
     /* 1480116 */     // No operand predicates
     /* 1480116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480120 */     // MIs[0] policy
     /* 1480120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480132 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1480135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480157 */     // GIR_Coverage, 23948,
     /* 1480157 */     GIR_EraseRootFromParent_Done,
     /* 1480158 */   // Label 20709: @1480158
     /* 1480158 */   GIM_Try, /*On fail goto*//*Label 20710*/ GIMT_Encode4(1480255), // Rule ID 23949 //
     /* 1480163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1480174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1480177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1480180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480213 */     // MIs[1] Operand 1
     /* 1480213 */     // No operand predicates
     /* 1480213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480217 */     // MIs[0] policy
     /* 1480217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480229 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1480232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480254 */     // GIR_Coverage, 23949,
     /* 1480254 */     GIR_EraseRootFromParent_Done,
     /* 1480255 */   // Label 20710: @1480255
     /* 1480255 */   GIM_Try, /*On fail goto*//*Label 20711*/ GIMT_Encode4(1480352), // Rule ID 23952 //
     /* 1480260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1480271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1480274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1480277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1480283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480310 */     // MIs[1] Operand 1
     /* 1480310 */     // No operand predicates
     /* 1480310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480314 */     // MIs[0] policy
     /* 1480314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1480329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480351 */     // GIR_Coverage, 23952,
     /* 1480351 */     GIR_EraseRootFromParent_Done,
     /* 1480352 */   // Label 20711: @1480352
     /* 1480352 */   GIM_Try, /*On fail goto*//*Label 20712*/ GIMT_Encode4(1480449), // Rule ID 23953 //
     /* 1480357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1480368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1480371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1480374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1480380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480407 */     // MIs[1] Operand 1
     /* 1480407 */     // No operand predicates
     /* 1480407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480411 */     // MIs[0] policy
     /* 1480411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480423 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1480426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480448 */     // GIR_Coverage, 23953,
     /* 1480448 */     GIR_EraseRootFromParent_Done,
     /* 1480449 */   // Label 20712: @1480449
     /* 1480449 */   GIM_Try, /*On fail goto*//*Label 20713*/ GIMT_Encode4(1480546), // Rule ID 23956 //
     /* 1480454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1480457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1480465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1480468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1480471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480504 */     // MIs[1] Operand 1
     /* 1480504 */     // No operand predicates
     /* 1480504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480508 */     // MIs[0] policy
     /* 1480508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480520 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1480523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480545 */     // GIR_Coverage, 23956,
     /* 1480545 */     GIR_EraseRootFromParent_Done,
     /* 1480546 */   // Label 20713: @1480546
     /* 1480546 */   GIM_Try, /*On fail goto*//*Label 20714*/ GIMT_Encode4(1480643), // Rule ID 23957 //
     /* 1480551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1480554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1480562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1480565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1480568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480601 */     // MIs[1] Operand 1
     /* 1480601 */     // No operand predicates
     /* 1480601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480605 */     // MIs[0] policy
     /* 1480605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480617 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1480620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480642 */     // GIR_Coverage, 23957,
     /* 1480642 */     GIR_EraseRootFromParent_Done,
     /* 1480643 */   // Label 20714: @1480643
     /* 1480643 */   GIM_Try, /*On fail goto*//*Label 20715*/ GIMT_Encode4(1480740), // Rule ID 23960 //
     /* 1480648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1480651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1480659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1480662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1480665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480698 */     // MIs[1] Operand 1
     /* 1480698 */     // No operand predicates
     /* 1480698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480702 */     // MIs[0] policy
     /* 1480702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480714 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1480717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480739 */     // GIR_Coverage, 23960,
     /* 1480739 */     GIR_EraseRootFromParent_Done,
     /* 1480740 */   // Label 20715: @1480740
     /* 1480740 */   GIM_Try, /*On fail goto*//*Label 20716*/ GIMT_Encode4(1480837), // Rule ID 23961 //
     /* 1480745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1480748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1480756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1480759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1480762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480795 */     // MIs[1] Operand 1
     /* 1480795 */     // No operand predicates
     /* 1480795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480799 */     // MIs[0] policy
     /* 1480799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1480814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480836 */     // GIR_Coverage, 23961,
     /* 1480836 */     GIR_EraseRootFromParent_Done,
     /* 1480837 */   // Label 20716: @1480837
     /* 1480837 */   GIM_Try, /*On fail goto*//*Label 20717*/ GIMT_Encode4(1480934), // Rule ID 23964 //
     /* 1480842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1480845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1480853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1480856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1480859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480892 */     // MIs[1] Operand 1
     /* 1480892 */     // No operand predicates
     /* 1480892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480896 */     // MIs[0] policy
     /* 1480896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480908 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1480911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480933 */     // GIR_Coverage, 23964,
     /* 1480933 */     GIR_EraseRootFromParent_Done,
     /* 1480934 */   // Label 20717: @1480934
     /* 1480934 */   GIM_Try, /*On fail goto*//*Label 20718*/ GIMT_Encode4(1481031), // Rule ID 23965 //
     /* 1480939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1480942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1480950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1480953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1480956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480989 */     // MIs[1] Operand 1
     /* 1480989 */     // No operand predicates
     /* 1480989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480993 */     // MIs[0] policy
     /* 1480993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481005 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1481008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481030 */     // GIR_Coverage, 23965,
     /* 1481030 */     GIR_EraseRootFromParent_Done,
     /* 1481031 */   // Label 20718: @1481031
     /* 1481031 */   GIM_Try, /*On fail goto*//*Label 20719*/ GIMT_Encode4(1481128), // Rule ID 24204 //
     /* 1481036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1481047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1481050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1481053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481086 */     // MIs[1] Operand 1
     /* 1481086 */     // No operand predicates
     /* 1481086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481090 */     // MIs[0] policy
     /* 1481090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481102 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1481105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481127 */     // GIR_Coverage, 24204,
     /* 1481127 */     GIR_EraseRootFromParent_Done,
     /* 1481128 */   // Label 20719: @1481128
     /* 1481128 */   GIM_Try, /*On fail goto*//*Label 20720*/ GIMT_Encode4(1481225), // Rule ID 24205 //
     /* 1481133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1481144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1481147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1481150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481183 */     // MIs[1] Operand 1
     /* 1481183 */     // No operand predicates
     /* 1481183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481187 */     // MIs[0] policy
     /* 1481187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481199 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1481202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481224 */     // GIR_Coverage, 24205,
     /* 1481224 */     GIR_EraseRootFromParent_Done,
     /* 1481225 */   // Label 20720: @1481225
     /* 1481225 */   GIM_Try, /*On fail goto*//*Label 20721*/ GIMT_Encode4(1481322), // Rule ID 24208 //
     /* 1481230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1481241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1481244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1481247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481280 */     // MIs[1] Operand 1
     /* 1481280 */     // No operand predicates
     /* 1481280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481284 */     // MIs[0] policy
     /* 1481284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481296 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1481299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481321 */     // GIR_Coverage, 24208,
     /* 1481321 */     GIR_EraseRootFromParent_Done,
     /* 1481322 */   // Label 20721: @1481322
     /* 1481322 */   GIM_Try, /*On fail goto*//*Label 20722*/ GIMT_Encode4(1481419), // Rule ID 24209 //
     /* 1481327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1481338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1481341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1481344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481377 */     // MIs[1] Operand 1
     /* 1481377 */     // No operand predicates
     /* 1481377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481381 */     // MIs[0] policy
     /* 1481381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481393 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1481396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481418 */     // GIR_Coverage, 24209,
     /* 1481418 */     GIR_EraseRootFromParent_Done,
     /* 1481419 */   // Label 20722: @1481419
     /* 1481419 */   GIM_Try, /*On fail goto*//*Label 20723*/ GIMT_Encode4(1481516), // Rule ID 24212 //
     /* 1481424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1481435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1481438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1481441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481474 */     // MIs[1] Operand 1
     /* 1481474 */     // No operand predicates
     /* 1481474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481478 */     // MIs[0] policy
     /* 1481478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481490 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1481493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481515 */     // GIR_Coverage, 24212,
     /* 1481515 */     GIR_EraseRootFromParent_Done,
     /* 1481516 */   // Label 20723: @1481516
     /* 1481516 */   GIM_Try, /*On fail goto*//*Label 20724*/ GIMT_Encode4(1481613), // Rule ID 24213 //
     /* 1481521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1481532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1481535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1481538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481571 */     // MIs[1] Operand 1
     /* 1481571 */     // No operand predicates
     /* 1481571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481575 */     // MIs[0] policy
     /* 1481575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481587 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1481590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481612 */     // GIR_Coverage, 24213,
     /* 1481612 */     GIR_EraseRootFromParent_Done,
     /* 1481613 */   // Label 20724: @1481613
     /* 1481613 */   GIM_Try, /*On fail goto*//*Label 20725*/ GIMT_Encode4(1481710), // Rule ID 24216 //
     /* 1481618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481668 */     // MIs[1] Operand 1
     /* 1481668 */     // No operand predicates
     /* 1481668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481672 */     // MIs[0] policy
     /* 1481672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481684 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1481687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481709 */     // GIR_Coverage, 24216,
     /* 1481709 */     GIR_EraseRootFromParent_Done,
     /* 1481710 */   // Label 20725: @1481710
     /* 1481710 */   GIM_Try, /*On fail goto*//*Label 20726*/ GIMT_Encode4(1481807), // Rule ID 24217 //
     /* 1481715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481765 */     // MIs[1] Operand 1
     /* 1481765 */     // No operand predicates
     /* 1481765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481769 */     // MIs[0] policy
     /* 1481769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481781 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1481784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481806 */     // GIR_Coverage, 24217,
     /* 1481806 */     GIR_EraseRootFromParent_Done,
     /* 1481807 */   // Label 20726: @1481807
     /* 1481807 */   GIM_Try, /*On fail goto*//*Label 20727*/ GIMT_Encode4(1481904), // Rule ID 24220 //
     /* 1481812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481862 */     // MIs[1] Operand 1
     /* 1481862 */     // No operand predicates
     /* 1481862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481866 */     // MIs[0] policy
     /* 1481866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481878 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1481881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481903 */     // GIR_Coverage, 24220,
     /* 1481903 */     GIR_EraseRootFromParent_Done,
     /* 1481904 */   // Label 20727: @1481904
     /* 1481904 */   GIM_Try, /*On fail goto*//*Label 20728*/ GIMT_Encode4(1482001), // Rule ID 24221 //
     /* 1481909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481959 */     // MIs[1] Operand 1
     /* 1481959 */     // No operand predicates
     /* 1481959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481963 */     // MIs[0] policy
     /* 1481963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481975 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1481978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482000 */     // GIR_Coverage, 24221,
     /* 1482000 */     GIR_EraseRootFromParent_Done,
     /* 1482001 */   // Label 20728: @1482001
     /* 1482001 */   GIM_Try, /*On fail goto*//*Label 20729*/ GIMT_Encode4(1482098), // Rule ID 24224 //
     /* 1482006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1482009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1482017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1482020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1482023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1482029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482056 */     // MIs[1] Operand 1
     /* 1482056 */     // No operand predicates
     /* 1482056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482060 */     // MIs[0] policy
     /* 1482060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482072 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1482075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482097 */     // GIR_Coverage, 24224,
     /* 1482097 */     GIR_EraseRootFromParent_Done,
     /* 1482098 */   // Label 20729: @1482098
     /* 1482098 */   GIM_Try, /*On fail goto*//*Label 20730*/ GIMT_Encode4(1482195), // Rule ID 24225 //
     /* 1482103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1482106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1482114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1482117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1482120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1482126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482153 */     // MIs[1] Operand 1
     /* 1482153 */     // No operand predicates
     /* 1482153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482157 */     // MIs[0] policy
     /* 1482157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482169 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1482172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482194 */     // GIR_Coverage, 24225,
     /* 1482194 */     GIR_EraseRootFromParent_Done,
     /* 1482195 */   // Label 20730: @1482195
     /* 1482195 */   GIM_Try, /*On fail goto*//*Label 20731*/ GIMT_Encode4(1482292), // Rule ID 24228 //
     /* 1482200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482250 */     // MIs[1] Operand 1
     /* 1482250 */     // No operand predicates
     /* 1482250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482254 */     // MIs[0] policy
     /* 1482254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482266 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1482269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482291 */     // GIR_Coverage, 24228,
     /* 1482291 */     GIR_EraseRootFromParent_Done,
     /* 1482292 */   // Label 20731: @1482292
     /* 1482292 */   GIM_Try, /*On fail goto*//*Label 20732*/ GIMT_Encode4(1482389), // Rule ID 24229 //
     /* 1482297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482347 */     // MIs[1] Operand 1
     /* 1482347 */     // No operand predicates
     /* 1482347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482351 */     // MIs[0] policy
     /* 1482351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482363 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1482366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482388 */     // GIR_Coverage, 24229,
     /* 1482388 */     GIR_EraseRootFromParent_Done,
     /* 1482389 */   // Label 20732: @1482389
     /* 1482389 */   GIM_Try, /*On fail goto*//*Label 20733*/ GIMT_Encode4(1482486), // Rule ID 24232 //
     /* 1482394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482444 */     // MIs[1] Operand 1
     /* 1482444 */     // No operand predicates
     /* 1482444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482448 */     // MIs[0] policy
     /* 1482448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482460 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1482463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482485 */     // GIR_Coverage, 24232,
     /* 1482485 */     GIR_EraseRootFromParent_Done,
     /* 1482486 */   // Label 20733: @1482486
     /* 1482486 */   GIM_Try, /*On fail goto*//*Label 20734*/ GIMT_Encode4(1482583), // Rule ID 24233 //
     /* 1482491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482541 */     // MIs[1] Operand 1
     /* 1482541 */     // No operand predicates
     /* 1482541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482545 */     // MIs[0] policy
     /* 1482545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482557 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1482560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482582 */     // GIR_Coverage, 24233,
     /* 1482582 */     GIR_EraseRootFromParent_Done,
     /* 1482583 */   // Label 20734: @1482583
     /* 1482583 */   GIM_Try, /*On fail goto*//*Label 20735*/ GIMT_Encode4(1482680), // Rule ID 24236 //
     /* 1482588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1482605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482638 */     // MIs[1] Operand 1
     /* 1482638 */     // No operand predicates
     /* 1482638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482642 */     // MIs[0] policy
     /* 1482642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482654 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1482657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482679 */     // GIR_Coverage, 24236,
     /* 1482679 */     GIR_EraseRootFromParent_Done,
     /* 1482680 */   // Label 20735: @1482680
     /* 1482680 */   GIM_Try, /*On fail goto*//*Label 20736*/ GIMT_Encode4(1482777), // Rule ID 24237 //
     /* 1482685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1482702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482735 */     // MIs[1] Operand 1
     /* 1482735 */     // No operand predicates
     /* 1482735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482739 */     // MIs[0] policy
     /* 1482739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482751 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1482754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482776 */     // GIR_Coverage, 24237,
     /* 1482776 */     GIR_EraseRootFromParent_Done,
     /* 1482777 */   // Label 20736: @1482777
     /* 1482777 */   GIM_Try, /*On fail goto*//*Label 20737*/ GIMT_Encode4(1482874), // Rule ID 24240 //
     /* 1482782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1482793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1482796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1482799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482832 */     // MIs[1] Operand 1
     /* 1482832 */     // No operand predicates
     /* 1482832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482836 */     // MIs[0] policy
     /* 1482836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482848 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1482851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482873 */     // GIR_Coverage, 24240,
     /* 1482873 */     GIR_EraseRootFromParent_Done,
     /* 1482874 */   // Label 20737: @1482874
     /* 1482874 */   GIM_Try, /*On fail goto*//*Label 20738*/ GIMT_Encode4(1482971), // Rule ID 24241 //
     /* 1482879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1482890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1482893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1482896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482929 */     // MIs[1] Operand 1
     /* 1482929 */     // No operand predicates
     /* 1482929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482933 */     // MIs[0] policy
     /* 1482933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482945 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1482948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482970 */     // GIR_Coverage, 24241,
     /* 1482970 */     GIR_EraseRootFromParent_Done,
     /* 1482971 */   // Label 20738: @1482971
     /* 1482971 */   GIM_Try, /*On fail goto*//*Label 20739*/ GIMT_Encode4(1483068), // Rule ID 24244 //
     /* 1482976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1482984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1482987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1482990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1482993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483026 */     // MIs[1] Operand 1
     /* 1483026 */     // No operand predicates
     /* 1483026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483030 */     // MIs[0] policy
     /* 1483030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483042 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1483045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483067 */     // GIR_Coverage, 24244,
     /* 1483067 */     GIR_EraseRootFromParent_Done,
     /* 1483068 */   // Label 20739: @1483068
     /* 1483068 */   GIM_Try, /*On fail goto*//*Label 20740*/ GIMT_Encode4(1483165), // Rule ID 24245 //
     /* 1483073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483123 */     // MIs[1] Operand 1
     /* 1483123 */     // No operand predicates
     /* 1483123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483127 */     // MIs[0] policy
     /* 1483127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483139 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1483142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483164 */     // GIR_Coverage, 24245,
     /* 1483164 */     GIR_EraseRootFromParent_Done,
     /* 1483165 */   // Label 20740: @1483165
     /* 1483165 */   GIM_Try, /*On fail goto*//*Label 20741*/ GIMT_Encode4(1483262), // Rule ID 24248 //
     /* 1483170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483220 */     // MIs[1] Operand 1
     /* 1483220 */     // No operand predicates
     /* 1483220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483224 */     // MIs[0] policy
     /* 1483224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483236 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1483239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483261 */     // GIR_Coverage, 24248,
     /* 1483261 */     GIR_EraseRootFromParent_Done,
     /* 1483262 */   // Label 20741: @1483262
     /* 1483262 */   GIM_Try, /*On fail goto*//*Label 20742*/ GIMT_Encode4(1483359), // Rule ID 24249 //
     /* 1483267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483317 */     // MIs[1] Operand 1
     /* 1483317 */     // No operand predicates
     /* 1483317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483321 */     // MIs[0] policy
     /* 1483321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483333 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1483336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483358 */     // GIR_Coverage, 24249,
     /* 1483358 */     GIR_EraseRootFromParent_Done,
     /* 1483359 */   // Label 20742: @1483359
     /* 1483359 */   GIM_Try, /*On fail goto*//*Label 20743*/ GIMT_Encode4(1483456), // Rule ID 24252 //
     /* 1483364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1483367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483414 */     // MIs[1] Operand 1
     /* 1483414 */     // No operand predicates
     /* 1483414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483418 */     // MIs[0] policy
     /* 1483418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483430 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1483433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483455 */     // GIR_Coverage, 24252,
     /* 1483455 */     GIR_EraseRootFromParent_Done,
     /* 1483456 */   // Label 20743: @1483456
     /* 1483456 */   GIM_Try, /*On fail goto*//*Label 20744*/ GIMT_Encode4(1483553), // Rule ID 24253 //
     /* 1483461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1483464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483511 */     // MIs[1] Operand 1
     /* 1483511 */     // No operand predicates
     /* 1483511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483515 */     // MIs[0] policy
     /* 1483515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483527 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1483530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483552 */     // GIR_Coverage, 24253,
     /* 1483552 */     GIR_EraseRootFromParent_Done,
     /* 1483553 */   // Label 20744: @1483553
     /* 1483553 */   GIM_Try, /*On fail goto*//*Label 20745*/ GIMT_Encode4(1483650), // Rule ID 24256 //
     /* 1483558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1483561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1483575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483608 */     // MIs[1] Operand 1
     /* 1483608 */     // No operand predicates
     /* 1483608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483612 */     // MIs[0] policy
     /* 1483612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483624 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1483627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483649 */     // GIR_Coverage, 24256,
     /* 1483649 */     GIR_EraseRootFromParent_Done,
     /* 1483650 */   // Label 20745: @1483650
     /* 1483650 */   GIM_Try, /*On fail goto*//*Label 20746*/ GIMT_Encode4(1483747), // Rule ID 24257 //
     /* 1483655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1483658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1483672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483705 */     // MIs[1] Operand 1
     /* 1483705 */     // No operand predicates
     /* 1483705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483709 */     // MIs[0] policy
     /* 1483709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483721 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1483724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483746 */     // GIR_Coverage, 24257,
     /* 1483746 */     GIR_EraseRootFromParent_Done,
     /* 1483747 */   // Label 20746: @1483747
     /* 1483747 */   GIM_Try, /*On fail goto*//*Label 20747*/ GIMT_Encode4(1483844), // Rule ID 24260 //
     /* 1483752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1483755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1483763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1483766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1483769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483802 */     // MIs[1] Operand 1
     /* 1483802 */     // No operand predicates
     /* 1483802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483806 */     // MIs[0] policy
     /* 1483806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483818 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1483821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483843 */     // GIR_Coverage, 24260,
     /* 1483843 */     GIR_EraseRootFromParent_Done,
     /* 1483844 */   // Label 20747: @1483844
     /* 1483844 */   GIM_Try, /*On fail goto*//*Label 20748*/ GIMT_Encode4(1483941), // Rule ID 24261 //
     /* 1483849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1483852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1483857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1483860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1483863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1483866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483899 */     // MIs[1] Operand 1
     /* 1483899 */     // No operand predicates
     /* 1483899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483903 */     // MIs[0] policy
     /* 1483903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483915 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1483918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483940 */     // GIR_Coverage, 24261,
     /* 1483940 */     GIR_EraseRootFromParent_Done,
     /* 1483941 */   // Label 20748: @1483941
     /* 1483941 */   GIM_Try, /*On fail goto*//*Label 20749*/ GIMT_Encode4(1484038), // Rule ID 24324 //
     /* 1483946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1483957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1483960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1483963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483996 */     // MIs[1] Operand 1
     /* 1483996 */     // No operand predicates
     /* 1483996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484000 */     // MIs[0] policy
     /* 1484000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484012 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1484015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484037 */     // GIR_Coverage, 24324,
     /* 1484037 */     GIR_EraseRootFromParent_Done,
     /* 1484038 */   // Label 20749: @1484038
     /* 1484038 */   GIM_Try, /*On fail goto*//*Label 20750*/ GIMT_Encode4(1484135), // Rule ID 24325 //
     /* 1484043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1484054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1484057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1484060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484093 */     // MIs[1] Operand 1
     /* 1484093 */     // No operand predicates
     /* 1484093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484097 */     // MIs[0] policy
     /* 1484097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484109 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1484112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484134 */     // GIR_Coverage, 24325,
     /* 1484134 */     GIR_EraseRootFromParent_Done,
     /* 1484135 */   // Label 20750: @1484135
     /* 1484135 */   GIM_Try, /*On fail goto*//*Label 20751*/ GIMT_Encode4(1484232), // Rule ID 24328 //
     /* 1484140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1484151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1484154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1484157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484190 */     // MIs[1] Operand 1
     /* 1484190 */     // No operand predicates
     /* 1484190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484194 */     // MIs[0] policy
     /* 1484194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484206 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1484209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484231 */     // GIR_Coverage, 24328,
     /* 1484231 */     GIR_EraseRootFromParent_Done,
     /* 1484232 */   // Label 20751: @1484232
     /* 1484232 */   GIM_Try, /*On fail goto*//*Label 20752*/ GIMT_Encode4(1484329), // Rule ID 24329 //
     /* 1484237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1484248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1484251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1484254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484287 */     // MIs[1] Operand 1
     /* 1484287 */     // No operand predicates
     /* 1484287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484291 */     // MIs[0] policy
     /* 1484291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484303 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1484306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484328 */     // GIR_Coverage, 24329,
     /* 1484328 */     GIR_EraseRootFromParent_Done,
     /* 1484329 */   // Label 20752: @1484329
     /* 1484329 */   GIM_Try, /*On fail goto*//*Label 20753*/ GIMT_Encode4(1484426), // Rule ID 24332 //
     /* 1484334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1484345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1484348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1484351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484384 */     // MIs[1] Operand 1
     /* 1484384 */     // No operand predicates
     /* 1484384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484388 */     // MIs[0] policy
     /* 1484388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484400 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1484403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484425 */     // GIR_Coverage, 24332,
     /* 1484425 */     GIR_EraseRootFromParent_Done,
     /* 1484426 */   // Label 20753: @1484426
     /* 1484426 */   GIM_Try, /*On fail goto*//*Label 20754*/ GIMT_Encode4(1484523), // Rule ID 24333 //
     /* 1484431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1484442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1484445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1484448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484481 */     // MIs[1] Operand 1
     /* 1484481 */     // No operand predicates
     /* 1484481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484485 */     // MIs[0] policy
     /* 1484485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484497 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1484500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484522 */     // GIR_Coverage, 24333,
     /* 1484522 */     GIR_EraseRootFromParent_Done,
     /* 1484523 */   // Label 20754: @1484523
     /* 1484523 */   GIM_Try, /*On fail goto*//*Label 20755*/ GIMT_Encode4(1484620), // Rule ID 24336 //
     /* 1484528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1484539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1484542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1484545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484578 */     // MIs[1] Operand 1
     /* 1484578 */     // No operand predicates
     /* 1484578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484582 */     // MIs[0] policy
     /* 1484582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484594 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1484597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484619 */     // GIR_Coverage, 24336,
     /* 1484619 */     GIR_EraseRootFromParent_Done,
     /* 1484620 */   // Label 20755: @1484620
     /* 1484620 */   GIM_Try, /*On fail goto*//*Label 20756*/ GIMT_Encode4(1484717), // Rule ID 24337 //
     /* 1484625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1484636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1484639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1484642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484675 */     // MIs[1] Operand 1
     /* 1484675 */     // No operand predicates
     /* 1484675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484679 */     // MIs[0] policy
     /* 1484679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484691 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1484694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484716 */     // GIR_Coverage, 24337,
     /* 1484716 */     GIR_EraseRootFromParent_Done,
     /* 1484717 */   // Label 20756: @1484717
     /* 1484717 */   GIM_Try, /*On fail goto*//*Label 20757*/ GIMT_Encode4(1484814), // Rule ID 24340 //
     /* 1484722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1484739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484772 */     // MIs[1] Operand 1
     /* 1484772 */     // No operand predicates
     /* 1484772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484776 */     // MIs[0] policy
     /* 1484776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484788 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1484791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484813 */     // GIR_Coverage, 24340,
     /* 1484813 */     GIR_EraseRootFromParent_Done,
     /* 1484814 */   // Label 20757: @1484814
     /* 1484814 */   GIM_Try, /*On fail goto*//*Label 20758*/ GIMT_Encode4(1484911), // Rule ID 24341 //
     /* 1484819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1484836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484869 */     // MIs[1] Operand 1
     /* 1484869 */     // No operand predicates
     /* 1484869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484873 */     // MIs[0] policy
     /* 1484873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484885 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1484888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484910 */     // GIR_Coverage, 24341,
     /* 1484910 */     GIR_EraseRootFromParent_Done,
     /* 1484911 */   // Label 20758: @1484911
     /* 1484911 */   GIM_Try, /*On fail goto*//*Label 20759*/ GIMT_Encode4(1485008), // Rule ID 24344 //
     /* 1484916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1484919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1484927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1484930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1484933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484966 */     // MIs[1] Operand 1
     /* 1484966 */     // No operand predicates
     /* 1484966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484970 */     // MIs[0] policy
     /* 1484970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484982 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1484985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485007 */     // GIR_Coverage, 24344,
     /* 1485007 */     GIR_EraseRootFromParent_Done,
     /* 1485008 */   // Label 20759: @1485008
     /* 1485008 */   GIM_Try, /*On fail goto*//*Label 20760*/ GIMT_Encode4(1485105), // Rule ID 24345 //
     /* 1485013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1485016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1485024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1485027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1485030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485063 */     // MIs[1] Operand 1
     /* 1485063 */     // No operand predicates
     /* 1485063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485067 */     // MIs[0] policy
     /* 1485067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485079 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1485082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485104 */     // GIR_Coverage, 24345,
     /* 1485104 */     GIR_EraseRootFromParent_Done,
     /* 1485105 */   // Label 20760: @1485105
     /* 1485105 */   GIM_Try, /*On fail goto*//*Label 20761*/ GIMT_Encode4(1485202), // Rule ID 24348 //
     /* 1485110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1485121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1485124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1485127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485160 */     // MIs[1] Operand 1
     /* 1485160 */     // No operand predicates
     /* 1485160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485164 */     // MIs[0] policy
     /* 1485164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485176 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1485179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485201 */     // GIR_Coverage, 24348,
     /* 1485201 */     GIR_EraseRootFromParent_Done,
     /* 1485202 */   // Label 20761: @1485202
     /* 1485202 */   GIM_Try, /*On fail goto*//*Label 20762*/ GIMT_Encode4(1485299), // Rule ID 24349 //
     /* 1485207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1485218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1485221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1485224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485257 */     // MIs[1] Operand 1
     /* 1485257 */     // No operand predicates
     /* 1485257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485261 */     // MIs[0] policy
     /* 1485261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485273 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1485276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485298 */     // GIR_Coverage, 24349,
     /* 1485298 */     GIR_EraseRootFromParent_Done,
     /* 1485299 */   // Label 20762: @1485299
     /* 1485299 */   GIM_Try, /*On fail goto*//*Label 20763*/ GIMT_Encode4(1485396), // Rule ID 24352 //
     /* 1485304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1485315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1485318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1485321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485354 */     // MIs[1] Operand 1
     /* 1485354 */     // No operand predicates
     /* 1485354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485358 */     // MIs[0] policy
     /* 1485358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485370 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1485373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485395 */     // GIR_Coverage, 24352,
     /* 1485395 */     GIR_EraseRootFromParent_Done,
     /* 1485396 */   // Label 20763: @1485396
     /* 1485396 */   GIM_Try, /*On fail goto*//*Label 20764*/ GIMT_Encode4(1485493), // Rule ID 24353 //
     /* 1485401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1485412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1485415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1485418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485451 */     // MIs[1] Operand 1
     /* 1485451 */     // No operand predicates
     /* 1485451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485455 */     // MIs[0] policy
     /* 1485455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485467 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1485470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485492 */     // GIR_Coverage, 24353,
     /* 1485492 */     GIR_EraseRootFromParent_Done,
     /* 1485493 */   // Label 20764: @1485493
     /* 1485493 */   GIM_Try, /*On fail goto*//*Label 20765*/ GIMT_Encode4(1485590), // Rule ID 24356 //
     /* 1485498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1485509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1485512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1485515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1485521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485548 */     // MIs[1] Operand 1
     /* 1485548 */     // No operand predicates
     /* 1485548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485552 */     // MIs[0] policy
     /* 1485552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485564 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1485567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485589 */     // GIR_Coverage, 24356,
     /* 1485589 */     GIR_EraseRootFromParent_Done,
     /* 1485590 */   // Label 20765: @1485590
     /* 1485590 */   GIM_Try, /*On fail goto*//*Label 20766*/ GIMT_Encode4(1485687), // Rule ID 24357 //
     /* 1485595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1485606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1485609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1485612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1485618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485645 */     // MIs[1] Operand 1
     /* 1485645 */     // No operand predicates
     /* 1485645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485649 */     // MIs[0] policy
     /* 1485649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485661 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1485664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485686 */     // GIR_Coverage, 24357,
     /* 1485686 */     GIR_EraseRootFromParent_Done,
     /* 1485687 */   // Label 20766: @1485687
     /* 1485687 */   GIM_Try, /*On fail goto*//*Label 20767*/ GIMT_Encode4(1485784), // Rule ID 24360 //
     /* 1485692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1485703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1485706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1485709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485742 */     // MIs[1] Operand 1
     /* 1485742 */     // No operand predicates
     /* 1485742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485746 */     // MIs[0] policy
     /* 1485746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485758 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1485761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485783 */     // GIR_Coverage, 24360,
     /* 1485783 */     GIR_EraseRootFromParent_Done,
     /* 1485784 */   // Label 20767: @1485784
     /* 1485784 */   GIM_Try, /*On fail goto*//*Label 20768*/ GIMT_Encode4(1485881), // Rule ID 24361 //
     /* 1485789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1485800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1485803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1485806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485839 */     // MIs[1] Operand 1
     /* 1485839 */     // No operand predicates
     /* 1485839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485843 */     // MIs[0] policy
     /* 1485843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485855 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1485858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485880 */     // GIR_Coverage, 24361,
     /* 1485880 */     GIR_EraseRootFromParent_Done,
     /* 1485881 */   // Label 20768: @1485881
     /* 1485881 */   GIM_Try, /*On fail goto*//*Label 20769*/ GIMT_Encode4(1485978), // Rule ID 24364 //
     /* 1485886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1485897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1485900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1485903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485936 */     // MIs[1] Operand 1
     /* 1485936 */     // No operand predicates
     /* 1485936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485940 */     // MIs[0] policy
     /* 1485940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485952 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1485955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485977 */     // GIR_Coverage, 24364,
     /* 1485977 */     GIR_EraseRootFromParent_Done,
     /* 1485978 */   // Label 20769: @1485978
     /* 1485978 */   GIM_Try, /*On fail goto*//*Label 20770*/ GIMT_Encode4(1486075), // Rule ID 24365 //
     /* 1485983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1485994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1485997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1486000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486033 */     // MIs[1] Operand 1
     /* 1486033 */     // No operand predicates
     /* 1486033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486037 */     // MIs[0] policy
     /* 1486037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486049 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1486052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1486071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486074 */     // GIR_Coverage, 24365,
     /* 1486074 */     GIR_EraseRootFromParent_Done,
     /* 1486075 */   // Label 20770: @1486075
     /* 1486075 */   GIM_Try, /*On fail goto*//*Label 20771*/ GIMT_Encode4(1486172), // Rule ID 24368 //
     /* 1486080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1486088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1486091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1486094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1486097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486130 */     // MIs[1] Operand 1
     /* 1486130 */     // No operand predicates
     /* 1486130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486134 */     // MIs[0] policy
     /* 1486134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486146 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1486149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1486168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486171 */     // GIR_Coverage, 24368,
     /* 1486171 */     GIR_EraseRootFromParent_Done,
     /* 1486172 */   // Label 20771: @1486172
     /* 1486172 */   GIM_Try, /*On fail goto*//*Label 20772*/ GIMT_Encode4(1486269), // Rule ID 24369 //
     /* 1486177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1486185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1486188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1486191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1486194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486227 */     // MIs[1] Operand 1
     /* 1486227 */     // No operand predicates
     /* 1486227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486231 */     // MIs[0] policy
     /* 1486231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486243 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1486246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1486265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486268 */     // GIR_Coverage, 24369,
     /* 1486268 */     GIR_EraseRootFromParent_Done,
     /* 1486269 */   // Label 20772: @1486269
     /* 1486269 */   GIM_Try, /*On fail goto*//*Label 20773*/ GIMT_Encode4(1486366), // Rule ID 24372 //
     /* 1486274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1486277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1486282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1486285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1486288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1486291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486324 */     // MIs[1] Operand 1
     /* 1486324 */     // No operand predicates
     /* 1486324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486328 */     // MIs[0] policy
     /* 1486328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486340 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1486343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486365 */     // GIR_Coverage, 24372,
     /* 1486365 */     GIR_EraseRootFromParent_Done,
     /* 1486366 */   // Label 20773: @1486366
     /* 1486366 */   GIM_Try, /*On fail goto*//*Label 20774*/ GIMT_Encode4(1486463), // Rule ID 24373 //
     /* 1486371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1486374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1486379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1486382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1486385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1486388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486421 */     // MIs[1] Operand 1
     /* 1486421 */     // No operand predicates
     /* 1486421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486425 */     // MIs[0] policy
     /* 1486425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486437 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1486440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486462 */     // GIR_Coverage, 24373,
     /* 1486462 */     GIR_EraseRootFromParent_Done,
     /* 1486463 */   // Label 20774: @1486463
     /* 1486463 */   GIM_Try, /*On fail goto*//*Label 20775*/ GIMT_Encode4(1486560), // Rule ID 24376 //
     /* 1486468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1486471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1486476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1486479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1486482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1486485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486518 */     // MIs[1] Operand 1
     /* 1486518 */     // No operand predicates
     /* 1486518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486522 */     // MIs[0] policy
     /* 1486522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486534 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1486537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486559 */     // GIR_Coverage, 24376,
     /* 1486559 */     GIR_EraseRootFromParent_Done,
     /* 1486560 */   // Label 20775: @1486560
     /* 1486560 */   GIM_Try, /*On fail goto*//*Label 20776*/ GIMT_Encode4(1486657), // Rule ID 24377 //
     /* 1486565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1486568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1486573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1486576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1486579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1486582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486615 */     // MIs[1] Operand 1
     /* 1486615 */     // No operand predicates
     /* 1486615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486619 */     // MIs[0] policy
     /* 1486619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486631 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1486634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486656 */     // GIR_Coverage, 24377,
     /* 1486656 */     GIR_EraseRootFromParent_Done,
     /* 1486657 */   // Label 20776: @1486657
     /* 1486657 */   GIM_Try, /*On fail goto*//*Label 20777*/ GIMT_Encode4(1486754), // Rule ID 24380 //
     /* 1486662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1486665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1486670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1486673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1486676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1486679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486712 */     // MIs[1] Operand 1
     /* 1486712 */     // No operand predicates
     /* 1486712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486716 */     // MIs[0] policy
     /* 1486716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486728 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1486731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486753 */     // GIR_Coverage, 24380,
     /* 1486753 */     GIR_EraseRootFromParent_Done,
     /* 1486754 */   // Label 20777: @1486754
     /* 1486754 */   GIM_Try, /*On fail goto*//*Label 20778*/ GIMT_Encode4(1486851), // Rule ID 24381 //
     /* 1486759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1486762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1486767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1486770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1486773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1486776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486809 */     // MIs[1] Operand 1
     /* 1486809 */     // No operand predicates
     /* 1486809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486813 */     // MIs[0] policy
     /* 1486813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486825 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1486828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486850 */     // GIR_Coverage, 24381,
     /* 1486850 */     GIR_EraseRootFromParent_Done,
     /* 1486851 */   // Label 20778: @1486851
     /* 1486851 */   GIM_Try, /*On fail goto*//*Label 20779*/ GIMT_Encode4(1486948), // Rule ID 24680 //
     /* 1486856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1486867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1486870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1486873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486906 */     // MIs[1] Operand 1
     /* 1486906 */     // No operand predicates
     /* 1486906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486910 */     // MIs[0] policy
     /* 1486910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486922 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1486925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486947 */     // GIR_Coverage, 24680,
     /* 1486947 */     GIR_EraseRootFromParent_Done,
     /* 1486948 */   // Label 20779: @1486948
     /* 1486948 */   GIM_Try, /*On fail goto*//*Label 20780*/ GIMT_Encode4(1487045), // Rule ID 24681 //
     /* 1486953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1486964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1486967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1486970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487003 */     // MIs[1] Operand 1
     /* 1487003 */     // No operand predicates
     /* 1487003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487007 */     // MIs[0] policy
     /* 1487007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487019 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1487022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487044 */     // GIR_Coverage, 24681,
     /* 1487044 */     GIR_EraseRootFromParent_Done,
     /* 1487045 */   // Label 20780: @1487045
     /* 1487045 */   GIM_Try, /*On fail goto*//*Label 20781*/ GIMT_Encode4(1487142), // Rule ID 24684 //
     /* 1487050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1487061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1487064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1487067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487100 */     // MIs[1] Operand 1
     /* 1487100 */     // No operand predicates
     /* 1487100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487104 */     // MIs[0] policy
     /* 1487104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487116 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1487119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487141 */     // GIR_Coverage, 24684,
     /* 1487141 */     GIR_EraseRootFromParent_Done,
     /* 1487142 */   // Label 20781: @1487142
     /* 1487142 */   GIM_Try, /*On fail goto*//*Label 20782*/ GIMT_Encode4(1487239), // Rule ID 24685 //
     /* 1487147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1487158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1487161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1487164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487197 */     // MIs[1] Operand 1
     /* 1487197 */     // No operand predicates
     /* 1487197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487201 */     // MIs[0] policy
     /* 1487201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487213 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1487216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487238 */     // GIR_Coverage, 24685,
     /* 1487238 */     GIR_EraseRootFromParent_Done,
     /* 1487239 */   // Label 20782: @1487239
     /* 1487239 */   GIM_Try, /*On fail goto*//*Label 20783*/ GIMT_Encode4(1487336), // Rule ID 24688 //
     /* 1487244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1487255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1487258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1487261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487294 */     // MIs[1] Operand 1
     /* 1487294 */     // No operand predicates
     /* 1487294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487298 */     // MIs[0] policy
     /* 1487298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487310 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1487313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487335 */     // GIR_Coverage, 24688,
     /* 1487335 */     GIR_EraseRootFromParent_Done,
     /* 1487336 */   // Label 20783: @1487336
     /* 1487336 */   GIM_Try, /*On fail goto*//*Label 20784*/ GIMT_Encode4(1487433), // Rule ID 24689 //
     /* 1487341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1487352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1487355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1487358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487391 */     // MIs[1] Operand 1
     /* 1487391 */     // No operand predicates
     /* 1487391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487395 */     // MIs[0] policy
     /* 1487395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487407 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1487410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487432 */     // GIR_Coverage, 24689,
     /* 1487432 */     GIR_EraseRootFromParent_Done,
     /* 1487433 */   // Label 20784: @1487433
     /* 1487433 */   GIM_Try, /*On fail goto*//*Label 20785*/ GIMT_Encode4(1487530), // Rule ID 24692 //
     /* 1487438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1487449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1487452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1487455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487488 */     // MIs[1] Operand 1
     /* 1487488 */     // No operand predicates
     /* 1487488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487492 */     // MIs[0] policy
     /* 1487492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487504 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1487507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487529 */     // GIR_Coverage, 24692,
     /* 1487529 */     GIR_EraseRootFromParent_Done,
     /* 1487530 */   // Label 20785: @1487530
     /* 1487530 */   GIM_Try, /*On fail goto*//*Label 20786*/ GIMT_Encode4(1487627), // Rule ID 24693 //
     /* 1487535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1487546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1487549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1487552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487585 */     // MIs[1] Operand 1
     /* 1487585 */     // No operand predicates
     /* 1487585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487589 */     // MIs[0] policy
     /* 1487589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487601 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1487604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487626 */     // GIR_Coverage, 24693,
     /* 1487626 */     GIR_EraseRootFromParent_Done,
     /* 1487627 */   // Label 20786: @1487627
     /* 1487627 */   GIM_Try, /*On fail goto*//*Label 20787*/ GIMT_Encode4(1487724), // Rule ID 24696 //
     /* 1487632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1487643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1487646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1487649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487682 */     // MIs[1] Operand 1
     /* 1487682 */     // No operand predicates
     /* 1487682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487686 */     // MIs[0] policy
     /* 1487686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487698 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1487701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487723 */     // GIR_Coverage, 24696,
     /* 1487723 */     GIR_EraseRootFromParent_Done,
     /* 1487724 */   // Label 20787: @1487724
     /* 1487724 */   GIM_Try, /*On fail goto*//*Label 20788*/ GIMT_Encode4(1487821), // Rule ID 24697 //
     /* 1487729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1487740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1487743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1487746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487779 */     // MIs[1] Operand 1
     /* 1487779 */     // No operand predicates
     /* 1487779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487783 */     // MIs[0] policy
     /* 1487783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487795 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1487798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487820 */     // GIR_Coverage, 24697,
     /* 1487820 */     GIR_EraseRootFromParent_Done,
     /* 1487821 */   // Label 20788: @1487821
     /* 1487821 */   GIM_Try, /*On fail goto*//*Label 20789*/ GIMT_Encode4(1487918), // Rule ID 24700 //
     /* 1487826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1487837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1487840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1487843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487876 */     // MIs[1] Operand 1
     /* 1487876 */     // No operand predicates
     /* 1487876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487880 */     // MIs[0] policy
     /* 1487880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487892 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1487895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487917 */     // GIR_Coverage, 24700,
     /* 1487917 */     GIR_EraseRootFromParent_Done,
     /* 1487918 */   // Label 20789: @1487918
     /* 1487918 */   GIM_Try, /*On fail goto*//*Label 20790*/ GIMT_Encode4(1488015), // Rule ID 24701 //
     /* 1487923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1487934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1487937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1487940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487973 */     // MIs[1] Operand 1
     /* 1487973 */     // No operand predicates
     /* 1487973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487977 */     // MIs[0] policy
     /* 1487977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487989 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1487992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488014 */     // GIR_Coverage, 24701,
     /* 1488014 */     GIR_EraseRootFromParent_Done,
     /* 1488015 */   // Label 20790: @1488015
     /* 1488015 */   GIM_Try, /*On fail goto*//*Label 20791*/ GIMT_Encode4(1488112), // Rule ID 24704 //
     /* 1488020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1488023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1488031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1488034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1488037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488070 */     // MIs[1] Operand 1
     /* 1488070 */     // No operand predicates
     /* 1488070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488074 */     // MIs[0] policy
     /* 1488074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488086 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488111 */     // GIR_Coverage, 24704,
     /* 1488111 */     GIR_EraseRootFromParent_Done,
     /* 1488112 */   // Label 20791: @1488112
     /* 1488112 */   GIM_Try, /*On fail goto*//*Label 20792*/ GIMT_Encode4(1488209), // Rule ID 24705 //
     /* 1488117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1488120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1488128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1488131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1488134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488167 */     // MIs[1] Operand 1
     /* 1488167 */     // No operand predicates
     /* 1488167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488171 */     // MIs[0] policy
     /* 1488171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488208 */     // GIR_Coverage, 24705,
     /* 1488208 */     GIR_EraseRootFromParent_Done,
     /* 1488209 */   // Label 20792: @1488209
     /* 1488209 */   GIM_Try, /*On fail goto*//*Label 20793*/ GIMT_Encode4(1488306), // Rule ID 24708 //
     /* 1488214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1488217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1488225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1488228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1488231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488264 */     // MIs[1] Operand 1
     /* 1488264 */     // No operand predicates
     /* 1488264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488268 */     // MIs[0] policy
     /* 1488268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488305 */     // GIR_Coverage, 24708,
     /* 1488305 */     GIR_EraseRootFromParent_Done,
     /* 1488306 */   // Label 20793: @1488306
     /* 1488306 */   GIM_Try, /*On fail goto*//*Label 20794*/ GIMT_Encode4(1488403), // Rule ID 24709 //
     /* 1488311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1488314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1488322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1488325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1488328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488361 */     // MIs[1] Operand 1
     /* 1488361 */     // No operand predicates
     /* 1488361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488365 */     // MIs[0] policy
     /* 1488365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488377 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488402 */     // GIR_Coverage, 24709,
     /* 1488402 */     GIR_EraseRootFromParent_Done,
     /* 1488403 */   // Label 20794: @1488403
     /* 1488403 */   GIM_Try, /*On fail goto*//*Label 20795*/ GIMT_Encode4(1488500), // Rule ID 24712 //
     /* 1488408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1488411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1488425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488458 */     // MIs[1] Operand 1
     /* 1488458 */     // No operand predicates
     /* 1488458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488462 */     // MIs[0] policy
     /* 1488462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488499 */     // GIR_Coverage, 24712,
     /* 1488499 */     GIR_EraseRootFromParent_Done,
     /* 1488500 */   // Label 20795: @1488500
     /* 1488500 */   GIM_Try, /*On fail goto*//*Label 20796*/ GIMT_Encode4(1488597), // Rule ID 24713 //
     /* 1488505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1488508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1488522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488555 */     // MIs[1] Operand 1
     /* 1488555 */     // No operand predicates
     /* 1488555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488559 */     // MIs[0] policy
     /* 1488559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488596 */     // GIR_Coverage, 24713,
     /* 1488596 */     GIR_EraseRootFromParent_Done,
     /* 1488597 */   // Label 20796: @1488597
     /* 1488597 */   GIM_Try, /*On fail goto*//*Label 20797*/ GIMT_Encode4(1488694), // Rule ID 24716 //
     /* 1488602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1488605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1488613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1488616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1488619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488652 */     // MIs[1] Operand 1
     /* 1488652 */     // No operand predicates
     /* 1488652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488656 */     // MIs[0] policy
     /* 1488656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488693 */     // GIR_Coverage, 24716,
     /* 1488693 */     GIR_EraseRootFromParent_Done,
     /* 1488694 */   // Label 20797: @1488694
     /* 1488694 */   GIM_Try, /*On fail goto*//*Label 20798*/ GIMT_Encode4(1488791), // Rule ID 24717 //
     /* 1488699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1488702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1488710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1488713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1488716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488749 */     // MIs[1] Operand 1
     /* 1488749 */     // No operand predicates
     /* 1488749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488753 */     // MIs[0] policy
     /* 1488753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488765 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488790 */     // GIR_Coverage, 24717,
     /* 1488790 */     GIR_EraseRootFromParent_Done,
     /* 1488791 */   // Label 20798: @1488791
     /* 1488791 */   GIM_Try, /*On fail goto*//*Label 20799*/ GIMT_Encode4(1488888), // Rule ID 24720 //
     /* 1488796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1488799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1488807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1488810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1488813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488846 */     // MIs[1] Operand 1
     /* 1488846 */     // No operand predicates
     /* 1488846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488850 */     // MIs[0] policy
     /* 1488850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488862 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1488865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488887 */     // GIR_Coverage, 24720,
     /* 1488887 */     GIR_EraseRootFromParent_Done,
     /* 1488888 */   // Label 20799: @1488888
     /* 1488888 */   GIM_Try, /*On fail goto*//*Label 20800*/ GIMT_Encode4(1488985), // Rule ID 24721 //
     /* 1488893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1488896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1488904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1488907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1488910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488943 */     // MIs[1] Operand 1
     /* 1488943 */     // No operand predicates
     /* 1488943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488947 */     // MIs[0] policy
     /* 1488947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488959 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1488962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488984 */     // GIR_Coverage, 24721,
     /* 1488984 */     GIR_EraseRootFromParent_Done,
     /* 1488985 */   // Label 20800: @1488985
     /* 1488985 */   GIM_Try, /*On fail goto*//*Label 20801*/ GIMT_Encode4(1489082), // Rule ID 24724 //
     /* 1488990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1488993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1489001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1489004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1489007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1489013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489040 */     // MIs[1] Operand 1
     /* 1489040 */     // No operand predicates
     /* 1489040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489044 */     // MIs[0] policy
     /* 1489044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489056 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1489059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489081 */     // GIR_Coverage, 24724,
     /* 1489081 */     GIR_EraseRootFromParent_Done,
     /* 1489082 */   // Label 20801: @1489082
     /* 1489082 */   GIM_Try, /*On fail goto*//*Label 20802*/ GIMT_Encode4(1489179), // Rule ID 24725 //
     /* 1489087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1489098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1489101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1489104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1489110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489137 */     // MIs[1] Operand 1
     /* 1489137 */     // No operand predicates
     /* 1489137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489141 */     // MIs[0] policy
     /* 1489141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489153 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1489156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489178 */     // GIR_Coverage, 24725,
     /* 1489178 */     GIR_EraseRootFromParent_Done,
     /* 1489179 */   // Label 20802: @1489179
     /* 1489179 */   GIM_Try, /*On fail goto*//*Label 20803*/ GIMT_Encode4(1489276), // Rule ID 24728 //
     /* 1489184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1489195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1489198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1489201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1489207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489234 */     // MIs[1] Operand 1
     /* 1489234 */     // No operand predicates
     /* 1489234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489238 */     // MIs[0] policy
     /* 1489238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489250 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1489253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489275 */     // GIR_Coverage, 24728,
     /* 1489275 */     GIR_EraseRootFromParent_Done,
     /* 1489276 */   // Label 20803: @1489276
     /* 1489276 */   GIM_Try, /*On fail goto*//*Label 20804*/ GIMT_Encode4(1489373), // Rule ID 24729 //
     /* 1489281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1489292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1489295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1489298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1489304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489331 */     // MIs[1] Operand 1
     /* 1489331 */     // No operand predicates
     /* 1489331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489335 */     // MIs[0] policy
     /* 1489335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489347 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1489350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489372 */     // GIR_Coverage, 24729,
     /* 1489372 */     GIR_EraseRootFromParent_Done,
     /* 1489373 */   // Label 20804: @1489373
     /* 1489373 */   GIM_Try, /*On fail goto*//*Label 20805*/ GIMT_Encode4(1489470), // Rule ID 24732 //
     /* 1489378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1489389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1489392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1489395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489428 */     // MIs[1] Operand 1
     /* 1489428 */     // No operand predicates
     /* 1489428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489432 */     // MIs[0] policy
     /* 1489432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1489447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489469 */     // GIR_Coverage, 24732,
     /* 1489469 */     GIR_EraseRootFromParent_Done,
     /* 1489470 */   // Label 20805: @1489470
     /* 1489470 */   GIM_Try, /*On fail goto*//*Label 20806*/ GIMT_Encode4(1489567), // Rule ID 24733 //
     /* 1489475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1489486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1489489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1489492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489525 */     // MIs[1] Operand 1
     /* 1489525 */     // No operand predicates
     /* 1489525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489529 */     // MIs[0] policy
     /* 1489529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489541 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1489544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489566 */     // GIR_Coverage, 24733,
     /* 1489566 */     GIR_EraseRootFromParent_Done,
     /* 1489567 */   // Label 20806: @1489567
     /* 1489567 */   GIM_Try, /*On fail goto*//*Label 20807*/ GIMT_Encode4(1489664), // Rule ID 24736 //
     /* 1489572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1489583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1489586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1489589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1489595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489622 */     // MIs[1] Operand 1
     /* 1489622 */     // No operand predicates
     /* 1489622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489626 */     // MIs[0] policy
     /* 1489626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489638 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1489641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489663 */     // GIR_Coverage, 24736,
     /* 1489663 */     GIR_EraseRootFromParent_Done,
     /* 1489664 */   // Label 20807: @1489664
     /* 1489664 */   GIM_Try, /*On fail goto*//*Label 20808*/ GIMT_Encode4(1489761), // Rule ID 24737 //
     /* 1489669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1489680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1489683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1489686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1489692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489719 */     // MIs[1] Operand 1
     /* 1489719 */     // No operand predicates
     /* 1489719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489723 */     // MIs[0] policy
     /* 1489723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489735 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1489738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489760 */     // GIR_Coverage, 24737,
     /* 1489760 */     GIR_EraseRootFromParent_Done,
     /* 1489761 */   // Label 20808: @1489761
     /* 1489761 */   GIM_Try, /*On fail goto*//*Label 20809*/ GIMT_Encode4(1489858), // Rule ID 24740 //
     /* 1489766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1489777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1489780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1489783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1489789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489816 */     // MIs[1] Operand 1
     /* 1489816 */     // No operand predicates
     /* 1489816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489820 */     // MIs[0] policy
     /* 1489820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1489835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489857 */     // GIR_Coverage, 24740,
     /* 1489857 */     GIR_EraseRootFromParent_Done,
     /* 1489858 */   // Label 20809: @1489858
     /* 1489858 */   GIM_Try, /*On fail goto*//*Label 20810*/ GIMT_Encode4(1489955), // Rule ID 24741 //
     /* 1489863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1489874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1489877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1489880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1489886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489913 */     // MIs[1] Operand 1
     /* 1489913 */     // No operand predicates
     /* 1489913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489917 */     // MIs[0] policy
     /* 1489917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489929 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1489932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489954 */     // GIR_Coverage, 24741,
     /* 1489954 */     GIR_EraseRootFromParent_Done,
     /* 1489955 */   // Label 20810: @1489955
     /* 1489955 */   GIM_Try, /*On fail goto*//*Label 20811*/ GIMT_Encode4(1490052), // Rule ID 24744 //
     /* 1489960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1489971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1489974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490010 */     // MIs[1] Operand 1
     /* 1490010 */     // No operand predicates
     /* 1490010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490014 */     // MIs[0] policy
     /* 1490014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490026 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1490029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490051 */     // GIR_Coverage, 24744,
     /* 1490051 */     GIR_EraseRootFromParent_Done,
     /* 1490052 */   // Label 20811: @1490052
     /* 1490052 */   GIM_Try, /*On fail goto*//*Label 20812*/ GIMT_Encode4(1490149), // Rule ID 24745 //
     /* 1490057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1490060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1490068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1490071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1490074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490107 */     // MIs[1] Operand 1
     /* 1490107 */     // No operand predicates
     /* 1490107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490111 */     // MIs[0] policy
     /* 1490111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1490126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490148 */     // GIR_Coverage, 24745,
     /* 1490148 */     GIR_EraseRootFromParent_Done,
     /* 1490149 */   // Label 20812: @1490149
     /* 1490149 */   GIM_Try, /*On fail goto*//*Label 20813*/ GIMT_Encode4(1490246), // Rule ID 24748 //
     /* 1490154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1490157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1490165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1490168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1490171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490204 */     // MIs[1] Operand 1
     /* 1490204 */     // No operand predicates
     /* 1490204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490208 */     // MIs[0] policy
     /* 1490208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490220 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1490223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490245 */     // GIR_Coverage, 24748,
     /* 1490245 */     GIR_EraseRootFromParent_Done,
     /* 1490246 */   // Label 20813: @1490246
     /* 1490246 */   GIM_Try, /*On fail goto*//*Label 20814*/ GIMT_Encode4(1490343), // Rule ID 24749 //
     /* 1490251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1490254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1490262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1490265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1490268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490301 */     // MIs[1] Operand 1
     /* 1490301 */     // No operand predicates
     /* 1490301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490305 */     // MIs[0] policy
     /* 1490305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490317 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1490320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490342 */     // GIR_Coverage, 24749,
     /* 1490342 */     GIR_EraseRootFromParent_Done,
     /* 1490343 */   // Label 20814: @1490343
     /* 1490343 */   GIM_Try, /*On fail goto*//*Label 20815*/ GIMT_Encode4(1490440), // Rule ID 24752 //
     /* 1490348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1490351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1490359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1490362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1490365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1490371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490398 */     // MIs[1] Operand 1
     /* 1490398 */     // No operand predicates
     /* 1490398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490402 */     // MIs[0] policy
     /* 1490402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1490417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490439 */     // GIR_Coverage, 24752,
     /* 1490439 */     GIR_EraseRootFromParent_Done,
     /* 1490440 */   // Label 20815: @1490440
     /* 1490440 */   GIM_Try, /*On fail goto*//*Label 20816*/ GIMT_Encode4(1490537), // Rule ID 24753 //
     /* 1490445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1490448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1490456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1490459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1490462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1490468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490495 */     // MIs[1] Operand 1
     /* 1490495 */     // No operand predicates
     /* 1490495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490499 */     // MIs[0] policy
     /* 1490499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490511 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1490514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490536 */     // GIR_Coverage, 24753,
     /* 1490536 */     GIR_EraseRootFromParent_Done,
     /* 1490537 */   // Label 20816: @1490537
     /* 1490537 */   GIM_Try, /*On fail goto*//*Label 20817*/ GIMT_Encode4(1490634), // Rule ID 24756 //
     /* 1490542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1490545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1490553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1490556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1490559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490592 */     // MIs[1] Operand 1
     /* 1490592 */     // No operand predicates
     /* 1490592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490596 */     // MIs[0] policy
     /* 1490596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490608 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1490611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490633 */     // GIR_Coverage, 24756,
     /* 1490633 */     GIR_EraseRootFromParent_Done,
     /* 1490634 */   // Label 20817: @1490634
     /* 1490634 */   GIM_Try, /*On fail goto*//*Label 20818*/ GIMT_Encode4(1490731), // Rule ID 24757 //
     /* 1490639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1490642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1490650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1490653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1490656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490689 */     // MIs[1] Operand 1
     /* 1490689 */     // No operand predicates
     /* 1490689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490693 */     // MIs[0] policy
     /* 1490693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490705 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1490708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490730 */     // GIR_Coverage, 24757,
     /* 1490730 */     GIR_EraseRootFromParent_Done,
     /* 1490731 */   // Label 20818: @1490731
     /* 1490731 */   GIM_Try, /*On fail goto*//*Label 20819*/ GIMT_Encode4(1490828), // Rule ID 24760 //
     /* 1490736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1490739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1490747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1490750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1490753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490786 */     // MIs[1] Operand 1
     /* 1490786 */     // No operand predicates
     /* 1490786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490790 */     // MIs[0] policy
     /* 1490790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490802 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1490805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490827 */     // GIR_Coverage, 24760,
     /* 1490827 */     GIR_EraseRootFromParent_Done,
     /* 1490828 */   // Label 20819: @1490828
     /* 1490828 */   GIM_Try, /*On fail goto*//*Label 20820*/ GIMT_Encode4(1490925), // Rule ID 24761 //
     /* 1490833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1490836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1490844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1490847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1490850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490883 */     // MIs[1] Operand 1
     /* 1490883 */     // No operand predicates
     /* 1490883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490887 */     // MIs[0] policy
     /* 1490887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490899 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1490902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490924 */     // GIR_Coverage, 24761,
     /* 1490924 */     GIR_EraseRootFromParent_Done,
     /* 1490925 */   // Label 20820: @1490925
     /* 1490925 */   GIM_Try, /*On fail goto*//*Label 20821*/ GIMT_Encode4(1491022), // Rule ID 24764 //
     /* 1490930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1490933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1490947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490980 */     // MIs[1] Operand 1
     /* 1490980 */     // No operand predicates
     /* 1490980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490984 */     // MIs[0] policy
     /* 1490984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1490999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491021 */     // GIR_Coverage, 24764,
     /* 1491021 */     GIR_EraseRootFromParent_Done,
     /* 1491022 */   // Label 20821: @1491022
     /* 1491022 */   GIM_Try, /*On fail goto*//*Label 20822*/ GIMT_Encode4(1491119), // Rule ID 24765 //
     /* 1491027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1491030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1491038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1491041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1491044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1491057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491077 */     // MIs[1] Operand 1
     /* 1491077 */     // No operand predicates
     /* 1491077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491081 */     // MIs[0] policy
     /* 1491081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491093 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1491096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491118 */     // GIR_Coverage, 24765,
     /* 1491118 */     GIR_EraseRootFromParent_Done,
     /* 1491119 */   // Label 20822: @1491119
     /* 1491119 */   GIM_Try, /*On fail goto*//*Label 20823*/ GIMT_Encode4(1491216), // Rule ID 24972 //
     /* 1491124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1491135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1491138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1491141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491174 */     // MIs[1] Operand 1
     /* 1491174 */     // No operand predicates
     /* 1491174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491178 */     // MIs[0] policy
     /* 1491178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491190 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1491193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491215 */     // GIR_Coverage, 24972,
     /* 1491215 */     GIR_EraseRootFromParent_Done,
     /* 1491216 */   // Label 20823: @1491216
     /* 1491216 */   GIM_Try, /*On fail goto*//*Label 20824*/ GIMT_Encode4(1491313), // Rule ID 24973 //
     /* 1491221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1491232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1491235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1491238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491271 */     // MIs[1] Operand 1
     /* 1491271 */     // No operand predicates
     /* 1491271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491275 */     // MIs[0] policy
     /* 1491275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491287 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1491290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491312 */     // GIR_Coverage, 24973,
     /* 1491312 */     GIR_EraseRootFromParent_Done,
     /* 1491313 */   // Label 20824: @1491313
     /* 1491313 */   GIM_Try, /*On fail goto*//*Label 20825*/ GIMT_Encode4(1491410), // Rule ID 24976 //
     /* 1491318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1491329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1491332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1491335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491368 */     // MIs[1] Operand 1
     /* 1491368 */     // No operand predicates
     /* 1491368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491372 */     // MIs[0] policy
     /* 1491372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491384 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1491387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491409 */     // GIR_Coverage, 24976,
     /* 1491409 */     GIR_EraseRootFromParent_Done,
     /* 1491410 */   // Label 20825: @1491410
     /* 1491410 */   GIM_Try, /*On fail goto*//*Label 20826*/ GIMT_Encode4(1491507), // Rule ID 24977 //
     /* 1491415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1491426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1491429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1491432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491465 */     // MIs[1] Operand 1
     /* 1491465 */     // No operand predicates
     /* 1491465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491469 */     // MIs[0] policy
     /* 1491469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491481 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1491484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491506 */     // GIR_Coverage, 24977,
     /* 1491506 */     GIR_EraseRootFromParent_Done,
     /* 1491507 */   // Label 20826: @1491507
     /* 1491507 */   GIM_Try, /*On fail goto*//*Label 20827*/ GIMT_Encode4(1491604), // Rule ID 24980 //
     /* 1491512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1491523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1491526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1491529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491562 */     // MIs[1] Operand 1
     /* 1491562 */     // No operand predicates
     /* 1491562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491566 */     // MIs[0] policy
     /* 1491566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491578 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1491581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491603 */     // GIR_Coverage, 24980,
     /* 1491603 */     GIR_EraseRootFromParent_Done,
     /* 1491604 */   // Label 20827: @1491604
     /* 1491604 */   GIM_Try, /*On fail goto*//*Label 20828*/ GIMT_Encode4(1491701), // Rule ID 24981 //
     /* 1491609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1491620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1491623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1491626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491659 */     // MIs[1] Operand 1
     /* 1491659 */     // No operand predicates
     /* 1491659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491663 */     // MIs[0] policy
     /* 1491663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491675 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1491678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491700 */     // GIR_Coverage, 24981,
     /* 1491700 */     GIR_EraseRootFromParent_Done,
     /* 1491701 */   // Label 20828: @1491701
     /* 1491701 */   GIM_Try, /*On fail goto*//*Label 20829*/ GIMT_Encode4(1491798), // Rule ID 24984 //
     /* 1491706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1491723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491756 */     // MIs[1] Operand 1
     /* 1491756 */     // No operand predicates
     /* 1491756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491760 */     // MIs[0] policy
     /* 1491760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491772 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1491775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491797 */     // GIR_Coverage, 24984,
     /* 1491797 */     GIR_EraseRootFromParent_Done,
     /* 1491798 */   // Label 20829: @1491798
     /* 1491798 */   GIM_Try, /*On fail goto*//*Label 20830*/ GIMT_Encode4(1491895), // Rule ID 24985 //
     /* 1491803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1491820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491853 */     // MIs[1] Operand 1
     /* 1491853 */     // No operand predicates
     /* 1491853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491857 */     // MIs[0] policy
     /* 1491857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491869 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1491872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491894 */     // GIR_Coverage, 24985,
     /* 1491894 */     GIR_EraseRootFromParent_Done,
     /* 1491895 */   // Label 20830: @1491895
     /* 1491895 */   GIM_Try, /*On fail goto*//*Label 20831*/ GIMT_Encode4(1491992), // Rule ID 24988 //
     /* 1491900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1491911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1491914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1491917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491950 */     // MIs[1] Operand 1
     /* 1491950 */     // No operand predicates
     /* 1491950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491954 */     // MIs[0] policy
     /* 1491954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491966 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1491969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491991 */     // GIR_Coverage, 24988,
     /* 1491991 */     GIR_EraseRootFromParent_Done,
     /* 1491992 */   // Label 20831: @1491992
     /* 1491992 */   GIM_Try, /*On fail goto*//*Label 20832*/ GIMT_Encode4(1492089), // Rule ID 24989 //
     /* 1491997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1492000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1492008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1492011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1492014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1492020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492047 */     // MIs[1] Operand 1
     /* 1492047 */     // No operand predicates
     /* 1492047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492051 */     // MIs[0] policy
     /* 1492051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492063 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1492066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492088 */     // GIR_Coverage, 24989,
     /* 1492088 */     GIR_EraseRootFromParent_Done,
     /* 1492089 */   // Label 20832: @1492089
     /* 1492089 */   GIM_Try, /*On fail goto*//*Label 20833*/ GIMT_Encode4(1492186), // Rule ID 24992 //
     /* 1492094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1492097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1492105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1492108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1492111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492144 */     // MIs[1] Operand 1
     /* 1492144 */     // No operand predicates
     /* 1492144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492148 */     // MIs[0] policy
     /* 1492148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492160 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1492163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492185 */     // GIR_Coverage, 24992,
     /* 1492185 */     GIR_EraseRootFromParent_Done,
     /* 1492186 */   // Label 20833: @1492186
     /* 1492186 */   GIM_Try, /*On fail goto*//*Label 20834*/ GIMT_Encode4(1492283), // Rule ID 24993 //
     /* 1492191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1492194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1492202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1492205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1492208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492241 */     // MIs[1] Operand 1
     /* 1492241 */     // No operand predicates
     /* 1492241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492245 */     // MIs[0] policy
     /* 1492245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492257 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1492260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492282 */     // GIR_Coverage, 24993,
     /* 1492282 */     GIR_EraseRootFromParent_Done,
     /* 1492283 */   // Label 20834: @1492283
     /* 1492283 */   GIM_Try, /*On fail goto*//*Label 20835*/ GIMT_Encode4(1492380), // Rule ID 24996 //
     /* 1492288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1492291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1492305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492338 */     // MIs[1] Operand 1
     /* 1492338 */     // No operand predicates
     /* 1492338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492342 */     // MIs[0] policy
     /* 1492342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492354 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1492357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492379 */     // GIR_Coverage, 24996,
     /* 1492379 */     GIR_EraseRootFromParent_Done,
     /* 1492380 */   // Label 20835: @1492380
     /* 1492380 */   GIM_Try, /*On fail goto*//*Label 20836*/ GIMT_Encode4(1492477), // Rule ID 24997 //
     /* 1492385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1492388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1492402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492435 */     // MIs[1] Operand 1
     /* 1492435 */     // No operand predicates
     /* 1492435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492439 */     // MIs[0] policy
     /* 1492439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492451 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1492454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492476 */     // GIR_Coverage, 24997,
     /* 1492476 */     GIR_EraseRootFromParent_Done,
     /* 1492477 */   // Label 20836: @1492477
     /* 1492477 */   GIM_Try, /*On fail goto*//*Label 20837*/ GIMT_Encode4(1492574), // Rule ID 25000 //
     /* 1492482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1492485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1492499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492532 */     // MIs[1] Operand 1
     /* 1492532 */     // No operand predicates
     /* 1492532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492536 */     // MIs[0] policy
     /* 1492536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492548 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1492551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492573 */     // GIR_Coverage, 25000,
     /* 1492573 */     GIR_EraseRootFromParent_Done,
     /* 1492574 */   // Label 20837: @1492574
     /* 1492574 */   GIM_Try, /*On fail goto*//*Label 20838*/ GIMT_Encode4(1492671), // Rule ID 25001 //
     /* 1492579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1492582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1492596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492629 */     // MIs[1] Operand 1
     /* 1492629 */     // No operand predicates
     /* 1492629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492633 */     // MIs[0] policy
     /* 1492633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492645 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1492648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492670 */     // GIR_Coverage, 25001,
     /* 1492670 */     GIR_EraseRootFromParent_Done,
     /* 1492671 */   // Label 20838: @1492671
     /* 1492671 */   GIM_Try, /*On fail goto*//*Label 20839*/ GIMT_Encode4(1492768), // Rule ID 25004 //
     /* 1492676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1492679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1492687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1492690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1492693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492726 */     // MIs[1] Operand 1
     /* 1492726 */     // No operand predicates
     /* 1492726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492730 */     // MIs[0] policy
     /* 1492730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492742 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1492745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492767 */     // GIR_Coverage, 25004,
     /* 1492767 */     GIR_EraseRootFromParent_Done,
     /* 1492768 */   // Label 20839: @1492768
     /* 1492768 */   GIM_Try, /*On fail goto*//*Label 20840*/ GIMT_Encode4(1492865), // Rule ID 25005 //
     /* 1492773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1492776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1492784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1492787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1492790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492823 */     // MIs[1] Operand 1
     /* 1492823 */     // No operand predicates
     /* 1492823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492827 */     // MIs[0] policy
     /* 1492827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492839 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1492842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492864 */     // GIR_Coverage, 25005,
     /* 1492864 */     GIR_EraseRootFromParent_Done,
     /* 1492865 */   // Label 20840: @1492865
     /* 1492865 */   GIM_Try, /*On fail goto*//*Label 20841*/ GIMT_Encode4(1492962), // Rule ID 25008 //
     /* 1492870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1492873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1492881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1492884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1492887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492920 */     // MIs[1] Operand 1
     /* 1492920 */     // No operand predicates
     /* 1492920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492924 */     // MIs[0] policy
     /* 1492924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492936 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1492939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492961 */     // GIR_Coverage, 25008,
     /* 1492961 */     GIR_EraseRootFromParent_Done,
     /* 1492962 */   // Label 20841: @1492962
     /* 1492962 */   GIM_Try, /*On fail goto*//*Label 20842*/ GIMT_Encode4(1493059), // Rule ID 25009 //
     /* 1492967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1492970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1492978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1492981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1492984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493017 */     // MIs[1] Operand 1
     /* 1493017 */     // No operand predicates
     /* 1493017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493021 */     // MIs[0] policy
     /* 1493021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493033 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1493036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493058 */     // GIR_Coverage, 25009,
     /* 1493058 */     GIR_EraseRootFromParent_Done,
     /* 1493059 */   // Label 20842: @1493059
     /* 1493059 */   GIM_Try, /*On fail goto*//*Label 20843*/ GIMT_Encode4(1493156), // Rule ID 25012 //
     /* 1493064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1493067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1493075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1493078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1493081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493114 */     // MIs[1] Operand 1
     /* 1493114 */     // No operand predicates
     /* 1493114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493118 */     // MIs[0] policy
     /* 1493118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493130 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1493133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493155 */     // GIR_Coverage, 25012,
     /* 1493155 */     GIR_EraseRootFromParent_Done,
     /* 1493156 */   // Label 20843: @1493156
     /* 1493156 */   GIM_Try, /*On fail goto*//*Label 20844*/ GIMT_Encode4(1493253), // Rule ID 25013 //
     /* 1493161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1493164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1493172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1493175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1493178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493211 */     // MIs[1] Operand 1
     /* 1493211 */     // No operand predicates
     /* 1493211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493215 */     // MIs[0] policy
     /* 1493215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493227 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1493230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493252 */     // GIR_Coverage, 25013,
     /* 1493252 */     GIR_EraseRootFromParent_Done,
     /* 1493253 */   // Label 20844: @1493253
     /* 1493253 */   GIM_Try, /*On fail goto*//*Label 20845*/ GIMT_Encode4(1493350), // Rule ID 25016 //
     /* 1493258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1493261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1493269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1493272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1493275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493308 */     // MIs[1] Operand 1
     /* 1493308 */     // No operand predicates
     /* 1493308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493312 */     // MIs[0] policy
     /* 1493312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493324 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1493327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493349 */     // GIR_Coverage, 25016,
     /* 1493349 */     GIR_EraseRootFromParent_Done,
     /* 1493350 */   // Label 20845: @1493350
     /* 1493350 */   GIM_Try, /*On fail goto*//*Label 20846*/ GIMT_Encode4(1493447), // Rule ID 25017 //
     /* 1493355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1493358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1493366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1493369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1493372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493405 */     // MIs[1] Operand 1
     /* 1493405 */     // No operand predicates
     /* 1493405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493409 */     // MIs[0] policy
     /* 1493409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493421 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1493424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493446 */     // GIR_Coverage, 25017,
     /* 1493446 */     GIR_EraseRootFromParent_Done,
     /* 1493447 */   // Label 20846: @1493447
     /* 1493447 */   GIM_Try, /*On fail goto*//*Label 20847*/ GIMT_Encode4(1493544), // Rule ID 25020 //
     /* 1493452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1493455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1493469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493502 */     // MIs[1] Operand 1
     /* 1493502 */     // No operand predicates
     /* 1493502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493506 */     // MIs[0] policy
     /* 1493506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493518 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1493521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493543 */     // GIR_Coverage, 25020,
     /* 1493543 */     GIR_EraseRootFromParent_Done,
     /* 1493544 */   // Label 20847: @1493544
     /* 1493544 */   GIM_Try, /*On fail goto*//*Label 20848*/ GIMT_Encode4(1493641), // Rule ID 25021 //
     /* 1493549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1493552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1493566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493599 */     // MIs[1] Operand 1
     /* 1493599 */     // No operand predicates
     /* 1493599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493603 */     // MIs[0] policy
     /* 1493603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493615 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1493618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493640 */     // GIR_Coverage, 25021,
     /* 1493640 */     GIR_EraseRootFromParent_Done,
     /* 1493641 */   // Label 20848: @1493641
     /* 1493641 */   GIM_Try, /*On fail goto*//*Label 20849*/ GIMT_Encode4(1493738), // Rule ID 25024 //
     /* 1493646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1493649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1493657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1493660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1493663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493696 */     // MIs[1] Operand 1
     /* 1493696 */     // No operand predicates
     /* 1493696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493700 */     // MIs[0] policy
     /* 1493700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493712 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1493715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493737 */     // GIR_Coverage, 25024,
     /* 1493737 */     GIR_EraseRootFromParent_Done,
     /* 1493738 */   // Label 20849: @1493738
     /* 1493738 */   GIM_Try, /*On fail goto*//*Label 20850*/ GIMT_Encode4(1493835), // Rule ID 25025 //
     /* 1493743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1493746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1493754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1493757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1493760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493793 */     // MIs[1] Operand 1
     /* 1493793 */     // No operand predicates
     /* 1493793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493797 */     // MIs[0] policy
     /* 1493797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493809 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1493812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493834 */     // GIR_Coverage, 25025,
     /* 1493834 */     GIR_EraseRootFromParent_Done,
     /* 1493835 */   // Label 20850: @1493835
     /* 1493835 */   GIM_Try, /*On fail goto*//*Label 20851*/ GIMT_Encode4(1493932), // Rule ID 25028 //
     /* 1493840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1493843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1493851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1493854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1493857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493890 */     // MIs[1] Operand 1
     /* 1493890 */     // No operand predicates
     /* 1493890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493894 */     // MIs[0] policy
     /* 1493894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493906 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1493909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493931 */     // GIR_Coverage, 25028,
     /* 1493931 */     GIR_EraseRootFromParent_Done,
     /* 1493932 */   // Label 20851: @1493932
     /* 1493932 */   GIM_Try, /*On fail goto*//*Label 20852*/ GIMT_Encode4(1494029), // Rule ID 25029 //
     /* 1493937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1493940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1493948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1493951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1493954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493987 */     // MIs[1] Operand 1
     /* 1493987 */     // No operand predicates
     /* 1493987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493991 */     // MIs[0] policy
     /* 1493991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494003 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1494006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494028 */     // GIR_Coverage, 25029,
     /* 1494028 */     GIR_EraseRootFromParent_Done,
     /* 1494029 */   // Label 20852: @1494029
     /* 1494029 */   GIM_Try, /*On fail goto*//*Label 20853*/ GIMT_Encode4(1494126), // Rule ID 61040 //
     /* 1494034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1494037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1494051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1494057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494084 */     // MIs[1] Operand 1
     /* 1494084 */     // No operand predicates
     /* 1494084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494088 */     // MIs[0] policy
     /* 1494088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494100 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1494103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494125 */     // GIR_Coverage, 61040,
     /* 1494125 */     GIR_EraseRootFromParent_Done,
     /* 1494126 */   // Label 20853: @1494126
     /* 1494126 */   GIM_Try, /*On fail goto*//*Label 20854*/ GIMT_Encode4(1494223), // Rule ID 61041 //
     /* 1494131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1494134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1494148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1494154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494181 */     // MIs[1] Operand 1
     /* 1494181 */     // No operand predicates
     /* 1494181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494185 */     // MIs[0] policy
     /* 1494185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494197 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1494200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494222 */     // GIR_Coverage, 61041,
     /* 1494222 */     GIR_EraseRootFromParent_Done,
     /* 1494223 */   // Label 20854: @1494223
     /* 1494223 */   GIM_Try, /*On fail goto*//*Label 20855*/ GIMT_Encode4(1494320), // Rule ID 61048 //
     /* 1494228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1494231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1494239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1494242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1494245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1494251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494278 */     // MIs[1] Operand 1
     /* 1494278 */     // No operand predicates
     /* 1494278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494282 */     // MIs[0] policy
     /* 1494282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494294 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1494297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494319 */     // GIR_Coverage, 61048,
     /* 1494319 */     GIR_EraseRootFromParent_Done,
     /* 1494320 */   // Label 20855: @1494320
     /* 1494320 */   GIM_Try, /*On fail goto*//*Label 20856*/ GIMT_Encode4(1494417), // Rule ID 61049 //
     /* 1494325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1494328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1494336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1494339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1494342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1494348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494375 */     // MIs[1] Operand 1
     /* 1494375 */     // No operand predicates
     /* 1494375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494379 */     // MIs[0] policy
     /* 1494379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494391 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1494394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494416 */     // GIR_Coverage, 61049,
     /* 1494416 */     GIR_EraseRootFromParent_Done,
     /* 1494417 */   // Label 20856: @1494417
     /* 1494417 */   GIM_Try, /*On fail goto*//*Label 20857*/ GIMT_Encode4(1494514), // Rule ID 61056 //
     /* 1494422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1494425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1494433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1494436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1494439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1494445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494472 */     // MIs[1] Operand 1
     /* 1494472 */     // No operand predicates
     /* 1494472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494476 */     // MIs[0] policy
     /* 1494476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494488 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1494491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494513 */     // GIR_Coverage, 61056,
     /* 1494513 */     GIR_EraseRootFromParent_Done,
     /* 1494514 */   // Label 20857: @1494514
     /* 1494514 */   GIM_Try, /*On fail goto*//*Label 20858*/ GIMT_Encode4(1494611), // Rule ID 61057 //
     /* 1494519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1494522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1494530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1494533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1494536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1494542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494569 */     // MIs[1] Operand 1
     /* 1494569 */     // No operand predicates
     /* 1494569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494573 */     // MIs[0] policy
     /* 1494573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494585 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1494588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494610 */     // GIR_Coverage, 61057,
     /* 1494610 */     GIR_EraseRootFromParent_Done,
     /* 1494611 */   // Label 20858: @1494611
     /* 1494611 */   GIM_Try, /*On fail goto*//*Label 20859*/ GIMT_Encode4(1494708), // Rule ID 61064 //
     /* 1494616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1494619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1494627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1494630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1494633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494666 */     // MIs[1] Operand 1
     /* 1494666 */     // No operand predicates
     /* 1494666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494670 */     // MIs[0] policy
     /* 1494670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494682 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1494685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494707 */     // GIR_Coverage, 61064,
     /* 1494707 */     GIR_EraseRootFromParent_Done,
     /* 1494708 */   // Label 20859: @1494708
     /* 1494708 */   GIM_Try, /*On fail goto*//*Label 20860*/ GIMT_Encode4(1494805), // Rule ID 61065 //
     /* 1494713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1494716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1494724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1494727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1494730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494763 */     // MIs[1] Operand 1
     /* 1494763 */     // No operand predicates
     /* 1494763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494767 */     // MIs[0] policy
     /* 1494767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494779 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1494782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494804 */     // GIR_Coverage, 61065,
     /* 1494804 */     GIR_EraseRootFromParent_Done,
     /* 1494805 */   // Label 20860: @1494805
     /* 1494805 */   GIM_Try, /*On fail goto*//*Label 20861*/ GIMT_Encode4(1494902), // Rule ID 61072 //
     /* 1494810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1494813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1494821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1494824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1494827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1494833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494860 */     // MIs[1] Operand 1
     /* 1494860 */     // No operand predicates
     /* 1494860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494864 */     // MIs[0] policy
     /* 1494864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1494879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494901 */     // GIR_Coverage, 61072,
     /* 1494901 */     GIR_EraseRootFromParent_Done,
     /* 1494902 */   // Label 20861: @1494902
     /* 1494902 */   GIM_Try, /*On fail goto*//*Label 20862*/ GIMT_Encode4(1494999), // Rule ID 61073 //
     /* 1494907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1494910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1494918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1494921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1494924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1494930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494957 */     // MIs[1] Operand 1
     /* 1494957 */     // No operand predicates
     /* 1494957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494961 */     // MIs[0] policy
     /* 1494961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494973 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1494976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494998 */     // GIR_Coverage, 61073,
     /* 1494998 */     GIR_EraseRootFromParent_Done,
     /* 1494999 */   // Label 20862: @1494999
     /* 1494999 */   GIM_Try, /*On fail goto*//*Label 20863*/ GIMT_Encode4(1495096), // Rule ID 61080 //
     /* 1495004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1495007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1495015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1495018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1495021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1495027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1495034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495054 */     // MIs[1] Operand 1
     /* 1495054 */     // No operand predicates
     /* 1495054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495058 */     // MIs[0] policy
     /* 1495058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495070 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1495073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1495092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495095 */     // GIR_Coverage, 61080,
     /* 1495095 */     GIR_EraseRootFromParent_Done,
     /* 1495096 */   // Label 20863: @1495096
     /* 1495096 */   GIM_Try, /*On fail goto*//*Label 20864*/ GIMT_Encode4(1495193), // Rule ID 61081 //
     /* 1495101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1495104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1495112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1495115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1495118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1495124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1495131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495151 */     // MIs[1] Operand 1
     /* 1495151 */     // No operand predicates
     /* 1495151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495155 */     // MIs[0] policy
     /* 1495155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495167 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1495170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1495189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495192 */     // GIR_Coverage, 61081,
     /* 1495192 */     GIR_EraseRootFromParent_Done,
     /* 1495193 */   // Label 20864: @1495193
     /* 1495193 */   GIM_Try, /*On fail goto*//*Label 20865*/ GIMT_Encode4(1495290), // Rule ID 61088 //
     /* 1495198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1495201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1495209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1495212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1495215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1495221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495248 */     // MIs[1] Operand 1
     /* 1495248 */     // No operand predicates
     /* 1495248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495252 */     // MIs[0] policy
     /* 1495252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495264 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1495267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495289 */     // GIR_Coverage, 61088,
     /* 1495289 */     GIR_EraseRootFromParent_Done,
     /* 1495290 */   // Label 20865: @1495290
     /* 1495290 */   GIM_Try, /*On fail goto*//*Label 20866*/ GIMT_Encode4(1495387), // Rule ID 61089 //
     /* 1495295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1495298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1495306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1495309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1495312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1495318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495345 */     // MIs[1] Operand 1
     /* 1495345 */     // No operand predicates
     /* 1495345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495349 */     // MIs[0] policy
     /* 1495349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495361 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1495364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495386 */     // GIR_Coverage, 61089,
     /* 1495386 */     GIR_EraseRootFromParent_Done,
     /* 1495387 */   // Label 20866: @1495387
     /* 1495387 */   GIM_Try, /*On fail goto*//*Label 20867*/ GIMT_Encode4(1495484), // Rule ID 61096 //
     /* 1495392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1495395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1495403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1495406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1495409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1495415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495442 */     // MIs[1] Operand 1
     /* 1495442 */     // No operand predicates
     /* 1495442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495446 */     // MIs[0] policy
     /* 1495446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11682:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1495461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495483 */     // GIR_Coverage, 61096,
     /* 1495483 */     GIR_EraseRootFromParent_Done,
     /* 1495484 */   // Label 20867: @1495484
     /* 1495484 */   GIM_Try, /*On fail goto*//*Label 20868*/ GIMT_Encode4(1495581), // Rule ID 61097 //
     /* 1495489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1495492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1495500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1495503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1495506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1495512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495539 */     // MIs[1] Operand 1
     /* 1495539 */     // No operand predicates
     /* 1495539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495543 */     // MIs[0] policy
     /* 1495543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495555 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11682:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1495558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495580 */     // GIR_Coverage, 61097,
     /* 1495580 */     GIR_EraseRootFromParent_Done,
     /* 1495581 */   // Label 20868: @1495581
     /* 1495581 */   GIM_Try, /*On fail goto*//*Label 20869*/ GIMT_Encode4(1495678), // Rule ID 61104 //
     /* 1495586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1495589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1495597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1495600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1495603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1495609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1495616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495636 */     // MIs[1] Operand 1
     /* 1495636 */     // No operand predicates
     /* 1495636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495640 */     // MIs[0] policy
     /* 1495640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1495655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495677 */     // GIR_Coverage, 61104,
     /* 1495677 */     GIR_EraseRootFromParent_Done,
     /* 1495678 */   // Label 20869: @1495678
     /* 1495678 */   GIM_Try, /*On fail goto*//*Label 20870*/ GIMT_Encode4(1495775), // Rule ID 61105 //
     /* 1495683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1495686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1495694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1495697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1495700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1495706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1495713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495733 */     // MIs[1] Operand 1
     /* 1495733 */     // No operand predicates
     /* 1495733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495737 */     // MIs[0] policy
     /* 1495737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495749 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1495752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495774 */     // GIR_Coverage, 61105,
     /* 1495774 */     GIR_EraseRootFromParent_Done,
     /* 1495775 */   // Label 20870: @1495775
     /* 1495775 */   GIM_Try, /*On fail goto*//*Label 20871*/ GIMT_Encode4(1495872), // Rule ID 61112 //
     /* 1495780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1495783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1495791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1495794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1495797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1495803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1495810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495830 */     // MIs[1] Operand 1
     /* 1495830 */     // No operand predicates
     /* 1495830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495834 */     // MIs[0] policy
     /* 1495834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1495849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495871 */     // GIR_Coverage, 61112,
     /* 1495871 */     GIR_EraseRootFromParent_Done,
     /* 1495872 */   // Label 20871: @1495872
     /* 1495872 */   GIM_Try, /*On fail goto*//*Label 20872*/ GIMT_Encode4(1495969), // Rule ID 61113 //
     /* 1495877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1495880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1495888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1495891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1495894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1495900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1495907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495927 */     // MIs[1] Operand 1
     /* 1495927 */     // No operand predicates
     /* 1495927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495931 */     // MIs[0] policy
     /* 1495931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1495946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495968 */     // GIR_Coverage, 61113,
     /* 1495968 */     GIR_EraseRootFromParent_Done,
     /* 1495969 */   // Label 20872: @1495969
     /* 1495969 */   GIM_Try, /*On fail goto*//*Label 20873*/ GIMT_Encode4(1496066), // Rule ID 61120 //
     /* 1495974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1495977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1495982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1495985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1495988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1495991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1495997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1496004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496024 */     // MIs[1] Operand 1
     /* 1496024 */     // No operand predicates
     /* 1496024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496028 */     // MIs[0] policy
     /* 1496028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496040 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1496043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496065 */     // GIR_Coverage, 61120,
     /* 1496065 */     GIR_EraseRootFromParent_Done,
     /* 1496066 */   // Label 20873: @1496066
     /* 1496066 */   GIM_Try, /*On fail goto*//*Label 20874*/ GIMT_Encode4(1496163), // Rule ID 61121 //
     /* 1496071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1496074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1496082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1496085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1496088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1496094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1496101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496121 */     // MIs[1] Operand 1
     /* 1496121 */     // No operand predicates
     /* 1496121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496125 */     // MIs[0] policy
     /* 1496125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496137 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1496140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496162 */     // GIR_Coverage, 61121,
     /* 1496162 */     GIR_EraseRootFromParent_Done,
     /* 1496163 */   // Label 20874: @1496163
     /* 1496163 */   GIM_Try, /*On fail goto*//*Label 20875*/ GIMT_Encode4(1496260), // Rule ID 61128 //
     /* 1496168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1496171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1496179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1496182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1496185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496218 */     // MIs[1] Operand 1
     /* 1496218 */     // No operand predicates
     /* 1496218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496222 */     // MIs[0] policy
     /* 1496222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496234 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1496237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496259 */     // GIR_Coverage, 61128,
     /* 1496259 */     GIR_EraseRootFromParent_Done,
     /* 1496260 */   // Label 20875: @1496260
     /* 1496260 */   GIM_Try, /*On fail goto*//*Label 20876*/ GIMT_Encode4(1496357), // Rule ID 61129 //
     /* 1496265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1496268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1496276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1496279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1496282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496315 */     // MIs[1] Operand 1
     /* 1496315 */     // No operand predicates
     /* 1496315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496319 */     // MIs[0] policy
     /* 1496319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496331 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1496334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496356 */     // GIR_Coverage, 61129,
     /* 1496356 */     GIR_EraseRootFromParent_Done,
     /* 1496357 */   // Label 20876: @1496357
     /* 1496357 */   GIM_Try, /*On fail goto*//*Label 20877*/ GIMT_Encode4(1496454), // Rule ID 61136 //
     /* 1496362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1496365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1496373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1496376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1496379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1496385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1496392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496412 */     // MIs[1] Operand 1
     /* 1496412 */     // No operand predicates
     /* 1496412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496416 */     // MIs[0] policy
     /* 1496416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496428 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1496431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496453 */     // GIR_Coverage, 61136,
     /* 1496453 */     GIR_EraseRootFromParent_Done,
     /* 1496454 */   // Label 20877: @1496454
     /* 1496454 */   GIM_Try, /*On fail goto*//*Label 20878*/ GIMT_Encode4(1496551), // Rule ID 61137 //
     /* 1496459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1496462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1496470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1496473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1496476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1496482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1496489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496509 */     // MIs[1] Operand 1
     /* 1496509 */     // No operand predicates
     /* 1496509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496513 */     // MIs[0] policy
     /* 1496513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496525 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1496528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496550 */     // GIR_Coverage, 61137,
     /* 1496550 */     GIR_EraseRootFromParent_Done,
     /* 1496551 */   // Label 20878: @1496551
     /* 1496551 */   GIM_Try, /*On fail goto*//*Label 20879*/ GIMT_Encode4(1496648), // Rule ID 61144 //
     /* 1496556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1496559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1496567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1496570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1496573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1496579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1496586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496606 */     // MIs[1] Operand 1
     /* 1496606 */     // No operand predicates
     /* 1496606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496610 */     // MIs[0] policy
     /* 1496610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1496625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496647 */     // GIR_Coverage, 61144,
     /* 1496647 */     GIR_EraseRootFromParent_Done,
     /* 1496648 */   // Label 20879: @1496648
     /* 1496648 */   GIM_Try, /*On fail goto*//*Label 20880*/ GIMT_Encode4(1496745), // Rule ID 61145 //
     /* 1496653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1496656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1496664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1496667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1496670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1496676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1496683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496703 */     // MIs[1] Operand 1
     /* 1496703 */     // No operand predicates
     /* 1496703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496707 */     // MIs[0] policy
     /* 1496707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496719 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1496722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496744 */     // GIR_Coverage, 61145,
     /* 1496744 */     GIR_EraseRootFromParent_Done,
     /* 1496745 */   // Label 20880: @1496745
     /* 1496745 */   GIM_Try, /*On fail goto*//*Label 20881*/ GIMT_Encode4(1496842), // Rule ID 61152 //
     /* 1496750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1496753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1496761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1496764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1496767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1496773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1496780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496800 */     // MIs[1] Operand 1
     /* 1496800 */     // No operand predicates
     /* 1496800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496804 */     // MIs[0] policy
     /* 1496804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496816 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1496819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496841 */     // GIR_Coverage, 61152,
     /* 1496841 */     GIR_EraseRootFromParent_Done,
     /* 1496842 */   // Label 20881: @1496842
     /* 1496842 */   GIM_Try, /*On fail goto*//*Label 20882*/ GIMT_Encode4(1496939), // Rule ID 61153 //
     /* 1496847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1496850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1496855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1496858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1496861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1496864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1496870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1496877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496897 */     // MIs[1] Operand 1
     /* 1496897 */     // No operand predicates
     /* 1496897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496901 */     // MIs[0] policy
     /* 1496901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496913 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1496916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496938 */     // GIR_Coverage, 61153,
     /* 1496938 */     GIR_EraseRootFromParent_Done,
     /* 1496939 */   // Label 20882: @1496939
     /* 1496939 */   GIM_Try, /*On fail goto*//*Label 20883*/ GIMT_Encode4(1497036), // Rule ID 62008 //
     /* 1496944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1496947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1496955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1496958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1496961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496994 */     // MIs[1] Operand 1
     /* 1496994 */     // No operand predicates
     /* 1496994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496998 */     // MIs[0] policy
     /* 1496998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497010 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1497013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1497032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497035 */     // GIR_Coverage, 62008,
     /* 1497035 */     GIR_EraseRootFromParent_Done,
     /* 1497036 */   // Label 20883: @1497036
     /* 1497036 */   GIM_Try, /*On fail goto*//*Label 20884*/ GIMT_Encode4(1497133), // Rule ID 62009 //
     /* 1497041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1497052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1497055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1497058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1497064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497091 */     // MIs[1] Operand 1
     /* 1497091 */     // No operand predicates
     /* 1497091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497095 */     // MIs[0] policy
     /* 1497095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497107 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1497110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1497129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497132 */     // GIR_Coverage, 62009,
     /* 1497132 */     GIR_EraseRootFromParent_Done,
     /* 1497133 */   // Label 20884: @1497133
     /* 1497133 */   GIM_Try, /*On fail goto*//*Label 20885*/ GIMT_Encode4(1497230), // Rule ID 62012 //
     /* 1497138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1497149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1497152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1497155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1497161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497188 */     // MIs[1] Operand 1
     /* 1497188 */     // No operand predicates
     /* 1497188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497192 */     // MIs[0] policy
     /* 1497192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497204 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1497207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1497226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497229 */     // GIR_Coverage, 62012,
     /* 1497229 */     GIR_EraseRootFromParent_Done,
     /* 1497230 */   // Label 20885: @1497230
     /* 1497230 */   GIM_Try, /*On fail goto*//*Label 20886*/ GIMT_Encode4(1497327), // Rule ID 62013 //
     /* 1497235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1497246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1497249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1497252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1497258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497285 */     // MIs[1] Operand 1
     /* 1497285 */     // No operand predicates
     /* 1497285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497289 */     // MIs[0] policy
     /* 1497289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497301 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1497304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1497323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497326 */     // GIR_Coverage, 62013,
     /* 1497326 */     GIR_EraseRootFromParent_Done,
     /* 1497327 */   // Label 20886: @1497327
     /* 1497327 */   GIM_Try, /*On fail goto*//*Label 20887*/ GIMT_Encode4(1497424), // Rule ID 62016 //
     /* 1497332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1497343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1497346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1497349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1497355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497382 */     // MIs[1] Operand 1
     /* 1497382 */     // No operand predicates
     /* 1497382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497386 */     // MIs[0] policy
     /* 1497386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497398 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1497401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1497420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497423 */     // GIR_Coverage, 62016,
     /* 1497423 */     GIR_EraseRootFromParent_Done,
     /* 1497424 */   // Label 20887: @1497424
     /* 1497424 */   GIM_Try, /*On fail goto*//*Label 20888*/ GIMT_Encode4(1497521), // Rule ID 62017 //
     /* 1497429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1497440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1497443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1497446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1497452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497479 */     // MIs[1] Operand 1
     /* 1497479 */     // No operand predicates
     /* 1497479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497483 */     // MIs[0] policy
     /* 1497483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497495 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1497498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1497517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497520 */     // GIR_Coverage, 62017,
     /* 1497520 */     GIR_EraseRootFromParent_Done,
     /* 1497521 */   // Label 20888: @1497521
     /* 1497521 */   GIM_Try, /*On fail goto*//*Label 20889*/ GIMT_Encode4(1497618), // Rule ID 62020 //
     /* 1497526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1497537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1497540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1497543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1497549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497576 */     // MIs[1] Operand 1
     /* 1497576 */     // No operand predicates
     /* 1497576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497580 */     // MIs[0] policy
     /* 1497580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497592 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1497595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497617 */     // GIR_Coverage, 62020,
     /* 1497617 */     GIR_EraseRootFromParent_Done,
     /* 1497618 */   // Label 20889: @1497618
     /* 1497618 */   GIM_Try, /*On fail goto*//*Label 20890*/ GIMT_Encode4(1497715), // Rule ID 62021 //
     /* 1497623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1497634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1497637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1497640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1497646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497673 */     // MIs[1] Operand 1
     /* 1497673 */     // No operand predicates
     /* 1497673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497677 */     // MIs[0] policy
     /* 1497677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497689 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1497692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497714 */     // GIR_Coverage, 62021,
     /* 1497714 */     GIR_EraseRootFromParent_Done,
     /* 1497715 */   // Label 20890: @1497715
     /* 1497715 */   GIM_Try, /*On fail goto*//*Label 20891*/ GIMT_Encode4(1497812), // Rule ID 62024 //
     /* 1497720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1497731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1497734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1497737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1497743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497770 */     // MIs[1] Operand 1
     /* 1497770 */     // No operand predicates
     /* 1497770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497774 */     // MIs[0] policy
     /* 1497774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497786 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1497789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497811 */     // GIR_Coverage, 62024,
     /* 1497811 */     GIR_EraseRootFromParent_Done,
     /* 1497812 */   // Label 20891: @1497812
     /* 1497812 */   GIM_Try, /*On fail goto*//*Label 20892*/ GIMT_Encode4(1497909), // Rule ID 62025 //
     /* 1497817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1497828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1497831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1497834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1497840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497867 */     // MIs[1] Operand 1
     /* 1497867 */     // No operand predicates
     /* 1497867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497871 */     // MIs[0] policy
     /* 1497871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1497886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497908 */     // GIR_Coverage, 62025,
     /* 1497908 */     GIR_EraseRootFromParent_Done,
     /* 1497909 */   // Label 20892: @1497909
     /* 1497909 */   GIM_Try, /*On fail goto*//*Label 20893*/ GIMT_Encode4(1498006), // Rule ID 62028 //
     /* 1497914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1497925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1497928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1497931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1497937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497964 */     // MIs[1] Operand 1
     /* 1497964 */     // No operand predicates
     /* 1497964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497968 */     // MIs[0] policy
     /* 1497968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497980 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1497983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498005 */     // GIR_Coverage, 62028,
     /* 1498005 */     GIR_EraseRootFromParent_Done,
     /* 1498006 */   // Label 20893: @1498006
     /* 1498006 */   GIM_Try, /*On fail goto*//*Label 20894*/ GIMT_Encode4(1498103), // Rule ID 62029 //
     /* 1498011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1498022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1498025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1498028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1498034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498061 */     // MIs[1] Operand 1
     /* 1498061 */     // No operand predicates
     /* 1498061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498065 */     // MIs[0] policy
     /* 1498065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498077 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1498080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498102 */     // GIR_Coverage, 62029,
     /* 1498102 */     GIR_EraseRootFromParent_Done,
     /* 1498103 */   // Label 20894: @1498103
     /* 1498103 */   GIM_Try, /*On fail goto*//*Label 20895*/ GIMT_Encode4(1498200), // Rule ID 62032 //
     /* 1498108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1498111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1498119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1498122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1498125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1498131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498158 */     // MIs[1] Operand 1
     /* 1498158 */     // No operand predicates
     /* 1498158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498162 */     // MIs[0] policy
     /* 1498162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498174 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1498177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498199 */     // GIR_Coverage, 62032,
     /* 1498199 */     GIR_EraseRootFromParent_Done,
     /* 1498200 */   // Label 20895: @1498200
     /* 1498200 */   GIM_Try, /*On fail goto*//*Label 20896*/ GIMT_Encode4(1498297), // Rule ID 62033 //
     /* 1498205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1498216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1498219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1498222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1498228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498255 */     // MIs[1] Operand 1
     /* 1498255 */     // No operand predicates
     /* 1498255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498259 */     // MIs[0] policy
     /* 1498259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498271 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1498274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498296 */     // GIR_Coverage, 62033,
     /* 1498296 */     GIR_EraseRootFromParent_Done,
     /* 1498297 */   // Label 20896: @1498297
     /* 1498297 */   GIM_Try, /*On fail goto*//*Label 20897*/ GIMT_Encode4(1498394), // Rule ID 62036 //
     /* 1498302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1498305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1498313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1498316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1498319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1498325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498352 */     // MIs[1] Operand 1
     /* 1498352 */     // No operand predicates
     /* 1498352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498356 */     // MIs[0] policy
     /* 1498356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1498371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498393 */     // GIR_Coverage, 62036,
     /* 1498393 */     GIR_EraseRootFromParent_Done,
     /* 1498394 */   // Label 20897: @1498394
     /* 1498394 */   GIM_Try, /*On fail goto*//*Label 20898*/ GIMT_Encode4(1498491), // Rule ID 62037 //
     /* 1498399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1498410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1498413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1498416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1498422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498449 */     // MIs[1] Operand 1
     /* 1498449 */     // No operand predicates
     /* 1498449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498453 */     // MIs[0] policy
     /* 1498453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498465 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1498468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498490 */     // GIR_Coverage, 62037,
     /* 1498490 */     GIR_EraseRootFromParent_Done,
     /* 1498491 */   // Label 20898: @1498491
     /* 1498491 */   GIM_Try, /*On fail goto*//*Label 20899*/ GIMT_Encode4(1498588), // Rule ID 62040 //
     /* 1498496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1498499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1498507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1498510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1498513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1498519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498546 */     // MIs[1] Operand 1
     /* 1498546 */     // No operand predicates
     /* 1498546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498550 */     // MIs[0] policy
     /* 1498550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1498565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498587 */     // GIR_Coverage, 62040,
     /* 1498587 */     GIR_EraseRootFromParent_Done,
     /* 1498588 */   // Label 20899: @1498588
     /* 1498588 */   GIM_Try, /*On fail goto*//*Label 20900*/ GIMT_Encode4(1498685), // Rule ID 62041 //
     /* 1498593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1498604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1498607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1498610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1498616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498643 */     // MIs[1] Operand 1
     /* 1498643 */     // No operand predicates
     /* 1498643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498647 */     // MIs[0] policy
     /* 1498647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1498662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498684 */     // GIR_Coverage, 62041,
     /* 1498684 */     GIR_EraseRootFromParent_Done,
     /* 1498685 */   // Label 20900: @1498685
     /* 1498685 */   GIM_Try, /*On fail goto*//*Label 20901*/ GIMT_Encode4(1498782), // Rule ID 62044 //
     /* 1498690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1498693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1498701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1498704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1498707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1498713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498740 */     // MIs[1] Operand 1
     /* 1498740 */     // No operand predicates
     /* 1498740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498744 */     // MIs[0] policy
     /* 1498744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1498759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498781 */     // GIR_Coverage, 62044,
     /* 1498781 */     GIR_EraseRootFromParent_Done,
     /* 1498782 */   // Label 20901: @1498782
     /* 1498782 */   GIM_Try, /*On fail goto*//*Label 20902*/ GIMT_Encode4(1498879), // Rule ID 62045 //
     /* 1498787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1498798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1498801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1498804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1498810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498837 */     // MIs[1] Operand 1
     /* 1498837 */     // No operand predicates
     /* 1498837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498841 */     // MIs[0] policy
     /* 1498841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1498856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498878 */     // GIR_Coverage, 62045,
     /* 1498878 */     GIR_EraseRootFromParent_Done,
     /* 1498879 */   // Label 20902: @1498879
     /* 1498879 */   GIM_Try, /*On fail goto*//*Label 20903*/ GIMT_Encode4(1498976), // Rule ID 62048 //
     /* 1498884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1498887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1498895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1498898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1498901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1498907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1498914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498934 */     // MIs[1] Operand 1
     /* 1498934 */     // No operand predicates
     /* 1498934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498938 */     // MIs[0] policy
     /* 1498938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498950 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1498953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498975 */     // GIR_Coverage, 62048,
     /* 1498975 */     GIR_EraseRootFromParent_Done,
     /* 1498976 */   // Label 20903: @1498976
     /* 1498976 */   GIM_Try, /*On fail goto*//*Label 20904*/ GIMT_Encode4(1499073), // Rule ID 62049 //
     /* 1498981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1498992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1498995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1498998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1499004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1499011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499031 */     // MIs[1] Operand 1
     /* 1499031 */     // No operand predicates
     /* 1499031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499035 */     // MIs[0] policy
     /* 1499035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499047 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1499050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1499069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499072 */     // GIR_Coverage, 62049,
     /* 1499072 */     GIR_EraseRootFromParent_Done,
     /* 1499073 */   // Label 20904: @1499073
     /* 1499073 */   GIM_Try, /*On fail goto*//*Label 20905*/ GIMT_Encode4(1499170), // Rule ID 62052 //
     /* 1499078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1499081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1499089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1499092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1499095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1499101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499128 */     // MIs[1] Operand 1
     /* 1499128 */     // No operand predicates
     /* 1499128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499132 */     // MIs[0] policy
     /* 1499132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499144 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1499147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1499166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499169 */     // GIR_Coverage, 62052,
     /* 1499169 */     GIR_EraseRootFromParent_Done,
     /* 1499170 */   // Label 20905: @1499170
     /* 1499170 */   GIM_Try, /*On fail goto*//*Label 20906*/ GIMT_Encode4(1499267), // Rule ID 62053 //
     /* 1499175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1499178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1499186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1499189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1499192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1499198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499225 */     // MIs[1] Operand 1
     /* 1499225 */     // No operand predicates
     /* 1499225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499229 */     // MIs[0] policy
     /* 1499229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499241 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1499244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1499263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499266 */     // GIR_Coverage, 62053,
     /* 1499266 */     GIR_EraseRootFromParent_Done,
     /* 1499267 */   // Label 20906: @1499267
     /* 1499267 */   GIM_Try, /*On fail goto*//*Label 20907*/ GIMT_Encode4(1499364), // Rule ID 62056 //
     /* 1499272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1499275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1499283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1499286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1499289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1499295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1499302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499322 */     // MIs[1] Operand 1
     /* 1499322 */     // No operand predicates
     /* 1499322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499326 */     // MIs[0] policy
     /* 1499326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499338 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1499341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1499360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499363 */     // GIR_Coverage, 62056,
     /* 1499363 */     GIR_EraseRootFromParent_Done,
     /* 1499364 */   // Label 20907: @1499364
     /* 1499364 */   GIM_Try, /*On fail goto*//*Label 20908*/ GIMT_Encode4(1499461), // Rule ID 62057 //
     /* 1499369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1499372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1499380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1499383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1499386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1499392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1499399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499419 */     // MIs[1] Operand 1
     /* 1499419 */     // No operand predicates
     /* 1499419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499423 */     // MIs[0] policy
     /* 1499423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499435 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1499438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1499457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499460 */     // GIR_Coverage, 62057,
     /* 1499460 */     GIR_EraseRootFromParent_Done,
     /* 1499461 */   // Label 20908: @1499461
     /* 1499461 */   GIM_Try, /*On fail goto*//*Label 20909*/ GIMT_Encode4(1499558), // Rule ID 62060 //
     /* 1499466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1499469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1499477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1499480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1499483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1499489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1499496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499516 */     // MIs[1] Operand 1
     /* 1499516 */     // No operand predicates
     /* 1499516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499520 */     // MIs[0] policy
     /* 1499520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499532 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1499535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499557 */     // GIR_Coverage, 62060,
     /* 1499557 */     GIR_EraseRootFromParent_Done,
     /* 1499558 */   // Label 20909: @1499558
     /* 1499558 */   GIM_Try, /*On fail goto*//*Label 20910*/ GIMT_Encode4(1499655), // Rule ID 62061 //
     /* 1499563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1499566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1499574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1499577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1499580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1499586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1499593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499613 */     // MIs[1] Operand 1
     /* 1499613 */     // No operand predicates
     /* 1499613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499617 */     // MIs[0] policy
     /* 1499617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499629 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1499632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499654 */     // GIR_Coverage, 62061,
     /* 1499654 */     GIR_EraseRootFromParent_Done,
     /* 1499655 */   // Label 20910: @1499655
     /* 1499655 */   GIM_Try, /*On fail goto*//*Label 20911*/ GIMT_Encode4(1499752), // Rule ID 62064 //
     /* 1499660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1499663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1499671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1499674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1499677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1499683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499710 */     // MIs[1] Operand 1
     /* 1499710 */     // No operand predicates
     /* 1499710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499714 */     // MIs[0] policy
     /* 1499714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499726 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1499729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499751 */     // GIR_Coverage, 62064,
     /* 1499751 */     GIR_EraseRootFromParent_Done,
     /* 1499752 */   // Label 20911: @1499752
     /* 1499752 */   GIM_Try, /*On fail goto*//*Label 20912*/ GIMT_Encode4(1499849), // Rule ID 62065 //
     /* 1499757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1499760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1499768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1499771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1499774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1499780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499807 */     // MIs[1] Operand 1
     /* 1499807 */     // No operand predicates
     /* 1499807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499811 */     // MIs[0] policy
     /* 1499811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499823 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1499826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499848 */     // GIR_Coverage, 62065,
     /* 1499848 */     GIR_EraseRootFromParent_Done,
     /* 1499849 */   // Label 20912: @1499849
     /* 1499849 */   GIM_Try, /*On fail goto*//*Label 20913*/ GIMT_Encode4(1499946), // Rule ID 62068 //
     /* 1499854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1499857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1499865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1499868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1499871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1499877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1499884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1499904 */     // MIs[1] Operand 1
     /* 1499904 */     // No operand predicates
     /* 1499904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499908 */     // MIs[0] policy
     /* 1499908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499920 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1499923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499945 */     // GIR_Coverage, 62068,
     /* 1499945 */     GIR_EraseRootFromParent_Done,
     /* 1499946 */   // Label 20913: @1499946
     /* 1499946 */   GIM_Try, /*On fail goto*//*Label 20914*/ GIMT_Encode4(1500043), // Rule ID 62069 //
     /* 1499951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1499954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1499959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1499962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1499965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1499968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1499974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1499981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500001 */     // MIs[1] Operand 1
     /* 1500001 */     // No operand predicates
     /* 1500001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500005 */     // MIs[0] policy
     /* 1500005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500017 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1500020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500042 */     // GIR_Coverage, 62069,
     /* 1500042 */     GIR_EraseRootFromParent_Done,
     /* 1500043 */   // Label 20914: @1500043
     /* 1500043 */   GIM_Try, /*On fail goto*//*Label 20915*/ GIMT_Encode4(1500140), // Rule ID 62072 //
     /* 1500048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1500051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1500059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1500062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1500065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1500071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1500078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500098 */     // MIs[1] Operand 1
     /* 1500098 */     // No operand predicates
     /* 1500098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500102 */     // MIs[0] policy
     /* 1500102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500114 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1500117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500139 */     // GIR_Coverage, 62072,
     /* 1500139 */     GIR_EraseRootFromParent_Done,
     /* 1500140 */   // Label 20915: @1500140
     /* 1500140 */   GIM_Try, /*On fail goto*//*Label 20916*/ GIMT_Encode4(1500237), // Rule ID 62073 //
     /* 1500145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1500148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1500156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1500159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1500162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1500168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1500175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500195 */     // MIs[1] Operand 1
     /* 1500195 */     // No operand predicates
     /* 1500195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500199 */     // MIs[0] policy
     /* 1500199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1500214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500236 */     // GIR_Coverage, 62073,
     /* 1500236 */     GIR_EraseRootFromParent_Done,
     /* 1500237 */   // Label 20916: @1500237
     /* 1500237 */   GIM_Try, /*On fail goto*//*Label 20917*/ GIMT_Encode4(1500334), // Rule ID 62076 //
     /* 1500242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1500245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1500253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1500256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1500259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1500265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1500272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500292 */     // MIs[1] Operand 1
     /* 1500292 */     // No operand predicates
     /* 1500292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500296 */     // MIs[0] policy
     /* 1500296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1500311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500333 */     // GIR_Coverage, 62076,
     /* 1500333 */     GIR_EraseRootFromParent_Done,
     /* 1500334 */   // Label 20917: @1500334
     /* 1500334 */   GIM_Try, /*On fail goto*//*Label 20918*/ GIMT_Encode4(1500431), // Rule ID 62077 //
     /* 1500339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1500342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1500350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1500353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1500356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1500362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1500369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500389 */     // MIs[1] Operand 1
     /* 1500389 */     // No operand predicates
     /* 1500389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500393 */     // MIs[0] policy
     /* 1500393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500405 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1500408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500430 */     // GIR_Coverage, 62077,
     /* 1500430 */     GIR_EraseRootFromParent_Done,
     /* 1500431 */   // Label 20918: @1500431
     /* 1500431 */   GIM_Try, /*On fail goto*//*Label 20919*/ GIMT_Encode4(1500528), // Rule ID 62080 //
     /* 1500436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1500439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1500447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1500450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1500453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1500459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1500466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500486 */     // MIs[1] Operand 1
     /* 1500486 */     // No operand predicates
     /* 1500486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500490 */     // MIs[0] policy
     /* 1500490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1500505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500527 */     // GIR_Coverage, 62080,
     /* 1500527 */     GIR_EraseRootFromParent_Done,
     /* 1500528 */   // Label 20919: @1500528
     /* 1500528 */   GIM_Try, /*On fail goto*//*Label 20920*/ GIMT_Encode4(1500625), // Rule ID 62081 //
     /* 1500533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1500536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1500544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1500547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1500550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1500556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1500563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500583 */     // MIs[1] Operand 1
     /* 1500583 */     // No operand predicates
     /* 1500583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500587 */     // MIs[0] policy
     /* 1500587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500599 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1500602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500624 */     // GIR_Coverage, 62081,
     /* 1500624 */     GIR_EraseRootFromParent_Done,
     /* 1500625 */   // Label 20920: @1500625
     /* 1500625 */   GIM_Try, /*On fail goto*//*Label 20921*/ GIMT_Encode4(1500722), // Rule ID 62084 //
     /* 1500630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1500633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1500641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1500644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1500647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1500653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1500660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500680 */     // MIs[1] Operand 1
     /* 1500680 */     // No operand predicates
     /* 1500680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500684 */     // MIs[0] policy
     /* 1500684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500696 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1500699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500721 */     // GIR_Coverage, 62084,
     /* 1500721 */     GIR_EraseRootFromParent_Done,
     /* 1500722 */   // Label 20921: @1500722
     /* 1500722 */   GIM_Try, /*On fail goto*//*Label 20922*/ GIMT_Encode4(1500819), // Rule ID 62085 //
     /* 1500727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1500730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1500738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1500741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1500744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1500750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1500757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500777 */     // MIs[1] Operand 1
     /* 1500777 */     // No operand predicates
     /* 1500777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500781 */     // MIs[0] policy
     /* 1500781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1500796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500818 */     // GIR_Coverage, 62085,
     /* 1500818 */     GIR_EraseRootFromParent_Done,
     /* 1500819 */   // Label 20922: @1500819
     /* 1500819 */   GIM_Try, /*On fail goto*//*Label 20923*/ GIMT_Encode4(1500916), // Rule ID 62088 //
     /* 1500824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1500827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1500835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1500838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1500841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1500847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1500854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500874 */     // MIs[1] Operand 1
     /* 1500874 */     // No operand predicates
     /* 1500874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500878 */     // MIs[0] policy
     /* 1500878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500890 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1500893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500915 */     // GIR_Coverage, 62088,
     /* 1500915 */     GIR_EraseRootFromParent_Done,
     /* 1500916 */   // Label 20923: @1500916
     /* 1500916 */   GIM_Try, /*On fail goto*//*Label 20924*/ GIMT_Encode4(1501013), // Rule ID 62089 //
     /* 1500921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1500924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1500929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1500932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1500935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1500938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1500944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1500951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1500971 */     // MIs[1] Operand 1
     /* 1500971 */     // No operand predicates
     /* 1500971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500975 */     // MIs[0] policy
     /* 1500975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500987 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1500990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501012 */     // GIR_Coverage, 62089,
     /* 1501012 */     GIR_EraseRootFromParent_Done,
     /* 1501013 */   // Label 20924: @1501013
     /* 1501013 */   GIM_Try, /*On fail goto*//*Label 20925*/ GIMT_Encode4(1501110), // Rule ID 62092 //
     /* 1501018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1501021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1501026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1501029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1501032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1501035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1501038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1501041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1501048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1501060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1501064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1501068 */     // MIs[1] Operand 1
     /* 1501068 */     // No operand predicates
     /* 1501068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501072 */     // MIs[0] policy
     /* 1501072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1501077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501084 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1501087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1501096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501109 */     // GIR_Coverage, 62092,
     /* 1501109 */     GIR_EraseRootFromParent_Done,
     /* 1501110 */   // Label 20925: @1501110
     /* 1501110 */   GIM_Try, /*On fail goto*//*Label 20926*/ GIMT_Encode4(1501207), // Rule ID 62093 //
     /* 1501115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1501118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1501123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1501126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1501129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1501132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1501135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1501138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1501145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1501157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1501161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1501165 */     // MIs[1] Operand 1
     /* 1501165 */     // No operand predicates
     /* 1501165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501169 */     // MIs[0] policy
     /* 1501169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1501174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501181 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1501184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1501193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501206 */     // GIR_Coverage, 62093,
     /* 1501206 */     GIR_EraseRootFromParent_Done,
     /* 1501207 */   // Label 20926: @1501207
     /* 1501207 */   GIM_Try, /*On fail goto*//*Label 20927*/ GIMT_Encode4(1501289), // Rule ID 2712 //
     /* 1501212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1501220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1501229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1501232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501251 */     // MIs[0] round
     /* 1501251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501254 */     // MIs[0] policy
     /* 1501254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501264 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1501267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1501273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1501275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501288 */     // GIR_Coverage, 2712,
     /* 1501288 */     GIR_EraseRootFromParent_Done,
     /* 1501289 */   // Label 20927: @1501289
     /* 1501289 */   GIM_Try, /*On fail goto*//*Label 20928*/ GIMT_Encode4(1501371), // Rule ID 2713 //
     /* 1501294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1501302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1501311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1501314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501333 */     // MIs[0] round
     /* 1501333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501336 */     // MIs[0] policy
     /* 1501336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501346 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1501349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1501355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1501357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501370 */     // GIR_Coverage, 2713,
     /* 1501370 */     GIR_EraseRootFromParent_Done,
     /* 1501371 */   // Label 20928: @1501371
     /* 1501371 */   GIM_Try, /*On fail goto*//*Label 20929*/ GIMT_Encode4(1501453), // Rule ID 2748 //
     /* 1501376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1501379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1501384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1501393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1501396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501415 */     // MIs[0] round
     /* 1501415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501418 */     // MIs[0] policy
     /* 1501418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501428 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1501431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1501437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1501439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501452 */     // GIR_Coverage, 2748,
     /* 1501452 */     GIR_EraseRootFromParent_Done,
     /* 1501453 */   // Label 20929: @1501453
     /* 1501453 */   GIM_Try, /*On fail goto*//*Label 20930*/ GIMT_Encode4(1501535), // Rule ID 2749 //
     /* 1501458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1501461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1501466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1501475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1501478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501497 */     // MIs[0] round
     /* 1501497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501500 */     // MIs[0] policy
     /* 1501500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501510 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1501513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1501519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1501521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501534 */     // GIR_Coverage, 2749,
     /* 1501534 */     GIR_EraseRootFromParent_Done,
     /* 1501535 */   // Label 20930: @1501535
     /* 1501535 */   GIM_Try, /*On fail goto*//*Label 20931*/ GIMT_Encode4(1501617), // Rule ID 2780 //
     /* 1501540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1501557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1501560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501579 */     // MIs[0] round
     /* 1501579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501582 */     // MIs[0] policy
     /* 1501582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501592 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1501595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501616 */     // GIR_Coverage, 2780,
     /* 1501616 */     GIR_EraseRootFromParent_Done,
     /* 1501617 */   // Label 20931: @1501617
     /* 1501617 */   GIM_Try, /*On fail goto*//*Label 20932*/ GIMT_Encode4(1501699), // Rule ID 2781 //
     /* 1501622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1501639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1501642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501661 */     // MIs[0] round
     /* 1501661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501664 */     // MIs[0] policy
     /* 1501664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501674 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1501677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501698 */     // GIR_Coverage, 2781,
     /* 1501698 */     GIR_EraseRootFromParent_Done,
     /* 1501699 */   // Label 20932: @1501699
     /* 1501699 */   GIM_Try, /*On fail goto*//*Label 20933*/ GIMT_Encode4(1501781), // Rule ID 17760 //
     /* 1501704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1501718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1501721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1501724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501743 */     // MIs[0] round
     /* 1501743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501746 */     // MIs[0] policy
     /* 1501746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501756 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1501759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501780 */     // GIR_Coverage, 17760,
     /* 1501780 */     GIR_EraseRootFromParent_Done,
     /* 1501781 */   // Label 20933: @1501781
     /* 1501781 */   GIM_Try, /*On fail goto*//*Label 20934*/ GIMT_Encode4(1501863), // Rule ID 17761 //
     /* 1501786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1501800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1501803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1501806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501825 */     // MIs[0] round
     /* 1501825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501828 */     // MIs[0] policy
     /* 1501828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501838 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1501841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501862 */     // GIR_Coverage, 17761,
     /* 1501862 */     GIR_EraseRootFromParent_Done,
     /* 1501863 */   // Label 20934: @1501863
     /* 1501863 */   GIM_Try, /*On fail goto*//*Label 20935*/ GIMT_Encode4(1501945), // Rule ID 17764 //
     /* 1501868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1501879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1501882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1501885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1501888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501907 */     // MIs[0] round
     /* 1501907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501910 */     // MIs[0] policy
     /* 1501910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501920 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1501923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501944 */     // GIR_Coverage, 17764,
     /* 1501944 */     GIR_EraseRootFromParent_Done,
     /* 1501945 */   // Label 20935: @1501945
     /* 1501945 */   GIM_Try, /*On fail goto*//*Label 20936*/ GIMT_Encode4(1502027), // Rule ID 17765 //
     /* 1501950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1501961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1501964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1501967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1501970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501989 */     // MIs[0] round
     /* 1501989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501992 */     // MIs[0] policy
     /* 1501992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502002 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1502005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502026 */     // GIR_Coverage, 17765,
     /* 1502026 */     GIR_EraseRootFromParent_Done,
     /* 1502027 */   // Label 20936: @1502027
     /* 1502027 */   GIM_Try, /*On fail goto*//*Label 20937*/ GIMT_Encode4(1502109), // Rule ID 17768 //
     /* 1502032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1502043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1502046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1502049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1502052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502071 */     // MIs[0] round
     /* 1502071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502074 */     // MIs[0] policy
     /* 1502074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502084 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1502087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502108 */     // GIR_Coverage, 17768,
     /* 1502108 */     GIR_EraseRootFromParent_Done,
     /* 1502109 */   // Label 20937: @1502109
     /* 1502109 */   GIM_Try, /*On fail goto*//*Label 20938*/ GIMT_Encode4(1502191), // Rule ID 17769 //
     /* 1502114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1502125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1502128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1502131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1502134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502153 */     // MIs[0] round
     /* 1502153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502156 */     // MIs[0] policy
     /* 1502156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502166 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1502169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502190 */     // GIR_Coverage, 17769,
     /* 1502190 */     GIR_EraseRootFromParent_Done,
     /* 1502191 */   // Label 20938: @1502191
     /* 1502191 */   GIM_Try, /*On fail goto*//*Label 20939*/ GIMT_Encode4(1502273), // Rule ID 17772 //
     /* 1502196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1502213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1502216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502235 */     // MIs[0] round
     /* 1502235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502238 */     // MIs[0] policy
     /* 1502238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502248 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1502251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502272 */     // GIR_Coverage, 17772,
     /* 1502272 */     GIR_EraseRootFromParent_Done,
     /* 1502273 */   // Label 20939: @1502273
     /* 1502273 */   GIM_Try, /*On fail goto*//*Label 20940*/ GIMT_Encode4(1502355), // Rule ID 17773 //
     /* 1502278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1502295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1502298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502317 */     // MIs[0] round
     /* 1502317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502320 */     // MIs[0] policy
     /* 1502320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502330 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1502333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502354 */     // GIR_Coverage, 17773,
     /* 1502354 */     GIR_EraseRootFromParent_Done,
     /* 1502355 */   // Label 20940: @1502355
     /* 1502355 */   GIM_Try, /*On fail goto*//*Label 20941*/ GIMT_Encode4(1502437), // Rule ID 17776 //
     /* 1502360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1502371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1502374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1502377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1502380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502399 */     // MIs[0] round
     /* 1502399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502402 */     // MIs[0] policy
     /* 1502402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502412 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1502415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502436 */     // GIR_Coverage, 17776,
     /* 1502436 */     GIR_EraseRootFromParent_Done,
     /* 1502437 */   // Label 20941: @1502437
     /* 1502437 */   GIM_Try, /*On fail goto*//*Label 20942*/ GIMT_Encode4(1502519), // Rule ID 17777 //
     /* 1502442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1502445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1502453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1502456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1502459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1502462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502481 */     // MIs[0] round
     /* 1502481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502484 */     // MIs[0] policy
     /* 1502484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502494 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1502497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502518 */     // GIR_Coverage, 17777,
     /* 1502518 */     GIR_EraseRootFromParent_Done,
     /* 1502519 */   // Label 20942: @1502519
     /* 1502519 */   GIM_Try, /*On fail goto*//*Label 20943*/ GIMT_Encode4(1502601), // Rule ID 17780 //
     /* 1502524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1502535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1502538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1502541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1502544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502563 */     // MIs[0] round
     /* 1502563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502566 */     // MIs[0] policy
     /* 1502566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502576 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1502579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502600 */     // GIR_Coverage, 17780,
     /* 1502600 */     GIR_EraseRootFromParent_Done,
     /* 1502601 */   // Label 20943: @1502601
     /* 1502601 */   GIM_Try, /*On fail goto*//*Label 20944*/ GIMT_Encode4(1502683), // Rule ID 17781 //
     /* 1502606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1502617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1502620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1502623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1502626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502645 */     // MIs[0] round
     /* 1502645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502648 */     // MIs[0] policy
     /* 1502648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502658 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1502661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502682 */     // GIR_Coverage, 17781,
     /* 1502682 */     GIR_EraseRootFromParent_Done,
     /* 1502683 */   // Label 20944: @1502683
     /* 1502683 */   GIM_Try, /*On fail goto*//*Label 20945*/ GIMT_Encode4(1502765), // Rule ID 17784 //
     /* 1502688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1502699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1502705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1502708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502727 */     // MIs[0] round
     /* 1502727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502730 */     // MIs[0] policy
     /* 1502730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502740 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1502743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502764 */     // GIR_Coverage, 17784,
     /* 1502764 */     GIR_EraseRootFromParent_Done,
     /* 1502765 */   // Label 20945: @1502765
     /* 1502765 */   GIM_Try, /*On fail goto*//*Label 20946*/ GIMT_Encode4(1502847), // Rule ID 17785 //
     /* 1502770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1502781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1502787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1502790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502809 */     // MIs[0] round
     /* 1502809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502812 */     // MIs[0] policy
     /* 1502812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502822 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1502825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502846 */     // GIR_Coverage, 17785,
     /* 1502846 */     GIR_EraseRootFromParent_Done,
     /* 1502847 */   // Label 20946: @1502847
     /* 1502847 */   GIM_Try, /*On fail goto*//*Label 20947*/ GIMT_Encode4(1502929), // Rule ID 17788 //
     /* 1502852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1502863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1502866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1502869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1502872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502891 */     // MIs[0] round
     /* 1502891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502894 */     // MIs[0] policy
     /* 1502894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502904 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1502907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502928 */     // GIR_Coverage, 17788,
     /* 1502928 */     GIR_EraseRootFromParent_Done,
     /* 1502929 */   // Label 20947: @1502929
     /* 1502929 */   GIM_Try, /*On fail goto*//*Label 20948*/ GIMT_Encode4(1503011), // Rule ID 17789 //
     /* 1502934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1502945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1502948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1502951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1502954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502973 */     // MIs[0] round
     /* 1502973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502976 */     // MIs[0] policy
     /* 1502976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502986 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1502989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503010 */     // GIR_Coverage, 17789,
     /* 1503010 */     GIR_EraseRootFromParent_Done,
     /* 1503011 */   // Label 20948: @1503011
     /* 1503011 */   GIM_Try, /*On fail goto*//*Label 20949*/ GIMT_Encode4(1503093), // Rule ID 17792 //
     /* 1503016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1503027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1503030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1503033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1503036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503055 */     // MIs[0] round
     /* 1503055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503058 */     // MIs[0] policy
     /* 1503058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503068 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1503071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503092 */     // GIR_Coverage, 17792,
     /* 1503092 */     GIR_EraseRootFromParent_Done,
     /* 1503093 */   // Label 20949: @1503093
     /* 1503093 */   GIM_Try, /*On fail goto*//*Label 20950*/ GIMT_Encode4(1503175), // Rule ID 17793 //
     /* 1503098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1503109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1503112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1503115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1503118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503137 */     // MIs[0] round
     /* 1503137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503140 */     // MIs[0] policy
     /* 1503140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503150 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1503153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503174 */     // GIR_Coverage, 17793,
     /* 1503174 */     GIR_EraseRootFromParent_Done,
     /* 1503175 */   // Label 20950: @1503175
     /* 1503175 */   GIM_Try, /*On fail goto*//*Label 20951*/ GIMT_Encode4(1503257), // Rule ID 17796 //
     /* 1503180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1503191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1503194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1503197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1503200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503219 */     // MIs[0] round
     /* 1503219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503222 */     // MIs[0] policy
     /* 1503222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503232 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1503235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503256 */     // GIR_Coverage, 17796,
     /* 1503256 */     GIR_EraseRootFromParent_Done,
     /* 1503257 */   // Label 20951: @1503257
     /* 1503257 */   GIM_Try, /*On fail goto*//*Label 20952*/ GIMT_Encode4(1503339), // Rule ID 17797 //
     /* 1503262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1503273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1503276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1503279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1503282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503301 */     // MIs[0] round
     /* 1503301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503304 */     // MIs[0] policy
     /* 1503304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503314 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1503317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503338 */     // GIR_Coverage, 17797,
     /* 1503338 */     GIR_EraseRootFromParent_Done,
     /* 1503339 */   // Label 20952: @1503339
     /* 1503339 */   GIM_Try, /*On fail goto*//*Label 20953*/ GIMT_Encode4(1503421), // Rule ID 17800 //
     /* 1503344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1503355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1503358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1503361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1503364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503383 */     // MIs[0] round
     /* 1503383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503386 */     // MIs[0] policy
     /* 1503386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503396 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1503399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503420 */     // GIR_Coverage, 17800,
     /* 1503420 */     GIR_EraseRootFromParent_Done,
     /* 1503421 */   // Label 20953: @1503421
     /* 1503421 */   GIM_Try, /*On fail goto*//*Label 20954*/ GIMT_Encode4(1503503), // Rule ID 17801 //
     /* 1503426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1503437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1503440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1503443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1503446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503465 */     // MIs[0] round
     /* 1503465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503468 */     // MIs[0] policy
     /* 1503468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503478 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1503481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503502 */     // GIR_Coverage, 17801,
     /* 1503502 */     GIR_EraseRootFromParent_Done,
     /* 1503503 */   // Label 20954: @1503503
     /* 1503503 */   GIM_Try, /*On fail goto*//*Label 20955*/ GIMT_Encode4(1503585), // Rule ID 17804 //
     /* 1503508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1503519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1503522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1503525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1503528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503547 */     // MIs[0] round
     /* 1503547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503550 */     // MIs[0] policy
     /* 1503550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503560 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1503563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503584 */     // GIR_Coverage, 17804,
     /* 1503584 */     GIR_EraseRootFromParent_Done,
     /* 1503585 */   // Label 20955: @1503585
     /* 1503585 */   GIM_Try, /*On fail goto*//*Label 20956*/ GIMT_Encode4(1503667), // Rule ID 17805 //
     /* 1503590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1503601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1503604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1503607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1503610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503629 */     // MIs[0] round
     /* 1503629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503632 */     // MIs[0] policy
     /* 1503632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503642 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1503645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503666 */     // GIR_Coverage, 17805,
     /* 1503666 */     GIR_EraseRootFromParent_Done,
     /* 1503667 */   // Label 20956: @1503667
     /* 1503667 */   GIM_Try, /*On fail goto*//*Label 20957*/ GIMT_Encode4(1503749), // Rule ID 17808 //
     /* 1503672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1503683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1503686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1503689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1503692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503711 */     // MIs[0] round
     /* 1503711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503714 */     // MIs[0] policy
     /* 1503714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503724 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1503727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503748 */     // GIR_Coverage, 17808,
     /* 1503748 */     GIR_EraseRootFromParent_Done,
     /* 1503749 */   // Label 20957: @1503749
     /* 1503749 */   GIM_Try, /*On fail goto*//*Label 20958*/ GIMT_Encode4(1503831), // Rule ID 17809 //
     /* 1503754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1503765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1503768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1503771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1503774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503793 */     // MIs[0] round
     /* 1503793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503796 */     // MIs[0] policy
     /* 1503796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503806 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1503809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503830 */     // GIR_Coverage, 17809,
     /* 1503830 */     GIR_EraseRootFromParent_Done,
     /* 1503831 */   // Label 20958: @1503831
     /* 1503831 */   GIM_Try, /*On fail goto*//*Label 20959*/ GIMT_Encode4(1503913), // Rule ID 17812 //
     /* 1503836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1503847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1503850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1503853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1503856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503875 */     // MIs[0] round
     /* 1503875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503878 */     // MIs[0] policy
     /* 1503878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503888 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1503891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503912 */     // GIR_Coverage, 17812,
     /* 1503912 */     GIR_EraseRootFromParent_Done,
     /* 1503913 */   // Label 20959: @1503913
     /* 1503913 */   GIM_Try, /*On fail goto*//*Label 20960*/ GIMT_Encode4(1503995), // Rule ID 17813 //
     /* 1503918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1503929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1503932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1503935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1503938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503957 */     // MIs[0] round
     /* 1503957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503960 */     // MIs[0] policy
     /* 1503960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503970 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1503973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503994 */     // GIR_Coverage, 17813,
     /* 1503994 */     GIR_EraseRootFromParent_Done,
     /* 1503995 */   // Label 20960: @1503995
     /* 1503995 */   GIM_Try, /*On fail goto*//*Label 20961*/ GIMT_Encode4(1504077), // Rule ID 17816 //
     /* 1504000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1504011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1504014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1504020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504039 */     // MIs[0] round
     /* 1504039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504042 */     // MIs[0] policy
     /* 1504042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504052 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1504055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504076 */     // GIR_Coverage, 17816,
     /* 1504076 */     GIR_EraseRootFromParent_Done,
     /* 1504077 */   // Label 20961: @1504077
     /* 1504077 */   GIM_Try, /*On fail goto*//*Label 20962*/ GIMT_Encode4(1504159), // Rule ID 17817 //
     /* 1504082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1504093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1504096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1504102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504121 */     // MIs[0] round
     /* 1504121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504124 */     // MIs[0] policy
     /* 1504124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504134 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1504137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504158 */     // GIR_Coverage, 17817,
     /* 1504158 */     GIR_EraseRootFromParent_Done,
     /* 1504159 */   // Label 20962: @1504159
     /* 1504159 */   GIM_Try, /*On fail goto*//*Label 20963*/ GIMT_Encode4(1504241), // Rule ID 17820 //
     /* 1504164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1504184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504203 */     // MIs[0] round
     /* 1504203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504206 */     // MIs[0] policy
     /* 1504206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504216 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1504219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504240 */     // GIR_Coverage, 17820,
     /* 1504240 */     GIR_EraseRootFromParent_Done,
     /* 1504241 */   // Label 20963: @1504241
     /* 1504241 */   GIM_Try, /*On fail goto*//*Label 20964*/ GIMT_Encode4(1504323), // Rule ID 17821 //
     /* 1504246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1504266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504285 */     // MIs[0] round
     /* 1504285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504288 */     // MIs[0] policy
     /* 1504288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504298 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1504301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504322 */     // GIR_Coverage, 17821,
     /* 1504322 */     GIR_EraseRootFromParent_Done,
     /* 1504323 */   // Label 20964: @1504323
     /* 1504323 */   GIM_Try, /*On fail goto*//*Label 20965*/ GIMT_Encode4(1504405), // Rule ID 17824 //
     /* 1504328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1504339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1504342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1504345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1504348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504367 */     // MIs[0] round
     /* 1504367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504370 */     // MIs[0] policy
     /* 1504370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504380 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1504383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504404 */     // GIR_Coverage, 17824,
     /* 1504404 */     GIR_EraseRootFromParent_Done,
     /* 1504405 */   // Label 20965: @1504405
     /* 1504405 */   GIM_Try, /*On fail goto*//*Label 20966*/ GIMT_Encode4(1504487), // Rule ID 17825 //
     /* 1504410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1504421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1504424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1504427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1504430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504449 */     // MIs[0] round
     /* 1504449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504452 */     // MIs[0] policy
     /* 1504452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504462 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1504465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504486 */     // GIR_Coverage, 17825,
     /* 1504486 */     GIR_EraseRootFromParent_Done,
     /* 1504487 */   // Label 20966: @1504487
     /* 1504487 */   GIM_Try, /*On fail goto*//*Label 20967*/ GIMT_Encode4(1504569), // Rule ID 17828 //
     /* 1504492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1504503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1504506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1504512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504531 */     // MIs[0] round
     /* 1504531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504534 */     // MIs[0] policy
     /* 1504534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504544 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1504547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504568 */     // GIR_Coverage, 17828,
     /* 1504568 */     GIR_EraseRootFromParent_Done,
     /* 1504569 */   // Label 20967: @1504569
     /* 1504569 */   GIM_Try, /*On fail goto*//*Label 20968*/ GIMT_Encode4(1504651), // Rule ID 17829 //
     /* 1504574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1504585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1504588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1504594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504613 */     // MIs[0] round
     /* 1504613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504616 */     // MIs[0] policy
     /* 1504616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504626 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1504629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504650 */     // GIR_Coverage, 17829,
     /* 1504650 */     GIR_EraseRootFromParent_Done,
     /* 1504651 */   // Label 20968: @1504651
     /* 1504651 */   GIM_Try, /*On fail goto*//*Label 20969*/ GIMT_Encode4(1504733), // Rule ID 17832 //
     /* 1504656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1504667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1504670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1504673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1504676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504695 */     // MIs[0] round
     /* 1504695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504698 */     // MIs[0] policy
     /* 1504698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1504711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504732 */     // GIR_Coverage, 17832,
     /* 1504732 */     GIR_EraseRootFromParent_Done,
     /* 1504733 */   // Label 20969: @1504733
     /* 1504733 */   GIM_Try, /*On fail goto*//*Label 20970*/ GIMT_Encode4(1504815), // Rule ID 17833 //
     /* 1504738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1504749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1504752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1504755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1504758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504777 */     // MIs[0] round
     /* 1504777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504780 */     // MIs[0] policy
     /* 1504780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504790 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1504793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504814 */     // GIR_Coverage, 17833,
     /* 1504814 */     GIR_EraseRootFromParent_Done,
     /* 1504815 */   // Label 20970: @1504815
     /* 1504815 */   GIM_Try, /*On fail goto*//*Label 20971*/ GIMT_Encode4(1504897), // Rule ID 17836 //
     /* 1504820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1504831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1504834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1504840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504859 */     // MIs[0] round
     /* 1504859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504862 */     // MIs[0] policy
     /* 1504862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504872 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1504875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504896 */     // GIR_Coverage, 17836,
     /* 1504896 */     GIR_EraseRootFromParent_Done,
     /* 1504897 */   // Label 20971: @1504897
     /* 1504897 */   GIM_Try, /*On fail goto*//*Label 20972*/ GIMT_Encode4(1504979), // Rule ID 17837 //
     /* 1504902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1504913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1504916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1504922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504941 */     // MIs[0] round
     /* 1504941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504944 */     // MIs[0] policy
     /* 1504944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504954 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1504957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504978 */     // GIR_Coverage, 17837,
     /* 1504978 */     GIR_EraseRootFromParent_Done,
     /* 1504979 */   // Label 20972: @1504979
     /* 1504979 */   GIM_Try, /*On fail goto*//*Label 20973*/ GIMT_Encode4(1505061), // Rule ID 17840 //
     /* 1504984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1504992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1504995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1504998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1505004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505023 */     // MIs[0] round
     /* 1505023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505026 */     // MIs[0] policy
     /* 1505026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505036 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1505039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505060 */     // GIR_Coverage, 17840,
     /* 1505060 */     GIR_EraseRootFromParent_Done,
     /* 1505061 */   // Label 20973: @1505061
     /* 1505061 */   GIM_Try, /*On fail goto*//*Label 20974*/ GIMT_Encode4(1505143), // Rule ID 17841 //
     /* 1505066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1505077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1505080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1505086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505105 */     // MIs[0] round
     /* 1505105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505108 */     // MIs[0] policy
     /* 1505108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505118 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1505121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505142 */     // GIR_Coverage, 17841,
     /* 1505142 */     GIR_EraseRootFromParent_Done,
     /* 1505143 */   // Label 20974: @1505143
     /* 1505143 */   GIM_Try, /*On fail goto*//*Label 20975*/ GIMT_Encode4(1505225), // Rule ID 17844 //
     /* 1505148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1505159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1505162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1505168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505187 */     // MIs[0] round
     /* 1505187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505190 */     // MIs[0] policy
     /* 1505190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505200 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1505203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505224 */     // GIR_Coverage, 17844,
     /* 1505224 */     GIR_EraseRootFromParent_Done,
     /* 1505225 */   // Label 20975: @1505225
     /* 1505225 */   GIM_Try, /*On fail goto*//*Label 20976*/ GIMT_Encode4(1505307), // Rule ID 17845 //
     /* 1505230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1505241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1505244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1505250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505269 */     // MIs[0] round
     /* 1505269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505272 */     // MIs[0] policy
     /* 1505272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505282 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1505285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505306 */     // GIR_Coverage, 17845,
     /* 1505306 */     GIR_EraseRootFromParent_Done,
     /* 1505307 */   // Label 20976: @1505307
     /* 1505307 */   GIM_Try, /*On fail goto*//*Label 20977*/ GIMT_Encode4(1505389), // Rule ID 17848 //
     /* 1505312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1505323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1505326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1505332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505351 */     // MIs[0] round
     /* 1505351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505354 */     // MIs[0] policy
     /* 1505354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505364 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1505367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505388 */     // GIR_Coverage, 17848,
     /* 1505388 */     GIR_EraseRootFromParent_Done,
     /* 1505389 */   // Label 20977: @1505389
     /* 1505389 */   GIM_Try, /*On fail goto*//*Label 20978*/ GIMT_Encode4(1505471), // Rule ID 17849 //
     /* 1505394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1505405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1505408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1505414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505433 */     // MIs[0] round
     /* 1505433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505436 */     // MIs[0] policy
     /* 1505436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505446 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1505449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505470 */     // GIR_Coverage, 17849,
     /* 1505470 */     GIR_EraseRootFromParent_Done,
     /* 1505471 */   // Label 20978: @1505471
     /* 1505471 */   GIM_Try, /*On fail goto*//*Label 20979*/ GIMT_Encode4(1505553), // Rule ID 17852 //
     /* 1505476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1505487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1505490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1505496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505515 */     // MIs[0] round
     /* 1505515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505518 */     // MIs[0] policy
     /* 1505518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1505531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505552 */     // GIR_Coverage, 17852,
     /* 1505552 */     GIR_EraseRootFromParent_Done,
     /* 1505553 */   // Label 20979: @1505553
     /* 1505553 */   GIM_Try, /*On fail goto*//*Label 20980*/ GIMT_Encode4(1505635), // Rule ID 17853 //
     /* 1505558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1505569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1505572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1505578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505597 */     // MIs[0] round
     /* 1505597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505600 */     // MIs[0] policy
     /* 1505600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505610 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1505613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505634 */     // GIR_Coverage, 17853,
     /* 1505634 */     GIR_EraseRootFromParent_Done,
     /* 1505635 */   // Label 20980: @1505635
     /* 1505635 */   GIM_Try, /*On fail goto*//*Label 20981*/ GIMT_Encode4(1505717), // Rule ID 17856 //
     /* 1505640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1505651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1505654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1505660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505679 */     // MIs[0] round
     /* 1505679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505682 */     // MIs[0] policy
     /* 1505682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505692 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1505695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505716 */     // GIR_Coverage, 17856,
     /* 1505716 */     GIR_EraseRootFromParent_Done,
     /* 1505717 */   // Label 20981: @1505717
     /* 1505717 */   GIM_Try, /*On fail goto*//*Label 20982*/ GIMT_Encode4(1505799), // Rule ID 17857 //
     /* 1505722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1505733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1505736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1505742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505761 */     // MIs[0] round
     /* 1505761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505764 */     // MIs[0] policy
     /* 1505764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505774 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1505777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505798 */     // GIR_Coverage, 17857,
     /* 1505798 */     GIR_EraseRootFromParent_Done,
     /* 1505799 */   // Label 20982: @1505799
     /* 1505799 */   GIM_Try, /*On fail goto*//*Label 20983*/ GIMT_Encode4(1505881), // Rule ID 17860 //
     /* 1505804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1505815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1505818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1505824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505843 */     // MIs[0] round
     /* 1505843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505846 */     // MIs[0] policy
     /* 1505846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505856 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1505859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505880 */     // GIR_Coverage, 17860,
     /* 1505880 */     GIR_EraseRootFromParent_Done,
     /* 1505881 */   // Label 20983: @1505881
     /* 1505881 */   GIM_Try, /*On fail goto*//*Label 20984*/ GIMT_Encode4(1505963), // Rule ID 17861 //
     /* 1505886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1505897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1505900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1505906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505925 */     // MIs[0] round
     /* 1505925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505928 */     // MIs[0] policy
     /* 1505928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505938 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1505941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505962 */     // GIR_Coverage, 17861,
     /* 1505962 */     GIR_EraseRootFromParent_Done,
     /* 1505963 */   // Label 20984: @1505963
     /* 1505963 */   GIM_Try, /*On fail goto*//*Label 20985*/ GIMT_Encode4(1506045), // Rule ID 17864 //
     /* 1505968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1505979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1505982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1505985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1505988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1506003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506007 */     // MIs[0] round
     /* 1506007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506010 */     // MIs[0] policy
     /* 1506010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506020 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1506023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506044 */     // GIR_Coverage, 17864,
     /* 1506044 */     GIR_EraseRootFromParent_Done,
     /* 1506045 */   // Label 20985: @1506045
     /* 1506045 */   GIM_Try, /*On fail goto*//*Label 20986*/ GIMT_Encode4(1506127), // Rule ID 17865 //
     /* 1506050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1506061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1506064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1506067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1506070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1506085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506089 */     // MIs[0] round
     /* 1506089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506092 */     // MIs[0] policy
     /* 1506092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506102 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1506105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506126 */     // GIR_Coverage, 17865,
     /* 1506126 */     GIR_EraseRootFromParent_Done,
     /* 1506127 */   // Label 20986: @1506127
     /* 1506127 */   GIM_Try, /*On fail goto*//*Label 20987*/ GIMT_Encode4(1506209), // Rule ID 17868 //
     /* 1506132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1506143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1506146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1506149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1506152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1506167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506171 */     // MIs[0] round
     /* 1506171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506174 */     // MIs[0] policy
     /* 1506174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506184 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1506187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506208 */     // GIR_Coverage, 17868,
     /* 1506208 */     GIR_EraseRootFromParent_Done,
     /* 1506209 */   // Label 20987: @1506209
     /* 1506209 */   GIM_Try, /*On fail goto*//*Label 20988*/ GIMT_Encode4(1506291), // Rule ID 17869 //
     /* 1506214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1506225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1506228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1506231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1506234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1506249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506253 */     // MIs[0] round
     /* 1506253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506256 */     // MIs[0] policy
     /* 1506256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506266 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1506269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506290 */     // GIR_Coverage, 17869,
     /* 1506290 */     GIR_EraseRootFromParent_Done,
     /* 1506291 */   // Label 20988: @1506291
     /* 1506291 */   GIM_Try, /*On fail goto*//*Label 20989*/ GIMT_Encode4(1506373), // Rule ID 17872 //
     /* 1506296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1506307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1506310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1506313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1506316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1506331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506335 */     // MIs[0] round
     /* 1506335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506338 */     // MIs[0] policy
     /* 1506338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506348 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1506351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506372 */     // GIR_Coverage, 17872,
     /* 1506372 */     GIR_EraseRootFromParent_Done,
     /* 1506373 */   // Label 20989: @1506373
     /* 1506373 */   GIM_Try, /*On fail goto*//*Label 20990*/ GIMT_Encode4(1506455), // Rule ID 17873 //
     /* 1506378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1506389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1506392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1506395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1506398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1506413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506417 */     // MIs[0] round
     /* 1506417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506420 */     // MIs[0] policy
     /* 1506420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506430 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1506433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506454 */     // GIR_Coverage, 17873,
     /* 1506454 */     GIR_EraseRootFromParent_Done,
     /* 1506455 */   // Label 20990: @1506455
     /* 1506455 */   GIM_Try, /*On fail goto*//*Label 20991*/ GIMT_Encode4(1506537), // Rule ID 17876 //
     /* 1506460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1506471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1506474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1506477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1506480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506499 */     // MIs[0] round
     /* 1506499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506502 */     // MIs[0] policy
     /* 1506502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506512 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1506515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506536 */     // GIR_Coverage, 17876,
     /* 1506536 */     GIR_EraseRootFromParent_Done,
     /* 1506537 */   // Label 20991: @1506537
     /* 1506537 */   GIM_Try, /*On fail goto*//*Label 20992*/ GIMT_Encode4(1506619), // Rule ID 17877 //
     /* 1506542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1506553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1506556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1506559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1506562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506581 */     // MIs[0] round
     /* 1506581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506584 */     // MIs[0] policy
     /* 1506584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506594 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1506597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506618 */     // GIR_Coverage, 17877,
     /* 1506618 */     GIR_EraseRootFromParent_Done,
     /* 1506619 */   // Label 20992: @1506619
     /* 1506619 */   GIM_Try, /*On fail goto*//*Label 20993*/ GIMT_Encode4(1506701), // Rule ID 17880 //
     /* 1506624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1506635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1506638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1506641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1506644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506663 */     // MIs[0] round
     /* 1506663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506666 */     // MIs[0] policy
     /* 1506666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506676 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1506679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506700 */     // GIR_Coverage, 17880,
     /* 1506700 */     GIR_EraseRootFromParent_Done,
     /* 1506701 */   // Label 20993: @1506701
     /* 1506701 */   GIM_Try, /*On fail goto*//*Label 20994*/ GIMT_Encode4(1506783), // Rule ID 17881 //
     /* 1506706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1506717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1506720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1506723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1506726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506745 */     // MIs[0] round
     /* 1506745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506748 */     // MIs[0] policy
     /* 1506748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506758 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1506761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506782 */     // GIR_Coverage, 17881,
     /* 1506782 */     GIR_EraseRootFromParent_Done,
     /* 1506783 */   // Label 20994: @1506783
     /* 1506783 */   GIM_Try, /*On fail goto*//*Label 20995*/ GIMT_Encode4(1506865), // Rule ID 17884 //
     /* 1506788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1506799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1506802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1506805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1506808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506827 */     // MIs[0] round
     /* 1506827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506830 */     // MIs[0] policy
     /* 1506830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506840 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1506843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506864 */     // GIR_Coverage, 17884,
     /* 1506864 */     GIR_EraseRootFromParent_Done,
     /* 1506865 */   // Label 20995: @1506865
     /* 1506865 */   GIM_Try, /*On fail goto*//*Label 20996*/ GIMT_Encode4(1506947), // Rule ID 17885 //
     /* 1506870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1506881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1506884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1506887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1506890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506909 */     // MIs[0] round
     /* 1506909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506912 */     // MIs[0] policy
     /* 1506912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506922 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1506925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506946 */     // GIR_Coverage, 17885,
     /* 1506946 */     GIR_EraseRootFromParent_Done,
     /* 1506947 */   // Label 20996: @1506947
     /* 1506947 */   GIM_Try, /*On fail goto*//*Label 20997*/ GIMT_Encode4(1507029), // Rule ID 17888 //
     /* 1506952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1506963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1506966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1506969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1506972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506991 */     // MIs[0] round
     /* 1506991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506994 */     // MIs[0] policy
     /* 1506994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507004 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1507007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507028 */     // GIR_Coverage, 17888,
     /* 1507028 */     GIR_EraseRootFromParent_Done,
     /* 1507029 */   // Label 20997: @1507029
     /* 1507029 */   GIM_Try, /*On fail goto*//*Label 20998*/ GIMT_Encode4(1507111), // Rule ID 17889 //
     /* 1507034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1507045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1507048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1507051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1507054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507073 */     // MIs[0] round
     /* 1507073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507076 */     // MIs[0] policy
     /* 1507076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507086 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1507089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507110 */     // GIR_Coverage, 17889,
     /* 1507110 */     GIR_EraseRootFromParent_Done,
     /* 1507111 */   // Label 20998: @1507111
     /* 1507111 */   GIM_Try, /*On fail goto*//*Label 20999*/ GIMT_Encode4(1507193), // Rule ID 17892 //
     /* 1507116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1507127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1507130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1507133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1507136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507155 */     // MIs[0] round
     /* 1507155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507158 */     // MIs[0] policy
     /* 1507158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1507171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507192 */     // GIR_Coverage, 17892,
     /* 1507192 */     GIR_EraseRootFromParent_Done,
     /* 1507193 */   // Label 20999: @1507193
     /* 1507193 */   GIM_Try, /*On fail goto*//*Label 21000*/ GIMT_Encode4(1507275), // Rule ID 17893 //
     /* 1507198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1507209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1507212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1507215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1507218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507237 */     // MIs[0] round
     /* 1507237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507240 */     // MIs[0] policy
     /* 1507240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507250 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1507253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507274 */     // GIR_Coverage, 17893,
     /* 1507274 */     GIR_EraseRootFromParent_Done,
     /* 1507275 */   // Label 21000: @1507275
     /* 1507275 */   GIM_Try, /*On fail goto*//*Label 21001*/ GIMT_Encode4(1507357), // Rule ID 17896 //
     /* 1507280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1507291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1507294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1507297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1507300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507319 */     // MIs[0] round
     /* 1507319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507322 */     // MIs[0] policy
     /* 1507322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507332 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1507335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507356 */     // GIR_Coverage, 17896,
     /* 1507356 */     GIR_EraseRootFromParent_Done,
     /* 1507357 */   // Label 21001: @1507357
     /* 1507357 */   GIM_Try, /*On fail goto*//*Label 21002*/ GIMT_Encode4(1507439), // Rule ID 17897 //
     /* 1507362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1507373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1507376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1507379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1507382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507401 */     // MIs[0] round
     /* 1507401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507404 */     // MIs[0] policy
     /* 1507404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507414 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1507417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507438 */     // GIR_Coverage, 17897,
     /* 1507438 */     GIR_EraseRootFromParent_Done,
     /* 1507439 */   // Label 21002: @1507439
     /* 1507439 */   GIM_Try, /*On fail goto*//*Label 21003*/ GIMT_Encode4(1507521), // Rule ID 17900 //
     /* 1507444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1507455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1507458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1507461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1507464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507483 */     // MIs[0] round
     /* 1507483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507486 */     // MIs[0] policy
     /* 1507486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507496 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1507499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507520 */     // GIR_Coverage, 17900,
     /* 1507520 */     GIR_EraseRootFromParent_Done,
     /* 1507521 */   // Label 21003: @1507521
     /* 1507521 */   GIM_Try, /*On fail goto*//*Label 21004*/ GIMT_Encode4(1507603), // Rule ID 17901 //
     /* 1507526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1507537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1507540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1507543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1507546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507565 */     // MIs[0] round
     /* 1507565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507568 */     // MIs[0] policy
     /* 1507568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507578 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1507581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507602 */     // GIR_Coverage, 17901,
     /* 1507602 */     GIR_EraseRootFromParent_Done,
     /* 1507603 */   // Label 21004: @1507603
     /* 1507603 */   GIM_Try, /*On fail goto*//*Label 21005*/ GIMT_Encode4(1507685), // Rule ID 17904 //
     /* 1507608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1507619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1507622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1507625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1507628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507647 */     // MIs[0] round
     /* 1507647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507650 */     // MIs[0] policy
     /* 1507650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507660 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1507663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507684 */     // GIR_Coverage, 17904,
     /* 1507684 */     GIR_EraseRootFromParent_Done,
     /* 1507685 */   // Label 21005: @1507685
     /* 1507685 */   GIM_Try, /*On fail goto*//*Label 21006*/ GIMT_Encode4(1507767), // Rule ID 17905 //
     /* 1507690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1507701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1507704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1507707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1507710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507729 */     // MIs[0] round
     /* 1507729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507732 */     // MIs[0] policy
     /* 1507732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507742 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1507745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507766 */     // GIR_Coverage, 17905,
     /* 1507766 */     GIR_EraseRootFromParent_Done,
     /* 1507767 */   // Label 21006: @1507767
     /* 1507767 */   GIM_Try, /*On fail goto*//*Label 21007*/ GIMT_Encode4(1507849), // Rule ID 17908 //
     /* 1507772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1507783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1507786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1507789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1507792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507811 */     // MIs[0] round
     /* 1507811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507814 */     // MIs[0] policy
     /* 1507814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507824 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1507827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507848 */     // GIR_Coverage, 17908,
     /* 1507848 */     GIR_EraseRootFromParent_Done,
     /* 1507849 */   // Label 21007: @1507849
     /* 1507849 */   GIM_Try, /*On fail goto*//*Label 21008*/ GIMT_Encode4(1507931), // Rule ID 17909 //
     /* 1507854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1507865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1507868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1507871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1507874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507893 */     // MIs[0] round
     /* 1507893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507896 */     // MIs[0] policy
     /* 1507896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507906 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1507909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507930 */     // GIR_Coverage, 17909,
     /* 1507930 */     GIR_EraseRootFromParent_Done,
     /* 1507931 */   // Label 21008: @1507931
     /* 1507931 */   GIM_Try, /*On fail goto*//*Label 21009*/ GIMT_Encode4(1508013), // Rule ID 17912 //
     /* 1507936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1507947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1507950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1507953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1507956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507975 */     // MIs[0] round
     /* 1507975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507978 */     // MIs[0] policy
     /* 1507978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507988 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1507991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508012 */     // GIR_Coverage, 17912,
     /* 1508012 */     GIR_EraseRootFromParent_Done,
     /* 1508013 */   // Label 21009: @1508013
     /* 1508013 */   GIM_Try, /*On fail goto*//*Label 21010*/ GIMT_Encode4(1508095), // Rule ID 17913 //
     /* 1508018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1508029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1508032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1508035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1508038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508057 */     // MIs[0] round
     /* 1508057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508060 */     // MIs[0] policy
     /* 1508060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508070 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1508073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508094 */     // GIR_Coverage, 17913,
     /* 1508094 */     GIR_EraseRootFromParent_Done,
     /* 1508095 */   // Label 21010: @1508095
     /* 1508095 */   GIM_Try, /*On fail goto*//*Label 21011*/ GIMT_Encode4(1508177), // Rule ID 17916 //
     /* 1508100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1508111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1508114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1508117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1508120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508139 */     // MIs[0] round
     /* 1508139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508142 */     // MIs[0] policy
     /* 1508142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508152 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1508155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508176 */     // GIR_Coverage, 17916,
     /* 1508176 */     GIR_EraseRootFromParent_Done,
     /* 1508177 */   // Label 21011: @1508177
     /* 1508177 */   GIM_Try, /*On fail goto*//*Label 21012*/ GIMT_Encode4(1508259), // Rule ID 17917 //
     /* 1508182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1508193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1508196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1508199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1508202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508221 */     // MIs[0] round
     /* 1508221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508224 */     // MIs[0] policy
     /* 1508224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508234 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1508237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508258 */     // GIR_Coverage, 17917,
     /* 1508258 */     GIR_EraseRootFromParent_Done,
     /* 1508259 */   // Label 21012: @1508259
     /* 1508259 */   GIM_Try, /*On fail goto*//*Label 21013*/ GIMT_Encode4(1508341), // Rule ID 17920 //
     /* 1508264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1508275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1508278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1508281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1508284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508303 */     // MIs[0] round
     /* 1508303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508306 */     // MIs[0] policy
     /* 1508306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508316 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1508319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508340 */     // GIR_Coverage, 17920,
     /* 1508340 */     GIR_EraseRootFromParent_Done,
     /* 1508341 */   // Label 21013: @1508341
     /* 1508341 */   GIM_Try, /*On fail goto*//*Label 21014*/ GIMT_Encode4(1508423), // Rule ID 17921 //
     /* 1508346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1508357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1508360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1508363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1508366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508385 */     // MIs[0] round
     /* 1508385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508388 */     // MIs[0] policy
     /* 1508388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508398 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1508401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508422 */     // GIR_Coverage, 17921,
     /* 1508422 */     GIR_EraseRootFromParent_Done,
     /* 1508423 */   // Label 21014: @1508423
     /* 1508423 */   GIM_Try, /*On fail goto*//*Label 21015*/ GIMT_Encode4(1508505), // Rule ID 17924 //
     /* 1508428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1508439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1508442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1508445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1508448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508467 */     // MIs[0] round
     /* 1508467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508470 */     // MIs[0] policy
     /* 1508470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508480 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1508483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508504 */     // GIR_Coverage, 17924,
     /* 1508504 */     GIR_EraseRootFromParent_Done,
     /* 1508505 */   // Label 21015: @1508505
     /* 1508505 */   GIM_Try, /*On fail goto*//*Label 21016*/ GIMT_Encode4(1508587), // Rule ID 17925 //
     /* 1508510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1508521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1508524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1508527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1508530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508549 */     // MIs[0] round
     /* 1508549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508552 */     // MIs[0] policy
     /* 1508552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508562 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1508565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508586 */     // GIR_Coverage, 17925,
     /* 1508586 */     GIR_EraseRootFromParent_Done,
     /* 1508587 */   // Label 21016: @1508587
     /* 1508587 */   GIM_Try, /*On fail goto*//*Label 21017*/ GIMT_Encode4(1508669), // Rule ID 17928 //
     /* 1508592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1508603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1508606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1508609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1508612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508631 */     // MIs[0] round
     /* 1508631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508634 */     // MIs[0] policy
     /* 1508634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508644 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1508647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508668 */     // GIR_Coverage, 17928,
     /* 1508668 */     GIR_EraseRootFromParent_Done,
     /* 1508669 */   // Label 21017: @1508669
     /* 1508669 */   GIM_Try, /*On fail goto*//*Label 21018*/ GIMT_Encode4(1508751), // Rule ID 17929 //
     /* 1508674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1508685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1508688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1508691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1508694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508713 */     // MIs[0] round
     /* 1508713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508716 */     // MIs[0] policy
     /* 1508716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508726 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1508729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508750 */     // GIR_Coverage, 17929,
     /* 1508750 */     GIR_EraseRootFromParent_Done,
     /* 1508751 */   // Label 21018: @1508751
     /* 1508751 */   GIM_Try, /*On fail goto*//*Label 21019*/ GIMT_Encode4(1508833), // Rule ID 17932 //
     /* 1508756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1508767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1508770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1508773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1508776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508795 */     // MIs[0] round
     /* 1508795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508798 */     // MIs[0] policy
     /* 1508798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508808 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1508811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508832 */     // GIR_Coverage, 17932,
     /* 1508832 */     GIR_EraseRootFromParent_Done,
     /* 1508833 */   // Label 21019: @1508833
     /* 1508833 */   GIM_Try, /*On fail goto*//*Label 21020*/ GIMT_Encode4(1508915), // Rule ID 17933 //
     /* 1508838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1508849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1508852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1508855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1508858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508877 */     // MIs[0] round
     /* 1508877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508880 */     // MIs[0] policy
     /* 1508880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508890 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1508893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508914 */     // GIR_Coverage, 17933,
     /* 1508914 */     GIR_EraseRootFromParent_Done,
     /* 1508915 */   // Label 21020: @1508915
     /* 1508915 */   GIM_Try, /*On fail goto*//*Label 21021*/ GIMT_Encode4(1508997), // Rule ID 17936 //
     /* 1508920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1508931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1508934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508959 */     // MIs[0] round
     /* 1508959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508962 */     // MIs[0] policy
     /* 1508962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508972 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1508975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508996 */     // GIR_Coverage, 17936,
     /* 1508996 */     GIR_EraseRootFromParent_Done,
     /* 1508997 */   // Label 21021: @1508997
     /* 1508997 */   GIM_Try, /*On fail goto*//*Label 21022*/ GIMT_Encode4(1509079), // Rule ID 17937 //
     /* 1509002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1509013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1509016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1509022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509041 */     // MIs[0] round
     /* 1509041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509044 */     // MIs[0] policy
     /* 1509044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509054 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1509057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509078 */     // GIR_Coverage, 17937,
     /* 1509078 */     GIR_EraseRootFromParent_Done,
     /* 1509079 */   // Label 21022: @1509079
     /* 1509079 */   GIM_Try, /*On fail goto*//*Label 21023*/ GIMT_Encode4(1509161), // Rule ID 17940 //
     /* 1509084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1509095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1509098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1509104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509123 */     // MIs[0] round
     /* 1509123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509126 */     // MIs[0] policy
     /* 1509126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509136 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1509139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509160 */     // GIR_Coverage, 17940,
     /* 1509160 */     GIR_EraseRootFromParent_Done,
     /* 1509161 */   // Label 21023: @1509161
     /* 1509161 */   GIM_Try, /*On fail goto*//*Label 21024*/ GIMT_Encode4(1509243), // Rule ID 17941 //
     /* 1509166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1509177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1509180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1509186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509205 */     // MIs[0] round
     /* 1509205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509208 */     // MIs[0] policy
     /* 1509208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509218 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1509221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509242 */     // GIR_Coverage, 17941,
     /* 1509242 */     GIR_EraseRootFromParent_Done,
     /* 1509243 */   // Label 21024: @1509243
     /* 1509243 */   GIM_Try, /*On fail goto*//*Label 21025*/ GIMT_Encode4(1509325), // Rule ID 17944 //
     /* 1509248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1509259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1509262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509287 */     // MIs[0] round
     /* 1509287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509290 */     // MIs[0] policy
     /* 1509290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509300 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1509303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509324 */     // GIR_Coverage, 17944,
     /* 1509324 */     GIR_EraseRootFromParent_Done,
     /* 1509325 */   // Label 21025: @1509325
     /* 1509325 */   GIM_Try, /*On fail goto*//*Label 21026*/ GIMT_Encode4(1509407), // Rule ID 17945 //
     /* 1509330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1509341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1509344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509369 */     // MIs[0] round
     /* 1509369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509372 */     // MIs[0] policy
     /* 1509372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509382 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1509385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509406 */     // GIR_Coverage, 17945,
     /* 1509406 */     GIR_EraseRootFromParent_Done,
     /* 1509407 */   // Label 21026: @1509407
     /* 1509407 */   GIM_Try, /*On fail goto*//*Label 21027*/ GIMT_Encode4(1509489), // Rule ID 17948 //
     /* 1509412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1509423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1509426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1509432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509451 */     // MIs[0] round
     /* 1509451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509454 */     // MIs[0] policy
     /* 1509454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509464 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1509467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509488 */     // GIR_Coverage, 17948,
     /* 1509488 */     GIR_EraseRootFromParent_Done,
     /* 1509489 */   // Label 21027: @1509489
     /* 1509489 */   GIM_Try, /*On fail goto*//*Label 21028*/ GIMT_Encode4(1509571), // Rule ID 17949 //
     /* 1509494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1509505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1509508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1509514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509533 */     // MIs[0] round
     /* 1509533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509536 */     // MIs[0] policy
     /* 1509536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509546 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1509549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509570 */     // GIR_Coverage, 17949,
     /* 1509570 */     GIR_EraseRootFromParent_Done,
     /* 1509571 */   // Label 21028: @1509571
     /* 1509571 */   GIM_Try, /*On fail goto*//*Label 21029*/ GIMT_Encode4(1509653), // Rule ID 17952 //
     /* 1509576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1509587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1509590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1509596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509615 */     // MIs[0] round
     /* 1509615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509618 */     // MIs[0] policy
     /* 1509618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509628 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1509631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509652 */     // GIR_Coverage, 17952,
     /* 1509652 */     GIR_EraseRootFromParent_Done,
     /* 1509653 */   // Label 21029: @1509653
     /* 1509653 */   GIM_Try, /*On fail goto*//*Label 21030*/ GIMT_Encode4(1509735), // Rule ID 17953 //
     /* 1509658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1509669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1509672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1509678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509697 */     // MIs[0] round
     /* 1509697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509700 */     // MIs[0] policy
     /* 1509700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509710 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1509713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509734 */     // GIR_Coverage, 17953,
     /* 1509734 */     GIR_EraseRootFromParent_Done,
     /* 1509735 */   // Label 21030: @1509735
     /* 1509735 */   GIM_Try, /*On fail goto*//*Label 21031*/ GIMT_Encode4(1509817), // Rule ID 17956 //
     /* 1509740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1509760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509779 */     // MIs[0] round
     /* 1509779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509782 */     // MIs[0] policy
     /* 1509782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509792 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1509795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509816 */     // GIR_Coverage, 17956,
     /* 1509816 */     GIR_EraseRootFromParent_Done,
     /* 1509817 */   // Label 21031: @1509817
     /* 1509817 */   GIM_Try, /*On fail goto*//*Label 21032*/ GIMT_Encode4(1509899), // Rule ID 17957 //
     /* 1509822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1509842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509861 */     // MIs[0] round
     /* 1509861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509864 */     // MIs[0] policy
     /* 1509864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509874 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1509877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509898 */     // GIR_Coverage, 17957,
     /* 1509898 */     GIR_EraseRootFromParent_Done,
     /* 1509899 */   // Label 21032: @1509899
     /* 1509899 */   GIM_Try, /*On fail goto*//*Label 21033*/ GIMT_Encode4(1509981), // Rule ID 17960 //
     /* 1509904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1509915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1509918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509943 */     // MIs[0] round
     /* 1509943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509946 */     // MIs[0] policy
     /* 1509946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509956 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1509959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509980 */     // GIR_Coverage, 17960,
     /* 1509980 */     GIR_EraseRootFromParent_Done,
     /* 1509981 */   // Label 21033: @1509981
     /* 1509981 */   GIM_Try, /*On fail goto*//*Label 21034*/ GIMT_Encode4(1510063), // Rule ID 17961 //
     /* 1509986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1509994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1509997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1510000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1510006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510025 */     // MIs[0] round
     /* 1510025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510028 */     // MIs[0] policy
     /* 1510028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510038 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1510041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510062 */     // GIR_Coverage, 17961,
     /* 1510062 */     GIR_EraseRootFromParent_Done,
     /* 1510063 */   // Label 21034: @1510063
     /* 1510063 */   GIM_Try, /*On fail goto*//*Label 21035*/ GIMT_Encode4(1510145), // Rule ID 17964 //
     /* 1510068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1510079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1510082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1510088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510107 */     // MIs[0] round
     /* 1510107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510110 */     // MIs[0] policy
     /* 1510110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510120 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1510123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510144 */     // GIR_Coverage, 17964,
     /* 1510144 */     GIR_EraseRootFromParent_Done,
     /* 1510145 */   // Label 21035: @1510145
     /* 1510145 */   GIM_Try, /*On fail goto*//*Label 21036*/ GIMT_Encode4(1510227), // Rule ID 17965 //
     /* 1510150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1510161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1510164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1510170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510189 */     // MIs[0] round
     /* 1510189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510192 */     // MIs[0] policy
     /* 1510192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510202 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1510205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510226 */     // GIR_Coverage, 17965,
     /* 1510226 */     GIR_EraseRootFromParent_Done,
     /* 1510227 */   // Label 21036: @1510227
     /* 1510227 */   GIM_Try, /*On fail goto*//*Label 21037*/ GIMT_Encode4(1510309), // Rule ID 17968 //
     /* 1510232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1510252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510271 */     // MIs[0] round
     /* 1510271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510274 */     // MIs[0] policy
     /* 1510274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510284 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1510287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510308 */     // GIR_Coverage, 17968,
     /* 1510308 */     GIR_EraseRootFromParent_Done,
     /* 1510309 */   // Label 21037: @1510309
     /* 1510309 */   GIM_Try, /*On fail goto*//*Label 21038*/ GIMT_Encode4(1510391), // Rule ID 17969 //
     /* 1510314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1510334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510353 */     // MIs[0] round
     /* 1510353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510356 */     // MIs[0] policy
     /* 1510356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510366 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1510369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510390 */     // GIR_Coverage, 17969,
     /* 1510390 */     GIR_EraseRootFromParent_Done,
     /* 1510391 */   // Label 21038: @1510391
     /* 1510391 */   GIM_Try, /*On fail goto*//*Label 21039*/ GIMT_Encode4(1510473), // Rule ID 17972 //
     /* 1510396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1510407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1510410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1510416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510435 */     // MIs[0] round
     /* 1510435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510438 */     // MIs[0] policy
     /* 1510438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510448 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1510451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510472 */     // GIR_Coverage, 17972,
     /* 1510472 */     GIR_EraseRootFromParent_Done,
     /* 1510473 */   // Label 21039: @1510473
     /* 1510473 */   GIM_Try, /*On fail goto*//*Label 21040*/ GIMT_Encode4(1510555), // Rule ID 17973 //
     /* 1510478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1510489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1510492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1510498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510517 */     // MIs[0] round
     /* 1510517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510520 */     // MIs[0] policy
     /* 1510520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510530 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1510533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510554 */     // GIR_Coverage, 17973,
     /* 1510554 */     GIR_EraseRootFromParent_Done,
     /* 1510555 */   // Label 21040: @1510555
     /* 1510555 */   GIM_Try, /*On fail goto*//*Label 21041*/ GIMT_Encode4(1510637), // Rule ID 17976 //
     /* 1510560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1510571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1510574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1510580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510599 */     // MIs[0] round
     /* 1510599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510602 */     // MIs[0] policy
     /* 1510602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510612 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1510615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510636 */     // GIR_Coverage, 17976,
     /* 1510636 */     GIR_EraseRootFromParent_Done,
     /* 1510637 */   // Label 21041: @1510637
     /* 1510637 */   GIM_Try, /*On fail goto*//*Label 21042*/ GIMT_Encode4(1510719), // Rule ID 17977 //
     /* 1510642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1510653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1510656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1510662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510681 */     // MIs[0] round
     /* 1510681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510684 */     // MIs[0] policy
     /* 1510684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510694 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1510697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510718 */     // GIR_Coverage, 17977,
     /* 1510718 */     GIR_EraseRootFromParent_Done,
     /* 1510719 */   // Label 21042: @1510719
     /* 1510719 */   GIM_Try, /*On fail goto*//*Label 21043*/ GIMT_Encode4(1510801), // Rule ID 17980 //
     /* 1510724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1510735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1510738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1510744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510763 */     // MIs[0] round
     /* 1510763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510766 */     // MIs[0] policy
     /* 1510766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510776 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1510779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510800 */     // GIR_Coverage, 17980,
     /* 1510800 */     GIR_EraseRootFromParent_Done,
     /* 1510801 */   // Label 21043: @1510801
     /* 1510801 */   GIM_Try, /*On fail goto*//*Label 21044*/ GIMT_Encode4(1510883), // Rule ID 17981 //
     /* 1510806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1510817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1510820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1510826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510845 */     // MIs[0] round
     /* 1510845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510848 */     // MIs[0] policy
     /* 1510848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510858 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1510861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510882 */     // GIR_Coverage, 17981,
     /* 1510882 */     GIR_EraseRootFromParent_Done,
     /* 1510883 */   // Label 21044: @1510883
     /* 1510883 */   GIM_Try, /*On fail goto*//*Label 21045*/ GIMT_Encode4(1510965), // Rule ID 17984 //
     /* 1510888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1510899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1510902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1510908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510927 */     // MIs[0] round
     /* 1510927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510930 */     // MIs[0] policy
     /* 1510930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510940 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1510943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510964 */     // GIR_Coverage, 17984,
     /* 1510964 */     GIR_EraseRootFromParent_Done,
     /* 1510965 */   // Label 21045: @1510965
     /* 1510965 */   GIM_Try, /*On fail goto*//*Label 21046*/ GIMT_Encode4(1511047), // Rule ID 17985 //
     /* 1510970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1510981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1510984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1510990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1511005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511009 */     // MIs[0] round
     /* 1511009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511012 */     // MIs[0] policy
     /* 1511012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511022 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1511025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511046 */     // GIR_Coverage, 17985,
     /* 1511046 */     GIR_EraseRootFromParent_Done,
     /* 1511047 */   // Label 21046: @1511047
     /* 1511047 */   GIM_Try, /*On fail goto*//*Label 21047*/ GIMT_Encode4(1511129), // Rule ID 17988 //
     /* 1511052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1511063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1511066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1511069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1511072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1511087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511091 */     // MIs[0] round
     /* 1511091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511094 */     // MIs[0] policy
     /* 1511094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511104 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1511107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511128 */     // GIR_Coverage, 17988,
     /* 1511128 */     GIR_EraseRootFromParent_Done,
     /* 1511129 */   // Label 21047: @1511129
     /* 1511129 */   GIM_Try, /*On fail goto*//*Label 21048*/ GIMT_Encode4(1511211), // Rule ID 17989 //
     /* 1511134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1511145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1511148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1511151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1511154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1511169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511173 */     // MIs[0] round
     /* 1511173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511176 */     // MIs[0] policy
     /* 1511176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511186 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1511189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511210 */     // GIR_Coverage, 17989,
     /* 1511210 */     GIR_EraseRootFromParent_Done,
     /* 1511211 */   // Label 21048: @1511211
     /* 1511211 */   GIM_Try, /*On fail goto*//*Label 21049*/ GIMT_Encode4(1511293), // Rule ID 17992 //
     /* 1511216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1511227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1511230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1511233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1511236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1511251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511255 */     // MIs[0] round
     /* 1511255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511258 */     // MIs[0] policy
     /* 1511258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511268 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1511271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511292 */     // GIR_Coverage, 17992,
     /* 1511292 */     GIR_EraseRootFromParent_Done,
     /* 1511293 */   // Label 21049: @1511293
     /* 1511293 */   GIM_Try, /*On fail goto*//*Label 21050*/ GIMT_Encode4(1511375), // Rule ID 17993 //
     /* 1511298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1511309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1511312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1511315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1511318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1511333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511337 */     // MIs[0] round
     /* 1511337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511340 */     // MIs[0] policy
     /* 1511340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511350 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1511353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511374 */     // GIR_Coverage, 17993,
     /* 1511374 */     GIR_EraseRootFromParent_Done,
     /* 1511375 */   // Label 21050: @1511375
     /* 1511375 */   GIM_Try, /*On fail goto*//*Label 21051*/ GIMT_Encode4(1511457), // Rule ID 17996 //
     /* 1511380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1511391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1511394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1511397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1511400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511419 */     // MIs[0] round
     /* 1511419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511422 */     // MIs[0] policy
     /* 1511422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511432 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1511435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511456 */     // GIR_Coverage, 17996,
     /* 1511456 */     GIR_EraseRootFromParent_Done,
     /* 1511457 */   // Label 21051: @1511457
     /* 1511457 */   GIM_Try, /*On fail goto*//*Label 21052*/ GIMT_Encode4(1511539), // Rule ID 17997 //
     /* 1511462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1511473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1511476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1511479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1511482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511501 */     // MIs[0] round
     /* 1511501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511504 */     // MIs[0] policy
     /* 1511504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511514 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1511517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511538 */     // GIR_Coverage, 17997,
     /* 1511538 */     GIR_EraseRootFromParent_Done,
     /* 1511539 */   // Label 21052: @1511539
     /* 1511539 */   GIM_Try, /*On fail goto*//*Label 21053*/ GIMT_Encode4(1511621), // Rule ID 18000 //
     /* 1511544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1511555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1511558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1511561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1511564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511583 */     // MIs[0] round
     /* 1511583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511586 */     // MIs[0] policy
     /* 1511586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511596 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1511599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511620 */     // GIR_Coverage, 18000,
     /* 1511620 */     GIR_EraseRootFromParent_Done,
     /* 1511621 */   // Label 21053: @1511621
     /* 1511621 */   GIM_Try, /*On fail goto*//*Label 21054*/ GIMT_Encode4(1511703), // Rule ID 18001 //
     /* 1511626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1511637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1511640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1511643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1511646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511665 */     // MIs[0] round
     /* 1511665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511668 */     // MIs[0] policy
     /* 1511668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511678 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1511681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511702 */     // GIR_Coverage, 18001,
     /* 1511702 */     GIR_EraseRootFromParent_Done,
     /* 1511703 */   // Label 21054: @1511703
     /* 1511703 */   GIM_Try, /*On fail goto*//*Label 21055*/ GIMT_Encode4(1511785), // Rule ID 18004 //
     /* 1511708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1511725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1511728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511747 */     // MIs[0] round
     /* 1511747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511750 */     // MIs[0] policy
     /* 1511750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511760 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1511763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511784 */     // GIR_Coverage, 18004,
     /* 1511784 */     GIR_EraseRootFromParent_Done,
     /* 1511785 */   // Label 21055: @1511785
     /* 1511785 */   GIM_Try, /*On fail goto*//*Label 21056*/ GIMT_Encode4(1511867), // Rule ID 18005 //
     /* 1511790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1511807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1511810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511829 */     // MIs[0] round
     /* 1511829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511832 */     // MIs[0] policy
     /* 1511832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511842 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1511845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511866 */     // GIR_Coverage, 18005,
     /* 1511866 */     GIR_EraseRootFromParent_Done,
     /* 1511867 */   // Label 21056: @1511867
     /* 1511867 */   GIM_Try, /*On fail goto*//*Label 21057*/ GIMT_Encode4(1511949), // Rule ID 18008 //
     /* 1511872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1511883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1511886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1511889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1511892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511911 */     // MIs[0] round
     /* 1511911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511914 */     // MIs[0] policy
     /* 1511914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511924 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1511927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511948 */     // GIR_Coverage, 18008,
     /* 1511948 */     GIR_EraseRootFromParent_Done,
     /* 1511949 */   // Label 21057: @1511949
     /* 1511949 */   GIM_Try, /*On fail goto*//*Label 21058*/ GIMT_Encode4(1512031), // Rule ID 18009 //
     /* 1511954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1511965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1511968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1511971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1511974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511993 */     // MIs[0] round
     /* 1511993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511996 */     // MIs[0] policy
     /* 1511996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512006 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1512009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512030 */     // GIR_Coverage, 18009,
     /* 1512030 */     GIR_EraseRootFromParent_Done,
     /* 1512031 */   // Label 21058: @1512031
     /* 1512031 */   GIM_Try, /*On fail goto*//*Label 21059*/ GIMT_Encode4(1512113), // Rule ID 18012 //
     /* 1512036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1512047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1512050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1512053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1512056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512075 */     // MIs[0] round
     /* 1512075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512078 */     // MIs[0] policy
     /* 1512078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512088 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1512091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512112 */     // GIR_Coverage, 18012,
     /* 1512112 */     GIR_EraseRootFromParent_Done,
     /* 1512113 */   // Label 21059: @1512113
     /* 1512113 */   GIM_Try, /*On fail goto*//*Label 21060*/ GIMT_Encode4(1512195), // Rule ID 18013 //
     /* 1512118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1512129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1512132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1512135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1512138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512157 */     // MIs[0] round
     /* 1512157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512160 */     // MIs[0] policy
     /* 1512160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512170 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1512173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512194 */     // GIR_Coverage, 18013,
     /* 1512194 */     GIR_EraseRootFromParent_Done,
     /* 1512195 */   // Label 21060: @1512195
     /* 1512195 */   GIM_Try, /*On fail goto*//*Label 21061*/ GIMT_Encode4(1512277), // Rule ID 18016 //
     /* 1512200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1512211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1512214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1512217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1512220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512239 */     // MIs[0] round
     /* 1512239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512242 */     // MIs[0] policy
     /* 1512242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512252 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1512255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512276 */     // GIR_Coverage, 18016,
     /* 1512276 */     GIR_EraseRootFromParent_Done,
     /* 1512277 */   // Label 21061: @1512277
     /* 1512277 */   GIM_Try, /*On fail goto*//*Label 21062*/ GIMT_Encode4(1512359), // Rule ID 18017 //
     /* 1512282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1512293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1512296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1512299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1512302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512321 */     // MIs[0] round
     /* 1512321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512324 */     // MIs[0] policy
     /* 1512324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512334 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1512337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512358 */     // GIR_Coverage, 18017,
     /* 1512358 */     GIR_EraseRootFromParent_Done,
     /* 1512359 */   // Label 21062: @1512359
     /* 1512359 */   GIM_Try, /*On fail goto*//*Label 21063*/ GIMT_Encode4(1512441), // Rule ID 18020 //
     /* 1512364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1512375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1512378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1512381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1512384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512403 */     // MIs[0] round
     /* 1512403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512406 */     // MIs[0] policy
     /* 1512406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512416 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1512419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512440 */     // GIR_Coverage, 18020,
     /* 1512440 */     GIR_EraseRootFromParent_Done,
     /* 1512441 */   // Label 21063: @1512441
     /* 1512441 */   GIM_Try, /*On fail goto*//*Label 21064*/ GIMT_Encode4(1512523), // Rule ID 18021 //
     /* 1512446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1512457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1512460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1512463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1512466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512485 */     // MIs[0] round
     /* 1512485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512488 */     // MIs[0] policy
     /* 1512488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512498 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1512501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512522 */     // GIR_Coverage, 18021,
     /* 1512522 */     GIR_EraseRootFromParent_Done,
     /* 1512523 */   // Label 21064: @1512523
     /* 1512523 */   GIM_Try, /*On fail goto*//*Label 21065*/ GIMT_Encode4(1512605), // Rule ID 18024 //
     /* 1512528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1512539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1512542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1512545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1512548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512567 */     // MIs[0] round
     /* 1512567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512570 */     // MIs[0] policy
     /* 1512570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512580 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1512583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512604 */     // GIR_Coverage, 18024,
     /* 1512604 */     GIR_EraseRootFromParent_Done,
     /* 1512605 */   // Label 21065: @1512605
     /* 1512605 */   GIM_Try, /*On fail goto*//*Label 21066*/ GIMT_Encode4(1512687), // Rule ID 18025 //
     /* 1512610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1512621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1512624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1512627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1512630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512649 */     // MIs[0] round
     /* 1512649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512652 */     // MIs[0] policy
     /* 1512652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512662 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1512665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512686 */     // GIR_Coverage, 18025,
     /* 1512686 */     GIR_EraseRootFromParent_Done,
     /* 1512687 */   // Label 21066: @1512687
     /* 1512687 */   GIM_Try, /*On fail goto*//*Label 21067*/ GIMT_Encode4(1512769), // Rule ID 18028 //
     /* 1512692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1512703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1512706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1512709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1512712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512731 */     // MIs[0] round
     /* 1512731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512734 */     // MIs[0] policy
     /* 1512734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512744 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1512747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512768 */     // GIR_Coverage, 18028,
     /* 1512768 */     GIR_EraseRootFromParent_Done,
     /* 1512769 */   // Label 21067: @1512769
     /* 1512769 */   GIM_Try, /*On fail goto*//*Label 21068*/ GIMT_Encode4(1512851), // Rule ID 18029 //
     /* 1512774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1512785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1512788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1512791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1512794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512813 */     // MIs[0] round
     /* 1512813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512816 */     // MIs[0] policy
     /* 1512816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512826 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1512829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512850 */     // GIR_Coverage, 18029,
     /* 1512850 */     GIR_EraseRootFromParent_Done,
     /* 1512851 */   // Label 21068: @1512851
     /* 1512851 */   GIM_Try, /*On fail goto*//*Label 21069*/ GIMT_Encode4(1512933), // Rule ID 18032 //
     /* 1512856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1512867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1512870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1512873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1512876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512895 */     // MIs[0] round
     /* 1512895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512898 */     // MIs[0] policy
     /* 1512898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512908 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1512911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512932 */     // GIR_Coverage, 18032,
     /* 1512932 */     GIR_EraseRootFromParent_Done,
     /* 1512933 */   // Label 21069: @1512933
     /* 1512933 */   GIM_Try, /*On fail goto*//*Label 21070*/ GIMT_Encode4(1513015), // Rule ID 18033 //
     /* 1512938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1512949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1512952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1512955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1512958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512977 */     // MIs[0] round
     /* 1512977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512980 */     // MIs[0] policy
     /* 1512980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512990 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1512993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513014 */     // GIR_Coverage, 18033,
     /* 1513014 */     GIR_EraseRootFromParent_Done,
     /* 1513015 */   // Label 21070: @1513015
     /* 1513015 */   GIM_Try, /*On fail goto*//*Label 21071*/ GIMT_Encode4(1513097), // Rule ID 18036 //
     /* 1513020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1513031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1513034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1513037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1513040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513059 */     // MIs[0] round
     /* 1513059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513062 */     // MIs[0] policy
     /* 1513062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513072 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1513075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513096 */     // GIR_Coverage, 18036,
     /* 1513096 */     GIR_EraseRootFromParent_Done,
     /* 1513097 */   // Label 21071: @1513097
     /* 1513097 */   GIM_Try, /*On fail goto*//*Label 21072*/ GIMT_Encode4(1513179), // Rule ID 18037 //
     /* 1513102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1513113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1513116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1513119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1513122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513141 */     // MIs[0] round
     /* 1513141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513144 */     // MIs[0] policy
     /* 1513144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513154 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1513157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513178 */     // GIR_Coverage, 18037,
     /* 1513178 */     GIR_EraseRootFromParent_Done,
     /* 1513179 */   // Label 21072: @1513179
     /* 1513179 */   GIM_Try, /*On fail goto*//*Label 21073*/ GIMT_Encode4(1513261), // Rule ID 18040 //
     /* 1513184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1513195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1513198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1513201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1513204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513223 */     // MIs[0] round
     /* 1513223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513226 */     // MIs[0] policy
     /* 1513226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513236 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1513239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513260 */     // GIR_Coverage, 18040,
     /* 1513260 */     GIR_EraseRootFromParent_Done,
     /* 1513261 */   // Label 21073: @1513261
     /* 1513261 */   GIM_Try, /*On fail goto*//*Label 21074*/ GIMT_Encode4(1513343), // Rule ID 18041 //
     /* 1513266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1513277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1513280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1513283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1513286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513305 */     // MIs[0] round
     /* 1513305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513308 */     // MIs[0] policy
     /* 1513308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513318 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1513321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513342 */     // GIR_Coverage, 18041,
     /* 1513342 */     GIR_EraseRootFromParent_Done,
     /* 1513343 */   // Label 21074: @1513343
     /* 1513343 */   GIM_Try, /*On fail goto*//*Label 21075*/ GIMT_Encode4(1513425), // Rule ID 18044 //
     /* 1513348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1513359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1513362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1513365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1513368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513387 */     // MIs[0] round
     /* 1513387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513390 */     // MIs[0] policy
     /* 1513390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513400 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1513403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513424 */     // GIR_Coverage, 18044,
     /* 1513424 */     GIR_EraseRootFromParent_Done,
     /* 1513425 */   // Label 21075: @1513425
     /* 1513425 */   GIM_Try, /*On fail goto*//*Label 21076*/ GIMT_Encode4(1513507), // Rule ID 18045 //
     /* 1513430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1513441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1513444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1513447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1513450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513469 */     // MIs[0] round
     /* 1513469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513472 */     // MIs[0] policy
     /* 1513472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513482 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1513485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513506 */     // GIR_Coverage, 18045,
     /* 1513506 */     GIR_EraseRootFromParent_Done,
     /* 1513507 */   // Label 21076: @1513507
     /* 1513507 */   GIM_Try, /*On fail goto*//*Label 21077*/ GIMT_Encode4(1513589), // Rule ID 18048 //
     /* 1513512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1513523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1513526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1513529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1513532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513551 */     // MIs[0] round
     /* 1513551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513554 */     // MIs[0] policy
     /* 1513554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513564 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1513567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513588 */     // GIR_Coverage, 18048,
     /* 1513588 */     GIR_EraseRootFromParent_Done,
     /* 1513589 */   // Label 21077: @1513589
     /* 1513589 */   GIM_Try, /*On fail goto*//*Label 21078*/ GIMT_Encode4(1513671), // Rule ID 18049 //
     /* 1513594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1513605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1513608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1513611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1513614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513633 */     // MIs[0] round
     /* 1513633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513636 */     // MIs[0] policy
     /* 1513636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513646 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1513649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513670 */     // GIR_Coverage, 18049,
     /* 1513670 */     GIR_EraseRootFromParent_Done,
     /* 1513671 */   // Label 21078: @1513671
     /* 1513671 */   GIM_Try, /*On fail goto*//*Label 21079*/ GIMT_Encode4(1513753), // Rule ID 18052 //
     /* 1513676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1513687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1513690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1513693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1513696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513715 */     // MIs[0] round
     /* 1513715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513718 */     // MIs[0] policy
     /* 1513718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513728 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1513731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513752 */     // GIR_Coverage, 18052,
     /* 1513752 */     GIR_EraseRootFromParent_Done,
     /* 1513753 */   // Label 21079: @1513753
     /* 1513753 */   GIM_Try, /*On fail goto*//*Label 21080*/ GIMT_Encode4(1513835), // Rule ID 18053 //
     /* 1513758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1513769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1513772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1513775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1513778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513797 */     // MIs[0] round
     /* 1513797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513800 */     // MIs[0] policy
     /* 1513800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513810 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1513813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513834 */     // GIR_Coverage, 18053,
     /* 1513834 */     GIR_EraseRootFromParent_Done,
     /* 1513835 */   // Label 21080: @1513835
     /* 1513835 */   GIM_Try, /*On fail goto*//*Label 21081*/ GIMT_Encode4(1513917), // Rule ID 18056 //
     /* 1513840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1513851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1513854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513879 */     // MIs[0] round
     /* 1513879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513882 */     // MIs[0] policy
     /* 1513882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513892 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1513895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513916 */     // GIR_Coverage, 18056,
     /* 1513916 */     GIR_EraseRootFromParent_Done,
     /* 1513917 */   // Label 21081: @1513917
     /* 1513917 */   GIM_Try, /*On fail goto*//*Label 21082*/ GIMT_Encode4(1513999), // Rule ID 18057 //
     /* 1513922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1513933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1513936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513961 */     // MIs[0] round
     /* 1513961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513964 */     // MIs[0] policy
     /* 1513964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513974 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1513977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513998 */     // GIR_Coverage, 18057,
     /* 1513998 */     GIR_EraseRootFromParent_Done,
     /* 1513999 */   // Label 21082: @1513999
     /* 1513999 */   GIM_Try, /*On fail goto*//*Label 21083*/ GIMT_Encode4(1514081), // Rule ID 18060 //
     /* 1514004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1514015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1514018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1514024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514043 */     // MIs[0] round
     /* 1514043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514046 */     // MIs[0] policy
     /* 1514046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514056 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1514059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514080 */     // GIR_Coverage, 18060,
     /* 1514080 */     GIR_EraseRootFromParent_Done,
     /* 1514081 */   // Label 21083: @1514081
     /* 1514081 */   GIM_Try, /*On fail goto*//*Label 21084*/ GIMT_Encode4(1514163), // Rule ID 18061 //
     /* 1514086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1514097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1514100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1514106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514125 */     // MIs[0] round
     /* 1514125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514128 */     // MIs[0] policy
     /* 1514128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514138 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1514141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514162 */     // GIR_Coverage, 18061,
     /* 1514162 */     GIR_EraseRootFromParent_Done,
     /* 1514163 */   // Label 21084: @1514163
     /* 1514163 */   GIM_Try, /*On fail goto*//*Label 21085*/ GIMT_Encode4(1514245), // Rule ID 18064 //
     /* 1514168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1514179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1514182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514207 */     // MIs[0] round
     /* 1514207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514210 */     // MIs[0] policy
     /* 1514210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514220 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1514223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514244 */     // GIR_Coverage, 18064,
     /* 1514244 */     GIR_EraseRootFromParent_Done,
     /* 1514245 */   // Label 21085: @1514245
     /* 1514245 */   GIM_Try, /*On fail goto*//*Label 21086*/ GIMT_Encode4(1514327), // Rule ID 18065 //
     /* 1514250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1514261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1514264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514289 */     // MIs[0] round
     /* 1514289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514292 */     // MIs[0] policy
     /* 1514292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514302 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1514305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514326 */     // GIR_Coverage, 18065,
     /* 1514326 */     GIR_EraseRootFromParent_Done,
     /* 1514327 */   // Label 21086: @1514327
     /* 1514327 */   GIM_Try, /*On fail goto*//*Label 21087*/ GIMT_Encode4(1514409), // Rule ID 18068 //
     /* 1514332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1514343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1514346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1514352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514371 */     // MIs[0] round
     /* 1514371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514374 */     // MIs[0] policy
     /* 1514374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514384 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1514387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514408 */     // GIR_Coverage, 18068,
     /* 1514408 */     GIR_EraseRootFromParent_Done,
     /* 1514409 */   // Label 21087: @1514409
     /* 1514409 */   GIM_Try, /*On fail goto*//*Label 21088*/ GIMT_Encode4(1514491), // Rule ID 18069 //
     /* 1514414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1514425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1514428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1514434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514453 */     // MIs[0] round
     /* 1514453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514456 */     // MIs[0] policy
     /* 1514456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514466 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1514469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514490 */     // GIR_Coverage, 18069,
     /* 1514490 */     GIR_EraseRootFromParent_Done,
     /* 1514491 */   // Label 21088: @1514491
     /* 1514491 */   GIM_Try, /*On fail goto*//*Label 21089*/ GIMT_Encode4(1514573), // Rule ID 18072 //
     /* 1514496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1514507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1514510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1514516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514535 */     // MIs[0] round
     /* 1514535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514538 */     // MIs[0] policy
     /* 1514538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514548 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1514551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514572 */     // GIR_Coverage, 18072,
     /* 1514572 */     GIR_EraseRootFromParent_Done,
     /* 1514573 */   // Label 21089: @1514573
     /* 1514573 */   GIM_Try, /*On fail goto*//*Label 21090*/ GIMT_Encode4(1514655), // Rule ID 18073 //
     /* 1514578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1514589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1514592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1514598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514617 */     // MIs[0] round
     /* 1514617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514620 */     // MIs[0] policy
     /* 1514620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514630 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1514633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514654 */     // GIR_Coverage, 18073,
     /* 1514654 */     GIR_EraseRootFromParent_Done,
     /* 1514655 */   // Label 21090: @1514655
     /* 1514655 */   GIM_Try, /*On fail goto*//*Label 21091*/ GIMT_Encode4(1514737), // Rule ID 18076 //
     /* 1514660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1514663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1514671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1514680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514699 */     // MIs[0] round
     /* 1514699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514702 */     // MIs[0] policy
     /* 1514702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514712 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1514715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514736 */     // GIR_Coverage, 18076,
     /* 1514736 */     GIR_EraseRootFromParent_Done,
     /* 1514737 */   // Label 21091: @1514737
     /* 1514737 */   GIM_Try, /*On fail goto*//*Label 21092*/ GIMT_Encode4(1514819), // Rule ID 18077 //
     /* 1514742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1514753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1514762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514781 */     // MIs[0] round
     /* 1514781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514784 */     // MIs[0] policy
     /* 1514784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514794 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1514797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514818 */     // GIR_Coverage, 18077,
     /* 1514818 */     GIR_EraseRootFromParent_Done,
     /* 1514819 */   // Label 21092: @1514819
     /* 1514819 */   GIM_Try, /*On fail goto*//*Label 21093*/ GIMT_Encode4(1514901), // Rule ID 18080 //
     /* 1514824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1514835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1514838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514863 */     // MIs[0] round
     /* 1514863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514866 */     // MIs[0] policy
     /* 1514866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514876 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1514879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514900 */     // GIR_Coverage, 18080,
     /* 1514900 */     GIR_EraseRootFromParent_Done,
     /* 1514901 */   // Label 21093: @1514901
     /* 1514901 */   GIM_Try, /*On fail goto*//*Label 21094*/ GIMT_Encode4(1514983), // Rule ID 18081 //
     /* 1514906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1514917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1514920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514945 */     // MIs[0] round
     /* 1514945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514948 */     // MIs[0] policy
     /* 1514948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514958 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1514961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514982 */     // GIR_Coverage, 18081,
     /* 1514982 */     GIR_EraseRootFromParent_Done,
     /* 1514983 */   // Label 21094: @1514983
     /* 1514983 */   GIM_Try, /*On fail goto*//*Label 21095*/ GIMT_Encode4(1515065), // Rule ID 18084 //
     /* 1514988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1514996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1514999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1515002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1515008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515027 */     // MIs[0] round
     /* 1515027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515030 */     // MIs[0] policy
     /* 1515030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515040 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1515043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515064 */     // GIR_Coverage, 18084,
     /* 1515064 */     GIR_EraseRootFromParent_Done,
     /* 1515065 */   // Label 21095: @1515065
     /* 1515065 */   GIM_Try, /*On fail goto*//*Label 21096*/ GIMT_Encode4(1515147), // Rule ID 18085 //
     /* 1515070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1515081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1515084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1515090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515109 */     // MIs[0] round
     /* 1515109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515112 */     // MIs[0] policy
     /* 1515112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515122 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1515125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515146 */     // GIR_Coverage, 18085,
     /* 1515146 */     GIR_EraseRootFromParent_Done,
     /* 1515147 */   // Label 21096: @1515147
     /* 1515147 */   GIM_Try, /*On fail goto*//*Label 21097*/ GIMT_Encode4(1515229), // Rule ID 18088 //
     /* 1515152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1515163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1515166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1515172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515191 */     // MIs[0] round
     /* 1515191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515194 */     // MIs[0] policy
     /* 1515194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515204 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1515207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515228 */     // GIR_Coverage, 18088,
     /* 1515228 */     GIR_EraseRootFromParent_Done,
     /* 1515229 */   // Label 21097: @1515229
     /* 1515229 */   GIM_Try, /*On fail goto*//*Label 21098*/ GIMT_Encode4(1515311), // Rule ID 18089 //
     /* 1515234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1515245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1515248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1515254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515273 */     // MIs[0] round
     /* 1515273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515276 */     // MIs[0] policy
     /* 1515276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515286 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1515289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515310 */     // GIR_Coverage, 18089,
     /* 1515310 */     GIR_EraseRootFromParent_Done,
     /* 1515311 */   // Label 21098: @1515311
     /* 1515311 */   GIM_Try, /*On fail goto*//*Label 21099*/ GIMT_Encode4(1515393), // Rule ID 18092 //
     /* 1515316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1515327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1515330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1515336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515355 */     // MIs[0] round
     /* 1515355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515358 */     // MIs[0] policy
     /* 1515358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515368 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1515371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515392 */     // GIR_Coverage, 18092,
     /* 1515392 */     GIR_EraseRootFromParent_Done,
     /* 1515393 */   // Label 21099: @1515393
     /* 1515393 */   GIM_Try, /*On fail goto*//*Label 21100*/ GIMT_Encode4(1515475), // Rule ID 18093 //
     /* 1515398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1515409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1515412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1515418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515437 */     // MIs[0] round
     /* 1515437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515440 */     // MIs[0] policy
     /* 1515440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515450 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1515453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515474 */     // GIR_Coverage, 18093,
     /* 1515474 */     GIR_EraseRootFromParent_Done,
     /* 1515475 */   // Label 21100: @1515475
     /* 1515475 */   GIM_Try, /*On fail goto*//*Label 21101*/ GIMT_Encode4(1515557), // Rule ID 18096 //
     /* 1515480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1515491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1515494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1515500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515519 */     // MIs[0] round
     /* 1515519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515522 */     // MIs[0] policy
     /* 1515522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515532 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1515535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515556 */     // GIR_Coverage, 18096,
     /* 1515556 */     GIR_EraseRootFromParent_Done,
     /* 1515557 */   // Label 21101: @1515557
     /* 1515557 */   GIM_Try, /*On fail goto*//*Label 21102*/ GIMT_Encode4(1515639), // Rule ID 18097 //
     /* 1515562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1515573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1515576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1515582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515601 */     // MIs[0] round
     /* 1515601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515604 */     // MIs[0] policy
     /* 1515604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515614 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1515617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515638 */     // GIR_Coverage, 18097,
     /* 1515638 */     GIR_EraseRootFromParent_Done,
     /* 1515639 */   // Label 21102: @1515639
     /* 1515639 */   GIM_Try, /*On fail goto*//*Label 21103*/ GIMT_Encode4(1515721), // Rule ID 18100 //
     /* 1515644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1515655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1515658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1515664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515683 */     // MIs[0] round
     /* 1515683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515686 */     // MIs[0] policy
     /* 1515686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515696 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1515699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515720 */     // GIR_Coverage, 18100,
     /* 1515720 */     GIR_EraseRootFromParent_Done,
     /* 1515721 */   // Label 21103: @1515721
     /* 1515721 */   GIM_Try, /*On fail goto*//*Label 21104*/ GIMT_Encode4(1515803), // Rule ID 18101 //
     /* 1515726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1515737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1515740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1515746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515765 */     // MIs[0] round
     /* 1515765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515768 */     // MIs[0] policy
     /* 1515768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515778 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1515781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515802 */     // GIR_Coverage, 18101,
     /* 1515802 */     GIR_EraseRootFromParent_Done,
     /* 1515803 */   // Label 21104: @1515803
     /* 1515803 */   GIM_Try, /*On fail goto*//*Label 21105*/ GIMT_Encode4(1515885), // Rule ID 18104 //
     /* 1515808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1515819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1515822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1515828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515847 */     // MIs[0] round
     /* 1515847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515850 */     // MIs[0] policy
     /* 1515850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515860 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1515863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515884 */     // GIR_Coverage, 18104,
     /* 1515884 */     GIR_EraseRootFromParent_Done,
     /* 1515885 */   // Label 21105: @1515885
     /* 1515885 */   GIM_Try, /*On fail goto*//*Label 21106*/ GIMT_Encode4(1515967), // Rule ID 18105 //
     /* 1515890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1515901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1515904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1515910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515929 */     // MIs[0] round
     /* 1515929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515932 */     // MIs[0] policy
     /* 1515932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515942 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1515945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515966 */     // GIR_Coverage, 18105,
     /* 1515966 */     GIR_EraseRootFromParent_Done,
     /* 1515967 */   // Label 21106: @1515967
     /* 1515967 */   GIM_Try, /*On fail goto*//*Label 21107*/ GIMT_Encode4(1516049), // Rule ID 18108 //
     /* 1515972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1515983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1515986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1515992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1516007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516011 */     // MIs[0] round
     /* 1516011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516014 */     // MIs[0] policy
     /* 1516014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516024 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1516027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516048 */     // GIR_Coverage, 18108,
     /* 1516048 */     GIR_EraseRootFromParent_Done,
     /* 1516049 */   // Label 21107: @1516049
     /* 1516049 */   GIM_Try, /*On fail goto*//*Label 21108*/ GIMT_Encode4(1516131), // Rule ID 18109 //
     /* 1516054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1516065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1516068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1516071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1516074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1516089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516093 */     // MIs[0] round
     /* 1516093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516096 */     // MIs[0] policy
     /* 1516096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516106 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1516109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516130 */     // GIR_Coverage, 18109,
     /* 1516130 */     GIR_EraseRootFromParent_Done,
     /* 1516131 */   // Label 21108: @1516131
     /* 1516131 */   GIM_Try, /*On fail goto*//*Label 21109*/ GIMT_Encode4(1516213), // Rule ID 18112 //
     /* 1516136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1516147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1516150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1516153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1516156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1516171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516175 */     // MIs[0] round
     /* 1516175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516178 */     // MIs[0] policy
     /* 1516178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516188 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1516191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516212 */     // GIR_Coverage, 18112,
     /* 1516212 */     GIR_EraseRootFromParent_Done,
     /* 1516213 */   // Label 21109: @1516213
     /* 1516213 */   GIM_Try, /*On fail goto*//*Label 21110*/ GIMT_Encode4(1516295), // Rule ID 18113 //
     /* 1516218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1516229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1516232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1516235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1516238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1516253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516257 */     // MIs[0] round
     /* 1516257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516260 */     // MIs[0] policy
     /* 1516260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516270 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1516273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516294 */     // GIR_Coverage, 18113,
     /* 1516294 */     GIR_EraseRootFromParent_Done,
     /* 1516295 */   // Label 21110: @1516295
     /* 1516295 */   GIM_Try, /*On fail goto*//*Label 21111*/ GIMT_Encode4(1516377), // Rule ID 18116 //
     /* 1516300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1516311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1516314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1516317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1516320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516339 */     // MIs[0] round
     /* 1516339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516342 */     // MIs[0] policy
     /* 1516342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516352 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1516355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516376 */     // GIR_Coverage, 18116,
     /* 1516376 */     GIR_EraseRootFromParent_Done,
     /* 1516377 */   // Label 21111: @1516377
     /* 1516377 */   GIM_Try, /*On fail goto*//*Label 21112*/ GIMT_Encode4(1516459), // Rule ID 18117 //
     /* 1516382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1516393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1516396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1516399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1516402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516421 */     // MIs[0] round
     /* 1516421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516424 */     // MIs[0] policy
     /* 1516424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516434 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1516437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516458 */     // GIR_Coverage, 18117,
     /* 1516458 */     GIR_EraseRootFromParent_Done,
     /* 1516459 */   // Label 21112: @1516459
     /* 1516459 */   GIM_Try, /*On fail goto*//*Label 21113*/ GIMT_Encode4(1516541), // Rule ID 18120 //
     /* 1516464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1516475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1516478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1516481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1516484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516503 */     // MIs[0] round
     /* 1516503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516506 */     // MIs[0] policy
     /* 1516506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516516 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1516519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516540 */     // GIR_Coverage, 18120,
     /* 1516540 */     GIR_EraseRootFromParent_Done,
     /* 1516541 */   // Label 21113: @1516541
     /* 1516541 */   GIM_Try, /*On fail goto*//*Label 21114*/ GIMT_Encode4(1516623), // Rule ID 18121 //
     /* 1516546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1516557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1516560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1516563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1516566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516585 */     // MIs[0] round
     /* 1516585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516588 */     // MIs[0] policy
     /* 1516588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516598 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1516601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516622 */     // GIR_Coverage, 18121,
     /* 1516622 */     GIR_EraseRootFromParent_Done,
     /* 1516623 */   // Label 21114: @1516623
     /* 1516623 */   GIM_Try, /*On fail goto*//*Label 21115*/ GIMT_Encode4(1516705), // Rule ID 18124 //
     /* 1516628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1516639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1516642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1516645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1516648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516667 */     // MIs[0] round
     /* 1516667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516670 */     // MIs[0] policy
     /* 1516670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516680 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1516683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516704 */     // GIR_Coverage, 18124,
     /* 1516704 */     GIR_EraseRootFromParent_Done,
     /* 1516705 */   // Label 21115: @1516705
     /* 1516705 */   GIM_Try, /*On fail goto*//*Label 21116*/ GIMT_Encode4(1516787), // Rule ID 18125 //
     /* 1516710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1516721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1516724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1516727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1516730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516749 */     // MIs[0] round
     /* 1516749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516752 */     // MIs[0] policy
     /* 1516752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516762 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1516765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516786 */     // GIR_Coverage, 18125,
     /* 1516786 */     GIR_EraseRootFromParent_Done,
     /* 1516787 */   // Label 21116: @1516787
     /* 1516787 */   GIM_Try, /*On fail goto*//*Label 21117*/ GIMT_Encode4(1516869), // Rule ID 18128 //
     /* 1516792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1516803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1516806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1516809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1516812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516831 */     // MIs[0] round
     /* 1516831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516834 */     // MIs[0] policy
     /* 1516834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516844 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1516847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516868 */     // GIR_Coverage, 18128,
     /* 1516868 */     GIR_EraseRootFromParent_Done,
     /* 1516869 */   // Label 21117: @1516869
     /* 1516869 */   GIM_Try, /*On fail goto*//*Label 21118*/ GIMT_Encode4(1516951), // Rule ID 18129 //
     /* 1516874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1516885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1516888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1516891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1516894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516913 */     // MIs[0] round
     /* 1516913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516916 */     // MIs[0] policy
     /* 1516916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516926 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1516929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516950 */     // GIR_Coverage, 18129,
     /* 1516950 */     GIR_EraseRootFromParent_Done,
     /* 1516951 */   // Label 21118: @1516951
     /* 1516951 */   GIM_Try, /*On fail goto*//*Label 21119*/ GIMT_Encode4(1517033), // Rule ID 18132 //
     /* 1516956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1516967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1516970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1516973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1516976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516995 */     // MIs[0] round
     /* 1516995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516998 */     // MIs[0] policy
     /* 1516998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517008 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1517011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517032 */     // GIR_Coverage, 18132,
     /* 1517032 */     GIR_EraseRootFromParent_Done,
     /* 1517033 */   // Label 21119: @1517033
     /* 1517033 */   GIM_Try, /*On fail goto*//*Label 21120*/ GIMT_Encode4(1517115), // Rule ID 18133 //
     /* 1517038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1517049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1517052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1517055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1517058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517077 */     // MIs[0] round
     /* 1517077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517080 */     // MIs[0] policy
     /* 1517080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517090 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1517093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517114 */     // GIR_Coverage, 18133,
     /* 1517114 */     GIR_EraseRootFromParent_Done,
     /* 1517115 */   // Label 21120: @1517115
     /* 1517115 */   GIM_Try, /*On fail goto*//*Label 21121*/ GIMT_Encode4(1517197), // Rule ID 18136 //
     /* 1517120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1517137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1517140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517159 */     // MIs[0] round
     /* 1517159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517162 */     // MIs[0] policy
     /* 1517162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517172 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1517175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517196 */     // GIR_Coverage, 18136,
     /* 1517196 */     GIR_EraseRootFromParent_Done,
     /* 1517197 */   // Label 21121: @1517197
     /* 1517197 */   GIM_Try, /*On fail goto*//*Label 21122*/ GIMT_Encode4(1517279), // Rule ID 18137 //
     /* 1517202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1517219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1517222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517241 */     // MIs[0] round
     /* 1517241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517244 */     // MIs[0] policy
     /* 1517244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517254 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1517257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517278 */     // GIR_Coverage, 18137,
     /* 1517278 */     GIR_EraseRootFromParent_Done,
     /* 1517279 */   // Label 21122: @1517279
     /* 1517279 */   GIM_Try, /*On fail goto*//*Label 21123*/ GIMT_Encode4(1517361), // Rule ID 18140 //
     /* 1517284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1517295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1517298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1517301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1517304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517323 */     // MIs[0] round
     /* 1517323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517326 */     // MIs[0] policy
     /* 1517326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517336 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1517339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517360 */     // GIR_Coverage, 18140,
     /* 1517360 */     GIR_EraseRootFromParent_Done,
     /* 1517361 */   // Label 21123: @1517361
     /* 1517361 */   GIM_Try, /*On fail goto*//*Label 21124*/ GIMT_Encode4(1517443), // Rule ID 18141 //
     /* 1517366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1517377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1517380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1517383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1517386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517405 */     // MIs[0] round
     /* 1517405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517408 */     // MIs[0] policy
     /* 1517408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517418 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1517421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517442 */     // GIR_Coverage, 18141,
     /* 1517442 */     GIR_EraseRootFromParent_Done,
     /* 1517443 */   // Label 21124: @1517443
     /* 1517443 */   GIM_Try, /*On fail goto*//*Label 21125*/ GIMT_Encode4(1517525), // Rule ID 18144 //
     /* 1517448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1517459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1517462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1517465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1517468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517487 */     // MIs[0] round
     /* 1517487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517490 */     // MIs[0] policy
     /* 1517490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517500 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1517503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517524 */     // GIR_Coverage, 18144,
     /* 1517524 */     GIR_EraseRootFromParent_Done,
     /* 1517525 */   // Label 21125: @1517525
     /* 1517525 */   GIM_Try, /*On fail goto*//*Label 21126*/ GIMT_Encode4(1517607), // Rule ID 18145 //
     /* 1517530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1517541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1517544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1517547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1517550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517569 */     // MIs[0] round
     /* 1517569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517572 */     // MIs[0] policy
     /* 1517572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517582 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1517585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517606 */     // GIR_Coverage, 18145,
     /* 1517606 */     GIR_EraseRootFromParent_Done,
     /* 1517607 */   // Label 21126: @1517607
     /* 1517607 */   GIM_Try, /*On fail goto*//*Label 21127*/ GIMT_Encode4(1517689), // Rule ID 18148 //
     /* 1517612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1517623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1517626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1517629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1517632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517651 */     // MIs[0] round
     /* 1517651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517654 */     // MIs[0] policy
     /* 1517654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517664 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1517667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517688 */     // GIR_Coverage, 18148,
     /* 1517688 */     GIR_EraseRootFromParent_Done,
     /* 1517689 */   // Label 21127: @1517689
     /* 1517689 */   GIM_Try, /*On fail goto*//*Label 21128*/ GIMT_Encode4(1517771), // Rule ID 18149 //
     /* 1517694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1517705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1517708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1517711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1517714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517733 */     // MIs[0] round
     /* 1517733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517736 */     // MIs[0] policy
     /* 1517736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517746 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1517749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517770 */     // GIR_Coverage, 18149,
     /* 1517770 */     GIR_EraseRootFromParent_Done,
     /* 1517771 */   // Label 21128: @1517771
     /* 1517771 */   GIM_Try, /*On fail goto*//*Label 21129*/ GIMT_Encode4(1517853), // Rule ID 18152 //
     /* 1517776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1517787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1517790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1517793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1517796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517815 */     // MIs[0] round
     /* 1517815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517818 */     // MIs[0] policy
     /* 1517818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517828 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1517831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517852 */     // GIR_Coverage, 18152,
     /* 1517852 */     GIR_EraseRootFromParent_Done,
     /* 1517853 */   // Label 21129: @1517853
     /* 1517853 */   GIM_Try, /*On fail goto*//*Label 21130*/ GIMT_Encode4(1517935), // Rule ID 18153 //
     /* 1517858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1517869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1517872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1517875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1517878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517897 */     // MIs[0] round
     /* 1517897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517900 */     // MIs[0] policy
     /* 1517900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517910 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1517913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517934 */     // GIR_Coverage, 18153,
     /* 1517934 */     GIR_EraseRootFromParent_Done,
     /* 1517935 */   // Label 21130: @1517935
     /* 1517935 */   GIM_Try, /*On fail goto*//*Label 21131*/ GIMT_Encode4(1518017), // Rule ID 18156 //
     /* 1517940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1517951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1517954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1517957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1517960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517979 */     // MIs[0] round
     /* 1517979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517982 */     // MIs[0] policy
     /* 1517982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517992 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1517995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518016 */     // GIR_Coverage, 18156,
     /* 1518016 */     GIR_EraseRootFromParent_Done,
     /* 1518017 */   // Label 21131: @1518017
     /* 1518017 */   GIM_Try, /*On fail goto*//*Label 21132*/ GIMT_Encode4(1518099), // Rule ID 18157 //
     /* 1518022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1518033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1518036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1518039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1518042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518061 */     // MIs[0] round
     /* 1518061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518064 */     // MIs[0] policy
     /* 1518064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518074 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1518077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518098 */     // GIR_Coverage, 18157,
     /* 1518098 */     GIR_EraseRootFromParent_Done,
     /* 1518099 */   // Label 21132: @1518099
     /* 1518099 */   GIM_Try, /*On fail goto*//*Label 21133*/ GIMT_Encode4(1518181), // Rule ID 18160 //
     /* 1518104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1518115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1518118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1518121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1518124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518143 */     // MIs[0] round
     /* 1518143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518146 */     // MIs[0] policy
     /* 1518146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518156 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1518159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518180 */     // GIR_Coverage, 18160,
     /* 1518180 */     GIR_EraseRootFromParent_Done,
     /* 1518181 */   // Label 21133: @1518181
     /* 1518181 */   GIM_Try, /*On fail goto*//*Label 21134*/ GIMT_Encode4(1518263), // Rule ID 18161 //
     /* 1518186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1518197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1518200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1518203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1518206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518225 */     // MIs[0] round
     /* 1518225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518228 */     // MIs[0] policy
     /* 1518228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518238 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1518241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518262 */     // GIR_Coverage, 18161,
     /* 1518262 */     GIR_EraseRootFromParent_Done,
     /* 1518263 */   // Label 21134: @1518263
     /* 1518263 */   GIM_Try, /*On fail goto*//*Label 21135*/ GIMT_Encode4(1518345), // Rule ID 18164 //
     /* 1518268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1518282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1518285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1518288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518307 */     // MIs[0] round
     /* 1518307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518310 */     // MIs[0] policy
     /* 1518310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518320 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1518323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518344 */     // GIR_Coverage, 18164,
     /* 1518344 */     GIR_EraseRootFromParent_Done,
     /* 1518345 */   // Label 21135: @1518345
     /* 1518345 */   GIM_Try, /*On fail goto*//*Label 21136*/ GIMT_Encode4(1518427), // Rule ID 18165 //
     /* 1518350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1518364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1518367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1518370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518389 */     // MIs[0] round
     /* 1518389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518392 */     // MIs[0] policy
     /* 1518392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518402 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1518405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518426 */     // GIR_Coverage, 18165,
     /* 1518426 */     GIR_EraseRootFromParent_Done,
     /* 1518427 */   // Label 21136: @1518427
     /* 1518427 */   GIM_Try, /*On fail goto*//*Label 21137*/ GIMT_Encode4(1518509), // Rule ID 18168 //
     /* 1518432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1518443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1518446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1518449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1518452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518471 */     // MIs[0] round
     /* 1518471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518474 */     // MIs[0] policy
     /* 1518474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518484 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1518487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518508 */     // GIR_Coverage, 18168,
     /* 1518508 */     GIR_EraseRootFromParent_Done,
     /* 1518509 */   // Label 21137: @1518509
     /* 1518509 */   GIM_Try, /*On fail goto*//*Label 21138*/ GIMT_Encode4(1518591), // Rule ID 18169 //
     /* 1518514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1518525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1518528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1518531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1518534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518553 */     // MIs[0] round
     /* 1518553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518556 */     // MIs[0] policy
     /* 1518556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518566 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1518569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518590 */     // GIR_Coverage, 18169,
     /* 1518590 */     GIR_EraseRootFromParent_Done,
     /* 1518591 */   // Label 21138: @1518591
     /* 1518591 */   GIM_Try, /*On fail goto*//*Label 21139*/ GIMT_Encode4(1518673), // Rule ID 18172 //
     /* 1518596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1518607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1518610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1518613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1518616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518635 */     // MIs[0] round
     /* 1518635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518638 */     // MIs[0] policy
     /* 1518638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518648 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1518651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518672 */     // GIR_Coverage, 18172,
     /* 1518672 */     GIR_EraseRootFromParent_Done,
     /* 1518673 */   // Label 21139: @1518673
     /* 1518673 */   GIM_Try, /*On fail goto*//*Label 21140*/ GIMT_Encode4(1518755), // Rule ID 18173 //
     /* 1518678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1518689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1518692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1518695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1518698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518717 */     // MIs[0] round
     /* 1518717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518720 */     // MIs[0] policy
     /* 1518720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518730 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1518733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518754 */     // GIR_Coverage, 18173,
     /* 1518754 */     GIR_EraseRootFromParent_Done,
     /* 1518755 */   // Label 21140: @1518755
     /* 1518755 */   GIM_Try, /*On fail goto*//*Label 21141*/ GIMT_Encode4(1518837), // Rule ID 18176 //
     /* 1518760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1518771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1518774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518799 */     // MIs[0] round
     /* 1518799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518802 */     // MIs[0] policy
     /* 1518802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518812 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1518815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518836 */     // GIR_Coverage, 18176,
     /* 1518836 */     GIR_EraseRootFromParent_Done,
     /* 1518837 */   // Label 21141: @1518837
     /* 1518837 */   GIM_Try, /*On fail goto*//*Label 21142*/ GIMT_Encode4(1518919), // Rule ID 18177 //
     /* 1518842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1518853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1518856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518881 */     // MIs[0] round
     /* 1518881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518884 */     // MIs[0] policy
     /* 1518884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518894 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1518897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518918 */     // GIR_Coverage, 18177,
     /* 1518918 */     GIR_EraseRootFromParent_Done,
     /* 1518919 */   // Label 21142: @1518919
     /* 1518919 */   GIM_Try, /*On fail goto*//*Label 21143*/ GIMT_Encode4(1519001), // Rule ID 18180 //
     /* 1518924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1518935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1518938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1518944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518963 */     // MIs[0] round
     /* 1518963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518966 */     // MIs[0] policy
     /* 1518966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518976 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1518979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519000 */     // GIR_Coverage, 18180,
     /* 1519000 */     GIR_EraseRootFromParent_Done,
     /* 1519001 */   // Label 21143: @1519001
     /* 1519001 */   GIM_Try, /*On fail goto*//*Label 21144*/ GIMT_Encode4(1519083), // Rule ID 18181 //
     /* 1519006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1519017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1519020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1519026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519045 */     // MIs[0] round
     /* 1519045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519048 */     // MIs[0] policy
     /* 1519048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519058 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1519061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519082 */     // GIR_Coverage, 18181,
     /* 1519082 */     GIR_EraseRootFromParent_Done,
     /* 1519083 */   // Label 21144: @1519083
     /* 1519083 */   GIM_Try, /*On fail goto*//*Label 21145*/ GIMT_Encode4(1519165), // Rule ID 18184 //
     /* 1519088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1519099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1519102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519127 */     // MIs[0] round
     /* 1519127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519130 */     // MIs[0] policy
     /* 1519130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519140 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1519143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519164 */     // GIR_Coverage, 18184,
     /* 1519164 */     GIR_EraseRootFromParent_Done,
     /* 1519165 */   // Label 21145: @1519165
     /* 1519165 */   GIM_Try, /*On fail goto*//*Label 21146*/ GIMT_Encode4(1519247), // Rule ID 18185 //
     /* 1519170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1519181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1519184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519209 */     // MIs[0] round
     /* 1519209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519212 */     // MIs[0] policy
     /* 1519212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519222 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1519225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519246 */     // GIR_Coverage, 18185,
     /* 1519246 */     GIR_EraseRootFromParent_Done,
     /* 1519247 */   // Label 21146: @1519247
     /* 1519247 */   GIM_Try, /*On fail goto*//*Label 21147*/ GIMT_Encode4(1519329), // Rule ID 18188 //
     /* 1519252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1519263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1519266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519291 */     // MIs[0] round
     /* 1519291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519294 */     // MIs[0] policy
     /* 1519294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519304 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1519307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519328 */     // GIR_Coverage, 18188,
     /* 1519328 */     GIR_EraseRootFromParent_Done,
     /* 1519329 */   // Label 21147: @1519329
     /* 1519329 */   GIM_Try, /*On fail goto*//*Label 21148*/ GIMT_Encode4(1519411), // Rule ID 18189 //
     /* 1519334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1519345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1519348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519373 */     // MIs[0] round
     /* 1519373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519376 */     // MIs[0] policy
     /* 1519376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519386 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1519389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519410 */     // GIR_Coverage, 18189,
     /* 1519410 */     GIR_EraseRootFromParent_Done,
     /* 1519411 */   // Label 21148: @1519411
     /* 1519411 */   GIM_Try, /*On fail goto*//*Label 21149*/ GIMT_Encode4(1519493), // Rule ID 18192 //
     /* 1519416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1519427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1519430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1519436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519455 */     // MIs[0] round
     /* 1519455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519458 */     // MIs[0] policy
     /* 1519458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519468 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1519471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519492 */     // GIR_Coverage, 18192,
     /* 1519492 */     GIR_EraseRootFromParent_Done,
     /* 1519493 */   // Label 21149: @1519493
     /* 1519493 */   GIM_Try, /*On fail goto*//*Label 21150*/ GIMT_Encode4(1519575), // Rule ID 18193 //
     /* 1519498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1519509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1519512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1519518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519537 */     // MIs[0] round
     /* 1519537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519540 */     // MIs[0] policy
     /* 1519540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519550 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1519553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519574 */     // GIR_Coverage, 18193,
     /* 1519574 */     GIR_EraseRootFromParent_Done,
     /* 1519575 */   // Label 21150: @1519575
     /* 1519575 */   GIM_Try, /*On fail goto*//*Label 21151*/ GIMT_Encode4(1519657), // Rule ID 18196 //
     /* 1519580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1519583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1519600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519619 */     // MIs[0] round
     /* 1519619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519622 */     // MIs[0] policy
     /* 1519622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519632 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1519635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519656 */     // GIR_Coverage, 18196,
     /* 1519656 */     GIR_EraseRootFromParent_Done,
     /* 1519657 */   // Label 21151: @1519657
     /* 1519657 */   GIM_Try, /*On fail goto*//*Label 21152*/ GIMT_Encode4(1519739), // Rule ID 18197 //
     /* 1519662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1519665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1519682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1519697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519701 */     // MIs[0] round
     /* 1519701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519704 */     // MIs[0] policy
     /* 1519704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519714 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1519717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519738 */     // GIR_Coverage, 18197,
     /* 1519738 */     GIR_EraseRootFromParent_Done,
     /* 1519739 */   // Label 21152: @1519739
     /* 1519739 */   GIM_Try, /*On fail goto*//*Label 21153*/ GIMT_Encode4(1519821), // Rule ID 18200 //
     /* 1519744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1519755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1519758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519783 */     // MIs[0] round
     /* 1519783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519786 */     // MIs[0] policy
     /* 1519786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519796 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1519799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519820 */     // GIR_Coverage, 18200,
     /* 1519820 */     GIR_EraseRootFromParent_Done,
     /* 1519821 */   // Label 21153: @1519821
     /* 1519821 */   GIM_Try, /*On fail goto*//*Label 21154*/ GIMT_Encode4(1519903), // Rule ID 18201 //
     /* 1519826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1519837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1519840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519865 */     // MIs[0] round
     /* 1519865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519868 */     // MIs[0] policy
     /* 1519868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519878 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1519881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519902 */     // GIR_Coverage, 18201,
     /* 1519902 */     GIR_EraseRootFromParent_Done,
     /* 1519903 */   // Label 21154: @1519903
     /* 1519903 */   GIM_Try, /*On fail goto*//*Label 21155*/ GIMT_Encode4(1519985), // Rule ID 18204 //
     /* 1519908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1519919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1519922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519947 */     // MIs[0] round
     /* 1519947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519950 */     // MIs[0] policy
     /* 1519950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519960 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1519963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519984 */     // GIR_Coverage, 18204,
     /* 1519984 */     GIR_EraseRootFromParent_Done,
     /* 1519985 */   // Label 21155: @1519985
     /* 1519985 */   GIM_Try, /*On fail goto*//*Label 21156*/ GIMT_Encode4(1520067), // Rule ID 18205 //
     /* 1519990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1519998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1520001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1520004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1520010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520029 */     // MIs[0] round
     /* 1520029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520032 */     // MIs[0] policy
     /* 1520032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520042 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1520045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520066 */     // GIR_Coverage, 18205,
     /* 1520066 */     GIR_EraseRootFromParent_Done,
     /* 1520067 */   // Label 21156: @1520067
     /* 1520067 */   GIM_Try, /*On fail goto*//*Label 21157*/ GIMT_Encode4(1520149), // Rule ID 18208 //
     /* 1520072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1520083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1520086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1520092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520111 */     // MIs[0] round
     /* 1520111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520114 */     // MIs[0] policy
     /* 1520114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520124 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1520127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520148 */     // GIR_Coverage, 18208,
     /* 1520148 */     GIR_EraseRootFromParent_Done,
     /* 1520149 */   // Label 21157: @1520149
     /* 1520149 */   GIM_Try, /*On fail goto*//*Label 21158*/ GIMT_Encode4(1520231), // Rule ID 18209 //
     /* 1520154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1520165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1520168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1520174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520193 */     // MIs[0] round
     /* 1520193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520196 */     // MIs[0] policy
     /* 1520196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520206 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1520209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520230 */     // GIR_Coverage, 18209,
     /* 1520230 */     GIR_EraseRootFromParent_Done,
     /* 1520231 */   // Label 21158: @1520231
     /* 1520231 */   GIM_Try, /*On fail goto*//*Label 21159*/ GIMT_Encode4(1520313), // Rule ID 18212 //
     /* 1520236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520275 */     // MIs[0] round
     /* 1520275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520278 */     // MIs[0] policy
     /* 1520278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520288 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1520291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520312 */     // GIR_Coverage, 18212,
     /* 1520312 */     GIR_EraseRootFromParent_Done,
     /* 1520313 */   // Label 21159: @1520313
     /* 1520313 */   GIM_Try, /*On fail goto*//*Label 21160*/ GIMT_Encode4(1520395), // Rule ID 18213 //
     /* 1520318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520357 */     // MIs[0] round
     /* 1520357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520360 */     // MIs[0] policy
     /* 1520360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520370 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1520373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520394 */     // GIR_Coverage, 18213,
     /* 1520394 */     GIR_EraseRootFromParent_Done,
     /* 1520395 */   // Label 21160: @1520395
     /* 1520395 */   GIM_Try, /*On fail goto*//*Label 21161*/ GIMT_Encode4(1520477), // Rule ID 18216 //
     /* 1520400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1520411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1520414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1520420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520439 */     // MIs[0] round
     /* 1520439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520442 */     // MIs[0] policy
     /* 1520442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520452 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1520455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520476 */     // GIR_Coverage, 18216,
     /* 1520476 */     GIR_EraseRootFromParent_Done,
     /* 1520477 */   // Label 21161: @1520477
     /* 1520477 */   GIM_Try, /*On fail goto*//*Label 21162*/ GIMT_Encode4(1520559), // Rule ID 18217 //
     /* 1520482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1520493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1520496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1520502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520521 */     // MIs[0] round
     /* 1520521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520524 */     // MIs[0] policy
     /* 1520524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520534 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1520537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520558 */     // GIR_Coverage, 18217,
     /* 1520558 */     GIR_EraseRootFromParent_Done,
     /* 1520559 */   // Label 21162: @1520559
     /* 1520559 */   GIM_Try, /*On fail goto*//*Label 21163*/ GIMT_Encode4(1520641), // Rule ID 18220 //
     /* 1520564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1520575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1520578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1520584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520603 */     // MIs[0] round
     /* 1520603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520606 */     // MIs[0] policy
     /* 1520606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520616 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1520619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520640 */     // GIR_Coverage, 18220,
     /* 1520640 */     GIR_EraseRootFromParent_Done,
     /* 1520641 */   // Label 21163: @1520641
     /* 1520641 */   GIM_Try, /*On fail goto*//*Label 21164*/ GIMT_Encode4(1520723), // Rule ID 18221 //
     /* 1520646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1520657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1520660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1520666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520685 */     // MIs[0] round
     /* 1520685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520688 */     // MIs[0] policy
     /* 1520688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520698 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1520701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520722 */     // GIR_Coverage, 18221,
     /* 1520722 */     GIR_EraseRootFromParent_Done,
     /* 1520723 */   // Label 21164: @1520723
     /* 1520723 */   GIM_Try, /*On fail goto*//*Label 21165*/ GIMT_Encode4(1520805), // Rule ID 18224 //
     /* 1520728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1520739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1520742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1520748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520767 */     // MIs[0] round
     /* 1520767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520770 */     // MIs[0] policy
     /* 1520770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520780 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1520783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520804 */     // GIR_Coverage, 18224,
     /* 1520804 */     GIR_EraseRootFromParent_Done,
     /* 1520805 */   // Label 21165: @1520805
     /* 1520805 */   GIM_Try, /*On fail goto*//*Label 21166*/ GIMT_Encode4(1520887), // Rule ID 18225 //
     /* 1520810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1520821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1520824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1520830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520849 */     // MIs[0] round
     /* 1520849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520852 */     // MIs[0] policy
     /* 1520852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520862 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1520865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520886 */     // GIR_Coverage, 18225,
     /* 1520886 */     GIR_EraseRootFromParent_Done,
     /* 1520887 */   // Label 21166: @1520887
     /* 1520887 */   GIM_Try, /*On fail goto*//*Label 21167*/ GIMT_Encode4(1520969), // Rule ID 18228 //
     /* 1520892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1520903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1520906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1520912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520931 */     // MIs[0] round
     /* 1520931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520934 */     // MIs[0] policy
     /* 1520934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520944 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1520947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520968 */     // GIR_Coverage, 18228,
     /* 1520968 */     GIR_EraseRootFromParent_Done,
     /* 1520969 */   // Label 21167: @1520969
     /* 1520969 */   GIM_Try, /*On fail goto*//*Label 21168*/ GIMT_Encode4(1521051), // Rule ID 18229 //
     /* 1520974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1520985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1520988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1520994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1521009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521013 */     // MIs[0] round
     /* 1521013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521016 */     // MIs[0] policy
     /* 1521016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521026 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1521029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521050 */     // GIR_Coverage, 18229,
     /* 1521050 */     GIR_EraseRootFromParent_Done,
     /* 1521051 */   // Label 21168: @1521051
     /* 1521051 */   GIM_Try, /*On fail goto*//*Label 21169*/ GIMT_Encode4(1521133), // Rule ID 18232 //
     /* 1521056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1521067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1521070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1521073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1521076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1521091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521095 */     // MIs[0] round
     /* 1521095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521098 */     // MIs[0] policy
     /* 1521098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521108 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1521111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521132 */     // GIR_Coverage, 18232,
     /* 1521132 */     GIR_EraseRootFromParent_Done,
     /* 1521133 */   // Label 21169: @1521133
     /* 1521133 */   GIM_Try, /*On fail goto*//*Label 21170*/ GIMT_Encode4(1521215), // Rule ID 18233 //
     /* 1521138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1521149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1521152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1521155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1521158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1521173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521177 */     // MIs[0] round
     /* 1521177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521180 */     // MIs[0] policy
     /* 1521180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521190 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1521193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521214 */     // GIR_Coverage, 18233,
     /* 1521214 */     GIR_EraseRootFromParent_Done,
     /* 1521215 */   // Label 21170: @1521215
     /* 1521215 */   GIM_Try, /*On fail goto*//*Label 21171*/ GIMT_Encode4(1521297), // Rule ID 18236 //
     /* 1521220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1521231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1521234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1521237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521259 */     // MIs[0] round
     /* 1521259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521262 */     // MIs[0] policy
     /* 1521262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521272 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1521275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521296 */     // GIR_Coverage, 18236,
     /* 1521296 */     GIR_EraseRootFromParent_Done,
     /* 1521297 */   // Label 21171: @1521297
     /* 1521297 */   GIM_Try, /*On fail goto*//*Label 21172*/ GIMT_Encode4(1521379), // Rule ID 18237 //
     /* 1521302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1521313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1521316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1521319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521341 */     // MIs[0] round
     /* 1521341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521344 */     // MIs[0] policy
     /* 1521344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521354 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1521357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521378 */     // GIR_Coverage, 18237,
     /* 1521378 */     GIR_EraseRootFromParent_Done,
     /* 1521379 */   // Label 21172: @1521379
     /* 1521379 */   GIM_Try, /*On fail goto*//*Label 21173*/ GIMT_Encode4(1521461), // Rule ID 18240 //
     /* 1521384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1521395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1521398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1521401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1521404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521423 */     // MIs[0] round
     /* 1521423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521426 */     // MIs[0] policy
     /* 1521426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521436 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1521439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521460 */     // GIR_Coverage, 18240,
     /* 1521460 */     GIR_EraseRootFromParent_Done,
     /* 1521461 */   // Label 21173: @1521461
     /* 1521461 */   GIM_Try, /*On fail goto*//*Label 21174*/ GIMT_Encode4(1521543), // Rule ID 18241 //
     /* 1521466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1521477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1521480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1521483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1521486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521505 */     // MIs[0] round
     /* 1521505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521508 */     // MIs[0] policy
     /* 1521508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521518 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1521521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521542 */     // GIR_Coverage, 18241,
     /* 1521542 */     GIR_EraseRootFromParent_Done,
     /* 1521543 */   // Label 21174: @1521543
     /* 1521543 */   GIM_Try, /*On fail goto*//*Label 21175*/ GIMT_Encode4(1521625), // Rule ID 18244 //
     /* 1521548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1521565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1521568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521587 */     // MIs[0] round
     /* 1521587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521590 */     // MIs[0] policy
     /* 1521590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521600 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1521603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521624 */     // GIR_Coverage, 18244,
     /* 1521624 */     GIR_EraseRootFromParent_Done,
     /* 1521625 */   // Label 21175: @1521625
     /* 1521625 */   GIM_Try, /*On fail goto*//*Label 21176*/ GIMT_Encode4(1521707), // Rule ID 18245 //
     /* 1521630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1521647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1521650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521669 */     // MIs[0] round
     /* 1521669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521672 */     // MIs[0] policy
     /* 1521672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521682 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1521685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521706 */     // GIR_Coverage, 18245,
     /* 1521706 */     GIR_EraseRootFromParent_Done,
     /* 1521707 */   // Label 21176: @1521707
     /* 1521707 */   GIM_Try, /*On fail goto*//*Label 21177*/ GIMT_Encode4(1521789), // Rule ID 18248 //
     /* 1521712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1521723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1521726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1521729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1521732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521751 */     // MIs[0] round
     /* 1521751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521754 */     // MIs[0] policy
     /* 1521754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521764 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1521767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521788 */     // GIR_Coverage, 18248,
     /* 1521788 */     GIR_EraseRootFromParent_Done,
     /* 1521789 */   // Label 21177: @1521789
     /* 1521789 */   GIM_Try, /*On fail goto*//*Label 21178*/ GIMT_Encode4(1521871), // Rule ID 18249 //
     /* 1521794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1521805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1521808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1521811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1521814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521833 */     // MIs[0] round
     /* 1521833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521836 */     // MIs[0] policy
     /* 1521836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521846 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1521849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521870 */     // GIR_Coverage, 18249,
     /* 1521870 */     GIR_EraseRootFromParent_Done,
     /* 1521871 */   // Label 21178: @1521871
     /* 1521871 */   GIM_Try, /*On fail goto*//*Label 21179*/ GIMT_Encode4(1521953), // Rule ID 18252 //
     /* 1521876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1521893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1521896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521915 */     // MIs[0] round
     /* 1521915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521918 */     // MIs[0] policy
     /* 1521918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521928 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1521931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521952 */     // GIR_Coverage, 18252,
     /* 1521952 */     GIR_EraseRootFromParent_Done,
     /* 1521953 */   // Label 21179: @1521953
     /* 1521953 */   GIM_Try, /*On fail goto*//*Label 21180*/ GIMT_Encode4(1522035), // Rule ID 18253 //
     /* 1521958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1521975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1521978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521997 */     // MIs[0] round
     /* 1521997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522000 */     // MIs[0] policy
     /* 1522000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522010 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1522013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522034 */     // GIR_Coverage, 18253,
     /* 1522034 */     GIR_EraseRootFromParent_Done,
     /* 1522035 */   // Label 21180: @1522035
     /* 1522035 */   GIM_Try, /*On fail goto*//*Label 21181*/ GIMT_Encode4(1522117), // Rule ID 18256 //
     /* 1522040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1522057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1522060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522079 */     // MIs[0] round
     /* 1522079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522082 */     // MIs[0] policy
     /* 1522082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522092 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1522095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522116 */     // GIR_Coverage, 18256,
     /* 1522116 */     GIR_EraseRootFromParent_Done,
     /* 1522117 */   // Label 21181: @1522117
     /* 1522117 */   GIM_Try, /*On fail goto*//*Label 21182*/ GIMT_Encode4(1522199), // Rule ID 18257 //
     /* 1522122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1522139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1522142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522161 */     // MIs[0] round
     /* 1522161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522164 */     // MIs[0] policy
     /* 1522164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522174 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1522177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522198 */     // GIR_Coverage, 18257,
     /* 1522198 */     GIR_EraseRootFromParent_Done,
     /* 1522199 */   // Label 21182: @1522199
     /* 1522199 */   GIM_Try, /*On fail goto*//*Label 21183*/ GIMT_Encode4(1522281), // Rule ID 18260 //
     /* 1522204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1522215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1522218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1522221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522243 */     // MIs[0] round
     /* 1522243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522246 */     // MIs[0] policy
     /* 1522246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522256 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1522259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522280 */     // GIR_Coverage, 18260,
     /* 1522280 */     GIR_EraseRootFromParent_Done,
     /* 1522281 */   // Label 21183: @1522281
     /* 1522281 */   GIM_Try, /*On fail goto*//*Label 21184*/ GIMT_Encode4(1522363), // Rule ID 18261 //
     /* 1522286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1522297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1522300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1522303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522325 */     // MIs[0] round
     /* 1522325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522328 */     // MIs[0] policy
     /* 1522328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522338 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1522341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522362 */     // GIR_Coverage, 18261,
     /* 1522362 */     GIR_EraseRootFromParent_Done,
     /* 1522363 */   // Label 21184: @1522363
     /* 1522363 */   GIM_Try, /*On fail goto*//*Label 21185*/ GIMT_Encode4(1522445), // Rule ID 18264 //
     /* 1522368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1522379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1522382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1522385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1522388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522407 */     // MIs[0] round
     /* 1522407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522410 */     // MIs[0] policy
     /* 1522410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522420 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1522423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522444 */     // GIR_Coverage, 18264,
     /* 1522444 */     GIR_EraseRootFromParent_Done,
     /* 1522445 */   // Label 21185: @1522445
     /* 1522445 */   GIM_Try, /*On fail goto*//*Label 21186*/ GIMT_Encode4(1522527), // Rule ID 18265 //
     /* 1522450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1522461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1522464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1522467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1522470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522489 */     // MIs[0] round
     /* 1522489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522492 */     // MIs[0] policy
     /* 1522492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522502 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1522505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522526 */     // GIR_Coverage, 18265,
     /* 1522526 */     GIR_EraseRootFromParent_Done,
     /* 1522527 */   // Label 21186: @1522527
     /* 1522527 */   GIM_Try, /*On fail goto*//*Label 21187*/ GIMT_Encode4(1522609), // Rule ID 18268 //
     /* 1522532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1522543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1522546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1522549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1522552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522571 */     // MIs[0] round
     /* 1522571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522574 */     // MIs[0] policy
     /* 1522574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522584 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1522587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522608 */     // GIR_Coverage, 18268,
     /* 1522608 */     GIR_EraseRootFromParent_Done,
     /* 1522609 */   // Label 21187: @1522609
     /* 1522609 */   GIM_Try, /*On fail goto*//*Label 21188*/ GIMT_Encode4(1522691), // Rule ID 18269 //
     /* 1522614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1522625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1522628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1522631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1522634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522653 */     // MIs[0] round
     /* 1522653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522656 */     // MIs[0] policy
     /* 1522656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522666 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1522669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522690 */     // GIR_Coverage, 18269,
     /* 1522690 */     GIR_EraseRootFromParent_Done,
     /* 1522691 */   // Label 21188: @1522691
     /* 1522691 */   GIM_Try, /*On fail goto*//*Label 21189*/ GIMT_Encode4(1522773), // Rule ID 18272 //
     /* 1522696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1522707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1522710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1522713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1522716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522735 */     // MIs[0] round
     /* 1522735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522738 */     // MIs[0] policy
     /* 1522738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522748 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1522751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522772 */     // GIR_Coverage, 18272,
     /* 1522772 */     GIR_EraseRootFromParent_Done,
     /* 1522773 */   // Label 21189: @1522773
     /* 1522773 */   GIM_Try, /*On fail goto*//*Label 21190*/ GIMT_Encode4(1522855), // Rule ID 18273 //
     /* 1522778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1522789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1522792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1522795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1522798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522817 */     // MIs[0] round
     /* 1522817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522820 */     // MIs[0] policy
     /* 1522820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522830 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1522833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522854 */     // GIR_Coverage, 18273,
     /* 1522854 */     GIR_EraseRootFromParent_Done,
     /* 1522855 */   // Label 21190: @1522855
     /* 1522855 */   GIM_Try, /*On fail goto*//*Label 21191*/ GIMT_Encode4(1522937), // Rule ID 18276 //
     /* 1522860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1522871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1522874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1522877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1522880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522899 */     // MIs[0] round
     /* 1522899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522902 */     // MIs[0] policy
     /* 1522902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522912 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1522915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522936 */     // GIR_Coverage, 18276,
     /* 1522936 */     GIR_EraseRootFromParent_Done,
     /* 1522937 */   // Label 21191: @1522937
     /* 1522937 */   GIM_Try, /*On fail goto*//*Label 21192*/ GIMT_Encode4(1523019), // Rule ID 18277 //
     /* 1522942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1522953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1522956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1522959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1522962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522981 */     // MIs[0] round
     /* 1522981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522984 */     // MIs[0] policy
     /* 1522984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522994 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1522997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523018 */     // GIR_Coverage, 18277,
     /* 1523018 */     GIR_EraseRootFromParent_Done,
     /* 1523019 */   // Label 21192: @1523019
     /* 1523019 */   GIM_Try, /*On fail goto*//*Label 21193*/ GIMT_Encode4(1523101), // Rule ID 18280 //
     /* 1523024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1523035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1523038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1523041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1523044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523063 */     // MIs[0] round
     /* 1523063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523066 */     // MIs[0] policy
     /* 1523066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523076 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1523079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523100 */     // GIR_Coverage, 18280,
     /* 1523100 */     GIR_EraseRootFromParent_Done,
     /* 1523101 */   // Label 21193: @1523101
     /* 1523101 */   GIM_Try, /*On fail goto*//*Label 21194*/ GIMT_Encode4(1523183), // Rule ID 18281 //
     /* 1523106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1523117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1523120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1523123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1523126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523145 */     // MIs[0] round
     /* 1523145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523148 */     // MIs[0] policy
     /* 1523148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523158 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1523161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523182 */     // GIR_Coverage, 18281,
     /* 1523182 */     GIR_EraseRootFromParent_Done,
     /* 1523183 */   // Label 21194: @1523183
     /* 1523183 */   GIM_Try, /*On fail goto*//*Label 21195*/ GIMT_Encode4(1523265), // Rule ID 18284 //
     /* 1523188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1523199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1523202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1523205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1523208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523227 */     // MIs[0] round
     /* 1523227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523230 */     // MIs[0] policy
     /* 1523230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523240 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1523243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523264 */     // GIR_Coverage, 18284,
     /* 1523264 */     GIR_EraseRootFromParent_Done,
     /* 1523265 */   // Label 21195: @1523265
     /* 1523265 */   GIM_Try, /*On fail goto*//*Label 21196*/ GIMT_Encode4(1523347), // Rule ID 18285 //
     /* 1523270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1523281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1523284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1523287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1523290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523309 */     // MIs[0] round
     /* 1523309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523312 */     // MIs[0] policy
     /* 1523312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523322 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1523325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523346 */     // GIR_Coverage, 18285,
     /* 1523346 */     GIR_EraseRootFromParent_Done,
     /* 1523347 */   // Label 21196: @1523347
     /* 1523347 */   GIM_Try, /*On fail goto*//*Label 21197*/ GIMT_Encode4(1523429), // Rule ID 18288 //
     /* 1523352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1523363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1523366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1523369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1523372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523391 */     // MIs[0] round
     /* 1523391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523394 */     // MIs[0] policy
     /* 1523394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523404 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1523407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523428 */     // GIR_Coverage, 18288,
     /* 1523428 */     GIR_EraseRootFromParent_Done,
     /* 1523429 */   // Label 21197: @1523429
     /* 1523429 */   GIM_Try, /*On fail goto*//*Label 21198*/ GIMT_Encode4(1523511), // Rule ID 18289 //
     /* 1523434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1523445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1523448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1523451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1523454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523473 */     // MIs[0] round
     /* 1523473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523476 */     // MIs[0] policy
     /* 1523476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523486 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1523489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523510 */     // GIR_Coverage, 18289,
     /* 1523510 */     GIR_EraseRootFromParent_Done,
     /* 1523511 */   // Label 21198: @1523511
     /* 1523511 */   GIM_Try, /*On fail goto*//*Label 21199*/ GIMT_Encode4(1523593), // Rule ID 18292 //
     /* 1523516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1523527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1523530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1523533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1523536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523555 */     // MIs[0] round
     /* 1523555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523558 */     // MIs[0] policy
     /* 1523558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523568 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1523571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523592 */     // GIR_Coverage, 18292,
     /* 1523592 */     GIR_EraseRootFromParent_Done,
     /* 1523593 */   // Label 21199: @1523593
     /* 1523593 */   GIM_Try, /*On fail goto*//*Label 21200*/ GIMT_Encode4(1523675), // Rule ID 18293 //
     /* 1523598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1523609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1523612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1523615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1523618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523637 */     // MIs[0] round
     /* 1523637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523640 */     // MIs[0] policy
     /* 1523640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523650 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1523653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523674 */     // GIR_Coverage, 18293,
     /* 1523674 */     GIR_EraseRootFromParent_Done,
     /* 1523675 */   // Label 21200: @1523675
     /* 1523675 */   GIM_Try, /*On fail goto*//*Label 21201*/ GIMT_Encode4(1523757), // Rule ID 18296 //
     /* 1523680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1523691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1523694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1523700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523719 */     // MIs[0] round
     /* 1523719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523722 */     // MIs[0] policy
     /* 1523722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523732 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1523735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523756 */     // GIR_Coverage, 18296,
     /* 1523756 */     GIR_EraseRootFromParent_Done,
     /* 1523757 */   // Label 21201: @1523757
     /* 1523757 */   GIM_Try, /*On fail goto*//*Label 21202*/ GIMT_Encode4(1523839), // Rule ID 18297 //
     /* 1523762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1523773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1523776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1523782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523801 */     // MIs[0] round
     /* 1523801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523804 */     // MIs[0] policy
     /* 1523804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523814 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1523817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523838 */     // GIR_Coverage, 18297,
     /* 1523838 */     GIR_EraseRootFromParent_Done,
     /* 1523839 */   // Label 21202: @1523839
     /* 1523839 */   GIM_Try, /*On fail goto*//*Label 21203*/ GIMT_Encode4(1523921), // Rule ID 18300 //
     /* 1523844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1523855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1523858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1523864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523883 */     // MIs[0] round
     /* 1523883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523886 */     // MIs[0] policy
     /* 1523886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523896 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1523899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523920 */     // GIR_Coverage, 18300,
     /* 1523920 */     GIR_EraseRootFromParent_Done,
     /* 1523921 */   // Label 21203: @1523921
     /* 1523921 */   GIM_Try, /*On fail goto*//*Label 21204*/ GIMT_Encode4(1524003), // Rule ID 18301 //
     /* 1523926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1523937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1523940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1523946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523965 */     // MIs[0] round
     /* 1523965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523968 */     // MIs[0] policy
     /* 1523968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523978 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1523981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524002 */     // GIR_Coverage, 18301,
     /* 1524002 */     GIR_EraseRootFromParent_Done,
     /* 1524003 */   // Label 21204: @1524003
     /* 1524003 */   GIM_Try, /*On fail goto*//*Label 21205*/ GIMT_Encode4(1524085), // Rule ID 18304 //
     /* 1524008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1524019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1524022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1524028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524047 */     // MIs[0] round
     /* 1524047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524050 */     // MIs[0] policy
     /* 1524050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524060 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1524063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524084 */     // GIR_Coverage, 18304,
     /* 1524084 */     GIR_EraseRootFromParent_Done,
     /* 1524085 */   // Label 21205: @1524085
     /* 1524085 */   GIM_Try, /*On fail goto*//*Label 21206*/ GIMT_Encode4(1524167), // Rule ID 18305 //
     /* 1524090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1524101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1524104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1524110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524129 */     // MIs[0] round
     /* 1524129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524132 */     // MIs[0] policy
     /* 1524132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524142 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1524145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524166 */     // GIR_Coverage, 18305,
     /* 1524166 */     GIR_EraseRootFromParent_Done,
     /* 1524167 */   // Label 21206: @1524167
     /* 1524167 */   GIM_Try, /*On fail goto*//*Label 21207*/ GIMT_Encode4(1524249), // Rule ID 18308 //
     /* 1524172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1524183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1524186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524211 */     // MIs[0] round
     /* 1524211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524214 */     // MIs[0] policy
     /* 1524214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524224 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1524227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524248 */     // GIR_Coverage, 18308,
     /* 1524248 */     GIR_EraseRootFromParent_Done,
     /* 1524249 */   // Label 21207: @1524249
     /* 1524249 */   GIM_Try, /*On fail goto*//*Label 21208*/ GIMT_Encode4(1524331), // Rule ID 18309 //
     /* 1524254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1524265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1524268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524293 */     // MIs[0] round
     /* 1524293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524296 */     // MIs[0] policy
     /* 1524296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524306 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1524309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524330 */     // GIR_Coverage, 18309,
     /* 1524330 */     GIR_EraseRootFromParent_Done,
     /* 1524331 */   // Label 21208: @1524331
     /* 1524331 */   GIM_Try, /*On fail goto*//*Label 21209*/ GIMT_Encode4(1524413), // Rule ID 18312 //
     /* 1524336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1524356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524375 */     // MIs[0] round
     /* 1524375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524378 */     // MIs[0] policy
     /* 1524378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524388 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1524391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524412 */     // GIR_Coverage, 18312,
     /* 1524412 */     GIR_EraseRootFromParent_Done,
     /* 1524413 */   // Label 21209: @1524413
     /* 1524413 */   GIM_Try, /*On fail goto*//*Label 21210*/ GIMT_Encode4(1524495), // Rule ID 18313 //
     /* 1524418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1524438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524457 */     // MIs[0] round
     /* 1524457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524460 */     // MIs[0] policy
     /* 1524460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524470 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1524473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524494 */     // GIR_Coverage, 18313,
     /* 1524494 */     GIR_EraseRootFromParent_Done,
     /* 1524495 */   // Label 21210: @1524495
     /* 1524495 */   GIM_Try, /*On fail goto*//*Label 21211*/ GIMT_Encode4(1524577), // Rule ID 18316 //
     /* 1524500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1524503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1524511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1524514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1524517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1524520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1524535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524539 */     // MIs[0] round
     /* 1524539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524542 */     // MIs[0] policy
     /* 1524542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524552 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1524555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524576 */     // GIR_Coverage, 18316,
     /* 1524576 */     GIR_EraseRootFromParent_Done,
     /* 1524577 */   // Label 21211: @1524577
     /* 1524577 */   GIM_Try, /*On fail goto*//*Label 21212*/ GIMT_Encode4(1524659), // Rule ID 18317 //
     /* 1524582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1524585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1524593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1524596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1524599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1524602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1524617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524621 */     // MIs[0] round
     /* 1524621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524624 */     // MIs[0] policy
     /* 1524624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524634 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1524637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524658 */     // GIR_Coverage, 18317,
     /* 1524658 */     GIR_EraseRootFromParent_Done,
     /* 1524659 */   // Label 21212: @1524659
     /* 1524659 */   GIM_Try, /*On fail goto*//*Label 21213*/ GIMT_Encode4(1524741), // Rule ID 18320 //
     /* 1524664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1524675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1524678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1524684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524703 */     // MIs[0] round
     /* 1524703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524706 */     // MIs[0] policy
     /* 1524706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524716 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1524719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524740 */     // GIR_Coverage, 18320,
     /* 1524740 */     GIR_EraseRootFromParent_Done,
     /* 1524741 */   // Label 21213: @1524741
     /* 1524741 */   GIM_Try, /*On fail goto*//*Label 21214*/ GIMT_Encode4(1524823), // Rule ID 18321 //
     /* 1524746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1524757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1524760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1524766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524785 */     // MIs[0] round
     /* 1524785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524788 */     // MIs[0] policy
     /* 1524788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524798 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1524801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524822 */     // GIR_Coverage, 18321,
     /* 1524822 */     GIR_EraseRootFromParent_Done,
     /* 1524823 */   // Label 21214: @1524823
     /* 1524823 */   GIM_Try, /*On fail goto*//*Label 21215*/ GIMT_Encode4(1524905), // Rule ID 18324 //
     /* 1524828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1524839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1524842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1524848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524867 */     // MIs[0] round
     /* 1524867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524870 */     // MIs[0] policy
     /* 1524870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524880 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1524883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524904 */     // GIR_Coverage, 18324,
     /* 1524904 */     GIR_EraseRootFromParent_Done,
     /* 1524905 */   // Label 21215: @1524905
     /* 1524905 */   GIM_Try, /*On fail goto*//*Label 21216*/ GIMT_Encode4(1524987), // Rule ID 18325 //
     /* 1524910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1524918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1524921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1524924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1524930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524949 */     // MIs[0] round
     /* 1524949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524952 */     // MIs[0] policy
     /* 1524952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524962 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1524965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524986 */     // GIR_Coverage, 18325,
     /* 1524986 */     GIR_EraseRootFromParent_Done,
     /* 1524987 */   // Label 21216: @1524987
     /* 1524987 */   GIM_Try, /*On fail goto*//*Label 21217*/ GIMT_Encode4(1525069), // Rule ID 18328 //
     /* 1524992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1525003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1525006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1525012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525031 */     // MIs[0] round
     /* 1525031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525034 */     // MIs[0] policy
     /* 1525034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525044 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1525047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525068 */     // GIR_Coverage, 18328,
     /* 1525068 */     GIR_EraseRootFromParent_Done,
     /* 1525069 */   // Label 21217: @1525069
     /* 1525069 */   GIM_Try, /*On fail goto*//*Label 21218*/ GIMT_Encode4(1525151), // Rule ID 18329 //
     /* 1525074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1525085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1525088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1525094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525113 */     // MIs[0] round
     /* 1525113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525116 */     // MIs[0] policy
     /* 1525116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525126 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1525129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525150 */     // GIR_Coverage, 18329,
     /* 1525150 */     GIR_EraseRootFromParent_Done,
     /* 1525151 */   // Label 21218: @1525151
     /* 1525151 */   GIM_Try, /*On fail goto*//*Label 21219*/ GIMT_Encode4(1525233), // Rule ID 18332 //
     /* 1525156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1525167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1525170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525195 */     // MIs[0] round
     /* 1525195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525198 */     // MIs[0] policy
     /* 1525198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525208 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1525211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525232 */     // GIR_Coverage, 18332,
     /* 1525232 */     GIR_EraseRootFromParent_Done,
     /* 1525233 */   // Label 21219: @1525233
     /* 1525233 */   GIM_Try, /*On fail goto*//*Label 21220*/ GIMT_Encode4(1525315), // Rule ID 18333 //
     /* 1525238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1525249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1525252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525277 */     // MIs[0] round
     /* 1525277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525280 */     // MIs[0] policy
     /* 1525280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525290 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1525293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525314 */     // GIR_Coverage, 18333,
     /* 1525314 */     GIR_EraseRootFromParent_Done,
     /* 1525315 */   // Label 21220: @1525315
     /* 1525315 */   GIM_Try, /*On fail goto*//*Label 21221*/ GIMT_Encode4(1525397), // Rule ID 18336 //
     /* 1525320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1525331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1525334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525359 */     // MIs[0] round
     /* 1525359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525362 */     // MIs[0] policy
     /* 1525362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525372 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1525375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525396 */     // GIR_Coverage, 18336,
     /* 1525396 */     GIR_EraseRootFromParent_Done,
     /* 1525397 */   // Label 21221: @1525397
     /* 1525397 */   GIM_Try, /*On fail goto*//*Label 21222*/ GIMT_Encode4(1525479), // Rule ID 18337 //
     /* 1525402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1525413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1525416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525441 */     // MIs[0] round
     /* 1525441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525444 */     // MIs[0] policy
     /* 1525444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525454 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1525457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525478 */     // GIR_Coverage, 18337,
     /* 1525478 */     GIR_EraseRootFromParent_Done,
     /* 1525479 */   // Label 21222: @1525479
     /* 1525479 */   GIM_Try, /*On fail goto*//*Label 21223*/ GIMT_Encode4(1525561), // Rule ID 18340 //
     /* 1525484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1525495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1525498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1525504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525523 */     // MIs[0] round
     /* 1525523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525526 */     // MIs[0] policy
     /* 1525526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525536 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1525539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525560 */     // GIR_Coverage, 18340,
     /* 1525560 */     GIR_EraseRootFromParent_Done,
     /* 1525561 */   // Label 21223: @1525561
     /* 1525561 */   GIM_Try, /*On fail goto*//*Label 21224*/ GIMT_Encode4(1525643), // Rule ID 18341 //
     /* 1525566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1525577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1525580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1525586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525605 */     // MIs[0] round
     /* 1525605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525608 */     // MIs[0] policy
     /* 1525608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525618 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1525621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525642 */     // GIR_Coverage, 18341,
     /* 1525642 */     GIR_EraseRootFromParent_Done,
     /* 1525643 */   // Label 21224: @1525643
     /* 1525643 */   GIM_Try, /*On fail goto*//*Label 21225*/ GIMT_Encode4(1525725), // Rule ID 18344 //
     /* 1525648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1525668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525687 */     // MIs[0] round
     /* 1525687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525690 */     // MIs[0] policy
     /* 1525690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525700 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1525703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525724 */     // GIR_Coverage, 18344,
     /* 1525724 */     GIR_EraseRootFromParent_Done,
     /* 1525725 */   // Label 21225: @1525725
     /* 1525725 */   GIM_Try, /*On fail goto*//*Label 21226*/ GIMT_Encode4(1525807), // Rule ID 18345 //
     /* 1525730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1525750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525769 */     // MIs[0] round
     /* 1525769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525772 */     // MIs[0] policy
     /* 1525772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525782 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1525785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525806 */     // GIR_Coverage, 18345,
     /* 1525806 */     GIR_EraseRootFromParent_Done,
     /* 1525807 */   // Label 21226: @1525807
     /* 1525807 */   GIM_Try, /*On fail goto*//*Label 21227*/ GIMT_Encode4(1525889), // Rule ID 18348 //
     /* 1525812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1525832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525851 */     // MIs[0] round
     /* 1525851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525854 */     // MIs[0] policy
     /* 1525854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525864 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1525867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525888 */     // GIR_Coverage, 18348,
     /* 1525888 */     GIR_EraseRootFromParent_Done,
     /* 1525889 */   // Label 21227: @1525889
     /* 1525889 */   GIM_Try, /*On fail goto*//*Label 21228*/ GIMT_Encode4(1525971), // Rule ID 18349 //
     /* 1525894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1525914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525933 */     // MIs[0] round
     /* 1525933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525936 */     // MIs[0] policy
     /* 1525936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525946 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1525949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525970 */     // GIR_Coverage, 18349,
     /* 1525970 */     GIR_EraseRootFromParent_Done,
     /* 1525971 */   // Label 21228: @1525971
     /* 1525971 */   GIM_Try, /*On fail goto*//*Label 21229*/ GIMT_Encode4(1526053), // Rule ID 18352 //
     /* 1525976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1525996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1526011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526015 */     // MIs[0] round
     /* 1526015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526018 */     // MIs[0] policy
     /* 1526018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526028 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1526031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526052 */     // GIR_Coverage, 18352,
     /* 1526052 */     GIR_EraseRootFromParent_Done,
     /* 1526053 */   // Label 21229: @1526053
     /* 1526053 */   GIM_Try, /*On fail goto*//*Label 21230*/ GIMT_Encode4(1526135), // Rule ID 18353 //
     /* 1526058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1526066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1526069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1526072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1526075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1526078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1526093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526097 */     // MIs[0] round
     /* 1526097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526100 */     // MIs[0] policy
     /* 1526100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526110 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1526113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526134 */     // GIR_Coverage, 18353,
     /* 1526134 */     GIR_EraseRootFromParent_Done,
     /* 1526135 */   // Label 21230: @1526135
     /* 1526135 */   GIM_Try, /*On fail goto*//*Label 21231*/ GIMT_Encode4(1526217), // Rule ID 18356 //
     /* 1526140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1526151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1526154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1526157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1526160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526179 */     // MIs[0] round
     /* 1526179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526182 */     // MIs[0] policy
     /* 1526182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526192 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1526195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526216 */     // GIR_Coverage, 18356,
     /* 1526216 */     GIR_EraseRootFromParent_Done,
     /* 1526217 */   // Label 21231: @1526217
     /* 1526217 */   GIM_Try, /*On fail goto*//*Label 21232*/ GIMT_Encode4(1526299), // Rule ID 18357 //
     /* 1526222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1526233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1526236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1526239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1526242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526261 */     // MIs[0] round
     /* 1526261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526264 */     // MIs[0] policy
     /* 1526264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526274 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1526277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526298 */     // GIR_Coverage, 18357,
     /* 1526298 */     GIR_EraseRootFromParent_Done,
     /* 1526299 */   // Label 21232: @1526299
     /* 1526299 */   GIM_Try, /*On fail goto*//*Label 21233*/ GIMT_Encode4(1526381), // Rule ID 18360 //
     /* 1526304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1526315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1526318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1526321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1526324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526343 */     // MIs[0] round
     /* 1526343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526346 */     // MIs[0] policy
     /* 1526346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526356 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1526359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526380 */     // GIR_Coverage, 18360,
     /* 1526380 */     GIR_EraseRootFromParent_Done,
     /* 1526381 */   // Label 21233: @1526381
     /* 1526381 */   GIM_Try, /*On fail goto*//*Label 21234*/ GIMT_Encode4(1526463), // Rule ID 18361 //
     /* 1526386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1526397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1526400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1526403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1526406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526425 */     // MIs[0] round
     /* 1526425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526428 */     // MIs[0] policy
     /* 1526428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526438 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1526441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526462 */     // GIR_Coverage, 18361,
     /* 1526462 */     GIR_EraseRootFromParent_Done,
     /* 1526463 */   // Label 21234: @1526463
     /* 1526463 */   GIM_Try, /*On fail goto*//*Label 21235*/ GIMT_Encode4(1526545), // Rule ID 18364 //
     /* 1526468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1526479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1526482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1526485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1526488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526507 */     // MIs[0] round
     /* 1526507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526510 */     // MIs[0] policy
     /* 1526510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526520 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1526523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526544 */     // GIR_Coverage, 18364,
     /* 1526544 */     GIR_EraseRootFromParent_Done,
     /* 1526545 */   // Label 21235: @1526545
     /* 1526545 */   GIM_Try, /*On fail goto*//*Label 21236*/ GIMT_Encode4(1526627), // Rule ID 18365 //
     /* 1526550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1526561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1526564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1526567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1526570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526589 */     // MIs[0] round
     /* 1526589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526592 */     // MIs[0] policy
     /* 1526592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526602 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1526605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526626 */     // GIR_Coverage, 18365,
     /* 1526626 */     GIR_EraseRootFromParent_Done,
     /* 1526627 */   // Label 21236: @1526627
     /* 1526627 */   GIM_Try, /*On fail goto*//*Label 21237*/ GIMT_Encode4(1526709), // Rule ID 18368 //
     /* 1526632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1526643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1526646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1526649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1526652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526671 */     // MIs[0] round
     /* 1526671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526674 */     // MIs[0] policy
     /* 1526674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526684 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1526687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526708 */     // GIR_Coverage, 18368,
     /* 1526708 */     GIR_EraseRootFromParent_Done,
     /* 1526709 */   // Label 21237: @1526709
     /* 1526709 */   GIM_Try, /*On fail goto*//*Label 21238*/ GIMT_Encode4(1526791), // Rule ID 18369 //
     /* 1526714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1526725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1526728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1526731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1526734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526753 */     // MIs[0] round
     /* 1526753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526756 */     // MIs[0] policy
     /* 1526756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526766 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1526769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526790 */     // GIR_Coverage, 18369,
     /* 1526790 */     GIR_EraseRootFromParent_Done,
     /* 1526791 */   // Label 21238: @1526791
     /* 1526791 */   GIM_Try, /*On fail goto*//*Label 21239*/ GIMT_Encode4(1526873), // Rule ID 18372 //
     /* 1526796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1526813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1526816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526835 */     // MIs[0] round
     /* 1526835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526838 */     // MIs[0] policy
     /* 1526838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526848 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1526851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526872 */     // GIR_Coverage, 18372,
     /* 1526872 */     GIR_EraseRootFromParent_Done,
     /* 1526873 */   // Label 21239: @1526873
     /* 1526873 */   GIM_Try, /*On fail goto*//*Label 21240*/ GIMT_Encode4(1526955), // Rule ID 18373 //
     /* 1526878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1526895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1526898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526917 */     // MIs[0] round
     /* 1526917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526920 */     // MIs[0] policy
     /* 1526920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526930 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1526933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526954 */     // GIR_Coverage, 18373,
     /* 1526954 */     GIR_EraseRootFromParent_Done,
     /* 1526955 */   // Label 21240: @1526955
     /* 1526955 */   GIM_Try, /*On fail goto*//*Label 21241*/ GIMT_Encode4(1527037), // Rule ID 18376 //
     /* 1526960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1526971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1526974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1526977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1526980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526999 */     // MIs[0] round
     /* 1526999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527002 */     // MIs[0] policy
     /* 1527002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527012 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1527015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527036 */     // GIR_Coverage, 18376,
     /* 1527036 */     GIR_EraseRootFromParent_Done,
     /* 1527037 */   // Label 21241: @1527037
     /* 1527037 */   GIM_Try, /*On fail goto*//*Label 21242*/ GIMT_Encode4(1527119), // Rule ID 18377 //
     /* 1527042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1527053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1527056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1527059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1527062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527081 */     // MIs[0] round
     /* 1527081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527084 */     // MIs[0] policy
     /* 1527084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527094 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1527097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527118 */     // GIR_Coverage, 18377,
     /* 1527118 */     GIR_EraseRootFromParent_Done,
     /* 1527119 */   // Label 21242: @1527119
     /* 1527119 */   GIM_Try, /*On fail goto*//*Label 21243*/ GIMT_Encode4(1527201), // Rule ID 18380 //
     /* 1527124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1527135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1527138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1527141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1527144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527163 */     // MIs[0] round
     /* 1527163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527166 */     // MIs[0] policy
     /* 1527166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527176 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1527179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527200 */     // GIR_Coverage, 18380,
     /* 1527200 */     GIR_EraseRootFromParent_Done,
     /* 1527201 */   // Label 21243: @1527201
     /* 1527201 */   GIM_Try, /*On fail goto*//*Label 21244*/ GIMT_Encode4(1527283), // Rule ID 18381 //
     /* 1527206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1527217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1527220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1527223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1527226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527245 */     // MIs[0] round
     /* 1527245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527248 */     // MIs[0] policy
     /* 1527248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527258 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1527261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527282 */     // GIR_Coverage, 18381,
     /* 1527282 */     GIR_EraseRootFromParent_Done,
     /* 1527283 */   // Label 21244: @1527283
     /* 1527283 */   GIM_Try, /*On fail goto*//*Label 21245*/ GIMT_Encode4(1527365), // Rule ID 18384 //
     /* 1527288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1527299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1527302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1527305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1527308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527327 */     // MIs[0] round
     /* 1527327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527330 */     // MIs[0] policy
     /* 1527330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527340 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1527343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527364 */     // GIR_Coverage, 18384,
     /* 1527364 */     GIR_EraseRootFromParent_Done,
     /* 1527365 */   // Label 21245: @1527365
     /* 1527365 */   GIM_Try, /*On fail goto*//*Label 21246*/ GIMT_Encode4(1527447), // Rule ID 18385 //
     /* 1527370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1527381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1527384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1527387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1527390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527409 */     // MIs[0] round
     /* 1527409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527412 */     // MIs[0] policy
     /* 1527412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527422 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1527425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527446 */     // GIR_Coverage, 18385,
     /* 1527446 */     GIR_EraseRootFromParent_Done,
     /* 1527447 */   // Label 21246: @1527447
     /* 1527447 */   GIM_Try, /*On fail goto*//*Label 21247*/ GIMT_Encode4(1527529), // Rule ID 18388 //
     /* 1527452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1527463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1527466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1527469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1527472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527491 */     // MIs[0] round
     /* 1527491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527494 */     // MIs[0] policy
     /* 1527494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527504 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1527507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527528 */     // GIR_Coverage, 18388,
     /* 1527528 */     GIR_EraseRootFromParent_Done,
     /* 1527529 */   // Label 21247: @1527529
     /* 1527529 */   GIM_Try, /*On fail goto*//*Label 21248*/ GIMT_Encode4(1527611), // Rule ID 18389 //
     /* 1527534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1527545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1527548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1527551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1527554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527573 */     // MIs[0] round
     /* 1527573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527576 */     // MIs[0] policy
     /* 1527576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527586 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1527589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527610 */     // GIR_Coverage, 18389,
     /* 1527610 */     GIR_EraseRootFromParent_Done,
     /* 1527611 */   // Label 21248: @1527611
     /* 1527611 */   GIM_Try, /*On fail goto*//*Label 21249*/ GIMT_Encode4(1527693), // Rule ID 18392 //
     /* 1527616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1527627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1527630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1527633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1527636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527655 */     // MIs[0] round
     /* 1527655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527658 */     // MIs[0] policy
     /* 1527658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527668 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1527671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527692 */     // GIR_Coverage, 18392,
     /* 1527692 */     GIR_EraseRootFromParent_Done,
     /* 1527693 */   // Label 21249: @1527693
     /* 1527693 */   GIM_Try, /*On fail goto*//*Label 21250*/ GIMT_Encode4(1527775), // Rule ID 18393 //
     /* 1527698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1527709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1527712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1527715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1527718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527737 */     // MIs[0] round
     /* 1527737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527740 */     // MIs[0] policy
     /* 1527740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527750 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1527753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527774 */     // GIR_Coverage, 18393,
     /* 1527774 */     GIR_EraseRootFromParent_Done,
     /* 1527775 */   // Label 21250: @1527775
     /* 1527775 */   GIM_Try, /*On fail goto*//*Label 21251*/ GIMT_Encode4(1527857), // Rule ID 18396 //
     /* 1527780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1527791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1527794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1527797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1527800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527819 */     // MIs[0] round
     /* 1527819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527822 */     // MIs[0] policy
     /* 1527822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527832 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1527835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527856 */     // GIR_Coverage, 18396,
     /* 1527856 */     GIR_EraseRootFromParent_Done,
     /* 1527857 */   // Label 21251: @1527857
     /* 1527857 */   GIM_Try, /*On fail goto*//*Label 21252*/ GIMT_Encode4(1527939), // Rule ID 18397 //
     /* 1527862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1527873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1527876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1527879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1527882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527901 */     // MIs[0] round
     /* 1527901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527904 */     // MIs[0] policy
     /* 1527904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527914 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1527917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527938 */     // GIR_Coverage, 18397,
     /* 1527938 */     GIR_EraseRootFromParent_Done,
     /* 1527939 */   // Label 21252: @1527939
     /* 1527939 */   GIM_Try, /*On fail goto*//*Label 21253*/ GIMT_Encode4(1528021), // Rule ID 18400 //
     /* 1527944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1527955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1527958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1527961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1527964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527983 */     // MIs[0] round
     /* 1527983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527986 */     // MIs[0] policy
     /* 1527986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527996 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1527999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528020 */     // GIR_Coverage, 18400,
     /* 1528020 */     GIR_EraseRootFromParent_Done,
     /* 1528021 */   // Label 21253: @1528021
     /* 1528021 */   GIM_Try, /*On fail goto*//*Label 21254*/ GIMT_Encode4(1528103), // Rule ID 18401 //
     /* 1528026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1528037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1528040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1528043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1528046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528065 */     // MIs[0] round
     /* 1528065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528068 */     // MIs[0] policy
     /* 1528068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528078 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1528081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528102 */     // GIR_Coverage, 18401,
     /* 1528102 */     GIR_EraseRootFromParent_Done,
     /* 1528103 */   // Label 21254: @1528103
     /* 1528103 */   GIM_Try, /*On fail goto*//*Label 21255*/ GIMT_Encode4(1528185), // Rule ID 18404 //
     /* 1528108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1528119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1528122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1528125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1528128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528147 */     // MIs[0] round
     /* 1528147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528150 */     // MIs[0] policy
     /* 1528150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528160 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1528163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528184 */     // GIR_Coverage, 18404,
     /* 1528184 */     GIR_EraseRootFromParent_Done,
     /* 1528185 */   // Label 21255: @1528185
     /* 1528185 */   GIM_Try, /*On fail goto*//*Label 21256*/ GIMT_Encode4(1528267), // Rule ID 18405 //
     /* 1528190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1528201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1528204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1528207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1528210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528229 */     // MIs[0] round
     /* 1528229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528232 */     // MIs[0] policy
     /* 1528232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528242 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1528245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528266 */     // GIR_Coverage, 18405,
     /* 1528266 */     GIR_EraseRootFromParent_Done,
     /* 1528267 */   // Label 21256: @1528267
     /* 1528267 */   GIM_Try, /*On fail goto*//*Label 21257*/ GIMT_Encode4(1528349), // Rule ID 18408 //
     /* 1528272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1528283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1528286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1528289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1528292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528311 */     // MIs[0] round
     /* 1528311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528314 */     // MIs[0] policy
     /* 1528314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528324 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1528327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528348 */     // GIR_Coverage, 18408,
     /* 1528348 */     GIR_EraseRootFromParent_Done,
     /* 1528349 */   // Label 21257: @1528349
     /* 1528349 */   GIM_Try, /*On fail goto*//*Label 21258*/ GIMT_Encode4(1528431), // Rule ID 18409 //
     /* 1528354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1528365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1528368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1528371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1528374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528393 */     // MIs[0] round
     /* 1528393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528396 */     // MIs[0] policy
     /* 1528396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528406 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1528409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528430 */     // GIR_Coverage, 18409,
     /* 1528430 */     GIR_EraseRootFromParent_Done,
     /* 1528431 */   // Label 21258: @1528431
     /* 1528431 */   GIM_Try, /*On fail goto*//*Label 21259*/ GIMT_Encode4(1528513), // Rule ID 18412 //
     /* 1528436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1528447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1528450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1528453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1528456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528475 */     // MIs[0] round
     /* 1528475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528478 */     // MIs[0] policy
     /* 1528478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528488 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1528491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528512 */     // GIR_Coverage, 18412,
     /* 1528512 */     GIR_EraseRootFromParent_Done,
     /* 1528513 */   // Label 21259: @1528513
     /* 1528513 */   GIM_Try, /*On fail goto*//*Label 21260*/ GIMT_Encode4(1528595), // Rule ID 18413 //
     /* 1528518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1528529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1528532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1528535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1528538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528557 */     // MIs[0] round
     /* 1528557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528560 */     // MIs[0] policy
     /* 1528560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528570 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1528573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528594 */     // GIR_Coverage, 18413,
     /* 1528594 */     GIR_EraseRootFromParent_Done,
     /* 1528595 */   // Label 21260: @1528595
     /* 1528595 */   GIM_Try, /*On fail goto*//*Label 21261*/ GIMT_Encode4(1528677), // Rule ID 18416 //
     /* 1528600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1528611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1528614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1528620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528639 */     // MIs[0] round
     /* 1528639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528642 */     // MIs[0] policy
     /* 1528642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528652 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1528655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528676 */     // GIR_Coverage, 18416,
     /* 1528676 */     GIR_EraseRootFromParent_Done,
     /* 1528677 */   // Label 21261: @1528677
     /* 1528677 */   GIM_Try, /*On fail goto*//*Label 21262*/ GIMT_Encode4(1528759), // Rule ID 18417 //
     /* 1528682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1528693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1528696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1528702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528721 */     // MIs[0] round
     /* 1528721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528724 */     // MIs[0] policy
     /* 1528724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528734 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1528737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528758 */     // GIR_Coverage, 18417,
     /* 1528758 */     GIR_EraseRootFromParent_Done,
     /* 1528759 */   // Label 21262: @1528759
     /* 1528759 */   GIM_Try, /*On fail goto*//*Label 21263*/ GIMT_Encode4(1528841), // Rule ID 18420 //
     /* 1528764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1528775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1528778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1528784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528803 */     // MIs[0] round
     /* 1528803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528806 */     // MIs[0] policy
     /* 1528806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528816 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1528819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528840 */     // GIR_Coverage, 18420,
     /* 1528840 */     GIR_EraseRootFromParent_Done,
     /* 1528841 */   // Label 21263: @1528841
     /* 1528841 */   GIM_Try, /*On fail goto*//*Label 21264*/ GIMT_Encode4(1528923), // Rule ID 18421 //
     /* 1528846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1528857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1528860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1528866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528885 */     // MIs[0] round
     /* 1528885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528888 */     // MIs[0] policy
     /* 1528888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528898 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1528901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528922 */     // GIR_Coverage, 18421,
     /* 1528922 */     GIR_EraseRootFromParent_Done,
     /* 1528923 */   // Label 21264: @1528923
     /* 1528923 */   GIM_Try, /*On fail goto*//*Label 21265*/ GIMT_Encode4(1529005), // Rule ID 18424 //
     /* 1528928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1528939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1528942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1528948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528967 */     // MIs[0] round
     /* 1528967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528970 */     // MIs[0] policy
     /* 1528970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528980 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1528983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529004 */     // GIR_Coverage, 18424,
     /* 1529004 */     GIR_EraseRootFromParent_Done,
     /* 1529005 */   // Label 21265: @1529005
     /* 1529005 */   GIM_Try, /*On fail goto*//*Label 21266*/ GIMT_Encode4(1529087), // Rule ID 18425 //
     /* 1529010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1529021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1529024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1529030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529049 */     // MIs[0] round
     /* 1529049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529052 */     // MIs[0] policy
     /* 1529052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529062 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1529065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529086 */     // GIR_Coverage, 18425,
     /* 1529086 */     GIR_EraseRootFromParent_Done,
     /* 1529087 */   // Label 21266: @1529087
     /* 1529087 */   GIM_Try, /*On fail goto*//*Label 21267*/ GIMT_Encode4(1529169), // Rule ID 18428 //
     /* 1529092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1529103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1529106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529131 */     // MIs[0] round
     /* 1529131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529134 */     // MIs[0] policy
     /* 1529134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529144 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1529147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529168 */     // GIR_Coverage, 18428,
     /* 1529168 */     GIR_EraseRootFromParent_Done,
     /* 1529169 */   // Label 21267: @1529169
     /* 1529169 */   GIM_Try, /*On fail goto*//*Label 21268*/ GIMT_Encode4(1529251), // Rule ID 18429 //
     /* 1529174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1529185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1529188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529213 */     // MIs[0] round
     /* 1529213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529216 */     // MIs[0] policy
     /* 1529216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529226 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1529229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529250 */     // GIR_Coverage, 18429,
     /* 1529250 */     GIR_EraseRootFromParent_Done,
     /* 1529251 */   // Label 21268: @1529251
     /* 1529251 */   GIM_Try, /*On fail goto*//*Label 21269*/ GIMT_Encode4(1529333), // Rule ID 18432 //
     /* 1529256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1529276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529295 */     // MIs[0] round
     /* 1529295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529298 */     // MIs[0] policy
     /* 1529298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529308 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1529311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529332 */     // GIR_Coverage, 18432,
     /* 1529332 */     GIR_EraseRootFromParent_Done,
     /* 1529333 */   // Label 21269: @1529333
     /* 1529333 */   GIM_Try, /*On fail goto*//*Label 21270*/ GIMT_Encode4(1529415), // Rule ID 18433 //
     /* 1529338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1529358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529377 */     // MIs[0] round
     /* 1529377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529380 */     // MIs[0] policy
     /* 1529380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529390 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1529393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529414 */     // GIR_Coverage, 18433,
     /* 1529414 */     GIR_EraseRootFromParent_Done,
     /* 1529415 */   // Label 21270: @1529415
     /* 1529415 */   GIM_Try, /*On fail goto*//*Label 21271*/ GIMT_Encode4(1529497), // Rule ID 18436 //
     /* 1529420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1529423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1529431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1529434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1529437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1529440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1529455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529459 */     // MIs[0] round
     /* 1529459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529462 */     // MIs[0] policy
     /* 1529462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529472 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1529475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529496 */     // GIR_Coverage, 18436,
     /* 1529496 */     GIR_EraseRootFromParent_Done,
     /* 1529497 */   // Label 21271: @1529497
     /* 1529497 */   GIM_Try, /*On fail goto*//*Label 21272*/ GIMT_Encode4(1529579), // Rule ID 18437 //
     /* 1529502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1529505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1529513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1529516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1529519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1529522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1529537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529541 */     // MIs[0] round
     /* 1529541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529544 */     // MIs[0] policy
     /* 1529544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529554 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1529557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529578 */     // GIR_Coverage, 18437,
     /* 1529578 */     GIR_EraseRootFromParent_Done,
     /* 1529579 */   // Label 21272: @1529579
     /* 1529579 */   GIM_Try, /*On fail goto*//*Label 21273*/ GIMT_Encode4(1529661), // Rule ID 18440 //
     /* 1529584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1529595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1529598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529623 */     // MIs[0] round
     /* 1529623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529626 */     // MIs[0] policy
     /* 1529626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529636 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1529639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529660 */     // GIR_Coverage, 18440,
     /* 1529660 */     GIR_EraseRootFromParent_Done,
     /* 1529661 */   // Label 21273: @1529661
     /* 1529661 */   GIM_Try, /*On fail goto*//*Label 21274*/ GIMT_Encode4(1529743), // Rule ID 18441 //
     /* 1529666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1529677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1529680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529705 */     // MIs[0] round
     /* 1529705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529708 */     // MIs[0] policy
     /* 1529708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529718 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1529721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529742 */     // GIR_Coverage, 18441,
     /* 1529742 */     GIR_EraseRootFromParent_Done,
     /* 1529743 */   // Label 21274: @1529743
     /* 1529743 */   GIM_Try, /*On fail goto*//*Label 21275*/ GIMT_Encode4(1529825), // Rule ID 18444 //
     /* 1529748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1529759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1529762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1529768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529787 */     // MIs[0] round
     /* 1529787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529790 */     // MIs[0] policy
     /* 1529790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529800 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1529803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529824 */     // GIR_Coverage, 18444,
     /* 1529824 */     GIR_EraseRootFromParent_Done,
     /* 1529825 */   // Label 21275: @1529825
     /* 1529825 */   GIM_Try, /*On fail goto*//*Label 21276*/ GIMT_Encode4(1529907), // Rule ID 18445 //
     /* 1529830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1529841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1529844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1529850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529869 */     // MIs[0] round
     /* 1529869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529872 */     // MIs[0] policy
     /* 1529872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529882 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1529885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529906 */     // GIR_Coverage, 18445,
     /* 1529906 */     GIR_EraseRootFromParent_Done,
     /* 1529907 */   // Label 21276: @1529907
     /* 1529907 */   GIM_Try, /*On fail goto*//*Label 21277*/ GIMT_Encode4(1529989), // Rule ID 18448 //
     /* 1529912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1529920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1529923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1529926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1529932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529951 */     // MIs[0] round
     /* 1529951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529954 */     // MIs[0] policy
     /* 1529954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529964 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1529967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529988 */     // GIR_Coverage, 18448,
     /* 1529988 */     GIR_EraseRootFromParent_Done,
     /* 1529989 */   // Label 21277: @1529989
     /* 1529989 */   GIM_Try, /*On fail goto*//*Label 21278*/ GIMT_Encode4(1530071), // Rule ID 18449 //
     /* 1529994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1530005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1530008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1530011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1530014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1530029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530033 */     // MIs[0] round
     /* 1530033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530036 */     // MIs[0] policy
     /* 1530036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530046 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1530049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530070 */     // GIR_Coverage, 18449,
     /* 1530070 */     GIR_EraseRootFromParent_Done,
     /* 1530071 */   // Label 21278: @1530071
     /* 1530071 */   GIM_Try, /*On fail goto*//*Label 21279*/ GIMT_Encode4(1530153), // Rule ID 18452 //
     /* 1530076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1530087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1530090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530115 */     // MIs[0] round
     /* 1530115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530118 */     // MIs[0] policy
     /* 1530118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530128 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1530131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530152 */     // GIR_Coverage, 18452,
     /* 1530152 */     GIR_EraseRootFromParent_Done,
     /* 1530153 */   // Label 21279: @1530153
     /* 1530153 */   GIM_Try, /*On fail goto*//*Label 21280*/ GIMT_Encode4(1530235), // Rule ID 18453 //
     /* 1530158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1530169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1530172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530197 */     // MIs[0] round
     /* 1530197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530200 */     // MIs[0] policy
     /* 1530200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530210 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1530213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530234 */     // GIR_Coverage, 18453,
     /* 1530234 */     GIR_EraseRootFromParent_Done,
     /* 1530235 */   // Label 21280: @1530235
     /* 1530235 */   GIM_Try, /*On fail goto*//*Label 21281*/ GIMT_Encode4(1530317), // Rule ID 18456 //
     /* 1530240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1530251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1530254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530279 */     // MIs[0] round
     /* 1530279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530282 */     // MIs[0] policy
     /* 1530282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530292 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1530295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530316 */     // GIR_Coverage, 18456,
     /* 1530316 */     GIR_EraseRootFromParent_Done,
     /* 1530317 */   // Label 21281: @1530317
     /* 1530317 */   GIM_Try, /*On fail goto*//*Label 21282*/ GIMT_Encode4(1530399), // Rule ID 18457 //
     /* 1530322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1530333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1530336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530361 */     // MIs[0] round
     /* 1530361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530364 */     // MIs[0] policy
     /* 1530364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530374 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1530377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530398 */     // GIR_Coverage, 18457,
     /* 1530398 */     GIR_EraseRootFromParent_Done,
     /* 1530399 */   // Label 21282: @1530399
     /* 1530399 */   GIM_Try, /*On fail goto*//*Label 21283*/ GIMT_Encode4(1530481), // Rule ID 18460 //
     /* 1530404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1530415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1530418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1530424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530443 */     // MIs[0] round
     /* 1530443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530446 */     // MIs[0] policy
     /* 1530446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530456 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1530459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530480 */     // GIR_Coverage, 18460,
     /* 1530480 */     GIR_EraseRootFromParent_Done,
     /* 1530481 */   // Label 21283: @1530481
     /* 1530481 */   GIM_Try, /*On fail goto*//*Label 21284*/ GIMT_Encode4(1530563), // Rule ID 18461 //
     /* 1530486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1530497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1530500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1530506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530525 */     // MIs[0] round
     /* 1530525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530528 */     // MIs[0] policy
     /* 1530528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530538 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1530541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530562 */     // GIR_Coverage, 18461,
     /* 1530562 */     GIR_EraseRootFromParent_Done,
     /* 1530563 */   // Label 21284: @1530563
     /* 1530563 */   GIM_Try, /*On fail goto*//*Label 21285*/ GIMT_Encode4(1530645), // Rule ID 18464 //
     /* 1530568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1530588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530607 */     // MIs[0] round
     /* 1530607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530610 */     // MIs[0] policy
     /* 1530610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530620 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1530623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530644 */     // GIR_Coverage, 18464,
     /* 1530644 */     GIR_EraseRootFromParent_Done,
     /* 1530645 */   // Label 21285: @1530645
     /* 1530645 */   GIM_Try, /*On fail goto*//*Label 21286*/ GIMT_Encode4(1530727), // Rule ID 18465 //
     /* 1530650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1530670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530689 */     // MIs[0] round
     /* 1530689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530692 */     // MIs[0] policy
     /* 1530692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530702 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1530705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530726 */     // GIR_Coverage, 18465,
     /* 1530726 */     GIR_EraseRootFromParent_Done,
     /* 1530727 */   // Label 21286: @1530727
     /* 1530727 */   GIM_Try, /*On fail goto*//*Label 21287*/ GIMT_Encode4(1530809), // Rule ID 18468 //
     /* 1530732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1530743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1530746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1530752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530771 */     // MIs[0] round
     /* 1530771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530774 */     // MIs[0] policy
     /* 1530774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530784 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1530787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530808 */     // GIR_Coverage, 18468,
     /* 1530808 */     GIR_EraseRootFromParent_Done,
     /* 1530809 */   // Label 21287: @1530809
     /* 1530809 */   GIM_Try, /*On fail goto*//*Label 21288*/ GIMT_Encode4(1530891), // Rule ID 18469 //
     /* 1530814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1530825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1530828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1530834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530853 */     // MIs[0] round
     /* 1530853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530856 */     // MIs[0] policy
     /* 1530856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530866 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1530869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530890 */     // GIR_Coverage, 18469,
     /* 1530890 */     GIR_EraseRootFromParent_Done,
     /* 1530891 */   // Label 21288: @1530891
     /* 1530891 */   GIM_Try, /*On fail goto*//*Label 21289*/ GIMT_Encode4(1530973), // Rule ID 18472 //
     /* 1530896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1530916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530935 */     // MIs[0] round
     /* 1530935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530938 */     // MIs[0] policy
     /* 1530938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530948 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1530951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530972 */     // GIR_Coverage, 18472,
     /* 1530972 */     GIR_EraseRootFromParent_Done,
     /* 1530973 */   // Label 21289: @1530973
     /* 1530973 */   GIM_Try, /*On fail goto*//*Label 21290*/ GIMT_Encode4(1531055), // Rule ID 18473 //
     /* 1530978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1530998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1531013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531017 */     // MIs[0] round
     /* 1531017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531020 */     // MIs[0] policy
     /* 1531020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531030 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1531033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531054 */     // GIR_Coverage, 18473,
     /* 1531054 */     GIR_EraseRootFromParent_Done,
     /* 1531055 */   // Label 21290: @1531055
     /* 1531055 */   GIM_Try, /*On fail goto*//*Label 21291*/ GIMT_Encode4(1531137), // Rule ID 18476 //
     /* 1531060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1531071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1531074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1531077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1531080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531099 */     // MIs[0] round
     /* 1531099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531102 */     // MIs[0] policy
     /* 1531102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531112 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1531115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531136 */     // GIR_Coverage, 18476,
     /* 1531136 */     GIR_EraseRootFromParent_Done,
     /* 1531137 */   // Label 21291: @1531137
     /* 1531137 */   GIM_Try, /*On fail goto*//*Label 21292*/ GIMT_Encode4(1531219), // Rule ID 18477 //
     /* 1531142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1531153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1531156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1531159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1531162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531181 */     // MIs[0] round
     /* 1531181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531184 */     // MIs[0] policy
     /* 1531184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531194 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1531197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531218 */     // GIR_Coverage, 18477,
     /* 1531218 */     GIR_EraseRootFromParent_Done,
     /* 1531219 */   // Label 21292: @1531219
     /* 1531219 */   GIM_Try, /*On fail goto*//*Label 21293*/ GIMT_Encode4(1531301), // Rule ID 18480 //
     /* 1531224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1531235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1531238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1531241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1531244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531263 */     // MIs[0] round
     /* 1531263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531266 */     // MIs[0] policy
     /* 1531266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531276 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1531279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531300 */     // GIR_Coverage, 18480,
     /* 1531300 */     GIR_EraseRootFromParent_Done,
     /* 1531301 */   // Label 21293: @1531301
     /* 1531301 */   GIM_Try, /*On fail goto*//*Label 21294*/ GIMT_Encode4(1531383), // Rule ID 18481 //
     /* 1531306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1531317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1531320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1531323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1531326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531345 */     // MIs[0] round
     /* 1531345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531348 */     // MIs[0] policy
     /* 1531348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531358 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1531361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531382 */     // GIR_Coverage, 18481,
     /* 1531382 */     GIR_EraseRootFromParent_Done,
     /* 1531383 */   // Label 21294: @1531383
     /* 1531383 */   GIM_Try, /*On fail goto*//*Label 21295*/ GIMT_Encode4(1531465), // Rule ID 18484 //
     /* 1531388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1531399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1531402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1531405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1531408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531427 */     // MIs[0] round
     /* 1531427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531430 */     // MIs[0] policy
     /* 1531430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531440 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1531443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531464 */     // GIR_Coverage, 18484,
     /* 1531464 */     GIR_EraseRootFromParent_Done,
     /* 1531465 */   // Label 21295: @1531465
     /* 1531465 */   GIM_Try, /*On fail goto*//*Label 21296*/ GIMT_Encode4(1531547), // Rule ID 18485 //
     /* 1531470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1531481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1531484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1531487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1531490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531509 */     // MIs[0] round
     /* 1531509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531512 */     // MIs[0] policy
     /* 1531512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531522 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1531525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531546 */     // GIR_Coverage, 18485,
     /* 1531546 */     GIR_EraseRootFromParent_Done,
     /* 1531547 */   // Label 21296: @1531547
     /* 1531547 */   GIM_Try, /*On fail goto*//*Label 21297*/ GIMT_Encode4(1531629), // Rule ID 18488 //
     /* 1531552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1531563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1531566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1531569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1531572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531591 */     // MIs[0] round
     /* 1531591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531594 */     // MIs[0] policy
     /* 1531594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531604 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1531607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531628 */     // GIR_Coverage, 18488,
     /* 1531628 */     GIR_EraseRootFromParent_Done,
     /* 1531629 */   // Label 21297: @1531629
     /* 1531629 */   GIM_Try, /*On fail goto*//*Label 21298*/ GIMT_Encode4(1531711), // Rule ID 18489 //
     /* 1531634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1531645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1531648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1531651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1531654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531673 */     // MIs[0] round
     /* 1531673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531676 */     // MIs[0] policy
     /* 1531676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531686 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1531689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531710 */     // GIR_Coverage, 18489,
     /* 1531710 */     GIR_EraseRootFromParent_Done,
     /* 1531711 */   // Label 21298: @1531711
     /* 1531711 */   GIM_Try, /*On fail goto*//*Label 21299*/ GIMT_Encode4(1531793), // Rule ID 18492 //
     /* 1531716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1531733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1531736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531755 */     // MIs[0] round
     /* 1531755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531758 */     // MIs[0] policy
     /* 1531758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531768 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1531771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531792 */     // GIR_Coverage, 18492,
     /* 1531792 */     GIR_EraseRootFromParent_Done,
     /* 1531793 */   // Label 21299: @1531793
     /* 1531793 */   GIM_Try, /*On fail goto*//*Label 21300*/ GIMT_Encode4(1531875), // Rule ID 18493 //
     /* 1531798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1531815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1531818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531837 */     // MIs[0] round
     /* 1531837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531840 */     // MIs[0] policy
     /* 1531840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531850 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1531853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531874 */     // GIR_Coverage, 18493,
     /* 1531874 */     GIR_EraseRootFromParent_Done,
     /* 1531875 */   // Label 21300: @1531875
     /* 1531875 */   GIM_Try, /*On fail goto*//*Label 21301*/ GIMT_Encode4(1531957), // Rule ID 18496 //
     /* 1531880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1531883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1531891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1531894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1531897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1531900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531919 */     // MIs[0] round
     /* 1531919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531922 */     // MIs[0] policy
     /* 1531922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531932 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1531935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531956 */     // GIR_Coverage, 18496,
     /* 1531956 */     GIR_EraseRootFromParent_Done,
     /* 1531957 */   // Label 21301: @1531957
     /* 1531957 */   GIM_Try, /*On fail goto*//*Label 21302*/ GIMT_Encode4(1532039), // Rule ID 18497 //
     /* 1531962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1531973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1531976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1531979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1531982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532001 */     // MIs[0] round
     /* 1532001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532004 */     // MIs[0] policy
     /* 1532004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532014 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1532017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532038 */     // GIR_Coverage, 18497,
     /* 1532038 */     GIR_EraseRootFromParent_Done,
     /* 1532039 */   // Label 21302: @1532039
     /* 1532039 */   GIM_Try, /*On fail goto*//*Label 21303*/ GIMT_Encode4(1532121), // Rule ID 18500 //
     /* 1532044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1532055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1532058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1532061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1532064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532083 */     // MIs[0] round
     /* 1532083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532086 */     // MIs[0] policy
     /* 1532086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532096 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1532099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532120 */     // GIR_Coverage, 18500,
     /* 1532120 */     GIR_EraseRootFromParent_Done,
     /* 1532121 */   // Label 21303: @1532121
     /* 1532121 */   GIM_Try, /*On fail goto*//*Label 21304*/ GIMT_Encode4(1532203), // Rule ID 18501 //
     /* 1532126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1532137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1532140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1532143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1532146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532165 */     // MIs[0] round
     /* 1532165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532168 */     // MIs[0] policy
     /* 1532168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532178 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1532181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532202 */     // GIR_Coverage, 18501,
     /* 1532202 */     GIR_EraseRootFromParent_Done,
     /* 1532203 */   // Label 21304: @1532203
     /* 1532203 */   GIM_Try, /*On fail goto*//*Label 21305*/ GIMT_Encode4(1532285), // Rule ID 18504 //
     /* 1532208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1532219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1532222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1532225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1532228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532247 */     // MIs[0] round
     /* 1532247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532250 */     // MIs[0] policy
     /* 1532250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532260 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1532263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532284 */     // GIR_Coverage, 18504,
     /* 1532284 */     GIR_EraseRootFromParent_Done,
     /* 1532285 */   // Label 21305: @1532285
     /* 1532285 */   GIM_Try, /*On fail goto*//*Label 21306*/ GIMT_Encode4(1532367), // Rule ID 18505 //
     /* 1532290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1532301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1532304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1532307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1532310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532329 */     // MIs[0] round
     /* 1532329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532332 */     // MIs[0] policy
     /* 1532332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532342 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1532345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532366 */     // GIR_Coverage, 18505,
     /* 1532366 */     GIR_EraseRootFromParent_Done,
     /* 1532367 */   // Label 21306: @1532367
     /* 1532367 */   GIM_Try, /*On fail goto*//*Label 21307*/ GIMT_Encode4(1532449), // Rule ID 18508 //
     /* 1532372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1532383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1532386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1532389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1532392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532411 */     // MIs[0] round
     /* 1532411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532414 */     // MIs[0] policy
     /* 1532414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532424 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1532427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532448 */     // GIR_Coverage, 18508,
     /* 1532448 */     GIR_EraseRootFromParent_Done,
     /* 1532449 */   // Label 21307: @1532449
     /* 1532449 */   GIM_Try, /*On fail goto*//*Label 21308*/ GIMT_Encode4(1532531), // Rule ID 18509 //
     /* 1532454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1532465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1532468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1532471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1532474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532493 */     // MIs[0] round
     /* 1532493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532496 */     // MIs[0] policy
     /* 1532496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532506 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1532509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532530 */     // GIR_Coverage, 18509,
     /* 1532530 */     GIR_EraseRootFromParent_Done,
     /* 1532531 */   // Label 21308: @1532531
     /* 1532531 */   GIM_Try, /*On fail goto*//*Label 21309*/ GIMT_Encode4(1532613), // Rule ID 18512 //
     /* 1532536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1532553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1532556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532575 */     // MIs[0] round
     /* 1532575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532578 */     // MIs[0] policy
     /* 1532578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532588 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1532591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532612 */     // GIR_Coverage, 18512,
     /* 1532612 */     GIR_EraseRootFromParent_Done,
     /* 1532613 */   // Label 21309: @1532613
     /* 1532613 */   GIM_Try, /*On fail goto*//*Label 21310*/ GIMT_Encode4(1532695), // Rule ID 18513 //
     /* 1532618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1532635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1532638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532657 */     // MIs[0] round
     /* 1532657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532660 */     // MIs[0] policy
     /* 1532660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532670 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1532673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532694 */     // GIR_Coverage, 18513,
     /* 1532694 */     GIR_EraseRootFromParent_Done,
     /* 1532695 */   // Label 21310: @1532695
     /* 1532695 */   GIM_Try, /*On fail goto*//*Label 21311*/ GIMT_Encode4(1532777), // Rule ID 18516 //
     /* 1532700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1532717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1532720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532739 */     // MIs[0] round
     /* 1532739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532742 */     // MIs[0] policy
     /* 1532742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532752 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1532755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532776 */     // GIR_Coverage, 18516,
     /* 1532776 */     GIR_EraseRootFromParent_Done,
     /* 1532777 */   // Label 21311: @1532777
     /* 1532777 */   GIM_Try, /*On fail goto*//*Label 21312*/ GIMT_Encode4(1532859), // Rule ID 18517 //
     /* 1532782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1532799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1532802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532821 */     // MIs[0] round
     /* 1532821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532824 */     // MIs[0] policy
     /* 1532824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532834 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1532837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532858 */     // GIR_Coverage, 18517,
     /* 1532858 */     GIR_EraseRootFromParent_Done,
     /* 1532859 */   // Label 21312: @1532859
     /* 1532859 */   GIM_Try, /*On fail goto*//*Label 21313*/ GIMT_Encode4(1532941), // Rule ID 18520 //
     /* 1532864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1532881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1532884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532903 */     // MIs[0] round
     /* 1532903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532906 */     // MIs[0] policy
     /* 1532906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532916 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1532919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532940 */     // GIR_Coverage, 18520,
     /* 1532940 */     GIR_EraseRootFromParent_Done,
     /* 1532941 */   // Label 21313: @1532941
     /* 1532941 */   GIM_Try, /*On fail goto*//*Label 21314*/ GIMT_Encode4(1533023), // Rule ID 18521 //
     /* 1532946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1532963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1532966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532985 */     // MIs[0] round
     /* 1532985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532988 */     // MIs[0] policy
     /* 1532988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532998 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1533001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533022 */     // GIR_Coverage, 18521,
     /* 1533022 */     GIR_EraseRootFromParent_Done,
     /* 1533023 */   // Label 21314: @1533023
     /* 1533023 */   GIM_Try, /*On fail goto*//*Label 21315*/ GIMT_Encode4(1533105), // Rule ID 18524 //
     /* 1533028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1533045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1533048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533067 */     // MIs[0] round
     /* 1533067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533070 */     // MIs[0] policy
     /* 1533070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533080 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1533083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533104 */     // GIR_Coverage, 18524,
     /* 1533104 */     GIR_EraseRootFromParent_Done,
     /* 1533105 */   // Label 21315: @1533105
     /* 1533105 */   GIM_Try, /*On fail goto*//*Label 21316*/ GIMT_Encode4(1533187), // Rule ID 18525 //
     /* 1533110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1533127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1533130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533149 */     // MIs[0] round
     /* 1533149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533152 */     // MIs[0] policy
     /* 1533152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533162 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1533165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533186 */     // GIR_Coverage, 18525,
     /* 1533186 */     GIR_EraseRootFromParent_Done,
     /* 1533187 */   // Label 21316: @1533187
     /* 1533187 */   GIM_Try, /*On fail goto*//*Label 21317*/ GIMT_Encode4(1533269), // Rule ID 18528 //
     /* 1533192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1533209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1533212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533231 */     // MIs[0] round
     /* 1533231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533234 */     // MIs[0] policy
     /* 1533234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533244 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1533247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533268 */     // GIR_Coverage, 18528,
     /* 1533268 */     GIR_EraseRootFromParent_Done,
     /* 1533269 */   // Label 21317: @1533269
     /* 1533269 */   GIM_Try, /*On fail goto*//*Label 21318*/ GIMT_Encode4(1533351), // Rule ID 18529 //
     /* 1533274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1533291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1533294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533313 */     // MIs[0] round
     /* 1533313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533316 */     // MIs[0] policy
     /* 1533316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533326 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1533329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533350 */     // GIR_Coverage, 18529,
     /* 1533350 */     GIR_EraseRootFromParent_Done,
     /* 1533351 */   // Label 21318: @1533351
     /* 1533351 */   GIM_Try, /*On fail goto*//*Label 21319*/ GIMT_Encode4(1533433), // Rule ID 18532 //
     /* 1533356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1533373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1533376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533395 */     // MIs[0] round
     /* 1533395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533398 */     // MIs[0] policy
     /* 1533398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533408 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1533411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533432 */     // GIR_Coverage, 18532,
     /* 1533432 */     GIR_EraseRootFromParent_Done,
     /* 1533433 */   // Label 21319: @1533433
     /* 1533433 */   GIM_Try, /*On fail goto*//*Label 21320*/ GIMT_Encode4(1533515), // Rule ID 18533 //
     /* 1533438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1533455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1533458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533477 */     // MIs[0] round
     /* 1533477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533480 */     // MIs[0] policy
     /* 1533480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533490 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1533493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533514 */     // GIR_Coverage, 18533,
     /* 1533514 */     GIR_EraseRootFromParent_Done,
     /* 1533515 */   // Label 21320: @1533515
     /* 1533515 */   GIM_Try, /*On fail goto*//*Label 21321*/ GIMT_Encode4(1533597), // Rule ID 18536 //
     /* 1533520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1533523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1533531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1533534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1533540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533559 */     // MIs[0] round
     /* 1533559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533562 */     // MIs[0] policy
     /* 1533562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533572 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1533575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533596 */     // GIR_Coverage, 18536,
     /* 1533596 */     GIR_EraseRootFromParent_Done,
     /* 1533597 */   // Label 21321: @1533597
     /* 1533597 */   GIM_Try, /*On fail goto*//*Label 21322*/ GIMT_Encode4(1533679), // Rule ID 18537 //
     /* 1533602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1533605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1533613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1533616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1533622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533641 */     // MIs[0] round
     /* 1533641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533644 */     // MIs[0] policy
     /* 1533644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533654 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1533657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533678 */     // GIR_Coverage, 18537,
     /* 1533678 */     GIR_EraseRootFromParent_Done,
     /* 1533679 */   // Label 21322: @1533679
     /* 1533679 */   GIM_Try, /*On fail goto*//*Label 21323*/ GIMT_Encode4(1533761), // Rule ID 18540 //
     /* 1533684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1533687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1533695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1533698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1533704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533723 */     // MIs[0] round
     /* 1533723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533726 */     // MIs[0] policy
     /* 1533726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533736 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1533739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533760 */     // GIR_Coverage, 18540,
     /* 1533760 */     GIR_EraseRootFromParent_Done,
     /* 1533761 */   // Label 21323: @1533761
     /* 1533761 */   GIM_Try, /*On fail goto*//*Label 21324*/ GIMT_Encode4(1533843), // Rule ID 18541 //
     /* 1533766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1533769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1533777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1533780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1533786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533805 */     // MIs[0] round
     /* 1533805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533808 */     // MIs[0] policy
     /* 1533808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533818 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1533821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533842 */     // GIR_Coverage, 18541,
     /* 1533842 */     GIR_EraseRootFromParent_Done,
     /* 1533843 */   // Label 21324: @1533843
     /* 1533843 */   GIM_Try, /*On fail goto*//*Label 21325*/ GIMT_Encode4(1533925), // Rule ID 18544 //
     /* 1533848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1533868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533887 */     // MIs[0] round
     /* 1533887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533890 */     // MIs[0] policy
     /* 1533890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533900 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1533903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533924 */     // GIR_Coverage, 18544,
     /* 1533924 */     GIR_EraseRootFromParent_Done,
     /* 1533925 */   // Label 21325: @1533925
     /* 1533925 */   GIM_Try, /*On fail goto*//*Label 21326*/ GIMT_Encode4(1534007), // Rule ID 18545 //
     /* 1533930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1533950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533969 */     // MIs[0] round
     /* 1533969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533972 */     // MIs[0] policy
     /* 1533972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533982 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1533985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534006 */     // GIR_Coverage, 18545,
     /* 1534006 */     GIR_EraseRootFromParent_Done,
     /* 1534007 */   // Label 21326: @1534007
     /* 1534007 */   GIM_Try, /*On fail goto*//*Label 21327*/ GIMT_Encode4(1534089), // Rule ID 18548 //
     /* 1534012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1534015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1534023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1534026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534051 */     // MIs[0] round
     /* 1534051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534054 */     // MIs[0] policy
     /* 1534054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534064 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1534067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534088 */     // GIR_Coverage, 18548,
     /* 1534088 */     GIR_EraseRootFromParent_Done,
     /* 1534089 */   // Label 21327: @1534089
     /* 1534089 */   GIM_Try, /*On fail goto*//*Label 21328*/ GIMT_Encode4(1534171), // Rule ID 18549 //
     /* 1534094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1534097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1534105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1534108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534133 */     // MIs[0] round
     /* 1534133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534136 */     // MIs[0] policy
     /* 1534136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534146 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1534149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534170 */     // GIR_Coverage, 18549,
     /* 1534170 */     GIR_EraseRootFromParent_Done,
     /* 1534171 */   // Label 21328: @1534171
     /* 1534171 */   GIM_Try, /*On fail goto*//*Label 21329*/ GIMT_Encode4(1534253), // Rule ID 18552 //
     /* 1534176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1534179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1534187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1534190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1534196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534215 */     // MIs[0] round
     /* 1534215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534218 */     // MIs[0] policy
     /* 1534218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534228 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1534231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534252 */     // GIR_Coverage, 18552,
     /* 1534252 */     GIR_EraseRootFromParent_Done,
     /* 1534253 */   // Label 21329: @1534253
     /* 1534253 */   GIM_Try, /*On fail goto*//*Label 21330*/ GIMT_Encode4(1534335), // Rule ID 18553 //
     /* 1534258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1534261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1534269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1534272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1534278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534297 */     // MIs[0] round
     /* 1534297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534300 */     // MIs[0] policy
     /* 1534300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534310 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1534313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534334 */     // GIR_Coverage, 18553,
     /* 1534334 */     GIR_EraseRootFromParent_Done,
     /* 1534335 */   // Label 21330: @1534335
     /* 1534335 */   GIM_Try, /*On fail goto*//*Label 21331*/ GIMT_Encode4(1534417), // Rule ID 18556 //
     /* 1534340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1534343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1534357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1534360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1534375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534379 */     // MIs[0] round
     /* 1534379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534382 */     // MIs[0] policy
     /* 1534382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534392 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1534395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534416 */     // GIR_Coverage, 18556,
     /* 1534416 */     GIR_EraseRootFromParent_Done,
     /* 1534417 */   // Label 21331: @1534417
     /* 1534417 */   GIM_Try, /*On fail goto*//*Label 21332*/ GIMT_Encode4(1534499), // Rule ID 18557 //
     /* 1534422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1534425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1534439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1534442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1534457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534461 */     // MIs[0] round
     /* 1534461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534464 */     // MIs[0] policy
     /* 1534464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534474 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1534477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534498 */     // GIR_Coverage, 18557,
     /* 1534498 */     GIR_EraseRootFromParent_Done,
     /* 1534499 */   // Label 21332: @1534499
     /* 1534499 */   GIM_Try, /*On fail goto*//*Label 21333*/ GIMT_Encode4(1534581), // Rule ID 18560 //
     /* 1534504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1534507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1534515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1534518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534543 */     // MIs[0] round
     /* 1534543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534546 */     // MIs[0] policy
     /* 1534546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534556 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1534559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534580 */     // GIR_Coverage, 18560,
     /* 1534580 */     GIR_EraseRootFromParent_Done,
     /* 1534581 */   // Label 21333: @1534581
     /* 1534581 */   GIM_Try, /*On fail goto*//*Label 21334*/ GIMT_Encode4(1534663), // Rule ID 18561 //
     /* 1534586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1534589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1534597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1534600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534625 */     // MIs[0] round
     /* 1534625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534628 */     // MIs[0] policy
     /* 1534628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534638 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1534641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534662 */     // GIR_Coverage, 18561,
     /* 1534662 */     GIR_EraseRootFromParent_Done,
     /* 1534663 */   // Label 21334: @1534663
     /* 1534663 */   GIM_Try, /*On fail goto*//*Label 21335*/ GIMT_Encode4(1534745), // Rule ID 18564 //
     /* 1534668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1534671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1534679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1534682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534707 */     // MIs[0] round
     /* 1534707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534710 */     // MIs[0] policy
     /* 1534710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534720 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1534723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534744 */     // GIR_Coverage, 18564,
     /* 1534744 */     GIR_EraseRootFromParent_Done,
     /* 1534745 */   // Label 21335: @1534745
     /* 1534745 */   GIM_Try, /*On fail goto*//*Label 21336*/ GIMT_Encode4(1534827), // Rule ID 18565 //
     /* 1534750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1534753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1534761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1534764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534789 */     // MIs[0] round
     /* 1534789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534792 */     // MIs[0] policy
     /* 1534792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534802 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1534805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534826 */     // GIR_Coverage, 18565,
     /* 1534826 */     GIR_EraseRootFromParent_Done,
     /* 1534827 */   // Label 21336: @1534827
     /* 1534827 */   GIM_Try, /*On fail goto*//*Label 21337*/ GIMT_Encode4(1534909), // Rule ID 18568 //
     /* 1534832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1534835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1534843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1534846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1534852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534871 */     // MIs[0] round
     /* 1534871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534874 */     // MIs[0] policy
     /* 1534874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534884 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1534887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534908 */     // GIR_Coverage, 18568,
     /* 1534908 */     GIR_EraseRootFromParent_Done,
     /* 1534909 */   // Label 21337: @1534909
     /* 1534909 */   GIM_Try, /*On fail goto*//*Label 21338*/ GIMT_Encode4(1534991), // Rule ID 18569 //
     /* 1534914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1534917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1534922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1534925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1534928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1534934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534953 */     // MIs[0] round
     /* 1534953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534956 */     // MIs[0] policy
     /* 1534956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534966 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1534969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534990 */     // GIR_Coverage, 18569,
     /* 1534990 */     GIR_EraseRootFromParent_Done,
     /* 1534991 */   // Label 21338: @1534991
     /* 1534991 */   GIM_Try, /*On fail goto*//*Label 21339*/ GIMT_Encode4(1535073), // Rule ID 18572 //
     /* 1534996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1534999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1535007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1535010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1535013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1535016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1535031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535035 */     // MIs[0] round
     /* 1535035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535038 */     // MIs[0] policy
     /* 1535038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535048 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1535051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535072 */     // GIR_Coverage, 18572,
     /* 1535072 */     GIR_EraseRootFromParent_Done,
     /* 1535073 */   // Label 21339: @1535073
     /* 1535073 */   GIM_Try, /*On fail goto*//*Label 21340*/ GIMT_Encode4(1535155), // Rule ID 18573 //
     /* 1535078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1535081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1535089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1535092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1535095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1535098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1535113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535117 */     // MIs[0] round
     /* 1535117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535120 */     // MIs[0] policy
     /* 1535120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535130 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1535133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535154 */     // GIR_Coverage, 18573,
     /* 1535154 */     GIR_EraseRootFromParent_Done,
     /* 1535155 */   // Label 21340: @1535155
     /* 1535155 */   GIM_Try, /*On fail goto*//*Label 21341*/ GIMT_Encode4(1535237), // Rule ID 18576 //
     /* 1535160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1535163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1535171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1535174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1535177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1535195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535199 */     // MIs[0] round
     /* 1535199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535202 */     // MIs[0] policy
     /* 1535202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535212 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1535215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535236 */     // GIR_Coverage, 18576,
     /* 1535236 */     GIR_EraseRootFromParent_Done,
     /* 1535237 */   // Label 21341: @1535237
     /* 1535237 */   GIM_Try, /*On fail goto*//*Label 21342*/ GIMT_Encode4(1535319), // Rule ID 18577 //
     /* 1535242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1535245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1535253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1535256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1535259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1535277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535281 */     // MIs[0] round
     /* 1535281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535284 */     // MIs[0] policy
     /* 1535284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535294 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1535297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535318 */     // GIR_Coverage, 18577,
     /* 1535318 */     GIR_EraseRootFromParent_Done,
     /* 1535319 */   // Label 21342: @1535319
     /* 1535319 */   GIM_Try, /*On fail goto*//*Label 21343*/ GIMT_Encode4(1535401), // Rule ID 18580 //
     /* 1535324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1535327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1535335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1535338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1535341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1535344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1535359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535363 */     // MIs[0] round
     /* 1535363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535366 */     // MIs[0] policy
     /* 1535366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535376 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1535379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535400 */     // GIR_Coverage, 18580,
     /* 1535400 */     GIR_EraseRootFromParent_Done,
     /* 1535401 */   // Label 21343: @1535401
     /* 1535401 */   GIM_Try, /*On fail goto*//*Label 21344*/ GIMT_Encode4(1535483), // Rule ID 18581 //
     /* 1535406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1535409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1535417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1535420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1535423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1535426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1535441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535445 */     // MIs[0] round
     /* 1535445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535448 */     // MIs[0] policy
     /* 1535448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535458 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1535461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535482 */     // GIR_Coverage, 18581,
     /* 1535482 */     GIR_EraseRootFromParent_Done,
     /* 1535483 */   // Label 21344: @1535483
     /* 1535483 */   GIM_Try, /*On fail goto*//*Label 21345*/ GIMT_Encode4(1535565), // Rule ID 18584 //
     /* 1535488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1535491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1535508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535527 */     // MIs[0] round
     /* 1535527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535530 */     // MIs[0] policy
     /* 1535530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535540 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1535543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535564 */     // GIR_Coverage, 18584,
     /* 1535564 */     GIR_EraseRootFromParent_Done,
     /* 1535565 */   // Label 21345: @1535565
     /* 1535565 */   GIM_Try, /*On fail goto*//*Label 21346*/ GIMT_Encode4(1535647), // Rule ID 18585 //
     /* 1535570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1535573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1535590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535609 */     // MIs[0] round
     /* 1535609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535612 */     // MIs[0] policy
     /* 1535612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535622 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1535625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535646 */     // GIR_Coverage, 18585,
     /* 1535646 */     GIR_EraseRootFromParent_Done,
     /* 1535647 */   // Label 21346: @1535647
     /* 1535647 */   GIM_Try, /*On fail goto*//*Label 21347*/ GIMT_Encode4(1535729), // Rule ID 18588 //
     /* 1535652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1535655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1535672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535691 */     // MIs[0] round
     /* 1535691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535694 */     // MIs[0] policy
     /* 1535694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535704 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1535707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535728 */     // GIR_Coverage, 18588,
     /* 1535728 */     GIR_EraseRootFromParent_Done,
     /* 1535729 */   // Label 21347: @1535729
     /* 1535729 */   GIM_Try, /*On fail goto*//*Label 21348*/ GIMT_Encode4(1535811), // Rule ID 18589 //
     /* 1535734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1535737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1535754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535773 */     // MIs[0] round
     /* 1535773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535776 */     // MIs[0] policy
     /* 1535776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535786 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1535789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535810 */     // GIR_Coverage, 18589,
     /* 1535810 */     GIR_EraseRootFromParent_Done,
     /* 1535811 */   // Label 21348: @1535811
     /* 1535811 */   GIM_Try, /*On fail goto*//*Label 21349*/ GIMT_Encode4(1535893), // Rule ID 18592 //
     /* 1535816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1535819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1535836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535855 */     // MIs[0] round
     /* 1535855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535858 */     // MIs[0] policy
     /* 1535858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535868 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1535871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535892 */     // GIR_Coverage, 18592,
     /* 1535892 */     GIR_EraseRootFromParent_Done,
     /* 1535893 */   // Label 21349: @1535893
     /* 1535893 */   GIM_Try, /*On fail goto*//*Label 21350*/ GIMT_Encode4(1535975), // Rule ID 18593 //
     /* 1535898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1535901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1535918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535937 */     // MIs[0] round
     /* 1535937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535940 */     // MIs[0] policy
     /* 1535940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535950 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1535953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535974 */     // GIR_Coverage, 18593,
     /* 1535974 */     GIR_EraseRootFromParent_Done,
     /* 1535975 */   // Label 21350: @1535975
     /* 1535975 */   GIM_Try, /*On fail goto*//*Label 21351*/ GIMT_Encode4(1536057), // Rule ID 18596 //
     /* 1535980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1535983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1535991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1535994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1535997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1536000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536019 */     // MIs[0] round
     /* 1536019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536022 */     // MIs[0] policy
     /* 1536022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536032 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1536035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536056 */     // GIR_Coverage, 18596,
     /* 1536056 */     GIR_EraseRootFromParent_Done,
     /* 1536057 */   // Label 21351: @1536057
     /* 1536057 */   GIM_Try, /*On fail goto*//*Label 21352*/ GIMT_Encode4(1536139), // Rule ID 18597 //
     /* 1536062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1536065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1536073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1536076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1536079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1536082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536101 */     // MIs[0] round
     /* 1536101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536104 */     // MIs[0] policy
     /* 1536104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536114 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1536117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536138 */     // GIR_Coverage, 18597,
     /* 1536138 */     GIR_EraseRootFromParent_Done,
     /* 1536139 */   // Label 21352: @1536139
     /* 1536139 */   GIM_Try, /*On fail goto*//*Label 21353*/ GIMT_Encode4(1536221), // Rule ID 18600 //
     /* 1536144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1536147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1536155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1536158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1536161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1536164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536183 */     // MIs[0] round
     /* 1536183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536186 */     // MIs[0] policy
     /* 1536186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536196 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1536199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536220 */     // GIR_Coverage, 18600,
     /* 1536220 */     GIR_EraseRootFromParent_Done,
     /* 1536221 */   // Label 21353: @1536221
     /* 1536221 */   GIM_Try, /*On fail goto*//*Label 21354*/ GIMT_Encode4(1536303), // Rule ID 18601 //
     /* 1536226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1536229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1536237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1536240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1536243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1536246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536265 */     // MIs[0] round
     /* 1536265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536268 */     // MIs[0] policy
     /* 1536268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536278 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1536281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536302 */     // GIR_Coverage, 18601,
     /* 1536302 */     GIR_EraseRootFromParent_Done,
     /* 1536303 */   // Label 21354: @1536303
     /* 1536303 */   GIM_Try, /*On fail goto*//*Label 21355*/ GIMT_Encode4(1536385), // Rule ID 18604 //
     /* 1536308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1536311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1536325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536347 */     // MIs[0] round
     /* 1536347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536350 */     // MIs[0] policy
     /* 1536350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536360 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1536363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536384 */     // GIR_Coverage, 18604,
     /* 1536384 */     GIR_EraseRootFromParent_Done,
     /* 1536385 */   // Label 21355: @1536385
     /* 1536385 */   GIM_Try, /*On fail goto*//*Label 21356*/ GIMT_Encode4(1536467), // Rule ID 18605 //
     /* 1536390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1536393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1536407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536429 */     // MIs[0] round
     /* 1536429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536432 */     // MIs[0] policy
     /* 1536432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536442 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1536445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536466 */     // GIR_Coverage, 18605,
     /* 1536466 */     GIR_EraseRootFromParent_Done,
     /* 1536467 */   // Label 21356: @1536467
     /* 1536467 */   GIM_Try, /*On fail goto*//*Label 21357*/ GIMT_Encode4(1536549), // Rule ID 18608 //
     /* 1536472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1536475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1536483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1536486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1536489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1536492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536511 */     // MIs[0] round
     /* 1536511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536514 */     // MIs[0] policy
     /* 1536514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536524 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1536527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536548 */     // GIR_Coverage, 18608,
     /* 1536548 */     GIR_EraseRootFromParent_Done,
     /* 1536549 */   // Label 21357: @1536549
     /* 1536549 */   GIM_Try, /*On fail goto*//*Label 21358*/ GIMT_Encode4(1536631), // Rule ID 18609 //
     /* 1536554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1536557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1536565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1536568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1536571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1536574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536593 */     // MIs[0] round
     /* 1536593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536596 */     // MIs[0] policy
     /* 1536596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536606 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1536609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536630 */     // GIR_Coverage, 18609,
     /* 1536630 */     GIR_EraseRootFromParent_Done,
     /* 1536631 */   // Label 21358: @1536631
     /* 1536631 */   GIM_Try, /*On fail goto*//*Label 21359*/ GIMT_Encode4(1536713), // Rule ID 18612 //
     /* 1536636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1536639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1536653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536675 */     // MIs[0] round
     /* 1536675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536678 */     // MIs[0] policy
     /* 1536678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536688 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1536691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536712 */     // GIR_Coverage, 18612,
     /* 1536712 */     GIR_EraseRootFromParent_Done,
     /* 1536713 */   // Label 21359: @1536713
     /* 1536713 */   GIM_Try, /*On fail goto*//*Label 21360*/ GIMT_Encode4(1536795), // Rule ID 18613 //
     /* 1536718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1536721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1536735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536757 */     // MIs[0] round
     /* 1536757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536760 */     // MIs[0] policy
     /* 1536760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536770 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1536773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536794 */     // GIR_Coverage, 18613,
     /* 1536794 */     GIR_EraseRootFromParent_Done,
     /* 1536795 */   // Label 21360: @1536795
     /* 1536795 */   GIM_Try, /*On fail goto*//*Label 21361*/ GIMT_Encode4(1536877), // Rule ID 18616 //
     /* 1536800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1536803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1536817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1536820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536839 */     // MIs[0] round
     /* 1536839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536842 */     // MIs[0] policy
     /* 1536842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536852 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1536855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1536873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536876 */     // GIR_Coverage, 18616,
     /* 1536876 */     GIR_EraseRootFromParent_Done,
     /* 1536877 */   // Label 21361: @1536877
     /* 1536877 */   GIM_Try, /*On fail goto*//*Label 21362*/ GIMT_Encode4(1536959), // Rule ID 18617 //
     /* 1536882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1536885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1536899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1536902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536921 */     // MIs[0] round
     /* 1536921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536924 */     // MIs[0] policy
     /* 1536924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536934 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1536937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1536955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536958 */     // GIR_Coverage, 18617,
     /* 1536958 */     GIR_EraseRootFromParent_Done,
     /* 1536959 */   // Label 21362: @1536959
     /* 1536959 */   GIM_Try, /*On fail goto*//*Label 21363*/ GIMT_Encode4(1537041), // Rule ID 18620 //
     /* 1536964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1536967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1536975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1536978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1536981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1536984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537003 */     // MIs[0] round
     /* 1537003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537006 */     // MIs[0] policy
     /* 1537006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537016 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1537019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537040 */     // GIR_Coverage, 18620,
     /* 1537040 */     GIR_EraseRootFromParent_Done,
     /* 1537041 */   // Label 21363: @1537041
     /* 1537041 */   GIM_Try, /*On fail goto*//*Label 21364*/ GIMT_Encode4(1537123), // Rule ID 18621 //
     /* 1537046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1537049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1537057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1537060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1537063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1537066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537085 */     // MIs[0] round
     /* 1537085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537088 */     // MIs[0] policy
     /* 1537088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537098 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1537101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537122 */     // GIR_Coverage, 18621,
     /* 1537122 */     GIR_EraseRootFromParent_Done,
     /* 1537123 */   // Label 21364: @1537123
     /* 1537123 */   GIM_Try, /*On fail goto*//*Label 21365*/ GIMT_Encode4(1537205), // Rule ID 18624 //
     /* 1537128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1537131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1537139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1537142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537167 */     // MIs[0] round
     /* 1537167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537170 */     // MIs[0] policy
     /* 1537170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537180 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1537183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537204 */     // GIR_Coverage, 18624,
     /* 1537204 */     GIR_EraseRootFromParent_Done,
     /* 1537205 */   // Label 21365: @1537205
     /* 1537205 */   GIM_Try, /*On fail goto*//*Label 21366*/ GIMT_Encode4(1537287), // Rule ID 18625 //
     /* 1537210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1537213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1537221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1537224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537249 */     // MIs[0] round
     /* 1537249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537252 */     // MIs[0] policy
     /* 1537252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537262 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1537265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537286 */     // GIR_Coverage, 18625,
     /* 1537286 */     GIR_EraseRootFromParent_Done,
     /* 1537287 */   // Label 21366: @1537287
     /* 1537287 */   GIM_Try, /*On fail goto*//*Label 21367*/ GIMT_Encode4(1537369), // Rule ID 18628 //
     /* 1537292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1537295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1537303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1537306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1537309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1537312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537331 */     // MIs[0] round
     /* 1537331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537334 */     // MIs[0] policy
     /* 1537334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537344 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1537347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537368 */     // GIR_Coverage, 18628,
     /* 1537368 */     GIR_EraseRootFromParent_Done,
     /* 1537369 */   // Label 21367: @1537369
     /* 1537369 */   GIM_Try, /*On fail goto*//*Label 21368*/ GIMT_Encode4(1537451), // Rule ID 18629 //
     /* 1537374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1537377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1537385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1537388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1537391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1537394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537413 */     // MIs[0] round
     /* 1537413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537416 */     // MIs[0] policy
     /* 1537416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537426 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1537429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537450 */     // GIR_Coverage, 18629,
     /* 1537450 */     GIR_EraseRootFromParent_Done,
     /* 1537451 */   // Label 21368: @1537451
     /* 1537451 */   GIM_Try, /*On fail goto*//*Label 21369*/ GIMT_Encode4(1537533), // Rule ID 18632 //
     /* 1537456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1537459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1537476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537495 */     // MIs[0] round
     /* 1537495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537498 */     // MIs[0] policy
     /* 1537498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537508 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1537511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537532 */     // GIR_Coverage, 18632,
     /* 1537532 */     GIR_EraseRootFromParent_Done,
     /* 1537533 */   // Label 21369: @1537533
     /* 1537533 */   GIM_Try, /*On fail goto*//*Label 21370*/ GIMT_Encode4(1537615), // Rule ID 18633 //
     /* 1537538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1537541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1537558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537577 */     // MIs[0] round
     /* 1537577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537580 */     // MIs[0] policy
     /* 1537580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537590 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1537593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537614 */     // GIR_Coverage, 18633,
     /* 1537614 */     GIR_EraseRootFromParent_Done,
     /* 1537615 */   // Label 21370: @1537615
     /* 1537615 */   GIM_Try, /*On fail goto*//*Label 21371*/ GIMT_Encode4(1537697), // Rule ID 18636 //
     /* 1537620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1537623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1537637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1537640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537659 */     // MIs[0] round
     /* 1537659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537662 */     // MIs[0] policy
     /* 1537662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537672 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1537675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537696 */     // GIR_Coverage, 18636,
     /* 1537696 */     GIR_EraseRootFromParent_Done,
     /* 1537697 */   // Label 21371: @1537697
     /* 1537697 */   GIM_Try, /*On fail goto*//*Label 21372*/ GIMT_Encode4(1537779), // Rule ID 18637 //
     /* 1537702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1537705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1537719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1537722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537741 */     // MIs[0] round
     /* 1537741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537744 */     // MIs[0] policy
     /* 1537744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537754 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1537757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537778 */     // GIR_Coverage, 18637,
     /* 1537778 */     GIR_EraseRootFromParent_Done,
     /* 1537779 */   // Label 21372: @1537779
     /* 1537779 */   GIM_Try, /*On fail goto*//*Label 21373*/ GIMT_Encode4(1537861), // Rule ID 18640 //
     /* 1537784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1537787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1537801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1537804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537823 */     // MIs[0] round
     /* 1537823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537826 */     // MIs[0] policy
     /* 1537826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537836 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1537839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537860 */     // GIR_Coverage, 18640,
     /* 1537860 */     GIR_EraseRootFromParent_Done,
     /* 1537861 */   // Label 21373: @1537861
     /* 1537861 */   GIM_Try, /*On fail goto*//*Label 21374*/ GIMT_Encode4(1537943), // Rule ID 18641 //
     /* 1537866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1537869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1537883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1537886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537905 */     // MIs[0] round
     /* 1537905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537908 */     // MIs[0] policy
     /* 1537908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537918 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1537921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537942 */     // GIR_Coverage, 18641,
     /* 1537942 */     GIR_EraseRootFromParent_Done,
     /* 1537943 */   // Label 21374: @1537943
     /* 1537943 */   GIM_Try, /*On fail goto*//*Label 21375*/ GIMT_Encode4(1538025), // Rule ID 18644 //
     /* 1537948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1537951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1537965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1537968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537987 */     // MIs[0] round
     /* 1537987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537990 */     // MIs[0] policy
     /* 1537990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538000 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1538003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538024 */     // GIR_Coverage, 18644,
     /* 1538024 */     GIR_EraseRootFromParent_Done,
     /* 1538025 */   // Label 21375: @1538025
     /* 1538025 */   GIM_Try, /*On fail goto*//*Label 21376*/ GIMT_Encode4(1538107), // Rule ID 18645 //
     /* 1538030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1538033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1538041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1538044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1538047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1538050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538069 */     // MIs[0] round
     /* 1538069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538072 */     // MIs[0] policy
     /* 1538072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538082 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1538085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538106 */     // GIR_Coverage, 18645,
     /* 1538106 */     GIR_EraseRootFromParent_Done,
     /* 1538107 */   // Label 21376: @1538107
     /* 1538107 */   GIM_Try, /*On fail goto*//*Label 21377*/ GIMT_Encode4(1538189), // Rule ID 18648 //
     /* 1538112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1538115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1538123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1538126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1538129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1538132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538151 */     // MIs[0] round
     /* 1538151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538154 */     // MIs[0] policy
     /* 1538154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538164 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1538167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538188 */     // GIR_Coverage, 18648,
     /* 1538188 */     GIR_EraseRootFromParent_Done,
     /* 1538189 */   // Label 21377: @1538189
     /* 1538189 */   GIM_Try, /*On fail goto*//*Label 21378*/ GIMT_Encode4(1538271), // Rule ID 18649 //
     /* 1538194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1538197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1538205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1538208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1538211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1538214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538233 */     // MIs[0] round
     /* 1538233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538236 */     // MIs[0] policy
     /* 1538236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538246 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1538249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538270 */     // GIR_Coverage, 18649,
     /* 1538270 */     GIR_EraseRootFromParent_Done,
     /* 1538271 */   // Label 21378: @1538271
     /* 1538271 */   GIM_Try, /*On fail goto*//*Label 21379*/ GIMT_Encode4(1538353), // Rule ID 18652 //
     /* 1538276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1538279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1538293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1538296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538315 */     // MIs[0] round
     /* 1538315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538318 */     // MIs[0] policy
     /* 1538318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538328 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1538331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538352 */     // GIR_Coverage, 18652,
     /* 1538352 */     GIR_EraseRootFromParent_Done,
     /* 1538353 */   // Label 21379: @1538353
     /* 1538353 */   GIM_Try, /*On fail goto*//*Label 21380*/ GIMT_Encode4(1538435), // Rule ID 18653 //
     /* 1538358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1538361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1538375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1538378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538397 */     // MIs[0] round
     /* 1538397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538400 */     // MIs[0] policy
     /* 1538400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538410 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1538413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538434 */     // GIR_Coverage, 18653,
     /* 1538434 */     GIR_EraseRootFromParent_Done,
     /* 1538435 */   // Label 21380: @1538435
     /* 1538435 */   GIM_Try, /*On fail goto*//*Label 21381*/ GIMT_Encode4(1538517), // Rule ID 18656 //
     /* 1538440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1538443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1538451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1538454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538479 */     // MIs[0] round
     /* 1538479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538482 */     // MIs[0] policy
     /* 1538482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538492 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1538495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538516 */     // GIR_Coverage, 18656,
     /* 1538516 */     GIR_EraseRootFromParent_Done,
     /* 1538517 */   // Label 21381: @1538517
     /* 1538517 */   GIM_Try, /*On fail goto*//*Label 21382*/ GIMT_Encode4(1538599), // Rule ID 18657 //
     /* 1538522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1538525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1538533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1538536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538561 */     // MIs[0] round
     /* 1538561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538564 */     // MIs[0] policy
     /* 1538564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538574 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1538577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538598 */     // GIR_Coverage, 18657,
     /* 1538598 */     GIR_EraseRootFromParent_Done,
     /* 1538599 */   // Label 21382: @1538599
     /* 1538599 */   GIM_Try, /*On fail goto*//*Label 21383*/ GIMT_Encode4(1538681), // Rule ID 18660 //
     /* 1538604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1538607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1538615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1538618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538643 */     // MIs[0] round
     /* 1538643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538646 */     // MIs[0] policy
     /* 1538646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538656 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1538659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538680 */     // GIR_Coverage, 18660,
     /* 1538680 */     GIR_EraseRootFromParent_Done,
     /* 1538681 */   // Label 21383: @1538681
     /* 1538681 */   GIM_Try, /*On fail goto*//*Label 21384*/ GIMT_Encode4(1538763), // Rule ID 18661 //
     /* 1538686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1538689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1538697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1538700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538725 */     // MIs[0] round
     /* 1538725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538728 */     // MIs[0] policy
     /* 1538728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538738 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1538741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538762 */     // GIR_Coverage, 18661,
     /* 1538762 */     GIR_EraseRootFromParent_Done,
     /* 1538763 */   // Label 21384: @1538763
     /* 1538763 */   GIM_Try, /*On fail goto*//*Label 21385*/ GIMT_Encode4(1538845), // Rule ID 18664 //
     /* 1538768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1538771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1538788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538807 */     // MIs[0] round
     /* 1538807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538810 */     // MIs[0] policy
     /* 1538810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538820 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1538823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538844 */     // GIR_Coverage, 18664,
     /* 1538844 */     GIR_EraseRootFromParent_Done,
     /* 1538845 */   // Label 21385: @1538845
     /* 1538845 */   GIM_Try, /*On fail goto*//*Label 21386*/ GIMT_Encode4(1538927), // Rule ID 18665 //
     /* 1538850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1538853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1538870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538889 */     // MIs[0] round
     /* 1538889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538892 */     // MIs[0] policy
     /* 1538892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538902 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1538905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538926 */     // GIR_Coverage, 18665,
     /* 1538926 */     GIR_EraseRootFromParent_Done,
     /* 1538927 */   // Label 21386: @1538927
     /* 1538927 */   GIM_Try, /*On fail goto*//*Label 21387*/ GIMT_Encode4(1539009), // Rule ID 18668 //
     /* 1538932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1538935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1538943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1538946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538971 */     // MIs[0] round
     /* 1538971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538974 */     // MIs[0] policy
     /* 1538974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538984 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1538987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539008 */     // GIR_Coverage, 18668,
     /* 1539008 */     GIR_EraseRootFromParent_Done,
     /* 1539009 */   // Label 21387: @1539009
     /* 1539009 */   GIM_Try, /*On fail goto*//*Label 21388*/ GIMT_Encode4(1539091), // Rule ID 18669 //
     /* 1539014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1539017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1539025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1539028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1539034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539053 */     // MIs[0] round
     /* 1539053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539056 */     // MIs[0] policy
     /* 1539056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539066 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1539069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539090 */     // GIR_Coverage, 18669,
     /* 1539090 */     GIR_EraseRootFromParent_Done,
     /* 1539091 */   // Label 21388: @1539091
     /* 1539091 */   GIM_Try, /*On fail goto*//*Label 21389*/ GIMT_Encode4(1539173), // Rule ID 18672 //
     /* 1539096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1539099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1539107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1539110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539135 */     // MIs[0] round
     /* 1539135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539138 */     // MIs[0] policy
     /* 1539138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539148 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1539151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539172 */     // GIR_Coverage, 18672,
     /* 1539172 */     GIR_EraseRootFromParent_Done,
     /* 1539173 */   // Label 21389: @1539173
     /* 1539173 */   GIM_Try, /*On fail goto*//*Label 21390*/ GIMT_Encode4(1539255), // Rule ID 18673 //
     /* 1539178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1539181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1539189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1539192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539217 */     // MIs[0] round
     /* 1539217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539220 */     // MIs[0] policy
     /* 1539220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539230 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1539233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539254 */     // GIR_Coverage, 18673,
     /* 1539254 */     GIR_EraseRootFromParent_Done,
     /* 1539255 */   // Label 21390: @1539255
     /* 1539255 */   GIM_Try, /*On fail goto*//*Label 21391*/ GIMT_Encode4(1539337), // Rule ID 18676 //
     /* 1539260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1539263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1539277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1539280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1539295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539299 */     // MIs[0] round
     /* 1539299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539302 */     // MIs[0] policy
     /* 1539302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539312 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1539315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1539333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539336 */     // GIR_Coverage, 18676,
     /* 1539336 */     GIR_EraseRootFromParent_Done,
     /* 1539337 */   // Label 21391: @1539337
     /* 1539337 */   GIM_Try, /*On fail goto*//*Label 21392*/ GIMT_Encode4(1539419), // Rule ID 18677 //
     /* 1539342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1539345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1539359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1539362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1539377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539381 */     // MIs[0] round
     /* 1539381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539384 */     // MIs[0] policy
     /* 1539384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539394 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1539397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1539415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539418 */     // GIR_Coverage, 18677,
     /* 1539418 */     GIR_EraseRootFromParent_Done,
     /* 1539419 */   // Label 21392: @1539419
     /* 1539419 */   GIM_Try, /*On fail goto*//*Label 21393*/ GIMT_Encode4(1539501), // Rule ID 18680 //
     /* 1539424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1539427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1539435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1539438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1539444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539463 */     // MIs[0] round
     /* 1539463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539466 */     // MIs[0] policy
     /* 1539466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539476 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1539479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539500 */     // GIR_Coverage, 18680,
     /* 1539500 */     GIR_EraseRootFromParent_Done,
     /* 1539501 */   // Label 21393: @1539501
     /* 1539501 */   GIM_Try, /*On fail goto*//*Label 21394*/ GIMT_Encode4(1539583), // Rule ID 18681 //
     /* 1539506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1539509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1539517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1539520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1539526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539545 */     // MIs[0] round
     /* 1539545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539548 */     // MIs[0] policy
     /* 1539548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539558 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1539561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539582 */     // GIR_Coverage, 18681,
     /* 1539582 */     GIR_EraseRootFromParent_Done,
     /* 1539583 */   // Label 21394: @1539583
     /* 1539583 */   GIM_Try, /*On fail goto*//*Label 21395*/ GIMT_Encode4(1539665), // Rule ID 18684 //
     /* 1539588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1539591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1539599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1539602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1539608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539627 */     // MIs[0] round
     /* 1539627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539630 */     // MIs[0] policy
     /* 1539630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539640 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1539643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539664 */     // GIR_Coverage, 18684,
     /* 1539664 */     GIR_EraseRootFromParent_Done,
     /* 1539665 */   // Label 21395: @1539665
     /* 1539665 */   GIM_Try, /*On fail goto*//*Label 21396*/ GIMT_Encode4(1539747), // Rule ID 18685 //
     /* 1539670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1539673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1539681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1539684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1539690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539709 */     // MIs[0] round
     /* 1539709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539712 */     // MIs[0] policy
     /* 1539712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539722 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1539725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539746 */     // GIR_Coverage, 18685,
     /* 1539746 */     GIR_EraseRootFromParent_Done,
     /* 1539747 */   // Label 21396: @1539747
     /* 1539747 */   GIM_Try, /*On fail goto*//*Label 21397*/ GIMT_Encode4(1539829), // Rule ID 18688 //
     /* 1539752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1539755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1539763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1539766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1539772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539791 */     // MIs[0] round
     /* 1539791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539794 */     // MIs[0] policy
     /* 1539794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539804 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1539807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539828 */     // GIR_Coverage, 18688,
     /* 1539828 */     GIR_EraseRootFromParent_Done,
     /* 1539829 */   // Label 21397: @1539829
     /* 1539829 */   GIM_Try, /*On fail goto*//*Label 21398*/ GIMT_Encode4(1539911), // Rule ID 18689 //
     /* 1539834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1539837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1539845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1539848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1539854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539873 */     // MIs[0] round
     /* 1539873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539876 */     // MIs[0] policy
     /* 1539876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539886 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1539889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539910 */     // GIR_Coverage, 18689,
     /* 1539910 */     GIR_EraseRootFromParent_Done,
     /* 1539911 */   // Label 21398: @1539911
     /* 1539911 */   GIM_Try, /*On fail goto*//*Label 21399*/ GIMT_Encode4(1539993), // Rule ID 18692 //
     /* 1539916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1539919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1539924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1539927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1539930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539955 */     // MIs[0] round
     /* 1539955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539958 */     // MIs[0] policy
     /* 1539958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539968 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1539971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539992 */     // GIR_Coverage, 18692,
     /* 1539992 */     GIR_EraseRootFromParent_Done,
     /* 1539993 */   // Label 21399: @1539993
     /* 1539993 */   GIM_Try, /*On fail goto*//*Label 21400*/ GIMT_Encode4(1540075), // Rule ID 18693 //
     /* 1539998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1540001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1540018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540037 */     // MIs[0] round
     /* 1540037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540040 */     // MIs[0] policy
     /* 1540040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540050 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1540053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540074 */     // GIR_Coverage, 18693,
     /* 1540074 */     GIR_EraseRootFromParent_Done,
     /* 1540075 */   // Label 21400: @1540075
     /* 1540075 */   GIM_Try, /*On fail goto*//*Label 21401*/ GIMT_Encode4(1540157), // Rule ID 18696 //
     /* 1540080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1540083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1540100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540119 */     // MIs[0] round
     /* 1540119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540122 */     // MIs[0] policy
     /* 1540122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540132 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1540135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540156 */     // GIR_Coverage, 18696,
     /* 1540156 */     GIR_EraseRootFromParent_Done,
     /* 1540157 */   // Label 21401: @1540157
     /* 1540157 */   GIM_Try, /*On fail goto*//*Label 21402*/ GIMT_Encode4(1540239), // Rule ID 18697 //
     /* 1540162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1540165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1540182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540201 */     // MIs[0] round
     /* 1540201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540204 */     // MIs[0] policy
     /* 1540204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540214 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1540217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540238 */     // GIR_Coverage, 18697,
     /* 1540238 */     GIR_EraseRootFromParent_Done,
     /* 1540239 */   // Label 21402: @1540239
     /* 1540239 */   GIM_Try, /*On fail goto*//*Label 21403*/ GIMT_Encode4(1540321), // Rule ID 18700 //
     /* 1540244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1540247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1540264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540283 */     // MIs[0] round
     /* 1540283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540286 */     // MIs[0] policy
     /* 1540286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540296 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1540299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540320 */     // GIR_Coverage, 18700,
     /* 1540320 */     GIR_EraseRootFromParent_Done,
     /* 1540321 */   // Label 21403: @1540321
     /* 1540321 */   GIM_Try, /*On fail goto*//*Label 21404*/ GIMT_Encode4(1540403), // Rule ID 18701 //
     /* 1540326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1540329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1540346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540365 */     // MIs[0] round
     /* 1540365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540368 */     // MIs[0] policy
     /* 1540368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540378 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1540381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540402 */     // GIR_Coverage, 18701,
     /* 1540402 */     GIR_EraseRootFromParent_Done,
     /* 1540403 */   // Label 21404: @1540403
     /* 1540403 */   GIM_Try, /*On fail goto*//*Label 21405*/ GIMT_Encode4(1540485), // Rule ID 18704 //
     /* 1540408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1540411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1540419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1540422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1540425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1540428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1540443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540447 */     // MIs[0] round
     /* 1540447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540450 */     // MIs[0] policy
     /* 1540450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540460 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1540463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540484 */     // GIR_Coverage, 18704,
     /* 1540484 */     GIR_EraseRootFromParent_Done,
     /* 1540485 */   // Label 21405: @1540485
     /* 1540485 */   GIM_Try, /*On fail goto*//*Label 21406*/ GIMT_Encode4(1540567), // Rule ID 18705 //
     /* 1540490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1540493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1540501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1540504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1540507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1540510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1540525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540529 */     // MIs[0] round
     /* 1540529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540532 */     // MIs[0] policy
     /* 1540532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540542 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1540545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540566 */     // GIR_Coverage, 18705,
     /* 1540566 */     GIR_EraseRootFromParent_Done,
     /* 1540567 */   // Label 21406: @1540567
     /* 1540567 */   GIM_Try, /*On fail goto*//*Label 21407*/ GIMT_Encode4(1540649), // Rule ID 18708 //
     /* 1540572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1540575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1540583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1540586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1540589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1540592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1540607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540611 */     // MIs[0] round
     /* 1540611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540614 */     // MIs[0] policy
     /* 1540614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540624 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1540627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540648 */     // GIR_Coverage, 18708,
     /* 1540648 */     GIR_EraseRootFromParent_Done,
     /* 1540649 */   // Label 21407: @1540649
     /* 1540649 */   GIM_Try, /*On fail goto*//*Label 21408*/ GIMT_Encode4(1540731), // Rule ID 18709 //
     /* 1540654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1540657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1540665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1540668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1540671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1540674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1540689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540693 */     // MIs[0] round
     /* 1540693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540696 */     // MIs[0] policy
     /* 1540696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540706 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1540709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540730 */     // GIR_Coverage, 18709,
     /* 1540730 */     GIR_EraseRootFromParent_Done,
     /* 1540731 */   // Label 21408: @1540731
     /* 1540731 */   GIM_Try, /*On fail goto*//*Label 21409*/ GIMT_Encode4(1540813), // Rule ID 18712 //
     /* 1540736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1540739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1540747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1540750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1540753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1540756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1540771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540775 */     // MIs[0] round
     /* 1540775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540778 */     // MIs[0] policy
     /* 1540778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540788 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1540791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540812 */     // GIR_Coverage, 18712,
     /* 1540812 */     GIR_EraseRootFromParent_Done,
     /* 1540813 */   // Label 21409: @1540813
     /* 1540813 */   GIM_Try, /*On fail goto*//*Label 21410*/ GIMT_Encode4(1540895), // Rule ID 18713 //
     /* 1540818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1540821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1540829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1540832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1540835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1540838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1540853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540857 */     // MIs[0] round
     /* 1540857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540860 */     // MIs[0] policy
     /* 1540860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540870 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1540873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540894 */     // GIR_Coverage, 18713,
     /* 1540894 */     GIR_EraseRootFromParent_Done,
     /* 1540895 */   // Label 21410: @1540895
     /* 1540895 */   GIM_Try, /*On fail goto*//*Label 21411*/ GIMT_Encode4(1540977), // Rule ID 18716 //
     /* 1540900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1540911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1540914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1540917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1540920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540939 */     // MIs[0] round
     /* 1540939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540942 */     // MIs[0] policy
     /* 1540942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540952 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1540955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540976 */     // GIR_Coverage, 18716,
     /* 1540976 */     GIR_EraseRootFromParent_Done,
     /* 1540977 */   // Label 21411: @1540977
     /* 1540977 */   GIM_Try, /*On fail goto*//*Label 21412*/ GIMT_Encode4(1541059), // Rule ID 18717 //
     /* 1540982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1540993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1540996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1540999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541021 */     // MIs[0] round
     /* 1541021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541024 */     // MIs[0] policy
     /* 1541024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541034 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1541037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541058 */     // GIR_Coverage, 18717,
     /* 1541058 */     GIR_EraseRootFromParent_Done,
     /* 1541059 */   // Label 21412: @1541059
     /* 1541059 */   GIM_Try, /*On fail goto*//*Label 21413*/ GIMT_Encode4(1541141), // Rule ID 18720 //
     /* 1541064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1541081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541103 */     // MIs[0] round
     /* 1541103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541106 */     // MIs[0] policy
     /* 1541106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541116 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1541119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541140 */     // GIR_Coverage, 18720,
     /* 1541140 */     GIR_EraseRootFromParent_Done,
     /* 1541141 */   // Label 21413: @1541141
     /* 1541141 */   GIM_Try, /*On fail goto*//*Label 21414*/ GIMT_Encode4(1541223), // Rule ID 18721 //
     /* 1541146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1541163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541185 */     // MIs[0] round
     /* 1541185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541188 */     // MIs[0] policy
     /* 1541188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541198 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1541201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541222 */     // GIR_Coverage, 18721,
     /* 1541222 */     GIR_EraseRootFromParent_Done,
     /* 1541223 */   // Label 21414: @1541223
     /* 1541223 */   GIM_Try, /*On fail goto*//*Label 21415*/ GIMT_Encode4(1541305), // Rule ID 18724 //
     /* 1541228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1541245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541267 */     // MIs[0] round
     /* 1541267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541270 */     // MIs[0] policy
     /* 1541270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541280 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1541283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541304 */     // GIR_Coverage, 18724,
     /* 1541304 */     GIR_EraseRootFromParent_Done,
     /* 1541305 */   // Label 21415: @1541305
     /* 1541305 */   GIM_Try, /*On fail goto*//*Label 21416*/ GIMT_Encode4(1541387), // Rule ID 18725 //
     /* 1541310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1541327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541349 */     // MIs[0] round
     /* 1541349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541352 */     // MIs[0] policy
     /* 1541352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541362 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1541365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541386 */     // GIR_Coverage, 18725,
     /* 1541386 */     GIR_EraseRootFromParent_Done,
     /* 1541387 */   // Label 21416: @1541387
     /* 1541387 */   GIM_Try, /*On fail goto*//*Label 21417*/ GIMT_Encode4(1541469), // Rule ID 18728 //
     /* 1541392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1541409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1541412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541431 */     // MIs[0] round
     /* 1541431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541434 */     // MIs[0] policy
     /* 1541434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541444 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1541447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541468 */     // GIR_Coverage, 18728,
     /* 1541468 */     GIR_EraseRootFromParent_Done,
     /* 1541469 */   // Label 21417: @1541469
     /* 1541469 */   GIM_Try, /*On fail goto*//*Label 21418*/ GIMT_Encode4(1541551), // Rule ID 18729 //
     /* 1541474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1541491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1541494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541513 */     // MIs[0] round
     /* 1541513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541516 */     // MIs[0] policy
     /* 1541516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541526 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1541529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541550 */     // GIR_Coverage, 18729,
     /* 1541550 */     GIR_EraseRootFromParent_Done,
     /* 1541551 */   // Label 21418: @1541551
     /* 1541551 */   GIM_Try, /*On fail goto*//*Label 21419*/ GIMT_Encode4(1541633), // Rule ID 18732 //
     /* 1541556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1541573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1541576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541595 */     // MIs[0] round
     /* 1541595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541598 */     // MIs[0] policy
     /* 1541598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541608 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1541611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541632 */     // GIR_Coverage, 18732,
     /* 1541632 */     GIR_EraseRootFromParent_Done,
     /* 1541633 */   // Label 21419: @1541633
     /* 1541633 */   GIM_Try, /*On fail goto*//*Label 21420*/ GIMT_Encode4(1541715), // Rule ID 18733 //
     /* 1541638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1541655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1541658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541677 */     // MIs[0] round
     /* 1541677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541680 */     // MIs[0] policy
     /* 1541680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541690 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1541693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541714 */     // GIR_Coverage, 18733,
     /* 1541714 */     GIR_EraseRootFromParent_Done,
     /* 1541715 */   // Label 21420: @1541715
     /* 1541715 */   GIM_Try, /*On fail goto*//*Label 21421*/ GIMT_Encode4(1541797), // Rule ID 18736 //
     /* 1541720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1541731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1541734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1541737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1541740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541759 */     // MIs[0] round
     /* 1541759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541762 */     // MIs[0] policy
     /* 1541762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541772 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1541775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541796 */     // GIR_Coverage, 18736,
     /* 1541796 */     GIR_EraseRootFromParent_Done,
     /* 1541797 */   // Label 21421: @1541797
     /* 1541797 */   GIM_Try, /*On fail goto*//*Label 21422*/ GIMT_Encode4(1541879), // Rule ID 18737 //
     /* 1541802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1541813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1541816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1541819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1541822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541841 */     // MIs[0] round
     /* 1541841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541844 */     // MIs[0] policy
     /* 1541844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541854 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1541857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541878 */     // GIR_Coverage, 18737,
     /* 1541878 */     GIR_EraseRootFromParent_Done,
     /* 1541879 */   // Label 21422: @1541879
     /* 1541879 */   GIM_Try, /*On fail goto*//*Label 21423*/ GIMT_Encode4(1541961), // Rule ID 18740 //
     /* 1541884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1541895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1541898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1541901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1541904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541923 */     // MIs[0] round
     /* 1541923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541926 */     // MIs[0] policy
     /* 1541926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541936 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1541939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541960 */     // GIR_Coverage, 18740,
     /* 1541960 */     GIR_EraseRootFromParent_Done,
     /* 1541961 */   // Label 21423: @1541961
     /* 1541961 */   GIM_Try, /*On fail goto*//*Label 21424*/ GIMT_Encode4(1542043), // Rule ID 18741 //
     /* 1541966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1541977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1541980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1541983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1541986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542005 */     // MIs[0] round
     /* 1542005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542008 */     // MIs[0] policy
     /* 1542008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542018 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1542021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542042 */     // GIR_Coverage, 18741,
     /* 1542042 */     GIR_EraseRootFromParent_Done,
     /* 1542043 */   // Label 21424: @1542043
     /* 1542043 */   GIM_Try, /*On fail goto*//*Label 21425*/ GIMT_Encode4(1542125), // Rule ID 18744 //
     /* 1542048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1542065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542087 */     // MIs[0] round
     /* 1542087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542090 */     // MIs[0] policy
     /* 1542090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542100 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1542103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542124 */     // GIR_Coverage, 18744,
     /* 1542124 */     GIR_EraseRootFromParent_Done,
     /* 1542125 */   // Label 21425: @1542125
     /* 1542125 */   GIM_Try, /*On fail goto*//*Label 21426*/ GIMT_Encode4(1542207), // Rule ID 18745 //
     /* 1542130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1542147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542169 */     // MIs[0] round
     /* 1542169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542172 */     // MIs[0] policy
     /* 1542172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542182 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1542185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542206 */     // GIR_Coverage, 18745,
     /* 1542206 */     GIR_EraseRootFromParent_Done,
     /* 1542207 */   // Label 21426: @1542207
     /* 1542207 */   GIM_Try, /*On fail goto*//*Label 21427*/ GIMT_Encode4(1542289), // Rule ID 18748 //
     /* 1542212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1542229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542251 */     // MIs[0] round
     /* 1542251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542254 */     // MIs[0] policy
     /* 1542254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542264 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1542267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542288 */     // GIR_Coverage, 18748,
     /* 1542288 */     GIR_EraseRootFromParent_Done,
     /* 1542289 */   // Label 21427: @1542289
     /* 1542289 */   GIM_Try, /*On fail goto*//*Label 21428*/ GIMT_Encode4(1542371), // Rule ID 18749 //
     /* 1542294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1542311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542333 */     // MIs[0] round
     /* 1542333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542336 */     // MIs[0] policy
     /* 1542336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542346 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1542349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542370 */     // GIR_Coverage, 18749,
     /* 1542370 */     GIR_EraseRootFromParent_Done,
     /* 1542371 */   // Label 21428: @1542371
     /* 1542371 */   GIM_Try, /*On fail goto*//*Label 21429*/ GIMT_Encode4(1542453), // Rule ID 18752 //
     /* 1542376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1542396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542415 */     // MIs[0] round
     /* 1542415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542418 */     // MIs[0] policy
     /* 1542418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542428 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1542431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542452 */     // GIR_Coverage, 18752,
     /* 1542452 */     GIR_EraseRootFromParent_Done,
     /* 1542453 */   // Label 21429: @1542453
     /* 1542453 */   GIM_Try, /*On fail goto*//*Label 21430*/ GIMT_Encode4(1542535), // Rule ID 18753 //
     /* 1542458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1542478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542497 */     // MIs[0] round
     /* 1542497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542500 */     // MIs[0] policy
     /* 1542500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542510 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1542513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542534 */     // GIR_Coverage, 18753,
     /* 1542534 */     GIR_EraseRootFromParent_Done,
     /* 1542535 */   // Label 21430: @1542535
     /* 1542535 */   GIM_Try, /*On fail goto*//*Label 21431*/ GIMT_Encode4(1542617), // Rule ID 18756 //
     /* 1542540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1542560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542579 */     // MIs[0] round
     /* 1542579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542582 */     // MIs[0] policy
     /* 1542582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542592 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1542595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542616 */     // GIR_Coverage, 18756,
     /* 1542616 */     GIR_EraseRootFromParent_Done,
     /* 1542617 */   // Label 21431: @1542617
     /* 1542617 */   GIM_Try, /*On fail goto*//*Label 21432*/ GIMT_Encode4(1542699), // Rule ID 18757 //
     /* 1542622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1542642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542661 */     // MIs[0] round
     /* 1542661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542664 */     // MIs[0] policy
     /* 1542664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542674 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1542677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542698 */     // GIR_Coverage, 18757,
     /* 1542698 */     GIR_EraseRootFromParent_Done,
     /* 1542699 */   // Label 21432: @1542699
     /* 1542699 */   GIM_Try, /*On fail goto*//*Label 21433*/ GIMT_Encode4(1542781), // Rule ID 18760 //
     /* 1542704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1542715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1542718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1542724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542743 */     // MIs[0] round
     /* 1542743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542746 */     // MIs[0] policy
     /* 1542746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542756 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1542759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542780 */     // GIR_Coverage, 18760,
     /* 1542780 */     GIR_EraseRootFromParent_Done,
     /* 1542781 */   // Label 21433: @1542781
     /* 1542781 */   GIM_Try, /*On fail goto*//*Label 21434*/ GIMT_Encode4(1542863), // Rule ID 18761 //
     /* 1542786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1542797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1542800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1542806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542825 */     // MIs[0] round
     /* 1542825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542828 */     // MIs[0] policy
     /* 1542828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542838 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1542841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542862 */     // GIR_Coverage, 18761,
     /* 1542862 */     GIR_EraseRootFromParent_Done,
     /* 1542863 */   // Label 21434: @1542863
     /* 1542863 */   GIM_Try, /*On fail goto*//*Label 21435*/ GIMT_Encode4(1542945), // Rule ID 18764 //
     /* 1542868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1542879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1542882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1542888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542907 */     // MIs[0] round
     /* 1542907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542910 */     // MIs[0] policy
     /* 1542910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542920 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1542923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542944 */     // GIR_Coverage, 18764,
     /* 1542944 */     GIR_EraseRootFromParent_Done,
     /* 1542945 */   // Label 21435: @1542945
     /* 1542945 */   GIM_Try, /*On fail goto*//*Label 21436*/ GIMT_Encode4(1543027), // Rule ID 18765 //
     /* 1542950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1542958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1542961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1542964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1542970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542989 */     // MIs[0] round
     /* 1542989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542992 */     // MIs[0] policy
     /* 1542992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543002 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1543005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543026 */     // GIR_Coverage, 18765,
     /* 1543026 */     GIR_EraseRootFromParent_Done,
     /* 1543027 */   // Label 21436: @1543027
     /* 1543027 */   GIM_Try, /*On fail goto*//*Label 21437*/ GIMT_Encode4(1543109), // Rule ID 18768 //
     /* 1543032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543071 */     // MIs[0] round
     /* 1543071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543074 */     // MIs[0] policy
     /* 1543074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543084 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1543087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543108 */     // GIR_Coverage, 18768,
     /* 1543108 */     GIR_EraseRootFromParent_Done,
     /* 1543109 */   // Label 21437: @1543109
     /* 1543109 */   GIM_Try, /*On fail goto*//*Label 21438*/ GIMT_Encode4(1543191), // Rule ID 18769 //
     /* 1543114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543153 */     // MIs[0] round
     /* 1543153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543156 */     // MIs[0] policy
     /* 1543156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543166 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1543169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543190 */     // GIR_Coverage, 18769,
     /* 1543190 */     GIR_EraseRootFromParent_Done,
     /* 1543191 */   // Label 21438: @1543191
     /* 1543191 */   GIM_Try, /*On fail goto*//*Label 21439*/ GIMT_Encode4(1543273), // Rule ID 18772 //
     /* 1543196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543235 */     // MIs[0] round
     /* 1543235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543238 */     // MIs[0] policy
     /* 1543238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543248 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1543251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543272 */     // GIR_Coverage, 18772,
     /* 1543272 */     GIR_EraseRootFromParent_Done,
     /* 1543273 */   // Label 21439: @1543273
     /* 1543273 */   GIM_Try, /*On fail goto*//*Label 21440*/ GIMT_Encode4(1543355), // Rule ID 18773 //
     /* 1543278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543317 */     // MIs[0] round
     /* 1543317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543320 */     // MIs[0] policy
     /* 1543320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543330 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1543333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543354 */     // GIR_Coverage, 18773,
     /* 1543354 */     GIR_EraseRootFromParent_Done,
     /* 1543355 */   // Label 21440: @1543355
     /* 1543355 */   GIM_Try, /*On fail goto*//*Label 21441*/ GIMT_Encode4(1543437), // Rule ID 18776 //
     /* 1543360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1543371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1543374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1543380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543399 */     // MIs[0] round
     /* 1543399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543402 */     // MIs[0] policy
     /* 1543402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543412 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1543415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543436 */     // GIR_Coverage, 18776,
     /* 1543436 */     GIR_EraseRootFromParent_Done,
     /* 1543437 */   // Label 21441: @1543437
     /* 1543437 */   GIM_Try, /*On fail goto*//*Label 21442*/ GIMT_Encode4(1543519), // Rule ID 18777 //
     /* 1543442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1543453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1543456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1543462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543481 */     // MIs[0] round
     /* 1543481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543484 */     // MIs[0] policy
     /* 1543484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543494 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1543497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543518 */     // GIR_Coverage, 18777,
     /* 1543518 */     GIR_EraseRootFromParent_Done,
     /* 1543519 */   // Label 21442: @1543519
     /* 1543519 */   GIM_Try, /*On fail goto*//*Label 21443*/ GIMT_Encode4(1543601), // Rule ID 18780 //
     /* 1543524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1543535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1543538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1543544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543563 */     // MIs[0] round
     /* 1543563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543566 */     // MIs[0] policy
     /* 1543566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543576 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1543579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543600 */     // GIR_Coverage, 18780,
     /* 1543600 */     GIR_EraseRootFromParent_Done,
     /* 1543601 */   // Label 21443: @1543601
     /* 1543601 */   GIM_Try, /*On fail goto*//*Label 21444*/ GIMT_Encode4(1543683), // Rule ID 18781 //
     /* 1543606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1543617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1543620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1543626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543645 */     // MIs[0] round
     /* 1543645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543648 */     // MIs[0] policy
     /* 1543648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543658 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1543661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543682 */     // GIR_Coverage, 18781,
     /* 1543682 */     GIR_EraseRootFromParent_Done,
     /* 1543683 */   // Label 21444: @1543683
     /* 1543683 */   GIM_Try, /*On fail goto*//*Label 21445*/ GIMT_Encode4(1543765), // Rule ID 18784 //
     /* 1543688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1543699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1543702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1543708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543727 */     // MIs[0] round
     /* 1543727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543730 */     // MIs[0] policy
     /* 1543730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543740 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1543743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543764 */     // GIR_Coverage, 18784,
     /* 1543764 */     GIR_EraseRootFromParent_Done,
     /* 1543765 */   // Label 21445: @1543765
     /* 1543765 */   GIM_Try, /*On fail goto*//*Label 21446*/ GIMT_Encode4(1543847), // Rule ID 18785 //
     /* 1543770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1543778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1543781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1543784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1543790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543809 */     // MIs[0] round
     /* 1543809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543812 */     // MIs[0] policy
     /* 1543812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543822 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1543825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543846 */     // GIR_Coverage, 18785,
     /* 1543846 */     GIR_EraseRootFromParent_Done,
     /* 1543847 */   // Label 21446: @1543847
     /* 1543847 */   GIM_Try, /*On fail goto*//*Label 21447*/ GIMT_Encode4(1543929), // Rule ID 18788 //
     /* 1543852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1543863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1543866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1543869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1543872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543891 */     // MIs[0] round
     /* 1543891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543894 */     // MIs[0] policy
     /* 1543894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543904 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1543907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543928 */     // GIR_Coverage, 18788,
     /* 1543928 */     GIR_EraseRootFromParent_Done,
     /* 1543929 */   // Label 21447: @1543929
     /* 1543929 */   GIM_Try, /*On fail goto*//*Label 21448*/ GIMT_Encode4(1544011), // Rule ID 18789 //
     /* 1543934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1543945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1543948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1543951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1543954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543973 */     // MIs[0] round
     /* 1543973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543976 */     // MIs[0] policy
     /* 1543976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543986 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1543989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544010 */     // GIR_Coverage, 18789,
     /* 1544010 */     GIR_EraseRootFromParent_Done,
     /* 1544011 */   // Label 21448: @1544011
     /* 1544011 */   GIM_Try, /*On fail goto*//*Label 21449*/ GIMT_Encode4(1544093), // Rule ID 18792 //
     /* 1544016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1544033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544055 */     // MIs[0] round
     /* 1544055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544058 */     // MIs[0] policy
     /* 1544058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544068 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1544071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544092 */     // GIR_Coverage, 18792,
     /* 1544092 */     GIR_EraseRootFromParent_Done,
     /* 1544093 */   // Label 21449: @1544093
     /* 1544093 */   GIM_Try, /*On fail goto*//*Label 21450*/ GIMT_Encode4(1544175), // Rule ID 18793 //
     /* 1544098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1544115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544137 */     // MIs[0] round
     /* 1544137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544140 */     // MIs[0] policy
     /* 1544140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544150 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1544153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544174 */     // GIR_Coverage, 18793,
     /* 1544174 */     GIR_EraseRootFromParent_Done,
     /* 1544175 */   // Label 21450: @1544175
     /* 1544175 */   GIM_Try, /*On fail goto*//*Label 21451*/ GIMT_Encode4(1544257), // Rule ID 18796 //
     /* 1544180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1544197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544219 */     // MIs[0] round
     /* 1544219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544222 */     // MIs[0] policy
     /* 1544222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544232 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1544235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544256 */     // GIR_Coverage, 18796,
     /* 1544256 */     GIR_EraseRootFromParent_Done,
     /* 1544257 */   // Label 21451: @1544257
     /* 1544257 */   GIM_Try, /*On fail goto*//*Label 21452*/ GIMT_Encode4(1544339), // Rule ID 18797 //
     /* 1544262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1544279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544301 */     // MIs[0] round
     /* 1544301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544304 */     // MIs[0] policy
     /* 1544304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544314 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1544317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544338 */     // GIR_Coverage, 18797,
     /* 1544338 */     GIR_EraseRootFromParent_Done,
     /* 1544339 */   // Label 21452: @1544339
     /* 1544339 */   GIM_Try, /*On fail goto*//*Label 21453*/ GIMT_Encode4(1544421), // Rule ID 18800 //
     /* 1544344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1544361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1544364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544383 */     // MIs[0] round
     /* 1544383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544386 */     // MIs[0] policy
     /* 1544386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544396 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1544399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544420 */     // GIR_Coverage, 18800,
     /* 1544420 */     GIR_EraseRootFromParent_Done,
     /* 1544421 */   // Label 21453: @1544421
     /* 1544421 */   GIM_Try, /*On fail goto*//*Label 21454*/ GIMT_Encode4(1544503), // Rule ID 18801 //
     /* 1544426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1544443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1544446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544465 */     // MIs[0] round
     /* 1544465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544468 */     // MIs[0] policy
     /* 1544468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544478 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1544481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544502 */     // GIR_Coverage, 18801,
     /* 1544502 */     GIR_EraseRootFromParent_Done,
     /* 1544503 */   // Label 21454: @1544503
     /* 1544503 */   GIM_Try, /*On fail goto*//*Label 21455*/ GIMT_Encode4(1544585), // Rule ID 18804 //
     /* 1544508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1544525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1544528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544547 */     // MIs[0] round
     /* 1544547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544550 */     // MIs[0] policy
     /* 1544550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544560 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1544563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544584 */     // GIR_Coverage, 18804,
     /* 1544584 */     GIR_EraseRootFromParent_Done,
     /* 1544585 */   // Label 21455: @1544585
     /* 1544585 */   GIM_Try, /*On fail goto*//*Label 21456*/ GIMT_Encode4(1544667), // Rule ID 18805 //
     /* 1544590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1544607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1544610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544629 */     // MIs[0] round
     /* 1544629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544632 */     // MIs[0] policy
     /* 1544632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544642 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1544645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544666 */     // GIR_Coverage, 18805,
     /* 1544666 */     GIR_EraseRootFromParent_Done,
     /* 1544667 */   // Label 21456: @1544667
     /* 1544667 */   GIM_Try, /*On fail goto*//*Label 21457*/ GIMT_Encode4(1544749), // Rule ID 18808 //
     /* 1544672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1544683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1544686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1544689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1544692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544711 */     // MIs[0] round
     /* 1544711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544714 */     // MIs[0] policy
     /* 1544714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544724 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1544727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544748 */     // GIR_Coverage, 18808,
     /* 1544748 */     GIR_EraseRootFromParent_Done,
     /* 1544749 */   // Label 21457: @1544749
     /* 1544749 */   GIM_Try, /*On fail goto*//*Label 21458*/ GIMT_Encode4(1544831), // Rule ID 18809 //
     /* 1544754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1544765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1544768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1544771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1544774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544793 */     // MIs[0] round
     /* 1544793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544796 */     // MIs[0] policy
     /* 1544796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544806 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1544809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544830 */     // GIR_Coverage, 18809,
     /* 1544830 */     GIR_EraseRootFromParent_Done,
     /* 1544831 */   // Label 21458: @1544831
     /* 1544831 */   GIM_Try, /*On fail goto*//*Label 21459*/ GIMT_Encode4(1544913), // Rule ID 18812 //
     /* 1544836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1544847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1544850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1544856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544875 */     // MIs[0] round
     /* 1544875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544878 */     // MIs[0] policy
     /* 1544878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544888 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1544891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544912 */     // GIR_Coverage, 18812,
     /* 1544912 */     GIR_EraseRootFromParent_Done,
     /* 1544913 */   // Label 21459: @1544913
     /* 1544913 */   GIM_Try, /*On fail goto*//*Label 21460*/ GIMT_Encode4(1544995), // Rule ID 18813 //
     /* 1544918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1544929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1544932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1544938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544957 */     // MIs[0] round
     /* 1544957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544960 */     // MIs[0] policy
     /* 1544960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544970 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1544973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544994 */     // GIR_Coverage, 18813,
     /* 1544994 */     GIR_EraseRootFromParent_Done,
     /* 1544995 */   // Label 21460: @1544995
     /* 1544995 */   GIM_Try, /*On fail goto*//*Label 21461*/ GIMT_Encode4(1545077), // Rule ID 18816 //
     /* 1545000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1545017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545039 */     // MIs[0] round
     /* 1545039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545042 */     // MIs[0] policy
     /* 1545042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545052 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1545055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545076 */     // GIR_Coverage, 18816,
     /* 1545076 */     GIR_EraseRootFromParent_Done,
     /* 1545077 */   // Label 21461: @1545077
     /* 1545077 */   GIM_Try, /*On fail goto*//*Label 21462*/ GIMT_Encode4(1545159), // Rule ID 18817 //
     /* 1545082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1545099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545121 */     // MIs[0] round
     /* 1545121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545124 */     // MIs[0] policy
     /* 1545124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545134 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1545137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545158 */     // GIR_Coverage, 18817,
     /* 1545158 */     GIR_EraseRootFromParent_Done,
     /* 1545159 */   // Label 21462: @1545159
     /* 1545159 */   GIM_Try, /*On fail goto*//*Label 21463*/ GIMT_Encode4(1545241), // Rule ID 18820 //
     /* 1545164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1545181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545203 */     // MIs[0] round
     /* 1545203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545206 */     // MIs[0] policy
     /* 1545206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545216 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1545219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545240 */     // GIR_Coverage, 18820,
     /* 1545240 */     GIR_EraseRootFromParent_Done,
     /* 1545241 */   // Label 21463: @1545241
     /* 1545241 */   GIM_Try, /*On fail goto*//*Label 21464*/ GIMT_Encode4(1545323), // Rule ID 18821 //
     /* 1545246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1545263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545285 */     // MIs[0] round
     /* 1545285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545288 */     // MIs[0] policy
     /* 1545288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545298 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1545301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545322 */     // GIR_Coverage, 18821,
     /* 1545322 */     GIR_EraseRootFromParent_Done,
     /* 1545323 */   // Label 21464: @1545323
     /* 1545323 */   GIM_Try, /*On fail goto*//*Label 21465*/ GIMT_Encode4(1545405), // Rule ID 18824 //
     /* 1545328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1545339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1545342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1545348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545367 */     // MIs[0] round
     /* 1545367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545370 */     // MIs[0] policy
     /* 1545370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545380 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1545383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545404 */     // GIR_Coverage, 18824,
     /* 1545404 */     GIR_EraseRootFromParent_Done,
     /* 1545405 */   // Label 21465: @1545405
     /* 1545405 */   GIM_Try, /*On fail goto*//*Label 21466*/ GIMT_Encode4(1545487), // Rule ID 18825 //
     /* 1545410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1545421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1545424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1545430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545449 */     // MIs[0] round
     /* 1545449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545452 */     // MIs[0] policy
     /* 1545452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545462 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1545465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545486 */     // GIR_Coverage, 18825,
     /* 1545486 */     GIR_EraseRootFromParent_Done,
     /* 1545487 */   // Label 21466: @1545487
     /* 1545487 */   GIM_Try, /*On fail goto*//*Label 21467*/ GIMT_Encode4(1545569), // Rule ID 18828 //
     /* 1545492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1545503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1545506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1545512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545531 */     // MIs[0] round
     /* 1545531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545534 */     // MIs[0] policy
     /* 1545534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545544 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1545547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545568 */     // GIR_Coverage, 18828,
     /* 1545568 */     GIR_EraseRootFromParent_Done,
     /* 1545569 */   // Label 21467: @1545569
     /* 1545569 */   GIM_Try, /*On fail goto*//*Label 21468*/ GIMT_Encode4(1545651), // Rule ID 18829 //
     /* 1545574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1545585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1545588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1545594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545613 */     // MIs[0] round
     /* 1545613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545616 */     // MIs[0] policy
     /* 1545616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545626 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1545629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545650 */     // GIR_Coverage, 18829,
     /* 1545650 */     GIR_EraseRootFromParent_Done,
     /* 1545651 */   // Label 21468: @1545651
     /* 1545651 */   GIM_Try, /*On fail goto*//*Label 21469*/ GIMT_Encode4(1545733), // Rule ID 18832 //
     /* 1545656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1545667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1545670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1545676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545695 */     // MIs[0] round
     /* 1545695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545698 */     // MIs[0] policy
     /* 1545698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545708 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1545711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545732 */     // GIR_Coverage, 18832,
     /* 1545732 */     GIR_EraseRootFromParent_Done,
     /* 1545733 */   // Label 21469: @1545733
     /* 1545733 */   GIM_Try, /*On fail goto*//*Label 21470*/ GIMT_Encode4(1545815), // Rule ID 18833 //
     /* 1545738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1545749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1545752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1545758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545777 */     // MIs[0] round
     /* 1545777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545780 */     // MIs[0] policy
     /* 1545780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545790 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1545793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545814 */     // GIR_Coverage, 18833,
     /* 1545814 */     GIR_EraseRootFromParent_Done,
     /* 1545815 */   // Label 21470: @1545815
     /* 1545815 */   GIM_Try, /*On fail goto*//*Label 21471*/ GIMT_Encode4(1545897), // Rule ID 18836 //
     /* 1545820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1545840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545859 */     // MIs[0] round
     /* 1545859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545862 */     // MIs[0] policy
     /* 1545862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545872 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1545875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545896 */     // GIR_Coverage, 18836,
     /* 1545896 */     GIR_EraseRootFromParent_Done,
     /* 1545897 */   // Label 21471: @1545897
     /* 1545897 */   GIM_Try, /*On fail goto*//*Label 21472*/ GIMT_Encode4(1545979), // Rule ID 18837 //
     /* 1545902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1545922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545941 */     // MIs[0] round
     /* 1545941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545944 */     // MIs[0] policy
     /* 1545944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545954 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1545957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545978 */     // GIR_Coverage, 18837,
     /* 1545978 */     GIR_EraseRootFromParent_Done,
     /* 1545979 */   // Label 21472: @1545979
     /* 1545979 */   GIM_Try, /*On fail goto*//*Label 21473*/ GIMT_Encode4(1546061), // Rule ID 18840 //
     /* 1545984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1545992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1546004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546023 */     // MIs[0] round
     /* 1546023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546026 */     // MIs[0] policy
     /* 1546026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546036 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1546039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546060 */     // GIR_Coverage, 18840,
     /* 1546060 */     GIR_EraseRootFromParent_Done,
     /* 1546061 */   // Label 21473: @1546061
     /* 1546061 */   GIM_Try, /*On fail goto*//*Label 21474*/ GIMT_Encode4(1546143), // Rule ID 18841 //
     /* 1546066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1546069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1546074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1546077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1546080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1546086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546105 */     // MIs[0] round
     /* 1546105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546108 */     // MIs[0] policy
     /* 1546108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546118 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1546121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546142 */     // GIR_Coverage, 18841,
     /* 1546142 */     GIR_EraseRootFromParent_Done,
     /* 1546143 */   // Label 21474: @1546143
     /* 1546143 */   GIM_Try, /*On fail goto*//*Label 21475*/ GIMT_Encode4(1546225), // Rule ID 18844 //
     /* 1546148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1546151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1546156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1546168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546187 */     // MIs[0] round
     /* 1546187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546190 */     // MIs[0] policy
     /* 1546190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546200 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1546203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546224 */     // GIR_Coverage, 18844,
     /* 1546224 */     GIR_EraseRootFromParent_Done,
     /* 1546225 */   // Label 21475: @1546225
     /* 1546225 */   GIM_Try, /*On fail goto*//*Label 21476*/ GIMT_Encode4(1546307), // Rule ID 18845 //
     /* 1546230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1546233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1546238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1546250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546269 */     // MIs[0] round
     /* 1546269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546272 */     // MIs[0] policy
     /* 1546272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546282 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1546285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546306 */     // GIR_Coverage, 18845,
     /* 1546306 */     GIR_EraseRootFromParent_Done,
     /* 1546307 */   // Label 21476: @1546307
     /* 1546307 */   GIM_Try, /*On fail goto*//*Label 21477*/ GIMT_Encode4(1546389), // Rule ID 18848 //
     /* 1546312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1546315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1546320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1546323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1546326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1546332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546351 */     // MIs[0] round
     /* 1546351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546354 */     // MIs[0] policy
     /* 1546354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546364 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1546367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546388 */     // GIR_Coverage, 18848,
     /* 1546388 */     GIR_EraseRootFromParent_Done,
     /* 1546389 */   // Label 21477: @1546389
     /* 1546389 */   GIM_Try, /*On fail goto*//*Label 21478*/ GIMT_Encode4(1546471), // Rule ID 18849 //
     /* 1546394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1546397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1546402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1546405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1546408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1546414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546433 */     // MIs[0] round
     /* 1546433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546436 */     // MIs[0] policy
     /* 1546436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546446 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1546449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546470 */     // GIR_Coverage, 18849,
     /* 1546470 */     GIR_EraseRootFromParent_Done,
     /* 1546471 */   // Label 21478: @1546471
     /* 1546471 */   GIM_Try, /*On fail goto*//*Label 21479*/ GIMT_Encode4(1546553), // Rule ID 18852 //
     /* 1546476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1546479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1546484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1546496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546515 */     // MIs[0] round
     /* 1546515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546518 */     // MIs[0] policy
     /* 1546518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546528 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1546531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546552 */     // GIR_Coverage, 18852,
     /* 1546552 */     GIR_EraseRootFromParent_Done,
     /* 1546553 */   // Label 21479: @1546553
     /* 1546553 */   GIM_Try, /*On fail goto*//*Label 21480*/ GIMT_Encode4(1546635), // Rule ID 18853 //
     /* 1546558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1546561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1546566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1546578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546597 */     // MIs[0] round
     /* 1546597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546600 */     // MIs[0] policy
     /* 1546600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546610 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1546613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546634 */     // GIR_Coverage, 18853,
     /* 1546634 */     GIR_EraseRootFromParent_Done,
     /* 1546635 */   // Label 21480: @1546635
     /* 1546635 */   GIM_Try, /*On fail goto*//*Label 21481*/ GIMT_Encode4(1546717), // Rule ID 18856 //
     /* 1546640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1546643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1546648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1546651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1546654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1546660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546679 */     // MIs[0] round
     /* 1546679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546682 */     // MIs[0] policy
     /* 1546682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546692 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1546695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546716 */     // GIR_Coverage, 18856,
     /* 1546716 */     GIR_EraseRootFromParent_Done,
     /* 1546717 */   // Label 21481: @1546717
     /* 1546717 */   GIM_Try, /*On fail goto*//*Label 21482*/ GIMT_Encode4(1546799), // Rule ID 18857 //
     /* 1546722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1546725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1546730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1546733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1546736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1546742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546761 */     // MIs[0] round
     /* 1546761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546764 */     // MIs[0] policy
     /* 1546764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546774 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1546777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546798 */     // GIR_Coverage, 18857,
     /* 1546798 */     GIR_EraseRootFromParent_Done,
     /* 1546799 */   // Label 21482: @1546799
     /* 1546799 */   GIM_Try, /*On fail goto*//*Label 21483*/ GIMT_Encode4(1546881), // Rule ID 18860 //
     /* 1546804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1546807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1546815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1546818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1546821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1546824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546843 */     // MIs[0] round
     /* 1546843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546846 */     // MIs[0] policy
     /* 1546846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546856 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1546859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546880 */     // GIR_Coverage, 18860,
     /* 1546880 */     GIR_EraseRootFromParent_Done,
     /* 1546881 */   // Label 21483: @1546881
     /* 1546881 */   GIM_Try, /*On fail goto*//*Label 21484*/ GIMT_Encode4(1546963), // Rule ID 18861 //
     /* 1546886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1546889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1546897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1546900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1546903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1546906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546925 */     // MIs[0] round
     /* 1546925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546928 */     // MIs[0] policy
     /* 1546928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546938 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1546941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546962 */     // GIR_Coverage, 18861,
     /* 1546962 */     GIR_EraseRootFromParent_Done,
     /* 1546963 */   // Label 21484: @1546963
     /* 1546963 */   GIM_Try, /*On fail goto*//*Label 21485*/ GIMT_Encode4(1547045), // Rule ID 18864 //
     /* 1546968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1546971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1546979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1546982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1546985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1546988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547007 */     // MIs[0] round
     /* 1547007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547010 */     // MIs[0] policy
     /* 1547010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547020 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1547023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547044 */     // GIR_Coverage, 18864,
     /* 1547044 */     GIR_EraseRootFromParent_Done,
     /* 1547045 */   // Label 21485: @1547045
     /* 1547045 */   GIM_Try, /*On fail goto*//*Label 21486*/ GIMT_Encode4(1547127), // Rule ID 18865 //
     /* 1547050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1547053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1547061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1547064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1547067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1547070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547089 */     // MIs[0] round
     /* 1547089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547092 */     // MIs[0] policy
     /* 1547092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547102 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1547105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547126 */     // GIR_Coverage, 18865,
     /* 1547126 */     GIR_EraseRootFromParent_Done,
     /* 1547127 */   // Label 21486: @1547127
     /* 1547127 */   GIM_Try, /*On fail goto*//*Label 21487*/ GIMT_Encode4(1547209), // Rule ID 18868 //
     /* 1547132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1547135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1547143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1547146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1547149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1547152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547171 */     // MIs[0] round
     /* 1547171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547174 */     // MIs[0] policy
     /* 1547174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547184 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1547187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547208 */     // GIR_Coverage, 18868,
     /* 1547208 */     GIR_EraseRootFromParent_Done,
     /* 1547209 */   // Label 21487: @1547209
     /* 1547209 */   GIM_Try, /*On fail goto*//*Label 21488*/ GIMT_Encode4(1547291), // Rule ID 18869 //
     /* 1547214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1547217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1547225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1547228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1547231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1547234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547253 */     // MIs[0] round
     /* 1547253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547256 */     // MIs[0] policy
     /* 1547256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547266 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1547269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547290 */     // GIR_Coverage, 18869,
     /* 1547290 */     GIR_EraseRootFromParent_Done,
     /* 1547291 */   // Label 21488: @1547291
     /* 1547291 */   GIM_Try, /*On fail goto*//*Label 21489*/ GIMT_Encode4(1547373), // Rule ID 18872 //
     /* 1547296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1547299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1547313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1547316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547335 */     // MIs[0] round
     /* 1547335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547338 */     // MIs[0] policy
     /* 1547338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547348 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1547351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547372 */     // GIR_Coverage, 18872,
     /* 1547372 */     GIR_EraseRootFromParent_Done,
     /* 1547373 */   // Label 21489: @1547373
     /* 1547373 */   GIM_Try, /*On fail goto*//*Label 21490*/ GIMT_Encode4(1547455), // Rule ID 18873 //
     /* 1547378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1547381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1547395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1547398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547417 */     // MIs[0] round
     /* 1547417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547420 */     // MIs[0] policy
     /* 1547420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547430 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1547433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547454 */     // GIR_Coverage, 18873,
     /* 1547454 */     GIR_EraseRootFromParent_Done,
     /* 1547455 */   // Label 21490: @1547455
     /* 1547455 */   GIM_Try, /*On fail goto*//*Label 21491*/ GIMT_Encode4(1547537), // Rule ID 18876 //
     /* 1547460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1547463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1547480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547499 */     // MIs[0] round
     /* 1547499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547502 */     // MIs[0] policy
     /* 1547502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547512 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1547515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547536 */     // GIR_Coverage, 18876,
     /* 1547536 */     GIR_EraseRootFromParent_Done,
     /* 1547537 */   // Label 21491: @1547537
     /* 1547537 */   GIM_Try, /*On fail goto*//*Label 21492*/ GIMT_Encode4(1547619), // Rule ID 18877 //
     /* 1547542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1547545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1547562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547581 */     // MIs[0] round
     /* 1547581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547584 */     // MIs[0] policy
     /* 1547584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547594 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1547597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547618 */     // GIR_Coverage, 18877,
     /* 1547618 */     GIR_EraseRootFromParent_Done,
     /* 1547619 */   // Label 21492: @1547619
     /* 1547619 */   GIM_Try, /*On fail goto*//*Label 21493*/ GIMT_Encode4(1547701), // Rule ID 18880 //
     /* 1547624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1547627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1547641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1547644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547663 */     // MIs[0] round
     /* 1547663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547666 */     // MIs[0] policy
     /* 1547666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547676 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1547679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547700 */     // GIR_Coverage, 18880,
     /* 1547700 */     GIR_EraseRootFromParent_Done,
     /* 1547701 */   // Label 21493: @1547701
     /* 1547701 */   GIM_Try, /*On fail goto*//*Label 21494*/ GIMT_Encode4(1547783), // Rule ID 18881 //
     /* 1547706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1547709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1547723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1547726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547745 */     // MIs[0] round
     /* 1547745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547748 */     // MIs[0] policy
     /* 1547748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547758 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1547761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547782 */     // GIR_Coverage, 18881,
     /* 1547782 */     GIR_EraseRootFromParent_Done,
     /* 1547783 */   // Label 21494: @1547783
     /* 1547783 */   GIM_Try, /*On fail goto*//*Label 21495*/ GIMT_Encode4(1547865), // Rule ID 18884 //
     /* 1547788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1547791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1547805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1547808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547827 */     // MIs[0] round
     /* 1547827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547830 */     // MIs[0] policy
     /* 1547830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547840 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1547843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547864 */     // GIR_Coverage, 18884,
     /* 1547864 */     GIR_EraseRootFromParent_Done,
     /* 1547865 */   // Label 21495: @1547865
     /* 1547865 */   GIM_Try, /*On fail goto*//*Label 21496*/ GIMT_Encode4(1547947), // Rule ID 18885 //
     /* 1547870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1547873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1547887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1547890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547909 */     // MIs[0] round
     /* 1547909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547912 */     // MIs[0] policy
     /* 1547912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547922 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1547925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547946 */     // GIR_Coverage, 18885,
     /* 1547946 */     GIR_EraseRootFromParent_Done,
     /* 1547947 */   // Label 21496: @1547947
     /* 1547947 */   GIM_Try, /*On fail goto*//*Label 21497*/ GIMT_Encode4(1548029), // Rule ID 18888 //
     /* 1547952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1547955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1547963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1547966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1547969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1547972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547991 */     // MIs[0] round
     /* 1547991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547994 */     // MIs[0] policy
     /* 1547994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548004 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1548007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548028 */     // GIR_Coverage, 18888,
     /* 1548028 */     GIR_EraseRootFromParent_Done,
     /* 1548029 */   // Label 21497: @1548029
     /* 1548029 */   GIM_Try, /*On fail goto*//*Label 21498*/ GIMT_Encode4(1548111), // Rule ID 18889 //
     /* 1548034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1548037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1548051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1548054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548073 */     // MIs[0] round
     /* 1548073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548076 */     // MIs[0] policy
     /* 1548076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548086 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1548089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548110 */     // GIR_Coverage, 18889,
     /* 1548110 */     GIR_EraseRootFromParent_Done,
     /* 1548111 */   // Label 21498: @1548111
     /* 1548111 */   GIM_Try, /*On fail goto*//*Label 21499*/ GIMT_Encode4(1548193), // Rule ID 18892 //
     /* 1548116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1548119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1548133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1548136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548155 */     // MIs[0] round
     /* 1548155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548158 */     // MIs[0] policy
     /* 1548158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548168 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1548171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548192 */     // GIR_Coverage, 18892,
     /* 1548192 */     GIR_EraseRootFromParent_Done,
     /* 1548193 */   // Label 21499: @1548193
     /* 1548193 */   GIM_Try, /*On fail goto*//*Label 21500*/ GIMT_Encode4(1548275), // Rule ID 18893 //
     /* 1548198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1548201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1548215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1548218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548237 */     // MIs[0] round
     /* 1548237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548240 */     // MIs[0] policy
     /* 1548240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548250 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1548253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548274 */     // GIR_Coverage, 18893,
     /* 1548274 */     GIR_EraseRootFromParent_Done,
     /* 1548275 */   // Label 21500: @1548275
     /* 1548275 */   GIM_Try, /*On fail goto*//*Label 21501*/ GIMT_Encode4(1548357), // Rule ID 18896 //
     /* 1548280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1548300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548319 */     // MIs[0] round
     /* 1548319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548322 */     // MIs[0] policy
     /* 1548322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548332 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1548335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548356 */     // GIR_Coverage, 18896,
     /* 1548356 */     GIR_EraseRootFromParent_Done,
     /* 1548357 */   // Label 21501: @1548357
     /* 1548357 */   GIM_Try, /*On fail goto*//*Label 21502*/ GIMT_Encode4(1548439), // Rule ID 18897 //
     /* 1548362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1548382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548401 */     // MIs[0] round
     /* 1548401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548404 */     // MIs[0] policy
     /* 1548404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548414 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1548417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548438 */     // GIR_Coverage, 18897,
     /* 1548438 */     GIR_EraseRootFromParent_Done,
     /* 1548439 */   // Label 21502: @1548439
     /* 1548439 */   GIM_Try, /*On fail goto*//*Label 21503*/ GIMT_Encode4(1548521), // Rule ID 18900 //
     /* 1548444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1548455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1548458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1548464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548483 */     // MIs[0] round
     /* 1548483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548486 */     // MIs[0] policy
     /* 1548486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548496 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1548499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548520 */     // GIR_Coverage, 18900,
     /* 1548520 */     GIR_EraseRootFromParent_Done,
     /* 1548521 */   // Label 21503: @1548521
     /* 1548521 */   GIM_Try, /*On fail goto*//*Label 21504*/ GIMT_Encode4(1548603), // Rule ID 18901 //
     /* 1548526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1548537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1548540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1548546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548565 */     // MIs[0] round
     /* 1548565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548568 */     // MIs[0] policy
     /* 1548568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548578 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1548581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548602 */     // GIR_Coverage, 18901,
     /* 1548602 */     GIR_EraseRootFromParent_Done,
     /* 1548603 */   // Label 21504: @1548603
     /* 1548603 */   GIM_Try, /*On fail goto*//*Label 21505*/ GIMT_Encode4(1548685), // Rule ID 18904 //
     /* 1548608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1548619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1548622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1548628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548647 */     // MIs[0] round
     /* 1548647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548650 */     // MIs[0] policy
     /* 1548650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548660 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1548663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548684 */     // GIR_Coverage, 18904,
     /* 1548684 */     GIR_EraseRootFromParent_Done,
     /* 1548685 */   // Label 21505: @1548685
     /* 1548685 */   GIM_Try, /*On fail goto*//*Label 21506*/ GIMT_Encode4(1548767), // Rule ID 18905 //
     /* 1548690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1548701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1548704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1548710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548729 */     // MIs[0] round
     /* 1548729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548732 */     // MIs[0] policy
     /* 1548732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548742 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1548745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548766 */     // GIR_Coverage, 18905,
     /* 1548766 */     GIR_EraseRootFromParent_Done,
     /* 1548767 */   // Label 21506: @1548767
     /* 1548767 */   GIM_Try, /*On fail goto*//*Label 21507*/ GIMT_Encode4(1548849), // Rule ID 18908 //
     /* 1548772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1548783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1548786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1548792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548811 */     // MIs[0] round
     /* 1548811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548814 */     // MIs[0] policy
     /* 1548814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548824 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1548827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548848 */     // GIR_Coverage, 18908,
     /* 1548848 */     GIR_EraseRootFromParent_Done,
     /* 1548849 */   // Label 21507: @1548849
     /* 1548849 */   GIM_Try, /*On fail goto*//*Label 21508*/ GIMT_Encode4(1548931), // Rule ID 18909 //
     /* 1548854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1548865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1548868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1548874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548893 */     // MIs[0] round
     /* 1548893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548896 */     // MIs[0] policy
     /* 1548896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548906 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1548909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548930 */     // GIR_Coverage, 18909,
     /* 1548930 */     GIR_EraseRootFromParent_Done,
     /* 1548931 */   // Label 21508: @1548931
     /* 1548931 */   GIM_Try, /*On fail goto*//*Label 21509*/ GIMT_Encode4(1549013), // Rule ID 18912 //
     /* 1548936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1548944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1548947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1548950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1548956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548975 */     // MIs[0] round
     /* 1548975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548978 */     // MIs[0] policy
     /* 1548978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548988 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1548991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549012 */     // GIR_Coverage, 18912,
     /* 1549012 */     GIR_EraseRootFromParent_Done,
     /* 1549013 */   // Label 21509: @1549013
     /* 1549013 */   GIM_Try, /*On fail goto*//*Label 21510*/ GIMT_Encode4(1549095), // Rule ID 18913 //
     /* 1549018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1549021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1549026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1549029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1549032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1549035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1549038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1549053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549057 */     // MIs[0] round
     /* 1549057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549060 */     // MIs[0] policy
     /* 1549060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549070 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1549073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549094 */     // GIR_Coverage, 18913,
     /* 1549094 */     GIR_EraseRootFromParent_Done,
     /* 1549095 */   // Label 21510: @1549095
     /* 1549095 */   GIM_Try, /*On fail goto*//*Label 21511*/ GIMT_Encode4(1549177), // Rule ID 18916 //
     /* 1549100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1549103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1549108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1549111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1549114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1549120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549139 */     // MIs[0] round
     /* 1549139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549142 */     // MIs[0] policy
     /* 1549142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549152 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1549155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549176 */     // GIR_Coverage, 18916,
     /* 1549176 */     GIR_EraseRootFromParent_Done,
     /* 1549177 */   // Label 21511: @1549177
     /* 1549177 */   GIM_Try, /*On fail goto*//*Label 21512*/ GIMT_Encode4(1549259), // Rule ID 18917 //
     /* 1549182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1549185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1549190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1549193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1549196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1549202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549221 */     // MIs[0] round
     /* 1549221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549224 */     // MIs[0] policy
     /* 1549224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549234 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1549237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549258 */     // GIR_Coverage, 18917,
     /* 1549258 */     GIR_EraseRootFromParent_Done,
     /* 1549259 */   // Label 21512: @1549259
     /* 1549259 */   GIM_Try, /*On fail goto*//*Label 21513*/ GIMT_Encode4(1549341), // Rule ID 18920 //
     /* 1549264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1549267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1549272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1549275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1549278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1549284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549303 */     // MIs[0] round
     /* 1549303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549306 */     // MIs[0] policy
     /* 1549306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549316 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1549319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549340 */     // GIR_Coverage, 18920,
     /* 1549340 */     GIR_EraseRootFromParent_Done,
     /* 1549341 */   // Label 21513: @1549341
     /* 1549341 */   GIM_Try, /*On fail goto*//*Label 21514*/ GIMT_Encode4(1549423), // Rule ID 18921 //
     /* 1549346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1549349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1549354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1549357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1549360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1549366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549385 */     // MIs[0] round
     /* 1549385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549388 */     // MIs[0] policy
     /* 1549388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549398 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1549401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549422 */     // GIR_Coverage, 18921,
     /* 1549422 */     GIR_EraseRootFromParent_Done,
     /* 1549423 */   // Label 21514: @1549423
     /* 1549423 */   GIM_Try, /*On fail goto*//*Label 21515*/ GIMT_Encode4(1549505), // Rule ID 18924 //
     /* 1549428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1549431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1549436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1549439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1549442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1549448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549467 */     // MIs[0] round
     /* 1549467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549470 */     // MIs[0] policy
     /* 1549470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549480 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1549483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549504 */     // GIR_Coverage, 18924,
     /* 1549504 */     GIR_EraseRootFromParent_Done,
     /* 1549505 */   // Label 21515: @1549505
     /* 1549505 */   GIM_Try, /*On fail goto*//*Label 21516*/ GIMT_Encode4(1549587), // Rule ID 18925 //
     /* 1549510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1549513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1549518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1549521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1549524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1549530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549549 */     // MIs[0] round
     /* 1549549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549552 */     // MIs[0] policy
     /* 1549552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549562 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1549565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549586 */     // GIR_Coverage, 18925,
     /* 1549586 */     GIR_EraseRootFromParent_Done,
     /* 1549587 */   // Label 21516: @1549587
     /* 1549587 */   GIM_Try, /*On fail goto*//*Label 21517*/ GIMT_Encode4(1549669), // Rule ID 18928 //
     /* 1549592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1549595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1549600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1549603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1549606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1549612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549631 */     // MIs[0] round
     /* 1549631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549634 */     // MIs[0] policy
     /* 1549634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549644 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1549647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549668 */     // GIR_Coverage, 18928,
     /* 1549668 */     GIR_EraseRootFromParent_Done,
     /* 1549669 */   // Label 21517: @1549669
     /* 1549669 */   GIM_Try, /*On fail goto*//*Label 21518*/ GIMT_Encode4(1549751), // Rule ID 18929 //
     /* 1549674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1549677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1549682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1549685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1549688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1549694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549713 */     // MIs[0] round
     /* 1549713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549716 */     // MIs[0] policy
     /* 1549716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549726 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1549729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549750 */     // GIR_Coverage, 18929,
     /* 1549750 */     GIR_EraseRootFromParent_Done,
     /* 1549751 */   // Label 21518: @1549751
     /* 1549751 */   GIM_Try, /*On fail goto*//*Label 21519*/ GIMT_Encode4(1549833), // Rule ID 18932 //
     /* 1549756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1549759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1549767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1549770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1549773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1549776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549795 */     // MIs[0] round
     /* 1549795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549798 */     // MIs[0] policy
     /* 1549798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549808 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1549811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549832 */     // GIR_Coverage, 18932,
     /* 1549832 */     GIR_EraseRootFromParent_Done,
     /* 1549833 */   // Label 21519: @1549833
     /* 1549833 */   GIM_Try, /*On fail goto*//*Label 21520*/ GIMT_Encode4(1549915), // Rule ID 18933 //
     /* 1549838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1549841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1549849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1549852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1549855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1549858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549877 */     // MIs[0] round
     /* 1549877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549880 */     // MIs[0] policy
     /* 1549880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549890 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1549893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549914 */     // GIR_Coverage, 18933,
     /* 1549914 */     GIR_EraseRootFromParent_Done,
     /* 1549915 */   // Label 21520: @1549915
     /* 1549915 */   GIM_Try, /*On fail goto*//*Label 21521*/ GIMT_Encode4(1549997), // Rule ID 18936 //
     /* 1549920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1549923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1549931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1549934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1549937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1549940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549959 */     // MIs[0] round
     /* 1549959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549962 */     // MIs[0] policy
     /* 1549962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549972 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1549975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549996 */     // GIR_Coverage, 18936,
     /* 1549996 */     GIR_EraseRootFromParent_Done,
     /* 1549997 */   // Label 21521: @1549997
     /* 1549997 */   GIM_Try, /*On fail goto*//*Label 21522*/ GIMT_Encode4(1550079), // Rule ID 18937 //
     /* 1550002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1550005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1550013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1550016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1550019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1550022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550041 */     // MIs[0] round
     /* 1550041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550044 */     // MIs[0] policy
     /* 1550044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550054 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1550057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550078 */     // GIR_Coverage, 18937,
     /* 1550078 */     GIR_EraseRootFromParent_Done,
     /* 1550079 */   // Label 21522: @1550079
     /* 1550079 */   GIM_Try, /*On fail goto*//*Label 21523*/ GIMT_Encode4(1550161), // Rule ID 18940 //
     /* 1550084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1550087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1550095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1550098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1550101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1550104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550123 */     // MIs[0] round
     /* 1550123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550126 */     // MIs[0] policy
     /* 1550126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550136 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1550139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550160 */     // GIR_Coverage, 18940,
     /* 1550160 */     GIR_EraseRootFromParent_Done,
     /* 1550161 */   // Label 21523: @1550161
     /* 1550161 */   GIM_Try, /*On fail goto*//*Label 21524*/ GIMT_Encode4(1550243), // Rule ID 18941 //
     /* 1550166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1550169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1550177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1550180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1550183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1550186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550205 */     // MIs[0] round
     /* 1550205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550208 */     // MIs[0] policy
     /* 1550208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550218 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1550221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550242 */     // GIR_Coverage, 18941,
     /* 1550242 */     GIR_EraseRootFromParent_Done,
     /* 1550243 */   // Label 21524: @1550243
     /* 1550243 */   GIM_Try, /*On fail goto*//*Label 21525*/ GIMT_Encode4(1550325), // Rule ID 18944 //
     /* 1550248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1550251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1550259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1550262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1550265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1550268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550287 */     // MIs[0] round
     /* 1550287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550290 */     // MIs[0] policy
     /* 1550290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550300 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1550303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550324 */     // GIR_Coverage, 18944,
     /* 1550324 */     GIR_EraseRootFromParent_Done,
     /* 1550325 */   // Label 21525: @1550325
     /* 1550325 */   GIM_Try, /*On fail goto*//*Label 21526*/ GIMT_Encode4(1550407), // Rule ID 18945 //
     /* 1550330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1550333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1550341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1550344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1550347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1550350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550369 */     // MIs[0] round
     /* 1550369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550372 */     // MIs[0] policy
     /* 1550372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550382 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1550385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550406 */     // GIR_Coverage, 18945,
     /* 1550406 */     GIR_EraseRootFromParent_Done,
     /* 1550407 */   // Label 21526: @1550407
     /* 1550407 */   GIM_Try, /*On fail goto*//*Label 21527*/ GIMT_Encode4(1550489), // Rule ID 18948 //
     /* 1550412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1550415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1550423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1550426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1550429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1550432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550451 */     // MIs[0] round
     /* 1550451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550454 */     // MIs[0] policy
     /* 1550454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550464 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1550467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550488 */     // GIR_Coverage, 18948,
     /* 1550488 */     GIR_EraseRootFromParent_Done,
     /* 1550489 */   // Label 21527: @1550489
     /* 1550489 */   GIM_Try, /*On fail goto*//*Label 21528*/ GIMT_Encode4(1550571), // Rule ID 18949 //
     /* 1550494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1550497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1550505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1550508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1550511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1550514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550533 */     // MIs[0] round
     /* 1550533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550536 */     // MIs[0] policy
     /* 1550536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550546 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1550549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550570 */     // GIR_Coverage, 18949,
     /* 1550570 */     GIR_EraseRootFromParent_Done,
     /* 1550571 */   // Label 21528: @1550571
     /* 1550571 */   GIM_Try, /*On fail goto*//*Label 21529*/ GIMT_Encode4(1550653), // Rule ID 18952 //
     /* 1550576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1550579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1550587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1550590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1550596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550615 */     // MIs[0] round
     /* 1550615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550618 */     // MIs[0] policy
     /* 1550618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1550631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550652 */     // GIR_Coverage, 18952,
     /* 1550652 */     GIR_EraseRootFromParent_Done,
     /* 1550653 */   // Label 21529: @1550653
     /* 1550653 */   GIM_Try, /*On fail goto*//*Label 21530*/ GIMT_Encode4(1550735), // Rule ID 18953 //
     /* 1550658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1550661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1550669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1550672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1550678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550697 */     // MIs[0] round
     /* 1550697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550700 */     // MIs[0] policy
     /* 1550700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550710 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1550713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550734 */     // GIR_Coverage, 18953,
     /* 1550734 */     GIR_EraseRootFromParent_Done,
     /* 1550735 */   // Label 21530: @1550735
     /* 1550735 */   GIM_Try, /*On fail goto*//*Label 21531*/ GIMT_Encode4(1550817), // Rule ID 18956 //
     /* 1550740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1550743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1550751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1550754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1550757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1550760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550779 */     // MIs[0] round
     /* 1550779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550782 */     // MIs[0] policy
     /* 1550782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550792 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1550795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550816 */     // GIR_Coverage, 18956,
     /* 1550816 */     GIR_EraseRootFromParent_Done,
     /* 1550817 */   // Label 21531: @1550817
     /* 1550817 */   GIM_Try, /*On fail goto*//*Label 21532*/ GIMT_Encode4(1550899), // Rule ID 18957 //
     /* 1550822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1550825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1550833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1550836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1550839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1550842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550861 */     // MIs[0] round
     /* 1550861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550864 */     // MIs[0] policy
     /* 1550864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550874 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1550877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550898 */     // GIR_Coverage, 18957,
     /* 1550898 */     GIR_EraseRootFromParent_Done,
     /* 1550899 */   // Label 21532: @1550899
     /* 1550899 */   GIM_Try, /*On fail goto*//*Label 21533*/ GIMT_Encode4(1550981), // Rule ID 18960 //
     /* 1550904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1550907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1550915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1550918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1550921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1550924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550943 */     // MIs[0] round
     /* 1550943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550946 */     // MIs[0] policy
     /* 1550946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550956 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1550959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550980 */     // GIR_Coverage, 18960,
     /* 1550980 */     GIR_EraseRootFromParent_Done,
     /* 1550981 */   // Label 21533: @1550981
     /* 1550981 */   GIM_Try, /*On fail goto*//*Label 21534*/ GIMT_Encode4(1551063), // Rule ID 18961 //
     /* 1550986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1550989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1550997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1551000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1551003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1551006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551025 */     // MIs[0] round
     /* 1551025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551028 */     // MIs[0] policy
     /* 1551028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551038 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1551041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551062 */     // GIR_Coverage, 18961,
     /* 1551062 */     GIR_EraseRootFromParent_Done,
     /* 1551063 */   // Label 21534: @1551063
     /* 1551063 */   GIM_Try, /*On fail goto*//*Label 21535*/ GIMT_Encode4(1551145), // Rule ID 18964 //
     /* 1551068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1551071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1551079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1551082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1551085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1551088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551107 */     // MIs[0] round
     /* 1551107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551110 */     // MIs[0] policy
     /* 1551110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551120 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1551123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551144 */     // GIR_Coverage, 18964,
     /* 1551144 */     GIR_EraseRootFromParent_Done,
     /* 1551145 */   // Label 21535: @1551145
     /* 1551145 */   GIM_Try, /*On fail goto*//*Label 21536*/ GIMT_Encode4(1551227), // Rule ID 18965 //
     /* 1551150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1551153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1551161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1551164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1551167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1551170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551189 */     // MIs[0] round
     /* 1551189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551192 */     // MIs[0] policy
     /* 1551192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551202 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1551205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551226 */     // GIR_Coverage, 18965,
     /* 1551226 */     GIR_EraseRootFromParent_Done,
     /* 1551227 */   // Label 21536: @1551227
     /* 1551227 */   GIM_Try, /*On fail goto*//*Label 21537*/ GIMT_Encode4(1551309), // Rule ID 18968 //
     /* 1551232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1551235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1551243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1551246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1551252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551271 */     // MIs[0] round
     /* 1551271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551274 */     // MIs[0] policy
     /* 1551274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551284 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1551287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551308 */     // GIR_Coverage, 18968,
     /* 1551308 */     GIR_EraseRootFromParent_Done,
     /* 1551309 */   // Label 21537: @1551309
     /* 1551309 */   GIM_Try, /*On fail goto*//*Label 21538*/ GIMT_Encode4(1551391), // Rule ID 18969 //
     /* 1551314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1551325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1551328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1551334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551353 */     // MIs[0] round
     /* 1551353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551356 */     // MIs[0] policy
     /* 1551356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551366 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1551369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551390 */     // GIR_Coverage, 18969,
     /* 1551390 */     GIR_EraseRootFromParent_Done,
     /* 1551391 */   // Label 21538: @1551391
     /* 1551391 */   GIM_Try, /*On fail goto*//*Label 21539*/ GIMT_Encode4(1551473), // Rule ID 18972 //
     /* 1551396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1551399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1551407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1551410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1551416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551435 */     // MIs[0] round
     /* 1551435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551438 */     // MIs[0] policy
     /* 1551438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551448 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1551451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551472 */     // GIR_Coverage, 18972,
     /* 1551472 */     GIR_EraseRootFromParent_Done,
     /* 1551473 */   // Label 21539: @1551473
     /* 1551473 */   GIM_Try, /*On fail goto*//*Label 21540*/ GIMT_Encode4(1551555), // Rule ID 18973 //
     /* 1551478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1551489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1551492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1551498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551517 */     // MIs[0] round
     /* 1551517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551520 */     // MIs[0] policy
     /* 1551520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551530 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1551533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551554 */     // GIR_Coverage, 18973,
     /* 1551554 */     GIR_EraseRootFromParent_Done,
     /* 1551555 */   // Label 21540: @1551555
     /* 1551555 */   GIM_Try, /*On fail goto*//*Label 21541*/ GIMT_Encode4(1551637), // Rule ID 18976 //
     /* 1551560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1551563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1551580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551599 */     // MIs[0] round
     /* 1551599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551602 */     // MIs[0] policy
     /* 1551602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551612 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1551615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551636 */     // GIR_Coverage, 18976,
     /* 1551636 */     GIR_EraseRootFromParent_Done,
     /* 1551637 */   // Label 21541: @1551637
     /* 1551637 */   GIM_Try, /*On fail goto*//*Label 21542*/ GIMT_Encode4(1551719), // Rule ID 18977 //
     /* 1551642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1551662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551681 */     // MIs[0] round
     /* 1551681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551684 */     // MIs[0] policy
     /* 1551684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551694 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1551697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551718 */     // GIR_Coverage, 18977,
     /* 1551718 */     GIR_EraseRootFromParent_Done,
     /* 1551719 */   // Label 21542: @1551719
     /* 1551719 */   GIM_Try, /*On fail goto*//*Label 21543*/ GIMT_Encode4(1551801), // Rule ID 18980 //
     /* 1551724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1551727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1551744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551763 */     // MIs[0] round
     /* 1551763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551766 */     // MIs[0] policy
     /* 1551766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551776 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1551779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551800 */     // GIR_Coverage, 18980,
     /* 1551800 */     GIR_EraseRootFromParent_Done,
     /* 1551801 */   // Label 21543: @1551801
     /* 1551801 */   GIM_Try, /*On fail goto*//*Label 21544*/ GIMT_Encode4(1551883), // Rule ID 18981 //
     /* 1551806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1551826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551845 */     // MIs[0] round
     /* 1551845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551848 */     // MIs[0] policy
     /* 1551848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551858 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1551861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551882 */     // GIR_Coverage, 18981,
     /* 1551882 */     GIR_EraseRootFromParent_Done,
     /* 1551883 */   // Label 21544: @1551883
     /* 1551883 */   GIM_Try, /*On fail goto*//*Label 21545*/ GIMT_Encode4(1551965), // Rule ID 18984 //
     /* 1551888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1551891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1551899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1551902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1551908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1551923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551927 */     // MIs[0] round
     /* 1551927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551930 */     // MIs[0] policy
     /* 1551930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551940 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1551943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551964 */     // GIR_Coverage, 18984,
     /* 1551964 */     GIR_EraseRootFromParent_Done,
     /* 1551965 */   // Label 21545: @1551965
     /* 1551965 */   GIM_Try, /*On fail goto*//*Label 21546*/ GIMT_Encode4(1552047), // Rule ID 18985 //
     /* 1551970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1551978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1551981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1551984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1551987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1551990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1552005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552009 */     // MIs[0] round
     /* 1552009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552012 */     // MIs[0] policy
     /* 1552012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552022 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1552025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552046 */     // GIR_Coverage, 18985,
     /* 1552046 */     GIR_EraseRootFromParent_Done,
     /* 1552047 */   // Label 21546: @1552047
     /* 1552047 */   GIM_Try, /*On fail goto*//*Label 21547*/ GIMT_Encode4(1552129), // Rule ID 18988 //
     /* 1552052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1552055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1552060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1552063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1552066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1552069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1552072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1552087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552091 */     // MIs[0] round
     /* 1552091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552094 */     // MIs[0] policy
     /* 1552094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552104 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1552107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552128 */     // GIR_Coverage, 18988,
     /* 1552128 */     GIR_EraseRootFromParent_Done,
     /* 1552129 */   // Label 21547: @1552129
     /* 1552129 */   GIM_Try, /*On fail goto*//*Label 21548*/ GIMT_Encode4(1552211), // Rule ID 18989 //
     /* 1552134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1552137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1552142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1552145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1552148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1552151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1552154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1552169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552173 */     // MIs[0] round
     /* 1552173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552176 */     // MIs[0] policy
     /* 1552176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552186 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1552189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552210 */     // GIR_Coverage, 18989,
     /* 1552210 */     GIR_EraseRootFromParent_Done,
     /* 1552211 */   // Label 21548: @1552211
     /* 1552211 */   GIM_Try, /*On fail goto*//*Label 21549*/ GIMT_Encode4(1552293), // Rule ID 18992 //
     /* 1552216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1552219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1552224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1552227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1552230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1552233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1552236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1552251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552255 */     // MIs[0] round
     /* 1552255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552258 */     // MIs[0] policy
     /* 1552258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552268 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1552271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552292 */     // GIR_Coverage, 18992,
     /* 1552292 */     GIR_EraseRootFromParent_Done,
     /* 1552293 */   // Label 21549: @1552293
     /* 1552293 */   GIM_Try, /*On fail goto*//*Label 21550*/ GIMT_Encode4(1552375), // Rule ID 18993 //
     /* 1552298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1552301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1552306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1552309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1552312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1552315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1552318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1552333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552337 */     // MIs[0] round
     /* 1552337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552340 */     // MIs[0] policy
     /* 1552340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552350 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1552353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552374 */     // GIR_Coverage, 18993,
     /* 1552374 */     GIR_EraseRootFromParent_Done,
     /* 1552375 */   // Label 21550: @1552375
     /* 1552375 */   GIM_Try, /*On fail goto*//*Label 21551*/ GIMT_Encode4(1552457), // Rule ID 18996 //
     /* 1552380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1552383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1552388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1552397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1552400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1552415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552419 */     // MIs[0] round
     /* 1552419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552422 */     // MIs[0] policy
     /* 1552422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552432 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1552435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552456 */     // GIR_Coverage, 18996,
     /* 1552456 */     GIR_EraseRootFromParent_Done,
     /* 1552457 */   // Label 21551: @1552457
     /* 1552457 */   GIM_Try, /*On fail goto*//*Label 21552*/ GIMT_Encode4(1552539), // Rule ID 18997 //
     /* 1552462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1552465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1552470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1552479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1552482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1552497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552501 */     // MIs[0] round
     /* 1552501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552504 */     // MIs[0] policy
     /* 1552504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552514 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1552517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552538 */     // GIR_Coverage, 18997,
     /* 1552538 */     GIR_EraseRootFromParent_Done,
     /* 1552539 */   // Label 21552: @1552539
     /* 1552539 */   GIM_Try, /*On fail goto*//*Label 21553*/ GIMT_Encode4(1552621), // Rule ID 19000 //
     /* 1552544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1552547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1552552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1552561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1552564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1552579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552583 */     // MIs[0] round
     /* 1552583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552586 */     // MIs[0] policy
     /* 1552586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552596 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1552599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552620 */     // GIR_Coverage, 19000,
     /* 1552620 */     GIR_EraseRootFromParent_Done,
     /* 1552621 */   // Label 21553: @1552621
     /* 1552621 */   GIM_Try, /*On fail goto*//*Label 21554*/ GIMT_Encode4(1552703), // Rule ID 19001 //
     /* 1552626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1552629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1552634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1552643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1552646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1552661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552665 */     // MIs[0] round
     /* 1552665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552668 */     // MIs[0] policy
     /* 1552668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552678 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1552681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552702 */     // GIR_Coverage, 19001,
     /* 1552702 */     GIR_EraseRootFromParent_Done,
     /* 1552703 */   // Label 21554: @1552703
     /* 1552703 */   GIM_Try, /*On fail goto*//*Label 21555*/ GIMT_Encode4(1552785), // Rule ID 19006 //
     /* 1552708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1552711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1552719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1552722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1552725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552747 */     // MIs[0] round
     /* 1552747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552750 */     // MIs[0] policy
     /* 1552750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552760 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1552763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552784 */     // GIR_Coverage, 19006,
     /* 1552784 */     GIR_EraseRootFromParent_Done,
     /* 1552785 */   // Label 21555: @1552785
     /* 1552785 */   GIM_Try, /*On fail goto*//*Label 21556*/ GIMT_Encode4(1552867), // Rule ID 19007 //
     /* 1552790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1552793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1552801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1552804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1552807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552829 */     // MIs[0] round
     /* 1552829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552832 */     // MIs[0] policy
     /* 1552832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552842 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1552845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552866 */     // GIR_Coverage, 19007,
     /* 1552866 */     GIR_EraseRootFromParent_Done,
     /* 1552867 */   // Label 21556: @1552867
     /* 1552867 */   GIM_Try, /*On fail goto*//*Label 21557*/ GIMT_Encode4(1552949), // Rule ID 19010 //
     /* 1552872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1552875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1552883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1552886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1552889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552911 */     // MIs[0] round
     /* 1552911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552914 */     // MIs[0] policy
     /* 1552914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552924 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1552927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552948 */     // GIR_Coverage, 19010,
     /* 1552948 */     GIR_EraseRootFromParent_Done,
     /* 1552949 */   // Label 21557: @1552949
     /* 1552949 */   GIM_Try, /*On fail goto*//*Label 21558*/ GIMT_Encode4(1553031), // Rule ID 19011 //
     /* 1552954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1552957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1552965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1552968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1552971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552993 */     // MIs[0] round
     /* 1552993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552996 */     // MIs[0] policy
     /* 1552996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553006 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1553009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553030 */     // GIR_Coverage, 19011,
     /* 1553030 */     GIR_EraseRootFromParent_Done,
     /* 1553031 */   // Label 21558: @1553031
     /* 1553031 */   GIM_Try, /*On fail goto*//*Label 21559*/ GIMT_Encode4(1553113), // Rule ID 19014 //
     /* 1553036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1553039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1553053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553075 */     // MIs[0] round
     /* 1553075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553078 */     // MIs[0] policy
     /* 1553078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553088 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1553091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553112 */     // GIR_Coverage, 19014,
     /* 1553112 */     GIR_EraseRootFromParent_Done,
     /* 1553113 */   // Label 21559: @1553113
     /* 1553113 */   GIM_Try, /*On fail goto*//*Label 21560*/ GIMT_Encode4(1553195), // Rule ID 19015 //
     /* 1553118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1553121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1553135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553157 */     // MIs[0] round
     /* 1553157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553160 */     // MIs[0] policy
     /* 1553160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553170 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1553173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553194 */     // GIR_Coverage, 19015,
     /* 1553194 */     GIR_EraseRootFromParent_Done,
     /* 1553195 */   // Label 21560: @1553195
     /* 1553195 */   GIM_Try, /*On fail goto*//*Label 21561*/ GIMT_Encode4(1553277), // Rule ID 19018 //
     /* 1553200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1553203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553239 */     // MIs[0] round
     /* 1553239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553242 */     // MIs[0] policy
     /* 1553242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553252 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1553255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553276 */     // GIR_Coverage, 19018,
     /* 1553276 */     GIR_EraseRootFromParent_Done,
     /* 1553277 */   // Label 21561: @1553277
     /* 1553277 */   GIM_Try, /*On fail goto*//*Label 21562*/ GIMT_Encode4(1553359), // Rule ID 19019 //
     /* 1553282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1553285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553321 */     // MIs[0] round
     /* 1553321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553324 */     // MIs[0] policy
     /* 1553324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553334 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1553337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553358 */     // GIR_Coverage, 19019,
     /* 1553358 */     GIR_EraseRootFromParent_Done,
     /* 1553359 */   // Label 21562: @1553359
     /* 1553359 */   GIM_Try, /*On fail goto*//*Label 21563*/ GIMT_Encode4(1553441), // Rule ID 19022 //
     /* 1553364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1553367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553403 */     // MIs[0] round
     /* 1553403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553406 */     // MIs[0] policy
     /* 1553406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553416 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1553419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553440 */     // GIR_Coverage, 19022,
     /* 1553440 */     GIR_EraseRootFromParent_Done,
     /* 1553441 */   // Label 21563: @1553441
     /* 1553441 */   GIM_Try, /*On fail goto*//*Label 21564*/ GIMT_Encode4(1553523), // Rule ID 19023 //
     /* 1553446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1553449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553485 */     // MIs[0] round
     /* 1553485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553488 */     // MIs[0] policy
     /* 1553488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553498 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1553501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553522 */     // GIR_Coverage, 19023,
     /* 1553522 */     GIR_EraseRootFromParent_Done,
     /* 1553523 */   // Label 21564: @1553523
     /* 1553523 */   GIM_Try, /*On fail goto*//*Label 21565*/ GIMT_Encode4(1553605), // Rule ID 19026 //
     /* 1553528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1553531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1553539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1553542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1553545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553567 */     // MIs[0] round
     /* 1553567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553570 */     // MIs[0] policy
     /* 1553570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553580 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1553583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553604 */     // GIR_Coverage, 19026,
     /* 1553604 */     GIR_EraseRootFromParent_Done,
     /* 1553605 */   // Label 21565: @1553605
     /* 1553605 */   GIM_Try, /*On fail goto*//*Label 21566*/ GIMT_Encode4(1553687), // Rule ID 19027 //
     /* 1553610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1553613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1553621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1553624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1553627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553649 */     // MIs[0] round
     /* 1553649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553652 */     // MIs[0] policy
     /* 1553652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553662 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1553665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553686 */     // GIR_Coverage, 19027,
     /* 1553686 */     GIR_EraseRootFromParent_Done,
     /* 1553687 */   // Label 21566: @1553687
     /* 1553687 */   GIM_Try, /*On fail goto*//*Label 21567*/ GIMT_Encode4(1553769), // Rule ID 19030 //
     /* 1553692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1553695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1553703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1553706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1553709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553731 */     // MIs[0] round
     /* 1553731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553734 */     // MIs[0] policy
     /* 1553734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553744 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1553747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553768 */     // GIR_Coverage, 19030,
     /* 1553768 */     GIR_EraseRootFromParent_Done,
     /* 1553769 */   // Label 21567: @1553769
     /* 1553769 */   GIM_Try, /*On fail goto*//*Label 21568*/ GIMT_Encode4(1553851), // Rule ID 19031 //
     /* 1553774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1553777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1553785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1553788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1553791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553813 */     // MIs[0] round
     /* 1553813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553816 */     // MIs[0] policy
     /* 1553816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553826 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1553829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553850 */     // GIR_Coverage, 19031,
     /* 1553850 */     GIR_EraseRootFromParent_Done,
     /* 1553851 */   // Label 21568: @1553851
     /* 1553851 */   GIM_Try, /*On fail goto*//*Label 21569*/ GIMT_Encode4(1553933), // Rule ID 19034 //
     /* 1553856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1553859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1553867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1553870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1553873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1553876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553895 */     // MIs[0] round
     /* 1553895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553898 */     // MIs[0] policy
     /* 1553898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553908 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1553911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553932 */     // GIR_Coverage, 19034,
     /* 1553932 */     GIR_EraseRootFromParent_Done,
     /* 1553933 */   // Label 21569: @1553933
     /* 1553933 */   GIM_Try, /*On fail goto*//*Label 21570*/ GIMT_Encode4(1554015), // Rule ID 19035 //
     /* 1553938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1553941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1553946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1553949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1553952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1553955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1553958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553977 */     // MIs[0] round
     /* 1553977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553980 */     // MIs[0] policy
     /* 1553980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553990 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1553993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554014 */     // GIR_Coverage, 19035,
     /* 1554014 */     GIR_EraseRootFromParent_Done,
     /* 1554015 */   // Label 21570: @1554015
     /* 1554015 */   GIM_Try, /*On fail goto*//*Label 21571*/ GIMT_Encode4(1554097), // Rule ID 19038 //
     /* 1554020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1554023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1554037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554059 */     // MIs[0] round
     /* 1554059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554062 */     // MIs[0] policy
     /* 1554062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554072 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1554075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554096 */     // GIR_Coverage, 19038,
     /* 1554096 */     GIR_EraseRootFromParent_Done,
     /* 1554097 */   // Label 21571: @1554097
     /* 1554097 */   GIM_Try, /*On fail goto*//*Label 21572*/ GIMT_Encode4(1554179), // Rule ID 19039 //
     /* 1554102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1554105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1554119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554141 */     // MIs[0] round
     /* 1554141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554144 */     // MIs[0] policy
     /* 1554144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554154 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1554157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554178 */     // GIR_Coverage, 19039,
     /* 1554178 */     GIR_EraseRootFromParent_Done,
     /* 1554179 */   // Label 21572: @1554179
     /* 1554179 */   GIM_Try, /*On fail goto*//*Label 21573*/ GIMT_Encode4(1554261), // Rule ID 19042 //
     /* 1554184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1554187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1554201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554223 */     // MIs[0] round
     /* 1554223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554226 */     // MIs[0] policy
     /* 1554226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554236 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1554239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554260 */     // GIR_Coverage, 19042,
     /* 1554260 */     GIR_EraseRootFromParent_Done,
     /* 1554261 */   // Label 21573: @1554261
     /* 1554261 */   GIM_Try, /*On fail goto*//*Label 21574*/ GIMT_Encode4(1554343), // Rule ID 19043 //
     /* 1554266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1554269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1554283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554305 */     // MIs[0] round
     /* 1554305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554308 */     // MIs[0] policy
     /* 1554308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554318 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1554321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554342 */     // GIR_Coverage, 19043,
     /* 1554342 */     GIR_EraseRootFromParent_Done,
     /* 1554343 */   // Label 21574: @1554343
     /* 1554343 */   GIM_Try, /*On fail goto*//*Label 21575*/ GIMT_Encode4(1554425), // Rule ID 19046 //
     /* 1554348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1554351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1554365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554387 */     // MIs[0] round
     /* 1554387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554390 */     // MIs[0] policy
     /* 1554390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554400 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1554403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554424 */     // GIR_Coverage, 19046,
     /* 1554424 */     GIR_EraseRootFromParent_Done,
     /* 1554425 */   // Label 21575: @1554425
     /* 1554425 */   GIM_Try, /*On fail goto*//*Label 21576*/ GIMT_Encode4(1554507), // Rule ID 19047 //
     /* 1554430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1554433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1554447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554469 */     // MIs[0] round
     /* 1554469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554472 */     // MIs[0] policy
     /* 1554472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554482 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1554485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554506 */     // GIR_Coverage, 19047,
     /* 1554506 */     GIR_EraseRootFromParent_Done,
     /* 1554507 */   // Label 21576: @1554507
     /* 1554507 */   GIM_Try, /*On fail goto*//*Label 21577*/ GIMT_Encode4(1554589), // Rule ID 19050 //
     /* 1554512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1554515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1554523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1554526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1554529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554551 */     // MIs[0] round
     /* 1554551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554554 */     // MIs[0] policy
     /* 1554554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554564 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1554567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554588 */     // GIR_Coverage, 19050,
     /* 1554588 */     GIR_EraseRootFromParent_Done,
     /* 1554589 */   // Label 21577: @1554589
     /* 1554589 */   GIM_Try, /*On fail goto*//*Label 21578*/ GIMT_Encode4(1554671), // Rule ID 19051 //
     /* 1554594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1554597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1554605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1554608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1554611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554633 */     // MIs[0] round
     /* 1554633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554636 */     // MIs[0] policy
     /* 1554636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554646 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1554649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554670 */     // GIR_Coverage, 19051,
     /* 1554670 */     GIR_EraseRootFromParent_Done,
     /* 1554671 */   // Label 21578: @1554671
     /* 1554671 */   GIM_Try, /*On fail goto*//*Label 21579*/ GIMT_Encode4(1554753), // Rule ID 19054 //
     /* 1554676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1554679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1554687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1554690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1554693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554715 */     // MIs[0] round
     /* 1554715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554718 */     // MIs[0] policy
     /* 1554718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554728 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1554731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554752 */     // GIR_Coverage, 19054,
     /* 1554752 */     GIR_EraseRootFromParent_Done,
     /* 1554753 */   // Label 21579: @1554753
     /* 1554753 */   GIM_Try, /*On fail goto*//*Label 21580*/ GIMT_Encode4(1554835), // Rule ID 19055 //
     /* 1554758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1554761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1554769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1554772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1554775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554797 */     // MIs[0] round
     /* 1554797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554800 */     // MIs[0] policy
     /* 1554800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554810 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1554813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554834 */     // GIR_Coverage, 19055,
     /* 1554834 */     GIR_EraseRootFromParent_Done,
     /* 1554835 */   // Label 21580: @1554835
     /* 1554835 */   GIM_Try, /*On fail goto*//*Label 21581*/ GIMT_Encode4(1554917), // Rule ID 19058 //
     /* 1554840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1554843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1554851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1554854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1554857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554879 */     // MIs[0] round
     /* 1554879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554882 */     // MIs[0] policy
     /* 1554882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554892 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1554895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554916 */     // GIR_Coverage, 19058,
     /* 1554916 */     GIR_EraseRootFromParent_Done,
     /* 1554917 */   // Label 21581: @1554917
     /* 1554917 */   GIM_Try, /*On fail goto*//*Label 21582*/ GIMT_Encode4(1554999), // Rule ID 19059 //
     /* 1554922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1554925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1554930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1554933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1554936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1554939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554961 */     // MIs[0] round
     /* 1554961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554964 */     // MIs[0] policy
     /* 1554964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554974 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1554977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554998 */     // GIR_Coverage, 19059,
     /* 1554998 */     GIR_EraseRootFromParent_Done,
     /* 1554999 */   // Label 21582: @1554999
     /* 1554999 */   GIM_Try, /*On fail goto*//*Label 21583*/ GIMT_Encode4(1555081), // Rule ID 19118 //
     /* 1555004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1555007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1555015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1555018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1555021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555043 */     // MIs[0] round
     /* 1555043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555046 */     // MIs[0] policy
     /* 1555046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555056 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1555059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555080 */     // GIR_Coverage, 19118,
     /* 1555080 */     GIR_EraseRootFromParent_Done,
     /* 1555081 */   // Label 21583: @1555081
     /* 1555081 */   GIM_Try, /*On fail goto*//*Label 21584*/ GIMT_Encode4(1555163), // Rule ID 19119 //
     /* 1555086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1555089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1555097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1555100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1555103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555125 */     // MIs[0] round
     /* 1555125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555128 */     // MIs[0] policy
     /* 1555128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555138 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1555141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555162 */     // GIR_Coverage, 19119,
     /* 1555162 */     GIR_EraseRootFromParent_Done,
     /* 1555163 */   // Label 21584: @1555163
     /* 1555163 */   GIM_Try, /*On fail goto*//*Label 21585*/ GIMT_Encode4(1555245), // Rule ID 19122 //
     /* 1555168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1555171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1555179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1555182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1555185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555207 */     // MIs[0] round
     /* 1555207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555210 */     // MIs[0] policy
     /* 1555210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555220 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1555223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555244 */     // GIR_Coverage, 19122,
     /* 1555244 */     GIR_EraseRootFromParent_Done,
     /* 1555245 */   // Label 21585: @1555245
     /* 1555245 */   GIM_Try, /*On fail goto*//*Label 21586*/ GIMT_Encode4(1555327), // Rule ID 19123 //
     /* 1555250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1555253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1555261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1555264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1555267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555289 */     // MIs[0] round
     /* 1555289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555292 */     // MIs[0] policy
     /* 1555292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555302 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1555305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555326 */     // GIR_Coverage, 19123,
     /* 1555326 */     GIR_EraseRootFromParent_Done,
     /* 1555327 */   // Label 21586: @1555327
     /* 1555327 */   GIM_Try, /*On fail goto*//*Label 21587*/ GIMT_Encode4(1555409), // Rule ID 19126 //
     /* 1555332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1555335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1555349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555371 */     // MIs[0] round
     /* 1555371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555374 */     // MIs[0] policy
     /* 1555374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555384 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1555387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555408 */     // GIR_Coverage, 19126,
     /* 1555408 */     GIR_EraseRootFromParent_Done,
     /* 1555409 */   // Label 21587: @1555409
     /* 1555409 */   GIM_Try, /*On fail goto*//*Label 21588*/ GIMT_Encode4(1555491), // Rule ID 19127 //
     /* 1555414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1555417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1555431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555453 */     // MIs[0] round
     /* 1555453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555456 */     // MIs[0] policy
     /* 1555456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555466 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1555469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555490 */     // GIR_Coverage, 19127,
     /* 1555490 */     GIR_EraseRootFromParent_Done,
     /* 1555491 */   // Label 21588: @1555491
     /* 1555491 */   GIM_Try, /*On fail goto*//*Label 21589*/ GIMT_Encode4(1555573), // Rule ID 19130 //
     /* 1555496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1555499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555535 */     // MIs[0] round
     /* 1555535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555538 */     // MIs[0] policy
     /* 1555538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555548 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1555551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555572 */     // GIR_Coverage, 19130,
     /* 1555572 */     GIR_EraseRootFromParent_Done,
     /* 1555573 */   // Label 21589: @1555573
     /* 1555573 */   GIM_Try, /*On fail goto*//*Label 21590*/ GIMT_Encode4(1555655), // Rule ID 19131 //
     /* 1555578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1555581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555617 */     // MIs[0] round
     /* 1555617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555620 */     // MIs[0] policy
     /* 1555620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555630 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1555633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555654 */     // GIR_Coverage, 19131,
     /* 1555654 */     GIR_EraseRootFromParent_Done,
     /* 1555655 */   // Label 21590: @1555655
     /* 1555655 */   GIM_Try, /*On fail goto*//*Label 21591*/ GIMT_Encode4(1555737), // Rule ID 19134 //
     /* 1555660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1555663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1555677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555699 */     // MIs[0] round
     /* 1555699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555702 */     // MIs[0] policy
     /* 1555702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555712 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1555715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555736 */     // GIR_Coverage, 19134,
     /* 1555736 */     GIR_EraseRootFromParent_Done,
     /* 1555737 */   // Label 21591: @1555737
     /* 1555737 */   GIM_Try, /*On fail goto*//*Label 21592*/ GIMT_Encode4(1555819), // Rule ID 19135 //
     /* 1555742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1555745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1555759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555781 */     // MIs[0] round
     /* 1555781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555784 */     // MIs[0] policy
     /* 1555784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555794 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1555797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555818 */     // GIR_Coverage, 19135,
     /* 1555818 */     GIR_EraseRootFromParent_Done,
     /* 1555819 */   // Label 21592: @1555819
     /* 1555819 */   GIM_Try, /*On fail goto*//*Label 21593*/ GIMT_Encode4(1555901), // Rule ID 19138 //
     /* 1555824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1555827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1555835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1555838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1555841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555863 */     // MIs[0] round
     /* 1555863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555866 */     // MIs[0] policy
     /* 1555866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555876 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1555879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555900 */     // GIR_Coverage, 19138,
     /* 1555900 */     GIR_EraseRootFromParent_Done,
     /* 1555901 */   // Label 21593: @1555901
     /* 1555901 */   GIM_Try, /*On fail goto*//*Label 21594*/ GIMT_Encode4(1555983), // Rule ID 19139 //
     /* 1555906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1555909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1555917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1555920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1555923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555945 */     // MIs[0] round
     /* 1555945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555948 */     // MIs[0] policy
     /* 1555948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555958 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1555961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555982 */     // GIR_Coverage, 19139,
     /* 1555982 */     GIR_EraseRootFromParent_Done,
     /* 1555983 */   // Label 21594: @1555983
     /* 1555983 */   GIM_Try, /*On fail goto*//*Label 21595*/ GIMT_Encode4(1556065), // Rule ID 19142 //
     /* 1555988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1555991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1555996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1555999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1556002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1556005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556027 */     // MIs[0] round
     /* 1556027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556030 */     // MIs[0] policy
     /* 1556030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556040 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1556043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556064 */     // GIR_Coverage, 19142,
     /* 1556064 */     GIR_EraseRootFromParent_Done,
     /* 1556065 */   // Label 21595: @1556065
     /* 1556065 */   GIM_Try, /*On fail goto*//*Label 21596*/ GIMT_Encode4(1556147), // Rule ID 19143 //
     /* 1556070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1556073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1556081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1556084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1556087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556109 */     // MIs[0] round
     /* 1556109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556112 */     // MIs[0] policy
     /* 1556112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556122 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1556125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556146 */     // GIR_Coverage, 19143,
     /* 1556146 */     GIR_EraseRootFromParent_Done,
     /* 1556147 */   // Label 21596: @1556147
     /* 1556147 */   GIM_Try, /*On fail goto*//*Label 21597*/ GIMT_Encode4(1556229), // Rule ID 19146 //
     /* 1556152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1556155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1556163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1556166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1556169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556191 */     // MIs[0] round
     /* 1556191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556194 */     // MIs[0] policy
     /* 1556194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556204 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1556207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556228 */     // GIR_Coverage, 19146,
     /* 1556228 */     GIR_EraseRootFromParent_Done,
     /* 1556229 */   // Label 21597: @1556229
     /* 1556229 */   GIM_Try, /*On fail goto*//*Label 21598*/ GIMT_Encode4(1556311), // Rule ID 19147 //
     /* 1556234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1556237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1556245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1556248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1556251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556273 */     // MIs[0] round
     /* 1556273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556276 */     // MIs[0] policy
     /* 1556276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556286 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1556289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556310 */     // GIR_Coverage, 19147,
     /* 1556310 */     GIR_EraseRootFromParent_Done,
     /* 1556311 */   // Label 21598: @1556311
     /* 1556311 */   GIM_Try, /*On fail goto*//*Label 21599*/ GIMT_Encode4(1556393), // Rule ID 19150 //
     /* 1556316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1556319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1556327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1556330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1556333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1556336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556355 */     // MIs[0] round
     /* 1556355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556358 */     // MIs[0] policy
     /* 1556358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556368 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1556371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556392 */     // GIR_Coverage, 19150,
     /* 1556392 */     GIR_EraseRootFromParent_Done,
     /* 1556393 */   // Label 21599: @1556393
     /* 1556393 */   GIM_Try, /*On fail goto*//*Label 21600*/ GIMT_Encode4(1556475), // Rule ID 19151 //
     /* 1556398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1556401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1556409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1556412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1556415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1556418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556437 */     // MIs[0] round
     /* 1556437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556440 */     // MIs[0] policy
     /* 1556440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556450 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1556453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556474 */     // GIR_Coverage, 19151,
     /* 1556474 */     GIR_EraseRootFromParent_Done,
     /* 1556475 */   // Label 21600: @1556475
     /* 1556475 */   GIM_Try, /*On fail goto*//*Label 21601*/ GIMT_Encode4(1556557), // Rule ID 19154 //
     /* 1556480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1556483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556519 */     // MIs[0] round
     /* 1556519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556522 */     // MIs[0] policy
     /* 1556522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556532 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1556535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556556 */     // GIR_Coverage, 19154,
     /* 1556556 */     GIR_EraseRootFromParent_Done,
     /* 1556557 */   // Label 21601: @1556557
     /* 1556557 */   GIM_Try, /*On fail goto*//*Label 21602*/ GIMT_Encode4(1556639), // Rule ID 19155 //
     /* 1556562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1556565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556601 */     // MIs[0] round
     /* 1556601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556604 */     // MIs[0] policy
     /* 1556604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556614 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1556617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556638 */     // GIR_Coverage, 19155,
     /* 1556638 */     GIR_EraseRootFromParent_Done,
     /* 1556639 */   // Label 21602: @1556639
     /* 1556639 */   GIM_Try, /*On fail goto*//*Label 21603*/ GIMT_Encode4(1556721), // Rule ID 19158 //
     /* 1556644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1556647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1556661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556683 */     // MIs[0] round
     /* 1556683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556686 */     // MIs[0] policy
     /* 1556686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556696 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1556699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556720 */     // GIR_Coverage, 19158,
     /* 1556720 */     GIR_EraseRootFromParent_Done,
     /* 1556721 */   // Label 21603: @1556721
     /* 1556721 */   GIM_Try, /*On fail goto*//*Label 21604*/ GIMT_Encode4(1556803), // Rule ID 19159 //
     /* 1556726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1556729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1556743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556765 */     // MIs[0] round
     /* 1556765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556768 */     // MIs[0] policy
     /* 1556768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556778 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1556781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556802 */     // GIR_Coverage, 19159,
     /* 1556802 */     GIR_EraseRootFromParent_Done,
     /* 1556803 */   // Label 21604: @1556803
     /* 1556803 */   GIM_Try, /*On fail goto*//*Label 21605*/ GIMT_Encode4(1556885), // Rule ID 19162 //
     /* 1556808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1556811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1556825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556847 */     // MIs[0] round
     /* 1556847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556850 */     // MIs[0] policy
     /* 1556850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556860 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1556863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556884 */     // GIR_Coverage, 19162,
     /* 1556884 */     GIR_EraseRootFromParent_Done,
     /* 1556885 */   // Label 21605: @1556885
     /* 1556885 */   GIM_Try, /*On fail goto*//*Label 21606*/ GIMT_Encode4(1556967), // Rule ID 19163 //
     /* 1556890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1556893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1556907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556929 */     // MIs[0] round
     /* 1556929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556932 */     // MIs[0] policy
     /* 1556932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556942 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1556945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556966 */     // GIR_Coverage, 19163,
     /* 1556966 */     GIR_EraseRootFromParent_Done,
     /* 1556967 */   // Label 21606: @1556967
     /* 1556967 */   GIM_Try, /*On fail goto*//*Label 21607*/ GIMT_Encode4(1557049), // Rule ID 19166 //
     /* 1556972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1556975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1556980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1556983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1556986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1556989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557011 */     // MIs[0] round
     /* 1557011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557014 */     // MIs[0] policy
     /* 1557014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557024 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1557027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557048 */     // GIR_Coverage, 19166,
     /* 1557048 */     GIR_EraseRootFromParent_Done,
     /* 1557049 */   // Label 21607: @1557049
     /* 1557049 */   GIM_Try, /*On fail goto*//*Label 21608*/ GIMT_Encode4(1557131), // Rule ID 19167 //
     /* 1557054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1557057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1557062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1557065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1557068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1557071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557093 */     // MIs[0] round
     /* 1557093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557096 */     // MIs[0] policy
     /* 1557096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557106 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1557109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557130 */     // GIR_Coverage, 19167,
     /* 1557130 */     GIR_EraseRootFromParent_Done,
     /* 1557131 */   // Label 21608: @1557131
     /* 1557131 */   GIM_Try, /*On fail goto*//*Label 21609*/ GIMT_Encode4(1557213), // Rule ID 19170 //
     /* 1557136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1557139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1557144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1557147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1557150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1557153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557175 */     // MIs[0] round
     /* 1557175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557178 */     // MIs[0] policy
     /* 1557178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557188 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1557191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557212 */     // GIR_Coverage, 19170,
     /* 1557212 */     GIR_EraseRootFromParent_Done,
     /* 1557213 */   // Label 21609: @1557213
     /* 1557213 */   GIM_Try, /*On fail goto*//*Label 21610*/ GIMT_Encode4(1557295), // Rule ID 19171 //
     /* 1557218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1557221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1557226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1557229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1557232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1557235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557257 */     // MIs[0] round
     /* 1557257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557260 */     // MIs[0] policy
     /* 1557260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557270 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1557273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557279 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557294 */     // GIR_Coverage, 19171,
     /* 1557294 */     GIR_EraseRootFromParent_Done,
     /* 1557295 */   // Label 21610: @1557295
     /* 1557295 */   GIM_Try, /*On fail goto*//*Label 21611*/ GIMT_Encode4(1557377), // Rule ID 19174 //
     /* 1557300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1557303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1557308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1557311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1557314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1557317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557339 */     // MIs[0] round
     /* 1557339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557342 */     // MIs[0] policy
     /* 1557342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557352 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1557355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557376 */     // GIR_Coverage, 19174,
     /* 1557376 */     GIR_EraseRootFromParent_Done,
     /* 1557377 */   // Label 21611: @1557377
     /* 1557377 */   GIM_Try, /*On fail goto*//*Label 21612*/ GIMT_Encode4(1557459), // Rule ID 19175 //
     /* 1557382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1557385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1557390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1557393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1557396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1557399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557421 */     // MIs[0] round
     /* 1557421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557424 */     // MIs[0] policy
     /* 1557424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557434 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1557437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557458 */     // GIR_Coverage, 19175,
     /* 1557458 */     GIR_EraseRootFromParent_Done,
     /* 1557459 */   // Label 21612: @1557459
     /* 1557459 */   GIM_Try, /*On fail goto*//*Label 21613*/ GIMT_Encode4(1557541), // Rule ID 20760 //
     /* 1557464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1557475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1557478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1557481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557503 */     // MIs[0] round
     /* 1557503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557506 */     // MIs[0] policy
     /* 1557506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1557519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557540 */     // GIR_Coverage, 20760,
     /* 1557540 */     GIR_EraseRootFromParent_Done,
     /* 1557541 */   // Label 21613: @1557541
     /* 1557541 */   GIM_Try, /*On fail goto*//*Label 21614*/ GIMT_Encode4(1557623), // Rule ID 20761 //
     /* 1557546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1557557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1557560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1557563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557585 */     // MIs[0] round
     /* 1557585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557588 */     // MIs[0] policy
     /* 1557588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557598 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1557601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557622 */     // GIR_Coverage, 20761,
     /* 1557622 */     GIR_EraseRootFromParent_Done,
     /* 1557623 */   // Label 21614: @1557623
     /* 1557623 */   GIM_Try, /*On fail goto*//*Label 21615*/ GIMT_Encode4(1557705), // Rule ID 20764 //
     /* 1557628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557667 */     // MIs[0] round
     /* 1557667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557670 */     // MIs[0] policy
     /* 1557670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557680 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1557683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557704 */     // GIR_Coverage, 20764,
     /* 1557704 */     GIR_EraseRootFromParent_Done,
     /* 1557705 */   // Label 21615: @1557705
     /* 1557705 */   GIM_Try, /*On fail goto*//*Label 21616*/ GIMT_Encode4(1557787), // Rule ID 20765 //
     /* 1557710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557749 */     // MIs[0] round
     /* 1557749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557752 */     // MIs[0] policy
     /* 1557752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557762 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1557765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557786 */     // GIR_Coverage, 20765,
     /* 1557786 */     GIR_EraseRootFromParent_Done,
     /* 1557787 */   // Label 21616: @1557787
     /* 1557787 */   GIM_Try, /*On fail goto*//*Label 21617*/ GIMT_Encode4(1557869), // Rule ID 20768 //
     /* 1557792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1557803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1557806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1557809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557831 */     // MIs[0] round
     /* 1557831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557834 */     // MIs[0] policy
     /* 1557834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1557847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557868 */     // GIR_Coverage, 20768,
     /* 1557868 */     GIR_EraseRootFromParent_Done,
     /* 1557869 */   // Label 21617: @1557869
     /* 1557869 */   GIM_Try, /*On fail goto*//*Label 21618*/ GIMT_Encode4(1557951), // Rule ID 20769 //
     /* 1557874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1557885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1557888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1557891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557913 */     // MIs[0] round
     /* 1557913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557916 */     // MIs[0] policy
     /* 1557916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557926 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1557929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557935 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557950 */     // GIR_Coverage, 20769,
     /* 1557950 */     GIR_EraseRootFromParent_Done,
     /* 1557951 */   // Label 21618: @1557951
     /* 1557951 */   GIM_Try, /*On fail goto*//*Label 21619*/ GIMT_Encode4(1558033), // Rule ID 20772 //
     /* 1557956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1557967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1557970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1557973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557995 */     // MIs[0] round
     /* 1557995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557998 */     // MIs[0] policy
     /* 1557998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1558011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558032 */     // GIR_Coverage, 20772,
     /* 1558032 */     GIR_EraseRootFromParent_Done,
     /* 1558033 */   // Label 21619: @1558033
     /* 1558033 */   GIM_Try, /*On fail goto*//*Label 21620*/ GIMT_Encode4(1558115), // Rule ID 20773 //
     /* 1558038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1558049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1558052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1558055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558077 */     // MIs[0] round
     /* 1558077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558080 */     // MIs[0] policy
     /* 1558080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558090 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1558093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558114 */     // GIR_Coverage, 20773,
     /* 1558114 */     GIR_EraseRootFromParent_Done,
     /* 1558115 */   // Label 21620: @1558115
     /* 1558115 */   GIM_Try, /*On fail goto*//*Label 21621*/ GIMT_Encode4(1558197), // Rule ID 20776 //
     /* 1558120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1558123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1558131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1558134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558159 */     // MIs[0] round
     /* 1558159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558162 */     // MIs[0] policy
     /* 1558162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1558175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558196 */     // GIR_Coverage, 20776,
     /* 1558196 */     GIR_EraseRootFromParent_Done,
     /* 1558197 */   // Label 21621: @1558197
     /* 1558197 */   GIM_Try, /*On fail goto*//*Label 21622*/ GIMT_Encode4(1558279), // Rule ID 20777 //
     /* 1558202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1558205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1558213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1558216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558241 */     // MIs[0] round
     /* 1558241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558244 */     // MIs[0] policy
     /* 1558244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558254 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1558257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558278 */     // GIR_Coverage, 20777,
     /* 1558278 */     GIR_EraseRootFromParent_Done,
     /* 1558279 */   // Label 21622: @1558279
     /* 1558279 */   GIM_Try, /*On fail goto*//*Label 21623*/ GIMT_Encode4(1558361), // Rule ID 20780 //
     /* 1558284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1558301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558323 */     // MIs[0] round
     /* 1558323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558326 */     // MIs[0] policy
     /* 1558326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558336 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1558339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558360 */     // GIR_Coverage, 20780,
     /* 1558360 */     GIR_EraseRootFromParent_Done,
     /* 1558361 */   // Label 21623: @1558361
     /* 1558361 */   GIM_Try, /*On fail goto*//*Label 21624*/ GIMT_Encode4(1558443), // Rule ID 20781 //
     /* 1558366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1558383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558405 */     // MIs[0] round
     /* 1558405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558408 */     // MIs[0] policy
     /* 1558408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558418 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1558421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558442 */     // GIR_Coverage, 20781,
     /* 1558442 */     GIR_EraseRootFromParent_Done,
     /* 1558443 */   // Label 21624: @1558443
     /* 1558443 */   GIM_Try, /*On fail goto*//*Label 21625*/ GIMT_Encode4(1558525), // Rule ID 20784 //
     /* 1558448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1558459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1558462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1558465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558487 */     // MIs[0] round
     /* 1558487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558490 */     // MIs[0] policy
     /* 1558490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558500 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1558503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558524 */     // GIR_Coverage, 20784,
     /* 1558524 */     GIR_EraseRootFromParent_Done,
     /* 1558525 */   // Label 21625: @1558525
     /* 1558525 */   GIM_Try, /*On fail goto*//*Label 21626*/ GIMT_Encode4(1558607), // Rule ID 20785 //
     /* 1558530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1558541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1558544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1558547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558569 */     // MIs[0] round
     /* 1558569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558572 */     // MIs[0] policy
     /* 1558572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558582 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1558585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558606 */     // GIR_Coverage, 20785,
     /* 1558606 */     GIR_EraseRootFromParent_Done,
     /* 1558607 */   // Label 21626: @1558607
     /* 1558607 */   GIM_Try, /*On fail goto*//*Label 21627*/ GIMT_Encode4(1558689), // Rule ID 20788 //
     /* 1558612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1558632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558651 */     // MIs[0] round
     /* 1558651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558654 */     // MIs[0] policy
     /* 1558654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558664 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1558667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558688 */     // GIR_Coverage, 20788,
     /* 1558688 */     GIR_EraseRootFromParent_Done,
     /* 1558689 */   // Label 21627: @1558689
     /* 1558689 */   GIM_Try, /*On fail goto*//*Label 21628*/ GIMT_Encode4(1558771), // Rule ID 20789 //
     /* 1558694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1558714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558733 */     // MIs[0] round
     /* 1558733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558736 */     // MIs[0] policy
     /* 1558736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1558749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558770 */     // GIR_Coverage, 20789,
     /* 1558770 */     GIR_EraseRootFromParent_Done,
     /* 1558771 */   // Label 21628: @1558771
     /* 1558771 */   GIM_Try, /*On fail goto*//*Label 21629*/ GIMT_Encode4(1558853), // Rule ID 20792 //
     /* 1558776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1558787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1558790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1558793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558815 */     // MIs[0] round
     /* 1558815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558818 */     // MIs[0] policy
     /* 1558818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1558831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558852 */     // GIR_Coverage, 20792,
     /* 1558852 */     GIR_EraseRootFromParent_Done,
     /* 1558853 */   // Label 21629: @1558853
     /* 1558853 */   GIM_Try, /*On fail goto*//*Label 21630*/ GIMT_Encode4(1558935), // Rule ID 20793 //
     /* 1558858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1558869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1558872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1558875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558897 */     // MIs[0] round
     /* 1558897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558900 */     // MIs[0] policy
     /* 1558900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558910 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1558913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558934 */     // GIR_Coverage, 20793,
     /* 1558934 */     GIR_EraseRootFromParent_Done,
     /* 1558935 */   // Label 21630: @1558935
     /* 1558935 */   GIM_Try, /*On fail goto*//*Label 21631*/ GIMT_Encode4(1559017), // Rule ID 20796 //
     /* 1558940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1558948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1558951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1558954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1558957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558979 */     // MIs[0] round
     /* 1558979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558982 */     // MIs[0] policy
     /* 1558982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558992 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1558995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559016 */     // GIR_Coverage, 20796,
     /* 1559016 */     GIR_EraseRootFromParent_Done,
     /* 1559017 */   // Label 21631: @1559017
     /* 1559017 */   GIM_Try, /*On fail goto*//*Label 21632*/ GIMT_Encode4(1559099), // Rule ID 20797 //
     /* 1559022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1559030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1559039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559061 */     // MIs[0] round
     /* 1559061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559064 */     // MIs[0] policy
     /* 1559064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1559077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559098 */     // GIR_Coverage, 20797,
     /* 1559098 */     GIR_EraseRootFromParent_Done,
     /* 1559099 */   // Label 21632: @1559099
     /* 1559099 */   GIM_Try, /*On fail goto*//*Label 21633*/ GIMT_Encode4(1559181), // Rule ID 20800 //
     /* 1559104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1559112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559143 */     // MIs[0] round
     /* 1559143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559146 */     // MIs[0] policy
     /* 1559146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559156 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1559159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559180 */     // GIR_Coverage, 20800,
     /* 1559180 */     GIR_EraseRootFromParent_Done,
     /* 1559181 */   // Label 21633: @1559181
     /* 1559181 */   GIM_Try, /*On fail goto*//*Label 21634*/ GIMT_Encode4(1559263), // Rule ID 20801 //
     /* 1559186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1559194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559225 */     // MIs[0] round
     /* 1559225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559228 */     // MIs[0] policy
     /* 1559228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559238 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1559241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559262 */     // GIR_Coverage, 20801,
     /* 1559262 */     GIR_EraseRootFromParent_Done,
     /* 1559263 */   // Label 21634: @1559263
     /* 1559263 */   GIM_Try, /*On fail goto*//*Label 21635*/ GIMT_Encode4(1559345), // Rule ID 20804 //
     /* 1559268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1559276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559307 */     // MIs[0] round
     /* 1559307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559310 */     // MIs[0] policy
     /* 1559310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559320 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1559323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559344 */     // GIR_Coverage, 20804,
     /* 1559344 */     GIR_EraseRootFromParent_Done,
     /* 1559345 */   // Label 21635: @1559345
     /* 1559345 */   GIM_Try, /*On fail goto*//*Label 21636*/ GIMT_Encode4(1559427), // Rule ID 20805 //
     /* 1559350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1559358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559389 */     // MIs[0] round
     /* 1559389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559392 */     // MIs[0] policy
     /* 1559392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559402 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1559405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559426 */     // GIR_Coverage, 20805,
     /* 1559426 */     GIR_EraseRootFromParent_Done,
     /* 1559427 */   // Label 21636: @1559427
     /* 1559427 */   GIM_Try, /*On fail goto*//*Label 21637*/ GIMT_Encode4(1559509), // Rule ID 20808 //
     /* 1559432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1559440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1559443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1559446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1559449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559471 */     // MIs[0] round
     /* 1559471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559474 */     // MIs[0] policy
     /* 1559474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1559487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559508 */     // GIR_Coverage, 20808,
     /* 1559508 */     GIR_EraseRootFromParent_Done,
     /* 1559509 */   // Label 21637: @1559509
     /* 1559509 */   GIM_Try, /*On fail goto*//*Label 21638*/ GIMT_Encode4(1559591), // Rule ID 20809 //
     /* 1559514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1559522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1559525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1559528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1559531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559553 */     // MIs[0] round
     /* 1559553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559556 */     // MIs[0] policy
     /* 1559556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559566 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1559569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559590 */     // GIR_Coverage, 20809,
     /* 1559590 */     GIR_EraseRootFromParent_Done,
     /* 1559591 */   // Label 21638: @1559591
     /* 1559591 */   GIM_Try, /*On fail goto*//*Label 21639*/ GIMT_Encode4(1559673), // Rule ID 20812 //
     /* 1559596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1559604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559635 */     // MIs[0] round
     /* 1559635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559638 */     // MIs[0] policy
     /* 1559638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559648 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1559651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559672 */     // GIR_Coverage, 20812,
     /* 1559672 */     GIR_EraseRootFromParent_Done,
     /* 1559673 */   // Label 21639: @1559673
     /* 1559673 */   GIM_Try, /*On fail goto*//*Label 21640*/ GIMT_Encode4(1559755), // Rule ID 20813 //
     /* 1559678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1559686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559717 */     // MIs[0] round
     /* 1559717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559720 */     // MIs[0] policy
     /* 1559720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559730 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1559733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559754 */     // GIR_Coverage, 20813,
     /* 1559754 */     GIR_EraseRootFromParent_Done,
     /* 1559755 */   // Label 21640: @1559755
     /* 1559755 */   GIM_Try, /*On fail goto*//*Label 21641*/ GIMT_Encode4(1559837), // Rule ID 20816 //
     /* 1559760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1559771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1559774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1559777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559799 */     // MIs[0] round
     /* 1559799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559802 */     // MIs[0] policy
     /* 1559802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559812 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1559815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559836 */     // GIR_Coverage, 20816,
     /* 1559836 */     GIR_EraseRootFromParent_Done,
     /* 1559837 */   // Label 21641: @1559837
     /* 1559837 */   GIM_Try, /*On fail goto*//*Label 21642*/ GIMT_Encode4(1559919), // Rule ID 20817 //
     /* 1559842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1559853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1559856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1559859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559881 */     // MIs[0] round
     /* 1559881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559884 */     // MIs[0] policy
     /* 1559884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559894 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1559897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559918 */     // GIR_Coverage, 20817,
     /* 1559918 */     GIR_EraseRootFromParent_Done,
     /* 1559919 */   // Label 21642: @1559919
     /* 1559919 */   GIM_Try, /*On fail goto*//*Label 21643*/ GIMT_Encode4(1560001), // Rule ID 20820 //
     /* 1559924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1559935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1559938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1559941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559963 */     // MIs[0] round
     /* 1559963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559966 */     // MIs[0] policy
     /* 1559966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1559979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560000 */     // GIR_Coverage, 20820,
     /* 1560000 */     GIR_EraseRootFromParent_Done,
     /* 1560001 */   // Label 21643: @1560001
     /* 1560001 */   GIM_Try, /*On fail goto*//*Label 21644*/ GIMT_Encode4(1560083), // Rule ID 20821 //
     /* 1560006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1560017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1560020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1560023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560045 */     // MIs[0] round
     /* 1560045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560048 */     // MIs[0] policy
     /* 1560048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560058 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1560061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560082 */     // GIR_Coverage, 20821,
     /* 1560082 */     GIR_EraseRootFromParent_Done,
     /* 1560083 */   // Label 21644: @1560083
     /* 1560083 */   GIM_Try, /*On fail goto*//*Label 21645*/ GIMT_Encode4(1560165), // Rule ID 20824 //
     /* 1560088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1560091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1560105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560127 */     // MIs[0] round
     /* 1560127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560130 */     // MIs[0] policy
     /* 1560130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560140 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1560143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560164 */     // GIR_Coverage, 20824,
     /* 1560164 */     GIR_EraseRootFromParent_Done,
     /* 1560165 */   // Label 21645: @1560165
     /* 1560165 */   GIM_Try, /*On fail goto*//*Label 21646*/ GIMT_Encode4(1560247), // Rule ID 20825 //
     /* 1560170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1560173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1560187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560209 */     // MIs[0] round
     /* 1560209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560212 */     // MIs[0] policy
     /* 1560212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1560225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560246 */     // GIR_Coverage, 20825,
     /* 1560246 */     GIR_EraseRootFromParent_Done,
     /* 1560247 */   // Label 21646: @1560247
     /* 1560247 */   GIM_Try, /*On fail goto*//*Label 21647*/ GIMT_Encode4(1560329), // Rule ID 20828 //
     /* 1560252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1560263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1560266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560291 */     // MIs[0] round
     /* 1560291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560294 */     // MIs[0] policy
     /* 1560294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1560307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560328 */     // GIR_Coverage, 20828,
     /* 1560328 */     GIR_EraseRootFromParent_Done,
     /* 1560329 */   // Label 21647: @1560329
     /* 1560329 */   GIM_Try, /*On fail goto*//*Label 21648*/ GIMT_Encode4(1560411), // Rule ID 20829 //
     /* 1560334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1560345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1560348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560373 */     // MIs[0] round
     /* 1560373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560376 */     // MIs[0] policy
     /* 1560376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1560389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560410 */     // GIR_Coverage, 20829,
     /* 1560410 */     GIR_EraseRootFromParent_Done,
     /* 1560411 */   // Label 21648: @1560411
     /* 1560411 */   GIM_Try, /*On fail goto*//*Label 21649*/ GIMT_Encode4(1560493), // Rule ID 20832 //
     /* 1560416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1560419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1560433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560455 */     // MIs[0] round
     /* 1560455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560458 */     // MIs[0] policy
     /* 1560458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1560471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560492 */     // GIR_Coverage, 20832,
     /* 1560492 */     GIR_EraseRootFromParent_Done,
     /* 1560493 */   // Label 21649: @1560493
     /* 1560493 */   GIM_Try, /*On fail goto*//*Label 21650*/ GIMT_Encode4(1560575), // Rule ID 20833 //
     /* 1560498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1560501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1560515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560537 */     // MIs[0] round
     /* 1560537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560540 */     // MIs[0] policy
     /* 1560540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1560553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560574 */     // GIR_Coverage, 20833,
     /* 1560574 */     GIR_EraseRootFromParent_Done,
     /* 1560575 */   // Label 21650: @1560575
     /* 1560575 */   GIM_Try, /*On fail goto*//*Label 21651*/ GIMT_Encode4(1560657), // Rule ID 20836 //
     /* 1560580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1560583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1560591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1560594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1560597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560619 */     // MIs[0] round
     /* 1560619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560622 */     // MIs[0] policy
     /* 1560622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1560635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560656 */     // GIR_Coverage, 20836,
     /* 1560656 */     GIR_EraseRootFromParent_Done,
     /* 1560657 */   // Label 21651: @1560657
     /* 1560657 */   GIM_Try, /*On fail goto*//*Label 21652*/ GIMT_Encode4(1560739), // Rule ID 20837 //
     /* 1560662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1560665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1560673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1560676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1560679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560701 */     // MIs[0] round
     /* 1560701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560704 */     // MIs[0] policy
     /* 1560704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560714 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1560717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560738 */     // GIR_Coverage, 20837,
     /* 1560738 */     GIR_EraseRootFromParent_Done,
     /* 1560739 */   // Label 21652: @1560739
     /* 1560739 */   GIM_Try, /*On fail goto*//*Label 21653*/ GIMT_Encode4(1560821), // Rule ID 20840 //
     /* 1560744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1560755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1560758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560783 */     // MIs[0] round
     /* 1560783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560786 */     // MIs[0] policy
     /* 1560786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560796 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1560799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560820 */     // GIR_Coverage, 20840,
     /* 1560820 */     GIR_EraseRootFromParent_Done,
     /* 1560821 */   // Label 21653: @1560821
     /* 1560821 */   GIM_Try, /*On fail goto*//*Label 21654*/ GIMT_Encode4(1560903), // Rule ID 20841 //
     /* 1560826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1560837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1560840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560865 */     // MIs[0] round
     /* 1560865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560868 */     // MIs[0] policy
     /* 1560868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1560881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560902 */     // GIR_Coverage, 20841,
     /* 1560902 */     GIR_EraseRootFromParent_Done,
     /* 1560903 */   // Label 21654: @1560903
     /* 1560903 */   GIM_Try, /*On fail goto*//*Label 21655*/ GIMT_Encode4(1560985), // Rule ID 20844 //
     /* 1560908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1560919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1560922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560947 */     // MIs[0] round
     /* 1560947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560950 */     // MIs[0] policy
     /* 1560950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560960 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1560963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560984 */     // GIR_Coverage, 20844,
     /* 1560984 */     GIR_EraseRootFromParent_Done,
     /* 1560985 */   // Label 21655: @1560985
     /* 1560985 */   GIM_Try, /*On fail goto*//*Label 21656*/ GIMT_Encode4(1561067), // Rule ID 20845 //
     /* 1560990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1560998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1561001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1561004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1561007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561029 */     // MIs[0] round
     /* 1561029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561032 */     // MIs[0] policy
     /* 1561032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1561045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561066 */     // GIR_Coverage, 20845,
     /* 1561066 */     GIR_EraseRootFromParent_Done,
     /* 1561067 */   // Label 21656: @1561067
     /* 1561067 */   GIM_Try, /*On fail goto*//*Label 21657*/ GIMT_Encode4(1561149), // Rule ID 20848 //
     /* 1561072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1561083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1561086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1561089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1561092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561111 */     // MIs[0] round
     /* 1561111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561114 */     // MIs[0] policy
     /* 1561114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561124 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1561127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561148 */     // GIR_Coverage, 20848,
     /* 1561148 */     GIR_EraseRootFromParent_Done,
     /* 1561149 */   // Label 21657: @1561149
     /* 1561149 */   GIM_Try, /*On fail goto*//*Label 21658*/ GIMT_Encode4(1561231), // Rule ID 20849 //
     /* 1561154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1561165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1561168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1561171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1561174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561193 */     // MIs[0] round
     /* 1561193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561196 */     // MIs[0] policy
     /* 1561196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561206 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1561209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561230 */     // GIR_Coverage, 20849,
     /* 1561230 */     GIR_EraseRootFromParent_Done,
     /* 1561231 */   // Label 21658: @1561231
     /* 1561231 */   GIM_Try, /*On fail goto*//*Label 21659*/ GIMT_Encode4(1561313), // Rule ID 20852 //
     /* 1561236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1561239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1561247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1561250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561275 */     // MIs[0] round
     /* 1561275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561278 */     // MIs[0] policy
     /* 1561278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561288 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1561291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561312 */     // GIR_Coverage, 20852,
     /* 1561312 */     GIR_EraseRootFromParent_Done,
     /* 1561313 */   // Label 21659: @1561313
     /* 1561313 */   GIM_Try, /*On fail goto*//*Label 21660*/ GIMT_Encode4(1561395), // Rule ID 20853 //
     /* 1561318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1561321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1561329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1561332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561357 */     // MIs[0] round
     /* 1561357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561360 */     // MIs[0] policy
     /* 1561360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561370 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1561373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561394 */     // GIR_Coverage, 20853,
     /* 1561394 */     GIR_EraseRootFromParent_Done,
     /* 1561395 */   // Label 21660: @1561395
     /* 1561395 */   GIM_Try, /*On fail goto*//*Label 21661*/ GIMT_Encode4(1561477), // Rule ID 20856 //
     /* 1561400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1561403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1561411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1561414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561439 */     // MIs[0] round
     /* 1561439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561442 */     // MIs[0] policy
     /* 1561442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1561455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561476 */     // GIR_Coverage, 20856,
     /* 1561476 */     GIR_EraseRootFromParent_Done,
     /* 1561477 */   // Label 21661: @1561477
     /* 1561477 */   GIM_Try, /*On fail goto*//*Label 21662*/ GIMT_Encode4(1561559), // Rule ID 20857 //
     /* 1561482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1561485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1561493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1561496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561521 */     // MIs[0] round
     /* 1561521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561524 */     // MIs[0] policy
     /* 1561524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561534 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1561537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561558 */     // GIR_Coverage, 20857,
     /* 1561558 */     GIR_EraseRootFromParent_Done,
     /* 1561559 */   // Label 21662: @1561559
     /* 1561559 */   GIM_Try, /*On fail goto*//*Label 21663*/ GIMT_Encode4(1561641), // Rule ID 20860 //
     /* 1561564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1561567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1561575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1561578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1561581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561603 */     // MIs[0] round
     /* 1561603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561606 */     // MIs[0] policy
     /* 1561606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1561619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561640 */     // GIR_Coverage, 20860,
     /* 1561640 */     GIR_EraseRootFromParent_Done,
     /* 1561641 */   // Label 21663: @1561641
     /* 1561641 */   GIM_Try, /*On fail goto*//*Label 21664*/ GIMT_Encode4(1561723), // Rule ID 20861 //
     /* 1561646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1561649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1561657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1561660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1561663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561685 */     // MIs[0] round
     /* 1561685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561688 */     // MIs[0] policy
     /* 1561688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561698 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1561701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561722 */     // GIR_Coverage, 20861,
     /* 1561722 */     GIR_EraseRootFromParent_Done,
     /* 1561723 */   // Label 21664: @1561723
     /* 1561723 */   GIM_Try, /*On fail goto*//*Label 21665*/ GIMT_Encode4(1561805), // Rule ID 20864 //
     /* 1561728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1561731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1561745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561767 */     // MIs[0] round
     /* 1561767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561770 */     // MIs[0] policy
     /* 1561770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561780 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1561783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561804 */     // GIR_Coverage, 20864,
     /* 1561804 */     GIR_EraseRootFromParent_Done,
     /* 1561805 */   // Label 21665: @1561805
     /* 1561805 */   GIM_Try, /*On fail goto*//*Label 21666*/ GIMT_Encode4(1561887), // Rule ID 20865 //
     /* 1561810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1561813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1561827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561849 */     // MIs[0] round
     /* 1561849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561852 */     // MIs[0] policy
     /* 1561852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561862 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1561865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561871 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561886 */     // GIR_Coverage, 20865,
     /* 1561886 */     GIR_EraseRootFromParent_Done,
     /* 1561887 */   // Label 21666: @1561887
     /* 1561887 */   GIM_Try, /*On fail goto*//*Label 21667*/ GIMT_Encode4(1561969), // Rule ID 20868 //
     /* 1561892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1561895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1561909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561931 */     // MIs[0] round
     /* 1561931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561934 */     // MIs[0] policy
     /* 1561934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561944 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1561947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561968 */     // GIR_Coverage, 20868,
     /* 1561968 */     GIR_EraseRootFromParent_Done,
     /* 1561969 */   // Label 21667: @1561969
     /* 1561969 */   GIM_Try, /*On fail goto*//*Label 21668*/ GIMT_Encode4(1562051), // Rule ID 20869 //
     /* 1561974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1561977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1561982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1561991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562013 */     // MIs[0] round
     /* 1562013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562016 */     // MIs[0] policy
     /* 1562016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1562029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1562047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562050 */     // GIR_Coverage, 20869,
     /* 1562050 */     GIR_EraseRootFromParent_Done,
     /* 1562051 */   // Label 21668: @1562051
     /* 1562051 */   GIM_Try, /*On fail goto*//*Label 21669*/ GIMT_Encode4(1562133), // Rule ID 20872 //
     /* 1562056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1562059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1562064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1562067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1562070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1562073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562095 */     // MIs[0] round
     /* 1562095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562098 */     // MIs[0] policy
     /* 1562098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1562111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1562129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562132 */     // GIR_Coverage, 20872,
     /* 1562132 */     GIR_EraseRootFromParent_Done,
     /* 1562133 */   // Label 21669: @1562133
     /* 1562133 */   GIM_Try, /*On fail goto*//*Label 21670*/ GIMT_Encode4(1562215), // Rule ID 20873 //
     /* 1562138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1562141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1562146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1562149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1562152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1562155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562177 */     // MIs[0] round
     /* 1562177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562180 */     // MIs[0] policy
     /* 1562180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562190 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1562193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1562211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562214 */     // GIR_Coverage, 20873,
     /* 1562214 */     GIR_EraseRootFromParent_Done,
     /* 1562215 */   // Label 21670: @1562215
     /* 1562215 */   GIM_Try, /*On fail goto*//*Label 21671*/ GIMT_Encode4(1562297), // Rule ID 20996 //
     /* 1562220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1562231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1562234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1562237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562259 */     // MIs[0] round
     /* 1562259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562262 */     // MIs[0] policy
     /* 1562262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562272 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1562275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562296 */     // GIR_Coverage, 20996,
     /* 1562296 */     GIR_EraseRootFromParent_Done,
     /* 1562297 */   // Label 21671: @1562297
     /* 1562297 */   GIM_Try, /*On fail goto*//*Label 21672*/ GIMT_Encode4(1562379), // Rule ID 20997 //
     /* 1562302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1562313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1562316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1562319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562341 */     // MIs[0] round
     /* 1562341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562344 */     // MIs[0] policy
     /* 1562344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562354 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1562357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562378 */     // GIR_Coverage, 20997,
     /* 1562378 */     GIR_EraseRootFromParent_Done,
     /* 1562379 */   // Label 21672: @1562379
     /* 1562379 */   GIM_Try, /*On fail goto*//*Label 21673*/ GIMT_Encode4(1562461), // Rule ID 21000 //
     /* 1562384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1562395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1562398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1562401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562423 */     // MIs[0] round
     /* 1562423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562426 */     // MIs[0] policy
     /* 1562426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562436 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1562439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562460 */     // GIR_Coverage, 21000,
     /* 1562460 */     GIR_EraseRootFromParent_Done,
     /* 1562461 */   // Label 21673: @1562461
     /* 1562461 */   GIM_Try, /*On fail goto*//*Label 21674*/ GIMT_Encode4(1562543), // Rule ID 21001 //
     /* 1562466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1562477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1562480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1562483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562505 */     // MIs[0] round
     /* 1562505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562508 */     // MIs[0] policy
     /* 1562508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562518 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1562521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562542 */     // GIR_Coverage, 21001,
     /* 1562542 */     GIR_EraseRootFromParent_Done,
     /* 1562543 */   // Label 21674: @1562543
     /* 1562543 */   GIM_Try, /*On fail goto*//*Label 21675*/ GIMT_Encode4(1562625), // Rule ID 21004 //
     /* 1562548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1562551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1562559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1562562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562587 */     // MIs[0] round
     /* 1562587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562590 */     // MIs[0] policy
     /* 1562590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562600 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1562603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562624 */     // GIR_Coverage, 21004,
     /* 1562624 */     GIR_EraseRootFromParent_Done,
     /* 1562625 */   // Label 21675: @1562625
     /* 1562625 */   GIM_Try, /*On fail goto*//*Label 21676*/ GIMT_Encode4(1562707), // Rule ID 21005 //
     /* 1562630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1562633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1562641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1562644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562669 */     // MIs[0] round
     /* 1562669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562672 */     // MIs[0] policy
     /* 1562672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562682 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1562685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562706 */     // GIR_Coverage, 21005,
     /* 1562706 */     GIR_EraseRootFromParent_Done,
     /* 1562707 */   // Label 21676: @1562707
     /* 1562707 */   GIM_Try, /*On fail goto*//*Label 21677*/ GIMT_Encode4(1562789), // Rule ID 21008 //
     /* 1562712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1562723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1562726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1562729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562751 */     // MIs[0] round
     /* 1562751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562754 */     // MIs[0] policy
     /* 1562754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562764 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1562767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562788 */     // GIR_Coverage, 21008,
     /* 1562788 */     GIR_EraseRootFromParent_Done,
     /* 1562789 */   // Label 21677: @1562789
     /* 1562789 */   GIM_Try, /*On fail goto*//*Label 21678*/ GIMT_Encode4(1562871), // Rule ID 21009 //
     /* 1562794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1562805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1562808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1562811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562833 */     // MIs[0] round
     /* 1562833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562836 */     // MIs[0] policy
     /* 1562836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562846 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1562849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562870 */     // GIR_Coverage, 21009,
     /* 1562870 */     GIR_EraseRootFromParent_Done,
     /* 1562871 */   // Label 21678: @1562871
     /* 1562871 */   GIM_Try, /*On fail goto*//*Label 21679*/ GIMT_Encode4(1562953), // Rule ID 21012 //
     /* 1562876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1562879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1562887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1562890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562915 */     // MIs[0] round
     /* 1562915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562918 */     // MIs[0] policy
     /* 1562918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562928 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1562931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562952 */     // GIR_Coverage, 21012,
     /* 1562952 */     GIR_EraseRootFromParent_Done,
     /* 1562953 */   // Label 21679: @1562953
     /* 1562953 */   GIM_Try, /*On fail goto*//*Label 21680*/ GIMT_Encode4(1563035), // Rule ID 21013 //
     /* 1562958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1562961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1562969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1562972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562997 */     // MIs[0] round
     /* 1562997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563000 */     // MIs[0] policy
     /* 1563000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563010 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1563013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563034 */     // GIR_Coverage, 21013,
     /* 1563034 */     GIR_EraseRootFromParent_Done,
     /* 1563035 */   // Label 21680: @1563035
     /* 1563035 */   GIM_Try, /*On fail goto*//*Label 21681*/ GIMT_Encode4(1563117), // Rule ID 21016 //
     /* 1563040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1563043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1563051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1563054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1563057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563079 */     // MIs[0] round
     /* 1563079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563082 */     // MIs[0] policy
     /* 1563082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563092 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1563095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563116 */     // GIR_Coverage, 21016,
     /* 1563116 */     GIR_EraseRootFromParent_Done,
     /* 1563117 */   // Label 21681: @1563117
     /* 1563117 */   GIM_Try, /*On fail goto*//*Label 21682*/ GIMT_Encode4(1563199), // Rule ID 21017 //
     /* 1563122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1563125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1563133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1563136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1563139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563161 */     // MIs[0] round
     /* 1563161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563164 */     // MIs[0] policy
     /* 1563164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563174 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1563177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563198 */     // GIR_Coverage, 21017,
     /* 1563198 */     GIR_EraseRootFromParent_Done,
     /* 1563199 */   // Label 21682: @1563199
     /* 1563199 */   GIM_Try, /*On fail goto*//*Label 21683*/ GIMT_Encode4(1563281), // Rule ID 21020 //
     /* 1563204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1563215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1563218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1563221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563243 */     // MIs[0] round
     /* 1563243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563246 */     // MIs[0] policy
     /* 1563246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563256 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1563259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563280 */     // GIR_Coverage, 21020,
     /* 1563280 */     GIR_EraseRootFromParent_Done,
     /* 1563281 */   // Label 21683: @1563281
     /* 1563281 */   GIM_Try, /*On fail goto*//*Label 21684*/ GIMT_Encode4(1563363), // Rule ID 21021 //
     /* 1563286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1563297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1563300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1563303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563325 */     // MIs[0] round
     /* 1563325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563328 */     // MIs[0] policy
     /* 1563328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563338 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1563341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563362 */     // GIR_Coverage, 21021,
     /* 1563362 */     GIR_EraseRootFromParent_Done,
     /* 1563363 */   // Label 21684: @1563363
     /* 1563363 */   GIM_Try, /*On fail goto*//*Label 21685*/ GIMT_Encode4(1563445), // Rule ID 21024 //
     /* 1563368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1563379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1563382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1563385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563407 */     // MIs[0] round
     /* 1563407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563410 */     // MIs[0] policy
     /* 1563410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563420 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1563423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563444 */     // GIR_Coverage, 21024,
     /* 1563444 */     GIR_EraseRootFromParent_Done,
     /* 1563445 */   // Label 21685: @1563445
     /* 1563445 */   GIM_Try, /*On fail goto*//*Label 21686*/ GIMT_Encode4(1563527), // Rule ID 21025 //
     /* 1563450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1563461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1563464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1563467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563489 */     // MIs[0] round
     /* 1563489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563492 */     // MIs[0] policy
     /* 1563492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563502 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1563505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563511 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563526 */     // GIR_Coverage, 21025,
     /* 1563526 */     GIR_EraseRootFromParent_Done,
     /* 1563527 */   // Label 21686: @1563527
     /* 1563527 */   GIM_Try, /*On fail goto*//*Label 21687*/ GIMT_Encode4(1563609), // Rule ID 21028 //
     /* 1563532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1563543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1563546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1563549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1563552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563571 */     // MIs[0] round
     /* 1563571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563574 */     // MIs[0] policy
     /* 1563574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563584 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1563587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563608 */     // GIR_Coverage, 21028,
     /* 1563608 */     GIR_EraseRootFromParent_Done,
     /* 1563609 */   // Label 21687: @1563609
     /* 1563609 */   GIM_Try, /*On fail goto*//*Label 21688*/ GIMT_Encode4(1563691), // Rule ID 21029 //
     /* 1563614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1563625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1563628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1563631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1563634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563653 */     // MIs[0] round
     /* 1563653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563656 */     // MIs[0] policy
     /* 1563656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563666 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1563669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563690 */     // GIR_Coverage, 21029,
     /* 1563690 */     GIR_EraseRootFromParent_Done,
     /* 1563691 */   // Label 21688: @1563691
     /* 1563691 */   GIM_Try, /*On fail goto*//*Label 21689*/ GIMT_Encode4(1563773), // Rule ID 21032 //
     /* 1563696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1563707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1563710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563735 */     // MIs[0] round
     /* 1563735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563738 */     // MIs[0] policy
     /* 1563738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563748 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1563751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563772 */     // GIR_Coverage, 21032,
     /* 1563772 */     GIR_EraseRootFromParent_Done,
     /* 1563773 */   // Label 21689: @1563773
     /* 1563773 */   GIM_Try, /*On fail goto*//*Label 21690*/ GIMT_Encode4(1563855), // Rule ID 21033 //
     /* 1563778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1563789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1563792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563817 */     // MIs[0] round
     /* 1563817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563820 */     // MIs[0] policy
     /* 1563820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563830 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1563833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563854 */     // GIR_Coverage, 21033,
     /* 1563854 */     GIR_EraseRootFromParent_Done,
     /* 1563855 */   // Label 21690: @1563855
     /* 1563855 */   GIM_Try, /*On fail goto*//*Label 21691*/ GIMT_Encode4(1563937), // Rule ID 21036 //
     /* 1563860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1563871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1563874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563899 */     // MIs[0] round
     /* 1563899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563902 */     // MIs[0] policy
     /* 1563902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563912 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1563915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563936 */     // GIR_Coverage, 21036,
     /* 1563936 */     GIR_EraseRootFromParent_Done,
     /* 1563937 */   // Label 21691: @1563937
     /* 1563937 */   GIM_Try, /*On fail goto*//*Label 21692*/ GIMT_Encode4(1564019), // Rule ID 21037 //
     /* 1563942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1563950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1563953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1563956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563981 */     // MIs[0] round
     /* 1563981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563984 */     // MIs[0] policy
     /* 1563984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563994 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1563997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564018 */     // GIR_Coverage, 21037,
     /* 1564018 */     GIR_EraseRootFromParent_Done,
     /* 1564019 */   // Label 21692: @1564019
     /* 1564019 */   GIM_Try, /*On fail goto*//*Label 21693*/ GIMT_Encode4(1564101), // Rule ID 21040 //
     /* 1564024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1564032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1564035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1564038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1564041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1564051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564063 */     // MIs[0] round
     /* 1564063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564066 */     // MIs[0] policy
     /* 1564066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564076 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1564079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564100 */     // GIR_Coverage, 21040,
     /* 1564100 */     GIR_EraseRootFromParent_Done,
     /* 1564101 */   // Label 21693: @1564101
     /* 1564101 */   GIM_Try, /*On fail goto*//*Label 21694*/ GIMT_Encode4(1564183), // Rule ID 21041 //
     /* 1564106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1564114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1564117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1564120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1564123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1564133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564145 */     // MIs[0] round
     /* 1564145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564148 */     // MIs[0] policy
     /* 1564148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564158 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1564161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564182 */     // GIR_Coverage, 21041,
     /* 1564182 */     GIR_EraseRootFromParent_Done,
     /* 1564183 */   // Label 21694: @1564183
     /* 1564183 */   GIM_Try, /*On fail goto*//*Label 21695*/ GIMT_Encode4(1564265), // Rule ID 21044 //
     /* 1564188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1564191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1564196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1564199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1564202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1564205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564227 */     // MIs[0] round
     /* 1564227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564230 */     // MIs[0] policy
     /* 1564230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564240 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1564243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564264 */     // GIR_Coverage, 21044,
     /* 1564264 */     GIR_EraseRootFromParent_Done,
     /* 1564265 */   // Label 21695: @1564265
     /* 1564265 */   GIM_Try, /*On fail goto*//*Label 21696*/ GIMT_Encode4(1564347), // Rule ID 21045 //
     /* 1564270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1564273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1564278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1564281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1564284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1564287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564309 */     // MIs[0] round
     /* 1564309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564312 */     // MIs[0] policy
     /* 1564312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564322 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1564325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564346 */     // GIR_Coverage, 21045,
     /* 1564346 */     GIR_EraseRootFromParent_Done,
     /* 1564347 */   // Label 21696: @1564347
     /* 1564347 */   GIM_Try, /*On fail goto*//*Label 21697*/ GIMT_Encode4(1564429), // Rule ID 21048 //
     /* 1564352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1564355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1564360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1564363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1564366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1564369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564391 */     // MIs[0] round
     /* 1564391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564394 */     // MIs[0] policy
     /* 1564394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564404 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1564407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564428 */     // GIR_Coverage, 21048,
     /* 1564428 */     GIR_EraseRootFromParent_Done,
     /* 1564429 */   // Label 21697: @1564429
     /* 1564429 */   GIM_Try, /*On fail goto*//*Label 21698*/ GIMT_Encode4(1564511), // Rule ID 21049 //
     /* 1564434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1564437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1564442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1564445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1564448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1564451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564473 */     // MIs[0] round
     /* 1564473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564476 */     // MIs[0] policy
     /* 1564476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564486 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1564489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564510 */     // GIR_Coverage, 21049,
     /* 1564510 */     GIR_EraseRootFromParent_Done,
     /* 1564511 */   // Label 21698: @1564511
     /* 1564511 */   GIM_Try, /*On fail goto*//*Label 21699*/ GIMT_Encode4(1564593), // Rule ID 21052 //
     /* 1564516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1564519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1564524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1564527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1564530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1564533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1564543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564555 */     // MIs[0] round
     /* 1564555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564558 */     // MIs[0] policy
     /* 1564558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564568 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1564571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564592 */     // GIR_Coverage, 21052,
     /* 1564592 */     GIR_EraseRootFromParent_Done,
     /* 1564593 */   // Label 21699: @1564593
     /* 1564593 */   GIM_Try, /*On fail goto*//*Label 21700*/ GIMT_Encode4(1564675), // Rule ID 21053 //
     /* 1564598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1564601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1564606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1564609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1564612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1564615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1564625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564637 */     // MIs[0] round
     /* 1564637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564640 */     // MIs[0] policy
     /* 1564640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564650 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1564653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564674 */     // GIR_Coverage, 21053,
     /* 1564674 */     GIR_EraseRootFromParent_Done,
     /* 1564675 */   // Label 21700: @1564675
     /* 1564675 */   GIM_Try, /*On fail goto*//*Label 21701*/ GIMT_Encode4(1564757), // Rule ID 21056 //
     /* 1564680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1564691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1564694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1564697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564719 */     // MIs[0] round
     /* 1564719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564722 */     // MIs[0] policy
     /* 1564722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564732 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1564735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564756 */     // GIR_Coverage, 21056,
     /* 1564756 */     GIR_EraseRootFromParent_Done,
     /* 1564757 */   // Label 21701: @1564757
     /* 1564757 */   GIM_Try, /*On fail goto*//*Label 21702*/ GIMT_Encode4(1564839), // Rule ID 21057 //
     /* 1564762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1564773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1564776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1564779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564801 */     // MIs[0] round
     /* 1564801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564804 */     // MIs[0] policy
     /* 1564804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564814 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1564817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564838 */     // GIR_Coverage, 21057,
     /* 1564838 */     GIR_EraseRootFromParent_Done,
     /* 1564839 */   // Label 21702: @1564839
     /* 1564839 */   GIM_Try, /*On fail goto*//*Label 21703*/ GIMT_Encode4(1564921), // Rule ID 21060 //
     /* 1564844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1564861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564883 */     // MIs[0] round
     /* 1564883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564886 */     // MIs[0] policy
     /* 1564886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564896 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1564899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564920 */     // GIR_Coverage, 21060,
     /* 1564920 */     GIR_EraseRootFromParent_Done,
     /* 1564921 */   // Label 21703: @1564921
     /* 1564921 */   GIM_Try, /*On fail goto*//*Label 21704*/ GIMT_Encode4(1565003), // Rule ID 21061 //
     /* 1564926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1564943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564965 */     // MIs[0] round
     /* 1564965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564968 */     // MIs[0] policy
     /* 1564968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564978 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1564981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565002 */     // GIR_Coverage, 21061,
     /* 1565002 */     GIR_EraseRootFromParent_Done,
     /* 1565003 */   // Label 21704: @1565003
     /* 1565003 */   GIM_Try, /*On fail goto*//*Label 21705*/ GIMT_Encode4(1565085), // Rule ID 21064 //
     /* 1565008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1565011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1565019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1565022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1565025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565047 */     // MIs[0] round
     /* 1565047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565050 */     // MIs[0] policy
     /* 1565050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565060 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1565063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565084 */     // GIR_Coverage, 21064,
     /* 1565084 */     GIR_EraseRootFromParent_Done,
     /* 1565085 */   // Label 21705: @1565085
     /* 1565085 */   GIM_Try, /*On fail goto*//*Label 21706*/ GIMT_Encode4(1565167), // Rule ID 21065 //
     /* 1565090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1565101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1565104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1565107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565129 */     // MIs[0] round
     /* 1565129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565132 */     // MIs[0] policy
     /* 1565132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565142 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1565145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565166 */     // GIR_Coverage, 21065,
     /* 1565166 */     GIR_EraseRootFromParent_Done,
     /* 1565167 */   // Label 21706: @1565167
     /* 1565167 */   GIM_Try, /*On fail goto*//*Label 21707*/ GIMT_Encode4(1565249), // Rule ID 21068 //
     /* 1565172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1565183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1565186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1565189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565211 */     // MIs[0] round
     /* 1565211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565214 */     // MIs[0] policy
     /* 1565214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565224 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1565227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565248 */     // GIR_Coverage, 21068,
     /* 1565248 */     GIR_EraseRootFromParent_Done,
     /* 1565249 */   // Label 21707: @1565249
     /* 1565249 */   GIM_Try, /*On fail goto*//*Label 21708*/ GIMT_Encode4(1565331), // Rule ID 21069 //
     /* 1565254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1565265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1565268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1565271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565293 */     // MIs[0] round
     /* 1565293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565296 */     // MIs[0] policy
     /* 1565296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565306 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1565309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565330 */     // GIR_Coverage, 21069,
     /* 1565330 */     GIR_EraseRootFromParent_Done,
     /* 1565331 */   // Label 21708: @1565331
     /* 1565331 */   GIM_Try, /*On fail goto*//*Label 21709*/ GIMT_Encode4(1565413), // Rule ID 21072 //
     /* 1565336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1565339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1565347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1565350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1565353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565375 */     // MIs[0] round
     /* 1565375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565378 */     // MIs[0] policy
     /* 1565378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565388 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1565391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565412 */     // GIR_Coverage, 21072,
     /* 1565412 */     GIR_EraseRootFromParent_Done,
     /* 1565413 */   // Label 21709: @1565413
     /* 1565413 */   GIM_Try, /*On fail goto*//*Label 21710*/ GIMT_Encode4(1565495), // Rule ID 21073 //
     /* 1565418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1565429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1565432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1565435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565457 */     // MIs[0] round
     /* 1565457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565460 */     // MIs[0] policy
     /* 1565460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565470 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1565473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565494 */     // GIR_Coverage, 21073,
     /* 1565494 */     GIR_EraseRootFromParent_Done,
     /* 1565495 */   // Label 21710: @1565495
     /* 1565495 */   GIM_Try, /*On fail goto*//*Label 21711*/ GIMT_Encode4(1565577), // Rule ID 21076 //
     /* 1565500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1565503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1565511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1565514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1565517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565539 */     // MIs[0] round
     /* 1565539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565542 */     // MIs[0] policy
     /* 1565542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565552 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1565555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1565573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565576 */     // GIR_Coverage, 21076,
     /* 1565576 */     GIR_EraseRootFromParent_Done,
     /* 1565577 */   // Label 21711: @1565577
     /* 1565577 */   GIM_Try, /*On fail goto*//*Label 21712*/ GIMT_Encode4(1565659), // Rule ID 21077 //
     /* 1565582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1565585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1565593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1565596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1565599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565621 */     // MIs[0] round
     /* 1565621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565624 */     // MIs[0] policy
     /* 1565624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565634 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1565637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1565655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565658 */     // GIR_Coverage, 21077,
     /* 1565658 */     GIR_EraseRootFromParent_Done,
     /* 1565659 */   // Label 21712: @1565659
     /* 1565659 */   GIM_Try, /*On fail goto*//*Label 21713*/ GIMT_Encode4(1565741), // Rule ID 21080 //
     /* 1565664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1565675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1565678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1565681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565703 */     // MIs[0] round
     /* 1565703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565706 */     // MIs[0] policy
     /* 1565706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565716 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1565719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565740 */     // GIR_Coverage, 21080,
     /* 1565740 */     GIR_EraseRootFromParent_Done,
     /* 1565741 */   // Label 21713: @1565741
     /* 1565741 */   GIM_Try, /*On fail goto*//*Label 21714*/ GIMT_Encode4(1565823), // Rule ID 21081 //
     /* 1565746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1565757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1565760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1565763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565785 */     // MIs[0] round
     /* 1565785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565788 */     // MIs[0] policy
     /* 1565788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565798 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1565801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565822 */     // GIR_Coverage, 21081,
     /* 1565822 */     GIR_EraseRootFromParent_Done,
     /* 1565823 */   // Label 21714: @1565823
     /* 1565823 */   GIM_Try, /*On fail goto*//*Label 21715*/ GIMT_Encode4(1565905), // Rule ID 21084 //
     /* 1565828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1565839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1565842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1565845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565867 */     // MIs[0] round
     /* 1565867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565870 */     // MIs[0] policy
     /* 1565870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565880 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1565883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565904 */     // GIR_Coverage, 21084,
     /* 1565904 */     GIR_EraseRootFromParent_Done,
     /* 1565905 */   // Label 21715: @1565905
     /* 1565905 */   GIM_Try, /*On fail goto*//*Label 21716*/ GIMT_Encode4(1565987), // Rule ID 21085 //
     /* 1565910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1565918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1565921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1565924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1565927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565949 */     // MIs[0] round
     /* 1565949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565952 */     // MIs[0] policy
     /* 1565952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565962 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1565965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565986 */     // GIR_Coverage, 21085,
     /* 1565986 */     GIR_EraseRootFromParent_Done,
     /* 1565987 */   // Label 21716: @1565987
     /* 1565987 */   GIM_Try, /*On fail goto*//*Label 21717*/ GIMT_Encode4(1566069), // Rule ID 21088 //
     /* 1565992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1566003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1566006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1566009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1566012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566031 */     // MIs[0] round
     /* 1566031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566034 */     // MIs[0] policy
     /* 1566034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566044 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1566047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566068 */     // GIR_Coverage, 21088,
     /* 1566068 */     GIR_EraseRootFromParent_Done,
     /* 1566069 */   // Label 21717: @1566069
     /* 1566069 */   GIM_Try, /*On fail goto*//*Label 21718*/ GIMT_Encode4(1566151), // Rule ID 21089 //
     /* 1566074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1566085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1566088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1566091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1566094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566113 */     // MIs[0] round
     /* 1566113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566116 */     // MIs[0] policy
     /* 1566116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566126 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1566129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566150 */     // GIR_Coverage, 21089,
     /* 1566150 */     GIR_EraseRootFromParent_Done,
     /* 1566151 */   // Label 21718: @1566151
     /* 1566151 */   GIM_Try, /*On fail goto*//*Label 21719*/ GIMT_Encode4(1566233), // Rule ID 21092 //
     /* 1566156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1566167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1566170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1566173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566195 */     // MIs[0] round
     /* 1566195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566198 */     // MIs[0] policy
     /* 1566198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566208 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1566211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566232 */     // GIR_Coverage, 21092,
     /* 1566232 */     GIR_EraseRootFromParent_Done,
     /* 1566233 */   // Label 21719: @1566233
     /* 1566233 */   GIM_Try, /*On fail goto*//*Label 21720*/ GIMT_Encode4(1566315), // Rule ID 21093 //
     /* 1566238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1566249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1566252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1566255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566277 */     // MIs[0] round
     /* 1566277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566280 */     // MIs[0] policy
     /* 1566280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566290 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1566293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566314 */     // GIR_Coverage, 21093,
     /* 1566314 */     GIR_EraseRootFromParent_Done,
     /* 1566315 */   // Label 21720: @1566315
     /* 1566315 */   GIM_Try, /*On fail goto*//*Label 21721*/ GIMT_Encode4(1566397), // Rule ID 21096 //
     /* 1566320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1566331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1566334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1566337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566359 */     // MIs[0] round
     /* 1566359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566362 */     // MIs[0] policy
     /* 1566362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566372 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1566375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566396 */     // GIR_Coverage, 21096,
     /* 1566396 */     GIR_EraseRootFromParent_Done,
     /* 1566397 */   // Label 21721: @1566397
     /* 1566397 */   GIM_Try, /*On fail goto*//*Label 21722*/ GIMT_Encode4(1566479), // Rule ID 21097 //
     /* 1566402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1566413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1566416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1566419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566441 */     // MIs[0] round
     /* 1566441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566444 */     // MIs[0] policy
     /* 1566444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566454 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1566457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566478 */     // GIR_Coverage, 21097,
     /* 1566478 */     GIR_EraseRootFromParent_Done,
     /* 1566479 */   // Label 21722: @1566479
     /* 1566479 */   GIM_Try, /*On fail goto*//*Label 21723*/ GIMT_Encode4(1566561), // Rule ID 21100 //
     /* 1566484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1566495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1566498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1566501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566523 */     // MIs[0] round
     /* 1566523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566526 */     // MIs[0] policy
     /* 1566526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566536 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1566539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566560 */     // GIR_Coverage, 21100,
     /* 1566560 */     GIR_EraseRootFromParent_Done,
     /* 1566561 */   // Label 21723: @1566561
     /* 1566561 */   GIM_Try, /*On fail goto*//*Label 21724*/ GIMT_Encode4(1566643), // Rule ID 21101 //
     /* 1566566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1566577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1566580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1566583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566605 */     // MIs[0] round
     /* 1566605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566608 */     // MIs[0] policy
     /* 1566608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566618 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1566621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566642 */     // GIR_Coverage, 21101,
     /* 1566642 */     GIR_EraseRootFromParent_Done,
     /* 1566643 */   // Label 21724: @1566643
     /* 1566643 */   GIM_Try, /*On fail goto*//*Label 21725*/ GIMT_Encode4(1566725), // Rule ID 21104 //
     /* 1566648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1566651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1566659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1566662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1566665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566687 */     // MIs[0] round
     /* 1566687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566690 */     // MIs[0] policy
     /* 1566690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566700 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1566703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566724 */     // GIR_Coverage, 21104,
     /* 1566724 */     GIR_EraseRootFromParent_Done,
     /* 1566725 */   // Label 21725: @1566725
     /* 1566725 */   GIM_Try, /*On fail goto*//*Label 21726*/ GIMT_Encode4(1566807), // Rule ID 21105 //
     /* 1566730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1566733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1566741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1566744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1566747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566769 */     // MIs[0] round
     /* 1566769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566772 */     // MIs[0] policy
     /* 1566772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566782 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1566785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566806 */     // GIR_Coverage, 21105,
     /* 1566806 */     GIR_EraseRootFromParent_Done,
     /* 1566807 */   // Label 21726: @1566807
     /* 1566807 */   GIM_Try, /*On fail goto*//*Label 21727*/ GIMT_Encode4(1566889), // Rule ID 21108 //
     /* 1566812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1566815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1566823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1566826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1566829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566851 */     // MIs[0] round
     /* 1566851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566854 */     // MIs[0] policy
     /* 1566854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566864 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1566867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566888 */     // GIR_Coverage, 21108,
     /* 1566888 */     GIR_EraseRootFromParent_Done,
     /* 1566889 */   // Label 21727: @1566889
     /* 1566889 */   GIM_Try, /*On fail goto*//*Label 21728*/ GIMT_Encode4(1566971), // Rule ID 21109 //
     /* 1566894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1566897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1566905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1566908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1566911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566933 */     // MIs[0] round
     /* 1566933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566936 */     // MIs[0] policy
     /* 1566936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566946 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1566949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566970 */     // GIR_Coverage, 21109,
     /* 1566970 */     GIR_EraseRootFromParent_Done,
     /* 1566971 */   // Label 21728: @1566971
     /* 1566971 */   GIM_Try, /*On fail goto*//*Label 21729*/ GIMT_Encode4(1567053), // Rule ID 21112 //
     /* 1566976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1566979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1566984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1566987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1566990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1566993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567015 */     // MIs[0] round
     /* 1567015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567018 */     // MIs[0] policy
     /* 1567018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567028 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1567031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1567049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567052 */     // GIR_Coverage, 21112,
     /* 1567052 */     GIR_EraseRootFromParent_Done,
     /* 1567053 */   // Label 21729: @1567053
     /* 1567053 */   GIM_Try, /*On fail goto*//*Label 21730*/ GIMT_Encode4(1567135), // Rule ID 21113 //
     /* 1567058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1567061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1567066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1567069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1567072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1567075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567097 */     // MIs[0] round
     /* 1567097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567100 */     // MIs[0] policy
     /* 1567100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567110 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1567113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1567131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567134 */     // GIR_Coverage, 21113,
     /* 1567134 */     GIR_EraseRootFromParent_Done,
     /* 1567135 */   // Label 21730: @1567135
     /* 1567135 */   GIM_Try, /*On fail goto*//*Label 21731*/ GIMT_Encode4(1567217), // Rule ID 21188 //
     /* 1567140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1567157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567179 */     // MIs[0] round
     /* 1567179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567182 */     // MIs[0] policy
     /* 1567182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567192 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1567195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567216 */     // GIR_Coverage, 21188,
     /* 1567216 */     GIR_EraseRootFromParent_Done,
     /* 1567217 */   // Label 21731: @1567217
     /* 1567217 */   GIM_Try, /*On fail goto*//*Label 21732*/ GIMT_Encode4(1567299), // Rule ID 21189 //
     /* 1567222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1567239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567261 */     // MIs[0] round
     /* 1567261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567264 */     // MIs[0] policy
     /* 1567264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567274 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1567277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567298 */     // GIR_Coverage, 21189,
     /* 1567298 */     GIR_EraseRootFromParent_Done,
     /* 1567299 */   // Label 21732: @1567299
     /* 1567299 */   GIM_Try, /*On fail goto*//*Label 21733*/ GIMT_Encode4(1567381), // Rule ID 21192 //
     /* 1567304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1567321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567343 */     // MIs[0] round
     /* 1567343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567346 */     // MIs[0] policy
     /* 1567346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1567359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567380 */     // GIR_Coverage, 21192,
     /* 1567380 */     GIR_EraseRootFromParent_Done,
     /* 1567381 */   // Label 21733: @1567381
     /* 1567381 */   GIM_Try, /*On fail goto*//*Label 21734*/ GIMT_Encode4(1567463), // Rule ID 21193 //
     /* 1567386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1567403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567425 */     // MIs[0] round
     /* 1567425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567428 */     // MIs[0] policy
     /* 1567428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567438 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1567441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567462 */     // GIR_Coverage, 21193,
     /* 1567462 */     GIR_EraseRootFromParent_Done,
     /* 1567463 */   // Label 21734: @1567463
     /* 1567463 */   GIM_Try, /*On fail goto*//*Label 21735*/ GIMT_Encode4(1567545), // Rule ID 21196 //
     /* 1567468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1567485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567507 */     // MIs[0] round
     /* 1567507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567510 */     // MIs[0] policy
     /* 1567510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567520 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1567523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567544 */     // GIR_Coverage, 21196,
     /* 1567544 */     GIR_EraseRootFromParent_Done,
     /* 1567545 */   // Label 21735: @1567545
     /* 1567545 */   GIM_Try, /*On fail goto*//*Label 21736*/ GIMT_Encode4(1567627), // Rule ID 21197 //
     /* 1567550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1567567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567589 */     // MIs[0] round
     /* 1567589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567592 */     // MIs[0] policy
     /* 1567592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1567605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567626 */     // GIR_Coverage, 21197,
     /* 1567626 */     GIR_EraseRootFromParent_Done,
     /* 1567627 */   // Label 21736: @1567627
     /* 1567627 */   GIM_Try, /*On fail goto*//*Label 21737*/ GIMT_Encode4(1567709), // Rule ID 21200 //
     /* 1567632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1567643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1567646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1567649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567671 */     // MIs[0] round
     /* 1567671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567674 */     // MIs[0] policy
     /* 1567674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1567687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567708 */     // GIR_Coverage, 21200,
     /* 1567708 */     GIR_EraseRootFromParent_Done,
     /* 1567709 */   // Label 21737: @1567709
     /* 1567709 */   GIM_Try, /*On fail goto*//*Label 21738*/ GIMT_Encode4(1567791), // Rule ID 21201 //
     /* 1567714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1567725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1567728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1567731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567753 */     // MIs[0] round
     /* 1567753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567756 */     // MIs[0] policy
     /* 1567756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567766 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1567769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567790 */     // GIR_Coverage, 21201,
     /* 1567790 */     GIR_EraseRootFromParent_Done,
     /* 1567791 */   // Label 21738: @1567791
     /* 1567791 */   GIM_Try, /*On fail goto*//*Label 21739*/ GIMT_Encode4(1567873), // Rule ID 21204 //
     /* 1567796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1567807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1567810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1567813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567835 */     // MIs[0] round
     /* 1567835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567838 */     // MIs[0] policy
     /* 1567838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567848 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1567851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567872 */     // GIR_Coverage, 21204,
     /* 1567872 */     GIR_EraseRootFromParent_Done,
     /* 1567873 */   // Label 21739: @1567873
     /* 1567873 */   GIM_Try, /*On fail goto*//*Label 21740*/ GIMT_Encode4(1567955), // Rule ID 21205 //
     /* 1567878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1567889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1567892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1567895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567917 */     // MIs[0] round
     /* 1567917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567920 */     // MIs[0] policy
     /* 1567920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567930 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1567933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567954 */     // GIR_Coverage, 21205,
     /* 1567954 */     GIR_EraseRootFromParent_Done,
     /* 1567955 */   // Label 21740: @1567955
     /* 1567955 */   GIM_Try, /*On fail goto*//*Label 21741*/ GIMT_Encode4(1568037), // Rule ID 21208 //
     /* 1567960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1567963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1567968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1567971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1567974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1567977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567999 */     // MIs[0] round
     /* 1567999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568002 */     // MIs[0] policy
     /* 1568002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1568015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568036 */     // GIR_Coverage, 21208,
     /* 1568036 */     GIR_EraseRootFromParent_Done,
     /* 1568037 */   // Label 21741: @1568037
     /* 1568037 */   GIM_Try, /*On fail goto*//*Label 21742*/ GIMT_Encode4(1568119), // Rule ID 21209 //
     /* 1568042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1568045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1568050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1568053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1568056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1568059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568081 */     // MIs[0] round
     /* 1568081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568084 */     // MIs[0] policy
     /* 1568084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568094 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1568097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568118 */     // GIR_Coverage, 21209,
     /* 1568118 */     GIR_EraseRootFromParent_Done,
     /* 1568119 */   // Label 21742: @1568119
     /* 1568119 */   GIM_Try, /*On fail goto*//*Label 21743*/ GIMT_Encode4(1568201), // Rule ID 21212 //
     /* 1568124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1568127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1568132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1568135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1568138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568163 */     // MIs[0] round
     /* 1568163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568166 */     // MIs[0] policy
     /* 1568166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1568179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568200 */     // GIR_Coverage, 21212,
     /* 1568200 */     GIR_EraseRootFromParent_Done,
     /* 1568201 */   // Label 21743: @1568201
     /* 1568201 */   GIM_Try, /*On fail goto*//*Label 21744*/ GIMT_Encode4(1568283), // Rule ID 21213 //
     /* 1568206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1568209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1568214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1568217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1568220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568245 */     // MIs[0] round
     /* 1568245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568248 */     // MIs[0] policy
     /* 1568248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1568261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568282 */     // GIR_Coverage, 21213,
     /* 1568282 */     GIR_EraseRootFromParent_Done,
     /* 1568283 */   // Label 21744: @1568283
     /* 1568283 */   GIM_Try, /*On fail goto*//*Label 21745*/ GIMT_Encode4(1568365), // Rule ID 21216 //
     /* 1568288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1568291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1568296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1568299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1568302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568327 */     // MIs[0] round
     /* 1568327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568330 */     // MIs[0] policy
     /* 1568330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568340 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1568343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568364 */     // GIR_Coverage, 21216,
     /* 1568364 */     GIR_EraseRootFromParent_Done,
     /* 1568365 */   // Label 21745: @1568365
     /* 1568365 */   GIM_Try, /*On fail goto*//*Label 21746*/ GIMT_Encode4(1568447), // Rule ID 21217 //
     /* 1568370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1568373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1568378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1568381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1568384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568409 */     // MIs[0] round
     /* 1568409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568412 */     // MIs[0] policy
     /* 1568412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568422 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1568425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568431 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568446 */     // GIR_Coverage, 21217,
     /* 1568446 */     GIR_EraseRootFromParent_Done,
     /* 1568447 */   // Label 21746: @1568447
     /* 1568447 */   GIM_Try, /*On fail goto*//*Label 21747*/ GIMT_Encode4(1568529), // Rule ID 21220 //
     /* 1568452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1568455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1568460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1568463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1568466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568491 */     // MIs[0] round
     /* 1568491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568494 */     // MIs[0] policy
     /* 1568494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1568507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568528 */     // GIR_Coverage, 21220,
     /* 1568528 */     GIR_EraseRootFromParent_Done,
     /* 1568529 */   // Label 21747: @1568529
     /* 1568529 */   GIM_Try, /*On fail goto*//*Label 21748*/ GIMT_Encode4(1568611), // Rule ID 21221 //
     /* 1568534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1568537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1568542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1568545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1568548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568573 */     // MIs[0] round
     /* 1568573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568576 */     // MIs[0] policy
     /* 1568576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1568589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568610 */     // GIR_Coverage, 21221,
     /* 1568610 */     GIR_EraseRootFromParent_Done,
     /* 1568611 */   // Label 21748: @1568611
     /* 1568611 */   GIM_Try, /*On fail goto*//*Label 21749*/ GIMT_Encode4(1568693), // Rule ID 21224 //
     /* 1568616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1568627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1568630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1568633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568655 */     // MIs[0] round
     /* 1568655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568658 */     // MIs[0] policy
     /* 1568658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568668 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1568671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568692 */     // GIR_Coverage, 21224,
     /* 1568692 */     GIR_EraseRootFromParent_Done,
     /* 1568693 */   // Label 21749: @1568693
     /* 1568693 */   GIM_Try, /*On fail goto*//*Label 21750*/ GIMT_Encode4(1568775), // Rule ID 21225 //
     /* 1568698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1568709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1568712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1568715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568737 */     // MIs[0] round
     /* 1568737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568740 */     // MIs[0] policy
     /* 1568740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1568753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568774 */     // GIR_Coverage, 21225,
     /* 1568774 */     GIR_EraseRootFromParent_Done,
     /* 1568775 */   // Label 21750: @1568775
     /* 1568775 */   GIM_Try, /*On fail goto*//*Label 21751*/ GIMT_Encode4(1568857), // Rule ID 21228 //
     /* 1568780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1568791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1568794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1568797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568819 */     // MIs[0] round
     /* 1568819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568822 */     // MIs[0] policy
     /* 1568822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1568835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568856 */     // GIR_Coverage, 21228,
     /* 1568856 */     GIR_EraseRootFromParent_Done,
     /* 1568857 */   // Label 21751: @1568857
     /* 1568857 */   GIM_Try, /*On fail goto*//*Label 21752*/ GIMT_Encode4(1568939), // Rule ID 21229 //
     /* 1568862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1568873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1568876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1568879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568901 */     // MIs[0] round
     /* 1568901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568904 */     // MIs[0] policy
     /* 1568904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568914 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1568917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568938 */     // GIR_Coverage, 21229,
     /* 1568938 */     GIR_EraseRootFromParent_Done,
     /* 1568939 */   // Label 21752: @1568939
     /* 1568939 */   GIM_Try, /*On fail goto*//*Label 21753*/ GIMT_Encode4(1569021), // Rule ID 21232 //
     /* 1568944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1568952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1568955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1568958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1568961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568983 */     // MIs[0] round
     /* 1568983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568986 */     // MIs[0] policy
     /* 1568986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1568999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569020 */     // GIR_Coverage, 21232,
     /* 1569020 */     GIR_EraseRootFromParent_Done,
     /* 1569021 */   // Label 21753: @1569021
     /* 1569021 */   GIM_Try, /*On fail goto*//*Label 21754*/ GIMT_Encode4(1569103), // Rule ID 21233 //
     /* 1569026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1569037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1569040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1569043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569065 */     // MIs[0] round
     /* 1569065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569068 */     // MIs[0] policy
     /* 1569068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569078 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1569081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569102 */     // GIR_Coverage, 21233,
     /* 1569102 */     GIR_EraseRootFromParent_Done,
     /* 1569103 */   // Label 21754: @1569103
     /* 1569103 */   GIM_Try, /*On fail goto*//*Label 21755*/ GIMT_Encode4(1569185), // Rule ID 21236 //
     /* 1569108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1569125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569147 */     // MIs[0] round
     /* 1569147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569150 */     // MIs[0] policy
     /* 1569150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569160 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1569163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569184 */     // GIR_Coverage, 21236,
     /* 1569184 */     GIR_EraseRootFromParent_Done,
     /* 1569185 */   // Label 21755: @1569185
     /* 1569185 */   GIM_Try, /*On fail goto*//*Label 21756*/ GIMT_Encode4(1569267), // Rule ID 21237 //
     /* 1569190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1569207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569229 */     // MIs[0] round
     /* 1569229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569232 */     // MIs[0] policy
     /* 1569232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1569245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569266 */     // GIR_Coverage, 21237,
     /* 1569266 */     GIR_EraseRootFromParent_Done,
     /* 1569267 */   // Label 21756: @1569267
     /* 1569267 */   GIM_Try, /*On fail goto*//*Label 21757*/ GIMT_Encode4(1569349), // Rule ID 21240 //
     /* 1569272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1569283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1569286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1569289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1569292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1569299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569311 */     // MIs[0] round
     /* 1569311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569314 */     // MIs[0] policy
     /* 1569314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1569327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569348 */     // GIR_Coverage, 21240,
     /* 1569348 */     GIR_EraseRootFromParent_Done,
     /* 1569349 */   // Label 21757: @1569349
     /* 1569349 */   GIM_Try, /*On fail goto*//*Label 21758*/ GIMT_Encode4(1569431), // Rule ID 21241 //
     /* 1569354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1569365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1569368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1569371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1569374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1569381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569393 */     // MIs[0] round
     /* 1569393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569396 */     // MIs[0] policy
     /* 1569396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569406 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1569409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569430 */     // GIR_Coverage, 21241,
     /* 1569430 */     GIR_EraseRootFromParent_Done,
     /* 1569431 */   // Label 21758: @1569431
     /* 1569431 */   GIM_Try, /*On fail goto*//*Label 21759*/ GIMT_Encode4(1569513), // Rule ID 21244 //
     /* 1569436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1569447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1569450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1569453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569475 */     // MIs[0] round
     /* 1569475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569478 */     // MIs[0] policy
     /* 1569478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1569491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569512 */     // GIR_Coverage, 21244,
     /* 1569512 */     GIR_EraseRootFromParent_Done,
     /* 1569513 */   // Label 21759: @1569513
     /* 1569513 */   GIM_Try, /*On fail goto*//*Label 21760*/ GIMT_Encode4(1569595), // Rule ID 21245 //
     /* 1569518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1569529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1569532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1569535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569557 */     // MIs[0] round
     /* 1569557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569560 */     // MIs[0] policy
     /* 1569560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569570 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1569573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569594 */     // GIR_Coverage, 21245,
     /* 1569594 */     GIR_EraseRootFromParent_Done,
     /* 1569595 */   // Label 21760: @1569595
     /* 1569595 */   GIM_Try, /*On fail goto*//*Label 21761*/ GIMT_Encode4(1569677), // Rule ID 21248 //
     /* 1569600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1569611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1569614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1569617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569639 */     // MIs[0] round
     /* 1569639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569642 */     // MIs[0] policy
     /* 1569642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1569655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569676 */     // GIR_Coverage, 21248,
     /* 1569676 */     GIR_EraseRootFromParent_Done,
     /* 1569677 */   // Label 21761: @1569677
     /* 1569677 */   GIM_Try, /*On fail goto*//*Label 21762*/ GIMT_Encode4(1569759), // Rule ID 21249 //
     /* 1569682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1569693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1569696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1569699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569721 */     // MIs[0] round
     /* 1569721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569724 */     // MIs[0] policy
     /* 1569724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569734 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1569737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569758 */     // GIR_Coverage, 21249,
     /* 1569758 */     GIR_EraseRootFromParent_Done,
     /* 1569759 */   // Label 21762: @1569759
     /* 1569759 */   GIM_Try, /*On fail goto*//*Label 21763*/ GIMT_Encode4(1569841), // Rule ID 21252 //
     /* 1569764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1569775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1569778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1569781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569803 */     // MIs[0] round
     /* 1569803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569806 */     // MIs[0] policy
     /* 1569806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569816 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1569819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569840 */     // GIR_Coverage, 21252,
     /* 1569840 */     GIR_EraseRootFromParent_Done,
     /* 1569841 */   // Label 21763: @1569841
     /* 1569841 */   GIM_Try, /*On fail goto*//*Label 21764*/ GIMT_Encode4(1569923), // Rule ID 21253 //
     /* 1569846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1569857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1569860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1569863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569885 */     // MIs[0] round
     /* 1569885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569888 */     // MIs[0] policy
     /* 1569888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569898 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1569901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569922 */     // GIR_Coverage, 21253,
     /* 1569922 */     GIR_EraseRootFromParent_Done,
     /* 1569923 */   // Label 21764: @1569923
     /* 1569923 */   GIM_Try, /*On fail goto*//*Label 21765*/ GIMT_Encode4(1570005), // Rule ID 21256 //
     /* 1569928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1569936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1569939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1569942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1569945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1569955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569967 */     // MIs[0] round
     /* 1569967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569970 */     // MIs[0] policy
     /* 1569970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569980 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1569983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570004 */     // GIR_Coverage, 21256,
     /* 1570004 */     GIR_EraseRootFromParent_Done,
     /* 1570005 */   // Label 21765: @1570005
     /* 1570005 */   GIM_Try, /*On fail goto*//*Label 21766*/ GIMT_Encode4(1570087), // Rule ID 21257 //
     /* 1570010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1570018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1570021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1570024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1570027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1570037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570049 */     // MIs[0] round
     /* 1570049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570052 */     // MIs[0] policy
     /* 1570052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570062 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1570065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570086 */     // GIR_Coverage, 21257,
     /* 1570086 */     GIR_EraseRootFromParent_Done,
     /* 1570087 */   // Label 21766: @1570087
     /* 1570087 */   GIM_Try, /*On fail goto*//*Label 21767*/ GIMT_Encode4(1570169), // Rule ID 21608 //
     /* 1570092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1570103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1570106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1570109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570131 */     // MIs[0] round
     /* 1570131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570134 */     // MIs[0] policy
     /* 1570134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570144 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1570147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570168 */     // GIR_Coverage, 21608,
     /* 1570168 */     GIR_EraseRootFromParent_Done,
     /* 1570169 */   // Label 21767: @1570169
     /* 1570169 */   GIM_Try, /*On fail goto*//*Label 21768*/ GIMT_Encode4(1570251), // Rule ID 21609 //
     /* 1570174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1570185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1570188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1570191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570213 */     // MIs[0] round
     /* 1570213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570216 */     // MIs[0] policy
     /* 1570216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570226 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1570229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570250 */     // GIR_Coverage, 21609,
     /* 1570250 */     GIR_EraseRootFromParent_Done,
     /* 1570251 */   // Label 21768: @1570251
     /* 1570251 */   GIM_Try, /*On fail goto*//*Label 21769*/ GIMT_Encode4(1570333), // Rule ID 21612 //
     /* 1570256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1570267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1570270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1570273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570295 */     // MIs[0] round
     /* 1570295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570298 */     // MIs[0] policy
     /* 1570298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570308 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1570311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570332 */     // GIR_Coverage, 21612,
     /* 1570332 */     GIR_EraseRootFromParent_Done,
     /* 1570333 */   // Label 21769: @1570333
     /* 1570333 */   GIM_Try, /*On fail goto*//*Label 21770*/ GIMT_Encode4(1570415), // Rule ID 21613 //
     /* 1570338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1570349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1570352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1570355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570377 */     // MIs[0] round
     /* 1570377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570380 */     // MIs[0] policy
     /* 1570380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570390 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1570393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570414 */     // GIR_Coverage, 21613,
     /* 1570414 */     GIR_EraseRootFromParent_Done,
     /* 1570415 */   // Label 21770: @1570415
     /* 1570415 */   GIM_Try, /*On fail goto*//*Label 21771*/ GIMT_Encode4(1570497), // Rule ID 21616 //
     /* 1570420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1570431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1570434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1570437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570459 */     // MIs[0] round
     /* 1570459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570462 */     // MIs[0] policy
     /* 1570462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1570475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570496 */     // GIR_Coverage, 21616,
     /* 1570496 */     GIR_EraseRootFromParent_Done,
     /* 1570497 */   // Label 21771: @1570497
     /* 1570497 */   GIM_Try, /*On fail goto*//*Label 21772*/ GIMT_Encode4(1570579), // Rule ID 21617 //
     /* 1570502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1570513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1570516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1570519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570541 */     // MIs[0] round
     /* 1570541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570544 */     // MIs[0] policy
     /* 1570544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570554 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1570557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570578 */     // GIR_Coverage, 21617,
     /* 1570578 */     GIR_EraseRootFromParent_Done,
     /* 1570579 */   // Label 21772: @1570579
     /* 1570579 */   GIM_Try, /*On fail goto*//*Label 21773*/ GIMT_Encode4(1570661), // Rule ID 21620 //
     /* 1570584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1570595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1570598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1570601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570623 */     // MIs[0] round
     /* 1570623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570626 */     // MIs[0] policy
     /* 1570626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1570639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570660 */     // GIR_Coverage, 21620,
     /* 1570660 */     GIR_EraseRootFromParent_Done,
     /* 1570661 */   // Label 21773: @1570661
     /* 1570661 */   GIM_Try, /*On fail goto*//*Label 21774*/ GIMT_Encode4(1570743), // Rule ID 21621 //
     /* 1570666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1570677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1570680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1570683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570705 */     // MIs[0] round
     /* 1570705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570708 */     // MIs[0] policy
     /* 1570708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570718 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1570721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570742 */     // GIR_Coverage, 21621,
     /* 1570742 */     GIR_EraseRootFromParent_Done,
     /* 1570743 */   // Label 21774: @1570743
     /* 1570743 */   GIM_Try, /*On fail goto*//*Label 21775*/ GIMT_Encode4(1570825), // Rule ID 21624 //
     /* 1570748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1570759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1570762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1570765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570787 */     // MIs[0] round
     /* 1570787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570790 */     // MIs[0] policy
     /* 1570790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570800 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1570803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570824 */     // GIR_Coverage, 21624,
     /* 1570824 */     GIR_EraseRootFromParent_Done,
     /* 1570825 */   // Label 21775: @1570825
     /* 1570825 */   GIM_Try, /*On fail goto*//*Label 21776*/ GIMT_Encode4(1570907), // Rule ID 21625 //
     /* 1570830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1570841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1570844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1570847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570869 */     // MIs[0] round
     /* 1570869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570872 */     // MIs[0] policy
     /* 1570872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570882 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1570885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570906 */     // GIR_Coverage, 21625,
     /* 1570906 */     GIR_EraseRootFromParent_Done,
     /* 1570907 */   // Label 21776: @1570907
     /* 1570907 */   GIM_Try, /*On fail goto*//*Label 21777*/ GIMT_Encode4(1570989), // Rule ID 21628 //
     /* 1570912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1570920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1570923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1570926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1570929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1570932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570951 */     // MIs[0] round
     /* 1570951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570954 */     // MIs[0] policy
     /* 1570954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570964 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1570967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570988 */     // GIR_Coverage, 21628,
     /* 1570988 */     GIR_EraseRootFromParent_Done,
     /* 1570989 */   // Label 21777: @1570989
     /* 1570989 */   GIM_Try, /*On fail goto*//*Label 21778*/ GIMT_Encode4(1571071), // Rule ID 21629 //
     /* 1570994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1571005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1571008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1571011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1571014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571033 */     // MIs[0] round
     /* 1571033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571036 */     // MIs[0] policy
     /* 1571036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1571049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571070 */     // GIR_Coverage, 21629,
     /* 1571070 */     GIR_EraseRootFromParent_Done,
     /* 1571071 */   // Label 21778: @1571071
     /* 1571071 */   GIM_Try, /*On fail goto*//*Label 21779*/ GIMT_Encode4(1571153), // Rule ID 21632 //
     /* 1571076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1571079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1571093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571115 */     // MIs[0] round
     /* 1571115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571118 */     // MIs[0] policy
     /* 1571118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571128 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1571131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571152 */     // GIR_Coverage, 21632,
     /* 1571152 */     GIR_EraseRootFromParent_Done,
     /* 1571153 */   // Label 21779: @1571153
     /* 1571153 */   GIM_Try, /*On fail goto*//*Label 21780*/ GIMT_Encode4(1571235), // Rule ID 21633 //
     /* 1571158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1571161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1571175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571197 */     // MIs[0] round
     /* 1571197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571200 */     // MIs[0] policy
     /* 1571200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571210 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1571213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571234 */     // GIR_Coverage, 21633,
     /* 1571234 */     GIR_EraseRootFromParent_Done,
     /* 1571235 */   // Label 21780: @1571235
     /* 1571235 */   GIM_Try, /*On fail goto*//*Label 21781*/ GIMT_Encode4(1571317), // Rule ID 21636 //
     /* 1571240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1571243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1571251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1571254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1571257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571279 */     // MIs[0] round
     /* 1571279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571282 */     // MIs[0] policy
     /* 1571282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1571295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571316 */     // GIR_Coverage, 21636,
     /* 1571316 */     GIR_EraseRootFromParent_Done,
     /* 1571317 */   // Label 21781: @1571317
     /* 1571317 */   GIM_Try, /*On fail goto*//*Label 21782*/ GIMT_Encode4(1571399), // Rule ID 21637 //
     /* 1571322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1571325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1571333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1571336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1571339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571361 */     // MIs[0] round
     /* 1571361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571364 */     // MIs[0] policy
     /* 1571364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1571377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571398 */     // GIR_Coverage, 21637,
     /* 1571398 */     GIR_EraseRootFromParent_Done,
     /* 1571399 */   // Label 21782: @1571399
     /* 1571399 */   GIM_Try, /*On fail goto*//*Label 21783*/ GIMT_Encode4(1571481), // Rule ID 21640 //
     /* 1571404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1571407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1571415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1571418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1571421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571443 */     // MIs[0] round
     /* 1571443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571446 */     // MIs[0] policy
     /* 1571446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1571459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571480 */     // GIR_Coverage, 21640,
     /* 1571480 */     GIR_EraseRootFromParent_Done,
     /* 1571481 */   // Label 21783: @1571481
     /* 1571481 */   GIM_Try, /*On fail goto*//*Label 21784*/ GIMT_Encode4(1571563), // Rule ID 21641 //
     /* 1571486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1571489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1571497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1571500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1571503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571525 */     // MIs[0] round
     /* 1571525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571528 */     // MIs[0] policy
     /* 1571528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571538 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1571541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571562 */     // GIR_Coverage, 21641,
     /* 1571562 */     GIR_EraseRootFromParent_Done,
     /* 1571563 */   // Label 21784: @1571563
     /* 1571563 */   GIM_Try, /*On fail goto*//*Label 21785*/ GIMT_Encode4(1571645), // Rule ID 21644 //
     /* 1571568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1571571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1571579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1571582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1571585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571607 */     // MIs[0] round
     /* 1571607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571610 */     // MIs[0] policy
     /* 1571610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571620 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1571623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571644 */     // GIR_Coverage, 21644,
     /* 1571644 */     GIR_EraseRootFromParent_Done,
     /* 1571645 */   // Label 21785: @1571645
     /* 1571645 */   GIM_Try, /*On fail goto*//*Label 21786*/ GIMT_Encode4(1571727), // Rule ID 21645 //
     /* 1571650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1571653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1571661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1571664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1571667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571689 */     // MIs[0] round
     /* 1571689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571692 */     // MIs[0] policy
     /* 1571692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571702 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1571705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571726 */     // GIR_Coverage, 21645,
     /* 1571726 */     GIR_EraseRootFromParent_Done,
     /* 1571727 */   // Label 21786: @1571727
     /* 1571727 */   GIM_Try, /*On fail goto*//*Label 21787*/ GIMT_Encode4(1571809), // Rule ID 21648 //
     /* 1571732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1571735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1571743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1571746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1571749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1571752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571771 */     // MIs[0] round
     /* 1571771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571774 */     // MIs[0] policy
     /* 1571774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571784 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1571787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571808 */     // GIR_Coverage, 21648,
     /* 1571808 */     GIR_EraseRootFromParent_Done,
     /* 1571809 */   // Label 21787: @1571809
     /* 1571809 */   GIM_Try, /*On fail goto*//*Label 21788*/ GIMT_Encode4(1571891), // Rule ID 21649 //
     /* 1571814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1571817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1571825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1571828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1571831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1571834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571853 */     // MIs[0] round
     /* 1571853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571856 */     // MIs[0] policy
     /* 1571856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1571869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571890 */     // GIR_Coverage, 21649,
     /* 1571890 */     GIR_EraseRootFromParent_Done,
     /* 1571891 */   // Label 21788: @1571891
     /* 1571891 */   GIM_Try, /*On fail goto*//*Label 21789*/ GIMT_Encode4(1571973), // Rule ID 21652 //
     /* 1571896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1571899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1571907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1571910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1571913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571935 */     // MIs[0] round
     /* 1571935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571938 */     // MIs[0] policy
     /* 1571938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571948 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1571951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571972 */     // GIR_Coverage, 21652,
     /* 1571972 */     GIR_EraseRootFromParent_Done,
     /* 1571973 */   // Label 21789: @1571973
     /* 1571973 */   GIM_Try, /*On fail goto*//*Label 21790*/ GIMT_Encode4(1572055), // Rule ID 21653 //
     /* 1571978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1571981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1571986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1571989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1571992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1571995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572017 */     // MIs[0] round
     /* 1572017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572020 */     // MIs[0] policy
     /* 1572020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1572033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572054 */     // GIR_Coverage, 21653,
     /* 1572054 */     GIR_EraseRootFromParent_Done,
     /* 1572055 */   // Label 21790: @1572055
     /* 1572055 */   GIM_Try, /*On fail goto*//*Label 21791*/ GIMT_Encode4(1572137), // Rule ID 21656 //
     /* 1572060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1572063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1572068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1572071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1572074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1572077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572099 */     // MIs[0] round
     /* 1572099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572102 */     // MIs[0] policy
     /* 1572102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572112 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1572115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572136 */     // GIR_Coverage, 21656,
     /* 1572136 */     GIR_EraseRootFromParent_Done,
     /* 1572137 */   // Label 21791: @1572137
     /* 1572137 */   GIM_Try, /*On fail goto*//*Label 21792*/ GIMT_Encode4(1572219), // Rule ID 21657 //
     /* 1572142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1572145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1572150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1572153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1572156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1572159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572181 */     // MIs[0] round
     /* 1572181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572184 */     // MIs[0] policy
     /* 1572184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572194 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1572197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572218 */     // GIR_Coverage, 21657,
     /* 1572218 */     GIR_EraseRootFromParent_Done,
     /* 1572219 */   // Label 21792: @1572219
     /* 1572219 */   GIM_Try, /*On fail goto*//*Label 21793*/ GIMT_Encode4(1572301), // Rule ID 21660 //
     /* 1572224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1572227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1572232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1572235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1572238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1572241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572263 */     // MIs[0] round
     /* 1572263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572266 */     // MIs[0] policy
     /* 1572266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572276 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1572279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572300 */     // GIR_Coverage, 21660,
     /* 1572300 */     GIR_EraseRootFromParent_Done,
     /* 1572301 */   // Label 21793: @1572301
     /* 1572301 */   GIM_Try, /*On fail goto*//*Label 21794*/ GIMT_Encode4(1572383), // Rule ID 21661 //
     /* 1572306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1572309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1572314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1572317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1572320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1572323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572345 */     // MIs[0] round
     /* 1572345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572348 */     // MIs[0] policy
     /* 1572348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1572361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572382 */     // GIR_Coverage, 21661,
     /* 1572382 */     GIR_EraseRootFromParent_Done,
     /* 1572383 */   // Label 21794: @1572383
     /* 1572383 */   GIM_Try, /*On fail goto*//*Label 21795*/ GIMT_Encode4(1572465), // Rule ID 21664 //
     /* 1572388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1572391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1572396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1572399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1572402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1572405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572427 */     // MIs[0] round
     /* 1572427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572430 */     // MIs[0] policy
     /* 1572430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1572443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572464 */     // GIR_Coverage, 21664,
     /* 1572464 */     GIR_EraseRootFromParent_Done,
     /* 1572465 */   // Label 21795: @1572465
     /* 1572465 */   GIM_Try, /*On fail goto*//*Label 21796*/ GIMT_Encode4(1572547), // Rule ID 21665 //
     /* 1572470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1572473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1572478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1572481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1572484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1572487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572509 */     // MIs[0] round
     /* 1572509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572512 */     // MIs[0] policy
     /* 1572512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1572525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572546 */     // GIR_Coverage, 21665,
     /* 1572546 */     GIR_EraseRootFromParent_Done,
     /* 1572547 */   // Label 21796: @1572547
     /* 1572547 */   GIM_Try, /*On fail goto*//*Label 21797*/ GIMT_Encode4(1572629), // Rule ID 21668 //
     /* 1572552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1572563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1572566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1572569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1572572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572591 */     // MIs[0] round
     /* 1572591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572594 */     // MIs[0] policy
     /* 1572594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572604 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1572607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572628 */     // GIR_Coverage, 21668,
     /* 1572628 */     GIR_EraseRootFromParent_Done,
     /* 1572629 */   // Label 21797: @1572629
     /* 1572629 */   GIM_Try, /*On fail goto*//*Label 21798*/ GIMT_Encode4(1572711), // Rule ID 21669 //
     /* 1572634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1572645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1572648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1572651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1572654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572673 */     // MIs[0] round
     /* 1572673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572676 */     // MIs[0] policy
     /* 1572676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572686 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1572689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572710 */     // GIR_Coverage, 21669,
     /* 1572710 */     GIR_EraseRootFromParent_Done,
     /* 1572711 */   // Label 21798: @1572711
     /* 1572711 */   GIM_Try, /*On fail goto*//*Label 21799*/ GIMT_Encode4(1572793), // Rule ID 21672 //
     /* 1572716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1572727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1572730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1572733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572755 */     // MIs[0] round
     /* 1572755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572758 */     // MIs[0] policy
     /* 1572758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572768 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1572771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572792 */     // GIR_Coverage, 21672,
     /* 1572792 */     GIR_EraseRootFromParent_Done,
     /* 1572793 */   // Label 21799: @1572793
     /* 1572793 */   GIM_Try, /*On fail goto*//*Label 21800*/ GIMT_Encode4(1572875), // Rule ID 21673 //
     /* 1572798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1572809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1572812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1572815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572837 */     // MIs[0] round
     /* 1572837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572840 */     // MIs[0] policy
     /* 1572840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572850 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1572853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572874 */     // GIR_Coverage, 21673,
     /* 1572874 */     GIR_EraseRootFromParent_Done,
     /* 1572875 */   // Label 21800: @1572875
     /* 1572875 */   GIM_Try, /*On fail goto*//*Label 21801*/ GIMT_Encode4(1572957), // Rule ID 21676 //
     /* 1572880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1572891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1572894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1572897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572919 */     // MIs[0] round
     /* 1572919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572922 */     // MIs[0] policy
     /* 1572922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572932 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1572935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572956 */     // GIR_Coverage, 21676,
     /* 1572956 */     GIR_EraseRootFromParent_Done,
     /* 1572957 */   // Label 21801: @1572957
     /* 1572957 */   GIM_Try, /*On fail goto*//*Label 21802*/ GIMT_Encode4(1573039), // Rule ID 21677 //
     /* 1572962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1572973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1572976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1572979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573001 */     // MIs[0] round
     /* 1573001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573004 */     // MIs[0] policy
     /* 1573004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573014 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1573017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573038 */     // GIR_Coverage, 21677,
     /* 1573038 */     GIR_EraseRootFromParent_Done,
     /* 1573039 */   // Label 21802: @1573039
     /* 1573039 */   GIM_Try, /*On fail goto*//*Label 21803*/ GIMT_Encode4(1573121), // Rule ID 21680 //
     /* 1573044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1573047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1573055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1573058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1573061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1573064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573083 */     // MIs[0] round
     /* 1573083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573086 */     // MIs[0] policy
     /* 1573086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1573099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573120 */     // GIR_Coverage, 21680,
     /* 1573120 */     GIR_EraseRootFromParent_Done,
     /* 1573121 */   // Label 21803: @1573121
     /* 1573121 */   GIM_Try, /*On fail goto*//*Label 21804*/ GIMT_Encode4(1573203), // Rule ID 21681 //
     /* 1573126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1573129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1573137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1573140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1573143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1573146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573165 */     // MIs[0] round
     /* 1573165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573168 */     // MIs[0] policy
     /* 1573168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1573181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573202 */     // GIR_Coverage, 21681,
     /* 1573202 */     GIR_EraseRootFromParent_Done,
     /* 1573203 */   // Label 21804: @1573203
     /* 1573203 */   GIM_Try, /*On fail goto*//*Label 21805*/ GIMT_Encode4(1573285), // Rule ID 21684 //
     /* 1573208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1573211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1573219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1573222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1573225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1573228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573247 */     // MIs[0] round
     /* 1573247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573250 */     // MIs[0] policy
     /* 1573250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573260 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1573263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573284 */     // GIR_Coverage, 21684,
     /* 1573284 */     GIR_EraseRootFromParent_Done,
     /* 1573285 */   // Label 21805: @1573285
     /* 1573285 */   GIM_Try, /*On fail goto*//*Label 21806*/ GIMT_Encode4(1573367), // Rule ID 21685 //
     /* 1573290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1573293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1573301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1573304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1573307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1573310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573329 */     // MIs[0] round
     /* 1573329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573332 */     // MIs[0] policy
     /* 1573332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573342 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1573345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573366 */     // GIR_Coverage, 21685,
     /* 1573366 */     GIR_EraseRootFromParent_Done,
     /* 1573367 */   // Label 21806: @1573367
     /* 1573367 */   GIM_Try, /*On fail goto*//*Label 21807*/ GIMT_Encode4(1573449), // Rule ID 21688 //
     /* 1573372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1573375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1573383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1573386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1573389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1573392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573411 */     // MIs[0] round
     /* 1573411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573414 */     // MIs[0] policy
     /* 1573414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573424 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1573427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573448 */     // GIR_Coverage, 21688,
     /* 1573448 */     GIR_EraseRootFromParent_Done,
     /* 1573449 */   // Label 21807: @1573449
     /* 1573449 */   GIM_Try, /*On fail goto*//*Label 21808*/ GIMT_Encode4(1573531), // Rule ID 21689 //
     /* 1573454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1573457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1573465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1573468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1573471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1573474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573493 */     // MIs[0] round
     /* 1573493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573496 */     // MIs[0] policy
     /* 1573496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1573509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573530 */     // GIR_Coverage, 21689,
     /* 1573530 */     GIR_EraseRootFromParent_Done,
     /* 1573531 */   // Label 21808: @1573531
     /* 1573531 */   GIM_Try, /*On fail goto*//*Label 21809*/ GIMT_Encode4(1573613), // Rule ID 21692 //
     /* 1573536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1573539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1573547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1573550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1573553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1573556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573575 */     // MIs[0] round
     /* 1573575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573578 */     // MIs[0] policy
     /* 1573578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1573591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573612 */     // GIR_Coverage, 21692,
     /* 1573612 */     GIR_EraseRootFromParent_Done,
     /* 1573613 */   // Label 21809: @1573613
     /* 1573613 */   GIM_Try, /*On fail goto*//*Label 21810*/ GIMT_Encode4(1573695), // Rule ID 21693 //
     /* 1573618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1573621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1573629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1573632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1573635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1573638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573657 */     // MIs[0] round
     /* 1573657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573660 */     // MIs[0] policy
     /* 1573660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573670 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1573673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573694 */     // GIR_Coverage, 21693,
     /* 1573694 */     GIR_EraseRootFromParent_Done,
     /* 1573695 */   // Label 21810: @1573695
     /* 1573695 */   GIM_Try, /*On fail goto*//*Label 21811*/ GIMT_Encode4(1573777), // Rule ID 21696 //
     /* 1573700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1573703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1573711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1573714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1573717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1573720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573739 */     // MIs[0] round
     /* 1573739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573742 */     // MIs[0] policy
     /* 1573742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573752 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1573755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573776 */     // GIR_Coverage, 21696,
     /* 1573776 */     GIR_EraseRootFromParent_Done,
     /* 1573777 */   // Label 21811: @1573777
     /* 1573777 */   GIM_Try, /*On fail goto*//*Label 21812*/ GIMT_Encode4(1573859), // Rule ID 21697 //
     /* 1573782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1573785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1573793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1573796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1573799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1573802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573821 */     // MIs[0] round
     /* 1573821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573824 */     // MIs[0] policy
     /* 1573824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1573837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573858 */     // GIR_Coverage, 21697,
     /* 1573858 */     GIR_EraseRootFromParent_Done,
     /* 1573859 */   // Label 21812: @1573859
     /* 1573859 */   GIM_Try, /*On fail goto*//*Label 21813*/ GIMT_Encode4(1573941), // Rule ID 21700 //
     /* 1573864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1573867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1573875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1573878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1573881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1573884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573903 */     // MIs[0] round
     /* 1573903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573906 */     // MIs[0] policy
     /* 1573906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573916 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1573919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573940 */     // GIR_Coverage, 21700,
     /* 1573940 */     GIR_EraseRootFromParent_Done,
     /* 1573941 */   // Label 21813: @1573941
     /* 1573941 */   GIM_Try, /*On fail goto*//*Label 21814*/ GIMT_Encode4(1574023), // Rule ID 21701 //
     /* 1573946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1573949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1573954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1573957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1573960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1573963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1573966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573985 */     // MIs[0] round
     /* 1573985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573988 */     // MIs[0] policy
     /* 1573988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1574001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574022 */     // GIR_Coverage, 21701,
     /* 1574022 */     GIR_EraseRootFromParent_Done,
     /* 1574023 */   // Label 21814: @1574023
     /* 1574023 */   GIM_Try, /*On fail goto*//*Label 21815*/ GIMT_Encode4(1574105), // Rule ID 21704 //
     /* 1574028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1574031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1574039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1574042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1574045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1574048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574067 */     // MIs[0] round
     /* 1574067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574070 */     // MIs[0] policy
     /* 1574070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574080 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1574083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574104 */     // GIR_Coverage, 21704,
     /* 1574104 */     GIR_EraseRootFromParent_Done,
     /* 1574105 */   // Label 21815: @1574105
     /* 1574105 */   GIM_Try, /*On fail goto*//*Label 21816*/ GIMT_Encode4(1574187), // Rule ID 21705 //
     /* 1574110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1574113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1574121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1574124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1574127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1574130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574149 */     // MIs[0] round
     /* 1574149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574152 */     // MIs[0] policy
     /* 1574152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1574165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574186 */     // GIR_Coverage, 21705,
     /* 1574186 */     GIR_EraseRootFromParent_Done,
     /* 1574187 */   // Label 21816: @1574187
     /* 1574187 */   GIM_Try, /*On fail goto*//*Label 21817*/ GIMT_Encode4(1574269), // Rule ID 21708 //
     /* 1574192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1574195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1574203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1574206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1574209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1574212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574231 */     // MIs[0] round
     /* 1574231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574234 */     // MIs[0] policy
     /* 1574234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574244 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1574247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574268 */     // GIR_Coverage, 21708,
     /* 1574268 */     GIR_EraseRootFromParent_Done,
     /* 1574269 */   // Label 21817: @1574269
     /* 1574269 */   GIM_Try, /*On fail goto*//*Label 21818*/ GIMT_Encode4(1574351), // Rule ID 21709 //
     /* 1574274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1574277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1574285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1574288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1574291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1574294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574313 */     // MIs[0] round
     /* 1574313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574316 */     // MIs[0] policy
     /* 1574316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574326 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1574329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574350 */     // GIR_Coverage, 21709,
     /* 1574350 */     GIR_EraseRootFromParent_Done,
     /* 1574351 */   // Label 21818: @1574351
     /* 1574351 */   GIM_Try, /*On fail goto*//*Label 21819*/ GIMT_Encode4(1574433), // Rule ID 21712 //
     /* 1574356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1574359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1574367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1574370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1574373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1574376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574395 */     // MIs[0] round
     /* 1574395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574398 */     // MIs[0] policy
     /* 1574398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1574411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574432 */     // GIR_Coverage, 21712,
     /* 1574432 */     GIR_EraseRootFromParent_Done,
     /* 1574433 */   // Label 21819: @1574433
     /* 1574433 */   GIM_Try, /*On fail goto*//*Label 21820*/ GIMT_Encode4(1574515), // Rule ID 21713 //
     /* 1574438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1574441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1574449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1574452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1574455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1574458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574477 */     // MIs[0] round
     /* 1574477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574480 */     // MIs[0] policy
     /* 1574480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574490 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1574493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574514 */     // GIR_Coverage, 21713,
     /* 1574514 */     GIR_EraseRootFromParent_Done,
     /* 1574515 */   // Label 21820: @1574515
     /* 1574515 */   GIM_Try, /*On fail goto*//*Label 21821*/ GIMT_Encode4(1574597), // Rule ID 21716 //
     /* 1574520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1574523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1574531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1574534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1574537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1574540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574559 */     // MIs[0] round
     /* 1574559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574562 */     // MIs[0] policy
     /* 1574562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1574575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574596 */     // GIR_Coverage, 21716,
     /* 1574596 */     GIR_EraseRootFromParent_Done,
     /* 1574597 */   // Label 21821: @1574597
     /* 1574597 */   GIM_Try, /*On fail goto*//*Label 21822*/ GIMT_Encode4(1574679), // Rule ID 21717 //
     /* 1574602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1574605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1574613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1574616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1574619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1574622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574641 */     // MIs[0] round
     /* 1574641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574644 */     // MIs[0] policy
     /* 1574644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574654 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1574657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574663 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574678 */     // GIR_Coverage, 21717,
     /* 1574678 */     GIR_EraseRootFromParent_Done,
     /* 1574679 */   // Label 21822: @1574679
     /* 1574679 */   GIM_Try, /*On fail goto*//*Label 21823*/ GIMT_Encode4(1574761), // Rule ID 21720 //
     /* 1574684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1574687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1574695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1574698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1574701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1574704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574723 */     // MIs[0] round
     /* 1574723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574726 */     // MIs[0] policy
     /* 1574726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1574739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574760 */     // GIR_Coverage, 21720,
     /* 1574760 */     GIR_EraseRootFromParent_Done,
     /* 1574761 */   // Label 21823: @1574761
     /* 1574761 */   GIM_Try, /*On fail goto*//*Label 21824*/ GIMT_Encode4(1574843), // Rule ID 21721 //
     /* 1574766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1574769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1574777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1574780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1574783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1574786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574805 */     // MIs[0] round
     /* 1574805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574808 */     // MIs[0] policy
     /* 1574808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574818 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1574821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574842 */     // GIR_Coverage, 21721,
     /* 1574842 */     GIR_EraseRootFromParent_Done,
     /* 1574843 */   // Label 21824: @1574843
     /* 1574843 */   GIM_Try, /*On fail goto*//*Label 21825*/ GIMT_Encode4(1574925), // Rule ID 21724 //
     /* 1574848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1574851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1574859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1574862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1574865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1574868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574887 */     // MIs[0] round
     /* 1574887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574890 */     // MIs[0] policy
     /* 1574890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574900 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1574903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574924 */     // GIR_Coverage, 21724,
     /* 1574924 */     GIR_EraseRootFromParent_Done,
     /* 1574925 */   // Label 21825: @1574925
     /* 1574925 */   GIM_Try, /*On fail goto*//*Label 21826*/ GIMT_Encode4(1575007), // Rule ID 21725 //
     /* 1574930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1574933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1574938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1574941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1574944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1574947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1574950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574969 */     // MIs[0] round
     /* 1574969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574972 */     // MIs[0] policy
     /* 1574972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1574985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575006 */     // GIR_Coverage, 21725,
     /* 1575006 */     GIR_EraseRootFromParent_Done,
     /* 1575007 */   // Label 21826: @1575007
     /* 1575007 */   GIM_Try, /*On fail goto*//*Label 21827*/ GIMT_Encode4(1575089), // Rule ID 21848 //
     /* 1575012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1575015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1575023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1575026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1575029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1575032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575051 */     // MIs[0] round
     /* 1575051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575054 */     // MIs[0] policy
     /* 1575054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575064 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1575067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575088 */     // GIR_Coverage, 21848,
     /* 1575088 */     GIR_EraseRootFromParent_Done,
     /* 1575089 */   // Label 21827: @1575089
     /* 1575089 */   GIM_Try, /*On fail goto*//*Label 21828*/ GIMT_Encode4(1575171), // Rule ID 21849 //
     /* 1575094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1575097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1575105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1575108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1575111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1575114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575133 */     // MIs[0] round
     /* 1575133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575136 */     // MIs[0] policy
     /* 1575136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575146 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1575149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575170 */     // GIR_Coverage, 21849,
     /* 1575170 */     GIR_EraseRootFromParent_Done,
     /* 1575171 */   // Label 21828: @1575171
     /* 1575171 */   GIM_Try, /*On fail goto*//*Label 21829*/ GIMT_Encode4(1575253), // Rule ID 21852 //
     /* 1575176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1575179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1575187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1575190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1575193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1575196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575215 */     // MIs[0] round
     /* 1575215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575218 */     // MIs[0] policy
     /* 1575218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575228 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1575231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575252 */     // GIR_Coverage, 21852,
     /* 1575252 */     GIR_EraseRootFromParent_Done,
     /* 1575253 */   // Label 21829: @1575253
     /* 1575253 */   GIM_Try, /*On fail goto*//*Label 21830*/ GIMT_Encode4(1575335), // Rule ID 21853 //
     /* 1575258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1575261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1575269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1575272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1575275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1575278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575297 */     // MIs[0] round
     /* 1575297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575300 */     // MIs[0] policy
     /* 1575300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575310 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1575313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575334 */     // GIR_Coverage, 21853,
     /* 1575334 */     GIR_EraseRootFromParent_Done,
     /* 1575335 */   // Label 21830: @1575335
     /* 1575335 */   GIM_Try, /*On fail goto*//*Label 21831*/ GIMT_Encode4(1575417), // Rule ID 21856 //
     /* 1575340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1575343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1575351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1575354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1575357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1575360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575379 */     // MIs[0] round
     /* 1575379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575382 */     // MIs[0] policy
     /* 1575382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575392 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1575395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575416 */     // GIR_Coverage, 21856,
     /* 1575416 */     GIR_EraseRootFromParent_Done,
     /* 1575417 */   // Label 21831: @1575417
     /* 1575417 */   GIM_Try, /*On fail goto*//*Label 21832*/ GIMT_Encode4(1575499), // Rule ID 21857 //
     /* 1575422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1575425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1575433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1575436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1575439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1575442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575461 */     // MIs[0] round
     /* 1575461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575464 */     // MIs[0] policy
     /* 1575464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575474 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1575477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575498 */     // GIR_Coverage, 21857,
     /* 1575498 */     GIR_EraseRootFromParent_Done,
     /* 1575499 */   // Label 21832: @1575499
     /* 1575499 */   GIM_Try, /*On fail goto*//*Label 21833*/ GIMT_Encode4(1575581), // Rule ID 21860 //
     /* 1575504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1575507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1575521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1575524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575543 */     // MIs[0] round
     /* 1575543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575546 */     // MIs[0] policy
     /* 1575546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575556 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1575559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575580 */     // GIR_Coverage, 21860,
     /* 1575580 */     GIR_EraseRootFromParent_Done,
     /* 1575581 */   // Label 21833: @1575581
     /* 1575581 */   GIM_Try, /*On fail goto*//*Label 21834*/ GIMT_Encode4(1575663), // Rule ID 21861 //
     /* 1575586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1575589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1575603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1575606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575625 */     // MIs[0] round
     /* 1575625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575628 */     // MIs[0] policy
     /* 1575628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575638 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1575641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575662 */     // GIR_Coverage, 21861,
     /* 1575662 */     GIR_EraseRootFromParent_Done,
     /* 1575663 */   // Label 21834: @1575663
     /* 1575663 */   GIM_Try, /*On fail goto*//*Label 21835*/ GIMT_Encode4(1575745), // Rule ID 21864 //
     /* 1575668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1575671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1575685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1575688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575707 */     // MIs[0] round
     /* 1575707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575710 */     // MIs[0] policy
     /* 1575710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575720 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1575723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575744 */     // GIR_Coverage, 21864,
     /* 1575744 */     GIR_EraseRootFromParent_Done,
     /* 1575745 */   // Label 21835: @1575745
     /* 1575745 */   GIM_Try, /*On fail goto*//*Label 21836*/ GIMT_Encode4(1575827), // Rule ID 21865 //
     /* 1575750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1575753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1575767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1575770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575789 */     // MIs[0] round
     /* 1575789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575792 */     // MIs[0] policy
     /* 1575792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575802 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1575805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575826 */     // GIR_Coverage, 21865,
     /* 1575826 */     GIR_EraseRootFromParent_Done,
     /* 1575827 */   // Label 21836: @1575827
     /* 1575827 */   GIM_Try, /*On fail goto*//*Label 21837*/ GIMT_Encode4(1575909), // Rule ID 21868 //
     /* 1575832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1575835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1575843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1575846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1575849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1575852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575871 */     // MIs[0] round
     /* 1575871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575874 */     // MIs[0] policy
     /* 1575874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575884 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1575887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575908 */     // GIR_Coverage, 21868,
     /* 1575908 */     GIR_EraseRootFromParent_Done,
     /* 1575909 */   // Label 21837: @1575909
     /* 1575909 */   GIM_Try, /*On fail goto*//*Label 21838*/ GIMT_Encode4(1575991), // Rule ID 21869 //
     /* 1575914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1575917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1575922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1575925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1575928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1575931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1575934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575953 */     // MIs[0] round
     /* 1575953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575956 */     // MIs[0] policy
     /* 1575956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575966 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1575969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575975 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575990 */     // GIR_Coverage, 21869,
     /* 1575990 */     GIR_EraseRootFromParent_Done,
     /* 1575991 */   // Label 21838: @1575991
     /* 1575991 */   GIM_Try, /*On fail goto*//*Label 21839*/ GIMT_Encode4(1576073), // Rule ID 21872 //
     /* 1575996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1575999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1576004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1576007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1576010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1576013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1576016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576035 */     // MIs[0] round
     /* 1576035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576038 */     // MIs[0] policy
     /* 1576038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576048 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1576051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576072 */     // GIR_Coverage, 21872,
     /* 1576072 */     GIR_EraseRootFromParent_Done,
     /* 1576073 */   // Label 21839: @1576073
     /* 1576073 */   GIM_Try, /*On fail goto*//*Label 21840*/ GIMT_Encode4(1576155), // Rule ID 21873 //
     /* 1576078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1576081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1576086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1576089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1576092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1576095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1576098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576117 */     // MIs[0] round
     /* 1576117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576120 */     // MIs[0] policy
     /* 1576120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576130 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1576133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576154 */     // GIR_Coverage, 21873,
     /* 1576154 */     GIR_EraseRootFromParent_Done,
     /* 1576155 */   // Label 21840: @1576155
     /* 1576155 */   GIM_Try, /*On fail goto*//*Label 21841*/ GIMT_Encode4(1576237), // Rule ID 21876 //
     /* 1576160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1576163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1576168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1576171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1576177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1576180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576199 */     // MIs[0] round
     /* 1576199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576202 */     // MIs[0] policy
     /* 1576202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576212 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1576215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576236 */     // GIR_Coverage, 21876,
     /* 1576236 */     GIR_EraseRootFromParent_Done,
     /* 1576237 */   // Label 21841: @1576237
     /* 1576237 */   GIM_Try, /*On fail goto*//*Label 21842*/ GIMT_Encode4(1576319), // Rule ID 21877 //
     /* 1576242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1576245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1576250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1576253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1576259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1576262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576281 */     // MIs[0] round
     /* 1576281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576284 */     // MIs[0] policy
     /* 1576284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576294 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1576297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576318 */     // GIR_Coverage, 21877,
     /* 1576318 */     GIR_EraseRootFromParent_Done,
     /* 1576319 */   // Label 21842: @1576319
     /* 1576319 */   GIM_Try, /*On fail goto*//*Label 21843*/ GIMT_Encode4(1576401), // Rule ID 21880 //
     /* 1576324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1576327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1576332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1576341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1576344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576363 */     // MIs[0] round
     /* 1576363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576366 */     // MIs[0] policy
     /* 1576366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576376 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1576379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576400 */     // GIR_Coverage, 21880,
     /* 1576400 */     GIR_EraseRootFromParent_Done,
     /* 1576401 */   // Label 21843: @1576401
     /* 1576401 */   GIM_Try, /*On fail goto*//*Label 21844*/ GIMT_Encode4(1576483), // Rule ID 21881 //
     /* 1576406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1576409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1576414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1576423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1576426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576445 */     // MIs[0] round
     /* 1576445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576448 */     // MIs[0] policy
     /* 1576448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576458 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1576461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576482 */     // GIR_Coverage, 21881,
     /* 1576482 */     GIR_EraseRootFromParent_Done,
     /* 1576483 */   // Label 21844: @1576483
     /* 1576483 */   GIM_Try, /*On fail goto*//*Label 21845*/ GIMT_Encode4(1576565), // Rule ID 21884 //
     /* 1576488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1576491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1576499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1576502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1576505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1576508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576527 */     // MIs[0] round
     /* 1576527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576530 */     // MIs[0] policy
     /* 1576530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576540 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1576543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576564 */     // GIR_Coverage, 21884,
     /* 1576564 */     GIR_EraseRootFromParent_Done,
     /* 1576565 */   // Label 21845: @1576565
     /* 1576565 */   GIM_Try, /*On fail goto*//*Label 21846*/ GIMT_Encode4(1576647), // Rule ID 21885 //
     /* 1576570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1576573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1576581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1576584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1576587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1576590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576609 */     // MIs[0] round
     /* 1576609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576612 */     // MIs[0] policy
     /* 1576612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576622 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1576625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576646 */     // GIR_Coverage, 21885,
     /* 1576646 */     GIR_EraseRootFromParent_Done,
     /* 1576647 */   // Label 21846: @1576647
     /* 1576647 */   GIM_Try, /*On fail goto*//*Label 21847*/ GIMT_Encode4(1576729), // Rule ID 21888 //
     /* 1576652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1576655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1576663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1576666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1576669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1576672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576691 */     // MIs[0] round
     /* 1576691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576694 */     // MIs[0] policy
     /* 1576694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576704 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1576707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576728 */     // GIR_Coverage, 21888,
     /* 1576728 */     GIR_EraseRootFromParent_Done,
     /* 1576729 */   // Label 21847: @1576729
     /* 1576729 */   GIM_Try, /*On fail goto*//*Label 21848*/ GIMT_Encode4(1576811), // Rule ID 21889 //
     /* 1576734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1576737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1576745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1576748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1576751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1576754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576773 */     // MIs[0] round
     /* 1576773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576776 */     // MIs[0] policy
     /* 1576776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576786 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1576789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576810 */     // GIR_Coverage, 21889,
     /* 1576810 */     GIR_EraseRootFromParent_Done,
     /* 1576811 */   // Label 21848: @1576811
     /* 1576811 */   GIM_Try, /*On fail goto*//*Label 21849*/ GIMT_Encode4(1576893), // Rule ID 21892 //
     /* 1576816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1576819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1576827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1576830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1576833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1576836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576855 */     // MIs[0] round
     /* 1576855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576858 */     // MIs[0] policy
     /* 1576858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576868 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1576871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576892 */     // GIR_Coverage, 21892,
     /* 1576892 */     GIR_EraseRootFromParent_Done,
     /* 1576893 */   // Label 21849: @1576893
     /* 1576893 */   GIM_Try, /*On fail goto*//*Label 21850*/ GIMT_Encode4(1576975), // Rule ID 21893 //
     /* 1576898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1576901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1576909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1576912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1576915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1576918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576937 */     // MIs[0] round
     /* 1576937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576940 */     // MIs[0] policy
     /* 1576940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576950 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1576953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576974 */     // GIR_Coverage, 21893,
     /* 1576974 */     GIR_EraseRootFromParent_Done,
     /* 1576975 */   // Label 21850: @1576975
     /* 1576975 */   GIM_Try, /*On fail goto*//*Label 21851*/ GIMT_Encode4(1577057), // Rule ID 21896 //
     /* 1576980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1576983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1576988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1576991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1576994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1576997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1577000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577019 */     // MIs[0] round
     /* 1577019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577022 */     // MIs[0] policy
     /* 1577022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577032 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1577035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577056 */     // GIR_Coverage, 21896,
     /* 1577056 */     GIR_EraseRootFromParent_Done,
     /* 1577057 */   // Label 21851: @1577057
     /* 1577057 */   GIM_Try, /*On fail goto*//*Label 21852*/ GIMT_Encode4(1577139), // Rule ID 21897 //
     /* 1577062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1577065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1577073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1577076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1577079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1577082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577101 */     // MIs[0] round
     /* 1577101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577104 */     // MIs[0] policy
     /* 1577104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577114 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1577117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577138 */     // GIR_Coverage, 21897,
     /* 1577138 */     GIR_EraseRootFromParent_Done,
     /* 1577139 */   // Label 21852: @1577139
     /* 1577139 */   GIM_Try, /*On fail goto*//*Label 21853*/ GIMT_Encode4(1577221), // Rule ID 21900 //
     /* 1577144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1577147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1577155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1577158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1577161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1577164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577183 */     // MIs[0] round
     /* 1577183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577186 */     // MIs[0] policy
     /* 1577186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577196 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1577199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577220 */     // GIR_Coverage, 21900,
     /* 1577220 */     GIR_EraseRootFromParent_Done,
     /* 1577221 */   // Label 21853: @1577221
     /* 1577221 */   GIM_Try, /*On fail goto*//*Label 21854*/ GIMT_Encode4(1577303), // Rule ID 21901 //
     /* 1577226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1577229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1577237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1577240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1577243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1577246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577265 */     // MIs[0] round
     /* 1577265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577268 */     // MIs[0] policy
     /* 1577268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577278 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1577281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577302 */     // GIR_Coverage, 21901,
     /* 1577302 */     GIR_EraseRootFromParent_Done,
     /* 1577303 */   // Label 21854: @1577303
     /* 1577303 */   GIM_Try, /*On fail goto*//*Label 21855*/ GIMT_Encode4(1577385), // Rule ID 21904 //
     /* 1577308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1577311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1577319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1577322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1577325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1577328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577347 */     // MIs[0] round
     /* 1577347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577350 */     // MIs[0] policy
     /* 1577350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577360 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1577363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577384 */     // GIR_Coverage, 21904,
     /* 1577384 */     GIR_EraseRootFromParent_Done,
     /* 1577385 */   // Label 21855: @1577385
     /* 1577385 */   GIM_Try, /*On fail goto*//*Label 21856*/ GIMT_Encode4(1577467), // Rule ID 21905 //
     /* 1577390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1577393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1577401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1577404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1577407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1577410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577429 */     // MIs[0] round
     /* 1577429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577432 */     // MIs[0] policy
     /* 1577432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577442 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1577445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577466 */     // GIR_Coverage, 21905,
     /* 1577466 */     GIR_EraseRootFromParent_Done,
     /* 1577467 */   // Label 21856: @1577467
     /* 1577467 */   GIM_Try, /*On fail goto*//*Label 21857*/ GIMT_Encode4(1577549), // Rule ID 21908 //
     /* 1577472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1577475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1577483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1577486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1577489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1577492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577511 */     // MIs[0] round
     /* 1577511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577514 */     // MIs[0] policy
     /* 1577514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577524 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1577527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577548 */     // GIR_Coverage, 21908,
     /* 1577548 */     GIR_EraseRootFromParent_Done,
     /* 1577549 */   // Label 21857: @1577549
     /* 1577549 */   GIM_Try, /*On fail goto*//*Label 21858*/ GIMT_Encode4(1577631), // Rule ID 21909 //
     /* 1577554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1577557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1577565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1577568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1577571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1577574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577593 */     // MIs[0] round
     /* 1577593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577596 */     // MIs[0] policy
     /* 1577596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577606 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1577609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577630 */     // GIR_Coverage, 21909,
     /* 1577630 */     GIR_EraseRootFromParent_Done,
     /* 1577631 */   // Label 21858: @1577631
     /* 1577631 */   GIM_Try, /*On fail goto*//*Label 21859*/ GIMT_Encode4(1577713), // Rule ID 21912 //
     /* 1577636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1577639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1577647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1577650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1577653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1577656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577675 */     // MIs[0] round
     /* 1577675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577678 */     // MIs[0] policy
     /* 1577678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577688 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1577691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577712 */     // GIR_Coverage, 21912,
     /* 1577712 */     GIR_EraseRootFromParent_Done,
     /* 1577713 */   // Label 21859: @1577713
     /* 1577713 */   GIM_Try, /*On fail goto*//*Label 21860*/ GIMT_Encode4(1577795), // Rule ID 21913 //
     /* 1577718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1577721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1577729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1577732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1577735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1577738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577757 */     // MIs[0] round
     /* 1577757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577760 */     // MIs[0] policy
     /* 1577760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577770 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1577773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577794 */     // GIR_Coverage, 21913,
     /* 1577794 */     GIR_EraseRootFromParent_Done,
     /* 1577795 */   // Label 21860: @1577795
     /* 1577795 */   GIM_Try, /*On fail goto*//*Label 21861*/ GIMT_Encode4(1577877), // Rule ID 21916 //
     /* 1577800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1577803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1577811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1577814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1577817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1577820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577839 */     // MIs[0] round
     /* 1577839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577842 */     // MIs[0] policy
     /* 1577842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577852 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1577855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577876 */     // GIR_Coverage, 21916,
     /* 1577876 */     GIR_EraseRootFromParent_Done,
     /* 1577877 */   // Label 21861: @1577877
     /* 1577877 */   GIM_Try, /*On fail goto*//*Label 21862*/ GIMT_Encode4(1577959), // Rule ID 21917 //
     /* 1577882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1577885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1577890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1577893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1577896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1577899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1577902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577921 */     // MIs[0] round
     /* 1577921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577924 */     // MIs[0] policy
     /* 1577924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577934 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1577937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577958 */     // GIR_Coverage, 21917,
     /* 1577958 */     GIR_EraseRootFromParent_Done,
     /* 1577959 */   // Label 21862: @1577959
     /* 1577959 */   GIM_Try, /*On fail goto*//*Label 21863*/ GIMT_Encode4(1578041), // Rule ID 21920 //
     /* 1577964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1577967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1577972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1577981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1577984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578003 */     // MIs[0] round
     /* 1578003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578006 */     // MIs[0] policy
     /* 1578006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578016 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1578019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578040 */     // GIR_Coverage, 21920,
     /* 1578040 */     GIR_EraseRootFromParent_Done,
     /* 1578041 */   // Label 21863: @1578041
     /* 1578041 */   GIM_Try, /*On fail goto*//*Label 21864*/ GIMT_Encode4(1578123), // Rule ID 21921 //
     /* 1578046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1578049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1578057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1578060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1578063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1578066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578085 */     // MIs[0] round
     /* 1578085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578088 */     // MIs[0] policy
     /* 1578088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578098 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1578101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578122 */     // GIR_Coverage, 21921,
     /* 1578122 */     GIR_EraseRootFromParent_Done,
     /* 1578123 */   // Label 21864: @1578123
     /* 1578123 */   GIM_Try, /*On fail goto*//*Label 21865*/ GIMT_Encode4(1578205), // Rule ID 21924 //
     /* 1578128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1578131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1578139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1578142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1578145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1578148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578167 */     // MIs[0] round
     /* 1578167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578170 */     // MIs[0] policy
     /* 1578170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578180 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1578183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578204 */     // GIR_Coverage, 21924,
     /* 1578204 */     GIR_EraseRootFromParent_Done,
     /* 1578205 */   // Label 21865: @1578205
     /* 1578205 */   GIM_Try, /*On fail goto*//*Label 21866*/ GIMT_Encode4(1578287), // Rule ID 21925 //
     /* 1578210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1578213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1578221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1578224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1578227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1578230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578249 */     // MIs[0] round
     /* 1578249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578252 */     // MIs[0] policy
     /* 1578252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578262 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1578265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578286 */     // GIR_Coverage, 21925,
     /* 1578286 */     GIR_EraseRootFromParent_Done,
     /* 1578287 */   // Label 21866: @1578287
     /* 1578287 */   GIM_Try, /*On fail goto*//*Label 21867*/ GIMT_Encode4(1578369), // Rule ID 21928 //
     /* 1578292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1578295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1578303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1578306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1578309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1578312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578331 */     // MIs[0] round
     /* 1578331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578334 */     // MIs[0] policy
     /* 1578334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578344 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1578347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578368 */     // GIR_Coverage, 21928,
     /* 1578368 */     GIR_EraseRootFromParent_Done,
     /* 1578369 */   // Label 21867: @1578369
     /* 1578369 */   GIM_Try, /*On fail goto*//*Label 21868*/ GIMT_Encode4(1578451), // Rule ID 21929 //
     /* 1578374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1578377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1578385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1578388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1578391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1578394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578413 */     // MIs[0] round
     /* 1578413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578416 */     // MIs[0] policy
     /* 1578416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578426 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1578429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578450 */     // GIR_Coverage, 21929,
     /* 1578450 */     GIR_EraseRootFromParent_Done,
     /* 1578451 */   // Label 21868: @1578451
     /* 1578451 */   GIM_Try, /*On fail goto*//*Label 21869*/ GIMT_Encode4(1578533), // Rule ID 21932 //
     /* 1578456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1578459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1578467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1578470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1578473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1578476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578495 */     // MIs[0] round
     /* 1578495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578498 */     // MIs[0] policy
     /* 1578498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578508 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1578511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578532 */     // GIR_Coverage, 21932,
     /* 1578532 */     GIR_EraseRootFromParent_Done,
     /* 1578533 */   // Label 21869: @1578533
     /* 1578533 */   GIM_Try, /*On fail goto*//*Label 21870*/ GIMT_Encode4(1578615), // Rule ID 21933 //
     /* 1578538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1578541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1578549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1578552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1578555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1578558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578577 */     // MIs[0] round
     /* 1578577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578580 */     // MIs[0] policy
     /* 1578580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578590 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1578593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578614 */     // GIR_Coverage, 21933,
     /* 1578614 */     GIR_EraseRootFromParent_Done,
     /* 1578615 */   // Label 21870: @1578615
     /* 1578615 */   GIM_Try, /*On fail goto*//*Label 21871*/ GIMT_Encode4(1578697), // Rule ID 21936 //
     /* 1578620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1578623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1578631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1578634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1578637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1578640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578659 */     // MIs[0] round
     /* 1578659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578662 */     // MIs[0] policy
     /* 1578662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578672 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1578675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578696 */     // GIR_Coverage, 21936,
     /* 1578696 */     GIR_EraseRootFromParent_Done,
     /* 1578697 */   // Label 21871: @1578697
     /* 1578697 */   GIM_Try, /*On fail goto*//*Label 21872*/ GIMT_Encode4(1578779), // Rule ID 21937 //
     /* 1578702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1578705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1578713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1578716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1578719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1578722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578741 */     // MIs[0] round
     /* 1578741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578744 */     // MIs[0] policy
     /* 1578744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578754 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1578757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578778 */     // GIR_Coverage, 21937,
     /* 1578778 */     GIR_EraseRootFromParent_Done,
     /* 1578779 */   // Label 21872: @1578779
     /* 1578779 */   GIM_Try, /*On fail goto*//*Label 21873*/ GIMT_Encode4(1578861), // Rule ID 21940 //
     /* 1578784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1578787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1578801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1578804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578823 */     // MIs[0] round
     /* 1578823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578826 */     // MIs[0] policy
     /* 1578826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578836 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1578839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578860 */     // GIR_Coverage, 21940,
     /* 1578860 */     GIR_EraseRootFromParent_Done,
     /* 1578861 */   // Label 21873: @1578861
     /* 1578861 */   GIM_Try, /*On fail goto*//*Label 21874*/ GIMT_Encode4(1578943), // Rule ID 21941 //
     /* 1578866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1578869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1578883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1578886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578905 */     // MIs[0] round
     /* 1578905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578908 */     // MIs[0] policy
     /* 1578908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578918 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1578921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578942 */     // GIR_Coverage, 21941,
     /* 1578942 */     GIR_EraseRootFromParent_Done,
     /* 1578943 */   // Label 21874: @1578943
     /* 1578943 */   GIM_Try, /*On fail goto*//*Label 21875*/ GIMT_Encode4(1579025), // Rule ID 21944 //
     /* 1578948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1578951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1578956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1578965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1578968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578987 */     // MIs[0] round
     /* 1578987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578990 */     // MIs[0] policy
     /* 1578990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579000 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1579003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579024 */     // GIR_Coverage, 21944,
     /* 1579024 */     GIR_EraseRootFromParent_Done,
     /* 1579025 */   // Label 21875: @1579025
     /* 1579025 */   GIM_Try, /*On fail goto*//*Label 21876*/ GIMT_Encode4(1579107), // Rule ID 21945 //
     /* 1579030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1579033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1579038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1579041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1579044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1579047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1579050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579069 */     // MIs[0] round
     /* 1579069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579072 */     // MIs[0] policy
     /* 1579072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579082 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1579085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579106 */     // GIR_Coverage, 21945,
     /* 1579106 */     GIR_EraseRootFromParent_Done,
     /* 1579107 */   // Label 21876: @1579107
     /* 1579107 */   GIM_Try, /*On fail goto*//*Label 21877*/ GIMT_Encode4(1579189), // Rule ID 21948 //
     /* 1579112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1579115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1579120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1579123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1579126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1579129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1579132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579151 */     // MIs[0] round
     /* 1579151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579154 */     // MIs[0] policy
     /* 1579154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579164 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1579167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579188 */     // GIR_Coverage, 21948,
     /* 1579188 */     GIR_EraseRootFromParent_Done,
     /* 1579189 */   // Label 21877: @1579189
     /* 1579189 */   GIM_Try, /*On fail goto*//*Label 21878*/ GIMT_Encode4(1579271), // Rule ID 21949 //
     /* 1579194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1579197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1579202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1579205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1579208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1579211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1579214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579233 */     // MIs[0] round
     /* 1579233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579236 */     // MIs[0] policy
     /* 1579236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579246 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1579249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579270 */     // GIR_Coverage, 21949,
     /* 1579270 */     GIR_EraseRootFromParent_Done,
     /* 1579271 */   // Label 21878: @1579271
     /* 1579271 */   GIM_Try, /*On fail goto*//*Label 21879*/ GIMT_Encode4(1579353), // Rule ID 21952 //
     /* 1579276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1579279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1579284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1579287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1579290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1579293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1579296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579315 */     // MIs[0] round
     /* 1579315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579318 */     // MIs[0] policy
     /* 1579318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579328 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1579331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579352 */     // GIR_Coverage, 21952,
     /* 1579352 */     GIR_EraseRootFromParent_Done,
     /* 1579353 */   // Label 21879: @1579353
     /* 1579353 */   GIM_Try, /*On fail goto*//*Label 21880*/ GIMT_Encode4(1579435), // Rule ID 21953 //
     /* 1579358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1579361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1579366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1579369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1579372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1579375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1579378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579397 */     // MIs[0] round
     /* 1579397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579400 */     // MIs[0] policy
     /* 1579400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579410 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1579413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579434 */     // GIR_Coverage, 21953,
     /* 1579434 */     GIR_EraseRootFromParent_Done,
     /* 1579435 */   // Label 21880: @1579435
     /* 1579435 */   GIM_Try, /*On fail goto*//*Label 21881*/ GIMT_Encode4(1579517), // Rule ID 2762 //
     /* 1579440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1579451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1579454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1579457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579471 */     // MIs[0] passthru
     /* 1579471 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579484 */     // MIs[0] policy
     /* 1579484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579494 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1579497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579516 */     // GIR_Coverage, 2762,
     /* 1579516 */     GIR_EraseRootFromParent_Done,
     /* 1579517 */   // Label 21881: @1579517
     /* 1579517 */   GIM_Try, /*On fail goto*//*Label 21882*/ GIMT_Encode4(1579599), // Rule ID 2763 //
     /* 1579522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1579533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1579536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1579539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579553 */     // MIs[0] passthru
     /* 1579553 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579566 */     // MIs[0] policy
     /* 1579566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1579579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579598 */     // GIR_Coverage, 2763,
     /* 1579598 */     GIR_EraseRootFromParent_Done,
     /* 1579599 */   // Label 21882: @1579599
     /* 1579599 */   GIM_Try, /*On fail goto*//*Label 21883*/ GIMT_Encode4(1579681), // Rule ID 4078 //
     /* 1579604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1579621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579635 */     // MIs[0] passthru
     /* 1579635 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579648 */     // MIs[0] policy
     /* 1579648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579658 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1579661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579680 */     // GIR_Coverage, 4078,
     /* 1579680 */     GIR_EraseRootFromParent_Done,
     /* 1579681 */   // Label 21883: @1579681
     /* 1579681 */   GIM_Try, /*On fail goto*//*Label 21884*/ GIMT_Encode4(1579763), // Rule ID 4079 //
     /* 1579686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1579703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579717 */     // MIs[0] passthru
     /* 1579717 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579730 */     // MIs[0] policy
     /* 1579730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579740 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1579743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579762 */     // GIR_Coverage, 4079,
     /* 1579762 */     GIR_EraseRootFromParent_Done,
     /* 1579763 */   // Label 21884: @1579763
     /* 1579763 */   GIM_Try, /*On fail goto*//*Label 21885*/ GIMT_Encode4(1579845), // Rule ID 4088 //
     /* 1579768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1579779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1579782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1579785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579799 */     // MIs[0] passthru
     /* 1579799 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579812 */     // MIs[0] policy
     /* 1579812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1579825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579844 */     // GIR_Coverage, 4088,
     /* 1579844 */     GIR_EraseRootFromParent_Done,
     /* 1579845 */   // Label 21885: @1579845
     /* 1579845 */   GIM_Try, /*On fail goto*//*Label 21886*/ GIMT_Encode4(1579927), // Rule ID 4089 //
     /* 1579850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1579861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1579864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1579867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579881 */     // MIs[0] passthru
     /* 1579881 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579894 */     // MIs[0] policy
     /* 1579894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579904 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1579907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579926 */     // GIR_Coverage, 4089,
     /* 1579926 */     GIR_EraseRootFromParent_Done,
     /* 1579927 */   // Label 21886: @1579927
     /* 1579927 */   GIM_Try, /*On fail goto*//*Label 21887*/ GIMT_Encode4(1580009), // Rule ID 4098 //
     /* 1579932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1579943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1579946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1579949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579963 */     // MIs[0] passthru
     /* 1579963 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579976 */     // MIs[0] policy
     /* 1579976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579986 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1579989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580008 */     // GIR_Coverage, 4098,
     /* 1580008 */     GIR_EraseRootFromParent_Done,
     /* 1580009 */   // Label 21887: @1580009
     /* 1580009 */   GIM_Try, /*On fail goto*//*Label 21888*/ GIMT_Encode4(1580091), // Rule ID 4099 //
     /* 1580014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1580025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1580028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1580031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580045 */     // MIs[0] passthru
     /* 1580045 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580058 */     // MIs[0] policy
     /* 1580058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580068 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1580071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580090 */     // GIR_Coverage, 4099,
     /* 1580090 */     GIR_EraseRootFromParent_Done,
     /* 1580091 */   // Label 21888: @1580091
     /* 1580091 */   GIM_Try, /*On fail goto*//*Label 21889*/ GIMT_Encode4(1580173), // Rule ID 4108 //
     /* 1580096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1580107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1580110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1580113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580127 */     // MIs[0] passthru
     /* 1580127 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580140 */     // MIs[0] policy
     /* 1580140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580150 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1580153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580172 */     // GIR_Coverage, 4108,
     /* 1580172 */     GIR_EraseRootFromParent_Done,
     /* 1580173 */   // Label 21889: @1580173
     /* 1580173 */   GIM_Try, /*On fail goto*//*Label 21890*/ GIMT_Encode4(1580255), // Rule ID 4109 //
     /* 1580178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1580189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1580192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1580195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580209 */     // MIs[0] passthru
     /* 1580209 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580222 */     // MIs[0] policy
     /* 1580222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580232 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1580235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580254 */     // GIR_Coverage, 4109,
     /* 1580254 */     GIR_EraseRootFromParent_Done,
     /* 1580255 */   // Label 21890: @1580255
     /* 1580255 */   GIM_Try, /*On fail goto*//*Label 21891*/ GIMT_Encode4(1580337), // Rule ID 4118 //
     /* 1580260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580291 */     // MIs[0] passthru
     /* 1580291 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580304 */     // MIs[0] policy
     /* 1580304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580314 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1580317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580336 */     // GIR_Coverage, 4118,
     /* 1580336 */     GIR_EraseRootFromParent_Done,
     /* 1580337 */   // Label 21891: @1580337
     /* 1580337 */   GIM_Try, /*On fail goto*//*Label 21892*/ GIMT_Encode4(1580419), // Rule ID 4119 //
     /* 1580342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580373 */     // MIs[0] passthru
     /* 1580373 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580386 */     // MIs[0] policy
     /* 1580386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580396 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1580399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580418 */     // GIR_Coverage, 4119,
     /* 1580418 */     GIR_EraseRootFromParent_Done,
     /* 1580419 */   // Label 21892: @1580419
     /* 1580419 */   GIM_Try, /*On fail goto*//*Label 21893*/ GIMT_Encode4(1580501), // Rule ID 4128 //
     /* 1580424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1580435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1580438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1580441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580455 */     // MIs[0] passthru
     /* 1580455 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580468 */     // MIs[0] policy
     /* 1580468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1580481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580500 */     // GIR_Coverage, 4128,
     /* 1580500 */     GIR_EraseRootFromParent_Done,
     /* 1580501 */   // Label 21893: @1580501
     /* 1580501 */   GIM_Try, /*On fail goto*//*Label 21894*/ GIMT_Encode4(1580583), // Rule ID 4129 //
     /* 1580506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1580517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1580520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1580523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580537 */     // MIs[0] passthru
     /* 1580537 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580550 */     // MIs[0] policy
     /* 1580550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580560 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1580563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580582 */     // GIR_Coverage, 4129,
     /* 1580582 */     GIR_EraseRootFromParent_Done,
     /* 1580583 */   // Label 21894: @1580583
     /* 1580583 */   GIM_Try, /*On fail goto*//*Label 21895*/ GIMT_Encode4(1580665), // Rule ID 4138 //
     /* 1580588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1580605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580619 */     // MIs[0] passthru
     /* 1580619 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580632 */     // MIs[0] policy
     /* 1580632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1580645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580664 */     // GIR_Coverage, 4138,
     /* 1580664 */     GIR_EraseRootFromParent_Done,
     /* 1580665 */   // Label 21895: @1580665
     /* 1580665 */   GIM_Try, /*On fail goto*//*Label 21896*/ GIMT_Encode4(1580747), // Rule ID 4139 //
     /* 1580670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1580687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580701 */     // MIs[0] passthru
     /* 1580701 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580714 */     // MIs[0] policy
     /* 1580714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1580727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580746 */     // GIR_Coverage, 4139,
     /* 1580746 */     GIR_EraseRootFromParent_Done,
     /* 1580747 */   // Label 21896: @1580747
     /* 1580747 */   GIM_Try, /*On fail goto*//*Label 21897*/ GIMT_Encode4(1580829), // Rule ID 4148 //
     /* 1580752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1580763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1580766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1580769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580783 */     // MIs[0] passthru
     /* 1580783 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580796 */     // MIs[0] policy
     /* 1580796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580806 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1580809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580828 */     // GIR_Coverage, 4148,
     /* 1580828 */     GIR_EraseRootFromParent_Done,
     /* 1580829 */   // Label 21897: @1580829
     /* 1580829 */   GIM_Try, /*On fail goto*//*Label 21898*/ GIMT_Encode4(1580911), // Rule ID 4149 //
     /* 1580834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1580845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1580848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1580851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580865 */     // MIs[0] passthru
     /* 1580865 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580878 */     // MIs[0] policy
     /* 1580878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580888 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1580891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580910 */     // GIR_Coverage, 4149,
     /* 1580910 */     GIR_EraseRootFromParent_Done,
     /* 1580911 */   // Label 21898: @1580911
     /* 1580911 */   GIM_Try, /*On fail goto*//*Label 21899*/ GIMT_Encode4(1580993), // Rule ID 4158 //
     /* 1580916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1580924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1580927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1580930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1580933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580947 */     // MIs[0] passthru
     /* 1580947 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580960 */     // MIs[0] policy
     /* 1580960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1580973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580992 */     // GIR_Coverage, 4158,
     /* 1580992 */     GIR_EraseRootFromParent_Done,
     /* 1580993 */   // Label 21899: @1580993
     /* 1580993 */   GIM_Try, /*On fail goto*//*Label 21900*/ GIMT_Encode4(1581075), // Rule ID 4159 //
     /* 1580998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1581009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1581012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1581015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581029 */     // MIs[0] passthru
     /* 1581029 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581042 */     // MIs[0] policy
     /* 1581042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581052 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1581055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581074 */     // GIR_Coverage, 4159,
     /* 1581074 */     GIR_EraseRootFromParent_Done,
     /* 1581075 */   // Label 21900: @1581075
     /* 1581075 */   GIM_Try, /*On fail goto*//*Label 21901*/ GIMT_Encode4(1581157), // Rule ID 4168 //
     /* 1581080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1581091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1581094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1581097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581111 */     // MIs[0] passthru
     /* 1581111 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581124 */     // MIs[0] policy
     /* 1581124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581134 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1581137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581156 */     // GIR_Coverage, 4168,
     /* 1581156 */     GIR_EraseRootFromParent_Done,
     /* 1581157 */   // Label 21901: @1581157
     /* 1581157 */   GIM_Try, /*On fail goto*//*Label 21902*/ GIMT_Encode4(1581239), // Rule ID 4169 //
     /* 1581162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1581173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1581176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1581179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581193 */     // MIs[0] passthru
     /* 1581193 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581206 */     // MIs[0] policy
     /* 1581206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581216 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1581219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581238 */     // GIR_Coverage, 4169,
     /* 1581238 */     GIR_EraseRootFromParent_Done,
     /* 1581239 */   // Label 21902: @1581239
     /* 1581239 */   GIM_Try, /*On fail goto*//*Label 21903*/ GIMT_Encode4(1581321), // Rule ID 4178 //
     /* 1581244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581275 */     // MIs[0] passthru
     /* 1581275 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581288 */     // MIs[0] policy
     /* 1581288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581298 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1581301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581320 */     // GIR_Coverage, 4178,
     /* 1581320 */     GIR_EraseRootFromParent_Done,
     /* 1581321 */   // Label 21903: @1581321
     /* 1581321 */   GIM_Try, /*On fail goto*//*Label 21904*/ GIMT_Encode4(1581403), // Rule ID 4179 //
     /* 1581326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581357 */     // MIs[0] passthru
     /* 1581357 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581370 */     // MIs[0] policy
     /* 1581370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581380 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1581383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581402 */     // GIR_Coverage, 4179,
     /* 1581402 */     GIR_EraseRootFromParent_Done,
     /* 1581403 */   // Label 21904: @1581403
     /* 1581403 */   GIM_Try, /*On fail goto*//*Label 21905*/ GIMT_Encode4(1581485), // Rule ID 4188 //
     /* 1581408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1581419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1581422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1581425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581439 */     // MIs[0] passthru
     /* 1581439 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581452 */     // MIs[0] policy
     /* 1581452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581462 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1581465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581484 */     // GIR_Coverage, 4188,
     /* 1581484 */     GIR_EraseRootFromParent_Done,
     /* 1581485 */   // Label 21905: @1581485
     /* 1581485 */   GIM_Try, /*On fail goto*//*Label 21906*/ GIMT_Encode4(1581567), // Rule ID 4189 //
     /* 1581490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1581501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1581504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1581507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581521 */     // MIs[0] passthru
     /* 1581521 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581534 */     // MIs[0] policy
     /* 1581534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1581547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581566 */     // GIR_Coverage, 4189,
     /* 1581566 */     GIR_EraseRootFromParent_Done,
     /* 1581567 */   // Label 21906: @1581567
     /* 1581567 */   GIM_Try, /*On fail goto*//*Label 21907*/ GIMT_Encode4(1581649), // Rule ID 4198 //
     /* 1581572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1581583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1581586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1581589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581603 */     // MIs[0] passthru
     /* 1581603 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581616 */     // MIs[0] policy
     /* 1581616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581626 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1581629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581648 */     // GIR_Coverage, 4198,
     /* 1581648 */     GIR_EraseRootFromParent_Done,
     /* 1581649 */   // Label 21907: @1581649
     /* 1581649 */   GIM_Try, /*On fail goto*//*Label 21908*/ GIMT_Encode4(1581731), // Rule ID 4199 //
     /* 1581654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1581665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1581668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1581671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581685 */     // MIs[0] passthru
     /* 1581685 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581698 */     // MIs[0] policy
     /* 1581698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581708 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1581711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581730 */     // GIR_Coverage, 4199,
     /* 1581730 */     GIR_EraseRootFromParent_Done,
     /* 1581731 */   // Label 21908: @1581731
     /* 1581731 */   GIM_Try, /*On fail goto*//*Label 21909*/ GIMT_Encode4(1581813), // Rule ID 4208 //
     /* 1581736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1581747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1581750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1581753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581767 */     // MIs[0] passthru
     /* 1581767 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581780 */     // MIs[0] policy
     /* 1581780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581790 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1581793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581812 */     // GIR_Coverage, 4208,
     /* 1581812 */     GIR_EraseRootFromParent_Done,
     /* 1581813 */   // Label 21909: @1581813
     /* 1581813 */   GIM_Try, /*On fail goto*//*Label 21910*/ GIMT_Encode4(1581895), // Rule ID 4209 //
     /* 1581818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1581829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1581832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1581835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581849 */     // MIs[0] passthru
     /* 1581849 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581862 */     // MIs[0] policy
     /* 1581862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581872 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1581875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581894 */     // GIR_Coverage, 4209,
     /* 1581894 */     GIR_EraseRootFromParent_Done,
     /* 1581895 */   // Label 21910: @1581895
     /* 1581895 */   GIM_Try, /*On fail goto*//*Label 21911*/ GIMT_Encode4(1581977), // Rule ID 4278 //
     /* 1581900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1581911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1581914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1581917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581931 */     // MIs[0] passthru
     /* 1581931 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581944 */     // MIs[0] policy
     /* 1581944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581954 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1581957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581976 */     // GIR_Coverage, 4278,
     /* 1581976 */     GIR_EraseRootFromParent_Done,
     /* 1581977 */   // Label 21911: @1581977
     /* 1581977 */   GIM_Try, /*On fail goto*//*Label 21912*/ GIMT_Encode4(1582059), // Rule ID 4279 //
     /* 1581982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1581993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1581996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1581999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582013 */     // MIs[0] passthru
     /* 1582013 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582026 */     // MIs[0] policy
     /* 1582026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582036 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1582039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582058 */     // GIR_Coverage, 4279,
     /* 1582058 */     GIR_EraseRootFromParent_Done,
     /* 1582059 */   // Label 21912: @1582059
     /* 1582059 */   GIM_Try, /*On fail goto*//*Label 21913*/ GIMT_Encode4(1582141), // Rule ID 4288 //
     /* 1582064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1582075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1582078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1582081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582095 */     // MIs[0] passthru
     /* 1582095 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582108 */     // MIs[0] policy
     /* 1582108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582118 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1582121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582140 */     // GIR_Coverage, 4288,
     /* 1582140 */     GIR_EraseRootFromParent_Done,
     /* 1582141 */   // Label 21913: @1582141
     /* 1582141 */   GIM_Try, /*On fail goto*//*Label 21914*/ GIMT_Encode4(1582223), // Rule ID 4289 //
     /* 1582146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1582157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1582160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1582163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582177 */     // MIs[0] passthru
     /* 1582177 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582190 */     // MIs[0] policy
     /* 1582190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582200 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1582203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582222 */     // GIR_Coverage, 4289,
     /* 1582222 */     GIR_EraseRootFromParent_Done,
     /* 1582223 */   // Label 21914: @1582223
     /* 1582223 */   GIM_Try, /*On fail goto*//*Label 21915*/ GIMT_Encode4(1582305), // Rule ID 4298 //
     /* 1582228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1582239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1582242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1582245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582259 */     // MIs[0] passthru
     /* 1582259 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582272 */     // MIs[0] policy
     /* 1582272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1582285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582304 */     // GIR_Coverage, 4298,
     /* 1582304 */     GIR_EraseRootFromParent_Done,
     /* 1582305 */   // Label 21915: @1582305
     /* 1582305 */   GIM_Try, /*On fail goto*//*Label 21916*/ GIMT_Encode4(1582387), // Rule ID 4299 //
     /* 1582310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1582321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1582324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1582327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582341 */     // MIs[0] passthru
     /* 1582341 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582354 */     // MIs[0] policy
     /* 1582354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582364 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1582367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582386 */     // GIR_Coverage, 4299,
     /* 1582386 */     GIR_EraseRootFromParent_Done,
     /* 1582387 */   // Label 21916: @1582387
     /* 1582387 */   GIM_Try, /*On fail goto*//*Label 21917*/ GIMT_Encode4(1582469), // Rule ID 4308 //
     /* 1582392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1582403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1582406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1582409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582423 */     // MIs[0] passthru
     /* 1582423 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582436 */     // MIs[0] policy
     /* 1582436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1582449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582468 */     // GIR_Coverage, 4308,
     /* 1582468 */     GIR_EraseRootFromParent_Done,
     /* 1582469 */   // Label 21917: @1582469
     /* 1582469 */   GIM_Try, /*On fail goto*//*Label 21918*/ GIMT_Encode4(1582551), // Rule ID 4309 //
     /* 1582474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1582485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1582488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1582491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582505 */     // MIs[0] passthru
     /* 1582505 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582518 */     // MIs[0] policy
     /* 1582518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582528 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1582531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582550 */     // GIR_Coverage, 4309,
     /* 1582550 */     GIR_EraseRootFromParent_Done,
     /* 1582551 */   // Label 21918: @1582551
     /* 1582551 */   GIM_Try, /*On fail goto*//*Label 21919*/ GIMT_Encode4(1582633), // Rule ID 4318 //
     /* 1582556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1582567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1582570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1582573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1582576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582587 */     // MIs[0] passthru
     /* 1582587 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582600 */     // MIs[0] policy
     /* 1582600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582610 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1582613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582632 */     // GIR_Coverage, 4318,
     /* 1582632 */     GIR_EraseRootFromParent_Done,
     /* 1582633 */   // Label 21919: @1582633
     /* 1582633 */   GIM_Try, /*On fail goto*//*Label 21920*/ GIMT_Encode4(1582715), // Rule ID 4319 //
     /* 1582638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1582649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1582652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1582655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1582658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582669 */     // MIs[0] passthru
     /* 1582669 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582682 */     // MIs[0] policy
     /* 1582682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582692 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1582695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582714 */     // GIR_Coverage, 4319,
     /* 1582714 */     GIR_EraseRootFromParent_Done,
     /* 1582715 */   // Label 21920: @1582715
     /* 1582715 */   GIM_Try, /*On fail goto*//*Label 21921*/ GIMT_Encode4(1582797), // Rule ID 4328 //
     /* 1582720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1582731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1582734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1582737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1582740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582751 */     // MIs[0] passthru
     /* 1582751 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582764 */     // MIs[0] policy
     /* 1582764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1582777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582796 */     // GIR_Coverage, 4328,
     /* 1582796 */     GIR_EraseRootFromParent_Done,
     /* 1582797 */   // Label 21921: @1582797
     /* 1582797 */   GIM_Try, /*On fail goto*//*Label 21922*/ GIMT_Encode4(1582879), // Rule ID 4329 //
     /* 1582802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1582813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1582816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1582819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1582822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582833 */     // MIs[0] passthru
     /* 1582833 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582846 */     // MIs[0] policy
     /* 1582846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582856 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1582859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582878 */     // GIR_Coverage, 4329,
     /* 1582878 */     GIR_EraseRootFromParent_Done,
     /* 1582879 */   // Label 21922: @1582879
     /* 1582879 */   GIM_Try, /*On fail goto*//*Label 21923*/ GIMT_Encode4(1582961), // Rule ID 4338 //
     /* 1582884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1582895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1582898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1582901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582915 */     // MIs[0] passthru
     /* 1582915 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582928 */     // MIs[0] policy
     /* 1582928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582938 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1582941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582960 */     // GIR_Coverage, 4338,
     /* 1582960 */     GIR_EraseRootFromParent_Done,
     /* 1582961 */   // Label 21923: @1582961
     /* 1582961 */   GIM_Try, /*On fail goto*//*Label 21924*/ GIMT_Encode4(1583043), // Rule ID 4339 //
     /* 1582966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1582974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1582977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1582980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1582983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582997 */     // MIs[0] passthru
     /* 1582997 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583010 */     // MIs[0] policy
     /* 1583010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583020 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1583023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583042 */     // GIR_Coverage, 4339,
     /* 1583042 */     GIR_EraseRootFromParent_Done,
     /* 1583043 */   // Label 21924: @1583043
     /* 1583043 */   GIM_Try, /*On fail goto*//*Label 21925*/ GIMT_Encode4(1583125), // Rule ID 4348 //
     /* 1583048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1583059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1583062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1583065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583079 */     // MIs[0] passthru
     /* 1583079 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583092 */     // MIs[0] policy
     /* 1583092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11690:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1583105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583124 */     // GIR_Coverage, 4348,
     /* 1583124 */     GIR_EraseRootFromParent_Done,
     /* 1583125 */   // Label 21925: @1583125
     /* 1583125 */   GIM_Try, /*On fail goto*//*Label 21926*/ GIMT_Encode4(1583207), // Rule ID 4349 //
     /* 1583130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1583141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1583144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1583147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583161 */     // MIs[0] passthru
     /* 1583161 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583174 */     // MIs[0] policy
     /* 1583174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11690:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1583187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583206 */     // GIR_Coverage, 4349,
     /* 1583206 */     GIR_EraseRootFromParent_Done,
     /* 1583207 */   // Label 21926: @1583207
     /* 1583207 */   GIM_Try, /*On fail goto*//*Label 21927*/ GIMT_Encode4(1583289), // Rule ID 4358 //
     /* 1583212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1583223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1583226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1583229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583243 */     // MIs[0] passthru
     /* 1583243 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583256 */     // MIs[0] policy
     /* 1583256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583266 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1583269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583288 */     // GIR_Coverage, 4358,
     /* 1583288 */     GIR_EraseRootFromParent_Done,
     /* 1583289 */   // Label 21927: @1583289
     /* 1583289 */   GIM_Try, /*On fail goto*//*Label 21928*/ GIMT_Encode4(1583371), // Rule ID 4359 //
     /* 1583294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1583305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1583308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1583311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583325 */     // MIs[0] passthru
     /* 1583325 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583338 */     // MIs[0] policy
     /* 1583338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1583351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583370 */     // GIR_Coverage, 4359,
     /* 1583370 */     GIR_EraseRootFromParent_Done,
     /* 1583371 */   // Label 21928: @1583371
     /* 1583371 */   GIM_Try, /*On fail goto*//*Label 21929*/ GIMT_Encode4(1583453), // Rule ID 4368 //
     /* 1583376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1583387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1583390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1583393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583407 */     // MIs[0] passthru
     /* 1583407 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583420 */     // MIs[0] policy
     /* 1583420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583430 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1583433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583452 */     // GIR_Coverage, 4368,
     /* 1583452 */     GIR_EraseRootFromParent_Done,
     /* 1583453 */   // Label 21929: @1583453
     /* 1583453 */   GIM_Try, /*On fail goto*//*Label 21930*/ GIMT_Encode4(1583535), // Rule ID 4369 //
     /* 1583458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1583469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1583472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1583475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583489 */     // MIs[0] passthru
     /* 1583489 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583502 */     // MIs[0] policy
     /* 1583502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1583515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583534 */     // GIR_Coverage, 4369,
     /* 1583534 */     GIR_EraseRootFromParent_Done,
     /* 1583535 */   // Label 21930: @1583535
     /* 1583535 */   GIM_Try, /*On fail goto*//*Label 21931*/ GIMT_Encode4(1583617), // Rule ID 4378 //
     /* 1583540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1583551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1583554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1583557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583571 */     // MIs[0] passthru
     /* 1583571 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583584 */     // MIs[0] policy
     /* 1583584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1583597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583616 */     // GIR_Coverage, 4378,
     /* 1583616 */     GIR_EraseRootFromParent_Done,
     /* 1583617 */   // Label 21931: @1583617
     /* 1583617 */   GIM_Try, /*On fail goto*//*Label 21932*/ GIMT_Encode4(1583699), // Rule ID 4379 //
     /* 1583622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1583633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1583636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1583639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583653 */     // MIs[0] passthru
     /* 1583653 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583666 */     // MIs[0] policy
     /* 1583666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583676 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1583679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583698 */     // GIR_Coverage, 4379,
     /* 1583698 */     GIR_EraseRootFromParent_Done,
     /* 1583699 */   // Label 21932: @1583699
     /* 1583699 */   GIM_Try, /*On fail goto*//*Label 21933*/ GIMT_Encode4(1583781), // Rule ID 4388 //
     /* 1583704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1583707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1583715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1583718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1583721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583735 */     // MIs[0] passthru
     /* 1583735 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583748 */     // MIs[0] policy
     /* 1583748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1583761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583780 */     // GIR_Coverage, 4388,
     /* 1583780 */     GIR_EraseRootFromParent_Done,
     /* 1583781 */   // Label 21933: @1583781
     /* 1583781 */   GIM_Try, /*On fail goto*//*Label 21934*/ GIMT_Encode4(1583863), // Rule ID 4389 //
     /* 1583786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1583789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1583797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1583800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1583803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583817 */     // MIs[0] passthru
     /* 1583817 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583830 */     // MIs[0] policy
     /* 1583830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1583843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583862 */     // GIR_Coverage, 4389,
     /* 1583862 */     GIR_EraseRootFromParent_Done,
     /* 1583863 */   // Label 21934: @1583863
     /* 1583863 */   GIM_Try, /*On fail goto*//*Label 21935*/ GIMT_Encode4(1583945), // Rule ID 4398 //
     /* 1583868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1583871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1583879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1583882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1583885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583899 */     // MIs[0] passthru
     /* 1583899 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583912 */     // MIs[0] policy
     /* 1583912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1583925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583944 */     // GIR_Coverage, 4398,
     /* 1583944 */     GIR_EraseRootFromParent_Done,
     /* 1583945 */   // Label 21935: @1583945
     /* 1583945 */   GIM_Try, /*On fail goto*//*Label 21936*/ GIMT_Encode4(1584027), // Rule ID 4399 //
     /* 1583950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1583953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1583958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1583961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1583964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1583967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583981 */     // MIs[0] passthru
     /* 1583981 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583994 */     // MIs[0] policy
     /* 1583994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584004 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1584007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584026 */     // GIR_Coverage, 4399,
     /* 1584026 */     GIR_EraseRootFromParent_Done,
     /* 1584027 */   // Label 21936: @1584027
     /* 1584027 */   GIM_Try, /*On fail goto*//*Label 21937*/ GIMT_Encode4(1584109), // Rule ID 4408 //
     /* 1584032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1584035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1584040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1584043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1584046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1584049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584063 */     // MIs[0] passthru
     /* 1584063 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584076 */     // MIs[0] policy
     /* 1584076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584086 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1584089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584108 */     // GIR_Coverage, 4408,
     /* 1584108 */     GIR_EraseRootFromParent_Done,
     /* 1584109 */   // Label 21937: @1584109
     /* 1584109 */   GIM_Try, /*On fail goto*//*Label 21938*/ GIMT_Encode4(1584191), // Rule ID 4409 //
     /* 1584114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1584117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1584122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1584125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1584128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1584131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584145 */     // MIs[0] passthru
     /* 1584145 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584158 */     // MIs[0] policy
     /* 1584158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584168 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1584171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584190 */     // GIR_Coverage, 4409,
     /* 1584190 */     GIR_EraseRootFromParent_Done,
     /* 1584191 */   // Label 21938: @1584191
     /* 1584191 */   GIM_Try, /*On fail goto*//*Label 21939*/ GIMT_Encode4(1584273), // Rule ID 4418 //
     /* 1584196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1584199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1584204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1584207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1584210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1584213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584227 */     // MIs[0] passthru
     /* 1584227 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584240 */     // MIs[0] policy
     /* 1584240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584250 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1584253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584272 */     // GIR_Coverage, 4418,
     /* 1584272 */     GIR_EraseRootFromParent_Done,
     /* 1584273 */   // Label 21939: @1584273
     /* 1584273 */   GIM_Try, /*On fail goto*//*Label 21940*/ GIMT_Encode4(1584355), // Rule ID 4419 //
     /* 1584278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1584281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1584286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1584289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1584292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1584295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584309 */     // MIs[0] passthru
     /* 1584309 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584322 */     // MIs[0] policy
     /* 1584322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584332 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1584335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584354 */     // GIR_Coverage, 4419,
     /* 1584354 */     GIR_EraseRootFromParent_Done,
     /* 1584355 */   // Label 21940: @1584355
     /* 1584355 */   GIM_Try, /*On fail goto*//*Label 21941*/ GIMT_Encode4(1584437), // Rule ID 4488 //
     /* 1584360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1584371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1584374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1584377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584391 */     // MIs[0] passthru
     /* 1584391 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584404 */     // MIs[0] policy
     /* 1584404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584414 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1584417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584436 */     // GIR_Coverage, 4488,
     /* 1584436 */     GIR_EraseRootFromParent_Done,
     /* 1584437 */   // Label 21941: @1584437
     /* 1584437 */   GIM_Try, /*On fail goto*//*Label 21942*/ GIMT_Encode4(1584519), // Rule ID 4489 //
     /* 1584442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1584453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1584456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1584459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584473 */     // MIs[0] passthru
     /* 1584473 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584486 */     // MIs[0] policy
     /* 1584486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584496 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1584499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584518 */     // GIR_Coverage, 4489,
     /* 1584518 */     GIR_EraseRootFromParent_Done,
     /* 1584519 */   // Label 21942: @1584519
     /* 1584519 */   GIM_Try, /*On fail goto*//*Label 21943*/ GIMT_Encode4(1584601), // Rule ID 4498 //
     /* 1584524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1584535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1584538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1584541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584555 */     // MIs[0] passthru
     /* 1584555 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584568 */     // MIs[0] policy
     /* 1584568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584578 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1584581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584600 */     // GIR_Coverage, 4498,
     /* 1584600 */     GIR_EraseRootFromParent_Done,
     /* 1584601 */   // Label 21943: @1584601
     /* 1584601 */   GIM_Try, /*On fail goto*//*Label 21944*/ GIMT_Encode4(1584683), // Rule ID 4499 //
     /* 1584606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1584617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1584620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1584623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584637 */     // MIs[0] passthru
     /* 1584637 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584650 */     // MIs[0] policy
     /* 1584650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584660 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1584663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584682 */     // GIR_Coverage, 4499,
     /* 1584682 */     GIR_EraseRootFromParent_Done,
     /* 1584683 */   // Label 21944: @1584683
     /* 1584683 */   GIM_Try, /*On fail goto*//*Label 21945*/ GIMT_Encode4(1584765), // Rule ID 4508 //
     /* 1584688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1584699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1584702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1584705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584719 */     // MIs[0] passthru
     /* 1584719 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584732 */     // MIs[0] policy
     /* 1584732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1584745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584764 */     // GIR_Coverage, 4508,
     /* 1584764 */     GIR_EraseRootFromParent_Done,
     /* 1584765 */   // Label 21945: @1584765
     /* 1584765 */   GIM_Try, /*On fail goto*//*Label 21946*/ GIMT_Encode4(1584847), // Rule ID 4509 //
     /* 1584770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1584781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1584784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1584787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584801 */     // MIs[0] passthru
     /* 1584801 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584814 */     // MIs[0] policy
     /* 1584814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584824 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1584827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584846 */     // GIR_Coverage, 4509,
     /* 1584846 */     GIR_EraseRootFromParent_Done,
     /* 1584847 */   // Label 21946: @1584847
     /* 1584847 */   GIM_Try, /*On fail goto*//*Label 21947*/ GIMT_Encode4(1584929), // Rule ID 4518 //
     /* 1584852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1584869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584883 */     // MIs[0] passthru
     /* 1584883 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584896 */     // MIs[0] policy
     /* 1584896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584906 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1584909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584928 */     // GIR_Coverage, 4518,
     /* 1584928 */     GIR_EraseRootFromParent_Done,
     /* 1584929 */   // Label 21947: @1584929
     /* 1584929 */   GIM_Try, /*On fail goto*//*Label 21948*/ GIMT_Encode4(1585011), // Rule ID 4519 //
     /* 1584934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1584951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584965 */     // MIs[0] passthru
     /* 1584965 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584978 */     // MIs[0] policy
     /* 1584978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584988 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1584991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585010 */     // GIR_Coverage, 4519,
     /* 1585010 */     GIR_EraseRootFromParent_Done,
     /* 1585011 */   // Label 21948: @1585011
     /* 1585011 */   GIM_Try, /*On fail goto*//*Label 21949*/ GIMT_Encode4(1585093), // Rule ID 4528 //
     /* 1585016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1585027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1585030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1585033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585047 */     // MIs[0] passthru
     /* 1585047 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585060 */     // MIs[0] policy
     /* 1585060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585070 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1585073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585092 */     // GIR_Coverage, 4528,
     /* 1585092 */     GIR_EraseRootFromParent_Done,
     /* 1585093 */   // Label 21949: @1585093
     /* 1585093 */   GIM_Try, /*On fail goto*//*Label 21950*/ GIMT_Encode4(1585175), // Rule ID 4529 //
     /* 1585098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1585109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1585112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1585115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585129 */     // MIs[0] passthru
     /* 1585129 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585142 */     // MIs[0] policy
     /* 1585142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585152 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1585155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585174 */     // GIR_Coverage, 4529,
     /* 1585174 */     GIR_EraseRootFromParent_Done,
     /* 1585175 */   // Label 21950: @1585175
     /* 1585175 */   GIM_Try, /*On fail goto*//*Label 21951*/ GIMT_Encode4(1585257), // Rule ID 4538 //
     /* 1585180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1585197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585211 */     // MIs[0] passthru
     /* 1585211 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585224 */     // MIs[0] policy
     /* 1585224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585234 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1585237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585256 */     // GIR_Coverage, 4538,
     /* 1585256 */     GIR_EraseRootFromParent_Done,
     /* 1585257 */   // Label 21951: @1585257
     /* 1585257 */   GIM_Try, /*On fail goto*//*Label 21952*/ GIMT_Encode4(1585339), // Rule ID 4539 //
     /* 1585262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1585279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585293 */     // MIs[0] passthru
     /* 1585293 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585306 */     // MIs[0] policy
     /* 1585306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585316 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1585319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585338 */     // GIR_Coverage, 4539,
     /* 1585338 */     GIR_EraseRootFromParent_Done,
     /* 1585339 */   // Label 21952: @1585339
     /* 1585339 */   GIM_Try, /*On fail goto*//*Label 21953*/ GIMT_Encode4(1585421), // Rule ID 4548 //
     /* 1585344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1585355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1585358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1585361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585375 */     // MIs[0] passthru
     /* 1585375 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585388 */     // MIs[0] policy
     /* 1585388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585398 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1585401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585420 */     // GIR_Coverage, 4548,
     /* 1585420 */     GIR_EraseRootFromParent_Done,
     /* 1585421 */   // Label 21953: @1585421
     /* 1585421 */   GIM_Try, /*On fail goto*//*Label 21954*/ GIMT_Encode4(1585503), // Rule ID 4549 //
     /* 1585426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1585437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1585440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1585443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585457 */     // MIs[0] passthru
     /* 1585457 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585470 */     // MIs[0] policy
     /* 1585470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585480 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1585483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585502 */     // GIR_Coverage, 4549,
     /* 1585502 */     GIR_EraseRootFromParent_Done,
     /* 1585503 */   // Label 21954: @1585503
     /* 1585503 */   GIM_Try, /*On fail goto*//*Label 21955*/ GIMT_Encode4(1585585), // Rule ID 4558 //
     /* 1585508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1585519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1585522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1585525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585539 */     // MIs[0] passthru
     /* 1585539 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585552 */     // MIs[0] policy
     /* 1585552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1585565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585584 */     // GIR_Coverage, 4558,
     /* 1585584 */     GIR_EraseRootFromParent_Done,
     /* 1585585 */   // Label 21955: @1585585
     /* 1585585 */   GIM_Try, /*On fail goto*//*Label 21956*/ GIMT_Encode4(1585667), // Rule ID 4559 //
     /* 1585590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1585601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1585604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1585607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585621 */     // MIs[0] passthru
     /* 1585621 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585634 */     // MIs[0] policy
     /* 1585634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585644 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1585647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585666 */     // GIR_Coverage, 4559,
     /* 1585666 */     GIR_EraseRootFromParent_Done,
     /* 1585667 */   // Label 21956: @1585667
     /* 1585667 */   GIM_Try, /*On fail goto*//*Label 21957*/ GIMT_Encode4(1585749), // Rule ID 4568 //
     /* 1585672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1585689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585703 */     // MIs[0] passthru
     /* 1585703 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585716 */     // MIs[0] policy
     /* 1585716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1585729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585748 */     // GIR_Coverage, 4568,
     /* 1585748 */     GIR_EraseRootFromParent_Done,
     /* 1585749 */   // Label 21957: @1585749
     /* 1585749 */   GIM_Try, /*On fail goto*//*Label 21958*/ GIMT_Encode4(1585831), // Rule ID 4569 //
     /* 1585754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1585771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585785 */     // MIs[0] passthru
     /* 1585785 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585798 */     // MIs[0] policy
     /* 1585798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585808 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1585811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585830 */     // GIR_Coverage, 4569,
     /* 1585830 */     GIR_EraseRootFromParent_Done,
     /* 1585831 */   // Label 21958: @1585831
     /* 1585831 */   GIM_Try, /*On fail goto*//*Label 21959*/ GIMT_Encode4(1585913), // Rule ID 4578 //
     /* 1585836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1585853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585867 */     // MIs[0] passthru
     /* 1585867 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585880 */     // MIs[0] policy
     /* 1585880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1585893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585912 */     // GIR_Coverage, 4578,
     /* 1585912 */     GIR_EraseRootFromParent_Done,
     /* 1585913 */   // Label 21959: @1585913
     /* 1585913 */   GIM_Try, /*On fail goto*//*Label 21960*/ GIMT_Encode4(1585995), // Rule ID 4579 //
     /* 1585918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1585926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1585935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585949 */     // MIs[0] passthru
     /* 1585949 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585962 */     // MIs[0] policy
     /* 1585962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585972 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1585975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585994 */     // GIR_Coverage, 4579,
     /* 1585994 */     GIR_EraseRootFromParent_Done,
     /* 1585995 */   // Label 21960: @1585995
     /* 1585995 */   GIM_Try, /*On fail goto*//*Label 21961*/ GIMT_Encode4(1586077), // Rule ID 4588 //
     /* 1586000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1586011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1586014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1586017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1586020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586031 */     // MIs[0] passthru
     /* 1586031 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586044 */     // MIs[0] policy
     /* 1586044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586054 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1586057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586076 */     // GIR_Coverage, 4588,
     /* 1586076 */     GIR_EraseRootFromParent_Done,
     /* 1586077 */   // Label 21961: @1586077
     /* 1586077 */   GIM_Try, /*On fail goto*//*Label 21962*/ GIMT_Encode4(1586159), // Rule ID 4589 //
     /* 1586082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1586093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1586096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1586099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1586102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586113 */     // MIs[0] passthru
     /* 1586113 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586126 */     // MIs[0] policy
     /* 1586126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586136 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1586139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586158 */     // GIR_Coverage, 4589,
     /* 1586158 */     GIR_EraseRootFromParent_Done,
     /* 1586159 */   // Label 21962: @1586159
     /* 1586159 */   GIM_Try, /*On fail goto*//*Label 21963*/ GIMT_Encode4(1586241), // Rule ID 4598 //
     /* 1586164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1586167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1586175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1586178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1586181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586195 */     // MIs[0] passthru
     /* 1586195 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586208 */     // MIs[0] policy
     /* 1586208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586218 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1586221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586240 */     // GIR_Coverage, 4598,
     /* 1586240 */     GIR_EraseRootFromParent_Done,
     /* 1586241 */   // Label 21963: @1586241
     /* 1586241 */   GIM_Try, /*On fail goto*//*Label 21964*/ GIMT_Encode4(1586323), // Rule ID 4599 //
     /* 1586246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1586249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1586257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1586260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1586263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586277 */     // MIs[0] passthru
     /* 1586277 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586290 */     // MIs[0] policy
     /* 1586290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586300 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1586303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586322 */     // GIR_Coverage, 4599,
     /* 1586322 */     GIR_EraseRootFromParent_Done,
     /* 1586323 */   // Label 21964: @1586323
     /* 1586323 */   GIM_Try, /*On fail goto*//*Label 21965*/ GIMT_Encode4(1586405), // Rule ID 4608 //
     /* 1586328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1586331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1586339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1586342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1586345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586359 */     // MIs[0] passthru
     /* 1586359 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586372 */     // MIs[0] policy
     /* 1586372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586382 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1586385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586404 */     // GIR_Coverage, 4608,
     /* 1586404 */     GIR_EraseRootFromParent_Done,
     /* 1586405 */   // Label 21965: @1586405
     /* 1586405 */   GIM_Try, /*On fail goto*//*Label 21966*/ GIMT_Encode4(1586487), // Rule ID 4609 //
     /* 1586410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1586413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1586421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1586424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1586427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586441 */     // MIs[0] passthru
     /* 1586441 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586454 */     // MIs[0] policy
     /* 1586454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586464 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1586467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586486 */     // GIR_Coverage, 4609,
     /* 1586486 */     GIR_EraseRootFromParent_Done,
     /* 1586487 */   // Label 21966: @1586487
     /* 1586487 */   GIM_Try, /*On fail goto*//*Label 21967*/ GIMT_Encode4(1586569), // Rule ID 4618 //
     /* 1586492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1586495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1586509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586523 */     // MIs[0] passthru
     /* 1586523 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586536 */     // MIs[0] policy
     /* 1586536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586546 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1586549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586568 */     // GIR_Coverage, 4618,
     /* 1586568 */     GIR_EraseRootFromParent_Done,
     /* 1586569 */   // Label 21967: @1586569
     /* 1586569 */   GIM_Try, /*On fail goto*//*Label 21968*/ GIMT_Encode4(1586651), // Rule ID 4619 //
     /* 1586574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1586577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1586591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586605 */     // MIs[0] passthru
     /* 1586605 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586618 */     // MIs[0] policy
     /* 1586618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1586631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586650 */     // GIR_Coverage, 4619,
     /* 1586650 */     GIR_EraseRootFromParent_Done,
     /* 1586651 */   // Label 21968: @1586651
     /* 1586651 */   GIM_Try, /*On fail goto*//*Label 21969*/ GIMT_Encode4(1586733), // Rule ID 4628 //
     /* 1586656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1586659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1586673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586687 */     // MIs[0] passthru
     /* 1586687 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586700 */     // MIs[0] policy
     /* 1586700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586710 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1586713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586732 */     // GIR_Coverage, 4628,
     /* 1586732 */     GIR_EraseRootFromParent_Done,
     /* 1586733 */   // Label 21969: @1586733
     /* 1586733 */   GIM_Try, /*On fail goto*//*Label 21970*/ GIMT_Encode4(1586815), // Rule ID 4629 //
     /* 1586738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1586741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1586746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1586755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586769 */     // MIs[0] passthru
     /* 1586769 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586782 */     // MIs[0] policy
     /* 1586782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586792 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1586795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586814 */     // GIR_Coverage, 4629,
     /* 1586814 */     GIR_EraseRootFromParent_Done,
     /* 1586815 */   // Label 21970: @1586815
     /* 1586815 */   GIM_Try, /*On fail goto*//*Label 21971*/ GIMT_Encode4(1586897), // Rule ID 4698 //
     /* 1586820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586851 */     // MIs[0] passthru
     /* 1586851 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586864 */     // MIs[0] policy
     /* 1586864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586874 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1586877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586896 */     // GIR_Coverage, 4698,
     /* 1586896 */     GIR_EraseRootFromParent_Done,
     /* 1586897 */   // Label 21971: @1586897
     /* 1586897 */   GIM_Try, /*On fail goto*//*Label 21972*/ GIMT_Encode4(1586979), // Rule ID 4699 //
     /* 1586902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586933 */     // MIs[0] passthru
     /* 1586933 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586946 */     // MIs[0] policy
     /* 1586946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586956 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1586959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586978 */     // GIR_Coverage, 4699,
     /* 1586978 */     GIR_EraseRootFromParent_Done,
     /* 1586979 */   // Label 21972: @1586979
     /* 1586979 */   GIM_Try, /*On fail goto*//*Label 21973*/ GIMT_Encode4(1587061), // Rule ID 4708 //
     /* 1586984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1586995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1586998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1587001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587015 */     // MIs[0] passthru
     /* 1587015 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587028 */     // MIs[0] policy
     /* 1587028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587038 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1587041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587060 */     // GIR_Coverage, 4708,
     /* 1587060 */     GIR_EraseRootFromParent_Done,
     /* 1587061 */   // Label 21973: @1587061
     /* 1587061 */   GIM_Try, /*On fail goto*//*Label 21974*/ GIMT_Encode4(1587143), // Rule ID 4709 //
     /* 1587066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1587077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1587080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1587083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587097 */     // MIs[0] passthru
     /* 1587097 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587110 */     // MIs[0] policy
     /* 1587110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587120 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1587123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587142 */     // GIR_Coverage, 4709,
     /* 1587142 */     GIR_EraseRootFromParent_Done,
     /* 1587143 */   // Label 21974: @1587143
     /* 1587143 */   GIM_Try, /*On fail goto*//*Label 21975*/ GIMT_Encode4(1587225), // Rule ID 4718 //
     /* 1587148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1587165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587179 */     // MIs[0] passthru
     /* 1587179 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587192 */     // MIs[0] policy
     /* 1587192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1587205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587224 */     // GIR_Coverage, 4718,
     /* 1587224 */     GIR_EraseRootFromParent_Done,
     /* 1587225 */   // Label 21975: @1587225
     /* 1587225 */   GIM_Try, /*On fail goto*//*Label 21976*/ GIMT_Encode4(1587307), // Rule ID 4719 //
     /* 1587230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1587247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587261 */     // MIs[0] passthru
     /* 1587261 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587274 */     // MIs[0] policy
     /* 1587274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587284 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1587287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587306 */     // GIR_Coverage, 4719,
     /* 1587306 */     GIR_EraseRootFromParent_Done,
     /* 1587307 */   // Label 21976: @1587307
     /* 1587307 */   GIM_Try, /*On fail goto*//*Label 21977*/ GIMT_Encode4(1587389), // Rule ID 4728 //
     /* 1587312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1587323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1587326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1587339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587343 */     // MIs[0] passthru
     /* 1587343 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587356 */     // MIs[0] policy
     /* 1587356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587366 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1587369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587388 */     // GIR_Coverage, 4728,
     /* 1587388 */     GIR_EraseRootFromParent_Done,
     /* 1587389 */   // Label 21977: @1587389
     /* 1587389 */   GIM_Try, /*On fail goto*//*Label 21978*/ GIMT_Encode4(1587471), // Rule ID 4729 //
     /* 1587394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1587405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1587408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1587421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587425 */     // MIs[0] passthru
     /* 1587425 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587438 */     // MIs[0] policy
     /* 1587438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587448 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1587451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587470 */     // GIR_Coverage, 4729,
     /* 1587470 */     GIR_EraseRootFromParent_Done,
     /* 1587471 */   // Label 21978: @1587471
     /* 1587471 */   GIM_Try, /*On fail goto*//*Label 21979*/ GIMT_Encode4(1587553), // Rule ID 4738 //
     /* 1587476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1587487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1587490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1587493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1587496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587507 */     // MIs[0] passthru
     /* 1587507 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587520 */     // MIs[0] policy
     /* 1587520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587530 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1587533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587552 */     // GIR_Coverage, 4738,
     /* 1587552 */     GIR_EraseRootFromParent_Done,
     /* 1587553 */   // Label 21979: @1587553
     /* 1587553 */   GIM_Try, /*On fail goto*//*Label 21980*/ GIMT_Encode4(1587635), // Rule ID 4739 //
     /* 1587558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1587569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1587572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1587575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1587578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587589 */     // MIs[0] passthru
     /* 1587589 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587602 */     // MIs[0] policy
     /* 1587602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587612 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1587615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587634 */     // GIR_Coverage, 4739,
     /* 1587634 */     GIR_EraseRootFromParent_Done,
     /* 1587635 */   // Label 21980: @1587635
     /* 1587635 */   GIM_Try, /*On fail goto*//*Label 21981*/ GIMT_Encode4(1587717), // Rule ID 4748 //
     /* 1587640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1587651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1587654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1587657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1587660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587671 */     // MIs[0] passthru
     /* 1587671 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587684 */     // MIs[0] policy
     /* 1587684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587694 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1587697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587716 */     // GIR_Coverage, 4748,
     /* 1587716 */     GIR_EraseRootFromParent_Done,
     /* 1587717 */   // Label 21981: @1587717
     /* 1587717 */   GIM_Try, /*On fail goto*//*Label 21982*/ GIMT_Encode4(1587799), // Rule ID 4749 //
     /* 1587722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1587733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1587736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1587739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1587742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587753 */     // MIs[0] passthru
     /* 1587753 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587766 */     // MIs[0] policy
     /* 1587766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587776 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1587779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587798 */     // GIR_Coverage, 4749,
     /* 1587798 */     GIR_EraseRootFromParent_Done,
     /* 1587799 */   // Label 21982: @1587799
     /* 1587799 */   GIM_Try, /*On fail goto*//*Label 21983*/ GIMT_Encode4(1587881), // Rule ID 4758 //
     /* 1587804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1587821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587835 */     // MIs[0] passthru
     /* 1587835 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587848 */     // MIs[0] policy
     /* 1587848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1587861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587880 */     // GIR_Coverage, 4758,
     /* 1587880 */     GIR_EraseRootFromParent_Done,
     /* 1587881 */   // Label 21983: @1587881
     /* 1587881 */   GIM_Try, /*On fail goto*//*Label 21984*/ GIMT_Encode4(1587963), // Rule ID 4759 //
     /* 1587886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1587903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587917 */     // MIs[0] passthru
     /* 1587917 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587930 */     // MIs[0] policy
     /* 1587930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587940 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1587943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587962 */     // GIR_Coverage, 4759,
     /* 1587962 */     GIR_EraseRootFromParent_Done,
     /* 1587963 */   // Label 21984: @1587963
     /* 1587963 */   GIM_Try, /*On fail goto*//*Label 21985*/ GIMT_Encode4(1588045), // Rule ID 4768 //
     /* 1587968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1587976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1587979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1587982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587999 */     // MIs[0] passthru
     /* 1587999 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588012 */     // MIs[0] policy
     /* 1588012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11686:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1588025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588044 */     // GIR_Coverage, 4768,
     /* 1588044 */     GIR_EraseRootFromParent_Done,
     /* 1588045 */   // Label 21985: @1588045
     /* 1588045 */   GIM_Try, /*On fail goto*//*Label 21986*/ GIMT_Encode4(1588127), // Rule ID 4769 //
     /* 1588050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1588061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1588064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1588067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588081 */     // MIs[0] passthru
     /* 1588081 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588094 */     // MIs[0] policy
     /* 1588094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588104 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11686:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1588107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588126 */     // GIR_Coverage, 4769,
     /* 1588126 */     GIR_EraseRootFromParent_Done,
     /* 1588127 */   // Label 21986: @1588127
     /* 1588127 */   GIM_Try, /*On fail goto*//*Label 21987*/ GIMT_Encode4(1588209), // Rule ID 4778 //
     /* 1588132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1588143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1588146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1588149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588163 */     // MIs[0] passthru
     /* 1588163 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588176 */     // MIs[0] policy
     /* 1588176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1588189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588208 */     // GIR_Coverage, 4778,
     /* 1588208 */     GIR_EraseRootFromParent_Done,
     /* 1588209 */   // Label 21987: @1588209
     /* 1588209 */   GIM_Try, /*On fail goto*//*Label 21988*/ GIMT_Encode4(1588291), // Rule ID 4779 //
     /* 1588214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1588225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1588228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1588231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588245 */     // MIs[0] passthru
     /* 1588245 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588258 */     // MIs[0] policy
     /* 1588258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1588271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588290 */     // GIR_Coverage, 4779,
     /* 1588290 */     GIR_EraseRootFromParent_Done,
     /* 1588291 */   // Label 21988: @1588291
     /* 1588291 */   GIM_Try, /*On fail goto*//*Label 21989*/ GIMT_Encode4(1588373), // Rule ID 4788 //
     /* 1588296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1588307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1588310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1588313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588327 */     // MIs[0] passthru
     /* 1588327 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588340 */     // MIs[0] policy
     /* 1588340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588350 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1588353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588372 */     // GIR_Coverage, 4788,
     /* 1588372 */     GIR_EraseRootFromParent_Done,
     /* 1588373 */   // Label 21989: @1588373
     /* 1588373 */   GIM_Try, /*On fail goto*//*Label 21990*/ GIMT_Encode4(1588455), // Rule ID 4789 //
     /* 1588378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1588389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1588392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1588395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588409 */     // MIs[0] passthru
     /* 1588409 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588422 */     // MIs[0] policy
     /* 1588422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588432 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1588435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588454 */     // GIR_Coverage, 4789,
     /* 1588454 */     GIR_EraseRootFromParent_Done,
     /* 1588455 */   // Label 21990: @1588455
     /* 1588455 */   GIM_Try, /*On fail goto*//*Label 21991*/ GIMT_Encode4(1588537), // Rule ID 4798 //
     /* 1588460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1588471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1588474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1588477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588491 */     // MIs[0] passthru
     /* 1588491 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588504 */     // MIs[0] policy
     /* 1588504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1588517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588536 */     // GIR_Coverage, 4798,
     /* 1588536 */     GIR_EraseRootFromParent_Done,
     /* 1588537 */   // Label 21991: @1588537
     /* 1588537 */   GIM_Try, /*On fail goto*//*Label 21992*/ GIMT_Encode4(1588619), // Rule ID 4799 //
     /* 1588542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1588553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1588556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1588559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588573 */     // MIs[0] passthru
     /* 1588573 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588586 */     // MIs[0] policy
     /* 1588586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1588599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588618 */     // GIR_Coverage, 4799,
     /* 1588618 */     GIR_EraseRootFromParent_Done,
     /* 1588619 */   // Label 21992: @1588619
     /* 1588619 */   GIM_Try, /*On fail goto*//*Label 21993*/ GIMT_Encode4(1588701), // Rule ID 4808 //
     /* 1588624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1588627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1588635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1588638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1588641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588655 */     // MIs[0] passthru
     /* 1588655 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588668 */     // MIs[0] policy
     /* 1588668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1588681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588700 */     // GIR_Coverage, 4808,
     /* 1588700 */     GIR_EraseRootFromParent_Done,
     /* 1588701 */   // Label 21993: @1588701
     /* 1588701 */   GIM_Try, /*On fail goto*//*Label 21994*/ GIMT_Encode4(1588783), // Rule ID 4809 //
     /* 1588706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1588709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1588717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1588720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1588723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588737 */     // MIs[0] passthru
     /* 1588737 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588750 */     // MIs[0] policy
     /* 1588750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588760 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1588763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588782 */     // GIR_Coverage, 4809,
     /* 1588782 */     GIR_EraseRootFromParent_Done,
     /* 1588783 */   // Label 21994: @1588783
     /* 1588783 */   GIM_Try, /*On fail goto*//*Label 21995*/ GIMT_Encode4(1588865), // Rule ID 4818 //
     /* 1588788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1588791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1588799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1588802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1588805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588819 */     // MIs[0] passthru
     /* 1588819 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588832 */     // MIs[0] policy
     /* 1588832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1588845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588864 */     // GIR_Coverage, 4818,
     /* 1588864 */     GIR_EraseRootFromParent_Done,
     /* 1588865 */   // Label 21995: @1588865
     /* 1588865 */   GIM_Try, /*On fail goto*//*Label 21996*/ GIMT_Encode4(1588947), // Rule ID 4819 //
     /* 1588870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1588873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1588881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1588884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1588887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588901 */     // MIs[0] passthru
     /* 1588901 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588914 */     // MIs[0] policy
     /* 1588914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588924 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1588927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588946 */     // GIR_Coverage, 4819,
     /* 1588946 */     GIR_EraseRootFromParent_Done,
     /* 1588947 */   // Label 21996: @1588947
     /* 1588947 */   GIM_Try, /*On fail goto*//*Label 21997*/ GIMT_Encode4(1589029), // Rule ID 4828 //
     /* 1588952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1588955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1588960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1588963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1588966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1588969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588983 */     // MIs[0] passthru
     /* 1588983 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588996 */     // MIs[0] policy
     /* 1588996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589006 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1589009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589028 */     // GIR_Coverage, 4828,
     /* 1589028 */     GIR_EraseRootFromParent_Done,
     /* 1589029 */   // Label 21997: @1589029
     /* 1589029 */   GIM_Try, /*On fail goto*//*Label 21998*/ GIMT_Encode4(1589111), // Rule ID 4829 //
     /* 1589034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1589037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1589042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1589045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1589048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1589051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589065 */     // MIs[0] passthru
     /* 1589065 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589078 */     // MIs[0] policy
     /* 1589078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589088 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1589091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589110 */     // GIR_Coverage, 4829,
     /* 1589110 */     GIR_EraseRootFromParent_Done,
     /* 1589111 */   // Label 21998: @1589111
     /* 1589111 */   GIM_Try, /*On fail goto*//*Label 21999*/ GIMT_Encode4(1589193), // Rule ID 4838 //
     /* 1589116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1589119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1589124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1589127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1589130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589147 */     // MIs[0] passthru
     /* 1589147 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589160 */     // MIs[0] policy
     /* 1589160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589170 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1589173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589192 */     // GIR_Coverage, 4838,
     /* 1589192 */     GIR_EraseRootFromParent_Done,
     /* 1589193 */   // Label 21999: @1589193
     /* 1589193 */   GIM_Try, /*On fail goto*//*Label 22000*/ GIMT_Encode4(1589275), // Rule ID 4839 //
     /* 1589198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1589201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1589206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1589209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1589212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589229 */     // MIs[0] passthru
     /* 1589229 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589242 */     // MIs[0] policy
     /* 1589242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589252 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1589255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589274 */     // GIR_Coverage, 4839,
     /* 1589274 */     GIR_EraseRootFromParent_Done,
     /* 1589275 */   // Label 22000: @1589275
     /* 1589275 */   GIM_Try, /*On fail goto*//*Label 22001*/ GIMT_Encode4(1589361), // Rule ID 2726 //
     /* 1589280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1589291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1589294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1589297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589326 */     // MIs[0] policy
     /* 1589326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1589339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589360 */     // GIR_Coverage, 2726,
     /* 1589360 */     GIR_EraseRootFromParent_Done,
     /* 1589361 */   // Label 22001: @1589361
     /* 1589361 */   GIM_Try, /*On fail goto*//*Label 22002*/ GIMT_Encode4(1589447), // Rule ID 2727 //
     /* 1589366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1589377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1589380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1589383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589412 */     // MIs[0] policy
     /* 1589412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589422 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1589425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589446 */     // GIR_Coverage, 2727,
     /* 1589446 */     GIR_EraseRootFromParent_Done,
     /* 1589447 */   // Label 22002: @1589447
     /* 1589447 */   GIM_Try, /*On fail goto*//*Label 22003*/ GIMT_Encode4(1589533), // Rule ID 2764 //
     /* 1589452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1589460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1589463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1589466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1589469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589498 */     // MIs[0] policy
     /* 1589498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589508 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1589511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589532 */     // GIR_Coverage, 2764,
     /* 1589532 */     GIR_EraseRootFromParent_Done,
     /* 1589533 */   // Label 22003: @1589533
     /* 1589533 */   GIM_Try, /*On fail goto*//*Label 22004*/ GIMT_Encode4(1589619), // Rule ID 2765 //
     /* 1589538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1589546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1589549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1589552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1589555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589584 */     // MIs[0] policy
     /* 1589584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589594 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1589597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589618 */     // GIR_Coverage, 2765,
     /* 1589618 */     GIR_EraseRootFromParent_Done,
     /* 1589619 */   // Label 22004: @1589619
     /* 1589619 */   GIM_Try, /*On fail goto*//*Label 22005*/ GIMT_Encode4(1589705), // Rule ID 2778 //
     /* 1589624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1589632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1589635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1589638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1589641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589670 */     // MIs[0] policy
     /* 1589670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589680 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1589683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1589687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589704 */     // GIR_Coverage, 2778,
     /* 1589704 */     GIR_EraseRootFromParent_Done,
     /* 1589705 */   // Label 22005: @1589705
     /* 1589705 */   GIM_Try, /*On fail goto*//*Label 22006*/ GIMT_Encode4(1589791), // Rule ID 2779 //
     /* 1589710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1589718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1589721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1589724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1589727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589756 */     // MIs[0] policy
     /* 1589756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589766 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1589769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1589773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589790 */     // GIR_Coverage, 2779,
     /* 1589790 */     GIR_EraseRootFromParent_Done,
     /* 1589791 */   // Label 22006: @1589791
     /* 1589791 */   GIM_Try, /*On fail goto*//*Label 22007*/ GIMT_Encode4(1589877), // Rule ID 2798 //
     /* 1589796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1589807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1589810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1589813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589842 */     // MIs[0] policy
     /* 1589842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589852 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1589855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589876 */     // GIR_Coverage, 2798,
     /* 1589876 */     GIR_EraseRootFromParent_Done,
     /* 1589877 */   // Label 22007: @1589877
     /* 1589877 */   GIM_Try, /*On fail goto*//*Label 22008*/ GIMT_Encode4(1589963), // Rule ID 2799 //
     /* 1589882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1589893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1589896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1589899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1589902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589928 */     // MIs[0] policy
     /* 1589928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589938 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1589941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589962 */     // GIR_Coverage, 2799,
     /* 1589962 */     GIR_EraseRootFromParent_Done,
     /* 1589963 */   // Label 22008: @1589963
     /* 1589963 */   GIM_Try, /*On fail goto*//*Label 22009*/ GIMT_Encode4(1590049), // Rule ID 2806 //
     /* 1589968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1589979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1589982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1589985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1589988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590014 */     // MIs[0] policy
     /* 1590014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590024 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1590027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590048 */     // GIR_Coverage, 2806,
     /* 1590048 */     GIR_EraseRootFromParent_Done,
     /* 1590049 */   // Label 22009: @1590049
     /* 1590049 */   GIM_Try, /*On fail goto*//*Label 22010*/ GIMT_Encode4(1590135), // Rule ID 2807 //
     /* 1590054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1590065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1590068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1590071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1590074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590100 */     // MIs[0] policy
     /* 1590100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590110 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1590113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590134 */     // GIR_Coverage, 2807,
     /* 1590134 */     GIR_EraseRootFromParent_Done,
     /* 1590135 */   // Label 22010: @1590135
     /* 1590135 */   GIM_Try, /*On fail goto*//*Label 22011*/ GIMT_Encode4(1590221), // Rule ID 2814 //
     /* 1590140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1590151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1590154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1590157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1590160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590186 */     // MIs[0] policy
     /* 1590186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590196 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1590199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590220 */     // GIR_Coverage, 2814,
     /* 1590220 */     GIR_EraseRootFromParent_Done,
     /* 1590221 */   // Label 22011: @1590221
     /* 1590221 */   GIM_Try, /*On fail goto*//*Label 22012*/ GIMT_Encode4(1590307), // Rule ID 2815 //
     /* 1590226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1590237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1590240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1590243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1590246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590272 */     // MIs[0] policy
     /* 1590272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590282 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1590285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590306 */     // GIR_Coverage, 2815,
     /* 1590306 */     GIR_EraseRootFromParent_Done,
     /* 1590307 */   // Label 22012: @1590307
     /* 1590307 */   GIM_Try, /*On fail goto*//*Label 22013*/ GIMT_Encode4(1590393), // Rule ID 2822 //
     /* 1590312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1590323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1590326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1590329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1590332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590358 */     // MIs[0] policy
     /* 1590358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590368 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1590371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590392 */     // GIR_Coverage, 2822,
     /* 1590392 */     GIR_EraseRootFromParent_Done,
     /* 1590393 */   // Label 22013: @1590393
     /* 1590393 */   GIM_Try, /*On fail goto*//*Label 22014*/ GIMT_Encode4(1590479), // Rule ID 2823 //
     /* 1590398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1590409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1590412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1590415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1590418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590444 */     // MIs[0] policy
     /* 1590444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590454 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1590457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590478 */     // GIR_Coverage, 2823,
     /* 1590478 */     GIR_EraseRootFromParent_Done,
     /* 1590479 */   // Label 22014: @1590479
     /* 1590479 */   GIM_Try, /*On fail goto*//*Label 22015*/ GIMT_Encode4(1590565), // Rule ID 2830 //
     /* 1590484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1590495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1590498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1590501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1590504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590530 */     // MIs[0] policy
     /* 1590530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590540 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1590543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590564 */     // GIR_Coverage, 2830,
     /* 1590564 */     GIR_EraseRootFromParent_Done,
     /* 1590565 */   // Label 22015: @1590565
     /* 1590565 */   GIM_Try, /*On fail goto*//*Label 22016*/ GIMT_Encode4(1590651), // Rule ID 2831 //
     /* 1590570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1590581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1590584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1590587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1590590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590616 */     // MIs[0] policy
     /* 1590616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590626 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1590629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590650 */     // GIR_Coverage, 2831,
     /* 1590650 */     GIR_EraseRootFromParent_Done,
     /* 1590651 */   // Label 22016: @1590651
     /* 1590651 */   GIM_Try, /*On fail goto*//*Label 22017*/ GIMT_Encode4(1590737), // Rule ID 2838 //
     /* 1590656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1590667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1590670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1590673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1590676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590702 */     // MIs[0] policy
     /* 1590702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590712 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1590715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590736 */     // GIR_Coverage, 2838,
     /* 1590736 */     GIR_EraseRootFromParent_Done,
     /* 1590737 */   // Label 22017: @1590737
     /* 1590737 */   GIM_Try, /*On fail goto*//*Label 22018*/ GIMT_Encode4(1590823), // Rule ID 2839 //
     /* 1590742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1590753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1590756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1590759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1590762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590788 */     // MIs[0] policy
     /* 1590788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590798 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1590801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590822 */     // GIR_Coverage, 2839,
     /* 1590822 */     GIR_EraseRootFromParent_Done,
     /* 1590823 */   // Label 22018: @1590823
     /* 1590823 */   GIM_Try, /*On fail goto*//*Label 22019*/ GIMT_Encode4(1590909), // Rule ID 2846 //
     /* 1590828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1590839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1590842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1590845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1590848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590874 */     // MIs[0] policy
     /* 1590874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590884 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1590887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590908 */     // GIR_Coverage, 2846,
     /* 1590908 */     GIR_EraseRootFromParent_Done,
     /* 1590909 */   // Label 22019: @1590909
     /* 1590909 */   GIM_Try, /*On fail goto*//*Label 22020*/ GIMT_Encode4(1590995), // Rule ID 2847 //
     /* 1590914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1590925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1590928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1590931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1590934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590960 */     // MIs[0] policy
     /* 1590960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590970 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1590973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590994 */     // GIR_Coverage, 2847,
     /* 1590994 */     GIR_EraseRootFromParent_Done,
     /* 1590995 */   // Label 22020: @1590995
     /* 1590995 */   GIM_Try, /*On fail goto*//*Label 22021*/ GIMT_Encode4(1591081), // Rule ID 2854 //
     /* 1591000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1591017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1591020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591046 */     // MIs[0] policy
     /* 1591046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591056 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1591059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591080 */     // GIR_Coverage, 2854,
     /* 1591080 */     GIR_EraseRootFromParent_Done,
     /* 1591081 */   // Label 22021: @1591081
     /* 1591081 */   GIM_Try, /*On fail goto*//*Label 22022*/ GIMT_Encode4(1591167), // Rule ID 2855 //
     /* 1591086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1591103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1591106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591132 */     // MIs[0] policy
     /* 1591132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591142 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1591145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591166 */     // GIR_Coverage, 2855,
     /* 1591166 */     GIR_EraseRootFromParent_Done,
     /* 1591167 */   // Label 22022: @1591167
     /* 1591167 */   GIM_Try, /*On fail goto*//*Label 22023*/ GIMT_Encode4(1591253), // Rule ID 2862 //
     /* 1591172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1591183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1591186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1591189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1591192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591218 */     // MIs[0] policy
     /* 1591218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1591231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591252 */     // GIR_Coverage, 2862,
     /* 1591252 */     GIR_EraseRootFromParent_Done,
     /* 1591253 */   // Label 22023: @1591253
     /* 1591253 */   GIM_Try, /*On fail goto*//*Label 22024*/ GIMT_Encode4(1591339), // Rule ID 2863 //
     /* 1591258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1591269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1591272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1591275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1591278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591304 */     // MIs[0] policy
     /* 1591304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591314 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1591317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591338 */     // GIR_Coverage, 2863,
     /* 1591338 */     GIR_EraseRootFromParent_Done,
     /* 1591339 */   // Label 22024: @1591339
     /* 1591339 */   GIM_Try, /*On fail goto*//*Label 22025*/ GIMT_Encode4(1591425), // Rule ID 2870 //
     /* 1591344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1591347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1591355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1591358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1591361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1591364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591390 */     // MIs[0] policy
     /* 1591390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591400 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1591403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591424 */     // GIR_Coverage, 2870,
     /* 1591424 */     GIR_EraseRootFromParent_Done,
     /* 1591425 */   // Label 22025: @1591425
     /* 1591425 */   GIM_Try, /*On fail goto*//*Label 22026*/ GIMT_Encode4(1591511), // Rule ID 2871 //
     /* 1591430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1591433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1591441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1591444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1591447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1591450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591476 */     // MIs[0] policy
     /* 1591476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1591489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591510 */     // GIR_Coverage, 2871,
     /* 1591510 */     GIR_EraseRootFromParent_Done,
     /* 1591511 */   // Label 22026: @1591511
     /* 1591511 */   GIM_Try, /*On fail goto*//*Label 22027*/ GIMT_Encode4(1591597), // Rule ID 2878 //
     /* 1591516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1591527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1591530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1591533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1591536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591562 */     // MIs[0] policy
     /* 1591562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1591575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591596 */     // GIR_Coverage, 2878,
     /* 1591596 */     GIR_EraseRootFromParent_Done,
     /* 1591597 */   // Label 22027: @1591597
     /* 1591597 */   GIM_Try, /*On fail goto*//*Label 22028*/ GIMT_Encode4(1591683), // Rule ID 2879 //
     /* 1591602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1591613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1591616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1591619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1591622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591648 */     // MIs[0] policy
     /* 1591648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591658 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1591661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591682 */     // GIR_Coverage, 2879,
     /* 1591682 */     GIR_EraseRootFromParent_Done,
     /* 1591683 */   // Label 22028: @1591683
     /* 1591683 */   GIM_Try, /*On fail goto*//*Label 22029*/ GIMT_Encode4(1591769), // Rule ID 2886 //
     /* 1591688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1591699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1591702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1591705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1591708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1591711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591734 */     // MIs[0] policy
     /* 1591734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591744 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1591747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591768 */     // GIR_Coverage, 2886,
     /* 1591768 */     GIR_EraseRootFromParent_Done,
     /* 1591769 */   // Label 22029: @1591769
     /* 1591769 */   GIM_Try, /*On fail goto*//*Label 22030*/ GIMT_Encode4(1591855), // Rule ID 2887 //
     /* 1591774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1591785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1591788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1591791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1591794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1591797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591820 */     // MIs[0] policy
     /* 1591820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591830 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1591833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591854 */     // GIR_Coverage, 2887,
     /* 1591854 */     GIR_EraseRootFromParent_Done,
     /* 1591855 */   // Label 22030: @1591855
     /* 1591855 */   GIM_Try, /*On fail goto*//*Label 22031*/ GIMT_Encode4(1591941), // Rule ID 2894 //
     /* 1591860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1591871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1591874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1591877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1591880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1591883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591906 */     // MIs[0] policy
     /* 1591906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591916 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1591919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1591925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1591927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591940 */     // GIR_Coverage, 2894,
     /* 1591940 */     GIR_EraseRootFromParent_Done,
     /* 1591941 */   // Label 22031: @1591941
     /* 1591941 */   GIM_Try, /*On fail goto*//*Label 22032*/ GIMT_Encode4(1592027), // Rule ID 2895 //
     /* 1591946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1591954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1591957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1591960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1591963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1591966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1591969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591992 */     // MIs[0] policy
     /* 1591992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592002 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1592005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592026 */     // GIR_Coverage, 2895,
     /* 1592026 */     GIR_EraseRootFromParent_Done,
     /* 1592027 */   // Label 22032: @1592027
     /* 1592027 */   GIM_Try, /*On fail goto*//*Label 22033*/ GIMT_Encode4(1592113), // Rule ID 2902 //
     /* 1592032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1592043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1592046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1592049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1592052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592078 */     // MIs[0] policy
     /* 1592078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592088 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1592091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592112 */     // GIR_Coverage, 2902,
     /* 1592112 */     GIR_EraseRootFromParent_Done,
     /* 1592113 */   // Label 22033: @1592113
     /* 1592113 */   GIM_Try, /*On fail goto*//*Label 22034*/ GIMT_Encode4(1592199), // Rule ID 2903 //
     /* 1592118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1592129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1592132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1592135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1592138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592164 */     // MIs[0] policy
     /* 1592164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1592177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592198 */     // GIR_Coverage, 2903,
     /* 1592198 */     GIR_EraseRootFromParent_Done,
     /* 1592199 */   // Label 22034: @1592199
     /* 1592199 */   GIM_Try, /*On fail goto*//*Label 22035*/ GIMT_Encode4(1592285), // Rule ID 2910 //
     /* 1592204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1592215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1592218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1592221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1592224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592250 */     // MIs[0] policy
     /* 1592250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592260 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1592263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592284 */     // GIR_Coverage, 2910,
     /* 1592284 */     GIR_EraseRootFromParent_Done,
     /* 1592285 */   // Label 22035: @1592285
     /* 1592285 */   GIM_Try, /*On fail goto*//*Label 22036*/ GIMT_Encode4(1592371), // Rule ID 2911 //
     /* 1592290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1592301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1592304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1592307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1592310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592336 */     // MIs[0] policy
     /* 1592336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592346 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1592349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592370 */     // GIR_Coverage, 2911,
     /* 1592370 */     GIR_EraseRootFromParent_Done,
     /* 1592371 */   // Label 22036: @1592371
     /* 1592371 */   GIM_Try, /*On fail goto*//*Label 22037*/ GIMT_Encode4(1592457), // Rule ID 2918 //
     /* 1592376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1592387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1592390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1592393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1592396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592422 */     // MIs[0] policy
     /* 1592422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592432 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1592435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592456 */     // GIR_Coverage, 2918,
     /* 1592456 */     GIR_EraseRootFromParent_Done,
     /* 1592457 */   // Label 22037: @1592457
     /* 1592457 */   GIM_Try, /*On fail goto*//*Label 22038*/ GIMT_Encode4(1592543), // Rule ID 2919 //
     /* 1592462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1592473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1592476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1592479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1592482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592508 */     // MIs[0] policy
     /* 1592508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592518 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1592521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592542 */     // GIR_Coverage, 2919,
     /* 1592542 */     GIR_EraseRootFromParent_Done,
     /* 1592543 */   // Label 22038: @1592543
     /* 1592543 */   GIM_Try, /*On fail goto*//*Label 22039*/ GIMT_Encode4(1592629), // Rule ID 2926 //
     /* 1592548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1592559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1592562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1592565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1592568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592594 */     // MIs[0] policy
     /* 1592594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592604 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1592607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592628 */     // GIR_Coverage, 2926,
     /* 1592628 */     GIR_EraseRootFromParent_Done,
     /* 1592629 */   // Label 22039: @1592629
     /* 1592629 */   GIM_Try, /*On fail goto*//*Label 22040*/ GIMT_Encode4(1592715), // Rule ID 2927 //
     /* 1592634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1592645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1592648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1592651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1592654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592680 */     // MIs[0] policy
     /* 1592680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592690 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1592693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592714 */     // GIR_Coverage, 2927,
     /* 1592714 */     GIR_EraseRootFromParent_Done,
     /* 1592715 */   // Label 22040: @1592715
     /* 1592715 */   GIM_Try, /*On fail goto*//*Label 22041*/ GIMT_Encode4(1592801), // Rule ID 2934 //
     /* 1592720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1592731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1592734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1592737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1592740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592766 */     // MIs[0] policy
     /* 1592766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592776 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1592779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592800 */     // GIR_Coverage, 2934,
     /* 1592800 */     GIR_EraseRootFromParent_Done,
     /* 1592801 */   // Label 22041: @1592801
     /* 1592801 */   GIM_Try, /*On fail goto*//*Label 22042*/ GIMT_Encode4(1592887), // Rule ID 2935 //
     /* 1592806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1592817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1592820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1592823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1592826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592852 */     // MIs[0] policy
     /* 1592852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592862 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1592865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592886 */     // GIR_Coverage, 2935,
     /* 1592886 */     GIR_EraseRootFromParent_Done,
     /* 1592887 */   // Label 22042: @1592887
     /* 1592887 */   GIM_Try, /*On fail goto*//*Label 22043*/ GIMT_Encode4(1592973), // Rule ID 2942 //
     /* 1592892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1592903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1592906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1592909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1592912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592938 */     // MIs[0] policy
     /* 1592938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592948 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1592951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1592957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1592959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592972 */     // GIR_Coverage, 2942,
     /* 1592972 */     GIR_EraseRootFromParent_Done,
     /* 1592973 */   // Label 22043: @1592973
     /* 1592973 */   GIM_Try, /*On fail goto*//*Label 22044*/ GIMT_Encode4(1593059), // Rule ID 2943 //
     /* 1592978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1592986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1592989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1592992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1592995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1592998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593024 */     // MIs[0] policy
     /* 1593024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593034 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1593037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1593043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1593045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593058 */     // GIR_Coverage, 2943,
     /* 1593058 */     GIR_EraseRootFromParent_Done,
     /* 1593059 */   // Label 22044: @1593059
     /* 1593059 */   GIM_Try, /*On fail goto*//*Label 22045*/ GIMT_Encode4(1593145), // Rule ID 2950 //
     /* 1593064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1593072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1593075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1593078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1593081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1593084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593110 */     // MIs[0] policy
     /* 1593110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593120 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1593123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1593129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1593131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593144 */     // GIR_Coverage, 2950,
     /* 1593144 */     GIR_EraseRootFromParent_Done,
     /* 1593145 */   // Label 22045: @1593145
     /* 1593145 */   GIM_Try, /*On fail goto*//*Label 22046*/ GIMT_Encode4(1593231), // Rule ID 2951 //
     /* 1593150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1593158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1593161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1593164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1593167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1593170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593196 */     // MIs[0] policy
     /* 1593196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593206 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1593209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1593215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1593217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593230 */     // GIR_Coverage, 2951,
     /* 1593230 */     GIR_EraseRootFromParent_Done,
     /* 1593231 */   // Label 22046: @1593231
     /* 1593231 */   GIM_Try, /*On fail goto*//*Label 22047*/ GIMT_Encode4(1593317), // Rule ID 2958 //
     /* 1593236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1593244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1593253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1593256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593282 */     // MIs[0] policy
     /* 1593282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593292 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1593295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1593301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1593303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593316 */     // GIR_Coverage, 2958,
     /* 1593316 */     GIR_EraseRootFromParent_Done,
     /* 1593317 */   // Label 22047: @1593317
     /* 1593317 */   GIM_Try, /*On fail goto*//*Label 22048*/ GIMT_Encode4(1593403), // Rule ID 2959 //
     /* 1593322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1593330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1593339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1593342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593368 */     // MIs[0] policy
     /* 1593368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593378 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1593381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1593387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1593389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593402 */     // GIR_Coverage, 2959,
     /* 1593402 */     GIR_EraseRootFromParent_Done,
     /* 1593403 */   // Label 22048: @1593403
     /* 1593403 */   GIM_Try, /*On fail goto*//*Label 22049*/ GIMT_Encode4(1593489), // Rule ID 2966 //
     /* 1593408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1593416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1593419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1593422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1593425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1593428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593454 */     // MIs[0] policy
     /* 1593454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593464 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1593467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1593473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1593475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593488 */     // GIR_Coverage, 2966,
     /* 1593488 */     GIR_EraseRootFromParent_Done,
     /* 1593489 */   // Label 22049: @1593489
     /* 1593489 */   GIM_Try, /*On fail goto*//*Label 22050*/ GIMT_Encode4(1593575), // Rule ID 2967 //
     /* 1593494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1593502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1593505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1593508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1593511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1593514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593540 */     // MIs[0] policy
     /* 1593540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593550 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1593553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1593559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1593561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593574 */     // GIR_Coverage, 2967,
     /* 1593574 */     GIR_EraseRootFromParent_Done,
     /* 1593575 */   // Label 22050: @1593575
     /* 1593575 */   GIM_Try, /*On fail goto*//*Label 22051*/ GIMT_Encode4(1593661), // Rule ID 2982 //
     /* 1593580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1593591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1593594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1593597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1593600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593626 */     // MIs[0] policy
     /* 1593626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593636 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1593639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593660 */     // GIR_Coverage, 2982,
     /* 1593660 */     GIR_EraseRootFromParent_Done,
     /* 1593661 */   // Label 22051: @1593661
     /* 1593661 */   GIM_Try, /*On fail goto*//*Label 22052*/ GIMT_Encode4(1593747), // Rule ID 2983 //
     /* 1593666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1593677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1593680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1593683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1593686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593712 */     // MIs[0] policy
     /* 1593712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593722 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1593725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593746 */     // GIR_Coverage, 2983,
     /* 1593746 */     GIR_EraseRootFromParent_Done,
     /* 1593747 */   // Label 22052: @1593747
     /* 1593747 */   GIM_Try, /*On fail goto*//*Label 22053*/ GIMT_Encode4(1593833), // Rule ID 2986 //
     /* 1593752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1593763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1593766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1593769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1593772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593798 */     // MIs[0] policy
     /* 1593798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593808 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1593811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593832 */     // GIR_Coverage, 2986,
     /* 1593832 */     GIR_EraseRootFromParent_Done,
     /* 1593833 */   // Label 22053: @1593833
     /* 1593833 */   GIM_Try, /*On fail goto*//*Label 22054*/ GIMT_Encode4(1593919), // Rule ID 2987 //
     /* 1593838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1593849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1593852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1593855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1593858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593884 */     // MIs[0] policy
     /* 1593884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593894 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1593897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593918 */     // GIR_Coverage, 2987,
     /* 1593918 */     GIR_EraseRootFromParent_Done,
     /* 1593919 */   // Label 22054: @1593919
     /* 1593919 */   GIM_Try, /*On fail goto*//*Label 22055*/ GIMT_Encode4(1594005), // Rule ID 2990 //
     /* 1593924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1593935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1593938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1593941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1593944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593970 */     // MIs[0] policy
     /* 1593970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593980 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1593983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594004 */     // GIR_Coverage, 2990,
     /* 1594004 */     GIR_EraseRootFromParent_Done,
     /* 1594005 */   // Label 22055: @1594005
     /* 1594005 */   GIM_Try, /*On fail goto*//*Label 22056*/ GIMT_Encode4(1594091), // Rule ID 2991 //
     /* 1594010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1594021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1594024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1594027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1594030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594056 */     // MIs[0] policy
     /* 1594056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594066 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1594069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594090 */     // GIR_Coverage, 2991,
     /* 1594090 */     GIR_EraseRootFromParent_Done,
     /* 1594091 */   // Label 22056: @1594091
     /* 1594091 */   GIM_Try, /*On fail goto*//*Label 22057*/ GIMT_Encode4(1594177), // Rule ID 2994 //
     /* 1594096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1594107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1594110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1594113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1594116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594142 */     // MIs[0] policy
     /* 1594142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1594155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594176 */     // GIR_Coverage, 2994,
     /* 1594176 */     GIR_EraseRootFromParent_Done,
     /* 1594177 */   // Label 22057: @1594177
     /* 1594177 */   GIM_Try, /*On fail goto*//*Label 22058*/ GIMT_Encode4(1594263), // Rule ID 2995 //
     /* 1594182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1594193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1594196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1594199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1594202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594228 */     // MIs[0] policy
     /* 1594228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594238 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1594241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594262 */     // GIR_Coverage, 2995,
     /* 1594262 */     GIR_EraseRootFromParent_Done,
     /* 1594263 */   // Label 22058: @1594263
     /* 1594263 */   GIM_Try, /*On fail goto*//*Label 22059*/ GIMT_Encode4(1594349), // Rule ID 2998 //
     /* 1594268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1594279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1594282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1594285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1594288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594314 */     // MIs[0] policy
     /* 1594314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1594327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594348 */     // GIR_Coverage, 2998,
     /* 1594348 */     GIR_EraseRootFromParent_Done,
     /* 1594349 */   // Label 22059: @1594349
     /* 1594349 */   GIM_Try, /*On fail goto*//*Label 22060*/ GIMT_Encode4(1594435), // Rule ID 2999 //
     /* 1594354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1594365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1594368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1594371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1594374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594400 */     // MIs[0] policy
     /* 1594400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594410 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1594413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594434 */     // GIR_Coverage, 2999,
     /* 1594434 */     GIR_EraseRootFromParent_Done,
     /* 1594435 */   // Label 22060: @1594435
     /* 1594435 */   GIM_Try, /*On fail goto*//*Label 22061*/ GIMT_Encode4(1594521), // Rule ID 3002 //
     /* 1594440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1594451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1594454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1594457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1594460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594486 */     // MIs[0] policy
     /* 1594486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594520 */     // GIR_Coverage, 3002,
     /* 1594520 */     GIR_EraseRootFromParent_Done,
     /* 1594521 */   // Label 22061: @1594521
     /* 1594521 */   GIM_Try, /*On fail goto*//*Label 22062*/ GIMT_Encode4(1594607), // Rule ID 3003 //
     /* 1594526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1594537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1594540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1594543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1594546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594572 */     // MIs[0] policy
     /* 1594572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594582 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594606 */     // GIR_Coverage, 3003,
     /* 1594606 */     GIR_EraseRootFromParent_Done,
     /* 1594607 */   // Label 22062: @1594607
     /* 1594607 */   GIM_Try, /*On fail goto*//*Label 22063*/ GIMT_Encode4(1594693), // Rule ID 3006 //
     /* 1594612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1594623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1594626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1594629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1594632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594658 */     // MIs[0] policy
     /* 1594658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594692 */     // GIR_Coverage, 3006,
     /* 1594692 */     GIR_EraseRootFromParent_Done,
     /* 1594693 */   // Label 22063: @1594693
     /* 1594693 */   GIM_Try, /*On fail goto*//*Label 22064*/ GIMT_Encode4(1594779), // Rule ID 3007 //
     /* 1594698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1594709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1594712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1594715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1594718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594744 */     // MIs[0] policy
     /* 1594744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594754 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594778 */     // GIR_Coverage, 3007,
     /* 1594778 */     GIR_EraseRootFromParent_Done,
     /* 1594779 */   // Label 22064: @1594779
     /* 1594779 */   GIM_Try, /*On fail goto*//*Label 22065*/ GIMT_Encode4(1594865), // Rule ID 3010 //
     /* 1594784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1594795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1594798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1594801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1594804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594830 */     // MIs[0] policy
     /* 1594830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594864 */     // GIR_Coverage, 3010,
     /* 1594864 */     GIR_EraseRootFromParent_Done,
     /* 1594865 */   // Label 22065: @1594865
     /* 1594865 */   GIM_Try, /*On fail goto*//*Label 22066*/ GIMT_Encode4(1594951), // Rule ID 3011 //
     /* 1594870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1594881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1594884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1594887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1594890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594916 */     // MIs[0] policy
     /* 1594916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594926 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1594929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594950 */     // GIR_Coverage, 3011,
     /* 1594950 */     GIR_EraseRootFromParent_Done,
     /* 1594951 */   // Label 22066: @1594951
     /* 1594951 */   GIM_Try, /*On fail goto*//*Label 22067*/ GIMT_Encode4(1595037), // Rule ID 3014 //
     /* 1594956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1594959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1594967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1594970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1594973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1594976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595002 */     // MIs[0] policy
     /* 1595002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1595015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595036 */     // GIR_Coverage, 3014,
     /* 1595036 */     GIR_EraseRootFromParent_Done,
     /* 1595037 */   // Label 22067: @1595037
     /* 1595037 */   GIM_Try, /*On fail goto*//*Label 22068*/ GIMT_Encode4(1595123), // Rule ID 3015 //
     /* 1595042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1595045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1595053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1595056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1595059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1595062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595088 */     // MIs[0] policy
     /* 1595088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1595101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595122 */     // GIR_Coverage, 3015,
     /* 1595122 */     GIR_EraseRootFromParent_Done,
     /* 1595123 */   // Label 22068: @1595123
     /* 1595123 */   GIM_Try, /*On fail goto*//*Label 22069*/ GIMT_Encode4(1595209), // Rule ID 3018 //
     /* 1595128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1595139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1595142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1595145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1595148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595174 */     // MIs[0] policy
     /* 1595174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595184 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1595187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595208 */     // GIR_Coverage, 3018,
     /* 1595208 */     GIR_EraseRootFromParent_Done,
     /* 1595209 */   // Label 22069: @1595209
     /* 1595209 */   GIM_Try, /*On fail goto*//*Label 22070*/ GIMT_Encode4(1595295), // Rule ID 3019 //
     /* 1595214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1595225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1595228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1595231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1595234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595260 */     // MIs[0] policy
     /* 1595260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595270 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1595273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595294 */     // GIR_Coverage, 3019,
     /* 1595294 */     GIR_EraseRootFromParent_Done,
     /* 1595295 */   // Label 22070: @1595295
     /* 1595295 */   GIM_Try, /*On fail goto*//*Label 22071*/ GIMT_Encode4(1595381), // Rule ID 3022 //
     /* 1595300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1595311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1595314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1595317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1595320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1595323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595346 */     // MIs[0] policy
     /* 1595346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595356 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1595359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595380 */     // GIR_Coverage, 3022,
     /* 1595380 */     GIR_EraseRootFromParent_Done,
     /* 1595381 */   // Label 22071: @1595381
     /* 1595381 */   GIM_Try, /*On fail goto*//*Label 22072*/ GIMT_Encode4(1595467), // Rule ID 3023 //
     /* 1595386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1595397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1595400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1595403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1595406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1595409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595432 */     // MIs[0] policy
     /* 1595432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595442 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1595445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595466 */     // GIR_Coverage, 3023,
     /* 1595466 */     GIR_EraseRootFromParent_Done,
     /* 1595467 */   // Label 22072: @1595467
     /* 1595467 */   GIM_Try, /*On fail goto*//*Label 22073*/ GIMT_Encode4(1595553), // Rule ID 3026 //
     /* 1595472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1595483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1595486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1595489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1595492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1595495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595518 */     // MIs[0] policy
     /* 1595518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595528 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1595531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595552 */     // GIR_Coverage, 3026,
     /* 1595552 */     GIR_EraseRootFromParent_Done,
     /* 1595553 */   // Label 22073: @1595553
     /* 1595553 */   GIM_Try, /*On fail goto*//*Label 22074*/ GIMT_Encode4(1595639), // Rule ID 3027 //
     /* 1595558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1595569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1595572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1595575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1595578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1595581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595604 */     // MIs[0] policy
     /* 1595604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595614 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1595617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595638 */     // GIR_Coverage, 3027,
     /* 1595638 */     GIR_EraseRootFromParent_Done,
     /* 1595639 */   // Label 22074: @1595639
     /* 1595639 */   GIM_Try, /*On fail goto*//*Label 22075*/ GIMT_Encode4(1595725), // Rule ID 3030 //
     /* 1595644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1595655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1595658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1595661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1595664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595690 */     // MIs[0] policy
     /* 1595690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1595703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595724 */     // GIR_Coverage, 3030,
     /* 1595724 */     GIR_EraseRootFromParent_Done,
     /* 1595725 */   // Label 22075: @1595725
     /* 1595725 */   GIM_Try, /*On fail goto*//*Label 22076*/ GIMT_Encode4(1595811), // Rule ID 3031 //
     /* 1595730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1595741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1595744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1595747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1595750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595776 */     // MIs[0] policy
     /* 1595776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1595789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595810 */     // GIR_Coverage, 3031,
     /* 1595810 */     GIR_EraseRootFromParent_Done,
     /* 1595811 */   // Label 22076: @1595811
     /* 1595811 */   GIM_Try, /*On fail goto*//*Label 22077*/ GIMT_Encode4(1595897), // Rule ID 3034 //
     /* 1595816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1595827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1595830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1595833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1595836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595862 */     // MIs[0] policy
     /* 1595862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1595875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595896 */     // GIR_Coverage, 3034,
     /* 1595896 */     GIR_EraseRootFromParent_Done,
     /* 1595897 */   // Label 22077: @1595897
     /* 1595897 */   GIM_Try, /*On fail goto*//*Label 22078*/ GIMT_Encode4(1595983), // Rule ID 3035 //
     /* 1595902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1595913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1595916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1595919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1595922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595948 */     // MIs[0] policy
     /* 1595948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595958 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1595961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595982 */     // GIR_Coverage, 3035,
     /* 1595982 */     GIR_EraseRootFromParent_Done,
     /* 1595983 */   // Label 22078: @1595983
     /* 1595983 */   GIM_Try, /*On fail goto*//*Label 22079*/ GIMT_Encode4(1596069), // Rule ID 3038 //
     /* 1595988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1595999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1596002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1596005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1596008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596034 */     // MIs[0] policy
     /* 1596034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596044 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1596047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596068 */     // GIR_Coverage, 3038,
     /* 1596068 */     GIR_EraseRootFromParent_Done,
     /* 1596069 */   // Label 22079: @1596069
     /* 1596069 */   GIM_Try, /*On fail goto*//*Label 22080*/ GIMT_Encode4(1596155), // Rule ID 3039 //
     /* 1596074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1596085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1596088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1596091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1596094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596120 */     // MIs[0] policy
     /* 1596120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596130 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1596133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596154 */     // GIR_Coverage, 3039,
     /* 1596154 */     GIR_EraseRootFromParent_Done,
     /* 1596155 */   // Label 22080: @1596155
     /* 1596155 */   GIM_Try, /*On fail goto*//*Label 22081*/ GIMT_Encode4(1596241), // Rule ID 3042 //
     /* 1596160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1596171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1596174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1596177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1596180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596206 */     // MIs[0] policy
     /* 1596206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596216 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1596219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596240 */     // GIR_Coverage, 3042,
     /* 1596240 */     GIR_EraseRootFromParent_Done,
     /* 1596241 */   // Label 22081: @1596241
     /* 1596241 */   GIM_Try, /*On fail goto*//*Label 22082*/ GIMT_Encode4(1596327), // Rule ID 3043 //
     /* 1596246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1596257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1596260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1596263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1596266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596292 */     // MIs[0] policy
     /* 1596292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1596305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596326 */     // GIR_Coverage, 3043,
     /* 1596326 */     GIR_EraseRootFromParent_Done,
     /* 1596327 */   // Label 22082: @1596327
     /* 1596327 */   GIM_Try, /*On fail goto*//*Label 22083*/ GIMT_Encode4(1596413), // Rule ID 3046 //
     /* 1596332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1596343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1596346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1596349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1596352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596378 */     // MIs[0] policy
     /* 1596378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596388 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1596391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596412 */     // GIR_Coverage, 3046,
     /* 1596412 */     GIR_EraseRootFromParent_Done,
     /* 1596413 */   // Label 22083: @1596413
     /* 1596413 */   GIM_Try, /*On fail goto*//*Label 22084*/ GIMT_Encode4(1596499), // Rule ID 3047 //
     /* 1596418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1596429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1596432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1596435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1596438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596464 */     // MIs[0] policy
     /* 1596464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1596477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596498 */     // GIR_Coverage, 3047,
     /* 1596498 */     GIR_EraseRootFromParent_Done,
     /* 1596499 */   // Label 22084: @1596499
     /* 1596499 */   GIM_Try, /*On fail goto*//*Label 22085*/ GIMT_Encode4(1596585), // Rule ID 3050 //
     /* 1596504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1596515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1596518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1596521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1596524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596550 */     // MIs[0] policy
     /* 1596550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596560 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1596563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596584 */     // GIR_Coverage, 3050,
     /* 1596584 */     GIR_EraseRootFromParent_Done,
     /* 1596585 */   // Label 22085: @1596585
     /* 1596585 */   GIM_Try, /*On fail goto*//*Label 22086*/ GIMT_Encode4(1596671), // Rule ID 3051 //
     /* 1596590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1596601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1596604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1596607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1596610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596636 */     // MIs[0] policy
     /* 1596636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596646 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1596649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596670 */     // GIR_Coverage, 3051,
     /* 1596670 */     GIR_EraseRootFromParent_Done,
     /* 1596671 */   // Label 22086: @1596671
     /* 1596671 */   GIM_Try, /*On fail goto*//*Label 22087*/ GIMT_Encode4(1596757), // Rule ID 3054 //
     /* 1596676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1596679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1596687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1596690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1596693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1596696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596722 */     // MIs[0] policy
     /* 1596722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596732 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1596735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596756 */     // GIR_Coverage, 3054,
     /* 1596756 */     GIR_EraseRootFromParent_Done,
     /* 1596757 */   // Label 22087: @1596757
     /* 1596757 */   GIM_Try, /*On fail goto*//*Label 22088*/ GIMT_Encode4(1596843), // Rule ID 3055 //
     /* 1596762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1596765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1596773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1596776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1596779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1596782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596808 */     // MIs[0] policy
     /* 1596808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596818 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1596821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596842 */     // GIR_Coverage, 3055,
     /* 1596842 */     GIR_EraseRootFromParent_Done,
     /* 1596843 */   // Label 22088: @1596843
     /* 1596843 */   GIM_Try, /*On fail goto*//*Label 22089*/ GIMT_Encode4(1596929), // Rule ID 3058 //
     /* 1596848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1596851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1596859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1596862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1596865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1596868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596894 */     // MIs[0] policy
     /* 1596894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596904 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1596907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596928 */     // GIR_Coverage, 3058,
     /* 1596928 */     GIR_EraseRootFromParent_Done,
     /* 1596929 */   // Label 22089: @1596929
     /* 1596929 */   GIM_Try, /*On fail goto*//*Label 22090*/ GIMT_Encode4(1597015), // Rule ID 3059 //
     /* 1596934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1596937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1596945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1596948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1596951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1596954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596980 */     // MIs[0] policy
     /* 1596980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596990 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1596993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597014 */     // GIR_Coverage, 3059,
     /* 1597014 */     GIR_EraseRootFromParent_Done,
     /* 1597015 */   // Label 22090: @1597015
     /* 1597015 */   GIM_Try, /*On fail goto*//*Label 22091*/ GIMT_Encode4(1597101), // Rule ID 3062 //
     /* 1597020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1597031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1597034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1597037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1597040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597066 */     // MIs[0] policy
     /* 1597066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1597079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597100 */     // GIR_Coverage, 3062,
     /* 1597100 */     GIR_EraseRootFromParent_Done,
     /* 1597101 */   // Label 22091: @1597101
     /* 1597101 */   GIM_Try, /*On fail goto*//*Label 22092*/ GIMT_Encode4(1597187), // Rule ID 3063 //
     /* 1597106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1597117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1597120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1597123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1597126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597152 */     // MIs[0] policy
     /* 1597152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597162 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1597165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597186 */     // GIR_Coverage, 3063,
     /* 1597186 */     GIR_EraseRootFromParent_Done,
     /* 1597187 */   // Label 22092: @1597187
     /* 1597187 */   GIM_Try, /*On fail goto*//*Label 22093*/ GIMT_Encode4(1597273), // Rule ID 3066 //
     /* 1597192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1597203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1597206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1597209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597238 */     // MIs[0] policy
     /* 1597238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597248 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1597251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597272 */     // GIR_Coverage, 3066,
     /* 1597272 */     GIR_EraseRootFromParent_Done,
     /* 1597273 */   // Label 22093: @1597273
     /* 1597273 */   GIM_Try, /*On fail goto*//*Label 22094*/ GIMT_Encode4(1597359), // Rule ID 3067 //
     /* 1597278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1597289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1597292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1597295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597324 */     // MIs[0] policy
     /* 1597324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597334 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1597337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597358 */     // GIR_Coverage, 3067,
     /* 1597358 */     GIR_EraseRootFromParent_Done,
     /* 1597359 */   // Label 22094: @1597359
     /* 1597359 */   GIM_Try, /*On fail goto*//*Label 22095*/ GIMT_Encode4(1597445), // Rule ID 3070 //
     /* 1597364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1597375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1597378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1597381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597410 */     // MIs[0] policy
     /* 1597410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597420 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1597423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597444 */     // GIR_Coverage, 3070,
     /* 1597444 */     GIR_EraseRootFromParent_Done,
     /* 1597445 */   // Label 22095: @1597445
     /* 1597445 */   GIM_Try, /*On fail goto*//*Label 22096*/ GIMT_Encode4(1597531), // Rule ID 3071 //
     /* 1597450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1597461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1597464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1597467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597496 */     // MIs[0] policy
     /* 1597496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597506 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1597509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597530 */     // GIR_Coverage, 3071,
     /* 1597530 */     GIR_EraseRootFromParent_Done,
     /* 1597531 */   // Label 22096: @1597531
     /* 1597531 */   GIM_Try, /*On fail goto*//*Label 22097*/ GIMT_Encode4(1597617), // Rule ID 3074 //
     /* 1597536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1597547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1597550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1597553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597582 */     // MIs[0] policy
     /* 1597582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597592 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1597595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597616 */     // GIR_Coverage, 3074,
     /* 1597616 */     GIR_EraseRootFromParent_Done,
     /* 1597617 */   // Label 22097: @1597617
     /* 1597617 */   GIM_Try, /*On fail goto*//*Label 22098*/ GIMT_Encode4(1597703), // Rule ID 3075 //
     /* 1597622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1597633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1597636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1597639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597668 */     // MIs[0] policy
     /* 1597668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597678 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1597681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597702 */     // GIR_Coverage, 3075,
     /* 1597702 */     GIR_EraseRootFromParent_Done,
     /* 1597703 */   // Label 22098: @1597703
     /* 1597703 */   GIM_Try, /*On fail goto*//*Label 22099*/ GIMT_Encode4(1597789), // Rule ID 3078 //
     /* 1597708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1597719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1597722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1597725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597754 */     // MIs[0] policy
     /* 1597754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597764 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1597767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597788 */     // GIR_Coverage, 3078,
     /* 1597788 */     GIR_EraseRootFromParent_Done,
     /* 1597789 */   // Label 22099: @1597789
     /* 1597789 */   GIM_Try, /*On fail goto*//*Label 22100*/ GIMT_Encode4(1597875), // Rule ID 3079 //
     /* 1597794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1597805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1597808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1597811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597840 */     // MIs[0] policy
     /* 1597840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597850 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1597853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597874 */     // GIR_Coverage, 3079,
     /* 1597874 */     GIR_EraseRootFromParent_Done,
     /* 1597875 */   // Label 22100: @1597875
     /* 1597875 */   GIM_Try, /*On fail goto*//*Label 22101*/ GIMT_Encode4(1597961), // Rule ID 3082 //
     /* 1597880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1597891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1597894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1597897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597926 */     // MIs[0] policy
     /* 1597926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597936 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1597939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597960 */     // GIR_Coverage, 3082,
     /* 1597960 */     GIR_EraseRootFromParent_Done,
     /* 1597961 */   // Label 22101: @1597961
     /* 1597961 */   GIM_Try, /*On fail goto*//*Label 22102*/ GIMT_Encode4(1598047), // Rule ID 3083 //
     /* 1597966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1597977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1597980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1597983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598012 */     // MIs[0] policy
     /* 1598012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598022 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1598025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598046 */     // GIR_Coverage, 3083,
     /* 1598046 */     GIR_EraseRootFromParent_Done,
     /* 1598047 */   // Label 22102: @1598047
     /* 1598047 */   GIM_Try, /*On fail goto*//*Label 22103*/ GIMT_Encode4(1598133), // Rule ID 3086 //
     /* 1598052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1598069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598098 */     // MIs[0] policy
     /* 1598098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598108 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1598111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598132 */     // GIR_Coverage, 3086,
     /* 1598132 */     GIR_EraseRootFromParent_Done,
     /* 1598133 */   // Label 22103: @1598133
     /* 1598133 */   GIM_Try, /*On fail goto*//*Label 22104*/ GIMT_Encode4(1598219), // Rule ID 3087 //
     /* 1598138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1598155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598184 */     // MIs[0] policy
     /* 1598184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598194 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1598197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598218 */     // GIR_Coverage, 3087,
     /* 1598218 */     GIR_EraseRootFromParent_Done,
     /* 1598219 */   // Label 22104: @1598219
     /* 1598219 */   GIM_Try, /*On fail goto*//*Label 22105*/ GIMT_Encode4(1598305), // Rule ID 3090 //
     /* 1598224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1598235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1598238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1598241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598270 */     // MIs[0] policy
     /* 1598270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1598283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598304 */     // GIR_Coverage, 3090,
     /* 1598304 */     GIR_EraseRootFromParent_Done,
     /* 1598305 */   // Label 22105: @1598305
     /* 1598305 */   GIM_Try, /*On fail goto*//*Label 22106*/ GIMT_Encode4(1598391), // Rule ID 3091 //
     /* 1598310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1598321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1598324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1598327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598356 */     // MIs[0] policy
     /* 1598356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598366 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1598369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598390 */     // GIR_Coverage, 3091,
     /* 1598390 */     GIR_EraseRootFromParent_Done,
     /* 1598391 */   // Label 22106: @1598391
     /* 1598391 */   GIM_Try, /*On fail goto*//*Label 22107*/ GIMT_Encode4(1598477), // Rule ID 3094 //
     /* 1598396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1598407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1598410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1598413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598442 */     // MIs[0] policy
     /* 1598442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1598455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598476 */     // GIR_Coverage, 3094,
     /* 1598476 */     GIR_EraseRootFromParent_Done,
     /* 1598477 */   // Label 22107: @1598477
     /* 1598477 */   GIM_Try, /*On fail goto*//*Label 22108*/ GIMT_Encode4(1598563), // Rule ID 3095 //
     /* 1598482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1598493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1598496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1598499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598528 */     // MIs[0] policy
     /* 1598528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598538 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1598541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598562 */     // GIR_Coverage, 3095,
     /* 1598562 */     GIR_EraseRootFromParent_Done,
     /* 1598563 */   // Label 22108: @1598563
     /* 1598563 */   GIM_Try, /*On fail goto*//*Label 22109*/ GIMT_Encode4(1598649), // Rule ID 3098 //
     /* 1598568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1598579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1598582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1598585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598614 */     // MIs[0] policy
     /* 1598614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1598627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598648 */     // GIR_Coverage, 3098,
     /* 1598648 */     GIR_EraseRootFromParent_Done,
     /* 1598649 */   // Label 22109: @1598649
     /* 1598649 */   GIM_Try, /*On fail goto*//*Label 22110*/ GIMT_Encode4(1598735), // Rule ID 3099 //
     /* 1598654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1598665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1598668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1598671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598700 */     // MIs[0] policy
     /* 1598700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598710 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1598713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598734 */     // GIR_Coverage, 3099,
     /* 1598734 */     GIR_EraseRootFromParent_Done,
     /* 1598735 */   // Label 22110: @1598735
     /* 1598735 */   GIM_Try, /*On fail goto*//*Label 22111*/ GIMT_Encode4(1598821), // Rule ID 3102 //
     /* 1598740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1598743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1598751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1598754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1598757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598786 */     // MIs[0] policy
     /* 1598786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598796 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1598799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598820 */     // GIR_Coverage, 3102,
     /* 1598820 */     GIR_EraseRootFromParent_Done,
     /* 1598821 */   // Label 22111: @1598821
     /* 1598821 */   GIM_Try, /*On fail goto*//*Label 22112*/ GIMT_Encode4(1598907), // Rule ID 3103 //
     /* 1598826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1598829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1598837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1598840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1598843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598872 */     // MIs[0] policy
     /* 1598872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598882 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1598885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598906 */     // GIR_Coverage, 3103,
     /* 1598906 */     GIR_EraseRootFromParent_Done,
     /* 1598907 */   // Label 22112: @1598907
     /* 1598907 */   GIM_Try, /*On fail goto*//*Label 22113*/ GIMT_Encode4(1598993), // Rule ID 3106 //
     /* 1598912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1598923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1598926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1598929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1598935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598958 */     // MIs[0] policy
     /* 1598958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598968 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1598971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598992 */     // GIR_Coverage, 3106,
     /* 1598992 */     GIR_EraseRootFromParent_Done,
     /* 1598993 */   // Label 22113: @1598993
     /* 1598993 */   GIM_Try, /*On fail goto*//*Label 22114*/ GIMT_Encode4(1599079), // Rule ID 3107 //
     /* 1598998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1599009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1599012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1599015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599044 */     // MIs[0] policy
     /* 1599044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599054 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1599057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599078 */     // GIR_Coverage, 3107,
     /* 1599078 */     GIR_EraseRootFromParent_Done,
     /* 1599079 */   // Label 22114: @1599079
     /* 1599079 */   GIM_Try, /*On fail goto*//*Label 22115*/ GIMT_Encode4(1599165), // Rule ID 3110 //
     /* 1599084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1599095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1599098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1599101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599130 */     // MIs[0] policy
     /* 1599130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599140 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1599143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599164 */     // GIR_Coverage, 3110,
     /* 1599164 */     GIR_EraseRootFromParent_Done,
     /* 1599165 */   // Label 22115: @1599165
     /* 1599165 */   GIM_Try, /*On fail goto*//*Label 22116*/ GIMT_Encode4(1599251), // Rule ID 3111 //
     /* 1599170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1599181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1599184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1599187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599216 */     // MIs[0] policy
     /* 1599216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599226 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1599229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599250 */     // GIR_Coverage, 3111,
     /* 1599250 */     GIR_EraseRootFromParent_Done,
     /* 1599251 */   // Label 22116: @1599251
     /* 1599251 */   GIM_Try, /*On fail goto*//*Label 22117*/ GIMT_Encode4(1599337), // Rule ID 3114 //
     /* 1599256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1599267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1599270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1599273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1599279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599302 */     // MIs[0] policy
     /* 1599302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599312 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1599315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599336 */     // GIR_Coverage, 3114,
     /* 1599336 */     GIR_EraseRootFromParent_Done,
     /* 1599337 */   // Label 22117: @1599337
     /* 1599337 */   GIM_Try, /*On fail goto*//*Label 22118*/ GIMT_Encode4(1599423), // Rule ID 3115 //
     /* 1599342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1599353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1599356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1599359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1599365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599388 */     // MIs[0] policy
     /* 1599388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599398 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1599401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599422 */     // GIR_Coverage, 3115,
     /* 1599422 */     GIR_EraseRootFromParent_Done,
     /* 1599423 */   // Label 22118: @1599423
     /* 1599423 */   GIM_Try, /*On fail goto*//*Label 22119*/ GIMT_Encode4(1599509), // Rule ID 3118 //
     /* 1599428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1599439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1599442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1599445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599474 */     // MIs[0] policy
     /* 1599474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599484 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1599487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599508 */     // GIR_Coverage, 3118,
     /* 1599508 */     GIR_EraseRootFromParent_Done,
     /* 1599509 */   // Label 22119: @1599509
     /* 1599509 */   GIM_Try, /*On fail goto*//*Label 22120*/ GIMT_Encode4(1599595), // Rule ID 3119 //
     /* 1599514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1599525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1599528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1599531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599560 */     // MIs[0] policy
     /* 1599560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599570 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1599573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599594 */     // GIR_Coverage, 3119,
     /* 1599594 */     GIR_EraseRootFromParent_Done,
     /* 1599595 */   // Label 22120: @1599595
     /* 1599595 */   GIM_Try, /*On fail goto*//*Label 22121*/ GIMT_Encode4(1599681), // Rule ID 3122 //
     /* 1599600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1599611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1599614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1599617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599646 */     // MIs[0] policy
     /* 1599646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599656 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1599659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599680 */     // GIR_Coverage, 3122,
     /* 1599680 */     GIR_EraseRootFromParent_Done,
     /* 1599681 */   // Label 22121: @1599681
     /* 1599681 */   GIM_Try, /*On fail goto*//*Label 22122*/ GIMT_Encode4(1599767), // Rule ID 3123 //
     /* 1599686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1599697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1599700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1599703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599732 */     // MIs[0] policy
     /* 1599732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599742 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1599745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599766 */     // GIR_Coverage, 3123,
     /* 1599766 */     GIR_EraseRootFromParent_Done,
     /* 1599767 */   // Label 22122: @1599767
     /* 1599767 */   GIM_Try, /*On fail goto*//*Label 22123*/ GIMT_Encode4(1599853), // Rule ID 3126 //
     /* 1599772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1599783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1599786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1599789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599818 */     // MIs[0] policy
     /* 1599818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599828 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1599831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599852 */     // GIR_Coverage, 3126,
     /* 1599852 */     GIR_EraseRootFromParent_Done,
     /* 1599853 */   // Label 22123: @1599853
     /* 1599853 */   GIM_Try, /*On fail goto*//*Label 22124*/ GIMT_Encode4(1599939), // Rule ID 3127 //
     /* 1599858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1599869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1599872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1599875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599904 */     // MIs[0] policy
     /* 1599904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1599917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599938 */     // GIR_Coverage, 3127,
     /* 1599938 */     GIR_EraseRootFromParent_Done,
     /* 1599939 */   // Label 22124: @1599939
     /* 1599939 */   GIM_Try, /*On fail goto*//*Label 22125*/ GIMT_Encode4(1600025), // Rule ID 3130 //
     /* 1599944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1599955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1599958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1599961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599990 */     // MIs[0] policy
     /* 1599990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1600003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600024 */     // GIR_Coverage, 3130,
     /* 1600024 */     GIR_EraseRootFromParent_Done,
     /* 1600025 */   // Label 22125: @1600025
     /* 1600025 */   GIM_Try, /*On fail goto*//*Label 22126*/ GIMT_Encode4(1600111), // Rule ID 3131 //
     /* 1600030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1600041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1600044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1600047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600076 */     // MIs[0] policy
     /* 1600076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600086 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1600089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600110 */     // GIR_Coverage, 3131,
     /* 1600110 */     GIR_EraseRootFromParent_Done,
     /* 1600111 */   // Label 22126: @1600111
     /* 1600111 */   GIM_Try, /*On fail goto*//*Label 22127*/ GIMT_Encode4(1600197), // Rule ID 3134 //
     /* 1600116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1600127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1600130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1600133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600162 */     // MIs[0] policy
     /* 1600162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1600175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600196 */     // GIR_Coverage, 3134,
     /* 1600196 */     GIR_EraseRootFromParent_Done,
     /* 1600197 */   // Label 22127: @1600197
     /* 1600197 */   GIM_Try, /*On fail goto*//*Label 22128*/ GIMT_Encode4(1600283), // Rule ID 3135 //
     /* 1600202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1600213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1600216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1600219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600248 */     // MIs[0] policy
     /* 1600248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1600261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600282 */     // GIR_Coverage, 3135,
     /* 1600282 */     GIR_EraseRootFromParent_Done,
     /* 1600283 */   // Label 22128: @1600283
     /* 1600283 */   GIM_Try, /*On fail goto*//*Label 22129*/ GIMT_Encode4(1600369), // Rule ID 3138 //
     /* 1600288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1600299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1600302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1600305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600334 */     // MIs[0] policy
     /* 1600334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1600347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600368 */     // GIR_Coverage, 3138,
     /* 1600368 */     GIR_EraseRootFromParent_Done,
     /* 1600369 */   // Label 22129: @1600369
     /* 1600369 */   GIM_Try, /*On fail goto*//*Label 22130*/ GIMT_Encode4(1600455), // Rule ID 3139 //
     /* 1600374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1600385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1600388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1600391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600420 */     // MIs[0] policy
     /* 1600420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600430 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1600433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600454 */     // GIR_Coverage, 3139,
     /* 1600454 */     GIR_EraseRootFromParent_Done,
     /* 1600455 */   // Label 22130: @1600455
     /* 1600455 */   GIM_Try, /*On fail goto*//*Label 22131*/ GIMT_Encode4(1600541), // Rule ID 3142 //
     /* 1600460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1600463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1600471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1600474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1600477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600506 */     // MIs[0] policy
     /* 1600506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600516 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1600519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600540 */     // GIR_Coverage, 3142,
     /* 1600540 */     GIR_EraseRootFromParent_Done,
     /* 1600541 */   // Label 22131: @1600541
     /* 1600541 */   GIM_Try, /*On fail goto*//*Label 22132*/ GIMT_Encode4(1600627), // Rule ID 3143 //
     /* 1600546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1600549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1600557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1600560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1600563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600592 */     // MIs[0] policy
     /* 1600592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600602 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1600605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600626 */     // GIR_Coverage, 3143,
     /* 1600626 */     GIR_EraseRootFromParent_Done,
     /* 1600627 */   // Label 22132: @1600627
     /* 1600627 */   GIM_Try, /*On fail goto*//*Label 22133*/ GIMT_Encode4(1600713), // Rule ID 3146 //
     /* 1600632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1600635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1600643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1600646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1600649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600678 */     // MIs[0] policy
     /* 1600678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1600691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600712 */     // GIR_Coverage, 3146,
     /* 1600712 */     GIR_EraseRootFromParent_Done,
     /* 1600713 */   // Label 22133: @1600713
     /* 1600713 */   GIM_Try, /*On fail goto*//*Label 22134*/ GIMT_Encode4(1600799), // Rule ID 3147 //
     /* 1600718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1600721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1600729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1600732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1600735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600764 */     // MIs[0] policy
     /* 1600764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600774 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1600777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600798 */     // GIR_Coverage, 3147,
     /* 1600798 */     GIR_EraseRootFromParent_Done,
     /* 1600799 */   // Label 22134: @1600799
     /* 1600799 */   GIM_Try, /*On fail goto*//*Label 22135*/ GIMT_Encode4(1600885), // Rule ID 3150 //
     /* 1600804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1600807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1600815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1600818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1600821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600850 */     // MIs[0] policy
     /* 1600850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1600863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600884 */     // GIR_Coverage, 3150,
     /* 1600884 */     GIR_EraseRootFromParent_Done,
     /* 1600885 */   // Label 22135: @1600885
     /* 1600885 */   GIM_Try, /*On fail goto*//*Label 22136*/ GIMT_Encode4(1600971), // Rule ID 3151 //
     /* 1600890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1600893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1600901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1600904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1600907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600936 */     // MIs[0] policy
     /* 1600936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1600949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600970 */     // GIR_Coverage, 3151,
     /* 1600970 */     GIR_EraseRootFromParent_Done,
     /* 1600971 */   // Label 22136: @1600971
     /* 1600971 */   GIM_Try, /*On fail goto*//*Label 22137*/ GIMT_Encode4(1601057), // Rule ID 3242 //
     /* 1600976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1600987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1600990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1600993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1600996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1600999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601022 */     // MIs[0] policy
     /* 1601022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601032 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1601035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601056 */     // GIR_Coverage, 3242,
     /* 1601056 */     GIR_EraseRootFromParent_Done,
     /* 1601057 */   // Label 22137: @1601057
     /* 1601057 */   GIM_Try, /*On fail goto*//*Label 22138*/ GIMT_Encode4(1601143), // Rule ID 3243 //
     /* 1601062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1601073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1601076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1601079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1601082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601108 */     // MIs[0] policy
     /* 1601108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601118 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1601121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601142 */     // GIR_Coverage, 3243,
     /* 1601142 */     GIR_EraseRootFromParent_Done,
     /* 1601143 */   // Label 22138: @1601143
     /* 1601143 */   GIM_Try, /*On fail goto*//*Label 22139*/ GIMT_Encode4(1601229), // Rule ID 3246 //
     /* 1601148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1601159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1601162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1601165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1601168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601194 */     // MIs[0] policy
     /* 1601194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601204 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1601207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601228 */     // GIR_Coverage, 3246,
     /* 1601228 */     GIR_EraseRootFromParent_Done,
     /* 1601229 */   // Label 22139: @1601229
     /* 1601229 */   GIM_Try, /*On fail goto*//*Label 22140*/ GIMT_Encode4(1601315), // Rule ID 3247 //
     /* 1601234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1601245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1601248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1601251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1601254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601280 */     // MIs[0] policy
     /* 1601280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601290 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1601293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601314 */     // GIR_Coverage, 3247,
     /* 1601314 */     GIR_EraseRootFromParent_Done,
     /* 1601315 */   // Label 22140: @1601315
     /* 1601315 */   GIM_Try, /*On fail goto*//*Label 22141*/ GIMT_Encode4(1601401), // Rule ID 3250 //
     /* 1601320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1601331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1601334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1601337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1601340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601366 */     // MIs[0] policy
     /* 1601366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601376 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1601379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601400 */     // GIR_Coverage, 3250,
     /* 1601400 */     GIR_EraseRootFromParent_Done,
     /* 1601401 */   // Label 22141: @1601401
     /* 1601401 */   GIM_Try, /*On fail goto*//*Label 22142*/ GIMT_Encode4(1601487), // Rule ID 3251 //
     /* 1601406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1601417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1601420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1601423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1601426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601452 */     // MIs[0] policy
     /* 1601452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601462 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1601465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601486 */     // GIR_Coverage, 3251,
     /* 1601486 */     GIR_EraseRootFromParent_Done,
     /* 1601487 */   // Label 22142: @1601487
     /* 1601487 */   GIM_Try, /*On fail goto*//*Label 22143*/ GIMT_Encode4(1601573), // Rule ID 3254 //
     /* 1601492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1601503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1601506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1601509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1601512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601538 */     // MIs[0] policy
     /* 1601538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601548 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1601551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601572 */     // GIR_Coverage, 3254,
     /* 1601572 */     GIR_EraseRootFromParent_Done,
     /* 1601573 */   // Label 22143: @1601573
     /* 1601573 */   GIM_Try, /*On fail goto*//*Label 22144*/ GIMT_Encode4(1601659), // Rule ID 3255 //
     /* 1601578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1601589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1601592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1601595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1601598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601624 */     // MIs[0] policy
     /* 1601624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601634 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1601637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601658 */     // GIR_Coverage, 3255,
     /* 1601658 */     GIR_EraseRootFromParent_Done,
     /* 1601659 */   // Label 22144: @1601659
     /* 1601659 */   GIM_Try, /*On fail goto*//*Label 22145*/ GIMT_Encode4(1601745), // Rule ID 3258 //
     /* 1601664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1601675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1601678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1601681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1601684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601710 */     // MIs[0] policy
     /* 1601710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601720 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1601723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601744 */     // GIR_Coverage, 3258,
     /* 1601744 */     GIR_EraseRootFromParent_Done,
     /* 1601745 */   // Label 22145: @1601745
     /* 1601745 */   GIM_Try, /*On fail goto*//*Label 22146*/ GIMT_Encode4(1601831), // Rule ID 3259 //
     /* 1601750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1601761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1601764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1601767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1601770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601796 */     // MIs[0] policy
     /* 1601796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601806 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1601809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601830 */     // GIR_Coverage, 3259,
     /* 1601830 */     GIR_EraseRootFromParent_Done,
     /* 1601831 */   // Label 22146: @1601831
     /* 1601831 */   GIM_Try, /*On fail goto*//*Label 22147*/ GIMT_Encode4(1601917), // Rule ID 3262 //
     /* 1601836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1601847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1601850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1601853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1601856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601882 */     // MIs[0] policy
     /* 1601882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601892 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1601895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601916 */     // GIR_Coverage, 3262,
     /* 1601916 */     GIR_EraseRootFromParent_Done,
     /* 1601917 */   // Label 22147: @1601917
     /* 1601917 */   GIM_Try, /*On fail goto*//*Label 22148*/ GIMT_Encode4(1602003), // Rule ID 3263 //
     /* 1601922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1601933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1601936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1601939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1601942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601968 */     // MIs[0] policy
     /* 1601968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1601981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602002 */     // GIR_Coverage, 3263,
     /* 1602002 */     GIR_EraseRootFromParent_Done,
     /* 1602003 */   // Label 22148: @1602003
     /* 1602003 */   GIM_Try, /*On fail goto*//*Label 22149*/ GIMT_Encode4(1602089), // Rule ID 3266 //
     /* 1602008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1602028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602054 */     // MIs[0] policy
     /* 1602054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602064 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1602067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602088 */     // GIR_Coverage, 3266,
     /* 1602088 */     GIR_EraseRootFromParent_Done,
     /* 1602089 */   // Label 22149: @1602089
     /* 1602089 */   GIM_Try, /*On fail goto*//*Label 22150*/ GIMT_Encode4(1602175), // Rule ID 3267 //
     /* 1602094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1602114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602140 */     // MIs[0] policy
     /* 1602140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602150 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1602153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602174 */     // GIR_Coverage, 3267,
     /* 1602174 */     GIR_EraseRootFromParent_Done,
     /* 1602175 */   // Label 22150: @1602175
     /* 1602175 */   GIM_Try, /*On fail goto*//*Label 22151*/ GIMT_Encode4(1602261), // Rule ID 3270 //
     /* 1602180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1602191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1602194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1602197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1602200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602226 */     // MIs[0] policy
     /* 1602226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1602239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602260 */     // GIR_Coverage, 3270,
     /* 1602260 */     GIR_EraseRootFromParent_Done,
     /* 1602261 */   // Label 22151: @1602261
     /* 1602261 */   GIM_Try, /*On fail goto*//*Label 22152*/ GIMT_Encode4(1602347), // Rule ID 3271 //
     /* 1602266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1602277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1602280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1602283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1602286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602312 */     // MIs[0] policy
     /* 1602312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1602325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602346 */     // GIR_Coverage, 3271,
     /* 1602346 */     GIR_EraseRootFromParent_Done,
     /* 1602347 */   // Label 22152: @1602347
     /* 1602347 */   GIM_Try, /*On fail goto*//*Label 22153*/ GIMT_Encode4(1602433), // Rule ID 3274 //
     /* 1602352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1602363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1602366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1602369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1602372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602398 */     // MIs[0] policy
     /* 1602398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1602411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602432 */     // GIR_Coverage, 3274,
     /* 1602432 */     GIR_EraseRootFromParent_Done,
     /* 1602433 */   // Label 22153: @1602433
     /* 1602433 */   GIM_Try, /*On fail goto*//*Label 22154*/ GIMT_Encode4(1602519), // Rule ID 3275 //
     /* 1602438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1602449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1602452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1602455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1602458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602484 */     // MIs[0] policy
     /* 1602484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602494 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1602497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602518 */     // GIR_Coverage, 3275,
     /* 1602518 */     GIR_EraseRootFromParent_Done,
     /* 1602519 */   // Label 22154: @1602519
     /* 1602519 */   GIM_Try, /*On fail goto*//*Label 22155*/ GIMT_Encode4(1602605), // Rule ID 3278 //
     /* 1602524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1602527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1602535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1602538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1602541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1602544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602570 */     // MIs[0] policy
     /* 1602570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1602583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1602601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602604 */     // GIR_Coverage, 3278,
     /* 1602604 */     GIR_EraseRootFromParent_Done,
     /* 1602605 */   // Label 22155: @1602605
     /* 1602605 */   GIM_Try, /*On fail goto*//*Label 22156*/ GIMT_Encode4(1602691), // Rule ID 3279 //
     /* 1602610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1602613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1602621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1602624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1602627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1602630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602656 */     // MIs[0] policy
     /* 1602656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602666 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1602669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1602687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602690 */     // GIR_Coverage, 3279,
     /* 1602690 */     GIR_EraseRootFromParent_Done,
     /* 1602691 */   // Label 22156: @1602691
     /* 1602691 */   GIM_Try, /*On fail goto*//*Label 22157*/ GIMT_Encode4(1602777), // Rule ID 3282 //
     /* 1602696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1602707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1602710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1602713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1602716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602742 */     // MIs[0] policy
     /* 1602742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602752 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1602755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602776 */     // GIR_Coverage, 3282,
     /* 1602776 */     GIR_EraseRootFromParent_Done,
     /* 1602777 */   // Label 22157: @1602777
     /* 1602777 */   GIM_Try, /*On fail goto*//*Label 22158*/ GIMT_Encode4(1602863), // Rule ID 3283 //
     /* 1602782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1602793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1602796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1602799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1602802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602828 */     // MIs[0] policy
     /* 1602828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602838 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1602841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602862 */     // GIR_Coverage, 3283,
     /* 1602862 */     GIR_EraseRootFromParent_Done,
     /* 1602863 */   // Label 22158: @1602863
     /* 1602863 */   GIM_Try, /*On fail goto*//*Label 22159*/ GIMT_Encode4(1602949), // Rule ID 3286 //
     /* 1602868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1602879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1602882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1602885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1602888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1602891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602914 */     // MIs[0] policy
     /* 1602914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602924 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1602927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602948 */     // GIR_Coverage, 3286,
     /* 1602948 */     GIR_EraseRootFromParent_Done,
     /* 1602949 */   // Label 22159: @1602949
     /* 1602949 */   GIM_Try, /*On fail goto*//*Label 22160*/ GIMT_Encode4(1603035), // Rule ID 3287 //
     /* 1602954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1602965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1602968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1602971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1602974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1602977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603000 */     // MIs[0] policy
     /* 1603000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603010 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1603013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603034 */     // GIR_Coverage, 3287,
     /* 1603034 */     GIR_EraseRootFromParent_Done,
     /* 1603035 */   // Label 22160: @1603035
     /* 1603035 */   GIM_Try, /*On fail goto*//*Label 22161*/ GIMT_Encode4(1603121), // Rule ID 3290 //
     /* 1603040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1603051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1603054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1603057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1603060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1603063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603086 */     // MIs[0] policy
     /* 1603086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603096 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1603099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603120 */     // GIR_Coverage, 3290,
     /* 1603120 */     GIR_EraseRootFromParent_Done,
     /* 1603121 */   // Label 22161: @1603121
     /* 1603121 */   GIM_Try, /*On fail goto*//*Label 22162*/ GIMT_Encode4(1603207), // Rule ID 3291 //
     /* 1603126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1603137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1603140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1603143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1603146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1603149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603172 */     // MIs[0] policy
     /* 1603172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603182 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1603185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603206 */     // GIR_Coverage, 3291,
     /* 1603206 */     GIR_EraseRootFromParent_Done,
     /* 1603207 */   // Label 22162: @1603207
     /* 1603207 */   GIM_Try, /*On fail goto*//*Label 22163*/ GIMT_Encode4(1603293), // Rule ID 3294 //
     /* 1603212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1603223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1603226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1603229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1603232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603258 */     // MIs[0] policy
     /* 1603258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1603271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603292 */     // GIR_Coverage, 3294,
     /* 1603292 */     GIR_EraseRootFromParent_Done,
     /* 1603293 */   // Label 22163: @1603293
     /* 1603293 */   GIM_Try, /*On fail goto*//*Label 22164*/ GIMT_Encode4(1603379), // Rule ID 3295 //
     /* 1603298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1603309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1603312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1603315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1603318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603344 */     // MIs[0] policy
     /* 1603344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603354 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1603357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603378 */     // GIR_Coverage, 3295,
     /* 1603378 */     GIR_EraseRootFromParent_Done,
     /* 1603379 */   // Label 22164: @1603379
     /* 1603379 */   GIM_Try, /*On fail goto*//*Label 22165*/ GIMT_Encode4(1603465), // Rule ID 3298 //
     /* 1603384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1603395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1603398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1603401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1603404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603430 */     // MIs[0] policy
     /* 1603430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603440 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1603443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603464 */     // GIR_Coverage, 3298,
     /* 1603464 */     GIR_EraseRootFromParent_Done,
     /* 1603465 */   // Label 22165: @1603465
     /* 1603465 */   GIM_Try, /*On fail goto*//*Label 22166*/ GIMT_Encode4(1603551), // Rule ID 3299 //
     /* 1603470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1603481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1603484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1603487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1603490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603516 */     // MIs[0] policy
     /* 1603516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1603529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603550 */     // GIR_Coverage, 3299,
     /* 1603550 */     GIR_EraseRootFromParent_Done,
     /* 1603551 */   // Label 22166: @1603551
     /* 1603551 */   GIM_Try, /*On fail goto*//*Label 22167*/ GIMT_Encode4(1603637), // Rule ID 3302 //
     /* 1603556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1603567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1603570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1603573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1603576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603602 */     // MIs[0] policy
     /* 1603602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603612 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1603615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603636 */     // GIR_Coverage, 3302,
     /* 1603636 */     GIR_EraseRootFromParent_Done,
     /* 1603637 */   // Label 22167: @1603637
     /* 1603637 */   GIM_Try, /*On fail goto*//*Label 22168*/ GIMT_Encode4(1603723), // Rule ID 3303 //
     /* 1603642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1603653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1603656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1603659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1603662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603688 */     // MIs[0] policy
     /* 1603688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603698 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1603701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603722 */     // GIR_Coverage, 3303,
     /* 1603722 */     GIR_EraseRootFromParent_Done,
     /* 1603723 */   // Label 22168: @1603723
     /* 1603723 */   GIM_Try, /*On fail goto*//*Label 22169*/ GIMT_Encode4(1603809), // Rule ID 3306 //
     /* 1603728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1603739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1603742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1603745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1603748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603774 */     // MIs[0] policy
     /* 1603774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603784 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1603787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603808 */     // GIR_Coverage, 3306,
     /* 1603808 */     GIR_EraseRootFromParent_Done,
     /* 1603809 */   // Label 22169: @1603809
     /* 1603809 */   GIM_Try, /*On fail goto*//*Label 22170*/ GIMT_Encode4(1603895), // Rule ID 3307 //
     /* 1603814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1603825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1603828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1603831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1603834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603860 */     // MIs[0] policy
     /* 1603860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603870 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1603873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603894 */     // GIR_Coverage, 3307,
     /* 1603894 */     GIR_EraseRootFromParent_Done,
     /* 1603895 */   // Label 22170: @1603895
     /* 1603895 */   GIM_Try, /*On fail goto*//*Label 22171*/ GIMT_Encode4(1603981), // Rule ID 3310 //
     /* 1603900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1603911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1603914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1603917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1603920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603946 */     // MIs[0] policy
     /* 1603946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603956 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1603959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603980 */     // GIR_Coverage, 3310,
     /* 1603980 */     GIR_EraseRootFromParent_Done,
     /* 1603981 */   // Label 22171: @1603981
     /* 1603981 */   GIM_Try, /*On fail goto*//*Label 22172*/ GIMT_Encode4(1604067), // Rule ID 3311 //
     /* 1603986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1603997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1604003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1604006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604032 */     // MIs[0] policy
     /* 1604032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604042 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1604045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604066 */     // GIR_Coverage, 3311,
     /* 1604066 */     GIR_EraseRootFromParent_Done,
     /* 1604067 */   // Label 22172: @1604067
     /* 1604067 */   GIM_Try, /*On fail goto*//*Label 22173*/ GIMT_Encode4(1604153), // Rule ID 3314 //
     /* 1604072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1604083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1604086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1604089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1604092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604118 */     // MIs[0] policy
     /* 1604118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604128 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1604131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604152 */     // GIR_Coverage, 3314,
     /* 1604152 */     GIR_EraseRootFromParent_Done,
     /* 1604153 */   // Label 22173: @1604153
     /* 1604153 */   GIM_Try, /*On fail goto*//*Label 22174*/ GIMT_Encode4(1604239), // Rule ID 3315 //
     /* 1604158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1604169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1604172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1604175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1604178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604204 */     // MIs[0] policy
     /* 1604204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604214 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1604217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604238 */     // GIR_Coverage, 3315,
     /* 1604238 */     GIR_EraseRootFromParent_Done,
     /* 1604239 */   // Label 22174: @1604239
     /* 1604239 */   GIM_Try, /*On fail goto*//*Label 22175*/ GIMT_Encode4(1604325), // Rule ID 3318 //
     /* 1604244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1604247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1604255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1604258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1604261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1604264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604290 */     // MIs[0] policy
     /* 1604290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604300 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1604303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604324 */     // GIR_Coverage, 3318,
     /* 1604324 */     GIR_EraseRootFromParent_Done,
     /* 1604325 */   // Label 22175: @1604325
     /* 1604325 */   GIM_Try, /*On fail goto*//*Label 22176*/ GIMT_Encode4(1604411), // Rule ID 3319 //
     /* 1604330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1604333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1604341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1604344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1604347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1604350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604376 */     // MIs[0] policy
     /* 1604376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1604389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604410 */     // GIR_Coverage, 3319,
     /* 1604410 */     GIR_EraseRootFromParent_Done,
     /* 1604411 */   // Label 22176: @1604411
     /* 1604411 */   GIM_Try, /*On fail goto*//*Label 22177*/ GIMT_Encode4(1604497), // Rule ID 3322 //
     /* 1604416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1604419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1604427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1604430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1604433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1604436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604462 */     // MIs[0] policy
     /* 1604462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1604475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604496 */     // GIR_Coverage, 3322,
     /* 1604496 */     GIR_EraseRootFromParent_Done,
     /* 1604497 */   // Label 22177: @1604497
     /* 1604497 */   GIM_Try, /*On fail goto*//*Label 22178*/ GIMT_Encode4(1604583), // Rule ID 3323 //
     /* 1604502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1604505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1604513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1604516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1604519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1604522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604548 */     // MIs[0] policy
     /* 1604548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604558 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1604561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604582 */     // GIR_Coverage, 3323,
     /* 1604582 */     GIR_EraseRootFromParent_Done,
     /* 1604583 */   // Label 22178: @1604583
     /* 1604583 */   GIM_Try, /*On fail goto*//*Label 22179*/ GIMT_Encode4(1604669), // Rule ID 3326 //
     /* 1604588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1604591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1604599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1604602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1604605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1604608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604634 */     // MIs[0] policy
     /* 1604634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1604647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604668 */     // GIR_Coverage, 3326,
     /* 1604668 */     GIR_EraseRootFromParent_Done,
     /* 1604669 */   // Label 22179: @1604669
     /* 1604669 */   GIM_Try, /*On fail goto*//*Label 22180*/ GIMT_Encode4(1604755), // Rule ID 3327 //
     /* 1604674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1604677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1604685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1604688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1604691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1604694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604720 */     // MIs[0] policy
     /* 1604720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604730 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1604733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604754 */     // GIR_Coverage, 3327,
     /* 1604754 */     GIR_EraseRootFromParent_Done,
     /* 1604755 */   // Label 22180: @1604755
     /* 1604755 */   GIM_Try, /*On fail goto*//*Label 22181*/ GIMT_Encode4(1604841), // Rule ID 3330 //
     /* 1604760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1604771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1604774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1604777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604806 */     // MIs[0] policy
     /* 1604806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604816 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1604819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604840 */     // GIR_Coverage, 3330,
     /* 1604840 */     GIR_EraseRootFromParent_Done,
     /* 1604841 */   // Label 22181: @1604841
     /* 1604841 */   GIM_Try, /*On fail goto*//*Label 22182*/ GIMT_Encode4(1604927), // Rule ID 3331 //
     /* 1604846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1604857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1604860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1604863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604892 */     // MIs[0] policy
     /* 1604892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604902 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1604905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604926 */     // GIR_Coverage, 3331,
     /* 1604926 */     GIR_EraseRootFromParent_Done,
     /* 1604927 */   // Label 22182: @1604927
     /* 1604927 */   GIM_Try, /*On fail goto*//*Label 22183*/ GIMT_Encode4(1605013), // Rule ID 3334 //
     /* 1604932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1604943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1604946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1604949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604978 */     // MIs[0] policy
     /* 1604978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604988 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1604991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605012 */     // GIR_Coverage, 3334,
     /* 1605012 */     GIR_EraseRootFromParent_Done,
     /* 1605013 */   // Label 22183: @1605013
     /* 1605013 */   GIM_Try, /*On fail goto*//*Label 22184*/ GIMT_Encode4(1605099), // Rule ID 3335 //
     /* 1605018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1605029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1605032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1605035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605064 */     // MIs[0] policy
     /* 1605064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605074 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1605077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605098 */     // GIR_Coverage, 3335,
     /* 1605098 */     GIR_EraseRootFromParent_Done,
     /* 1605099 */   // Label 22184: @1605099
     /* 1605099 */   GIM_Try, /*On fail goto*//*Label 22185*/ GIMT_Encode4(1605185), // Rule ID 3338 //
     /* 1605104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1605115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1605118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1605121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605150 */     // MIs[0] policy
     /* 1605150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605160 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1605163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605184 */     // GIR_Coverage, 3338,
     /* 1605184 */     GIR_EraseRootFromParent_Done,
     /* 1605185 */   // Label 22185: @1605185
     /* 1605185 */   GIM_Try, /*On fail goto*//*Label 22186*/ GIMT_Encode4(1605271), // Rule ID 3339 //
     /* 1605190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1605201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1605204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1605207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605236 */     // MIs[0] policy
     /* 1605236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605246 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1605249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605270 */     // GIR_Coverage, 3339,
     /* 1605270 */     GIR_EraseRootFromParent_Done,
     /* 1605271 */   // Label 22186: @1605271
     /* 1605271 */   GIM_Try, /*On fail goto*//*Label 22187*/ GIMT_Encode4(1605357), // Rule ID 3342 //
     /* 1605276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1605287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1605290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1605293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605322 */     // MIs[0] policy
     /* 1605322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605332 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1605335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605356 */     // GIR_Coverage, 3342,
     /* 1605356 */     GIR_EraseRootFromParent_Done,
     /* 1605357 */   // Label 22187: @1605357
     /* 1605357 */   GIM_Try, /*On fail goto*//*Label 22188*/ GIMT_Encode4(1605443), // Rule ID 3343 //
     /* 1605362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1605373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1605376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1605379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605408 */     // MIs[0] policy
     /* 1605408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605418 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1605421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605442 */     // GIR_Coverage, 3343,
     /* 1605442 */     GIR_EraseRootFromParent_Done,
     /* 1605443 */   // Label 22188: @1605443
     /* 1605443 */   GIM_Try, /*On fail goto*//*Label 22189*/ GIMT_Encode4(1605529), // Rule ID 3346 //
     /* 1605448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1605465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605494 */     // MIs[0] policy
     /* 1605494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605504 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1605507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605528 */     // GIR_Coverage, 3346,
     /* 1605528 */     GIR_EraseRootFromParent_Done,
     /* 1605529 */   // Label 22189: @1605529
     /* 1605529 */   GIM_Try, /*On fail goto*//*Label 22190*/ GIMT_Encode4(1605615), // Rule ID 3347 //
     /* 1605534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1605551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605580 */     // MIs[0] policy
     /* 1605580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605590 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1605593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605614 */     // GIR_Coverage, 3347,
     /* 1605614 */     GIR_EraseRootFromParent_Done,
     /* 1605615 */   // Label 22190: @1605615
     /* 1605615 */   GIM_Try, /*On fail goto*//*Label 22191*/ GIMT_Encode4(1605701), // Rule ID 3350 //
     /* 1605620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1605631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1605634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1605637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605666 */     // MIs[0] policy
     /* 1605666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605676 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1605679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605700 */     // GIR_Coverage, 3350,
     /* 1605700 */     GIR_EraseRootFromParent_Done,
     /* 1605701 */   // Label 22191: @1605701
     /* 1605701 */   GIM_Try, /*On fail goto*//*Label 22192*/ GIMT_Encode4(1605787), // Rule ID 3351 //
     /* 1605706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1605717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1605720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1605723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605752 */     // MIs[0] policy
     /* 1605752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605762 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1605765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605786 */     // GIR_Coverage, 3351,
     /* 1605786 */     GIR_EraseRootFromParent_Done,
     /* 1605787 */   // Label 22192: @1605787
     /* 1605787 */   GIM_Try, /*On fail goto*//*Label 22193*/ GIMT_Encode4(1605873), // Rule ID 3354 //
     /* 1605792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1605803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1605806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1605809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605838 */     // MIs[0] policy
     /* 1605838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605848 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1605851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605872 */     // GIR_Coverage, 3354,
     /* 1605872 */     GIR_EraseRootFromParent_Done,
     /* 1605873 */   // Label 22193: @1605873
     /* 1605873 */   GIM_Try, /*On fail goto*//*Label 22194*/ GIMT_Encode4(1605959), // Rule ID 3355 //
     /* 1605878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1605889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1605892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1605895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605924 */     // MIs[0] policy
     /* 1605924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11638:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1605937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605958 */     // GIR_Coverage, 3355,
     /* 1605958 */     GIR_EraseRootFromParent_Done,
     /* 1605959 */   // Label 22194: @1605959
     /* 1605959 */   GIM_Try, /*On fail goto*//*Label 22195*/ GIMT_Encode4(1606045), // Rule ID 3358 //
     /* 1605964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1605975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1605978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1605981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606010 */     // MIs[0] policy
     /* 1606010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1606023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606044 */     // GIR_Coverage, 3358,
     /* 1606044 */     GIR_EraseRootFromParent_Done,
     /* 1606045 */   // Label 22195: @1606045
     /* 1606045 */   GIM_Try, /*On fail goto*//*Label 22196*/ GIMT_Encode4(1606131), // Rule ID 3359 //
     /* 1606050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1606061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1606064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1606067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606096 */     // MIs[0] policy
     /* 1606096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11638:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1606109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606130 */     // GIR_Coverage, 3359,
     /* 1606130 */     GIR_EraseRootFromParent_Done,
     /* 1606131 */   // Label 22196: @1606131
     /* 1606131 */   GIM_Try, /*On fail goto*//*Label 22197*/ GIMT_Encode4(1606217), // Rule ID 3362 //
     /* 1606136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1606147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1606150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1606153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606182 */     // MIs[0] policy
     /* 1606182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1606195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606216 */     // GIR_Coverage, 3362,
     /* 1606216 */     GIR_EraseRootFromParent_Done,
     /* 1606217 */   // Label 22197: @1606217
     /* 1606217 */   GIM_Try, /*On fail goto*//*Label 22198*/ GIMT_Encode4(1606303), // Rule ID 3363 //
     /* 1606222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1606233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1606236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1606239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606268 */     // MIs[0] policy
     /* 1606268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11638:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1606281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606302 */     // GIR_Coverage, 3363,
     /* 1606302 */     GIR_EraseRootFromParent_Done,
     /* 1606303 */   // Label 22198: @1606303
     /* 1606303 */   GIM_Try, /*On fail goto*//*Label 22199*/ GIMT_Encode4(1606389), // Rule ID 3366 //
     /* 1606308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1606311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1606319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1606322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1606325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606354 */     // MIs[0] policy
     /* 1606354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1606367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1606385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606388 */     // GIR_Coverage, 3366,
     /* 1606388 */     GIR_EraseRootFromParent_Done,
     /* 1606389 */   // Label 22199: @1606389
     /* 1606389 */   GIM_Try, /*On fail goto*//*Label 22200*/ GIMT_Encode4(1606475), // Rule ID 3367 //
     /* 1606394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1606397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1606405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1606408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1606411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606440 */     // MIs[0] policy
     /* 1606440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11638:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1606453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1606471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606474 */     // GIR_Coverage, 3367,
     /* 1606474 */     GIR_EraseRootFromParent_Done,
     /* 1606475 */   // Label 22200: @1606475
     /* 1606475 */   GIM_Try, /*On fail goto*//*Label 22201*/ GIMT_Encode4(1606561), // Rule ID 3370 //
     /* 1606480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1606491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1606494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1606497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606526 */     // MIs[0] policy
     /* 1606526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1606539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606560 */     // GIR_Coverage, 3370,
     /* 1606560 */     GIR_EraseRootFromParent_Done,
     /* 1606561 */   // Label 22201: @1606561
     /* 1606561 */   GIM_Try, /*On fail goto*//*Label 22202*/ GIMT_Encode4(1606647), // Rule ID 3371 //
     /* 1606566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1606577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1606580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1606583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606612 */     // MIs[0] policy
     /* 1606612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606622 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1606625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606646 */     // GIR_Coverage, 3371,
     /* 1606646 */     GIR_EraseRootFromParent_Done,
     /* 1606647 */   // Label 22202: @1606647
     /* 1606647 */   GIM_Try, /*On fail goto*//*Label 22203*/ GIMT_Encode4(1606733), // Rule ID 3374 //
     /* 1606652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1606663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1606666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606698 */     // MIs[0] policy
     /* 1606698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606708 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1606711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606732 */     // GIR_Coverage, 3374,
     /* 1606732 */     GIR_EraseRootFromParent_Done,
     /* 1606733 */   // Label 22203: @1606733
     /* 1606733 */   GIM_Try, /*On fail goto*//*Label 22204*/ GIMT_Encode4(1606819), // Rule ID 3375 //
     /* 1606738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1606749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1606752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606784 */     // MIs[0] policy
     /* 1606784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606794 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1606797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606818 */     // GIR_Coverage, 3375,
     /* 1606818 */     GIR_EraseRootFromParent_Done,
     /* 1606819 */   // Label 22204: @1606819
     /* 1606819 */   GIM_Try, /*On fail goto*//*Label 22205*/ GIMT_Encode4(1606905), // Rule ID 3378 //
     /* 1606824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1606835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1606838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1606841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1606847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606870 */     // MIs[0] policy
     /* 1606870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606880 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1606883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606904 */     // GIR_Coverage, 3378,
     /* 1606904 */     GIR_EraseRootFromParent_Done,
     /* 1606905 */   // Label 22205: @1606905
     /* 1606905 */   GIM_Try, /*On fail goto*//*Label 22206*/ GIMT_Encode4(1606991), // Rule ID 3379 //
     /* 1606910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1606921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1606924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1606927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1606933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606956 */     // MIs[0] policy
     /* 1606956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606966 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1606969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606990 */     // GIR_Coverage, 3379,
     /* 1606990 */     GIR_EraseRootFromParent_Done,
     /* 1606991 */   // Label 22206: @1606991
     /* 1606991 */   GIM_Try, /*On fail goto*//*Label 22207*/ GIMT_Encode4(1607077), // Rule ID 3382 //
     /* 1606996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1607007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1607010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1607013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607042 */     // MIs[0] policy
     /* 1607042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607052 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1607055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607076 */     // GIR_Coverage, 3382,
     /* 1607076 */     GIR_EraseRootFromParent_Done,
     /* 1607077 */   // Label 22207: @1607077
     /* 1607077 */   GIM_Try, /*On fail goto*//*Label 22208*/ GIMT_Encode4(1607163), // Rule ID 3383 //
     /* 1607082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1607093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1607096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1607099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607128 */     // MIs[0] policy
     /* 1607128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607138 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1607141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607162 */     // GIR_Coverage, 3383,
     /* 1607162 */     GIR_EraseRootFromParent_Done,
     /* 1607163 */   // Label 22208: @1607163
     /* 1607163 */   GIM_Try, /*On fail goto*//*Label 22209*/ GIMT_Encode4(1607249), // Rule ID 3386 //
     /* 1607168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1607179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1607182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1607185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607214 */     // MIs[0] policy
     /* 1607214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607224 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1607227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607248 */     // GIR_Coverage, 3386,
     /* 1607248 */     GIR_EraseRootFromParent_Done,
     /* 1607249 */   // Label 22209: @1607249
     /* 1607249 */   GIM_Try, /*On fail goto*//*Label 22210*/ GIMT_Encode4(1607335), // Rule ID 3387 //
     /* 1607254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1607265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1607268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1607271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607300 */     // MIs[0] policy
     /* 1607300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607310 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1607313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607334 */     // GIR_Coverage, 3387,
     /* 1607334 */     GIR_EraseRootFromParent_Done,
     /* 1607335 */   // Label 22210: @1607335
     /* 1607335 */   GIM_Try, /*On fail goto*//*Label 22211*/ GIMT_Encode4(1607421), // Rule ID 3390 //
     /* 1607340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1607351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1607354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1607357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607386 */     // MIs[0] policy
     /* 1607386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607396 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1607399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607420 */     // GIR_Coverage, 3390,
     /* 1607420 */     GIR_EraseRootFromParent_Done,
     /* 1607421 */   // Label 22211: @1607421
     /* 1607421 */   GIM_Try, /*On fail goto*//*Label 22212*/ GIMT_Encode4(1607507), // Rule ID 3391 //
     /* 1607426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1607437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1607440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1607443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607472 */     // MIs[0] policy
     /* 1607472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607482 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1607485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607506 */     // GIR_Coverage, 3391,
     /* 1607506 */     GIR_EraseRootFromParent_Done,
     /* 1607507 */   // Label 22212: @1607507
     /* 1607507 */   GIM_Try, /*On fail goto*//*Label 22213*/ GIMT_Encode4(1607593), // Rule ID 3394 //
     /* 1607512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1607523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1607526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607558 */     // MIs[0] policy
     /* 1607558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1607571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607592 */     // GIR_Coverage, 3394,
     /* 1607592 */     GIR_EraseRootFromParent_Done,
     /* 1607593 */   // Label 22213: @1607593
     /* 1607593 */   GIM_Try, /*On fail goto*//*Label 22214*/ GIMT_Encode4(1607679), // Rule ID 3395 //
     /* 1607598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1607609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1607612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607644 */     // MIs[0] policy
     /* 1607644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607654 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1607657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607678 */     // GIR_Coverage, 3395,
     /* 1607678 */     GIR_EraseRootFromParent_Done,
     /* 1607679 */   // Label 22214: @1607679
     /* 1607679 */   GIM_Try, /*On fail goto*//*Label 22215*/ GIMT_Encode4(1607765), // Rule ID 3398 //
     /* 1607684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1607695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1607698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1607701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607730 */     // MIs[0] policy
     /* 1607730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607740 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1607743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607764 */     // GIR_Coverage, 3398,
     /* 1607764 */     GIR_EraseRootFromParent_Done,
     /* 1607765 */   // Label 22215: @1607765
     /* 1607765 */   GIM_Try, /*On fail goto*//*Label 22216*/ GIMT_Encode4(1607851), // Rule ID 3399 //
     /* 1607770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1607781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1607784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1607787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607816 */     // MIs[0] policy
     /* 1607816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1607829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607850 */     // GIR_Coverage, 3399,
     /* 1607850 */     GIR_EraseRootFromParent_Done,
     /* 1607851 */   // Label 22216: @1607851
     /* 1607851 */   GIM_Try, /*On fail goto*//*Label 22217*/ GIMT_Encode4(1607937), // Rule ID 3402 //
     /* 1607856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1607867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1607870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1607873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607902 */     // MIs[0] policy
     /* 1607902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1607915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607936 */     // GIR_Coverage, 3402,
     /* 1607936 */     GIR_EraseRootFromParent_Done,
     /* 1607937 */   // Label 22217: @1607937
     /* 1607937 */   GIM_Try, /*On fail goto*//*Label 22218*/ GIMT_Encode4(1608023), // Rule ID 3403 //
     /* 1607942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1607953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1607956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1607959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607988 */     // MIs[0] policy
     /* 1607988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607998 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1608001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608022 */     // GIR_Coverage, 3403,
     /* 1608022 */     GIR_EraseRootFromParent_Done,
     /* 1608023 */   // Label 22218: @1608023
     /* 1608023 */   GIM_Try, /*On fail goto*//*Label 22219*/ GIMT_Encode4(1608109), // Rule ID 3406 //
     /* 1608028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1608031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1608039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1608042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1608045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608074 */     // MIs[0] policy
     /* 1608074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1608087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608108 */     // GIR_Coverage, 3406,
     /* 1608108 */     GIR_EraseRootFromParent_Done,
     /* 1608109 */   // Label 22219: @1608109
     /* 1608109 */   GIM_Try, /*On fail goto*//*Label 22220*/ GIMT_Encode4(1608195), // Rule ID 3407 //
     /* 1608114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1608117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1608125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1608128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1608131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608160 */     // MIs[0] policy
     /* 1608160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608170 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11638:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1608173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608194 */     // GIR_Coverage, 3407,
     /* 1608194 */     GIR_EraseRootFromParent_Done,
     /* 1608195 */   // Label 22220: @1608195
     /* 1608195 */   GIM_Try, /*On fail goto*//*Label 22221*/ GIMT_Encode4(1608281), // Rule ID 3410 //
     /* 1608200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1608203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1608211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1608214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1608217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608246 */     // MIs[0] policy
     /* 1608246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608256 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1608259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608280 */     // GIR_Coverage, 3410,
     /* 1608280 */     GIR_EraseRootFromParent_Done,
     /* 1608281 */   // Label 22221: @1608281
     /* 1608281 */   GIM_Try, /*On fail goto*//*Label 22222*/ GIMT_Encode4(1608367), // Rule ID 3411 //
     /* 1608286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1608289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1608297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1608300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1608303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608332 */     // MIs[0] policy
     /* 1608332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608342 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11638:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1608345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608366 */     // GIR_Coverage, 3411,
     /* 1608366 */     GIR_EraseRootFromParent_Done,
     /* 1608367 */   // Label 22222: @1608367
     /* 1608367 */   GIM_Try, /*On fail goto*//*Label 22223*/ GIMT_Encode4(1608453), // Rule ID 3414 //
     /* 1608372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1608375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1608383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1608386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1608389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608418 */     // MIs[0] policy
     /* 1608418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608428 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1608431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608452 */     // GIR_Coverage, 3414,
     /* 1608452 */     GIR_EraseRootFromParent_Done,
     /* 1608453 */   // Label 22223: @1608453
     /* 1608453 */   GIM_Try, /*On fail goto*//*Label 22224*/ GIMT_Encode4(1608539), // Rule ID 3415 //
     /* 1608458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1608461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1608469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1608472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1608475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608504 */     // MIs[0] policy
     /* 1608504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608514 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11638:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1608517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608538 */     // GIR_Coverage, 3415,
     /* 1608538 */     GIR_EraseRootFromParent_Done,
     /* 1608539 */   // Label 22224: @1608539
     /* 1608539 */   GIM_Try, /*On fail goto*//*Label 22225*/ GIMT_Encode4(1608625), // Rule ID 3418 //
     /* 1608544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1608555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1608558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1608561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608590 */     // MIs[0] policy
     /* 1608590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608600 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1608603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608624 */     // GIR_Coverage, 3418,
     /* 1608624 */     GIR_EraseRootFromParent_Done,
     /* 1608625 */   // Label 22225: @1608625
     /* 1608625 */   GIM_Try, /*On fail goto*//*Label 22226*/ GIMT_Encode4(1608711), // Rule ID 3419 //
     /* 1608630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1608641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1608644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1608647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608676 */     // MIs[0] policy
     /* 1608676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608686 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1608689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608710 */     // GIR_Coverage, 3419,
     /* 1608710 */     GIR_EraseRootFromParent_Done,
     /* 1608711 */   // Label 22226: @1608711
     /* 1608711 */   GIM_Try, /*On fail goto*//*Label 22227*/ GIMT_Encode4(1608797), // Rule ID 3422 //
     /* 1608716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1608727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1608730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1608733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608762 */     // MIs[0] policy
     /* 1608762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608772 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1608775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608796 */     // GIR_Coverage, 3422,
     /* 1608796 */     GIR_EraseRootFromParent_Done,
     /* 1608797 */   // Label 22227: @1608797
     /* 1608797 */   GIM_Try, /*On fail goto*//*Label 22228*/ GIMT_Encode4(1608883), // Rule ID 3423 //
     /* 1608802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1608813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1608816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1608819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608848 */     // MIs[0] policy
     /* 1608848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608858 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1608861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608882 */     // GIR_Coverage, 3423,
     /* 1608882 */     GIR_EraseRootFromParent_Done,
     /* 1608883 */   // Label 22228: @1608883
     /* 1608883 */   GIM_Try, /*On fail goto*//*Label 22229*/ GIMT_Encode4(1608969), // Rule ID 3426 //
     /* 1608888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1608899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1608902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608934 */     // MIs[0] policy
     /* 1608934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608944 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1608947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608968 */     // GIR_Coverage, 3426,
     /* 1608968 */     GIR_EraseRootFromParent_Done,
     /* 1608969 */   // Label 22229: @1608969
     /* 1608969 */   GIM_Try, /*On fail goto*//*Label 22230*/ GIMT_Encode4(1609055), // Rule ID 3427 //
     /* 1608974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1608985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1608988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609020 */     // MIs[0] policy
     /* 1609020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609030 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1609033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609054 */     // GIR_Coverage, 3427,
     /* 1609054 */     GIR_EraseRootFromParent_Done,
     /* 1609055 */   // Label 22230: @1609055
     /* 1609055 */   GIM_Try, /*On fail goto*//*Label 22231*/ GIMT_Encode4(1609141), // Rule ID 3430 //
     /* 1609060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1609071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1609074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1609077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609106 */     // MIs[0] policy
     /* 1609106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609116 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1609119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609140 */     // GIR_Coverage, 3430,
     /* 1609140 */     GIR_EraseRootFromParent_Done,
     /* 1609141 */   // Label 22231: @1609141
     /* 1609141 */   GIM_Try, /*On fail goto*//*Label 22232*/ GIMT_Encode4(1609227), // Rule ID 3431 //
     /* 1609146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1609157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1609160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1609163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609192 */     // MIs[0] policy
     /* 1609192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609202 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1609205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609226 */     // GIR_Coverage, 3431,
     /* 1609226 */     GIR_EraseRootFromParent_Done,
     /* 1609227 */   // Label 22232: @1609227
     /* 1609227 */   GIM_Try, /*On fail goto*//*Label 22233*/ GIMT_Encode4(1609313), // Rule ID 3434 //
     /* 1609232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1609243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1609246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1609249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609278 */     // MIs[0] policy
     /* 1609278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609288 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1609291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609312 */     // GIR_Coverage, 3434,
     /* 1609312 */     GIR_EraseRootFromParent_Done,
     /* 1609313 */   // Label 22233: @1609313
     /* 1609313 */   GIM_Try, /*On fail goto*//*Label 22234*/ GIMT_Encode4(1609399), // Rule ID 3435 //
     /* 1609318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1609329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1609332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1609335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609364 */     // MIs[0] policy
     /* 1609364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1609377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609398 */     // GIR_Coverage, 3435,
     /* 1609398 */     GIR_EraseRootFromParent_Done,
     /* 1609399 */   // Label 22234: @1609399
     /* 1609399 */   GIM_Try, /*On fail goto*//*Label 22235*/ GIMT_Encode4(1609485), // Rule ID 3438 //
     /* 1609404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1609415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1609418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1609421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609450 */     // MIs[0] policy
     /* 1609450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609460 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1609463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609484 */     // GIR_Coverage, 3438,
     /* 1609484 */     GIR_EraseRootFromParent_Done,
     /* 1609485 */   // Label 22235: @1609485
     /* 1609485 */   GIM_Try, /*On fail goto*//*Label 22236*/ GIMT_Encode4(1609571), // Rule ID 3439 //
     /* 1609490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1609501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1609504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1609507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609536 */     // MIs[0] policy
     /* 1609536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1609549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609570 */     // GIR_Coverage, 3439,
     /* 1609570 */     GIR_EraseRootFromParent_Done,
     /* 1609571 */   // Label 22236: @1609571
     /* 1609571 */   GIM_Try, /*On fail goto*//*Label 22237*/ GIMT_Encode4(1609657), // Rule ID 3442 //
     /* 1609576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1609587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1609590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1609593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609622 */     // MIs[0] policy
     /* 1609622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1609635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609656 */     // GIR_Coverage, 3442,
     /* 1609656 */     GIR_EraseRootFromParent_Done,
     /* 1609657 */   // Label 22237: @1609657
     /* 1609657 */   GIM_Try, /*On fail goto*//*Label 22238*/ GIMT_Encode4(1609743), // Rule ID 3443 //
     /* 1609662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1609673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1609676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1609679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609708 */     // MIs[0] policy
     /* 1609708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609718 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1609721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609742 */     // GIR_Coverage, 3443,
     /* 1609742 */     GIR_EraseRootFromParent_Done,
     /* 1609743 */   // Label 22238: @1609743
     /* 1609743 */   GIM_Try, /*On fail goto*//*Label 22239*/ GIMT_Encode4(1609829), // Rule ID 3446 //
     /* 1609748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1609759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1609762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609794 */     // MIs[0] policy
     /* 1609794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609804 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1609807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609828 */     // GIR_Coverage, 3446,
     /* 1609828 */     GIR_EraseRootFromParent_Done,
     /* 1609829 */   // Label 22239: @1609829
     /* 1609829 */   GIM_Try, /*On fail goto*//*Label 22240*/ GIMT_Encode4(1609915), // Rule ID 3447 //
     /* 1609834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1609845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1609848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609880 */     // MIs[0] policy
     /* 1609880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1609893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609914 */     // GIR_Coverage, 3447,
     /* 1609914 */     GIR_EraseRootFromParent_Done,
     /* 1609915 */   // Label 22240: @1609915
     /* 1609915 */   GIM_Try, /*On fail goto*//*Label 22241*/ GIMT_Encode4(1610001), // Rule ID 3450 //
     /* 1609920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1609931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1609934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1609937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609966 */     // MIs[0] policy
     /* 1609966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1609979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610000 */     // GIR_Coverage, 3450,
     /* 1610000 */     GIR_EraseRootFromParent_Done,
     /* 1610001 */   // Label 22241: @1610001
     /* 1610001 */   GIM_Try, /*On fail goto*//*Label 22242*/ GIMT_Encode4(1610087), // Rule ID 3451 //
     /* 1610006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1610017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1610020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1610023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610052 */     // MIs[0] policy
     /* 1610052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610062 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1610065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610086 */     // GIR_Coverage, 3451,
     /* 1610086 */     GIR_EraseRootFromParent_Done,
     /* 1610087 */   // Label 22242: @1610087
     /* 1610087 */   GIM_Try, /*On fail goto*//*Label 22243*/ GIMT_Encode4(1610173), // Rule ID 3454 //
     /* 1610092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1610095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1610103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1610106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1610109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610138 */     // MIs[0] policy
     /* 1610138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1610151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1610169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610172 */     // GIR_Coverage, 3454,
     /* 1610172 */     GIR_EraseRootFromParent_Done,
     /* 1610173 */   // Label 22243: @1610173
     /* 1610173 */   GIM_Try, /*On fail goto*//*Label 22244*/ GIMT_Encode4(1610259), // Rule ID 3455 //
     /* 1610178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1610181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1610189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1610192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1610195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610224 */     // MIs[0] policy
     /* 1610224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610234 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1610237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1610255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610258 */     // GIR_Coverage, 3455,
     /* 1610258 */     GIR_EraseRootFromParent_Done,
     /* 1610259 */   // Label 22244: @1610259
     /* 1610259 */   GIM_Try, /*On fail goto*//*Label 22245*/ GIMT_Encode4(1610345), // Rule ID 3458 //
     /* 1610264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1610275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1610278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1610281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610310 */     // MIs[0] policy
     /* 1610310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610320 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1610323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610344 */     // GIR_Coverage, 3458,
     /* 1610344 */     GIR_EraseRootFromParent_Done,
     /* 1610345 */   // Label 22245: @1610345
     /* 1610345 */   GIM_Try, /*On fail goto*//*Label 22246*/ GIMT_Encode4(1610431), // Rule ID 3459 //
     /* 1610350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1610361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1610364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1610367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610396 */     // MIs[0] policy
     /* 1610396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610406 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1610409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610430 */     // GIR_Coverage, 3459,
     /* 1610430 */     GIR_EraseRootFromParent_Done,
     /* 1610431 */   // Label 22246: @1610431
     /* 1610431 */   GIM_Try, /*On fail goto*//*Label 22247*/ GIMT_Encode4(1610517), // Rule ID 3462 //
     /* 1610436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1610447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1610450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1610453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610482 */     // MIs[0] policy
     /* 1610482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610492 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1610495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610516 */     // GIR_Coverage, 3462,
     /* 1610516 */     GIR_EraseRootFromParent_Done,
     /* 1610517 */   // Label 22247: @1610517
     /* 1610517 */   GIM_Try, /*On fail goto*//*Label 22248*/ GIMT_Encode4(1610603), // Rule ID 3463 //
     /* 1610522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1610533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1610536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1610539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610568 */     // MIs[0] policy
     /* 1610568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610578 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1610581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610602 */     // GIR_Coverage, 3463,
     /* 1610602 */     GIR_EraseRootFromParent_Done,
     /* 1610603 */   // Label 22248: @1610603
     /* 1610603 */   GIM_Try, /*On fail goto*//*Label 22249*/ GIMT_Encode4(1610689), // Rule ID 3466 //
     /* 1610608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1610619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1610622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1610625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1610631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610654 */     // MIs[0] policy
     /* 1610654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610664 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1610667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610688 */     // GIR_Coverage, 3466,
     /* 1610688 */     GIR_EraseRootFromParent_Done,
     /* 1610689 */   // Label 22249: @1610689
     /* 1610689 */   GIM_Try, /*On fail goto*//*Label 22250*/ GIMT_Encode4(1610775), // Rule ID 3467 //
     /* 1610694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1610705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1610708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1610711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1610717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610740 */     // MIs[0] policy
     /* 1610740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610750 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1610753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610774 */     // GIR_Coverage, 3467,
     /* 1610774 */     GIR_EraseRootFromParent_Done,
     /* 1610775 */   // Label 22250: @1610775
     /* 1610775 */   GIM_Try, /*On fail goto*//*Label 22251*/ GIMT_Encode4(1610861), // Rule ID 3470 //
     /* 1610780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1610797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610826 */     // MIs[0] policy
     /* 1610826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610836 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1610839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610860 */     // GIR_Coverage, 3470,
     /* 1610860 */     GIR_EraseRootFromParent_Done,
     /* 1610861 */   // Label 22251: @1610861
     /* 1610861 */   GIM_Try, /*On fail goto*//*Label 22252*/ GIMT_Encode4(1610947), // Rule ID 3471 //
     /* 1610866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1610883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610912 */     // MIs[0] policy
     /* 1610912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610922 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1610925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610946 */     // GIR_Coverage, 3471,
     /* 1610946 */     GIR_EraseRootFromParent_Done,
     /* 1610947 */   // Label 22252: @1610947
     /* 1610947 */   GIM_Try, /*On fail goto*//*Label 22253*/ GIMT_Encode4(1611033), // Rule ID 3474 //
     /* 1610952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1610960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1610963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1610966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1610969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610998 */     // MIs[0] policy
     /* 1610998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1611011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611032 */     // GIR_Coverage, 3474,
     /* 1611032 */     GIR_EraseRootFromParent_Done,
     /* 1611033 */   // Label 22253: @1611033
     /* 1611033 */   GIM_Try, /*On fail goto*//*Label 22254*/ GIMT_Encode4(1611119), // Rule ID 3475 //
     /* 1611038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1611049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1611052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1611055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611084 */     // MIs[0] policy
     /* 1611084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611094 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1611097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611118 */     // GIR_Coverage, 3475,
     /* 1611118 */     GIR_EraseRootFromParent_Done,
     /* 1611119 */   // Label 22254: @1611119
     /* 1611119 */   GIM_Try, /*On fail goto*//*Label 22255*/ GIMT_Encode4(1611205), // Rule ID 3478 //
     /* 1611124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1611135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1611138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1611141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1611147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611170 */     // MIs[0] policy
     /* 1611170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611180 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1611183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611204 */     // GIR_Coverage, 3478,
     /* 1611204 */     GIR_EraseRootFromParent_Done,
     /* 1611205 */   // Label 22255: @1611205
     /* 1611205 */   GIM_Try, /*On fail goto*//*Label 22256*/ GIMT_Encode4(1611291), // Rule ID 3479 //
     /* 1611210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1611221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1611224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1611227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1611233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611256 */     // MIs[0] policy
     /* 1611256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611266 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1611269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611290 */     // GIR_Coverage, 3479,
     /* 1611290 */     GIR_EraseRootFromParent_Done,
     /* 1611291 */   // Label 22256: @1611291
     /* 1611291 */   GIM_Try, /*On fail goto*//*Label 22257*/ GIMT_Encode4(1611377), // Rule ID 3482 //
     /* 1611296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1611307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1611310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1611313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611342 */     // MIs[0] policy
     /* 1611342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1611355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611376 */     // GIR_Coverage, 3482,
     /* 1611376 */     GIR_EraseRootFromParent_Done,
     /* 1611377 */   // Label 22257: @1611377
     /* 1611377 */   GIM_Try, /*On fail goto*//*Label 22258*/ GIMT_Encode4(1611463), // Rule ID 3483 //
     /* 1611382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1611393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1611396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1611399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611428 */     // MIs[0] policy
     /* 1611428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611438 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1611441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611462 */     // GIR_Coverage, 3483,
     /* 1611462 */     GIR_EraseRootFromParent_Done,
     /* 1611463 */   // Label 22258: @1611463
     /* 1611463 */   GIM_Try, /*On fail goto*//*Label 22259*/ GIMT_Encode4(1611549), // Rule ID 3486 //
     /* 1611468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1611485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611514 */     // MIs[0] policy
     /* 1611514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1611527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611548 */     // GIR_Coverage, 3486,
     /* 1611548 */     GIR_EraseRootFromParent_Done,
     /* 1611549 */   // Label 22259: @1611549
     /* 1611549 */   GIM_Try, /*On fail goto*//*Label 22260*/ GIMT_Encode4(1611635), // Rule ID 3487 //
     /* 1611554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1611571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611600 */     // MIs[0] policy
     /* 1611600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1611613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611634 */     // GIR_Coverage, 3487,
     /* 1611634 */     GIR_EraseRootFromParent_Done,
     /* 1611635 */   // Label 22260: @1611635
     /* 1611635 */   GIM_Try, /*On fail goto*//*Label 22261*/ GIMT_Encode4(1611721), // Rule ID 3490 //
     /* 1611640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1611651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1611654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1611657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611686 */     // MIs[0] policy
     /* 1611686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1611699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611720 */     // GIR_Coverage, 3490,
     /* 1611720 */     GIR_EraseRootFromParent_Done,
     /* 1611721 */   // Label 22261: @1611721
     /* 1611721 */   GIM_Try, /*On fail goto*//*Label 22262*/ GIMT_Encode4(1611807), // Rule ID 3491 //
     /* 1611726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1611737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1611740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1611743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611772 */     // MIs[0] policy
     /* 1611772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611782 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1611785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611806 */     // GIR_Coverage, 3491,
     /* 1611806 */     GIR_EraseRootFromParent_Done,
     /* 1611807 */   // Label 22262: @1611807
     /* 1611807 */   GIM_Try, /*On fail goto*//*Label 22263*/ GIMT_Encode4(1611893), // Rule ID 3494 //
     /* 1611812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1611815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1611829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611858 */     // MIs[0] policy
     /* 1611858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611868 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1611871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611892 */     // GIR_Coverage, 3494,
     /* 1611892 */     GIR_EraseRootFromParent_Done,
     /* 1611893 */   // Label 22263: @1611893
     /* 1611893 */   GIM_Try, /*On fail goto*//*Label 22264*/ GIMT_Encode4(1611979), // Rule ID 3495 //
     /* 1611898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1611901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1611915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611944 */     // MIs[0] policy
     /* 1611944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611954 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1611957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611978 */     // GIR_Coverage, 3495,
     /* 1611978 */     GIR_EraseRootFromParent_Done,
     /* 1611979 */   // Label 22264: @1611979
     /* 1611979 */   GIM_Try, /*On fail goto*//*Label 22265*/ GIMT_Encode4(1612065), // Rule ID 3498 //
     /* 1611984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1611987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1611992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1611995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1611998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1612001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612030 */     // MIs[0] policy
     /* 1612030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1612043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1612061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612064 */     // GIR_Coverage, 3498,
     /* 1612064 */     GIR_EraseRootFromParent_Done,
     /* 1612065 */   // Label 22265: @1612065
     /* 1612065 */   GIM_Try, /*On fail goto*//*Label 22266*/ GIMT_Encode4(1612151), // Rule ID 3499 //
     /* 1612070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1612073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1612078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1612081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1612084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1612087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612116 */     // MIs[0] policy
     /* 1612116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612126 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1612129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1612147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612150 */     // GIR_Coverage, 3499,
     /* 1612150 */     GIR_EraseRootFromParent_Done,
     /* 1612151 */   // Label 22266: @1612151
     /* 1612151 */   GIM_Try, /*On fail goto*//*Label 22267*/ GIMT_Encode4(1612237), // Rule ID 3502 //
     /* 1612156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1612159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1612164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1612167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1612170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1612173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612202 */     // MIs[0] policy
     /* 1612202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612212 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1612215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1612233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612236 */     // GIR_Coverage, 3502,
     /* 1612236 */     GIR_EraseRootFromParent_Done,
     /* 1612237 */   // Label 22267: @1612237
     /* 1612237 */   GIM_Try, /*On fail goto*//*Label 22268*/ GIMT_Encode4(1612323), // Rule ID 3503 //
     /* 1612242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1612245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1612250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1612253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1612256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1612259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612288 */     // MIs[0] policy
     /* 1612288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612298 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1612301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1612319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612322 */     // GIR_Coverage, 3503,
     /* 1612322 */     GIR_EraseRootFromParent_Done,
     /* 1612323 */   // Label 22268: @1612323
     /* 1612323 */   GIM_Try, /*On fail goto*//*Label 22269*/ GIMT_Encode4(1612409), // Rule ID 3594 //
     /* 1612328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1612339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1612342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1612345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1612348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612374 */     // MIs[0] policy
     /* 1612374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612384 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1612387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612408 */     // GIR_Coverage, 3594,
     /* 1612408 */     GIR_EraseRootFromParent_Done,
     /* 1612409 */   // Label 22269: @1612409
     /* 1612409 */   GIM_Try, /*On fail goto*//*Label 22270*/ GIMT_Encode4(1612495), // Rule ID 3595 //
     /* 1612414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1612425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1612428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1612431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1612434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612460 */     // MIs[0] policy
     /* 1612460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612470 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1612473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612494 */     // GIR_Coverage, 3595,
     /* 1612494 */     GIR_EraseRootFromParent_Done,
     /* 1612495 */   // Label 22270: @1612495
     /* 1612495 */   GIM_Try, /*On fail goto*//*Label 22271*/ GIMT_Encode4(1612581), // Rule ID 3598 //
     /* 1612500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1612511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1612514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1612520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612546 */     // MIs[0] policy
     /* 1612546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612556 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1612559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612580 */     // GIR_Coverage, 3598,
     /* 1612580 */     GIR_EraseRootFromParent_Done,
     /* 1612581 */   // Label 22271: @1612581
     /* 1612581 */   GIM_Try, /*On fail goto*//*Label 22272*/ GIMT_Encode4(1612667), // Rule ID 3599 //
     /* 1612586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1612597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1612600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1612606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612632 */     // MIs[0] policy
     /* 1612632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612642 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1612645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612666 */     // GIR_Coverage, 3599,
     /* 1612666 */     GIR_EraseRootFromParent_Done,
     /* 1612667 */   // Label 22272: @1612667
     /* 1612667 */   GIM_Try, /*On fail goto*//*Label 22273*/ GIMT_Encode4(1612753), // Rule ID 3602 //
     /* 1612672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1612683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1612686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1612692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612718 */     // MIs[0] policy
     /* 1612718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1612731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612752 */     // GIR_Coverage, 3602,
     /* 1612752 */     GIR_EraseRootFromParent_Done,
     /* 1612753 */   // Label 22273: @1612753
     /* 1612753 */   GIM_Try, /*On fail goto*//*Label 22274*/ GIMT_Encode4(1612839), // Rule ID 3603 //
     /* 1612758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1612769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1612772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1612778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612804 */     // MIs[0] policy
     /* 1612804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612814 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1612817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612838 */     // GIR_Coverage, 3603,
     /* 1612838 */     GIR_EraseRootFromParent_Done,
     /* 1612839 */   // Label 22274: @1612839
     /* 1612839 */   GIM_Try, /*On fail goto*//*Label 22275*/ GIMT_Encode4(1612925), // Rule ID 3606 //
     /* 1612844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1612855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1612858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1612861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1612864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612890 */     // MIs[0] policy
     /* 1612890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612900 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1612903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612924 */     // GIR_Coverage, 3606,
     /* 1612924 */     GIR_EraseRootFromParent_Done,
     /* 1612925 */   // Label 22275: @1612925
     /* 1612925 */   GIM_Try, /*On fail goto*//*Label 22276*/ GIMT_Encode4(1613011), // Rule ID 3607 //
     /* 1612930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1612941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1612944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1612947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1612950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612976 */     // MIs[0] policy
     /* 1612976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612986 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1612989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613010 */     // GIR_Coverage, 3607,
     /* 1613010 */     GIR_EraseRootFromParent_Done,
     /* 1613011 */   // Label 22276: @1613011
     /* 1613011 */   GIM_Try, /*On fail goto*//*Label 22277*/ GIMT_Encode4(1613097), // Rule ID 3610 //
     /* 1613016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1613027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1613030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1613033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1613036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613062 */     // MIs[0] policy
     /* 1613062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613072 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1613075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613096 */     // GIR_Coverage, 3610,
     /* 1613096 */     GIR_EraseRootFromParent_Done,
     /* 1613097 */   // Label 22277: @1613097
     /* 1613097 */   GIM_Try, /*On fail goto*//*Label 22278*/ GIMT_Encode4(1613183), // Rule ID 3611 //
     /* 1613102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1613113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1613116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1613119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1613122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613148 */     // MIs[0] policy
     /* 1613148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613158 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1613161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613182 */     // GIR_Coverage, 3611,
     /* 1613182 */     GIR_EraseRootFromParent_Done,
     /* 1613183 */   // Label 22278: @1613183
     /* 1613183 */   GIM_Try, /*On fail goto*//*Label 22279*/ GIMT_Encode4(1613269), // Rule ID 3614 //
     /* 1613188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1613199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1613202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1613208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613234 */     // MIs[0] policy
     /* 1613234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613244 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1613247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613268 */     // GIR_Coverage, 3614,
     /* 1613268 */     GIR_EraseRootFromParent_Done,
     /* 1613269 */   // Label 22279: @1613269
     /* 1613269 */   GIM_Try, /*On fail goto*//*Label 22280*/ GIMT_Encode4(1613355), // Rule ID 3615 //
     /* 1613274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1613285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1613288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1613294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613320 */     // MIs[0] policy
     /* 1613320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613330 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1613333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613354 */     // GIR_Coverage, 3615,
     /* 1613354 */     GIR_EraseRootFromParent_Done,
     /* 1613355 */   // Label 22280: @1613355
     /* 1613355 */   GIM_Try, /*On fail goto*//*Label 22281*/ GIMT_Encode4(1613441), // Rule ID 3618 //
     /* 1613360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1613371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1613374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1613377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1613380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613406 */     // MIs[0] policy
     /* 1613406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613416 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1613419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613440 */     // GIR_Coverage, 3618,
     /* 1613440 */     GIR_EraseRootFromParent_Done,
     /* 1613441 */   // Label 22281: @1613441
     /* 1613441 */   GIM_Try, /*On fail goto*//*Label 22282*/ GIMT_Encode4(1613527), // Rule ID 3619 //
     /* 1613446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1613457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1613460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1613463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1613466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613492 */     // MIs[0] policy
     /* 1613492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613502 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1613505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613526 */     // GIR_Coverage, 3619,
     /* 1613526 */     GIR_EraseRootFromParent_Done,
     /* 1613527 */   // Label 22282: @1613527
     /* 1613527 */   GIM_Try, /*On fail goto*//*Label 22283*/ GIMT_Encode4(1613613), // Rule ID 3622 //
     /* 1613532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1613543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1613546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1613549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1613552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613578 */     // MIs[0] policy
     /* 1613578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1613591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613612 */     // GIR_Coverage, 3622,
     /* 1613612 */     GIR_EraseRootFromParent_Done,
     /* 1613613 */   // Label 22283: @1613613
     /* 1613613 */   GIM_Try, /*On fail goto*//*Label 22284*/ GIMT_Encode4(1613699), // Rule ID 3623 //
     /* 1613618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1613629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1613632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1613635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1613638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613664 */     // MIs[0] policy
     /* 1613664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613674 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1613677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613698 */     // GIR_Coverage, 3623,
     /* 1613698 */     GIR_EraseRootFromParent_Done,
     /* 1613699 */   // Label 22284: @1613699
     /* 1613699 */   GIM_Try, /*On fail goto*//*Label 22285*/ GIMT_Encode4(1613785), // Rule ID 3626 //
     /* 1613704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1613715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1613718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1613721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1613724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613750 */     // MIs[0] policy
     /* 1613750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613760 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1613763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613784 */     // GIR_Coverage, 3626,
     /* 1613784 */     GIR_EraseRootFromParent_Done,
     /* 1613785 */   // Label 22285: @1613785
     /* 1613785 */   GIM_Try, /*On fail goto*//*Label 22286*/ GIMT_Encode4(1613871), // Rule ID 3627 //
     /* 1613790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1613801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1613804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1613807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1613810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613836 */     // MIs[0] policy
     /* 1613836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613846 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1613849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613870 */     // GIR_Coverage, 3627,
     /* 1613870 */     GIR_EraseRootFromParent_Done,
     /* 1613871 */   // Label 22286: @1613871
     /* 1613871 */   GIM_Try, /*On fail goto*//*Label 22287*/ GIMT_Encode4(1613957), // Rule ID 3630 //
     /* 1613876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1613887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1613890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1613893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1613896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613922 */     // MIs[0] policy
     /* 1613922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613932 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1613935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613956 */     // GIR_Coverage, 3630,
     /* 1613956 */     GIR_EraseRootFromParent_Done,
     /* 1613957 */   // Label 22287: @1613957
     /* 1613957 */   GIM_Try, /*On fail goto*//*Label 22288*/ GIMT_Encode4(1614043), // Rule ID 3631 //
     /* 1613962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1613973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1613976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1613979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1613982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614008 */     // MIs[0] policy
     /* 1614008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614018 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1614021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614042 */     // GIR_Coverage, 3631,
     /* 1614042 */     GIR_EraseRootFromParent_Done,
     /* 1614043 */   // Label 22288: @1614043
     /* 1614043 */   GIM_Try, /*On fail goto*//*Label 22289*/ GIMT_Encode4(1614129), // Rule ID 3634 //
     /* 1614048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1614059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1614062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1614065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1614068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614094 */     // MIs[0] policy
     /* 1614094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614104 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1614107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614128 */     // GIR_Coverage, 3634,
     /* 1614128 */     GIR_EraseRootFromParent_Done,
     /* 1614129 */   // Label 22289: @1614129
     /* 1614129 */   GIM_Try, /*On fail goto*//*Label 22290*/ GIMT_Encode4(1614215), // Rule ID 3635 //
     /* 1614134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1614145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1614148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1614151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1614154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614180 */     // MIs[0] policy
     /* 1614180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614190 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1614193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614214 */     // GIR_Coverage, 3635,
     /* 1614214 */     GIR_EraseRootFromParent_Done,
     /* 1614215 */   // Label 22290: @1614215
     /* 1614215 */   GIM_Try, /*On fail goto*//*Label 22291*/ GIMT_Encode4(1614301), // Rule ID 3638 //
     /* 1614220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1614237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1614240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614266 */     // MIs[0] policy
     /* 1614266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1614279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614300 */     // GIR_Coverage, 3638,
     /* 1614300 */     GIR_EraseRootFromParent_Done,
     /* 1614301 */   // Label 22291: @1614301
     /* 1614301 */   GIM_Try, /*On fail goto*//*Label 22292*/ GIMT_Encode4(1614387), // Rule ID 3639 //
     /* 1614306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1614323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1614326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614352 */     // MIs[0] policy
     /* 1614352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614362 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1614365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614386 */     // GIR_Coverage, 3639,
     /* 1614386 */     GIR_EraseRootFromParent_Done,
     /* 1614387 */   // Label 22292: @1614387
     /* 1614387 */   GIM_Try, /*On fail goto*//*Label 22293*/ GIMT_Encode4(1614473), // Rule ID 3642 //
     /* 1614392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1614403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1614406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1614409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1614412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614438 */     // MIs[0] policy
     /* 1614438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614448 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1614451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614472 */     // GIR_Coverage, 3642,
     /* 1614472 */     GIR_EraseRootFromParent_Done,
     /* 1614473 */   // Label 22293: @1614473
     /* 1614473 */   GIM_Try, /*On fail goto*//*Label 22294*/ GIMT_Encode4(1614559), // Rule ID 3643 //
     /* 1614478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1614489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1614492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1614495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1614498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614524 */     // MIs[0] policy
     /* 1614524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614534 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1614537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614558 */     // GIR_Coverage, 3643,
     /* 1614558 */     GIR_EraseRootFromParent_Done,
     /* 1614559 */   // Label 22294: @1614559
     /* 1614559 */   GIM_Try, /*On fail goto*//*Label 22295*/ GIMT_Encode4(1614645), // Rule ID 3646 //
     /* 1614564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1614575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1614578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1614581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1614584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614610 */     // MIs[0] policy
     /* 1614610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614620 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1614623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614644 */     // GIR_Coverage, 3646,
     /* 1614644 */     GIR_EraseRootFromParent_Done,
     /* 1614645 */   // Label 22295: @1614645
     /* 1614645 */   GIM_Try, /*On fail goto*//*Label 22296*/ GIMT_Encode4(1614731), // Rule ID 3647 //
     /* 1614650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1614661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1614664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1614667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1614670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614696 */     // MIs[0] policy
     /* 1614696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614706 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1614709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614730 */     // GIR_Coverage, 3647,
     /* 1614730 */     GIR_EraseRootFromParent_Done,
     /* 1614731 */   // Label 22296: @1614731
     /* 1614731 */   GIM_Try, /*On fail goto*//*Label 22297*/ GIMT_Encode4(1614817), // Rule ID 3650 //
     /* 1614736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1614747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1614750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1614753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1614756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614782 */     // MIs[0] policy
     /* 1614782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614792 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1614795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614816 */     // GIR_Coverage, 3650,
     /* 1614816 */     GIR_EraseRootFromParent_Done,
     /* 1614817 */   // Label 22297: @1614817
     /* 1614817 */   GIM_Try, /*On fail goto*//*Label 22298*/ GIMT_Encode4(1614903), // Rule ID 3651 //
     /* 1614822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1614833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1614836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1614839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1614842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614868 */     // MIs[0] policy
     /* 1614868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614878 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1614881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614902 */     // GIR_Coverage, 3651,
     /* 1614902 */     GIR_EraseRootFromParent_Done,
     /* 1614903 */   // Label 22298: @1614903
     /* 1614903 */   GIM_Try, /*On fail goto*//*Label 22299*/ GIMT_Encode4(1614989), // Rule ID 3654 //
     /* 1614908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1614919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1614922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1614925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614954 */     // MIs[0] policy
     /* 1614954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614964 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1614967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614988 */     // GIR_Coverage, 3654,
     /* 1614988 */     GIR_EraseRootFromParent_Done,
     /* 1614989 */   // Label 22299: @1614989
     /* 1614989 */   GIM_Try, /*On fail goto*//*Label 22300*/ GIMT_Encode4(1615075), // Rule ID 3655 //
     /* 1614994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1615005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1615008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1615011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615040 */     // MIs[0] policy
     /* 1615040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615050 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1615053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615074 */     // GIR_Coverage, 3655,
     /* 1615074 */     GIR_EraseRootFromParent_Done,
     /* 1615075 */   // Label 22300: @1615075
     /* 1615075 */   GIM_Try, /*On fail goto*//*Label 22301*/ GIMT_Encode4(1615161), // Rule ID 3658 //
     /* 1615080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1615091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1615094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1615097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615126 */     // MIs[0] policy
     /* 1615126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1615139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615160 */     // GIR_Coverage, 3658,
     /* 1615160 */     GIR_EraseRootFromParent_Done,
     /* 1615161 */   // Label 22301: @1615161
     /* 1615161 */   GIM_Try, /*On fail goto*//*Label 22302*/ GIMT_Encode4(1615247), // Rule ID 3659 //
     /* 1615166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1615177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1615180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1615183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615212 */     // MIs[0] policy
     /* 1615212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615222 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1615225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615246 */     // GIR_Coverage, 3659,
     /* 1615246 */     GIR_EraseRootFromParent_Done,
     /* 1615247 */   // Label 22302: @1615247
     /* 1615247 */   GIM_Try, /*On fail goto*//*Label 22303*/ GIMT_Encode4(1615333), // Rule ID 3662 //
     /* 1615252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1615263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1615266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1615269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615298 */     // MIs[0] policy
     /* 1615298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1615311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615332 */     // GIR_Coverage, 3662,
     /* 1615332 */     GIR_EraseRootFromParent_Done,
     /* 1615333 */   // Label 22303: @1615333
     /* 1615333 */   GIM_Try, /*On fail goto*//*Label 22304*/ GIMT_Encode4(1615419), // Rule ID 3663 //
     /* 1615338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1615349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1615352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1615355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615384 */     // MIs[0] policy
     /* 1615384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615394 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1615397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615418 */     // GIR_Coverage, 3663,
     /* 1615418 */     GIR_EraseRootFromParent_Done,
     /* 1615419 */   // Label 22304: @1615419
     /* 1615419 */   GIM_Try, /*On fail goto*//*Label 22305*/ GIMT_Encode4(1615505), // Rule ID 3666 //
     /* 1615424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1615435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1615438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1615441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615470 */     // MIs[0] policy
     /* 1615470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615480 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1615483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615504 */     // GIR_Coverage, 3666,
     /* 1615504 */     GIR_EraseRootFromParent_Done,
     /* 1615505 */   // Label 22305: @1615505
     /* 1615505 */   GIM_Try, /*On fail goto*//*Label 22306*/ GIMT_Encode4(1615591), // Rule ID 3667 //
     /* 1615510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1615521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1615524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1615527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615556 */     // MIs[0] policy
     /* 1615556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615566 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1615569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615590 */     // GIR_Coverage, 3667,
     /* 1615590 */     GIR_EraseRootFromParent_Done,
     /* 1615591 */   // Label 22306: @1615591
     /* 1615591 */   GIM_Try, /*On fail goto*//*Label 22307*/ GIMT_Encode4(1615677), // Rule ID 3670 //
     /* 1615596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1615607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1615610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1615613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615642 */     // MIs[0] policy
     /* 1615642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615652 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1615655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615676 */     // GIR_Coverage, 3670,
     /* 1615676 */     GIR_EraseRootFromParent_Done,
     /* 1615677 */   // Label 22307: @1615677
     /* 1615677 */   GIM_Try, /*On fail goto*//*Label 22308*/ GIMT_Encode4(1615763), // Rule ID 3671 //
     /* 1615682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1615693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1615696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1615699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615728 */     // MIs[0] policy
     /* 1615728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615738 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1615741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615762 */     // GIR_Coverage, 3671,
     /* 1615762 */     GIR_EraseRootFromParent_Done,
     /* 1615763 */   // Label 22308: @1615763
     /* 1615763 */   GIM_Try, /*On fail goto*//*Label 22309*/ GIMT_Encode4(1615849), // Rule ID 3674 //
     /* 1615768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1615779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1615782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1615785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1615791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615814 */     // MIs[0] policy
     /* 1615814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615824 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1615827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615848 */     // GIR_Coverage, 3674,
     /* 1615848 */     GIR_EraseRootFromParent_Done,
     /* 1615849 */   // Label 22309: @1615849
     /* 1615849 */   GIM_Try, /*On fail goto*//*Label 22310*/ GIMT_Encode4(1615935), // Rule ID 3675 //
     /* 1615854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1615865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1615868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1615871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1615877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615900 */     // MIs[0] policy
     /* 1615900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615910 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1615913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615934 */     // GIR_Coverage, 3675,
     /* 1615934 */     GIR_EraseRootFromParent_Done,
     /* 1615935 */   // Label 22310: @1615935
     /* 1615935 */   GIM_Try, /*On fail goto*//*Label 22311*/ GIMT_Encode4(1616021), // Rule ID 3678 //
     /* 1615940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1615948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1615951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1615954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1615957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615986 */     // MIs[0] policy
     /* 1615986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615996 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1615999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616020 */     // GIR_Coverage, 3678,
     /* 1616020 */     GIR_EraseRootFromParent_Done,
     /* 1616021 */   // Label 22311: @1616021
     /* 1616021 */   GIM_Try, /*On fail goto*//*Label 22312*/ GIMT_Encode4(1616107), // Rule ID 3679 //
     /* 1616026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1616037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1616040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1616043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616072 */     // MIs[0] policy
     /* 1616072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616082 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1616085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616106 */     // GIR_Coverage, 3679,
     /* 1616106 */     GIR_EraseRootFromParent_Done,
     /* 1616107 */   // Label 22312: @1616107
     /* 1616107 */   GIM_Try, /*On fail goto*//*Label 22313*/ GIMT_Encode4(1616193), // Rule ID 3682 //
     /* 1616112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1616123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1616126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1616129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616158 */     // MIs[0] policy
     /* 1616158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1616171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616192 */     // GIR_Coverage, 3682,
     /* 1616192 */     GIR_EraseRootFromParent_Done,
     /* 1616193 */   // Label 22313: @1616193
     /* 1616193 */   GIM_Try, /*On fail goto*//*Label 22314*/ GIMT_Encode4(1616279), // Rule ID 3683 //
     /* 1616198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1616209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1616212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1616215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616244 */     // MIs[0] policy
     /* 1616244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616254 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1616257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616278 */     // GIR_Coverage, 3683,
     /* 1616278 */     GIR_EraseRootFromParent_Done,
     /* 1616279 */   // Label 22314: @1616279
     /* 1616279 */   GIM_Try, /*On fail goto*//*Label 22315*/ GIMT_Encode4(1616365), // Rule ID 3686 //
     /* 1616284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1616295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1616298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1616301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616330 */     // MIs[0] policy
     /* 1616330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1616343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616364 */     // GIR_Coverage, 3686,
     /* 1616364 */     GIR_EraseRootFromParent_Done,
     /* 1616365 */   // Label 22315: @1616365
     /* 1616365 */   GIM_Try, /*On fail goto*//*Label 22316*/ GIMT_Encode4(1616451), // Rule ID 3687 //
     /* 1616370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1616381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1616384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1616387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616416 */     // MIs[0] policy
     /* 1616416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1616429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616450 */     // GIR_Coverage, 3687,
     /* 1616450 */     GIR_EraseRootFromParent_Done,
     /* 1616451 */   // Label 22316: @1616451
     /* 1616451 */   GIM_Try, /*On fail goto*//*Label 22317*/ GIMT_Encode4(1616537), // Rule ID 3690 //
     /* 1616456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1616467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1616470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1616473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616502 */     // MIs[0] policy
     /* 1616502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1616515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616536 */     // GIR_Coverage, 3690,
     /* 1616536 */     GIR_EraseRootFromParent_Done,
     /* 1616537 */   // Label 22317: @1616537
     /* 1616537 */   GIM_Try, /*On fail goto*//*Label 22318*/ GIMT_Encode4(1616623), // Rule ID 3691 //
     /* 1616542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1616553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1616556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1616559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616588 */     // MIs[0] policy
     /* 1616588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1616601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616622 */     // GIR_Coverage, 3691,
     /* 1616622 */     GIR_EraseRootFromParent_Done,
     /* 1616623 */   // Label 22318: @1616623
     /* 1616623 */   GIM_Try, /*On fail goto*//*Label 22319*/ GIMT_Encode4(1616709), // Rule ID 3694 //
     /* 1616628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1616639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1616642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1616645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616674 */     // MIs[0] policy
     /* 1616674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1616687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616708 */     // GIR_Coverage, 3694,
     /* 1616708 */     GIR_EraseRootFromParent_Done,
     /* 1616709 */   // Label 22319: @1616709
     /* 1616709 */   GIM_Try, /*On fail goto*//*Label 22320*/ GIMT_Encode4(1616795), // Rule ID 3695 //
     /* 1616714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1616725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1616728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1616731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616760 */     // MIs[0] policy
     /* 1616760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1616773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616794 */     // GIR_Coverage, 3695,
     /* 1616794 */     GIR_EraseRootFromParent_Done,
     /* 1616795 */   // Label 22320: @1616795
     /* 1616795 */   GIM_Try, /*On fail goto*//*Label 22321*/ GIMT_Encode4(1616881), // Rule ID 3698 //
     /* 1616800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1616811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1616814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1616817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616846 */     // MIs[0] policy
     /* 1616846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1616859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616880 */     // GIR_Coverage, 3698,
     /* 1616880 */     GIR_EraseRootFromParent_Done,
     /* 1616881 */   // Label 22321: @1616881
     /* 1616881 */   GIM_Try, /*On fail goto*//*Label 22322*/ GIMT_Encode4(1616967), // Rule ID 3699 //
     /* 1616886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1616889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1616897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1616900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1616903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616932 */     // MIs[0] policy
     /* 1616932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1616945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616966 */     // GIR_Coverage, 3699,
     /* 1616966 */     GIR_EraseRootFromParent_Done,
     /* 1616967 */   // Label 22322: @1616967
     /* 1616967 */   GIM_Try, /*On fail goto*//*Label 22323*/ GIMT_Encode4(1617053), // Rule ID 3702 //
     /* 1616972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1616983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1616986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1616989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617018 */     // MIs[0] policy
     /* 1617018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617028 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1617031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617052 */     // GIR_Coverage, 3702,
     /* 1617052 */     GIR_EraseRootFromParent_Done,
     /* 1617053 */   // Label 22323: @1617053
     /* 1617053 */   GIM_Try, /*On fail goto*//*Label 22324*/ GIMT_Encode4(1617139), // Rule ID 3703 //
     /* 1617058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1617069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1617072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1617075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617104 */     // MIs[0] policy
     /* 1617104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617114 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1617117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617138 */     // GIR_Coverage, 3703,
     /* 1617138 */     GIR_EraseRootFromParent_Done,
     /* 1617139 */   // Label 22324: @1617139
     /* 1617139 */   GIM_Try, /*On fail goto*//*Label 22325*/ GIMT_Encode4(1617225), // Rule ID 3706 //
     /* 1617144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1617155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1617158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1617161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617190 */     // MIs[0] policy
     /* 1617190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617200 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1617203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617224 */     // GIR_Coverage, 3706,
     /* 1617224 */     GIR_EraseRootFromParent_Done,
     /* 1617225 */   // Label 22325: @1617225
     /* 1617225 */   GIM_Try, /*On fail goto*//*Label 22326*/ GIMT_Encode4(1617311), // Rule ID 3707 //
     /* 1617230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1617241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1617244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1617247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617276 */     // MIs[0] policy
     /* 1617276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617286 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1617289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617310 */     // GIR_Coverage, 3707,
     /* 1617310 */     GIR_EraseRootFromParent_Done,
     /* 1617311 */   // Label 22326: @1617311
     /* 1617311 */   GIM_Try, /*On fail goto*//*Label 22327*/ GIMT_Encode4(1617397), // Rule ID 3710 //
     /* 1617316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1617327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1617330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1617333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617362 */     // MIs[0] policy
     /* 1617362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617372 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1617375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617396 */     // GIR_Coverage, 3710,
     /* 1617396 */     GIR_EraseRootFromParent_Done,
     /* 1617397 */   // Label 22327: @1617397
     /* 1617397 */   GIM_Try, /*On fail goto*//*Label 22328*/ GIMT_Encode4(1617483), // Rule ID 3711 //
     /* 1617402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1617413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1617416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1617419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617448 */     // MIs[0] policy
     /* 1617448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617458 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1617461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617482 */     // GIR_Coverage, 3711,
     /* 1617482 */     GIR_EraseRootFromParent_Done,
     /* 1617483 */   // Label 22328: @1617483
     /* 1617483 */   GIM_Try, /*On fail goto*//*Label 22329*/ GIMT_Encode4(1617569), // Rule ID 3714 //
     /* 1617488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1617499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1617502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1617505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1617508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617534 */     // MIs[0] policy
     /* 1617534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617544 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11688:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1617547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617568 */     // GIR_Coverage, 3714,
     /* 1617568 */     GIR_EraseRootFromParent_Done,
     /* 1617569 */   // Label 22329: @1617569
     /* 1617569 */   GIM_Try, /*On fail goto*//*Label 22330*/ GIMT_Encode4(1617655), // Rule ID 3715 //
     /* 1617574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1617585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1617588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1617591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1617594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617620 */     // MIs[0] policy
     /* 1617620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617630 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11688:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1617633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617654 */     // GIR_Coverage, 3715,
     /* 1617654 */     GIR_EraseRootFromParent_Done,
     /* 1617655 */   // Label 22330: @1617655
     /* 1617655 */   GIM_Try, /*On fail goto*//*Label 22331*/ GIMT_Encode4(1617741), // Rule ID 3718 //
     /* 1617660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1617671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1617674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1617677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1617680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617706 */     // MIs[0] policy
     /* 1617706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617716 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11688:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1617719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617740 */     // GIR_Coverage, 3718,
     /* 1617740 */     GIR_EraseRootFromParent_Done,
     /* 1617741 */   // Label 22331: @1617741
     /* 1617741 */   GIM_Try, /*On fail goto*//*Label 22332*/ GIMT_Encode4(1617827), // Rule ID 3719 //
     /* 1617746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1617757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1617760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1617763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1617766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617792 */     // MIs[0] policy
     /* 1617792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617802 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11688:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1617805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617826 */     // GIR_Coverage, 3719,
     /* 1617826 */     GIR_EraseRootFromParent_Done,
     /* 1617827 */   // Label 22332: @1617827
     /* 1617827 */   GIM_Try, /*On fail goto*//*Label 22333*/ GIMT_Encode4(1617913), // Rule ID 3722 //
     /* 1617832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1617843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1617846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1617849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1617852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617878 */     // MIs[0] policy
     /* 1617878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617888 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11688:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1617891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617912 */     // GIR_Coverage, 3722,
     /* 1617912 */     GIR_EraseRootFromParent_Done,
     /* 1617913 */   // Label 22333: @1617913
     /* 1617913 */   GIM_Try, /*On fail goto*//*Label 22334*/ GIMT_Encode4(1617999), // Rule ID 3723 //
     /* 1617918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1617929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1617932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1617935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1617938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617964 */     // MIs[0] policy
     /* 1617964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11688:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1617977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617998 */     // GIR_Coverage, 3723,
     /* 1617998 */     GIR_EraseRootFromParent_Done,
     /* 1617999 */   // Label 22334: @1617999
     /* 1617999 */   GIM_Try, /*On fail goto*//*Label 22335*/ GIMT_Encode4(1618085), // Rule ID 3726 //
     /* 1618004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1618015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1618018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1618021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1618024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618050 */     // MIs[0] policy
     /* 1618050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618060 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11688:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1618063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618084 */     // GIR_Coverage, 3726,
     /* 1618084 */     GIR_EraseRootFromParent_Done,
     /* 1618085 */   // Label 22335: @1618085
     /* 1618085 */   GIM_Try, /*On fail goto*//*Label 22336*/ GIMT_Encode4(1618171), // Rule ID 3727 //
     /* 1618090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1618101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1618104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1618107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1618110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618136 */     // MIs[0] policy
     /* 1618136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11688:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1618149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618170 */     // GIR_Coverage, 3727,
     /* 1618170 */     GIR_EraseRootFromParent_Done,
     /* 1618171 */   // Label 22336: @1618171
     /* 1618171 */   GIM_Try, /*On fail goto*//*Label 22337*/ GIMT_Encode4(1618257), // Rule ID 3730 //
     /* 1618176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1618187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1618190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1618193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1618196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618222 */     // MIs[0] policy
     /* 1618222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618232 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11688:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1618235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618256 */     // GIR_Coverage, 3730,
     /* 1618256 */     GIR_EraseRootFromParent_Done,
     /* 1618257 */   // Label 22337: @1618257
     /* 1618257 */   GIM_Try, /*On fail goto*//*Label 22338*/ GIMT_Encode4(1618343), // Rule ID 3731 //
     /* 1618262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1618273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1618276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1618279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1618282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618308 */     // MIs[0] policy
     /* 1618308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618318 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11688:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1618321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618342 */     // GIR_Coverage, 3731,
     /* 1618342 */     GIR_EraseRootFromParent_Done,
     /* 1618343 */   // Label 22338: @1618343
     /* 1618343 */   GIM_Try, /*On fail goto*//*Label 22339*/ GIMT_Encode4(1618429), // Rule ID 3734 //
     /* 1618348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1618359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1618362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1618365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1618368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1618371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618394 */     // MIs[0] policy
     /* 1618394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618404 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11688:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1618407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618428 */     // GIR_Coverage, 3734,
     /* 1618428 */     GIR_EraseRootFromParent_Done,
     /* 1618429 */   // Label 22339: @1618429
     /* 1618429 */   GIM_Try, /*On fail goto*//*Label 22340*/ GIMT_Encode4(1618515), // Rule ID 3735 //
     /* 1618434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1618445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1618448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1618451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1618454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1618457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618480 */     // MIs[0] policy
     /* 1618480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618490 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11688:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1618493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618514 */     // GIR_Coverage, 3735,
     /* 1618514 */     GIR_EraseRootFromParent_Done,
     /* 1618515 */   // Label 22340: @1618515
     /* 1618515 */   GIM_Try, /*On fail goto*//*Label 22341*/ GIMT_Encode4(1618601), // Rule ID 3738 //
     /* 1618520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1618531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1618534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1618537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1618540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618566 */     // MIs[0] policy
     /* 1618566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618576 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11688:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1618579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618600 */     // GIR_Coverage, 3738,
     /* 1618600 */     GIR_EraseRootFromParent_Done,
     /* 1618601 */   // Label 22341: @1618601
     /* 1618601 */   GIM_Try, /*On fail goto*//*Label 22342*/ GIMT_Encode4(1618687), // Rule ID 3739 //
     /* 1618606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1618617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1618620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1618623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1618626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618652 */     // MIs[0] policy
     /* 1618652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618662 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11688:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1618665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618686 */     // GIR_Coverage, 3739,
     /* 1618686 */     GIR_EraseRootFromParent_Done,
     /* 1618687 */   // Label 22342: @1618687
     /* 1618687 */   GIM_Try, /*On fail goto*//*Label 22343*/ GIMT_Encode4(1618773), // Rule ID 3742 //
     /* 1618692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1618703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1618706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1618709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1618712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618738 */     // MIs[0] policy
     /* 1618738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11688:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1618751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618772 */     // GIR_Coverage, 3742,
     /* 1618772 */     GIR_EraseRootFromParent_Done,
     /* 1618773 */   // Label 22343: @1618773
     /* 1618773 */   GIM_Try, /*On fail goto*//*Label 22344*/ GIMT_Encode4(1618859), // Rule ID 3743 //
     /* 1618778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1618789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1618792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1618795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1618798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618824 */     // MIs[0] policy
     /* 1618824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11688:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1618837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618858 */     // GIR_Coverage, 3743,
     /* 1618858 */     GIR_EraseRootFromParent_Done,
     /* 1618859 */   // Label 22344: @1618859
     /* 1618859 */   GIM_Try, /*On fail goto*//*Label 22345*/ GIMT_Encode4(1618945), // Rule ID 3746 //
     /* 1618864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1618875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1618878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1618881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1618884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618910 */     // MIs[0] policy
     /* 1618910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618920 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11688:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1618923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618944 */     // GIR_Coverage, 3746,
     /* 1618944 */     GIR_EraseRootFromParent_Done,
     /* 1618945 */   // Label 22345: @1618945
     /* 1618945 */   GIM_Try, /*On fail goto*//*Label 22346*/ GIMT_Encode4(1619031), // Rule ID 3747 //
     /* 1618950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1618961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1618964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1618967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1618970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618996 */     // MIs[0] policy
     /* 1618996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619006 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11688:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1619009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619030 */     // GIR_Coverage, 3747,
     /* 1619030 */     GIR_EraseRootFromParent_Done,
     /* 1619031 */   // Label 22346: @1619031
     /* 1619031 */   GIM_Try, /*On fail goto*//*Label 22347*/ GIMT_Encode4(1619117), // Rule ID 3750 //
     /* 1619036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1619047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1619050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1619053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1619056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619082 */     // MIs[0] policy
     /* 1619082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619092 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11688:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1619095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619116 */     // GIR_Coverage, 3750,
     /* 1619116 */     GIR_EraseRootFromParent_Done,
     /* 1619117 */   // Label 22347: @1619117
     /* 1619117 */   GIM_Try, /*On fail goto*//*Label 22348*/ GIMT_Encode4(1619203), // Rule ID 3751 //
     /* 1619122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1619133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1619136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1619139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1619142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619168 */     // MIs[0] policy
     /* 1619168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619178 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11688:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1619181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619202 */     // GIR_Coverage, 3751,
     /* 1619202 */     GIR_EraseRootFromParent_Done,
     /* 1619203 */   // Label 22348: @1619203
     /* 1619203 */   GIM_Try, /*On fail goto*//*Label 22349*/ GIMT_Encode4(1619289), // Rule ID 3754 //
     /* 1619208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1619219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1619222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1619225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1619228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619254 */     // MIs[0] policy
     /* 1619254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619264 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11688:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1619267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619288 */     // GIR_Coverage, 3754,
     /* 1619288 */     GIR_EraseRootFromParent_Done,
     /* 1619289 */   // Label 22349: @1619289
     /* 1619289 */   GIM_Try, /*On fail goto*//*Label 22350*/ GIMT_Encode4(1619375), // Rule ID 3755 //
     /* 1619294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1619305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1619308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1619311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1619314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619340 */     // MIs[0] policy
     /* 1619340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619350 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11688:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1619353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619374 */     // GIR_Coverage, 3755,
     /* 1619374 */     GIR_EraseRootFromParent_Done,
     /* 1619375 */   // Label 22350: @1619375
     /* 1619375 */   GIM_Try, /*On fail goto*//*Label 22351*/ GIMT_Encode4(1619461), // Rule ID 3758 //
     /* 1619380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1619391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1619394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1619397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1619400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619426 */     // MIs[0] policy
     /* 1619426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619436 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11688:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1619439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619460 */     // GIR_Coverage, 3758,
     /* 1619460 */     GIR_EraseRootFromParent_Done,
     /* 1619461 */   // Label 22351: @1619461
     /* 1619461 */   GIM_Try, /*On fail goto*//*Label 22352*/ GIMT_Encode4(1619547), // Rule ID 3759 //
     /* 1619466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1619477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1619480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1619483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1619486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619512 */     // MIs[0] policy
     /* 1619512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11688:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1619525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619546 */     // GIR_Coverage, 3759,
     /* 1619546 */     GIR_EraseRootFromParent_Done,
     /* 1619547 */   // Label 22352: @1619547
     /* 1619547 */   GIM_Try, /*On fail goto*//*Label 22353*/ GIMT_Encode4(1619633), // Rule ID 3762 //
     /* 1619552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1619563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1619566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1619569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1619572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619598 */     // MIs[0] policy
     /* 1619598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619608 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11688:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1619611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619632 */     // GIR_Coverage, 3762,
     /* 1619632 */     GIR_EraseRootFromParent_Done,
     /* 1619633 */   // Label 22353: @1619633
     /* 1619633 */   GIM_Try, /*On fail goto*//*Label 22354*/ GIMT_Encode4(1619719), // Rule ID 3763 //
     /* 1619638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1619649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1619652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1619655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1619658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619684 */     // MIs[0] policy
     /* 1619684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619694 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11688:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1619697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619718 */     // GIR_Coverage, 3763,
     /* 1619718 */     GIR_EraseRootFromParent_Done,
     /* 1619719 */   // Label 22354: @1619719
     /* 1619719 */   GIM_Try, /*On fail goto*//*Label 22355*/ GIMT_Encode4(1619805), // Rule ID 3766 //
     /* 1619724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1619735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1619738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1619741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1619744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619770 */     // MIs[0] policy
     /* 1619770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619780 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11688:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1619783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619804 */     // GIR_Coverage, 3766,
     /* 1619804 */     GIR_EraseRootFromParent_Done,
     /* 1619805 */   // Label 22355: @1619805
     /* 1619805 */   GIM_Try, /*On fail goto*//*Label 22356*/ GIMT_Encode4(1619891), // Rule ID 3767 //
     /* 1619810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1619821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1619824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1619827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1619830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619856 */     // MIs[0] policy
     /* 1619856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619866 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11688:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1619869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619890 */     // GIR_Coverage, 3767,
     /* 1619890 */     GIR_EraseRootFromParent_Done,
     /* 1619891 */   // Label 22356: @1619891
     /* 1619891 */   GIM_Try, /*On fail goto*//*Label 22357*/ GIMT_Encode4(1619977), // Rule ID 3770 //
     /* 1619896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1619907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1619910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1619913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1619916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619942 */     // MIs[0] policy
     /* 1619942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619952 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11688:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1619955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619976 */     // GIR_Coverage, 3770,
     /* 1619976 */     GIR_EraseRootFromParent_Done,
     /* 1619977 */   // Label 22357: @1619977
     /* 1619977 */   GIM_Try, /*On fail goto*//*Label 22358*/ GIMT_Encode4(1620063), // Rule ID 3771 //
     /* 1619982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1619993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1619996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1619999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1620002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620028 */     // MIs[0] policy
     /* 1620028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620038 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11688:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1620041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620062 */     // GIR_Coverage, 3771,
     /* 1620062 */     GIR_EraseRootFromParent_Done,
     /* 1620063 */   // Label 22358: @1620063
     /* 1620063 */   GIM_Try, /*On fail goto*//*Label 22359*/ GIMT_Encode4(1620149), // Rule ID 3774 //
     /* 1620068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1620079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1620082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1620085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620114 */     // MIs[0] policy
     /* 1620114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620124 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11688:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1620127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620148 */     // GIR_Coverage, 3774,
     /* 1620148 */     GIR_EraseRootFromParent_Done,
     /* 1620149 */   // Label 22359: @1620149
     /* 1620149 */   GIM_Try, /*On fail goto*//*Label 22360*/ GIMT_Encode4(1620235), // Rule ID 3775 //
     /* 1620154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1620165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1620168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1620171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620200 */     // MIs[0] policy
     /* 1620200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620210 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11688:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1620213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620234 */     // GIR_Coverage, 3775,
     /* 1620234 */     GIR_EraseRootFromParent_Done,
     /* 1620235 */   // Label 22360: @1620235
     /* 1620235 */   GIM_Try, /*On fail goto*//*Label 22361*/ GIMT_Encode4(1620321), // Rule ID 3778 //
     /* 1620240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1620251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1620254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1620257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620286 */     // MIs[0] policy
     /* 1620286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11688:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1620299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620320 */     // GIR_Coverage, 3778,
     /* 1620320 */     GIR_EraseRootFromParent_Done,
     /* 1620321 */   // Label 22361: @1620321
     /* 1620321 */   GIM_Try, /*On fail goto*//*Label 22362*/ GIMT_Encode4(1620407), // Rule ID 3779 //
     /* 1620326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1620337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1620340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1620343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620372 */     // MIs[0] policy
     /* 1620372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620382 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11688:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1620385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620406 */     // GIR_Coverage, 3779,
     /* 1620406 */     GIR_EraseRootFromParent_Done,
     /* 1620407 */   // Label 22362: @1620407
     /* 1620407 */   GIM_Try, /*On fail goto*//*Label 22363*/ GIMT_Encode4(1620493), // Rule ID 3782 //
     /* 1620412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1620423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1620426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1620429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620458 */     // MIs[0] policy
     /* 1620458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620468 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11688:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1620471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620492 */     // GIR_Coverage, 3782,
     /* 1620492 */     GIR_EraseRootFromParent_Done,
     /* 1620493 */   // Label 22363: @1620493
     /* 1620493 */   GIM_Try, /*On fail goto*//*Label 22364*/ GIMT_Encode4(1620579), // Rule ID 3783 //
     /* 1620498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1620509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1620512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1620515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620544 */     // MIs[0] policy
     /* 1620544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620554 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11688:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1620557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620578 */     // GIR_Coverage, 3783,
     /* 1620578 */     GIR_EraseRootFromParent_Done,
     /* 1620579 */   // Label 22364: @1620579
     /* 1620579 */   GIM_Try, /*On fail goto*//*Label 22365*/ GIMT_Encode4(1620665), // Rule ID 3786 //
     /* 1620584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1620595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1620598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1620601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620630 */     // MIs[0] policy
     /* 1620630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620640 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11688:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1620643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620664 */     // GIR_Coverage, 3786,
     /* 1620664 */     GIR_EraseRootFromParent_Done,
     /* 1620665 */   // Label 22365: @1620665
     /* 1620665 */   GIM_Try, /*On fail goto*//*Label 22366*/ GIMT_Encode4(1620751), // Rule ID 3787 //
     /* 1620670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1620681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1620684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1620687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620716 */     // MIs[0] policy
     /* 1620716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620726 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11688:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1620729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620750 */     // GIR_Coverage, 3787,
     /* 1620750 */     GIR_EraseRootFromParent_Done,
     /* 1620751 */   // Label 22366: @1620751
     /* 1620751 */   GIM_Try, /*On fail goto*//*Label 22367*/ GIMT_Encode4(1620837), // Rule ID 3790 //
     /* 1620756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1620767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1620770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1620773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620802 */     // MIs[0] policy
     /* 1620802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620812 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11688:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1620815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620836 */     // GIR_Coverage, 3790,
     /* 1620836 */     GIR_EraseRootFromParent_Done,
     /* 1620837 */   // Label 22367: @1620837
     /* 1620837 */   GIM_Try, /*On fail goto*//*Label 22368*/ GIMT_Encode4(1620923), // Rule ID 3791 //
     /* 1620842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1620853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1620856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1620859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620888 */     // MIs[0] policy
     /* 1620888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620898 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11688:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1620901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620922 */     // GIR_Coverage, 3791,
     /* 1620922 */     GIR_EraseRootFromParent_Done,
     /* 1620923 */   // Label 22368: @1620923
     /* 1620923 */   GIM_Try, /*On fail goto*//*Label 22369*/ GIMT_Encode4(1621009), // Rule ID 3794 //
     /* 1620928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1620936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1620939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1620942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1620945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1620951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620974 */     // MIs[0] policy
     /* 1620974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620984 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11688:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1620987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621008 */     // GIR_Coverage, 3794,
     /* 1621008 */     GIR_EraseRootFromParent_Done,
     /* 1621009 */   // Label 22369: @1621009
     /* 1621009 */   GIM_Try, /*On fail goto*//*Label 22370*/ GIMT_Encode4(1621095), // Rule ID 3795 //
     /* 1621014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1621025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1621028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1621031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1621037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621060 */     // MIs[0] policy
     /* 1621060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621070 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11688:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1621073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621094 */     // GIR_Coverage, 3795,
     /* 1621094 */     GIR_EraseRootFromParent_Done,
     /* 1621095 */   // Label 22370: @1621095
     /* 1621095 */   GIM_Try, /*On fail goto*//*Label 22371*/ GIMT_Encode4(1621181), // Rule ID 3798 //
     /* 1621100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1621111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1621114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1621117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621146 */     // MIs[0] policy
     /* 1621146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621156 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11688:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1621159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621180 */     // GIR_Coverage, 3798,
     /* 1621180 */     GIR_EraseRootFromParent_Done,
     /* 1621181 */   // Label 22371: @1621181
     /* 1621181 */   GIM_Try, /*On fail goto*//*Label 22372*/ GIMT_Encode4(1621267), // Rule ID 3799 //
     /* 1621186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1621197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1621200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1621203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621232 */     // MIs[0] policy
     /* 1621232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621242 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11688:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1621245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621266 */     // GIR_Coverage, 3799,
     /* 1621266 */     GIR_EraseRootFromParent_Done,
     /* 1621267 */   // Label 22372: @1621267
     /* 1621267 */   GIM_Try, /*On fail goto*//*Label 22373*/ GIMT_Encode4(1621353), // Rule ID 3802 //
     /* 1621272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1621283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1621286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1621289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621318 */     // MIs[0] policy
     /* 1621318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11688:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1621331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621352 */     // GIR_Coverage, 3802,
     /* 1621352 */     GIR_EraseRootFromParent_Done,
     /* 1621353 */   // Label 22373: @1621353
     /* 1621353 */   GIM_Try, /*On fail goto*//*Label 22374*/ GIMT_Encode4(1621439), // Rule ID 3803 //
     /* 1621358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1621369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1621372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1621375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621404 */     // MIs[0] policy
     /* 1621404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11688:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1621417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621438 */     // GIR_Coverage, 3803,
     /* 1621438 */     GIR_EraseRootFromParent_Done,
     /* 1621439 */   // Label 22374: @1621439
     /* 1621439 */   GIM_Try, /*On fail goto*//*Label 22375*/ GIMT_Encode4(1621525), // Rule ID 3806 //
     /* 1621444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1621455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1621458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1621461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621490 */     // MIs[0] policy
     /* 1621490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621500 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11688:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1621503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621524 */     // GIR_Coverage, 3806,
     /* 1621524 */     GIR_EraseRootFromParent_Done,
     /* 1621525 */   // Label 22375: @1621525
     /* 1621525 */   GIM_Try, /*On fail goto*//*Label 22376*/ GIMT_Encode4(1621611), // Rule ID 3807 //
     /* 1621530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1621541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1621544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1621547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621576 */     // MIs[0] policy
     /* 1621576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11688:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1621589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621610 */     // GIR_Coverage, 3807,
     /* 1621610 */     GIR_EraseRootFromParent_Done,
     /* 1621611 */   // Label 22376: @1621611
     /* 1621611 */   GIM_Try, /*On fail goto*//*Label 22377*/ GIMT_Encode4(1621697), // Rule ID 3810 //
     /* 1621616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1621627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1621630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1621633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621662 */     // MIs[0] policy
     /* 1621662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621672 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11688:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1621675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621696 */     // GIR_Coverage, 3810,
     /* 1621696 */     GIR_EraseRootFromParent_Done,
     /* 1621697 */   // Label 22377: @1621697
     /* 1621697 */   GIM_Try, /*On fail goto*//*Label 22378*/ GIMT_Encode4(1621783), // Rule ID 3811 //
     /* 1621702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1621713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1621716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1621719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621748 */     // MIs[0] policy
     /* 1621748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11688:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1621761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621782 */     // GIR_Coverage, 3811,
     /* 1621782 */     GIR_EraseRootFromParent_Done,
     /* 1621783 */   // Label 22378: @1621783
     /* 1621783 */   GIM_Try, /*On fail goto*//*Label 22379*/ GIMT_Encode4(1621869), // Rule ID 3814 //
     /* 1621788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1621799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1621802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1621805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621834 */     // MIs[0] policy
     /* 1621834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11688:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1621847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621868 */     // GIR_Coverage, 3814,
     /* 1621868 */     GIR_EraseRootFromParent_Done,
     /* 1621869 */   // Label 22379: @1621869
     /* 1621869 */   GIM_Try, /*On fail goto*//*Label 22380*/ GIMT_Encode4(1621955), // Rule ID 3815 //
     /* 1621874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1621885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1621888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1621891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621920 */     // MIs[0] policy
     /* 1621920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621930 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11688:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1621933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621954 */     // GIR_Coverage, 3815,
     /* 1621954 */     GIR_EraseRootFromParent_Done,
     /* 1621955 */   // Label 22380: @1621955
     /* 1621955 */   GIM_Try, /*On fail goto*//*Label 22381*/ GIMT_Encode4(1622041), // Rule ID 3818 //
     /* 1621960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1621971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1621974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1621977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622006 */     // MIs[0] policy
     /* 1622006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622016 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11688:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1622019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622040 */     // GIR_Coverage, 3818,
     /* 1622040 */     GIR_EraseRootFromParent_Done,
     /* 1622041 */   // Label 22381: @1622041
     /* 1622041 */   GIM_Try, /*On fail goto*//*Label 22382*/ GIMT_Encode4(1622127), // Rule ID 3819 //
     /* 1622046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1622057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1622060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1622063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622092 */     // MIs[0] policy
     /* 1622092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622102 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11688:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1622105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622126 */     // GIR_Coverage, 3819,
     /* 1622126 */     GIR_EraseRootFromParent_Done,
     /* 1622127 */   // Label 22382: @1622127
     /* 1622127 */   GIM_Try, /*On fail goto*//*Label 22383*/ GIMT_Encode4(1622213), // Rule ID 3822 //
     /* 1622132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1622143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1622146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1622149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622178 */     // MIs[0] policy
     /* 1622178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622188 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11688:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1622191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622212 */     // GIR_Coverage, 3822,
     /* 1622212 */     GIR_EraseRootFromParent_Done,
     /* 1622213 */   // Label 22383: @1622213
     /* 1622213 */   GIM_Try, /*On fail goto*//*Label 22384*/ GIMT_Encode4(1622299), // Rule ID 3823 //
     /* 1622218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1622229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1622232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1622235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622264 */     // MIs[0] policy
     /* 1622264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622274 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11688:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1622277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622298 */     // GIR_Coverage, 3823,
     /* 1622298 */     GIR_EraseRootFromParent_Done,
     /* 1622299 */   // Label 22384: @1622299
     /* 1622299 */   GIM_Try, /*On fail goto*//*Label 22385*/ GIMT_Encode4(1622385), // Rule ID 3826 //
     /* 1622304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1622315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1622318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1622321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622350 */     // MIs[0] policy
     /* 1622350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622360 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11688:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1622363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622384 */     // GIR_Coverage, 3826,
     /* 1622384 */     GIR_EraseRootFromParent_Done,
     /* 1622385 */   // Label 22385: @1622385
     /* 1622385 */   GIM_Try, /*On fail goto*//*Label 22386*/ GIMT_Encode4(1622471), // Rule ID 3827 //
     /* 1622390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1622401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1622404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1622407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622436 */     // MIs[0] policy
     /* 1622436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622446 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11688:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1622449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622470 */     // GIR_Coverage, 3827,
     /* 1622470 */     GIR_EraseRootFromParent_Done,
     /* 1622471 */   // Label 22386: @1622471
     /* 1622471 */   GIM_Try, /*On fail goto*//*Label 22387*/ GIMT_Encode4(1622557), // Rule ID 3830 //
     /* 1622476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1622487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1622490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1622493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622522 */     // MIs[0] policy
     /* 1622522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622532 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11688:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1622535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622556 */     // GIR_Coverage, 3830,
     /* 1622556 */     GIR_EraseRootFromParent_Done,
     /* 1622557 */   // Label 22387: @1622557
     /* 1622557 */   GIM_Try, /*On fail goto*//*Label 22388*/ GIMT_Encode4(1622643), // Rule ID 3831 //
     /* 1622562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1622573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1622576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1622579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622608 */     // MIs[0] policy
     /* 1622608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11688:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1622621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622642 */     // GIR_Coverage, 3831,
     /* 1622642 */     GIR_EraseRootFromParent_Done,
     /* 1622643 */   // Label 22388: @1622643
     /* 1622643 */   GIM_Try, /*On fail goto*//*Label 22389*/ GIMT_Encode4(1622729), // Rule ID 3834 //
     /* 1622648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1622659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1622662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1622665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1622668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622694 */     // MIs[0] policy
     /* 1622694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622704 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1622707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622728 */     // GIR_Coverage, 3834,
     /* 1622728 */     GIR_EraseRootFromParent_Done,
     /* 1622729 */   // Label 22389: @1622729
     /* 1622729 */   GIM_Try, /*On fail goto*//*Label 22390*/ GIMT_Encode4(1622815), // Rule ID 3835 //
     /* 1622734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1622745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1622748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1622751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1622754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622780 */     // MIs[0] policy
     /* 1622780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622790 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1622793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622814 */     // GIR_Coverage, 3835,
     /* 1622814 */     GIR_EraseRootFromParent_Done,
     /* 1622815 */   // Label 22390: @1622815
     /* 1622815 */   GIM_Try, /*On fail goto*//*Label 22391*/ GIMT_Encode4(1622901), // Rule ID 3838 //
     /* 1622820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1622831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1622834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1622837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1622840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622866 */     // MIs[0] policy
     /* 1622866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622876 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1622879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622900 */     // GIR_Coverage, 3838,
     /* 1622900 */     GIR_EraseRootFromParent_Done,
     /* 1622901 */   // Label 22391: @1622901
     /* 1622901 */   GIM_Try, /*On fail goto*//*Label 22392*/ GIMT_Encode4(1622987), // Rule ID 3839 //
     /* 1622906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1622917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1622920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1622923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1622926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622952 */     // MIs[0] policy
     /* 1622952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622962 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1622965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622986 */     // GIR_Coverage, 3839,
     /* 1622986 */     GIR_EraseRootFromParent_Done,
     /* 1622987 */   // Label 22392: @1622987
     /* 1622987 */   GIM_Try, /*On fail goto*//*Label 22393*/ GIMT_Encode4(1623073), // Rule ID 3842 //
     /* 1622992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1623003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1623006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1623009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1623012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623038 */     // MIs[0] policy
     /* 1623038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1623051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623072 */     // GIR_Coverage, 3842,
     /* 1623072 */     GIR_EraseRootFromParent_Done,
     /* 1623073 */   // Label 22393: @1623073
     /* 1623073 */   GIM_Try, /*On fail goto*//*Label 22394*/ GIMT_Encode4(1623159), // Rule ID 3843 //
     /* 1623078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1623089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1623092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1623095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1623098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623124 */     // MIs[0] policy
     /* 1623124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623134 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1623137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623158 */     // GIR_Coverage, 3843,
     /* 1623158 */     GIR_EraseRootFromParent_Done,
     /* 1623159 */   // Label 22394: @1623159
     /* 1623159 */   GIM_Try, /*On fail goto*//*Label 22395*/ GIMT_Encode4(1623245), // Rule ID 3846 //
     /* 1623164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1623175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1623178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1623181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1623184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623210 */     // MIs[0] policy
     /* 1623210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623220 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1623223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623244 */     // GIR_Coverage, 3846,
     /* 1623244 */     GIR_EraseRootFromParent_Done,
     /* 1623245 */   // Label 22395: @1623245
     /* 1623245 */   GIM_Try, /*On fail goto*//*Label 22396*/ GIMT_Encode4(1623331), // Rule ID 3847 //
     /* 1623250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1623261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1623264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1623267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1623270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623296 */     // MIs[0] policy
     /* 1623296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623306 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1623309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623330 */     // GIR_Coverage, 3847,
     /* 1623330 */     GIR_EraseRootFromParent_Done,
     /* 1623331 */   // Label 22396: @1623331
     /* 1623331 */   GIM_Try, /*On fail goto*//*Label 22397*/ GIMT_Encode4(1623417), // Rule ID 3850 //
     /* 1623336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1623347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1623350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1623353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1623356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623382 */     // MIs[0] policy
     /* 1623382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623392 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1623395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623416 */     // GIR_Coverage, 3850,
     /* 1623416 */     GIR_EraseRootFromParent_Done,
     /* 1623417 */   // Label 22397: @1623417
     /* 1623417 */   GIM_Try, /*On fail goto*//*Label 22398*/ GIMT_Encode4(1623503), // Rule ID 3851 //
     /* 1623422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1623433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1623436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1623439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1623442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623468 */     // MIs[0] policy
     /* 1623468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1623481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623502 */     // GIR_Coverage, 3851,
     /* 1623502 */     GIR_EraseRootFromParent_Done,
     /* 1623503 */   // Label 22398: @1623503
     /* 1623503 */   GIM_Try, /*On fail goto*//*Label 22399*/ GIMT_Encode4(1623589), // Rule ID 3854 //
     /* 1623508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1623519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1623522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1623525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1623528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1623531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623554 */     // MIs[0] policy
     /* 1623554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623564 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1623567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623588 */     // GIR_Coverage, 3854,
     /* 1623588 */     GIR_EraseRootFromParent_Done,
     /* 1623589 */   // Label 22399: @1623589
     /* 1623589 */   GIM_Try, /*On fail goto*//*Label 22400*/ GIMT_Encode4(1623675), // Rule ID 3855 //
     /* 1623594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1623605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1623608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1623611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1623614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1623617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623640 */     // MIs[0] policy
     /* 1623640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623650 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1623653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623674 */     // GIR_Coverage, 3855,
     /* 1623674 */     GIR_EraseRootFromParent_Done,
     /* 1623675 */   // Label 22400: @1623675
     /* 1623675 */   GIM_Try, /*On fail goto*//*Label 22401*/ GIMT_Encode4(1623761), // Rule ID 3858 //
     /* 1623680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1623691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1623694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1623697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1623700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623726 */     // MIs[0] policy
     /* 1623726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1623739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623760 */     // GIR_Coverage, 3858,
     /* 1623760 */     GIR_EraseRootFromParent_Done,
     /* 1623761 */   // Label 22401: @1623761
     /* 1623761 */   GIM_Try, /*On fail goto*//*Label 22402*/ GIMT_Encode4(1623847), // Rule ID 3859 //
     /* 1623766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1623777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1623780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1623783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1623786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623812 */     // MIs[0] policy
     /* 1623812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1623825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623846 */     // GIR_Coverage, 3859,
     /* 1623846 */     GIR_EraseRootFromParent_Done,
     /* 1623847 */   // Label 22402: @1623847
     /* 1623847 */   GIM_Try, /*On fail goto*//*Label 22403*/ GIMT_Encode4(1623933), // Rule ID 3862 //
     /* 1623852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1623863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1623866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1623869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1623872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623898 */     // MIs[0] policy
     /* 1623898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1623911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623932 */     // GIR_Coverage, 3862,
     /* 1623932 */     GIR_EraseRootFromParent_Done,
     /* 1623933 */   // Label 22403: @1623933
     /* 1623933 */   GIM_Try, /*On fail goto*//*Label 22404*/ GIMT_Encode4(1624019), // Rule ID 3863 //
     /* 1623938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1623949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1623952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1623955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1623958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623984 */     // MIs[0] policy
     /* 1623984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623994 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1623997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624018 */     // GIR_Coverage, 3863,
     /* 1624018 */     GIR_EraseRootFromParent_Done,
     /* 1624019 */   // Label 22404: @1624019
     /* 1624019 */   GIM_Try, /*On fail goto*//*Label 22405*/ GIMT_Encode4(1624105), // Rule ID 3866 //
     /* 1624024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1624035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1624038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1624041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1624044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624070 */     // MIs[0] policy
     /* 1624070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1624083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624104 */     // GIR_Coverage, 3866,
     /* 1624104 */     GIR_EraseRootFromParent_Done,
     /* 1624105 */   // Label 22405: @1624105
     /* 1624105 */   GIM_Try, /*On fail goto*//*Label 22406*/ GIMT_Encode4(1624191), // Rule ID 3867 //
     /* 1624110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1624121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1624124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1624127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1624130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624156 */     // MIs[0] policy
     /* 1624156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624166 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1624169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624190 */     // GIR_Coverage, 3867,
     /* 1624190 */     GIR_EraseRootFromParent_Done,
     /* 1624191 */   // Label 22406: @1624191
     /* 1624191 */   GIM_Try, /*On fail goto*//*Label 22407*/ GIMT_Encode4(1624277), // Rule ID 3870 //
     /* 1624196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1624207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1624210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1624213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1624216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624242 */     // MIs[0] policy
     /* 1624242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624252 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1624255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624276 */     // GIR_Coverage, 3870,
     /* 1624276 */     GIR_EraseRootFromParent_Done,
     /* 1624277 */   // Label 22407: @1624277
     /* 1624277 */   GIM_Try, /*On fail goto*//*Label 22408*/ GIMT_Encode4(1624363), // Rule ID 3871 //
     /* 1624282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1624293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1624296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1624299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1624302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624328 */     // MIs[0] policy
     /* 1624328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624338 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1624341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624362 */     // GIR_Coverage, 3871,
     /* 1624362 */     GIR_EraseRootFromParent_Done,
     /* 1624363 */   // Label 22408: @1624363
     /* 1624363 */   GIM_Try, /*On fail goto*//*Label 22409*/ GIMT_Encode4(1624449), // Rule ID 3874 //
     /* 1624368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1624379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1624382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1624385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1624388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624414 */     // MIs[0] policy
     /* 1624414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1624427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624448 */     // GIR_Coverage, 3874,
     /* 1624448 */     GIR_EraseRootFromParent_Done,
     /* 1624449 */   // Label 22409: @1624449
     /* 1624449 */   GIM_Try, /*On fail goto*//*Label 22410*/ GIMT_Encode4(1624535), // Rule ID 3875 //
     /* 1624454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1624465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1624468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1624471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1624474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624500 */     // MIs[0] policy
     /* 1624500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1624513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624534 */     // GIR_Coverage, 3875,
     /* 1624534 */     GIR_EraseRootFromParent_Done,
     /* 1624535 */   // Label 22410: @1624535
     /* 1624535 */   GIM_Try, /*On fail goto*//*Label 22411*/ GIMT_Encode4(1624621), // Rule ID 3878 //
     /* 1624540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1624551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1624554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1624557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1624560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624586 */     // MIs[0] policy
     /* 1624586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1624599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624620 */     // GIR_Coverage, 3878,
     /* 1624620 */     GIR_EraseRootFromParent_Done,
     /* 1624621 */   // Label 22411: @1624621
     /* 1624621 */   GIM_Try, /*On fail goto*//*Label 22412*/ GIMT_Encode4(1624707), // Rule ID 3879 //
     /* 1624626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1624637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1624640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1624643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1624646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624672 */     // MIs[0] policy
     /* 1624672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624682 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1624685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624706 */     // GIR_Coverage, 3879,
     /* 1624706 */     GIR_EraseRootFromParent_Done,
     /* 1624707 */   // Label 22412: @1624707
     /* 1624707 */   GIM_Try, /*On fail goto*//*Label 22413*/ GIMT_Encode4(1624793), // Rule ID 3882 //
     /* 1624712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1624723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1624726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1624729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1624732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624758 */     // MIs[0] policy
     /* 1624758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624768 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1624771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624792 */     // GIR_Coverage, 3882,
     /* 1624792 */     GIR_EraseRootFromParent_Done,
     /* 1624793 */   // Label 22413: @1624793
     /* 1624793 */   GIM_Try, /*On fail goto*//*Label 22414*/ GIMT_Encode4(1624879), // Rule ID 3883 //
     /* 1624798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1624809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1624812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1624815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1624818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624844 */     // MIs[0] policy
     /* 1624844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624854 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1624857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624878 */     // GIR_Coverage, 3883,
     /* 1624878 */     GIR_EraseRootFromParent_Done,
     /* 1624879 */   // Label 22414: @1624879
     /* 1624879 */   GIM_Try, /*On fail goto*//*Label 22415*/ GIMT_Encode4(1624965), // Rule ID 3886 //
     /* 1624884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1624895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1624898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1624901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1624904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624930 */     // MIs[0] policy
     /* 1624930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624940 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1624943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624964 */     // GIR_Coverage, 3886,
     /* 1624964 */     GIR_EraseRootFromParent_Done,
     /* 1624965 */   // Label 22415: @1624965
     /* 1624965 */   GIM_Try, /*On fail goto*//*Label 22416*/ GIMT_Encode4(1625051), // Rule ID 3887 //
     /* 1624970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1624981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1624984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1624987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1624990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625016 */     // MIs[0] policy
     /* 1625016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1625029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625050 */     // GIR_Coverage, 3887,
     /* 1625050 */     GIR_EraseRootFromParent_Done,
     /* 1625051 */   // Label 22416: @1625051
     /* 1625051 */   GIM_Try, /*On fail goto*//*Label 22417*/ GIMT_Encode4(1625137), // Rule ID 3890 //
     /* 1625056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1625067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1625070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1625073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1625076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625102 */     // MIs[0] policy
     /* 1625102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625112 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1625115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625136 */     // GIR_Coverage, 3890,
     /* 1625136 */     GIR_EraseRootFromParent_Done,
     /* 1625137 */   // Label 22417: @1625137
     /* 1625137 */   GIM_Try, /*On fail goto*//*Label 22418*/ GIMT_Encode4(1625223), // Rule ID 3891 //
     /* 1625142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1625153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1625156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1625159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1625162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625188 */     // MIs[0] policy
     /* 1625188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625198 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1625201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625222 */     // GIR_Coverage, 3891,
     /* 1625222 */     GIR_EraseRootFromParent_Done,
     /* 1625223 */   // Label 22418: @1625223
     /* 1625223 */   GIM_Try, /*On fail goto*//*Label 22419*/ GIMT_Encode4(1625309), // Rule ID 3894 //
     /* 1625228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1625239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1625242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1625245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625274 */     // MIs[0] policy
     /* 1625274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625284 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1625287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625308 */     // GIR_Coverage, 3894,
     /* 1625308 */     GIR_EraseRootFromParent_Done,
     /* 1625309 */   // Label 22419: @1625309
     /* 1625309 */   GIM_Try, /*On fail goto*//*Label 22420*/ GIMT_Encode4(1625395), // Rule ID 3895 //
     /* 1625314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1625325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1625328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1625331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625360 */     // MIs[0] policy
     /* 1625360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625370 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1625373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625394 */     // GIR_Coverage, 3895,
     /* 1625394 */     GIR_EraseRootFromParent_Done,
     /* 1625395 */   // Label 22420: @1625395
     /* 1625395 */   GIM_Try, /*On fail goto*//*Label 22421*/ GIMT_Encode4(1625481), // Rule ID 3898 //
     /* 1625400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1625411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1625414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1625417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625446 */     // MIs[0] policy
     /* 1625446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625456 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1625459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625480 */     // GIR_Coverage, 3898,
     /* 1625480 */     GIR_EraseRootFromParent_Done,
     /* 1625481 */   // Label 22421: @1625481
     /* 1625481 */   GIM_Try, /*On fail goto*//*Label 22422*/ GIMT_Encode4(1625567), // Rule ID 3899 //
     /* 1625486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1625497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1625500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1625503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625532 */     // MIs[0] policy
     /* 1625532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625542 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1625545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625566 */     // GIR_Coverage, 3899,
     /* 1625566 */     GIR_EraseRootFromParent_Done,
     /* 1625567 */   // Label 22422: @1625567
     /* 1625567 */   GIM_Try, /*On fail goto*//*Label 22423*/ GIMT_Encode4(1625653), // Rule ID 3902 //
     /* 1625572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1625583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1625586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1625589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625618 */     // MIs[0] policy
     /* 1625618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1625631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625652 */     // GIR_Coverage, 3902,
     /* 1625652 */     GIR_EraseRootFromParent_Done,
     /* 1625653 */   // Label 22423: @1625653
     /* 1625653 */   GIM_Try, /*On fail goto*//*Label 22424*/ GIMT_Encode4(1625739), // Rule ID 3903 //
     /* 1625658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1625669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1625672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1625675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625704 */     // MIs[0] policy
     /* 1625704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1625717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625738 */     // GIR_Coverage, 3903,
     /* 1625738 */     GIR_EraseRootFromParent_Done,
     /* 1625739 */   // Label 22424: @1625739
     /* 1625739 */   GIM_Try, /*On fail goto*//*Label 22425*/ GIMT_Encode4(1625825), // Rule ID 3906 //
     /* 1625744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1625755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1625758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1625761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625790 */     // MIs[0] policy
     /* 1625790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625800 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1625803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625824 */     // GIR_Coverage, 3906,
     /* 1625824 */     GIR_EraseRootFromParent_Done,
     /* 1625825 */   // Label 22425: @1625825
     /* 1625825 */   GIM_Try, /*On fail goto*//*Label 22426*/ GIMT_Encode4(1625911), // Rule ID 3907 //
     /* 1625830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1625841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1625844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1625847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625876 */     // MIs[0] policy
     /* 1625876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625886 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1625889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625910 */     // GIR_Coverage, 3907,
     /* 1625910 */     GIR_EraseRootFromParent_Done,
     /* 1625911 */   // Label 22426: @1625911
     /* 1625911 */   GIM_Try, /*On fail goto*//*Label 22427*/ GIMT_Encode4(1625997), // Rule ID 3910 //
     /* 1625916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1625927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1625930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1625933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625962 */     // MIs[0] policy
     /* 1625962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1625975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625996 */     // GIR_Coverage, 3910,
     /* 1625996 */     GIR_EraseRootFromParent_Done,
     /* 1625997 */   // Label 22427: @1625997
     /* 1625997 */   GIM_Try, /*On fail goto*//*Label 22428*/ GIMT_Encode4(1626083), // Rule ID 3911 //
     /* 1626002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1626013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1626016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1626019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626048 */     // MIs[0] policy
     /* 1626048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626058 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1626061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626082 */     // GIR_Coverage, 3911,
     /* 1626082 */     GIR_EraseRootFromParent_Done,
     /* 1626083 */   // Label 22428: @1626083
     /* 1626083 */   GIM_Try, /*On fail goto*//*Label 22429*/ GIMT_Encode4(1626169), // Rule ID 3914 //
     /* 1626088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1626099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1626102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1626105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1626111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626134 */     // MIs[0] policy
     /* 1626134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626144 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1626147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626168 */     // GIR_Coverage, 3914,
     /* 1626168 */     GIR_EraseRootFromParent_Done,
     /* 1626169 */   // Label 22429: @1626169
     /* 1626169 */   GIM_Try, /*On fail goto*//*Label 22430*/ GIMT_Encode4(1626255), // Rule ID 3915 //
     /* 1626174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1626185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1626188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1626191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1626197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626220 */     // MIs[0] policy
     /* 1626220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626230 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1626233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626254 */     // GIR_Coverage, 3915,
     /* 1626254 */     GIR_EraseRootFromParent_Done,
     /* 1626255 */   // Label 22430: @1626255
     /* 1626255 */   GIM_Try, /*On fail goto*//*Label 22431*/ GIMT_Encode4(1626341), // Rule ID 3918 //
     /* 1626260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1626271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1626274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1626277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626306 */     // MIs[0] policy
     /* 1626306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626316 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1626319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626340 */     // GIR_Coverage, 3918,
     /* 1626340 */     GIR_EraseRootFromParent_Done,
     /* 1626341 */   // Label 22431: @1626341
     /* 1626341 */   GIM_Try, /*On fail goto*//*Label 22432*/ GIMT_Encode4(1626427), // Rule ID 3919 //
     /* 1626346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1626357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1626360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1626363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626392 */     // MIs[0] policy
     /* 1626392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1626405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626426 */     // GIR_Coverage, 3919,
     /* 1626426 */     GIR_EraseRootFromParent_Done,
     /* 1626427 */   // Label 22432: @1626427
     /* 1626427 */   GIM_Try, /*On fail goto*//*Label 22433*/ GIMT_Encode4(1626513), // Rule ID 3922 //
     /* 1626432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1626443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1626446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1626449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626478 */     // MIs[0] policy
     /* 1626478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626488 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1626491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626512 */     // GIR_Coverage, 3922,
     /* 1626512 */     GIR_EraseRootFromParent_Done,
     /* 1626513 */   // Label 22433: @1626513
     /* 1626513 */   GIM_Try, /*On fail goto*//*Label 22434*/ GIMT_Encode4(1626599), // Rule ID 3923 //
     /* 1626518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1626529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1626532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1626535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626564 */     // MIs[0] policy
     /* 1626564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626574 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1626577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626598 */     // GIR_Coverage, 3923,
     /* 1626598 */     GIR_EraseRootFromParent_Done,
     /* 1626599 */   // Label 22434: @1626599
     /* 1626599 */   GIM_Try, /*On fail goto*//*Label 22435*/ GIMT_Encode4(1626685), // Rule ID 3926 //
     /* 1626604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1626615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1626618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1626621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626650 */     // MIs[0] policy
     /* 1626650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626660 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1626663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626684 */     // GIR_Coverage, 3926,
     /* 1626684 */     GIR_EraseRootFromParent_Done,
     /* 1626685 */   // Label 22435: @1626685
     /* 1626685 */   GIM_Try, /*On fail goto*//*Label 22436*/ GIMT_Encode4(1626771), // Rule ID 3927 //
     /* 1626690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1626701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1626704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1626707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626736 */     // MIs[0] policy
     /* 1626736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1626749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626770 */     // GIR_Coverage, 3927,
     /* 1626770 */     GIR_EraseRootFromParent_Done,
     /* 1626771 */   // Label 22436: @1626771
     /* 1626771 */   GIM_Try, /*On fail goto*//*Label 22437*/ GIMT_Encode4(1626857), // Rule ID 3930 //
     /* 1626776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1626787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1626790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626822 */     // MIs[0] policy
     /* 1626822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626832 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1626835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626856 */     // GIR_Coverage, 3930,
     /* 1626856 */     GIR_EraseRootFromParent_Done,
     /* 1626857 */   // Label 22437: @1626857
     /* 1626857 */   GIM_Try, /*On fail goto*//*Label 22438*/ GIMT_Encode4(1626943), // Rule ID 3931 //
     /* 1626862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1626873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1626876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626908 */     // MIs[0] policy
     /* 1626908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1626921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626942 */     // GIR_Coverage, 3931,
     /* 1626942 */     GIR_EraseRootFromParent_Done,
     /* 1626943 */   // Label 22438: @1626943
     /* 1626943 */   GIM_Try, /*On fail goto*//*Label 22439*/ GIMT_Encode4(1627029), // Rule ID 3934 //
     /* 1626948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1626959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1626962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1626965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626994 */     // MIs[0] policy
     /* 1626994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627004 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1627007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627028 */     // GIR_Coverage, 3934,
     /* 1627028 */     GIR_EraseRootFromParent_Done,
     /* 1627029 */   // Label 22439: @1627029
     /* 1627029 */   GIM_Try, /*On fail goto*//*Label 22440*/ GIMT_Encode4(1627115), // Rule ID 3935 //
     /* 1627034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1627045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1627048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1627051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627080 */     // MIs[0] policy
     /* 1627080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627090 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1627093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627114 */     // GIR_Coverage, 3935,
     /* 1627114 */     GIR_EraseRootFromParent_Done,
     /* 1627115 */   // Label 22440: @1627115
     /* 1627115 */   GIM_Try, /*On fail goto*//*Label 22441*/ GIMT_Encode4(1627201), // Rule ID 3938 //
     /* 1627120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1627131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1627134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1627137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627166 */     // MIs[0] policy
     /* 1627166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1627179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627200 */     // GIR_Coverage, 3938,
     /* 1627200 */     GIR_EraseRootFromParent_Done,
     /* 1627201 */   // Label 22441: @1627201
     /* 1627201 */   GIM_Try, /*On fail goto*//*Label 22442*/ GIMT_Encode4(1627287), // Rule ID 3939 //
     /* 1627206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1627217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1627220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1627223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627252 */     // MIs[0] policy
     /* 1627252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627262 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1627265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627286 */     // GIR_Coverage, 3939,
     /* 1627286 */     GIR_EraseRootFromParent_Done,
     /* 1627287 */   // Label 22442: @1627287
     /* 1627287 */   GIM_Try, /*On fail goto*//*Label 22443*/ GIMT_Encode4(1627373), // Rule ID 3942 //
     /* 1627292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1627303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1627306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1627309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627338 */     // MIs[0] policy
     /* 1627338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627348 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1627351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627372 */     // GIR_Coverage, 3942,
     /* 1627372 */     GIR_EraseRootFromParent_Done,
     /* 1627373 */   // Label 22443: @1627373
     /* 1627373 */   GIM_Try, /*On fail goto*//*Label 22444*/ GIMT_Encode4(1627459), // Rule ID 3943 //
     /* 1627378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1627389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1627392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1627395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627424 */     // MIs[0] policy
     /* 1627424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627434 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1627437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627458 */     // GIR_Coverage, 3943,
     /* 1627458 */     GIR_EraseRootFromParent_Done,
     /* 1627459 */   // Label 22444: @1627459
     /* 1627459 */   GIM_Try, /*On fail goto*//*Label 22445*/ GIMT_Encode4(1627545), // Rule ID 3946 //
     /* 1627464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1627478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627510 */     // MIs[0] policy
     /* 1627510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627520 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1627523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627544 */     // GIR_Coverage, 3946,
     /* 1627544 */     GIR_EraseRootFromParent_Done,
     /* 1627545 */   // Label 22445: @1627545
     /* 1627545 */   GIM_Try, /*On fail goto*//*Label 22446*/ GIMT_Encode4(1627631), // Rule ID 3947 //
     /* 1627550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1627564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627596 */     // MIs[0] policy
     /* 1627596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627606 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1627609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627630 */     // GIR_Coverage, 3947,
     /* 1627630 */     GIR_EraseRootFromParent_Done,
     /* 1627631 */   // Label 22446: @1627631
     /* 1627631 */   GIM_Try, /*On fail goto*//*Label 22447*/ GIMT_Encode4(1627717), // Rule ID 3950 //
     /* 1627636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1627647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1627650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627682 */     // MIs[0] policy
     /* 1627682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627692 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1627695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627716 */     // GIR_Coverage, 3950,
     /* 1627716 */     GIR_EraseRootFromParent_Done,
     /* 1627717 */   // Label 22447: @1627717
     /* 1627717 */   GIM_Try, /*On fail goto*//*Label 22448*/ GIMT_Encode4(1627803), // Rule ID 3951 //
     /* 1627722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1627733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1627736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627768 */     // MIs[0] policy
     /* 1627768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627778 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1627781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627802 */     // GIR_Coverage, 3951,
     /* 1627802 */     GIR_EraseRootFromParent_Done,
     /* 1627803 */   // Label 22448: @1627803
     /* 1627803 */   GIM_Try, /*On fail goto*//*Label 22449*/ GIMT_Encode4(1627889), // Rule ID 3954 //
     /* 1627808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1627825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1627828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627854 */     // MIs[0] policy
     /* 1627854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11684:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1627867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627888 */     // GIR_Coverage, 3954,
     /* 1627888 */     GIR_EraseRootFromParent_Done,
     /* 1627889 */   // Label 22449: @1627889
     /* 1627889 */   GIM_Try, /*On fail goto*//*Label 22450*/ GIMT_Encode4(1627975), // Rule ID 3955 //
     /* 1627894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1627911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1627914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627940 */     // MIs[0] policy
     /* 1627940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11684:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1627953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627974 */     // GIR_Coverage, 3955,
     /* 1627974 */     GIR_EraseRootFromParent_Done,
     /* 1627975 */   // Label 22450: @1627975
     /* 1627975 */   GIM_Try, /*On fail goto*//*Label 22451*/ GIMT_Encode4(1628061), // Rule ID 3958 //
     /* 1627980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1627991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1627994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1627997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1628000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628026 */     // MIs[0] policy
     /* 1628026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11684:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1628039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628060 */     // GIR_Coverage, 3958,
     /* 1628060 */     GIR_EraseRootFromParent_Done,
     /* 1628061 */   // Label 22451: @1628061
     /* 1628061 */   GIM_Try, /*On fail goto*//*Label 22452*/ GIMT_Encode4(1628147), // Rule ID 3959 //
     /* 1628066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1628077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1628080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1628083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1628086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628112 */     // MIs[0] policy
     /* 1628112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628122 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11684:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1628125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628146 */     // GIR_Coverage, 3959,
     /* 1628146 */     GIR_EraseRootFromParent_Done,
     /* 1628147 */   // Label 22452: @1628147
     /* 1628147 */   GIM_Try, /*On fail goto*//*Label 22453*/ GIMT_Encode4(1628233), // Rule ID 3962 //
     /* 1628152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1628169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1628172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628198 */     // MIs[0] policy
     /* 1628198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11684:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1628211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628232 */     // GIR_Coverage, 3962,
     /* 1628232 */     GIR_EraseRootFromParent_Done,
     /* 1628233 */   // Label 22453: @1628233
     /* 1628233 */   GIM_Try, /*On fail goto*//*Label 22454*/ GIMT_Encode4(1628319), // Rule ID 3963 //
     /* 1628238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1628255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1628258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628284 */     // MIs[0] policy
     /* 1628284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11684:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1628297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628318 */     // GIR_Coverage, 3963,
     /* 1628318 */     GIR_EraseRootFromParent_Done,
     /* 1628319 */   // Label 22454: @1628319
     /* 1628319 */   GIM_Try, /*On fail goto*//*Label 22455*/ GIMT_Encode4(1628405), // Rule ID 3966 //
     /* 1628324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1628335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1628338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1628341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1628344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628370 */     // MIs[0] policy
     /* 1628370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628380 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11684:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1628383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628404 */     // GIR_Coverage, 3966,
     /* 1628404 */     GIR_EraseRootFromParent_Done,
     /* 1628405 */   // Label 22455: @1628405
     /* 1628405 */   GIM_Try, /*On fail goto*//*Label 22456*/ GIMT_Encode4(1628491), // Rule ID 3967 //
     /* 1628410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1628421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1628424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1628427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1628430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628456 */     // MIs[0] policy
     /* 1628456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628466 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11684:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1628469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628490 */     // GIR_Coverage, 3967,
     /* 1628490 */     GIR_EraseRootFromParent_Done,
     /* 1628491 */   // Label 22456: @1628491
     /* 1628491 */   GIM_Try, /*On fail goto*//*Label 22457*/ GIMT_Encode4(1628577), // Rule ID 3970 //
     /* 1628496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1628507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1628510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1628513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1628516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628542 */     // MIs[0] policy
     /* 1628542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11684:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1628555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628576 */     // GIR_Coverage, 3970,
     /* 1628576 */     GIR_EraseRootFromParent_Done,
     /* 1628577 */   // Label 22457: @1628577
     /* 1628577 */   GIM_Try, /*On fail goto*//*Label 22458*/ GIMT_Encode4(1628663), // Rule ID 3971 //
     /* 1628582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1628593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1628596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1628599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1628602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628628 */     // MIs[0] policy
     /* 1628628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628638 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11684:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1628641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628662 */     // GIR_Coverage, 3971,
     /* 1628662 */     GIR_EraseRootFromParent_Done,
     /* 1628663 */   // Label 22458: @1628663
     /* 1628663 */   GIM_Try, /*On fail goto*//*Label 22459*/ GIMT_Encode4(1628749), // Rule ID 3974 //
     /* 1628668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1628679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1628682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1628685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1628688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1628691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628714 */     // MIs[0] policy
     /* 1628714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628724 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11684:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1628727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628748 */     // GIR_Coverage, 3974,
     /* 1628748 */     GIR_EraseRootFromParent_Done,
     /* 1628749 */   // Label 22459: @1628749
     /* 1628749 */   GIM_Try, /*On fail goto*//*Label 22460*/ GIMT_Encode4(1628835), // Rule ID 3975 //
     /* 1628754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1628765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1628768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1628771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1628774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1628777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628800 */     // MIs[0] policy
     /* 1628800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628810 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11684:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1628813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628834 */     // GIR_Coverage, 3975,
     /* 1628834 */     GIR_EraseRootFromParent_Done,
     /* 1628835 */   // Label 22460: @1628835
     /* 1628835 */   GIM_Try, /*On fail goto*//*Label 22461*/ GIMT_Encode4(1628921), // Rule ID 3978 //
     /* 1628840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1628851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1628854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1628860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628886 */     // MIs[0] policy
     /* 1628886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11684:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1628899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628920 */     // GIR_Coverage, 3978,
     /* 1628920 */     GIR_EraseRootFromParent_Done,
     /* 1628921 */   // Label 22461: @1628921
     /* 1628921 */   GIM_Try, /*On fail goto*//*Label 22462*/ GIMT_Encode4(1629007), // Rule ID 3979 //
     /* 1628926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1628937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1628940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1628946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628972 */     // MIs[0] policy
     /* 1628972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11684:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1628985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629006 */     // GIR_Coverage, 3979,
     /* 1629006 */     GIR_EraseRootFromParent_Done,
     /* 1629007 */   // Label 22462: @1629007
     /* 1629007 */   GIM_Try, /*On fail goto*//*Label 22463*/ GIMT_Encode4(1629093), // Rule ID 3982 //
     /* 1629012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1629029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1629032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629058 */     // MIs[0] policy
     /* 1629058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11684:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1629071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629092 */     // GIR_Coverage, 3982,
     /* 1629092 */     GIR_EraseRootFromParent_Done,
     /* 1629093 */   // Label 22463: @1629093
     /* 1629093 */   GIM_Try, /*On fail goto*//*Label 22464*/ GIMT_Encode4(1629179), // Rule ID 3983 //
     /* 1629098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1629115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1629118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629144 */     // MIs[0] policy
     /* 1629144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11684:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1629157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629178 */     // GIR_Coverage, 3983,
     /* 1629178 */     GIR_EraseRootFromParent_Done,
     /* 1629179 */   // Label 22464: @1629179
     /* 1629179 */   GIM_Try, /*On fail goto*//*Label 22465*/ GIMT_Encode4(1629265), // Rule ID 3986 //
     /* 1629184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1629195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1629198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1629201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1629204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629230 */     // MIs[0] policy
     /* 1629230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629240 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11684:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1629243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629264 */     // GIR_Coverage, 3986,
     /* 1629264 */     GIR_EraseRootFromParent_Done,
     /* 1629265 */   // Label 22465: @1629265
     /* 1629265 */   GIM_Try, /*On fail goto*//*Label 22466*/ GIMT_Encode4(1629351), // Rule ID 3987 //
     /* 1629270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1629281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1629284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1629287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1629290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629316 */     // MIs[0] policy
     /* 1629316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11684:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1629329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629350 */     // GIR_Coverage, 3987,
     /* 1629350 */     GIR_EraseRootFromParent_Done,
     /* 1629351 */   // Label 22466: @1629351
     /* 1629351 */   GIM_Try, /*On fail goto*//*Label 22467*/ GIMT_Encode4(1629437), // Rule ID 3990 //
     /* 1629356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1629367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1629370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1629373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1629376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629402 */     // MIs[0] policy
     /* 1629402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629412 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11684:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1629415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629436 */     // GIR_Coverage, 3990,
     /* 1629436 */     GIR_EraseRootFromParent_Done,
     /* 1629437 */   // Label 22467: @1629437
     /* 1629437 */   GIM_Try, /*On fail goto*//*Label 22468*/ GIMT_Encode4(1629523), // Rule ID 3991 //
     /* 1629442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1629453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1629456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1629459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1629462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629488 */     // MIs[0] policy
     /* 1629488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11684:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1629501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629522 */     // GIR_Coverage, 3991,
     /* 1629522 */     GIR_EraseRootFromParent_Done,
     /* 1629523 */   // Label 22468: @1629523
     /* 1629523 */   GIM_Try, /*On fail goto*//*Label 22469*/ GIMT_Encode4(1629609), // Rule ID 3994 //
     /* 1629528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1629539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1629542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1629545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1629548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629574 */     // MIs[0] policy
     /* 1629574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629584 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11684:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1629587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629608 */     // GIR_Coverage, 3994,
     /* 1629608 */     GIR_EraseRootFromParent_Done,
     /* 1629609 */   // Label 22469: @1629609
     /* 1629609 */   GIM_Try, /*On fail goto*//*Label 22470*/ GIMT_Encode4(1629695), // Rule ID 3995 //
     /* 1629614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1629625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1629628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1629631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1629634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629660 */     // MIs[0] policy
     /* 1629660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11684:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1629673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629694 */     // GIR_Coverage, 3995,
     /* 1629694 */     GIR_EraseRootFromParent_Done,
     /* 1629695 */   // Label 22470: @1629695
     /* 1629695 */   GIM_Try, /*On fail goto*//*Label 22471*/ GIMT_Encode4(1629781), // Rule ID 3998 //
     /* 1629700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1629711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1629714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1629720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629746 */     // MIs[0] policy
     /* 1629746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11684:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1629759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629780 */     // GIR_Coverage, 3998,
     /* 1629780 */     GIR_EraseRootFromParent_Done,
     /* 1629781 */   // Label 22471: @1629781
     /* 1629781 */   GIM_Try, /*On fail goto*//*Label 22472*/ GIMT_Encode4(1629867), // Rule ID 3999 //
     /* 1629786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1629797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1629800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1629806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629832 */     // MIs[0] policy
     /* 1629832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629842 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11684:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1629845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629866 */     // GIR_Coverage, 3999,
     /* 1629866 */     GIR_EraseRootFromParent_Done,
     /* 1629867 */   // Label 22472: @1629867
     /* 1629867 */   GIM_Try, /*On fail goto*//*Label 22473*/ GIMT_Encode4(1629953), // Rule ID 4002 //
     /* 1629872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1629883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1629886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1629892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629918 */     // MIs[0] policy
     /* 1629918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629928 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11684:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1629931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629952 */     // GIR_Coverage, 4002,
     /* 1629952 */     GIR_EraseRootFromParent_Done,
     /* 1629953 */   // Label 22473: @1629953
     /* 1629953 */   GIM_Try, /*On fail goto*//*Label 22474*/ GIMT_Encode4(1630039), // Rule ID 4003 //
     /* 1629958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1629969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1629972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1629978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630004 */     // MIs[0] policy
     /* 1630004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630014 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11684:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1630017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630038 */     // GIR_Coverage, 4003,
     /* 1630038 */     GIR_EraseRootFromParent_Done,
     /* 1630039 */   // Label 22474: @1630039
     /* 1630039 */   GIM_Try, /*On fail goto*//*Label 22475*/ GIMT_Encode4(1630125), // Rule ID 4006 //
     /* 1630044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1630061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1630064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630090 */     // MIs[0] policy
     /* 1630090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630100 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11684:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1630103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630124 */     // GIR_Coverage, 4006,
     /* 1630124 */     GIR_EraseRootFromParent_Done,
     /* 1630125 */   // Label 22475: @1630125
     /* 1630125 */   GIM_Try, /*On fail goto*//*Label 22476*/ GIMT_Encode4(1630211), // Rule ID 4007 //
     /* 1630130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1630147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1630150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630176 */     // MIs[0] policy
     /* 1630176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11684:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1630189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630210 */     // GIR_Coverage, 4007,
     /* 1630210 */     GIR_EraseRootFromParent_Done,
     /* 1630211 */   // Label 22476: @1630211
     /* 1630211 */   GIM_Try, /*On fail goto*//*Label 22477*/ GIMT_Encode4(1630297), // Rule ID 4010 //
     /* 1630216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1630227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1630230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1630233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1630236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630262 */     // MIs[0] policy
     /* 1630262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11684:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1630275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630296 */     // GIR_Coverage, 4010,
     /* 1630296 */     GIR_EraseRootFromParent_Done,
     /* 1630297 */   // Label 22477: @1630297
     /* 1630297 */   GIM_Try, /*On fail goto*//*Label 22478*/ GIMT_Encode4(1630383), // Rule ID 4011 //
     /* 1630302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1630313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1630316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1630319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1630322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630348 */     // MIs[0] policy
     /* 1630348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11684:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1630361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630382 */     // GIR_Coverage, 4011,
     /* 1630382 */     GIR_EraseRootFromParent_Done,
     /* 1630383 */   // Label 22478: @1630383
     /* 1630383 */   GIM_Try, /*On fail goto*//*Label 22479*/ GIMT_Encode4(1630469), // Rule ID 4014 //
     /* 1630388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1630399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1630402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1630405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630434 */     // MIs[0] policy
     /* 1630434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630444 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11684:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1630447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630468 */     // GIR_Coverage, 4014,
     /* 1630468 */     GIR_EraseRootFromParent_Done,
     /* 1630469 */   // Label 22479: @1630469
     /* 1630469 */   GIM_Try, /*On fail goto*//*Label 22480*/ GIMT_Encode4(1630555), // Rule ID 4015 //
     /* 1630474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1630485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1630488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1630491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630520 */     // MIs[0] policy
     /* 1630520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630530 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11684:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1630533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630554 */     // GIR_Coverage, 4015,
     /* 1630554 */     GIR_EraseRootFromParent_Done,
     /* 1630555 */   // Label 22480: @1630555
     /* 1630555 */   GIM_Try, /*On fail goto*//*Label 22481*/ GIMT_Encode4(1630641), // Rule ID 4018 //
     /* 1630560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1630571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1630574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1630577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630606 */     // MIs[0] policy
     /* 1630606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11684:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1630619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630640 */     // GIR_Coverage, 4018,
     /* 1630640 */     GIR_EraseRootFromParent_Done,
     /* 1630641 */   // Label 22481: @1630641
     /* 1630641 */   GIM_Try, /*On fail goto*//*Label 22482*/ GIMT_Encode4(1630727), // Rule ID 4019 //
     /* 1630646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1630657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1630660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1630663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630692 */     // MIs[0] policy
     /* 1630692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630702 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11684:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1630705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630726 */     // GIR_Coverage, 4019,
     /* 1630726 */     GIR_EraseRootFromParent_Done,
     /* 1630727 */   // Label 22482: @1630727
     /* 1630727 */   GIM_Try, /*On fail goto*//*Label 22483*/ GIMT_Encode4(1630813), // Rule ID 4022 //
     /* 1630732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1630743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1630746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1630749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630778 */     // MIs[0] policy
     /* 1630778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630788 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11684:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1630791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630812 */     // GIR_Coverage, 4022,
     /* 1630812 */     GIR_EraseRootFromParent_Done,
     /* 1630813 */   // Label 22483: @1630813
     /* 1630813 */   GIM_Try, /*On fail goto*//*Label 22484*/ GIMT_Encode4(1630899), // Rule ID 4023 //
     /* 1630818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1630829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1630832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1630835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630864 */     // MIs[0] policy
     /* 1630864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11684:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1630877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630898 */     // GIR_Coverage, 4023,
     /* 1630898 */     GIR_EraseRootFromParent_Done,
     /* 1630899 */   // Label 22484: @1630899
     /* 1630899 */   GIM_Try, /*On fail goto*//*Label 22485*/ GIMT_Encode4(1630985), // Rule ID 4026 //
     /* 1630904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1630915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1630918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1630921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630950 */     // MIs[0] policy
     /* 1630950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630960 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11684:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1630963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630984 */     // GIR_Coverage, 4026,
     /* 1630984 */     GIR_EraseRootFromParent_Done,
     /* 1630985 */   // Label 22485: @1630985
     /* 1630985 */   GIM_Try, /*On fail goto*//*Label 22486*/ GIMT_Encode4(1631071), // Rule ID 4027 //
     /* 1630990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1631001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1631004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1631007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631036 */     // MIs[0] policy
     /* 1631036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11684:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1631049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631070 */     // GIR_Coverage, 4027,
     /* 1631070 */     GIR_EraseRootFromParent_Done,
     /* 1631071 */   // Label 22486: @1631071
     /* 1631071 */   GIM_Try, /*On fail goto*//*Label 22487*/ GIMT_Encode4(1631157), // Rule ID 4030 //
     /* 1631076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1631087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1631090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1631093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631122 */     // MIs[0] policy
     /* 1631122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631132 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11684:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1631135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631156 */     // GIR_Coverage, 4030,
     /* 1631156 */     GIR_EraseRootFromParent_Done,
     /* 1631157 */   // Label 22487: @1631157
     /* 1631157 */   GIM_Try, /*On fail goto*//*Label 22488*/ GIMT_Encode4(1631243), // Rule ID 4031 //
     /* 1631162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1631173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1631176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1631179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631208 */     // MIs[0] policy
     /* 1631208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631218 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11684:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1631221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631242 */     // GIR_Coverage, 4031,
     /* 1631242 */     GIR_EraseRootFromParent_Done,
     /* 1631243 */   // Label 22488: @1631243
     /* 1631243 */   GIM_Try, /*On fail goto*//*Label 22489*/ GIMT_Encode4(1631329), // Rule ID 4034 //
     /* 1631248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1631259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1631262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1631265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1631271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631294 */     // MIs[0] policy
     /* 1631294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631304 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11684:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1631307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631328 */     // GIR_Coverage, 4034,
     /* 1631328 */     GIR_EraseRootFromParent_Done,
     /* 1631329 */   // Label 22489: @1631329
     /* 1631329 */   GIM_Try, /*On fail goto*//*Label 22490*/ GIMT_Encode4(1631415), // Rule ID 4035 //
     /* 1631334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1631345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1631348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1631351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1631357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631380 */     // MIs[0] policy
     /* 1631380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631390 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11684:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1631393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631414 */     // GIR_Coverage, 4035,
     /* 1631414 */     GIR_EraseRootFromParent_Done,
     /* 1631415 */   // Label 22490: @1631415
     /* 1631415 */   GIM_Try, /*On fail goto*//*Label 22491*/ GIMT_Encode4(1631501), // Rule ID 4038 //
     /* 1631420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1631431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1631434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1631437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631466 */     // MIs[0] policy
     /* 1631466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11684:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1631479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631500 */     // GIR_Coverage, 4038,
     /* 1631500 */     GIR_EraseRootFromParent_Done,
     /* 1631501 */   // Label 22491: @1631501
     /* 1631501 */   GIM_Try, /*On fail goto*//*Label 22492*/ GIMT_Encode4(1631587), // Rule ID 4039 //
     /* 1631506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1631517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1631520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1631523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631552 */     // MIs[0] policy
     /* 1631552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631562 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11684:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1631565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631586 */     // GIR_Coverage, 4039,
     /* 1631586 */     GIR_EraseRootFromParent_Done,
     /* 1631587 */   // Label 22492: @1631587
     /* 1631587 */   GIM_Try, /*On fail goto*//*Label 22493*/ GIMT_Encode4(1631673), // Rule ID 4042 //
     /* 1631592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1631603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1631606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631638 */     // MIs[0] policy
     /* 1631638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11684:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1631651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631672 */     // GIR_Coverage, 4042,
     /* 1631672 */     GIR_EraseRootFromParent_Done,
     /* 1631673 */   // Label 22493: @1631673
     /* 1631673 */   GIM_Try, /*On fail goto*//*Label 22494*/ GIMT_Encode4(1631759), // Rule ID 4043 //
     /* 1631678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1631689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1631692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631724 */     // MIs[0] policy
     /* 1631724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631734 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11684:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1631737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631758 */     // GIR_Coverage, 4043,
     /* 1631758 */     GIR_EraseRootFromParent_Done,
     /* 1631759 */   // Label 22494: @1631759
     /* 1631759 */   GIM_Try, /*On fail goto*//*Label 22495*/ GIMT_Encode4(1631845), // Rule ID 4046 //
     /* 1631764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1631775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1631778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631810 */     // MIs[0] policy
     /* 1631810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631820 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11684:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1631823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631844 */     // GIR_Coverage, 4046,
     /* 1631844 */     GIR_EraseRootFromParent_Done,
     /* 1631845 */   // Label 22495: @1631845
     /* 1631845 */   GIM_Try, /*On fail goto*//*Label 22496*/ GIMT_Encode4(1631931), // Rule ID 4047 //
     /* 1631850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1631861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1631864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631896 */     // MIs[0] policy
     /* 1631896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11684:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1631909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631930 */     // GIR_Coverage, 4047,
     /* 1631930 */     GIR_EraseRootFromParent_Done,
     /* 1631931 */   // Label 22496: @1631931
     /* 1631931 */   GIM_Try, /*On fail goto*//*Label 22497*/ GIMT_Encode4(1632017), // Rule ID 4050 //
     /* 1631936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1631947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1631950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631982 */     // MIs[0] policy
     /* 1631982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631992 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11684:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1631995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632016 */     // GIR_Coverage, 4050,
     /* 1632016 */     GIR_EraseRootFromParent_Done,
     /* 1632017 */   // Label 22497: @1632017
     /* 1632017 */   GIM_Try, /*On fail goto*//*Label 22498*/ GIMT_Encode4(1632103), // Rule ID 4051 //
     /* 1632022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1632033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1632036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1632039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632068 */     // MIs[0] policy
     /* 1632068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11684:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1632081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632102 */     // GIR_Coverage, 4051,
     /* 1632102 */     GIR_EraseRootFromParent_Done,
     /* 1632103 */   // Label 22498: @1632103
     /* 1632103 */   GIM_Try, /*On fail goto*//*Label 22499*/ GIMT_Encode4(1632189), // Rule ID 4054 //
     /* 1632108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1632119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1632122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1632125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632154 */     // MIs[0] policy
     /* 1632154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632164 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11684:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1632167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632188 */     // GIR_Coverage, 4054,
     /* 1632188 */     GIR_EraseRootFromParent_Done,
     /* 1632189 */   // Label 22499: @1632189
     /* 1632189 */   GIM_Try, /*On fail goto*//*Label 22500*/ GIMT_Encode4(1632275), // Rule ID 4055 //
     /* 1632194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1632205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1632208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1632211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632240 */     // MIs[0] policy
     /* 1632240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11684:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1632253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632274 */     // GIR_Coverage, 4055,
     /* 1632274 */     GIR_EraseRootFromParent_Done,
     /* 1632275 */   // Label 22500: @1632275
     /* 1632275 */   GIM_Try, /*On fail goto*//*Label 22501*/ GIMT_Encode4(1632361), // Rule ID 4058 //
     /* 1632280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1632291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1632294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1632297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632326 */     // MIs[0] policy
     /* 1632326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11684:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1632339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632360 */     // GIR_Coverage, 4058,
     /* 1632360 */     GIR_EraseRootFromParent_Done,
     /* 1632361 */   // Label 22501: @1632361
     /* 1632361 */   GIM_Try, /*On fail goto*//*Label 22502*/ GIMT_Encode4(1632447), // Rule ID 4059 //
     /* 1632366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1632377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1632380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1632383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632412 */     // MIs[0] policy
     /* 1632412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11684:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1632425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632446 */     // GIR_Coverage, 4059,
     /* 1632446 */     GIR_EraseRootFromParent_Done,
     /* 1632447 */   // Label 22502: @1632447
     /* 1632447 */   GIM_Try, /*On fail goto*//*Label 22503*/ GIMT_Encode4(1632533), // Rule ID 4062 //
     /* 1632452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1632463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1632466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632498 */     // MIs[0] policy
     /* 1632498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632508 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11684:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1632511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632532 */     // GIR_Coverage, 4062,
     /* 1632532 */     GIR_EraseRootFromParent_Done,
     /* 1632533 */   // Label 22503: @1632533
     /* 1632533 */   GIM_Try, /*On fail goto*//*Label 22504*/ GIMT_Encode4(1632619), // Rule ID 4063 //
     /* 1632538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1632549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1632552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632584 */     // MIs[0] policy
     /* 1632584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632594 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11684:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1632597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632618 */     // GIR_Coverage, 4063,
     /* 1632618 */     GIR_EraseRootFromParent_Done,
     /* 1632619 */   // Label 22504: @1632619
     /* 1632619 */   GIM_Try, /*On fail goto*//*Label 22505*/ GIMT_Encode4(1632705), // Rule ID 4066 //
     /* 1632624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1632635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1632638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632670 */     // MIs[0] policy
     /* 1632670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632680 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11684:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1632683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632704 */     // GIR_Coverage, 4066,
     /* 1632704 */     GIR_EraseRootFromParent_Done,
     /* 1632705 */   // Label 22505: @1632705
     /* 1632705 */   GIM_Try, /*On fail goto*//*Label 22506*/ GIMT_Encode4(1632791), // Rule ID 4067 //
     /* 1632710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1632721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1632724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632756 */     // MIs[0] policy
     /* 1632756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632766 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11684:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1632769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632790 */     // GIR_Coverage, 4067,
     /* 1632790 */     GIR_EraseRootFromParent_Done,
     /* 1632791 */   // Label 22506: @1632791
     /* 1632791 */   GIM_Try, /*On fail goto*//*Label 22507*/ GIMT_Encode4(1632877), // Rule ID 4070 //
     /* 1632796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1632807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1632810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632842 */     // MIs[0] policy
     /* 1632842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11684:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1632855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632876 */     // GIR_Coverage, 4070,
     /* 1632876 */     GIR_EraseRootFromParent_Done,
     /* 1632877 */   // Label 22507: @1632877
     /* 1632877 */   GIM_Try, /*On fail goto*//*Label 22508*/ GIMT_Encode4(1632963), // Rule ID 4071 //
     /* 1632882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1632893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1632896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632928 */     // MIs[0] policy
     /* 1632928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632938 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11684:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1632941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632962 */     // GIR_Coverage, 4071,
     /* 1632962 */     GIR_EraseRootFromParent_Done,
     /* 1632963 */   // Label 22508: @1632963
     /* 1632963 */   GIM_Try, /*On fail goto*//*Label 22509*/ GIMT_Encode4(1633049), // Rule ID 4080 //
     /* 1632968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1632979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1632982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1632985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1632988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633014 */     // MIs[0] policy
     /* 1633014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1633027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633048 */     // GIR_Coverage, 4080,
     /* 1633048 */     GIR_EraseRootFromParent_Done,
     /* 1633049 */   // Label 22509: @1633049
     /* 1633049 */   GIM_Try, /*On fail goto*//*Label 22510*/ GIMT_Encode4(1633135), // Rule ID 4081 //
     /* 1633054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1633065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1633068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1633071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1633074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633100 */     // MIs[0] policy
     /* 1633100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633110 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1633113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633134 */     // GIR_Coverage, 4081,
     /* 1633134 */     GIR_EraseRootFromParent_Done,
     /* 1633135 */   // Label 22510: @1633135
     /* 1633135 */   GIM_Try, /*On fail goto*//*Label 22511*/ GIMT_Encode4(1633221), // Rule ID 4090 //
     /* 1633140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1633151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1633154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1633157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1633160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633186 */     // MIs[0] policy
     /* 1633186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1633199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633220 */     // GIR_Coverage, 4090,
     /* 1633220 */     GIR_EraseRootFromParent_Done,
     /* 1633221 */   // Label 22511: @1633221
     /* 1633221 */   GIM_Try, /*On fail goto*//*Label 22512*/ GIMT_Encode4(1633307), // Rule ID 4091 //
     /* 1633226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1633237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1633240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1633243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1633246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633272 */     // MIs[0] policy
     /* 1633272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1633285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633306 */     // GIR_Coverage, 4091,
     /* 1633306 */     GIR_EraseRootFromParent_Done,
     /* 1633307 */   // Label 22512: @1633307
     /* 1633307 */   GIM_Try, /*On fail goto*//*Label 22513*/ GIMT_Encode4(1633393), // Rule ID 4100 //
     /* 1633312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1633323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1633326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1633329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1633332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633358 */     // MIs[0] policy
     /* 1633358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1633371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633392 */     // GIR_Coverage, 4100,
     /* 1633392 */     GIR_EraseRootFromParent_Done,
     /* 1633393 */   // Label 22513: @1633393
     /* 1633393 */   GIM_Try, /*On fail goto*//*Label 22514*/ GIMT_Encode4(1633479), // Rule ID 4101 //
     /* 1633398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1633409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1633412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1633415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1633418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633444 */     // MIs[0] policy
     /* 1633444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633454 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1633457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633478 */     // GIR_Coverage, 4101,
     /* 1633478 */     GIR_EraseRootFromParent_Done,
     /* 1633479 */   // Label 22514: @1633479
     /* 1633479 */   GIM_Try, /*On fail goto*//*Label 22515*/ GIMT_Encode4(1633565), // Rule ID 4110 //
     /* 1633484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1633495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1633498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1633501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1633504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633530 */     // MIs[0] policy
     /* 1633530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633540 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1633543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633564 */     // GIR_Coverage, 4110,
     /* 1633564 */     GIR_EraseRootFromParent_Done,
     /* 1633565 */   // Label 22515: @1633565
     /* 1633565 */   GIM_Try, /*On fail goto*//*Label 22516*/ GIMT_Encode4(1633651), // Rule ID 4111 //
     /* 1633570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1633581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1633584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1633587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1633590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633616 */     // MIs[0] policy
     /* 1633616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1633629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633650 */     // GIR_Coverage, 4111,
     /* 1633650 */     GIR_EraseRootFromParent_Done,
     /* 1633651 */   // Label 22516: @1633651
     /* 1633651 */   GIM_Try, /*On fail goto*//*Label 22517*/ GIMT_Encode4(1633737), // Rule ID 4120 //
     /* 1633656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1633667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1633670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1633673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1633676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1633679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633702 */     // MIs[0] policy
     /* 1633702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633712 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1633715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633736 */     // GIR_Coverage, 4120,
     /* 1633736 */     GIR_EraseRootFromParent_Done,
     /* 1633737 */   // Label 22517: @1633737
     /* 1633737 */   GIM_Try, /*On fail goto*//*Label 22518*/ GIMT_Encode4(1633823), // Rule ID 4121 //
     /* 1633742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1633753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1633756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1633759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1633762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1633765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633788 */     // MIs[0] policy
     /* 1633788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633798 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1633801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633822 */     // GIR_Coverage, 4121,
     /* 1633822 */     GIR_EraseRootFromParent_Done,
     /* 1633823 */   // Label 22518: @1633823
     /* 1633823 */   GIM_Try, /*On fail goto*//*Label 22519*/ GIMT_Encode4(1633909), // Rule ID 4130 //
     /* 1633828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1633839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1633842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1633845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1633848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633874 */     // MIs[0] policy
     /* 1633874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633884 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1633887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633908 */     // GIR_Coverage, 4130,
     /* 1633908 */     GIR_EraseRootFromParent_Done,
     /* 1633909 */   // Label 22519: @1633909
     /* 1633909 */   GIM_Try, /*On fail goto*//*Label 22520*/ GIMT_Encode4(1633995), // Rule ID 4131 //
     /* 1633914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1633925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1633928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1633931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1633934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633960 */     // MIs[0] policy
     /* 1633960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633970 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1633973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633994 */     // GIR_Coverage, 4131,
     /* 1633994 */     GIR_EraseRootFromParent_Done,
     /* 1633995 */   // Label 22520: @1633995
     /* 1633995 */   GIM_Try, /*On fail goto*//*Label 22521*/ GIMT_Encode4(1634081), // Rule ID 4140 //
     /* 1634000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1634011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1634014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1634017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1634020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634046 */     // MIs[0] policy
     /* 1634046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1634059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634080 */     // GIR_Coverage, 4140,
     /* 1634080 */     GIR_EraseRootFromParent_Done,
     /* 1634081 */   // Label 22521: @1634081
     /* 1634081 */   GIM_Try, /*On fail goto*//*Label 22522*/ GIMT_Encode4(1634167), // Rule ID 4141 //
     /* 1634086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1634097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1634100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1634103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1634106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634132 */     // MIs[0] policy
     /* 1634132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634142 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1634145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634166 */     // GIR_Coverage, 4141,
     /* 1634166 */     GIR_EraseRootFromParent_Done,
     /* 1634167 */   // Label 22522: @1634167
     /* 1634167 */   GIM_Try, /*On fail goto*//*Label 22523*/ GIMT_Encode4(1634253), // Rule ID 4150 //
     /* 1634172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1634183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1634186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1634189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1634192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634218 */     // MIs[0] policy
     /* 1634218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1634231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634252 */     // GIR_Coverage, 4150,
     /* 1634252 */     GIR_EraseRootFromParent_Done,
     /* 1634253 */   // Label 22523: @1634253
     /* 1634253 */   GIM_Try, /*On fail goto*//*Label 22524*/ GIMT_Encode4(1634339), // Rule ID 4151 //
     /* 1634258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1634269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1634272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1634275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1634278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634304 */     // MIs[0] policy
     /* 1634304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634314 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1634317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634338 */     // GIR_Coverage, 4151,
     /* 1634338 */     GIR_EraseRootFromParent_Done,
     /* 1634339 */   // Label 22524: @1634339
     /* 1634339 */   GIM_Try, /*On fail goto*//*Label 22525*/ GIMT_Encode4(1634425), // Rule ID 4160 //
     /* 1634344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1634355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1634358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1634361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1634364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634390 */     // MIs[0] policy
     /* 1634390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634400 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1634403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634424 */     // GIR_Coverage, 4160,
     /* 1634424 */     GIR_EraseRootFromParent_Done,
     /* 1634425 */   // Label 22525: @1634425
     /* 1634425 */   GIM_Try, /*On fail goto*//*Label 22526*/ GIMT_Encode4(1634511), // Rule ID 4161 //
     /* 1634430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1634441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1634444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1634447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1634450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634476 */     // MIs[0] policy
     /* 1634476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1634489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634510 */     // GIR_Coverage, 4161,
     /* 1634510 */     GIR_EraseRootFromParent_Done,
     /* 1634511 */   // Label 22526: @1634511
     /* 1634511 */   GIM_Try, /*On fail goto*//*Label 22527*/ GIMT_Encode4(1634597), // Rule ID 4170 //
     /* 1634516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1634527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1634530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1634533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1634536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634562 */     // MIs[0] policy
     /* 1634562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1634575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634596 */     // GIR_Coverage, 4170,
     /* 1634596 */     GIR_EraseRootFromParent_Done,
     /* 1634597 */   // Label 22527: @1634597
     /* 1634597 */   GIM_Try, /*On fail goto*//*Label 22528*/ GIMT_Encode4(1634683), // Rule ID 4171 //
     /* 1634602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1634613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1634616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1634619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1634622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634648 */     // MIs[0] policy
     /* 1634648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1634661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634682 */     // GIR_Coverage, 4171,
     /* 1634682 */     GIR_EraseRootFromParent_Done,
     /* 1634683 */   // Label 22528: @1634683
     /* 1634683 */   GIM_Try, /*On fail goto*//*Label 22529*/ GIMT_Encode4(1634769), // Rule ID 4180 //
     /* 1634688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1634699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1634702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1634705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1634708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634734 */     // MIs[0] policy
     /* 1634734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1634747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634768 */     // GIR_Coverage, 4180,
     /* 1634768 */     GIR_EraseRootFromParent_Done,
     /* 1634769 */   // Label 22529: @1634769
     /* 1634769 */   GIM_Try, /*On fail goto*//*Label 22530*/ GIMT_Encode4(1634855), // Rule ID 4181 //
     /* 1634774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1634785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1634788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1634791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1634794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634820 */     // MIs[0] policy
     /* 1634820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634830 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1634833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634854 */     // GIR_Coverage, 4181,
     /* 1634854 */     GIR_EraseRootFromParent_Done,
     /* 1634855 */   // Label 22530: @1634855
     /* 1634855 */   GIM_Try, /*On fail goto*//*Label 22531*/ GIMT_Encode4(1634941), // Rule ID 4190 //
     /* 1634860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1634877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1634880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634906 */     // MIs[0] policy
     /* 1634906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634916 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1634919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634940 */     // GIR_Coverage, 4190,
     /* 1634940 */     GIR_EraseRootFromParent_Done,
     /* 1634941 */   // Label 22531: @1634941
     /* 1634941 */   GIM_Try, /*On fail goto*//*Label 22532*/ GIMT_Encode4(1635027), // Rule ID 4191 //
     /* 1634946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1634963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1634966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634992 */     // MIs[0] policy
     /* 1634992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635002 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1635005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635026 */     // GIR_Coverage, 4191,
     /* 1635026 */     GIR_EraseRootFromParent_Done,
     /* 1635027 */   // Label 22532: @1635027
     /* 1635027 */   GIM_Try, /*On fail goto*//*Label 22533*/ GIMT_Encode4(1635113), // Rule ID 4200 //
     /* 1635032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1635043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1635046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1635049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1635052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635078 */     // MIs[0] policy
     /* 1635078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635088 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1635091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635112 */     // GIR_Coverage, 4200,
     /* 1635112 */     GIR_EraseRootFromParent_Done,
     /* 1635113 */   // Label 22533: @1635113
     /* 1635113 */   GIM_Try, /*On fail goto*//*Label 22534*/ GIMT_Encode4(1635199), // Rule ID 4201 //
     /* 1635118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1635129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1635132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1635135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1635138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635164 */     // MIs[0] policy
     /* 1635164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635174 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1635177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635198 */     // GIR_Coverage, 4201,
     /* 1635198 */     GIR_EraseRootFromParent_Done,
     /* 1635199 */   // Label 22534: @1635199
     /* 1635199 */   GIM_Try, /*On fail goto*//*Label 22535*/ GIMT_Encode4(1635285), // Rule ID 4210 //
     /* 1635204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1635215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1635218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1635221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1635224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635250 */     // MIs[0] policy
     /* 1635250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635260 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1635263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635284 */     // GIR_Coverage, 4210,
     /* 1635284 */     GIR_EraseRootFromParent_Done,
     /* 1635285 */   // Label 22535: @1635285
     /* 1635285 */   GIM_Try, /*On fail goto*//*Label 22536*/ GIMT_Encode4(1635371), // Rule ID 4211 //
     /* 1635290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1635301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1635304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1635307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1635310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635336 */     // MIs[0] policy
     /* 1635336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1635349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635370 */     // GIR_Coverage, 4211,
     /* 1635370 */     GIR_EraseRootFromParent_Done,
     /* 1635371 */   // Label 22536: @1635371
     /* 1635371 */   GIM_Try, /*On fail goto*//*Label 22537*/ GIMT_Encode4(1635457), // Rule ID 4214 //
     /* 1635376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1635387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1635390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1635393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635422 */     // MIs[0] policy
     /* 1635422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635432 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1635435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635456 */     // GIR_Coverage, 4214,
     /* 1635456 */     GIR_EraseRootFromParent_Done,
     /* 1635457 */   // Label 22537: @1635457
     /* 1635457 */   GIM_Try, /*On fail goto*//*Label 22538*/ GIMT_Encode4(1635543), // Rule ID 4215 //
     /* 1635462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1635473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1635476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1635479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635508 */     // MIs[0] policy
     /* 1635508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635518 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1635521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635542 */     // GIR_Coverage, 4215,
     /* 1635542 */     GIR_EraseRootFromParent_Done,
     /* 1635543 */   // Label 22538: @1635543
     /* 1635543 */   GIM_Try, /*On fail goto*//*Label 22539*/ GIMT_Encode4(1635629), // Rule ID 4218 //
     /* 1635548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1635559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1635562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1635565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635594 */     // MIs[0] policy
     /* 1635594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635604 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1635607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635628 */     // GIR_Coverage, 4218,
     /* 1635628 */     GIR_EraseRootFromParent_Done,
     /* 1635629 */   // Label 22539: @1635629
     /* 1635629 */   GIM_Try, /*On fail goto*//*Label 22540*/ GIMT_Encode4(1635715), // Rule ID 4219 //
     /* 1635634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1635645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1635648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1635651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635680 */     // MIs[0] policy
     /* 1635680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635690 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1635693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635714 */     // GIR_Coverage, 4219,
     /* 1635714 */     GIR_EraseRootFromParent_Done,
     /* 1635715 */   // Label 22540: @1635715
     /* 1635715 */   GIM_Try, /*On fail goto*//*Label 22541*/ GIMT_Encode4(1635801), // Rule ID 4222 //
     /* 1635720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1635731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1635734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1635737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635766 */     // MIs[0] policy
     /* 1635766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1635779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635800 */     // GIR_Coverage, 4222,
     /* 1635800 */     GIR_EraseRootFromParent_Done,
     /* 1635801 */   // Label 22541: @1635801
     /* 1635801 */   GIM_Try, /*On fail goto*//*Label 22542*/ GIMT_Encode4(1635887), // Rule ID 4223 //
     /* 1635806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1635817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1635820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1635823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635852 */     // MIs[0] policy
     /* 1635852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1635865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635886 */     // GIR_Coverage, 4223,
     /* 1635886 */     GIR_EraseRootFromParent_Done,
     /* 1635887 */   // Label 22542: @1635887
     /* 1635887 */   GIM_Try, /*On fail goto*//*Label 22543*/ GIMT_Encode4(1635973), // Rule ID 4226 //
     /* 1635892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1635903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1635906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1635909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635938 */     // MIs[0] policy
     /* 1635938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1635951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635972 */     // GIR_Coverage, 4226,
     /* 1635972 */     GIR_EraseRootFromParent_Done,
     /* 1635973 */   // Label 22543: @1635973
     /* 1635973 */   GIM_Try, /*On fail goto*//*Label 22544*/ GIMT_Encode4(1636059), // Rule ID 4227 //
     /* 1635978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1635989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1635992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1635995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636024 */     // MIs[0] policy
     /* 1636024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1636037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636058 */     // GIR_Coverage, 4227,
     /* 1636058 */     GIR_EraseRootFromParent_Done,
     /* 1636059 */   // Label 22544: @1636059
     /* 1636059 */   GIM_Try, /*On fail goto*//*Label 22545*/ GIMT_Encode4(1636145), // Rule ID 4230 //
     /* 1636064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1636075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1636078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1636081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636110 */     // MIs[0] policy
     /* 1636110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1636123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636144 */     // GIR_Coverage, 4230,
     /* 1636144 */     GIR_EraseRootFromParent_Done,
     /* 1636145 */   // Label 22545: @1636145
     /* 1636145 */   GIM_Try, /*On fail goto*//*Label 22546*/ GIMT_Encode4(1636231), // Rule ID 4231 //
     /* 1636150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1636161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1636164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1636167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636196 */     // MIs[0] policy
     /* 1636196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636206 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1636209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636230 */     // GIR_Coverage, 4231,
     /* 1636230 */     GIR_EraseRootFromParent_Done,
     /* 1636231 */   // Label 22546: @1636231
     /* 1636231 */   GIM_Try, /*On fail goto*//*Label 22547*/ GIMT_Encode4(1636317), // Rule ID 4234 //
     /* 1636236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1636247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1636250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1636253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1636259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636282 */     // MIs[0] policy
     /* 1636282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636292 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1636295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636316 */     // GIR_Coverage, 4234,
     /* 1636316 */     GIR_EraseRootFromParent_Done,
     /* 1636317 */   // Label 22547: @1636317
     /* 1636317 */   GIM_Try, /*On fail goto*//*Label 22548*/ GIMT_Encode4(1636403), // Rule ID 4235 //
     /* 1636322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1636333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1636336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1636339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1636345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636368 */     // MIs[0] policy
     /* 1636368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1636381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636402 */     // GIR_Coverage, 4235,
     /* 1636402 */     GIR_EraseRootFromParent_Done,
     /* 1636403 */   // Label 22548: @1636403
     /* 1636403 */   GIM_Try, /*On fail goto*//*Label 22549*/ GIMT_Encode4(1636489), // Rule ID 4238 //
     /* 1636408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1636419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1636422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1636425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636454 */     // MIs[0] policy
     /* 1636454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1636467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636488 */     // GIR_Coverage, 4238,
     /* 1636488 */     GIR_EraseRootFromParent_Done,
     /* 1636489 */   // Label 22549: @1636489
     /* 1636489 */   GIM_Try, /*On fail goto*//*Label 22550*/ GIMT_Encode4(1636575), // Rule ID 4239 //
     /* 1636494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1636505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1636508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1636511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636540 */     // MIs[0] policy
     /* 1636540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1636553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636574 */     // GIR_Coverage, 4239,
     /* 1636574 */     GIR_EraseRootFromParent_Done,
     /* 1636575 */   // Label 22550: @1636575
     /* 1636575 */   GIM_Try, /*On fail goto*//*Label 22551*/ GIMT_Encode4(1636661), // Rule ID 4242 //
     /* 1636580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1636591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1636594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1636597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636626 */     // MIs[0] policy
     /* 1636626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1636639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636660 */     // GIR_Coverage, 4242,
     /* 1636660 */     GIR_EraseRootFromParent_Done,
     /* 1636661 */   // Label 22551: @1636661
     /* 1636661 */   GIM_Try, /*On fail goto*//*Label 22552*/ GIMT_Encode4(1636747), // Rule ID 4243 //
     /* 1636666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1636677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1636680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1636683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636712 */     // MIs[0] policy
     /* 1636712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1636725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636746 */     // GIR_Coverage, 4243,
     /* 1636746 */     GIR_EraseRootFromParent_Done,
     /* 1636747 */   // Label 22552: @1636747
     /* 1636747 */   GIM_Try, /*On fail goto*//*Label 22553*/ GIMT_Encode4(1636833), // Rule ID 4246 //
     /* 1636752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1636763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1636766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1636769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636798 */     // MIs[0] policy
     /* 1636798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636808 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1636811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636832 */     // GIR_Coverage, 4246,
     /* 1636832 */     GIR_EraseRootFromParent_Done,
     /* 1636833 */   // Label 22553: @1636833
     /* 1636833 */   GIM_Try, /*On fail goto*//*Label 22554*/ GIMT_Encode4(1636919), // Rule ID 4247 //
     /* 1636838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1636849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1636852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1636855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636884 */     // MIs[0] policy
     /* 1636884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1636897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636918 */     // GIR_Coverage, 4247,
     /* 1636918 */     GIR_EraseRootFromParent_Done,
     /* 1636919 */   // Label 22554: @1636919
     /* 1636919 */   GIM_Try, /*On fail goto*//*Label 22555*/ GIMT_Encode4(1637005), // Rule ID 4250 //
     /* 1636924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1636932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1636935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1636938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1636941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636970 */     // MIs[0] policy
     /* 1636970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636980 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1636983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637004 */     // GIR_Coverage, 4250,
     /* 1637004 */     GIR_EraseRootFromParent_Done,
     /* 1637005 */   // Label 22555: @1637005
     /* 1637005 */   GIM_Try, /*On fail goto*//*Label 22556*/ GIMT_Encode4(1637091), // Rule ID 4251 //
     /* 1637010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1637021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1637024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1637027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637056 */     // MIs[0] policy
     /* 1637056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637066 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1637069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637090 */     // GIR_Coverage, 4251,
     /* 1637090 */     GIR_EraseRootFromParent_Done,
     /* 1637091 */   // Label 22556: @1637091
     /* 1637091 */   GIM_Try, /*On fail goto*//*Label 22557*/ GIMT_Encode4(1637177), // Rule ID 4254 //
     /* 1637096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1637107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1637110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1637113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637142 */     // MIs[0] policy
     /* 1637142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637152 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1637155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637176 */     // GIR_Coverage, 4254,
     /* 1637176 */     GIR_EraseRootFromParent_Done,
     /* 1637177 */   // Label 22557: @1637177
     /* 1637177 */   GIM_Try, /*On fail goto*//*Label 22558*/ GIMT_Encode4(1637263), // Rule ID 4255 //
     /* 1637182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1637193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1637196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1637199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637228 */     // MIs[0] policy
     /* 1637228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637238 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1637241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637262 */     // GIR_Coverage, 4255,
     /* 1637262 */     GIR_EraseRootFromParent_Done,
     /* 1637263 */   // Label 22558: @1637263
     /* 1637263 */   GIM_Try, /*On fail goto*//*Label 22559*/ GIMT_Encode4(1637349), // Rule ID 4258 //
     /* 1637268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1637279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1637282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1637285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637314 */     // MIs[0] policy
     /* 1637314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637324 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1637327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637348 */     // GIR_Coverage, 4258,
     /* 1637348 */     GIR_EraseRootFromParent_Done,
     /* 1637349 */   // Label 22559: @1637349
     /* 1637349 */   GIM_Try, /*On fail goto*//*Label 22560*/ GIMT_Encode4(1637435), // Rule ID 4259 //
     /* 1637354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1637365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1637368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1637371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637400 */     // MIs[0] policy
     /* 1637400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637410 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1637413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637434 */     // GIR_Coverage, 4259,
     /* 1637434 */     GIR_EraseRootFromParent_Done,
     /* 1637435 */   // Label 22560: @1637435
     /* 1637435 */   GIM_Try, /*On fail goto*//*Label 22561*/ GIMT_Encode4(1637521), // Rule ID 4262 //
     /* 1637440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1637451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1637454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1637457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637486 */     // MIs[0] policy
     /* 1637486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1637499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637520 */     // GIR_Coverage, 4262,
     /* 1637520 */     GIR_EraseRootFromParent_Done,
     /* 1637521 */   // Label 22561: @1637521
     /* 1637521 */   GIM_Try, /*On fail goto*//*Label 22562*/ GIMT_Encode4(1637607), // Rule ID 4263 //
     /* 1637526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1637537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1637540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1637543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637572 */     // MIs[0] policy
     /* 1637572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11662:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1637585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637606 */     // GIR_Coverage, 4263,
     /* 1637606 */     GIR_EraseRootFromParent_Done,
     /* 1637607 */   // Label 22562: @1637607
     /* 1637607 */   GIM_Try, /*On fail goto*//*Label 22563*/ GIMT_Encode4(1637693), // Rule ID 4266 //
     /* 1637612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1637623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1637626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1637629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637658 */     // MIs[0] policy
     /* 1637658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1637671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637692 */     // GIR_Coverage, 4266,
     /* 1637692 */     GIR_EraseRootFromParent_Done,
     /* 1637693 */   // Label 22563: @1637693
     /* 1637693 */   GIM_Try, /*On fail goto*//*Label 22564*/ GIMT_Encode4(1637779), // Rule ID 4267 //
     /* 1637698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1637709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1637712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1637715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637744 */     // MIs[0] policy
     /* 1637744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11662:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1637757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637778 */     // GIR_Coverage, 4267,
     /* 1637778 */     GIR_EraseRootFromParent_Done,
     /* 1637779 */   // Label 22564: @1637779
     /* 1637779 */   GIM_Try, /*On fail goto*//*Label 22565*/ GIMT_Encode4(1637865), // Rule ID 4270 //
     /* 1637784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1637795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1637798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1637801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637830 */     // MIs[0] policy
     /* 1637830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637840 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1637843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637864 */     // GIR_Coverage, 4270,
     /* 1637864 */     GIR_EraseRootFromParent_Done,
     /* 1637865 */   // Label 22565: @1637865
     /* 1637865 */   GIM_Try, /*On fail goto*//*Label 22566*/ GIMT_Encode4(1637951), // Rule ID 4271 //
     /* 1637870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1637881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1637884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1637887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637916 */     // MIs[0] policy
     /* 1637916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11662:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1637929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637950 */     // GIR_Coverage, 4271,
     /* 1637950 */     GIR_EraseRootFromParent_Done,
     /* 1637951 */   // Label 22566: @1637951
     /* 1637951 */   GIM_Try, /*On fail goto*//*Label 22567*/ GIMT_Encode4(1638037), // Rule ID 4280 //
     /* 1637956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1637967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1637970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1637973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1637976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638002 */     // MIs[0] policy
     /* 1638002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638012 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1638015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638036 */     // GIR_Coverage, 4280,
     /* 1638036 */     GIR_EraseRootFromParent_Done,
     /* 1638037 */   // Label 22567: @1638037
     /* 1638037 */   GIM_Try, /*On fail goto*//*Label 22568*/ GIMT_Encode4(1638123), // Rule ID 4281 //
     /* 1638042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1638053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1638056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1638059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1638062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638088 */     // MIs[0] policy
     /* 1638088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638098 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1638101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638122 */     // GIR_Coverage, 4281,
     /* 1638122 */     GIR_EraseRootFromParent_Done,
     /* 1638123 */   // Label 22568: @1638123
     /* 1638123 */   GIM_Try, /*On fail goto*//*Label 22569*/ GIMT_Encode4(1638209), // Rule ID 4290 //
     /* 1638128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1638139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1638142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1638145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1638148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638174 */     // MIs[0] policy
     /* 1638174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638184 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1638187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638208 */     // GIR_Coverage, 4290,
     /* 1638208 */     GIR_EraseRootFromParent_Done,
     /* 1638209 */   // Label 22569: @1638209
     /* 1638209 */   GIM_Try, /*On fail goto*//*Label 22570*/ GIMT_Encode4(1638295), // Rule ID 4291 //
     /* 1638214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1638225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1638228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1638231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1638234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638260 */     // MIs[0] policy
     /* 1638260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638270 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1638273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638294 */     // GIR_Coverage, 4291,
     /* 1638294 */     GIR_EraseRootFromParent_Done,
     /* 1638295 */   // Label 22570: @1638295
     /* 1638295 */   GIM_Try, /*On fail goto*//*Label 22571*/ GIMT_Encode4(1638381), // Rule ID 4300 //
     /* 1638300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1638311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1638314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1638317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1638320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638346 */     // MIs[0] policy
     /* 1638346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638356 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1638359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638380 */     // GIR_Coverage, 4300,
     /* 1638380 */     GIR_EraseRootFromParent_Done,
     /* 1638381 */   // Label 22571: @1638381
     /* 1638381 */   GIM_Try, /*On fail goto*//*Label 22572*/ GIMT_Encode4(1638467), // Rule ID 4301 //
     /* 1638386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1638397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1638400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1638403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1638406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638432 */     // MIs[0] policy
     /* 1638432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638442 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1638445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638466 */     // GIR_Coverage, 4301,
     /* 1638466 */     GIR_EraseRootFromParent_Done,
     /* 1638467 */   // Label 22572: @1638467
     /* 1638467 */   GIM_Try, /*On fail goto*//*Label 22573*/ GIMT_Encode4(1638553), // Rule ID 4310 //
     /* 1638472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1638483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1638486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1638489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1638492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638518 */     // MIs[0] policy
     /* 1638518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638528 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1638531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638552 */     // GIR_Coverage, 4310,
     /* 1638552 */     GIR_EraseRootFromParent_Done,
     /* 1638553 */   // Label 22573: @1638553
     /* 1638553 */   GIM_Try, /*On fail goto*//*Label 22574*/ GIMT_Encode4(1638639), // Rule ID 4311 //
     /* 1638558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1638569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1638572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1638575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1638578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638604 */     // MIs[0] policy
     /* 1638604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1638617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638638 */     // GIR_Coverage, 4311,
     /* 1638638 */     GIR_EraseRootFromParent_Done,
     /* 1638639 */   // Label 22574: @1638639
     /* 1638639 */   GIM_Try, /*On fail goto*//*Label 22575*/ GIMT_Encode4(1638725), // Rule ID 4320 //
     /* 1638644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1638655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1638658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1638661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1638664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638690 */     // MIs[0] policy
     /* 1638690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638700 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1638703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638724 */     // GIR_Coverage, 4320,
     /* 1638724 */     GIR_EraseRootFromParent_Done,
     /* 1638725 */   // Label 22575: @1638725
     /* 1638725 */   GIM_Try, /*On fail goto*//*Label 22576*/ GIMT_Encode4(1638811), // Rule ID 4321 //
     /* 1638730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1638741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1638744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1638747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1638750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638776 */     // MIs[0] policy
     /* 1638776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1638789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638810 */     // GIR_Coverage, 4321,
     /* 1638810 */     GIR_EraseRootFromParent_Done,
     /* 1638811 */   // Label 22576: @1638811
     /* 1638811 */   GIM_Try, /*On fail goto*//*Label 22577*/ GIMT_Encode4(1638897), // Rule ID 4330 //
     /* 1638816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1638827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1638830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1638833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1638836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1638839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638862 */     // MIs[0] policy
     /* 1638862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638872 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1638875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638896 */     // GIR_Coverage, 4330,
     /* 1638896 */     GIR_EraseRootFromParent_Done,
     /* 1638897 */   // Label 22577: @1638897
     /* 1638897 */   GIM_Try, /*On fail goto*//*Label 22578*/ GIMT_Encode4(1638983), // Rule ID 4331 //
     /* 1638902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1638913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1638916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1638919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1638922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1638925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638948 */     // MIs[0] policy
     /* 1638948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1638961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638982 */     // GIR_Coverage, 4331,
     /* 1638982 */     GIR_EraseRootFromParent_Done,
     /* 1638983 */   // Label 22578: @1638983
     /* 1638983 */   GIM_Try, /*On fail goto*//*Label 22579*/ GIMT_Encode4(1639069), // Rule ID 4340 //
     /* 1638988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1638999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1639002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1639005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1639008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639034 */     // MIs[0] policy
     /* 1639034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639044 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1639047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639068 */     // GIR_Coverage, 4340,
     /* 1639068 */     GIR_EraseRootFromParent_Done,
     /* 1639069 */   // Label 22579: @1639069
     /* 1639069 */   GIM_Try, /*On fail goto*//*Label 22580*/ GIMT_Encode4(1639155), // Rule ID 4341 //
     /* 1639074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1639085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1639088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1639091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1639094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639120 */     // MIs[0] policy
     /* 1639120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639130 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1639133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639154 */     // GIR_Coverage, 4341,
     /* 1639154 */     GIR_EraseRootFromParent_Done,
     /* 1639155 */   // Label 22580: @1639155
     /* 1639155 */   GIM_Try, /*On fail goto*//*Label 22581*/ GIMT_Encode4(1639241), // Rule ID 4350 //
     /* 1639160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1639171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1639174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1639177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1639180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639206 */     // MIs[0] policy
     /* 1639206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11690:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1639219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639240 */     // GIR_Coverage, 4350,
     /* 1639240 */     GIR_EraseRootFromParent_Done,
     /* 1639241 */   // Label 22581: @1639241
     /* 1639241 */   GIM_Try, /*On fail goto*//*Label 22582*/ GIMT_Encode4(1639327), // Rule ID 4351 //
     /* 1639246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1639257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1639260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1639263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1639266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639292 */     // MIs[0] policy
     /* 1639292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11690:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1639305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639326 */     // GIR_Coverage, 4351,
     /* 1639326 */     GIR_EraseRootFromParent_Done,
     /* 1639327 */   // Label 22582: @1639327
     /* 1639327 */   GIM_Try, /*On fail goto*//*Label 22583*/ GIMT_Encode4(1639413), // Rule ID 4360 //
     /* 1639332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1639343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1639346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1639349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1639352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639378 */     // MIs[0] policy
     /* 1639378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639388 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1639391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639412 */     // GIR_Coverage, 4360,
     /* 1639412 */     GIR_EraseRootFromParent_Done,
     /* 1639413 */   // Label 22583: @1639413
     /* 1639413 */   GIM_Try, /*On fail goto*//*Label 22584*/ GIMT_Encode4(1639499), // Rule ID 4361 //
     /* 1639418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1639429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1639432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1639435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1639438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639464 */     // MIs[0] policy
     /* 1639464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1639477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639498 */     // GIR_Coverage, 4361,
     /* 1639498 */     GIR_EraseRootFromParent_Done,
     /* 1639499 */   // Label 22584: @1639499
     /* 1639499 */   GIM_Try, /*On fail goto*//*Label 22585*/ GIMT_Encode4(1639585), // Rule ID 4370 //
     /* 1639504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1639515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1639518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1639521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1639524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639550 */     // MIs[0] policy
     /* 1639550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1639563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639584 */     // GIR_Coverage, 4370,
     /* 1639584 */     GIR_EraseRootFromParent_Done,
     /* 1639585 */   // Label 22585: @1639585
     /* 1639585 */   GIM_Try, /*On fail goto*//*Label 22586*/ GIMT_Encode4(1639671), // Rule ID 4371 //
     /* 1639590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1639601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1639604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1639607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1639610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639636 */     // MIs[0] policy
     /* 1639636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1639649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639670 */     // GIR_Coverage, 4371,
     /* 1639670 */     GIR_EraseRootFromParent_Done,
     /* 1639671 */   // Label 22586: @1639671
     /* 1639671 */   GIM_Try, /*On fail goto*//*Label 22587*/ GIMT_Encode4(1639757), // Rule ID 4380 //
     /* 1639676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1639687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1639690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1639693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1639696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639722 */     // MIs[0] policy
     /* 1639722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639732 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1639735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639756 */     // GIR_Coverage, 4380,
     /* 1639756 */     GIR_EraseRootFromParent_Done,
     /* 1639757 */   // Label 22587: @1639757
     /* 1639757 */   GIM_Try, /*On fail goto*//*Label 22588*/ GIMT_Encode4(1639843), // Rule ID 4381 //
     /* 1639762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1639773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1639776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1639779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1639782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639808 */     // MIs[0] policy
     /* 1639808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1639821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639842 */     // GIR_Coverage, 4381,
     /* 1639842 */     GIR_EraseRootFromParent_Done,
     /* 1639843 */   // Label 22588: @1639843
     /* 1639843 */   GIM_Try, /*On fail goto*//*Label 22589*/ GIMT_Encode4(1639929), // Rule ID 4390 //
     /* 1639848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1639865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1639868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639894 */     // MIs[0] policy
     /* 1639894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639904 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1639907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639928 */     // GIR_Coverage, 4390,
     /* 1639928 */     GIR_EraseRootFromParent_Done,
     /* 1639929 */   // Label 22589: @1639929
     /* 1639929 */   GIM_Try, /*On fail goto*//*Label 22590*/ GIMT_Encode4(1640015), // Rule ID 4391 //
     /* 1639934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1639951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1639954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639980 */     // MIs[0] policy
     /* 1639980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639990 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1639993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640014 */     // GIR_Coverage, 4391,
     /* 1640014 */     GIR_EraseRootFromParent_Done,
     /* 1640015 */   // Label 22590: @1640015
     /* 1640015 */   GIM_Try, /*On fail goto*//*Label 22591*/ GIMT_Encode4(1640101), // Rule ID 4400 //
     /* 1640020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1640031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1640034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1640037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1640040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640066 */     // MIs[0] policy
     /* 1640066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640076 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1640079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640100 */     // GIR_Coverage, 4400,
     /* 1640100 */     GIR_EraseRootFromParent_Done,
     /* 1640101 */   // Label 22591: @1640101
     /* 1640101 */   GIM_Try, /*On fail goto*//*Label 22592*/ GIMT_Encode4(1640187), // Rule ID 4401 //
     /* 1640106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1640117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1640120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1640123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1640126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640152 */     // MIs[0] policy
     /* 1640152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640162 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1640165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640186 */     // GIR_Coverage, 4401,
     /* 1640186 */     GIR_EraseRootFromParent_Done,
     /* 1640187 */   // Label 22592: @1640187
     /* 1640187 */   GIM_Try, /*On fail goto*//*Label 22593*/ GIMT_Encode4(1640273), // Rule ID 4410 //
     /* 1640192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1640203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1640206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1640209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1640212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640238 */     // MIs[0] policy
     /* 1640238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640248 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1640251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640272 */     // GIR_Coverage, 4410,
     /* 1640272 */     GIR_EraseRootFromParent_Done,
     /* 1640273 */   // Label 22593: @1640273
     /* 1640273 */   GIM_Try, /*On fail goto*//*Label 22594*/ GIMT_Encode4(1640359), // Rule ID 4411 //
     /* 1640278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1640289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1640292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1640295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1640298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640324 */     // MIs[0] policy
     /* 1640324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640334 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1640337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640358 */     // GIR_Coverage, 4411,
     /* 1640358 */     GIR_EraseRootFromParent_Done,
     /* 1640359 */   // Label 22594: @1640359
     /* 1640359 */   GIM_Try, /*On fail goto*//*Label 22595*/ GIMT_Encode4(1640445), // Rule ID 4420 //
     /* 1640364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1640375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1640378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1640381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1640384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640410 */     // MIs[0] policy
     /* 1640410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640420 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1640423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640444 */     // GIR_Coverage, 4420,
     /* 1640444 */     GIR_EraseRootFromParent_Done,
     /* 1640445 */   // Label 22595: @1640445
     /* 1640445 */   GIM_Try, /*On fail goto*//*Label 22596*/ GIMT_Encode4(1640531), // Rule ID 4421 //
     /* 1640450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1640461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1640464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1640467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1640470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640496 */     // MIs[0] policy
     /* 1640496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640506 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1640509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640530 */     // GIR_Coverage, 4421,
     /* 1640530 */     GIR_EraseRootFromParent_Done,
     /* 1640531 */   // Label 22596: @1640531
     /* 1640531 */   GIM_Try, /*On fail goto*//*Label 22597*/ GIMT_Encode4(1640617), // Rule ID 4424 //
     /* 1640536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1640547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1640550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1640553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640582 */     // MIs[0] policy
     /* 1640582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640592 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1640595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640616 */     // GIR_Coverage, 4424,
     /* 1640616 */     GIR_EraseRootFromParent_Done,
     /* 1640617 */   // Label 22597: @1640617
     /* 1640617 */   GIM_Try, /*On fail goto*//*Label 22598*/ GIMT_Encode4(1640703), // Rule ID 4425 //
     /* 1640622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1640633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1640636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1640639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640668 */     // MIs[0] policy
     /* 1640668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1640681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640702 */     // GIR_Coverage, 4425,
     /* 1640702 */     GIR_EraseRootFromParent_Done,
     /* 1640703 */   // Label 22598: @1640703
     /* 1640703 */   GIM_Try, /*On fail goto*//*Label 22599*/ GIMT_Encode4(1640789), // Rule ID 4428 //
     /* 1640708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1640719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1640722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1640725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640754 */     // MIs[0] policy
     /* 1640754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640764 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1640767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640788 */     // GIR_Coverage, 4428,
     /* 1640788 */     GIR_EraseRootFromParent_Done,
     /* 1640789 */   // Label 22599: @1640789
     /* 1640789 */   GIM_Try, /*On fail goto*//*Label 22600*/ GIMT_Encode4(1640875), // Rule ID 4429 //
     /* 1640794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1640805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1640808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1640811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640840 */     // MIs[0] policy
     /* 1640840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640850 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1640853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640874 */     // GIR_Coverage, 4429,
     /* 1640874 */     GIR_EraseRootFromParent_Done,
     /* 1640875 */   // Label 22600: @1640875
     /* 1640875 */   GIM_Try, /*On fail goto*//*Label 22601*/ GIMT_Encode4(1640961), // Rule ID 4432 //
     /* 1640880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1640891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1640894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1640897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640926 */     // MIs[0] policy
     /* 1640926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1640939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640960 */     // GIR_Coverage, 4432,
     /* 1640960 */     GIR_EraseRootFromParent_Done,
     /* 1640961 */   // Label 22601: @1640961
     /* 1640961 */   GIM_Try, /*On fail goto*//*Label 22602*/ GIMT_Encode4(1641047), // Rule ID 4433 //
     /* 1640966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1640977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1640980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1640983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641012 */     // MIs[0] policy
     /* 1641012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11690:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1641025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641046 */     // GIR_Coverage, 4433,
     /* 1641046 */     GIR_EraseRootFromParent_Done,
     /* 1641047 */   // Label 22602: @1641047
     /* 1641047 */   GIM_Try, /*On fail goto*//*Label 22603*/ GIMT_Encode4(1641133), // Rule ID 4436 //
     /* 1641052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1641063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1641066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1641069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641098 */     // MIs[0] policy
     /* 1641098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641108 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1641111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641132 */     // GIR_Coverage, 4436,
     /* 1641132 */     GIR_EraseRootFromParent_Done,
     /* 1641133 */   // Label 22603: @1641133
     /* 1641133 */   GIM_Try, /*On fail goto*//*Label 22604*/ GIMT_Encode4(1641219), // Rule ID 4437 //
     /* 1641138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1641149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1641152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1641155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641184 */     // MIs[0] policy
     /* 1641184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641194 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1641197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641218 */     // GIR_Coverage, 4437,
     /* 1641218 */     GIR_EraseRootFromParent_Done,
     /* 1641219 */   // Label 22604: @1641219
     /* 1641219 */   GIM_Try, /*On fail goto*//*Label 22605*/ GIMT_Encode4(1641305), // Rule ID 4440 //
     /* 1641224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1641235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1641238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1641241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641270 */     // MIs[0] policy
     /* 1641270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641280 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1641283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641304 */     // GIR_Coverage, 4440,
     /* 1641304 */     GIR_EraseRootFromParent_Done,
     /* 1641305 */   // Label 22605: @1641305
     /* 1641305 */   GIM_Try, /*On fail goto*//*Label 22606*/ GIMT_Encode4(1641391), // Rule ID 4441 //
     /* 1641310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1641321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1641324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1641327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641356 */     // MIs[0] policy
     /* 1641356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641366 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1641369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641390 */     // GIR_Coverage, 4441,
     /* 1641390 */     GIR_EraseRootFromParent_Done,
     /* 1641391 */   // Label 22606: @1641391
     /* 1641391 */   GIM_Try, /*On fail goto*//*Label 22607*/ GIMT_Encode4(1641477), // Rule ID 4444 //
     /* 1641396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1641407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1641410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1641413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1641419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641442 */     // MIs[0] policy
     /* 1641442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641452 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1641455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641476 */     // GIR_Coverage, 4444,
     /* 1641476 */     GIR_EraseRootFromParent_Done,
     /* 1641477 */   // Label 22607: @1641477
     /* 1641477 */   GIM_Try, /*On fail goto*//*Label 22608*/ GIMT_Encode4(1641563), // Rule ID 4445 //
     /* 1641482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1641493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1641496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1641499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1641505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641528 */     // MIs[0] policy
     /* 1641528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641538 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1641541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641562 */     // GIR_Coverage, 4445,
     /* 1641562 */     GIR_EraseRootFromParent_Done,
     /* 1641563 */   // Label 22608: @1641563
     /* 1641563 */   GIM_Try, /*On fail goto*//*Label 22609*/ GIMT_Encode4(1641649), // Rule ID 4448 //
     /* 1641568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1641579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1641582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1641585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641614 */     // MIs[0] policy
     /* 1641614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1641627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641648 */     // GIR_Coverage, 4448,
     /* 1641648 */     GIR_EraseRootFromParent_Done,
     /* 1641649 */   // Label 22609: @1641649
     /* 1641649 */   GIM_Try, /*On fail goto*//*Label 22610*/ GIMT_Encode4(1641735), // Rule ID 4449 //
     /* 1641654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1641665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1641668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1641671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641700 */     // MIs[0] policy
     /* 1641700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641710 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1641713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641734 */     // GIR_Coverage, 4449,
     /* 1641734 */     GIR_EraseRootFromParent_Done,
     /* 1641735 */   // Label 22610: @1641735
     /* 1641735 */   GIM_Try, /*On fail goto*//*Label 22611*/ GIMT_Encode4(1641821), // Rule ID 4452 //
     /* 1641740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1641751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1641754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1641757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641786 */     // MIs[0] policy
     /* 1641786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11690:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1641799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641820 */     // GIR_Coverage, 4452,
     /* 1641820 */     GIR_EraseRootFromParent_Done,
     /* 1641821 */   // Label 22611: @1641821
     /* 1641821 */   GIM_Try, /*On fail goto*//*Label 22612*/ GIMT_Encode4(1641907), // Rule ID 4453 //
     /* 1641826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1641837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1641840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1641843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641872 */     // MIs[0] policy
     /* 1641872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11690:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1641885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641906 */     // GIR_Coverage, 4453,
     /* 1641906 */     GIR_EraseRootFromParent_Done,
     /* 1641907 */   // Label 22612: @1641907
     /* 1641907 */   GIM_Try, /*On fail goto*//*Label 22613*/ GIMT_Encode4(1641993), // Rule ID 4456 //
     /* 1641912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1641920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1641923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1641926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1641929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641958 */     // MIs[0] policy
     /* 1641958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641968 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1641971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641992 */     // GIR_Coverage, 4456,
     /* 1641992 */     GIR_EraseRootFromParent_Done,
     /* 1641993 */   // Label 22613: @1641993
     /* 1641993 */   GIM_Try, /*On fail goto*//*Label 22614*/ GIMT_Encode4(1642079), // Rule ID 4457 //
     /* 1641998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1642009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1642012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1642015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642044 */     // MIs[0] policy
     /* 1642044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1642057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642078 */     // GIR_Coverage, 4457,
     /* 1642078 */     GIR_EraseRootFromParent_Done,
     /* 1642079 */   // Label 22614: @1642079
     /* 1642079 */   GIM_Try, /*On fail goto*//*Label 22615*/ GIMT_Encode4(1642165), // Rule ID 4460 //
     /* 1642084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1642095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1642098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1642101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642130 */     // MIs[0] policy
     /* 1642130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642140 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1642143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642164 */     // GIR_Coverage, 4460,
     /* 1642164 */     GIR_EraseRootFromParent_Done,
     /* 1642165 */   // Label 22615: @1642165
     /* 1642165 */   GIM_Try, /*On fail goto*//*Label 22616*/ GIMT_Encode4(1642251), // Rule ID 4461 //
     /* 1642170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1642181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1642184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1642187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642216 */     // MIs[0] policy
     /* 1642216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1642229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642250 */     // GIR_Coverage, 4461,
     /* 1642250 */     GIR_EraseRootFromParent_Done,
     /* 1642251 */   // Label 22616: @1642251
     /* 1642251 */   GIM_Try, /*On fail goto*//*Label 22617*/ GIMT_Encode4(1642337), // Rule ID 4464 //
     /* 1642256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1642267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1642270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1642273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642302 */     // MIs[0] policy
     /* 1642302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642312 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1642315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642336 */     // GIR_Coverage, 4464,
     /* 1642336 */     GIR_EraseRootFromParent_Done,
     /* 1642337 */   // Label 22617: @1642337
     /* 1642337 */   GIM_Try, /*On fail goto*//*Label 22618*/ GIMT_Encode4(1642423), // Rule ID 4465 //
     /* 1642342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1642353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1642356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1642359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642388 */     // MIs[0] policy
     /* 1642388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1642401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642422 */     // GIR_Coverage, 4465,
     /* 1642422 */     GIR_EraseRootFromParent_Done,
     /* 1642423 */   // Label 22618: @1642423
     /* 1642423 */   GIM_Try, /*On fail goto*//*Label 22619*/ GIMT_Encode4(1642509), // Rule ID 4468 //
     /* 1642428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1642439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1642442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1642445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642474 */     // MIs[0] policy
     /* 1642474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1642487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642508 */     // GIR_Coverage, 4468,
     /* 1642508 */     GIR_EraseRootFromParent_Done,
     /* 1642509 */   // Label 22619: @1642509
     /* 1642509 */   GIM_Try, /*On fail goto*//*Label 22620*/ GIMT_Encode4(1642595), // Rule ID 4469 //
     /* 1642514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1642525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1642528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1642531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642560 */     // MIs[0] policy
     /* 1642560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642570 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11690:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1642573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642594 */     // GIR_Coverage, 4469,
     /* 1642594 */     GIR_EraseRootFromParent_Done,
     /* 1642595 */   // Label 22620: @1642595
     /* 1642595 */   GIM_Try, /*On fail goto*//*Label 22621*/ GIMT_Encode4(1642681), // Rule ID 4472 //
     /* 1642600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1642611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1642614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1642617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642646 */     // MIs[0] policy
     /* 1642646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642656 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1642659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642680 */     // GIR_Coverage, 4472,
     /* 1642680 */     GIR_EraseRootFromParent_Done,
     /* 1642681 */   // Label 22621: @1642681
     /* 1642681 */   GIM_Try, /*On fail goto*//*Label 22622*/ GIMT_Encode4(1642767), // Rule ID 4473 //
     /* 1642686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1642697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1642700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1642703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642732 */     // MIs[0] policy
     /* 1642732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642742 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11690:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1642745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642766 */     // GIR_Coverage, 4473,
     /* 1642766 */     GIR_EraseRootFromParent_Done,
     /* 1642767 */   // Label 22622: @1642767
     /* 1642767 */   GIM_Try, /*On fail goto*//*Label 22623*/ GIMT_Encode4(1642853), // Rule ID 4476 //
     /* 1642772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1642783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1642786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1642789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642818 */     // MIs[0] policy
     /* 1642818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642828 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1642831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642852 */     // GIR_Coverage, 4476,
     /* 1642852 */     GIR_EraseRootFromParent_Done,
     /* 1642853 */   // Label 22623: @1642853
     /* 1642853 */   GIM_Try, /*On fail goto*//*Label 22624*/ GIMT_Encode4(1642939), // Rule ID 4477 //
     /* 1642858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1642869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1642872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1642875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642904 */     // MIs[0] policy
     /* 1642904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642914 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11690:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1642917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642938 */     // GIR_Coverage, 4477,
     /* 1642938 */     GIR_EraseRootFromParent_Done,
     /* 1642939 */   // Label 22624: @1642939
     /* 1642939 */   GIM_Try, /*On fail goto*//*Label 22625*/ GIMT_Encode4(1643025), // Rule ID 4480 //
     /* 1642944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1642955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1642958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1642961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642990 */     // MIs[0] policy
     /* 1642990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643000 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1643003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643024 */     // GIR_Coverage, 4480,
     /* 1643024 */     GIR_EraseRootFromParent_Done,
     /* 1643025 */   // Label 22625: @1643025
     /* 1643025 */   GIM_Try, /*On fail goto*//*Label 22626*/ GIMT_Encode4(1643111), // Rule ID 4481 //
     /* 1643030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1643038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1643041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1643044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1643047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643076 */     // MIs[0] policy
     /* 1643076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11690:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1643089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643110 */     // GIR_Coverage, 4481,
     /* 1643110 */     GIR_EraseRootFromParent_Done,
     /* 1643111 */   // Label 22626: @1643111
     /* 1643111 */   GIM_Try, /*On fail goto*//*Label 22627*/ GIMT_Encode4(1643197), // Rule ID 4490 //
     /* 1643116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1643127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1643130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1643133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1643136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643162 */     // MIs[0] policy
     /* 1643162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1643175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643196 */     // GIR_Coverage, 4490,
     /* 1643196 */     GIR_EraseRootFromParent_Done,
     /* 1643197 */   // Label 22627: @1643197
     /* 1643197 */   GIM_Try, /*On fail goto*//*Label 22628*/ GIMT_Encode4(1643283), // Rule ID 4491 //
     /* 1643202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1643213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1643216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1643219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1643222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643248 */     // MIs[0] policy
     /* 1643248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643258 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1643261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643282 */     // GIR_Coverage, 4491,
     /* 1643282 */     GIR_EraseRootFromParent_Done,
     /* 1643283 */   // Label 22628: @1643283
     /* 1643283 */   GIM_Try, /*On fail goto*//*Label 22629*/ GIMT_Encode4(1643369), // Rule ID 4500 //
     /* 1643288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1643299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1643302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1643305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1643308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643334 */     // MIs[0] policy
     /* 1643334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643344 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1643347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643368 */     // GIR_Coverage, 4500,
     /* 1643368 */     GIR_EraseRootFromParent_Done,
     /* 1643369 */   // Label 22629: @1643369
     /* 1643369 */   GIM_Try, /*On fail goto*//*Label 22630*/ GIMT_Encode4(1643455), // Rule ID 4501 //
     /* 1643374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1643385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1643388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1643391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1643394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643420 */     // MIs[0] policy
     /* 1643420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643430 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1643433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643454 */     // GIR_Coverage, 4501,
     /* 1643454 */     GIR_EraseRootFromParent_Done,
     /* 1643455 */   // Label 22630: @1643455
     /* 1643455 */   GIM_Try, /*On fail goto*//*Label 22631*/ GIMT_Encode4(1643541), // Rule ID 4510 //
     /* 1643460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1643471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1643474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1643477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1643480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643506 */     // MIs[0] policy
     /* 1643506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643516 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1643519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643540 */     // GIR_Coverage, 4510,
     /* 1643540 */     GIR_EraseRootFromParent_Done,
     /* 1643541 */   // Label 22631: @1643541
     /* 1643541 */   GIM_Try, /*On fail goto*//*Label 22632*/ GIMT_Encode4(1643627), // Rule ID 4511 //
     /* 1643546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1643557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1643560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1643563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1643566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643592 */     // MIs[0] policy
     /* 1643592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1643605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643626 */     // GIR_Coverage, 4511,
     /* 1643626 */     GIR_EraseRootFromParent_Done,
     /* 1643627 */   // Label 22632: @1643627
     /* 1643627 */   GIM_Try, /*On fail goto*//*Label 22633*/ GIMT_Encode4(1643713), // Rule ID 4520 //
     /* 1643632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1643643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1643646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1643649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1643652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643678 */     // MIs[0] policy
     /* 1643678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643688 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1643691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643712 */     // GIR_Coverage, 4520,
     /* 1643712 */     GIR_EraseRootFromParent_Done,
     /* 1643713 */   // Label 22633: @1643713
     /* 1643713 */   GIM_Try, /*On fail goto*//*Label 22634*/ GIMT_Encode4(1643799), // Rule ID 4521 //
     /* 1643718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1643729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1643732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1643735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1643738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643764 */     // MIs[0] policy
     /* 1643764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1643777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643798 */     // GIR_Coverage, 4521,
     /* 1643798 */     GIR_EraseRootFromParent_Done,
     /* 1643799 */   // Label 22634: @1643799
     /* 1643799 */   GIM_Try, /*On fail goto*//*Label 22635*/ GIMT_Encode4(1643885), // Rule ID 4530 //
     /* 1643804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1643815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1643818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1643821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1643824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643850 */     // MIs[0] policy
     /* 1643850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643860 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1643863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643884 */     // GIR_Coverage, 4530,
     /* 1643884 */     GIR_EraseRootFromParent_Done,
     /* 1643885 */   // Label 22635: @1643885
     /* 1643885 */   GIM_Try, /*On fail goto*//*Label 22636*/ GIMT_Encode4(1643971), // Rule ID 4531 //
     /* 1643890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1643901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1643904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1643907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1643910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643936 */     // MIs[0] policy
     /* 1643936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643946 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1643949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643970 */     // GIR_Coverage, 4531,
     /* 1643970 */     GIR_EraseRootFromParent_Done,
     /* 1643971 */   // Label 22636: @1643971
     /* 1643971 */   GIM_Try, /*On fail goto*//*Label 22637*/ GIMT_Encode4(1644057), // Rule ID 4540 //
     /* 1643976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1643987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1643990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1643993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1643996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1643999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644022 */     // MIs[0] policy
     /* 1644022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1644035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644056 */     // GIR_Coverage, 4540,
     /* 1644056 */     GIR_EraseRootFromParent_Done,
     /* 1644057 */   // Label 22637: @1644057
     /* 1644057 */   GIM_Try, /*On fail goto*//*Label 22638*/ GIMT_Encode4(1644143), // Rule ID 4541 //
     /* 1644062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1644073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1644076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1644079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1644082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1644085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644108 */     // MIs[0] policy
     /* 1644108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644118 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1644121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644142 */     // GIR_Coverage, 4541,
     /* 1644142 */     GIR_EraseRootFromParent_Done,
     /* 1644143 */   // Label 22638: @1644143
     /* 1644143 */   GIM_Try, /*On fail goto*//*Label 22639*/ GIMT_Encode4(1644229), // Rule ID 4550 //
     /* 1644148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1644159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1644162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1644165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1644168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644194 */     // MIs[0] policy
     /* 1644194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1644207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644228 */     // GIR_Coverage, 4550,
     /* 1644228 */     GIR_EraseRootFromParent_Done,
     /* 1644229 */   // Label 22639: @1644229
     /* 1644229 */   GIM_Try, /*On fail goto*//*Label 22640*/ GIMT_Encode4(1644315), // Rule ID 4551 //
     /* 1644234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1644245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1644248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1644251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1644254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644280 */     // MIs[0] policy
     /* 1644280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1644293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644314 */     // GIR_Coverage, 4551,
     /* 1644314 */     GIR_EraseRootFromParent_Done,
     /* 1644315 */   // Label 22640: @1644315
     /* 1644315 */   GIM_Try, /*On fail goto*//*Label 22641*/ GIMT_Encode4(1644401), // Rule ID 4560 //
     /* 1644320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1644331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1644334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1644337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1644340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644366 */     // MIs[0] policy
     /* 1644366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1644379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644400 */     // GIR_Coverage, 4560,
     /* 1644400 */     GIR_EraseRootFromParent_Done,
     /* 1644401 */   // Label 22641: @1644401
     /* 1644401 */   GIM_Try, /*On fail goto*//*Label 22642*/ GIMT_Encode4(1644487), // Rule ID 4561 //
     /* 1644406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1644417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1644420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1644423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1644426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644452 */     // MIs[0] policy
     /* 1644452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644462 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1644465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644486 */     // GIR_Coverage, 4561,
     /* 1644486 */     GIR_EraseRootFromParent_Done,
     /* 1644487 */   // Label 22642: @1644487
     /* 1644487 */   GIM_Try, /*On fail goto*//*Label 22643*/ GIMT_Encode4(1644573), // Rule ID 4570 //
     /* 1644492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1644503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1644506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1644509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1644512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644538 */     // MIs[0] policy
     /* 1644538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1644551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644572 */     // GIR_Coverage, 4570,
     /* 1644572 */     GIR_EraseRootFromParent_Done,
     /* 1644573 */   // Label 22643: @1644573
     /* 1644573 */   GIM_Try, /*On fail goto*//*Label 22644*/ GIMT_Encode4(1644659), // Rule ID 4571 //
     /* 1644578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1644589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1644592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1644595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1644598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644624 */     // MIs[0] policy
     /* 1644624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1644637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644658 */     // GIR_Coverage, 4571,
     /* 1644658 */     GIR_EraseRootFromParent_Done,
     /* 1644659 */   // Label 22644: @1644659
     /* 1644659 */   GIM_Try, /*On fail goto*//*Label 22645*/ GIMT_Encode4(1644745), // Rule ID 4580 //
     /* 1644664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1644675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1644678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1644681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1644684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644710 */     // MIs[0] policy
     /* 1644710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644720 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1644723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644744 */     // GIR_Coverage, 4580,
     /* 1644744 */     GIR_EraseRootFromParent_Done,
     /* 1644745 */   // Label 22645: @1644745
     /* 1644745 */   GIM_Try, /*On fail goto*//*Label 22646*/ GIMT_Encode4(1644831), // Rule ID 4581 //
     /* 1644750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1644761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1644764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1644767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1644770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644796 */     // MIs[0] policy
     /* 1644796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1644809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644830 */     // GIR_Coverage, 4581,
     /* 1644830 */     GIR_EraseRootFromParent_Done,
     /* 1644831 */   // Label 22646: @1644831
     /* 1644831 */   GIM_Try, /*On fail goto*//*Label 22647*/ GIMT_Encode4(1644917), // Rule ID 4590 //
     /* 1644836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1644847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1644850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1644853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1644856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644882 */     // MIs[0] policy
     /* 1644882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644892 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1644895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644916 */     // GIR_Coverage, 4590,
     /* 1644916 */     GIR_EraseRootFromParent_Done,
     /* 1644917 */   // Label 22647: @1644917
     /* 1644917 */   GIM_Try, /*On fail goto*//*Label 22648*/ GIMT_Encode4(1645003), // Rule ID 4591 //
     /* 1644922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1644933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1644936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1644939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1644942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644968 */     // MIs[0] policy
     /* 1644968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644978 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1644981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645002 */     // GIR_Coverage, 4591,
     /* 1645002 */     GIR_EraseRootFromParent_Done,
     /* 1645003 */   // Label 22648: @1645003
     /* 1645003 */   GIM_Try, /*On fail goto*//*Label 22649*/ GIMT_Encode4(1645089), // Rule ID 4600 //
     /* 1645008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1645019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1645022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1645025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1645028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645054 */     // MIs[0] policy
     /* 1645054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1645067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645088 */     // GIR_Coverage, 4600,
     /* 1645088 */     GIR_EraseRootFromParent_Done,
     /* 1645089 */   // Label 22649: @1645089
     /* 1645089 */   GIM_Try, /*On fail goto*//*Label 22650*/ GIMT_Encode4(1645175), // Rule ID 4601 //
     /* 1645094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1645105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1645108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1645111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1645114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645140 */     // MIs[0] policy
     /* 1645140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1645153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645174 */     // GIR_Coverage, 4601,
     /* 1645174 */     GIR_EraseRootFromParent_Done,
     /* 1645175 */   // Label 22650: @1645175
     /* 1645175 */   GIM_Try, /*On fail goto*//*Label 22651*/ GIMT_Encode4(1645261), // Rule ID 4610 //
     /* 1645180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1645191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1645194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1645197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1645200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645226 */     // MIs[0] policy
     /* 1645226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1645239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645260 */     // GIR_Coverage, 4610,
     /* 1645260 */     GIR_EraseRootFromParent_Done,
     /* 1645261 */   // Label 22651: @1645261
     /* 1645261 */   GIM_Try, /*On fail goto*//*Label 22652*/ GIMT_Encode4(1645347), // Rule ID 4611 //
     /* 1645266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1645277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1645280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1645283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1645286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645312 */     // MIs[0] policy
     /* 1645312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1645325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645346 */     // GIR_Coverage, 4611,
     /* 1645346 */     GIR_EraseRootFromParent_Done,
     /* 1645347 */   // Label 22652: @1645347
     /* 1645347 */   GIM_Try, /*On fail goto*//*Label 22653*/ GIMT_Encode4(1645433), // Rule ID 4620 //
     /* 1645352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1645363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1645366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1645369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1645372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645398 */     // MIs[0] policy
     /* 1645398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1645411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645432 */     // GIR_Coverage, 4620,
     /* 1645432 */     GIR_EraseRootFromParent_Done,
     /* 1645433 */   // Label 22653: @1645433
     /* 1645433 */   GIM_Try, /*On fail goto*//*Label 22654*/ GIMT_Encode4(1645519), // Rule ID 4621 //
     /* 1645438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1645449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1645452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1645455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1645458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645484 */     // MIs[0] policy
     /* 1645484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645494 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1645497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645518 */     // GIR_Coverage, 4621,
     /* 1645518 */     GIR_EraseRootFromParent_Done,
     /* 1645519 */   // Label 22654: @1645519
     /* 1645519 */   GIM_Try, /*On fail goto*//*Label 22655*/ GIMT_Encode4(1645605), // Rule ID 4630 //
     /* 1645524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1645535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1645538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1645541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1645544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645570 */     // MIs[0] policy
     /* 1645570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645580 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1645583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645604 */     // GIR_Coverage, 4630,
     /* 1645604 */     GIR_EraseRootFromParent_Done,
     /* 1645605 */   // Label 22655: @1645605
     /* 1645605 */   GIM_Try, /*On fail goto*//*Label 22656*/ GIMT_Encode4(1645691), // Rule ID 4631 //
     /* 1645610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1645621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1645624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1645627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1645630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645656 */     // MIs[0] policy
     /* 1645656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645666 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1645669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645690 */     // GIR_Coverage, 4631,
     /* 1645690 */     GIR_EraseRootFromParent_Done,
     /* 1645691 */   // Label 22656: @1645691
     /* 1645691 */   GIM_Try, /*On fail goto*//*Label 22657*/ GIMT_Encode4(1645777), // Rule ID 4634 //
     /* 1645696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1645707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1645710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1645713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645742 */     // MIs[0] policy
     /* 1645742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1645755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645776 */     // GIR_Coverage, 4634,
     /* 1645776 */     GIR_EraseRootFromParent_Done,
     /* 1645777 */   // Label 22657: @1645777
     /* 1645777 */   GIM_Try, /*On fail goto*//*Label 22658*/ GIMT_Encode4(1645863), // Rule ID 4635 //
     /* 1645782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1645793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1645796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1645799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645828 */     // MIs[0] policy
     /* 1645828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645838 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1645841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645862 */     // GIR_Coverage, 4635,
     /* 1645862 */     GIR_EraseRootFromParent_Done,
     /* 1645863 */   // Label 22658: @1645863
     /* 1645863 */   GIM_Try, /*On fail goto*//*Label 22659*/ GIMT_Encode4(1645949), // Rule ID 4638 //
     /* 1645868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1645879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1645882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1645885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645914 */     // MIs[0] policy
     /* 1645914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645924 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1645927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645948 */     // GIR_Coverage, 4638,
     /* 1645948 */     GIR_EraseRootFromParent_Done,
     /* 1645949 */   // Label 22659: @1645949
     /* 1645949 */   GIM_Try, /*On fail goto*//*Label 22660*/ GIMT_Encode4(1646035), // Rule ID 4639 //
     /* 1645954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1645965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1645968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1645971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646000 */     // MIs[0] policy
     /* 1646000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646010 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1646013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646034 */     // GIR_Coverage, 4639,
     /* 1646034 */     GIR_EraseRootFromParent_Done,
     /* 1646035 */   // Label 22660: @1646035
     /* 1646035 */   GIM_Try, /*On fail goto*//*Label 22661*/ GIMT_Encode4(1646121), // Rule ID 4642 //
     /* 1646040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1646051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1646054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1646057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646086 */     // MIs[0] policy
     /* 1646086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1646099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646120 */     // GIR_Coverage, 4642,
     /* 1646120 */     GIR_EraseRootFromParent_Done,
     /* 1646121 */   // Label 22661: @1646121
     /* 1646121 */   GIM_Try, /*On fail goto*//*Label 22662*/ GIMT_Encode4(1646207), // Rule ID 4643 //
     /* 1646126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1646137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1646140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1646143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646172 */     // MIs[0] policy
     /* 1646172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1646185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646206 */     // GIR_Coverage, 4643,
     /* 1646206 */     GIR_EraseRootFromParent_Done,
     /* 1646207 */   // Label 22662: @1646207
     /* 1646207 */   GIM_Try, /*On fail goto*//*Label 22663*/ GIMT_Encode4(1646293), // Rule ID 4646 //
     /* 1646212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1646223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1646226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1646229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646258 */     // MIs[0] policy
     /* 1646258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1646271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646292 */     // GIR_Coverage, 4646,
     /* 1646292 */     GIR_EraseRootFromParent_Done,
     /* 1646293 */   // Label 22663: @1646293
     /* 1646293 */   GIM_Try, /*On fail goto*//*Label 22664*/ GIMT_Encode4(1646379), // Rule ID 4647 //
     /* 1646298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1646309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1646312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1646315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646344 */     // MIs[0] policy
     /* 1646344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646354 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1646357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646378 */     // GIR_Coverage, 4647,
     /* 1646378 */     GIR_EraseRootFromParent_Done,
     /* 1646379 */   // Label 22664: @1646379
     /* 1646379 */   GIM_Try, /*On fail goto*//*Label 22665*/ GIMT_Encode4(1646465), // Rule ID 4650 //
     /* 1646384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1646395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1646398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1646401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646430 */     // MIs[0] policy
     /* 1646430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646440 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1646443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646464 */     // GIR_Coverage, 4650,
     /* 1646464 */     GIR_EraseRootFromParent_Done,
     /* 1646465 */   // Label 22665: @1646465
     /* 1646465 */   GIM_Try, /*On fail goto*//*Label 22666*/ GIMT_Encode4(1646551), // Rule ID 4651 //
     /* 1646470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1646481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1646484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1646487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646516 */     // MIs[0] policy
     /* 1646516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1646529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646550 */     // GIR_Coverage, 4651,
     /* 1646550 */     GIR_EraseRootFromParent_Done,
     /* 1646551 */   // Label 22666: @1646551
     /* 1646551 */   GIM_Try, /*On fail goto*//*Label 22667*/ GIMT_Encode4(1646637), // Rule ID 4654 //
     /* 1646556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1646567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1646570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1646573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1646579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646602 */     // MIs[0] policy
     /* 1646602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646612 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1646615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646636 */     // GIR_Coverage, 4654,
     /* 1646636 */     GIR_EraseRootFromParent_Done,
     /* 1646637 */   // Label 22667: @1646637
     /* 1646637 */   GIM_Try, /*On fail goto*//*Label 22668*/ GIMT_Encode4(1646723), // Rule ID 4655 //
     /* 1646642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1646653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1646656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1646659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1646665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646688 */     // MIs[0] policy
     /* 1646688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646698 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1646701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646722 */     // GIR_Coverage, 4655,
     /* 1646722 */     GIR_EraseRootFromParent_Done,
     /* 1646723 */   // Label 22668: @1646723
     /* 1646723 */   GIM_Try, /*On fail goto*//*Label 22669*/ GIMT_Encode4(1646809), // Rule ID 4658 //
     /* 1646728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1646739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1646742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1646745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646774 */     // MIs[0] policy
     /* 1646774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1646787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646808 */     // GIR_Coverage, 4658,
     /* 1646808 */     GIR_EraseRootFromParent_Done,
     /* 1646809 */   // Label 22669: @1646809
     /* 1646809 */   GIM_Try, /*On fail goto*//*Label 22670*/ GIMT_Encode4(1646895), // Rule ID 4659 //
     /* 1646814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1646825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1646828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1646831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646860 */     // MIs[0] policy
     /* 1646860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646870 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1646873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646894 */     // GIR_Coverage, 4659,
     /* 1646894 */     GIR_EraseRootFromParent_Done,
     /* 1646895 */   // Label 22670: @1646895
     /* 1646895 */   GIM_Try, /*On fail goto*//*Label 22671*/ GIMT_Encode4(1646981), // Rule ID 4662 //
     /* 1646900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1646911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1646914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1646917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646946 */     // MIs[0] policy
     /* 1646946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1646959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646980 */     // GIR_Coverage, 4662,
     /* 1646980 */     GIR_EraseRootFromParent_Done,
     /* 1646981 */   // Label 22671: @1646981
     /* 1646981 */   GIM_Try, /*On fail goto*//*Label 22672*/ GIMT_Encode4(1647067), // Rule ID 4663 //
     /* 1646986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1646994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1646997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1647000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1647003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647032 */     // MIs[0] policy
     /* 1647032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647042 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1647045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647066 */     // GIR_Coverage, 4663,
     /* 1647066 */     GIR_EraseRootFromParent_Done,
     /* 1647067 */   // Label 22672: @1647067
     /* 1647067 */   GIM_Try, /*On fail goto*//*Label 22673*/ GIMT_Encode4(1647153), // Rule ID 4666 //
     /* 1647072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1647083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1647086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1647089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647118 */     // MIs[0] policy
     /* 1647118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647128 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1647131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647152 */     // GIR_Coverage, 4666,
     /* 1647152 */     GIR_EraseRootFromParent_Done,
     /* 1647153 */   // Label 22673: @1647153
     /* 1647153 */   GIM_Try, /*On fail goto*//*Label 22674*/ GIMT_Encode4(1647239), // Rule ID 4667 //
     /* 1647158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1647169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1647172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1647175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647204 */     // MIs[0] policy
     /* 1647204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647214 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1647217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647238 */     // GIR_Coverage, 4667,
     /* 1647238 */     GIR_EraseRootFromParent_Done,
     /* 1647239 */   // Label 22674: @1647239
     /* 1647239 */   GIM_Try, /*On fail goto*//*Label 22675*/ GIMT_Encode4(1647325), // Rule ID 4670 //
     /* 1647244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1647255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1647258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1647261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647290 */     // MIs[0] policy
     /* 1647290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647300 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1647303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647324 */     // GIR_Coverage, 4670,
     /* 1647324 */     GIR_EraseRootFromParent_Done,
     /* 1647325 */   // Label 22675: @1647325
     /* 1647325 */   GIM_Try, /*On fail goto*//*Label 22676*/ GIMT_Encode4(1647411), // Rule ID 4671 //
     /* 1647330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1647341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1647344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1647347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647376 */     // MIs[0] policy
     /* 1647376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1647389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647410 */     // GIR_Coverage, 4671,
     /* 1647410 */     GIR_EraseRootFromParent_Done,
     /* 1647411 */   // Label 22676: @1647411
     /* 1647411 */   GIM_Try, /*On fail goto*//*Label 22677*/ GIMT_Encode4(1647497), // Rule ID 4674 //
     /* 1647416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1647427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1647430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1647433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647462 */     // MIs[0] policy
     /* 1647462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1647475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647496 */     // GIR_Coverage, 4674,
     /* 1647496 */     GIR_EraseRootFromParent_Done,
     /* 1647497 */   // Label 22677: @1647497
     /* 1647497 */   GIM_Try, /*On fail goto*//*Label 22678*/ GIMT_Encode4(1647583), // Rule ID 4675 //
     /* 1647502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1647513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1647516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1647519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647548 */     // MIs[0] policy
     /* 1647548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647558 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1647561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647582 */     // GIR_Coverage, 4675,
     /* 1647582 */     GIR_EraseRootFromParent_Done,
     /* 1647583 */   // Label 22678: @1647583
     /* 1647583 */   GIM_Try, /*On fail goto*//*Label 22679*/ GIMT_Encode4(1647669), // Rule ID 4678 //
     /* 1647588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1647591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1647599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1647602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1647605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647634 */     // MIs[0] policy
     /* 1647634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1647647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647668 */     // GIR_Coverage, 4678,
     /* 1647668 */     GIR_EraseRootFromParent_Done,
     /* 1647669 */   // Label 22679: @1647669
     /* 1647669 */   GIM_Try, /*On fail goto*//*Label 22680*/ GIMT_Encode4(1647755), // Rule ID 4679 //
     /* 1647674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1647677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1647685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1647688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1647691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647720 */     // MIs[0] policy
     /* 1647720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647730 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1647733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647754 */     // GIR_Coverage, 4679,
     /* 1647754 */     GIR_EraseRootFromParent_Done,
     /* 1647755 */   // Label 22680: @1647755
     /* 1647755 */   GIM_Try, /*On fail goto*//*Label 22681*/ GIMT_Encode4(1647841), // Rule ID 4682 //
     /* 1647760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1647763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1647771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1647774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1647777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647806 */     // MIs[0] policy
     /* 1647806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1647819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647840 */     // GIR_Coverage, 4682,
     /* 1647840 */     GIR_EraseRootFromParent_Done,
     /* 1647841 */   // Label 22681: @1647841
     /* 1647841 */   GIM_Try, /*On fail goto*//*Label 22682*/ GIMT_Encode4(1647927), // Rule ID 4683 //
     /* 1647846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1647849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1647857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1647860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1647863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647892 */     // MIs[0] policy
     /* 1647892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647902 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1647905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647926 */     // GIR_Coverage, 4683,
     /* 1647926 */     GIR_EraseRootFromParent_Done,
     /* 1647927 */   // Label 22682: @1647927
     /* 1647927 */   GIM_Try, /*On fail goto*//*Label 22683*/ GIMT_Encode4(1648013), // Rule ID 4686 //
     /* 1647932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1647935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1647943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1647946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1647949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647978 */     // MIs[0] policy
     /* 1647978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1647991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648012 */     // GIR_Coverage, 4686,
     /* 1648012 */     GIR_EraseRootFromParent_Done,
     /* 1648013 */   // Label 22683: @1648013
     /* 1648013 */   GIM_Try, /*On fail goto*//*Label 22684*/ GIMT_Encode4(1648099), // Rule ID 4687 //
     /* 1648018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1648021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1648029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1648032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1648035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648064 */     // MIs[0] policy
     /* 1648064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648074 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1648077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648098 */     // GIR_Coverage, 4687,
     /* 1648098 */     GIR_EraseRootFromParent_Done,
     /* 1648099 */   // Label 22684: @1648099
     /* 1648099 */   GIM_Try, /*On fail goto*//*Label 22685*/ GIMT_Encode4(1648185), // Rule ID 4690 //
     /* 1648104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1648107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1648115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1648118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1648121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1648124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648150 */     // MIs[0] policy
     /* 1648150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1648163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648184 */     // GIR_Coverage, 4690,
     /* 1648184 */     GIR_EraseRootFromParent_Done,
     /* 1648185 */   // Label 22685: @1648185
     /* 1648185 */   GIM_Try, /*On fail goto*//*Label 22686*/ GIMT_Encode4(1648271), // Rule ID 4691 //
     /* 1648190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1648193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1648201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1648204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1648207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648236 */     // MIs[0] policy
     /* 1648236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1648249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648270 */     // GIR_Coverage, 4691,
     /* 1648270 */     GIR_EraseRootFromParent_Done,
     /* 1648271 */   // Label 22686: @1648271
     /* 1648271 */   GIM_Try, /*On fail goto*//*Label 22687*/ GIMT_Encode4(1648357), // Rule ID 4700 //
     /* 1648276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1648287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1648290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1648293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1648296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648322 */     // MIs[0] policy
     /* 1648322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648332 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1648335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648356 */     // GIR_Coverage, 4700,
     /* 1648356 */     GIR_EraseRootFromParent_Done,
     /* 1648357 */   // Label 22687: @1648357
     /* 1648357 */   GIM_Try, /*On fail goto*//*Label 22688*/ GIMT_Encode4(1648443), // Rule ID 4701 //
     /* 1648362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1648373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1648376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1648379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1648382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648408 */     // MIs[0] policy
     /* 1648408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648418 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1648421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648442 */     // GIR_Coverage, 4701,
     /* 1648442 */     GIR_EraseRootFromParent_Done,
     /* 1648443 */   // Label 22688: @1648443
     /* 1648443 */   GIM_Try, /*On fail goto*//*Label 22689*/ GIMT_Encode4(1648529), // Rule ID 4710 //
     /* 1648448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1648459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1648462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1648465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1648468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648494 */     // MIs[0] policy
     /* 1648494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648504 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1648507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648528 */     // GIR_Coverage, 4710,
     /* 1648528 */     GIR_EraseRootFromParent_Done,
     /* 1648529 */   // Label 22689: @1648529
     /* 1648529 */   GIM_Try, /*On fail goto*//*Label 22690*/ GIMT_Encode4(1648615), // Rule ID 4711 //
     /* 1648534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1648545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1648548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1648551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1648554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648580 */     // MIs[0] policy
     /* 1648580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648590 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1648593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648614 */     // GIR_Coverage, 4711,
     /* 1648614 */     GIR_EraseRootFromParent_Done,
     /* 1648615 */   // Label 22690: @1648615
     /* 1648615 */   GIM_Try, /*On fail goto*//*Label 22691*/ GIMT_Encode4(1648701), // Rule ID 4720 //
     /* 1648620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1648631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1648634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1648637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1648640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648666 */     // MIs[0] policy
     /* 1648666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1648679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648700 */     // GIR_Coverage, 4720,
     /* 1648700 */     GIR_EraseRootFromParent_Done,
     /* 1648701 */   // Label 22691: @1648701
     /* 1648701 */   GIM_Try, /*On fail goto*//*Label 22692*/ GIMT_Encode4(1648787), // Rule ID 4721 //
     /* 1648706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1648717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1648720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1648723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1648726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648752 */     // MIs[0] policy
     /* 1648752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648762 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1648765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648786 */     // GIR_Coverage, 4721,
     /* 1648786 */     GIR_EraseRootFromParent_Done,
     /* 1648787 */   // Label 22692: @1648787
     /* 1648787 */   GIM_Try, /*On fail goto*//*Label 22693*/ GIMT_Encode4(1648873), // Rule ID 4730 //
     /* 1648792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1648803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1648806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1648809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1648812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648838 */     // MIs[0] policy
     /* 1648838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1648851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648872 */     // GIR_Coverage, 4730,
     /* 1648872 */     GIR_EraseRootFromParent_Done,
     /* 1648873 */   // Label 22693: @1648873
     /* 1648873 */   GIM_Try, /*On fail goto*//*Label 22694*/ GIMT_Encode4(1648959), // Rule ID 4731 //
     /* 1648878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1648889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1648892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1648895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1648898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648924 */     // MIs[0] policy
     /* 1648924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1648937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648958 */     // GIR_Coverage, 4731,
     /* 1648958 */     GIR_EraseRootFromParent_Done,
     /* 1648959 */   // Label 22694: @1648959
     /* 1648959 */   GIM_Try, /*On fail goto*//*Label 22695*/ GIMT_Encode4(1649045), // Rule ID 4740 //
     /* 1648964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1648975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1648978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1648981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1648984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649010 */     // MIs[0] policy
     /* 1649010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649020 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1649023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649044 */     // GIR_Coverage, 4740,
     /* 1649044 */     GIR_EraseRootFromParent_Done,
     /* 1649045 */   // Label 22695: @1649045
     /* 1649045 */   GIM_Try, /*On fail goto*//*Label 22696*/ GIMT_Encode4(1649131), // Rule ID 4741 //
     /* 1649050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1649061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1649064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1649067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1649070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649096 */     // MIs[0] policy
     /* 1649096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649106 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1649109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649130 */     // GIR_Coverage, 4741,
     /* 1649130 */     GIR_EraseRootFromParent_Done,
     /* 1649131 */   // Label 22696: @1649131
     /* 1649131 */   GIM_Try, /*On fail goto*//*Label 22697*/ GIMT_Encode4(1649217), // Rule ID 4750 //
     /* 1649136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1649147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1649150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1649153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1649156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1649159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649182 */     // MIs[0] policy
     /* 1649182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1649195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649216 */     // GIR_Coverage, 4750,
     /* 1649216 */     GIR_EraseRootFromParent_Done,
     /* 1649217 */   // Label 22697: @1649217
     /* 1649217 */   GIM_Try, /*On fail goto*//*Label 22698*/ GIMT_Encode4(1649303), // Rule ID 4751 //
     /* 1649222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1649233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1649236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1649239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1649242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1649245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649268 */     // MIs[0] policy
     /* 1649268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1649281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649302 */     // GIR_Coverage, 4751,
     /* 1649302 */     GIR_EraseRootFromParent_Done,
     /* 1649303 */   // Label 22698: @1649303
     /* 1649303 */   GIM_Try, /*On fail goto*//*Label 22699*/ GIMT_Encode4(1649389), // Rule ID 4760 //
     /* 1649308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1649319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1649322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1649325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1649328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649354 */     // MIs[0] policy
     /* 1649354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1649367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649388 */     // GIR_Coverage, 4760,
     /* 1649388 */     GIR_EraseRootFromParent_Done,
     /* 1649389 */   // Label 22699: @1649389
     /* 1649389 */   GIM_Try, /*On fail goto*//*Label 22700*/ GIMT_Encode4(1649475), // Rule ID 4761 //
     /* 1649394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1649405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1649408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1649411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1649414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649440 */     // MIs[0] policy
     /* 1649440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1649453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649474 */     // GIR_Coverage, 4761,
     /* 1649474 */     GIR_EraseRootFromParent_Done,
     /* 1649475 */   // Label 22700: @1649475
     /* 1649475 */   GIM_Try, /*On fail goto*//*Label 22701*/ GIMT_Encode4(1649561), // Rule ID 4770 //
     /* 1649480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1649491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1649494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1649497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1649500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649526 */     // MIs[0] policy
     /* 1649526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11686:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1649539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649560 */     // GIR_Coverage, 4770,
     /* 1649560 */     GIR_EraseRootFromParent_Done,
     /* 1649561 */   // Label 22701: @1649561
     /* 1649561 */   GIM_Try, /*On fail goto*//*Label 22702*/ GIMT_Encode4(1649647), // Rule ID 4771 //
     /* 1649566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1649577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1649580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1649583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1649586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649612 */     // MIs[0] policy
     /* 1649612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649622 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11686:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1649625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649646 */     // GIR_Coverage, 4771,
     /* 1649646 */     GIR_EraseRootFromParent_Done,
     /* 1649647 */   // Label 22702: @1649647
     /* 1649647 */   GIM_Try, /*On fail goto*//*Label 22703*/ GIMT_Encode4(1649733), // Rule ID 4780 //
     /* 1649652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1649672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649698 */     // MIs[0] policy
     /* 1649698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1649711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649732 */     // GIR_Coverage, 4780,
     /* 1649732 */     GIR_EraseRootFromParent_Done,
     /* 1649733 */   // Label 22703: @1649733
     /* 1649733 */   GIM_Try, /*On fail goto*//*Label 22704*/ GIMT_Encode4(1649819), // Rule ID 4781 //
     /* 1649738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1649758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649784 */     // MIs[0] policy
     /* 1649784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1649797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649818 */     // GIR_Coverage, 4781,
     /* 1649818 */     GIR_EraseRootFromParent_Done,
     /* 1649819 */   // Label 22704: @1649819
     /* 1649819 */   GIM_Try, /*On fail goto*//*Label 22705*/ GIMT_Encode4(1649905), // Rule ID 4790 //
     /* 1649824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1649844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649870 */     // MIs[0] policy
     /* 1649870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649880 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1649883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649904 */     // GIR_Coverage, 4790,
     /* 1649904 */     GIR_EraseRootFromParent_Done,
     /* 1649905 */   // Label 22705: @1649905
     /* 1649905 */   GIM_Try, /*On fail goto*//*Label 22706*/ GIMT_Encode4(1649991), // Rule ID 4791 //
     /* 1649910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1649930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649956 */     // MIs[0] policy
     /* 1649956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649966 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1649969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649990 */     // GIR_Coverage, 4791,
     /* 1649990 */     GIR_EraseRootFromParent_Done,
     /* 1649991 */   // Label 22706: @1649991
     /* 1649991 */   GIM_Try, /*On fail goto*//*Label 22707*/ GIMT_Encode4(1650077), // Rule ID 4800 //
     /* 1649996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1650007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1650010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1650013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1650016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1650019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650042 */     // MIs[0] policy
     /* 1650042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1650055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650076 */     // GIR_Coverage, 4800,
     /* 1650076 */     GIR_EraseRootFromParent_Done,
     /* 1650077 */   // Label 22707: @1650077
     /* 1650077 */   GIM_Try, /*On fail goto*//*Label 22708*/ GIMT_Encode4(1650163), // Rule ID 4801 //
     /* 1650082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1650093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1650096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1650099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1650102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1650105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650128 */     // MIs[0] policy
     /* 1650128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650138 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1650141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650162 */     // GIR_Coverage, 4801,
     /* 1650162 */     GIR_EraseRootFromParent_Done,
     /* 1650163 */   // Label 22708: @1650163
     /* 1650163 */   GIM_Try, /*On fail goto*//*Label 22709*/ GIMT_Encode4(1650249), // Rule ID 4810 //
     /* 1650168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1650171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1650179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1650182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1650185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1650188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650214 */     // MIs[0] policy
     /* 1650214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1650227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650248 */     // GIR_Coverage, 4810,
     /* 1650248 */     GIR_EraseRootFromParent_Done,
     /* 1650249 */   // Label 22709: @1650249
     /* 1650249 */   GIM_Try, /*On fail goto*//*Label 22710*/ GIMT_Encode4(1650335), // Rule ID 4811 //
     /* 1650254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1650257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1650265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1650268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1650271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1650274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650300 */     // MIs[0] policy
     /* 1650300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650310 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1650313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650334 */     // GIR_Coverage, 4811,
     /* 1650334 */     GIR_EraseRootFromParent_Done,
     /* 1650335 */   // Label 22710: @1650335
     /* 1650335 */   GIM_Try, /*On fail goto*//*Label 22711*/ GIMT_Encode4(1650421), // Rule ID 4820 //
     /* 1650340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1650343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1650351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1650354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1650357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1650360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650386 */     // MIs[0] policy
     /* 1650386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650396 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1650399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650420 */     // GIR_Coverage, 4820,
     /* 1650420 */     GIR_EraseRootFromParent_Done,
     /* 1650421 */   // Label 22711: @1650421
     /* 1650421 */   GIM_Try, /*On fail goto*//*Label 22712*/ GIMT_Encode4(1650507), // Rule ID 4821 //
     /* 1650426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1650429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1650437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1650440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1650443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1650446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650472 */     // MIs[0] policy
     /* 1650472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650482 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1650485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650506 */     // GIR_Coverage, 4821,
     /* 1650506 */     GIR_EraseRootFromParent_Done,
     /* 1650507 */   // Label 22712: @1650507
     /* 1650507 */   GIM_Try, /*On fail goto*//*Label 22713*/ GIMT_Encode4(1650593), // Rule ID 4830 //
     /* 1650512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1650515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1650523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1650526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1650529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1650532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650558 */     // MIs[0] policy
     /* 1650558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1650571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650592 */     // GIR_Coverage, 4830,
     /* 1650592 */     GIR_EraseRootFromParent_Done,
     /* 1650593 */   // Label 22713: @1650593
     /* 1650593 */   GIM_Try, /*On fail goto*//*Label 22714*/ GIMT_Encode4(1650679), // Rule ID 4831 //
     /* 1650598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1650601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1650609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1650612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1650615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1650618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650644 */     // MIs[0] policy
     /* 1650644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1650657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650678 */     // GIR_Coverage, 4831,
     /* 1650678 */     GIR_EraseRootFromParent_Done,
     /* 1650679 */   // Label 22714: @1650679
     /* 1650679 */   GIM_Try, /*On fail goto*//*Label 22715*/ GIMT_Encode4(1650765), // Rule ID 4840 //
     /* 1650684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1650687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1650695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1650698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1650701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1650704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650730 */     // MIs[0] policy
     /* 1650730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650740 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1650743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650764 */     // GIR_Coverage, 4840,
     /* 1650764 */     GIR_EraseRootFromParent_Done,
     /* 1650765 */   // Label 22715: @1650765
     /* 1650765 */   GIM_Try, /*On fail goto*//*Label 22716*/ GIMT_Encode4(1650851), // Rule ID 4841 //
     /* 1650770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1650773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1650781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1650784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1650787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1650790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650816 */     // MIs[0] policy
     /* 1650816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650826 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1650829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650850 */     // GIR_Coverage, 4841,
     /* 1650850 */     GIR_EraseRootFromParent_Done,
     /* 1650851 */   // Label 22716: @1650851
     /* 1650851 */   GIM_Try, /*On fail goto*//*Label 22717*/ GIMT_Encode4(1650937), // Rule ID 4844 //
     /* 1650856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1650867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1650870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1650873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650902 */     // MIs[0] policy
     /* 1650902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650912 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1650915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650936 */     // GIR_Coverage, 4844,
     /* 1650936 */     GIR_EraseRootFromParent_Done,
     /* 1650937 */   // Label 22717: @1650937
     /* 1650937 */   GIM_Try, /*On fail goto*//*Label 22718*/ GIMT_Encode4(1651023), // Rule ID 4845 //
     /* 1650942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1650953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1650956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1650959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650988 */     // MIs[0] policy
     /* 1650988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650998 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1651001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651022 */     // GIR_Coverage, 4845,
     /* 1651022 */     GIR_EraseRootFromParent_Done,
     /* 1651023 */   // Label 22718: @1651023
     /* 1651023 */   GIM_Try, /*On fail goto*//*Label 22719*/ GIMT_Encode4(1651109), // Rule ID 4848 //
     /* 1651028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1651039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1651042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1651045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651074 */     // MIs[0] policy
     /* 1651074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651084 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1651087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651108 */     // GIR_Coverage, 4848,
     /* 1651108 */     GIR_EraseRootFromParent_Done,
     /* 1651109 */   // Label 22719: @1651109
     /* 1651109 */   GIM_Try, /*On fail goto*//*Label 22720*/ GIMT_Encode4(1651195), // Rule ID 4849 //
     /* 1651114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1651125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1651128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1651131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651160 */     // MIs[0] policy
     /* 1651160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651170 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1651173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651194 */     // GIR_Coverage, 4849,
     /* 1651194 */     GIR_EraseRootFromParent_Done,
     /* 1651195 */   // Label 22720: @1651195
     /* 1651195 */   GIM_Try, /*On fail goto*//*Label 22721*/ GIMT_Encode4(1651281), // Rule ID 4852 //
     /* 1651200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1651211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1651214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1651217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651246 */     // MIs[0] policy
     /* 1651246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651256 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1651259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651280 */     // GIR_Coverage, 4852,
     /* 1651280 */     GIR_EraseRootFromParent_Done,
     /* 1651281 */   // Label 22721: @1651281
     /* 1651281 */   GIM_Try, /*On fail goto*//*Label 22722*/ GIMT_Encode4(1651367), // Rule ID 4853 //
     /* 1651286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1651297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1651300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1651303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651332 */     // MIs[0] policy
     /* 1651332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11686:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1651345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651366 */     // GIR_Coverage, 4853,
     /* 1651366 */     GIR_EraseRootFromParent_Done,
     /* 1651367 */   // Label 22722: @1651367
     /* 1651367 */   GIM_Try, /*On fail goto*//*Label 22723*/ GIMT_Encode4(1651453), // Rule ID 4856 //
     /* 1651372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1651383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1651386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1651389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651418 */     // MIs[0] policy
     /* 1651418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651428 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1651431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651452 */     // GIR_Coverage, 4856,
     /* 1651452 */     GIR_EraseRootFromParent_Done,
     /* 1651453 */   // Label 22723: @1651453
     /* 1651453 */   GIM_Try, /*On fail goto*//*Label 22724*/ GIMT_Encode4(1651539), // Rule ID 4857 //
     /* 1651458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1651469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1651472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1651475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651504 */     // MIs[0] policy
     /* 1651504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651514 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1651517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651538 */     // GIR_Coverage, 4857,
     /* 1651538 */     GIR_EraseRootFromParent_Done,
     /* 1651539 */   // Label 22724: @1651539
     /* 1651539 */   GIM_Try, /*On fail goto*//*Label 22725*/ GIMT_Encode4(1651625), // Rule ID 4860 //
     /* 1651544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1651555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1651558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1651561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651590 */     // MIs[0] policy
     /* 1651590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651600 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1651603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651624 */     // GIR_Coverage, 4860,
     /* 1651624 */     GIR_EraseRootFromParent_Done,
     /* 1651625 */   // Label 22725: @1651625
     /* 1651625 */   GIM_Try, /*On fail goto*//*Label 22726*/ GIMT_Encode4(1651711), // Rule ID 4861 //
     /* 1651630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1651641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1651644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1651647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651676 */     // MIs[0] policy
     /* 1651676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1651689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651710 */     // GIR_Coverage, 4861,
     /* 1651710 */     GIR_EraseRootFromParent_Done,
     /* 1651711 */   // Label 22726: @1651711
     /* 1651711 */   GIM_Try, /*On fail goto*//*Label 22727*/ GIMT_Encode4(1651797), // Rule ID 4864 //
     /* 1651716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1651727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1651730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1651733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1651739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651762 */     // MIs[0] policy
     /* 1651762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651772 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1651775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651796 */     // GIR_Coverage, 4864,
     /* 1651796 */     GIR_EraseRootFromParent_Done,
     /* 1651797 */   // Label 22727: @1651797
     /* 1651797 */   GIM_Try, /*On fail goto*//*Label 22728*/ GIMT_Encode4(1651883), // Rule ID 4865 //
     /* 1651802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1651813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1651816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1651819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1651825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651848 */     // MIs[0] policy
     /* 1651848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1651861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651882 */     // GIR_Coverage, 4865,
     /* 1651882 */     GIR_EraseRootFromParent_Done,
     /* 1651883 */   // Label 22728: @1651883
     /* 1651883 */   GIM_Try, /*On fail goto*//*Label 22729*/ GIMT_Encode4(1651969), // Rule ID 4868 //
     /* 1651888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1651899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1651902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1651905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651934 */     // MIs[0] policy
     /* 1651934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1651947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651968 */     // GIR_Coverage, 4868,
     /* 1651968 */     GIR_EraseRootFromParent_Done,
     /* 1651969 */   // Label 22729: @1651969
     /* 1651969 */   GIM_Try, /*On fail goto*//*Label 22730*/ GIMT_Encode4(1652055), // Rule ID 4869 //
     /* 1651974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1651982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1651985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1651988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1651991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652020 */     // MIs[0] policy
     /* 1652020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1652033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652054 */     // GIR_Coverage, 4869,
     /* 1652054 */     GIR_EraseRootFromParent_Done,
     /* 1652055 */   // Label 22730: @1652055
     /* 1652055 */   GIM_Try, /*On fail goto*//*Label 22731*/ GIMT_Encode4(1652141), // Rule ID 4872 //
     /* 1652060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1652071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1652074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1652077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652106 */     // MIs[0] policy
     /* 1652106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11686:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1652119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652140 */     // GIR_Coverage, 4872,
     /* 1652140 */     GIR_EraseRootFromParent_Done,
     /* 1652141 */   // Label 22731: @1652141
     /* 1652141 */   GIM_Try, /*On fail goto*//*Label 22732*/ GIMT_Encode4(1652227), // Rule ID 4873 //
     /* 1652146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1652157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1652160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1652163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652192 */     // MIs[0] policy
     /* 1652192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11686:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1652205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652226 */     // GIR_Coverage, 4873,
     /* 1652226 */     GIR_EraseRootFromParent_Done,
     /* 1652227 */   // Label 22732: @1652227
     /* 1652227 */   GIM_Try, /*On fail goto*//*Label 22733*/ GIMT_Encode4(1652313), // Rule ID 4876 //
     /* 1652232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1652243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1652246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1652249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652278 */     // MIs[0] policy
     /* 1652278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652288 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1652291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652312 */     // GIR_Coverage, 4876,
     /* 1652312 */     GIR_EraseRootFromParent_Done,
     /* 1652313 */   // Label 22733: @1652313
     /* 1652313 */   GIM_Try, /*On fail goto*//*Label 22734*/ GIMT_Encode4(1652399), // Rule ID 4877 //
     /* 1652318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1652329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1652332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1652335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652364 */     // MIs[0] policy
     /* 1652364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1652377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652398 */     // GIR_Coverage, 4877,
     /* 1652398 */     GIR_EraseRootFromParent_Done,
     /* 1652399 */   // Label 22734: @1652399
     /* 1652399 */   GIM_Try, /*On fail goto*//*Label 22735*/ GIMT_Encode4(1652485), // Rule ID 4880 //
     /* 1652404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1652415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1652418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1652421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652450 */     // MIs[0] policy
     /* 1652450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652460 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1652463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652484 */     // GIR_Coverage, 4880,
     /* 1652484 */     GIR_EraseRootFromParent_Done,
     /* 1652485 */   // Label 22735: @1652485
     /* 1652485 */   GIM_Try, /*On fail goto*//*Label 22736*/ GIMT_Encode4(1652571), // Rule ID 4881 //
     /* 1652490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1652501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1652504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1652507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652536 */     // MIs[0] policy
     /* 1652536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1652549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652570 */     // GIR_Coverage, 4881,
     /* 1652570 */     GIR_EraseRootFromParent_Done,
     /* 1652571 */   // Label 22736: @1652571
     /* 1652571 */   GIM_Try, /*On fail goto*//*Label 22737*/ GIMT_Encode4(1652657), // Rule ID 4884 //
     /* 1652576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1652587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1652590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1652593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652622 */     // MIs[0] policy
     /* 1652622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652632 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1652635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652656 */     // GIR_Coverage, 4884,
     /* 1652656 */     GIR_EraseRootFromParent_Done,
     /* 1652657 */   // Label 22737: @1652657
     /* 1652657 */   GIM_Try, /*On fail goto*//*Label 22738*/ GIMT_Encode4(1652743), // Rule ID 4885 //
     /* 1652662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1652673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1652676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1652679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652708 */     // MIs[0] policy
     /* 1652708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652718 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1652721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652742 */     // GIR_Coverage, 4885,
     /* 1652742 */     GIR_EraseRootFromParent_Done,
     /* 1652743 */   // Label 22738: @1652743
     /* 1652743 */   GIM_Try, /*On fail goto*//*Label 22739*/ GIMT_Encode4(1652829), // Rule ID 4888 //
     /* 1652748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1652751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1652759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1652762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1652765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652794 */     // MIs[0] policy
     /* 1652794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1652807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652828 */     // GIR_Coverage, 4888,
     /* 1652828 */     GIR_EraseRootFromParent_Done,
     /* 1652829 */   // Label 22739: @1652829
     /* 1652829 */   GIM_Try, /*On fail goto*//*Label 22740*/ GIMT_Encode4(1652915), // Rule ID 4889 //
     /* 1652834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1652837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1652845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1652848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1652851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652880 */     // MIs[0] policy
     /* 1652880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652890 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11686:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1652893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652914 */     // GIR_Coverage, 4889,
     /* 1652914 */     GIR_EraseRootFromParent_Done,
     /* 1652915 */   // Label 22740: @1652915
     /* 1652915 */   GIM_Try, /*On fail goto*//*Label 22741*/ GIMT_Encode4(1653001), // Rule ID 4892 //
     /* 1652920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1652923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1652931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1652934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1652937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652966 */     // MIs[0] policy
     /* 1652966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1652979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653000 */     // GIR_Coverage, 4892,
     /* 1653000 */     GIR_EraseRootFromParent_Done,
     /* 1653001 */   // Label 22741: @1653001
     /* 1653001 */   GIM_Try, /*On fail goto*//*Label 22742*/ GIMT_Encode4(1653087), // Rule ID 4893 //
     /* 1653006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1653009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1653017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1653020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1653023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653052 */     // MIs[0] policy
     /* 1653052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653062 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11686:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1653065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653086 */     // GIR_Coverage, 4893,
     /* 1653086 */     GIR_EraseRootFromParent_Done,
     /* 1653087 */   // Label 22742: @1653087
     /* 1653087 */   GIM_Try, /*On fail goto*//*Label 22743*/ GIMT_Encode4(1653173), // Rule ID 4896 //
     /* 1653092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1653095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1653103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1653106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1653109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653138 */     // MIs[0] policy
     /* 1653138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653148 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1653151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653172 */     // GIR_Coverage, 4896,
     /* 1653172 */     GIR_EraseRootFromParent_Done,
     /* 1653173 */   // Label 22743: @1653173
     /* 1653173 */   GIM_Try, /*On fail goto*//*Label 22744*/ GIMT_Encode4(1653259), // Rule ID 4897 //
     /* 1653178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1653181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1653189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1653192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1653195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653224 */     // MIs[0] policy
     /* 1653224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653234 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11686:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1653237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653258 */     // GIR_Coverage, 4897,
     /* 1653258 */     GIR_EraseRootFromParent_Done,
     /* 1653259 */   // Label 22744: @1653259
     /* 1653259 */   GIM_Try, /*On fail goto*//*Label 22745*/ GIMT_Encode4(1653345), // Rule ID 4900 //
     /* 1653264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1653267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1653275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1653278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1653281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653310 */     // MIs[0] policy
     /* 1653310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653320 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1653323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653344 */     // GIR_Coverage, 4900,
     /* 1653344 */     GIR_EraseRootFromParent_Done,
     /* 1653345 */   // Label 22745: @1653345
     /* 1653345 */   GIM_Try, /*On fail goto*//*Label 22746*/ GIMT_Encode4(1653431), // Rule ID 4901 //
     /* 1653350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1653353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1653361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1653364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1653367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653396 */     // MIs[0] policy
     /* 1653396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653406 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11686:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1653409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653430 */     // GIR_Coverage, 4901,
     /* 1653430 */     GIR_EraseRootFromParent_Done,
     /* 1653431 */   // Label 22746: @1653431
     /* 1653431 */   GIM_Try, /*On fail goto*//*Label 22747*/ GIMT_Encode4(1653517), // Rule ID 5778 //
     /* 1653436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1653447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1653450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1653453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1653456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653482 */     // MIs[0] policy
     /* 1653482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653492 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1653495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653516 */     // GIR_Coverage, 5778,
     /* 1653516 */     GIR_EraseRootFromParent_Done,
     /* 1653517 */   // Label 22747: @1653517
     /* 1653517 */   GIM_Try, /*On fail goto*//*Label 22748*/ GIMT_Encode4(1653603), // Rule ID 5779 //
     /* 1653522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1653533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1653536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1653539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1653542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653568 */     // MIs[0] policy
     /* 1653568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653578 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1653581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653602 */     // GIR_Coverage, 5779,
     /* 1653602 */     GIR_EraseRootFromParent_Done,
     /* 1653603 */   // Label 22748: @1653603
     /* 1653603 */   GIM_Try, /*On fail goto*//*Label 22749*/ GIMT_Encode4(1653689), // Rule ID 5782 //
     /* 1653608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1653619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1653622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1653625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1653628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653654 */     // MIs[0] policy
     /* 1653654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653664 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1653667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653688 */     // GIR_Coverage, 5782,
     /* 1653688 */     GIR_EraseRootFromParent_Done,
     /* 1653689 */   // Label 22749: @1653689
     /* 1653689 */   GIM_Try, /*On fail goto*//*Label 22750*/ GIMT_Encode4(1653775), // Rule ID 5783 //
     /* 1653694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1653705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1653708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1653711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1653714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653740 */     // MIs[0] policy
     /* 1653740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653750 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1653753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653774 */     // GIR_Coverage, 5783,
     /* 1653774 */     GIR_EraseRootFromParent_Done,
     /* 1653775 */   // Label 22750: @1653775
     /* 1653775 */   GIM_Try, /*On fail goto*//*Label 22751*/ GIMT_Encode4(1653861), // Rule ID 5786 //
     /* 1653780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1653791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1653794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1653797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1653800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653826 */     // MIs[0] policy
     /* 1653826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653836 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1653839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653860 */     // GIR_Coverage, 5786,
     /* 1653860 */     GIR_EraseRootFromParent_Done,
     /* 1653861 */   // Label 22751: @1653861
     /* 1653861 */   GIM_Try, /*On fail goto*//*Label 22752*/ GIMT_Encode4(1653947), // Rule ID 5787 //
     /* 1653866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1653877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1653880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1653883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1653886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653912 */     // MIs[0] policy
     /* 1653912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653922 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1653925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653946 */     // GIR_Coverage, 5787,
     /* 1653946 */     GIR_EraseRootFromParent_Done,
     /* 1653947 */   // Label 22752: @1653947
     /* 1653947 */   GIM_Try, /*On fail goto*//*Label 22753*/ GIMT_Encode4(1654033), // Rule ID 5790 //
     /* 1653952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1653963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1653966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1653969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1653972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653998 */     // MIs[0] policy
     /* 1653998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654008 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1654011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654032 */     // GIR_Coverage, 5790,
     /* 1654032 */     GIR_EraseRootFromParent_Done,
     /* 1654033 */   // Label 22753: @1654033
     /* 1654033 */   GIM_Try, /*On fail goto*//*Label 22754*/ GIMT_Encode4(1654119), // Rule ID 5791 //
     /* 1654038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1654049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1654052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1654055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1654058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654084 */     // MIs[0] policy
     /* 1654084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654094 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1654097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654118 */     // GIR_Coverage, 5791,
     /* 1654118 */     GIR_EraseRootFromParent_Done,
     /* 1654119 */   // Label 22754: @1654119
     /* 1654119 */   GIM_Try, /*On fail goto*//*Label 22755*/ GIMT_Encode4(1654205), // Rule ID 5794 //
     /* 1654124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1654135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1654138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1654141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1654144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654170 */     // MIs[0] policy
     /* 1654170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1654183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654204 */     // GIR_Coverage, 5794,
     /* 1654204 */     GIR_EraseRootFromParent_Done,
     /* 1654205 */   // Label 22755: @1654205
     /* 1654205 */   GIM_Try, /*On fail goto*//*Label 22756*/ GIMT_Encode4(1654291), // Rule ID 5795 //
     /* 1654210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1654221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1654224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1654227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1654230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654256 */     // MIs[0] policy
     /* 1654256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654266 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1654269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654290 */     // GIR_Coverage, 5795,
     /* 1654290 */     GIR_EraseRootFromParent_Done,
     /* 1654291 */   // Label 22756: @1654291
     /* 1654291 */   GIM_Try, /*On fail goto*//*Label 22757*/ GIMT_Encode4(1654377), // Rule ID 5798 //
     /* 1654296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1654307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1654310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1654313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1654316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654342 */     // MIs[0] policy
     /* 1654342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1654355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654376 */     // GIR_Coverage, 5798,
     /* 1654376 */     GIR_EraseRootFromParent_Done,
     /* 1654377 */   // Label 22757: @1654377
     /* 1654377 */   GIM_Try, /*On fail goto*//*Label 22758*/ GIMT_Encode4(1654463), // Rule ID 5799 //
     /* 1654382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1654393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1654396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1654399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1654402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654428 */     // MIs[0] policy
     /* 1654428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654438 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1654441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654462 */     // GIR_Coverage, 5799,
     /* 1654462 */     GIR_EraseRootFromParent_Done,
     /* 1654463 */   // Label 22758: @1654463
     /* 1654463 */   GIM_Try, /*On fail goto*//*Label 22759*/ GIMT_Encode4(1654549), // Rule ID 5802 //
     /* 1654468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1654479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1654482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1654485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1654488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654514 */     // MIs[0] policy
     /* 1654514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654548 */     // GIR_Coverage, 5802,
     /* 1654548 */     GIR_EraseRootFromParent_Done,
     /* 1654549 */   // Label 22759: @1654549
     /* 1654549 */   GIM_Try, /*On fail goto*//*Label 22760*/ GIMT_Encode4(1654635), // Rule ID 5803 //
     /* 1654554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1654565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1654568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1654571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1654574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654600 */     // MIs[0] policy
     /* 1654600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654610 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654634 */     // GIR_Coverage, 5803,
     /* 1654634 */     GIR_EraseRootFromParent_Done,
     /* 1654635 */   // Label 22760: @1654635
     /* 1654635 */   GIM_Try, /*On fail goto*//*Label 22761*/ GIMT_Encode4(1654721), // Rule ID 5806 //
     /* 1654640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1654651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1654654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1654657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1654660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654686 */     // MIs[0] policy
     /* 1654686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654720 */     // GIR_Coverage, 5806,
     /* 1654720 */     GIR_EraseRootFromParent_Done,
     /* 1654721 */   // Label 22761: @1654721
     /* 1654721 */   GIM_Try, /*On fail goto*//*Label 22762*/ GIMT_Encode4(1654807), // Rule ID 5807 //
     /* 1654726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1654737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1654740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1654743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1654746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654772 */     // MIs[0] policy
     /* 1654772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654782 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654806 */     // GIR_Coverage, 5807,
     /* 1654806 */     GIR_EraseRootFromParent_Done,
     /* 1654807 */   // Label 22762: @1654807
     /* 1654807 */   GIM_Try, /*On fail goto*//*Label 22763*/ GIMT_Encode4(1654893), // Rule ID 5810 //
     /* 1654812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1654823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1654826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1654829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1654832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654858 */     // MIs[0] policy
     /* 1654858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654892 */     // GIR_Coverage, 5810,
     /* 1654892 */     GIR_EraseRootFromParent_Done,
     /* 1654893 */   // Label 22763: @1654893
     /* 1654893 */   GIM_Try, /*On fail goto*//*Label 22764*/ GIMT_Encode4(1654979), // Rule ID 5811 //
     /* 1654898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1654909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1654912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1654915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1654918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654944 */     // MIs[0] policy
     /* 1654944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654954 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1654957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654978 */     // GIR_Coverage, 5811,
     /* 1654978 */     GIR_EraseRootFromParent_Done,
     /* 1654979 */   // Label 22764: @1654979
     /* 1654979 */   GIM_Try, /*On fail goto*//*Label 22765*/ GIMT_Encode4(1655065), // Rule ID 5814 //
     /* 1654984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1654987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1654995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1654998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1655001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1655004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655030 */     // MIs[0] policy
     /* 1655030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655040 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1655043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655064 */     // GIR_Coverage, 5814,
     /* 1655064 */     GIR_EraseRootFromParent_Done,
     /* 1655065 */   // Label 22765: @1655065
     /* 1655065 */   GIM_Try, /*On fail goto*//*Label 22766*/ GIMT_Encode4(1655151), // Rule ID 5815 //
     /* 1655070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1655073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1655081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1655084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1655087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1655090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655116 */     // MIs[0] policy
     /* 1655116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655126 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1655129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655150 */     // GIR_Coverage, 5815,
     /* 1655150 */     GIR_EraseRootFromParent_Done,
     /* 1655151 */   // Label 22766: @1655151
     /* 1655151 */   GIM_Try, /*On fail goto*//*Label 22767*/ GIMT_Encode4(1655237), // Rule ID 5818 //
     /* 1655156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1655167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1655170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1655173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1655176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655202 */     // MIs[0] policy
     /* 1655202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655212 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1655215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655236 */     // GIR_Coverage, 5818,
     /* 1655236 */     GIR_EraseRootFromParent_Done,
     /* 1655237 */   // Label 22767: @1655237
     /* 1655237 */   GIM_Try, /*On fail goto*//*Label 22768*/ GIMT_Encode4(1655323), // Rule ID 5819 //
     /* 1655242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1655253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1655256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1655259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1655262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655288 */     // MIs[0] policy
     /* 1655288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655298 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1655301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655322 */     // GIR_Coverage, 5819,
     /* 1655322 */     GIR_EraseRootFromParent_Done,
     /* 1655323 */   // Label 22768: @1655323
     /* 1655323 */   GIM_Try, /*On fail goto*//*Label 22769*/ GIMT_Encode4(1655409), // Rule ID 5822 //
     /* 1655328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1655339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1655342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1655345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1655348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1655351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655374 */     // MIs[0] policy
     /* 1655374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1655387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655408 */     // GIR_Coverage, 5822,
     /* 1655408 */     GIR_EraseRootFromParent_Done,
     /* 1655409 */   // Label 22769: @1655409
     /* 1655409 */   GIM_Try, /*On fail goto*//*Label 22770*/ GIMT_Encode4(1655495), // Rule ID 5823 //
     /* 1655414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1655425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1655428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1655431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1655434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1655437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655460 */     // MIs[0] policy
     /* 1655460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655470 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1655473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655494 */     // GIR_Coverage, 5823,
     /* 1655494 */     GIR_EraseRootFromParent_Done,
     /* 1655495 */   // Label 22770: @1655495
     /* 1655495 */   GIM_Try, /*On fail goto*//*Label 22771*/ GIMT_Encode4(1655581), // Rule ID 5826 //
     /* 1655500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1655511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1655514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1655517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1655520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1655523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655546 */     // MIs[0] policy
     /* 1655546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655556 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1655559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655580 */     // GIR_Coverage, 5826,
     /* 1655580 */     GIR_EraseRootFromParent_Done,
     /* 1655581 */   // Label 22771: @1655581
     /* 1655581 */   GIM_Try, /*On fail goto*//*Label 22772*/ GIMT_Encode4(1655667), // Rule ID 5827 //
     /* 1655586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1655597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1655600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1655603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1655606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1655609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655632 */     // MIs[0] policy
     /* 1655632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655642 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1655645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655666 */     // GIR_Coverage, 5827,
     /* 1655666 */     GIR_EraseRootFromParent_Done,
     /* 1655667 */   // Label 22772: @1655667
     /* 1655667 */   GIM_Try, /*On fail goto*//*Label 22773*/ GIMT_Encode4(1655753), // Rule ID 5830 //
     /* 1655672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1655683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1655686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1655689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1655692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655718 */     // MIs[0] policy
     /* 1655718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655728 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1655731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655752 */     // GIR_Coverage, 5830,
     /* 1655752 */     GIR_EraseRootFromParent_Done,
     /* 1655753 */   // Label 22773: @1655753
     /* 1655753 */   GIM_Try, /*On fail goto*//*Label 22774*/ GIMT_Encode4(1655839), // Rule ID 5831 //
     /* 1655758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1655769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1655772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1655775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1655778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655804 */     // MIs[0] policy
     /* 1655804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655814 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1655817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655838 */     // GIR_Coverage, 5831,
     /* 1655838 */     GIR_EraseRootFromParent_Done,
     /* 1655839 */   // Label 22774: @1655839
     /* 1655839 */   GIM_Try, /*On fail goto*//*Label 22775*/ GIMT_Encode4(1655925), // Rule ID 5834 //
     /* 1655844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1655855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1655858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1655861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1655864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655890 */     // MIs[0] policy
     /* 1655890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655900 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1655903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655924 */     // GIR_Coverage, 5834,
     /* 1655924 */     GIR_EraseRootFromParent_Done,
     /* 1655925 */   // Label 22775: @1655925
     /* 1655925 */   GIM_Try, /*On fail goto*//*Label 22776*/ GIMT_Encode4(1656011), // Rule ID 5835 //
     /* 1655930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1655941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1655944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1655947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1655950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655976 */     // MIs[0] policy
     /* 1655976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655986 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1655989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656010 */     // GIR_Coverage, 5835,
     /* 1656010 */     GIR_EraseRootFromParent_Done,
     /* 1656011 */   // Label 22776: @1656011
     /* 1656011 */   GIM_Try, /*On fail goto*//*Label 22777*/ GIMT_Encode4(1656097), // Rule ID 5838 //
     /* 1656016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1656027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1656030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1656033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1656036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656062 */     // MIs[0] policy
     /* 1656062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656072 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1656075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656096 */     // GIR_Coverage, 5838,
     /* 1656096 */     GIR_EraseRootFromParent_Done,
     /* 1656097 */   // Label 22777: @1656097
     /* 1656097 */   GIM_Try, /*On fail goto*//*Label 22778*/ GIMT_Encode4(1656183), // Rule ID 5839 //
     /* 1656102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1656113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1656116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1656119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1656122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656148 */     // MIs[0] policy
     /* 1656148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1656161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656182 */     // GIR_Coverage, 5839,
     /* 1656182 */     GIR_EraseRootFromParent_Done,
     /* 1656183 */   // Label 22778: @1656183
     /* 1656183 */   GIM_Try, /*On fail goto*//*Label 22779*/ GIMT_Encode4(1656269), // Rule ID 5842 //
     /* 1656188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1656199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1656202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1656205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1656208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656234 */     // MIs[0] policy
     /* 1656234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656244 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1656247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656268 */     // GIR_Coverage, 5842,
     /* 1656268 */     GIR_EraseRootFromParent_Done,
     /* 1656269 */   // Label 22779: @1656269
     /* 1656269 */   GIM_Try, /*On fail goto*//*Label 22780*/ GIMT_Encode4(1656355), // Rule ID 5843 //
     /* 1656274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1656285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1656288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1656291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1656294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656320 */     // MIs[0] policy
     /* 1656320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1656333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656354 */     // GIR_Coverage, 5843,
     /* 1656354 */     GIR_EraseRootFromParent_Done,
     /* 1656355 */   // Label 22780: @1656355
     /* 1656355 */   GIM_Try, /*On fail goto*//*Label 22781*/ GIMT_Encode4(1656441), // Rule ID 5846 //
     /* 1656360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1656371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1656374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1656377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1656380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656406 */     // MIs[0] policy
     /* 1656406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656416 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1656419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656440 */     // GIR_Coverage, 5846,
     /* 1656440 */     GIR_EraseRootFromParent_Done,
     /* 1656441 */   // Label 22781: @1656441
     /* 1656441 */   GIM_Try, /*On fail goto*//*Label 22782*/ GIMT_Encode4(1656527), // Rule ID 5847 //
     /* 1656446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1656457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1656460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1656463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1656466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656492 */     // MIs[0] policy
     /* 1656492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1656505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656526 */     // GIR_Coverage, 5847,
     /* 1656526 */     GIR_EraseRootFromParent_Done,
     /* 1656527 */   // Label 22782: @1656527
     /* 1656527 */   GIM_Try, /*On fail goto*//*Label 22783*/ GIMT_Encode4(1656613), // Rule ID 5850 //
     /* 1656532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1656543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1656546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1656549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1656552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656578 */     // MIs[0] policy
     /* 1656578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656588 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1656591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656612 */     // GIR_Coverage, 5850,
     /* 1656612 */     GIR_EraseRootFromParent_Done,
     /* 1656613 */   // Label 22783: @1656613
     /* 1656613 */   GIM_Try, /*On fail goto*//*Label 22784*/ GIMT_Encode4(1656699), // Rule ID 5851 //
     /* 1656618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1656629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1656632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1656635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1656638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656664 */     // MIs[0] policy
     /* 1656664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1656677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656698 */     // GIR_Coverage, 5851,
     /* 1656698 */     GIR_EraseRootFromParent_Done,
     /* 1656699 */   // Label 22784: @1656699
     /* 1656699 */   GIM_Try, /*On fail goto*//*Label 22785*/ GIMT_Encode4(1656785), // Rule ID 5854 //
     /* 1656704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1656707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1656715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1656718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1656721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1656724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656750 */     // MIs[0] policy
     /* 1656750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656760 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1656763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656784 */     // GIR_Coverage, 5854,
     /* 1656784 */     GIR_EraseRootFromParent_Done,
     /* 1656785 */   // Label 22785: @1656785
     /* 1656785 */   GIM_Try, /*On fail goto*//*Label 22786*/ GIMT_Encode4(1656871), // Rule ID 5855 //
     /* 1656790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1656793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1656801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1656804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1656807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1656810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656836 */     // MIs[0] policy
     /* 1656836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656846 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1656849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656870 */     // GIR_Coverage, 5855,
     /* 1656870 */     GIR_EraseRootFromParent_Done,
     /* 1656871 */   // Label 22786: @1656871
     /* 1656871 */   GIM_Try, /*On fail goto*//*Label 22787*/ GIMT_Encode4(1656957), // Rule ID 5858 //
     /* 1656876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1656879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1656887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1656890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1656893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1656896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656922 */     // MIs[0] policy
     /* 1656922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656932 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1656935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656956 */     // GIR_Coverage, 5858,
     /* 1656956 */     GIR_EraseRootFromParent_Done,
     /* 1656957 */   // Label 22787: @1656957
     /* 1656957 */   GIM_Try, /*On fail goto*//*Label 22788*/ GIMT_Encode4(1657043), // Rule ID 5859 //
     /* 1656962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1656965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1656973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1656976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1656979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1656982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657008 */     // MIs[0] policy
     /* 1657008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657018 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1657021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657042 */     // GIR_Coverage, 5859,
     /* 1657042 */     GIR_EraseRootFromParent_Done,
     /* 1657043 */   // Label 22788: @1657043
     /* 1657043 */   GIM_Try, /*On fail goto*//*Label 22789*/ GIMT_Encode4(1657129), // Rule ID 5862 //
     /* 1657048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1657059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1657062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1657065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1657068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657094 */     // MIs[0] policy
     /* 1657094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657104 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1657107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657128 */     // GIR_Coverage, 5862,
     /* 1657128 */     GIR_EraseRootFromParent_Done,
     /* 1657129 */   // Label 22789: @1657129
     /* 1657129 */   GIM_Try, /*On fail goto*//*Label 22790*/ GIMT_Encode4(1657215), // Rule ID 5863 //
     /* 1657134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1657145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1657148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1657151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1657154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657180 */     // MIs[0] policy
     /* 1657180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657190 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1657193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657214 */     // GIR_Coverage, 5863,
     /* 1657214 */     GIR_EraseRootFromParent_Done,
     /* 1657215 */   // Label 22790: @1657215
     /* 1657215 */   GIM_Try, /*On fail goto*//*Label 22791*/ GIMT_Encode4(1657301), // Rule ID 5866 //
     /* 1657220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1657231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1657234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1657237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657266 */     // MIs[0] policy
     /* 1657266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657276 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1657279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657300 */     // GIR_Coverage, 5866,
     /* 1657300 */     GIR_EraseRootFromParent_Done,
     /* 1657301 */   // Label 22791: @1657301
     /* 1657301 */   GIM_Try, /*On fail goto*//*Label 22792*/ GIMT_Encode4(1657387), // Rule ID 5867 //
     /* 1657306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1657317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1657320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1657323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657352 */     // MIs[0] policy
     /* 1657352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657362 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1657365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657386 */     // GIR_Coverage, 5867,
     /* 1657386 */     GIR_EraseRootFromParent_Done,
     /* 1657387 */   // Label 22792: @1657387
     /* 1657387 */   GIM_Try, /*On fail goto*//*Label 22793*/ GIMT_Encode4(1657473), // Rule ID 5870 //
     /* 1657392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1657403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1657406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1657409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657438 */     // MIs[0] policy
     /* 1657438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657448 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1657451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657472 */     // GIR_Coverage, 5870,
     /* 1657472 */     GIR_EraseRootFromParent_Done,
     /* 1657473 */   // Label 22793: @1657473
     /* 1657473 */   GIM_Try, /*On fail goto*//*Label 22794*/ GIMT_Encode4(1657559), // Rule ID 5871 //
     /* 1657478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1657489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1657492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1657495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657524 */     // MIs[0] policy
     /* 1657524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657534 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1657537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657558 */     // GIR_Coverage, 5871,
     /* 1657558 */     GIR_EraseRootFromParent_Done,
     /* 1657559 */   // Label 22794: @1657559
     /* 1657559 */   GIM_Try, /*On fail goto*//*Label 22795*/ GIMT_Encode4(1657645), // Rule ID 5874 //
     /* 1657564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1657575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1657578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1657581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657610 */     // MIs[0] policy
     /* 1657610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657620 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1657623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657644 */     // GIR_Coverage, 5874,
     /* 1657644 */     GIR_EraseRootFromParent_Done,
     /* 1657645 */   // Label 22795: @1657645
     /* 1657645 */   GIM_Try, /*On fail goto*//*Label 22796*/ GIMT_Encode4(1657731), // Rule ID 5875 //
     /* 1657650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1657661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1657664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1657667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657696 */     // MIs[0] policy
     /* 1657696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657706 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1657709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657730 */     // GIR_Coverage, 5875,
     /* 1657730 */     GIR_EraseRootFromParent_Done,
     /* 1657731 */   // Label 22796: @1657731
     /* 1657731 */   GIM_Try, /*On fail goto*//*Label 22797*/ GIMT_Encode4(1657817), // Rule ID 5878 //
     /* 1657736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1657747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1657750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1657753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657782 */     // MIs[0] policy
     /* 1657782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657792 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1657795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657816 */     // GIR_Coverage, 5878,
     /* 1657816 */     GIR_EraseRootFromParent_Done,
     /* 1657817 */   // Label 22797: @1657817
     /* 1657817 */   GIM_Try, /*On fail goto*//*Label 22798*/ GIMT_Encode4(1657903), // Rule ID 5879 //
     /* 1657822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1657833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1657836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1657839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657868 */     // MIs[0] policy
     /* 1657868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657878 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1657881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657902 */     // GIR_Coverage, 5879,
     /* 1657902 */     GIR_EraseRootFromParent_Done,
     /* 1657903 */   // Label 22798: @1657903
     /* 1657903 */   GIM_Try, /*On fail goto*//*Label 22799*/ GIMT_Encode4(1657989), // Rule ID 5882 //
     /* 1657908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1657919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1657922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1657925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657954 */     // MIs[0] policy
     /* 1657954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657964 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1657967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657988 */     // GIR_Coverage, 5882,
     /* 1657988 */     GIR_EraseRootFromParent_Done,
     /* 1657989 */   // Label 22799: @1657989
     /* 1657989 */   GIM_Try, /*On fail goto*//*Label 22800*/ GIMT_Encode4(1658075), // Rule ID 5883 //
     /* 1657994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1658005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1658008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1658011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658040 */     // MIs[0] policy
     /* 1658040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658050 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1658053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658074 */     // GIR_Coverage, 5883,
     /* 1658074 */     GIR_EraseRootFromParent_Done,
     /* 1658075 */   // Label 22800: @1658075
     /* 1658075 */   GIM_Try, /*On fail goto*//*Label 22801*/ GIMT_Encode4(1658161), // Rule ID 5886 //
     /* 1658080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1658091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1658094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1658097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658126 */     // MIs[0] policy
     /* 1658126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658136 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1658139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658160 */     // GIR_Coverage, 5886,
     /* 1658160 */     GIR_EraseRootFromParent_Done,
     /* 1658161 */   // Label 22801: @1658161
     /* 1658161 */   GIM_Try, /*On fail goto*//*Label 22802*/ GIMT_Encode4(1658247), // Rule ID 5887 //
     /* 1658166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1658177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1658180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1658183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658212 */     // MIs[0] policy
     /* 1658212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1658225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658246 */     // GIR_Coverage, 5887,
     /* 1658246 */     GIR_EraseRootFromParent_Done,
     /* 1658247 */   // Label 22802: @1658247
     /* 1658247 */   GIM_Try, /*On fail goto*//*Label 22803*/ GIMT_Encode4(1658333), // Rule ID 5890 //
     /* 1658252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1658263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1658266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1658269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658298 */     // MIs[0] policy
     /* 1658298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658332 */     // GIR_Coverage, 5890,
     /* 1658332 */     GIR_EraseRootFromParent_Done,
     /* 1658333 */   // Label 22803: @1658333
     /* 1658333 */   GIM_Try, /*On fail goto*//*Label 22804*/ GIMT_Encode4(1658419), // Rule ID 5891 //
     /* 1658338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1658349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1658352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1658355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658384 */     // MIs[0] policy
     /* 1658384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658394 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658418 */     // GIR_Coverage, 5891,
     /* 1658418 */     GIR_EraseRootFromParent_Done,
     /* 1658419 */   // Label 22804: @1658419
     /* 1658419 */   GIM_Try, /*On fail goto*//*Label 22805*/ GIMT_Encode4(1658505), // Rule ID 5894 //
     /* 1658424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1658435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1658438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1658441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658470 */     // MIs[0] policy
     /* 1658470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658480 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658504 */     // GIR_Coverage, 5894,
     /* 1658504 */     GIR_EraseRootFromParent_Done,
     /* 1658505 */   // Label 22805: @1658505
     /* 1658505 */   GIM_Try, /*On fail goto*//*Label 22806*/ GIMT_Encode4(1658591), // Rule ID 5895 //
     /* 1658510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1658521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1658524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1658527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658556 */     // MIs[0] policy
     /* 1658556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658566 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658590 */     // GIR_Coverage, 5895,
     /* 1658590 */     GIR_EraseRootFromParent_Done,
     /* 1658591 */   // Label 22806: @1658591
     /* 1658591 */   GIM_Try, /*On fail goto*//*Label 22807*/ GIMT_Encode4(1658677), // Rule ID 5898 //
     /* 1658596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1658607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1658610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1658613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658642 */     // MIs[0] policy
     /* 1658642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658676 */     // GIR_Coverage, 5898,
     /* 1658676 */     GIR_EraseRootFromParent_Done,
     /* 1658677 */   // Label 22807: @1658677
     /* 1658677 */   GIM_Try, /*On fail goto*//*Label 22808*/ GIMT_Encode4(1658763), // Rule ID 5899 //
     /* 1658682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1658693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1658696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1658699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658728 */     // MIs[0] policy
     /* 1658728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658738 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658762 */     // GIR_Coverage, 5899,
     /* 1658762 */     GIR_EraseRootFromParent_Done,
     /* 1658763 */   // Label 22808: @1658763
     /* 1658763 */   GIM_Try, /*On fail goto*//*Label 22809*/ GIMT_Encode4(1658849), // Rule ID 5902 //
     /* 1658768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1658771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1658779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1658782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1658785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658814 */     // MIs[0] policy
     /* 1658814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658824 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658848 */     // GIR_Coverage, 5902,
     /* 1658848 */     GIR_EraseRootFromParent_Done,
     /* 1658849 */   // Label 22809: @1658849
     /* 1658849 */   GIM_Try, /*On fail goto*//*Label 22810*/ GIMT_Encode4(1658935), // Rule ID 5903 //
     /* 1658854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1658857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1658865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1658868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1658871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658900 */     // MIs[0] policy
     /* 1658900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658910 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1658913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658934 */     // GIR_Coverage, 5903,
     /* 1658934 */     GIR_EraseRootFromParent_Done,
     /* 1658935 */   // Label 22810: @1658935
     /* 1658935 */   GIM_Try, /*On fail goto*//*Label 22811*/ GIMT_Encode4(1659021), // Rule ID 5906 //
     /* 1658940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1658951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1658954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1658957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1658963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658986 */     // MIs[0] policy
     /* 1658986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1658999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659020 */     // GIR_Coverage, 5906,
     /* 1659020 */     GIR_EraseRootFromParent_Done,
     /* 1659021 */   // Label 22811: @1659021
     /* 1659021 */   GIM_Try, /*On fail goto*//*Label 22812*/ GIMT_Encode4(1659107), // Rule ID 5907 //
     /* 1659026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1659037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1659040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1659043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659072 */     // MIs[0] policy
     /* 1659072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659082 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1659085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659106 */     // GIR_Coverage, 5907,
     /* 1659106 */     GIR_EraseRootFromParent_Done,
     /* 1659107 */   // Label 22812: @1659107
     /* 1659107 */   GIM_Try, /*On fail goto*//*Label 22813*/ GIMT_Encode4(1659193), // Rule ID 5910 //
     /* 1659112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1659123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1659126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1659129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659158 */     // MIs[0] policy
     /* 1659158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659168 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1659171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659192 */     // GIR_Coverage, 5910,
     /* 1659192 */     GIR_EraseRootFromParent_Done,
     /* 1659193 */   // Label 22813: @1659193
     /* 1659193 */   GIM_Try, /*On fail goto*//*Label 22814*/ GIMT_Encode4(1659279), // Rule ID 5911 //
     /* 1659198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1659209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1659212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1659215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659244 */     // MIs[0] policy
     /* 1659244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659254 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1659257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659278 */     // GIR_Coverage, 5911,
     /* 1659278 */     GIR_EraseRootFromParent_Done,
     /* 1659279 */   // Label 22814: @1659279
     /* 1659279 */   GIM_Try, /*On fail goto*//*Label 22815*/ GIMT_Encode4(1659365), // Rule ID 5914 //
     /* 1659284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1659295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1659298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1659301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1659307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659330 */     // MIs[0] policy
     /* 1659330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659340 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1659343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659364 */     // GIR_Coverage, 5914,
     /* 1659364 */     GIR_EraseRootFromParent_Done,
     /* 1659365 */   // Label 22815: @1659365
     /* 1659365 */   GIM_Try, /*On fail goto*//*Label 22816*/ GIMT_Encode4(1659451), // Rule ID 5915 //
     /* 1659370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1659381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1659384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1659387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1659393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659416 */     // MIs[0] policy
     /* 1659416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659426 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1659429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659450 */     // GIR_Coverage, 5915,
     /* 1659450 */     GIR_EraseRootFromParent_Done,
     /* 1659451 */   // Label 22816: @1659451
     /* 1659451 */   GIM_Try, /*On fail goto*//*Label 22817*/ GIMT_Encode4(1659537), // Rule ID 5918 //
     /* 1659456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1659467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1659470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1659473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659502 */     // MIs[0] policy
     /* 1659502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659512 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1659515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659536 */     // GIR_Coverage, 5918,
     /* 1659536 */     GIR_EraseRootFromParent_Done,
     /* 1659537 */   // Label 22817: @1659537
     /* 1659537 */   GIM_Try, /*On fail goto*//*Label 22818*/ GIMT_Encode4(1659623), // Rule ID 5919 //
     /* 1659542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1659553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1659556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1659559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659588 */     // MIs[0] policy
     /* 1659588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659598 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1659601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659622 */     // GIR_Coverage, 5919,
     /* 1659622 */     GIR_EraseRootFromParent_Done,
     /* 1659623 */   // Label 22818: @1659623
     /* 1659623 */   GIM_Try, /*On fail goto*//*Label 22819*/ GIMT_Encode4(1659709), // Rule ID 5922 //
     /* 1659628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1659639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1659642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1659645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659674 */     // MIs[0] policy
     /* 1659674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659684 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1659687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659708 */     // GIR_Coverage, 5922,
     /* 1659708 */     GIR_EraseRootFromParent_Done,
     /* 1659709 */   // Label 22819: @1659709
     /* 1659709 */   GIM_Try, /*On fail goto*//*Label 22820*/ GIMT_Encode4(1659795), // Rule ID 5923 //
     /* 1659714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1659725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1659728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1659731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659760 */     // MIs[0] policy
     /* 1659760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659770 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1659773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659794 */     // GIR_Coverage, 5923,
     /* 1659794 */     GIR_EraseRootFromParent_Done,
     /* 1659795 */   // Label 22820: @1659795
     /* 1659795 */   GIM_Try, /*On fail goto*//*Label 22821*/ GIMT_Encode4(1659881), // Rule ID 5926 //
     /* 1659800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1659811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1659814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1659817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659846 */     // MIs[0] policy
     /* 1659846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659856 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1659859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659880 */     // GIR_Coverage, 5926,
     /* 1659880 */     GIR_EraseRootFromParent_Done,
     /* 1659881 */   // Label 22821: @1659881
     /* 1659881 */   GIM_Try, /*On fail goto*//*Label 22822*/ GIMT_Encode4(1659967), // Rule ID 5927 //
     /* 1659886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1659897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1659900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1659903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659932 */     // MIs[0] policy
     /* 1659932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659942 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1659945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659966 */     // GIR_Coverage, 5927,
     /* 1659966 */     GIR_EraseRootFromParent_Done,
     /* 1659967 */   // Label 22822: @1659967
     /* 1659967 */   GIM_Try, /*On fail goto*//*Label 22823*/ GIMT_Encode4(1660053), // Rule ID 5930 //
     /* 1659972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1659983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1659986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1659989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660018 */     // MIs[0] policy
     /* 1660018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1660031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660052 */     // GIR_Coverage, 5930,
     /* 1660052 */     GIR_EraseRootFromParent_Done,
     /* 1660053 */   // Label 22823: @1660053
     /* 1660053 */   GIM_Try, /*On fail goto*//*Label 22824*/ GIMT_Encode4(1660139), // Rule ID 5931 //
     /* 1660058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1660069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1660072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1660075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660104 */     // MIs[0] policy
     /* 1660104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660114 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1660117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660138 */     // GIR_Coverage, 5931,
     /* 1660138 */     GIR_EraseRootFromParent_Done,
     /* 1660139 */   // Label 22824: @1660139
     /* 1660139 */   GIM_Try, /*On fail goto*//*Label 22825*/ GIMT_Encode4(1660225), // Rule ID 5934 //
     /* 1660144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1660155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1660158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1660161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660190 */     // MIs[0] policy
     /* 1660190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660200 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1660203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660224 */     // GIR_Coverage, 5934,
     /* 1660224 */     GIR_EraseRootFromParent_Done,
     /* 1660225 */   // Label 22825: @1660225
     /* 1660225 */   GIM_Try, /*On fail goto*//*Label 22826*/ GIMT_Encode4(1660311), // Rule ID 5935 //
     /* 1660230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1660241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1660244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1660247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660276 */     // MIs[0] policy
     /* 1660276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660286 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1660289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660310 */     // GIR_Coverage, 5935,
     /* 1660310 */     GIR_EraseRootFromParent_Done,
     /* 1660311 */   // Label 22826: @1660311
     /* 1660311 */   GIM_Try, /*On fail goto*//*Label 22827*/ GIMT_Encode4(1660397), // Rule ID 5938 //
     /* 1660316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1660327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1660330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1660333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660362 */     // MIs[0] policy
     /* 1660362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1660375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660396 */     // GIR_Coverage, 5938,
     /* 1660396 */     GIR_EraseRootFromParent_Done,
     /* 1660397 */   // Label 22827: @1660397
     /* 1660397 */   GIM_Try, /*On fail goto*//*Label 22828*/ GIMT_Encode4(1660483), // Rule ID 5939 //
     /* 1660402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1660413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1660416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1660419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660448 */     // MIs[0] policy
     /* 1660448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1660461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660482 */     // GIR_Coverage, 5939,
     /* 1660482 */     GIR_EraseRootFromParent_Done,
     /* 1660483 */   // Label 22828: @1660483
     /* 1660483 */   GIM_Try, /*On fail goto*//*Label 22829*/ GIMT_Encode4(1660569), // Rule ID 5942 //
     /* 1660488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1660491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1660499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1660502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1660505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660534 */     // MIs[0] policy
     /* 1660534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1660547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660568 */     // GIR_Coverage, 5942,
     /* 1660568 */     GIR_EraseRootFromParent_Done,
     /* 1660569 */   // Label 22829: @1660569
     /* 1660569 */   GIM_Try, /*On fail goto*//*Label 22830*/ GIMT_Encode4(1660655), // Rule ID 5943 //
     /* 1660574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1660577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1660585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1660588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1660591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660620 */     // MIs[0] policy
     /* 1660620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660630 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1660633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660654 */     // GIR_Coverage, 5943,
     /* 1660654 */     GIR_EraseRootFromParent_Done,
     /* 1660655 */   // Label 22830: @1660655
     /* 1660655 */   GIM_Try, /*On fail goto*//*Label 22831*/ GIMT_Encode4(1660741), // Rule ID 5946 //
     /* 1660660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1660663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1660671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1660674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1660677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660706 */     // MIs[0] policy
     /* 1660706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660716 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1660719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660740 */     // GIR_Coverage, 5946,
     /* 1660740 */     GIR_EraseRootFromParent_Done,
     /* 1660741 */   // Label 22831: @1660741
     /* 1660741 */   GIM_Try, /*On fail goto*//*Label 22832*/ GIMT_Encode4(1660827), // Rule ID 5947 //
     /* 1660746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1660749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1660757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1660760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1660763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660792 */     // MIs[0] policy
     /* 1660792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660802 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1660805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660826 */     // GIR_Coverage, 5947,
     /* 1660826 */     GIR_EraseRootFromParent_Done,
     /* 1660827 */   // Label 22832: @1660827
     /* 1660827 */   GIM_Try, /*On fail goto*//*Label 22833*/ GIMT_Encode4(1660913), // Rule ID 5950 //
     /* 1660832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1660835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1660843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1660846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1660849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660878 */     // MIs[0] policy
     /* 1660878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660888 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1660891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660912 */     // GIR_Coverage, 5950,
     /* 1660912 */     GIR_EraseRootFromParent_Done,
     /* 1660913 */   // Label 22833: @1660913
     /* 1660913 */   GIM_Try, /*On fail goto*//*Label 22834*/ GIMT_Encode4(1660999), // Rule ID 5951 //
     /* 1660918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1660921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1660929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1660932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1660935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660964 */     // MIs[0] policy
     /* 1660964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660974 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1660977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660998 */     // GIR_Coverage, 5951,
     /* 1660998 */     GIR_EraseRootFromParent_Done,
     /* 1660999 */   // Label 22834: @1660999
     /* 1660999 */   GIM_Try, /*On fail goto*//*Label 22835*/ GIMT_Encode4(1661085), // Rule ID 6042 //
     /* 1661004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1661015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1661018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1661021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1661024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661050 */     // MIs[0] policy
     /* 1661050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661060 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1661063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661084 */     // GIR_Coverage, 6042,
     /* 1661084 */     GIR_EraseRootFromParent_Done,
     /* 1661085 */   // Label 22835: @1661085
     /* 1661085 */   GIM_Try, /*On fail goto*//*Label 22836*/ GIMT_Encode4(1661171), // Rule ID 6043 //
     /* 1661090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1661101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1661104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1661107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1661110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661136 */     // MIs[0] policy
     /* 1661136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661146 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1661149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661170 */     // GIR_Coverage, 6043,
     /* 1661170 */     GIR_EraseRootFromParent_Done,
     /* 1661171 */   // Label 22836: @1661171
     /* 1661171 */   GIM_Try, /*On fail goto*//*Label 22837*/ GIMT_Encode4(1661257), // Rule ID 6046 //
     /* 1661176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1661187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1661190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1661193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1661196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661222 */     // MIs[0] policy
     /* 1661222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661232 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1661235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661256 */     // GIR_Coverage, 6046,
     /* 1661256 */     GIR_EraseRootFromParent_Done,
     /* 1661257 */   // Label 22837: @1661257
     /* 1661257 */   GIM_Try, /*On fail goto*//*Label 22838*/ GIMT_Encode4(1661343), // Rule ID 6047 //
     /* 1661262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1661273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1661276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1661279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1661282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661308 */     // MIs[0] policy
     /* 1661308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661318 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1661321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661342 */     // GIR_Coverage, 6047,
     /* 1661342 */     GIR_EraseRootFromParent_Done,
     /* 1661343 */   // Label 22838: @1661343
     /* 1661343 */   GIM_Try, /*On fail goto*//*Label 22839*/ GIMT_Encode4(1661429), // Rule ID 6050 //
     /* 1661348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1661359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1661362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1661365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1661368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661394 */     // MIs[0] policy
     /* 1661394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661404 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1661407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661428 */     // GIR_Coverage, 6050,
     /* 1661428 */     GIR_EraseRootFromParent_Done,
     /* 1661429 */   // Label 22839: @1661429
     /* 1661429 */   GIM_Try, /*On fail goto*//*Label 22840*/ GIMT_Encode4(1661515), // Rule ID 6051 //
     /* 1661434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1661445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1661448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1661451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1661454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661480 */     // MIs[0] policy
     /* 1661480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661490 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1661493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661514 */     // GIR_Coverage, 6051,
     /* 1661514 */     GIR_EraseRootFromParent_Done,
     /* 1661515 */   // Label 22840: @1661515
     /* 1661515 */   GIM_Try, /*On fail goto*//*Label 22841*/ GIMT_Encode4(1661601), // Rule ID 6054 //
     /* 1661520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1661531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1661534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1661537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1661540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661566 */     // MIs[0] policy
     /* 1661566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1661579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661600 */     // GIR_Coverage, 6054,
     /* 1661600 */     GIR_EraseRootFromParent_Done,
     /* 1661601 */   // Label 22841: @1661601
     /* 1661601 */   GIM_Try, /*On fail goto*//*Label 22842*/ GIMT_Encode4(1661687), // Rule ID 6055 //
     /* 1661606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1661617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1661620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1661623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1661626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661652 */     // MIs[0] policy
     /* 1661652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661662 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1661665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661686 */     // GIR_Coverage, 6055,
     /* 1661686 */     GIR_EraseRootFromParent_Done,
     /* 1661687 */   // Label 22842: @1661687
     /* 1661687 */   GIM_Try, /*On fail goto*//*Label 22843*/ GIMT_Encode4(1661773), // Rule ID 6058 //
     /* 1661692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1661703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1661706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1661709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1661712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661738 */     // MIs[0] policy
     /* 1661738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661748 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1661751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661772 */     // GIR_Coverage, 6058,
     /* 1661772 */     GIR_EraseRootFromParent_Done,
     /* 1661773 */   // Label 22843: @1661773
     /* 1661773 */   GIM_Try, /*On fail goto*//*Label 22844*/ GIMT_Encode4(1661859), // Rule ID 6059 //
     /* 1661778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1661789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1661792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1661795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1661798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661824 */     // MIs[0] policy
     /* 1661824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1661837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661858 */     // GIR_Coverage, 6059,
     /* 1661858 */     GIR_EraseRootFromParent_Done,
     /* 1661859 */   // Label 22844: @1661859
     /* 1661859 */   GIM_Try, /*On fail goto*//*Label 22845*/ GIMT_Encode4(1661945), // Rule ID 6062 //
     /* 1661864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1661875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1661878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1661881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1661884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661910 */     // MIs[0] policy
     /* 1661910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661920 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1661923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661944 */     // GIR_Coverage, 6062,
     /* 1661944 */     GIR_EraseRootFromParent_Done,
     /* 1661945 */   // Label 22845: @1661945
     /* 1661945 */   GIM_Try, /*On fail goto*//*Label 22846*/ GIMT_Encode4(1662031), // Rule ID 6063 //
     /* 1661950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1661961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1661964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1661967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1661970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661996 */     // MIs[0] policy
     /* 1661996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1662009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662030 */     // GIR_Coverage, 6063,
     /* 1662030 */     GIR_EraseRootFromParent_Done,
     /* 1662031 */   // Label 22846: @1662031
     /* 1662031 */   GIM_Try, /*On fail goto*//*Label 22847*/ GIMT_Encode4(1662117), // Rule ID 6066 //
     /* 1662036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1662047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1662050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1662053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1662056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662082 */     // MIs[0] policy
     /* 1662082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1662095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662116 */     // GIR_Coverage, 6066,
     /* 1662116 */     GIR_EraseRootFromParent_Done,
     /* 1662117 */   // Label 22847: @1662117
     /* 1662117 */   GIM_Try, /*On fail goto*//*Label 22848*/ GIMT_Encode4(1662203), // Rule ID 6067 //
     /* 1662122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1662133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1662136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1662139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1662142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662168 */     // MIs[0] policy
     /* 1662168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1662181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662202 */     // GIR_Coverage, 6067,
     /* 1662202 */     GIR_EraseRootFromParent_Done,
     /* 1662203 */   // Label 22848: @1662203
     /* 1662203 */   GIM_Try, /*On fail goto*//*Label 22849*/ GIMT_Encode4(1662289), // Rule ID 6070 //
     /* 1662208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1662219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1662222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1662225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1662228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662254 */     // MIs[0] policy
     /* 1662254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1662267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662288 */     // GIR_Coverage, 6070,
     /* 1662288 */     GIR_EraseRootFromParent_Done,
     /* 1662289 */   // Label 22849: @1662289
     /* 1662289 */   GIM_Try, /*On fail goto*//*Label 22850*/ GIMT_Encode4(1662375), // Rule ID 6071 //
     /* 1662294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1662305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1662308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1662311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1662314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662340 */     // MIs[0] policy
     /* 1662340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662350 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1662353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662374 */     // GIR_Coverage, 6071,
     /* 1662374 */     GIR_EraseRootFromParent_Done,
     /* 1662375 */   // Label 22850: @1662375
     /* 1662375 */   GIM_Try, /*On fail goto*//*Label 22851*/ GIMT_Encode4(1662461), // Rule ID 6074 //
     /* 1662380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1662391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1662394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1662397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1662400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662426 */     // MIs[0] policy
     /* 1662426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1662439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662460 */     // GIR_Coverage, 6074,
     /* 1662460 */     GIR_EraseRootFromParent_Done,
     /* 1662461 */   // Label 22851: @1662461
     /* 1662461 */   GIM_Try, /*On fail goto*//*Label 22852*/ GIMT_Encode4(1662547), // Rule ID 6075 //
     /* 1662466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1662477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1662480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1662483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1662486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662512 */     // MIs[0] policy
     /* 1662512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662522 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1662525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662546 */     // GIR_Coverage, 6075,
     /* 1662546 */     GIR_EraseRootFromParent_Done,
     /* 1662547 */   // Label 22852: @1662547
     /* 1662547 */   GIM_Try, /*On fail goto*//*Label 22853*/ GIMT_Encode4(1662633), // Rule ID 6078 //
     /* 1662552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1662555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1662563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1662566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1662569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1662572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662598 */     // MIs[0] policy
     /* 1662598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662608 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1662611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662632 */     // GIR_Coverage, 6078,
     /* 1662632 */     GIR_EraseRootFromParent_Done,
     /* 1662633 */   // Label 22853: @1662633
     /* 1662633 */   GIM_Try, /*On fail goto*//*Label 22854*/ GIMT_Encode4(1662719), // Rule ID 6079 //
     /* 1662638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1662641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1662649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1662652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1662655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1662658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662684 */     // MIs[0] policy
     /* 1662684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662694 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1662697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662718 */     // GIR_Coverage, 6079,
     /* 1662718 */     GIR_EraseRootFromParent_Done,
     /* 1662719 */   // Label 22854: @1662719
     /* 1662719 */   GIM_Try, /*On fail goto*//*Label 22855*/ GIMT_Encode4(1662805), // Rule ID 6082 //
     /* 1662724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1662735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1662738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1662741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1662744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1662747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662770 */     // MIs[0] policy
     /* 1662770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662780 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1662783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662804 */     // GIR_Coverage, 6082,
     /* 1662804 */     GIR_EraseRootFromParent_Done,
     /* 1662805 */   // Label 22855: @1662805
     /* 1662805 */   GIM_Try, /*On fail goto*//*Label 22856*/ GIMT_Encode4(1662891), // Rule ID 6083 //
     /* 1662810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1662821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1662824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1662827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1662830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1662833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662856 */     // MIs[0] policy
     /* 1662856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662866 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1662869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662890 */     // GIR_Coverage, 6083,
     /* 1662890 */     GIR_EraseRootFromParent_Done,
     /* 1662891 */   // Label 22856: @1662891
     /* 1662891 */   GIM_Try, /*On fail goto*//*Label 22857*/ GIMT_Encode4(1662977), // Rule ID 6086 //
     /* 1662896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1662907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1662910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1662913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1662916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1662919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662942 */     // MIs[0] policy
     /* 1662942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662952 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1662955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662976 */     // GIR_Coverage, 6086,
     /* 1662976 */     GIR_EraseRootFromParent_Done,
     /* 1662977 */   // Label 22857: @1662977
     /* 1662977 */   GIM_Try, /*On fail goto*//*Label 22858*/ GIMT_Encode4(1663063), // Rule ID 6087 //
     /* 1662982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1662993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1662996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1662999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1663002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663028 */     // MIs[0] policy
     /* 1663028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663038 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1663041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663062 */     // GIR_Coverage, 6087,
     /* 1663062 */     GIR_EraseRootFromParent_Done,
     /* 1663063 */   // Label 22858: @1663063
     /* 1663063 */   GIM_Try, /*On fail goto*//*Label 22859*/ GIMT_Encode4(1663149), // Rule ID 6090 //
     /* 1663068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1663079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1663082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1663085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1663088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1663091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663114 */     // MIs[0] policy
     /* 1663114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663124 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1663127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663148 */     // GIR_Coverage, 6090,
     /* 1663148 */     GIR_EraseRootFromParent_Done,
     /* 1663149 */   // Label 22859: @1663149
     /* 1663149 */   GIM_Try, /*On fail goto*//*Label 22860*/ GIMT_Encode4(1663235), // Rule ID 6091 //
     /* 1663154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1663165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1663168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1663171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1663174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1663177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663200 */     // MIs[0] policy
     /* 1663200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663210 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1663213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663234 */     // GIR_Coverage, 6091,
     /* 1663234 */     GIR_EraseRootFromParent_Done,
     /* 1663235 */   // Label 22860: @1663235
     /* 1663235 */   GIM_Try, /*On fail goto*//*Label 22861*/ GIMT_Encode4(1663321), // Rule ID 6094 //
     /* 1663240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1663251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1663254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1663257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1663260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663286 */     // MIs[0] policy
     /* 1663286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663296 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1663299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663320 */     // GIR_Coverage, 6094,
     /* 1663320 */     GIR_EraseRootFromParent_Done,
     /* 1663321 */   // Label 22861: @1663321
     /* 1663321 */   GIM_Try, /*On fail goto*//*Label 22862*/ GIMT_Encode4(1663407), // Rule ID 6095 //
     /* 1663326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1663337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1663340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1663343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1663346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663372 */     // MIs[0] policy
     /* 1663372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663382 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1663385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663406 */     // GIR_Coverage, 6095,
     /* 1663406 */     GIR_EraseRootFromParent_Done,
     /* 1663407 */   // Label 22862: @1663407
     /* 1663407 */   GIM_Try, /*On fail goto*//*Label 22863*/ GIMT_Encode4(1663493), // Rule ID 6098 //
     /* 1663412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1663423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1663426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1663429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1663432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663458 */     // MIs[0] policy
     /* 1663458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663468 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1663471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663492 */     // GIR_Coverage, 6098,
     /* 1663492 */     GIR_EraseRootFromParent_Done,
     /* 1663493 */   // Label 22863: @1663493
     /* 1663493 */   GIM_Try, /*On fail goto*//*Label 22864*/ GIMT_Encode4(1663579), // Rule ID 6099 //
     /* 1663498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1663509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1663512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1663515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1663518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663544 */     // MIs[0] policy
     /* 1663544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663554 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1663557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663578 */     // GIR_Coverage, 6099,
     /* 1663578 */     GIR_EraseRootFromParent_Done,
     /* 1663579 */   // Label 22864: @1663579
     /* 1663579 */   GIM_Try, /*On fail goto*//*Label 22865*/ GIMT_Encode4(1663665), // Rule ID 6102 //
     /* 1663584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1663595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1663598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1663601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1663604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663630 */     // MIs[0] policy
     /* 1663630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663640 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1663643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663664 */     // GIR_Coverage, 6102,
     /* 1663664 */     GIR_EraseRootFromParent_Done,
     /* 1663665 */   // Label 22865: @1663665
     /* 1663665 */   GIM_Try, /*On fail goto*//*Label 22866*/ GIMT_Encode4(1663751), // Rule ID 6103 //
     /* 1663670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1663681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1663684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1663687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1663690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663716 */     // MIs[0] policy
     /* 1663716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663726 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1663729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663750 */     // GIR_Coverage, 6103,
     /* 1663750 */     GIR_EraseRootFromParent_Done,
     /* 1663751 */   // Label 22866: @1663751
     /* 1663751 */   GIM_Try, /*On fail goto*//*Label 22867*/ GIMT_Encode4(1663837), // Rule ID 6106 //
     /* 1663756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1663767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1663770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1663773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1663776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663802 */     // MIs[0] policy
     /* 1663802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663812 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1663815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663836 */     // GIR_Coverage, 6106,
     /* 1663836 */     GIR_EraseRootFromParent_Done,
     /* 1663837 */   // Label 22867: @1663837
     /* 1663837 */   GIM_Try, /*On fail goto*//*Label 22868*/ GIMT_Encode4(1663923), // Rule ID 6107 //
     /* 1663842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1663853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1663856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1663859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1663862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663888 */     // MIs[0] policy
     /* 1663888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663898 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1663901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663922 */     // GIR_Coverage, 6107,
     /* 1663922 */     GIR_EraseRootFromParent_Done,
     /* 1663923 */   // Label 22868: @1663923
     /* 1663923 */   GIM_Try, /*On fail goto*//*Label 22869*/ GIMT_Encode4(1664009), // Rule ID 6110 //
     /* 1663928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1663939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1663942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1663945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1663948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663974 */     // MIs[0] policy
     /* 1663974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1663987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664008 */     // GIR_Coverage, 6110,
     /* 1664008 */     GIR_EraseRootFromParent_Done,
     /* 1664009 */   // Label 22869: @1664009
     /* 1664009 */   GIM_Try, /*On fail goto*//*Label 22870*/ GIMT_Encode4(1664095), // Rule ID 6111 //
     /* 1664014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1664025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1664028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1664031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1664034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664060 */     // MIs[0] policy
     /* 1664060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664070 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1664073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664094 */     // GIR_Coverage, 6111,
     /* 1664094 */     GIR_EraseRootFromParent_Done,
     /* 1664095 */   // Label 22870: @1664095
     /* 1664095 */   GIM_Try, /*On fail goto*//*Label 22871*/ GIMT_Encode4(1664181), // Rule ID 6114 //
     /* 1664100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1664111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1664114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1664117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1664120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664146 */     // MIs[0] policy
     /* 1664146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664156 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1664159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664180 */     // GIR_Coverage, 6114,
     /* 1664180 */     GIR_EraseRootFromParent_Done,
     /* 1664181 */   // Label 22871: @1664181
     /* 1664181 */   GIM_Try, /*On fail goto*//*Label 22872*/ GIMT_Encode4(1664267), // Rule ID 6115 //
     /* 1664186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1664197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1664200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1664203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1664206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664232 */     // MIs[0] policy
     /* 1664232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1664245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664266 */     // GIR_Coverage, 6115,
     /* 1664266 */     GIR_EraseRootFromParent_Done,
     /* 1664267 */   // Label 22872: @1664267
     /* 1664267 */   GIM_Try, /*On fail goto*//*Label 22873*/ GIMT_Encode4(1664353), // Rule ID 6118 //
     /* 1664272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1664275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1664283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1664286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1664289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1664292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664318 */     // MIs[0] policy
     /* 1664318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664328 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1664331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664352 */     // GIR_Coverage, 6118,
     /* 1664352 */     GIR_EraseRootFromParent_Done,
     /* 1664353 */   // Label 22873: @1664353
     /* 1664353 */   GIM_Try, /*On fail goto*//*Label 22874*/ GIMT_Encode4(1664439), // Rule ID 6119 //
     /* 1664358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1664361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1664369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1664372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1664375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1664378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664404 */     // MIs[0] policy
     /* 1664404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664414 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1664417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664438 */     // GIR_Coverage, 6119,
     /* 1664438 */     GIR_EraseRootFromParent_Done,
     /* 1664439 */   // Label 22874: @1664439
     /* 1664439 */   GIM_Try, /*On fail goto*//*Label 22875*/ GIMT_Encode4(1664525), // Rule ID 6122 //
     /* 1664444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1664447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1664455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1664458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1664461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1664464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664490 */     // MIs[0] policy
     /* 1664490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664500 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1664503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664524 */     // GIR_Coverage, 6122,
     /* 1664524 */     GIR_EraseRootFromParent_Done,
     /* 1664525 */   // Label 22875: @1664525
     /* 1664525 */   GIM_Try, /*On fail goto*//*Label 22876*/ GIMT_Encode4(1664611), // Rule ID 6123 //
     /* 1664530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1664533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1664541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1664544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1664547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1664550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664576 */     // MIs[0] policy
     /* 1664576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664586 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1664589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664610 */     // GIR_Coverage, 6123,
     /* 1664610 */     GIR_EraseRootFromParent_Done,
     /* 1664611 */   // Label 22876: @1664611
     /* 1664611 */   GIM_Try, /*On fail goto*//*Label 22877*/ GIMT_Encode4(1664697), // Rule ID 6126 //
     /* 1664616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1664619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1664627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1664630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1664633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1664636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664662 */     // MIs[0] policy
     /* 1664662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664672 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1664675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664696 */     // GIR_Coverage, 6126,
     /* 1664696 */     GIR_EraseRootFromParent_Done,
     /* 1664697 */   // Label 22877: @1664697
     /* 1664697 */   GIM_Try, /*On fail goto*//*Label 22878*/ GIMT_Encode4(1664783), // Rule ID 6127 //
     /* 1664702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1664705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1664713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1664716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1664719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1664722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664748 */     // MIs[0] policy
     /* 1664748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1664761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664782 */     // GIR_Coverage, 6127,
     /* 1664782 */     GIR_EraseRootFromParent_Done,
     /* 1664783 */   // Label 22878: @1664783
     /* 1664783 */   GIM_Try, /*On fail goto*//*Label 22879*/ GIMT_Encode4(1664869), // Rule ID 6130 //
     /* 1664788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1664799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1664802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1664805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664834 */     // MIs[0] policy
     /* 1664834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664844 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1664847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664868 */     // GIR_Coverage, 6130,
     /* 1664868 */     GIR_EraseRootFromParent_Done,
     /* 1664869 */   // Label 22879: @1664869
     /* 1664869 */   GIM_Try, /*On fail goto*//*Label 22880*/ GIMT_Encode4(1664955), // Rule ID 6131 //
     /* 1664874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1664885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1664888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1664891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664920 */     // MIs[0] policy
     /* 1664920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664930 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1664933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664954 */     // GIR_Coverage, 6131,
     /* 1664954 */     GIR_EraseRootFromParent_Done,
     /* 1664955 */   // Label 22880: @1664955
     /* 1664955 */   GIM_Try, /*On fail goto*//*Label 22881*/ GIMT_Encode4(1665041), // Rule ID 6134 //
     /* 1664960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1664971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1664974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1664977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665006 */     // MIs[0] policy
     /* 1665006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1665019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665040 */     // GIR_Coverage, 6134,
     /* 1665040 */     GIR_EraseRootFromParent_Done,
     /* 1665041 */   // Label 22881: @1665041
     /* 1665041 */   GIM_Try, /*On fail goto*//*Label 22882*/ GIMT_Encode4(1665127), // Rule ID 6135 //
     /* 1665046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1665057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1665060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1665063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665092 */     // MIs[0] policy
     /* 1665092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665102 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1665105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665126 */     // GIR_Coverage, 6135,
     /* 1665126 */     GIR_EraseRootFromParent_Done,
     /* 1665127 */   // Label 22882: @1665127
     /* 1665127 */   GIM_Try, /*On fail goto*//*Label 22883*/ GIMT_Encode4(1665213), // Rule ID 6138 //
     /* 1665132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1665143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1665146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1665149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665178 */     // MIs[0] policy
     /* 1665178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665188 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1665191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665212 */     // GIR_Coverage, 6138,
     /* 1665212 */     GIR_EraseRootFromParent_Done,
     /* 1665213 */   // Label 22883: @1665213
     /* 1665213 */   GIM_Try, /*On fail goto*//*Label 22884*/ GIMT_Encode4(1665299), // Rule ID 6139 //
     /* 1665218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1665229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1665232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1665235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665264 */     // MIs[0] policy
     /* 1665264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665274 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1665277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665298 */     // GIR_Coverage, 6139,
     /* 1665298 */     GIR_EraseRootFromParent_Done,
     /* 1665299 */   // Label 22884: @1665299
     /* 1665299 */   GIM_Try, /*On fail goto*//*Label 22885*/ GIMT_Encode4(1665385), // Rule ID 6142 //
     /* 1665304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1665315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1665318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1665321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665350 */     // MIs[0] policy
     /* 1665350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665360 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1665363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665384 */     // GIR_Coverage, 6142,
     /* 1665384 */     GIR_EraseRootFromParent_Done,
     /* 1665385 */   // Label 22885: @1665385
     /* 1665385 */   GIM_Try, /*On fail goto*//*Label 22886*/ GIMT_Encode4(1665471), // Rule ID 6143 //
     /* 1665390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1665401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1665404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1665407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665436 */     // MIs[0] policy
     /* 1665436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665446 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1665449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665470 */     // GIR_Coverage, 6143,
     /* 1665470 */     GIR_EraseRootFromParent_Done,
     /* 1665471 */   // Label 22886: @1665471
     /* 1665471 */   GIM_Try, /*On fail goto*//*Label 22887*/ GIMT_Encode4(1665557), // Rule ID 6146 //
     /* 1665476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1665487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1665490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1665493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665522 */     // MIs[0] policy
     /* 1665522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1665535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665556 */     // GIR_Coverage, 6146,
     /* 1665556 */     GIR_EraseRootFromParent_Done,
     /* 1665557 */   // Label 22887: @1665557
     /* 1665557 */   GIM_Try, /*On fail goto*//*Label 22888*/ GIMT_Encode4(1665643), // Rule ID 6147 //
     /* 1665562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1665573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1665576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1665579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665608 */     // MIs[0] policy
     /* 1665608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665618 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1665621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665642 */     // GIR_Coverage, 6147,
     /* 1665642 */     GIR_EraseRootFromParent_Done,
     /* 1665643 */   // Label 22888: @1665643
     /* 1665643 */   GIM_Try, /*On fail goto*//*Label 22889*/ GIMT_Encode4(1665729), // Rule ID 6150 //
     /* 1665648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1665659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1665662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1665665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665694 */     // MIs[0] policy
     /* 1665694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665704 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1665707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665728 */     // GIR_Coverage, 6150,
     /* 1665728 */     GIR_EraseRootFromParent_Done,
     /* 1665729 */   // Label 22889: @1665729
     /* 1665729 */   GIM_Try, /*On fail goto*//*Label 22890*/ GIMT_Encode4(1665815), // Rule ID 6151 //
     /* 1665734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1665745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1665748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1665751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665780 */     // MIs[0] policy
     /* 1665780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665790 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1665793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665814 */     // GIR_Coverage, 6151,
     /* 1665814 */     GIR_EraseRootFromParent_Done,
     /* 1665815 */   // Label 22890: @1665815
     /* 1665815 */   GIM_Try, /*On fail goto*//*Label 22891*/ GIMT_Encode4(1665901), // Rule ID 6154 //
     /* 1665820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1665831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1665834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1665837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665866 */     // MIs[0] policy
     /* 1665866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665876 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1665879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665900 */     // GIR_Coverage, 6154,
     /* 1665900 */     GIR_EraseRootFromParent_Done,
     /* 1665901 */   // Label 22891: @1665901
     /* 1665901 */   GIM_Try, /*On fail goto*//*Label 22892*/ GIMT_Encode4(1665987), // Rule ID 6155 //
     /* 1665906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1665917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1665920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1665923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665952 */     // MIs[0] policy
     /* 1665952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665962 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1665965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665986 */     // GIR_Coverage, 6155,
     /* 1665986 */     GIR_EraseRootFromParent_Done,
     /* 1665987 */   // Label 22892: @1665987
     /* 1665987 */   GIM_Try, /*On fail goto*//*Label 22893*/ GIMT_Encode4(1666073), // Rule ID 6158 //
     /* 1665992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666038 */     // MIs[0] policy
     /* 1666038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1666051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666072 */     // GIR_Coverage, 6158,
     /* 1666072 */     GIR_EraseRootFromParent_Done,
     /* 1666073 */   // Label 22893: @1666073
     /* 1666073 */   GIM_Try, /*On fail goto*//*Label 22894*/ GIMT_Encode4(1666159), // Rule ID 6159 //
     /* 1666078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666124 */     // MIs[0] policy
     /* 1666124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666134 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1666137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666158 */     // GIR_Coverage, 6159,
     /* 1666158 */     GIR_EraseRootFromParent_Done,
     /* 1666159 */   // Label 22894: @1666159
     /* 1666159 */   GIM_Try, /*On fail goto*//*Label 22895*/ GIMT_Encode4(1666245), // Rule ID 6162 //
     /* 1666164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1666175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1666178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1666181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666210 */     // MIs[0] policy
     /* 1666210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1666223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666244 */     // GIR_Coverage, 6162,
     /* 1666244 */     GIR_EraseRootFromParent_Done,
     /* 1666245 */   // Label 22895: @1666245
     /* 1666245 */   GIM_Try, /*On fail goto*//*Label 22896*/ GIMT_Encode4(1666331), // Rule ID 6163 //
     /* 1666250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1666261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1666264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1666267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666296 */     // MIs[0] policy
     /* 1666296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666306 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1666309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666330 */     // GIR_Coverage, 6163,
     /* 1666330 */     GIR_EraseRootFromParent_Done,
     /* 1666331 */   // Label 22896: @1666331
     /* 1666331 */   GIM_Try, /*On fail goto*//*Label 22897*/ GIMT_Encode4(1666417), // Rule ID 6166 //
     /* 1666336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1666339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1666347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1666350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1666353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666382 */     // MIs[0] policy
     /* 1666382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1666395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666416 */     // GIR_Coverage, 6166,
     /* 1666416 */     GIR_EraseRootFromParent_Done,
     /* 1666417 */   // Label 22897: @1666417
     /* 1666417 */   GIM_Try, /*On fail goto*//*Label 22898*/ GIMT_Encode4(1666503), // Rule ID 6167 //
     /* 1666422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1666425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1666433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1666436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1666439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666468 */     // MIs[0] policy
     /* 1666468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1666481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666502 */     // GIR_Coverage, 6167,
     /* 1666502 */     GIR_EraseRootFromParent_Done,
     /* 1666503 */   // Label 22898: @1666503
     /* 1666503 */   GIM_Try, /*On fail goto*//*Label 22899*/ GIMT_Encode4(1666589), // Rule ID 6170 //
     /* 1666508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1666519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1666522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1666525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666554 */     // MIs[0] policy
     /* 1666554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666564 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1666567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666588 */     // GIR_Coverage, 6170,
     /* 1666588 */     GIR_EraseRootFromParent_Done,
     /* 1666589 */   // Label 22899: @1666589
     /* 1666589 */   GIM_Try, /*On fail goto*//*Label 22900*/ GIMT_Encode4(1666675), // Rule ID 6171 //
     /* 1666594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1666605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1666608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1666611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666640 */     // MIs[0] policy
     /* 1666640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666650 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1666653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666674 */     // GIR_Coverage, 6171,
     /* 1666674 */     GIR_EraseRootFromParent_Done,
     /* 1666675 */   // Label 22900: @1666675
     /* 1666675 */   GIM_Try, /*On fail goto*//*Label 22901*/ GIMT_Encode4(1666761), // Rule ID 6174 //
     /* 1666680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1666691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1666694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1666697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1666703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666726 */     // MIs[0] policy
     /* 1666726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666736 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1666739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666760 */     // GIR_Coverage, 6174,
     /* 1666760 */     GIR_EraseRootFromParent_Done,
     /* 1666761 */   // Label 22901: @1666761
     /* 1666761 */   GIM_Try, /*On fail goto*//*Label 22902*/ GIMT_Encode4(1666847), // Rule ID 6175 //
     /* 1666766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1666777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1666780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1666783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1666789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666812 */     // MIs[0] policy
     /* 1666812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666822 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1666825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666846 */     // GIR_Coverage, 6175,
     /* 1666846 */     GIR_EraseRootFromParent_Done,
     /* 1666847 */   // Label 22902: @1666847
     /* 1666847 */   GIM_Try, /*On fail goto*//*Label 22903*/ GIMT_Encode4(1666933), // Rule ID 6178 //
     /* 1666852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1666863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1666866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1666869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1666875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666898 */     // MIs[0] policy
     /* 1666898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666908 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1666911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666932 */     // GIR_Coverage, 6178,
     /* 1666932 */     GIR_EraseRootFromParent_Done,
     /* 1666933 */   // Label 22903: @1666933
     /* 1666933 */   GIM_Try, /*On fail goto*//*Label 22904*/ GIMT_Encode4(1667019), // Rule ID 6179 //
     /* 1666938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1666949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1666952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1666955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1666961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666984 */     // MIs[0] policy
     /* 1666984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666994 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1666997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667018 */     // GIR_Coverage, 6179,
     /* 1667018 */     GIR_EraseRootFromParent_Done,
     /* 1667019 */   // Label 22904: @1667019
     /* 1667019 */   GIM_Try, /*On fail goto*//*Label 22905*/ GIMT_Encode4(1667105), // Rule ID 6182 //
     /* 1667024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667070 */     // MIs[0] policy
     /* 1667070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667080 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1667083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667104 */     // GIR_Coverage, 6182,
     /* 1667104 */     GIR_EraseRootFromParent_Done,
     /* 1667105 */   // Label 22905: @1667105
     /* 1667105 */   GIM_Try, /*On fail goto*//*Label 22906*/ GIMT_Encode4(1667191), // Rule ID 6183 //
     /* 1667110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667156 */     // MIs[0] policy
     /* 1667156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667166 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1667169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667190 */     // GIR_Coverage, 6183,
     /* 1667190 */     GIR_EraseRootFromParent_Done,
     /* 1667191 */   // Label 22906: @1667191
     /* 1667191 */   GIM_Try, /*On fail goto*//*Label 22907*/ GIMT_Encode4(1667277), // Rule ID 6186 //
     /* 1667196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1667207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1667210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1667213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667242 */     // MIs[0] policy
     /* 1667242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667252 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1667255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667276 */     // GIR_Coverage, 6186,
     /* 1667276 */     GIR_EraseRootFromParent_Done,
     /* 1667277 */   // Label 22907: @1667277
     /* 1667277 */   GIM_Try, /*On fail goto*//*Label 22908*/ GIMT_Encode4(1667363), // Rule ID 6187 //
     /* 1667282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1667293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1667296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1667299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667328 */     // MIs[0] policy
     /* 1667328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667338 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1667341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667362 */     // GIR_Coverage, 6187,
     /* 1667362 */     GIR_EraseRootFromParent_Done,
     /* 1667363 */   // Label 22908: @1667363
     /* 1667363 */   GIM_Try, /*On fail goto*//*Label 22909*/ GIMT_Encode4(1667449), // Rule ID 6190 //
     /* 1667368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1667379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1667382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1667385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667414 */     // MIs[0] policy
     /* 1667414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1667427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667448 */     // GIR_Coverage, 6190,
     /* 1667448 */     GIR_EraseRootFromParent_Done,
     /* 1667449 */   // Label 22909: @1667449
     /* 1667449 */   GIM_Try, /*On fail goto*//*Label 22910*/ GIMT_Encode4(1667535), // Rule ID 6191 //
     /* 1667454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1667465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1667468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1667471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667500 */     // MIs[0] policy
     /* 1667500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667510 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1667513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667534 */     // GIR_Coverage, 6191,
     /* 1667534 */     GIR_EraseRootFromParent_Done,
     /* 1667535 */   // Label 22910: @1667535
     /* 1667535 */   GIM_Try, /*On fail goto*//*Label 22911*/ GIMT_Encode4(1667621), // Rule ID 6194 //
     /* 1667540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1667551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1667554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1667557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667586 */     // MIs[0] policy
     /* 1667586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1667599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667620 */     // GIR_Coverage, 6194,
     /* 1667620 */     GIR_EraseRootFromParent_Done,
     /* 1667621 */   // Label 22911: @1667621
     /* 1667621 */   GIM_Try, /*On fail goto*//*Label 22912*/ GIMT_Encode4(1667707), // Rule ID 6195 //
     /* 1667626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1667637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1667640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1667643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667672 */     // MIs[0] policy
     /* 1667672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667682 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1667685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667706 */     // GIR_Coverage, 6195,
     /* 1667706 */     GIR_EraseRootFromParent_Done,
     /* 1667707 */   // Label 22912: @1667707
     /* 1667707 */   GIM_Try, /*On fail goto*//*Label 22913*/ GIMT_Encode4(1667793), // Rule ID 6198 //
     /* 1667712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1667723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1667726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1667729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667758 */     // MIs[0] policy
     /* 1667758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1667771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667792 */     // GIR_Coverage, 6198,
     /* 1667792 */     GIR_EraseRootFromParent_Done,
     /* 1667793 */   // Label 22913: @1667793
     /* 1667793 */   GIM_Try, /*On fail goto*//*Label 22914*/ GIMT_Encode4(1667879), // Rule ID 6199 //
     /* 1667798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1667809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1667812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1667815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667844 */     // MIs[0] policy
     /* 1667844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667854 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1667857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667878 */     // GIR_Coverage, 6199,
     /* 1667878 */     GIR_EraseRootFromParent_Done,
     /* 1667879 */   // Label 22914: @1667879
     /* 1667879 */   GIM_Try, /*On fail goto*//*Label 22915*/ GIMT_Encode4(1667965), // Rule ID 6202 //
     /* 1667884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1667895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1667898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1667901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667930 */     // MIs[0] policy
     /* 1667930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1667943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667964 */     // GIR_Coverage, 6202,
     /* 1667964 */     GIR_EraseRootFromParent_Done,
     /* 1667965 */   // Label 22915: @1667965
     /* 1667965 */   GIM_Try, /*On fail goto*//*Label 22916*/ GIMT_Encode4(1668051), // Rule ID 6203 //
     /* 1667970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1667981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1667984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1667987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668016 */     // MIs[0] policy
     /* 1668016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668026 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1668029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668050 */     // GIR_Coverage, 6203,
     /* 1668050 */     GIR_EraseRootFromParent_Done,
     /* 1668051 */   // Label 22916: @1668051
     /* 1668051 */   GIM_Try, /*On fail goto*//*Label 22917*/ GIMT_Encode4(1668137), // Rule ID 6206 //
     /* 1668056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668102 */     // MIs[0] policy
     /* 1668102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668112 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1668115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668136 */     // GIR_Coverage, 6206,
     /* 1668136 */     GIR_EraseRootFromParent_Done,
     /* 1668137 */   // Label 22917: @1668137
     /* 1668137 */   GIM_Try, /*On fail goto*//*Label 22918*/ GIMT_Encode4(1668223), // Rule ID 6207 //
     /* 1668142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668188 */     // MIs[0] policy
     /* 1668188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668198 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11512:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1668201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668222 */     // GIR_Coverage, 6207,
     /* 1668222 */     GIR_EraseRootFromParent_Done,
     /* 1668223 */   // Label 22918: @1668223
     /* 1668223 */   GIM_Try, /*On fail goto*//*Label 22919*/ GIMT_Encode4(1668309), // Rule ID 6210 //
     /* 1668228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1668239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1668242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1668245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668274 */     // MIs[0] policy
     /* 1668274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668284 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1668287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668308 */     // GIR_Coverage, 6210,
     /* 1668308 */     GIR_EraseRootFromParent_Done,
     /* 1668309 */   // Label 22919: @1668309
     /* 1668309 */   GIM_Try, /*On fail goto*//*Label 22920*/ GIMT_Encode4(1668395), // Rule ID 6211 //
     /* 1668314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1668325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1668328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1668331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668360 */     // MIs[0] policy
     /* 1668360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668370 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11512:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1668373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668394 */     // GIR_Coverage, 6211,
     /* 1668394 */     GIR_EraseRootFromParent_Done,
     /* 1668395 */   // Label 22920: @1668395
     /* 1668395 */   GIM_Try, /*On fail goto*//*Label 22921*/ GIMT_Encode4(1668481), // Rule ID 6214 //
     /* 1668400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1668411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1668414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1668417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668446 */     // MIs[0] policy
     /* 1668446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668456 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1668459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668480 */     // GIR_Coverage, 6214,
     /* 1668480 */     GIR_EraseRootFromParent_Done,
     /* 1668481 */   // Label 22921: @1668481
     /* 1668481 */   GIM_Try, /*On fail goto*//*Label 22922*/ GIMT_Encode4(1668567), // Rule ID 6215 //
     /* 1668486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1668497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1668500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1668503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668532 */     // MIs[0] policy
     /* 1668532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668542 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11512:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1668545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668566 */     // GIR_Coverage, 6215,
     /* 1668566 */     GIR_EraseRootFromParent_Done,
     /* 1668567 */   // Label 22922: @1668567
     /* 1668567 */   GIM_Try, /*On fail goto*//*Label 22923*/ GIMT_Encode4(1668653), // Rule ID 6306 //
     /* 1668572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1668583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1668586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1668589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1668592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668618 */     // MIs[0] policy
     /* 1668618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668628 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1668631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668652 */     // GIR_Coverage, 6306,
     /* 1668652 */     GIR_EraseRootFromParent_Done,
     /* 1668653 */   // Label 22923: @1668653
     /* 1668653 */   GIM_Try, /*On fail goto*//*Label 22924*/ GIMT_Encode4(1668739), // Rule ID 6307 //
     /* 1668658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1668669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1668672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1668675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1668678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668704 */     // MIs[0] policy
     /* 1668704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668714 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1668717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668738 */     // GIR_Coverage, 6307,
     /* 1668738 */     GIR_EraseRootFromParent_Done,
     /* 1668739 */   // Label 22924: @1668739
     /* 1668739 */   GIM_Try, /*On fail goto*//*Label 22925*/ GIMT_Encode4(1668825), // Rule ID 6310 //
     /* 1668744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1668755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1668758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1668761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1668764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668790 */     // MIs[0] policy
     /* 1668790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668800 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1668803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668824 */     // GIR_Coverage, 6310,
     /* 1668824 */     GIR_EraseRootFromParent_Done,
     /* 1668825 */   // Label 22925: @1668825
     /* 1668825 */   GIM_Try, /*On fail goto*//*Label 22926*/ GIMT_Encode4(1668911), // Rule ID 6311 //
     /* 1668830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1668841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1668844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1668847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1668850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668876 */     // MIs[0] policy
     /* 1668876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668886 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1668889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668910 */     // GIR_Coverage, 6311,
     /* 1668910 */     GIR_EraseRootFromParent_Done,
     /* 1668911 */   // Label 22926: @1668911
     /* 1668911 */   GIM_Try, /*On fail goto*//*Label 22927*/ GIMT_Encode4(1668997), // Rule ID 6314 //
     /* 1668916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1668927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1668930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1668933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1668936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668962 */     // MIs[0] policy
     /* 1668962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1668975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668996 */     // GIR_Coverage, 6314,
     /* 1668996 */     GIR_EraseRootFromParent_Done,
     /* 1668997 */   // Label 22927: @1668997
     /* 1668997 */   GIM_Try, /*On fail goto*//*Label 22928*/ GIMT_Encode4(1669083), // Rule ID 6315 //
     /* 1669002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1669013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1669016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1669019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1669022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669048 */     // MIs[0] policy
     /* 1669048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669058 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1669061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669082 */     // GIR_Coverage, 6315,
     /* 1669082 */     GIR_EraseRootFromParent_Done,
     /* 1669083 */   // Label 22928: @1669083
     /* 1669083 */   GIM_Try, /*On fail goto*//*Label 22929*/ GIMT_Encode4(1669169), // Rule ID 6318 //
     /* 1669088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1669099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1669102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1669105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1669108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669134 */     // MIs[0] policy
     /* 1669134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669144 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1669147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669168 */     // GIR_Coverage, 6318,
     /* 1669168 */     GIR_EraseRootFromParent_Done,
     /* 1669169 */   // Label 22929: @1669169
     /* 1669169 */   GIM_Try, /*On fail goto*//*Label 22930*/ GIMT_Encode4(1669255), // Rule ID 6319 //
     /* 1669174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1669185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1669188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1669191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1669194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669220 */     // MIs[0] policy
     /* 1669220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669230 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1669233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669254 */     // GIR_Coverage, 6319,
     /* 1669254 */     GIR_EraseRootFromParent_Done,
     /* 1669255 */   // Label 22930: @1669255
     /* 1669255 */   GIM_Try, /*On fail goto*//*Label 22931*/ GIMT_Encode4(1669341), // Rule ID 6322 //
     /* 1669260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1669271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1669274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1669277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1669280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669306 */     // MIs[0] policy
     /* 1669306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669316 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1669319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669340 */     // GIR_Coverage, 6322,
     /* 1669340 */     GIR_EraseRootFromParent_Done,
     /* 1669341 */   // Label 22931: @1669341
     /* 1669341 */   GIM_Try, /*On fail goto*//*Label 22932*/ GIMT_Encode4(1669427), // Rule ID 6323 //
     /* 1669346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1669357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1669360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1669363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1669366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669392 */     // MIs[0] policy
     /* 1669392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1669405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669426 */     // GIR_Coverage, 6323,
     /* 1669426 */     GIR_EraseRootFromParent_Done,
     /* 1669427 */   // Label 22932: @1669427
     /* 1669427 */   GIM_Try, /*On fail goto*//*Label 22933*/ GIMT_Encode4(1669513), // Rule ID 6326 //
     /* 1669432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1669443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1669446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1669449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1669452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669478 */     // MIs[0] policy
     /* 1669478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669488 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1669491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669512 */     // GIR_Coverage, 6326,
     /* 1669512 */     GIR_EraseRootFromParent_Done,
     /* 1669513 */   // Label 22933: @1669513
     /* 1669513 */   GIM_Try, /*On fail goto*//*Label 22934*/ GIMT_Encode4(1669599), // Rule ID 6327 //
     /* 1669518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1669529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1669532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1669535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1669538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669564 */     // MIs[0] policy
     /* 1669564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669574 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1669577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669598 */     // GIR_Coverage, 6327,
     /* 1669598 */     GIR_EraseRootFromParent_Done,
     /* 1669599 */   // Label 22934: @1669599
     /* 1669599 */   GIM_Try, /*On fail goto*//*Label 22935*/ GIMT_Encode4(1669685), // Rule ID 6330 //
     /* 1669604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1669615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1669618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1669621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1669624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669650 */     // MIs[0] policy
     /* 1669650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669684 */     // GIR_Coverage, 6330,
     /* 1669684 */     GIR_EraseRootFromParent_Done,
     /* 1669685 */   // Label 22935: @1669685
     /* 1669685 */   GIM_Try, /*On fail goto*//*Label 22936*/ GIMT_Encode4(1669771), // Rule ID 6331 //
     /* 1669690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1669701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1669704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1669707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1669710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669736 */     // MIs[0] policy
     /* 1669736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669746 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669770 */     // GIR_Coverage, 6331,
     /* 1669770 */     GIR_EraseRootFromParent_Done,
     /* 1669771 */   // Label 22936: @1669771
     /* 1669771 */   GIM_Try, /*On fail goto*//*Label 22937*/ GIMT_Encode4(1669857), // Rule ID 6334 //
     /* 1669776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1669787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1669790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1669793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1669796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669822 */     // MIs[0] policy
     /* 1669822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669856 */     // GIR_Coverage, 6334,
     /* 1669856 */     GIR_EraseRootFromParent_Done,
     /* 1669857 */   // Label 22937: @1669857
     /* 1669857 */   GIM_Try, /*On fail goto*//*Label 22938*/ GIMT_Encode4(1669943), // Rule ID 6335 //
     /* 1669862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1669873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1669876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1669879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1669882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669908 */     // MIs[0] policy
     /* 1669908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669918 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669942 */     // GIR_Coverage, 6335,
     /* 1669942 */     GIR_EraseRootFromParent_Done,
     /* 1669943 */   // Label 22938: @1669943
     /* 1669943 */   GIM_Try, /*On fail goto*//*Label 22939*/ GIMT_Encode4(1670029), // Rule ID 6338 //
     /* 1669948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1669959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1669962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1669965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1669968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669994 */     // MIs[0] policy
     /* 1669994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1670007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670028 */     // GIR_Coverage, 6338,
     /* 1670028 */     GIR_EraseRootFromParent_Done,
     /* 1670029 */   // Label 22939: @1670029
     /* 1670029 */   GIM_Try, /*On fail goto*//*Label 22940*/ GIMT_Encode4(1670115), // Rule ID 6339 //
     /* 1670034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1670045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1670048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1670051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1670054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670080 */     // MIs[0] policy
     /* 1670080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670090 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1670093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670114 */     // GIR_Coverage, 6339,
     /* 1670114 */     GIR_EraseRootFromParent_Done,
     /* 1670115 */   // Label 22940: @1670115
     /* 1670115 */   GIM_Try, /*On fail goto*//*Label 22941*/ GIMT_Encode4(1670201), // Rule ID 6342 //
     /* 1670120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1670123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1670131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1670134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1670137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1670140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670166 */     // MIs[0] policy
     /* 1670166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1670179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670200 */     // GIR_Coverage, 6342,
     /* 1670200 */     GIR_EraseRootFromParent_Done,
     /* 1670201 */   // Label 22941: @1670201
     /* 1670201 */   GIM_Try, /*On fail goto*//*Label 22942*/ GIMT_Encode4(1670287), // Rule ID 6343 //
     /* 1670206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1670209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1670217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1670220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1670223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1670226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670252 */     // MIs[0] policy
     /* 1670252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670262 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1670265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670286 */     // GIR_Coverage, 6343,
     /* 1670286 */     GIR_EraseRootFromParent_Done,
     /* 1670287 */   // Label 22942: @1670287
     /* 1670287 */   GIM_Try, /*On fail goto*//*Label 22943*/ GIMT_Encode4(1670373), // Rule ID 6346 //
     /* 1670292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1670303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1670306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1670309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1670312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670338 */     // MIs[0] policy
     /* 1670338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670348 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1670351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670372 */     // GIR_Coverage, 6346,
     /* 1670372 */     GIR_EraseRootFromParent_Done,
     /* 1670373 */   // Label 22943: @1670373
     /* 1670373 */   GIM_Try, /*On fail goto*//*Label 22944*/ GIMT_Encode4(1670459), // Rule ID 6347 //
     /* 1670378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1670389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1670392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1670395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1670398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670424 */     // MIs[0] policy
     /* 1670424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670434 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1670437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670458 */     // GIR_Coverage, 6347,
     /* 1670458 */     GIR_EraseRootFromParent_Done,
     /* 1670459 */   // Label 22944: @1670459
     /* 1670459 */   GIM_Try, /*On fail goto*//*Label 22945*/ GIMT_Encode4(1670545), // Rule ID 6350 //
     /* 1670464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1670478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1670481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1670484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670510 */     // MIs[0] policy
     /* 1670510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670520 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1670523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670544 */     // GIR_Coverage, 6350,
     /* 1670544 */     GIR_EraseRootFromParent_Done,
     /* 1670545 */   // Label 22945: @1670545
     /* 1670545 */   GIM_Try, /*On fail goto*//*Label 22946*/ GIMT_Encode4(1670631), // Rule ID 6351 //
     /* 1670550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1670564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1670567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1670570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670596 */     // MIs[0] policy
     /* 1670596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670606 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1670609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670630 */     // GIR_Coverage, 6351,
     /* 1670630 */     GIR_EraseRootFromParent_Done,
     /* 1670631 */   // Label 22946: @1670631
     /* 1670631 */   GIM_Try, /*On fail goto*//*Label 22947*/ GIMT_Encode4(1670717), // Rule ID 6354 //
     /* 1670636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1670647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1670650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1670653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1670656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1670659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670682 */     // MIs[0] policy
     /* 1670682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670692 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1670695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670716 */     // GIR_Coverage, 6354,
     /* 1670716 */     GIR_EraseRootFromParent_Done,
     /* 1670717 */   // Label 22947: @1670717
     /* 1670717 */   GIM_Try, /*On fail goto*//*Label 22948*/ GIMT_Encode4(1670803), // Rule ID 6355 //
     /* 1670722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1670733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1670736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1670739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1670742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1670745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670768 */     // MIs[0] policy
     /* 1670768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670778 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1670781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670802 */     // GIR_Coverage, 6355,
     /* 1670802 */     GIR_EraseRootFromParent_Done,
     /* 1670803 */   // Label 22948: @1670803
     /* 1670803 */   GIM_Try, /*On fail goto*//*Label 22949*/ GIMT_Encode4(1670889), // Rule ID 6358 //
     /* 1670808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1670819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1670822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1670825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1670828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670854 */     // MIs[0] policy
     /* 1670854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1670867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670888 */     // GIR_Coverage, 6358,
     /* 1670888 */     GIR_EraseRootFromParent_Done,
     /* 1670889 */   // Label 22949: @1670889
     /* 1670889 */   GIM_Try, /*On fail goto*//*Label 22950*/ GIMT_Encode4(1670975), // Rule ID 6359 //
     /* 1670894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1670905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1670908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1670911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1670914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670940 */     // MIs[0] policy
     /* 1670940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1670953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670974 */     // GIR_Coverage, 6359,
     /* 1670974 */     GIR_EraseRootFromParent_Done,
     /* 1670975 */   // Label 22950: @1670975
     /* 1670975 */   GIM_Try, /*On fail goto*//*Label 22951*/ GIMT_Encode4(1671061), // Rule ID 6362 //
     /* 1670980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1670991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1670994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1670997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1671000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671026 */     // MIs[0] policy
     /* 1671026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1671039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671060 */     // GIR_Coverage, 6362,
     /* 1671060 */     GIR_EraseRootFromParent_Done,
     /* 1671061 */   // Label 22951: @1671061
     /* 1671061 */   GIM_Try, /*On fail goto*//*Label 22952*/ GIMT_Encode4(1671147), // Rule ID 6363 //
     /* 1671066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1671077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1671080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1671083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1671086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671112 */     // MIs[0] policy
     /* 1671112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671122 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1671125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671146 */     // GIR_Coverage, 6363,
     /* 1671146 */     GIR_EraseRootFromParent_Done,
     /* 1671147 */   // Label 22952: @1671147
     /* 1671147 */   GIM_Try, /*On fail goto*//*Label 22953*/ GIMT_Encode4(1671233), // Rule ID 6366 //
     /* 1671152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1671172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671198 */     // MIs[0] policy
     /* 1671198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1671211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671232 */     // GIR_Coverage, 6366,
     /* 1671232 */     GIR_EraseRootFromParent_Done,
     /* 1671233 */   // Label 22953: @1671233
     /* 1671233 */   GIM_Try, /*On fail goto*//*Label 22954*/ GIMT_Encode4(1671319), // Rule ID 6367 //
     /* 1671238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1671258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671284 */     // MIs[0] policy
     /* 1671284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671294 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1671297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671318 */     // GIR_Coverage, 6367,
     /* 1671318 */     GIR_EraseRootFromParent_Done,
     /* 1671319 */   // Label 22954: @1671319
     /* 1671319 */   GIM_Try, /*On fail goto*//*Label 22955*/ GIMT_Encode4(1671405), // Rule ID 6370 //
     /* 1671324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1671335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1671338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1671341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1671344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671370 */     // MIs[0] policy
     /* 1671370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671380 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1671383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671404 */     // GIR_Coverage, 6370,
     /* 1671404 */     GIR_EraseRootFromParent_Done,
     /* 1671405 */   // Label 22955: @1671405
     /* 1671405 */   GIM_Try, /*On fail goto*//*Label 22956*/ GIMT_Encode4(1671491), // Rule ID 6371 //
     /* 1671410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1671421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1671424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1671427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1671430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671456 */     // MIs[0] policy
     /* 1671456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671466 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1671469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671490 */     // GIR_Coverage, 6371,
     /* 1671490 */     GIR_EraseRootFromParent_Done,
     /* 1671491 */   // Label 22956: @1671491
     /* 1671491 */   GIM_Try, /*On fail goto*//*Label 22957*/ GIMT_Encode4(1671577), // Rule ID 6374 //
     /* 1671496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1671507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1671510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1671513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1671516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671542 */     // MIs[0] policy
     /* 1671542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671552 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1671555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671576 */     // GIR_Coverage, 6374,
     /* 1671576 */     GIR_EraseRootFromParent_Done,
     /* 1671577 */   // Label 22957: @1671577
     /* 1671577 */   GIM_Try, /*On fail goto*//*Label 22958*/ GIMT_Encode4(1671663), // Rule ID 6375 //
     /* 1671582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1671593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1671596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1671599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1671602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671628 */     // MIs[0] policy
     /* 1671628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1671641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671662 */     // GIR_Coverage, 6375,
     /* 1671662 */     GIR_EraseRootFromParent_Done,
     /* 1671663 */   // Label 22958: @1671663
     /* 1671663 */   GIM_Try, /*On fail goto*//*Label 22959*/ GIMT_Encode4(1671749), // Rule ID 6378 //
     /* 1671668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1671679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1671682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1671685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1671688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671714 */     // MIs[0] policy
     /* 1671714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671724 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1671727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671748 */     // GIR_Coverage, 6378,
     /* 1671748 */     GIR_EraseRootFromParent_Done,
     /* 1671749 */   // Label 22959: @1671749
     /* 1671749 */   GIM_Try, /*On fail goto*//*Label 22960*/ GIMT_Encode4(1671835), // Rule ID 6379 //
     /* 1671754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1671765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1671768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1671771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1671774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671800 */     // MIs[0] policy
     /* 1671800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671810 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1671813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671834 */     // GIR_Coverage, 6379,
     /* 1671834 */     GIR_EraseRootFromParent_Done,
     /* 1671835 */   // Label 22960: @1671835
     /* 1671835 */   GIM_Try, /*On fail goto*//*Label 22961*/ GIMT_Encode4(1671921), // Rule ID 6382 //
     /* 1671840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1671843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1671851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1671854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1671857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1671860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671886 */     // MIs[0] policy
     /* 1671886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1671899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671920 */     // GIR_Coverage, 6382,
     /* 1671920 */     GIR_EraseRootFromParent_Done,
     /* 1671921 */   // Label 22961: @1671921
     /* 1671921 */   GIM_Try, /*On fail goto*//*Label 22962*/ GIMT_Encode4(1672007), // Rule ID 6383 //
     /* 1671926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1671929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1671937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1671940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1671943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1671946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671972 */     // MIs[0] policy
     /* 1671972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671982 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1671985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672006 */     // GIR_Coverage, 6383,
     /* 1672006 */     GIR_EraseRootFromParent_Done,
     /* 1672007 */   // Label 22962: @1672007
     /* 1672007 */   GIM_Try, /*On fail goto*//*Label 22963*/ GIMT_Encode4(1672093), // Rule ID 6386 //
     /* 1672012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1672032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672058 */     // MIs[0] policy
     /* 1672058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1672071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672092 */     // GIR_Coverage, 6386,
     /* 1672092 */     GIR_EraseRootFromParent_Done,
     /* 1672093 */   // Label 22963: @1672093
     /* 1672093 */   GIM_Try, /*On fail goto*//*Label 22964*/ GIMT_Encode4(1672179), // Rule ID 6387 //
     /* 1672098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1672118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672144 */     // MIs[0] policy
     /* 1672144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672154 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1672157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672178 */     // GIR_Coverage, 6387,
     /* 1672178 */     GIR_EraseRootFromParent_Done,
     /* 1672179 */   // Label 22964: @1672179
     /* 1672179 */   GIM_Try, /*On fail goto*//*Label 22965*/ GIMT_Encode4(1672265), // Rule ID 6390 //
     /* 1672184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1672195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1672198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1672201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1672204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672230 */     // MIs[0] policy
     /* 1672230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672240 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1672243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672264 */     // GIR_Coverage, 6390,
     /* 1672264 */     GIR_EraseRootFromParent_Done,
     /* 1672265 */   // Label 22965: @1672265
     /* 1672265 */   GIM_Try, /*On fail goto*//*Label 22966*/ GIMT_Encode4(1672351), // Rule ID 6391 //
     /* 1672270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1672281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1672284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1672287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1672290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672316 */     // MIs[0] policy
     /* 1672316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672326 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1672329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672350 */     // GIR_Coverage, 6391,
     /* 1672350 */     GIR_EraseRootFromParent_Done,
     /* 1672351 */   // Label 22966: @1672351
     /* 1672351 */   GIM_Try, /*On fail goto*//*Label 22967*/ GIMT_Encode4(1672437), // Rule ID 6394 //
     /* 1672356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1672367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1672370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1672373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672402 */     // MIs[0] policy
     /* 1672402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672412 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1672415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672436 */     // GIR_Coverage, 6394,
     /* 1672436 */     GIR_EraseRootFromParent_Done,
     /* 1672437 */   // Label 22967: @1672437
     /* 1672437 */   GIM_Try, /*On fail goto*//*Label 22968*/ GIMT_Encode4(1672523), // Rule ID 6395 //
     /* 1672442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1672453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1672456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1672459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672488 */     // MIs[0] policy
     /* 1672488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672498 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1672501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672522 */     // GIR_Coverage, 6395,
     /* 1672522 */     GIR_EraseRootFromParent_Done,
     /* 1672523 */   // Label 22968: @1672523
     /* 1672523 */   GIM_Try, /*On fail goto*//*Label 22969*/ GIMT_Encode4(1672609), // Rule ID 6398 //
     /* 1672528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1672539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1672542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1672545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672574 */     // MIs[0] policy
     /* 1672574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1672587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672608 */     // GIR_Coverage, 6398,
     /* 1672608 */     GIR_EraseRootFromParent_Done,
     /* 1672609 */   // Label 22969: @1672609
     /* 1672609 */   GIM_Try, /*On fail goto*//*Label 22970*/ GIMT_Encode4(1672695), // Rule ID 6399 //
     /* 1672614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1672625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1672628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1672631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672660 */     // MIs[0] policy
     /* 1672660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672670 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1672673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672694 */     // GIR_Coverage, 6399,
     /* 1672694 */     GIR_EraseRootFromParent_Done,
     /* 1672695 */   // Label 22970: @1672695
     /* 1672695 */   GIM_Try, /*On fail goto*//*Label 22971*/ GIMT_Encode4(1672781), // Rule ID 6402 //
     /* 1672700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1672711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1672714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1672717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672746 */     // MIs[0] policy
     /* 1672746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672756 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1672759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672780 */     // GIR_Coverage, 6402,
     /* 1672780 */     GIR_EraseRootFromParent_Done,
     /* 1672781 */   // Label 22971: @1672781
     /* 1672781 */   GIM_Try, /*On fail goto*//*Label 22972*/ GIMT_Encode4(1672867), // Rule ID 6403 //
     /* 1672786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1672797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1672800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1672803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672832 */     // MIs[0] policy
     /* 1672832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672842 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1672845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672866 */     // GIR_Coverage, 6403,
     /* 1672866 */     GIR_EraseRootFromParent_Done,
     /* 1672867 */   // Label 22972: @1672867
     /* 1672867 */   GIM_Try, /*On fail goto*//*Label 22973*/ GIMT_Encode4(1672953), // Rule ID 6406 //
     /* 1672872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1672883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1672886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1672889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672918 */     // MIs[0] policy
     /* 1672918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1672931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672952 */     // GIR_Coverage, 6406,
     /* 1672952 */     GIR_EraseRootFromParent_Done,
     /* 1672953 */   // Label 22973: @1672953
     /* 1672953 */   GIM_Try, /*On fail goto*//*Label 22974*/ GIMT_Encode4(1673039), // Rule ID 6407 //
     /* 1672958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1672969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1672972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1672975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673004 */     // MIs[0] policy
     /* 1673004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673014 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1673017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673038 */     // GIR_Coverage, 6407,
     /* 1673038 */     GIR_EraseRootFromParent_Done,
     /* 1673039 */   // Label 22974: @1673039
     /* 1673039 */   GIM_Try, /*On fail goto*//*Label 22975*/ GIMT_Encode4(1673125), // Rule ID 6410 //
     /* 1673044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673090 */     // MIs[0] policy
     /* 1673090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673100 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1673103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673124 */     // GIR_Coverage, 6410,
     /* 1673124 */     GIR_EraseRootFromParent_Done,
     /* 1673125 */   // Label 22975: @1673125
     /* 1673125 */   GIM_Try, /*On fail goto*//*Label 22976*/ GIMT_Encode4(1673211), // Rule ID 6411 //
     /* 1673130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673176 */     // MIs[0] policy
     /* 1673176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673186 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1673189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673210 */     // GIR_Coverage, 6411,
     /* 1673210 */     GIR_EraseRootFromParent_Done,
     /* 1673211 */   // Label 22976: @1673211
     /* 1673211 */   GIM_Try, /*On fail goto*//*Label 22977*/ GIMT_Encode4(1673297), // Rule ID 6414 //
     /* 1673216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1673227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1673230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1673233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673262 */     // MIs[0] policy
     /* 1673262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1673275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673296 */     // GIR_Coverage, 6414,
     /* 1673296 */     GIR_EraseRootFromParent_Done,
     /* 1673297 */   // Label 22977: @1673297
     /* 1673297 */   GIM_Try, /*On fail goto*//*Label 22978*/ GIMT_Encode4(1673383), // Rule ID 6415 //
     /* 1673302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1673313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1673316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1673319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673348 */     // MIs[0] policy
     /* 1673348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1673361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673382 */     // GIR_Coverage, 6415,
     /* 1673382 */     GIR_EraseRootFromParent_Done,
     /* 1673383 */   // Label 22978: @1673383
     /* 1673383 */   GIM_Try, /*On fail goto*//*Label 22979*/ GIMT_Encode4(1673469), // Rule ID 6418 //
     /* 1673388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1673399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1673402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1673405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673434 */     // MIs[0] policy
     /* 1673434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673468 */     // GIR_Coverage, 6418,
     /* 1673468 */     GIR_EraseRootFromParent_Done,
     /* 1673469 */   // Label 22979: @1673469
     /* 1673469 */   GIM_Try, /*On fail goto*//*Label 22980*/ GIMT_Encode4(1673555), // Rule ID 6419 //
     /* 1673474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1673485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1673488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1673491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673520 */     // MIs[0] policy
     /* 1673520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673530 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11692:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673554 */     // GIR_Coverage, 6419,
     /* 1673554 */     GIR_EraseRootFromParent_Done,
     /* 1673555 */   // Label 22980: @1673555
     /* 1673555 */   GIM_Try, /*On fail goto*//*Label 22981*/ GIMT_Encode4(1673641), // Rule ID 6422 //
     /* 1673560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1673571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1673574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1673577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673606 */     // MIs[0] policy
     /* 1673606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673640 */     // GIR_Coverage, 6422,
     /* 1673640 */     GIR_EraseRootFromParent_Done,
     /* 1673641 */   // Label 22981: @1673641
     /* 1673641 */   GIM_Try, /*On fail goto*//*Label 22982*/ GIMT_Encode4(1673727), // Rule ID 6423 //
     /* 1673646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1673657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1673660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1673663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673692 */     // MIs[0] policy
     /* 1673692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11692:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673726 */     // GIR_Coverage, 6423,
     /* 1673726 */     GIR_EraseRootFromParent_Done,
     /* 1673727 */   // Label 22982: @1673727
     /* 1673727 */   GIM_Try, /*On fail goto*//*Label 22983*/ GIMT_Encode4(1673813), // Rule ID 6426 //
     /* 1673732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1673743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1673746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1673749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673778 */     // MIs[0] policy
     /* 1673778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673788 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673812 */     // GIR_Coverage, 6426,
     /* 1673812 */     GIR_EraseRootFromParent_Done,
     /* 1673813 */   // Label 22983: @1673813
     /* 1673813 */   GIM_Try, /*On fail goto*//*Label 22984*/ GIMT_Encode4(1673899), // Rule ID 6427 //
     /* 1673818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1673829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1673832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1673835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673864 */     // MIs[0] policy
     /* 1673864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11692:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673898 */     // GIR_Coverage, 6427,
     /* 1673898 */     GIR_EraseRootFromParent_Done,
     /* 1673899 */   // Label 22984: @1673899
     /* 1673899 */   GIM_Try, /*On fail goto*//*Label 22985*/ GIMT_Encode4(1673985), // Rule ID 6430 //
     /* 1673904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1673907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1673915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1673918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1673921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673950 */     // MIs[0] policy
     /* 1673950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673984 */     // GIR_Coverage, 6430,
     /* 1673984 */     GIR_EraseRootFromParent_Done,
     /* 1673985 */   // Label 22985: @1673985
     /* 1673985 */   GIM_Try, /*On fail goto*//*Label 22986*/ GIMT_Encode4(1674071), // Rule ID 6431 //
     /* 1673990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1673993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674036 */     // MIs[0] policy
     /* 1674036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11692:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1674049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674070 */     // GIR_Coverage, 6431,
     /* 1674070 */     GIR_EraseRootFromParent_Done,
     /* 1674071 */   // Label 22986: @1674071
     /* 1674071 */   GIM_Try, /*On fail goto*//*Label 22987*/ GIMT_Encode4(1674157), // Rule ID 6434 //
     /* 1674076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674122 */     // MIs[0] policy
     /* 1674122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674132 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1674135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674156 */     // GIR_Coverage, 6434,
     /* 1674156 */     GIR_EraseRootFromParent_Done,
     /* 1674157 */   // Label 22987: @1674157
     /* 1674157 */   GIM_Try, /*On fail goto*//*Label 22988*/ GIMT_Encode4(1674243), // Rule ID 6435 //
     /* 1674162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674208 */     // MIs[0] policy
     /* 1674208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674218 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1674221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674242 */     // GIR_Coverage, 6435,
     /* 1674242 */     GIR_EraseRootFromParent_Done,
     /* 1674243 */   // Label 22988: @1674243
     /* 1674243 */   GIM_Try, /*On fail goto*//*Label 22989*/ GIMT_Encode4(1674329), // Rule ID 6438 //
     /* 1674248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1674259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1674262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1674265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674294 */     // MIs[0] policy
     /* 1674294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674304 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1674307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674328 */     // GIR_Coverage, 6438,
     /* 1674328 */     GIR_EraseRootFromParent_Done,
     /* 1674329 */   // Label 22989: @1674329
     /* 1674329 */   GIM_Try, /*On fail goto*//*Label 22990*/ GIMT_Encode4(1674415), // Rule ID 6439 //
     /* 1674334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1674345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1674348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1674351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674380 */     // MIs[0] policy
     /* 1674380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674390 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1674393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674414 */     // GIR_Coverage, 6439,
     /* 1674414 */     GIR_EraseRootFromParent_Done,
     /* 1674415 */   // Label 22990: @1674415
     /* 1674415 */   GIM_Try, /*On fail goto*//*Label 22991*/ GIMT_Encode4(1674501), // Rule ID 6442 //
     /* 1674420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1674431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1674434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1674437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1674443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674466 */     // MIs[0] policy
     /* 1674466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674476 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1674479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674500 */     // GIR_Coverage, 6442,
     /* 1674500 */     GIR_EraseRootFromParent_Done,
     /* 1674501 */   // Label 22991: @1674501
     /* 1674501 */   GIM_Try, /*On fail goto*//*Label 22992*/ GIMT_Encode4(1674587), // Rule ID 6443 //
     /* 1674506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1674517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1674520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1674523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1674529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674552 */     // MIs[0] policy
     /* 1674552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674562 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1674565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674586 */     // GIR_Coverage, 6443,
     /* 1674586 */     GIR_EraseRootFromParent_Done,
     /* 1674587 */   // Label 22992: @1674587
     /* 1674587 */   GIM_Try, /*On fail goto*//*Label 22993*/ GIMT_Encode4(1674673), // Rule ID 6446 //
     /* 1674592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1674603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1674606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1674609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674638 */     // MIs[0] policy
     /* 1674638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674648 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1674651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674672 */     // GIR_Coverage, 6446,
     /* 1674672 */     GIR_EraseRootFromParent_Done,
     /* 1674673 */   // Label 22993: @1674673
     /* 1674673 */   GIM_Try, /*On fail goto*//*Label 22994*/ GIMT_Encode4(1674759), // Rule ID 6447 //
     /* 1674678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1674689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1674692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1674695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674724 */     // MIs[0] policy
     /* 1674724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674734 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1674737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674758 */     // GIR_Coverage, 6447,
     /* 1674758 */     GIR_EraseRootFromParent_Done,
     /* 1674759 */   // Label 22994: @1674759
     /* 1674759 */   GIM_Try, /*On fail goto*//*Label 22995*/ GIMT_Encode4(1674845), // Rule ID 6450 //
     /* 1674764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1674775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1674778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1674781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674810 */     // MIs[0] policy
     /* 1674810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674820 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1674823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674844 */     // GIR_Coverage, 6450,
     /* 1674844 */     GIR_EraseRootFromParent_Done,
     /* 1674845 */   // Label 22995: @1674845
     /* 1674845 */   GIM_Try, /*On fail goto*//*Label 22996*/ GIMT_Encode4(1674931), // Rule ID 6451 //
     /* 1674850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1674861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1674864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1674867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674896 */     // MIs[0] policy
     /* 1674896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674906 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1674909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674930 */     // GIR_Coverage, 6451,
     /* 1674930 */     GIR_EraseRootFromParent_Done,
     /* 1674931 */   // Label 22996: @1674931
     /* 1674931 */   GIM_Try, /*On fail goto*//*Label 22997*/ GIMT_Encode4(1675017), // Rule ID 6454 //
     /* 1674936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1674947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1674950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1674953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674982 */     // MIs[0] policy
     /* 1674982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674992 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1674995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675016 */     // GIR_Coverage, 6454,
     /* 1675016 */     GIR_EraseRootFromParent_Done,
     /* 1675017 */   // Label 22997: @1675017
     /* 1675017 */   GIM_Try, /*On fail goto*//*Label 22998*/ GIMT_Encode4(1675103), // Rule ID 6455 //
     /* 1675022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675068 */     // MIs[0] policy
     /* 1675068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675078 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1675081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675102 */     // GIR_Coverage, 6455,
     /* 1675102 */     GIR_EraseRootFromParent_Done,
     /* 1675103 */   // Label 22998: @1675103
     /* 1675103 */   GIM_Try, /*On fail goto*//*Label 22999*/ GIMT_Encode4(1675189), // Rule ID 6458 //
     /* 1675108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675154 */     // MIs[0] policy
     /* 1675154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675164 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1675167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675188 */     // GIR_Coverage, 6458,
     /* 1675188 */     GIR_EraseRootFromParent_Done,
     /* 1675189 */   // Label 22999: @1675189
     /* 1675189 */   GIM_Try, /*On fail goto*//*Label 23000*/ GIMT_Encode4(1675275), // Rule ID 6459 //
     /* 1675194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675240 */     // MIs[0] policy
     /* 1675240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675250 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1675253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675274 */     // GIR_Coverage, 6459,
     /* 1675274 */     GIR_EraseRootFromParent_Done,
     /* 1675275 */   // Label 23000: @1675275
     /* 1675275 */   GIM_Try, /*On fail goto*//*Label 23001*/ GIMT_Encode4(1675361), // Rule ID 6462 //
     /* 1675280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1675291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1675294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1675297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675326 */     // MIs[0] policy
     /* 1675326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675336 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1675339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675360 */     // GIR_Coverage, 6462,
     /* 1675360 */     GIR_EraseRootFromParent_Done,
     /* 1675361 */   // Label 23001: @1675361
     /* 1675361 */   GIM_Try, /*On fail goto*//*Label 23002*/ GIMT_Encode4(1675447), // Rule ID 6463 //
     /* 1675366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1675377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1675380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1675383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675412 */     // MIs[0] policy
     /* 1675412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1675425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675446 */     // GIR_Coverage, 6463,
     /* 1675446 */     GIR_EraseRootFromParent_Done,
     /* 1675447 */   // Label 23002: @1675447
     /* 1675447 */   GIM_Try, /*On fail goto*//*Label 23003*/ GIMT_Encode4(1675533), // Rule ID 6466 //
     /* 1675452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1675463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1675466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1675469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675498 */     // MIs[0] policy
     /* 1675498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1675511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675532 */     // GIR_Coverage, 6466,
     /* 1675532 */     GIR_EraseRootFromParent_Done,
     /* 1675533 */   // Label 23003: @1675533
     /* 1675533 */   GIM_Try, /*On fail goto*//*Label 23004*/ GIMT_Encode4(1675619), // Rule ID 6467 //
     /* 1675538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1675549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1675552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1675555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675584 */     // MIs[0] policy
     /* 1675584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1675597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675618 */     // GIR_Coverage, 6467,
     /* 1675618 */     GIR_EraseRootFromParent_Done,
     /* 1675619 */   // Label 23004: @1675619
     /* 1675619 */   GIM_Try, /*On fail goto*//*Label 23005*/ GIMT_Encode4(1675705), // Rule ID 6470 //
     /* 1675624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1675627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1675635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1675638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1675641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675670 */     // MIs[0] policy
     /* 1675670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675680 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1675683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675704 */     // GIR_Coverage, 6470,
     /* 1675704 */     GIR_EraseRootFromParent_Done,
     /* 1675705 */   // Label 23005: @1675705
     /* 1675705 */   GIM_Try, /*On fail goto*//*Label 23006*/ GIMT_Encode4(1675791), // Rule ID 6471 //
     /* 1675710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1675713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1675721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1675724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1675727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675756 */     // MIs[0] policy
     /* 1675756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675766 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11692:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1675769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675790 */     // GIR_Coverage, 6471,
     /* 1675790 */     GIR_EraseRootFromParent_Done,
     /* 1675791 */   // Label 23006: @1675791
     /* 1675791 */   GIM_Try, /*On fail goto*//*Label 23007*/ GIMT_Encode4(1675877), // Rule ID 6474 //
     /* 1675796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1675799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1675807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1675810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1675813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675842 */     // MIs[0] policy
     /* 1675842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1675855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675876 */     // GIR_Coverage, 6474,
     /* 1675876 */     GIR_EraseRootFromParent_Done,
     /* 1675877 */   // Label 23007: @1675877
     /* 1675877 */   GIM_Try, /*On fail goto*//*Label 23008*/ GIMT_Encode4(1675963), // Rule ID 6475 //
     /* 1675882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1675885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1675893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1675896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1675899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675928 */     // MIs[0] policy
     /* 1675928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675938 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11692:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1675941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675962 */     // GIR_Coverage, 6475,
     /* 1675962 */     GIR_EraseRootFromParent_Done,
     /* 1675963 */   // Label 23008: @1675963
     /* 1675963 */   GIM_Try, /*On fail goto*//*Label 23009*/ GIMT_Encode4(1676049), // Rule ID 6478 //
     /* 1675968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1675971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1675979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1675982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1675985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676014 */     // MIs[0] policy
     /* 1676014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1676027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676048 */     // GIR_Coverage, 6478,
     /* 1676048 */     GIR_EraseRootFromParent_Done,
     /* 1676049 */   // Label 23009: @1676049
     /* 1676049 */   GIM_Try, /*On fail goto*//*Label 23010*/ GIMT_Encode4(1676135), // Rule ID 6479 //
     /* 1676054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676100 */     // MIs[0] policy
     /* 1676100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676110 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11692:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1676113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676134 */     // GIR_Coverage, 6479,
     /* 1676134 */     GIR_EraseRootFromParent_Done,
     /* 1676135 */   // Label 23010: @1676135
     /* 1676135 */   GIM_Try, /*On fail goto*//*Label 23011*/ GIMT_Encode4(1676221), // Rule ID 6570 //
     /* 1676140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1676151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1676154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1676157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1676160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676186 */     // MIs[0] policy
     /* 1676186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1676199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676220 */     // GIR_Coverage, 6570,
     /* 1676220 */     GIR_EraseRootFromParent_Done,
     /* 1676221 */   // Label 23011: @1676221
     /* 1676221 */   GIM_Try, /*On fail goto*//*Label 23012*/ GIMT_Encode4(1676307), // Rule ID 6571 //
     /* 1676226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1676237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1676240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1676243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1676246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676272 */     // MIs[0] policy
     /* 1676272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676282 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1676285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676306 */     // GIR_Coverage, 6571,
     /* 1676306 */     GIR_EraseRootFromParent_Done,
     /* 1676307 */   // Label 23012: @1676307
     /* 1676307 */   GIM_Try, /*On fail goto*//*Label 23013*/ GIMT_Encode4(1676393), // Rule ID 6574 //
     /* 1676312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1676323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1676326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1676329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1676332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676358 */     // MIs[0] policy
     /* 1676358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676368 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1676371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676392 */     // GIR_Coverage, 6574,
     /* 1676392 */     GIR_EraseRootFromParent_Done,
     /* 1676393 */   // Label 23013: @1676393
     /* 1676393 */   GIM_Try, /*On fail goto*//*Label 23014*/ GIMT_Encode4(1676479), // Rule ID 6575 //
     /* 1676398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1676409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1676412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1676415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1676418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676444 */     // MIs[0] policy
     /* 1676444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676454 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1676457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676478 */     // GIR_Coverage, 6575,
     /* 1676478 */     GIR_EraseRootFromParent_Done,
     /* 1676479 */   // Label 23014: @1676479
     /* 1676479 */   GIM_Try, /*On fail goto*//*Label 23015*/ GIMT_Encode4(1676565), // Rule ID 6578 //
     /* 1676484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1676495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1676498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1676501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1676504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676530 */     // MIs[0] policy
     /* 1676530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676540 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1676543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676564 */     // GIR_Coverage, 6578,
     /* 1676564 */     GIR_EraseRootFromParent_Done,
     /* 1676565 */   // Label 23015: @1676565
     /* 1676565 */   GIM_Try, /*On fail goto*//*Label 23016*/ GIMT_Encode4(1676651), // Rule ID 6579 //
     /* 1676570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1676581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1676584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1676587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1676590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676616 */     // MIs[0] policy
     /* 1676616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676626 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1676629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676650 */     // GIR_Coverage, 6579,
     /* 1676650 */     GIR_EraseRootFromParent_Done,
     /* 1676651 */   // Label 23016: @1676651
     /* 1676651 */   GIM_Try, /*On fail goto*//*Label 23017*/ GIMT_Encode4(1676737), // Rule ID 6582 //
     /* 1676656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1676667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1676670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1676673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1676676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676702 */     // MIs[0] policy
     /* 1676702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676712 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1676715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676736 */     // GIR_Coverage, 6582,
     /* 1676736 */     GIR_EraseRootFromParent_Done,
     /* 1676737 */   // Label 23017: @1676737
     /* 1676737 */   GIM_Try, /*On fail goto*//*Label 23018*/ GIMT_Encode4(1676823), // Rule ID 6583 //
     /* 1676742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1676753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1676756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1676759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1676762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676788 */     // MIs[0] policy
     /* 1676788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676798 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1676801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676822 */     // GIR_Coverage, 6583,
     /* 1676822 */     GIR_EraseRootFromParent_Done,
     /* 1676823 */   // Label 23018: @1676823
     /* 1676823 */   GIM_Try, /*On fail goto*//*Label 23019*/ GIMT_Encode4(1676909), // Rule ID 6586 //
     /* 1676828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1676839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1676842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1676845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1676848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676874 */     // MIs[0] policy
     /* 1676874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676884 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1676887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676908 */     // GIR_Coverage, 6586,
     /* 1676908 */     GIR_EraseRootFromParent_Done,
     /* 1676909 */   // Label 23019: @1676909
     /* 1676909 */   GIM_Try, /*On fail goto*//*Label 23020*/ GIMT_Encode4(1676995), // Rule ID 6587 //
     /* 1676914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1676925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1676928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1676931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1676934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676960 */     // MIs[0] policy
     /* 1676960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676970 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1676973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676994 */     // GIR_Coverage, 6587,
     /* 1676994 */     GIR_EraseRootFromParent_Done,
     /* 1676995 */   // Label 23020: @1676995
     /* 1676995 */   GIM_Try, /*On fail goto*//*Label 23021*/ GIMT_Encode4(1677081), // Rule ID 6590 //
     /* 1677000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1677020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677046 */     // MIs[0] policy
     /* 1677046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677056 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1677059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677080 */     // GIR_Coverage, 6590,
     /* 1677080 */     GIR_EraseRootFromParent_Done,
     /* 1677081 */   // Label 23021: @1677081
     /* 1677081 */   GIM_Try, /*On fail goto*//*Label 23022*/ GIMT_Encode4(1677167), // Rule ID 6591 //
     /* 1677086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1677106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677132 */     // MIs[0] policy
     /* 1677132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677142 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1677145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677166 */     // GIR_Coverage, 6591,
     /* 1677166 */     GIR_EraseRootFromParent_Done,
     /* 1677167 */   // Label 23022: @1677167
     /* 1677167 */   GIM_Try, /*On fail goto*//*Label 23023*/ GIMT_Encode4(1677253), // Rule ID 6594 //
     /* 1677172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1677183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1677186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1677189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1677192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677218 */     // MIs[0] policy
     /* 1677218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1677231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677252 */     // GIR_Coverage, 6594,
     /* 1677252 */     GIR_EraseRootFromParent_Done,
     /* 1677253 */   // Label 23023: @1677253
     /* 1677253 */   GIM_Try, /*On fail goto*//*Label 23024*/ GIMT_Encode4(1677339), // Rule ID 6595 //
     /* 1677258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1677269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1677272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1677275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1677278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677304 */     // MIs[0] policy
     /* 1677304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677314 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1677317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677338 */     // GIR_Coverage, 6595,
     /* 1677338 */     GIR_EraseRootFromParent_Done,
     /* 1677339 */   // Label 23024: @1677339
     /* 1677339 */   GIM_Try, /*On fail goto*//*Label 23025*/ GIMT_Encode4(1677425), // Rule ID 6598 //
     /* 1677344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1677355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1677358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1677361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1677364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677390 */     // MIs[0] policy
     /* 1677390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677400 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1677403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677424 */     // GIR_Coverage, 6598,
     /* 1677424 */     GIR_EraseRootFromParent_Done,
     /* 1677425 */   // Label 23025: @1677425
     /* 1677425 */   GIM_Try, /*On fail goto*//*Label 23026*/ GIMT_Encode4(1677511), // Rule ID 6599 //
     /* 1677430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1677441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1677444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1677447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1677450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677476 */     // MIs[0] policy
     /* 1677476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677486 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1677489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677510 */     // GIR_Coverage, 6599,
     /* 1677510 */     GIR_EraseRootFromParent_Done,
     /* 1677511 */   // Label 23026: @1677511
     /* 1677511 */   GIM_Try, /*On fail goto*//*Label 23027*/ GIMT_Encode4(1677597), // Rule ID 6602 //
     /* 1677516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1677527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1677530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1677533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1677536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677562 */     // MIs[0] policy
     /* 1677562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1677575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677596 */     // GIR_Coverage, 6602,
     /* 1677596 */     GIR_EraseRootFromParent_Done,
     /* 1677597 */   // Label 23027: @1677597
     /* 1677597 */   GIM_Try, /*On fail goto*//*Label 23028*/ GIMT_Encode4(1677683), // Rule ID 6603 //
     /* 1677602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1677613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1677616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1677619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1677622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677648 */     // MIs[0] policy
     /* 1677648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1677661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677682 */     // GIR_Coverage, 6603,
     /* 1677682 */     GIR_EraseRootFromParent_Done,
     /* 1677683 */   // Label 23028: @1677683
     /* 1677683 */   GIM_Try, /*On fail goto*//*Label 23029*/ GIMT_Encode4(1677769), // Rule ID 6606 //
     /* 1677688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1677691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1677699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1677702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1677705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1677708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677734 */     // MIs[0] policy
     /* 1677734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1677747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677768 */     // GIR_Coverage, 6606,
     /* 1677768 */     GIR_EraseRootFromParent_Done,
     /* 1677769 */   // Label 23029: @1677769
     /* 1677769 */   GIM_Try, /*On fail goto*//*Label 23030*/ GIMT_Encode4(1677855), // Rule ID 6607 //
     /* 1677774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1677777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1677785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1677788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1677791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1677794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677820 */     // MIs[0] policy
     /* 1677820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677830 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1677833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677854 */     // GIR_Coverage, 6607,
     /* 1677854 */     GIR_EraseRootFromParent_Done,
     /* 1677855 */   // Label 23030: @1677855
     /* 1677855 */   GIM_Try, /*On fail goto*//*Label 23031*/ GIMT_Encode4(1677941), // Rule ID 6610 //
     /* 1677860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1677871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1677874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1677877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1677880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1677883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677906 */     // MIs[0] policy
     /* 1677906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677916 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1677919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677940 */     // GIR_Coverage, 6610,
     /* 1677940 */     GIR_EraseRootFromParent_Done,
     /* 1677941 */   // Label 23031: @1677941
     /* 1677941 */   GIM_Try, /*On fail goto*//*Label 23032*/ GIMT_Encode4(1678027), // Rule ID 6611 //
     /* 1677946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1677957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1677960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1677963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1677966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1677969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677992 */     // MIs[0] policy
     /* 1677992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678002 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1678005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678026 */     // GIR_Coverage, 6611,
     /* 1678026 */     GIR_EraseRootFromParent_Done,
     /* 1678027 */   // Label 23032: @1678027
     /* 1678027 */   GIM_Try, /*On fail goto*//*Label 23033*/ GIMT_Encode4(1678113), // Rule ID 6614 //
     /* 1678032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1678052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678078 */     // MIs[0] policy
     /* 1678078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678088 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1678091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678112 */     // GIR_Coverage, 6614,
     /* 1678112 */     GIR_EraseRootFromParent_Done,
     /* 1678113 */   // Label 23033: @1678113
     /* 1678113 */   GIM_Try, /*On fail goto*//*Label 23034*/ GIMT_Encode4(1678199), // Rule ID 6615 //
     /* 1678118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1678138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678164 */     // MIs[0] policy
     /* 1678164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678174 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1678177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678198 */     // GIR_Coverage, 6615,
     /* 1678198 */     GIR_EraseRootFromParent_Done,
     /* 1678199 */   // Label 23034: @1678199
     /* 1678199 */   GIM_Try, /*On fail goto*//*Label 23035*/ GIMT_Encode4(1678285), // Rule ID 6618 //
     /* 1678204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1678215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1678218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1678221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1678224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1678227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678250 */     // MIs[0] policy
     /* 1678250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678260 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1678263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678284 */     // GIR_Coverage, 6618,
     /* 1678284 */     GIR_EraseRootFromParent_Done,
     /* 1678285 */   // Label 23035: @1678285
     /* 1678285 */   GIM_Try, /*On fail goto*//*Label 23036*/ GIMT_Encode4(1678371), // Rule ID 6619 //
     /* 1678290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1678301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1678304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1678307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1678310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1678313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678336 */     // MIs[0] policy
     /* 1678336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678346 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1678349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678370 */     // GIR_Coverage, 6619,
     /* 1678370 */     GIR_EraseRootFromParent_Done,
     /* 1678371 */   // Label 23036: @1678371
     /* 1678371 */   GIM_Try, /*On fail goto*//*Label 23037*/ GIMT_Encode4(1678457), // Rule ID 6622 //
     /* 1678376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1678387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1678390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1678393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1678396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678422 */     // MIs[0] policy
     /* 1678422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678432 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1678435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678456 */     // GIR_Coverage, 6622,
     /* 1678456 */     GIR_EraseRootFromParent_Done,
     /* 1678457 */   // Label 23037: @1678457
     /* 1678457 */   GIM_Try, /*On fail goto*//*Label 23038*/ GIMT_Encode4(1678543), // Rule ID 6623 //
     /* 1678462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1678473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1678476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1678479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1678482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678508 */     // MIs[0] policy
     /* 1678508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678518 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1678521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678542 */     // GIR_Coverage, 6623,
     /* 1678542 */     GIR_EraseRootFromParent_Done,
     /* 1678543 */   // Label 23038: @1678543
     /* 1678543 */   GIM_Try, /*On fail goto*//*Label 23039*/ GIMT_Encode4(1678629), // Rule ID 6626 //
     /* 1678548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1678559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1678562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1678565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1678568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678594 */     // MIs[0] policy
     /* 1678594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678604 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1678607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678628 */     // GIR_Coverage, 6626,
     /* 1678628 */     GIR_EraseRootFromParent_Done,
     /* 1678629 */   // Label 23039: @1678629
     /* 1678629 */   GIM_Try, /*On fail goto*//*Label 23040*/ GIMT_Encode4(1678715), // Rule ID 6627 //
     /* 1678634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1678645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1678648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1678651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1678654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678680 */     // MIs[0] policy
     /* 1678680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678690 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1678693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678714 */     // GIR_Coverage, 6627,
     /* 1678714 */     GIR_EraseRootFromParent_Done,
     /* 1678715 */   // Label 23040: @1678715
     /* 1678715 */   GIM_Try, /*On fail goto*//*Label 23041*/ GIMT_Encode4(1678801), // Rule ID 6630 //
     /* 1678720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1678731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1678734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1678737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1678740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678766 */     // MIs[0] policy
     /* 1678766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678776 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1678779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678800 */     // GIR_Coverage, 6630,
     /* 1678800 */     GIR_EraseRootFromParent_Done,
     /* 1678801 */   // Label 23041: @1678801
     /* 1678801 */   GIM_Try, /*On fail goto*//*Label 23042*/ GIMT_Encode4(1678887), // Rule ID 6631 //
     /* 1678806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1678817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1678820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1678823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1678826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678852 */     // MIs[0] policy
     /* 1678852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1678865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678886 */     // GIR_Coverage, 6631,
     /* 1678886 */     GIR_EraseRootFromParent_Done,
     /* 1678887 */   // Label 23042: @1678887
     /* 1678887 */   GIM_Try, /*On fail goto*//*Label 23043*/ GIMT_Encode4(1678973), // Rule ID 6634 //
     /* 1678892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1678903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1678906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1678909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1678912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678938 */     // MIs[0] policy
     /* 1678938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678948 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1678951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678972 */     // GIR_Coverage, 6634,
     /* 1678972 */     GIR_EraseRootFromParent_Done,
     /* 1678973 */   // Label 23043: @1678973
     /* 1678973 */   GIM_Try, /*On fail goto*//*Label 23044*/ GIMT_Encode4(1679059), // Rule ID 6635 //
     /* 1678978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1678989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1678992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1678995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1678998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679024 */     // MIs[0] policy
     /* 1679024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679034 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1679037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679058 */     // GIR_Coverage, 6635,
     /* 1679058 */     GIR_EraseRootFromParent_Done,
     /* 1679059 */   // Label 23044: @1679059
     /* 1679059 */   GIM_Try, /*On fail goto*//*Label 23045*/ GIMT_Encode4(1679145), // Rule ID 6638 //
     /* 1679064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1679084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679110 */     // MIs[0] policy
     /* 1679110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679120 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1679123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679144 */     // GIR_Coverage, 6638,
     /* 1679144 */     GIR_EraseRootFromParent_Done,
     /* 1679145 */   // Label 23045: @1679145
     /* 1679145 */   GIM_Try, /*On fail goto*//*Label 23046*/ GIMT_Encode4(1679231), // Rule ID 6639 //
     /* 1679150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1679170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679196 */     // MIs[0] policy
     /* 1679196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1679209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679230 */     // GIR_Coverage, 6639,
     /* 1679230 */     GIR_EraseRootFromParent_Done,
     /* 1679231 */   // Label 23046: @1679231
     /* 1679231 */   GIM_Try, /*On fail goto*//*Label 23047*/ GIMT_Encode4(1679317), // Rule ID 6642 //
     /* 1679236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1679247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1679250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1679253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1679256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679282 */     // MIs[0] policy
     /* 1679282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1679295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679316 */     // GIR_Coverage, 6642,
     /* 1679316 */     GIR_EraseRootFromParent_Done,
     /* 1679317 */   // Label 23047: @1679317
     /* 1679317 */   GIM_Try, /*On fail goto*//*Label 23048*/ GIMT_Encode4(1679403), // Rule ID 6643 //
     /* 1679322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1679333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1679336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1679339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1679342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679368 */     // MIs[0] policy
     /* 1679368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679378 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1679381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679402 */     // GIR_Coverage, 6643,
     /* 1679402 */     GIR_EraseRootFromParent_Done,
     /* 1679403 */   // Label 23048: @1679403
     /* 1679403 */   GIM_Try, /*On fail goto*//*Label 23049*/ GIMT_Encode4(1679489), // Rule ID 6646 //
     /* 1679408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1679419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1679422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1679425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1679428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679454 */     // MIs[0] policy
     /* 1679454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679464 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1679467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679488 */     // GIR_Coverage, 6646,
     /* 1679488 */     GIR_EraseRootFromParent_Done,
     /* 1679489 */   // Label 23049: @1679489
     /* 1679489 */   GIM_Try, /*On fail goto*//*Label 23050*/ GIMT_Encode4(1679575), // Rule ID 6647 //
     /* 1679494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1679505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1679508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1679511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1679514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679540 */     // MIs[0] policy
     /* 1679540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679550 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1679553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679574 */     // GIR_Coverage, 6647,
     /* 1679574 */     GIR_EraseRootFromParent_Done,
     /* 1679575 */   // Label 23050: @1679575
     /* 1679575 */   GIM_Try, /*On fail goto*//*Label 23051*/ GIMT_Encode4(1679661), // Rule ID 6650 //
     /* 1679580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1679591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1679594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1679597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1679600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679626 */     // MIs[0] policy
     /* 1679626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1679639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679660 */     // GIR_Coverage, 6650,
     /* 1679660 */     GIR_EraseRootFromParent_Done,
     /* 1679661 */   // Label 23051: @1679661
     /* 1679661 */   GIM_Try, /*On fail goto*//*Label 23052*/ GIMT_Encode4(1679747), // Rule ID 6651 //
     /* 1679666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1679677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1679680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1679683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1679686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679712 */     // MIs[0] policy
     /* 1679712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679722 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1679725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679746 */     // GIR_Coverage, 6651,
     /* 1679746 */     GIR_EraseRootFromParent_Done,
     /* 1679747 */   // Label 23052: @1679747
     /* 1679747 */   GIM_Try, /*On fail goto*//*Label 23053*/ GIMT_Encode4(1679833), // Rule ID 6654 //
     /* 1679752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1679763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1679766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1679769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1679772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679798 */     // MIs[0] policy
     /* 1679798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679808 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1679811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679832 */     // GIR_Coverage, 6654,
     /* 1679832 */     GIR_EraseRootFromParent_Done,
     /* 1679833 */   // Label 23053: @1679833
     /* 1679833 */   GIM_Try, /*On fail goto*//*Label 23054*/ GIMT_Encode4(1679919), // Rule ID 6655 //
     /* 1679838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1679849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1679852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1679855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1679858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679884 */     // MIs[0] policy
     /* 1679884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679894 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1679897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679918 */     // GIR_Coverage, 6655,
     /* 1679918 */     GIR_EraseRootFromParent_Done,
     /* 1679919 */   // Label 23054: @1679919
     /* 1679919 */   GIM_Try, /*On fail goto*//*Label 23055*/ GIMT_Encode4(1680005), // Rule ID 6658 //
     /* 1679924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1679935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1679938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1679941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679970 */     // MIs[0] policy
     /* 1679970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679980 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1679983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680004 */     // GIR_Coverage, 6658,
     /* 1680004 */     GIR_EraseRootFromParent_Done,
     /* 1680005 */   // Label 23055: @1680005
     /* 1680005 */   GIM_Try, /*On fail goto*//*Label 23056*/ GIMT_Encode4(1680091), // Rule ID 6659 //
     /* 1680010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1680021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1680024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1680027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680056 */     // MIs[0] policy
     /* 1680056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680066 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1680069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680090 */     // GIR_Coverage, 6659,
     /* 1680090 */     GIR_EraseRootFromParent_Done,
     /* 1680091 */   // Label 23056: @1680091
     /* 1680091 */   GIM_Try, /*On fail goto*//*Label 23057*/ GIMT_Encode4(1680177), // Rule ID 6662 //
     /* 1680096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1680107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1680110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1680113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680142 */     // MIs[0] policy
     /* 1680142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680152 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1680155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680176 */     // GIR_Coverage, 6662,
     /* 1680176 */     GIR_EraseRootFromParent_Done,
     /* 1680177 */   // Label 23057: @1680177
     /* 1680177 */   GIM_Try, /*On fail goto*//*Label 23058*/ GIMT_Encode4(1680263), // Rule ID 6663 //
     /* 1680182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1680193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1680196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1680199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680228 */     // MIs[0] policy
     /* 1680228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680238 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1680241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680262 */     // GIR_Coverage, 6663,
     /* 1680262 */     GIR_EraseRootFromParent_Done,
     /* 1680263 */   // Label 23058: @1680263
     /* 1680263 */   GIM_Try, /*On fail goto*//*Label 23059*/ GIMT_Encode4(1680349), // Rule ID 6666 //
     /* 1680268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1680279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1680282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1680285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680314 */     // MIs[0] policy
     /* 1680314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680324 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1680327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680348 */     // GIR_Coverage, 6666,
     /* 1680348 */     GIR_EraseRootFromParent_Done,
     /* 1680349 */   // Label 23059: @1680349
     /* 1680349 */   GIM_Try, /*On fail goto*//*Label 23060*/ GIMT_Encode4(1680435), // Rule ID 6667 //
     /* 1680354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1680365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1680368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1680371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680400 */     // MIs[0] policy
     /* 1680400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680410 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1680413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680434 */     // GIR_Coverage, 6667,
     /* 1680434 */     GIR_EraseRootFromParent_Done,
     /* 1680435 */   // Label 23060: @1680435
     /* 1680435 */   GIM_Try, /*On fail goto*//*Label 23061*/ GIMT_Encode4(1680521), // Rule ID 6670 //
     /* 1680440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1680451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1680454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1680457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680486 */     // MIs[0] policy
     /* 1680486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680496 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1680499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680520 */     // GIR_Coverage, 6670,
     /* 1680520 */     GIR_EraseRootFromParent_Done,
     /* 1680521 */   // Label 23061: @1680521
     /* 1680521 */   GIM_Try, /*On fail goto*//*Label 23062*/ GIMT_Encode4(1680607), // Rule ID 6671 //
     /* 1680526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1680537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1680540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1680543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680572 */     // MIs[0] policy
     /* 1680572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680582 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1680585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680606 */     // GIR_Coverage, 6671,
     /* 1680606 */     GIR_EraseRootFromParent_Done,
     /* 1680607 */   // Label 23062: @1680607
     /* 1680607 */   GIM_Try, /*On fail goto*//*Label 23063*/ GIMT_Encode4(1680693), // Rule ID 6674 //
     /* 1680612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1680623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1680626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1680629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680658 */     // MIs[0] policy
     /* 1680658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680668 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1680671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680692 */     // GIR_Coverage, 6674,
     /* 1680692 */     GIR_EraseRootFromParent_Done,
     /* 1680693 */   // Label 23063: @1680693
     /* 1680693 */   GIM_Try, /*On fail goto*//*Label 23064*/ GIMT_Encode4(1680779), // Rule ID 6675 //
     /* 1680698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1680709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1680712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1680715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680744 */     // MIs[0] policy
     /* 1680744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680754 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1680757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680778 */     // GIR_Coverage, 6675,
     /* 1680778 */     GIR_EraseRootFromParent_Done,
     /* 1680779 */   // Label 23064: @1680779
     /* 1680779 */   GIM_Try, /*On fail goto*//*Label 23065*/ GIMT_Encode4(1680865), // Rule ID 6678 //
     /* 1680784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1680795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1680798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1680801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680830 */     // MIs[0] policy
     /* 1680830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680840 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1680843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680864 */     // GIR_Coverage, 6678,
     /* 1680864 */     GIR_EraseRootFromParent_Done,
     /* 1680865 */   // Label 23065: @1680865
     /* 1680865 */   GIM_Try, /*On fail goto*//*Label 23066*/ GIMT_Encode4(1680951), // Rule ID 6679 //
     /* 1680870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1680881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1680884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1680887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680916 */     // MIs[0] policy
     /* 1680916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680926 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1680929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680950 */     // GIR_Coverage, 6679,
     /* 1680950 */     GIR_EraseRootFromParent_Done,
     /* 1680951 */   // Label 23066: @1680951
     /* 1680951 */   GIM_Try, /*On fail goto*//*Label 23067*/ GIMT_Encode4(1681037), // Rule ID 6682 //
     /* 1680956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1680967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1680970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1680973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681002 */     // MIs[0] policy
     /* 1681002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681012 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1681015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681036 */     // GIR_Coverage, 6682,
     /* 1681036 */     GIR_EraseRootFromParent_Done,
     /* 1681037 */   // Label 23067: @1681037
     /* 1681037 */   GIM_Try, /*On fail goto*//*Label 23068*/ GIMT_Encode4(1681123), // Rule ID 6683 //
     /* 1681042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1681053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1681056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1681059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681088 */     // MIs[0] policy
     /* 1681088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681098 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11570:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1681101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681122 */     // GIR_Coverage, 6683,
     /* 1681122 */     GIR_EraseRootFromParent_Done,
     /* 1681123 */   // Label 23068: @1681123
     /* 1681123 */   GIM_Try, /*On fail goto*//*Label 23069*/ GIMT_Encode4(1681209), // Rule ID 6686 //
     /* 1681128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1681139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1681142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1681145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681174 */     // MIs[0] policy
     /* 1681174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1681187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681208 */     // GIR_Coverage, 6686,
     /* 1681208 */     GIR_EraseRootFromParent_Done,
     /* 1681209 */   // Label 23069: @1681209
     /* 1681209 */   GIM_Try, /*On fail goto*//*Label 23070*/ GIMT_Encode4(1681295), // Rule ID 6687 //
     /* 1681214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1681225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1681228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1681231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681260 */     // MIs[0] policy
     /* 1681260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681270 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1681273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681294 */     // GIR_Coverage, 6687,
     /* 1681294 */     GIR_EraseRootFromParent_Done,
     /* 1681295 */   // Label 23070: @1681295
     /* 1681295 */   GIM_Try, /*On fail goto*//*Label 23071*/ GIMT_Encode4(1681381), // Rule ID 6690 //
     /* 1681300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1681311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1681314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1681317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681346 */     // MIs[0] policy
     /* 1681346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1681359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681380 */     // GIR_Coverage, 6690,
     /* 1681380 */     GIR_EraseRootFromParent_Done,
     /* 1681381 */   // Label 23071: @1681381
     /* 1681381 */   GIM_Try, /*On fail goto*//*Label 23072*/ GIMT_Encode4(1681467), // Rule ID 6691 //
     /* 1681386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1681397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1681400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1681403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681432 */     // MIs[0] policy
     /* 1681432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1681445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681466 */     // GIR_Coverage, 6691,
     /* 1681466 */     GIR_EraseRootFromParent_Done,
     /* 1681467 */   // Label 23072: @1681467
     /* 1681467 */   GIM_Try, /*On fail goto*//*Label 23073*/ GIMT_Encode4(1681553), // Rule ID 6694 //
     /* 1681472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1681475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1681483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1681486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1681489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681518 */     // MIs[0] policy
     /* 1681518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681528 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1681531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681552 */     // GIR_Coverage, 6694,
     /* 1681552 */     GIR_EraseRootFromParent_Done,
     /* 1681553 */   // Label 23073: @1681553
     /* 1681553 */   GIM_Try, /*On fail goto*//*Label 23074*/ GIMT_Encode4(1681639), // Rule ID 6695 //
     /* 1681558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1681561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1681569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1681572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1681575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681604 */     // MIs[0] policy
     /* 1681604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681614 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1681617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681638 */     // GIR_Coverage, 6695,
     /* 1681638 */     GIR_EraseRootFromParent_Done,
     /* 1681639 */   // Label 23074: @1681639
     /* 1681639 */   GIM_Try, /*On fail goto*//*Label 23075*/ GIMT_Encode4(1681725), // Rule ID 6698 //
     /* 1681644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1681655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1681658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1681661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1681667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681690 */     // MIs[0] policy
     /* 1681690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681700 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1681703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681724 */     // GIR_Coverage, 6698,
     /* 1681724 */     GIR_EraseRootFromParent_Done,
     /* 1681725 */   // Label 23075: @1681725
     /* 1681725 */   GIM_Try, /*On fail goto*//*Label 23076*/ GIMT_Encode4(1681811), // Rule ID 6699 //
     /* 1681730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1681741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1681744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1681747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1681753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681776 */     // MIs[0] policy
     /* 1681776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681786 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1681789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681810 */     // GIR_Coverage, 6699,
     /* 1681810 */     GIR_EraseRootFromParent_Done,
     /* 1681811 */   // Label 23076: @1681811
     /* 1681811 */   GIM_Try, /*On fail goto*//*Label 23077*/ GIMT_Encode4(1681897), // Rule ID 6702 //
     /* 1681816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1681827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1681830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1681833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1681839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681862 */     // MIs[0] policy
     /* 1681862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681872 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1681875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681896 */     // GIR_Coverage, 6702,
     /* 1681896 */     GIR_EraseRootFromParent_Done,
     /* 1681897 */   // Label 23077: @1681897
     /* 1681897 */   GIM_Try, /*On fail goto*//*Label 23078*/ GIMT_Encode4(1681983), // Rule ID 6703 //
     /* 1681902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1681913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1681916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1681919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1681925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681948 */     // MIs[0] policy
     /* 1681948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681958 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1681961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681982 */     // GIR_Coverage, 6703,
     /* 1681982 */     GIR_EraseRootFromParent_Done,
     /* 1681983 */   // Label 23078: @1681983
     /* 1681983 */   GIM_Try, /*On fail goto*//*Label 23079*/ GIMT_Encode4(1682069), // Rule ID 6706 //
     /* 1681988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1681999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682034 */     // MIs[0] policy
     /* 1682034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682044 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1682047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682068 */     // GIR_Coverage, 6706,
     /* 1682068 */     GIR_EraseRootFromParent_Done,
     /* 1682069 */   // Label 23079: @1682069
     /* 1682069 */   GIM_Try, /*On fail goto*//*Label 23080*/ GIMT_Encode4(1682155), // Rule ID 6707 //
     /* 1682074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1682085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682120 */     // MIs[0] policy
     /* 1682120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682130 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1682133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682154 */     // GIR_Coverage, 6707,
     /* 1682154 */     GIR_EraseRootFromParent_Done,
     /* 1682155 */   // Label 23080: @1682155
     /* 1682155 */   GIM_Try, /*On fail goto*//*Label 23081*/ GIMT_Encode4(1682241), // Rule ID 6710 //
     /* 1682160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1682171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1682174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1682177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682206 */     // MIs[0] policy
     /* 1682206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682216 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1682219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682240 */     // GIR_Coverage, 6710,
     /* 1682240 */     GIR_EraseRootFromParent_Done,
     /* 1682241 */   // Label 23081: @1682241
     /* 1682241 */   GIM_Try, /*On fail goto*//*Label 23082*/ GIMT_Encode4(1682327), // Rule ID 6711 //
     /* 1682246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1682257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1682260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1682263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682292 */     // MIs[0] policy
     /* 1682292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682302 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1682305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682326 */     // GIR_Coverage, 6711,
     /* 1682326 */     GIR_EraseRootFromParent_Done,
     /* 1682327 */   // Label 23082: @1682327
     /* 1682327 */   GIM_Try, /*On fail goto*//*Label 23083*/ GIMT_Encode4(1682413), // Rule ID 6714 //
     /* 1682332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1682343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1682346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1682349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682378 */     // MIs[0] policy
     /* 1682378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1682391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682412 */     // GIR_Coverage, 6714,
     /* 1682412 */     GIR_EraseRootFromParent_Done,
     /* 1682413 */   // Label 23083: @1682413
     /* 1682413 */   GIM_Try, /*On fail goto*//*Label 23084*/ GIMT_Encode4(1682499), // Rule ID 6715 //
     /* 1682418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1682429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1682432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1682435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682464 */     // MIs[0] policy
     /* 1682464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682474 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1682477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682498 */     // GIR_Coverage, 6715,
     /* 1682498 */     GIR_EraseRootFromParent_Done,
     /* 1682499 */   // Label 23084: @1682499
     /* 1682499 */   GIM_Try, /*On fail goto*//*Label 23085*/ GIMT_Encode4(1682585), // Rule ID 6718 //
     /* 1682504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1682515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1682518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1682521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682550 */     // MIs[0] policy
     /* 1682550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682560 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1682563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682584 */     // GIR_Coverage, 6718,
     /* 1682584 */     GIR_EraseRootFromParent_Done,
     /* 1682585 */   // Label 23085: @1682585
     /* 1682585 */   GIM_Try, /*On fail goto*//*Label 23086*/ GIMT_Encode4(1682671), // Rule ID 6719 //
     /* 1682590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1682601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1682604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1682607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682636 */     // MIs[0] policy
     /* 1682636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1682649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682670 */     // GIR_Coverage, 6719,
     /* 1682670 */     GIR_EraseRootFromParent_Done,
     /* 1682671 */   // Label 23086: @1682671
     /* 1682671 */   GIM_Try, /*On fail goto*//*Label 23087*/ GIMT_Encode4(1682757), // Rule ID 6722 //
     /* 1682676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1682687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1682690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1682693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682722 */     // MIs[0] policy
     /* 1682722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682732 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1682735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682756 */     // GIR_Coverage, 6722,
     /* 1682756 */     GIR_EraseRootFromParent_Done,
     /* 1682757 */   // Label 23087: @1682757
     /* 1682757 */   GIM_Try, /*On fail goto*//*Label 23088*/ GIMT_Encode4(1682843), // Rule ID 6723 //
     /* 1682762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1682773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1682776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1682779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682808 */     // MIs[0] policy
     /* 1682808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682818 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1682821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682842 */     // GIR_Coverage, 6723,
     /* 1682842 */     GIR_EraseRootFromParent_Done,
     /* 1682843 */   // Label 23088: @1682843
     /* 1682843 */   GIM_Try, /*On fail goto*//*Label 23089*/ GIMT_Encode4(1682929), // Rule ID 6726 //
     /* 1682848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1682859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1682862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1682865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682894 */     // MIs[0] policy
     /* 1682894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682904 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1682907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682928 */     // GIR_Coverage, 6726,
     /* 1682928 */     GIR_EraseRootFromParent_Done,
     /* 1682929 */   // Label 23089: @1682929
     /* 1682929 */   GIM_Try, /*On fail goto*//*Label 23090*/ GIMT_Encode4(1683015), // Rule ID 6727 //
     /* 1682934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1682945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1682948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1682951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682980 */     // MIs[0] policy
     /* 1682980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1682993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683014 */     // GIR_Coverage, 6727,
     /* 1683014 */     GIR_EraseRootFromParent_Done,
     /* 1683015 */   // Label 23090: @1683015
     /* 1683015 */   GIM_Try, /*On fail goto*//*Label 23091*/ GIMT_Encode4(1683101), // Rule ID 6730 //
     /* 1683020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683066 */     // MIs[0] policy
     /* 1683066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1683079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683100 */     // GIR_Coverage, 6730,
     /* 1683100 */     GIR_EraseRootFromParent_Done,
     /* 1683101 */   // Label 23091: @1683101
     /* 1683101 */   GIM_Try, /*On fail goto*//*Label 23092*/ GIMT_Encode4(1683187), // Rule ID 6731 //
     /* 1683106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683152 */     // MIs[0] policy
     /* 1683152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683162 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1683165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683186 */     // GIR_Coverage, 6731,
     /* 1683186 */     GIR_EraseRootFromParent_Done,
     /* 1683187 */   // Label 23092: @1683187
     /* 1683187 */   GIM_Try, /*On fail goto*//*Label 23093*/ GIMT_Encode4(1683273), // Rule ID 6734 //
     /* 1683192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1683203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1683206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1683209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683238 */     // MIs[0] policy
     /* 1683238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683248 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1683251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683272 */     // GIR_Coverage, 6734,
     /* 1683272 */     GIR_EraseRootFromParent_Done,
     /* 1683273 */   // Label 23093: @1683273
     /* 1683273 */   GIM_Try, /*On fail goto*//*Label 23094*/ GIMT_Encode4(1683359), // Rule ID 6735 //
     /* 1683278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1683289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1683292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1683295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683324 */     // MIs[0] policy
     /* 1683324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683334 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1683337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683358 */     // GIR_Coverage, 6735,
     /* 1683358 */     GIR_EraseRootFromParent_Done,
     /* 1683359 */   // Label 23094: @1683359
     /* 1683359 */   GIM_Try, /*On fail goto*//*Label 23095*/ GIMT_Encode4(1683445), // Rule ID 6738 //
     /* 1683364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1683375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1683378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1683381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683410 */     // MIs[0] policy
     /* 1683410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683420 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1683423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683444 */     // GIR_Coverage, 6738,
     /* 1683444 */     GIR_EraseRootFromParent_Done,
     /* 1683445 */   // Label 23095: @1683445
     /* 1683445 */   GIM_Try, /*On fail goto*//*Label 23096*/ GIMT_Encode4(1683531), // Rule ID 6739 //
     /* 1683450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1683461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1683464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1683467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683496 */     // MIs[0] policy
     /* 1683496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683506 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1683509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683530 */     // GIR_Coverage, 6739,
     /* 1683530 */     GIR_EraseRootFromParent_Done,
     /* 1683531 */   // Label 23096: @1683531
     /* 1683531 */   GIM_Try, /*On fail goto*//*Label 23097*/ GIMT_Encode4(1683617), // Rule ID 6742 //
     /* 1683536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1683547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1683550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1683553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683582 */     // MIs[0] policy
     /* 1683582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683592 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1683595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683616 */     // GIR_Coverage, 6742,
     /* 1683616 */     GIR_EraseRootFromParent_Done,
     /* 1683617 */   // Label 23097: @1683617
     /* 1683617 */   GIM_Try, /*On fail goto*//*Label 23098*/ GIMT_Encode4(1683703), // Rule ID 6743 //
     /* 1683622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1683633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1683636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1683639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683668 */     // MIs[0] policy
     /* 1683668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683678 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1683681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683702 */     // GIR_Coverage, 6743,
     /* 1683702 */     GIR_EraseRootFromParent_Done,
     /* 1683703 */   // Label 23098: @1683703
     /* 1683703 */   GIM_Try, /*On fail goto*//*Label 23099*/ GIMT_Encode4(1683789), // Rule ID 6834 //
     /* 1683708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1683719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1683722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1683725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1683728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683754 */     // MIs[0] policy
     /* 1683754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683764 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1683767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683788 */     // GIR_Coverage, 6834,
     /* 1683788 */     GIR_EraseRootFromParent_Done,
     /* 1683789 */   // Label 23099: @1683789
     /* 1683789 */   GIM_Try, /*On fail goto*//*Label 23100*/ GIMT_Encode4(1683875), // Rule ID 6835 //
     /* 1683794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1683805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1683808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1683811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1683814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683840 */     // MIs[0] policy
     /* 1683840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683850 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1683853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683874 */     // GIR_Coverage, 6835,
     /* 1683874 */     GIR_EraseRootFromParent_Done,
     /* 1683875 */   // Label 23100: @1683875
     /* 1683875 */   GIM_Try, /*On fail goto*//*Label 23101*/ GIMT_Encode4(1683961), // Rule ID 6838 //
     /* 1683880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1683891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1683894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1683897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1683900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683926 */     // MIs[0] policy
     /* 1683926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683936 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1683939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683960 */     // GIR_Coverage, 6838,
     /* 1683960 */     GIR_EraseRootFromParent_Done,
     /* 1683961 */   // Label 23101: @1683961
     /* 1683961 */   GIM_Try, /*On fail goto*//*Label 23102*/ GIMT_Encode4(1684047), // Rule ID 6839 //
     /* 1683966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1683977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1683980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1683983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1683986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684012 */     // MIs[0] policy
     /* 1684012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1684025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684046 */     // GIR_Coverage, 6839,
     /* 1684046 */     GIR_EraseRootFromParent_Done,
     /* 1684047 */   // Label 23102: @1684047
     /* 1684047 */   GIM_Try, /*On fail goto*//*Label 23103*/ GIMT_Encode4(1684133), // Rule ID 6842 //
     /* 1684052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1684072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684098 */     // MIs[0] policy
     /* 1684098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1684111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684132 */     // GIR_Coverage, 6842,
     /* 1684132 */     GIR_EraseRootFromParent_Done,
     /* 1684133 */   // Label 23103: @1684133
     /* 1684133 */   GIM_Try, /*On fail goto*//*Label 23104*/ GIMT_Encode4(1684219), // Rule ID 6843 //
     /* 1684138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1684158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684184 */     // MIs[0] policy
     /* 1684184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684194 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1684197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684218 */     // GIR_Coverage, 6843,
     /* 1684218 */     GIR_EraseRootFromParent_Done,
     /* 1684219 */   // Label 23104: @1684219
     /* 1684219 */   GIM_Try, /*On fail goto*//*Label 23105*/ GIMT_Encode4(1684305), // Rule ID 6846 //
     /* 1684224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1684235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1684238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1684241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1684244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684270 */     // MIs[0] policy
     /* 1684270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684280 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1684283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684304 */     // GIR_Coverage, 6846,
     /* 1684304 */     GIR_EraseRootFromParent_Done,
     /* 1684305 */   // Label 23105: @1684305
     /* 1684305 */   GIM_Try, /*On fail goto*//*Label 23106*/ GIMT_Encode4(1684391), // Rule ID 6847 //
     /* 1684310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1684321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1684324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1684327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1684330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684356 */     // MIs[0] policy
     /* 1684356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1684369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684390 */     // GIR_Coverage, 6847,
     /* 1684390 */     GIR_EraseRootFromParent_Done,
     /* 1684391 */   // Label 23106: @1684391
     /* 1684391 */   GIM_Try, /*On fail goto*//*Label 23107*/ GIMT_Encode4(1684477), // Rule ID 6850 //
     /* 1684396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1684407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1684410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1684413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1684416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684442 */     // MIs[0] policy
     /* 1684442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684452 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1684455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684476 */     // GIR_Coverage, 6850,
     /* 1684476 */     GIR_EraseRootFromParent_Done,
     /* 1684477 */   // Label 23107: @1684477
     /* 1684477 */   GIM_Try, /*On fail goto*//*Label 23108*/ GIMT_Encode4(1684563), // Rule ID 6851 //
     /* 1684482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1684493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1684496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1684499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1684502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684528 */     // MIs[0] policy
     /* 1684528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684538 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1684541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684562 */     // GIR_Coverage, 6851,
     /* 1684562 */     GIR_EraseRootFromParent_Done,
     /* 1684563 */   // Label 23108: @1684563
     /* 1684563 */   GIM_Try, /*On fail goto*//*Label 23109*/ GIMT_Encode4(1684649), // Rule ID 6854 //
     /* 1684568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1684579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1684582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1684585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1684588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684614 */     // MIs[0] policy
     /* 1684614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1684627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684648 */     // GIR_Coverage, 6854,
     /* 1684648 */     GIR_EraseRootFromParent_Done,
     /* 1684649 */   // Label 23109: @1684649
     /* 1684649 */   GIM_Try, /*On fail goto*//*Label 23110*/ GIMT_Encode4(1684735), // Rule ID 6855 //
     /* 1684654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1684665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1684668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1684671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1684674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684700 */     // MIs[0] policy
     /* 1684700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684710 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1684713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684734 */     // GIR_Coverage, 6855,
     /* 1684734 */     GIR_EraseRootFromParent_Done,
     /* 1684735 */   // Label 23110: @1684735
     /* 1684735 */   GIM_Try, /*On fail goto*//*Label 23111*/ GIMT_Encode4(1684821), // Rule ID 6858 //
     /* 1684740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1684751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1684754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1684757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1684760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684786 */     // MIs[0] policy
     /* 1684786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1684799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684820 */     // GIR_Coverage, 6858,
     /* 1684820 */     GIR_EraseRootFromParent_Done,
     /* 1684821 */   // Label 23111: @1684821
     /* 1684821 */   GIM_Try, /*On fail goto*//*Label 23112*/ GIMT_Encode4(1684907), // Rule ID 6859 //
     /* 1684826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1684837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1684840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1684843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1684846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684872 */     // MIs[0] policy
     /* 1684872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684882 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1684885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684906 */     // GIR_Coverage, 6859,
     /* 1684906 */     GIR_EraseRootFromParent_Done,
     /* 1684907 */   // Label 23112: @1684907
     /* 1684907 */   GIM_Try, /*On fail goto*//*Label 23113*/ GIMT_Encode4(1684993), // Rule ID 6862 //
     /* 1684912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1684923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1684926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1684929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1684932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684958 */     // MIs[0] policy
     /* 1684958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1684971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684992 */     // GIR_Coverage, 6862,
     /* 1684992 */     GIR_EraseRootFromParent_Done,
     /* 1684993 */   // Label 23113: @1684993
     /* 1684993 */   GIM_Try, /*On fail goto*//*Label 23114*/ GIMT_Encode4(1685079), // Rule ID 6863 //
     /* 1684998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1685009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1685012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1685015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1685018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685044 */     // MIs[0] policy
     /* 1685044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685054 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1685057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685078 */     // GIR_Coverage, 6863,
     /* 1685078 */     GIR_EraseRootFromParent_Done,
     /* 1685079 */   // Label 23114: @1685079
     /* 1685079 */   GIM_Try, /*On fail goto*//*Label 23115*/ GIMT_Encode4(1685165), // Rule ID 6866 //
     /* 1685084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1685095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1685098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1685101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1685104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685130 */     // MIs[0] policy
     /* 1685130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1685143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685164 */     // GIR_Coverage, 6866,
     /* 1685164 */     GIR_EraseRootFromParent_Done,
     /* 1685165 */   // Label 23115: @1685165
     /* 1685165 */   GIM_Try, /*On fail goto*//*Label 23116*/ GIMT_Encode4(1685251), // Rule ID 6867 //
     /* 1685170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1685181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1685184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1685187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1685190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685216 */     // MIs[0] policy
     /* 1685216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1685229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685250 */     // GIR_Coverage, 6867,
     /* 1685250 */     GIR_EraseRootFromParent_Done,
     /* 1685251 */   // Label 23116: @1685251
     /* 1685251 */   GIM_Try, /*On fail goto*//*Label 23117*/ GIMT_Encode4(1685337), // Rule ID 6870 //
     /* 1685256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1685259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1685267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1685270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1685273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1685276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685302 */     // MIs[0] policy
     /* 1685302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685312 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1685315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685336 */     // GIR_Coverage, 6870,
     /* 1685336 */     GIR_EraseRootFromParent_Done,
     /* 1685337 */   // Label 23117: @1685337
     /* 1685337 */   GIM_Try, /*On fail goto*//*Label 23118*/ GIMT_Encode4(1685423), // Rule ID 6871 //
     /* 1685342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1685345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1685353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1685356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1685359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1685362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685388 */     // MIs[0] policy
     /* 1685388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685398 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1685401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685422 */     // GIR_Coverage, 6871,
     /* 1685422 */     GIR_EraseRootFromParent_Done,
     /* 1685423 */   // Label 23118: @1685423
     /* 1685423 */   GIM_Try, /*On fail goto*//*Label 23119*/ GIMT_Encode4(1685509), // Rule ID 6874 //
     /* 1685428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1685439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1685442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1685445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1685448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685474 */     // MIs[0] policy
     /* 1685474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685484 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1685487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685508 */     // GIR_Coverage, 6874,
     /* 1685508 */     GIR_EraseRootFromParent_Done,
     /* 1685509 */   // Label 23119: @1685509
     /* 1685509 */   GIM_Try, /*On fail goto*//*Label 23120*/ GIMT_Encode4(1685595), // Rule ID 6875 //
     /* 1685514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1685525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1685528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1685531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1685534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685560 */     // MIs[0] policy
     /* 1685560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685570 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1685573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685594 */     // GIR_Coverage, 6875,
     /* 1685594 */     GIR_EraseRootFromParent_Done,
     /* 1685595 */   // Label 23120: @1685595
     /* 1685595 */   GIM_Try, /*On fail goto*//*Label 23121*/ GIMT_Encode4(1685681), // Rule ID 6878 //
     /* 1685600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1685611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1685614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1685617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1685620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1685623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685646 */     // MIs[0] policy
     /* 1685646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685656 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1685659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685680 */     // GIR_Coverage, 6878,
     /* 1685680 */     GIR_EraseRootFromParent_Done,
     /* 1685681 */   // Label 23121: @1685681
     /* 1685681 */   GIM_Try, /*On fail goto*//*Label 23122*/ GIMT_Encode4(1685767), // Rule ID 6879 //
     /* 1685686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1685697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1685700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1685703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1685706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1685709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685732 */     // MIs[0] policy
     /* 1685732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685742 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1685745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685766 */     // GIR_Coverage, 6879,
     /* 1685766 */     GIR_EraseRootFromParent_Done,
     /* 1685767 */   // Label 23122: @1685767
     /* 1685767 */   GIM_Try, /*On fail goto*//*Label 23123*/ GIMT_Encode4(1685853), // Rule ID 6882 //
     /* 1685772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1685783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1685786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1685789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1685792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1685795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685818 */     // MIs[0] policy
     /* 1685818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685828 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1685831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685852 */     // GIR_Coverage, 6882,
     /* 1685852 */     GIR_EraseRootFromParent_Done,
     /* 1685853 */   // Label 23123: @1685853
     /* 1685853 */   GIM_Try, /*On fail goto*//*Label 23124*/ GIMT_Encode4(1685939), // Rule ID 6883 //
     /* 1685858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1685869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1685872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1685875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1685878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1685881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685904 */     // MIs[0] policy
     /* 1685904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685914 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1685917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685938 */     // GIR_Coverage, 6883,
     /* 1685938 */     GIR_EraseRootFromParent_Done,
     /* 1685939 */   // Label 23124: @1685939
     /* 1685939 */   GIM_Try, /*On fail goto*//*Label 23125*/ GIMT_Encode4(1686025), // Rule ID 6886 //
     /* 1685944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1685955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1685958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1685961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1685964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685990 */     // MIs[0] policy
     /* 1685990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686000 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1686003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686024 */     // GIR_Coverage, 6886,
     /* 1686024 */     GIR_EraseRootFromParent_Done,
     /* 1686025 */   // Label 23125: @1686025
     /* 1686025 */   GIM_Try, /*On fail goto*//*Label 23126*/ GIMT_Encode4(1686111), // Rule ID 6887 //
     /* 1686030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1686041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1686044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1686050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686076 */     // MIs[0] policy
     /* 1686076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686086 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1686089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686110 */     // GIR_Coverage, 6887,
     /* 1686110 */     GIR_EraseRootFromParent_Done,
     /* 1686111 */   // Label 23126: @1686111
     /* 1686111 */   GIM_Try, /*On fail goto*//*Label 23127*/ GIMT_Encode4(1686197), // Rule ID 6890 //
     /* 1686116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1686127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1686130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1686136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686162 */     // MIs[0] policy
     /* 1686162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686172 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1686175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686196 */     // GIR_Coverage, 6890,
     /* 1686196 */     GIR_EraseRootFromParent_Done,
     /* 1686197 */   // Label 23127: @1686197
     /* 1686197 */   GIM_Try, /*On fail goto*//*Label 23128*/ GIMT_Encode4(1686283), // Rule ID 6891 //
     /* 1686202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1686213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1686216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1686222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686248 */     // MIs[0] policy
     /* 1686248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686258 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1686261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686282 */     // GIR_Coverage, 6891,
     /* 1686282 */     GIR_EraseRootFromParent_Done,
     /* 1686283 */   // Label 23128: @1686283
     /* 1686283 */   GIM_Try, /*On fail goto*//*Label 23129*/ GIMT_Encode4(1686369), // Rule ID 6894 //
     /* 1686288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1686299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1686302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1686305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1686308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686334 */     // MIs[0] policy
     /* 1686334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686344 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1686347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686368 */     // GIR_Coverage, 6894,
     /* 1686368 */     GIR_EraseRootFromParent_Done,
     /* 1686369 */   // Label 23129: @1686369
     /* 1686369 */   GIM_Try, /*On fail goto*//*Label 23130*/ GIMT_Encode4(1686455), // Rule ID 6895 //
     /* 1686374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1686385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1686388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1686391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1686394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686420 */     // MIs[0] policy
     /* 1686420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686430 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1686433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686454 */     // GIR_Coverage, 6895,
     /* 1686454 */     GIR_EraseRootFromParent_Done,
     /* 1686455 */   // Label 23130: @1686455
     /* 1686455 */   GIM_Try, /*On fail goto*//*Label 23131*/ GIMT_Encode4(1686541), // Rule ID 6898 //
     /* 1686460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1686471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1686474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1686477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1686480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686506 */     // MIs[0] policy
     /* 1686506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686516 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1686519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686540 */     // GIR_Coverage, 6898,
     /* 1686540 */     GIR_EraseRootFromParent_Done,
     /* 1686541 */   // Label 23131: @1686541
     /* 1686541 */   GIM_Try, /*On fail goto*//*Label 23132*/ GIMT_Encode4(1686627), // Rule ID 6899 //
     /* 1686546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1686557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1686560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1686563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1686566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686592 */     // MIs[0] policy
     /* 1686592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1686605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686626 */     // GIR_Coverage, 6899,
     /* 1686626 */     GIR_EraseRootFromParent_Done,
     /* 1686627 */   // Label 23132: @1686627
     /* 1686627 */   GIM_Try, /*On fail goto*//*Label 23133*/ GIMT_Encode4(1686713), // Rule ID 6902 //
     /* 1686632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1686643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1686646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1686649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1686652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686678 */     // MIs[0] policy
     /* 1686678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686688 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1686691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686712 */     // GIR_Coverage, 6902,
     /* 1686712 */     GIR_EraseRootFromParent_Done,
     /* 1686713 */   // Label 23133: @1686713
     /* 1686713 */   GIM_Try, /*On fail goto*//*Label 23134*/ GIMT_Encode4(1686799), // Rule ID 6903 //
     /* 1686718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1686729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1686732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1686735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1686738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686764 */     // MIs[0] policy
     /* 1686764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1686777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686798 */     // GIR_Coverage, 6903,
     /* 1686798 */     GIR_EraseRootFromParent_Done,
     /* 1686799 */   // Label 23134: @1686799
     /* 1686799 */   GIM_Try, /*On fail goto*//*Label 23135*/ GIMT_Encode4(1686885), // Rule ID 6906 //
     /* 1686804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1686815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1686818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1686821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1686824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686850 */     // MIs[0] policy
     /* 1686850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686860 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1686863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686884 */     // GIR_Coverage, 6906,
     /* 1686884 */     GIR_EraseRootFromParent_Done,
     /* 1686885 */   // Label 23135: @1686885
     /* 1686885 */   GIM_Try, /*On fail goto*//*Label 23136*/ GIMT_Encode4(1686971), // Rule ID 6907 //
     /* 1686890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1686901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1686904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1686907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1686910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686936 */     // MIs[0] policy
     /* 1686936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1686949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686970 */     // GIR_Coverage, 6907,
     /* 1686970 */     GIR_EraseRootFromParent_Done,
     /* 1686971 */   // Label 23136: @1686971
     /* 1686971 */   GIM_Try, /*On fail goto*//*Label 23137*/ GIMT_Encode4(1687057), // Rule ID 6910 //
     /* 1686976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1686979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1686987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1686990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1686993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1686996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687022 */     // MIs[0] policy
     /* 1687022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687032 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1687035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687056 */     // GIR_Coverage, 6910,
     /* 1687056 */     GIR_EraseRootFromParent_Done,
     /* 1687057 */   // Label 23137: @1687057
     /* 1687057 */   GIM_Try, /*On fail goto*//*Label 23138*/ GIMT_Encode4(1687143), // Rule ID 6911 //
     /* 1687062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1687073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1687076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1687082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687108 */     // MIs[0] policy
     /* 1687108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687118 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1687121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687142 */     // GIR_Coverage, 6911,
     /* 1687142 */     GIR_EraseRootFromParent_Done,
     /* 1687143 */   // Label 23138: @1687143
     /* 1687143 */   GIM_Try, /*On fail goto*//*Label 23139*/ GIMT_Encode4(1687229), // Rule ID 6914 //
     /* 1687148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1687159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1687162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1687165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1687168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687194 */     // MIs[0] policy
     /* 1687194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1687207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687228 */     // GIR_Coverage, 6914,
     /* 1687228 */     GIR_EraseRootFromParent_Done,
     /* 1687229 */   // Label 23139: @1687229
     /* 1687229 */   GIM_Try, /*On fail goto*//*Label 23140*/ GIMT_Encode4(1687315), // Rule ID 6915 //
     /* 1687234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1687245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1687248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1687251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1687254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687280 */     // MIs[0] policy
     /* 1687280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687290 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1687293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687314 */     // GIR_Coverage, 6915,
     /* 1687314 */     GIR_EraseRootFromParent_Done,
     /* 1687315 */   // Label 23140: @1687315
     /* 1687315 */   GIM_Try, /*On fail goto*//*Label 23141*/ GIMT_Encode4(1687401), // Rule ID 6918 //
     /* 1687320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1687331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1687334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1687337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1687340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687366 */     // MIs[0] policy
     /* 1687366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687376 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1687379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687400 */     // GIR_Coverage, 6918,
     /* 1687400 */     GIR_EraseRootFromParent_Done,
     /* 1687401 */   // Label 23141: @1687401
     /* 1687401 */   GIM_Try, /*On fail goto*//*Label 23142*/ GIMT_Encode4(1687487), // Rule ID 6919 //
     /* 1687406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1687417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1687420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1687423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1687426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687452 */     // MIs[0] policy
     /* 1687452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687462 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1687465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687486 */     // GIR_Coverage, 6919,
     /* 1687486 */     GIR_EraseRootFromParent_Done,
     /* 1687487 */   // Label 23142: @1687487
     /* 1687487 */   GIM_Try, /*On fail goto*//*Label 23143*/ GIMT_Encode4(1687573), // Rule ID 6922 //
     /* 1687492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1687503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1687506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1687509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687538 */     // MIs[0] policy
     /* 1687538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687548 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1687551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687572 */     // GIR_Coverage, 6922,
     /* 1687572 */     GIR_EraseRootFromParent_Done,
     /* 1687573 */   // Label 23143: @1687573
     /* 1687573 */   GIM_Try, /*On fail goto*//*Label 23144*/ GIMT_Encode4(1687659), // Rule ID 6923 //
     /* 1687578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1687589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1687592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1687595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687624 */     // MIs[0] policy
     /* 1687624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687634 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1687637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687658 */     // GIR_Coverage, 6923,
     /* 1687658 */     GIR_EraseRootFromParent_Done,
     /* 1687659 */   // Label 23144: @1687659
     /* 1687659 */   GIM_Try, /*On fail goto*//*Label 23145*/ GIMT_Encode4(1687745), // Rule ID 6926 //
     /* 1687664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1687675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1687678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1687681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687710 */     // MIs[0] policy
     /* 1687710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687720 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1687723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687744 */     // GIR_Coverage, 6926,
     /* 1687744 */     GIR_EraseRootFromParent_Done,
     /* 1687745 */   // Label 23145: @1687745
     /* 1687745 */   GIM_Try, /*On fail goto*//*Label 23146*/ GIMT_Encode4(1687831), // Rule ID 6927 //
     /* 1687750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1687761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1687764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1687767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687796 */     // MIs[0] policy
     /* 1687796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687806 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1687809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687830 */     // GIR_Coverage, 6927,
     /* 1687830 */     GIR_EraseRootFromParent_Done,
     /* 1687831 */   // Label 23146: @1687831
     /* 1687831 */   GIM_Try, /*On fail goto*//*Label 23147*/ GIMT_Encode4(1687917), // Rule ID 6930 //
     /* 1687836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1687847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1687850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1687853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687882 */     // MIs[0] policy
     /* 1687882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687892 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1687895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687916 */     // GIR_Coverage, 6930,
     /* 1687916 */     GIR_EraseRootFromParent_Done,
     /* 1687917 */   // Label 23147: @1687917
     /* 1687917 */   GIM_Try, /*On fail goto*//*Label 23148*/ GIMT_Encode4(1688003), // Rule ID 6931 //
     /* 1687922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1687933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1687936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1687939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687968 */     // MIs[0] policy
     /* 1687968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687978 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1687981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688002 */     // GIR_Coverage, 6931,
     /* 1688002 */     GIR_EraseRootFromParent_Done,
     /* 1688003 */   // Label 23148: @1688003
     /* 1688003 */   GIM_Try, /*On fail goto*//*Label 23149*/ GIMT_Encode4(1688089), // Rule ID 6934 //
     /* 1688008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688054 */     // MIs[0] policy
     /* 1688054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1688067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688088 */     // GIR_Coverage, 6934,
     /* 1688088 */     GIR_EraseRootFromParent_Done,
     /* 1688089 */   // Label 23149: @1688089
     /* 1688089 */   GIM_Try, /*On fail goto*//*Label 23150*/ GIMT_Encode4(1688175), // Rule ID 6935 //
     /* 1688094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688140 */     // MIs[0] policy
     /* 1688140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688150 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1688153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688174 */     // GIR_Coverage, 6935,
     /* 1688174 */     GIR_EraseRootFromParent_Done,
     /* 1688175 */   // Label 23150: @1688175
     /* 1688175 */   GIM_Try, /*On fail goto*//*Label 23151*/ GIMT_Encode4(1688261), // Rule ID 6938 //
     /* 1688180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1688191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1688194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1688197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688226 */     // MIs[0] policy
     /* 1688226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1688239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688260 */     // GIR_Coverage, 6938,
     /* 1688260 */     GIR_EraseRootFromParent_Done,
     /* 1688261 */   // Label 23151: @1688261
     /* 1688261 */   GIM_Try, /*On fail goto*//*Label 23152*/ GIMT_Encode4(1688347), // Rule ID 6939 //
     /* 1688266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1688277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1688280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1688283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688312 */     // MIs[0] policy
     /* 1688312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1688325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688346 */     // GIR_Coverage, 6939,
     /* 1688346 */     GIR_EraseRootFromParent_Done,
     /* 1688347 */   // Label 23152: @1688347
     /* 1688347 */   GIM_Try, /*On fail goto*//*Label 23153*/ GIMT_Encode4(1688433), // Rule ID 6942 //
     /* 1688352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1688363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1688366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1688369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688398 */     // MIs[0] policy
     /* 1688398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1688411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688432 */     // GIR_Coverage, 6942,
     /* 1688432 */     GIR_EraseRootFromParent_Done,
     /* 1688433 */   // Label 23153: @1688433
     /* 1688433 */   GIM_Try, /*On fail goto*//*Label 23154*/ GIMT_Encode4(1688519), // Rule ID 6943 //
     /* 1688438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1688449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1688452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1688455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688484 */     // MIs[0] policy
     /* 1688484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688494 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1688497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688518 */     // GIR_Coverage, 6943,
     /* 1688518 */     GIR_EraseRootFromParent_Done,
     /* 1688519 */   // Label 23154: @1688519
     /* 1688519 */   GIM_Try, /*On fail goto*//*Label 23155*/ GIMT_Encode4(1688605), // Rule ID 6946 //
     /* 1688524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1688535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1688538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1688541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688570 */     // MIs[0] policy
     /* 1688570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1688583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688604 */     // GIR_Coverage, 6946,
     /* 1688604 */     GIR_EraseRootFromParent_Done,
     /* 1688605 */   // Label 23155: @1688605
     /* 1688605 */   GIM_Try, /*On fail goto*//*Label 23156*/ GIMT_Encode4(1688691), // Rule ID 6947 //
     /* 1688610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1688621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1688624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1688627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688656 */     // MIs[0] policy
     /* 1688656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688666 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11598:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1688669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688690 */     // GIR_Coverage, 6947,
     /* 1688690 */     GIR_EraseRootFromParent_Done,
     /* 1688691 */   // Label 23156: @1688691
     /* 1688691 */   GIM_Try, /*On fail goto*//*Label 23157*/ GIMT_Encode4(1688777), // Rule ID 6950 //
     /* 1688696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1688707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1688710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1688713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688742 */     // MIs[0] policy
     /* 1688742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1688755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688776 */     // GIR_Coverage, 6950,
     /* 1688776 */     GIR_EraseRootFromParent_Done,
     /* 1688777 */   // Label 23157: @1688777
     /* 1688777 */   GIM_Try, /*On fail goto*//*Label 23158*/ GIMT_Encode4(1688863), // Rule ID 6951 //
     /* 1688782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1688793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1688796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1688799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688828 */     // MIs[0] policy
     /* 1688828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688838 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1688841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688862 */     // GIR_Coverage, 6951,
     /* 1688862 */     GIR_EraseRootFromParent_Done,
     /* 1688863 */   // Label 23158: @1688863
     /* 1688863 */   GIM_Try, /*On fail goto*//*Label 23159*/ GIMT_Encode4(1688949), // Rule ID 6954 //
     /* 1688868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1688879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1688882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1688885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688914 */     // MIs[0] policy
     /* 1688914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1688927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688948 */     // GIR_Coverage, 6954,
     /* 1688948 */     GIR_EraseRootFromParent_Done,
     /* 1688949 */   // Label 23159: @1688949
     /* 1688949 */   GIM_Try, /*On fail goto*//*Label 23160*/ GIMT_Encode4(1689035), // Rule ID 6955 //
     /* 1688954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1688965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1688968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1688971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689000 */     // MIs[0] policy
     /* 1689000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689010 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1689013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689034 */     // GIR_Coverage, 6955,
     /* 1689034 */     GIR_EraseRootFromParent_Done,
     /* 1689035 */   // Label 23160: @1689035
     /* 1689035 */   GIM_Try, /*On fail goto*//*Label 23161*/ GIMT_Encode4(1689121), // Rule ID 6958 //
     /* 1689040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1689043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689086 */     // MIs[0] policy
     /* 1689086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1689099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1689117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689120 */     // GIR_Coverage, 6958,
     /* 1689120 */     GIR_EraseRootFromParent_Done,
     /* 1689121 */   // Label 23161: @1689121
     /* 1689121 */   GIM_Try, /*On fail goto*//*Label 23162*/ GIMT_Encode4(1689207), // Rule ID 6959 //
     /* 1689126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1689129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689172 */     // MIs[0] policy
     /* 1689172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1689185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1689203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689206 */     // GIR_Coverage, 6959,
     /* 1689206 */     GIR_EraseRootFromParent_Done,
     /* 1689207 */   // Label 23162: @1689207
     /* 1689207 */   GIM_Try, /*On fail goto*//*Label 23163*/ GIMT_Encode4(1689293), // Rule ID 6962 //
     /* 1689212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1689223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1689226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1689229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689258 */     // MIs[0] policy
     /* 1689258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689268 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1689271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689292 */     // GIR_Coverage, 6962,
     /* 1689292 */     GIR_EraseRootFromParent_Done,
     /* 1689293 */   // Label 23163: @1689293
     /* 1689293 */   GIM_Try, /*On fail goto*//*Label 23164*/ GIMT_Encode4(1689379), // Rule ID 6963 //
     /* 1689298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1689309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1689312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1689315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689344 */     // MIs[0] policy
     /* 1689344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689354 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1689357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689378 */     // GIR_Coverage, 6963,
     /* 1689378 */     GIR_EraseRootFromParent_Done,
     /* 1689379 */   // Label 23164: @1689379
     /* 1689379 */   GIM_Try, /*On fail goto*//*Label 23165*/ GIMT_Encode4(1689465), // Rule ID 6966 //
     /* 1689384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1689395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1689398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1689401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689430 */     // MIs[0] policy
     /* 1689430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689440 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1689443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689464 */     // GIR_Coverage, 6966,
     /* 1689464 */     GIR_EraseRootFromParent_Done,
     /* 1689465 */   // Label 23165: @1689465
     /* 1689465 */   GIM_Try, /*On fail goto*//*Label 23166*/ GIMT_Encode4(1689551), // Rule ID 6967 //
     /* 1689470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1689481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1689484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1689487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689516 */     // MIs[0] policy
     /* 1689516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689526 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1689529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689550 */     // GIR_Coverage, 6967,
     /* 1689550 */     GIR_EraseRootFromParent_Done,
     /* 1689551 */   // Label 23166: @1689551
     /* 1689551 */   GIM_Try, /*On fail goto*//*Label 23167*/ GIMT_Encode4(1689637), // Rule ID 6970 //
     /* 1689556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1689567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1689570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1689573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1689579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689602 */     // MIs[0] policy
     /* 1689602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1689615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689636 */     // GIR_Coverage, 6970,
     /* 1689636 */     GIR_EraseRootFromParent_Done,
     /* 1689637 */   // Label 23167: @1689637
     /* 1689637 */   GIM_Try, /*On fail goto*//*Label 23168*/ GIMT_Encode4(1689723), // Rule ID 6971 //
     /* 1689642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1689653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1689656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1689659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1689665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689688 */     // MIs[0] policy
     /* 1689688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689698 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1689701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689722 */     // GIR_Coverage, 6971,
     /* 1689722 */     GIR_EraseRootFromParent_Done,
     /* 1689723 */   // Label 23168: @1689723
     /* 1689723 */   GIM_Try, /*On fail goto*//*Label 23169*/ GIMT_Encode4(1689809), // Rule ID 6974 //
     /* 1689728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1689739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1689742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1689745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689774 */     // MIs[0] policy
     /* 1689774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1689787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689808 */     // GIR_Coverage, 6974,
     /* 1689808 */     GIR_EraseRootFromParent_Done,
     /* 1689809 */   // Label 23169: @1689809
     /* 1689809 */   GIM_Try, /*On fail goto*//*Label 23170*/ GIMT_Encode4(1689895), // Rule ID 6975 //
     /* 1689814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1689825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1689828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1689831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689860 */     // MIs[0] policy
     /* 1689860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689870 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1689873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689894 */     // GIR_Coverage, 6975,
     /* 1689894 */     GIR_EraseRootFromParent_Done,
     /* 1689895 */   // Label 23170: @1689895
     /* 1689895 */   GIM_Try, /*On fail goto*//*Label 23171*/ GIMT_Encode4(1689981), // Rule ID 6978 //
     /* 1689900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1689911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1689914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1689917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689946 */     // MIs[0] policy
     /* 1689946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1689959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689980 */     // GIR_Coverage, 6978,
     /* 1689980 */     GIR_EraseRootFromParent_Done,
     /* 1689981 */   // Label 23171: @1689981
     /* 1689981 */   GIM_Try, /*On fail goto*//*Label 23172*/ GIMT_Encode4(1690067), // Rule ID 6979 //
     /* 1689986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1689997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1690003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690032 */     // MIs[0] policy
     /* 1690032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1690045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690066 */     // GIR_Coverage, 6979,
     /* 1690066 */     GIR_EraseRootFromParent_Done,
     /* 1690067 */   // Label 23172: @1690067
     /* 1690067 */   GIM_Try, /*On fail goto*//*Label 23173*/ GIMT_Encode4(1690153), // Rule ID 6982 //
     /* 1690072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690118 */     // MIs[0] policy
     /* 1690118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690128 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1690131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690152 */     // GIR_Coverage, 6982,
     /* 1690152 */     GIR_EraseRootFromParent_Done,
     /* 1690153 */   // Label 23173: @1690153
     /* 1690153 */   GIM_Try, /*On fail goto*//*Label 23174*/ GIMT_Encode4(1690239), // Rule ID 6983 //
     /* 1690158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690204 */     // MIs[0] policy
     /* 1690204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690214 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1690217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690238 */     // GIR_Coverage, 6983,
     /* 1690238 */     GIR_EraseRootFromParent_Done,
     /* 1690239 */   // Label 23174: @1690239
     /* 1690239 */   GIM_Try, /*On fail goto*//*Label 23175*/ GIMT_Encode4(1690325), // Rule ID 6986 //
     /* 1690244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1690255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1690258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1690261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690290 */     // MIs[0] policy
     /* 1690290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1690303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690324 */     // GIR_Coverage, 6986,
     /* 1690324 */     GIR_EraseRootFromParent_Done,
     /* 1690325 */   // Label 23175: @1690325
     /* 1690325 */   GIM_Try, /*On fail goto*//*Label 23176*/ GIMT_Encode4(1690411), // Rule ID 6987 //
     /* 1690330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1690341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1690344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1690347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690376 */     // MIs[0] policy
     /* 1690376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690386 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1690389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690410 */     // GIR_Coverage, 6987,
     /* 1690410 */     GIR_EraseRootFromParent_Done,
     /* 1690411 */   // Label 23176: @1690411
     /* 1690411 */   GIM_Try, /*On fail goto*//*Label 23177*/ GIMT_Encode4(1690497), // Rule ID 6990 //
     /* 1690416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1690427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1690430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1690433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690462 */     // MIs[0] policy
     /* 1690462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1690475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690496 */     // GIR_Coverage, 6990,
     /* 1690496 */     GIR_EraseRootFromParent_Done,
     /* 1690497 */   // Label 23177: @1690497
     /* 1690497 */   GIM_Try, /*On fail goto*//*Label 23178*/ GIMT_Encode4(1690583), // Rule ID 6991 //
     /* 1690502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1690513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1690516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1690519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690548 */     // MIs[0] policy
     /* 1690548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1690561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690582 */     // GIR_Coverage, 6991,
     /* 1690582 */     GIR_EraseRootFromParent_Done,
     /* 1690583 */   // Label 23178: @1690583
     /* 1690583 */   GIM_Try, /*On fail goto*//*Label 23179*/ GIMT_Encode4(1690669), // Rule ID 6994 //
     /* 1690588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1690599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1690602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1690605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690634 */     // MIs[0] policy
     /* 1690634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690644 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1690647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690668 */     // GIR_Coverage, 6994,
     /* 1690668 */     GIR_EraseRootFromParent_Done,
     /* 1690669 */   // Label 23179: @1690669
     /* 1690669 */   GIM_Try, /*On fail goto*//*Label 23180*/ GIMT_Encode4(1690755), // Rule ID 6995 //
     /* 1690674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1690685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1690688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1690691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690720 */     // MIs[0] policy
     /* 1690720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1690733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690754 */     // GIR_Coverage, 6995,
     /* 1690754 */     GIR_EraseRootFromParent_Done,
     /* 1690755 */   // Label 23180: @1690755
     /* 1690755 */   GIM_Try, /*On fail goto*//*Label 23181*/ GIMT_Encode4(1690841), // Rule ID 6998 //
     /* 1690760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1690763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1690771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1690774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1690777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690806 */     // MIs[0] policy
     /* 1690806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1690819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690840 */     // GIR_Coverage, 6998,
     /* 1690840 */     GIR_EraseRootFromParent_Done,
     /* 1690841 */   // Label 23181: @1690841
     /* 1690841 */   GIM_Try, /*On fail goto*//*Label 23182*/ GIMT_Encode4(1690927), // Rule ID 6999 //
     /* 1690846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1690849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1690857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1690860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1690863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690892 */     // MIs[0] policy
     /* 1690892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690902 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11598:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1690905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690926 */     // GIR_Coverage, 6999,
     /* 1690926 */     GIR_EraseRootFromParent_Done,
     /* 1690927 */   // Label 23182: @1690927
     /* 1690927 */   GIM_Try, /*On fail goto*//*Label 23183*/ GIMT_Encode4(1691013), // Rule ID 7002 //
     /* 1690932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1690935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1690943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1690946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1690949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690978 */     // MIs[0] policy
     /* 1690978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1690991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691012 */     // GIR_Coverage, 7002,
     /* 1691012 */     GIR_EraseRootFromParent_Done,
     /* 1691013 */   // Label 23183: @1691013
     /* 1691013 */   GIM_Try, /*On fail goto*//*Label 23184*/ GIMT_Encode4(1691099), // Rule ID 7003 //
     /* 1691018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1691029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1691032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1691035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691064 */     // MIs[0] policy
     /* 1691064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691074 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11598:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1691077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691098 */     // GIR_Coverage, 7003,
     /* 1691098 */     GIR_EraseRootFromParent_Done,
     /* 1691099 */   // Label 23184: @1691099
     /* 1691099 */   GIM_Try, /*On fail goto*//*Label 23185*/ GIMT_Encode4(1691185), // Rule ID 7006 //
     /* 1691104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1691115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1691118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1691121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691150 */     // MIs[0] policy
     /* 1691150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1691163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691184 */     // GIR_Coverage, 7006,
     /* 1691184 */     GIR_EraseRootFromParent_Done,
     /* 1691185 */   // Label 23185: @1691185
     /* 1691185 */   GIM_Try, /*On fail goto*//*Label 23186*/ GIMT_Encode4(1691271), // Rule ID 7007 //
     /* 1691190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1691201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1691204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1691207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691236 */     // MIs[0] policy
     /* 1691236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11598:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1691249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691270 */     // GIR_Coverage, 7007,
     /* 1691270 */     GIR_EraseRootFromParent_Done,
     /* 1691271 */   // Label 23186: @1691271
     /* 1691271 */   GIM_Try, /*On fail goto*//*Label 23187*/ GIMT_Encode4(1691357), // Rule ID 7098 //
     /* 1691276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1691287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1691290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1691293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1691296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691322 */     // MIs[0] policy
     /* 1691322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691332 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1691335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691356 */     // GIR_Coverage, 7098,
     /* 1691356 */     GIR_EraseRootFromParent_Done,
     /* 1691357 */   // Label 23187: @1691357
     /* 1691357 */   GIM_Try, /*On fail goto*//*Label 23188*/ GIMT_Encode4(1691443), // Rule ID 7099 //
     /* 1691362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1691373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1691376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1691379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1691382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691408 */     // MIs[0] policy
     /* 1691408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691418 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1691421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691442 */     // GIR_Coverage, 7099,
     /* 1691442 */     GIR_EraseRootFromParent_Done,
     /* 1691443 */   // Label 23188: @1691443
     /* 1691443 */   GIM_Try, /*On fail goto*//*Label 23189*/ GIMT_Encode4(1691529), // Rule ID 7102 //
     /* 1691448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1691465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1691468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691494 */     // MIs[0] policy
     /* 1691494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691504 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1691507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691528 */     // GIR_Coverage, 7102,
     /* 1691528 */     GIR_EraseRootFromParent_Done,
     /* 1691529 */   // Label 23189: @1691529
     /* 1691529 */   GIM_Try, /*On fail goto*//*Label 23190*/ GIMT_Encode4(1691615), // Rule ID 7103 //
     /* 1691534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1691551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1691554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691580 */     // MIs[0] policy
     /* 1691580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691590 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1691593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691614 */     // GIR_Coverage, 7103,
     /* 1691614 */     GIR_EraseRootFromParent_Done,
     /* 1691615 */   // Label 23190: @1691615
     /* 1691615 */   GIM_Try, /*On fail goto*//*Label 23191*/ GIMT_Encode4(1691701), // Rule ID 7106 //
     /* 1691620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1691631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1691634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1691637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1691640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691666 */     // MIs[0] policy
     /* 1691666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691676 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1691679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691700 */     // GIR_Coverage, 7106,
     /* 1691700 */     GIR_EraseRootFromParent_Done,
     /* 1691701 */   // Label 23191: @1691701
     /* 1691701 */   GIM_Try, /*On fail goto*//*Label 23192*/ GIMT_Encode4(1691787), // Rule ID 7107 //
     /* 1691706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1691717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1691720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1691723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1691726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691752 */     // MIs[0] policy
     /* 1691752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691762 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1691765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691786 */     // GIR_Coverage, 7107,
     /* 1691786 */     GIR_EraseRootFromParent_Done,
     /* 1691787 */   // Label 23192: @1691787
     /* 1691787 */   GIM_Try, /*On fail goto*//*Label 23193*/ GIMT_Encode4(1691873), // Rule ID 7110 //
     /* 1691792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1691803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1691806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1691809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1691812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691838 */     // MIs[0] policy
     /* 1691838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691848 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1691851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691872 */     // GIR_Coverage, 7110,
     /* 1691872 */     GIR_EraseRootFromParent_Done,
     /* 1691873 */   // Label 23193: @1691873
     /* 1691873 */   GIM_Try, /*On fail goto*//*Label 23194*/ GIMT_Encode4(1691959), // Rule ID 7111 //
     /* 1691878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1691889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1691892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1691895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1691898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691924 */     // MIs[0] policy
     /* 1691924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691934 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1691937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691958 */     // GIR_Coverage, 7111,
     /* 1691958 */     GIR_EraseRootFromParent_Done,
     /* 1691959 */   // Label 23194: @1691959
     /* 1691959 */   GIM_Try, /*On fail goto*//*Label 23195*/ GIMT_Encode4(1692045), // Rule ID 7114 //
     /* 1691964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1691975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1691978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1691981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1691984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692010 */     // MIs[0] policy
     /* 1692010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692020 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1692023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692044 */     // GIR_Coverage, 7114,
     /* 1692044 */     GIR_EraseRootFromParent_Done,
     /* 1692045 */   // Label 23195: @1692045
     /* 1692045 */   GIM_Try, /*On fail goto*//*Label 23196*/ GIMT_Encode4(1692131), // Rule ID 7115 //
     /* 1692050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1692061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1692064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1692067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1692070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692096 */     // MIs[0] policy
     /* 1692096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692106 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1692109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692130 */     // GIR_Coverage, 7115,
     /* 1692130 */     GIR_EraseRootFromParent_Done,
     /* 1692131 */   // Label 23196: @1692131
     /* 1692131 */   GIM_Try, /*On fail goto*//*Label 23197*/ GIMT_Encode4(1692217), // Rule ID 7118 //
     /* 1692136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1692147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1692150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1692153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1692156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692182 */     // MIs[0] policy
     /* 1692182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692192 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1692195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692216 */     // GIR_Coverage, 7118,
     /* 1692216 */     GIR_EraseRootFromParent_Done,
     /* 1692217 */   // Label 23197: @1692217
     /* 1692217 */   GIM_Try, /*On fail goto*//*Label 23198*/ GIMT_Encode4(1692303), // Rule ID 7119 //
     /* 1692222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1692233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1692236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1692239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1692242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692268 */     // MIs[0] policy
     /* 1692268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1692281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692302 */     // GIR_Coverage, 7119,
     /* 1692302 */     GIR_EraseRootFromParent_Done,
     /* 1692303 */   // Label 23198: @1692303
     /* 1692303 */   GIM_Try, /*On fail goto*//*Label 23199*/ GIMT_Encode4(1692389), // Rule ID 7122 //
     /* 1692308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1692325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1692328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692354 */     // MIs[0] policy
     /* 1692354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692388 */     // GIR_Coverage, 7122,
     /* 1692388 */     GIR_EraseRootFromParent_Done,
     /* 1692389 */   // Label 23199: @1692389
     /* 1692389 */   GIM_Try, /*On fail goto*//*Label 23200*/ GIMT_Encode4(1692475), // Rule ID 7123 //
     /* 1692394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1692411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1692414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692440 */     // MIs[0] policy
     /* 1692440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692450 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692474 */     // GIR_Coverage, 7123,
     /* 1692474 */     GIR_EraseRootFromParent_Done,
     /* 1692475 */   // Label 23200: @1692475
     /* 1692475 */   GIM_Try, /*On fail goto*//*Label 23201*/ GIMT_Encode4(1692561), // Rule ID 7126 //
     /* 1692480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1692491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1692494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1692500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692526 */     // MIs[0] policy
     /* 1692526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692560 */     // GIR_Coverage, 7126,
     /* 1692560 */     GIR_EraseRootFromParent_Done,
     /* 1692561 */   // Label 23201: @1692561
     /* 1692561 */   GIM_Try, /*On fail goto*//*Label 23202*/ GIMT_Encode4(1692647), // Rule ID 7127 //
     /* 1692566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1692577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1692580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1692586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692612 */     // MIs[0] policy
     /* 1692612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692646 */     // GIR_Coverage, 7127,
     /* 1692646 */     GIR_EraseRootFromParent_Done,
     /* 1692647 */   // Label 23202: @1692647
     /* 1692647 */   GIM_Try, /*On fail goto*//*Label 23203*/ GIMT_Encode4(1692733), // Rule ID 7130 //
     /* 1692652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1692663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1692666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1692669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1692672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692698 */     // MIs[0] policy
     /* 1692698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692732 */     // GIR_Coverage, 7130,
     /* 1692732 */     GIR_EraseRootFromParent_Done,
     /* 1692733 */   // Label 23203: @1692733
     /* 1692733 */   GIM_Try, /*On fail goto*//*Label 23204*/ GIMT_Encode4(1692819), // Rule ID 7131 //
     /* 1692738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1692749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1692752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1692755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1692758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692784 */     // MIs[0] policy
     /* 1692784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692818 */     // GIR_Coverage, 7131,
     /* 1692818 */     GIR_EraseRootFromParent_Done,
     /* 1692819 */   // Label 23204: @1692819
     /* 1692819 */   GIM_Try, /*On fail goto*//*Label 23205*/ GIMT_Encode4(1692905), // Rule ID 7134 //
     /* 1692824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1692827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1692835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1692838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1692841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1692844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692870 */     // MIs[0] policy
     /* 1692870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692880 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692904 */     // GIR_Coverage, 7134,
     /* 1692904 */     GIR_EraseRootFromParent_Done,
     /* 1692905 */   // Label 23205: @1692905
     /* 1692905 */   GIM_Try, /*On fail goto*//*Label 23206*/ GIMT_Encode4(1692991), // Rule ID 7135 //
     /* 1692910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1692913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1692921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1692924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1692927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1692930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692956 */     // MIs[0] policy
     /* 1692956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692966 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1692969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692990 */     // GIR_Coverage, 7135,
     /* 1692990 */     GIR_EraseRootFromParent_Done,
     /* 1692991 */   // Label 23206: @1692991
     /* 1692991 */   GIM_Try, /*On fail goto*//*Label 23207*/ GIMT_Encode4(1693077), // Rule ID 7138 //
     /* 1692996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1693007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1693010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1693013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1693016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693042 */     // MIs[0] policy
     /* 1693042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693052 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1693055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693076 */     // GIR_Coverage, 7138,
     /* 1693076 */     GIR_EraseRootFromParent_Done,
     /* 1693077 */   // Label 23207: @1693077
     /* 1693077 */   GIM_Try, /*On fail goto*//*Label 23208*/ GIMT_Encode4(1693163), // Rule ID 7139 //
     /* 1693082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1693093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1693096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1693099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1693102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693128 */     // MIs[0] policy
     /* 1693128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693138 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1693141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693162 */     // GIR_Coverage, 7139,
     /* 1693162 */     GIR_EraseRootFromParent_Done,
     /* 1693163 */   // Label 23208: @1693163
     /* 1693163 */   GIM_Try, /*On fail goto*//*Label 23209*/ GIMT_Encode4(1693249), // Rule ID 7142 //
     /* 1693168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1693179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1693182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1693185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1693188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693214 */     // MIs[0] policy
     /* 1693214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693224 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1693227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693248 */     // GIR_Coverage, 7142,
     /* 1693248 */     GIR_EraseRootFromParent_Done,
     /* 1693249 */   // Label 23209: @1693249
     /* 1693249 */   GIM_Try, /*On fail goto*//*Label 23210*/ GIMT_Encode4(1693335), // Rule ID 7143 //
     /* 1693254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1693265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1693268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1693271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1693274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693300 */     // MIs[0] policy
     /* 1693300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693310 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1693313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693334 */     // GIR_Coverage, 7143,
     /* 1693334 */     GIR_EraseRootFromParent_Done,
     /* 1693335 */   // Label 23210: @1693335
     /* 1693335 */   GIM_Try, /*On fail goto*//*Label 23211*/ GIMT_Encode4(1693421), // Rule ID 7146 //
     /* 1693340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1693351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1693354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1693357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1693360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1693363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693386 */     // MIs[0] policy
     /* 1693386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1693399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693420 */     // GIR_Coverage, 7146,
     /* 1693420 */     GIR_EraseRootFromParent_Done,
     /* 1693421 */   // Label 23211: @1693421
     /* 1693421 */   GIM_Try, /*On fail goto*//*Label 23212*/ GIMT_Encode4(1693507), // Rule ID 7147 //
     /* 1693426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1693437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1693440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1693443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1693446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1693449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693472 */     // MIs[0] policy
     /* 1693472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693482 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1693485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693506 */     // GIR_Coverage, 7147,
     /* 1693506 */     GIR_EraseRootFromParent_Done,
     /* 1693507 */   // Label 23212: @1693507
     /* 1693507 */   GIM_Try, /*On fail goto*//*Label 23213*/ GIMT_Encode4(1693593), // Rule ID 7150 //
     /* 1693512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1693529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1693532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693558 */     // MIs[0] policy
     /* 1693558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1693571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693592 */     // GIR_Coverage, 7150,
     /* 1693592 */     GIR_EraseRootFromParent_Done,
     /* 1693593 */   // Label 23213: @1693593
     /* 1693593 */   GIM_Try, /*On fail goto*//*Label 23214*/ GIMT_Encode4(1693679), // Rule ID 7151 //
     /* 1693598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1693615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1693618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693644 */     // MIs[0] policy
     /* 1693644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1693657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693678 */     // GIR_Coverage, 7151,
     /* 1693678 */     GIR_EraseRootFromParent_Done,
     /* 1693679 */   // Label 23214: @1693679
     /* 1693679 */   GIM_Try, /*On fail goto*//*Label 23215*/ GIMT_Encode4(1693765), // Rule ID 7154 //
     /* 1693684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1693701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1693704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693730 */     // MIs[0] policy
     /* 1693730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693740 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1693743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693764 */     // GIR_Coverage, 7154,
     /* 1693764 */     GIR_EraseRootFromParent_Done,
     /* 1693765 */   // Label 23215: @1693765
     /* 1693765 */   GIM_Try, /*On fail goto*//*Label 23216*/ GIMT_Encode4(1693851), // Rule ID 7155 //
     /* 1693770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1693787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1693790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693816 */     // MIs[0] policy
     /* 1693816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1693829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693850 */     // GIR_Coverage, 7155,
     /* 1693850 */     GIR_EraseRootFromParent_Done,
     /* 1693851 */   // Label 23216: @1693851
     /* 1693851 */   GIM_Try, /*On fail goto*//*Label 23217*/ GIMT_Encode4(1693937), // Rule ID 7158 //
     /* 1693856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1693867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1693870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1693873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1693876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693902 */     // MIs[0] policy
     /* 1693902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693912 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1693915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693936 */     // GIR_Coverage, 7158,
     /* 1693936 */     GIR_EraseRootFromParent_Done,
     /* 1693937 */   // Label 23217: @1693937
     /* 1693937 */   GIM_Try, /*On fail goto*//*Label 23218*/ GIMT_Encode4(1694023), // Rule ID 7159 //
     /* 1693942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1693953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1693956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1693959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1693962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693988 */     // MIs[0] policy
     /* 1693988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693998 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1694001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694022 */     // GIR_Coverage, 7159,
     /* 1694022 */     GIR_EraseRootFromParent_Done,
     /* 1694023 */   // Label 23218: @1694023
     /* 1694023 */   GIM_Try, /*On fail goto*//*Label 23219*/ GIMT_Encode4(1694109), // Rule ID 7162 //
     /* 1694028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1694039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1694042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1694045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1694048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694074 */     // MIs[0] policy
     /* 1694074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694084 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1694087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694108 */     // GIR_Coverage, 7162,
     /* 1694108 */     GIR_EraseRootFromParent_Done,
     /* 1694109 */   // Label 23219: @1694109
     /* 1694109 */   GIM_Try, /*On fail goto*//*Label 23220*/ GIMT_Encode4(1694195), // Rule ID 7163 //
     /* 1694114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1694125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1694128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1694131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1694134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694160 */     // MIs[0] policy
     /* 1694160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694170 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1694173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694194 */     // GIR_Coverage, 7163,
     /* 1694194 */     GIR_EraseRootFromParent_Done,
     /* 1694195 */   // Label 23220: @1694195
     /* 1694195 */   GIM_Try, /*On fail goto*//*Label 23221*/ GIMT_Encode4(1694281), // Rule ID 7166 //
     /* 1694200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1694217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1694220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694246 */     // MIs[0] policy
     /* 1694246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694256 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1694259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694280 */     // GIR_Coverage, 7166,
     /* 1694280 */     GIR_EraseRootFromParent_Done,
     /* 1694281 */   // Label 23221: @1694281
     /* 1694281 */   GIM_Try, /*On fail goto*//*Label 23222*/ GIMT_Encode4(1694367), // Rule ID 7167 //
     /* 1694286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1694303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1694306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694332 */     // MIs[0] policy
     /* 1694332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1694345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694366 */     // GIR_Coverage, 7167,
     /* 1694366 */     GIR_EraseRootFromParent_Done,
     /* 1694367 */   // Label 23222: @1694367
     /* 1694367 */   GIM_Try, /*On fail goto*//*Label 23223*/ GIMT_Encode4(1694453), // Rule ID 7170 //
     /* 1694372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1694383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1694386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1694389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1694392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694418 */     // MIs[0] policy
     /* 1694418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694428 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1694431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694452 */     // GIR_Coverage, 7170,
     /* 1694452 */     GIR_EraseRootFromParent_Done,
     /* 1694453 */   // Label 23223: @1694453
     /* 1694453 */   GIM_Try, /*On fail goto*//*Label 23224*/ GIMT_Encode4(1694539), // Rule ID 7171 //
     /* 1694458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1694469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1694472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1694475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1694478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694504 */     // MIs[0] policy
     /* 1694504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1694517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694538 */     // GIR_Coverage, 7171,
     /* 1694538 */     GIR_EraseRootFromParent_Done,
     /* 1694539 */   // Label 23224: @1694539
     /* 1694539 */   GIM_Try, /*On fail goto*//*Label 23225*/ GIMT_Encode4(1694625), // Rule ID 7174 //
     /* 1694544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1694547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1694555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1694558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1694561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1694564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694590 */     // MIs[0] policy
     /* 1694590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694600 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1694603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694624 */     // GIR_Coverage, 7174,
     /* 1694624 */     GIR_EraseRootFromParent_Done,
     /* 1694625 */   // Label 23225: @1694625
     /* 1694625 */   GIM_Try, /*On fail goto*//*Label 23226*/ GIMT_Encode4(1694711), // Rule ID 7175 //
     /* 1694630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1694633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1694641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1694644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1694647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1694650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694676 */     // MIs[0] policy
     /* 1694676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1694689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694710 */     // GIR_Coverage, 7175,
     /* 1694710 */     GIR_EraseRootFromParent_Done,
     /* 1694711 */   // Label 23226: @1694711
     /* 1694711 */   GIM_Try, /*On fail goto*//*Label 23227*/ GIMT_Encode4(1694797), // Rule ID 7178 //
     /* 1694716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1694719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1694727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1694730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1694733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1694736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694762 */     // MIs[0] policy
     /* 1694762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1694775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694796 */     // GIR_Coverage, 7178,
     /* 1694796 */     GIR_EraseRootFromParent_Done,
     /* 1694797 */   // Label 23227: @1694797
     /* 1694797 */   GIM_Try, /*On fail goto*//*Label 23228*/ GIMT_Encode4(1694883), // Rule ID 7179 //
     /* 1694802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1694805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1694813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1694816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1694819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1694822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694848 */     // MIs[0] policy
     /* 1694848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694858 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1694861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694882 */     // GIR_Coverage, 7179,
     /* 1694882 */     GIR_EraseRootFromParent_Done,
     /* 1694883 */   // Label 23228: @1694883
     /* 1694883 */   GIM_Try, /*On fail goto*//*Label 23229*/ GIMT_Encode4(1694969), // Rule ID 7182 //
     /* 1694888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1694891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1694899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1694902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1694905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1694908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694934 */     // MIs[0] policy
     /* 1694934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694944 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1694947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694968 */     // GIR_Coverage, 7182,
     /* 1694968 */     GIR_EraseRootFromParent_Done,
     /* 1694969 */   // Label 23229: @1694969
     /* 1694969 */   GIM_Try, /*On fail goto*//*Label 23230*/ GIMT_Encode4(1695055), // Rule ID 7183 //
     /* 1694974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1694977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1694985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1694988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1694991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1694994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1695004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695020 */     // MIs[0] policy
     /* 1695020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695030 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1695033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695054 */     // GIR_Coverage, 7183,
     /* 1695054 */     GIR_EraseRootFromParent_Done,
     /* 1695055 */   // Label 23230: @1695055
     /* 1695055 */   GIM_Try, /*On fail goto*//*Label 23231*/ GIMT_Encode4(1695141), // Rule ID 7186 //
     /* 1695060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1695071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1695074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1695077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695106 */     // MIs[0] policy
     /* 1695106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695116 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1695119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695140 */     // GIR_Coverage, 7186,
     /* 1695140 */     GIR_EraseRootFromParent_Done,
     /* 1695141 */   // Label 23231: @1695141
     /* 1695141 */   GIM_Try, /*On fail goto*//*Label 23232*/ GIMT_Encode4(1695227), // Rule ID 7187 //
     /* 1695146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1695157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1695160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1695163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695192 */     // MIs[0] policy
     /* 1695192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695202 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1695205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695226 */     // GIR_Coverage, 7187,
     /* 1695226 */     GIR_EraseRootFromParent_Done,
     /* 1695227 */   // Label 23232: @1695227
     /* 1695227 */   GIM_Try, /*On fail goto*//*Label 23233*/ GIMT_Encode4(1695313), // Rule ID 7190 //
     /* 1695232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1695243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1695246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1695249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695278 */     // MIs[0] policy
     /* 1695278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695288 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1695291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695312 */     // GIR_Coverage, 7190,
     /* 1695312 */     GIR_EraseRootFromParent_Done,
     /* 1695313 */   // Label 23233: @1695313
     /* 1695313 */   GIM_Try, /*On fail goto*//*Label 23234*/ GIMT_Encode4(1695399), // Rule ID 7191 //
     /* 1695318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1695329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1695332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1695335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695364 */     // MIs[0] policy
     /* 1695364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695374 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1695377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695398 */     // GIR_Coverage, 7191,
     /* 1695398 */     GIR_EraseRootFromParent_Done,
     /* 1695399 */   // Label 23234: @1695399
     /* 1695399 */   GIM_Try, /*On fail goto*//*Label 23235*/ GIMT_Encode4(1695485), // Rule ID 7194 //
     /* 1695404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1695415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1695418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1695421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695450 */     // MIs[0] policy
     /* 1695450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695460 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1695463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695484 */     // GIR_Coverage, 7194,
     /* 1695484 */     GIR_EraseRootFromParent_Done,
     /* 1695485 */   // Label 23235: @1695485
     /* 1695485 */   GIM_Try, /*On fail goto*//*Label 23236*/ GIMT_Encode4(1695571), // Rule ID 7195 //
     /* 1695490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1695501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1695504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1695507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695536 */     // MIs[0] policy
     /* 1695536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695546 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1695549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695570 */     // GIR_Coverage, 7195,
     /* 1695570 */     GIR_EraseRootFromParent_Done,
     /* 1695571 */   // Label 23236: @1695571
     /* 1695571 */   GIM_Try, /*On fail goto*//*Label 23237*/ GIMT_Encode4(1695657), // Rule ID 7198 //
     /* 1695576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1695593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695622 */     // MIs[0] policy
     /* 1695622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695632 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1695635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695656 */     // GIR_Coverage, 7198,
     /* 1695656 */     GIR_EraseRootFromParent_Done,
     /* 1695657 */   // Label 23237: @1695657
     /* 1695657 */   GIM_Try, /*On fail goto*//*Label 23238*/ GIMT_Encode4(1695743), // Rule ID 7199 //
     /* 1695662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1695679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695708 */     // MIs[0] policy
     /* 1695708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695718 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1695721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695742 */     // GIR_Coverage, 7199,
     /* 1695742 */     GIR_EraseRootFromParent_Done,
     /* 1695743 */   // Label 23238: @1695743
     /* 1695743 */   GIM_Try, /*On fail goto*//*Label 23239*/ GIMT_Encode4(1695829), // Rule ID 7202 //
     /* 1695748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1695765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695794 */     // MIs[0] policy
     /* 1695794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1695807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695828 */     // GIR_Coverage, 7202,
     /* 1695828 */     GIR_EraseRootFromParent_Done,
     /* 1695829 */   // Label 23239: @1695829
     /* 1695829 */   GIM_Try, /*On fail goto*//*Label 23240*/ GIMT_Encode4(1695915), // Rule ID 7203 //
     /* 1695834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1695851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695880 */     // MIs[0] policy
     /* 1695880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695890 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1695893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695914 */     // GIR_Coverage, 7203,
     /* 1695914 */     GIR_EraseRootFromParent_Done,
     /* 1695915 */   // Label 23240: @1695915
     /* 1695915 */   GIM_Try, /*On fail goto*//*Label 23241*/ GIMT_Encode4(1696001), // Rule ID 7206 //
     /* 1695920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1695931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1695934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1695937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695966 */     // MIs[0] policy
     /* 1695966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695976 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1695979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696000 */     // GIR_Coverage, 7206,
     /* 1696000 */     GIR_EraseRootFromParent_Done,
     /* 1696001 */   // Label 23241: @1696001
     /* 1696001 */   GIM_Try, /*On fail goto*//*Label 23242*/ GIMT_Encode4(1696087), // Rule ID 7207 //
     /* 1696006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1696023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696052 */     // MIs[0] policy
     /* 1696052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696062 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1696065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696086 */     // GIR_Coverage, 7207,
     /* 1696086 */     GIR_EraseRootFromParent_Done,
     /* 1696087 */   // Label 23242: @1696087
     /* 1696087 */   GIM_Try, /*On fail goto*//*Label 23243*/ GIMT_Encode4(1696173), // Rule ID 7210 //
     /* 1696092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1696103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1696106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1696109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696138 */     // MIs[0] policy
     /* 1696138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696148 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1696151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696172 */     // GIR_Coverage, 7210,
     /* 1696172 */     GIR_EraseRootFromParent_Done,
     /* 1696173 */   // Label 23243: @1696173
     /* 1696173 */   GIM_Try, /*On fail goto*//*Label 23244*/ GIMT_Encode4(1696259), // Rule ID 7211 //
     /* 1696178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1696189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1696192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1696195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696224 */     // MIs[0] policy
     /* 1696224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11596:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1696237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696258 */     // GIR_Coverage, 7211,
     /* 1696258 */     GIR_EraseRootFromParent_Done,
     /* 1696259 */   // Label 23244: @1696259
     /* 1696259 */   GIM_Try, /*On fail goto*//*Label 23245*/ GIMT_Encode4(1696345), // Rule ID 7214 //
     /* 1696264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1696275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1696278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1696281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696310 */     // MIs[0] policy
     /* 1696310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1696323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696344 */     // GIR_Coverage, 7214,
     /* 1696344 */     GIR_EraseRootFromParent_Done,
     /* 1696345 */   // Label 23245: @1696345
     /* 1696345 */   GIM_Try, /*On fail goto*//*Label 23246*/ GIMT_Encode4(1696431), // Rule ID 7215 //
     /* 1696350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1696361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1696364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1696367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696396 */     // MIs[0] policy
     /* 1696396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696406 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1696409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696430 */     // GIR_Coverage, 7215,
     /* 1696430 */     GIR_EraseRootFromParent_Done,
     /* 1696431 */   // Label 23246: @1696431
     /* 1696431 */   GIM_Try, /*On fail goto*//*Label 23247*/ GIMT_Encode4(1696517), // Rule ID 7218 //
     /* 1696436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1696453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696482 */     // MIs[0] policy
     /* 1696482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1696495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696516 */     // GIR_Coverage, 7218,
     /* 1696516 */     GIR_EraseRootFromParent_Done,
     /* 1696517 */   // Label 23247: @1696517
     /* 1696517 */   GIM_Try, /*On fail goto*//*Label 23248*/ GIMT_Encode4(1696603), // Rule ID 7219 //
     /* 1696522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1696539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696568 */     // MIs[0] policy
     /* 1696568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1696581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696602 */     // GIR_Coverage, 7219,
     /* 1696602 */     GIR_EraseRootFromParent_Done,
     /* 1696603 */   // Label 23248: @1696603
     /* 1696603 */   GIM_Try, /*On fail goto*//*Label 23249*/ GIMT_Encode4(1696689), // Rule ID 7222 //
     /* 1696608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1696611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1696619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1696622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1696625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696654 */     // MIs[0] policy
     /* 1696654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1696667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1696685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696688 */     // GIR_Coverage, 7222,
     /* 1696688 */     GIR_EraseRootFromParent_Done,
     /* 1696689 */   // Label 23249: @1696689
     /* 1696689 */   GIM_Try, /*On fail goto*//*Label 23250*/ GIMT_Encode4(1696775), // Rule ID 7223 //
     /* 1696694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1696697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1696705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1696708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1696711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696740 */     // MIs[0] policy
     /* 1696740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1696753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1696771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696774 */     // GIR_Coverage, 7223,
     /* 1696774 */     GIR_EraseRootFromParent_Done,
     /* 1696775 */   // Label 23250: @1696775
     /* 1696775 */   GIM_Try, /*On fail goto*//*Label 23251*/ GIMT_Encode4(1696861), // Rule ID 7226 //
     /* 1696780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1696791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1696794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1696797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696826 */     // MIs[0] policy
     /* 1696826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696836 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1696839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696860 */     // GIR_Coverage, 7226,
     /* 1696860 */     GIR_EraseRootFromParent_Done,
     /* 1696861 */   // Label 23251: @1696861
     /* 1696861 */   GIM_Try, /*On fail goto*//*Label 23252*/ GIMT_Encode4(1696947), // Rule ID 7227 //
     /* 1696866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1696877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1696880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1696883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696912 */     // MIs[0] policy
     /* 1696912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696922 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1696925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696946 */     // GIR_Coverage, 7227,
     /* 1696946 */     GIR_EraseRootFromParent_Done,
     /* 1696947 */   // Label 23252: @1696947
     /* 1696947 */   GIM_Try, /*On fail goto*//*Label 23253*/ GIMT_Encode4(1697033), // Rule ID 7230 //
     /* 1696952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1696963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1696966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1696969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1696975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696998 */     // MIs[0] policy
     /* 1696998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697008 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1697011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697032 */     // GIR_Coverage, 7230,
     /* 1697032 */     GIR_EraseRootFromParent_Done,
     /* 1697033 */   // Label 23253: @1697033
     /* 1697033 */   GIM_Try, /*On fail goto*//*Label 23254*/ GIMT_Encode4(1697119), // Rule ID 7231 //
     /* 1697038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1697049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1697052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1697055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697084 */     // MIs[0] policy
     /* 1697084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697094 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1697097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697118 */     // GIR_Coverage, 7231,
     /* 1697118 */     GIR_EraseRootFromParent_Done,
     /* 1697119 */   // Label 23254: @1697119
     /* 1697119 */   GIM_Try, /*On fail goto*//*Label 23255*/ GIMT_Encode4(1697205), // Rule ID 7234 //
     /* 1697124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1697135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1697138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1697141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1697147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1697154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697170 */     // MIs[0] policy
     /* 1697170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697180 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1697183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697204 */     // GIR_Coverage, 7234,
     /* 1697204 */     GIR_EraseRootFromParent_Done,
     /* 1697205 */   // Label 23255: @1697205
     /* 1697205 */   GIM_Try, /*On fail goto*//*Label 23256*/ GIMT_Encode4(1697291), // Rule ID 7235 //
     /* 1697210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1697221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1697224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1697227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1697233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1697240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697256 */     // MIs[0] policy
     /* 1697256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697266 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1697269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697290 */     // GIR_Coverage, 7235,
     /* 1697290 */     GIR_EraseRootFromParent_Done,
     /* 1697291 */   // Label 23256: @1697291
     /* 1697291 */   GIM_Try, /*On fail goto*//*Label 23257*/ GIMT_Encode4(1697377), // Rule ID 7238 //
     /* 1697296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1697307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1697310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1697313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697342 */     // MIs[0] policy
     /* 1697342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697352 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1697355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697376 */     // GIR_Coverage, 7238,
     /* 1697376 */     GIR_EraseRootFromParent_Done,
     /* 1697377 */   // Label 23257: @1697377
     /* 1697377 */   GIM_Try, /*On fail goto*//*Label 23258*/ GIMT_Encode4(1697463), // Rule ID 7239 //
     /* 1697382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1697393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1697396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1697399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697428 */     // MIs[0] policy
     /* 1697428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697438 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1697441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697462 */     // GIR_Coverage, 7239,
     /* 1697462 */     GIR_EraseRootFromParent_Done,
     /* 1697463 */   // Label 23258: @1697463
     /* 1697463 */   GIM_Try, /*On fail goto*//*Label 23259*/ GIMT_Encode4(1697549), // Rule ID 7242 //
     /* 1697468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1697479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1697482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1697485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697514 */     // MIs[0] policy
     /* 1697514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697524 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1697527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697548 */     // GIR_Coverage, 7242,
     /* 1697548 */     GIR_EraseRootFromParent_Done,
     /* 1697549 */   // Label 23259: @1697549
     /* 1697549 */   GIM_Try, /*On fail goto*//*Label 23260*/ GIMT_Encode4(1697635), // Rule ID 7243 //
     /* 1697554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1697565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1697568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1697571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697600 */     // MIs[0] policy
     /* 1697600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697610 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1697613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697634 */     // GIR_Coverage, 7243,
     /* 1697634 */     GIR_EraseRootFromParent_Done,
     /* 1697635 */   // Label 23260: @1697635
     /* 1697635 */   GIM_Try, /*On fail goto*//*Label 23261*/ GIMT_Encode4(1697721), // Rule ID 7246 //
     /* 1697640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1697651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1697654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1697657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1697670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697686 */     // MIs[0] policy
     /* 1697686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1697699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697720 */     // GIR_Coverage, 7246,
     /* 1697720 */     GIR_EraseRootFromParent_Done,
     /* 1697721 */   // Label 23261: @1697721
     /* 1697721 */   GIM_Try, /*On fail goto*//*Label 23262*/ GIMT_Encode4(1697807), // Rule ID 7247 //
     /* 1697726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1697737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1697740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1697743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1697756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697772 */     // MIs[0] policy
     /* 1697772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697782 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1697785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697806 */     // GIR_Coverage, 7247,
     /* 1697806 */     GIR_EraseRootFromParent_Done,
     /* 1697807 */   // Label 23262: @1697807
     /* 1697807 */   GIM_Try, /*On fail goto*//*Label 23263*/ GIMT_Encode4(1697893), // Rule ID 7250 //
     /* 1697812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1697823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1697826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1697829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697858 */     // MIs[0] policy
     /* 1697858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697868 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1697871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697892 */     // GIR_Coverage, 7250,
     /* 1697892 */     GIR_EraseRootFromParent_Done,
     /* 1697893 */   // Label 23263: @1697893
     /* 1697893 */   GIM_Try, /*On fail goto*//*Label 23264*/ GIMT_Encode4(1697979), // Rule ID 7251 //
     /* 1697898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1697909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1697912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1697915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697944 */     // MIs[0] policy
     /* 1697944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697954 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1697957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697978 */     // GIR_Coverage, 7251,
     /* 1697978 */     GIR_EraseRootFromParent_Done,
     /* 1697979 */   // Label 23264: @1697979
     /* 1697979 */   GIM_Try, /*On fail goto*//*Label 23265*/ GIMT_Encode4(1698065), // Rule ID 7254 //
     /* 1697984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1697995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1697998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1698001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698030 */     // MIs[0] policy
     /* 1698030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698040 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1698043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698064 */     // GIR_Coverage, 7254,
     /* 1698064 */     GIR_EraseRootFromParent_Done,
     /* 1698065 */   // Label 23265: @1698065
     /* 1698065 */   GIM_Try, /*On fail goto*//*Label 23266*/ GIMT_Encode4(1698151), // Rule ID 7255 //
     /* 1698070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1698081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1698084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1698087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698116 */     // MIs[0] policy
     /* 1698116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1698129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698150 */     // GIR_Coverage, 7255,
     /* 1698150 */     GIR_EraseRootFromParent_Done,
     /* 1698151 */   // Label 23266: @1698151
     /* 1698151 */   GIM_Try, /*On fail goto*//*Label 23267*/ GIMT_Encode4(1698237), // Rule ID 7258 //
     /* 1698156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1698167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1698170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1698173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698202 */     // MIs[0] policy
     /* 1698202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698212 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1698215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698236 */     // GIR_Coverage, 7258,
     /* 1698236 */     GIR_EraseRootFromParent_Done,
     /* 1698237 */   // Label 23267: @1698237
     /* 1698237 */   GIM_Try, /*On fail goto*//*Label 23268*/ GIMT_Encode4(1698323), // Rule ID 7259 //
     /* 1698242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1698253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1698256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1698259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698288 */     // MIs[0] policy
     /* 1698288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698298 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1698301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698322 */     // GIR_Coverage, 7259,
     /* 1698322 */     GIR_EraseRootFromParent_Done,
     /* 1698323 */   // Label 23268: @1698323
     /* 1698323 */   GIM_Try, /*On fail goto*//*Label 23269*/ GIMT_Encode4(1698409), // Rule ID 7262 //
     /* 1698328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1698331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1698339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1698342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1698345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698374 */     // MIs[0] policy
     /* 1698374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698384 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1698387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698408 */     // GIR_Coverage, 7262,
     /* 1698408 */     GIR_EraseRootFromParent_Done,
     /* 1698409 */   // Label 23269: @1698409
     /* 1698409 */   GIM_Try, /*On fail goto*//*Label 23270*/ GIMT_Encode4(1698495), // Rule ID 7263 //
     /* 1698414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1698417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1698425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1698428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1698431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698460 */     // MIs[0] policy
     /* 1698460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698470 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1698473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698494 */     // GIR_Coverage, 7263,
     /* 1698494 */     GIR_EraseRootFromParent_Done,
     /* 1698495 */   // Label 23270: @1698495
     /* 1698495 */   GIM_Try, /*On fail goto*//*Label 23271*/ GIMT_Encode4(1698581), // Rule ID 7266 //
     /* 1698500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1698503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1698511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1698514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1698517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698546 */     // MIs[0] policy
     /* 1698546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698556 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1698559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698580 */     // GIR_Coverage, 7266,
     /* 1698580 */     GIR_EraseRootFromParent_Done,
     /* 1698581 */   // Label 23271: @1698581
     /* 1698581 */   GIM_Try, /*On fail goto*//*Label 23272*/ GIMT_Encode4(1698667), // Rule ID 7267 //
     /* 1698586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1698589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1698597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1698600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1698603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698632 */     // MIs[0] policy
     /* 1698632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698642 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1698645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698666 */     // GIR_Coverage, 7267,
     /* 1698666 */     GIR_EraseRootFromParent_Done,
     /* 1698667 */   // Label 23272: @1698667
     /* 1698667 */   GIM_Try, /*On fail goto*//*Label 23273*/ GIMT_Encode4(1698753), // Rule ID 7270 //
     /* 1698672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1698675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1698683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1698686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1698689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698718 */     // MIs[0] policy
     /* 1698718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698728 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1698731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698752 */     // GIR_Coverage, 7270,
     /* 1698752 */     GIR_EraseRootFromParent_Done,
     /* 1698753 */   // Label 23273: @1698753
     /* 1698753 */   GIM_Try, /*On fail goto*//*Label 23274*/ GIMT_Encode4(1698839), // Rule ID 7271 //
     /* 1698758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1698761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1698769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1698772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1698775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698804 */     // MIs[0] policy
     /* 1698804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698814 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1698817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698838 */     // GIR_Coverage, 7271,
     /* 1698838 */     GIR_EraseRootFromParent_Done,
     /* 1698839 */   // Label 23274: @1698839
     /* 1698839 */   GIM_Try, /*On fail goto*//*Label 23275*/ GIMT_Encode4(1698925), // Rule ID 7450 //
     /* 1698844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1698855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1698858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1698861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1698864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698890 */     // MIs[0] policy
     /* 1698890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698900 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1698903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698924 */     // GIR_Coverage, 7450,
     /* 1698924 */     GIR_EraseRootFromParent_Done,
     /* 1698925 */   // Label 23275: @1698925
     /* 1698925 */   GIM_Try, /*On fail goto*//*Label 23276*/ GIMT_Encode4(1699011), // Rule ID 7451 //
     /* 1698930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1698941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1698944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1698947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1698950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698976 */     // MIs[0] policy
     /* 1698976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698986 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1698989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699010 */     // GIR_Coverage, 7451,
     /* 1699010 */     GIR_EraseRootFromParent_Done,
     /* 1699011 */   // Label 23276: @1699011
     /* 1699011 */   GIM_Try, /*On fail goto*//*Label 23277*/ GIMT_Encode4(1699097), // Rule ID 7454 //
     /* 1699016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1699027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1699030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1699033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1699036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699062 */     // MIs[0] policy
     /* 1699062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699072 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1699075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699096 */     // GIR_Coverage, 7454,
     /* 1699096 */     GIR_EraseRootFromParent_Done,
     /* 1699097 */   // Label 23277: @1699097
     /* 1699097 */   GIM_Try, /*On fail goto*//*Label 23278*/ GIMT_Encode4(1699183), // Rule ID 7455 //
     /* 1699102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1699113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1699116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1699119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1699122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699148 */     // MIs[0] policy
     /* 1699148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1699161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699182 */     // GIR_Coverage, 7455,
     /* 1699182 */     GIR_EraseRootFromParent_Done,
     /* 1699183 */   // Label 23278: @1699183
     /* 1699183 */   GIM_Try, /*On fail goto*//*Label 23279*/ GIMT_Encode4(1699269), // Rule ID 7458 //
     /* 1699188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1699199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1699202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1699205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1699208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699234 */     // MIs[0] policy
     /* 1699234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699244 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1699247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699268 */     // GIR_Coverage, 7458,
     /* 1699268 */     GIR_EraseRootFromParent_Done,
     /* 1699269 */   // Label 23279: @1699269
     /* 1699269 */   GIM_Try, /*On fail goto*//*Label 23280*/ GIMT_Encode4(1699355), // Rule ID 7459 //
     /* 1699274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1699285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1699288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1699291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1699294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699320 */     // MIs[0] policy
     /* 1699320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699330 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1699333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699354 */     // GIR_Coverage, 7459,
     /* 1699354 */     GIR_EraseRootFromParent_Done,
     /* 1699355 */   // Label 23280: @1699355
     /* 1699355 */   GIM_Try, /*On fail goto*//*Label 23281*/ GIMT_Encode4(1699441), // Rule ID 7462 //
     /* 1699360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1699371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1699374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1699377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1699380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699406 */     // MIs[0] policy
     /* 1699406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1699419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699440 */     // GIR_Coverage, 7462,
     /* 1699440 */     GIR_EraseRootFromParent_Done,
     /* 1699441 */   // Label 23281: @1699441
     /* 1699441 */   GIM_Try, /*On fail goto*//*Label 23282*/ GIMT_Encode4(1699527), // Rule ID 7463 //
     /* 1699446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1699457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1699460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1699463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1699466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699492 */     // MIs[0] policy
     /* 1699492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1699505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699526 */     // GIR_Coverage, 7463,
     /* 1699526 */     GIR_EraseRootFromParent_Done,
     /* 1699527 */   // Label 23282: @1699527
     /* 1699527 */   GIM_Try, /*On fail goto*//*Label 23283*/ GIMT_Encode4(1699613), // Rule ID 7466 //
     /* 1699532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1699543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1699546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1699549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1699552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699578 */     // MIs[0] policy
     /* 1699578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699588 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1699591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699612 */     // GIR_Coverage, 7466,
     /* 1699612 */     GIR_EraseRootFromParent_Done,
     /* 1699613 */   // Label 23283: @1699613
     /* 1699613 */   GIM_Try, /*On fail goto*//*Label 23284*/ GIMT_Encode4(1699699), // Rule ID 7467 //
     /* 1699618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1699629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1699632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1699635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1699638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699664 */     // MIs[0] policy
     /* 1699664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1699677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699698 */     // GIR_Coverage, 7467,
     /* 1699698 */     GIR_EraseRootFromParent_Done,
     /* 1699699 */   // Label 23284: @1699699
     /* 1699699 */   GIM_Try, /*On fail goto*//*Label 23285*/ GIMT_Encode4(1699785), // Rule ID 7470 //
     /* 1699704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1699715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1699718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1699721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1699724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1699727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699750 */     // MIs[0] policy
     /* 1699750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699760 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1699763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699784 */     // GIR_Coverage, 7470,
     /* 1699784 */     GIR_EraseRootFromParent_Done,
     /* 1699785 */   // Label 23285: @1699785
     /* 1699785 */   GIM_Try, /*On fail goto*//*Label 23286*/ GIMT_Encode4(1699871), // Rule ID 7471 //
     /* 1699790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1699801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1699804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1699807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1699810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1699813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699836 */     // MIs[0] policy
     /* 1699836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1699849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699870 */     // GIR_Coverage, 7471,
     /* 1699870 */     GIR_EraseRootFromParent_Done,
     /* 1699871 */   // Label 23286: @1699871
     /* 1699871 */   GIM_Try, /*On fail goto*//*Label 23287*/ GIMT_Encode4(1699957), // Rule ID 7474 //
     /* 1699876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1699887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1699890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1699893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1699896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699922 */     // MIs[0] policy
     /* 1699922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699932 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1699935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699956 */     // GIR_Coverage, 7474,
     /* 1699956 */     GIR_EraseRootFromParent_Done,
     /* 1699957 */   // Label 23287: @1699957
     /* 1699957 */   GIM_Try, /*On fail goto*//*Label 23288*/ GIMT_Encode4(1700043), // Rule ID 7475 //
     /* 1699962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1699973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1699976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1699979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1699982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700008 */     // MIs[0] policy
     /* 1700008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1700021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700042 */     // GIR_Coverage, 7475,
     /* 1700042 */     GIR_EraseRootFromParent_Done,
     /* 1700043 */   // Label 23288: @1700043
     /* 1700043 */   GIM_Try, /*On fail goto*//*Label 23289*/ GIMT_Encode4(1700129), // Rule ID 7478 //
     /* 1700048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1700065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1700068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700094 */     // MIs[0] policy
     /* 1700094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700104 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1700107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700128 */     // GIR_Coverage, 7478,
     /* 1700128 */     GIR_EraseRootFromParent_Done,
     /* 1700129 */   // Label 23289: @1700129
     /* 1700129 */   GIM_Try, /*On fail goto*//*Label 23290*/ GIMT_Encode4(1700215), // Rule ID 7479 //
     /* 1700134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1700151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1700154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700180 */     // MIs[0] policy
     /* 1700180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700190 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1700193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700214 */     // GIR_Coverage, 7479,
     /* 1700214 */     GIR_EraseRootFromParent_Done,
     /* 1700215 */   // Label 23290: @1700215
     /* 1700215 */   GIM_Try, /*On fail goto*//*Label 23291*/ GIMT_Encode4(1700301), // Rule ID 7482 //
     /* 1700220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1700231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1700234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1700237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1700240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700266 */     // MIs[0] policy
     /* 1700266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1700279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700300 */     // GIR_Coverage, 7482,
     /* 1700300 */     GIR_EraseRootFromParent_Done,
     /* 1700301 */   // Label 23291: @1700301
     /* 1700301 */   GIM_Try, /*On fail goto*//*Label 23292*/ GIMT_Encode4(1700387), // Rule ID 7483 //
     /* 1700306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1700317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1700320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1700323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1700326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700352 */     // MIs[0] policy
     /* 1700352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1700365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700386 */     // GIR_Coverage, 7483,
     /* 1700386 */     GIR_EraseRootFromParent_Done,
     /* 1700387 */   // Label 23292: @1700387
     /* 1700387 */   GIM_Try, /*On fail goto*//*Label 23293*/ GIMT_Encode4(1700473), // Rule ID 7486 //
     /* 1700392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1700403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1700406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1700409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1700412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700438 */     // MIs[0] policy
     /* 1700438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700448 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1700451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700472 */     // GIR_Coverage, 7486,
     /* 1700472 */     GIR_EraseRootFromParent_Done,
     /* 1700473 */   // Label 23293: @1700473
     /* 1700473 */   GIM_Try, /*On fail goto*//*Label 23294*/ GIMT_Encode4(1700559), // Rule ID 7487 //
     /* 1700478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1700489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1700492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1700495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1700498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700524 */     // MIs[0] policy
     /* 1700524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700534 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1700537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700558 */     // GIR_Coverage, 7487,
     /* 1700558 */     GIR_EraseRootFromParent_Done,
     /* 1700559 */   // Label 23294: @1700559
     /* 1700559 */   GIM_Try, /*On fail goto*//*Label 23295*/ GIMT_Encode4(1700645), // Rule ID 7490 //
     /* 1700564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1700575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1700578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1700581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1700584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700610 */     // MIs[0] policy
     /* 1700610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700620 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1700623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700644 */     // GIR_Coverage, 7490,
     /* 1700644 */     GIR_EraseRootFromParent_Done,
     /* 1700645 */   // Label 23295: @1700645
     /* 1700645 */   GIM_Try, /*On fail goto*//*Label 23296*/ GIMT_Encode4(1700731), // Rule ID 7491 //
     /* 1700650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1700661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1700664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1700667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1700670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700696 */     // MIs[0] policy
     /* 1700696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700706 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1700709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700730 */     // GIR_Coverage, 7491,
     /* 1700730 */     GIR_EraseRootFromParent_Done,
     /* 1700731 */   // Label 23296: @1700731
     /* 1700731 */   GIM_Try, /*On fail goto*//*Label 23297*/ GIMT_Encode4(1700817), // Rule ID 7494 //
     /* 1700736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1700739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1700747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1700750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1700753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1700756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700782 */     // MIs[0] policy
     /* 1700782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1700795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700816 */     // GIR_Coverage, 7494,
     /* 1700816 */     GIR_EraseRootFromParent_Done,
     /* 1700817 */   // Label 23297: @1700817
     /* 1700817 */   GIM_Try, /*On fail goto*//*Label 23298*/ GIMT_Encode4(1700903), // Rule ID 7495 //
     /* 1700822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1700833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1700836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1700839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1700842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700868 */     // MIs[0] policy
     /* 1700868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1700881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700902 */     // GIR_Coverage, 7495,
     /* 1700902 */     GIR_EraseRootFromParent_Done,
     /* 1700903 */   // Label 23298: @1700903
     /* 1700903 */   GIM_Try, /*On fail goto*//*Label 23299*/ GIMT_Encode4(1700989), // Rule ID 7498 //
     /* 1700908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1700911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1700919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1700922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1700925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1700928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700954 */     // MIs[0] policy
     /* 1700954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1700967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700988 */     // GIR_Coverage, 7498,
     /* 1700988 */     GIR_EraseRootFromParent_Done,
     /* 1700989 */   // Label 23299: @1700989
     /* 1700989 */   GIM_Try, /*On fail goto*//*Label 23300*/ GIMT_Encode4(1701075), // Rule ID 7499 //
     /* 1700994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1701011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1701014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701040 */     // MIs[0] policy
     /* 1701040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701050 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1701053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701074 */     // GIR_Coverage, 7499,
     /* 1701074 */     GIR_EraseRootFromParent_Done,
     /* 1701075 */   // Label 23300: @1701075
     /* 1701075 */   GIM_Try, /*On fail goto*//*Label 23301*/ GIMT_Encode4(1701161), // Rule ID 7502 //
     /* 1701080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1701091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1701094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1701097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1701100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701126 */     // MIs[0] policy
     /* 1701126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1701139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701160 */     // GIR_Coverage, 7502,
     /* 1701160 */     GIR_EraseRootFromParent_Done,
     /* 1701161 */   // Label 23301: @1701161
     /* 1701161 */   GIM_Try, /*On fail goto*//*Label 23302*/ GIMT_Encode4(1701247), // Rule ID 7503 //
     /* 1701166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1701177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1701180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1701183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1701186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701212 */     // MIs[0] policy
     /* 1701212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701222 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1701225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701246 */     // GIR_Coverage, 7503,
     /* 1701246 */     GIR_EraseRootFromParent_Done,
     /* 1701247 */   // Label 23302: @1701247
     /* 1701247 */   GIM_Try, /*On fail goto*//*Label 23303*/ GIMT_Encode4(1701333), // Rule ID 7506 //
     /* 1701252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1701263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1701266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1701269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1701272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701298 */     // MIs[0] policy
     /* 1701298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1701311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701332 */     // GIR_Coverage, 7506,
     /* 1701332 */     GIR_EraseRootFromParent_Done,
     /* 1701333 */   // Label 23303: @1701333
     /* 1701333 */   GIM_Try, /*On fail goto*//*Label 23304*/ GIMT_Encode4(1701419), // Rule ID 7507 //
     /* 1701338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1701349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1701352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1701355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1701358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701384 */     // MIs[0] policy
     /* 1701384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701394 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1701397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701418 */     // GIR_Coverage, 7507,
     /* 1701418 */     GIR_EraseRootFromParent_Done,
     /* 1701419 */   // Label 23304: @1701419
     /* 1701419 */   GIM_Try, /*On fail goto*//*Label 23305*/ GIMT_Encode4(1701505), // Rule ID 7510 //
     /* 1701424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1701435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1701438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1701441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701470 */     // MIs[0] policy
     /* 1701470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701480 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1701483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701504 */     // GIR_Coverage, 7510,
     /* 1701504 */     GIR_EraseRootFromParent_Done,
     /* 1701505 */   // Label 23305: @1701505
     /* 1701505 */   GIM_Try, /*On fail goto*//*Label 23306*/ GIMT_Encode4(1701591), // Rule ID 7511 //
     /* 1701510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1701521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1701524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1701527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701556 */     // MIs[0] policy
     /* 1701556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701566 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1701569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701590 */     // GIR_Coverage, 7511,
     /* 1701590 */     GIR_EraseRootFromParent_Done,
     /* 1701591 */   // Label 23306: @1701591
     /* 1701591 */   GIM_Try, /*On fail goto*//*Label 23307*/ GIMT_Encode4(1701677), // Rule ID 7514 //
     /* 1701596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1701607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1701610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1701613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701642 */     // MIs[0] policy
     /* 1701642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701652 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1701655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701676 */     // GIR_Coverage, 7514,
     /* 1701676 */     GIR_EraseRootFromParent_Done,
     /* 1701677 */   // Label 23307: @1701677
     /* 1701677 */   GIM_Try, /*On fail goto*//*Label 23308*/ GIMT_Encode4(1701763), // Rule ID 7515 //
     /* 1701682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1701693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1701696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1701699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701728 */     // MIs[0] policy
     /* 1701728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701738 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1701741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701762 */     // GIR_Coverage, 7515,
     /* 1701762 */     GIR_EraseRootFromParent_Done,
     /* 1701763 */   // Label 23308: @1701763
     /* 1701763 */   GIM_Try, /*On fail goto*//*Label 23309*/ GIMT_Encode4(1701849), // Rule ID 7518 //
     /* 1701768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1701779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1701782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1701785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701814 */     // MIs[0] policy
     /* 1701814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701824 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1701827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701848 */     // GIR_Coverage, 7518,
     /* 1701848 */     GIR_EraseRootFromParent_Done,
     /* 1701849 */   // Label 23309: @1701849
     /* 1701849 */   GIM_Try, /*On fail goto*//*Label 23310*/ GIMT_Encode4(1701935), // Rule ID 7519 //
     /* 1701854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1701865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1701868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1701871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701900 */     // MIs[0] policy
     /* 1701900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701910 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1701913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701934 */     // GIR_Coverage, 7519,
     /* 1701934 */     GIR_EraseRootFromParent_Done,
     /* 1701935 */   // Label 23310: @1701935
     /* 1701935 */   GIM_Try, /*On fail goto*//*Label 23311*/ GIMT_Encode4(1702021), // Rule ID 7522 //
     /* 1701940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1701951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1701954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1701957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701986 */     // MIs[0] policy
     /* 1701986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1701999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702020 */     // GIR_Coverage, 7522,
     /* 1702020 */     GIR_EraseRootFromParent_Done,
     /* 1702021 */   // Label 23311: @1702021
     /* 1702021 */   GIM_Try, /*On fail goto*//*Label 23312*/ GIMT_Encode4(1702107), // Rule ID 7523 //
     /* 1702026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1702037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1702040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1702043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702072 */     // MIs[0] policy
     /* 1702072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702082 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1702085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702106 */     // GIR_Coverage, 7523,
     /* 1702106 */     GIR_EraseRootFromParent_Done,
     /* 1702107 */   // Label 23312: @1702107
     /* 1702107 */   GIM_Try, /*On fail goto*//*Label 23313*/ GIMT_Encode4(1702193), // Rule ID 7526 //
     /* 1702112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1702123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1702126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1702129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702158 */     // MIs[0] policy
     /* 1702158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702168 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1702171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702192 */     // GIR_Coverage, 7526,
     /* 1702192 */     GIR_EraseRootFromParent_Done,
     /* 1702193 */   // Label 23313: @1702193
     /* 1702193 */   GIM_Try, /*On fail goto*//*Label 23314*/ GIMT_Encode4(1702279), // Rule ID 7527 //
     /* 1702198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1702209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1702212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1702215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702244 */     // MIs[0] policy
     /* 1702244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702254 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1702257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702278 */     // GIR_Coverage, 7527,
     /* 1702278 */     GIR_EraseRootFromParent_Done,
     /* 1702279 */   // Label 23314: @1702279
     /* 1702279 */   GIM_Try, /*On fail goto*//*Label 23315*/ GIMT_Encode4(1702365), // Rule ID 7530 //
     /* 1702284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1702295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1702298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1702301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1702307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702330 */     // MIs[0] policy
     /* 1702330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702340 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1702343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702364 */     // GIR_Coverage, 7530,
     /* 1702364 */     GIR_EraseRootFromParent_Done,
     /* 1702365 */   // Label 23315: @1702365
     /* 1702365 */   GIM_Try, /*On fail goto*//*Label 23316*/ GIMT_Encode4(1702451), // Rule ID 7531 //
     /* 1702370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1702381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1702384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1702387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1702393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702416 */     // MIs[0] policy
     /* 1702416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702426 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1702429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702450 */     // GIR_Coverage, 7531,
     /* 1702450 */     GIR_EraseRootFromParent_Done,
     /* 1702451 */   // Label 23316: @1702451
     /* 1702451 */   GIM_Try, /*On fail goto*//*Label 23317*/ GIMT_Encode4(1702537), // Rule ID 7534 //
     /* 1702456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1702473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702502 */     // MIs[0] policy
     /* 1702502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702512 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1702515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702536 */     // GIR_Coverage, 7534,
     /* 1702536 */     GIR_EraseRootFromParent_Done,
     /* 1702537 */   // Label 23317: @1702537
     /* 1702537 */   GIM_Try, /*On fail goto*//*Label 23318*/ GIMT_Encode4(1702623), // Rule ID 7535 //
     /* 1702542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1702559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702588 */     // MIs[0] policy
     /* 1702588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702598 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1702601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702622 */     // GIR_Coverage, 7535,
     /* 1702622 */     GIR_EraseRootFromParent_Done,
     /* 1702623 */   // Label 23318: @1702623
     /* 1702623 */   GIM_Try, /*On fail goto*//*Label 23319*/ GIMT_Encode4(1702709), // Rule ID 7538 //
     /* 1702628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1702639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1702642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1702645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702674 */     // MIs[0] policy
     /* 1702674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702684 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1702687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702708 */     // GIR_Coverage, 7538,
     /* 1702708 */     GIR_EraseRootFromParent_Done,
     /* 1702709 */   // Label 23319: @1702709
     /* 1702709 */   GIM_Try, /*On fail goto*//*Label 23320*/ GIMT_Encode4(1702795), // Rule ID 7539 //
     /* 1702714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1702725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1702728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1702731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702760 */     // MIs[0] policy
     /* 1702760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702770 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1702773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702794 */     // GIR_Coverage, 7539,
     /* 1702794 */     GIR_EraseRootFromParent_Done,
     /* 1702795 */   // Label 23320: @1702795
     /* 1702795 */   GIM_Try, /*On fail goto*//*Label 23321*/ GIMT_Encode4(1702881), // Rule ID 7542 //
     /* 1702800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1702811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1702814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1702817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702846 */     // MIs[0] policy
     /* 1702846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1702859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702880 */     // GIR_Coverage, 7542,
     /* 1702880 */     GIR_EraseRootFromParent_Done,
     /* 1702881 */   // Label 23321: @1702881
     /* 1702881 */   GIM_Try, /*On fail goto*//*Label 23322*/ GIMT_Encode4(1702967), // Rule ID 7543 //
     /* 1702886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1702897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1702900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1702903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702932 */     // MIs[0] policy
     /* 1702932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702942 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1702945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702966 */     // GIR_Coverage, 7543,
     /* 1702966 */     GIR_EraseRootFromParent_Done,
     /* 1702967 */   // Label 23322: @1702967
     /* 1702967 */   GIM_Try, /*On fail goto*//*Label 23323*/ GIMT_Encode4(1703053), // Rule ID 7546 //
     /* 1702972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1702980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1702983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1702986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1702989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703018 */     // MIs[0] policy
     /* 1703018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703028 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1703031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703052 */     // GIR_Coverage, 7546,
     /* 1703052 */     GIR_EraseRootFromParent_Done,
     /* 1703053 */   // Label 23323: @1703053
     /* 1703053 */   GIM_Try, /*On fail goto*//*Label 23324*/ GIMT_Encode4(1703139), // Rule ID 7547 //
     /* 1703058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1703069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1703072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1703075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703104 */     // MIs[0] policy
     /* 1703104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703114 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1703117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703138 */     // GIR_Coverage, 7547,
     /* 1703138 */     GIR_EraseRootFromParent_Done,
     /* 1703139 */   // Label 23324: @1703139
     /* 1703139 */   GIM_Try, /*On fail goto*//*Label 23325*/ GIMT_Encode4(1703225), // Rule ID 7550 //
     /* 1703144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1703155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1703158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1703161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703190 */     // MIs[0] policy
     /* 1703190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703200 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1703203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703224 */     // GIR_Coverage, 7550,
     /* 1703224 */     GIR_EraseRootFromParent_Done,
     /* 1703225 */   // Label 23325: @1703225
     /* 1703225 */   GIM_Try, /*On fail goto*//*Label 23326*/ GIMT_Encode4(1703311), // Rule ID 7551 //
     /* 1703230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1703241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1703244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1703247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703276 */     // MIs[0] policy
     /* 1703276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703286 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1703289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703310 */     // GIR_Coverage, 7551,
     /* 1703310 */     GIR_EraseRootFromParent_Done,
     /* 1703311 */   // Label 23326: @1703311
     /* 1703311 */   GIM_Try, /*On fail goto*//*Label 23327*/ GIMT_Encode4(1703397), // Rule ID 7554 //
     /* 1703316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1703319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1703327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1703330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1703333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703362 */     // MIs[0] policy
     /* 1703362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703372 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1703375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703396 */     // GIR_Coverage, 7554,
     /* 1703396 */     GIR_EraseRootFromParent_Done,
     /* 1703397 */   // Label 23327: @1703397
     /* 1703397 */   GIM_Try, /*On fail goto*//*Label 23328*/ GIMT_Encode4(1703483), // Rule ID 7555 //
     /* 1703402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1703405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1703413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1703416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1703419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703448 */     // MIs[0] policy
     /* 1703448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703458 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1703461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703482 */     // GIR_Coverage, 7555,
     /* 1703482 */     GIR_EraseRootFromParent_Done,
     /* 1703483 */   // Label 23328: @1703483
     /* 1703483 */   GIM_Try, /*On fail goto*//*Label 23329*/ GIMT_Encode4(1703569), // Rule ID 7558 //
     /* 1703488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1703491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1703505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703534 */     // MIs[0] policy
     /* 1703534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1703547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703568 */     // GIR_Coverage, 7558,
     /* 1703568 */     GIR_EraseRootFromParent_Done,
     /* 1703569 */   // Label 23329: @1703569
     /* 1703569 */   GIM_Try, /*On fail goto*//*Label 23330*/ GIMT_Encode4(1703655), // Rule ID 7559 //
     /* 1703574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1703577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1703591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703620 */     // MIs[0] policy
     /* 1703620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1703633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703654 */     // GIR_Coverage, 7559,
     /* 1703654 */     GIR_EraseRootFromParent_Done,
     /* 1703655 */   // Label 23330: @1703655
     /* 1703655 */   GIM_Try, /*On fail goto*//*Label 23331*/ GIMT_Encode4(1703741), // Rule ID 7562 //
     /* 1703660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1703663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1703671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1703674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1703677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703706 */     // MIs[0] policy
     /* 1703706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1703719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703740 */     // GIR_Coverage, 7562,
     /* 1703740 */     GIR_EraseRootFromParent_Done,
     /* 1703741 */   // Label 23331: @1703741
     /* 1703741 */   GIM_Try, /*On fail goto*//*Label 23332*/ GIMT_Encode4(1703827), // Rule ID 7563 //
     /* 1703746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1703749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1703757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1703760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1703763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703792 */     // MIs[0] policy
     /* 1703792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11510:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1703805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703826 */     // GIR_Coverage, 7563,
     /* 1703826 */     GIR_EraseRootFromParent_Done,
     /* 1703827 */   // Label 23332: @1703827
     /* 1703827 */   GIM_Try, /*On fail goto*//*Label 23333*/ GIMT_Encode4(1703913), // Rule ID 7566 //
     /* 1703832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1703835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1703843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1703846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1703849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703878 */     // MIs[0] policy
     /* 1703878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1703891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703912 */     // GIR_Coverage, 7566,
     /* 1703912 */     GIR_EraseRootFromParent_Done,
     /* 1703913 */   // Label 23333: @1703913
     /* 1703913 */   GIM_Try, /*On fail goto*//*Label 23334*/ GIMT_Encode4(1703999), // Rule ID 7567 //
     /* 1703918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1703921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1703929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1703932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1703935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703964 */     // MIs[0] policy
     /* 1703964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11510:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1703977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703998 */     // GIR_Coverage, 7567,
     /* 1703998 */     GIR_EraseRootFromParent_Done,
     /* 1703999 */   // Label 23334: @1703999
     /* 1703999 */   GIM_Try, /*On fail goto*//*Label 23335*/ GIMT_Encode4(1704085), // Rule ID 7630 //
     /* 1704004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1704015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1704018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1704021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1704024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704050 */     // MIs[0] policy
     /* 1704050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704060 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1704063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704084 */     // GIR_Coverage, 7630,
     /* 1704084 */     GIR_EraseRootFromParent_Done,
     /* 1704085 */   // Label 23335: @1704085
     /* 1704085 */   GIM_Try, /*On fail goto*//*Label 23336*/ GIMT_Encode4(1704171), // Rule ID 7631 //
     /* 1704090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1704101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1704104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1704107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1704110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704136 */     // MIs[0] policy
     /* 1704136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704146 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1704149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704170 */     // GIR_Coverage, 7631,
     /* 1704170 */     GIR_EraseRootFromParent_Done,
     /* 1704171 */   // Label 23336: @1704171
     /* 1704171 */   GIM_Try, /*On fail goto*//*Label 23337*/ GIMT_Encode4(1704257), // Rule ID 7634 //
     /* 1704176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1704187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1704190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1704193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1704196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704222 */     // MIs[0] policy
     /* 1704222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704232 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1704235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704256 */     // GIR_Coverage, 7634,
     /* 1704256 */     GIR_EraseRootFromParent_Done,
     /* 1704257 */   // Label 23337: @1704257
     /* 1704257 */   GIM_Try, /*On fail goto*//*Label 23338*/ GIMT_Encode4(1704343), // Rule ID 7635 //
     /* 1704262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1704273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1704276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1704279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1704282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704308 */     // MIs[0] policy
     /* 1704308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704318 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1704321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704342 */     // GIR_Coverage, 7635,
     /* 1704342 */     GIR_EraseRootFromParent_Done,
     /* 1704343 */   // Label 23338: @1704343
     /* 1704343 */   GIM_Try, /*On fail goto*//*Label 23339*/ GIMT_Encode4(1704429), // Rule ID 7638 //
     /* 1704348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1704359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1704362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1704365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1704368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704394 */     // MIs[0] policy
     /* 1704394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704404 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1704407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704428 */     // GIR_Coverage, 7638,
     /* 1704428 */     GIR_EraseRootFromParent_Done,
     /* 1704429 */   // Label 23339: @1704429
     /* 1704429 */   GIM_Try, /*On fail goto*//*Label 23340*/ GIMT_Encode4(1704515), // Rule ID 7639 //
     /* 1704434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1704445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1704448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1704451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1704454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704480 */     // MIs[0] policy
     /* 1704480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704490 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1704493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704514 */     // GIR_Coverage, 7639,
     /* 1704514 */     GIR_EraseRootFromParent_Done,
     /* 1704515 */   // Label 23340: @1704515
     /* 1704515 */   GIM_Try, /*On fail goto*//*Label 23341*/ GIMT_Encode4(1704601), // Rule ID 7642 //
     /* 1704520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1704531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1704534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1704540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704566 */     // MIs[0] policy
     /* 1704566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704576 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1704579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704600 */     // GIR_Coverage, 7642,
     /* 1704600 */     GIR_EraseRootFromParent_Done,
     /* 1704601 */   // Label 23341: @1704601
     /* 1704601 */   GIM_Try, /*On fail goto*//*Label 23342*/ GIMT_Encode4(1704687), // Rule ID 7643 //
     /* 1704606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1704617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1704620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1704626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704652 */     // MIs[0] policy
     /* 1704652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704662 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1704665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704686 */     // GIR_Coverage, 7643,
     /* 1704686 */     GIR_EraseRootFromParent_Done,
     /* 1704687 */   // Label 23342: @1704687
     /* 1704687 */   GIM_Try, /*On fail goto*//*Label 23343*/ GIMT_Encode4(1704773), // Rule ID 7646 //
     /* 1704692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1704703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1704706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1704712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704738 */     // MIs[0] policy
     /* 1704738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704748 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1704751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704772 */     // GIR_Coverage, 7646,
     /* 1704772 */     GIR_EraseRootFromParent_Done,
     /* 1704773 */   // Label 23343: @1704773
     /* 1704773 */   GIM_Try, /*On fail goto*//*Label 23344*/ GIMT_Encode4(1704859), // Rule ID 7647 //
     /* 1704778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1704789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1704792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1704798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704824 */     // MIs[0] policy
     /* 1704824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704834 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1704837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704858 */     // GIR_Coverage, 7647,
     /* 1704858 */     GIR_EraseRootFromParent_Done,
     /* 1704859 */   // Label 23344: @1704859
     /* 1704859 */   GIM_Try, /*On fail goto*//*Label 23345*/ GIMT_Encode4(1704945), // Rule ID 7650 //
     /* 1704864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1704875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1704878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1704881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1704884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704910 */     // MIs[0] policy
     /* 1704910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704920 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1704923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704944 */     // GIR_Coverage, 7650,
     /* 1704944 */     GIR_EraseRootFromParent_Done,
     /* 1704945 */   // Label 23345: @1704945
     /* 1704945 */   GIM_Try, /*On fail goto*//*Label 23346*/ GIMT_Encode4(1705031), // Rule ID 7651 //
     /* 1704950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1704961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1704964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1704967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1704970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704996 */     // MIs[0] policy
     /* 1704996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705006 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1705009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705030 */     // GIR_Coverage, 7651,
     /* 1705030 */     GIR_EraseRootFromParent_Done,
     /* 1705031 */   // Label 23346: @1705031
     /* 1705031 */   GIM_Try, /*On fail goto*//*Label 23347*/ GIMT_Encode4(1705117), // Rule ID 7654 //
     /* 1705036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1705047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1705050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1705053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1705056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705082 */     // MIs[0] policy
     /* 1705082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705092 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1705095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705116 */     // GIR_Coverage, 7654,
     /* 1705116 */     GIR_EraseRootFromParent_Done,
     /* 1705117 */   // Label 23347: @1705117
     /* 1705117 */   GIM_Try, /*On fail goto*//*Label 23348*/ GIMT_Encode4(1705203), // Rule ID 7655 //
     /* 1705122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1705133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1705136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1705139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1705142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705168 */     // MIs[0] policy
     /* 1705168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1705181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705202 */     // GIR_Coverage, 7655,
     /* 1705202 */     GIR_EraseRootFromParent_Done,
     /* 1705203 */   // Label 23348: @1705203
     /* 1705203 */   GIM_Try, /*On fail goto*//*Label 23349*/ GIMT_Encode4(1705289), // Rule ID 7658 //
     /* 1705208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1705219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1705222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1705225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1705228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705254 */     // MIs[0] policy
     /* 1705254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705264 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1705267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705288 */     // GIR_Coverage, 7658,
     /* 1705288 */     GIR_EraseRootFromParent_Done,
     /* 1705289 */   // Label 23349: @1705289
     /* 1705289 */   GIM_Try, /*On fail goto*//*Label 23350*/ GIMT_Encode4(1705375), // Rule ID 7659 //
     /* 1705294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1705305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1705308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1705311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1705314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705340 */     // MIs[0] policy
     /* 1705340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705350 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1705353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705374 */     // GIR_Coverage, 7659,
     /* 1705374 */     GIR_EraseRootFromParent_Done,
     /* 1705375 */   // Label 23350: @1705375
     /* 1705375 */   GIM_Try, /*On fail goto*//*Label 23351*/ GIMT_Encode4(1705461), // Rule ID 7662 //
     /* 1705380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1705391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1705394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1705397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1705400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705426 */     // MIs[0] policy
     /* 1705426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705436 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1705439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705460 */     // GIR_Coverage, 7662,
     /* 1705460 */     GIR_EraseRootFromParent_Done,
     /* 1705461 */   // Label 23351: @1705461
     /* 1705461 */   GIM_Try, /*On fail goto*//*Label 23352*/ GIMT_Encode4(1705547), // Rule ID 7663 //
     /* 1705466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1705477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1705480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1705483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1705486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705512 */     // MIs[0] policy
     /* 1705512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1705525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705546 */     // GIR_Coverage, 7663,
     /* 1705546 */     GIR_EraseRootFromParent_Done,
     /* 1705547 */   // Label 23352: @1705547
     /* 1705547 */   GIM_Try, /*On fail goto*//*Label 23353*/ GIMT_Encode4(1705633), // Rule ID 7666 //
     /* 1705552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1705563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1705566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1705572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705598 */     // MIs[0] policy
     /* 1705598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1705611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705632 */     // GIR_Coverage, 7666,
     /* 1705632 */     GIR_EraseRootFromParent_Done,
     /* 1705633 */   // Label 23353: @1705633
     /* 1705633 */   GIM_Try, /*On fail goto*//*Label 23354*/ GIMT_Encode4(1705719), // Rule ID 7667 //
     /* 1705638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1705649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1705652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1705658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705684 */     // MIs[0] policy
     /* 1705684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705694 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1705697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705718 */     // GIR_Coverage, 7667,
     /* 1705718 */     GIR_EraseRootFromParent_Done,
     /* 1705719 */   // Label 23354: @1705719
     /* 1705719 */   GIM_Try, /*On fail goto*//*Label 23355*/ GIMT_Encode4(1705805), // Rule ID 7670 //
     /* 1705724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1705735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1705738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1705744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705770 */     // MIs[0] policy
     /* 1705770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1705783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705804 */     // GIR_Coverage, 7670,
     /* 1705804 */     GIR_EraseRootFromParent_Done,
     /* 1705805 */   // Label 23355: @1705805
     /* 1705805 */   GIM_Try, /*On fail goto*//*Label 23356*/ GIMT_Encode4(1705891), // Rule ID 7671 //
     /* 1705810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1705821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1705824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1705830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705856 */     // MIs[0] policy
     /* 1705856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1705869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705890 */     // GIR_Coverage, 7671,
     /* 1705890 */     GIR_EraseRootFromParent_Done,
     /* 1705891 */   // Label 23356: @1705891
     /* 1705891 */   GIM_Try, /*On fail goto*//*Label 23357*/ GIMT_Encode4(1705977), // Rule ID 7674 //
     /* 1705896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1705899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1705907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1705910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1705913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1705916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705942 */     // MIs[0] policy
     /* 1705942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1705955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705976 */     // GIR_Coverage, 7674,
     /* 1705976 */     GIR_EraseRootFromParent_Done,
     /* 1705977 */   // Label 23357: @1705977
     /* 1705977 */   GIM_Try, /*On fail goto*//*Label 23358*/ GIMT_Encode4(1706063), // Rule ID 7675 //
     /* 1705982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1705985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1705993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1705996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1705999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1706002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706028 */     // MIs[0] policy
     /* 1706028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706038 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1706041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706062 */     // GIR_Coverage, 7675,
     /* 1706062 */     GIR_EraseRootFromParent_Done,
     /* 1706063 */   // Label 23358: @1706063
     /* 1706063 */   GIM_Try, /*On fail goto*//*Label 23359*/ GIMT_Encode4(1706149), // Rule ID 7678 //
     /* 1706068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1706071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1706079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1706082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1706085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1706088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706114 */     // MIs[0] policy
     /* 1706114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1706127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706148 */     // GIR_Coverage, 7678,
     /* 1706148 */     GIR_EraseRootFromParent_Done,
     /* 1706149 */   // Label 23359: @1706149
     /* 1706149 */   GIM_Try, /*On fail goto*//*Label 23360*/ GIMT_Encode4(1706235), // Rule ID 7679 //
     /* 1706154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1706157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1706165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1706168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1706171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1706174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706200 */     // MIs[0] policy
     /* 1706200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1706213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706234 */     // GIR_Coverage, 7679,
     /* 1706234 */     GIR_EraseRootFromParent_Done,
     /* 1706235 */   // Label 23360: @1706235
     /* 1706235 */   GIM_Try, /*On fail goto*//*Label 23361*/ GIMT_Encode4(1706321), // Rule ID 7682 //
     /* 1706240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1706243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1706251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1706254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1706257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1706260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706286 */     // MIs[0] policy
     /* 1706286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1706299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706320 */     // GIR_Coverage, 7682,
     /* 1706320 */     GIR_EraseRootFromParent_Done,
     /* 1706321 */   // Label 23361: @1706321
     /* 1706321 */   GIM_Try, /*On fail goto*//*Label 23362*/ GIMT_Encode4(1706407), // Rule ID 7683 //
     /* 1706326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1706329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1706337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1706340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1706343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1706346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706372 */     // MIs[0] policy
     /* 1706372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706382 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1706385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706406 */     // GIR_Coverage, 7683,
     /* 1706406 */     GIR_EraseRootFromParent_Done,
     /* 1706407 */   // Label 23362: @1706407
     /* 1706407 */   GIM_Try, /*On fail goto*//*Label 23363*/ GIMT_Encode4(1706493), // Rule ID 7686 //
     /* 1706412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1706415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1706423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1706426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1706429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1706432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706458 */     // MIs[0] policy
     /* 1706458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1706471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706492 */     // GIR_Coverage, 7686,
     /* 1706492 */     GIR_EraseRootFromParent_Done,
     /* 1706493 */   // Label 23363: @1706493
     /* 1706493 */   GIM_Try, /*On fail goto*//*Label 23364*/ GIMT_Encode4(1706579), // Rule ID 7687 //
     /* 1706498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1706501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1706509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1706512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1706515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1706518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706544 */     // MIs[0] policy
     /* 1706544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1706557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706578 */     // GIR_Coverage, 7687,
     /* 1706578 */     GIR_EraseRootFromParent_Done,
     /* 1706579 */   // Label 23364: @1706579
     /* 1706579 */   GIM_Try, /*On fail goto*//*Label 23365*/ GIMT_Encode4(1706665), // Rule ID 7690 //
     /* 1706584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1706595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1706598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706630 */     // MIs[0] policy
     /* 1706630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706640 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1706643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706664 */     // GIR_Coverage, 7690,
     /* 1706664 */     GIR_EraseRootFromParent_Done,
     /* 1706665 */   // Label 23365: @1706665
     /* 1706665 */   GIM_Try, /*On fail goto*//*Label 23366*/ GIMT_Encode4(1706751), // Rule ID 7691 //
     /* 1706670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1706681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1706684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706716 */     // MIs[0] policy
     /* 1706716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706726 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1706729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706750 */     // GIR_Coverage, 7691,
     /* 1706750 */     GIR_EraseRootFromParent_Done,
     /* 1706751 */   // Label 23366: @1706751
     /* 1706751 */   GIM_Try, /*On fail goto*//*Label 23367*/ GIMT_Encode4(1706837), // Rule ID 7694 //
     /* 1706756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1706767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1706770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706802 */     // MIs[0] policy
     /* 1706802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706812 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1706815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706836 */     // GIR_Coverage, 7694,
     /* 1706836 */     GIR_EraseRootFromParent_Done,
     /* 1706837 */   // Label 23367: @1706837
     /* 1706837 */   GIM_Try, /*On fail goto*//*Label 23368*/ GIMT_Encode4(1706923), // Rule ID 7695 //
     /* 1706842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1706853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1706856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706888 */     // MIs[0] policy
     /* 1706888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706898 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1706901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706922 */     // GIR_Coverage, 7695,
     /* 1706922 */     GIR_EraseRootFromParent_Done,
     /* 1706923 */   // Label 23368: @1706923
     /* 1706923 */   GIM_Try, /*On fail goto*//*Label 23369*/ GIMT_Encode4(1707009), // Rule ID 7698 //
     /* 1706928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1706939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1706942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1706945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706974 */     // MIs[0] policy
     /* 1706974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706984 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1706987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707008 */     // GIR_Coverage, 7698,
     /* 1707008 */     GIR_EraseRootFromParent_Done,
     /* 1707009 */   // Label 23369: @1707009
     /* 1707009 */   GIM_Try, /*On fail goto*//*Label 23370*/ GIMT_Encode4(1707095), // Rule ID 7699 //
     /* 1707014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1707025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1707028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1707031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707060 */     // MIs[0] policy
     /* 1707060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707070 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1707073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707094 */     // GIR_Coverage, 7699,
     /* 1707094 */     GIR_EraseRootFromParent_Done,
     /* 1707095 */   // Label 23370: @1707095
     /* 1707095 */   GIM_Try, /*On fail goto*//*Label 23371*/ GIMT_Encode4(1707181), // Rule ID 7702 //
     /* 1707100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1707111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1707114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1707117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707146 */     // MIs[0] policy
     /* 1707146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1707159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707180 */     // GIR_Coverage, 7702,
     /* 1707180 */     GIR_EraseRootFromParent_Done,
     /* 1707181 */   // Label 23371: @1707181
     /* 1707181 */   GIM_Try, /*On fail goto*//*Label 23372*/ GIMT_Encode4(1707267), // Rule ID 7703 //
     /* 1707186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1707197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1707200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1707203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707232 */     // MIs[0] policy
     /* 1707232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1707245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707266 */     // GIR_Coverage, 7703,
     /* 1707266 */     GIR_EraseRootFromParent_Done,
     /* 1707267 */   // Label 23372: @1707267
     /* 1707267 */   GIM_Try, /*On fail goto*//*Label 23373*/ GIMT_Encode4(1707353), // Rule ID 7706 //
     /* 1707272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1707283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1707286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1707289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707318 */     // MIs[0] policy
     /* 1707318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707328 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1707331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707352 */     // GIR_Coverage, 7706,
     /* 1707352 */     GIR_EraseRootFromParent_Done,
     /* 1707353 */   // Label 23373: @1707353
     /* 1707353 */   GIM_Try, /*On fail goto*//*Label 23374*/ GIMT_Encode4(1707439), // Rule ID 7707 //
     /* 1707358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1707369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1707372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1707375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707404 */     // MIs[0] policy
     /* 1707404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707414 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1707417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707438 */     // GIR_Coverage, 7707,
     /* 1707438 */     GIR_EraseRootFromParent_Done,
     /* 1707439 */   // Label 23374: @1707439
     /* 1707439 */   GIM_Try, /*On fail goto*//*Label 23375*/ GIMT_Encode4(1707525), // Rule ID 7710 //
     /* 1707444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1707455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1707458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1707461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1707467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707490 */     // MIs[0] policy
     /* 1707490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707500 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1707503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707524 */     // GIR_Coverage, 7710,
     /* 1707524 */     GIR_EraseRootFromParent_Done,
     /* 1707525 */   // Label 23375: @1707525
     /* 1707525 */   GIM_Try, /*On fail goto*//*Label 23376*/ GIMT_Encode4(1707611), // Rule ID 7711 //
     /* 1707530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1707541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1707544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1707547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1707553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707576 */     // MIs[0] policy
     /* 1707576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707586 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1707589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707610 */     // GIR_Coverage, 7711,
     /* 1707610 */     GIR_EraseRootFromParent_Done,
     /* 1707611 */   // Label 23376: @1707611
     /* 1707611 */   GIM_Try, /*On fail goto*//*Label 23377*/ GIMT_Encode4(1707697), // Rule ID 7714 //
     /* 1707616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1707627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1707630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1707633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707662 */     // MIs[0] policy
     /* 1707662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707672 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1707675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707696 */     // GIR_Coverage, 7714,
     /* 1707696 */     GIR_EraseRootFromParent_Done,
     /* 1707697 */   // Label 23377: @1707697
     /* 1707697 */   GIM_Try, /*On fail goto*//*Label 23378*/ GIMT_Encode4(1707783), // Rule ID 7715 //
     /* 1707702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1707713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1707716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1707719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707748 */     // MIs[0] policy
     /* 1707748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1707761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707782 */     // GIR_Coverage, 7715,
     /* 1707782 */     GIR_EraseRootFromParent_Done,
     /* 1707783 */   // Label 23378: @1707783
     /* 1707783 */   GIM_Try, /*On fail goto*//*Label 23379*/ GIMT_Encode4(1707869), // Rule ID 7718 //
     /* 1707788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1707799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1707802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707834 */     // MIs[0] policy
     /* 1707834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707844 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1707847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707868 */     // GIR_Coverage, 7718,
     /* 1707868 */     GIR_EraseRootFromParent_Done,
     /* 1707869 */   // Label 23379: @1707869
     /* 1707869 */   GIM_Try, /*On fail goto*//*Label 23380*/ GIMT_Encode4(1707955), // Rule ID 7719 //
     /* 1707874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1707885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1707888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707920 */     // MIs[0] policy
     /* 1707920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707930 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1707933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707954 */     // GIR_Coverage, 7719,
     /* 1707954 */     GIR_EraseRootFromParent_Done,
     /* 1707955 */   // Label 23380: @1707955
     /* 1707955 */   GIM_Try, /*On fail goto*//*Label 23381*/ GIMT_Encode4(1708041), // Rule ID 7722 //
     /* 1707960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1707968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1707971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1707974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1707977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708006 */     // MIs[0] policy
     /* 1708006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1708019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708040 */     // GIR_Coverage, 7722,
     /* 1708040 */     GIR_EraseRootFromParent_Done,
     /* 1708041 */   // Label 23381: @1708041
     /* 1708041 */   GIM_Try, /*On fail goto*//*Label 23382*/ GIMT_Encode4(1708127), // Rule ID 7723 //
     /* 1708046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1708057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1708060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1708063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708092 */     // MIs[0] policy
     /* 1708092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1708105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708126 */     // GIR_Coverage, 7723,
     /* 1708126 */     GIR_EraseRootFromParent_Done,
     /* 1708127 */   // Label 23382: @1708127
     /* 1708127 */   GIM_Try, /*On fail goto*//*Label 23383*/ GIMT_Encode4(1708213), // Rule ID 7726 //
     /* 1708132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1708149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708178 */     // MIs[0] policy
     /* 1708178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708188 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1708191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708212 */     // GIR_Coverage, 7726,
     /* 1708212 */     GIR_EraseRootFromParent_Done,
     /* 1708213 */   // Label 23383: @1708213
     /* 1708213 */   GIM_Try, /*On fail goto*//*Label 23384*/ GIMT_Encode4(1708299), // Rule ID 7727 //
     /* 1708218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1708235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708264 */     // MIs[0] policy
     /* 1708264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708274 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1708277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708298 */     // GIR_Coverage, 7727,
     /* 1708298 */     GIR_EraseRootFromParent_Done,
     /* 1708299 */   // Label 23384: @1708299
     /* 1708299 */   GIM_Try, /*On fail goto*//*Label 23385*/ GIMT_Encode4(1708385), // Rule ID 7730 //
     /* 1708304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1708315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1708318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1708321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708350 */     // MIs[0] policy
     /* 1708350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708360 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1708363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708384 */     // GIR_Coverage, 7730,
     /* 1708384 */     GIR_EraseRootFromParent_Done,
     /* 1708385 */   // Label 23385: @1708385
     /* 1708385 */   GIM_Try, /*On fail goto*//*Label 23386*/ GIMT_Encode4(1708471), // Rule ID 7731 //
     /* 1708390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1708401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1708404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1708407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708436 */     // MIs[0] policy
     /* 1708436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708446 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1708449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708470 */     // GIR_Coverage, 7731,
     /* 1708470 */     GIR_EraseRootFromParent_Done,
     /* 1708471 */   // Label 23386: @1708471
     /* 1708471 */   GIM_Try, /*On fail goto*//*Label 23387*/ GIMT_Encode4(1708557), // Rule ID 7734 //
     /* 1708476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1708479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1708487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1708490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1708493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708522 */     // MIs[0] policy
     /* 1708522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708532 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1708535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708556 */     // GIR_Coverage, 7734,
     /* 1708556 */     GIR_EraseRootFromParent_Done,
     /* 1708557 */   // Label 23387: @1708557
     /* 1708557 */   GIM_Try, /*On fail goto*//*Label 23388*/ GIMT_Encode4(1708643), // Rule ID 7735 //
     /* 1708562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1708565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1708573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1708576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1708579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708608 */     // MIs[0] policy
     /* 1708608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708618 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1708621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708642 */     // GIR_Coverage, 7735,
     /* 1708642 */     GIR_EraseRootFromParent_Done,
     /* 1708643 */   // Label 23388: @1708643
     /* 1708643 */   GIM_Try, /*On fail goto*//*Label 23389*/ GIMT_Encode4(1708729), // Rule ID 7738 //
     /* 1708648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1708651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1708659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1708662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1708665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708694 */     // MIs[0] policy
     /* 1708694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708704 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1708707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708728 */     // GIR_Coverage, 7738,
     /* 1708728 */     GIR_EraseRootFromParent_Done,
     /* 1708729 */   // Label 23389: @1708729
     /* 1708729 */   GIM_Try, /*On fail goto*//*Label 23390*/ GIMT_Encode4(1708815), // Rule ID 7739 //
     /* 1708734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1708737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1708745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1708748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1708751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708780 */     // MIs[0] policy
     /* 1708780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708790 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1708793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708814 */     // GIR_Coverage, 7739,
     /* 1708814 */     GIR_EraseRootFromParent_Done,
     /* 1708815 */   // Label 23390: @1708815
     /* 1708815 */   GIM_Try, /*On fail goto*//*Label 23391*/ GIMT_Encode4(1708901), // Rule ID 7742 //
     /* 1708820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1708823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1708831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1708834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1708837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708866 */     // MIs[0] policy
     /* 1708866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708876 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1708879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708900 */     // GIR_Coverage, 7742,
     /* 1708900 */     GIR_EraseRootFromParent_Done,
     /* 1708901 */   // Label 23391: @1708901
     /* 1708901 */   GIM_Try, /*On fail goto*//*Label 23392*/ GIMT_Encode4(1708987), // Rule ID 7743 //
     /* 1708906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1708909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1708917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1708920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1708923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708952 */     // MIs[0] policy
     /* 1708952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708962 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11508:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1708965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708986 */     // GIR_Coverage, 7743,
     /* 1708986 */     GIR_EraseRootFromParent_Done,
     /* 1708987 */   // Label 23392: @1708987
     /* 1708987 */   GIM_Try, /*On fail goto*//*Label 23393*/ GIMT_Encode4(1709073), // Rule ID 7746 //
     /* 1708992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1708995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1709003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1709006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1709009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709038 */     // MIs[0] policy
     /* 1709038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709048 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1709051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709072 */     // GIR_Coverage, 7746,
     /* 1709072 */     GIR_EraseRootFromParent_Done,
     /* 1709073 */   // Label 23393: @1709073
     /* 1709073 */   GIM_Try, /*On fail goto*//*Label 23394*/ GIMT_Encode4(1709159), // Rule ID 7747 //
     /* 1709078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1709081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1709089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1709092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1709095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709124 */     // MIs[0] policy
     /* 1709124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11508:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1709137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709158 */     // GIR_Coverage, 7747,
     /* 1709158 */     GIR_EraseRootFromParent_Done,
     /* 1709159 */   // Label 23394: @1709159
     /* 1709159 */   GIM_Try, /*On fail goto*//*Label 23395*/ GIMT_Encode4(1709245), // Rule ID 10262 //
     /* 1709164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1709175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1709178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1709181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1709184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709210 */     // MIs[0] policy
     /* 1709210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709220 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1709223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709244 */     // GIR_Coverage, 10262,
     /* 1709244 */     GIR_EraseRootFromParent_Done,
     /* 1709245 */   // Label 23395: @1709245
     /* 1709245 */   GIM_Try, /*On fail goto*//*Label 23396*/ GIMT_Encode4(1709331), // Rule ID 10263 //
     /* 1709250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1709261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1709264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1709267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1709270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709296 */     // MIs[0] policy
     /* 1709296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709306 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1709309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709330 */     // GIR_Coverage, 10263,
     /* 1709330 */     GIR_EraseRootFromParent_Done,
     /* 1709331 */   // Label 23396: @1709331
     /* 1709331 */   GIM_Try, /*On fail goto*//*Label 23397*/ GIMT_Encode4(1709417), // Rule ID 10266 //
     /* 1709336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1709347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1709350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1709353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1709356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709382 */     // MIs[0] policy
     /* 1709382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709392 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1709395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709416 */     // GIR_Coverage, 10266,
     /* 1709416 */     GIR_EraseRootFromParent_Done,
     /* 1709417 */   // Label 23397: @1709417
     /* 1709417 */   GIM_Try, /*On fail goto*//*Label 23398*/ GIMT_Encode4(1709503), // Rule ID 10267 //
     /* 1709422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1709433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1709436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1709439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1709442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709468 */     // MIs[0] policy
     /* 1709468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1709481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709502 */     // GIR_Coverage, 10267,
     /* 1709502 */     GIR_EraseRootFromParent_Done,
     /* 1709503 */   // Label 23398: @1709503
     /* 1709503 */   GIM_Try, /*On fail goto*//*Label 23399*/ GIMT_Encode4(1709589), // Rule ID 10270 //
     /* 1709508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1709519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1709522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1709525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1709528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709554 */     // MIs[0] policy
     /* 1709554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709564 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1709567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709588 */     // GIR_Coverage, 10270,
     /* 1709588 */     GIR_EraseRootFromParent_Done,
     /* 1709589 */   // Label 23399: @1709589
     /* 1709589 */   GIM_Try, /*On fail goto*//*Label 23400*/ GIMT_Encode4(1709675), // Rule ID 10271 //
     /* 1709594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1709605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1709608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1709611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1709614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709640 */     // MIs[0] policy
     /* 1709640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709650 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1709653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709674 */     // GIR_Coverage, 10271,
     /* 1709674 */     GIR_EraseRootFromParent_Done,
     /* 1709675 */   // Label 23400: @1709675
     /* 1709675 */   GIM_Try, /*On fail goto*//*Label 23401*/ GIMT_Encode4(1709761), // Rule ID 10274 //
     /* 1709680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1709691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1709694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1709697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1709700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709726 */     // MIs[0] policy
     /* 1709726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709736 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1709739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709760 */     // GIR_Coverage, 10274,
     /* 1709760 */     GIR_EraseRootFromParent_Done,
     /* 1709761 */   // Label 23401: @1709761
     /* 1709761 */   GIM_Try, /*On fail goto*//*Label 23402*/ GIMT_Encode4(1709847), // Rule ID 10275 //
     /* 1709766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1709777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1709780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1709783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1709786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709812 */     // MIs[0] policy
     /* 1709812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1709825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709846 */     // GIR_Coverage, 10275,
     /* 1709846 */     GIR_EraseRootFromParent_Done,
     /* 1709847 */   // Label 23402: @1709847
     /* 1709847 */   GIM_Try, /*On fail goto*//*Label 23403*/ GIMT_Encode4(1709933), // Rule ID 10278 //
     /* 1709852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1709863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1709866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1709869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1709872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709898 */     // MIs[0] policy
     /* 1709898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1709911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709932 */     // GIR_Coverage, 10278,
     /* 1709932 */     GIR_EraseRootFromParent_Done,
     /* 1709933 */   // Label 23403: @1709933
     /* 1709933 */   GIM_Try, /*On fail goto*//*Label 23404*/ GIMT_Encode4(1710019), // Rule ID 10279 //
     /* 1709938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1709949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1709952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1709955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1709958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709984 */     // MIs[0] policy
     /* 1709984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709994 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1709997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710018 */     // GIR_Coverage, 10279,
     /* 1710018 */     GIR_EraseRootFromParent_Done,
     /* 1710019 */   // Label 23404: @1710019
     /* 1710019 */   GIM_Try, /*On fail goto*//*Label 23405*/ GIMT_Encode4(1710105), // Rule ID 10282 //
     /* 1710024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1710035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1710038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1710041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1710044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710070 */     // MIs[0] policy
     /* 1710070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1710083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710104 */     // GIR_Coverage, 10282,
     /* 1710104 */     GIR_EraseRootFromParent_Done,
     /* 1710105 */   // Label 23405: @1710105
     /* 1710105 */   GIM_Try, /*On fail goto*//*Label 23406*/ GIMT_Encode4(1710191), // Rule ID 10283 //
     /* 1710110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1710121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1710124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1710127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1710130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710156 */     // MIs[0] policy
     /* 1710156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1710169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710190 */     // GIR_Coverage, 10283,
     /* 1710190 */     GIR_EraseRootFromParent_Done,
     /* 1710191 */   // Label 23406: @1710191
     /* 1710191 */   GIM_Try, /*On fail goto*//*Label 23407*/ GIMT_Encode4(1710277), // Rule ID 10286 //
     /* 1710196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1710207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1710210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1710213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1710216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710242 */     // MIs[0] policy
     /* 1710242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1710255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710276 */     // GIR_Coverage, 10286,
     /* 1710276 */     GIR_EraseRootFromParent_Done,
     /* 1710277 */   // Label 23407: @1710277
     /* 1710277 */   GIM_Try, /*On fail goto*//*Label 23408*/ GIMT_Encode4(1710363), // Rule ID 10287 //
     /* 1710282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1710293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1710296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1710299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1710302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710328 */     // MIs[0] policy
     /* 1710328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710338 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1710341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710362 */     // GIR_Coverage, 10287,
     /* 1710362 */     GIR_EraseRootFromParent_Done,
     /* 1710363 */   // Label 23408: @1710363
     /* 1710363 */   GIM_Try, /*On fail goto*//*Label 23409*/ GIMT_Encode4(1710449), // Rule ID 10290 //
     /* 1710368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1710379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1710382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1710385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1710388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710414 */     // MIs[0] policy
     /* 1710414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710424 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1710427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710448 */     // GIR_Coverage, 10290,
     /* 1710448 */     GIR_EraseRootFromParent_Done,
     /* 1710449 */   // Label 23409: @1710449
     /* 1710449 */   GIM_Try, /*On fail goto*//*Label 23410*/ GIMT_Encode4(1710535), // Rule ID 10291 //
     /* 1710454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1710465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1710468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1710471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1710474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710500 */     // MIs[0] policy
     /* 1710500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710510 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1710513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710534 */     // GIR_Coverage, 10291,
     /* 1710534 */     GIR_EraseRootFromParent_Done,
     /* 1710535 */   // Label 23410: @1710535
     /* 1710535 */   GIM_Try, /*On fail goto*//*Label 23411*/ GIMT_Encode4(1710621), // Rule ID 10294 //
     /* 1710540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1710551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1710554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1710557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1710560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710586 */     // MIs[0] policy
     /* 1710586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1710599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710620 */     // GIR_Coverage, 10294,
     /* 1710620 */     GIR_EraseRootFromParent_Done,
     /* 1710621 */   // Label 23411: @1710621
     /* 1710621 */   GIM_Try, /*On fail goto*//*Label 23412*/ GIMT_Encode4(1710707), // Rule ID 10295 //
     /* 1710626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1710637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1710640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1710643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1710646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710672 */     // MIs[0] policy
     /* 1710672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1710685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710706 */     // GIR_Coverage, 10295,
     /* 1710706 */     GIR_EraseRootFromParent_Done,
     /* 1710707 */   // Label 23412: @1710707
     /* 1710707 */   GIM_Try, /*On fail goto*//*Label 23413*/ GIMT_Encode4(1710793), // Rule ID 10298 //
     /* 1710712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1710715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1710723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1710726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1710729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1710732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710758 */     // MIs[0] policy
     /* 1710758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1710771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1710789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710792 */     // GIR_Coverage, 10298,
     /* 1710792 */     GIR_EraseRootFromParent_Done,
     /* 1710793 */   // Label 23413: @1710793
     /* 1710793 */   GIM_Try, /*On fail goto*//*Label 23414*/ GIMT_Encode4(1710879), // Rule ID 10299 //
     /* 1710798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1710801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1710809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1710812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1710815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1710818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710844 */     // MIs[0] policy
     /* 1710844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710854 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1710857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1710875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710878 */     // GIR_Coverage, 10299,
     /* 1710878 */     GIR_EraseRootFromParent_Done,
     /* 1710879 */   // Label 23414: @1710879
     /* 1710879 */   GIM_Try, /*On fail goto*//*Label 23415*/ GIMT_Encode4(1710965), // Rule ID 10302 //
     /* 1710884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1710895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1710898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1710901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1710904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1710907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710930 */     // MIs[0] policy
     /* 1710930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710940 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1710943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710964 */     // GIR_Coverage, 10302,
     /* 1710964 */     GIR_EraseRootFromParent_Done,
     /* 1710965 */   // Label 23415: @1710965
     /* 1710965 */   GIM_Try, /*On fail goto*//*Label 23416*/ GIMT_Encode4(1711051), // Rule ID 10303 //
     /* 1710970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1710981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1710984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1710987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1710990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1710993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711016 */     // MIs[0] policy
     /* 1711016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711026 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1711029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711050 */     // GIR_Coverage, 10303,
     /* 1711050 */     GIR_EraseRootFromParent_Done,
     /* 1711051 */   // Label 23416: @1711051
     /* 1711051 */   GIM_Try, /*On fail goto*//*Label 23417*/ GIMT_Encode4(1711137), // Rule ID 10306 //
     /* 1711056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1711073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1711076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711102 */     // MIs[0] policy
     /* 1711102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711112 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1711115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711136 */     // GIR_Coverage, 10306,
     /* 1711136 */     GIR_EraseRootFromParent_Done,
     /* 1711137 */   // Label 23417: @1711137
     /* 1711137 */   GIM_Try, /*On fail goto*//*Label 23418*/ GIMT_Encode4(1711223), // Rule ID 10307 //
     /* 1711142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1711159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1711162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711188 */     // MIs[0] policy
     /* 1711188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711198 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1711201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711222 */     // GIR_Coverage, 10307,
     /* 1711222 */     GIR_EraseRootFromParent_Done,
     /* 1711223 */   // Label 23418: @1711223
     /* 1711223 */   GIM_Try, /*On fail goto*//*Label 23419*/ GIMT_Encode4(1711309), // Rule ID 10310 //
     /* 1711228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1711239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1711242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1711245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1711248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1711251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711274 */     // MIs[0] policy
     /* 1711274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711284 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1711287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711308 */     // GIR_Coverage, 10310,
     /* 1711308 */     GIR_EraseRootFromParent_Done,
     /* 1711309 */   // Label 23419: @1711309
     /* 1711309 */   GIM_Try, /*On fail goto*//*Label 23420*/ GIMT_Encode4(1711395), // Rule ID 10311 //
     /* 1711314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1711325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1711328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1711331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1711334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1711337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711360 */     // MIs[0] policy
     /* 1711360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711370 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1711373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711394 */     // GIR_Coverage, 10311,
     /* 1711394 */     GIR_EraseRootFromParent_Done,
     /* 1711395 */   // Label 23420: @1711395
     /* 1711395 */   GIM_Try, /*On fail goto*//*Label 23421*/ GIMT_Encode4(1711481), // Rule ID 10314 //
     /* 1711400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1711411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1711414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1711417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1711420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711446 */     // MIs[0] policy
     /* 1711446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711456 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1711459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711480 */     // GIR_Coverage, 10314,
     /* 1711480 */     GIR_EraseRootFromParent_Done,
     /* 1711481 */   // Label 23421: @1711481
     /* 1711481 */   GIM_Try, /*On fail goto*//*Label 23422*/ GIMT_Encode4(1711567), // Rule ID 10315 //
     /* 1711486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1711497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1711500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1711503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1711506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711532 */     // MIs[0] policy
     /* 1711532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711542 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1711545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711566 */     // GIR_Coverage, 10315,
     /* 1711566 */     GIR_EraseRootFromParent_Done,
     /* 1711567 */   // Label 23422: @1711567
     /* 1711567 */   GIM_Try, /*On fail goto*//*Label 23423*/ GIMT_Encode4(1711653), // Rule ID 10318 //
     /* 1711572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1711583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1711586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1711589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1711592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711618 */     // MIs[0] policy
     /* 1711618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1711631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711652 */     // GIR_Coverage, 10318,
     /* 1711652 */     GIR_EraseRootFromParent_Done,
     /* 1711653 */   // Label 23423: @1711653
     /* 1711653 */   GIM_Try, /*On fail goto*//*Label 23424*/ GIMT_Encode4(1711739), // Rule ID 10319 //
     /* 1711658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1711669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1711672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1711675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1711678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711704 */     // MIs[0] policy
     /* 1711704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711714 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1711717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711738 */     // GIR_Coverage, 10319,
     /* 1711738 */     GIR_EraseRootFromParent_Done,
     /* 1711739 */   // Label 23424: @1711739
     /* 1711739 */   GIM_Try, /*On fail goto*//*Label 23425*/ GIMT_Encode4(1711825), // Rule ID 10322 //
     /* 1711744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1711755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1711758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1711761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1711764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711790 */     // MIs[0] policy
     /* 1711790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711800 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1711803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711824 */     // GIR_Coverage, 10322,
     /* 1711824 */     GIR_EraseRootFromParent_Done,
     /* 1711825 */   // Label 23425: @1711825
     /* 1711825 */   GIM_Try, /*On fail goto*//*Label 23426*/ GIMT_Encode4(1711911), // Rule ID 10323 //
     /* 1711830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1711841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1711844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1711847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1711850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711876 */     // MIs[0] policy
     /* 1711876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711886 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1711889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711910 */     // GIR_Coverage, 10323,
     /* 1711910 */     GIR_EraseRootFromParent_Done,
     /* 1711911 */   // Label 23426: @1711911
     /* 1711911 */   GIM_Try, /*On fail goto*//*Label 23427*/ GIMT_Encode4(1711997), // Rule ID 10326 //
     /* 1711916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1711927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1711930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1711933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1711936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711962 */     // MIs[0] policy
     /* 1711962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1711975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711996 */     // GIR_Coverage, 10326,
     /* 1711996 */     GIR_EraseRootFromParent_Done,
     /* 1711997 */   // Label 23427: @1711997
     /* 1711997 */   GIM_Try, /*On fail goto*//*Label 23428*/ GIMT_Encode4(1712083), // Rule ID 10327 //
     /* 1712002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1712013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1712016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1712019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1712022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712048 */     // MIs[0] policy
     /* 1712048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1712061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712082 */     // GIR_Coverage, 10327,
     /* 1712082 */     GIR_EraseRootFromParent_Done,
     /* 1712083 */   // Label 23428: @1712083
     /* 1712083 */   GIM_Try, /*On fail goto*//*Label 23429*/ GIMT_Encode4(1712169), // Rule ID 10330 //
     /* 1712088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1712099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1712102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1712105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1712108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712134 */     // MIs[0] policy
     /* 1712134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1712147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712168 */     // GIR_Coverage, 10330,
     /* 1712168 */     GIR_EraseRootFromParent_Done,
     /* 1712169 */   // Label 23429: @1712169
     /* 1712169 */   GIM_Try, /*On fail goto*//*Label 23430*/ GIMT_Encode4(1712255), // Rule ID 10331 //
     /* 1712174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1712185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1712188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1712191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1712194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712220 */     // MIs[0] policy
     /* 1712220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712230 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1712233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712254 */     // GIR_Coverage, 10331,
     /* 1712254 */     GIR_EraseRootFromParent_Done,
     /* 1712255 */   // Label 23430: @1712255
     /* 1712255 */   GIM_Try, /*On fail goto*//*Label 23431*/ GIMT_Encode4(1712341), // Rule ID 10334 //
     /* 1712260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1712271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1712274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1712277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1712280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712306 */     // MIs[0] policy
     /* 1712306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712316 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1712319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712340 */     // GIR_Coverage, 10334,
     /* 1712340 */     GIR_EraseRootFromParent_Done,
     /* 1712341 */   // Label 23431: @1712341
     /* 1712341 */   GIM_Try, /*On fail goto*//*Label 23432*/ GIMT_Encode4(1712427), // Rule ID 10335 //
     /* 1712346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1712357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1712360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1712363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1712366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712392 */     // MIs[0] policy
     /* 1712392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1712405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712426 */     // GIR_Coverage, 10335,
     /* 1712426 */     GIR_EraseRootFromParent_Done,
     /* 1712427 */   // Label 23432: @1712427
     /* 1712427 */   GIM_Try, /*On fail goto*//*Label 23433*/ GIMT_Encode4(1712513), // Rule ID 10338 //
     /* 1712432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1712435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1712443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1712446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1712449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1712452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712478 */     // MIs[0] policy
     /* 1712478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712488 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1712491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712512 */     // GIR_Coverage, 10338,
     /* 1712512 */     GIR_EraseRootFromParent_Done,
     /* 1712513 */   // Label 23433: @1712513
     /* 1712513 */   GIM_Try, /*On fail goto*//*Label 23434*/ GIMT_Encode4(1712599), // Rule ID 10339 //
     /* 1712518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1712521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1712529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1712532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1712535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1712538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712564 */     // MIs[0] policy
     /* 1712564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1712577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712598 */     // GIR_Coverage, 10339,
     /* 1712598 */     GIR_EraseRootFromParent_Done,
     /* 1712599 */   // Label 23434: @1712599
     /* 1712599 */   GIM_Try, /*On fail goto*//*Label 23435*/ GIMT_Encode4(1712685), // Rule ID 10342 //
     /* 1712604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1712607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1712615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1712618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1712621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1712624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712650 */     // MIs[0] policy
     /* 1712650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712660 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1712663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712684 */     // GIR_Coverage, 10342,
     /* 1712684 */     GIR_EraseRootFromParent_Done,
     /* 1712685 */   // Label 23435: @1712685
     /* 1712685 */   GIM_Try, /*On fail goto*//*Label 23436*/ GIMT_Encode4(1712771), // Rule ID 10343 //
     /* 1712690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1712693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1712701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1712704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1712707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1712710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712736 */     // MIs[0] policy
     /* 1712736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712746 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1712749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712770 */     // GIR_Coverage, 10343,
     /* 1712770 */     GIR_EraseRootFromParent_Done,
     /* 1712771 */   // Label 23436: @1712771
     /* 1712771 */   GIM_Try, /*On fail goto*//*Label 23437*/ GIMT_Encode4(1712857), // Rule ID 10346 //
     /* 1712776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1712779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1712787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1712790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1712793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1712796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712822 */     // MIs[0] policy
     /* 1712822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712832 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1712835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712856 */     // GIR_Coverage, 10346,
     /* 1712856 */     GIR_EraseRootFromParent_Done,
     /* 1712857 */   // Label 23437: @1712857
     /* 1712857 */   GIM_Try, /*On fail goto*//*Label 23438*/ GIMT_Encode4(1712943), // Rule ID 10347 //
     /* 1712862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1712865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1712873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1712876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1712879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1712882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712908 */     // MIs[0] policy
     /* 1712908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712918 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1712921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712942 */     // GIR_Coverage, 10347,
     /* 1712942 */     GIR_EraseRootFromParent_Done,
     /* 1712943 */   // Label 23438: @1712943
     /* 1712943 */   GIM_Try, /*On fail goto*//*Label 23439*/ GIMT_Encode4(1713029), // Rule ID 10350 //
     /* 1712948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1712959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1712962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1712965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712994 */     // MIs[0] policy
     /* 1712994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713004 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1713007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713028 */     // GIR_Coverage, 10350,
     /* 1713028 */     GIR_EraseRootFromParent_Done,
     /* 1713029 */   // Label 23439: @1713029
     /* 1713029 */   GIM_Try, /*On fail goto*//*Label 23440*/ GIMT_Encode4(1713115), // Rule ID 10351 //
     /* 1713034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1713045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1713048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1713051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713080 */     // MIs[0] policy
     /* 1713080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713090 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1713093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713114 */     // GIR_Coverage, 10351,
     /* 1713114 */     GIR_EraseRootFromParent_Done,
     /* 1713115 */   // Label 23440: @1713115
     /* 1713115 */   GIM_Try, /*On fail goto*//*Label 23441*/ GIMT_Encode4(1713201), // Rule ID 10354 //
     /* 1713120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1713131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1713134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1713137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713166 */     // MIs[0] policy
     /* 1713166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713176 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1713179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713200 */     // GIR_Coverage, 10354,
     /* 1713200 */     GIR_EraseRootFromParent_Done,
     /* 1713201 */   // Label 23441: @1713201
     /* 1713201 */   GIM_Try, /*On fail goto*//*Label 23442*/ GIMT_Encode4(1713287), // Rule ID 10355 //
     /* 1713206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1713217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1713220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1713223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713252 */     // MIs[0] policy
     /* 1713252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713262 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1713265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713286 */     // GIR_Coverage, 10355,
     /* 1713286 */     GIR_EraseRootFromParent_Done,
     /* 1713287 */   // Label 23442: @1713287
     /* 1713287 */   GIM_Try, /*On fail goto*//*Label 23443*/ GIMT_Encode4(1713373), // Rule ID 10358 //
     /* 1713292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1713303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1713306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1713309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713338 */     // MIs[0] policy
     /* 1713338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713348 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1713351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713372 */     // GIR_Coverage, 10358,
     /* 1713372 */     GIR_EraseRootFromParent_Done,
     /* 1713373 */   // Label 23443: @1713373
     /* 1713373 */   GIM_Try, /*On fail goto*//*Label 23444*/ GIMT_Encode4(1713459), // Rule ID 10359 //
     /* 1713378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1713389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1713392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1713395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713424 */     // MIs[0] policy
     /* 1713424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713434 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1713437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713458 */     // GIR_Coverage, 10359,
     /* 1713458 */     GIR_EraseRootFromParent_Done,
     /* 1713459 */   // Label 23444: @1713459
     /* 1713459 */   GIM_Try, /*On fail goto*//*Label 23445*/ GIMT_Encode4(1713545), // Rule ID 10362 //
     /* 1713464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1713475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1713478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1713481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713510 */     // MIs[0] policy
     /* 1713510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713520 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1713523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713544 */     // GIR_Coverage, 10362,
     /* 1713544 */     GIR_EraseRootFromParent_Done,
     /* 1713545 */   // Label 23445: @1713545
     /* 1713545 */   GIM_Try, /*On fail goto*//*Label 23446*/ GIMT_Encode4(1713631), // Rule ID 10363 //
     /* 1713550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1713561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1713564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1713567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713596 */     // MIs[0] policy
     /* 1713596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713606 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1713609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713630 */     // GIR_Coverage, 10363,
     /* 1713630 */     GIR_EraseRootFromParent_Done,
     /* 1713631 */   // Label 23446: @1713631
     /* 1713631 */   GIM_Try, /*On fail goto*//*Label 23447*/ GIMT_Encode4(1713717), // Rule ID 10366 //
     /* 1713636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1713647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1713650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1713653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713682 */     // MIs[0] policy
     /* 1713682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713692 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1713695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713716 */     // GIR_Coverage, 10366,
     /* 1713716 */     GIR_EraseRootFromParent_Done,
     /* 1713717 */   // Label 23447: @1713717
     /* 1713717 */   GIM_Try, /*On fail goto*//*Label 23448*/ GIMT_Encode4(1713803), // Rule ID 10367 //
     /* 1713722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1713733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1713736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1713739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713768 */     // MIs[0] policy
     /* 1713768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713778 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1713781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713802 */     // GIR_Coverage, 10367,
     /* 1713802 */     GIR_EraseRootFromParent_Done,
     /* 1713803 */   // Label 23448: @1713803
     /* 1713803 */   GIM_Try, /*On fail goto*//*Label 23449*/ GIMT_Encode4(1713889), // Rule ID 10370 //
     /* 1713808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1713819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1713822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1713825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713854 */     // MIs[0] policy
     /* 1713854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713864 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1713867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713888 */     // GIR_Coverage, 10370,
     /* 1713888 */     GIR_EraseRootFromParent_Done,
     /* 1713889 */   // Label 23449: @1713889
     /* 1713889 */   GIM_Try, /*On fail goto*//*Label 23450*/ GIMT_Encode4(1713975), // Rule ID 10371 //
     /* 1713894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1713905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1713908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1713911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713940 */     // MIs[0] policy
     /* 1713940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713950 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1713953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713974 */     // GIR_Coverage, 10371,
     /* 1713974 */     GIR_EraseRootFromParent_Done,
     /* 1713975 */   // Label 23450: @1713975
     /* 1713975 */   GIM_Try, /*On fail goto*//*Label 23451*/ GIMT_Encode4(1714061), // Rule ID 10374 //
     /* 1713980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1713991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1713994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1713997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714026 */     // MIs[0] policy
     /* 1714026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1714039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714060 */     // GIR_Coverage, 10374,
     /* 1714060 */     GIR_EraseRootFromParent_Done,
     /* 1714061 */   // Label 23451: @1714061
     /* 1714061 */   GIM_Try, /*On fail goto*//*Label 23452*/ GIMT_Encode4(1714147), // Rule ID 10375 //
     /* 1714066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1714077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1714080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1714083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714112 */     // MIs[0] policy
     /* 1714112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714122 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1714125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714146 */     // GIR_Coverage, 10375,
     /* 1714146 */     GIR_EraseRootFromParent_Done,
     /* 1714147 */   // Label 23452: @1714147
     /* 1714147 */   GIM_Try, /*On fail goto*//*Label 23453*/ GIMT_Encode4(1714233), // Rule ID 10378 //
     /* 1714152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1714163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1714166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1714169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714198 */     // MIs[0] policy
     /* 1714198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1714211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714232 */     // GIR_Coverage, 10378,
     /* 1714232 */     GIR_EraseRootFromParent_Done,
     /* 1714233 */   // Label 23453: @1714233
     /* 1714233 */   GIM_Try, /*On fail goto*//*Label 23454*/ GIMT_Encode4(1714319), // Rule ID 10379 //
     /* 1714238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1714249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1714252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1714255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714284 */     // MIs[0] policy
     /* 1714284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1714297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714318 */     // GIR_Coverage, 10379,
     /* 1714318 */     GIR_EraseRootFromParent_Done,
     /* 1714319 */   // Label 23454: @1714319
     /* 1714319 */   GIM_Try, /*On fail goto*//*Label 23455*/ GIMT_Encode4(1714405), // Rule ID 10382 //
     /* 1714324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1714335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1714338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1714341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714370 */     // MIs[0] policy
     /* 1714370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1714383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714404 */     // GIR_Coverage, 10382,
     /* 1714404 */     GIR_EraseRootFromParent_Done,
     /* 1714405 */   // Label 23455: @1714405
     /* 1714405 */   GIM_Try, /*On fail goto*//*Label 23456*/ GIMT_Encode4(1714491), // Rule ID 10383 //
     /* 1714410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1714421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1714424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1714427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714456 */     // MIs[0] policy
     /* 1714456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1714469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714490 */     // GIR_Coverage, 10383,
     /* 1714490 */     GIR_EraseRootFromParent_Done,
     /* 1714491 */   // Label 23456: @1714491
     /* 1714491 */   GIM_Try, /*On fail goto*//*Label 23457*/ GIMT_Encode4(1714577), // Rule ID 10386 //
     /* 1714496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1714499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1714507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1714510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1714513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714542 */     // MIs[0] policy
     /* 1714542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1714555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714576 */     // GIR_Coverage, 10386,
     /* 1714576 */     GIR_EraseRootFromParent_Done,
     /* 1714577 */   // Label 23457: @1714577
     /* 1714577 */   GIM_Try, /*On fail goto*//*Label 23458*/ GIMT_Encode4(1714663), // Rule ID 10387 //
     /* 1714582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1714585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1714593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1714596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1714599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714628 */     // MIs[0] policy
     /* 1714628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714638 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1714641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714662 */     // GIR_Coverage, 10387,
     /* 1714662 */     GIR_EraseRootFromParent_Done,
     /* 1714663 */   // Label 23458: @1714663
     /* 1714663 */   GIM_Try, /*On fail goto*//*Label 23459*/ GIMT_Encode4(1714749), // Rule ID 10390 //
     /* 1714668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1714679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1714682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1714685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1714691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714714 */     // MIs[0] policy
     /* 1714714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714724 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1714727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714748 */     // GIR_Coverage, 10390,
     /* 1714748 */     GIR_EraseRootFromParent_Done,
     /* 1714749 */   // Label 23459: @1714749
     /* 1714749 */   GIM_Try, /*On fail goto*//*Label 23460*/ GIMT_Encode4(1714835), // Rule ID 10391 //
     /* 1714754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1714765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1714768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1714771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1714777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714800 */     // MIs[0] policy
     /* 1714800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714810 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1714813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714834 */     // GIR_Coverage, 10391,
     /* 1714834 */     GIR_EraseRootFromParent_Done,
     /* 1714835 */   // Label 23460: @1714835
     /* 1714835 */   GIM_Try, /*On fail goto*//*Label 23461*/ GIMT_Encode4(1714921), // Rule ID 10394 //
     /* 1714840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1714851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1714854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1714857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1714863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714886 */     // MIs[0] policy
     /* 1714886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714896 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1714899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714920 */     // GIR_Coverage, 10394,
     /* 1714920 */     GIR_EraseRootFromParent_Done,
     /* 1714921 */   // Label 23461: @1714921
     /* 1714921 */   GIM_Try, /*On fail goto*//*Label 23462*/ GIMT_Encode4(1715007), // Rule ID 10395 //
     /* 1714926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1714937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1714940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1714943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1714949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714972 */     // MIs[0] policy
     /* 1714972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714982 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1714985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715006 */     // GIR_Coverage, 10395,
     /* 1715006 */     GIR_EraseRootFromParent_Done,
     /* 1715007 */   // Label 23462: @1715007
     /* 1715007 */   GIM_Try, /*On fail goto*//*Label 23463*/ GIMT_Encode4(1715093), // Rule ID 10398 //
     /* 1715012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1715023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1715026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1715029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1715035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715058 */     // MIs[0] policy
     /* 1715058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715068 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1715071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715092 */     // GIR_Coverage, 10398,
     /* 1715092 */     GIR_EraseRootFromParent_Done,
     /* 1715093 */   // Label 23463: @1715093
     /* 1715093 */   GIM_Try, /*On fail goto*//*Label 23464*/ GIMT_Encode4(1715179), // Rule ID 10399 //
     /* 1715098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1715109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1715112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1715115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1715121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715144 */     // MIs[0] policy
     /* 1715144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715154 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1715157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715178 */     // GIR_Coverage, 10399,
     /* 1715178 */     GIR_EraseRootFromParent_Done,
     /* 1715179 */   // Label 23464: @1715179
     /* 1715179 */   GIM_Try, /*On fail goto*//*Label 23465*/ GIMT_Encode4(1715265), // Rule ID 10402 //
     /* 1715184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1715195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1715198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1715201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715230 */     // MIs[0] policy
     /* 1715230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715240 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1715243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715264 */     // GIR_Coverage, 10402,
     /* 1715264 */     GIR_EraseRootFromParent_Done,
     /* 1715265 */   // Label 23465: @1715265
     /* 1715265 */   GIM_Try, /*On fail goto*//*Label 23466*/ GIMT_Encode4(1715351), // Rule ID 10403 //
     /* 1715270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1715281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1715284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1715287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715316 */     // MIs[0] policy
     /* 1715316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715326 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1715329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715350 */     // GIR_Coverage, 10403,
     /* 1715350 */     GIR_EraseRootFromParent_Done,
     /* 1715351 */   // Label 23466: @1715351
     /* 1715351 */   GIM_Try, /*On fail goto*//*Label 23467*/ GIMT_Encode4(1715437), // Rule ID 10406 //
     /* 1715356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1715367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1715370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1715373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715402 */     // MIs[0] policy
     /* 1715402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1715415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715436 */     // GIR_Coverage, 10406,
     /* 1715436 */     GIR_EraseRootFromParent_Done,
     /* 1715437 */   // Label 23467: @1715437
     /* 1715437 */   GIM_Try, /*On fail goto*//*Label 23468*/ GIMT_Encode4(1715523), // Rule ID 10407 //
     /* 1715442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1715453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1715456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1715459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715488 */     // MIs[0] policy
     /* 1715488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715498 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1715501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715522 */     // GIR_Coverage, 10407,
     /* 1715522 */     GIR_EraseRootFromParent_Done,
     /* 1715523 */   // Label 23468: @1715523
     /* 1715523 */   GIM_Try, /*On fail goto*//*Label 23469*/ GIMT_Encode4(1715609), // Rule ID 10410 //
     /* 1715528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1715539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1715542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1715545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715574 */     // MIs[0] policy
     /* 1715574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715584 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1715587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715608 */     // GIR_Coverage, 10410,
     /* 1715608 */     GIR_EraseRootFromParent_Done,
     /* 1715609 */   // Label 23469: @1715609
     /* 1715609 */   GIM_Try, /*On fail goto*//*Label 23470*/ GIMT_Encode4(1715695), // Rule ID 10411 //
     /* 1715614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1715625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1715628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1715631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715660 */     // MIs[0] policy
     /* 1715660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715670 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1715673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715694 */     // GIR_Coverage, 10411,
     /* 1715694 */     GIR_EraseRootFromParent_Done,
     /* 1715695 */   // Label 23470: @1715695
     /* 1715695 */   GIM_Try, /*On fail goto*//*Label 23471*/ GIMT_Encode4(1715781), // Rule ID 10414 //
     /* 1715700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1715711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1715714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1715717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715746 */     // MIs[0] policy
     /* 1715746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1715759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715780 */     // GIR_Coverage, 10414,
     /* 1715780 */     GIR_EraseRootFromParent_Done,
     /* 1715781 */   // Label 23471: @1715781
     /* 1715781 */   GIM_Try, /*On fail goto*//*Label 23472*/ GIMT_Encode4(1715867), // Rule ID 10415 //
     /* 1715786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1715797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1715800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1715803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715832 */     // MIs[0] policy
     /* 1715832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1715845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715866 */     // GIR_Coverage, 10415,
     /* 1715866 */     GIR_EraseRootFromParent_Done,
     /* 1715867 */   // Label 23472: @1715867
     /* 1715867 */   GIM_Try, /*On fail goto*//*Label 23473*/ GIMT_Encode4(1715953), // Rule ID 10418 //
     /* 1715872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1715883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1715886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1715889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715918 */     // MIs[0] policy
     /* 1715918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715928 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1715931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715952 */     // GIR_Coverage, 10418,
     /* 1715952 */     GIR_EraseRootFromParent_Done,
     /* 1715953 */   // Label 23473: @1715953
     /* 1715953 */   GIM_Try, /*On fail goto*//*Label 23474*/ GIMT_Encode4(1716039), // Rule ID 10419 //
     /* 1715958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1715969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1715972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1715975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716004 */     // MIs[0] policy
     /* 1716004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1716017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716038 */     // GIR_Coverage, 10419,
     /* 1716038 */     GIR_EraseRootFromParent_Done,
     /* 1716039 */   // Label 23474: @1716039
     /* 1716039 */   GIM_Try, /*On fail goto*//*Label 23475*/ GIMT_Encode4(1716125), // Rule ID 10422 //
     /* 1716044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1716055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1716058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1716061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716090 */     // MIs[0] policy
     /* 1716090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716100 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1716103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716124 */     // GIR_Coverage, 10422,
     /* 1716124 */     GIR_EraseRootFromParent_Done,
     /* 1716125 */   // Label 23475: @1716125
     /* 1716125 */   GIM_Try, /*On fail goto*//*Label 23476*/ GIMT_Encode4(1716211), // Rule ID 10423 //
     /* 1716130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1716141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1716144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1716147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716176 */     // MIs[0] policy
     /* 1716176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716186 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1716189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716210 */     // GIR_Coverage, 10423,
     /* 1716210 */     GIR_EraseRootFromParent_Done,
     /* 1716211 */   // Label 23476: @1716211
     /* 1716211 */   GIM_Try, /*On fail goto*//*Label 23477*/ GIMT_Encode4(1716297), // Rule ID 10426 //
     /* 1716216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1716219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1716227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1716230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1716233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716262 */     // MIs[0] policy
     /* 1716262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1716275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716296 */     // GIR_Coverage, 10426,
     /* 1716296 */     GIR_EraseRootFromParent_Done,
     /* 1716297 */   // Label 23477: @1716297
     /* 1716297 */   GIM_Try, /*On fail goto*//*Label 23478*/ GIMT_Encode4(1716383), // Rule ID 10427 //
     /* 1716302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1716305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1716313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1716316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1716319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716348 */     // MIs[0] policy
     /* 1716348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716358 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1716361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716382 */     // GIR_Coverage, 10427,
     /* 1716382 */     GIR_EraseRootFromParent_Done,
     /* 1716383 */   // Label 23478: @1716383
     /* 1716383 */   GIM_Try, /*On fail goto*//*Label 23479*/ GIMT_Encode4(1716469), // Rule ID 10430 //
     /* 1716388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1716391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1716399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1716402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1716405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716434 */     // MIs[0] policy
     /* 1716434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716444 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1716447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716468 */     // GIR_Coverage, 10430,
     /* 1716468 */     GIR_EraseRootFromParent_Done,
     /* 1716469 */   // Label 23479: @1716469
     /* 1716469 */   GIM_Try, /*On fail goto*//*Label 23480*/ GIMT_Encode4(1716555), // Rule ID 10431 //
     /* 1716474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1716477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1716485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1716488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1716491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716520 */     // MIs[0] policy
     /* 1716520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716530 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1716533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716554 */     // GIR_Coverage, 10431,
     /* 1716554 */     GIR_EraseRootFromParent_Done,
     /* 1716555 */   // Label 23480: @1716555
     /* 1716555 */   GIM_Try, /*On fail goto*//*Label 23481*/ GIMT_Encode4(1716641), // Rule ID 10434 //
     /* 1716560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1716563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1716571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1716574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1716577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716606 */     // MIs[0] policy
     /* 1716606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716616 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1716619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716640 */     // GIR_Coverage, 10434,
     /* 1716640 */     GIR_EraseRootFromParent_Done,
     /* 1716641 */   // Label 23481: @1716641
     /* 1716641 */   GIM_Try, /*On fail goto*//*Label 23482*/ GIMT_Encode4(1716727), // Rule ID 10435 //
     /* 1716646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1716649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1716657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1716660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1716663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716692 */     // MIs[0] policy
     /* 1716692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716702 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1716705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716726 */     // GIR_Coverage, 10435,
     /* 1716726 */     GIR_EraseRootFromParent_Done,
     /* 1716727 */   // Label 23482: @1716727
     /* 1716727 */   GIM_Try, /*On fail goto*//*Label 23483*/ GIMT_Encode4(1716813), // Rule ID 10438 //
     /* 1716732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1716743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1716746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1716749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1716752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716778 */     // MIs[0] policy
     /* 1716778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1716791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716812 */     // GIR_Coverage, 10438,
     /* 1716812 */     GIR_EraseRootFromParent_Done,
     /* 1716813 */   // Label 23483: @1716813
     /* 1716813 */   GIM_Try, /*On fail goto*//*Label 23484*/ GIMT_Encode4(1716899), // Rule ID 10439 //
     /* 1716818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1716829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1716832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1716835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1716838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716864 */     // MIs[0] policy
     /* 1716864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716874 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1716877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716898 */     // GIR_Coverage, 10439,
     /* 1716898 */     GIR_EraseRootFromParent_Done,
     /* 1716899 */   // Label 23484: @1716899
     /* 1716899 */   GIM_Try, /*On fail goto*//*Label 23485*/ GIMT_Encode4(1716985), // Rule ID 10442 //
     /* 1716904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1716915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1716918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1716921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1716924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716950 */     // MIs[0] policy
     /* 1716950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716960 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1716963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716984 */     // GIR_Coverage, 10442,
     /* 1716984 */     GIR_EraseRootFromParent_Done,
     /* 1716985 */   // Label 23485: @1716985
     /* 1716985 */   GIM_Try, /*On fail goto*//*Label 23486*/ GIMT_Encode4(1717071), // Rule ID 10443 //
     /* 1716990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1717001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1717004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1717007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1717010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717036 */     // MIs[0] policy
     /* 1717036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1717049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717070 */     // GIR_Coverage, 10443,
     /* 1717070 */     GIR_EraseRootFromParent_Done,
     /* 1717071 */   // Label 23486: @1717071
     /* 1717071 */   GIM_Try, /*On fail goto*//*Label 23487*/ GIMT_Encode4(1717157), // Rule ID 10446 //
     /* 1717076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1717090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1717093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1717096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717122 */     // MIs[0] policy
     /* 1717122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717132 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1717135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717156 */     // GIR_Coverage, 10446,
     /* 1717156 */     GIR_EraseRootFromParent_Done,
     /* 1717157 */   // Label 23487: @1717157
     /* 1717157 */   GIM_Try, /*On fail goto*//*Label 23488*/ GIMT_Encode4(1717243), // Rule ID 10447 //
     /* 1717162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1717176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1717179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1717182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717208 */     // MIs[0] policy
     /* 1717208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717218 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1717221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717242 */     // GIR_Coverage, 10447,
     /* 1717242 */     GIR_EraseRootFromParent_Done,
     /* 1717243 */   // Label 23488: @1717243
     /* 1717243 */   GIM_Try, /*On fail goto*//*Label 23489*/ GIMT_Encode4(1717329), // Rule ID 10450 //
     /* 1717248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1717259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1717262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1717265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1717268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717294 */     // MIs[0] policy
     /* 1717294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717304 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1717307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717328 */     // GIR_Coverage, 10450,
     /* 1717328 */     GIR_EraseRootFromParent_Done,
     /* 1717329 */   // Label 23489: @1717329
     /* 1717329 */   GIM_Try, /*On fail goto*//*Label 23490*/ GIMT_Encode4(1717415), // Rule ID 10451 //
     /* 1717334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1717345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1717348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1717351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1717354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717380 */     // MIs[0] policy
     /* 1717380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717390 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1717393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717414 */     // GIR_Coverage, 10451,
     /* 1717414 */     GIR_EraseRootFromParent_Done,
     /* 1717415 */   // Label 23490: @1717415
     /* 1717415 */   GIM_Try, /*On fail goto*//*Label 23491*/ GIMT_Encode4(1717501), // Rule ID 10454 //
     /* 1717420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1717431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1717434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1717437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1717440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717466 */     // MIs[0] policy
     /* 1717466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1717479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717500 */     // GIR_Coverage, 10454,
     /* 1717500 */     GIR_EraseRootFromParent_Done,
     /* 1717501 */   // Label 23491: @1717501
     /* 1717501 */   GIM_Try, /*On fail goto*//*Label 23492*/ GIMT_Encode4(1717587), // Rule ID 10455 //
     /* 1717506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1717517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1717520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1717523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1717526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717552 */     // MIs[0] policy
     /* 1717552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717562 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1717565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717586 */     // GIR_Coverage, 10455,
     /* 1717586 */     GIR_EraseRootFromParent_Done,
     /* 1717587 */   // Label 23492: @1717587
     /* 1717587 */   GIM_Try, /*On fail goto*//*Label 23493*/ GIMT_Encode4(1717673), // Rule ID 10458 //
     /* 1717592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1717603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1717606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1717609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1717612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717638 */     // MIs[0] policy
     /* 1717638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1717651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717672 */     // GIR_Coverage, 10458,
     /* 1717672 */     GIR_EraseRootFromParent_Done,
     /* 1717673 */   // Label 23493: @1717673
     /* 1717673 */   GIM_Try, /*On fail goto*//*Label 23494*/ GIMT_Encode4(1717759), // Rule ID 10459 //
     /* 1717678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1717689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1717692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1717695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1717698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717724 */     // MIs[0] policy
     /* 1717724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1717737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717758 */     // GIR_Coverage, 10459,
     /* 1717758 */     GIR_EraseRootFromParent_Done,
     /* 1717759 */   // Label 23494: @1717759
     /* 1717759 */   GIM_Try, /*On fail goto*//*Label 23495*/ GIMT_Encode4(1717845), // Rule ID 10462 //
     /* 1717764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1717775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1717778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1717781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1717784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717810 */     // MIs[0] policy
     /* 1717810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1717823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717844 */     // GIR_Coverage, 10462,
     /* 1717844 */     GIR_EraseRootFromParent_Done,
     /* 1717845 */   // Label 23495: @1717845
     /* 1717845 */   GIM_Try, /*On fail goto*//*Label 23496*/ GIMT_Encode4(1717931), // Rule ID 10463 //
     /* 1717850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1717861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1717864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1717867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1717870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717896 */     // MIs[0] policy
     /* 1717896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717906 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1717909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717930 */     // GIR_Coverage, 10463,
     /* 1717930 */     GIR_EraseRootFromParent_Done,
     /* 1717931 */   // Label 23496: @1717931
     /* 1717931 */   GIM_Try, /*On fail goto*//*Label 23497*/ GIMT_Encode4(1718017), // Rule ID 10466 //
     /* 1717936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1717947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1717950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1717953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1717956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717982 */     // MIs[0] policy
     /* 1717982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1717995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718016 */     // GIR_Coverage, 10466,
     /* 1718016 */     GIR_EraseRootFromParent_Done,
     /* 1718017 */   // Label 23497: @1718017
     /* 1718017 */   GIM_Try, /*On fail goto*//*Label 23498*/ GIMT_Encode4(1718103), // Rule ID 10467 //
     /* 1718022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1718033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1718036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1718039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1718042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718068 */     // MIs[0] policy
     /* 1718068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1718081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718102 */     // GIR_Coverage, 10467,
     /* 1718102 */     GIR_EraseRootFromParent_Done,
     /* 1718103 */   // Label 23498: @1718103
     /* 1718103 */   GIM_Try, /*On fail goto*//*Label 23499*/ GIMT_Encode4(1718189), // Rule ID 10470 //
     /* 1718108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1718119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1718122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1718125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1718128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718154 */     // MIs[0] policy
     /* 1718154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1718167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718188 */     // GIR_Coverage, 10470,
     /* 1718188 */     GIR_EraseRootFromParent_Done,
     /* 1718189 */   // Label 23499: @1718189
     /* 1718189 */   GIM_Try, /*On fail goto*//*Label 23500*/ GIMT_Encode4(1718275), // Rule ID 10471 //
     /* 1718194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1718205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1718208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1718211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1718214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718240 */     // MIs[0] policy
     /* 1718240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1718253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718274 */     // GIR_Coverage, 10471,
     /* 1718274 */     GIR_EraseRootFromParent_Done,
     /* 1718275 */   // Label 23500: @1718275
     /* 1718275 */   GIM_Try, /*On fail goto*//*Label 23501*/ GIMT_Encode4(1718361), // Rule ID 10474 //
     /* 1718280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1718283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1718291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1718294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1718297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1718300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718326 */     // MIs[0] policy
     /* 1718326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1718339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718360 */     // GIR_Coverage, 10474,
     /* 1718360 */     GIR_EraseRootFromParent_Done,
     /* 1718361 */   // Label 23501: @1718361
     /* 1718361 */   GIM_Try, /*On fail goto*//*Label 23502*/ GIMT_Encode4(1718447), // Rule ID 10475 //
     /* 1718366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1718369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1718377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1718380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1718383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1718386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718412 */     // MIs[0] policy
     /* 1718412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1718425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718446 */     // GIR_Coverage, 10475,
     /* 1718446 */     GIR_EraseRootFromParent_Done,
     /* 1718447 */   // Label 23502: @1718447
     /* 1718447 */   GIM_Try, /*On fail goto*//*Label 23503*/ GIMT_Encode4(1718533), // Rule ID 10478 //
     /* 1718452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1718463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1718466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1718469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1718472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718498 */     // MIs[0] policy
     /* 1718498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718508 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1718511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718532 */     // GIR_Coverage, 10478,
     /* 1718532 */     GIR_EraseRootFromParent_Done,
     /* 1718533 */   // Label 23503: @1718533
     /* 1718533 */   GIM_Try, /*On fail goto*//*Label 23504*/ GIMT_Encode4(1718619), // Rule ID 10479 //
     /* 1718538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1718549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1718552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1718555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1718558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718584 */     // MIs[0] policy
     /* 1718584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718594 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1718597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718618 */     // GIR_Coverage, 10479,
     /* 1718618 */     GIR_EraseRootFromParent_Done,
     /* 1718619 */   // Label 23504: @1718619
     /* 1718619 */   GIM_Try, /*On fail goto*//*Label 23505*/ GIMT_Encode4(1718705), // Rule ID 10482 //
     /* 1718624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1718635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1718638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1718641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1718644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1718647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1718654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718670 */     // MIs[0] policy
     /* 1718670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1718683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718704 */     // GIR_Coverage, 10482,
     /* 1718704 */     GIR_EraseRootFromParent_Done,
     /* 1718705 */   // Label 23505: @1718705
     /* 1718705 */   GIM_Try, /*On fail goto*//*Label 23506*/ GIMT_Encode4(1718791), // Rule ID 10483 //
     /* 1718710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1718721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1718724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1718727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1718730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1718733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1718740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718756 */     // MIs[0] policy
     /* 1718756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718766 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1718769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718790 */     // GIR_Coverage, 10483,
     /* 1718790 */     GIR_EraseRootFromParent_Done,
     /* 1718791 */   // Label 23506: @1718791
     /* 1718791 */   GIM_Try, /*On fail goto*//*Label 23507*/ GIMT_Encode4(1718877), // Rule ID 10486 //
     /* 1718796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1718807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1718810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1718813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1718816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1718819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718842 */     // MIs[0] policy
     /* 1718842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718852 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1718855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718876 */     // GIR_Coverage, 10486,
     /* 1718876 */     GIR_EraseRootFromParent_Done,
     /* 1718877 */   // Label 23507: @1718877
     /* 1718877 */   GIM_Try, /*On fail goto*//*Label 23508*/ GIMT_Encode4(1718963), // Rule ID 10487 //
     /* 1718882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1718893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1718896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1718899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1718902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1718905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718928 */     // MIs[0] policy
     /* 1718928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718938 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1718941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718962 */     // GIR_Coverage, 10487,
     /* 1718962 */     GIR_EraseRootFromParent_Done,
     /* 1718963 */   // Label 23508: @1718963
     /* 1718963 */   GIM_Try, /*On fail goto*//*Label 23509*/ GIMT_Encode4(1719049), // Rule ID 10490 //
     /* 1718968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1718979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1718982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1718985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1718988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719014 */     // MIs[0] policy
     /* 1719014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1719027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719048 */     // GIR_Coverage, 10490,
     /* 1719048 */     GIR_EraseRootFromParent_Done,
     /* 1719049 */   // Label 23509: @1719049
     /* 1719049 */   GIM_Try, /*On fail goto*//*Label 23510*/ GIMT_Encode4(1719135), // Rule ID 10491 //
     /* 1719054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1719065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1719068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1719071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1719074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719100 */     // MIs[0] policy
     /* 1719100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719110 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1719113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719134 */     // GIR_Coverage, 10491,
     /* 1719134 */     GIR_EraseRootFromParent_Done,
     /* 1719135 */   // Label 23510: @1719135
     /* 1719135 */   GIM_Try, /*On fail goto*//*Label 23511*/ GIMT_Encode4(1719221), // Rule ID 10494 //
     /* 1719140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1719151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1719154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1719157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1719160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719186 */     // MIs[0] policy
     /* 1719186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1719199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719220 */     // GIR_Coverage, 10494,
     /* 1719220 */     GIR_EraseRootFromParent_Done,
     /* 1719221 */   // Label 23511: @1719221
     /* 1719221 */   GIM_Try, /*On fail goto*//*Label 23512*/ GIMT_Encode4(1719307), // Rule ID 10495 //
     /* 1719226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1719237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1719240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1719243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1719246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719272 */     // MIs[0] policy
     /* 1719272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719282 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1719285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719306 */     // GIR_Coverage, 10495,
     /* 1719306 */     GIR_EraseRootFromParent_Done,
     /* 1719307 */   // Label 23512: @1719307
     /* 1719307 */   GIM_Try, /*On fail goto*//*Label 23513*/ GIMT_Encode4(1719393), // Rule ID 10498 //
     /* 1719312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1719323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1719326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1719329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1719332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719358 */     // MIs[0] policy
     /* 1719358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1719371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719392 */     // GIR_Coverage, 10498,
     /* 1719392 */     GIR_EraseRootFromParent_Done,
     /* 1719393 */   // Label 23513: @1719393
     /* 1719393 */   GIM_Try, /*On fail goto*//*Label 23514*/ GIMT_Encode4(1719479), // Rule ID 10499 //
     /* 1719398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1719409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1719412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1719415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1719418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719444 */     // MIs[0] policy
     /* 1719444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719454 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1719457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719478 */     // GIR_Coverage, 10499,
     /* 1719478 */     GIR_EraseRootFromParent_Done,
     /* 1719479 */   // Label 23514: @1719479
     /* 1719479 */   GIM_Try, /*On fail goto*//*Label 23515*/ GIMT_Encode4(1719565), // Rule ID 10502 //
     /* 1719484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1719495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1719498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1719501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1719504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719530 */     // MIs[0] policy
     /* 1719530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719540 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1719543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719564 */     // GIR_Coverage, 10502,
     /* 1719564 */     GIR_EraseRootFromParent_Done,
     /* 1719565 */   // Label 23515: @1719565
     /* 1719565 */   GIM_Try, /*On fail goto*//*Label 23516*/ GIMT_Encode4(1719651), // Rule ID 10503 //
     /* 1719570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1719581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1719584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1719587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1719590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719616 */     // MIs[0] policy
     /* 1719616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1719629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719650 */     // GIR_Coverage, 10503,
     /* 1719650 */     GIR_EraseRootFromParent_Done,
     /* 1719651 */   // Label 23516: @1719651
     /* 1719651 */   GIM_Try, /*On fail goto*//*Label 23517*/ GIMT_Encode4(1719737), // Rule ID 10506 //
     /* 1719656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1719667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1719670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1719673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1719676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719702 */     // MIs[0] policy
     /* 1719702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719712 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1719715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719736 */     // GIR_Coverage, 10506,
     /* 1719736 */     GIR_EraseRootFromParent_Done,
     /* 1719737 */   // Label 23517: @1719737
     /* 1719737 */   GIM_Try, /*On fail goto*//*Label 23518*/ GIMT_Encode4(1719823), // Rule ID 10507 //
     /* 1719742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1719753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1719756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1719759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1719762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719788 */     // MIs[0] policy
     /* 1719788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719798 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1719801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719822 */     // GIR_Coverage, 10507,
     /* 1719822 */     GIR_EraseRootFromParent_Done,
     /* 1719823 */   // Label 23518: @1719823
     /* 1719823 */   GIM_Try, /*On fail goto*//*Label 23519*/ GIMT_Encode4(1719909), // Rule ID 10510 //
     /* 1719828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1719839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1719842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1719845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1719848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719874 */     // MIs[0] policy
     /* 1719874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719884 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1719887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719908 */     // GIR_Coverage, 10510,
     /* 1719908 */     GIR_EraseRootFromParent_Done,
     /* 1719909 */   // Label 23519: @1719909
     /* 1719909 */   GIM_Try, /*On fail goto*//*Label 23520*/ GIMT_Encode4(1719995), // Rule ID 10511 //
     /* 1719914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1719925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1719928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1719931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1719934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719960 */     // MIs[0] policy
     /* 1719960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719970 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1719973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719994 */     // GIR_Coverage, 10511,
     /* 1719994 */     GIR_EraseRootFromParent_Done,
     /* 1719995 */   // Label 23520: @1719995
     /* 1719995 */   GIM_Try, /*On fail goto*//*Label 23521*/ GIMT_Encode4(1720081), // Rule ID 10514 //
     /* 1720000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1720011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1720014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1720017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1720020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720046 */     // MIs[0] policy
     /* 1720046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720056 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1720059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720080 */     // GIR_Coverage, 10514,
     /* 1720080 */     GIR_EraseRootFromParent_Done,
     /* 1720081 */   // Label 23521: @1720081
     /* 1720081 */   GIM_Try, /*On fail goto*//*Label 23522*/ GIMT_Encode4(1720167), // Rule ID 10515 //
     /* 1720086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1720097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1720100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1720103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1720106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720132 */     // MIs[0] policy
     /* 1720132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720142 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1720145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720166 */     // GIR_Coverage, 10515,
     /* 1720166 */     GIR_EraseRootFromParent_Done,
     /* 1720167 */   // Label 23522: @1720167
     /* 1720167 */   GIM_Try, /*On fail goto*//*Label 23523*/ GIMT_Encode4(1720253), // Rule ID 10518 //
     /* 1720172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1720183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1720186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1720189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1720192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720218 */     // MIs[0] policy
     /* 1720218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1720231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720252 */     // GIR_Coverage, 10518,
     /* 1720252 */     GIR_EraseRootFromParent_Done,
     /* 1720253 */   // Label 23523: @1720253
     /* 1720253 */   GIM_Try, /*On fail goto*//*Label 23524*/ GIMT_Encode4(1720339), // Rule ID 10519 //
     /* 1720258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1720269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1720272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1720275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1720278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720304 */     // MIs[0] policy
     /* 1720304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720314 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1720317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720338 */     // GIR_Coverage, 10519,
     /* 1720338 */     GIR_EraseRootFromParent_Done,
     /* 1720339 */   // Label 23524: @1720339
     /* 1720339 */   GIM_Try, /*On fail goto*//*Label 23525*/ GIMT_Encode4(1720425), // Rule ID 10522 //
     /* 1720344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1720355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1720358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1720361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1720364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720390 */     // MIs[0] policy
     /* 1720390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720400 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1720403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720424 */     // GIR_Coverage, 10522,
     /* 1720424 */     GIR_EraseRootFromParent_Done,
     /* 1720425 */   // Label 23525: @1720425
     /* 1720425 */   GIM_Try, /*On fail goto*//*Label 23526*/ GIMT_Encode4(1720511), // Rule ID 10523 //
     /* 1720430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1720441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1720444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1720447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1720450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720476 */     // MIs[0] policy
     /* 1720476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720486 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1720489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720510 */     // GIR_Coverage, 10523,
     /* 1720510 */     GIR_EraseRootFromParent_Done,
     /* 1720511 */   // Label 23526: @1720511
     /* 1720511 */   GIM_Try, /*On fail goto*//*Label 23527*/ GIMT_Encode4(1720597), // Rule ID 10526 //
     /* 1720516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1720527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1720530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1720533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720562 */     // MIs[0] policy
     /* 1720562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1720575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720596 */     // GIR_Coverage, 10526,
     /* 1720596 */     GIR_EraseRootFromParent_Done,
     /* 1720597 */   // Label 23527: @1720597
     /* 1720597 */   GIM_Try, /*On fail goto*//*Label 23528*/ GIMT_Encode4(1720683), // Rule ID 10527 //
     /* 1720602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1720613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1720616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1720619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720648 */     // MIs[0] policy
     /* 1720648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720658 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1720661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720682 */     // GIR_Coverage, 10527,
     /* 1720682 */     GIR_EraseRootFromParent_Done,
     /* 1720683 */   // Label 23528: @1720683
     /* 1720683 */   GIM_Try, /*On fail goto*//*Label 23529*/ GIMT_Encode4(1720769), // Rule ID 10530 //
     /* 1720688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1720699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1720702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1720705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720734 */     // MIs[0] policy
     /* 1720734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720744 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1720747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720768 */     // GIR_Coverage, 10530,
     /* 1720768 */     GIR_EraseRootFromParent_Done,
     /* 1720769 */   // Label 23529: @1720769
     /* 1720769 */   GIM_Try, /*On fail goto*//*Label 23530*/ GIMT_Encode4(1720855), // Rule ID 10531 //
     /* 1720774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1720785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1720788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1720791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720820 */     // MIs[0] policy
     /* 1720820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720830 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1720833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720854 */     // GIR_Coverage, 10531,
     /* 1720854 */     GIR_EraseRootFromParent_Done,
     /* 1720855 */   // Label 23530: @1720855
     /* 1720855 */   GIM_Try, /*On fail goto*//*Label 23531*/ GIMT_Encode4(1720941), // Rule ID 10534 //
     /* 1720860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1720871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1720874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1720877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720906 */     // MIs[0] policy
     /* 1720906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720916 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1720919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720940 */     // GIR_Coverage, 10534,
     /* 1720940 */     GIR_EraseRootFromParent_Done,
     /* 1720941 */   // Label 23531: @1720941
     /* 1720941 */   GIM_Try, /*On fail goto*//*Label 23532*/ GIMT_Encode4(1721027), // Rule ID 10535 //
     /* 1720946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1720957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1720960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1720963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720992 */     // MIs[0] policy
     /* 1720992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721002 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1721005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721026 */     // GIR_Coverage, 10535,
     /* 1721026 */     GIR_EraseRootFromParent_Done,
     /* 1721027 */   // Label 23532: @1721027
     /* 1721027 */   GIM_Try, /*On fail goto*//*Label 23533*/ GIMT_Encode4(1721113), // Rule ID 10538 //
     /* 1721032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1721043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1721046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1721049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721078 */     // MIs[0] policy
     /* 1721078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721088 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1721091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721112 */     // GIR_Coverage, 10538,
     /* 1721112 */     GIR_EraseRootFromParent_Done,
     /* 1721113 */   // Label 23533: @1721113
     /* 1721113 */   GIM_Try, /*On fail goto*//*Label 23534*/ GIMT_Encode4(1721199), // Rule ID 10539 //
     /* 1721118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1721129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1721132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1721135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721164 */     // MIs[0] policy
     /* 1721164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1721177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721198 */     // GIR_Coverage, 10539,
     /* 1721198 */     GIR_EraseRootFromParent_Done,
     /* 1721199 */   // Label 23534: @1721199
     /* 1721199 */   GIM_Try, /*On fail goto*//*Label 23535*/ GIMT_Encode4(1721285), // Rule ID 10542 //
     /* 1721204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1721215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1721218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1721221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721250 */     // MIs[0] policy
     /* 1721250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721260 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1721263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721284 */     // GIR_Coverage, 10542,
     /* 1721284 */     GIR_EraseRootFromParent_Done,
     /* 1721285 */   // Label 23535: @1721285
     /* 1721285 */   GIM_Try, /*On fail goto*//*Label 23536*/ GIMT_Encode4(1721371), // Rule ID 10543 //
     /* 1721290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1721301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1721304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1721307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721336 */     // MIs[0] policy
     /* 1721336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721346 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1721349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721370 */     // GIR_Coverage, 10543,
     /* 1721370 */     GIR_EraseRootFromParent_Done,
     /* 1721371 */   // Label 23536: @1721371
     /* 1721371 */   GIM_Try, /*On fail goto*//*Label 23537*/ GIMT_Encode4(1721457), // Rule ID 10546 //
     /* 1721376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1721387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1721390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1721393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721422 */     // MIs[0] policy
     /* 1721422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721432 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1721435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721456 */     // GIR_Coverage, 10546,
     /* 1721456 */     GIR_EraseRootFromParent_Done,
     /* 1721457 */   // Label 23537: @1721457
     /* 1721457 */   GIM_Try, /*On fail goto*//*Label 23538*/ GIMT_Encode4(1721543), // Rule ID 10547 //
     /* 1721462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1721473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1721476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1721479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721508 */     // MIs[0] policy
     /* 1721508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721518 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1721521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721542 */     // GIR_Coverage, 10547,
     /* 1721542 */     GIR_EraseRootFromParent_Done,
     /* 1721543 */   // Label 23538: @1721543
     /* 1721543 */   GIM_Try, /*On fail goto*//*Label 23539*/ GIMT_Encode4(1721629), // Rule ID 10550 //
     /* 1721548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1721559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1721562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1721565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721594 */     // MIs[0] policy
     /* 1721594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721604 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1721607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721628 */     // GIR_Coverage, 10550,
     /* 1721628 */     GIR_EraseRootFromParent_Done,
     /* 1721629 */   // Label 23539: @1721629
     /* 1721629 */   GIM_Try, /*On fail goto*//*Label 23540*/ GIMT_Encode4(1721715), // Rule ID 10551 //
     /* 1721634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1721645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1721648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1721651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721680 */     // MIs[0] policy
     /* 1721680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721690 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1721693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721714 */     // GIR_Coverage, 10551,
     /* 1721714 */     GIR_EraseRootFromParent_Done,
     /* 1721715 */   // Label 23540: @1721715
     /* 1721715 */   GIM_Try, /*On fail goto*//*Label 23541*/ GIMT_Encode4(1721801), // Rule ID 10554 //
     /* 1721720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1721731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1721734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1721737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721766 */     // MIs[0] policy
     /* 1721766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1721779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721800 */     // GIR_Coverage, 10554,
     /* 1721800 */     GIR_EraseRootFromParent_Done,
     /* 1721801 */   // Label 23541: @1721801
     /* 1721801 */   GIM_Try, /*On fail goto*//*Label 23542*/ GIMT_Encode4(1721887), // Rule ID 10555 //
     /* 1721806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1721817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1721820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1721823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721852 */     // MIs[0] policy
     /* 1721852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1721865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721886 */     // GIR_Coverage, 10555,
     /* 1721886 */     GIR_EraseRootFromParent_Done,
     /* 1721887 */   // Label 23542: @1721887
     /* 1721887 */   GIM_Try, /*On fail goto*//*Label 23543*/ GIMT_Encode4(1721973), // Rule ID 10558 //
     /* 1721892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1721903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1721906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1721909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721938 */     // MIs[0] policy
     /* 1721938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1721951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721972 */     // GIR_Coverage, 10558,
     /* 1721972 */     GIR_EraseRootFromParent_Done,
     /* 1721973 */   // Label 23543: @1721973
     /* 1721973 */   GIM_Try, /*On fail goto*//*Label 23544*/ GIMT_Encode4(1722059), // Rule ID 10559 //
     /* 1721978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1721989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1721992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1721995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722024 */     // MIs[0] policy
     /* 1722024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1722037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722058 */     // GIR_Coverage, 10559,
     /* 1722058 */     GIR_EraseRootFromParent_Done,
     /* 1722059 */   // Label 23544: @1722059
     /* 1722059 */   GIM_Try, /*On fail goto*//*Label 23545*/ GIMT_Encode4(1722145), // Rule ID 10562 //
     /* 1722064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1722067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1722075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1722078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1722081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722110 */     // MIs[0] policy
     /* 1722110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722120 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1722123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722144 */     // GIR_Coverage, 10562,
     /* 1722144 */     GIR_EraseRootFromParent_Done,
     /* 1722145 */   // Label 23545: @1722145
     /* 1722145 */   GIM_Try, /*On fail goto*//*Label 23546*/ GIMT_Encode4(1722231), // Rule ID 10563 //
     /* 1722150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1722153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1722161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1722164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1722167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722196 */     // MIs[0] policy
     /* 1722196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722206 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1722209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722230 */     // GIR_Coverage, 10563,
     /* 1722230 */     GIR_EraseRootFromParent_Done,
     /* 1722231 */   // Label 23546: @1722231
     /* 1722231 */   GIM_Try, /*On fail goto*//*Label 23547*/ GIMT_Encode4(1722317), // Rule ID 10566 //
     /* 1722236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1722247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1722250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1722253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722282 */     // MIs[0] policy
     /* 1722282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722292 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1722295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722316 */     // GIR_Coverage, 10566,
     /* 1722316 */     GIR_EraseRootFromParent_Done,
     /* 1722317 */   // Label 23547: @1722317
     /* 1722317 */   GIM_Try, /*On fail goto*//*Label 23548*/ GIMT_Encode4(1722403), // Rule ID 10567 //
     /* 1722322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1722333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1722336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1722339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722368 */     // MIs[0] policy
     /* 1722368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722378 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1722381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722402 */     // GIR_Coverage, 10567,
     /* 1722402 */     GIR_EraseRootFromParent_Done,
     /* 1722403 */   // Label 23548: @1722403
     /* 1722403 */   GIM_Try, /*On fail goto*//*Label 23549*/ GIMT_Encode4(1722489), // Rule ID 10570 //
     /* 1722408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1722419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1722422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1722425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1722431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722454 */     // MIs[0] policy
     /* 1722454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722464 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1722467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722488 */     // GIR_Coverage, 10570,
     /* 1722488 */     GIR_EraseRootFromParent_Done,
     /* 1722489 */   // Label 23549: @1722489
     /* 1722489 */   GIM_Try, /*On fail goto*//*Label 23550*/ GIMT_Encode4(1722575), // Rule ID 10571 //
     /* 1722494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1722505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1722508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1722511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1722517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722540 */     // MIs[0] policy
     /* 1722540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722550 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1722553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722574 */     // GIR_Coverage, 10571,
     /* 1722574 */     GIR_EraseRootFromParent_Done,
     /* 1722575 */   // Label 23550: @1722575
     /* 1722575 */   GIM_Try, /*On fail goto*//*Label 23551*/ GIMT_Encode4(1722661), // Rule ID 10574 //
     /* 1722580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1722591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1722594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1722597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1722603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722626 */     // MIs[0] policy
     /* 1722626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722636 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1722639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722660 */     // GIR_Coverage, 10574,
     /* 1722660 */     GIR_EraseRootFromParent_Done,
     /* 1722661 */   // Label 23551: @1722661
     /* 1722661 */   GIM_Try, /*On fail goto*//*Label 23552*/ GIMT_Encode4(1722747), // Rule ID 10575 //
     /* 1722666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1722677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1722680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1722683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1722689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722712 */     // MIs[0] policy
     /* 1722712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722722 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1722725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722746 */     // GIR_Coverage, 10575,
     /* 1722746 */     GIR_EraseRootFromParent_Done,
     /* 1722747 */   // Label 23552: @1722747
     /* 1722747 */   GIM_Try, /*On fail goto*//*Label 23553*/ GIMT_Encode4(1722833), // Rule ID 10578 //
     /* 1722752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1722763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1722766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1722769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722798 */     // MIs[0] policy
     /* 1722798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722808 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1722811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722832 */     // GIR_Coverage, 10578,
     /* 1722832 */     GIR_EraseRootFromParent_Done,
     /* 1722833 */   // Label 23553: @1722833
     /* 1722833 */   GIM_Try, /*On fail goto*//*Label 23554*/ GIMT_Encode4(1722919), // Rule ID 10579 //
     /* 1722838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1722849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1722852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1722855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722884 */     // MIs[0] policy
     /* 1722884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722894 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1722897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722918 */     // GIR_Coverage, 10579,
     /* 1722918 */     GIR_EraseRootFromParent_Done,
     /* 1722919 */   // Label 23554: @1722919
     /* 1722919 */   GIM_Try, /*On fail goto*//*Label 23555*/ GIMT_Encode4(1723005), // Rule ID 10582 //
     /* 1722924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1722935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1722938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1722941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722970 */     // MIs[0] policy
     /* 1722970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1722983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723004 */     // GIR_Coverage, 10582,
     /* 1723004 */     GIR_EraseRootFromParent_Done,
     /* 1723005 */   // Label 23555: @1723005
     /* 1723005 */   GIM_Try, /*On fail goto*//*Label 23556*/ GIMT_Encode4(1723091), // Rule ID 10583 //
     /* 1723010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1723021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1723024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1723027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723056 */     // MIs[0] policy
     /* 1723056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723066 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1723069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723090 */     // GIR_Coverage, 10583,
     /* 1723090 */     GIR_EraseRootFromParent_Done,
     /* 1723091 */   // Label 23556: @1723091
     /* 1723091 */   GIM_Try, /*On fail goto*//*Label 23557*/ GIMT_Encode4(1723177), // Rule ID 10586 //
     /* 1723096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1723107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1723110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1723113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723142 */     // MIs[0] policy
     /* 1723142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723152 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1723155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723176 */     // GIR_Coverage, 10586,
     /* 1723176 */     GIR_EraseRootFromParent_Done,
     /* 1723177 */   // Label 23557: @1723177
     /* 1723177 */   GIM_Try, /*On fail goto*//*Label 23558*/ GIMT_Encode4(1723263), // Rule ID 10587 //
     /* 1723182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1723193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1723196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1723199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723228 */     // MIs[0] policy
     /* 1723228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723238 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1723241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723262 */     // GIR_Coverage, 10587,
     /* 1723262 */     GIR_EraseRootFromParent_Done,
     /* 1723263 */   // Label 23558: @1723263
     /* 1723263 */   GIM_Try, /*On fail goto*//*Label 23559*/ GIMT_Encode4(1723349), // Rule ID 10590 //
     /* 1723268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1723279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1723282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1723285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723314 */     // MIs[0] policy
     /* 1723314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1723327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723348 */     // GIR_Coverage, 10590,
     /* 1723348 */     GIR_EraseRootFromParent_Done,
     /* 1723349 */   // Label 23559: @1723349
     /* 1723349 */   GIM_Try, /*On fail goto*//*Label 23560*/ GIMT_Encode4(1723435), // Rule ID 10591 //
     /* 1723354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1723365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1723368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1723371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723400 */     // MIs[0] policy
     /* 1723400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723410 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1723413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723434 */     // GIR_Coverage, 10591,
     /* 1723434 */     GIR_EraseRootFromParent_Done,
     /* 1723435 */   // Label 23560: @1723435
     /* 1723435 */   GIM_Try, /*On fail goto*//*Label 23561*/ GIMT_Encode4(1723521), // Rule ID 10594 //
     /* 1723440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1723451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1723454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1723457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723486 */     // MIs[0] policy
     /* 1723486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723496 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1723499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723520 */     // GIR_Coverage, 10594,
     /* 1723520 */     GIR_EraseRootFromParent_Done,
     /* 1723521 */   // Label 23561: @1723521
     /* 1723521 */   GIM_Try, /*On fail goto*//*Label 23562*/ GIMT_Encode4(1723607), // Rule ID 10595 //
     /* 1723526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1723537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1723540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1723543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723572 */     // MIs[0] policy
     /* 1723572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723582 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1723585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723606 */     // GIR_Coverage, 10595,
     /* 1723606 */     GIR_EraseRootFromParent_Done,
     /* 1723607 */   // Label 23562: @1723607
     /* 1723607 */   GIM_Try, /*On fail goto*//*Label 23563*/ GIMT_Encode4(1723693), // Rule ID 10598 //
     /* 1723612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1723623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1723626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1723629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723658 */     // MIs[0] policy
     /* 1723658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1723671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723692 */     // GIR_Coverage, 10598,
     /* 1723692 */     GIR_EraseRootFromParent_Done,
     /* 1723693 */   // Label 23563: @1723693
     /* 1723693 */   GIM_Try, /*On fail goto*//*Label 23564*/ GIMT_Encode4(1723779), // Rule ID 10599 //
     /* 1723698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1723709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1723712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1723715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723744 */     // MIs[0] policy
     /* 1723744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723754 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1723757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723778 */     // GIR_Coverage, 10599,
     /* 1723778 */     GIR_EraseRootFromParent_Done,
     /* 1723779 */   // Label 23564: @1723779
     /* 1723779 */   GIM_Try, /*On fail goto*//*Label 23565*/ GIMT_Encode4(1723865), // Rule ID 10602 //
     /* 1723784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1723787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1723795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1723798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1723801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723830 */     // MIs[0] policy
     /* 1723830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1723843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723864 */     // GIR_Coverage, 10602,
     /* 1723864 */     GIR_EraseRootFromParent_Done,
     /* 1723865 */   // Label 23565: @1723865
     /* 1723865 */   GIM_Try, /*On fail goto*//*Label 23566*/ GIMT_Encode4(1723951), // Rule ID 10603 //
     /* 1723870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1723873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1723881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1723884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1723887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723916 */     // MIs[0] policy
     /* 1723916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723926 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1723929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723950 */     // GIR_Coverage, 10603,
     /* 1723950 */     GIR_EraseRootFromParent_Done,
     /* 1723951 */   // Label 23566: @1723951
     /* 1723951 */   GIM_Try, /*On fail goto*//*Label 23567*/ GIMT_Encode4(1724037), // Rule ID 10606 //
     /* 1723956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1723959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1723967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1723970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1723973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724002 */     // MIs[0] policy
     /* 1724002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1724015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724036 */     // GIR_Coverage, 10606,
     /* 1724036 */     GIR_EraseRootFromParent_Done,
     /* 1724037 */   // Label 23567: @1724037
     /* 1724037 */   GIM_Try, /*On fail goto*//*Label 23568*/ GIMT_Encode4(1724123), // Rule ID 10607 //
     /* 1724042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1724053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1724056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1724059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724088 */     // MIs[0] policy
     /* 1724088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724098 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1724101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724122 */     // GIR_Coverage, 10607,
     /* 1724122 */     GIR_EraseRootFromParent_Done,
     /* 1724123 */   // Label 23568: @1724123
     /* 1724123 */   GIM_Try, /*On fail goto*//*Label 23569*/ GIMT_Encode4(1724209), // Rule ID 10610 //
     /* 1724128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1724139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1724142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1724145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724174 */     // MIs[0] policy
     /* 1724174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1724187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724208 */     // GIR_Coverage, 10610,
     /* 1724208 */     GIR_EraseRootFromParent_Done,
     /* 1724209 */   // Label 23569: @1724209
     /* 1724209 */   GIM_Try, /*On fail goto*//*Label 23570*/ GIMT_Encode4(1724295), // Rule ID 10611 //
     /* 1724214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1724225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1724228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1724231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724260 */     // MIs[0] policy
     /* 1724260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724270 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1724273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724294 */     // GIR_Coverage, 10611,
     /* 1724294 */     GIR_EraseRootFromParent_Done,
     /* 1724295 */   // Label 23570: @1724295
     /* 1724295 */   GIM_Try, /*On fail goto*//*Label 23571*/ GIMT_Encode4(1724381), // Rule ID 10614 //
     /* 1724300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1724311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1724314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1724317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1724320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724346 */     // MIs[0] policy
     /* 1724346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724356 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1724359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724380 */     // GIR_Coverage, 10614,
     /* 1724380 */     GIR_EraseRootFromParent_Done,
     /* 1724381 */   // Label 23571: @1724381
     /* 1724381 */   GIM_Try, /*On fail goto*//*Label 23572*/ GIMT_Encode4(1724467), // Rule ID 10615 //
     /* 1724386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1724397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1724400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1724403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1724406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724432 */     // MIs[0] policy
     /* 1724432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724442 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1724445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724466 */     // GIR_Coverage, 10615,
     /* 1724466 */     GIR_EraseRootFromParent_Done,
     /* 1724467 */   // Label 23572: @1724467
     /* 1724467 */   GIM_Try, /*On fail goto*//*Label 23573*/ GIMT_Encode4(1724553), // Rule ID 10618 //
     /* 1724472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1724483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1724486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1724489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1724492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724518 */     // MIs[0] policy
     /* 1724518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724528 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1724531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724552 */     // GIR_Coverage, 10618,
     /* 1724552 */     GIR_EraseRootFromParent_Done,
     /* 1724553 */   // Label 23573: @1724553
     /* 1724553 */   GIM_Try, /*On fail goto*//*Label 23574*/ GIMT_Encode4(1724639), // Rule ID 10619 //
     /* 1724558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1724569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1724572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1724575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1724578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724604 */     // MIs[0] policy
     /* 1724604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724614 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1724617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724638 */     // GIR_Coverage, 10619,
     /* 1724638 */     GIR_EraseRootFromParent_Done,
     /* 1724639 */   // Label 23574: @1724639
     /* 1724639 */   GIM_Try, /*On fail goto*//*Label 23575*/ GIMT_Encode4(1724725), // Rule ID 10622 //
     /* 1724644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1724655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1724658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1724661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1724664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724690 */     // MIs[0] policy
     /* 1724690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724700 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1724703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724724 */     // GIR_Coverage, 10622,
     /* 1724724 */     GIR_EraseRootFromParent_Done,
     /* 1724725 */   // Label 23575: @1724725
     /* 1724725 */   GIM_Try, /*On fail goto*//*Label 23576*/ GIMT_Encode4(1724811), // Rule ID 10623 //
     /* 1724730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1724741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1724744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1724747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1724750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724776 */     // MIs[0] policy
     /* 1724776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724786 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1724789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724810 */     // GIR_Coverage, 10623,
     /* 1724810 */     GIR_EraseRootFromParent_Done,
     /* 1724811 */   // Label 23576: @1724811
     /* 1724811 */   GIM_Try, /*On fail goto*//*Label 23577*/ GIMT_Encode4(1724897), // Rule ID 10626 //
     /* 1724816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1724827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1724830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1724833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1724836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724862 */     // MIs[0] policy
     /* 1724862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1724875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724896 */     // GIR_Coverage, 10626,
     /* 1724896 */     GIR_EraseRootFromParent_Done,
     /* 1724897 */   // Label 23577: @1724897
     /* 1724897 */   GIM_Try, /*On fail goto*//*Label 23578*/ GIMT_Encode4(1724983), // Rule ID 10627 //
     /* 1724902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1724913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1724916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1724919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1724922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724948 */     // MIs[0] policy
     /* 1724948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1724961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724982 */     // GIR_Coverage, 10627,
     /* 1724982 */     GIR_EraseRootFromParent_Done,
     /* 1724983 */   // Label 23578: @1724983
     /* 1724983 */   GIM_Try, /*On fail goto*//*Label 23579*/ GIMT_Encode4(1725069), // Rule ID 10630 //
     /* 1724988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1724999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1725002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1725005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1725008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725034 */     // MIs[0] policy
     /* 1725034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725044 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1725047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725068 */     // GIR_Coverage, 10630,
     /* 1725068 */     GIR_EraseRootFromParent_Done,
     /* 1725069 */   // Label 23579: @1725069
     /* 1725069 */   GIM_Try, /*On fail goto*//*Label 23580*/ GIMT_Encode4(1725155), // Rule ID 10631 //
     /* 1725074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1725085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1725088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1725091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1725094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725120 */     // MIs[0] policy
     /* 1725120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725130 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1725133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725154 */     // GIR_Coverage, 10631,
     /* 1725154 */     GIR_EraseRootFromParent_Done,
     /* 1725155 */   // Label 23580: @1725155
     /* 1725155 */   GIM_Try, /*On fail goto*//*Label 23581*/ GIMT_Encode4(1725241), // Rule ID 10634 //
     /* 1725160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1725171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1725174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1725177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1725180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725206 */     // MIs[0] policy
     /* 1725206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725216 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1725219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725240 */     // GIR_Coverage, 10634,
     /* 1725240 */     GIR_EraseRootFromParent_Done,
     /* 1725241 */   // Label 23581: @1725241
     /* 1725241 */   GIM_Try, /*On fail goto*//*Label 23582*/ GIMT_Encode4(1725327), // Rule ID 10635 //
     /* 1725246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1725257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1725260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1725263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1725266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725292 */     // MIs[0] policy
     /* 1725292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725302 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1725305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725326 */     // GIR_Coverage, 10635,
     /* 1725326 */     GIR_EraseRootFromParent_Done,
     /* 1725327 */   // Label 23582: @1725327
     /* 1725327 */   GIM_Try, /*On fail goto*//*Label 23583*/ GIMT_Encode4(1725413), // Rule ID 10638 //
     /* 1725332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1725343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1725346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1725349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1725352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725378 */     // MIs[0] policy
     /* 1725378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725388 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725412 */     // GIR_Coverage, 10638,
     /* 1725412 */     GIR_EraseRootFromParent_Done,
     /* 1725413 */   // Label 23583: @1725413
     /* 1725413 */   GIM_Try, /*On fail goto*//*Label 23584*/ GIMT_Encode4(1725499), // Rule ID 10639 //
     /* 1725418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1725429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1725432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1725435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1725438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725464 */     // MIs[0] policy
     /* 1725464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725474 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725498 */     // GIR_Coverage, 10639,
     /* 1725498 */     GIR_EraseRootFromParent_Done,
     /* 1725499 */   // Label 23584: @1725499
     /* 1725499 */   GIM_Try, /*On fail goto*//*Label 23585*/ GIMT_Encode4(1725585), // Rule ID 10642 //
     /* 1725504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1725515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1725518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1725521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1725524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725550 */     // MIs[0] policy
     /* 1725550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725560 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725584 */     // GIR_Coverage, 10642,
     /* 1725584 */     GIR_EraseRootFromParent_Done,
     /* 1725585 */   // Label 23585: @1725585
     /* 1725585 */   GIM_Try, /*On fail goto*//*Label 23586*/ GIMT_Encode4(1725671), // Rule ID 10643 //
     /* 1725590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1725601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1725604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1725607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1725610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725636 */     // MIs[0] policy
     /* 1725636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725670 */     // GIR_Coverage, 10643,
     /* 1725670 */     GIR_EraseRootFromParent_Done,
     /* 1725671 */   // Label 23586: @1725671
     /* 1725671 */   GIM_Try, /*On fail goto*//*Label 23587*/ GIMT_Encode4(1725757), // Rule ID 10646 //
     /* 1725676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1725687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1725690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1725693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1725696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725722 */     // MIs[0] policy
     /* 1725722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725756 */     // GIR_Coverage, 10646,
     /* 1725756 */     GIR_EraseRootFromParent_Done,
     /* 1725757 */   // Label 23587: @1725757
     /* 1725757 */   GIM_Try, /*On fail goto*//*Label 23588*/ GIMT_Encode4(1725843), // Rule ID 10647 //
     /* 1725762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1725773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1725776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1725779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1725782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725808 */     // MIs[0] policy
     /* 1725808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725842 */     // GIR_Coverage, 10647,
     /* 1725842 */     GIR_EraseRootFromParent_Done,
     /* 1725843 */   // Label 23588: @1725843
     /* 1725843 */   GIM_Try, /*On fail goto*//*Label 23589*/ GIMT_Encode4(1725929), // Rule ID 10650 //
     /* 1725848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1725851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1725859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1725862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1725865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1725868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725894 */     // MIs[0] policy
     /* 1725894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725904 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725928 */     // GIR_Coverage, 10650,
     /* 1725928 */     GIR_EraseRootFromParent_Done,
     /* 1725929 */   // Label 23589: @1725929
     /* 1725929 */   GIM_Try, /*On fail goto*//*Label 23590*/ GIMT_Encode4(1726015), // Rule ID 10651 //
     /* 1725934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1725945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1725948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1725951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1725954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725980 */     // MIs[0] policy
     /* 1725980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725990 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1725993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726014 */     // GIR_Coverage, 10651,
     /* 1726014 */     GIR_EraseRootFromParent_Done,
     /* 1726015 */   // Label 23590: @1726015
     /* 1726015 */   GIM_Try, /*On fail goto*//*Label 23591*/ GIMT_Encode4(1726101), // Rule ID 10654 //
     /* 1726020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1726031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1726034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1726037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1726040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726066 */     // MIs[0] policy
     /* 1726066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726076 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1726079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726100 */     // GIR_Coverage, 10654,
     /* 1726100 */     GIR_EraseRootFromParent_Done,
     /* 1726101 */   // Label 23591: @1726101
     /* 1726101 */   GIM_Try, /*On fail goto*//*Label 23592*/ GIMT_Encode4(1726187), // Rule ID 10655 //
     /* 1726106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1726117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1726120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1726123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1726126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726152 */     // MIs[0] policy
     /* 1726152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726162 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1726165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726186 */     // GIR_Coverage, 10655,
     /* 1726186 */     GIR_EraseRootFromParent_Done,
     /* 1726187 */   // Label 23592: @1726187
     /* 1726187 */   GIM_Try, /*On fail goto*//*Label 23593*/ GIMT_Encode4(1726273), // Rule ID 10658 //
     /* 1726192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1726203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1726206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1726209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1726212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726238 */     // MIs[0] policy
     /* 1726238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726248 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1726251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726272 */     // GIR_Coverage, 10658,
     /* 1726272 */     GIR_EraseRootFromParent_Done,
     /* 1726273 */   // Label 23593: @1726273
     /* 1726273 */   GIM_Try, /*On fail goto*//*Label 23594*/ GIMT_Encode4(1726359), // Rule ID 10659 //
     /* 1726278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1726289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1726292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1726295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1726298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726324 */     // MIs[0] policy
     /* 1726324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726334 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1726337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726358 */     // GIR_Coverage, 10659,
     /* 1726358 */     GIR_EraseRootFromParent_Done,
     /* 1726359 */   // Label 23594: @1726359
     /* 1726359 */   GIM_Try, /*On fail goto*//*Label 23595*/ GIMT_Encode4(1726445), // Rule ID 10662 //
     /* 1726364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1726375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1726378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1726381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1726384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1726387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726410 */     // MIs[0] policy
     /* 1726410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726420 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1726423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726444 */     // GIR_Coverage, 10662,
     /* 1726444 */     GIR_EraseRootFromParent_Done,
     /* 1726445 */   // Label 23595: @1726445
     /* 1726445 */   GIM_Try, /*On fail goto*//*Label 23596*/ GIMT_Encode4(1726531), // Rule ID 10663 //
     /* 1726450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1726461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1726464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1726467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1726470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1726473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726496 */     // MIs[0] policy
     /* 1726496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726506 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1726509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726530 */     // GIR_Coverage, 10663,
     /* 1726530 */     GIR_EraseRootFromParent_Done,
     /* 1726531 */   // Label 23596: @1726531
     /* 1726531 */   GIM_Try, /*On fail goto*//*Label 23597*/ GIMT_Encode4(1726617), // Rule ID 10666 //
     /* 1726536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1726547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1726550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1726553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1726556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726582 */     // MIs[0] policy
     /* 1726582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1726595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726616 */     // GIR_Coverage, 10666,
     /* 1726616 */     GIR_EraseRootFromParent_Done,
     /* 1726617 */   // Label 23597: @1726617
     /* 1726617 */   GIM_Try, /*On fail goto*//*Label 23598*/ GIMT_Encode4(1726703), // Rule ID 10667 //
     /* 1726622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1726633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1726636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1726639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1726642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726668 */     // MIs[0] policy
     /* 1726668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726678 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1726681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726702 */     // GIR_Coverage, 10667,
     /* 1726702 */     GIR_EraseRootFromParent_Done,
     /* 1726703 */   // Label 23598: @1726703
     /* 1726703 */   GIM_Try, /*On fail goto*//*Label 23599*/ GIMT_Encode4(1726789), // Rule ID 10670 //
     /* 1726708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1726719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1726722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1726725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1726728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726754 */     // MIs[0] policy
     /* 1726754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1726767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726788 */     // GIR_Coverage, 10670,
     /* 1726788 */     GIR_EraseRootFromParent_Done,
     /* 1726789 */   // Label 23599: @1726789
     /* 1726789 */   GIM_Try, /*On fail goto*//*Label 23600*/ GIMT_Encode4(1726875), // Rule ID 10671 //
     /* 1726794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1726805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1726808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1726811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1726814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726840 */     // MIs[0] policy
     /* 1726840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726850 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1726853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726874 */     // GIR_Coverage, 10671,
     /* 1726874 */     GIR_EraseRootFromParent_Done,
     /* 1726875 */   // Label 23600: @1726875
     /* 1726875 */   GIM_Try, /*On fail goto*//*Label 23601*/ GIMT_Encode4(1726961), // Rule ID 10674 //
     /* 1726880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1726891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1726894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1726897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1726900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726926 */     // MIs[0] policy
     /* 1726926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726936 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1726939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726960 */     // GIR_Coverage, 10674,
     /* 1726960 */     GIR_EraseRootFromParent_Done,
     /* 1726961 */   // Label 23601: @1726961
     /* 1726961 */   GIM_Try, /*On fail goto*//*Label 23602*/ GIMT_Encode4(1727047), // Rule ID 10675 //
     /* 1726966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1726977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1726980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1726983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1726986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727012 */     // MIs[0] policy
     /* 1727012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1727025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727046 */     // GIR_Coverage, 10675,
     /* 1727046 */     GIR_EraseRootFromParent_Done,
     /* 1727047 */   // Label 23602: @1727047
     /* 1727047 */   GIM_Try, /*On fail goto*//*Label 23603*/ GIMT_Encode4(1727133), // Rule ID 10678 //
     /* 1727052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1727063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1727066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1727069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1727072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727098 */     // MIs[0] policy
     /* 1727098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727108 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1727111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727132 */     // GIR_Coverage, 10678,
     /* 1727132 */     GIR_EraseRootFromParent_Done,
     /* 1727133 */   // Label 23603: @1727133
     /* 1727133 */   GIM_Try, /*On fail goto*//*Label 23604*/ GIMT_Encode4(1727219), // Rule ID 10679 //
     /* 1727138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1727149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1727152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1727155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1727158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727184 */     // MIs[0] policy
     /* 1727184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1727197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727218 */     // GIR_Coverage, 10679,
     /* 1727218 */     GIR_EraseRootFromParent_Done,
     /* 1727219 */   // Label 23604: @1727219
     /* 1727219 */   GIM_Try, /*On fail goto*//*Label 23605*/ GIMT_Encode4(1727305), // Rule ID 10682 //
     /* 1727224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1727235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1727238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1727241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1727244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727270 */     // MIs[0] policy
     /* 1727270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727280 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1727283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727304 */     // GIR_Coverage, 10682,
     /* 1727304 */     GIR_EraseRootFromParent_Done,
     /* 1727305 */   // Label 23605: @1727305
     /* 1727305 */   GIM_Try, /*On fail goto*//*Label 23606*/ GIMT_Encode4(1727391), // Rule ID 10683 //
     /* 1727310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1727321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1727324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1727327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1727330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727356 */     // MIs[0] policy
     /* 1727356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1727369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727390 */     // GIR_Coverage, 10683,
     /* 1727390 */     GIR_EraseRootFromParent_Done,
     /* 1727391 */   // Label 23606: @1727391
     /* 1727391 */   GIM_Try, /*On fail goto*//*Label 23607*/ GIMT_Encode4(1727477), // Rule ID 10686 //
     /* 1727396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1727407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1727410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1727413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1727416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727442 */     // MIs[0] policy
     /* 1727442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727452 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1727455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727476 */     // GIR_Coverage, 10686,
     /* 1727476 */     GIR_EraseRootFromParent_Done,
     /* 1727477 */   // Label 23607: @1727477
     /* 1727477 */   GIM_Try, /*On fail goto*//*Label 23608*/ GIMT_Encode4(1727563), // Rule ID 10687 //
     /* 1727482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1727493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1727496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1727499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1727502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727528 */     // MIs[0] policy
     /* 1727528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727538 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1727541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727562 */     // GIR_Coverage, 10687,
     /* 1727562 */     GIR_EraseRootFromParent_Done,
     /* 1727563 */   // Label 23608: @1727563
     /* 1727563 */   GIM_Try, /*On fail goto*//*Label 23609*/ GIMT_Encode4(1727649), // Rule ID 10690 //
     /* 1727568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1727571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1727579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1727582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1727585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1727588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727614 */     // MIs[0] policy
     /* 1727614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727624 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1727627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727648 */     // GIR_Coverage, 10690,
     /* 1727648 */     GIR_EraseRootFromParent_Done,
     /* 1727649 */   // Label 23609: @1727649
     /* 1727649 */   GIM_Try, /*On fail goto*//*Label 23610*/ GIMT_Encode4(1727735), // Rule ID 10691 //
     /* 1727654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1727657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1727665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1727668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1727671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1727674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727700 */     // MIs[0] policy
     /* 1727700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727710 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1727713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727734 */     // GIR_Coverage, 10691,
     /* 1727734 */     GIR_EraseRootFromParent_Done,
     /* 1727735 */   // Label 23610: @1727735
     /* 1727735 */   GIM_Try, /*On fail goto*//*Label 23611*/ GIMT_Encode4(1727821), // Rule ID 10694 //
     /* 1727740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1727743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1727751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1727754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1727757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1727760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727786 */     // MIs[0] policy
     /* 1727786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1727799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727820 */     // GIR_Coverage, 10694,
     /* 1727820 */     GIR_EraseRootFromParent_Done,
     /* 1727821 */   // Label 23611: @1727821
     /* 1727821 */   GIM_Try, /*On fail goto*//*Label 23612*/ GIMT_Encode4(1727907), // Rule ID 10695 //
     /* 1727826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1727829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1727837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1727840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1727843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1727846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727872 */     // MIs[0] policy
     /* 1727872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727882 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1727885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727906 */     // GIR_Coverage, 10695,
     /* 1727906 */     GIR_EraseRootFromParent_Done,
     /* 1727907 */   // Label 23612: @1727907
     /* 1727907 */   GIM_Try, /*On fail goto*//*Label 23613*/ GIMT_Encode4(1727993), // Rule ID 10698 //
     /* 1727912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1727915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1727923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1727926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1727929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1727932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727958 */     // MIs[0] policy
     /* 1727958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727968 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1727971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727992 */     // GIR_Coverage, 10698,
     /* 1727992 */     GIR_EraseRootFromParent_Done,
     /* 1727993 */   // Label 23613: @1727993
     /* 1727993 */   GIM_Try, /*On fail goto*//*Label 23614*/ GIMT_Encode4(1728079), // Rule ID 10699 //
     /* 1727998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1728009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1728012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1728015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1728018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728044 */     // MIs[0] policy
     /* 1728044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728054 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1728057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728078 */     // GIR_Coverage, 10699,
     /* 1728078 */     GIR_EraseRootFromParent_Done,
     /* 1728079 */   // Label 23614: @1728079
     /* 1728079 */   GIM_Try, /*On fail goto*//*Label 23615*/ GIMT_Encode4(1728165), // Rule ID 10702 //
     /* 1728084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1728095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1728098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1728101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728130 */     // MIs[0] policy
     /* 1728130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728140 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1728143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728164 */     // GIR_Coverage, 10702,
     /* 1728164 */     GIR_EraseRootFromParent_Done,
     /* 1728165 */   // Label 23615: @1728165
     /* 1728165 */   GIM_Try, /*On fail goto*//*Label 23616*/ GIMT_Encode4(1728251), // Rule ID 10703 //
     /* 1728170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1728181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1728184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1728187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728216 */     // MIs[0] policy
     /* 1728216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728226 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1728229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728250 */     // GIR_Coverage, 10703,
     /* 1728250 */     GIR_EraseRootFromParent_Done,
     /* 1728251 */   // Label 23616: @1728251
     /* 1728251 */   GIM_Try, /*On fail goto*//*Label 23617*/ GIMT_Encode4(1728337), // Rule ID 10706 //
     /* 1728256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1728267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1728270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1728273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728302 */     // MIs[0] policy
     /* 1728302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728312 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1728315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728336 */     // GIR_Coverage, 10706,
     /* 1728336 */     GIR_EraseRootFromParent_Done,
     /* 1728337 */   // Label 23617: @1728337
     /* 1728337 */   GIM_Try, /*On fail goto*//*Label 23618*/ GIMT_Encode4(1728423), // Rule ID 10707 //
     /* 1728342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1728353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1728356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1728359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728388 */     // MIs[0] policy
     /* 1728388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728398 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1728401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728422 */     // GIR_Coverage, 10707,
     /* 1728422 */     GIR_EraseRootFromParent_Done,
     /* 1728423 */   // Label 23618: @1728423
     /* 1728423 */   GIM_Try, /*On fail goto*//*Label 23619*/ GIMT_Encode4(1728509), // Rule ID 10710 //
     /* 1728428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1728439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1728442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1728445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728474 */     // MIs[0] policy
     /* 1728474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728484 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1728487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728508 */     // GIR_Coverage, 10710,
     /* 1728508 */     GIR_EraseRootFromParent_Done,
     /* 1728509 */   // Label 23619: @1728509
     /* 1728509 */   GIM_Try, /*On fail goto*//*Label 23620*/ GIMT_Encode4(1728595), // Rule ID 10711 //
     /* 1728514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1728525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1728528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1728531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728560 */     // MIs[0] policy
     /* 1728560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728570 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1728573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728594 */     // GIR_Coverage, 10711,
     /* 1728594 */     GIR_EraseRootFromParent_Done,
     /* 1728595 */   // Label 23620: @1728595
     /* 1728595 */   GIM_Try, /*On fail goto*//*Label 23621*/ GIMT_Encode4(1728681), // Rule ID 10714 //
     /* 1728600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1728611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1728614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1728617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728646 */     // MIs[0] policy
     /* 1728646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728656 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1728659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728680 */     // GIR_Coverage, 10714,
     /* 1728680 */     GIR_EraseRootFromParent_Done,
     /* 1728681 */   // Label 23621: @1728681
     /* 1728681 */   GIM_Try, /*On fail goto*//*Label 23622*/ GIMT_Encode4(1728767), // Rule ID 10715 //
     /* 1728686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1728697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1728700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1728703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728732 */     // MIs[0] policy
     /* 1728732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728742 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1728745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728766 */     // GIR_Coverage, 10715,
     /* 1728766 */     GIR_EraseRootFromParent_Done,
     /* 1728767 */   // Label 23622: @1728767
     /* 1728767 */   GIM_Try, /*On fail goto*//*Label 23623*/ GIMT_Encode4(1728853), // Rule ID 10718 //
     /* 1728772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1728783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1728786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1728789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728818 */     // MIs[0] policy
     /* 1728818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728828 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1728831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728852 */     // GIR_Coverage, 10718,
     /* 1728852 */     GIR_EraseRootFromParent_Done,
     /* 1728853 */   // Label 23623: @1728853
     /* 1728853 */   GIM_Try, /*On fail goto*//*Label 23624*/ GIMT_Encode4(1728939), // Rule ID 10719 //
     /* 1728858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1728869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1728872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1728875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728904 */     // MIs[0] policy
     /* 1728904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728914 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1728917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728938 */     // GIR_Coverage, 10719,
     /* 1728938 */     GIR_EraseRootFromParent_Done,
     /* 1728939 */   // Label 23624: @1728939
     /* 1728939 */   GIM_Try, /*On fail goto*//*Label 23625*/ GIMT_Encode4(1729025), // Rule ID 10722 //
     /* 1728944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1728955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1728958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1728961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728990 */     // MIs[0] policy
     /* 1728990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729000 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1729003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729024 */     // GIR_Coverage, 10722,
     /* 1729024 */     GIR_EraseRootFromParent_Done,
     /* 1729025 */   // Label 23625: @1729025
     /* 1729025 */   GIM_Try, /*On fail goto*//*Label 23626*/ GIMT_Encode4(1729111), // Rule ID 10723 //
     /* 1729030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1729041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1729044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1729047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729076 */     // MIs[0] policy
     /* 1729076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729086 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1729089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729110 */     // GIR_Coverage, 10723,
     /* 1729110 */     GIR_EraseRootFromParent_Done,
     /* 1729111 */   // Label 23626: @1729111
     /* 1729111 */   GIM_Try, /*On fail goto*//*Label 23627*/ GIMT_Encode4(1729197), // Rule ID 10726 //
     /* 1729116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1729127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1729130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1729133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729162 */     // MIs[0] policy
     /* 1729162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1729175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729196 */     // GIR_Coverage, 10726,
     /* 1729196 */     GIR_EraseRootFromParent_Done,
     /* 1729197 */   // Label 23627: @1729197
     /* 1729197 */   GIM_Try, /*On fail goto*//*Label 23628*/ GIMT_Encode4(1729283), // Rule ID 10727 //
     /* 1729202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1729213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1729216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1729219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729248 */     // MIs[0] policy
     /* 1729248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729258 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1729261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729282 */     // GIR_Coverage, 10727,
     /* 1729282 */     GIR_EraseRootFromParent_Done,
     /* 1729283 */   // Label 23628: @1729283
     /* 1729283 */   GIM_Try, /*On fail goto*//*Label 23629*/ GIMT_Encode4(1729369), // Rule ID 10730 //
     /* 1729288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1729299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1729302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1729305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729334 */     // MIs[0] policy
     /* 1729334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729344 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1729347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729368 */     // GIR_Coverage, 10730,
     /* 1729368 */     GIR_EraseRootFromParent_Done,
     /* 1729369 */   // Label 23629: @1729369
     /* 1729369 */   GIM_Try, /*On fail goto*//*Label 23630*/ GIMT_Encode4(1729455), // Rule ID 10731 //
     /* 1729374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1729385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1729388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1729391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729420 */     // MIs[0] policy
     /* 1729420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729430 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1729433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729454 */     // GIR_Coverage, 10731,
     /* 1729454 */     GIR_EraseRootFromParent_Done,
     /* 1729455 */   // Label 23630: @1729455
     /* 1729455 */   GIM_Try, /*On fail goto*//*Label 23631*/ GIMT_Encode4(1729541), // Rule ID 10734 //
     /* 1729460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1729471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1729474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1729477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729506 */     // MIs[0] policy
     /* 1729506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1729519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729540 */     // GIR_Coverage, 10734,
     /* 1729540 */     GIR_EraseRootFromParent_Done,
     /* 1729541 */   // Label 23631: @1729541
     /* 1729541 */   GIM_Try, /*On fail goto*//*Label 23632*/ GIMT_Encode4(1729627), // Rule ID 10735 //
     /* 1729546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1729557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1729560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1729563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729592 */     // MIs[0] policy
     /* 1729592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1729605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729626 */     // GIR_Coverage, 10735,
     /* 1729626 */     GIR_EraseRootFromParent_Done,
     /* 1729627 */   // Label 23632: @1729627
     /* 1729627 */   GIM_Try, /*On fail goto*//*Label 23633*/ GIMT_Encode4(1729713), // Rule ID 10738 //
     /* 1729632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1729635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1729643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1729646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1729649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729678 */     // MIs[0] policy
     /* 1729678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729688 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1729691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729712 */     // GIR_Coverage, 10738,
     /* 1729712 */     GIR_EraseRootFromParent_Done,
     /* 1729713 */   // Label 23633: @1729713
     /* 1729713 */   GIM_Try, /*On fail goto*//*Label 23634*/ GIMT_Encode4(1729799), // Rule ID 10739 //
     /* 1729718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1729721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1729729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1729732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1729735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729764 */     // MIs[0] policy
     /* 1729764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729774 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1729777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729798 */     // GIR_Coverage, 10739,
     /* 1729798 */     GIR_EraseRootFromParent_Done,
     /* 1729799 */   // Label 23634: @1729799
     /* 1729799 */   GIM_Try, /*On fail goto*//*Label 23635*/ GIMT_Encode4(1729885), // Rule ID 10742 //
     /* 1729804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1729815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1729818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1729821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1729827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729850 */     // MIs[0] policy
     /* 1729850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729860 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1729863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729884 */     // GIR_Coverage, 10742,
     /* 1729884 */     GIR_EraseRootFromParent_Done,
     /* 1729885 */   // Label 23635: @1729885
     /* 1729885 */   GIM_Try, /*On fail goto*//*Label 23636*/ GIMT_Encode4(1729971), // Rule ID 10743 //
     /* 1729890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1729901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1729904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1729907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1729913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729936 */     // MIs[0] policy
     /* 1729936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729946 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1729949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729970 */     // GIR_Coverage, 10743,
     /* 1729970 */     GIR_EraseRootFromParent_Done,
     /* 1729971 */   // Label 23636: @1729971
     /* 1729971 */   GIM_Try, /*On fail goto*//*Label 23637*/ GIMT_Encode4(1730057), // Rule ID 10746 //
     /* 1729976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1729987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1729990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1729993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1729999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730022 */     // MIs[0] policy
     /* 1730022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730032 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1730035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730056 */     // GIR_Coverage, 10746,
     /* 1730056 */     GIR_EraseRootFromParent_Done,
     /* 1730057 */   // Label 23637: @1730057
     /* 1730057 */   GIM_Try, /*On fail goto*//*Label 23638*/ GIMT_Encode4(1730143), // Rule ID 10747 //
     /* 1730062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1730073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1730076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1730079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730108 */     // MIs[0] policy
     /* 1730108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730118 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1730121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730142 */     // GIR_Coverage, 10747,
     /* 1730142 */     GIR_EraseRootFromParent_Done,
     /* 1730143 */   // Label 23638: @1730143
     /* 1730143 */   GIM_Try, /*On fail goto*//*Label 23639*/ GIMT_Encode4(1730229), // Rule ID 10750 //
     /* 1730148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1730159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1730162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1730165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1730171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730194 */     // MIs[0] policy
     /* 1730194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730204 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1730207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730228 */     // GIR_Coverage, 10750,
     /* 1730228 */     GIR_EraseRootFromParent_Done,
     /* 1730229 */   // Label 23639: @1730229
     /* 1730229 */   GIM_Try, /*On fail goto*//*Label 23640*/ GIMT_Encode4(1730315), // Rule ID 10751 //
     /* 1730234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1730245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1730248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1730251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1730257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730280 */     // MIs[0] policy
     /* 1730280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730290 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1730293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730314 */     // GIR_Coverage, 10751,
     /* 1730314 */     GIR_EraseRootFromParent_Done,
     /* 1730315 */   // Label 23640: @1730315
     /* 1730315 */   GIM_Try, /*On fail goto*//*Label 23641*/ GIMT_Encode4(1730401), // Rule ID 10754 //
     /* 1730320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1730331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1730334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1730337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730366 */     // MIs[0] policy
     /* 1730366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730376 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1730379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730400 */     // GIR_Coverage, 10754,
     /* 1730400 */     GIR_EraseRootFromParent_Done,
     /* 1730401 */   // Label 23641: @1730401
     /* 1730401 */   GIM_Try, /*On fail goto*//*Label 23642*/ GIMT_Encode4(1730487), // Rule ID 10755 //
     /* 1730406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1730417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1730420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1730423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730452 */     // MIs[0] policy
     /* 1730452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730462 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1730465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730486 */     // GIR_Coverage, 10755,
     /* 1730486 */     GIR_EraseRootFromParent_Done,
     /* 1730487 */   // Label 23642: @1730487
     /* 1730487 */   GIM_Try, /*On fail goto*//*Label 23643*/ GIMT_Encode4(1730573), // Rule ID 10758 //
     /* 1730492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1730503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1730506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1730509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730538 */     // MIs[0] policy
     /* 1730538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730548 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1730551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730572 */     // GIR_Coverage, 10758,
     /* 1730572 */     GIR_EraseRootFromParent_Done,
     /* 1730573 */   // Label 23643: @1730573
     /* 1730573 */   GIM_Try, /*On fail goto*//*Label 23644*/ GIMT_Encode4(1730659), // Rule ID 10759 //
     /* 1730578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1730589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1730592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1730595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730624 */     // MIs[0] policy
     /* 1730624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730634 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1730637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730658 */     // GIR_Coverage, 10759,
     /* 1730658 */     GIR_EraseRootFromParent_Done,
     /* 1730659 */   // Label 23644: @1730659
     /* 1730659 */   GIM_Try, /*On fail goto*//*Label 23645*/ GIMT_Encode4(1730745), // Rule ID 10762 //
     /* 1730664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1730675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1730678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1730681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730710 */     // MIs[0] policy
     /* 1730710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730720 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1730723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730744 */     // GIR_Coverage, 10762,
     /* 1730744 */     GIR_EraseRootFromParent_Done,
     /* 1730745 */   // Label 23645: @1730745
     /* 1730745 */   GIM_Try, /*On fail goto*//*Label 23646*/ GIMT_Encode4(1730831), // Rule ID 10763 //
     /* 1730750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1730761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1730764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1730767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730796 */     // MIs[0] policy
     /* 1730796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730806 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1730809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730830 */     // GIR_Coverage, 10763,
     /* 1730830 */     GIR_EraseRootFromParent_Done,
     /* 1730831 */   // Label 23646: @1730831
     /* 1730831 */   GIM_Try, /*On fail goto*//*Label 23647*/ GIMT_Encode4(1730917), // Rule ID 10766 //
     /* 1730836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1730847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1730850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1730853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730882 */     // MIs[0] policy
     /* 1730882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730892 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1730895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730916 */     // GIR_Coverage, 10766,
     /* 1730916 */     GIR_EraseRootFromParent_Done,
     /* 1730917 */   // Label 23647: @1730917
     /* 1730917 */   GIM_Try, /*On fail goto*//*Label 23648*/ GIMT_Encode4(1731003), // Rule ID 10767 //
     /* 1730922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1730933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1730936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1730939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730968 */     // MIs[0] policy
     /* 1730968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1730981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731002 */     // GIR_Coverage, 10767,
     /* 1731002 */     GIR_EraseRootFromParent_Done,
     /* 1731003 */   // Label 23648: @1731003
     /* 1731003 */   GIM_Try, /*On fail goto*//*Label 23649*/ GIMT_Encode4(1731089), // Rule ID 10770 //
     /* 1731008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1731019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1731022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1731025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731054 */     // MIs[0] policy
     /* 1731054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731064 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1731067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731088 */     // GIR_Coverage, 10770,
     /* 1731088 */     GIR_EraseRootFromParent_Done,
     /* 1731089 */   // Label 23649: @1731089
     /* 1731089 */   GIM_Try, /*On fail goto*//*Label 23650*/ GIMT_Encode4(1731175), // Rule ID 10771 //
     /* 1731094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1731105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1731108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1731111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731140 */     // MIs[0] policy
     /* 1731140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731150 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1731153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731174 */     // GIR_Coverage, 10771,
     /* 1731174 */     GIR_EraseRootFromParent_Done,
     /* 1731175 */   // Label 23650: @1731175
     /* 1731175 */   GIM_Try, /*On fail goto*//*Label 23651*/ GIMT_Encode4(1731261), // Rule ID 10774 //
     /* 1731180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1731191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1731194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1731197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731226 */     // MIs[0] policy
     /* 1731226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731236 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1731239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731260 */     // GIR_Coverage, 10774,
     /* 1731260 */     GIR_EraseRootFromParent_Done,
     /* 1731261 */   // Label 23651: @1731261
     /* 1731261 */   GIM_Try, /*On fail goto*//*Label 23652*/ GIMT_Encode4(1731347), // Rule ID 10775 //
     /* 1731266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1731277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1731280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1731283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731312 */     // MIs[0] policy
     /* 1731312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731322 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1731325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731346 */     // GIR_Coverage, 10775,
     /* 1731346 */     GIR_EraseRootFromParent_Done,
     /* 1731347 */   // Label 23652: @1731347
     /* 1731347 */   GIM_Try, /*On fail goto*//*Label 23653*/ GIMT_Encode4(1731433), // Rule ID 10778 //
     /* 1731352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1731355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1731363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1731366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1731369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731398 */     // MIs[0] policy
     /* 1731398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731408 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1731411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731432 */     // GIR_Coverage, 10778,
     /* 1731432 */     GIR_EraseRootFromParent_Done,
     /* 1731433 */   // Label 23653: @1731433
     /* 1731433 */   GIM_Try, /*On fail goto*//*Label 23654*/ GIMT_Encode4(1731519), // Rule ID 10779 //
     /* 1731438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1731441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1731449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1731452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1731455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731484 */     // MIs[0] policy
     /* 1731484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731494 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1731497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731518 */     // GIR_Coverage, 10779,
     /* 1731518 */     GIR_EraseRootFromParent_Done,
     /* 1731519 */   // Label 23654: @1731519
     /* 1731519 */   GIM_Try, /*On fail goto*//*Label 23655*/ GIMT_Encode4(1731605), // Rule ID 10782 //
     /* 1731524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1731527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1731535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1731538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1731541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731570 */     // MIs[0] policy
     /* 1731570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731580 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1731583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731604 */     // GIR_Coverage, 10782,
     /* 1731604 */     GIR_EraseRootFromParent_Done,
     /* 1731605 */   // Label 23655: @1731605
     /* 1731605 */   GIM_Try, /*On fail goto*//*Label 23656*/ GIMT_Encode4(1731691), // Rule ID 10783 //
     /* 1731610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1731613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1731621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1731624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1731627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731656 */     // MIs[0] policy
     /* 1731656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731666 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1731669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731690 */     // GIR_Coverage, 10783,
     /* 1731690 */     GIR_EraseRootFromParent_Done,
     /* 1731691 */   // Label 23656: @1731691
     /* 1731691 */   GIM_Try, /*On fail goto*//*Label 23657*/ GIMT_Encode4(1731777), // Rule ID 10786 //
     /* 1731696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1731699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1731707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1731710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1731713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731742 */     // MIs[0] policy
     /* 1731742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1731755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731776 */     // GIR_Coverage, 10786,
     /* 1731776 */     GIR_EraseRootFromParent_Done,
     /* 1731777 */   // Label 23657: @1731777
     /* 1731777 */   GIM_Try, /*On fail goto*//*Label 23658*/ GIMT_Encode4(1731863), // Rule ID 10787 //
     /* 1731782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1731785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1731793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1731796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1731799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731828 */     // MIs[0] policy
     /* 1731828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731838 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1731841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731862 */     // GIR_Coverage, 10787,
     /* 1731862 */     GIR_EraseRootFromParent_Done,
     /* 1731863 */   // Label 23658: @1731863
     /* 1731863 */   GIM_Try, /*On fail goto*//*Label 23659*/ GIMT_Encode4(1731949), // Rule ID 10790 //
     /* 1731868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1731879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1731882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1731885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1731888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731914 */     // MIs[0] policy
     /* 1731914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1731927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731948 */     // GIR_Coverage, 10790,
     /* 1731948 */     GIR_EraseRootFromParent_Done,
     /* 1731949 */   // Label 23659: @1731949
     /* 1731949 */   GIM_Try, /*On fail goto*//*Label 23660*/ GIMT_Encode4(1732035), // Rule ID 10791 //
     /* 1731954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1731965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1731968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1731971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1731974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732000 */     // MIs[0] policy
     /* 1732000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732010 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1732013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732034 */     // GIR_Coverage, 10791,
     /* 1732034 */     GIR_EraseRootFromParent_Done,
     /* 1732035 */   // Label 23660: @1732035
     /* 1732035 */   GIM_Try, /*On fail goto*//*Label 23661*/ GIMT_Encode4(1732121), // Rule ID 10794 //
     /* 1732040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1732051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1732054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1732057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1732060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732086 */     // MIs[0] policy
     /* 1732086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732096 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1732099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732120 */     // GIR_Coverage, 10794,
     /* 1732120 */     GIR_EraseRootFromParent_Done,
     /* 1732121 */   // Label 23661: @1732121
     /* 1732121 */   GIM_Try, /*On fail goto*//*Label 23662*/ GIMT_Encode4(1732207), // Rule ID 10795 //
     /* 1732126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1732137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1732140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1732143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1732146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732172 */     // MIs[0] policy
     /* 1732172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732182 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1732185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732206 */     // GIR_Coverage, 10795,
     /* 1732206 */     GIR_EraseRootFromParent_Done,
     /* 1732207 */   // Label 23662: @1732207
     /* 1732207 */   GIM_Try, /*On fail goto*//*Label 23663*/ GIMT_Encode4(1732293), // Rule ID 10798 //
     /* 1732212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1732223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1732226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1732229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1732232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732258 */     // MIs[0] policy
     /* 1732258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732268 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1732271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732292 */     // GIR_Coverage, 10798,
     /* 1732292 */     GIR_EraseRootFromParent_Done,
     /* 1732293 */   // Label 23663: @1732293
     /* 1732293 */   GIM_Try, /*On fail goto*//*Label 23664*/ GIMT_Encode4(1732379), // Rule ID 10799 //
     /* 1732298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1732309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1732312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1732315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1732318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732344 */     // MIs[0] policy
     /* 1732344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732354 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1732357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732378 */     // GIR_Coverage, 10799,
     /* 1732378 */     GIR_EraseRootFromParent_Done,
     /* 1732379 */   // Label 23664: @1732379
     /* 1732379 */   GIM_Try, /*On fail goto*//*Label 23665*/ GIMT_Encode4(1732465), // Rule ID 10802 //
     /* 1732384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1732395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1732398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1732401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1732404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732430 */     // MIs[0] policy
     /* 1732430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732440 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1732443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732464 */     // GIR_Coverage, 10802,
     /* 1732464 */     GIR_EraseRootFromParent_Done,
     /* 1732465 */   // Label 23665: @1732465
     /* 1732465 */   GIM_Try, /*On fail goto*//*Label 23666*/ GIMT_Encode4(1732551), // Rule ID 10803 //
     /* 1732470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1732481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1732484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1732487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1732490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732516 */     // MIs[0] policy
     /* 1732516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732526 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1732529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732550 */     // GIR_Coverage, 10803,
     /* 1732550 */     GIR_EraseRootFromParent_Done,
     /* 1732551 */   // Label 23666: @1732551
     /* 1732551 */   GIM_Try, /*On fail goto*//*Label 23667*/ GIMT_Encode4(1732637), // Rule ID 10806 //
     /* 1732556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1732567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1732570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1732573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1732576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732602 */     // MIs[0] policy
     /* 1732602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732612 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1732615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732636 */     // GIR_Coverage, 10806,
     /* 1732636 */     GIR_EraseRootFromParent_Done,
     /* 1732637 */   // Label 23667: @1732637
     /* 1732637 */   GIM_Try, /*On fail goto*//*Label 23668*/ GIMT_Encode4(1732723), // Rule ID 10807 //
     /* 1732642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1732653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1732656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1732659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1732662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732688 */     // MIs[0] policy
     /* 1732688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732698 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1732701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732722 */     // GIR_Coverage, 10807,
     /* 1732722 */     GIR_EraseRootFromParent_Done,
     /* 1732723 */   // Label 23668: @1732723
     /* 1732723 */   GIM_Try, /*On fail goto*//*Label 23669*/ GIMT_Encode4(1732809), // Rule ID 10810 //
     /* 1732728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1732739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1732742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1732745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1732748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732774 */     // MIs[0] policy
     /* 1732774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1732787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732808 */     // GIR_Coverage, 10810,
     /* 1732808 */     GIR_EraseRootFromParent_Done,
     /* 1732809 */   // Label 23669: @1732809
     /* 1732809 */   GIM_Try, /*On fail goto*//*Label 23670*/ GIMT_Encode4(1732895), // Rule ID 10811 //
     /* 1732814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1732825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1732828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1732831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1732834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732860 */     // MIs[0] policy
     /* 1732860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732870 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1732873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732894 */     // GIR_Coverage, 10811,
     /* 1732894 */     GIR_EraseRootFromParent_Done,
     /* 1732895 */   // Label 23670: @1732895
     /* 1732895 */   GIM_Try, /*On fail goto*//*Label 23671*/ GIMT_Encode4(1732981), // Rule ID 10814 //
     /* 1732900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1732911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1732914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1732917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1732920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732946 */     // MIs[0] policy
     /* 1732946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732956 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1732959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732980 */     // GIR_Coverage, 10814,
     /* 1732980 */     GIR_EraseRootFromParent_Done,
     /* 1732981 */   // Label 23671: @1732981
     /* 1732981 */   GIM_Try, /*On fail goto*//*Label 23672*/ GIMT_Encode4(1733067), // Rule ID 10815 //
     /* 1732986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1732997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1733000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1733003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1733006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733032 */     // MIs[0] policy
     /* 1733032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733042 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1733045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733066 */     // GIR_Coverage, 10815,
     /* 1733066 */     GIR_EraseRootFromParent_Done,
     /* 1733067 */   // Label 23672: @1733067
     /* 1733067 */   GIM_Try, /*On fail goto*//*Label 23673*/ GIMT_Encode4(1733153), // Rule ID 10818 //
     /* 1733072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1733083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1733086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1733089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1733092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733118 */     // MIs[0] policy
     /* 1733118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1733131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733152 */     // GIR_Coverage, 10818,
     /* 1733152 */     GIR_EraseRootFromParent_Done,
     /* 1733153 */   // Label 23673: @1733153
     /* 1733153 */   GIM_Try, /*On fail goto*//*Label 23674*/ GIMT_Encode4(1733239), // Rule ID 10819 //
     /* 1733158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1733169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1733172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1733175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1733178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733204 */     // MIs[0] policy
     /* 1733204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733214 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1733217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733238 */     // GIR_Coverage, 10819,
     /* 1733238 */     GIR_EraseRootFromParent_Done,
     /* 1733239 */   // Label 23674: @1733239
     /* 1733239 */   GIM_Try, /*On fail goto*//*Label 23675*/ GIMT_Encode4(1733325), // Rule ID 10822 //
     /* 1733244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1733255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1733258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1733261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1733264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733290 */     // MIs[0] policy
     /* 1733290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1733303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733324 */     // GIR_Coverage, 10822,
     /* 1733324 */     GIR_EraseRootFromParent_Done,
     /* 1733325 */   // Label 23675: @1733325
     /* 1733325 */   GIM_Try, /*On fail goto*//*Label 23676*/ GIMT_Encode4(1733411), // Rule ID 10823 //
     /* 1733330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1733341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1733344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1733347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1733350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733376 */     // MIs[0] policy
     /* 1733376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1733389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733410 */     // GIR_Coverage, 10823,
     /* 1733410 */     GIR_EraseRootFromParent_Done,
     /* 1733411 */   // Label 23676: @1733411
     /* 1733411 */   GIM_Try, /*On fail goto*//*Label 23677*/ GIMT_Encode4(1733497), // Rule ID 10826 //
     /* 1733416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1733419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1733427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1733430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1733433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1733436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733462 */     // MIs[0] policy
     /* 1733462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733472 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1733475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733496 */     // GIR_Coverage, 10826,
     /* 1733496 */     GIR_EraseRootFromParent_Done,
     /* 1733497 */   // Label 23677: @1733497
     /* 1733497 */   GIM_Try, /*On fail goto*//*Label 23678*/ GIMT_Encode4(1733583), // Rule ID 10827 //
     /* 1733502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1733505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1733513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1733516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1733519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1733522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733548 */     // MIs[0] policy
     /* 1733548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733558 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1733561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733582 */     // GIR_Coverage, 10827,
     /* 1733582 */     GIR_EraseRootFromParent_Done,
     /* 1733583 */   // Label 23678: @1733583
     /* 1733583 */   GIM_Try, /*On fail goto*//*Label 23679*/ GIMT_Encode4(1733669), // Rule ID 10830 //
     /* 1733588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1733599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1733602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1733605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1733608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733634 */     // MIs[0] policy
     /* 1733634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733644 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1733647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733668 */     // GIR_Coverage, 10830,
     /* 1733668 */     GIR_EraseRootFromParent_Done,
     /* 1733669 */   // Label 23679: @1733669
     /* 1733669 */   GIM_Try, /*On fail goto*//*Label 23680*/ GIMT_Encode4(1733755), // Rule ID 10831 //
     /* 1733674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1733685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1733688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1733691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1733694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733720 */     // MIs[0] policy
     /* 1733720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733730 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1733733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733754 */     // GIR_Coverage, 10831,
     /* 1733754 */     GIR_EraseRootFromParent_Done,
     /* 1733755 */   // Label 23680: @1733755
     /* 1733755 */   GIM_Try, /*On fail goto*//*Label 23681*/ GIMT_Encode4(1733841), // Rule ID 10834 //
     /* 1733760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1733771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1733774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1733777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1733780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1733783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733806 */     // MIs[0] policy
     /* 1733806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733816 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1733819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733840 */     // GIR_Coverage, 10834,
     /* 1733840 */     GIR_EraseRootFromParent_Done,
     /* 1733841 */   // Label 23681: @1733841
     /* 1733841 */   GIM_Try, /*On fail goto*//*Label 23682*/ GIMT_Encode4(1733927), // Rule ID 10835 //
     /* 1733846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1733857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1733860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1733863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1733866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1733869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733892 */     // MIs[0] policy
     /* 1733892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733902 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1733905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733926 */     // GIR_Coverage, 10835,
     /* 1733926 */     GIR_EraseRootFromParent_Done,
     /* 1733927 */   // Label 23682: @1733927
     /* 1733927 */   GIM_Try, /*On fail goto*//*Label 23683*/ GIMT_Encode4(1734013), // Rule ID 10838 //
     /* 1733932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1733943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1733946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1733949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1733952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1733955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733978 */     // MIs[0] policy
     /* 1733978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733988 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1733991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734012 */     // GIR_Coverage, 10838,
     /* 1734012 */     GIR_EraseRootFromParent_Done,
     /* 1734013 */   // Label 23683: @1734013
     /* 1734013 */   GIM_Try, /*On fail goto*//*Label 23684*/ GIMT_Encode4(1734099), // Rule ID 10839 //
     /* 1734018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1734029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1734032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1734035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1734038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1734041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734064 */     // MIs[0] policy
     /* 1734064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734074 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1734077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734098 */     // GIR_Coverage, 10839,
     /* 1734098 */     GIR_EraseRootFromParent_Done,
     /* 1734099 */   // Label 23684: @1734099
     /* 1734099 */   GIM_Try, /*On fail goto*//*Label 23685*/ GIMT_Encode4(1734185), // Rule ID 10842 //
     /* 1734104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1734115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1734118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1734121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1734124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734150 */     // MIs[0] policy
     /* 1734150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734160 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1734163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734184 */     // GIR_Coverage, 10842,
     /* 1734184 */     GIR_EraseRootFromParent_Done,
     /* 1734185 */   // Label 23685: @1734185
     /* 1734185 */   GIM_Try, /*On fail goto*//*Label 23686*/ GIMT_Encode4(1734271), // Rule ID 10843 //
     /* 1734190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1734201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1734204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1734207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1734210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734236 */     // MIs[0] policy
     /* 1734236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734246 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1734249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734270 */     // GIR_Coverage, 10843,
     /* 1734270 */     GIR_EraseRootFromParent_Done,
     /* 1734271 */   // Label 23686: @1734271
     /* 1734271 */   GIM_Try, /*On fail goto*//*Label 23687*/ GIMT_Encode4(1734357), // Rule ID 10846 //
     /* 1734276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1734287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1734290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1734293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1734296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734322 */     // MIs[0] policy
     /* 1734322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1734335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734356 */     // GIR_Coverage, 10846,
     /* 1734356 */     GIR_EraseRootFromParent_Done,
     /* 1734357 */   // Label 23687: @1734357
     /* 1734357 */   GIM_Try, /*On fail goto*//*Label 23688*/ GIMT_Encode4(1734443), // Rule ID 10847 //
     /* 1734362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1734373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1734376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1734379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1734382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734408 */     // MIs[0] policy
     /* 1734408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734418 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1734421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734442 */     // GIR_Coverage, 10847,
     /* 1734442 */     GIR_EraseRootFromParent_Done,
     /* 1734443 */   // Label 23688: @1734443
     /* 1734443 */   GIM_Try, /*On fail goto*//*Label 23689*/ GIMT_Encode4(1734529), // Rule ID 10850 //
     /* 1734448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1734459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1734462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1734465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1734468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734494 */     // MIs[0] policy
     /* 1734494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734504 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1734507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734528 */     // GIR_Coverage, 10850,
     /* 1734528 */     GIR_EraseRootFromParent_Done,
     /* 1734529 */   // Label 23689: @1734529
     /* 1734529 */   GIM_Try, /*On fail goto*//*Label 23690*/ GIMT_Encode4(1734615), // Rule ID 10851 //
     /* 1734534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1734545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1734548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1734551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1734554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734580 */     // MIs[0] policy
     /* 1734580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734590 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1734593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734614 */     // GIR_Coverage, 10851,
     /* 1734614 */     GIR_EraseRootFromParent_Done,
     /* 1734615 */   // Label 23690: @1734615
     /* 1734615 */   GIM_Try, /*On fail goto*//*Label 23691*/ GIMT_Encode4(1734701), // Rule ID 10854 //
     /* 1734620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1734631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1734634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1734637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1734640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734666 */     // MIs[0] policy
     /* 1734666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1734679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734700 */     // GIR_Coverage, 10854,
     /* 1734700 */     GIR_EraseRootFromParent_Done,
     /* 1734701 */   // Label 23691: @1734701
     /* 1734701 */   GIM_Try, /*On fail goto*//*Label 23692*/ GIMT_Encode4(1734787), // Rule ID 10855 //
     /* 1734706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1734717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1734720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1734723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1734726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734752 */     // MIs[0] policy
     /* 1734752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734762 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1734765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734786 */     // GIR_Coverage, 10855,
     /* 1734786 */     GIR_EraseRootFromParent_Done,
     /* 1734787 */   // Label 23692: @1734787
     /* 1734787 */   GIM_Try, /*On fail goto*//*Label 23693*/ GIMT_Encode4(1734873), // Rule ID 10858 //
     /* 1734792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1734803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1734806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1734809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1734812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734838 */     // MIs[0] policy
     /* 1734838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734848 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1734851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734872 */     // GIR_Coverage, 10858,
     /* 1734872 */     GIR_EraseRootFromParent_Done,
     /* 1734873 */   // Label 23693: @1734873
     /* 1734873 */   GIM_Try, /*On fail goto*//*Label 23694*/ GIMT_Encode4(1734959), // Rule ID 10859 //
     /* 1734878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1734889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1734892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1734895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1734898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734924 */     // MIs[0] policy
     /* 1734924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734934 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1734937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734958 */     // GIR_Coverage, 10859,
     /* 1734958 */     GIR_EraseRootFromParent_Done,
     /* 1734959 */   // Label 23694: @1734959
     /* 1734959 */   GIM_Try, /*On fail goto*//*Label 23695*/ GIMT_Encode4(1735045), // Rule ID 10862 //
     /* 1734964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1734975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1734978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1734981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1734984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735010 */     // MIs[0] policy
     /* 1735010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735020 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1735023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735044 */     // GIR_Coverage, 10862,
     /* 1735044 */     GIR_EraseRootFromParent_Done,
     /* 1735045 */   // Label 23695: @1735045
     /* 1735045 */   GIM_Try, /*On fail goto*//*Label 23696*/ GIMT_Encode4(1735131), // Rule ID 10863 //
     /* 1735050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1735061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1735064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1735067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1735070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735096 */     // MIs[0] policy
     /* 1735096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735106 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1735109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735130 */     // GIR_Coverage, 10863,
     /* 1735130 */     GIR_EraseRootFromParent_Done,
     /* 1735131 */   // Label 23696: @1735131
     /* 1735131 */   GIM_Try, /*On fail goto*//*Label 23697*/ GIMT_Encode4(1735217), // Rule ID 10866 //
     /* 1735136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1735147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1735150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1735153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1735156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735182 */     // MIs[0] policy
     /* 1735182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735192 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1735195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735216 */     // GIR_Coverage, 10866,
     /* 1735216 */     GIR_EraseRootFromParent_Done,
     /* 1735217 */   // Label 23697: @1735217
     /* 1735217 */   GIM_Try, /*On fail goto*//*Label 23698*/ GIMT_Encode4(1735303), // Rule ID 10867 //
     /* 1735222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1735233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1735236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1735239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1735242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735268 */     // MIs[0] policy
     /* 1735268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735278 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1735281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735302 */     // GIR_Coverage, 10867,
     /* 1735302 */     GIR_EraseRootFromParent_Done,
     /* 1735303 */   // Label 23698: @1735303
     /* 1735303 */   GIM_Try, /*On fail goto*//*Label 23699*/ GIMT_Encode4(1735389), // Rule ID 10870 //
     /* 1735308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1735319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1735322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1735325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1735328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735354 */     // MIs[0] policy
     /* 1735354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735364 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1735367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735388 */     // GIR_Coverage, 10870,
     /* 1735388 */     GIR_EraseRootFromParent_Done,
     /* 1735389 */   // Label 23699: @1735389
     /* 1735389 */   GIM_Try, /*On fail goto*//*Label 23700*/ GIMT_Encode4(1735475), // Rule ID 10871 //
     /* 1735394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1735405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1735408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1735411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1735414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735440 */     // MIs[0] policy
     /* 1735440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735450 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1735453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735474 */     // GIR_Coverage, 10871,
     /* 1735474 */     GIR_EraseRootFromParent_Done,
     /* 1735475 */   // Label 23700: @1735475
     /* 1735475 */   GIM_Try, /*On fail goto*//*Label 23701*/ GIMT_Encode4(1735561), // Rule ID 10874 //
     /* 1735480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1735491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1735494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1735497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1735500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735526 */     // MIs[0] policy
     /* 1735526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735536 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1735539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735560 */     // GIR_Coverage, 10874,
     /* 1735560 */     GIR_EraseRootFromParent_Done,
     /* 1735561 */   // Label 23701: @1735561
     /* 1735561 */   GIM_Try, /*On fail goto*//*Label 23702*/ GIMT_Encode4(1735647), // Rule ID 10875 //
     /* 1735566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1735577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1735580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1735583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1735586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735612 */     // MIs[0] policy
     /* 1735612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1735625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735646 */     // GIR_Coverage, 10875,
     /* 1735646 */     GIR_EraseRootFromParent_Done,
     /* 1735647 */   // Label 23702: @1735647
     /* 1735647 */   GIM_Try, /*On fail goto*//*Label 23703*/ GIMT_Encode4(1735733), // Rule ID 10878 //
     /* 1735652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1735663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1735666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1735669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1735675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735698 */     // MIs[0] policy
     /* 1735698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735708 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1735711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735732 */     // GIR_Coverage, 10878,
     /* 1735732 */     GIR_EraseRootFromParent_Done,
     /* 1735733 */   // Label 23703: @1735733
     /* 1735733 */   GIM_Try, /*On fail goto*//*Label 23704*/ GIMT_Encode4(1735819), // Rule ID 10879 //
     /* 1735738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1735749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1735752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1735755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1735761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735784 */     // MIs[0] policy
     /* 1735784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735794 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1735797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735818 */     // GIR_Coverage, 10879,
     /* 1735818 */     GIR_EraseRootFromParent_Done,
     /* 1735819 */   // Label 23704: @1735819
     /* 1735819 */   GIM_Try, /*On fail goto*//*Label 23705*/ GIMT_Encode4(1735905), // Rule ID 10882 //
     /* 1735824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1735835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1735838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1735841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735870 */     // MIs[0] policy
     /* 1735870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735880 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1735883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735904 */     // GIR_Coverage, 10882,
     /* 1735904 */     GIR_EraseRootFromParent_Done,
     /* 1735905 */   // Label 23705: @1735905
     /* 1735905 */   GIM_Try, /*On fail goto*//*Label 23706*/ GIMT_Encode4(1735991), // Rule ID 10883 //
     /* 1735910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1735921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1735924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1735927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735956 */     // MIs[0] policy
     /* 1735956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735966 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1735969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735990 */     // GIR_Coverage, 10883,
     /* 1735990 */     GIR_EraseRootFromParent_Done,
     /* 1735991 */   // Label 23706: @1735991
     /* 1735991 */   GIM_Try, /*On fail goto*//*Label 23707*/ GIMT_Encode4(1736077), // Rule ID 10886 //
     /* 1735996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1736007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1736010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1736013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736042 */     // MIs[0] policy
     /* 1736042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736052 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1736055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736076 */     // GIR_Coverage, 10886,
     /* 1736076 */     GIR_EraseRootFromParent_Done,
     /* 1736077 */   // Label 23707: @1736077
     /* 1736077 */   GIM_Try, /*On fail goto*//*Label 23708*/ GIMT_Encode4(1736163), // Rule ID 10887 //
     /* 1736082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1736093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1736096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1736099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736128 */     // MIs[0] policy
     /* 1736128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736138 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1736141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736162 */     // GIR_Coverage, 10887,
     /* 1736162 */     GIR_EraseRootFromParent_Done,
     /* 1736163 */   // Label 23708: @1736163
     /* 1736163 */   GIM_Try, /*On fail goto*//*Label 23709*/ GIMT_Encode4(1736249), // Rule ID 10890 //
     /* 1736168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1736179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1736182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1736185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736214 */     // MIs[0] policy
     /* 1736214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736224 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1736227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736248 */     // GIR_Coverage, 10890,
     /* 1736248 */     GIR_EraseRootFromParent_Done,
     /* 1736249 */   // Label 23709: @1736249
     /* 1736249 */   GIM_Try, /*On fail goto*//*Label 23710*/ GIMT_Encode4(1736335), // Rule ID 10891 //
     /* 1736254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1736265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1736268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1736271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736300 */     // MIs[0] policy
     /* 1736300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736310 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1736313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736334 */     // GIR_Coverage, 10891,
     /* 1736334 */     GIR_EraseRootFromParent_Done,
     /* 1736335 */   // Label 23710: @1736335
     /* 1736335 */   GIM_Try, /*On fail goto*//*Label 23711*/ GIMT_Encode4(1736421), // Rule ID 10894 //
     /* 1736340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1736351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1736354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1736357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736386 */     // MIs[0] policy
     /* 1736386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1736399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736420 */     // GIR_Coverage, 10894,
     /* 1736420 */     GIR_EraseRootFromParent_Done,
     /* 1736421 */   // Label 23711: @1736421
     /* 1736421 */   GIM_Try, /*On fail goto*//*Label 23712*/ GIMT_Encode4(1736507), // Rule ID 10895 //
     /* 1736426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1736437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1736440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1736443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736472 */     // MIs[0] policy
     /* 1736472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736482 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1736485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736506 */     // GIR_Coverage, 10895,
     /* 1736506 */     GIR_EraseRootFromParent_Done,
     /* 1736507 */   // Label 23712: @1736507
     /* 1736507 */   GIM_Try, /*On fail goto*//*Label 23713*/ GIMT_Encode4(1736593), // Rule ID 10898 //
     /* 1736512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1736523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1736526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1736529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736558 */     // MIs[0] policy
     /* 1736558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736568 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1736571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736592 */     // GIR_Coverage, 10898,
     /* 1736592 */     GIR_EraseRootFromParent_Done,
     /* 1736593 */   // Label 23713: @1736593
     /* 1736593 */   GIM_Try, /*On fail goto*//*Label 23714*/ GIMT_Encode4(1736679), // Rule ID 10899 //
     /* 1736598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1736609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1736612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1736615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736644 */     // MIs[0] policy
     /* 1736644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736654 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1736657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736678 */     // GIR_Coverage, 10899,
     /* 1736678 */     GIR_EraseRootFromParent_Done,
     /* 1736679 */   // Label 23714: @1736679
     /* 1736679 */   GIM_Try, /*On fail goto*//*Label 23715*/ GIMT_Encode4(1736765), // Rule ID 10902 //
     /* 1736684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1736695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1736698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1736701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736730 */     // MIs[0] policy
     /* 1736730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1736743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736764 */     // GIR_Coverage, 10902,
     /* 1736764 */     GIR_EraseRootFromParent_Done,
     /* 1736765 */   // Label 23715: @1736765
     /* 1736765 */   GIM_Try, /*On fail goto*//*Label 23716*/ GIMT_Encode4(1736851), // Rule ID 10903 //
     /* 1736770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1736781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1736784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1736787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736816 */     // MIs[0] policy
     /* 1736816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736826 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1736829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736850 */     // GIR_Coverage, 10903,
     /* 1736850 */     GIR_EraseRootFromParent_Done,
     /* 1736851 */   // Label 23716: @1736851
     /* 1736851 */   GIM_Try, /*On fail goto*//*Label 23717*/ GIMT_Encode4(1736937), // Rule ID 10906 //
     /* 1736856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1736867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1736870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1736873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736902 */     // MIs[0] policy
     /* 1736902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736912 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1736915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736936 */     // GIR_Coverage, 10906,
     /* 1736936 */     GIR_EraseRootFromParent_Done,
     /* 1736937 */   // Label 23717: @1736937
     /* 1736937 */   GIM_Try, /*On fail goto*//*Label 23718*/ GIMT_Encode4(1737023), // Rule ID 10907 //
     /* 1736942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1736953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1736956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1736959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736988 */     // MIs[0] policy
     /* 1736988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1737001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737022 */     // GIR_Coverage, 10907,
     /* 1737022 */     GIR_EraseRootFromParent_Done,
     /* 1737023 */   // Label 23718: @1737023
     /* 1737023 */   GIM_Try, /*On fail goto*//*Label 23719*/ GIMT_Encode4(1737109), // Rule ID 10910 //
     /* 1737028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1737039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1737042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1737045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737074 */     // MIs[0] policy
     /* 1737074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1737087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737108 */     // GIR_Coverage, 10910,
     /* 1737108 */     GIR_EraseRootFromParent_Done,
     /* 1737109 */   // Label 23719: @1737109
     /* 1737109 */   GIM_Try, /*On fail goto*//*Label 23720*/ GIMT_Encode4(1737195), // Rule ID 10911 //
     /* 1737114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1737125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1737128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1737131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737160 */     // MIs[0] policy
     /* 1737160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737170 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1737173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737194 */     // GIR_Coverage, 10911,
     /* 1737194 */     GIR_EraseRootFromParent_Done,
     /* 1737195 */   // Label 23720: @1737195
     /* 1737195 */   GIM_Try, /*On fail goto*//*Label 23721*/ GIMT_Encode4(1737281), // Rule ID 10914 //
     /* 1737200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1737203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1737211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1737214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1737217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737246 */     // MIs[0] policy
     /* 1737246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737256 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1737259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1737277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737280 */     // GIR_Coverage, 10914,
     /* 1737280 */     GIR_EraseRootFromParent_Done,
     /* 1737281 */   // Label 23721: @1737281
     /* 1737281 */   GIM_Try, /*On fail goto*//*Label 23722*/ GIMT_Encode4(1737367), // Rule ID 10915 //
     /* 1737286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1737289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1737297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1737300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1737303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737332 */     // MIs[0] policy
     /* 1737332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1737345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1737363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737366 */     // GIR_Coverage, 10915,
     /* 1737366 */     GIR_EraseRootFromParent_Done,
     /* 1737367 */   // Label 23722: @1737367
     /* 1737367 */   GIM_Try, /*On fail goto*//*Label 23723*/ GIMT_Encode4(1737453), // Rule ID 10918 //
     /* 1737372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1737383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1737386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1737389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737418 */     // MIs[0] policy
     /* 1737418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737428 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1737431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737452 */     // GIR_Coverage, 10918,
     /* 1737452 */     GIR_EraseRootFromParent_Done,
     /* 1737453 */   // Label 23723: @1737453
     /* 1737453 */   GIM_Try, /*On fail goto*//*Label 23724*/ GIMT_Encode4(1737539), // Rule ID 10919 //
     /* 1737458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1737469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1737472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1737475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737504 */     // MIs[0] policy
     /* 1737504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737514 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1737517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737538 */     // GIR_Coverage, 10919,
     /* 1737538 */     GIR_EraseRootFromParent_Done,
     /* 1737539 */   // Label 23724: @1737539
     /* 1737539 */   GIM_Try, /*On fail goto*//*Label 23725*/ GIMT_Encode4(1737625), // Rule ID 10922 //
     /* 1737544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1737555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1737558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1737561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1737567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737590 */     // MIs[0] policy
     /* 1737590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737600 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1737603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737624 */     // GIR_Coverage, 10922,
     /* 1737624 */     GIR_EraseRootFromParent_Done,
     /* 1737625 */   // Label 23725: @1737625
     /* 1737625 */   GIM_Try, /*On fail goto*//*Label 23726*/ GIMT_Encode4(1737711), // Rule ID 10923 //
     /* 1737630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1737641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1737644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1737647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1737653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737676 */     // MIs[0] policy
     /* 1737676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737686 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1737689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737710 */     // GIR_Coverage, 10923,
     /* 1737710 */     GIR_EraseRootFromParent_Done,
     /* 1737711 */   // Label 23726: @1737711
     /* 1737711 */   GIM_Try, /*On fail goto*//*Label 23727*/ GIMT_Encode4(1737797), // Rule ID 10926 //
     /* 1737716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1737727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1737730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1737733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1737739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1737746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737762 */     // MIs[0] policy
     /* 1737762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737772 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1737775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737796 */     // GIR_Coverage, 10926,
     /* 1737796 */     GIR_EraseRootFromParent_Done,
     /* 1737797 */   // Label 23727: @1737797
     /* 1737797 */   GIM_Try, /*On fail goto*//*Label 23728*/ GIMT_Encode4(1737883), // Rule ID 10927 //
     /* 1737802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1737813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1737816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1737819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1737825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1737832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737848 */     // MIs[0] policy
     /* 1737848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737858 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1737861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737882 */     // GIR_Coverage, 10927,
     /* 1737882 */     GIR_EraseRootFromParent_Done,
     /* 1737883 */   // Label 23728: @1737883
     /* 1737883 */   GIM_Try, /*On fail goto*//*Label 23729*/ GIMT_Encode4(1737969), // Rule ID 10930 //
     /* 1737888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1737899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1737902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1737905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737934 */     // MIs[0] policy
     /* 1737934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1737947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737968 */     // GIR_Coverage, 10930,
     /* 1737968 */     GIR_EraseRootFromParent_Done,
     /* 1737969 */   // Label 23729: @1737969
     /* 1737969 */   GIM_Try, /*On fail goto*//*Label 23730*/ GIMT_Encode4(1738055), // Rule ID 10931 //
     /* 1737974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1737985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1737988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1737991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738020 */     // MIs[0] policy
     /* 1738020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738030 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1738033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738054 */     // GIR_Coverage, 10931,
     /* 1738054 */     GIR_EraseRootFromParent_Done,
     /* 1738055 */   // Label 23730: @1738055
     /* 1738055 */   GIM_Try, /*On fail goto*//*Label 23731*/ GIMT_Encode4(1738141), // Rule ID 10934 //
     /* 1738060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738106 */     // MIs[0] policy
     /* 1738106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738116 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1738119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738140 */     // GIR_Coverage, 10934,
     /* 1738140 */     GIR_EraseRootFromParent_Done,
     /* 1738141 */   // Label 23731: @1738141
     /* 1738141 */   GIM_Try, /*On fail goto*//*Label 23732*/ GIMT_Encode4(1738227), // Rule ID 10935 //
     /* 1738146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738192 */     // MIs[0] policy
     /* 1738192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1738205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738226 */     // GIR_Coverage, 10935,
     /* 1738226 */     GIR_EraseRootFromParent_Done,
     /* 1738227 */   // Label 23732: @1738227
     /* 1738227 */   GIM_Try, /*On fail goto*//*Label 23733*/ GIMT_Encode4(1738313), // Rule ID 10938 //
     /* 1738232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1738243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1738246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1738249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738278 */     // MIs[0] policy
     /* 1738278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738288 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1738291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738312 */     // GIR_Coverage, 10938,
     /* 1738312 */     GIR_EraseRootFromParent_Done,
     /* 1738313 */   // Label 23733: @1738313
     /* 1738313 */   GIM_Try, /*On fail goto*//*Label 23734*/ GIMT_Encode4(1738399), // Rule ID 10939 //
     /* 1738318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1738329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1738332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1738335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738364 */     // MIs[0] policy
     /* 1738364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738374 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1738377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738398 */     // GIR_Coverage, 10939,
     /* 1738398 */     GIR_EraseRootFromParent_Done,
     /* 1738399 */   // Label 23734: @1738399
     /* 1738399 */   GIM_Try, /*On fail goto*//*Label 23735*/ GIMT_Encode4(1738485), // Rule ID 10942 //
     /* 1738404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1738415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1738418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1738421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738450 */     // MIs[0] policy
     /* 1738450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738460 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1738463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738484 */     // GIR_Coverage, 10942,
     /* 1738484 */     GIR_EraseRootFromParent_Done,
     /* 1738485 */   // Label 23735: @1738485
     /* 1738485 */   GIM_Try, /*On fail goto*//*Label 23736*/ GIMT_Encode4(1738571), // Rule ID 10943 //
     /* 1738490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1738501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1738504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1738507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738536 */     // MIs[0] policy
     /* 1738536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738546 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1738549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738570 */     // GIR_Coverage, 10943,
     /* 1738570 */     GIR_EraseRootFromParent_Done,
     /* 1738571 */   // Label 23736: @1738571
     /* 1738571 */   GIM_Try, /*On fail goto*//*Label 23737*/ GIMT_Encode4(1738657), // Rule ID 10946 //
     /* 1738576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1738587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1738590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1738593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738622 */     // MIs[0] policy
     /* 1738622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738632 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1738635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738656 */     // GIR_Coverage, 10946,
     /* 1738656 */     GIR_EraseRootFromParent_Done,
     /* 1738657 */   // Label 23737: @1738657
     /* 1738657 */   GIM_Try, /*On fail goto*//*Label 23738*/ GIMT_Encode4(1738743), // Rule ID 10947 //
     /* 1738662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1738673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1738676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1738679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738708 */     // MIs[0] policy
     /* 1738708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738718 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1738721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738742 */     // GIR_Coverage, 10947,
     /* 1738742 */     GIR_EraseRootFromParent_Done,
     /* 1738743 */   // Label 23738: @1738743
     /* 1738743 */   GIM_Try, /*On fail goto*//*Label 23739*/ GIMT_Encode4(1738829), // Rule ID 10950 //
     /* 1738748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1738759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1738762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1738765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738794 */     // MIs[0] policy
     /* 1738794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738804 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1738807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738828 */     // GIR_Coverage, 10950,
     /* 1738828 */     GIR_EraseRootFromParent_Done,
     /* 1738829 */   // Label 23739: @1738829
     /* 1738829 */   GIM_Try, /*On fail goto*//*Label 23740*/ GIMT_Encode4(1738915), // Rule ID 10951 //
     /* 1738834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1738845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1738848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1738851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738880 */     // MIs[0] policy
     /* 1738880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738890 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1738893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738914 */     // GIR_Coverage, 10951,
     /* 1738914 */     GIR_EraseRootFromParent_Done,
     /* 1738915 */   // Label 23740: @1738915
     /* 1738915 */   GIM_Try, /*On fail goto*//*Label 23741*/ GIMT_Encode4(1739001), // Rule ID 10954 //
     /* 1738920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1738923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1738931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1738934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1738937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1738943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738966 */     // MIs[0] policy
     /* 1738966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1738979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739000 */     // GIR_Coverage, 10954,
     /* 1739000 */     GIR_EraseRootFromParent_Done,
     /* 1739001 */   // Label 23741: @1739001
     /* 1739001 */   GIM_Try, /*On fail goto*//*Label 23742*/ GIMT_Encode4(1739087), // Rule ID 10955 //
     /* 1739006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1739017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1739020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1739023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739052 */     // MIs[0] policy
     /* 1739052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739062 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1739065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739086 */     // GIR_Coverage, 10955,
     /* 1739086 */     GIR_EraseRootFromParent_Done,
     /* 1739087 */   // Label 23742: @1739087
     /* 1739087 */   GIM_Try, /*On fail goto*//*Label 23743*/ GIMT_Encode4(1739173), // Rule ID 10958 //
     /* 1739092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1739103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1739106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1739109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739138 */     // MIs[0] policy
     /* 1739138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739148 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1739151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739172 */     // GIR_Coverage, 10958,
     /* 1739172 */     GIR_EraseRootFromParent_Done,
     /* 1739173 */   // Label 23743: @1739173
     /* 1739173 */   GIM_Try, /*On fail goto*//*Label 23744*/ GIMT_Encode4(1739259), // Rule ID 10959 //
     /* 1739178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1739189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1739192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1739195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739224 */     // MIs[0] policy
     /* 1739224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739234 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1739237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739258 */     // GIR_Coverage, 10959,
     /* 1739258 */     GIR_EraseRootFromParent_Done,
     /* 1739259 */   // Label 23744: @1739259
     /* 1739259 */   GIM_Try, /*On fail goto*//*Label 23745*/ GIMT_Encode4(1739345), // Rule ID 10962 //
     /* 1739264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1739275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1739278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1739281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739310 */     // MIs[0] policy
     /* 1739310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739320 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1739323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739344 */     // GIR_Coverage, 10962,
     /* 1739344 */     GIR_EraseRootFromParent_Done,
     /* 1739345 */   // Label 23745: @1739345
     /* 1739345 */   GIM_Try, /*On fail goto*//*Label 23746*/ GIMT_Encode4(1739431), // Rule ID 10963 //
     /* 1739350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1739361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1739364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1739367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739396 */     // MIs[0] policy
     /* 1739396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739406 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1739409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739430 */     // GIR_Coverage, 10963,
     /* 1739430 */     GIR_EraseRootFromParent_Done,
     /* 1739431 */   // Label 23746: @1739431
     /* 1739431 */   GIM_Try, /*On fail goto*//*Label 23747*/ GIMT_Encode4(1739517), // Rule ID 10966 //
     /* 1739436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1739447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1739450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1739453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1739456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739482 */     // MIs[0] policy
     /* 1739482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739492 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1739495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739516 */     // GIR_Coverage, 10966,
     /* 1739516 */     GIR_EraseRootFromParent_Done,
     /* 1739517 */   // Label 23747: @1739517
     /* 1739517 */   GIM_Try, /*On fail goto*//*Label 23748*/ GIMT_Encode4(1739603), // Rule ID 10967 //
     /* 1739522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1739533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1739536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1739539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1739542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739568 */     // MIs[0] policy
     /* 1739568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739578 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1739581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739602 */     // GIR_Coverage, 10967,
     /* 1739602 */     GIR_EraseRootFromParent_Done,
     /* 1739603 */   // Label 23748: @1739603
     /* 1739603 */   GIM_Try, /*On fail goto*//*Label 23749*/ GIMT_Encode4(1739689), // Rule ID 10970 //
     /* 1739608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1739619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1739622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1739625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1739628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739654 */     // MIs[0] policy
     /* 1739654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739664 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1739667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739688 */     // GIR_Coverage, 10970,
     /* 1739688 */     GIR_EraseRootFromParent_Done,
     /* 1739689 */   // Label 23749: @1739689
     /* 1739689 */   GIM_Try, /*On fail goto*//*Label 23750*/ GIMT_Encode4(1739775), // Rule ID 10971 //
     /* 1739694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1739705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1739708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1739711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1739714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739740 */     // MIs[0] policy
     /* 1739740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739750 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1739753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739774 */     // GIR_Coverage, 10971,
     /* 1739774 */     GIR_EraseRootFromParent_Done,
     /* 1739775 */   // Label 23750: @1739775
     /* 1739775 */   GIM_Try, /*On fail goto*//*Label 23751*/ GIMT_Encode4(1739861), // Rule ID 10974 //
     /* 1739780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1739791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1739794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1739797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1739800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739826 */     // MIs[0] policy
     /* 1739826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739836 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1739839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739860 */     // GIR_Coverage, 10974,
     /* 1739860 */     GIR_EraseRootFromParent_Done,
     /* 1739861 */   // Label 23751: @1739861
     /* 1739861 */   GIM_Try, /*On fail goto*//*Label 23752*/ GIMT_Encode4(1739947), // Rule ID 10975 //
     /* 1739866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1739877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1739880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1739883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1739886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739912 */     // MIs[0] policy
     /* 1739912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739922 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1739925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739946 */     // GIR_Coverage, 10975,
     /* 1739946 */     GIR_EraseRootFromParent_Done,
     /* 1739947 */   // Label 23752: @1739947
     /* 1739947 */   GIM_Try, /*On fail goto*//*Label 23753*/ GIMT_Encode4(1740033), // Rule ID 10978 //
     /* 1739952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1739963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1739966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1739969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1739972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739998 */     // MIs[0] policy
     /* 1739998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740008 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1740011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740032 */     // GIR_Coverage, 10978,
     /* 1740032 */     GIR_EraseRootFromParent_Done,
     /* 1740033 */   // Label 23753: @1740033
     /* 1740033 */   GIM_Try, /*On fail goto*//*Label 23754*/ GIMT_Encode4(1740119), // Rule ID 10979 //
     /* 1740038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1740058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740084 */     // MIs[0] policy
     /* 1740084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740094 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1740097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740118 */     // GIR_Coverage, 10979,
     /* 1740118 */     GIR_EraseRootFromParent_Done,
     /* 1740119 */   // Label 23754: @1740119
     /* 1740119 */   GIM_Try, /*On fail goto*//*Label 23755*/ GIMT_Encode4(1740205), // Rule ID 10982 //
     /* 1740124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1740144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740170 */     // MIs[0] policy
     /* 1740170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1740183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740204 */     // GIR_Coverage, 10982,
     /* 1740204 */     GIR_EraseRootFromParent_Done,
     /* 1740205 */   // Label 23755: @1740205
     /* 1740205 */   GIM_Try, /*On fail goto*//*Label 23756*/ GIMT_Encode4(1740291), // Rule ID 10983 //
     /* 1740210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1740230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740256 */     // MIs[0] policy
     /* 1740256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740266 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1740269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740290 */     // GIR_Coverage, 10983,
     /* 1740290 */     GIR_EraseRootFromParent_Done,
     /* 1740291 */   // Label 23756: @1740291
     /* 1740291 */   GIM_Try, /*On fail goto*//*Label 23757*/ GIMT_Encode4(1740377), // Rule ID 10986 //
     /* 1740296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1740307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1740310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1740313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1740316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740342 */     // MIs[0] policy
     /* 1740342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1740355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740376 */     // GIR_Coverage, 10986,
     /* 1740376 */     GIR_EraseRootFromParent_Done,
     /* 1740377 */   // Label 23757: @1740377
     /* 1740377 */   GIM_Try, /*On fail goto*//*Label 23758*/ GIMT_Encode4(1740463), // Rule ID 10987 //
     /* 1740382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1740393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1740396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1740399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1740402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740428 */     // MIs[0] policy
     /* 1740428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740438 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1740441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740462 */     // GIR_Coverage, 10987,
     /* 1740462 */     GIR_EraseRootFromParent_Done,
     /* 1740463 */   // Label 23758: @1740463
     /* 1740463 */   GIM_Try, /*On fail goto*//*Label 23759*/ GIMT_Encode4(1740549), // Rule ID 10990 //
     /* 1740468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1740479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1740482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1740485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1740488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740514 */     // MIs[0] policy
     /* 1740514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740548 */     // GIR_Coverage, 10990,
     /* 1740548 */     GIR_EraseRootFromParent_Done,
     /* 1740549 */   // Label 23759: @1740549
     /* 1740549 */   GIM_Try, /*On fail goto*//*Label 23760*/ GIMT_Encode4(1740635), // Rule ID 10991 //
     /* 1740554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1740565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1740568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1740571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1740574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740600 */     // MIs[0] policy
     /* 1740600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740610 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740634 */     // GIR_Coverage, 10991,
     /* 1740634 */     GIR_EraseRootFromParent_Done,
     /* 1740635 */   // Label 23760: @1740635
     /* 1740635 */   GIM_Try, /*On fail goto*//*Label 23761*/ GIMT_Encode4(1740721), // Rule ID 10994 //
     /* 1740640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1740651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1740654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1740657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1740660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740686 */     // MIs[0] policy
     /* 1740686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740720 */     // GIR_Coverage, 10994,
     /* 1740720 */     GIR_EraseRootFromParent_Done,
     /* 1740721 */   // Label 23761: @1740721
     /* 1740721 */   GIM_Try, /*On fail goto*//*Label 23762*/ GIMT_Encode4(1740807), // Rule ID 10995 //
     /* 1740726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1740737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1740740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1740743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1740746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740772 */     // MIs[0] policy
     /* 1740772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740782 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740806 */     // GIR_Coverage, 10995,
     /* 1740806 */     GIR_EraseRootFromParent_Done,
     /* 1740807 */   // Label 23762: @1740807
     /* 1740807 */   GIM_Try, /*On fail goto*//*Label 23763*/ GIMT_Encode4(1740893), // Rule ID 10998 //
     /* 1740812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1740823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1740826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1740829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1740832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740858 */     // MIs[0] policy
     /* 1740858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740892 */     // GIR_Coverage, 10998,
     /* 1740892 */     GIR_EraseRootFromParent_Done,
     /* 1740893 */   // Label 23763: @1740893
     /* 1740893 */   GIM_Try, /*On fail goto*//*Label 23764*/ GIMT_Encode4(1740979), // Rule ID 10999 //
     /* 1740898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1740909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1740912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1740915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1740918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740944 */     // MIs[0] policy
     /* 1740944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740954 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1740957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740978 */     // GIR_Coverage, 10999,
     /* 1740978 */     GIR_EraseRootFromParent_Done,
     /* 1740979 */   // Label 23764: @1740979
     /* 1740979 */   GIM_Try, /*On fail goto*//*Label 23765*/ GIMT_Encode4(1741065), // Rule ID 11002 //
     /* 1740984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1740987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1740995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1740998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1741001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1741004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741030 */     // MIs[0] policy
     /* 1741030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741040 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1741043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1741061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741064 */     // GIR_Coverage, 11002,
     /* 1741064 */     GIR_EraseRootFromParent_Done,
     /* 1741065 */   // Label 23765: @1741065
     /* 1741065 */   GIM_Try, /*On fail goto*//*Label 23766*/ GIMT_Encode4(1741151), // Rule ID 11003 //
     /* 1741070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1741073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1741081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1741084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1741087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1741090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741116 */     // MIs[0] policy
     /* 1741116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741126 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1741129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1741147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741150 */     // GIR_Coverage, 11003,
     /* 1741150 */     GIR_EraseRootFromParent_Done,
     /* 1741151 */   // Label 23766: @1741151
     /* 1741151 */   GIM_Try, /*On fail goto*//*Label 23767*/ GIMT_Encode4(1741237), // Rule ID 11006 //
     /* 1741156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741202 */     // MIs[0] policy
     /* 1741202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741212 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1741215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741236 */     // GIR_Coverage, 11006,
     /* 1741236 */     GIR_EraseRootFromParent_Done,
     /* 1741237 */   // Label 23767: @1741237
     /* 1741237 */   GIM_Try, /*On fail goto*//*Label 23768*/ GIMT_Encode4(1741323), // Rule ID 11007 //
     /* 1741242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741288 */     // MIs[0] policy
     /* 1741288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741298 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1741301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741322 */     // GIR_Coverage, 11007,
     /* 1741322 */     GIR_EraseRootFromParent_Done,
     /* 1741323 */   // Label 23768: @1741323
     /* 1741323 */   GIM_Try, /*On fail goto*//*Label 23769*/ GIMT_Encode4(1741409), // Rule ID 11010 //
     /* 1741328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1741339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1741342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1741348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741374 */     // MIs[0] policy
     /* 1741374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1741387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741408 */     // GIR_Coverage, 11010,
     /* 1741408 */     GIR_EraseRootFromParent_Done,
     /* 1741409 */   // Label 23769: @1741409
     /* 1741409 */   GIM_Try, /*On fail goto*//*Label 23770*/ GIMT_Encode4(1741495), // Rule ID 11011 //
     /* 1741414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1741425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1741428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1741434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741460 */     // MIs[0] policy
     /* 1741460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741470 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1741473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741494 */     // GIR_Coverage, 11011,
     /* 1741494 */     GIR_EraseRootFromParent_Done,
     /* 1741495 */   // Label 23770: @1741495
     /* 1741495 */   GIM_Try, /*On fail goto*//*Label 23771*/ GIMT_Encode4(1741581), // Rule ID 11014 //
     /* 1741500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1741511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1741514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1741517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1741520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1741523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741546 */     // MIs[0] policy
     /* 1741546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741556 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1741559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741580 */     // GIR_Coverage, 11014,
     /* 1741580 */     GIR_EraseRootFromParent_Done,
     /* 1741581 */   // Label 23771: @1741581
     /* 1741581 */   GIM_Try, /*On fail goto*//*Label 23772*/ GIMT_Encode4(1741667), // Rule ID 11015 //
     /* 1741586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1741597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1741600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1741603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1741606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1741609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741632 */     // MIs[0] policy
     /* 1741632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741642 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1741645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741666 */     // GIR_Coverage, 11015,
     /* 1741666 */     GIR_EraseRootFromParent_Done,
     /* 1741667 */   // Label 23772: @1741667
     /* 1741667 */   GIM_Try, /*On fail goto*//*Label 23773*/ GIMT_Encode4(1741753), // Rule ID 11018 //
     /* 1741672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1741683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1741686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1741689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1741692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741718 */     // MIs[0] policy
     /* 1741718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741728 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1741731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741752 */     // GIR_Coverage, 11018,
     /* 1741752 */     GIR_EraseRootFromParent_Done,
     /* 1741753 */   // Label 23773: @1741753
     /* 1741753 */   GIM_Try, /*On fail goto*//*Label 23774*/ GIMT_Encode4(1741839), // Rule ID 11019 //
     /* 1741758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1741769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1741772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1741775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1741778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741804 */     // MIs[0] policy
     /* 1741804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741814 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1741817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741838 */     // GIR_Coverage, 11019,
     /* 1741838 */     GIR_EraseRootFromParent_Done,
     /* 1741839 */   // Label 23774: @1741839
     /* 1741839 */   GIM_Try, /*On fail goto*//*Label 23775*/ GIMT_Encode4(1741925), // Rule ID 11022 //
     /* 1741844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1741855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1741858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1741861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1741864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741890 */     // MIs[0] policy
     /* 1741890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741900 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1741903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741924 */     // GIR_Coverage, 11022,
     /* 1741924 */     GIR_EraseRootFromParent_Done,
     /* 1741925 */   // Label 23775: @1741925
     /* 1741925 */   GIM_Try, /*On fail goto*//*Label 23776*/ GIMT_Encode4(1742011), // Rule ID 11023 //
     /* 1741930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1741941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1741944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1741947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1741950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741976 */     // MIs[0] policy
     /* 1741976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741986 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1741989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742010 */     // GIR_Coverage, 11023,
     /* 1742010 */     GIR_EraseRootFromParent_Done,
     /* 1742011 */   // Label 23776: @1742011
     /* 1742011 */   GIM_Try, /*On fail goto*//*Label 23777*/ GIMT_Encode4(1742097), // Rule ID 11026 //
     /* 1742016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1742036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742062 */     // MIs[0] policy
     /* 1742062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742072 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1742075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742096 */     // GIR_Coverage, 11026,
     /* 1742096 */     GIR_EraseRootFromParent_Done,
     /* 1742097 */   // Label 23777: @1742097
     /* 1742097 */   GIM_Try, /*On fail goto*//*Label 23778*/ GIMT_Encode4(1742183), // Rule ID 11027 //
     /* 1742102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1742122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742148 */     // MIs[0] policy
     /* 1742148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1742161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742182 */     // GIR_Coverage, 11027,
     /* 1742182 */     GIR_EraseRootFromParent_Done,
     /* 1742183 */   // Label 23778: @1742183
     /* 1742183 */   GIM_Try, /*On fail goto*//*Label 23779*/ GIMT_Encode4(1742269), // Rule ID 11030 //
     /* 1742188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1742208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742234 */     // MIs[0] policy
     /* 1742234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742244 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1742247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742268 */     // GIR_Coverage, 11030,
     /* 1742268 */     GIR_EraseRootFromParent_Done,
     /* 1742269 */   // Label 23779: @1742269
     /* 1742269 */   GIM_Try, /*On fail goto*//*Label 23780*/ GIMT_Encode4(1742355), // Rule ID 11031 //
     /* 1742274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1742294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742320 */     // MIs[0] policy
     /* 1742320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1742333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742354 */     // GIR_Coverage, 11031,
     /* 1742354 */     GIR_EraseRootFromParent_Done,
     /* 1742355 */   // Label 23780: @1742355
     /* 1742355 */   GIM_Try, /*On fail goto*//*Label 23781*/ GIMT_Encode4(1742441), // Rule ID 11034 //
     /* 1742360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1742371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1742374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1742377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1742380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742406 */     // MIs[0] policy
     /* 1742406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742416 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1742419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742440 */     // GIR_Coverage, 11034,
     /* 1742440 */     GIR_EraseRootFromParent_Done,
     /* 1742441 */   // Label 23781: @1742441
     /* 1742441 */   GIM_Try, /*On fail goto*//*Label 23782*/ GIMT_Encode4(1742527), // Rule ID 11035 //
     /* 1742446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1742457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1742460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1742463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1742466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742492 */     // MIs[0] policy
     /* 1742492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1742505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742526 */     // GIR_Coverage, 11035,
     /* 1742526 */     GIR_EraseRootFromParent_Done,
     /* 1742527 */   // Label 23782: @1742527
     /* 1742527 */   GIM_Try, /*On fail goto*//*Label 23783*/ GIMT_Encode4(1742613), // Rule ID 11038 //
     /* 1742532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1742543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1742546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1742549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1742552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742578 */     // MIs[0] policy
     /* 1742578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742588 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1742591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742612 */     // GIR_Coverage, 11038,
     /* 1742612 */     GIR_EraseRootFromParent_Done,
     /* 1742613 */   // Label 23783: @1742613
     /* 1742613 */   GIM_Try, /*On fail goto*//*Label 23784*/ GIMT_Encode4(1742699), // Rule ID 11039 //
     /* 1742618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1742629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1742632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1742635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1742638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742664 */     // MIs[0] policy
     /* 1742664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1742677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742698 */     // GIR_Coverage, 11039,
     /* 1742698 */     GIR_EraseRootFromParent_Done,
     /* 1742699 */   // Label 23784: @1742699
     /* 1742699 */   GIM_Try, /*On fail goto*//*Label 23785*/ GIMT_Encode4(1742785), // Rule ID 11042 //
     /* 1742704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1742707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1742715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1742718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1742721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1742724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1742727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742750 */     // MIs[0] policy
     /* 1742750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742760 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1742763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1742781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742784 */     // GIR_Coverage, 11042,
     /* 1742784 */     GIR_EraseRootFromParent_Done,
     /* 1742785 */   // Label 23785: @1742785
     /* 1742785 */   GIM_Try, /*On fail goto*//*Label 23786*/ GIMT_Encode4(1742871), // Rule ID 11043 //
     /* 1742790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1742793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1742801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1742804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1742807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1742810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1742813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742836 */     // MIs[0] policy
     /* 1742836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742846 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1742849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1742867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742870 */     // GIR_Coverage, 11043,
     /* 1742870 */     GIR_EraseRootFromParent_Done,
     /* 1742871 */   // Label 23786: @1742871
     /* 1742871 */   GIM_Try, /*On fail goto*//*Label 23787*/ GIMT_Encode4(1742957), // Rule ID 11046 //
     /* 1742876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1742879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1742887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1742890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1742893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1742896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742922 */     // MIs[0] policy
     /* 1742922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742932 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1742935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1742953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742956 */     // GIR_Coverage, 11046,
     /* 1742956 */     GIR_EraseRootFromParent_Done,
     /* 1742957 */   // Label 23787: @1742957
     /* 1742957 */   GIM_Try, /*On fail goto*//*Label 23788*/ GIMT_Encode4(1743043), // Rule ID 11047 //
     /* 1742962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1742965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1742973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1742976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1742979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1742982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743008 */     // MIs[0] policy
     /* 1743008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743018 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1743021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1743039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743042 */     // GIR_Coverage, 11047,
     /* 1743042 */     GIR_EraseRootFromParent_Done,
     /* 1743043 */   // Label 23788: @1743043
     /* 1743043 */   GIM_Try, /*On fail goto*//*Label 23789*/ GIMT_Encode4(1743129), // Rule ID 11050 //
     /* 1743048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1743051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1743059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1743062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1743065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1743068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743094 */     // MIs[0] policy
     /* 1743094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743104 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1743107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1743125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743128 */     // GIR_Coverage, 11050,
     /* 1743128 */     GIR_EraseRootFromParent_Done,
     /* 1743129 */   // Label 23789: @1743129
     /* 1743129 */   GIM_Try, /*On fail goto*//*Label 23790*/ GIMT_Encode4(1743215), // Rule ID 11051 //
     /* 1743134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1743137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1743145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1743148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1743151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1743154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743180 */     // MIs[0] policy
     /* 1743180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743190 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1743193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1743211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743214 */     // GIR_Coverage, 11051,
     /* 1743214 */     GIR_EraseRootFromParent_Done,
     /* 1743215 */   // Label 23790: @1743215
     /* 1743215 */   GIM_Try, /*On fail goto*//*Label 23791*/ GIMT_Encode4(1743301), // Rule ID 11054 //
     /* 1743220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1743231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1743234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1743237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743266 */     // MIs[0] policy
     /* 1743266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743276 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1743279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743300 */     // GIR_Coverage, 11054,
     /* 1743300 */     GIR_EraseRootFromParent_Done,
     /* 1743301 */   // Label 23791: @1743301
     /* 1743301 */   GIM_Try, /*On fail goto*//*Label 23792*/ GIMT_Encode4(1743387), // Rule ID 11055 //
     /* 1743306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1743317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1743320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1743323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743352 */     // MIs[0] policy
     /* 1743352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743362 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1743365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743386 */     // GIR_Coverage, 11055,
     /* 1743386 */     GIR_EraseRootFromParent_Done,
     /* 1743387 */   // Label 23792: @1743387
     /* 1743387 */   GIM_Try, /*On fail goto*//*Label 23793*/ GIMT_Encode4(1743473), // Rule ID 11058 //
     /* 1743392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743438 */     // MIs[0] policy
     /* 1743438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743448 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1743451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743472 */     // GIR_Coverage, 11058,
     /* 1743472 */     GIR_EraseRootFromParent_Done,
     /* 1743473 */   // Label 23793: @1743473
     /* 1743473 */   GIM_Try, /*On fail goto*//*Label 23794*/ GIMT_Encode4(1743559), // Rule ID 11059 //
     /* 1743478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743524 */     // MIs[0] policy
     /* 1743524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743534 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1743537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743558 */     // GIR_Coverage, 11059,
     /* 1743558 */     GIR_EraseRootFromParent_Done,
     /* 1743559 */   // Label 23794: @1743559
     /* 1743559 */   GIM_Try, /*On fail goto*//*Label 23795*/ GIMT_Encode4(1743645), // Rule ID 11062 //
     /* 1743564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743610 */     // MIs[0] policy
     /* 1743610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743620 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1743623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743644 */     // GIR_Coverage, 11062,
     /* 1743644 */     GIR_EraseRootFromParent_Done,
     /* 1743645 */   // Label 23795: @1743645
     /* 1743645 */   GIM_Try, /*On fail goto*//*Label 23796*/ GIMT_Encode4(1743731), // Rule ID 11063 //
     /* 1743650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743696 */     // MIs[0] policy
     /* 1743696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743706 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1743709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743730 */     // GIR_Coverage, 11063,
     /* 1743730 */     GIR_EraseRootFromParent_Done,
     /* 1743731 */   // Label 23796: @1743731
     /* 1743731 */   GIM_Try, /*On fail goto*//*Label 23797*/ GIMT_Encode4(1743817), // Rule ID 11066 //
     /* 1743736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743782 */     // MIs[0] policy
     /* 1743782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743792 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1743795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743816 */     // GIR_Coverage, 11066,
     /* 1743816 */     GIR_EraseRootFromParent_Done,
     /* 1743817 */   // Label 23797: @1743817
     /* 1743817 */   GIM_Try, /*On fail goto*//*Label 23798*/ GIMT_Encode4(1743903), // Rule ID 11067 //
     /* 1743822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743868 */     // MIs[0] policy
     /* 1743868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743878 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1743881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743902 */     // GIR_Coverage, 11067,
     /* 1743902 */     GIR_EraseRootFromParent_Done,
     /* 1743903 */   // Label 23798: @1743903
     /* 1743903 */   GIM_Try, /*On fail goto*//*Label 23799*/ GIMT_Encode4(1743989), // Rule ID 11070 //
     /* 1743908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1743919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1743922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1743925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743954 */     // MIs[0] policy
     /* 1743954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743964 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1743967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743988 */     // GIR_Coverage, 11070,
     /* 1743988 */     GIR_EraseRootFromParent_Done,
     /* 1743989 */   // Label 23799: @1743989
     /* 1743989 */   GIM_Try, /*On fail goto*//*Label 23800*/ GIMT_Encode4(1744075), // Rule ID 11071 //
     /* 1743994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1744005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1744008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1744011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744040 */     // MIs[0] policy
     /* 1744040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744050 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1744053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744074 */     // GIR_Coverage, 11071,
     /* 1744074 */     GIR_EraseRootFromParent_Done,
     /* 1744075 */   // Label 23800: @1744075
     /* 1744075 */   GIM_Try, /*On fail goto*//*Label 23801*/ GIMT_Encode4(1744161), // Rule ID 11074 //
     /* 1744080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1744091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1744094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1744097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744126 */     // MIs[0] policy
     /* 1744126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744136 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1744139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744160 */     // GIR_Coverage, 11074,
     /* 1744160 */     GIR_EraseRootFromParent_Done,
     /* 1744161 */   // Label 23801: @1744161
     /* 1744161 */   GIM_Try, /*On fail goto*//*Label 23802*/ GIMT_Encode4(1744247), // Rule ID 11075 //
     /* 1744166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1744177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1744180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1744183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744212 */     // MIs[0] policy
     /* 1744212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1744225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744246 */     // GIR_Coverage, 11075,
     /* 1744246 */     GIR_EraseRootFromParent_Done,
     /* 1744247 */   // Label 23802: @1744247
     /* 1744247 */   GIM_Try, /*On fail goto*//*Label 23803*/ GIMT_Encode4(1744333), // Rule ID 11078 //
     /* 1744252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1744263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1744266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1744269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744298 */     // MIs[0] policy
     /* 1744298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744332 */     // GIR_Coverage, 11078,
     /* 1744332 */     GIR_EraseRootFromParent_Done,
     /* 1744333 */   // Label 23803: @1744333
     /* 1744333 */   GIM_Try, /*On fail goto*//*Label 23804*/ GIMT_Encode4(1744419), // Rule ID 11079 //
     /* 1744338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1744349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1744352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1744355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744384 */     // MIs[0] policy
     /* 1744384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744394 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744418 */     // GIR_Coverage, 11079,
     /* 1744418 */     GIR_EraseRootFromParent_Done,
     /* 1744419 */   // Label 23804: @1744419
     /* 1744419 */   GIM_Try, /*On fail goto*//*Label 23805*/ GIMT_Encode4(1744505), // Rule ID 11082 //
     /* 1744424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744470 */     // MIs[0] policy
     /* 1744470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744480 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744504 */     // GIR_Coverage, 11082,
     /* 1744504 */     GIR_EraseRootFromParent_Done,
     /* 1744505 */   // Label 23805: @1744505
     /* 1744505 */   GIM_Try, /*On fail goto*//*Label 23806*/ GIMT_Encode4(1744591), // Rule ID 11083 //
     /* 1744510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744556 */     // MIs[0] policy
     /* 1744556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744566 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744590 */     // GIR_Coverage, 11083,
     /* 1744590 */     GIR_EraseRootFromParent_Done,
     /* 1744591 */   // Label 23806: @1744591
     /* 1744591 */   GIM_Try, /*On fail goto*//*Label 23807*/ GIMT_Encode4(1744677), // Rule ID 11086 //
     /* 1744596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744642 */     // MIs[0] policy
     /* 1744642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744676 */     // GIR_Coverage, 11086,
     /* 1744676 */     GIR_EraseRootFromParent_Done,
     /* 1744677 */   // Label 23807: @1744677
     /* 1744677 */   GIM_Try, /*On fail goto*//*Label 23808*/ GIMT_Encode4(1744763), // Rule ID 11087 //
     /* 1744682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744728 */     // MIs[0] policy
     /* 1744728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744738 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744762 */     // GIR_Coverage, 11087,
     /* 1744762 */     GIR_EraseRootFromParent_Done,
     /* 1744763 */   // Label 23808: @1744763
     /* 1744763 */   GIM_Try, /*On fail goto*//*Label 23809*/ GIMT_Encode4(1744849), // Rule ID 11090 //
     /* 1744768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1744771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1744779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1744782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1744785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744814 */     // MIs[0] policy
     /* 1744814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744824 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744848 */     // GIR_Coverage, 11090,
     /* 1744848 */     GIR_EraseRootFromParent_Done,
     /* 1744849 */   // Label 23809: @1744849
     /* 1744849 */   GIM_Try, /*On fail goto*//*Label 23810*/ GIMT_Encode4(1744935), // Rule ID 11091 //
     /* 1744854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1744857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1744865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1744868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1744871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744900 */     // MIs[0] policy
     /* 1744900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744910 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1744913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744934 */     // GIR_Coverage, 11091,
     /* 1744934 */     GIR_EraseRootFromParent_Done,
     /* 1744935 */   // Label 23810: @1744935
     /* 1744935 */   GIM_Try, /*On fail goto*//*Label 23811*/ GIMT_Encode4(1745021), // Rule ID 11094 //
     /* 1744940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1744951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1744954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1744957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744986 */     // MIs[0] policy
     /* 1744986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1744999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745020 */     // GIR_Coverage, 11094,
     /* 1745020 */     GIR_EraseRootFromParent_Done,
     /* 1745021 */   // Label 23811: @1745021
     /* 1745021 */   GIM_Try, /*On fail goto*//*Label 23812*/ GIMT_Encode4(1745107), // Rule ID 11095 //
     /* 1745026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1745037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1745040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1745043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745072 */     // MIs[0] policy
     /* 1745072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745082 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1745085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745106 */     // GIR_Coverage, 11095,
     /* 1745106 */     GIR_EraseRootFromParent_Done,
     /* 1745107 */   // Label 23812: @1745107
     /* 1745107 */   GIM_Try, /*On fail goto*//*Label 23813*/ GIMT_Encode4(1745193), // Rule ID 11098 //
     /* 1745112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1745123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1745126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1745129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745158 */     // MIs[0] policy
     /* 1745158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745168 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1745171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745192 */     // GIR_Coverage, 11098,
     /* 1745192 */     GIR_EraseRootFromParent_Done,
     /* 1745193 */   // Label 23813: @1745193
     /* 1745193 */   GIM_Try, /*On fail goto*//*Label 23814*/ GIMT_Encode4(1745279), // Rule ID 11099 //
     /* 1745198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1745209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1745212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1745215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745244 */     // MIs[0] policy
     /* 1745244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745254 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1745257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745278 */     // GIR_Coverage, 11099,
     /* 1745278 */     GIR_EraseRootFromParent_Done,
     /* 1745279 */   // Label 23814: @1745279
     /* 1745279 */   GIM_Try, /*On fail goto*//*Label 23815*/ GIMT_Encode4(1745365), // Rule ID 11102 //
     /* 1745284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1745295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1745298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1745301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1745307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745330 */     // MIs[0] policy
     /* 1745330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745340 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1745343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745364 */     // GIR_Coverage, 11102,
     /* 1745364 */     GIR_EraseRootFromParent_Done,
     /* 1745365 */   // Label 23815: @1745365
     /* 1745365 */   GIM_Try, /*On fail goto*//*Label 23816*/ GIMT_Encode4(1745451), // Rule ID 11103 //
     /* 1745370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1745381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1745384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1745387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1745393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745416 */     // MIs[0] policy
     /* 1745416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745426 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1745429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745450 */     // GIR_Coverage, 11103,
     /* 1745450 */     GIR_EraseRootFromParent_Done,
     /* 1745451 */   // Label 23816: @1745451
     /* 1745451 */   GIM_Try, /*On fail goto*//*Label 23817*/ GIMT_Encode4(1745537), // Rule ID 11106 //
     /* 1745456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745502 */     // MIs[0] policy
     /* 1745502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745512 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1745515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745536 */     // GIR_Coverage, 11106,
     /* 1745536 */     GIR_EraseRootFromParent_Done,
     /* 1745537 */   // Label 23817: @1745537
     /* 1745537 */   GIM_Try, /*On fail goto*//*Label 23818*/ GIMT_Encode4(1745623), // Rule ID 11107 //
     /* 1745542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745588 */     // MIs[0] policy
     /* 1745588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745598 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1745601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745622 */     // GIR_Coverage, 11107,
     /* 1745622 */     GIR_EraseRootFromParent_Done,
     /* 1745623 */   // Label 23818: @1745623
     /* 1745623 */   GIM_Try, /*On fail goto*//*Label 23819*/ GIMT_Encode4(1745709), // Rule ID 11110 //
     /* 1745628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745674 */     // MIs[0] policy
     /* 1745674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745684 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1745687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745708 */     // GIR_Coverage, 11110,
     /* 1745708 */     GIR_EraseRootFromParent_Done,
     /* 1745709 */   // Label 23819: @1745709
     /* 1745709 */   GIM_Try, /*On fail goto*//*Label 23820*/ GIMT_Encode4(1745795), // Rule ID 11111 //
     /* 1745714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745760 */     // MIs[0] policy
     /* 1745760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745770 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1745773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745794 */     // GIR_Coverage, 11111,
     /* 1745794 */     GIR_EraseRootFromParent_Done,
     /* 1745795 */   // Label 23820: @1745795
     /* 1745795 */   GIM_Try, /*On fail goto*//*Label 23821*/ GIMT_Encode4(1745881), // Rule ID 11114 //
     /* 1745800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745846 */     // MIs[0] policy
     /* 1745846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745856 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1745859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745880 */     // GIR_Coverage, 11114,
     /* 1745880 */     GIR_EraseRootFromParent_Done,
     /* 1745881 */   // Label 23821: @1745881
     /* 1745881 */   GIM_Try, /*On fail goto*//*Label 23822*/ GIMT_Encode4(1745967), // Rule ID 11115 //
     /* 1745886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745932 */     // MIs[0] policy
     /* 1745932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745942 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1745945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745966 */     // GIR_Coverage, 11115,
     /* 1745966 */     GIR_EraseRootFromParent_Done,
     /* 1745967 */   // Label 23822: @1745967
     /* 1745967 */   GIM_Try, /*On fail goto*//*Label 23823*/ GIMT_Encode4(1746053), // Rule ID 11118 //
     /* 1745972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1745983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1745986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1745989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746018 */     // MIs[0] policy
     /* 1746018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1746031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746052 */     // GIR_Coverage, 11118,
     /* 1746052 */     GIR_EraseRootFromParent_Done,
     /* 1746053 */   // Label 23823: @1746053
     /* 1746053 */   GIM_Try, /*On fail goto*//*Label 23824*/ GIMT_Encode4(1746139), // Rule ID 11119 //
     /* 1746058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1746069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1746072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1746075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746104 */     // MIs[0] policy
     /* 1746104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746114 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1746117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746138 */     // GIR_Coverage, 11119,
     /* 1746138 */     GIR_EraseRootFromParent_Done,
     /* 1746139 */   // Label 23824: @1746139
     /* 1746139 */   GIM_Try, /*On fail goto*//*Label 23825*/ GIMT_Encode4(1746225), // Rule ID 11122 //
     /* 1746144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1746155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1746158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1746161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1746164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746190 */     // MIs[0] policy
     /* 1746190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746200 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1746203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746224 */     // GIR_Coverage, 11122,
     /* 1746224 */     GIR_EraseRootFromParent_Done,
     /* 1746225 */   // Label 23825: @1746225
     /* 1746225 */   GIM_Try, /*On fail goto*//*Label 23826*/ GIMT_Encode4(1746311), // Rule ID 11123 //
     /* 1746230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1746241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1746244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1746247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746276 */     // MIs[0] policy
     /* 1746276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746286 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1746289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746310 */     // GIR_Coverage, 11123,
     /* 1746310 */     GIR_EraseRootFromParent_Done,
     /* 1746311 */   // Label 23826: @1746311
     /* 1746311 */   GIM_Try, /*On fail goto*//*Label 23827*/ GIMT_Encode4(1746397), // Rule ID 11126 //
     /* 1746316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1746327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1746330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1746333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1746336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746362 */     // MIs[0] policy
     /* 1746362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1746375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746396 */     // GIR_Coverage, 11126,
     /* 1746396 */     GIR_EraseRootFromParent_Done,
     /* 1746397 */   // Label 23827: @1746397
     /* 1746397 */   GIM_Try, /*On fail goto*//*Label 23828*/ GIMT_Encode4(1746483), // Rule ID 11127 //
     /* 1746402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1746413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1746416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1746419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746448 */     // MIs[0] policy
     /* 1746448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1746461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746482 */     // GIR_Coverage, 11127,
     /* 1746482 */     GIR_EraseRootFromParent_Done,
     /* 1746483 */   // Label 23828: @1746483
     /* 1746483 */   GIM_Try, /*On fail goto*//*Label 23829*/ GIMT_Encode4(1746569), // Rule ID 11130 //
     /* 1746488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1746491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1746499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1746502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1746505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1746508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746534 */     // MIs[0] policy
     /* 1746534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1746547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746568 */     // GIR_Coverage, 11130,
     /* 1746568 */     GIR_EraseRootFromParent_Done,
     /* 1746569 */   // Label 23829: @1746569
     /* 1746569 */   GIM_Try, /*On fail goto*//*Label 23830*/ GIMT_Encode4(1746655), // Rule ID 11131 //
     /* 1746574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1746577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1746585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1746588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1746591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746620 */     // MIs[0] policy
     /* 1746620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746630 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1746633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746654 */     // GIR_Coverage, 11131,
     /* 1746654 */     GIR_EraseRootFromParent_Done,
     /* 1746655 */   // Label 23830: @1746655
     /* 1746655 */   GIM_Try, /*On fail goto*//*Label 23831*/ GIMT_Encode4(1746741), // Rule ID 11134 //
     /* 1746660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1746663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1746671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1746674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1746677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1746680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746706 */     // MIs[0] policy
     /* 1746706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746716 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1746719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746740 */     // GIR_Coverage, 11134,
     /* 1746740 */     GIR_EraseRootFromParent_Done,
     /* 1746741 */   // Label 23831: @1746741
     /* 1746741 */   GIM_Try, /*On fail goto*//*Label 23832*/ GIMT_Encode4(1746827), // Rule ID 11135 //
     /* 1746746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1746749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1746757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1746760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1746763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746792 */     // MIs[0] policy
     /* 1746792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746802 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1746805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746826 */     // GIR_Coverage, 11135,
     /* 1746826 */     GIR_EraseRootFromParent_Done,
     /* 1746827 */   // Label 23832: @1746827
     /* 1746827 */   GIM_Try, /*On fail goto*//*Label 23833*/ GIMT_Encode4(1746913), // Rule ID 11138 //
     /* 1746832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1746835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1746843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1746846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1746849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1746852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746878 */     // MIs[0] policy
     /* 1746878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746888 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1746891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746912 */     // GIR_Coverage, 11138,
     /* 1746912 */     GIR_EraseRootFromParent_Done,
     /* 1746913 */   // Label 23833: @1746913
     /* 1746913 */   GIM_Try, /*On fail goto*//*Label 23834*/ GIMT_Encode4(1746999), // Rule ID 11139 //
     /* 1746918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1746921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1746929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1746932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1746935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746964 */     // MIs[0] policy
     /* 1746964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746974 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1746977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746998 */     // GIR_Coverage, 11139,
     /* 1746998 */     GIR_EraseRootFromParent_Done,
     /* 1746999 */   // Label 23834: @1746999
     /* 1746999 */   GIM_Try, /*On fail goto*//*Label 23835*/ GIMT_Encode4(1747085), // Rule ID 11142 //
     /* 1747004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1747015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1747018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1747021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1747024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747050 */     // MIs[0] policy
     /* 1747050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747060 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1747063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747084 */     // GIR_Coverage, 11142,
     /* 1747084 */     GIR_EraseRootFromParent_Done,
     /* 1747085 */   // Label 23835: @1747085
     /* 1747085 */   GIM_Try, /*On fail goto*//*Label 23836*/ GIMT_Encode4(1747171), // Rule ID 11143 //
     /* 1747090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1747101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1747104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1747107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1747110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747136 */     // MIs[0] policy
     /* 1747136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747146 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1747149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747170 */     // GIR_Coverage, 11143,
     /* 1747170 */     GIR_EraseRootFromParent_Done,
     /* 1747171 */   // Label 23836: @1747171
     /* 1747171 */   GIM_Try, /*On fail goto*//*Label 23837*/ GIMT_Encode4(1747257), // Rule ID 11146 //
     /* 1747176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1747187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1747190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1747193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1747196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747222 */     // MIs[0] policy
     /* 1747222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747232 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1747235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747256 */     // GIR_Coverage, 11146,
     /* 1747256 */     GIR_EraseRootFromParent_Done,
     /* 1747257 */   // Label 23837: @1747257
     /* 1747257 */   GIM_Try, /*On fail goto*//*Label 23838*/ GIMT_Encode4(1747343), // Rule ID 11147 //
     /* 1747262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1747273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1747276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1747279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1747282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747308 */     // MIs[0] policy
     /* 1747308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747318 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1747321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747342 */     // GIR_Coverage, 11147,
     /* 1747342 */     GIR_EraseRootFromParent_Done,
     /* 1747343 */   // Label 23838: @1747343
     /* 1747343 */   GIM_Try, /*On fail goto*//*Label 23839*/ GIMT_Encode4(1747429), // Rule ID 11150 //
     /* 1747348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1747359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1747362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1747365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1747368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747394 */     // MIs[0] policy
     /* 1747394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747404 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1747407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747428 */     // GIR_Coverage, 11150,
     /* 1747428 */     GIR_EraseRootFromParent_Done,
     /* 1747429 */   // Label 23839: @1747429
     /* 1747429 */   GIM_Try, /*On fail goto*//*Label 23840*/ GIMT_Encode4(1747515), // Rule ID 11151 //
     /* 1747434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1747445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1747448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1747451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1747454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747480 */     // MIs[0] policy
     /* 1747480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747490 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1747493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747514 */     // GIR_Coverage, 11151,
     /* 1747514 */     GIR_EraseRootFromParent_Done,
     /* 1747515 */   // Label 23840: @1747515
     /* 1747515 */   GIM_Try, /*On fail goto*//*Label 23841*/ GIMT_Encode4(1747601), // Rule ID 11154 //
     /* 1747520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1747531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1747534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1747537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1747540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747566 */     // MIs[0] policy
     /* 1747566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1747579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747600 */     // GIR_Coverage, 11154,
     /* 1747600 */     GIR_EraseRootFromParent_Done,
     /* 1747601 */   // Label 23841: @1747601
     /* 1747601 */   GIM_Try, /*On fail goto*//*Label 23842*/ GIMT_Encode4(1747687), // Rule ID 11155 //
     /* 1747606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1747617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1747620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1747623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1747626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747652 */     // MIs[0] policy
     /* 1747652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747662 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1747665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747686 */     // GIR_Coverage, 11155,
     /* 1747686 */     GIR_EraseRootFromParent_Done,
     /* 1747687 */   // Label 23842: @1747687
     /* 1747687 */   GIM_Try, /*On fail goto*//*Label 23843*/ GIMT_Encode4(1747773), // Rule ID 11158 //
     /* 1747692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1747703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1747706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1747709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1747712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747738 */     // MIs[0] policy
     /* 1747738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747748 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1747751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747772 */     // GIR_Coverage, 11158,
     /* 1747772 */     GIR_EraseRootFromParent_Done,
     /* 1747773 */   // Label 23843: @1747773
     /* 1747773 */   GIM_Try, /*On fail goto*//*Label 23844*/ GIMT_Encode4(1747859), // Rule ID 11159 //
     /* 1747778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1747789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1747792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1747795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1747798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747824 */     // MIs[0] policy
     /* 1747824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1747837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747858 */     // GIR_Coverage, 11159,
     /* 1747858 */     GIR_EraseRootFromParent_Done,
     /* 1747859 */   // Label 23844: @1747859
     /* 1747859 */   GIM_Try, /*On fail goto*//*Label 23845*/ GIMT_Encode4(1747945), // Rule ID 11162 //
     /* 1747864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1747875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1747878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1747881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1747884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747910 */     // MIs[0] policy
     /* 1747910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747920 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1747923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747944 */     // GIR_Coverage, 11162,
     /* 1747944 */     GIR_EraseRootFromParent_Done,
     /* 1747945 */   // Label 23845: @1747945
     /* 1747945 */   GIM_Try, /*On fail goto*//*Label 23846*/ GIMT_Encode4(1748031), // Rule ID 11163 //
     /* 1747950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1747961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1747964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1747967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1747970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747996 */     // MIs[0] policy
     /* 1747996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1748009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748030 */     // GIR_Coverage, 11163,
     /* 1748030 */     GIR_EraseRootFromParent_Done,
     /* 1748031 */   // Label 23846: @1748031
     /* 1748031 */   GIM_Try, /*On fail goto*//*Label 23847*/ GIMT_Encode4(1748117), // Rule ID 11166 //
     /* 1748036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1748047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1748050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1748053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1748056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748082 */     // MIs[0] policy
     /* 1748082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1748095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748116 */     // GIR_Coverage, 11166,
     /* 1748116 */     GIR_EraseRootFromParent_Done,
     /* 1748117 */   // Label 23847: @1748117
     /* 1748117 */   GIM_Try, /*On fail goto*//*Label 23848*/ GIMT_Encode4(1748203), // Rule ID 11167 //
     /* 1748122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1748133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1748136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1748139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1748142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748168 */     // MIs[0] policy
     /* 1748168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1748181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748202 */     // GIR_Coverage, 11167,
     /* 1748202 */     GIR_EraseRootFromParent_Done,
     /* 1748203 */   // Label 23848: @1748203
     /* 1748203 */   GIM_Try, /*On fail goto*//*Label 23849*/ GIMT_Encode4(1748289), // Rule ID 11170 //
     /* 1748208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1748219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1748222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1748225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1748228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748254 */     // MIs[0] policy
     /* 1748254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1748267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748288 */     // GIR_Coverage, 11170,
     /* 1748288 */     GIR_EraseRootFromParent_Done,
     /* 1748289 */   // Label 23849: @1748289
     /* 1748289 */   GIM_Try, /*On fail goto*//*Label 23850*/ GIMT_Encode4(1748375), // Rule ID 11171 //
     /* 1748294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1748305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1748308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1748311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1748314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748340 */     // MIs[0] policy
     /* 1748340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748350 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1748353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748374 */     // GIR_Coverage, 11171,
     /* 1748374 */     GIR_EraseRootFromParent_Done,
     /* 1748375 */   // Label 23850: @1748375
     /* 1748375 */   GIM_Try, /*On fail goto*//*Label 23851*/ GIMT_Encode4(1748461), // Rule ID 11174 //
     /* 1748380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1748391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1748394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1748397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1748400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748426 */     // MIs[0] policy
     /* 1748426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1748439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748460 */     // GIR_Coverage, 11174,
     /* 1748460 */     GIR_EraseRootFromParent_Done,
     /* 1748461 */   // Label 23851: @1748461
     /* 1748461 */   GIM_Try, /*On fail goto*//*Label 23852*/ GIMT_Encode4(1748547), // Rule ID 11175 //
     /* 1748466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1748477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1748480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1748483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1748486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748512 */     // MIs[0] policy
     /* 1748512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748522 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1748525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748546 */     // GIR_Coverage, 11175,
     /* 1748546 */     GIR_EraseRootFromParent_Done,
     /* 1748547 */   // Label 23852: @1748547
     /* 1748547 */   GIM_Try, /*On fail goto*//*Label 23853*/ GIMT_Encode4(1748633), // Rule ID 11178 //
     /* 1748552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1748563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1748566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1748569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1748572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748598 */     // MIs[0] policy
     /* 1748598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748608 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1748611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748632 */     // GIR_Coverage, 11178,
     /* 1748632 */     GIR_EraseRootFromParent_Done,
     /* 1748633 */   // Label 23853: @1748633
     /* 1748633 */   GIM_Try, /*On fail goto*//*Label 23854*/ GIMT_Encode4(1748719), // Rule ID 11179 //
     /* 1748638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1748649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1748652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1748655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1748658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748684 */     // MIs[0] policy
     /* 1748684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748694 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1748697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748718 */     // GIR_Coverage, 11179,
     /* 1748718 */     GIR_EraseRootFromParent_Done,
     /* 1748719 */   // Label 23854: @1748719
     /* 1748719 */   GIM_Try, /*On fail goto*//*Label 23855*/ GIMT_Encode4(1748805), // Rule ID 11182 //
     /* 1748724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1748735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1748738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1748741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1748744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748770 */     // MIs[0] policy
     /* 1748770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748780 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1748783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748804 */     // GIR_Coverage, 11182,
     /* 1748804 */     GIR_EraseRootFromParent_Done,
     /* 1748805 */   // Label 23855: @1748805
     /* 1748805 */   GIM_Try, /*On fail goto*//*Label 23856*/ GIMT_Encode4(1748891), // Rule ID 11183 //
     /* 1748810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1748821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1748824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1748827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1748830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748856 */     // MIs[0] policy
     /* 1748856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748866 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1748869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748890 */     // GIR_Coverage, 11183,
     /* 1748890 */     GIR_EraseRootFromParent_Done,
     /* 1748891 */   // Label 23856: @1748891
     /* 1748891 */   GIM_Try, /*On fail goto*//*Label 23857*/ GIMT_Encode4(1748977), // Rule ID 11186 //
     /* 1748896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1748907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1748910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1748913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1748916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1748919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748942 */     // MIs[0] policy
     /* 1748942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748952 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1748955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748976 */     // GIR_Coverage, 11186,
     /* 1748976 */     GIR_EraseRootFromParent_Done,
     /* 1748977 */   // Label 23857: @1748977
     /* 1748977 */   GIM_Try, /*On fail goto*//*Label 23858*/ GIMT_Encode4(1749063), // Rule ID 11187 //
     /* 1748982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1748993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1748996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1748999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1749002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1749005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749028 */     // MIs[0] policy
     /* 1749028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749038 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1749041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749062 */     // GIR_Coverage, 11187,
     /* 1749062 */     GIR_EraseRootFromParent_Done,
     /* 1749063 */   // Label 23858: @1749063
     /* 1749063 */   GIM_Try, /*On fail goto*//*Label 23859*/ GIMT_Encode4(1749149), // Rule ID 11190 //
     /* 1749068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1749079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1749082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1749085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1749088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749114 */     // MIs[0] policy
     /* 1749114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1749127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749148 */     // GIR_Coverage, 11190,
     /* 1749148 */     GIR_EraseRootFromParent_Done,
     /* 1749149 */   // Label 23859: @1749149
     /* 1749149 */   GIM_Try, /*On fail goto*//*Label 23860*/ GIMT_Encode4(1749235), // Rule ID 11191 //
     /* 1749154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1749165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1749168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1749171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1749174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749200 */     // MIs[0] policy
     /* 1749200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749210 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1749213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749234 */     // GIR_Coverage, 11191,
     /* 1749234 */     GIR_EraseRootFromParent_Done,
     /* 1749235 */   // Label 23860: @1749235
     /* 1749235 */   GIM_Try, /*On fail goto*//*Label 23861*/ GIMT_Encode4(1749321), // Rule ID 11194 //
     /* 1749240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1749251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1749254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1749257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1749260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749286 */     // MIs[0] policy
     /* 1749286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1749299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749320 */     // GIR_Coverage, 11194,
     /* 1749320 */     GIR_EraseRootFromParent_Done,
     /* 1749321 */   // Label 23861: @1749321
     /* 1749321 */   GIM_Try, /*On fail goto*//*Label 23862*/ GIMT_Encode4(1749407), // Rule ID 11195 //
     /* 1749326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1749337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1749340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1749343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1749346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749372 */     // MIs[0] policy
     /* 1749372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749382 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1749385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749406 */     // GIR_Coverage, 11195,
     /* 1749406 */     GIR_EraseRootFromParent_Done,
     /* 1749407 */   // Label 23862: @1749407
     /* 1749407 */   GIM_Try, /*On fail goto*//*Label 23863*/ GIMT_Encode4(1749493), // Rule ID 11198 //
     /* 1749412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1749423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1749426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1749429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1749432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1749435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749458 */     // MIs[0] policy
     /* 1749458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749468 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1749471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749492 */     // GIR_Coverage, 11198,
     /* 1749492 */     GIR_EraseRootFromParent_Done,
     /* 1749493 */   // Label 23863: @1749493
     /* 1749493 */   GIM_Try, /*On fail goto*//*Label 23864*/ GIMT_Encode4(1749579), // Rule ID 11199 //
     /* 1749498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1749509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1749512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1749515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1749518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1749521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749544 */     // MIs[0] policy
     /* 1749544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749554 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1749557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749578 */     // GIR_Coverage, 11199,
     /* 1749578 */     GIR_EraseRootFromParent_Done,
     /* 1749579 */   // Label 23864: @1749579
     /* 1749579 */   GIM_Try, /*On fail goto*//*Label 23865*/ GIMT_Encode4(1749665), // Rule ID 11202 //
     /* 1749584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1749595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1749598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1749601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1749604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749630 */     // MIs[0] policy
     /* 1749630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749640 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1749643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749664 */     // GIR_Coverage, 11202,
     /* 1749664 */     GIR_EraseRootFromParent_Done,
     /* 1749665 */   // Label 23865: @1749665
     /* 1749665 */   GIM_Try, /*On fail goto*//*Label 23866*/ GIMT_Encode4(1749751), // Rule ID 11203 //
     /* 1749670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1749681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1749684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1749687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1749690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749716 */     // MIs[0] policy
     /* 1749716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1749729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749750 */     // GIR_Coverage, 11203,
     /* 1749750 */     GIR_EraseRootFromParent_Done,
     /* 1749751 */   // Label 23866: @1749751
     /* 1749751 */   GIM_Try, /*On fail goto*//*Label 23867*/ GIMT_Encode4(1749837), // Rule ID 11206 //
     /* 1749756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1749767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1749770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1749773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1749776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749802 */     // MIs[0] policy
     /* 1749802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749812 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1749815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749836 */     // GIR_Coverage, 11206,
     /* 1749836 */     GIR_EraseRootFromParent_Done,
     /* 1749837 */   // Label 23867: @1749837
     /* 1749837 */   GIM_Try, /*On fail goto*//*Label 23868*/ GIMT_Encode4(1749923), // Rule ID 11207 //
     /* 1749842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1749853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1749856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1749859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1749862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749888 */     // MIs[0] policy
     /* 1749888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1749901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749922 */     // GIR_Coverage, 11207,
     /* 1749922 */     GIR_EraseRootFromParent_Done,
     /* 1749923 */   // Label 23868: @1749923
     /* 1749923 */   GIM_Try, /*On fail goto*//*Label 23869*/ GIMT_Encode4(1750009), // Rule ID 11210 //
     /* 1749928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1749939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1749942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1749945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1749948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749974 */     // MIs[0] policy
     /* 1749974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1749987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750008 */     // GIR_Coverage, 11210,
     /* 1750008 */     GIR_EraseRootFromParent_Done,
     /* 1750009 */   // Label 23869: @1750009
     /* 1750009 */   GIM_Try, /*On fail goto*//*Label 23870*/ GIMT_Encode4(1750095), // Rule ID 11211 //
     /* 1750014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1750025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1750028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1750031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1750034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750060 */     // MIs[0] policy
     /* 1750060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750070 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1750073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750094 */     // GIR_Coverage, 11211,
     /* 1750094 */     GIR_EraseRootFromParent_Done,
     /* 1750095 */   // Label 23870: @1750095
     /* 1750095 */   GIM_Try, /*On fail goto*//*Label 23871*/ GIMT_Encode4(1750181), // Rule ID 11214 //
     /* 1750100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1750111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1750114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1750117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750146 */     // MIs[0] policy
     /* 1750146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750156 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1750159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750180 */     // GIR_Coverage, 11214,
     /* 1750180 */     GIR_EraseRootFromParent_Done,
     /* 1750181 */   // Label 23871: @1750181
     /* 1750181 */   GIM_Try, /*On fail goto*//*Label 23872*/ GIMT_Encode4(1750267), // Rule ID 11215 //
     /* 1750186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1750197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1750200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1750203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750232 */     // MIs[0] policy
     /* 1750232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750242 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1750245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750266 */     // GIR_Coverage, 11215,
     /* 1750266 */     GIR_EraseRootFromParent_Done,
     /* 1750267 */   // Label 23872: @1750267
     /* 1750267 */   GIM_Try, /*On fail goto*//*Label 23873*/ GIMT_Encode4(1750353), // Rule ID 11218 //
     /* 1750272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1750283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1750286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1750289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750318 */     // MIs[0] policy
     /* 1750318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750328 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1750331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750352 */     // GIR_Coverage, 11218,
     /* 1750352 */     GIR_EraseRootFromParent_Done,
     /* 1750353 */   // Label 23873: @1750353
     /* 1750353 */   GIM_Try, /*On fail goto*//*Label 23874*/ GIMT_Encode4(1750439), // Rule ID 11219 //
     /* 1750358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1750369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1750372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1750375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750404 */     // MIs[0] policy
     /* 1750404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750414 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1750417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750438 */     // GIR_Coverage, 11219,
     /* 1750438 */     GIR_EraseRootFromParent_Done,
     /* 1750439 */   // Label 23874: @1750439
     /* 1750439 */   GIM_Try, /*On fail goto*//*Label 23875*/ GIMT_Encode4(1750525), // Rule ID 11222 //
     /* 1750444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1750455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1750458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1750461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750490 */     // MIs[0] policy
     /* 1750490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750500 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1750503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750524 */     // GIR_Coverage, 11222,
     /* 1750524 */     GIR_EraseRootFromParent_Done,
     /* 1750525 */   // Label 23875: @1750525
     /* 1750525 */   GIM_Try, /*On fail goto*//*Label 23876*/ GIMT_Encode4(1750611), // Rule ID 11223 //
     /* 1750530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1750541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1750544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1750547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750576 */     // MIs[0] policy
     /* 1750576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750586 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1750589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750610 */     // GIR_Coverage, 11223,
     /* 1750610 */     GIR_EraseRootFromParent_Done,
     /* 1750611 */   // Label 23876: @1750611
     /* 1750611 */   GIM_Try, /*On fail goto*//*Label 23877*/ GIMT_Encode4(1750697), // Rule ID 11226 //
     /* 1750616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1750627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1750630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1750633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750662 */     // MIs[0] policy
     /* 1750662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750672 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1750675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750696 */     // GIR_Coverage, 11226,
     /* 1750696 */     GIR_EraseRootFromParent_Done,
     /* 1750697 */   // Label 23877: @1750697
     /* 1750697 */   GIM_Try, /*On fail goto*//*Label 23878*/ GIMT_Encode4(1750783), // Rule ID 11227 //
     /* 1750702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1750713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1750716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1750719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750748 */     // MIs[0] policy
     /* 1750748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1750761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750782 */     // GIR_Coverage, 11227,
     /* 1750782 */     GIR_EraseRootFromParent_Done,
     /* 1750783 */   // Label 23878: @1750783
     /* 1750783 */   GIM_Try, /*On fail goto*//*Label 23879*/ GIMT_Encode4(1750869), // Rule ID 11230 //
     /* 1750788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1750799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1750802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1750805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750834 */     // MIs[0] policy
     /* 1750834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750844 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1750847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750868 */     // GIR_Coverage, 11230,
     /* 1750868 */     GIR_EraseRootFromParent_Done,
     /* 1750869 */   // Label 23879: @1750869
     /* 1750869 */   GIM_Try, /*On fail goto*//*Label 23880*/ GIMT_Encode4(1750955), // Rule ID 11231 //
     /* 1750874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1750885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1750888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1750891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750920 */     // MIs[0] policy
     /* 1750920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750930 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1750933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750954 */     // GIR_Coverage, 11231,
     /* 1750954 */     GIR_EraseRootFromParent_Done,
     /* 1750955 */   // Label 23880: @1750955
     /* 1750955 */   GIM_Try, /*On fail goto*//*Label 23881*/ GIMT_Encode4(1751041), // Rule ID 11234 //
     /* 1750960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751006 */     // MIs[0] policy
     /* 1751006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1751019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751040 */     // GIR_Coverage, 11234,
     /* 1751040 */     GIR_EraseRootFromParent_Done,
     /* 1751041 */   // Label 23881: @1751041
     /* 1751041 */   GIM_Try, /*On fail goto*//*Label 23882*/ GIMT_Encode4(1751127), // Rule ID 11235 //
     /* 1751046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1751057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1751060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1751063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751092 */     // MIs[0] policy
     /* 1751092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751102 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1751105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751126 */     // GIR_Coverage, 11235,
     /* 1751126 */     GIR_EraseRootFromParent_Done,
     /* 1751127 */   // Label 23882: @1751127
     /* 1751127 */   GIM_Try, /*On fail goto*//*Label 23883*/ GIMT_Encode4(1751213), // Rule ID 11238 //
     /* 1751132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1751143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1751146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1751149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751178 */     // MIs[0] policy
     /* 1751178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1751191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751212 */     // GIR_Coverage, 11238,
     /* 1751212 */     GIR_EraseRootFromParent_Done,
     /* 1751213 */   // Label 23883: @1751213
     /* 1751213 */   GIM_Try, /*On fail goto*//*Label 23884*/ GIMT_Encode4(1751299), // Rule ID 11239 //
     /* 1751218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1751229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1751232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1751235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751264 */     // MIs[0] policy
     /* 1751264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751274 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1751277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751298 */     // GIR_Coverage, 11239,
     /* 1751298 */     GIR_EraseRootFromParent_Done,
     /* 1751299 */   // Label 23884: @1751299
     /* 1751299 */   GIM_Try, /*On fail goto*//*Label 23885*/ GIMT_Encode4(1751385), // Rule ID 11242 //
     /* 1751304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1751315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1751318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1751321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751350 */     // MIs[0] policy
     /* 1751350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1751363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751384 */     // GIR_Coverage, 11242,
     /* 1751384 */     GIR_EraseRootFromParent_Done,
     /* 1751385 */   // Label 23885: @1751385
     /* 1751385 */   GIM_Try, /*On fail goto*//*Label 23886*/ GIMT_Encode4(1751471), // Rule ID 11243 //
     /* 1751390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1751401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1751404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1751407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751436 */     // MIs[0] policy
     /* 1751436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1751449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751470 */     // GIR_Coverage, 11243,
     /* 1751470 */     GIR_EraseRootFromParent_Done,
     /* 1751471 */   // Label 23886: @1751471
     /* 1751471 */   GIM_Try, /*On fail goto*//*Label 23887*/ GIMT_Encode4(1751557), // Rule ID 11246 //
     /* 1751476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1751487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1751490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1751493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751522 */     // MIs[0] policy
     /* 1751522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1751535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751556 */     // GIR_Coverage, 11246,
     /* 1751556 */     GIR_EraseRootFromParent_Done,
     /* 1751557 */   // Label 23887: @1751557
     /* 1751557 */   GIM_Try, /*On fail goto*//*Label 23888*/ GIMT_Encode4(1751643), // Rule ID 11247 //
     /* 1751562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1751573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1751576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1751579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751608 */     // MIs[0] policy
     /* 1751608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751618 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1751621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751642 */     // GIR_Coverage, 11247,
     /* 1751642 */     GIR_EraseRootFromParent_Done,
     /* 1751643 */   // Label 23888: @1751643
     /* 1751643 */   GIM_Try, /*On fail goto*//*Label 23889*/ GIMT_Encode4(1751729), // Rule ID 11250 //
     /* 1751648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1751659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1751662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1751665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751694 */     // MIs[0] policy
     /* 1751694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751704 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1751707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751728 */     // GIR_Coverage, 11250,
     /* 1751728 */     GIR_EraseRootFromParent_Done,
     /* 1751729 */   // Label 23889: @1751729
     /* 1751729 */   GIM_Try, /*On fail goto*//*Label 23890*/ GIMT_Encode4(1751815), // Rule ID 11251 //
     /* 1751734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1751745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1751748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1751751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751780 */     // MIs[0] policy
     /* 1751780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751790 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1751793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751814 */     // GIR_Coverage, 11251,
     /* 1751814 */     GIR_EraseRootFromParent_Done,
     /* 1751815 */   // Label 23890: @1751815
     /* 1751815 */   GIM_Try, /*On fail goto*//*Label 23891*/ GIMT_Encode4(1751901), // Rule ID 11254 //
     /* 1751820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1751831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1751834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751866 */     // MIs[0] policy
     /* 1751866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751876 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1751879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751900 */     // GIR_Coverage, 11254,
     /* 1751900 */     GIR_EraseRootFromParent_Done,
     /* 1751901 */   // Label 23891: @1751901
     /* 1751901 */   GIM_Try, /*On fail goto*//*Label 23892*/ GIMT_Encode4(1751987), // Rule ID 11255 //
     /* 1751906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1751917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1751920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751952 */     // MIs[0] policy
     /* 1751952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751962 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1751965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751986 */     // GIR_Coverage, 11255,
     /* 1751986 */     GIR_EraseRootFromParent_Done,
     /* 1751987 */   // Label 23892: @1751987
     /* 1751987 */   GIM_Try, /*On fail goto*//*Label 23893*/ GIMT_Encode4(1752073), // Rule ID 11258 //
     /* 1751992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1752003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1752006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1752009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1752015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752038 */     // MIs[0] policy
     /* 1752038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752048 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1752051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752072 */     // GIR_Coverage, 11258,
     /* 1752072 */     GIR_EraseRootFromParent_Done,
     /* 1752073 */   // Label 23893: @1752073
     /* 1752073 */   GIM_Try, /*On fail goto*//*Label 23894*/ GIMT_Encode4(1752159), // Rule ID 11259 //
     /* 1752078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1752089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1752092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1752095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1752101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752124 */     // MIs[0] policy
     /* 1752124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752134 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1752137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752158 */     // GIR_Coverage, 11259,
     /* 1752158 */     GIR_EraseRootFromParent_Done,
     /* 1752159 */   // Label 23894: @1752159
     /* 1752159 */   GIM_Try, /*On fail goto*//*Label 23895*/ GIMT_Encode4(1752245), // Rule ID 11262 //
     /* 1752164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1752175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1752178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1752181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752210 */     // MIs[0] policy
     /* 1752210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752220 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1752223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752244 */     // GIR_Coverage, 11262,
     /* 1752244 */     GIR_EraseRootFromParent_Done,
     /* 1752245 */   // Label 23895: @1752245
     /* 1752245 */   GIM_Try, /*On fail goto*//*Label 23896*/ GIMT_Encode4(1752331), // Rule ID 11263 //
     /* 1752250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1752261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1752264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1752267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752296 */     // MIs[0] policy
     /* 1752296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752306 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1752309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752330 */     // GIR_Coverage, 11263,
     /* 1752330 */     GIR_EraseRootFromParent_Done,
     /* 1752331 */   // Label 23896: @1752331
     /* 1752331 */   GIM_Try, /*On fail goto*//*Label 23897*/ GIMT_Encode4(1752417), // Rule ID 11266 //
     /* 1752336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1752347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1752350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1752353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752382 */     // MIs[0] policy
     /* 1752382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752392 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1752395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752416 */     // GIR_Coverage, 11266,
     /* 1752416 */     GIR_EraseRootFromParent_Done,
     /* 1752417 */   // Label 23897: @1752417
     /* 1752417 */   GIM_Try, /*On fail goto*//*Label 23898*/ GIMT_Encode4(1752503), // Rule ID 11267 //
     /* 1752422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1752433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1752436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1752439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752468 */     // MIs[0] policy
     /* 1752468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1752481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752502 */     // GIR_Coverage, 11267,
     /* 1752502 */     GIR_EraseRootFromParent_Done,
     /* 1752503 */   // Label 23898: @1752503
     /* 1752503 */   GIM_Try, /*On fail goto*//*Label 23899*/ GIMT_Encode4(1752589), // Rule ID 11270 //
     /* 1752508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1752519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1752522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1752525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1752531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752554 */     // MIs[0] policy
     /* 1752554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752564 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1752567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752588 */     // GIR_Coverage, 11270,
     /* 1752588 */     GIR_EraseRootFromParent_Done,
     /* 1752589 */   // Label 23899: @1752589
     /* 1752589 */   GIM_Try, /*On fail goto*//*Label 23900*/ GIMT_Encode4(1752675), // Rule ID 11271 //
     /* 1752594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1752605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1752608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1752611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1752617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752640 */     // MIs[0] policy
     /* 1752640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752650 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1752653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752674 */     // GIR_Coverage, 11271,
     /* 1752674 */     GIR_EraseRootFromParent_Done,
     /* 1752675 */   // Label 23900: @1752675
     /* 1752675 */   GIM_Try, /*On fail goto*//*Label 23901*/ GIMT_Encode4(1752761), // Rule ID 11274 //
     /* 1752680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1752691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1752694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1752697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752726 */     // MIs[0] policy
     /* 1752726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1752739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752760 */     // GIR_Coverage, 11274,
     /* 1752760 */     GIR_EraseRootFromParent_Done,
     /* 1752761 */   // Label 23901: @1752761
     /* 1752761 */   GIM_Try, /*On fail goto*//*Label 23902*/ GIMT_Encode4(1752847), // Rule ID 11275 //
     /* 1752766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1752777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1752780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1752783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752812 */     // MIs[0] policy
     /* 1752812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752822 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1752825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752846 */     // GIR_Coverage, 11275,
     /* 1752846 */     GIR_EraseRootFromParent_Done,
     /* 1752847 */   // Label 23902: @1752847
     /* 1752847 */   GIM_Try, /*On fail goto*//*Label 23903*/ GIMT_Encode4(1752933), // Rule ID 11278 //
     /* 1752852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1752869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752898 */     // MIs[0] policy
     /* 1752898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752908 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1752911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752932 */     // GIR_Coverage, 11278,
     /* 1752932 */     GIR_EraseRootFromParent_Done,
     /* 1752933 */   // Label 23903: @1752933
     /* 1752933 */   GIM_Try, /*On fail goto*//*Label 23904*/ GIMT_Encode4(1753019), // Rule ID 11279 //
     /* 1752938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1752955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752984 */     // MIs[0] policy
     /* 1752984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1752997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753018 */     // GIR_Coverage, 11279,
     /* 1753018 */     GIR_EraseRootFromParent_Done,
     /* 1753019 */   // Label 23904: @1753019
     /* 1753019 */   GIM_Try, /*On fail goto*//*Label 23905*/ GIMT_Encode4(1753105), // Rule ID 11282 //
     /* 1753024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1753035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1753038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1753041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1753044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1753047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753070 */     // MIs[0] policy
     /* 1753070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753080 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1753083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753104 */     // GIR_Coverage, 11282,
     /* 1753104 */     GIR_EraseRootFromParent_Done,
     /* 1753105 */   // Label 23905: @1753105
     /* 1753105 */   GIM_Try, /*On fail goto*//*Label 23906*/ GIMT_Encode4(1753191), // Rule ID 11283 //
     /* 1753110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1753121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1753124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1753127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1753130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1753133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753156 */     // MIs[0] policy
     /* 1753156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753166 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1753169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753190 */     // GIR_Coverage, 11283,
     /* 1753190 */     GIR_EraseRootFromParent_Done,
     /* 1753191 */   // Label 23906: @1753191
     /* 1753191 */   GIM_Try, /*On fail goto*//*Label 23907*/ GIMT_Encode4(1753277), // Rule ID 11286 //
     /* 1753196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1753207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1753210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1753213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1753216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753242 */     // MIs[0] policy
     /* 1753242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753252 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1753255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753276 */     // GIR_Coverage, 11286,
     /* 1753276 */     GIR_EraseRootFromParent_Done,
     /* 1753277 */   // Label 23907: @1753277
     /* 1753277 */   GIM_Try, /*On fail goto*//*Label 23908*/ GIMT_Encode4(1753363), // Rule ID 11287 //
     /* 1753282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1753293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1753296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1753299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1753302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753328 */     // MIs[0] policy
     /* 1753328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753338 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1753341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753362 */     // GIR_Coverage, 11287,
     /* 1753362 */     GIR_EraseRootFromParent_Done,
     /* 1753363 */   // Label 23908: @1753363
     /* 1753363 */   GIM_Try, /*On fail goto*//*Label 23909*/ GIMT_Encode4(1753449), // Rule ID 11290 //
     /* 1753368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1753379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1753382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1753385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1753388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753414 */     // MIs[0] policy
     /* 1753414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1753427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753448 */     // GIR_Coverage, 11290,
     /* 1753448 */     GIR_EraseRootFromParent_Done,
     /* 1753449 */   // Label 23909: @1753449
     /* 1753449 */   GIM_Try, /*On fail goto*//*Label 23910*/ GIMT_Encode4(1753535), // Rule ID 11291 //
     /* 1753454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1753465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1753468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1753471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1753474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753500 */     // MIs[0] policy
     /* 1753500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753510 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1753513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753534 */     // GIR_Coverage, 11291,
     /* 1753534 */     GIR_EraseRootFromParent_Done,
     /* 1753535 */   // Label 23910: @1753535
     /* 1753535 */   GIM_Try, /*On fail goto*//*Label 23911*/ GIMT_Encode4(1753621), // Rule ID 11294 //
     /* 1753540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1753551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1753554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1753557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1753560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753586 */     // MIs[0] policy
     /* 1753586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753596 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1753599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753620 */     // GIR_Coverage, 11294,
     /* 1753620 */     GIR_EraseRootFromParent_Done,
     /* 1753621 */   // Label 23911: @1753621
     /* 1753621 */   GIM_Try, /*On fail goto*//*Label 23912*/ GIMT_Encode4(1753707), // Rule ID 11295 //
     /* 1753626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1753637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1753640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1753643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1753646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753672 */     // MIs[0] policy
     /* 1753672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753682 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1753685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753706 */     // GIR_Coverage, 11295,
     /* 1753706 */     GIR_EraseRootFromParent_Done,
     /* 1753707 */   // Label 23912: @1753707
     /* 1753707 */   GIM_Try, /*On fail goto*//*Label 23913*/ GIMT_Encode4(1753793), // Rule ID 11298 //
     /* 1753712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1753723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1753726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1753729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1753732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753758 */     // MIs[0] policy
     /* 1753758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1753771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753792 */     // GIR_Coverage, 11298,
     /* 1753792 */     GIR_EraseRootFromParent_Done,
     /* 1753793 */   // Label 23913: @1753793
     /* 1753793 */   GIM_Try, /*On fail goto*//*Label 23914*/ GIMT_Encode4(1753879), // Rule ID 11299 //
     /* 1753798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1753809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1753812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1753815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1753818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753844 */     // MIs[0] policy
     /* 1753844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753854 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1753857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753878 */     // GIR_Coverage, 11299,
     /* 1753878 */     GIR_EraseRootFromParent_Done,
     /* 1753879 */   // Label 23914: @1753879
     /* 1753879 */   GIM_Try, /*On fail goto*//*Label 23915*/ GIMT_Encode4(1753965), // Rule ID 11302 //
     /* 1753884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1753895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1753898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1753901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1753904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753930 */     // MIs[0] policy
     /* 1753930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1753943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753964 */     // GIR_Coverage, 11302,
     /* 1753964 */     GIR_EraseRootFromParent_Done,
     /* 1753965 */   // Label 23915: @1753965
     /* 1753965 */   GIM_Try, /*On fail goto*//*Label 23916*/ GIMT_Encode4(1754051), // Rule ID 11303 //
     /* 1753970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1753981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1753984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1753987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1753990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754016 */     // MIs[0] policy
     /* 1754016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1754029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754050 */     // GIR_Coverage, 11303,
     /* 1754050 */     GIR_EraseRootFromParent_Done,
     /* 1754051 */   // Label 23916: @1754051
     /* 1754051 */   GIM_Try, /*On fail goto*//*Label 23917*/ GIMT_Encode4(1754137), // Rule ID 11306 //
     /* 1754056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1754067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1754070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1754073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1754076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754102 */     // MIs[0] policy
     /* 1754102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754112 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1754115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754136 */     // GIR_Coverage, 11306,
     /* 1754136 */     GIR_EraseRootFromParent_Done,
     /* 1754137 */   // Label 23917: @1754137
     /* 1754137 */   GIM_Try, /*On fail goto*//*Label 23918*/ GIMT_Encode4(1754223), // Rule ID 11307 //
     /* 1754142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1754153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1754156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1754159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1754162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754188 */     // MIs[0] policy
     /* 1754188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754198 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1754201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754222 */     // GIR_Coverage, 11307,
     /* 1754222 */     GIR_EraseRootFromParent_Done,
     /* 1754223 */   // Label 23918: @1754223
     /* 1754223 */   GIM_Try, /*On fail goto*//*Label 23919*/ GIMT_Encode4(1754309), // Rule ID 11310 //
     /* 1754228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1754239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1754242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1754245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1754248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754274 */     // MIs[0] policy
     /* 1754274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754284 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1754287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754308 */     // GIR_Coverage, 11310,
     /* 1754308 */     GIR_EraseRootFromParent_Done,
     /* 1754309 */   // Label 23919: @1754309
     /* 1754309 */   GIM_Try, /*On fail goto*//*Label 23920*/ GIMT_Encode4(1754395), // Rule ID 11311 //
     /* 1754314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1754325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1754328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1754331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1754334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754360 */     // MIs[0] policy
     /* 1754360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754370 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1754373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754394 */     // GIR_Coverage, 11311,
     /* 1754394 */     GIR_EraseRootFromParent_Done,
     /* 1754395 */   // Label 23920: @1754395
     /* 1754395 */   GIM_Try, /*On fail goto*//*Label 23921*/ GIMT_Encode4(1754481), // Rule ID 11314 //
     /* 1754400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1754411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1754414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1754417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1754420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754446 */     // MIs[0] policy
     /* 1754446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1754459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754480 */     // GIR_Coverage, 11314,
     /* 1754480 */     GIR_EraseRootFromParent_Done,
     /* 1754481 */   // Label 23921: @1754481
     /* 1754481 */   GIM_Try, /*On fail goto*//*Label 23922*/ GIMT_Encode4(1754567), // Rule ID 11315 //
     /* 1754486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1754497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1754500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1754503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1754506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754532 */     // MIs[0] policy
     /* 1754532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1754545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754566 */     // GIR_Coverage, 11315,
     /* 1754566 */     GIR_EraseRootFromParent_Done,
     /* 1754567 */   // Label 23922: @1754567
     /* 1754567 */   GIM_Try, /*On fail goto*//*Label 23923*/ GIMT_Encode4(1754653), // Rule ID 11318 //
     /* 1754572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1754583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1754586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1754589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1754592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754618 */     // MIs[0] policy
     /* 1754618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1754631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754652 */     // GIR_Coverage, 11318,
     /* 1754652 */     GIR_EraseRootFromParent_Done,
     /* 1754653 */   // Label 23923: @1754653
     /* 1754653 */   GIM_Try, /*On fail goto*//*Label 23924*/ GIMT_Encode4(1754739), // Rule ID 11319 //
     /* 1754658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1754669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1754672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1754675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1754678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754704 */     // MIs[0] policy
     /* 1754704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1754717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754738 */     // GIR_Coverage, 11319,
     /* 1754738 */     GIR_EraseRootFromParent_Done,
     /* 1754739 */   // Label 23924: @1754739
     /* 1754739 */   GIM_Try, /*On fail goto*//*Label 23925*/ GIMT_Encode4(1754825), // Rule ID 11322 //
     /* 1754744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1754755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1754758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1754761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1754764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754790 */     // MIs[0] policy
     /* 1754790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754800 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1754803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754824 */     // GIR_Coverage, 11322,
     /* 1754824 */     GIR_EraseRootFromParent_Done,
     /* 1754825 */   // Label 23925: @1754825
     /* 1754825 */   GIM_Try, /*On fail goto*//*Label 23926*/ GIMT_Encode4(1754911), // Rule ID 11323 //
     /* 1754830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1754841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1754844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1754847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1754850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754876 */     // MIs[0] policy
     /* 1754876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754886 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1754889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754910 */     // GIR_Coverage, 11323,
     /* 1754910 */     GIR_EraseRootFromParent_Done,
     /* 1754911 */   // Label 23926: @1754911
     /* 1754911 */   GIM_Try, /*On fail goto*//*Label 23927*/ GIMT_Encode4(1754997), // Rule ID 11326 //
     /* 1754916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1754927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1754930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1754933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1754936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754962 */     // MIs[0] policy
     /* 1754962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754972 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1754975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754996 */     // GIR_Coverage, 11326,
     /* 1754996 */     GIR_EraseRootFromParent_Done,
     /* 1754997 */   // Label 23927: @1754997
     /* 1754997 */   GIM_Try, /*On fail goto*//*Label 23928*/ GIMT_Encode4(1755083), // Rule ID 11327 //
     /* 1755002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1755013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1755016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1755019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1755022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755048 */     // MIs[0] policy
     /* 1755048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755058 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1755061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755082 */     // GIR_Coverage, 11327,
     /* 1755082 */     GIR_EraseRootFromParent_Done,
     /* 1755083 */   // Label 23928: @1755083
     /* 1755083 */   GIM_Try, /*On fail goto*//*Label 23929*/ GIMT_Encode4(1755169), // Rule ID 11330 //
     /* 1755088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1755099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1755102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1755105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1755108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1755111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755134 */     // MIs[0] policy
     /* 1755134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755144 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1755147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755168 */     // GIR_Coverage, 11330,
     /* 1755168 */     GIR_EraseRootFromParent_Done,
     /* 1755169 */   // Label 23929: @1755169
     /* 1755169 */   GIM_Try, /*On fail goto*//*Label 23930*/ GIMT_Encode4(1755255), // Rule ID 11331 //
     /* 1755174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1755185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1755188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1755191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1755194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1755197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755220 */     // MIs[0] policy
     /* 1755220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755230 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1755233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755254 */     // GIR_Coverage, 11331,
     /* 1755254 */     GIR_EraseRootFromParent_Done,
     /* 1755255 */   // Label 23930: @1755255
     /* 1755255 */   GIM_Try, /*On fail goto*//*Label 23931*/ GIMT_Encode4(1755341), // Rule ID 11334 //
     /* 1755260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1755271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1755274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1755277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1755280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755306 */     // MIs[0] policy
     /* 1755306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1755319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755340 */     // GIR_Coverage, 11334,
     /* 1755340 */     GIR_EraseRootFromParent_Done,
     /* 1755341 */   // Label 23931: @1755341
     /* 1755341 */   GIM_Try, /*On fail goto*//*Label 23932*/ GIMT_Encode4(1755427), // Rule ID 11335 //
     /* 1755346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1755357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1755360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1755363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1755366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755392 */     // MIs[0] policy
     /* 1755392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1755405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755426 */     // GIR_Coverage, 11335,
     /* 1755426 */     GIR_EraseRootFromParent_Done,
     /* 1755427 */   // Label 23932: @1755427
     /* 1755427 */   GIM_Try, /*On fail goto*//*Label 23933*/ GIMT_Encode4(1755513), // Rule ID 11338 //
     /* 1755432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1755443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1755446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1755449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1755452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755478 */     // MIs[0] policy
     /* 1755478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755488 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1755491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755512 */     // GIR_Coverage, 11338,
     /* 1755512 */     GIR_EraseRootFromParent_Done,
     /* 1755513 */   // Label 23933: @1755513
     /* 1755513 */   GIM_Try, /*On fail goto*//*Label 23934*/ GIMT_Encode4(1755599), // Rule ID 11339 //
     /* 1755518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1755529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1755532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1755535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1755538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755564 */     // MIs[0] policy
     /* 1755564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755574 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1755577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755598 */     // GIR_Coverage, 11339,
     /* 1755598 */     GIR_EraseRootFromParent_Done,
     /* 1755599 */   // Label 23934: @1755599
     /* 1755599 */   GIM_Try, /*On fail goto*//*Label 23935*/ GIMT_Encode4(1755685), // Rule ID 11342 //
     /* 1755604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1755615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1755618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1755621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1755624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755650 */     // MIs[0] policy
     /* 1755650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755660 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1755663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755684 */     // GIR_Coverage, 11342,
     /* 1755684 */     GIR_EraseRootFromParent_Done,
     /* 1755685 */   // Label 23935: @1755685
     /* 1755685 */   GIM_Try, /*On fail goto*//*Label 23936*/ GIMT_Encode4(1755771), // Rule ID 11343 //
     /* 1755690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1755701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1755704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1755707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1755710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755736 */     // MIs[0] policy
     /* 1755736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1755749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755770 */     // GIR_Coverage, 11343,
     /* 1755770 */     GIR_EraseRootFromParent_Done,
     /* 1755771 */   // Label 23936: @1755771
     /* 1755771 */   GIM_Try, /*On fail goto*//*Label 23937*/ GIMT_Encode4(1755857), // Rule ID 11346 //
     /* 1755776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1755787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1755790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1755793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1755796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755822 */     // MIs[0] policy
     /* 1755822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755832 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1755835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755856 */     // GIR_Coverage, 11346,
     /* 1755856 */     GIR_EraseRootFromParent_Done,
     /* 1755857 */   // Label 23937: @1755857
     /* 1755857 */   GIM_Try, /*On fail goto*//*Label 23938*/ GIMT_Encode4(1755943), // Rule ID 11347 //
     /* 1755862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1755873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1755876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1755879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1755882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755908 */     // MIs[0] policy
     /* 1755908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755918 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1755921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755942 */     // GIR_Coverage, 11347,
     /* 1755942 */     GIR_EraseRootFromParent_Done,
     /* 1755943 */   // Label 23938: @1755943
     /* 1755943 */   GIM_Try, /*On fail goto*//*Label 23939*/ GIMT_Encode4(1756029), // Rule ID 11350 //
     /* 1755948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1755959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1755962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1755965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1755968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755994 */     // MIs[0] policy
     /* 1755994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756004 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1756007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756028 */     // GIR_Coverage, 11350,
     /* 1756028 */     GIR_EraseRootFromParent_Done,
     /* 1756029 */   // Label 23939: @1756029
     /* 1756029 */   GIM_Try, /*On fail goto*//*Label 23940*/ GIMT_Encode4(1756115), // Rule ID 11351 //
     /* 1756034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1756045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1756048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1756051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1756054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756080 */     // MIs[0] policy
     /* 1756080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756090 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1756093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756114 */     // GIR_Coverage, 11351,
     /* 1756114 */     GIR_EraseRootFromParent_Done,
     /* 1756115 */   // Label 23940: @1756115
     /* 1756115 */   GIM_Try, /*On fail goto*//*Label 23941*/ GIMT_Encode4(1756201), // Rule ID 11354 //
     /* 1756120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1756131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1756134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1756137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1756140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756166 */     // MIs[0] policy
     /* 1756166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756176 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1756179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756200 */     // GIR_Coverage, 11354,
     /* 1756200 */     GIR_EraseRootFromParent_Done,
     /* 1756201 */   // Label 23941: @1756201
     /* 1756201 */   GIM_Try, /*On fail goto*//*Label 23942*/ GIMT_Encode4(1756287), // Rule ID 11355 //
     /* 1756206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1756217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1756220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1756223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1756226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756252 */     // MIs[0] policy
     /* 1756252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756262 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1756265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756286 */     // GIR_Coverage, 11355,
     /* 1756286 */     GIR_EraseRootFromParent_Done,
     /* 1756287 */   // Label 23942: @1756287
     /* 1756287 */   GIM_Try, /*On fail goto*//*Label 23943*/ GIMT_Encode4(1756373), // Rule ID 11358 //
     /* 1756292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1756303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1756306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1756309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756338 */     // MIs[0] policy
     /* 1756338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756348 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1756351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756372 */     // GIR_Coverage, 11358,
     /* 1756372 */     GIR_EraseRootFromParent_Done,
     /* 1756373 */   // Label 23943: @1756373
     /* 1756373 */   GIM_Try, /*On fail goto*//*Label 23944*/ GIMT_Encode4(1756459), // Rule ID 11359 //
     /* 1756378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1756389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1756392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1756395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756424 */     // MIs[0] policy
     /* 1756424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756434 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1756437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756458 */     // GIR_Coverage, 11359,
     /* 1756458 */     GIR_EraseRootFromParent_Done,
     /* 1756459 */   // Label 23944: @1756459
     /* 1756459 */   GIM_Try, /*On fail goto*//*Label 23945*/ GIMT_Encode4(1756545), // Rule ID 11362 //
     /* 1756464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1756475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1756478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1756481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756510 */     // MIs[0] policy
     /* 1756510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756520 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1756523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756544 */     // GIR_Coverage, 11362,
     /* 1756544 */     GIR_EraseRootFromParent_Done,
     /* 1756545 */   // Label 23945: @1756545
     /* 1756545 */   GIM_Try, /*On fail goto*//*Label 23946*/ GIMT_Encode4(1756631), // Rule ID 11363 //
     /* 1756550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1756561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1756564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1756567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756596 */     // MIs[0] policy
     /* 1756596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756606 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1756609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756630 */     // GIR_Coverage, 11363,
     /* 1756630 */     GIR_EraseRootFromParent_Done,
     /* 1756631 */   // Label 23946: @1756631
     /* 1756631 */   GIM_Try, /*On fail goto*//*Label 23947*/ GIMT_Encode4(1756717), // Rule ID 11366 //
     /* 1756636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1756647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1756650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1756653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756682 */     // MIs[0] policy
     /* 1756682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1756695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756716 */     // GIR_Coverage, 11366,
     /* 1756716 */     GIR_EraseRootFromParent_Done,
     /* 1756717 */   // Label 23947: @1756717
     /* 1756717 */   GIM_Try, /*On fail goto*//*Label 23948*/ GIMT_Encode4(1756803), // Rule ID 11367 //
     /* 1756722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1756733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1756736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1756739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756768 */     // MIs[0] policy
     /* 1756768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756778 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1756781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756802 */     // GIR_Coverage, 11367,
     /* 1756802 */     GIR_EraseRootFromParent_Done,
     /* 1756803 */   // Label 23948: @1756803
     /* 1756803 */   GIM_Try, /*On fail goto*//*Label 23949*/ GIMT_Encode4(1756889), // Rule ID 11370 //
     /* 1756808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1756819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1756822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1756825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756854 */     // MIs[0] policy
     /* 1756854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1756867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756888 */     // GIR_Coverage, 11370,
     /* 1756888 */     GIR_EraseRootFromParent_Done,
     /* 1756889 */   // Label 23949: @1756889
     /* 1756889 */   GIM_Try, /*On fail goto*//*Label 23950*/ GIMT_Encode4(1756975), // Rule ID 11371 //
     /* 1756894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1756905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1756908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1756911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756940 */     // MIs[0] policy
     /* 1756940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1756953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756974 */     // GIR_Coverage, 11371,
     /* 1756974 */     GIR_EraseRootFromParent_Done,
     /* 1756975 */   // Label 23950: @1756975
     /* 1756975 */   GIM_Try, /*On fail goto*//*Label 23951*/ GIMT_Encode4(1757061), // Rule ID 11374 //
     /* 1756980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1756991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1756994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1756997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757026 */     // MIs[0] policy
     /* 1757026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1757039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757060 */     // GIR_Coverage, 11374,
     /* 1757060 */     GIR_EraseRootFromParent_Done,
     /* 1757061 */   // Label 23951: @1757061
     /* 1757061 */   GIM_Try, /*On fail goto*//*Label 23952*/ GIMT_Encode4(1757147), // Rule ID 11375 //
     /* 1757066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1757077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1757080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1757083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757112 */     // MIs[0] policy
     /* 1757112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757122 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1757125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757146 */     // GIR_Coverage, 11375,
     /* 1757146 */     GIR_EraseRootFromParent_Done,
     /* 1757147 */   // Label 23952: @1757147
     /* 1757147 */   GIM_Try, /*On fail goto*//*Label 23953*/ GIMT_Encode4(1757233), // Rule ID 11378 //
     /* 1757152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1757163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1757166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1757169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757198 */     // MIs[0] policy
     /* 1757198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757208 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1757211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757232 */     // GIR_Coverage, 11378,
     /* 1757232 */     GIR_EraseRootFromParent_Done,
     /* 1757233 */   // Label 23953: @1757233
     /* 1757233 */   GIM_Try, /*On fail goto*//*Label 23954*/ GIMT_Encode4(1757319), // Rule ID 11379 //
     /* 1757238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1757249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1757252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1757255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757284 */     // MIs[0] policy
     /* 1757284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1757297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757318 */     // GIR_Coverage, 11379,
     /* 1757318 */     GIR_EraseRootFromParent_Done,
     /* 1757319 */   // Label 23954: @1757319
     /* 1757319 */   GIM_Try, /*On fail goto*//*Label 23955*/ GIMT_Encode4(1757405), // Rule ID 11382 //
     /* 1757324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1757335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1757338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1757341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757370 */     // MIs[0] policy
     /* 1757370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1757383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757404 */     // GIR_Coverage, 11382,
     /* 1757404 */     GIR_EraseRootFromParent_Done,
     /* 1757405 */   // Label 23955: @1757405
     /* 1757405 */   GIM_Try, /*On fail goto*//*Label 23956*/ GIMT_Encode4(1757491), // Rule ID 11383 //
     /* 1757410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1757421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1757424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1757427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757456 */     // MIs[0] policy
     /* 1757456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757466 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1757469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757490 */     // GIR_Coverage, 11383,
     /* 1757490 */     GIR_EraseRootFromParent_Done,
     /* 1757491 */   // Label 23956: @1757491
     /* 1757491 */   GIM_Try, /*On fail goto*//*Label 23957*/ GIMT_Encode4(1757577), // Rule ID 11386 //
     /* 1757496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1757507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1757510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1757513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757542 */     // MIs[0] policy
     /* 1757542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1757555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757576 */     // GIR_Coverage, 11386,
     /* 1757576 */     GIR_EraseRootFromParent_Done,
     /* 1757577 */   // Label 23957: @1757577
     /* 1757577 */   GIM_Try, /*On fail goto*//*Label 23958*/ GIMT_Encode4(1757663), // Rule ID 11387 //
     /* 1757582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1757593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1757596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1757599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757628 */     // MIs[0] policy
     /* 1757628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757638 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1757641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757662 */     // GIR_Coverage, 11387,
     /* 1757662 */     GIR_EraseRootFromParent_Done,
     /* 1757663 */   // Label 23958: @1757663
     /* 1757663 */   GIM_Try, /*On fail goto*//*Label 23959*/ GIMT_Encode4(1757749), // Rule ID 11390 //
     /* 1757668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1757679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1757682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1757685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757714 */     // MIs[0] policy
     /* 1757714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1757727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757748 */     // GIR_Coverage, 11390,
     /* 1757748 */     GIR_EraseRootFromParent_Done,
     /* 1757749 */   // Label 23959: @1757749
     /* 1757749 */   GIM_Try, /*On fail goto*//*Label 23960*/ GIMT_Encode4(1757835), // Rule ID 11391 //
     /* 1757754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1757765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1757768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1757771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757800 */     // MIs[0] policy
     /* 1757800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1757813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757834 */     // GIR_Coverage, 11391,
     /* 1757834 */     GIR_EraseRootFromParent_Done,
     /* 1757835 */   // Label 23960: @1757835
     /* 1757835 */   GIM_Try, /*On fail goto*//*Label 23961*/ GIMT_Encode4(1757921), // Rule ID 11394 //
     /* 1757840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1757851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1757854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1757857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757886 */     // MIs[0] policy
     /* 1757886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1757899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757920 */     // GIR_Coverage, 11394,
     /* 1757920 */     GIR_EraseRootFromParent_Done,
     /* 1757921 */   // Label 23961: @1757921
     /* 1757921 */   GIM_Try, /*On fail goto*//*Label 23962*/ GIMT_Encode4(1758007), // Rule ID 11395 //
     /* 1757926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1757937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1757940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1757943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757972 */     // MIs[0] policy
     /* 1757972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757982 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1757985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758006 */     // GIR_Coverage, 11395,
     /* 1758006 */     GIR_EraseRootFromParent_Done,
     /* 1758007 */   // Label 23962: @1758007
     /* 1758007 */   GIM_Try, /*On fail goto*//*Label 23963*/ GIMT_Encode4(1758093), // Rule ID 11398 //
     /* 1758012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1758023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1758026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1758029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758058 */     // MIs[0] policy
     /* 1758058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758068 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1758071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758092 */     // GIR_Coverage, 11398,
     /* 1758092 */     GIR_EraseRootFromParent_Done,
     /* 1758093 */   // Label 23963: @1758093
     /* 1758093 */   GIM_Try, /*On fail goto*//*Label 23964*/ GIMT_Encode4(1758179), // Rule ID 11399 //
     /* 1758098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1758109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1758112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1758115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758144 */     // MIs[0] policy
     /* 1758144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758154 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1758157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758178 */     // GIR_Coverage, 11399,
     /* 1758178 */     GIR_EraseRootFromParent_Done,
     /* 1758179 */   // Label 23964: @1758179
     /* 1758179 */   GIM_Try, /*On fail goto*//*Label 23965*/ GIMT_Encode4(1758265), // Rule ID 11402 //
     /* 1758184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1758195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1758198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1758201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1758207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758230 */     // MIs[0] policy
     /* 1758230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758240 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1758243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758264 */     // GIR_Coverage, 11402,
     /* 1758264 */     GIR_EraseRootFromParent_Done,
     /* 1758265 */   // Label 23965: @1758265
     /* 1758265 */   GIM_Try, /*On fail goto*//*Label 23966*/ GIMT_Encode4(1758351), // Rule ID 11403 //
     /* 1758270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1758281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1758284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1758287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1758293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758316 */     // MIs[0] policy
     /* 1758316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758326 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1758329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758350 */     // GIR_Coverage, 11403,
     /* 1758350 */     GIR_EraseRootFromParent_Done,
     /* 1758351 */   // Label 23966: @1758351
     /* 1758351 */   GIM_Try, /*On fail goto*//*Label 23967*/ GIMT_Encode4(1758437), // Rule ID 11406 //
     /* 1758356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1758367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1758370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1758373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758402 */     // MIs[0] policy
     /* 1758402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758412 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1758415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758436 */     // GIR_Coverage, 11406,
     /* 1758436 */     GIR_EraseRootFromParent_Done,
     /* 1758437 */   // Label 23967: @1758437
     /* 1758437 */   GIM_Try, /*On fail goto*//*Label 23968*/ GIMT_Encode4(1758523), // Rule ID 11407 //
     /* 1758442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1758453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1758456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1758459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758488 */     // MIs[0] policy
     /* 1758488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1758501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758522 */     // GIR_Coverage, 11407,
     /* 1758522 */     GIR_EraseRootFromParent_Done,
     /* 1758523 */   // Label 23968: @1758523
     /* 1758523 */   GIM_Try, /*On fail goto*//*Label 23969*/ GIMT_Encode4(1758609), // Rule ID 11410 //
     /* 1758528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1758539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1758542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1758545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758574 */     // MIs[0] policy
     /* 1758574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1758587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758608 */     // GIR_Coverage, 11410,
     /* 1758608 */     GIR_EraseRootFromParent_Done,
     /* 1758609 */   // Label 23969: @1758609
     /* 1758609 */   GIM_Try, /*On fail goto*//*Label 23970*/ GIMT_Encode4(1758695), // Rule ID 11411 //
     /* 1758614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1758625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1758628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1758631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758660 */     // MIs[0] policy
     /* 1758660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1758673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758694 */     // GIR_Coverage, 11411,
     /* 1758694 */     GIR_EraseRootFromParent_Done,
     /* 1758695 */   // Label 23970: @1758695
     /* 1758695 */   GIM_Try, /*On fail goto*//*Label 23971*/ GIMT_Encode4(1758781), // Rule ID 11414 //
     /* 1758700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1758711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1758714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1758717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758746 */     // MIs[0] policy
     /* 1758746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758756 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1758759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758780 */     // GIR_Coverage, 11414,
     /* 1758780 */     GIR_EraseRootFromParent_Done,
     /* 1758781 */   // Label 23971: @1758781
     /* 1758781 */   GIM_Try, /*On fail goto*//*Label 23972*/ GIMT_Encode4(1758867), // Rule ID 11415 //
     /* 1758786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1758797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1758800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1758803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758832 */     // MIs[0] policy
     /* 1758832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1758845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758866 */     // GIR_Coverage, 11415,
     /* 1758866 */     GIR_EraseRootFromParent_Done,
     /* 1758867 */   // Label 23972: @1758867
     /* 1758867 */   GIM_Try, /*On fail goto*//*Label 23973*/ GIMT_Encode4(1758953), // Rule ID 11418 //
     /* 1758872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1758883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1758886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1758889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758918 */     // MIs[0] policy
     /* 1758918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1758931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758952 */     // GIR_Coverage, 11418,
     /* 1758952 */     GIR_EraseRootFromParent_Done,
     /* 1758953 */   // Label 23973: @1758953
     /* 1758953 */   GIM_Try, /*On fail goto*//*Label 23974*/ GIMT_Encode4(1759039), // Rule ID 11419 //
     /* 1758958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1758969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1758972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1758975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759004 */     // MIs[0] policy
     /* 1759004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1759017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759038 */     // GIR_Coverage, 11419,
     /* 1759038 */     GIR_EraseRootFromParent_Done,
     /* 1759039 */   // Label 23974: @1759039
     /* 1759039 */   GIM_Try, /*On fail goto*//*Label 23975*/ GIMT_Encode4(1759125), // Rule ID 11422 //
     /* 1759044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1759055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1759058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1759061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759090 */     // MIs[0] policy
     /* 1759090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1759103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759124 */     // GIR_Coverage, 11422,
     /* 1759124 */     GIR_EraseRootFromParent_Done,
     /* 1759125 */   // Label 23975: @1759125
     /* 1759125 */   GIM_Try, /*On fail goto*//*Label 23976*/ GIMT_Encode4(1759211), // Rule ID 11423 //
     /* 1759130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1759141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1759144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1759147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759176 */     // MIs[0] policy
     /* 1759176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1759189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759210 */     // GIR_Coverage, 11423,
     /* 1759210 */     GIR_EraseRootFromParent_Done,
     /* 1759211 */   // Label 23976: @1759211
     /* 1759211 */   GIM_Try, /*On fail goto*//*Label 23977*/ GIMT_Encode4(1759297), // Rule ID 11426 //
     /* 1759216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1759227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1759230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1759233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1759239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759262 */     // MIs[0] policy
     /* 1759262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1759275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759296 */     // GIR_Coverage, 11426,
     /* 1759296 */     GIR_EraseRootFromParent_Done,
     /* 1759297 */   // Label 23977: @1759297
     /* 1759297 */   GIM_Try, /*On fail goto*//*Label 23978*/ GIMT_Encode4(1759383), // Rule ID 11427 //
     /* 1759302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1759313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1759316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1759319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1759325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759348 */     // MIs[0] policy
     /* 1759348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1759361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759382 */     // GIR_Coverage, 11427,
     /* 1759382 */     GIR_EraseRootFromParent_Done,
     /* 1759383 */   // Label 23978: @1759383
     /* 1759383 */   GIM_Try, /*On fail goto*//*Label 23979*/ GIMT_Encode4(1759469), // Rule ID 11430 //
     /* 1759388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1759399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1759402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1759405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1759408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759434 */     // MIs[0] policy
     /* 1759434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759444 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1759447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759468 */     // GIR_Coverage, 11430,
     /* 1759468 */     GIR_EraseRootFromParent_Done,
     /* 1759469 */   // Label 23979: @1759469
     /* 1759469 */   GIM_Try, /*On fail goto*//*Label 23980*/ GIMT_Encode4(1759555), // Rule ID 11431 //
     /* 1759474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1759485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1759488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1759491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1759494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759520 */     // MIs[0] policy
     /* 1759520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759530 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1759533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759554 */     // GIR_Coverage, 11431,
     /* 1759554 */     GIR_EraseRootFromParent_Done,
     /* 1759555 */   // Label 23980: @1759555
     /* 1759555 */   GIM_Try, /*On fail goto*//*Label 23981*/ GIMT_Encode4(1759641), // Rule ID 11434 //
     /* 1759560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1759571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1759574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1759577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1759580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759606 */     // MIs[0] policy
     /* 1759606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1759619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759640 */     // GIR_Coverage, 11434,
     /* 1759640 */     GIR_EraseRootFromParent_Done,
     /* 1759641 */   // Label 23981: @1759641
     /* 1759641 */   GIM_Try, /*On fail goto*//*Label 23982*/ GIMT_Encode4(1759727), // Rule ID 11435 //
     /* 1759646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1759657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1759660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1759663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1759666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759692 */     // MIs[0] policy
     /* 1759692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1759705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759726 */     // GIR_Coverage, 11435,
     /* 1759726 */     GIR_EraseRootFromParent_Done,
     /* 1759727 */   // Label 23982: @1759727
     /* 1759727 */   GIM_Try, /*On fail goto*//*Label 23983*/ GIMT_Encode4(1759813), // Rule ID 11438 //
     /* 1759732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1759743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1759746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1759749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1759752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759778 */     // MIs[0] policy
     /* 1759778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759788 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1759791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759812 */     // GIR_Coverage, 11438,
     /* 1759812 */     GIR_EraseRootFromParent_Done,
     /* 1759813 */   // Label 23983: @1759813
     /* 1759813 */   GIM_Try, /*On fail goto*//*Label 23984*/ GIMT_Encode4(1759899), // Rule ID 11439 //
     /* 1759818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1759829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1759832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1759835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1759838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759864 */     // MIs[0] policy
     /* 1759864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759874 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1759877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759898 */     // GIR_Coverage, 11439,
     /* 1759898 */     GIR_EraseRootFromParent_Done,
     /* 1759899 */   // Label 23984: @1759899
     /* 1759899 */   GIM_Try, /*On fail goto*//*Label 23985*/ GIMT_Encode4(1759985), // Rule ID 11442 //
     /* 1759904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1759915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1759918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1759921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1759924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759950 */     // MIs[0] policy
     /* 1759950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759960 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1759963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759984 */     // GIR_Coverage, 11442,
     /* 1759984 */     GIR_EraseRootFromParent_Done,
     /* 1759985 */   // Label 23985: @1759985
     /* 1759985 */   GIM_Try, /*On fail goto*//*Label 23986*/ GIMT_Encode4(1760071), // Rule ID 11443 //
     /* 1759990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1760001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1760004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1760007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1760010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760036 */     // MIs[0] policy
     /* 1760036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1760049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760070 */     // GIR_Coverage, 11443,
     /* 1760070 */     GIR_EraseRootFromParent_Done,
     /* 1760071 */   // Label 23986: @1760071
     /* 1760071 */   GIM_Try, /*On fail goto*//*Label 23987*/ GIMT_Encode4(1760157), // Rule ID 11446 //
     /* 1760076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1760087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1760090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1760093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1760096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760122 */     // MIs[0] policy
     /* 1760122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1760135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760156 */     // GIR_Coverage, 11446,
     /* 1760156 */     GIR_EraseRootFromParent_Done,
     /* 1760157 */   // Label 23987: @1760157
     /* 1760157 */   GIM_Try, /*On fail goto*//*Label 23988*/ GIMT_Encode4(1760243), // Rule ID 11447 //
     /* 1760162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1760173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1760176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1760179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1760182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760208 */     // MIs[0] policy
     /* 1760208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1760221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760242 */     // GIR_Coverage, 11447,
     /* 1760242 */     GIR_EraseRootFromParent_Done,
     /* 1760243 */   // Label 23988: @1760243
     /* 1760243 */   GIM_Try, /*On fail goto*//*Label 23989*/ GIMT_Encode4(1760329), // Rule ID 11450 //
     /* 1760248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1760259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1760262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1760265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1760268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760294 */     // MIs[0] policy
     /* 1760294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760304 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1760307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760328 */     // GIR_Coverage, 11450,
     /* 1760328 */     GIR_EraseRootFromParent_Done,
     /* 1760329 */   // Label 23989: @1760329
     /* 1760329 */   GIM_Try, /*On fail goto*//*Label 23990*/ GIMT_Encode4(1760415), // Rule ID 11451 //
     /* 1760334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1760345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1760348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1760351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1760354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760380 */     // MIs[0] policy
     /* 1760380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1760393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760414 */     // GIR_Coverage, 11451,
     /* 1760414 */     GIR_EraseRootFromParent_Done,
     /* 1760415 */   // Label 23990: @1760415
     /* 1760415 */   GIM_Try, /*On fail goto*//*Label 23991*/ GIMT_Encode4(1760501), // Rule ID 11454 //
     /* 1760420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1760431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1760434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1760437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1760440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760466 */     // MIs[0] policy
     /* 1760466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760476 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760500 */     // GIR_Coverage, 11454,
     /* 1760500 */     GIR_EraseRootFromParent_Done,
     /* 1760501 */   // Label 23991: @1760501
     /* 1760501 */   GIM_Try, /*On fail goto*//*Label 23992*/ GIMT_Encode4(1760587), // Rule ID 11455 //
     /* 1760506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1760517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1760520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1760523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1760526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760552 */     // MIs[0] policy
     /* 1760552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760562 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760586 */     // GIR_Coverage, 11455,
     /* 1760586 */     GIR_EraseRootFromParent_Done,
     /* 1760587 */   // Label 23992: @1760587
     /* 1760587 */   GIM_Try, /*On fail goto*//*Label 23993*/ GIMT_Encode4(1760673), // Rule ID 11458 //
     /* 1760592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1760603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1760606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1760609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1760612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760638 */     // MIs[0] policy
     /* 1760638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760672 */     // GIR_Coverage, 11458,
     /* 1760672 */     GIR_EraseRootFromParent_Done,
     /* 1760673 */   // Label 23993: @1760673
     /* 1760673 */   GIM_Try, /*On fail goto*//*Label 23994*/ GIMT_Encode4(1760759), // Rule ID 11459 //
     /* 1760678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1760689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1760692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1760695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1760698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760724 */     // MIs[0] policy
     /* 1760724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760734 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760758 */     // GIR_Coverage, 11459,
     /* 1760758 */     GIR_EraseRootFromParent_Done,
     /* 1760759 */   // Label 23994: @1760759
     /* 1760759 */   GIM_Try, /*On fail goto*//*Label 23995*/ GIMT_Encode4(1760845), // Rule ID 11462 //
     /* 1760764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1760775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1760778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1760781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1760784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760810 */     // MIs[0] policy
     /* 1760810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760820 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760844 */     // GIR_Coverage, 11462,
     /* 1760844 */     GIR_EraseRootFromParent_Done,
     /* 1760845 */   // Label 23995: @1760845
     /* 1760845 */   GIM_Try, /*On fail goto*//*Label 23996*/ GIMT_Encode4(1760931), // Rule ID 11463 //
     /* 1760850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1760861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1760864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1760867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1760870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760896 */     // MIs[0] policy
     /* 1760896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760930 */     // GIR_Coverage, 11463,
     /* 1760930 */     GIR_EraseRootFromParent_Done,
     /* 1760931 */   // Label 23996: @1760931
     /* 1760931 */   GIM_Try, /*On fail goto*//*Label 23997*/ GIMT_Encode4(1761017), // Rule ID 11466 //
     /* 1760936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1760947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1760950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1760953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1760956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1760959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760982 */     // MIs[0] policy
     /* 1760982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760992 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1760995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761016 */     // GIR_Coverage, 11466,
     /* 1761016 */     GIR_EraseRootFromParent_Done,
     /* 1761017 */   // Label 23997: @1761017
     /* 1761017 */   GIM_Try, /*On fail goto*//*Label 23998*/ GIMT_Encode4(1761103), // Rule ID 11467 //
     /* 1761022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1761033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1761036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1761039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1761042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761068 */     // MIs[0] policy
     /* 1761068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761078 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761102 */     // GIR_Coverage, 11467,
     /* 1761102 */     GIR_EraseRootFromParent_Done,
     /* 1761103 */   // Label 23998: @1761103
     /* 1761103 */   GIM_Try, /*On fail goto*//*Label 23999*/ GIMT_Encode4(1761189), // Rule ID 11470 //
     /* 1761108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1761119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1761122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1761125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1761128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1761131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761154 */     // MIs[0] policy
     /* 1761154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761164 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761188 */     // GIR_Coverage, 11470,
     /* 1761188 */     GIR_EraseRootFromParent_Done,
     /* 1761189 */   // Label 23999: @1761189
     /* 1761189 */   GIM_Try, /*On fail goto*//*Label 24000*/ GIMT_Encode4(1761275), // Rule ID 11471 //
     /* 1761194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1761205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1761208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1761211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1761214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1761217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761240 */     // MIs[0] policy
     /* 1761240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761250 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761274 */     // GIR_Coverage, 11471,
     /* 1761274 */     GIR_EraseRootFromParent_Done,
     /* 1761275 */   // Label 24000: @1761275
     /* 1761275 */   GIM_Try, /*On fail goto*//*Label 24001*/ GIMT_Encode4(1761361), // Rule ID 11474 //
     /* 1761280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1761291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1761294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1761297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1761300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1761303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761326 */     // MIs[0] policy
     /* 1761326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1761339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761360 */     // GIR_Coverage, 11474,
     /* 1761360 */     GIR_EraseRootFromParent_Done,
     /* 1761361 */   // Label 24001: @1761361
     /* 1761361 */   GIM_Try, /*On fail goto*//*Label 24002*/ GIMT_Encode4(1761447), // Rule ID 11475 //
     /* 1761366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1761377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1761380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1761383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1761386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1761389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761412 */     // MIs[0] policy
     /* 1761412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761422 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1761425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761446 */     // GIR_Coverage, 11475,
     /* 1761446 */     GIR_EraseRootFromParent_Done,
     /* 1761447 */   // Label 24002: @1761447
     /* 1761447 */   GIM_Try, /*On fail goto*//*Label 24003*/ GIMT_Encode4(1761533), // Rule ID 11478 //
     /* 1761452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1761463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1761466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1761469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1761472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761498 */     // MIs[0] policy
     /* 1761498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761508 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761532 */     // GIR_Coverage, 11478,
     /* 1761532 */     GIR_EraseRootFromParent_Done,
     /* 1761533 */   // Label 24003: @1761533
     /* 1761533 */   GIM_Try, /*On fail goto*//*Label 24004*/ GIMT_Encode4(1761619), // Rule ID 11479 //
     /* 1761538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1761549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1761552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1761555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1761558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761584 */     // MIs[0] policy
     /* 1761584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761594 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761618 */     // GIR_Coverage, 11479,
     /* 1761618 */     GIR_EraseRootFromParent_Done,
     /* 1761619 */   // Label 24004: @1761619
     /* 1761619 */   GIM_Try, /*On fail goto*//*Label 24005*/ GIMT_Encode4(1761705), // Rule ID 11482 //
     /* 1761624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1761635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1761638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1761641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1761644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761670 */     // MIs[0] policy
     /* 1761670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761680 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761704 */     // GIR_Coverage, 11482,
     /* 1761704 */     GIR_EraseRootFromParent_Done,
     /* 1761705 */   // Label 24005: @1761705
     /* 1761705 */   GIM_Try, /*On fail goto*//*Label 24006*/ GIMT_Encode4(1761791), // Rule ID 11483 //
     /* 1761710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1761721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1761724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1761727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1761730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761756 */     // MIs[0] policy
     /* 1761756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761766 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761790 */     // GIR_Coverage, 11483,
     /* 1761790 */     GIR_EraseRootFromParent_Done,
     /* 1761791 */   // Label 24006: @1761791
     /* 1761791 */   GIM_Try, /*On fail goto*//*Label 24007*/ GIMT_Encode4(1761877), // Rule ID 11486 //
     /* 1761796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1761807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1761810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1761813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1761816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1761819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761842 */     // MIs[0] policy
     /* 1761842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1761855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761876 */     // GIR_Coverage, 11486,
     /* 1761876 */     GIR_EraseRootFromParent_Done,
     /* 1761877 */   // Label 24007: @1761877
     /* 1761877 */   GIM_Try, /*On fail goto*//*Label 24008*/ GIMT_Encode4(1761963), // Rule ID 11487 //
     /* 1761882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1761893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1761896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1761899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1761902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1761905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761928 */     // MIs[0] policy
     /* 1761928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761938 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1761941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761962 */     // GIR_Coverage, 11487,
     /* 1761962 */     GIR_EraseRootFromParent_Done,
     /* 1761963 */   // Label 24008: @1761963
     /* 1761963 */   GIM_Try, /*On fail goto*//*Label 24009*/ GIMT_Encode4(1762049), // Rule ID 11490 //
     /* 1761968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1761979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1761982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1761985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1761988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762014 */     // MIs[0] policy
     /* 1762014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1762027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762048 */     // GIR_Coverage, 11490,
     /* 1762048 */     GIR_EraseRootFromParent_Done,
     /* 1762049 */   // Label 24009: @1762049
     /* 1762049 */   GIM_Try, /*On fail goto*//*Label 24010*/ GIMT_Encode4(1762135), // Rule ID 11491 //
     /* 1762054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1762065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1762068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1762071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1762074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762100 */     // MIs[0] policy
     /* 1762100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762110 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1762113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762134 */     // GIR_Coverage, 11491,
     /* 1762134 */     GIR_EraseRootFromParent_Done,
     /* 1762135 */   // Label 24010: @1762135
     /* 1762135 */   GIM_Try, /*On fail goto*//*Label 24011*/ GIMT_Encode4(1762221), // Rule ID 11494 //
     /* 1762140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1762151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1762154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1762157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1762160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762186 */     // MIs[0] policy
     /* 1762186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762196 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1762199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762220 */     // GIR_Coverage, 11494,
     /* 1762220 */     GIR_EraseRootFromParent_Done,
     /* 1762221 */   // Label 24011: @1762221
     /* 1762221 */   GIM_Try, /*On fail goto*//*Label 24012*/ GIMT_Encode4(1762307), // Rule ID 11495 //
     /* 1762226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1762237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1762240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1762243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1762246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762272 */     // MIs[0] policy
     /* 1762272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762282 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1762285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762306 */     // GIR_Coverage, 11495,
     /* 1762306 */     GIR_EraseRootFromParent_Done,
     /* 1762307 */   // Label 24012: @1762307
     /* 1762307 */   GIM_Try, /*On fail goto*//*Label 24013*/ GIMT_Encode4(1762393), // Rule ID 11498 //
     /* 1762312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1762323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1762326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1762329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1762332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762358 */     // MIs[0] policy
     /* 1762358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1762371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762392 */     // GIR_Coverage, 11498,
     /* 1762392 */     GIR_EraseRootFromParent_Done,
     /* 1762393 */   // Label 24013: @1762393
     /* 1762393 */   GIM_Try, /*On fail goto*//*Label 24014*/ GIMT_Encode4(1762479), // Rule ID 11499 //
     /* 1762398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1762409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1762412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1762415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1762418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762444 */     // MIs[0] policy
     /* 1762444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762454 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1762457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762478 */     // GIR_Coverage, 11499,
     /* 1762478 */     GIR_EraseRootFromParent_Done,
     /* 1762479 */   // Label 24014: @1762479
     /* 1762479 */   GIM_Try, /*On fail goto*//*Label 24015*/ GIMT_Encode4(1762565), // Rule ID 11502 //
     /* 1762484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762530 */     // MIs[0] policy
     /* 1762530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762540 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1762543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762564 */     // GIR_Coverage, 11502,
     /* 1762564 */     GIR_EraseRootFromParent_Done,
     /* 1762565 */   // Label 24015: @1762565
     /* 1762565 */   GIM_Try, /*On fail goto*//*Label 24016*/ GIMT_Encode4(1762651), // Rule ID 11503 //
     /* 1762570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762616 */     // MIs[0] policy
     /* 1762616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762626 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1762629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762650 */     // GIR_Coverage, 11503,
     /* 1762650 */     GIR_EraseRootFromParent_Done,
     /* 1762651 */   // Label 24016: @1762651
     /* 1762651 */   GIM_Try, /*On fail goto*//*Label 24017*/ GIMT_Encode4(1762737), // Rule ID 11506 //
     /* 1762656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1762667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1762670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1762673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762702 */     // MIs[0] policy
     /* 1762702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762712 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1762715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762736 */     // GIR_Coverage, 11506,
     /* 1762736 */     GIR_EraseRootFromParent_Done,
     /* 1762737 */   // Label 24017: @1762737
     /* 1762737 */   GIM_Try, /*On fail goto*//*Label 24018*/ GIMT_Encode4(1762823), // Rule ID 11507 //
     /* 1762742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1762753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1762756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1762759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762788 */     // MIs[0] policy
     /* 1762788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762798 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1762801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762822 */     // GIR_Coverage, 11507,
     /* 1762822 */     GIR_EraseRootFromParent_Done,
     /* 1762823 */   // Label 24018: @1762823
     /* 1762823 */   GIM_Try, /*On fail goto*//*Label 24019*/ GIMT_Encode4(1762909), // Rule ID 11510 //
     /* 1762828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1762839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1762842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1762845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762874 */     // MIs[0] policy
     /* 1762874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762884 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1762887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762908 */     // GIR_Coverage, 11510,
     /* 1762908 */     GIR_EraseRootFromParent_Done,
     /* 1762909 */   // Label 24019: @1762909
     /* 1762909 */   GIM_Try, /*On fail goto*//*Label 24020*/ GIMT_Encode4(1762995), // Rule ID 11511 //
     /* 1762914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1762925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1762928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1762931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762960 */     // MIs[0] policy
     /* 1762960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762970 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1762973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762994 */     // GIR_Coverage, 11511,
     /* 1762994 */     GIR_EraseRootFromParent_Done,
     /* 1762995 */   // Label 24020: @1762995
     /* 1762995 */   GIM_Try, /*On fail goto*//*Label 24021*/ GIMT_Encode4(1763081), // Rule ID 11514 //
     /* 1763000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763046 */     // MIs[0] policy
     /* 1763046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1763059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763080 */     // GIR_Coverage, 11514,
     /* 1763080 */     GIR_EraseRootFromParent_Done,
     /* 1763081 */   // Label 24021: @1763081
     /* 1763081 */   GIM_Try, /*On fail goto*//*Label 24022*/ GIMT_Encode4(1763167), // Rule ID 11515 //
     /* 1763086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763132 */     // MIs[0] policy
     /* 1763132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763142 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1763145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763166 */     // GIR_Coverage, 11515,
     /* 1763166 */     GIR_EraseRootFromParent_Done,
     /* 1763167 */   // Label 24022: @1763167
     /* 1763167 */   GIM_Try, /*On fail goto*//*Label 24023*/ GIMT_Encode4(1763253), // Rule ID 11518 //
     /* 1763172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763218 */     // MIs[0] policy
     /* 1763218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1763231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763252 */     // GIR_Coverage, 11518,
     /* 1763252 */     GIR_EraseRootFromParent_Done,
     /* 1763253 */   // Label 24023: @1763253
     /* 1763253 */   GIM_Try, /*On fail goto*//*Label 24024*/ GIMT_Encode4(1763339), // Rule ID 11519 //
     /* 1763258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763304 */     // MIs[0] policy
     /* 1763304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1763317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763338 */     // GIR_Coverage, 11519,
     /* 1763338 */     GIR_EraseRootFromParent_Done,
     /* 1763339 */   // Label 24024: @1763339
     /* 1763339 */   GIM_Try, /*On fail goto*//*Label 24025*/ GIMT_Encode4(1763425), // Rule ID 11522 //
     /* 1763344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763390 */     // MIs[0] policy
     /* 1763390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763400 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1763403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763424 */     // GIR_Coverage, 11522,
     /* 1763424 */     GIR_EraseRootFromParent_Done,
     /* 1763425 */   // Label 24025: @1763425
     /* 1763425 */   GIM_Try, /*On fail goto*//*Label 24026*/ GIMT_Encode4(1763511), // Rule ID 11523 //
     /* 1763430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763476 */     // MIs[0] policy
     /* 1763476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1763489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763510 */     // GIR_Coverage, 11523,
     /* 1763510 */     GIR_EraseRootFromParent_Done,
     /* 1763511 */   // Label 24026: @1763511
     /* 1763511 */   GIM_Try, /*On fail goto*//*Label 24027*/ GIMT_Encode4(1763597), // Rule ID 11526 //
     /* 1763516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1763527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1763530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1763533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763562 */     // MIs[0] policy
     /* 1763562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1763575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763596 */     // GIR_Coverage, 11526,
     /* 1763596 */     GIR_EraseRootFromParent_Done,
     /* 1763597 */   // Label 24027: @1763597
     /* 1763597 */   GIM_Try, /*On fail goto*//*Label 24028*/ GIMT_Encode4(1763683), // Rule ID 11527 //
     /* 1763602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1763613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1763616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1763619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763648 */     // MIs[0] policy
     /* 1763648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763658 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1763661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763682 */     // GIR_Coverage, 11527,
     /* 1763682 */     GIR_EraseRootFromParent_Done,
     /* 1763683 */   // Label 24028: @1763683
     /* 1763683 */   GIM_Try, /*On fail goto*//*Label 24029*/ GIMT_Encode4(1763769), // Rule ID 11530 //
     /* 1763688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1763699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1763702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1763705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763734 */     // MIs[0] policy
     /* 1763734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1763747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763768 */     // GIR_Coverage, 11530,
     /* 1763768 */     GIR_EraseRootFromParent_Done,
     /* 1763769 */   // Label 24029: @1763769
     /* 1763769 */   GIM_Try, /*On fail goto*//*Label 24030*/ GIMT_Encode4(1763855), // Rule ID 11531 //
     /* 1763774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1763785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1763788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1763791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763820 */     // MIs[0] policy
     /* 1763820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763830 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1763833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763854 */     // GIR_Coverage, 11531,
     /* 1763854 */     GIR_EraseRootFromParent_Done,
     /* 1763855 */   // Label 24030: @1763855
     /* 1763855 */   GIM_Try, /*On fail goto*//*Label 24031*/ GIMT_Encode4(1763941), // Rule ID 11534 //
     /* 1763860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1763871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1763874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1763877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763906 */     // MIs[0] policy
     /* 1763906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1763919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763940 */     // GIR_Coverage, 11534,
     /* 1763940 */     GIR_EraseRootFromParent_Done,
     /* 1763941 */   // Label 24031: @1763941
     /* 1763941 */   GIM_Try, /*On fail goto*//*Label 24032*/ GIMT_Encode4(1764027), // Rule ID 11535 //
     /* 1763946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1763957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1763960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1763963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763992 */     // MIs[0] policy
     /* 1763992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1764005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764026 */     // GIR_Coverage, 11535,
     /* 1764026 */     GIR_EraseRootFromParent_Done,
     /* 1764027 */   // Label 24032: @1764027
     /* 1764027 */   GIM_Try, /*On fail goto*//*Label 24033*/ GIMT_Encode4(1764113), // Rule ID 11538 //
     /* 1764032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764078 */     // MIs[0] policy
     /* 1764078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764088 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1764091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764112 */     // GIR_Coverage, 11538,
     /* 1764112 */     GIR_EraseRootFromParent_Done,
     /* 1764113 */   // Label 24033: @1764113
     /* 1764113 */   GIM_Try, /*On fail goto*//*Label 24034*/ GIMT_Encode4(1764199), // Rule ID 11539 //
     /* 1764118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764164 */     // MIs[0] policy
     /* 1764164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764174 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1764177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764198 */     // GIR_Coverage, 11539,
     /* 1764198 */     GIR_EraseRootFromParent_Done,
     /* 1764199 */   // Label 24034: @1764199
     /* 1764199 */   GIM_Try, /*On fail goto*//*Label 24035*/ GIMT_Encode4(1764285), // Rule ID 11542 //
     /* 1764204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764250 */     // MIs[0] policy
     /* 1764250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764260 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1764263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764284 */     // GIR_Coverage, 11542,
     /* 1764284 */     GIR_EraseRootFromParent_Done,
     /* 1764285 */   // Label 24035: @1764285
     /* 1764285 */   GIM_Try, /*On fail goto*//*Label 24036*/ GIMT_Encode4(1764371), // Rule ID 11543 //
     /* 1764290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764336 */     // MIs[0] policy
     /* 1764336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764346 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1764349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764370 */     // GIR_Coverage, 11543,
     /* 1764370 */     GIR_EraseRootFromParent_Done,
     /* 1764371 */   // Label 24036: @1764371
     /* 1764371 */   GIM_Try, /*On fail goto*//*Label 24037*/ GIMT_Encode4(1764457), // Rule ID 11546 //
     /* 1764376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1764387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1764390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1764393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1764399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764422 */     // MIs[0] policy
     /* 1764422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764432 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1764435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764456 */     // GIR_Coverage, 11546,
     /* 1764456 */     GIR_EraseRootFromParent_Done,
     /* 1764457 */   // Label 24037: @1764457
     /* 1764457 */   GIM_Try, /*On fail goto*//*Label 24038*/ GIMT_Encode4(1764543), // Rule ID 11547 //
     /* 1764462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1764473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1764476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1764479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1764485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764508 */     // MIs[0] policy
     /* 1764508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764518 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1764521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764542 */     // GIR_Coverage, 11547,
     /* 1764542 */     GIR_EraseRootFromParent_Done,
     /* 1764543 */   // Label 24038: @1764543
     /* 1764543 */   GIM_Try, /*On fail goto*//*Label 24039*/ GIMT_Encode4(1764629), // Rule ID 11550 //
     /* 1764548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1764559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1764562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1764565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764594 */     // MIs[0] policy
     /* 1764594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764604 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1764607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764628 */     // GIR_Coverage, 11550,
     /* 1764628 */     GIR_EraseRootFromParent_Done,
     /* 1764629 */   // Label 24039: @1764629
     /* 1764629 */   GIM_Try, /*On fail goto*//*Label 24040*/ GIMT_Encode4(1764715), // Rule ID 11551 //
     /* 1764634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1764645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1764648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1764651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764680 */     // MIs[0] policy
     /* 1764680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764690 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1764693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764714 */     // GIR_Coverage, 11551,
     /* 1764714 */     GIR_EraseRootFromParent_Done,
     /* 1764715 */   // Label 24040: @1764715
     /* 1764715 */   GIM_Try, /*On fail goto*//*Label 24041*/ GIMT_Encode4(1764801), // Rule ID 11554 //
     /* 1764720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1764731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1764734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1764737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764766 */     // MIs[0] policy
     /* 1764766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764776 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1764779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764800 */     // GIR_Coverage, 11554,
     /* 1764800 */     GIR_EraseRootFromParent_Done,
     /* 1764801 */   // Label 24041: @1764801
     /* 1764801 */   GIM_Try, /*On fail goto*//*Label 24042*/ GIMT_Encode4(1764887), // Rule ID 11555 //
     /* 1764806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1764817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1764820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1764823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764852 */     // MIs[0] policy
     /* 1764852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764862 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1764865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764886 */     // GIR_Coverage, 11555,
     /* 1764886 */     GIR_EraseRootFromParent_Done,
     /* 1764887 */   // Label 24042: @1764887
     /* 1764887 */   GIM_Try, /*On fail goto*//*Label 24043*/ GIMT_Encode4(1764973), // Rule ID 11558 //
     /* 1764892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1764903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1764906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1764909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764938 */     // MIs[0] policy
     /* 1764938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764948 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1764951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764972 */     // GIR_Coverage, 11558,
     /* 1764972 */     GIR_EraseRootFromParent_Done,
     /* 1764973 */   // Label 24043: @1764973
     /* 1764973 */   GIM_Try, /*On fail goto*//*Label 24044*/ GIMT_Encode4(1765059), // Rule ID 11559 //
     /* 1764978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1764989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1764992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1764995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765024 */     // MIs[0] policy
     /* 1765024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765034 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1765037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765058 */     // GIR_Coverage, 11559,
     /* 1765058 */     GIR_EraseRootFromParent_Done,
     /* 1765059 */   // Label 24044: @1765059
     /* 1765059 */   GIM_Try, /*On fail goto*//*Label 24045*/ GIMT_Encode4(1765145), // Rule ID 11562 //
     /* 1765064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1765075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1765078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1765081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765110 */     // MIs[0] policy
     /* 1765110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765120 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1765123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765144 */     // GIR_Coverage, 11562,
     /* 1765144 */     GIR_EraseRootFromParent_Done,
     /* 1765145 */   // Label 24045: @1765145
     /* 1765145 */   GIM_Try, /*On fail goto*//*Label 24046*/ GIMT_Encode4(1765231), // Rule ID 11563 //
     /* 1765150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1765161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1765164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1765167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765196 */     // MIs[0] policy
     /* 1765196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765206 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1765209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765230 */     // GIR_Coverage, 11563,
     /* 1765230 */     GIR_EraseRootFromParent_Done,
     /* 1765231 */   // Label 24046: @1765231
     /* 1765231 */   GIM_Try, /*On fail goto*//*Label 24047*/ GIMT_Encode4(1765317), // Rule ID 11566 //
     /* 1765236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1765247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1765250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1765253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765282 */     // MIs[0] policy
     /* 1765282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765292 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1765295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765316 */     // GIR_Coverage, 11566,
     /* 1765316 */     GIR_EraseRootFromParent_Done,
     /* 1765317 */   // Label 24047: @1765317
     /* 1765317 */   GIM_Try, /*On fail goto*//*Label 24048*/ GIMT_Encode4(1765403), // Rule ID 11567 //
     /* 1765322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1765333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1765336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1765339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765368 */     // MIs[0] policy
     /* 1765368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765378 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1765381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765402 */     // GIR_Coverage, 11567,
     /* 1765402 */     GIR_EraseRootFromParent_Done,
     /* 1765403 */   // Label 24048: @1765403
     /* 1765403 */   GIM_Try, /*On fail goto*//*Label 24049*/ GIMT_Encode4(1765489), // Rule ID 11570 //
     /* 1765408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1765419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1765422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1765425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765454 */     // MIs[0] policy
     /* 1765454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765464 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1765467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765488 */     // GIR_Coverage, 11570,
     /* 1765488 */     GIR_EraseRootFromParent_Done,
     /* 1765489 */   // Label 24049: @1765489
     /* 1765489 */   GIM_Try, /*On fail goto*//*Label 24050*/ GIMT_Encode4(1765575), // Rule ID 11571 //
     /* 1765494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1765505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1765508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1765511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765540 */     // MIs[0] policy
     /* 1765540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765550 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1765553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765574 */     // GIR_Coverage, 11571,
     /* 1765574 */     GIR_EraseRootFromParent_Done,
     /* 1765575 */   // Label 24050: @1765575
     /* 1765575 */   GIM_Try, /*On fail goto*//*Label 24051*/ GIMT_Encode4(1765661), // Rule ID 11574 //
     /* 1765580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1765591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1765594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1765597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1765600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765626 */     // MIs[0] policy
     /* 1765626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1765639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765660 */     // GIR_Coverage, 11574,
     /* 1765660 */     GIR_EraseRootFromParent_Done,
     /* 1765661 */   // Label 24051: @1765661
     /* 1765661 */   GIM_Try, /*On fail goto*//*Label 24052*/ GIMT_Encode4(1765747), // Rule ID 11575 //
     /* 1765666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1765669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1765677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1765680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1765683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1765686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765712 */     // MIs[0] policy
     /* 1765712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1765725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765746 */     // GIR_Coverage, 11575,
     /* 1765746 */     GIR_EraseRootFromParent_Done,
     /* 1765747 */   // Label 24052: @1765747
     /* 1765747 */   GIM_Try, /*On fail goto*//*Label 24053*/ GIMT_Encode4(1765833), // Rule ID 11578 //
     /* 1765752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1765763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1765766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1765769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1765772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765798 */     // MIs[0] policy
     /* 1765798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1765811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765832 */     // GIR_Coverage, 11578,
     /* 1765832 */     GIR_EraseRootFromParent_Done,
     /* 1765833 */   // Label 24053: @1765833
     /* 1765833 */   GIM_Try, /*On fail goto*//*Label 24054*/ GIMT_Encode4(1765919), // Rule ID 11579 //
     /* 1765838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1765841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1765849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1765852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1765855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1765858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765884 */     // MIs[0] policy
     /* 1765884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765894 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1765897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765918 */     // GIR_Coverage, 11579,
     /* 1765918 */     GIR_EraseRootFromParent_Done,
     /* 1765919 */   // Label 24054: @1765919
     /* 1765919 */   GIM_Try, /*On fail goto*//*Label 24055*/ GIMT_Encode4(1766005), // Rule ID 11582 //
     /* 1765924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1765935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1765938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1765941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1765944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765970 */     // MIs[0] policy
     /* 1765970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1765983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766004 */     // GIR_Coverage, 11582,
     /* 1766004 */     GIR_EraseRootFromParent_Done,
     /* 1766005 */   // Label 24055: @1766005
     /* 1766005 */   GIM_Try, /*On fail goto*//*Label 24056*/ GIMT_Encode4(1766091), // Rule ID 11583 //
     /* 1766010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1766030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766056 */     // MIs[0] policy
     /* 1766056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766066 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1766069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766090 */     // GIR_Coverage, 11583,
     /* 1766090 */     GIR_EraseRootFromParent_Done,
     /* 1766091 */   // Label 24056: @1766091
     /* 1766091 */   GIM_Try, /*On fail goto*//*Label 24057*/ GIMT_Encode4(1766177), // Rule ID 11586 //
     /* 1766096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1766116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766142 */     // MIs[0] policy
     /* 1766142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766152 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1766155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766176 */     // GIR_Coverage, 11586,
     /* 1766176 */     GIR_EraseRootFromParent_Done,
     /* 1766177 */   // Label 24057: @1766177
     /* 1766177 */   GIM_Try, /*On fail goto*//*Label 24058*/ GIMT_Encode4(1766263), // Rule ID 11587 //
     /* 1766182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1766202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766228 */     // MIs[0] policy
     /* 1766228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1766241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766262 */     // GIR_Coverage, 11587,
     /* 1766262 */     GIR_EraseRootFromParent_Done,
     /* 1766263 */   // Label 24058: @1766263
     /* 1766263 */   GIM_Try, /*On fail goto*//*Label 24059*/ GIMT_Encode4(1766349), // Rule ID 11590 //
     /* 1766268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1766279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1766282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1766285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766314 */     // MIs[0] policy
     /* 1766314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766324 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1766327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766348 */     // GIR_Coverage, 11590,
     /* 1766348 */     GIR_EraseRootFromParent_Done,
     /* 1766349 */   // Label 24059: @1766349
     /* 1766349 */   GIM_Try, /*On fail goto*//*Label 24060*/ GIMT_Encode4(1766435), // Rule ID 11591 //
     /* 1766354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1766365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1766368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1766371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766400 */     // MIs[0] policy
     /* 1766400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766410 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1766413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766434 */     // GIR_Coverage, 11591,
     /* 1766434 */     GIR_EraseRootFromParent_Done,
     /* 1766435 */   // Label 24060: @1766435
     /* 1766435 */   GIM_Try, /*On fail goto*//*Label 24061*/ GIMT_Encode4(1766521), // Rule ID 11594 //
     /* 1766440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766486 */     // MIs[0] policy
     /* 1766486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1766499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766520 */     // GIR_Coverage, 11594,
     /* 1766520 */     GIR_EraseRootFromParent_Done,
     /* 1766521 */   // Label 24061: @1766521
     /* 1766521 */   GIM_Try, /*On fail goto*//*Label 24062*/ GIMT_Encode4(1766607), // Rule ID 11595 //
     /* 1766526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766572 */     // MIs[0] policy
     /* 1766572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1766585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766606 */     // GIR_Coverage, 11595,
     /* 1766606 */     GIR_EraseRootFromParent_Done,
     /* 1766607 */   // Label 24062: @1766607
     /* 1766607 */   GIM_Try, /*On fail goto*//*Label 24063*/ GIMT_Encode4(1766693), // Rule ID 11598 //
     /* 1766612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766658 */     // MIs[0] policy
     /* 1766658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1766671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766692 */     // GIR_Coverage, 11598,
     /* 1766692 */     GIR_EraseRootFromParent_Done,
     /* 1766693 */   // Label 24063: @1766693
     /* 1766693 */   GIM_Try, /*On fail goto*//*Label 24064*/ GIMT_Encode4(1766779), // Rule ID 11599 //
     /* 1766698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766744 */     // MIs[0] policy
     /* 1766744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1766757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766778 */     // GIR_Coverage, 11599,
     /* 1766778 */     GIR_EraseRootFromParent_Done,
     /* 1766779 */   // Label 24064: @1766779
     /* 1766779 */   GIM_Try, /*On fail goto*//*Label 24065*/ GIMT_Encode4(1766865), // Rule ID 11602 //
     /* 1766784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766830 */     // MIs[0] policy
     /* 1766830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766840 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1766843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766864 */     // GIR_Coverage, 11602,
     /* 1766864 */     GIR_EraseRootFromParent_Done,
     /* 1766865 */   // Label 24065: @1766865
     /* 1766865 */   GIM_Try, /*On fail goto*//*Label 24066*/ GIMT_Encode4(1766951), // Rule ID 11603 //
     /* 1766870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766916 */     // MIs[0] policy
     /* 1766916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1766929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766950 */     // GIR_Coverage, 11603,
     /* 1766950 */     GIR_EraseRootFromParent_Done,
     /* 1766951 */   // Label 24066: @1766951
     /* 1766951 */   GIM_Try, /*On fail goto*//*Label 24067*/ GIMT_Encode4(1767037), // Rule ID 11606 //
     /* 1766956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1766964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1766967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1766970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1766973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1766976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767002 */     // MIs[0] policy
     /* 1767002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1767015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767036 */     // GIR_Coverage, 11606,
     /* 1767036 */     GIR_EraseRootFromParent_Done,
     /* 1767037 */   // Label 24067: @1767037
     /* 1767037 */   GIM_Try, /*On fail goto*//*Label 24068*/ GIMT_Encode4(1767123), // Rule ID 11607 //
     /* 1767042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1767045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1767053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1767056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1767059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1767062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767088 */     // MIs[0] policy
     /* 1767088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1767101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767122 */     // GIR_Coverage, 11607,
     /* 1767122 */     GIR_EraseRootFromParent_Done,
     /* 1767123 */   // Label 24068: @1767123
     /* 1767123 */   GIM_Try, /*On fail goto*//*Label 24069*/ GIMT_Encode4(1767209), // Rule ID 11610 //
     /* 1767128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1767131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1767139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1767142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1767145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1767148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1767158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767174 */     // MIs[0] policy
     /* 1767174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1767187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767208 */     // GIR_Coverage, 11610,
     /* 1767208 */     GIR_EraseRootFromParent_Done,
     /* 1767209 */   // Label 24069: @1767209
     /* 1767209 */   GIM_Try, /*On fail goto*//*Label 24070*/ GIMT_Encode4(1767295), // Rule ID 11611 //
     /* 1767214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1767217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1767225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1767228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1767231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1767234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1767244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767260 */     // MIs[0] policy
     /* 1767260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767270 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1767273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767294 */     // GIR_Coverage, 11611,
     /* 1767294 */     GIR_EraseRootFromParent_Done,
     /* 1767295 */   // Label 24070: @1767295
     /* 1767295 */   GIM_Try, /*On fail goto*//*Label 24071*/ GIMT_Encode4(1767381), // Rule ID 11614 //
     /* 1767300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1767303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1767311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1767314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1767317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1767320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1767330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767346 */     // MIs[0] policy
     /* 1767346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767356 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1767359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767380 */     // GIR_Coverage, 11614,
     /* 1767380 */     GIR_EraseRootFromParent_Done,
     /* 1767381 */   // Label 24071: @1767381
     /* 1767381 */   GIM_Try, /*On fail goto*//*Label 24072*/ GIMT_Encode4(1767467), // Rule ID 11615 //
     /* 1767386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1767389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1767397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1767400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1767403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1767406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1767416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767432 */     // MIs[0] policy
     /* 1767432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767442 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1767445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767466 */     // GIR_Coverage, 11615,
     /* 1767466 */     GIR_EraseRootFromParent_Done,
     /* 1767467 */   // Label 24072: @1767467
     /* 1767467 */   GIM_Try, /*On fail goto*//*Label 24073*/ GIMT_Encode4(1767553), // Rule ID 11618 //
     /* 1767472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1767475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1767483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1767486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1767489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1767492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767518 */     // MIs[0] policy
     /* 1767518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767528 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1767531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767552 */     // GIR_Coverage, 11618,
     /* 1767552 */     GIR_EraseRootFromParent_Done,
     /* 1767553 */   // Label 24073: @1767553
     /* 1767553 */   GIM_Try, /*On fail goto*//*Label 24074*/ GIMT_Encode4(1767639), // Rule ID 11619 //
     /* 1767558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1767561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1767569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1767572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1767575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1767578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767604 */     // MIs[0] policy
     /* 1767604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1767617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767638 */     // GIR_Coverage, 11619,
     /* 1767638 */     GIR_EraseRootFromParent_Done,
     /* 1767639 */   // Label 24074: @1767639
     /* 1767639 */   GIM_Try, /*On fail goto*//*Label 24075*/ GIMT_Encode4(1767725), // Rule ID 11622 //
     /* 1767644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1767647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1767655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1767658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1767661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767690 */     // MIs[0] policy
     /* 1767690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767700 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1767703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767724 */     // GIR_Coverage, 11622,
     /* 1767724 */     GIR_EraseRootFromParent_Done,
     /* 1767725 */   // Label 24075: @1767725
     /* 1767725 */   GIM_Try, /*On fail goto*//*Label 24076*/ GIMT_Encode4(1767811), // Rule ID 11623 //
     /* 1767730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1767733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1767741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1767744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1767747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767776 */     // MIs[0] policy
     /* 1767776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767786 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1767789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767810 */     // GIR_Coverage, 11623,
     /* 1767810 */     GIR_EraseRootFromParent_Done,
     /* 1767811 */   // Label 24076: @1767811
     /* 1767811 */   GIM_Try, /*On fail goto*//*Label 24077*/ GIMT_Encode4(1767897), // Rule ID 11626 //
     /* 1767816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1767819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1767827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1767830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1767833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1767846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767862 */     // MIs[0] policy
     /* 1767862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767872 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1767875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767896 */     // GIR_Coverage, 11626,
     /* 1767896 */     GIR_EraseRootFromParent_Done,
     /* 1767897 */   // Label 24077: @1767897
     /* 1767897 */   GIM_Try, /*On fail goto*//*Label 24078*/ GIMT_Encode4(1767983), // Rule ID 11627 //
     /* 1767902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1767905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1767913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1767916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1767919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1767932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767948 */     // MIs[0] policy
     /* 1767948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1767961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767982 */     // GIR_Coverage, 11627,
     /* 1767982 */     GIR_EraseRootFromParent_Done,
     /* 1767983 */   // Label 24078: @1767983
     /* 1767983 */   GIM_Try, /*On fail goto*//*Label 24079*/ GIMT_Encode4(1768069), // Rule ID 11630 //
     /* 1767988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1767991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1767996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1767999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1768002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1768005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768034 */     // MIs[0] policy
     /* 1768034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768044 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1768047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768068 */     // GIR_Coverage, 11630,
     /* 1768068 */     GIR_EraseRootFromParent_Done,
     /* 1768069 */   // Label 24079: @1768069
     /* 1768069 */   GIM_Try, /*On fail goto*//*Label 24080*/ GIMT_Encode4(1768155), // Rule ID 11631 //
     /* 1768074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1768077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1768082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1768085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1768088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1768091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768120 */     // MIs[0] policy
     /* 1768120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768130 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1768133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768154 */     // GIR_Coverage, 11631,
     /* 1768154 */     GIR_EraseRootFromParent_Done,
     /* 1768155 */   // Label 24080: @1768155
     /* 1768155 */   GIM_Try, /*On fail goto*//*Label 24081*/ GIMT_Encode4(1768241), // Rule ID 11634 //
     /* 1768160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1768163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1768168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1768171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1768174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1768177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768206 */     // MIs[0] policy
     /* 1768206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1768219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768240 */     // GIR_Coverage, 11634,
     /* 1768240 */     GIR_EraseRootFromParent_Done,
     /* 1768241 */   // Label 24081: @1768241
     /* 1768241 */   GIM_Try, /*On fail goto*//*Label 24082*/ GIMT_Encode4(1768327), // Rule ID 11635 //
     /* 1768246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1768249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1768254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1768257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1768260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1768263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768292 */     // MIs[0] policy
     /* 1768292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768302 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1768305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768326 */     // GIR_Coverage, 11635,
     /* 1768326 */     GIR_EraseRootFromParent_Done,
     /* 1768327 */   // Label 24082: @1768327
     /* 1768327 */   GIM_Try, /*On fail goto*//*Label 24083*/ GIMT_Encode4(1768413), // Rule ID 11638 //
     /* 1768332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1768335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1768343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1768346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1768349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1768352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768378 */     // MIs[0] policy
     /* 1768378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768388 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1768391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768412 */     // GIR_Coverage, 11638,
     /* 1768412 */     GIR_EraseRootFromParent_Done,
     /* 1768413 */   // Label 24083: @1768413
     /* 1768413 */   GIM_Try, /*On fail goto*//*Label 24084*/ GIMT_Encode4(1768499), // Rule ID 11639 //
     /* 1768418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1768421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1768429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1768432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1768435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1768438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768464 */     // MIs[0] policy
     /* 1768464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1768477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768498 */     // GIR_Coverage, 11639,
     /* 1768498 */     GIR_EraseRootFromParent_Done,
     /* 1768499 */   // Label 24084: @1768499
     /* 1768499 */   GIM_Try, /*On fail goto*//*Label 24085*/ GIMT_Encode4(1768585), // Rule ID 11642 //
     /* 1768504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1768507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1768515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1768518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1768521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1768524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768550 */     // MIs[0] policy
     /* 1768550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1768563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768584 */     // GIR_Coverage, 11642,
     /* 1768584 */     GIR_EraseRootFromParent_Done,
     /* 1768585 */   // Label 24085: @1768585
     /* 1768585 */   GIM_Try, /*On fail goto*//*Label 24086*/ GIMT_Encode4(1768671), // Rule ID 11643 //
     /* 1768590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1768593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1768601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1768604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1768607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1768610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768636 */     // MIs[0] policy
     /* 1768636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1768649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768670 */     // GIR_Coverage, 11643,
     /* 1768670 */     GIR_EraseRootFromParent_Done,
     /* 1768671 */   // Label 24086: @1768671
     /* 1768671 */   GIM_Try, /*On fail goto*//*Label 24087*/ GIMT_Encode4(1768757), // Rule ID 11646 //
     /* 1768676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1768679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1768687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1768690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1768693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1768696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768722 */     // MIs[0] policy
     /* 1768722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1768735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768756 */     // GIR_Coverage, 11646,
     /* 1768756 */     GIR_EraseRootFromParent_Done,
     /* 1768757 */   // Label 24087: @1768757
     /* 1768757 */   GIM_Try, /*On fail goto*//*Label 24088*/ GIMT_Encode4(1768843), // Rule ID 11647 //
     /* 1768762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1768765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1768773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1768776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1768779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1768782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768808 */     // MIs[0] policy
     /* 1768808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1768821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768842 */     // GIR_Coverage, 11647,
     /* 1768842 */     GIR_EraseRootFromParent_Done,
     /* 1768843 */   // Label 24088: @1768843
     /* 1768843 */   GIM_Try, /*On fail goto*//*Label 24089*/ GIMT_Encode4(1768929), // Rule ID 11650 //
     /* 1768848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1768851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1768859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1768862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1768865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1768868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768894 */     // MIs[0] policy
     /* 1768894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768904 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1768907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768928 */     // GIR_Coverage, 11650,
     /* 1768928 */     GIR_EraseRootFromParent_Done,
     /* 1768929 */   // Label 24089: @1768929
     /* 1768929 */   GIM_Try, /*On fail goto*//*Label 24090*/ GIMT_Encode4(1769015), // Rule ID 11651 //
     /* 1768934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1768937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1768945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1768948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1768951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1768954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768980 */     // MIs[0] policy
     /* 1768980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768990 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1768993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769014 */     // GIR_Coverage, 11651,
     /* 1769014 */     GIR_EraseRootFromParent_Done,
     /* 1769015 */   // Label 24090: @1769015
     /* 1769015 */   GIM_Try, /*On fail goto*//*Label 24091*/ GIMT_Encode4(1769101), // Rule ID 11654 //
     /* 1769020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1769023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1769031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1769034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1769037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769066 */     // MIs[0] policy
     /* 1769066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1769079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769100 */     // GIR_Coverage, 11654,
     /* 1769100 */     GIR_EraseRootFromParent_Done,
     /* 1769101 */   // Label 24091: @1769101
     /* 1769101 */   GIM_Try, /*On fail goto*//*Label 24092*/ GIMT_Encode4(1769187), // Rule ID 11655 //
     /* 1769106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1769109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1769117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1769120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1769123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769152 */     // MIs[0] policy
     /* 1769152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1769165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769186 */     // GIR_Coverage, 11655,
     /* 1769186 */     GIR_EraseRootFromParent_Done,
     /* 1769187 */   // Label 24092: @1769187
     /* 1769187 */   GIM_Try, /*On fail goto*//*Label 24093*/ GIMT_Encode4(1769273), // Rule ID 11658 //
     /* 1769192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1769195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1769203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1769206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1769209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769238 */     // MIs[0] policy
     /* 1769238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769248 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1769251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769272 */     // GIR_Coverage, 11658,
     /* 1769272 */     GIR_EraseRootFromParent_Done,
     /* 1769273 */   // Label 24093: @1769273
     /* 1769273 */   GIM_Try, /*On fail goto*//*Label 24094*/ GIMT_Encode4(1769359), // Rule ID 11659 //
     /* 1769278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1769281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1769289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1769292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1769295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769324 */     // MIs[0] policy
     /* 1769324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769334 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1769337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769358 */     // GIR_Coverage, 11659,
     /* 1769358 */     GIR_EraseRootFromParent_Done,
     /* 1769359 */   // Label 24094: @1769359
     /* 1769359 */   GIM_Try, /*On fail goto*//*Label 24095*/ GIMT_Encode4(1769445), // Rule ID 11662 //
     /* 1769364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1769367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1769375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1769378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1769381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769410 */     // MIs[0] policy
     /* 1769410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769420 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1769423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769444 */     // GIR_Coverage, 11662,
     /* 1769444 */     GIR_EraseRootFromParent_Done,
     /* 1769445 */   // Label 24095: @1769445
     /* 1769445 */   GIM_Try, /*On fail goto*//*Label 24096*/ GIMT_Encode4(1769531), // Rule ID 11663 //
     /* 1769450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1769453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1769461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1769464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1769467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769496 */     // MIs[0] policy
     /* 1769496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769506 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1769509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769530 */     // GIR_Coverage, 11663,
     /* 1769530 */     GIR_EraseRootFromParent_Done,
     /* 1769531 */   // Label 24096: @1769531
     /* 1769531 */   GIM_Try, /*On fail goto*//*Label 24097*/ GIMT_Encode4(1769617), // Rule ID 11666 //
     /* 1769536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1769539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1769547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1769550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1769553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769582 */     // MIs[0] policy
     /* 1769582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769592 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1769595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769616 */     // GIR_Coverage, 11666,
     /* 1769616 */     GIR_EraseRootFromParent_Done,
     /* 1769617 */   // Label 24097: @1769617
     /* 1769617 */   GIM_Try, /*On fail goto*//*Label 24098*/ GIMT_Encode4(1769703), // Rule ID 11667 //
     /* 1769622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1769625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1769633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1769636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1769639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769668 */     // MIs[0] policy
     /* 1769668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769678 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1769681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769702 */     // GIR_Coverage, 11667,
     /* 1769702 */     GIR_EraseRootFromParent_Done,
     /* 1769703 */   // Label 24098: @1769703
     /* 1769703 */   GIM_Try, /*On fail goto*//*Label 24099*/ GIMT_Encode4(1769789), // Rule ID 11670 //
     /* 1769708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1769719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1769722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1769725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1769728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769754 */     // MIs[0] policy
     /* 1769754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769764 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1769767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769788 */     // GIR_Coverage, 11670,
     /* 1769788 */     GIR_EraseRootFromParent_Done,
     /* 1769789 */   // Label 24099: @1769789
     /* 1769789 */   GIM_Try, /*On fail goto*//*Label 24100*/ GIMT_Encode4(1769875), // Rule ID 11671 //
     /* 1769794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1769805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1769808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1769811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1769814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769840 */     // MIs[0] policy
     /* 1769840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769850 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1769853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769874 */     // GIR_Coverage, 11671,
     /* 1769874 */     GIR_EraseRootFromParent_Done,
     /* 1769875 */   // Label 24100: @1769875
     /* 1769875 */   GIM_Try, /*On fail goto*//*Label 24101*/ GIMT_Encode4(1769961), // Rule ID 11674 //
     /* 1769880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1769891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1769894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1769897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1769900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769926 */     // MIs[0] policy
     /* 1769926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769936 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1769939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769960 */     // GIR_Coverage, 11674,
     /* 1769960 */     GIR_EraseRootFromParent_Done,
     /* 1769961 */   // Label 24101: @1769961
     /* 1769961 */   GIM_Try, /*On fail goto*//*Label 24102*/ GIMT_Encode4(1770047), // Rule ID 11675 //
     /* 1769966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1769977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1769980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1769983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1769986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770012 */     // MIs[0] policy
     /* 1770012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1770025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770046 */     // GIR_Coverage, 11675,
     /* 1770046 */     GIR_EraseRootFromParent_Done,
     /* 1770047 */   // Label 24102: @1770047
     /* 1770047 */   GIM_Try, /*On fail goto*//*Label 24103*/ GIMT_Encode4(1770133), // Rule ID 11678 //
     /* 1770052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1770072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770098 */     // MIs[0] policy
     /* 1770098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1770111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770132 */     // GIR_Coverage, 11678,
     /* 1770132 */     GIR_EraseRootFromParent_Done,
     /* 1770133 */   // Label 24103: @1770133
     /* 1770133 */   GIM_Try, /*On fail goto*//*Label 24104*/ GIMT_Encode4(1770219), // Rule ID 11679 //
     /* 1770138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1770158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770184 */     // MIs[0] policy
     /* 1770184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770194 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1770197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770218 */     // GIR_Coverage, 11679,
     /* 1770218 */     GIR_EraseRootFromParent_Done,
     /* 1770219 */   // Label 24104: @1770219
     /* 1770219 */   GIM_Try, /*On fail goto*//*Label 24105*/ GIMT_Encode4(1770305), // Rule ID 11682 //
     /* 1770224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1770235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1770238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1770241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1770244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770270 */     // MIs[0] policy
     /* 1770270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770280 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1770283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770304 */     // GIR_Coverage, 11682,
     /* 1770304 */     GIR_EraseRootFromParent_Done,
     /* 1770305 */   // Label 24105: @1770305
     /* 1770305 */   GIM_Try, /*On fail goto*//*Label 24106*/ GIMT_Encode4(1770391), // Rule ID 11683 //
     /* 1770310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1770321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1770324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1770327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1770330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770356 */     // MIs[0] policy
     /* 1770356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1770369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770390 */     // GIR_Coverage, 11683,
     /* 1770390 */     GIR_EraseRootFromParent_Done,
     /* 1770391 */   // Label 24106: @1770391
     /* 1770391 */   GIM_Try, /*On fail goto*//*Label 24107*/ GIMT_Encode4(1770477), // Rule ID 11686 //
     /* 1770396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1770407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1770410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1770413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1770416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770442 */     // MIs[0] policy
     /* 1770442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770452 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1770455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770476 */     // GIR_Coverage, 11686,
     /* 1770476 */     GIR_EraseRootFromParent_Done,
     /* 1770477 */   // Label 24107: @1770477
     /* 1770477 */   GIM_Try, /*On fail goto*//*Label 24108*/ GIMT_Encode4(1770563), // Rule ID 11687 //
     /* 1770482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1770493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1770496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1770499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1770502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770528 */     // MIs[0] policy
     /* 1770528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770538 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1770541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770562 */     // GIR_Coverage, 11687,
     /* 1770562 */     GIR_EraseRootFromParent_Done,
     /* 1770563 */   // Label 24108: @1770563
     /* 1770563 */   GIM_Try, /*On fail goto*//*Label 24109*/ GIMT_Encode4(1770649), // Rule ID 11690 //
     /* 1770568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1770579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1770582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1770585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1770588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770614 */     // MIs[0] policy
     /* 1770614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1770627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770648 */     // GIR_Coverage, 11690,
     /* 1770648 */     GIR_EraseRootFromParent_Done,
     /* 1770649 */   // Label 24109: @1770649
     /* 1770649 */   GIM_Try, /*On fail goto*//*Label 24110*/ GIMT_Encode4(1770735), // Rule ID 11691 //
     /* 1770654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1770665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1770668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1770671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1770674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770700 */     // MIs[0] policy
     /* 1770700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770710 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1770713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770734 */     // GIR_Coverage, 11691,
     /* 1770734 */     GIR_EraseRootFromParent_Done,
     /* 1770735 */   // Label 24110: @1770735
     /* 1770735 */   GIM_Try, /*On fail goto*//*Label 24111*/ GIMT_Encode4(1770821), // Rule ID 11694 //
     /* 1770740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1770751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1770754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1770757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1770760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770786 */     // MIs[0] policy
     /* 1770786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1770799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770820 */     // GIR_Coverage, 11694,
     /* 1770820 */     GIR_EraseRootFromParent_Done,
     /* 1770821 */   // Label 24111: @1770821
     /* 1770821 */   GIM_Try, /*On fail goto*//*Label 24112*/ GIMT_Encode4(1770907), // Rule ID 11695 //
     /* 1770826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1770837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1770840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1770843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1770846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770872 */     // MIs[0] policy
     /* 1770872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770882 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1770885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770906 */     // GIR_Coverage, 11695,
     /* 1770906 */     GIR_EraseRootFromParent_Done,
     /* 1770907 */   // Label 24112: @1770907
     /* 1770907 */   GIM_Try, /*On fail goto*//*Label 24113*/ GIMT_Encode4(1770993), // Rule ID 11698 //
     /* 1770912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1770923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1770926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1770929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1770932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770958 */     // MIs[0] policy
     /* 1770958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1770971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770992 */     // GIR_Coverage, 11698,
     /* 1770992 */     GIR_EraseRootFromParent_Done,
     /* 1770993 */   // Label 24113: @1770993
     /* 1770993 */   GIM_Try, /*On fail goto*//*Label 24114*/ GIMT_Encode4(1771079), // Rule ID 11699 //
     /* 1770998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1771009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1771012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1771015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1771018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771044 */     // MIs[0] policy
     /* 1771044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771054 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1771057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771078 */     // GIR_Coverage, 11699,
     /* 1771078 */     GIR_EraseRootFromParent_Done,
     /* 1771079 */   // Label 24114: @1771079
     /* 1771079 */   GIM_Try, /*On fail goto*//*Label 24115*/ GIMT_Encode4(1771165), // Rule ID 11702 //
     /* 1771084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1771095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1771098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1771101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1771104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771130 */     // MIs[0] policy
     /* 1771130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1771143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771164 */     // GIR_Coverage, 11702,
     /* 1771164 */     GIR_EraseRootFromParent_Done,
     /* 1771165 */   // Label 24115: @1771165
     /* 1771165 */   GIM_Try, /*On fail goto*//*Label 24116*/ GIMT_Encode4(1771251), // Rule ID 11703 //
     /* 1771170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1771181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1771184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1771187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1771190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771216 */     // MIs[0] policy
     /* 1771216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1771229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771250 */     // GIR_Coverage, 11703,
     /* 1771250 */     GIR_EraseRootFromParent_Done,
     /* 1771251 */   // Label 24116: @1771251
     /* 1771251 */   GIM_Try, /*On fail goto*//*Label 24117*/ GIMT_Encode4(1771337), // Rule ID 11706 //
     /* 1771256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1771259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1771267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1771270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1771273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1771276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771302 */     // MIs[0] policy
     /* 1771302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771312 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1771315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771336 */     // GIR_Coverage, 11706,
     /* 1771336 */     GIR_EraseRootFromParent_Done,
     /* 1771337 */   // Label 24117: @1771337
     /* 1771337 */   GIM_Try, /*On fail goto*//*Label 24118*/ GIMT_Encode4(1771423), // Rule ID 11707 //
     /* 1771342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1771345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1771353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1771356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1771359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1771362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771388 */     // MIs[0] policy
     /* 1771388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771398 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1771401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771422 */     // GIR_Coverage, 11707,
     /* 1771422 */     GIR_EraseRootFromParent_Done,
     /* 1771423 */   // Label 24118: @1771423
     /* 1771423 */   GIM_Try, /*On fail goto*//*Label 24119*/ GIMT_Encode4(1771509), // Rule ID 11710 //
     /* 1771428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1771439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1771442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1771445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1771448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1771451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771474 */     // MIs[0] policy
     /* 1771474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771484 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1771487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771508 */     // GIR_Coverage, 11710,
     /* 1771508 */     GIR_EraseRootFromParent_Done,
     /* 1771509 */   // Label 24119: @1771509
     /* 1771509 */   GIM_Try, /*On fail goto*//*Label 24120*/ GIMT_Encode4(1771595), // Rule ID 11711 //
     /* 1771514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1771525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1771528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1771531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1771534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1771537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771560 */     // MIs[0] policy
     /* 1771560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771570 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1771573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771594 */     // GIR_Coverage, 11711,
     /* 1771594 */     GIR_EraseRootFromParent_Done,
     /* 1771595 */   // Label 24120: @1771595
     /* 1771595 */   GIM_Try, /*On fail goto*//*Label 24121*/ GIMT_Encode4(1771681), // Rule ID 11714 //
     /* 1771600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1771611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1771614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1771617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1771620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1771623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771646 */     // MIs[0] policy
     /* 1771646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771656 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1771659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771680 */     // GIR_Coverage, 11714,
     /* 1771680 */     GIR_EraseRootFromParent_Done,
     /* 1771681 */   // Label 24121: @1771681
     /* 1771681 */   GIM_Try, /*On fail goto*//*Label 24122*/ GIMT_Encode4(1771767), // Rule ID 11715 //
     /* 1771686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1771697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1771700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1771703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1771706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1771709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771732 */     // MIs[0] policy
     /* 1771732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771742 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1771745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771766 */     // GIR_Coverage, 11715,
     /* 1771766 */     GIR_EraseRootFromParent_Done,
     /* 1771767 */   // Label 24122: @1771767
     /* 1771767 */   GIM_Try, /*On fail goto*//*Label 24123*/ GIMT_Encode4(1771853), // Rule ID 11718 //
     /* 1771772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1771783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1771786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1771789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1771792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1771795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771818 */     // MIs[0] policy
     /* 1771818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771828 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1771831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771852 */     // GIR_Coverage, 11718,
     /* 1771852 */     GIR_EraseRootFromParent_Done,
     /* 1771853 */   // Label 24123: @1771853
     /* 1771853 */   GIM_Try, /*On fail goto*//*Label 24124*/ GIMT_Encode4(1771939), // Rule ID 11719 //
     /* 1771858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1771869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1771872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1771875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1771878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1771881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771904 */     // MIs[0] policy
     /* 1771904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771914 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1771917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771938 */     // GIR_Coverage, 11719,
     /* 1771938 */     GIR_EraseRootFromParent_Done,
     /* 1771939 */   // Label 24124: @1771939
     /* 1771939 */   GIM_Try, /*On fail goto*//*Label 24125*/ GIMT_Encode4(1772025), // Rule ID 11722 //
     /* 1771944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1771955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1771958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1771961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1771964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771990 */     // MIs[0] policy
     /* 1771990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772000 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1772003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772024 */     // GIR_Coverage, 11722,
     /* 1772024 */     GIR_EraseRootFromParent_Done,
     /* 1772025 */   // Label 24125: @1772025
     /* 1772025 */   GIM_Try, /*On fail goto*//*Label 24126*/ GIMT_Encode4(1772111), // Rule ID 11723 //
     /* 1772030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1772041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1772044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1772047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1772050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772076 */     // MIs[0] policy
     /* 1772076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772086 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1772089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772110 */     // GIR_Coverage, 11723,
     /* 1772110 */     GIR_EraseRootFromParent_Done,
     /* 1772111 */   // Label 24126: @1772111
     /* 1772111 */   GIM_Try, /*On fail goto*//*Label 24127*/ GIMT_Encode4(1772197), // Rule ID 11726 //
     /* 1772116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1772127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1772130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1772133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1772136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772162 */     // MIs[0] policy
     /* 1772162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772172 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1772175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772196 */     // GIR_Coverage, 11726,
     /* 1772196 */     GIR_EraseRootFromParent_Done,
     /* 1772197 */   // Label 24127: @1772197
     /* 1772197 */   GIM_Try, /*On fail goto*//*Label 24128*/ GIMT_Encode4(1772283), // Rule ID 11727 //
     /* 1772202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1772213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1772216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1772219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1772222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772248 */     // MIs[0] policy
     /* 1772248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772258 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1772261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772282 */     // GIR_Coverage, 11727,
     /* 1772282 */     GIR_EraseRootFromParent_Done,
     /* 1772283 */   // Label 24128: @1772283
     /* 1772283 */   GIM_Try, /*On fail goto*//*Label 24129*/ GIMT_Encode4(1772369), // Rule ID 11730 //
     /* 1772288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1772299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1772302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1772305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1772308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772334 */     // MIs[0] policy
     /* 1772334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772344 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1772347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772368 */     // GIR_Coverage, 11730,
     /* 1772368 */     GIR_EraseRootFromParent_Done,
     /* 1772369 */   // Label 24129: @1772369
     /* 1772369 */   GIM_Try, /*On fail goto*//*Label 24130*/ GIMT_Encode4(1772455), // Rule ID 11731 //
     /* 1772374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1772385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1772388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1772391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1772394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772420 */     // MIs[0] policy
     /* 1772420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772430 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1772433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772454 */     // GIR_Coverage, 11731,
     /* 1772454 */     GIR_EraseRootFromParent_Done,
     /* 1772455 */   // Label 24130: @1772455
     /* 1772455 */   GIM_Try, /*On fail goto*//*Label 24131*/ GIMT_Encode4(1772541), // Rule ID 11734 //
     /* 1772460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1772471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1772474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1772477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1772480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772506 */     // MIs[0] policy
     /* 1772506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772516 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1772519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772540 */     // GIR_Coverage, 11734,
     /* 1772540 */     GIR_EraseRootFromParent_Done,
     /* 1772541 */   // Label 24131: @1772541
     /* 1772541 */   GIM_Try, /*On fail goto*//*Label 24132*/ GIMT_Encode4(1772627), // Rule ID 11735 //
     /* 1772546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1772557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1772560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1772563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1772566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772592 */     // MIs[0] policy
     /* 1772592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1772605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772626 */     // GIR_Coverage, 11735,
     /* 1772626 */     GIR_EraseRootFromParent_Done,
     /* 1772627 */   // Label 24132: @1772627
     /* 1772627 */   GIM_Try, /*On fail goto*//*Label 24133*/ GIMT_Encode4(1772713), // Rule ID 11738 //
     /* 1772632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1772643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1772646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1772649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1772652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772678 */     // MIs[0] policy
     /* 1772678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772688 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1772691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772712 */     // GIR_Coverage, 11738,
     /* 1772712 */     GIR_EraseRootFromParent_Done,
     /* 1772713 */   // Label 24133: @1772713
     /* 1772713 */   GIM_Try, /*On fail goto*//*Label 24134*/ GIMT_Encode4(1772799), // Rule ID 11739 //
     /* 1772718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1772729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1772732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1772735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1772738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772764 */     // MIs[0] policy
     /* 1772764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1772777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772798 */     // GIR_Coverage, 11739,
     /* 1772798 */     GIR_EraseRootFromParent_Done,
     /* 1772799 */   // Label 24134: @1772799
     /* 1772799 */   GIM_Try, /*On fail goto*//*Label 24135*/ GIMT_Encode4(1772885), // Rule ID 11742 //
     /* 1772804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1772815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1772818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1772821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1772824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772850 */     // MIs[0] policy
     /* 1772850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772860 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1772863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772884 */     // GIR_Coverage, 11742,
     /* 1772884 */     GIR_EraseRootFromParent_Done,
     /* 1772885 */   // Label 24135: @1772885
     /* 1772885 */   GIM_Try, /*On fail goto*//*Label 24136*/ GIMT_Encode4(1772971), // Rule ID 11743 //
     /* 1772890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1772901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1772904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1772907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1772910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772936 */     // MIs[0] policy
     /* 1772936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1772949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772970 */     // GIR_Coverage, 11743,
     /* 1772970 */     GIR_EraseRootFromParent_Done,
     /* 1772971 */   // Label 24136: @1772971
     /* 1772971 */   GIM_Try, /*On fail goto*//*Label 24137*/ GIMT_Encode4(1773057), // Rule ID 11746 //
     /* 1772976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1772979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1772987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1772990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1772993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1772996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773022 */     // MIs[0] policy
     /* 1773022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773032 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1773035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773056 */     // GIR_Coverage, 11746,
     /* 1773056 */     GIR_EraseRootFromParent_Done,
     /* 1773057 */   // Label 24137: @1773057
     /* 1773057 */   GIM_Try, /*On fail goto*//*Label 24138*/ GIMT_Encode4(1773143), // Rule ID 11747 //
     /* 1773062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1773065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1773073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1773076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1773079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1773082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773108 */     // MIs[0] policy
     /* 1773108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773118 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1773121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773142 */     // GIR_Coverage, 11747,
     /* 1773142 */     GIR_EraseRootFromParent_Done,
     /* 1773143 */   // Label 24138: @1773143
     /* 1773143 */   GIM_Try, /*On fail goto*//*Label 24139*/ GIMT_Encode4(1773229), // Rule ID 11750 //
     /* 1773148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1773159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1773162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1773165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1773168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773194 */     // MIs[0] policy
     /* 1773194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1773207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773228 */     // GIR_Coverage, 11750,
     /* 1773228 */     GIR_EraseRootFromParent_Done,
     /* 1773229 */   // Label 24139: @1773229
     /* 1773229 */   GIM_Try, /*On fail goto*//*Label 24140*/ GIMT_Encode4(1773315), // Rule ID 11751 //
     /* 1773234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1773237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1773245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1773248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1773251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1773254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773280 */     // MIs[0] policy
     /* 1773280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773290 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1773293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773314 */     // GIR_Coverage, 11751,
     /* 1773314 */     GIR_EraseRootFromParent_Done,
     /* 1773315 */   // Label 24140: @1773315
     /* 1773315 */   GIM_Try, /*On fail goto*//*Label 24141*/ GIMT_Encode4(1773401), // Rule ID 11754 //
     /* 1773320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1773331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1773334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1773337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1773340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773366 */     // MIs[0] policy
     /* 1773366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773376 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1773379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773400 */     // GIR_Coverage, 11754,
     /* 1773400 */     GIR_EraseRootFromParent_Done,
     /* 1773401 */   // Label 24141: @1773401
     /* 1773401 */   GIM_Try, /*On fail goto*//*Label 24142*/ GIMT_Encode4(1773487), // Rule ID 11755 //
     /* 1773406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1773409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1773417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1773420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1773423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1773426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773452 */     // MIs[0] policy
     /* 1773452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773462 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1773465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773486 */     // GIR_Coverage, 11755,
     /* 1773486 */     GIR_EraseRootFromParent_Done,
     /* 1773487 */   // Label 24142: @1773487
     /* 1773487 */   GIM_Try, /*On fail goto*//*Label 24143*/ GIMT_Encode4(1773573), // Rule ID 11758 //
     /* 1773492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1773503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1773506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1773509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773538 */     // MIs[0] policy
     /* 1773538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773548 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1773551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773572 */     // GIR_Coverage, 11758,
     /* 1773572 */     GIR_EraseRootFromParent_Done,
     /* 1773573 */   // Label 24143: @1773573
     /* 1773573 */   GIM_Try, /*On fail goto*//*Label 24144*/ GIMT_Encode4(1773659), // Rule ID 11759 //
     /* 1773578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1773589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1773592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1773595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773624 */     // MIs[0] policy
     /* 1773624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773634 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1773637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773658 */     // GIR_Coverage, 11759,
     /* 1773658 */     GIR_EraseRootFromParent_Done,
     /* 1773659 */   // Label 24144: @1773659
     /* 1773659 */   GIM_Try, /*On fail goto*//*Label 24145*/ GIMT_Encode4(1773745), // Rule ID 11762 //
     /* 1773664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1773675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1773678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1773681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773710 */     // MIs[0] policy
     /* 1773710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773720 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1773723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773744 */     // GIR_Coverage, 11762,
     /* 1773744 */     GIR_EraseRootFromParent_Done,
     /* 1773745 */   // Label 24145: @1773745
     /* 1773745 */   GIM_Try, /*On fail goto*//*Label 24146*/ GIMT_Encode4(1773831), // Rule ID 11763 //
     /* 1773750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1773761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1773764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1773767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773796 */     // MIs[0] policy
     /* 1773796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773806 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1773809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773830 */     // GIR_Coverage, 11763,
     /* 1773830 */     GIR_EraseRootFromParent_Done,
     /* 1773831 */   // Label 24146: @1773831
     /* 1773831 */   GIM_Try, /*On fail goto*//*Label 24147*/ GIMT_Encode4(1773917), // Rule ID 11766 //
     /* 1773836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1773847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1773850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1773853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773882 */     // MIs[0] policy
     /* 1773882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773892 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1773895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773916 */     // GIR_Coverage, 11766,
     /* 1773916 */     GIR_EraseRootFromParent_Done,
     /* 1773917 */   // Label 24147: @1773917
     /* 1773917 */   GIM_Try, /*On fail goto*//*Label 24148*/ GIMT_Encode4(1774003), // Rule ID 11767 //
     /* 1773922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1773933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1773936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1773939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773968 */     // MIs[0] policy
     /* 1773968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773978 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1773981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774002 */     // GIR_Coverage, 11767,
     /* 1774002 */     GIR_EraseRootFromParent_Done,
     /* 1774003 */   // Label 24148: @1774003
     /* 1774003 */   GIM_Try, /*On fail goto*//*Label 24149*/ GIMT_Encode4(1774089), // Rule ID 11770 //
     /* 1774008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774054 */     // MIs[0] policy
     /* 1774054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1774067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774088 */     // GIR_Coverage, 11770,
     /* 1774088 */     GIR_EraseRootFromParent_Done,
     /* 1774089 */   // Label 24149: @1774089
     /* 1774089 */   GIM_Try, /*On fail goto*//*Label 24150*/ GIMT_Encode4(1774175), // Rule ID 11771 //
     /* 1774094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774140 */     // MIs[0] policy
     /* 1774140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774150 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1774153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774174 */     // GIR_Coverage, 11771,
     /* 1774174 */     GIR_EraseRootFromParent_Done,
     /* 1774175 */   // Label 24150: @1774175
     /* 1774175 */   GIM_Try, /*On fail goto*//*Label 24151*/ GIMT_Encode4(1774261), // Rule ID 11774 //
     /* 1774180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1774191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1774194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1774197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774226 */     // MIs[0] policy
     /* 1774226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1774239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774260 */     // GIR_Coverage, 11774,
     /* 1774260 */     GIR_EraseRootFromParent_Done,
     /* 1774261 */   // Label 24151: @1774261
     /* 1774261 */   GIM_Try, /*On fail goto*//*Label 24152*/ GIMT_Encode4(1774347), // Rule ID 11775 //
     /* 1774266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1774277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1774280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1774283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774312 */     // MIs[0] policy
     /* 1774312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1774325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774346 */     // GIR_Coverage, 11775,
     /* 1774346 */     GIR_EraseRootFromParent_Done,
     /* 1774347 */   // Label 24152: @1774347
     /* 1774347 */   GIM_Try, /*On fail goto*//*Label 24153*/ GIMT_Encode4(1774433), // Rule ID 11778 //
     /* 1774352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1774363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1774366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1774369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774398 */     // MIs[0] policy
     /* 1774398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1774411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774432 */     // GIR_Coverage, 11778,
     /* 1774432 */     GIR_EraseRootFromParent_Done,
     /* 1774433 */   // Label 24153: @1774433
     /* 1774433 */   GIM_Try, /*On fail goto*//*Label 24154*/ GIMT_Encode4(1774519), // Rule ID 11779 //
     /* 1774438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1774449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1774452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1774455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774484 */     // MIs[0] policy
     /* 1774484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774494 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1774497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774518 */     // GIR_Coverage, 11779,
     /* 1774518 */     GIR_EraseRootFromParent_Done,
     /* 1774519 */   // Label 24154: @1774519
     /* 1774519 */   GIM_Try, /*On fail goto*//*Label 24155*/ GIMT_Encode4(1774605), // Rule ID 11782 //
     /* 1774524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1774535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1774538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1774541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774570 */     // MIs[0] policy
     /* 1774570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1774583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774604 */     // GIR_Coverage, 11782,
     /* 1774604 */     GIR_EraseRootFromParent_Done,
     /* 1774605 */   // Label 24155: @1774605
     /* 1774605 */   GIM_Try, /*On fail goto*//*Label 24156*/ GIMT_Encode4(1774691), // Rule ID 11783 //
     /* 1774610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1774621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1774624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1774627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774656 */     // MIs[0] policy
     /* 1774656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774666 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1774669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774690 */     // GIR_Coverage, 11783,
     /* 1774690 */     GIR_EraseRootFromParent_Done,
     /* 1774691 */   // Label 24156: @1774691
     /* 1774691 */   GIM_Try, /*On fail goto*//*Label 24157*/ GIMT_Encode4(1774777), // Rule ID 11786 //
     /* 1774696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1774707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1774710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1774713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774742 */     // MIs[0] policy
     /* 1774742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1774755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774776 */     // GIR_Coverage, 11786,
     /* 1774776 */     GIR_EraseRootFromParent_Done,
     /* 1774777 */   // Label 24157: @1774777
     /* 1774777 */   GIM_Try, /*On fail goto*//*Label 24158*/ GIMT_Encode4(1774863), // Rule ID 11787 //
     /* 1774782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1774793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1774796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1774799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774828 */     // MIs[0] policy
     /* 1774828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774838 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1774841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774862 */     // GIR_Coverage, 11787,
     /* 1774862 */     GIR_EraseRootFromParent_Done,
     /* 1774863 */   // Label 24158: @1774863
     /* 1774863 */   GIM_Try, /*On fail goto*//*Label 24159*/ GIMT_Encode4(1774949), // Rule ID 11790 //
     /* 1774868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1774879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1774882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1774885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774914 */     // MIs[0] policy
     /* 1774914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1774927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774948 */     // GIR_Coverage, 11790,
     /* 1774948 */     GIR_EraseRootFromParent_Done,
     /* 1774949 */   // Label 24159: @1774949
     /* 1774949 */   GIM_Try, /*On fail goto*//*Label 24160*/ GIMT_Encode4(1775035), // Rule ID 11791 //
     /* 1774954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1774965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1774968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1774971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775000 */     // MIs[0] policy
     /* 1775000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775010 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1775013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775034 */     // GIR_Coverage, 11791,
     /* 1775034 */     GIR_EraseRootFromParent_Done,
     /* 1775035 */   // Label 24160: @1775035
     /* 1775035 */   GIM_Try, /*On fail goto*//*Label 24161*/ GIMT_Encode4(1775121), // Rule ID 11794 //
     /* 1775040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1775043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1775051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1775054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1775057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775086 */     // MIs[0] policy
     /* 1775086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1775099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775120 */     // GIR_Coverage, 11794,
     /* 1775120 */     GIR_EraseRootFromParent_Done,
     /* 1775121 */   // Label 24161: @1775121
     /* 1775121 */   GIM_Try, /*On fail goto*//*Label 24162*/ GIMT_Encode4(1775207), // Rule ID 11795 //
     /* 1775126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1775129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1775137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1775140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1775143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775172 */     // MIs[0] policy
     /* 1775172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1775185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775206 */     // GIR_Coverage, 11795,
     /* 1775206 */     GIR_EraseRootFromParent_Done,
     /* 1775207 */   // Label 24162: @1775207
     /* 1775207 */   GIM_Try, /*On fail goto*//*Label 24163*/ GIMT_Encode4(1775293), // Rule ID 11798 //
     /* 1775212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1775223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1775226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1775229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775258 */     // MIs[0] policy
     /* 1775258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775268 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1775271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775292 */     // GIR_Coverage, 11798,
     /* 1775292 */     GIR_EraseRootFromParent_Done,
     /* 1775293 */   // Label 24163: @1775293
     /* 1775293 */   GIM_Try, /*On fail goto*//*Label 24164*/ GIMT_Encode4(1775379), // Rule ID 11799 //
     /* 1775298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1775309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1775312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1775315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775344 */     // MIs[0] policy
     /* 1775344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775354 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1775357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775378 */     // GIR_Coverage, 11799,
     /* 1775378 */     GIR_EraseRootFromParent_Done,
     /* 1775379 */   // Label 24164: @1775379
     /* 1775379 */   GIM_Try, /*On fail goto*//*Label 24165*/ GIMT_Encode4(1775465), // Rule ID 11802 //
     /* 1775384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1775395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1775398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1775401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1775407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775430 */     // MIs[0] policy
     /* 1775430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775440 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1775443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775464 */     // GIR_Coverage, 11802,
     /* 1775464 */     GIR_EraseRootFromParent_Done,
     /* 1775465 */   // Label 24165: @1775465
     /* 1775465 */   GIM_Try, /*On fail goto*//*Label 24166*/ GIMT_Encode4(1775551), // Rule ID 11803 //
     /* 1775470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1775481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1775484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1775487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1775493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775516 */     // MIs[0] policy
     /* 1775516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775526 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1775529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775550 */     // GIR_Coverage, 11803,
     /* 1775550 */     GIR_EraseRootFromParent_Done,
     /* 1775551 */   // Label 24166: @1775551
     /* 1775551 */   GIM_Try, /*On fail goto*//*Label 24167*/ GIMT_Encode4(1775637), // Rule ID 11806 //
     /* 1775556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1775567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1775570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1775573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1775579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775602 */     // MIs[0] policy
     /* 1775602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1775615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775636 */     // GIR_Coverage, 11806,
     /* 1775636 */     GIR_EraseRootFromParent_Done,
     /* 1775637 */   // Label 24167: @1775637
     /* 1775637 */   GIM_Try, /*On fail goto*//*Label 24168*/ GIMT_Encode4(1775723), // Rule ID 11807 //
     /* 1775642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1775653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1775656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1775659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1775665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775688 */     // MIs[0] policy
     /* 1775688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775698 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1775701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775722 */     // GIR_Coverage, 11807,
     /* 1775722 */     GIR_EraseRootFromParent_Done,
     /* 1775723 */   // Label 24168: @1775723
     /* 1775723 */   GIM_Try, /*On fail goto*//*Label 24169*/ GIMT_Encode4(1775809), // Rule ID 11810 //
     /* 1775728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1775739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1775742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1775745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775774 */     // MIs[0] policy
     /* 1775774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1775787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775808 */     // GIR_Coverage, 11810,
     /* 1775808 */     GIR_EraseRootFromParent_Done,
     /* 1775809 */   // Label 24169: @1775809
     /* 1775809 */   GIM_Try, /*On fail goto*//*Label 24170*/ GIMT_Encode4(1775895), // Rule ID 11811 //
     /* 1775814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1775825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1775828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1775831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775860 */     // MIs[0] policy
     /* 1775860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775870 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1775873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775894 */     // GIR_Coverage, 11811,
     /* 1775894 */     GIR_EraseRootFromParent_Done,
     /* 1775895 */   // Label 24170: @1775895
     /* 1775895 */   GIM_Try, /*On fail goto*//*Label 24171*/ GIMT_Encode4(1775981), // Rule ID 11814 //
     /* 1775900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1775911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1775914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1775917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775946 */     // MIs[0] policy
     /* 1775946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1775959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775980 */     // GIR_Coverage, 11814,
     /* 1775980 */     GIR_EraseRootFromParent_Done,
     /* 1775981 */   // Label 24171: @1775981
     /* 1775981 */   GIM_Try, /*On fail goto*//*Label 24172*/ GIMT_Encode4(1776067), // Rule ID 11815 //
     /* 1775986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1775997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776032 */     // MIs[0] policy
     /* 1776032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1776045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776066 */     // GIR_Coverage, 11815,
     /* 1776066 */     GIR_EraseRootFromParent_Done,
     /* 1776067 */   // Label 24172: @1776067
     /* 1776067 */   GIM_Try, /*On fail goto*//*Label 24173*/ GIMT_Encode4(1776153), // Rule ID 11818 //
     /* 1776072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1776083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1776086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1776089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776118 */     // MIs[0] policy
     /* 1776118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776128 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1776131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776152 */     // GIR_Coverage, 11818,
     /* 1776152 */     GIR_EraseRootFromParent_Done,
     /* 1776153 */   // Label 24173: @1776153
     /* 1776153 */   GIM_Try, /*On fail goto*//*Label 24174*/ GIMT_Encode4(1776239), // Rule ID 11819 //
     /* 1776158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1776169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1776172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1776175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776204 */     // MIs[0] policy
     /* 1776204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776214 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1776217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776238 */     // GIR_Coverage, 11819,
     /* 1776238 */     GIR_EraseRootFromParent_Done,
     /* 1776239 */   // Label 24174: @1776239
     /* 1776239 */   GIM_Try, /*On fail goto*//*Label 24175*/ GIMT_Encode4(1776325), // Rule ID 11822 //
     /* 1776244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1776255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1776258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1776261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776290 */     // MIs[0] policy
     /* 1776290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1776303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776324 */     // GIR_Coverage, 11822,
     /* 1776324 */     GIR_EraseRootFromParent_Done,
     /* 1776325 */   // Label 24175: @1776325
     /* 1776325 */   GIM_Try, /*On fail goto*//*Label 24176*/ GIMT_Encode4(1776411), // Rule ID 11823 //
     /* 1776330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1776341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1776344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1776347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776376 */     // MIs[0] policy
     /* 1776376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776386 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1776389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776410 */     // GIR_Coverage, 11823,
     /* 1776410 */     GIR_EraseRootFromParent_Done,
     /* 1776411 */   // Label 24176: @1776411
     /* 1776411 */   GIM_Try, /*On fail goto*//*Label 24177*/ GIMT_Encode4(1776497), // Rule ID 11826 //
     /* 1776416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1776427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1776430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1776433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776462 */     // MIs[0] policy
     /* 1776462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1776475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776496 */     // GIR_Coverage, 11826,
     /* 1776496 */     GIR_EraseRootFromParent_Done,
     /* 1776497 */   // Label 24177: @1776497
     /* 1776497 */   GIM_Try, /*On fail goto*//*Label 24178*/ GIMT_Encode4(1776583), // Rule ID 11827 //
     /* 1776502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1776513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1776516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1776519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776548 */     // MIs[0] policy
     /* 1776548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1776561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776582 */     // GIR_Coverage, 11827,
     /* 1776582 */     GIR_EraseRootFromParent_Done,
     /* 1776583 */   // Label 24178: @1776583
     /* 1776583 */   GIM_Try, /*On fail goto*//*Label 24179*/ GIMT_Encode4(1776669), // Rule ID 11830 //
     /* 1776588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1776599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1776602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1776605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776634 */     // MIs[0] policy
     /* 1776634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776644 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1776647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776668 */     // GIR_Coverage, 11830,
     /* 1776668 */     GIR_EraseRootFromParent_Done,
     /* 1776669 */   // Label 24179: @1776669
     /* 1776669 */   GIM_Try, /*On fail goto*//*Label 24180*/ GIMT_Encode4(1776755), // Rule ID 11831 //
     /* 1776674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1776685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1776688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1776691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776720 */     // MIs[0] policy
     /* 1776720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1776733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776754 */     // GIR_Coverage, 11831,
     /* 1776754 */     GIR_EraseRootFromParent_Done,
     /* 1776755 */   // Label 24180: @1776755
     /* 1776755 */   GIM_Try, /*On fail goto*//*Label 24181*/ GIMT_Encode4(1776841), // Rule ID 11834 //
     /* 1776760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1776763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1776771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1776774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1776777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1776783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776806 */     // MIs[0] policy
     /* 1776806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1776819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776840 */     // GIR_Coverage, 11834,
     /* 1776840 */     GIR_EraseRootFromParent_Done,
     /* 1776841 */   // Label 24181: @1776841
     /* 1776841 */   GIM_Try, /*On fail goto*//*Label 24182*/ GIMT_Encode4(1776927), // Rule ID 11835 //
     /* 1776846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1776849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1776857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1776860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1776863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1776869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776892 */     // MIs[0] policy
     /* 1776892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776902 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1776905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776926 */     // GIR_Coverage, 11835,
     /* 1776926 */     GIR_EraseRootFromParent_Done,
     /* 1776927 */   // Label 24182: @1776927
     /* 1776927 */   GIM_Try, /*On fail goto*//*Label 24183*/ GIMT_Encode4(1777013), // Rule ID 11838 //
     /* 1776932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1776935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1776943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1776946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1776949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776978 */     // MIs[0] policy
     /* 1776978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1776991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777012 */     // GIR_Coverage, 11838,
     /* 1777012 */     GIR_EraseRootFromParent_Done,
     /* 1777013 */   // Label 24183: @1777013
     /* 1777013 */   GIM_Try, /*On fail goto*//*Label 24184*/ GIMT_Encode4(1777099), // Rule ID 11839 //
     /* 1777018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1777029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1777032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1777035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777064 */     // MIs[0] policy
     /* 1777064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777074 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1777077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777098 */     // GIR_Coverage, 11839,
     /* 1777098 */     GIR_EraseRootFromParent_Done,
     /* 1777099 */   // Label 24184: @1777099
     /* 1777099 */   GIM_Try, /*On fail goto*//*Label 24185*/ GIMT_Encode4(1777185), // Rule ID 11842 //
     /* 1777104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1777115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1777118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1777121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777150 */     // MIs[0] policy
     /* 1777150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1777163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777184 */     // GIR_Coverage, 11842,
     /* 1777184 */     GIR_EraseRootFromParent_Done,
     /* 1777185 */   // Label 24185: @1777185
     /* 1777185 */   GIM_Try, /*On fail goto*//*Label 24186*/ GIMT_Encode4(1777271), // Rule ID 11843 //
     /* 1777190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1777201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1777204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1777207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777236 */     // MIs[0] policy
     /* 1777236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1777249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777270 */     // GIR_Coverage, 11843,
     /* 1777270 */     GIR_EraseRootFromParent_Done,
     /* 1777271 */   // Label 24186: @1777271
     /* 1777271 */   GIM_Try, /*On fail goto*//*Label 24187*/ GIMT_Encode4(1777357), // Rule ID 11846 //
     /* 1777276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1777287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1777290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1777293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1777296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777322 */     // MIs[0] policy
     /* 1777322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777332 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1777335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777356 */     // GIR_Coverage, 11846,
     /* 1777356 */     GIR_EraseRootFromParent_Done,
     /* 1777357 */   // Label 24187: @1777357
     /* 1777357 */   GIM_Try, /*On fail goto*//*Label 24188*/ GIMT_Encode4(1777443), // Rule ID 11847 //
     /* 1777362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1777373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1777376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1777379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1777382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777408 */     // MIs[0] policy
     /* 1777408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777418 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1777421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777442 */     // GIR_Coverage, 11847,
     /* 1777442 */     GIR_EraseRootFromParent_Done,
     /* 1777443 */   // Label 24188: @1777443
     /* 1777443 */   GIM_Try, /*On fail goto*//*Label 24189*/ GIMT_Encode4(1777529), // Rule ID 11850 //
     /* 1777448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1777459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1777462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1777465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1777468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777494 */     // MIs[0] policy
     /* 1777494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777504 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1777507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777528 */     // GIR_Coverage, 11850,
     /* 1777528 */     GIR_EraseRootFromParent_Done,
     /* 1777529 */   // Label 24189: @1777529
     /* 1777529 */   GIM_Try, /*On fail goto*//*Label 24190*/ GIMT_Encode4(1777615), // Rule ID 11851 //
     /* 1777534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1777545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1777548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1777551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1777554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777580 */     // MIs[0] policy
     /* 1777580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777590 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1777593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777614 */     // GIR_Coverage, 11851,
     /* 1777614 */     GIR_EraseRootFromParent_Done,
     /* 1777615 */   // Label 24190: @1777615
     /* 1777615 */   GIM_Try, /*On fail goto*//*Label 24191*/ GIMT_Encode4(1777701), // Rule ID 11854 //
     /* 1777620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1777631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1777634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1777637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1777640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777666 */     // MIs[0] policy
     /* 1777666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777676 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1777679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777700 */     // GIR_Coverage, 11854,
     /* 1777700 */     GIR_EraseRootFromParent_Done,
     /* 1777701 */   // Label 24191: @1777701
     /* 1777701 */   GIM_Try, /*On fail goto*//*Label 24192*/ GIMT_Encode4(1777787), // Rule ID 11855 //
     /* 1777706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1777717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1777720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1777723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1777726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777752 */     // MIs[0] policy
     /* 1777752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777762 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1777765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777786 */     // GIR_Coverage, 11855,
     /* 1777786 */     GIR_EraseRootFromParent_Done,
     /* 1777787 */   // Label 24192: @1777787
     /* 1777787 */   GIM_Try, /*On fail goto*//*Label 24193*/ GIMT_Encode4(1777873), // Rule ID 11858 //
     /* 1777792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1777803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1777806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1777809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1777812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777838 */     // MIs[0] policy
     /* 1777838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777848 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1777851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777872 */     // GIR_Coverage, 11858,
     /* 1777872 */     GIR_EraseRootFromParent_Done,
     /* 1777873 */   // Label 24193: @1777873
     /* 1777873 */   GIM_Try, /*On fail goto*//*Label 24194*/ GIMT_Encode4(1777959), // Rule ID 11859 //
     /* 1777878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1777889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1777892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1777895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1777898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777924 */     // MIs[0] policy
     /* 1777924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777934 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1777937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777958 */     // GIR_Coverage, 11859,
     /* 1777958 */     GIR_EraseRootFromParent_Done,
     /* 1777959 */   // Label 24194: @1777959
     /* 1777959 */   GIM_Try, /*On fail goto*//*Label 24195*/ GIMT_Encode4(1778045), // Rule ID 11862 //
     /* 1777964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1777975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1777978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1777981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1777984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778010 */     // MIs[0] policy
     /* 1778010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778020 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1778023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778044 */     // GIR_Coverage, 11862,
     /* 1778044 */     GIR_EraseRootFromParent_Done,
     /* 1778045 */   // Label 24195: @1778045
     /* 1778045 */   GIM_Try, /*On fail goto*//*Label 24196*/ GIMT_Encode4(1778131), // Rule ID 11863 //
     /* 1778050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1778061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1778064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1778067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1778070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778096 */     // MIs[0] policy
     /* 1778096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778106 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1778109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778130 */     // GIR_Coverage, 11863,
     /* 1778130 */     GIR_EraseRootFromParent_Done,
     /* 1778131 */   // Label 24196: @1778131
     /* 1778131 */   GIM_Try, /*On fail goto*//*Label 24197*/ GIMT_Encode4(1778217), // Rule ID 11866 //
     /* 1778136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1778147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1778150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1778153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1778156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778182 */     // MIs[0] policy
     /* 1778182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778192 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1778195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778216 */     // GIR_Coverage, 11866,
     /* 1778216 */     GIR_EraseRootFromParent_Done,
     /* 1778217 */   // Label 24197: @1778217
     /* 1778217 */   GIM_Try, /*On fail goto*//*Label 24198*/ GIMT_Encode4(1778303), // Rule ID 11867 //
     /* 1778222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1778233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1778236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1778239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1778242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778268 */     // MIs[0] policy
     /* 1778268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1778281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778302 */     // GIR_Coverage, 11867,
     /* 1778302 */     GIR_EraseRootFromParent_Done,
     /* 1778303 */   // Label 24198: @1778303
     /* 1778303 */   GIM_Try, /*On fail goto*//*Label 24199*/ GIMT_Encode4(1778389), // Rule ID 11870 //
     /* 1778308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1778319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1778322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1778325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1778328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778354 */     // MIs[0] policy
     /* 1778354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1778367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778388 */     // GIR_Coverage, 11870,
     /* 1778388 */     GIR_EraseRootFromParent_Done,
     /* 1778389 */   // Label 24199: @1778389
     /* 1778389 */   GIM_Try, /*On fail goto*//*Label 24200*/ GIMT_Encode4(1778475), // Rule ID 11871 //
     /* 1778394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1778405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1778408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1778411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1778414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778440 */     // MIs[0] policy
     /* 1778440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778450 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1778453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778474 */     // GIR_Coverage, 11871,
     /* 1778474 */     GIR_EraseRootFromParent_Done,
     /* 1778475 */   // Label 24200: @1778475
     /* 1778475 */   GIM_Try, /*On fail goto*//*Label 24201*/ GIMT_Encode4(1778561), // Rule ID 11874 //
     /* 1778480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1778491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1778494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1778497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1778500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778526 */     // MIs[0] policy
     /* 1778526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1778539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778560 */     // GIR_Coverage, 11874,
     /* 1778560 */     GIR_EraseRootFromParent_Done,
     /* 1778561 */   // Label 24201: @1778561
     /* 1778561 */   GIM_Try, /*On fail goto*//*Label 24202*/ GIMT_Encode4(1778647), // Rule ID 11875 //
     /* 1778566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1778577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1778580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1778583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1778586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778612 */     // MIs[0] policy
     /* 1778612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1778625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778646 */     // GIR_Coverage, 11875,
     /* 1778646 */     GIR_EraseRootFromParent_Done,
     /* 1778647 */   // Label 24202: @1778647
     /* 1778647 */   GIM_Try, /*On fail goto*//*Label 24203*/ GIMT_Encode4(1778733), // Rule ID 11878 //
     /* 1778652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1778663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1778666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1778669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1778672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778698 */     // MIs[0] policy
     /* 1778698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1778711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778732 */     // GIR_Coverage, 11878,
     /* 1778732 */     GIR_EraseRootFromParent_Done,
     /* 1778733 */   // Label 24203: @1778733
     /* 1778733 */   GIM_Try, /*On fail goto*//*Label 24204*/ GIMT_Encode4(1778819), // Rule ID 11879 //
     /* 1778738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1778749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1778752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1778755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1778758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778784 */     // MIs[0] policy
     /* 1778784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1778797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778818 */     // GIR_Coverage, 11879,
     /* 1778818 */     GIR_EraseRootFromParent_Done,
     /* 1778819 */   // Label 24204: @1778819
     /* 1778819 */   GIM_Try, /*On fail goto*//*Label 24205*/ GIMT_Encode4(1778905), // Rule ID 11882 //
     /* 1778824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1778827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1778835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1778838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1778841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1778844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778870 */     // MIs[0] policy
     /* 1778870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778880 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1778883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778904 */     // GIR_Coverage, 11882,
     /* 1778904 */     GIR_EraseRootFromParent_Done,
     /* 1778905 */   // Label 24205: @1778905
     /* 1778905 */   GIM_Try, /*On fail goto*//*Label 24206*/ GIMT_Encode4(1778991), // Rule ID 11883 //
     /* 1778910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1778913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1778921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1778924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1778927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1778930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778956 */     // MIs[0] policy
     /* 1778956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778966 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1778969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778990 */     // GIR_Coverage, 11883,
     /* 1778990 */     GIR_EraseRootFromParent_Done,
     /* 1778991 */   // Label 24206: @1778991
     /* 1778991 */   GIM_Try, /*On fail goto*//*Label 24207*/ GIMT_Encode4(1779077), // Rule ID 11886 //
     /* 1778996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1779016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779042 */     // MIs[0] policy
     /* 1779042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779052 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1779055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779076 */     // GIR_Coverage, 11886,
     /* 1779076 */     GIR_EraseRootFromParent_Done,
     /* 1779077 */   // Label 24207: @1779077
     /* 1779077 */   GIM_Try, /*On fail goto*//*Label 24208*/ GIMT_Encode4(1779163), // Rule ID 11887 //
     /* 1779082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1779102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779128 */     // MIs[0] policy
     /* 1779128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779138 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1779141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779162 */     // GIR_Coverage, 11887,
     /* 1779162 */     GIR_EraseRootFromParent_Done,
     /* 1779163 */   // Label 24208: @1779163
     /* 1779163 */   GIM_Try, /*On fail goto*//*Label 24209*/ GIMT_Encode4(1779249), // Rule ID 11890 //
     /* 1779168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1779179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1779182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1779185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1779188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779214 */     // MIs[0] policy
     /* 1779214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779224 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1779227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779248 */     // GIR_Coverage, 11890,
     /* 1779248 */     GIR_EraseRootFromParent_Done,
     /* 1779249 */   // Label 24209: @1779249
     /* 1779249 */   GIM_Try, /*On fail goto*//*Label 24210*/ GIMT_Encode4(1779335), // Rule ID 11891 //
     /* 1779254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1779265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1779268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1779271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1779274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779300 */     // MIs[0] policy
     /* 1779300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779310 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1779313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779334 */     // GIR_Coverage, 11891,
     /* 1779334 */     GIR_EraseRootFromParent_Done,
     /* 1779335 */   // Label 24210: @1779335
     /* 1779335 */   GIM_Try, /*On fail goto*//*Label 24211*/ GIMT_Encode4(1779421), // Rule ID 11894 //
     /* 1779340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1779351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1779354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1779357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1779360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1779363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779386 */     // MIs[0] policy
     /* 1779386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1779399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779420 */     // GIR_Coverage, 11894,
     /* 1779420 */     GIR_EraseRootFromParent_Done,
     /* 1779421 */   // Label 24211: @1779421
     /* 1779421 */   GIM_Try, /*On fail goto*//*Label 24212*/ GIMT_Encode4(1779507), // Rule ID 11895 //
     /* 1779426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1779437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1779440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1779443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1779446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1779449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779472 */     // MIs[0] policy
     /* 1779472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779482 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1779485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779506 */     // GIR_Coverage, 11895,
     /* 1779506 */     GIR_EraseRootFromParent_Done,
     /* 1779507 */   // Label 24212: @1779507
     /* 1779507 */   GIM_Try, /*On fail goto*//*Label 24213*/ GIMT_Encode4(1779593), // Rule ID 11898 //
     /* 1779512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1779523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1779526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1779529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1779532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779558 */     // MIs[0] policy
     /* 1779558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1779571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779592 */     // GIR_Coverage, 11898,
     /* 1779592 */     GIR_EraseRootFromParent_Done,
     /* 1779593 */   // Label 24213: @1779593
     /* 1779593 */   GIM_Try, /*On fail goto*//*Label 24214*/ GIMT_Encode4(1779679), // Rule ID 11899 //
     /* 1779598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1779609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1779612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1779615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1779618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779644 */     // MIs[0] policy
     /* 1779644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1779657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779678 */     // GIR_Coverage, 11899,
     /* 1779678 */     GIR_EraseRootFromParent_Done,
     /* 1779679 */   // Label 24214: @1779679
     /* 1779679 */   GIM_Try, /*On fail goto*//*Label 24215*/ GIMT_Encode4(1779765), // Rule ID 11902 //
     /* 1779684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1779695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1779698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1779701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1779704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779730 */     // MIs[0] policy
     /* 1779730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779740 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1779743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779764 */     // GIR_Coverage, 11902,
     /* 1779764 */     GIR_EraseRootFromParent_Done,
     /* 1779765 */   // Label 24215: @1779765
     /* 1779765 */   GIM_Try, /*On fail goto*//*Label 24216*/ GIMT_Encode4(1779851), // Rule ID 11903 //
     /* 1779770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1779781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1779784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1779787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1779790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779816 */     // MIs[0] policy
     /* 1779816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1779829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779850 */     // GIR_Coverage, 11903,
     /* 1779850 */     GIR_EraseRootFromParent_Done,
     /* 1779851 */   // Label 24216: @1779851
     /* 1779851 */   GIM_Try, /*On fail goto*//*Label 24217*/ GIMT_Encode4(1779937), // Rule ID 11906 //
     /* 1779856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1779867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1779870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1779873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1779876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779902 */     // MIs[0] policy
     /* 1779902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779912 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1779915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779936 */     // GIR_Coverage, 11906,
     /* 1779936 */     GIR_EraseRootFromParent_Done,
     /* 1779937 */   // Label 24217: @1779937
     /* 1779937 */   GIM_Try, /*On fail goto*//*Label 24218*/ GIMT_Encode4(1780023), // Rule ID 11907 //
     /* 1779942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1779953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1779956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1779959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1779962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779988 */     // MIs[0] policy
     /* 1779988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779998 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1780001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780022 */     // GIR_Coverage, 11907,
     /* 1780022 */     GIR_EraseRootFromParent_Done,
     /* 1780023 */   // Label 24218: @1780023
     /* 1780023 */   GIM_Try, /*On fail goto*//*Label 24219*/ GIMT_Encode4(1780109), // Rule ID 11910 //
     /* 1780028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1780048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780074 */     // MIs[0] policy
     /* 1780074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780084 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1780087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780108 */     // GIR_Coverage, 11910,
     /* 1780108 */     GIR_EraseRootFromParent_Done,
     /* 1780109 */   // Label 24219: @1780109
     /* 1780109 */   GIM_Try, /*On fail goto*//*Label 24220*/ GIMT_Encode4(1780195), // Rule ID 11911 //
     /* 1780114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1780134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780160 */     // MIs[0] policy
     /* 1780160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780170 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1780173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780194 */     // GIR_Coverage, 11911,
     /* 1780194 */     GIR_EraseRootFromParent_Done,
     /* 1780195 */   // Label 24220: @1780195
     /* 1780195 */   GIM_Try, /*On fail goto*//*Label 24221*/ GIMT_Encode4(1780281), // Rule ID 11914 //
     /* 1780200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1780211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1780214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1780217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1780220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780246 */     // MIs[0] policy
     /* 1780246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780256 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1780259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780280 */     // GIR_Coverage, 11914,
     /* 1780280 */     GIR_EraseRootFromParent_Done,
     /* 1780281 */   // Label 24221: @1780281
     /* 1780281 */   GIM_Try, /*On fail goto*//*Label 24222*/ GIMT_Encode4(1780367), // Rule ID 11915 //
     /* 1780286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1780297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1780300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1780303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1780306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780332 */     // MIs[0] policy
     /* 1780332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1780345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780366 */     // GIR_Coverage, 11915,
     /* 1780366 */     GIR_EraseRootFromParent_Done,
     /* 1780367 */   // Label 24222: @1780367
     /* 1780367 */   GIM_Try, /*On fail goto*//*Label 24223*/ GIMT_Encode4(1780453), // Rule ID 11918 //
     /* 1780372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1780383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1780386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1780389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1780392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780418 */     // MIs[0] policy
     /* 1780418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780428 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1780431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780452 */     // GIR_Coverage, 11918,
     /* 1780452 */     GIR_EraseRootFromParent_Done,
     /* 1780453 */   // Label 24223: @1780453
     /* 1780453 */   GIM_Try, /*On fail goto*//*Label 24224*/ GIMT_Encode4(1780539), // Rule ID 11919 //
     /* 1780458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1780469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1780472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1780475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1780478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780504 */     // MIs[0] policy
     /* 1780504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1780517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780538 */     // GIR_Coverage, 11919,
     /* 1780538 */     GIR_EraseRootFromParent_Done,
     /* 1780539 */   // Label 24224: @1780539
     /* 1780539 */   GIM_Try, /*On fail goto*//*Label 24225*/ GIMT_Encode4(1780625), // Rule ID 11922 //
     /* 1780544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1780547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1780555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1780558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1780561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1780564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780590 */     // MIs[0] policy
     /* 1780590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780600 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1780603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780624 */     // GIR_Coverage, 11922,
     /* 1780624 */     GIR_EraseRootFromParent_Done,
     /* 1780625 */   // Label 24225: @1780625
     /* 1780625 */   GIM_Try, /*On fail goto*//*Label 24226*/ GIMT_Encode4(1780711), // Rule ID 11923 //
     /* 1780630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1780633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1780641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1780644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1780647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1780650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780676 */     // MIs[0] policy
     /* 1780676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1780689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780710 */     // GIR_Coverage, 11923,
     /* 1780710 */     GIR_EraseRootFromParent_Done,
     /* 1780711 */   // Label 24226: @1780711
     /* 1780711 */   GIM_Try, /*On fail goto*//*Label 24227*/ GIMT_Encode4(1780797), // Rule ID 11926 //
     /* 1780716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1780719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1780727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1780730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1780733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1780736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780762 */     // MIs[0] policy
     /* 1780762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1780775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780796 */     // GIR_Coverage, 11926,
     /* 1780796 */     GIR_EraseRootFromParent_Done,
     /* 1780797 */   // Label 24227: @1780797
     /* 1780797 */   GIM_Try, /*On fail goto*//*Label 24228*/ GIMT_Encode4(1780883), // Rule ID 11927 //
     /* 1780802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1780805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1780813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1780816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1780819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1780822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780848 */     // MIs[0] policy
     /* 1780848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780858 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1780861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780882 */     // GIR_Coverage, 11927,
     /* 1780882 */     GIR_EraseRootFromParent_Done,
     /* 1780883 */   // Label 24228: @1780883
     /* 1780883 */   GIM_Try, /*On fail goto*//*Label 24229*/ GIMT_Encode4(1780969), // Rule ID 11930 //
     /* 1780888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1780891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1780899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1780902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1780905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1780908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780934 */     // MIs[0] policy
     /* 1780934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780944 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1780947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780968 */     // GIR_Coverage, 11930,
     /* 1780968 */     GIR_EraseRootFromParent_Done,
     /* 1780969 */   // Label 24229: @1780969
     /* 1780969 */   GIM_Try, /*On fail goto*//*Label 24230*/ GIMT_Encode4(1781055), // Rule ID 11931 //
     /* 1780974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1780977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1780985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1780988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1780991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1780994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781020 */     // MIs[0] policy
     /* 1781020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781030 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1781033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781054 */     // GIR_Coverage, 11931,
     /* 1781054 */     GIR_EraseRootFromParent_Done,
     /* 1781055 */   // Label 24230: @1781055
     /* 1781055 */   GIM_Try, /*On fail goto*//*Label 24231*/ GIMT_Encode4(1781141), // Rule ID 11934 //
     /* 1781060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781106 */     // MIs[0] policy
     /* 1781106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781116 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1781119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781140 */     // GIR_Coverage, 11934,
     /* 1781140 */     GIR_EraseRootFromParent_Done,
     /* 1781141 */   // Label 24231: @1781141
     /* 1781141 */   GIM_Try, /*On fail goto*//*Label 24232*/ GIMT_Encode4(1781227), // Rule ID 11935 //
     /* 1781146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781192 */     // MIs[0] policy
     /* 1781192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781202 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1781205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781226 */     // GIR_Coverage, 11935,
     /* 1781226 */     GIR_EraseRootFromParent_Done,
     /* 1781227 */   // Label 24232: @1781227
     /* 1781227 */   GIM_Try, /*On fail goto*//*Label 24233*/ GIMT_Encode4(1781313), // Rule ID 11938 //
     /* 1781232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1781243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1781246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1781249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781278 */     // MIs[0] policy
     /* 1781278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781288 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1781291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781312 */     // GIR_Coverage, 11938,
     /* 1781312 */     GIR_EraseRootFromParent_Done,
     /* 1781313 */   // Label 24233: @1781313
     /* 1781313 */   GIM_Try, /*On fail goto*//*Label 24234*/ GIMT_Encode4(1781399), // Rule ID 11939 //
     /* 1781318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1781329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1781332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1781335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781364 */     // MIs[0] policy
     /* 1781364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781374 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1781377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781398 */     // GIR_Coverage, 11939,
     /* 1781398 */     GIR_EraseRootFromParent_Done,
     /* 1781399 */   // Label 24234: @1781399
     /* 1781399 */   GIM_Try, /*On fail goto*//*Label 24235*/ GIMT_Encode4(1781485), // Rule ID 11942 //
     /* 1781404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1781415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1781418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1781421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781450 */     // MIs[0] policy
     /* 1781450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781460 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1781463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781484 */     // GIR_Coverage, 11942,
     /* 1781484 */     GIR_EraseRootFromParent_Done,
     /* 1781485 */   // Label 24235: @1781485
     /* 1781485 */   GIM_Try, /*On fail goto*//*Label 24236*/ GIMT_Encode4(1781571), // Rule ID 11943 //
     /* 1781490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1781501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1781504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1781507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781536 */     // MIs[0] policy
     /* 1781536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781546 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1781549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781570 */     // GIR_Coverage, 11943,
     /* 1781570 */     GIR_EraseRootFromParent_Done,
     /* 1781571 */   // Label 24236: @1781571
     /* 1781571 */   GIM_Try, /*On fail goto*//*Label 24237*/ GIMT_Encode4(1781657), // Rule ID 11946 //
     /* 1781576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1781587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1781590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1781593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781622 */     // MIs[0] policy
     /* 1781622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781632 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1781635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781656 */     // GIR_Coverage, 11946,
     /* 1781656 */     GIR_EraseRootFromParent_Done,
     /* 1781657 */   // Label 24237: @1781657
     /* 1781657 */   GIM_Try, /*On fail goto*//*Label 24238*/ GIMT_Encode4(1781743), // Rule ID 11947 //
     /* 1781662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1781673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1781676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1781679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781708 */     // MIs[0] policy
     /* 1781708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781718 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1781721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781742 */     // GIR_Coverage, 11947,
     /* 1781742 */     GIR_EraseRootFromParent_Done,
     /* 1781743 */   // Label 24238: @1781743
     /* 1781743 */   GIM_Try, /*On fail goto*//*Label 24239*/ GIMT_Encode4(1781829), // Rule ID 11950 //
     /* 1781748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1781759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1781762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1781765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781794 */     // MIs[0] policy
     /* 1781794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1781807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781828 */     // GIR_Coverage, 11950,
     /* 1781828 */     GIR_EraseRootFromParent_Done,
     /* 1781829 */   // Label 24239: @1781829
     /* 1781829 */   GIM_Try, /*On fail goto*//*Label 24240*/ GIMT_Encode4(1781915), // Rule ID 11951 //
     /* 1781834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1781845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1781848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1781851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781880 */     // MIs[0] policy
     /* 1781880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781890 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1781893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781914 */     // GIR_Coverage, 11951,
     /* 1781914 */     GIR_EraseRootFromParent_Done,
     /* 1781915 */   // Label 24240: @1781915
     /* 1781915 */   GIM_Try, /*On fail goto*//*Label 24241*/ GIMT_Encode4(1782001), // Rule ID 11954 //
     /* 1781920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1781931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1781934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1781937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781966 */     // MIs[0] policy
     /* 1781966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781976 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1781979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782000 */     // GIR_Coverage, 11954,
     /* 1782000 */     GIR_EraseRootFromParent_Done,
     /* 1782001 */   // Label 24241: @1782001
     /* 1782001 */   GIM_Try, /*On fail goto*//*Label 24242*/ GIMT_Encode4(1782087), // Rule ID 11955 //
     /* 1782006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1782017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1782020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1782023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782052 */     // MIs[0] policy
     /* 1782052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782062 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1782065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782086 */     // GIR_Coverage, 11955,
     /* 1782086 */     GIR_EraseRootFromParent_Done,
     /* 1782087 */   // Label 24242: @1782087
     /* 1782087 */   GIM_Try, /*On fail goto*//*Label 24243*/ GIMT_Encode4(1782173), // Rule ID 11958 //
     /* 1782092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1782103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1782106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1782109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782138 */     // MIs[0] policy
     /* 1782138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782148 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1782151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782172 */     // GIR_Coverage, 11958,
     /* 1782172 */     GIR_EraseRootFromParent_Done,
     /* 1782173 */   // Label 24243: @1782173
     /* 1782173 */   GIM_Try, /*On fail goto*//*Label 24244*/ GIMT_Encode4(1782259), // Rule ID 11959 //
     /* 1782178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1782189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1782192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1782195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782224 */     // MIs[0] policy
     /* 1782224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1782237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782258 */     // GIR_Coverage, 11959,
     /* 1782258 */     GIR_EraseRootFromParent_Done,
     /* 1782259 */   // Label 24244: @1782259
     /* 1782259 */   GIM_Try, /*On fail goto*//*Label 24245*/ GIMT_Encode4(1782345), // Rule ID 11962 //
     /* 1782264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1782275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1782278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1782281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782310 */     // MIs[0] policy
     /* 1782310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1782323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782344 */     // GIR_Coverage, 11962,
     /* 1782344 */     GIR_EraseRootFromParent_Done,
     /* 1782345 */   // Label 24245: @1782345
     /* 1782345 */   GIM_Try, /*On fail goto*//*Label 24246*/ GIMT_Encode4(1782431), // Rule ID 11963 //
     /* 1782350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1782361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1782364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1782367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782396 */     // MIs[0] policy
     /* 1782396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782406 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1782409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782430 */     // GIR_Coverage, 11963,
     /* 1782430 */     GIR_EraseRootFromParent_Done,
     /* 1782431 */   // Label 24246: @1782431
     /* 1782431 */   GIM_Try, /*On fail goto*//*Label 24247*/ GIMT_Encode4(1782517), // Rule ID 11966 //
     /* 1782436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1782447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1782450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1782453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782482 */     // MIs[0] policy
     /* 1782482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1782495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782516 */     // GIR_Coverage, 11966,
     /* 1782516 */     GIR_EraseRootFromParent_Done,
     /* 1782517 */   // Label 24247: @1782517
     /* 1782517 */   GIM_Try, /*On fail goto*//*Label 24248*/ GIMT_Encode4(1782603), // Rule ID 11967 //
     /* 1782522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1782533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1782536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1782539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782568 */     // MIs[0] policy
     /* 1782568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1782581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782602 */     // GIR_Coverage, 11967,
     /* 1782602 */     GIR_EraseRootFromParent_Done,
     /* 1782603 */   // Label 24248: @1782603
     /* 1782603 */   GIM_Try, /*On fail goto*//*Label 24249*/ GIMT_Encode4(1782689), // Rule ID 11970 //
     /* 1782608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1782611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1782619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1782622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1782625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782654 */     // MIs[0] policy
     /* 1782654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1782667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782688 */     // GIR_Coverage, 11970,
     /* 1782688 */     GIR_EraseRootFromParent_Done,
     /* 1782689 */   // Label 24249: @1782689
     /* 1782689 */   GIM_Try, /*On fail goto*//*Label 24250*/ GIMT_Encode4(1782775), // Rule ID 11971 //
     /* 1782694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1782697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1782705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1782708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1782711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782740 */     // MIs[0] policy
     /* 1782740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1782753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782774 */     // GIR_Coverage, 11971,
     /* 1782774 */     GIR_EraseRootFromParent_Done,
     /* 1782775 */   // Label 24250: @1782775
     /* 1782775 */   GIM_Try, /*On fail goto*//*Label 24251*/ GIMT_Encode4(1782861), // Rule ID 11974 //
     /* 1782780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1782791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1782794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1782797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1782803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782826 */     // MIs[0] policy
     /* 1782826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782836 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1782839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782860 */     // GIR_Coverage, 11974,
     /* 1782860 */     GIR_EraseRootFromParent_Done,
     /* 1782861 */   // Label 24251: @1782861
     /* 1782861 */   GIM_Try, /*On fail goto*//*Label 24252*/ GIMT_Encode4(1782947), // Rule ID 11975 //
     /* 1782866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1782877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1782880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1782883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1782889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782912 */     // MIs[0] policy
     /* 1782912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782922 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1782925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782946 */     // GIR_Coverage, 11975,
     /* 1782946 */     GIR_EraseRootFromParent_Done,
     /* 1782947 */   // Label 24252: @1782947
     /* 1782947 */   GIM_Try, /*On fail goto*//*Label 24253*/ GIMT_Encode4(1783033), // Rule ID 11978 //
     /* 1782952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1782963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1782966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1782969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1782975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1782982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782998 */     // MIs[0] policy
     /* 1782998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783008 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1783011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783032 */     // GIR_Coverage, 11978,
     /* 1783032 */     GIR_EraseRootFromParent_Done,
     /* 1783033 */   // Label 24253: @1783033
     /* 1783033 */   GIM_Try, /*On fail goto*//*Label 24254*/ GIMT_Encode4(1783119), // Rule ID 11979 //
     /* 1783038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1783049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1783052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1783055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783084 */     // MIs[0] policy
     /* 1783084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783094 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1783097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783118 */     // GIR_Coverage, 11979,
     /* 1783118 */     GIR_EraseRootFromParent_Done,
     /* 1783119 */   // Label 24254: @1783119
     /* 1783119 */   GIM_Try, /*On fail goto*//*Label 24255*/ GIMT_Encode4(1783205), // Rule ID 11982 //
     /* 1783124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1783135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1783138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1783141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1783147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783170 */     // MIs[0] policy
     /* 1783170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783180 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1783183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783204 */     // GIR_Coverage, 11982,
     /* 1783204 */     GIR_EraseRootFromParent_Done,
     /* 1783205 */   // Label 24255: @1783205
     /* 1783205 */   GIM_Try, /*On fail goto*//*Label 24256*/ GIMT_Encode4(1783291), // Rule ID 11983 //
     /* 1783210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1783221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1783224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1783227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1783233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783256 */     // MIs[0] policy
     /* 1783256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783266 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1783269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783290 */     // GIR_Coverage, 11983,
     /* 1783290 */     GIR_EraseRootFromParent_Done,
     /* 1783291 */   // Label 24256: @1783291
     /* 1783291 */   GIM_Try, /*On fail goto*//*Label 24257*/ GIMT_Encode4(1783377), // Rule ID 11986 //
     /* 1783296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1783307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1783310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1783313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783342 */     // MIs[0] policy
     /* 1783342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783352 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1783355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783376 */     // GIR_Coverage, 11986,
     /* 1783376 */     GIR_EraseRootFromParent_Done,
     /* 1783377 */   // Label 24257: @1783377
     /* 1783377 */   GIM_Try, /*On fail goto*//*Label 24258*/ GIMT_Encode4(1783463), // Rule ID 11987 //
     /* 1783382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1783393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1783396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1783399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783428 */     // MIs[0] policy
     /* 1783428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783438 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1783441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783462 */     // GIR_Coverage, 11987,
     /* 1783462 */     GIR_EraseRootFromParent_Done,
     /* 1783463 */   // Label 24258: @1783463
     /* 1783463 */   GIM_Try, /*On fail goto*//*Label 24259*/ GIMT_Encode4(1783549), // Rule ID 11990 //
     /* 1783468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1783479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1783482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1783485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783514 */     // MIs[0] policy
     /* 1783514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783524 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1783527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783548 */     // GIR_Coverage, 11990,
     /* 1783548 */     GIR_EraseRootFromParent_Done,
     /* 1783549 */   // Label 24259: @1783549
     /* 1783549 */   GIM_Try, /*On fail goto*//*Label 24260*/ GIMT_Encode4(1783635), // Rule ID 11991 //
     /* 1783554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1783565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1783568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1783571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783600 */     // MIs[0] policy
     /* 1783600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783610 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1783613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783634 */     // GIR_Coverage, 11991,
     /* 1783634 */     GIR_EraseRootFromParent_Done,
     /* 1783635 */   // Label 24260: @1783635
     /* 1783635 */   GIM_Try, /*On fail goto*//*Label 24261*/ GIMT_Encode4(1783721), // Rule ID 11994 //
     /* 1783640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1783651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1783654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1783657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783686 */     // MIs[0] policy
     /* 1783686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1783699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783720 */     // GIR_Coverage, 11994,
     /* 1783720 */     GIR_EraseRootFromParent_Done,
     /* 1783721 */   // Label 24261: @1783721
     /* 1783721 */   GIM_Try, /*On fail goto*//*Label 24262*/ GIMT_Encode4(1783807), // Rule ID 11995 //
     /* 1783726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1783737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1783740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1783743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783772 */     // MIs[0] policy
     /* 1783772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783782 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1783785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783806 */     // GIR_Coverage, 11995,
     /* 1783806 */     GIR_EraseRootFromParent_Done,
     /* 1783807 */   // Label 24262: @1783807
     /* 1783807 */   GIM_Try, /*On fail goto*//*Label 24263*/ GIMT_Encode4(1783893), // Rule ID 11998 //
     /* 1783812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1783823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1783826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1783829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783858 */     // MIs[0] policy
     /* 1783858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783868 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1783871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783892 */     // GIR_Coverage, 11998,
     /* 1783892 */     GIR_EraseRootFromParent_Done,
     /* 1783893 */   // Label 24263: @1783893
     /* 1783893 */   GIM_Try, /*On fail goto*//*Label 24264*/ GIMT_Encode4(1783979), // Rule ID 11999 //
     /* 1783898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1783909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1783912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1783915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783944 */     // MIs[0] policy
     /* 1783944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783954 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1783957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783978 */     // GIR_Coverage, 11999,
     /* 1783978 */     GIR_EraseRootFromParent_Done,
     /* 1783979 */   // Label 24264: @1783979
     /* 1783979 */   GIM_Try, /*On fail goto*//*Label 24265*/ GIMT_Encode4(1784065), // Rule ID 12002 //
     /* 1783984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1783995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1783998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784030 */     // MIs[0] policy
     /* 1784030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784040 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1784043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784064 */     // GIR_Coverage, 12002,
     /* 1784064 */     GIR_EraseRootFromParent_Done,
     /* 1784065 */   // Label 24265: @1784065
     /* 1784065 */   GIM_Try, /*On fail goto*//*Label 24266*/ GIMT_Encode4(1784151), // Rule ID 12003 //
     /* 1784070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1784081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1784084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784116 */     // MIs[0] policy
     /* 1784116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1784129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784150 */     // GIR_Coverage, 12003,
     /* 1784150 */     GIR_EraseRootFromParent_Done,
     /* 1784151 */   // Label 24266: @1784151
     /* 1784151 */   GIM_Try, /*On fail goto*//*Label 24267*/ GIMT_Encode4(1784237), // Rule ID 12006 //
     /* 1784156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1784167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1784170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1784173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784202 */     // MIs[0] policy
     /* 1784202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784212 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1784215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784236 */     // GIR_Coverage, 12006,
     /* 1784236 */     GIR_EraseRootFromParent_Done,
     /* 1784237 */   // Label 24267: @1784237
     /* 1784237 */   GIM_Try, /*On fail goto*//*Label 24268*/ GIMT_Encode4(1784323), // Rule ID 12007 //
     /* 1784242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1784253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1784256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1784259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784288 */     // MIs[0] policy
     /* 1784288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784298 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1784301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784322 */     // GIR_Coverage, 12007,
     /* 1784322 */     GIR_EraseRootFromParent_Done,
     /* 1784323 */   // Label 24268: @1784323
     /* 1784323 */   GIM_Try, /*On fail goto*//*Label 24269*/ GIMT_Encode4(1784409), // Rule ID 12010 //
     /* 1784328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1784331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1784339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1784342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1784345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784374 */     // MIs[0] policy
     /* 1784374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784384 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1784387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784408 */     // GIR_Coverage, 12010,
     /* 1784408 */     GIR_EraseRootFromParent_Done,
     /* 1784409 */   // Label 24269: @1784409
     /* 1784409 */   GIM_Try, /*On fail goto*//*Label 24270*/ GIMT_Encode4(1784495), // Rule ID 12011 //
     /* 1784414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1784417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1784425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1784428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1784431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784460 */     // MIs[0] policy
     /* 1784460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784470 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1784473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784494 */     // GIR_Coverage, 12011,
     /* 1784494 */     GIR_EraseRootFromParent_Done,
     /* 1784495 */   // Label 24270: @1784495
     /* 1784495 */   GIM_Try, /*On fail goto*//*Label 24271*/ GIMT_Encode4(1784581), // Rule ID 12014 //
     /* 1784500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1784503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1784511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1784514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1784517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784546 */     // MIs[0] policy
     /* 1784546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784556 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1784559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784580 */     // GIR_Coverage, 12014,
     /* 1784580 */     GIR_EraseRootFromParent_Done,
     /* 1784581 */   // Label 24271: @1784581
     /* 1784581 */   GIM_Try, /*On fail goto*//*Label 24272*/ GIMT_Encode4(1784667), // Rule ID 12015 //
     /* 1784586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1784589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1784597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1784600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1784603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784632 */     // MIs[0] policy
     /* 1784632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784642 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1784645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784666 */     // GIR_Coverage, 12015,
     /* 1784666 */     GIR_EraseRootFromParent_Done,
     /* 1784667 */   // Label 24272: @1784667
     /* 1784667 */   GIM_Try, /*On fail goto*//*Label 24273*/ GIMT_Encode4(1784753), // Rule ID 12018 //
     /* 1784672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1784675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1784683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1784686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1784689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784718 */     // MIs[0] policy
     /* 1784718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784728 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1784731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784752 */     // GIR_Coverage, 12018,
     /* 1784752 */     GIR_EraseRootFromParent_Done,
     /* 1784753 */   // Label 24273: @1784753
     /* 1784753 */   GIM_Try, /*On fail goto*//*Label 24274*/ GIMT_Encode4(1784839), // Rule ID 12019 //
     /* 1784758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1784761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1784769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1784772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1784775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784804 */     // MIs[0] policy
     /* 1784804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784814 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1784817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784838 */     // GIR_Coverage, 12019,
     /* 1784838 */     GIR_EraseRootFromParent_Done,
     /* 1784839 */   // Label 24274: @1784839
     /* 1784839 */   GIM_Try, /*On fail goto*//*Label 24275*/ GIMT_Encode4(1784925), // Rule ID 12022 //
     /* 1784844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1784855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1784858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1784861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1784864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1784867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784890 */     // MIs[0] policy
     /* 1784890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784900 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1784903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784924 */     // GIR_Coverage, 12022,
     /* 1784924 */     GIR_EraseRootFromParent_Done,
     /* 1784925 */   // Label 24275: @1784925
     /* 1784925 */   GIM_Try, /*On fail goto*//*Label 24276*/ GIMT_Encode4(1785011), // Rule ID 12023 //
     /* 1784930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1784941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1784944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1784947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1784950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1784953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784976 */     // MIs[0] policy
     /* 1784976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784986 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1784989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785010 */     // GIR_Coverage, 12023,
     /* 1785010 */     GIR_EraseRootFromParent_Done,
     /* 1785011 */   // Label 24276: @1785011
     /* 1785011 */   GIM_Try, /*On fail goto*//*Label 24277*/ GIMT_Encode4(1785097), // Rule ID 12026 //
     /* 1785016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1785027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1785030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1785033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1785036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785062 */     // MIs[0] policy
     /* 1785062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785072 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1785075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785096 */     // GIR_Coverage, 12026,
     /* 1785096 */     GIR_EraseRootFromParent_Done,
     /* 1785097 */   // Label 24277: @1785097
     /* 1785097 */   GIM_Try, /*On fail goto*//*Label 24278*/ GIMT_Encode4(1785183), // Rule ID 12027 //
     /* 1785102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1785113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1785116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1785119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1785122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785148 */     // MIs[0] policy
     /* 1785148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1785161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785182 */     // GIR_Coverage, 12027,
     /* 1785182 */     GIR_EraseRootFromParent_Done,
     /* 1785183 */   // Label 24278: @1785183
     /* 1785183 */   GIM_Try, /*On fail goto*//*Label 24279*/ GIMT_Encode4(1785269), // Rule ID 12030 //
     /* 1785188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1785199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1785202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1785205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1785208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785234 */     // MIs[0] policy
     /* 1785234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785244 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1785247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785268 */     // GIR_Coverage, 12030,
     /* 1785268 */     GIR_EraseRootFromParent_Done,
     /* 1785269 */   // Label 24279: @1785269
     /* 1785269 */   GIM_Try, /*On fail goto*//*Label 24280*/ GIMT_Encode4(1785355), // Rule ID 12031 //
     /* 1785274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1785285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1785288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1785291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1785294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785320 */     // MIs[0] policy
     /* 1785320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785330 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1785333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785354 */     // GIR_Coverage, 12031,
     /* 1785354 */     GIR_EraseRootFromParent_Done,
     /* 1785355 */   // Label 24280: @1785355
     /* 1785355 */   GIM_Try, /*On fail goto*//*Label 24281*/ GIMT_Encode4(1785441), // Rule ID 12034 //
     /* 1785360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1785371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1785374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1785377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1785380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785406 */     // MIs[0] policy
     /* 1785406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785416 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1785419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785440 */     // GIR_Coverage, 12034,
     /* 1785440 */     GIR_EraseRootFromParent_Done,
     /* 1785441 */   // Label 24281: @1785441
     /* 1785441 */   GIM_Try, /*On fail goto*//*Label 24282*/ GIMT_Encode4(1785527), // Rule ID 12035 //
     /* 1785446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1785457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1785460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1785463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1785466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785492 */     // MIs[0] policy
     /* 1785492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1785505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785526 */     // GIR_Coverage, 12035,
     /* 1785526 */     GIR_EraseRootFromParent_Done,
     /* 1785527 */   // Label 24282: @1785527
     /* 1785527 */   GIM_Try, /*On fail goto*//*Label 24283*/ GIMT_Encode4(1785613), // Rule ID 12038 //
     /* 1785532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1785543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1785546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1785549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1785552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785578 */     // MIs[0] policy
     /* 1785578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785588 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1785591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785612 */     // GIR_Coverage, 12038,
     /* 1785612 */     GIR_EraseRootFromParent_Done,
     /* 1785613 */   // Label 24283: @1785613
     /* 1785613 */   GIM_Try, /*On fail goto*//*Label 24284*/ GIMT_Encode4(1785699), // Rule ID 12039 //
     /* 1785618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1785629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1785632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1785635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1785638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785664 */     // MIs[0] policy
     /* 1785664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785674 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1785677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785698 */     // GIR_Coverage, 12039,
     /* 1785698 */     GIR_EraseRootFromParent_Done,
     /* 1785699 */   // Label 24284: @1785699
     /* 1785699 */   GIM_Try, /*On fail goto*//*Label 24285*/ GIMT_Encode4(1785785), // Rule ID 12042 //
     /* 1785704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1785715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1785718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1785721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1785724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785750 */     // MIs[0] policy
     /* 1785750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785760 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1785763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785784 */     // GIR_Coverage, 12042,
     /* 1785784 */     GIR_EraseRootFromParent_Done,
     /* 1785785 */   // Label 24285: @1785785
     /* 1785785 */   GIM_Try, /*On fail goto*//*Label 24286*/ GIMT_Encode4(1785871), // Rule ID 12043 //
     /* 1785790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1785801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1785804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1785807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1785810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785836 */     // MIs[0] policy
     /* 1785836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1785849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785870 */     // GIR_Coverage, 12043,
     /* 1785870 */     GIR_EraseRootFromParent_Done,
     /* 1785871 */   // Label 24286: @1785871
     /* 1785871 */   GIM_Try, /*On fail goto*//*Label 24287*/ GIMT_Encode4(1785957), // Rule ID 12046 //
     /* 1785876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1785887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1785890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1785893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1785896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785922 */     // MIs[0] policy
     /* 1785922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1785935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785956 */     // GIR_Coverage, 12046,
     /* 1785956 */     GIR_EraseRootFromParent_Done,
     /* 1785957 */   // Label 24287: @1785957
     /* 1785957 */   GIM_Try, /*On fail goto*//*Label 24288*/ GIMT_Encode4(1786043), // Rule ID 12047 //
     /* 1785962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1785973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1785976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1785979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1785982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786008 */     // MIs[0] policy
     /* 1786008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786018 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1786021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786042 */     // GIR_Coverage, 12047,
     /* 1786042 */     GIR_EraseRootFromParent_Done,
     /* 1786043 */   // Label 24288: @1786043
     /* 1786043 */   GIM_Try, /*On fail goto*//*Label 24289*/ GIMT_Encode4(1786129), // Rule ID 12050 //
     /* 1786048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1786059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1786062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1786065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1786068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786094 */     // MIs[0] policy
     /* 1786094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1786107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786128 */     // GIR_Coverage, 12050,
     /* 1786128 */     GIR_EraseRootFromParent_Done,
     /* 1786129 */   // Label 24289: @1786129
     /* 1786129 */   GIM_Try, /*On fail goto*//*Label 24290*/ GIMT_Encode4(1786215), // Rule ID 12051 //
     /* 1786134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1786145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1786148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1786151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1786154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786180 */     // MIs[0] policy
     /* 1786180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1786193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786214 */     // GIR_Coverage, 12051,
     /* 1786214 */     GIR_EraseRootFromParent_Done,
     /* 1786215 */   // Label 24290: @1786215
     /* 1786215 */   GIM_Try, /*On fail goto*//*Label 24291*/ GIMT_Encode4(1786301), // Rule ID 12054 //
     /* 1786220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1786231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1786234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1786237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1786240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786266 */     // MIs[0] policy
     /* 1786266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786276 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1786279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786300 */     // GIR_Coverage, 12054,
     /* 1786300 */     GIR_EraseRootFromParent_Done,
     /* 1786301 */   // Label 24291: @1786301
     /* 1786301 */   GIM_Try, /*On fail goto*//*Label 24292*/ GIMT_Encode4(1786387), // Rule ID 12055 //
     /* 1786306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1786317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1786320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1786323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1786326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786352 */     // MIs[0] policy
     /* 1786352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786362 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1786365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786386 */     // GIR_Coverage, 12055,
     /* 1786386 */     GIR_EraseRootFromParent_Done,
     /* 1786387 */   // Label 24292: @1786387
     /* 1786387 */   GIM_Try, /*On fail goto*//*Label 24293*/ GIMT_Encode4(1786473), // Rule ID 12058 //
     /* 1786392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1786395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1786403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1786406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1786409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1786412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786438 */     // MIs[0] policy
     /* 1786438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1786451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786472 */     // GIR_Coverage, 12058,
     /* 1786472 */     GIR_EraseRootFromParent_Done,
     /* 1786473 */   // Label 24293: @1786473
     /* 1786473 */   GIM_Try, /*On fail goto*//*Label 24294*/ GIMT_Encode4(1786559), // Rule ID 12059 //
     /* 1786478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1786481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1786489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1786492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1786495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1786498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786524 */     // MIs[0] policy
     /* 1786524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786534 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1786537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786558 */     // GIR_Coverage, 12059,
     /* 1786558 */     GIR_EraseRootFromParent_Done,
     /* 1786559 */   // Label 24294: @1786559
     /* 1786559 */   GIM_Try, /*On fail goto*//*Label 24295*/ GIMT_Encode4(1786645), // Rule ID 12062 //
     /* 1786564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1786575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1786578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1786581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1786584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1786587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786610 */     // MIs[0] policy
     /* 1786610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786620 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1786623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786644 */     // GIR_Coverage, 12062,
     /* 1786644 */     GIR_EraseRootFromParent_Done,
     /* 1786645 */   // Label 24295: @1786645
     /* 1786645 */   GIM_Try, /*On fail goto*//*Label 24296*/ GIMT_Encode4(1786731), // Rule ID 12063 //
     /* 1786650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1786661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1786664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1786667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1786670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1786673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786696 */     // MIs[0] policy
     /* 1786696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786706 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1786709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786730 */     // GIR_Coverage, 12063,
     /* 1786730 */     GIR_EraseRootFromParent_Done,
     /* 1786731 */   // Label 24296: @1786731
     /* 1786731 */   GIM_Try, /*On fail goto*//*Label 24297*/ GIMT_Encode4(1786817), // Rule ID 12066 //
     /* 1786736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1786747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1786750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1786753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1786756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1786759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786782 */     // MIs[0] policy
     /* 1786782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786792 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1786795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786816 */     // GIR_Coverage, 12066,
     /* 1786816 */     GIR_EraseRootFromParent_Done,
     /* 1786817 */   // Label 24297: @1786817
     /* 1786817 */   GIM_Try, /*On fail goto*//*Label 24298*/ GIMT_Encode4(1786903), // Rule ID 12067 //
     /* 1786822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1786833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1786836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1786839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1786842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1786845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786868 */     // MIs[0] policy
     /* 1786868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786878 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1786881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786902 */     // GIR_Coverage, 12067,
     /* 1786902 */     GIR_EraseRootFromParent_Done,
     /* 1786903 */   // Label 24298: @1786903
     /* 1786903 */   GIM_Try, /*On fail goto*//*Label 24299*/ GIMT_Encode4(1786989), // Rule ID 12070 //
     /* 1786908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1786919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1786922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1786925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1786928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1786931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786954 */     // MIs[0] policy
     /* 1786954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786964 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1786967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786988 */     // GIR_Coverage, 12070,
     /* 1786988 */     GIR_EraseRootFromParent_Done,
     /* 1786989 */   // Label 24299: @1786989
     /* 1786989 */   GIM_Try, /*On fail goto*//*Label 24300*/ GIMT_Encode4(1787075), // Rule ID 12071 //
     /* 1786994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1787005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1787008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1787011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1787014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1787017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787040 */     // MIs[0] policy
     /* 1787040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787050 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1787053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787074 */     // GIR_Coverage, 12071,
     /* 1787074 */     GIR_EraseRootFromParent_Done,
     /* 1787075 */   // Label 24300: @1787075
     /* 1787075 */   GIM_Try, /*On fail goto*//*Label 24301*/ GIMT_Encode4(1787161), // Rule ID 12074 //
     /* 1787080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1787091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1787094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1787097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1787100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787126 */     // MIs[0] policy
     /* 1787126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787136 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1787139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787160 */     // GIR_Coverage, 12074,
     /* 1787160 */     GIR_EraseRootFromParent_Done,
     /* 1787161 */   // Label 24301: @1787161
     /* 1787161 */   GIM_Try, /*On fail goto*//*Label 24302*/ GIMT_Encode4(1787247), // Rule ID 12075 //
     /* 1787166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1787177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1787180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1787183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1787186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787212 */     // MIs[0] policy
     /* 1787212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787222 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1787225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787246 */     // GIR_Coverage, 12075,
     /* 1787246 */     GIR_EraseRootFromParent_Done,
     /* 1787247 */   // Label 24302: @1787247
     /* 1787247 */   GIM_Try, /*On fail goto*//*Label 24303*/ GIMT_Encode4(1787333), // Rule ID 12078 //
     /* 1787252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1787263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1787266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1787269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1787272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787298 */     // MIs[0] policy
     /* 1787298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1787311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787332 */     // GIR_Coverage, 12078,
     /* 1787332 */     GIR_EraseRootFromParent_Done,
     /* 1787333 */   // Label 24303: @1787333
     /* 1787333 */   GIM_Try, /*On fail goto*//*Label 24304*/ GIMT_Encode4(1787419), // Rule ID 12079 //
     /* 1787338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1787349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1787352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1787355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1787358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787384 */     // MIs[0] policy
     /* 1787384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1787397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787418 */     // GIR_Coverage, 12079,
     /* 1787418 */     GIR_EraseRootFromParent_Done,
     /* 1787419 */   // Label 24304: @1787419
     /* 1787419 */   GIM_Try, /*On fail goto*//*Label 24305*/ GIMT_Encode4(1787505), // Rule ID 12082 //
     /* 1787424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1787435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1787438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1787441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1787444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787470 */     // MIs[0] policy
     /* 1787470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787480 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1787483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787504 */     // GIR_Coverage, 12082,
     /* 1787504 */     GIR_EraseRootFromParent_Done,
     /* 1787505 */   // Label 24305: @1787505
     /* 1787505 */   GIM_Try, /*On fail goto*//*Label 24306*/ GIMT_Encode4(1787591), // Rule ID 12083 //
     /* 1787510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1787521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1787524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1787527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1787530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787556 */     // MIs[0] policy
     /* 1787556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1787569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787590 */     // GIR_Coverage, 12083,
     /* 1787590 */     GIR_EraseRootFromParent_Done,
     /* 1787591 */   // Label 24306: @1787591
     /* 1787591 */   GIM_Try, /*On fail goto*//*Label 24307*/ GIMT_Encode4(1787677), // Rule ID 12086 //
     /* 1787596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1787607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1787610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1787613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1787616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787642 */     // MIs[0] policy
     /* 1787642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1787655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787676 */     // GIR_Coverage, 12086,
     /* 1787676 */     GIR_EraseRootFromParent_Done,
     /* 1787677 */   // Label 24307: @1787677
     /* 1787677 */   GIM_Try, /*On fail goto*//*Label 24308*/ GIMT_Encode4(1787763), // Rule ID 12087 //
     /* 1787682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1787693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1787696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1787699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1787702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787728 */     // MIs[0] policy
     /* 1787728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787738 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1787741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787762 */     // GIR_Coverage, 12087,
     /* 1787762 */     GIR_EraseRootFromParent_Done,
     /* 1787763 */   // Label 24308: @1787763
     /* 1787763 */   GIM_Try, /*On fail goto*//*Label 24309*/ GIMT_Encode4(1787849), // Rule ID 12090 //
     /* 1787768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1787779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1787782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1787785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1787788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787814 */     // MIs[0] policy
     /* 1787814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1787827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787848 */     // GIR_Coverage, 12090,
     /* 1787848 */     GIR_EraseRootFromParent_Done,
     /* 1787849 */   // Label 24309: @1787849
     /* 1787849 */   GIM_Try, /*On fail goto*//*Label 24310*/ GIMT_Encode4(1787935), // Rule ID 12091 //
     /* 1787854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1787865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1787868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1787871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1787874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787900 */     // MIs[0] policy
     /* 1787900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1787913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787934 */     // GIR_Coverage, 12091,
     /* 1787934 */     GIR_EraseRootFromParent_Done,
     /* 1787935 */   // Label 24310: @1787935
     /* 1787935 */   GIM_Try, /*On fail goto*//*Label 24311*/ GIMT_Encode4(1788021), // Rule ID 12094 //
     /* 1787940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1787951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1787954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1787957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1787960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787986 */     // MIs[0] policy
     /* 1787986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1787999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788020 */     // GIR_Coverage, 12094,
     /* 1788020 */     GIR_EraseRootFromParent_Done,
     /* 1788021 */   // Label 24311: @1788021
     /* 1788021 */   GIM_Try, /*On fail goto*//*Label 24312*/ GIMT_Encode4(1788107), // Rule ID 12095 //
     /* 1788026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1788037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1788040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1788043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1788046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788072 */     // MIs[0] policy
     /* 1788072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788082 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1788085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788106 */     // GIR_Coverage, 12095,
     /* 1788106 */     GIR_EraseRootFromParent_Done,
     /* 1788107 */   // Label 24312: @1788107
     /* 1788107 */   GIM_Try, /*On fail goto*//*Label 24313*/ GIMT_Encode4(1788193), // Rule ID 12098 //
     /* 1788112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1788129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1788132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788158 */     // MIs[0] policy
     /* 1788158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1788171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788192 */     // GIR_Coverage, 12098,
     /* 1788192 */     GIR_EraseRootFromParent_Done,
     /* 1788193 */   // Label 24313: @1788193
     /* 1788193 */   GIM_Try, /*On fail goto*//*Label 24314*/ GIMT_Encode4(1788279), // Rule ID 12099 //
     /* 1788198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1788201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1788215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1788218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788244 */     // MIs[0] policy
     /* 1788244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788254 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1788257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788278 */     // GIR_Coverage, 12099,
     /* 1788278 */     GIR_EraseRootFromParent_Done,
     /* 1788279 */   // Label 24314: @1788279
     /* 1788279 */   GIM_Try, /*On fail goto*//*Label 24315*/ GIMT_Encode4(1788365), // Rule ID 12102 //
     /* 1788284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1788295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1788298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1788301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1788304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788330 */     // MIs[0] policy
     /* 1788330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788340 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1788343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788364 */     // GIR_Coverage, 12102,
     /* 1788364 */     GIR_EraseRootFromParent_Done,
     /* 1788365 */   // Label 24315: @1788365
     /* 1788365 */   GIM_Try, /*On fail goto*//*Label 24316*/ GIMT_Encode4(1788451), // Rule ID 12103 //
     /* 1788370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1788373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1788381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1788384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1788387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1788390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788416 */     // MIs[0] policy
     /* 1788416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788426 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1788429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788450 */     // GIR_Coverage, 12103,
     /* 1788450 */     GIR_EraseRootFromParent_Done,
     /* 1788451 */   // Label 24316: @1788451
     /* 1788451 */   GIM_Try, /*On fail goto*//*Label 24317*/ GIMT_Encode4(1788537), // Rule ID 12106 //
     /* 1788456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1788467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1788470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1788473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1788476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788502 */     // MIs[0] policy
     /* 1788502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788512 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1788515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788536 */     // GIR_Coverage, 12106,
     /* 1788536 */     GIR_EraseRootFromParent_Done,
     /* 1788537 */   // Label 24317: @1788537
     /* 1788537 */   GIM_Try, /*On fail goto*//*Label 24318*/ GIMT_Encode4(1788623), // Rule ID 12107 //
     /* 1788542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1788545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1788553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1788556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1788559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1788562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788588 */     // MIs[0] policy
     /* 1788588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788598 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1788601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788622 */     // GIR_Coverage, 12107,
     /* 1788622 */     GIR_EraseRootFromParent_Done,
     /* 1788623 */   // Label 24318: @1788623
     /* 1788623 */   GIM_Try, /*On fail goto*//*Label 24319*/ GIMT_Encode4(1788709), // Rule ID 12110 //
     /* 1788628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1788639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1788642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1788645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788674 */     // MIs[0] policy
     /* 1788674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788684 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1788687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788708 */     // GIR_Coverage, 12110,
     /* 1788708 */     GIR_EraseRootFromParent_Done,
     /* 1788709 */   // Label 24319: @1788709
     /* 1788709 */   GIM_Try, /*On fail goto*//*Label 24320*/ GIMT_Encode4(1788795), // Rule ID 12111 //
     /* 1788714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1788725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1788728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1788731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788760 */     // MIs[0] policy
     /* 1788760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788770 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1788773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788794 */     // GIR_Coverage, 12111,
     /* 1788794 */     GIR_EraseRootFromParent_Done,
     /* 1788795 */   // Label 24320: @1788795
     /* 1788795 */   GIM_Try, /*On fail goto*//*Label 24321*/ GIMT_Encode4(1788881), // Rule ID 12114 //
     /* 1788800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1788811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1788814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1788817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788846 */     // MIs[0] policy
     /* 1788846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788856 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1788859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788880 */     // GIR_Coverage, 12114,
     /* 1788880 */     GIR_EraseRootFromParent_Done,
     /* 1788881 */   // Label 24321: @1788881
     /* 1788881 */   GIM_Try, /*On fail goto*//*Label 24322*/ GIMT_Encode4(1788967), // Rule ID 12115 //
     /* 1788886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1788897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1788900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1788903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788932 */     // MIs[0] policy
     /* 1788932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788942 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1788945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788966 */     // GIR_Coverage, 12115,
     /* 1788966 */     GIR_EraseRootFromParent_Done,
     /* 1788967 */   // Label 24322: @1788967
     /* 1788967 */   GIM_Try, /*On fail goto*//*Label 24323*/ GIMT_Encode4(1789053), // Rule ID 12118 //
     /* 1788972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1788983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1788986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1788989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789018 */     // MIs[0] policy
     /* 1789018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789028 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1789031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789052 */     // GIR_Coverage, 12118,
     /* 1789052 */     GIR_EraseRootFromParent_Done,
     /* 1789053 */   // Label 24323: @1789053
     /* 1789053 */   GIM_Try, /*On fail goto*//*Label 24324*/ GIMT_Encode4(1789139), // Rule ID 12119 //
     /* 1789058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1789069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1789072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1789075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789104 */     // MIs[0] policy
     /* 1789104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789114 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1789117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789138 */     // GIR_Coverage, 12119,
     /* 1789138 */     GIR_EraseRootFromParent_Done,
     /* 1789139 */   // Label 24324: @1789139
     /* 1789139 */   GIM_Try, /*On fail goto*//*Label 24325*/ GIMT_Encode4(1789225), // Rule ID 12122 //
     /* 1789144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1789155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1789158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1789161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789190 */     // MIs[0] policy
     /* 1789190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789200 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1789203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789224 */     // GIR_Coverage, 12122,
     /* 1789224 */     GIR_EraseRootFromParent_Done,
     /* 1789225 */   // Label 24325: @1789225
     /* 1789225 */   GIM_Try, /*On fail goto*//*Label 24326*/ GIMT_Encode4(1789311), // Rule ID 12123 //
     /* 1789230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1789241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1789244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1789247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789276 */     // MIs[0] policy
     /* 1789276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1789289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789310 */     // GIR_Coverage, 12123,
     /* 1789310 */     GIR_EraseRootFromParent_Done,
     /* 1789311 */   // Label 24326: @1789311
     /* 1789311 */   GIM_Try, /*On fail goto*//*Label 24327*/ GIMT_Encode4(1789397), // Rule ID 12126 //
     /* 1789316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1789327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1789330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1789333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789362 */     // MIs[0] policy
     /* 1789362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1789375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789396 */     // GIR_Coverage, 12126,
     /* 1789396 */     GIR_EraseRootFromParent_Done,
     /* 1789397 */   // Label 24327: @1789397
     /* 1789397 */   GIM_Try, /*On fail goto*//*Label 24328*/ GIMT_Encode4(1789483), // Rule ID 12127 //
     /* 1789402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1789413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1789416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1789419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789448 */     // MIs[0] policy
     /* 1789448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789458 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1789461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789482 */     // GIR_Coverage, 12127,
     /* 1789482 */     GIR_EraseRootFromParent_Done,
     /* 1789483 */   // Label 24328: @1789483
     /* 1789483 */   GIM_Try, /*On fail goto*//*Label 24329*/ GIMT_Encode4(1789569), // Rule ID 12130 //
     /* 1789488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1789499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1789502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1789505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789534 */     // MIs[0] policy
     /* 1789534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789544 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1789547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789568 */     // GIR_Coverage, 12130,
     /* 1789568 */     GIR_EraseRootFromParent_Done,
     /* 1789569 */   // Label 24329: @1789569
     /* 1789569 */   GIM_Try, /*On fail goto*//*Label 24330*/ GIMT_Encode4(1789655), // Rule ID 12131 //
     /* 1789574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1789585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1789588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1789591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789620 */     // MIs[0] policy
     /* 1789620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789630 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1789633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789654 */     // GIR_Coverage, 12131,
     /* 1789654 */     GIR_EraseRootFromParent_Done,
     /* 1789655 */   // Label 24330: @1789655
     /* 1789655 */   GIM_Try, /*On fail goto*//*Label 24331*/ GIMT_Encode4(1789741), // Rule ID 12134 //
     /* 1789660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1789671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1789674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1789677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789706 */     // MIs[0] policy
     /* 1789706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789716 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1789719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789740 */     // GIR_Coverage, 12134,
     /* 1789740 */     GIR_EraseRootFromParent_Done,
     /* 1789741 */   // Label 24331: @1789741
     /* 1789741 */   GIM_Try, /*On fail goto*//*Label 24332*/ GIMT_Encode4(1789827), // Rule ID 12135 //
     /* 1789746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1789757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1789760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1789763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789792 */     // MIs[0] policy
     /* 1789792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1789805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789826 */     // GIR_Coverage, 12135,
     /* 1789826 */     GIR_EraseRootFromParent_Done,
     /* 1789827 */   // Label 24332: @1789827
     /* 1789827 */   GIM_Try, /*On fail goto*//*Label 24333*/ GIMT_Encode4(1789913), // Rule ID 12138 //
     /* 1789832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1789843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1789846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1789849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789878 */     // MIs[0] policy
     /* 1789878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789888 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1789891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789912 */     // GIR_Coverage, 12138,
     /* 1789912 */     GIR_EraseRootFromParent_Done,
     /* 1789913 */   // Label 24333: @1789913
     /* 1789913 */   GIM_Try, /*On fail goto*//*Label 24334*/ GIMT_Encode4(1789999), // Rule ID 12139 //
     /* 1789918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1789929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1789932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1789935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789964 */     // MIs[0] policy
     /* 1789964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1789977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789998 */     // GIR_Coverage, 12139,
     /* 1789998 */     GIR_EraseRootFromParent_Done,
     /* 1789999 */   // Label 24334: @1789999
     /* 1789999 */   GIM_Try, /*On fail goto*//*Label 24335*/ GIMT_Encode4(1790085), // Rule ID 12142 //
     /* 1790004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790050 */     // MIs[0] policy
     /* 1790050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1790063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790084 */     // GIR_Coverage, 12142,
     /* 1790084 */     GIR_EraseRootFromParent_Done,
     /* 1790085 */   // Label 24335: @1790085
     /* 1790085 */   GIM_Try, /*On fail goto*//*Label 24336*/ GIMT_Encode4(1790171), // Rule ID 12143 //
     /* 1790090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790136 */     // MIs[0] policy
     /* 1790136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1790149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790170 */     // GIR_Coverage, 12143,
     /* 1790170 */     GIR_EraseRootFromParent_Done,
     /* 1790171 */   // Label 24336: @1790171
     /* 1790171 */   GIM_Try, /*On fail goto*//*Label 24337*/ GIMT_Encode4(1790257), // Rule ID 12146 //
     /* 1790176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1790179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1790187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1790190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1790193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790222 */     // MIs[0] policy
     /* 1790222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790232 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1790235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1790253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790256 */     // GIR_Coverage, 12146,
     /* 1790256 */     GIR_EraseRootFromParent_Done,
     /* 1790257 */   // Label 24337: @1790257
     /* 1790257 */   GIM_Try, /*On fail goto*//*Label 24338*/ GIMT_Encode4(1790343), // Rule ID 12147 //
     /* 1790262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1790265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1790273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1790276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1790279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790308 */     // MIs[0] policy
     /* 1790308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790318 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1790321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1790339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790342 */     // GIR_Coverage, 12147,
     /* 1790342 */     GIR_EraseRootFromParent_Done,
     /* 1790343 */   // Label 24338: @1790343
     /* 1790343 */   GIM_Try, /*On fail goto*//*Label 24339*/ GIMT_Encode4(1790429), // Rule ID 12150 //
     /* 1790348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1790359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1790362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1790365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790394 */     // MIs[0] policy
     /* 1790394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790404 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1790407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790428 */     // GIR_Coverage, 12150,
     /* 1790428 */     GIR_EraseRootFromParent_Done,
     /* 1790429 */   // Label 24339: @1790429
     /* 1790429 */   GIM_Try, /*On fail goto*//*Label 24340*/ GIMT_Encode4(1790515), // Rule ID 12151 //
     /* 1790434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1790445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1790448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1790451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790480 */     // MIs[0] policy
     /* 1790480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790490 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1790493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790514 */     // GIR_Coverage, 12151,
     /* 1790514 */     GIR_EraseRootFromParent_Done,
     /* 1790515 */   // Label 24340: @1790515
     /* 1790515 */   GIM_Try, /*On fail goto*//*Label 24341*/ GIMT_Encode4(1790601), // Rule ID 12154 //
     /* 1790520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1790531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1790534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1790537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1790543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790566 */     // MIs[0] policy
     /* 1790566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790576 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1790579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790600 */     // GIR_Coverage, 12154,
     /* 1790600 */     GIR_EraseRootFromParent_Done,
     /* 1790601 */   // Label 24341: @1790601
     /* 1790601 */   GIM_Try, /*On fail goto*//*Label 24342*/ GIMT_Encode4(1790687), // Rule ID 12155 //
     /* 1790606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1790617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1790620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1790623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1790629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790652 */     // MIs[0] policy
     /* 1790652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790662 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1790665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790686 */     // GIR_Coverage, 12155,
     /* 1790686 */     GIR_EraseRootFromParent_Done,
     /* 1790687 */   // Label 24342: @1790687
     /* 1790687 */   GIM_Try, /*On fail goto*//*Label 24343*/ GIMT_Encode4(1790773), // Rule ID 12158 //
     /* 1790692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1790703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1790706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1790709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1790715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790738 */     // MIs[0] policy
     /* 1790738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790748 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1790751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790772 */     // GIR_Coverage, 12158,
     /* 1790772 */     GIR_EraseRootFromParent_Done,
     /* 1790773 */   // Label 24343: @1790773
     /* 1790773 */   GIM_Try, /*On fail goto*//*Label 24344*/ GIMT_Encode4(1790859), // Rule ID 12159 //
     /* 1790778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1790789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1790792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1790795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1790801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790824 */     // MIs[0] policy
     /* 1790824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790834 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1790837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790858 */     // GIR_Coverage, 12159,
     /* 1790858 */     GIR_EraseRootFromParent_Done,
     /* 1790859 */   // Label 24344: @1790859
     /* 1790859 */   GIM_Try, /*On fail goto*//*Label 24345*/ GIMT_Encode4(1790945), // Rule ID 12162 //
     /* 1790864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1790875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1790878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1790881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790910 */     // MIs[0] policy
     /* 1790910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790920 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1790923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790944 */     // GIR_Coverage, 12162,
     /* 1790944 */     GIR_EraseRootFromParent_Done,
     /* 1790945 */   // Label 24345: @1790945
     /* 1790945 */   GIM_Try, /*On fail goto*//*Label 24346*/ GIMT_Encode4(1791031), // Rule ID 12163 //
     /* 1790950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1790961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1790964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1790967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790996 */     // MIs[0] policy
     /* 1790996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791006 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1791009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791030 */     // GIR_Coverage, 12163,
     /* 1791030 */     GIR_EraseRootFromParent_Done,
     /* 1791031 */   // Label 24346: @1791031
     /* 1791031 */   GIM_Try, /*On fail goto*//*Label 24347*/ GIMT_Encode4(1791117), // Rule ID 12166 //
     /* 1791036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791082 */     // MIs[0] policy
     /* 1791082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1791095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791116 */     // GIR_Coverage, 12166,
     /* 1791116 */     GIR_EraseRootFromParent_Done,
     /* 1791117 */   // Label 24347: @1791117
     /* 1791117 */   GIM_Try, /*On fail goto*//*Label 24348*/ GIMT_Encode4(1791203), // Rule ID 12167 //
     /* 1791122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791168 */     // MIs[0] policy
     /* 1791168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1791181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791202 */     // GIR_Coverage, 12167,
     /* 1791202 */     GIR_EraseRootFromParent_Done,
     /* 1791203 */   // Label 24348: @1791203
     /* 1791203 */   GIM_Try, /*On fail goto*//*Label 24349*/ GIMT_Encode4(1791289), // Rule ID 12170 //
     /* 1791208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1791219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1791222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1791225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791254 */     // MIs[0] policy
     /* 1791254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791264 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1791267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791288 */     // GIR_Coverage, 12170,
     /* 1791288 */     GIR_EraseRootFromParent_Done,
     /* 1791289 */   // Label 24349: @1791289
     /* 1791289 */   GIM_Try, /*On fail goto*//*Label 24350*/ GIMT_Encode4(1791375), // Rule ID 12171 //
     /* 1791294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1791305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1791308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1791311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791340 */     // MIs[0] policy
     /* 1791340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791350 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1791353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791374 */     // GIR_Coverage, 12171,
     /* 1791374 */     GIR_EraseRootFromParent_Done,
     /* 1791375 */   // Label 24350: @1791375
     /* 1791375 */   GIM_Try, /*On fail goto*//*Label 24351*/ GIMT_Encode4(1791461), // Rule ID 12174 //
     /* 1791380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1791391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1791394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1791397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791426 */     // MIs[0] policy
     /* 1791426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1791439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791460 */     // GIR_Coverage, 12174,
     /* 1791460 */     GIR_EraseRootFromParent_Done,
     /* 1791461 */   // Label 24351: @1791461
     /* 1791461 */   GIM_Try, /*On fail goto*//*Label 24352*/ GIMT_Encode4(1791547), // Rule ID 12175 //
     /* 1791466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1791477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1791480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1791483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791512 */     // MIs[0] policy
     /* 1791512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791522 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1791525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791546 */     // GIR_Coverage, 12175,
     /* 1791546 */     GIR_EraseRootFromParent_Done,
     /* 1791547 */   // Label 24352: @1791547
     /* 1791547 */   GIM_Try, /*On fail goto*//*Label 24353*/ GIMT_Encode4(1791633), // Rule ID 12178 //
     /* 1791552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1791563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1791566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1791569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791598 */     // MIs[0] policy
     /* 1791598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1791611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791632 */     // GIR_Coverage, 12178,
     /* 1791632 */     GIR_EraseRootFromParent_Done,
     /* 1791633 */   // Label 24353: @1791633
     /* 1791633 */   GIM_Try, /*On fail goto*//*Label 24354*/ GIMT_Encode4(1791719), // Rule ID 12179 //
     /* 1791638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1791649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1791652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1791655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791684 */     // MIs[0] policy
     /* 1791684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1791697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791718 */     // GIR_Coverage, 12179,
     /* 1791718 */     GIR_EraseRootFromParent_Done,
     /* 1791719 */   // Label 24354: @1791719
     /* 1791719 */   GIM_Try, /*On fail goto*//*Label 24355*/ GIMT_Encode4(1791805), // Rule ID 12182 //
     /* 1791724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1791735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1791738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1791741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791770 */     // MIs[0] policy
     /* 1791770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791780 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1791783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791804 */     // GIR_Coverage, 12182,
     /* 1791804 */     GIR_EraseRootFromParent_Done,
     /* 1791805 */   // Label 24355: @1791805
     /* 1791805 */   GIM_Try, /*On fail goto*//*Label 24356*/ GIMT_Encode4(1791891), // Rule ID 12183 //
     /* 1791810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1791821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1791824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1791827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791856 */     // MIs[0] policy
     /* 1791856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1791869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791890 */     // GIR_Coverage, 12183,
     /* 1791890 */     GIR_EraseRootFromParent_Done,
     /* 1791891 */   // Label 24356: @1791891
     /* 1791891 */   GIM_Try, /*On fail goto*//*Label 24357*/ GIMT_Encode4(1791977), // Rule ID 12186 //
     /* 1791896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1791899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1791907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1791910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1791913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791942 */     // MIs[0] policy
     /* 1791942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791952 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1791955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791976 */     // GIR_Coverage, 12186,
     /* 1791976 */     GIR_EraseRootFromParent_Done,
     /* 1791977 */   // Label 24357: @1791977
     /* 1791977 */   GIM_Try, /*On fail goto*//*Label 24358*/ GIMT_Encode4(1792063), // Rule ID 12187 //
     /* 1791982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1791985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1791993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1791996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1791999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792028 */     // MIs[0] policy
     /* 1792028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792038 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1792041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792062 */     // GIR_Coverage, 12187,
     /* 1792062 */     GIR_EraseRootFromParent_Done,
     /* 1792063 */   // Label 24358: @1792063
     /* 1792063 */   GIM_Try, /*On fail goto*//*Label 24359*/ GIMT_Encode4(1792149), // Rule ID 12190 //
     /* 1792068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792114 */     // MIs[0] policy
     /* 1792114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1792127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792148 */     // GIR_Coverage, 12190,
     /* 1792148 */     GIR_EraseRootFromParent_Done,
     /* 1792149 */   // Label 24359: @1792149
     /* 1792149 */   GIM_Try, /*On fail goto*//*Label 24360*/ GIMT_Encode4(1792235), // Rule ID 12191 //
     /* 1792154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792200 */     // MIs[0] policy
     /* 1792200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792210 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1792213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792234 */     // GIR_Coverage, 12191,
     /* 1792234 */     GIR_EraseRootFromParent_Done,
     /* 1792235 */   // Label 24360: @1792235
     /* 1792235 */   GIM_Try, /*On fail goto*//*Label 24361*/ GIMT_Encode4(1792321), // Rule ID 12194 //
     /* 1792240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1792251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1792254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1792257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792286 */     // MIs[0] policy
     /* 1792286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792296 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1792299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792320 */     // GIR_Coverage, 12194,
     /* 1792320 */     GIR_EraseRootFromParent_Done,
     /* 1792321 */   // Label 24361: @1792321
     /* 1792321 */   GIM_Try, /*On fail goto*//*Label 24362*/ GIMT_Encode4(1792407), // Rule ID 12195 //
     /* 1792326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1792337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1792340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1792343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792372 */     // MIs[0] policy
     /* 1792372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792382 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1792385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792406 */     // GIR_Coverage, 12195,
     /* 1792406 */     GIR_EraseRootFromParent_Done,
     /* 1792407 */   // Label 24362: @1792407
     /* 1792407 */   GIM_Try, /*On fail goto*//*Label 24363*/ GIMT_Encode4(1792493), // Rule ID 12198 //
     /* 1792412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1792423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1792426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1792429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1792432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792458 */     // MIs[0] policy
     /* 1792458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792468 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1792471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792492 */     // GIR_Coverage, 12198,
     /* 1792492 */     GIR_EraseRootFromParent_Done,
     /* 1792493 */   // Label 24363: @1792493
     /* 1792493 */   GIM_Try, /*On fail goto*//*Label 24364*/ GIMT_Encode4(1792579), // Rule ID 12199 //
     /* 1792498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1792509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1792512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1792515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1792518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792544 */     // MIs[0] policy
     /* 1792544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792554 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1792557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792578 */     // GIR_Coverage, 12199,
     /* 1792578 */     GIR_EraseRootFromParent_Done,
     /* 1792579 */   // Label 24364: @1792579
     /* 1792579 */   GIM_Try, /*On fail goto*//*Label 24365*/ GIMT_Encode4(1792665), // Rule ID 12202 //
     /* 1792584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1792595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1792598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1792601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1792604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792630 */     // MIs[0] policy
     /* 1792630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792640 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1792643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792664 */     // GIR_Coverage, 12202,
     /* 1792664 */     GIR_EraseRootFromParent_Done,
     /* 1792665 */   // Label 24365: @1792665
     /* 1792665 */   GIM_Try, /*On fail goto*//*Label 24366*/ GIMT_Encode4(1792751), // Rule ID 12203 //
     /* 1792670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1792681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1792684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1792687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1792690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792716 */     // MIs[0] policy
     /* 1792716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792726 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1792729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792750 */     // GIR_Coverage, 12203,
     /* 1792750 */     GIR_EraseRootFromParent_Done,
     /* 1792751 */   // Label 24366: @1792751
     /* 1792751 */   GIM_Try, /*On fail goto*//*Label 24367*/ GIMT_Encode4(1792837), // Rule ID 12206 //
     /* 1792756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1792767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1792770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1792773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1792776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792802 */     // MIs[0] policy
     /* 1792802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792812 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1792815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792836 */     // GIR_Coverage, 12206,
     /* 1792836 */     GIR_EraseRootFromParent_Done,
     /* 1792837 */   // Label 24367: @1792837
     /* 1792837 */   GIM_Try, /*On fail goto*//*Label 24368*/ GIMT_Encode4(1792923), // Rule ID 12207 //
     /* 1792842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1792853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1792856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1792859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1792862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792888 */     // MIs[0] policy
     /* 1792888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792898 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1792901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792922 */     // GIR_Coverage, 12207,
     /* 1792922 */     GIR_EraseRootFromParent_Done,
     /* 1792923 */   // Label 24368: @1792923
     /* 1792923 */   GIM_Try, /*On fail goto*//*Label 24369*/ GIMT_Encode4(1793009), // Rule ID 12210 //
     /* 1792928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1792939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1792942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1792945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1792948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792974 */     // MIs[0] policy
     /* 1792974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1792987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793008 */     // GIR_Coverage, 12210,
     /* 1793008 */     GIR_EraseRootFromParent_Done,
     /* 1793009 */   // Label 24369: @1793009
     /* 1793009 */   GIM_Try, /*On fail goto*//*Label 24370*/ GIMT_Encode4(1793095), // Rule ID 12211 //
     /* 1793014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1793025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1793028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1793031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1793034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793060 */     // MIs[0] policy
     /* 1793060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793070 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1793073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793094 */     // GIR_Coverage, 12211,
     /* 1793094 */     GIR_EraseRootFromParent_Done,
     /* 1793095 */   // Label 24370: @1793095
     /* 1793095 */   GIM_Try, /*On fail goto*//*Label 24371*/ GIMT_Encode4(1793181), // Rule ID 12214 //
     /* 1793100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1793111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1793114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1793117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1793120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793146 */     // MIs[0] policy
     /* 1793146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793156 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1793159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793180 */     // GIR_Coverage, 12214,
     /* 1793180 */     GIR_EraseRootFromParent_Done,
     /* 1793181 */   // Label 24371: @1793181
     /* 1793181 */   GIM_Try, /*On fail goto*//*Label 24372*/ GIMT_Encode4(1793267), // Rule ID 12215 //
     /* 1793186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1793197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1793200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1793203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1793206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793232 */     // MIs[0] policy
     /* 1793232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793242 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1793245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793266 */     // GIR_Coverage, 12215,
     /* 1793266 */     GIR_EraseRootFromParent_Done,
     /* 1793267 */   // Label 24372: @1793267
     /* 1793267 */   GIM_Try, /*On fail goto*//*Label 24373*/ GIMT_Encode4(1793353), // Rule ID 12218 //
     /* 1793272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1793283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1793286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1793289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1793292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793318 */     // MIs[0] policy
     /* 1793318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793328 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1793331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793352 */     // GIR_Coverage, 12218,
     /* 1793352 */     GIR_EraseRootFromParent_Done,
     /* 1793353 */   // Label 24373: @1793353
     /* 1793353 */   GIM_Try, /*On fail goto*//*Label 24374*/ GIMT_Encode4(1793439), // Rule ID 12219 //
     /* 1793358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1793369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1793372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1793375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1793378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793404 */     // MIs[0] policy
     /* 1793404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1793417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793438 */     // GIR_Coverage, 12219,
     /* 1793438 */     GIR_EraseRootFromParent_Done,
     /* 1793439 */   // Label 24374: @1793439
     /* 1793439 */   GIM_Try, /*On fail goto*//*Label 24375*/ GIMT_Encode4(1793525), // Rule ID 12222 //
     /* 1793444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1793455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1793458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1793461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1793464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793490 */     // MIs[0] policy
     /* 1793490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793500 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1793503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793524 */     // GIR_Coverage, 12222,
     /* 1793524 */     GIR_EraseRootFromParent_Done,
     /* 1793525 */   // Label 24375: @1793525
     /* 1793525 */   GIM_Try, /*On fail goto*//*Label 24376*/ GIMT_Encode4(1793611), // Rule ID 12223 //
     /* 1793530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1793541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1793544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1793547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1793550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793576 */     // MIs[0] policy
     /* 1793576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793586 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1793589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793610 */     // GIR_Coverage, 12223,
     /* 1793610 */     GIR_EraseRootFromParent_Done,
     /* 1793611 */   // Label 24376: @1793611
     /* 1793611 */   GIM_Try, /*On fail goto*//*Label 24377*/ GIMT_Encode4(1793697), // Rule ID 12226 //
     /* 1793616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1793633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1793636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793662 */     // MIs[0] policy
     /* 1793662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1793675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793696 */     // GIR_Coverage, 12226,
     /* 1793696 */     GIR_EraseRootFromParent_Done,
     /* 1793697 */   // Label 24377: @1793697
     /* 1793697 */   GIM_Try, /*On fail goto*//*Label 24378*/ GIMT_Encode4(1793783), // Rule ID 12227 //
     /* 1793702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1793719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1793722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793748 */     // MIs[0] policy
     /* 1793748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1793761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793782 */     // GIR_Coverage, 12227,
     /* 1793782 */     GIR_EraseRootFromParent_Done,
     /* 1793783 */   // Label 24378: @1793783
     /* 1793783 */   GIM_Try, /*On fail goto*//*Label 24379*/ GIMT_Encode4(1793869), // Rule ID 12230 //
     /* 1793788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1793799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1793802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1793805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1793808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793834 */     // MIs[0] policy
     /* 1793834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1793847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793868 */     // GIR_Coverage, 12230,
     /* 1793868 */     GIR_EraseRootFromParent_Done,
     /* 1793869 */   // Label 24379: @1793869
     /* 1793869 */   GIM_Try, /*On fail goto*//*Label 24380*/ GIMT_Encode4(1793955), // Rule ID 12231 //
     /* 1793874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1793885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1793888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1793891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1793894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793920 */     // MIs[0] policy
     /* 1793920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1793933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793954 */     // GIR_Coverage, 12231,
     /* 1793954 */     GIR_EraseRootFromParent_Done,
     /* 1793955 */   // Label 24380: @1793955
     /* 1793955 */   GIM_Try, /*On fail goto*//*Label 24381*/ GIMT_Encode4(1794041), // Rule ID 12234 //
     /* 1793960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1793963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1793971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1793974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1793977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1793980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794006 */     // MIs[0] policy
     /* 1794006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794016 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1794019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1794037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794040 */     // GIR_Coverage, 12234,
     /* 1794040 */     GIR_EraseRootFromParent_Done,
     /* 1794041 */   // Label 24381: @1794041
     /* 1794041 */   GIM_Try, /*On fail goto*//*Label 24382*/ GIMT_Encode4(1794127), // Rule ID 12235 //
     /* 1794046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1794049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1794057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1794060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1794063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1794066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794092 */     // MIs[0] policy
     /* 1794092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794102 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1794105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1794123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794126 */     // GIR_Coverage, 12235,
     /* 1794126 */     GIR_EraseRootFromParent_Done,
     /* 1794127 */   // Label 24382: @1794127
     /* 1794127 */   GIM_Try, /*On fail goto*//*Label 24383*/ GIMT_Encode4(1794213), // Rule ID 12238 //
     /* 1794132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1794143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1794146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1794149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1794152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794178 */     // MIs[0] policy
     /* 1794178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794188 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1794191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794212 */     // GIR_Coverage, 12238,
     /* 1794212 */     GIR_EraseRootFromParent_Done,
     /* 1794213 */   // Label 24383: @1794213
     /* 1794213 */   GIM_Try, /*On fail goto*//*Label 24384*/ GIMT_Encode4(1794299), // Rule ID 12239 //
     /* 1794218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1794229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1794232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1794235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1794238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794264 */     // MIs[0] policy
     /* 1794264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794274 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1794277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794298 */     // GIR_Coverage, 12239,
     /* 1794298 */     GIR_EraseRootFromParent_Done,
     /* 1794299 */   // Label 24384: @1794299
     /* 1794299 */   GIM_Try, /*On fail goto*//*Label 24385*/ GIMT_Encode4(1794385), // Rule ID 12242 //
     /* 1794304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1794315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1794318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1794321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1794324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1794327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794350 */     // MIs[0] policy
     /* 1794350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794360 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1794363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794384 */     // GIR_Coverage, 12242,
     /* 1794384 */     GIR_EraseRootFromParent_Done,
     /* 1794385 */   // Label 24385: @1794385
     /* 1794385 */   GIM_Try, /*On fail goto*//*Label 24386*/ GIMT_Encode4(1794471), // Rule ID 12243 //
     /* 1794390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1794401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1794404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1794407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1794410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1794413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794436 */     // MIs[0] policy
     /* 1794436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794446 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1794449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794470 */     // GIR_Coverage, 12243,
     /* 1794470 */     GIR_EraseRootFromParent_Done,
     /* 1794471 */   // Label 24386: @1794471
     /* 1794471 */   GIM_Try, /*On fail goto*//*Label 24387*/ GIMT_Encode4(1794557), // Rule ID 12246 //
     /* 1794476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1794487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1794490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1794493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1794496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1794499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794522 */     // MIs[0] policy
     /* 1794522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794532 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1794535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794556 */     // GIR_Coverage, 12246,
     /* 1794556 */     GIR_EraseRootFromParent_Done,
     /* 1794557 */   // Label 24387: @1794557
     /* 1794557 */   GIM_Try, /*On fail goto*//*Label 24388*/ GIMT_Encode4(1794643), // Rule ID 12247 //
     /* 1794562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1794573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1794576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1794579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1794582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1794585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794608 */     // MIs[0] policy
     /* 1794608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794618 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1794621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794642 */     // GIR_Coverage, 12247,
     /* 1794642 */     GIR_EraseRootFromParent_Done,
     /* 1794643 */   // Label 24388: @1794643
     /* 1794643 */   GIM_Try, /*On fail goto*//*Label 24389*/ GIMT_Encode4(1794729), // Rule ID 12250 //
     /* 1794648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1794659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1794662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1794665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1794668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794694 */     // MIs[0] policy
     /* 1794694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1794707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794728 */     // GIR_Coverage, 12250,
     /* 1794728 */     GIR_EraseRootFromParent_Done,
     /* 1794729 */   // Label 24389: @1794729
     /* 1794729 */   GIM_Try, /*On fail goto*//*Label 24390*/ GIMT_Encode4(1794815), // Rule ID 12251 //
     /* 1794734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1794745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1794748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1794751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1794754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794780 */     // MIs[0] policy
     /* 1794780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1794793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794814 */     // GIR_Coverage, 12251,
     /* 1794814 */     GIR_EraseRootFromParent_Done,
     /* 1794815 */   // Label 24390: @1794815
     /* 1794815 */   GIM_Try, /*On fail goto*//*Label 24391*/ GIMT_Encode4(1794901), // Rule ID 12254 //
     /* 1794820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1794831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1794834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1794837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1794840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794866 */     // MIs[0] policy
     /* 1794866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1794879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794900 */     // GIR_Coverage, 12254,
     /* 1794900 */     GIR_EraseRootFromParent_Done,
     /* 1794901 */   // Label 24391: @1794901
     /* 1794901 */   GIM_Try, /*On fail goto*//*Label 24392*/ GIMT_Encode4(1794987), // Rule ID 12255 //
     /* 1794906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1794917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1794920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1794923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1794926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794952 */     // MIs[0] policy
     /* 1794952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794962 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1794965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794986 */     // GIR_Coverage, 12255,
     /* 1794986 */     GIR_EraseRootFromParent_Done,
     /* 1794987 */   // Label 24392: @1794987
     /* 1794987 */   GIM_Try, /*On fail goto*//*Label 24393*/ GIMT_Encode4(1795073), // Rule ID 12258 //
     /* 1794992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1795003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1795006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1795009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1795012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1795015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795038 */     // MIs[0] policy
     /* 1795038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795048 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1795051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795072 */     // GIR_Coverage, 12258,
     /* 1795072 */     GIR_EraseRootFromParent_Done,
     /* 1795073 */   // Label 24393: @1795073
     /* 1795073 */   GIM_Try, /*On fail goto*//*Label 24394*/ GIMT_Encode4(1795159), // Rule ID 12259 //
     /* 1795078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1795089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1795092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1795095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1795098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1795101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795124 */     // MIs[0] policy
     /* 1795124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795134 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1795137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795158 */     // GIR_Coverage, 12259,
     /* 1795158 */     GIR_EraseRootFromParent_Done,
     /* 1795159 */   // Label 24394: @1795159
     /* 1795159 */   GIM_Try, /*On fail goto*//*Label 24395*/ GIMT_Encode4(1795245), // Rule ID 12262 //
     /* 1795164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1795175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1795178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1795181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1795184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795210 */     // MIs[0] policy
     /* 1795210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795220 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1795223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795244 */     // GIR_Coverage, 12262,
     /* 1795244 */     GIR_EraseRootFromParent_Done,
     /* 1795245 */   // Label 24395: @1795245
     /* 1795245 */   GIM_Try, /*On fail goto*//*Label 24396*/ GIMT_Encode4(1795331), // Rule ID 12263 //
     /* 1795250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1795261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1795264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1795267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1795270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795296 */     // MIs[0] policy
     /* 1795296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1795309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795330 */     // GIR_Coverage, 12263,
     /* 1795330 */     GIR_EraseRootFromParent_Done,
     /* 1795331 */   // Label 24396: @1795331
     /* 1795331 */   GIM_Try, /*On fail goto*//*Label 24397*/ GIMT_Encode4(1795417), // Rule ID 12266 //
     /* 1795336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1795347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1795350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1795353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1795356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795382 */     // MIs[0] policy
     /* 1795382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795392 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1795395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795416 */     // GIR_Coverage, 12266,
     /* 1795416 */     GIR_EraseRootFromParent_Done,
     /* 1795417 */   // Label 24397: @1795417
     /* 1795417 */   GIM_Try, /*On fail goto*//*Label 24398*/ GIMT_Encode4(1795503), // Rule ID 12267 //
     /* 1795422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1795433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1795436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1795439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1795442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795468 */     // MIs[0] policy
     /* 1795468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1795481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795502 */     // GIR_Coverage, 12267,
     /* 1795502 */     GIR_EraseRootFromParent_Done,
     /* 1795503 */   // Label 24398: @1795503
     /* 1795503 */   GIM_Try, /*On fail goto*//*Label 24399*/ GIMT_Encode4(1795589), // Rule ID 12270 //
     /* 1795508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1795519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1795522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1795525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1795528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795554 */     // MIs[0] policy
     /* 1795554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795564 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1795567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795588 */     // GIR_Coverage, 12270,
     /* 1795588 */     GIR_EraseRootFromParent_Done,
     /* 1795589 */   // Label 24399: @1795589
     /* 1795589 */   GIM_Try, /*On fail goto*//*Label 24400*/ GIMT_Encode4(1795675), // Rule ID 12271 //
     /* 1795594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1795605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1795608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1795611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1795614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795640 */     // MIs[0] policy
     /* 1795640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1795653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795674 */     // GIR_Coverage, 12271,
     /* 1795674 */     GIR_EraseRootFromParent_Done,
     /* 1795675 */   // Label 24400: @1795675
     /* 1795675 */   GIM_Try, /*On fail goto*//*Label 24401*/ GIMT_Encode4(1795761), // Rule ID 12274 //
     /* 1795680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1795683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1795691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1795694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1795697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1795700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795726 */     // MIs[0] policy
     /* 1795726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795736 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1795739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795760 */     // GIR_Coverage, 12274,
     /* 1795760 */     GIR_EraseRootFromParent_Done,
     /* 1795761 */   // Label 24401: @1795761
     /* 1795761 */   GIM_Try, /*On fail goto*//*Label 24402*/ GIMT_Encode4(1795847), // Rule ID 12275 //
     /* 1795766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1795769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1795777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1795780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1795783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1795786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795812 */     // MIs[0] policy
     /* 1795812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1795825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795846 */     // GIR_Coverage, 12275,
     /* 1795846 */     GIR_EraseRootFromParent_Done,
     /* 1795847 */   // Label 24402: @1795847
     /* 1795847 */   GIM_Try, /*On fail goto*//*Label 24403*/ GIMT_Encode4(1795933), // Rule ID 12278 //
     /* 1795852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1795855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1795863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1795866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1795869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1795872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795898 */     // MIs[0] policy
     /* 1795898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1795911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795932 */     // GIR_Coverage, 12278,
     /* 1795932 */     GIR_EraseRootFromParent_Done,
     /* 1795933 */   // Label 24403: @1795933
     /* 1795933 */   GIM_Try, /*On fail goto*//*Label 24404*/ GIMT_Encode4(1796019), // Rule ID 12279 //
     /* 1795938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1795941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1795949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1795952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1795955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1795958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795984 */     // MIs[0] policy
     /* 1795984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795994 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1795997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796018 */     // GIR_Coverage, 12279,
     /* 1796018 */     GIR_EraseRootFromParent_Done,
     /* 1796019 */   // Label 24404: @1796019
     /* 1796019 */   GIM_Try, /*On fail goto*//*Label 24405*/ GIMT_Encode4(1796105), // Rule ID 12282 //
     /* 1796024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1796027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1796035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1796038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1796041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1796044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796070 */     // MIs[0] policy
     /* 1796070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796080 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1796083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796104 */     // GIR_Coverage, 12282,
     /* 1796104 */     GIR_EraseRootFromParent_Done,
     /* 1796105 */   // Label 24405: @1796105
     /* 1796105 */   GIM_Try, /*On fail goto*//*Label 24406*/ GIMT_Encode4(1796191), // Rule ID 12283 //
     /* 1796110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1796113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1796121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1796124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1796127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1796130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796156 */     // MIs[0] policy
     /* 1796156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796166 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1796169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796190 */     // GIR_Coverage, 12283,
     /* 1796190 */     GIR_EraseRootFromParent_Done,
     /* 1796191 */   // Label 24406: @1796191
     /* 1796191 */   GIM_Try, /*On fail goto*//*Label 24407*/ GIMT_Encode4(1796277), // Rule ID 12286 //
     /* 1796196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1796207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1796210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1796213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796242 */     // MIs[0] policy
     /* 1796242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796252 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1796255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796276 */     // GIR_Coverage, 12286,
     /* 1796276 */     GIR_EraseRootFromParent_Done,
     /* 1796277 */   // Label 24407: @1796277
     /* 1796277 */   GIM_Try, /*On fail goto*//*Label 24408*/ GIMT_Encode4(1796363), // Rule ID 12287 //
     /* 1796282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1796293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1796296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1796299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796328 */     // MIs[0] policy
     /* 1796328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796338 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1796341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796362 */     // GIR_Coverage, 12287,
     /* 1796362 */     GIR_EraseRootFromParent_Done,
     /* 1796363 */   // Label 24408: @1796363
     /* 1796363 */   GIM_Try, /*On fail goto*//*Label 24409*/ GIMT_Encode4(1796449), // Rule ID 12290 //
     /* 1796368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1796379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1796382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1796385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796414 */     // MIs[0] policy
     /* 1796414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1796427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796448 */     // GIR_Coverage, 12290,
     /* 1796448 */     GIR_EraseRootFromParent_Done,
     /* 1796449 */   // Label 24409: @1796449
     /* 1796449 */   GIM_Try, /*On fail goto*//*Label 24410*/ GIMT_Encode4(1796535), // Rule ID 12291 //
     /* 1796454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1796465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1796468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1796471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796500 */     // MIs[0] policy
     /* 1796500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796510 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1796513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796534 */     // GIR_Coverage, 12291,
     /* 1796534 */     GIR_EraseRootFromParent_Done,
     /* 1796535 */   // Label 24410: @1796535
     /* 1796535 */   GIM_Try, /*On fail goto*//*Label 24411*/ GIMT_Encode4(1796621), // Rule ID 12294 //
     /* 1796540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1796551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1796554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1796557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796586 */     // MIs[0] policy
     /* 1796586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796596 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1796599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796620 */     // GIR_Coverage, 12294,
     /* 1796620 */     GIR_EraseRootFromParent_Done,
     /* 1796621 */   // Label 24411: @1796621
     /* 1796621 */   GIM_Try, /*On fail goto*//*Label 24412*/ GIMT_Encode4(1796707), // Rule ID 12295 //
     /* 1796626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1796637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1796640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1796643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796672 */     // MIs[0] policy
     /* 1796672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796682 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1796685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796706 */     // GIR_Coverage, 12295,
     /* 1796706 */     GIR_EraseRootFromParent_Done,
     /* 1796707 */   // Label 24412: @1796707
     /* 1796707 */   GIM_Try, /*On fail goto*//*Label 24413*/ GIMT_Encode4(1796793), // Rule ID 12298 //
     /* 1796712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1796723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1796726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1796729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796758 */     // MIs[0] policy
     /* 1796758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1796771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796792 */     // GIR_Coverage, 12298,
     /* 1796792 */     GIR_EraseRootFromParent_Done,
     /* 1796793 */   // Label 24413: @1796793
     /* 1796793 */   GIM_Try, /*On fail goto*//*Label 24414*/ GIMT_Encode4(1796879), // Rule ID 12299 //
     /* 1796798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1796809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1796812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1796815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796844 */     // MIs[0] policy
     /* 1796844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796854 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1796857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796878 */     // GIR_Coverage, 12299,
     /* 1796878 */     GIR_EraseRootFromParent_Done,
     /* 1796879 */   // Label 24414: @1796879
     /* 1796879 */   GIM_Try, /*On fail goto*//*Label 24415*/ GIMT_Encode4(1796965), // Rule ID 12302 //
     /* 1796884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1796895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1796898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1796901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796930 */     // MIs[0] policy
     /* 1796930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1796943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796964 */     // GIR_Coverage, 12302,
     /* 1796964 */     GIR_EraseRootFromParent_Done,
     /* 1796965 */   // Label 24415: @1796965
     /* 1796965 */   GIM_Try, /*On fail goto*//*Label 24416*/ GIMT_Encode4(1797051), // Rule ID 12303 //
     /* 1796970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1796981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1796984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1796987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797016 */     // MIs[0] policy
     /* 1797016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1797029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797050 */     // GIR_Coverage, 12303,
     /* 1797050 */     GIR_EraseRootFromParent_Done,
     /* 1797051 */   // Label 24416: @1797051
     /* 1797051 */   GIM_Try, /*On fail goto*//*Label 24417*/ GIMT_Encode4(1797137), // Rule ID 12306 //
     /* 1797056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1797067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1797070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1797073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797102 */     // MIs[0] policy
     /* 1797102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797112 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1797115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797136 */     // GIR_Coverage, 12306,
     /* 1797136 */     GIR_EraseRootFromParent_Done,
     /* 1797137 */   // Label 24417: @1797137
     /* 1797137 */   GIM_Try, /*On fail goto*//*Label 24418*/ GIMT_Encode4(1797223), // Rule ID 12307 //
     /* 1797142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1797153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1797156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1797159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797188 */     // MIs[0] policy
     /* 1797188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797198 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1797201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797222 */     // GIR_Coverage, 12307,
     /* 1797222 */     GIR_EraseRootFromParent_Done,
     /* 1797223 */   // Label 24418: @1797223
     /* 1797223 */   GIM_Try, /*On fail goto*//*Label 24419*/ GIMT_Encode4(1797309), // Rule ID 12310 //
     /* 1797228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1797239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1797242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1797245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797274 */     // MIs[0] policy
     /* 1797274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797284 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1797287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797308 */     // GIR_Coverage, 12310,
     /* 1797308 */     GIR_EraseRootFromParent_Done,
     /* 1797309 */   // Label 24419: @1797309
     /* 1797309 */   GIM_Try, /*On fail goto*//*Label 24420*/ GIMT_Encode4(1797395), // Rule ID 12311 //
     /* 1797314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1797325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1797328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1797331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797360 */     // MIs[0] policy
     /* 1797360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797370 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1797373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797394 */     // GIR_Coverage, 12311,
     /* 1797394 */     GIR_EraseRootFromParent_Done,
     /* 1797395 */   // Label 24420: @1797395
     /* 1797395 */   GIM_Try, /*On fail goto*//*Label 24421*/ GIMT_Encode4(1797481), // Rule ID 12314 //
     /* 1797400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1797411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1797414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1797417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797446 */     // MIs[0] policy
     /* 1797446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1797459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797480 */     // GIR_Coverage, 12314,
     /* 1797480 */     GIR_EraseRootFromParent_Done,
     /* 1797481 */   // Label 24421: @1797481
     /* 1797481 */   GIM_Try, /*On fail goto*//*Label 24422*/ GIMT_Encode4(1797567), // Rule ID 12315 //
     /* 1797486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1797497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1797500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1797503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797532 */     // MIs[0] policy
     /* 1797532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1797545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797566 */     // GIR_Coverage, 12315,
     /* 1797566 */     GIR_EraseRootFromParent_Done,
     /* 1797567 */   // Label 24422: @1797567
     /* 1797567 */   GIM_Try, /*On fail goto*//*Label 24423*/ GIMT_Encode4(1797653), // Rule ID 12318 //
     /* 1797572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1797583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1797586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1797589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797618 */     // MIs[0] policy
     /* 1797618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1797631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797652 */     // GIR_Coverage, 12318,
     /* 1797652 */     GIR_EraseRootFromParent_Done,
     /* 1797653 */   // Label 24423: @1797653
     /* 1797653 */   GIM_Try, /*On fail goto*//*Label 24424*/ GIMT_Encode4(1797739), // Rule ID 12319 //
     /* 1797658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1797669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1797672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1797675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797704 */     // MIs[0] policy
     /* 1797704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1797717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797738 */     // GIR_Coverage, 12319,
     /* 1797738 */     GIR_EraseRootFromParent_Done,
     /* 1797739 */   // Label 24424: @1797739
     /* 1797739 */   GIM_Try, /*On fail goto*//*Label 24425*/ GIMT_Encode4(1797825), // Rule ID 12322 //
     /* 1797744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1797747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1797755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1797758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1797761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797790 */     // MIs[0] policy
     /* 1797790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1797803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797824 */     // GIR_Coverage, 12322,
     /* 1797824 */     GIR_EraseRootFromParent_Done,
     /* 1797825 */   // Label 24425: @1797825
     /* 1797825 */   GIM_Try, /*On fail goto*//*Label 24426*/ GIMT_Encode4(1797911), // Rule ID 12323 //
     /* 1797830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1797833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1797841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1797844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1797847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797876 */     // MIs[0] policy
     /* 1797876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1797889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797910 */     // GIR_Coverage, 12323,
     /* 1797910 */     GIR_EraseRootFromParent_Done,
     /* 1797911 */   // Label 24426: @1797911
     /* 1797911 */   GIM_Try, /*On fail goto*//*Label 24427*/ GIMT_Encode4(1797997), // Rule ID 12326 //
     /* 1797916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1797927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1797930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1797933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797962 */     // MIs[0] policy
     /* 1797962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797972 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1797975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797996 */     // GIR_Coverage, 12326,
     /* 1797996 */     GIR_EraseRootFromParent_Done,
     /* 1797997 */   // Label 24427: @1797997
     /* 1797997 */   GIM_Try, /*On fail goto*//*Label 24428*/ GIMT_Encode4(1798083), // Rule ID 12327 //
     /* 1798002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1798013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1798016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1798019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798048 */     // MIs[0] policy
     /* 1798048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798058 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1798061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798082 */     // GIR_Coverage, 12327,
     /* 1798082 */     GIR_EraseRootFromParent_Done,
     /* 1798083 */   // Label 24428: @1798083
     /* 1798083 */   GIM_Try, /*On fail goto*//*Label 24429*/ GIMT_Encode4(1798169), // Rule ID 12330 //
     /* 1798088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1798099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1798102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1798105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798134 */     // MIs[0] policy
     /* 1798134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798144 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1798147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798168 */     // GIR_Coverage, 12330,
     /* 1798168 */     GIR_EraseRootFromParent_Done,
     /* 1798169 */   // Label 24429: @1798169
     /* 1798169 */   GIM_Try, /*On fail goto*//*Label 24430*/ GIMT_Encode4(1798255), // Rule ID 12331 //
     /* 1798174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1798185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1798188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1798191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798220 */     // MIs[0] policy
     /* 1798220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798230 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1798233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798254 */     // GIR_Coverage, 12331,
     /* 1798254 */     GIR_EraseRootFromParent_Done,
     /* 1798255 */   // Label 24430: @1798255
     /* 1798255 */   GIM_Try, /*On fail goto*//*Label 24431*/ GIMT_Encode4(1798341), // Rule ID 12334 //
     /* 1798260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1798271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1798274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1798277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1798283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798306 */     // MIs[0] policy
     /* 1798306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798316 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1798319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798340 */     // GIR_Coverage, 12334,
     /* 1798340 */     GIR_EraseRootFromParent_Done,
     /* 1798341 */   // Label 24431: @1798341
     /* 1798341 */   GIM_Try, /*On fail goto*//*Label 24432*/ GIMT_Encode4(1798427), // Rule ID 12335 //
     /* 1798346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1798357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1798360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1798363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1798369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798392 */     // MIs[0] policy
     /* 1798392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798402 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1798405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798426 */     // GIR_Coverage, 12335,
     /* 1798426 */     GIR_EraseRootFromParent_Done,
     /* 1798427 */   // Label 24432: @1798427
     /* 1798427 */   GIM_Try, /*On fail goto*//*Label 24433*/ GIMT_Encode4(1798513), // Rule ID 12338 //
     /* 1798432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1798449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798478 */     // MIs[0] policy
     /* 1798478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798488 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1798491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798512 */     // GIR_Coverage, 12338,
     /* 1798512 */     GIR_EraseRootFromParent_Done,
     /* 1798513 */   // Label 24433: @1798513
     /* 1798513 */   GIM_Try, /*On fail goto*//*Label 24434*/ GIMT_Encode4(1798599), // Rule ID 12339 //
     /* 1798518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1798535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798564 */     // MIs[0] policy
     /* 1798564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798574 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1798577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798598 */     // GIR_Coverage, 12339,
     /* 1798598 */     GIR_EraseRootFromParent_Done,
     /* 1798599 */   // Label 24434: @1798599
     /* 1798599 */   GIM_Try, /*On fail goto*//*Label 24435*/ GIMT_Encode4(1798685), // Rule ID 12342 //
     /* 1798604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1798615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1798618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1798621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798650 */     // MIs[0] policy
     /* 1798650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798660 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1798663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798684 */     // GIR_Coverage, 12342,
     /* 1798684 */     GIR_EraseRootFromParent_Done,
     /* 1798685 */   // Label 24435: @1798685
     /* 1798685 */   GIM_Try, /*On fail goto*//*Label 24436*/ GIMT_Encode4(1798771), // Rule ID 12343 //
     /* 1798690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1798701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1798704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1798707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798736 */     // MIs[0] policy
     /* 1798736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798746 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1798749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798770 */     // GIR_Coverage, 12343,
     /* 1798770 */     GIR_EraseRootFromParent_Done,
     /* 1798771 */   // Label 24436: @1798771
     /* 1798771 */   GIM_Try, /*On fail goto*//*Label 24437*/ GIMT_Encode4(1798857), // Rule ID 12346 //
     /* 1798776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1798787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1798790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1798793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798822 */     // MIs[0] policy
     /* 1798822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1798835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798856 */     // GIR_Coverage, 12346,
     /* 1798856 */     GIR_EraseRootFromParent_Done,
     /* 1798857 */   // Label 24437: @1798857
     /* 1798857 */   GIM_Try, /*On fail goto*//*Label 24438*/ GIMT_Encode4(1798943), // Rule ID 12347 //
     /* 1798862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1798873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1798876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1798879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798908 */     // MIs[0] policy
     /* 1798908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798918 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1798921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798942 */     // GIR_Coverage, 12347,
     /* 1798942 */     GIR_EraseRootFromParent_Done,
     /* 1798943 */   // Label 24438: @1798943
     /* 1798943 */   GIM_Try, /*On fail goto*//*Label 24439*/ GIMT_Encode4(1799029), // Rule ID 12350 //
     /* 1798948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1798959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1798962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1798965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798994 */     // MIs[0] policy
     /* 1798994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799004 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1799007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799028 */     // GIR_Coverage, 12350,
     /* 1799028 */     GIR_EraseRootFromParent_Done,
     /* 1799029 */   // Label 24439: @1799029
     /* 1799029 */   GIM_Try, /*On fail goto*//*Label 24440*/ GIMT_Encode4(1799115), // Rule ID 12351 //
     /* 1799034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1799045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1799048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1799051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799080 */     // MIs[0] policy
     /* 1799080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1799093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799114 */     // GIR_Coverage, 12351,
     /* 1799114 */     GIR_EraseRootFromParent_Done,
     /* 1799115 */   // Label 24440: @1799115
     /* 1799115 */   GIM_Try, /*On fail goto*//*Label 24441*/ GIMT_Encode4(1799201), // Rule ID 12354 //
     /* 1799120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1799131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1799134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1799137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799166 */     // MIs[0] policy
     /* 1799166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1799179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799200 */     // GIR_Coverage, 12354,
     /* 1799200 */     GIR_EraseRootFromParent_Done,
     /* 1799201 */   // Label 24441: @1799201
     /* 1799201 */   GIM_Try, /*On fail goto*//*Label 24442*/ GIMT_Encode4(1799287), // Rule ID 12355 //
     /* 1799206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1799217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1799220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1799223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799252 */     // MIs[0] policy
     /* 1799252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799262 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1799265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799286 */     // GIR_Coverage, 12355,
     /* 1799286 */     GIR_EraseRootFromParent_Done,
     /* 1799287 */   // Label 24442: @1799287
     /* 1799287 */   GIM_Try, /*On fail goto*//*Label 24443*/ GIMT_Encode4(1799373), // Rule ID 12358 //
     /* 1799292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1799303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1799306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1799309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799338 */     // MIs[0] policy
     /* 1799338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799348 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1799351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799372 */     // GIR_Coverage, 12358,
     /* 1799372 */     GIR_EraseRootFromParent_Done,
     /* 1799373 */   // Label 24443: @1799373
     /* 1799373 */   GIM_Try, /*On fail goto*//*Label 24444*/ GIMT_Encode4(1799459), // Rule ID 12359 //
     /* 1799378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1799389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1799392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1799395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799424 */     // MIs[0] policy
     /* 1799424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1799437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799458 */     // GIR_Coverage, 12359,
     /* 1799458 */     GIR_EraseRootFromParent_Done,
     /* 1799459 */   // Label 24444: @1799459
     /* 1799459 */   GIM_Try, /*On fail goto*//*Label 24445*/ GIMT_Encode4(1799545), // Rule ID 12362 //
     /* 1799464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1799467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1799475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1799478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1799481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799510 */     // MIs[0] policy
     /* 1799510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799520 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1799523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799544 */     // GIR_Coverage, 12362,
     /* 1799544 */     GIR_EraseRootFromParent_Done,
     /* 1799545 */   // Label 24445: @1799545
     /* 1799545 */   GIM_Try, /*On fail goto*//*Label 24446*/ GIMT_Encode4(1799631), // Rule ID 12363 //
     /* 1799550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1799553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1799561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1799564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1799567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799596 */     // MIs[0] policy
     /* 1799596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799606 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1799609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799630 */     // GIR_Coverage, 12363,
     /* 1799630 */     GIR_EraseRootFromParent_Done,
     /* 1799631 */   // Label 24446: @1799631
     /* 1799631 */   GIM_Try, /*On fail goto*//*Label 24447*/ GIMT_Encode4(1799717), // Rule ID 12366 //
     /* 1799636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1799639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1799647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1799650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1799653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799682 */     // MIs[0] policy
     /* 1799682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1799695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799716 */     // GIR_Coverage, 12366,
     /* 1799716 */     GIR_EraseRootFromParent_Done,
     /* 1799717 */   // Label 24447: @1799717
     /* 1799717 */   GIM_Try, /*On fail goto*//*Label 24448*/ GIMT_Encode4(1799803), // Rule ID 12367 //
     /* 1799722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1799725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1799733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1799736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1799739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799768 */     // MIs[0] policy
     /* 1799768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799778 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1799781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799802 */     // GIR_Coverage, 12367,
     /* 1799802 */     GIR_EraseRootFromParent_Done,
     /* 1799803 */   // Label 24448: @1799803
     /* 1799803 */   GIM_Try, /*On fail goto*//*Label 24449*/ GIMT_Encode4(1799889), // Rule ID 12370 //
     /* 1799808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1799811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1799819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1799822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1799825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799854 */     // MIs[0] policy
     /* 1799854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799864 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1799867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799888 */     // GIR_Coverage, 12370,
     /* 1799888 */     GIR_EraseRootFromParent_Done,
     /* 1799889 */   // Label 24449: @1799889
     /* 1799889 */   GIM_Try, /*On fail goto*//*Label 24450*/ GIMT_Encode4(1799975), // Rule ID 12371 //
     /* 1799894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1799897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1799905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1799908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1799911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799940 */     // MIs[0] policy
     /* 1799940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799950 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1799953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799974 */     // GIR_Coverage, 12371,
     /* 1799974 */     GIR_EraseRootFromParent_Done,
     /* 1799975 */   // Label 24450: @1799975
     /* 1799975 */   GIM_Try, /*On fail goto*//*Label 24451*/ GIMT_Encode4(1800061), // Rule ID 12374 //
     /* 1799980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1799991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1799994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1799997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1800000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800026 */     // MIs[0] policy
     /* 1800026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800036 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1800039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800060 */     // GIR_Coverage, 12374,
     /* 1800060 */     GIR_EraseRootFromParent_Done,
     /* 1800061 */   // Label 24451: @1800061
     /* 1800061 */   GIM_Try, /*On fail goto*//*Label 24452*/ GIMT_Encode4(1800147), // Rule ID 12375 //
     /* 1800066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1800083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1800086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800112 */     // MIs[0] policy
     /* 1800112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1800125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800146 */     // GIR_Coverage, 12375,
     /* 1800146 */     GIR_EraseRootFromParent_Done,
     /* 1800147 */   // Label 24452: @1800147
     /* 1800147 */   GIM_Try, /*On fail goto*//*Label 24453*/ GIMT_Encode4(1800233), // Rule ID 12378 //
     /* 1800152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1800163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1800166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1800169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1800172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800198 */     // MIs[0] policy
     /* 1800198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1800211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800232 */     // GIR_Coverage, 12378,
     /* 1800232 */     GIR_EraseRootFromParent_Done,
     /* 1800233 */   // Label 24453: @1800233
     /* 1800233 */   GIM_Try, /*On fail goto*//*Label 24454*/ GIMT_Encode4(1800319), // Rule ID 12379 //
     /* 1800238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1800249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1800252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1800255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1800258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800284 */     // MIs[0] policy
     /* 1800284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800294 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1800297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800318 */     // GIR_Coverage, 12379,
     /* 1800318 */     GIR_EraseRootFromParent_Done,
     /* 1800319 */   // Label 24454: @1800319
     /* 1800319 */   GIM_Try, /*On fail goto*//*Label 24455*/ GIMT_Encode4(1800405), // Rule ID 12382 //
     /* 1800324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1800335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1800338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1800341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1800344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800370 */     // MIs[0] policy
     /* 1800370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1800383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800404 */     // GIR_Coverage, 12382,
     /* 1800404 */     GIR_EraseRootFromParent_Done,
     /* 1800405 */   // Label 24455: @1800405
     /* 1800405 */   GIM_Try, /*On fail goto*//*Label 24456*/ GIMT_Encode4(1800491), // Rule ID 12383 //
     /* 1800410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1800421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1800424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1800427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1800430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800456 */     // MIs[0] policy
     /* 1800456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800466 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1800469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800490 */     // GIR_Coverage, 12383,
     /* 1800490 */     GIR_EraseRootFromParent_Done,
     /* 1800491 */   // Label 24456: @1800491
     /* 1800491 */   GIM_Try, /*On fail goto*//*Label 24457*/ GIMT_Encode4(1800577), // Rule ID 12386 //
     /* 1800496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1800507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1800510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1800513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1800516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800542 */     // MIs[0] policy
     /* 1800542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800552 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1800555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800576 */     // GIR_Coverage, 12386,
     /* 1800576 */     GIR_EraseRootFromParent_Done,
     /* 1800577 */   // Label 24457: @1800577
     /* 1800577 */   GIM_Try, /*On fail goto*//*Label 24458*/ GIMT_Encode4(1800663), // Rule ID 12387 //
     /* 1800582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1800593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1800596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1800599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1800602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800628 */     // MIs[0] policy
     /* 1800628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800638 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1800641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800662 */     // GIR_Coverage, 12387,
     /* 1800662 */     GIR_EraseRootFromParent_Done,
     /* 1800663 */   // Label 24458: @1800663
     /* 1800663 */   GIM_Try, /*On fail goto*//*Label 24459*/ GIMT_Encode4(1800749), // Rule ID 12390 //
     /* 1800668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1800679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1800682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1800685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1800688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800714 */     // MIs[0] policy
     /* 1800714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800724 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1800727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800748 */     // GIR_Coverage, 12390,
     /* 1800748 */     GIR_EraseRootFromParent_Done,
     /* 1800749 */   // Label 24459: @1800749
     /* 1800749 */   GIM_Try, /*On fail goto*//*Label 24460*/ GIMT_Encode4(1800835), // Rule ID 12391 //
     /* 1800754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1800765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1800768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1800771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1800774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800800 */     // MIs[0] policy
     /* 1800800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800810 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1800813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800834 */     // GIR_Coverage, 12391,
     /* 1800834 */     GIR_EraseRootFromParent_Done,
     /* 1800835 */   // Label 24460: @1800835
     /* 1800835 */   GIM_Try, /*On fail goto*//*Label 24461*/ GIMT_Encode4(1800921), // Rule ID 12394 //
     /* 1800840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1800851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1800854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1800857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1800860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1800863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800886 */     // MIs[0] policy
     /* 1800886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800896 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1800899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800920 */     // GIR_Coverage, 12394,
     /* 1800920 */     GIR_EraseRootFromParent_Done,
     /* 1800921 */   // Label 24461: @1800921
     /* 1800921 */   GIM_Try, /*On fail goto*//*Label 24462*/ GIMT_Encode4(1801007), // Rule ID 12395 //
     /* 1800926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1800937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1800940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1800943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1800946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1800949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800972 */     // MIs[0] policy
     /* 1800972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800982 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1800985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801006 */     // GIR_Coverage, 12395,
     /* 1801006 */     GIR_EraseRootFromParent_Done,
     /* 1801007 */   // Label 24462: @1801007
     /* 1801007 */   GIM_Try, /*On fail goto*//*Label 24463*/ GIMT_Encode4(1801093), // Rule ID 12398 //
     /* 1801012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1801023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1801026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1801029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1801032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801058 */     // MIs[0] policy
     /* 1801058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1801071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801092 */     // GIR_Coverage, 12398,
     /* 1801092 */     GIR_EraseRootFromParent_Done,
     /* 1801093 */   // Label 24463: @1801093
     /* 1801093 */   GIM_Try, /*On fail goto*//*Label 24464*/ GIMT_Encode4(1801179), // Rule ID 12399 //
     /* 1801098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1801109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1801112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1801115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1801118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801144 */     // MIs[0] policy
     /* 1801144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801154 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1801157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801178 */     // GIR_Coverage, 12399,
     /* 1801178 */     GIR_EraseRootFromParent_Done,
     /* 1801179 */   // Label 24464: @1801179
     /* 1801179 */   GIM_Try, /*On fail goto*//*Label 24465*/ GIMT_Encode4(1801265), // Rule ID 12402 //
     /* 1801184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1801201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1801204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801230 */     // MIs[0] policy
     /* 1801230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1801243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801264 */     // GIR_Coverage, 12402,
     /* 1801264 */     GIR_EraseRootFromParent_Done,
     /* 1801265 */   // Label 24465: @1801265
     /* 1801265 */   GIM_Try, /*On fail goto*//*Label 24466*/ GIMT_Encode4(1801351), // Rule ID 12403 //
     /* 1801270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1801287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1801290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801316 */     // MIs[0] policy
     /* 1801316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801326 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1801329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801350 */     // GIR_Coverage, 12403,
     /* 1801350 */     GIR_EraseRootFromParent_Done,
     /* 1801351 */   // Label 24466: @1801351
     /* 1801351 */   GIM_Try, /*On fail goto*//*Label 24467*/ GIMT_Encode4(1801437), // Rule ID 12406 //
     /* 1801356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1801367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1801370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1801373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1801376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801402 */     // MIs[0] policy
     /* 1801402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801412 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1801415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801436 */     // GIR_Coverage, 12406,
     /* 1801436 */     GIR_EraseRootFromParent_Done,
     /* 1801437 */   // Label 24467: @1801437
     /* 1801437 */   GIM_Try, /*On fail goto*//*Label 24468*/ GIMT_Encode4(1801523), // Rule ID 12407 //
     /* 1801442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1801453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1801456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1801459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1801462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801488 */     // MIs[0] policy
     /* 1801488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801498 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1801501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801522 */     // GIR_Coverage, 12407,
     /* 1801522 */     GIR_EraseRootFromParent_Done,
     /* 1801523 */   // Label 24468: @1801523
     /* 1801523 */   GIM_Try, /*On fail goto*//*Label 24469*/ GIMT_Encode4(1801609), // Rule ID 12410 //
     /* 1801528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1801539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1801542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1801545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1801548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801574 */     // MIs[0] policy
     /* 1801574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1801587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801608 */     // GIR_Coverage, 12410,
     /* 1801608 */     GIR_EraseRootFromParent_Done,
     /* 1801609 */   // Label 24469: @1801609
     /* 1801609 */   GIM_Try, /*On fail goto*//*Label 24470*/ GIMT_Encode4(1801695), // Rule ID 12411 //
     /* 1801614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1801625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1801628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1801631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1801634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801660 */     // MIs[0] policy
     /* 1801660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1801673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801694 */     // GIR_Coverage, 12411,
     /* 1801694 */     GIR_EraseRootFromParent_Done,
     /* 1801695 */   // Label 24470: @1801695
     /* 1801695 */   GIM_Try, /*On fail goto*//*Label 24471*/ GIMT_Encode4(1801781), // Rule ID 12414 //
     /* 1801700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1801711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1801714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1801717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1801720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801746 */     // MIs[0] policy
     /* 1801746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801756 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1801759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801780 */     // GIR_Coverage, 12414,
     /* 1801780 */     GIR_EraseRootFromParent_Done,
     /* 1801781 */   // Label 24471: @1801781
     /* 1801781 */   GIM_Try, /*On fail goto*//*Label 24472*/ GIMT_Encode4(1801867), // Rule ID 12415 //
     /* 1801786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1801797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1801800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1801803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1801806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801832 */     // MIs[0] policy
     /* 1801832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801842 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1801845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801866 */     // GIR_Coverage, 12415,
     /* 1801866 */     GIR_EraseRootFromParent_Done,
     /* 1801867 */   // Label 24472: @1801867
     /* 1801867 */   GIM_Try, /*On fail goto*//*Label 24473*/ GIMT_Encode4(1801953), // Rule ID 12418 //
     /* 1801872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1801875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1801889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1801892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801918 */     // MIs[0] policy
     /* 1801918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1801931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801952 */     // GIR_Coverage, 12418,
     /* 1801952 */     GIR_EraseRootFromParent_Done,
     /* 1801953 */   // Label 24473: @1801953
     /* 1801953 */   GIM_Try, /*On fail goto*//*Label 24474*/ GIMT_Encode4(1802039), // Rule ID 12419 //
     /* 1801958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1801961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1801975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1801978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802004 */     // MIs[0] policy
     /* 1802004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802014 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1802017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802038 */     // GIR_Coverage, 12419,
     /* 1802038 */     GIR_EraseRootFromParent_Done,
     /* 1802039 */   // Label 24474: @1802039
     /* 1802039 */   GIM_Try, /*On fail goto*//*Label 24475*/ GIMT_Encode4(1802125), // Rule ID 12422 //
     /* 1802044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1802055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1802058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1802061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1802064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802090 */     // MIs[0] policy
     /* 1802090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802100 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1802103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802124 */     // GIR_Coverage, 12422,
     /* 1802124 */     GIR_EraseRootFromParent_Done,
     /* 1802125 */   // Label 24475: @1802125
     /* 1802125 */   GIM_Try, /*On fail goto*//*Label 24476*/ GIMT_Encode4(1802211), // Rule ID 12423 //
     /* 1802130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1802141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1802144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1802147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1802150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802176 */     // MIs[0] policy
     /* 1802176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1802189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802210 */     // GIR_Coverage, 12423,
     /* 1802210 */     GIR_EraseRootFromParent_Done,
     /* 1802211 */   // Label 24476: @1802211
     /* 1802211 */   GIM_Try, /*On fail goto*//*Label 24477*/ GIMT_Encode4(1802297), // Rule ID 12426 //
     /* 1802216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1802227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1802230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1802233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1802236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802262 */     // MIs[0] policy
     /* 1802262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1802275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802296 */     // GIR_Coverage, 12426,
     /* 1802296 */     GIR_EraseRootFromParent_Done,
     /* 1802297 */   // Label 24477: @1802297
     /* 1802297 */   GIM_Try, /*On fail goto*//*Label 24478*/ GIMT_Encode4(1802383), // Rule ID 12427 //
     /* 1802302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1802313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1802316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1802319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1802322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802348 */     // MIs[0] policy
     /* 1802348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802358 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1802361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802382 */     // GIR_Coverage, 12427,
     /* 1802382 */     GIR_EraseRootFromParent_Done,
     /* 1802383 */   // Label 24478: @1802383
     /* 1802383 */   GIM_Try, /*On fail goto*//*Label 24479*/ GIMT_Encode4(1802469), // Rule ID 12430 //
     /* 1802388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1802399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1802402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1802405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1802408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802434 */     // MIs[0] policy
     /* 1802434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802444 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1802447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802468 */     // GIR_Coverage, 12430,
     /* 1802468 */     GIR_EraseRootFromParent_Done,
     /* 1802469 */   // Label 24479: @1802469
     /* 1802469 */   GIM_Try, /*On fail goto*//*Label 24480*/ GIMT_Encode4(1802555), // Rule ID 12431 //
     /* 1802474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1802485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1802488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1802491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1802494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802520 */     // MIs[0] policy
     /* 1802520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802530 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1802533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802554 */     // GIR_Coverage, 12431,
     /* 1802554 */     GIR_EraseRootFromParent_Done,
     /* 1802555 */   // Label 24480: @1802555
     /* 1802555 */   GIM_Try, /*On fail goto*//*Label 24481*/ GIMT_Encode4(1802641), // Rule ID 12434 //
     /* 1802560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1802571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1802574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1802577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802606 */     // MIs[0] policy
     /* 1802606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802616 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1802619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802640 */     // GIR_Coverage, 12434,
     /* 1802640 */     GIR_EraseRootFromParent_Done,
     /* 1802641 */   // Label 24481: @1802641
     /* 1802641 */   GIM_Try, /*On fail goto*//*Label 24482*/ GIMT_Encode4(1802727), // Rule ID 12435 //
     /* 1802646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1802657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1802660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1802663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802692 */     // MIs[0] policy
     /* 1802692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802702 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1802705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802726 */     // GIR_Coverage, 12435,
     /* 1802726 */     GIR_EraseRootFromParent_Done,
     /* 1802727 */   // Label 24482: @1802727
     /* 1802727 */   GIM_Try, /*On fail goto*//*Label 24483*/ GIMT_Encode4(1802813), // Rule ID 12438 //
     /* 1802732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1802743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1802746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1802749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802778 */     // MIs[0] policy
     /* 1802778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802788 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1802791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802812 */     // GIR_Coverage, 12438,
     /* 1802812 */     GIR_EraseRootFromParent_Done,
     /* 1802813 */   // Label 24483: @1802813
     /* 1802813 */   GIM_Try, /*On fail goto*//*Label 24484*/ GIMT_Encode4(1802899), // Rule ID 12439 //
     /* 1802818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1802829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1802832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1802835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802864 */     // MIs[0] policy
     /* 1802864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802874 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1802877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802898 */     // GIR_Coverage, 12439,
     /* 1802898 */     GIR_EraseRootFromParent_Done,
     /* 1802899 */   // Label 24484: @1802899
     /* 1802899 */   GIM_Try, /*On fail goto*//*Label 24485*/ GIMT_Encode4(1802985), // Rule ID 12442 //
     /* 1802904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1802915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1802918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1802921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802950 */     // MIs[0] policy
     /* 1802950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1802963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802984 */     // GIR_Coverage, 12442,
     /* 1802984 */     GIR_EraseRootFromParent_Done,
     /* 1802985 */   // Label 24485: @1802985
     /* 1802985 */   GIM_Try, /*On fail goto*//*Label 24486*/ GIMT_Encode4(1803071), // Rule ID 12443 //
     /* 1802990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1803001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1803004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1803007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803036 */     // MIs[0] policy
     /* 1803036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1803049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803070 */     // GIR_Coverage, 12443,
     /* 1803070 */     GIR_EraseRootFromParent_Done,
     /* 1803071 */   // Label 24486: @1803071
     /* 1803071 */   GIM_Try, /*On fail goto*//*Label 24487*/ GIMT_Encode4(1803157), // Rule ID 12446 //
     /* 1803076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1803087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1803090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1803093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803122 */     // MIs[0] policy
     /* 1803122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803132 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1803135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803156 */     // GIR_Coverage, 12446,
     /* 1803156 */     GIR_EraseRootFromParent_Done,
     /* 1803157 */   // Label 24487: @1803157
     /* 1803157 */   GIM_Try, /*On fail goto*//*Label 24488*/ GIMT_Encode4(1803243), // Rule ID 12447 //
     /* 1803162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1803173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1803176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1803179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803208 */     // MIs[0] policy
     /* 1803208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803218 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1803221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803242 */     // GIR_Coverage, 12447,
     /* 1803242 */     GIR_EraseRootFromParent_Done,
     /* 1803243 */   // Label 24488: @1803243
     /* 1803243 */   GIM_Try, /*On fail goto*//*Label 24489*/ GIMT_Encode4(1803329), // Rule ID 12450 //
     /* 1803248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1803259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1803262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1803265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803294 */     // MIs[0] policy
     /* 1803294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803304 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1803307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803328 */     // GIR_Coverage, 12450,
     /* 1803328 */     GIR_EraseRootFromParent_Done,
     /* 1803329 */   // Label 24489: @1803329
     /* 1803329 */   GIM_Try, /*On fail goto*//*Label 24490*/ GIMT_Encode4(1803415), // Rule ID 12451 //
     /* 1803334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1803345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1803348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1803351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803380 */     // MIs[0] policy
     /* 1803380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803390 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1803393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803414 */     // GIR_Coverage, 12451,
     /* 1803414 */     GIR_EraseRootFromParent_Done,
     /* 1803415 */   // Label 24490: @1803415
     /* 1803415 */   GIM_Try, /*On fail goto*//*Label 24491*/ GIMT_Encode4(1803501), // Rule ID 12454 //
     /* 1803420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1803431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1803434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1803437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1803443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803466 */     // MIs[0] policy
     /* 1803466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803476 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1803479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803500 */     // GIR_Coverage, 12454,
     /* 1803500 */     GIR_EraseRootFromParent_Done,
     /* 1803501 */   // Label 24491: @1803501
     /* 1803501 */   GIM_Try, /*On fail goto*//*Label 24492*/ GIMT_Encode4(1803587), // Rule ID 12455 //
     /* 1803506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1803517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1803520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1803523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1803529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803552 */     // MIs[0] policy
     /* 1803552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803562 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1803565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803586 */     // GIR_Coverage, 12455,
     /* 1803586 */     GIR_EraseRootFromParent_Done,
     /* 1803587 */   // Label 24492: @1803587
     /* 1803587 */   GIM_Try, /*On fail goto*//*Label 24493*/ GIMT_Encode4(1803673), // Rule ID 12458 //
     /* 1803592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1803603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1803606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1803609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803638 */     // MIs[0] policy
     /* 1803638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1803651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803672 */     // GIR_Coverage, 12458,
     /* 1803672 */     GIR_EraseRootFromParent_Done,
     /* 1803673 */   // Label 24493: @1803673
     /* 1803673 */   GIM_Try, /*On fail goto*//*Label 24494*/ GIMT_Encode4(1803759), // Rule ID 12459 //
     /* 1803678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1803689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1803692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1803695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803724 */     // MIs[0] policy
     /* 1803724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1803737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803758 */     // GIR_Coverage, 12459,
     /* 1803758 */     GIR_EraseRootFromParent_Done,
     /* 1803759 */   // Label 24494: @1803759
     /* 1803759 */   GIM_Try, /*On fail goto*//*Label 24495*/ GIMT_Encode4(1803845), // Rule ID 12462 //
     /* 1803764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1803775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1803778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1803781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803810 */     // MIs[0] policy
     /* 1803810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803820 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1803823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803844 */     // GIR_Coverage, 12462,
     /* 1803844 */     GIR_EraseRootFromParent_Done,
     /* 1803845 */   // Label 24495: @1803845
     /* 1803845 */   GIM_Try, /*On fail goto*//*Label 24496*/ GIMT_Encode4(1803931), // Rule ID 12463 //
     /* 1803850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1803861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1803864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1803867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803896 */     // MIs[0] policy
     /* 1803896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1803909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803930 */     // GIR_Coverage, 12463,
     /* 1803930 */     GIR_EraseRootFromParent_Done,
     /* 1803931 */   // Label 24496: @1803931
     /* 1803931 */   GIM_Try, /*On fail goto*//*Label 24497*/ GIMT_Encode4(1804017), // Rule ID 12466 //
     /* 1803936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1803944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1803947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1803950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1803953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803982 */     // MIs[0] policy
     /* 1803982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1803995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804016 */     // GIR_Coverage, 12466,
     /* 1804016 */     GIR_EraseRootFromParent_Done,
     /* 1804017 */   // Label 24497: @1804017
     /* 1804017 */   GIM_Try, /*On fail goto*//*Label 24498*/ GIMT_Encode4(1804103), // Rule ID 12467 //
     /* 1804022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1804033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1804036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1804039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804068 */     // MIs[0] policy
     /* 1804068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804078 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1804081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804102 */     // GIR_Coverage, 12467,
     /* 1804102 */     GIR_EraseRootFromParent_Done,
     /* 1804103 */   // Label 24498: @1804103
     /* 1804103 */   GIM_Try, /*On fail goto*//*Label 24499*/ GIMT_Encode4(1804189), // Rule ID 12470 //
     /* 1804108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1804119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1804122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1804125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804154 */     // MIs[0] policy
     /* 1804154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1804167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804188 */     // GIR_Coverage, 12470,
     /* 1804188 */     GIR_EraseRootFromParent_Done,
     /* 1804189 */   // Label 24499: @1804189
     /* 1804189 */   GIM_Try, /*On fail goto*//*Label 24500*/ GIMT_Encode4(1804275), // Rule ID 12471 //
     /* 1804194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1804205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1804208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1804211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804240 */     // MIs[0] policy
     /* 1804240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804250 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1804253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804274 */     // GIR_Coverage, 12471,
     /* 1804274 */     GIR_EraseRootFromParent_Done,
     /* 1804275 */   // Label 24500: @1804275
     /* 1804275 */   GIM_Try, /*On fail goto*//*Label 24501*/ GIMT_Encode4(1804361), // Rule ID 12474 //
     /* 1804280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1804291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1804294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1804297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804326 */     // MIs[0] policy
     /* 1804326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1804339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804360 */     // GIR_Coverage, 12474,
     /* 1804360 */     GIR_EraseRootFromParent_Done,
     /* 1804361 */   // Label 24501: @1804361
     /* 1804361 */   GIM_Try, /*On fail goto*//*Label 24502*/ GIMT_Encode4(1804447), // Rule ID 12475 //
     /* 1804366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1804377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1804380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1804383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804412 */     // MIs[0] policy
     /* 1804412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1804425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804446 */     // GIR_Coverage, 12475,
     /* 1804446 */     GIR_EraseRootFromParent_Done,
     /* 1804447 */   // Label 24502: @1804447
     /* 1804447 */   GIM_Try, /*On fail goto*//*Label 24503*/ GIMT_Encode4(1804533), // Rule ID 12478 //
     /* 1804452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1804455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1804463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1804466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1804469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804498 */     // MIs[0] policy
     /* 1804498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1804511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804532 */     // GIR_Coverage, 12478,
     /* 1804532 */     GIR_EraseRootFromParent_Done,
     /* 1804533 */   // Label 24503: @1804533
     /* 1804533 */   GIM_Try, /*On fail goto*//*Label 24504*/ GIMT_Encode4(1804619), // Rule ID 12479 //
     /* 1804538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1804541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1804549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1804552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1804555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804584 */     // MIs[0] policy
     /* 1804584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804594 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1804597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804618 */     // GIR_Coverage, 12479,
     /* 1804618 */     GIR_EraseRootFromParent_Done,
     /* 1804619 */   // Label 24504: @1804619
     /* 1804619 */   GIM_Try, /*On fail goto*//*Label 24505*/ GIMT_Encode4(1804705), // Rule ID 12482 //
     /* 1804624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1804627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1804635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1804638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1804641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804670 */     // MIs[0] policy
     /* 1804670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804680 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1804683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804704 */     // GIR_Coverage, 12482,
     /* 1804704 */     GIR_EraseRootFromParent_Done,
     /* 1804705 */   // Label 24505: @1804705
     /* 1804705 */   GIM_Try, /*On fail goto*//*Label 24506*/ GIMT_Encode4(1804791), // Rule ID 12483 //
     /* 1804710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1804713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1804721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1804724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1804727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804756 */     // MIs[0] policy
     /* 1804756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804766 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1804769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804790 */     // GIR_Coverage, 12483,
     /* 1804790 */     GIR_EraseRootFromParent_Done,
     /* 1804791 */   // Label 24506: @1804791
     /* 1804791 */   GIM_Try, /*On fail goto*//*Label 24507*/ GIMT_Encode4(1804877), // Rule ID 12486 //
     /* 1804796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1804799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1804807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1804810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1804813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804842 */     // MIs[0] policy
     /* 1804842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1804855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804876 */     // GIR_Coverage, 12486,
     /* 1804876 */     GIR_EraseRootFromParent_Done,
     /* 1804877 */   // Label 24507: @1804877
     /* 1804877 */   GIM_Try, /*On fail goto*//*Label 24508*/ GIMT_Encode4(1804963), // Rule ID 12487 //
     /* 1804882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1804885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1804893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1804896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1804899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804928 */     // MIs[0] policy
     /* 1804928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804938 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1804941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804962 */     // GIR_Coverage, 12487,
     /* 1804962 */     GIR_EraseRootFromParent_Done,
     /* 1804963 */   // Label 24508: @1804963
     /* 1804963 */   GIM_Try, /*On fail goto*//*Label 24509*/ GIMT_Encode4(1805049), // Rule ID 12490 //
     /* 1804968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1804971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1804979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1804982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1804985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805014 */     // MIs[0] policy
     /* 1805014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1805027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805048 */     // GIR_Coverage, 12490,
     /* 1805048 */     GIR_EraseRootFromParent_Done,
     /* 1805049 */   // Label 24509: @1805049
     /* 1805049 */   GIM_Try, /*On fail goto*//*Label 24510*/ GIMT_Encode4(1805135), // Rule ID 12491 //
     /* 1805054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1805062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1805065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1805068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1805071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805100 */     // MIs[0] policy
     /* 1805100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805110 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1805113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805134 */     // GIR_Coverage, 12491,
     /* 1805134 */     GIR_EraseRootFromParent_Done,
     /* 1805135 */   // Label 24510: @1805135
     /* 1805135 */   GIM_Try, /*On fail goto*//*Label 24511*/ GIMT_Encode4(1805221), // Rule ID 12494 //
     /* 1805140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1805151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1805154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1805157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1805160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805186 */     // MIs[0] policy
     /* 1805186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805196 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1805199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805220 */     // GIR_Coverage, 12494,
     /* 1805220 */     GIR_EraseRootFromParent_Done,
     /* 1805221 */   // Label 24511: @1805221
     /* 1805221 */   GIM_Try, /*On fail goto*//*Label 24512*/ GIMT_Encode4(1805307), // Rule ID 12495 //
     /* 1805226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1805237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1805240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1805243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1805246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805272 */     // MIs[0] policy
     /* 1805272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805282 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1805285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805306 */     // GIR_Coverage, 12495,
     /* 1805306 */     GIR_EraseRootFromParent_Done,
     /* 1805307 */   // Label 24512: @1805307
     /* 1805307 */   GIM_Try, /*On fail goto*//*Label 24513*/ GIMT_Encode4(1805393), // Rule ID 12498 //
     /* 1805312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1805323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1805326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1805329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1805332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805358 */     // MIs[0] policy
     /* 1805358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805368 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1805371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805392 */     // GIR_Coverage, 12498,
     /* 1805392 */     GIR_EraseRootFromParent_Done,
     /* 1805393 */   // Label 24513: @1805393
     /* 1805393 */   GIM_Try, /*On fail goto*//*Label 24514*/ GIMT_Encode4(1805479), // Rule ID 12499 //
     /* 1805398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1805409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1805412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1805415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1805418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805444 */     // MIs[0] policy
     /* 1805444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805454 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1805457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805478 */     // GIR_Coverage, 12499,
     /* 1805478 */     GIR_EraseRootFromParent_Done,
     /* 1805479 */   // Label 24514: @1805479
     /* 1805479 */   GIM_Try, /*On fail goto*//*Label 24515*/ GIMT_Encode4(1805565), // Rule ID 12502 //
     /* 1805484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1805495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1805498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1805501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1805504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805530 */     // MIs[0] policy
     /* 1805530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1805543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805564 */     // GIR_Coverage, 12502,
     /* 1805564 */     GIR_EraseRootFromParent_Done,
     /* 1805565 */   // Label 24515: @1805565
     /* 1805565 */   GIM_Try, /*On fail goto*//*Label 24516*/ GIMT_Encode4(1805651), // Rule ID 12503 //
     /* 1805570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1805581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1805584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1805587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1805590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805616 */     // MIs[0] policy
     /* 1805616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1805629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805650 */     // GIR_Coverage, 12503,
     /* 1805650 */     GIR_EraseRootFromParent_Done,
     /* 1805651 */   // Label 24516: @1805651
     /* 1805651 */   GIM_Try, /*On fail goto*//*Label 24517*/ GIMT_Encode4(1805737), // Rule ID 12506 //
     /* 1805656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1805667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1805670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1805673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1805676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805702 */     // MIs[0] policy
     /* 1805702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805712 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1805715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805736 */     // GIR_Coverage, 12506,
     /* 1805736 */     GIR_EraseRootFromParent_Done,
     /* 1805737 */   // Label 24517: @1805737
     /* 1805737 */   GIM_Try, /*On fail goto*//*Label 24518*/ GIMT_Encode4(1805823), // Rule ID 12507 //
     /* 1805742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1805753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1805756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1805759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1805762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805788 */     // MIs[0] policy
     /* 1805788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805798 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1805801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805822 */     // GIR_Coverage, 12507,
     /* 1805822 */     GIR_EraseRootFromParent_Done,
     /* 1805823 */   // Label 24518: @1805823
     /* 1805823 */   GIM_Try, /*On fail goto*//*Label 24519*/ GIMT_Encode4(1805909), // Rule ID 12510 //
     /* 1805828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1805839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1805842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1805845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1805848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805874 */     // MIs[0] policy
     /* 1805874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805884 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1805887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805908 */     // GIR_Coverage, 12510,
     /* 1805908 */     GIR_EraseRootFromParent_Done,
     /* 1805909 */   // Label 24519: @1805909
     /* 1805909 */   GIM_Try, /*On fail goto*//*Label 24520*/ GIMT_Encode4(1805995), // Rule ID 12511 //
     /* 1805914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1805925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1805928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1805931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1805934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805960 */     // MIs[0] policy
     /* 1805960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805970 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1805973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805994 */     // GIR_Coverage, 12511,
     /* 1805994 */     GIR_EraseRootFromParent_Done,
     /* 1805995 */   // Label 24520: @1805995
     /* 1805995 */   GIM_Try, /*On fail goto*//*Label 24521*/ GIMT_Encode4(1806081), // Rule ID 12514 //
     /* 1806000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1806011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1806014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1806017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1806020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1806023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806046 */     // MIs[0] policy
     /* 1806046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806056 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1806059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806080 */     // GIR_Coverage, 12514,
     /* 1806080 */     GIR_EraseRootFromParent_Done,
     /* 1806081 */   // Label 24521: @1806081
     /* 1806081 */   GIM_Try, /*On fail goto*//*Label 24522*/ GIMT_Encode4(1806167), // Rule ID 12515 //
     /* 1806086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1806097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1806100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1806103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1806106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1806109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806132 */     // MIs[0] policy
     /* 1806132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806142 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1806145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806166 */     // GIR_Coverage, 12515,
     /* 1806166 */     GIR_EraseRootFromParent_Done,
     /* 1806167 */   // Label 24522: @1806167
     /* 1806167 */   GIM_Try, /*On fail goto*//*Label 24523*/ GIMT_Encode4(1806253), // Rule ID 12518 //
     /* 1806172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1806183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1806186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1806189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1806192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806218 */     // MIs[0] policy
     /* 1806218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806228 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1806231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806252 */     // GIR_Coverage, 12518,
     /* 1806252 */     GIR_EraseRootFromParent_Done,
     /* 1806253 */   // Label 24523: @1806253
     /* 1806253 */   GIM_Try, /*On fail goto*//*Label 24524*/ GIMT_Encode4(1806339), // Rule ID 12519 //
     /* 1806258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1806269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1806272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1806275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1806278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806304 */     // MIs[0] policy
     /* 1806304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1806317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806338 */     // GIR_Coverage, 12519,
     /* 1806338 */     GIR_EraseRootFromParent_Done,
     /* 1806339 */   // Label 24524: @1806339
     /* 1806339 */   GIM_Try, /*On fail goto*//*Label 24525*/ GIMT_Encode4(1806425), // Rule ID 12522 //
     /* 1806344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1806355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1806358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1806361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1806364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806390 */     // MIs[0] policy
     /* 1806390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806400 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1806403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806424 */     // GIR_Coverage, 12522,
     /* 1806424 */     GIR_EraseRootFromParent_Done,
     /* 1806425 */   // Label 24525: @1806425
     /* 1806425 */   GIM_Try, /*On fail goto*//*Label 24526*/ GIMT_Encode4(1806511), // Rule ID 12523 //
     /* 1806430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1806441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1806444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1806447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1806450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806476 */     // MIs[0] policy
     /* 1806476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806486 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1806489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806510 */     // GIR_Coverage, 12523,
     /* 1806510 */     GIR_EraseRootFromParent_Done,
     /* 1806511 */   // Label 24526: @1806511
     /* 1806511 */   GIM_Try, /*On fail goto*//*Label 24527*/ GIMT_Encode4(1806597), // Rule ID 12526 //
     /* 1806516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1806527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1806530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1806533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1806536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806562 */     // MIs[0] policy
     /* 1806562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806572 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1806575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806596 */     // GIR_Coverage, 12526,
     /* 1806596 */     GIR_EraseRootFromParent_Done,
     /* 1806597 */   // Label 24527: @1806597
     /* 1806597 */   GIM_Try, /*On fail goto*//*Label 24528*/ GIMT_Encode4(1806683), // Rule ID 12527 //
     /* 1806602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1806613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1806616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1806619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1806622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806648 */     // MIs[0] policy
     /* 1806648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1806661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806682 */     // GIR_Coverage, 12527,
     /* 1806682 */     GIR_EraseRootFromParent_Done,
     /* 1806683 */   // Label 24528: @1806683
     /* 1806683 */   GIM_Try, /*On fail goto*//*Label 24529*/ GIMT_Encode4(1806769), // Rule ID 12530 //
     /* 1806688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1806699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1806702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1806705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1806708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806734 */     // MIs[0] policy
     /* 1806734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806744 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1806747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806768 */     // GIR_Coverage, 12530,
     /* 1806768 */     GIR_EraseRootFromParent_Done,
     /* 1806769 */   // Label 24529: @1806769
     /* 1806769 */   GIM_Try, /*On fail goto*//*Label 24530*/ GIMT_Encode4(1806855), // Rule ID 12531 //
     /* 1806774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1806785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1806788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1806791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1806794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806820 */     // MIs[0] policy
     /* 1806820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806830 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1806833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806854 */     // GIR_Coverage, 12531,
     /* 1806854 */     GIR_EraseRootFromParent_Done,
     /* 1806855 */   // Label 24530: @1806855
     /* 1806855 */   GIM_Try, /*On fail goto*//*Label 24531*/ GIMT_Encode4(1806941), // Rule ID 12534 //
     /* 1806860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1806871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1806874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1806877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1806880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806906 */     // MIs[0] policy
     /* 1806906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806916 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1806919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806940 */     // GIR_Coverage, 12534,
     /* 1806940 */     GIR_EraseRootFromParent_Done,
     /* 1806941 */   // Label 24531: @1806941
     /* 1806941 */   GIM_Try, /*On fail goto*//*Label 24532*/ GIMT_Encode4(1807027), // Rule ID 12535 //
     /* 1806946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1806957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1806960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1806963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1806966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806992 */     // MIs[0] policy
     /* 1806992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807002 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1807005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807026 */     // GIR_Coverage, 12535,
     /* 1807026 */     GIR_EraseRootFromParent_Done,
     /* 1807027 */   // Label 24532: @1807027
     /* 1807027 */   GIM_Try, /*On fail goto*//*Label 24533*/ GIMT_Encode4(1807113), // Rule ID 12538 //
     /* 1807032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1807043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1807046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1807049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1807052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807078 */     // MIs[0] policy
     /* 1807078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807088 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1807091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807112 */     // GIR_Coverage, 12538,
     /* 1807112 */     GIR_EraseRootFromParent_Done,
     /* 1807113 */   // Label 24533: @1807113
     /* 1807113 */   GIM_Try, /*On fail goto*//*Label 24534*/ GIMT_Encode4(1807199), // Rule ID 12539 //
     /* 1807118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1807129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1807132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1807135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1807138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807164 */     // MIs[0] policy
     /* 1807164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807174 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1807177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807198 */     // GIR_Coverage, 12539,
     /* 1807198 */     GIR_EraseRootFromParent_Done,
     /* 1807199 */   // Label 24534: @1807199
     /* 1807199 */   GIM_Try, /*On fail goto*//*Label 24535*/ GIMT_Encode4(1807285), // Rule ID 12542 //
     /* 1807204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1807215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1807218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1807221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1807224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807250 */     // MIs[0] policy
     /* 1807250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807260 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1807263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807284 */     // GIR_Coverage, 12542,
     /* 1807284 */     GIR_EraseRootFromParent_Done,
     /* 1807285 */   // Label 24535: @1807285
     /* 1807285 */   GIM_Try, /*On fail goto*//*Label 24536*/ GIMT_Encode4(1807371), // Rule ID 12543 //
     /* 1807290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1807301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1807304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1807307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1807310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807336 */     // MIs[0] policy
     /* 1807336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1807349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807370 */     // GIR_Coverage, 12543,
     /* 1807370 */     GIR_EraseRootFromParent_Done,
     /* 1807371 */   // Label 24536: @1807371
     /* 1807371 */   GIM_Try, /*On fail goto*//*Label 24537*/ GIMT_Encode4(1807457), // Rule ID 12546 //
     /* 1807376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1807387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1807390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1807393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1807396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807422 */     // MIs[0] policy
     /* 1807422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807432 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1807435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807456 */     // GIR_Coverage, 12546,
     /* 1807456 */     GIR_EraseRootFromParent_Done,
     /* 1807457 */   // Label 24537: @1807457
     /* 1807457 */   GIM_Try, /*On fail goto*//*Label 24538*/ GIMT_Encode4(1807543), // Rule ID 12547 //
     /* 1807462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1807473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1807476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1807479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1807482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807508 */     // MIs[0] policy
     /* 1807508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807518 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1807521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807542 */     // GIR_Coverage, 12547,
     /* 1807542 */     GIR_EraseRootFromParent_Done,
     /* 1807543 */   // Label 24538: @1807543
     /* 1807543 */   GIM_Try, /*On fail goto*//*Label 24539*/ GIMT_Encode4(1807629), // Rule ID 12550 //
     /* 1807548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1807559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1807562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1807565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1807568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807594 */     // MIs[0] policy
     /* 1807594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807604 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1807607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807628 */     // GIR_Coverage, 12550,
     /* 1807628 */     GIR_EraseRootFromParent_Done,
     /* 1807629 */   // Label 24539: @1807629
     /* 1807629 */   GIM_Try, /*On fail goto*//*Label 24540*/ GIMT_Encode4(1807715), // Rule ID 12551 //
     /* 1807634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1807645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1807648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1807651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1807654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807680 */     // MIs[0] policy
     /* 1807680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807690 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1807693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807714 */     // GIR_Coverage, 12551,
     /* 1807714 */     GIR_EraseRootFromParent_Done,
     /* 1807715 */   // Label 24540: @1807715
     /* 1807715 */   GIM_Try, /*On fail goto*//*Label 24541*/ GIMT_Encode4(1807801), // Rule ID 12554 //
     /* 1807720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1807731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1807734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1807737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807766 */     // MIs[0] policy
     /* 1807766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1807779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807800 */     // GIR_Coverage, 12554,
     /* 1807800 */     GIR_EraseRootFromParent_Done,
     /* 1807801 */   // Label 24541: @1807801
     /* 1807801 */   GIM_Try, /*On fail goto*//*Label 24542*/ GIMT_Encode4(1807887), // Rule ID 12555 //
     /* 1807806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1807817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1807820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1807823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807852 */     // MIs[0] policy
     /* 1807852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807862 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1807865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807886 */     // GIR_Coverage, 12555,
     /* 1807886 */     GIR_EraseRootFromParent_Done,
     /* 1807887 */   // Label 24542: @1807887
     /* 1807887 */   GIM_Try, /*On fail goto*//*Label 24543*/ GIMT_Encode4(1807973), // Rule ID 12558 //
     /* 1807892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1807903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1807906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1807909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807938 */     // MIs[0] policy
     /* 1807938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1807951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807972 */     // GIR_Coverage, 12558,
     /* 1807972 */     GIR_EraseRootFromParent_Done,
     /* 1807973 */   // Label 24543: @1807973
     /* 1807973 */   GIM_Try, /*On fail goto*//*Label 24544*/ GIMT_Encode4(1808059), // Rule ID 12559 //
     /* 1807978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1807989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1807992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1807995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808024 */     // MIs[0] policy
     /* 1808024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1808037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808058 */     // GIR_Coverage, 12559,
     /* 1808058 */     GIR_EraseRootFromParent_Done,
     /* 1808059 */   // Label 24544: @1808059
     /* 1808059 */   GIM_Try, /*On fail goto*//*Label 24545*/ GIMT_Encode4(1808145), // Rule ID 12562 //
     /* 1808064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1808075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1808078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1808081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808110 */     // MIs[0] policy
     /* 1808110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808120 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1808123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808144 */     // GIR_Coverage, 12562,
     /* 1808144 */     GIR_EraseRootFromParent_Done,
     /* 1808145 */   // Label 24545: @1808145
     /* 1808145 */   GIM_Try, /*On fail goto*//*Label 24546*/ GIMT_Encode4(1808231), // Rule ID 12563 //
     /* 1808150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1808161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1808164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1808167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808196 */     // MIs[0] policy
     /* 1808196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808206 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1808209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808230 */     // GIR_Coverage, 12563,
     /* 1808230 */     GIR_EraseRootFromParent_Done,
     /* 1808231 */   // Label 24546: @1808231
     /* 1808231 */   GIM_Try, /*On fail goto*//*Label 24547*/ GIMT_Encode4(1808317), // Rule ID 12566 //
     /* 1808236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1808247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1808250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1808253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808282 */     // MIs[0] policy
     /* 1808282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1808295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808316 */     // GIR_Coverage, 12566,
     /* 1808316 */     GIR_EraseRootFromParent_Done,
     /* 1808317 */   // Label 24547: @1808317
     /* 1808317 */   GIM_Try, /*On fail goto*//*Label 24548*/ GIMT_Encode4(1808403), // Rule ID 12567 //
     /* 1808322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1808333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1808336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1808339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808368 */     // MIs[0] policy
     /* 1808368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808378 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1808381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808402 */     // GIR_Coverage, 12567,
     /* 1808402 */     GIR_EraseRootFromParent_Done,
     /* 1808403 */   // Label 24548: @1808403
     /* 1808403 */   GIM_Try, /*On fail goto*//*Label 24549*/ GIMT_Encode4(1808489), // Rule ID 12570 //
     /* 1808408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1808419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1808422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1808425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1808431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808454 */     // MIs[0] policy
     /* 1808454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808464 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1808467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808488 */     // GIR_Coverage, 12570,
     /* 1808488 */     GIR_EraseRootFromParent_Done,
     /* 1808489 */   // Label 24549: @1808489
     /* 1808489 */   GIM_Try, /*On fail goto*//*Label 24550*/ GIMT_Encode4(1808575), // Rule ID 12571 //
     /* 1808494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1808505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1808508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1808511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1808517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808540 */     // MIs[0] policy
     /* 1808540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808550 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1808553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808574 */     // GIR_Coverage, 12571,
     /* 1808574 */     GIR_EraseRootFromParent_Done,
     /* 1808575 */   // Label 24550: @1808575
     /* 1808575 */   GIM_Try, /*On fail goto*//*Label 24551*/ GIMT_Encode4(1808661), // Rule ID 12574 //
     /* 1808580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1808591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1808594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1808597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1808603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808626 */     // MIs[0] policy
     /* 1808626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808636 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1808639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808660 */     // GIR_Coverage, 12574,
     /* 1808660 */     GIR_EraseRootFromParent_Done,
     /* 1808661 */   // Label 24551: @1808661
     /* 1808661 */   GIM_Try, /*On fail goto*//*Label 24552*/ GIMT_Encode4(1808747), // Rule ID 12575 //
     /* 1808666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1808677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1808680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1808683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1808689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808712 */     // MIs[0] policy
     /* 1808712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1808725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808746 */     // GIR_Coverage, 12575,
     /* 1808746 */     GIR_EraseRootFromParent_Done,
     /* 1808747 */   // Label 24552: @1808747
     /* 1808747 */   GIM_Try, /*On fail goto*//*Label 24553*/ GIMT_Encode4(1808833), // Rule ID 12578 //
     /* 1808752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1808763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1808766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1808769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808798 */     // MIs[0] policy
     /* 1808798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1808811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808832 */     // GIR_Coverage, 12578,
     /* 1808832 */     GIR_EraseRootFromParent_Done,
     /* 1808833 */   // Label 24553: @1808833
     /* 1808833 */   GIM_Try, /*On fail goto*//*Label 24554*/ GIMT_Encode4(1808919), // Rule ID 12579 //
     /* 1808838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1808849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1808852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1808855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808884 */     // MIs[0] policy
     /* 1808884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1808897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808918 */     // GIR_Coverage, 12579,
     /* 1808918 */     GIR_EraseRootFromParent_Done,
     /* 1808919 */   // Label 24554: @1808919
     /* 1808919 */   GIM_Try, /*On fail goto*//*Label 24555*/ GIMT_Encode4(1809005), // Rule ID 12582 //
     /* 1808924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1808932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1808935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1808938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1808941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808970 */     // MIs[0] policy
     /* 1808970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1808983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809004 */     // GIR_Coverage, 12582,
     /* 1809004 */     GIR_EraseRootFromParent_Done,
     /* 1809005 */   // Label 24555: @1809005
     /* 1809005 */   GIM_Try, /*On fail goto*//*Label 24556*/ GIMT_Encode4(1809091), // Rule ID 12583 //
     /* 1809010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1809021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1809024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1809027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809056 */     // MIs[0] policy
     /* 1809056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1809069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809090 */     // GIR_Coverage, 12583,
     /* 1809090 */     GIR_EraseRootFromParent_Done,
     /* 1809091 */   // Label 24556: @1809091
     /* 1809091 */   GIM_Try, /*On fail goto*//*Label 24557*/ GIMT_Encode4(1809177), // Rule ID 12586 //
     /* 1809096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1809107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1809110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1809113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1809116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809142 */     // MIs[0] policy
     /* 1809142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809152 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1809155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809176 */     // GIR_Coverage, 12586,
     /* 1809176 */     GIR_EraseRootFromParent_Done,
     /* 1809177 */   // Label 24557: @1809177
     /* 1809177 */   GIM_Try, /*On fail goto*//*Label 24558*/ GIMT_Encode4(1809263), // Rule ID 12587 //
     /* 1809182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1809193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1809196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1809199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809228 */     // MIs[0] policy
     /* 1809228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809238 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1809241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809262 */     // GIR_Coverage, 12587,
     /* 1809262 */     GIR_EraseRootFromParent_Done,
     /* 1809263 */   // Label 24558: @1809263
     /* 1809263 */   GIM_Try, /*On fail goto*//*Label 24559*/ GIMT_Encode4(1809349), // Rule ID 12590 //
     /* 1809268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1809279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1809282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1809285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1809288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809314 */     // MIs[0] policy
     /* 1809314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809324 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1809327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809348 */     // GIR_Coverage, 12590,
     /* 1809348 */     GIR_EraseRootFromParent_Done,
     /* 1809349 */   // Label 24559: @1809349
     /* 1809349 */   GIM_Try, /*On fail goto*//*Label 24560*/ GIMT_Encode4(1809435), // Rule ID 12591 //
     /* 1809354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1809365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1809368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1809371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809400 */     // MIs[0] policy
     /* 1809400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809410 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1809413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809434 */     // GIR_Coverage, 12591,
     /* 1809434 */     GIR_EraseRootFromParent_Done,
     /* 1809435 */   // Label 24560: @1809435
     /* 1809435 */   GIM_Try, /*On fail goto*//*Label 24561*/ GIMT_Encode4(1809521), // Rule ID 12594 //
     /* 1809440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1809451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1809454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1809457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1809460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809486 */     // MIs[0] policy
     /* 1809486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1809499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809520 */     // GIR_Coverage, 12594,
     /* 1809520 */     GIR_EraseRootFromParent_Done,
     /* 1809521 */   // Label 24561: @1809521
     /* 1809521 */   GIM_Try, /*On fail goto*//*Label 24562*/ GIMT_Encode4(1809607), // Rule ID 12595 //
     /* 1809526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1809537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1809540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1809543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809572 */     // MIs[0] policy
     /* 1809572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809582 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1809585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809606 */     // GIR_Coverage, 12595,
     /* 1809606 */     GIR_EraseRootFromParent_Done,
     /* 1809607 */   // Label 24562: @1809607
     /* 1809607 */   GIM_Try, /*On fail goto*//*Label 24563*/ GIMT_Encode4(1809693), // Rule ID 12598 //
     /* 1809612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1809615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1809623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1809626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1809632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809658 */     // MIs[0] policy
     /* 1809658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1809671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809692 */     // GIR_Coverage, 12598,
     /* 1809692 */     GIR_EraseRootFromParent_Done,
     /* 1809693 */   // Label 24563: @1809693
     /* 1809693 */   GIM_Try, /*On fail goto*//*Label 24564*/ GIMT_Encode4(1809779), // Rule ID 12599 //
     /* 1809698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1809701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1809709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1809712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809744 */     // MIs[0] policy
     /* 1809744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809754 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1809757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809778 */     // GIR_Coverage, 12599,
     /* 1809778 */     GIR_EraseRootFromParent_Done,
     /* 1809779 */   // Label 24564: @1809779
     /* 1809779 */   GIM_Try, /*On fail goto*//*Label 24565*/ GIMT_Encode4(1809865), // Rule ID 12602 //
     /* 1809784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1809787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1809795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1809798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1809801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1809804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809830 */     // MIs[0] policy
     /* 1809830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1809843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809864 */     // GIR_Coverage, 12602,
     /* 1809864 */     GIR_EraseRootFromParent_Done,
     /* 1809865 */   // Label 24565: @1809865
     /* 1809865 */   GIM_Try, /*On fail goto*//*Label 24566*/ GIMT_Encode4(1809951), // Rule ID 12603 //
     /* 1809870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1809873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1809881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1809884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1809887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809916 */     // MIs[0] policy
     /* 1809916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809926 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1809929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809950 */     // GIR_Coverage, 12603,
     /* 1809950 */     GIR_EraseRootFromParent_Done,
     /* 1809951 */   // Label 24566: @1809951
     /* 1809951 */   GIM_Try, /*On fail goto*//*Label 24567*/ GIMT_Encode4(1810037), // Rule ID 12606 //
     /* 1809956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1809959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1809967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1809970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1809973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1809976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810002 */     // MIs[0] policy
     /* 1810002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1810015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810036 */     // GIR_Coverage, 12606,
     /* 1810036 */     GIR_EraseRootFromParent_Done,
     /* 1810037 */   // Label 24567: @1810037
     /* 1810037 */   GIM_Try, /*On fail goto*//*Label 24568*/ GIMT_Encode4(1810123), // Rule ID 12607 //
     /* 1810042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1810045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1810053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1810056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1810059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1810062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810088 */     // MIs[0] policy
     /* 1810088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810098 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1810101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810122 */     // GIR_Coverage, 12607,
     /* 1810122 */     GIR_EraseRootFromParent_Done,
     /* 1810123 */   // Label 24568: @1810123
     /* 1810123 */   GIM_Try, /*On fail goto*//*Label 24569*/ GIMT_Encode4(1810209), // Rule ID 12610 //
     /* 1810128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1810131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1810139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1810142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1810145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1810148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810174 */     // MIs[0] policy
     /* 1810174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1810187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810208 */     // GIR_Coverage, 12610,
     /* 1810208 */     GIR_EraseRootFromParent_Done,
     /* 1810209 */   // Label 24569: @1810209
     /* 1810209 */   GIM_Try, /*On fail goto*//*Label 24570*/ GIMT_Encode4(1810295), // Rule ID 12611 //
     /* 1810214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1810217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1810225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1810228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1810231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1810234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810260 */     // MIs[0] policy
     /* 1810260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810270 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1810273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810294 */     // GIR_Coverage, 12611,
     /* 1810294 */     GIR_EraseRootFromParent_Done,
     /* 1810295 */   // Label 24570: @1810295
     /* 1810295 */   GIM_Try, /*On fail goto*//*Label 24571*/ GIMT_Encode4(1810381), // Rule ID 12614 //
     /* 1810300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1810311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1810314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1810317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1810320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810346 */     // MIs[0] policy
     /* 1810346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1810359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810380 */     // GIR_Coverage, 12614,
     /* 1810380 */     GIR_EraseRootFromParent_Done,
     /* 1810381 */   // Label 24571: @1810381
     /* 1810381 */   GIM_Try, /*On fail goto*//*Label 24572*/ GIMT_Encode4(1810467), // Rule ID 12615 //
     /* 1810386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1810397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1810400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1810403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1810406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810432 */     // MIs[0] policy
     /* 1810432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1810445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810466 */     // GIR_Coverage, 12615,
     /* 1810466 */     GIR_EraseRootFromParent_Done,
     /* 1810467 */   // Label 24572: @1810467
     /* 1810467 */   GIM_Try, /*On fail goto*//*Label 24573*/ GIMT_Encode4(1810553), // Rule ID 12618 //
     /* 1810472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1810483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1810486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1810489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1810492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810518 */     // MIs[0] policy
     /* 1810518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1810531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810552 */     // GIR_Coverage, 12618,
     /* 1810552 */     GIR_EraseRootFromParent_Done,
     /* 1810553 */   // Label 24573: @1810553
     /* 1810553 */   GIM_Try, /*On fail goto*//*Label 24574*/ GIMT_Encode4(1810639), // Rule ID 12619 //
     /* 1810558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1810569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1810572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1810575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1810578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810604 */     // MIs[0] policy
     /* 1810604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810614 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1810617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810638 */     // GIR_Coverage, 12619,
     /* 1810638 */     GIR_EraseRootFromParent_Done,
     /* 1810639 */   // Label 24574: @1810639
     /* 1810639 */   GIM_Try, /*On fail goto*//*Label 24575*/ GIMT_Encode4(1810725), // Rule ID 12622 //
     /* 1810644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1810655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1810658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1810661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1810664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810690 */     // MIs[0] policy
     /* 1810690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810700 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1810703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810724 */     // GIR_Coverage, 12622,
     /* 1810724 */     GIR_EraseRootFromParent_Done,
     /* 1810725 */   // Label 24575: @1810725
     /* 1810725 */   GIM_Try, /*On fail goto*//*Label 24576*/ GIMT_Encode4(1810811), // Rule ID 12623 //
     /* 1810730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1810741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1810744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1810747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1810750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810776 */     // MIs[0] policy
     /* 1810776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1810789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810810 */     // GIR_Coverage, 12623,
     /* 1810810 */     GIR_EraseRootFromParent_Done,
     /* 1810811 */   // Label 24576: @1810811
     /* 1810811 */   GIM_Try, /*On fail goto*//*Label 24577*/ GIMT_Encode4(1810897), // Rule ID 12626 //
     /* 1810816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1810833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1810836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810862 */     // MIs[0] policy
     /* 1810862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810872 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1810875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810896 */     // GIR_Coverage, 12626,
     /* 1810896 */     GIR_EraseRootFromParent_Done,
     /* 1810897 */   // Label 24577: @1810897
     /* 1810897 */   GIM_Try, /*On fail goto*//*Label 24578*/ GIMT_Encode4(1810983), // Rule ID 12627 //
     /* 1810902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1810919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1810922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810948 */     // MIs[0] policy
     /* 1810948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1810961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810982 */     // GIR_Coverage, 12627,
     /* 1810982 */     GIR_EraseRootFromParent_Done,
     /* 1810983 */   // Label 24578: @1810983
     /* 1810983 */   GIM_Try, /*On fail goto*//*Label 24579*/ GIMT_Encode4(1811069), // Rule ID 12630 //
     /* 1810988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1810999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1811002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1811005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1811008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811034 */     // MIs[0] policy
     /* 1811034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811044 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1811047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811068 */     // GIR_Coverage, 12630,
     /* 1811068 */     GIR_EraseRootFromParent_Done,
     /* 1811069 */   // Label 24579: @1811069
     /* 1811069 */   GIM_Try, /*On fail goto*//*Label 24580*/ GIMT_Encode4(1811155), // Rule ID 12631 //
     /* 1811074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1811085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1811088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1811091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1811094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811120 */     // MIs[0] policy
     /* 1811120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811130 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1811133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811154 */     // GIR_Coverage, 12631,
     /* 1811154 */     GIR_EraseRootFromParent_Done,
     /* 1811155 */   // Label 24580: @1811155
     /* 1811155 */   GIM_Try, /*On fail goto*//*Label 24581*/ GIMT_Encode4(1811241), // Rule ID 12634 //
     /* 1811160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1811171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1811174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1811177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1811180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1811183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811206 */     // MIs[0] policy
     /* 1811206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811216 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1811219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811240 */     // GIR_Coverage, 12634,
     /* 1811240 */     GIR_EraseRootFromParent_Done,
     /* 1811241 */   // Label 24581: @1811241
     /* 1811241 */   GIM_Try, /*On fail goto*//*Label 24582*/ GIMT_Encode4(1811327), // Rule ID 12635 //
     /* 1811246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1811257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1811260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1811263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1811266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1811269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811292 */     // MIs[0] policy
     /* 1811292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811302 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1811305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811326 */     // GIR_Coverage, 12635,
     /* 1811326 */     GIR_EraseRootFromParent_Done,
     /* 1811327 */   // Label 24582: @1811327
     /* 1811327 */   GIM_Try, /*On fail goto*//*Label 24583*/ GIMT_Encode4(1811413), // Rule ID 12638 //
     /* 1811332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1811343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1811346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1811349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1811352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811378 */     // MIs[0] policy
     /* 1811378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811388 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1811391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811412 */     // GIR_Coverage, 12638,
     /* 1811412 */     GIR_EraseRootFromParent_Done,
     /* 1811413 */   // Label 24583: @1811413
     /* 1811413 */   GIM_Try, /*On fail goto*//*Label 24584*/ GIMT_Encode4(1811499), // Rule ID 12639 //
     /* 1811418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1811429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1811432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1811435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1811438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811464 */     // MIs[0] policy
     /* 1811464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1811477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811498 */     // GIR_Coverage, 12639,
     /* 1811498 */     GIR_EraseRootFromParent_Done,
     /* 1811499 */   // Label 24584: @1811499
     /* 1811499 */   GIM_Try, /*On fail goto*//*Label 24585*/ GIMT_Encode4(1811585), // Rule ID 12642 //
     /* 1811504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1811515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1811518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1811521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1811524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811550 */     // MIs[0] policy
     /* 1811550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1811563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811584 */     // GIR_Coverage, 12642,
     /* 1811584 */     GIR_EraseRootFromParent_Done,
     /* 1811585 */   // Label 24585: @1811585
     /* 1811585 */   GIM_Try, /*On fail goto*//*Label 24586*/ GIMT_Encode4(1811671), // Rule ID 12643 //
     /* 1811590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1811601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1811604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1811607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1811610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811636 */     // MIs[0] policy
     /* 1811636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811646 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1811649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811670 */     // GIR_Coverage, 12643,
     /* 1811670 */     GIR_EraseRootFromParent_Done,
     /* 1811671 */   // Label 24586: @1811671
     /* 1811671 */   GIM_Try, /*On fail goto*//*Label 24587*/ GIMT_Encode4(1811757), // Rule ID 12646 //
     /* 1811676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1811687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1811690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1811693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1811696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811722 */     // MIs[0] policy
     /* 1811722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811732 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1811735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811756 */     // GIR_Coverage, 12646,
     /* 1811756 */     GIR_EraseRootFromParent_Done,
     /* 1811757 */   // Label 24587: @1811757
     /* 1811757 */   GIM_Try, /*On fail goto*//*Label 24588*/ GIMT_Encode4(1811843), // Rule ID 12647 //
     /* 1811762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1811773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1811776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1811779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1811782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811808 */     // MIs[0] policy
     /* 1811808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811818 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1811821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811842 */     // GIR_Coverage, 12647,
     /* 1811842 */     GIR_EraseRootFromParent_Done,
     /* 1811843 */   // Label 24588: @1811843
     /* 1811843 */   GIM_Try, /*On fail goto*//*Label 24589*/ GIMT_Encode4(1811929), // Rule ID 12650 //
     /* 1811848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1811865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1811868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811894 */     // MIs[0] policy
     /* 1811894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811904 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1811907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811928 */     // GIR_Coverage, 12650,
     /* 1811928 */     GIR_EraseRootFromParent_Done,
     /* 1811929 */   // Label 24589: @1811929
     /* 1811929 */   GIM_Try, /*On fail goto*//*Label 24590*/ GIMT_Encode4(1812015), // Rule ID 12651 //
     /* 1811934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1811951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1811954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811980 */     // MIs[0] policy
     /* 1811980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1811993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812014 */     // GIR_Coverage, 12651,
     /* 1812014 */     GIR_EraseRootFromParent_Done,
     /* 1812015 */   // Label 24590: @1812015
     /* 1812015 */   GIM_Try, /*On fail goto*//*Label 24591*/ GIMT_Encode4(1812101), // Rule ID 12654 //
     /* 1812020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1812031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1812034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1812037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1812040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812066 */     // MIs[0] policy
     /* 1812066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1812079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812100 */     // GIR_Coverage, 12654,
     /* 1812100 */     GIR_EraseRootFromParent_Done,
     /* 1812101 */   // Label 24591: @1812101
     /* 1812101 */   GIM_Try, /*On fail goto*//*Label 24592*/ GIMT_Encode4(1812187), // Rule ID 12655 //
     /* 1812106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1812117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1812120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1812123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1812126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812152 */     // MIs[0] policy
     /* 1812152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812162 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1812165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812186 */     // GIR_Coverage, 12655,
     /* 1812186 */     GIR_EraseRootFromParent_Done,
     /* 1812187 */   // Label 24592: @1812187
     /* 1812187 */   GIM_Try, /*On fail goto*//*Label 24593*/ GIMT_Encode4(1812273), // Rule ID 12658 //
     /* 1812192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1812195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1812203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1812206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1812209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1812212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812238 */     // MIs[0] policy
     /* 1812238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812248 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1812251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812272 */     // GIR_Coverage, 12658,
     /* 1812272 */     GIR_EraseRootFromParent_Done,
     /* 1812273 */   // Label 24593: @1812273
     /* 1812273 */   GIM_Try, /*On fail goto*//*Label 24594*/ GIMT_Encode4(1812359), // Rule ID 12659 //
     /* 1812278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1812281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1812289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1812292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1812295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1812298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812324 */     // MIs[0] policy
     /* 1812324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812334 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1812337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812358 */     // GIR_Coverage, 12659,
     /* 1812358 */     GIR_EraseRootFromParent_Done,
     /* 1812359 */   // Label 24594: @1812359
     /* 1812359 */   GIM_Try, /*On fail goto*//*Label 24595*/ GIMT_Encode4(1812445), // Rule ID 12662 //
     /* 1812364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1812367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1812375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1812378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1812381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1812384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812410 */     // MIs[0] policy
     /* 1812410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812420 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1812423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812444 */     // GIR_Coverage, 12662,
     /* 1812444 */     GIR_EraseRootFromParent_Done,
     /* 1812445 */   // Label 24595: @1812445
     /* 1812445 */   GIM_Try, /*On fail goto*//*Label 24596*/ GIMT_Encode4(1812531), // Rule ID 12663 //
     /* 1812450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1812453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1812461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1812464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1812467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1812470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812496 */     // MIs[0] policy
     /* 1812496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1812509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812530 */     // GIR_Coverage, 12663,
     /* 1812530 */     GIR_EraseRootFromParent_Done,
     /* 1812531 */   // Label 24596: @1812531
     /* 1812531 */   GIM_Try, /*On fail goto*//*Label 24597*/ GIMT_Encode4(1812617), // Rule ID 12666 //
     /* 1812536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1812539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1812547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1812550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1812553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1812556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812582 */     // MIs[0] policy
     /* 1812582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812592 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1812595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812616 */     // GIR_Coverage, 12666,
     /* 1812616 */     GIR_EraseRootFromParent_Done,
     /* 1812617 */   // Label 24597: @1812617
     /* 1812617 */   GIM_Try, /*On fail goto*//*Label 24598*/ GIMT_Encode4(1812703), // Rule ID 12667 //
     /* 1812622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1812625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1812633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1812636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1812639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1812642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812668 */     // MIs[0] policy
     /* 1812668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812678 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1812681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812702 */     // GIR_Coverage, 12667,
     /* 1812702 */     GIR_EraseRootFromParent_Done,
     /* 1812703 */   // Label 24598: @1812703
     /* 1812703 */   GIM_Try, /*On fail goto*//*Label 24599*/ GIMT_Encode4(1812789), // Rule ID 12670 //
     /* 1812708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1812711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1812719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1812722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1812725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1812728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812754 */     // MIs[0] policy
     /* 1812754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812764 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1812767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812788 */     // GIR_Coverage, 12670,
     /* 1812788 */     GIR_EraseRootFromParent_Done,
     /* 1812789 */   // Label 24599: @1812789
     /* 1812789 */   GIM_Try, /*On fail goto*//*Label 24600*/ GIMT_Encode4(1812875), // Rule ID 12671 //
     /* 1812794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1812797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1812805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1812808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1812811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1812814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812840 */     // MIs[0] policy
     /* 1812840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812850 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1812853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812874 */     // GIR_Coverage, 12671,
     /* 1812874 */     GIR_EraseRootFromParent_Done,
     /* 1812875 */   // Label 24600: @1812875
     /* 1812875 */   GIM_Try, /*On fail goto*//*Label 24601*/ GIMT_Encode4(1812961), // Rule ID 12674 //
     /* 1812880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1812891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1812894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1812897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812926 */     // MIs[0] policy
     /* 1812926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812936 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1812939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812960 */     // GIR_Coverage, 12674,
     /* 1812960 */     GIR_EraseRootFromParent_Done,
     /* 1812961 */   // Label 24601: @1812961
     /* 1812961 */   GIM_Try, /*On fail goto*//*Label 24602*/ GIMT_Encode4(1813047), // Rule ID 12675 //
     /* 1812966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1812977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1812980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1812983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813012 */     // MIs[0] policy
     /* 1813012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1813025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813046 */     // GIR_Coverage, 12675,
     /* 1813046 */     GIR_EraseRootFromParent_Done,
     /* 1813047 */   // Label 24602: @1813047
     /* 1813047 */   GIM_Try, /*On fail goto*//*Label 24603*/ GIMT_Encode4(1813133), // Rule ID 12678 //
     /* 1813052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1813063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1813066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1813069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813098 */     // MIs[0] policy
     /* 1813098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1813111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813132 */     // GIR_Coverage, 12678,
     /* 1813132 */     GIR_EraseRootFromParent_Done,
     /* 1813133 */   // Label 24603: @1813133
     /* 1813133 */   GIM_Try, /*On fail goto*//*Label 24604*/ GIMT_Encode4(1813219), // Rule ID 12679 //
     /* 1813138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1813149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1813152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1813155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813184 */     // MIs[0] policy
     /* 1813184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813194 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1813197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813218 */     // GIR_Coverage, 12679,
     /* 1813218 */     GIR_EraseRootFromParent_Done,
     /* 1813219 */   // Label 24604: @1813219
     /* 1813219 */   GIM_Try, /*On fail goto*//*Label 24605*/ GIMT_Encode4(1813305), // Rule ID 12682 //
     /* 1813224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1813235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1813238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1813241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813270 */     // MIs[0] policy
     /* 1813270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1813283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813304 */     // GIR_Coverage, 12682,
     /* 1813304 */     GIR_EraseRootFromParent_Done,
     /* 1813305 */   // Label 24605: @1813305
     /* 1813305 */   GIM_Try, /*On fail goto*//*Label 24606*/ GIMT_Encode4(1813391), // Rule ID 12683 //
     /* 1813310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1813321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1813324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1813327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813356 */     // MIs[0] policy
     /* 1813356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813366 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1813369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813390 */     // GIR_Coverage, 12683,
     /* 1813390 */     GIR_EraseRootFromParent_Done,
     /* 1813391 */   // Label 24606: @1813391
     /* 1813391 */   GIM_Try, /*On fail goto*//*Label 24607*/ GIMT_Encode4(1813477), // Rule ID 12686 //
     /* 1813396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1813407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1813410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1813413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813442 */     // MIs[0] policy
     /* 1813442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1813455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813476 */     // GIR_Coverage, 12686,
     /* 1813476 */     GIR_EraseRootFromParent_Done,
     /* 1813477 */   // Label 24607: @1813477
     /* 1813477 */   GIM_Try, /*On fail goto*//*Label 24608*/ GIMT_Encode4(1813563), // Rule ID 12687 //
     /* 1813482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1813493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1813496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1813499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813528 */     // MIs[0] policy
     /* 1813528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813538 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1813541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813562 */     // GIR_Coverage, 12687,
     /* 1813562 */     GIR_EraseRootFromParent_Done,
     /* 1813563 */   // Label 24608: @1813563
     /* 1813563 */   GIM_Try, /*On fail goto*//*Label 24609*/ GIMT_Encode4(1813649), // Rule ID 12690 //
     /* 1813568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1813579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1813582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1813585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813614 */     // MIs[0] policy
     /* 1813614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1813627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813648 */     // GIR_Coverage, 12690,
     /* 1813648 */     GIR_EraseRootFromParent_Done,
     /* 1813649 */   // Label 24609: @1813649
     /* 1813649 */   GIM_Try, /*On fail goto*//*Label 24610*/ GIMT_Encode4(1813735), // Rule ID 12691 //
     /* 1813654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1813665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1813668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1813671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813700 */     // MIs[0] policy
     /* 1813700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813710 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1813713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813734 */     // GIR_Coverage, 12691,
     /* 1813734 */     GIR_EraseRootFromParent_Done,
     /* 1813735 */   // Label 24610: @1813735
     /* 1813735 */   GIM_Try, /*On fail goto*//*Label 24611*/ GIMT_Encode4(1813821), // Rule ID 12694 //
     /* 1813740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1813751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1813754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1813757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1813763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813786 */     // MIs[0] policy
     /* 1813786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813796 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1813799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813820 */     // GIR_Coverage, 12694,
     /* 1813820 */     GIR_EraseRootFromParent_Done,
     /* 1813821 */   // Label 24611: @1813821
     /* 1813821 */   GIM_Try, /*On fail goto*//*Label 24612*/ GIMT_Encode4(1813907), // Rule ID 12695 //
     /* 1813826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1813837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1813840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1813843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1813849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813872 */     // MIs[0] policy
     /* 1813872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813882 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1813885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813906 */     // GIR_Coverage, 12695,
     /* 1813906 */     GIR_EraseRootFromParent_Done,
     /* 1813907 */   // Label 24612: @1813907
     /* 1813907 */   GIM_Try, /*On fail goto*//*Label 24613*/ GIMT_Encode4(1813993), // Rule ID 12698 //
     /* 1813912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1813920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1813923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1813926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1813929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813958 */     // MIs[0] policy
     /* 1813958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1813971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813992 */     // GIR_Coverage, 12698,
     /* 1813992 */     GIR_EraseRootFromParent_Done,
     /* 1813993 */   // Label 24613: @1813993
     /* 1813993 */   GIM_Try, /*On fail goto*//*Label 24614*/ GIMT_Encode4(1814079), // Rule ID 12699 //
     /* 1813998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1814009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1814012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1814015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814044 */     // MIs[0] policy
     /* 1814044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1814057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814078 */     // GIR_Coverage, 12699,
     /* 1814078 */     GIR_EraseRootFromParent_Done,
     /* 1814079 */   // Label 24614: @1814079
     /* 1814079 */   GIM_Try, /*On fail goto*//*Label 24615*/ GIMT_Encode4(1814165), // Rule ID 12702 //
     /* 1814084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1814095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1814098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1814101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814130 */     // MIs[0] policy
     /* 1814130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1814143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814164 */     // GIR_Coverage, 12702,
     /* 1814164 */     GIR_EraseRootFromParent_Done,
     /* 1814165 */   // Label 24615: @1814165
     /* 1814165 */   GIM_Try, /*On fail goto*//*Label 24616*/ GIMT_Encode4(1814251), // Rule ID 12703 //
     /* 1814170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1814181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1814184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1814187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814216 */     // MIs[0] policy
     /* 1814216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1814229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814250 */     // GIR_Coverage, 12703,
     /* 1814250 */     GIR_EraseRootFromParent_Done,
     /* 1814251 */   // Label 24616: @1814251
     /* 1814251 */   GIM_Try, /*On fail goto*//*Label 24617*/ GIMT_Encode4(1814337), // Rule ID 12706 //
     /* 1814256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1814267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1814270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1814273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814302 */     // MIs[0] policy
     /* 1814302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814312 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1814315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814336 */     // GIR_Coverage, 12706,
     /* 1814336 */     GIR_EraseRootFromParent_Done,
     /* 1814337 */   // Label 24617: @1814337
     /* 1814337 */   GIM_Try, /*On fail goto*//*Label 24618*/ GIMT_Encode4(1814423), // Rule ID 12707 //
     /* 1814342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1814353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1814356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1814359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814388 */     // MIs[0] policy
     /* 1814388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814398 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1814401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814422 */     // GIR_Coverage, 12707,
     /* 1814422 */     GIR_EraseRootFromParent_Done,
     /* 1814423 */   // Label 24618: @1814423
     /* 1814423 */   GIM_Try, /*On fail goto*//*Label 24619*/ GIMT_Encode4(1814509), // Rule ID 12710 //
     /* 1814428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1814439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1814442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1814445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814474 */     // MIs[0] policy
     /* 1814474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1814487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814508 */     // GIR_Coverage, 12710,
     /* 1814508 */     GIR_EraseRootFromParent_Done,
     /* 1814509 */   // Label 24619: @1814509
     /* 1814509 */   GIM_Try, /*On fail goto*//*Label 24620*/ GIMT_Encode4(1814595), // Rule ID 12711 //
     /* 1814514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1814525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1814528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1814531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814560 */     // MIs[0] policy
     /* 1814560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814570 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1814573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814594 */     // GIR_Coverage, 12711,
     /* 1814594 */     GIR_EraseRootFromParent_Done,
     /* 1814595 */   // Label 24620: @1814595
     /* 1814595 */   GIM_Try, /*On fail goto*//*Label 24621*/ GIMT_Encode4(1814681), // Rule ID 12714 //
     /* 1814600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1814611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1814614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1814617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814646 */     // MIs[0] policy
     /* 1814646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814656 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1814659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814680 */     // GIR_Coverage, 12714,
     /* 1814680 */     GIR_EraseRootFromParent_Done,
     /* 1814681 */   // Label 24621: @1814681
     /* 1814681 */   GIM_Try, /*On fail goto*//*Label 24622*/ GIMT_Encode4(1814767), // Rule ID 12715 //
     /* 1814686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1814697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1814700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1814703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814732 */     // MIs[0] policy
     /* 1814732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1814745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814766 */     // GIR_Coverage, 12715,
     /* 1814766 */     GIR_EraseRootFromParent_Done,
     /* 1814767 */   // Label 24622: @1814767
     /* 1814767 */   GIM_Try, /*On fail goto*//*Label 24623*/ GIMT_Encode4(1814853), // Rule ID 12718 //
     /* 1814772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1814775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1814783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1814786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1814789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814818 */     // MIs[0] policy
     /* 1814818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1814831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814852 */     // GIR_Coverage, 12718,
     /* 1814852 */     GIR_EraseRootFromParent_Done,
     /* 1814853 */   // Label 24623: @1814853
     /* 1814853 */   GIM_Try, /*On fail goto*//*Label 24624*/ GIMT_Encode4(1814939), // Rule ID 12719 //
     /* 1814858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1814861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1814869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1814872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1814875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814904 */     // MIs[0] policy
     /* 1814904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1814917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814938 */     // GIR_Coverage, 12719,
     /* 1814938 */     GIR_EraseRootFromParent_Done,
     /* 1814939 */   // Label 24624: @1814939
     /* 1814939 */   GIM_Try, /*On fail goto*//*Label 24625*/ GIMT_Encode4(1815025), // Rule ID 12722 //
     /* 1814944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1814947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1814955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1814958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1814961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814990 */     // MIs[0] policy
     /* 1814990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815000 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1815003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815024 */     // GIR_Coverage, 12722,
     /* 1815024 */     GIR_EraseRootFromParent_Done,
     /* 1815025 */   // Label 24625: @1815025
     /* 1815025 */   GIM_Try, /*On fail goto*//*Label 24626*/ GIMT_Encode4(1815111), // Rule ID 12723 //
     /* 1815030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1815033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1815041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1815044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1815047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1815050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815076 */     // MIs[0] policy
     /* 1815076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1815089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815110 */     // GIR_Coverage, 12723,
     /* 1815110 */     GIR_EraseRootFromParent_Done,
     /* 1815111 */   // Label 24626: @1815111
     /* 1815111 */   GIM_Try, /*On fail goto*//*Label 24627*/ GIMT_Encode4(1815197), // Rule ID 12726 //
     /* 1815116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1815119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1815127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1815130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1815133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1815136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815162 */     // MIs[0] policy
     /* 1815162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1815175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815196 */     // GIR_Coverage, 12726,
     /* 1815196 */     GIR_EraseRootFromParent_Done,
     /* 1815197 */   // Label 24627: @1815197
     /* 1815197 */   GIM_Try, /*On fail goto*//*Label 24628*/ GIMT_Encode4(1815283), // Rule ID 12727 //
     /* 1815202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1815205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1815213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1815216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1815219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1815222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815248 */     // MIs[0] policy
     /* 1815248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815258 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1815261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815282 */     // GIR_Coverage, 12727,
     /* 1815282 */     GIR_EraseRootFromParent_Done,
     /* 1815283 */   // Label 24628: @1815283
     /* 1815283 */   GIM_Try, /*On fail goto*//*Label 24629*/ GIMT_Encode4(1815369), // Rule ID 12730 //
     /* 1815288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1815291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1815299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1815302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1815305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1815308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815334 */     // MIs[0] policy
     /* 1815334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815344 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1815347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815368 */     // GIR_Coverage, 12730,
     /* 1815368 */     GIR_EraseRootFromParent_Done,
     /* 1815369 */   // Label 24629: @1815369
     /* 1815369 */   GIM_Try, /*On fail goto*//*Label 24630*/ GIMT_Encode4(1815455), // Rule ID 12731 //
     /* 1815374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1815377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1815385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1815388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1815391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1815394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815420 */     // MIs[0] policy
     /* 1815420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815430 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1815433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815454 */     // GIR_Coverage, 12731,
     /* 1815454 */     GIR_EraseRootFromParent_Done,
     /* 1815455 */   // Label 24630: @1815455
     /* 1815455 */   GIM_Try, /*On fail goto*//*Label 24631*/ GIMT_Encode4(1815541), // Rule ID 12734 //
     /* 1815460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1815471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1815474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1815477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1815480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815506 */     // MIs[0] policy
     /* 1815506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815516 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1815519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815540 */     // GIR_Coverage, 12734,
     /* 1815540 */     GIR_EraseRootFromParent_Done,
     /* 1815541 */   // Label 24631: @1815541
     /* 1815541 */   GIM_Try, /*On fail goto*//*Label 24632*/ GIMT_Encode4(1815627), // Rule ID 12735 //
     /* 1815546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1815557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1815560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1815563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1815566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815592 */     // MIs[0] policy
     /* 1815592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815602 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1815605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815626 */     // GIR_Coverage, 12735,
     /* 1815626 */     GIR_EraseRootFromParent_Done,
     /* 1815627 */   // Label 24632: @1815627
     /* 1815627 */   GIM_Try, /*On fail goto*//*Label 24633*/ GIMT_Encode4(1815713), // Rule ID 12738 //
     /* 1815632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1815643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1815646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1815649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1815652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815678 */     // MIs[0] policy
     /* 1815678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815688 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1815691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815712 */     // GIR_Coverage, 12738,
     /* 1815712 */     GIR_EraseRootFromParent_Done,
     /* 1815713 */   // Label 24633: @1815713
     /* 1815713 */   GIM_Try, /*On fail goto*//*Label 24634*/ GIMT_Encode4(1815799), // Rule ID 12739 //
     /* 1815718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1815729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1815732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1815735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1815738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815764 */     // MIs[0] policy
     /* 1815764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815774 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1815777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815798 */     // GIR_Coverage, 12739,
     /* 1815798 */     GIR_EraseRootFromParent_Done,
     /* 1815799 */   // Label 24634: @1815799
     /* 1815799 */   GIM_Try, /*On fail goto*//*Label 24635*/ GIMT_Encode4(1815885), // Rule ID 12742 //
     /* 1815804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1815815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1815818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1815821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1815824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815850 */     // MIs[0] policy
     /* 1815850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815860 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1815863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815884 */     // GIR_Coverage, 12742,
     /* 1815884 */     GIR_EraseRootFromParent_Done,
     /* 1815885 */   // Label 24635: @1815885
     /* 1815885 */   GIM_Try, /*On fail goto*//*Label 24636*/ GIMT_Encode4(1815971), // Rule ID 12743 //
     /* 1815890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1815901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1815904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1815907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1815910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815936 */     // MIs[0] policy
     /* 1815936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1815949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815970 */     // GIR_Coverage, 12743,
     /* 1815970 */     GIR_EraseRootFromParent_Done,
     /* 1815971 */   // Label 24636: @1815971
     /* 1815971 */   GIM_Try, /*On fail goto*//*Label 24637*/ GIMT_Encode4(1816057), // Rule ID 12746 //
     /* 1815976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1815987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1815990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1815993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1815996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816022 */     // MIs[0] policy
     /* 1816022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816032 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1816035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816056 */     // GIR_Coverage, 12746,
     /* 1816056 */     GIR_EraseRootFromParent_Done,
     /* 1816057 */   // Label 24637: @1816057
     /* 1816057 */   GIM_Try, /*On fail goto*//*Label 24638*/ GIMT_Encode4(1816143), // Rule ID 12747 //
     /* 1816062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1816073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1816076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1816079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1816082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816108 */     // MIs[0] policy
     /* 1816108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816118 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1816121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816142 */     // GIR_Coverage, 12747,
     /* 1816142 */     GIR_EraseRootFromParent_Done,
     /* 1816143 */   // Label 24638: @1816143
     /* 1816143 */   GIM_Try, /*On fail goto*//*Label 24639*/ GIMT_Encode4(1816229), // Rule ID 12750 //
     /* 1816148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1816159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1816162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1816165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1816168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816194 */     // MIs[0] policy
     /* 1816194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1816207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816228 */     // GIR_Coverage, 12750,
     /* 1816228 */     GIR_EraseRootFromParent_Done,
     /* 1816229 */   // Label 24639: @1816229
     /* 1816229 */   GIM_Try, /*On fail goto*//*Label 24640*/ GIMT_Encode4(1816315), // Rule ID 12751 //
     /* 1816234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1816245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1816248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1816251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1816254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816280 */     // MIs[0] policy
     /* 1816280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1816293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816314 */     // GIR_Coverage, 12751,
     /* 1816314 */     GIR_EraseRootFromParent_Done,
     /* 1816315 */   // Label 24640: @1816315
     /* 1816315 */   GIM_Try, /*On fail goto*//*Label 24641*/ GIMT_Encode4(1816401), // Rule ID 12754 //
     /* 1816320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1816331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1816334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1816337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1816340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816366 */     // MIs[0] policy
     /* 1816366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816400 */     // GIR_Coverage, 12754,
     /* 1816400 */     GIR_EraseRootFromParent_Done,
     /* 1816401 */   // Label 24641: @1816401
     /* 1816401 */   GIM_Try, /*On fail goto*//*Label 24642*/ GIMT_Encode4(1816487), // Rule ID 12755 //
     /* 1816406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1816417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1816420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1816423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1816426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816452 */     // MIs[0] policy
     /* 1816452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816462 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816486 */     // GIR_Coverage, 12755,
     /* 1816486 */     GIR_EraseRootFromParent_Done,
     /* 1816487 */   // Label 24642: @1816487
     /* 1816487 */   GIM_Try, /*On fail goto*//*Label 24643*/ GIMT_Encode4(1816573), // Rule ID 12758 //
     /* 1816492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1816503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1816506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1816509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1816512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816538 */     // MIs[0] policy
     /* 1816538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816572 */     // GIR_Coverage, 12758,
     /* 1816572 */     GIR_EraseRootFromParent_Done,
     /* 1816573 */   // Label 24643: @1816573
     /* 1816573 */   GIM_Try, /*On fail goto*//*Label 24644*/ GIMT_Encode4(1816659), // Rule ID 12759 //
     /* 1816578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1816589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1816592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1816595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1816598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816624 */     // MIs[0] policy
     /* 1816624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816634 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816658 */     // GIR_Coverage, 12759,
     /* 1816658 */     GIR_EraseRootFromParent_Done,
     /* 1816659 */   // Label 24644: @1816659
     /* 1816659 */   GIM_Try, /*On fail goto*//*Label 24645*/ GIMT_Encode4(1816745), // Rule ID 12762 //
     /* 1816664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1816675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1816678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1816681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1816684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816710 */     // MIs[0] policy
     /* 1816710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816720 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816744 */     // GIR_Coverage, 12762,
     /* 1816744 */     GIR_EraseRootFromParent_Done,
     /* 1816745 */   // Label 24645: @1816745
     /* 1816745 */   GIM_Try, /*On fail goto*//*Label 24646*/ GIMT_Encode4(1816831), // Rule ID 12763 //
     /* 1816750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1816761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1816764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1816767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1816770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816796 */     // MIs[0] policy
     /* 1816796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816830 */     // GIR_Coverage, 12763,
     /* 1816830 */     GIR_EraseRootFromParent_Done,
     /* 1816831 */   // Label 24646: @1816831
     /* 1816831 */   GIM_Try, /*On fail goto*//*Label 24647*/ GIMT_Encode4(1816917), // Rule ID 12766 //
     /* 1816836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1816839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1816847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1816850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1816853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1816856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816882 */     // MIs[0] policy
     /* 1816882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816892 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816916 */     // GIR_Coverage, 12766,
     /* 1816916 */     GIR_EraseRootFromParent_Done,
     /* 1816917 */   // Label 24647: @1816917
     /* 1816917 */   GIM_Try, /*On fail goto*//*Label 24648*/ GIMT_Encode4(1817003), // Rule ID 12767 //
     /* 1816922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1816925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1816933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1816936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1816939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1816942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816968 */     // MIs[0] policy
     /* 1816968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816978 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1816981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817002 */     // GIR_Coverage, 12767,
     /* 1817002 */     GIR_EraseRootFromParent_Done,
     /* 1817003 */   // Label 24648: @1817003
     /* 1817003 */   GIM_Try, /*On fail goto*//*Label 24649*/ GIMT_Encode4(1817089), // Rule ID 12770 //
     /* 1817008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1817019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1817022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1817028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817054 */     // MIs[0] policy
     /* 1817054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817064 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1817067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817088 */     // GIR_Coverage, 12770,
     /* 1817088 */     GIR_EraseRootFromParent_Done,
     /* 1817089 */   // Label 24649: @1817089
     /* 1817089 */   GIM_Try, /*On fail goto*//*Label 24650*/ GIMT_Encode4(1817175), // Rule ID 12771 //
     /* 1817094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1817105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1817108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1817114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817140 */     // MIs[0] policy
     /* 1817140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817150 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1817153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817174 */     // GIR_Coverage, 12771,
     /* 1817174 */     GIR_EraseRootFromParent_Done,
     /* 1817175 */   // Label 24650: @1817175
     /* 1817175 */   GIM_Try, /*On fail goto*//*Label 24651*/ GIMT_Encode4(1817261), // Rule ID 12774 //
     /* 1817180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1817191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1817194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1817197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1817200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817226 */     // MIs[0] policy
     /* 1817226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817236 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1817239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817260 */     // GIR_Coverage, 12774,
     /* 1817260 */     GIR_EraseRootFromParent_Done,
     /* 1817261 */   // Label 24651: @1817261
     /* 1817261 */   GIM_Try, /*On fail goto*//*Label 24652*/ GIMT_Encode4(1817347), // Rule ID 12775 //
     /* 1817266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1817277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1817280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1817283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1817286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817312 */     // MIs[0] policy
     /* 1817312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817322 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1817325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817346 */     // GIR_Coverage, 12775,
     /* 1817346 */     GIR_EraseRootFromParent_Done,
     /* 1817347 */   // Label 24652: @1817347
     /* 1817347 */   GIM_Try, /*On fail goto*//*Label 24653*/ GIMT_Encode4(1817433), // Rule ID 12778 //
     /* 1817352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1817363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1817366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1817369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1817372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1817375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817398 */     // MIs[0] policy
     /* 1817398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817408 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1817411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817432 */     // GIR_Coverage, 12778,
     /* 1817432 */     GIR_EraseRootFromParent_Done,
     /* 1817433 */   // Label 24653: @1817433
     /* 1817433 */   GIM_Try, /*On fail goto*//*Label 24654*/ GIMT_Encode4(1817519), // Rule ID 12779 //
     /* 1817438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1817449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1817452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1817455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1817458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1817461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817484 */     // MIs[0] policy
     /* 1817484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817494 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1817497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817518 */     // GIR_Coverage, 12779,
     /* 1817518 */     GIR_EraseRootFromParent_Done,
     /* 1817519 */   // Label 24654: @1817519
     /* 1817519 */   GIM_Try, /*On fail goto*//*Label 24655*/ GIMT_Encode4(1817605), // Rule ID 12782 //
     /* 1817524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1817535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1817538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1817541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1817544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817570 */     // MIs[0] policy
     /* 1817570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817580 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1817583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817604 */     // GIR_Coverage, 12782,
     /* 1817604 */     GIR_EraseRootFromParent_Done,
     /* 1817605 */   // Label 24655: @1817605
     /* 1817605 */   GIM_Try, /*On fail goto*//*Label 24656*/ GIMT_Encode4(1817691), // Rule ID 12783 //
     /* 1817610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1817621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1817624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1817627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1817630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817656 */     // MIs[0] policy
     /* 1817656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817666 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1817669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817690 */     // GIR_Coverage, 12783,
     /* 1817690 */     GIR_EraseRootFromParent_Done,
     /* 1817691 */   // Label 24656: @1817691
     /* 1817691 */   GIM_Try, /*On fail goto*//*Label 24657*/ GIMT_Encode4(1817777), // Rule ID 12786 //
     /* 1817696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1817707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1817710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1817713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1817716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817742 */     // MIs[0] policy
     /* 1817742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817752 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1817755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817776 */     // GIR_Coverage, 12786,
     /* 1817776 */     GIR_EraseRootFromParent_Done,
     /* 1817777 */   // Label 24657: @1817777
     /* 1817777 */   GIM_Try, /*On fail goto*//*Label 24658*/ GIMT_Encode4(1817863), // Rule ID 12787 //
     /* 1817782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1817793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1817796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1817799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1817802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817828 */     // MIs[0] policy
     /* 1817828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817838 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1817841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817862 */     // GIR_Coverage, 12787,
     /* 1817862 */     GIR_EraseRootFromParent_Done,
     /* 1817863 */   // Label 24658: @1817863
     /* 1817863 */   GIM_Try, /*On fail goto*//*Label 24659*/ GIMT_Encode4(1817949), // Rule ID 12790 //
     /* 1817868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1817879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1817882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1817885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1817888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817914 */     // MIs[0] policy
     /* 1817914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817924 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1817927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817948 */     // GIR_Coverage, 12790,
     /* 1817948 */     GIR_EraseRootFromParent_Done,
     /* 1817949 */   // Label 24659: @1817949
     /* 1817949 */   GIM_Try, /*On fail goto*//*Label 24660*/ GIMT_Encode4(1818035), // Rule ID 12791 //
     /* 1817954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1817965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1817968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1817971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1817974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818000 */     // MIs[0] policy
     /* 1818000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818010 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1818013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818034 */     // GIR_Coverage, 12791,
     /* 1818034 */     GIR_EraseRootFromParent_Done,
     /* 1818035 */   // Label 24660: @1818035
     /* 1818035 */   GIM_Try, /*On fail goto*//*Label 24661*/ GIMT_Encode4(1818121), // Rule ID 12794 //
     /* 1818040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1818057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1818060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818086 */     // MIs[0] policy
     /* 1818086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1818099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818120 */     // GIR_Coverage, 12794,
     /* 1818120 */     GIR_EraseRootFromParent_Done,
     /* 1818121 */   // Label 24661: @1818121
     /* 1818121 */   GIM_Try, /*On fail goto*//*Label 24662*/ GIMT_Encode4(1818207), // Rule ID 12795 //
     /* 1818126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1818143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1818146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818172 */     // MIs[0] policy
     /* 1818172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818182 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1818185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818206 */     // GIR_Coverage, 12795,
     /* 1818206 */     GIR_EraseRootFromParent_Done,
     /* 1818207 */   // Label 24662: @1818207
     /* 1818207 */   GIM_Try, /*On fail goto*//*Label 24663*/ GIMT_Encode4(1818293), // Rule ID 12798 //
     /* 1818212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1818223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1818226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1818229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1818232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818258 */     // MIs[0] policy
     /* 1818258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818268 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1818271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818292 */     // GIR_Coverage, 12798,
     /* 1818292 */     GIR_EraseRootFromParent_Done,
     /* 1818293 */   // Label 24663: @1818293
     /* 1818293 */   GIM_Try, /*On fail goto*//*Label 24664*/ GIMT_Encode4(1818379), // Rule ID 12799 //
     /* 1818298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1818309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1818312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1818315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1818318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818344 */     // MIs[0] policy
     /* 1818344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818354 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1818357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818378 */     // GIR_Coverage, 12799,
     /* 1818378 */     GIR_EraseRootFromParent_Done,
     /* 1818379 */   // Label 24664: @1818379
     /* 1818379 */   GIM_Try, /*On fail goto*//*Label 24665*/ GIMT_Encode4(1818465), // Rule ID 12802 //
     /* 1818384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1818395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1818398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1818401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1818404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818430 */     // MIs[0] policy
     /* 1818430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818440 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1818443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818464 */     // GIR_Coverage, 12802,
     /* 1818464 */     GIR_EraseRootFromParent_Done,
     /* 1818465 */   // Label 24665: @1818465
     /* 1818465 */   GIM_Try, /*On fail goto*//*Label 24666*/ GIMT_Encode4(1818551), // Rule ID 12803 //
     /* 1818470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1818481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1818484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1818487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1818490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818516 */     // MIs[0] policy
     /* 1818516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818526 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1818529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818550 */     // GIR_Coverage, 12803,
     /* 1818550 */     GIR_EraseRootFromParent_Done,
     /* 1818551 */   // Label 24666: @1818551
     /* 1818551 */   GIM_Try, /*On fail goto*//*Label 24667*/ GIMT_Encode4(1818637), // Rule ID 12806 //
     /* 1818556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1818559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1818567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1818570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1818573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1818576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818602 */     // MIs[0] policy
     /* 1818602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818612 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1818615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818636 */     // GIR_Coverage, 12806,
     /* 1818636 */     GIR_EraseRootFromParent_Done,
     /* 1818637 */   // Label 24667: @1818637
     /* 1818637 */   GIM_Try, /*On fail goto*//*Label 24668*/ GIMT_Encode4(1818723), // Rule ID 12807 //
     /* 1818642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1818645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1818653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1818656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1818659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1818662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818688 */     // MIs[0] policy
     /* 1818688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818698 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1818701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818722 */     // GIR_Coverage, 12807,
     /* 1818722 */     GIR_EraseRootFromParent_Done,
     /* 1818723 */   // Label 24668: @1818723
     /* 1818723 */   GIM_Try, /*On fail goto*//*Label 24669*/ GIMT_Encode4(1818809), // Rule ID 12810 //
     /* 1818728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1818731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1818739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1818742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1818745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1818748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818774 */     // MIs[0] policy
     /* 1818774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818784 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1818787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818808 */     // GIR_Coverage, 12810,
     /* 1818808 */     GIR_EraseRootFromParent_Done,
     /* 1818809 */   // Label 24669: @1818809
     /* 1818809 */   GIM_Try, /*On fail goto*//*Label 24670*/ GIMT_Encode4(1818895), // Rule ID 12811 //
     /* 1818814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1818817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1818825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1818828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1818831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1818834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818860 */     // MIs[0] policy
     /* 1818860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818870 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1818873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818894 */     // GIR_Coverage, 12811,
     /* 1818894 */     GIR_EraseRootFromParent_Done,
     /* 1818895 */   // Label 24670: @1818895
     /* 1818895 */   GIM_Try, /*On fail goto*//*Label 24671*/ GIMT_Encode4(1818981), // Rule ID 12814 //
     /* 1818900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1818903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1818911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1818914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1818917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1818920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818946 */     // MIs[0] policy
     /* 1818946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818956 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1818959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818980 */     // GIR_Coverage, 12814,
     /* 1818980 */     GIR_EraseRootFromParent_Done,
     /* 1818981 */   // Label 24671: @1818981
     /* 1818981 */   GIM_Try, /*On fail goto*//*Label 24672*/ GIMT_Encode4(1819067), // Rule ID 12815 //
     /* 1818986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1818989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1818997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1819000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1819003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1819006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819032 */     // MIs[0] policy
     /* 1819032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819042 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1819045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819066 */     // GIR_Coverage, 12815,
     /* 1819066 */     GIR_EraseRootFromParent_Done,
     /* 1819067 */   // Label 24672: @1819067
     /* 1819067 */   GIM_Try, /*On fail goto*//*Label 24673*/ GIMT_Encode4(1819153), // Rule ID 12818 //
     /* 1819072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1819083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1819086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1819092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819118 */     // MIs[0] policy
     /* 1819118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819128 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1819131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819152 */     // GIR_Coverage, 12818,
     /* 1819152 */     GIR_EraseRootFromParent_Done,
     /* 1819153 */   // Label 24673: @1819153
     /* 1819153 */   GIM_Try, /*On fail goto*//*Label 24674*/ GIMT_Encode4(1819239), // Rule ID 12819 //
     /* 1819158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1819169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1819172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1819178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819204 */     // MIs[0] policy
     /* 1819204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819214 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1819217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819238 */     // GIR_Coverage, 12819,
     /* 1819238 */     GIR_EraseRootFromParent_Done,
     /* 1819239 */   // Label 24674: @1819239
     /* 1819239 */   GIM_Try, /*On fail goto*//*Label 24675*/ GIMT_Encode4(1819325), // Rule ID 12822 //
     /* 1819244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1819255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1819258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1819264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819290 */     // MIs[0] policy
     /* 1819290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819300 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1819303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819324 */     // GIR_Coverage, 12822,
     /* 1819324 */     GIR_EraseRootFromParent_Done,
     /* 1819325 */   // Label 24675: @1819325
     /* 1819325 */   GIM_Try, /*On fail goto*//*Label 24676*/ GIMT_Encode4(1819411), // Rule ID 12823 //
     /* 1819330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1819341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1819344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1819350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819376 */     // MIs[0] policy
     /* 1819376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819386 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1819389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819410 */     // GIR_Coverage, 12823,
     /* 1819410 */     GIR_EraseRootFromParent_Done,
     /* 1819411 */   // Label 24676: @1819411
     /* 1819411 */   GIM_Try, /*On fail goto*//*Label 24677*/ GIMT_Encode4(1819497), // Rule ID 12826 //
     /* 1819416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1819427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1819430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1819436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819462 */     // MIs[0] policy
     /* 1819462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1819475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819496 */     // GIR_Coverage, 12826,
     /* 1819496 */     GIR_EraseRootFromParent_Done,
     /* 1819497 */   // Label 24677: @1819497
     /* 1819497 */   GIM_Try, /*On fail goto*//*Label 24678*/ GIMT_Encode4(1819583), // Rule ID 12827 //
     /* 1819502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1819513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1819516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1819522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819548 */     // MIs[0] policy
     /* 1819548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819558 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1819561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819582 */     // GIR_Coverage, 12827,
     /* 1819582 */     GIR_EraseRootFromParent_Done,
     /* 1819583 */   // Label 24678: @1819583
     /* 1819583 */   GIM_Try, /*On fail goto*//*Label 24679*/ GIMT_Encode4(1819669), // Rule ID 12830 //
     /* 1819588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1819599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1819602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1819608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819634 */     // MIs[0] policy
     /* 1819634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819644 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1819647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819668 */     // GIR_Coverage, 12830,
     /* 1819668 */     GIR_EraseRootFromParent_Done,
     /* 1819669 */   // Label 24679: @1819669
     /* 1819669 */   GIM_Try, /*On fail goto*//*Label 24680*/ GIMT_Encode4(1819755), // Rule ID 12831 //
     /* 1819674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1819685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1819688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1819694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819720 */     // MIs[0] policy
     /* 1819720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819730 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1819733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819754 */     // GIR_Coverage, 12831,
     /* 1819754 */     GIR_EraseRootFromParent_Done,
     /* 1819755 */   // Label 24680: @1819755
     /* 1819755 */   GIM_Try, /*On fail goto*//*Label 24681*/ GIMT_Encode4(1819841), // Rule ID 12834 //
     /* 1819760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1819771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1819774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1819780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819806 */     // MIs[0] policy
     /* 1819806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819816 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1819819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819840 */     // GIR_Coverage, 12834,
     /* 1819840 */     GIR_EraseRootFromParent_Done,
     /* 1819841 */   // Label 24681: @1819841
     /* 1819841 */   GIM_Try, /*On fail goto*//*Label 24682*/ GIMT_Encode4(1819927), // Rule ID 12835 //
     /* 1819846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1819857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1819860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1819866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819892 */     // MIs[0] policy
     /* 1819892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819902 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1819905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819926 */     // GIR_Coverage, 12835,
     /* 1819926 */     GIR_EraseRootFromParent_Done,
     /* 1819927 */   // Label 24682: @1819927
     /* 1819927 */   GIM_Try, /*On fail goto*//*Label 24683*/ GIMT_Encode4(1820013), // Rule ID 12838 //
     /* 1819932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1819943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1819946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1819952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819978 */     // MIs[0] policy
     /* 1819978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819988 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1819991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820012 */     // GIR_Coverage, 12838,
     /* 1820012 */     GIR_EraseRootFromParent_Done,
     /* 1820013 */   // Label 24683: @1820013
     /* 1820013 */   GIM_Try, /*On fail goto*//*Label 24684*/ GIMT_Encode4(1820099), // Rule ID 12839 //
     /* 1820018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1820029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1820032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1820038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820064 */     // MIs[0] policy
     /* 1820064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1820077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820098 */     // GIR_Coverage, 12839,
     /* 1820098 */     GIR_EraseRootFromParent_Done,
     /* 1820099 */   // Label 24684: @1820099
     /* 1820099 */   GIM_Try, /*On fail goto*//*Label 24685*/ GIMT_Encode4(1820185), // Rule ID 12842 //
     /* 1820104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1820115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1820118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1820124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820150 */     // MIs[0] policy
     /* 1820150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820160 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1820163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820184 */     // GIR_Coverage, 12842,
     /* 1820184 */     GIR_EraseRootFromParent_Done,
     /* 1820185 */   // Label 24685: @1820185
     /* 1820185 */   GIM_Try, /*On fail goto*//*Label 24686*/ GIMT_Encode4(1820271), // Rule ID 12843 //
     /* 1820190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1820201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1820204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1820210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820236 */     // MIs[0] policy
     /* 1820236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820246 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1820249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820270 */     // GIR_Coverage, 12843,
     /* 1820270 */     GIR_EraseRootFromParent_Done,
     /* 1820271 */   // Label 24686: @1820271
     /* 1820271 */   GIM_Try, /*On fail goto*//*Label 24687*/ GIMT_Encode4(1820357), // Rule ID 12846 //
     /* 1820276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1820287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1820290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1820296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820322 */     // MIs[0] policy
     /* 1820322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1820335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820356 */     // GIR_Coverage, 12846,
     /* 1820356 */     GIR_EraseRootFromParent_Done,
     /* 1820357 */   // Label 24687: @1820357
     /* 1820357 */   GIM_Try, /*On fail goto*//*Label 24688*/ GIMT_Encode4(1820443), // Rule ID 12847 //
     /* 1820362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1820373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1820376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1820382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820408 */     // MIs[0] policy
     /* 1820408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820418 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1820421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820442 */     // GIR_Coverage, 12847,
     /* 1820442 */     GIR_EraseRootFromParent_Done,
     /* 1820443 */   // Label 24688: @1820443
     /* 1820443 */   GIM_Try, /*On fail goto*//*Label 24689*/ GIMT_Encode4(1820529), // Rule ID 12850 //
     /* 1820448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1820459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1820462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1820468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820494 */     // MIs[0] policy
     /* 1820494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820504 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1820507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820528 */     // GIR_Coverage, 12850,
     /* 1820528 */     GIR_EraseRootFromParent_Done,
     /* 1820529 */   // Label 24689: @1820529
     /* 1820529 */   GIM_Try, /*On fail goto*//*Label 24690*/ GIMT_Encode4(1820615), // Rule ID 12851 //
     /* 1820534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1820545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1820548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1820554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820580 */     // MIs[0] policy
     /* 1820580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1820593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820614 */     // GIR_Coverage, 12851,
     /* 1820614 */     GIR_EraseRootFromParent_Done,
     /* 1820615 */   // Label 24690: @1820615
     /* 1820615 */   GIM_Try, /*On fail goto*//*Label 24691*/ GIMT_Encode4(1820701), // Rule ID 12854 //
     /* 1820620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1820623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1820631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1820634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1820640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820666 */     // MIs[0] policy
     /* 1820666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1820679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1820697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820700 */     // GIR_Coverage, 12854,
     /* 1820700 */     GIR_EraseRootFromParent_Done,
     /* 1820701 */   // Label 24691: @1820701
     /* 1820701 */   GIM_Try, /*On fail goto*//*Label 24692*/ GIMT_Encode4(1820787), // Rule ID 12855 //
     /* 1820706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1820709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1820717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1820720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1820726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820752 */     // MIs[0] policy
     /* 1820752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820762 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1820765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1820783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820786 */     // GIR_Coverage, 12855,
     /* 1820786 */     GIR_EraseRootFromParent_Done,
     /* 1820787 */   // Label 24692: @1820787
     /* 1820787 */   GIM_Try, /*On fail goto*//*Label 24693*/ GIMT_Encode4(1820873), // Rule ID 12858 //
     /* 1820792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1820803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1820806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1820812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1820815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820838 */     // MIs[0] policy
     /* 1820838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820848 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1820851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820872 */     // GIR_Coverage, 12858,
     /* 1820872 */     GIR_EraseRootFromParent_Done,
     /* 1820873 */   // Label 24693: @1820873
     /* 1820873 */   GIM_Try, /*On fail goto*//*Label 24694*/ GIMT_Encode4(1820959), // Rule ID 12859 //
     /* 1820878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1820889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1820892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1820898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1820901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820924 */     // MIs[0] policy
     /* 1820924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820934 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1820937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820958 */     // GIR_Coverage, 12859,
     /* 1820958 */     GIR_EraseRootFromParent_Done,
     /* 1820959 */   // Label 24694: @1820959
     /* 1820959 */   GIM_Try, /*On fail goto*//*Label 24695*/ GIMT_Encode4(1821045), // Rule ID 12862 //
     /* 1820964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1820975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1820978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1820984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1820987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821010 */     // MIs[0] policy
     /* 1821010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821020 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1821023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821044 */     // GIR_Coverage, 12862,
     /* 1821044 */     GIR_EraseRootFromParent_Done,
     /* 1821045 */   // Label 24695: @1821045
     /* 1821045 */   GIM_Try, /*On fail goto*//*Label 24696*/ GIMT_Encode4(1821131), // Rule ID 12863 //
     /* 1821050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1821061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1821064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1821070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821096 */     // MIs[0] policy
     /* 1821096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821106 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1821109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821130 */     // GIR_Coverage, 12863,
     /* 1821130 */     GIR_EraseRootFromParent_Done,
     /* 1821131 */   // Label 24696: @1821131
     /* 1821131 */   GIM_Try, /*On fail goto*//*Label 24697*/ GIMT_Encode4(1821217), // Rule ID 12866 //
     /* 1821136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1821147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1821150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1821156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1821159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821182 */     // MIs[0] policy
     /* 1821182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821192 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1821195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821216 */     // GIR_Coverage, 12866,
     /* 1821216 */     GIR_EraseRootFromParent_Done,
     /* 1821217 */   // Label 24697: @1821217
     /* 1821217 */   GIM_Try, /*On fail goto*//*Label 24698*/ GIMT_Encode4(1821303), // Rule ID 12867 //
     /* 1821222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1821233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1821236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1821242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1821245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821268 */     // MIs[0] policy
     /* 1821268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821278 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1821281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821302 */     // GIR_Coverage, 12867,
     /* 1821302 */     GIR_EraseRootFromParent_Done,
     /* 1821303 */   // Label 24698: @1821303
     /* 1821303 */   GIM_Try, /*On fail goto*//*Label 24699*/ GIMT_Encode4(1821389), // Rule ID 12870 //
     /* 1821308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1821319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1821322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1821328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821354 */     // MIs[0] policy
     /* 1821354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821364 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1821367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821388 */     // GIR_Coverage, 12870,
     /* 1821388 */     GIR_EraseRootFromParent_Done,
     /* 1821389 */   // Label 24699: @1821389
     /* 1821389 */   GIM_Try, /*On fail goto*//*Label 24700*/ GIMT_Encode4(1821475), // Rule ID 12871 //
     /* 1821394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1821405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1821408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1821414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821440 */     // MIs[0] policy
     /* 1821440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821450 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1821453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821474 */     // GIR_Coverage, 12871,
     /* 1821474 */     GIR_EraseRootFromParent_Done,
     /* 1821475 */   // Label 24700: @1821475
     /* 1821475 */   GIM_Try, /*On fail goto*//*Label 24701*/ GIMT_Encode4(1821561), // Rule ID 12874 //
     /* 1821480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1821491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1821494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1821500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821526 */     // MIs[0] policy
     /* 1821526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1821539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821560 */     // GIR_Coverage, 12874,
     /* 1821560 */     GIR_EraseRootFromParent_Done,
     /* 1821561 */   // Label 24701: @1821561
     /* 1821561 */   GIM_Try, /*On fail goto*//*Label 24702*/ GIMT_Encode4(1821647), // Rule ID 12875 //
     /* 1821566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1821577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1821580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1821586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821612 */     // MIs[0] policy
     /* 1821612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821622 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1821625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821646 */     // GIR_Coverage, 12875,
     /* 1821646 */     GIR_EraseRootFromParent_Done,
     /* 1821647 */   // Label 24702: @1821647
     /* 1821647 */   GIM_Try, /*On fail goto*//*Label 24703*/ GIMT_Encode4(1821733), // Rule ID 12878 //
     /* 1821652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1821663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1821666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1821672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821698 */     // MIs[0] policy
     /* 1821698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821708 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1821711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821732 */     // GIR_Coverage, 12878,
     /* 1821732 */     GIR_EraseRootFromParent_Done,
     /* 1821733 */   // Label 24703: @1821733
     /* 1821733 */   GIM_Try, /*On fail goto*//*Label 24704*/ GIMT_Encode4(1821819), // Rule ID 12879 //
     /* 1821738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1821749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1821752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1821758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821784 */     // MIs[0] policy
     /* 1821784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821794 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1821797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821818 */     // GIR_Coverage, 12879,
     /* 1821818 */     GIR_EraseRootFromParent_Done,
     /* 1821819 */   // Label 24704: @1821819
     /* 1821819 */   GIM_Try, /*On fail goto*//*Label 24705*/ GIMT_Encode4(1821905), // Rule ID 12882 //
     /* 1821824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1821835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1821838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1821844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821870 */     // MIs[0] policy
     /* 1821870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1821883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821904 */     // GIR_Coverage, 12882,
     /* 1821904 */     GIR_EraseRootFromParent_Done,
     /* 1821905 */   // Label 24705: @1821905
     /* 1821905 */   GIM_Try, /*On fail goto*//*Label 24706*/ GIMT_Encode4(1821991), // Rule ID 12883 //
     /* 1821910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1821921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1821924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1821930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821956 */     // MIs[0] policy
     /* 1821956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821966 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1821969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821990 */     // GIR_Coverage, 12883,
     /* 1821990 */     GIR_EraseRootFromParent_Done,
     /* 1821991 */   // Label 24706: @1821991
     /* 1821991 */   GIM_Try, /*On fail goto*//*Label 24707*/ GIMT_Encode4(1822077), // Rule ID 12886 //
     /* 1821996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1822016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822042 */     // MIs[0] policy
     /* 1822042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822052 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1822055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822076 */     // GIR_Coverage, 12886,
     /* 1822076 */     GIR_EraseRootFromParent_Done,
     /* 1822077 */   // Label 24707: @1822077
     /* 1822077 */   GIM_Try, /*On fail goto*//*Label 24708*/ GIMT_Encode4(1822163), // Rule ID 12887 //
     /* 1822082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1822102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822128 */     // MIs[0] policy
     /* 1822128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822138 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1822141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822162 */     // GIR_Coverage, 12887,
     /* 1822162 */     GIR_EraseRootFromParent_Done,
     /* 1822163 */   // Label 24708: @1822163
     /* 1822163 */   GIM_Try, /*On fail goto*//*Label 24709*/ GIMT_Encode4(1822249), // Rule ID 12890 //
     /* 1822168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1822179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1822182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1822188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822214 */     // MIs[0] policy
     /* 1822214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822224 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1822227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822248 */     // GIR_Coverage, 12890,
     /* 1822248 */     GIR_EraseRootFromParent_Done,
     /* 1822249 */   // Label 24709: @1822249
     /* 1822249 */   GIM_Try, /*On fail goto*//*Label 24710*/ GIMT_Encode4(1822335), // Rule ID 12891 //
     /* 1822254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1822265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1822268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1822274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822300 */     // MIs[0] policy
     /* 1822300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822310 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1822313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822334 */     // GIR_Coverage, 12891,
     /* 1822334 */     GIR_EraseRootFromParent_Done,
     /* 1822335 */   // Label 24710: @1822335
     /* 1822335 */   GIM_Try, /*On fail goto*//*Label 24711*/ GIMT_Encode4(1822421), // Rule ID 12894 //
     /* 1822340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1822351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1822354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1822360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822386 */     // MIs[0] policy
     /* 1822386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822396 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1822399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822420 */     // GIR_Coverage, 12894,
     /* 1822420 */     GIR_EraseRootFromParent_Done,
     /* 1822421 */   // Label 24711: @1822421
     /* 1822421 */   GIM_Try, /*On fail goto*//*Label 24712*/ GIMT_Encode4(1822507), // Rule ID 12895 //
     /* 1822426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1822429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1822437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1822440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1822446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822472 */     // MIs[0] policy
     /* 1822472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822482 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1822485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822506 */     // GIR_Coverage, 12895,
     /* 1822506 */     GIR_EraseRootFromParent_Done,
     /* 1822507 */   // Label 24712: @1822507
     /* 1822507 */   GIM_Try, /*On fail goto*//*Label 24713*/ GIMT_Encode4(1822593), // Rule ID 12898 //
     /* 1822512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1822523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1822526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1822532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822558 */     // MIs[0] policy
     /* 1822558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1822571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822592 */     // GIR_Coverage, 12898,
     /* 1822592 */     GIR_EraseRootFromParent_Done,
     /* 1822593 */   // Label 24713: @1822593
     /* 1822593 */   GIM_Try, /*On fail goto*//*Label 24714*/ GIMT_Encode4(1822679), // Rule ID 12899 //
     /* 1822598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1822601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1822609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1822612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1822618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822644 */     // MIs[0] policy
     /* 1822644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1822657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822678 */     // GIR_Coverage, 12899,
     /* 1822678 */     GIR_EraseRootFromParent_Done,
     /* 1822679 */   // Label 24714: @1822679
     /* 1822679 */   GIM_Try, /*On fail goto*//*Label 24715*/ GIMT_Encode4(1822765), // Rule ID 12902 //
     /* 1822684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1822695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1822698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1822704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822730 */     // MIs[0] policy
     /* 1822730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822740 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1822743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822764 */     // GIR_Coverage, 12902,
     /* 1822764 */     GIR_EraseRootFromParent_Done,
     /* 1822765 */   // Label 24715: @1822765
     /* 1822765 */   GIM_Try, /*On fail goto*//*Label 24716*/ GIMT_Encode4(1822851), // Rule ID 12903 //
     /* 1822770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1822773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1822781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1822784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1822790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822816 */     // MIs[0] policy
     /* 1822816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822826 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1822829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822850 */     // GIR_Coverage, 12903,
     /* 1822850 */     GIR_EraseRootFromParent_Done,
     /* 1822851 */   // Label 24716: @1822851
     /* 1822851 */   GIM_Try, /*On fail goto*//*Label 24717*/ GIMT_Encode4(1822937), // Rule ID 12906 //
     /* 1822856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1822867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1822870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1822873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1822876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822902 */     // MIs[0] policy
     /* 1822902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822912 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1822915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822936 */     // GIR_Coverage, 12906,
     /* 1822936 */     GIR_EraseRootFromParent_Done,
     /* 1822937 */   // Label 24717: @1822937
     /* 1822937 */   GIM_Try, /*On fail goto*//*Label 24718*/ GIMT_Encode4(1823023), // Rule ID 12907 //
     /* 1822942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1822953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1822956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1822959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1822962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822988 */     // MIs[0] policy
     /* 1822988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822998 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1823001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823022 */     // GIR_Coverage, 12907,
     /* 1823022 */     GIR_EraseRootFromParent_Done,
     /* 1823023 */   // Label 24718: @1823023
     /* 1823023 */   GIM_Try, /*On fail goto*//*Label 24719*/ GIMT_Encode4(1823109), // Rule ID 12910 //
     /* 1823028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1823045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1823048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823074 */     // MIs[0] policy
     /* 1823074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823084 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1823087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823108 */     // GIR_Coverage, 12910,
     /* 1823108 */     GIR_EraseRootFromParent_Done,
     /* 1823109 */   // Label 24719: @1823109
     /* 1823109 */   GIM_Try, /*On fail goto*//*Label 24720*/ GIMT_Encode4(1823195), // Rule ID 12911 //
     /* 1823114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1823131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1823134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823160 */     // MIs[0] policy
     /* 1823160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823170 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1823173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823194 */     // GIR_Coverage, 12911,
     /* 1823194 */     GIR_EraseRootFromParent_Done,
     /* 1823195 */   // Label 24720: @1823195
     /* 1823195 */   GIM_Try, /*On fail goto*//*Label 24721*/ GIMT_Encode4(1823281), // Rule ID 12914 //
     /* 1823200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1823211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1823214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1823217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1823220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823246 */     // MIs[0] policy
     /* 1823246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823256 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1823259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823280 */     // GIR_Coverage, 12914,
     /* 1823280 */     GIR_EraseRootFromParent_Done,
     /* 1823281 */   // Label 24721: @1823281
     /* 1823281 */   GIM_Try, /*On fail goto*//*Label 24722*/ GIMT_Encode4(1823367), // Rule ID 12915 //
     /* 1823286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1823297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1823300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1823303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1823306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823332 */     // MIs[0] policy
     /* 1823332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823342 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1823345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823366 */     // GIR_Coverage, 12915,
     /* 1823366 */     GIR_EraseRootFromParent_Done,
     /* 1823367 */   // Label 24722: @1823367
     /* 1823367 */   GIM_Try, /*On fail goto*//*Label 24723*/ GIMT_Encode4(1823453), // Rule ID 12918 //
     /* 1823372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1823383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1823386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1823389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1823392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823418 */     // MIs[0] policy
     /* 1823418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823428 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1823431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823452 */     // GIR_Coverage, 12918,
     /* 1823452 */     GIR_EraseRootFromParent_Done,
     /* 1823453 */   // Label 24723: @1823453
     /* 1823453 */   GIM_Try, /*On fail goto*//*Label 24724*/ GIMT_Encode4(1823539), // Rule ID 12919 //
     /* 1823458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1823469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1823472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1823475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1823478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823504 */     // MIs[0] policy
     /* 1823504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823514 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1823517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823538 */     // GIR_Coverage, 12919,
     /* 1823538 */     GIR_EraseRootFromParent_Done,
     /* 1823539 */   // Label 24724: @1823539
     /* 1823539 */   GIM_Try, /*On fail goto*//*Label 24725*/ GIMT_Encode4(1823625), // Rule ID 12922 //
     /* 1823544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1823555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1823558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1823561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1823564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823590 */     // MIs[0] policy
     /* 1823590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823600 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1823603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823624 */     // GIR_Coverage, 12922,
     /* 1823624 */     GIR_EraseRootFromParent_Done,
     /* 1823625 */   // Label 24725: @1823625
     /* 1823625 */   GIM_Try, /*On fail goto*//*Label 24726*/ GIMT_Encode4(1823711), // Rule ID 12923 //
     /* 1823630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1823641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1823644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1823647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1823650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823676 */     // MIs[0] policy
     /* 1823676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823686 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1823689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823710 */     // GIR_Coverage, 12923,
     /* 1823710 */     GIR_EraseRootFromParent_Done,
     /* 1823711 */   // Label 24726: @1823711
     /* 1823711 */   GIM_Try, /*On fail goto*//*Label 24727*/ GIMT_Encode4(1823797), // Rule ID 12926 //
     /* 1823716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1823727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1823730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1823733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1823736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823762 */     // MIs[0] policy
     /* 1823762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823772 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1823775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823796 */     // GIR_Coverage, 12926,
     /* 1823796 */     GIR_EraseRootFromParent_Done,
     /* 1823797 */   // Label 24727: @1823797
     /* 1823797 */   GIM_Try, /*On fail goto*//*Label 24728*/ GIMT_Encode4(1823883), // Rule ID 12927 //
     /* 1823802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1823813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1823816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1823819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1823822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823848 */     // MIs[0] policy
     /* 1823848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1823861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823882 */     // GIR_Coverage, 12927,
     /* 1823882 */     GIR_EraseRootFromParent_Done,
     /* 1823883 */   // Label 24728: @1823883
     /* 1823883 */   GIM_Try, /*On fail goto*//*Label 24729*/ GIMT_Encode4(1823969), // Rule ID 12930 //
     /* 1823888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1823899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1823902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1823905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1823908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823934 */     // MIs[0] policy
     /* 1823934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823944 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1823947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823968 */     // GIR_Coverage, 12930,
     /* 1823968 */     GIR_EraseRootFromParent_Done,
     /* 1823969 */   // Label 24729: @1823969
     /* 1823969 */   GIM_Try, /*On fail goto*//*Label 24730*/ GIMT_Encode4(1824055), // Rule ID 12931 //
     /* 1823974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1823985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1823988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1823991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1823994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824020 */     // MIs[0] policy
     /* 1824020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824030 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1824033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824054 */     // GIR_Coverage, 12931,
     /* 1824054 */     GIR_EraseRootFromParent_Done,
     /* 1824055 */   // Label 24730: @1824055
     /* 1824055 */   GIM_Try, /*On fail goto*//*Label 24731*/ GIMT_Encode4(1824141), // Rule ID 12934 //
     /* 1824060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1824077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1824080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824106 */     // MIs[0] policy
     /* 1824106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824116 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1824119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824140 */     // GIR_Coverage, 12934,
     /* 1824140 */     GIR_EraseRootFromParent_Done,
     /* 1824141 */   // Label 24731: @1824141
     /* 1824141 */   GIM_Try, /*On fail goto*//*Label 24732*/ GIMT_Encode4(1824227), // Rule ID 12935 //
     /* 1824146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1824163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1824166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824192 */     // MIs[0] policy
     /* 1824192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1824205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824226 */     // GIR_Coverage, 12935,
     /* 1824226 */     GIR_EraseRootFromParent_Done,
     /* 1824227 */   // Label 24732: @1824227
     /* 1824227 */   GIM_Try, /*On fail goto*//*Label 24733*/ GIMT_Encode4(1824313), // Rule ID 12938 //
     /* 1824232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1824243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1824246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1824249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1824252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824278 */     // MIs[0] policy
     /* 1824278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1824291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824312 */     // GIR_Coverage, 12938,
     /* 1824312 */     GIR_EraseRootFromParent_Done,
     /* 1824313 */   // Label 24733: @1824313
     /* 1824313 */   GIM_Try, /*On fail goto*//*Label 24734*/ GIMT_Encode4(1824399), // Rule ID 12939 //
     /* 1824318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1824329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1824332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1824335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1824338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824364 */     // MIs[0] policy
     /* 1824364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1824377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824398 */     // GIR_Coverage, 12939,
     /* 1824398 */     GIR_EraseRootFromParent_Done,
     /* 1824399 */   // Label 24734: @1824399
     /* 1824399 */   GIM_Try, /*On fail goto*//*Label 24735*/ GIMT_Encode4(1824485), // Rule ID 12942 //
     /* 1824404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1824407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1824415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1824418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1824421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1824424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824450 */     // MIs[0] policy
     /* 1824450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824460 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1824463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824484 */     // GIR_Coverage, 12942,
     /* 1824484 */     GIR_EraseRootFromParent_Done,
     /* 1824485 */   // Label 24735: @1824485
     /* 1824485 */   GIM_Try, /*On fail goto*//*Label 24736*/ GIMT_Encode4(1824571), // Rule ID 12943 //
     /* 1824490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1824493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1824501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1824504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1824507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1824510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824536 */     // MIs[0] policy
     /* 1824536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1824549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824570 */     // GIR_Coverage, 12943,
     /* 1824570 */     GIR_EraseRootFromParent_Done,
     /* 1824571 */   // Label 24736: @1824571
     /* 1824571 */   GIM_Try, /*On fail goto*//*Label 24737*/ GIMT_Encode4(1824657), // Rule ID 12946 //
     /* 1824576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1824587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1824590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1824593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1824596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824622 */     // MIs[0] policy
     /* 1824622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824632 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1824635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824656 */     // GIR_Coverage, 12946,
     /* 1824656 */     GIR_EraseRootFromParent_Done,
     /* 1824657 */   // Label 24737: @1824657
     /* 1824657 */   GIM_Try, /*On fail goto*//*Label 24738*/ GIMT_Encode4(1824743), // Rule ID 12947 //
     /* 1824662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1824673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1824676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1824679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1824682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824708 */     // MIs[0] policy
     /* 1824708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824718 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1824721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824742 */     // GIR_Coverage, 12947,
     /* 1824742 */     GIR_EraseRootFromParent_Done,
     /* 1824743 */   // Label 24738: @1824743
     /* 1824743 */   GIM_Try, /*On fail goto*//*Label 24739*/ GIMT_Encode4(1824829), // Rule ID 12950 //
     /* 1824748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1824759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1824762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1824765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1824768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1824771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824794 */     // MIs[0] policy
     /* 1824794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824804 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1824807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824828 */     // GIR_Coverage, 12950,
     /* 1824828 */     GIR_EraseRootFromParent_Done,
     /* 1824829 */   // Label 24739: @1824829
     /* 1824829 */   GIM_Try, /*On fail goto*//*Label 24740*/ GIMT_Encode4(1824915), // Rule ID 12951 //
     /* 1824834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1824845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1824848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1824851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1824854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1824857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824880 */     // MIs[0] policy
     /* 1824880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824890 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1824893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824914 */     // GIR_Coverage, 12951,
     /* 1824914 */     GIR_EraseRootFromParent_Done,
     /* 1824915 */   // Label 24740: @1824915
     /* 1824915 */   GIM_Try, /*On fail goto*//*Label 24741*/ GIMT_Encode4(1825001), // Rule ID 12954 //
     /* 1824920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1824931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1824934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1824937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1824940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1824943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1824950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824966 */     // MIs[0] policy
     /* 1824966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824976 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1824979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825000 */     // GIR_Coverage, 12954,
     /* 1825000 */     GIR_EraseRootFromParent_Done,
     /* 1825001 */   // Label 24741: @1825001
     /* 1825001 */   GIM_Try, /*On fail goto*//*Label 24742*/ GIMT_Encode4(1825087), // Rule ID 12955 //
     /* 1825006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1825017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1825020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1825023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1825026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1825029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825052 */     // MIs[0] policy
     /* 1825052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825062 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1825065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825086 */     // GIR_Coverage, 12955,
     /* 1825086 */     GIR_EraseRootFromParent_Done,
     /* 1825087 */   // Label 24742: @1825087
     /* 1825087 */   GIM_Try, /*On fail goto*//*Label 24743*/ GIMT_Encode4(1825173), // Rule ID 12958 //
     /* 1825092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1825103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1825106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1825109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1825112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825138 */     // MIs[0] policy
     /* 1825138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825148 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1825151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825172 */     // GIR_Coverage, 12958,
     /* 1825172 */     GIR_EraseRootFromParent_Done,
     /* 1825173 */   // Label 24743: @1825173
     /* 1825173 */   GIM_Try, /*On fail goto*//*Label 24744*/ GIMT_Encode4(1825259), // Rule ID 12959 //
     /* 1825178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1825189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1825192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1825195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1825198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825224 */     // MIs[0] policy
     /* 1825224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825234 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1825237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825258 */     // GIR_Coverage, 12959,
     /* 1825258 */     GIR_EraseRootFromParent_Done,
     /* 1825259 */   // Label 24744: @1825259
     /* 1825259 */   GIM_Try, /*On fail goto*//*Label 24745*/ GIMT_Encode4(1825345), // Rule ID 12962 //
     /* 1825264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1825275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1825278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1825281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1825284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825310 */     // MIs[0] policy
     /* 1825310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825320 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1825323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825344 */     // GIR_Coverage, 12962,
     /* 1825344 */     GIR_EraseRootFromParent_Done,
     /* 1825345 */   // Label 24745: @1825345
     /* 1825345 */   GIM_Try, /*On fail goto*//*Label 24746*/ GIMT_Encode4(1825431), // Rule ID 12963 //
     /* 1825350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1825361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1825364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1825367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1825370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825396 */     // MIs[0] policy
     /* 1825396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825406 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1825409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825430 */     // GIR_Coverage, 12963,
     /* 1825430 */     GIR_EraseRootFromParent_Done,
     /* 1825431 */   // Label 24746: @1825431
     /* 1825431 */   GIM_Try, /*On fail goto*//*Label 24747*/ GIMT_Encode4(1825517), // Rule ID 12966 //
     /* 1825436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1825447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1825450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1825453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1825456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825482 */     // MIs[0] policy
     /* 1825482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825492 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1825495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825516 */     // GIR_Coverage, 12966,
     /* 1825516 */     GIR_EraseRootFromParent_Done,
     /* 1825517 */   // Label 24747: @1825517
     /* 1825517 */   GIM_Try, /*On fail goto*//*Label 24748*/ GIMT_Encode4(1825603), // Rule ID 12967 //
     /* 1825522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1825533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1825536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1825539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1825542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825568 */     // MIs[0] policy
     /* 1825568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825578 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1825581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825602 */     // GIR_Coverage, 12967,
     /* 1825602 */     GIR_EraseRootFromParent_Done,
     /* 1825603 */   // Label 24748: @1825603
     /* 1825603 */   GIM_Try, /*On fail goto*//*Label 24749*/ GIMT_Encode4(1825689), // Rule ID 12970 //
     /* 1825608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1825619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1825622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1825625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1825628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825654 */     // MIs[0] policy
     /* 1825654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825664 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1825667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825688 */     // GIR_Coverage, 12970,
     /* 1825688 */     GIR_EraseRootFromParent_Done,
     /* 1825689 */   // Label 24749: @1825689
     /* 1825689 */   GIM_Try, /*On fail goto*//*Label 24750*/ GIMT_Encode4(1825775), // Rule ID 12971 //
     /* 1825694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1825705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1825708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1825711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1825714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825740 */     // MIs[0] policy
     /* 1825740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825750 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1825753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825774 */     // GIR_Coverage, 12971,
     /* 1825774 */     GIR_EraseRootFromParent_Done,
     /* 1825775 */   // Label 24750: @1825775
     /* 1825775 */   GIM_Try, /*On fail goto*//*Label 24751*/ GIMT_Encode4(1825861), // Rule ID 12974 //
     /* 1825780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1825791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1825794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1825797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1825800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825826 */     // MIs[0] policy
     /* 1825826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1825839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825860 */     // GIR_Coverage, 12974,
     /* 1825860 */     GIR_EraseRootFromParent_Done,
     /* 1825861 */   // Label 24751: @1825861
     /* 1825861 */   GIM_Try, /*On fail goto*//*Label 24752*/ GIMT_Encode4(1825947), // Rule ID 12975 //
     /* 1825866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1825877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1825880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1825883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1825886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825912 */     // MIs[0] policy
     /* 1825912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1825925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825946 */     // GIR_Coverage, 12975,
     /* 1825946 */     GIR_EraseRootFromParent_Done,
     /* 1825947 */   // Label 24752: @1825947
     /* 1825947 */   GIM_Try, /*On fail goto*//*Label 24753*/ GIMT_Encode4(1826033), // Rule ID 12978 //
     /* 1825952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1825963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1825966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1825969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1825972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825998 */     // MIs[0] policy
     /* 1825998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1826011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826032 */     // GIR_Coverage, 12978,
     /* 1826032 */     GIR_EraseRootFromParent_Done,
     /* 1826033 */   // Label 24753: @1826033
     /* 1826033 */   GIM_Try, /*On fail goto*//*Label 24754*/ GIMT_Encode4(1826119), // Rule ID 12979 //
     /* 1826038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1826055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1826058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826084 */     // MIs[0] policy
     /* 1826084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826094 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1826097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826118 */     // GIR_Coverage, 12979,
     /* 1826118 */     GIR_EraseRootFromParent_Done,
     /* 1826119 */   // Label 24754: @1826119
     /* 1826119 */   GIM_Try, /*On fail goto*//*Label 24755*/ GIMT_Encode4(1826205), // Rule ID 12982 //
     /* 1826124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1826141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1826144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826170 */     // MIs[0] policy
     /* 1826170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826180 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1826183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826204 */     // GIR_Coverage, 12982,
     /* 1826204 */     GIR_EraseRootFromParent_Done,
     /* 1826205 */   // Label 24755: @1826205
     /* 1826205 */   GIM_Try, /*On fail goto*//*Label 24756*/ GIMT_Encode4(1826291), // Rule ID 12983 //
     /* 1826210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1826227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1826230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826256 */     // MIs[0] policy
     /* 1826256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826266 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1826269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826290 */     // GIR_Coverage, 12983,
     /* 1826290 */     GIR_EraseRootFromParent_Done,
     /* 1826291 */   // Label 24756: @1826291
     /* 1826291 */   GIM_Try, /*On fail goto*//*Label 24757*/ GIMT_Encode4(1826377), // Rule ID 12986 //
     /* 1826296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1826307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1826310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1826313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1826316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826342 */     // MIs[0] policy
     /* 1826342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1826355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826376 */     // GIR_Coverage, 12986,
     /* 1826376 */     GIR_EraseRootFromParent_Done,
     /* 1826377 */   // Label 24757: @1826377
     /* 1826377 */   GIM_Try, /*On fail goto*//*Label 24758*/ GIMT_Encode4(1826463), // Rule ID 12987 //
     /* 1826382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1826393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1826396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1826399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1826402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826428 */     // MIs[0] policy
     /* 1826428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826438 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1826441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826462 */     // GIR_Coverage, 12987,
     /* 1826462 */     GIR_EraseRootFromParent_Done,
     /* 1826463 */   // Label 24758: @1826463
     /* 1826463 */   GIM_Try, /*On fail goto*//*Label 24759*/ GIMT_Encode4(1826549), // Rule ID 12990 //
     /* 1826468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1826479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1826482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1826485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1826488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826514 */     // MIs[0] policy
     /* 1826514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826524 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1826527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826548 */     // GIR_Coverage, 12990,
     /* 1826548 */     GIR_EraseRootFromParent_Done,
     /* 1826549 */   // Label 24759: @1826549
     /* 1826549 */   GIM_Try, /*On fail goto*//*Label 24760*/ GIMT_Encode4(1826635), // Rule ID 12991 //
     /* 1826554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1826565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1826568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1826571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1826574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826600 */     // MIs[0] policy
     /* 1826600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826610 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1826613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826634 */     // GIR_Coverage, 12991,
     /* 1826634 */     GIR_EraseRootFromParent_Done,
     /* 1826635 */   // Label 24760: @1826635
     /* 1826635 */   GIM_Try, /*On fail goto*//*Label 24761*/ GIMT_Encode4(1826721), // Rule ID 12994 //
     /* 1826640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1826651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1826654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1826660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826686 */     // MIs[0] policy
     /* 1826686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826696 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1826699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826720 */     // GIR_Coverage, 12994,
     /* 1826720 */     GIR_EraseRootFromParent_Done,
     /* 1826721 */   // Label 24761: @1826721
     /* 1826721 */   GIM_Try, /*On fail goto*//*Label 24762*/ GIMT_Encode4(1826807), // Rule ID 12995 //
     /* 1826726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1826737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1826740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1826746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826772 */     // MIs[0] policy
     /* 1826772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826782 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1826785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826806 */     // GIR_Coverage, 12995,
     /* 1826806 */     GIR_EraseRootFromParent_Done,
     /* 1826807 */   // Label 24762: @1826807
     /* 1826807 */   GIM_Try, /*On fail goto*//*Label 24763*/ GIMT_Encode4(1826893), // Rule ID 12998 //
     /* 1826812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1826823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1826826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1826832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826858 */     // MIs[0] policy
     /* 1826858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826868 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1826871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826892 */     // GIR_Coverage, 12998,
     /* 1826892 */     GIR_EraseRootFromParent_Done,
     /* 1826893 */   // Label 24763: @1826893
     /* 1826893 */   GIM_Try, /*On fail goto*//*Label 24764*/ GIMT_Encode4(1826979), // Rule ID 12999 //
     /* 1826898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1826909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1826912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1826918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826944 */     // MIs[0] policy
     /* 1826944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826954 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1826957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826978 */     // GIR_Coverage, 12999,
     /* 1826978 */     GIR_EraseRootFromParent_Done,
     /* 1826979 */   // Label 24764: @1826979
     /* 1826979 */   GIM_Try, /*On fail goto*//*Label 24765*/ GIMT_Encode4(1827065), // Rule ID 13002 //
     /* 1826984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1826995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1826998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827030 */     // MIs[0] policy
     /* 1827030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827040 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1827043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827064 */     // GIR_Coverage, 13002,
     /* 1827064 */     GIR_EraseRootFromParent_Done,
     /* 1827065 */   // Label 24765: @1827065
     /* 1827065 */   GIM_Try, /*On fail goto*//*Label 24766*/ GIMT_Encode4(1827151), // Rule ID 13003 //
     /* 1827070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1827081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1827084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827116 */     // MIs[0] policy
     /* 1827116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827126 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1827129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827150 */     // GIR_Coverage, 13003,
     /* 1827150 */     GIR_EraseRootFromParent_Done,
     /* 1827151 */   // Label 24766: @1827151
     /* 1827151 */   GIM_Try, /*On fail goto*//*Label 24767*/ GIMT_Encode4(1827237), // Rule ID 13006 //
     /* 1827156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1827167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1827170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1827176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827202 */     // MIs[0] policy
     /* 1827202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827212 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1827215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827236 */     // GIR_Coverage, 13006,
     /* 1827236 */     GIR_EraseRootFromParent_Done,
     /* 1827237 */   // Label 24767: @1827237
     /* 1827237 */   GIM_Try, /*On fail goto*//*Label 24768*/ GIMT_Encode4(1827323), // Rule ID 13007 //
     /* 1827242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1827253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1827256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1827262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827288 */     // MIs[0] policy
     /* 1827288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827298 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1827301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827322 */     // GIR_Coverage, 13007,
     /* 1827322 */     GIR_EraseRootFromParent_Done,
     /* 1827323 */   // Label 24768: @1827323
     /* 1827323 */   GIM_Try, /*On fail goto*//*Label 24769*/ GIMT_Encode4(1827409), // Rule ID 13010 //
     /* 1827328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1827339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1827342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1827348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827374 */     // MIs[0] policy
     /* 1827374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827384 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1827387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827408 */     // GIR_Coverage, 13010,
     /* 1827408 */     GIR_EraseRootFromParent_Done,
     /* 1827409 */   // Label 24769: @1827409
     /* 1827409 */   GIM_Try, /*On fail goto*//*Label 24770*/ GIMT_Encode4(1827495), // Rule ID 13011 //
     /* 1827414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1827425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1827428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1827434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827460 */     // MIs[0] policy
     /* 1827460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827470 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1827473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827494 */     // GIR_Coverage, 13011,
     /* 1827494 */     GIR_EraseRootFromParent_Done,
     /* 1827495 */   // Label 24770: @1827495
     /* 1827495 */   GIM_Try, /*On fail goto*//*Label 24771*/ GIMT_Encode4(1827581), // Rule ID 13014 //
     /* 1827500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1827511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1827514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1827520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827546 */     // MIs[0] policy
     /* 1827546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827556 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1827559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827580 */     // GIR_Coverage, 13014,
     /* 1827580 */     GIR_EraseRootFromParent_Done,
     /* 1827581 */   // Label 24771: @1827581
     /* 1827581 */   GIM_Try, /*On fail goto*//*Label 24772*/ GIMT_Encode4(1827667), // Rule ID 13015 //
     /* 1827586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1827597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1827600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1827606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827632 */     // MIs[0] policy
     /* 1827632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827642 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1827645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827666 */     // GIR_Coverage, 13015,
     /* 1827666 */     GIR_EraseRootFromParent_Done,
     /* 1827667 */   // Label 24772: @1827667
     /* 1827667 */   GIM_Try, /*On fail goto*//*Label 24773*/ GIMT_Encode4(1827753), // Rule ID 13018 //
     /* 1827672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1827683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1827686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1827692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827718 */     // MIs[0] policy
     /* 1827718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827728 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1827731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827752 */     // GIR_Coverage, 13018,
     /* 1827752 */     GIR_EraseRootFromParent_Done,
     /* 1827753 */   // Label 24773: @1827753
     /* 1827753 */   GIM_Try, /*On fail goto*//*Label 24774*/ GIMT_Encode4(1827839), // Rule ID 13019 //
     /* 1827758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1827769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1827772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1827778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827804 */     // MIs[0] policy
     /* 1827804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827814 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1827817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827838 */     // GIR_Coverage, 13019,
     /* 1827838 */     GIR_EraseRootFromParent_Done,
     /* 1827839 */   // Label 24774: @1827839
     /* 1827839 */   GIM_Try, /*On fail goto*//*Label 24775*/ GIMT_Encode4(1827925), // Rule ID 13022 //
     /* 1827844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1827855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1827858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1827864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827890 */     // MIs[0] policy
     /* 1827890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827900 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1827903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827924 */     // GIR_Coverage, 13022,
     /* 1827924 */     GIR_EraseRootFromParent_Done,
     /* 1827925 */   // Label 24775: @1827925
     /* 1827925 */   GIM_Try, /*On fail goto*//*Label 24776*/ GIMT_Encode4(1828011), // Rule ID 13023 //
     /* 1827930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1827941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1827944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1827950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827976 */     // MIs[0] policy
     /* 1827976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827986 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1827989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828010 */     // GIR_Coverage, 13023,
     /* 1828010 */     GIR_EraseRootFromParent_Done,
     /* 1828011 */   // Label 24776: @1828011
     /* 1828011 */   GIM_Try, /*On fail goto*//*Label 24777*/ GIMT_Encode4(1828097), // Rule ID 13026 //
     /* 1828016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1828036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828062 */     // MIs[0] policy
     /* 1828062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1828075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828096 */     // GIR_Coverage, 13026,
     /* 1828096 */     GIR_EraseRootFromParent_Done,
     /* 1828097 */   // Label 24777: @1828097
     /* 1828097 */   GIM_Try, /*On fail goto*//*Label 24778*/ GIMT_Encode4(1828183), // Rule ID 13027 //
     /* 1828102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1828122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828148 */     // MIs[0] policy
     /* 1828148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828158 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1828161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828182 */     // GIR_Coverage, 13027,
     /* 1828182 */     GIR_EraseRootFromParent_Done,
     /* 1828183 */   // Label 24778: @1828183
     /* 1828183 */   GIM_Try, /*On fail goto*//*Label 24779*/ GIMT_Encode4(1828269), // Rule ID 13030 //
     /* 1828188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1828191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1828199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1828202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1828208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828234 */     // MIs[0] policy
     /* 1828234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828244 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1828247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828268 */     // GIR_Coverage, 13030,
     /* 1828268 */     GIR_EraseRootFromParent_Done,
     /* 1828269 */   // Label 24779: @1828269
     /* 1828269 */   GIM_Try, /*On fail goto*//*Label 24780*/ GIMT_Encode4(1828355), // Rule ID 13031 //
     /* 1828274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1828277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1828285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1828288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1828294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828320 */     // MIs[0] policy
     /* 1828320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828330 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1828333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828354 */     // GIR_Coverage, 13031,
     /* 1828354 */     GIR_EraseRootFromParent_Done,
     /* 1828355 */   // Label 24780: @1828355
     /* 1828355 */   GIM_Try, /*On fail goto*//*Label 24781*/ GIMT_Encode4(1828441), // Rule ID 13034 //
     /* 1828360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1828371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1828374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1828380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828406 */     // MIs[0] policy
     /* 1828406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1828419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828440 */     // GIR_Coverage, 13034,
     /* 1828440 */     GIR_EraseRootFromParent_Done,
     /* 1828441 */   // Label 24781: @1828441
     /* 1828441 */   GIM_Try, /*On fail goto*//*Label 24782*/ GIMT_Encode4(1828527), // Rule ID 13035 //
     /* 1828446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1828457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1828460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1828466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828492 */     // MIs[0] policy
     /* 1828492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828502 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1828505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828526 */     // GIR_Coverage, 13035,
     /* 1828526 */     GIR_EraseRootFromParent_Done,
     /* 1828527 */   // Label 24782: @1828527
     /* 1828527 */   GIM_Try, /*On fail goto*//*Label 24783*/ GIMT_Encode4(1828613), // Rule ID 13038 //
     /* 1828532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1828543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1828546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1828552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1828555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828578 */     // MIs[0] policy
     /* 1828578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828588 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1828591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828612 */     // GIR_Coverage, 13038,
     /* 1828612 */     GIR_EraseRootFromParent_Done,
     /* 1828613 */   // Label 24783: @1828613
     /* 1828613 */   GIM_Try, /*On fail goto*//*Label 24784*/ GIMT_Encode4(1828699), // Rule ID 13039 //
     /* 1828618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1828629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1828632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1828638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1828641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828664 */     // MIs[0] policy
     /* 1828664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828674 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1828677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828698 */     // GIR_Coverage, 13039,
     /* 1828698 */     GIR_EraseRootFromParent_Done,
     /* 1828699 */   // Label 24784: @1828699
     /* 1828699 */   GIM_Try, /*On fail goto*//*Label 24785*/ GIMT_Encode4(1828785), // Rule ID 13042 //
     /* 1828704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1828715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1828718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1828724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1828727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828750 */     // MIs[0] policy
     /* 1828750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828760 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1828763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828784 */     // GIR_Coverage, 13042,
     /* 1828784 */     GIR_EraseRootFromParent_Done,
     /* 1828785 */   // Label 24785: @1828785
     /* 1828785 */   GIM_Try, /*On fail goto*//*Label 24786*/ GIMT_Encode4(1828871), // Rule ID 13043 //
     /* 1828790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1828801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1828804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1828810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1828813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828836 */     // MIs[0] policy
     /* 1828836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828846 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1828849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828870 */     // GIR_Coverage, 13043,
     /* 1828870 */     GIR_EraseRootFromParent_Done,
     /* 1828871 */   // Label 24786: @1828871
     /* 1828871 */   GIM_Try, /*On fail goto*//*Label 24787*/ GIMT_Encode4(1828957), // Rule ID 13046 //
     /* 1828876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1828887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1828890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1828896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828922 */     // MIs[0] policy
     /* 1828922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828932 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1828935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828956 */     // GIR_Coverage, 13046,
     /* 1828956 */     GIR_EraseRootFromParent_Done,
     /* 1828957 */   // Label 24787: @1828957
     /* 1828957 */   GIM_Try, /*On fail goto*//*Label 24788*/ GIMT_Encode4(1829043), // Rule ID 13047 //
     /* 1828962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1828973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1828976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1828982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829008 */     // MIs[0] policy
     /* 1829008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829018 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1829021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829042 */     // GIR_Coverage, 13047,
     /* 1829042 */     GIR_EraseRootFromParent_Done,
     /* 1829043 */   // Label 24788: @1829043
     /* 1829043 */   GIM_Try, /*On fail goto*//*Label 24789*/ GIMT_Encode4(1829129), // Rule ID 13050 //
     /* 1829048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1829068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829094 */     // MIs[0] policy
     /* 1829094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829104 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1829107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829128 */     // GIR_Coverage, 13050,
     /* 1829128 */     GIR_EraseRootFromParent_Done,
     /* 1829129 */   // Label 24789: @1829129
     /* 1829129 */   GIM_Try, /*On fail goto*//*Label 24790*/ GIMT_Encode4(1829215), // Rule ID 13051 //
     /* 1829134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1829154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829180 */     // MIs[0] policy
     /* 1829180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829190 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1829193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829214 */     // GIR_Coverage, 13051,
     /* 1829214 */     GIR_EraseRootFromParent_Done,
     /* 1829215 */   // Label 24790: @1829215
     /* 1829215 */   GIM_Try, /*On fail goto*//*Label 24791*/ GIMT_Encode4(1829301), // Rule ID 13054 //
     /* 1829220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1829231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1829234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1829240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829266 */     // MIs[0] policy
     /* 1829266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829276 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1829279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829300 */     // GIR_Coverage, 13054,
     /* 1829300 */     GIR_EraseRootFromParent_Done,
     /* 1829301 */   // Label 24791: @1829301
     /* 1829301 */   GIM_Try, /*On fail goto*//*Label 24792*/ GIMT_Encode4(1829387), // Rule ID 13055 //
     /* 1829306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1829317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1829320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1829326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829352 */     // MIs[0] policy
     /* 1829352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829362 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1829365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829386 */     // GIR_Coverage, 13055,
     /* 1829386 */     GIR_EraseRootFromParent_Done,
     /* 1829387 */   // Label 24792: @1829387
     /* 1829387 */   GIM_Try, /*On fail goto*//*Label 24793*/ GIMT_Encode4(1829473), // Rule ID 13058 //
     /* 1829392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1829403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1829406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1829412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829438 */     // MIs[0] policy
     /* 1829438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829448 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1829451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829472 */     // GIR_Coverage, 13058,
     /* 1829472 */     GIR_EraseRootFromParent_Done,
     /* 1829473 */   // Label 24793: @1829473
     /* 1829473 */   GIM_Try, /*On fail goto*//*Label 24794*/ GIMT_Encode4(1829559), // Rule ID 13059 //
     /* 1829478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1829489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1829492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1829498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829524 */     // MIs[0] policy
     /* 1829524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829534 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1829537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829558 */     // GIR_Coverage, 13059,
     /* 1829558 */     GIR_EraseRootFromParent_Done,
     /* 1829559 */   // Label 24794: @1829559
     /* 1829559 */   GIM_Try, /*On fail goto*//*Label 24795*/ GIMT_Encode4(1829645), // Rule ID 13062 //
     /* 1829564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1829575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1829578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1829584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829610 */     // MIs[0] policy
     /* 1829610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829620 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1829623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829644 */     // GIR_Coverage, 13062,
     /* 1829644 */     GIR_EraseRootFromParent_Done,
     /* 1829645 */   // Label 24795: @1829645
     /* 1829645 */   GIM_Try, /*On fail goto*//*Label 24796*/ GIMT_Encode4(1829731), // Rule ID 13063 //
     /* 1829650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1829661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1829664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1829670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829696 */     // MIs[0] policy
     /* 1829696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829706 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1829709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829730 */     // GIR_Coverage, 13063,
     /* 1829730 */     GIR_EraseRootFromParent_Done,
     /* 1829731 */   // Label 24796: @1829731
     /* 1829731 */   GIM_Try, /*On fail goto*//*Label 24797*/ GIMT_Encode4(1829817), // Rule ID 13066 //
     /* 1829736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1829747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1829750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1829756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829782 */     // MIs[0] policy
     /* 1829782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829792 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1829795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829816 */     // GIR_Coverage, 13066,
     /* 1829816 */     GIR_EraseRootFromParent_Done,
     /* 1829817 */   // Label 24797: @1829817
     /* 1829817 */   GIM_Try, /*On fail goto*//*Label 24798*/ GIMT_Encode4(1829903), // Rule ID 13067 //
     /* 1829822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1829833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1829836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1829842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829868 */     // MIs[0] policy
     /* 1829868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829878 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1829881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829902 */     // GIR_Coverage, 13067,
     /* 1829902 */     GIR_EraseRootFromParent_Done,
     /* 1829903 */   // Label 24798: @1829903
     /* 1829903 */   GIM_Try, /*On fail goto*//*Label 24799*/ GIMT_Encode4(1829989), // Rule ID 13070 //
     /* 1829908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1829911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1829919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1829922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1829928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1829931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829954 */     // MIs[0] policy
     /* 1829954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1829967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829988 */     // GIR_Coverage, 13070,
     /* 1829988 */     GIR_EraseRootFromParent_Done,
     /* 1829989 */   // Label 24799: @1829989
     /* 1829989 */   GIM_Try, /*On fail goto*//*Label 24800*/ GIMT_Encode4(1830075), // Rule ID 13071 //
     /* 1829994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1829997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1830005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1830008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1830014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830040 */     // MIs[0] policy
     /* 1830040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830050 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11506:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1830053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830074 */     // GIR_Coverage, 13071,
     /* 1830074 */     GIR_EraseRootFromParent_Done,
     /* 1830075 */   // Label 24800: @1830075
     /* 1830075 */   GIM_Try, /*On fail goto*//*Label 24801*/ GIMT_Encode4(1830161), // Rule ID 13074 //
     /* 1830080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1830091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1830094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1830100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830126 */     // MIs[0] policy
     /* 1830126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830136 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1830139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830160 */     // GIR_Coverage, 13074,
     /* 1830160 */     GIR_EraseRootFromParent_Done,
     /* 1830161 */   // Label 24801: @1830161
     /* 1830161 */   GIM_Try, /*On fail goto*//*Label 24802*/ GIMT_Encode4(1830247), // Rule ID 13075 //
     /* 1830166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1830177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1830180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1830186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830212 */     // MIs[0] policy
     /* 1830212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830222 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11506:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1830225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830246 */     // GIR_Coverage, 13075,
     /* 1830246 */     GIR_EraseRootFromParent_Done,
     /* 1830247 */   // Label 24802: @1830247
     /* 1830247 */   GIM_Try, /*On fail goto*//*Label 24803*/ GIMT_Encode4(1830333), // Rule ID 13078 //
     /* 1830252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1830263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1830266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1830272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830298 */     // MIs[0] policy
     /* 1830298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830308 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1830311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830332 */     // GIR_Coverage, 13078,
     /* 1830332 */     GIR_EraseRootFromParent_Done,
     /* 1830333 */   // Label 24803: @1830333
     /* 1830333 */   GIM_Try, /*On fail goto*//*Label 24804*/ GIMT_Encode4(1830419), // Rule ID 13079 //
     /* 1830338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1830349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1830352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1830358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830384 */     // MIs[0] policy
     /* 1830384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830394 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11506:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1830397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830418 */     // GIR_Coverage, 13079,
     /* 1830418 */     GIR_EraseRootFromParent_Done,
     /* 1830419 */   // Label 24804: @1830419
     /* 1830419 */   GIM_Try, /*On fail goto*//*Label 24805*/ GIMT_Encode4(1830505), // Rule ID 13082 //
     /* 1830424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1830435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1830438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1830441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1830444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830470 */     // MIs[0] policy
     /* 1830470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830480 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1830483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830504 */     // GIR_Coverage, 13082,
     /* 1830504 */     GIR_EraseRootFromParent_Done,
     /* 1830505 */   // Label 24805: @1830505
     /* 1830505 */   GIM_Try, /*On fail goto*//*Label 24806*/ GIMT_Encode4(1830591), // Rule ID 13083 //
     /* 1830510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1830521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1830524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1830527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1830530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830556 */     // MIs[0] policy
     /* 1830556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830566 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1830569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830590 */     // GIR_Coverage, 13083,
     /* 1830590 */     GIR_EraseRootFromParent_Done,
     /* 1830591 */   // Label 24806: @1830591
     /* 1830591 */   GIM_Try, /*On fail goto*//*Label 24807*/ GIMT_Encode4(1830677), // Rule ID 13086 //
     /* 1830596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1830607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1830610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1830613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1830616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830642 */     // MIs[0] policy
     /* 1830642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830652 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1830655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830676 */     // GIR_Coverage, 13086,
     /* 1830676 */     GIR_EraseRootFromParent_Done,
     /* 1830677 */   // Label 24807: @1830677
     /* 1830677 */   GIM_Try, /*On fail goto*//*Label 24808*/ GIMT_Encode4(1830763), // Rule ID 13087 //
     /* 1830682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1830693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1830696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1830699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1830702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830728 */     // MIs[0] policy
     /* 1830728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830738 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1830741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830762 */     // GIR_Coverage, 13087,
     /* 1830762 */     GIR_EraseRootFromParent_Done,
     /* 1830763 */   // Label 24808: @1830763
     /* 1830763 */   GIM_Try, /*On fail goto*//*Label 24809*/ GIMT_Encode4(1830849), // Rule ID 13090 //
     /* 1830768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1830779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1830782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1830785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1830788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830814 */     // MIs[0] policy
     /* 1830814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830824 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1830827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830848 */     // GIR_Coverage, 13090,
     /* 1830848 */     GIR_EraseRootFromParent_Done,
     /* 1830849 */   // Label 24809: @1830849
     /* 1830849 */   GIM_Try, /*On fail goto*//*Label 24810*/ GIMT_Encode4(1830935), // Rule ID 13091 //
     /* 1830854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1830865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1830868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1830871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1830874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830900 */     // MIs[0] policy
     /* 1830900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830910 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1830913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830934 */     // GIR_Coverage, 13091,
     /* 1830934 */     GIR_EraseRootFromParent_Done,
     /* 1830935 */   // Label 24810: @1830935
     /* 1830935 */   GIM_Try, /*On fail goto*//*Label 24811*/ GIMT_Encode4(1831021), // Rule ID 13094 //
     /* 1830940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1830951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1830954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1830957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1830960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830986 */     // MIs[0] policy
     /* 1830986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830996 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1830999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831020 */     // GIR_Coverage, 13094,
     /* 1831020 */     GIR_EraseRootFromParent_Done,
     /* 1831021 */   // Label 24811: @1831021
     /* 1831021 */   GIM_Try, /*On fail goto*//*Label 24812*/ GIMT_Encode4(1831107), // Rule ID 13095 //
     /* 1831026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1831037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1831040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1831043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1831046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831072 */     // MIs[0] policy
     /* 1831072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831082 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1831085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831106 */     // GIR_Coverage, 13095,
     /* 1831106 */     GIR_EraseRootFromParent_Done,
     /* 1831107 */   // Label 24812: @1831107
     /* 1831107 */   GIM_Try, /*On fail goto*//*Label 24813*/ GIMT_Encode4(1831193), // Rule ID 13098 //
     /* 1831112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1831123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1831126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1831129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1831132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831158 */     // MIs[0] policy
     /* 1831158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831168 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1831171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831192 */     // GIR_Coverage, 13098,
     /* 1831192 */     GIR_EraseRootFromParent_Done,
     /* 1831193 */   // Label 24813: @1831193
     /* 1831193 */   GIM_Try, /*On fail goto*//*Label 24814*/ GIMT_Encode4(1831279), // Rule ID 13099 //
     /* 1831198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1831209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1831212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1831215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1831218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831244 */     // MIs[0] policy
     /* 1831244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831254 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1831257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831278 */     // GIR_Coverage, 13099,
     /* 1831278 */     GIR_EraseRootFromParent_Done,
     /* 1831279 */   // Label 24814: @1831279
     /* 1831279 */   GIM_Try, /*On fail goto*//*Label 24815*/ GIMT_Encode4(1831365), // Rule ID 13102 //
     /* 1831284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1831295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1831298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1831301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1831304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831330 */     // MIs[0] policy
     /* 1831330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831340 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1831343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831364 */     // GIR_Coverage, 13102,
     /* 1831364 */     GIR_EraseRootFromParent_Done,
     /* 1831365 */   // Label 24815: @1831365
     /* 1831365 */   GIM_Try, /*On fail goto*//*Label 24816*/ GIMT_Encode4(1831451), // Rule ID 13103 //
     /* 1831370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1831381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1831384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1831387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1831390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831416 */     // MIs[0] policy
     /* 1831416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831426 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1831429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831450 */     // GIR_Coverage, 13103,
     /* 1831450 */     GIR_EraseRootFromParent_Done,
     /* 1831451 */   // Label 24816: @1831451
     /* 1831451 */   GIM_Try, /*On fail goto*//*Label 24817*/ GIMT_Encode4(1831537), // Rule ID 13106 //
     /* 1831456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1831467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1831470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1831473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1831476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831502 */     // MIs[0] policy
     /* 1831502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831536 */     // GIR_Coverage, 13106,
     /* 1831536 */     GIR_EraseRootFromParent_Done,
     /* 1831537 */   // Label 24817: @1831537
     /* 1831537 */   GIM_Try, /*On fail goto*//*Label 24818*/ GIMT_Encode4(1831623), // Rule ID 13107 //
     /* 1831542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1831553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1831556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1831559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1831562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831588 */     // MIs[0] policy
     /* 1831588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831598 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831622 */     // GIR_Coverage, 13107,
     /* 1831622 */     GIR_EraseRootFromParent_Done,
     /* 1831623 */   // Label 24818: @1831623
     /* 1831623 */   GIM_Try, /*On fail goto*//*Label 24819*/ GIMT_Encode4(1831709), // Rule ID 13110 //
     /* 1831628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1831639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1831642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1831645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1831648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831674 */     // MIs[0] policy
     /* 1831674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831708 */     // GIR_Coverage, 13110,
     /* 1831708 */     GIR_EraseRootFromParent_Done,
     /* 1831709 */   // Label 24819: @1831709
     /* 1831709 */   GIM_Try, /*On fail goto*//*Label 24820*/ GIMT_Encode4(1831795), // Rule ID 13111 //
     /* 1831714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1831725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1831728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1831731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1831734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831760 */     // MIs[0] policy
     /* 1831760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831770 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831794 */     // GIR_Coverage, 13111,
     /* 1831794 */     GIR_EraseRootFromParent_Done,
     /* 1831795 */   // Label 24820: @1831795
     /* 1831795 */   GIM_Try, /*On fail goto*//*Label 24821*/ GIMT_Encode4(1831881), // Rule ID 13114 //
     /* 1831800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1831811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1831814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1831817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1831820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831846 */     // MIs[0] policy
     /* 1831846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831856 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831880 */     // GIR_Coverage, 13114,
     /* 1831880 */     GIR_EraseRootFromParent_Done,
     /* 1831881 */   // Label 24821: @1831881
     /* 1831881 */   GIM_Try, /*On fail goto*//*Label 24822*/ GIMT_Encode4(1831967), // Rule ID 13115 //
     /* 1831886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1831897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1831900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1831903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1831906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831932 */     // MIs[0] policy
     /* 1831932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831942 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1831945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831966 */     // GIR_Coverage, 13115,
     /* 1831966 */     GIR_EraseRootFromParent_Done,
     /* 1831967 */   // Label 24822: @1831967
     /* 1831967 */   GIM_Try, /*On fail goto*//*Label 24823*/ GIMT_Encode4(1832053), // Rule ID 13118 //
     /* 1831972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1831975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1831983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1831986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1831989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1831992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832018 */     // MIs[0] policy
     /* 1832018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1832031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832052 */     // GIR_Coverage, 13118,
     /* 1832052 */     GIR_EraseRootFromParent_Done,
     /* 1832053 */   // Label 24823: @1832053
     /* 1832053 */   GIM_Try, /*On fail goto*//*Label 24824*/ GIMT_Encode4(1832139), // Rule ID 13119 //
     /* 1832058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1832061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1832069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1832072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1832075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1832078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832104 */     // MIs[0] policy
     /* 1832104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832114 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1832117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832138 */     // GIR_Coverage, 13119,
     /* 1832138 */     GIR_EraseRootFromParent_Done,
     /* 1832139 */   // Label 24824: @1832139
     /* 1832139 */   GIM_Try, /*On fail goto*//*Label 24825*/ GIMT_Encode4(1832225), // Rule ID 13122 //
     /* 1832144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1832155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1832158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1832161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1832164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832190 */     // MIs[0] policy
     /* 1832190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832200 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1832203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832224 */     // GIR_Coverage, 13122,
     /* 1832224 */     GIR_EraseRootFromParent_Done,
     /* 1832225 */   // Label 24825: @1832225
     /* 1832225 */   GIM_Try, /*On fail goto*//*Label 24826*/ GIMT_Encode4(1832311), // Rule ID 13123 //
     /* 1832230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1832241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1832244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1832247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1832250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832276 */     // MIs[0] policy
     /* 1832276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832286 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1832289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832310 */     // GIR_Coverage, 13123,
     /* 1832310 */     GIR_EraseRootFromParent_Done,
     /* 1832311 */   // Label 24826: @1832311
     /* 1832311 */   GIM_Try, /*On fail goto*//*Label 24827*/ GIMT_Encode4(1832397), // Rule ID 13126 //
     /* 1832316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1832327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1832330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1832333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1832336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832362 */     // MIs[0] policy
     /* 1832362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832372 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1832375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832396 */     // GIR_Coverage, 13126,
     /* 1832396 */     GIR_EraseRootFromParent_Done,
     /* 1832397 */   // Label 24827: @1832397
     /* 1832397 */   GIM_Try, /*On fail goto*//*Label 24828*/ GIMT_Encode4(1832483), // Rule ID 13127 //
     /* 1832402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1832413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1832416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1832419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1832422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832448 */     // MIs[0] policy
     /* 1832448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832458 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1832461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832482 */     // GIR_Coverage, 13127,
     /* 1832482 */     GIR_EraseRootFromParent_Done,
     /* 1832483 */   // Label 24828: @1832483
     /* 1832483 */   GIM_Try, /*On fail goto*//*Label 24829*/ GIMT_Encode4(1832569), // Rule ID 13130 //
     /* 1832488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1832499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1832502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1832505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1832508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1832511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832534 */     // MIs[0] policy
     /* 1832534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832544 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1832547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832568 */     // GIR_Coverage, 13130,
     /* 1832568 */     GIR_EraseRootFromParent_Done,
     /* 1832569 */   // Label 24829: @1832569
     /* 1832569 */   GIM_Try, /*On fail goto*//*Label 24830*/ GIMT_Encode4(1832655), // Rule ID 13131 //
     /* 1832574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1832585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1832588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1832591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1832594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1832597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832620 */     // MIs[0] policy
     /* 1832620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832630 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1832633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832654 */     // GIR_Coverage, 13131,
     /* 1832654 */     GIR_EraseRootFromParent_Done,
     /* 1832655 */   // Label 24830: @1832655
     /* 1832655 */   GIM_Try, /*On fail goto*//*Label 24831*/ GIMT_Encode4(1832741), // Rule ID 13134 //
     /* 1832660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1832671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1832674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1832677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1832680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832706 */     // MIs[0] policy
     /* 1832706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832716 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1832719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832740 */     // GIR_Coverage, 13134,
     /* 1832740 */     GIR_EraseRootFromParent_Done,
     /* 1832741 */   // Label 24831: @1832741
     /* 1832741 */   GIM_Try, /*On fail goto*//*Label 24832*/ GIMT_Encode4(1832827), // Rule ID 13135 //
     /* 1832746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1832757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1832760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1832763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1832766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832792 */     // MIs[0] policy
     /* 1832792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832802 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1832805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832826 */     // GIR_Coverage, 13135,
     /* 1832826 */     GIR_EraseRootFromParent_Done,
     /* 1832827 */   // Label 24832: @1832827
     /* 1832827 */   GIM_Try, /*On fail goto*//*Label 24833*/ GIMT_Encode4(1832913), // Rule ID 13138 //
     /* 1832832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1832843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1832846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1832849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1832852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832878 */     // MIs[0] policy
     /* 1832878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832888 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1832891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832912 */     // GIR_Coverage, 13138,
     /* 1832912 */     GIR_EraseRootFromParent_Done,
     /* 1832913 */   // Label 24833: @1832913
     /* 1832913 */   GIM_Try, /*On fail goto*//*Label 24834*/ GIMT_Encode4(1832999), // Rule ID 13139 //
     /* 1832918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1832929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1832932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1832935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1832938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832964 */     // MIs[0] policy
     /* 1832964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832974 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1832977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832998 */     // GIR_Coverage, 13139,
     /* 1832998 */     GIR_EraseRootFromParent_Done,
     /* 1832999 */   // Label 24834: @1832999
     /* 1832999 */   GIM_Try, /*On fail goto*//*Label 24835*/ GIMT_Encode4(1833085), // Rule ID 13142 //
     /* 1833004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1833021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1833024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833050 */     // MIs[0] policy
     /* 1833050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833060 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1833063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833084 */     // GIR_Coverage, 13142,
     /* 1833084 */     GIR_EraseRootFromParent_Done,
     /* 1833085 */   // Label 24835: @1833085
     /* 1833085 */   GIM_Try, /*On fail goto*//*Label 24836*/ GIMT_Encode4(1833171), // Rule ID 13143 //
     /* 1833090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1833107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1833110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833136 */     // MIs[0] policy
     /* 1833136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1833149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833170 */     // GIR_Coverage, 13143,
     /* 1833170 */     GIR_EraseRootFromParent_Done,
     /* 1833171 */   // Label 24836: @1833171
     /* 1833171 */   GIM_Try, /*On fail goto*//*Label 24837*/ GIMT_Encode4(1833257), // Rule ID 13146 //
     /* 1833176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1833187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1833190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1833193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1833196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833222 */     // MIs[0] policy
     /* 1833222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833232 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1833235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833256 */     // GIR_Coverage, 13146,
     /* 1833256 */     GIR_EraseRootFromParent_Done,
     /* 1833257 */   // Label 24837: @1833257
     /* 1833257 */   GIM_Try, /*On fail goto*//*Label 24838*/ GIMT_Encode4(1833343), // Rule ID 13147 //
     /* 1833262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1833273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1833276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1833279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1833282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833308 */     // MIs[0] policy
     /* 1833308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1833321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833342 */     // GIR_Coverage, 13147,
     /* 1833342 */     GIR_EraseRootFromParent_Done,
     /* 1833343 */   // Label 24838: @1833343
     /* 1833343 */   GIM_Try, /*On fail goto*//*Label 24839*/ GIMT_Encode4(1833429), // Rule ID 13150 //
     /* 1833348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1833359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1833362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1833365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1833368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833394 */     // MIs[0] policy
     /* 1833394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833404 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1833407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833428 */     // GIR_Coverage, 13150,
     /* 1833428 */     GIR_EraseRootFromParent_Done,
     /* 1833429 */   // Label 24839: @1833429
     /* 1833429 */   GIM_Try, /*On fail goto*//*Label 24840*/ GIMT_Encode4(1833515), // Rule ID 13151 //
     /* 1833434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1833445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1833448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1833451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1833454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833480 */     // MIs[0] policy
     /* 1833480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833490 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1833493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833514 */     // GIR_Coverage, 13151,
     /* 1833514 */     GIR_EraseRootFromParent_Done,
     /* 1833515 */   // Label 24840: @1833515
     /* 1833515 */   GIM_Try, /*On fail goto*//*Label 24841*/ GIMT_Encode4(1833601), // Rule ID 13154 //
     /* 1833520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1833531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1833534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1833537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1833540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833566 */     // MIs[0] policy
     /* 1833566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833576 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1833579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833600 */     // GIR_Coverage, 13154,
     /* 1833600 */     GIR_EraseRootFromParent_Done,
     /* 1833601 */   // Label 24841: @1833601
     /* 1833601 */   GIM_Try, /*On fail goto*//*Label 24842*/ GIMT_Encode4(1833687), // Rule ID 13155 //
     /* 1833606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1833617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1833620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1833623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1833626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833652 */     // MIs[0] policy
     /* 1833652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833662 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1833665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833686 */     // GIR_Coverage, 13155,
     /* 1833686 */     GIR_EraseRootFromParent_Done,
     /* 1833687 */   // Label 24842: @1833687
     /* 1833687 */   GIM_Try, /*On fail goto*//*Label 24843*/ GIMT_Encode4(1833773), // Rule ID 13158 //
     /* 1833692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1833695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1833703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1833706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1833709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1833712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833738 */     // MIs[0] policy
     /* 1833738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833748 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1833751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833772 */     // GIR_Coverage, 13158,
     /* 1833772 */     GIR_EraseRootFromParent_Done,
     /* 1833773 */   // Label 24843: @1833773
     /* 1833773 */   GIM_Try, /*On fail goto*//*Label 24844*/ GIMT_Encode4(1833859), // Rule ID 13159 //
     /* 1833778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1833781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1833789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1833792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1833795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1833798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833824 */     // MIs[0] policy
     /* 1833824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833834 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1833837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833858 */     // GIR_Coverage, 13159,
     /* 1833858 */     GIR_EraseRootFromParent_Done,
     /* 1833859 */   // Label 24844: @1833859
     /* 1833859 */   GIM_Try, /*On fail goto*//*Label 24845*/ GIMT_Encode4(1833945), // Rule ID 13162 //
     /* 1833864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1833867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1833875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1833878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1833881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1833884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833910 */     // MIs[0] policy
     /* 1833910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833920 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1833923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833944 */     // GIR_Coverage, 13162,
     /* 1833944 */     GIR_EraseRootFromParent_Done,
     /* 1833945 */   // Label 24845: @1833945
     /* 1833945 */   GIM_Try, /*On fail goto*//*Label 24846*/ GIMT_Encode4(1834031), // Rule ID 13163 //
     /* 1833950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1833953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1833961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1833964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1833967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1833970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833996 */     // MIs[0] policy
     /* 1833996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834006 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1834009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834030 */     // GIR_Coverage, 13163,
     /* 1834030 */     GIR_EraseRootFromParent_Done,
     /* 1834031 */   // Label 24846: @1834031
     /* 1834031 */   GIM_Try, /*On fail goto*//*Label 24847*/ GIMT_Encode4(1834117), // Rule ID 13166 //
     /* 1834036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1834053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1834056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834082 */     // MIs[0] policy
     /* 1834082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834092 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1834095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834116 */     // GIR_Coverage, 13166,
     /* 1834116 */     GIR_EraseRootFromParent_Done,
     /* 1834117 */   // Label 24847: @1834117
     /* 1834117 */   GIM_Try, /*On fail goto*//*Label 24848*/ GIMT_Encode4(1834203), // Rule ID 13167 //
     /* 1834122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1834139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1834142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834168 */     // MIs[0] policy
     /* 1834168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834178 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1834181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834202 */     // GIR_Coverage, 13167,
     /* 1834202 */     GIR_EraseRootFromParent_Done,
     /* 1834203 */   // Label 24848: @1834203
     /* 1834203 */   GIM_Try, /*On fail goto*//*Label 24849*/ GIMT_Encode4(1834289), // Rule ID 13170 //
     /* 1834208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1834219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1834222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1834228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834254 */     // MIs[0] policy
     /* 1834254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834264 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1834267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834288 */     // GIR_Coverage, 13170,
     /* 1834288 */     GIR_EraseRootFromParent_Done,
     /* 1834289 */   // Label 24849: @1834289
     /* 1834289 */   GIM_Try, /*On fail goto*//*Label 24850*/ GIMT_Encode4(1834375), // Rule ID 13171 //
     /* 1834294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1834305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1834308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1834314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834340 */     // MIs[0] policy
     /* 1834340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834350 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1834353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834374 */     // GIR_Coverage, 13171,
     /* 1834374 */     GIR_EraseRootFromParent_Done,
     /* 1834375 */   // Label 24850: @1834375
     /* 1834375 */   GIM_Try, /*On fail goto*//*Label 24851*/ GIMT_Encode4(1834461), // Rule ID 13174 //
     /* 1834380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1834391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1834394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1834400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834426 */     // MIs[0] policy
     /* 1834426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834436 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1834439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834460 */     // GIR_Coverage, 13174,
     /* 1834460 */     GIR_EraseRootFromParent_Done,
     /* 1834461 */   // Label 24851: @1834461
     /* 1834461 */   GIM_Try, /*On fail goto*//*Label 24852*/ GIMT_Encode4(1834547), // Rule ID 13175 //
     /* 1834466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1834477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1834480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1834486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834512 */     // MIs[0] policy
     /* 1834512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1834525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834546 */     // GIR_Coverage, 13175,
     /* 1834546 */     GIR_EraseRootFromParent_Done,
     /* 1834547 */   // Label 24852: @1834547
     /* 1834547 */   GIM_Try, /*On fail goto*//*Label 24853*/ GIMT_Encode4(1834633), // Rule ID 13178 //
     /* 1834552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1834563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1834566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1834572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834598 */     // MIs[0] policy
     /* 1834598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834608 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1834611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834632 */     // GIR_Coverage, 13178,
     /* 1834632 */     GIR_EraseRootFromParent_Done,
     /* 1834633 */   // Label 24853: @1834633
     /* 1834633 */   GIM_Try, /*On fail goto*//*Label 24854*/ GIMT_Encode4(1834719), // Rule ID 13179 //
     /* 1834638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1834649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1834652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1834658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834684 */     // MIs[0] policy
     /* 1834684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834694 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1834697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834718 */     // GIR_Coverage, 13179,
     /* 1834718 */     GIR_EraseRootFromParent_Done,
     /* 1834719 */   // Label 24854: @1834719
     /* 1834719 */   GIM_Try, /*On fail goto*//*Label 24855*/ GIMT_Encode4(1834805), // Rule ID 13182 //
     /* 1834724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1834735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1834738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1834744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834770 */     // MIs[0] policy
     /* 1834770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834780 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1834783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834804 */     // GIR_Coverage, 13182,
     /* 1834804 */     GIR_EraseRootFromParent_Done,
     /* 1834805 */   // Label 24855: @1834805
     /* 1834805 */   GIM_Try, /*On fail goto*//*Label 24856*/ GIMT_Encode4(1834891), // Rule ID 13183 //
     /* 1834810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1834821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1834824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1834830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834856 */     // MIs[0] policy
     /* 1834856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834866 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1834869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834890 */     // GIR_Coverage, 13183,
     /* 1834890 */     GIR_EraseRootFromParent_Done,
     /* 1834891 */   // Label 24856: @1834891
     /* 1834891 */   GIM_Try, /*On fail goto*//*Label 24857*/ GIMT_Encode4(1834977), // Rule ID 13186 //
     /* 1834896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1834907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1834910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1834916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834942 */     // MIs[0] policy
     /* 1834942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834952 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1834955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834976 */     // GIR_Coverage, 13186,
     /* 1834976 */     GIR_EraseRootFromParent_Done,
     /* 1834977 */   // Label 24857: @1834977
     /* 1834977 */   GIM_Try, /*On fail goto*//*Label 24858*/ GIMT_Encode4(1835063), // Rule ID 13187 //
     /* 1834982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1834993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1834996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1835002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835028 */     // MIs[0] policy
     /* 1835028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835038 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1835041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835062 */     // GIR_Coverage, 13187,
     /* 1835062 */     GIR_EraseRootFromParent_Done,
     /* 1835063 */   // Label 24858: @1835063
     /* 1835063 */   GIM_Try, /*On fail goto*//*Label 24859*/ GIMT_Encode4(1835149), // Rule ID 13190 //
     /* 1835068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1835079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1835082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835114 */     // MIs[0] policy
     /* 1835114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835124 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1835127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835148 */     // GIR_Coverage, 13190,
     /* 1835148 */     GIR_EraseRootFromParent_Done,
     /* 1835149 */   // Label 24859: @1835149
     /* 1835149 */   GIM_Try, /*On fail goto*//*Label 24860*/ GIMT_Encode4(1835235), // Rule ID 13191 //
     /* 1835154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1835165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1835168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835200 */     // MIs[0] policy
     /* 1835200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1835213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835234 */     // GIR_Coverage, 13191,
     /* 1835234 */     GIR_EraseRootFromParent_Done,
     /* 1835235 */   // Label 24860: @1835235
     /* 1835235 */   GIM_Try, /*On fail goto*//*Label 24861*/ GIMT_Encode4(1835321), // Rule ID 13194 //
     /* 1835240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1835251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1835254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1835260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835286 */     // MIs[0] policy
     /* 1835286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835320 */     // GIR_Coverage, 13194,
     /* 1835320 */     GIR_EraseRootFromParent_Done,
     /* 1835321 */   // Label 24861: @1835321
     /* 1835321 */   GIM_Try, /*On fail goto*//*Label 24862*/ GIMT_Encode4(1835407), // Rule ID 13195 //
     /* 1835326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1835337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1835340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1835346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835372 */     // MIs[0] policy
     /* 1835372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835382 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835406 */     // GIR_Coverage, 13195,
     /* 1835406 */     GIR_EraseRootFromParent_Done,
     /* 1835407 */   // Label 24862: @1835407
     /* 1835407 */   GIM_Try, /*On fail goto*//*Label 24863*/ GIMT_Encode4(1835493), // Rule ID 13198 //
     /* 1835412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1835423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1835426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1835432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835458 */     // MIs[0] policy
     /* 1835458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835468 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835492 */     // GIR_Coverage, 13198,
     /* 1835492 */     GIR_EraseRootFromParent_Done,
     /* 1835493 */   // Label 24863: @1835493
     /* 1835493 */   GIM_Try, /*On fail goto*//*Label 24864*/ GIMT_Encode4(1835579), // Rule ID 13199 //
     /* 1835498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1835509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1835512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1835518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835544 */     // MIs[0] policy
     /* 1835544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835554 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835578 */     // GIR_Coverage, 13199,
     /* 1835578 */     GIR_EraseRootFromParent_Done,
     /* 1835579 */   // Label 24864: @1835579
     /* 1835579 */   GIM_Try, /*On fail goto*//*Label 24865*/ GIMT_Encode4(1835665), // Rule ID 13202 //
     /* 1835584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1835595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1835598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1835604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835630 */     // MIs[0] policy
     /* 1835630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835664 */     // GIR_Coverage, 13202,
     /* 1835664 */     GIR_EraseRootFromParent_Done,
     /* 1835665 */   // Label 24865: @1835665
     /* 1835665 */   GIM_Try, /*On fail goto*//*Label 24866*/ GIMT_Encode4(1835751), // Rule ID 13203 //
     /* 1835670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1835681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1835684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1835690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835716 */     // MIs[0] policy
     /* 1835716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835750 */     // GIR_Coverage, 13203,
     /* 1835750 */     GIR_EraseRootFromParent_Done,
     /* 1835751 */   // Label 24866: @1835751
     /* 1835751 */   GIM_Try, /*On fail goto*//*Label 24867*/ GIMT_Encode4(1835837), // Rule ID 13206 //
     /* 1835756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1835759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1835767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1835770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1835776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835802 */     // MIs[0] policy
     /* 1835802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835812 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835836 */     // GIR_Coverage, 13206,
     /* 1835836 */     GIR_EraseRootFromParent_Done,
     /* 1835837 */   // Label 24867: @1835837
     /* 1835837 */   GIM_Try, /*On fail goto*//*Label 24868*/ GIMT_Encode4(1835923), // Rule ID 13207 //
     /* 1835842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1835845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1835853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1835856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1835862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835888 */     // MIs[0] policy
     /* 1835888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835898 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1835901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835922 */     // GIR_Coverage, 13207,
     /* 1835922 */     GIR_EraseRootFromParent_Done,
     /* 1835923 */   // Label 24868: @1835923
     /* 1835923 */   GIM_Try, /*On fail goto*//*Label 24869*/ GIMT_Encode4(1836009), // Rule ID 13210 //
     /* 1835928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1835939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1835942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1835948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1835951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835974 */     // MIs[0] policy
     /* 1835974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835984 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1835987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836008 */     // GIR_Coverage, 13210,
     /* 1836008 */     GIR_EraseRootFromParent_Done,
     /* 1836009 */   // Label 24869: @1836009
     /* 1836009 */   GIM_Try, /*On fail goto*//*Label 24870*/ GIMT_Encode4(1836095), // Rule ID 13211 //
     /* 1836014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1836025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1836028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1836034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836060 */     // MIs[0] policy
     /* 1836060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836070 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1836073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836094 */     // GIR_Coverage, 13211,
     /* 1836094 */     GIR_EraseRootFromParent_Done,
     /* 1836095 */   // Label 24870: @1836095
     /* 1836095 */   GIM_Try, /*On fail goto*//*Label 24871*/ GIMT_Encode4(1836181), // Rule ID 13214 //
     /* 1836100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1836111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1836114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1836120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836146 */     // MIs[0] policy
     /* 1836146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836156 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1836159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836180 */     // GIR_Coverage, 13214,
     /* 1836180 */     GIR_EraseRootFromParent_Done,
     /* 1836181 */   // Label 24871: @1836181
     /* 1836181 */   GIM_Try, /*On fail goto*//*Label 24872*/ GIMT_Encode4(1836267), // Rule ID 13215 //
     /* 1836186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1836197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1836200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1836206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836232 */     // MIs[0] policy
     /* 1836232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836242 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1836245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836266 */     // GIR_Coverage, 13215,
     /* 1836266 */     GIR_EraseRootFromParent_Done,
     /* 1836267 */   // Label 24872: @1836267
     /* 1836267 */   GIM_Try, /*On fail goto*//*Label 24873*/ GIMT_Encode4(1836353), // Rule ID 13218 //
     /* 1836272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1836283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1836286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1836292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1836295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836318 */     // MIs[0] policy
     /* 1836318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836328 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1836331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836352 */     // GIR_Coverage, 13218,
     /* 1836352 */     GIR_EraseRootFromParent_Done,
     /* 1836353 */   // Label 24873: @1836353
     /* 1836353 */   GIM_Try, /*On fail goto*//*Label 24874*/ GIMT_Encode4(1836439), // Rule ID 13219 //
     /* 1836358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1836369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1836372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1836378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1836381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836404 */     // MIs[0] policy
     /* 1836404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836414 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1836417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836438 */     // GIR_Coverage, 13219,
     /* 1836438 */     GIR_EraseRootFromParent_Done,
     /* 1836439 */   // Label 24874: @1836439
     /* 1836439 */   GIM_Try, /*On fail goto*//*Label 24875*/ GIMT_Encode4(1836525), // Rule ID 13222 //
     /* 1836444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1836455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1836458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1836464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836490 */     // MIs[0] policy
     /* 1836490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836500 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1836503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836524 */     // GIR_Coverage, 13222,
     /* 1836524 */     GIR_EraseRootFromParent_Done,
     /* 1836525 */   // Label 24875: @1836525
     /* 1836525 */   GIM_Try, /*On fail goto*//*Label 24876*/ GIMT_Encode4(1836611), // Rule ID 13223 //
     /* 1836530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1836541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1836544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1836550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836576 */     // MIs[0] policy
     /* 1836576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1836589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836610 */     // GIR_Coverage, 13223,
     /* 1836610 */     GIR_EraseRootFromParent_Done,
     /* 1836611 */   // Label 24876: @1836611
     /* 1836611 */   GIM_Try, /*On fail goto*//*Label 24877*/ GIMT_Encode4(1836697), // Rule ID 13226 //
     /* 1836616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1836627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1836630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1836636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836662 */     // MIs[0] policy
     /* 1836662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1836675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836696 */     // GIR_Coverage, 13226,
     /* 1836696 */     GIR_EraseRootFromParent_Done,
     /* 1836697 */   // Label 24877: @1836697
     /* 1836697 */   GIM_Try, /*On fail goto*//*Label 24878*/ GIMT_Encode4(1836783), // Rule ID 13227 //
     /* 1836702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1836713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1836716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1836722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836748 */     // MIs[0] policy
     /* 1836748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836758 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1836761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836782 */     // GIR_Coverage, 13227,
     /* 1836782 */     GIR_EraseRootFromParent_Done,
     /* 1836783 */   // Label 24878: @1836783
     /* 1836783 */   GIM_Try, /*On fail goto*//*Label 24879*/ GIMT_Encode4(1836869), // Rule ID 13230 //
     /* 1836788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1836799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1836802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1836808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836834 */     // MIs[0] policy
     /* 1836834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836844 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1836847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836868 */     // GIR_Coverage, 13230,
     /* 1836868 */     GIR_EraseRootFromParent_Done,
     /* 1836869 */   // Label 24879: @1836869
     /* 1836869 */   GIM_Try, /*On fail goto*//*Label 24880*/ GIMT_Encode4(1836955), // Rule ID 13231 //
     /* 1836874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1836885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1836888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1836894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836920 */     // MIs[0] policy
     /* 1836920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836930 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1836933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836954 */     // GIR_Coverage, 13231,
     /* 1836954 */     GIR_EraseRootFromParent_Done,
     /* 1836955 */   // Label 24880: @1836955
     /* 1836955 */   GIM_Try, /*On fail goto*//*Label 24881*/ GIMT_Encode4(1837041), // Rule ID 13234 //
     /* 1836960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1836971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1836974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1836980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837006 */     // MIs[0] policy
     /* 1837006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1837019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837040 */     // GIR_Coverage, 13234,
     /* 1837040 */     GIR_EraseRootFromParent_Done,
     /* 1837041 */   // Label 24881: @1837041
     /* 1837041 */   GIM_Try, /*On fail goto*//*Label 24882*/ GIMT_Encode4(1837127), // Rule ID 13235 //
     /* 1837046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1837066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837092 */     // MIs[0] policy
     /* 1837092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1837105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837126 */     // GIR_Coverage, 13235,
     /* 1837126 */     GIR_EraseRootFromParent_Done,
     /* 1837127 */   // Label 24882: @1837127
     /* 1837127 */   GIM_Try, /*On fail goto*//*Label 24883*/ GIMT_Encode4(1837213), // Rule ID 13238 //
     /* 1837132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1837143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1837146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1837152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837178 */     // MIs[0] policy
     /* 1837178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837188 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1837191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837212 */     // GIR_Coverage, 13238,
     /* 1837212 */     GIR_EraseRootFromParent_Done,
     /* 1837213 */   // Label 24883: @1837213
     /* 1837213 */   GIM_Try, /*On fail goto*//*Label 24884*/ GIMT_Encode4(1837299), // Rule ID 13239 //
     /* 1837218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1837229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1837232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1837238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837264 */     // MIs[0] policy
     /* 1837264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1837277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837298 */     // GIR_Coverage, 13239,
     /* 1837298 */     GIR_EraseRootFromParent_Done,
     /* 1837299 */   // Label 24884: @1837299
     /* 1837299 */   GIM_Try, /*On fail goto*//*Label 24885*/ GIMT_Encode4(1837385), // Rule ID 13242 //
     /* 1837304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1837315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1837318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1837324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837350 */     // MIs[0] policy
     /* 1837350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837360 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1837363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837384 */     // GIR_Coverage, 13242,
     /* 1837384 */     GIR_EraseRootFromParent_Done,
     /* 1837385 */   // Label 24885: @1837385
     /* 1837385 */   GIM_Try, /*On fail goto*//*Label 24886*/ GIMT_Encode4(1837471), // Rule ID 13243 //
     /* 1837390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1837401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1837404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1837410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837436 */     // MIs[0] policy
     /* 1837436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1837449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837470 */     // GIR_Coverage, 13243,
     /* 1837470 */     GIR_EraseRootFromParent_Done,
     /* 1837471 */   // Label 24886: @1837471
     /* 1837471 */   GIM_Try, /*On fail goto*//*Label 24887*/ GIMT_Encode4(1837557), // Rule ID 13246 //
     /* 1837476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1837479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1837487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1837490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1837496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837522 */     // MIs[0] policy
     /* 1837522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837532 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1837535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837556 */     // GIR_Coverage, 13246,
     /* 1837556 */     GIR_EraseRootFromParent_Done,
     /* 1837557 */   // Label 24887: @1837557
     /* 1837557 */   GIM_Try, /*On fail goto*//*Label 24888*/ GIMT_Encode4(1837643), // Rule ID 13247 //
     /* 1837562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1837565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1837573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1837576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1837582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837608 */     // MIs[0] policy
     /* 1837608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837618 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1837621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837642 */     // GIR_Coverage, 13247,
     /* 1837642 */     GIR_EraseRootFromParent_Done,
     /* 1837643 */   // Label 24888: @1837643
     /* 1837643 */   GIM_Try, /*On fail goto*//*Label 24889*/ GIMT_Encode4(1837729), // Rule ID 13250 //
     /* 1837648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1837651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1837659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1837662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1837668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837694 */     // MIs[0] policy
     /* 1837694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837704 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1837707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837728 */     // GIR_Coverage, 13250,
     /* 1837728 */     GIR_EraseRootFromParent_Done,
     /* 1837729 */   // Label 24889: @1837729
     /* 1837729 */   GIM_Try, /*On fail goto*//*Label 24890*/ GIMT_Encode4(1837815), // Rule ID 13251 //
     /* 1837734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1837737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1837745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1837748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1837754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837780 */     // MIs[0] policy
     /* 1837780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837790 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1837793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837814 */     // GIR_Coverage, 13251,
     /* 1837814 */     GIR_EraseRootFromParent_Done,
     /* 1837815 */   // Label 24890: @1837815
     /* 1837815 */   GIM_Try, /*On fail goto*//*Label 24891*/ GIMT_Encode4(1837901), // Rule ID 13254 //
     /* 1837820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1837823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1837831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1837834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1837840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837866 */     // MIs[0] policy
     /* 1837866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837876 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1837879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837900 */     // GIR_Coverage, 13254,
     /* 1837900 */     GIR_EraseRootFromParent_Done,
     /* 1837901 */   // Label 24891: @1837901
     /* 1837901 */   GIM_Try, /*On fail goto*//*Label 24892*/ GIMT_Encode4(1837987), // Rule ID 13255 //
     /* 1837906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1837909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1837917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1837920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1837926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837952 */     // MIs[0] policy
     /* 1837952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837962 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1837965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837986 */     // GIR_Coverage, 13255,
     /* 1837986 */     GIR_EraseRootFromParent_Done,
     /* 1837987 */   // Label 24892: @1837987
     /* 1837987 */   GIM_Try, /*On fail goto*//*Label 24893*/ GIMT_Encode4(1838073), // Rule ID 13258 //
     /* 1837992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1838003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1838006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1838009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1838012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838038 */     // MIs[0] policy
     /* 1838038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838048 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1838051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838072 */     // GIR_Coverage, 13258,
     /* 1838072 */     GIR_EraseRootFromParent_Done,
     /* 1838073 */   // Label 24893: @1838073
     /* 1838073 */   GIM_Try, /*On fail goto*//*Label 24894*/ GIMT_Encode4(1838159), // Rule ID 13259 //
     /* 1838078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1838089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1838092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1838095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1838098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838124 */     // MIs[0] policy
     /* 1838124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838134 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1838137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838158 */     // GIR_Coverage, 13259,
     /* 1838158 */     GIR_EraseRootFromParent_Done,
     /* 1838159 */   // Label 24894: @1838159
     /* 1838159 */   GIM_Try, /*On fail goto*//*Label 24895*/ GIMT_Encode4(1838245), // Rule ID 13262 //
     /* 1838164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1838175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1838178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1838181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1838184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838210 */     // MIs[0] policy
     /* 1838210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838220 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1838223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838244 */     // GIR_Coverage, 13262,
     /* 1838244 */     GIR_EraseRootFromParent_Done,
     /* 1838245 */   // Label 24895: @1838245
     /* 1838245 */   GIM_Try, /*On fail goto*//*Label 24896*/ GIMT_Encode4(1838331), // Rule ID 13263 //
     /* 1838250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1838261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1838264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1838267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1838270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838296 */     // MIs[0] policy
     /* 1838296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1838309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838330 */     // GIR_Coverage, 13263,
     /* 1838330 */     GIR_EraseRootFromParent_Done,
     /* 1838331 */   // Label 24896: @1838331
     /* 1838331 */   GIM_Try, /*On fail goto*//*Label 24897*/ GIMT_Encode4(1838417), // Rule ID 13266 //
     /* 1838336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1838347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1838350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1838353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1838356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838382 */     // MIs[0] policy
     /* 1838382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838392 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1838395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838416 */     // GIR_Coverage, 13266,
     /* 1838416 */     GIR_EraseRootFromParent_Done,
     /* 1838417 */   // Label 24897: @1838417
     /* 1838417 */   GIM_Try, /*On fail goto*//*Label 24898*/ GIMT_Encode4(1838503), // Rule ID 13267 //
     /* 1838422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1838433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1838436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1838439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1838442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838468 */     // MIs[0] policy
     /* 1838468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838478 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1838481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838502 */     // GIR_Coverage, 13267,
     /* 1838502 */     GIR_EraseRootFromParent_Done,
     /* 1838503 */   // Label 24898: @1838503
     /* 1838503 */   GIM_Try, /*On fail goto*//*Label 24899*/ GIMT_Encode4(1838589), // Rule ID 13270 //
     /* 1838508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1838525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1838528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838554 */     // MIs[0] policy
     /* 1838554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838564 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1838567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838588 */     // GIR_Coverage, 13270,
     /* 1838588 */     GIR_EraseRootFromParent_Done,
     /* 1838589 */   // Label 24899: @1838589
     /* 1838589 */   GIM_Try, /*On fail goto*//*Label 24900*/ GIMT_Encode4(1838675), // Rule ID 13271 //
     /* 1838594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1838611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1838614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838640 */     // MIs[0] policy
     /* 1838640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838650 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1838653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838674 */     // GIR_Coverage, 13271,
     /* 1838674 */     GIR_EraseRootFromParent_Done,
     /* 1838675 */   // Label 24900: @1838675
     /* 1838675 */   GIM_Try, /*On fail goto*//*Label 24901*/ GIMT_Encode4(1838761), // Rule ID 13274 //
     /* 1838680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1838691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1838694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1838697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1838700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838726 */     // MIs[0] policy
     /* 1838726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1838739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838760 */     // GIR_Coverage, 13274,
     /* 1838760 */     GIR_EraseRootFromParent_Done,
     /* 1838761 */   // Label 24901: @1838761
     /* 1838761 */   GIM_Try, /*On fail goto*//*Label 24902*/ GIMT_Encode4(1838847), // Rule ID 13275 //
     /* 1838766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1838777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1838780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1838783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1838786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838812 */     // MIs[0] policy
     /* 1838812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838822 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1838825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838846 */     // GIR_Coverage, 13275,
     /* 1838846 */     GIR_EraseRootFromParent_Done,
     /* 1838847 */   // Label 24902: @1838847
     /* 1838847 */   GIM_Try, /*On fail goto*//*Label 24903*/ GIMT_Encode4(1838933), // Rule ID 13278 //
     /* 1838852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1838863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1838866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1838869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1838872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838898 */     // MIs[0] policy
     /* 1838898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838908 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1838911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838932 */     // GIR_Coverage, 13278,
     /* 1838932 */     GIR_EraseRootFromParent_Done,
     /* 1838933 */   // Label 24903: @1838933
     /* 1838933 */   GIM_Try, /*On fail goto*//*Label 24904*/ GIMT_Encode4(1839019), // Rule ID 13279 //
     /* 1838938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1838949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1838952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1838955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1838958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838984 */     // MIs[0] policy
     /* 1838984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838994 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1838997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839018 */     // GIR_Coverage, 13279,
     /* 1839018 */     GIR_EraseRootFromParent_Done,
     /* 1839019 */   // Label 24904: @1839019
     /* 1839019 */   GIM_Try, /*On fail goto*//*Label 24905*/ GIMT_Encode4(1839105), // Rule ID 13282 //
     /* 1839024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1839035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1839038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1839041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1839044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839070 */     // MIs[0] policy
     /* 1839070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839080 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1839083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839104 */     // GIR_Coverage, 13282,
     /* 1839104 */     GIR_EraseRootFromParent_Done,
     /* 1839105 */   // Label 24905: @1839105
     /* 1839105 */   GIM_Try, /*On fail goto*//*Label 24906*/ GIMT_Encode4(1839191), // Rule ID 13283 //
     /* 1839110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1839121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1839124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1839127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1839130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839156 */     // MIs[0] policy
     /* 1839156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839166 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1839169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839190 */     // GIR_Coverage, 13283,
     /* 1839190 */     GIR_EraseRootFromParent_Done,
     /* 1839191 */   // Label 24906: @1839191
     /* 1839191 */   GIM_Try, /*On fail goto*//*Label 24907*/ GIMT_Encode4(1839277), // Rule ID 13286 //
     /* 1839196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1839207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1839210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1839213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1839216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839242 */     // MIs[0] policy
     /* 1839242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1839255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839276 */     // GIR_Coverage, 13286,
     /* 1839276 */     GIR_EraseRootFromParent_Done,
     /* 1839277 */   // Label 24907: @1839277
     /* 1839277 */   GIM_Try, /*On fail goto*//*Label 24908*/ GIMT_Encode4(1839363), // Rule ID 13287 //
     /* 1839282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1839293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1839296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1839299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1839302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839328 */     // MIs[0] policy
     /* 1839328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839338 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1839341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839362 */     // GIR_Coverage, 13287,
     /* 1839362 */     GIR_EraseRootFromParent_Done,
     /* 1839363 */   // Label 24908: @1839363
     /* 1839363 */   GIM_Try, /*On fail goto*//*Label 24909*/ GIMT_Encode4(1839449), // Rule ID 13290 //
     /* 1839368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1839379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1839382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1839385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1839388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839414 */     // MIs[0] policy
     /* 1839414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1839427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839448 */     // GIR_Coverage, 13290,
     /* 1839448 */     GIR_EraseRootFromParent_Done,
     /* 1839449 */   // Label 24909: @1839449
     /* 1839449 */   GIM_Try, /*On fail goto*//*Label 24910*/ GIMT_Encode4(1839535), // Rule ID 13291 //
     /* 1839454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1839465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1839468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1839471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1839474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839500 */     // MIs[0] policy
     /* 1839500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839510 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1839513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839534 */     // GIR_Coverage, 13291,
     /* 1839534 */     GIR_EraseRootFromParent_Done,
     /* 1839535 */   // Label 24910: @1839535
     /* 1839535 */   GIM_Try, /*On fail goto*//*Label 24911*/ GIMT_Encode4(1839621), // Rule ID 13294 //
     /* 1839540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1839543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1839551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1839554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1839557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1839560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839586 */     // MIs[0] policy
     /* 1839586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1839599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1839617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839620 */     // GIR_Coverage, 13294,
     /* 1839620 */     GIR_EraseRootFromParent_Done,
     /* 1839621 */   // Label 24911: @1839621
     /* 1839621 */   GIM_Try, /*On fail goto*//*Label 24912*/ GIMT_Encode4(1839707), // Rule ID 13295 //
     /* 1839626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1839629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1839637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1839640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1839643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1839646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839672 */     // MIs[0] policy
     /* 1839672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839682 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1839685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1839703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839706 */     // GIR_Coverage, 13295,
     /* 1839706 */     GIR_EraseRootFromParent_Done,
     /* 1839707 */   // Label 24912: @1839707
     /* 1839707 */   GIM_Try, /*On fail goto*//*Label 24913*/ GIMT_Encode4(1839793), // Rule ID 13298 //
     /* 1839712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1839723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1839726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1839729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1839732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839758 */     // MIs[0] policy
     /* 1839758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839768 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1839771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839792 */     // GIR_Coverage, 13298,
     /* 1839792 */     GIR_EraseRootFromParent_Done,
     /* 1839793 */   // Label 24913: @1839793
     /* 1839793 */   GIM_Try, /*On fail goto*//*Label 24914*/ GIMT_Encode4(1839879), // Rule ID 13299 //
     /* 1839798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1839809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1839812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1839815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1839818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839844 */     // MIs[0] policy
     /* 1839844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839854 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1839857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839878 */     // GIR_Coverage, 13299,
     /* 1839878 */     GIR_EraseRootFromParent_Done,
     /* 1839879 */   // Label 24914: @1839879
     /* 1839879 */   GIM_Try, /*On fail goto*//*Label 24915*/ GIMT_Encode4(1839965), // Rule ID 13302 //
     /* 1839884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1839895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1839898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1839901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1839904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1839907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839930 */     // MIs[0] policy
     /* 1839930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839940 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1839943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839964 */     // GIR_Coverage, 13302,
     /* 1839964 */     GIR_EraseRootFromParent_Done,
     /* 1839965 */   // Label 24915: @1839965
     /* 1839965 */   GIM_Try, /*On fail goto*//*Label 24916*/ GIMT_Encode4(1840051), // Rule ID 13303 //
     /* 1839970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1839981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1839984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1839987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1839990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1839993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840016 */     // MIs[0] policy
     /* 1840016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840026 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1840029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840050 */     // GIR_Coverage, 13303,
     /* 1840050 */     GIR_EraseRootFromParent_Done,
     /* 1840051 */   // Label 24916: @1840051
     /* 1840051 */   GIM_Try, /*On fail goto*//*Label 24917*/ GIMT_Encode4(1840137), // Rule ID 13306 //
     /* 1840056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1840067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1840070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1840073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1840076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1840079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840102 */     // MIs[0] policy
     /* 1840102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840112 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1840115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840136 */     // GIR_Coverage, 13306,
     /* 1840136 */     GIR_EraseRootFromParent_Done,
     /* 1840137 */   // Label 24917: @1840137
     /* 1840137 */   GIM_Try, /*On fail goto*//*Label 24918*/ GIMT_Encode4(1840223), // Rule ID 13307 //
     /* 1840142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1840153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1840156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1840159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1840162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1840165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840188 */     // MIs[0] policy
     /* 1840188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840198 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1840201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840222 */     // GIR_Coverage, 13307,
     /* 1840222 */     GIR_EraseRootFromParent_Done,
     /* 1840223 */   // Label 24918: @1840223
     /* 1840223 */   GIM_Try, /*On fail goto*//*Label 24919*/ GIMT_Encode4(1840309), // Rule ID 13310 //
     /* 1840228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1840239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1840242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1840245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1840248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840274 */     // MIs[0] policy
     /* 1840274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1840287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840308 */     // GIR_Coverage, 13310,
     /* 1840308 */     GIR_EraseRootFromParent_Done,
     /* 1840309 */   // Label 24919: @1840309
     /* 1840309 */   GIM_Try, /*On fail goto*//*Label 24920*/ GIMT_Encode4(1840395), // Rule ID 13311 //
     /* 1840314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1840325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1840328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1840331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1840334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840360 */     // MIs[0] policy
     /* 1840360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840370 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1840373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840394 */     // GIR_Coverage, 13311,
     /* 1840394 */     GIR_EraseRootFromParent_Done,
     /* 1840395 */   // Label 24920: @1840395
     /* 1840395 */   GIM_Try, /*On fail goto*//*Label 24921*/ GIMT_Encode4(1840481), // Rule ID 13314 //
     /* 1840400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1840411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1840414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1840417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1840420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840446 */     // MIs[0] policy
     /* 1840446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1840459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840480 */     // GIR_Coverage, 13314,
     /* 1840480 */     GIR_EraseRootFromParent_Done,
     /* 1840481 */   // Label 24921: @1840481
     /* 1840481 */   GIM_Try, /*On fail goto*//*Label 24922*/ GIMT_Encode4(1840567), // Rule ID 13315 //
     /* 1840486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1840497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1840500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1840503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1840506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840532 */     // MIs[0] policy
     /* 1840532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840542 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1840545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840566 */     // GIR_Coverage, 13315,
     /* 1840566 */     GIR_EraseRootFromParent_Done,
     /* 1840567 */   // Label 24922: @1840567
     /* 1840567 */   GIM_Try, /*On fail goto*//*Label 24923*/ GIMT_Encode4(1840653), // Rule ID 13318 //
     /* 1840572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1840583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1840586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1840589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1840592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1840595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840618 */     // MIs[0] policy
     /* 1840618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840628 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1840631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840652 */     // GIR_Coverage, 13318,
     /* 1840652 */     GIR_EraseRootFromParent_Done,
     /* 1840653 */   // Label 24923: @1840653
     /* 1840653 */   GIM_Try, /*On fail goto*//*Label 24924*/ GIMT_Encode4(1840739), // Rule ID 13319 //
     /* 1840658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1840669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1840672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1840675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1840678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1840681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840704 */     // MIs[0] policy
     /* 1840704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840714 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1840717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840738 */     // GIR_Coverage, 13319,
     /* 1840738 */     GIR_EraseRootFromParent_Done,
     /* 1840739 */   // Label 24924: @1840739
     /* 1840739 */   GIM_Try, /*On fail goto*//*Label 24925*/ GIMT_Encode4(1840825), // Rule ID 13322 //
     /* 1840744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1840755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1840758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1840761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1840764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840790 */     // MIs[0] policy
     /* 1840790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840800 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1840803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840824 */     // GIR_Coverage, 13322,
     /* 1840824 */     GIR_EraseRootFromParent_Done,
     /* 1840825 */   // Label 24925: @1840825
     /* 1840825 */   GIM_Try, /*On fail goto*//*Label 24926*/ GIMT_Encode4(1840911), // Rule ID 13323 //
     /* 1840830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1840841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1840844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1840847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1840850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840876 */     // MIs[0] policy
     /* 1840876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840886 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1840889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840910 */     // GIR_Coverage, 13323,
     /* 1840910 */     GIR_EraseRootFromParent_Done,
     /* 1840911 */   // Label 24926: @1840911
     /* 1840911 */   GIM_Try, /*On fail goto*//*Label 24927*/ GIMT_Encode4(1840997), // Rule ID 13326 //
     /* 1840916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1840927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1840930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1840933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1840936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840962 */     // MIs[0] policy
     /* 1840962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840972 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1840975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840996 */     // GIR_Coverage, 13326,
     /* 1840996 */     GIR_EraseRootFromParent_Done,
     /* 1840997 */   // Label 24927: @1840997
     /* 1840997 */   GIM_Try, /*On fail goto*//*Label 24928*/ GIMT_Encode4(1841083), // Rule ID 13327 //
     /* 1841002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1841013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1841016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1841019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1841022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841048 */     // MIs[0] policy
     /* 1841048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1841061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841082 */     // GIR_Coverage, 13327,
     /* 1841082 */     GIR_EraseRootFromParent_Done,
     /* 1841083 */   // Label 24928: @1841083
     /* 1841083 */   GIM_Try, /*On fail goto*//*Label 24929*/ GIMT_Encode4(1841169), // Rule ID 13330 //
     /* 1841088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1841099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1841102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1841105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1841108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841134 */     // MIs[0] policy
     /* 1841134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841144 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1841147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841168 */     // GIR_Coverage, 13330,
     /* 1841168 */     GIR_EraseRootFromParent_Done,
     /* 1841169 */   // Label 24929: @1841169
     /* 1841169 */   GIM_Try, /*On fail goto*//*Label 24930*/ GIMT_Encode4(1841255), // Rule ID 13331 //
     /* 1841174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1841185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1841188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1841191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1841194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841220 */     // MIs[0] policy
     /* 1841220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841230 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1841233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841254 */     // GIR_Coverage, 13331,
     /* 1841254 */     GIR_EraseRootFromParent_Done,
     /* 1841255 */   // Label 24930: @1841255
     /* 1841255 */   GIM_Try, /*On fail goto*//*Label 24931*/ GIMT_Encode4(1841341), // Rule ID 13334 //
     /* 1841260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1841263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1841271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1841274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1841277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1841280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841306 */     // MIs[0] policy
     /* 1841306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841316 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1841319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841340 */     // GIR_Coverage, 13334,
     /* 1841340 */     GIR_EraseRootFromParent_Done,
     /* 1841341 */   // Label 24931: @1841341
     /* 1841341 */   GIM_Try, /*On fail goto*//*Label 24932*/ GIMT_Encode4(1841427), // Rule ID 13335 //
     /* 1841346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1841349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1841357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1841360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1841363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1841366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841392 */     // MIs[0] policy
     /* 1841392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841402 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1841405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841426 */     // GIR_Coverage, 13335,
     /* 1841426 */     GIR_EraseRootFromParent_Done,
     /* 1841427 */   // Label 24932: @1841427
     /* 1841427 */   GIM_Try, /*On fail goto*//*Label 24933*/ GIMT_Encode4(1841513), // Rule ID 13338 //
     /* 1841432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1841435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1841443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1841446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1841449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1841452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841478 */     // MIs[0] policy
     /* 1841478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841488 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1841491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841512 */     // GIR_Coverage, 13338,
     /* 1841512 */     GIR_EraseRootFromParent_Done,
     /* 1841513 */   // Label 24933: @1841513
     /* 1841513 */   GIM_Try, /*On fail goto*//*Label 24934*/ GIMT_Encode4(1841599), // Rule ID 13339 //
     /* 1841518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1841521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1841529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1841532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1841535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1841538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841564 */     // MIs[0] policy
     /* 1841564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841574 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1841577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841598 */     // GIR_Coverage, 13339,
     /* 1841598 */     GIR_EraseRootFromParent_Done,
     /* 1841599 */   // Label 24934: @1841599
     /* 1841599 */   GIM_Try, /*On fail goto*//*Label 24935*/ GIMT_Encode4(1841685), // Rule ID 13342 //
     /* 1841604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1841607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1841615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1841618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1841621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1841624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841650 */     // MIs[0] policy
     /* 1841650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841660 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1841663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841684 */     // GIR_Coverage, 13342,
     /* 1841684 */     GIR_EraseRootFromParent_Done,
     /* 1841685 */   // Label 24935: @1841685
     /* 1841685 */   GIM_Try, /*On fail goto*//*Label 24936*/ GIMT_Encode4(1841771), // Rule ID 13343 //
     /* 1841690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1841693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1841701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1841704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1841707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1841710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841736 */     // MIs[0] policy
     /* 1841736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841746 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1841749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841770 */     // GIR_Coverage, 13343,
     /* 1841770 */     GIR_EraseRootFromParent_Done,
     /* 1841771 */   // Label 24936: @1841771
     /* 1841771 */   GIM_Try, /*On fail goto*//*Label 24937*/ GIMT_Encode4(1841857), // Rule ID 13346 //
     /* 1841776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1841787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1841790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1841796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841822 */     // MIs[0] policy
     /* 1841822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841832 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1841835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841856 */     // GIR_Coverage, 13346,
     /* 1841856 */     GIR_EraseRootFromParent_Done,
     /* 1841857 */   // Label 24937: @1841857
     /* 1841857 */   GIM_Try, /*On fail goto*//*Label 24938*/ GIMT_Encode4(1841943), // Rule ID 13347 //
     /* 1841862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1841873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1841876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1841882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841908 */     // MIs[0] policy
     /* 1841908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841918 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1841921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841942 */     // GIR_Coverage, 13347,
     /* 1841942 */     GIR_EraseRootFromParent_Done,
     /* 1841943 */   // Label 24938: @1841943
     /* 1841943 */   GIM_Try, /*On fail goto*//*Label 24939*/ GIMT_Encode4(1842029), // Rule ID 13350 //
     /* 1841948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1841959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1841962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1841968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841994 */     // MIs[0] policy
     /* 1841994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842004 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1842007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842028 */     // GIR_Coverage, 13350,
     /* 1842028 */     GIR_EraseRootFromParent_Done,
     /* 1842029 */   // Label 24939: @1842029
     /* 1842029 */   GIM_Try, /*On fail goto*//*Label 24940*/ GIMT_Encode4(1842115), // Rule ID 13351 //
     /* 1842034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1842045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1842048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1842054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842080 */     // MIs[0] policy
     /* 1842080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842090 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1842093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842114 */     // GIR_Coverage, 13351,
     /* 1842114 */     GIR_EraseRootFromParent_Done,
     /* 1842115 */   // Label 24940: @1842115
     /* 1842115 */   GIM_Try, /*On fail goto*//*Label 24941*/ GIMT_Encode4(1842201), // Rule ID 13354 //
     /* 1842120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1842131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1842134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1842140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842166 */     // MIs[0] policy
     /* 1842166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842176 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1842179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842200 */     // GIR_Coverage, 13354,
     /* 1842200 */     GIR_EraseRootFromParent_Done,
     /* 1842201 */   // Label 24941: @1842201
     /* 1842201 */   GIM_Try, /*On fail goto*//*Label 24942*/ GIMT_Encode4(1842287), // Rule ID 13355 //
     /* 1842206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1842217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1842220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1842226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842252 */     // MIs[0] policy
     /* 1842252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842262 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1842265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842286 */     // GIR_Coverage, 13355,
     /* 1842286 */     GIR_EraseRootFromParent_Done,
     /* 1842287 */   // Label 24942: @1842287
     /* 1842287 */   GIM_Try, /*On fail goto*//*Label 24943*/ GIMT_Encode4(1842373), // Rule ID 13358 //
     /* 1842292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1842303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1842306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1842312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842338 */     // MIs[0] policy
     /* 1842338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842348 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1842351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842372 */     // GIR_Coverage, 13358,
     /* 1842372 */     GIR_EraseRootFromParent_Done,
     /* 1842373 */   // Label 24943: @1842373
     /* 1842373 */   GIM_Try, /*On fail goto*//*Label 24944*/ GIMT_Encode4(1842459), // Rule ID 13359 //
     /* 1842378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1842389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1842392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1842398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842424 */     // MIs[0] policy
     /* 1842424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842434 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1842437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842458 */     // GIR_Coverage, 13359,
     /* 1842458 */     GIR_EraseRootFromParent_Done,
     /* 1842459 */   // Label 24944: @1842459
     /* 1842459 */   GIM_Try, /*On fail goto*//*Label 24945*/ GIMT_Encode4(1842545), // Rule ID 13362 //
     /* 1842464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1842475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1842478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842510 */     // MIs[0] policy
     /* 1842510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1842523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842544 */     // GIR_Coverage, 13362,
     /* 1842544 */     GIR_EraseRootFromParent_Done,
     /* 1842545 */   // Label 24945: @1842545
     /* 1842545 */   GIM_Try, /*On fail goto*//*Label 24946*/ GIMT_Encode4(1842631), // Rule ID 13363 //
     /* 1842550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1842561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1842564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842596 */     // MIs[0] policy
     /* 1842596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842606 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1842609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842630 */     // GIR_Coverage, 13363,
     /* 1842630 */     GIR_EraseRootFromParent_Done,
     /* 1842631 */   // Label 24946: @1842631
     /* 1842631 */   GIM_Try, /*On fail goto*//*Label 24947*/ GIMT_Encode4(1842717), // Rule ID 13366 //
     /* 1842636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1842656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842682 */     // MIs[0] policy
     /* 1842682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842692 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1842695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842716 */     // GIR_Coverage, 13366,
     /* 1842716 */     GIR_EraseRootFromParent_Done,
     /* 1842717 */   // Label 24947: @1842717
     /* 1842717 */   GIM_Try, /*On fail goto*//*Label 24948*/ GIMT_Encode4(1842803), // Rule ID 13367 //
     /* 1842722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1842742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842768 */     // MIs[0] policy
     /* 1842768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842778 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1842781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842802 */     // GIR_Coverage, 13367,
     /* 1842802 */     GIR_EraseRootFromParent_Done,
     /* 1842803 */   // Label 24948: @1842803
     /* 1842803 */   GIM_Try, /*On fail goto*//*Label 24949*/ GIMT_Encode4(1842889), // Rule ID 13370 //
     /* 1842808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1842819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1842822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1842828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842854 */     // MIs[0] policy
     /* 1842854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842864 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1842867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842888 */     // GIR_Coverage, 13370,
     /* 1842888 */     GIR_EraseRootFromParent_Done,
     /* 1842889 */   // Label 24949: @1842889
     /* 1842889 */   GIM_Try, /*On fail goto*//*Label 24950*/ GIMT_Encode4(1842975), // Rule ID 13371 //
     /* 1842894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1842905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1842908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1842914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842940 */     // MIs[0] policy
     /* 1842940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842950 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1842953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842974 */     // GIR_Coverage, 13371,
     /* 1842974 */     GIR_EraseRootFromParent_Done,
     /* 1842975 */   // Label 24950: @1842975
     /* 1842975 */   GIM_Try, /*On fail goto*//*Label 24951*/ GIMT_Encode4(1843061), // Rule ID 13374 //
     /* 1842980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1842991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1842994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1843000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843026 */     // MIs[0] policy
     /* 1843026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1843039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843060 */     // GIR_Coverage, 13374,
     /* 1843060 */     GIR_EraseRootFromParent_Done,
     /* 1843061 */   // Label 24951: @1843061
     /* 1843061 */   GIM_Try, /*On fail goto*//*Label 24952*/ GIMT_Encode4(1843147), // Rule ID 13375 //
     /* 1843066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1843077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1843080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1843086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843112 */     // MIs[0] policy
     /* 1843112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1843125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843146 */     // GIR_Coverage, 13375,
     /* 1843146 */     GIR_EraseRootFromParent_Done,
     /* 1843147 */   // Label 24952: @1843147
     /* 1843147 */   GIM_Try, /*On fail goto*//*Label 24953*/ GIMT_Encode4(1843233), // Rule ID 13378 //
     /* 1843152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1843163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1843166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1843172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843198 */     // MIs[0] policy
     /* 1843198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1843211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843232 */     // GIR_Coverage, 13378,
     /* 1843232 */     GIR_EraseRootFromParent_Done,
     /* 1843233 */   // Label 24953: @1843233
     /* 1843233 */   GIM_Try, /*On fail goto*//*Label 24954*/ GIMT_Encode4(1843319), // Rule ID 13379 //
     /* 1843238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1843249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1843252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1843258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843284 */     // MIs[0] policy
     /* 1843284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843294 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1843297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843318 */     // GIR_Coverage, 13379,
     /* 1843318 */     GIR_EraseRootFromParent_Done,
     /* 1843319 */   // Label 24954: @1843319
     /* 1843319 */   GIM_Try, /*On fail goto*//*Label 24955*/ GIMT_Encode4(1843405), // Rule ID 13382 //
     /* 1843324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1843327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1843335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1843338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1843344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843370 */     // MIs[0] policy
     /* 1843370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843380 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1843383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1843401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843404 */     // GIR_Coverage, 13382,
     /* 1843404 */     GIR_EraseRootFromParent_Done,
     /* 1843405 */   // Label 24955: @1843405
     /* 1843405 */   GIM_Try, /*On fail goto*//*Label 24956*/ GIMT_Encode4(1843491), // Rule ID 13383 //
     /* 1843410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1843413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1843421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1843424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1843430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843456 */     // MIs[0] policy
     /* 1843456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843466 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1843469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1843487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843490 */     // GIR_Coverage, 13383,
     /* 1843490 */     GIR_EraseRootFromParent_Done,
     /* 1843491 */   // Label 24956: @1843491
     /* 1843491 */   GIM_Try, /*On fail goto*//*Label 24957*/ GIMT_Encode4(1843577), // Rule ID 13386 //
     /* 1843496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1843507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1843510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843542 */     // MIs[0] policy
     /* 1843542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843552 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1843555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843576 */     // GIR_Coverage, 13386,
     /* 1843576 */     GIR_EraseRootFromParent_Done,
     /* 1843577 */   // Label 24957: @1843577
     /* 1843577 */   GIM_Try, /*On fail goto*//*Label 24958*/ GIMT_Encode4(1843663), // Rule ID 13387 //
     /* 1843582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1843593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1843596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843628 */     // MIs[0] policy
     /* 1843628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843638 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1843641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843662 */     // GIR_Coverage, 13387,
     /* 1843662 */     GIR_EraseRootFromParent_Done,
     /* 1843663 */   // Label 24958: @1843663
     /* 1843663 */   GIM_Try, /*On fail goto*//*Label 24959*/ GIMT_Encode4(1843749), // Rule ID 13390 //
     /* 1843668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1843679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1843682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1843688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843714 */     // MIs[0] policy
     /* 1843714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843724 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1843727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843748 */     // GIR_Coverage, 13390,
     /* 1843748 */     GIR_EraseRootFromParent_Done,
     /* 1843749 */   // Label 24959: @1843749
     /* 1843749 */   GIM_Try, /*On fail goto*//*Label 24960*/ GIMT_Encode4(1843835), // Rule ID 13391 //
     /* 1843754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1843765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1843768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1843774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843800 */     // MIs[0] policy
     /* 1843800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843810 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1843813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843834 */     // GIR_Coverage, 13391,
     /* 1843834 */     GIR_EraseRootFromParent_Done,
     /* 1843835 */   // Label 24960: @1843835
     /* 1843835 */   GIM_Try, /*On fail goto*//*Label 24961*/ GIMT_Encode4(1843921), // Rule ID 13394 //
     /* 1843840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1843851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1843854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1843860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1843863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843886 */     // MIs[0] policy
     /* 1843886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843896 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1843899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843920 */     // GIR_Coverage, 13394,
     /* 1843920 */     GIR_EraseRootFromParent_Done,
     /* 1843921 */   // Label 24961: @1843921
     /* 1843921 */   GIM_Try, /*On fail goto*//*Label 24962*/ GIMT_Encode4(1844007), // Rule ID 13395 //
     /* 1843926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1843937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1843940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1843946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1843949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843972 */     // MIs[0] policy
     /* 1843972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843982 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1843985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844006 */     // GIR_Coverage, 13395,
     /* 1844006 */     GIR_EraseRootFromParent_Done,
     /* 1844007 */   // Label 24962: @1844007
     /* 1844007 */   GIM_Try, /*On fail goto*//*Label 24963*/ GIMT_Encode4(1844093), // Rule ID 13398 //
     /* 1844012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1844023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1844026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1844029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1844032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844058 */     // MIs[0] policy
     /* 1844058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844068 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1844071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844092 */     // GIR_Coverage, 13398,
     /* 1844092 */     GIR_EraseRootFromParent_Done,
     /* 1844093 */   // Label 24963: @1844093
     /* 1844093 */   GIM_Try, /*On fail goto*//*Label 24964*/ GIMT_Encode4(1844179), // Rule ID 13399 //
     /* 1844098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1844109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1844112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1844115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1844118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844144 */     // MIs[0] policy
     /* 1844144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844154 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1844157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844178 */     // GIR_Coverage, 13399,
     /* 1844178 */     GIR_EraseRootFromParent_Done,
     /* 1844179 */   // Label 24964: @1844179
     /* 1844179 */   GIM_Try, /*On fail goto*//*Label 24965*/ GIMT_Encode4(1844265), // Rule ID 13402 //
     /* 1844184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1844195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1844198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1844201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1844204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844230 */     // MIs[0] policy
     /* 1844230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844240 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1844243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844264 */     // GIR_Coverage, 13402,
     /* 1844264 */     GIR_EraseRootFromParent_Done,
     /* 1844265 */   // Label 24965: @1844265
     /* 1844265 */   GIM_Try, /*On fail goto*//*Label 24966*/ GIMT_Encode4(1844351), // Rule ID 13403 //
     /* 1844270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1844281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1844284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1844287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1844290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844316 */     // MIs[0] policy
     /* 1844316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844326 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1844329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844350 */     // GIR_Coverage, 13403,
     /* 1844350 */     GIR_EraseRootFromParent_Done,
     /* 1844351 */   // Label 24966: @1844351
     /* 1844351 */   GIM_Try, /*On fail goto*//*Label 24967*/ GIMT_Encode4(1844437), // Rule ID 13406 //
     /* 1844356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1844367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1844370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1844373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1844376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844402 */     // MIs[0] policy
     /* 1844402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844412 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1844415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844436 */     // GIR_Coverage, 13406,
     /* 1844436 */     GIR_EraseRootFromParent_Done,
     /* 1844437 */   // Label 24967: @1844437
     /* 1844437 */   GIM_Try, /*On fail goto*//*Label 24968*/ GIMT_Encode4(1844523), // Rule ID 13407 //
     /* 1844442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1844453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1844456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1844459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1844462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844488 */     // MIs[0] policy
     /* 1844488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844498 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1844501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844522 */     // GIR_Coverage, 13407,
     /* 1844522 */     GIR_EraseRootFromParent_Done,
     /* 1844523 */   // Label 24968: @1844523
     /* 1844523 */   GIM_Try, /*On fail goto*//*Label 24969*/ GIMT_Encode4(1844609), // Rule ID 13410 //
     /* 1844528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1844545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1844548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844574 */     // MIs[0] policy
     /* 1844574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844584 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1844587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844608 */     // GIR_Coverage, 13410,
     /* 1844608 */     GIR_EraseRootFromParent_Done,
     /* 1844609 */   // Label 24969: @1844609
     /* 1844609 */   GIM_Try, /*On fail goto*//*Label 24970*/ GIMT_Encode4(1844695), // Rule ID 13411 //
     /* 1844614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1844631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1844634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844660 */     // MIs[0] policy
     /* 1844660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844670 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1844673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844694 */     // GIR_Coverage, 13411,
     /* 1844694 */     GIR_EraseRootFromParent_Done,
     /* 1844695 */   // Label 24970: @1844695
     /* 1844695 */   GIM_Try, /*On fail goto*//*Label 24971*/ GIMT_Encode4(1844781), // Rule ID 13414 //
     /* 1844700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1844711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1844714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1844717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1844720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844746 */     // MIs[0] policy
     /* 1844746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844756 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1844759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844780 */     // GIR_Coverage, 13414,
     /* 1844780 */     GIR_EraseRootFromParent_Done,
     /* 1844781 */   // Label 24971: @1844781
     /* 1844781 */   GIM_Try, /*On fail goto*//*Label 24972*/ GIMT_Encode4(1844867), // Rule ID 13415 //
     /* 1844786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1844797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1844800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1844803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1844806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844832 */     // MIs[0] policy
     /* 1844832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844842 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1844845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844866 */     // GIR_Coverage, 13415,
     /* 1844866 */     GIR_EraseRootFromParent_Done,
     /* 1844867 */   // Label 24972: @1844867
     /* 1844867 */   GIM_Try, /*On fail goto*//*Label 24973*/ GIMT_Encode4(1844953), // Rule ID 13418 //
     /* 1844872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1844889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1844892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844918 */     // MIs[0] policy
     /* 1844918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844928 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1844931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844952 */     // GIR_Coverage, 13418,
     /* 1844952 */     GIR_EraseRootFromParent_Done,
     /* 1844953 */   // Label 24973: @1844953
     /* 1844953 */   GIM_Try, /*On fail goto*//*Label 24974*/ GIMT_Encode4(1845039), // Rule ID 13419 //
     /* 1844958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1844975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1844978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845004 */     // MIs[0] policy
     /* 1845004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845014 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1845017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845038 */     // GIR_Coverage, 13419,
     /* 1845038 */     GIR_EraseRootFromParent_Done,
     /* 1845039 */   // Label 24974: @1845039
     /* 1845039 */   GIM_Try, /*On fail goto*//*Label 24975*/ GIMT_Encode4(1845125), // Rule ID 13422 //
     /* 1845044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1845047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1845055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1845058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1845064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845090 */     // MIs[0] policy
     /* 1845090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845100 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1845103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845124 */     // GIR_Coverage, 13422,
     /* 1845124 */     GIR_EraseRootFromParent_Done,
     /* 1845125 */   // Label 24975: @1845125
     /* 1845125 */   GIM_Try, /*On fail goto*//*Label 24976*/ GIMT_Encode4(1845211), // Rule ID 13423 //
     /* 1845130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1845133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1845141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1845144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1845150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845176 */     // MIs[0] policy
     /* 1845176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11504:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1845189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845210 */     // GIR_Coverage, 13423,
     /* 1845210 */     GIR_EraseRootFromParent_Done,
     /* 1845211 */   // Label 24976: @1845211
     /* 1845211 */   GIM_Try, /*On fail goto*//*Label 24977*/ GIMT_Encode4(1845297), // Rule ID 13426 //
     /* 1845216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1845219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1845236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845262 */     // MIs[0] policy
     /* 1845262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1845275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845296 */     // GIR_Coverage, 13426,
     /* 1845296 */     GIR_EraseRootFromParent_Done,
     /* 1845297 */   // Label 24977: @1845297
     /* 1845297 */   GIM_Try, /*On fail goto*//*Label 24978*/ GIMT_Encode4(1845383), // Rule ID 13427 //
     /* 1845302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1845305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1845322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845348 */     // MIs[0] policy
     /* 1845348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845358 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11504:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1845361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845382 */     // GIR_Coverage, 13427,
     /* 1845382 */     GIR_EraseRootFromParent_Done,
     /* 1845383 */   // Label 24978: @1845383
     /* 1845383 */   GIM_Try, /*On fail goto*//*Label 24979*/ GIMT_Encode4(1845469), // Rule ID 13430 //
     /* 1845388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1845391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1845399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1845402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1845408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845434 */     // MIs[0] policy
     /* 1845434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845444 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1845447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845468 */     // GIR_Coverage, 13430,
     /* 1845468 */     GIR_EraseRootFromParent_Done,
     /* 1845469 */   // Label 24979: @1845469
     /* 1845469 */   GIM_Try, /*On fail goto*//*Label 24980*/ GIMT_Encode4(1845555), // Rule ID 13431 //
     /* 1845474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1845477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1845485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1845488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1845494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845520 */     // MIs[0] policy
     /* 1845520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845530 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11504:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1845533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845554 */     // GIR_Coverage, 13431,
     /* 1845554 */     GIR_EraseRootFromParent_Done,
     /* 1845555 */   // Label 24980: @1845555
     /* 1845555 */   GIM_Try, /*On fail goto*//*Label 24981*/ GIMT_Encode4(1845641), // Rule ID 13434 //
     /* 1845560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1845571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1845574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1845577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1845580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845606 */     // MIs[0] policy
     /* 1845606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845616 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1845619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845640 */     // GIR_Coverage, 13434,
     /* 1845640 */     GIR_EraseRootFromParent_Done,
     /* 1845641 */   // Label 24981: @1845641
     /* 1845641 */   GIM_Try, /*On fail goto*//*Label 24982*/ GIMT_Encode4(1845727), // Rule ID 13435 //
     /* 1845646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1845657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1845660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1845663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1845666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845692 */     // MIs[0] policy
     /* 1845692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845702 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1845705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845726 */     // GIR_Coverage, 13435,
     /* 1845726 */     GIR_EraseRootFromParent_Done,
     /* 1845727 */   // Label 24982: @1845727
     /* 1845727 */   GIM_Try, /*On fail goto*//*Label 24983*/ GIMT_Encode4(1845813), // Rule ID 13438 //
     /* 1845732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1845743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1845746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1845749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1845752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845778 */     // MIs[0] policy
     /* 1845778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845788 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1845791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845812 */     // GIR_Coverage, 13438,
     /* 1845812 */     GIR_EraseRootFromParent_Done,
     /* 1845813 */   // Label 24983: @1845813
     /* 1845813 */   GIM_Try, /*On fail goto*//*Label 24984*/ GIMT_Encode4(1845899), // Rule ID 13439 //
     /* 1845818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1845829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1845832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1845835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1845838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845864 */     // MIs[0] policy
     /* 1845864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845874 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1845877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845898 */     // GIR_Coverage, 13439,
     /* 1845898 */     GIR_EraseRootFromParent_Done,
     /* 1845899 */   // Label 24984: @1845899
     /* 1845899 */   GIM_Try, /*On fail goto*//*Label 24985*/ GIMT_Encode4(1845985), // Rule ID 13442 //
     /* 1845904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1845915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1845918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1845921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1845924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845950 */     // MIs[0] policy
     /* 1845950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1845963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845984 */     // GIR_Coverage, 13442,
     /* 1845984 */     GIR_EraseRootFromParent_Done,
     /* 1845985 */   // Label 24985: @1845985
     /* 1845985 */   GIM_Try, /*On fail goto*//*Label 24986*/ GIMT_Encode4(1846071), // Rule ID 13443 //
     /* 1845990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1846001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1846004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1846007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1846010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846036 */     // MIs[0] policy
     /* 1846036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1846049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846070 */     // GIR_Coverage, 13443,
     /* 1846070 */     GIR_EraseRootFromParent_Done,
     /* 1846071 */   // Label 24986: @1846071
     /* 1846071 */   GIM_Try, /*On fail goto*//*Label 24987*/ GIMT_Encode4(1846157), // Rule ID 13446 //
     /* 1846076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1846087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1846090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1846093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1846096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846122 */     // MIs[0] policy
     /* 1846122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846132 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1846135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846156 */     // GIR_Coverage, 13446,
     /* 1846156 */     GIR_EraseRootFromParent_Done,
     /* 1846157 */   // Label 24987: @1846157
     /* 1846157 */   GIM_Try, /*On fail goto*//*Label 24988*/ GIMT_Encode4(1846243), // Rule ID 13447 //
     /* 1846162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1846173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1846176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1846179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1846182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846208 */     // MIs[0] policy
     /* 1846208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846218 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1846221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846242 */     // GIR_Coverage, 13447,
     /* 1846242 */     GIR_EraseRootFromParent_Done,
     /* 1846243 */   // Label 24988: @1846243
     /* 1846243 */   GIM_Try, /*On fail goto*//*Label 24989*/ GIMT_Encode4(1846329), // Rule ID 13450 //
     /* 1846248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1846259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1846262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1846265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1846268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846294 */     // MIs[0] policy
     /* 1846294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846304 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1846307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846328 */     // GIR_Coverage, 13450,
     /* 1846328 */     GIR_EraseRootFromParent_Done,
     /* 1846329 */   // Label 24989: @1846329
     /* 1846329 */   GIM_Try, /*On fail goto*//*Label 24990*/ GIMT_Encode4(1846415), // Rule ID 13451 //
     /* 1846334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1846345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1846348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1846351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1846354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846380 */     // MIs[0] policy
     /* 1846380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846390 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1846393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846414 */     // GIR_Coverage, 13451,
     /* 1846414 */     GIR_EraseRootFromParent_Done,
     /* 1846415 */   // Label 24990: @1846415
     /* 1846415 */   GIM_Try, /*On fail goto*//*Label 24991*/ GIMT_Encode4(1846501), // Rule ID 13454 //
     /* 1846420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1846431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1846434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1846437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1846440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1846443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846466 */     // MIs[0] policy
     /* 1846466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846476 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1846479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846500 */     // GIR_Coverage, 13454,
     /* 1846500 */     GIR_EraseRootFromParent_Done,
     /* 1846501 */   // Label 24991: @1846501
     /* 1846501 */   GIM_Try, /*On fail goto*//*Label 24992*/ GIMT_Encode4(1846587), // Rule ID 13455 //
     /* 1846506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1846517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1846520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1846523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1846526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1846529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846552 */     // MIs[0] policy
     /* 1846552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846562 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1846565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846586 */     // GIR_Coverage, 13455,
     /* 1846586 */     GIR_EraseRootFromParent_Done,
     /* 1846587 */   // Label 24992: @1846587
     /* 1846587 */   GIM_Try, /*On fail goto*//*Label 24993*/ GIMT_Encode4(1846673), // Rule ID 13458 //
     /* 1846592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1846609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1846612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846638 */     // MIs[0] policy
     /* 1846638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1846651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846672 */     // GIR_Coverage, 13458,
     /* 1846672 */     GIR_EraseRootFromParent_Done,
     /* 1846673 */   // Label 24993: @1846673
     /* 1846673 */   GIM_Try, /*On fail goto*//*Label 24994*/ GIMT_Encode4(1846759), // Rule ID 13459 //
     /* 1846678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1846695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1846698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846724 */     // MIs[0] policy
     /* 1846724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1846737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846758 */     // GIR_Coverage, 13459,
     /* 1846758 */     GIR_EraseRootFromParent_Done,
     /* 1846759 */   // Label 24994: @1846759
     /* 1846759 */   GIM_Try, /*On fail goto*//*Label 24995*/ GIMT_Encode4(1846845), // Rule ID 13462 //
     /* 1846764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1846775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1846778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1846781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846810 */     // MIs[0] policy
     /* 1846810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846820 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1846823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846844 */     // GIR_Coverage, 13462,
     /* 1846844 */     GIR_EraseRootFromParent_Done,
     /* 1846845 */   // Label 24995: @1846845
     /* 1846845 */   GIM_Try, /*On fail goto*//*Label 24996*/ GIMT_Encode4(1846931), // Rule ID 13463 //
     /* 1846850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1846861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1846864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1846867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846896 */     // MIs[0] policy
     /* 1846896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1846909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846930 */     // GIR_Coverage, 13463,
     /* 1846930 */     GIR_EraseRootFromParent_Done,
     /* 1846931 */   // Label 24996: @1846931
     /* 1846931 */   GIM_Try, /*On fail goto*//*Label 24997*/ GIMT_Encode4(1847017), // Rule ID 13466 //
     /* 1846936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1846947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1846950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1846953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1846956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846982 */     // MIs[0] policy
     /* 1846982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1846995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847016 */     // GIR_Coverage, 13466,
     /* 1847016 */     GIR_EraseRootFromParent_Done,
     /* 1847017 */   // Label 24997: @1847017
     /* 1847017 */   GIM_Try, /*On fail goto*//*Label 24998*/ GIMT_Encode4(1847103), // Rule ID 13467 //
     /* 1847022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1847033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1847036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1847039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1847042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847068 */     // MIs[0] policy
     /* 1847068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847078 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1847081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847102 */     // GIR_Coverage, 13467,
     /* 1847102 */     GIR_EraseRootFromParent_Done,
     /* 1847103 */   // Label 24998: @1847103
     /* 1847103 */   GIM_Try, /*On fail goto*//*Label 24999*/ GIMT_Encode4(1847189), // Rule ID 13470 //
     /* 1847108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1847119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1847122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1847125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1847128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847154 */     // MIs[0] policy
     /* 1847154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1847167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847188 */     // GIR_Coverage, 13470,
     /* 1847188 */     GIR_EraseRootFromParent_Done,
     /* 1847189 */   // Label 24999: @1847189
     /* 1847189 */   GIM_Try, /*On fail goto*//*Label 25000*/ GIMT_Encode4(1847275), // Rule ID 13471 //
     /* 1847194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1847205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1847208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1847211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1847214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847240 */     // MIs[0] policy
     /* 1847240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847250 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1847253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847274 */     // GIR_Coverage, 13471,
     /* 1847274 */     GIR_EraseRootFromParent_Done,
     /* 1847275 */   // Label 25000: @1847275
     /* 1847275 */   GIM_Try, /*On fail goto*//*Label 25001*/ GIMT_Encode4(1847361), // Rule ID 13474 //
     /* 1847280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1847291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1847294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1847297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1847300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847326 */     // MIs[0] policy
     /* 1847326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1847339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847360 */     // GIR_Coverage, 13474,
     /* 1847360 */     GIR_EraseRootFromParent_Done,
     /* 1847361 */   // Label 25001: @1847361
     /* 1847361 */   GIM_Try, /*On fail goto*//*Label 25002*/ GIMT_Encode4(1847447), // Rule ID 13475 //
     /* 1847366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1847377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1847380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1847383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1847386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847412 */     // MIs[0] policy
     /* 1847412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1847425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847446 */     // GIR_Coverage, 13475,
     /* 1847446 */     GIR_EraseRootFromParent_Done,
     /* 1847447 */   // Label 25002: @1847447
     /* 1847447 */   GIM_Try, /*On fail goto*//*Label 25003*/ GIMT_Encode4(1847533), // Rule ID 13478 //
     /* 1847452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1847463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1847466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1847469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1847472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847498 */     // MIs[0] policy
     /* 1847498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1847511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847532 */     // GIR_Coverage, 13478,
     /* 1847532 */     GIR_EraseRootFromParent_Done,
     /* 1847533 */   // Label 25003: @1847533
     /* 1847533 */   GIM_Try, /*On fail goto*//*Label 25004*/ GIMT_Encode4(1847619), // Rule ID 13479 //
     /* 1847538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1847549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1847552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1847555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1847558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847584 */     // MIs[0] policy
     /* 1847584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847594 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1847597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847618 */     // GIR_Coverage, 13479,
     /* 1847618 */     GIR_EraseRootFromParent_Done,
     /* 1847619 */   // Label 25004: @1847619
     /* 1847619 */   GIM_Try, /*On fail goto*//*Label 25005*/ GIMT_Encode4(1847705), // Rule ID 13482 //
     /* 1847624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1847635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1847638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1847641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847670 */     // MIs[0] policy
     /* 1847670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847680 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1847683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847704 */     // GIR_Coverage, 13482,
     /* 1847704 */     GIR_EraseRootFromParent_Done,
     /* 1847705 */   // Label 25005: @1847705
     /* 1847705 */   GIM_Try, /*On fail goto*//*Label 25006*/ GIMT_Encode4(1847791), // Rule ID 13483 //
     /* 1847710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1847721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1847724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1847727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847756 */     // MIs[0] policy
     /* 1847756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847766 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1847769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847790 */     // GIR_Coverage, 13483,
     /* 1847790 */     GIR_EraseRootFromParent_Done,
     /* 1847791 */   // Label 25006: @1847791
     /* 1847791 */   GIM_Try, /*On fail goto*//*Label 25007*/ GIMT_Encode4(1847877), // Rule ID 13486 //
     /* 1847796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1847807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1847810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1847813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1847816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847842 */     // MIs[0] policy
     /* 1847842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1847855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847876 */     // GIR_Coverage, 13486,
     /* 1847876 */     GIR_EraseRootFromParent_Done,
     /* 1847877 */   // Label 25007: @1847877
     /* 1847877 */   GIM_Try, /*On fail goto*//*Label 25008*/ GIMT_Encode4(1847963), // Rule ID 13487 //
     /* 1847882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1847893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1847896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1847899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1847902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847928 */     // MIs[0] policy
     /* 1847928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847938 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1847941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847962 */     // GIR_Coverage, 13487,
     /* 1847962 */     GIR_EraseRootFromParent_Done,
     /* 1847963 */   // Label 25008: @1847963
     /* 1847963 */   GIM_Try, /*On fail goto*//*Label 25009*/ GIMT_Encode4(1848049), // Rule ID 13490 //
     /* 1847968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1847979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1847982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1847985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1847988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848014 */     // MIs[0] policy
     /* 1848014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1848027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848048 */     // GIR_Coverage, 13490,
     /* 1848048 */     GIR_EraseRootFromParent_Done,
     /* 1848049 */   // Label 25009: @1848049
     /* 1848049 */   GIM_Try, /*On fail goto*//*Label 25010*/ GIMT_Encode4(1848135), // Rule ID 13491 //
     /* 1848054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1848065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1848068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1848071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1848074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848100 */     // MIs[0] policy
     /* 1848100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848110 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1848113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848134 */     // GIR_Coverage, 13491,
     /* 1848134 */     GIR_EraseRootFromParent_Done,
     /* 1848135 */   // Label 25010: @1848135
     /* 1848135 */   GIM_Try, /*On fail goto*//*Label 25011*/ GIMT_Encode4(1848221), // Rule ID 13494 //
     /* 1848140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1848151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1848154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1848160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848186 */     // MIs[0] policy
     /* 1848186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848196 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1848199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848220 */     // GIR_Coverage, 13494,
     /* 1848220 */     GIR_EraseRootFromParent_Done,
     /* 1848221 */   // Label 25011: @1848221
     /* 1848221 */   GIM_Try, /*On fail goto*//*Label 25012*/ GIMT_Encode4(1848307), // Rule ID 13495 //
     /* 1848226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1848237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1848240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1848246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848272 */     // MIs[0] policy
     /* 1848272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848282 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1848285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848306 */     // GIR_Coverage, 13495,
     /* 1848306 */     GIR_EraseRootFromParent_Done,
     /* 1848307 */   // Label 25012: @1848307
     /* 1848307 */   GIM_Try, /*On fail goto*//*Label 25013*/ GIMT_Encode4(1848393), // Rule ID 13498 //
     /* 1848312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1848323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1848326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1848332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848358 */     // MIs[0] policy
     /* 1848358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848368 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1848371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848392 */     // GIR_Coverage, 13498,
     /* 1848392 */     GIR_EraseRootFromParent_Done,
     /* 1848393 */   // Label 25013: @1848393
     /* 1848393 */   GIM_Try, /*On fail goto*//*Label 25014*/ GIMT_Encode4(1848479), // Rule ID 13499 //
     /* 1848398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1848409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1848412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1848418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848444 */     // MIs[0] policy
     /* 1848444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848454 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1848457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848478 */     // GIR_Coverage, 13499,
     /* 1848478 */     GIR_EraseRootFromParent_Done,
     /* 1848479 */   // Label 25014: @1848479
     /* 1848479 */   GIM_Try, /*On fail goto*//*Label 25015*/ GIMT_Encode4(1848565), // Rule ID 13502 //
     /* 1848484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1848495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1848498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1848504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848530 */     // MIs[0] policy
     /* 1848530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1848543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848564 */     // GIR_Coverage, 13502,
     /* 1848564 */     GIR_EraseRootFromParent_Done,
     /* 1848565 */   // Label 25015: @1848565
     /* 1848565 */   GIM_Try, /*On fail goto*//*Label 25016*/ GIMT_Encode4(1848651), // Rule ID 13503 //
     /* 1848570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1848581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1848584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1848590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848616 */     // MIs[0] policy
     /* 1848616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1848629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848650 */     // GIR_Coverage, 13503,
     /* 1848650 */     GIR_EraseRootFromParent_Done,
     /* 1848651 */   // Label 25016: @1848651
     /* 1848651 */   GIM_Try, /*On fail goto*//*Label 25017*/ GIMT_Encode4(1848737), // Rule ID 13506 //
     /* 1848656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1848676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848702 */     // MIs[0] policy
     /* 1848702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848712 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1848715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848736 */     // GIR_Coverage, 13506,
     /* 1848736 */     GIR_EraseRootFromParent_Done,
     /* 1848737 */   // Label 25017: @1848737
     /* 1848737 */   GIM_Try, /*On fail goto*//*Label 25018*/ GIMT_Encode4(1848823), // Rule ID 13507 //
     /* 1848742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1848762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848788 */     // MIs[0] policy
     /* 1848788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848798 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1848801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848822 */     // GIR_Coverage, 13507,
     /* 1848822 */     GIR_EraseRootFromParent_Done,
     /* 1848823 */   // Label 25018: @1848823
     /* 1848823 */   GIM_Try, /*On fail goto*//*Label 25019*/ GIMT_Encode4(1848909), // Rule ID 13510 //
     /* 1848828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1848848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848874 */     // MIs[0] policy
     /* 1848874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848884 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1848887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848908 */     // GIR_Coverage, 13510,
     /* 1848908 */     GIR_EraseRootFromParent_Done,
     /* 1848909 */   // Label 25019: @1848909
     /* 1848909 */   GIM_Try, /*On fail goto*//*Label 25020*/ GIMT_Encode4(1848995), // Rule ID 13511 //
     /* 1848914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1848934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848960 */     // MIs[0] policy
     /* 1848960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848970 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1848973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848994 */     // GIR_Coverage, 13511,
     /* 1848994 */     GIR_EraseRootFromParent_Done,
     /* 1848995 */   // Label 25020: @1848995
     /* 1848995 */   GIM_Try, /*On fail goto*//*Label 25021*/ GIMT_Encode4(1849081), // Rule ID 13514 //
     /* 1849000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1849011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1849014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1849020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1849023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849046 */     // MIs[0] policy
     /* 1849046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849056 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1849059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849080 */     // GIR_Coverage, 13514,
     /* 1849080 */     GIR_EraseRootFromParent_Done,
     /* 1849081 */   // Label 25021: @1849081
     /* 1849081 */   GIM_Try, /*On fail goto*//*Label 25022*/ GIMT_Encode4(1849167), // Rule ID 13515 //
     /* 1849086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1849097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1849100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1849106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1849109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849132 */     // MIs[0] policy
     /* 1849132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849142 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1849145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849166 */     // GIR_Coverage, 13515,
     /* 1849166 */     GIR_EraseRootFromParent_Done,
     /* 1849167 */   // Label 25022: @1849167
     /* 1849167 */   GIM_Try, /*On fail goto*//*Label 25023*/ GIMT_Encode4(1849253), // Rule ID 13518 //
     /* 1849172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1849183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1849186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849218 */     // MIs[0] policy
     /* 1849218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849228 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1849231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849252 */     // GIR_Coverage, 13518,
     /* 1849252 */     GIR_EraseRootFromParent_Done,
     /* 1849253 */   // Label 25023: @1849253
     /* 1849253 */   GIM_Try, /*On fail goto*//*Label 25024*/ GIMT_Encode4(1849339), // Rule ID 13519 //
     /* 1849258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1849269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1849272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849304 */     // MIs[0] policy
     /* 1849304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1849317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849338 */     // GIR_Coverage, 13519,
     /* 1849338 */     GIR_EraseRootFromParent_Done,
     /* 1849339 */   // Label 25024: @1849339
     /* 1849339 */   GIM_Try, /*On fail goto*//*Label 25025*/ GIMT_Encode4(1849425), // Rule ID 13522 //
     /* 1849344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1849355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1849358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1849364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849390 */     // MIs[0] policy
     /* 1849390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849400 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1849403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849424 */     // GIR_Coverage, 13522,
     /* 1849424 */     GIR_EraseRootFromParent_Done,
     /* 1849425 */   // Label 25025: @1849425
     /* 1849425 */   GIM_Try, /*On fail goto*//*Label 25026*/ GIMT_Encode4(1849511), // Rule ID 13523 //
     /* 1849430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1849441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1849444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1849450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849476 */     // MIs[0] policy
     /* 1849476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849486 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1849489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849510 */     // GIR_Coverage, 13523,
     /* 1849510 */     GIR_EraseRootFromParent_Done,
     /* 1849511 */   // Label 25026: @1849511
     /* 1849511 */   GIM_Try, /*On fail goto*//*Label 25027*/ GIMT_Encode4(1849597), // Rule ID 13526 //
     /* 1849516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1849527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1849530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1849536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849562 */     // MIs[0] policy
     /* 1849562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849572 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1849575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849596 */     // GIR_Coverage, 13526,
     /* 1849596 */     GIR_EraseRootFromParent_Done,
     /* 1849597 */   // Label 25027: @1849597
     /* 1849597 */   GIM_Try, /*On fail goto*//*Label 25028*/ GIMT_Encode4(1849683), // Rule ID 13527 //
     /* 1849602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1849613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1849616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1849622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849648 */     // MIs[0] policy
     /* 1849648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1849661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849682 */     // GIR_Coverage, 13527,
     /* 1849682 */     GIR_EraseRootFromParent_Done,
     /* 1849683 */   // Label 25028: @1849683
     /* 1849683 */   GIM_Try, /*On fail goto*//*Label 25029*/ GIMT_Encode4(1849769), // Rule ID 13530 //
     /* 1849688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1849699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1849702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1849708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849734 */     // MIs[0] policy
     /* 1849734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849744 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1849747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849768 */     // GIR_Coverage, 13530,
     /* 1849768 */     GIR_EraseRootFromParent_Done,
     /* 1849769 */   // Label 25029: @1849769
     /* 1849769 */   GIM_Try, /*On fail goto*//*Label 25030*/ GIMT_Encode4(1849855), // Rule ID 13531 //
     /* 1849774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1849785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1849788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1849794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849820 */     // MIs[0] policy
     /* 1849820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849830 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1849833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849854 */     // GIR_Coverage, 13531,
     /* 1849854 */     GIR_EraseRootFromParent_Done,
     /* 1849855 */   // Label 25030: @1849855
     /* 1849855 */   GIM_Try, /*On fail goto*//*Label 25031*/ GIMT_Encode4(1849941), // Rule ID 13534 //
     /* 1849860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1849880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849906 */     // MIs[0] policy
     /* 1849906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849916 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1849919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849940 */     // GIR_Coverage, 13534,
     /* 1849940 */     GIR_EraseRootFromParent_Done,
     /* 1849941 */   // Label 25031: @1849941
     /* 1849941 */   GIM_Try, /*On fail goto*//*Label 25032*/ GIMT_Encode4(1850027), // Rule ID 13535 //
     /* 1849946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1849966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849992 */     // MIs[0] policy
     /* 1849992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850002 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1850005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850026 */     // GIR_Coverage, 13535,
     /* 1850026 */     GIR_EraseRootFromParent_Done,
     /* 1850027 */   // Label 25032: @1850027
     /* 1850027 */   GIM_Try, /*On fail goto*//*Label 25033*/ GIMT_Encode4(1850113), // Rule ID 13538 //
     /* 1850032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1850043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1850046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1850052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850078 */     // MIs[0] policy
     /* 1850078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850088 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1850091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850112 */     // GIR_Coverage, 13538,
     /* 1850112 */     GIR_EraseRootFromParent_Done,
     /* 1850113 */   // Label 25033: @1850113
     /* 1850113 */   GIM_Try, /*On fail goto*//*Label 25034*/ GIMT_Encode4(1850199), // Rule ID 13539 //
     /* 1850118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1850129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1850132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1850138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850164 */     // MIs[0] policy
     /* 1850164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850174 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1850177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850198 */     // GIR_Coverage, 13539,
     /* 1850198 */     GIR_EraseRootFromParent_Done,
     /* 1850199 */   // Label 25034: @1850199
     /* 1850199 */   GIM_Try, /*On fail goto*//*Label 25035*/ GIMT_Encode4(1850285), // Rule ID 13542 //
     /* 1850204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1850215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1850218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1850224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850250 */     // MIs[0] policy
     /* 1850250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850260 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1850263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850284 */     // GIR_Coverage, 13542,
     /* 1850284 */     GIR_EraseRootFromParent_Done,
     /* 1850285 */   // Label 25035: @1850285
     /* 1850285 */   GIM_Try, /*On fail goto*//*Label 25036*/ GIMT_Encode4(1850371), // Rule ID 13543 //
     /* 1850290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1850301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1850304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1850310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850336 */     // MIs[0] policy
     /* 1850336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1850349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850370 */     // GIR_Coverage, 13543,
     /* 1850370 */     GIR_EraseRootFromParent_Done,
     /* 1850371 */   // Label 25036: @1850371
     /* 1850371 */   GIM_Try, /*On fail goto*//*Label 25037*/ GIMT_Encode4(1850457), // Rule ID 13546 //
     /* 1850376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1850387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1850390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1850396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850422 */     // MIs[0] policy
     /* 1850422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850432 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1850435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850456 */     // GIR_Coverage, 13546,
     /* 1850456 */     GIR_EraseRootFromParent_Done,
     /* 1850457 */   // Label 25037: @1850457
     /* 1850457 */   GIM_Try, /*On fail goto*//*Label 25038*/ GIMT_Encode4(1850543), // Rule ID 13547 //
     /* 1850462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1850473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1850476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1850482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850508 */     // MIs[0] policy
     /* 1850508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850518 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1850521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850542 */     // GIR_Coverage, 13547,
     /* 1850542 */     GIR_EraseRootFromParent_Done,
     /* 1850543 */   // Label 25038: @1850543
     /* 1850543 */   GIM_Try, /*On fail goto*//*Label 25039*/ GIMT_Encode4(1850629), // Rule ID 13550 //
     /* 1850548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1850559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1850562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1850568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850594 */     // MIs[0] policy
     /* 1850594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850604 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1850607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850628 */     // GIR_Coverage, 13550,
     /* 1850628 */     GIR_EraseRootFromParent_Done,
     /* 1850629 */   // Label 25039: @1850629
     /* 1850629 */   GIM_Try, /*On fail goto*//*Label 25040*/ GIMT_Encode4(1850715), // Rule ID 13551 //
     /* 1850634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1850645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1850648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1850654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850680 */     // MIs[0] policy
     /* 1850680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850690 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1850693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850714 */     // GIR_Coverage, 13551,
     /* 1850714 */     GIR_EraseRootFromParent_Done,
     /* 1850715 */   // Label 25040: @1850715
     /* 1850715 */   GIM_Try, /*On fail goto*//*Label 25041*/ GIMT_Encode4(1850801), // Rule ID 13554 //
     /* 1850720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1850731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1850734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1850737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1850740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850766 */     // MIs[0] policy
     /* 1850766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1850779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850800 */     // GIR_Coverage, 13554,
     /* 1850800 */     GIR_EraseRootFromParent_Done,
     /* 1850801 */   // Label 25041: @1850801
     /* 1850801 */   GIM_Try, /*On fail goto*//*Label 25042*/ GIMT_Encode4(1850887), // Rule ID 13555 //
     /* 1850806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1850817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1850820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1850823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1850826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850852 */     // MIs[0] policy
     /* 1850852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850862 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1850865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850886 */     // GIR_Coverage, 13555,
     /* 1850886 */     GIR_EraseRootFromParent_Done,
     /* 1850887 */   // Label 25042: @1850887
     /* 1850887 */   GIM_Try, /*On fail goto*//*Label 25043*/ GIMT_Encode4(1850973), // Rule ID 13558 //
     /* 1850892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1850903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1850906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1850909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1850912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850938 */     // MIs[0] policy
     /* 1850938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1850951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850972 */     // GIR_Coverage, 13558,
     /* 1850972 */     GIR_EraseRootFromParent_Done,
     /* 1850973 */   // Label 25043: @1850973
     /* 1850973 */   GIM_Try, /*On fail goto*//*Label 25044*/ GIMT_Encode4(1851059), // Rule ID 13559 //
     /* 1850978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1850989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1850992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1850995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1850998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851024 */     // MIs[0] policy
     /* 1851024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1851037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851058 */     // GIR_Coverage, 13559,
     /* 1851058 */     GIR_EraseRootFromParent_Done,
     /* 1851059 */   // Label 25044: @1851059
     /* 1851059 */   GIM_Try, /*On fail goto*//*Label 25045*/ GIMT_Encode4(1851145), // Rule ID 13562 //
     /* 1851064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1851075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1851078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1851081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1851084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851110 */     // MIs[0] policy
     /* 1851110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851120 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1851123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851144 */     // GIR_Coverage, 13562,
     /* 1851144 */     GIR_EraseRootFromParent_Done,
     /* 1851145 */   // Label 25045: @1851145
     /* 1851145 */   GIM_Try, /*On fail goto*//*Label 25046*/ GIMT_Encode4(1851231), // Rule ID 13563 //
     /* 1851150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1851161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1851164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1851167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1851170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851196 */     // MIs[0] policy
     /* 1851196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851206 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1851209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851230 */     // GIR_Coverage, 13563,
     /* 1851230 */     GIR_EraseRootFromParent_Done,
     /* 1851231 */   // Label 25046: @1851231
     /* 1851231 */   GIM_Try, /*On fail goto*//*Label 25047*/ GIMT_Encode4(1851317), // Rule ID 13566 //
     /* 1851236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1851247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1851250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1851253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1851256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851282 */     // MIs[0] policy
     /* 1851282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11664:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1851295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851316 */     // GIR_Coverage, 13566,
     /* 1851316 */     GIR_EraseRootFromParent_Done,
     /* 1851317 */   // Label 25047: @1851317
     /* 1851317 */   GIM_Try, /*On fail goto*//*Label 25048*/ GIMT_Encode4(1851403), // Rule ID 13567 //
     /* 1851322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1851333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1851336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1851339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1851342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851368 */     // MIs[0] policy
     /* 1851368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851378 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11664:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1851381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851402 */     // GIR_Coverage, 13567,
     /* 1851402 */     GIR_EraseRootFromParent_Done,
     /* 1851403 */   // Label 25048: @1851403
     /* 1851403 */   GIM_Try, /*On fail goto*//*Label 25049*/ GIMT_Encode4(1851489), // Rule ID 13570 //
     /* 1851408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1851419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1851422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1851425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1851428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851454 */     // MIs[0] policy
     /* 1851454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851464 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11664:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1851467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851488 */     // GIR_Coverage, 13570,
     /* 1851488 */     GIR_EraseRootFromParent_Done,
     /* 1851489 */   // Label 25049: @1851489
     /* 1851489 */   GIM_Try, /*On fail goto*//*Label 25050*/ GIMT_Encode4(1851575), // Rule ID 13571 //
     /* 1851494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1851505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1851508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1851511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1851514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851540 */     // MIs[0] policy
     /* 1851540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851550 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11664:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1851553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851574 */     // GIR_Coverage, 13571,
     /* 1851574 */     GIR_EraseRootFromParent_Done,
     /* 1851575 */   // Label 25050: @1851575
     /* 1851575 */   GIM_Try, /*On fail goto*//*Label 25051*/ GIMT_Encode4(1851661), // Rule ID 13574 //
     /* 1851580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1851591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1851594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1851597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1851600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1851603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851626 */     // MIs[0] policy
     /* 1851626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851636 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11664:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1851639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851660 */     // GIR_Coverage, 13574,
     /* 1851660 */     GIR_EraseRootFromParent_Done,
     /* 1851661 */   // Label 25051: @1851661
     /* 1851661 */   GIM_Try, /*On fail goto*//*Label 25052*/ GIMT_Encode4(1851747), // Rule ID 13575 //
     /* 1851666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1851677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1851680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1851683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1851686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1851689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851712 */     // MIs[0] policy
     /* 1851712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11664:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1851725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851746 */     // GIR_Coverage, 13575,
     /* 1851746 */     GIR_EraseRootFromParent_Done,
     /* 1851747 */   // Label 25052: @1851747
     /* 1851747 */   GIM_Try, /*On fail goto*//*Label 25053*/ GIMT_Encode4(1851833), // Rule ID 13578 //
     /* 1851752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1851763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1851766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1851769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1851772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851798 */     // MIs[0] policy
     /* 1851798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1851811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851832 */     // GIR_Coverage, 13578,
     /* 1851832 */     GIR_EraseRootFromParent_Done,
     /* 1851833 */   // Label 25053: @1851833
     /* 1851833 */   GIM_Try, /*On fail goto*//*Label 25054*/ GIMT_Encode4(1851919), // Rule ID 13579 //
     /* 1851838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1851849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1851852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1851855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1851858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851884 */     // MIs[0] policy
     /* 1851884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1851897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851918 */     // GIR_Coverage, 13579,
     /* 1851918 */     GIR_EraseRootFromParent_Done,
     /* 1851919 */   // Label 25054: @1851919
     /* 1851919 */   GIM_Try, /*On fail goto*//*Label 25055*/ GIMT_Encode4(1852005), // Rule ID 13582 //
     /* 1851924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1851935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1851938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1851941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1851944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851970 */     // MIs[0] policy
     /* 1851970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1851983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852004 */     // GIR_Coverage, 13582,
     /* 1852004 */     GIR_EraseRootFromParent_Done,
     /* 1852005 */   // Label 25055: @1852005
     /* 1852005 */   GIM_Try, /*On fail goto*//*Label 25056*/ GIMT_Encode4(1852091), // Rule ID 13583 //
     /* 1852010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1852021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1852024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1852027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1852030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852056 */     // MIs[0] policy
     /* 1852056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1852069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852090 */     // GIR_Coverage, 13583,
     /* 1852090 */     GIR_EraseRootFromParent_Done,
     /* 1852091 */   // Label 25056: @1852091
     /* 1852091 */   GIM_Try, /*On fail goto*//*Label 25057*/ GIMT_Encode4(1852177), // Rule ID 13586 //
     /* 1852096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1852107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1852110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1852113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1852116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852142 */     // MIs[0] policy
     /* 1852142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852152 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11664:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1852155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852176 */     // GIR_Coverage, 13586,
     /* 1852176 */     GIR_EraseRootFromParent_Done,
     /* 1852177 */   // Label 25057: @1852177
     /* 1852177 */   GIM_Try, /*On fail goto*//*Label 25058*/ GIMT_Encode4(1852263), // Rule ID 13587 //
     /* 1852182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1852193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1852196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1852199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1852202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852228 */     // MIs[0] policy
     /* 1852228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852238 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11664:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1852241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852262 */     // GIR_Coverage, 13587,
     /* 1852262 */     GIR_EraseRootFromParent_Done,
     /* 1852263 */   // Label 25058: @1852263
     /* 1852263 */   GIM_Try, /*On fail goto*//*Label 25059*/ GIMT_Encode4(1852349), // Rule ID 13590 //
     /* 1852268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1852279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1852282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1852285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852314 */     // MIs[0] policy
     /* 1852314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852324 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11664:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1852327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852348 */     // GIR_Coverage, 13590,
     /* 1852348 */     GIR_EraseRootFromParent_Done,
     /* 1852349 */   // Label 25059: @1852349
     /* 1852349 */   GIM_Try, /*On fail goto*//*Label 25060*/ GIMT_Encode4(1852435), // Rule ID 13591 //
     /* 1852354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1852365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1852368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1852371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852400 */     // MIs[0] policy
     /* 1852400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852410 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11664:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1852413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852434 */     // GIR_Coverage, 13591,
     /* 1852434 */     GIR_EraseRootFromParent_Done,
     /* 1852435 */   // Label 25060: @1852435
     /* 1852435 */   GIM_Try, /*On fail goto*//*Label 25061*/ GIMT_Encode4(1852521), // Rule ID 13594 //
     /* 1852440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1852451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1852454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1852457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1852460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852486 */     // MIs[0] policy
     /* 1852486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11664:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1852499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852520 */     // GIR_Coverage, 13594,
     /* 1852520 */     GIR_EraseRootFromParent_Done,
     /* 1852521 */   // Label 25061: @1852521
     /* 1852521 */   GIM_Try, /*On fail goto*//*Label 25062*/ GIMT_Encode4(1852607), // Rule ID 13595 //
     /* 1852526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1852537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1852540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1852543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1852546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852572 */     // MIs[0] policy
     /* 1852572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852582 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11664:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1852585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852606 */     // GIR_Coverage, 13595,
     /* 1852606 */     GIR_EraseRootFromParent_Done,
     /* 1852607 */   // Label 25062: @1852607
     /* 1852607 */   GIM_Try, /*On fail goto*//*Label 25063*/ GIMT_Encode4(1852693), // Rule ID 13598 //
     /* 1852612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1852623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1852626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1852629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1852632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852658 */     // MIs[0] policy
     /* 1852658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1852671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852692 */     // GIR_Coverage, 13598,
     /* 1852692 */     GIR_EraseRootFromParent_Done,
     /* 1852693 */   // Label 25063: @1852693
     /* 1852693 */   GIM_Try, /*On fail goto*//*Label 25064*/ GIMT_Encode4(1852779), // Rule ID 13599 //
     /* 1852698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1852709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1852712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1852715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1852718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852744 */     // MIs[0] policy
     /* 1852744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852754 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1852757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852778 */     // GIR_Coverage, 13599,
     /* 1852778 */     GIR_EraseRootFromParent_Done,
     /* 1852779 */   // Label 25064: @1852779
     /* 1852779 */   GIM_Try, /*On fail goto*//*Label 25065*/ GIMT_Encode4(1852865), // Rule ID 13602 //
     /* 1852784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1852795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1852798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1852801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1852804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852830 */     // MIs[0] policy
     /* 1852830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11664:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1852843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852864 */     // GIR_Coverage, 13602,
     /* 1852864 */     GIR_EraseRootFromParent_Done,
     /* 1852865 */   // Label 25065: @1852865
     /* 1852865 */   GIM_Try, /*On fail goto*//*Label 25066*/ GIMT_Encode4(1852951), // Rule ID 13603 //
     /* 1852870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1852881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1852884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1852887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1852890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852916 */     // MIs[0] policy
     /* 1852916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852926 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11664:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1852929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852950 */     // GIR_Coverage, 13603,
     /* 1852950 */     GIR_EraseRootFromParent_Done,
     /* 1852951 */   // Label 25066: @1852951
     /* 1852951 */   GIM_Try, /*On fail goto*//*Label 25067*/ GIMT_Encode4(1853037), // Rule ID 13606 //
     /* 1852956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1852967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1852970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1852973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1852976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853002 */     // MIs[0] policy
     /* 1853002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11664:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1853015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853036 */     // GIR_Coverage, 13606,
     /* 1853036 */     GIR_EraseRootFromParent_Done,
     /* 1853037 */   // Label 25067: @1853037
     /* 1853037 */   GIM_Try, /*On fail goto*//*Label 25068*/ GIMT_Encode4(1853123), // Rule ID 13607 //
     /* 1853042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1853053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1853056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1853059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853088 */     // MIs[0] policy
     /* 1853088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853098 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11664:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1853101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853122 */     // GIR_Coverage, 13607,
     /* 1853122 */     GIR_EraseRootFromParent_Done,
     /* 1853123 */   // Label 25068: @1853123
     /* 1853123 */   GIM_Try, /*On fail goto*//*Label 25069*/ GIMT_Encode4(1853209), // Rule ID 13610 //
     /* 1853128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1853139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1853142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1853145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853174 */     // MIs[0] policy
     /* 1853174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11664:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1853187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853208 */     // GIR_Coverage, 13610,
     /* 1853208 */     GIR_EraseRootFromParent_Done,
     /* 1853209 */   // Label 25069: @1853209
     /* 1853209 */   GIM_Try, /*On fail goto*//*Label 25070*/ GIMT_Encode4(1853295), // Rule ID 13611 //
     /* 1853214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1853225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1853228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1853231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853260 */     // MIs[0] policy
     /* 1853260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853270 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11664:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1853273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853294 */     // GIR_Coverage, 13611,
     /* 1853294 */     GIR_EraseRootFromParent_Done,
     /* 1853295 */   // Label 25070: @1853295
     /* 1853295 */   GIM_Try, /*On fail goto*//*Label 25071*/ GIMT_Encode4(1853381), // Rule ID 13614 //
     /* 1853300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1853311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1853314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1853320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853346 */     // MIs[0] policy
     /* 1853346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1853359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853380 */     // GIR_Coverage, 13614,
     /* 1853380 */     GIR_EraseRootFromParent_Done,
     /* 1853381 */   // Label 25071: @1853381
     /* 1853381 */   GIM_Try, /*On fail goto*//*Label 25072*/ GIMT_Encode4(1853467), // Rule ID 13615 //
     /* 1853386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1853397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1853400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1853406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853432 */     // MIs[0] policy
     /* 1853432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1853445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853466 */     // GIR_Coverage, 13615,
     /* 1853466 */     GIR_EraseRootFromParent_Done,
     /* 1853467 */   // Label 25072: @1853467
     /* 1853467 */   GIM_Try, /*On fail goto*//*Label 25073*/ GIMT_Encode4(1853553), // Rule ID 13618 //
     /* 1853472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1853483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1853486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1853492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853518 */     // MIs[0] policy
     /* 1853518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1853531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853552 */     // GIR_Coverage, 13618,
     /* 1853552 */     GIR_EraseRootFromParent_Done,
     /* 1853553 */   // Label 25073: @1853553
     /* 1853553 */   GIM_Try, /*On fail goto*//*Label 25074*/ GIMT_Encode4(1853639), // Rule ID 13619 //
     /* 1853558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1853569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1853572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1853578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853604 */     // MIs[0] policy
     /* 1853604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853614 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1853617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853638 */     // GIR_Coverage, 13619,
     /* 1853638 */     GIR_EraseRootFromParent_Done,
     /* 1853639 */   // Label 25074: @1853639
     /* 1853639 */   GIM_Try, /*On fail goto*//*Label 25075*/ GIMT_Encode4(1853725), // Rule ID 13622 //
     /* 1853644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1853655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1853658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1853664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853690 */     // MIs[0] policy
     /* 1853690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853700 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1853703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853724 */     // GIR_Coverage, 13622,
     /* 1853724 */     GIR_EraseRootFromParent_Done,
     /* 1853725 */   // Label 25075: @1853725
     /* 1853725 */   GIM_Try, /*On fail goto*//*Label 25076*/ GIMT_Encode4(1853811), // Rule ID 13623 //
     /* 1853730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1853741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1853744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1853750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853776 */     // MIs[0] policy
     /* 1853776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1853789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853810 */     // GIR_Coverage, 13623,
     /* 1853810 */     GIR_EraseRootFromParent_Done,
     /* 1853811 */   // Label 25076: @1853811
     /* 1853811 */   GIM_Try, /*On fail goto*//*Label 25077*/ GIMT_Encode4(1853897), // Rule ID 13626 //
     /* 1853816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1853827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1853830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1853836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853862 */     // MIs[0] policy
     /* 1853862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853872 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11664:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1853875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853896 */     // GIR_Coverage, 13626,
     /* 1853896 */     GIR_EraseRootFromParent_Done,
     /* 1853897 */   // Label 25077: @1853897
     /* 1853897 */   GIM_Try, /*On fail goto*//*Label 25078*/ GIMT_Encode4(1853983), // Rule ID 13627 //
     /* 1853902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1853913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1853916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1853922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853948 */     // MIs[0] policy
     /* 1853948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11664:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1853961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853982 */     // GIR_Coverage, 13627,
     /* 1853982 */     GIR_EraseRootFromParent_Done,
     /* 1853983 */   // Label 25078: @1853983
     /* 1853983 */   GIM_Try, /*On fail goto*//*Label 25079*/ GIMT_Encode4(1854069), // Rule ID 13630 //
     /* 1853988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1853999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1854002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1854008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854034 */     // MIs[0] policy
     /* 1854034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854044 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11664:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1854047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854068 */     // GIR_Coverage, 13630,
     /* 1854068 */     GIR_EraseRootFromParent_Done,
     /* 1854069 */   // Label 25079: @1854069
     /* 1854069 */   GIM_Try, /*On fail goto*//*Label 25080*/ GIMT_Encode4(1854155), // Rule ID 13631 //
     /* 1854074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1854085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1854088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1854094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854120 */     // MIs[0] policy
     /* 1854120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854130 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11664:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1854133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854154 */     // GIR_Coverage, 13631,
     /* 1854154 */     GIR_EraseRootFromParent_Done,
     /* 1854155 */   // Label 25080: @1854155
     /* 1854155 */   GIM_Try, /*On fail goto*//*Label 25081*/ GIMT_Encode4(1854241), // Rule ID 13634 //
     /* 1854160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1854171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1854174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1854180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1854183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854206 */     // MIs[0] policy
     /* 1854206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854216 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11664:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1854219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854240 */     // GIR_Coverage, 13634,
     /* 1854240 */     GIR_EraseRootFromParent_Done,
     /* 1854241 */   // Label 25081: @1854241
     /* 1854241 */   GIM_Try, /*On fail goto*//*Label 25082*/ GIMT_Encode4(1854327), // Rule ID 13635 //
     /* 1854246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1854257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1854260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1854266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1854269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854292 */     // MIs[0] policy
     /* 1854292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854302 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11664:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1854305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854326 */     // GIR_Coverage, 13635,
     /* 1854326 */     GIR_EraseRootFromParent_Done,
     /* 1854327 */   // Label 25082: @1854327
     /* 1854327 */   GIM_Try, /*On fail goto*//*Label 25083*/ GIMT_Encode4(1854413), // Rule ID 13638 //
     /* 1854332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1854343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1854346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1854352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854378 */     // MIs[0] policy
     /* 1854378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854388 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1854391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854412 */     // GIR_Coverage, 13638,
     /* 1854412 */     GIR_EraseRootFromParent_Done,
     /* 1854413 */   // Label 25083: @1854413
     /* 1854413 */   GIM_Try, /*On fail goto*//*Label 25084*/ GIMT_Encode4(1854499), // Rule ID 13639 //
     /* 1854418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1854429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1854432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1854438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854464 */     // MIs[0] policy
     /* 1854464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1854477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854498 */     // GIR_Coverage, 13639,
     /* 1854498 */     GIR_EraseRootFromParent_Done,
     /* 1854499 */   // Label 25084: @1854499
     /* 1854499 */   GIM_Try, /*On fail goto*//*Label 25085*/ GIMT_Encode4(1854585), // Rule ID 13642 //
     /* 1854504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1854515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1854518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1854524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854550 */     // MIs[0] policy
     /* 1854550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1854563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854584 */     // GIR_Coverage, 13642,
     /* 1854584 */     GIR_EraseRootFromParent_Done,
     /* 1854585 */   // Label 25085: @1854585
     /* 1854585 */   GIM_Try, /*On fail goto*//*Label 25086*/ GIMT_Encode4(1854671), // Rule ID 13643 //
     /* 1854590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1854601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1854604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1854610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854636 */     // MIs[0] policy
     /* 1854636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854646 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1854649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854670 */     // GIR_Coverage, 13643,
     /* 1854670 */     GIR_EraseRootFromParent_Done,
     /* 1854671 */   // Label 25086: @1854671
     /* 1854671 */   GIM_Try, /*On fail goto*//*Label 25087*/ GIMT_Encode4(1854757), // Rule ID 13646 //
     /* 1854676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1854687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1854690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1854696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854722 */     // MIs[0] policy
     /* 1854722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854732 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11664:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1854735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854756 */     // GIR_Coverage, 13646,
     /* 1854756 */     GIR_EraseRootFromParent_Done,
     /* 1854757 */   // Label 25087: @1854757
     /* 1854757 */   GIM_Try, /*On fail goto*//*Label 25088*/ GIMT_Encode4(1854843), // Rule ID 13647 //
     /* 1854762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1854773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1854776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1854782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854808 */     // MIs[0] policy
     /* 1854808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854818 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11664:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1854821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854842 */     // GIR_Coverage, 13647,
     /* 1854842 */     GIR_EraseRootFromParent_Done,
     /* 1854843 */   // Label 25088: @1854843
     /* 1854843 */   GIM_Try, /*On fail goto*//*Label 25089*/ GIMT_Encode4(1854929), // Rule ID 13650 //
     /* 1854848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1854859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1854862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1854868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854894 */     // MIs[0] policy
     /* 1854894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854904 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11664:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1854907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854928 */     // GIR_Coverage, 13650,
     /* 1854928 */     GIR_EraseRootFromParent_Done,
     /* 1854929 */   // Label 25089: @1854929
     /* 1854929 */   GIM_Try, /*On fail goto*//*Label 25090*/ GIMT_Encode4(1855015), // Rule ID 13651 //
     /* 1854934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1854945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1854948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1854954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854980 */     // MIs[0] policy
     /* 1854980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11664:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1854993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855014 */     // GIR_Coverage, 13651,
     /* 1855014 */     GIR_EraseRootFromParent_Done,
     /* 1855015 */   // Label 25090: @1855015
     /* 1855015 */   GIM_Try, /*On fail goto*//*Label 25091*/ GIMT_Encode4(1855101), // Rule ID 13654 //
     /* 1855020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1855031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1855034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1855040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855066 */     // MIs[0] policy
     /* 1855066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11664:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1855079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855100 */     // GIR_Coverage, 13654,
     /* 1855100 */     GIR_EraseRootFromParent_Done,
     /* 1855101 */   // Label 25091: @1855101
     /* 1855101 */   GIM_Try, /*On fail goto*//*Label 25092*/ GIMT_Encode4(1855187), // Rule ID 13655 //
     /* 1855106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1855117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1855120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1855126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855152 */     // MIs[0] policy
     /* 1855152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855162 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11664:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1855165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855186 */     // GIR_Coverage, 13655,
     /* 1855186 */     GIR_EraseRootFromParent_Done,
     /* 1855187 */   // Label 25092: @1855187
     /* 1855187 */   GIM_Try, /*On fail goto*//*Label 25093*/ GIMT_Encode4(1855273), // Rule ID 13658 //
     /* 1855192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1855203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1855206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1855212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855238 */     // MIs[0] policy
     /* 1855238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855248 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1855251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855272 */     // GIR_Coverage, 13658,
     /* 1855272 */     GIR_EraseRootFromParent_Done,
     /* 1855273 */   // Label 25093: @1855273
     /* 1855273 */   GIM_Try, /*On fail goto*//*Label 25094*/ GIMT_Encode4(1855359), // Rule ID 13659 //
     /* 1855278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1855281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1855289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1855292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1855298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855324 */     // MIs[0] policy
     /* 1855324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855334 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1855337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855358 */     // GIR_Coverage, 13659,
     /* 1855358 */     GIR_EraseRootFromParent_Done,
     /* 1855359 */   // Label 25094: @1855359
     /* 1855359 */   GIM_Try, /*On fail goto*//*Label 25095*/ GIMT_Encode4(1855445), // Rule ID 13662 //
     /* 1855364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1855375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1855378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1855384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855410 */     // MIs[0] policy
     /* 1855410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855420 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11664:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1855423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855444 */     // GIR_Coverage, 13662,
     /* 1855444 */     GIR_EraseRootFromParent_Done,
     /* 1855445 */   // Label 25095: @1855445
     /* 1855445 */   GIM_Try, /*On fail goto*//*Label 25096*/ GIMT_Encode4(1855531), // Rule ID 13663 //
     /* 1855450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1855453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1855461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1855464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1855470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855496 */     // MIs[0] policy
     /* 1855496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11664:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1855509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855530 */     // GIR_Coverage, 13663,
     /* 1855530 */     GIR_EraseRootFromParent_Done,
     /* 1855531 */   // Label 25096: @1855531
     /* 1855531 */   GIM_Try, /*On fail goto*//*Label 25097*/ GIMT_Encode4(1855617), // Rule ID 13666 //
     /* 1855536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1855547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1855550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1855556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855582 */     // MIs[0] policy
     /* 1855582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855592 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11664:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1855595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855616 */     // GIR_Coverage, 13666,
     /* 1855616 */     GIR_EraseRootFromParent_Done,
     /* 1855617 */   // Label 25097: @1855617
     /* 1855617 */   GIM_Try, /*On fail goto*//*Label 25098*/ GIMT_Encode4(1855703), // Rule ID 13667 //
     /* 1855622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1855625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1855633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1855636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1855642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855668 */     // MIs[0] policy
     /* 1855668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855678 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11664:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1855681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855702 */     // GIR_Coverage, 13667,
     /* 1855702 */     GIR_EraseRootFromParent_Done,
     /* 1855703 */   // Label 25098: @1855703
     /* 1855703 */   GIM_Try, /*On fail goto*//*Label 25099*/ GIMT_Encode4(1855789), // Rule ID 13670 //
     /* 1855708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1855719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1855722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1855728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855754 */     // MIs[0] policy
     /* 1855754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855764 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11664:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1855767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855788 */     // GIR_Coverage, 13670,
     /* 1855788 */     GIR_EraseRootFromParent_Done,
     /* 1855789 */   // Label 25099: @1855789
     /* 1855789 */   GIM_Try, /*On fail goto*//*Label 25100*/ GIMT_Encode4(1855875), // Rule ID 13671 //
     /* 1855794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1855797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1855805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1855808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1855814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855840 */     // MIs[0] policy
     /* 1855840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855850 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11664:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1855853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855874 */     // GIR_Coverage, 13671,
     /* 1855874 */     GIR_EraseRootFromParent_Done,
     /* 1855875 */   // Label 25100: @1855875
     /* 1855875 */   GIM_Try, /*On fail goto*//*Label 25101*/ GIMT_Encode4(1855961), // Rule ID 13674 //
     /* 1855880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1855891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1855897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1855900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855926 */     // MIs[0] policy
     /* 1855926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855936 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1855939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855960 */     // GIR_Coverage, 13674,
     /* 1855960 */     GIR_EraseRootFromParent_Done,
     /* 1855961 */   // Label 25101: @1855961
     /* 1855961 */   GIM_Try, /*On fail goto*//*Label 25102*/ GIMT_Encode4(1856047), // Rule ID 13675 //
     /* 1855966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1855977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1855983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1855986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856012 */     // MIs[0] policy
     /* 1856012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1856025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856046 */     // GIR_Coverage, 13675,
     /* 1856046 */     GIR_EraseRootFromParent_Done,
     /* 1856047 */   // Label 25102: @1856047
     /* 1856047 */   GIM_Try, /*On fail goto*//*Label 25103*/ GIMT_Encode4(1856133), // Rule ID 13678 //
     /* 1856052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1856063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1856066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1856069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1856072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856098 */     // MIs[0] policy
     /* 1856098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1856111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856132 */     // GIR_Coverage, 13678,
     /* 1856132 */     GIR_EraseRootFromParent_Done,
     /* 1856133 */   // Label 25103: @1856133
     /* 1856133 */   GIM_Try, /*On fail goto*//*Label 25104*/ GIMT_Encode4(1856219), // Rule ID 13679 //
     /* 1856138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1856149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1856152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1856155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1856158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856184 */     // MIs[0] policy
     /* 1856184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856194 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1856197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856218 */     // GIR_Coverage, 13679,
     /* 1856218 */     GIR_EraseRootFromParent_Done,
     /* 1856219 */   // Label 25104: @1856219
     /* 1856219 */   GIM_Try, /*On fail goto*//*Label 25105*/ GIMT_Encode4(1856305), // Rule ID 13682 //
     /* 1856224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1856235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1856238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1856241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1856244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856270 */     // MIs[0] policy
     /* 1856270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1856283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856304 */     // GIR_Coverage, 13682,
     /* 1856304 */     GIR_EraseRootFromParent_Done,
     /* 1856305 */   // Label 25105: @1856305
     /* 1856305 */   GIM_Try, /*On fail goto*//*Label 25106*/ GIMT_Encode4(1856391), // Rule ID 13683 //
     /* 1856310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1856321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1856324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1856327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1856330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856356 */     // MIs[0] policy
     /* 1856356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856366 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1856369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856390 */     // GIR_Coverage, 13683,
     /* 1856390 */     GIR_EraseRootFromParent_Done,
     /* 1856391 */   // Label 25106: @1856391
     /* 1856391 */   GIM_Try, /*On fail goto*//*Label 25107*/ GIMT_Encode4(1856477), // Rule ID 13686 //
     /* 1856396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1856407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1856410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1856413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1856416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856442 */     // MIs[0] policy
     /* 1856442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1856455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856476 */     // GIR_Coverage, 13686,
     /* 1856476 */     GIR_EraseRootFromParent_Done,
     /* 1856477 */   // Label 25107: @1856477
     /* 1856477 */   GIM_Try, /*On fail goto*//*Label 25108*/ GIMT_Encode4(1856563), // Rule ID 13687 //
     /* 1856482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1856493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1856496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1856499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1856502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856528 */     // MIs[0] policy
     /* 1856528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856538 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1856541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856562 */     // GIR_Coverage, 13687,
     /* 1856562 */     GIR_EraseRootFromParent_Done,
     /* 1856563 */   // Label 25108: @1856563
     /* 1856563 */   GIM_Try, /*On fail goto*//*Label 25109*/ GIMT_Encode4(1856649), // Rule ID 13690 //
     /* 1856568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1856579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1856582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1856585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1856588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856614 */     // MIs[0] policy
     /* 1856614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1856627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856648 */     // GIR_Coverage, 13690,
     /* 1856648 */     GIR_EraseRootFromParent_Done,
     /* 1856649 */   // Label 25109: @1856649
     /* 1856649 */   GIM_Try, /*On fail goto*//*Label 25110*/ GIMT_Encode4(1856735), // Rule ID 13691 //
     /* 1856654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1856665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1856668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1856671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1856674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856700 */     // MIs[0] policy
     /* 1856700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856710 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1856713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856734 */     // GIR_Coverage, 13691,
     /* 1856734 */     GIR_EraseRootFromParent_Done,
     /* 1856735 */   // Label 25110: @1856735
     /* 1856735 */   GIM_Try, /*On fail goto*//*Label 25111*/ GIMT_Encode4(1856821), // Rule ID 13694 //
     /* 1856740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1856751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1856754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1856757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1856760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1856763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856786 */     // MIs[0] policy
     /* 1856786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856796 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1856799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856820 */     // GIR_Coverage, 13694,
     /* 1856820 */     GIR_EraseRootFromParent_Done,
     /* 1856821 */   // Label 25111: @1856821
     /* 1856821 */   GIM_Try, /*On fail goto*//*Label 25112*/ GIMT_Encode4(1856907), // Rule ID 13695 //
     /* 1856826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1856837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1856840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1856843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1856846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1856849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856872 */     // MIs[0] policy
     /* 1856872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856882 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1856885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856906 */     // GIR_Coverage, 13695,
     /* 1856906 */     GIR_EraseRootFromParent_Done,
     /* 1856907 */   // Label 25112: @1856907
     /* 1856907 */   GIM_Try, /*On fail goto*//*Label 25113*/ GIMT_Encode4(1856993), // Rule ID 13698 //
     /* 1856912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1856923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1856926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1856929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1856932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856958 */     // MIs[0] policy
     /* 1856958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1856971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856992 */     // GIR_Coverage, 13698,
     /* 1856992 */     GIR_EraseRootFromParent_Done,
     /* 1856993 */   // Label 25113: @1856993
     /* 1856993 */   GIM_Try, /*On fail goto*//*Label 25114*/ GIMT_Encode4(1857079), // Rule ID 13699 //
     /* 1856998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1857009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1857012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1857015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1857018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857044 */     // MIs[0] policy
     /* 1857044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1857057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857078 */     // GIR_Coverage, 13699,
     /* 1857078 */     GIR_EraseRootFromParent_Done,
     /* 1857079 */   // Label 25114: @1857079
     /* 1857079 */   GIM_Try, /*On fail goto*//*Label 25115*/ GIMT_Encode4(1857165), // Rule ID 13702 //
     /* 1857084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1857095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1857098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1857101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857130 */     // MIs[0] policy
     /* 1857130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1857143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857164 */     // GIR_Coverage, 13702,
     /* 1857164 */     GIR_EraseRootFromParent_Done,
     /* 1857165 */   // Label 25115: @1857165
     /* 1857165 */   GIM_Try, /*On fail goto*//*Label 25116*/ GIMT_Encode4(1857251), // Rule ID 13703 //
     /* 1857170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1857181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1857184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1857187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857216 */     // MIs[0] policy
     /* 1857216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1857229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857250 */     // GIR_Coverage, 13703,
     /* 1857250 */     GIR_EraseRootFromParent_Done,
     /* 1857251 */   // Label 25116: @1857251
     /* 1857251 */   GIM_Try, /*On fail goto*//*Label 25117*/ GIMT_Encode4(1857337), // Rule ID 13706 //
     /* 1857256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1857267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1857270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1857273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1857276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857302 */     // MIs[0] policy
     /* 1857302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857312 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1857315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857336 */     // GIR_Coverage, 13706,
     /* 1857336 */     GIR_EraseRootFromParent_Done,
     /* 1857337 */   // Label 25117: @1857337
     /* 1857337 */   GIM_Try, /*On fail goto*//*Label 25118*/ GIMT_Encode4(1857423), // Rule ID 13707 //
     /* 1857342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1857353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1857356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1857359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1857362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857388 */     // MIs[0] policy
     /* 1857388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857398 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1857401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857422 */     // GIR_Coverage, 13707,
     /* 1857422 */     GIR_EraseRootFromParent_Done,
     /* 1857423 */   // Label 25118: @1857423
     /* 1857423 */   GIM_Try, /*On fail goto*//*Label 25119*/ GIMT_Encode4(1857509), // Rule ID 13710 //
     /* 1857428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1857439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1857442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1857445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1857448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857474 */     // MIs[0] policy
     /* 1857474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1857487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857508 */     // GIR_Coverage, 13710,
     /* 1857508 */     GIR_EraseRootFromParent_Done,
     /* 1857509 */   // Label 25119: @1857509
     /* 1857509 */   GIM_Try, /*On fail goto*//*Label 25120*/ GIMT_Encode4(1857595), // Rule ID 13711 //
     /* 1857514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1857525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1857528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1857531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1857534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857560 */     // MIs[0] policy
     /* 1857560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857570 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1857573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857594 */     // GIR_Coverage, 13711,
     /* 1857594 */     GIR_EraseRootFromParent_Done,
     /* 1857595 */   // Label 25120: @1857595
     /* 1857595 */   GIM_Try, /*On fail goto*//*Label 25121*/ GIMT_Encode4(1857681), // Rule ID 13714 //
     /* 1857600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1857611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1857614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1857617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1857620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857646 */     // MIs[0] policy
     /* 1857646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857656 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1857659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857680 */     // GIR_Coverage, 13714,
     /* 1857680 */     GIR_EraseRootFromParent_Done,
     /* 1857681 */   // Label 25121: @1857681
     /* 1857681 */   GIM_Try, /*On fail goto*//*Label 25122*/ GIMT_Encode4(1857767), // Rule ID 13715 //
     /* 1857686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1857697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1857700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1857703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1857706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857732 */     // MIs[0] policy
     /* 1857732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1857745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857766 */     // GIR_Coverage, 13715,
     /* 1857766 */     GIR_EraseRootFromParent_Done,
     /* 1857767 */   // Label 25122: @1857767
     /* 1857767 */   GIM_Try, /*On fail goto*//*Label 25123*/ GIMT_Encode4(1857853), // Rule ID 13718 //
     /* 1857772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1857775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1857783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1857786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1857789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857818 */     // MIs[0] policy
     /* 1857818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1857831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857852 */     // GIR_Coverage, 13718,
     /* 1857852 */     GIR_EraseRootFromParent_Done,
     /* 1857853 */   // Label 25123: @1857853
     /* 1857853 */   GIM_Try, /*On fail goto*//*Label 25124*/ GIMT_Encode4(1857939), // Rule ID 13719 //
     /* 1857858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1857861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1857869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1857872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1857875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857904 */     // MIs[0] policy
     /* 1857904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1857917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857938 */     // GIR_Coverage, 13719,
     /* 1857938 */     GIR_EraseRootFromParent_Done,
     /* 1857939 */   // Label 25124: @1857939
     /* 1857939 */   GIM_Try, /*On fail goto*//*Label 25125*/ GIMT_Encode4(1858025), // Rule ID 13722 //
     /* 1857944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1857947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1857955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1857958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1857961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1857964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857990 */     // MIs[0] policy
     /* 1857990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858000 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1858003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858024 */     // GIR_Coverage, 13722,
     /* 1858024 */     GIR_EraseRootFromParent_Done,
     /* 1858025 */   // Label 25125: @1858025
     /* 1858025 */   GIM_Try, /*On fail goto*//*Label 25126*/ GIMT_Encode4(1858111), // Rule ID 13723 //
     /* 1858030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1858033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1858041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1858044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1858047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1858050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858076 */     // MIs[0] policy
     /* 1858076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1858089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858110 */     // GIR_Coverage, 13723,
     /* 1858110 */     GIR_EraseRootFromParent_Done,
     /* 1858111 */   // Label 25126: @1858111
     /* 1858111 */   GIM_Try, /*On fail goto*//*Label 25127*/ GIMT_Encode4(1858197), // Rule ID 13726 //
     /* 1858116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1858119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1858127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1858130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1858133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1858136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858162 */     // MIs[0] policy
     /* 1858162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1858175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858196 */     // GIR_Coverage, 13726,
     /* 1858196 */     GIR_EraseRootFromParent_Done,
     /* 1858197 */   // Label 25127: @1858197
     /* 1858197 */   GIM_Try, /*On fail goto*//*Label 25128*/ GIMT_Encode4(1858283), // Rule ID 13727 //
     /* 1858202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1858205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1858213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1858216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1858219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1858222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858248 */     // MIs[0] policy
     /* 1858248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858258 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1858261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858282 */     // GIR_Coverage, 13727,
     /* 1858282 */     GIR_EraseRootFromParent_Done,
     /* 1858283 */   // Label 25128: @1858283
     /* 1858283 */   GIM_Try, /*On fail goto*//*Label 25129*/ GIMT_Encode4(1858369), // Rule ID 13730 //
     /* 1858288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1858291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1858299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1858302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1858305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1858308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858334 */     // MIs[0] policy
     /* 1858334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858344 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1858347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858368 */     // GIR_Coverage, 13730,
     /* 1858368 */     GIR_EraseRootFromParent_Done,
     /* 1858369 */   // Label 25129: @1858369
     /* 1858369 */   GIM_Try, /*On fail goto*//*Label 25130*/ GIMT_Encode4(1858455), // Rule ID 13731 //
     /* 1858374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1858377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1858385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1858388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1858391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1858394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858420 */     // MIs[0] policy
     /* 1858420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858430 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1858433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858454 */     // GIR_Coverage, 13731,
     /* 1858454 */     GIR_EraseRootFromParent_Done,
     /* 1858455 */   // Label 25130: @1858455
     /* 1858455 */   GIM_Try, /*On fail goto*//*Label 25131*/ GIMT_Encode4(1858541), // Rule ID 13734 //
     /* 1858460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1858471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1858474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1858480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858506 */     // MIs[0] policy
     /* 1858506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858516 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1858519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858540 */     // GIR_Coverage, 13734,
     /* 1858540 */     GIR_EraseRootFromParent_Done,
     /* 1858541 */   // Label 25131: @1858541
     /* 1858541 */   GIM_Try, /*On fail goto*//*Label 25132*/ GIMT_Encode4(1858627), // Rule ID 13735 //
     /* 1858546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1858557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1858560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1858566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858592 */     // MIs[0] policy
     /* 1858592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858602 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1858605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858626 */     // GIR_Coverage, 13735,
     /* 1858626 */     GIR_EraseRootFromParent_Done,
     /* 1858627 */   // Label 25132: @1858627
     /* 1858627 */   GIM_Try, /*On fail goto*//*Label 25133*/ GIMT_Encode4(1858713), // Rule ID 13738 //
     /* 1858632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1858643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1858646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1858652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858678 */     // MIs[0] policy
     /* 1858678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858688 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1858691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858712 */     // GIR_Coverage, 13738,
     /* 1858712 */     GIR_EraseRootFromParent_Done,
     /* 1858713 */   // Label 25133: @1858713
     /* 1858713 */   GIM_Try, /*On fail goto*//*Label 25134*/ GIMT_Encode4(1858799), // Rule ID 13739 //
     /* 1858718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1858729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1858732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1858738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858764 */     // MIs[0] policy
     /* 1858764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858774 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1858777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858798 */     // GIR_Coverage, 13739,
     /* 1858798 */     GIR_EraseRootFromParent_Done,
     /* 1858799 */   // Label 25134: @1858799
     /* 1858799 */   GIM_Try, /*On fail goto*//*Label 25135*/ GIMT_Encode4(1858885), // Rule ID 13742 //
     /* 1858804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1858815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1858818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1858824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858850 */     // MIs[0] policy
     /* 1858850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858860 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1858863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858884 */     // GIR_Coverage, 13742,
     /* 1858884 */     GIR_EraseRootFromParent_Done,
     /* 1858885 */   // Label 25135: @1858885
     /* 1858885 */   GIM_Try, /*On fail goto*//*Label 25136*/ GIMT_Encode4(1858971), // Rule ID 13743 //
     /* 1858890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1858901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1858904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1858910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858936 */     // MIs[0] policy
     /* 1858936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1858949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858970 */     // GIR_Coverage, 13743,
     /* 1858970 */     GIR_EraseRootFromParent_Done,
     /* 1858971 */   // Label 25136: @1858971
     /* 1858971 */   GIM_Try, /*On fail goto*//*Label 25137*/ GIMT_Encode4(1859057), // Rule ID 13746 //
     /* 1858976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1858987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1858990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1858996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859022 */     // MIs[0] policy
     /* 1859022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1859035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859056 */     // GIR_Coverage, 13746,
     /* 1859056 */     GIR_EraseRootFromParent_Done,
     /* 1859057 */   // Label 25137: @1859057
     /* 1859057 */   GIM_Try, /*On fail goto*//*Label 25138*/ GIMT_Encode4(1859143), // Rule ID 13747 //
     /* 1859062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1859073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1859076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1859082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859108 */     // MIs[0] policy
     /* 1859108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859118 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1859121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859142 */     // GIR_Coverage, 13747,
     /* 1859142 */     GIR_EraseRootFromParent_Done,
     /* 1859143 */   // Label 25138: @1859143
     /* 1859143 */   GIM_Try, /*On fail goto*//*Label 25139*/ GIMT_Encode4(1859229), // Rule ID 13750 //
     /* 1859148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1859159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1859162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1859168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859194 */     // MIs[0] policy
     /* 1859194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859204 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1859207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859228 */     // GIR_Coverage, 13750,
     /* 1859228 */     GIR_EraseRootFromParent_Done,
     /* 1859229 */   // Label 25139: @1859229
     /* 1859229 */   GIM_Try, /*On fail goto*//*Label 25140*/ GIMT_Encode4(1859315), // Rule ID 13751 //
     /* 1859234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1859245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1859248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1859254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859280 */     // MIs[0] policy
     /* 1859280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859290 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1859293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859314 */     // GIR_Coverage, 13751,
     /* 1859314 */     GIR_EraseRootFromParent_Done,
     /* 1859315 */   // Label 25140: @1859315
     /* 1859315 */   GIM_Try, /*On fail goto*//*Label 25141*/ GIMT_Encode4(1859401), // Rule ID 13754 //
     /* 1859320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1859340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859366 */     // MIs[0] policy
     /* 1859366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859376 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1859379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859400 */     // GIR_Coverage, 13754,
     /* 1859400 */     GIR_EraseRootFromParent_Done,
     /* 1859401 */   // Label 25141: @1859401
     /* 1859401 */   GIM_Try, /*On fail goto*//*Label 25142*/ GIMT_Encode4(1859487), // Rule ID 13755 //
     /* 1859406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1859426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859452 */     // MIs[0] policy
     /* 1859452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859462 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1859465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859486 */     // GIR_Coverage, 13755,
     /* 1859486 */     GIR_EraseRootFromParent_Done,
     /* 1859487 */   // Label 25142: @1859487
     /* 1859487 */   GIM_Try, /*On fail goto*//*Label 25143*/ GIMT_Encode4(1859573), // Rule ID 13758 //
     /* 1859492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1859503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1859506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1859512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859538 */     // MIs[0] policy
     /* 1859538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859548 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1859551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859572 */     // GIR_Coverage, 13758,
     /* 1859572 */     GIR_EraseRootFromParent_Done,
     /* 1859573 */   // Label 25143: @1859573
     /* 1859573 */   GIM_Try, /*On fail goto*//*Label 25144*/ GIMT_Encode4(1859659), // Rule ID 13759 //
     /* 1859578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1859589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1859592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1859598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859624 */     // MIs[0] policy
     /* 1859624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859634 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1859637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859658 */     // GIR_Coverage, 13759,
     /* 1859658 */     GIR_EraseRootFromParent_Done,
     /* 1859659 */   // Label 25144: @1859659
     /* 1859659 */   GIM_Try, /*On fail goto*//*Label 25145*/ GIMT_Encode4(1859745), // Rule ID 13762 //
     /* 1859664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1859675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1859678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1859684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859710 */     // MIs[0] policy
     /* 1859710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859720 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1859723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859744 */     // GIR_Coverage, 13762,
     /* 1859744 */     GIR_EraseRootFromParent_Done,
     /* 1859745 */   // Label 25145: @1859745
     /* 1859745 */   GIM_Try, /*On fail goto*//*Label 25146*/ GIMT_Encode4(1859831), // Rule ID 13763 //
     /* 1859750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1859761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1859764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1859770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859796 */     // MIs[0] policy
     /* 1859796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1859809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859830 */     // GIR_Coverage, 13763,
     /* 1859830 */     GIR_EraseRootFromParent_Done,
     /* 1859831 */   // Label 25146: @1859831
     /* 1859831 */   GIM_Try, /*On fail goto*//*Label 25147*/ GIMT_Encode4(1859917), // Rule ID 13766 //
     /* 1859836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1859856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859882 */     // MIs[0] policy
     /* 1859882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859892 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1859895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859916 */     // GIR_Coverage, 13766,
     /* 1859916 */     GIR_EraseRootFromParent_Done,
     /* 1859917 */   // Label 25147: @1859917
     /* 1859917 */   GIM_Try, /*On fail goto*//*Label 25148*/ GIMT_Encode4(1860003), // Rule ID 13767 //
     /* 1859922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1859930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1859942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859968 */     // MIs[0] policy
     /* 1859968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1859981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860002 */     // GIR_Coverage, 13767,
     /* 1860002 */     GIR_EraseRootFromParent_Done,
     /* 1860003 */   // Label 25148: @1860003
     /* 1860003 */   GIM_Try, /*On fail goto*//*Label 25149*/ GIMT_Encode4(1860089), // Rule ID 13770 //
     /* 1860008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1860019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1860022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1860028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860054 */     // MIs[0] policy
     /* 1860054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860064 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1860067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860088 */     // GIR_Coverage, 13770,
     /* 1860088 */     GIR_EraseRootFromParent_Done,
     /* 1860089 */   // Label 25149: @1860089
     /* 1860089 */   GIM_Try, /*On fail goto*//*Label 25150*/ GIMT_Encode4(1860175), // Rule ID 13771 //
     /* 1860094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1860105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1860108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1860114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860140 */     // MIs[0] policy
     /* 1860140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860150 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1860153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860174 */     // GIR_Coverage, 13771,
     /* 1860174 */     GIR_EraseRootFromParent_Done,
     /* 1860175 */   // Label 25150: @1860175
     /* 1860175 */   GIM_Try, /*On fail goto*//*Label 25151*/ GIMT_Encode4(1860261), // Rule ID 13774 //
     /* 1860180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1860191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1860194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1860200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860226 */     // MIs[0] policy
     /* 1860226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860236 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1860239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860260 */     // GIR_Coverage, 13774,
     /* 1860260 */     GIR_EraseRootFromParent_Done,
     /* 1860261 */   // Label 25151: @1860261
     /* 1860261 */   GIM_Try, /*On fail goto*//*Label 25152*/ GIMT_Encode4(1860347), // Rule ID 13775 //
     /* 1860266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1860277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1860280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1860286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860312 */     // MIs[0] policy
     /* 1860312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860322 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1860325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860346 */     // GIR_Coverage, 13775,
     /* 1860346 */     GIR_EraseRootFromParent_Done,
     /* 1860347 */   // Label 25152: @1860347
     /* 1860347 */   GIM_Try, /*On fail goto*//*Label 25153*/ GIMT_Encode4(1860433), // Rule ID 13778 //
     /* 1860352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1860355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1860363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1860366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1860372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860398 */     // MIs[0] policy
     /* 1860398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860408 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1860411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860432 */     // GIR_Coverage, 13778,
     /* 1860432 */     GIR_EraseRootFromParent_Done,
     /* 1860433 */   // Label 25153: @1860433
     /* 1860433 */   GIM_Try, /*On fail goto*//*Label 25154*/ GIMT_Encode4(1860519), // Rule ID 13779 //
     /* 1860438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1860441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1860449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1860452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1860458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860484 */     // MIs[0] policy
     /* 1860484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1860497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860518 */     // GIR_Coverage, 13779,
     /* 1860518 */     GIR_EraseRootFromParent_Done,
     /* 1860519 */   // Label 25154: @1860519
     /* 1860519 */   GIM_Try, /*On fail goto*//*Label 25155*/ GIMT_Encode4(1860605), // Rule ID 13782 //
     /* 1860524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1860527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1860535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1860538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1860544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860570 */     // MIs[0] policy
     /* 1860570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860580 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1860583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860604 */     // GIR_Coverage, 13782,
     /* 1860604 */     GIR_EraseRootFromParent_Done,
     /* 1860605 */   // Label 25155: @1860605
     /* 1860605 */   GIM_Try, /*On fail goto*//*Label 25156*/ GIMT_Encode4(1860691), // Rule ID 13783 //
     /* 1860610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1860613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1860621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1860624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1860630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860656 */     // MIs[0] policy
     /* 1860656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860666 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1860669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860690 */     // GIR_Coverage, 13783,
     /* 1860690 */     GIR_EraseRootFromParent_Done,
     /* 1860691 */   // Label 25156: @1860691
     /* 1860691 */   GIM_Try, /*On fail goto*//*Label 25157*/ GIMT_Encode4(1860777), // Rule ID 13786 //
     /* 1860696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1860699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1860716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860742 */     // MIs[0] policy
     /* 1860742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860752 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1860755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860776 */     // GIR_Coverage, 13786,
     /* 1860776 */     GIR_EraseRootFromParent_Done,
     /* 1860777 */   // Label 25157: @1860777
     /* 1860777 */   GIM_Try, /*On fail goto*//*Label 25158*/ GIMT_Encode4(1860863), // Rule ID 13787 //
     /* 1860782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1860785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1860802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860828 */     // MIs[0] policy
     /* 1860828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860838 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1860841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860862 */     // GIR_Coverage, 13787,
     /* 1860862 */     GIR_EraseRootFromParent_Done,
     /* 1860863 */   // Label 25158: @1860863
     /* 1860863 */   GIM_Try, /*On fail goto*//*Label 25159*/ GIMT_Encode4(1860949), // Rule ID 13790 //
     /* 1860868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1860871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1860888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860914 */     // MIs[0] policy
     /* 1860914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860924 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1860927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860948 */     // GIR_Coverage, 13790,
     /* 1860948 */     GIR_EraseRootFromParent_Done,
     /* 1860949 */   // Label 25159: @1860949
     /* 1860949 */   GIM_Try, /*On fail goto*//*Label 25160*/ GIMT_Encode4(1861035), // Rule ID 13791 //
     /* 1860954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1860957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1860974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861000 */     // MIs[0] policy
     /* 1861000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1861013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861034 */     // GIR_Coverage, 13791,
     /* 1861034 */     GIR_EraseRootFromParent_Done,
     /* 1861035 */   // Label 25160: @1861035
     /* 1861035 */   GIM_Try, /*On fail goto*//*Label 25161*/ GIMT_Encode4(1861121), // Rule ID 13794 //
     /* 1861040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1861051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1861054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1861060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861086 */     // MIs[0] policy
     /* 1861086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1861099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861120 */     // GIR_Coverage, 13794,
     /* 1861120 */     GIR_EraseRootFromParent_Done,
     /* 1861121 */   // Label 25161: @1861121
     /* 1861121 */   GIM_Try, /*On fail goto*//*Label 25162*/ GIMT_Encode4(1861207), // Rule ID 13795 //
     /* 1861126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1861137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1861140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1861146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861172 */     // MIs[0] policy
     /* 1861172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1861185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861206 */     // GIR_Coverage, 13795,
     /* 1861206 */     GIR_EraseRootFromParent_Done,
     /* 1861207 */   // Label 25162: @1861207
     /* 1861207 */   GIM_Try, /*On fail goto*//*Label 25163*/ GIMT_Encode4(1861293), // Rule ID 13798 //
     /* 1861212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1861223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1861226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1861232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861258 */     // MIs[0] policy
     /* 1861258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1861271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861292 */     // GIR_Coverage, 13798,
     /* 1861292 */     GIR_EraseRootFromParent_Done,
     /* 1861293 */   // Label 25163: @1861293
     /* 1861293 */   GIM_Try, /*On fail goto*//*Label 25164*/ GIMT_Encode4(1861379), // Rule ID 13799 //
     /* 1861298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1861309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1861312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1861318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861344 */     // MIs[0] policy
     /* 1861344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861354 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1861357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861378 */     // GIR_Coverage, 13799,
     /* 1861378 */     GIR_EraseRootFromParent_Done,
     /* 1861379 */   // Label 25164: @1861379
     /* 1861379 */   GIM_Try, /*On fail goto*//*Label 25165*/ GIMT_Encode4(1861465), // Rule ID 13802 //
     /* 1861384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1861395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1861398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1861404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861430 */     // MIs[0] policy
     /* 1861430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1861443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861464 */     // GIR_Coverage, 13802,
     /* 1861464 */     GIR_EraseRootFromParent_Done,
     /* 1861465 */   // Label 25165: @1861465
     /* 1861465 */   GIM_Try, /*On fail goto*//*Label 25166*/ GIMT_Encode4(1861551), // Rule ID 13803 //
     /* 1861470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1861481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1861484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1861490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861516 */     // MIs[0] policy
     /* 1861516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861526 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1861529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861550 */     // GIR_Coverage, 13803,
     /* 1861550 */     GIR_EraseRootFromParent_Done,
     /* 1861551 */   // Label 25166: @1861551
     /* 1861551 */   GIM_Try, /*On fail goto*//*Label 25167*/ GIMT_Encode4(1861637), // Rule ID 13806 //
     /* 1861556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1861567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1861570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1861576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861602 */     // MIs[0] policy
     /* 1861602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861612 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1861615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861636 */     // GIR_Coverage, 13806,
     /* 1861636 */     GIR_EraseRootFromParent_Done,
     /* 1861637 */   // Label 25167: @1861637
     /* 1861637 */   GIM_Try, /*On fail goto*//*Label 25168*/ GIMT_Encode4(1861723), // Rule ID 13807 //
     /* 1861642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1861653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1861656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1861662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861688 */     // MIs[0] policy
     /* 1861688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861698 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1861701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861722 */     // GIR_Coverage, 13807,
     /* 1861722 */     GIR_EraseRootFromParent_Done,
     /* 1861723 */   // Label 25168: @1861723
     /* 1861723 */   GIM_Try, /*On fail goto*//*Label 25169*/ GIMT_Encode4(1861809), // Rule ID 13810 //
     /* 1861728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1861739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1861742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1861748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861774 */     // MIs[0] policy
     /* 1861774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861784 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1861787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861808 */     // GIR_Coverage, 13810,
     /* 1861808 */     GIR_EraseRootFromParent_Done,
     /* 1861809 */   // Label 25169: @1861809
     /* 1861809 */   GIM_Try, /*On fail goto*//*Label 25170*/ GIMT_Encode4(1861895), // Rule ID 13811 //
     /* 1861814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1861825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1861828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1861834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861860 */     // MIs[0] policy
     /* 1861860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861870 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1861873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861894 */     // GIR_Coverage, 13811,
     /* 1861894 */     GIR_EraseRootFromParent_Done,
     /* 1861895 */   // Label 25170: @1861895
     /* 1861895 */   GIM_Try, /*On fail goto*//*Label 25171*/ GIMT_Encode4(1861981), // Rule ID 13814 //
     /* 1861900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1861911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1861914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1861920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861946 */     // MIs[0] policy
     /* 1861946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861956 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1861959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861980 */     // GIR_Coverage, 13814,
     /* 1861980 */     GIR_EraseRootFromParent_Done,
     /* 1861981 */   // Label 25171: @1861981
     /* 1861981 */   GIM_Try, /*On fail goto*//*Label 25172*/ GIMT_Encode4(1862067), // Rule ID 13815 //
     /* 1861986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1861994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1861997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1862000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1862006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1862009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862032 */     // MIs[0] policy
     /* 1862032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862042 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1862045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862066 */     // GIR_Coverage, 13815,
     /* 1862066 */     GIR_EraseRootFromParent_Done,
     /* 1862067 */   // Label 25172: @1862067
     /* 1862067 */   GIM_Try, /*On fail goto*//*Label 25173*/ GIMT_Encode4(1862153), // Rule ID 13818 //
     /* 1862072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1862083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1862086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1862092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862118 */     // MIs[0] policy
     /* 1862118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862128 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1862131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862152 */     // GIR_Coverage, 13818,
     /* 1862152 */     GIR_EraseRootFromParent_Done,
     /* 1862153 */   // Label 25173: @1862153
     /* 1862153 */   GIM_Try, /*On fail goto*//*Label 25174*/ GIMT_Encode4(1862239), // Rule ID 13819 //
     /* 1862158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1862169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1862172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1862178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862204 */     // MIs[0] policy
     /* 1862204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862214 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1862217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862238 */     // GIR_Coverage, 13819,
     /* 1862238 */     GIR_EraseRootFromParent_Done,
     /* 1862239 */   // Label 25174: @1862239
     /* 1862239 */   GIM_Try, /*On fail goto*//*Label 25175*/ GIMT_Encode4(1862325), // Rule ID 13822 //
     /* 1862244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1862255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1862258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1862264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862290 */     // MIs[0] policy
     /* 1862290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1862303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862324 */     // GIR_Coverage, 13822,
     /* 1862324 */     GIR_EraseRootFromParent_Done,
     /* 1862325 */   // Label 25175: @1862325
     /* 1862325 */   GIM_Try, /*On fail goto*//*Label 25176*/ GIMT_Encode4(1862411), // Rule ID 13823 //
     /* 1862330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1862341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1862344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1862350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862376 */     // MIs[0] policy
     /* 1862376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1862389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862410 */     // GIR_Coverage, 13823,
     /* 1862410 */     GIR_EraseRootFromParent_Done,
     /* 1862411 */   // Label 25176: @1862411
     /* 1862411 */   GIM_Try, /*On fail goto*//*Label 25177*/ GIMT_Encode4(1862497), // Rule ID 13826 //
     /* 1862416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1862427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1862430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1862436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862462 */     // MIs[0] policy
     /* 1862462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1862475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862496 */     // GIR_Coverage, 13826,
     /* 1862496 */     GIR_EraseRootFromParent_Done,
     /* 1862497 */   // Label 25177: @1862497
     /* 1862497 */   GIM_Try, /*On fail goto*//*Label 25178*/ GIMT_Encode4(1862583), // Rule ID 13827 //
     /* 1862502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1862513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1862516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1862522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862548 */     // MIs[0] policy
     /* 1862548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862558 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1862561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862582 */     // GIR_Coverage, 13827,
     /* 1862582 */     GIR_EraseRootFromParent_Done,
     /* 1862583 */   // Label 25178: @1862583
     /* 1862583 */   GIM_Try, /*On fail goto*//*Label 25179*/ GIMT_Encode4(1862669), // Rule ID 13830 //
     /* 1862588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1862599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1862602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1862608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862634 */     // MIs[0] policy
     /* 1862634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1862647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862668 */     // GIR_Coverage, 13830,
     /* 1862668 */     GIR_EraseRootFromParent_Done,
     /* 1862669 */   // Label 25179: @1862669
     /* 1862669 */   GIM_Try, /*On fail goto*//*Label 25180*/ GIMT_Encode4(1862755), // Rule ID 13831 //
     /* 1862674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1862685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1862688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1862694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862720 */     // MIs[0] policy
     /* 1862720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1862733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862754 */     // GIR_Coverage, 13831,
     /* 1862754 */     GIR_EraseRootFromParent_Done,
     /* 1862755 */   // Label 25180: @1862755
     /* 1862755 */   GIM_Try, /*On fail goto*//*Label 25181*/ GIMT_Encode4(1862841), // Rule ID 13834 //
     /* 1862760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1862771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1862774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1862780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862806 */     // MIs[0] policy
     /* 1862806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1862819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862840 */     // GIR_Coverage, 13834,
     /* 1862840 */     GIR_EraseRootFromParent_Done,
     /* 1862841 */   // Label 25181: @1862841
     /* 1862841 */   GIM_Try, /*On fail goto*//*Label 25182*/ GIMT_Encode4(1862927), // Rule ID 13835 //
     /* 1862846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1862857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1862860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1862866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862892 */     // MIs[0] policy
     /* 1862892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1862905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862926 */     // GIR_Coverage, 13835,
     /* 1862926 */     GIR_EraseRootFromParent_Done,
     /* 1862927 */   // Label 25182: @1862927
     /* 1862927 */   GIM_Try, /*On fail goto*//*Label 25183*/ GIMT_Encode4(1863013), // Rule ID 13838 //
     /* 1862932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1862935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1862940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1862952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862978 */     // MIs[0] policy
     /* 1862978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862988 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1862991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863012 */     // GIR_Coverage, 13838,
     /* 1863012 */     GIR_EraseRootFromParent_Done,
     /* 1863013 */   // Label 25183: @1863013
     /* 1863013 */   GIM_Try, /*On fail goto*//*Label 25184*/ GIMT_Encode4(1863099), // Rule ID 13839 //
     /* 1863018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1863021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1863026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1863029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1863032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1863038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863064 */     // MIs[0] policy
     /* 1863064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863074 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1863077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863098 */     // GIR_Coverage, 13839,
     /* 1863098 */     GIR_EraseRootFromParent_Done,
     /* 1863099 */   // Label 25184: @1863099
     /* 1863099 */   GIM_Try, /*On fail goto*//*Label 25185*/ GIMT_Encode4(1863185), // Rule ID 13842 //
     /* 1863104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1863107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1863112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1863115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1863118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1863121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1863124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863150 */     // MIs[0] policy
     /* 1863150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863160 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1863163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863184 */     // GIR_Coverage, 13842,
     /* 1863184 */     GIR_EraseRootFromParent_Done,
     /* 1863185 */   // Label 25185: @1863185
     /* 1863185 */   GIM_Try, /*On fail goto*//*Label 25186*/ GIMT_Encode4(1863271), // Rule ID 13843 //
     /* 1863190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1863193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1863198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1863201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1863204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1863210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863236 */     // MIs[0] policy
     /* 1863236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1863249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863270 */     // GIR_Coverage, 13843,
     /* 1863270 */     GIR_EraseRootFromParent_Done,
     /* 1863271 */   // Label 25186: @1863271
     /* 1863271 */   GIM_Try, /*On fail goto*//*Label 25187*/ GIMT_Encode4(1863357), // Rule ID 13846 //
     /* 1863276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1863279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1863284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1863287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1863290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1863293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1863296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863322 */     // MIs[0] policy
     /* 1863322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863332 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1863335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863356 */     // GIR_Coverage, 13846,
     /* 1863356 */     GIR_EraseRootFromParent_Done,
     /* 1863357 */   // Label 25187: @1863357
     /* 1863357 */   GIM_Try, /*On fail goto*//*Label 25188*/ GIMT_Encode4(1863443), // Rule ID 13847 //
     /* 1863362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1863365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1863370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1863373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1863376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1863382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863408 */     // MIs[0] policy
     /* 1863408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863418 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1863421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863442 */     // GIR_Coverage, 13847,
     /* 1863442 */     GIR_EraseRootFromParent_Done,
     /* 1863443 */   // Label 25188: @1863443
     /* 1863443 */   GIM_Try, /*On fail goto*//*Label 25189*/ GIMT_Encode4(1863529), // Rule ID 13850 //
     /* 1863448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1863451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1863456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1863459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1863462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1863465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1863468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863494 */     // MIs[0] policy
     /* 1863494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1863507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863528 */     // GIR_Coverage, 13850,
     /* 1863528 */     GIR_EraseRootFromParent_Done,
     /* 1863529 */   // Label 25189: @1863529
     /* 1863529 */   GIM_Try, /*On fail goto*//*Label 25190*/ GIMT_Encode4(1863615), // Rule ID 13851 //
     /* 1863534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1863537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1863542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1863545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1863548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1863554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863580 */     // MIs[0] policy
     /* 1863580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863590 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1863593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863614 */     // GIR_Coverage, 13851,
     /* 1863614 */     GIR_EraseRootFromParent_Done,
     /* 1863615 */   // Label 25190: @1863615
     /* 1863615 */   GIM_Try, /*On fail goto*//*Label 25191*/ GIMT_Encode4(1863704), // Rule ID 14060 //
     /* 1863620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1863631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1863634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1863637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1863640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863666 */     // MIs[0] policy
     /* 1863666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863676 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1863679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863703 */     // GIR_Coverage, 14060,
     /* 1863703 */     GIR_EraseRootFromParent_Done,
     /* 1863704 */   // Label 25191: @1863704
     /* 1863704 */   GIM_Try, /*On fail goto*//*Label 25192*/ GIMT_Encode4(1863793), // Rule ID 14061 //
     /* 1863709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1863720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1863723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1863726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1863729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863755 */     // MIs[0] policy
     /* 1863755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863765 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1863768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863792 */     // GIR_Coverage, 14061,
     /* 1863792 */     GIR_EraseRootFromParent_Done,
     /* 1863793 */   // Label 25192: @1863793
     /* 1863793 */   GIM_Try, /*On fail goto*//*Label 25193*/ GIMT_Encode4(1863882), // Rule ID 14064 //
     /* 1863798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1863809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1863812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1863815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1863818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863844 */     // MIs[0] policy
     /* 1863844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863854 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1863857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863881 */     // GIR_Coverage, 14064,
     /* 1863881 */     GIR_EraseRootFromParent_Done,
     /* 1863882 */   // Label 25193: @1863882
     /* 1863882 */   GIM_Try, /*On fail goto*//*Label 25194*/ GIMT_Encode4(1863971), // Rule ID 14065 //
     /* 1863887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1863898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1863901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1863904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1863907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863933 */     // MIs[0] policy
     /* 1863933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863943 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1863946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863970 */     // GIR_Coverage, 14065,
     /* 1863970 */     GIR_EraseRootFromParent_Done,
     /* 1863971 */   // Label 25194: @1863971
     /* 1863971 */   GIM_Try, /*On fail goto*//*Label 25195*/ GIMT_Encode4(1864060), // Rule ID 14068 //
     /* 1863976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1863987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1863990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1863993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1863996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864022 */     // MIs[0] policy
     /* 1864022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864032 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1864035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864059 */     // GIR_Coverage, 14068,
     /* 1864059 */     GIR_EraseRootFromParent_Done,
     /* 1864060 */   // Label 25195: @1864060
     /* 1864060 */   GIM_Try, /*On fail goto*//*Label 25196*/ GIMT_Encode4(1864149), // Rule ID 14069 //
     /* 1864065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1864076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1864079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1864082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1864085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864111 */     // MIs[0] policy
     /* 1864111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864121 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1864124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864148 */     // GIR_Coverage, 14069,
     /* 1864148 */     GIR_EraseRootFromParent_Done,
     /* 1864149 */   // Label 25196: @1864149
     /* 1864149 */   GIM_Try, /*On fail goto*//*Label 25197*/ GIMT_Encode4(1864238), // Rule ID 14072 //
     /* 1864154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1864165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1864168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1864171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1864174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864200 */     // MIs[0] policy
     /* 1864200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864210 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1864213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864237 */     // GIR_Coverage, 14072,
     /* 1864237 */     GIR_EraseRootFromParent_Done,
     /* 1864238 */   // Label 25197: @1864238
     /* 1864238 */   GIM_Try, /*On fail goto*//*Label 25198*/ GIMT_Encode4(1864327), // Rule ID 14073 //
     /* 1864243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1864254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1864257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1864260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1864263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864289 */     // MIs[0] policy
     /* 1864289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1864302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864326 */     // GIR_Coverage, 14073,
     /* 1864326 */     GIR_EraseRootFromParent_Done,
     /* 1864327 */   // Label 25198: @1864327
     /* 1864327 */   GIM_Try, /*On fail goto*//*Label 25199*/ GIMT_Encode4(1864416), // Rule ID 14076 //
     /* 1864332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1864343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1864346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1864349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1864352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864378 */     // MIs[0] policy
     /* 1864378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864388 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1864391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864415 */     // GIR_Coverage, 14076,
     /* 1864415 */     GIR_EraseRootFromParent_Done,
     /* 1864416 */   // Label 25199: @1864416
     /* 1864416 */   GIM_Try, /*On fail goto*//*Label 25200*/ GIMT_Encode4(1864505), // Rule ID 14077 //
     /* 1864421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1864432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1864435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1864438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1864441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864467 */     // MIs[0] policy
     /* 1864467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864477 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1864480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864504 */     // GIR_Coverage, 14077,
     /* 1864504 */     GIR_EraseRootFromParent_Done,
     /* 1864505 */   // Label 25200: @1864505
     /* 1864505 */   GIM_Try, /*On fail goto*//*Label 25201*/ GIMT_Encode4(1864594), // Rule ID 14080 //
     /* 1864510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1864521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1864524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1864527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1864530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864556 */     // MIs[0] policy
     /* 1864556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864566 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1864569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864593 */     // GIR_Coverage, 14080,
     /* 1864593 */     GIR_EraseRootFromParent_Done,
     /* 1864594 */   // Label 25201: @1864594
     /* 1864594 */   GIM_Try, /*On fail goto*//*Label 25202*/ GIMT_Encode4(1864683), // Rule ID 14081 //
     /* 1864599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1864610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1864613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1864616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1864619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864645 */     // MIs[0] policy
     /* 1864645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864655 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1864658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864682 */     // GIR_Coverage, 14081,
     /* 1864682 */     GIR_EraseRootFromParent_Done,
     /* 1864683 */   // Label 25202: @1864683
     /* 1864683 */   GIM_Try, /*On fail goto*//*Label 25203*/ GIMT_Encode4(1864772), // Rule ID 14084 //
     /* 1864688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1864699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1864702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1864705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1864708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864734 */     // MIs[0] policy
     /* 1864734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864744 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1864747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864771 */     // GIR_Coverage, 14084,
     /* 1864771 */     GIR_EraseRootFromParent_Done,
     /* 1864772 */   // Label 25203: @1864772
     /* 1864772 */   GIM_Try, /*On fail goto*//*Label 25204*/ GIMT_Encode4(1864861), // Rule ID 14085 //
     /* 1864777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1864788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1864791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1864794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1864797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864823 */     // MIs[0] policy
     /* 1864823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864833 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1864836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864860 */     // GIR_Coverage, 14085,
     /* 1864860 */     GIR_EraseRootFromParent_Done,
     /* 1864861 */   // Label 25204: @1864861
     /* 1864861 */   GIM_Try, /*On fail goto*//*Label 25205*/ GIMT_Encode4(1864950), // Rule ID 14088 //
     /* 1864866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1864877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1864880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1864883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1864886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864912 */     // MIs[0] policy
     /* 1864912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1864925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864949 */     // GIR_Coverage, 14088,
     /* 1864949 */     GIR_EraseRootFromParent_Done,
     /* 1864950 */   // Label 25205: @1864950
     /* 1864950 */   GIM_Try, /*On fail goto*//*Label 25206*/ GIMT_Encode4(1865039), // Rule ID 14089 //
     /* 1864955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1864966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1864969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1864972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1864975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865001 */     // MIs[0] policy
     /* 1865001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865011 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1865014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865038 */     // GIR_Coverage, 14089,
     /* 1865038 */     GIR_EraseRootFromParent_Done,
     /* 1865039 */   // Label 25206: @1865039
     /* 1865039 */   GIM_Try, /*On fail goto*//*Label 25207*/ GIMT_Encode4(1865128), // Rule ID 14092 //
     /* 1865044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1865055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1865058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1865061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1865064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865090 */     // MIs[0] policy
     /* 1865090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1865103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865127 */     // GIR_Coverage, 14092,
     /* 1865127 */     GIR_EraseRootFromParent_Done,
     /* 1865128 */   // Label 25207: @1865128
     /* 1865128 */   GIM_Try, /*On fail goto*//*Label 25208*/ GIMT_Encode4(1865217), // Rule ID 14093 //
     /* 1865133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1865144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1865147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1865150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1865153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865179 */     // MIs[0] policy
     /* 1865179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865189 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1865192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865216 */     // GIR_Coverage, 14093,
     /* 1865216 */     GIR_EraseRootFromParent_Done,
     /* 1865217 */   // Label 25208: @1865217
     /* 1865217 */   GIM_Try, /*On fail goto*//*Label 25209*/ GIMT_Encode4(1865306), // Rule ID 14096 //
     /* 1865222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1865225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1865233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1865236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1865239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1865242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865268 */     // MIs[0] policy
     /* 1865268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865278 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1865281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865301 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865305 */     // GIR_Coverage, 14096,
     /* 1865305 */     GIR_EraseRootFromParent_Done,
     /* 1865306 */   // Label 25209: @1865306
     /* 1865306 */   GIM_Try, /*On fail goto*//*Label 25210*/ GIMT_Encode4(1865395), // Rule ID 14097 //
     /* 1865311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1865314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1865322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1865325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1865328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1865331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865357 */     // MIs[0] policy
     /* 1865357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1865370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865394 */     // GIR_Coverage, 14097,
     /* 1865394 */     GIR_EraseRootFromParent_Done,
     /* 1865395 */   // Label 25210: @1865395
     /* 1865395 */   GIM_Try, /*On fail goto*//*Label 25211*/ GIMT_Encode4(1865484), // Rule ID 14100 //
     /* 1865400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1865411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1865414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1865417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1865420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1865423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865446 */     // MIs[0] policy
     /* 1865446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865456 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1865459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865483 */     // GIR_Coverage, 14100,
     /* 1865483 */     GIR_EraseRootFromParent_Done,
     /* 1865484 */   // Label 25211: @1865484
     /* 1865484 */   GIM_Try, /*On fail goto*//*Label 25212*/ GIMT_Encode4(1865573), // Rule ID 14101 //
     /* 1865489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1865500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1865503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1865506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1865509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1865512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865535 */     // MIs[0] policy
     /* 1865535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865545 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1865548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865572 */     // GIR_Coverage, 14101,
     /* 1865572 */     GIR_EraseRootFromParent_Done,
     /* 1865573 */   // Label 25212: @1865573
     /* 1865573 */   GIM_Try, /*On fail goto*//*Label 25213*/ GIMT_Encode4(1865662), // Rule ID 14104 //
     /* 1865578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1865589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1865592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1865595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1865598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1865601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865624 */     // MIs[0] policy
     /* 1865624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865634 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1865637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865661 */     // GIR_Coverage, 14104,
     /* 1865661 */     GIR_EraseRootFromParent_Done,
     /* 1865662 */   // Label 25213: @1865662
     /* 1865662 */   GIM_Try, /*On fail goto*//*Label 25214*/ GIMT_Encode4(1865751), // Rule ID 14105 //
     /* 1865667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1865678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1865681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1865684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1865687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1865690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865713 */     // MIs[0] policy
     /* 1865713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865723 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1865726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865750 */     // GIR_Coverage, 14105,
     /* 1865750 */     GIR_EraseRootFromParent_Done,
     /* 1865751 */   // Label 25214: @1865751
     /* 1865751 */   GIM_Try, /*On fail goto*//*Label 25215*/ GIMT_Encode4(1865840), // Rule ID 14108 //
     /* 1865756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1865767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1865770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1865773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1865776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1865779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865802 */     // MIs[0] policy
     /* 1865802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865812 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1865815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865839 */     // GIR_Coverage, 14108,
     /* 1865839 */     GIR_EraseRootFromParent_Done,
     /* 1865840 */   // Label 25215: @1865840
     /* 1865840 */   GIM_Try, /*On fail goto*//*Label 25216*/ GIMT_Encode4(1865929), // Rule ID 14109 //
     /* 1865845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1865856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1865859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1865862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1865865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1865868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865891 */     // MIs[0] policy
     /* 1865891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865901 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1865904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865928 */     // GIR_Coverage, 14109,
     /* 1865928 */     GIR_EraseRootFromParent_Done,
     /* 1865929 */   // Label 25216: @1865929
     /* 1865929 */   GIM_Try, /*On fail goto*//*Label 25217*/ GIMT_Encode4(1866018), // Rule ID 14112 //
     /* 1865934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1865945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1865948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1865951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1865954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865980 */     // MIs[0] policy
     /* 1865980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865990 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1865993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866017 */     // GIR_Coverage, 14112,
     /* 1866017 */     GIR_EraseRootFromParent_Done,
     /* 1866018 */   // Label 25217: @1866018
     /* 1866018 */   GIM_Try, /*On fail goto*//*Label 25218*/ GIMT_Encode4(1866107), // Rule ID 14113 //
     /* 1866023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1866034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1866037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1866040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1866043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866069 */     // MIs[0] policy
     /* 1866069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866079 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1866082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866106 */     // GIR_Coverage, 14113,
     /* 1866106 */     GIR_EraseRootFromParent_Done,
     /* 1866107 */   // Label 25218: @1866107
     /* 1866107 */   GIM_Try, /*On fail goto*//*Label 25219*/ GIMT_Encode4(1866196), // Rule ID 14116 //
     /* 1866112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1866123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1866126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1866129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1866132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866158 */     // MIs[0] policy
     /* 1866158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866168 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1866171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866195 */     // GIR_Coverage, 14116,
     /* 1866195 */     GIR_EraseRootFromParent_Done,
     /* 1866196 */   // Label 25219: @1866196
     /* 1866196 */   GIM_Try, /*On fail goto*//*Label 25220*/ GIMT_Encode4(1866285), // Rule ID 14117 //
     /* 1866201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1866212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1866215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1866218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1866221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866247 */     // MIs[0] policy
     /* 1866247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866257 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1866260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866284 */     // GIR_Coverage, 14117,
     /* 1866284 */     GIR_EraseRootFromParent_Done,
     /* 1866285 */   // Label 25220: @1866285
     /* 1866285 */   GIM_Try, /*On fail goto*//*Label 25221*/ GIMT_Encode4(1866374), // Rule ID 14120 //
     /* 1866290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1866301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1866304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1866307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1866310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866336 */     // MIs[0] policy
     /* 1866336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1866349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866369 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866373 */     // GIR_Coverage, 14120,
     /* 1866373 */     GIR_EraseRootFromParent_Done,
     /* 1866374 */   // Label 25221: @1866374
     /* 1866374 */   GIM_Try, /*On fail goto*//*Label 25222*/ GIMT_Encode4(1866463), // Rule ID 14121 //
     /* 1866379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1866390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1866393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1866396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1866399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866425 */     // MIs[0] policy
     /* 1866425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866435 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1866438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866462 */     // GIR_Coverage, 14121,
     /* 1866462 */     GIR_EraseRootFromParent_Done,
     /* 1866463 */   // Label 25222: @1866463
     /* 1866463 */   GIM_Try, /*On fail goto*//*Label 25223*/ GIMT_Encode4(1866552), // Rule ID 14124 //
     /* 1866468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1866479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1866482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1866485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1866488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866514 */     // MIs[0] policy
     /* 1866514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1866527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866551 */     // GIR_Coverage, 14124,
     /* 1866551 */     GIR_EraseRootFromParent_Done,
     /* 1866552 */   // Label 25223: @1866552
     /* 1866552 */   GIM_Try, /*On fail goto*//*Label 25224*/ GIMT_Encode4(1866641), // Rule ID 14125 //
     /* 1866557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1866568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1866571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1866574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1866577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866603 */     // MIs[0] policy
     /* 1866603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866613 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1866616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866640 */     // GIR_Coverage, 14125,
     /* 1866640 */     GIR_EraseRootFromParent_Done,
     /* 1866641 */   // Label 25224: @1866641
     /* 1866641 */   GIM_Try, /*On fail goto*//*Label 25225*/ GIMT_Encode4(1866730), // Rule ID 14128 //
     /* 1866646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1866657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1866660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1866663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1866666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866692 */     // MIs[0] policy
     /* 1866692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866702 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1866705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866729 */     // GIR_Coverage, 14128,
     /* 1866729 */     GIR_EraseRootFromParent_Done,
     /* 1866730 */   // Label 25225: @1866730
     /* 1866730 */   GIM_Try, /*On fail goto*//*Label 25226*/ GIMT_Encode4(1866819), // Rule ID 14129 //
     /* 1866735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1866746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1866749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1866752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1866755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866781 */     // MIs[0] policy
     /* 1866781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866791 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1866794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866818 */     // GIR_Coverage, 14129,
     /* 1866818 */     GIR_EraseRootFromParent_Done,
     /* 1866819 */   // Label 25226: @1866819
     /* 1866819 */   GIM_Try, /*On fail goto*//*Label 25227*/ GIMT_Encode4(1866908), // Rule ID 14132 //
     /* 1866824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1866835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1866838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1866841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1866844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866870 */     // MIs[0] policy
     /* 1866870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866880 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1866883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866907 */     // GIR_Coverage, 14132,
     /* 1866907 */     GIR_EraseRootFromParent_Done,
     /* 1866908 */   // Label 25227: @1866908
     /* 1866908 */   GIM_Try, /*On fail goto*//*Label 25228*/ GIMT_Encode4(1866997), // Rule ID 14133 //
     /* 1866913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1866924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1866927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1866930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1866933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866959 */     // MIs[0] policy
     /* 1866959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866969 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1866972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866996 */     // GIR_Coverage, 14133,
     /* 1866996 */     GIR_EraseRootFromParent_Done,
     /* 1866997 */   // Label 25228: @1866997
     /* 1866997 */   GIM_Try, /*On fail goto*//*Label 25229*/ GIMT_Encode4(1867086), // Rule ID 14136 //
     /* 1867002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1867005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1867013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1867016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1867019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1867022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867048 */     // MIs[0] policy
     /* 1867048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1867061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867085 */     // GIR_Coverage, 14136,
     /* 1867085 */     GIR_EraseRootFromParent_Done,
     /* 1867086 */   // Label 25229: @1867086
     /* 1867086 */   GIM_Try, /*On fail goto*//*Label 25230*/ GIMT_Encode4(1867175), // Rule ID 14137 //
     /* 1867091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1867094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1867102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1867105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1867108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1867111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867137 */     // MIs[0] policy
     /* 1867137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867147 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1867150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867174 */     // GIR_Coverage, 14137,
     /* 1867174 */     GIR_EraseRootFromParent_Done,
     /* 1867175 */   // Label 25230: @1867175
     /* 1867175 */   GIM_Try, /*On fail goto*//*Label 25231*/ GIMT_Encode4(1867264), // Rule ID 14140 //
     /* 1867180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1867183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1867197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1867200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867226 */     // MIs[0] policy
     /* 1867226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1867239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867263 */     // GIR_Coverage, 14140,
     /* 1867263 */     GIR_EraseRootFromParent_Done,
     /* 1867264 */   // Label 25231: @1867264
     /* 1867264 */   GIM_Try, /*On fail goto*//*Label 25232*/ GIMT_Encode4(1867353), // Rule ID 14141 //
     /* 1867269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1867272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1867286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1867289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867315 */     // MIs[0] policy
     /* 1867315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867325 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1867328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867352 */     // GIR_Coverage, 14141,
     /* 1867352 */     GIR_EraseRootFromParent_Done,
     /* 1867353 */   // Label 25232: @1867353
     /* 1867353 */   GIM_Try, /*On fail goto*//*Label 25233*/ GIMT_Encode4(1867442), // Rule ID 14144 //
     /* 1867358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1867361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1867369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1867372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1867375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1867378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867404 */     // MIs[0] policy
     /* 1867404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867414 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1867417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867441 */     // GIR_Coverage, 14144,
     /* 1867441 */     GIR_EraseRootFromParent_Done,
     /* 1867442 */   // Label 25233: @1867442
     /* 1867442 */   GIM_Try, /*On fail goto*//*Label 25234*/ GIMT_Encode4(1867531), // Rule ID 14145 //
     /* 1867447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1867450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1867458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1867461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1867464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1867467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867493 */     // MIs[0] policy
     /* 1867493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867503 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1867506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867530 */     // GIR_Coverage, 14145,
     /* 1867530 */     GIR_EraseRootFromParent_Done,
     /* 1867531 */   // Label 25234: @1867531
     /* 1867531 */   GIM_Try, /*On fail goto*//*Label 25235*/ GIMT_Encode4(1867620), // Rule ID 14148 //
     /* 1867536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1867547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1867550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1867553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867582 */     // MIs[0] policy
     /* 1867582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867592 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1867595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867619 */     // GIR_Coverage, 14148,
     /* 1867619 */     GIR_EraseRootFromParent_Done,
     /* 1867620 */   // Label 25235: @1867620
     /* 1867620 */   GIM_Try, /*On fail goto*//*Label 25236*/ GIMT_Encode4(1867709), // Rule ID 14149 //
     /* 1867625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1867636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1867639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1867642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867671 */     // MIs[0] policy
     /* 1867671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867681 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1867684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867708 */     // GIR_Coverage, 14149,
     /* 1867708 */     GIR_EraseRootFromParent_Done,
     /* 1867709 */   // Label 25236: @1867709
     /* 1867709 */   GIM_Try, /*On fail goto*//*Label 25237*/ GIMT_Encode4(1867798), // Rule ID 14152 //
     /* 1867714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1867725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1867728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1867731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867760 */     // MIs[0] policy
     /* 1867760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867770 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1867773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867797 */     // GIR_Coverage, 14152,
     /* 1867797 */     GIR_EraseRootFromParent_Done,
     /* 1867798 */   // Label 25237: @1867798
     /* 1867798 */   GIM_Try, /*On fail goto*//*Label 25238*/ GIMT_Encode4(1867887), // Rule ID 14153 //
     /* 1867803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1867814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1867817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1867820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867849 */     // MIs[0] policy
     /* 1867849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867859 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1867862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867886 */     // GIR_Coverage, 14153,
     /* 1867886 */     GIR_EraseRootFromParent_Done,
     /* 1867887 */   // Label 25238: @1867887
     /* 1867887 */   GIM_Try, /*On fail goto*//*Label 25239*/ GIMT_Encode4(1867976), // Rule ID 14156 //
     /* 1867892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1867903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1867906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1867909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867938 */     // MIs[0] policy
     /* 1867938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867948 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1867951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867975 */     // GIR_Coverage, 14156,
     /* 1867975 */     GIR_EraseRootFromParent_Done,
     /* 1867976 */   // Label 25239: @1867976
     /* 1867976 */   GIM_Try, /*On fail goto*//*Label 25240*/ GIMT_Encode4(1868065), // Rule ID 14157 //
     /* 1867981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1867992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1867995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1867998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868027 */     // MIs[0] policy
     /* 1868027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868037 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1868040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868064 */     // GIR_Coverage, 14157,
     /* 1868064 */     GIR_EraseRootFromParent_Done,
     /* 1868065 */   // Label 25240: @1868065
     /* 1868065 */   GIM_Try, /*On fail goto*//*Label 25241*/ GIMT_Encode4(1868154), // Rule ID 14160 //
     /* 1868070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1868081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1868084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1868087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868116 */     // MIs[0] policy
     /* 1868116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868126 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1868129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868153 */     // GIR_Coverage, 14160,
     /* 1868153 */     GIR_EraseRootFromParent_Done,
     /* 1868154 */   // Label 25241: @1868154
     /* 1868154 */   GIM_Try, /*On fail goto*//*Label 25242*/ GIMT_Encode4(1868243), // Rule ID 14161 //
     /* 1868159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1868170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1868173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1868176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868205 */     // MIs[0] policy
     /* 1868205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868215 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1868218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868242 */     // GIR_Coverage, 14161,
     /* 1868242 */     GIR_EraseRootFromParent_Done,
     /* 1868243 */   // Label 25242: @1868243
     /* 1868243 */   GIM_Try, /*On fail goto*//*Label 25243*/ GIMT_Encode4(1868332), // Rule ID 14164 //
     /* 1868248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1868259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1868262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1868265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868294 */     // MIs[0] policy
     /* 1868294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868304 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1868307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868331 */     // GIR_Coverage, 14164,
     /* 1868331 */     GIR_EraseRootFromParent_Done,
     /* 1868332 */   // Label 25243: @1868332
     /* 1868332 */   GIM_Try, /*On fail goto*//*Label 25244*/ GIMT_Encode4(1868421), // Rule ID 14165 //
     /* 1868337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1868348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1868351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1868354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868383 */     // MIs[0] policy
     /* 1868383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868393 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1868396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868420 */     // GIR_Coverage, 14165,
     /* 1868420 */     GIR_EraseRootFromParent_Done,
     /* 1868421 */   // Label 25244: @1868421
     /* 1868421 */   GIM_Try, /*On fail goto*//*Label 25245*/ GIMT_Encode4(1868510), // Rule ID 14168 //
     /* 1868426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1868437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1868440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1868443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868472 */     // MIs[0] policy
     /* 1868472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868482 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1868485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868509 */     // GIR_Coverage, 14168,
     /* 1868509 */     GIR_EraseRootFromParent_Done,
     /* 1868510 */   // Label 25245: @1868510
     /* 1868510 */   GIM_Try, /*On fail goto*//*Label 25246*/ GIMT_Encode4(1868599), // Rule ID 14169 //
     /* 1868515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1868526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1868529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1868532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868561 */     // MIs[0] policy
     /* 1868561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868571 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1868574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868598 */     // GIR_Coverage, 14169,
     /* 1868598 */     GIR_EraseRootFromParent_Done,
     /* 1868599 */   // Label 25246: @1868599
     /* 1868599 */   GIM_Try, /*On fail goto*//*Label 25247*/ GIMT_Encode4(1868688), // Rule ID 14172 //
     /* 1868604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1868615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1868618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1868621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868650 */     // MIs[0] policy
     /* 1868650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1868663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868687 */     // GIR_Coverage, 14172,
     /* 1868687 */     GIR_EraseRootFromParent_Done,
     /* 1868688 */   // Label 25247: @1868688
     /* 1868688 */   GIM_Try, /*On fail goto*//*Label 25248*/ GIMT_Encode4(1868777), // Rule ID 14173 //
     /* 1868693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1868704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1868707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1868710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868739 */     // MIs[0] policy
     /* 1868739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868749 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1868752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868776 */     // GIR_Coverage, 14173,
     /* 1868776 */     GIR_EraseRootFromParent_Done,
     /* 1868777 */   // Label 25248: @1868777
     /* 1868777 */   GIM_Try, /*On fail goto*//*Label 25249*/ GIMT_Encode4(1868866), // Rule ID 14176 //
     /* 1868782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1868793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1868796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1868799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868828 */     // MIs[0] policy
     /* 1868828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868838 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1868841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868865 */     // GIR_Coverage, 14176,
     /* 1868865 */     GIR_EraseRootFromParent_Done,
     /* 1868866 */   // Label 25249: @1868866
     /* 1868866 */   GIM_Try, /*On fail goto*//*Label 25250*/ GIMT_Encode4(1868955), // Rule ID 14177 //
     /* 1868871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1868882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1868885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1868888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868917 */     // MIs[0] policy
     /* 1868917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1868930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868954 */     // GIR_Coverage, 14177,
     /* 1868954 */     GIR_EraseRootFromParent_Done,
     /* 1868955 */   // Label 25250: @1868955
     /* 1868955 */   GIM_Try, /*On fail goto*//*Label 25251*/ GIMT_Encode4(1869044), // Rule ID 14180 //
     /* 1868960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1868971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1868974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1868977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869006 */     // MIs[0] policy
     /* 1869006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869016 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1869019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869043 */     // GIR_Coverage, 14180,
     /* 1869043 */     GIR_EraseRootFromParent_Done,
     /* 1869044 */   // Label 25251: @1869044
     /* 1869044 */   GIM_Try, /*On fail goto*//*Label 25252*/ GIMT_Encode4(1869133), // Rule ID 14181 //
     /* 1869049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1869060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1869063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1869066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869095 */     // MIs[0] policy
     /* 1869095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869105 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1869108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869132 */     // GIR_Coverage, 14181,
     /* 1869132 */     GIR_EraseRootFromParent_Done,
     /* 1869133 */   // Label 25252: @1869133
     /* 1869133 */   GIM_Try, /*On fail goto*//*Label 25253*/ GIMT_Encode4(1869222), // Rule ID 14184 //
     /* 1869138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1869141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1869149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1869152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1869155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869184 */     // MIs[0] policy
     /* 1869184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869194 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1869197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1869215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869221 */     // GIR_Coverage, 14184,
     /* 1869221 */     GIR_EraseRootFromParent_Done,
     /* 1869222 */   // Label 25253: @1869222
     /* 1869222 */   GIM_Try, /*On fail goto*//*Label 25254*/ GIMT_Encode4(1869311), // Rule ID 14185 //
     /* 1869227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1869230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1869238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1869241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1869244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869273 */     // MIs[0] policy
     /* 1869273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1869286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1869304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869310 */     // GIR_Coverage, 14185,
     /* 1869310 */     GIR_EraseRootFromParent_Done,
     /* 1869311 */   // Label 25254: @1869311
     /* 1869311 */   GIM_Try, /*On fail goto*//*Label 25255*/ GIMT_Encode4(1869400), // Rule ID 14188 //
     /* 1869316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1869327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1869330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1869333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1869339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869362 */     // MIs[0] policy
     /* 1869362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1869375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869399 */     // GIR_Coverage, 14188,
     /* 1869399 */     GIR_EraseRootFromParent_Done,
     /* 1869400 */   // Label 25255: @1869400
     /* 1869400 */   GIM_Try, /*On fail goto*//*Label 25256*/ GIMT_Encode4(1869489), // Rule ID 14189 //
     /* 1869405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1869416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1869419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1869422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1869428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869451 */     // MIs[0] policy
     /* 1869451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869461 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1869464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869488 */     // GIR_Coverage, 14189,
     /* 1869488 */     GIR_EraseRootFromParent_Done,
     /* 1869489 */   // Label 25256: @1869489
     /* 1869489 */   GIM_Try, /*On fail goto*//*Label 25257*/ GIMT_Encode4(1869578), // Rule ID 14192 //
     /* 1869494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1869505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1869508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1869511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1869517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869540 */     // MIs[0] policy
     /* 1869540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869550 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1869553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869577 */     // GIR_Coverage, 14192,
     /* 1869577 */     GIR_EraseRootFromParent_Done,
     /* 1869578 */   // Label 25257: @1869578
     /* 1869578 */   GIM_Try, /*On fail goto*//*Label 25258*/ GIMT_Encode4(1869667), // Rule ID 14193 //
     /* 1869583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1869594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1869597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1869600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1869606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869629 */     // MIs[0] policy
     /* 1869629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869639 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1869642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869666 */     // GIR_Coverage, 14193,
     /* 1869666 */     GIR_EraseRootFromParent_Done,
     /* 1869667 */   // Label 25258: @1869667
     /* 1869667 */   GIM_Try, /*On fail goto*//*Label 25259*/ GIMT_Encode4(1869756), // Rule ID 14196 //
     /* 1869672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1869683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1869686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1869689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1869695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869718 */     // MIs[0] policy
     /* 1869718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869728 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1869731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869755 */     // GIR_Coverage, 14196,
     /* 1869755 */     GIR_EraseRootFromParent_Done,
     /* 1869756 */   // Label 25259: @1869756
     /* 1869756 */   GIM_Try, /*On fail goto*//*Label 25260*/ GIMT_Encode4(1869845), // Rule ID 14197 //
     /* 1869761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1869772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1869775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1869778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1869784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869807 */     // MIs[0] policy
     /* 1869807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869817 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1869820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869844 */     // GIR_Coverage, 14197,
     /* 1869844 */     GIR_EraseRootFromParent_Done,
     /* 1869845 */   // Label 25260: @1869845
     /* 1869845 */   GIM_Try, /*On fail goto*//*Label 25261*/ GIMT_Encode4(1869934), // Rule ID 14200 //
     /* 1869850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1869861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1869864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1869867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869896 */     // MIs[0] policy
     /* 1869896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869906 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1869909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869933 */     // GIR_Coverage, 14200,
     /* 1869933 */     GIR_EraseRootFromParent_Done,
     /* 1869934 */   // Label 25261: @1869934
     /* 1869934 */   GIM_Try, /*On fail goto*//*Label 25262*/ GIMT_Encode4(1870023), // Rule ID 14201 //
     /* 1869939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1869950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1869953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1869956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869985 */     // MIs[0] policy
     /* 1869985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1869998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870022 */     // GIR_Coverage, 14201,
     /* 1870022 */     GIR_EraseRootFromParent_Done,
     /* 1870023 */   // Label 25262: @1870023
     /* 1870023 */   GIM_Try, /*On fail goto*//*Label 25263*/ GIMT_Encode4(1870112), // Rule ID 14204 //
     /* 1870028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1870039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1870042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1870045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870074 */     // MIs[0] policy
     /* 1870074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870084 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1870087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870111 */     // GIR_Coverage, 14204,
     /* 1870111 */     GIR_EraseRootFromParent_Done,
     /* 1870112 */   // Label 25263: @1870112
     /* 1870112 */   GIM_Try, /*On fail goto*//*Label 25264*/ GIMT_Encode4(1870201), // Rule ID 14205 //
     /* 1870117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1870128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1870131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1870134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870163 */     // MIs[0] policy
     /* 1870163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1870176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870200 */     // GIR_Coverage, 14205,
     /* 1870200 */     GIR_EraseRootFromParent_Done,
     /* 1870201 */   // Label 25264: @1870201
     /* 1870201 */   GIM_Try, /*On fail goto*//*Label 25265*/ GIMT_Encode4(1870290), // Rule ID 14208 //
     /* 1870206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1870217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1870220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1870223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870252 */     // MIs[0] policy
     /* 1870252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870262 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1870265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870289 */     // GIR_Coverage, 14208,
     /* 1870289 */     GIR_EraseRootFromParent_Done,
     /* 1870290 */   // Label 25265: @1870290
     /* 1870290 */   GIM_Try, /*On fail goto*//*Label 25266*/ GIMT_Encode4(1870379), // Rule ID 14209 //
     /* 1870295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1870306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1870309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1870312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870341 */     // MIs[0] policy
     /* 1870341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870351 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1870354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870378 */     // GIR_Coverage, 14209,
     /* 1870378 */     GIR_EraseRootFromParent_Done,
     /* 1870379 */   // Label 25266: @1870379
     /* 1870379 */   GIM_Try, /*On fail goto*//*Label 25267*/ GIMT_Encode4(1870468), // Rule ID 14212 //
     /* 1870384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1870395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1870398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1870401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870430 */     // MIs[0] policy
     /* 1870430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1870443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870467 */     // GIR_Coverage, 14212,
     /* 1870467 */     GIR_EraseRootFromParent_Done,
     /* 1870468 */   // Label 25267: @1870468
     /* 1870468 */   GIM_Try, /*On fail goto*//*Label 25268*/ GIMT_Encode4(1870557), // Rule ID 14213 //
     /* 1870473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1870484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1870487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1870490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870519 */     // MIs[0] policy
     /* 1870519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870529 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1870532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870556 */     // GIR_Coverage, 14213,
     /* 1870556 */     GIR_EraseRootFromParent_Done,
     /* 1870557 */   // Label 25268: @1870557
     /* 1870557 */   GIM_Try, /*On fail goto*//*Label 25269*/ GIMT_Encode4(1870646), // Rule ID 14216 //
     /* 1870562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1870573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1870576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1870579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870608 */     // MIs[0] policy
     /* 1870608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1870621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870645 */     // GIR_Coverage, 14216,
     /* 1870645 */     GIR_EraseRootFromParent_Done,
     /* 1870646 */   // Label 25269: @1870646
     /* 1870646 */   GIM_Try, /*On fail goto*//*Label 25270*/ GIMT_Encode4(1870735), // Rule ID 14217 //
     /* 1870651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1870662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1870665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1870668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870697 */     // MIs[0] policy
     /* 1870697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870707 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1870710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870734 */     // GIR_Coverage, 14217,
     /* 1870734 */     GIR_EraseRootFromParent_Done,
     /* 1870735 */   // Label 25270: @1870735
     /* 1870735 */   GIM_Try, /*On fail goto*//*Label 25271*/ GIMT_Encode4(1870824), // Rule ID 14220 //
     /* 1870740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1870751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1870754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1870757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870786 */     // MIs[0] policy
     /* 1870786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1870799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870823 */     // GIR_Coverage, 14220,
     /* 1870823 */     GIR_EraseRootFromParent_Done,
     /* 1870824 */   // Label 25271: @1870824
     /* 1870824 */   GIM_Try, /*On fail goto*//*Label 25272*/ GIMT_Encode4(1870913), // Rule ID 14221 //
     /* 1870829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1870840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1870843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1870846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870875 */     // MIs[0] policy
     /* 1870875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870885 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1870888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870912 */     // GIR_Coverage, 14221,
     /* 1870912 */     GIR_EraseRootFromParent_Done,
     /* 1870913 */   // Label 25272: @1870913
     /* 1870913 */   GIM_Try, /*On fail goto*//*Label 25273*/ GIMT_Encode4(1871002), // Rule ID 14224 //
     /* 1870918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1870921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1870929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1870932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1870935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870964 */     // MIs[0] policy
     /* 1870964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1870977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871001 */     // GIR_Coverage, 14224,
     /* 1871001 */     GIR_EraseRootFromParent_Done,
     /* 1871002 */   // Label 25273: @1871002
     /* 1871002 */   GIM_Try, /*On fail goto*//*Label 25274*/ GIMT_Encode4(1871091), // Rule ID 14225 //
     /* 1871007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1871010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1871018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1871021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1871024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871053 */     // MIs[0] policy
     /* 1871053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871063 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1871066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871090 */     // GIR_Coverage, 14225,
     /* 1871090 */     GIR_EraseRootFromParent_Done,
     /* 1871091 */   // Label 25274: @1871091
     /* 1871091 */   GIM_Try, /*On fail goto*//*Label 25275*/ GIMT_Encode4(1871180), // Rule ID 14228 //
     /* 1871096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1871099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1871107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1871110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1871113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871142 */     // MIs[0] policy
     /* 1871142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871152 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1871155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871179 */     // GIR_Coverage, 14228,
     /* 1871179 */     GIR_EraseRootFromParent_Done,
     /* 1871180 */   // Label 25275: @1871180
     /* 1871180 */   GIM_Try, /*On fail goto*//*Label 25276*/ GIMT_Encode4(1871269), // Rule ID 14229 //
     /* 1871185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1871188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1871196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1871199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1871202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871231 */     // MIs[0] policy
     /* 1871231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871241 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1871244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871268 */     // GIR_Coverage, 14229,
     /* 1871268 */     GIR_EraseRootFromParent_Done,
     /* 1871269 */   // Label 25276: @1871269
     /* 1871269 */   GIM_Try, /*On fail goto*//*Label 25277*/ GIMT_Encode4(1871358), // Rule ID 14232 //
     /* 1871274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1871277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1871285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1871288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1871291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871320 */     // MIs[0] policy
     /* 1871320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1871333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871357 */     // GIR_Coverage, 14232,
     /* 1871357 */     GIR_EraseRootFromParent_Done,
     /* 1871358 */   // Label 25277: @1871358
     /* 1871358 */   GIM_Try, /*On fail goto*//*Label 25278*/ GIMT_Encode4(1871447), // Rule ID 14233 //
     /* 1871363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1871366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1871374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1871377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1871380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871409 */     // MIs[0] policy
     /* 1871409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871419 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1871422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871446 */     // GIR_Coverage, 14233,
     /* 1871446 */     GIR_EraseRootFromParent_Done,
     /* 1871447 */   // Label 25278: @1871447
     /* 1871447 */   GIM_Try, /*On fail goto*//*Label 25279*/ GIMT_Encode4(1871536), // Rule ID 14324 //
     /* 1871452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1871463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1871466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1871469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1871472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871498 */     // MIs[0] policy
     /* 1871498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1871511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871535 */     // GIR_Coverage, 14324,
     /* 1871535 */     GIR_EraseRootFromParent_Done,
     /* 1871536 */   // Label 25279: @1871536
     /* 1871536 */   GIM_Try, /*On fail goto*//*Label 25280*/ GIMT_Encode4(1871625), // Rule ID 14325 //
     /* 1871541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1871552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1871555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1871558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1871561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871587 */     // MIs[0] policy
     /* 1871587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871597 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1871600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871624 */     // GIR_Coverage, 14325,
     /* 1871624 */     GIR_EraseRootFromParent_Done,
     /* 1871625 */   // Label 25280: @1871625
     /* 1871625 */   GIM_Try, /*On fail goto*//*Label 25281*/ GIMT_Encode4(1871714), // Rule ID 14328 //
     /* 1871630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1871641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1871644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1871647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1871650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871676 */     // MIs[0] policy
     /* 1871676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871686 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1871689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871713 */     // GIR_Coverage, 14328,
     /* 1871713 */     GIR_EraseRootFromParent_Done,
     /* 1871714 */   // Label 25281: @1871714
     /* 1871714 */   GIM_Try, /*On fail goto*//*Label 25282*/ GIMT_Encode4(1871803), // Rule ID 14329 //
     /* 1871719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1871730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1871733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1871736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1871739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871765 */     // MIs[0] policy
     /* 1871765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871775 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1871778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871802 */     // GIR_Coverage, 14329,
     /* 1871802 */     GIR_EraseRootFromParent_Done,
     /* 1871803 */   // Label 25282: @1871803
     /* 1871803 */   GIM_Try, /*On fail goto*//*Label 25283*/ GIMT_Encode4(1871892), // Rule ID 14332 //
     /* 1871808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1871819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1871822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1871825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1871828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871854 */     // MIs[0] policy
     /* 1871854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871864 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1871867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871891 */     // GIR_Coverage, 14332,
     /* 1871891 */     GIR_EraseRootFromParent_Done,
     /* 1871892 */   // Label 25283: @1871892
     /* 1871892 */   GIM_Try, /*On fail goto*//*Label 25284*/ GIMT_Encode4(1871981), // Rule ID 14333 //
     /* 1871897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1871908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1871911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1871914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1871917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871943 */     // MIs[0] policy
     /* 1871943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871953 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1871956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871980 */     // GIR_Coverage, 14333,
     /* 1871980 */     GIR_EraseRootFromParent_Done,
     /* 1871981 */   // Label 25284: @1871981
     /* 1871981 */   GIM_Try, /*On fail goto*//*Label 25285*/ GIMT_Encode4(1872070), // Rule ID 14336 //
     /* 1871986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1871997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1872000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1872003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1872006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872032 */     // MIs[0] policy
     /* 1872032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1872045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872069 */     // GIR_Coverage, 14336,
     /* 1872069 */     GIR_EraseRootFromParent_Done,
     /* 1872070 */   // Label 25285: @1872070
     /* 1872070 */   GIM_Try, /*On fail goto*//*Label 25286*/ GIMT_Encode4(1872159), // Rule ID 14337 //
     /* 1872075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1872086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1872089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1872092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1872095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872121 */     // MIs[0] policy
     /* 1872121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872131 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1872134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872158 */     // GIR_Coverage, 14337,
     /* 1872158 */     GIR_EraseRootFromParent_Done,
     /* 1872159 */   // Label 25286: @1872159
     /* 1872159 */   GIM_Try, /*On fail goto*//*Label 25287*/ GIMT_Encode4(1872248), // Rule ID 14340 //
     /* 1872164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1872175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1872178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1872181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1872184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872210 */     // MIs[0] policy
     /* 1872210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872220 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1872223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872247 */     // GIR_Coverage, 14340,
     /* 1872247 */     GIR_EraseRootFromParent_Done,
     /* 1872248 */   // Label 25287: @1872248
     /* 1872248 */   GIM_Try, /*On fail goto*//*Label 25288*/ GIMT_Encode4(1872337), // Rule ID 14341 //
     /* 1872253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1872264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1872267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1872270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1872273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872299 */     // MIs[0] policy
     /* 1872299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872309 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1872312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872336 */     // GIR_Coverage, 14341,
     /* 1872336 */     GIR_EraseRootFromParent_Done,
     /* 1872337 */   // Label 25288: @1872337
     /* 1872337 */   GIM_Try, /*On fail goto*//*Label 25289*/ GIMT_Encode4(1872426), // Rule ID 14344 //
     /* 1872342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1872353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1872356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1872359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1872362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872388 */     // MIs[0] policy
     /* 1872388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872398 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1872401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872425 */     // GIR_Coverage, 14344,
     /* 1872425 */     GIR_EraseRootFromParent_Done,
     /* 1872426 */   // Label 25289: @1872426
     /* 1872426 */   GIM_Try, /*On fail goto*//*Label 25290*/ GIMT_Encode4(1872515), // Rule ID 14345 //
     /* 1872431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1872442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1872445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1872448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1872451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872477 */     // MIs[0] policy
     /* 1872477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872487 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1872490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872514 */     // GIR_Coverage, 14345,
     /* 1872514 */     GIR_EraseRootFromParent_Done,
     /* 1872515 */   // Label 25290: @1872515
     /* 1872515 */   GIM_Try, /*On fail goto*//*Label 25291*/ GIMT_Encode4(1872604), // Rule ID 14348 //
     /* 1872520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1872531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1872534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1872537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1872540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872566 */     // MIs[0] policy
     /* 1872566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872576 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1872579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872603 */     // GIR_Coverage, 14348,
     /* 1872603 */     GIR_EraseRootFromParent_Done,
     /* 1872604 */   // Label 25291: @1872604
     /* 1872604 */   GIM_Try, /*On fail goto*//*Label 25292*/ GIMT_Encode4(1872693), // Rule ID 14349 //
     /* 1872609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1872620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1872623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1872626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1872629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872655 */     // MIs[0] policy
     /* 1872655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872665 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1872668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872692 */     // GIR_Coverage, 14349,
     /* 1872692 */     GIR_EraseRootFromParent_Done,
     /* 1872693 */   // Label 25292: @1872693
     /* 1872693 */   GIM_Try, /*On fail goto*//*Label 25293*/ GIMT_Encode4(1872782), // Rule ID 14352 //
     /* 1872698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1872709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1872712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1872715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1872718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872744 */     // MIs[0] policy
     /* 1872744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872754 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1872757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872781 */     // GIR_Coverage, 14352,
     /* 1872781 */     GIR_EraseRootFromParent_Done,
     /* 1872782 */   // Label 25293: @1872782
     /* 1872782 */   GIM_Try, /*On fail goto*//*Label 25294*/ GIMT_Encode4(1872871), // Rule ID 14353 //
     /* 1872787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1872798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1872801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1872804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1872807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872833 */     // MIs[0] policy
     /* 1872833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872843 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1872846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872870 */     // GIR_Coverage, 14353,
     /* 1872870 */     GIR_EraseRootFromParent_Done,
     /* 1872871 */   // Label 25294: @1872871
     /* 1872871 */   GIM_Try, /*On fail goto*//*Label 25295*/ GIMT_Encode4(1872960), // Rule ID 14356 //
     /* 1872876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1872887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1872890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1872893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1872896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872922 */     // MIs[0] policy
     /* 1872922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872932 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1872935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872959 */     // GIR_Coverage, 14356,
     /* 1872959 */     GIR_EraseRootFromParent_Done,
     /* 1872960 */   // Label 25295: @1872960
     /* 1872960 */   GIM_Try, /*On fail goto*//*Label 25296*/ GIMT_Encode4(1873049), // Rule ID 14357 //
     /* 1872965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1872976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1872979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1872982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1872985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873011 */     // MIs[0] policy
     /* 1873011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873021 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1873024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873048 */     // GIR_Coverage, 14357,
     /* 1873048 */     GIR_EraseRootFromParent_Done,
     /* 1873049 */   // Label 25296: @1873049
     /* 1873049 */   GIM_Try, /*On fail goto*//*Label 25297*/ GIMT_Encode4(1873138), // Rule ID 14360 //
     /* 1873054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1873057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1873065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1873068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1873071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1873074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873100 */     // MIs[0] policy
     /* 1873100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873110 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1873113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873137 */     // GIR_Coverage, 14360,
     /* 1873137 */     GIR_EraseRootFromParent_Done,
     /* 1873138 */   // Label 25297: @1873138
     /* 1873138 */   GIM_Try, /*On fail goto*//*Label 25298*/ GIMT_Encode4(1873227), // Rule ID 14361 //
     /* 1873143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1873146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1873154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1873157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1873160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1873163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873189 */     // MIs[0] policy
     /* 1873189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873199 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1873202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873226 */     // GIR_Coverage, 14361,
     /* 1873226 */     GIR_EraseRootFromParent_Done,
     /* 1873227 */   // Label 25298: @1873227
     /* 1873227 */   GIM_Try, /*On fail goto*//*Label 25299*/ GIMT_Encode4(1873316), // Rule ID 14364 //
     /* 1873232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1873243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1873246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1873249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1873252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873278 */     // MIs[0] policy
     /* 1873278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873288 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1873291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873315 */     // GIR_Coverage, 14364,
     /* 1873315 */     GIR_EraseRootFromParent_Done,
     /* 1873316 */   // Label 25299: @1873316
     /* 1873316 */   GIM_Try, /*On fail goto*//*Label 25300*/ GIMT_Encode4(1873405), // Rule ID 14365 //
     /* 1873321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1873332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1873335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1873338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1873341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873367 */     // MIs[0] policy
     /* 1873367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873377 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1873380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873404 */     // GIR_Coverage, 14365,
     /* 1873404 */     GIR_EraseRootFromParent_Done,
     /* 1873405 */   // Label 25300: @1873405
     /* 1873405 */   GIM_Try, /*On fail goto*//*Label 25301*/ GIMT_Encode4(1873494), // Rule ID 14368 //
     /* 1873410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1873421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1873424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1873427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1873430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1873433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873456 */     // MIs[0] policy
     /* 1873456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873466 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1873469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873493 */     // GIR_Coverage, 14368,
     /* 1873493 */     GIR_EraseRootFromParent_Done,
     /* 1873494 */   // Label 25301: @1873494
     /* 1873494 */   GIM_Try, /*On fail goto*//*Label 25302*/ GIMT_Encode4(1873583), // Rule ID 14369 //
     /* 1873499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1873510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1873513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1873516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1873519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1873522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873545 */     // MIs[0] policy
     /* 1873545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873555 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1873558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873582 */     // GIR_Coverage, 14369,
     /* 1873582 */     GIR_EraseRootFromParent_Done,
     /* 1873583 */   // Label 25302: @1873583
     /* 1873583 */   GIM_Try, /*On fail goto*//*Label 25303*/ GIMT_Encode4(1873672), // Rule ID 14372 //
     /* 1873588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1873599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1873602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1873605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1873608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1873611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873634 */     // MIs[0] policy
     /* 1873634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873644 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1873647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873671 */     // GIR_Coverage, 14372,
     /* 1873671 */     GIR_EraseRootFromParent_Done,
     /* 1873672 */   // Label 25303: @1873672
     /* 1873672 */   GIM_Try, /*On fail goto*//*Label 25304*/ GIMT_Encode4(1873761), // Rule ID 14373 //
     /* 1873677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1873688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1873691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1873694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1873697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1873700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873723 */     // MIs[0] policy
     /* 1873723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873733 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1873736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873760 */     // GIR_Coverage, 14373,
     /* 1873760 */     GIR_EraseRootFromParent_Done,
     /* 1873761 */   // Label 25304: @1873761
     /* 1873761 */   GIM_Try, /*On fail goto*//*Label 25305*/ GIMT_Encode4(1873850), // Rule ID 14376 //
     /* 1873766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1873777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1873780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1873783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1873786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873812 */     // MIs[0] policy
     /* 1873812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1873825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873849 */     // GIR_Coverage, 14376,
     /* 1873849 */     GIR_EraseRootFromParent_Done,
     /* 1873850 */   // Label 25305: @1873850
     /* 1873850 */   GIM_Try, /*On fail goto*//*Label 25306*/ GIMT_Encode4(1873939), // Rule ID 14377 //
     /* 1873855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1873866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1873869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1873872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1873875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873901 */     // MIs[0] policy
     /* 1873901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873911 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1873914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873938 */     // GIR_Coverage, 14377,
     /* 1873938 */     GIR_EraseRootFromParent_Done,
     /* 1873939 */   // Label 25306: @1873939
     /* 1873939 */   GIM_Try, /*On fail goto*//*Label 25307*/ GIMT_Encode4(1874028), // Rule ID 14380 //
     /* 1873944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1873955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1873958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1873961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1873964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873990 */     // MIs[0] policy
     /* 1873990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874000 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1874003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874027 */     // GIR_Coverage, 14380,
     /* 1874027 */     GIR_EraseRootFromParent_Done,
     /* 1874028 */   // Label 25307: @1874028
     /* 1874028 */   GIM_Try, /*On fail goto*//*Label 25308*/ GIMT_Encode4(1874117), // Rule ID 14381 //
     /* 1874033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1874044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1874047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1874050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1874053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874079 */     // MIs[0] policy
     /* 1874079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874089 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1874092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874116 */     // GIR_Coverage, 14381,
     /* 1874116 */     GIR_EraseRootFromParent_Done,
     /* 1874117 */   // Label 25308: @1874117
     /* 1874117 */   GIM_Try, /*On fail goto*//*Label 25309*/ GIMT_Encode4(1874206), // Rule ID 14384 //
     /* 1874122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1874133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1874136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1874139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1874142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874168 */     // MIs[0] policy
     /* 1874168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874178 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1874181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874205 */     // GIR_Coverage, 14384,
     /* 1874205 */     GIR_EraseRootFromParent_Done,
     /* 1874206 */   // Label 25309: @1874206
     /* 1874206 */   GIM_Try, /*On fail goto*//*Label 25310*/ GIMT_Encode4(1874295), // Rule ID 14385 //
     /* 1874211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1874222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1874225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1874228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1874231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874257 */     // MIs[0] policy
     /* 1874257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874267 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1874270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874294 */     // GIR_Coverage, 14385,
     /* 1874294 */     GIR_EraseRootFromParent_Done,
     /* 1874295 */   // Label 25310: @1874295
     /* 1874295 */   GIM_Try, /*On fail goto*//*Label 25311*/ GIMT_Encode4(1874384), // Rule ID 14388 //
     /* 1874300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1874311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1874314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1874317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1874320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874346 */     // MIs[0] policy
     /* 1874346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1874359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874383 */     // GIR_Coverage, 14388,
     /* 1874383 */     GIR_EraseRootFromParent_Done,
     /* 1874384 */   // Label 25311: @1874384
     /* 1874384 */   GIM_Try, /*On fail goto*//*Label 25312*/ GIMT_Encode4(1874473), // Rule ID 14389 //
     /* 1874389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1874400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1874403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1874406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1874409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874435 */     // MIs[0] policy
     /* 1874435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874445 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1874448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874472 */     // GIR_Coverage, 14389,
     /* 1874472 */     GIR_EraseRootFromParent_Done,
     /* 1874473 */   // Label 25312: @1874473
     /* 1874473 */   GIM_Try, /*On fail goto*//*Label 25313*/ GIMT_Encode4(1874562), // Rule ID 14392 //
     /* 1874478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1874489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1874492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1874495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1874498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874524 */     // MIs[0] policy
     /* 1874524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874534 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1874537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874561 */     // GIR_Coverage, 14392,
     /* 1874561 */     GIR_EraseRootFromParent_Done,
     /* 1874562 */   // Label 25313: @1874562
     /* 1874562 */   GIM_Try, /*On fail goto*//*Label 25314*/ GIMT_Encode4(1874651), // Rule ID 14393 //
     /* 1874567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1874578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1874581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1874584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1874587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874613 */     // MIs[0] policy
     /* 1874613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874623 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1874626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874650 */     // GIR_Coverage, 14393,
     /* 1874650 */     GIR_EraseRootFromParent_Done,
     /* 1874651 */   // Label 25314: @1874651
     /* 1874651 */   GIM_Try, /*On fail goto*//*Label 25315*/ GIMT_Encode4(1874740), // Rule ID 14396 //
     /* 1874656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1874667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1874670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1874673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1874676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874702 */     // MIs[0] policy
     /* 1874702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874712 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1874715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874739 */     // GIR_Coverage, 14396,
     /* 1874739 */     GIR_EraseRootFromParent_Done,
     /* 1874740 */   // Label 25315: @1874740
     /* 1874740 */   GIM_Try, /*On fail goto*//*Label 25316*/ GIMT_Encode4(1874829), // Rule ID 14397 //
     /* 1874745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1874756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1874759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1874762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1874765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874791 */     // MIs[0] policy
     /* 1874791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874801 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1874804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874828 */     // GIR_Coverage, 14397,
     /* 1874828 */     GIR_EraseRootFromParent_Done,
     /* 1874829 */   // Label 25316: @1874829
     /* 1874829 */   GIM_Try, /*On fail goto*//*Label 25317*/ GIMT_Encode4(1874918), // Rule ID 14400 //
     /* 1874834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1874837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1874845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1874848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1874851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1874854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874880 */     // MIs[0] policy
     /* 1874880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874890 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1874893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874917 */     // GIR_Coverage, 14400,
     /* 1874917 */     GIR_EraseRootFromParent_Done,
     /* 1874918 */   // Label 25317: @1874918
     /* 1874918 */   GIM_Try, /*On fail goto*//*Label 25318*/ GIMT_Encode4(1875007), // Rule ID 14401 //
     /* 1874923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1874926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1874934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1874937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1874940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1874943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874969 */     // MIs[0] policy
     /* 1874969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874979 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1874982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875006 */     // GIR_Coverage, 14401,
     /* 1875006 */     GIR_EraseRootFromParent_Done,
     /* 1875007 */   // Label 25318: @1875007
     /* 1875007 */   GIM_Try, /*On fail goto*//*Label 25319*/ GIMT_Encode4(1875096), // Rule ID 14404 //
     /* 1875012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1875023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1875026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1875029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1875032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875058 */     // MIs[0] policy
     /* 1875058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1875071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875095 */     // GIR_Coverage, 14404,
     /* 1875095 */     GIR_EraseRootFromParent_Done,
     /* 1875096 */   // Label 25319: @1875096
     /* 1875096 */   GIM_Try, /*On fail goto*//*Label 25320*/ GIMT_Encode4(1875185), // Rule ID 14405 //
     /* 1875101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1875104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1875112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1875115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1875118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1875121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875147 */     // MIs[0] policy
     /* 1875147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875157 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1875160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875184 */     // GIR_Coverage, 14405,
     /* 1875184 */     GIR_EraseRootFromParent_Done,
     /* 1875185 */   // Label 25320: @1875185
     /* 1875185 */   GIM_Try, /*On fail goto*//*Label 25321*/ GIMT_Encode4(1875274), // Rule ID 14408 //
     /* 1875190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1875201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1875204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1875207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1875210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875236 */     // MIs[0] policy
     /* 1875236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1875249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875273 */     // GIR_Coverage, 14408,
     /* 1875273 */     GIR_EraseRootFromParent_Done,
     /* 1875274 */   // Label 25321: @1875274
     /* 1875274 */   GIM_Try, /*On fail goto*//*Label 25322*/ GIMT_Encode4(1875363), // Rule ID 14409 //
     /* 1875279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1875282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1875290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1875293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1875296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1875299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875325 */     // MIs[0] policy
     /* 1875325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875335 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1875338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875362 */     // GIR_Coverage, 14409,
     /* 1875362 */     GIR_EraseRootFromParent_Done,
     /* 1875363 */   // Label 25322: @1875363
     /* 1875363 */   GIM_Try, /*On fail goto*//*Label 25323*/ GIMT_Encode4(1875452), // Rule ID 14412 //
     /* 1875368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1875379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1875382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1875385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875414 */     // MIs[0] policy
     /* 1875414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875424 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1875427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875451 */     // GIR_Coverage, 14412,
     /* 1875451 */     GIR_EraseRootFromParent_Done,
     /* 1875452 */   // Label 25323: @1875452
     /* 1875452 */   GIM_Try, /*On fail goto*//*Label 25324*/ GIMT_Encode4(1875541), // Rule ID 14413 //
     /* 1875457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1875468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1875471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1875474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875503 */     // MIs[0] policy
     /* 1875503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875513 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1875516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875540 */     // GIR_Coverage, 14413,
     /* 1875540 */     GIR_EraseRootFromParent_Done,
     /* 1875541 */   // Label 25324: @1875541
     /* 1875541 */   GIM_Try, /*On fail goto*//*Label 25325*/ GIMT_Encode4(1875630), // Rule ID 14416 //
     /* 1875546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1875557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1875560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1875563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875592 */     // MIs[0] policy
     /* 1875592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875602 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1875605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875629 */     // GIR_Coverage, 14416,
     /* 1875629 */     GIR_EraseRootFromParent_Done,
     /* 1875630 */   // Label 25325: @1875630
     /* 1875630 */   GIM_Try, /*On fail goto*//*Label 25326*/ GIMT_Encode4(1875719), // Rule ID 14417 //
     /* 1875635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1875646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1875649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1875652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875681 */     // MIs[0] policy
     /* 1875681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875691 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1875694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875718 */     // GIR_Coverage, 14417,
     /* 1875718 */     GIR_EraseRootFromParent_Done,
     /* 1875719 */   // Label 25326: @1875719
     /* 1875719 */   GIM_Try, /*On fail goto*//*Label 25327*/ GIMT_Encode4(1875808), // Rule ID 14420 //
     /* 1875724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1875735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1875738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1875741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875770 */     // MIs[0] policy
     /* 1875770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875780 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1875783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875807 */     // GIR_Coverage, 14420,
     /* 1875807 */     GIR_EraseRootFromParent_Done,
     /* 1875808 */   // Label 25327: @1875808
     /* 1875808 */   GIM_Try, /*On fail goto*//*Label 25328*/ GIMT_Encode4(1875897), // Rule ID 14421 //
     /* 1875813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1875824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1875827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1875830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875859 */     // MIs[0] policy
     /* 1875859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875869 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1875872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875896 */     // GIR_Coverage, 14421,
     /* 1875896 */     GIR_EraseRootFromParent_Done,
     /* 1875897 */   // Label 25328: @1875897
     /* 1875897 */   GIM_Try, /*On fail goto*//*Label 25329*/ GIMT_Encode4(1875986), // Rule ID 14424 //
     /* 1875902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1875913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1875916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1875919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875948 */     // MIs[0] policy
     /* 1875948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1875961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875985 */     // GIR_Coverage, 14424,
     /* 1875985 */     GIR_EraseRootFromParent_Done,
     /* 1875986 */   // Label 25329: @1875986
     /* 1875986 */   GIM_Try, /*On fail goto*//*Label 25330*/ GIMT_Encode4(1876075), // Rule ID 14425 //
     /* 1875991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1876002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1876005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1876008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876037 */     // MIs[0] policy
     /* 1876037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876047 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1876050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876074 */     // GIR_Coverage, 14425,
     /* 1876074 */     GIR_EraseRootFromParent_Done,
     /* 1876075 */   // Label 25330: @1876075
     /* 1876075 */   GIM_Try, /*On fail goto*//*Label 25331*/ GIMT_Encode4(1876164), // Rule ID 14428 //
     /* 1876080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1876091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1876094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1876097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876126 */     // MIs[0] policy
     /* 1876126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1876139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876163 */     // GIR_Coverage, 14428,
     /* 1876163 */     GIR_EraseRootFromParent_Done,
     /* 1876164 */   // Label 25331: @1876164
     /* 1876164 */   GIM_Try, /*On fail goto*//*Label 25332*/ GIMT_Encode4(1876253), // Rule ID 14429 //
     /* 1876169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1876180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1876183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1876186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876215 */     // MIs[0] policy
     /* 1876215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876225 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1876228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876252 */     // GIR_Coverage, 14429,
     /* 1876252 */     GIR_EraseRootFromParent_Done,
     /* 1876253 */   // Label 25332: @1876253
     /* 1876253 */   GIM_Try, /*On fail goto*//*Label 25333*/ GIMT_Encode4(1876342), // Rule ID 14432 //
     /* 1876258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1876269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1876272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1876275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876304 */     // MIs[0] policy
     /* 1876304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1876317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876341 */     // GIR_Coverage, 14432,
     /* 1876341 */     GIR_EraseRootFromParent_Done,
     /* 1876342 */   // Label 25333: @1876342
     /* 1876342 */   GIM_Try, /*On fail goto*//*Label 25334*/ GIMT_Encode4(1876431), // Rule ID 14433 //
     /* 1876347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1876358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1876361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1876364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876393 */     // MIs[0] policy
     /* 1876393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876403 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1876406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876430 */     // GIR_Coverage, 14433,
     /* 1876430 */     GIR_EraseRootFromParent_Done,
     /* 1876431 */   // Label 25334: @1876431
     /* 1876431 */   GIM_Try, /*On fail goto*//*Label 25335*/ GIMT_Encode4(1876520), // Rule ID 14436 //
     /* 1876436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1876447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1876450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1876453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876482 */     // MIs[0] policy
     /* 1876482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876519 */     // GIR_Coverage, 14436,
     /* 1876519 */     GIR_EraseRootFromParent_Done,
     /* 1876520 */   // Label 25335: @1876520
     /* 1876520 */   GIM_Try, /*On fail goto*//*Label 25336*/ GIMT_Encode4(1876609), // Rule ID 14437 //
     /* 1876525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1876536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1876539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1876542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876571 */     // MIs[0] policy
     /* 1876571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876581 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876608 */     // GIR_Coverage, 14437,
     /* 1876608 */     GIR_EraseRootFromParent_Done,
     /* 1876609 */   // Label 25336: @1876609
     /* 1876609 */   GIM_Try, /*On fail goto*//*Label 25337*/ GIMT_Encode4(1876698), // Rule ID 14440 //
     /* 1876614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1876625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1876628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1876631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876660 */     // MIs[0] policy
     /* 1876660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876670 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876697 */     // GIR_Coverage, 14440,
     /* 1876697 */     GIR_EraseRootFromParent_Done,
     /* 1876698 */   // Label 25337: @1876698
     /* 1876698 */   GIM_Try, /*On fail goto*//*Label 25338*/ GIMT_Encode4(1876787), // Rule ID 14441 //
     /* 1876703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1876714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1876717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1876720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876749 */     // MIs[0] policy
     /* 1876749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876786 */     // GIR_Coverage, 14441,
     /* 1876786 */     GIR_EraseRootFromParent_Done,
     /* 1876787 */   // Label 25338: @1876787
     /* 1876787 */   GIM_Try, /*On fail goto*//*Label 25339*/ GIMT_Encode4(1876876), // Rule ID 14444 //
     /* 1876792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1876803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1876806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1876809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876838 */     // MIs[0] policy
     /* 1876838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876875 */     // GIR_Coverage, 14444,
     /* 1876875 */     GIR_EraseRootFromParent_Done,
     /* 1876876 */   // Label 25339: @1876876
     /* 1876876 */   GIM_Try, /*On fail goto*//*Label 25340*/ GIMT_Encode4(1876965), // Rule ID 14445 //
     /* 1876881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1876892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1876895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1876898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876927 */     // MIs[0] policy
     /* 1876927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876937 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1876940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876964 */     // GIR_Coverage, 14445,
     /* 1876964 */     GIR_EraseRootFromParent_Done,
     /* 1876965 */   // Label 25340: @1876965
     /* 1876965 */   GIM_Try, /*On fail goto*//*Label 25341*/ GIMT_Encode4(1877054), // Rule ID 14448 //
     /* 1876970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1876973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1876981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1876984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1876987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877016 */     // MIs[0] policy
     /* 1877016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1877029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877053 */     // GIR_Coverage, 14448,
     /* 1877053 */     GIR_EraseRootFromParent_Done,
     /* 1877054 */   // Label 25341: @1877054
     /* 1877054 */   GIM_Try, /*On fail goto*//*Label 25342*/ GIMT_Encode4(1877143), // Rule ID 14449 //
     /* 1877059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1877062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1877070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1877073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1877076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877105 */     // MIs[0] policy
     /* 1877105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1877118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877142 */     // GIR_Coverage, 14449,
     /* 1877142 */     GIR_EraseRootFromParent_Done,
     /* 1877143 */   // Label 25342: @1877143
     /* 1877143 */   GIM_Try, /*On fail goto*//*Label 25343*/ GIMT_Encode4(1877232), // Rule ID 14452 //
     /* 1877148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1877159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1877162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1877165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877194 */     // MIs[0] policy
     /* 1877194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877204 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1877207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877231 */     // GIR_Coverage, 14452,
     /* 1877231 */     GIR_EraseRootFromParent_Done,
     /* 1877232 */   // Label 25343: @1877232
     /* 1877232 */   GIM_Try, /*On fail goto*//*Label 25344*/ GIMT_Encode4(1877321), // Rule ID 14453 //
     /* 1877237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1877248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1877251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1877254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877283 */     // MIs[0] policy
     /* 1877283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877293 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1877296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877320 */     // GIR_Coverage, 14453,
     /* 1877320 */     GIR_EraseRootFromParent_Done,
     /* 1877321 */   // Label 25344: @1877321
     /* 1877321 */   GIM_Try, /*On fail goto*//*Label 25345*/ GIMT_Encode4(1877410), // Rule ID 14456 //
     /* 1877326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1877337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1877340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1877343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1877349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877372 */     // MIs[0] policy
     /* 1877372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877382 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1877385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877409 */     // GIR_Coverage, 14456,
     /* 1877409 */     GIR_EraseRootFromParent_Done,
     /* 1877410 */   // Label 25345: @1877410
     /* 1877410 */   GIM_Try, /*On fail goto*//*Label 25346*/ GIMT_Encode4(1877499), // Rule ID 14457 //
     /* 1877415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1877426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1877429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1877432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1877438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877461 */     // MIs[0] policy
     /* 1877461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877471 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1877474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877498 */     // GIR_Coverage, 14457,
     /* 1877498 */     GIR_EraseRootFromParent_Done,
     /* 1877499 */   // Label 25346: @1877499
     /* 1877499 */   GIM_Try, /*On fail goto*//*Label 25347*/ GIMT_Encode4(1877588), // Rule ID 14460 //
     /* 1877504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1877515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1877518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1877521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1877527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877550 */     // MIs[0] policy
     /* 1877550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877560 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1877563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877587 */     // GIR_Coverage, 14460,
     /* 1877587 */     GIR_EraseRootFromParent_Done,
     /* 1877588 */   // Label 25347: @1877588
     /* 1877588 */   GIM_Try, /*On fail goto*//*Label 25348*/ GIMT_Encode4(1877677), // Rule ID 14461 //
     /* 1877593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1877604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1877607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1877610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1877616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877639 */     // MIs[0] policy
     /* 1877639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877649 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1877652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877676 */     // GIR_Coverage, 14461,
     /* 1877676 */     GIR_EraseRootFromParent_Done,
     /* 1877677 */   // Label 25348: @1877677
     /* 1877677 */   GIM_Try, /*On fail goto*//*Label 25349*/ GIMT_Encode4(1877766), // Rule ID 14464 //
     /* 1877682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1877693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1877696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1877699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877728 */     // MIs[0] policy
     /* 1877728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877738 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1877741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877765 */     // GIR_Coverage, 14464,
     /* 1877765 */     GIR_EraseRootFromParent_Done,
     /* 1877766 */   // Label 25349: @1877766
     /* 1877766 */   GIM_Try, /*On fail goto*//*Label 25350*/ GIMT_Encode4(1877855), // Rule ID 14465 //
     /* 1877771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1877782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1877785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1877788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877817 */     // MIs[0] policy
     /* 1877817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877827 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1877830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877854 */     // GIR_Coverage, 14465,
     /* 1877854 */     GIR_EraseRootFromParent_Done,
     /* 1877855 */   // Label 25350: @1877855
     /* 1877855 */   GIM_Try, /*On fail goto*//*Label 25351*/ GIMT_Encode4(1877944), // Rule ID 14468 //
     /* 1877860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1877871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1877874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1877877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877906 */     // MIs[0] policy
     /* 1877906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877916 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1877919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877943 */     // GIR_Coverage, 14468,
     /* 1877943 */     GIR_EraseRootFromParent_Done,
     /* 1877944 */   // Label 25351: @1877944
     /* 1877944 */   GIM_Try, /*On fail goto*//*Label 25352*/ GIMT_Encode4(1878033), // Rule ID 14469 //
     /* 1877949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1877960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1877963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1877966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877995 */     // MIs[0] policy
     /* 1877995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878005 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1878008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878032 */     // GIR_Coverage, 14469,
     /* 1878032 */     GIR_EraseRootFromParent_Done,
     /* 1878033 */   // Label 25352: @1878033
     /* 1878033 */   GIM_Try, /*On fail goto*//*Label 25353*/ GIMT_Encode4(1878122), // Rule ID 14472 //
     /* 1878038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1878049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1878052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1878055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878084 */     // MIs[0] policy
     /* 1878084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878094 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1878097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878121 */     // GIR_Coverage, 14472,
     /* 1878121 */     GIR_EraseRootFromParent_Done,
     /* 1878122 */   // Label 25353: @1878122
     /* 1878122 */   GIM_Try, /*On fail goto*//*Label 25354*/ GIMT_Encode4(1878211), // Rule ID 14473 //
     /* 1878127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1878138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1878141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1878144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878173 */     // MIs[0] policy
     /* 1878173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878183 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1878186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878210 */     // GIR_Coverage, 14473,
     /* 1878210 */     GIR_EraseRootFromParent_Done,
     /* 1878211 */   // Label 25354: @1878211
     /* 1878211 */   GIM_Try, /*On fail goto*//*Label 25355*/ GIMT_Encode4(1878300), // Rule ID 14476 //
     /* 1878216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1878227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1878230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1878233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878262 */     // MIs[0] policy
     /* 1878262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1878275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878299 */     // GIR_Coverage, 14476,
     /* 1878299 */     GIR_EraseRootFromParent_Done,
     /* 1878300 */   // Label 25355: @1878300
     /* 1878300 */   GIM_Try, /*On fail goto*//*Label 25356*/ GIMT_Encode4(1878389), // Rule ID 14477 //
     /* 1878305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1878316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1878319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1878322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878351 */     // MIs[0] policy
     /* 1878351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878361 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1878364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878388 */     // GIR_Coverage, 14477,
     /* 1878388 */     GIR_EraseRootFromParent_Done,
     /* 1878389 */   // Label 25356: @1878389
     /* 1878389 */   GIM_Try, /*On fail goto*//*Label 25357*/ GIMT_Encode4(1878478), // Rule ID 14480 //
     /* 1878394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1878405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1878408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1878411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878440 */     // MIs[0] policy
     /* 1878440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878450 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1878453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878477 */     // GIR_Coverage, 14480,
     /* 1878477 */     GIR_EraseRootFromParent_Done,
     /* 1878478 */   // Label 25357: @1878478
     /* 1878478 */   GIM_Try, /*On fail goto*//*Label 25358*/ GIMT_Encode4(1878567), // Rule ID 14481 //
     /* 1878483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1878494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1878497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1878500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878529 */     // MIs[0] policy
     /* 1878529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878539 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1878542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878566 */     // GIR_Coverage, 14481,
     /* 1878566 */     GIR_EraseRootFromParent_Done,
     /* 1878567 */   // Label 25358: @1878567
     /* 1878567 */   GIM_Try, /*On fail goto*//*Label 25359*/ GIMT_Encode4(1878656), // Rule ID 14484 //
     /* 1878572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1878583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1878586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1878589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878618 */     // MIs[0] policy
     /* 1878618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1878631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878655 */     // GIR_Coverage, 14484,
     /* 1878655 */     GIR_EraseRootFromParent_Done,
     /* 1878656 */   // Label 25359: @1878656
     /* 1878656 */   GIM_Try, /*On fail goto*//*Label 25360*/ GIMT_Encode4(1878745), // Rule ID 14485 //
     /* 1878661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1878672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1878675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1878678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878707 */     // MIs[0] policy
     /* 1878707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1878720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878744 */     // GIR_Coverage, 14485,
     /* 1878744 */     GIR_EraseRootFromParent_Done,
     /* 1878745 */   // Label 25360: @1878745
     /* 1878745 */   GIM_Try, /*On fail goto*//*Label 25361*/ GIMT_Encode4(1878834), // Rule ID 14488 //
     /* 1878750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1878753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1878761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1878764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1878767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878796 */     // MIs[0] policy
     /* 1878796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878806 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1878809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878833 */     // GIR_Coverage, 14488,
     /* 1878833 */     GIR_EraseRootFromParent_Done,
     /* 1878834 */   // Label 25361: @1878834
     /* 1878834 */   GIM_Try, /*On fail goto*//*Label 25362*/ GIMT_Encode4(1878923), // Rule ID 14489 //
     /* 1878839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1878842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1878850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1878853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1878856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878885 */     // MIs[0] policy
     /* 1878885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878895 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1878898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878922 */     // GIR_Coverage, 14489,
     /* 1878922 */     GIR_EraseRootFromParent_Done,
     /* 1878923 */   // Label 25362: @1878923
     /* 1878923 */   GIM_Try, /*On fail goto*//*Label 25363*/ GIMT_Encode4(1879012), // Rule ID 14492 //
     /* 1878928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1878931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1878939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1878942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1878945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878974 */     // MIs[0] policy
     /* 1878974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878984 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1878987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879011 */     // GIR_Coverage, 14492,
     /* 1879011 */     GIR_EraseRootFromParent_Done,
     /* 1879012 */   // Label 25363: @1879012
     /* 1879012 */   GIM_Try, /*On fail goto*//*Label 25364*/ GIMT_Encode4(1879101), // Rule ID 14493 //
     /* 1879017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1879028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1879031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1879034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879063 */     // MIs[0] policy
     /* 1879063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879073 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1879076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879100 */     // GIR_Coverage, 14493,
     /* 1879100 */     GIR_EraseRootFromParent_Done,
     /* 1879101 */   // Label 25364: @1879101
     /* 1879101 */   GIM_Try, /*On fail goto*//*Label 25365*/ GIMT_Encode4(1879190), // Rule ID 14496 //
     /* 1879106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1879117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1879120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1879123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879152 */     // MIs[0] policy
     /* 1879152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879162 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1879165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879189 */     // GIR_Coverage, 14496,
     /* 1879189 */     GIR_EraseRootFromParent_Done,
     /* 1879190 */   // Label 25365: @1879190
     /* 1879190 */   GIM_Try, /*On fail goto*//*Label 25366*/ GIMT_Encode4(1879279), // Rule ID 14497 //
     /* 1879195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1879206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1879209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1879212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879241 */     // MIs[0] policy
     /* 1879241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879251 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1879254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879278 */     // GIR_Coverage, 14497,
     /* 1879278 */     GIR_EraseRootFromParent_Done,
     /* 1879279 */   // Label 25366: @1879279
     /* 1879279 */   GIM_Try, /*On fail goto*//*Label 25367*/ GIMT_Encode4(1879368), // Rule ID 14588 //
     /* 1879284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1879295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1879298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1879301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1879304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879330 */     // MIs[0] policy
     /* 1879330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879340 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1879343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879367 */     // GIR_Coverage, 14588,
     /* 1879367 */     GIR_EraseRootFromParent_Done,
     /* 1879368 */   // Label 25367: @1879368
     /* 1879368 */   GIM_Try, /*On fail goto*//*Label 25368*/ GIMT_Encode4(1879457), // Rule ID 14589 //
     /* 1879373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1879384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1879387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1879390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1879393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879419 */     // MIs[0] policy
     /* 1879419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879429 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1879432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879456 */     // GIR_Coverage, 14589,
     /* 1879456 */     GIR_EraseRootFromParent_Done,
     /* 1879457 */   // Label 25368: @1879457
     /* 1879457 */   GIM_Try, /*On fail goto*//*Label 25369*/ GIMT_Encode4(1879546), // Rule ID 14592 //
     /* 1879462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1879473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1879476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1879479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1879482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879508 */     // MIs[0] policy
     /* 1879508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879518 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1879521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879545 */     // GIR_Coverage, 14592,
     /* 1879545 */     GIR_EraseRootFromParent_Done,
     /* 1879546 */   // Label 25369: @1879546
     /* 1879546 */   GIM_Try, /*On fail goto*//*Label 25370*/ GIMT_Encode4(1879635), // Rule ID 14593 //
     /* 1879551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1879562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1879565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1879568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1879571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879597 */     // MIs[0] policy
     /* 1879597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879607 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1879610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879634 */     // GIR_Coverage, 14593,
     /* 1879634 */     GIR_EraseRootFromParent_Done,
     /* 1879635 */   // Label 25370: @1879635
     /* 1879635 */   GIM_Try, /*On fail goto*//*Label 25371*/ GIMT_Encode4(1879724), // Rule ID 14596 //
     /* 1879640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1879651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1879654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1879657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1879660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879686 */     // MIs[0] policy
     /* 1879686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879696 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1879699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879723 */     // GIR_Coverage, 14596,
     /* 1879723 */     GIR_EraseRootFromParent_Done,
     /* 1879724 */   // Label 25371: @1879724
     /* 1879724 */   GIM_Try, /*On fail goto*//*Label 25372*/ GIMT_Encode4(1879813), // Rule ID 14597 //
     /* 1879729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1879740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1879743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1879746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1879749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879775 */     // MIs[0] policy
     /* 1879775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879785 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1879788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879812 */     // GIR_Coverage, 14597,
     /* 1879812 */     GIR_EraseRootFromParent_Done,
     /* 1879813 */   // Label 25372: @1879813
     /* 1879813 */   GIM_Try, /*On fail goto*//*Label 25373*/ GIMT_Encode4(1879902), // Rule ID 14600 //
     /* 1879818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1879829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1879832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1879835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1879838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879864 */     // MIs[0] policy
     /* 1879864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879874 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1879877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879901 */     // GIR_Coverage, 14600,
     /* 1879901 */     GIR_EraseRootFromParent_Done,
     /* 1879902 */   // Label 25373: @1879902
     /* 1879902 */   GIM_Try, /*On fail goto*//*Label 25374*/ GIMT_Encode4(1879991), // Rule ID 14601 //
     /* 1879907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1879918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1879921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1879924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1879927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879953 */     // MIs[0] policy
     /* 1879953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879963 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1879966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879990 */     // GIR_Coverage, 14601,
     /* 1879990 */     GIR_EraseRootFromParent_Done,
     /* 1879991 */   // Label 25374: @1879991
     /* 1879991 */   GIM_Try, /*On fail goto*//*Label 25375*/ GIMT_Encode4(1880080), // Rule ID 14604 //
     /* 1879996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1880007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1880010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1880013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1880016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880042 */     // MIs[0] policy
     /* 1880042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880052 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11636:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1880055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880079 */     // GIR_Coverage, 14604,
     /* 1880079 */     GIR_EraseRootFromParent_Done,
     /* 1880080 */   // Label 25375: @1880080
     /* 1880080 */   GIM_Try, /*On fail goto*//*Label 25376*/ GIMT_Encode4(1880169), // Rule ID 14605 //
     /* 1880085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1880096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1880099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1880102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1880105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880131 */     // MIs[0] policy
     /* 1880131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880141 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11636:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1880144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880168 */     // GIR_Coverage, 14605,
     /* 1880168 */     GIR_EraseRootFromParent_Done,
     /* 1880169 */   // Label 25376: @1880169
     /* 1880169 */   GIM_Try, /*On fail goto*//*Label 25377*/ GIMT_Encode4(1880258), // Rule ID 14608 //
     /* 1880174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1880185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1880188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1880191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1880194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880220 */     // MIs[0] policy
     /* 1880220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880230 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1880233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880257 */     // GIR_Coverage, 14608,
     /* 1880257 */     GIR_EraseRootFromParent_Done,
     /* 1880258 */   // Label 25377: @1880258
     /* 1880258 */   GIM_Try, /*On fail goto*//*Label 25378*/ GIMT_Encode4(1880347), // Rule ID 14609 //
     /* 1880263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1880274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1880277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1880280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1880283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880309 */     // MIs[0] policy
     /* 1880309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880319 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1880322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880346 */     // GIR_Coverage, 14609,
     /* 1880346 */     GIR_EraseRootFromParent_Done,
     /* 1880347 */   // Label 25378: @1880347
     /* 1880347 */   GIM_Try, /*On fail goto*//*Label 25379*/ GIMT_Encode4(1880436), // Rule ID 14612 //
     /* 1880352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1880363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1880366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1880369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1880372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880398 */     // MIs[0] policy
     /* 1880398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880435 */     // GIR_Coverage, 14612,
     /* 1880435 */     GIR_EraseRootFromParent_Done,
     /* 1880436 */   // Label 25379: @1880436
     /* 1880436 */   GIM_Try, /*On fail goto*//*Label 25380*/ GIMT_Encode4(1880525), // Rule ID 14613 //
     /* 1880441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1880452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1880455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1880458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1880461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880487 */     // MIs[0] policy
     /* 1880487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880497 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880524 */     // GIR_Coverage, 14613,
     /* 1880524 */     GIR_EraseRootFromParent_Done,
     /* 1880525 */   // Label 25380: @1880525
     /* 1880525 */   GIM_Try, /*On fail goto*//*Label 25381*/ GIMT_Encode4(1880614), // Rule ID 14616 //
     /* 1880530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1880541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1880544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1880547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1880550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880576 */     // MIs[0] policy
     /* 1880576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880586 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11636:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880613 */     // GIR_Coverage, 14616,
     /* 1880613 */     GIR_EraseRootFromParent_Done,
     /* 1880614 */   // Label 25381: @1880614
     /* 1880614 */   GIM_Try, /*On fail goto*//*Label 25382*/ GIMT_Encode4(1880703), // Rule ID 14617 //
     /* 1880619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1880630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1880633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1880636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1880639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880665 */     // MIs[0] policy
     /* 1880665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880675 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11636:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880702 */     // GIR_Coverage, 14617,
     /* 1880702 */     GIR_EraseRootFromParent_Done,
     /* 1880703 */   // Label 25382: @1880703
     /* 1880703 */   GIM_Try, /*On fail goto*//*Label 25383*/ GIMT_Encode4(1880792), // Rule ID 14620 //
     /* 1880708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1880719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1880722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1880725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1880728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880754 */     // MIs[0] policy
     /* 1880754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880764 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11636:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880791 */     // GIR_Coverage, 14620,
     /* 1880791 */     GIR_EraseRootFromParent_Done,
     /* 1880792 */   // Label 25383: @1880792
     /* 1880792 */   GIM_Try, /*On fail goto*//*Label 25384*/ GIMT_Encode4(1880881), // Rule ID 14621 //
     /* 1880797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1880808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1880811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1880814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1880817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880843 */     // MIs[0] policy
     /* 1880843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11636:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880880 */     // GIR_Coverage, 14621,
     /* 1880880 */     GIR_EraseRootFromParent_Done,
     /* 1880881 */   // Label 25384: @1880881
     /* 1880881 */   GIM_Try, /*On fail goto*//*Label 25385*/ GIMT_Encode4(1880970), // Rule ID 14624 //
     /* 1880886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1880889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1880897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1880900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1880903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1880906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880932 */     // MIs[0] policy
     /* 1880932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1880945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880969 */     // GIR_Coverage, 14624,
     /* 1880969 */     GIR_EraseRootFromParent_Done,
     /* 1880970 */   // Label 25385: @1880970
     /* 1880970 */   GIM_Try, /*On fail goto*//*Label 25386*/ GIMT_Encode4(1881059), // Rule ID 14625 //
     /* 1880975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1880978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1880986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1880989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1880992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1880995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881021 */     // MIs[0] policy
     /* 1881021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881031 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1881034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881058 */     // GIR_Coverage, 14625,
     /* 1881058 */     GIR_EraseRootFromParent_Done,
     /* 1881059 */   // Label 25386: @1881059
     /* 1881059 */   GIM_Try, /*On fail goto*//*Label 25387*/ GIMT_Encode4(1881148), // Rule ID 14628 //
     /* 1881064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1881075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1881078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1881081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1881084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881110 */     // MIs[0] policy
     /* 1881110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881120 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1881123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881147 */     // GIR_Coverage, 14628,
     /* 1881147 */     GIR_EraseRootFromParent_Done,
     /* 1881148 */   // Label 25387: @1881148
     /* 1881148 */   GIM_Try, /*On fail goto*//*Label 25388*/ GIMT_Encode4(1881237), // Rule ID 14629 //
     /* 1881153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1881164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1881167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1881170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1881173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881199 */     // MIs[0] policy
     /* 1881199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881209 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1881212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881236 */     // GIR_Coverage, 14629,
     /* 1881236 */     GIR_EraseRootFromParent_Done,
     /* 1881237 */   // Label 25388: @1881237
     /* 1881237 */   GIM_Try, /*On fail goto*//*Label 25389*/ GIMT_Encode4(1881326), // Rule ID 14632 //
     /* 1881242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1881253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1881256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1881259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1881262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1881265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881288 */     // MIs[0] policy
     /* 1881288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881298 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1881301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881325 */     // GIR_Coverage, 14632,
     /* 1881325 */     GIR_EraseRootFromParent_Done,
     /* 1881326 */   // Label 25389: @1881326
     /* 1881326 */   GIM_Try, /*On fail goto*//*Label 25390*/ GIMT_Encode4(1881415), // Rule ID 14633 //
     /* 1881331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1881342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1881345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1881348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1881351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1881354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881377 */     // MIs[0] policy
     /* 1881377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881387 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1881390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881414 */     // GIR_Coverage, 14633,
     /* 1881414 */     GIR_EraseRootFromParent_Done,
     /* 1881415 */   // Label 25390: @1881415
     /* 1881415 */   GIM_Try, /*On fail goto*//*Label 25391*/ GIMT_Encode4(1881504), // Rule ID 14636 //
     /* 1881420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1881431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1881434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1881437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1881440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1881443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881466 */     // MIs[0] policy
     /* 1881466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881476 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1881479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881503 */     // GIR_Coverage, 14636,
     /* 1881503 */     GIR_EraseRootFromParent_Done,
     /* 1881504 */   // Label 25391: @1881504
     /* 1881504 */   GIM_Try, /*On fail goto*//*Label 25392*/ GIMT_Encode4(1881593), // Rule ID 14637 //
     /* 1881509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1881520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1881523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1881526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1881529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1881532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881555 */     // MIs[0] policy
     /* 1881555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881565 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1881568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881592 */     // GIR_Coverage, 14637,
     /* 1881592 */     GIR_EraseRootFromParent_Done,
     /* 1881593 */   // Label 25392: @1881593
     /* 1881593 */   GIM_Try, /*On fail goto*//*Label 25393*/ GIMT_Encode4(1881682), // Rule ID 14640 //
     /* 1881598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1881609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1881612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1881615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1881618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881644 */     // MIs[0] policy
     /* 1881644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1881657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881681 */     // GIR_Coverage, 14640,
     /* 1881681 */     GIR_EraseRootFromParent_Done,
     /* 1881682 */   // Label 25393: @1881682
     /* 1881682 */   GIM_Try, /*On fail goto*//*Label 25394*/ GIMT_Encode4(1881771), // Rule ID 14641 //
     /* 1881687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1881698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1881701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1881704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1881707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881733 */     // MIs[0] policy
     /* 1881733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881743 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1881746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881770 */     // GIR_Coverage, 14641,
     /* 1881770 */     GIR_EraseRootFromParent_Done,
     /* 1881771 */   // Label 25394: @1881771
     /* 1881771 */   GIM_Try, /*On fail goto*//*Label 25395*/ GIMT_Encode4(1881860), // Rule ID 14644 //
     /* 1881776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1881787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1881790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1881793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1881796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881822 */     // MIs[0] policy
     /* 1881822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1881835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881859 */     // GIR_Coverage, 14644,
     /* 1881859 */     GIR_EraseRootFromParent_Done,
     /* 1881860 */   // Label 25395: @1881860
     /* 1881860 */   GIM_Try, /*On fail goto*//*Label 25396*/ GIMT_Encode4(1881949), // Rule ID 14645 //
     /* 1881865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1881876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1881879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1881882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1881885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881911 */     // MIs[0] policy
     /* 1881911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881921 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1881924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881948 */     // GIR_Coverage, 14645,
     /* 1881948 */     GIR_EraseRootFromParent_Done,
     /* 1881949 */   // Label 25396: @1881949
     /* 1881949 */   GIM_Try, /*On fail goto*//*Label 25397*/ GIMT_Encode4(1882038), // Rule ID 14648 //
     /* 1881954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1881965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1881968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1881971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1881974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1881977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882000 */     // MIs[0] policy
     /* 1882000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882010 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1882013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882037 */     // GIR_Coverage, 14648,
     /* 1882037 */     GIR_EraseRootFromParent_Done,
     /* 1882038 */   // Label 25397: @1882038
     /* 1882038 */   GIM_Try, /*On fail goto*//*Label 25398*/ GIMT_Encode4(1882127), // Rule ID 14649 //
     /* 1882043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1882054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1882057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1882060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1882063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882089 */     // MIs[0] policy
     /* 1882089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1882102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882126 */     // GIR_Coverage, 14649,
     /* 1882126 */     GIR_EraseRootFromParent_Done,
     /* 1882127 */   // Label 25398: @1882127
     /* 1882127 */   GIM_Try, /*On fail goto*//*Label 25399*/ GIMT_Encode4(1882216), // Rule ID 14652 //
     /* 1882132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1882143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1882146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1882149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1882152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882178 */     // MIs[0] policy
     /* 1882178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882188 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1882191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882215 */     // GIR_Coverage, 14652,
     /* 1882215 */     GIR_EraseRootFromParent_Done,
     /* 1882216 */   // Label 25399: @1882216
     /* 1882216 */   GIM_Try, /*On fail goto*//*Label 25400*/ GIMT_Encode4(1882305), // Rule ID 14653 //
     /* 1882221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1882232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1882235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1882238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1882241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882267 */     // MIs[0] policy
     /* 1882267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1882280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882304 */     // GIR_Coverage, 14653,
     /* 1882304 */     GIR_EraseRootFromParent_Done,
     /* 1882305 */   // Label 25400: @1882305
     /* 1882305 */   GIM_Try, /*On fail goto*//*Label 25401*/ GIMT_Encode4(1882394), // Rule ID 14656 //
     /* 1882310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1882321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1882324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1882327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1882330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882356 */     // MIs[0] policy
     /* 1882356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1882369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882393 */     // GIR_Coverage, 14656,
     /* 1882393 */     GIR_EraseRootFromParent_Done,
     /* 1882394 */   // Label 25401: @1882394
     /* 1882394 */   GIM_Try, /*On fail goto*//*Label 25402*/ GIMT_Encode4(1882483), // Rule ID 14657 //
     /* 1882399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1882410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1882413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1882416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1882419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882445 */     // MIs[0] policy
     /* 1882445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882455 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1882458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882482 */     // GIR_Coverage, 14657,
     /* 1882482 */     GIR_EraseRootFromParent_Done,
     /* 1882483 */   // Label 25402: @1882483
     /* 1882483 */   GIM_Try, /*On fail goto*//*Label 25403*/ GIMT_Encode4(1882572), // Rule ID 14660 //
     /* 1882488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1882499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1882502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1882505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1882508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882534 */     // MIs[0] policy
     /* 1882534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882544 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1882547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882571 */     // GIR_Coverage, 14660,
     /* 1882571 */     GIR_EraseRootFromParent_Done,
     /* 1882572 */   // Label 25403: @1882572
     /* 1882572 */   GIM_Try, /*On fail goto*//*Label 25404*/ GIMT_Encode4(1882661), // Rule ID 14661 //
     /* 1882577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1882588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1882591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1882594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1882597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882623 */     // MIs[0] policy
     /* 1882623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882633 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1882636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882660 */     // GIR_Coverage, 14661,
     /* 1882660 */     GIR_EraseRootFromParent_Done,
     /* 1882661 */   // Label 25404: @1882661
     /* 1882661 */   GIM_Try, /*On fail goto*//*Label 25405*/ GIMT_Encode4(1882750), // Rule ID 14664 //
     /* 1882666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1882669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1882677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1882680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1882683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1882686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882712 */     // MIs[0] policy
     /* 1882712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1882725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882749 */     // GIR_Coverage, 14664,
     /* 1882749 */     GIR_EraseRootFromParent_Done,
     /* 1882750 */   // Label 25405: @1882750
     /* 1882750 */   GIM_Try, /*On fail goto*//*Label 25406*/ GIMT_Encode4(1882839), // Rule ID 14665 //
     /* 1882755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1882758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1882766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1882769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1882772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1882775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882801 */     // MIs[0] policy
     /* 1882801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1882814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882838 */     // GIR_Coverage, 14665,
     /* 1882838 */     GIR_EraseRootFromParent_Done,
     /* 1882839 */   // Label 25406: @1882839
     /* 1882839 */   GIM_Try, /*On fail goto*//*Label 25407*/ GIMT_Encode4(1882928), // Rule ID 14668 //
     /* 1882844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1882847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1882855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1882858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1882861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1882864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882890 */     // MIs[0] policy
     /* 1882890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882900 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1882903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882927 */     // GIR_Coverage, 14668,
     /* 1882927 */     GIR_EraseRootFromParent_Done,
     /* 1882928 */   // Label 25407: @1882928
     /* 1882928 */   GIM_Try, /*On fail goto*//*Label 25408*/ GIMT_Encode4(1883017), // Rule ID 14669 //
     /* 1882933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1882936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1882944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1882947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1882950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1882953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882979 */     // MIs[0] policy
     /* 1882979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882989 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1882992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883016 */     // GIR_Coverage, 14669,
     /* 1883016 */     GIR_EraseRootFromParent_Done,
     /* 1883017 */   // Label 25408: @1883017
     /* 1883017 */   GIM_Try, /*On fail goto*//*Label 25409*/ GIMT_Encode4(1883106), // Rule ID 14672 //
     /* 1883022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1883033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1883036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1883039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1883042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883068 */     // MIs[0] policy
     /* 1883068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883078 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1883081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883105 */     // GIR_Coverage, 14672,
     /* 1883105 */     GIR_EraseRootFromParent_Done,
     /* 1883106 */   // Label 25409: @1883106
     /* 1883106 */   GIM_Try, /*On fail goto*//*Label 25410*/ GIMT_Encode4(1883195), // Rule ID 14673 //
     /* 1883111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1883114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1883122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1883125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1883128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1883131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883157 */     // MIs[0] policy
     /* 1883157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883167 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1883170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883194 */     // GIR_Coverage, 14673,
     /* 1883194 */     GIR_EraseRootFromParent_Done,
     /* 1883195 */   // Label 25410: @1883195
     /* 1883195 */   GIM_Try, /*On fail goto*//*Label 25411*/ GIMT_Encode4(1883284), // Rule ID 14676 //
     /* 1883200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1883211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1883214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1883217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883246 */     // MIs[0] policy
     /* 1883246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883256 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1883259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883283 */     // GIR_Coverage, 14676,
     /* 1883283 */     GIR_EraseRootFromParent_Done,
     /* 1883284 */   // Label 25411: @1883284
     /* 1883284 */   GIM_Try, /*On fail goto*//*Label 25412*/ GIMT_Encode4(1883373), // Rule ID 14677 //
     /* 1883289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1883300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1883303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1883306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883335 */     // MIs[0] policy
     /* 1883335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883345 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1883348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883372 */     // GIR_Coverage, 14677,
     /* 1883372 */     GIR_EraseRootFromParent_Done,
     /* 1883373 */   // Label 25412: @1883373
     /* 1883373 */   GIM_Try, /*On fail goto*//*Label 25413*/ GIMT_Encode4(1883462), // Rule ID 14680 //
     /* 1883378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1883389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1883392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1883395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883424 */     // MIs[0] policy
     /* 1883424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883434 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1883437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883461 */     // GIR_Coverage, 14680,
     /* 1883461 */     GIR_EraseRootFromParent_Done,
     /* 1883462 */   // Label 25413: @1883462
     /* 1883462 */   GIM_Try, /*On fail goto*//*Label 25414*/ GIMT_Encode4(1883551), // Rule ID 14681 //
     /* 1883467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1883478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1883481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1883484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883513 */     // MIs[0] policy
     /* 1883513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883523 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1883526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883550 */     // GIR_Coverage, 14681,
     /* 1883550 */     GIR_EraseRootFromParent_Done,
     /* 1883551 */   // Label 25414: @1883551
     /* 1883551 */   GIM_Try, /*On fail goto*//*Label 25415*/ GIMT_Encode4(1883640), // Rule ID 14684 //
     /* 1883556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1883567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1883570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1883573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883602 */     // MIs[0] policy
     /* 1883602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883612 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1883615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883639 */     // GIR_Coverage, 14684,
     /* 1883639 */     GIR_EraseRootFromParent_Done,
     /* 1883640 */   // Label 25415: @1883640
     /* 1883640 */   GIM_Try, /*On fail goto*//*Label 25416*/ GIMT_Encode4(1883729), // Rule ID 14685 //
     /* 1883645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1883656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1883659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1883662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883691 */     // MIs[0] policy
     /* 1883691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883701 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1883704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883728 */     // GIR_Coverage, 14685,
     /* 1883728 */     GIR_EraseRootFromParent_Done,
     /* 1883729 */   // Label 25416: @1883729
     /* 1883729 */   GIM_Try, /*On fail goto*//*Label 25417*/ GIMT_Encode4(1883818), // Rule ID 14688 //
     /* 1883734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1883745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1883748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1883751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883780 */     // MIs[0] policy
     /* 1883780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883790 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1883793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883817 */     // GIR_Coverage, 14688,
     /* 1883817 */     GIR_EraseRootFromParent_Done,
     /* 1883818 */   // Label 25417: @1883818
     /* 1883818 */   GIM_Try, /*On fail goto*//*Label 25418*/ GIMT_Encode4(1883907), // Rule ID 14689 //
     /* 1883823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1883834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1883837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1883840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883869 */     // MIs[0] policy
     /* 1883869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883879 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1883882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883906 */     // GIR_Coverage, 14689,
     /* 1883906 */     GIR_EraseRootFromParent_Done,
     /* 1883907 */   // Label 25418: @1883907
     /* 1883907 */   GIM_Try, /*On fail goto*//*Label 25419*/ GIMT_Encode4(1883996), // Rule ID 14692 //
     /* 1883912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1883923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1883926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1883929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883958 */     // MIs[0] policy
     /* 1883958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883968 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11636:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1883971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883995 */     // GIR_Coverage, 14692,
     /* 1883995 */     GIR_EraseRootFromParent_Done,
     /* 1883996 */   // Label 25419: @1883996
     /* 1883996 */   GIM_Try, /*On fail goto*//*Label 25420*/ GIMT_Encode4(1884085), // Rule ID 14693 //
     /* 1884001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1884012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1884015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1884018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884047 */     // MIs[0] policy
     /* 1884047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884057 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11636:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1884060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884084 */     // GIR_Coverage, 14693,
     /* 1884084 */     GIR_EraseRootFromParent_Done,
     /* 1884085 */   // Label 25420: @1884085
     /* 1884085 */   GIM_Try, /*On fail goto*//*Label 25421*/ GIMT_Encode4(1884174), // Rule ID 14696 //
     /* 1884090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1884101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1884104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884136 */     // MIs[0] policy
     /* 1884136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1884149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884173 */     // GIR_Coverage, 14696,
     /* 1884173 */     GIR_EraseRootFromParent_Done,
     /* 1884174 */   // Label 25421: @1884174
     /* 1884174 */   GIM_Try, /*On fail goto*//*Label 25422*/ GIMT_Encode4(1884263), // Rule ID 14697 //
     /* 1884179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1884190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1884193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884225 */     // MIs[0] policy
     /* 1884225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884235 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1884238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884262 */     // GIR_Coverage, 14697,
     /* 1884262 */     GIR_EraseRootFromParent_Done,
     /* 1884263 */   // Label 25422: @1884263
     /* 1884263 */   GIM_Try, /*On fail goto*//*Label 25423*/ GIMT_Encode4(1884352), // Rule ID 14700 //
     /* 1884268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1884279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1884282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1884285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884314 */     // MIs[0] policy
     /* 1884314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884324 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884351 */     // GIR_Coverage, 14700,
     /* 1884351 */     GIR_EraseRootFromParent_Done,
     /* 1884352 */   // Label 25423: @1884352
     /* 1884352 */   GIM_Try, /*On fail goto*//*Label 25424*/ GIMT_Encode4(1884441), // Rule ID 14701 //
     /* 1884357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1884368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1884371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1884374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884403 */     // MIs[0] policy
     /* 1884403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884413 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11636:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884440 */     // GIR_Coverage, 14701,
     /* 1884440 */     GIR_EraseRootFromParent_Done,
     /* 1884441 */   // Label 25424: @1884441
     /* 1884441 */   GIM_Try, /*On fail goto*//*Label 25425*/ GIMT_Encode4(1884530), // Rule ID 14704 //
     /* 1884446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1884457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1884460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1884463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884492 */     // MIs[0] policy
     /* 1884492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884502 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11636:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884529 */     // GIR_Coverage, 14704,
     /* 1884529 */     GIR_EraseRootFromParent_Done,
     /* 1884530 */   // Label 25425: @1884530
     /* 1884530 */   GIM_Try, /*On fail goto*//*Label 25426*/ GIMT_Encode4(1884619), // Rule ID 14705 //
     /* 1884535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1884546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1884549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1884552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884581 */     // MIs[0] policy
     /* 1884581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884591 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11636:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884618 */     // GIR_Coverage, 14705,
     /* 1884618 */     GIR_EraseRootFromParent_Done,
     /* 1884619 */   // Label 25426: @1884619
     /* 1884619 */   GIM_Try, /*On fail goto*//*Label 25427*/ GIMT_Encode4(1884708), // Rule ID 14708 //
     /* 1884624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1884635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1884638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1884641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884670 */     // MIs[0] policy
     /* 1884670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11636:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884707 */     // GIR_Coverage, 14708,
     /* 1884707 */     GIR_EraseRootFromParent_Done,
     /* 1884708 */   // Label 25427: @1884708
     /* 1884708 */   GIM_Try, /*On fail goto*//*Label 25428*/ GIMT_Encode4(1884797), // Rule ID 14709 //
     /* 1884713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1884724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1884727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1884730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884759 */     // MIs[0] policy
     /* 1884759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884769 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11636:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884796 */     // GIR_Coverage, 14709,
     /* 1884796 */     GIR_EraseRootFromParent_Done,
     /* 1884797 */   // Label 25428: @1884797
     /* 1884797 */   GIM_Try, /*On fail goto*//*Label 25429*/ GIMT_Encode4(1884886), // Rule ID 14712 //
     /* 1884802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1884805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1884813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1884816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1884819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884848 */     // MIs[0] policy
     /* 1884848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884858 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884885 */     // GIR_Coverage, 14712,
     /* 1884885 */     GIR_EraseRootFromParent_Done,
     /* 1884886 */   // Label 25429: @1884886
     /* 1884886 */   GIM_Try, /*On fail goto*//*Label 25430*/ GIMT_Encode4(1884975), // Rule ID 14713 //
     /* 1884891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1884894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1884902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1884905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1884908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884937 */     // MIs[0] policy
     /* 1884937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884947 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11636:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1884950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884974 */     // GIR_Coverage, 14713,
     /* 1884974 */     GIR_EraseRootFromParent_Done,
     /* 1884975 */   // Label 25430: @1884975
     /* 1884975 */   GIM_Try, /*On fail goto*//*Label 25431*/ GIMT_Encode4(1885064), // Rule ID 14716 //
     /* 1884980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1884991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1884994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1884997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885026 */     // MIs[0] policy
     /* 1885026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1885039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885063 */     // GIR_Coverage, 14716,
     /* 1885063 */     GIR_EraseRootFromParent_Done,
     /* 1885064 */   // Label 25431: @1885064
     /* 1885064 */   GIM_Try, /*On fail goto*//*Label 25432*/ GIMT_Encode4(1885153), // Rule ID 14717 //
     /* 1885069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1885080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1885083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1885086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885115 */     // MIs[0] policy
     /* 1885115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885125 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1885128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885152 */     // GIR_Coverage, 14717,
     /* 1885152 */     GIR_EraseRootFromParent_Done,
     /* 1885153 */   // Label 25432: @1885153
     /* 1885153 */   GIM_Try, /*On fail goto*//*Label 25433*/ GIMT_Encode4(1885242), // Rule ID 14720 //
     /* 1885158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1885169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1885172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1885175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885204 */     // MIs[0] policy
     /* 1885204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885214 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1885217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885241 */     // GIR_Coverage, 14720,
     /* 1885241 */     GIR_EraseRootFromParent_Done,
     /* 1885242 */   // Label 25433: @1885242
     /* 1885242 */   GIM_Try, /*On fail goto*//*Label 25434*/ GIMT_Encode4(1885331), // Rule ID 14721 //
     /* 1885247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1885258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1885261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1885264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885293 */     // MIs[0] policy
     /* 1885293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885303 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1885306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885330 */     // GIR_Coverage, 14721,
     /* 1885330 */     GIR_EraseRootFromParent_Done,
     /* 1885331 */   // Label 25434: @1885331
     /* 1885331 */   GIM_Try, /*On fail goto*//*Label 25435*/ GIMT_Encode4(1885420), // Rule ID 14724 //
     /* 1885336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1885347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1885350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1885353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1885359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885382 */     // MIs[0] policy
     /* 1885382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1885395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885419 */     // GIR_Coverage, 14724,
     /* 1885419 */     GIR_EraseRootFromParent_Done,
     /* 1885420 */   // Label 25435: @1885420
     /* 1885420 */   GIM_Try, /*On fail goto*//*Label 25436*/ GIMT_Encode4(1885509), // Rule ID 14725 //
     /* 1885425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1885436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1885439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1885442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1885448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885471 */     // MIs[0] policy
     /* 1885471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885481 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1885484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885508 */     // GIR_Coverage, 14725,
     /* 1885508 */     GIR_EraseRootFromParent_Done,
     /* 1885509 */   // Label 25436: @1885509
     /* 1885509 */   GIM_Try, /*On fail goto*//*Label 25437*/ GIMT_Encode4(1885598), // Rule ID 14728 //
     /* 1885514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1885525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1885528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1885531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885560 */     // MIs[0] policy
     /* 1885560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885570 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1885573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885597 */     // GIR_Coverage, 14728,
     /* 1885597 */     GIR_EraseRootFromParent_Done,
     /* 1885598 */   // Label 25437: @1885598
     /* 1885598 */   GIM_Try, /*On fail goto*//*Label 25438*/ GIMT_Encode4(1885687), // Rule ID 14729 //
     /* 1885603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1885614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1885617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1885620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885649 */     // MIs[0] policy
     /* 1885649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885659 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1885662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885686 */     // GIR_Coverage, 14729,
     /* 1885686 */     GIR_EraseRootFromParent_Done,
     /* 1885687 */   // Label 25438: @1885687
     /* 1885687 */   GIM_Try, /*On fail goto*//*Label 25439*/ GIMT_Encode4(1885776), // Rule ID 14732 //
     /* 1885692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1885703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1885706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1885709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885738 */     // MIs[0] policy
     /* 1885738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885748 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1885751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885775 */     // GIR_Coverage, 14732,
     /* 1885775 */     GIR_EraseRootFromParent_Done,
     /* 1885776 */   // Label 25439: @1885776
     /* 1885776 */   GIM_Try, /*On fail goto*//*Label 25440*/ GIMT_Encode4(1885865), // Rule ID 14733 //
     /* 1885781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1885792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1885795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1885798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885827 */     // MIs[0] policy
     /* 1885827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885837 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1885840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885864 */     // GIR_Coverage, 14733,
     /* 1885864 */     GIR_EraseRootFromParent_Done,
     /* 1885865 */   // Label 25440: @1885865
     /* 1885865 */   GIM_Try, /*On fail goto*//*Label 25441*/ GIMT_Encode4(1885954), // Rule ID 14736 //
     /* 1885870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1885881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1885884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1885887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885916 */     // MIs[0] policy
     /* 1885916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885926 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1885929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885953 */     // GIR_Coverage, 14736,
     /* 1885953 */     GIR_EraseRootFromParent_Done,
     /* 1885954 */   // Label 25441: @1885954
     /* 1885954 */   GIM_Try, /*On fail goto*//*Label 25442*/ GIMT_Encode4(1886043), // Rule ID 14737 //
     /* 1885959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1885970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1885973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1885976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886005 */     // MIs[0] policy
     /* 1886005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886015 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1886018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886042 */     // GIR_Coverage, 14737,
     /* 1886042 */     GIR_EraseRootFromParent_Done,
     /* 1886043 */   // Label 25442: @1886043
     /* 1886043 */   GIM_Try, /*On fail goto*//*Label 25443*/ GIMT_Encode4(1886132), // Rule ID 14740 //
     /* 1886048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1886065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886094 */     // MIs[0] policy
     /* 1886094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886104 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1886107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886131 */     // GIR_Coverage, 14740,
     /* 1886131 */     GIR_EraseRootFromParent_Done,
     /* 1886132 */   // Label 25443: @1886132
     /* 1886132 */   GIM_Try, /*On fail goto*//*Label 25444*/ GIMT_Encode4(1886221), // Rule ID 14741 //
     /* 1886137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1886154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886183 */     // MIs[0] policy
     /* 1886183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886193 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1886196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886220 */     // GIR_Coverage, 14741,
     /* 1886220 */     GIR_EraseRootFromParent_Done,
     /* 1886221 */   // Label 25444: @1886221
     /* 1886221 */   GIM_Try, /*On fail goto*//*Label 25445*/ GIMT_Encode4(1886310), // Rule ID 14744 //
     /* 1886226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1886237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1886240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1886243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886272 */     // MIs[0] policy
     /* 1886272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886282 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1886285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886309 */     // GIR_Coverage, 14744,
     /* 1886309 */     GIR_EraseRootFromParent_Done,
     /* 1886310 */   // Label 25445: @1886310
     /* 1886310 */   GIM_Try, /*On fail goto*//*Label 25446*/ GIMT_Encode4(1886399), // Rule ID 14745 //
     /* 1886315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1886326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1886329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1886332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886361 */     // MIs[0] policy
     /* 1886361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1886374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886398 */     // GIR_Coverage, 14745,
     /* 1886398 */     GIR_EraseRootFromParent_Done,
     /* 1886399 */   // Label 25446: @1886399
     /* 1886399 */   GIM_Try, /*On fail goto*//*Label 25447*/ GIMT_Encode4(1886488), // Rule ID 14748 //
     /* 1886404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1886415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1886418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1886421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886450 */     // MIs[0] policy
     /* 1886450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886460 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1886463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886487 */     // GIR_Coverage, 14748,
     /* 1886487 */     GIR_EraseRootFromParent_Done,
     /* 1886488 */   // Label 25447: @1886488
     /* 1886488 */   GIM_Try, /*On fail goto*//*Label 25448*/ GIMT_Encode4(1886577), // Rule ID 14749 //
     /* 1886493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1886504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1886507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1886510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886539 */     // MIs[0] policy
     /* 1886539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886549 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1886552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886576 */     // GIR_Coverage, 14749,
     /* 1886576 */     GIR_EraseRootFromParent_Done,
     /* 1886577 */   // Label 25448: @1886577
     /* 1886577 */   GIM_Try, /*On fail goto*//*Label 25449*/ GIMT_Encode4(1886666), // Rule ID 14752 //
     /* 1886582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1886585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1886593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1886596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1886599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886628 */     // MIs[0] policy
     /* 1886628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886638 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1886641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886665 */     // GIR_Coverage, 14752,
     /* 1886665 */     GIR_EraseRootFromParent_Done,
     /* 1886666 */   // Label 25449: @1886666
     /* 1886666 */   GIM_Try, /*On fail goto*//*Label 25450*/ GIMT_Encode4(1886755), // Rule ID 14753 //
     /* 1886671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1886674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1886682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1886685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1886688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886717 */     // MIs[0] policy
     /* 1886717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886727 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11636:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1886730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886754 */     // GIR_Coverage, 14753,
     /* 1886754 */     GIR_EraseRootFromParent_Done,
     /* 1886755 */   // Label 25450: @1886755
     /* 1886755 */   GIM_Try, /*On fail goto*//*Label 25451*/ GIMT_Encode4(1886844), // Rule ID 14756 //
     /* 1886760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1886763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1886771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1886774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1886777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886806 */     // MIs[0] policy
     /* 1886806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886816 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1886819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886843 */     // GIR_Coverage, 14756,
     /* 1886843 */     GIR_EraseRootFromParent_Done,
     /* 1886844 */   // Label 25451: @1886844
     /* 1886844 */   GIM_Try, /*On fail goto*//*Label 25452*/ GIMT_Encode4(1886933), // Rule ID 14757 //
     /* 1886849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1886852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1886860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1886863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1886866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886895 */     // MIs[0] policy
     /* 1886895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886905 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11636:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1886908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886932 */     // GIR_Coverage, 14757,
     /* 1886932 */     GIR_EraseRootFromParent_Done,
     /* 1886933 */   // Label 25452: @1886933
     /* 1886933 */   GIM_Try, /*On fail goto*//*Label 25453*/ GIMT_Encode4(1887022), // Rule ID 14760 //
     /* 1886938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1886941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1886949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1886952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1886955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886984 */     // MIs[0] policy
     /* 1886984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886994 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1886997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887021 */     // GIR_Coverage, 14760,
     /* 1887021 */     GIR_EraseRootFromParent_Done,
     /* 1887022 */   // Label 25453: @1887022
     /* 1887022 */   GIM_Try, /*On fail goto*//*Label 25454*/ GIMT_Encode4(1887111), // Rule ID 14761 //
     /* 1887027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1887030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1887035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1887038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1887041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1887044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887073 */     // MIs[0] policy
     /* 1887073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11636:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1887086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887110 */     // GIR_Coverage, 14761,
     /* 1887110 */     GIR_EraseRootFromParent_Done,
     /* 1887111 */   // Label 25454: @1887111
     /* 1887111 */   GIM_Try, /*On fail goto*//*Label 25455*/ GIMT_Encode4(1887200), // Rule ID 14764 //
     /* 1887116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1887127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1887130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1887133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1887136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887162 */     // MIs[0] policy
     /* 1887162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1887175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887199 */     // GIR_Coverage, 14764,
     /* 1887199 */     GIR_EraseRootFromParent_Done,
     /* 1887200 */   // Label 25455: @1887200
     /* 1887200 */   GIM_Try, /*On fail goto*//*Label 25456*/ GIMT_Encode4(1887289), // Rule ID 14765 //
     /* 1887205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1887216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1887219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1887222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1887225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887251 */     // MIs[0] policy
     /* 1887251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887261 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1887264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887288 */     // GIR_Coverage, 14765,
     /* 1887288 */     GIR_EraseRootFromParent_Done,
     /* 1887289 */   // Label 25456: @1887289
     /* 1887289 */   GIM_Try, /*On fail goto*//*Label 25457*/ GIMT_Encode4(1887378), // Rule ID 14768 //
     /* 1887294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1887305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1887308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1887311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1887314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887340 */     // MIs[0] policy
     /* 1887340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887350 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1887353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887377 */     // GIR_Coverage, 14768,
     /* 1887377 */     GIR_EraseRootFromParent_Done,
     /* 1887378 */   // Label 25457: @1887378
     /* 1887378 */   GIM_Try, /*On fail goto*//*Label 25458*/ GIMT_Encode4(1887467), // Rule ID 14769 //
     /* 1887383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1887394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1887397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1887400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1887403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887429 */     // MIs[0] policy
     /* 1887429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887439 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1887442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887466 */     // GIR_Coverage, 14769,
     /* 1887466 */     GIR_EraseRootFromParent_Done,
     /* 1887467 */   // Label 25458: @1887467
     /* 1887467 */   GIM_Try, /*On fail goto*//*Label 25459*/ GIMT_Encode4(1887556), // Rule ID 14772 //
     /* 1887472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1887483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1887486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1887489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1887492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887518 */     // MIs[0] policy
     /* 1887518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887528 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1887531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887555 */     // GIR_Coverage, 14772,
     /* 1887555 */     GIR_EraseRootFromParent_Done,
     /* 1887556 */   // Label 25459: @1887556
     /* 1887556 */   GIM_Try, /*On fail goto*//*Label 25460*/ GIMT_Encode4(1887645), // Rule ID 14773 //
     /* 1887561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1887572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1887575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1887578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1887581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887607 */     // MIs[0] policy
     /* 1887607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887617 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1887620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887644 */     // GIR_Coverage, 14773,
     /* 1887644 */     GIR_EraseRootFromParent_Done,
     /* 1887645 */   // Label 25460: @1887645
     /* 1887645 */   GIM_Try, /*On fail goto*//*Label 25461*/ GIMT_Encode4(1887734), // Rule ID 14776 //
     /* 1887650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1887661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1887664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1887667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1887670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887696 */     // MIs[0] policy
     /* 1887696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887706 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1887709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887733 */     // GIR_Coverage, 14776,
     /* 1887733 */     GIR_EraseRootFromParent_Done,
     /* 1887734 */   // Label 25461: @1887734
     /* 1887734 */   GIM_Try, /*On fail goto*//*Label 25462*/ GIMT_Encode4(1887823), // Rule ID 14777 //
     /* 1887739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1887750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1887753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1887756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1887759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887785 */     // MIs[0] policy
     /* 1887785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887795 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1887798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887822 */     // GIR_Coverage, 14777,
     /* 1887822 */     GIR_EraseRootFromParent_Done,
     /* 1887823 */   // Label 25462: @1887823
     /* 1887823 */   GIM_Try, /*On fail goto*//*Label 25463*/ GIMT_Encode4(1887912), // Rule ID 14780 //
     /* 1887828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1887839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1887842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1887845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1887848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887874 */     // MIs[0] policy
     /* 1887874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887884 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11634:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1887887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887911 */     // GIR_Coverage, 14780,
     /* 1887911 */     GIR_EraseRootFromParent_Done,
     /* 1887912 */   // Label 25463: @1887912
     /* 1887912 */   GIM_Try, /*On fail goto*//*Label 25464*/ GIMT_Encode4(1888001), // Rule ID 14781 //
     /* 1887917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1887928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1887931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1887934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1887937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887963 */     // MIs[0] policy
     /* 1887963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887973 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11634:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1887976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888000 */     // GIR_Coverage, 14781,
     /* 1888000 */     GIR_EraseRootFromParent_Done,
     /* 1888001 */   // Label 25464: @1888001
     /* 1888001 */   GIM_Try, /*On fail goto*//*Label 25465*/ GIMT_Encode4(1888090), // Rule ID 14784 //
     /* 1888006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1888017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1888020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1888023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1888026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888052 */     // MIs[0] policy
     /* 1888052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888062 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1888065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888089 */     // GIR_Coverage, 14784,
     /* 1888089 */     GIR_EraseRootFromParent_Done,
     /* 1888090 */   // Label 25465: @1888090
     /* 1888090 */   GIM_Try, /*On fail goto*//*Label 25466*/ GIMT_Encode4(1888179), // Rule ID 14785 //
     /* 1888095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1888106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1888109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1888112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1888115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888141 */     // MIs[0] policy
     /* 1888141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888151 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1888154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888178 */     // GIR_Coverage, 14785,
     /* 1888178 */     GIR_EraseRootFromParent_Done,
     /* 1888179 */   // Label 25466: @1888179
     /* 1888179 */   GIM_Try, /*On fail goto*//*Label 25467*/ GIMT_Encode4(1888268), // Rule ID 14788 //
     /* 1888184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1888195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1888198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1888201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1888204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888230 */     // MIs[0] policy
     /* 1888230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888240 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1888243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888267 */     // GIR_Coverage, 14788,
     /* 1888267 */     GIR_EraseRootFromParent_Done,
     /* 1888268 */   // Label 25467: @1888268
     /* 1888268 */   GIM_Try, /*On fail goto*//*Label 25468*/ GIMT_Encode4(1888357), // Rule ID 14789 //
     /* 1888273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1888284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1888287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1888290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1888293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888319 */     // MIs[0] policy
     /* 1888319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888329 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1888332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888356 */     // GIR_Coverage, 14789,
     /* 1888356 */     GIR_EraseRootFromParent_Done,
     /* 1888357 */   // Label 25468: @1888357
     /* 1888357 */   GIM_Try, /*On fail goto*//*Label 25469*/ GIMT_Encode4(1888446), // Rule ID 14792 //
     /* 1888362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1888382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888408 */     // MIs[0] policy
     /* 1888408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888418 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11634:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1888421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888445 */     // GIR_Coverage, 14792,
     /* 1888445 */     GIR_EraseRootFromParent_Done,
     /* 1888446 */   // Label 25469: @1888446
     /* 1888446 */   GIM_Try, /*On fail goto*//*Label 25470*/ GIMT_Encode4(1888535), // Rule ID 14793 //
     /* 1888451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1888471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888497 */     // MIs[0] policy
     /* 1888497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888507 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11634:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1888510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888534 */     // GIR_Coverage, 14793,
     /* 1888534 */     GIR_EraseRootFromParent_Done,
     /* 1888535 */   // Label 25470: @1888535
     /* 1888535 */   GIM_Try, /*On fail goto*//*Label 25471*/ GIMT_Encode4(1888624), // Rule ID 14796 //
     /* 1888540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1888560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888586 */     // MIs[0] policy
     /* 1888586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11634:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1888599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888623 */     // GIR_Coverage, 14796,
     /* 1888623 */     GIR_EraseRootFromParent_Done,
     /* 1888624 */   // Label 25471: @1888624
     /* 1888624 */   GIM_Try, /*On fail goto*//*Label 25472*/ GIMT_Encode4(1888713), // Rule ID 14797 //
     /* 1888629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1888649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888675 */     // MIs[0] policy
     /* 1888675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888685 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11634:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1888688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888712 */     // GIR_Coverage, 14797,
     /* 1888712 */     GIR_EraseRootFromParent_Done,
     /* 1888713 */   // Label 25472: @1888713
     /* 1888713 */   GIM_Try, /*On fail goto*//*Label 25473*/ GIMT_Encode4(1888802), // Rule ID 14800 //
     /* 1888718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1888721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1888729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1888732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1888735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1888738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888764 */     // MIs[0] policy
     /* 1888764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888774 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1888777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888801 */     // GIR_Coverage, 14800,
     /* 1888801 */     GIR_EraseRootFromParent_Done,
     /* 1888802 */   // Label 25473: @1888802
     /* 1888802 */   GIM_Try, /*On fail goto*//*Label 25474*/ GIMT_Encode4(1888891), // Rule ID 14801 //
     /* 1888807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1888810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1888818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1888821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1888824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1888827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888853 */     // MIs[0] policy
     /* 1888853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888863 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1888866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888890 */     // GIR_Coverage, 14801,
     /* 1888890 */     GIR_EraseRootFromParent_Done,
     /* 1888891 */   // Label 25474: @1888891
     /* 1888891 */   GIM_Try, /*On fail goto*//*Label 25475*/ GIMT_Encode4(1888980), // Rule ID 14804 //
     /* 1888896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1888907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1888910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1888913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1888916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1888919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888942 */     // MIs[0] policy
     /* 1888942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1888955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888979 */     // GIR_Coverage, 14804,
     /* 1888979 */     GIR_EraseRootFromParent_Done,
     /* 1888980 */   // Label 25475: @1888980
     /* 1888980 */   GIM_Try, /*On fail goto*//*Label 25476*/ GIMT_Encode4(1889069), // Rule ID 14805 //
     /* 1888985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1888996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1888999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1889002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1889005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889031 */     // MIs[0] policy
     /* 1889031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889041 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1889044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889068 */     // GIR_Coverage, 14805,
     /* 1889068 */     GIR_EraseRootFromParent_Done,
     /* 1889069 */   // Label 25476: @1889069
     /* 1889069 */   GIM_Try, /*On fail goto*//*Label 25477*/ GIMT_Encode4(1889158), // Rule ID 14808 //
     /* 1889074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1889085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1889088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1889091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1889094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889120 */     // MIs[0] policy
     /* 1889120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889130 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1889133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889157 */     // GIR_Coverage, 14808,
     /* 1889157 */     GIR_EraseRootFromParent_Done,
     /* 1889158 */   // Label 25477: @1889158
     /* 1889158 */   GIM_Try, /*On fail goto*//*Label 25478*/ GIMT_Encode4(1889247), // Rule ID 14809 //
     /* 1889163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1889174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1889177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1889180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1889183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889209 */     // MIs[0] policy
     /* 1889209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889219 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1889222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889246 */     // GIR_Coverage, 14809,
     /* 1889246 */     GIR_EraseRootFromParent_Done,
     /* 1889247 */   // Label 25478: @1889247
     /* 1889247 */   GIM_Try, /*On fail goto*//*Label 25479*/ GIMT_Encode4(1889336), // Rule ID 14812 //
     /* 1889252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1889263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1889266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1889269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1889272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1889275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889298 */     // MIs[0] policy
     /* 1889298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889308 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1889311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889335 */     // GIR_Coverage, 14812,
     /* 1889335 */     GIR_EraseRootFromParent_Done,
     /* 1889336 */   // Label 25479: @1889336
     /* 1889336 */   GIM_Try, /*On fail goto*//*Label 25480*/ GIMT_Encode4(1889425), // Rule ID 14813 //
     /* 1889341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1889352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1889355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1889358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1889361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1889364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889387 */     // MIs[0] policy
     /* 1889387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889397 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1889400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889424 */     // GIR_Coverage, 14813,
     /* 1889424 */     GIR_EraseRootFromParent_Done,
     /* 1889425 */   // Label 25480: @1889425
     /* 1889425 */   GIM_Try, /*On fail goto*//*Label 25481*/ GIMT_Encode4(1889514), // Rule ID 14816 //
     /* 1889430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1889441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1889444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1889447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1889450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889476 */     // MIs[0] policy
     /* 1889476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1889489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889513 */     // GIR_Coverage, 14816,
     /* 1889513 */     GIR_EraseRootFromParent_Done,
     /* 1889514 */   // Label 25481: @1889514
     /* 1889514 */   GIM_Try, /*On fail goto*//*Label 25482*/ GIMT_Encode4(1889603), // Rule ID 14817 //
     /* 1889519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1889530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1889533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1889536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1889539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889565 */     // MIs[0] policy
     /* 1889565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889575 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1889578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889602 */     // GIR_Coverage, 14817,
     /* 1889602 */     GIR_EraseRootFromParent_Done,
     /* 1889603 */   // Label 25482: @1889603
     /* 1889603 */   GIM_Try, /*On fail goto*//*Label 25483*/ GIMT_Encode4(1889692), // Rule ID 14820 //
     /* 1889608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1889628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889654 */     // MIs[0] policy
     /* 1889654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889664 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1889667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889691 */     // GIR_Coverage, 14820,
     /* 1889691 */     GIR_EraseRootFromParent_Done,
     /* 1889692 */   // Label 25483: @1889692
     /* 1889692 */   GIM_Try, /*On fail goto*//*Label 25484*/ GIMT_Encode4(1889781), // Rule ID 14821 //
     /* 1889697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1889717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889743 */     // MIs[0] policy
     /* 1889743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889753 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1889756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889780 */     // GIR_Coverage, 14821,
     /* 1889780 */     GIR_EraseRootFromParent_Done,
     /* 1889781 */   // Label 25484: @1889781
     /* 1889781 */   GIM_Try, /*On fail goto*//*Label 25485*/ GIMT_Encode4(1889870), // Rule ID 14824 //
     /* 1889786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1889806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889832 */     // MIs[0] policy
     /* 1889832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1889845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889869 */     // GIR_Coverage, 14824,
     /* 1889869 */     GIR_EraseRootFromParent_Done,
     /* 1889870 */   // Label 25485: @1889870
     /* 1889870 */   GIM_Try, /*On fail goto*//*Label 25486*/ GIMT_Encode4(1889959), // Rule ID 14825 //
     /* 1889875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1889895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889921 */     // MIs[0] policy
     /* 1889921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889931 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1889934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889958 */     // GIR_Coverage, 14825,
     /* 1889958 */     GIR_EraseRootFromParent_Done,
     /* 1889959 */   // Label 25486: @1889959
     /* 1889959 */   GIM_Try, /*On fail goto*//*Label 25487*/ GIMT_Encode4(1890048), // Rule ID 14828 //
     /* 1889964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1889981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1889984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890010 */     // MIs[0] policy
     /* 1890010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890020 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1890023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890047 */     // GIR_Coverage, 14828,
     /* 1890047 */     GIR_EraseRootFromParent_Done,
     /* 1890048 */   // Label 25487: @1890048
     /* 1890048 */   GIM_Try, /*On fail goto*//*Label 25488*/ GIMT_Encode4(1890137), // Rule ID 14829 //
     /* 1890053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1890064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1890067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1890070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1890073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890099 */     // MIs[0] policy
     /* 1890099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890109 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1890112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890136 */     // GIR_Coverage, 14829,
     /* 1890136 */     GIR_EraseRootFromParent_Done,
     /* 1890137 */   // Label 25488: @1890137
     /* 1890137 */   GIM_Try, /*On fail goto*//*Label 25489*/ GIMT_Encode4(1890226), // Rule ID 14832 //
     /* 1890142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1890153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1890156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1890159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1890162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890188 */     // MIs[0] policy
     /* 1890188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1890201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890225 */     // GIR_Coverage, 14832,
     /* 1890225 */     GIR_EraseRootFromParent_Done,
     /* 1890226 */   // Label 25489: @1890226
     /* 1890226 */   GIM_Try, /*On fail goto*//*Label 25490*/ GIMT_Encode4(1890315), // Rule ID 14833 //
     /* 1890231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1890242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1890245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1890248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1890251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890277 */     // MIs[0] policy
     /* 1890277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890287 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1890290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890314 */     // GIR_Coverage, 14833,
     /* 1890314 */     GIR_EraseRootFromParent_Done,
     /* 1890315 */   // Label 25490: @1890315
     /* 1890315 */   GIM_Try, /*On fail goto*//*Label 25491*/ GIMT_Encode4(1890404), // Rule ID 14836 //
     /* 1890320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1890331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1890334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1890337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1890340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890366 */     // MIs[0] policy
     /* 1890366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1890379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890403 */     // GIR_Coverage, 14836,
     /* 1890403 */     GIR_EraseRootFromParent_Done,
     /* 1890404 */   // Label 25491: @1890404
     /* 1890404 */   GIM_Try, /*On fail goto*//*Label 25492*/ GIMT_Encode4(1890493), // Rule ID 14837 //
     /* 1890409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1890420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1890423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1890426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1890429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890455 */     // MIs[0] policy
     /* 1890455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890465 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1890468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890492 */     // GIR_Coverage, 14837,
     /* 1890492 */     GIR_EraseRootFromParent_Done,
     /* 1890493 */   // Label 25492: @1890493
     /* 1890493 */   GIM_Try, /*On fail goto*//*Label 25493*/ GIMT_Encode4(1890582), // Rule ID 14840 //
     /* 1890498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1890501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1890515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1890518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890544 */     // MIs[0] policy
     /* 1890544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890554 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1890557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890581 */     // GIR_Coverage, 14840,
     /* 1890581 */     GIR_EraseRootFromParent_Done,
     /* 1890582 */   // Label 25493: @1890582
     /* 1890582 */   GIM_Try, /*On fail goto*//*Label 25494*/ GIMT_Encode4(1890671), // Rule ID 14841 //
     /* 1890587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1890590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1890604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1890607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890633 */     // MIs[0] policy
     /* 1890633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890643 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1890646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890670 */     // GIR_Coverage, 14841,
     /* 1890670 */     GIR_EraseRootFromParent_Done,
     /* 1890671 */   // Label 25494: @1890671
     /* 1890671 */   GIM_Try, /*On fail goto*//*Label 25495*/ GIMT_Encode4(1890760), // Rule ID 14844 //
     /* 1890676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1890679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1890696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890722 */     // MIs[0] policy
     /* 1890722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1890735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890759 */     // GIR_Coverage, 14844,
     /* 1890759 */     GIR_EraseRootFromParent_Done,
     /* 1890760 */   // Label 25495: @1890760
     /* 1890760 */   GIM_Try, /*On fail goto*//*Label 25496*/ GIMT_Encode4(1890849), // Rule ID 14845 //
     /* 1890765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1890768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1890785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890811 */     // MIs[0] policy
     /* 1890811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890821 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1890824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890848 */     // GIR_Coverage, 14845,
     /* 1890848 */     GIR_EraseRootFromParent_Done,
     /* 1890849 */   // Label 25496: @1890849
     /* 1890849 */   GIM_Try, /*On fail goto*//*Label 25497*/ GIMT_Encode4(1890938), // Rule ID 14848 //
     /* 1890854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1890857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1890874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890900 */     // MIs[0] policy
     /* 1890900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1890913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890937 */     // GIR_Coverage, 14848,
     /* 1890937 */     GIR_EraseRootFromParent_Done,
     /* 1890938 */   // Label 25497: @1890938
     /* 1890938 */   GIM_Try, /*On fail goto*//*Label 25498*/ GIMT_Encode4(1891027), // Rule ID 14849 //
     /* 1890943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1890946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1890963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890989 */     // MIs[0] policy
     /* 1890989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890999 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1891002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891026 */     // GIR_Coverage, 14849,
     /* 1891026 */     GIR_EraseRootFromParent_Done,
     /* 1891027 */   // Label 25498: @1891027
     /* 1891027 */   GIM_Try, /*On fail goto*//*Label 25499*/ GIMT_Encode4(1891116), // Rule ID 14852 //
     /* 1891032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1891043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1891046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1891049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891078 */     // MIs[0] policy
     /* 1891078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891088 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1891091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891115 */     // GIR_Coverage, 14852,
     /* 1891115 */     GIR_EraseRootFromParent_Done,
     /* 1891116 */   // Label 25499: @1891116
     /* 1891116 */   GIM_Try, /*On fail goto*//*Label 25500*/ GIMT_Encode4(1891205), // Rule ID 14853 //
     /* 1891121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1891132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1891135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1891138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891167 */     // MIs[0] policy
     /* 1891167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891177 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1891180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891204 */     // GIR_Coverage, 14853,
     /* 1891204 */     GIR_EraseRootFromParent_Done,
     /* 1891205 */   // Label 25500: @1891205
     /* 1891205 */   GIM_Try, /*On fail goto*//*Label 25501*/ GIMT_Encode4(1891294), // Rule ID 14856 //
     /* 1891210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1891221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1891224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1891227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891256 */     // MIs[0] policy
     /* 1891256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891266 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1891269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891293 */     // GIR_Coverage, 14856,
     /* 1891293 */     GIR_EraseRootFromParent_Done,
     /* 1891294 */   // Label 25501: @1891294
     /* 1891294 */   GIM_Try, /*On fail goto*//*Label 25502*/ GIMT_Encode4(1891383), // Rule ID 14857 //
     /* 1891299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1891310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1891313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1891316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891345 */     // MIs[0] policy
     /* 1891345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891355 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1891358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891382 */     // GIR_Coverage, 14857,
     /* 1891382 */     GIR_EraseRootFromParent_Done,
     /* 1891383 */   // Label 25502: @1891383
     /* 1891383 */   GIM_Try, /*On fail goto*//*Label 25503*/ GIMT_Encode4(1891472), // Rule ID 14860 //
     /* 1891388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1891399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1891402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1891405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891434 */     // MIs[0] policy
     /* 1891434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891444 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1891447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891471 */     // GIR_Coverage, 14860,
     /* 1891471 */     GIR_EraseRootFromParent_Done,
     /* 1891472 */   // Label 25503: @1891472
     /* 1891472 */   GIM_Try, /*On fail goto*//*Label 25504*/ GIMT_Encode4(1891561), // Rule ID 14861 //
     /* 1891477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1891488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1891491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1891494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891523 */     // MIs[0] policy
     /* 1891523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891533 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1891536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891560 */     // GIR_Coverage, 14861,
     /* 1891560 */     GIR_EraseRootFromParent_Done,
     /* 1891561 */   // Label 25504: @1891561
     /* 1891561 */   GIM_Try, /*On fail goto*//*Label 25505*/ GIMT_Encode4(1891650), // Rule ID 14864 //
     /* 1891566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1891577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1891580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1891583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891612 */     // MIs[0] policy
     /* 1891612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1891625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891649 */     // GIR_Coverage, 14864,
     /* 1891649 */     GIR_EraseRootFromParent_Done,
     /* 1891650 */   // Label 25505: @1891650
     /* 1891650 */   GIM_Try, /*On fail goto*//*Label 25506*/ GIMT_Encode4(1891739), // Rule ID 14865 //
     /* 1891655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1891666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1891669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1891672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891701 */     // MIs[0] policy
     /* 1891701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891711 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1891714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891738 */     // GIR_Coverage, 14865,
     /* 1891738 */     GIR_EraseRootFromParent_Done,
     /* 1891739 */   // Label 25506: @1891739
     /* 1891739 */   GIM_Try, /*On fail goto*//*Label 25507*/ GIMT_Encode4(1891828), // Rule ID 14868 //
     /* 1891744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1891755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1891758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1891761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891790 */     // MIs[0] policy
     /* 1891790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891800 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11634:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1891803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891827 */     // GIR_Coverage, 14868,
     /* 1891827 */     GIR_EraseRootFromParent_Done,
     /* 1891828 */   // Label 25507: @1891828
     /* 1891828 */   GIM_Try, /*On fail goto*//*Label 25508*/ GIMT_Encode4(1891917), // Rule ID 14869 //
     /* 1891833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1891844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1891847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1891850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891879 */     // MIs[0] policy
     /* 1891879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891889 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11634:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1891892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891916 */     // GIR_Coverage, 14869,
     /* 1891916 */     GIR_EraseRootFromParent_Done,
     /* 1891917 */   // Label 25508: @1891917
     /* 1891917 */   GIM_Try, /*On fail goto*//*Label 25509*/ GIMT_Encode4(1892006), // Rule ID 14872 //
     /* 1891922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1891933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1891936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1891939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891968 */     // MIs[0] policy
     /* 1891968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1891981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892005 */     // GIR_Coverage, 14872,
     /* 1892005 */     GIR_EraseRootFromParent_Done,
     /* 1892006 */   // Label 25509: @1892006
     /* 1892006 */   GIM_Try, /*On fail goto*//*Label 25510*/ GIMT_Encode4(1892095), // Rule ID 14873 //
     /* 1892011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1892022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1892025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1892028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892057 */     // MIs[0] policy
     /* 1892057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892067 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1892070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892094 */     // GIR_Coverage, 14873,
     /* 1892094 */     GIR_EraseRootFromParent_Done,
     /* 1892095 */   // Label 25510: @1892095
     /* 1892095 */   GIM_Try, /*On fail goto*//*Label 25511*/ GIMT_Encode4(1892184), // Rule ID 14876 //
     /* 1892100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1892111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1892114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1892117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892146 */     // MIs[0] policy
     /* 1892146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1892159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892183 */     // GIR_Coverage, 14876,
     /* 1892183 */     GIR_EraseRootFromParent_Done,
     /* 1892184 */   // Label 25511: @1892184
     /* 1892184 */   GIM_Try, /*On fail goto*//*Label 25512*/ GIMT_Encode4(1892273), // Rule ID 14877 //
     /* 1892189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1892200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1892203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1892206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892235 */     // MIs[0] policy
     /* 1892235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892245 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11634:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1892248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892272 */     // GIR_Coverage, 14877,
     /* 1892272 */     GIR_EraseRootFromParent_Done,
     /* 1892273 */   // Label 25512: @1892273
     /* 1892273 */   GIM_Try, /*On fail goto*//*Label 25513*/ GIMT_Encode4(1892362), // Rule ID 14880 //
     /* 1892278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1892289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1892292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1892295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892324 */     // MIs[0] policy
     /* 1892324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11634:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1892337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892361 */     // GIR_Coverage, 14880,
     /* 1892361 */     GIR_EraseRootFromParent_Done,
     /* 1892362 */   // Label 25513: @1892362
     /* 1892362 */   GIM_Try, /*On fail goto*//*Label 25514*/ GIMT_Encode4(1892451), // Rule ID 14881 //
     /* 1892367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1892378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1892381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1892384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892413 */     // MIs[0] policy
     /* 1892413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11634:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1892426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892450 */     // GIR_Coverage, 14881,
     /* 1892450 */     GIR_EraseRootFromParent_Done,
     /* 1892451 */   // Label 25514: @1892451
     /* 1892451 */   GIM_Try, /*On fail goto*//*Label 25515*/ GIMT_Encode4(1892540), // Rule ID 14884 //
     /* 1892456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1892473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892502 */     // MIs[0] policy
     /* 1892502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892512 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11634:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1892515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892539 */     // GIR_Coverage, 14884,
     /* 1892539 */     GIR_EraseRootFromParent_Done,
     /* 1892540 */   // Label 25515: @1892540
     /* 1892540 */   GIM_Try, /*On fail goto*//*Label 25516*/ GIMT_Encode4(1892629), // Rule ID 14885 //
     /* 1892545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1892562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892591 */     // MIs[0] policy
     /* 1892591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892601 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11634:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1892604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892628 */     // GIR_Coverage, 14885,
     /* 1892628 */     GIR_EraseRootFromParent_Done,
     /* 1892629 */   // Label 25516: @1892629
     /* 1892629 */   GIM_Try, /*On fail goto*//*Label 25517*/ GIMT_Encode4(1892718), // Rule ID 14888 //
     /* 1892634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1892637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1892645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1892648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1892651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892680 */     // MIs[0] policy
     /* 1892680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892690 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1892693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892717 */     // GIR_Coverage, 14888,
     /* 1892717 */     GIR_EraseRootFromParent_Done,
     /* 1892718 */   // Label 25517: @1892718
     /* 1892718 */   GIM_Try, /*On fail goto*//*Label 25518*/ GIMT_Encode4(1892807), // Rule ID 14889 //
     /* 1892723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1892726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1892734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1892737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1892740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892769 */     // MIs[0] policy
     /* 1892769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892779 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11634:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1892782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892806 */     // GIR_Coverage, 14889,
     /* 1892806 */     GIR_EraseRootFromParent_Done,
     /* 1892807 */   // Label 25518: @1892807
     /* 1892807 */   GIM_Try, /*On fail goto*//*Label 25519*/ GIMT_Encode4(1892896), // Rule ID 14892 //
     /* 1892812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1892823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1892826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1892829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892858 */     // MIs[0] policy
     /* 1892858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892868 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1892871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892895 */     // GIR_Coverage, 14892,
     /* 1892895 */     GIR_EraseRootFromParent_Done,
     /* 1892896 */   // Label 25519: @1892896
     /* 1892896 */   GIM_Try, /*On fail goto*//*Label 25520*/ GIMT_Encode4(1892985), // Rule ID 14893 //
     /* 1892901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1892912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1892915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1892918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892947 */     // MIs[0] policy
     /* 1892947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892957 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1892960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892984 */     // GIR_Coverage, 14893,
     /* 1892984 */     GIR_EraseRootFromParent_Done,
     /* 1892985 */   // Label 25520: @1892985
     /* 1892985 */   GIM_Try, /*On fail goto*//*Label 25521*/ GIMT_Encode4(1893074), // Rule ID 14896 //
     /* 1892990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1893001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1893004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1893007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893036 */     // MIs[0] policy
     /* 1893036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1893049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1893067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893073 */     // GIR_Coverage, 14896,
     /* 1893073 */     GIR_EraseRootFromParent_Done,
     /* 1893074 */   // Label 25521: @1893074
     /* 1893074 */   GIM_Try, /*On fail goto*//*Label 25522*/ GIMT_Encode4(1893163), // Rule ID 14897 //
     /* 1893079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1893090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1893093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1893096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1893099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893125 */     // MIs[0] policy
     /* 1893125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893135 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1893138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1893156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893162 */     // GIR_Coverage, 14897,
     /* 1893162 */     GIR_EraseRootFromParent_Done,
     /* 1893163 */   // Label 25522: @1893163
     /* 1893163 */   GIM_Try, /*On fail goto*//*Label 25523*/ GIMT_Encode4(1893252), // Rule ID 14900 //
     /* 1893168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1893179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1893182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1893185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1893191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893214 */     // MIs[0] policy
     /* 1893214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893224 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1893227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1893245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893251 */     // GIR_Coverage, 14900,
     /* 1893251 */     GIR_EraseRootFromParent_Done,
     /* 1893252 */   // Label 25523: @1893252
     /* 1893252 */   GIM_Try, /*On fail goto*//*Label 25524*/ GIMT_Encode4(1893341), // Rule ID 14901 //
     /* 1893257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1893268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1893271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1893274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1893277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1893280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893303 */     // MIs[0] policy
     /* 1893303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893313 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1893316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1893334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893340 */     // GIR_Coverage, 14901,
     /* 1893340 */     GIR_EraseRootFromParent_Done,
     /* 1893341 */   // Label 25524: @1893341
     /* 1893341 */   GIM_Try, /*On fail goto*//*Label 25525*/ GIMT_Encode4(1893430), // Rule ID 14904 //
     /* 1893346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1893357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1893360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1893363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893392 */     // MIs[0] policy
     /* 1893392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1893405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893429 */     // GIR_Coverage, 14904,
     /* 1893429 */     GIR_EraseRootFromParent_Done,
     /* 1893430 */   // Label 25525: @1893430
     /* 1893430 */   GIM_Try, /*On fail goto*//*Label 25526*/ GIMT_Encode4(1893519), // Rule ID 14905 //
     /* 1893435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1893446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1893449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1893452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1893455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893481 */     // MIs[0] policy
     /* 1893481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893491 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1893494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893518 */     // GIR_Coverage, 14905,
     /* 1893518 */     GIR_EraseRootFromParent_Done,
     /* 1893519 */   // Label 25526: @1893519
     /* 1893519 */   GIM_Try, /*On fail goto*//*Label 25527*/ GIMT_Encode4(1893608), // Rule ID 14908 //
     /* 1893524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1893535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1893538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1893541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893570 */     // MIs[0] policy
     /* 1893570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893580 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1893583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893607 */     // GIR_Coverage, 14908,
     /* 1893607 */     GIR_EraseRootFromParent_Done,
     /* 1893608 */   // Label 25527: @1893608
     /* 1893608 */   GIM_Try, /*On fail goto*//*Label 25528*/ GIMT_Encode4(1893697), // Rule ID 14909 //
     /* 1893613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1893624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1893627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1893630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1893633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893659 */     // MIs[0] policy
     /* 1893659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893669 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1893672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893696 */     // GIR_Coverage, 14909,
     /* 1893696 */     GIR_EraseRootFromParent_Done,
     /* 1893697 */   // Label 25528: @1893697
     /* 1893697 */   GIM_Try, /*On fail goto*//*Label 25529*/ GIMT_Encode4(1893786), // Rule ID 14912 //
     /* 1893702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1893713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1893716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1893719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893748 */     // MIs[0] policy
     /* 1893748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1893761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893785 */     // GIR_Coverage, 14912,
     /* 1893785 */     GIR_EraseRootFromParent_Done,
     /* 1893786 */   // Label 25529: @1893786
     /* 1893786 */   GIM_Try, /*On fail goto*//*Label 25530*/ GIMT_Encode4(1893875), // Rule ID 14913 //
     /* 1893791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1893802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1893805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1893808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1893811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893837 */     // MIs[0] policy
     /* 1893837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893847 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1893850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893874 */     // GIR_Coverage, 14913,
     /* 1893874 */     GIR_EraseRootFromParent_Done,
     /* 1893875 */   // Label 25530: @1893875
     /* 1893875 */   GIM_Try, /*On fail goto*//*Label 25531*/ GIMT_Encode4(1893964), // Rule ID 14916 //
     /* 1893880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1893891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1893894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1893897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1893900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893926 */     // MIs[0] policy
     /* 1893926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1893939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893963 */     // GIR_Coverage, 14916,
     /* 1893963 */     GIR_EraseRootFromParent_Done,
     /* 1893964 */   // Label 25531: @1893964
     /* 1893964 */   GIM_Try, /*On fail goto*//*Label 25532*/ GIMT_Encode4(1894053), // Rule ID 14917 //
     /* 1893969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1893980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1893983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1893986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1893989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894015 */     // MIs[0] policy
     /* 1894015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894025 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1894028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894052 */     // GIR_Coverage, 14917,
     /* 1894052 */     GIR_EraseRootFromParent_Done,
     /* 1894053 */   // Label 25532: @1894053
     /* 1894053 */   GIM_Try, /*On fail goto*//*Label 25533*/ GIMT_Encode4(1894142), // Rule ID 14920 //
     /* 1894058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1894061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1894075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1894078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894104 */     // MIs[0] policy
     /* 1894104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894114 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1894117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894141 */     // GIR_Coverage, 14920,
     /* 1894141 */     GIR_EraseRootFromParent_Done,
     /* 1894142 */   // Label 25533: @1894142
     /* 1894142 */   GIM_Try, /*On fail goto*//*Label 25534*/ GIMT_Encode4(1894231), // Rule ID 14921 //
     /* 1894147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1894150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1894164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1894167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894193 */     // MIs[0] policy
     /* 1894193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894203 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1894206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894230 */     // GIR_Coverage, 14921,
     /* 1894230 */     GIR_EraseRootFromParent_Done,
     /* 1894231 */   // Label 25534: @1894231
     /* 1894231 */   GIM_Try, /*On fail goto*//*Label 25535*/ GIMT_Encode4(1894320), // Rule ID 14924 //
     /* 1894236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1894239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1894253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1894256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894282 */     // MIs[0] policy
     /* 1894282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1894295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894319 */     // GIR_Coverage, 14924,
     /* 1894319 */     GIR_EraseRootFromParent_Done,
     /* 1894320 */   // Label 25535: @1894320
     /* 1894320 */   GIM_Try, /*On fail goto*//*Label 25536*/ GIMT_Encode4(1894409), // Rule ID 14925 //
     /* 1894325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1894328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1894342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1894345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894371 */     // MIs[0] policy
     /* 1894371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1894384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894408 */     // GIR_Coverage, 14925,
     /* 1894408 */     GIR_EraseRootFromParent_Done,
     /* 1894409 */   // Label 25536: @1894409
     /* 1894409 */   GIM_Try, /*On fail goto*//*Label 25537*/ GIMT_Encode4(1894498), // Rule ID 14928 //
     /* 1894414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1894417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1894425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1894428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1894431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1894434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894460 */     // MIs[0] policy
     /* 1894460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894470 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1894473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894497 */     // GIR_Coverage, 14928,
     /* 1894497 */     GIR_EraseRootFromParent_Done,
     /* 1894498 */   // Label 25537: @1894498
     /* 1894498 */   GIM_Try, /*On fail goto*//*Label 25538*/ GIMT_Encode4(1894587), // Rule ID 14929 //
     /* 1894503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1894506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1894514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1894517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1894520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1894523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894549 */     // MIs[0] policy
     /* 1894549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894559 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11634:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1894562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894586 */     // GIR_Coverage, 14929,
     /* 1894586 */     GIR_EraseRootFromParent_Done,
     /* 1894587 */   // Label 25538: @1894587
     /* 1894587 */   GIM_Try, /*On fail goto*//*Label 25539*/ GIMT_Encode4(1894676), // Rule ID 14932 //
     /* 1894592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1894595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1894603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1894606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1894609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1894612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894638 */     // MIs[0] policy
     /* 1894638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894648 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1894651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894675 */     // GIR_Coverage, 14932,
     /* 1894675 */     GIR_EraseRootFromParent_Done,
     /* 1894676 */   // Label 25539: @1894676
     /* 1894676 */   GIM_Try, /*On fail goto*//*Label 25540*/ GIMT_Encode4(1894765), // Rule ID 14933 //
     /* 1894681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1894684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1894692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1894695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1894698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1894701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894727 */     // MIs[0] policy
     /* 1894727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894737 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11634:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1894740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894764 */     // GIR_Coverage, 14933,
     /* 1894764 */     GIR_EraseRootFromParent_Done,
     /* 1894765 */   // Label 25540: @1894765
     /* 1894765 */   GIM_Try, /*On fail goto*//*Label 25541*/ GIMT_Encode4(1894854), // Rule ID 14936 //
     /* 1894770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1894773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1894781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1894784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1894787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1894790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894816 */     // MIs[0] policy
     /* 1894816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894826 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1894829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894853 */     // GIR_Coverage, 14936,
     /* 1894853 */     GIR_EraseRootFromParent_Done,
     /* 1894854 */   // Label 25541: @1894854
     /* 1894854 */   GIM_Try, /*On fail goto*//*Label 25542*/ GIMT_Encode4(1894943), // Rule ID 14937 //
     /* 1894859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1894862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1894870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1894873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1894876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1894879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894905 */     // MIs[0] policy
     /* 1894905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894915 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11634:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1894918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894942 */     // GIR_Coverage, 14937,
     /* 1894942 */     GIR_EraseRootFromParent_Done,
     /* 1894943 */   // Label 25542: @1894943
     /* 1894943 */   GIM_Try, /*On fail goto*//*Label 25543*/ GIMT_Encode4(1895029), // Rule ID 19178 //
     /* 1894948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1894959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1894962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1894965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1894968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894994 */     // MIs[0] policy
     /* 1894994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895004 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1895007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895028 */     // GIR_Coverage, 19178,
     /* 1895028 */     GIR_EraseRootFromParent_Done,
     /* 1895029 */   // Label 25543: @1895029
     /* 1895029 */   GIM_Try, /*On fail goto*//*Label 25544*/ GIMT_Encode4(1895115), // Rule ID 19179 //
     /* 1895034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1895045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1895048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1895051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1895054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895080 */     // MIs[0] policy
     /* 1895080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895090 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1895093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895114 */     // GIR_Coverage, 19179,
     /* 1895114 */     GIR_EraseRootFromParent_Done,
     /* 1895115 */   // Label 25544: @1895115
     /* 1895115 */   GIM_Try, /*On fail goto*//*Label 25545*/ GIMT_Encode4(1895201), // Rule ID 19182 //
     /* 1895120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1895131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1895134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1895137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1895140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895166 */     // MIs[0] policy
     /* 1895166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895176 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1895179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895200 */     // GIR_Coverage, 19182,
     /* 1895200 */     GIR_EraseRootFromParent_Done,
     /* 1895201 */   // Label 25545: @1895201
     /* 1895201 */   GIM_Try, /*On fail goto*//*Label 25546*/ GIMT_Encode4(1895287), // Rule ID 19183 //
     /* 1895206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1895217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1895220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1895223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1895226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895252 */     // MIs[0] policy
     /* 1895252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895262 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1895265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895286 */     // GIR_Coverage, 19183,
     /* 1895286 */     GIR_EraseRootFromParent_Done,
     /* 1895287 */   // Label 25546: @1895287
     /* 1895287 */   GIM_Try, /*On fail goto*//*Label 25547*/ GIMT_Encode4(1895373), // Rule ID 19186 //
     /* 1895292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1895306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1895309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1895312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895338 */     // MIs[0] policy
     /* 1895338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895348 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1895351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895372 */     // GIR_Coverage, 19186,
     /* 1895372 */     GIR_EraseRootFromParent_Done,
     /* 1895373 */   // Label 25547: @1895373
     /* 1895373 */   GIM_Try, /*On fail goto*//*Label 25548*/ GIMT_Encode4(1895459), // Rule ID 19187 //
     /* 1895378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1895392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1895395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1895398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895424 */     // MIs[0] policy
     /* 1895424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895434 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1895437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895458 */     // GIR_Coverage, 19187,
     /* 1895458 */     GIR_EraseRootFromParent_Done,
     /* 1895459 */   // Label 25548: @1895459
     /* 1895459 */   GIM_Try, /*On fail goto*//*Label 25549*/ GIMT_Encode4(1895545), // Rule ID 19190 //
     /* 1895464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1895475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1895478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1895481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1895484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895510 */     // MIs[0] policy
     /* 1895510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895520 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1895523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895544 */     // GIR_Coverage, 19190,
     /* 1895544 */     GIR_EraseRootFromParent_Done,
     /* 1895545 */   // Label 25549: @1895545
     /* 1895545 */   GIM_Try, /*On fail goto*//*Label 25550*/ GIMT_Encode4(1895631), // Rule ID 19191 //
     /* 1895550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1895561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1895564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1895567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1895570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895596 */     // MIs[0] policy
     /* 1895596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895606 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1895609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895630 */     // GIR_Coverage, 19191,
     /* 1895630 */     GIR_EraseRootFromParent_Done,
     /* 1895631 */   // Label 25550: @1895631
     /* 1895631 */   GIM_Try, /*On fail goto*//*Label 25551*/ GIMT_Encode4(1895717), // Rule ID 19194 //
     /* 1895636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1895647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1895650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1895653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1895656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895682 */     // MIs[0] policy
     /* 1895682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895692 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1895695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895716 */     // GIR_Coverage, 19194,
     /* 1895716 */     GIR_EraseRootFromParent_Done,
     /* 1895717 */   // Label 25551: @1895717
     /* 1895717 */   GIM_Try, /*On fail goto*//*Label 25552*/ GIMT_Encode4(1895803), // Rule ID 19195 //
     /* 1895722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1895733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1895736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1895739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1895742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895768 */     // MIs[0] policy
     /* 1895768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895778 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1895781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895802 */     // GIR_Coverage, 19195,
     /* 1895802 */     GIR_EraseRootFromParent_Done,
     /* 1895803 */   // Label 25552: @1895803
     /* 1895803 */   GIM_Try, /*On fail goto*//*Label 25553*/ GIMT_Encode4(1895889), // Rule ID 19198 //
     /* 1895808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1895819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1895822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1895825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1895828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895854 */     // MIs[0] policy
     /* 1895854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895864 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1895867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895888 */     // GIR_Coverage, 19198,
     /* 1895888 */     GIR_EraseRootFromParent_Done,
     /* 1895889 */   // Label 25553: @1895889
     /* 1895889 */   GIM_Try, /*On fail goto*//*Label 25554*/ GIMT_Encode4(1895975), // Rule ID 19199 //
     /* 1895894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1895905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1895908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1895911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1895914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895940 */     // MIs[0] policy
     /* 1895940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895950 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1895953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895974 */     // GIR_Coverage, 19199,
     /* 1895974 */     GIR_EraseRootFromParent_Done,
     /* 1895975 */   // Label 25554: @1895975
     /* 1895975 */   GIM_Try, /*On fail goto*//*Label 25555*/ GIMT_Encode4(1896061), // Rule ID 19202 //
     /* 1895980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1895991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1895994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1895997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1896000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896026 */     // MIs[0] policy
     /* 1896026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896036 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1896039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896060 */     // GIR_Coverage, 19202,
     /* 1896060 */     GIR_EraseRootFromParent_Done,
     /* 1896061 */   // Label 25555: @1896061
     /* 1896061 */   GIM_Try, /*On fail goto*//*Label 25556*/ GIMT_Encode4(1896147), // Rule ID 19203 //
     /* 1896066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1896077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1896080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1896083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1896086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896112 */     // MIs[0] policy
     /* 1896112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896122 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1896125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896146 */     // GIR_Coverage, 19203,
     /* 1896146 */     GIR_EraseRootFromParent_Done,
     /* 1896147 */   // Label 25556: @1896147
     /* 1896147 */   GIM_Try, /*On fail goto*//*Label 25557*/ GIMT_Encode4(1896233), // Rule ID 19206 //
     /* 1896152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1896163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1896166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1896169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1896172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896198 */     // MIs[0] policy
     /* 1896198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896208 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1896211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896232 */     // GIR_Coverage, 19206,
     /* 1896232 */     GIR_EraseRootFromParent_Done,
     /* 1896233 */   // Label 25557: @1896233
     /* 1896233 */   GIM_Try, /*On fail goto*//*Label 25558*/ GIMT_Encode4(1896319), // Rule ID 19207 //
     /* 1896238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1896249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1896252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1896255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1896258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896284 */     // MIs[0] policy
     /* 1896284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896294 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1896297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896318 */     // GIR_Coverage, 19207,
     /* 1896318 */     GIR_EraseRootFromParent_Done,
     /* 1896319 */   // Label 25558: @1896319
     /* 1896319 */   GIM_Try, /*On fail goto*//*Label 25559*/ GIMT_Encode4(1896405), // Rule ID 19210 //
     /* 1896324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1896335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1896338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1896341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1896344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1896347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896370 */     // MIs[0] policy
     /* 1896370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896380 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1896383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896404 */     // GIR_Coverage, 19210,
     /* 1896404 */     GIR_EraseRootFromParent_Done,
     /* 1896405 */   // Label 25559: @1896405
     /* 1896405 */   GIM_Try, /*On fail goto*//*Label 25560*/ GIMT_Encode4(1896491), // Rule ID 19211 //
     /* 1896410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1896421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1896424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1896427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1896430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1896433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896456 */     // MIs[0] policy
     /* 1896456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896466 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1896469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896490 */     // GIR_Coverage, 19211,
     /* 1896490 */     GIR_EraseRootFromParent_Done,
     /* 1896491 */   // Label 25560: @1896491
     /* 1896491 */   GIM_Try, /*On fail goto*//*Label 25561*/ GIMT_Encode4(1896577), // Rule ID 19214 //
     /* 1896496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1896507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1896510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1896513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1896516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896542 */     // MIs[0] policy
     /* 1896542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896552 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1896555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896576 */     // GIR_Coverage, 19214,
     /* 1896576 */     GIR_EraseRootFromParent_Done,
     /* 1896577 */   // Label 25561: @1896577
     /* 1896577 */   GIM_Try, /*On fail goto*//*Label 25562*/ GIMT_Encode4(1896663), // Rule ID 19215 //
     /* 1896582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1896593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1896596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1896599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1896602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896628 */     // MIs[0] policy
     /* 1896628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896638 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1896641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896662 */     // GIR_Coverage, 19215,
     /* 1896662 */     GIR_EraseRootFromParent_Done,
     /* 1896663 */   // Label 25562: @1896663
     /* 1896663 */   GIM_Try, /*On fail goto*//*Label 25563*/ GIMT_Encode4(1896749), // Rule ID 19218 //
     /* 1896668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1896685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1896688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896714 */     // MIs[0] policy
     /* 1896714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896724 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1896727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896748 */     // GIR_Coverage, 19218,
     /* 1896748 */     GIR_EraseRootFromParent_Done,
     /* 1896749 */   // Label 25563: @1896749
     /* 1896749 */   GIM_Try, /*On fail goto*//*Label 25564*/ GIMT_Encode4(1896835), // Rule ID 19219 //
     /* 1896754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1896771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1896774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896800 */     // MIs[0] policy
     /* 1896800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896810 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1896813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896834 */     // GIR_Coverage, 19219,
     /* 1896834 */     GIR_EraseRootFromParent_Done,
     /* 1896835 */   // Label 25564: @1896835
     /* 1896835 */   GIM_Try, /*On fail goto*//*Label 25565*/ GIMT_Encode4(1896921), // Rule ID 19222 //
     /* 1896840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1896857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1896860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896886 */     // MIs[0] policy
     /* 1896886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896896 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1896899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896920 */     // GIR_Coverage, 19222,
     /* 1896920 */     GIR_EraseRootFromParent_Done,
     /* 1896921 */   // Label 25565: @1896921
     /* 1896921 */   GIM_Try, /*On fail goto*//*Label 25566*/ GIMT_Encode4(1897007), // Rule ID 19223 //
     /* 1896926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1896943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1896946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896972 */     // MIs[0] policy
     /* 1896972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896982 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1896985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897006 */     // GIR_Coverage, 19223,
     /* 1897006 */     GIR_EraseRootFromParent_Done,
     /* 1897007 */   // Label 25566: @1897007
     /* 1897007 */   GIM_Try, /*On fail goto*//*Label 25567*/ GIMT_Encode4(1897093), // Rule ID 19226 //
     /* 1897012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1897023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1897026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1897029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1897032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897058 */     // MIs[0] policy
     /* 1897058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897068 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1897071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897092 */     // GIR_Coverage, 19226,
     /* 1897092 */     GIR_EraseRootFromParent_Done,
     /* 1897093 */   // Label 25567: @1897093
     /* 1897093 */   GIM_Try, /*On fail goto*//*Label 25568*/ GIMT_Encode4(1897179), // Rule ID 19227 //
     /* 1897098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1897109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1897112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1897115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1897118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897144 */     // MIs[0] policy
     /* 1897144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897154 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1897157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897178 */     // GIR_Coverage, 19227,
     /* 1897178 */     GIR_EraseRootFromParent_Done,
     /* 1897179 */   // Label 25568: @1897179
     /* 1897179 */   GIM_Try, /*On fail goto*//*Label 25569*/ GIMT_Encode4(1897265), // Rule ID 19230 //
     /* 1897184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1897195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1897198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1897201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1897204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897230 */     // MIs[0] policy
     /* 1897230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897240 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1897243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897264 */     // GIR_Coverage, 19230,
     /* 1897264 */     GIR_EraseRootFromParent_Done,
     /* 1897265 */   // Label 25569: @1897265
     /* 1897265 */   GIM_Try, /*On fail goto*//*Label 25570*/ GIMT_Encode4(1897351), // Rule ID 19231 //
     /* 1897270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1897281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1897284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1897287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1897290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897316 */     // MIs[0] policy
     /* 1897316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897326 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1897329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897350 */     // GIR_Coverage, 19231,
     /* 1897350 */     GIR_EraseRootFromParent_Done,
     /* 1897351 */   // Label 25570: @1897351
     /* 1897351 */   GIM_Try, /*On fail goto*//*Label 25571*/ GIMT_Encode4(1897437), // Rule ID 19234 //
     /* 1897356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1897367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1897370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1897373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1897376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897402 */     // MIs[0] policy
     /* 1897402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897412 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1897415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897436 */     // GIR_Coverage, 19234,
     /* 1897436 */     GIR_EraseRootFromParent_Done,
     /* 1897437 */   // Label 25571: @1897437
     /* 1897437 */   GIM_Try, /*On fail goto*//*Label 25572*/ GIMT_Encode4(1897523), // Rule ID 19235 //
     /* 1897442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1897453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1897456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1897459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1897462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897488 */     // MIs[0] policy
     /* 1897488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897498 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1897501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897522 */     // GIR_Coverage, 19235,
     /* 1897522 */     GIR_EraseRootFromParent_Done,
     /* 1897523 */   // Label 25572: @1897523
     /* 1897523 */   GIM_Try, /*On fail goto*//*Label 25573*/ GIMT_Encode4(1897609), // Rule ID 19238 //
     /* 1897528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1897539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1897542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1897545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897574 */     // MIs[0] policy
     /* 1897574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897584 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1897587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897608 */     // GIR_Coverage, 19238,
     /* 1897608 */     GIR_EraseRootFromParent_Done,
     /* 1897609 */   // Label 25573: @1897609
     /* 1897609 */   GIM_Try, /*On fail goto*//*Label 25574*/ GIMT_Encode4(1897695), // Rule ID 19239 //
     /* 1897614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1897625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1897628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1897631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897660 */     // MIs[0] policy
     /* 1897660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897670 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1897673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897694 */     // GIR_Coverage, 19239,
     /* 1897694 */     GIR_EraseRootFromParent_Done,
     /* 1897695 */   // Label 25574: @1897695
     /* 1897695 */   GIM_Try, /*On fail goto*//*Label 25575*/ GIMT_Encode4(1897781), // Rule ID 19242 //
     /* 1897700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1897711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1897714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1897717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897746 */     // MIs[0] policy
     /* 1897746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897756 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1897759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897780 */     // GIR_Coverage, 19242,
     /* 1897780 */     GIR_EraseRootFromParent_Done,
     /* 1897781 */   // Label 25575: @1897781
     /* 1897781 */   GIM_Try, /*On fail goto*//*Label 25576*/ GIMT_Encode4(1897867), // Rule ID 19243 //
     /* 1897786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1897797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1897800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1897803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1897806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897832 */     // MIs[0] policy
     /* 1897832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897842 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1897845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897866 */     // GIR_Coverage, 19243,
     /* 1897866 */     GIR_EraseRootFromParent_Done,
     /* 1897867 */   // Label 25576: @1897867
     /* 1897867 */   GIM_Try, /*On fail goto*//*Label 25577*/ GIMT_Encode4(1897953), // Rule ID 19246 //
     /* 1897872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1897883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1897886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1897889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897918 */     // MIs[0] policy
     /* 1897918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1897931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897952 */     // GIR_Coverage, 19246,
     /* 1897952 */     GIR_EraseRootFromParent_Done,
     /* 1897953 */   // Label 25577: @1897953
     /* 1897953 */   GIM_Try, /*On fail goto*//*Label 25578*/ GIMT_Encode4(1898039), // Rule ID 19247 //
     /* 1897958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1897969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1897972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1897975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1898000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898004 */     // MIs[0] policy
     /* 1898004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898014 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1898017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898038 */     // GIR_Coverage, 19247,
     /* 1898038 */     GIR_EraseRootFromParent_Done,
     /* 1898039 */   // Label 25578: @1898039
     /* 1898039 */   GIM_Try, /*On fail goto*//*Label 25579*/ GIMT_Encode4(1898125), // Rule ID 19250 //
     /* 1898044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1898061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1898064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1898086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898090 */     // MIs[0] policy
     /* 1898090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898100 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1898103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898124 */     // GIR_Coverage, 19250,
     /* 1898124 */     GIR_EraseRootFromParent_Done,
     /* 1898125 */   // Label 25579: @1898125
     /* 1898125 */   GIM_Try, /*On fail goto*//*Label 25580*/ GIMT_Encode4(1898211), // Rule ID 19251 //
     /* 1898130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1898147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1898150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1898172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898176 */     // MIs[0] policy
     /* 1898176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898186 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1898189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898210 */     // GIR_Coverage, 19251,
     /* 1898210 */     GIR_EraseRootFromParent_Done,
     /* 1898211 */   // Label 25580: @1898211
     /* 1898211 */   GIM_Try, /*On fail goto*//*Label 25581*/ GIMT_Encode4(1898297), // Rule ID 19254 //
     /* 1898216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1898233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1898236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1898258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898262 */     // MIs[0] policy
     /* 1898262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898272 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1898275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898296 */     // GIR_Coverage, 19254,
     /* 1898296 */     GIR_EraseRootFromParent_Done,
     /* 1898297 */   // Label 25581: @1898297
     /* 1898297 */   GIM_Try, /*On fail goto*//*Label 25582*/ GIMT_Encode4(1898383), // Rule ID 19255 //
     /* 1898302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1898319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1898322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1898344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898348 */     // MIs[0] policy
     /* 1898348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898358 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1898361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898382 */     // GIR_Coverage, 19255,
     /* 1898382 */     GIR_EraseRootFromParent_Done,
     /* 1898383 */   // Label 25582: @1898383
     /* 1898383 */   GIM_Try, /*On fail goto*//*Label 25583*/ GIMT_Encode4(1898469), // Rule ID 19258 //
     /* 1898388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1898391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1898399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1898402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1898405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898434 */     // MIs[0] policy
     /* 1898434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898444 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1898447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898468 */     // GIR_Coverage, 19258,
     /* 1898468 */     GIR_EraseRootFromParent_Done,
     /* 1898469 */   // Label 25583: @1898469
     /* 1898469 */   GIM_Try, /*On fail goto*//*Label 25584*/ GIMT_Encode4(1898555), // Rule ID 19259 //
     /* 1898474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1898477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1898485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1898488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1898491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898520 */     // MIs[0] policy
     /* 1898520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898530 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1898533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898554 */     // GIR_Coverage, 19259,
     /* 1898554 */     GIR_EraseRootFromParent_Done,
     /* 1898555 */   // Label 25584: @1898555
     /* 1898555 */   GIM_Try, /*On fail goto*//*Label 25585*/ GIMT_Encode4(1898641), // Rule ID 19262 //
     /* 1898560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1898571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1898574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1898577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1898580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1898602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898606 */     // MIs[0] policy
     /* 1898606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898616 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1898619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898640 */     // GIR_Coverage, 19262,
     /* 1898640 */     GIR_EraseRootFromParent_Done,
     /* 1898641 */   // Label 25585: @1898641
     /* 1898641 */   GIM_Try, /*On fail goto*//*Label 25586*/ GIMT_Encode4(1898727), // Rule ID 19263 //
     /* 1898646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1898657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1898660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1898663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1898666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1898688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898692 */     // MIs[0] policy
     /* 1898692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898702 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1898705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898726 */     // GIR_Coverage, 19263,
     /* 1898726 */     GIR_EraseRootFromParent_Done,
     /* 1898727 */   // Label 25586: @1898727
     /* 1898727 */   GIM_Try, /*On fail goto*//*Label 25587*/ GIMT_Encode4(1898813), // Rule ID 19266 //
     /* 1898732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1898743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1898746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1898749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1898752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1898774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898778 */     // MIs[0] policy
     /* 1898778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898788 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1898791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898812 */     // GIR_Coverage, 19266,
     /* 1898812 */     GIR_EraseRootFromParent_Done,
     /* 1898813 */   // Label 25587: @1898813
     /* 1898813 */   GIM_Try, /*On fail goto*//*Label 25588*/ GIMT_Encode4(1898899), // Rule ID 19267 //
     /* 1898818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1898829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1898832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1898835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1898838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1898860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898864 */     // MIs[0] policy
     /* 1898864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898874 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1898877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898898 */     // GIR_Coverage, 19267,
     /* 1898898 */     GIR_EraseRootFromParent_Done,
     /* 1898899 */   // Label 25588: @1898899
     /* 1898899 */   GIM_Try, /*On fail goto*//*Label 25589*/ GIMT_Encode4(1898985), // Rule ID 19270 //
     /* 1898904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1898915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1898918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1898921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1898924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1898927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1898946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898950 */     // MIs[0] policy
     /* 1898950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898960 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1898963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898984 */     // GIR_Coverage, 19270,
     /* 1898984 */     GIR_EraseRootFromParent_Done,
     /* 1898985 */   // Label 25589: @1898985
     /* 1898985 */   GIM_Try, /*On fail goto*//*Label 25590*/ GIMT_Encode4(1899071), // Rule ID 19271 //
     /* 1898990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1898998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1899001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1899004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1899007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1899010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1899013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1899032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899036 */     // MIs[0] policy
     /* 1899036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899046 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1899049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899070 */     // GIR_Coverage, 19271,
     /* 1899070 */     GIR_EraseRootFromParent_Done,
     /* 1899071 */   // Label 25590: @1899071
     /* 1899071 */   GIM_Try, /*On fail goto*//*Label 25591*/ GIMT_Encode4(1899157), // Rule ID 19274 //
     /* 1899076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1899087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1899090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1899093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1899096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1899118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899122 */     // MIs[0] policy
     /* 1899122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899132 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1899135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899156 */     // GIR_Coverage, 19274,
     /* 1899156 */     GIR_EraseRootFromParent_Done,
     /* 1899157 */   // Label 25591: @1899157
     /* 1899157 */   GIM_Try, /*On fail goto*//*Label 25592*/ GIMT_Encode4(1899243), // Rule ID 19275 //
     /* 1899162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1899173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1899176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1899179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1899182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1899204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899208 */     // MIs[0] policy
     /* 1899208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899218 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1899221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899242 */     // GIR_Coverage, 19275,
     /* 1899242 */     GIR_EraseRootFromParent_Done,
     /* 1899243 */   // Label 25592: @1899243
     /* 1899243 */   GIM_Try, /*On fail goto*//*Label 25593*/ GIMT_Encode4(1899329), // Rule ID 19278 //
     /* 1899248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1899259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1899262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1899265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1899268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1899290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899294 */     // MIs[0] policy
     /* 1899294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899304 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1899307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899328 */     // GIR_Coverage, 19278,
     /* 1899328 */     GIR_EraseRootFromParent_Done,
     /* 1899329 */   // Label 25593: @1899329
     /* 1899329 */   GIM_Try, /*On fail goto*//*Label 25594*/ GIMT_Encode4(1899415), // Rule ID 19279 //
     /* 1899334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1899345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1899348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1899351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1899354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1899376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899380 */     // MIs[0] policy
     /* 1899380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899390 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1899393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899414 */     // GIR_Coverage, 19279,
     /* 1899414 */     GIR_EraseRootFromParent_Done,
     /* 1899415 */   // Label 25594: @1899415
     /* 1899415 */   GIM_Try, /*On fail goto*//*Label 25595*/ GIMT_Encode4(1899501), // Rule ID 19282 //
     /* 1899420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1899431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1899434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1899437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1899440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1899462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899466 */     // MIs[0] policy
     /* 1899466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899476 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1899479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899500 */     // GIR_Coverage, 19282,
     /* 1899500 */     GIR_EraseRootFromParent_Done,
     /* 1899501 */   // Label 25595: @1899501
     /* 1899501 */   GIM_Try, /*On fail goto*//*Label 25596*/ GIMT_Encode4(1899587), // Rule ID 19283 //
     /* 1899506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1899517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1899520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1899523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1899526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1899548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899552 */     // MIs[0] policy
     /* 1899552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899562 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1899565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899586 */     // GIR_Coverage, 19283,
     /* 1899586 */     GIR_EraseRootFromParent_Done,
     /* 1899587 */   // Label 25596: @1899587
     /* 1899587 */   GIM_Try, /*On fail goto*//*Label 25597*/ GIMT_Encode4(1899673), // Rule ID 19286 //
     /* 1899592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1899603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1899606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1899609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1899612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1899634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899638 */     // MIs[0] policy
     /* 1899638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899648 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1899651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899672 */     // GIR_Coverage, 19286,
     /* 1899672 */     GIR_EraseRootFromParent_Done,
     /* 1899673 */   // Label 25597: @1899673
     /* 1899673 */   GIM_Try, /*On fail goto*//*Label 25598*/ GIMT_Encode4(1899759), // Rule ID 19287 //
     /* 1899678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1899689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1899692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1899695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1899698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1899720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899724 */     // MIs[0] policy
     /* 1899724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899734 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1899737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899758 */     // GIR_Coverage, 19287,
     /* 1899758 */     GIR_EraseRootFromParent_Done,
     /* 1899759 */   // Label 25598: @1899759
     /* 1899759 */   GIM_Try, /*On fail goto*//*Label 25599*/ GIMT_Encode4(1899845), // Rule ID 19290 //
     /* 1899764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1899775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1899778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1899781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1899784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1899806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899810 */     // MIs[0] policy
     /* 1899810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899820 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1899823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899844 */     // GIR_Coverage, 19290,
     /* 1899844 */     GIR_EraseRootFromParent_Done,
     /* 1899845 */   // Label 25599: @1899845
     /* 1899845 */   GIM_Try, /*On fail goto*//*Label 25600*/ GIMT_Encode4(1899931), // Rule ID 19291 //
     /* 1899850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1899861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1899864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1899867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1899870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1899892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899896 */     // MIs[0] policy
     /* 1899896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899906 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1899909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899930 */     // GIR_Coverage, 19291,
     /* 1899930 */     GIR_EraseRootFromParent_Done,
     /* 1899931 */   // Label 25600: @1899931
     /* 1899931 */   GIM_Try, /*On fail goto*//*Label 25601*/ GIMT_Encode4(1900017), // Rule ID 19294 //
     /* 1899936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1899947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1899950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1899953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1899956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1899978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899982 */     // MIs[0] policy
     /* 1899982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899992 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1899995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900016 */     // GIR_Coverage, 19294,
     /* 1900016 */     GIR_EraseRootFromParent_Done,
     /* 1900017 */   // Label 25601: @1900017
     /* 1900017 */   GIM_Try, /*On fail goto*//*Label 25602*/ GIMT_Encode4(1900103), // Rule ID 19295 //
     /* 1900022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1900030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1900033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1900036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1900039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1900042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1900064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900068 */     // MIs[0] policy
     /* 1900068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900078 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1900081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900102 */     // GIR_Coverage, 19295,
     /* 1900102 */     GIR_EraseRootFromParent_Done,
     /* 1900103 */   // Label 25602: @1900103
     /* 1900103 */   GIM_Try, /*On fail goto*//*Label 25603*/ GIMT_Encode4(1900189), // Rule ID 19298 //
     /* 1900108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1900119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1900122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1900125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1900128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900154 */     // MIs[0] policy
     /* 1900154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900164 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1900167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900188 */     // GIR_Coverage, 19298,
     /* 1900188 */     GIR_EraseRootFromParent_Done,
     /* 1900189 */   // Label 25603: @1900189
     /* 1900189 */   GIM_Try, /*On fail goto*//*Label 25604*/ GIMT_Encode4(1900275), // Rule ID 19299 //
     /* 1900194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1900205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1900208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1900211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1900214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900240 */     // MIs[0] policy
     /* 1900240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900250 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1900253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900274 */     // GIR_Coverage, 19299,
     /* 1900274 */     GIR_EraseRootFromParent_Done,
     /* 1900275 */   // Label 25604: @1900275
     /* 1900275 */   GIM_Try, /*On fail goto*//*Label 25605*/ GIMT_Encode4(1900361), // Rule ID 19302 //
     /* 1900280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1900291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1900294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1900297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1900300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900326 */     // MIs[0] policy
     /* 1900326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900336 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1900339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900360 */     // GIR_Coverage, 19302,
     /* 1900360 */     GIR_EraseRootFromParent_Done,
     /* 1900361 */   // Label 25605: @1900361
     /* 1900361 */   GIM_Try, /*On fail goto*//*Label 25606*/ GIMT_Encode4(1900447), // Rule ID 19303 //
     /* 1900366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1900377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1900380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1900383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1900386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900412 */     // MIs[0] policy
     /* 1900412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900422 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1900425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900446 */     // GIR_Coverage, 19303,
     /* 1900446 */     GIR_EraseRootFromParent_Done,
     /* 1900447 */   // Label 25606: @1900447
     /* 1900447 */   GIM_Try, /*On fail goto*//*Label 25607*/ GIMT_Encode4(1900533), // Rule ID 19306 //
     /* 1900452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1900463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1900466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1900469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1900472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900498 */     // MIs[0] policy
     /* 1900498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900508 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1900511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900532 */     // GIR_Coverage, 19306,
     /* 1900532 */     GIR_EraseRootFromParent_Done,
     /* 1900533 */   // Label 25607: @1900533
     /* 1900533 */   GIM_Try, /*On fail goto*//*Label 25608*/ GIMT_Encode4(1900619), // Rule ID 19307 //
     /* 1900538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1900549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1900552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1900555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1900558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900584 */     // MIs[0] policy
     /* 1900584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900594 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1900597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900618 */     // GIR_Coverage, 19307,
     /* 1900618 */     GIR_EraseRootFromParent_Done,
     /* 1900619 */   // Label 25608: @1900619
     /* 1900619 */   GIM_Try, /*On fail goto*//*Label 25609*/ GIMT_Encode4(1900705), // Rule ID 19310 //
     /* 1900624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1900641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1900644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900670 */     // MIs[0] policy
     /* 1900670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900680 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1900683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900704 */     // GIR_Coverage, 19310,
     /* 1900704 */     GIR_EraseRootFromParent_Done,
     /* 1900705 */   // Label 25609: @1900705
     /* 1900705 */   GIM_Try, /*On fail goto*//*Label 25610*/ GIMT_Encode4(1900791), // Rule ID 19311 //
     /* 1900710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1900727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1900730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900756 */     // MIs[0] policy
     /* 1900756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900766 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1900769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900790 */     // GIR_Coverage, 19311,
     /* 1900790 */     GIR_EraseRootFromParent_Done,
     /* 1900791 */   // Label 25610: @1900791
     /* 1900791 */   GIM_Try, /*On fail goto*//*Label 25611*/ GIMT_Encode4(1900877), // Rule ID 19314 //
     /* 1900796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1900807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1900810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1900813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1900816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900842 */     // MIs[0] policy
     /* 1900842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900852 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1900855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900876 */     // GIR_Coverage, 19314,
     /* 1900876 */     GIR_EraseRootFromParent_Done,
     /* 1900877 */   // Label 25611: @1900877
     /* 1900877 */   GIM_Try, /*On fail goto*//*Label 25612*/ GIMT_Encode4(1900963), // Rule ID 19315 //
     /* 1900882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1900893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1900896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1900899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1900902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900928 */     // MIs[0] policy
     /* 1900928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900938 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1900941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900962 */     // GIR_Coverage, 19315,
     /* 1900962 */     GIR_EraseRootFromParent_Done,
     /* 1900963 */   // Label 25612: @1900963
     /* 1900963 */   GIM_Try, /*On fail goto*//*Label 25613*/ GIMT_Encode4(1901049), // Rule ID 19318 //
     /* 1900968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1900979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1900982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1900985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1900988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901014 */     // MIs[0] policy
     /* 1901014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901024 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1901027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901048 */     // GIR_Coverage, 19318,
     /* 1901048 */     GIR_EraseRootFromParent_Done,
     /* 1901049 */   // Label 25613: @1901049
     /* 1901049 */   GIM_Try, /*On fail goto*//*Label 25614*/ GIMT_Encode4(1901135), // Rule ID 19319 //
     /* 1901054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1901065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1901068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1901071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1901074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901100 */     // MIs[0] policy
     /* 1901100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901110 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1901113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901134 */     // GIR_Coverage, 19319,
     /* 1901134 */     GIR_EraseRootFromParent_Done,
     /* 1901135 */   // Label 25614: @1901135
     /* 1901135 */   GIM_Try, /*On fail goto*//*Label 25615*/ GIMT_Encode4(1901221), // Rule ID 19322 //
     /* 1901140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1901151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1901154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1901157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1901160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901186 */     // MIs[0] policy
     /* 1901186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901196 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1901199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901220 */     // GIR_Coverage, 19322,
     /* 1901220 */     GIR_EraseRootFromParent_Done,
     /* 1901221 */   // Label 25615: @1901221
     /* 1901221 */   GIM_Try, /*On fail goto*//*Label 25616*/ GIMT_Encode4(1901307), // Rule ID 19323 //
     /* 1901226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1901237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1901240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1901243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1901246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901272 */     // MIs[0] policy
     /* 1901272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901282 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1901285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901306 */     // GIR_Coverage, 19323,
     /* 1901306 */     GIR_EraseRootFromParent_Done,
     /* 1901307 */   // Label 25616: @1901307
     /* 1901307 */   GIM_Try, /*On fail goto*//*Label 25617*/ GIMT_Encode4(1901393), // Rule ID 19326 //
     /* 1901312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1901323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1901326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1901329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1901332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901358 */     // MIs[0] policy
     /* 1901358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901368 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1901371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901392 */     // GIR_Coverage, 19326,
     /* 1901392 */     GIR_EraseRootFromParent_Done,
     /* 1901393 */   // Label 25617: @1901393
     /* 1901393 */   GIM_Try, /*On fail goto*//*Label 25618*/ GIMT_Encode4(1901479), // Rule ID 19327 //
     /* 1901398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1901409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1901412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1901415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1901418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901444 */     // MIs[0] policy
     /* 1901444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901454 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1901457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901478 */     // GIR_Coverage, 19327,
     /* 1901478 */     GIR_EraseRootFromParent_Done,
     /* 1901479 */   // Label 25618: @1901479
     /* 1901479 */   GIM_Try, /*On fail goto*//*Label 25619*/ GIMT_Encode4(1901565), // Rule ID 19330 //
     /* 1901484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1901495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1901498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1901501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1901504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1901507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901530 */     // MIs[0] policy
     /* 1901530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901540 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1901543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901564 */     // GIR_Coverage, 19330,
     /* 1901564 */     GIR_EraseRootFromParent_Done,
     /* 1901565 */   // Label 25619: @1901565
     /* 1901565 */   GIM_Try, /*On fail goto*//*Label 25620*/ GIMT_Encode4(1901651), // Rule ID 19331 //
     /* 1901570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1901581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1901584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1901587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1901590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1901593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901616 */     // MIs[0] policy
     /* 1901616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901626 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1901629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901650 */     // GIR_Coverage, 19331,
     /* 1901650 */     GIR_EraseRootFromParent_Done,
     /* 1901651 */   // Label 25620: @1901651
     /* 1901651 */   GIM_Try, /*On fail goto*//*Label 25621*/ GIMT_Encode4(1901737), // Rule ID 19334 //
     /* 1901656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1901667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1901670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1901673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1901676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901702 */     // MIs[0] policy
     /* 1901702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901712 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1901715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901736 */     // GIR_Coverage, 19334,
     /* 1901736 */     GIR_EraseRootFromParent_Done,
     /* 1901737 */   // Label 25621: @1901737
     /* 1901737 */   GIM_Try, /*On fail goto*//*Label 25622*/ GIMT_Encode4(1901823), // Rule ID 19335 //
     /* 1901742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1901753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1901756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1901759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1901762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901788 */     // MIs[0] policy
     /* 1901788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901798 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1901801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901822 */     // GIR_Coverage, 19335,
     /* 1901822 */     GIR_EraseRootFromParent_Done,
     /* 1901823 */   // Label 25622: @1901823
     /* 1901823 */   GIM_Try, /*On fail goto*//*Label 25623*/ GIMT_Encode4(1901909), // Rule ID 19338 //
     /* 1901828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1901839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1901842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1901845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1901848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901874 */     // MIs[0] policy
     /* 1901874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901884 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1901887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901908 */     // GIR_Coverage, 19338,
     /* 1901908 */     GIR_EraseRootFromParent_Done,
     /* 1901909 */   // Label 25623: @1901909
     /* 1901909 */   GIM_Try, /*On fail goto*//*Label 25624*/ GIMT_Encode4(1901995), // Rule ID 19339 //
     /* 1901914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1901925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1901928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1901931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1901934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901960 */     // MIs[0] policy
     /* 1901960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901970 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1901973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901994 */     // GIR_Coverage, 19339,
     /* 1901994 */     GIR_EraseRootFromParent_Done,
     /* 1901995 */   // Label 25624: @1901995
     /* 1901995 */   GIM_Try, /*On fail goto*//*Label 25625*/ GIMT_Encode4(1902081), // Rule ID 19342 //
     /* 1902000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1902011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1902014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1902017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1902020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902046 */     // MIs[0] policy
     /* 1902046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902056 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1902059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902080 */     // GIR_Coverage, 19342,
     /* 1902080 */     GIR_EraseRootFromParent_Done,
     /* 1902081 */   // Label 25625: @1902081
     /* 1902081 */   GIM_Try, /*On fail goto*//*Label 25626*/ GIMT_Encode4(1902167), // Rule ID 19343 //
     /* 1902086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1902097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1902100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1902103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1902106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902132 */     // MIs[0] policy
     /* 1902132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902142 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1902145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902166 */     // GIR_Coverage, 19343,
     /* 1902166 */     GIR_EraseRootFromParent_Done,
     /* 1902167 */   // Label 25626: @1902167
     /* 1902167 */   GIM_Try, /*On fail goto*//*Label 25627*/ GIMT_Encode4(1902253), // Rule ID 19346 //
     /* 1902172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1902183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1902186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1902189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1902192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902218 */     // MIs[0] policy
     /* 1902218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902228 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1902231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902252 */     // GIR_Coverage, 19346,
     /* 1902252 */     GIR_EraseRootFromParent_Done,
     /* 1902253 */   // Label 25627: @1902253
     /* 1902253 */   GIM_Try, /*On fail goto*//*Label 25628*/ GIMT_Encode4(1902339), // Rule ID 19347 //
     /* 1902258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1902269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1902272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1902275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1902278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902304 */     // MIs[0] policy
     /* 1902304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902314 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1902317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902338 */     // GIR_Coverage, 19347,
     /* 1902338 */     GIR_EraseRootFromParent_Done,
     /* 1902339 */   // Label 25628: @1902339
     /* 1902339 */   GIM_Try, /*On fail goto*//*Label 25629*/ GIMT_Encode4(1902425), // Rule ID 19350 //
     /* 1902344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1902355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1902358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1902361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1902364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902390 */     // MIs[0] policy
     /* 1902390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902400 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1902403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902424 */     // GIR_Coverage, 19350,
     /* 1902424 */     GIR_EraseRootFromParent_Done,
     /* 1902425 */   // Label 25629: @1902425
     /* 1902425 */   GIM_Try, /*On fail goto*//*Label 25630*/ GIMT_Encode4(1902511), // Rule ID 19351 //
     /* 1902430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1902441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1902444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1902447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1902450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902476 */     // MIs[0] policy
     /* 1902476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902486 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1902489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902510 */     // GIR_Coverage, 19351,
     /* 1902510 */     GIR_EraseRootFromParent_Done,
     /* 1902511 */   // Label 25630: @1902511
     /* 1902511 */   GIM_Try, /*On fail goto*//*Label 25631*/ GIMT_Encode4(1902597), // Rule ID 19354 //
     /* 1902516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1902527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1902530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1902533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1902536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902562 */     // MIs[0] policy
     /* 1902562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902572 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1902575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902596 */     // GIR_Coverage, 19354,
     /* 1902596 */     GIR_EraseRootFromParent_Done,
     /* 1902597 */   // Label 25631: @1902597
     /* 1902597 */   GIM_Try, /*On fail goto*//*Label 25632*/ GIMT_Encode4(1902683), // Rule ID 19355 //
     /* 1902602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1902613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1902616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1902619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1902622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902648 */     // MIs[0] policy
     /* 1902648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902658 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1902661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902682 */     // GIR_Coverage, 19355,
     /* 1902682 */     GIR_EraseRootFromParent_Done,
     /* 1902683 */   // Label 25632: @1902683
     /* 1902683 */   GIM_Try, /*On fail goto*//*Label 25633*/ GIMT_Encode4(1902769), // Rule ID 19358 //
     /* 1902688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1902699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1902702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1902705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902734 */     // MIs[0] policy
     /* 1902734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902744 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1902747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902768 */     // GIR_Coverage, 19358,
     /* 1902768 */     GIR_EraseRootFromParent_Done,
     /* 1902769 */   // Label 25633: @1902769
     /* 1902769 */   GIM_Try, /*On fail goto*//*Label 25634*/ GIMT_Encode4(1902855), // Rule ID 19359 //
     /* 1902774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1902785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1902788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1902791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902820 */     // MIs[0] policy
     /* 1902820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902830 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1902833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902854 */     // GIR_Coverage, 19359,
     /* 1902854 */     GIR_EraseRootFromParent_Done,
     /* 1902855 */   // Label 25634: @1902855
     /* 1902855 */   GIM_Try, /*On fail goto*//*Label 25635*/ GIMT_Encode4(1902941), // Rule ID 19362 //
     /* 1902860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1902871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1902874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1902877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902906 */     // MIs[0] policy
     /* 1902906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902916 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1902919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902940 */     // GIR_Coverage, 19362,
     /* 1902940 */     GIR_EraseRootFromParent_Done,
     /* 1902941 */   // Label 25635: @1902941
     /* 1902941 */   GIM_Try, /*On fail goto*//*Label 25636*/ GIMT_Encode4(1903027), // Rule ID 19363 //
     /* 1902946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1902957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1902960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1902963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902992 */     // MIs[0] policy
     /* 1902992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903002 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1903005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903026 */     // GIR_Coverage, 19363,
     /* 1903026 */     GIR_EraseRootFromParent_Done,
     /* 1903027 */   // Label 25636: @1903027
     /* 1903027 */   GIM_Try, /*On fail goto*//*Label 25637*/ GIMT_Encode4(1903113), // Rule ID 19366 //
     /* 1903032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1903043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1903046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1903049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903078 */     // MIs[0] policy
     /* 1903078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903088 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1903091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903112 */     // GIR_Coverage, 19366,
     /* 1903112 */     GIR_EraseRootFromParent_Done,
     /* 1903113 */   // Label 25637: @1903113
     /* 1903113 */   GIM_Try, /*On fail goto*//*Label 25638*/ GIMT_Encode4(1903199), // Rule ID 19367 //
     /* 1903118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1903129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1903132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1903135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903164 */     // MIs[0] policy
     /* 1903164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903174 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1903177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903198 */     // GIR_Coverage, 19367,
     /* 1903198 */     GIR_EraseRootFromParent_Done,
     /* 1903199 */   // Label 25638: @1903199
     /* 1903199 */   GIM_Try, /*On fail goto*//*Label 25639*/ GIMT_Encode4(1903285), // Rule ID 19370 //
     /* 1903204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1903215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1903218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1903221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903250 */     // MIs[0] policy
     /* 1903250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903260 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1903263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903284 */     // GIR_Coverage, 19370,
     /* 1903284 */     GIR_EraseRootFromParent_Done,
     /* 1903285 */   // Label 25639: @1903285
     /* 1903285 */   GIM_Try, /*On fail goto*//*Label 25640*/ GIMT_Encode4(1903371), // Rule ID 19371 //
     /* 1903290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1903301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1903304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1903307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903336 */     // MIs[0] policy
     /* 1903336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903346 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1903349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903370 */     // GIR_Coverage, 19371,
     /* 1903370 */     GIR_EraseRootFromParent_Done,
     /* 1903371 */   // Label 25640: @1903371
     /* 1903371 */   GIM_Try, /*On fail goto*//*Label 25641*/ GIMT_Encode4(1903457), // Rule ID 19374 //
     /* 1903376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1903393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903422 */     // MIs[0] policy
     /* 1903422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903432 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1903435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903456 */     // GIR_Coverage, 19374,
     /* 1903456 */     GIR_EraseRootFromParent_Done,
     /* 1903457 */   // Label 25641: @1903457
     /* 1903457 */   GIM_Try, /*On fail goto*//*Label 25642*/ GIMT_Encode4(1903543), // Rule ID 19375 //
     /* 1903462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1903479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903508 */     // MIs[0] policy
     /* 1903508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903518 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1903521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903542 */     // GIR_Coverage, 19375,
     /* 1903542 */     GIR_EraseRootFromParent_Done,
     /* 1903543 */   // Label 25642: @1903543
     /* 1903543 */   GIM_Try, /*On fail goto*//*Label 25643*/ GIMT_Encode4(1903629), // Rule ID 19378 //
     /* 1903548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1903565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903594 */     // MIs[0] policy
     /* 1903594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903604 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1903607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903628 */     // GIR_Coverage, 19378,
     /* 1903628 */     GIR_EraseRootFromParent_Done,
     /* 1903629 */   // Label 25643: @1903629
     /* 1903629 */   GIM_Try, /*On fail goto*//*Label 25644*/ GIMT_Encode4(1903715), // Rule ID 19379 //
     /* 1903634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1903651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903680 */     // MIs[0] policy
     /* 1903680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903690 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1903693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903714 */     // GIR_Coverage, 19379,
     /* 1903714 */     GIR_EraseRootFromParent_Done,
     /* 1903715 */   // Label 25644: @1903715
     /* 1903715 */   GIM_Try, /*On fail goto*//*Label 25645*/ GIMT_Encode4(1903801), // Rule ID 19382 //
     /* 1903720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1903731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1903734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1903737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903766 */     // MIs[0] policy
     /* 1903766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903776 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1903779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903800 */     // GIR_Coverage, 19382,
     /* 1903800 */     GIR_EraseRootFromParent_Done,
     /* 1903801 */   // Label 25645: @1903801
     /* 1903801 */   GIM_Try, /*On fail goto*//*Label 25646*/ GIMT_Encode4(1903887), // Rule ID 19383 //
     /* 1903806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1903817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1903820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1903823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903852 */     // MIs[0] policy
     /* 1903852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903862 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1903865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903886 */     // GIR_Coverage, 19383,
     /* 1903886 */     GIR_EraseRootFromParent_Done,
     /* 1903887 */   // Label 25646: @1903887
     /* 1903887 */   GIM_Try, /*On fail goto*//*Label 25647*/ GIMT_Encode4(1903973), // Rule ID 19386 //
     /* 1903892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1903903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1903906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1903909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903938 */     // MIs[0] policy
     /* 1903938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903948 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1903951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903972 */     // GIR_Coverage, 19386,
     /* 1903972 */     GIR_EraseRootFromParent_Done,
     /* 1903973 */   // Label 25647: @1903973
     /* 1903973 */   GIM_Try, /*On fail goto*//*Label 25648*/ GIMT_Encode4(1904059), // Rule ID 19387 //
     /* 1903978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1903986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1903989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1903992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1903995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1904020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904024 */     // MIs[0] policy
     /* 1904024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904034 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1904037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904058 */     // GIR_Coverage, 19387,
     /* 1904058 */     GIR_EraseRootFromParent_Done,
     /* 1904059 */   // Label 25648: @1904059
     /* 1904059 */   GIM_Try, /*On fail goto*//*Label 25649*/ GIMT_Encode4(1904145), // Rule ID 19390 //
     /* 1904064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1904075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1904078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1904081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1904084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1904087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1904106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904110 */     // MIs[0] policy
     /* 1904110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904120 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1904123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904144 */     // GIR_Coverage, 19390,
     /* 1904144 */     GIR_EraseRootFromParent_Done,
     /* 1904145 */   // Label 25649: @1904145
     /* 1904145 */   GIM_Try, /*On fail goto*//*Label 25650*/ GIMT_Encode4(1904231), // Rule ID 19391 //
     /* 1904150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1904161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1904164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1904167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1904170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1904173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1904192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904196 */     // MIs[0] policy
     /* 1904196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904206 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1904209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904230 */     // GIR_Coverage, 19391,
     /* 1904230 */     GIR_EraseRootFromParent_Done,
     /* 1904231 */   // Label 25650: @1904231
     /* 1904231 */   GIM_Try, /*On fail goto*//*Label 25651*/ GIMT_Encode4(1904317), // Rule ID 19394 //
     /* 1904236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1904247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1904250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1904253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1904256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1904278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904282 */     // MIs[0] policy
     /* 1904282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904292 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1904295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904316 */     // GIR_Coverage, 19394,
     /* 1904316 */     GIR_EraseRootFromParent_Done,
     /* 1904317 */   // Label 25651: @1904317
     /* 1904317 */   GIM_Try, /*On fail goto*//*Label 25652*/ GIMT_Encode4(1904403), // Rule ID 19395 //
     /* 1904322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1904333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1904336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1904339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1904342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1904364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904368 */     // MIs[0] policy
     /* 1904368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904378 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1904381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904402 */     // GIR_Coverage, 19395,
     /* 1904402 */     GIR_EraseRootFromParent_Done,
     /* 1904403 */   // Label 25652: @1904403
     /* 1904403 */   GIM_Try, /*On fail goto*//*Label 25653*/ GIMT_Encode4(1904489), // Rule ID 19398 //
     /* 1904408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1904419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1904422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1904425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1904428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1904450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904454 */     // MIs[0] policy
     /* 1904454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904464 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1904467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904488 */     // GIR_Coverage, 19398,
     /* 1904488 */     GIR_EraseRootFromParent_Done,
     /* 1904489 */   // Label 25653: @1904489
     /* 1904489 */   GIM_Try, /*On fail goto*//*Label 25654*/ GIMT_Encode4(1904575), // Rule ID 19399 //
     /* 1904494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1904505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1904508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1904511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1904514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1904536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904540 */     // MIs[0] policy
     /* 1904540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904550 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1904553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904574 */     // GIR_Coverage, 19399,
     /* 1904574 */     GIR_EraseRootFromParent_Done,
     /* 1904575 */   // Label 25654: @1904575
     /* 1904575 */   GIM_Try, /*On fail goto*//*Label 25655*/ GIMT_Encode4(1904661), // Rule ID 19402 //
     /* 1904580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1904591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1904594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1904597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1904600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1904622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904626 */     // MIs[0] policy
     /* 1904626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904636 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1904639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904660 */     // GIR_Coverage, 19402,
     /* 1904660 */     GIR_EraseRootFromParent_Done,
     /* 1904661 */   // Label 25655: @1904661
     /* 1904661 */   GIM_Try, /*On fail goto*//*Label 25656*/ GIMT_Encode4(1904747), // Rule ID 19403 //
     /* 1904666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1904677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1904680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1904683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1904686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1904708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904712 */     // MIs[0] policy
     /* 1904712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904722 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1904725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904746 */     // GIR_Coverage, 19403,
     /* 1904746 */     GIR_EraseRootFromParent_Done,
     /* 1904747 */   // Label 25656: @1904747
     /* 1904747 */   GIM_Try, /*On fail goto*//*Label 25657*/ GIMT_Encode4(1904833), // Rule ID 19406 //
     /* 1904752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1904763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1904766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1904769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1904772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1904794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904798 */     // MIs[0] policy
     /* 1904798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904808 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1904811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904832 */     // GIR_Coverage, 19406,
     /* 1904832 */     GIR_EraseRootFromParent_Done,
     /* 1904833 */   // Label 25657: @1904833
     /* 1904833 */   GIM_Try, /*On fail goto*//*Label 25658*/ GIMT_Encode4(1904919), // Rule ID 19407 //
     /* 1904838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1904849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1904852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1904855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1904858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1904880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904884 */     // MIs[0] policy
     /* 1904884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904894 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1904897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904918 */     // GIR_Coverage, 19407,
     /* 1904918 */     GIR_EraseRootFromParent_Done,
     /* 1904919 */   // Label 25658: @1904919
     /* 1904919 */   GIM_Try, /*On fail goto*//*Label 25659*/ GIMT_Encode4(1905005), // Rule ID 19410 //
     /* 1904924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1904935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1904938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1904941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1904944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1904966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904970 */     // MIs[0] policy
     /* 1904970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904980 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1904983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905004 */     // GIR_Coverage, 19410,
     /* 1905004 */     GIR_EraseRootFromParent_Done,
     /* 1905005 */   // Label 25659: @1905005
     /* 1905005 */   GIM_Try, /*On fail goto*//*Label 25660*/ GIMT_Encode4(1905091), // Rule ID 19411 //
     /* 1905010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1905021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1905024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1905027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1905030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1905052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905056 */     // MIs[0] policy
     /* 1905056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905066 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1905069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905090 */     // GIR_Coverage, 19411,
     /* 1905090 */     GIR_EraseRootFromParent_Done,
     /* 1905091 */   // Label 25660: @1905091
     /* 1905091 */   GIM_Try, /*On fail goto*//*Label 25661*/ GIMT_Encode4(1905177), // Rule ID 19414 //
     /* 1905096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1905107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1905110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1905113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1905116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1905138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905142 */     // MIs[0] policy
     /* 1905142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905152 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1905155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905176 */     // GIR_Coverage, 19414,
     /* 1905176 */     GIR_EraseRootFromParent_Done,
     /* 1905177 */   // Label 25661: @1905177
     /* 1905177 */   GIM_Try, /*On fail goto*//*Label 25662*/ GIMT_Encode4(1905263), // Rule ID 19415 //
     /* 1905182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1905193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1905196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1905199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1905202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1905224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905228 */     // MIs[0] policy
     /* 1905228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905238 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1905241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905262 */     // GIR_Coverage, 19415,
     /* 1905262 */     GIR_EraseRootFromParent_Done,
     /* 1905263 */   // Label 25662: @1905263
     /* 1905263 */   GIM_Try, /*On fail goto*//*Label 25663*/ GIMT_Encode4(1905349), // Rule ID 19418 //
     /* 1905268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1905279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1905282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1905285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1905288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905314 */     // MIs[0] policy
     /* 1905314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905324 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1905327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905348 */     // GIR_Coverage, 19418,
     /* 1905348 */     GIR_EraseRootFromParent_Done,
     /* 1905349 */   // Label 25663: @1905349
     /* 1905349 */   GIM_Try, /*On fail goto*//*Label 25664*/ GIMT_Encode4(1905435), // Rule ID 19419 //
     /* 1905354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1905365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1905368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1905371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1905374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905400 */     // MIs[0] policy
     /* 1905400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905410 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1905413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905434 */     // GIR_Coverage, 19419,
     /* 1905434 */     GIR_EraseRootFromParent_Done,
     /* 1905435 */   // Label 25664: @1905435
     /* 1905435 */   GIM_Try, /*On fail goto*//*Label 25665*/ GIMT_Encode4(1905521), // Rule ID 19422 //
     /* 1905440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1905451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1905454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1905457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1905460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905486 */     // MIs[0] policy
     /* 1905486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905496 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1905499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905520 */     // GIR_Coverage, 19422,
     /* 1905520 */     GIR_EraseRootFromParent_Done,
     /* 1905521 */   // Label 25665: @1905521
     /* 1905521 */   GIM_Try, /*On fail goto*//*Label 25666*/ GIMT_Encode4(1905607), // Rule ID 19423 //
     /* 1905526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1905537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1905540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1905543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1905546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905572 */     // MIs[0] policy
     /* 1905572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905582 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1905585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905606 */     // GIR_Coverage, 19423,
     /* 1905606 */     GIR_EraseRootFromParent_Done,
     /* 1905607 */   // Label 25666: @1905607
     /* 1905607 */   GIM_Try, /*On fail goto*//*Label 25667*/ GIMT_Encode4(1905693), // Rule ID 19426 //
     /* 1905612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1905623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1905626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1905629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1905632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905658 */     // MIs[0] policy
     /* 1905658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905668 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1905671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905692 */     // GIR_Coverage, 19426,
     /* 1905692 */     GIR_EraseRootFromParent_Done,
     /* 1905693 */   // Label 25667: @1905693
     /* 1905693 */   GIM_Try, /*On fail goto*//*Label 25668*/ GIMT_Encode4(1905779), // Rule ID 19427 //
     /* 1905698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1905709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1905712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1905715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1905718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905744 */     // MIs[0] policy
     /* 1905744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905754 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1905757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905778 */     // GIR_Coverage, 19427,
     /* 1905778 */     GIR_EraseRootFromParent_Done,
     /* 1905779 */   // Label 25668: @1905779
     /* 1905779 */   GIM_Try, /*On fail goto*//*Label 25669*/ GIMT_Encode4(1905865), // Rule ID 19430 //
     /* 1905784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1905795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1905798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1905801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1905804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905830 */     // MIs[0] policy
     /* 1905830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905840 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1905843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905864 */     // GIR_Coverage, 19430,
     /* 1905864 */     GIR_EraseRootFromParent_Done,
     /* 1905865 */   // Label 25669: @1905865
     /* 1905865 */   GIM_Try, /*On fail goto*//*Label 25670*/ GIMT_Encode4(1905951), // Rule ID 19431 //
     /* 1905870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1905881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1905884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1905887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1905890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905916 */     // MIs[0] policy
     /* 1905916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905926 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1905929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905950 */     // GIR_Coverage, 19431,
     /* 1905950 */     GIR_EraseRootFromParent_Done,
     /* 1905951 */   // Label 25670: @1905951
     /* 1905951 */   GIM_Try, /*On fail goto*//*Label 25671*/ GIMT_Encode4(1906037), // Rule ID 19434 //
     /* 1905956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1905973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1905976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906002 */     // MIs[0] policy
     /* 1906002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906012 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1906015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906036 */     // GIR_Coverage, 19434,
     /* 1906036 */     GIR_EraseRootFromParent_Done,
     /* 1906037 */   // Label 25671: @1906037
     /* 1906037 */   GIM_Try, /*On fail goto*//*Label 25672*/ GIMT_Encode4(1906123), // Rule ID 19435 //
     /* 1906042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1906053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1906056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1906059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1906062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906088 */     // MIs[0] policy
     /* 1906088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906098 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1906101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906122 */     // GIR_Coverage, 19435,
     /* 1906122 */     GIR_EraseRootFromParent_Done,
     /* 1906123 */   // Label 25672: @1906123
     /* 1906123 */   GIM_Try, /*On fail goto*//*Label 25673*/ GIMT_Encode4(1906209), // Rule ID 19438 //
     /* 1906128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1906131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1906139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1906142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1906145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1906148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906174 */     // MIs[0] policy
     /* 1906174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906184 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1906187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906208 */     // GIR_Coverage, 19438,
     /* 1906208 */     GIR_EraseRootFromParent_Done,
     /* 1906209 */   // Label 25673: @1906209
     /* 1906209 */   GIM_Try, /*On fail goto*//*Label 25674*/ GIMT_Encode4(1906295), // Rule ID 19439 //
     /* 1906214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1906225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1906228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1906231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1906234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906260 */     // MIs[0] policy
     /* 1906260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906270 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1906273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906294 */     // GIR_Coverage, 19439,
     /* 1906294 */     GIR_EraseRootFromParent_Done,
     /* 1906295 */   // Label 25674: @1906295
     /* 1906295 */   GIM_Try, /*On fail goto*//*Label 25675*/ GIMT_Encode4(1906381), // Rule ID 19442 //
     /* 1906300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1906311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1906314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1906317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1906320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906346 */     // MIs[0] policy
     /* 1906346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906356 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1906359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906380 */     // GIR_Coverage, 19442,
     /* 1906380 */     GIR_EraseRootFromParent_Done,
     /* 1906381 */   // Label 25675: @1906381
     /* 1906381 */   GIM_Try, /*On fail goto*//*Label 25676*/ GIMT_Encode4(1906467), // Rule ID 19443 //
     /* 1906386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1906397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1906400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1906403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1906406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906432 */     // MIs[0] policy
     /* 1906432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906442 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1906445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906466 */     // GIR_Coverage, 19443,
     /* 1906466 */     GIR_EraseRootFromParent_Done,
     /* 1906467 */   // Label 25676: @1906467
     /* 1906467 */   GIM_Try, /*On fail goto*//*Label 25677*/ GIMT_Encode4(1906553), // Rule ID 19446 //
     /* 1906472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1906483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1906486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1906489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1906492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906518 */     // MIs[0] policy
     /* 1906518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906528 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1906531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906552 */     // GIR_Coverage, 19446,
     /* 1906552 */     GIR_EraseRootFromParent_Done,
     /* 1906553 */   // Label 25677: @1906553
     /* 1906553 */   GIM_Try, /*On fail goto*//*Label 25678*/ GIMT_Encode4(1906639), // Rule ID 19447 //
     /* 1906558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1906569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1906572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1906575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1906578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906604 */     // MIs[0] policy
     /* 1906604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906614 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1906617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906638 */     // GIR_Coverage, 19447,
     /* 1906638 */     GIR_EraseRootFromParent_Done,
     /* 1906639 */   // Label 25678: @1906639
     /* 1906639 */   GIM_Try, /*On fail goto*//*Label 25679*/ GIMT_Encode4(1906725), // Rule ID 19450 //
     /* 1906644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1906655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1906658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1906661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1906664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1906667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906690 */     // MIs[0] policy
     /* 1906690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906700 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1906703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906724 */     // GIR_Coverage, 19450,
     /* 1906724 */     GIR_EraseRootFromParent_Done,
     /* 1906725 */   // Label 25679: @1906725
     /* 1906725 */   GIM_Try, /*On fail goto*//*Label 25680*/ GIMT_Encode4(1906811), // Rule ID 19451 //
     /* 1906730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1906741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1906744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1906747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1906750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1906753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906776 */     // MIs[0] policy
     /* 1906776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906786 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1906789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906810 */     // GIR_Coverage, 19451,
     /* 1906810 */     GIR_EraseRootFromParent_Done,
     /* 1906811 */   // Label 25680: @1906811
     /* 1906811 */   GIM_Try, /*On fail goto*//*Label 25681*/ GIMT_Encode4(1906897), // Rule ID 19454 //
     /* 1906816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1906827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1906830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1906833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1906836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906862 */     // MIs[0] policy
     /* 1906862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906872 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1906875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906896 */     // GIR_Coverage, 19454,
     /* 1906896 */     GIR_EraseRootFromParent_Done,
     /* 1906897 */   // Label 25681: @1906897
     /* 1906897 */   GIM_Try, /*On fail goto*//*Label 25682*/ GIMT_Encode4(1906983), // Rule ID 19455 //
     /* 1906902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1906913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1906916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1906919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1906922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906948 */     // MIs[0] policy
     /* 1906948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906958 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1906961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906982 */     // GIR_Coverage, 19455,
     /* 1906982 */     GIR_EraseRootFromParent_Done,
     /* 1906983 */   // Label 25682: @1906983
     /* 1906983 */   GIM_Try, /*On fail goto*//*Label 25683*/ GIMT_Encode4(1907069), // Rule ID 19458 //
     /* 1906988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1906999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1907002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1907005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1907008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907034 */     // MIs[0] policy
     /* 1907034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907044 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1907047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907068 */     // GIR_Coverage, 19458,
     /* 1907068 */     GIR_EraseRootFromParent_Done,
     /* 1907069 */   // Label 25683: @1907069
     /* 1907069 */   GIM_Try, /*On fail goto*//*Label 25684*/ GIMT_Encode4(1907155), // Rule ID 19459 //
     /* 1907074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1907085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1907088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1907091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1907094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907120 */     // MIs[0] policy
     /* 1907120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907130 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1907133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907154 */     // GIR_Coverage, 19459,
     /* 1907154 */     GIR_EraseRootFromParent_Done,
     /* 1907155 */   // Label 25684: @1907155
     /* 1907155 */   GIM_Try, /*On fail goto*//*Label 25685*/ GIMT_Encode4(1907241), // Rule ID 19462 //
     /* 1907160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1907171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1907174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1907177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1907180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907206 */     // MIs[0] policy
     /* 1907206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907216 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1907219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907240 */     // GIR_Coverage, 19462,
     /* 1907240 */     GIR_EraseRootFromParent_Done,
     /* 1907241 */   // Label 25685: @1907241
     /* 1907241 */   GIM_Try, /*On fail goto*//*Label 25686*/ GIMT_Encode4(1907327), // Rule ID 19463 //
     /* 1907246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1907257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1907260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1907263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1907266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907292 */     // MIs[0] policy
     /* 1907292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907302 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1907305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907326 */     // GIR_Coverage, 19463,
     /* 1907326 */     GIR_EraseRootFromParent_Done,
     /* 1907327 */   // Label 25686: @1907327
     /* 1907327 */   GIM_Try, /*On fail goto*//*Label 25687*/ GIMT_Encode4(1907413), // Rule ID 19466 //
     /* 1907332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1907343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1907346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1907349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1907352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907378 */     // MIs[0] policy
     /* 1907378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907388 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1907391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907412 */     // GIR_Coverage, 19466,
     /* 1907412 */     GIR_EraseRootFromParent_Done,
     /* 1907413 */   // Label 25687: @1907413
     /* 1907413 */   GIM_Try, /*On fail goto*//*Label 25688*/ GIMT_Encode4(1907499), // Rule ID 19467 //
     /* 1907418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1907429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1907432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1907435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1907438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907464 */     // MIs[0] policy
     /* 1907464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907474 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1907477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907498 */     // GIR_Coverage, 19467,
     /* 1907498 */     GIR_EraseRootFromParent_Done,
     /* 1907499 */   // Label 25688: @1907499
     /* 1907499 */   GIM_Try, /*On fail goto*//*Label 25689*/ GIMT_Encode4(1907585), // Rule ID 19470 //
     /* 1907504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1907515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1907518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1907521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1907524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907550 */     // MIs[0] policy
     /* 1907550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907560 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1907563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907584 */     // GIR_Coverage, 19470,
     /* 1907584 */     GIR_EraseRootFromParent_Done,
     /* 1907585 */   // Label 25689: @1907585
     /* 1907585 */   GIM_Try, /*On fail goto*//*Label 25690*/ GIMT_Encode4(1907671), // Rule ID 19471 //
     /* 1907590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1907601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1907604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1907607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1907610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907636 */     // MIs[0] policy
     /* 1907636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907646 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1907649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907670 */     // GIR_Coverage, 19471,
     /* 1907670 */     GIR_EraseRootFromParent_Done,
     /* 1907671 */   // Label 25690: @1907671
     /* 1907671 */   GIM_Try, /*On fail goto*//*Label 25691*/ GIMT_Encode4(1907757), // Rule ID 19474 //
     /* 1907676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1907687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1907690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1907693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1907696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907722 */     // MIs[0] policy
     /* 1907722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907732 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1907735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907756 */     // GIR_Coverage, 19474,
     /* 1907756 */     GIR_EraseRootFromParent_Done,
     /* 1907757 */   // Label 25691: @1907757
     /* 1907757 */   GIM_Try, /*On fail goto*//*Label 25692*/ GIMT_Encode4(1907843), // Rule ID 19475 //
     /* 1907762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1907773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1907776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1907779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1907782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907808 */     // MIs[0] policy
     /* 1907808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907818 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1907821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907842 */     // GIR_Coverage, 19475,
     /* 1907842 */     GIR_EraseRootFromParent_Done,
     /* 1907843 */   // Label 25692: @1907843
     /* 1907843 */   GIM_Try, /*On fail goto*//*Label 25693*/ GIMT_Encode4(1907929), // Rule ID 19478 //
     /* 1907848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1907859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1907862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1907865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907894 */     // MIs[0] policy
     /* 1907894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907904 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1907907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907928 */     // GIR_Coverage, 19478,
     /* 1907928 */     GIR_EraseRootFromParent_Done,
     /* 1907929 */   // Label 25693: @1907929
     /* 1907929 */   GIM_Try, /*On fail goto*//*Label 25694*/ GIMT_Encode4(1908015), // Rule ID 19479 //
     /* 1907934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1907945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1907948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1907951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907980 */     // MIs[0] policy
     /* 1907980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907990 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1907993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908014 */     // GIR_Coverage, 19479,
     /* 1908014 */     GIR_EraseRootFromParent_Done,
     /* 1908015 */   // Label 25694: @1908015
     /* 1908015 */   GIM_Try, /*On fail goto*//*Label 25695*/ GIMT_Encode4(1908101), // Rule ID 19482 //
     /* 1908020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1908031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1908034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1908037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908066 */     // MIs[0] policy
     /* 1908066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908076 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1908079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908100 */     // GIR_Coverage, 19482,
     /* 1908100 */     GIR_EraseRootFromParent_Done,
     /* 1908101 */   // Label 25695: @1908101
     /* 1908101 */   GIM_Try, /*On fail goto*//*Label 25696*/ GIMT_Encode4(1908187), // Rule ID 19483 //
     /* 1908106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1908117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1908120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1908123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908152 */     // MIs[0] policy
     /* 1908152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908162 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1908165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908186 */     // GIR_Coverage, 19483,
     /* 1908186 */     GIR_EraseRootFromParent_Done,
     /* 1908187 */   // Label 25696: @1908187
     /* 1908187 */   GIM_Try, /*On fail goto*//*Label 25697*/ GIMT_Encode4(1908273), // Rule ID 19486 //
     /* 1908192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1908203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1908206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1908209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908238 */     // MIs[0] policy
     /* 1908238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908248 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1908251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908272 */     // GIR_Coverage, 19486,
     /* 1908272 */     GIR_EraseRootFromParent_Done,
     /* 1908273 */   // Label 25697: @1908273
     /* 1908273 */   GIM_Try, /*On fail goto*//*Label 25698*/ GIMT_Encode4(1908359), // Rule ID 19487 //
     /* 1908278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1908289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1908292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1908295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908324 */     // MIs[0] policy
     /* 1908324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908334 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1908337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908358 */     // GIR_Coverage, 19487,
     /* 1908358 */     GIR_EraseRootFromParent_Done,
     /* 1908359 */   // Label 25698: @1908359
     /* 1908359 */   GIM_Try, /*On fail goto*//*Label 25699*/ GIMT_Encode4(1908445), // Rule ID 19490 //
     /* 1908364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1908375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1908378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1908381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908410 */     // MIs[0] policy
     /* 1908410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908420 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1908423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908444 */     // GIR_Coverage, 19490,
     /* 1908444 */     GIR_EraseRootFromParent_Done,
     /* 1908445 */   // Label 25699: @1908445
     /* 1908445 */   GIM_Try, /*On fail goto*//*Label 25700*/ GIMT_Encode4(1908531), // Rule ID 19491 //
     /* 1908450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1908461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1908464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1908467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908496 */     // MIs[0] policy
     /* 1908496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908506 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1908509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908530 */     // GIR_Coverage, 19491,
     /* 1908530 */     GIR_EraseRootFromParent_Done,
     /* 1908531 */   // Label 25700: @1908531
     /* 1908531 */   GIM_Try, /*On fail goto*//*Label 25701*/ GIMT_Encode4(1908617), // Rule ID 19494 //
     /* 1908536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1908547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1908550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1908553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908582 */     // MIs[0] policy
     /* 1908582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908592 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1908595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908616 */     // GIR_Coverage, 19494,
     /* 1908616 */     GIR_EraseRootFromParent_Done,
     /* 1908617 */   // Label 25701: @1908617
     /* 1908617 */   GIM_Try, /*On fail goto*//*Label 25702*/ GIMT_Encode4(1908703), // Rule ID 19495 //
     /* 1908622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1908633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1908636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1908639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908668 */     // MIs[0] policy
     /* 1908668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908678 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1908681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908702 */     // GIR_Coverage, 19495,
     /* 1908702 */     GIR_EraseRootFromParent_Done,
     /* 1908703 */   // Label 25702: @1908703
     /* 1908703 */   GIM_Try, /*On fail goto*//*Label 25703*/ GIMT_Encode4(1908789), // Rule ID 19498 //
     /* 1908708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1908719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1908722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1908725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908754 */     // MIs[0] policy
     /* 1908754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908764 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1908767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908788 */     // GIR_Coverage, 19498,
     /* 1908788 */     GIR_EraseRootFromParent_Done,
     /* 1908789 */   // Label 25703: @1908789
     /* 1908789 */   GIM_Try, /*On fail goto*//*Label 25704*/ GIMT_Encode4(1908875), // Rule ID 19499 //
     /* 1908794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1908805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1908808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1908811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908840 */     // MIs[0] policy
     /* 1908840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908850 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1908853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908874 */     // GIR_Coverage, 19499,
     /* 1908874 */     GIR_EraseRootFromParent_Done,
     /* 1908875 */   // Label 25704: @1908875
     /* 1908875 */   GIM_Try, /*On fail goto*//*Label 25705*/ GIMT_Encode4(1908961), // Rule ID 19502 //
     /* 1908880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1908891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1908894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1908897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908926 */     // MIs[0] policy
     /* 1908926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908936 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1908939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908960 */     // GIR_Coverage, 19502,
     /* 1908960 */     GIR_EraseRootFromParent_Done,
     /* 1908961 */   // Label 25705: @1908961
     /* 1908961 */   GIM_Try, /*On fail goto*//*Label 25706*/ GIMT_Encode4(1909047), // Rule ID 19503 //
     /* 1908966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1908974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1908977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1908980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1908983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1909008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909012 */     // MIs[0] policy
     /* 1909012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909022 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1909025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909046 */     // GIR_Coverage, 19503,
     /* 1909046 */     GIR_EraseRootFromParent_Done,
     /* 1909047 */   // Label 25706: @1909047
     /* 1909047 */   GIM_Try, /*On fail goto*//*Label 25707*/ GIMT_Encode4(1909133), // Rule ID 19506 //
     /* 1909052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1909063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1909066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1909069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1909072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1909094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909098 */     // MIs[0] policy
     /* 1909098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909108 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1909111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909132 */     // GIR_Coverage, 19506,
     /* 1909132 */     GIR_EraseRootFromParent_Done,
     /* 1909133 */   // Label 25707: @1909133
     /* 1909133 */   GIM_Try, /*On fail goto*//*Label 25708*/ GIMT_Encode4(1909219), // Rule ID 19507 //
     /* 1909138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1909149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1909152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1909155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1909158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1909180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909184 */     // MIs[0] policy
     /* 1909184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909194 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1909197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909218 */     // GIR_Coverage, 19507,
     /* 1909218 */     GIR_EraseRootFromParent_Done,
     /* 1909219 */   // Label 25708: @1909219
     /* 1909219 */   GIM_Try, /*On fail goto*//*Label 25709*/ GIMT_Encode4(1909305), // Rule ID 19510 //
     /* 1909224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1909235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1909238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1909241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1909244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1909247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1909266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909270 */     // MIs[0] policy
     /* 1909270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909280 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1909283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909304 */     // GIR_Coverage, 19510,
     /* 1909304 */     GIR_EraseRootFromParent_Done,
     /* 1909305 */   // Label 25709: @1909305
     /* 1909305 */   GIM_Try, /*On fail goto*//*Label 25710*/ GIMT_Encode4(1909391), // Rule ID 19511 //
     /* 1909310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1909321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1909324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1909327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1909330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1909333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1909352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909356 */     // MIs[0] policy
     /* 1909356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909366 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1909369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909390 */     // GIR_Coverage, 19511,
     /* 1909390 */     GIR_EraseRootFromParent_Done,
     /* 1909391 */   // Label 25710: @1909391
     /* 1909391 */   GIM_Try, /*On fail goto*//*Label 25711*/ GIMT_Encode4(1909477), // Rule ID 19514 //
     /* 1909396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1909407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1909410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1909413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1909438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909442 */     // MIs[0] policy
     /* 1909442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909452 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1909455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909476 */     // GIR_Coverage, 19514,
     /* 1909476 */     GIR_EraseRootFromParent_Done,
     /* 1909477 */   // Label 25711: @1909477
     /* 1909477 */   GIM_Try, /*On fail goto*//*Label 25712*/ GIMT_Encode4(1909563), // Rule ID 19515 //
     /* 1909482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1909493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1909496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1909499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1909524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909528 */     // MIs[0] policy
     /* 1909528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909538 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1909541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909562 */     // GIR_Coverage, 19515,
     /* 1909562 */     GIR_EraseRootFromParent_Done,
     /* 1909563 */   // Label 25712: @1909563
     /* 1909563 */   GIM_Try, /*On fail goto*//*Label 25713*/ GIMT_Encode4(1909649), // Rule ID 19518 //
     /* 1909568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1909579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1909582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1909585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1909610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909614 */     // MIs[0] policy
     /* 1909614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909624 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1909627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909648 */     // GIR_Coverage, 19518,
     /* 1909648 */     GIR_EraseRootFromParent_Done,
     /* 1909649 */   // Label 25713: @1909649
     /* 1909649 */   GIM_Try, /*On fail goto*//*Label 25714*/ GIMT_Encode4(1909735), // Rule ID 19519 //
     /* 1909654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1909665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1909668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1909671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1909696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909700 */     // MIs[0] policy
     /* 1909700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909710 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1909713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909734 */     // GIR_Coverage, 19519,
     /* 1909734 */     GIR_EraseRootFromParent_Done,
     /* 1909735 */   // Label 25714: @1909735
     /* 1909735 */   GIM_Try, /*On fail goto*//*Label 25715*/ GIMT_Encode4(1909821), // Rule ID 19522 //
     /* 1909740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1909751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1909754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1909757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1909782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909786 */     // MIs[0] policy
     /* 1909786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909796 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1909799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909820 */     // GIR_Coverage, 19522,
     /* 1909820 */     GIR_EraseRootFromParent_Done,
     /* 1909821 */   // Label 25715: @1909821
     /* 1909821 */   GIM_Try, /*On fail goto*//*Label 25716*/ GIMT_Encode4(1909907), // Rule ID 19523 //
     /* 1909826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1909837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1909840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1909843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1909868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909872 */     // MIs[0] policy
     /* 1909872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909882 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1909885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909906 */     // GIR_Coverage, 19523,
     /* 1909906 */     GIR_EraseRootFromParent_Done,
     /* 1909907 */   // Label 25716: @1909907
     /* 1909907 */   GIM_Try, /*On fail goto*//*Label 25717*/ GIMT_Encode4(1909993), // Rule ID 19526 //
     /* 1909912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1909923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1909926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1909929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1909954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909958 */     // MIs[0] policy
     /* 1909958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909968 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1909971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909992 */     // GIR_Coverage, 19526,
     /* 1909992 */     GIR_EraseRootFromParent_Done,
     /* 1909993 */   // Label 25717: @1909993
     /* 1909993 */   GIM_Try, /*On fail goto*//*Label 25718*/ GIMT_Encode4(1910079), // Rule ID 19527 //
     /* 1909998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1910009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1910012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1910015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1910040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910044 */     // MIs[0] policy
     /* 1910044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910054 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1910057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910078 */     // GIR_Coverage, 19527,
     /* 1910078 */     GIR_EraseRootFromParent_Done,
     /* 1910079 */   // Label 25718: @1910079
     /* 1910079 */   GIM_Try, /*On fail goto*//*Label 25719*/ GIMT_Encode4(1910165), // Rule ID 19530 //
     /* 1910084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1910095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1910098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1910101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1910126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910130 */     // MIs[0] policy
     /* 1910130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910140 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1910143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910164 */     // GIR_Coverage, 19530,
     /* 1910164 */     GIR_EraseRootFromParent_Done,
     /* 1910165 */   // Label 25719: @1910165
     /* 1910165 */   GIM_Try, /*On fail goto*//*Label 25720*/ GIMT_Encode4(1910251), // Rule ID 19531 //
     /* 1910170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1910181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1910184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1910187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1910212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910216 */     // MIs[0] policy
     /* 1910216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910226 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1910229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910250 */     // GIR_Coverage, 19531,
     /* 1910250 */     GIR_EraseRootFromParent_Done,
     /* 1910251 */   // Label 25720: @1910251
     /* 1910251 */   GIM_Try, /*On fail goto*//*Label 25721*/ GIMT_Encode4(1910337), // Rule ID 19534 //
     /* 1910256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1910267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1910270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1910273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1910298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910302 */     // MIs[0] policy
     /* 1910302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910312 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1910315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910336 */     // GIR_Coverage, 19534,
     /* 1910336 */     GIR_EraseRootFromParent_Done,
     /* 1910337 */   // Label 25721: @1910337
     /* 1910337 */   GIM_Try, /*On fail goto*//*Label 25722*/ GIMT_Encode4(1910423), // Rule ID 19535 //
     /* 1910342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1910353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1910356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1910359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1910384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910388 */     // MIs[0] policy
     /* 1910388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910398 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1910401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910422 */     // GIR_Coverage, 19535,
     /* 1910422 */     GIR_EraseRootFromParent_Done,
     /* 1910423 */   // Label 25722: @1910423
     /* 1910423 */   GIM_Try, /*On fail goto*//*Label 25723*/ GIMT_Encode4(1910509), // Rule ID 19538 //
     /* 1910428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1910439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1910442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1910445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1910448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910474 */     // MIs[0] policy
     /* 1910474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910484 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1910487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910508 */     // GIR_Coverage, 19538,
     /* 1910508 */     GIR_EraseRootFromParent_Done,
     /* 1910509 */   // Label 25723: @1910509
     /* 1910509 */   GIM_Try, /*On fail goto*//*Label 25724*/ GIMT_Encode4(1910595), // Rule ID 19539 //
     /* 1910514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1910525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1910528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1910531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1910534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910560 */     // MIs[0] policy
     /* 1910560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910570 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1910573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910594 */     // GIR_Coverage, 19539,
     /* 1910594 */     GIR_EraseRootFromParent_Done,
     /* 1910595 */   // Label 25724: @1910595
     /* 1910595 */   GIM_Try, /*On fail goto*//*Label 25725*/ GIMT_Encode4(1910681), // Rule ID 19542 //
     /* 1910600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1910611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1910614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1910617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1910620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910646 */     // MIs[0] policy
     /* 1910646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910656 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1910659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910680 */     // GIR_Coverage, 19542,
     /* 1910680 */     GIR_EraseRootFromParent_Done,
     /* 1910681 */   // Label 25725: @1910681
     /* 1910681 */   GIM_Try, /*On fail goto*//*Label 25726*/ GIMT_Encode4(1910767), // Rule ID 19543 //
     /* 1910686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1910697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1910700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1910703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1910706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910732 */     // MIs[0] policy
     /* 1910732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910742 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1910745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910766 */     // GIR_Coverage, 19543,
     /* 1910766 */     GIR_EraseRootFromParent_Done,
     /* 1910767 */   // Label 25726: @1910767
     /* 1910767 */   GIM_Try, /*On fail goto*//*Label 25727*/ GIMT_Encode4(1910853), // Rule ID 19546 //
     /* 1910772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1910783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1910786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1910789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1910792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910818 */     // MIs[0] policy
     /* 1910818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910828 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1910831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910852 */     // GIR_Coverage, 19546,
     /* 1910852 */     GIR_EraseRootFromParent_Done,
     /* 1910853 */   // Label 25727: @1910853
     /* 1910853 */   GIM_Try, /*On fail goto*//*Label 25728*/ GIMT_Encode4(1910939), // Rule ID 19547 //
     /* 1910858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1910869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1910872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1910875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1910878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910904 */     // MIs[0] policy
     /* 1910904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910914 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1910917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910938 */     // GIR_Coverage, 19547,
     /* 1910938 */     GIR_EraseRootFromParent_Done,
     /* 1910939 */   // Label 25728: @1910939
     /* 1910939 */   GIM_Try, /*On fail goto*//*Label 25729*/ GIMT_Encode4(1911025), // Rule ID 19550 //
     /* 1910944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1910955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1910958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1910961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1910964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910990 */     // MIs[0] policy
     /* 1910990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911000 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1911003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911024 */     // GIR_Coverage, 19550,
     /* 1911024 */     GIR_EraseRootFromParent_Done,
     /* 1911025 */   // Label 25729: @1911025
     /* 1911025 */   GIM_Try, /*On fail goto*//*Label 25730*/ GIMT_Encode4(1911111), // Rule ID 19551 //
     /* 1911030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1911041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1911044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1911047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1911050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911076 */     // MIs[0] policy
     /* 1911076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911086 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1911089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911110 */     // GIR_Coverage, 19551,
     /* 1911110 */     GIR_EraseRootFromParent_Done,
     /* 1911111 */   // Label 25730: @1911111
     /* 1911111 */   GIM_Try, /*On fail goto*//*Label 25731*/ GIMT_Encode4(1911197), // Rule ID 19554 //
     /* 1911116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1911127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1911130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1911133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1911136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911162 */     // MIs[0] policy
     /* 1911162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911172 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1911175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911196 */     // GIR_Coverage, 19554,
     /* 1911196 */     GIR_EraseRootFromParent_Done,
     /* 1911197 */   // Label 25731: @1911197
     /* 1911197 */   GIM_Try, /*On fail goto*//*Label 25732*/ GIMT_Encode4(1911283), // Rule ID 19555 //
     /* 1911202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1911213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1911216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1911219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1911222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911248 */     // MIs[0] policy
     /* 1911248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911258 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1911261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911282 */     // GIR_Coverage, 19555,
     /* 1911282 */     GIR_EraseRootFromParent_Done,
     /* 1911283 */   // Label 25732: @1911283
     /* 1911283 */   GIM_Try, /*On fail goto*//*Label 25733*/ GIMT_Encode4(1911369), // Rule ID 19558 //
     /* 1911288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1911291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1911299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1911302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1911305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1911308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911334 */     // MIs[0] policy
     /* 1911334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911344 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1911347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911368 */     // GIR_Coverage, 19558,
     /* 1911368 */     GIR_EraseRootFromParent_Done,
     /* 1911369 */   // Label 25733: @1911369
     /* 1911369 */   GIM_Try, /*On fail goto*//*Label 25734*/ GIMT_Encode4(1911455), // Rule ID 19559 //
     /* 1911374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1911377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1911385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1911388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1911391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1911394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911420 */     // MIs[0] policy
     /* 1911420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911430 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1911433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911454 */     // GIR_Coverage, 19559,
     /* 1911454 */     GIR_EraseRootFromParent_Done,
     /* 1911455 */   // Label 25734: @1911455
     /* 1911455 */   GIM_Try, /*On fail goto*//*Label 25735*/ GIMT_Encode4(1911541), // Rule ID 19562 //
     /* 1911460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1911471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1911474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1911477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1911480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911506 */     // MIs[0] policy
     /* 1911506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911516 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1911519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911540 */     // GIR_Coverage, 19562,
     /* 1911540 */     GIR_EraseRootFromParent_Done,
     /* 1911541 */   // Label 25735: @1911541
     /* 1911541 */   GIM_Try, /*On fail goto*//*Label 25736*/ GIMT_Encode4(1911627), // Rule ID 19563 //
     /* 1911546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1911557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1911560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1911563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1911566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911592 */     // MIs[0] policy
     /* 1911592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911602 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1911605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911626 */     // GIR_Coverage, 19563,
     /* 1911626 */     GIR_EraseRootFromParent_Done,
     /* 1911627 */   // Label 25736: @1911627
     /* 1911627 */   GIM_Try, /*On fail goto*//*Label 25737*/ GIMT_Encode4(1911713), // Rule ID 19566 //
     /* 1911632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1911643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1911646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1911649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1911652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911678 */     // MIs[0] policy
     /* 1911678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911688 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1911691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911712 */     // GIR_Coverage, 19566,
     /* 1911712 */     GIR_EraseRootFromParent_Done,
     /* 1911713 */   // Label 25737: @1911713
     /* 1911713 */   GIM_Try, /*On fail goto*//*Label 25738*/ GIMT_Encode4(1911799), // Rule ID 19567 //
     /* 1911718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1911729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1911732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1911735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1911738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911764 */     // MIs[0] policy
     /* 1911764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911774 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1911777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911798 */     // GIR_Coverage, 19567,
     /* 1911798 */     GIR_EraseRootFromParent_Done,
     /* 1911799 */   // Label 25738: @1911799
     /* 1911799 */   GIM_Try, /*On fail goto*//*Label 25739*/ GIMT_Encode4(1911885), // Rule ID 19570 //
     /* 1911804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1911815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1911818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1911821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1911824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1911827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911850 */     // MIs[0] policy
     /* 1911850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911860 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1911863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911884 */     // GIR_Coverage, 19570,
     /* 1911884 */     GIR_EraseRootFromParent_Done,
     /* 1911885 */   // Label 25739: @1911885
     /* 1911885 */   GIM_Try, /*On fail goto*//*Label 25740*/ GIMT_Encode4(1911971), // Rule ID 19571 //
     /* 1911890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1911901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1911904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1911907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1911910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1911913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911936 */     // MIs[0] policy
     /* 1911936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911946 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1911949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911970 */     // GIR_Coverage, 19571,
     /* 1911970 */     GIR_EraseRootFromParent_Done,
     /* 1911971 */   // Label 25740: @1911971
     /* 1911971 */   GIM_Try, /*On fail goto*//*Label 25741*/ GIMT_Encode4(1912057), // Rule ID 19574 //
     /* 1911976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1911987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1911990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1911993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1911996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912022 */     // MIs[0] policy
     /* 1912022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912032 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1912035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912056 */     // GIR_Coverage, 19574,
     /* 1912056 */     GIR_EraseRootFromParent_Done,
     /* 1912057 */   // Label 25741: @1912057
     /* 1912057 */   GIM_Try, /*On fail goto*//*Label 25742*/ GIMT_Encode4(1912143), // Rule ID 19575 //
     /* 1912062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1912073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1912076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1912079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1912082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912108 */     // MIs[0] policy
     /* 1912108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912118 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1912121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912142 */     // GIR_Coverage, 19575,
     /* 1912142 */     GIR_EraseRootFromParent_Done,
     /* 1912143 */   // Label 25742: @1912143
     /* 1912143 */   GIM_Try, /*On fail goto*//*Label 25743*/ GIMT_Encode4(1912229), // Rule ID 19578 //
     /* 1912148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1912159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1912162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1912165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1912168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912194 */     // MIs[0] policy
     /* 1912194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912204 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1912207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912228 */     // GIR_Coverage, 19578,
     /* 1912228 */     GIR_EraseRootFromParent_Done,
     /* 1912229 */   // Label 25743: @1912229
     /* 1912229 */   GIM_Try, /*On fail goto*//*Label 25744*/ GIMT_Encode4(1912315), // Rule ID 19579 //
     /* 1912234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1912245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1912248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1912251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1912254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912280 */     // MIs[0] policy
     /* 1912280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912290 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1912293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912314 */     // GIR_Coverage, 19579,
     /* 1912314 */     GIR_EraseRootFromParent_Done,
     /* 1912315 */   // Label 25744: @1912315
     /* 1912315 */   GIM_Try, /*On fail goto*//*Label 25745*/ GIMT_Encode4(1912401), // Rule ID 19582 //
     /* 1912320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1912331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1912334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1912337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1912340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912366 */     // MIs[0] policy
     /* 1912366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912376 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1912379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912400 */     // GIR_Coverage, 19582,
     /* 1912400 */     GIR_EraseRootFromParent_Done,
     /* 1912401 */   // Label 25745: @1912401
     /* 1912401 */   GIM_Try, /*On fail goto*//*Label 25746*/ GIMT_Encode4(1912487), // Rule ID 19583 //
     /* 1912406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1912417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1912420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1912423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1912426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912452 */     // MIs[0] policy
     /* 1912452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912462 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1912465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912486 */     // GIR_Coverage, 19583,
     /* 1912486 */     GIR_EraseRootFromParent_Done,
     /* 1912487 */   // Label 25746: @1912487
     /* 1912487 */   GIM_Try, /*On fail goto*//*Label 25747*/ GIMT_Encode4(1912573), // Rule ID 19586 //
     /* 1912492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1912503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1912506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1912509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1912512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912538 */     // MIs[0] policy
     /* 1912538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912548 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1912551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912572 */     // GIR_Coverage, 19586,
     /* 1912572 */     GIR_EraseRootFromParent_Done,
     /* 1912573 */   // Label 25747: @1912573
     /* 1912573 */   GIM_Try, /*On fail goto*//*Label 25748*/ GIMT_Encode4(1912659), // Rule ID 19587 //
     /* 1912578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1912589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1912592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1912595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1912598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912624 */     // MIs[0] policy
     /* 1912624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912634 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1912637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912658 */     // GIR_Coverage, 19587,
     /* 1912658 */     GIR_EraseRootFromParent_Done,
     /* 1912659 */   // Label 25748: @1912659
     /* 1912659 */   GIM_Try, /*On fail goto*//*Label 25749*/ GIMT_Encode4(1912745), // Rule ID 19590 //
     /* 1912664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1912675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1912678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1912681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1912684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912710 */     // MIs[0] policy
     /* 1912710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912720 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1912723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912744 */     // GIR_Coverage, 19590,
     /* 1912744 */     GIR_EraseRootFromParent_Done,
     /* 1912745 */   // Label 25749: @1912745
     /* 1912745 */   GIM_Try, /*On fail goto*//*Label 25750*/ GIMT_Encode4(1912831), // Rule ID 19591 //
     /* 1912750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1912761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1912764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1912767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1912770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912796 */     // MIs[0] policy
     /* 1912796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912806 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1912809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912830 */     // GIR_Coverage, 19591,
     /* 1912830 */     GIR_EraseRootFromParent_Done,
     /* 1912831 */   // Label 25750: @1912831
     /* 1912831 */   GIM_Try, /*On fail goto*//*Label 25751*/ GIMT_Encode4(1912917), // Rule ID 19594 //
     /* 1912836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1912847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1912850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1912853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1912856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912882 */     // MIs[0] policy
     /* 1912882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912892 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1912895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912916 */     // GIR_Coverage, 19594,
     /* 1912916 */     GIR_EraseRootFromParent_Done,
     /* 1912917 */   // Label 25751: @1912917
     /* 1912917 */   GIM_Try, /*On fail goto*//*Label 25752*/ GIMT_Encode4(1913003), // Rule ID 19595 //
     /* 1912922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1912933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1912936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1912939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1912942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912968 */     // MIs[0] policy
     /* 1912968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912978 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1912981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913002 */     // GIR_Coverage, 19595,
     /* 1913002 */     GIR_EraseRootFromParent_Done,
     /* 1913003 */   // Label 25752: @1913003
     /* 1913003 */   GIM_Try, /*On fail goto*//*Label 25753*/ GIMT_Encode4(1913089), // Rule ID 19598 //
     /* 1913008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1913011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1913019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1913022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1913025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913054 */     // MIs[0] policy
     /* 1913054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913064 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1913067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913088 */     // GIR_Coverage, 19598,
     /* 1913088 */     GIR_EraseRootFromParent_Done,
     /* 1913089 */   // Label 25753: @1913089
     /* 1913089 */   GIM_Try, /*On fail goto*//*Label 25754*/ GIMT_Encode4(1913175), // Rule ID 19599 //
     /* 1913094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1913097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1913105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1913108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1913111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913140 */     // MIs[0] policy
     /* 1913140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913150 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1913153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913174 */     // GIR_Coverage, 19599,
     /* 1913174 */     GIR_EraseRootFromParent_Done,
     /* 1913175 */   // Label 25754: @1913175
     /* 1913175 */   GIM_Try, /*On fail goto*//*Label 25755*/ GIMT_Encode4(1913261), // Rule ID 19602 //
     /* 1913180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1913183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1913191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1913194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1913197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913226 */     // MIs[0] policy
     /* 1913226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913236 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1913239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913260 */     // GIR_Coverage, 19602,
     /* 1913260 */     GIR_EraseRootFromParent_Done,
     /* 1913261 */   // Label 25755: @1913261
     /* 1913261 */   GIM_Try, /*On fail goto*//*Label 25756*/ GIMT_Encode4(1913347), // Rule ID 19603 //
     /* 1913266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1913269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1913277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1913280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1913283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913312 */     // MIs[0] policy
     /* 1913312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913322 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1913325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913346 */     // GIR_Coverage, 19603,
     /* 1913346 */     GIR_EraseRootFromParent_Done,
     /* 1913347 */   // Label 25756: @1913347
     /* 1913347 */   GIM_Try, /*On fail goto*//*Label 25757*/ GIMT_Encode4(1913433), // Rule ID 19606 //
     /* 1913352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1913355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1913363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1913366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1913369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913398 */     // MIs[0] policy
     /* 1913398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913408 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1913411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913432 */     // GIR_Coverage, 19606,
     /* 1913432 */     GIR_EraseRootFromParent_Done,
     /* 1913433 */   // Label 25757: @1913433
     /* 1913433 */   GIM_Try, /*On fail goto*//*Label 25758*/ GIMT_Encode4(1913519), // Rule ID 19607 //
     /* 1913438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1913449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1913452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1913455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913484 */     // MIs[0] policy
     /* 1913484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913494 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1913497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913518 */     // GIR_Coverage, 19607,
     /* 1913518 */     GIR_EraseRootFromParent_Done,
     /* 1913519 */   // Label 25758: @1913519
     /* 1913519 */   GIM_Try, /*On fail goto*//*Label 25759*/ GIMT_Encode4(1913605), // Rule ID 19610 //
     /* 1913524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1913527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1913535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1913538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1913541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913570 */     // MIs[0] policy
     /* 1913570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913580 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1913583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913604 */     // GIR_Coverage, 19610,
     /* 1913604 */     GIR_EraseRootFromParent_Done,
     /* 1913605 */   // Label 25759: @1913605
     /* 1913605 */   GIM_Try, /*On fail goto*//*Label 25760*/ GIMT_Encode4(1913691), // Rule ID 19611 //
     /* 1913610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1913613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1913621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1913624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1913627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913656 */     // MIs[0] policy
     /* 1913656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913666 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1913669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913690 */     // GIR_Coverage, 19611,
     /* 1913690 */     GIR_EraseRootFromParent_Done,
     /* 1913691 */   // Label 25760: @1913691
     /* 1913691 */   GIM_Try, /*On fail goto*//*Label 25761*/ GIMT_Encode4(1913777), // Rule ID 19614 //
     /* 1913696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1913699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1913707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1913710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1913713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913742 */     // MIs[0] policy
     /* 1913742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913752 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1913755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913776 */     // GIR_Coverage, 19614,
     /* 1913776 */     GIR_EraseRootFromParent_Done,
     /* 1913777 */   // Label 25761: @1913777
     /* 1913777 */   GIM_Try, /*On fail goto*//*Label 25762*/ GIMT_Encode4(1913863), // Rule ID 19615 //
     /* 1913782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1913793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1913796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1913799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913828 */     // MIs[0] policy
     /* 1913828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913838 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1913841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913862 */     // GIR_Coverage, 19615,
     /* 1913862 */     GIR_EraseRootFromParent_Done,
     /* 1913863 */   // Label 25762: @1913863
     /* 1913863 */   GIM_Try, /*On fail goto*//*Label 25763*/ GIMT_Encode4(1913949), // Rule ID 19618 //
     /* 1913868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1913879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1913882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1913885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913914 */     // MIs[0] policy
     /* 1913914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913924 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1913927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913948 */     // GIR_Coverage, 19618,
     /* 1913948 */     GIR_EraseRootFromParent_Done,
     /* 1913949 */   // Label 25763: @1913949
     /* 1913949 */   GIM_Try, /*On fail goto*//*Label 25764*/ GIMT_Encode4(1914035), // Rule ID 19619 //
     /* 1913954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1913962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1913965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1913968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1913971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914000 */     // MIs[0] policy
     /* 1914000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914010 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1914013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914034 */     // GIR_Coverage, 19619,
     /* 1914034 */     GIR_EraseRootFromParent_Done,
     /* 1914035 */   // Label 25764: @1914035
     /* 1914035 */   GIM_Try, /*On fail goto*//*Label 25765*/ GIMT_Encode4(1914121), // Rule ID 19622 //
     /* 1914040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1914043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1914051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1914054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1914057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1914060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1914082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914086 */     // MIs[0] policy
     /* 1914086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914096 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1914099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914120 */     // GIR_Coverage, 19622,
     /* 1914120 */     GIR_EraseRootFromParent_Done,
     /* 1914121 */   // Label 25765: @1914121
     /* 1914121 */   GIM_Try, /*On fail goto*//*Label 25766*/ GIMT_Encode4(1914207), // Rule ID 19623 //
     /* 1914126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1914129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1914137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1914140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1914143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1914146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1914168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914172 */     // MIs[0] policy
     /* 1914172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914182 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1914185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914206 */     // GIR_Coverage, 19623,
     /* 1914206 */     GIR_EraseRootFromParent_Done,
     /* 1914207 */   // Label 25766: @1914207
     /* 1914207 */   GIM_Try, /*On fail goto*//*Label 25767*/ GIMT_Encode4(1914293), // Rule ID 19626 //
     /* 1914212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1914215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1914223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1914226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1914229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1914232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1914254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914258 */     // MIs[0] policy
     /* 1914258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914268 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1914271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914292 */     // GIR_Coverage, 19626,
     /* 1914292 */     GIR_EraseRootFromParent_Done,
     /* 1914293 */   // Label 25767: @1914293
     /* 1914293 */   GIM_Try, /*On fail goto*//*Label 25768*/ GIMT_Encode4(1914379), // Rule ID 19627 //
     /* 1914298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1914301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1914309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1914312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1914315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1914318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1914340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914344 */     // MIs[0] policy
     /* 1914344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914354 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1914357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914378 */     // GIR_Coverage, 19627,
     /* 1914378 */     GIR_EraseRootFromParent_Done,
     /* 1914379 */   // Label 25768: @1914379
     /* 1914379 */   GIM_Try, /*On fail goto*//*Label 25769*/ GIMT_Encode4(1914465), // Rule ID 19630 //
     /* 1914384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1914387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1914395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1914398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1914401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1914404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1914407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1914426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914430 */     // MIs[0] policy
     /* 1914430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914440 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1914443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914464 */     // GIR_Coverage, 19630,
     /* 1914464 */     GIR_EraseRootFromParent_Done,
     /* 1914465 */   // Label 25769: @1914465
     /* 1914465 */   GIM_Try, /*On fail goto*//*Label 25770*/ GIMT_Encode4(1914551), // Rule ID 19631 //
     /* 1914470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1914473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1914481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1914484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1914487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1914490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1914493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1914512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914516 */     // MIs[0] policy
     /* 1914516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914526 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1914529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914550 */     // GIR_Coverage, 19631,
     /* 1914550 */     GIR_EraseRootFromParent_Done,
     /* 1914551 */   // Label 25770: @1914551
     /* 1914551 */   GIM_Try, /*On fail goto*//*Label 25771*/ GIMT_Encode4(1914637), // Rule ID 19634 //
     /* 1914556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1914559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1914567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1914570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1914573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1914598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914602 */     // MIs[0] policy
     /* 1914602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914612 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1914615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914636 */     // GIR_Coverage, 19634,
     /* 1914636 */     GIR_EraseRootFromParent_Done,
     /* 1914637 */   // Label 25771: @1914637
     /* 1914637 */   GIM_Try, /*On fail goto*//*Label 25772*/ GIMT_Encode4(1914723), // Rule ID 19635 //
     /* 1914642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1914645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1914653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1914656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1914659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1914684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914688 */     // MIs[0] policy
     /* 1914688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914698 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1914701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914722 */     // GIR_Coverage, 19635,
     /* 1914722 */     GIR_EraseRootFromParent_Done,
     /* 1914723 */   // Label 25772: @1914723
     /* 1914723 */   GIM_Try, /*On fail goto*//*Label 25773*/ GIMT_Encode4(1914809), // Rule ID 19638 //
     /* 1914728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1914731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1914739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1914742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1914745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1914770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914774 */     // MIs[0] policy
     /* 1914774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914784 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1914787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914808 */     // GIR_Coverage, 19638,
     /* 1914808 */     GIR_EraseRootFromParent_Done,
     /* 1914809 */   // Label 25773: @1914809
     /* 1914809 */   GIM_Try, /*On fail goto*//*Label 25774*/ GIMT_Encode4(1914895), // Rule ID 19639 //
     /* 1914814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1914817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1914825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1914828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1914831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1914856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914860 */     // MIs[0] policy
     /* 1914860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914870 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1914873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914894 */     // GIR_Coverage, 19639,
     /* 1914894 */     GIR_EraseRootFromParent_Done,
     /* 1914895 */   // Label 25774: @1914895
     /* 1914895 */   GIM_Try, /*On fail goto*//*Label 25775*/ GIMT_Encode4(1914981), // Rule ID 19642 //
     /* 1914900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1914903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1914911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1914914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1914917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1914942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914946 */     // MIs[0] policy
     /* 1914946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914956 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1914959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914980 */     // GIR_Coverage, 19642,
     /* 1914980 */     GIR_EraseRootFromParent_Done,
     /* 1914981 */   // Label 25775: @1914981
     /* 1914981 */   GIM_Try, /*On fail goto*//*Label 25776*/ GIMT_Encode4(1915067), // Rule ID 19643 //
     /* 1914986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1914989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1914997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1915000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1915003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1915028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915032 */     // MIs[0] policy
     /* 1915032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915042 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1915045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915066 */     // GIR_Coverage, 19643,
     /* 1915066 */     GIR_EraseRootFromParent_Done,
     /* 1915067 */   // Label 25776: @1915067
     /* 1915067 */   GIM_Try, /*On fail goto*//*Label 25777*/ GIMT_Encode4(1915153), // Rule ID 19646 //
     /* 1915072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1915075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1915083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1915086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1915089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1915114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915118 */     // MIs[0] policy
     /* 1915118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915128 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1915131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915152 */     // GIR_Coverage, 19646,
     /* 1915152 */     GIR_EraseRootFromParent_Done,
     /* 1915153 */   // Label 25777: @1915153
     /* 1915153 */   GIM_Try, /*On fail goto*//*Label 25778*/ GIMT_Encode4(1915239), // Rule ID 19647 //
     /* 1915158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1915161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1915169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1915172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1915175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1915200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915204 */     // MIs[0] policy
     /* 1915204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915214 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1915217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915238 */     // GIR_Coverage, 19647,
     /* 1915238 */     GIR_EraseRootFromParent_Done,
     /* 1915239 */   // Label 25778: @1915239
     /* 1915239 */   GIM_Try, /*On fail goto*//*Label 25779*/ GIMT_Encode4(1915325), // Rule ID 19650 //
     /* 1915244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1915247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1915255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1915258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1915261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1915286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915290 */     // MIs[0] policy
     /* 1915290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915300 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1915303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915324 */     // GIR_Coverage, 19650,
     /* 1915324 */     GIR_EraseRootFromParent_Done,
     /* 1915325 */   // Label 25779: @1915325
     /* 1915325 */   GIM_Try, /*On fail goto*//*Label 25780*/ GIMT_Encode4(1915411), // Rule ID 19651 //
     /* 1915330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1915333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1915341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1915344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1915347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1915372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915376 */     // MIs[0] policy
     /* 1915376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915386 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1915389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915410 */     // GIR_Coverage, 19651,
     /* 1915410 */     GIR_EraseRootFromParent_Done,
     /* 1915411 */   // Label 25780: @1915411
     /* 1915411 */   GIM_Try, /*On fail goto*//*Label 25781*/ GIMT_Encode4(1915497), // Rule ID 19654 //
     /* 1915416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1915419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1915427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1915430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1915433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1915458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915462 */     // MIs[0] policy
     /* 1915462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915472 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1915475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915496 */     // GIR_Coverage, 19654,
     /* 1915496 */     GIR_EraseRootFromParent_Done,
     /* 1915497 */   // Label 25781: @1915497
     /* 1915497 */   GIM_Try, /*On fail goto*//*Label 25782*/ GIMT_Encode4(1915583), // Rule ID 19655 //
     /* 1915502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1915505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1915513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1915516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1915519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1915544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915548 */     // MIs[0] policy
     /* 1915548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915558 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1915561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915582 */     // GIR_Coverage, 19655,
     /* 1915582 */     GIR_EraseRootFromParent_Done,
     /* 1915583 */   // Label 25782: @1915583
     /* 1915583 */   GIM_Try, /*On fail goto*//*Label 25783*/ GIMT_Encode4(1915669), // Rule ID 19658 //
     /* 1915588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1915591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1915599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1915602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1915605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1915608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915634 */     // MIs[0] policy
     /* 1915634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915644 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1915647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915668 */     // GIR_Coverage, 19658,
     /* 1915668 */     GIR_EraseRootFromParent_Done,
     /* 1915669 */   // Label 25783: @1915669
     /* 1915669 */   GIM_Try, /*On fail goto*//*Label 25784*/ GIMT_Encode4(1915755), // Rule ID 19659 //
     /* 1915674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1915677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1915685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1915688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1915691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1915694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915720 */     // MIs[0] policy
     /* 1915720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915730 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1915733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915754 */     // GIR_Coverage, 19659,
     /* 1915754 */     GIR_EraseRootFromParent_Done,
     /* 1915755 */   // Label 25784: @1915755
     /* 1915755 */   GIM_Try, /*On fail goto*//*Label 25785*/ GIMT_Encode4(1915841), // Rule ID 19662 //
     /* 1915760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1915763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1915771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1915774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1915777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1915780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915806 */     // MIs[0] policy
     /* 1915806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915816 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1915819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915840 */     // GIR_Coverage, 19662,
     /* 1915840 */     GIR_EraseRootFromParent_Done,
     /* 1915841 */   // Label 25785: @1915841
     /* 1915841 */   GIM_Try, /*On fail goto*//*Label 25786*/ GIMT_Encode4(1915927), // Rule ID 19663 //
     /* 1915846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1915849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1915857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1915860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1915863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1915866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915892 */     // MIs[0] policy
     /* 1915892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915902 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1915905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915926 */     // GIR_Coverage, 19663,
     /* 1915926 */     GIR_EraseRootFromParent_Done,
     /* 1915927 */   // Label 25786: @1915927
     /* 1915927 */   GIM_Try, /*On fail goto*//*Label 25787*/ GIMT_Encode4(1916013), // Rule ID 19666 //
     /* 1915932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1915935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1915943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1915946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1915949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1915952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915978 */     // MIs[0] policy
     /* 1915978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915988 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1915991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916012 */     // GIR_Coverage, 19666,
     /* 1916012 */     GIR_EraseRootFromParent_Done,
     /* 1916013 */   // Label 25787: @1916013
     /* 1916013 */   GIM_Try, /*On fail goto*//*Label 25788*/ GIMT_Encode4(1916099), // Rule ID 19667 //
     /* 1916018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1916021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1916029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1916032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1916035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1916038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916064 */     // MIs[0] policy
     /* 1916064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916074 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1916077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916098 */     // GIR_Coverage, 19667,
     /* 1916098 */     GIR_EraseRootFromParent_Done,
     /* 1916099 */   // Label 25788: @1916099
     /* 1916099 */   GIM_Try, /*On fail goto*//*Label 25789*/ GIMT_Encode4(1916185), // Rule ID 19670 //
     /* 1916104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1916107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1916115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1916118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1916121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1916124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916150 */     // MIs[0] policy
     /* 1916150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916160 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1916163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916184 */     // GIR_Coverage, 19670,
     /* 1916184 */     GIR_EraseRootFromParent_Done,
     /* 1916185 */   // Label 25789: @1916185
     /* 1916185 */   GIM_Try, /*On fail goto*//*Label 25790*/ GIMT_Encode4(1916271), // Rule ID 19671 //
     /* 1916190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1916193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1916201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1916204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1916207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1916210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916236 */     // MIs[0] policy
     /* 1916236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916246 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1916249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916270 */     // GIR_Coverage, 19671,
     /* 1916270 */     GIR_EraseRootFromParent_Done,
     /* 1916271 */   // Label 25790: @1916271
     /* 1916271 */   GIM_Try, /*On fail goto*//*Label 25791*/ GIMT_Encode4(1916357), // Rule ID 19674 //
     /* 1916276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1916279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1916287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1916290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1916293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1916296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916322 */     // MIs[0] policy
     /* 1916322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916332 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1916335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916356 */     // GIR_Coverage, 19674,
     /* 1916356 */     GIR_EraseRootFromParent_Done,
     /* 1916357 */   // Label 25791: @1916357
     /* 1916357 */   GIM_Try, /*On fail goto*//*Label 25792*/ GIMT_Encode4(1916443), // Rule ID 19675 //
     /* 1916362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1916365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1916373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1916376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1916379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1916382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916408 */     // MIs[0] policy
     /* 1916408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916418 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1916421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916442 */     // GIR_Coverage, 19675,
     /* 1916442 */     GIR_EraseRootFromParent_Done,
     /* 1916443 */   // Label 25792: @1916443
     /* 1916443 */   GIM_Try, /*On fail goto*//*Label 25793*/ GIMT_Encode4(1916529), // Rule ID 19678 //
     /* 1916448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1916451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1916459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1916462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1916465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1916468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916494 */     // MIs[0] policy
     /* 1916494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916504 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1916507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916528 */     // GIR_Coverage, 19678,
     /* 1916528 */     GIR_EraseRootFromParent_Done,
     /* 1916529 */   // Label 25793: @1916529
     /* 1916529 */   GIM_Try, /*On fail goto*//*Label 25794*/ GIMT_Encode4(1916615), // Rule ID 19679 //
     /* 1916534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1916537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1916545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1916548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1916551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1916554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916580 */     // MIs[0] policy
     /* 1916580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916590 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1916593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916614 */     // GIR_Coverage, 19679,
     /* 1916614 */     GIR_EraseRootFromParent_Done,
     /* 1916615 */   // Label 25794: @1916615
     /* 1916615 */   GIM_Try, /*On fail goto*//*Label 25795*/ GIMT_Encode4(1916701), // Rule ID 19682 //
     /* 1916620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1916623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1916631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1916634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1916637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1916640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916666 */     // MIs[0] policy
     /* 1916666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916676 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1916679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916700 */     // GIR_Coverage, 19682,
     /* 1916700 */     GIR_EraseRootFromParent_Done,
     /* 1916701 */   // Label 25795: @1916701
     /* 1916701 */   GIM_Try, /*On fail goto*//*Label 25796*/ GIMT_Encode4(1916787), // Rule ID 19683 //
     /* 1916706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1916709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1916717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1916720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1916723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1916726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916752 */     // MIs[0] policy
     /* 1916752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916762 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1916765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916786 */     // GIR_Coverage, 19683,
     /* 1916786 */     GIR_EraseRootFromParent_Done,
     /* 1916787 */   // Label 25796: @1916787
     /* 1916787 */   GIM_Try, /*On fail goto*//*Label 25797*/ GIMT_Encode4(1916873), // Rule ID 19686 //
     /* 1916792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1916795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1916812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916838 */     // MIs[0] policy
     /* 1916838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916848 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1916851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916872 */     // GIR_Coverage, 19686,
     /* 1916872 */     GIR_EraseRootFromParent_Done,
     /* 1916873 */   // Label 25797: @1916873
     /* 1916873 */   GIM_Try, /*On fail goto*//*Label 25798*/ GIMT_Encode4(1916959), // Rule ID 19687 //
     /* 1916878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1916881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1916898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916924 */     // MIs[0] policy
     /* 1916924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916934 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1916937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916958 */     // GIR_Coverage, 19687,
     /* 1916958 */     GIR_EraseRootFromParent_Done,
     /* 1916959 */   // Label 25798: @1916959
     /* 1916959 */   GIM_Try, /*On fail goto*//*Label 25799*/ GIMT_Encode4(1917045), // Rule ID 19690 //
     /* 1916964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1916967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1916984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917010 */     // MIs[0] policy
     /* 1917010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917020 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1917023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917044 */     // GIR_Coverage, 19690,
     /* 1917044 */     GIR_EraseRootFromParent_Done,
     /* 1917045 */   // Label 25799: @1917045
     /* 1917045 */   GIM_Try, /*On fail goto*//*Label 25800*/ GIMT_Encode4(1917131), // Rule ID 19691 //
     /* 1917050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1917053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1917061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1917064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1917067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1917070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1917073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917096 */     // MIs[0] policy
     /* 1917096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917106 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1917109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917130 */     // GIR_Coverage, 19691,
     /* 1917130 */     GIR_EraseRootFromParent_Done,
     /* 1917131 */   // Label 25800: @1917131
     /* 1917131 */   GIM_Try, /*On fail goto*//*Label 25801*/ GIMT_Encode4(1917217), // Rule ID 19694 //
     /* 1917136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1917139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1917147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1917150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1917153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1917156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917182 */     // MIs[0] policy
     /* 1917182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917192 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1917195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917216 */     // GIR_Coverage, 19694,
     /* 1917216 */     GIR_EraseRootFromParent_Done,
     /* 1917217 */   // Label 25801: @1917217
     /* 1917217 */   GIM_Try, /*On fail goto*//*Label 25802*/ GIMT_Encode4(1917303), // Rule ID 19695 //
     /* 1917222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1917225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1917233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1917236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1917239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1917242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917268 */     // MIs[0] policy
     /* 1917268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917278 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1917281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917302 */     // GIR_Coverage, 19695,
     /* 1917302 */     GIR_EraseRootFromParent_Done,
     /* 1917303 */   // Label 25802: @1917303
     /* 1917303 */   GIM_Try, /*On fail goto*//*Label 25803*/ GIMT_Encode4(1917389), // Rule ID 19698 //
     /* 1917308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1917311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1917319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1917322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1917325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1917328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917354 */     // MIs[0] policy
     /* 1917354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917364 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1917367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917388 */     // GIR_Coverage, 19698,
     /* 1917388 */     GIR_EraseRootFromParent_Done,
     /* 1917389 */   // Label 25803: @1917389
     /* 1917389 */   GIM_Try, /*On fail goto*//*Label 25804*/ GIMT_Encode4(1917475), // Rule ID 19699 //
     /* 1917394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1917397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1917405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1917408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1917411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1917414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917440 */     // MIs[0] policy
     /* 1917440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917450 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1917453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917474 */     // GIR_Coverage, 19699,
     /* 1917474 */     GIR_EraseRootFromParent_Done,
     /* 1917475 */   // Label 25804: @1917475
     /* 1917475 */   GIM_Try, /*On fail goto*//*Label 25805*/ GIMT_Encode4(1917561), // Rule ID 19702 //
     /* 1917480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1917483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1917491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1917494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1917500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917526 */     // MIs[0] policy
     /* 1917526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917536 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1917539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917560 */     // GIR_Coverage, 19702,
     /* 1917560 */     GIR_EraseRootFromParent_Done,
     /* 1917561 */   // Label 25805: @1917561
     /* 1917561 */   GIM_Try, /*On fail goto*//*Label 25806*/ GIMT_Encode4(1917647), // Rule ID 19703 //
     /* 1917566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1917569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1917577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1917580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1917586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917612 */     // MIs[0] policy
     /* 1917612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917622 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1917625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917646 */     // GIR_Coverage, 19703,
     /* 1917646 */     GIR_EraseRootFromParent_Done,
     /* 1917647 */   // Label 25806: @1917647
     /* 1917647 */   GIM_Try, /*On fail goto*//*Label 25807*/ GIMT_Encode4(1917733), // Rule ID 19706 //
     /* 1917652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1917655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1917663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1917666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1917672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917698 */     // MIs[0] policy
     /* 1917698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917708 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1917711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917732 */     // GIR_Coverage, 19706,
     /* 1917732 */     GIR_EraseRootFromParent_Done,
     /* 1917733 */   // Label 25807: @1917733
     /* 1917733 */   GIM_Try, /*On fail goto*//*Label 25808*/ GIMT_Encode4(1917819), // Rule ID 19707 //
     /* 1917738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1917741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1917749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1917752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1917758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917784 */     // MIs[0] policy
     /* 1917784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917794 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1917797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917818 */     // GIR_Coverage, 19707,
     /* 1917818 */     GIR_EraseRootFromParent_Done,
     /* 1917819 */   // Label 25808: @1917819
     /* 1917819 */   GIM_Try, /*On fail goto*//*Label 25809*/ GIMT_Encode4(1917905), // Rule ID 19710 //
     /* 1917824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1917827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1917844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917870 */     // MIs[0] policy
     /* 1917870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917880 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1917883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917904 */     // GIR_Coverage, 19710,
     /* 1917904 */     GIR_EraseRootFromParent_Done,
     /* 1917905 */   // Label 25809: @1917905
     /* 1917905 */   GIM_Try, /*On fail goto*//*Label 25810*/ GIMT_Encode4(1917991), // Rule ID 19711 //
     /* 1917910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1917913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1917930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917956 */     // MIs[0] policy
     /* 1917956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917966 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1917969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917990 */     // GIR_Coverage, 19711,
     /* 1917990 */     GIR_EraseRootFromParent_Done,
     /* 1917991 */   // Label 25810: @1917991
     /* 1917991 */   GIM_Try, /*On fail goto*//*Label 25811*/ GIMT_Encode4(1918077), // Rule ID 19714 //
     /* 1917996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1917999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1918007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1918010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1918013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1918016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918042 */     // MIs[0] policy
     /* 1918042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918052 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1918055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918076 */     // GIR_Coverage, 19714,
     /* 1918076 */     GIR_EraseRootFromParent_Done,
     /* 1918077 */   // Label 25811: @1918077
     /* 1918077 */   GIM_Try, /*On fail goto*//*Label 25812*/ GIMT_Encode4(1918163), // Rule ID 19715 //
     /* 1918082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1918085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1918093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1918096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1918099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1918102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918128 */     // MIs[0] policy
     /* 1918128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918138 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1918141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918162 */     // GIR_Coverage, 19715,
     /* 1918162 */     GIR_EraseRootFromParent_Done,
     /* 1918163 */   // Label 25812: @1918163
     /* 1918163 */   GIM_Try, /*On fail goto*//*Label 25813*/ GIMT_Encode4(1918249), // Rule ID 19718 //
     /* 1918168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1918171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1918179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1918182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1918185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918214 */     // MIs[0] policy
     /* 1918214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918224 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1918227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918248 */     // GIR_Coverage, 19718,
     /* 1918248 */     GIR_EraseRootFromParent_Done,
     /* 1918249 */   // Label 25813: @1918249
     /* 1918249 */   GIM_Try, /*On fail goto*//*Label 25814*/ GIMT_Encode4(1918335), // Rule ID 19719 //
     /* 1918254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1918257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1918265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1918268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1918271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918300 */     // MIs[0] policy
     /* 1918300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918310 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1918313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918334 */     // GIR_Coverage, 19719,
     /* 1918334 */     GIR_EraseRootFromParent_Done,
     /* 1918335 */   // Label 25814: @1918335
     /* 1918335 */   GIM_Try, /*On fail goto*//*Label 25815*/ GIMT_Encode4(1918421), // Rule ID 19722 //
     /* 1918340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1918343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918386 */     // MIs[0] policy
     /* 1918386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918396 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1918399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918420 */     // GIR_Coverage, 19722,
     /* 1918420 */     GIR_EraseRootFromParent_Done,
     /* 1918421 */   // Label 25815: @1918421
     /* 1918421 */   GIM_Try, /*On fail goto*//*Label 25816*/ GIMT_Encode4(1918507), // Rule ID 19723 //
     /* 1918426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1918429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918472 */     // MIs[0] policy
     /* 1918472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918482 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1918485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918506 */     // GIR_Coverage, 19723,
     /* 1918506 */     GIR_EraseRootFromParent_Done,
     /* 1918507 */   // Label 25816: @1918507
     /* 1918507 */   GIM_Try, /*On fail goto*//*Label 25817*/ GIMT_Encode4(1918593), // Rule ID 19726 //
     /* 1918512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1918515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1918523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1918526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1918529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1918554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918558 */     // MIs[0] policy
     /* 1918558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918568 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1918571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918592 */     // GIR_Coverage, 19726,
     /* 1918592 */     GIR_EraseRootFromParent_Done,
     /* 1918593 */   // Label 25817: @1918593
     /* 1918593 */   GIM_Try, /*On fail goto*//*Label 25818*/ GIMT_Encode4(1918679), // Rule ID 19727 //
     /* 1918598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1918601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1918609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1918612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1918615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1918640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918644 */     // MIs[0] policy
     /* 1918644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918654 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1918657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918678 */     // GIR_Coverage, 19727,
     /* 1918678 */     GIR_EraseRootFromParent_Done,
     /* 1918679 */   // Label 25818: @1918679
     /* 1918679 */   GIM_Try, /*On fail goto*//*Label 25819*/ GIMT_Encode4(1918765), // Rule ID 19730 //
     /* 1918684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1918687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1918695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1918698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1918701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918730 */     // MIs[0] policy
     /* 1918730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918740 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1918743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918764 */     // GIR_Coverage, 19730,
     /* 1918764 */     GIR_EraseRootFromParent_Done,
     /* 1918765 */   // Label 25819: @1918765
     /* 1918765 */   GIM_Try, /*On fail goto*//*Label 25820*/ GIMT_Encode4(1918851), // Rule ID 19731 //
     /* 1918770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1918773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1918781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1918784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1918787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918816 */     // MIs[0] policy
     /* 1918816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918826 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1918829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918850 */     // GIR_Coverage, 19731,
     /* 1918850 */     GIR_EraseRootFromParent_Done,
     /* 1918851 */   // Label 25820: @1918851
     /* 1918851 */   GIM_Try, /*On fail goto*//*Label 25821*/ GIMT_Encode4(1918937), // Rule ID 19734 //
     /* 1918856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1918859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1918867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1918870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1918873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1918898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918902 */     // MIs[0] policy
     /* 1918902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918912 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1918915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918936 */     // GIR_Coverage, 19734,
     /* 1918936 */     GIR_EraseRootFromParent_Done,
     /* 1918937 */   // Label 25821: @1918937
     /* 1918937 */   GIM_Try, /*On fail goto*//*Label 25822*/ GIMT_Encode4(1919023), // Rule ID 19735 //
     /* 1918942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1918945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1918953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1918956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1918959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1918984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918988 */     // MIs[0] policy
     /* 1918988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918998 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1919001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919022 */     // GIR_Coverage, 19735,
     /* 1919022 */     GIR_EraseRootFromParent_Done,
     /* 1919023 */   // Label 25822: @1919023
     /* 1919023 */   GIM_Try, /*On fail goto*//*Label 25823*/ GIMT_Encode4(1919109), // Rule ID 19738 //
     /* 1919028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1919031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1919039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1919042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1919045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1919070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919074 */     // MIs[0] policy
     /* 1919074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919084 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1919087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919108 */     // GIR_Coverage, 19738,
     /* 1919108 */     GIR_EraseRootFromParent_Done,
     /* 1919109 */   // Label 25823: @1919109
     /* 1919109 */   GIM_Try, /*On fail goto*//*Label 25824*/ GIMT_Encode4(1919195), // Rule ID 19739 //
     /* 1919114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1919117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1919125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1919128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1919131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1919156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919160 */     // MIs[0] policy
     /* 1919160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919170 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1919173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919194 */     // GIR_Coverage, 19739,
     /* 1919194 */     GIR_EraseRootFromParent_Done,
     /* 1919195 */   // Label 25824: @1919195
     /* 1919195 */   GIM_Try, /*On fail goto*//*Label 25825*/ GIMT_Encode4(1919281), // Rule ID 19742 //
     /* 1919200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1919203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1919211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1919214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1919217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1919220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1919242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919246 */     // MIs[0] policy
     /* 1919246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919256 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1919259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919280 */     // GIR_Coverage, 19742,
     /* 1919280 */     GIR_EraseRootFromParent_Done,
     /* 1919281 */   // Label 25825: @1919281
     /* 1919281 */   GIM_Try, /*On fail goto*//*Label 25826*/ GIMT_Encode4(1919367), // Rule ID 19743 //
     /* 1919286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1919289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1919297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1919300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1919303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1919306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1919328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919332 */     // MIs[0] policy
     /* 1919332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919342 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1919345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919366 */     // GIR_Coverage, 19743,
     /* 1919366 */     GIR_EraseRootFromParent_Done,
     /* 1919367 */   // Label 25826: @1919367
     /* 1919367 */   GIM_Try, /*On fail goto*//*Label 25827*/ GIMT_Encode4(1919453), // Rule ID 19746 //
     /* 1919372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1919375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1919383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1919386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1919389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1919392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1919414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919418 */     // MIs[0] policy
     /* 1919418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919428 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1919431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919452 */     // GIR_Coverage, 19746,
     /* 1919452 */     GIR_EraseRootFromParent_Done,
     /* 1919453 */   // Label 25827: @1919453
     /* 1919453 */   GIM_Try, /*On fail goto*//*Label 25828*/ GIMT_Encode4(1919539), // Rule ID 19747 //
     /* 1919458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1919461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1919469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1919472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1919475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1919478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1919500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919504 */     // MIs[0] policy
     /* 1919504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919514 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1919517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919538 */     // GIR_Coverage, 19747,
     /* 1919538 */     GIR_EraseRootFromParent_Done,
     /* 1919539 */   // Label 25828: @1919539
     /* 1919539 */   GIM_Try, /*On fail goto*//*Label 25829*/ GIMT_Encode4(1919625), // Rule ID 19750 //
     /* 1919544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1919547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1919555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1919558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1919561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1919564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1919586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919590 */     // MIs[0] policy
     /* 1919590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919600 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1919603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919624 */     // GIR_Coverage, 19750,
     /* 1919624 */     GIR_EraseRootFromParent_Done,
     /* 1919625 */   // Label 25829: @1919625
     /* 1919625 */   GIM_Try, /*On fail goto*//*Label 25830*/ GIMT_Encode4(1919711), // Rule ID 19751 //
     /* 1919630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1919633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1919641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1919644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1919647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1919650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1919672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919676 */     // MIs[0] policy
     /* 1919676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919686 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1919689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919710 */     // GIR_Coverage, 19751,
     /* 1919710 */     GIR_EraseRootFromParent_Done,
     /* 1919711 */   // Label 25830: @1919711
     /* 1919711 */   GIM_Try, /*On fail goto*//*Label 25831*/ GIMT_Encode4(1919797), // Rule ID 19754 //
     /* 1919716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1919719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1919727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1919730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1919733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1919758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919762 */     // MIs[0] policy
     /* 1919762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919772 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1919775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919796 */     // GIR_Coverage, 19754,
     /* 1919796 */     GIR_EraseRootFromParent_Done,
     /* 1919797 */   // Label 25831: @1919797
     /* 1919797 */   GIM_Try, /*On fail goto*//*Label 25832*/ GIMT_Encode4(1919883), // Rule ID 19755 //
     /* 1919802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1919805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1919813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1919816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1919819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1919844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919848 */     // MIs[0] policy
     /* 1919848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919858 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1919861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919882 */     // GIR_Coverage, 19755,
     /* 1919882 */     GIR_EraseRootFromParent_Done,
     /* 1919883 */   // Label 25832: @1919883
     /* 1919883 */   GIM_Try, /*On fail goto*//*Label 25833*/ GIMT_Encode4(1919969), // Rule ID 19758 //
     /* 1919888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1919891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1919899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1919902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1919905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1919930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919934 */     // MIs[0] policy
     /* 1919934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919944 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1919947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919968 */     // GIR_Coverage, 19758,
     /* 1919968 */     GIR_EraseRootFromParent_Done,
     /* 1919969 */   // Label 25833: @1919969
     /* 1919969 */   GIM_Try, /*On fail goto*//*Label 25834*/ GIMT_Encode4(1920055), // Rule ID 19759 //
     /* 1919974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1919977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1919985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1919988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1919991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1920016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920020 */     // MIs[0] policy
     /* 1920020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920030 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1920033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920054 */     // GIR_Coverage, 19759,
     /* 1920054 */     GIR_EraseRootFromParent_Done,
     /* 1920055 */   // Label 25834: @1920055
     /* 1920055 */   GIM_Try, /*On fail goto*//*Label 25835*/ GIMT_Encode4(1920141), // Rule ID 19762 //
     /* 1920060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1920063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1920071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1920074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1920077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1920102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920106 */     // MIs[0] policy
     /* 1920106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920116 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1920119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920140 */     // GIR_Coverage, 19762,
     /* 1920140 */     GIR_EraseRootFromParent_Done,
     /* 1920141 */   // Label 25835: @1920141
     /* 1920141 */   GIM_Try, /*On fail goto*//*Label 25836*/ GIMT_Encode4(1920227), // Rule ID 19763 //
     /* 1920146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1920149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1920157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1920160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1920163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1920188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920192 */     // MIs[0] policy
     /* 1920192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920202 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1920205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920226 */     // GIR_Coverage, 19763,
     /* 1920226 */     GIR_EraseRootFromParent_Done,
     /* 1920227 */   // Label 25836: @1920227
     /* 1920227 */   GIM_Try, /*On fail goto*//*Label 25837*/ GIMT_Encode4(1920313), // Rule ID 19766 //
     /* 1920232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1920235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1920243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1920246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1920249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1920274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920278 */     // MIs[0] policy
     /* 1920278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920288 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1920291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920312 */     // GIR_Coverage, 19766,
     /* 1920312 */     GIR_EraseRootFromParent_Done,
     /* 1920313 */   // Label 25837: @1920313
     /* 1920313 */   GIM_Try, /*On fail goto*//*Label 25838*/ GIMT_Encode4(1920399), // Rule ID 19767 //
     /* 1920318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1920321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1920329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1920332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1920335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1920360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920364 */     // MIs[0] policy
     /* 1920364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920374 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1920377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920398 */     // GIR_Coverage, 19767,
     /* 1920398 */     GIR_EraseRootFromParent_Done,
     /* 1920399 */   // Label 25838: @1920399
     /* 1920399 */   GIM_Try, /*On fail goto*//*Label 25839*/ GIMT_Encode4(1920485), // Rule ID 19770 //
     /* 1920404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1920407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1920415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1920418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1920421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1920446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920450 */     // MIs[0] policy
     /* 1920450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920460 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1920463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920484 */     // GIR_Coverage, 19770,
     /* 1920484 */     GIR_EraseRootFromParent_Done,
     /* 1920485 */   // Label 25839: @1920485
     /* 1920485 */   GIM_Try, /*On fail goto*//*Label 25840*/ GIMT_Encode4(1920571), // Rule ID 19771 //
     /* 1920490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1920493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1920501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1920504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1920507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1920532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920536 */     // MIs[0] policy
     /* 1920536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920546 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1920549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920570 */     // GIR_Coverage, 19771,
     /* 1920570 */     GIR_EraseRootFromParent_Done,
     /* 1920571 */   // Label 25840: @1920571
     /* 1920571 */   GIM_Try, /*On fail goto*//*Label 25841*/ GIMT_Encode4(1920657), // Rule ID 19774 //
     /* 1920576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1920579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1920587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1920590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1920593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1920618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920622 */     // MIs[0] policy
     /* 1920622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920632 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1920635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920656 */     // GIR_Coverage, 19774,
     /* 1920656 */     GIR_EraseRootFromParent_Done,
     /* 1920657 */   // Label 25841: @1920657
     /* 1920657 */   GIM_Try, /*On fail goto*//*Label 25842*/ GIMT_Encode4(1920743), // Rule ID 19775 //
     /* 1920662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1920665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1920673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1920676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1920679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1920704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920708 */     // MIs[0] policy
     /* 1920708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920718 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1920721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920742 */     // GIR_Coverage, 19775,
     /* 1920742 */     GIR_EraseRootFromParent_Done,
     /* 1920743 */   // Label 25842: @1920743
     /* 1920743 */   GIM_Try, /*On fail goto*//*Label 25843*/ GIMT_Encode4(1920829), // Rule ID 23616 //
     /* 1920748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1920759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1920762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1920765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920794 */     // MIs[0] policy
     /* 1920794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920804 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1920807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920828 */     // GIR_Coverage, 23616,
     /* 1920828 */     GIR_EraseRootFromParent_Done,
     /* 1920829 */   // Label 25843: @1920829
     /* 1920829 */   GIM_Try, /*On fail goto*//*Label 25844*/ GIMT_Encode4(1920915), // Rule ID 23617 //
     /* 1920834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1920845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1920848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1920851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920880 */     // MIs[0] policy
     /* 1920880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920890 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1920893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920914 */     // GIR_Coverage, 23617,
     /* 1920914 */     GIR_EraseRootFromParent_Done,
     /* 1920915 */   // Label 25844: @1920915
     /* 1920915 */   GIM_Try, /*On fail goto*//*Label 25845*/ GIMT_Encode4(1921001), // Rule ID 23620 //
     /* 1920920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1920931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1920934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1920937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920966 */     // MIs[0] policy
     /* 1920966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920976 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1920979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921000 */     // GIR_Coverage, 23620,
     /* 1921000 */     GIR_EraseRootFromParent_Done,
     /* 1921001 */   // Label 25845: @1921001
     /* 1921001 */   GIM_Try, /*On fail goto*//*Label 25846*/ GIMT_Encode4(1921087), // Rule ID 23621 //
     /* 1921006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1921017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1921020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1921023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921052 */     // MIs[0] policy
     /* 1921052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921062 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1921065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921086 */     // GIR_Coverage, 23621,
     /* 1921086 */     GIR_EraseRootFromParent_Done,
     /* 1921087 */   // Label 25846: @1921087
     /* 1921087 */   GIM_Try, /*On fail goto*//*Label 25847*/ GIMT_Encode4(1921173), // Rule ID 23624 //
     /* 1921092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1921103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1921106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1921109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921138 */     // MIs[0] policy
     /* 1921138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1921151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921172 */     // GIR_Coverage, 23624,
     /* 1921172 */     GIR_EraseRootFromParent_Done,
     /* 1921173 */   // Label 25847: @1921173
     /* 1921173 */   GIM_Try, /*On fail goto*//*Label 25848*/ GIMT_Encode4(1921259), // Rule ID 23625 //
     /* 1921178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1921189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1921192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1921195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921224 */     // MIs[0] policy
     /* 1921224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921234 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1921237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921258 */     // GIR_Coverage, 23625,
     /* 1921258 */     GIR_EraseRootFromParent_Done,
     /* 1921259 */   // Label 25848: @1921259
     /* 1921259 */   GIM_Try, /*On fail goto*//*Label 25849*/ GIMT_Encode4(1921345), // Rule ID 23628 //
     /* 1921264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1921275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1921278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1921281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921310 */     // MIs[0] policy
     /* 1921310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921320 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1921323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921344 */     // GIR_Coverage, 23628,
     /* 1921344 */     GIR_EraseRootFromParent_Done,
     /* 1921345 */   // Label 25849: @1921345
     /* 1921345 */   GIM_Try, /*On fail goto*//*Label 25850*/ GIMT_Encode4(1921431), // Rule ID 23629 //
     /* 1921350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1921361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1921364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1921367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921396 */     // MIs[0] policy
     /* 1921396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921406 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1921409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921430 */     // GIR_Coverage, 23629,
     /* 1921430 */     GIR_EraseRootFromParent_Done,
     /* 1921431 */   // Label 25850: @1921431
     /* 1921431 */   GIM_Try, /*On fail goto*//*Label 25851*/ GIMT_Encode4(1921517), // Rule ID 23632 //
     /* 1921436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1921447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1921450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1921453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921482 */     // MIs[0] policy
     /* 1921482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1921495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921516 */     // GIR_Coverage, 23632,
     /* 1921516 */     GIR_EraseRootFromParent_Done,
     /* 1921517 */   // Label 25851: @1921517
     /* 1921517 */   GIM_Try, /*On fail goto*//*Label 25852*/ GIMT_Encode4(1921603), // Rule ID 23633 //
     /* 1921522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1921533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1921536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1921539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921568 */     // MIs[0] policy
     /* 1921568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921578 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1921581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921602 */     // GIR_Coverage, 23633,
     /* 1921602 */     GIR_EraseRootFromParent_Done,
     /* 1921603 */   // Label 25852: @1921603
     /* 1921603 */   GIM_Try, /*On fail goto*//*Label 25853*/ GIMT_Encode4(1921689), // Rule ID 23636 //
     /* 1921608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1921619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1921622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1921625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921654 */     // MIs[0] policy
     /* 1921654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1921667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921688 */     // GIR_Coverage, 23636,
     /* 1921688 */     GIR_EraseRootFromParent_Done,
     /* 1921689 */   // Label 25853: @1921689
     /* 1921689 */   GIM_Try, /*On fail goto*//*Label 25854*/ GIMT_Encode4(1921775), // Rule ID 23637 //
     /* 1921694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1921705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1921708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1921711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921740 */     // MIs[0] policy
     /* 1921740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1921753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921774 */     // GIR_Coverage, 23637,
     /* 1921774 */     GIR_EraseRootFromParent_Done,
     /* 1921775 */   // Label 25854: @1921775
     /* 1921775 */   GIM_Try, /*On fail goto*//*Label 25855*/ GIMT_Encode4(1921861), // Rule ID 23640 //
     /* 1921780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1921791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1921794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1921797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921826 */     // MIs[0] policy
     /* 1921826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1921839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921860 */     // GIR_Coverage, 23640,
     /* 1921860 */     GIR_EraseRootFromParent_Done,
     /* 1921861 */   // Label 25855: @1921861
     /* 1921861 */   GIM_Try, /*On fail goto*//*Label 25856*/ GIMT_Encode4(1921947), // Rule ID 23641 //
     /* 1921866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1921877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1921880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1921883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921912 */     // MIs[0] policy
     /* 1921912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921922 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11568:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1921925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921946 */     // GIR_Coverage, 23641,
     /* 1921946 */     GIR_EraseRootFromParent_Done,
     /* 1921947 */   // Label 25856: @1921947
     /* 1921947 */   GIM_Try, /*On fail goto*//*Label 25857*/ GIMT_Encode4(1922033), // Rule ID 23644 //
     /* 1921952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1921963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1921966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1921969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921998 */     // MIs[0] policy
     /* 1921998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1922011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922032 */     // GIR_Coverage, 23644,
     /* 1922032 */     GIR_EraseRootFromParent_Done,
     /* 1922033 */   // Label 25857: @1922033
     /* 1922033 */   GIM_Try, /*On fail goto*//*Label 25858*/ GIMT_Encode4(1922119), // Rule ID 23645 //
     /* 1922038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1922049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1922052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1922055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922084 */     // MIs[0] policy
     /* 1922084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1922097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922118 */     // GIR_Coverage, 23645,
     /* 1922118 */     GIR_EraseRootFromParent_Done,
     /* 1922119 */   // Label 25858: @1922119
     /* 1922119 */   GIM_Try, /*On fail goto*//*Label 25859*/ GIMT_Encode4(1922205), // Rule ID 23648 //
     /* 1922124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1922135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1922138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1922141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922170 */     // MIs[0] policy
     /* 1922170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1922183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922204 */     // GIR_Coverage, 23648,
     /* 1922204 */     GIR_EraseRootFromParent_Done,
     /* 1922205 */   // Label 25859: @1922205
     /* 1922205 */   GIM_Try, /*On fail goto*//*Label 25860*/ GIMT_Encode4(1922291), // Rule ID 23649 //
     /* 1922210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1922221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1922224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1922227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922256 */     // MIs[0] policy
     /* 1922256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922266 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1922269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922290 */     // GIR_Coverage, 23649,
     /* 1922290 */     GIR_EraseRootFromParent_Done,
     /* 1922291 */   // Label 25860: @1922291
     /* 1922291 */   GIM_Try, /*On fail goto*//*Label 25861*/ GIMT_Encode4(1922377), // Rule ID 23652 //
     /* 1922296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1922299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1922307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1922310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1922313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922342 */     // MIs[0] policy
     /* 1922342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1922355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922376 */     // GIR_Coverage, 23652,
     /* 1922376 */     GIR_EraseRootFromParent_Done,
     /* 1922377 */   // Label 25861: @1922377
     /* 1922377 */   GIM_Try, /*On fail goto*//*Label 25862*/ GIMT_Encode4(1922463), // Rule ID 23653 //
     /* 1922382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1922385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1922393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1922396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1922399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922428 */     // MIs[0] policy
     /* 1922428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1922441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922462 */     // GIR_Coverage, 23653,
     /* 1922462 */     GIR_EraseRootFromParent_Done,
     /* 1922463 */   // Label 25862: @1922463
     /* 1922463 */   GIM_Try, /*On fail goto*//*Label 25863*/ GIMT_Encode4(1922549), // Rule ID 23656 //
     /* 1922468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1922479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1922482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1922485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922514 */     // MIs[0] policy
     /* 1922514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1922527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922548 */     // GIR_Coverage, 23656,
     /* 1922548 */     GIR_EraseRootFromParent_Done,
     /* 1922549 */   // Label 25863: @1922549
     /* 1922549 */   GIM_Try, /*On fail goto*//*Label 25864*/ GIMT_Encode4(1922635), // Rule ID 23657 //
     /* 1922554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1922565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1922568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1922571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922600 */     // MIs[0] policy
     /* 1922600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922610 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1922613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922634 */     // GIR_Coverage, 23657,
     /* 1922634 */     GIR_EraseRootFromParent_Done,
     /* 1922635 */   // Label 25864: @1922635
     /* 1922635 */   GIM_Try, /*On fail goto*//*Label 25865*/ GIMT_Encode4(1922721), // Rule ID 23660 //
     /* 1922640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1922651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1922654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1922657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1922663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922686 */     // MIs[0] policy
     /* 1922686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1922699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922720 */     // GIR_Coverage, 23660,
     /* 1922720 */     GIR_EraseRootFromParent_Done,
     /* 1922721 */   // Label 25865: @1922721
     /* 1922721 */   GIM_Try, /*On fail goto*//*Label 25866*/ GIMT_Encode4(1922807), // Rule ID 23661 //
     /* 1922726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1922737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1922740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1922743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1922749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922772 */     // MIs[0] policy
     /* 1922772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922782 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1922785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922806 */     // GIR_Coverage, 23661,
     /* 1922806 */     GIR_EraseRootFromParent_Done,
     /* 1922807 */   // Label 25866: @1922807
     /* 1922807 */   GIM_Try, /*On fail goto*//*Label 25867*/ GIMT_Encode4(1922893), // Rule ID 23664 //
     /* 1922812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1922823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1922826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1922829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1922835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922858 */     // MIs[0] policy
     /* 1922858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922868 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1922871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922892 */     // GIR_Coverage, 23664,
     /* 1922892 */     GIR_EraseRootFromParent_Done,
     /* 1922893 */   // Label 25867: @1922893
     /* 1922893 */   GIM_Try, /*On fail goto*//*Label 25868*/ GIMT_Encode4(1922979), // Rule ID 23665 //
     /* 1922898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1922909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1922912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1922915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1922921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922944 */     // MIs[0] policy
     /* 1922944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922954 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1922957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922978 */     // GIR_Coverage, 23665,
     /* 1922978 */     GIR_EraseRootFromParent_Done,
     /* 1922979 */   // Label 25868: @1922979
     /* 1922979 */   GIM_Try, /*On fail goto*//*Label 25869*/ GIMT_Encode4(1923065), // Rule ID 23668 //
     /* 1922984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1922995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1922998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923030 */     // MIs[0] policy
     /* 1923030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923040 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1923043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923064 */     // GIR_Coverage, 23668,
     /* 1923064 */     GIR_EraseRootFromParent_Done,
     /* 1923065 */   // Label 25869: @1923065
     /* 1923065 */   GIM_Try, /*On fail goto*//*Label 25870*/ GIMT_Encode4(1923151), // Rule ID 23669 //
     /* 1923070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1923081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1923084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923116 */     // MIs[0] policy
     /* 1923116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923126 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1923129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923150 */     // GIR_Coverage, 23669,
     /* 1923150 */     GIR_EraseRootFromParent_Done,
     /* 1923151 */   // Label 25870: @1923151
     /* 1923151 */   GIM_Try, /*On fail goto*//*Label 25871*/ GIMT_Encode4(1923237), // Rule ID 23672 //
     /* 1923156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1923167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1923170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1923173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923202 */     // MIs[0] policy
     /* 1923202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1923215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923236 */     // GIR_Coverage, 23672,
     /* 1923236 */     GIR_EraseRootFromParent_Done,
     /* 1923237 */   // Label 25871: @1923237
     /* 1923237 */   GIM_Try, /*On fail goto*//*Label 25872*/ GIMT_Encode4(1923323), // Rule ID 23673 //
     /* 1923242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1923253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1923256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1923259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923288 */     // MIs[0] policy
     /* 1923288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923298 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1923301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923322 */     // GIR_Coverage, 23673,
     /* 1923322 */     GIR_EraseRootFromParent_Done,
     /* 1923323 */   // Label 25872: @1923323
     /* 1923323 */   GIM_Try, /*On fail goto*//*Label 25873*/ GIMT_Encode4(1923409), // Rule ID 23676 //
     /* 1923328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1923339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1923342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1923345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923374 */     // MIs[0] policy
     /* 1923374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1923387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923408 */     // GIR_Coverage, 23676,
     /* 1923408 */     GIR_EraseRootFromParent_Done,
     /* 1923409 */   // Label 25873: @1923409
     /* 1923409 */   GIM_Try, /*On fail goto*//*Label 25874*/ GIMT_Encode4(1923495), // Rule ID 23677 //
     /* 1923414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1923425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1923428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1923431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923460 */     // MIs[0] policy
     /* 1923460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923470 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1923473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923494 */     // GIR_Coverage, 23677,
     /* 1923494 */     GIR_EraseRootFromParent_Done,
     /* 1923495 */   // Label 25874: @1923495
     /* 1923495 */   GIM_Try, /*On fail goto*//*Label 25875*/ GIMT_Encode4(1923581), // Rule ID 23680 //
     /* 1923500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1923511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1923514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1923517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923546 */     // MIs[0] policy
     /* 1923546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1923559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923580 */     // GIR_Coverage, 23680,
     /* 1923580 */     GIR_EraseRootFromParent_Done,
     /* 1923581 */   // Label 25875: @1923581
     /* 1923581 */   GIM_Try, /*On fail goto*//*Label 25876*/ GIMT_Encode4(1923667), // Rule ID 23681 //
     /* 1923586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1923597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1923600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1923603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923632 */     // MIs[0] policy
     /* 1923632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1923645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923666 */     // GIR_Coverage, 23681,
     /* 1923666 */     GIR_EraseRootFromParent_Done,
     /* 1923667 */   // Label 25876: @1923667
     /* 1923667 */   GIM_Try, /*On fail goto*//*Label 25877*/ GIMT_Encode4(1923753), // Rule ID 23684 //
     /* 1923672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1923683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1923686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1923689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923718 */     // MIs[0] policy
     /* 1923718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1923731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923752 */     // GIR_Coverage, 23684,
     /* 1923752 */     GIR_EraseRootFromParent_Done,
     /* 1923753 */   // Label 25877: @1923753
     /* 1923753 */   GIM_Try, /*On fail goto*//*Label 25878*/ GIMT_Encode4(1923839), // Rule ID 23685 //
     /* 1923758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1923769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1923772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1923775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923804 */     // MIs[0] policy
     /* 1923804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1923817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923838 */     // GIR_Coverage, 23685,
     /* 1923838 */     GIR_EraseRootFromParent_Done,
     /* 1923839 */   // Label 25878: @1923839
     /* 1923839 */   GIM_Try, /*On fail goto*//*Label 25879*/ GIMT_Encode4(1923925), // Rule ID 23688 //
     /* 1923844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1923855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1923858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1923861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923890 */     // MIs[0] policy
     /* 1923890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1923903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923924 */     // GIR_Coverage, 23688,
     /* 1923924 */     GIR_EraseRootFromParent_Done,
     /* 1923925 */   // Label 25879: @1923925
     /* 1923925 */   GIM_Try, /*On fail goto*//*Label 25880*/ GIMT_Encode4(1924011), // Rule ID 23689 //
     /* 1923930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1923941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1923944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1923947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923976 */     // MIs[0] policy
     /* 1923976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1923989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924010 */     // GIR_Coverage, 23689,
     /* 1924010 */     GIR_EraseRootFromParent_Done,
     /* 1924011 */   // Label 25880: @1924011
     /* 1924011 */   GIM_Try, /*On fail goto*//*Label 25881*/ GIMT_Encode4(1924097), // Rule ID 23692 //
     /* 1924016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1924019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924062 */     // MIs[0] policy
     /* 1924062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924072 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1924075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924096 */     // GIR_Coverage, 23692,
     /* 1924096 */     GIR_EraseRootFromParent_Done,
     /* 1924097 */   // Label 25881: @1924097
     /* 1924097 */   GIM_Try, /*On fail goto*//*Label 25882*/ GIMT_Encode4(1924183), // Rule ID 23693 //
     /* 1924102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1924105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924148 */     // MIs[0] policy
     /* 1924148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924158 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1924161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924182 */     // GIR_Coverage, 23693,
     /* 1924182 */     GIR_EraseRootFromParent_Done,
     /* 1924183 */   // Label 25882: @1924183
     /* 1924183 */   GIM_Try, /*On fail goto*//*Label 25883*/ GIMT_Encode4(1924269), // Rule ID 23696 //
     /* 1924188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1924191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1924199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1924202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1924205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924234 */     // MIs[0] policy
     /* 1924234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1924247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924268 */     // GIR_Coverage, 23696,
     /* 1924268 */     GIR_EraseRootFromParent_Done,
     /* 1924269 */   // Label 25883: @1924269
     /* 1924269 */   GIM_Try, /*On fail goto*//*Label 25884*/ GIMT_Encode4(1924355), // Rule ID 23697 //
     /* 1924274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1924277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1924285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1924288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1924291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924320 */     // MIs[0] policy
     /* 1924320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1924333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924354 */     // GIR_Coverage, 23697,
     /* 1924354 */     GIR_EraseRootFromParent_Done,
     /* 1924355 */   // Label 25884: @1924355
     /* 1924355 */   GIM_Try, /*On fail goto*//*Label 25885*/ GIMT_Encode4(1924441), // Rule ID 23700 //
     /* 1924360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1924363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1924371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1924374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1924377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924406 */     // MIs[0] policy
     /* 1924406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924416 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1924419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924440 */     // GIR_Coverage, 23700,
     /* 1924440 */     GIR_EraseRootFromParent_Done,
     /* 1924441 */   // Label 25885: @1924441
     /* 1924441 */   GIM_Try, /*On fail goto*//*Label 25886*/ GIMT_Encode4(1924527), // Rule ID 23701 //
     /* 1924446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1924449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1924457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1924460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1924463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924492 */     // MIs[0] policy
     /* 1924492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924502 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1924505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924526 */     // GIR_Coverage, 23701,
     /* 1924526 */     GIR_EraseRootFromParent_Done,
     /* 1924527 */   // Label 25886: @1924527
     /* 1924527 */   GIM_Try, /*On fail goto*//*Label 25887*/ GIMT_Encode4(1924613), // Rule ID 23792 //
     /* 1924532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1924543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1924546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1924549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924578 */     // MIs[0] policy
     /* 1924578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924588 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1924591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924612 */     // GIR_Coverage, 23792,
     /* 1924612 */     GIR_EraseRootFromParent_Done,
     /* 1924613 */   // Label 25887: @1924613
     /* 1924613 */   GIM_Try, /*On fail goto*//*Label 25888*/ GIMT_Encode4(1924699), // Rule ID 23793 //
     /* 1924618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1924629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1924632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1924635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924664 */     // MIs[0] policy
     /* 1924664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924674 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1924677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924698 */     // GIR_Coverage, 23793,
     /* 1924698 */     GIR_EraseRootFromParent_Done,
     /* 1924699 */   // Label 25888: @1924699
     /* 1924699 */   GIM_Try, /*On fail goto*//*Label 25889*/ GIMT_Encode4(1924785), // Rule ID 23796 //
     /* 1924704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1924715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1924718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1924721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924750 */     // MIs[0] policy
     /* 1924750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924760 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1924763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924784 */     // GIR_Coverage, 23796,
     /* 1924784 */     GIR_EraseRootFromParent_Done,
     /* 1924785 */   // Label 25889: @1924785
     /* 1924785 */   GIM_Try, /*On fail goto*//*Label 25890*/ GIMT_Encode4(1924871), // Rule ID 23797 //
     /* 1924790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1924801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1924804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1924807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924836 */     // MIs[0] policy
     /* 1924836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924846 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1924849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924870 */     // GIR_Coverage, 23797,
     /* 1924870 */     GIR_EraseRootFromParent_Done,
     /* 1924871 */   // Label 25890: @1924871
     /* 1924871 */   GIM_Try, /*On fail goto*//*Label 25891*/ GIMT_Encode4(1924957), // Rule ID 23800 //
     /* 1924876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1924887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1924890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1924893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924922 */     // MIs[0] policy
     /* 1924922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924932 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1924935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924956 */     // GIR_Coverage, 23800,
     /* 1924956 */     GIR_EraseRootFromParent_Done,
     /* 1924957 */   // Label 25891: @1924957
     /* 1924957 */   GIM_Try, /*On fail goto*//*Label 25892*/ GIMT_Encode4(1925043), // Rule ID 23801 //
     /* 1924962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1924973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1924976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1924979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925008 */     // MIs[0] policy
     /* 1925008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925018 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1925021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925042 */     // GIR_Coverage, 23801,
     /* 1925042 */     GIR_EraseRootFromParent_Done,
     /* 1925043 */   // Label 25892: @1925043
     /* 1925043 */   GIM_Try, /*On fail goto*//*Label 25893*/ GIMT_Encode4(1925129), // Rule ID 23804 //
     /* 1925048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925094 */     // MIs[0] policy
     /* 1925094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925104 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1925107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925128 */     // GIR_Coverage, 23804,
     /* 1925128 */     GIR_EraseRootFromParent_Done,
     /* 1925129 */   // Label 25893: @1925129
     /* 1925129 */   GIM_Try, /*On fail goto*//*Label 25894*/ GIMT_Encode4(1925215), // Rule ID 23805 //
     /* 1925134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925180 */     // MIs[0] policy
     /* 1925180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925190 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1925193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925214 */     // GIR_Coverage, 23805,
     /* 1925214 */     GIR_EraseRootFromParent_Done,
     /* 1925215 */   // Label 25894: @1925215
     /* 1925215 */   GIM_Try, /*On fail goto*//*Label 25895*/ GIMT_Encode4(1925301), // Rule ID 23808 //
     /* 1925220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1925231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1925234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1925237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925266 */     // MIs[0] policy
     /* 1925266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925276 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1925279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925300 */     // GIR_Coverage, 23808,
     /* 1925300 */     GIR_EraseRootFromParent_Done,
     /* 1925301 */   // Label 25895: @1925301
     /* 1925301 */   GIM_Try, /*On fail goto*//*Label 25896*/ GIMT_Encode4(1925387), // Rule ID 23809 //
     /* 1925306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1925317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1925320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1925323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925352 */     // MIs[0] policy
     /* 1925352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925362 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1925365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925386 */     // GIR_Coverage, 23809,
     /* 1925386 */     GIR_EraseRootFromParent_Done,
     /* 1925387 */   // Label 25896: @1925387
     /* 1925387 */   GIM_Try, /*On fail goto*//*Label 25897*/ GIMT_Encode4(1925473), // Rule ID 23812 //
     /* 1925392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1925403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1925406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1925409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925438 */     // MIs[0] policy
     /* 1925438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925448 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1925451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925472 */     // GIR_Coverage, 23812,
     /* 1925472 */     GIR_EraseRootFromParent_Done,
     /* 1925473 */   // Label 25897: @1925473
     /* 1925473 */   GIM_Try, /*On fail goto*//*Label 25898*/ GIMT_Encode4(1925559), // Rule ID 23813 //
     /* 1925478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1925489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1925492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1925495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925524 */     // MIs[0] policy
     /* 1925524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1925537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925558 */     // GIR_Coverage, 23813,
     /* 1925558 */     GIR_EraseRootFromParent_Done,
     /* 1925559 */   // Label 25898: @1925559
     /* 1925559 */   GIM_Try, /*On fail goto*//*Label 25899*/ GIMT_Encode4(1925645), // Rule ID 23816 //
     /* 1925564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1925575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1925578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1925581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925610 */     // MIs[0] policy
     /* 1925610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925620 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925644 */     // GIR_Coverage, 23816,
     /* 1925644 */     GIR_EraseRootFromParent_Done,
     /* 1925645 */   // Label 25899: @1925645
     /* 1925645 */   GIM_Try, /*On fail goto*//*Label 25900*/ GIMT_Encode4(1925731), // Rule ID 23817 //
     /* 1925650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1925661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1925664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1925667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925696 */     // MIs[0] policy
     /* 1925696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925706 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11566:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925730 */     // GIR_Coverage, 23817,
     /* 1925730 */     GIR_EraseRootFromParent_Done,
     /* 1925731 */   // Label 25900: @1925731
     /* 1925731 */   GIM_Try, /*On fail goto*//*Label 25901*/ GIMT_Encode4(1925817), // Rule ID 23820 //
     /* 1925736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1925747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1925750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1925753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925782 */     // MIs[0] policy
     /* 1925782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925816 */     // GIR_Coverage, 23820,
     /* 1925816 */     GIR_EraseRootFromParent_Done,
     /* 1925817 */   // Label 25901: @1925817
     /* 1925817 */   GIM_Try, /*On fail goto*//*Label 25902*/ GIMT_Encode4(1925903), // Rule ID 23821 //
     /* 1925822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1925833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1925836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1925839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925868 */     // MIs[0] policy
     /* 1925868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925902 */     // GIR_Coverage, 23821,
     /* 1925902 */     GIR_EraseRootFromParent_Done,
     /* 1925903 */   // Label 25902: @1925903
     /* 1925903 */   GIM_Try, /*On fail goto*//*Label 25903*/ GIMT_Encode4(1925989), // Rule ID 23824 //
     /* 1925908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1925919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1925922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1925925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925954 */     // MIs[0] policy
     /* 1925954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925988 */     // GIR_Coverage, 23824,
     /* 1925988 */     GIR_EraseRootFromParent_Done,
     /* 1925989 */   // Label 25903: @1925989
     /* 1925989 */   GIM_Try, /*On fail goto*//*Label 25904*/ GIMT_Encode4(1926075), // Rule ID 23825 //
     /* 1925994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926040 */     // MIs[0] policy
     /* 1926040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926050 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1926053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926074 */     // GIR_Coverage, 23825,
     /* 1926074 */     GIR_EraseRootFromParent_Done,
     /* 1926075 */   // Label 25904: @1926075
     /* 1926075 */   GIM_Try, /*On fail goto*//*Label 25905*/ GIMT_Encode4(1926161), // Rule ID 23828 //
     /* 1926080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1926083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926126 */     // MIs[0] policy
     /* 1926126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1926139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926160 */     // GIR_Coverage, 23828,
     /* 1926160 */     GIR_EraseRootFromParent_Done,
     /* 1926161 */   // Label 25905: @1926161
     /* 1926161 */   GIM_Try, /*On fail goto*//*Label 25906*/ GIMT_Encode4(1926247), // Rule ID 23829 //
     /* 1926166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1926169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926212 */     // MIs[0] policy
     /* 1926212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1926225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926246 */     // GIR_Coverage, 23829,
     /* 1926246 */     GIR_EraseRootFromParent_Done,
     /* 1926247 */   // Label 25906: @1926247
     /* 1926247 */   GIM_Try, /*On fail goto*//*Label 25907*/ GIMT_Encode4(1926333), // Rule ID 23832 //
     /* 1926252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1926263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1926266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1926269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926298 */     // MIs[0] policy
     /* 1926298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1926311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926332 */     // GIR_Coverage, 23832,
     /* 1926332 */     GIR_EraseRootFromParent_Done,
     /* 1926333 */   // Label 25907: @1926333
     /* 1926333 */   GIM_Try, /*On fail goto*//*Label 25908*/ GIMT_Encode4(1926419), // Rule ID 23833 //
     /* 1926338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1926349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1926352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1926355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926384 */     // MIs[0] policy
     /* 1926384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926394 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1926397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926418 */     // GIR_Coverage, 23833,
     /* 1926418 */     GIR_EraseRootFromParent_Done,
     /* 1926419 */   // Label 25908: @1926419
     /* 1926419 */   GIM_Try, /*On fail goto*//*Label 25909*/ GIMT_Encode4(1926505), // Rule ID 23836 //
     /* 1926424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1926435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1926438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1926441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926470 */     // MIs[0] policy
     /* 1926470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926480 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1926483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926504 */     // GIR_Coverage, 23836,
     /* 1926504 */     GIR_EraseRootFromParent_Done,
     /* 1926505 */   // Label 25909: @1926505
     /* 1926505 */   GIM_Try, /*On fail goto*//*Label 25910*/ GIMT_Encode4(1926591), // Rule ID 23837 //
     /* 1926510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1926521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1926524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1926527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926556 */     // MIs[0] policy
     /* 1926556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926566 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1926569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926590 */     // GIR_Coverage, 23837,
     /* 1926590 */     GIR_EraseRootFromParent_Done,
     /* 1926591 */   // Label 25910: @1926591
     /* 1926591 */   GIM_Try, /*On fail goto*//*Label 25911*/ GIMT_Encode4(1926677), // Rule ID 23840 //
     /* 1926596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1926607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1926610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1926613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1926619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926642 */     // MIs[0] policy
     /* 1926642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926652 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1926655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926676 */     // GIR_Coverage, 23840,
     /* 1926676 */     GIR_EraseRootFromParent_Done,
     /* 1926677 */   // Label 25911: @1926677
     /* 1926677 */   GIM_Try, /*On fail goto*//*Label 25912*/ GIMT_Encode4(1926763), // Rule ID 23841 //
     /* 1926682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1926693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1926696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1926699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1926705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926728 */     // MIs[0] policy
     /* 1926728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926738 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1926741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926762 */     // GIR_Coverage, 23841,
     /* 1926762 */     GIR_EraseRootFromParent_Done,
     /* 1926763 */   // Label 25912: @1926763
     /* 1926763 */   GIM_Try, /*On fail goto*//*Label 25913*/ GIMT_Encode4(1926849), // Rule ID 23844 //
     /* 1926768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1926779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1926782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1926785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926814 */     // MIs[0] policy
     /* 1926814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926824 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1926827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926848 */     // GIR_Coverage, 23844,
     /* 1926848 */     GIR_EraseRootFromParent_Done,
     /* 1926849 */   // Label 25913: @1926849
     /* 1926849 */   GIM_Try, /*On fail goto*//*Label 25914*/ GIMT_Encode4(1926935), // Rule ID 23845 //
     /* 1926854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1926865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1926868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1926871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926900 */     // MIs[0] policy
     /* 1926900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926910 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1926913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926934 */     // GIR_Coverage, 23845,
     /* 1926934 */     GIR_EraseRootFromParent_Done,
     /* 1926935 */   // Label 25914: @1926935
     /* 1926935 */   GIM_Try, /*On fail goto*//*Label 25915*/ GIMT_Encode4(1927021), // Rule ID 23848 //
     /* 1926940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1926951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1926954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1926957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926986 */     // MIs[0] policy
     /* 1926986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1926999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927020 */     // GIR_Coverage, 23848,
     /* 1927020 */     GIR_EraseRootFromParent_Done,
     /* 1927021 */   // Label 25915: @1927021
     /* 1927021 */   GIM_Try, /*On fail goto*//*Label 25916*/ GIMT_Encode4(1927107), // Rule ID 23849 //
     /* 1927026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1927037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1927040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1927043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927072 */     // MIs[0] policy
     /* 1927072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927082 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1927085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927106 */     // GIR_Coverage, 23849,
     /* 1927106 */     GIR_EraseRootFromParent_Done,
     /* 1927107 */   // Label 25916: @1927107
     /* 1927107 */   GIM_Try, /*On fail goto*//*Label 25917*/ GIMT_Encode4(1927193), // Rule ID 23852 //
     /* 1927112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1927123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1927126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1927129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927158 */     // MIs[0] policy
     /* 1927158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1927171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927192 */     // GIR_Coverage, 23852,
     /* 1927192 */     GIR_EraseRootFromParent_Done,
     /* 1927193 */   // Label 25917: @1927193
     /* 1927193 */   GIM_Try, /*On fail goto*//*Label 25918*/ GIMT_Encode4(1927279), // Rule ID 23853 //
     /* 1927198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1927209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1927212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1927215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927244 */     // MIs[0] policy
     /* 1927244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927254 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1927257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927278 */     // GIR_Coverage, 23853,
     /* 1927278 */     GIR_EraseRootFromParent_Done,
     /* 1927279 */   // Label 25918: @1927279
     /* 1927279 */   GIM_Try, /*On fail goto*//*Label 25919*/ GIMT_Encode4(1927365), // Rule ID 23856 //
     /* 1927284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1927295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1927298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1927301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927330 */     // MIs[0] policy
     /* 1927330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1927343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927364 */     // GIR_Coverage, 23856,
     /* 1927364 */     GIR_EraseRootFromParent_Done,
     /* 1927365 */   // Label 25919: @1927365
     /* 1927365 */   GIM_Try, /*On fail goto*//*Label 25920*/ GIMT_Encode4(1927451), // Rule ID 23857 //
     /* 1927370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1927381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1927384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1927387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927416 */     // MIs[0] policy
     /* 1927416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1927429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927450 */     // GIR_Coverage, 23857,
     /* 1927450 */     GIR_EraseRootFromParent_Done,
     /* 1927451 */   // Label 25920: @1927451
     /* 1927451 */   GIM_Try, /*On fail goto*//*Label 25921*/ GIMT_Encode4(1927537), // Rule ID 23860 //
     /* 1927456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1927467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1927470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1927473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927502 */     // MIs[0] policy
     /* 1927502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1927515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927536 */     // GIR_Coverage, 23860,
     /* 1927536 */     GIR_EraseRootFromParent_Done,
     /* 1927537 */   // Label 25921: @1927537
     /* 1927537 */   GIM_Try, /*On fail goto*//*Label 25922*/ GIMT_Encode4(1927623), // Rule ID 23861 //
     /* 1927542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1927553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1927556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1927559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927588 */     // MIs[0] policy
     /* 1927588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1927601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927622 */     // GIR_Coverage, 23861,
     /* 1927622 */     GIR_EraseRootFromParent_Done,
     /* 1927623 */   // Label 25922: @1927623
     /* 1927623 */   GIM_Try, /*On fail goto*//*Label 25923*/ GIMT_Encode4(1927709), // Rule ID 23864 //
     /* 1927628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1927639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1927642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1927645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927674 */     // MIs[0] policy
     /* 1927674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1927687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927708 */     // GIR_Coverage, 23864,
     /* 1927708 */     GIR_EraseRootFromParent_Done,
     /* 1927709 */   // Label 25923: @1927709
     /* 1927709 */   GIM_Try, /*On fail goto*//*Label 25924*/ GIMT_Encode4(1927795), // Rule ID 23865 //
     /* 1927714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1927725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1927728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1927731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927760 */     // MIs[0] policy
     /* 1927760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1927773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927794 */     // GIR_Coverage, 23865,
     /* 1927794 */     GIR_EraseRootFromParent_Done,
     /* 1927795 */   // Label 25924: @1927795
     /* 1927795 */   GIM_Try, /*On fail goto*//*Label 25925*/ GIMT_Encode4(1927881), // Rule ID 23868 //
     /* 1927800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1927803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1927811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1927814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1927817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927846 */     // MIs[0] policy
     /* 1927846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927856 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1927859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927880 */     // GIR_Coverage, 23868,
     /* 1927880 */     GIR_EraseRootFromParent_Done,
     /* 1927881 */   // Label 25925: @1927881
     /* 1927881 */   GIM_Try, /*On fail goto*//*Label 25926*/ GIMT_Encode4(1927967), // Rule ID 23869 //
     /* 1927886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1927889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1927897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1927900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1927903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927932 */     // MIs[0] policy
     /* 1927932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927942 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1927945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927966 */     // GIR_Coverage, 23869,
     /* 1927966 */     GIR_EraseRootFromParent_Done,
     /* 1927967 */   // Label 25926: @1927967
     /* 1927967 */   GIM_Try, /*On fail goto*//*Label 25927*/ GIMT_Encode4(1928053), // Rule ID 23872 //
     /* 1927972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1927975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1927983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1927986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1927989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928018 */     // MIs[0] policy
     /* 1928018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1928031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928052 */     // GIR_Coverage, 23872,
     /* 1928052 */     GIR_EraseRootFromParent_Done,
     /* 1928053 */   // Label 25927: @1928053
     /* 1928053 */   GIM_Try, /*On fail goto*//*Label 25928*/ GIMT_Encode4(1928139), // Rule ID 23873 //
     /* 1928058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1928066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1928069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1928072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1928075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928104 */     // MIs[0] policy
     /* 1928104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1928117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928138 */     // GIR_Coverage, 23873,
     /* 1928138 */     GIR_EraseRootFromParent_Done,
     /* 1928139 */   // Label 25928: @1928139
     /* 1928139 */   GIM_Try, /*On fail goto*//*Label 25929*/ GIMT_Encode4(1928225), // Rule ID 23876 //
     /* 1928144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1928152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1928155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1928158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1928161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928190 */     // MIs[0] policy
     /* 1928190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928200 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1928203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928224 */     // GIR_Coverage, 23876,
     /* 1928224 */     GIR_EraseRootFromParent_Done,
     /* 1928225 */   // Label 25929: @1928225
     /* 1928225 */   GIM_Try, /*On fail goto*//*Label 25930*/ GIMT_Encode4(1928311), // Rule ID 23877 //
     /* 1928230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1928238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1928241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1928244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1928247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928276 */     // MIs[0] policy
     /* 1928276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928286 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1928289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928310 */     // GIR_Coverage, 23877,
     /* 1928310 */     GIR_EraseRootFromParent_Done,
     /* 1928311 */   // Label 25930: @1928311
     /* 1928311 */   GIM_Try, /*On fail goto*//*Label 25931*/ GIMT_Encode4(1928397), // Rule ID 23968 //
     /* 1928316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1928327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1928330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1928333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928362 */     // MIs[0] policy
     /* 1928362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1928375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928396 */     // GIR_Coverage, 23968,
     /* 1928396 */     GIR_EraseRootFromParent_Done,
     /* 1928397 */   // Label 25931: @1928397
     /* 1928397 */   GIM_Try, /*On fail goto*//*Label 25932*/ GIMT_Encode4(1928483), // Rule ID 23969 //
     /* 1928402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1928413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1928416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1928419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928448 */     // MIs[0] policy
     /* 1928448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928458 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1928461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928482 */     // GIR_Coverage, 23969,
     /* 1928482 */     GIR_EraseRootFromParent_Done,
     /* 1928483 */   // Label 25932: @1928483
     /* 1928483 */   GIM_Try, /*On fail goto*//*Label 25933*/ GIMT_Encode4(1928569), // Rule ID 23972 //
     /* 1928488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1928499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1928502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1928505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928534 */     // MIs[0] policy
     /* 1928534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928544 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1928547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928568 */     // GIR_Coverage, 23972,
     /* 1928568 */     GIR_EraseRootFromParent_Done,
     /* 1928569 */   // Label 25933: @1928569
     /* 1928569 */   GIM_Try, /*On fail goto*//*Label 25934*/ GIMT_Encode4(1928655), // Rule ID 23973 //
     /* 1928574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1928585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1928588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1928591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928620 */     // MIs[0] policy
     /* 1928620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928630 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1928633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928654 */     // GIR_Coverage, 23973,
     /* 1928654 */     GIR_EraseRootFromParent_Done,
     /* 1928655 */   // Label 25934: @1928655
     /* 1928655 */   GIM_Try, /*On fail goto*//*Label 25935*/ GIMT_Encode4(1928741), // Rule ID 23976 //
     /* 1928660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1928671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1928674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1928677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928706 */     // MIs[0] policy
     /* 1928706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928716 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1928719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928740 */     // GIR_Coverage, 23976,
     /* 1928740 */     GIR_EraseRootFromParent_Done,
     /* 1928741 */   // Label 25935: @1928741
     /* 1928741 */   GIM_Try, /*On fail goto*//*Label 25936*/ GIMT_Encode4(1928827), // Rule ID 23977 //
     /* 1928746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1928757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1928760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1928763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928792 */     // MIs[0] policy
     /* 1928792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1928805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928826 */     // GIR_Coverage, 23977,
     /* 1928826 */     GIR_EraseRootFromParent_Done,
     /* 1928827 */   // Label 25936: @1928827
     /* 1928827 */   GIM_Try, /*On fail goto*//*Label 25937*/ GIMT_Encode4(1928913), // Rule ID 23980 //
     /* 1928832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1928843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1928846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1928849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928878 */     // MIs[0] policy
     /* 1928878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928888 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1928891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928912 */     // GIR_Coverage, 23980,
     /* 1928912 */     GIR_EraseRootFromParent_Done,
     /* 1928913 */   // Label 25937: @1928913
     /* 1928913 */   GIM_Try, /*On fail goto*//*Label 25938*/ GIMT_Encode4(1928999), // Rule ID 23981 //
     /* 1928918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1928929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1928932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1928935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928964 */     // MIs[0] policy
     /* 1928964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1928977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928998 */     // GIR_Coverage, 23981,
     /* 1928998 */     GIR_EraseRootFromParent_Done,
     /* 1928999 */   // Label 25938: @1928999
     /* 1928999 */   GIM_Try, /*On fail goto*//*Label 25939*/ GIMT_Encode4(1929085), // Rule ID 23984 //
     /* 1929004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1929015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1929018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1929021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929050 */     // MIs[0] policy
     /* 1929050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929060 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1929063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929084 */     // GIR_Coverage, 23984,
     /* 1929084 */     GIR_EraseRootFromParent_Done,
     /* 1929085 */   // Label 25939: @1929085
     /* 1929085 */   GIM_Try, /*On fail goto*//*Label 25940*/ GIMT_Encode4(1929171), // Rule ID 23985 //
     /* 1929090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1929101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1929104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1929107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929136 */     // MIs[0] policy
     /* 1929136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929146 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1929149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929170 */     // GIR_Coverage, 23985,
     /* 1929170 */     GIR_EraseRootFromParent_Done,
     /* 1929171 */   // Label 25940: @1929171
     /* 1929171 */   GIM_Try, /*On fail goto*//*Label 25941*/ GIMT_Encode4(1929257), // Rule ID 23988 //
     /* 1929176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929222 */     // MIs[0] policy
     /* 1929222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1929235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929256 */     // GIR_Coverage, 23988,
     /* 1929256 */     GIR_EraseRootFromParent_Done,
     /* 1929257 */   // Label 25941: @1929257
     /* 1929257 */   GIM_Try, /*On fail goto*//*Label 25942*/ GIMT_Encode4(1929343), // Rule ID 23989 //
     /* 1929262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929308 */     // MIs[0] policy
     /* 1929308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1929321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929342 */     // GIR_Coverage, 23989,
     /* 1929342 */     GIR_EraseRootFromParent_Done,
     /* 1929343 */   // Label 25942: @1929343
     /* 1929343 */   GIM_Try, /*On fail goto*//*Label 25943*/ GIMT_Encode4(1929429), // Rule ID 23992 //
     /* 1929348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1929359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1929362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1929365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929394 */     // MIs[0] policy
     /* 1929394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11564:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929428 */     // GIR_Coverage, 23992,
     /* 1929428 */     GIR_EraseRootFromParent_Done,
     /* 1929429 */   // Label 25943: @1929429
     /* 1929429 */   GIM_Try, /*On fail goto*//*Label 25944*/ GIMT_Encode4(1929515), // Rule ID 23993 //
     /* 1929434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1929445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1929448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1929451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929480 */     // MIs[0] policy
     /* 1929480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11564:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929514 */     // GIR_Coverage, 23993,
     /* 1929514 */     GIR_EraseRootFromParent_Done,
     /* 1929515 */   // Label 25944: @1929515
     /* 1929515 */   GIM_Try, /*On fail goto*//*Label 25945*/ GIMT_Encode4(1929601), // Rule ID 23996 //
     /* 1929520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1929531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1929534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1929537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929566 */     // MIs[0] policy
     /* 1929566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929600 */     // GIR_Coverage, 23996,
     /* 1929600 */     GIR_EraseRootFromParent_Done,
     /* 1929601 */   // Label 25945: @1929601
     /* 1929601 */   GIM_Try, /*On fail goto*//*Label 25946*/ GIMT_Encode4(1929687), // Rule ID 23997 //
     /* 1929606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1929617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1929620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1929623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929652 */     // MIs[0] policy
     /* 1929652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929662 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929686 */     // GIR_Coverage, 23997,
     /* 1929686 */     GIR_EraseRootFromParent_Done,
     /* 1929687 */   // Label 25946: @1929687
     /* 1929687 */   GIM_Try, /*On fail goto*//*Label 25947*/ GIMT_Encode4(1929773), // Rule ID 24000 //
     /* 1929692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929738 */     // MIs[0] policy
     /* 1929738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929772 */     // GIR_Coverage, 24000,
     /* 1929772 */     GIR_EraseRootFromParent_Done,
     /* 1929773 */   // Label 25947: @1929773
     /* 1929773 */   GIM_Try, /*On fail goto*//*Label 25948*/ GIMT_Encode4(1929859), // Rule ID 24001 //
     /* 1929778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929824 */     // MIs[0] policy
     /* 1929824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929858 */     // GIR_Coverage, 24001,
     /* 1929858 */     GIR_EraseRootFromParent_Done,
     /* 1929859 */   // Label 25948: @1929859
     /* 1929859 */   GIM_Try, /*On fail goto*//*Label 25949*/ GIMT_Encode4(1929945), // Rule ID 24004 //
     /* 1929864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1929867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1929875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1929878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1929881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929910 */     // MIs[0] policy
     /* 1929910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929920 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1929923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929944 */     // GIR_Coverage, 24004,
     /* 1929944 */     GIR_EraseRootFromParent_Done,
     /* 1929945 */   // Label 25949: @1929945
     /* 1929945 */   GIM_Try, /*On fail goto*//*Label 25950*/ GIMT_Encode4(1930031), // Rule ID 24005 //
     /* 1929950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1929953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1929961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1929964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1929967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929996 */     // MIs[0] policy
     /* 1929996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930006 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1930009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930030 */     // GIR_Coverage, 24005,
     /* 1930030 */     GIR_EraseRootFromParent_Done,
     /* 1930031 */   // Label 25950: @1930031
     /* 1930031 */   GIM_Try, /*On fail goto*//*Label 25951*/ GIMT_Encode4(1930117), // Rule ID 24008 //
     /* 1930036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1930047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1930050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1930053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930082 */     // MIs[0] policy
     /* 1930082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1930095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930116 */     // GIR_Coverage, 24008,
     /* 1930116 */     GIR_EraseRootFromParent_Done,
     /* 1930117 */   // Label 25951: @1930117
     /* 1930117 */   GIM_Try, /*On fail goto*//*Label 25952*/ GIMT_Encode4(1930203), // Rule ID 24009 //
     /* 1930122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1930133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1930136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1930139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930168 */     // MIs[0] policy
     /* 1930168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930178 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1930181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930202 */     // GIR_Coverage, 24009,
     /* 1930202 */     GIR_EraseRootFromParent_Done,
     /* 1930203 */   // Label 25952: @1930203
     /* 1930203 */   GIM_Try, /*On fail goto*//*Label 25953*/ GIMT_Encode4(1930289), // Rule ID 24012 //
     /* 1930208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1930219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1930222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1930225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930254 */     // MIs[0] policy
     /* 1930254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930264 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1930267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930288 */     // GIR_Coverage, 24012,
     /* 1930288 */     GIR_EraseRootFromParent_Done,
     /* 1930289 */   // Label 25953: @1930289
     /* 1930289 */   GIM_Try, /*On fail goto*//*Label 25954*/ GIMT_Encode4(1930375), // Rule ID 24013 //
     /* 1930294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1930305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1930308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1930311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930340 */     // MIs[0] policy
     /* 1930340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930350 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1930353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930374 */     // GIR_Coverage, 24013,
     /* 1930374 */     GIR_EraseRootFromParent_Done,
     /* 1930375 */   // Label 25954: @1930375
     /* 1930375 */   GIM_Try, /*On fail goto*//*Label 25955*/ GIMT_Encode4(1930461), // Rule ID 24016 //
     /* 1930380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1930391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1930394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1930397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1930403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930426 */     // MIs[0] policy
     /* 1930426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1930439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930460 */     // GIR_Coverage, 24016,
     /* 1930460 */     GIR_EraseRootFromParent_Done,
     /* 1930461 */   // Label 25955: @1930461
     /* 1930461 */   GIM_Try, /*On fail goto*//*Label 25956*/ GIMT_Encode4(1930547), // Rule ID 24017 //
     /* 1930466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1930477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1930480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1930483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1930489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930512 */     // MIs[0] policy
     /* 1930512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930522 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1930525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930546 */     // GIR_Coverage, 24017,
     /* 1930546 */     GIR_EraseRootFromParent_Done,
     /* 1930547 */   // Label 25956: @1930547
     /* 1930547 */   GIM_Try, /*On fail goto*//*Label 25957*/ GIMT_Encode4(1930633), // Rule ID 24020 //
     /* 1930552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1930563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1930566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1930569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930598 */     // MIs[0] policy
     /* 1930598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1930611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930632 */     // GIR_Coverage, 24020,
     /* 1930632 */     GIR_EraseRootFromParent_Done,
     /* 1930633 */   // Label 25957: @1930633
     /* 1930633 */   GIM_Try, /*On fail goto*//*Label 25958*/ GIMT_Encode4(1930719), // Rule ID 24021 //
     /* 1930638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1930649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1930652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1930655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930684 */     // MIs[0] policy
     /* 1930684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930694 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1930697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930718 */     // GIR_Coverage, 24021,
     /* 1930718 */     GIR_EraseRootFromParent_Done,
     /* 1930719 */   // Label 25958: @1930719
     /* 1930719 */   GIM_Try, /*On fail goto*//*Label 25959*/ GIMT_Encode4(1930805), // Rule ID 24024 //
     /* 1930724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1930735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1930738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1930741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930770 */     // MIs[0] policy
     /* 1930770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1930783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930804 */     // GIR_Coverage, 24024,
     /* 1930804 */     GIR_EraseRootFromParent_Done,
     /* 1930805 */   // Label 25959: @1930805
     /* 1930805 */   GIM_Try, /*On fail goto*//*Label 25960*/ GIMT_Encode4(1930891), // Rule ID 24025 //
     /* 1930810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1930821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1930824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1930827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930856 */     // MIs[0] policy
     /* 1930856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1930869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930890 */     // GIR_Coverage, 24025,
     /* 1930890 */     GIR_EraseRootFromParent_Done,
     /* 1930891 */   // Label 25960: @1930891
     /* 1930891 */   GIM_Try, /*On fail goto*//*Label 25961*/ GIMT_Encode4(1930977), // Rule ID 24028 //
     /* 1930896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930942 */     // MIs[0] policy
     /* 1930942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1930955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930976 */     // GIR_Coverage, 24028,
     /* 1930976 */     GIR_EraseRootFromParent_Done,
     /* 1930977 */   // Label 25961: @1930977
     /* 1930977 */   GIM_Try, /*On fail goto*//*Label 25962*/ GIMT_Encode4(1931063), // Rule ID 24029 //
     /* 1930982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1930990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1931005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931028 */     // MIs[0] policy
     /* 1931028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931038 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1931041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931062 */     // GIR_Coverage, 24029,
     /* 1931062 */     GIR_EraseRootFromParent_Done,
     /* 1931063 */   // Label 25962: @1931063
     /* 1931063 */   GIM_Try, /*On fail goto*//*Label 25963*/ GIMT_Encode4(1931149), // Rule ID 24032 //
     /* 1931068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1931079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1931082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1931085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931114 */     // MIs[0] policy
     /* 1931114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1931127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931148 */     // GIR_Coverage, 24032,
     /* 1931148 */     GIR_EraseRootFromParent_Done,
     /* 1931149 */   // Label 25963: @1931149
     /* 1931149 */   GIM_Try, /*On fail goto*//*Label 25964*/ GIMT_Encode4(1931235), // Rule ID 24033 //
     /* 1931154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1931165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1931168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1931171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931200 */     // MIs[0] policy
     /* 1931200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931210 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1931213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931234 */     // GIR_Coverage, 24033,
     /* 1931234 */     GIR_EraseRootFromParent_Done,
     /* 1931235 */   // Label 25964: @1931235
     /* 1931235 */   GIM_Try, /*On fail goto*//*Label 25965*/ GIMT_Encode4(1931321), // Rule ID 24036 //
     /* 1931240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1931251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1931254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1931257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931286 */     // MIs[0] policy
     /* 1931286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1931299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931320 */     // GIR_Coverage, 24036,
     /* 1931320 */     GIR_EraseRootFromParent_Done,
     /* 1931321 */   // Label 25965: @1931321
     /* 1931321 */   GIM_Try, /*On fail goto*//*Label 25966*/ GIMT_Encode4(1931407), // Rule ID 24037 //
     /* 1931326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1931337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1931340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1931343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931372 */     // MIs[0] policy
     /* 1931372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1931385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931406 */     // GIR_Coverage, 24037,
     /* 1931406 */     GIR_EraseRootFromParent_Done,
     /* 1931407 */   // Label 25966: @1931407
     /* 1931407 */   GIM_Try, /*On fail goto*//*Label 25967*/ GIMT_Encode4(1931493), // Rule ID 24040 //
     /* 1931412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1931423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1931426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1931429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931458 */     // MIs[0] policy
     /* 1931458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931468 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1931471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931492 */     // GIR_Coverage, 24040,
     /* 1931492 */     GIR_EraseRootFromParent_Done,
     /* 1931493 */   // Label 25967: @1931493
     /* 1931493 */   GIM_Try, /*On fail goto*//*Label 25968*/ GIMT_Encode4(1931579), // Rule ID 24041 //
     /* 1931498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1931509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1931512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1931515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931544 */     // MIs[0] policy
     /* 1931544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931554 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1931557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931578 */     // GIR_Coverage, 24041,
     /* 1931578 */     GIR_EraseRootFromParent_Done,
     /* 1931579 */   // Label 25968: @1931579
     /* 1931579 */   GIM_Try, /*On fail goto*//*Label 25969*/ GIMT_Encode4(1931665), // Rule ID 24044 //
     /* 1931584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1931587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1931595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1931598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1931601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931630 */     // MIs[0] policy
     /* 1931630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931640 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1931643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931664 */     // GIR_Coverage, 24044,
     /* 1931664 */     GIR_EraseRootFromParent_Done,
     /* 1931665 */   // Label 25969: @1931665
     /* 1931665 */   GIM_Try, /*On fail goto*//*Label 25970*/ GIMT_Encode4(1931751), // Rule ID 24045 //
     /* 1931670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1931673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1931681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1931684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1931687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931716 */     // MIs[0] policy
     /* 1931716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931726 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1931729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931750 */     // GIR_Coverage, 24045,
     /* 1931750 */     GIR_EraseRootFromParent_Done,
     /* 1931751 */   // Label 25970: @1931751
     /* 1931751 */   GIM_Try, /*On fail goto*//*Label 25971*/ GIMT_Encode4(1931837), // Rule ID 24048 //
     /* 1931756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1931759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1931767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1931770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1931773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931802 */     // MIs[0] policy
     /* 1931802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1931815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931836 */     // GIR_Coverage, 24048,
     /* 1931836 */     GIR_EraseRootFromParent_Done,
     /* 1931837 */   // Label 25971: @1931837
     /* 1931837 */   GIM_Try, /*On fail goto*//*Label 25972*/ GIMT_Encode4(1931923), // Rule ID 24049 //
     /* 1931842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1931845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1931853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1931856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1931859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931888 */     // MIs[0] policy
     /* 1931888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931898 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1931901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931922 */     // GIR_Coverage, 24049,
     /* 1931922 */     GIR_EraseRootFromParent_Done,
     /* 1931923 */   // Label 25972: @1931923
     /* 1931923 */   GIM_Try, /*On fail goto*//*Label 25973*/ GIMT_Encode4(1932009), // Rule ID 24052 //
     /* 1931928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1931931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1931936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1931939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1931942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1931945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931974 */     // MIs[0] policy
     /* 1931974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1931987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932008 */     // GIR_Coverage, 24052,
     /* 1932008 */     GIR_EraseRootFromParent_Done,
     /* 1932009 */   // Label 25973: @1932009
     /* 1932009 */   GIM_Try, /*On fail goto*//*Label 25974*/ GIMT_Encode4(1932095), // Rule ID 24053 //
     /* 1932014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1932017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1932022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1932025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1932028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1932031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932060 */     // MIs[0] policy
     /* 1932060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932070 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1932073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932094 */     // GIR_Coverage, 24053,
     /* 1932094 */     GIR_EraseRootFromParent_Done,
     /* 1932095 */   // Label 25974: @1932095
     /* 1932095 */   GIM_Try, /*On fail goto*//*Label 25975*/ GIMT_Encode4(1932181), // Rule ID 24056 //
     /* 1932100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1932111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1932114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1932117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932146 */     // MIs[0] policy
     /* 1932146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932156 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1932159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932180 */     // GIR_Coverage, 24056,
     /* 1932180 */     GIR_EraseRootFromParent_Done,
     /* 1932181 */   // Label 25975: @1932181
     /* 1932181 */   GIM_Try, /*On fail goto*//*Label 25976*/ GIMT_Encode4(1932267), // Rule ID 24057 //
     /* 1932186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1932197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1932200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1932203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932232 */     // MIs[0] policy
     /* 1932232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932242 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1932245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932266 */     // GIR_Coverage, 24057,
     /* 1932266 */     GIR_EraseRootFromParent_Done,
     /* 1932267 */   // Label 25976: @1932267
     /* 1932267 */   GIM_Try, /*On fail goto*//*Label 25977*/ GIMT_Encode4(1932353), // Rule ID 24060 //
     /* 1932272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1932283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1932286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1932289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932318 */     // MIs[0] policy
     /* 1932318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932328 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1932331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932352 */     // GIR_Coverage, 24060,
     /* 1932352 */     GIR_EraseRootFromParent_Done,
     /* 1932353 */   // Label 25977: @1932353
     /* 1932353 */   GIM_Try, /*On fail goto*//*Label 25978*/ GIMT_Encode4(1932439), // Rule ID 24061 //
     /* 1932358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1932369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1932372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1932375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932404 */     // MIs[0] policy
     /* 1932404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932414 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1932417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932438 */     // GIR_Coverage, 24061,
     /* 1932438 */     GIR_EraseRootFromParent_Done,
     /* 1932439 */   // Label 25978: @1932439
     /* 1932439 */   GIM_Try, /*On fail goto*//*Label 25979*/ GIMT_Encode4(1932525), // Rule ID 24064 //
     /* 1932444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1932455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1932458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1932461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932490 */     // MIs[0] policy
     /* 1932490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932500 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1932503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932524 */     // GIR_Coverage, 24064,
     /* 1932524 */     GIR_EraseRootFromParent_Done,
     /* 1932525 */   // Label 25979: @1932525
     /* 1932525 */   GIM_Try, /*On fail goto*//*Label 25980*/ GIMT_Encode4(1932611), // Rule ID 24065 //
     /* 1932530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1932541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1932544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1932547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932576 */     // MIs[0] policy
     /* 1932576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932586 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1932589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932610 */     // GIR_Coverage, 24065,
     /* 1932610 */     GIR_EraseRootFromParent_Done,
     /* 1932611 */   // Label 25980: @1932611
     /* 1932611 */   GIM_Try, /*On fail goto*//*Label 25981*/ GIMT_Encode4(1932697), // Rule ID 24068 //
     /* 1932616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1932627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1932630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1932633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932662 */     // MIs[0] policy
     /* 1932662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932672 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1932675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932696 */     // GIR_Coverage, 24068,
     /* 1932696 */     GIR_EraseRootFromParent_Done,
     /* 1932697 */   // Label 25981: @1932697
     /* 1932697 */   GIM_Try, /*On fail goto*//*Label 25982*/ GIMT_Encode4(1932783), // Rule ID 24069 //
     /* 1932702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1932713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1932716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1932719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932748 */     // MIs[0] policy
     /* 1932748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1932761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932782 */     // GIR_Coverage, 24069,
     /* 1932782 */     GIR_EraseRootFromParent_Done,
     /* 1932783 */   // Label 25982: @1932783
     /* 1932783 */   GIM_Try, /*On fail goto*//*Label 25983*/ GIMT_Encode4(1932869), // Rule ID 24072 //
     /* 1932788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1932799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1932802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1932805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932834 */     // MIs[0] policy
     /* 1932834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932844 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1932847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932868 */     // GIR_Coverage, 24072,
     /* 1932868 */     GIR_EraseRootFromParent_Done,
     /* 1932869 */   // Label 25983: @1932869
     /* 1932869 */   GIM_Try, /*On fail goto*//*Label 25984*/ GIMT_Encode4(1932955), // Rule ID 24073 //
     /* 1932874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1932885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1932888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1932891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932920 */     // MIs[0] policy
     /* 1932920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932930 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1932933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932954 */     // GIR_Coverage, 24073,
     /* 1932954 */     GIR_EraseRootFromParent_Done,
     /* 1932955 */   // Label 25984: @1932955
     /* 1932955 */   GIM_Try, /*On fail goto*//*Label 25985*/ GIMT_Encode4(1933041), // Rule ID 24076 //
     /* 1932960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1932971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1932974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1932977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933006 */     // MIs[0] policy
     /* 1933006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1933019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933040 */     // GIR_Coverage, 24076,
     /* 1933040 */     GIR_EraseRootFromParent_Done,
     /* 1933041 */   // Label 25985: @1933041
     /* 1933041 */   GIM_Try, /*On fail goto*//*Label 25986*/ GIMT_Encode4(1933127), // Rule ID 24077 //
     /* 1933046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1933057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1933060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1933063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933092 */     // MIs[0] policy
     /* 1933092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933102 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1933105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933126 */     // GIR_Coverage, 24077,
     /* 1933126 */     GIR_EraseRootFromParent_Done,
     /* 1933127 */   // Label 25986: @1933127
     /* 1933127 */   GIM_Try, /*On fail goto*//*Label 25987*/ GIMT_Encode4(1933213), // Rule ID 24080 //
     /* 1933132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1933143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1933146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1933149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933178 */     // MIs[0] policy
     /* 1933178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1933191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933212 */     // GIR_Coverage, 24080,
     /* 1933212 */     GIR_EraseRootFromParent_Done,
     /* 1933213 */   // Label 25987: @1933213
     /* 1933213 */   GIM_Try, /*On fail goto*//*Label 25988*/ GIMT_Encode4(1933299), // Rule ID 24081 //
     /* 1933218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1933229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1933232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1933235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933264 */     // MIs[0] policy
     /* 1933264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933274 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1933277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933298 */     // GIR_Coverage, 24081,
     /* 1933298 */     GIR_EraseRootFromParent_Done,
     /* 1933299 */   // Label 25988: @1933299
     /* 1933299 */   GIM_Try, /*On fail goto*//*Label 25989*/ GIMT_Encode4(1933385), // Rule ID 24084 //
     /* 1933304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1933315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1933318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1933321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933350 */     // MIs[0] policy
     /* 1933350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1933363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933384 */     // GIR_Coverage, 24084,
     /* 1933384 */     GIR_EraseRootFromParent_Done,
     /* 1933385 */   // Label 25989: @1933385
     /* 1933385 */   GIM_Try, /*On fail goto*//*Label 25990*/ GIMT_Encode4(1933471), // Rule ID 24085 //
     /* 1933390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1933401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1933404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1933407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933436 */     // MIs[0] policy
     /* 1933436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1933449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933470 */     // GIR_Coverage, 24085,
     /* 1933470 */     GIR_EraseRootFromParent_Done,
     /* 1933471 */   // Label 25990: @1933471
     /* 1933471 */   GIM_Try, /*On fail goto*//*Label 25991*/ GIMT_Encode4(1933557), // Rule ID 24088 //
     /* 1933476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1933487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1933490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1933493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933522 */     // MIs[0] policy
     /* 1933522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1933535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933556 */     // GIR_Coverage, 24088,
     /* 1933556 */     GIR_EraseRootFromParent_Done,
     /* 1933557 */   // Label 25991: @1933557
     /* 1933557 */   GIM_Try, /*On fail goto*//*Label 25992*/ GIMT_Encode4(1933643), // Rule ID 24089 //
     /* 1933562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1933573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1933576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1933579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933608 */     // MIs[0] policy
     /* 1933608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933618 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1933621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933642 */     // GIR_Coverage, 24089,
     /* 1933642 */     GIR_EraseRootFromParent_Done,
     /* 1933643 */   // Label 25992: @1933643
     /* 1933643 */   GIM_Try, /*On fail goto*//*Label 25993*/ GIMT_Encode4(1933729), // Rule ID 24092 //
     /* 1933648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1933651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1933659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1933662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1933665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933694 */     // MIs[0] policy
     /* 1933694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1933707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933728 */     // GIR_Coverage, 24092,
     /* 1933728 */     GIR_EraseRootFromParent_Done,
     /* 1933729 */   // Label 25993: @1933729
     /* 1933729 */   GIM_Try, /*On fail goto*//*Label 25994*/ GIMT_Encode4(1933815), // Rule ID 24093 //
     /* 1933734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1933737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1933745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1933748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1933751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933780 */     // MIs[0] policy
     /* 1933780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1933793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933814 */     // GIR_Coverage, 24093,
     /* 1933814 */     GIR_EraseRootFromParent_Done,
     /* 1933815 */   // Label 25994: @1933815
     /* 1933815 */   GIM_Try, /*On fail goto*//*Label 25995*/ GIMT_Encode4(1933901), // Rule ID 24096 //
     /* 1933820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1933831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1933834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1933837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933866 */     // MIs[0] policy
     /* 1933866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933876 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1933879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933900 */     // GIR_Coverage, 24096,
     /* 1933900 */     GIR_EraseRootFromParent_Done,
     /* 1933901 */   // Label 25995: @1933901
     /* 1933901 */   GIM_Try, /*On fail goto*//*Label 25996*/ GIMT_Encode4(1933987), // Rule ID 24097 //
     /* 1933906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1933917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1933920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1933923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933952 */     // MIs[0] policy
     /* 1933952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933962 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1933965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933986 */     // GIR_Coverage, 24097,
     /* 1933986 */     GIR_EraseRootFromParent_Done,
     /* 1933987 */   // Label 25996: @1933987
     /* 1933987 */   GIM_Try, /*On fail goto*//*Label 25997*/ GIMT_Encode4(1934073), // Rule ID 24100 //
     /* 1933992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1934003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1934006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1934009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934038 */     // MIs[0] policy
     /* 1934038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934048 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1934051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934072 */     // GIR_Coverage, 24100,
     /* 1934072 */     GIR_EraseRootFromParent_Done,
     /* 1934073 */   // Label 25997: @1934073
     /* 1934073 */   GIM_Try, /*On fail goto*//*Label 25998*/ GIMT_Encode4(1934159), // Rule ID 24101 //
     /* 1934078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1934089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1934092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1934095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934124 */     // MIs[0] policy
     /* 1934124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934134 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1934137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934158 */     // GIR_Coverage, 24101,
     /* 1934158 */     GIR_EraseRootFromParent_Done,
     /* 1934159 */   // Label 25998: @1934159
     /* 1934159 */   GIM_Try, /*On fail goto*//*Label 25999*/ GIMT_Encode4(1934245), // Rule ID 24104 //
     /* 1934164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1934175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1934178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1934181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1934187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934210 */     // MIs[0] policy
     /* 1934210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934220 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1934223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934244 */     // GIR_Coverage, 24104,
     /* 1934244 */     GIR_EraseRootFromParent_Done,
     /* 1934245 */   // Label 25999: @1934245
     /* 1934245 */   GIM_Try, /*On fail goto*//*Label 26000*/ GIMT_Encode4(1934331), // Rule ID 24105 //
     /* 1934250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1934261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1934264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1934267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1934273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934296 */     // MIs[0] policy
     /* 1934296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934306 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1934309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934330 */     // GIR_Coverage, 24105,
     /* 1934330 */     GIR_EraseRootFromParent_Done,
     /* 1934331 */   // Label 26000: @1934331
     /* 1934331 */   GIM_Try, /*On fail goto*//*Label 26001*/ GIMT_Encode4(1934417), // Rule ID 24108 //
     /* 1934336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1934347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1934350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1934353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934382 */     // MIs[0] policy
     /* 1934382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934392 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1934395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934416 */     // GIR_Coverage, 24108,
     /* 1934416 */     GIR_EraseRootFromParent_Done,
     /* 1934417 */   // Label 26001: @1934417
     /* 1934417 */   GIM_Try, /*On fail goto*//*Label 26002*/ GIMT_Encode4(1934503), // Rule ID 24109 //
     /* 1934422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1934433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1934436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1934439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934468 */     // MIs[0] policy
     /* 1934468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934478 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1934481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934502 */     // GIR_Coverage, 24109,
     /* 1934502 */     GIR_EraseRootFromParent_Done,
     /* 1934503 */   // Label 26002: @1934503
     /* 1934503 */   GIM_Try, /*On fail goto*//*Label 26003*/ GIMT_Encode4(1934589), // Rule ID 24112 //
     /* 1934508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1934519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1934522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1934525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934554 */     // MIs[0] policy
     /* 1934554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934564 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1934567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934588 */     // GIR_Coverage, 24112,
     /* 1934588 */     GIR_EraseRootFromParent_Done,
     /* 1934589 */   // Label 26003: @1934589
     /* 1934589 */   GIM_Try, /*On fail goto*//*Label 26004*/ GIMT_Encode4(1934675), // Rule ID 24113 //
     /* 1934594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1934605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1934608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1934611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934640 */     // MIs[0] policy
     /* 1934640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934650 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1934653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934674 */     // GIR_Coverage, 24113,
     /* 1934674 */     GIR_EraseRootFromParent_Done,
     /* 1934675 */   // Label 26004: @1934675
     /* 1934675 */   GIM_Try, /*On fail goto*//*Label 26005*/ GIMT_Encode4(1934761), // Rule ID 24116 //
     /* 1934680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1934691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1934694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1934697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934726 */     // MIs[0] policy
     /* 1934726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934736 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1934739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934760 */     // GIR_Coverage, 24116,
     /* 1934760 */     GIR_EraseRootFromParent_Done,
     /* 1934761 */   // Label 26005: @1934761
     /* 1934761 */   GIM_Try, /*On fail goto*//*Label 26006*/ GIMT_Encode4(1934847), // Rule ID 24117 //
     /* 1934766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1934777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1934780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1934783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934812 */     // MIs[0] policy
     /* 1934812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934822 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1934825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934846 */     // GIR_Coverage, 24117,
     /* 1934846 */     GIR_EraseRootFromParent_Done,
     /* 1934847 */   // Label 26006: @1934847
     /* 1934847 */   GIM_Try, /*On fail goto*//*Label 26007*/ GIMT_Encode4(1934933), // Rule ID 24120 //
     /* 1934852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1934863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1934866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1934869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934898 */     // MIs[0] policy
     /* 1934898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1934911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934932 */     // GIR_Coverage, 24120,
     /* 1934932 */     GIR_EraseRootFromParent_Done,
     /* 1934933 */   // Label 26007: @1934933
     /* 1934933 */   GIM_Try, /*On fail goto*//*Label 26008*/ GIMT_Encode4(1935019), // Rule ID 24121 //
     /* 1934938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1934946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1934949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1934952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1934955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934984 */     // MIs[0] policy
     /* 1934984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1934997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935018 */     // GIR_Coverage, 24121,
     /* 1935018 */     GIR_EraseRootFromParent_Done,
     /* 1935019 */   // Label 26008: @1935019
     /* 1935019 */   GIM_Try, /*On fail goto*//*Label 26009*/ GIMT_Encode4(1935105), // Rule ID 24124 //
     /* 1935024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1935035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1935038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1935041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935070 */     // MIs[0] policy
     /* 1935070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935080 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1935083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935104 */     // GIR_Coverage, 24124,
     /* 1935104 */     GIR_EraseRootFromParent_Done,
     /* 1935105 */   // Label 26009: @1935105
     /* 1935105 */   GIM_Try, /*On fail goto*//*Label 26010*/ GIMT_Encode4(1935191), // Rule ID 24125 //
     /* 1935110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1935121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1935124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1935127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935156 */     // MIs[0] policy
     /* 1935156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1935169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935190 */     // GIR_Coverage, 24125,
     /* 1935190 */     GIR_EraseRootFromParent_Done,
     /* 1935191 */   // Label 26010: @1935191
     /* 1935191 */   GIM_Try, /*On fail goto*//*Label 26011*/ GIMT_Encode4(1935277), // Rule ID 24128 //
     /* 1935196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1935207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1935210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1935213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935242 */     // MIs[0] policy
     /* 1935242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1935255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935276 */     // GIR_Coverage, 24128,
     /* 1935276 */     GIR_EraseRootFromParent_Done,
     /* 1935277 */   // Label 26011: @1935277
     /* 1935277 */   GIM_Try, /*On fail goto*//*Label 26012*/ GIMT_Encode4(1935363), // Rule ID 24129 //
     /* 1935282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1935293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1935296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1935299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935328 */     // MIs[0] policy
     /* 1935328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935338 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1935341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935362 */     // GIR_Coverage, 24129,
     /* 1935362 */     GIR_EraseRootFromParent_Done,
     /* 1935363 */   // Label 26012: @1935363
     /* 1935363 */   GIM_Try, /*On fail goto*//*Label 26013*/ GIMT_Encode4(1935449), // Rule ID 24132 //
     /* 1935368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1935371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1935379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1935382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1935385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935414 */     // MIs[0] policy
     /* 1935414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935424 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1935427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935448 */     // GIR_Coverage, 24132,
     /* 1935448 */     GIR_EraseRootFromParent_Done,
     /* 1935449 */   // Label 26013: @1935449
     /* 1935449 */   GIM_Try, /*On fail goto*//*Label 26014*/ GIMT_Encode4(1935535), // Rule ID 24133 //
     /* 1935454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1935457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1935465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1935468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1935471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935500 */     // MIs[0] policy
     /* 1935500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935510 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1935513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935534 */     // GIR_Coverage, 24133,
     /* 1935534 */     GIR_EraseRootFromParent_Done,
     /* 1935535 */   // Label 26014: @1935535
     /* 1935535 */   GIM_Try, /*On fail goto*//*Label 26015*/ GIMT_Encode4(1935621), // Rule ID 24136 //
     /* 1935540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1935543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1935551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1935554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1935557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935586 */     // MIs[0] policy
     /* 1935586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1935599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935620 */     // GIR_Coverage, 24136,
     /* 1935620 */     GIR_EraseRootFromParent_Done,
     /* 1935621 */   // Label 26015: @1935621
     /* 1935621 */   GIM_Try, /*On fail goto*//*Label 26016*/ GIMT_Encode4(1935707), // Rule ID 24137 //
     /* 1935626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1935629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1935637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1935640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1935643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935672 */     // MIs[0] policy
     /* 1935672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935682 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1935685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935706 */     // GIR_Coverage, 24137,
     /* 1935706 */     GIR_EraseRootFromParent_Done,
     /* 1935707 */   // Label 26016: @1935707
     /* 1935707 */   GIM_Try, /*On fail goto*//*Label 26017*/ GIMT_Encode4(1935793), // Rule ID 24140 //
     /* 1935712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1935715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1935723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1935726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1935729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935758 */     // MIs[0] policy
     /* 1935758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935768 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1935771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935792 */     // GIR_Coverage, 24140,
     /* 1935792 */     GIR_EraseRootFromParent_Done,
     /* 1935793 */   // Label 26017: @1935793
     /* 1935793 */   GIM_Try, /*On fail goto*//*Label 26018*/ GIMT_Encode4(1935879), // Rule ID 24141 //
     /* 1935798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1935801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1935806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1935809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1935812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1935815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935844 */     // MIs[0] policy
     /* 1935844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935854 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1935857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935878 */     // GIR_Coverage, 24141,
     /* 1935878 */     GIR_EraseRootFromParent_Done,
     /* 1935879 */   // Label 26018: @1935879
     /* 1935879 */   GIM_Try, /*On fail goto*//*Label 26019*/ GIMT_Encode4(1935965), // Rule ID 24144 //
     /* 1935884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1935895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1935898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1935901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935930 */     // MIs[0] policy
     /* 1935930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935940 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1935943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935964 */     // GIR_Coverage, 24144,
     /* 1935964 */     GIR_EraseRootFromParent_Done,
     /* 1935965 */   // Label 26019: @1935965
     /* 1935965 */   GIM_Try, /*On fail goto*//*Label 26020*/ GIMT_Encode4(1936051), // Rule ID 24145 //
     /* 1935970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1935981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1935984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1935987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936016 */     // MIs[0] policy
     /* 1936016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936026 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1936029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936050 */     // GIR_Coverage, 24145,
     /* 1936050 */     GIR_EraseRootFromParent_Done,
     /* 1936051 */   // Label 26020: @1936051
     /* 1936051 */   GIM_Try, /*On fail goto*//*Label 26021*/ GIMT_Encode4(1936137), // Rule ID 24148 //
     /* 1936056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1936067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1936070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1936073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936102 */     // MIs[0] policy
     /* 1936102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936112 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1936115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936136 */     // GIR_Coverage, 24148,
     /* 1936136 */     GIR_EraseRootFromParent_Done,
     /* 1936137 */   // Label 26021: @1936137
     /* 1936137 */   GIM_Try, /*On fail goto*//*Label 26022*/ GIMT_Encode4(1936223), // Rule ID 24149 //
     /* 1936142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1936153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1936156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1936159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936188 */     // MIs[0] policy
     /* 1936188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936198 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1936201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936222 */     // GIR_Coverage, 24149,
     /* 1936222 */     GIR_EraseRootFromParent_Done,
     /* 1936223 */   // Label 26022: @1936223
     /* 1936223 */   GIM_Try, /*On fail goto*//*Label 26023*/ GIMT_Encode4(1936309), // Rule ID 24152 //
     /* 1936228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1936239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1936242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1936245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936274 */     // MIs[0] policy
     /* 1936274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936284 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1936287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936308 */     // GIR_Coverage, 24152,
     /* 1936308 */     GIR_EraseRootFromParent_Done,
     /* 1936309 */   // Label 26023: @1936309
     /* 1936309 */   GIM_Try, /*On fail goto*//*Label 26024*/ GIMT_Encode4(1936395), // Rule ID 24153 //
     /* 1936314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1936325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1936328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1936331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936360 */     // MIs[0] policy
     /* 1936360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936370 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1936373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936394 */     // GIR_Coverage, 24153,
     /* 1936394 */     GIR_EraseRootFromParent_Done,
     /* 1936395 */   // Label 26024: @1936395
     /* 1936395 */   GIM_Try, /*On fail goto*//*Label 26025*/ GIMT_Encode4(1936481), // Rule ID 24156 //
     /* 1936400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1936411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1936414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1936417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936446 */     // MIs[0] policy
     /* 1936446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936456 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1936459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936480 */     // GIR_Coverage, 24156,
     /* 1936480 */     GIR_EraseRootFromParent_Done,
     /* 1936481 */   // Label 26025: @1936481
     /* 1936481 */   GIM_Try, /*On fail goto*//*Label 26026*/ GIMT_Encode4(1936567), // Rule ID 24157 //
     /* 1936486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1936497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1936500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1936503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936532 */     // MIs[0] policy
     /* 1936532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936542 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1936545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936566 */     // GIR_Coverage, 24157,
     /* 1936566 */     GIR_EraseRootFromParent_Done,
     /* 1936567 */   // Label 26026: @1936567
     /* 1936567 */   GIM_Try, /*On fail goto*//*Label 26027*/ GIMT_Encode4(1936653), // Rule ID 24160 //
     /* 1936572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1936583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1936586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1936589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936618 */     // MIs[0] policy
     /* 1936618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936628 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1936631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936652 */     // GIR_Coverage, 24160,
     /* 1936652 */     GIR_EraseRootFromParent_Done,
     /* 1936653 */   // Label 26027: @1936653
     /* 1936653 */   GIM_Try, /*On fail goto*//*Label 26028*/ GIMT_Encode4(1936739), // Rule ID 24161 //
     /* 1936658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1936669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1936672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1936675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936704 */     // MIs[0] policy
     /* 1936704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936714 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1936717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936738 */     // GIR_Coverage, 24161,
     /* 1936738 */     GIR_EraseRootFromParent_Done,
     /* 1936739 */   // Label 26028: @1936739
     /* 1936739 */   GIM_Try, /*On fail goto*//*Label 26029*/ GIMT_Encode4(1936825), // Rule ID 24164 //
     /* 1936744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1936747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1936755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1936758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1936761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936790 */     // MIs[0] policy
     /* 1936790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1936803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936824 */     // GIR_Coverage, 24164,
     /* 1936824 */     GIR_EraseRootFromParent_Done,
     /* 1936825 */   // Label 26029: @1936825
     /* 1936825 */   GIM_Try, /*On fail goto*//*Label 26030*/ GIMT_Encode4(1936911), // Rule ID 24165 //
     /* 1936830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1936833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1936841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1936844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1936847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936876 */     // MIs[0] policy
     /* 1936876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936886 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1936889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936910 */     // GIR_Coverage, 24165,
     /* 1936910 */     GIR_EraseRootFromParent_Done,
     /* 1936911 */   // Label 26030: @1936911
     /* 1936911 */   GIM_Try, /*On fail goto*//*Label 26031*/ GIMT_Encode4(1936997), // Rule ID 24168 //
     /* 1936916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1936924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1936927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1936930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1936933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936962 */     // MIs[0] policy
     /* 1936962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936972 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1936975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936996 */     // GIR_Coverage, 24168,
     /* 1936996 */     GIR_EraseRootFromParent_Done,
     /* 1936997 */   // Label 26031: @1936997
     /* 1936997 */   GIM_Try, /*On fail goto*//*Label 26032*/ GIMT_Encode4(1937083), // Rule ID 24169 //
     /* 1937002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1937013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1937016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1937019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937048 */     // MIs[0] policy
     /* 1937048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937058 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1937061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937082 */     // GIR_Coverage, 24169,
     /* 1937082 */     GIR_EraseRootFromParent_Done,
     /* 1937083 */   // Label 26032: @1937083
     /* 1937083 */   GIM_Try, /*On fail goto*//*Label 26033*/ GIMT_Encode4(1937169), // Rule ID 24172 //
     /* 1937088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1937099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1937102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1937105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937134 */     // MIs[0] policy
     /* 1937134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937144 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1937147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937168 */     // GIR_Coverage, 24172,
     /* 1937168 */     GIR_EraseRootFromParent_Done,
     /* 1937169 */   // Label 26033: @1937169
     /* 1937169 */   GIM_Try, /*On fail goto*//*Label 26034*/ GIMT_Encode4(1937255), // Rule ID 24173 //
     /* 1937174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1937185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1937188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1937191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937220 */     // MIs[0] policy
     /* 1937220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937230 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1937233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937254 */     // GIR_Coverage, 24173,
     /* 1937254 */     GIR_EraseRootFromParent_Done,
     /* 1937255 */   // Label 26034: @1937255
     /* 1937255 */   GIM_Try, /*On fail goto*//*Label 26035*/ GIMT_Encode4(1937341), // Rule ID 24176 //
     /* 1937260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1937271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1937274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1937277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1937283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937306 */     // MIs[0] policy
     /* 1937306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937316 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1937319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937340 */     // GIR_Coverage, 24176,
     /* 1937340 */     GIR_EraseRootFromParent_Done,
     /* 1937341 */   // Label 26035: @1937341
     /* 1937341 */   GIM_Try, /*On fail goto*//*Label 26036*/ GIMT_Encode4(1937427), // Rule ID 24177 //
     /* 1937346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1937357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1937360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1937363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1937369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937392 */     // MIs[0] policy
     /* 1937392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937402 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1937405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937426 */     // GIR_Coverage, 24177,
     /* 1937426 */     GIR_EraseRootFromParent_Done,
     /* 1937427 */   // Label 26036: @1937427
     /* 1937427 */   GIM_Try, /*On fail goto*//*Label 26037*/ GIMT_Encode4(1937513), // Rule ID 24180 //
     /* 1937432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1937443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1937446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1937449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937478 */     // MIs[0] policy
     /* 1937478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937488 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1937491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937512 */     // GIR_Coverage, 24180,
     /* 1937512 */     GIR_EraseRootFromParent_Done,
     /* 1937513 */   // Label 26037: @1937513
     /* 1937513 */   GIM_Try, /*On fail goto*//*Label 26038*/ GIMT_Encode4(1937599), // Rule ID 24181 //
     /* 1937518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1937529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1937532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1937535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937564 */     // MIs[0] policy
     /* 1937564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937574 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1937577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937598 */     // GIR_Coverage, 24181,
     /* 1937598 */     GIR_EraseRootFromParent_Done,
     /* 1937599 */   // Label 26038: @1937599
     /* 1937599 */   GIM_Try, /*On fail goto*//*Label 26039*/ GIMT_Encode4(1937685), // Rule ID 24184 //
     /* 1937604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1937615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1937618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1937621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937650 */     // MIs[0] policy
     /* 1937650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937660 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1937663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937684 */     // GIR_Coverage, 24184,
     /* 1937684 */     GIR_EraseRootFromParent_Done,
     /* 1937685 */   // Label 26039: @1937685
     /* 1937685 */   GIM_Try, /*On fail goto*//*Label 26040*/ GIMT_Encode4(1937771), // Rule ID 24185 //
     /* 1937690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1937701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1937704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1937707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937736 */     // MIs[0] policy
     /* 1937736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937746 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1937749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937770 */     // GIR_Coverage, 24185,
     /* 1937770 */     GIR_EraseRootFromParent_Done,
     /* 1937771 */   // Label 26040: @1937771
     /* 1937771 */   GIM_Try, /*On fail goto*//*Label 26041*/ GIMT_Encode4(1937857), // Rule ID 24188 //
     /* 1937776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1937787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1937790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1937793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937822 */     // MIs[0] policy
     /* 1937822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937832 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1937835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937856 */     // GIR_Coverage, 24188,
     /* 1937856 */     GIR_EraseRootFromParent_Done,
     /* 1937857 */   // Label 26041: @1937857
     /* 1937857 */   GIM_Try, /*On fail goto*//*Label 26042*/ GIMT_Encode4(1937943), // Rule ID 24189 //
     /* 1937862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1937873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1937876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1937879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937908 */     // MIs[0] policy
     /* 1937908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937918 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1937921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937942 */     // GIR_Coverage, 24189,
     /* 1937942 */     GIR_EraseRootFromParent_Done,
     /* 1937943 */   // Label 26042: @1937943
     /* 1937943 */   GIM_Try, /*On fail goto*//*Label 26043*/ GIMT_Encode4(1938029), // Rule ID 24192 //
     /* 1937948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1937951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1937956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1937959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1937962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1937965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937994 */     // MIs[0] policy
     /* 1937994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938004 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1938007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938028 */     // GIR_Coverage, 24192,
     /* 1938028 */     GIR_EraseRootFromParent_Done,
     /* 1938029 */   // Label 26043: @1938029
     /* 1938029 */   GIM_Try, /*On fail goto*//*Label 26044*/ GIMT_Encode4(1938115), // Rule ID 24193 //
     /* 1938034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1938037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1938042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1938045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1938048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1938051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938080 */     // MIs[0] policy
     /* 1938080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938090 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1938093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938114 */     // GIR_Coverage, 24193,
     /* 1938114 */     GIR_EraseRootFromParent_Done,
     /* 1938115 */   // Label 26044: @1938115
     /* 1938115 */   GIM_Try, /*On fail goto*//*Label 26045*/ GIMT_Encode4(1938201), // Rule ID 24196 //
     /* 1938120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1938123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1938128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1938131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1938134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1938137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938166 */     // MIs[0] policy
     /* 1938166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938176 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1938179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938200 */     // GIR_Coverage, 24196,
     /* 1938200 */     GIR_EraseRootFromParent_Done,
     /* 1938201 */   // Label 26045: @1938201
     /* 1938201 */   GIM_Try, /*On fail goto*//*Label 26046*/ GIMT_Encode4(1938287), // Rule ID 24197 //
     /* 1938206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1938209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1938214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1938217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1938220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1938223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938252 */     // MIs[0] policy
     /* 1938252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938262 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1938265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938286 */     // GIR_Coverage, 24197,
     /* 1938286 */     GIR_EraseRootFromParent_Done,
     /* 1938287 */   // Label 26046: @1938287
     /* 1938287 */   GIM_Try, /*On fail goto*//*Label 26047*/ GIMT_Encode4(1938373), // Rule ID 24200 //
     /* 1938292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1938295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1938300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1938303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1938306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1938309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938338 */     // MIs[0] policy
     /* 1938338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938348 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1938351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938372 */     // GIR_Coverage, 24200,
     /* 1938372 */     GIR_EraseRootFromParent_Done,
     /* 1938373 */   // Label 26047: @1938373
     /* 1938373 */   GIM_Try, /*On fail goto*//*Label 26048*/ GIMT_Encode4(1938459), // Rule ID 24201 //
     /* 1938378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1938381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1938386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1938389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1938392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1938395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938424 */     // MIs[0] policy
     /* 1938424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938434 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1938437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938458 */     // GIR_Coverage, 24201,
     /* 1938458 */     GIR_EraseRootFromParent_Done,
     /* 1938459 */   // Label 26048: @1938459
     /* 1938459 */   GIM_Try, /*On fail goto*//*Label 26049*/ GIMT_Encode4(1938545), // Rule ID 24264 //
     /* 1938464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1938475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1938478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1938481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938510 */     // MIs[0] policy
     /* 1938510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938520 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1938523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938544 */     // GIR_Coverage, 24264,
     /* 1938544 */     GIR_EraseRootFromParent_Done,
     /* 1938545 */   // Label 26049: @1938545
     /* 1938545 */   GIM_Try, /*On fail goto*//*Label 26050*/ GIMT_Encode4(1938631), // Rule ID 24265 //
     /* 1938550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1938561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1938564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1938567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938596 */     // MIs[0] policy
     /* 1938596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938606 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1938609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938630 */     // GIR_Coverage, 24265,
     /* 1938630 */     GIR_EraseRootFromParent_Done,
     /* 1938631 */   // Label 26050: @1938631
     /* 1938631 */   GIM_Try, /*On fail goto*//*Label 26051*/ GIMT_Encode4(1938717), // Rule ID 24268 //
     /* 1938636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1938647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1938650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1938653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938682 */     // MIs[0] policy
     /* 1938682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938692 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1938695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938716 */     // GIR_Coverage, 24268,
     /* 1938716 */     GIR_EraseRootFromParent_Done,
     /* 1938717 */   // Label 26051: @1938717
     /* 1938717 */   GIM_Try, /*On fail goto*//*Label 26052*/ GIMT_Encode4(1938803), // Rule ID 24269 //
     /* 1938722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1938733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1938736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1938739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938768 */     // MIs[0] policy
     /* 1938768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938778 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1938781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938802 */     // GIR_Coverage, 24269,
     /* 1938802 */     GIR_EraseRootFromParent_Done,
     /* 1938803 */   // Label 26052: @1938803
     /* 1938803 */   GIM_Try, /*On fail goto*//*Label 26053*/ GIMT_Encode4(1938889), // Rule ID 24272 //
     /* 1938808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1938819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1938822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1938825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938854 */     // MIs[0] policy
     /* 1938854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938864 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1938867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938888 */     // GIR_Coverage, 24272,
     /* 1938888 */     GIR_EraseRootFromParent_Done,
     /* 1938889 */   // Label 26053: @1938889
     /* 1938889 */   GIM_Try, /*On fail goto*//*Label 26054*/ GIMT_Encode4(1938975), // Rule ID 24273 //
     /* 1938894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1938905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1938908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1938911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938940 */     // MIs[0] policy
     /* 1938940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938950 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1938953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938974 */     // GIR_Coverage, 24273,
     /* 1938974 */     GIR_EraseRootFromParent_Done,
     /* 1938975 */   // Label 26054: @1938975
     /* 1938975 */   GIM_Try, /*On fail goto*//*Label 26055*/ GIMT_Encode4(1939061), // Rule ID 24276 //
     /* 1938980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1938991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1938994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1938997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939026 */     // MIs[0] policy
     /* 1939026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939036 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1939039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939060 */     // GIR_Coverage, 24276,
     /* 1939060 */     GIR_EraseRootFromParent_Done,
     /* 1939061 */   // Label 26055: @1939061
     /* 1939061 */   GIM_Try, /*On fail goto*//*Label 26056*/ GIMT_Encode4(1939147), // Rule ID 24277 //
     /* 1939066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1939077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1939080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1939083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939112 */     // MIs[0] policy
     /* 1939112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939122 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1939125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939146 */     // GIR_Coverage, 24277,
     /* 1939146 */     GIR_EraseRootFromParent_Done,
     /* 1939147 */   // Label 26056: @1939147
     /* 1939147 */   GIM_Try, /*On fail goto*//*Label 26057*/ GIMT_Encode4(1939233), // Rule ID 24280 //
     /* 1939152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1939163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1939166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1939169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939198 */     // MIs[0] policy
     /* 1939198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939208 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1939211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939232 */     // GIR_Coverage, 24280,
     /* 1939232 */     GIR_EraseRootFromParent_Done,
     /* 1939233 */   // Label 26057: @1939233
     /* 1939233 */   GIM_Try, /*On fail goto*//*Label 26058*/ GIMT_Encode4(1939319), // Rule ID 24281 //
     /* 1939238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1939249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1939252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1939255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939284 */     // MIs[0] policy
     /* 1939284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939294 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1939297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939318 */     // GIR_Coverage, 24281,
     /* 1939318 */     GIR_EraseRootFromParent_Done,
     /* 1939319 */   // Label 26058: @1939319
     /* 1939319 */   GIM_Try, /*On fail goto*//*Label 26059*/ GIMT_Encode4(1939405), // Rule ID 24284 //
     /* 1939324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1939327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1939335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1939338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1939341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939370 */     // MIs[0] policy
     /* 1939370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939380 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1939383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939404 */     // GIR_Coverage, 24284,
     /* 1939404 */     GIR_EraseRootFromParent_Done,
     /* 1939405 */   // Label 26059: @1939405
     /* 1939405 */   GIM_Try, /*On fail goto*//*Label 26060*/ GIMT_Encode4(1939491), // Rule ID 24285 //
     /* 1939410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1939413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1939421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1939424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1939427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939456 */     // MIs[0] policy
     /* 1939456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939466 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1939469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939490 */     // GIR_Coverage, 24285,
     /* 1939490 */     GIR_EraseRootFromParent_Done,
     /* 1939491 */   // Label 26060: @1939491
     /* 1939491 */   GIM_Try, /*On fail goto*//*Label 26061*/ GIMT_Encode4(1939577), // Rule ID 24288 //
     /* 1939496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1939507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1939510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1939513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939542 */     // MIs[0] policy
     /* 1939542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939552 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1939555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939576 */     // GIR_Coverage, 24288,
     /* 1939576 */     GIR_EraseRootFromParent_Done,
     /* 1939577 */   // Label 26061: @1939577
     /* 1939577 */   GIM_Try, /*On fail goto*//*Label 26062*/ GIMT_Encode4(1939663), // Rule ID 24289 //
     /* 1939582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1939593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1939596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1939599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939628 */     // MIs[0] policy
     /* 1939628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939638 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1939641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939662 */     // GIR_Coverage, 24289,
     /* 1939662 */     GIR_EraseRootFromParent_Done,
     /* 1939663 */   // Label 26062: @1939663
     /* 1939663 */   GIM_Try, /*On fail goto*//*Label 26063*/ GIMT_Encode4(1939749), // Rule ID 24292 //
     /* 1939668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1939679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1939682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1939685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939714 */     // MIs[0] policy
     /* 1939714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939724 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1939727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939748 */     // GIR_Coverage, 24292,
     /* 1939748 */     GIR_EraseRootFromParent_Done,
     /* 1939749 */   // Label 26063: @1939749
     /* 1939749 */   GIM_Try, /*On fail goto*//*Label 26064*/ GIMT_Encode4(1939835), // Rule ID 24293 //
     /* 1939754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1939765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1939768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1939771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939800 */     // MIs[0] policy
     /* 1939800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939810 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1939813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939834 */     // GIR_Coverage, 24293,
     /* 1939834 */     GIR_EraseRootFromParent_Done,
     /* 1939835 */   // Label 26064: @1939835
     /* 1939835 */   GIM_Try, /*On fail goto*//*Label 26065*/ GIMT_Encode4(1939921), // Rule ID 24296 //
     /* 1939840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1939851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1939854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1939857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939886 */     // MIs[0] policy
     /* 1939886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939896 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1939899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939920 */     // GIR_Coverage, 24296,
     /* 1939920 */     GIR_EraseRootFromParent_Done,
     /* 1939921 */   // Label 26065: @1939921
     /* 1939921 */   GIM_Try, /*On fail goto*//*Label 26066*/ GIMT_Encode4(1940007), // Rule ID 24297 //
     /* 1939926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1939934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1939937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1939940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1939943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939972 */     // MIs[0] policy
     /* 1939972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939982 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1939985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1939989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940006 */     // GIR_Coverage, 24297,
     /* 1940006 */     GIR_EraseRootFromParent_Done,
     /* 1940007 */   // Label 26066: @1940007
     /* 1940007 */   GIM_Try, /*On fail goto*//*Label 26067*/ GIMT_Encode4(1940093), // Rule ID 24300 //
     /* 1940012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1940023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1940026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1940029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940058 */     // MIs[0] policy
     /* 1940058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940068 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1940071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940092 */     // GIR_Coverage, 24300,
     /* 1940092 */     GIR_EraseRootFromParent_Done,
     /* 1940093 */   // Label 26067: @1940093
     /* 1940093 */   GIM_Try, /*On fail goto*//*Label 26068*/ GIMT_Encode4(1940179), // Rule ID 24301 //
     /* 1940098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1940109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1940112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1940115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940144 */     // MIs[0] policy
     /* 1940144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940154 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1940157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940178 */     // GIR_Coverage, 24301,
     /* 1940178 */     GIR_EraseRootFromParent_Done,
     /* 1940179 */   // Label 26068: @1940179
     /* 1940179 */   GIM_Try, /*On fail goto*//*Label 26069*/ GIMT_Encode4(1940265), // Rule ID 24304 //
     /* 1940184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1940195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1940198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1940201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940230 */     // MIs[0] policy
     /* 1940230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940240 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1940243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940264 */     // GIR_Coverage, 24304,
     /* 1940264 */     GIR_EraseRootFromParent_Done,
     /* 1940265 */   // Label 26069: @1940265
     /* 1940265 */   GIM_Try, /*On fail goto*//*Label 26070*/ GIMT_Encode4(1940351), // Rule ID 24305 //
     /* 1940270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1940281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1940284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1940287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940316 */     // MIs[0] policy
     /* 1940316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940326 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1940329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940350 */     // GIR_Coverage, 24305,
     /* 1940350 */     GIR_EraseRootFromParent_Done,
     /* 1940351 */   // Label 26070: @1940351
     /* 1940351 */   GIM_Try, /*On fail goto*//*Label 26071*/ GIMT_Encode4(1940437), // Rule ID 24308 //
     /* 1940356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1940367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1940370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1940373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940402 */     // MIs[0] policy
     /* 1940402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940412 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1940415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940436 */     // GIR_Coverage, 24308,
     /* 1940436 */     GIR_EraseRootFromParent_Done,
     /* 1940437 */   // Label 26071: @1940437
     /* 1940437 */   GIM_Try, /*On fail goto*//*Label 26072*/ GIMT_Encode4(1940523), // Rule ID 24309 //
     /* 1940442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1940453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1940456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1940459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940488 */     // MIs[0] policy
     /* 1940488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940498 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1940501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940522 */     // GIR_Coverage, 24309,
     /* 1940522 */     GIR_EraseRootFromParent_Done,
     /* 1940523 */   // Label 26072: @1940523
     /* 1940523 */   GIM_Try, /*On fail goto*//*Label 26073*/ GIMT_Encode4(1940609), // Rule ID 24312 //
     /* 1940528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1940531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1940539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1940542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1940545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940574 */     // MIs[0] policy
     /* 1940574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940584 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1940587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940608 */     // GIR_Coverage, 24312,
     /* 1940608 */     GIR_EraseRootFromParent_Done,
     /* 1940609 */   // Label 26073: @1940609
     /* 1940609 */   GIM_Try, /*On fail goto*//*Label 26074*/ GIMT_Encode4(1940695), // Rule ID 24313 //
     /* 1940614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1940617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1940625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1940628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1940631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940660 */     // MIs[0] policy
     /* 1940660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940670 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1940673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940694 */     // GIR_Coverage, 24313,
     /* 1940694 */     GIR_EraseRootFromParent_Done,
     /* 1940695 */   // Label 26074: @1940695
     /* 1940695 */   GIM_Try, /*On fail goto*//*Label 26075*/ GIMT_Encode4(1940781), // Rule ID 24316 //
     /* 1940700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1940703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1940711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1940714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1940717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940746 */     // MIs[0] policy
     /* 1940746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940756 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1940759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940780 */     // GIR_Coverage, 24316,
     /* 1940780 */     GIR_EraseRootFromParent_Done,
     /* 1940781 */   // Label 26075: @1940781
     /* 1940781 */   GIM_Try, /*On fail goto*//*Label 26076*/ GIMT_Encode4(1940867), // Rule ID 24317 //
     /* 1940786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1940789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1940797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1940800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1940803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940832 */     // MIs[0] policy
     /* 1940832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940842 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1940845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940866 */     // GIR_Coverage, 24317,
     /* 1940866 */     GIR_EraseRootFromParent_Done,
     /* 1940867 */   // Label 26076: @1940867
     /* 1940867 */   GIM_Try, /*On fail goto*//*Label 26077*/ GIMT_Encode4(1940953), // Rule ID 24320 //
     /* 1940872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1940875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1940883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1940886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1940889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940918 */     // MIs[0] policy
     /* 1940918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940928 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1940931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940952 */     // GIR_Coverage, 24320,
     /* 1940952 */     GIR_EraseRootFromParent_Done,
     /* 1940953 */   // Label 26077: @1940953
     /* 1940953 */   GIM_Try, /*On fail goto*//*Label 26078*/ GIMT_Encode4(1941039), // Rule ID 24321 //
     /* 1940958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1940961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1940966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1940969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1940972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1940975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941004 */     // MIs[0] policy
     /* 1941004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941014 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1941017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1941021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941038 */     // GIR_Coverage, 24321,
     /* 1941038 */     GIR_EraseRootFromParent_Done,
     /* 1941039 */   // Label 26078: @1941039
     /* 1941039 */   GIM_Try, /*On fail goto*//*Label 26079*/ GIMT_Encode4(1941125), // Rule ID 24384 //
     /* 1941044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1941047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1941055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1941058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1941061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941090 */     // MIs[0] policy
     /* 1941090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941100 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1941103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941124 */     // GIR_Coverage, 24384,
     /* 1941124 */     GIR_EraseRootFromParent_Done,
     /* 1941125 */   // Label 26079: @1941125
     /* 1941125 */   GIM_Try, /*On fail goto*//*Label 26080*/ GIMT_Encode4(1941211), // Rule ID 24385 //
     /* 1941130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1941133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1941141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1941144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1941147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941176 */     // MIs[0] policy
     /* 1941176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941186 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1941189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941210 */     // GIR_Coverage, 24385,
     /* 1941210 */     GIR_EraseRootFromParent_Done,
     /* 1941211 */   // Label 26080: @1941211
     /* 1941211 */   GIM_Try, /*On fail goto*//*Label 26081*/ GIMT_Encode4(1941297), // Rule ID 24388 //
     /* 1941216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1941219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1941227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1941230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1941233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941262 */     // MIs[0] policy
     /* 1941262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941272 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1941275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941296 */     // GIR_Coverage, 24388,
     /* 1941296 */     GIR_EraseRootFromParent_Done,
     /* 1941297 */   // Label 26081: @1941297
     /* 1941297 */   GIM_Try, /*On fail goto*//*Label 26082*/ GIMT_Encode4(1941383), // Rule ID 24389 //
     /* 1941302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1941305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1941313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1941316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1941319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941348 */     // MIs[0] policy
     /* 1941348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941358 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1941361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941382 */     // GIR_Coverage, 24389,
     /* 1941382 */     GIR_EraseRootFromParent_Done,
     /* 1941383 */   // Label 26082: @1941383
     /* 1941383 */   GIM_Try, /*On fail goto*//*Label 26083*/ GIMT_Encode4(1941469), // Rule ID 24392 //
     /* 1941388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1941391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1941399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1941402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1941405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1941430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941434 */     // MIs[0] policy
     /* 1941434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941444 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1941447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941468 */     // GIR_Coverage, 24392,
     /* 1941468 */     GIR_EraseRootFromParent_Done,
     /* 1941469 */   // Label 26083: @1941469
     /* 1941469 */   GIM_Try, /*On fail goto*//*Label 26084*/ GIMT_Encode4(1941555), // Rule ID 24393 //
     /* 1941474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1941477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1941485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1941488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1941491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1941516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941520 */     // MIs[0] policy
     /* 1941520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941530 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1941533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941554 */     // GIR_Coverage, 24393,
     /* 1941554 */     GIR_EraseRootFromParent_Done,
     /* 1941555 */   // Label 26084: @1941555
     /* 1941555 */   GIM_Try, /*On fail goto*//*Label 26085*/ GIMT_Encode4(1941641), // Rule ID 24396 //
     /* 1941560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1941563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1941571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1941574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1941577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941606 */     // MIs[0] policy
     /* 1941606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941616 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1941619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941640 */     // GIR_Coverage, 24396,
     /* 1941640 */     GIR_EraseRootFromParent_Done,
     /* 1941641 */   // Label 26085: @1941641
     /* 1941641 */   GIM_Try, /*On fail goto*//*Label 26086*/ GIMT_Encode4(1941727), // Rule ID 24397 //
     /* 1941646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1941649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1941657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1941660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1941663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941692 */     // MIs[0] policy
     /* 1941692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941702 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1941705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941726 */     // GIR_Coverage, 24397,
     /* 1941726 */     GIR_EraseRootFromParent_Done,
     /* 1941727 */   // Label 26086: @1941727
     /* 1941727 */   GIM_Try, /*On fail goto*//*Label 26087*/ GIMT_Encode4(1941813), // Rule ID 24400 //
     /* 1941732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1941735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1941743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1941746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1941749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1941774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941778 */     // MIs[0] policy
     /* 1941778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941788 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1941791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941812 */     // GIR_Coverage, 24400,
     /* 1941812 */     GIR_EraseRootFromParent_Done,
     /* 1941813 */   // Label 26087: @1941813
     /* 1941813 */   GIM_Try, /*On fail goto*//*Label 26088*/ GIMT_Encode4(1941899), // Rule ID 24401 //
     /* 1941818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1941821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1941829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1941832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1941835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1941860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941864 */     // MIs[0] policy
     /* 1941864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941874 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1941877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941898 */     // GIR_Coverage, 24401,
     /* 1941898 */     GIR_EraseRootFromParent_Done,
     /* 1941899 */   // Label 26088: @1941899
     /* 1941899 */   GIM_Try, /*On fail goto*//*Label 26089*/ GIMT_Encode4(1941985), // Rule ID 24404 //
     /* 1941904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1941907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1941915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1941918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1941921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1941946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941950 */     // MIs[0] policy
     /* 1941950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941960 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1941963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941984 */     // GIR_Coverage, 24404,
     /* 1941984 */     GIR_EraseRootFromParent_Done,
     /* 1941985 */   // Label 26089: @1941985
     /* 1941985 */   GIM_Try, /*On fail goto*//*Label 26090*/ GIMT_Encode4(1942071), // Rule ID 24405 //
     /* 1941990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1941993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1941998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1942001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1942004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1942007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1942032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942036 */     // MIs[0] policy
     /* 1942036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942046 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1942049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942070 */     // GIR_Coverage, 24405,
     /* 1942070 */     GIR_EraseRootFromParent_Done,
     /* 1942071 */   // Label 26090: @1942071
     /* 1942071 */   GIM_Try, /*On fail goto*//*Label 26091*/ GIMT_Encode4(1942157), // Rule ID 24408 //
     /* 1942076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1942079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1942087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1942090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1942093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1942096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1942118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942122 */     // MIs[0] policy
     /* 1942122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942132 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1942135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942156 */     // GIR_Coverage, 24408,
     /* 1942156 */     GIR_EraseRootFromParent_Done,
     /* 1942157 */   // Label 26091: @1942157
     /* 1942157 */   GIM_Try, /*On fail goto*//*Label 26092*/ GIMT_Encode4(1942243), // Rule ID 24409 //
     /* 1942162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1942165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1942173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1942176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1942179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1942182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1942204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942208 */     // MIs[0] policy
     /* 1942208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942218 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1942221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942242 */     // GIR_Coverage, 24409,
     /* 1942242 */     GIR_EraseRootFromParent_Done,
     /* 1942243 */   // Label 26092: @1942243
     /* 1942243 */   GIM_Try, /*On fail goto*//*Label 26093*/ GIMT_Encode4(1942329), // Rule ID 24412 //
     /* 1942248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1942251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1942259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1942262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1942265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1942268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1942290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942294 */     // MIs[0] policy
     /* 1942294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942304 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1942307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942328 */     // GIR_Coverage, 24412,
     /* 1942328 */     GIR_EraseRootFromParent_Done,
     /* 1942329 */   // Label 26093: @1942329
     /* 1942329 */   GIM_Try, /*On fail goto*//*Label 26094*/ GIMT_Encode4(1942415), // Rule ID 24413 //
     /* 1942334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1942337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1942345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1942348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1942351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1942354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1942376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942380 */     // MIs[0] policy
     /* 1942380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942390 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1942393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942414 */     // GIR_Coverage, 24413,
     /* 1942414 */     GIR_EraseRootFromParent_Done,
     /* 1942415 */   // Label 26094: @1942415
     /* 1942415 */   GIM_Try, /*On fail goto*//*Label 26095*/ GIMT_Encode4(1942501), // Rule ID 24416 //
     /* 1942420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1942423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1942431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1942434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1942437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1942440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1942443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1942462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942466 */     // MIs[0] policy
     /* 1942466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942476 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1942479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942500 */     // GIR_Coverage, 24416,
     /* 1942500 */     GIR_EraseRootFromParent_Done,
     /* 1942501 */   // Label 26095: @1942501
     /* 1942501 */   GIM_Try, /*On fail goto*//*Label 26096*/ GIMT_Encode4(1942587), // Rule ID 24417 //
     /* 1942506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1942509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1942517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1942520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1942523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1942526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1942529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1942548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942552 */     // MIs[0] policy
     /* 1942552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942562 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1942565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942586 */     // GIR_Coverage, 24417,
     /* 1942586 */     GIR_EraseRootFromParent_Done,
     /* 1942587 */   // Label 26096: @1942587
     /* 1942587 */   GIM_Try, /*On fail goto*//*Label 26097*/ GIMT_Encode4(1942673), // Rule ID 24420 //
     /* 1942592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1942595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1942603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1942606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1942609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942638 */     // MIs[0] policy
     /* 1942638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942648 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1942651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942672 */     // GIR_Coverage, 24420,
     /* 1942672 */     GIR_EraseRootFromParent_Done,
     /* 1942673 */   // Label 26097: @1942673
     /* 1942673 */   GIM_Try, /*On fail goto*//*Label 26098*/ GIMT_Encode4(1942759), // Rule ID 24421 //
     /* 1942678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1942681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1942689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1942692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1942695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942724 */     // MIs[0] policy
     /* 1942724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942734 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1942737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942758 */     // GIR_Coverage, 24421,
     /* 1942758 */     GIR_EraseRootFromParent_Done,
     /* 1942759 */   // Label 26098: @1942759
     /* 1942759 */   GIM_Try, /*On fail goto*//*Label 26099*/ GIMT_Encode4(1942845), // Rule ID 24424 //
     /* 1942764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1942767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1942775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1942778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1942781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942810 */     // MIs[0] policy
     /* 1942810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942820 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1942823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942844 */     // GIR_Coverage, 24424,
     /* 1942844 */     GIR_EraseRootFromParent_Done,
     /* 1942845 */   // Label 26099: @1942845
     /* 1942845 */   GIM_Try, /*On fail goto*//*Label 26100*/ GIMT_Encode4(1942931), // Rule ID 24425 //
     /* 1942850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1942853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1942861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1942864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1942867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942896 */     // MIs[0] policy
     /* 1942896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942906 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1942909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942930 */     // GIR_Coverage, 24425,
     /* 1942930 */     GIR_EraseRootFromParent_Done,
     /* 1942931 */   // Label 26100: @1942931
     /* 1942931 */   GIM_Try, /*On fail goto*//*Label 26101*/ GIMT_Encode4(1943017), // Rule ID 24428 //
     /* 1942936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1942939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1942944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1942947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1942950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1942953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942982 */     // MIs[0] policy
     /* 1942982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942992 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1942995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943016 */     // GIR_Coverage, 24428,
     /* 1943016 */     GIR_EraseRootFromParent_Done,
     /* 1943017 */   // Label 26101: @1943017
     /* 1943017 */   GIM_Try, /*On fail goto*//*Label 26102*/ GIMT_Encode4(1943103), // Rule ID 24429 //
     /* 1943022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1943025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1943030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1943033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1943036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1943039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1943064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943068 */     // MIs[0] policy
     /* 1943068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943078 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1943081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943102 */     // GIR_Coverage, 24429,
     /* 1943102 */     GIR_EraseRootFromParent_Done,
     /* 1943103 */   // Label 26102: @1943103
     /* 1943103 */   GIM_Try, /*On fail goto*//*Label 26103*/ GIMT_Encode4(1943189), // Rule ID 24432 //
     /* 1943108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1943111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1943116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1943119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1943122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1943125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943154 */     // MIs[0] policy
     /* 1943154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943164 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1943167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943188 */     // GIR_Coverage, 24432,
     /* 1943188 */     GIR_EraseRootFromParent_Done,
     /* 1943189 */   // Label 26103: @1943189
     /* 1943189 */   GIM_Try, /*On fail goto*//*Label 26104*/ GIMT_Encode4(1943275), // Rule ID 24433 //
     /* 1943194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1943197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1943202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1943205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1943208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1943211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943240 */     // MIs[0] policy
     /* 1943240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943250 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1943253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943274 */     // GIR_Coverage, 24433,
     /* 1943274 */     GIR_EraseRootFromParent_Done,
     /* 1943275 */   // Label 26104: @1943275
     /* 1943275 */   GIM_Try, /*On fail goto*//*Label 26105*/ GIMT_Encode4(1943361), // Rule ID 24436 //
     /* 1943280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1943283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1943288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1943291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1943294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1943297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943326 */     // MIs[0] policy
     /* 1943326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943336 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1943339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943360 */     // GIR_Coverage, 24436,
     /* 1943360 */     GIR_EraseRootFromParent_Done,
     /* 1943361 */   // Label 26105: @1943361
     /* 1943361 */   GIM_Try, /*On fail goto*//*Label 26106*/ GIMT_Encode4(1943447), // Rule ID 24437 //
     /* 1943366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1943369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1943374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1943377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1943380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1943383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943412 */     // MIs[0] policy
     /* 1943412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943422 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1943425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943446 */     // GIR_Coverage, 24437,
     /* 1943446 */     GIR_EraseRootFromParent_Done,
     /* 1943447 */   // Label 26106: @1943447
     /* 1943447 */   GIM_Try, /*On fail goto*//*Label 26107*/ GIMT_Encode4(1943533), // Rule ID 24440 //
     /* 1943452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1943455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1943460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1943463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1943466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1943469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943498 */     // MIs[0] policy
     /* 1943498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943508 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1943511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943532 */     // GIR_Coverage, 24440,
     /* 1943532 */     GIR_EraseRootFromParent_Done,
     /* 1943533 */   // Label 26107: @1943533
     /* 1943533 */   GIM_Try, /*On fail goto*//*Label 26108*/ GIMT_Encode4(1943619), // Rule ID 24441 //
     /* 1943538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1943541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1943546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1943549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1943552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1943555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943584 */     // MIs[0] policy
     /* 1943584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943594 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1943597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943618 */     // GIR_Coverage, 24441,
     /* 1943618 */     GIR_EraseRootFromParent_Done,
     /* 1943619 */   // Label 26108: @1943619
     /* 1943619 */   GIM_Try, /*On fail goto*//*Label 26109*/ GIMT_Encode4(1943705), // Rule ID 24444 //
     /* 1943624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1943627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1943635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1943638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1943641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1943644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1943666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943670 */     // MIs[0] policy
     /* 1943670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943680 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1943683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943704 */     // GIR_Coverage, 24444,
     /* 1943704 */     GIR_EraseRootFromParent_Done,
     /* 1943705 */   // Label 26109: @1943705
     /* 1943705 */   GIM_Try, /*On fail goto*//*Label 26110*/ GIMT_Encode4(1943791), // Rule ID 24445 //
     /* 1943710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1943713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1943721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1943724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1943727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1943730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1943752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943756 */     // MIs[0] policy
     /* 1943756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943766 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1943769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943790 */     // GIR_Coverage, 24445,
     /* 1943790 */     GIR_EraseRootFromParent_Done,
     /* 1943791 */   // Label 26110: @1943791
     /* 1943791 */   GIM_Try, /*On fail goto*//*Label 26111*/ GIMT_Encode4(1943877), // Rule ID 24448 //
     /* 1943796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1943799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1943807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1943810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1943813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1943816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1943838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943842 */     // MIs[0] policy
     /* 1943842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943852 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1943855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943876 */     // GIR_Coverage, 24448,
     /* 1943876 */     GIR_EraseRootFromParent_Done,
     /* 1943877 */   // Label 26111: @1943877
     /* 1943877 */   GIM_Try, /*On fail goto*//*Label 26112*/ GIMT_Encode4(1943963), // Rule ID 24449 //
     /* 1943882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1943885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1943893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1943896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1943899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1943902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1943924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943928 */     // MIs[0] policy
     /* 1943928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943938 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1943941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943962 */     // GIR_Coverage, 24449,
     /* 1943962 */     GIR_EraseRootFromParent_Done,
     /* 1943963 */   // Label 26112: @1943963
     /* 1943963 */   GIM_Try, /*On fail goto*//*Label 26113*/ GIMT_Encode4(1944049), // Rule ID 24452 //
     /* 1943968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1943971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1943979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1943982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1943985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1944010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944014 */     // MIs[0] policy
     /* 1944014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944024 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1944027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944048 */     // GIR_Coverage, 24452,
     /* 1944048 */     GIR_EraseRootFromParent_Done,
     /* 1944049 */   // Label 26113: @1944049
     /* 1944049 */   GIM_Try, /*On fail goto*//*Label 26114*/ GIMT_Encode4(1944135), // Rule ID 24453 //
     /* 1944054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1944057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1944065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1944068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1944071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1944096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944100 */     // MIs[0] policy
     /* 1944100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944110 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1944113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944134 */     // GIR_Coverage, 24453,
     /* 1944134 */     GIR_EraseRootFromParent_Done,
     /* 1944135 */   // Label 26114: @1944135
     /* 1944135 */   GIM_Try, /*On fail goto*//*Label 26115*/ GIMT_Encode4(1944221), // Rule ID 24456 //
     /* 1944140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1944143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1944151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1944154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1944157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944186 */     // MIs[0] policy
     /* 1944186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944196 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1944199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944220 */     // GIR_Coverage, 24456,
     /* 1944220 */     GIR_EraseRootFromParent_Done,
     /* 1944221 */   // Label 26115: @1944221
     /* 1944221 */   GIM_Try, /*On fail goto*//*Label 26116*/ GIMT_Encode4(1944307), // Rule ID 24457 //
     /* 1944226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1944229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1944237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1944240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1944243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944272 */     // MIs[0] policy
     /* 1944272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944282 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1944285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944306 */     // GIR_Coverage, 24457,
     /* 1944306 */     GIR_EraseRootFromParent_Done,
     /* 1944307 */   // Label 26116: @1944307
     /* 1944307 */   GIM_Try, /*On fail goto*//*Label 26117*/ GIMT_Encode4(1944393), // Rule ID 24460 //
     /* 1944312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1944315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1944323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1944326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1944329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1944354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944358 */     // MIs[0] policy
     /* 1944358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944368 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1944371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944392 */     // GIR_Coverage, 24460,
     /* 1944392 */     GIR_EraseRootFromParent_Done,
     /* 1944393 */   // Label 26117: @1944393
     /* 1944393 */   GIM_Try, /*On fail goto*//*Label 26118*/ GIMT_Encode4(1944479), // Rule ID 24461 //
     /* 1944398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1944401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1944409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1944412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1944415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1944440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944444 */     // MIs[0] policy
     /* 1944444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944454 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1944457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944478 */     // GIR_Coverage, 24461,
     /* 1944478 */     GIR_EraseRootFromParent_Done,
     /* 1944479 */   // Label 26118: @1944479
     /* 1944479 */   GIM_Try, /*On fail goto*//*Label 26119*/ GIMT_Encode4(1944565), // Rule ID 24464 //
     /* 1944484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1944487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1944526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944530 */     // MIs[0] policy
     /* 1944530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944540 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1944543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944564 */     // GIR_Coverage, 24464,
     /* 1944564 */     GIR_EraseRootFromParent_Done,
     /* 1944565 */   // Label 26119: @1944565
     /* 1944565 */   GIM_Try, /*On fail goto*//*Label 26120*/ GIMT_Encode4(1944651), // Rule ID 24465 //
     /* 1944570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1944573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1944612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944616 */     // MIs[0] policy
     /* 1944616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944626 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1944629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944650 */     // GIR_Coverage, 24465,
     /* 1944650 */     GIR_EraseRootFromParent_Done,
     /* 1944651 */   // Label 26120: @1944651
     /* 1944651 */   GIM_Try, /*On fail goto*//*Label 26121*/ GIMT_Encode4(1944737), // Rule ID 24468 //
     /* 1944656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1944659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1944667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1944670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1944673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944702 */     // MIs[0] policy
     /* 1944702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944712 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1944715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944736 */     // GIR_Coverage, 24468,
     /* 1944736 */     GIR_EraseRootFromParent_Done,
     /* 1944737 */   // Label 26121: @1944737
     /* 1944737 */   GIM_Try, /*On fail goto*//*Label 26122*/ GIMT_Encode4(1944823), // Rule ID 24469 //
     /* 1944742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1944745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1944753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1944756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1944759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944788 */     // MIs[0] policy
     /* 1944788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944798 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1944801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944822 */     // GIR_Coverage, 24469,
     /* 1944822 */     GIR_EraseRootFromParent_Done,
     /* 1944823 */   // Label 26122: @1944823
     /* 1944823 */   GIM_Try, /*On fail goto*//*Label 26123*/ GIMT_Encode4(1944909), // Rule ID 24472 //
     /* 1944828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1944831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1944839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1944842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1944845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944874 */     // MIs[0] policy
     /* 1944874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944884 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1944887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944908 */     // GIR_Coverage, 24472,
     /* 1944908 */     GIR_EraseRootFromParent_Done,
     /* 1944909 */   // Label 26123: @1944909
     /* 1944909 */   GIM_Try, /*On fail goto*//*Label 26124*/ GIMT_Encode4(1944995), // Rule ID 24473 //
     /* 1944914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1944917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1944922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1944925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1944928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1944931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944960 */     // MIs[0] policy
     /* 1944960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944970 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1944973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944994 */     // GIR_Coverage, 24473,
     /* 1944994 */     GIR_EraseRootFromParent_Done,
     /* 1944995 */   // Label 26124: @1944995
     /* 1944995 */   GIM_Try, /*On fail goto*//*Label 26125*/ GIMT_Encode4(1945081), // Rule ID 24476 //
     /* 1945000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1945003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1945011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1945014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1945017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1945020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1945042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945046 */     // MIs[0] policy
     /* 1945046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945056 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1945059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945080 */     // GIR_Coverage, 24476,
     /* 1945080 */     GIR_EraseRootFromParent_Done,
     /* 1945081 */   // Label 26125: @1945081
     /* 1945081 */   GIM_Try, /*On fail goto*//*Label 26126*/ GIMT_Encode4(1945167), // Rule ID 24477 //
     /* 1945086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1945089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1945097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1945100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1945103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1945106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1945128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945132 */     // MIs[0] policy
     /* 1945132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945142 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1945145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945166 */     // GIR_Coverage, 24477,
     /* 1945166 */     GIR_EraseRootFromParent_Done,
     /* 1945167 */   // Label 26126: @1945167
     /* 1945167 */   GIM_Try, /*On fail goto*//*Label 26127*/ GIMT_Encode4(1945253), // Rule ID 24480 //
     /* 1945172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1945175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1945183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1945186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1945189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945218 */     // MIs[0] policy
     /* 1945218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945228 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1945231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945252 */     // GIR_Coverage, 24480,
     /* 1945252 */     GIR_EraseRootFromParent_Done,
     /* 1945253 */   // Label 26127: @1945253
     /* 1945253 */   GIM_Try, /*On fail goto*//*Label 26128*/ GIMT_Encode4(1945339), // Rule ID 24481 //
     /* 1945258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1945261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1945269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1945272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1945275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945304 */     // MIs[0] policy
     /* 1945304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945314 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1945317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945338 */     // GIR_Coverage, 24481,
     /* 1945338 */     GIR_EraseRootFromParent_Done,
     /* 1945339 */   // Label 26128: @1945339
     /* 1945339 */   GIM_Try, /*On fail goto*//*Label 26129*/ GIMT_Encode4(1945425), // Rule ID 24484 //
     /* 1945344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1945347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1945355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1945358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1945361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945390 */     // MIs[0] policy
     /* 1945390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945400 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1945403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945424 */     // GIR_Coverage, 24484,
     /* 1945424 */     GIR_EraseRootFromParent_Done,
     /* 1945425 */   // Label 26129: @1945425
     /* 1945425 */   GIM_Try, /*On fail goto*//*Label 26130*/ GIMT_Encode4(1945511), // Rule ID 24485 //
     /* 1945430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1945433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1945441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1945444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1945447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945476 */     // MIs[0] policy
     /* 1945476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945486 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1945489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945510 */     // GIR_Coverage, 24485,
     /* 1945510 */     GIR_EraseRootFromParent_Done,
     /* 1945511 */   // Label 26130: @1945511
     /* 1945511 */   GIM_Try, /*On fail goto*//*Label 26131*/ GIMT_Encode4(1945597), // Rule ID 24488 //
     /* 1945516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1945519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1945527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1945530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1945533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945562 */     // MIs[0] policy
     /* 1945562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945572 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1945575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945596 */     // GIR_Coverage, 24488,
     /* 1945596 */     GIR_EraseRootFromParent_Done,
     /* 1945597 */   // Label 26131: @1945597
     /* 1945597 */   GIM_Try, /*On fail goto*//*Label 26132*/ GIMT_Encode4(1945683), // Rule ID 24489 //
     /* 1945602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1945605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1945613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1945616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1945619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945648 */     // MIs[0] policy
     /* 1945648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945658 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1945661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945682 */     // GIR_Coverage, 24489,
     /* 1945682 */     GIR_EraseRootFromParent_Done,
     /* 1945683 */   // Label 26132: @1945683
     /* 1945683 */   GIM_Try, /*On fail goto*//*Label 26133*/ GIMT_Encode4(1945769), // Rule ID 24492 //
     /* 1945688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1945691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1945699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1945702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1945705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1945730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945734 */     // MIs[0] policy
     /* 1945734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945744 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1945747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945768 */     // GIR_Coverage, 24492,
     /* 1945768 */     GIR_EraseRootFromParent_Done,
     /* 1945769 */   // Label 26133: @1945769
     /* 1945769 */   GIM_Try, /*On fail goto*//*Label 26134*/ GIMT_Encode4(1945855), // Rule ID 24493 //
     /* 1945774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1945777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1945785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1945788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1945791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1945816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945820 */     // MIs[0] policy
     /* 1945820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945830 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1945833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945854 */     // GIR_Coverage, 24493,
     /* 1945854 */     GIR_EraseRootFromParent_Done,
     /* 1945855 */   // Label 26134: @1945855
     /* 1945855 */   GIM_Try, /*On fail goto*//*Label 26135*/ GIMT_Encode4(1945941), // Rule ID 24496 //
     /* 1945860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1945863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1945871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1945874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1945877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1945902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945906 */     // MIs[0] policy
     /* 1945906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945916 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1945919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945940 */     // GIR_Coverage, 24496,
     /* 1945940 */     GIR_EraseRootFromParent_Done,
     /* 1945941 */   // Label 26135: @1945941
     /* 1945941 */   GIM_Try, /*On fail goto*//*Label 26136*/ GIMT_Encode4(1946027), // Rule ID 24497 //
     /* 1945946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1945949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1945954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1945957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1945960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1945963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1945988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945992 */     // MIs[0] policy
     /* 1945992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946002 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1946005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946026 */     // GIR_Coverage, 24497,
     /* 1946026 */     GIR_EraseRootFromParent_Done,
     /* 1946027 */   // Label 26136: @1946027
     /* 1946027 */   GIM_Try, /*On fail goto*//*Label 26137*/ GIMT_Encode4(1946113), // Rule ID 24500 //
     /* 1946032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1946035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1946040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1946043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1946046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1946049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1946074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946078 */     // MIs[0] policy
     /* 1946078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946088 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1946091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946112 */     // GIR_Coverage, 24500,
     /* 1946112 */     GIR_EraseRootFromParent_Done,
     /* 1946113 */   // Label 26137: @1946113
     /* 1946113 */   GIM_Try, /*On fail goto*//*Label 26138*/ GIMT_Encode4(1946199), // Rule ID 24501 //
     /* 1946118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1946121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1946126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1946129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1946132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1946135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1946160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946164 */     // MIs[0] policy
     /* 1946164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946174 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1946177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946198 */     // GIR_Coverage, 24501,
     /* 1946198 */     GIR_EraseRootFromParent_Done,
     /* 1946199 */   // Label 26138: @1946199
     /* 1946199 */   GIM_Try, /*On fail goto*//*Label 26139*/ GIMT_Encode4(1946285), // Rule ID 24504 //
     /* 1946204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1946215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1946218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1946221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1946224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946250 */     // MIs[0] policy
     /* 1946250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946260 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1946263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946284 */     // GIR_Coverage, 24504,
     /* 1946284 */     GIR_EraseRootFromParent_Done,
     /* 1946285 */   // Label 26139: @1946285
     /* 1946285 */   GIM_Try, /*On fail goto*//*Label 26140*/ GIMT_Encode4(1946371), // Rule ID 24505 //
     /* 1946290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1946301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1946304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1946307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1946310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946336 */     // MIs[0] policy
     /* 1946336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946346 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1946349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946370 */     // GIR_Coverage, 24505,
     /* 1946370 */     GIR_EraseRootFromParent_Done,
     /* 1946371 */   // Label 26140: @1946371
     /* 1946371 */   GIM_Try, /*On fail goto*//*Label 26141*/ GIMT_Encode4(1946457), // Rule ID 24508 //
     /* 1946376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1946387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1946390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1946393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1946396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946422 */     // MIs[0] policy
     /* 1946422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946432 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1946435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946456 */     // GIR_Coverage, 24508,
     /* 1946456 */     GIR_EraseRootFromParent_Done,
     /* 1946457 */   // Label 26141: @1946457
     /* 1946457 */   GIM_Try, /*On fail goto*//*Label 26142*/ GIMT_Encode4(1946543), // Rule ID 24509 //
     /* 1946462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1946473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1946476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1946479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1946482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946508 */     // MIs[0] policy
     /* 1946508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946518 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1946521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946542 */     // GIR_Coverage, 24509,
     /* 1946542 */     GIR_EraseRootFromParent_Done,
     /* 1946543 */   // Label 26142: @1946543
     /* 1946543 */   GIM_Try, /*On fail goto*//*Label 26143*/ GIMT_Encode4(1946629), // Rule ID 24512 //
     /* 1946548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1946559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1946562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1946565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1946568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946594 */     // MIs[0] policy
     /* 1946594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946604 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1946607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946628 */     // GIR_Coverage, 24512,
     /* 1946628 */     GIR_EraseRootFromParent_Done,
     /* 1946629 */   // Label 26143: @1946629
     /* 1946629 */   GIM_Try, /*On fail goto*//*Label 26144*/ GIMT_Encode4(1946715), // Rule ID 24513 //
     /* 1946634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1946645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1946648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1946651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1946654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946680 */     // MIs[0] policy
     /* 1946680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946690 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1946693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946714 */     // GIR_Coverage, 24513,
     /* 1946714 */     GIR_EraseRootFromParent_Done,
     /* 1946715 */   // Label 26144: @1946715
     /* 1946715 */   GIM_Try, /*On fail goto*//*Label 26145*/ GIMT_Encode4(1946801), // Rule ID 24516 //
     /* 1946720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1946731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1946734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1946737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1946740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946766 */     // MIs[0] policy
     /* 1946766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1946779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946800 */     // GIR_Coverage, 24516,
     /* 1946800 */     GIR_EraseRootFromParent_Done,
     /* 1946801 */   // Label 26145: @1946801
     /* 1946801 */   GIM_Try, /*On fail goto*//*Label 26146*/ GIMT_Encode4(1946887), // Rule ID 24517 //
     /* 1946806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1946817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1946820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1946823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1946826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946852 */     // MIs[0] policy
     /* 1946852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946862 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1946865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946886 */     // GIR_Coverage, 24517,
     /* 1946886 */     GIR_EraseRootFromParent_Done,
     /* 1946887 */   // Label 26146: @1946887
     /* 1946887 */   GIM_Try, /*On fail goto*//*Label 26147*/ GIMT_Encode4(1946973), // Rule ID 24520 //
     /* 1946892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1946903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1946906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1946909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1946912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946938 */     // MIs[0] policy
     /* 1946938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1946951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946972 */     // GIR_Coverage, 24520,
     /* 1946972 */     GIR_EraseRootFromParent_Done,
     /* 1946973 */   // Label 26147: @1946973
     /* 1946973 */   GIM_Try, /*On fail goto*//*Label 26148*/ GIMT_Encode4(1947059), // Rule ID 24521 //
     /* 1946978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1946989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1946992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1946995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1946998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947024 */     // MIs[0] policy
     /* 1947024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1947037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947058 */     // GIR_Coverage, 24521,
     /* 1947058 */     GIR_EraseRootFromParent_Done,
     /* 1947059 */   // Label 26148: @1947059
     /* 1947059 */   GIM_Try, /*On fail goto*//*Label 26149*/ GIMT_Encode4(1947145), // Rule ID 24524 //
     /* 1947064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1947075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1947078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1947081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1947084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947110 */     // MIs[0] policy
     /* 1947110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1947123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947144 */     // GIR_Coverage, 24524,
     /* 1947144 */     GIR_EraseRootFromParent_Done,
     /* 1947145 */   // Label 26149: @1947145
     /* 1947145 */   GIM_Try, /*On fail goto*//*Label 26150*/ GIMT_Encode4(1947231), // Rule ID 24525 //
     /* 1947150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1947161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1947164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1947167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1947170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947196 */     // MIs[0] policy
     /* 1947196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947206 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1947209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947230 */     // GIR_Coverage, 24525,
     /* 1947230 */     GIR_EraseRootFromParent_Done,
     /* 1947231 */   // Label 26150: @1947231
     /* 1947231 */   GIM_Try, /*On fail goto*//*Label 26151*/ GIMT_Encode4(1947317), // Rule ID 24528 //
     /* 1947236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1947247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1947250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1947253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1947256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947282 */     // MIs[0] policy
     /* 1947282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1947295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947316 */     // GIR_Coverage, 24528,
     /* 1947316 */     GIR_EraseRootFromParent_Done,
     /* 1947317 */   // Label 26151: @1947317
     /* 1947317 */   GIM_Try, /*On fail goto*//*Label 26152*/ GIMT_Encode4(1947403), // Rule ID 24529 //
     /* 1947322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1947333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1947336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1947339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1947342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947368 */     // MIs[0] policy
     /* 1947368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1947381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947402 */     // GIR_Coverage, 24529,
     /* 1947402 */     GIR_EraseRootFromParent_Done,
     /* 1947403 */   // Label 26152: @1947403
     /* 1947403 */   GIM_Try, /*On fail goto*//*Label 26153*/ GIMT_Encode4(1947489), // Rule ID 24532 //
     /* 1947408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1947419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1947422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1947425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947454 */     // MIs[0] policy
     /* 1947454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1947467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947488 */     // GIR_Coverage, 24532,
     /* 1947488 */     GIR_EraseRootFromParent_Done,
     /* 1947489 */   // Label 26153: @1947489
     /* 1947489 */   GIM_Try, /*On fail goto*//*Label 26154*/ GIMT_Encode4(1947575), // Rule ID 24533 //
     /* 1947494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1947505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1947508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1947511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947540 */     // MIs[0] policy
     /* 1947540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1947553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947574 */     // GIR_Coverage, 24533,
     /* 1947574 */     GIR_EraseRootFromParent_Done,
     /* 1947575 */   // Label 26154: @1947575
     /* 1947575 */   GIM_Try, /*On fail goto*//*Label 26155*/ GIMT_Encode4(1947661), // Rule ID 24536 //
     /* 1947580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1947591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1947594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1947597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1947600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947626 */     // MIs[0] policy
     /* 1947626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1947639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947660 */     // GIR_Coverage, 24536,
     /* 1947660 */     GIR_EraseRootFromParent_Done,
     /* 1947661 */   // Label 26155: @1947661
     /* 1947661 */   GIM_Try, /*On fail goto*//*Label 26156*/ GIMT_Encode4(1947747), // Rule ID 24537 //
     /* 1947666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1947677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1947680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1947683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1947686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947712 */     // MIs[0] policy
     /* 1947712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1947725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947746 */     // GIR_Coverage, 24537,
     /* 1947746 */     GIR_EraseRootFromParent_Done,
     /* 1947747 */   // Label 26156: @1947747
     /* 1947747 */   GIM_Try, /*On fail goto*//*Label 26157*/ GIMT_Encode4(1947833), // Rule ID 24540 //
     /* 1947752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1947755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1947763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1947766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1947769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1947772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947798 */     // MIs[0] policy
     /* 1947798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1947811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947832 */     // GIR_Coverage, 24540,
     /* 1947832 */     GIR_EraseRootFromParent_Done,
     /* 1947833 */   // Label 26157: @1947833
     /* 1947833 */   GIM_Try, /*On fail goto*//*Label 26158*/ GIMT_Encode4(1947919), // Rule ID 24541 //
     /* 1947838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1947841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1947849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1947852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1947855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1947858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947884 */     // MIs[0] policy
     /* 1947884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947894 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1947897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947918 */     // GIR_Coverage, 24541,
     /* 1947918 */     GIR_EraseRootFromParent_Done,
     /* 1947919 */   // Label 26158: @1947919
     /* 1947919 */   GIM_Try, /*On fail goto*//*Label 26159*/ GIMT_Encode4(1948005), // Rule ID 24544 //
     /* 1947924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1947935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1947938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1947941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1947944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1947947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947970 */     // MIs[0] policy
     /* 1947970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947980 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1947983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948004 */     // GIR_Coverage, 24544,
     /* 1948004 */     GIR_EraseRootFromParent_Done,
     /* 1948005 */   // Label 26159: @1948005
     /* 1948005 */   GIM_Try, /*On fail goto*//*Label 26160*/ GIMT_Encode4(1948091), // Rule ID 24545 //
     /* 1948010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1948021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1948024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1948027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1948030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948056 */     // MIs[0] policy
     /* 1948056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948066 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1948069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948090 */     // GIR_Coverage, 24545,
     /* 1948090 */     GIR_EraseRootFromParent_Done,
     /* 1948091 */   // Label 26160: @1948091
     /* 1948091 */   GIM_Try, /*On fail goto*//*Label 26161*/ GIMT_Encode4(1948177), // Rule ID 24548 //
     /* 1948096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1948107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1948110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1948113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1948116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948142 */     // MIs[0] policy
     /* 1948142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948152 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1948155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948176 */     // GIR_Coverage, 24548,
     /* 1948176 */     GIR_EraseRootFromParent_Done,
     /* 1948177 */   // Label 26161: @1948177
     /* 1948177 */   GIM_Try, /*On fail goto*//*Label 26162*/ GIMT_Encode4(1948263), // Rule ID 24549 //
     /* 1948182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1948193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1948196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1948199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1948202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948228 */     // MIs[0] policy
     /* 1948228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948238 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1948241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948262 */     // GIR_Coverage, 24549,
     /* 1948262 */     GIR_EraseRootFromParent_Done,
     /* 1948263 */   // Label 26162: @1948263
     /* 1948263 */   GIM_Try, /*On fail goto*//*Label 26163*/ GIMT_Encode4(1948349), // Rule ID 24552 //
     /* 1948268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1948279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1948282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1948285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1948288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1948291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948314 */     // MIs[0] policy
     /* 1948314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1948327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948348 */     // GIR_Coverage, 24552,
     /* 1948348 */     GIR_EraseRootFromParent_Done,
     /* 1948349 */   // Label 26163: @1948349
     /* 1948349 */   GIM_Try, /*On fail goto*//*Label 26164*/ GIMT_Encode4(1948435), // Rule ID 24553 //
     /* 1948354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1948365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1948368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1948371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1948374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1948377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948400 */     // MIs[0] policy
     /* 1948400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948410 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1948413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948434 */     // GIR_Coverage, 24553,
     /* 1948434 */     GIR_EraseRootFromParent_Done,
     /* 1948435 */   // Label 26164: @1948435
     /* 1948435 */   GIM_Try, /*On fail goto*//*Label 26165*/ GIMT_Encode4(1948521), // Rule ID 24556 //
     /* 1948440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1948451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1948454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1948457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948486 */     // MIs[0] policy
     /* 1948486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1948499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948520 */     // GIR_Coverage, 24556,
     /* 1948520 */     GIR_EraseRootFromParent_Done,
     /* 1948521 */   // Label 26165: @1948521
     /* 1948521 */   GIM_Try, /*On fail goto*//*Label 26166*/ GIMT_Encode4(1948607), // Rule ID 24557 //
     /* 1948526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1948537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1948540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1948543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948572 */     // MIs[0] policy
     /* 1948572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948582 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1948585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948606 */     // GIR_Coverage, 24557,
     /* 1948606 */     GIR_EraseRootFromParent_Done,
     /* 1948607 */   // Label 26166: @1948607
     /* 1948607 */   GIM_Try, /*On fail goto*//*Label 26167*/ GIMT_Encode4(1948693), // Rule ID 24560 //
     /* 1948612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1948623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1948626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1948629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948658 */     // MIs[0] policy
     /* 1948658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1948671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948692 */     // GIR_Coverage, 24560,
     /* 1948692 */     GIR_EraseRootFromParent_Done,
     /* 1948693 */   // Label 26167: @1948693
     /* 1948693 */   GIM_Try, /*On fail goto*//*Label 26168*/ GIMT_Encode4(1948779), // Rule ID 24561 //
     /* 1948698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1948709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1948712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1948715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948744 */     // MIs[0] policy
     /* 1948744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948754 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1948757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948778 */     // GIR_Coverage, 24561,
     /* 1948778 */     GIR_EraseRootFromParent_Done,
     /* 1948779 */   // Label 26168: @1948779
     /* 1948779 */   GIM_Try, /*On fail goto*//*Label 26169*/ GIMT_Encode4(1948865), // Rule ID 24564 //
     /* 1948784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1948795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1948798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1948801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1948804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948830 */     // MIs[0] policy
     /* 1948830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948840 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1948843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948864 */     // GIR_Coverage, 24564,
     /* 1948864 */     GIR_EraseRootFromParent_Done,
     /* 1948865 */   // Label 26169: @1948865
     /* 1948865 */   GIM_Try, /*On fail goto*//*Label 26170*/ GIMT_Encode4(1948951), // Rule ID 24565 //
     /* 1948870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1948881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1948884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1948887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1948890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948916 */     // MIs[0] policy
     /* 1948916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948926 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1948929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948950 */     // GIR_Coverage, 24565,
     /* 1948950 */     GIR_EraseRootFromParent_Done,
     /* 1948951 */   // Label 26170: @1948951
     /* 1948951 */   GIM_Try, /*On fail goto*//*Label 26171*/ GIMT_Encode4(1949037), // Rule ID 24568 //
     /* 1948956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1948967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1948970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1948973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1948976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949002 */     // MIs[0] policy
     /* 1949002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1949015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949036 */     // GIR_Coverage, 24568,
     /* 1949036 */     GIR_EraseRootFromParent_Done,
     /* 1949037 */   // Label 26171: @1949037
     /* 1949037 */   GIM_Try, /*On fail goto*//*Label 26172*/ GIMT_Encode4(1949123), // Rule ID 24569 //
     /* 1949042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1949062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949088 */     // MIs[0] policy
     /* 1949088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949098 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1949101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949122 */     // GIR_Coverage, 24569,
     /* 1949122 */     GIR_EraseRootFromParent_Done,
     /* 1949123 */   // Label 26172: @1949123
     /* 1949123 */   GIM_Try, /*On fail goto*//*Label 26173*/ GIMT_Encode4(1949209), // Rule ID 24572 //
     /* 1949128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1949148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949174 */     // MIs[0] policy
     /* 1949174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1949187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949208 */     // GIR_Coverage, 24572,
     /* 1949208 */     GIR_EraseRootFromParent_Done,
     /* 1949209 */   // Label 26173: @1949209
     /* 1949209 */   GIM_Try, /*On fail goto*//*Label 26174*/ GIMT_Encode4(1949295), // Rule ID 24573 //
     /* 1949214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1949234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949260 */     // MIs[0] policy
     /* 1949260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949270 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1949273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949294 */     // GIR_Coverage, 24573,
     /* 1949294 */     GIR_EraseRootFromParent_Done,
     /* 1949295 */   // Label 26174: @1949295
     /* 1949295 */   GIM_Try, /*On fail goto*//*Label 26175*/ GIMT_Encode4(1949381), // Rule ID 24576 //
     /* 1949300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1949311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1949314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1949317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1949320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949346 */     // MIs[0] policy
     /* 1949346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949356 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1949359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949380 */     // GIR_Coverage, 24576,
     /* 1949380 */     GIR_EraseRootFromParent_Done,
     /* 1949381 */   // Label 26175: @1949381
     /* 1949381 */   GIM_Try, /*On fail goto*//*Label 26176*/ GIMT_Encode4(1949467), // Rule ID 24577 //
     /* 1949386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1949397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1949400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1949403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1949406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949432 */     // MIs[0] policy
     /* 1949432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949442 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1949445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949466 */     // GIR_Coverage, 24577,
     /* 1949466 */     GIR_EraseRootFromParent_Done,
     /* 1949467 */   // Label 26176: @1949467
     /* 1949467 */   GIM_Try, /*On fail goto*//*Label 26177*/ GIMT_Encode4(1949553), // Rule ID 24580 //
     /* 1949472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1949475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1949483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1949486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1949489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1949492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949518 */     // MIs[0] policy
     /* 1949518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949528 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1949531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949552 */     // GIR_Coverage, 24580,
     /* 1949552 */     GIR_EraseRootFromParent_Done,
     /* 1949553 */   // Label 26177: @1949553
     /* 1949553 */   GIM_Try, /*On fail goto*//*Label 26178*/ GIMT_Encode4(1949639), // Rule ID 24581 //
     /* 1949558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1949561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1949569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1949572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1949575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1949578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949604 */     // MIs[0] policy
     /* 1949604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949614 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1949617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949638 */     // GIR_Coverage, 24581,
     /* 1949638 */     GIR_EraseRootFromParent_Done,
     /* 1949639 */   // Label 26178: @1949639
     /* 1949639 */   GIM_Try, /*On fail goto*//*Label 26179*/ GIMT_Encode4(1949725), // Rule ID 24584 //
     /* 1949644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1949647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1949655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1949658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1949661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1949664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949690 */     // MIs[0] policy
     /* 1949690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949700 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1949703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949724 */     // GIR_Coverage, 24584,
     /* 1949724 */     GIR_EraseRootFromParent_Done,
     /* 1949725 */   // Label 26179: @1949725
     /* 1949725 */   GIM_Try, /*On fail goto*//*Label 26180*/ GIMT_Encode4(1949811), // Rule ID 24585 //
     /* 1949730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1949733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1949741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1949744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1949747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1949750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949776 */     // MIs[0] policy
     /* 1949776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949786 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1949789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949810 */     // GIR_Coverage, 24585,
     /* 1949810 */     GIR_EraseRootFromParent_Done,
     /* 1949811 */   // Label 26180: @1949811
     /* 1949811 */   GIM_Try, /*On fail goto*//*Label 26181*/ GIMT_Encode4(1949897), // Rule ID 24588 //
     /* 1949816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1949819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1949827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1949830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1949833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1949836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949862 */     // MIs[0] policy
     /* 1949862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949872 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1949875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949896 */     // GIR_Coverage, 24588,
     /* 1949896 */     GIR_EraseRootFromParent_Done,
     /* 1949897 */   // Label 26181: @1949897
     /* 1949897 */   GIM_Try, /*On fail goto*//*Label 26182*/ GIMT_Encode4(1949983), // Rule ID 24589 //
     /* 1949902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1949905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1949913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1949916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1949919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1949922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949948 */     // MIs[0] policy
     /* 1949948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1949961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949982 */     // GIR_Coverage, 24589,
     /* 1949982 */     GIR_EraseRootFromParent_Done,
     /* 1949983 */   // Label 26182: @1949983
     /* 1949983 */   GIM_Try, /*On fail goto*//*Label 26183*/ GIMT_Encode4(1950069), // Rule ID 24592 //
     /* 1949988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1949999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1950002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1950005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950034 */     // MIs[0] policy
     /* 1950034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950044 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1950047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950068 */     // GIR_Coverage, 24592,
     /* 1950068 */     GIR_EraseRootFromParent_Done,
     /* 1950069 */   // Label 26183: @1950069
     /* 1950069 */   GIM_Try, /*On fail goto*//*Label 26184*/ GIMT_Encode4(1950155), // Rule ID 24593 //
     /* 1950074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1950085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1950088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1950091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950120 */     // MIs[0] policy
     /* 1950120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950130 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1950133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950154 */     // GIR_Coverage, 24593,
     /* 1950154 */     GIR_EraseRootFromParent_Done,
     /* 1950155 */   // Label 26184: @1950155
     /* 1950155 */   GIM_Try, /*On fail goto*//*Label 26185*/ GIMT_Encode4(1950241), // Rule ID 24596 //
     /* 1950160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1950171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1950174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1950177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950206 */     // MIs[0] policy
     /* 1950206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950216 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1950219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950240 */     // GIR_Coverage, 24596,
     /* 1950240 */     GIR_EraseRootFromParent_Done,
     /* 1950241 */   // Label 26185: @1950241
     /* 1950241 */   GIM_Try, /*On fail goto*//*Label 26186*/ GIMT_Encode4(1950327), // Rule ID 24597 //
     /* 1950246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1950257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1950260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1950263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950292 */     // MIs[0] policy
     /* 1950292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950302 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1950305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950326 */     // GIR_Coverage, 24597,
     /* 1950326 */     GIR_EraseRootFromParent_Done,
     /* 1950327 */   // Label 26186: @1950327
     /* 1950327 */   GIM_Try, /*On fail goto*//*Label 26187*/ GIMT_Encode4(1950413), // Rule ID 24600 //
     /* 1950332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1950343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1950346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1950349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950378 */     // MIs[0] policy
     /* 1950378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950388 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1950391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950412 */     // GIR_Coverage, 24600,
     /* 1950412 */     GIR_EraseRootFromParent_Done,
     /* 1950413 */   // Label 26187: @1950413
     /* 1950413 */   GIM_Try, /*On fail goto*//*Label 26188*/ GIMT_Encode4(1950499), // Rule ID 24601 //
     /* 1950418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1950429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1950432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1950435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950464 */     // MIs[0] policy
     /* 1950464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950474 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1950477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950498 */     // GIR_Coverage, 24601,
     /* 1950498 */     GIR_EraseRootFromParent_Done,
     /* 1950499 */   // Label 26188: @1950499
     /* 1950499 */   GIM_Try, /*On fail goto*//*Label 26189*/ GIMT_Encode4(1950585), // Rule ID 24604 //
     /* 1950504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1950515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1950518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1950521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950550 */     // MIs[0] policy
     /* 1950550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950560 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1950563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950584 */     // GIR_Coverage, 24604,
     /* 1950584 */     GIR_EraseRootFromParent_Done,
     /* 1950585 */   // Label 26189: @1950585
     /* 1950585 */   GIM_Try, /*On fail goto*//*Label 26190*/ GIMT_Encode4(1950671), // Rule ID 24605 //
     /* 1950590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1950601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1950604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1950607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950636 */     // MIs[0] policy
     /* 1950636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1950649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950670 */     // GIR_Coverage, 24605,
     /* 1950670 */     GIR_EraseRootFromParent_Done,
     /* 1950671 */   // Label 26190: @1950671
     /* 1950671 */   GIM_Try, /*On fail goto*//*Label 26191*/ GIMT_Encode4(1950757), // Rule ID 24608 //
     /* 1950676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1950687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1950690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1950693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950722 */     // MIs[0] policy
     /* 1950722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950732 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1950735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950756 */     // GIR_Coverage, 24608,
     /* 1950756 */     GIR_EraseRootFromParent_Done,
     /* 1950757 */   // Label 26191: @1950757
     /* 1950757 */   GIM_Try, /*On fail goto*//*Label 26192*/ GIMT_Encode4(1950843), // Rule ID 24609 //
     /* 1950762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1950773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1950776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1950779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950808 */     // MIs[0] policy
     /* 1950808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950818 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1950821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950842 */     // GIR_Coverage, 24609,
     /* 1950842 */     GIR_EraseRootFromParent_Done,
     /* 1950843 */   // Label 26192: @1950843
     /* 1950843 */   GIM_Try, /*On fail goto*//*Label 26193*/ GIMT_Encode4(1950929), // Rule ID 24612 //
     /* 1950848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950894 */     // MIs[0] policy
     /* 1950894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1950907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950928 */     // GIR_Coverage, 24612,
     /* 1950928 */     GIR_EraseRootFromParent_Done,
     /* 1950929 */   // Label 26193: @1950929
     /* 1950929 */   GIM_Try, /*On fail goto*//*Label 26194*/ GIMT_Encode4(1951015), // Rule ID 24613 //
     /* 1950934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950980 */     // MIs[0] policy
     /* 1950980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1950993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951014 */     // GIR_Coverage, 24613,
     /* 1951014 */     GIR_EraseRootFromParent_Done,
     /* 1951015 */   // Label 26194: @1951015
     /* 1951015 */   GIM_Try, /*On fail goto*//*Label 26195*/ GIMT_Encode4(1951101), // Rule ID 24616 //
     /* 1951020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1951031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1951034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1951037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951066 */     // MIs[0] policy
     /* 1951066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951076 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1951079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951100 */     // GIR_Coverage, 24616,
     /* 1951100 */     GIR_EraseRootFromParent_Done,
     /* 1951101 */   // Label 26195: @1951101
     /* 1951101 */   GIM_Try, /*On fail goto*//*Label 26196*/ GIMT_Encode4(1951187), // Rule ID 24617 //
     /* 1951106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1951117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1951120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1951123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951152 */     // MIs[0] policy
     /* 1951152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951162 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1951165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951186 */     // GIR_Coverage, 24617,
     /* 1951186 */     GIR_EraseRootFromParent_Done,
     /* 1951187 */   // Label 26196: @1951187
     /* 1951187 */   GIM_Try, /*On fail goto*//*Label 26197*/ GIMT_Encode4(1951273), // Rule ID 24620 //
     /* 1951192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1951203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1951206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1951209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951238 */     // MIs[0] policy
     /* 1951238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1951251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951272 */     // GIR_Coverage, 24620,
     /* 1951272 */     GIR_EraseRootFromParent_Done,
     /* 1951273 */   // Label 26197: @1951273
     /* 1951273 */   GIM_Try, /*On fail goto*//*Label 26198*/ GIMT_Encode4(1951359), // Rule ID 24621 //
     /* 1951278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1951289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1951292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1951295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951324 */     // MIs[0] policy
     /* 1951324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1951337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951358 */     // GIR_Coverage, 24621,
     /* 1951358 */     GIR_EraseRootFromParent_Done,
     /* 1951359 */   // Label 26198: @1951359
     /* 1951359 */   GIM_Try, /*On fail goto*//*Label 26199*/ GIMT_Encode4(1951445), // Rule ID 24624 //
     /* 1951364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1951375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1951378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1951381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951410 */     // MIs[0] policy
     /* 1951410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1951423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951444 */     // GIR_Coverage, 24624,
     /* 1951444 */     GIR_EraseRootFromParent_Done,
     /* 1951445 */   // Label 26199: @1951445
     /* 1951445 */   GIM_Try, /*On fail goto*//*Label 26200*/ GIMT_Encode4(1951531), // Rule ID 24625 //
     /* 1951450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1951461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1951464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1951467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951496 */     // MIs[0] policy
     /* 1951496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951506 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1951509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951530 */     // GIR_Coverage, 24625,
     /* 1951530 */     GIR_EraseRootFromParent_Done,
     /* 1951531 */   // Label 26200: @1951531
     /* 1951531 */   GIM_Try, /*On fail goto*//*Label 26201*/ GIMT_Encode4(1951617), // Rule ID 24628 //
     /* 1951536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1951539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1951547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1951550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1951553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951582 */     // MIs[0] policy
     /* 1951582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1951595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951616 */     // GIR_Coverage, 24628,
     /* 1951616 */     GIR_EraseRootFromParent_Done,
     /* 1951617 */   // Label 26201: @1951617
     /* 1951617 */   GIM_Try, /*On fail goto*//*Label 26202*/ GIMT_Encode4(1951703), // Rule ID 24629 //
     /* 1951622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1951625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1951633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1951636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1951639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951668 */     // MIs[0] policy
     /* 1951668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1951681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951702 */     // GIR_Coverage, 24629,
     /* 1951702 */     GIR_EraseRootFromParent_Done,
     /* 1951703 */   // Label 26202: @1951703
     /* 1951703 */   GIM_Try, /*On fail goto*//*Label 26203*/ GIMT_Encode4(1951789), // Rule ID 24632 //
     /* 1951708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1951719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1951722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1951725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951754 */     // MIs[0] policy
     /* 1951754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951764 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1951767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951788 */     // GIR_Coverage, 24632,
     /* 1951788 */     GIR_EraseRootFromParent_Done,
     /* 1951789 */   // Label 26203: @1951789
     /* 1951789 */   GIM_Try, /*On fail goto*//*Label 26204*/ GIMT_Encode4(1951875), // Rule ID 24633 //
     /* 1951794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1951805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1951808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1951811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951840 */     // MIs[0] policy
     /* 1951840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951850 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1951853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951874 */     // GIR_Coverage, 24633,
     /* 1951874 */     GIR_EraseRootFromParent_Done,
     /* 1951875 */   // Label 26204: @1951875
     /* 1951875 */   GIM_Try, /*On fail goto*//*Label 26205*/ GIMT_Encode4(1951961), // Rule ID 24636 //
     /* 1951880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1951891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1951894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1951897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1951903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951926 */     // MIs[0] policy
     /* 1951926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951936 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1951939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951960 */     // GIR_Coverage, 24636,
     /* 1951960 */     GIR_EraseRootFromParent_Done,
     /* 1951961 */   // Label 26205: @1951961
     /* 1951961 */   GIM_Try, /*On fail goto*//*Label 26206*/ GIMT_Encode4(1952047), // Rule ID 24637 //
     /* 1951966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1951977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1951980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1951983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1951989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952012 */     // MIs[0] policy
     /* 1952012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952022 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1952025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952046 */     // GIR_Coverage, 24637,
     /* 1952046 */     GIR_EraseRootFromParent_Done,
     /* 1952047 */   // Label 26206: @1952047
     /* 1952047 */   GIM_Try, /*On fail goto*//*Label 26207*/ GIMT_Encode4(1952133), // Rule ID 24640 //
     /* 1952052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1952063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1952066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1952069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1952075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952098 */     // MIs[0] policy
     /* 1952098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952108 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1952111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952132 */     // GIR_Coverage, 24640,
     /* 1952132 */     GIR_EraseRootFromParent_Done,
     /* 1952133 */   // Label 26207: @1952133
     /* 1952133 */   GIM_Try, /*On fail goto*//*Label 26208*/ GIMT_Encode4(1952219), // Rule ID 24641 //
     /* 1952138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1952149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1952152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1952155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1952161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952184 */     // MIs[0] policy
     /* 1952184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952194 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1952197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952218 */     // GIR_Coverage, 24641,
     /* 1952218 */     GIR_EraseRootFromParent_Done,
     /* 1952219 */   // Label 26208: @1952219
     /* 1952219 */   GIM_Try, /*On fail goto*//*Label 26209*/ GIMT_Encode4(1952305), // Rule ID 24644 //
     /* 1952224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1952235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1952238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1952241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952270 */     // MIs[0] policy
     /* 1952270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952304 */     // GIR_Coverage, 24644,
     /* 1952304 */     GIR_EraseRootFromParent_Done,
     /* 1952305 */   // Label 26209: @1952305
     /* 1952305 */   GIM_Try, /*On fail goto*//*Label 26210*/ GIMT_Encode4(1952391), // Rule ID 24645 //
     /* 1952310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1952321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1952324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1952327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952356 */     // MIs[0] policy
     /* 1952356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952366 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952390 */     // GIR_Coverage, 24645,
     /* 1952390 */     GIR_EraseRootFromParent_Done,
     /* 1952391 */   // Label 26210: @1952391
     /* 1952391 */   GIM_Try, /*On fail goto*//*Label 26211*/ GIMT_Encode4(1952477), // Rule ID 24648 //
     /* 1952396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1952407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1952410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1952413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952442 */     // MIs[0] policy
     /* 1952442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952452 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1952455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952476 */     // GIR_Coverage, 24648,
     /* 1952476 */     GIR_EraseRootFromParent_Done,
     /* 1952477 */   // Label 26211: @1952477
     /* 1952477 */   GIM_Try, /*On fail goto*//*Label 26212*/ GIMT_Encode4(1952563), // Rule ID 24649 //
     /* 1952482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1952493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1952496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1952499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952528 */     // MIs[0] policy
     /* 1952528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952538 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1952541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952562 */     // GIR_Coverage, 24649,
     /* 1952562 */     GIR_EraseRootFromParent_Done,
     /* 1952563 */   // Label 26212: @1952563
     /* 1952563 */   GIM_Try, /*On fail goto*//*Label 26213*/ GIMT_Encode4(1952649), // Rule ID 24652 //
     /* 1952568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1952579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1952582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1952585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1952591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952614 */     // MIs[0] policy
     /* 1952614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952624 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1952627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952648 */     // GIR_Coverage, 24652,
     /* 1952648 */     GIR_EraseRootFromParent_Done,
     /* 1952649 */   // Label 26213: @1952649
     /* 1952649 */   GIM_Try, /*On fail goto*//*Label 26214*/ GIMT_Encode4(1952735), // Rule ID 24653 //
     /* 1952654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1952665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1952668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1952671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1952677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952700 */     // MIs[0] policy
     /* 1952700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952710 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1952713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952734 */     // GIR_Coverage, 24653,
     /* 1952734 */     GIR_EraseRootFromParent_Done,
     /* 1952735 */   // Label 26214: @1952735
     /* 1952735 */   GIM_Try, /*On fail goto*//*Label 26215*/ GIMT_Encode4(1952821), // Rule ID 24656 //
     /* 1952740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952786 */     // MIs[0] policy
     /* 1952786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952820 */     // GIR_Coverage, 24656,
     /* 1952820 */     GIR_EraseRootFromParent_Done,
     /* 1952821 */   // Label 26215: @1952821
     /* 1952821 */   GIM_Try, /*On fail goto*//*Label 26216*/ GIMT_Encode4(1952907), // Rule ID 24657 //
     /* 1952826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952872 */     // MIs[0] policy
     /* 1952872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952882 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952906 */     // GIR_Coverage, 24657,
     /* 1952906 */     GIR_EraseRootFromParent_Done,
     /* 1952907 */   // Label 26216: @1952907
     /* 1952907 */   GIM_Try, /*On fail goto*//*Label 26217*/ GIMT_Encode4(1952993), // Rule ID 24660 //
     /* 1952912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952958 */     // MIs[0] policy
     /* 1952958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1952971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952992 */     // GIR_Coverage, 24660,
     /* 1952992 */     GIR_EraseRootFromParent_Done,
     /* 1952993 */   // Label 26217: @1952993
     /* 1952993 */   GIM_Try, /*On fail goto*//*Label 26218*/ GIMT_Encode4(1953079), // Rule ID 24661 //
     /* 1952998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1953009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1953012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1953015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953044 */     // MIs[0] policy
     /* 1953044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953054 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953078 */     // GIR_Coverage, 24661,
     /* 1953078 */     GIR_EraseRootFromParent_Done,
     /* 1953079 */   // Label 26218: @1953079
     /* 1953079 */   GIM_Try, /*On fail goto*//*Label 26219*/ GIMT_Encode4(1953165), // Rule ID 24664 //
     /* 1953084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1953095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1953098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1953101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953130 */     // MIs[0] policy
     /* 1953130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953140 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953164 */     // GIR_Coverage, 24664,
     /* 1953164 */     GIR_EraseRootFromParent_Done,
     /* 1953165 */   // Label 26219: @1953165
     /* 1953165 */   GIM_Try, /*On fail goto*//*Label 26220*/ GIMT_Encode4(1953251), // Rule ID 24665 //
     /* 1953170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1953181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1953184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1953187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953216 */     // MIs[0] policy
     /* 1953216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953226 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953250 */     // GIR_Coverage, 24665,
     /* 1953250 */     GIR_EraseRootFromParent_Done,
     /* 1953251 */   // Label 26220: @1953251
     /* 1953251 */   GIM_Try, /*On fail goto*//*Label 26221*/ GIMT_Encode4(1953337), // Rule ID 24668 //
     /* 1953256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1953259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1953267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1953270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1953273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953302 */     // MIs[0] policy
     /* 1953302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953312 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1953315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953336 */     // GIR_Coverage, 24668,
     /* 1953336 */     GIR_EraseRootFromParent_Done,
     /* 1953337 */   // Label 26221: @1953337
     /* 1953337 */   GIM_Try, /*On fail goto*//*Label 26222*/ GIMT_Encode4(1953423), // Rule ID 24669 //
     /* 1953342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1953345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1953353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1953356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1953359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953388 */     // MIs[0] policy
     /* 1953388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953398 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1953401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953422 */     // GIR_Coverage, 24669,
     /* 1953422 */     GIR_EraseRootFromParent_Done,
     /* 1953423 */   // Label 26222: @1953423
     /* 1953423 */   GIM_Try, /*On fail goto*//*Label 26223*/ GIMT_Encode4(1953509), // Rule ID 24672 //
     /* 1953428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1953431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953474 */     // MIs[0] policy
     /* 1953474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953508 */     // GIR_Coverage, 24672,
     /* 1953508 */     GIR_EraseRootFromParent_Done,
     /* 1953509 */   // Label 26223: @1953509
     /* 1953509 */   GIM_Try, /*On fail goto*//*Label 26224*/ GIMT_Encode4(1953595), // Rule ID 24673 //
     /* 1953514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1953517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953560 */     // MIs[0] policy
     /* 1953560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953570 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953594 */     // GIR_Coverage, 24673,
     /* 1953594 */     GIR_EraseRootFromParent_Done,
     /* 1953595 */   // Label 26224: @1953595
     /* 1953595 */   GIM_Try, /*On fail goto*//*Label 26225*/ GIMT_Encode4(1953681), // Rule ID 24676 //
     /* 1953600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1953603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953646 */     // MIs[0] policy
     /* 1953646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953656 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953680 */     // GIR_Coverage, 24676,
     /* 1953680 */     GIR_EraseRootFromParent_Done,
     /* 1953681 */   // Label 26225: @1953681
     /* 1953681 */   GIM_Try, /*On fail goto*//*Label 26226*/ GIMT_Encode4(1953767), // Rule ID 24677 //
     /* 1953686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1953689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953732 */     // MIs[0] policy
     /* 1953732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953742 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953766 */     // GIR_Coverage, 24677,
     /* 1953766 */     GIR_EraseRootFromParent_Done,
     /* 1953767 */   // Label 26226: @1953767
     /* 1953767 */   GIM_Try, /*On fail goto*//*Label 26227*/ GIMT_Encode4(1953853), // Rule ID 24768 //
     /* 1953772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1953783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1953786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1953789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953818 */     // MIs[0] policy
     /* 1953818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1953831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953852 */     // GIR_Coverage, 24768,
     /* 1953852 */     GIR_EraseRootFromParent_Done,
     /* 1953853 */   // Label 26227: @1953853
     /* 1953853 */   GIM_Try, /*On fail goto*//*Label 26228*/ GIMT_Encode4(1953939), // Rule ID 24769 //
     /* 1953858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1953869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1953872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1953875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953904 */     // MIs[0] policy
     /* 1953904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953914 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1953917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953938 */     // GIR_Coverage, 24769,
     /* 1953938 */     GIR_EraseRootFromParent_Done,
     /* 1953939 */   // Label 26228: @1953939
     /* 1953939 */   GIM_Try, /*On fail goto*//*Label 26229*/ GIMT_Encode4(1954025), // Rule ID 24772 //
     /* 1953944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1953955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1953958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1953961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1953964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953990 */     // MIs[0] policy
     /* 1953990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954000 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1954003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954024 */     // GIR_Coverage, 24772,
     /* 1954024 */     GIR_EraseRootFromParent_Done,
     /* 1954025 */   // Label 26229: @1954025
     /* 1954025 */   GIM_Try, /*On fail goto*//*Label 26230*/ GIMT_Encode4(1954111), // Rule ID 24773 //
     /* 1954030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1954041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1954044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1954047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954076 */     // MIs[0] policy
     /* 1954076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954086 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1954089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954110 */     // GIR_Coverage, 24773,
     /* 1954110 */     GIR_EraseRootFromParent_Done,
     /* 1954111 */   // Label 26230: @1954111
     /* 1954111 */   GIM_Try, /*On fail goto*//*Label 26231*/ GIMT_Encode4(1954197), // Rule ID 24776 //
     /* 1954116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1954127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1954130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1954133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954162 */     // MIs[0] policy
     /* 1954162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1954175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954196 */     // GIR_Coverage, 24776,
     /* 1954196 */     GIR_EraseRootFromParent_Done,
     /* 1954197 */   // Label 26231: @1954197
     /* 1954197 */   GIM_Try, /*On fail goto*//*Label 26232*/ GIMT_Encode4(1954283), // Rule ID 24777 //
     /* 1954202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1954213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1954216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1954219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954248 */     // MIs[0] policy
     /* 1954248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954258 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1954261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954282 */     // GIR_Coverage, 24777,
     /* 1954282 */     GIR_EraseRootFromParent_Done,
     /* 1954283 */   // Label 26232: @1954283
     /* 1954283 */   GIM_Try, /*On fail goto*//*Label 26233*/ GIMT_Encode4(1954369), // Rule ID 24780 //
     /* 1954288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1954308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954334 */     // MIs[0] policy
     /* 1954334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1954347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954368 */     // GIR_Coverage, 24780,
     /* 1954368 */     GIR_EraseRootFromParent_Done,
     /* 1954369 */   // Label 26233: @1954369
     /* 1954369 */   GIM_Try, /*On fail goto*//*Label 26234*/ GIMT_Encode4(1954455), // Rule ID 24781 //
     /* 1954374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1954394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954420 */     // MIs[0] policy
     /* 1954420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954430 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1954433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954454 */     // GIR_Coverage, 24781,
     /* 1954454 */     GIR_EraseRootFromParent_Done,
     /* 1954455 */   // Label 26234: @1954455
     /* 1954455 */   GIM_Try, /*On fail goto*//*Label 26235*/ GIMT_Encode4(1954541), // Rule ID 24784 //
     /* 1954460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954506 */     // MIs[0] policy
     /* 1954506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1954519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954540 */     // GIR_Coverage, 24784,
     /* 1954540 */     GIR_EraseRootFromParent_Done,
     /* 1954541 */   // Label 26235: @1954541
     /* 1954541 */   GIM_Try, /*On fail goto*//*Label 26236*/ GIMT_Encode4(1954627), // Rule ID 24785 //
     /* 1954546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954592 */     // MIs[0] policy
     /* 1954592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1954605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954626 */     // GIR_Coverage, 24785,
     /* 1954626 */     GIR_EraseRootFromParent_Done,
     /* 1954627 */   // Label 26236: @1954627
     /* 1954627 */   GIM_Try, /*On fail goto*//*Label 26237*/ GIMT_Encode4(1954713), // Rule ID 24788 //
     /* 1954632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1954643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1954646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1954649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1954652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954678 */     // MIs[0] policy
     /* 1954678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954688 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1954691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954712 */     // GIR_Coverage, 24788,
     /* 1954712 */     GIR_EraseRootFromParent_Done,
     /* 1954713 */   // Label 26237: @1954713
     /* 1954713 */   GIM_Try, /*On fail goto*//*Label 26238*/ GIMT_Encode4(1954799), // Rule ID 24789 //
     /* 1954718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1954729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1954732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1954735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1954738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954764 */     // MIs[0] policy
     /* 1954764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954774 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1954777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954798 */     // GIR_Coverage, 24789,
     /* 1954798 */     GIR_EraseRootFromParent_Done,
     /* 1954799 */   // Label 26238: @1954799
     /* 1954799 */   GIM_Try, /*On fail goto*//*Label 26239*/ GIMT_Encode4(1954885), // Rule ID 24792 //
     /* 1954804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1954815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1954818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1954821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1954824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954850 */     // MIs[0] policy
     /* 1954850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954860 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1954863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954884 */     // GIR_Coverage, 24792,
     /* 1954884 */     GIR_EraseRootFromParent_Done,
     /* 1954885 */   // Label 26239: @1954885
     /* 1954885 */   GIM_Try, /*On fail goto*//*Label 26240*/ GIMT_Encode4(1954971), // Rule ID 24793 //
     /* 1954890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1954901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1954904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1954907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1954910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954936 */     // MIs[0] policy
     /* 1954936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954946 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1954949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954970 */     // GIR_Coverage, 24793,
     /* 1954970 */     GIR_EraseRootFromParent_Done,
     /* 1954971 */   // Label 26240: @1954971
     /* 1954971 */   GIM_Try, /*On fail goto*//*Label 26241*/ GIMT_Encode4(1955057), // Rule ID 24796 //
     /* 1954976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955022 */     // MIs[0] policy
     /* 1955022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1955035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955056 */     // GIR_Coverage, 24796,
     /* 1955056 */     GIR_EraseRootFromParent_Done,
     /* 1955057 */   // Label 26241: @1955057
     /* 1955057 */   GIM_Try, /*On fail goto*//*Label 26242*/ GIMT_Encode4(1955143), // Rule ID 24797 //
     /* 1955062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1955073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1955076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1955079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1955082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955108 */     // MIs[0] policy
     /* 1955108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1955121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955142 */     // GIR_Coverage, 24797,
     /* 1955142 */     GIR_EraseRootFromParent_Done,
     /* 1955143 */   // Label 26242: @1955143
     /* 1955143 */   GIM_Try, /*On fail goto*//*Label 26243*/ GIMT_Encode4(1955229), // Rule ID 24800 //
     /* 1955148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1955159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1955162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1955165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1955168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955194 */     // MIs[0] policy
     /* 1955194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1955207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955228 */     // GIR_Coverage, 24800,
     /* 1955228 */     GIR_EraseRootFromParent_Done,
     /* 1955229 */   // Label 26243: @1955229
     /* 1955229 */   GIM_Try, /*On fail goto*//*Label 26244*/ GIMT_Encode4(1955315), // Rule ID 24801 //
     /* 1955234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1955245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1955248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1955251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1955254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955280 */     // MIs[0] policy
     /* 1955280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1955293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955314 */     // GIR_Coverage, 24801,
     /* 1955314 */     GIR_EraseRootFromParent_Done,
     /* 1955315 */   // Label 26244: @1955315
     /* 1955315 */   GIM_Try, /*On fail goto*//*Label 26245*/ GIMT_Encode4(1955401), // Rule ID 24804 //
     /* 1955320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1955323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1955331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1955334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1955337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955366 */     // MIs[0] policy
     /* 1955366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1955379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1955397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955400 */     // GIR_Coverage, 24804,
     /* 1955400 */     GIR_EraseRootFromParent_Done,
     /* 1955401 */   // Label 26245: @1955401
     /* 1955401 */   GIM_Try, /*On fail goto*//*Label 26246*/ GIMT_Encode4(1955487), // Rule ID 24805 //
     /* 1955406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1955409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1955417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1955420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1955423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955452 */     // MIs[0] policy
     /* 1955452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955462 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1955465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1955483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955486 */     // GIR_Coverage, 24805,
     /* 1955486 */     GIR_EraseRootFromParent_Done,
     /* 1955487 */   // Label 26246: @1955487
     /* 1955487 */   GIM_Try, /*On fail goto*//*Label 26247*/ GIMT_Encode4(1955573), // Rule ID 24808 //
     /* 1955492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1955503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1955506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1955509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1955512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955538 */     // MIs[0] policy
     /* 1955538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955548 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1955551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955572 */     // GIR_Coverage, 24808,
     /* 1955572 */     GIR_EraseRootFromParent_Done,
     /* 1955573 */   // Label 26247: @1955573
     /* 1955573 */   GIM_Try, /*On fail goto*//*Label 26248*/ GIMT_Encode4(1955659), // Rule ID 24809 //
     /* 1955578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1955589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1955592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1955595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1955598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955624 */     // MIs[0] policy
     /* 1955624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955634 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1955637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955658 */     // GIR_Coverage, 24809,
     /* 1955658 */     GIR_EraseRootFromParent_Done,
     /* 1955659 */   // Label 26248: @1955659
     /* 1955659 */   GIM_Try, /*On fail goto*//*Label 26249*/ GIMT_Encode4(1955745), // Rule ID 24812 //
     /* 1955664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1955675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1955678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1955681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1955684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955710 */     // MIs[0] policy
     /* 1955710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955720 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1955723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955744 */     // GIR_Coverage, 24812,
     /* 1955744 */     GIR_EraseRootFromParent_Done,
     /* 1955745 */   // Label 26249: @1955745
     /* 1955745 */   GIM_Try, /*On fail goto*//*Label 26250*/ GIMT_Encode4(1955831), // Rule ID 24813 //
     /* 1955750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1955761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1955764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1955767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1955770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955796 */     // MIs[0] policy
     /* 1955796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955806 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1955809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955830 */     // GIR_Coverage, 24813,
     /* 1955830 */     GIR_EraseRootFromParent_Done,
     /* 1955831 */   // Label 26250: @1955831
     /* 1955831 */   GIM_Try, /*On fail goto*//*Label 26251*/ GIMT_Encode4(1955917), // Rule ID 24816 //
     /* 1955836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1955856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955882 */     // MIs[0] policy
     /* 1955882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955892 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1955895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955916 */     // GIR_Coverage, 24816,
     /* 1955916 */     GIR_EraseRootFromParent_Done,
     /* 1955917 */   // Label 26251: @1955917
     /* 1955917 */   GIM_Try, /*On fail goto*//*Label 26252*/ GIMT_Encode4(1956003), // Rule ID 24817 //
     /* 1955922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1955942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955968 */     // MIs[0] policy
     /* 1955968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955978 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1955981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956002 */     // GIR_Coverage, 24817,
     /* 1956002 */     GIR_EraseRootFromParent_Done,
     /* 1956003 */   // Label 26252: @1956003
     /* 1956003 */   GIM_Try, /*On fail goto*//*Label 26253*/ GIMT_Encode4(1956089), // Rule ID 24820 //
     /* 1956008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1956019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1956022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1956025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1956028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956054 */     // MIs[0] policy
     /* 1956054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956064 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1956067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956088 */     // GIR_Coverage, 24820,
     /* 1956088 */     GIR_EraseRootFromParent_Done,
     /* 1956089 */   // Label 26253: @1956089
     /* 1956089 */   GIM_Try, /*On fail goto*//*Label 26254*/ GIMT_Encode4(1956175), // Rule ID 24821 //
     /* 1956094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1956105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1956108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1956111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1956114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956140 */     // MIs[0] policy
     /* 1956140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956150 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1956153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956174 */     // GIR_Coverage, 24821,
     /* 1956174 */     GIR_EraseRootFromParent_Done,
     /* 1956175 */   // Label 26254: @1956175
     /* 1956175 */   GIM_Try, /*On fail goto*//*Label 26255*/ GIMT_Encode4(1956261), // Rule ID 24824 //
     /* 1956180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1956191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1956194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1956197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1956200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1956203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956226 */     // MIs[0] policy
     /* 1956226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956236 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1956239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956260 */     // GIR_Coverage, 24824,
     /* 1956260 */     GIR_EraseRootFromParent_Done,
     /* 1956261 */   // Label 26255: @1956261
     /* 1956261 */   GIM_Try, /*On fail goto*//*Label 26256*/ GIMT_Encode4(1956347), // Rule ID 24825 //
     /* 1956266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1956277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1956280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1956283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1956286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1956289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956312 */     // MIs[0] policy
     /* 1956312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956322 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1956325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956346 */     // GIR_Coverage, 24825,
     /* 1956346 */     GIR_EraseRootFromParent_Done,
     /* 1956347 */   // Label 26256: @1956347
     /* 1956347 */   GIM_Try, /*On fail goto*//*Label 26257*/ GIMT_Encode4(1956433), // Rule ID 24828 //
     /* 1956352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1956363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1956366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1956369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1956372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956398 */     // MIs[0] policy
     /* 1956398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1956411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956432 */     // GIR_Coverage, 24828,
     /* 1956432 */     GIR_EraseRootFromParent_Done,
     /* 1956433 */   // Label 26257: @1956433
     /* 1956433 */   GIM_Try, /*On fail goto*//*Label 26258*/ GIMT_Encode4(1956519), // Rule ID 24829 //
     /* 1956438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1956449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1956452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1956455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1956458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956484 */     // MIs[0] policy
     /* 1956484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956494 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1956497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956518 */     // GIR_Coverage, 24829,
     /* 1956518 */     GIR_EraseRootFromParent_Done,
     /* 1956519 */   // Label 26258: @1956519
     /* 1956519 */   GIM_Try, /*On fail goto*//*Label 26259*/ GIMT_Encode4(1956605), // Rule ID 24832 //
     /* 1956524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1956535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1956538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1956541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956570 */     // MIs[0] policy
     /* 1956570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1956583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956604 */     // GIR_Coverage, 24832,
     /* 1956604 */     GIR_EraseRootFromParent_Done,
     /* 1956605 */   // Label 26259: @1956605
     /* 1956605 */   GIM_Try, /*On fail goto*//*Label 26260*/ GIMT_Encode4(1956691), // Rule ID 24833 //
     /* 1956610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1956621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1956624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1956627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956656 */     // MIs[0] policy
     /* 1956656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956666 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1956669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956690 */     // GIR_Coverage, 24833,
     /* 1956690 */     GIR_EraseRootFromParent_Done,
     /* 1956691 */   // Label 26260: @1956691
     /* 1956691 */   GIM_Try, /*On fail goto*//*Label 26261*/ GIMT_Encode4(1956777), // Rule ID 24836 //
     /* 1956696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1956707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1956710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1956713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1956716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956742 */     // MIs[0] policy
     /* 1956742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1956755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956776 */     // GIR_Coverage, 24836,
     /* 1956776 */     GIR_EraseRootFromParent_Done,
     /* 1956777 */   // Label 26261: @1956777
     /* 1956777 */   GIM_Try, /*On fail goto*//*Label 26262*/ GIMT_Encode4(1956863), // Rule ID 24837 //
     /* 1956782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1956793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1956796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1956799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1956802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956828 */     // MIs[0] policy
     /* 1956828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956838 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1956841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956862 */     // GIR_Coverage, 24837,
     /* 1956862 */     GIR_EraseRootFromParent_Done,
     /* 1956863 */   // Label 26262: @1956863
     /* 1956863 */   GIM_Try, /*On fail goto*//*Label 26263*/ GIMT_Encode4(1956949), // Rule ID 24840 //
     /* 1956868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1956871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1956879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1956882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1956885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956914 */     // MIs[0] policy
     /* 1956914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956924 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1956927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956948 */     // GIR_Coverage, 24840,
     /* 1956948 */     GIR_EraseRootFromParent_Done,
     /* 1956949 */   // Label 26263: @1956949
     /* 1956949 */   GIM_Try, /*On fail goto*//*Label 26264*/ GIMT_Encode4(1957035), // Rule ID 24841 //
     /* 1956954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1956957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1956965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1956968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1956971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957000 */     // MIs[0] policy
     /* 1957000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957010 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1957013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957034 */     // GIR_Coverage, 24841,
     /* 1957034 */     GIR_EraseRootFromParent_Done,
     /* 1957035 */   // Label 26264: @1957035
     /* 1957035 */   GIM_Try, /*On fail goto*//*Label 26265*/ GIMT_Encode4(1957121), // Rule ID 24844 //
     /* 1957040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1957043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1957051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1957054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1957057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1957060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957086 */     // MIs[0] policy
     /* 1957086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957096 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1957099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957120 */     // GIR_Coverage, 24844,
     /* 1957120 */     GIR_EraseRootFromParent_Done,
     /* 1957121 */   // Label 26265: @1957121
     /* 1957121 */   GIM_Try, /*On fail goto*//*Label 26266*/ GIMT_Encode4(1957207), // Rule ID 24845 //
     /* 1957126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1957129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1957137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1957140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1957143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1957146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957172 */     // MIs[0] policy
     /* 1957172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957182 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1957185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957206 */     // GIR_Coverage, 24845,
     /* 1957206 */     GIR_EraseRootFromParent_Done,
     /* 1957207 */   // Label 26266: @1957207
     /* 1957207 */   GIM_Try, /*On fail goto*//*Label 26267*/ GIMT_Encode4(1957293), // Rule ID 24848 //
     /* 1957212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1957215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1957229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957258 */     // MIs[0] policy
     /* 1957258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957268 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1957271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957292 */     // GIR_Coverage, 24848,
     /* 1957292 */     GIR_EraseRootFromParent_Done,
     /* 1957293 */   // Label 26267: @1957293
     /* 1957293 */   GIM_Try, /*On fail goto*//*Label 26268*/ GIMT_Encode4(1957379), // Rule ID 24849 //
     /* 1957298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1957301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1957315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957344 */     // MIs[0] policy
     /* 1957344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957354 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1957357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957378 */     // GIR_Coverage, 24849,
     /* 1957378 */     GIR_EraseRootFromParent_Done,
     /* 1957379 */   // Label 26268: @1957379
     /* 1957379 */   GIM_Try, /*On fail goto*//*Label 26269*/ GIMT_Encode4(1957465), // Rule ID 24852 //
     /* 1957384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1957387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1957395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1957398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1957401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1957404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957430 */     // MIs[0] policy
     /* 1957430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957440 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1957443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957464 */     // GIR_Coverage, 24852,
     /* 1957464 */     GIR_EraseRootFromParent_Done,
     /* 1957465 */   // Label 26269: @1957465
     /* 1957465 */   GIM_Try, /*On fail goto*//*Label 26270*/ GIMT_Encode4(1957551), // Rule ID 24853 //
     /* 1957470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1957473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1957481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1957484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1957487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1957490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957516 */     // MIs[0] policy
     /* 1957516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957526 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1957529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957550 */     // GIR_Coverage, 24853,
     /* 1957550 */     GIR_EraseRootFromParent_Done,
     /* 1957551 */   // Label 26270: @1957551
     /* 1957551 */   GIM_Try, /*On fail goto*//*Label 26271*/ GIMT_Encode4(1957637), // Rule ID 24856 //
     /* 1957556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1957559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1957567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1957570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1957573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1957576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957602 */     // MIs[0] policy
     /* 1957602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957612 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1957615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957636 */     // GIR_Coverage, 24856,
     /* 1957636 */     GIR_EraseRootFromParent_Done,
     /* 1957637 */   // Label 26271: @1957637
     /* 1957637 */   GIM_Try, /*On fail goto*//*Label 26272*/ GIMT_Encode4(1957723), // Rule ID 24857 //
     /* 1957642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1957645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1957653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1957656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1957659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1957662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957688 */     // MIs[0] policy
     /* 1957688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957698 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1957701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957722 */     // GIR_Coverage, 24857,
     /* 1957722 */     GIR_EraseRootFromParent_Done,
     /* 1957723 */   // Label 26272: @1957723
     /* 1957723 */   GIM_Try, /*On fail goto*//*Label 26273*/ GIMT_Encode4(1957809), // Rule ID 24860 //
     /* 1957728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1957731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1957739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1957742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1957745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1957748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957774 */     // MIs[0] policy
     /* 1957774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957784 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1957787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957808 */     // GIR_Coverage, 24860,
     /* 1957808 */     GIR_EraseRootFromParent_Done,
     /* 1957809 */   // Label 26273: @1957809
     /* 1957809 */   GIM_Try, /*On fail goto*//*Label 26274*/ GIMT_Encode4(1957895), // Rule ID 24861 //
     /* 1957814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1957817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1957825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1957828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1957831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1957834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957860 */     // MIs[0] policy
     /* 1957860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957870 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1957873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957894 */     // GIR_Coverage, 24861,
     /* 1957894 */     GIR_EraseRootFromParent_Done,
     /* 1957895 */   // Label 26274: @1957895
     /* 1957895 */   GIM_Try, /*On fail goto*//*Label 26275*/ GIMT_Encode4(1957981), // Rule ID 24864 //
     /* 1957900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1957903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1957911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1957914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1957917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1957920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957946 */     // MIs[0] policy
     /* 1957946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957956 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1957959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957980 */     // GIR_Coverage, 24864,
     /* 1957980 */     GIR_EraseRootFromParent_Done,
     /* 1957981 */   // Label 26275: @1957981
     /* 1957981 */   GIM_Try, /*On fail goto*//*Label 26276*/ GIMT_Encode4(1958067), // Rule ID 24865 //
     /* 1957986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1957989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1957997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1958000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1958003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1958006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958032 */     // MIs[0] policy
     /* 1958032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958042 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1958045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958066 */     // GIR_Coverage, 24865,
     /* 1958066 */     GIR_EraseRootFromParent_Done,
     /* 1958067 */   // Label 26276: @1958067
     /* 1958067 */   GIM_Try, /*On fail goto*//*Label 26277*/ GIMT_Encode4(1958153), // Rule ID 24868 //
     /* 1958072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1958083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1958086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1958089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1958092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958118 */     // MIs[0] policy
     /* 1958118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958128 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1958131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958152 */     // GIR_Coverage, 24868,
     /* 1958152 */     GIR_EraseRootFromParent_Done,
     /* 1958153 */   // Label 26277: @1958153
     /* 1958153 */   GIM_Try, /*On fail goto*//*Label 26278*/ GIMT_Encode4(1958239), // Rule ID 24869 //
     /* 1958158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1958169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1958172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1958175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1958178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958204 */     // MIs[0] policy
     /* 1958204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958214 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1958217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958238 */     // GIR_Coverage, 24869,
     /* 1958238 */     GIR_EraseRootFromParent_Done,
     /* 1958239 */   // Label 26278: @1958239
     /* 1958239 */   GIM_Try, /*On fail goto*//*Label 26279*/ GIMT_Encode4(1958325), // Rule ID 24872 //
     /* 1958244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1958247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1958255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1958258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1958261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1958264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958290 */     // MIs[0] policy
     /* 1958290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958300 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1958303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958324 */     // GIR_Coverage, 24872,
     /* 1958324 */     GIR_EraseRootFromParent_Done,
     /* 1958325 */   // Label 26279: @1958325
     /* 1958325 */   GIM_Try, /*On fail goto*//*Label 26280*/ GIMT_Encode4(1958411), // Rule ID 24873 //
     /* 1958330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1958333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1958341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1958344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1958347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1958350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958376 */     // MIs[0] policy
     /* 1958376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958386 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1958389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958410 */     // GIR_Coverage, 24873,
     /* 1958410 */     GIR_EraseRootFromParent_Done,
     /* 1958411 */   // Label 26280: @1958411
     /* 1958411 */   GIM_Try, /*On fail goto*//*Label 26281*/ GIMT_Encode4(1958497), // Rule ID 24876 //
     /* 1958416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1958433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1958436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958462 */     // MIs[0] policy
     /* 1958462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958472 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1958475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958496 */     // GIR_Coverage, 24876,
     /* 1958496 */     GIR_EraseRootFromParent_Done,
     /* 1958497 */   // Label 26281: @1958497
     /* 1958497 */   GIM_Try, /*On fail goto*//*Label 26282*/ GIMT_Encode4(1958583), // Rule ID 24877 //
     /* 1958502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1958519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1958522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958548 */     // MIs[0] policy
     /* 1958548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958558 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1958561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958582 */     // GIR_Coverage, 24877,
     /* 1958582 */     GIR_EraseRootFromParent_Done,
     /* 1958583 */   // Label 26282: @1958583
     /* 1958583 */   GIM_Try, /*On fail goto*//*Label 26283*/ GIMT_Encode4(1958669), // Rule ID 24880 //
     /* 1958588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1958599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1958602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1958605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1958608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958634 */     // MIs[0] policy
     /* 1958634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958644 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1958647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958668 */     // GIR_Coverage, 24880,
     /* 1958668 */     GIR_EraseRootFromParent_Done,
     /* 1958669 */   // Label 26283: @1958669
     /* 1958669 */   GIM_Try, /*On fail goto*//*Label 26284*/ GIMT_Encode4(1958755), // Rule ID 24881 //
     /* 1958674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1958685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1958688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1958691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1958694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958720 */     // MIs[0] policy
     /* 1958720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958730 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1958733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958754 */     // GIR_Coverage, 24881,
     /* 1958754 */     GIR_EraseRootFromParent_Done,
     /* 1958755 */   // Label 26284: @1958755
     /* 1958755 */   GIM_Try, /*On fail goto*//*Label 26285*/ GIMT_Encode4(1958841), // Rule ID 24884 //
     /* 1958760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1958771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1958774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1958777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1958780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1958783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958806 */     // MIs[0] policy
     /* 1958806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958816 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1958819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958840 */     // GIR_Coverage, 24884,
     /* 1958840 */     GIR_EraseRootFromParent_Done,
     /* 1958841 */   // Label 26285: @1958841
     /* 1958841 */   GIM_Try, /*On fail goto*//*Label 26286*/ GIMT_Encode4(1958927), // Rule ID 24885 //
     /* 1958846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1958857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1958860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1958863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1958866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1958869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958892 */     // MIs[0] policy
     /* 1958892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958902 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1958905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958926 */     // GIR_Coverage, 24885,
     /* 1958926 */     GIR_EraseRootFromParent_Done,
     /* 1958927 */   // Label 26286: @1958927
     /* 1958927 */   GIM_Try, /*On fail goto*//*Label 26287*/ GIMT_Encode4(1959013), // Rule ID 24888 //
     /* 1958932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1958943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1958946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1958949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1958952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958978 */     // MIs[0] policy
     /* 1958978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958988 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1958991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959012 */     // GIR_Coverage, 24888,
     /* 1959012 */     GIR_EraseRootFromParent_Done,
     /* 1959013 */   // Label 26287: @1959013
     /* 1959013 */   GIM_Try, /*On fail goto*//*Label 26288*/ GIMT_Encode4(1959099), // Rule ID 24889 //
     /* 1959018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1959021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1959026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1959029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1959032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1959035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1959038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959064 */     // MIs[0] policy
     /* 1959064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959074 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1959077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959098 */     // GIR_Coverage, 24889,
     /* 1959098 */     GIR_EraseRootFromParent_Done,
     /* 1959099 */   // Label 26288: @1959099
     /* 1959099 */   GIM_Try, /*On fail goto*//*Label 26289*/ GIMT_Encode4(1959185), // Rule ID 24892 //
     /* 1959104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1959107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1959112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1959115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1959118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1959121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1959124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959150 */     // MIs[0] policy
     /* 1959150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959160 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1959163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959184 */     // GIR_Coverage, 24892,
     /* 1959184 */     GIR_EraseRootFromParent_Done,
     /* 1959185 */   // Label 26289: @1959185
     /* 1959185 */   GIM_Try, /*On fail goto*//*Label 26290*/ GIMT_Encode4(1959271), // Rule ID 24893 //
     /* 1959190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1959193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1959198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1959201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1959204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1959207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1959210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959236 */     // MIs[0] policy
     /* 1959236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959246 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1959249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959270 */     // GIR_Coverage, 24893,
     /* 1959270 */     GIR_EraseRootFromParent_Done,
     /* 1959271 */   // Label 26290: @1959271
     /* 1959271 */   GIM_Try, /*On fail goto*//*Label 26291*/ GIMT_Encode4(1959357), // Rule ID 24896 //
     /* 1959276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1959279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1959284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1959287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1959290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1959293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1959296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959322 */     // MIs[0] policy
     /* 1959322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959332 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1959335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959356 */     // GIR_Coverage, 24896,
     /* 1959356 */     GIR_EraseRootFromParent_Done,
     /* 1959357 */   // Label 26291: @1959357
     /* 1959357 */   GIM_Try, /*On fail goto*//*Label 26292*/ GIMT_Encode4(1959443), // Rule ID 24897 //
     /* 1959362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1959365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1959370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1959373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1959376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1959379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1959382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959408 */     // MIs[0] policy
     /* 1959408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959418 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1959421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959442 */     // GIR_Coverage, 24897,
     /* 1959442 */     GIR_EraseRootFromParent_Done,
     /* 1959443 */   // Label 26292: @1959443
     /* 1959443 */   GIM_Try, /*On fail goto*//*Label 26293*/ GIMT_Encode4(1959529), // Rule ID 24900 //
     /* 1959448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1959451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1959456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1959459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1959462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1959465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1959468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959494 */     // MIs[0] policy
     /* 1959494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959504 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1959507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959528 */     // GIR_Coverage, 24900,
     /* 1959528 */     GIR_EraseRootFromParent_Done,
     /* 1959529 */   // Label 26293: @1959529
     /* 1959529 */   GIM_Try, /*On fail goto*//*Label 26294*/ GIMT_Encode4(1959615), // Rule ID 24901 //
     /* 1959534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1959537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1959542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1959545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1959548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1959551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1959554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959580 */     // MIs[0] policy
     /* 1959580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959590 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1959593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959614 */     // GIR_Coverage, 24901,
     /* 1959614 */     GIR_EraseRootFromParent_Done,
     /* 1959615 */   // Label 26294: @1959615
     /* 1959615 */   GIM_Try, /*On fail goto*//*Label 26295*/ GIMT_Encode4(1959701), // Rule ID 24904 //
     /* 1959620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1959623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1959628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1959631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1959634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1959637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1959640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959666 */     // MIs[0] policy
     /* 1959666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959676 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1959679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959700 */     // GIR_Coverage, 24904,
     /* 1959700 */     GIR_EraseRootFromParent_Done,
     /* 1959701 */   // Label 26295: @1959701
     /* 1959701 */   GIM_Try, /*On fail goto*//*Label 26296*/ GIMT_Encode4(1959787), // Rule ID 24905 //
     /* 1959706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1959709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1959714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1959717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1959720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1959723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1959726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959752 */     // MIs[0] policy
     /* 1959752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959762 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1959765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959786 */     // GIR_Coverage, 24905,
     /* 1959786 */     GIR_EraseRootFromParent_Done,
     /* 1959787 */   // Label 26296: @1959787
     /* 1959787 */   GIM_Try, /*On fail goto*//*Label 26297*/ GIMT_Encode4(1959873), // Rule ID 24908 //
     /* 1959792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1959795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1959800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1959803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1959806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1959809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1959812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959838 */     // MIs[0] policy
     /* 1959838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959848 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1959851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959872 */     // GIR_Coverage, 24908,
     /* 1959872 */     GIR_EraseRootFromParent_Done,
     /* 1959873 */   // Label 26297: @1959873
     /* 1959873 */   GIM_Try, /*On fail goto*//*Label 26298*/ GIMT_Encode4(1959959), // Rule ID 24909 //
     /* 1959878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1959881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1959886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1959889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1959892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1959895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1959898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959924 */     // MIs[0] policy
     /* 1959924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959934 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1959937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959958 */     // GIR_Coverage, 24909,
     /* 1959958 */     GIR_EraseRootFromParent_Done,
     /* 1959959 */   // Label 26298: @1959959
     /* 1959959 */   GIM_Try, /*On fail goto*//*Label 26299*/ GIMT_Encode4(1960045), // Rule ID 24912 //
     /* 1959964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1959967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1959975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1959978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1959981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960010 */     // MIs[0] policy
     /* 1960010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960020 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1960023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960044 */     // GIR_Coverage, 24912,
     /* 1960044 */     GIR_EraseRootFromParent_Done,
     /* 1960045 */   // Label 26299: @1960045
     /* 1960045 */   GIM_Try, /*On fail goto*//*Label 26300*/ GIMT_Encode4(1960131), // Rule ID 24913 //
     /* 1960050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1960058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1960067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960096 */     // MIs[0] policy
     /* 1960096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960106 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1960109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960130 */     // GIR_Coverage, 24913,
     /* 1960130 */     GIR_EraseRootFromParent_Done,
     /* 1960131 */   // Label 26300: @1960131
     /* 1960131 */   GIM_Try, /*On fail goto*//*Label 26301*/ GIMT_Encode4(1960217), // Rule ID 24916 //
     /* 1960136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1960144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1960153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960182 */     // MIs[0] policy
     /* 1960182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960192 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1960195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960216 */     // GIR_Coverage, 24916,
     /* 1960216 */     GIR_EraseRootFromParent_Done,
     /* 1960217 */   // Label 26301: @1960217
     /* 1960217 */   GIM_Try, /*On fail goto*//*Label 26302*/ GIMT_Encode4(1960303), // Rule ID 24917 //
     /* 1960222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1960230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1960239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960268 */     // MIs[0] policy
     /* 1960268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960278 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1960281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960302 */     // GIR_Coverage, 24917,
     /* 1960302 */     GIR_EraseRootFromParent_Done,
     /* 1960303 */   // Label 26302: @1960303
     /* 1960303 */   GIM_Try, /*On fail goto*//*Label 26303*/ GIMT_Encode4(1960389), // Rule ID 24920 //
     /* 1960308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1960316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1960319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1960322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1960325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960354 */     // MIs[0] policy
     /* 1960354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960364 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1960367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960388 */     // GIR_Coverage, 24920,
     /* 1960388 */     GIR_EraseRootFromParent_Done,
     /* 1960389 */   // Label 26303: @1960389
     /* 1960389 */   GIM_Try, /*On fail goto*//*Label 26304*/ GIMT_Encode4(1960475), // Rule ID 24921 //
     /* 1960394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1960402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1960405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1960408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1960411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960440 */     // MIs[0] policy
     /* 1960440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960450 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1960453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960474 */     // GIR_Coverage, 24921,
     /* 1960474 */     GIR_EraseRootFromParent_Done,
     /* 1960475 */   // Label 26304: @1960475
     /* 1960475 */   GIM_Try, /*On fail goto*//*Label 26305*/ GIMT_Encode4(1960561), // Rule ID 24924 //
     /* 1960480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1960488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1960491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1960494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1960497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960526 */     // MIs[0] policy
     /* 1960526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960536 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1960539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960560 */     // GIR_Coverage, 24924,
     /* 1960560 */     GIR_EraseRootFromParent_Done,
     /* 1960561 */   // Label 26305: @1960561
     /* 1960561 */   GIM_Try, /*On fail goto*//*Label 26306*/ GIMT_Encode4(1960647), // Rule ID 24925 //
     /* 1960566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1960574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1960577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1960580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1960583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960612 */     // MIs[0] policy
     /* 1960612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960622 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1960625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960646 */     // GIR_Coverage, 24925,
     /* 1960646 */     GIR_EraseRootFromParent_Done,
     /* 1960647 */   // Label 26306: @1960647
     /* 1960647 */   GIM_Try, /*On fail goto*//*Label 26307*/ GIMT_Encode4(1960733), // Rule ID 24928 //
     /* 1960652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1960660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1960663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1960666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1960669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960698 */     // MIs[0] policy
     /* 1960698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1960711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960732 */     // GIR_Coverage, 24928,
     /* 1960732 */     GIR_EraseRootFromParent_Done,
     /* 1960733 */   // Label 26307: @1960733
     /* 1960733 */   GIM_Try, /*On fail goto*//*Label 26308*/ GIMT_Encode4(1960819), // Rule ID 24929 //
     /* 1960738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1960746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1960749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1960752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1960755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960784 */     // MIs[0] policy
     /* 1960784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960794 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1960797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960818 */     // GIR_Coverage, 24929,
     /* 1960818 */     GIR_EraseRootFromParent_Done,
     /* 1960819 */   // Label 26308: @1960819
     /* 1960819 */   GIM_Try, /*On fail goto*//*Label 26309*/ GIMT_Encode4(1960905), // Rule ID 24932 //
     /* 1960824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1960827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1960832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1960835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1960838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1960841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960870 */     // MIs[0] policy
     /* 1960870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960880 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1960883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1960901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960904 */     // GIR_Coverage, 24932,
     /* 1960904 */     GIR_EraseRootFromParent_Done,
     /* 1960905 */   // Label 26309: @1960905
     /* 1960905 */   GIM_Try, /*On fail goto*//*Label 26310*/ GIMT_Encode4(1960991), // Rule ID 24933 //
     /* 1960910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1960913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1960918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1960921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1960924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1960927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960956 */     // MIs[0] policy
     /* 1960956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960966 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1960969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1960987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960990 */     // GIR_Coverage, 24933,
     /* 1960990 */     GIR_EraseRootFromParent_Done,
     /* 1960991 */   // Label 26310: @1960991
     /* 1960991 */   GIM_Try, /*On fail goto*//*Label 26311*/ GIMT_Encode4(1961077), // Rule ID 24936 //
     /* 1960996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1961013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961042 */     // MIs[0] policy
     /* 1961042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961052 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1961055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961076 */     // GIR_Coverage, 24936,
     /* 1961076 */     GIR_EraseRootFromParent_Done,
     /* 1961077 */   // Label 26311: @1961077
     /* 1961077 */   GIM_Try, /*On fail goto*//*Label 26312*/ GIMT_Encode4(1961163), // Rule ID 24937 //
     /* 1961082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1961085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1961099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961128 */     // MIs[0] policy
     /* 1961128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961138 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1961141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961162 */     // GIR_Coverage, 24937,
     /* 1961162 */     GIR_EraseRootFromParent_Done,
     /* 1961163 */   // Label 26312: @1961163
     /* 1961163 */   GIM_Try, /*On fail goto*//*Label 26313*/ GIMT_Encode4(1961249), // Rule ID 24940 //
     /* 1961168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1961171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1961185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961214 */     // MIs[0] policy
     /* 1961214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961224 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1961227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961248 */     // GIR_Coverage, 24940,
     /* 1961248 */     GIR_EraseRootFromParent_Done,
     /* 1961249 */   // Label 26313: @1961249
     /* 1961249 */   GIM_Try, /*On fail goto*//*Label 26314*/ GIMT_Encode4(1961335), // Rule ID 24941 //
     /* 1961254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1961257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1961271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961300 */     // MIs[0] policy
     /* 1961300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961310 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1961313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961334 */     // GIR_Coverage, 24941,
     /* 1961334 */     GIR_EraseRootFromParent_Done,
     /* 1961335 */   // Label 26314: @1961335
     /* 1961335 */   GIM_Try, /*On fail goto*//*Label 26315*/ GIMT_Encode4(1961421), // Rule ID 24944 //
     /* 1961340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1961343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1961357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961386 */     // MIs[0] policy
     /* 1961386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961396 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1961399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961420 */     // GIR_Coverage, 24944,
     /* 1961420 */     GIR_EraseRootFromParent_Done,
     /* 1961421 */   // Label 26315: @1961421
     /* 1961421 */   GIM_Try, /*On fail goto*//*Label 26316*/ GIMT_Encode4(1961507), // Rule ID 24945 //
     /* 1961426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1961429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1961443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961472 */     // MIs[0] policy
     /* 1961472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961482 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1961485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961506 */     // GIR_Coverage, 24945,
     /* 1961506 */     GIR_EraseRootFromParent_Done,
     /* 1961507 */   // Label 26316: @1961507
     /* 1961507 */   GIM_Try, /*On fail goto*//*Label 26317*/ GIMT_Encode4(1961593), // Rule ID 24948 //
     /* 1961512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1961515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1961523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1961526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1961529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961558 */     // MIs[0] policy
     /* 1961558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961568 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1961571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961592 */     // GIR_Coverage, 24948,
     /* 1961592 */     GIR_EraseRootFromParent_Done,
     /* 1961593 */   // Label 26317: @1961593
     /* 1961593 */   GIM_Try, /*On fail goto*//*Label 26318*/ GIMT_Encode4(1961679), // Rule ID 24949 //
     /* 1961598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1961601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1961609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1961612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1961615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961644 */     // MIs[0] policy
     /* 1961644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961654 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1961657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961678 */     // GIR_Coverage, 24949,
     /* 1961678 */     GIR_EraseRootFromParent_Done,
     /* 1961679 */   // Label 26318: @1961679
     /* 1961679 */   GIM_Try, /*On fail goto*//*Label 26319*/ GIMT_Encode4(1961765), // Rule ID 24952 //
     /* 1961684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1961687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1961695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1961698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1961701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961730 */     // MIs[0] policy
     /* 1961730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961740 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1961743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961764 */     // GIR_Coverage, 24952,
     /* 1961764 */     GIR_EraseRootFromParent_Done,
     /* 1961765 */   // Label 26319: @1961765
     /* 1961765 */   GIM_Try, /*On fail goto*//*Label 26320*/ GIMT_Encode4(1961851), // Rule ID 24953 //
     /* 1961770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1961773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1961781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1961784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1961787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961816 */     // MIs[0] policy
     /* 1961816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961826 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1961829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961850 */     // GIR_Coverage, 24953,
     /* 1961850 */     GIR_EraseRootFromParent_Done,
     /* 1961851 */   // Label 26320: @1961851
     /* 1961851 */   GIM_Try, /*On fail goto*//*Label 26321*/ GIMT_Encode4(1961937), // Rule ID 24956 //
     /* 1961856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1961859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1961867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1961870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1961873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961902 */     // MIs[0] policy
     /* 1961902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961912 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1961915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961936 */     // GIR_Coverage, 24956,
     /* 1961936 */     GIR_EraseRootFromParent_Done,
     /* 1961937 */   // Label 26321: @1961937
     /* 1961937 */   GIM_Try, /*On fail goto*//*Label 26322*/ GIMT_Encode4(1962023), // Rule ID 24957 //
     /* 1961942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1961945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1961950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1961953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1961956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1961959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961988 */     // MIs[0] policy
     /* 1961988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961998 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1962001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962022 */     // GIR_Coverage, 24957,
     /* 1962022 */     GIR_EraseRootFromParent_Done,
     /* 1962023 */   // Label 26322: @1962023
     /* 1962023 */   GIM_Try, /*On fail goto*//*Label 26323*/ GIMT_Encode4(1962109), // Rule ID 24960 //
     /* 1962028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1962031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1962036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1962045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962074 */     // MIs[0] policy
     /* 1962074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962084 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1962087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962108 */     // GIR_Coverage, 24960,
     /* 1962108 */     GIR_EraseRootFromParent_Done,
     /* 1962109 */   // Label 26323: @1962109
     /* 1962109 */   GIM_Try, /*On fail goto*//*Label 26324*/ GIMT_Encode4(1962195), // Rule ID 24961 //
     /* 1962114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1962117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1962122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1962131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962160 */     // MIs[0] policy
     /* 1962160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962170 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1962173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962194 */     // GIR_Coverage, 24961,
     /* 1962194 */     GIR_EraseRootFromParent_Done,
     /* 1962195 */   // Label 26324: @1962195
     /* 1962195 */   GIM_Try, /*On fail goto*//*Label 26325*/ GIMT_Encode4(1962281), // Rule ID 24964 //
     /* 1962200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1962203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1962208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1962211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1962214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1962217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962246 */     // MIs[0] policy
     /* 1962246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962256 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1962259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962280 */     // GIR_Coverage, 24964,
     /* 1962280 */     GIR_EraseRootFromParent_Done,
     /* 1962281 */   // Label 26325: @1962281
     /* 1962281 */   GIM_Try, /*On fail goto*//*Label 26326*/ GIMT_Encode4(1962367), // Rule ID 24965 //
     /* 1962286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1962289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1962294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1962297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1962300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1962303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962332 */     // MIs[0] policy
     /* 1962332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962342 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1962345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962366 */     // GIR_Coverage, 24965,
     /* 1962366 */     GIR_EraseRootFromParent_Done,
     /* 1962367 */   // Label 26326: @1962367
     /* 1962367 */   GIM_Try, /*On fail goto*//*Label 26327*/ GIMT_Encode4(1962453), // Rule ID 24968 //
     /* 1962372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1962375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1962380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1962383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1962386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1962389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962418 */     // MIs[0] policy
     /* 1962418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962428 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1962431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962452 */     // GIR_Coverage, 24968,
     /* 1962452 */     GIR_EraseRootFromParent_Done,
     /* 1962453 */   // Label 26327: @1962453
     /* 1962453 */   GIM_Try, /*On fail goto*//*Label 26328*/ GIMT_Encode4(1962539), // Rule ID 24969 //
     /* 1962458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1962461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1962466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1962469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1962472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1962475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962504 */     // MIs[0] policy
     /* 1962504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962514 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1962517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962538 */     // GIR_Coverage, 24969,
     /* 1962538 */     GIR_EraseRootFromParent_Done,
     /* 1962539 */   // Label 26328: @1962539
     /* 1962539 */   GIM_Try, /*On fail goto*//*Label 26329*/ GIMT_Encode4(1962625), // Rule ID 25032 //
     /* 1962544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1962547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1962555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1962558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1962561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1962564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962590 */     // MIs[0] policy
     /* 1962590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962600 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1962603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962624 */     // GIR_Coverage, 25032,
     /* 1962624 */     GIR_EraseRootFromParent_Done,
     /* 1962625 */   // Label 26329: @1962625
     /* 1962625 */   GIM_Try, /*On fail goto*//*Label 26330*/ GIMT_Encode4(1962711), // Rule ID 25033 //
     /* 1962630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1962633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1962641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1962644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1962647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1962650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962676 */     // MIs[0] policy
     /* 1962676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962686 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1962689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962710 */     // GIR_Coverage, 25033,
     /* 1962710 */     GIR_EraseRootFromParent_Done,
     /* 1962711 */   // Label 26330: @1962711
     /* 1962711 */   GIM_Try, /*On fail goto*//*Label 26331*/ GIMT_Encode4(1962797), // Rule ID 25036 //
     /* 1962716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1962719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1962727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1962730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1962733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1962736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962762 */     // MIs[0] policy
     /* 1962762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962772 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1962775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962796 */     // GIR_Coverage, 25036,
     /* 1962796 */     GIR_EraseRootFromParent_Done,
     /* 1962797 */   // Label 26331: @1962797
     /* 1962797 */   GIM_Try, /*On fail goto*//*Label 26332*/ GIMT_Encode4(1962883), // Rule ID 25037 //
     /* 1962802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1962805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1962813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1962816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1962819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1962822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962848 */     // MIs[0] policy
     /* 1962848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962858 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1962861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962882 */     // GIR_Coverage, 25037,
     /* 1962882 */     GIR_EraseRootFromParent_Done,
     /* 1962883 */   // Label 26332: @1962883
     /* 1962883 */   GIM_Try, /*On fail goto*//*Label 26333*/ GIMT_Encode4(1962969), // Rule ID 25040 //
     /* 1962888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1962891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1962899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1962902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1962905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1962908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962934 */     // MIs[0] policy
     /* 1962934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962944 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1962947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962968 */     // GIR_Coverage, 25040,
     /* 1962968 */     GIR_EraseRootFromParent_Done,
     /* 1962969 */   // Label 26333: @1962969
     /* 1962969 */   GIM_Try, /*On fail goto*//*Label 26334*/ GIMT_Encode4(1963055), // Rule ID 25041 //
     /* 1962974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1962977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1962985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1962988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1962991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1962994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963020 */     // MIs[0] policy
     /* 1963020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963030 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1963033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963054 */     // GIR_Coverage, 25041,
     /* 1963054 */     GIR_EraseRootFromParent_Done,
     /* 1963055 */   // Label 26334: @1963055
     /* 1963055 */   GIM_Try, /*On fail goto*//*Label 26335*/ GIMT_Encode4(1963141), // Rule ID 25044 //
     /* 1963060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1963063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1963071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1963074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1963077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1963080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963106 */     // MIs[0] policy
     /* 1963106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963116 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1963119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963140 */     // GIR_Coverage, 25044,
     /* 1963140 */     GIR_EraseRootFromParent_Done,
     /* 1963141 */   // Label 26335: @1963141
     /* 1963141 */   GIM_Try, /*On fail goto*//*Label 26336*/ GIMT_Encode4(1963227), // Rule ID 25045 //
     /* 1963146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1963149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1963157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1963160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1963163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1963166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963192 */     // MIs[0] policy
     /* 1963192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963202 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1963205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963226 */     // GIR_Coverage, 25045,
     /* 1963226 */     GIR_EraseRootFromParent_Done,
     /* 1963227 */   // Label 26336: @1963227
     /* 1963227 */   GIM_Try, /*On fail goto*//*Label 26337*/ GIMT_Encode4(1963313), // Rule ID 25048 //
     /* 1963232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1963235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1963243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1963246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1963249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1963252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963278 */     // MIs[0] policy
     /* 1963278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963288 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1963291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963312 */     // GIR_Coverage, 25048,
     /* 1963312 */     GIR_EraseRootFromParent_Done,
     /* 1963313 */   // Label 26337: @1963313
     /* 1963313 */   GIM_Try, /*On fail goto*//*Label 26338*/ GIMT_Encode4(1963399), // Rule ID 25049 //
     /* 1963318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1963321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1963329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1963332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1963335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1963338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963364 */     // MIs[0] policy
     /* 1963364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963374 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1963377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963398 */     // GIR_Coverage, 25049,
     /* 1963398 */     GIR_EraseRootFromParent_Done,
     /* 1963399 */   // Label 26338: @1963399
     /* 1963399 */   GIM_Try, /*On fail goto*//*Label 26339*/ GIMT_Encode4(1963485), // Rule ID 25052 //
     /* 1963404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1963407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1963424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963450 */     // MIs[0] policy
     /* 1963450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963460 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1963463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963484 */     // GIR_Coverage, 25052,
     /* 1963484 */     GIR_EraseRootFromParent_Done,
     /* 1963485 */   // Label 26339: @1963485
     /* 1963485 */   GIM_Try, /*On fail goto*//*Label 26340*/ GIMT_Encode4(1963571), // Rule ID 25053 //
     /* 1963490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1963493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1963510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963536 */     // MIs[0] policy
     /* 1963536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963546 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1963549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963570 */     // GIR_Coverage, 25053,
     /* 1963570 */     GIR_EraseRootFromParent_Done,
     /* 1963571 */   // Label 26340: @1963571
     /* 1963571 */   GIM_Try, /*On fail goto*//*Label 26341*/ GIMT_Encode4(1963657), // Rule ID 25056 //
     /* 1963576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1963579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1963587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1963590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1963593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1963596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963622 */     // MIs[0] policy
     /* 1963622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963632 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1963635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963656 */     // GIR_Coverage, 25056,
     /* 1963656 */     GIR_EraseRootFromParent_Done,
     /* 1963657 */   // Label 26341: @1963657
     /* 1963657 */   GIM_Try, /*On fail goto*//*Label 26342*/ GIMT_Encode4(1963743), // Rule ID 25057 //
     /* 1963662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1963665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1963673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1963676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1963679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1963682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963708 */     // MIs[0] policy
     /* 1963708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963718 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1963721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963742 */     // GIR_Coverage, 25057,
     /* 1963742 */     GIR_EraseRootFromParent_Done,
     /* 1963743 */   // Label 26342: @1963743
     /* 1963743 */   GIM_Try, /*On fail goto*//*Label 26343*/ GIMT_Encode4(1963829), // Rule ID 25060 //
     /* 1963748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1963751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1963759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1963762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1963765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1963768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1963771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963794 */     // MIs[0] policy
     /* 1963794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963804 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1963807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963828 */     // GIR_Coverage, 25060,
     /* 1963828 */     GIR_EraseRootFromParent_Done,
     /* 1963829 */   // Label 26343: @1963829
     /* 1963829 */   GIM_Try, /*On fail goto*//*Label 26344*/ GIMT_Encode4(1963915), // Rule ID 25061 //
     /* 1963834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1963837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1963845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1963848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1963851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1963854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1963857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963880 */     // MIs[0] policy
     /* 1963880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963890 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1963893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963914 */     // GIR_Coverage, 25061,
     /* 1963914 */     GIR_EraseRootFromParent_Done,
     /* 1963915 */   // Label 26344: @1963915
     /* 1963915 */   GIM_Try, /*On fail goto*//*Label 26345*/ GIMT_Encode4(1964001), // Rule ID 25064 //
     /* 1963920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1963923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1963928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1963931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1963934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1963937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1963940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1963943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963966 */     // MIs[0] policy
     /* 1963966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963976 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1963979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964000 */     // GIR_Coverage, 25064,
     /* 1964000 */     GIR_EraseRootFromParent_Done,
     /* 1964001 */   // Label 26345: @1964001
     /* 1964001 */   GIM_Try, /*On fail goto*//*Label 26346*/ GIMT_Encode4(1964087), // Rule ID 25065 //
     /* 1964006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1964009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1964017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1964020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1964023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1964026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1964029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964052 */     // MIs[0] policy
     /* 1964052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964062 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1964065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964086 */     // GIR_Coverage, 25065,
     /* 1964086 */     GIR_EraseRootFromParent_Done,
     /* 1964087 */   // Label 26346: @1964087
     /* 1964087 */   GIM_Try, /*On fail goto*//*Label 26347*/ GIMT_Encode4(1964173), // Rule ID 25068 //
     /* 1964092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1964095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1964103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1964106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1964109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1964112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964138 */     // MIs[0] policy
     /* 1964138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964148 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1964151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964172 */     // GIR_Coverage, 25068,
     /* 1964172 */     GIR_EraseRootFromParent_Done,
     /* 1964173 */   // Label 26347: @1964173
     /* 1964173 */   GIM_Try, /*On fail goto*//*Label 26348*/ GIMT_Encode4(1964259), // Rule ID 25069 //
     /* 1964178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1964181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1964189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1964192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1964195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1964198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964224 */     // MIs[0] policy
     /* 1964224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964234 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1964237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964258 */     // GIR_Coverage, 25069,
     /* 1964258 */     GIR_EraseRootFromParent_Done,
     /* 1964259 */   // Label 26348: @1964259
     /* 1964259 */   GIM_Try, /*On fail goto*//*Label 26349*/ GIMT_Encode4(1964345), // Rule ID 25072 //
     /* 1964264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1964267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1964275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1964278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1964281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1964284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964310 */     // MIs[0] policy
     /* 1964310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964320 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1964323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964344 */     // GIR_Coverage, 25072,
     /* 1964344 */     GIR_EraseRootFromParent_Done,
     /* 1964345 */   // Label 26349: @1964345
     /* 1964345 */   GIM_Try, /*On fail goto*//*Label 26350*/ GIMT_Encode4(1964431), // Rule ID 25073 //
     /* 1964350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1964353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1964361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1964364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1964367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1964370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964396 */     // MIs[0] policy
     /* 1964396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964406 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1964409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964430 */     // GIR_Coverage, 25073,
     /* 1964430 */     GIR_EraseRootFromParent_Done,
     /* 1964431 */   // Label 26350: @1964431
     /* 1964431 */   GIM_Try, /*On fail goto*//*Label 26351*/ GIMT_Encode4(1964517), // Rule ID 25076 //
     /* 1964436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1964439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1964447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1964450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1964453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1964456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1964459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964482 */     // MIs[0] policy
     /* 1964482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964492 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1964495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964516 */     // GIR_Coverage, 25076,
     /* 1964516 */     GIR_EraseRootFromParent_Done,
     /* 1964517 */   // Label 26351: @1964517
     /* 1964517 */   GIM_Try, /*On fail goto*//*Label 26352*/ GIMT_Encode4(1964603), // Rule ID 25077 //
     /* 1964522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1964525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1964533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1964536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1964539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1964542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1964545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964568 */     // MIs[0] policy
     /* 1964568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964578 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1964581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964602 */     // GIR_Coverage, 25077,
     /* 1964602 */     GIR_EraseRootFromParent_Done,
     /* 1964603 */   // Label 26352: @1964603
     /* 1964603 */   GIM_Try, /*On fail goto*//*Label 26353*/ GIMT_Encode4(1964689), // Rule ID 25080 //
     /* 1964608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1964611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1964628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964654 */     // MIs[0] policy
     /* 1964654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964664 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1964667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964688 */     // GIR_Coverage, 25080,
     /* 1964688 */     GIR_EraseRootFromParent_Done,
     /* 1964689 */   // Label 26353: @1964689
     /* 1964689 */   GIM_Try, /*On fail goto*//*Label 26354*/ GIMT_Encode4(1964775), // Rule ID 25081 //
     /* 1964694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1964697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1964714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964740 */     // MIs[0] policy
     /* 1964740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964750 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1964753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964774 */     // GIR_Coverage, 25081,
     /* 1964774 */     GIR_EraseRootFromParent_Done,
     /* 1964775 */   // Label 26354: @1964775
     /* 1964775 */   GIM_Try, /*On fail goto*//*Label 26355*/ GIMT_Encode4(1964861), // Rule ID 25084 //
     /* 1964780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1964783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1964800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964826 */     // MIs[0] policy
     /* 1964826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964836 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1964839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964860 */     // GIR_Coverage, 25084,
     /* 1964860 */     GIR_EraseRootFromParent_Done,
     /* 1964861 */   // Label 26355: @1964861
     /* 1964861 */   GIM_Try, /*On fail goto*//*Label 26356*/ GIMT_Encode4(1964947), // Rule ID 25085 //
     /* 1964866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1964869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1964886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964912 */     // MIs[0] policy
     /* 1964912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964922 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1964925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964946 */     // GIR_Coverage, 25085,
     /* 1964946 */     GIR_EraseRootFromParent_Done,
     /* 1964947 */   // Label 26356: @1964947
     /* 1964947 */   GIM_Try, /*On fail goto*//*Label 26357*/ GIMT_Encode4(1965033), // Rule ID 25088 //
     /* 1964952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1964955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1964960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1964972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964998 */     // MIs[0] policy
     /* 1964998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965008 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1965011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965032 */     // GIR_Coverage, 25088,
     /* 1965032 */     GIR_EraseRootFromParent_Done,
     /* 1965033 */   // Label 26357: @1965033
     /* 1965033 */   GIM_Try, /*On fail goto*//*Label 26358*/ GIMT_Encode4(1965119), // Rule ID 25089 //
     /* 1965038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1965041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1965046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1965058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965084 */     // MIs[0] policy
     /* 1965084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965094 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1965097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965118 */     // GIR_Coverage, 25089,
     /* 1965118 */     GIR_EraseRootFromParent_Done,
     /* 1965119 */   // Label 26358: @1965119
     /* 1965119 */   GIM_Try, /*On fail goto*//*Label 26359*/ GIMT_Encode4(1965205), // Rule ID 60976 //
     /* 1965124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1965135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1965138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1965141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1965144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965170 */     // MIs[0] policy
     /* 1965170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965180 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1965183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965204 */     // GIR_Coverage, 60976,
     /* 1965204 */     GIR_EraseRootFromParent_Done,
     /* 1965205 */   // Label 26359: @1965205
     /* 1965205 */   GIM_Try, /*On fail goto*//*Label 26360*/ GIMT_Encode4(1965291), // Rule ID 60977 //
     /* 1965210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1965221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1965224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1965227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1965230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965256 */     // MIs[0] policy
     /* 1965256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965266 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1965269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965290 */     // GIR_Coverage, 60977,
     /* 1965290 */     GIR_EraseRootFromParent_Done,
     /* 1965291 */   // Label 26360: @1965291
     /* 1965291 */   GIM_Try, /*On fail goto*//*Label 26361*/ GIMT_Encode4(1965377), // Rule ID 60980 //
     /* 1965296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1965307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1965310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1965313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1965316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965342 */     // MIs[0] policy
     /* 1965342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965352 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1965355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965376 */     // GIR_Coverage, 60980,
     /* 1965376 */     GIR_EraseRootFromParent_Done,
     /* 1965377 */   // Label 26361: @1965377
     /* 1965377 */   GIM_Try, /*On fail goto*//*Label 26362*/ GIMT_Encode4(1965463), // Rule ID 60981 //
     /* 1965382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1965393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1965396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1965399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1965402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965428 */     // MIs[0] policy
     /* 1965428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965438 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1965441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965462 */     // GIR_Coverage, 60981,
     /* 1965462 */     GIR_EraseRootFromParent_Done,
     /* 1965463 */   // Label 26362: @1965463
     /* 1965463 */   GIM_Try, /*On fail goto*//*Label 26363*/ GIMT_Encode4(1965549), // Rule ID 60984 //
     /* 1965468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1965479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1965482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1965485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1965488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965514 */     // MIs[0] policy
     /* 1965514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965524 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1965527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965548 */     // GIR_Coverage, 60984,
     /* 1965548 */     GIR_EraseRootFromParent_Done,
     /* 1965549 */   // Label 26363: @1965549
     /* 1965549 */   GIM_Try, /*On fail goto*//*Label 26364*/ GIMT_Encode4(1965635), // Rule ID 60985 //
     /* 1965554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1965565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1965568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1965571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1965574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965600 */     // MIs[0] policy
     /* 1965600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965610 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1965613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965634 */     // GIR_Coverage, 60985,
     /* 1965634 */     GIR_EraseRootFromParent_Done,
     /* 1965635 */   // Label 26364: @1965635
     /* 1965635 */   GIM_Try, /*On fail goto*//*Label 26365*/ GIMT_Encode4(1965721), // Rule ID 60988 //
     /* 1965640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1965651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1965654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1965657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1965660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965686 */     // MIs[0] policy
     /* 1965686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1965699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965720 */     // GIR_Coverage, 60988,
     /* 1965720 */     GIR_EraseRootFromParent_Done,
     /* 1965721 */   // Label 26365: @1965721
     /* 1965721 */   GIM_Try, /*On fail goto*//*Label 26366*/ GIMT_Encode4(1965807), // Rule ID 60989 //
     /* 1965726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1965737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1965740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1965743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1965746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965772 */     // MIs[0] policy
     /* 1965772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1965785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965806 */     // GIR_Coverage, 60989,
     /* 1965806 */     GIR_EraseRootFromParent_Done,
     /* 1965807 */   // Label 26366: @1965807
     /* 1965807 */   GIM_Try, /*On fail goto*//*Label 26367*/ GIMT_Encode4(1965893), // Rule ID 60992 //
     /* 1965812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1965823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1965826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1965829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1965832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1965835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965858 */     // MIs[0] policy
     /* 1965858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1965871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965892 */     // GIR_Coverage, 60992,
     /* 1965892 */     GIR_EraseRootFromParent_Done,
     /* 1965893 */   // Label 26367: @1965893
     /* 1965893 */   GIM_Try, /*On fail goto*//*Label 26368*/ GIMT_Encode4(1965979), // Rule ID 60993 //
     /* 1965898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1965909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1965912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1965915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1965918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1965921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965944 */     // MIs[0] policy
     /* 1965944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1965957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965978 */     // GIR_Coverage, 60993,
     /* 1965978 */     GIR_EraseRootFromParent_Done,
     /* 1965979 */   // Label 26368: @1965979
     /* 1965979 */   GIM_Try, /*On fail goto*//*Label 26369*/ GIMT_Encode4(1966065), // Rule ID 60996 //
     /* 1965984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1965995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1965998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1966001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1966004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1966007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966030 */     // MIs[0] policy
     /* 1966030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966040 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1966043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966064 */     // GIR_Coverage, 60996,
     /* 1966064 */     GIR_EraseRootFromParent_Done,
     /* 1966065 */   // Label 26369: @1966065
     /* 1966065 */   GIM_Try, /*On fail goto*//*Label 26370*/ GIMT_Encode4(1966151), // Rule ID 60997 //
     /* 1966070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1966081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1966084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1966087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1966090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1966093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966116 */     // MIs[0] policy
     /* 1966116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966126 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1966129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966150 */     // GIR_Coverage, 60997,
     /* 1966150 */     GIR_EraseRootFromParent_Done,
     /* 1966151 */   // Label 26370: @1966151
     /* 1966151 */   GIM_Try, /*On fail goto*//*Label 26371*/ GIMT_Encode4(1966237), // Rule ID 61000 //
     /* 1966156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1966167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1966170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966202 */     // MIs[0] policy
     /* 1966202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966212 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1966215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966236 */     // GIR_Coverage, 61000,
     /* 1966236 */     GIR_EraseRootFromParent_Done,
     /* 1966237 */   // Label 26371: @1966237
     /* 1966237 */   GIM_Try, /*On fail goto*//*Label 26372*/ GIMT_Encode4(1966323), // Rule ID 61001 //
     /* 1966242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1966253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1966256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966288 */     // MIs[0] policy
     /* 1966288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966298 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1966301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966322 */     // GIR_Coverage, 61001,
     /* 1966322 */     GIR_EraseRootFromParent_Done,
     /* 1966323 */   // Label 26372: @1966323
     /* 1966323 */   GIM_Try, /*On fail goto*//*Label 26373*/ GIMT_Encode4(1966409), // Rule ID 61004 //
     /* 1966328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1966339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1966342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1966348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966374 */     // MIs[0] policy
     /* 1966374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11682:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1966387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966408 */     // GIR_Coverage, 61004,
     /* 1966408 */     GIR_EraseRootFromParent_Done,
     /* 1966409 */   // Label 26373: @1966409
     /* 1966409 */   GIM_Try, /*On fail goto*//*Label 26374*/ GIMT_Encode4(1966495), // Rule ID 61005 //
     /* 1966414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1966425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1966428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1966434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966460 */     // MIs[0] policy
     /* 1966460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11682:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1966473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966494 */     // GIR_Coverage, 61005,
     /* 1966494 */     GIR_EraseRootFromParent_Done,
     /* 1966495 */   // Label 26374: @1966495
     /* 1966495 */   GIM_Try, /*On fail goto*//*Label 26375*/ GIMT_Encode4(1966581), // Rule ID 61008 //
     /* 1966500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1966511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1966514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1966517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1966520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966546 */     // MIs[0] policy
     /* 1966546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1966559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966580 */     // GIR_Coverage, 61008,
     /* 1966580 */     GIR_EraseRootFromParent_Done,
     /* 1966581 */   // Label 26375: @1966581
     /* 1966581 */   GIM_Try, /*On fail goto*//*Label 26376*/ GIMT_Encode4(1966667), // Rule ID 61009 //
     /* 1966586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1966597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1966600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1966603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1966606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966632 */     // MIs[0] policy
     /* 1966632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1966645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966666 */     // GIR_Coverage, 61009,
     /* 1966666 */     GIR_EraseRootFromParent_Done,
     /* 1966667 */   // Label 26376: @1966667
     /* 1966667 */   GIM_Try, /*On fail goto*//*Label 26377*/ GIMT_Encode4(1966753), // Rule ID 61012 //
     /* 1966672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1966683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1966686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1966689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1966692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966718 */     // MIs[0] policy
     /* 1966718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1966731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966752 */     // GIR_Coverage, 61012,
     /* 1966752 */     GIR_EraseRootFromParent_Done,
     /* 1966753 */   // Label 26377: @1966753
     /* 1966753 */   GIM_Try, /*On fail goto*//*Label 26378*/ GIMT_Encode4(1966839), // Rule ID 61013 //
     /* 1966758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1966769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1966772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1966775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1966778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966804 */     // MIs[0] policy
     /* 1966804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1966817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966838 */     // GIR_Coverage, 61013,
     /* 1966838 */     GIR_EraseRootFromParent_Done,
     /* 1966839 */   // Label 26378: @1966839
     /* 1966839 */   GIM_Try, /*On fail goto*//*Label 26379*/ GIMT_Encode4(1966925), // Rule ID 61016 //
     /* 1966844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1966855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1966858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1966861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1966864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966890 */     // MIs[0] policy
     /* 1966890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1966903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966924 */     // GIR_Coverage, 61016,
     /* 1966924 */     GIR_EraseRootFromParent_Done,
     /* 1966925 */   // Label 26379: @1966925
     /* 1966925 */   GIM_Try, /*On fail goto*//*Label 26380*/ GIMT_Encode4(1967011), // Rule ID 61017 //
     /* 1966930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1966941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1966944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1966947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1966950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966976 */     // MIs[0] policy
     /* 1966976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1966989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967010 */     // GIR_Coverage, 61017,
     /* 1967010 */     GIR_EraseRootFromParent_Done,
     /* 1967011 */   // Label 26380: @1967011
     /* 1967011 */   GIM_Try, /*On fail goto*//*Label 26381*/ GIMT_Encode4(1967097), // Rule ID 61020 //
     /* 1967016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1967033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1967036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967062 */     // MIs[0] policy
     /* 1967062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967072 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1967075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967096 */     // GIR_Coverage, 61020,
     /* 1967096 */     GIR_EraseRootFromParent_Done,
     /* 1967097 */   // Label 26381: @1967097
     /* 1967097 */   GIM_Try, /*On fail goto*//*Label 26382*/ GIMT_Encode4(1967183), // Rule ID 61021 //
     /* 1967102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1967119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1967122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967148 */     // MIs[0] policy
     /* 1967148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1967161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967182 */     // GIR_Coverage, 61021,
     /* 1967182 */     GIR_EraseRootFromParent_Done,
     /* 1967183 */   // Label 26382: @1967183
     /* 1967183 */   GIM_Try, /*On fail goto*//*Label 26383*/ GIMT_Encode4(1967269), // Rule ID 61024 //
     /* 1967188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1967199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1967202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1967208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967234 */     // MIs[0] policy
     /* 1967234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967244 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1967247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967268 */     // GIR_Coverage, 61024,
     /* 1967268 */     GIR_EraseRootFromParent_Done,
     /* 1967269 */   // Label 26383: @1967269
     /* 1967269 */   GIM_Try, /*On fail goto*//*Label 26384*/ GIMT_Encode4(1967355), // Rule ID 61025 //
     /* 1967274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1967285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1967288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1967294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967320 */     // MIs[0] policy
     /* 1967320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1967333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967354 */     // GIR_Coverage, 61025,
     /* 1967354 */     GIR_EraseRootFromParent_Done,
     /* 1967355 */   // Label 26384: @1967355
     /* 1967355 */   GIM_Try, /*On fail goto*//*Label 26385*/ GIMT_Encode4(1967441), // Rule ID 61028 //
     /* 1967360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1967371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1967374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1967377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1967380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967406 */     // MIs[0] policy
     /* 1967406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967416 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1967419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967440 */     // GIR_Coverage, 61028,
     /* 1967440 */     GIR_EraseRootFromParent_Done,
     /* 1967441 */   // Label 26385: @1967441
     /* 1967441 */   GIM_Try, /*On fail goto*//*Label 26386*/ GIMT_Encode4(1967527), // Rule ID 61029 //
     /* 1967446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1967457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1967460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1967463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1967466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967492 */     // MIs[0] policy
     /* 1967492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967502 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1967505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967526 */     // GIR_Coverage, 61029,
     /* 1967526 */     GIR_EraseRootFromParent_Done,
     /* 1967527 */   // Label 26386: @1967527
     /* 1967527 */   GIM_Try, /*On fail goto*//*Label 26387*/ GIMT_Encode4(1967613), // Rule ID 61032 //
     /* 1967532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1967543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1967546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1967549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1967552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967578 */     // MIs[0] policy
     /* 1967578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967588 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1967591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967612 */     // GIR_Coverage, 61032,
     /* 1967612 */     GIR_EraseRootFromParent_Done,
     /* 1967613 */   // Label 26387: @1967613
     /* 1967613 */   GIM_Try, /*On fail goto*//*Label 26388*/ GIMT_Encode4(1967699), // Rule ID 61033 //
     /* 1967618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1967629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1967632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1967635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1967638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967664 */     // MIs[0] policy
     /* 1967664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1967677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967698 */     // GIR_Coverage, 61033,
     /* 1967698 */     GIR_EraseRootFromParent_Done,
     /* 1967699 */   // Label 26388: @1967699
     /* 1967699 */   GIM_Try, /*On fail goto*//*Label 26389*/ GIMT_Encode4(1967785), // Rule ID 61036 //
     /* 1967704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1967715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1967718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1967721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967750 */     // MIs[0] policy
     /* 1967750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967760 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1967763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967784 */     // GIR_Coverage, 61036,
     /* 1967784 */     GIR_EraseRootFromParent_Done,
     /* 1967785 */   // Label 26389: @1967785
     /* 1967785 */   GIM_Try, /*On fail goto*//*Label 26390*/ GIMT_Encode4(1967871), // Rule ID 61037 //
     /* 1967790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1967801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1967804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1967807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1967810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967836 */     // MIs[0] policy
     /* 1967836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1967849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967870 */     // GIR_Coverage, 61037,
     /* 1967870 */     GIR_EraseRootFromParent_Done,
     /* 1967871 */   // Label 26390: @1967871
     /* 1967871 */   GIM_Try, /*On fail goto*//*Label 26391*/ GIMT_Encode4(1967957), // Rule ID 61044 //
     /* 1967876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1967887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1967890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1967893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967922 */     // MIs[0] policy
     /* 1967922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1967935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967956 */     // GIR_Coverage, 61044,
     /* 1967956 */     GIR_EraseRootFromParent_Done,
     /* 1967957 */   // Label 26391: @1967957
     /* 1967957 */   GIM_Try, /*On fail goto*//*Label 26392*/ GIMT_Encode4(1968043), // Rule ID 61045 //
     /* 1967962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1967973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1967976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1967979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1967982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968008 */     // MIs[0] policy
     /* 1968008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968018 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1968021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968042 */     // GIR_Coverage, 61045,
     /* 1968042 */     GIR_EraseRootFromParent_Done,
     /* 1968043 */   // Label 26392: @1968043
     /* 1968043 */   GIM_Try, /*On fail goto*//*Label 26393*/ GIMT_Encode4(1968129), // Rule ID 61052 //
     /* 1968048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1968051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1968059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1968062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1968065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968094 */     // MIs[0] policy
     /* 1968094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1968107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968128 */     // GIR_Coverage, 61052,
     /* 1968128 */     GIR_EraseRootFromParent_Done,
     /* 1968129 */   // Label 26393: @1968129
     /* 1968129 */   GIM_Try, /*On fail goto*//*Label 26394*/ GIMT_Encode4(1968215), // Rule ID 61053 //
     /* 1968134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1968137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1968145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1968148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1968151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968180 */     // MIs[0] policy
     /* 1968180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11682:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1968193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968214 */     // GIR_Coverage, 61053,
     /* 1968214 */     GIR_EraseRootFromParent_Done,
     /* 1968215 */   // Label 26394: @1968215
     /* 1968215 */   GIM_Try, /*On fail goto*//*Label 26395*/ GIMT_Encode4(1968301), // Rule ID 61060 //
     /* 1968220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1968223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1968231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1968234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1968237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968266 */     // MIs[0] policy
     /* 1968266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1968279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968300 */     // GIR_Coverage, 61060,
     /* 1968300 */     GIR_EraseRootFromParent_Done,
     /* 1968301 */   // Label 26395: @1968301
     /* 1968301 */   GIM_Try, /*On fail goto*//*Label 26396*/ GIMT_Encode4(1968387), // Rule ID 61061 //
     /* 1968306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1968309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1968317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1968320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1968323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968352 */     // MIs[0] policy
     /* 1968352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968362 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1968365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968386 */     // GIR_Coverage, 61061,
     /* 1968386 */     GIR_EraseRootFromParent_Done,
     /* 1968387 */   // Label 26396: @1968387
     /* 1968387 */   GIM_Try, /*On fail goto*//*Label 26397*/ GIMT_Encode4(1968473), // Rule ID 61068 //
     /* 1968392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1968395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1968403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1968406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1968409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968438 */     // MIs[0] policy
     /* 1968438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968448 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1968451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968472 */     // GIR_Coverage, 61068,
     /* 1968472 */     GIR_EraseRootFromParent_Done,
     /* 1968473 */   // Label 26397: @1968473
     /* 1968473 */   GIM_Try, /*On fail goto*//*Label 26398*/ GIMT_Encode4(1968559), // Rule ID 61069 //
     /* 1968478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1968481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1968489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1968492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1968495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968524 */     // MIs[0] policy
     /* 1968524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968534 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1968537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968558 */     // GIR_Coverage, 61069,
     /* 1968558 */     GIR_EraseRootFromParent_Done,
     /* 1968559 */   // Label 26398: @1968559
     /* 1968559 */   GIM_Try, /*On fail goto*//*Label 26399*/ GIMT_Encode4(1968645), // Rule ID 61076 //
     /* 1968564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1968567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1968581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968610 */     // MIs[0] policy
     /* 1968610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968620 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1968623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968644 */     // GIR_Coverage, 61076,
     /* 1968644 */     GIR_EraseRootFromParent_Done,
     /* 1968645 */   // Label 26399: @1968645
     /* 1968645 */   GIM_Try, /*On fail goto*//*Label 26400*/ GIMT_Encode4(1968731), // Rule ID 61077 //
     /* 1968650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1968653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1968667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968696 */     // MIs[0] policy
     /* 1968696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968706 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1968709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968730 */     // GIR_Coverage, 61077,
     /* 1968730 */     GIR_EraseRootFromParent_Done,
     /* 1968731 */   // Label 26400: @1968731
     /* 1968731 */   GIM_Try, /*On fail goto*//*Label 26401*/ GIMT_Encode4(1968817), // Rule ID 61084 //
     /* 1968736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1968739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1968747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1968750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1968753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1968759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968782 */     // MIs[0] policy
     /* 1968782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1968795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968816 */     // GIR_Coverage, 61084,
     /* 1968816 */     GIR_EraseRootFromParent_Done,
     /* 1968817 */   // Label 26401: @1968817
     /* 1968817 */   GIM_Try, /*On fail goto*//*Label 26402*/ GIMT_Encode4(1968903), // Rule ID 61085 //
     /* 1968822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1968825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1968833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1968836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1968839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1968845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968868 */     // MIs[0] policy
     /* 1968868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1968881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968902 */     // GIR_Coverage, 61085,
     /* 1968902 */     GIR_EraseRootFromParent_Done,
     /* 1968903 */   // Label 26402: @1968903
     /* 1968903 */   GIM_Try, /*On fail goto*//*Label 26403*/ GIMT_Encode4(1968989), // Rule ID 61092 //
     /* 1968908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1968911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1968916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1968919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1968922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1968925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968954 */     // MIs[0] policy
     /* 1968954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11682:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1968967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968988 */     // GIR_Coverage, 61092,
     /* 1968988 */     GIR_EraseRootFromParent_Done,
     /* 1968989 */   // Label 26403: @1968989
     /* 1968989 */   GIM_Try, /*On fail goto*//*Label 26404*/ GIMT_Encode4(1969075), // Rule ID 61093 //
     /* 1968994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1968997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1969005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1969008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1969011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969040 */     // MIs[0] policy
     /* 1969040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969050 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11682:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1969053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969074 */     // GIR_Coverage, 61093,
     /* 1969074 */     GIR_EraseRootFromParent_Done,
     /* 1969075 */   // Label 26404: @1969075
     /* 1969075 */   GIM_Try, /*On fail goto*//*Label 26405*/ GIMT_Encode4(1969161), // Rule ID 61100 //
     /* 1969080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1969091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1969094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1969097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969126 */     // MIs[0] policy
     /* 1969126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1969139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969160 */     // GIR_Coverage, 61100,
     /* 1969160 */     GIR_EraseRootFromParent_Done,
     /* 1969161 */   // Label 26405: @1969161
     /* 1969161 */   GIM_Try, /*On fail goto*//*Label 26406*/ GIMT_Encode4(1969247), // Rule ID 61101 //
     /* 1969166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1969177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1969180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1969183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969212 */     // MIs[0] policy
     /* 1969212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969222 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1969225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969246 */     // GIR_Coverage, 61101,
     /* 1969246 */     GIR_EraseRootFromParent_Done,
     /* 1969247 */   // Label 26406: @1969247
     /* 1969247 */   GIM_Try, /*On fail goto*//*Label 26407*/ GIMT_Encode4(1969333), // Rule ID 61108 //
     /* 1969252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1969263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1969266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1969269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969298 */     // MIs[0] policy
     /* 1969298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1969311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969332 */     // GIR_Coverage, 61108,
     /* 1969332 */     GIR_EraseRootFromParent_Done,
     /* 1969333 */   // Label 26407: @1969333
     /* 1969333 */   GIM_Try, /*On fail goto*//*Label 26408*/ GIMT_Encode4(1969419), // Rule ID 61109 //
     /* 1969338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1969349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1969352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1969355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969384 */     // MIs[0] policy
     /* 1969384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969394 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1969397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969418 */     // GIR_Coverage, 61109,
     /* 1969418 */     GIR_EraseRootFromParent_Done,
     /* 1969419 */   // Label 26408: @1969419
     /* 1969419 */   GIM_Try, /*On fail goto*//*Label 26409*/ GIMT_Encode4(1969505), // Rule ID 61116 //
     /* 1969424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1969435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1969438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1969441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1969447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969470 */     // MIs[0] policy
     /* 1969470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969480 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1969483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969504 */     // GIR_Coverage, 61116,
     /* 1969504 */     GIR_EraseRootFromParent_Done,
     /* 1969505 */   // Label 26409: @1969505
     /* 1969505 */   GIM_Try, /*On fail goto*//*Label 26410*/ GIMT_Encode4(1969591), // Rule ID 61117 //
     /* 1969510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1969521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1969524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1969527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1969533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969556 */     // MIs[0] policy
     /* 1969556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969566 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1969569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969590 */     // GIR_Coverage, 61117,
     /* 1969590 */     GIR_EraseRootFromParent_Done,
     /* 1969591 */   // Label 26410: @1969591
     /* 1969591 */   GIM_Try, /*On fail goto*//*Label 26411*/ GIMT_Encode4(1969677), // Rule ID 61124 //
     /* 1969596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1969607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1969610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1969613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969642 */     // MIs[0] policy
     /* 1969642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1969655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969676 */     // GIR_Coverage, 61124,
     /* 1969676 */     GIR_EraseRootFromParent_Done,
     /* 1969677 */   // Label 26411: @1969677
     /* 1969677 */   GIM_Try, /*On fail goto*//*Label 26412*/ GIMT_Encode4(1969763), // Rule ID 61125 //
     /* 1969682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1969693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1969696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1969699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969728 */     // MIs[0] policy
     /* 1969728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969738 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11682:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1969741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969762 */     // GIR_Coverage, 61125,
     /* 1969762 */     GIR_EraseRootFromParent_Done,
     /* 1969763 */   // Label 26412: @1969763
     /* 1969763 */   GIM_Try, /*On fail goto*//*Label 26413*/ GIMT_Encode4(1969849), // Rule ID 61132 //
     /* 1969768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1969785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969814 */     // MIs[0] policy
     /* 1969814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969824 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1969827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969848 */     // GIR_Coverage, 61132,
     /* 1969848 */     GIR_EraseRootFromParent_Done,
     /* 1969849 */   // Label 26413: @1969849
     /* 1969849 */   GIM_Try, /*On fail goto*//*Label 26414*/ GIMT_Encode4(1969935), // Rule ID 61133 //
     /* 1969854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1969871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969900 */     // MIs[0] policy
     /* 1969900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969910 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11682:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1969913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969934 */     // GIR_Coverage, 61133,
     /* 1969934 */     GIR_EraseRootFromParent_Done,
     /* 1969935 */   // Label 26414: @1969935
     /* 1969935 */   GIM_Try, /*On fail goto*//*Label 26415*/ GIMT_Encode4(1970021), // Rule ID 61140 //
     /* 1969940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1969957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969986 */     // MIs[0] policy
     /* 1969986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969996 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1969999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970020 */     // GIR_Coverage, 61140,
     /* 1970020 */     GIR_EraseRootFromParent_Done,
     /* 1970021 */   // Label 26415: @1970021
     /* 1970021 */   GIM_Try, /*On fail goto*//*Label 26416*/ GIMT_Encode4(1970107), // Rule ID 61141 //
     /* 1970026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1970029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1970037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1970040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1970043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970072 */     // MIs[0] policy
     /* 1970072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970082 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11682:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1970085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970106 */     // GIR_Coverage, 61141,
     /* 1970106 */     GIR_EraseRootFromParent_Done,
     /* 1970107 */   // Label 26416: @1970107
     /* 1970107 */   GIM_Try, /*On fail goto*//*Label 26417*/ GIMT_Encode4(1970193), // Rule ID 61148 //
     /* 1970112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1970115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1970123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1970126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1970129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970158 */     // MIs[0] policy
     /* 1970158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970168 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1970171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970192 */     // GIR_Coverage, 61148,
     /* 1970192 */     GIR_EraseRootFromParent_Done,
     /* 1970193 */   // Label 26417: @1970193
     /* 1970193 */   GIM_Try, /*On fail goto*//*Label 26418*/ GIMT_Encode4(1970279), // Rule ID 61149 //
     /* 1970198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1970201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1970209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1970212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1970215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970244 */     // MIs[0] policy
     /* 1970244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970254 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11682:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1970257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970278 */     // GIR_Coverage, 61149,
     /* 1970278 */     GIR_EraseRootFromParent_Done,
     /* 1970279 */   // Label 26418: @1970279
     /* 1970279 */   GIM_Try, /*On fail goto*//*Label 26419*/ GIMT_Encode4(1970365), // Rule ID 61156 //
     /* 1970284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1970287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1970295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1970298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1970301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1970304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970330 */     // MIs[0] policy
     /* 1970330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1970343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970364 */     // GIR_Coverage, 61156,
     /* 1970364 */     GIR_EraseRootFromParent_Done,
     /* 1970365 */   // Label 26419: @1970365
     /* 1970365 */   GIM_Try, /*On fail goto*//*Label 26420*/ GIMT_Encode4(1970451), // Rule ID 61157 //
     /* 1970370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1970373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1970381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1970384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1970387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1970390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970416 */     // MIs[0] policy
     /* 1970416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1970429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970450 */     // GIR_Coverage, 61157,
     /* 1970450 */     GIR_EraseRootFromParent_Done,
     /* 1970451 */   // Label 26420: @1970451
     /* 1970451 */   GIM_Try, /*On fail goto*//*Label 26421*/ GIMT_Encode4(1970537), // Rule ID 61160 //
     /* 1970456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1970459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1970467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1970470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1970473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1970476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970502 */     // MIs[0] policy
     /* 1970502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970512 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1970515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970536 */     // GIR_Coverage, 61160,
     /* 1970536 */     GIR_EraseRootFromParent_Done,
     /* 1970537 */   // Label 26421: @1970537
     /* 1970537 */   GIM_Try, /*On fail goto*//*Label 26422*/ GIMT_Encode4(1970623), // Rule ID 61161 //
     /* 1970542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1970545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1970553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1970556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1970559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1970562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970588 */     // MIs[0] policy
     /* 1970588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1970601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970622 */     // GIR_Coverage, 61161,
     /* 1970622 */     GIR_EraseRootFromParent_Done,
     /* 1970623 */   // Label 26422: @1970623
     /* 1970623 */   GIM_Try, /*On fail goto*//*Label 26423*/ GIMT_Encode4(1970709), // Rule ID 61164 //
     /* 1970628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1970631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1970639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1970642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1970645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1970648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970674 */     // MIs[0] policy
     /* 1970674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1970687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970708 */     // GIR_Coverage, 61164,
     /* 1970708 */     GIR_EraseRootFromParent_Done,
     /* 1970709 */   // Label 26423: @1970709
     /* 1970709 */   GIM_Try, /*On fail goto*//*Label 26424*/ GIMT_Encode4(1970795), // Rule ID 61165 //
     /* 1970714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1970717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1970725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1970728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1970731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1970734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970760 */     // MIs[0] policy
     /* 1970760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970770 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1970773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970794 */     // GIR_Coverage, 61165,
     /* 1970794 */     GIR_EraseRootFromParent_Done,
     /* 1970795 */   // Label 26424: @1970795
     /* 1970795 */   GIM_Try, /*On fail goto*//*Label 26425*/ GIMT_Encode4(1970881), // Rule ID 61168 //
     /* 1970800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1970803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1970811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1970814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1970817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1970820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970846 */     // MIs[0] policy
     /* 1970846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970856 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1970859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970880 */     // GIR_Coverage, 61168,
     /* 1970880 */     GIR_EraseRootFromParent_Done,
     /* 1970881 */   // Label 26425: @1970881
     /* 1970881 */   GIM_Try, /*On fail goto*//*Label 26426*/ GIMT_Encode4(1970967), // Rule ID 61169 //
     /* 1970886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1970889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1970897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1970900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1970903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1970906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970932 */     // MIs[0] policy
     /* 1970932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1970945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970966 */     // GIR_Coverage, 61169,
     /* 1970966 */     GIR_EraseRootFromParent_Done,
     /* 1970967 */   // Label 26426: @1970967
     /* 1970967 */   GIM_Try, /*On fail goto*//*Label 26427*/ GIMT_Encode4(1971053), // Rule ID 61172 //
     /* 1970972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1970975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1970980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1970983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1970986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1970989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971018 */     // MIs[0] policy
     /* 1971018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1971031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971052 */     // GIR_Coverage, 61172,
     /* 1971052 */     GIR_EraseRootFromParent_Done,
     /* 1971053 */   // Label 26427: @1971053
     /* 1971053 */   GIM_Try, /*On fail goto*//*Label 26428*/ GIMT_Encode4(1971139), // Rule ID 61173 //
     /* 1971058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1971061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1971066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971104 */     // MIs[0] policy
     /* 1971104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971114 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1971117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971138 */     // GIR_Coverage, 61173,
     /* 1971138 */     GIR_EraseRootFromParent_Done,
     /* 1971139 */   // Label 26428: @1971139
     /* 1971139 */   GIM_Try, /*On fail goto*//*Label 26429*/ GIMT_Encode4(1971225), // Rule ID 61176 //
     /* 1971144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1971147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1971152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1971155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1971158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1971161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971190 */     // MIs[0] policy
     /* 1971190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971200 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1971203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971224 */     // GIR_Coverage, 61176,
     /* 1971224 */     GIR_EraseRootFromParent_Done,
     /* 1971225 */   // Label 26429: @1971225
     /* 1971225 */   GIM_Try, /*On fail goto*//*Label 26430*/ GIMT_Encode4(1971311), // Rule ID 61177 //
     /* 1971230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1971233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1971238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1971241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1971244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1971247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971276 */     // MIs[0] policy
     /* 1971276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971286 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1971289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971310 */     // GIR_Coverage, 61177,
     /* 1971310 */     GIR_EraseRootFromParent_Done,
     /* 1971311 */   // Label 26430: @1971311
     /* 1971311 */   GIM_Try, /*On fail goto*//*Label 26431*/ GIMT_Encode4(1971397), // Rule ID 61180 //
     /* 1971316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1971319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1971324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1971327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1971330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1971333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971362 */     // MIs[0] policy
     /* 1971362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1971375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971396 */     // GIR_Coverage, 61180,
     /* 1971396 */     GIR_EraseRootFromParent_Done,
     /* 1971397 */   // Label 26431: @1971397
     /* 1971397 */   GIM_Try, /*On fail goto*//*Label 26432*/ GIMT_Encode4(1971483), // Rule ID 61181 //
     /* 1971402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1971405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1971410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1971413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1971416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1971419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971448 */     // MIs[0] policy
     /* 1971448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971458 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1971461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971482 */     // GIR_Coverage, 61181,
     /* 1971482 */     GIR_EraseRootFromParent_Done,
     /* 1971483 */   // Label 26432: @1971483
     /* 1971483 */   GIM_Try, /*On fail goto*//*Label 26433*/ GIMT_Encode4(1971569), // Rule ID 61184 //
     /* 1971488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1971491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1971496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1971499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1971502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1971505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971534 */     // MIs[0] policy
     /* 1971534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971544 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1971547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971568 */     // GIR_Coverage, 61184,
     /* 1971568 */     GIR_EraseRootFromParent_Done,
     /* 1971569 */   // Label 26433: @1971569
     /* 1971569 */   GIM_Try, /*On fail goto*//*Label 26434*/ GIMT_Encode4(1971655), // Rule ID 61185 //
     /* 1971574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1971577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1971582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1971585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1971588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1971591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971620 */     // MIs[0] policy
     /* 1971620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971630 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1971633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971654 */     // GIR_Coverage, 61185,
     /* 1971654 */     GIR_EraseRootFromParent_Done,
     /* 1971655 */   // Label 26434: @1971655
     /* 1971655 */   GIM_Try, /*On fail goto*//*Label 26435*/ GIMT_Encode4(1971741), // Rule ID 61188 //
     /* 1971660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1971663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1971680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971706 */     // MIs[0] policy
     /* 1971706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1971719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971740 */     // GIR_Coverage, 61188,
     /* 1971740 */     GIR_EraseRootFromParent_Done,
     /* 1971741 */   // Label 26435: @1971741
     /* 1971741 */   GIM_Try, /*On fail goto*//*Label 26436*/ GIMT_Encode4(1971827), // Rule ID 61189 //
     /* 1971746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1971749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1971766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971792 */     // MIs[0] policy
     /* 1971792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1971805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971826 */     // GIR_Coverage, 61189,
     /* 1971826 */     GIR_EraseRootFromParent_Done,
     /* 1971827 */   // Label 26436: @1971827
     /* 1971827 */   GIM_Try, /*On fail goto*//*Label 26437*/ GIMT_Encode4(1971913), // Rule ID 61192 //
     /* 1971832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1971835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1971843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1971846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1971849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1971852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971878 */     // MIs[0] policy
     /* 1971878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971888 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1971891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971912 */     // GIR_Coverage, 61192,
     /* 1971912 */     GIR_EraseRootFromParent_Done,
     /* 1971913 */   // Label 26437: @1971913
     /* 1971913 */   GIM_Try, /*On fail goto*//*Label 26438*/ GIMT_Encode4(1971999), // Rule ID 61193 //
     /* 1971918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1971921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1971926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1971929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1971932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1971935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1971938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971964 */     // MIs[0] policy
     /* 1971964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1971977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971998 */     // GIR_Coverage, 61193,
     /* 1971998 */     GIR_EraseRootFromParent_Done,
     /* 1971999 */   // Label 26438: @1971999
     /* 1971999 */   GIM_Try, /*On fail goto*//*Label 26439*/ GIMT_Encode4(1972085), // Rule ID 61196 //
     /* 1972004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1972007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1972015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1972018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1972021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1972024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972050 */     // MIs[0] policy
     /* 1972050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972060 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1972063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972084 */     // GIR_Coverage, 61196,
     /* 1972084 */     GIR_EraseRootFromParent_Done,
     /* 1972085 */   // Label 26439: @1972085
     /* 1972085 */   GIM_Try, /*On fail goto*//*Label 26440*/ GIMT_Encode4(1972171), // Rule ID 61197 //
     /* 1972090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1972093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1972101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1972104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1972107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1972110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972136 */     // MIs[0] policy
     /* 1972136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972146 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1972149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972170 */     // GIR_Coverage, 61197,
     /* 1972170 */     GIR_EraseRootFromParent_Done,
     /* 1972171 */   // Label 26440: @1972171
     /* 1972171 */   GIM_Try, /*On fail goto*//*Label 26441*/ GIMT_Encode4(1972257), // Rule ID 61200 //
     /* 1972176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1972179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1972187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1972190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1972193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1972196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972222 */     // MIs[0] policy
     /* 1972222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972232 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1972235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972256 */     // GIR_Coverage, 61200,
     /* 1972256 */     GIR_EraseRootFromParent_Done,
     /* 1972257 */   // Label 26441: @1972257
     /* 1972257 */   GIM_Try, /*On fail goto*//*Label 26442*/ GIMT_Encode4(1972343), // Rule ID 61201 //
     /* 1972262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1972265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1972273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1972276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1972279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1972282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972308 */     // MIs[0] policy
     /* 1972308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972318 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1972321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972342 */     // GIR_Coverage, 61201,
     /* 1972342 */     GIR_EraseRootFromParent_Done,
     /* 1972343 */   // Label 26442: @1972343
     /* 1972343 */   GIM_Try, /*On fail goto*//*Label 26443*/ GIMT_Encode4(1972429), // Rule ID 61204 //
     /* 1972348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1972351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1972359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1972362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1972365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972394 */     // MIs[0] policy
     /* 1972394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1972407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972428 */     // GIR_Coverage, 61204,
     /* 1972428 */     GIR_EraseRootFromParent_Done,
     /* 1972429 */   // Label 26443: @1972429
     /* 1972429 */   GIM_Try, /*On fail goto*//*Label 26444*/ GIMT_Encode4(1972515), // Rule ID 61205 //
     /* 1972434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1972437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1972445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1972448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1972451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972480 */     // MIs[0] policy
     /* 1972480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1972493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972514 */     // GIR_Coverage, 61205,
     /* 1972514 */     GIR_EraseRootFromParent_Done,
     /* 1972515 */   // Label 26444: @1972515
     /* 1972515 */   GIM_Try, /*On fail goto*//*Label 26445*/ GIMT_Encode4(1972601), // Rule ID 61208 //
     /* 1972520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1972523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1972531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1972534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1972537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972566 */     // MIs[0] policy
     /* 1972566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972576 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1972579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972600 */     // GIR_Coverage, 61208,
     /* 1972600 */     GIR_EraseRootFromParent_Done,
     /* 1972601 */   // Label 26445: @1972601
     /* 1972601 */   GIM_Try, /*On fail goto*//*Label 26446*/ GIMT_Encode4(1972687), // Rule ID 61209 //
     /* 1972606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1972609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1972617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1972620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1972623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972652 */     // MIs[0] policy
     /* 1972652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972662 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1972665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972686 */     // GIR_Coverage, 61209,
     /* 1972686 */     GIR_EraseRootFromParent_Done,
     /* 1972687 */   // Label 26446: @1972687
     /* 1972687 */   GIM_Try, /*On fail goto*//*Label 26447*/ GIMT_Encode4(1972773), // Rule ID 61212 //
     /* 1972692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1972695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1972703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1972706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1972709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972738 */     // MIs[0] policy
     /* 1972738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972748 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1972751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972772 */     // GIR_Coverage, 61212,
     /* 1972772 */     GIR_EraseRootFromParent_Done,
     /* 1972773 */   // Label 26447: @1972773
     /* 1972773 */   GIM_Try, /*On fail goto*//*Label 26448*/ GIMT_Encode4(1972859), // Rule ID 61213 //
     /* 1972778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1972781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1972789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1972792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1972795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972824 */     // MIs[0] policy
     /* 1972824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972834 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1972837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972858 */     // GIR_Coverage, 61213,
     /* 1972858 */     GIR_EraseRootFromParent_Done,
     /* 1972859 */   // Label 26448: @1972859
     /* 1972859 */   GIM_Try, /*On fail goto*//*Label 26449*/ GIMT_Encode4(1972945), // Rule ID 61216 //
     /* 1972864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1972867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1972875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1972878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1972881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972910 */     // MIs[0] policy
     /* 1972910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972920 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1972923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972944 */     // GIR_Coverage, 61216,
     /* 1972944 */     GIR_EraseRootFromParent_Done,
     /* 1972945 */   // Label 26449: @1972945
     /* 1972945 */   GIM_Try, /*On fail goto*//*Label 26450*/ GIMT_Encode4(1973031), // Rule ID 61217 //
     /* 1972950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1972953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1972958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1972961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1972964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1972967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972996 */     // MIs[0] policy
     /* 1972996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973006 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1973009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973030 */     // GIR_Coverage, 61217,
     /* 1973030 */     GIR_EraseRootFromParent_Done,
     /* 1973031 */   // Label 26450: @1973031
     /* 1973031 */   GIM_Try, /*On fail goto*//*Label 26451*/ GIMT_Encode4(1973117), // Rule ID 61220 //
     /* 1973036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1973047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1973050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1973053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1973056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973082 */     // MIs[0] policy
     /* 1973082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973092 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1973095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973116 */     // GIR_Coverage, 61220,
     /* 1973116 */     GIR_EraseRootFromParent_Done,
     /* 1973117 */   // Label 26451: @1973117
     /* 1973117 */   GIM_Try, /*On fail goto*//*Label 26452*/ GIMT_Encode4(1973203), // Rule ID 61221 //
     /* 1973122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1973133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1973136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1973139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1973142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973168 */     // MIs[0] policy
     /* 1973168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973178 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1973181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973202 */     // GIR_Coverage, 61221,
     /* 1973202 */     GIR_EraseRootFromParent_Done,
     /* 1973203 */   // Label 26452: @1973203
     /* 1973203 */   GIM_Try, /*On fail goto*//*Label 26453*/ GIMT_Encode4(1973289), // Rule ID 61224 //
     /* 1973208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1973219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1973222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1973225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1973228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973254 */     // MIs[0] policy
     /* 1973254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973264 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1973267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973288 */     // GIR_Coverage, 61224,
     /* 1973288 */     GIR_EraseRootFromParent_Done,
     /* 1973289 */   // Label 26453: @1973289
     /* 1973289 */   GIM_Try, /*On fail goto*//*Label 26454*/ GIMT_Encode4(1973375), // Rule ID 61225 //
     /* 1973294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1973305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1973308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1973311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1973314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973340 */     // MIs[0] policy
     /* 1973340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973350 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1973353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973374 */     // GIR_Coverage, 61225,
     /* 1973374 */     GIR_EraseRootFromParent_Done,
     /* 1973375 */   // Label 26454: @1973375
     /* 1973375 */   GIM_Try, /*On fail goto*//*Label 26455*/ GIMT_Encode4(1973461), // Rule ID 61228 //
     /* 1973380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1973391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1973394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1973397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1973400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973426 */     // MIs[0] policy
     /* 1973426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1973439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973460 */     // GIR_Coverage, 61228,
     /* 1973460 */     GIR_EraseRootFromParent_Done,
     /* 1973461 */   // Label 26455: @1973461
     /* 1973461 */   GIM_Try, /*On fail goto*//*Label 26456*/ GIMT_Encode4(1973547), // Rule ID 61229 //
     /* 1973466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1973477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1973480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1973483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1973486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973512 */     // MIs[0] policy
     /* 1973512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973522 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1973525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973546 */     // GIR_Coverage, 61229,
     /* 1973546 */     GIR_EraseRootFromParent_Done,
     /* 1973547 */   // Label 26456: @1973547
     /* 1973547 */   GIM_Try, /*On fail goto*//*Label 26457*/ GIMT_Encode4(1973633), // Rule ID 61232 //
     /* 1973552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1973563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1973566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1973569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1973572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973598 */     // MIs[0] policy
     /* 1973598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973608 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1973611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973632 */     // GIR_Coverage, 61232,
     /* 1973632 */     GIR_EraseRootFromParent_Done,
     /* 1973633 */   // Label 26457: @1973633
     /* 1973633 */   GIM_Try, /*On fail goto*//*Label 26458*/ GIMT_Encode4(1973719), // Rule ID 61233 //
     /* 1973638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1973649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1973652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1973655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1973658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973684 */     // MIs[0] policy
     /* 1973684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973694 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1973697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973718 */     // GIR_Coverage, 61233,
     /* 1973718 */     GIR_EraseRootFromParent_Done,
     /* 1973719 */   // Label 26458: @1973719
     /* 1973719 */   GIM_Try, /*On fail goto*//*Label 26459*/ GIMT_Encode4(1973805), // Rule ID 61236 //
     /* 1973724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1973735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1973738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1973741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1973744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973770 */     // MIs[0] policy
     /* 1973770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973780 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1973783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973804 */     // GIR_Coverage, 61236,
     /* 1973804 */     GIR_EraseRootFromParent_Done,
     /* 1973805 */   // Label 26459: @1973805
     /* 1973805 */   GIM_Try, /*On fail goto*//*Label 26460*/ GIMT_Encode4(1973891), // Rule ID 61237 //
     /* 1973810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1973821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1973824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1973827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1973830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973856 */     // MIs[0] policy
     /* 1973856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973866 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1973869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973890 */     // GIR_Coverage, 61237,
     /* 1973890 */     GIR_EraseRootFromParent_Done,
     /* 1973891 */   // Label 26460: @1973891
     /* 1973891 */   GIM_Try, /*On fail goto*//*Label 26461*/ GIMT_Encode4(1973977), // Rule ID 61240 //
     /* 1973896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1973907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1973910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1973913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1973916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973942 */     // MIs[0] policy
     /* 1973942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1973955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973976 */     // GIR_Coverage, 61240,
     /* 1973976 */     GIR_EraseRootFromParent_Done,
     /* 1973977 */   // Label 26461: @1973977
     /* 1973977 */   GIM_Try, /*On fail goto*//*Label 26462*/ GIMT_Encode4(1974063), // Rule ID 61241 //
     /* 1973982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1973993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1973996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1973999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1974002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974028 */     // MIs[0] policy
     /* 1974028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974038 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1974041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974062 */     // GIR_Coverage, 61241,
     /* 1974062 */     GIR_EraseRootFromParent_Done,
     /* 1974063 */   // Label 26462: @1974063
     /* 1974063 */   GIM_Try, /*On fail goto*//*Label 26463*/ GIMT_Encode4(1974149), // Rule ID 61244 //
     /* 1974068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1974079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1974082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1974085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1974088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974114 */     // MIs[0] policy
     /* 1974114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1974127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974148 */     // GIR_Coverage, 61244,
     /* 1974148 */     GIR_EraseRootFromParent_Done,
     /* 1974149 */   // Label 26463: @1974149
     /* 1974149 */   GIM_Try, /*On fail goto*//*Label 26464*/ GIMT_Encode4(1974235), // Rule ID 61245 //
     /* 1974154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1974165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1974168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1974171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1974174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974200 */     // MIs[0] policy
     /* 1974200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974210 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1974213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974234 */     // GIR_Coverage, 61245,
     /* 1974234 */     GIR_EraseRootFromParent_Done,
     /* 1974235 */   // Label 26464: @1974235
     /* 1974235 */   GIM_Try, /*On fail goto*//*Label 26465*/ GIMT_Encode4(1974321), // Rule ID 61248 //
     /* 1974240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1974251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1974254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1974257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1974260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974286 */     // MIs[0] policy
     /* 1974286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974296 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1974299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974320 */     // GIR_Coverage, 61248,
     /* 1974320 */     GIR_EraseRootFromParent_Done,
     /* 1974321 */   // Label 26465: @1974321
     /* 1974321 */   GIM_Try, /*On fail goto*//*Label 26466*/ GIMT_Encode4(1974407), // Rule ID 61249 //
     /* 1974326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1974337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1974340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1974343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1974346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974372 */     // MIs[0] policy
     /* 1974372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1974385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974406 */     // GIR_Coverage, 61249,
     /* 1974406 */     GIR_EraseRootFromParent_Done,
     /* 1974407 */   // Label 26466: @1974407
     /* 1974407 */   GIM_Try, /*On fail goto*//*Label 26467*/ GIMT_Encode4(1974493), // Rule ID 61252 //
     /* 1974412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1974423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1974426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1974429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1974432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974458 */     // MIs[0] policy
     /* 1974458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1974471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974492 */     // GIR_Coverage, 61252,
     /* 1974492 */     GIR_EraseRootFromParent_Done,
     /* 1974493 */   // Label 26467: @1974493
     /* 1974493 */   GIM_Try, /*On fail goto*//*Label 26468*/ GIMT_Encode4(1974579), // Rule ID 61253 //
     /* 1974498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1974509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1974512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1974515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1974518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974544 */     // MIs[0] policy
     /* 1974544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974554 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1974557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974578 */     // GIR_Coverage, 61253,
     /* 1974578 */     GIR_EraseRootFromParent_Done,
     /* 1974579 */   // Label 26468: @1974579
     /* 1974579 */   GIM_Try, /*On fail goto*//*Label 26469*/ GIMT_Encode4(1974665), // Rule ID 61256 //
     /* 1974584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1974595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1974598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1974601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1974604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974630 */     // MIs[0] policy
     /* 1974630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1974643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974664 */     // GIR_Coverage, 61256,
     /* 1974664 */     GIR_EraseRootFromParent_Done,
     /* 1974665 */   // Label 26469: @1974665
     /* 1974665 */   GIM_Try, /*On fail goto*//*Label 26470*/ GIMT_Encode4(1974751), // Rule ID 61257 //
     /* 1974670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1974681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1974684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1974687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1974690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974716 */     // MIs[0] policy
     /* 1974716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974726 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1974729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974750 */     // GIR_Coverage, 61257,
     /* 1974750 */     GIR_EraseRootFromParent_Done,
     /* 1974751 */   // Label 26470: @1974751
     /* 1974751 */   GIM_Try, /*On fail goto*//*Label 26471*/ GIMT_Encode4(1974837), // Rule ID 61260 //
     /* 1974756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1974767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1974770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1974773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1974776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1974779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974802 */     // MIs[0] policy
     /* 1974802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974812 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1974815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974836 */     // GIR_Coverage, 61260,
     /* 1974836 */     GIR_EraseRootFromParent_Done,
     /* 1974837 */   // Label 26471: @1974837
     /* 1974837 */   GIM_Try, /*On fail goto*//*Label 26472*/ GIMT_Encode4(1974923), // Rule ID 61261 //
     /* 1974842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1974853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1974856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1974859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1974862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1974865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974888 */     // MIs[0] policy
     /* 1974888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974898 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1974901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974922 */     // GIR_Coverage, 61261,
     /* 1974922 */     GIR_EraseRootFromParent_Done,
     /* 1974923 */   // Label 26472: @1974923
     /* 1974923 */   GIM_Try, /*On fail goto*//*Label 26473*/ GIMT_Encode4(1975009), // Rule ID 61264 //
     /* 1974928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1974939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1974942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1974945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1974948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1974951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974974 */     // MIs[0] policy
     /* 1974974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974984 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1974987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975008 */     // GIR_Coverage, 61264,
     /* 1975008 */     GIR_EraseRootFromParent_Done,
     /* 1975009 */   // Label 26473: @1975009
     /* 1975009 */   GIM_Try, /*On fail goto*//*Label 26474*/ GIMT_Encode4(1975095), // Rule ID 61265 //
     /* 1975014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1975025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1975028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1975031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1975034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975060 */     // MIs[0] policy
     /* 1975060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975070 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1975073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975094 */     // GIR_Coverage, 61265,
     /* 1975094 */     GIR_EraseRootFromParent_Done,
     /* 1975095 */   // Label 26474: @1975095
     /* 1975095 */   GIM_Try, /*On fail goto*//*Label 26475*/ GIMT_Encode4(1975181), // Rule ID 61268 //
     /* 1975100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1975111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1975114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1975117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1975120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1975123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975146 */     // MIs[0] policy
     /* 1975146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975156 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1975159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975180 */     // GIR_Coverage, 61268,
     /* 1975180 */     GIR_EraseRootFromParent_Done,
     /* 1975181 */   // Label 26475: @1975181
     /* 1975181 */   GIM_Try, /*On fail goto*//*Label 26476*/ GIMT_Encode4(1975267), // Rule ID 61269 //
     /* 1975186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1975197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1975200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1975203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1975206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1975209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975232 */     // MIs[0] policy
     /* 1975232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975242 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1975245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975266 */     // GIR_Coverage, 61269,
     /* 1975266 */     GIR_EraseRootFromParent_Done,
     /* 1975267 */   // Label 26476: @1975267
     /* 1975267 */   GIM_Try, /*On fail goto*//*Label 26477*/ GIMT_Encode4(1975353), // Rule ID 61272 //
     /* 1975272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1975283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1975286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1975289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1975292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975318 */     // MIs[0] policy
     /* 1975318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975328 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1975331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975352 */     // GIR_Coverage, 61272,
     /* 1975352 */     GIR_EraseRootFromParent_Done,
     /* 1975353 */   // Label 26477: @1975353
     /* 1975353 */   GIM_Try, /*On fail goto*//*Label 26478*/ GIMT_Encode4(1975439), // Rule ID 61273 //
     /* 1975358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1975369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1975372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1975375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1975378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975404 */     // MIs[0] policy
     /* 1975404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975414 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1975417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975438 */     // GIR_Coverage, 61273,
     /* 1975438 */     GIR_EraseRootFromParent_Done,
     /* 1975439 */   // Label 26478: @1975439
     /* 1975439 */   GIM_Try, /*On fail goto*//*Label 26479*/ GIMT_Encode4(1975525), // Rule ID 61276 //
     /* 1975444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1975455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1975458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1975461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1975464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975490 */     // MIs[0] policy
     /* 1975490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975500 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1975503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975524 */     // GIR_Coverage, 61276,
     /* 1975524 */     GIR_EraseRootFromParent_Done,
     /* 1975525 */   // Label 26479: @1975525
     /* 1975525 */   GIM_Try, /*On fail goto*//*Label 26480*/ GIMT_Encode4(1975611), // Rule ID 61277 //
     /* 1975530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1975541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1975544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1975547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1975550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975576 */     // MIs[0] policy
     /* 1975576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975586 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1975589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975610 */     // GIR_Coverage, 61277,
     /* 1975610 */     GIR_EraseRootFromParent_Done,
     /* 1975611 */   // Label 26480: @1975611
     /* 1975611 */   GIM_Try, /*On fail goto*//*Label 26481*/ GIMT_Encode4(1975697), // Rule ID 61280 //
     /* 1975616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1975627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1975630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1975633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1975636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975662 */     // MIs[0] policy
     /* 1975662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975672 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1975675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975696 */     // GIR_Coverage, 61280,
     /* 1975696 */     GIR_EraseRootFromParent_Done,
     /* 1975697 */   // Label 26481: @1975697
     /* 1975697 */   GIM_Try, /*On fail goto*//*Label 26482*/ GIMT_Encode4(1975783), // Rule ID 61281 //
     /* 1975702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1975713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1975716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1975719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1975722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975748 */     // MIs[0] policy
     /* 1975748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1975761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975782 */     // GIR_Coverage, 61281,
     /* 1975782 */     GIR_EraseRootFromParent_Done,
     /* 1975783 */   // Label 26482: @1975783
     /* 1975783 */   GIM_Try, /*On fail goto*//*Label 26483*/ GIMT_Encode4(1975869), // Rule ID 61284 //
     /* 1975788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1975799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1975802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1975805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1975808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975834 */     // MIs[0] policy
     /* 1975834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1975847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975868 */     // GIR_Coverage, 61284,
     /* 1975868 */     GIR_EraseRootFromParent_Done,
     /* 1975869 */   // Label 26483: @1975869
     /* 1975869 */   GIM_Try, /*On fail goto*//*Label 26484*/ GIMT_Encode4(1975955), // Rule ID 61285 //
     /* 1975874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1975885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1975888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1975891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1975894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975920 */     // MIs[0] policy
     /* 1975920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1975933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975954 */     // GIR_Coverage, 61285,
     /* 1975954 */     GIR_EraseRootFromParent_Done,
     /* 1975955 */   // Label 26484: @1975955
     /* 1975955 */   GIM_Try, /*On fail goto*//*Label 26485*/ GIMT_Encode4(1976041), // Rule ID 61288 //
     /* 1975960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1975971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1975974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1975977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1975980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976006 */     // MIs[0] policy
     /* 1976006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976016 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1976019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976040 */     // GIR_Coverage, 61288,
     /* 1976040 */     GIR_EraseRootFromParent_Done,
     /* 1976041 */   // Label 26485: @1976041
     /* 1976041 */   GIM_Try, /*On fail goto*//*Label 26486*/ GIMT_Encode4(1976127), // Rule ID 61289 //
     /* 1976046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1976057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1976060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1976063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1976066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976092 */     // MIs[0] policy
     /* 1976092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976102 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1976105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976126 */     // GIR_Coverage, 61289,
     /* 1976126 */     GIR_EraseRootFromParent_Done,
     /* 1976127 */   // Label 26486: @1976127
     /* 1976127 */   GIM_Try, /*On fail goto*//*Label 26487*/ GIMT_Encode4(1976213), // Rule ID 61292 //
     /* 1976132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1976143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1976146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1976149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1976152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976178 */     // MIs[0] policy
     /* 1976178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976188 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1976191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976212 */     // GIR_Coverage, 61292,
     /* 1976212 */     GIR_EraseRootFromParent_Done,
     /* 1976213 */   // Label 26487: @1976213
     /* 1976213 */   GIM_Try, /*On fail goto*//*Label 26488*/ GIMT_Encode4(1976299), // Rule ID 61293 //
     /* 1976218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1976229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1976232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1976235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1976238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976264 */     // MIs[0] policy
     /* 1976264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976274 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1976277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976298 */     // GIR_Coverage, 61293,
     /* 1976298 */     GIR_EraseRootFromParent_Done,
     /* 1976299 */   // Label 26488: @1976299
     /* 1976299 */   GIM_Try, /*On fail goto*//*Label 26489*/ GIMT_Encode4(1976385), // Rule ID 61296 //
     /* 1976304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1976324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976350 */     // MIs[0] policy
     /* 1976350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976360 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1976363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976384 */     // GIR_Coverage, 61296,
     /* 1976384 */     GIR_EraseRootFromParent_Done,
     /* 1976385 */   // Label 26489: @1976385
     /* 1976385 */   GIM_Try, /*On fail goto*//*Label 26490*/ GIMT_Encode4(1976471), // Rule ID 61297 //
     /* 1976390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1976410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976436 */     // MIs[0] policy
     /* 1976436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1976449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976470 */     // GIR_Coverage, 61297,
     /* 1976470 */     GIR_EraseRootFromParent_Done,
     /* 1976471 */   // Label 26490: @1976471
     /* 1976471 */   GIM_Try, /*On fail goto*//*Label 26491*/ GIMT_Encode4(1976557), // Rule ID 61300 //
     /* 1976476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1976496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976522 */     // MIs[0] policy
     /* 1976522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976532 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1976535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976556 */     // GIR_Coverage, 61300,
     /* 1976556 */     GIR_EraseRootFromParent_Done,
     /* 1976557 */   // Label 26491: @1976557
     /* 1976557 */   GIM_Try, /*On fail goto*//*Label 26492*/ GIMT_Encode4(1976643), // Rule ID 61301 //
     /* 1976562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1976582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976608 */     // MIs[0] policy
     /* 1976608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976618 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1976621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976642 */     // GIR_Coverage, 61301,
     /* 1976642 */     GIR_EraseRootFromParent_Done,
     /* 1976643 */   // Label 26492: @1976643
     /* 1976643 */   GIM_Try, /*On fail goto*//*Label 26493*/ GIMT_Encode4(1976729), // Rule ID 61304 //
     /* 1976648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1976659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1976662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1976665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1976668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976694 */     // MIs[0] policy
     /* 1976694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976704 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1976707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976728 */     // GIR_Coverage, 61304,
     /* 1976728 */     GIR_EraseRootFromParent_Done,
     /* 1976729 */   // Label 26493: @1976729
     /* 1976729 */   GIM_Try, /*On fail goto*//*Label 26494*/ GIMT_Encode4(1976815), // Rule ID 61305 //
     /* 1976734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1976745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1976748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1976751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1976754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976780 */     // MIs[0] policy
     /* 1976780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976790 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1976793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976814 */     // GIR_Coverage, 61305,
     /* 1976814 */     GIR_EraseRootFromParent_Done,
     /* 1976815 */   // Label 26494: @1976815
     /* 1976815 */   GIM_Try, /*On fail goto*//*Label 26495*/ GIMT_Encode4(1976901), // Rule ID 61308 //
     /* 1976820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1976831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1976834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1976837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976866 */     // MIs[0] policy
     /* 1976866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976876 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1976879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976900 */     // GIR_Coverage, 61308,
     /* 1976900 */     GIR_EraseRootFromParent_Done,
     /* 1976901 */   // Label 26495: @1976901
     /* 1976901 */   GIM_Try, /*On fail goto*//*Label 26496*/ GIMT_Encode4(1976987), // Rule ID 61309 //
     /* 1976906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1976917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1976920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1976923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976952 */     // MIs[0] policy
     /* 1976952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976962 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1976965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976986 */     // GIR_Coverage, 61309,
     /* 1976986 */     GIR_EraseRootFromParent_Done,
     /* 1976987 */   // Label 26496: @1976987
     /* 1976987 */   GIM_Try, /*On fail goto*//*Label 26497*/ GIMT_Encode4(1977073), // Rule ID 61312 //
     /* 1976992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977038 */     // MIs[0] policy
     /* 1977038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977048 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1977051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977072 */     // GIR_Coverage, 61312,
     /* 1977072 */     GIR_EraseRootFromParent_Done,
     /* 1977073 */   // Label 26497: @1977073
     /* 1977073 */   GIM_Try, /*On fail goto*//*Label 26498*/ GIMT_Encode4(1977159), // Rule ID 61313 //
     /* 1977078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977124 */     // MIs[0] policy
     /* 1977124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977134 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1977137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977158 */     // GIR_Coverage, 61313,
     /* 1977158 */     GIR_EraseRootFromParent_Done,
     /* 1977159 */   // Label 26498: @1977159
     /* 1977159 */   GIM_Try, /*On fail goto*//*Label 26499*/ GIMT_Encode4(1977245), // Rule ID 61316 //
     /* 1977164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1977178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1977181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977210 */     // MIs[0] policy
     /* 1977210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977220 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1977223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977244 */     // GIR_Coverage, 61316,
     /* 1977244 */     GIR_EraseRootFromParent_Done,
     /* 1977245 */   // Label 26499: @1977245
     /* 1977245 */   GIM_Try, /*On fail goto*//*Label 26500*/ GIMT_Encode4(1977331), // Rule ID 61317 //
     /* 1977250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1977264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1977267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977296 */     // MIs[0] policy
     /* 1977296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977306 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1977309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977330 */     // GIR_Coverage, 61317,
     /* 1977330 */     GIR_EraseRootFromParent_Done,
     /* 1977331 */   // Label 26500: @1977331
     /* 1977331 */   GIM_Try, /*On fail goto*//*Label 26501*/ GIMT_Encode4(1977417), // Rule ID 61320 //
     /* 1977336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1977347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1977350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1977353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977382 */     // MIs[0] policy
     /* 1977382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1977395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977416 */     // GIR_Coverage, 61320,
     /* 1977416 */     GIR_EraseRootFromParent_Done,
     /* 1977417 */   // Label 26501: @1977417
     /* 1977417 */   GIM_Try, /*On fail goto*//*Label 26502*/ GIMT_Encode4(1977503), // Rule ID 61321 //
     /* 1977422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1977433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1977436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1977439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977468 */     // MIs[0] policy
     /* 1977468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977478 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1977481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977502 */     // GIR_Coverage, 61321,
     /* 1977502 */     GIR_EraseRootFromParent_Done,
     /* 1977503 */   // Label 26502: @1977503
     /* 1977503 */   GIM_Try, /*On fail goto*//*Label 26503*/ GIMT_Encode4(1977589), // Rule ID 61324 //
     /* 1977508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1977519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1977522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1977525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977554 */     // MIs[0] policy
     /* 1977554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977564 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1977567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977588 */     // GIR_Coverage, 61324,
     /* 1977588 */     GIR_EraseRootFromParent_Done,
     /* 1977589 */   // Label 26503: @1977589
     /* 1977589 */   GIM_Try, /*On fail goto*//*Label 26504*/ GIMT_Encode4(1977675), // Rule ID 61325 //
     /* 1977594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1977605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1977608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1977611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977640 */     // MIs[0] policy
     /* 1977640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977650 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1977653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977674 */     // GIR_Coverage, 61325,
     /* 1977674 */     GIR_EraseRootFromParent_Done,
     /* 1977675 */   // Label 26504: @1977675
     /* 1977675 */   GIM_Try, /*On fail goto*//*Label 26505*/ GIMT_Encode4(1977761), // Rule ID 61328 //
     /* 1977680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1977691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1977694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1977697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977726 */     // MIs[0] policy
     /* 1977726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1977739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977760 */     // GIR_Coverage, 61328,
     /* 1977760 */     GIR_EraseRootFromParent_Done,
     /* 1977761 */   // Label 26505: @1977761
     /* 1977761 */   GIM_Try, /*On fail goto*//*Label 26506*/ GIMT_Encode4(1977847), // Rule ID 61329 //
     /* 1977766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1977777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1977780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1977783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977812 */     // MIs[0] policy
     /* 1977812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1977825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977846 */     // GIR_Coverage, 61329,
     /* 1977846 */     GIR_EraseRootFromParent_Done,
     /* 1977847 */   // Label 26506: @1977847
     /* 1977847 */   GIM_Try, /*On fail goto*//*Label 26507*/ GIMT_Encode4(1977933), // Rule ID 61332 //
     /* 1977852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1977863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1977866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1977869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977898 */     // MIs[0] policy
     /* 1977898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1977911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977932 */     // GIR_Coverage, 61332,
     /* 1977932 */     GIR_EraseRootFromParent_Done,
     /* 1977933 */   // Label 26507: @1977933
     /* 1977933 */   GIM_Try, /*On fail goto*//*Label 26508*/ GIMT_Encode4(1978019), // Rule ID 61333 //
     /* 1977938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1977949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1977952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1977955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977984 */     // MIs[0] policy
     /* 1977984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977994 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1977997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978018 */     // GIR_Coverage, 61333,
     /* 1978018 */     GIR_EraseRootFromParent_Done,
     /* 1978019 */   // Label 26508: @1978019
     /* 1978019 */   GIM_Try, /*On fail goto*//*Label 26509*/ GIMT_Encode4(1978105), // Rule ID 61336 //
     /* 1978024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978070 */     // MIs[0] policy
     /* 1978070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1978083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978104 */     // GIR_Coverage, 61336,
     /* 1978104 */     GIR_EraseRootFromParent_Done,
     /* 1978105 */   // Label 26509: @1978105
     /* 1978105 */   GIM_Try, /*On fail goto*//*Label 26510*/ GIMT_Encode4(1978191), // Rule ID 61337 //
     /* 1978110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978156 */     // MIs[0] policy
     /* 1978156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978166 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1978169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978190 */     // GIR_Coverage, 61337,
     /* 1978190 */     GIR_EraseRootFromParent_Done,
     /* 1978191 */   // Label 26510: @1978191
     /* 1978191 */   GIM_Try, /*On fail goto*//*Label 26511*/ GIMT_Encode4(1978277), // Rule ID 61340 //
     /* 1978196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1978207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1978210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1978213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978242 */     // MIs[0] policy
     /* 1978242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1978255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978276 */     // GIR_Coverage, 61340,
     /* 1978276 */     GIR_EraseRootFromParent_Done,
     /* 1978277 */   // Label 26511: @1978277
     /* 1978277 */   GIM_Try, /*On fail goto*//*Label 26512*/ GIMT_Encode4(1978363), // Rule ID 61341 //
     /* 1978282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1978293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1978296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1978299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978328 */     // MIs[0] policy
     /* 1978328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978338 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1978341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978362 */     // GIR_Coverage, 61341,
     /* 1978362 */     GIR_EraseRootFromParent_Done,
     /* 1978363 */   // Label 26512: @1978363
     /* 1978363 */   GIM_Try, /*On fail goto*//*Label 26513*/ GIMT_Encode4(1978449), // Rule ID 61344 //
     /* 1978368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1978379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1978382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1978385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978414 */     // MIs[0] policy
     /* 1978414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1978427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978448 */     // GIR_Coverage, 61344,
     /* 1978448 */     GIR_EraseRootFromParent_Done,
     /* 1978449 */   // Label 26513: @1978449
     /* 1978449 */   GIM_Try, /*On fail goto*//*Label 26514*/ GIMT_Encode4(1978535), // Rule ID 61345 //
     /* 1978454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1978465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1978468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1978471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978500 */     // MIs[0] policy
     /* 1978500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978510 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1978513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978534 */     // GIR_Coverage, 61345,
     /* 1978534 */     GIR_EraseRootFromParent_Done,
     /* 1978535 */   // Label 26514: @1978535
     /* 1978535 */   GIM_Try, /*On fail goto*//*Label 26515*/ GIMT_Encode4(1978621), // Rule ID 61348 //
     /* 1978540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1978551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1978554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1978557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1978563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978586 */     // MIs[0] policy
     /* 1978586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1978599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978620 */     // GIR_Coverage, 61348,
     /* 1978620 */     GIR_EraseRootFromParent_Done,
     /* 1978621 */   // Label 26515: @1978621
     /* 1978621 */   GIM_Try, /*On fail goto*//*Label 26516*/ GIMT_Encode4(1978707), // Rule ID 61349 //
     /* 1978626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1978637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1978640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1978643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1978649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978672 */     // MIs[0] policy
     /* 1978672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978682 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1978685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978706 */     // GIR_Coverage, 61349,
     /* 1978706 */     GIR_EraseRootFromParent_Done,
     /* 1978707 */   // Label 26516: @1978707
     /* 1978707 */   GIM_Try, /*On fail goto*//*Label 26517*/ GIMT_Encode4(1978793), // Rule ID 61352 //
     /* 1978712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1978723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1978726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1978729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1978735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978758 */     // MIs[0] policy
     /* 1978758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978768 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1978771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978792 */     // GIR_Coverage, 61352,
     /* 1978792 */     GIR_EraseRootFromParent_Done,
     /* 1978793 */   // Label 26517: @1978793
     /* 1978793 */   GIM_Try, /*On fail goto*//*Label 26518*/ GIMT_Encode4(1978879), // Rule ID 61353 //
     /* 1978798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1978809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1978812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1978815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1978821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978844 */     // MIs[0] policy
     /* 1978844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978854 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1978857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978878 */     // GIR_Coverage, 61353,
     /* 1978878 */     GIR_EraseRootFromParent_Done,
     /* 1978879 */   // Label 26518: @1978879
     /* 1978879 */   GIM_Try, /*On fail goto*//*Label 26519*/ GIMT_Encode4(1978965), // Rule ID 61356 //
     /* 1978884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1978895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1978898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1978901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1978907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1978914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978930 */     // MIs[0] policy
     /* 1978930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978940 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1978943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978964 */     // GIR_Coverage, 61356,
     /* 1978964 */     GIR_EraseRootFromParent_Done,
     /* 1978965 */   // Label 26519: @1978965
     /* 1978965 */   GIM_Try, /*On fail goto*//*Label 26520*/ GIMT_Encode4(1979051), // Rule ID 61357 //
     /* 1978970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1978981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1978984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1978987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1978993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979016 */     // MIs[0] policy
     /* 1979016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979026 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1979029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979050 */     // GIR_Coverage, 61357,
     /* 1979050 */     GIR_EraseRootFromParent_Done,
     /* 1979051 */   // Label 26520: @1979051
     /* 1979051 */   GIM_Try, /*On fail goto*//*Label 26521*/ GIMT_Encode4(1979137), // Rule ID 61360 //
     /* 1979056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979102 */     // MIs[0] policy
     /* 1979102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979112 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1979115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979136 */     // GIR_Coverage, 61360,
     /* 1979136 */     GIR_EraseRootFromParent_Done,
     /* 1979137 */   // Label 26521: @1979137
     /* 1979137 */   GIM_Try, /*On fail goto*//*Label 26522*/ GIMT_Encode4(1979223), // Rule ID 61361 //
     /* 1979142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979188 */     // MIs[0] policy
     /* 1979188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979198 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1979201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979222 */     // GIR_Coverage, 61361,
     /* 1979222 */     GIR_EraseRootFromParent_Done,
     /* 1979223 */   // Label 26522: @1979223
     /* 1979223 */   GIM_Try, /*On fail goto*//*Label 26523*/ GIMT_Encode4(1979309), // Rule ID 61364 //
     /* 1979228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1979239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1979242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1979245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979274 */     // MIs[0] policy
     /* 1979274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979284 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1979287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979308 */     // GIR_Coverage, 61364,
     /* 1979308 */     GIR_EraseRootFromParent_Done,
     /* 1979309 */   // Label 26523: @1979309
     /* 1979309 */   GIM_Try, /*On fail goto*//*Label 26524*/ GIMT_Encode4(1979395), // Rule ID 61365 //
     /* 1979314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1979325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1979328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1979331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979360 */     // MIs[0] policy
     /* 1979360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979370 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1979373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979394 */     // GIR_Coverage, 61365,
     /* 1979394 */     GIR_EraseRootFromParent_Done,
     /* 1979395 */   // Label 26524: @1979395
     /* 1979395 */   GIM_Try, /*On fail goto*//*Label 26525*/ GIMT_Encode4(1979481), // Rule ID 61368 //
     /* 1979400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1979411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1979414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1979417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979446 */     // MIs[0] policy
     /* 1979446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979456 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1979459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979480 */     // GIR_Coverage, 61368,
     /* 1979480 */     GIR_EraseRootFromParent_Done,
     /* 1979481 */   // Label 26525: @1979481
     /* 1979481 */   GIM_Try, /*On fail goto*//*Label 26526*/ GIMT_Encode4(1979567), // Rule ID 61369 //
     /* 1979486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1979497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1979500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1979503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979532 */     // MIs[0] policy
     /* 1979532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1979545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979566 */     // GIR_Coverage, 61369,
     /* 1979566 */     GIR_EraseRootFromParent_Done,
     /* 1979567 */   // Label 26526: @1979567
     /* 1979567 */   GIM_Try, /*On fail goto*//*Label 26527*/ GIMT_Encode4(1979653), // Rule ID 61372 //
     /* 1979572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1979583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1979586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1979589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979618 */     // MIs[0] policy
     /* 1979618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979628 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1979631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979652 */     // GIR_Coverage, 61372,
     /* 1979652 */     GIR_EraseRootFromParent_Done,
     /* 1979653 */   // Label 26527: @1979653
     /* 1979653 */   GIM_Try, /*On fail goto*//*Label 26528*/ GIMT_Encode4(1979739), // Rule ID 61373 //
     /* 1979658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1979669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1979672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1979675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979704 */     // MIs[0] policy
     /* 1979704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979714 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1979717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979738 */     // GIR_Coverage, 61373,
     /* 1979738 */     GIR_EraseRootFromParent_Done,
     /* 1979739 */   // Label 26528: @1979739
     /* 1979739 */   GIM_Try, /*On fail goto*//*Label 26529*/ GIMT_Encode4(1979825), // Rule ID 61376 //
     /* 1979744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1979755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1979758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1979761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979790 */     // MIs[0] policy
     /* 1979790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1979803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979824 */     // GIR_Coverage, 61376,
     /* 1979824 */     GIR_EraseRootFromParent_Done,
     /* 1979825 */   // Label 26529: @1979825
     /* 1979825 */   GIM_Try, /*On fail goto*//*Label 26530*/ GIMT_Encode4(1979911), // Rule ID 61377 //
     /* 1979830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1979841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1979844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1979847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979876 */     // MIs[0] policy
     /* 1979876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1979889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979910 */     // GIR_Coverage, 61377,
     /* 1979910 */     GIR_EraseRootFromParent_Done,
     /* 1979911 */   // Label 26530: @1979911
     /* 1979911 */   GIM_Try, /*On fail goto*//*Label 26531*/ GIMT_Encode4(1979997), // Rule ID 61380 //
     /* 1979916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1979927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1979930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1979933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979962 */     // MIs[0] policy
     /* 1979962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1979975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979996 */     // GIR_Coverage, 61380,
     /* 1979996 */     GIR_EraseRootFromParent_Done,
     /* 1979997 */   // Label 26531: @1979997
     /* 1979997 */   GIM_Try, /*On fail goto*//*Label 26532*/ GIMT_Encode4(1980083), // Rule ID 61381 //
     /* 1980002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980048 */     // MIs[0] policy
     /* 1980048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1980061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980082 */     // GIR_Coverage, 61381,
     /* 1980082 */     GIR_EraseRootFromParent_Done,
     /* 1980083 */   // Label 26532: @1980083
     /* 1980083 */   GIM_Try, /*On fail goto*//*Label 26533*/ GIMT_Encode4(1980169), // Rule ID 61384 //
     /* 1980088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1980099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1980102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1980105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980134 */     // MIs[0] policy
     /* 1980134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1980147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980168 */     // GIR_Coverage, 61384,
     /* 1980168 */     GIR_EraseRootFromParent_Done,
     /* 1980169 */   // Label 26533: @1980169
     /* 1980169 */   GIM_Try, /*On fail goto*//*Label 26534*/ GIMT_Encode4(1980255), // Rule ID 61385 //
     /* 1980174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1980185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1980188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1980191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980220 */     // MIs[0] policy
     /* 1980220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980230 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1980233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980254 */     // GIR_Coverage, 61385,
     /* 1980254 */     GIR_EraseRootFromParent_Done,
     /* 1980255 */   // Label 26534: @1980255
     /* 1980255 */   GIM_Try, /*On fail goto*//*Label 26535*/ GIMT_Encode4(1980341), // Rule ID 61388 //
     /* 1980260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1980271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1980274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1980277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980306 */     // MIs[0] policy
     /* 1980306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1980319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980340 */     // GIR_Coverage, 61388,
     /* 1980340 */     GIR_EraseRootFromParent_Done,
     /* 1980341 */   // Label 26535: @1980341
     /* 1980341 */   GIM_Try, /*On fail goto*//*Label 26536*/ GIMT_Encode4(1980427), // Rule ID 61389 //
     /* 1980346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1980357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1980360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1980363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980392 */     // MIs[0] policy
     /* 1980392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1980405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980426 */     // GIR_Coverage, 61389,
     /* 1980426 */     GIR_EraseRootFromParent_Done,
     /* 1980427 */   // Label 26536: @1980427
     /* 1980427 */   GIM_Try, /*On fail goto*//*Label 26537*/ GIMT_Encode4(1980513), // Rule ID 61392 //
     /* 1980432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1980443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1980446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1980449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980478 */     // MIs[0] policy
     /* 1980478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980488 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1980491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980512 */     // GIR_Coverage, 61392,
     /* 1980512 */     GIR_EraseRootFromParent_Done,
     /* 1980513 */   // Label 26537: @1980513
     /* 1980513 */   GIM_Try, /*On fail goto*//*Label 26538*/ GIMT_Encode4(1980599), // Rule ID 61393 //
     /* 1980518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1980529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1980532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1980535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980564 */     // MIs[0] policy
     /* 1980564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1980577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980598 */     // GIR_Coverage, 61393,
     /* 1980598 */     GIR_EraseRootFromParent_Done,
     /* 1980599 */   // Label 26538: @1980599
     /* 1980599 */   GIM_Try, /*On fail goto*//*Label 26539*/ GIMT_Encode4(1980685), // Rule ID 61572 //
     /* 1980604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1980615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1980618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1980621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1980624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1980627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980650 */     // MIs[0] policy
     /* 1980650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980660 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1980663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980684 */     // GIR_Coverage, 61572,
     /* 1980684 */     GIR_EraseRootFromParent_Done,
     /* 1980685 */   // Label 26539: @1980685
     /* 1980685 */   GIM_Try, /*On fail goto*//*Label 26540*/ GIMT_Encode4(1980771), // Rule ID 61573 //
     /* 1980690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1980701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1980704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1980707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1980710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1980713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980736 */     // MIs[0] policy
     /* 1980736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980746 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1980749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980770 */     // GIR_Coverage, 61573,
     /* 1980770 */     GIR_EraseRootFromParent_Done,
     /* 1980771 */   // Label 26540: @1980771
     /* 1980771 */   GIM_Try, /*On fail goto*//*Label 26541*/ GIMT_Encode4(1980857), // Rule ID 61576 //
     /* 1980776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1980787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1980790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1980793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1980796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980822 */     // MIs[0] policy
     /* 1980822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980832 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1980835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980856 */     // GIR_Coverage, 61576,
     /* 1980856 */     GIR_EraseRootFromParent_Done,
     /* 1980857 */   // Label 26541: @1980857
     /* 1980857 */   GIM_Try, /*On fail goto*//*Label 26542*/ GIMT_Encode4(1980943), // Rule ID 61577 //
     /* 1980862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1980873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1980876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1980879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1980882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980908 */     // MIs[0] policy
     /* 1980908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980918 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1980921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980942 */     // GIR_Coverage, 61577,
     /* 1980942 */     GIR_EraseRootFromParent_Done,
     /* 1980943 */   // Label 26542: @1980943
     /* 1980943 */   GIM_Try, /*On fail goto*//*Label 26543*/ GIMT_Encode4(1981029), // Rule ID 61580 //
     /* 1980948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1980959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1980962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1980965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1980968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980994 */     // MIs[0] policy
     /* 1980994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981004 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1981007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981028 */     // GIR_Coverage, 61580,
     /* 1981028 */     GIR_EraseRootFromParent_Done,
     /* 1981029 */   // Label 26543: @1981029
     /* 1981029 */   GIM_Try, /*On fail goto*//*Label 26544*/ GIMT_Encode4(1981115), // Rule ID 61581 //
     /* 1981034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1981045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1981048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1981051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1981054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981080 */     // MIs[0] policy
     /* 1981080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981090 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1981093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981114 */     // GIR_Coverage, 61581,
     /* 1981114 */     GIR_EraseRootFromParent_Done,
     /* 1981115 */   // Label 26544: @1981115
     /* 1981115 */   GIM_Try, /*On fail goto*//*Label 26545*/ GIMT_Encode4(1981201), // Rule ID 61584 //
     /* 1981120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1981131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1981134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1981137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1981140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981166 */     // MIs[0] policy
     /* 1981166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981176 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1981179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981200 */     // GIR_Coverage, 61584,
     /* 1981200 */     GIR_EraseRootFromParent_Done,
     /* 1981201 */   // Label 26545: @1981201
     /* 1981201 */   GIM_Try, /*On fail goto*//*Label 26546*/ GIMT_Encode4(1981287), // Rule ID 61585 //
     /* 1981206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1981217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1981220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1981223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1981226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981252 */     // MIs[0] policy
     /* 1981252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981262 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1981265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981286 */     // GIR_Coverage, 61585,
     /* 1981286 */     GIR_EraseRootFromParent_Done,
     /* 1981287 */   // Label 26546: @1981287
     /* 1981287 */   GIM_Try, /*On fail goto*//*Label 26547*/ GIMT_Encode4(1981373), // Rule ID 61588 //
     /* 1981292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1981303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1981306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1981309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1981312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981338 */     // MIs[0] policy
     /* 1981338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981348 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1981351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981372 */     // GIR_Coverage, 61588,
     /* 1981372 */     GIR_EraseRootFromParent_Done,
     /* 1981373 */   // Label 26547: @1981373
     /* 1981373 */   GIM_Try, /*On fail goto*//*Label 26548*/ GIMT_Encode4(1981459), // Rule ID 61589 //
     /* 1981378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1981389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1981392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1981395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1981398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981424 */     // MIs[0] policy
     /* 1981424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1981437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981458 */     // GIR_Coverage, 61589,
     /* 1981458 */     GIR_EraseRootFromParent_Done,
     /* 1981459 */   // Label 26548: @1981459
     /* 1981459 */   GIM_Try, /*On fail goto*//*Label 26549*/ GIMT_Encode4(1981545), // Rule ID 61592 //
     /* 1981464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1981475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1981478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1981481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1981484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981510 */     // MIs[0] policy
     /* 1981510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981520 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1981523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981544 */     // GIR_Coverage, 61592,
     /* 1981544 */     GIR_EraseRootFromParent_Done,
     /* 1981545 */   // Label 26549: @1981545
     /* 1981545 */   GIM_Try, /*On fail goto*//*Label 26550*/ GIMT_Encode4(1981631), // Rule ID 61593 //
     /* 1981550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1981561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1981564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1981567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1981570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981596 */     // MIs[0] policy
     /* 1981596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1981609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981630 */     // GIR_Coverage, 61593,
     /* 1981630 */     GIR_EraseRootFromParent_Done,
     /* 1981631 */   // Label 26550: @1981631
     /* 1981631 */   GIM_Try, /*On fail goto*//*Label 26551*/ GIMT_Encode4(1981717), // Rule ID 61596 //
     /* 1981636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1981647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1981650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1981653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1981656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981682 */     // MIs[0] policy
     /* 1981682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1981695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981716 */     // GIR_Coverage, 61596,
     /* 1981716 */     GIR_EraseRootFromParent_Done,
     /* 1981717 */   // Label 26551: @1981717
     /* 1981717 */   GIM_Try, /*On fail goto*//*Label 26552*/ GIMT_Encode4(1981803), // Rule ID 61597 //
     /* 1981722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1981733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1981736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1981739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1981742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981768 */     // MIs[0] policy
     /* 1981768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1981781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981802 */     // GIR_Coverage, 61597,
     /* 1981802 */     GIR_EraseRootFromParent_Done,
     /* 1981803 */   // Label 26552: @1981803
     /* 1981803 */   GIM_Try, /*On fail goto*//*Label 26553*/ GIMT_Encode4(1981889), // Rule ID 61600 //
     /* 1981808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1981819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1981822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1981825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1981828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981854 */     // MIs[0] policy
     /* 1981854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1981867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981888 */     // GIR_Coverage, 61600,
     /* 1981888 */     GIR_EraseRootFromParent_Done,
     /* 1981889 */   // Label 26553: @1981889
     /* 1981889 */   GIM_Try, /*On fail goto*//*Label 26554*/ GIMT_Encode4(1981975), // Rule ID 61601 //
     /* 1981894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1981905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1981908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1981911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1981914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981940 */     // MIs[0] policy
     /* 1981940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981950 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1981953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981974 */     // GIR_Coverage, 61601,
     /* 1981974 */     GIR_EraseRootFromParent_Done,
     /* 1981975 */   // Label 26554: @1981975
     /* 1981975 */   GIM_Try, /*On fail goto*//*Label 26555*/ GIMT_Encode4(1982061), // Rule ID 61604 //
     /* 1981980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1981991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1981994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1981997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1982000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982026 */     // MIs[0] policy
     /* 1982026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1982039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982060 */     // GIR_Coverage, 61604,
     /* 1982060 */     GIR_EraseRootFromParent_Done,
     /* 1982061 */   // Label 26555: @1982061
     /* 1982061 */   GIM_Try, /*On fail goto*//*Label 26556*/ GIMT_Encode4(1982147), // Rule ID 61605 //
     /* 1982066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1982077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1982080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1982083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1982086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982112 */     // MIs[0] policy
     /* 1982112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982122 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1982125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982146 */     // GIR_Coverage, 61605,
     /* 1982146 */     GIR_EraseRootFromParent_Done,
     /* 1982147 */   // Label 26556: @1982147
     /* 1982147 */   GIM_Try, /*On fail goto*//*Label 26557*/ GIMT_Encode4(1982233), // Rule ID 61608 //
     /* 1982152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1982163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1982166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1982169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1982172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982198 */     // MIs[0] policy
     /* 1982198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982208 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1982211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982232 */     // GIR_Coverage, 61608,
     /* 1982232 */     GIR_EraseRootFromParent_Done,
     /* 1982233 */   // Label 26557: @1982233
     /* 1982233 */   GIM_Try, /*On fail goto*//*Label 26558*/ GIMT_Encode4(1982319), // Rule ID 61609 //
     /* 1982238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1982249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1982252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1982255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1982258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982284 */     // MIs[0] policy
     /* 1982284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982294 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1982297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982318 */     // GIR_Coverage, 61609,
     /* 1982318 */     GIR_EraseRootFromParent_Done,
     /* 1982319 */   // Label 26558: @1982319
     /* 1982319 */   GIM_Try, /*On fail goto*//*Label 26559*/ GIMT_Encode4(1982405), // Rule ID 61612 //
     /* 1982324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1982335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1982338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1982341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1982344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982370 */     // MIs[0] policy
     /* 1982370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982380 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1982383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982404 */     // GIR_Coverage, 61612,
     /* 1982404 */     GIR_EraseRootFromParent_Done,
     /* 1982405 */   // Label 26559: @1982405
     /* 1982405 */   GIM_Try, /*On fail goto*//*Label 26560*/ GIMT_Encode4(1982491), // Rule ID 61613 //
     /* 1982410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1982421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1982424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1982427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1982430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982456 */     // MIs[0] policy
     /* 1982456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982466 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1982469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982490 */     // GIR_Coverage, 61613,
     /* 1982490 */     GIR_EraseRootFromParent_Done,
     /* 1982491 */   // Label 26560: @1982491
     /* 1982491 */   GIM_Try, /*On fail goto*//*Label 26561*/ GIMT_Encode4(1982577), // Rule ID 61616 //
     /* 1982496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1982507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1982510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1982513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1982516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982542 */     // MIs[0] policy
     /* 1982542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1982555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982576 */     // GIR_Coverage, 61616,
     /* 1982576 */     GIR_EraseRootFromParent_Done,
     /* 1982577 */   // Label 26561: @1982577
     /* 1982577 */   GIM_Try, /*On fail goto*//*Label 26562*/ GIMT_Encode4(1982663), // Rule ID 61617 //
     /* 1982582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1982593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1982596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1982599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1982602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982628 */     // MIs[0] policy
     /* 1982628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982638 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1982641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982662 */     // GIR_Coverage, 61617,
     /* 1982662 */     GIR_EraseRootFromParent_Done,
     /* 1982663 */   // Label 26562: @1982663
     /* 1982663 */   GIM_Try, /*On fail goto*//*Label 26563*/ GIMT_Encode4(1982749), // Rule ID 61620 //
     /* 1982668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1982679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1982682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1982685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1982688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1982691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1982698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982714 */     // MIs[0] policy
     /* 1982714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982724 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1982727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982748 */     // GIR_Coverage, 61620,
     /* 1982748 */     GIR_EraseRootFromParent_Done,
     /* 1982749 */   // Label 26563: @1982749
     /* 1982749 */   GIM_Try, /*On fail goto*//*Label 26564*/ GIMT_Encode4(1982835), // Rule ID 61621 //
     /* 1982754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1982765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1982768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1982771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1982774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1982777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1982784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982800 */     // MIs[0] policy
     /* 1982800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982810 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1982813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982834 */     // GIR_Coverage, 61621,
     /* 1982834 */     GIR_EraseRootFromParent_Done,
     /* 1982835 */   // Label 26564: @1982835
     /* 1982835 */   GIM_Try, /*On fail goto*//*Label 26565*/ GIMT_Encode4(1982921), // Rule ID 61624 //
     /* 1982840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1982851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1982854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1982857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1982860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982886 */     // MIs[0] policy
     /* 1982886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1982899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982920 */     // GIR_Coverage, 61624,
     /* 1982920 */     GIR_EraseRootFromParent_Done,
     /* 1982921 */   // Label 26565: @1982921
     /* 1982921 */   GIM_Try, /*On fail goto*//*Label 26566*/ GIMT_Encode4(1983007), // Rule ID 61625 //
     /* 1982926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1982937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1982940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1982943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1982946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982972 */     // MIs[0] policy
     /* 1982972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982982 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1982985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983006 */     // GIR_Coverage, 61625,
     /* 1983006 */     GIR_EraseRootFromParent_Done,
     /* 1983007 */   // Label 26566: @1983007
     /* 1983007 */   GIM_Try, /*On fail goto*//*Label 26567*/ GIMT_Encode4(1983093), // Rule ID 61628 //
     /* 1983012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1983029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1983032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983058 */     // MIs[0] policy
     /* 1983058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983068 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1983071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983092 */     // GIR_Coverage, 61628,
     /* 1983092 */     GIR_EraseRootFromParent_Done,
     /* 1983093 */   // Label 26567: @1983093
     /* 1983093 */   GIM_Try, /*On fail goto*//*Label 26568*/ GIMT_Encode4(1983179), // Rule ID 61629 //
     /* 1983098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1983115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1983118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983144 */     // MIs[0] policy
     /* 1983144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983154 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1983157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983178 */     // GIR_Coverage, 61629,
     /* 1983178 */     GIR_EraseRootFromParent_Done,
     /* 1983179 */   // Label 26568: @1983179
     /* 1983179 */   GIM_Try, /*On fail goto*//*Label 26569*/ GIMT_Encode4(1983265), // Rule ID 61632 //
     /* 1983184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1983195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1983198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1983201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1983204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983230 */     // MIs[0] policy
     /* 1983230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983240 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1983243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983264 */     // GIR_Coverage, 61632,
     /* 1983264 */     GIR_EraseRootFromParent_Done,
     /* 1983265 */   // Label 26569: @1983265
     /* 1983265 */   GIM_Try, /*On fail goto*//*Label 26570*/ GIMT_Encode4(1983351), // Rule ID 61633 //
     /* 1983270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1983281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1983284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1983287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1983290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983316 */     // MIs[0] policy
     /* 1983316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1983329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983350 */     // GIR_Coverage, 61633,
     /* 1983350 */     GIR_EraseRootFromParent_Done,
     /* 1983351 */   // Label 26570: @1983351
     /* 1983351 */   GIM_Try, /*On fail goto*//*Label 26571*/ GIMT_Encode4(1983437), // Rule ID 61636 //
     /* 1983356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1983373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1983376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983402 */     // MIs[0] policy
     /* 1983402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983412 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1983415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983436 */     // GIR_Coverage, 61636,
     /* 1983436 */     GIR_EraseRootFromParent_Done,
     /* 1983437 */   // Label 26571: @1983437
     /* 1983437 */   GIM_Try, /*On fail goto*//*Label 26572*/ GIMT_Encode4(1983523), // Rule ID 61637 //
     /* 1983442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1983459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1983462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983488 */     // MIs[0] policy
     /* 1983488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983498 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1983501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983522 */     // GIR_Coverage, 61637,
     /* 1983522 */     GIR_EraseRootFromParent_Done,
     /* 1983523 */   // Label 26572: @1983523
     /* 1983523 */   GIM_Try, /*On fail goto*//*Label 26573*/ GIMT_Encode4(1983609), // Rule ID 61640 //
     /* 1983528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1983539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1983542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1983545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1983548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983574 */     // MIs[0] policy
     /* 1983574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1983587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983608 */     // GIR_Coverage, 61640,
     /* 1983608 */     GIR_EraseRootFromParent_Done,
     /* 1983609 */   // Label 26573: @1983609
     /* 1983609 */   GIM_Try, /*On fail goto*//*Label 26574*/ GIMT_Encode4(1983695), // Rule ID 61641 //
     /* 1983614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1983625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1983628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1983631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1983634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983660 */     // MIs[0] policy
     /* 1983660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1983673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983694 */     // GIR_Coverage, 61641,
     /* 1983694 */     GIR_EraseRootFromParent_Done,
     /* 1983695 */   // Label 26574: @1983695
     /* 1983695 */   GIM_Try, /*On fail goto*//*Label 26575*/ GIMT_Encode4(1983781), // Rule ID 61644 //
     /* 1983700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1983711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1983714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1983717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1983720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983746 */     // MIs[0] policy
     /* 1983746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983756 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1983759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983780 */     // GIR_Coverage, 61644,
     /* 1983780 */     GIR_EraseRootFromParent_Done,
     /* 1983781 */   // Label 26575: @1983781
     /* 1983781 */   GIM_Try, /*On fail goto*//*Label 26576*/ GIMT_Encode4(1983867), // Rule ID 61645 //
     /* 1983786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1983797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1983800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1983803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1983806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983832 */     // MIs[0] policy
     /* 1983832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983842 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1983845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983866 */     // GIR_Coverage, 61645,
     /* 1983866 */     GIR_EraseRootFromParent_Done,
     /* 1983867 */   // Label 26576: @1983867
     /* 1983867 */   GIM_Try, /*On fail goto*//*Label 26577*/ GIMT_Encode4(1983953), // Rule ID 61648 //
     /* 1983872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1983883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1983886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1983889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1983892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983918 */     // MIs[0] policy
     /* 1983918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983928 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1983931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983952 */     // GIR_Coverage, 61648,
     /* 1983952 */     GIR_EraseRootFromParent_Done,
     /* 1983953 */   // Label 26577: @1983953
     /* 1983953 */   GIM_Try, /*On fail goto*//*Label 26578*/ GIMT_Encode4(1984039), // Rule ID 61649 //
     /* 1983958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1983969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1983972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1983975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1983978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984004 */     // MIs[0] policy
     /* 1984004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984014 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1984017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984038 */     // GIR_Coverage, 61649,
     /* 1984038 */     GIR_EraseRootFromParent_Done,
     /* 1984039 */   // Label 26578: @1984039
     /* 1984039 */   GIM_Try, /*On fail goto*//*Label 26579*/ GIMT_Encode4(1984125), // Rule ID 61652 //
     /* 1984044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1984055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1984058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1984061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1984064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984090 */     // MIs[0] policy
     /* 1984090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984100 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1984103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984124 */     // GIR_Coverage, 61652,
     /* 1984124 */     GIR_EraseRootFromParent_Done,
     /* 1984125 */   // Label 26579: @1984125
     /* 1984125 */   GIM_Try, /*On fail goto*//*Label 26580*/ GIMT_Encode4(1984211), // Rule ID 61653 //
     /* 1984130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1984141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1984144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1984147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1984150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984176 */     // MIs[0] policy
     /* 1984176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1984189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984210 */     // GIR_Coverage, 61653,
     /* 1984210 */     GIR_EraseRootFromParent_Done,
     /* 1984211 */   // Label 26580: @1984211
     /* 1984211 */   GIM_Try, /*On fail goto*//*Label 26581*/ GIMT_Encode4(1984297), // Rule ID 61656 //
     /* 1984216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1984227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1984230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1984233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1984236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984262 */     // MIs[0] policy
     /* 1984262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1984275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984296 */     // GIR_Coverage, 61656,
     /* 1984296 */     GIR_EraseRootFromParent_Done,
     /* 1984297 */   // Label 26581: @1984297
     /* 1984297 */   GIM_Try, /*On fail goto*//*Label 26582*/ GIMT_Encode4(1984383), // Rule ID 61657 //
     /* 1984302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1984313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1984316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1984319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1984322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984348 */     // MIs[0] policy
     /* 1984348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1984361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984382 */     // GIR_Coverage, 61657,
     /* 1984382 */     GIR_EraseRootFromParent_Done,
     /* 1984383 */   // Label 26582: @1984383
     /* 1984383 */   GIM_Try, /*On fail goto*//*Label 26583*/ GIMT_Encode4(1984469), // Rule ID 61660 //
     /* 1984388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1984399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1984402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1984405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984434 */     // MIs[0] policy
     /* 1984434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984444 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1984447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984468 */     // GIR_Coverage, 61660,
     /* 1984468 */     GIR_EraseRootFromParent_Done,
     /* 1984469 */   // Label 26583: @1984469
     /* 1984469 */   GIM_Try, /*On fail goto*//*Label 26584*/ GIMT_Encode4(1984555), // Rule ID 61661 //
     /* 1984474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1984485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1984488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1984491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984520 */     // MIs[0] policy
     /* 1984520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984530 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1984533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984554 */     // GIR_Coverage, 61661,
     /* 1984554 */     GIR_EraseRootFromParent_Done,
     /* 1984555 */   // Label 26584: @1984555
     /* 1984555 */   GIM_Try, /*On fail goto*//*Label 26585*/ GIMT_Encode4(1984641), // Rule ID 61664 //
     /* 1984560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1984571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1984574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1984577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984606 */     // MIs[0] policy
     /* 1984606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1984619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984640 */     // GIR_Coverage, 61664,
     /* 1984640 */     GIR_EraseRootFromParent_Done,
     /* 1984641 */   // Label 26585: @1984641
     /* 1984641 */   GIM_Try, /*On fail goto*//*Label 26586*/ GIMT_Encode4(1984727), // Rule ID 61665 //
     /* 1984646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1984657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1984660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1984663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984692 */     // MIs[0] policy
     /* 1984692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1984705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984726 */     // GIR_Coverage, 61665,
     /* 1984726 */     GIR_EraseRootFromParent_Done,
     /* 1984727 */   // Label 26586: @1984727
     /* 1984727 */   GIM_Try, /*On fail goto*//*Label 26587*/ GIMT_Encode4(1984813), // Rule ID 61668 //
     /* 1984732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1984743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1984746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1984749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984778 */     // MIs[0] policy
     /* 1984778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984788 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1984791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984812 */     // GIR_Coverage, 61668,
     /* 1984812 */     GIR_EraseRootFromParent_Done,
     /* 1984813 */   // Label 26587: @1984813
     /* 1984813 */   GIM_Try, /*On fail goto*//*Label 26588*/ GIMT_Encode4(1984899), // Rule ID 61669 //
     /* 1984818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1984829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1984832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1984835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984864 */     // MIs[0] policy
     /* 1984864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984874 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1984877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984898 */     // GIR_Coverage, 61669,
     /* 1984898 */     GIR_EraseRootFromParent_Done,
     /* 1984899 */   // Label 26588: @1984899
     /* 1984899 */   GIM_Try, /*On fail goto*//*Label 26589*/ GIMT_Encode4(1984985), // Rule ID 61672 //
     /* 1984904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1984915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1984918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1984921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984950 */     // MIs[0] policy
     /* 1984950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984960 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1984963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984984 */     // GIR_Coverage, 61672,
     /* 1984984 */     GIR_EraseRootFromParent_Done,
     /* 1984985 */   // Label 26589: @1984985
     /* 1984985 */   GIM_Try, /*On fail goto*//*Label 26590*/ GIMT_Encode4(1985071), // Rule ID 61673 //
     /* 1984990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1985001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1985004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1985007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985036 */     // MIs[0] policy
     /* 1985036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1985049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985070 */     // GIR_Coverage, 61673,
     /* 1985070 */     GIR_EraseRootFromParent_Done,
     /* 1985071 */   // Label 26590: @1985071
     /* 1985071 */   GIM_Try, /*On fail goto*//*Label 26591*/ GIMT_Encode4(1985157), // Rule ID 61676 //
     /* 1985076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1985090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1985093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985122 */     // MIs[0] policy
     /* 1985122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1985135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985156 */     // GIR_Coverage, 61676,
     /* 1985156 */     GIR_EraseRootFromParent_Done,
     /* 1985157 */   // Label 26591: @1985157
     /* 1985157 */   GIM_Try, /*On fail goto*//*Label 26592*/ GIMT_Encode4(1985243), // Rule ID 61677 //
     /* 1985162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1985176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1985179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985208 */     // MIs[0] policy
     /* 1985208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1985221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985242 */     // GIR_Coverage, 61677,
     /* 1985242 */     GIR_EraseRootFromParent_Done,
     /* 1985243 */   // Label 26592: @1985243
     /* 1985243 */   GIM_Try, /*On fail goto*//*Label 26593*/ GIMT_Encode4(1985329), // Rule ID 61680 //
     /* 1985248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1985259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1985262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1985265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985294 */     // MIs[0] policy
     /* 1985294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985304 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1985307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985328 */     // GIR_Coverage, 61680,
     /* 1985328 */     GIR_EraseRootFromParent_Done,
     /* 1985329 */   // Label 26593: @1985329
     /* 1985329 */   GIM_Try, /*On fail goto*//*Label 26594*/ GIMT_Encode4(1985415), // Rule ID 61681 //
     /* 1985334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1985345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1985348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1985351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985380 */     // MIs[0] policy
     /* 1985380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1985393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985414 */     // GIR_Coverage, 61681,
     /* 1985414 */     GIR_EraseRootFromParent_Done,
     /* 1985415 */   // Label 26594: @1985415
     /* 1985415 */   GIM_Try, /*On fail goto*//*Label 26595*/ GIMT_Encode4(1985501), // Rule ID 61684 //
     /* 1985420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1985431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1985434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1985437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985466 */     // MIs[0] policy
     /* 1985466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985476 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985500 */     // GIR_Coverage, 61684,
     /* 1985500 */     GIR_EraseRootFromParent_Done,
     /* 1985501 */   // Label 26595: @1985501
     /* 1985501 */   GIM_Try, /*On fail goto*//*Label 26596*/ GIMT_Encode4(1985587), // Rule ID 61685 //
     /* 1985506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1985517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1985520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1985523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985552 */     // MIs[0] policy
     /* 1985552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985562 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11542:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985586 */     // GIR_Coverage, 61685,
     /* 1985586 */     GIR_EraseRootFromParent_Done,
     /* 1985587 */   // Label 26596: @1985587
     /* 1985587 */   GIM_Try, /*On fail goto*//*Label 26597*/ GIMT_Encode4(1985673), // Rule ID 61688 //
     /* 1985592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1985603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1985606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1985609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985638 */     // MIs[0] policy
     /* 1985638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985672 */     // GIR_Coverage, 61688,
     /* 1985672 */     GIR_EraseRootFromParent_Done,
     /* 1985673 */   // Label 26597: @1985673
     /* 1985673 */   GIM_Try, /*On fail goto*//*Label 26598*/ GIMT_Encode4(1985759), // Rule ID 61689 //
     /* 1985678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1985689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1985692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1985695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985724 */     // MIs[0] policy
     /* 1985724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985734 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985758 */     // GIR_Coverage, 61689,
     /* 1985758 */     GIR_EraseRootFromParent_Done,
     /* 1985759 */   // Label 26598: @1985759
     /* 1985759 */   GIM_Try, /*On fail goto*//*Label 26599*/ GIMT_Encode4(1985845), // Rule ID 61692 //
     /* 1985764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1985775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1985778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1985781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985810 */     // MIs[0] policy
     /* 1985810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985820 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985844 */     // GIR_Coverage, 61692,
     /* 1985844 */     GIR_EraseRootFromParent_Done,
     /* 1985845 */   // Label 26599: @1985845
     /* 1985845 */   GIM_Try, /*On fail goto*//*Label 26600*/ GIMT_Encode4(1985931), // Rule ID 61693 //
     /* 1985850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1985861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1985864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1985867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985896 */     // MIs[0] policy
     /* 1985896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985930 */     // GIR_Coverage, 61693,
     /* 1985930 */     GIR_EraseRootFromParent_Done,
     /* 1985931 */   // Label 26600: @1985931
     /* 1985931 */   GIM_Try, /*On fail goto*//*Label 26601*/ GIMT_Encode4(1986017), // Rule ID 61696 //
     /* 1985936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1985947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1985950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1985953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985982 */     // MIs[0] policy
     /* 1985982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1985995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986016 */     // GIR_Coverage, 61696,
     /* 1986016 */     GIR_EraseRootFromParent_Done,
     /* 1986017 */   // Label 26601: @1986017
     /* 1986017 */   GIM_Try, /*On fail goto*//*Label 26602*/ GIMT_Encode4(1986103), // Rule ID 61697 //
     /* 1986022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1986033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1986036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1986039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986068 */     // MIs[0] policy
     /* 1986068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1986081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986102 */     // GIR_Coverage, 61697,
     /* 1986102 */     GIR_EraseRootFromParent_Done,
     /* 1986103 */   // Label 26602: @1986103
     /* 1986103 */   GIM_Try, /*On fail goto*//*Label 26603*/ GIMT_Encode4(1986189), // Rule ID 61700 //
     /* 1986108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1986119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1986122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1986125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986154 */     // MIs[0] policy
     /* 1986154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986164 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1986167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986188 */     // GIR_Coverage, 61700,
     /* 1986188 */     GIR_EraseRootFromParent_Done,
     /* 1986189 */   // Label 26603: @1986189
     /* 1986189 */   GIM_Try, /*On fail goto*//*Label 26604*/ GIMT_Encode4(1986275), // Rule ID 61701 //
     /* 1986194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1986205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1986208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1986211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986240 */     // MIs[0] policy
     /* 1986240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986250 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1986253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986274 */     // GIR_Coverage, 61701,
     /* 1986274 */     GIR_EraseRootFromParent_Done,
     /* 1986275 */   // Label 26604: @1986275
     /* 1986275 */   GIM_Try, /*On fail goto*//*Label 26605*/ GIMT_Encode4(1986361), // Rule ID 61704 //
     /* 1986280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1986291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1986294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1986297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986326 */     // MIs[0] policy
     /* 1986326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986336 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1986339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986360 */     // GIR_Coverage, 61704,
     /* 1986360 */     GIR_EraseRootFromParent_Done,
     /* 1986361 */   // Label 26605: @1986361
     /* 1986361 */   GIM_Try, /*On fail goto*//*Label 26606*/ GIMT_Encode4(1986447), // Rule ID 61705 //
     /* 1986366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1986377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1986380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1986383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986412 */     // MIs[0] policy
     /* 1986412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1986425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986446 */     // GIR_Coverage, 61705,
     /* 1986446 */     GIR_EraseRootFromParent_Done,
     /* 1986447 */   // Label 26606: @1986447
     /* 1986447 */   GIM_Try, /*On fail goto*//*Label 26607*/ GIMT_Encode4(1986533), // Rule ID 61708 //
     /* 1986452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1986463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1986466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1986469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1986475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986498 */     // MIs[0] policy
     /* 1986498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986508 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1986511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986532 */     // GIR_Coverage, 61708,
     /* 1986532 */     GIR_EraseRootFromParent_Done,
     /* 1986533 */   // Label 26607: @1986533
     /* 1986533 */   GIM_Try, /*On fail goto*//*Label 26608*/ GIMT_Encode4(1986619), // Rule ID 61709 //
     /* 1986538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1986549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1986552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1986555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1986561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986584 */     // MIs[0] policy
     /* 1986584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986594 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1986597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986618 */     // GIR_Coverage, 61709,
     /* 1986618 */     GIR_EraseRootFromParent_Done,
     /* 1986619 */   // Label 26608: @1986619
     /* 1986619 */   GIM_Try, /*On fail goto*//*Label 26609*/ GIMT_Encode4(1986705), // Rule ID 61712 //
     /* 1986624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1986635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1986638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1986641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986670 */     // MIs[0] policy
     /* 1986670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986680 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1986683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986704 */     // GIR_Coverage, 61712,
     /* 1986704 */     GIR_EraseRootFromParent_Done,
     /* 1986705 */   // Label 26609: @1986705
     /* 1986705 */   GIM_Try, /*On fail goto*//*Label 26610*/ GIMT_Encode4(1986791), // Rule ID 61713 //
     /* 1986710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1986721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1986724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1986727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986756 */     // MIs[0] policy
     /* 1986756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986766 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1986769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986790 */     // GIR_Coverage, 61713,
     /* 1986790 */     GIR_EraseRootFromParent_Done,
     /* 1986791 */   // Label 26610: @1986791
     /* 1986791 */   GIM_Try, /*On fail goto*//*Label 26611*/ GIMT_Encode4(1986877), // Rule ID 61716 //
     /* 1986796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1986807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1986810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1986813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986842 */     // MIs[0] policy
     /* 1986842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986852 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1986855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986876 */     // GIR_Coverage, 61716,
     /* 1986876 */     GIR_EraseRootFromParent_Done,
     /* 1986877 */   // Label 26611: @1986877
     /* 1986877 */   GIM_Try, /*On fail goto*//*Label 26612*/ GIMT_Encode4(1986963), // Rule ID 61717 //
     /* 1986882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1986893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1986896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1986899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986928 */     // MIs[0] policy
     /* 1986928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986938 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1986941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986962 */     // GIR_Coverage, 61717,
     /* 1986962 */     GIR_EraseRootFromParent_Done,
     /* 1986963 */   // Label 26612: @1986963
     /* 1986963 */   GIM_Try, /*On fail goto*//*Label 26613*/ GIMT_Encode4(1987049), // Rule ID 61720 //
     /* 1986968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1986979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1986982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1986985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987014 */     // MIs[0] policy
     /* 1987014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1987027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987048 */     // GIR_Coverage, 61720,
     /* 1987048 */     GIR_EraseRootFromParent_Done,
     /* 1987049 */   // Label 26613: @1987049
     /* 1987049 */   GIM_Try, /*On fail goto*//*Label 26614*/ GIMT_Encode4(1987135), // Rule ID 61721 //
     /* 1987054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1987065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1987068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1987071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987100 */     // MIs[0] policy
     /* 1987100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987110 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1987113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987134 */     // GIR_Coverage, 61721,
     /* 1987134 */     GIR_EraseRootFromParent_Done,
     /* 1987135 */   // Label 26614: @1987135
     /* 1987135 */   GIM_Try, /*On fail goto*//*Label 26615*/ GIMT_Encode4(1987221), // Rule ID 61724 //
     /* 1987140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1987157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987186 */     // MIs[0] policy
     /* 1987186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1987199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987220 */     // GIR_Coverage, 61724,
     /* 1987220 */     GIR_EraseRootFromParent_Done,
     /* 1987221 */   // Label 26615: @1987221
     /* 1987221 */   GIM_Try, /*On fail goto*//*Label 26616*/ GIMT_Encode4(1987307), // Rule ID 61725 //
     /* 1987226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1987243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987272 */     // MIs[0] policy
     /* 1987272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987282 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1987285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987306 */     // GIR_Coverage, 61725,
     /* 1987306 */     GIR_EraseRootFromParent_Done,
     /* 1987307 */   // Label 26616: @1987307
     /* 1987307 */   GIM_Try, /*On fail goto*//*Label 26617*/ GIMT_Encode4(1987393), // Rule ID 61728 //
     /* 1987312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1987323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1987326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1987329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987358 */     // MIs[0] policy
     /* 1987358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1987371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987392 */     // GIR_Coverage, 61728,
     /* 1987392 */     GIR_EraseRootFromParent_Done,
     /* 1987393 */   // Label 26617: @1987393
     /* 1987393 */   GIM_Try, /*On fail goto*//*Label 26618*/ GIMT_Encode4(1987479), // Rule ID 61729 //
     /* 1987398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1987409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1987412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1987415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987444 */     // MIs[0] policy
     /* 1987444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987454 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1987457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987478 */     // GIR_Coverage, 61729,
     /* 1987478 */     GIR_EraseRootFromParent_Done,
     /* 1987479 */   // Label 26618: @1987479
     /* 1987479 */   GIM_Try, /*On fail goto*//*Label 26619*/ GIMT_Encode4(1987565), // Rule ID 61732 //
     /* 1987484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1987495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1987498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1987501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987530 */     // MIs[0] policy
     /* 1987530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987540 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1987543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987564 */     // GIR_Coverage, 61732,
     /* 1987564 */     GIR_EraseRootFromParent_Done,
     /* 1987565 */   // Label 26619: @1987565
     /* 1987565 */   GIM_Try, /*On fail goto*//*Label 26620*/ GIMT_Encode4(1987651), // Rule ID 61733 //
     /* 1987570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1987581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1987584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1987587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987616 */     // MIs[0] policy
     /* 1987616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1987629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987650 */     // GIR_Coverage, 61733,
     /* 1987650 */     GIR_EraseRootFromParent_Done,
     /* 1987651 */   // Label 26620: @1987651
     /* 1987651 */   GIM_Try, /*On fail goto*//*Label 26621*/ GIMT_Encode4(1987737), // Rule ID 61736 //
     /* 1987656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1987667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1987670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1987673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1987679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987702 */     // MIs[0] policy
     /* 1987702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987712 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1987715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987736 */     // GIR_Coverage, 61736,
     /* 1987736 */     GIR_EraseRootFromParent_Done,
     /* 1987737 */   // Label 26621: @1987737
     /* 1987737 */   GIM_Try, /*On fail goto*//*Label 26622*/ GIMT_Encode4(1987823), // Rule ID 61737 //
     /* 1987742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1987753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1987756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1987759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1987765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987788 */     // MIs[0] policy
     /* 1987788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987798 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1987801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987822 */     // GIR_Coverage, 61737,
     /* 1987822 */     GIR_EraseRootFromParent_Done,
     /* 1987823 */   // Label 26622: @1987823
     /* 1987823 */   GIM_Try, /*On fail goto*//*Label 26623*/ GIMT_Encode4(1987909), // Rule ID 61740 //
     /* 1987828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1987839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1987842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1987845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987874 */     // MIs[0] policy
     /* 1987874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987884 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1987887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987908 */     // GIR_Coverage, 61740,
     /* 1987908 */     GIR_EraseRootFromParent_Done,
     /* 1987909 */   // Label 26623: @1987909
     /* 1987909 */   GIM_Try, /*On fail goto*//*Label 26624*/ GIMT_Encode4(1987995), // Rule ID 61741 //
     /* 1987914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1987925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1987928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1987931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987960 */     // MIs[0] policy
     /* 1987960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987970 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1987973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987994 */     // GIR_Coverage, 61741,
     /* 1987994 */     GIR_EraseRootFromParent_Done,
     /* 1987995 */   // Label 26624: @1987995
     /* 1987995 */   GIM_Try, /*On fail goto*//*Label 26625*/ GIMT_Encode4(1988081), // Rule ID 61744 //
     /* 1988000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1988011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1988014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1988017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988046 */     // MIs[0] policy
     /* 1988046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988056 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1988059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988080 */     // GIR_Coverage, 61744,
     /* 1988080 */     GIR_EraseRootFromParent_Done,
     /* 1988081 */   // Label 26625: @1988081
     /* 1988081 */   GIM_Try, /*On fail goto*//*Label 26626*/ GIMT_Encode4(1988167), // Rule ID 61745 //
     /* 1988086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1988097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1988100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1988103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988132 */     // MIs[0] policy
     /* 1988132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1988145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988166 */     // GIR_Coverage, 61745,
     /* 1988166 */     GIR_EraseRootFromParent_Done,
     /* 1988167 */   // Label 26626: @1988167
     /* 1988167 */   GIM_Try, /*On fail goto*//*Label 26627*/ GIMT_Encode4(1988253), // Rule ID 61832 //
     /* 1988172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1988183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1988186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1988189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1988192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988218 */     // MIs[0] policy
     /* 1988218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988228 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1988231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988252 */     // GIR_Coverage, 61832,
     /* 1988252 */     GIR_EraseRootFromParent_Done,
     /* 1988253 */   // Label 26627: @1988253
     /* 1988253 */   GIM_Try, /*On fail goto*//*Label 26628*/ GIMT_Encode4(1988339), // Rule ID 61833 //
     /* 1988258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1988269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1988272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1988275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1988278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988304 */     // MIs[0] policy
     /* 1988304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988314 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1988317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988338 */     // GIR_Coverage, 61833,
     /* 1988338 */     GIR_EraseRootFromParent_Done,
     /* 1988339 */   // Label 26628: @1988339
     /* 1988339 */   GIM_Try, /*On fail goto*//*Label 26629*/ GIMT_Encode4(1988425), // Rule ID 61836 //
     /* 1988344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1988355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1988358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1988361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1988364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988390 */     // MIs[0] policy
     /* 1988390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988400 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1988403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988424 */     // GIR_Coverage, 61836,
     /* 1988424 */     GIR_EraseRootFromParent_Done,
     /* 1988425 */   // Label 26629: @1988425
     /* 1988425 */   GIM_Try, /*On fail goto*//*Label 26630*/ GIMT_Encode4(1988511), // Rule ID 61837 //
     /* 1988430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1988441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1988444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1988447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1988450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988476 */     // MIs[0] policy
     /* 1988476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988486 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1988489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988510 */     // GIR_Coverage, 61837,
     /* 1988510 */     GIR_EraseRootFromParent_Done,
     /* 1988511 */   // Label 26630: @1988511
     /* 1988511 */   GIM_Try, /*On fail goto*//*Label 26631*/ GIMT_Encode4(1988597), // Rule ID 61840 //
     /* 1988516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1988527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1988530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1988533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1988536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988562 */     // MIs[0] policy
     /* 1988562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1988575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988596 */     // GIR_Coverage, 61840,
     /* 1988596 */     GIR_EraseRootFromParent_Done,
     /* 1988597 */   // Label 26631: @1988597
     /* 1988597 */   GIM_Try, /*On fail goto*//*Label 26632*/ GIMT_Encode4(1988683), // Rule ID 61841 //
     /* 1988602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1988613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1988616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1988619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1988622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988648 */     // MIs[0] policy
     /* 1988648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988658 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1988661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988682 */     // GIR_Coverage, 61841,
     /* 1988682 */     GIR_EraseRootFromParent_Done,
     /* 1988683 */   // Label 26632: @1988683
     /* 1988683 */   GIM_Try, /*On fail goto*//*Label 26633*/ GIMT_Encode4(1988769), // Rule ID 61844 //
     /* 1988688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1988699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1988702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1988705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1988708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988734 */     // MIs[0] policy
     /* 1988734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988744 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1988747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988768 */     // GIR_Coverage, 61844,
     /* 1988768 */     GIR_EraseRootFromParent_Done,
     /* 1988769 */   // Label 26633: @1988769
     /* 1988769 */   GIM_Try, /*On fail goto*//*Label 26634*/ GIMT_Encode4(1988855), // Rule ID 61845 //
     /* 1988774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1988785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1988788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1988791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1988794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988820 */     // MIs[0] policy
     /* 1988820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988830 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1988833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988854 */     // GIR_Coverage, 61845,
     /* 1988854 */     GIR_EraseRootFromParent_Done,
     /* 1988855 */   // Label 26634: @1988855
     /* 1988855 */   GIM_Try, /*On fail goto*//*Label 26635*/ GIMT_Encode4(1988941), // Rule ID 61848 //
     /* 1988860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1988871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1988874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1988877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1988880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988906 */     // MIs[0] policy
     /* 1988906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1988919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988940 */     // GIR_Coverage, 61848,
     /* 1988940 */     GIR_EraseRootFromParent_Done,
     /* 1988941 */   // Label 26635: @1988941
     /* 1988941 */   GIM_Try, /*On fail goto*//*Label 26636*/ GIMT_Encode4(1989027), // Rule ID 61849 //
     /* 1988946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1988957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1988960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1988963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1988966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988992 */     // MIs[0] policy
     /* 1988992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989002 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1989005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989026 */     // GIR_Coverage, 61849,
     /* 1989026 */     GIR_EraseRootFromParent_Done,
     /* 1989027 */   // Label 26636: @1989027
     /* 1989027 */   GIM_Try, /*On fail goto*//*Label 26637*/ GIMT_Encode4(1989113), // Rule ID 61852 //
     /* 1989032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1989049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1989052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989078 */     // MIs[0] policy
     /* 1989078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989088 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1989091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989112 */     // GIR_Coverage, 61852,
     /* 1989112 */     GIR_EraseRootFromParent_Done,
     /* 1989113 */   // Label 26637: @1989113
     /* 1989113 */   GIM_Try, /*On fail goto*//*Label 26638*/ GIMT_Encode4(1989199), // Rule ID 61853 //
     /* 1989118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1989135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1989138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989164 */     // MIs[0] policy
     /* 1989164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989174 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1989177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989198 */     // GIR_Coverage, 61853,
     /* 1989198 */     GIR_EraseRootFromParent_Done,
     /* 1989199 */   // Label 26638: @1989199
     /* 1989199 */   GIM_Try, /*On fail goto*//*Label 26639*/ GIMT_Encode4(1989285), // Rule ID 61856 //
     /* 1989204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1989215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1989218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1989221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1989224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989250 */     // MIs[0] policy
     /* 1989250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989260 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1989263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989284 */     // GIR_Coverage, 61856,
     /* 1989284 */     GIR_EraseRootFromParent_Done,
     /* 1989285 */   // Label 26639: @1989285
     /* 1989285 */   GIM_Try, /*On fail goto*//*Label 26640*/ GIMT_Encode4(1989371), // Rule ID 61857 //
     /* 1989290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1989301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1989304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1989307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1989310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989336 */     // MIs[0] policy
     /* 1989336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989346 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1989349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989370 */     // GIR_Coverage, 61857,
     /* 1989370 */     GIR_EraseRootFromParent_Done,
     /* 1989371 */   // Label 26640: @1989371
     /* 1989371 */   GIM_Try, /*On fail goto*//*Label 26641*/ GIMT_Encode4(1989457), // Rule ID 61860 //
     /* 1989376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1989387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1989390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1989393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1989396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989422 */     // MIs[0] policy
     /* 1989422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1989435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989456 */     // GIR_Coverage, 61860,
     /* 1989456 */     GIR_EraseRootFromParent_Done,
     /* 1989457 */   // Label 26641: @1989457
     /* 1989457 */   GIM_Try, /*On fail goto*//*Label 26642*/ GIMT_Encode4(1989543), // Rule ID 61861 //
     /* 1989462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1989473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1989476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1989479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1989482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989508 */     // MIs[0] policy
     /* 1989508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989518 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1989521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989542 */     // GIR_Coverage, 61861,
     /* 1989542 */     GIR_EraseRootFromParent_Done,
     /* 1989543 */   // Label 26642: @1989543
     /* 1989543 */   GIM_Try, /*On fail goto*//*Label 26643*/ GIMT_Encode4(1989629), // Rule ID 61864 //
     /* 1989548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1989565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1989568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989594 */     // MIs[0] policy
     /* 1989594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1989607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989628 */     // GIR_Coverage, 61864,
     /* 1989628 */     GIR_EraseRootFromParent_Done,
     /* 1989629 */   // Label 26643: @1989629
     /* 1989629 */   GIM_Try, /*On fail goto*//*Label 26644*/ GIMT_Encode4(1989715), // Rule ID 61865 //
     /* 1989634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1989651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1989654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989680 */     // MIs[0] policy
     /* 1989680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1989693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989714 */     // GIR_Coverage, 61865,
     /* 1989714 */     GIR_EraseRootFromParent_Done,
     /* 1989715 */   // Label 26644: @1989715
     /* 1989715 */   GIM_Try, /*On fail goto*//*Label 26645*/ GIMT_Encode4(1989801), // Rule ID 61868 //
     /* 1989720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1989731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1989734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1989737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1989740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989766 */     // MIs[0] policy
     /* 1989766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1989779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1989797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989800 */     // GIR_Coverage, 61868,
     /* 1989800 */     GIR_EraseRootFromParent_Done,
     /* 1989801 */   // Label 26645: @1989801
     /* 1989801 */   GIM_Try, /*On fail goto*//*Label 26646*/ GIMT_Encode4(1989887), // Rule ID 61869 //
     /* 1989806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1989817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1989820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1989823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1989826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989852 */     // MIs[0] policy
     /* 1989852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989862 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1989865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1989883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989886 */     // GIR_Coverage, 61869,
     /* 1989886 */     GIR_EraseRootFromParent_Done,
     /* 1989887 */   // Label 26646: @1989887
     /* 1989887 */   GIM_Try, /*On fail goto*//*Label 26647*/ GIMT_Encode4(1989973), // Rule ID 61872 //
     /* 1989892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1989903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1989906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1989909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989938 */     // MIs[0] policy
     /* 1989938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989948 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1989951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989972 */     // GIR_Coverage, 61872,
     /* 1989972 */     GIR_EraseRootFromParent_Done,
     /* 1989973 */   // Label 26647: @1989973
     /* 1989973 */   GIM_Try, /*On fail goto*//*Label 26648*/ GIMT_Encode4(1990059), // Rule ID 61873 //
     /* 1989978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1989989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1989992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1989995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990024 */     // MIs[0] policy
     /* 1990024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990034 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1990037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990058 */     // GIR_Coverage, 61873,
     /* 1990058 */     GIR_EraseRootFromParent_Done,
     /* 1990059 */   // Label 26648: @1990059
     /* 1990059 */   GIM_Try, /*On fail goto*//*Label 26649*/ GIMT_Encode4(1990145), // Rule ID 61876 //
     /* 1990064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1990075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1990078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1990081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990110 */     // MIs[0] policy
     /* 1990110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990120 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1990123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990144 */     // GIR_Coverage, 61876,
     /* 1990144 */     GIR_EraseRootFromParent_Done,
     /* 1990145 */   // Label 26649: @1990145
     /* 1990145 */   GIM_Try, /*On fail goto*//*Label 26650*/ GIMT_Encode4(1990231), // Rule ID 61877 //
     /* 1990150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1990161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1990164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1990167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990196 */     // MIs[0] policy
     /* 1990196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990206 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1990209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990230 */     // GIR_Coverage, 61877,
     /* 1990230 */     GIR_EraseRootFromParent_Done,
     /* 1990231 */   // Label 26650: @1990231
     /* 1990231 */   GIM_Try, /*On fail goto*//*Label 26651*/ GIMT_Encode4(1990317), // Rule ID 61880 //
     /* 1990236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1990247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1990250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1990253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1990256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990282 */     // MIs[0] policy
     /* 1990282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990292 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1990295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990316 */     // GIR_Coverage, 61880,
     /* 1990316 */     GIR_EraseRootFromParent_Done,
     /* 1990317 */   // Label 26651: @1990317
     /* 1990317 */   GIM_Try, /*On fail goto*//*Label 26652*/ GIMT_Encode4(1990403), // Rule ID 61881 //
     /* 1990322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1990333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1990336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1990339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1990342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990368 */     // MIs[0] policy
     /* 1990368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990378 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1990381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990402 */     // GIR_Coverage, 61881,
     /* 1990402 */     GIR_EraseRootFromParent_Done,
     /* 1990403 */   // Label 26652: @1990403
     /* 1990403 */   GIM_Try, /*On fail goto*//*Label 26653*/ GIMT_Encode4(1990489), // Rule ID 61884 //
     /* 1990408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1990419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1990422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1990425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1990428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990454 */     // MIs[0] policy
     /* 1990454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990464 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1990467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990488 */     // GIR_Coverage, 61884,
     /* 1990488 */     GIR_EraseRootFromParent_Done,
     /* 1990489 */   // Label 26653: @1990489
     /* 1990489 */   GIM_Try, /*On fail goto*//*Label 26654*/ GIMT_Encode4(1990575), // Rule ID 61885 //
     /* 1990494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1990505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1990508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1990511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1990514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990540 */     // MIs[0] policy
     /* 1990540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990550 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1990553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990574 */     // GIR_Coverage, 61885,
     /* 1990574 */     GIR_EraseRootFromParent_Done,
     /* 1990575 */   // Label 26654: @1990575
     /* 1990575 */   GIM_Try, /*On fail goto*//*Label 26655*/ GIMT_Encode4(1990661), // Rule ID 61888 //
     /* 1990580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1990591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1990594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1990597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1990600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990626 */     // MIs[0] policy
     /* 1990626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1990639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990660 */     // GIR_Coverage, 61888,
     /* 1990660 */     GIR_EraseRootFromParent_Done,
     /* 1990661 */   // Label 26655: @1990661
     /* 1990661 */   GIM_Try, /*On fail goto*//*Label 26656*/ GIMT_Encode4(1990747), // Rule ID 61889 //
     /* 1990666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1990677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1990680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1990683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1990686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990712 */     // MIs[0] policy
     /* 1990712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990722 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1990725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990746 */     // GIR_Coverage, 61889,
     /* 1990746 */     GIR_EraseRootFromParent_Done,
     /* 1990747 */   // Label 26656: @1990747
     /* 1990747 */   GIM_Try, /*On fail goto*//*Label 26657*/ GIMT_Encode4(1990833), // Rule ID 61892 //
     /* 1990752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1990763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1990766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1990769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1990772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990798 */     // MIs[0] policy
     /* 1990798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990808 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1990811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990832 */     // GIR_Coverage, 61892,
     /* 1990832 */     GIR_EraseRootFromParent_Done,
     /* 1990833 */   // Label 26657: @1990833
     /* 1990833 */   GIM_Try, /*On fail goto*//*Label 26658*/ GIMT_Encode4(1990919), // Rule ID 61893 //
     /* 1990838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1990849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1990852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1990855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1990858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990884 */     // MIs[0] policy
     /* 1990884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990894 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1990897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990918 */     // GIR_Coverage, 61893,
     /* 1990918 */     GIR_EraseRootFromParent_Done,
     /* 1990919 */   // Label 26658: @1990919
     /* 1990919 */   GIM_Try, /*On fail goto*//*Label 26659*/ GIMT_Encode4(1991005), // Rule ID 61896 //
     /* 1990924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1990935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1990938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1990941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1990944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990970 */     // MIs[0] policy
     /* 1990970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990980 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1990983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991004 */     // GIR_Coverage, 61896,
     /* 1991004 */     GIR_EraseRootFromParent_Done,
     /* 1991005 */   // Label 26659: @1991005
     /* 1991005 */   GIM_Try, /*On fail goto*//*Label 26660*/ GIMT_Encode4(1991091), // Rule ID 61897 //
     /* 1991010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1991027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1991030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991056 */     // MIs[0] policy
     /* 1991056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1991069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991090 */     // GIR_Coverage, 61897,
     /* 1991090 */     GIR_EraseRootFromParent_Done,
     /* 1991091 */   // Label 26660: @1991091
     /* 1991091 */   GIM_Try, /*On fail goto*//*Label 26661*/ GIMT_Encode4(1991177), // Rule ID 61900 //
     /* 1991096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1991113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1991116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991142 */     // MIs[0] policy
     /* 1991142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1991155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991176 */     // GIR_Coverage, 61900,
     /* 1991176 */     GIR_EraseRootFromParent_Done,
     /* 1991177 */   // Label 26661: @1991177
     /* 1991177 */   GIM_Try, /*On fail goto*//*Label 26662*/ GIMT_Encode4(1991263), // Rule ID 61901 //
     /* 1991182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1991199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1991202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991228 */     // MIs[0] policy
     /* 1991228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991238 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1991241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991262 */     // GIR_Coverage, 61901,
     /* 1991262 */     GIR_EraseRootFromParent_Done,
     /* 1991263 */   // Label 26662: @1991263
     /* 1991263 */   GIM_Try, /*On fail goto*//*Label 26663*/ GIMT_Encode4(1991349), // Rule ID 61904 //
     /* 1991268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1991285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1991288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991314 */     // MIs[0] policy
     /* 1991314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1991327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991348 */     // GIR_Coverage, 61904,
     /* 1991348 */     GIR_EraseRootFromParent_Done,
     /* 1991349 */   // Label 26663: @1991349
     /* 1991349 */   GIM_Try, /*On fail goto*//*Label 26664*/ GIMT_Encode4(1991435), // Rule ID 61905 //
     /* 1991354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1991371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1991374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991400 */     // MIs[0] policy
     /* 1991400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1991413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991434 */     // GIR_Coverage, 61905,
     /* 1991434 */     GIR_EraseRootFromParent_Done,
     /* 1991435 */   // Label 26664: @1991435
     /* 1991435 */   GIM_Try, /*On fail goto*//*Label 26665*/ GIMT_Encode4(1991521), // Rule ID 61908 //
     /* 1991440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1991451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1991454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1991457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1991460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991486 */     // MIs[0] policy
     /* 1991486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1991499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991520 */     // GIR_Coverage, 61908,
     /* 1991520 */     GIR_EraseRootFromParent_Done,
     /* 1991521 */   // Label 26665: @1991521
     /* 1991521 */   GIM_Try, /*On fail goto*//*Label 26666*/ GIMT_Encode4(1991607), // Rule ID 61909 //
     /* 1991526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1991537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1991540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1991543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1991546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991572 */     // MIs[0] policy
     /* 1991572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1991585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991606 */     // GIR_Coverage, 61909,
     /* 1991606 */     GIR_EraseRootFromParent_Done,
     /* 1991607 */   // Label 26666: @1991607
     /* 1991607 */   GIM_Try, /*On fail goto*//*Label 26667*/ GIMT_Encode4(1991693), // Rule ID 61912 //
     /* 1991612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1991623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1991626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1991629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1991632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991658 */     // MIs[0] policy
     /* 1991658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1991671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991692 */     // GIR_Coverage, 61912,
     /* 1991692 */     GIR_EraseRootFromParent_Done,
     /* 1991693 */   // Label 26667: @1991693
     /* 1991693 */   GIM_Try, /*On fail goto*//*Label 26668*/ GIMT_Encode4(1991779), // Rule ID 61913 //
     /* 1991698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1991709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1991712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1991715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1991718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991744 */     // MIs[0] policy
     /* 1991744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1991757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991778 */     // GIR_Coverage, 61913,
     /* 1991778 */     GIR_EraseRootFromParent_Done,
     /* 1991779 */   // Label 26668: @1991779
     /* 1991779 */   GIM_Try, /*On fail goto*//*Label 26669*/ GIMT_Encode4(1991865), // Rule ID 61916 //
     /* 1991784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1991795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1991798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1991801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1991804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991830 */     // MIs[0] policy
     /* 1991830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991840 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1991843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991864 */     // GIR_Coverage, 61916,
     /* 1991864 */     GIR_EraseRootFromParent_Done,
     /* 1991865 */   // Label 26669: @1991865
     /* 1991865 */   GIM_Try, /*On fail goto*//*Label 26670*/ GIMT_Encode4(1991951), // Rule ID 61917 //
     /* 1991870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1991881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1991884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1991887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1991890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991916 */     // MIs[0] policy
     /* 1991916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1991929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991950 */     // GIR_Coverage, 61917,
     /* 1991950 */     GIR_EraseRootFromParent_Done,
     /* 1991951 */   // Label 26670: @1991951
     /* 1991951 */   GIM_Try, /*On fail goto*//*Label 26671*/ GIMT_Encode4(1992037), // Rule ID 61920 //
     /* 1991956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1991967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1991970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1991973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1991979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992002 */     // MIs[0] policy
     /* 1992002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992012 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1992015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992036 */     // GIR_Coverage, 61920,
     /* 1992036 */     GIR_EraseRootFromParent_Done,
     /* 1992037 */   // Label 26671: @1992037
     /* 1992037 */   GIM_Try, /*On fail goto*//*Label 26672*/ GIMT_Encode4(1992123), // Rule ID 61921 //
     /* 1992042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1992053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1992056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1992059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992088 */     // MIs[0] policy
     /* 1992088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992098 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1992101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992122 */     // GIR_Coverage, 61921,
     /* 1992122 */     GIR_EraseRootFromParent_Done,
     /* 1992123 */   // Label 26672: @1992123
     /* 1992123 */   GIM_Try, /*On fail goto*//*Label 26673*/ GIMT_Encode4(1992209), // Rule ID 61924 //
     /* 1992128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1992139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1992142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1992145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992174 */     // MIs[0] policy
     /* 1992174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1992187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992208 */     // GIR_Coverage, 61924,
     /* 1992208 */     GIR_EraseRootFromParent_Done,
     /* 1992209 */   // Label 26673: @1992209
     /* 1992209 */   GIM_Try, /*On fail goto*//*Label 26674*/ GIMT_Encode4(1992295), // Rule ID 61925 //
     /* 1992214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1992225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1992228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1992231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992260 */     // MIs[0] policy
     /* 1992260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992270 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1992273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992294 */     // GIR_Coverage, 61925,
     /* 1992294 */     GIR_EraseRootFromParent_Done,
     /* 1992295 */   // Label 26674: @1992295
     /* 1992295 */   GIM_Try, /*On fail goto*//*Label 26675*/ GIMT_Encode4(1992381), // Rule ID 61928 //
     /* 1992300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1992311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1992314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1992317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992346 */     // MIs[0] policy
     /* 1992346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992356 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1992359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992380 */     // GIR_Coverage, 61928,
     /* 1992380 */     GIR_EraseRootFromParent_Done,
     /* 1992381 */   // Label 26675: @1992381
     /* 1992381 */   GIM_Try, /*On fail goto*//*Label 26676*/ GIMT_Encode4(1992467), // Rule ID 61929 //
     /* 1992386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1992397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1992400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1992403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992432 */     // MIs[0] policy
     /* 1992432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992442 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1992445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992466 */     // GIR_Coverage, 61929,
     /* 1992466 */     GIR_EraseRootFromParent_Done,
     /* 1992467 */   // Label 26676: @1992467
     /* 1992467 */   GIM_Try, /*On fail goto*//*Label 26677*/ GIMT_Encode4(1992553), // Rule ID 61932 //
     /* 1992472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1992483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1992486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1992489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992518 */     // MIs[0] policy
     /* 1992518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992528 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1992531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992552 */     // GIR_Coverage, 61932,
     /* 1992552 */     GIR_EraseRootFromParent_Done,
     /* 1992553 */   // Label 26677: @1992553
     /* 1992553 */   GIM_Try, /*On fail goto*//*Label 26678*/ GIMT_Encode4(1992639), // Rule ID 61933 //
     /* 1992558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1992569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1992572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1992575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992604 */     // MIs[0] policy
     /* 1992604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992614 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1992617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992638 */     // GIR_Coverage, 61933,
     /* 1992638 */     GIR_EraseRootFromParent_Done,
     /* 1992639 */   // Label 26678: @1992639
     /* 1992639 */   GIM_Try, /*On fail goto*//*Label 26679*/ GIMT_Encode4(1992725), // Rule ID 61936 //
     /* 1992644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1992655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1992658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1992661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992690 */     // MIs[0] policy
     /* 1992690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992700 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1992703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992724 */     // GIR_Coverage, 61936,
     /* 1992724 */     GIR_EraseRootFromParent_Done,
     /* 1992725 */   // Label 26679: @1992725
     /* 1992725 */   GIM_Try, /*On fail goto*//*Label 26680*/ GIMT_Encode4(1992811), // Rule ID 61937 //
     /* 1992730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1992741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1992744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1992747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992776 */     // MIs[0] policy
     /* 1992776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992786 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1992789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992810 */     // GIR_Coverage, 61937,
     /* 1992810 */     GIR_EraseRootFromParent_Done,
     /* 1992811 */   // Label 26680: @1992811
     /* 1992811 */   GIM_Try, /*On fail goto*//*Label 26681*/ GIMT_Encode4(1992897), // Rule ID 61940 //
     /* 1992816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1992833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992862 */     // MIs[0] policy
     /* 1992862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1992875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992896 */     // GIR_Coverage, 61940,
     /* 1992896 */     GIR_EraseRootFromParent_Done,
     /* 1992897 */   // Label 26681: @1992897
     /* 1992897 */   GIM_Try, /*On fail goto*//*Label 26682*/ GIMT_Encode4(1992983), // Rule ID 61941 //
     /* 1992902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1992919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992948 */     // MIs[0] policy
     /* 1992948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1992961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992982 */     // GIR_Coverage, 61941,
     /* 1992982 */     GIR_EraseRootFromParent_Done,
     /* 1992983 */   // Label 26682: @1992983
     /* 1992983 */   GIM_Try, /*On fail goto*//*Label 26683*/ GIMT_Encode4(1993069), // Rule ID 61944 //
     /* 1992988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1992999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1993002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1993005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993034 */     // MIs[0] policy
     /* 1993034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1993047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1993065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993068 */     // GIR_Coverage, 61944,
     /* 1993068 */     GIR_EraseRootFromParent_Done,
     /* 1993069 */   // Label 26683: @1993069
     /* 1993069 */   GIM_Try, /*On fail goto*//*Label 26684*/ GIMT_Encode4(1993155), // Rule ID 61945 //
     /* 1993074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1993085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1993088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1993091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993120 */     // MIs[0] policy
     /* 1993120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11544:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1993133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1993151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993154 */     // GIR_Coverage, 61945,
     /* 1993154 */     GIR_EraseRootFromParent_Done,
     /* 1993155 */   // Label 26684: @1993155
     /* 1993155 */   GIM_Try, /*On fail goto*//*Label 26685*/ GIMT_Encode4(1993241), // Rule ID 61948 //
     /* 1993160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1993171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1993174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1993177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993206 */     // MIs[0] policy
     /* 1993206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1993219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993240 */     // GIR_Coverage, 61948,
     /* 1993240 */     GIR_EraseRootFromParent_Done,
     /* 1993241 */   // Label 26685: @1993241
     /* 1993241 */   GIM_Try, /*On fail goto*//*Label 26686*/ GIMT_Encode4(1993327), // Rule ID 61949 //
     /* 1993246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1993257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1993260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1993263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993292 */     // MIs[0] policy
     /* 1993292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1993305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993326 */     // GIR_Coverage, 61949,
     /* 1993326 */     GIR_EraseRootFromParent_Done,
     /* 1993327 */   // Label 26686: @1993327
     /* 1993327 */   GIM_Try, /*On fail goto*//*Label 26687*/ GIMT_Encode4(1993413), // Rule ID 61952 //
     /* 1993332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1993349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993378 */     // MIs[0] policy
     /* 1993378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993388 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1993391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993412 */     // GIR_Coverage, 61952,
     /* 1993412 */     GIR_EraseRootFromParent_Done,
     /* 1993413 */   // Label 26687: @1993413
     /* 1993413 */   GIM_Try, /*On fail goto*//*Label 26688*/ GIMT_Encode4(1993499), // Rule ID 61953 //
     /* 1993418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1993435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993464 */     // MIs[0] policy
     /* 1993464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1993477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993498 */     // GIR_Coverage, 61953,
     /* 1993498 */     GIR_EraseRootFromParent_Done,
     /* 1993499 */   // Label 26688: @1993499
     /* 1993499 */   GIM_Try, /*On fail goto*//*Label 26689*/ GIMT_Encode4(1993585), // Rule ID 61956 //
     /* 1993504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1993521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993550 */     // MIs[0] policy
     /* 1993550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993560 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1993563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993584 */     // GIR_Coverage, 61956,
     /* 1993584 */     GIR_EraseRootFromParent_Done,
     /* 1993585 */   // Label 26689: @1993585
     /* 1993585 */   GIM_Try, /*On fail goto*//*Label 26690*/ GIMT_Encode4(1993671), // Rule ID 61957 //
     /* 1993590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1993607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993636 */     // MIs[0] policy
     /* 1993636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1993649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993670 */     // GIR_Coverage, 61957,
     /* 1993670 */     GIR_EraseRootFromParent_Done,
     /* 1993671 */   // Label 26690: @1993671
     /* 1993671 */   GIM_Try, /*On fail goto*//*Label 26691*/ GIMT_Encode4(1993757), // Rule ID 61960 //
     /* 1993676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1993687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1993690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1993693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993722 */     // MIs[0] policy
     /* 1993722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993732 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1993735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1993753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993756 */     // GIR_Coverage, 61960,
     /* 1993756 */     GIR_EraseRootFromParent_Done,
     /* 1993757 */   // Label 26691: @1993757
     /* 1993757 */   GIM_Try, /*On fail goto*//*Label 26692*/ GIMT_Encode4(1993843), // Rule ID 61961 //
     /* 1993762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1993773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1993776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1993779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993808 */     // MIs[0] policy
     /* 1993808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993818 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1993821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1993839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993842 */     // GIR_Coverage, 61961,
     /* 1993842 */     GIR_EraseRootFromParent_Done,
     /* 1993843 */   // Label 26692: @1993843
     /* 1993843 */   GIM_Try, /*On fail goto*//*Label 26693*/ GIMT_Encode4(1993929), // Rule ID 61964 //
     /* 1993848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1993859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1993862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1993865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993894 */     // MIs[0] policy
     /* 1993894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993904 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1993907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1993925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993928 */     // GIR_Coverage, 61964,
     /* 1993928 */     GIR_EraseRootFromParent_Done,
     /* 1993929 */   // Label 26693: @1993929
     /* 1993929 */   GIM_Try, /*On fail goto*//*Label 26694*/ GIMT_Encode4(1994015), // Rule ID 61965 //
     /* 1993934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1993945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1993948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1993951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993980 */     // MIs[0] policy
     /* 1993980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993990 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1993993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1994011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994014 */     // GIR_Coverage, 61965,
     /* 1994014 */     GIR_EraseRootFromParent_Done,
     /* 1994015 */   // Label 26694: @1994015
     /* 1994015 */   GIM_Try, /*On fail goto*//*Label 26695*/ GIMT_Encode4(1994101), // Rule ID 61968 //
     /* 1994020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1994031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1994034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1994037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994066 */     // MIs[0] policy
     /* 1994066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994076 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1994079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1994097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994100 */     // GIR_Coverage, 61968,
     /* 1994100 */     GIR_EraseRootFromParent_Done,
     /* 1994101 */   // Label 26695: @1994101
     /* 1994101 */   GIM_Try, /*On fail goto*//*Label 26696*/ GIMT_Encode4(1994187), // Rule ID 61969 //
     /* 1994106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1994117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1994120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1994123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994152 */     // MIs[0] policy
     /* 1994152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994162 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1994165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1994183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994186 */     // GIR_Coverage, 61969,
     /* 1994186 */     GIR_EraseRootFromParent_Done,
     /* 1994187 */   // Label 26696: @1994187
     /* 1994187 */   GIM_Try, /*On fail goto*//*Label 26697*/ GIMT_Encode4(1994273), // Rule ID 61972 //
     /* 1994192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1994203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1994206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1994209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994238 */     // MIs[0] policy
     /* 1994238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994248 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1994251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994272 */     // GIR_Coverage, 61972,
     /* 1994272 */     GIR_EraseRootFromParent_Done,
     /* 1994273 */   // Label 26697: @1994273
     /* 1994273 */   GIM_Try, /*On fail goto*//*Label 26698*/ GIMT_Encode4(1994359), // Rule ID 61973 //
     /* 1994278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1994289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1994292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1994295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994324 */     // MIs[0] policy
     /* 1994324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1994337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994358 */     // GIR_Coverage, 61973,
     /* 1994358 */     GIR_EraseRootFromParent_Done,
     /* 1994359 */   // Label 26698: @1994359
     /* 1994359 */   GIM_Try, /*On fail goto*//*Label 26699*/ GIMT_Encode4(1994445), // Rule ID 61976 //
     /* 1994364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1994375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1994378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1994381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994410 */     // MIs[0] policy
     /* 1994410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994420 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1994423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994444 */     // GIR_Coverage, 61976,
     /* 1994444 */     GIR_EraseRootFromParent_Done,
     /* 1994445 */   // Label 26699: @1994445
     /* 1994445 */   GIM_Try, /*On fail goto*//*Label 26700*/ GIMT_Encode4(1994531), // Rule ID 61977 //
     /* 1994450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1994461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1994464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1994467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994496 */     // MIs[0] policy
     /* 1994496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994506 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1994509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994530 */     // GIR_Coverage, 61977,
     /* 1994530 */     GIR_EraseRootFromParent_Done,
     /* 1994531 */   // Label 26700: @1994531
     /* 1994531 */   GIM_Try, /*On fail goto*//*Label 26701*/ GIMT_Encode4(1994617), // Rule ID 61980 //
     /* 1994536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1994547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1994550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1994553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994582 */     // MIs[0] policy
     /* 1994582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994592 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1994595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994616 */     // GIR_Coverage, 61980,
     /* 1994616 */     GIR_EraseRootFromParent_Done,
     /* 1994617 */   // Label 26701: @1994617
     /* 1994617 */   GIM_Try, /*On fail goto*//*Label 26702*/ GIMT_Encode4(1994703), // Rule ID 61981 //
     /* 1994622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1994633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1994636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1994639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994668 */     // MIs[0] policy
     /* 1994668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1994681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994702 */     // GIR_Coverage, 61981,
     /* 1994702 */     GIR_EraseRootFromParent_Done,
     /* 1994703 */   // Label 26702: @1994703
     /* 1994703 */   GIM_Try, /*On fail goto*//*Label 26703*/ GIMT_Encode4(1994789), // Rule ID 61984 //
     /* 1994708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1994725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994754 */     // MIs[0] policy
     /* 1994754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1994767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994788 */     // GIR_Coverage, 61984,
     /* 1994788 */     GIR_EraseRootFromParent_Done,
     /* 1994789 */   // Label 26703: @1994789
     /* 1994789 */   GIM_Try, /*On fail goto*//*Label 26704*/ GIMT_Encode4(1994875), // Rule ID 61985 //
     /* 1994794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1994811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994840 */     // MIs[0] policy
     /* 1994840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1994853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994874 */     // GIR_Coverage, 61985,
     /* 1994874 */     GIR_EraseRootFromParent_Done,
     /* 1994875 */   // Label 26704: @1994875
     /* 1994875 */   GIM_Try, /*On fail goto*//*Label 26705*/ GIMT_Encode4(1994961), // Rule ID 61988 //
     /* 1994880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1994897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994926 */     // MIs[0] policy
     /* 1994926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1994939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994960 */     // GIR_Coverage, 61988,
     /* 1994960 */     GIR_EraseRootFromParent_Done,
     /* 1994961 */   // Label 26705: @1994961
     /* 1994961 */   GIM_Try, /*On fail goto*//*Label 26706*/ GIMT_Encode4(1995047), // Rule ID 61989 //
     /* 1994966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1994983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995012 */     // MIs[0] policy
     /* 1995012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1995025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995046 */     // GIR_Coverage, 61989,
     /* 1995046 */     GIR_EraseRootFromParent_Done,
     /* 1995047 */   // Label 26706: @1995047
     /* 1995047 */   GIM_Try, /*On fail goto*//*Label 26707*/ GIMT_Encode4(1995133), // Rule ID 61992 //
     /* 1995052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1995055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1995063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1995066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1995069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1995072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995098 */     // MIs[0] policy
     /* 1995098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1995111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995132 */     // GIR_Coverage, 61992,
     /* 1995132 */     GIR_EraseRootFromParent_Done,
     /* 1995133 */   // Label 26707: @1995133
     /* 1995133 */   GIM_Try, /*On fail goto*//*Label 26708*/ GIMT_Encode4(1995219), // Rule ID 61993 //
     /* 1995138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1995141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1995149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1995152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1995155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1995158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995184 */     // MIs[0] policy
     /* 1995184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995194 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1995197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995218 */     // GIR_Coverage, 61993,
     /* 1995218 */     GIR_EraseRootFromParent_Done,
     /* 1995219 */   // Label 26708: @1995219
     /* 1995219 */   GIM_Try, /*On fail goto*//*Label 26709*/ GIMT_Encode4(1995305), // Rule ID 61996 //
     /* 1995224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1995227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1995235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1995238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1995241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1995244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1995254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995270 */     // MIs[0] policy
     /* 1995270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995280 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1995283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995304 */     // GIR_Coverage, 61996,
     /* 1995304 */     GIR_EraseRootFromParent_Done,
     /* 1995305 */   // Label 26709: @1995305
     /* 1995305 */   GIM_Try, /*On fail goto*//*Label 26710*/ GIMT_Encode4(1995391), // Rule ID 61997 //
     /* 1995310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1995313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1995321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1995324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1995327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1995330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1995340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995356 */     // MIs[0] policy
     /* 1995356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995366 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1995369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995390 */     // GIR_Coverage, 61997,
     /* 1995390 */     GIR_EraseRootFromParent_Done,
     /* 1995391 */   // Label 26710: @1995391
     /* 1995391 */   GIM_Try, /*On fail goto*//*Label 26711*/ GIMT_Encode4(1995477), // Rule ID 62000 //
     /* 1995396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1995399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1995407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1995410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1995413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1995416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995442 */     // MIs[0] policy
     /* 1995442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1995455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995476 */     // GIR_Coverage, 62000,
     /* 1995476 */     GIR_EraseRootFromParent_Done,
     /* 1995477 */   // Label 26711: @1995477
     /* 1995477 */   GIM_Try, /*On fail goto*//*Label 26712*/ GIMT_Encode4(1995563), // Rule ID 62001 //
     /* 1995482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1995485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1995493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1995496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1995499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1995502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995528 */     // MIs[0] policy
     /* 1995528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995538 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1995541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995562 */     // GIR_Coverage, 62001,
     /* 1995562 */     GIR_EraseRootFromParent_Done,
     /* 1995563 */   // Label 26712: @1995563
     /* 1995563 */   GIM_Try, /*On fail goto*//*Label 26713*/ GIMT_Encode4(1995649), // Rule ID 62004 //
     /* 1995568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1995571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1995579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1995582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1995585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1995588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995614 */     // MIs[0] policy
     /* 1995614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995624 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1995627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995648 */     // GIR_Coverage, 62004,
     /* 1995648 */     GIR_EraseRootFromParent_Done,
     /* 1995649 */   // Label 26713: @1995649
     /* 1995649 */   GIM_Try, /*On fail goto*//*Label 26714*/ GIMT_Encode4(1995735), // Rule ID 62005 //
     /* 1995654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1995657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1995665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1995668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1995671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1995674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995700 */     // MIs[0] policy
     /* 1995700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995710 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1995713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995734 */     // GIR_Coverage, 62005,
     /* 1995734 */     GIR_EraseRootFromParent_Done,
     /* 1995735 */   // Label 26714: @1995735
     /* 1995735 */   GIM_Try, /*On fail goto*//*Label 26715*/ GIMT_Encode4(1995821), // Rule ID 62610 //
     /* 1995740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1995743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1995748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1995751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1995754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1995757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1995760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995786 */     // MIs[0] policy
     /* 1995786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995796 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_MF2_MASK),
     /* 1995799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995820 */     // GIR_Coverage, 62610,
     /* 1995820 */     GIR_EraseRootFromParent_Done,
     /* 1995821 */   // Label 26715: @1995821
     /* 1995821 */   GIM_Try, /*On fail goto*//*Label 26716*/ GIMT_Encode4(1995907), // Rule ID 62611 //
     /* 1995826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1995829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1995834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1995837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1995840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1995843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1995846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995872 */     // MIs[0] policy
     /* 1995872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995882 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_MF2_MASK),
     /* 1995885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995906 */     // GIR_Coverage, 62611,
     /* 1995906 */     GIR_EraseRootFromParent_Done,
     /* 1995907 */   // Label 26716: @1995907
     /* 1995907 */   GIM_Try, /*On fail goto*//*Label 26717*/ GIMT_Encode4(1995993), // Rule ID 62614 //
     /* 1995912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1995915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1995920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1995929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1995932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995958 */     // MIs[0] policy
     /* 1995958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M1_MASK),
     /* 1995971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995992 */     // GIR_Coverage, 62614,
     /* 1995992 */     GIR_EraseRootFromParent_Done,
     /* 1995993 */   // Label 26717: @1995993
     /* 1995993 */   GIM_Try, /*On fail goto*//*Label 26718*/ GIMT_Encode4(1996079), // Rule ID 62615 //
     /* 1995998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1996015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1996018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996044 */     // MIs[0] policy
     /* 1996044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996054 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M1_MASK),
     /* 1996057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996078 */     // GIR_Coverage, 62615,
     /* 1996078 */     GIR_EraseRootFromParent_Done,
     /* 1996079 */   // Label 26718: @1996079
     /* 1996079 */   GIM_Try, /*On fail goto*//*Label 26719*/ GIMT_Encode4(1996165), // Rule ID 62618 //
     /* 1996084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1996095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1996098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1996101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1996104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996130 */     // MIs[0] policy
     /* 1996130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996140 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M2_MASK),
     /* 1996143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996164 */     // GIR_Coverage, 62618,
     /* 1996164 */     GIR_EraseRootFromParent_Done,
     /* 1996165 */   // Label 26719: @1996165
     /* 1996165 */   GIM_Try, /*On fail goto*//*Label 26720*/ GIMT_Encode4(1996251), // Rule ID 62619 //
     /* 1996170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1996181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1996184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1996187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1996190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996216 */     // MIs[0] policy
     /* 1996216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996226 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M2_MASK),
     /* 1996229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996250 */     // GIR_Coverage, 62619,
     /* 1996250 */     GIR_EraseRootFromParent_Done,
     /* 1996251 */   // Label 26720: @1996251
     /* 1996251 */   GIM_Try, /*On fail goto*//*Label 26721*/ GIMT_Encode4(1996337), // Rule ID 62622 //
     /* 1996256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1996267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1996270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1996273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1996276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1996286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996302 */     // MIs[0] policy
     /* 1996302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996312 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M4_MASK),
     /* 1996315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996336 */     // GIR_Coverage, 62622,
     /* 1996336 */     GIR_EraseRootFromParent_Done,
     /* 1996337 */   // Label 26721: @1996337
     /* 1996337 */   GIM_Try, /*On fail goto*//*Label 26722*/ GIMT_Encode4(1996423), // Rule ID 62623 //
     /* 1996342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1996353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1996356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1996359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1996362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1996372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996388 */     // MIs[0] policy
     /* 1996388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996398 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M4_MASK),
     /* 1996401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996422 */     // GIR_Coverage, 62623,
     /* 1996422 */     GIR_EraseRootFromParent_Done,
     /* 1996423 */   // Label 26722: @1996423
     /* 1996423 */   GIM_Try, /*On fail goto*//*Label 26723*/ GIMT_Encode4(1996509), // Rule ID 62626 //
     /* 1996428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1996439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1996442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1996445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1996448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1996451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1996458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996474 */     // MIs[0] policy
     /* 1996474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996484 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M8_MASK),
     /* 1996487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996508 */     // GIR_Coverage, 62626,
     /* 1996508 */     GIR_EraseRootFromParent_Done,
     /* 1996509 */   // Label 26723: @1996509
     /* 1996509 */   GIM_Try, /*On fail goto*//*Label 26724*/ GIMT_Encode4(1996595), // Rule ID 62627 //
     /* 1996514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1996525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1996528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1996531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1996534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1996537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1996544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996560 */     // MIs[0] policy
     /* 1996560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996570 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VV_M8_MASK),
     /* 1996573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996594 */     // GIR_Coverage, 62627,
     /* 1996594 */     GIR_EraseRootFromParent_Done,
     /* 1996595 */   // Label 26724: @1996595
     /* 1996595 */   GIM_Try, /*On fail goto*//*Label 26725*/ GIMT_Encode4(1996681), // Rule ID 62630 //
     /* 1996600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1996611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1996614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1996617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1996620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996646 */     // MIs[0] policy
     /* 1996646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_MF2_MASK),
     /* 1996659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996680 */     // GIR_Coverage, 62630,
     /* 1996680 */     GIR_EraseRootFromParent_Done,
     /* 1996681 */   // Label 26725: @1996681
     /* 1996681 */   GIM_Try, /*On fail goto*//*Label 26726*/ GIMT_Encode4(1996767), // Rule ID 62631 //
     /* 1996686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1996697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1996700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1996703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1996706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996732 */     // MIs[0] policy
     /* 1996732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_MF2_MASK),
     /* 1996745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996766 */     // GIR_Coverage, 62631,
     /* 1996766 */     GIR_EraseRootFromParent_Done,
     /* 1996767 */   // Label 26726: @1996767
     /* 1996767 */   GIM_Try, /*On fail goto*//*Label 26727*/ GIMT_Encode4(1996853), // Rule ID 62634 //
     /* 1996772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1996789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1996792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996818 */     // MIs[0] policy
     /* 1996818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M1_MASK),
     /* 1996831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996852 */     // GIR_Coverage, 62634,
     /* 1996852 */     GIR_EraseRootFromParent_Done,
     /* 1996853 */   // Label 26727: @1996853
     /* 1996853 */   GIM_Try, /*On fail goto*//*Label 26728*/ GIMT_Encode4(1996939), // Rule ID 62635 //
     /* 1996858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1996875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1996878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996904 */     // MIs[0] policy
     /* 1996904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996914 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M1_MASK),
     /* 1996917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996938 */     // GIR_Coverage, 62635,
     /* 1996938 */     GIR_EraseRootFromParent_Done,
     /* 1996939 */   // Label 26728: @1996939
     /* 1996939 */   GIM_Try, /*On fail goto*//*Label 26729*/ GIMT_Encode4(1997025), // Rule ID 62638 //
     /* 1996944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1996952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1996955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1996958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1996961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1996964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996990 */     // MIs[0] policy
     /* 1996990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M2_MASK),
     /* 1997003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997024 */     // GIR_Coverage, 62638,
     /* 1997024 */     GIR_EraseRootFromParent_Done,
     /* 1997025 */   // Label 26729: @1997025
     /* 1997025 */   GIM_Try, /*On fail goto*//*Label 26730*/ GIMT_Encode4(1997111), // Rule ID 62639 //
     /* 1997030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1997038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1997041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1997044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1997047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1997050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1997060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997076 */     // MIs[0] policy
     /* 1997076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997086 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M2_MASK),
     /* 1997089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997110 */     // GIR_Coverage, 62639,
     /* 1997110 */     GIR_EraseRootFromParent_Done,
     /* 1997111 */   // Label 26730: @1997111
     /* 1997111 */   GIM_Try, /*On fail goto*//*Label 26731*/ GIMT_Encode4(1997197), // Rule ID 62642 //
     /* 1997116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1997124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1997127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1997130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1997133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1997136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1997139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1997146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997162 */     // MIs[0] policy
     /* 1997162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M4_MASK),
     /* 1997175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997196 */     // GIR_Coverage, 62642,
     /* 1997196 */     GIR_EraseRootFromParent_Done,
     /* 1997197 */   // Label 26731: @1997197
     /* 1997197 */   GIM_Try, /*On fail goto*//*Label 26732*/ GIMT_Encode4(1997283), // Rule ID 62643 //
     /* 1997202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1997210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1997213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1997216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1997219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1997222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1997225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1997232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997248 */     // MIs[0] policy
     /* 1997248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M4_MASK),
     /* 1997261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997282 */     // GIR_Coverage, 62643,
     /* 1997282 */     GIR_EraseRootFromParent_Done,
     /* 1997283 */   // Label 26732: @1997283
     /* 1997283 */   GIM_Try, /*On fail goto*//*Label 26733*/ GIMT_Encode4(1997369), // Rule ID 62646 //
     /* 1997288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1997296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1997299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1997302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1997305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1997308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1997311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1997318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997334 */     // MIs[0] policy
     /* 1997334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M8_MASK),
     /* 1997347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997368 */     // GIR_Coverage, 62646,
     /* 1997368 */     GIR_EraseRootFromParent_Done,
     /* 1997369 */   // Label 26733: @1997369
     /* 1997369 */   GIM_Try, /*On fail goto*//*Label 26734*/ GIMT_Encode4(1997455), // Rule ID 62647 //
     /* 1997374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1997382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1997385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1997388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1997391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1997394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1997397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1997404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997420 */     // MIs[0] policy
     /* 1997420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997430 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQA_VX_M8_MASK),
     /* 1997433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997454 */     // GIR_Coverage, 62647,
     /* 1997454 */     GIR_EraseRootFromParent_Done,
     /* 1997455 */   // Label 26734: @1997455
     /* 1997455 */   GIM_Try, /*On fail goto*//*Label 26735*/ GIMT_Encode4(1997541), // Rule ID 62650 //
     /* 1997460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1997471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1997474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1997477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1997480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997506 */     // MIs[0] policy
     /* 1997506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997516 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_MF2_MASK),
     /* 1997519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997540 */     // GIR_Coverage, 62650,
     /* 1997540 */     GIR_EraseRootFromParent_Done,
     /* 1997541 */   // Label 26735: @1997541
     /* 1997541 */   GIM_Try, /*On fail goto*//*Label 26736*/ GIMT_Encode4(1997627), // Rule ID 62651 //
     /* 1997546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1997557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1997560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1997563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1997566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997592 */     // MIs[0] policy
     /* 1997592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997602 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_MF2_MASK),
     /* 1997605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997626 */     // GIR_Coverage, 62651,
     /* 1997626 */     GIR_EraseRootFromParent_Done,
     /* 1997627 */   // Label 26736: @1997627
     /* 1997627 */   GIM_Try, /*On fail goto*//*Label 26737*/ GIMT_Encode4(1997713), // Rule ID 62654 //
     /* 1997632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1997649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1997652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997678 */     // MIs[0] policy
     /* 1997678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997688 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M1_MASK),
     /* 1997691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997712 */     // GIR_Coverage, 62654,
     /* 1997712 */     GIR_EraseRootFromParent_Done,
     /* 1997713 */   // Label 26737: @1997713
     /* 1997713 */   GIM_Try, /*On fail goto*//*Label 26738*/ GIMT_Encode4(1997799), // Rule ID 62655 //
     /* 1997718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1997735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1997738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997764 */     // MIs[0] policy
     /* 1997764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997774 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M1_MASK),
     /* 1997777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997798 */     // GIR_Coverage, 62655,
     /* 1997798 */     GIR_EraseRootFromParent_Done,
     /* 1997799 */   // Label 26738: @1997799
     /* 1997799 */   GIM_Try, /*On fail goto*//*Label 26739*/ GIMT_Encode4(1997885), // Rule ID 62658 //
     /* 1997804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1997815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1997818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1997821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1997824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1997834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997850 */     // MIs[0] policy
     /* 1997850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997860 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M2_MASK),
     /* 1997863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997884 */     // GIR_Coverage, 62658,
     /* 1997884 */     GIR_EraseRootFromParent_Done,
     /* 1997885 */   // Label 26739: @1997885
     /* 1997885 */   GIM_Try, /*On fail goto*//*Label 26740*/ GIMT_Encode4(1997971), // Rule ID 62659 //
     /* 1997890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1997901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1997904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1997907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1997910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1997920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997936 */     // MIs[0] policy
     /* 1997936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997946 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M2_MASK),
     /* 1997949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997970 */     // GIR_Coverage, 62659,
     /* 1997970 */     GIR_EraseRootFromParent_Done,
     /* 1997971 */   // Label 26740: @1997971
     /* 1997971 */   GIM_Try, /*On fail goto*//*Label 26741*/ GIMT_Encode4(1998057), // Rule ID 62662 //
     /* 1997976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1997984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1997987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1997990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1997993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1997996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1997999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998022 */     // MIs[0] policy
     /* 1998022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998032 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M4_MASK),
     /* 1998035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998056 */     // GIR_Coverage, 62662,
     /* 1998056 */     GIR_EraseRootFromParent_Done,
     /* 1998057 */   // Label 26741: @1998057
     /* 1998057 */   GIM_Try, /*On fail goto*//*Label 26742*/ GIMT_Encode4(1998143), // Rule ID 62663 //
     /* 1998062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1998073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1998076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1998079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1998082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998108 */     // MIs[0] policy
     /* 1998108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M4_MASK),
     /* 1998121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998142 */     // GIR_Coverage, 62663,
     /* 1998142 */     GIR_EraseRootFromParent_Done,
     /* 1998143 */   // Label 26742: @1998143
     /* 1998143 */   GIM_Try, /*On fail goto*//*Label 26743*/ GIMT_Encode4(1998229), // Rule ID 62666 //
     /* 1998148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1998159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1998162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1998165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1998168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1998171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1998178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998194 */     // MIs[0] policy
     /* 1998194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998204 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M8_MASK),
     /* 1998207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998228 */     // GIR_Coverage, 62666,
     /* 1998228 */     GIR_EraseRootFromParent_Done,
     /* 1998229 */   // Label 26743: @1998229
     /* 1998229 */   GIM_Try, /*On fail goto*//*Label 26744*/ GIMT_Encode4(1998315), // Rule ID 62667 //
     /* 1998234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1998245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1998248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1998251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1998254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1998257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1998264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998280 */     // MIs[0] policy
     /* 1998280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998290 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VV_M8_MASK),
     /* 1998293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998314 */     // GIR_Coverage, 62667,
     /* 1998314 */     GIR_EraseRootFromParent_Done,
     /* 1998315 */   // Label 26744: @1998315
     /* 1998315 */   GIM_Try, /*On fail goto*//*Label 26745*/ GIMT_Encode4(1998401), // Rule ID 62670 //
     /* 1998320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1998331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1998334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1998337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1998340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998366 */     // MIs[0] policy
     /* 1998366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_MF2_MASK),
     /* 1998379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998400 */     // GIR_Coverage, 62670,
     /* 1998400 */     GIR_EraseRootFromParent_Done,
     /* 1998401 */   // Label 26745: @1998401
     /* 1998401 */   GIM_Try, /*On fail goto*//*Label 26746*/ GIMT_Encode4(1998487), // Rule ID 62671 //
     /* 1998406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1998417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1998420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1998426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998452 */     // MIs[0] policy
     /* 1998452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998462 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_MF2_MASK),
     /* 1998465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998486 */     // GIR_Coverage, 62671,
     /* 1998486 */     GIR_EraseRootFromParent_Done,
     /* 1998487 */   // Label 26746: @1998487
     /* 1998487 */   GIM_Try, /*On fail goto*//*Label 26747*/ GIMT_Encode4(1998573), // Rule ID 62674 //
     /* 1998492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1998509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1998512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998538 */     // MIs[0] policy
     /* 1998538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M1_MASK),
     /* 1998551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998572 */     // GIR_Coverage, 62674,
     /* 1998572 */     GIR_EraseRootFromParent_Done,
     /* 1998573 */   // Label 26747: @1998573
     /* 1998573 */   GIM_Try, /*On fail goto*//*Label 26748*/ GIMT_Encode4(1998659), // Rule ID 62675 //
     /* 1998578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1998598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998624 */     // MIs[0] policy
     /* 1998624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M1_MASK),
     /* 1998637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998658 */     // GIR_Coverage, 62675,
     /* 1998658 */     GIR_EraseRootFromParent_Done,
     /* 1998659 */   // Label 26748: @1998659
     /* 1998659 */   GIM_Try, /*On fail goto*//*Label 26749*/ GIMT_Encode4(1998745), // Rule ID 62678 //
     /* 1998664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1998675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1998678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1998681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1998684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1998694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998710 */     // MIs[0] policy
     /* 1998710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998720 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M2_MASK),
     /* 1998723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998744 */     // GIR_Coverage, 62678,
     /* 1998744 */     GIR_EraseRootFromParent_Done,
     /* 1998745 */   // Label 26749: @1998745
     /* 1998745 */   GIM_Try, /*On fail goto*//*Label 26750*/ GIMT_Encode4(1998831), // Rule ID 62679 //
     /* 1998750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1998761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1998764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1998770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1998780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998796 */     // MIs[0] policy
     /* 1998796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998806 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M2_MASK),
     /* 1998809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998830 */     // GIR_Coverage, 62679,
     /* 1998830 */     GIR_EraseRootFromParent_Done,
     /* 1998831 */   // Label 26750: @1998831
     /* 1998831 */   GIM_Try, /*On fail goto*//*Label 26751*/ GIMT_Encode4(1998917), // Rule ID 62682 //
     /* 1998836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1998847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1998850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1998853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1998856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998882 */     // MIs[0] policy
     /* 1998882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M4_MASK),
     /* 1998895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998916 */     // GIR_Coverage, 62682,
     /* 1998916 */     GIR_EraseRootFromParent_Done,
     /* 1998917 */   // Label 26751: @1998917
     /* 1998917 */   GIM_Try, /*On fail goto*//*Label 26752*/ GIMT_Encode4(1999003), // Rule ID 62683 //
     /* 1998922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1998930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1998933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1998936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1998942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998968 */     // MIs[0] policy
     /* 1998968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M4_MASK),
     /* 1998981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999002 */     // GIR_Coverage, 62683,
     /* 1999002 */     GIR_EraseRootFromParent_Done,
     /* 1999003 */   // Label 26752: @1999003
     /* 1999003 */   GIM_Try, /*On fail goto*//*Label 26753*/ GIMT_Encode4(1999089), // Rule ID 62686 //
     /* 1999008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1999016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1999019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1999022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1999025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1999028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1999031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999054 */     // MIs[0] policy
     /* 1999054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M8_MASK),
     /* 1999067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999088 */     // GIR_Coverage, 62686,
     /* 1999088 */     GIR_EraseRootFromParent_Done,
     /* 1999089 */   // Label 26753: @1999089
     /* 1999089 */   GIM_Try, /*On fail goto*//*Label 26754*/ GIMT_Encode4(1999175), // Rule ID 62687 //
     /* 1999094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1999097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1999102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1999105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1999108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1999111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1999114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1999117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999140 */     // MIs[0] policy
     /* 1999140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999150 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAU_VX_M8_MASK),
     /* 1999153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999174 */     // GIR_Coverage, 62687,
     /* 1999174 */     GIR_EraseRootFromParent_Done,
     /* 1999175 */   // Label 26754: @1999175
     /* 1999175 */   GIM_Try, /*On fail goto*//*Label 26755*/ GIMT_Encode4(1999261), // Rule ID 62690 //
     /* 1999180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1999191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1999194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1999197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1999200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999226 */     // MIs[0] policy
     /* 1999226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999236 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_MF2_MASK),
     /* 1999239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999260 */     // GIR_Coverage, 62690,
     /* 1999260 */     GIR_EraseRootFromParent_Done,
     /* 1999261 */   // Label 26755: @1999261
     /* 1999261 */   GIM_Try, /*On fail goto*//*Label 26756*/ GIMT_Encode4(1999347), // Rule ID 62691 //
     /* 1999266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1999269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1999277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1999280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1999283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1999286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999312 */     // MIs[0] policy
     /* 1999312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_MF2_MASK),
     /* 1999325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999346 */     // GIR_Coverage, 62691,
     /* 1999346 */     GIR_EraseRootFromParent_Done,
     /* 1999347 */   // Label 26756: @1999347
     /* 1999347 */   GIM_Try, /*On fail goto*//*Label 26757*/ GIMT_Encode4(1999433), // Rule ID 62694 //
     /* 1999352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1999369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1999372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999398 */     // MIs[0] policy
     /* 1999398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M1_MASK),
     /* 1999411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999432 */     // GIR_Coverage, 62694,
     /* 1999432 */     GIR_EraseRootFromParent_Done,
     /* 1999433 */   // Label 26757: @1999433
     /* 1999433 */   GIM_Try, /*On fail goto*//*Label 26758*/ GIMT_Encode4(1999519), // Rule ID 62695 //
     /* 1999438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1999441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1999455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1999458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999484 */     // MIs[0] policy
     /* 1999484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999494 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M1_MASK),
     /* 1999497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999518 */     // GIR_Coverage, 62695,
     /* 1999518 */     GIR_EraseRootFromParent_Done,
     /* 1999519 */   // Label 26758: @1999519
     /* 1999519 */   GIM_Try, /*On fail goto*//*Label 26759*/ GIMT_Encode4(1999605), // Rule ID 62698 //
     /* 1999524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1999535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1999538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1999541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1999544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999570 */     // MIs[0] policy
     /* 1999570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M2_MASK),
     /* 1999583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999604 */     // GIR_Coverage, 62698,
     /* 1999604 */     GIR_EraseRootFromParent_Done,
     /* 1999605 */   // Label 26759: @1999605
     /* 1999605 */   GIM_Try, /*On fail goto*//*Label 26760*/ GIMT_Encode4(1999691), // Rule ID 62699 //
     /* 1999610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1999613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1999621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1999624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1999627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1999630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999656 */     // MIs[0] policy
     /* 1999656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999666 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M2_MASK),
     /* 1999669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999690 */     // GIR_Coverage, 62699,
     /* 1999690 */     GIR_EraseRootFromParent_Done,
     /* 1999691 */   // Label 26760: @1999691
     /* 1999691 */   GIM_Try, /*On fail goto*//*Label 26761*/ GIMT_Encode4(1999777), // Rule ID 62702 //
     /* 1999696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1999707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1999710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1999713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1999716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1999719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999742 */     // MIs[0] policy
     /* 1999742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M4_MASK),
     /* 1999755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999776 */     // GIR_Coverage, 62702,
     /* 1999776 */     GIR_EraseRootFromParent_Done,
     /* 1999777 */   // Label 26761: @1999777
     /* 1999777 */   GIM_Try, /*On fail goto*//*Label 26762*/ GIMT_Encode4(1999863), // Rule ID 62703 //
     /* 1999782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1999785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1999793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1999796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1999799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1999802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1999805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999828 */     // MIs[0] policy
     /* 1999828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999838 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M4_MASK),
     /* 1999841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999862 */     // GIR_Coverage, 62703,
     /* 1999862 */     GIR_EraseRootFromParent_Done,
     /* 1999863 */   // Label 26762: @1999863
     /* 1999863 */   GIM_Try, /*On fail goto*//*Label 26763*/ GIMT_Encode4(1999949), // Rule ID 62706 //
     /* 1999868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1999879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1999882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1999885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1999888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1999891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999914 */     // MIs[0] policy
     /* 1999914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M8_MASK),
     /* 1999927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999948 */     // GIR_Coverage, 62706,
     /* 1999948 */     GIR_EraseRootFromParent_Done,
     /* 1999949 */   // Label 26763: @1999949
     /* 1999949 */   GIM_Try, /*On fail goto*//*Label 26764*/ GIMT_Encode4(2000035), // Rule ID 62707 //
     /* 1999954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1999957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1999962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1999965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1999968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1999971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1999974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1999977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000000 */     // MIs[0] policy
     /* 2000000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000010 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VV_M8_MASK),
     /* 2000013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000034 */     // GIR_Coverage, 62707,
     /* 2000034 */     GIR_EraseRootFromParent_Done,
     /* 2000035 */   // Label 26764: @2000035
     /* 2000035 */   GIM_Try, /*On fail goto*//*Label 26765*/ GIMT_Encode4(2000121), // Rule ID 62710 //
     /* 2000040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2000051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2000054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2000060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000086 */     // MIs[0] policy
     /* 2000086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000096 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_MF2_MASK),
     /* 2000099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000120 */     // GIR_Coverage, 62710,
     /* 2000120 */     GIR_EraseRootFromParent_Done,
     /* 2000121 */   // Label 26765: @2000121
     /* 2000121 */   GIM_Try, /*On fail goto*//*Label 26766*/ GIMT_Encode4(2000207), // Rule ID 62711 //
     /* 2000126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2000137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2000140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2000143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2000146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000172 */     // MIs[0] policy
     /* 2000172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000182 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_MF2_MASK),
     /* 2000185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000206 */     // GIR_Coverage, 62711,
     /* 2000206 */     GIR_EraseRootFromParent_Done,
     /* 2000207 */   // Label 26766: @2000207
     /* 2000207 */   GIM_Try, /*On fail goto*//*Label 26767*/ GIMT_Encode4(2000293), // Rule ID 62714 //
     /* 2000212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2000232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000258 */     // MIs[0] policy
     /* 2000258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000268 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M1_MASK),
     /* 2000271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000292 */     // GIR_Coverage, 62714,
     /* 2000292 */     GIR_EraseRootFromParent_Done,
     /* 2000293 */   // Label 26767: @2000293
     /* 2000293 */   GIM_Try, /*On fail goto*//*Label 26768*/ GIMT_Encode4(2000379), // Rule ID 62715 //
     /* 2000298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2000315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2000318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000344 */     // MIs[0] policy
     /* 2000344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M1_MASK),
     /* 2000357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000378 */     // GIR_Coverage, 62715,
     /* 2000378 */     GIR_EraseRootFromParent_Done,
     /* 2000379 */   // Label 26768: @2000379
     /* 2000379 */   GIM_Try, /*On fail goto*//*Label 26769*/ GIMT_Encode4(2000465), // Rule ID 62718 //
     /* 2000384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2000395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2000398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2000404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2000414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000430 */     // MIs[0] policy
     /* 2000430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M2_MASK),
     /* 2000443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000464 */     // GIR_Coverage, 62718,
     /* 2000464 */     GIR_EraseRootFromParent_Done,
     /* 2000465 */   // Label 26769: @2000465
     /* 2000465 */   GIM_Try, /*On fail goto*//*Label 26770*/ GIMT_Encode4(2000551), // Rule ID 62719 //
     /* 2000470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2000481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2000484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2000487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2000490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2000500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000516 */     // MIs[0] policy
     /* 2000516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M2_MASK),
     /* 2000529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000550 */     // GIR_Coverage, 62719,
     /* 2000550 */     GIR_EraseRootFromParent_Done,
     /* 2000551 */   // Label 26770: @2000551
     /* 2000551 */   GIM_Try, /*On fail goto*//*Label 26771*/ GIMT_Encode4(2000637), // Rule ID 62722 //
     /* 2000556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2000567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2000570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2000576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2000579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000602 */     // MIs[0] policy
     /* 2000602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000612 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M4_MASK),
     /* 2000615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000636 */     // GIR_Coverage, 62722,
     /* 2000636 */     GIR_EraseRootFromParent_Done,
     /* 2000637 */   // Label 26771: @2000637
     /* 2000637 */   GIM_Try, /*On fail goto*//*Label 26772*/ GIMT_Encode4(2000723), // Rule ID 62723 //
     /* 2000642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2000653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2000656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2000659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2000662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2000665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000688 */     // MIs[0] policy
     /* 2000688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M4_MASK),
     /* 2000701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000722 */     // GIR_Coverage, 62723,
     /* 2000722 */     GIR_EraseRootFromParent_Done,
     /* 2000723 */   // Label 26772: @2000723
     /* 2000723 */   GIM_Try, /*On fail goto*//*Label 26773*/ GIMT_Encode4(2000809), // Rule ID 62726 //
     /* 2000728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2000739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2000742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2000748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2000751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000774 */     // MIs[0] policy
     /* 2000774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000784 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M8_MASK),
     /* 2000787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000808 */     // GIR_Coverage, 62726,
     /* 2000808 */     GIR_EraseRootFromParent_Done,
     /* 2000809 */   // Label 26773: @2000809
     /* 2000809 */   GIM_Try, /*On fail goto*//*Label 26774*/ GIMT_Encode4(2000895), // Rule ID 62727 //
     /* 2000814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2000822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2000825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2000828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2000831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2000834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2000837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000860 */     // MIs[0] policy
     /* 2000860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000870 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQASU_VX_M8_MASK),
     /* 2000873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000894 */     // GIR_Coverage, 62727,
     /* 2000894 */     GIR_EraseRootFromParent_Done,
     /* 2000895 */   // Label 26774: @2000895
     /* 2000895 */   GIM_Try, /*On fail goto*//*Label 26775*/ GIMT_Encode4(2000981), // Rule ID 62730 //
     /* 2000900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2000908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2000911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2000914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2000920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000946 */     // MIs[0] policy
     /* 2000946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000956 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_MF2_MASK),
     /* 2000959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000980 */     // GIR_Coverage, 62730,
     /* 2000980 */     GIR_EraseRootFromParent_Done,
     /* 2000981 */   // Label 26775: @2000981
     /* 2000981 */   GIM_Try, /*On fail goto*//*Label 26776*/ GIMT_Encode4(2001067), // Rule ID 62731 //
     /* 2000986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2000994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2000997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2001000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2001003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2001006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001032 */     // MIs[0] policy
     /* 2001032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_MF2_MASK),
     /* 2001045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001066 */     // GIR_Coverage, 62731,
     /* 2001066 */     GIR_EraseRootFromParent_Done,
     /* 2001067 */   // Label 26776: @2001067
     /* 2001067 */   GIM_Try, /*On fail goto*//*Label 26777*/ GIMT_Encode4(2001153), // Rule ID 62734 //
     /* 2001072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2001075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2001080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2001089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2001092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001118 */     // MIs[0] policy
     /* 2001118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M1_MASK),
     /* 2001131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001152 */     // GIR_Coverage, 62734,
     /* 2001152 */     GIR_EraseRootFromParent_Done,
     /* 2001153 */   // Label 26777: @2001153
     /* 2001153 */   GIM_Try, /*On fail goto*//*Label 26778*/ GIMT_Encode4(2001239), // Rule ID 62735 //
     /* 2001158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2001161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2001166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2001175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2001178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001204 */     // MIs[0] policy
     /* 2001204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M1_MASK),
     /* 2001217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001238 */     // GIR_Coverage, 62735,
     /* 2001238 */     GIR_EraseRootFromParent_Done,
     /* 2001239 */   // Label 26778: @2001239
     /* 2001239 */   GIM_Try, /*On fail goto*//*Label 26779*/ GIMT_Encode4(2001325), // Rule ID 62738 //
     /* 2001244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2001247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2001252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2001255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2001258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2001261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2001264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2001274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001290 */     // MIs[0] policy
     /* 2001290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M2_MASK),
     /* 2001303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001324 */     // GIR_Coverage, 62738,
     /* 2001324 */     GIR_EraseRootFromParent_Done,
     /* 2001325 */   // Label 26779: @2001325
     /* 2001325 */   GIM_Try, /*On fail goto*//*Label 26780*/ GIMT_Encode4(2001411), // Rule ID 62739 //
     /* 2001330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2001333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2001338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2001341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2001344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2001347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2001350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2001360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001376 */     // MIs[0] policy
     /* 2001376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001386 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M2_MASK),
     /* 2001389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001410 */     // GIR_Coverage, 62739,
     /* 2001410 */     GIR_EraseRootFromParent_Done,
     /* 2001411 */   // Label 26780: @2001411
     /* 2001411 */   GIM_Try, /*On fail goto*//*Label 26781*/ GIMT_Encode4(2001497), // Rule ID 62742 //
     /* 2001416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2001419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2001424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2001427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2001430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2001433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2001436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2001446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001462 */     // MIs[0] policy
     /* 2001462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M4_MASK),
     /* 2001475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001496 */     // GIR_Coverage, 62742,
     /* 2001496 */     GIR_EraseRootFromParent_Done,
     /* 2001497 */   // Label 26781: @2001497
     /* 2001497 */   GIM_Try, /*On fail goto*//*Label 26782*/ GIMT_Encode4(2001583), // Rule ID 62743 //
     /* 2001502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2001505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2001510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2001513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2001516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2001519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2001522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2001532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001548 */     // MIs[0] policy
     /* 2001548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M4_MASK),
     /* 2001561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001582 */     // GIR_Coverage, 62743,
     /* 2001582 */     GIR_EraseRootFromParent_Done,
     /* 2001583 */   // Label 26782: @2001583
     /* 2001583 */   GIM_Try, /*On fail goto*//*Label 26783*/ GIMT_Encode4(2001669), // Rule ID 62746 //
     /* 2001588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2001591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2001596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2001599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2001602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2001605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2001608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2001611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2001618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001634 */     // MIs[0] policy
     /* 2001634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001644 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M8_MASK),
     /* 2001647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001668 */     // GIR_Coverage, 62746,
     /* 2001668 */     GIR_EraseRootFromParent_Done,
     /* 2001669 */   // Label 26783: @2001669
     /* 2001669 */   GIM_Try, /*On fail goto*//*Label 26784*/ GIMT_Encode4(2001755), // Rule ID 62747 //
     /* 2001674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2001677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2001682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2001685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2001688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2001691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2001694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2001697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2001704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001720 */     // MIs[0] policy
     /* 2001720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTH_VMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTH_VMAQAUS_VX_M8_MASK),
     /* 2001733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001754 */     // GIR_Coverage, 62747,
     /* 2001754 */     GIR_EraseRootFromParent_Done,
     /* 2001755 */   // Label 26784: @2001755
     /* 2001755 */   GIM_Try, /*On fail goto*//*Label 26785*/ GIMT_Encode4(2001841), // Rule ID 65180 //
     /* 2001760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2001763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2001768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2001771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2001774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2001777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2001780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001806 */     // MIs[0] policy
     /* 2001806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001816 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_MF2_MASK),
     /* 2001819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001840 */     // GIR_Coverage, 65180,
     /* 2001840 */     GIR_EraseRootFromParent_Done,
     /* 2001841 */   // Label 26785: @2001841
     /* 2001841 */   GIM_Try, /*On fail goto*//*Label 26786*/ GIMT_Encode4(2001927), // Rule ID 65181 //
     /* 2001846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2001849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2001854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2001857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2001860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2001863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2001866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001892 */     // MIs[0] policy
     /* 2001892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001902 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_MF2_MASK),
     /* 2001905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001926 */     // GIR_Coverage, 65181,
     /* 2001926 */     GIR_EraseRootFromParent_Done,
     /* 2001927 */   // Label 26786: @2001927
     /* 2001927 */   GIM_Try, /*On fail goto*//*Label 26787*/ GIMT_Encode4(2002013), // Rule ID 65184 //
     /* 2001932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2001935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2001940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2001949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2001952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001978 */     // MIs[0] policy
     /* 2001978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1_MASK),
     /* 2001991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002012 */     // GIR_Coverage, 65184,
     /* 2002012 */     GIR_EraseRootFromParent_Done,
     /* 2002013 */   // Label 26787: @2002013
     /* 2002013 */   GIM_Try, /*On fail goto*//*Label 26788*/ GIMT_Encode4(2002099), // Rule ID 65185 //
     /* 2002018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2002021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2002026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2002035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2002038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002064 */     // MIs[0] policy
     /* 2002064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002074 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1_MASK),
     /* 2002077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002098 */     // GIR_Coverage, 65185,
     /* 2002098 */     GIR_EraseRootFromParent_Done,
     /* 2002099 */   // Label 26788: @2002099
     /* 2002099 */   GIM_Try, /*On fail goto*//*Label 26789*/ GIMT_Encode4(2002185), // Rule ID 65188 //
     /* 2002104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2002107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2002112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2002115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2002118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2002121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2002124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002150 */     // MIs[0] policy
     /* 2002150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002160 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2_MASK),
     /* 2002163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002184 */     // GIR_Coverage, 65188,
     /* 2002184 */     GIR_EraseRootFromParent_Done,
     /* 2002185 */   // Label 26789: @2002185
     /* 2002185 */   GIM_Try, /*On fail goto*//*Label 26790*/ GIMT_Encode4(2002271), // Rule ID 65189 //
     /* 2002190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2002193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2002198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2002201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2002204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2002207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2002210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002236 */     // MIs[0] policy
     /* 2002236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002246 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2_MASK),
     /* 2002249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002270 */     // GIR_Coverage, 65189,
     /* 2002270 */     GIR_EraseRootFromParent_Done,
     /* 2002271 */   // Label 26790: @2002271
     /* 2002271 */   GIM_Try, /*On fail goto*//*Label 26791*/ GIMT_Encode4(2002357), // Rule ID 65192 //
     /* 2002276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2002279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2002284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2002287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2002290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2002293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2002296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2002306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002322 */     // MIs[0] policy
     /* 2002322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002332 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4_MASK),
     /* 2002335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002356 */     // GIR_Coverage, 65192,
     /* 2002356 */     GIR_EraseRootFromParent_Done,
     /* 2002357 */   // Label 26791: @2002357
     /* 2002357 */   GIM_Try, /*On fail goto*//*Label 26792*/ GIMT_Encode4(2002443), // Rule ID 65193 //
     /* 2002362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2002365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2002370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2002373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2002376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2002379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2002382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2002392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002408 */     // MIs[0] policy
     /* 2002408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4_MASK),
     /* 2002421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002442 */     // GIR_Coverage, 65193,
     /* 2002442 */     GIR_EraseRootFromParent_Done,
     /* 2002443 */   // Label 26792: @2002443
     /* 2002443 */   GIM_Try, /*On fail goto*//*Label 26793*/ GIMT_Encode4(2002529), // Rule ID 65196 //
     /* 2002448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2002451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2002456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2002459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2002462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2002465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2002468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002494 */     // MIs[0] policy
     /* 2002494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002504 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8_MASK),
     /* 2002507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002528 */     // GIR_Coverage, 65196,
     /* 2002528 */     GIR_EraseRootFromParent_Done,
     /* 2002529 */   // Label 26793: @2002529
     /* 2002529 */   GIM_Try, /*On fail goto*//*Label 26794*/ GIMT_Encode4(2002615), // Rule ID 65197 //
     /* 2002534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2002537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2002542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2002545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2002548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2002551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2002554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002580 */     // MIs[0] policy
     /* 2002580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002590 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8_MASK),
     /* 2002593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002614 */     // GIR_Coverage, 65197,
     /* 2002614 */     GIR_EraseRootFromParent_Done,
     /* 2002615 */   // Label 26794: @2002615
     /* 2002615 */   GIM_Try, /*On fail goto*//*Label 26795*/ GIMT_Encode4(2002701), // Rule ID 65200 //
     /* 2002620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2002623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2002628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2002637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2002640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002666 */     // MIs[0] policy
     /* 2002666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1_MASK),
     /* 2002679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002700 */     // GIR_Coverage, 65200,
     /* 2002700 */     GIR_EraseRootFromParent_Done,
     /* 2002701 */   // Label 26795: @2002701
     /* 2002701 */   GIM_Try, /*On fail goto*//*Label 26796*/ GIMT_Encode4(2002787), // Rule ID 65201 //
     /* 2002706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2002709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2002714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2002723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2002726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002752 */     // MIs[0] policy
     /* 2002752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002762 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1_MASK),
     /* 2002765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002786 */     // GIR_Coverage, 65201,
     /* 2002786 */     GIR_EraseRootFromParent_Done,
     /* 2002787 */   // Label 26796: @2002787
     /* 2002787 */   GIM_Try, /*On fail goto*//*Label 26797*/ GIMT_Encode4(2002873), // Rule ID 65204 //
     /* 2002792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2002795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2002800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2002803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2002806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2002809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2002812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002838 */     // MIs[0] policy
     /* 2002838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002848 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2_MASK),
     /* 2002851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002872 */     // GIR_Coverage, 65204,
     /* 2002872 */     GIR_EraseRootFromParent_Done,
     /* 2002873 */   // Label 26797: @2002873
     /* 2002873 */   GIM_Try, /*On fail goto*//*Label 26798*/ GIMT_Encode4(2002959), // Rule ID 65205 //
     /* 2002878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2002881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2002886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2002889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2002892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2002895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2002898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002924 */     // MIs[0] policy
     /* 2002924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002934 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2_MASK),
     /* 2002937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002958 */     // GIR_Coverage, 65205,
     /* 2002958 */     GIR_EraseRootFromParent_Done,
     /* 2002959 */   // Label 26798: @2002959
     /* 2002959 */   GIM_Try, /*On fail goto*//*Label 26799*/ GIMT_Encode4(2003045), // Rule ID 65208 //
     /* 2002964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2002967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2002972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2002975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2002978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2002981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2002984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2002994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003010 */     // MIs[0] policy
     /* 2003010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4_MASK),
     /* 2003023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003044 */     // GIR_Coverage, 65208,
     /* 2003044 */     GIR_EraseRootFromParent_Done,
     /* 2003045 */   // Label 26799: @2003045
     /* 2003045 */   GIM_Try, /*On fail goto*//*Label 26800*/ GIMT_Encode4(2003131), // Rule ID 65209 //
     /* 2003050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2003053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2003058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2003061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2003064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2003067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2003070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2003080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003096 */     // MIs[0] policy
     /* 2003096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003106 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4_MASK),
     /* 2003109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003130 */     // GIR_Coverage, 65209,
     /* 2003130 */     GIR_EraseRootFromParent_Done,
     /* 2003131 */   // Label 26800: @2003131
     /* 2003131 */   GIM_Try, /*On fail goto*//*Label 26801*/ GIMT_Encode4(2003217), // Rule ID 65212 //
     /* 2003136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2003139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2003144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2003147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2003150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2003153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2003156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2003166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003182 */     // MIs[0] policy
     /* 2003182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003192 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8_MASK),
     /* 2003195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003216 */     // GIR_Coverage, 65212,
     /* 2003216 */     GIR_EraseRootFromParent_Done,
     /* 2003217 */   // Label 26801: @2003217
     /* 2003217 */   GIM_Try, /*On fail goto*//*Label 26802*/ GIMT_Encode4(2003303), // Rule ID 65213 //
     /* 2003222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2003225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2003230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2003233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2003236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2003239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2003242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2003252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003268 */     // MIs[0] policy
     /* 2003268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8_MASK),
     /* 2003281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003302 */     // GIR_Coverage, 65213,
     /* 2003302 */     GIR_EraseRootFromParent_Done,
     /* 2003303 */   // Label 26802: @2003303
     /* 2003303 */   GIM_Try, /*On fail goto*//*Label 26803*/ GIMT_Encode4(2003389), // Rule ID 65216 //
     /* 2003308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2003316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2003319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2003322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2003325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2003328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003354 */     // MIs[0] policy
     /* 2003354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_MF2_MASK),
     /* 2003367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003388 */     // GIR_Coverage, 65216,
     /* 2003388 */     GIR_EraseRootFromParent_Done,
     /* 2003389 */   // Label 26803: @2003389
     /* 2003389 */   GIM_Try, /*On fail goto*//*Label 26804*/ GIMT_Encode4(2003475), // Rule ID 65217 //
     /* 2003394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2003402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2003405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2003408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2003411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2003414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003440 */     // MIs[0] policy
     /* 2003440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_MF2_MASK),
     /* 2003453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003474 */     // GIR_Coverage, 65217,
     /* 2003474 */     GIR_EraseRootFromParent_Done,
     /* 2003475 */   // Label 26804: @2003475
     /* 2003475 */   GIM_Try, /*On fail goto*//*Label 26805*/ GIMT_Encode4(2003561), // Rule ID 65220 //
     /* 2003480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2003488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2003497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2003500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003526 */     // MIs[0] policy
     /* 2003526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1_MASK),
     /* 2003539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003560 */     // GIR_Coverage, 65220,
     /* 2003560 */     GIR_EraseRootFromParent_Done,
     /* 2003561 */   // Label 26805: @2003561
     /* 2003561 */   GIM_Try, /*On fail goto*//*Label 26806*/ GIMT_Encode4(2003647), // Rule ID 65221 //
     /* 2003566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2003574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2003583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2003586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003612 */     // MIs[0] policy
     /* 2003612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003622 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1_MASK),
     /* 2003625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003646 */     // GIR_Coverage, 65221,
     /* 2003646 */     GIR_EraseRootFromParent_Done,
     /* 2003647 */   // Label 26806: @2003647
     /* 2003647 */   GIM_Try, /*On fail goto*//*Label 26807*/ GIMT_Encode4(2003733), // Rule ID 65224 //
     /* 2003652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2003660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2003663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2003666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2003669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2003672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2003682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003698 */     // MIs[0] policy
     /* 2003698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2_MASK),
     /* 2003711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003732 */     // GIR_Coverage, 65224,
     /* 2003732 */     GIR_EraseRootFromParent_Done,
     /* 2003733 */   // Label 26807: @2003733
     /* 2003733 */   GIM_Try, /*On fail goto*//*Label 26808*/ GIMT_Encode4(2003819), // Rule ID 65225 //
     /* 2003738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2003746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2003749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2003752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2003755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2003758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2003768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003784 */     // MIs[0] policy
     /* 2003784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2_MASK),
     /* 2003797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003818 */     // GIR_Coverage, 65225,
     /* 2003818 */     GIR_EraseRootFromParent_Done,
     /* 2003819 */   // Label 26808: @2003819
     /* 2003819 */   GIM_Try, /*On fail goto*//*Label 26809*/ GIMT_Encode4(2003905), // Rule ID 65228 //
     /* 2003824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2003832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2003835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2003838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2003841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2003844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2003854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003870 */     // MIs[0] policy
     /* 2003870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003880 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4_MASK),
     /* 2003883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003904 */     // GIR_Coverage, 65228,
     /* 2003904 */     GIR_EraseRootFromParent_Done,
     /* 2003905 */   // Label 26809: @2003905
     /* 2003905 */   GIM_Try, /*On fail goto*//*Label 26810*/ GIMT_Encode4(2003991), // Rule ID 65229 //
     /* 2003910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2003918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2003921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2003924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2003927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2003930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2003940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003956 */     // MIs[0] policy
     /* 2003956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003966 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4_MASK),
     /* 2003969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003990 */     // GIR_Coverage, 65229,
     /* 2003990 */     GIR_EraseRootFromParent_Done,
     /* 2003991 */   // Label 26810: @2003991
     /* 2003991 */   GIM_Try, /*On fail goto*//*Label 26811*/ GIMT_Encode4(2004077), // Rule ID 65232 //
     /* 2003996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2004004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2004007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2004010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2004013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2004016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2004026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004042 */     // MIs[0] policy
     /* 2004042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8_MASK),
     /* 2004055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004076 */     // GIR_Coverage, 65232,
     /* 2004076 */     GIR_EraseRootFromParent_Done,
     /* 2004077 */   // Label 26811: @2004077
     /* 2004077 */   GIM_Try, /*On fail goto*//*Label 26812*/ GIMT_Encode4(2004163), // Rule ID 65233 //
     /* 2004082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2004090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2004093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2004096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2004099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2004102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2004112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004128 */     // MIs[0] policy
     /* 2004128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004138 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8_MASK),
     /* 2004141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004162 */     // GIR_Coverage, 65233,
     /* 2004162 */     GIR_EraseRootFromParent_Done,
     /* 2004163 */   // Label 26812: @2004163
     /* 2004163 */   GIM_Try, /*On fail goto*//*Label 26813*/ GIMT_Encode4(2004249), // Rule ID 65236 //
     /* 2004168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2004171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2004176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2004185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2004188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004214 */     // MIs[0] policy
     /* 2004214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1_MASK),
     /* 2004227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004248 */     // GIR_Coverage, 65236,
     /* 2004248 */     GIR_EraseRootFromParent_Done,
     /* 2004249 */   // Label 26813: @2004249
     /* 2004249 */   GIM_Try, /*On fail goto*//*Label 26814*/ GIMT_Encode4(2004335), // Rule ID 65237 //
     /* 2004254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2004257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2004262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2004271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2004274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004300 */     // MIs[0] policy
     /* 2004300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004310 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1_MASK),
     /* 2004313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004334 */     // GIR_Coverage, 65237,
     /* 2004334 */     GIR_EraseRootFromParent_Done,
     /* 2004335 */   // Label 26814: @2004335
     /* 2004335 */   GIM_Try, /*On fail goto*//*Label 26815*/ GIMT_Encode4(2004421), // Rule ID 65240 //
     /* 2004340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2004343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2004348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2004351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2004354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2004357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2004360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2004370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004386 */     // MIs[0] policy
     /* 2004386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004396 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2_MASK),
     /* 2004399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004420 */     // GIR_Coverage, 65240,
     /* 2004420 */     GIR_EraseRootFromParent_Done,
     /* 2004421 */   // Label 26815: @2004421
     /* 2004421 */   GIM_Try, /*On fail goto*//*Label 26816*/ GIMT_Encode4(2004507), // Rule ID 65241 //
     /* 2004426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2004429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2004434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2004437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2004440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2004443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2004446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2004456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004472 */     // MIs[0] policy
     /* 2004472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004482 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2_MASK),
     /* 2004485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004506 */     // GIR_Coverage, 65241,
     /* 2004506 */     GIR_EraseRootFromParent_Done,
     /* 2004507 */   // Label 26816: @2004507
     /* 2004507 */   GIM_Try, /*On fail goto*//*Label 26817*/ GIMT_Encode4(2004593), // Rule ID 65244 //
     /* 2004512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2004515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2004520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2004523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2004526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2004529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2004532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2004542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004558 */     // MIs[0] policy
     /* 2004558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4_MASK),
     /* 2004571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004592 */     // GIR_Coverage, 65244,
     /* 2004592 */     GIR_EraseRootFromParent_Done,
     /* 2004593 */   // Label 26817: @2004593
     /* 2004593 */   GIM_Try, /*On fail goto*//*Label 26818*/ GIMT_Encode4(2004679), // Rule ID 65245 //
     /* 2004598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2004601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2004606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2004609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2004612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2004615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2004618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2004628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004644 */     // MIs[0] policy
     /* 2004644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4_MASK),
     /* 2004657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004678 */     // GIR_Coverage, 65245,
     /* 2004678 */     GIR_EraseRootFromParent_Done,
     /* 2004679 */   // Label 26818: @2004679
     /* 2004679 */   GIM_Try, /*On fail goto*//*Label 26819*/ GIMT_Encode4(2004765), // Rule ID 65248 //
     /* 2004684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2004687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2004692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2004695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2004698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2004701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2004704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2004707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2004714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004730 */     // MIs[0] policy
     /* 2004730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004740 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8_MASK),
     /* 2004743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004764 */     // GIR_Coverage, 65248,
     /* 2004764 */     GIR_EraseRootFromParent_Done,
     /* 2004765 */   // Label 26819: @2004765
     /* 2004765 */   GIM_Try, /*On fail goto*//*Label 26820*/ GIMT_Encode4(2004851), // Rule ID 65249 //
     /* 2004770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2004773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2004778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2004781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2004784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2004787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2004790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2004793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2004800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004816 */     // MIs[0] policy
     /* 2004816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004826 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8_MASK),
     /* 2004829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004850 */     // GIR_Coverage, 65249,
     /* 2004850 */     GIR_EraseRootFromParent_Done,
     /* 2004851 */   // Label 26820: @2004851
     /* 2004851 */   GIM_Try, /*On fail goto*//*Label 26821*/ GIMT_Encode4(2004937), // Rule ID 65252 //
     /* 2004856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2004864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2004867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2004870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2004873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2004876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004902 */     // MIs[0] policy
     /* 2004902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_MF2_MASK),
     /* 2004915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004936 */     // GIR_Coverage, 65252,
     /* 2004936 */     GIR_EraseRootFromParent_Done,
     /* 2004937 */   // Label 26821: @2004937
     /* 2004937 */   GIM_Try, /*On fail goto*//*Label 26822*/ GIMT_Encode4(2005023), // Rule ID 65253 //
     /* 2004942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2004950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2004953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2004956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2004959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2004962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004988 */     // MIs[0] policy
     /* 2004988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004998 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_MF2_MASK),
     /* 2005001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005022 */     // GIR_Coverage, 65253,
     /* 2005022 */     GIR_EraseRootFromParent_Done,
     /* 2005023 */   // Label 26822: @2005023
     /* 2005023 */   GIM_Try, /*On fail goto*//*Label 26823*/ GIMT_Encode4(2005109), // Rule ID 65256 //
     /* 2005028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2005036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2005045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2005048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005074 */     // MIs[0] policy
     /* 2005074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1_MASK),
     /* 2005087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005108 */     // GIR_Coverage, 65256,
     /* 2005108 */     GIR_EraseRootFromParent_Done,
     /* 2005109 */   // Label 26823: @2005109
     /* 2005109 */   GIM_Try, /*On fail goto*//*Label 26824*/ GIMT_Encode4(2005195), // Rule ID 65257 //
     /* 2005114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2005122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2005131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2005134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005160 */     // MIs[0] policy
     /* 2005160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005170 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1_MASK),
     /* 2005173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005194 */     // GIR_Coverage, 65257,
     /* 2005194 */     GIR_EraseRootFromParent_Done,
     /* 2005195 */   // Label 26824: @2005195
     /* 2005195 */   GIM_Try, /*On fail goto*//*Label 26825*/ GIMT_Encode4(2005281), // Rule ID 65260 //
     /* 2005200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2005208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2005211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2005214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2005217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2005220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005246 */     // MIs[0] policy
     /* 2005246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2_MASK),
     /* 2005259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005280 */     // GIR_Coverage, 65260,
     /* 2005280 */     GIR_EraseRootFromParent_Done,
     /* 2005281 */   // Label 26825: @2005281
     /* 2005281 */   GIM_Try, /*On fail goto*//*Label 26826*/ GIMT_Encode4(2005367), // Rule ID 65261 //
     /* 2005286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2005294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2005297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2005300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2005303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2005306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005332 */     // MIs[0] policy
     /* 2005332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2_MASK),
     /* 2005345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005366 */     // GIR_Coverage, 65261,
     /* 2005366 */     GIR_EraseRootFromParent_Done,
     /* 2005367 */   // Label 26826: @2005367
     /* 2005367 */   GIM_Try, /*On fail goto*//*Label 26827*/ GIMT_Encode4(2005453), // Rule ID 65264 //
     /* 2005372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2005380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2005383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2005386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2005389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2005392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005418 */     // MIs[0] policy
     /* 2005418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4_MASK),
     /* 2005431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005452 */     // GIR_Coverage, 65264,
     /* 2005452 */     GIR_EraseRootFromParent_Done,
     /* 2005453 */   // Label 26827: @2005453
     /* 2005453 */   GIM_Try, /*On fail goto*//*Label 26828*/ GIMT_Encode4(2005539), // Rule ID 65265 //
     /* 2005458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2005466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2005469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2005472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2005475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2005478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005504 */     // MIs[0] policy
     /* 2005504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4_MASK),
     /* 2005517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005538 */     // GIR_Coverage, 65265,
     /* 2005538 */     GIR_EraseRootFromParent_Done,
     /* 2005539 */   // Label 26828: @2005539
     /* 2005539 */   GIM_Try, /*On fail goto*//*Label 26829*/ GIMT_Encode4(2005625), // Rule ID 65268 //
     /* 2005544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2005552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2005555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2005558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2005561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2005564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005590 */     // MIs[0] policy
     /* 2005590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8_MASK),
     /* 2005603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005624 */     // GIR_Coverage, 65268,
     /* 2005624 */     GIR_EraseRootFromParent_Done,
     /* 2005625 */   // Label 26829: @2005625
     /* 2005625 */   GIM_Try, /*On fail goto*//*Label 26830*/ GIMT_Encode4(2005711), // Rule ID 65269 //
     /* 2005630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2005638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2005641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2005644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2005647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2005650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005676 */     // MIs[0] policy
     /* 2005676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8_MASK),
     /* 2005689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005710 */     // GIR_Coverage, 65269,
     /* 2005710 */     GIR_EraseRootFromParent_Done,
     /* 2005711 */   // Label 26830: @2005711
     /* 2005711 */   GIM_Try, /*On fail goto*//*Label 26831*/ GIMT_Encode4(2005797), // Rule ID 65272 //
     /* 2005716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2005719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2005724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2005727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2005730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2005733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2005736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005762 */     // MIs[0] policy
     /* 2005762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005772 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1_MASK),
     /* 2005775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005796 */     // GIR_Coverage, 65272,
     /* 2005796 */     GIR_EraseRootFromParent_Done,
     /* 2005797 */   // Label 26831: @2005797
     /* 2005797 */   GIM_Try, /*On fail goto*//*Label 26832*/ GIMT_Encode4(2005883), // Rule ID 65273 //
     /* 2005802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2005805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2005810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2005813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2005816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2005819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2005822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005848 */     // MIs[0] policy
     /* 2005848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005858 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1_MASK),
     /* 2005861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005882 */     // GIR_Coverage, 65273,
     /* 2005882 */     GIR_EraseRootFromParent_Done,
     /* 2005883 */   // Label 26832: @2005883
     /* 2005883 */   GIM_Try, /*On fail goto*//*Label 26833*/ GIMT_Encode4(2005969), // Rule ID 65276 //
     /* 2005888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2005891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2005896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2005899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2005902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2005905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2005908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005934 */     // MIs[0] policy
     /* 2005934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005944 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2_MASK),
     /* 2005947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005968 */     // GIR_Coverage, 65276,
     /* 2005968 */     GIR_EraseRootFromParent_Done,
     /* 2005969 */   // Label 26833: @2005969
     /* 2005969 */   GIM_Try, /*On fail goto*//*Label 26834*/ GIMT_Encode4(2006055), // Rule ID 65277 //
     /* 2005974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2005977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2005982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2005985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2005988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2005991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2005994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006020 */     // MIs[0] policy
     /* 2006020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006030 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2_MASK),
     /* 2006033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006054 */     // GIR_Coverage, 65277,
     /* 2006054 */     GIR_EraseRootFromParent_Done,
     /* 2006055 */   // Label 26834: @2006055
     /* 2006055 */   GIM_Try, /*On fail goto*//*Label 26835*/ GIMT_Encode4(2006141), // Rule ID 65280 //
     /* 2006060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2006063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2006068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2006071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2006074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2006077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2006080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2006086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006106 */     // MIs[0] policy
     /* 2006106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006116 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4_MASK),
     /* 2006119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006140 */     // GIR_Coverage, 65280,
     /* 2006140 */     GIR_EraseRootFromParent_Done,
     /* 2006141 */   // Label 26835: @2006141
     /* 2006141 */   GIM_Try, /*On fail goto*//*Label 26836*/ GIMT_Encode4(2006227), // Rule ID 65281 //
     /* 2006146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2006149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2006154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2006157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2006160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2006163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2006166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006192 */     // MIs[0] policy
     /* 2006192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006202 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4_MASK),
     /* 2006205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006226 */     // GIR_Coverage, 65281,
     /* 2006226 */     GIR_EraseRootFromParent_Done,
     /* 2006227 */   // Label 26836: @2006227
     /* 2006227 */   GIM_Try, /*On fail goto*//*Label 26837*/ GIMT_Encode4(2006313), // Rule ID 65284 //
     /* 2006232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2006235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2006240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2006243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2006246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2006249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2006252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2006258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006278 */     // MIs[0] policy
     /* 2006278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006288 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8_MASK),
     /* 2006291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006312 */     // GIR_Coverage, 65284,
     /* 2006312 */     GIR_EraseRootFromParent_Done,
     /* 2006313 */   // Label 26837: @2006313
     /* 2006313 */   GIM_Try, /*On fail goto*//*Label 26838*/ GIMT_Encode4(2006399), // Rule ID 65285 //
     /* 2006318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2006321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2006326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2006329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2006332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2006335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2006338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006364 */     // MIs[0] policy
     /* 2006364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8_MASK),
     /* 2006377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006398 */     // GIR_Coverage, 65285,
     /* 2006398 */     GIR_EraseRootFromParent_Done,
     /* 2006399 */   // Label 26838: @2006399
     /* 2006399 */   GIM_Try, /*On fail goto*//*Label 26839*/ GIMT_Encode4(2006488), // Rule ID 2790 //
     /* 2006404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2006407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2006412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2006415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2006418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2006421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2006424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006450 */     // MIs[0] round
     /* 2006450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006460 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 2006463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006487 */     // GIR_Coverage, 2790,
     /* 2006487 */     GIR_EraseRootFromParent_Done,
     /* 2006488 */   // Label 26839: @2006488
     /* 2006488 */   GIM_Try, /*On fail goto*//*Label 26840*/ GIMT_Encode4(2006577), // Rule ID 2791 //
     /* 2006493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2006496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2006501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2006504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2006507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2006510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2006513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006539 */     // MIs[0] round
     /* 2006539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006549 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 2006552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006576 */     // GIR_Coverage, 2791,
     /* 2006576 */     GIR_EraseRootFromParent_Done,
     /* 2006577 */   // Label 26840: @2006577
     /* 2006577 */   GIM_Try, /*On fail goto*//*Label 26841*/ GIMT_Encode4(2006666), // Rule ID 22836 //
     /* 2006582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2006585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2006590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2006593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2006596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2006599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2006602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006628 */     // MIs[0] round
     /* 2006628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006638 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 2006641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006665 */     // GIR_Coverage, 22836,
     /* 2006665 */     GIR_EraseRootFromParent_Done,
     /* 2006666 */   // Label 26841: @2006666
     /* 2006666 */   GIM_Try, /*On fail goto*//*Label 26842*/ GIMT_Encode4(2006755), // Rule ID 22837 //
     /* 2006671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2006674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2006679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2006682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2006685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2006688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2006691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006717 */     // MIs[0] round
     /* 2006717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006727 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 2006730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006754 */     // GIR_Coverage, 22837,
     /* 2006754 */     GIR_EraseRootFromParent_Done,
     /* 2006755 */   // Label 26842: @2006755
     /* 2006755 */   GIM_Try, /*On fail goto*//*Label 26843*/ GIMT_Encode4(2006844), // Rule ID 22840 //
     /* 2006760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2006763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2006768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2006777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2006780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006806 */     // MIs[0] round
     /* 2006806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006816 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 2006819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006843 */     // GIR_Coverage, 22840,
     /* 2006843 */     GIR_EraseRootFromParent_Done,
     /* 2006844 */   // Label 26843: @2006844
     /* 2006844 */   GIM_Try, /*On fail goto*//*Label 26844*/ GIMT_Encode4(2006933), // Rule ID 22841 //
     /* 2006849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2006852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2006857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2006866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2006869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006895 */     // MIs[0] round
     /* 2006895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006905 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 2006908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006932 */     // GIR_Coverage, 22841,
     /* 2006932 */     GIR_EraseRootFromParent_Done,
     /* 2006933 */   // Label 26844: @2006933
     /* 2006933 */   GIM_Try, /*On fail goto*//*Label 26845*/ GIMT_Encode4(2007022), // Rule ID 22844 //
     /* 2006938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2006941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2006946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2006949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2006952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2006955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2006958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006984 */     // MIs[0] round
     /* 2006984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006994 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 2006997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007021 */     // GIR_Coverage, 22844,
     /* 2007021 */     GIR_EraseRootFromParent_Done,
     /* 2007022 */   // Label 26845: @2007022
     /* 2007022 */   GIM_Try, /*On fail goto*//*Label 26846*/ GIMT_Encode4(2007111), // Rule ID 22845 //
     /* 2007027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2007030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2007035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2007038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2007041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2007044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2007047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007073 */     // MIs[0] round
     /* 2007073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007083 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 2007086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007110 */     // GIR_Coverage, 22845,
     /* 2007110 */     GIR_EraseRootFromParent_Done,
     /* 2007111 */   // Label 26846: @2007111
     /* 2007111 */   GIM_Try, /*On fail goto*//*Label 26847*/ GIMT_Encode4(2007200), // Rule ID 22848 //
     /* 2007116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2007119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2007124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2007133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007162 */     // MIs[0] round
     /* 2007162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007172 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 2007175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007199 */     // GIR_Coverage, 22848,
     /* 2007199 */     GIR_EraseRootFromParent_Done,
     /* 2007200 */   // Label 26847: @2007200
     /* 2007200 */   GIM_Try, /*On fail goto*//*Label 26848*/ GIMT_Encode4(2007289), // Rule ID 22849 //
     /* 2007205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2007208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2007213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2007222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007251 */     // MIs[0] round
     /* 2007251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007261 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 2007264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007288 */     // GIR_Coverage, 22849,
     /* 2007288 */     GIR_EraseRootFromParent_Done,
     /* 2007289 */   // Label 26848: @2007289
     /* 2007289 */   GIM_Try, /*On fail goto*//*Label 26849*/ GIMT_Encode4(2007378), // Rule ID 22852 //
     /* 2007294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2007297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2007302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2007305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2007308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2007311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2007314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007340 */     // MIs[0] round
     /* 2007340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007350 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 2007353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007377 */     // GIR_Coverage, 22852,
     /* 2007377 */     GIR_EraseRootFromParent_Done,
     /* 2007378 */   // Label 26849: @2007378
     /* 2007378 */   GIM_Try, /*On fail goto*//*Label 26850*/ GIMT_Encode4(2007467), // Rule ID 22853 //
     /* 2007383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2007386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2007391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2007394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2007397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2007400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2007403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007429 */     // MIs[0] round
     /* 2007429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007439 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 2007442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007466 */     // GIR_Coverage, 22853,
     /* 2007466 */     GIR_EraseRootFromParent_Done,
     /* 2007467 */   // Label 26850: @2007467
     /* 2007467 */   GIM_Try, /*On fail goto*//*Label 26851*/ GIMT_Encode4(2007556), // Rule ID 22856 //
     /* 2007472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2007475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2007480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2007483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2007486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2007489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2007492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007518 */     // MIs[0] round
     /* 2007518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007528 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 2007531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007555 */     // GIR_Coverage, 22856,
     /* 2007555 */     GIR_EraseRootFromParent_Done,
     /* 2007556 */   // Label 26851: @2007556
     /* 2007556 */   GIM_Try, /*On fail goto*//*Label 26852*/ GIMT_Encode4(2007645), // Rule ID 22857 //
     /* 2007561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2007564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2007569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2007572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2007575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2007578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2007581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007607 */     // MIs[0] round
     /* 2007607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007617 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 2007620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007644 */     // GIR_Coverage, 22857,
     /* 2007644 */     GIR_EraseRootFromParent_Done,
     /* 2007645 */   // Label 26852: @2007645
     /* 2007645 */   GIM_Try, /*On fail goto*//*Label 26853*/ GIMT_Encode4(2007734), // Rule ID 22860 //
     /* 2007650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2007653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2007658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2007661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2007664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2007670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007696 */     // MIs[0] round
     /* 2007696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007706 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 2007709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007733 */     // GIR_Coverage, 22860,
     /* 2007733 */     GIR_EraseRootFromParent_Done,
     /* 2007734 */   // Label 26853: @2007734
     /* 2007734 */   GIM_Try, /*On fail goto*//*Label 26854*/ GIMT_Encode4(2007823), // Rule ID 22861 //
     /* 2007739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2007742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2007747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2007750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2007753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2007759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007785 */     // MIs[0] round
     /* 2007785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007795 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 2007798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007822 */     // GIR_Coverage, 22861,
     /* 2007822 */     GIR_EraseRootFromParent_Done,
     /* 2007823 */   // Label 26854: @2007823
     /* 2007823 */   GIM_Try, /*On fail goto*//*Label 26855*/ GIMT_Encode4(2007912), // Rule ID 22864 //
     /* 2007828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2007831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2007836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2007839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2007842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2007848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2007851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007874 */     // MIs[0] round
     /* 2007874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007884 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 2007887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007911 */     // GIR_Coverage, 22864,
     /* 2007911 */     GIR_EraseRootFromParent_Done,
     /* 2007912 */   // Label 26855: @2007912
     /* 2007912 */   GIM_Try, /*On fail goto*//*Label 26856*/ GIMT_Encode4(2008001), // Rule ID 22865 //
     /* 2007917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2007920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2007925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2007928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2007931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2007937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2007940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007963 */     // MIs[0] round
     /* 2007963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007973 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 2007976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008000 */     // GIR_Coverage, 22865,
     /* 2008000 */     GIR_EraseRootFromParent_Done,
     /* 2008001 */   // Label 26856: @2008001
     /* 2008001 */   GIM_Try, /*On fail goto*//*Label 26857*/ GIMT_Encode4(2008090), // Rule ID 22868 //
     /* 2008006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2008009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2008014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2008023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2008026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008052 */     // MIs[0] round
     /* 2008052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008062 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2008062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 2008065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008089 */     // GIR_Coverage, 22868,
     /* 2008089 */     GIR_EraseRootFromParent_Done,
     /* 2008090 */   // Label 26857: @2008090
     /* 2008090 */   GIM_Try, /*On fail goto*//*Label 26858*/ GIMT_Encode4(2008179), // Rule ID 22869 //
     /* 2008095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2008098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2008103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2008112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2008115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008141 */     // MIs[0] round
     /* 2008141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008151 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 2008154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008178 */     // GIR_Coverage, 22869,
     /* 2008178 */     GIR_EraseRootFromParent_Done,
     /* 2008179 */   // Label 26858: @2008179
     /* 2008179 */   GIM_Try, /*On fail goto*//*Label 26859*/ GIMT_Encode4(2008268), // Rule ID 22872 //
     /* 2008184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2008187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2008192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2008201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2008204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008230 */     // MIs[0] round
     /* 2008230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008240 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2008240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 2008243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008267 */     // GIR_Coverage, 22872,
     /* 2008267 */     GIR_EraseRootFromParent_Done,
     /* 2008268 */   // Label 26859: @2008268
     /* 2008268 */   GIM_Try, /*On fail goto*//*Label 26860*/ GIMT_Encode4(2008357), // Rule ID 22873 //
     /* 2008273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2008276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2008281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2008290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2008293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008319 */     // MIs[0] round
     /* 2008319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008329 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 2008332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008356 */     // GIR_Coverage, 22873,
     /* 2008356 */     GIR_EraseRootFromParent_Done,
     /* 2008357 */   // Label 26860: @2008357
     /* 2008357 */   GIM_Try, /*On fail goto*//*Label 26861*/ GIMT_Encode4(2008446), // Rule ID 22876 //
     /* 2008362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2008365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2008370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2008379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2008382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2008385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008408 */     // MIs[0] round
     /* 2008408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008418 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2008418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 2008421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008445 */     // GIR_Coverage, 22876,
     /* 2008445 */     GIR_EraseRootFromParent_Done,
     /* 2008446 */   // Label 26861: @2008446
     /* 2008446 */   GIM_Try, /*On fail goto*//*Label 26862*/ GIMT_Encode4(2008535), // Rule ID 22877 //
     /* 2008451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2008454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2008459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2008468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2008471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2008474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008497 */     // MIs[0] round
     /* 2008497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008507 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 2008510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008534 */     // GIR_Coverage, 22877,
     /* 2008534 */     GIR_EraseRootFromParent_Done,
     /* 2008535 */   // Label 26862: @2008535
     /* 2008535 */   GIM_Try, /*On fail goto*//*Label 26863*/ GIMT_Encode4(2008624), // Rule ID 22880 //
     /* 2008540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2008543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2008548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2008557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008586 */     // MIs[0] round
     /* 2008586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008596 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2008596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 2008599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008623 */     // GIR_Coverage, 22880,
     /* 2008623 */     GIR_EraseRootFromParent_Done,
     /* 2008624 */   // Label 26863: @2008624
     /* 2008624 */   GIM_Try, /*On fail goto*//*Label 26864*/ GIMT_Encode4(2008713), // Rule ID 22881 //
     /* 2008629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2008632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2008637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2008646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008675 */     // MIs[0] round
     /* 2008675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008685 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 2008688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008712 */     // GIR_Coverage, 22881,
     /* 2008712 */     GIR_EraseRootFromParent_Done,
     /* 2008713 */   // Label 26864: @2008713
     /* 2008713 */   GIM_Try, /*On fail goto*//*Label 26865*/ GIMT_Encode4(2008802), // Rule ID 22884 //
     /* 2008718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2008721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2008726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2008735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008764 */     // MIs[0] round
     /* 2008764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008774 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2008774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 2008777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008801 */     // GIR_Coverage, 22884,
     /* 2008801 */     GIR_EraseRootFromParent_Done,
     /* 2008802 */   // Label 26865: @2008802
     /* 2008802 */   GIM_Try, /*On fail goto*//*Label 26866*/ GIMT_Encode4(2008891), // Rule ID 22885 //
     /* 2008807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2008810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2008815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2008824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008853 */     // MIs[0] round
     /* 2008853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008863 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 2008866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008890 */     // GIR_Coverage, 22885,
     /* 2008890 */     GIR_EraseRootFromParent_Done,
     /* 2008891 */   // Label 26866: @2008891
     /* 2008891 */   GIM_Try, /*On fail goto*//*Label 26867*/ GIMT_Encode4(2008980), // Rule ID 22888 //
     /* 2008896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2008899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2008904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2008913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008942 */     // MIs[0] round
     /* 2008942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008952 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2008952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 2008955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008979 */     // GIR_Coverage, 22888,
     /* 2008979 */     GIR_EraseRootFromParent_Done,
     /* 2008980 */   // Label 26867: @2008980
     /* 2008980 */   GIM_Try, /*On fail goto*//*Label 26868*/ GIMT_Encode4(2009069), // Rule ID 22889 //
     /* 2008985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2008988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2008993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2009002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2009005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009031 */     // MIs[0] round
     /* 2009031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009041 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2009041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 2009044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2009064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009068 */     // GIR_Coverage, 22889,
     /* 2009068 */     GIR_EraseRootFromParent_Done,
     /* 2009069 */   // Label 26868: @2009069
     /* 2009069 */   GIM_Try, /*On fail goto*//*Label 26869*/ GIMT_Encode4(2009158), // Rule ID 22892 //
     /* 2009074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2009077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2009082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2009091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2009094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009120 */     // MIs[0] round
     /* 2009120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009130 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2009130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 2009133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009157 */     // GIR_Coverage, 22892,
     /* 2009157 */     GIR_EraseRootFromParent_Done,
     /* 2009158 */   // Label 26869: @2009158
     /* 2009158 */   GIM_Try, /*On fail goto*//*Label 26870*/ GIMT_Encode4(2009247), // Rule ID 22893 //
     /* 2009163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2009166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2009171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2009180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2009183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009209 */     // MIs[0] round
     /* 2009209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009219 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2009219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 2009222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009246 */     // GIR_Coverage, 22893,
     /* 2009246 */     GIR_EraseRootFromParent_Done,
     /* 2009247 */   // Label 26870: @2009247
     /* 2009247 */   GIM_Try, /*On fail goto*//*Label 26871*/ GIMT_Encode4(2009336), // Rule ID 22896 //
     /* 2009252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2009255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2009260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2009272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009298 */     // MIs[0] round
     /* 2009298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009308 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2009308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 2009311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009335 */     // GIR_Coverage, 22896,
     /* 2009335 */     GIR_EraseRootFromParent_Done,
     /* 2009336 */   // Label 26871: @2009336
     /* 2009336 */   GIM_Try, /*On fail goto*//*Label 26872*/ GIMT_Encode4(2009425), // Rule ID 22897 //
     /* 2009341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2009344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2009349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2009361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009387 */     // MIs[0] round
     /* 2009387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009397 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2009397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 2009400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009424 */     // GIR_Coverage, 22897,
     /* 2009424 */     GIR_EraseRootFromParent_Done,
     /* 2009425 */   // Label 26872: @2009425
     /* 2009425 */   GIM_Try, /*On fail goto*//*Label 26873*/ GIMT_Encode4(2009514), // Rule ID 22900 //
     /* 2009430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2009433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2009438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2009450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009476 */     // MIs[0] round
     /* 2009476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009486 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2009486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 2009489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009513 */     // GIR_Coverage, 22900,
     /* 2009513 */     GIR_EraseRootFromParent_Done,
     /* 2009514 */   // Label 26873: @2009514
     /* 2009514 */   GIM_Try, /*On fail goto*//*Label 26874*/ GIMT_Encode4(2009603), // Rule ID 22901 //
     /* 2009519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2009522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2009527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2009539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009565 */     // MIs[0] round
     /* 2009565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009575 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2009575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 2009578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009602 */     // GIR_Coverage, 22901,
     /* 2009602 */     GIR_EraseRootFromParent_Done,
     /* 2009603 */   // Label 26874: @2009603
     /* 2009603 */   GIM_Try, /*On fail goto*//*Label 26875*/ GIMT_Encode4(2009692), // Rule ID 22904 //
     /* 2009608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2009611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2009616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2009628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009654 */     // MIs[0] round
     /* 2009654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009664 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2009664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 2009667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009691 */     // GIR_Coverage, 22904,
     /* 2009691 */     GIR_EraseRootFromParent_Done,
     /* 2009692 */   // Label 26875: @2009692
     /* 2009692 */   GIM_Try, /*On fail goto*//*Label 26876*/ GIMT_Encode4(2009781), // Rule ID 22905 //
     /* 2009697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2009700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2009705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2009717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009743 */     // MIs[0] round
     /* 2009743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009753 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2009753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 2009756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009780 */     // GIR_Coverage, 22905,
     /* 2009780 */     GIR_EraseRootFromParent_Done,
     /* 2009781 */   // Label 26876: @2009781
     /* 2009781 */   GIM_Try, /*On fail goto*//*Label 26877*/ GIMT_Encode4(2009870), // Rule ID 22908 //
     /* 2009786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2009789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2009794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2009803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2009806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009832 */     // MIs[0] round
     /* 2009832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009842 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2009842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 2009845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009869 */     // GIR_Coverage, 22908,
     /* 2009869 */     GIR_EraseRootFromParent_Done,
     /* 2009870 */   // Label 26877: @2009870
     /* 2009870 */   GIM_Try, /*On fail goto*//*Label 26878*/ GIMT_Encode4(2009959), // Rule ID 22909 //
     /* 2009875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2009878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2009883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2009892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2009895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009921 */     // MIs[0] round
     /* 2009921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009931 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2009931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 2009934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2009957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009958 */     // GIR_Coverage, 22909,
     /* 2009958 */     GIR_EraseRootFromParent_Done,
     /* 2009959 */   // Label 26878: @2009959
     /* 2009959 */   GIM_Try, /*On fail goto*//*Label 26879*/ GIMT_Encode4(2010048), // Rule ID 22912 //
     /* 2009964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2009967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2009972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2009975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2009978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2009981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2009984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010010 */     // MIs[0] round
     /* 2010010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010020 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2010020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 2010023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010047 */     // GIR_Coverage, 22912,
     /* 2010047 */     GIR_EraseRootFromParent_Done,
     /* 2010048 */   // Label 26879: @2010048
     /* 2010048 */   GIM_Try, /*On fail goto*//*Label 26880*/ GIMT_Encode4(2010137), // Rule ID 22913 //
     /* 2010053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2010056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2010061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2010070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2010073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010099 */     // MIs[0] round
     /* 2010099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010109 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2010109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 2010112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010136 */     // GIR_Coverage, 22913,
     /* 2010136 */     GIR_EraseRootFromParent_Done,
     /* 2010137 */   // Label 26880: @2010137
     /* 2010137 */   GIM_Try, /*On fail goto*//*Label 26881*/ GIMT_Encode4(2010226), // Rule ID 22916 //
     /* 2010142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2010145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2010150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2010159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2010162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010188 */     // MIs[0] round
     /* 2010188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010198 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2010198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 2010201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010225 */     // GIR_Coverage, 22916,
     /* 2010225 */     GIR_EraseRootFromParent_Done,
     /* 2010226 */   // Label 26881: @2010226
     /* 2010226 */   GIM_Try, /*On fail goto*//*Label 26882*/ GIMT_Encode4(2010315), // Rule ID 22917 //
     /* 2010231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2010234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2010239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2010248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2010251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010277 */     // MIs[0] round
     /* 2010277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010287 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2010287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 2010290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010314 */     // GIR_Coverage, 22917,
     /* 2010314 */     GIR_EraseRootFromParent_Done,
     /* 2010315 */   // Label 26882: @2010315
     /* 2010315 */   GIM_Try, /*On fail goto*//*Label 26883*/ GIMT_Encode4(2010404), // Rule ID 22920 //
     /* 2010320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2010323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2010328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2010337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2010340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010366 */     // MIs[0] round
     /* 2010366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010376 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2010376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 2010379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010403 */     // GIR_Coverage, 22920,
     /* 2010403 */     GIR_EraseRootFromParent_Done,
     /* 2010404 */   // Label 26883: @2010404
     /* 2010404 */   GIM_Try, /*On fail goto*//*Label 26884*/ GIMT_Encode4(2010493), // Rule ID 22921 //
     /* 2010409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2010412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2010417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2010426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2010429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010455 */     // MIs[0] round
     /* 2010455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010465 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2010465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 2010468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010492 */     // GIR_Coverage, 22921,
     /* 2010492 */     GIR_EraseRootFromParent_Done,
     /* 2010493 */   // Label 26884: @2010493
     /* 2010493 */   GIM_Try, /*On fail goto*//*Label 26885*/ GIMT_Encode4(2010582), // Rule ID 22924 //
     /* 2010498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2010501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2010506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2010515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2010518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2010521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010544 */     // MIs[0] round
     /* 2010544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010554 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2010554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 2010557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010581 */     // GIR_Coverage, 22924,
     /* 2010581 */     GIR_EraseRootFromParent_Done,
     /* 2010582 */   // Label 26885: @2010582
     /* 2010582 */   GIM_Try, /*On fail goto*//*Label 26886*/ GIMT_Encode4(2010671), // Rule ID 22925 //
     /* 2010587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2010590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2010595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2010604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2010607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2010610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010633 */     // MIs[0] round
     /* 2010633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010643 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2010643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 2010646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010670 */     // GIR_Coverage, 22925,
     /* 2010670 */     GIR_EraseRootFromParent_Done,
     /* 2010671 */   // Label 26886: @2010671
     /* 2010671 */   GIM_Try, /*On fail goto*//*Label 26887*/ GIMT_Encode4(2010760), // Rule ID 22928 //
     /* 2010676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2010679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2010684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2010693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2010696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010722 */     // MIs[0] round
     /* 2010722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010732 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2010732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 2010735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010759 */     // GIR_Coverage, 22928,
     /* 2010759 */     GIR_EraseRootFromParent_Done,
     /* 2010760 */   // Label 26887: @2010760
     /* 2010760 */   GIM_Try, /*On fail goto*//*Label 26888*/ GIMT_Encode4(2010849), // Rule ID 22929 //
     /* 2010765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2010768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2010773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2010782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2010785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010811 */     // MIs[0] round
     /* 2010811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010821 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2010821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 2010824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010848 */     // GIR_Coverage, 22929,
     /* 2010848 */     GIR_EraseRootFromParent_Done,
     /* 2010849 */   // Label 26888: @2010849
     /* 2010849 */   GIM_Try, /*On fail goto*//*Label 26889*/ GIMT_Encode4(2010938), // Rule ID 22932 //
     /* 2010854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2010857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2010862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2010871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2010874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010900 */     // MIs[0] round
     /* 2010900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010910 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2010910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 2010913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010937 */     // GIR_Coverage, 22932,
     /* 2010937 */     GIR_EraseRootFromParent_Done,
     /* 2010938 */   // Label 26889: @2010938
     /* 2010938 */   GIM_Try, /*On fail goto*//*Label 26890*/ GIMT_Encode4(2011027), // Rule ID 22933 //
     /* 2010943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2010946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2010951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2010960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2010963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010989 */     // MIs[0] round
     /* 2010989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010999 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2010999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 2011002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011026 */     // GIR_Coverage, 22933,
     /* 2011026 */     GIR_EraseRootFromParent_Done,
     /* 2011027 */   // Label 26890: @2011027
     /* 2011027 */   GIM_Try, /*On fail goto*//*Label 26891*/ GIMT_Encode4(2011116), // Rule ID 22936 //
     /* 2011032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2011035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2011040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2011043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2011046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2011049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2011052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011078 */     // MIs[0] round
     /* 2011078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011088 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2011088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 2011091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011115 */     // GIR_Coverage, 22936,
     /* 2011115 */     GIR_EraseRootFromParent_Done,
     /* 2011116 */   // Label 26891: @2011116
     /* 2011116 */   GIM_Try, /*On fail goto*//*Label 26892*/ GIMT_Encode4(2011205), // Rule ID 22937 //
     /* 2011121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2011124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2011129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2011132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2011135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2011138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2011141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011167 */     // MIs[0] round
     /* 2011167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011177 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2011177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 2011180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011204 */     // GIR_Coverage, 22937,
     /* 2011204 */     GIR_EraseRootFromParent_Done,
     /* 2011205 */   // Label 26892: @2011205
     /* 2011205 */   GIM_Try, /*On fail goto*//*Label 26893*/ GIMT_Encode4(2011294), // Rule ID 22940 //
     /* 2011210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2011213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2011218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2011221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2011224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2011227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2011230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011256 */     // MIs[0] round
     /* 2011256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011266 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2011266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 2011269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011293 */     // GIR_Coverage, 22940,
     /* 2011293 */     GIR_EraseRootFromParent_Done,
     /* 2011294 */   // Label 26893: @2011294
     /* 2011294 */   GIM_Try, /*On fail goto*//*Label 26894*/ GIMT_Encode4(2011383), // Rule ID 22941 //
     /* 2011299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2011302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2011307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2011310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2011313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2011316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2011319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011345 */     // MIs[0] round
     /* 2011345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011355 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2011355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 2011358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011382 */     // GIR_Coverage, 22941,
     /* 2011382 */     GIR_EraseRootFromParent_Done,
     /* 2011383 */   // Label 26894: @2011383
     /* 2011383 */   GIM_Try, /*On fail goto*//*Label 26895*/ GIMT_Encode4(2011472), // Rule ID 22944 //
     /* 2011388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2011391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2011396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2011399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2011402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2011405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2011408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011434 */     // MIs[0] round
     /* 2011434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011444 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2011444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2011447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011471 */     // GIR_Coverage, 22944,
     /* 2011471 */     GIR_EraseRootFromParent_Done,
     /* 2011472 */   // Label 26895: @2011472
     /* 2011472 */   GIM_Try, /*On fail goto*//*Label 26896*/ GIMT_Encode4(2011561), // Rule ID 22945 //
     /* 2011477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2011480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2011485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2011488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2011491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2011494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2011497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011523 */     // MIs[0] round
     /* 2011523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011533 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2011533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2011536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011560 */     // GIR_Coverage, 22945,
     /* 2011560 */     GIR_EraseRootFromParent_Done,
     /* 2011561 */   // Label 26896: @2011561
     /* 2011561 */   GIM_Try, /*On fail goto*//*Label 26897*/ GIMT_Encode4(2011650), // Rule ID 22948 //
     /* 2011566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2011569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2011574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2011577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2011580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2011583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2011586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011612 */     // MIs[0] round
     /* 2011612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011622 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2011622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2011625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011649 */     // GIR_Coverage, 22948,
     /* 2011649 */     GIR_EraseRootFromParent_Done,
     /* 2011650 */   // Label 26897: @2011650
     /* 2011650 */   GIM_Try, /*On fail goto*//*Label 26898*/ GIMT_Encode4(2011739), // Rule ID 22949 //
     /* 2011655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2011658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2011663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2011666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2011669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2011672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2011675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011701 */     // MIs[0] round
     /* 2011701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011711 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2011711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2011714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011738 */     // GIR_Coverage, 22949,
     /* 2011738 */     GIR_EraseRootFromParent_Done,
     /* 2011739 */   // Label 26898: @2011739
     /* 2011739 */   GIM_Try, /*On fail goto*//*Label 26899*/ GIMT_Encode4(2011828), // Rule ID 23072 //
     /* 2011744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2011747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2011752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2011755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2011758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2011761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2011764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011790 */     // MIs[0] round
     /* 2011790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011800 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2011800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2011803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011827 */     // GIR_Coverage, 23072,
     /* 2011827 */     GIR_EraseRootFromParent_Done,
     /* 2011828 */   // Label 26899: @2011828
     /* 2011828 */   GIM_Try, /*On fail goto*//*Label 26900*/ GIMT_Encode4(2011917), // Rule ID 23073 //
     /* 2011833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2011836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2011841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2011844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2011847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2011850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2011853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011879 */     // MIs[0] round
     /* 2011879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011889 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2011889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2011892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011916 */     // GIR_Coverage, 23073,
     /* 2011916 */     GIR_EraseRootFromParent_Done,
     /* 2011917 */   // Label 26900: @2011917
     /* 2011917 */   GIM_Try, /*On fail goto*//*Label 26901*/ GIMT_Encode4(2012006), // Rule ID 23076 //
     /* 2011922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2011925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2011930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2011933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2011936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2011939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2011942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011968 */     // MIs[0] round
     /* 2011968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011978 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2011978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2011981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012005 */     // GIR_Coverage, 23076,
     /* 2012005 */     GIR_EraseRootFromParent_Done,
     /* 2012006 */   // Label 26901: @2012006
     /* 2012006 */   GIM_Try, /*On fail goto*//*Label 26902*/ GIMT_Encode4(2012095), // Rule ID 23077 //
     /* 2012011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2012014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2012019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2012028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2012031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012057 */     // MIs[0] round
     /* 2012057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2012067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2012070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012094 */     // GIR_Coverage, 23077,
     /* 2012094 */     GIR_EraseRootFromParent_Done,
     /* 2012095 */   // Label 26902: @2012095
     /* 2012095 */   GIM_Try, /*On fail goto*//*Label 26903*/ GIMT_Encode4(2012184), // Rule ID 23080 //
     /* 2012100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2012103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2012108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2012111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2012114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2012117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2012120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012146 */     // MIs[0] round
     /* 2012146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012156 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2012156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2012159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012183 */     // GIR_Coverage, 23080,
     /* 2012183 */     GIR_EraseRootFromParent_Done,
     /* 2012184 */   // Label 26903: @2012184
     /* 2012184 */   GIM_Try, /*On fail goto*//*Label 26904*/ GIMT_Encode4(2012273), // Rule ID 23081 //
     /* 2012189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2012192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2012197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2012200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2012203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2012206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2012209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012235 */     // MIs[0] round
     /* 2012235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012245 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2012245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2012248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012272 */     // GIR_Coverage, 23081,
     /* 2012272 */     GIR_EraseRootFromParent_Done,
     /* 2012273 */   // Label 26904: @2012273
     /* 2012273 */   GIM_Try, /*On fail goto*//*Label 26905*/ GIMT_Encode4(2012362), // Rule ID 23084 //
     /* 2012278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2012281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2012286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2012295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2012298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012324 */     // MIs[0] round
     /* 2012324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012334 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2012334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2012337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012361 */     // GIR_Coverage, 23084,
     /* 2012361 */     GIR_EraseRootFromParent_Done,
     /* 2012362 */   // Label 26905: @2012362
     /* 2012362 */   GIM_Try, /*On fail goto*//*Label 26906*/ GIMT_Encode4(2012451), // Rule ID 23085 //
     /* 2012367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2012370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2012375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2012384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2012387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012413 */     // MIs[0] round
     /* 2012413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012423 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2012423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2012426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012450 */     // GIR_Coverage, 23085,
     /* 2012450 */     GIR_EraseRootFromParent_Done,
     /* 2012451 */   // Label 26906: @2012451
     /* 2012451 */   GIM_Try, /*On fail goto*//*Label 26907*/ GIMT_Encode4(2012540), // Rule ID 23088 //
     /* 2012456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2012459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2012464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2012467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2012470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2012473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2012476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012502 */     // MIs[0] round
     /* 2012502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012512 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2012512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2012515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012539 */     // GIR_Coverage, 23088,
     /* 2012539 */     GIR_EraseRootFromParent_Done,
     /* 2012540 */   // Label 26907: @2012540
     /* 2012540 */   GIM_Try, /*On fail goto*//*Label 26908*/ GIMT_Encode4(2012629), // Rule ID 23089 //
     /* 2012545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2012548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2012553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2012556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2012559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2012562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2012565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012591 */     // MIs[0] round
     /* 2012591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012601 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2012601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2012604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012628 */     // GIR_Coverage, 23089,
     /* 2012628 */     GIR_EraseRootFromParent_Done,
     /* 2012629 */   // Label 26908: @2012629
     /* 2012629 */   GIM_Try, /*On fail goto*//*Label 26909*/ GIMT_Encode4(2012718), // Rule ID 23092 //
     /* 2012634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2012637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2012642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2012651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2012654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012680 */     // MIs[0] round
     /* 2012680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012690 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2012690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2012693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012717 */     // GIR_Coverage, 23092,
     /* 2012717 */     GIR_EraseRootFromParent_Done,
     /* 2012718 */   // Label 26909: @2012718
     /* 2012718 */   GIM_Try, /*On fail goto*//*Label 26910*/ GIMT_Encode4(2012807), // Rule ID 23093 //
     /* 2012723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2012726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2012731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2012740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2012743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012769 */     // MIs[0] round
     /* 2012769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012779 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2012779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2012782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012806 */     // GIR_Coverage, 23093,
     /* 2012806 */     GIR_EraseRootFromParent_Done,
     /* 2012807 */   // Label 26910: @2012807
     /* 2012807 */   GIM_Try, /*On fail goto*//*Label 26911*/ GIMT_Encode4(2012896), // Rule ID 23096 //
     /* 2012812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2012815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2012820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2012829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2012832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012858 */     // MIs[0] round
     /* 2012858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012868 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2012868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2012871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012895 */     // GIR_Coverage, 23096,
     /* 2012895 */     GIR_EraseRootFromParent_Done,
     /* 2012896 */   // Label 26911: @2012896
     /* 2012896 */   GIM_Try, /*On fail goto*//*Label 26912*/ GIMT_Encode4(2012985), // Rule ID 23097 //
     /* 2012901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2012904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2012909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2012918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2012921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012947 */     // MIs[0] round
     /* 2012947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012957 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2012957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2012960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012984 */     // GIR_Coverage, 23097,
     /* 2012984 */     GIR_EraseRootFromParent_Done,
     /* 2012985 */   // Label 26912: @2012985
     /* 2012985 */   GIM_Try, /*On fail goto*//*Label 26913*/ GIMT_Encode4(2013074), // Rule ID 23100 //
     /* 2012990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2012993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2012998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2013001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2013004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2013007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2013010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2013013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013036 */     // MIs[0] round
     /* 2013036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013046 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2013046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2013049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013073 */     // GIR_Coverage, 23100,
     /* 2013073 */     GIR_EraseRootFromParent_Done,
     /* 2013074 */   // Label 26913: @2013074
     /* 2013074 */   GIM_Try, /*On fail goto*//*Label 26914*/ GIMT_Encode4(2013163), // Rule ID 23101 //
     /* 2013079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2013082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2013087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2013090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2013093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2013096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2013099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2013102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013125 */     // MIs[0] round
     /* 2013125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013135 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2013135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2013138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013162 */     // GIR_Coverage, 23101,
     /* 2013162 */     GIR_EraseRootFromParent_Done,
     /* 2013163 */   // Label 26914: @2013163
     /* 2013163 */   GIM_Try, /*On fail goto*//*Label 26915*/ GIMT_Encode4(2013252), // Rule ID 23104 //
     /* 2013168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2013171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2013176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2013179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2013182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2013185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2013188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013214 */     // MIs[0] round
     /* 2013214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013224 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2013224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2013227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013251 */     // GIR_Coverage, 23104,
     /* 2013251 */     GIR_EraseRootFromParent_Done,
     /* 2013252 */   // Label 26915: @2013252
     /* 2013252 */   GIM_Try, /*On fail goto*//*Label 26916*/ GIMT_Encode4(2013341), // Rule ID 23105 //
     /* 2013257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2013260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2013265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2013268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2013271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2013274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2013277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013303 */     // MIs[0] round
     /* 2013303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013313 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2013313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2013316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013340 */     // GIR_Coverage, 23105,
     /* 2013340 */     GIR_EraseRootFromParent_Done,
     /* 2013341 */   // Label 26916: @2013341
     /* 2013341 */   GIM_Try, /*On fail goto*//*Label 26917*/ GIMT_Encode4(2013430), // Rule ID 23108 //
     /* 2013346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2013349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2013354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2013357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2013360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2013363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2013366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013392 */     // MIs[0] round
     /* 2013392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013402 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2013402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2013405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013429 */     // GIR_Coverage, 23108,
     /* 2013429 */     GIR_EraseRootFromParent_Done,
     /* 2013430 */   // Label 26917: @2013430
     /* 2013430 */   GIM_Try, /*On fail goto*//*Label 26918*/ GIMT_Encode4(2013519), // Rule ID 23109 //
     /* 2013435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2013438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2013443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2013446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2013449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2013452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2013455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013481 */     // MIs[0] round
     /* 2013481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013491 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2013491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2013494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013518 */     // GIR_Coverage, 23109,
     /* 2013518 */     GIR_EraseRootFromParent_Done,
     /* 2013519 */   // Label 26918: @2013519
     /* 2013519 */   GIM_Try, /*On fail goto*//*Label 26919*/ GIMT_Encode4(2013608), // Rule ID 23112 //
     /* 2013524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2013527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2013532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2013535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2013538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2013541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2013544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2013547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013570 */     // MIs[0] round
     /* 2013570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013580 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2013580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2013583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013607 */     // GIR_Coverage, 23112,
     /* 2013607 */     GIR_EraseRootFromParent_Done,
     /* 2013608 */   // Label 26919: @2013608
     /* 2013608 */   GIM_Try, /*On fail goto*//*Label 26920*/ GIMT_Encode4(2013697), // Rule ID 23113 //
     /* 2013613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2013616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2013621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2013624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2013627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2013630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2013633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2013636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013659 */     // MIs[0] round
     /* 2013659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013669 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2013669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2013672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013696 */     // GIR_Coverage, 23113,
     /* 2013696 */     GIR_EraseRootFromParent_Done,
     /* 2013697 */   // Label 26920: @2013697
     /* 2013697 */   GIM_Try, /*On fail goto*//*Label 26921*/ GIMT_Encode4(2013786), // Rule ID 23116 //
     /* 2013702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2013705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2013710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2013713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2013716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2013719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2013722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013748 */     // MIs[0] round
     /* 2013748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013758 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2013758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2013761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013785 */     // GIR_Coverage, 23116,
     /* 2013785 */     GIR_EraseRootFromParent_Done,
     /* 2013786 */   // Label 26921: @2013786
     /* 2013786 */   GIM_Try, /*On fail goto*//*Label 26922*/ GIMT_Encode4(2013875), // Rule ID 23117 //
     /* 2013791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2013794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2013799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2013802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2013805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2013808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2013811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013837 */     // MIs[0] round
     /* 2013837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013847 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2013847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2013850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013874 */     // GIR_Coverage, 23117,
     /* 2013874 */     GIR_EraseRootFromParent_Done,
     /* 2013875 */   // Label 26922: @2013875
     /* 2013875 */   GIM_Try, /*On fail goto*//*Label 26923*/ GIMT_Encode4(2013964), // Rule ID 23120 //
     /* 2013880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2013883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2013888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2013891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2013894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2013900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013926 */     // MIs[0] round
     /* 2013926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013936 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2013936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2013939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013963 */     // GIR_Coverage, 23120,
     /* 2013963 */     GIR_EraseRootFromParent_Done,
     /* 2013964 */   // Label 26923: @2013964
     /* 2013964 */   GIM_Try, /*On fail goto*//*Label 26924*/ GIMT_Encode4(2014053), // Rule ID 23121 //
     /* 2013969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2013972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2013977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2013980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2013983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2013989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014015 */     // MIs[0] round
     /* 2014015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014025 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2014025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2014028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014052 */     // GIR_Coverage, 23121,
     /* 2014052 */     GIR_EraseRootFromParent_Done,
     /* 2014053 */   // Label 26924: @2014053
     /* 2014053 */   GIM_Try, /*On fail goto*//*Label 26925*/ GIMT_Encode4(2014142), // Rule ID 23124 //
     /* 2014058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2014061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2014066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2014069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2014072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2014075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2014078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014104 */     // MIs[0] round
     /* 2014104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014114 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2014114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2014117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014141 */     // GIR_Coverage, 23124,
     /* 2014141 */     GIR_EraseRootFromParent_Done,
     /* 2014142 */   // Label 26925: @2014142
     /* 2014142 */   GIM_Try, /*On fail goto*//*Label 26926*/ GIMT_Encode4(2014231), // Rule ID 23125 //
     /* 2014147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2014150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2014155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2014158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2014161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2014164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2014167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014193 */     // MIs[0] round
     /* 2014193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014203 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2014203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2014206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014230 */     // GIR_Coverage, 23125,
     /* 2014230 */     GIR_EraseRootFromParent_Done,
     /* 2014231 */   // Label 26926: @2014231
     /* 2014231 */   GIM_Try, /*On fail goto*//*Label 26927*/ GIMT_Encode4(2014320), // Rule ID 23128 //
     /* 2014236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2014239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2014244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2014253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2014256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014282 */     // MIs[0] round
     /* 2014282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014292 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2014292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2014295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014319 */     // GIR_Coverage, 23128,
     /* 2014319 */     GIR_EraseRootFromParent_Done,
     /* 2014320 */   // Label 26927: @2014320
     /* 2014320 */   GIM_Try, /*On fail goto*//*Label 26928*/ GIMT_Encode4(2014409), // Rule ID 23129 //
     /* 2014325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2014328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2014333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2014342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2014345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014371 */     // MIs[0] round
     /* 2014371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014381 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2014381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2014384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014408 */     // GIR_Coverage, 23129,
     /* 2014408 */     GIR_EraseRootFromParent_Done,
     /* 2014409 */   // Label 26928: @2014409
     /* 2014409 */   GIM_Try, /*On fail goto*//*Label 26929*/ GIMT_Encode4(2014498), // Rule ID 23132 //
     /* 2014414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2014417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2014422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2014425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2014428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2014434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014460 */     // MIs[0] round
     /* 2014460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014470 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2014470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2014473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014497 */     // GIR_Coverage, 23132,
     /* 2014497 */     GIR_EraseRootFromParent_Done,
     /* 2014498 */   // Label 26929: @2014498
     /* 2014498 */   GIM_Try, /*On fail goto*//*Label 26930*/ GIMT_Encode4(2014587), // Rule ID 23133 //
     /* 2014503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2014506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2014511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2014514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2014517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2014523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014549 */     // MIs[0] round
     /* 2014549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014559 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2014559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2014562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014586 */     // GIR_Coverage, 23133,
     /* 2014586 */     GIR_EraseRootFromParent_Done,
     /* 2014587 */   // Label 26930: @2014587
     /* 2014587 */   GIM_Try, /*On fail goto*//*Label 26931*/ GIMT_Encode4(2014676), // Rule ID 23136 //
     /* 2014592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2014595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2014600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2014609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2014612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014638 */     // MIs[0] round
     /* 2014638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014648 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2014648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2014651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014675 */     // GIR_Coverage, 23136,
     /* 2014675 */     GIR_EraseRootFromParent_Done,
     /* 2014676 */   // Label 26931: @2014676
     /* 2014676 */   GIM_Try, /*On fail goto*//*Label 26932*/ GIMT_Encode4(2014765), // Rule ID 23137 //
     /* 2014681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2014684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2014689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2014698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2014701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014727 */     // MIs[0] round
     /* 2014727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014737 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2014737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2014740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014764 */     // GIR_Coverage, 23137,
     /* 2014764 */     GIR_EraseRootFromParent_Done,
     /* 2014765 */   // Label 26932: @2014765
     /* 2014765 */   GIM_Try, /*On fail goto*//*Label 26933*/ GIMT_Encode4(2014854), // Rule ID 23140 //
     /* 2014770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2014773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2014778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2014787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2014790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014816 */     // MIs[0] round
     /* 2014816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014826 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2014826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2014829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014853 */     // GIR_Coverage, 23140,
     /* 2014853 */     GIR_EraseRootFromParent_Done,
     /* 2014854 */   // Label 26933: @2014854
     /* 2014854 */   GIM_Try, /*On fail goto*//*Label 26934*/ GIMT_Encode4(2014943), // Rule ID 23141 //
     /* 2014859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2014862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2014867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2014876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2014879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014905 */     // MIs[0] round
     /* 2014905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014915 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2014915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2014918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014942 */     // GIR_Coverage, 23141,
     /* 2014942 */     GIR_EraseRootFromParent_Done,
     /* 2014943 */   // Label 26934: @2014943
     /* 2014943 */   GIM_Try, /*On fail goto*//*Label 26935*/ GIMT_Encode4(2015032), // Rule ID 23144 //
     /* 2014948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2014951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2014956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2014965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2014968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2014971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014994 */     // MIs[0] round
     /* 2014994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015004 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2015004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2015007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015031 */     // GIR_Coverage, 23144,
     /* 2015031 */     GIR_EraseRootFromParent_Done,
     /* 2015032 */   // Label 26935: @2015032
     /* 2015032 */   GIM_Try, /*On fail goto*//*Label 26936*/ GIMT_Encode4(2015121), // Rule ID 23145 //
     /* 2015037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2015040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2015045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2015054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2015057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2015060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015083 */     // MIs[0] round
     /* 2015083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015093 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2015093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2015096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015120 */     // GIR_Coverage, 23145,
     /* 2015120 */     GIR_EraseRootFromParent_Done,
     /* 2015121 */   // Label 26936: @2015121
     /* 2015121 */   GIM_Try, /*On fail goto*//*Label 26937*/ GIMT_Encode4(2015210), // Rule ID 23148 //
     /* 2015126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2015129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2015134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2015143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2015146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015172 */     // MIs[0] round
     /* 2015172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015182 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2015182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2015185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015209 */     // GIR_Coverage, 23148,
     /* 2015209 */     GIR_EraseRootFromParent_Done,
     /* 2015210 */   // Label 26937: @2015210
     /* 2015210 */   GIM_Try, /*On fail goto*//*Label 26938*/ GIMT_Encode4(2015299), // Rule ID 23149 //
     /* 2015215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2015218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2015223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2015232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2015235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015261 */     // MIs[0] round
     /* 2015261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015271 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2015271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2015274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015298 */     // GIR_Coverage, 23149,
     /* 2015298 */     GIR_EraseRootFromParent_Done,
     /* 2015299 */   // Label 26938: @2015299
     /* 2015299 */   GIM_Try, /*On fail goto*//*Label 26939*/ GIMT_Encode4(2015388), // Rule ID 23152 //
     /* 2015304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2015307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2015312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2015321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2015324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015350 */     // MIs[0] round
     /* 2015350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015360 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2015360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2015363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015387 */     // GIR_Coverage, 23152,
     /* 2015387 */     GIR_EraseRootFromParent_Done,
     /* 2015388 */   // Label 26939: @2015388
     /* 2015388 */   GIM_Try, /*On fail goto*//*Label 26940*/ GIMT_Encode4(2015477), // Rule ID 23153 //
     /* 2015393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2015396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2015401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2015410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2015413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015439 */     // MIs[0] round
     /* 2015439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015449 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2015449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2015452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015476 */     // GIR_Coverage, 23153,
     /* 2015476 */     GIR_EraseRootFromParent_Done,
     /* 2015477 */   // Label 26940: @2015477
     /* 2015477 */   GIM_Try, /*On fail goto*//*Label 26941*/ GIMT_Encode4(2015566), // Rule ID 23156 //
     /* 2015482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2015485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2015490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2015499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2015502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015528 */     // MIs[0] round
     /* 2015528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015538 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2015538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2015541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015565 */     // GIR_Coverage, 23156,
     /* 2015565 */     GIR_EraseRootFromParent_Done,
     /* 2015566 */   // Label 26941: @2015566
     /* 2015566 */   GIM_Try, /*On fail goto*//*Label 26942*/ GIMT_Encode4(2015655), // Rule ID 23157 //
     /* 2015571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2015574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2015579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2015588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2015591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015617 */     // MIs[0] round
     /* 2015617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015627 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2015627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2015630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015654 */     // GIR_Coverage, 23157,
     /* 2015654 */     GIR_EraseRootFromParent_Done,
     /* 2015655 */   // Label 26942: @2015655
     /* 2015655 */   GIM_Reject,
     /* 2015656 */ // Label 19886: @2015656
     /* 2015656 */ GIM_Try, /*On fail goto*//*Label 26943*/ GIMT_Encode4(2206141),
     /* 2015661 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 2015664 */   GIM_Try, /*On fail goto*//*Label 26944*/ GIMT_Encode4(2015766), // Rule ID 15992 //
     /* 2015669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2015677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2015680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2015683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2015686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015719 */     // MIs[1] Operand 1
     /* 2015719 */     // No operand predicates
     /* 2015719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015723 */     // MIs[0] round
     /* 2015723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015726 */     // MIs[0] policy
     /* 2015726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015738 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2015741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015765 */     // GIR_Coverage, 15992,
     /* 2015765 */     GIR_EraseRootFromParent_Done,
     /* 2015766 */   // Label 26944: @2015766
     /* 2015766 */   GIM_Try, /*On fail goto*//*Label 26945*/ GIMT_Encode4(2015868), // Rule ID 15993 //
     /* 2015771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2015779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2015782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2015785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2015788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015821 */     // MIs[1] Operand 1
     /* 2015821 */     // No operand predicates
     /* 2015821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015825 */     // MIs[0] round
     /* 2015825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015828 */     // MIs[0] policy
     /* 2015828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015840 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2015843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015867 */     // GIR_Coverage, 15993,
     /* 2015867 */     GIR_EraseRootFromParent_Done,
     /* 2015868 */   // Label 26945: @2015868
     /* 2015868 */   GIM_Try, /*On fail goto*//*Label 26946*/ GIMT_Encode4(2015970), // Rule ID 15996 //
     /* 2015873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2015881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2015884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2015887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2015890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015923 */     // MIs[1] Operand 1
     /* 2015923 */     // No operand predicates
     /* 2015923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015927 */     // MIs[0] round
     /* 2015927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015930 */     // MIs[0] policy
     /* 2015930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015942 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2015945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015969 */     // GIR_Coverage, 15996,
     /* 2015969 */     GIR_EraseRootFromParent_Done,
     /* 2015970 */   // Label 26946: @2015970
     /* 2015970 */   GIM_Try, /*On fail goto*//*Label 26947*/ GIMT_Encode4(2016072), // Rule ID 15997 //
     /* 2015975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2015983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2015986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2015989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2015992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016025 */     // MIs[1] Operand 1
     /* 2016025 */     // No operand predicates
     /* 2016025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016029 */     // MIs[0] round
     /* 2016029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016032 */     // MIs[0] policy
     /* 2016032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016044 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2016047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016071 */     // GIR_Coverage, 15997,
     /* 2016071 */     GIR_EraseRootFromParent_Done,
     /* 2016072 */   // Label 26947: @2016072
     /* 2016072 */   GIM_Try, /*On fail goto*//*Label 26948*/ GIMT_Encode4(2016174), // Rule ID 16000 //
     /* 2016077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2016085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2016088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2016091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2016094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016127 */     // MIs[1] Operand 1
     /* 2016127 */     // No operand predicates
     /* 2016127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016131 */     // MIs[0] round
     /* 2016131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016134 */     // MIs[0] policy
     /* 2016134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016146 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2016149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016173 */     // GIR_Coverage, 16000,
     /* 2016173 */     GIR_EraseRootFromParent_Done,
     /* 2016174 */   // Label 26948: @2016174
     /* 2016174 */   GIM_Try, /*On fail goto*//*Label 26949*/ GIMT_Encode4(2016276), // Rule ID 16001 //
     /* 2016179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2016187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2016190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2016193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2016196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016229 */     // MIs[1] Operand 1
     /* 2016229 */     // No operand predicates
     /* 2016229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016233 */     // MIs[0] round
     /* 2016233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016236 */     // MIs[0] policy
     /* 2016236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016248 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2016251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016275 */     // GIR_Coverage, 16001,
     /* 2016275 */     GIR_EraseRootFromParent_Done,
     /* 2016276 */   // Label 26949: @2016276
     /* 2016276 */   GIM_Try, /*On fail goto*//*Label 26950*/ GIMT_Encode4(2016378), // Rule ID 16004 //
     /* 2016281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2016289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2016292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2016295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2016298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016331 */     // MIs[1] Operand 1
     /* 2016331 */     // No operand predicates
     /* 2016331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016335 */     // MIs[0] round
     /* 2016335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016338 */     // MIs[0] policy
     /* 2016338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016350 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2016353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016377 */     // GIR_Coverage, 16004,
     /* 2016377 */     GIR_EraseRootFromParent_Done,
     /* 2016378 */   // Label 26950: @2016378
     /* 2016378 */   GIM_Try, /*On fail goto*//*Label 26951*/ GIMT_Encode4(2016480), // Rule ID 16005 //
     /* 2016383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2016391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2016394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2016397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2016400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016433 */     // MIs[1] Operand 1
     /* 2016433 */     // No operand predicates
     /* 2016433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016437 */     // MIs[0] round
     /* 2016437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016440 */     // MIs[0] policy
     /* 2016440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016452 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2016455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016479 */     // GIR_Coverage, 16005,
     /* 2016479 */     GIR_EraseRootFromParent_Done,
     /* 2016480 */   // Label 26951: @2016480
     /* 2016480 */   GIM_Try, /*On fail goto*//*Label 26952*/ GIMT_Encode4(2016582), // Rule ID 16008 //
     /* 2016485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2016493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2016496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2016499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2016502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016535 */     // MIs[1] Operand 1
     /* 2016535 */     // No operand predicates
     /* 2016535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016539 */     // MIs[0] round
     /* 2016539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016542 */     // MIs[0] policy
     /* 2016542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016554 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2016557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016581 */     // GIR_Coverage, 16008,
     /* 2016581 */     GIR_EraseRootFromParent_Done,
     /* 2016582 */   // Label 26952: @2016582
     /* 2016582 */   GIM_Try, /*On fail goto*//*Label 26953*/ GIMT_Encode4(2016684), // Rule ID 16009 //
     /* 2016587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2016595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2016598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2016601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2016604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016637 */     // MIs[1] Operand 1
     /* 2016637 */     // No operand predicates
     /* 2016637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016641 */     // MIs[0] round
     /* 2016641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016644 */     // MIs[0] policy
     /* 2016644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016656 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2016659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016683 */     // GIR_Coverage, 16009,
     /* 2016683 */     GIR_EraseRootFromParent_Done,
     /* 2016684 */   // Label 26953: @2016684
     /* 2016684 */   GIM_Try, /*On fail goto*//*Label 26954*/ GIMT_Encode4(2016786), // Rule ID 16012 //
     /* 2016689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2016697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2016700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2016703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2016706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016739 */     // MIs[1] Operand 1
     /* 2016739 */     // No operand predicates
     /* 2016739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016743 */     // MIs[0] round
     /* 2016743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016746 */     // MIs[0] policy
     /* 2016746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2016761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016785 */     // GIR_Coverage, 16012,
     /* 2016785 */     GIR_EraseRootFromParent_Done,
     /* 2016786 */   // Label 26954: @2016786
     /* 2016786 */   GIM_Try, /*On fail goto*//*Label 26955*/ GIMT_Encode4(2016888), // Rule ID 16013 //
     /* 2016791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2016799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2016802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2016805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2016808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016841 */     // MIs[1] Operand 1
     /* 2016841 */     // No operand predicates
     /* 2016841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016845 */     // MIs[0] round
     /* 2016845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016848 */     // MIs[0] policy
     /* 2016848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016860 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2016863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016887 */     // GIR_Coverage, 16013,
     /* 2016887 */     GIR_EraseRootFromParent_Done,
     /* 2016888 */   // Label 26955: @2016888
     /* 2016888 */   GIM_Try, /*On fail goto*//*Label 26956*/ GIMT_Encode4(2016990), // Rule ID 16016 //
     /* 2016893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2016901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2016904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2016907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2016910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016943 */     // MIs[1] Operand 1
     /* 2016943 */     // No operand predicates
     /* 2016943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016947 */     // MIs[0] round
     /* 2016947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016950 */     // MIs[0] policy
     /* 2016950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016962 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2016965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016989 */     // GIR_Coverage, 16016,
     /* 2016989 */     GIR_EraseRootFromParent_Done,
     /* 2016990 */   // Label 26956: @2016990
     /* 2016990 */   GIM_Try, /*On fail goto*//*Label 26957*/ GIMT_Encode4(2017092), // Rule ID 16017 //
     /* 2016995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2017003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2017006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2017009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2017012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017045 */     // MIs[1] Operand 1
     /* 2017045 */     // No operand predicates
     /* 2017045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017049 */     // MIs[0] round
     /* 2017049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017052 */     // MIs[0] policy
     /* 2017052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017064 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2017067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017091 */     // GIR_Coverage, 16017,
     /* 2017091 */     GIR_EraseRootFromParent_Done,
     /* 2017092 */   // Label 26957: @2017092
     /* 2017092 */   GIM_Try, /*On fail goto*//*Label 26958*/ GIMT_Encode4(2017194), // Rule ID 16020 //
     /* 2017097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2017105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2017108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2017111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2017114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017147 */     // MIs[1] Operand 1
     /* 2017147 */     // No operand predicates
     /* 2017147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017151 */     // MIs[0] round
     /* 2017151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017154 */     // MIs[0] policy
     /* 2017154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017166 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2017169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017193 */     // GIR_Coverage, 16020,
     /* 2017193 */     GIR_EraseRootFromParent_Done,
     /* 2017194 */   // Label 26958: @2017194
     /* 2017194 */   GIM_Try, /*On fail goto*//*Label 26959*/ GIMT_Encode4(2017296), // Rule ID 16021 //
     /* 2017199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2017207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2017210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2017213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2017216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017249 */     // MIs[1] Operand 1
     /* 2017249 */     // No operand predicates
     /* 2017249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017253 */     // MIs[0] round
     /* 2017253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017256 */     // MIs[0] policy
     /* 2017256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2017271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017295 */     // GIR_Coverage, 16021,
     /* 2017295 */     GIR_EraseRootFromParent_Done,
     /* 2017296 */   // Label 26959: @2017296
     /* 2017296 */   GIM_Try, /*On fail goto*//*Label 26960*/ GIMT_Encode4(2017398), // Rule ID 16024 //
     /* 2017301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2017309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2017312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2017315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017351 */     // MIs[1] Operand 1
     /* 2017351 */     // No operand predicates
     /* 2017351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017355 */     // MIs[0] round
     /* 2017355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017358 */     // MIs[0] policy
     /* 2017358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017370 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2017373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017397 */     // GIR_Coverage, 16024,
     /* 2017397 */     GIR_EraseRootFromParent_Done,
     /* 2017398 */   // Label 26960: @2017398
     /* 2017398 */   GIM_Try, /*On fail goto*//*Label 26961*/ GIMT_Encode4(2017500), // Rule ID 16025 //
     /* 2017403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2017411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2017414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2017417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017453 */     // MIs[1] Operand 1
     /* 2017453 */     // No operand predicates
     /* 2017453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017457 */     // MIs[0] round
     /* 2017457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017460 */     // MIs[0] policy
     /* 2017460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2017475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017499 */     // GIR_Coverage, 16025,
     /* 2017499 */     GIR_EraseRootFromParent_Done,
     /* 2017500 */   // Label 26961: @2017500
     /* 2017500 */   GIM_Try, /*On fail goto*//*Label 26962*/ GIMT_Encode4(2017602), // Rule ID 16028 //
     /* 2017505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2017508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2017513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2017516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2017519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2017522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017555 */     // MIs[1] Operand 1
     /* 2017555 */     // No operand predicates
     /* 2017555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017559 */     // MIs[0] round
     /* 2017559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017562 */     // MIs[0] policy
     /* 2017562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2017577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2017598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017601 */     // GIR_Coverage, 16028,
     /* 2017601 */     GIR_EraseRootFromParent_Done,
     /* 2017602 */   // Label 26962: @2017602
     /* 2017602 */   GIM_Try, /*On fail goto*//*Label 26963*/ GIMT_Encode4(2017704), // Rule ID 16029 //
     /* 2017607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2017610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2017615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2017618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2017621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2017624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017657 */     // MIs[1] Operand 1
     /* 2017657 */     // No operand predicates
     /* 2017657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017661 */     // MIs[0] round
     /* 2017661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017664 */     // MIs[0] policy
     /* 2017664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2017679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2017700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017703 */     // GIR_Coverage, 16029,
     /* 2017703 */     GIR_EraseRootFromParent_Done,
     /* 2017704 */   // Label 26963: @2017704
     /* 2017704 */   GIM_Try, /*On fail goto*//*Label 26964*/ GIMT_Encode4(2017806), // Rule ID 16032 //
     /* 2017709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2017717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2017720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2017723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2017726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017759 */     // MIs[1] Operand 1
     /* 2017759 */     // No operand predicates
     /* 2017759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017763 */     // MIs[0] round
     /* 2017763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017766 */     // MIs[0] policy
     /* 2017766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017778 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2017781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017805 */     // GIR_Coverage, 16032,
     /* 2017805 */     GIR_EraseRootFromParent_Done,
     /* 2017806 */   // Label 26964: @2017806
     /* 2017806 */   GIM_Try, /*On fail goto*//*Label 26965*/ GIMT_Encode4(2017908), // Rule ID 16033 //
     /* 2017811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2017819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2017822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2017825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2017828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017861 */     // MIs[1] Operand 1
     /* 2017861 */     // No operand predicates
     /* 2017861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017865 */     // MIs[0] round
     /* 2017865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017868 */     // MIs[0] policy
     /* 2017868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017880 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2017883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017907 */     // GIR_Coverage, 16033,
     /* 2017907 */     GIR_EraseRootFromParent_Done,
     /* 2017908 */   // Label 26965: @2017908
     /* 2017908 */   GIM_Try, /*On fail goto*//*Label 26966*/ GIMT_Encode4(2018010), // Rule ID 16036 //
     /* 2017913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2017921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2017924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2017927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2017930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2017936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017963 */     // MIs[1] Operand 1
     /* 2017963 */     // No operand predicates
     /* 2017963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017967 */     // MIs[0] round
     /* 2017967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017970 */     // MIs[0] policy
     /* 2017970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017982 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2017985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018009 */     // GIR_Coverage, 16036,
     /* 2018009 */     GIR_EraseRootFromParent_Done,
     /* 2018010 */   // Label 26966: @2018010
     /* 2018010 */   GIM_Try, /*On fail goto*//*Label 26967*/ GIMT_Encode4(2018112), // Rule ID 16037 //
     /* 2018015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2018023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2018026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2018029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2018032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2018038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018065 */     // MIs[1] Operand 1
     /* 2018065 */     // No operand predicates
     /* 2018065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018069 */     // MIs[0] round
     /* 2018069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018072 */     // MIs[0] policy
     /* 2018072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2018087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018111 */     // GIR_Coverage, 16037,
     /* 2018111 */     GIR_EraseRootFromParent_Done,
     /* 2018112 */   // Label 26967: @2018112
     /* 2018112 */   GIM_Try, /*On fail goto*//*Label 26968*/ GIMT_Encode4(2018214), // Rule ID 16040 //
     /* 2018117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2018125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2018128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2018131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2018134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2018140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018167 */     // MIs[1] Operand 1
     /* 2018167 */     // No operand predicates
     /* 2018167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018171 */     // MIs[0] round
     /* 2018171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018174 */     // MIs[0] policy
     /* 2018174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018186 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2018189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018213 */     // GIR_Coverage, 16040,
     /* 2018213 */     GIR_EraseRootFromParent_Done,
     /* 2018214 */   // Label 26968: @2018214
     /* 2018214 */   GIM_Try, /*On fail goto*//*Label 26969*/ GIMT_Encode4(2018316), // Rule ID 16041 //
     /* 2018219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2018227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2018230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2018233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2018236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2018242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018269 */     // MIs[1] Operand 1
     /* 2018269 */     // No operand predicates
     /* 2018269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018273 */     // MIs[0] round
     /* 2018273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018276 */     // MIs[0] policy
     /* 2018276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018288 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2018291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018315 */     // GIR_Coverage, 16041,
     /* 2018315 */     GIR_EraseRootFromParent_Done,
     /* 2018316 */   // Label 26969: @2018316
     /* 2018316 */   GIM_Try, /*On fail goto*//*Label 26970*/ GIMT_Encode4(2018418), // Rule ID 16044 //
     /* 2018321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2018329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2018332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2018335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2018338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018371 */     // MIs[1] Operand 1
     /* 2018371 */     // No operand predicates
     /* 2018371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018375 */     // MIs[0] round
     /* 2018375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018378 */     // MIs[0] policy
     /* 2018378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018390 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2018393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018417 */     // GIR_Coverage, 16044,
     /* 2018417 */     GIR_EraseRootFromParent_Done,
     /* 2018418 */   // Label 26970: @2018418
     /* 2018418 */   GIM_Try, /*On fail goto*//*Label 26971*/ GIMT_Encode4(2018520), // Rule ID 16045 //
     /* 2018423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2018431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2018434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2018437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2018440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018473 */     // MIs[1] Operand 1
     /* 2018473 */     // No operand predicates
     /* 2018473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018477 */     // MIs[0] round
     /* 2018477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018480 */     // MIs[0] policy
     /* 2018480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018492 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2018495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018519 */     // GIR_Coverage, 16045,
     /* 2018519 */     GIR_EraseRootFromParent_Done,
     /* 2018520 */   // Label 26971: @2018520
     /* 2018520 */   GIM_Try, /*On fail goto*//*Label 26972*/ GIMT_Encode4(2018622), // Rule ID 16048 //
     /* 2018525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2018533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2018536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2018539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2018542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018575 */     // MIs[1] Operand 1
     /* 2018575 */     // No operand predicates
     /* 2018575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018579 */     // MIs[0] round
     /* 2018579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018582 */     // MIs[0] policy
     /* 2018582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018594 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2018597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018621 */     // GIR_Coverage, 16048,
     /* 2018621 */     GIR_EraseRootFromParent_Done,
     /* 2018622 */   // Label 26972: @2018622
     /* 2018622 */   GIM_Try, /*On fail goto*//*Label 26973*/ GIMT_Encode4(2018724), // Rule ID 16049 //
     /* 2018627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2018635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2018638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2018641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2018644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018677 */     // MIs[1] Operand 1
     /* 2018677 */     // No operand predicates
     /* 2018677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018681 */     // MIs[0] round
     /* 2018681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018684 */     // MIs[0] policy
     /* 2018684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2018699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018723 */     // GIR_Coverage, 16049,
     /* 2018723 */     GIR_EraseRootFromParent_Done,
     /* 2018724 */   // Label 26973: @2018724
     /* 2018724 */   GIM_Try, /*On fail goto*//*Label 26974*/ GIMT_Encode4(2018826), // Rule ID 16052 //
     /* 2018729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2018737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2018740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2018743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2018746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2018752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018779 */     // MIs[1] Operand 1
     /* 2018779 */     // No operand predicates
     /* 2018779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018783 */     // MIs[0] round
     /* 2018783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018786 */     // MIs[0] policy
     /* 2018786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018798 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2018801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018825 */     // GIR_Coverage, 16052,
     /* 2018825 */     GIR_EraseRootFromParent_Done,
     /* 2018826 */   // Label 26974: @2018826
     /* 2018826 */   GIM_Try, /*On fail goto*//*Label 26975*/ GIMT_Encode4(2018928), // Rule ID 16053 //
     /* 2018831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2018839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2018842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2018845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2018848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2018854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018881 */     // MIs[1] Operand 1
     /* 2018881 */     // No operand predicates
     /* 2018881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018885 */     // MIs[0] round
     /* 2018885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018888 */     // MIs[0] policy
     /* 2018888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018900 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2018903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018927 */     // GIR_Coverage, 16053,
     /* 2018927 */     GIR_EraseRootFromParent_Done,
     /* 2018928 */   // Label 26975: @2018928
     /* 2018928 */   GIM_Try, /*On fail goto*//*Label 26976*/ GIMT_Encode4(2019030), // Rule ID 16056 //
     /* 2018933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2018941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2018944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2018947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2018950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018983 */     // MIs[1] Operand 1
     /* 2018983 */     // No operand predicates
     /* 2018983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018987 */     // MIs[0] round
     /* 2018987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018990 */     // MIs[0] policy
     /* 2018990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2019005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019029 */     // GIR_Coverage, 16056,
     /* 2019029 */     GIR_EraseRootFromParent_Done,
     /* 2019030 */   // Label 26976: @2019030
     /* 2019030 */   GIM_Try, /*On fail goto*//*Label 26977*/ GIMT_Encode4(2019132), // Rule ID 16057 //
     /* 2019035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2019043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2019052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019085 */     // MIs[1] Operand 1
     /* 2019085 */     // No operand predicates
     /* 2019085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019089 */     // MIs[0] round
     /* 2019089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019092 */     // MIs[0] policy
     /* 2019092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019104 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2019107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019131 */     // GIR_Coverage, 16057,
     /* 2019131 */     GIR_EraseRootFromParent_Done,
     /* 2019132 */   // Label 26977: @2019132
     /* 2019132 */   GIM_Try, /*On fail goto*//*Label 26978*/ GIMT_Encode4(2019234), // Rule ID 16060 //
     /* 2019137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2019145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2019154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019187 */     // MIs[1] Operand 1
     /* 2019187 */     // No operand predicates
     /* 2019187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019191 */     // MIs[0] round
     /* 2019191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019194 */     // MIs[0] policy
     /* 2019194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2019209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019233 */     // GIR_Coverage, 16060,
     /* 2019233 */     GIR_EraseRootFromParent_Done,
     /* 2019234 */   // Label 26978: @2019234
     /* 2019234 */   GIM_Try, /*On fail goto*//*Label 26979*/ GIMT_Encode4(2019336), // Rule ID 16061 //
     /* 2019239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2019247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2019256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019289 */     // MIs[1] Operand 1
     /* 2019289 */     // No operand predicates
     /* 2019289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019293 */     // MIs[0] round
     /* 2019293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019296 */     // MIs[0] policy
     /* 2019296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2019311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019335 */     // GIR_Coverage, 16061,
     /* 2019335 */     GIR_EraseRootFromParent_Done,
     /* 2019336 */   // Label 26979: @2019336
     /* 2019336 */   GIM_Try, /*On fail goto*//*Label 26980*/ GIMT_Encode4(2019438), // Rule ID 16064 //
     /* 2019341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2019349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2019352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2019355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2019358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019391 */     // MIs[1] Operand 1
     /* 2019391 */     // No operand predicates
     /* 2019391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019395 */     // MIs[0] round
     /* 2019395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019398 */     // MIs[0] policy
     /* 2019398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2019413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019437 */     // GIR_Coverage, 16064,
     /* 2019437 */     GIR_EraseRootFromParent_Done,
     /* 2019438 */   // Label 26980: @2019438
     /* 2019438 */   GIM_Try, /*On fail goto*//*Label 26981*/ GIMT_Encode4(2019540), // Rule ID 16065 //
     /* 2019443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2019451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2019454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2019457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2019460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019493 */     // MIs[1] Operand 1
     /* 2019493 */     // No operand predicates
     /* 2019493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019497 */     // MIs[0] round
     /* 2019497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019500 */     // MIs[0] policy
     /* 2019500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019512 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2019515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019539 */     // GIR_Coverage, 16065,
     /* 2019539 */     GIR_EraseRootFromParent_Done,
     /* 2019540 */   // Label 26981: @2019540
     /* 2019540 */   GIM_Try, /*On fail goto*//*Label 26982*/ GIMT_Encode4(2019642), // Rule ID 16068 //
     /* 2019545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2019548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2019553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2019556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2019559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2019562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019595 */     // MIs[1] Operand 1
     /* 2019595 */     // No operand predicates
     /* 2019595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019599 */     // MIs[0] round
     /* 2019599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019602 */     // MIs[0] policy
     /* 2019602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019614 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2019617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2019638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019641 */     // GIR_Coverage, 16068,
     /* 2019641 */     GIR_EraseRootFromParent_Done,
     /* 2019642 */   // Label 26982: @2019642
     /* 2019642 */   GIM_Try, /*On fail goto*//*Label 26983*/ GIMT_Encode4(2019744), // Rule ID 16069 //
     /* 2019647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2019650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2019655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2019658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2019661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2019664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019697 */     // MIs[1] Operand 1
     /* 2019697 */     // No operand predicates
     /* 2019697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019701 */     // MIs[0] round
     /* 2019701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019704 */     // MIs[0] policy
     /* 2019704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019716 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2019719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2019740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019743 */     // GIR_Coverage, 16069,
     /* 2019743 */     GIR_EraseRootFromParent_Done,
     /* 2019744 */   // Label 26983: @2019744
     /* 2019744 */   GIM_Try, /*On fail goto*//*Label 26984*/ GIMT_Encode4(2019846), // Rule ID 16072 //
     /* 2019749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2019752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2019757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2019760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2019763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2019766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019799 */     // MIs[1] Operand 1
     /* 2019799 */     // No operand predicates
     /* 2019799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019803 */     // MIs[0] round
     /* 2019803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019806 */     // MIs[0] policy
     /* 2019806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2019821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2019842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019845 */     // GIR_Coverage, 16072,
     /* 2019845 */     GIR_EraseRootFromParent_Done,
     /* 2019846 */   // Label 26984: @2019846
     /* 2019846 */   GIM_Try, /*On fail goto*//*Label 26985*/ GIMT_Encode4(2019948), // Rule ID 16073 //
     /* 2019851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2019854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2019859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2019862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2019865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2019868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019901 */     // MIs[1] Operand 1
     /* 2019901 */     // No operand predicates
     /* 2019901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019905 */     // MIs[0] round
     /* 2019905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019908 */     // MIs[0] policy
     /* 2019908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019920 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2019923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2019944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019947 */     // GIR_Coverage, 16073,
     /* 2019947 */     GIR_EraseRootFromParent_Done,
     /* 2019948 */   // Label 26985: @2019948
     /* 2019948 */   GIM_Try, /*On fail goto*//*Label 26986*/ GIMT_Encode4(2020050), // Rule ID 16076 //
     /* 2019953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2019956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2019961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2019964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2019967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2019970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020003 */     // MIs[1] Operand 1
     /* 2020003 */     // No operand predicates
     /* 2020003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020007 */     // MIs[0] round
     /* 2020007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020010 */     // MIs[0] policy
     /* 2020010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2020025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020049 */     // GIR_Coverage, 16076,
     /* 2020049 */     GIR_EraseRootFromParent_Done,
     /* 2020050 */   // Label 26986: @2020050
     /* 2020050 */   GIM_Try, /*On fail goto*//*Label 26987*/ GIMT_Encode4(2020152), // Rule ID 16077 //
     /* 2020055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2020058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2020063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2020066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2020069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2020072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020105 */     // MIs[1] Operand 1
     /* 2020105 */     // No operand predicates
     /* 2020105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020109 */     // MIs[0] round
     /* 2020109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020112 */     // MIs[0] policy
     /* 2020112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020124 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2020127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020151 */     // GIR_Coverage, 16077,
     /* 2020151 */     GIR_EraseRootFromParent_Done,
     /* 2020152 */   // Label 26987: @2020152
     /* 2020152 */   GIM_Try, /*On fail goto*//*Label 26988*/ GIMT_Encode4(2020254), // Rule ID 16256 //
     /* 2020157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2020165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2020168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2020171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2020174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020207 */     // MIs[1] Operand 1
     /* 2020207 */     // No operand predicates
     /* 2020207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020211 */     // MIs[0] round
     /* 2020211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020214 */     // MIs[0] policy
     /* 2020214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020226 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2020229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020253 */     // GIR_Coverage, 16256,
     /* 2020253 */     GIR_EraseRootFromParent_Done,
     /* 2020254 */   // Label 26988: @2020254
     /* 2020254 */   GIM_Try, /*On fail goto*//*Label 26989*/ GIMT_Encode4(2020356), // Rule ID 16257 //
     /* 2020259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2020267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2020270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2020273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2020276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020309 */     // MIs[1] Operand 1
     /* 2020309 */     // No operand predicates
     /* 2020309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020313 */     // MIs[0] round
     /* 2020313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020316 */     // MIs[0] policy
     /* 2020316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020328 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2020331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020355 */     // GIR_Coverage, 16257,
     /* 2020355 */     GIR_EraseRootFromParent_Done,
     /* 2020356 */   // Label 26989: @2020356
     /* 2020356 */   GIM_Try, /*On fail goto*//*Label 26990*/ GIMT_Encode4(2020458), // Rule ID 16260 //
     /* 2020361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2020369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2020372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2020375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2020378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020411 */     // MIs[1] Operand 1
     /* 2020411 */     // No operand predicates
     /* 2020411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020415 */     // MIs[0] round
     /* 2020415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020418 */     // MIs[0] policy
     /* 2020418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020430 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2020433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020457 */     // GIR_Coverage, 16260,
     /* 2020457 */     GIR_EraseRootFromParent_Done,
     /* 2020458 */   // Label 26990: @2020458
     /* 2020458 */   GIM_Try, /*On fail goto*//*Label 26991*/ GIMT_Encode4(2020560), // Rule ID 16261 //
     /* 2020463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2020471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2020474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2020477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2020480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020513 */     // MIs[1] Operand 1
     /* 2020513 */     // No operand predicates
     /* 2020513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020517 */     // MIs[0] round
     /* 2020517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020520 */     // MIs[0] policy
     /* 2020520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020532 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2020535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020559 */     // GIR_Coverage, 16261,
     /* 2020559 */     GIR_EraseRootFromParent_Done,
     /* 2020560 */   // Label 26991: @2020560
     /* 2020560 */   GIM_Try, /*On fail goto*//*Label 26992*/ GIMT_Encode4(2020662), // Rule ID 16264 //
     /* 2020565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2020573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2020576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2020579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2020582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020615 */     // MIs[1] Operand 1
     /* 2020615 */     // No operand predicates
     /* 2020615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020619 */     // MIs[0] round
     /* 2020619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020622 */     // MIs[0] policy
     /* 2020622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020634 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2020637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020661 */     // GIR_Coverage, 16264,
     /* 2020661 */     GIR_EraseRootFromParent_Done,
     /* 2020662 */   // Label 26992: @2020662
     /* 2020662 */   GIM_Try, /*On fail goto*//*Label 26993*/ GIMT_Encode4(2020764), // Rule ID 16265 //
     /* 2020667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2020675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2020678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2020681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2020684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020717 */     // MIs[1] Operand 1
     /* 2020717 */     // No operand predicates
     /* 2020717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020721 */     // MIs[0] round
     /* 2020721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020724 */     // MIs[0] policy
     /* 2020724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2020739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020763 */     // GIR_Coverage, 16265,
     /* 2020763 */     GIR_EraseRootFromParent_Done,
     /* 2020764 */   // Label 26993: @2020764
     /* 2020764 */   GIM_Try, /*On fail goto*//*Label 26994*/ GIMT_Encode4(2020866), // Rule ID 16268 //
     /* 2020769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2020777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2020780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2020783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2020786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020819 */     // MIs[1] Operand 1
     /* 2020819 */     // No operand predicates
     /* 2020819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020823 */     // MIs[0] round
     /* 2020823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020826 */     // MIs[0] policy
     /* 2020826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020838 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2020841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020865 */     // GIR_Coverage, 16268,
     /* 2020865 */     GIR_EraseRootFromParent_Done,
     /* 2020866 */   // Label 26994: @2020866
     /* 2020866 */   GIM_Try, /*On fail goto*//*Label 26995*/ GIMT_Encode4(2020968), // Rule ID 16269 //
     /* 2020871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2020879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2020882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2020885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2020888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020921 */     // MIs[1] Operand 1
     /* 2020921 */     // No operand predicates
     /* 2020921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020925 */     // MIs[0] round
     /* 2020925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020928 */     // MIs[0] policy
     /* 2020928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020940 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2020943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020967 */     // GIR_Coverage, 16269,
     /* 2020967 */     GIR_EraseRootFromParent_Done,
     /* 2020968 */   // Label 26995: @2020968
     /* 2020968 */   GIM_Try, /*On fail goto*//*Label 26996*/ GIMT_Encode4(2021070), // Rule ID 16272 //
     /* 2020973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2020981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2020984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2020987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2020990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021023 */     // MIs[1] Operand 1
     /* 2021023 */     // No operand predicates
     /* 2021023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021027 */     // MIs[0] round
     /* 2021027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021030 */     // MIs[0] policy
     /* 2021030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021042 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2021045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021069 */     // GIR_Coverage, 16272,
     /* 2021069 */     GIR_EraseRootFromParent_Done,
     /* 2021070 */   // Label 26996: @2021070
     /* 2021070 */   GIM_Try, /*On fail goto*//*Label 26997*/ GIMT_Encode4(2021172), // Rule ID 16273 //
     /* 2021075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2021083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2021086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2021089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2021092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021125 */     // MIs[1] Operand 1
     /* 2021125 */     // No operand predicates
     /* 2021125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021129 */     // MIs[0] round
     /* 2021129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021132 */     // MIs[0] policy
     /* 2021132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2021147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021171 */     // GIR_Coverage, 16273,
     /* 2021171 */     GIR_EraseRootFromParent_Done,
     /* 2021172 */   // Label 26997: @2021172
     /* 2021172 */   GIM_Try, /*On fail goto*//*Label 26998*/ GIMT_Encode4(2021274), // Rule ID 16276 //
     /* 2021177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2021185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2021188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2021191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2021194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021227 */     // MIs[1] Operand 1
     /* 2021227 */     // No operand predicates
     /* 2021227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021231 */     // MIs[0] round
     /* 2021231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021234 */     // MIs[0] policy
     /* 2021234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2021249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021273 */     // GIR_Coverage, 16276,
     /* 2021273 */     GIR_EraseRootFromParent_Done,
     /* 2021274 */   // Label 26998: @2021274
     /* 2021274 */   GIM_Try, /*On fail goto*//*Label 26999*/ GIMT_Encode4(2021376), // Rule ID 16277 //
     /* 2021279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2021287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2021290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2021293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2021296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021329 */     // MIs[1] Operand 1
     /* 2021329 */     // No operand predicates
     /* 2021329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021333 */     // MIs[0] round
     /* 2021333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021336 */     // MIs[0] policy
     /* 2021336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021348 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2021351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021375 */     // GIR_Coverage, 16277,
     /* 2021375 */     GIR_EraseRootFromParent_Done,
     /* 2021376 */   // Label 26999: @2021376
     /* 2021376 */   GIM_Try, /*On fail goto*//*Label 27000*/ GIMT_Encode4(2021478), // Rule ID 16280 //
     /* 2021381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2021389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2021392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2021395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2021398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021431 */     // MIs[1] Operand 1
     /* 2021431 */     // No operand predicates
     /* 2021431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021435 */     // MIs[0] round
     /* 2021435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021438 */     // MIs[0] policy
     /* 2021438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021450 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2021453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021477 */     // GIR_Coverage, 16280,
     /* 2021477 */     GIR_EraseRootFromParent_Done,
     /* 2021478 */   // Label 27000: @2021478
     /* 2021478 */   GIM_Try, /*On fail goto*//*Label 27001*/ GIMT_Encode4(2021580), // Rule ID 16281 //
     /* 2021483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2021491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2021494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2021497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2021500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021533 */     // MIs[1] Operand 1
     /* 2021533 */     // No operand predicates
     /* 2021533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021537 */     // MIs[0] round
     /* 2021537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021540 */     // MIs[0] policy
     /* 2021540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021552 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2021555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021579 */     // GIR_Coverage, 16281,
     /* 2021579 */     GIR_EraseRootFromParent_Done,
     /* 2021580 */   // Label 27001: @2021580
     /* 2021580 */   GIM_Try, /*On fail goto*//*Label 27002*/ GIMT_Encode4(2021682), // Rule ID 16284 //
     /* 2021585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2021593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2021596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2021599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2021602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021635 */     // MIs[1] Operand 1
     /* 2021635 */     // No operand predicates
     /* 2021635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021639 */     // MIs[0] round
     /* 2021639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021642 */     // MIs[0] policy
     /* 2021642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021654 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2021657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021681 */     // GIR_Coverage, 16284,
     /* 2021681 */     GIR_EraseRootFromParent_Done,
     /* 2021682 */   // Label 27002: @2021682
     /* 2021682 */   GIM_Try, /*On fail goto*//*Label 27003*/ GIMT_Encode4(2021784), // Rule ID 16285 //
     /* 2021687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2021695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2021698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2021701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2021704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021737 */     // MIs[1] Operand 1
     /* 2021737 */     // No operand predicates
     /* 2021737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021741 */     // MIs[0] round
     /* 2021741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021744 */     // MIs[0] policy
     /* 2021744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2021759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021783 */     // GIR_Coverage, 16285,
     /* 2021783 */     GIR_EraseRootFromParent_Done,
     /* 2021784 */   // Label 27003: @2021784
     /* 2021784 */   GIM_Try, /*On fail goto*//*Label 27004*/ GIMT_Encode4(2021886), // Rule ID 16288 //
     /* 2021789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2021797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2021800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2021803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2021806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021839 */     // MIs[1] Operand 1
     /* 2021839 */     // No operand predicates
     /* 2021839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021843 */     // MIs[0] round
     /* 2021843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021846 */     // MIs[0] policy
     /* 2021846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021858 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2021861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021885 */     // GIR_Coverage, 16288,
     /* 2021885 */     GIR_EraseRootFromParent_Done,
     /* 2021886 */   // Label 27004: @2021886
     /* 2021886 */   GIM_Try, /*On fail goto*//*Label 27005*/ GIMT_Encode4(2021988), // Rule ID 16289 //
     /* 2021891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2021899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2021902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2021905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2021908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021941 */     // MIs[1] Operand 1
     /* 2021941 */     // No operand predicates
     /* 2021941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021945 */     // MIs[0] round
     /* 2021945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021948 */     // MIs[0] policy
     /* 2021948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021960 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2021963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021987 */     // GIR_Coverage, 16289,
     /* 2021987 */     GIR_EraseRootFromParent_Done,
     /* 2021988 */   // Label 27005: @2021988
     /* 2021988 */   GIM_Try, /*On fail goto*//*Label 27006*/ GIMT_Encode4(2022090), // Rule ID 16292 //
     /* 2021993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2021996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2022001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2022004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2022007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2022010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022043 */     // MIs[1] Operand 1
     /* 2022043 */     // No operand predicates
     /* 2022043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022047 */     // MIs[0] round
     /* 2022047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022050 */     // MIs[0] policy
     /* 2022050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022062 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2022065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2022086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022089 */     // GIR_Coverage, 16292,
     /* 2022089 */     GIR_EraseRootFromParent_Done,
     /* 2022090 */   // Label 27006: @2022090
     /* 2022090 */   GIM_Try, /*On fail goto*//*Label 27007*/ GIMT_Encode4(2022192), // Rule ID 16293 //
     /* 2022095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2022098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2022103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2022106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2022109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2022112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022145 */     // MIs[1] Operand 1
     /* 2022145 */     // No operand predicates
     /* 2022145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022149 */     // MIs[0] round
     /* 2022149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022152 */     // MIs[0] policy
     /* 2022152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2022167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2022188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022191 */     // GIR_Coverage, 16293,
     /* 2022191 */     GIR_EraseRootFromParent_Done,
     /* 2022192 */   // Label 27007: @2022192
     /* 2022192 */   GIM_Try, /*On fail goto*//*Label 27008*/ GIMT_Encode4(2022294), // Rule ID 16296 //
     /* 2022197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2022205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2022208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2022211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2022214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2022220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022247 */     // MIs[1] Operand 1
     /* 2022247 */     // No operand predicates
     /* 2022247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022251 */     // MIs[0] round
     /* 2022251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022254 */     // MIs[0] policy
     /* 2022254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2022269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022293 */     // GIR_Coverage, 16296,
     /* 2022293 */     GIR_EraseRootFromParent_Done,
     /* 2022294 */   // Label 27008: @2022294
     /* 2022294 */   GIM_Try, /*On fail goto*//*Label 27009*/ GIMT_Encode4(2022396), // Rule ID 16297 //
     /* 2022299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2022307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2022310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2022313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2022316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2022322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022349 */     // MIs[1] Operand 1
     /* 2022349 */     // No operand predicates
     /* 2022349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022353 */     // MIs[0] round
     /* 2022353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022356 */     // MIs[0] policy
     /* 2022356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022368 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2022371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022395 */     // GIR_Coverage, 16297,
     /* 2022395 */     GIR_EraseRootFromParent_Done,
     /* 2022396 */   // Label 27009: @2022396
     /* 2022396 */   GIM_Try, /*On fail goto*//*Label 27010*/ GIMT_Encode4(2022498), // Rule ID 16300 //
     /* 2022401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2022409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2022412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2022415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2022418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2022424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022451 */     // MIs[1] Operand 1
     /* 2022451 */     // No operand predicates
     /* 2022451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022455 */     // MIs[0] round
     /* 2022455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022458 */     // MIs[0] policy
     /* 2022458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022470 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2022473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022497 */     // GIR_Coverage, 16300,
     /* 2022497 */     GIR_EraseRootFromParent_Done,
     /* 2022498 */   // Label 27010: @2022498
     /* 2022498 */   GIM_Try, /*On fail goto*//*Label 27011*/ GIMT_Encode4(2022600), // Rule ID 16301 //
     /* 2022503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2022511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2022514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2022517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2022520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2022526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022553 */     // MIs[1] Operand 1
     /* 2022553 */     // No operand predicates
     /* 2022553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022557 */     // MIs[0] round
     /* 2022557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022560 */     // MIs[0] policy
     /* 2022560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022572 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2022575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022599 */     // GIR_Coverage, 16301,
     /* 2022599 */     GIR_EraseRootFromParent_Done,
     /* 2022600 */   // Label 27011: @2022600
     /* 2022600 */   GIM_Try, /*On fail goto*//*Label 27012*/ GIMT_Encode4(2022702), // Rule ID 16304 //
     /* 2022605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2022613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2022616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2022619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2022622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2022628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022655 */     // MIs[1] Operand 1
     /* 2022655 */     // No operand predicates
     /* 2022655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022659 */     // MIs[0] round
     /* 2022659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022662 */     // MIs[0] policy
     /* 2022662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022674 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2022677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022701 */     // GIR_Coverage, 16304,
     /* 2022701 */     GIR_EraseRootFromParent_Done,
     /* 2022702 */   // Label 27012: @2022702
     /* 2022702 */   GIM_Try, /*On fail goto*//*Label 27013*/ GIMT_Encode4(2022804), // Rule ID 16305 //
     /* 2022707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2022715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2022718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2022721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2022724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2022730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022757 */     // MIs[1] Operand 1
     /* 2022757 */     // No operand predicates
     /* 2022757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022761 */     // MIs[0] round
     /* 2022761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022764 */     // MIs[0] policy
     /* 2022764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022776 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2022779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022803 */     // GIR_Coverage, 16305,
     /* 2022803 */     GIR_EraseRootFromParent_Done,
     /* 2022804 */   // Label 27013: @2022804
     /* 2022804 */   GIM_Try, /*On fail goto*//*Label 27014*/ GIMT_Encode4(2022906), // Rule ID 16308 //
     /* 2022809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2022817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2022820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2022823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2022826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022859 */     // MIs[1] Operand 1
     /* 2022859 */     // No operand predicates
     /* 2022859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022863 */     // MIs[0] round
     /* 2022863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022866 */     // MIs[0] policy
     /* 2022866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2022881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022905 */     // GIR_Coverage, 16308,
     /* 2022905 */     GIR_EraseRootFromParent_Done,
     /* 2022906 */   // Label 27014: @2022906
     /* 2022906 */   GIM_Try, /*On fail goto*//*Label 27015*/ GIMT_Encode4(2023008), // Rule ID 16309 //
     /* 2022911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2022919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2022922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2022925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2022928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022961 */     // MIs[1] Operand 1
     /* 2022961 */     // No operand predicates
     /* 2022961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022965 */     // MIs[0] round
     /* 2022965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022968 */     // MIs[0] policy
     /* 2022968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022980 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2022983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023007 */     // GIR_Coverage, 16309,
     /* 2023007 */     GIR_EraseRootFromParent_Done,
     /* 2023008 */   // Label 27015: @2023008
     /* 2023008 */   GIM_Try, /*On fail goto*//*Label 27016*/ GIMT_Encode4(2023110), // Rule ID 16312 //
     /* 2023013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2023021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2023024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2023027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2023030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023063 */     // MIs[1] Operand 1
     /* 2023063 */     // No operand predicates
     /* 2023063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023067 */     // MIs[0] round
     /* 2023067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023070 */     // MIs[0] policy
     /* 2023070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023082 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2023085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023109 */     // GIR_Coverage, 16312,
     /* 2023109 */     GIR_EraseRootFromParent_Done,
     /* 2023110 */   // Label 27016: @2023110
     /* 2023110 */   GIM_Try, /*On fail goto*//*Label 27017*/ GIMT_Encode4(2023212), // Rule ID 16313 //
     /* 2023115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2023123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2023126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2023129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2023132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023165 */     // MIs[1] Operand 1
     /* 2023165 */     // No operand predicates
     /* 2023165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023169 */     // MIs[0] round
     /* 2023169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023172 */     // MIs[0] policy
     /* 2023172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023184 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2023187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023211 */     // GIR_Coverage, 16313,
     /* 2023211 */     GIR_EraseRootFromParent_Done,
     /* 2023212 */   // Label 27017: @2023212
     /* 2023212 */   GIM_Try, /*On fail goto*//*Label 27018*/ GIMT_Encode4(2023314), // Rule ID 16316 //
     /* 2023217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2023225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2023228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2023231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2023234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2023240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023267 */     // MIs[1] Operand 1
     /* 2023267 */     // No operand predicates
     /* 2023267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023271 */     // MIs[0] round
     /* 2023271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023274 */     // MIs[0] policy
     /* 2023274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023286 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2023289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023313 */     // GIR_Coverage, 16316,
     /* 2023313 */     GIR_EraseRootFromParent_Done,
     /* 2023314 */   // Label 27018: @2023314
     /* 2023314 */   GIM_Try, /*On fail goto*//*Label 27019*/ GIMT_Encode4(2023416), // Rule ID 16317 //
     /* 2023319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2023327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2023330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2023333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2023336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2023342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023369 */     // MIs[1] Operand 1
     /* 2023369 */     // No operand predicates
     /* 2023369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023373 */     // MIs[0] round
     /* 2023373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023376 */     // MIs[0] policy
     /* 2023376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023388 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2023391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023415 */     // GIR_Coverage, 16317,
     /* 2023415 */     GIR_EraseRootFromParent_Done,
     /* 2023416 */   // Label 27019: @2023416
     /* 2023416 */   GIM_Try, /*On fail goto*//*Label 27020*/ GIMT_Encode4(2023518), // Rule ID 16320 //
     /* 2023421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2023429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2023432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2023435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2023438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023471 */     // MIs[1] Operand 1
     /* 2023471 */     // No operand predicates
     /* 2023471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023475 */     // MIs[0] round
     /* 2023475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023478 */     // MIs[0] policy
     /* 2023478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2023493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023517 */     // GIR_Coverage, 16320,
     /* 2023517 */     GIR_EraseRootFromParent_Done,
     /* 2023518 */   // Label 27020: @2023518
     /* 2023518 */   GIM_Try, /*On fail goto*//*Label 27021*/ GIMT_Encode4(2023620), // Rule ID 16321 //
     /* 2023523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2023531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2023534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2023537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2023540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023573 */     // MIs[1] Operand 1
     /* 2023573 */     // No operand predicates
     /* 2023573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023577 */     // MIs[0] round
     /* 2023577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023580 */     // MIs[0] policy
     /* 2023580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2023595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023619 */     // GIR_Coverage, 16321,
     /* 2023619 */     GIR_EraseRootFromParent_Done,
     /* 2023620 */   // Label 27021: @2023620
     /* 2023620 */   GIM_Try, /*On fail goto*//*Label 27022*/ GIMT_Encode4(2023722), // Rule ID 16324 //
     /* 2023625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2023633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2023636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2023639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2023642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023675 */     // MIs[1] Operand 1
     /* 2023675 */     // No operand predicates
     /* 2023675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023679 */     // MIs[0] round
     /* 2023679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023682 */     // MIs[0] policy
     /* 2023682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2023697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023721 */     // GIR_Coverage, 16324,
     /* 2023721 */     GIR_EraseRootFromParent_Done,
     /* 2023722 */   // Label 27022: @2023722
     /* 2023722 */   GIM_Try, /*On fail goto*//*Label 27023*/ GIMT_Encode4(2023824), // Rule ID 16325 //
     /* 2023727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2023735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2023738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2023741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2023744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023777 */     // MIs[1] Operand 1
     /* 2023777 */     // No operand predicates
     /* 2023777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023781 */     // MIs[0] round
     /* 2023781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023784 */     // MIs[0] policy
     /* 2023784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023796 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2023799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023823 */     // GIR_Coverage, 16325,
     /* 2023823 */     GIR_EraseRootFromParent_Done,
     /* 2023824 */   // Label 27023: @2023824
     /* 2023824 */   GIM_Try, /*On fail goto*//*Label 27024*/ GIMT_Encode4(2023926), // Rule ID 16328 //
     /* 2023829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2023837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2023840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2023843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2023846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023879 */     // MIs[1] Operand 1
     /* 2023879 */     // No operand predicates
     /* 2023879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023883 */     // MIs[0] round
     /* 2023883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023886 */     // MIs[0] policy
     /* 2023886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2023901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023925 */     // GIR_Coverage, 16328,
     /* 2023925 */     GIR_EraseRootFromParent_Done,
     /* 2023926 */   // Label 27024: @2023926
     /* 2023926 */   GIM_Try, /*On fail goto*//*Label 27025*/ GIMT_Encode4(2024028), // Rule ID 16329 //
     /* 2023931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2023939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2023942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2023945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2023948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023981 */     // MIs[1] Operand 1
     /* 2023981 */     // No operand predicates
     /* 2023981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023985 */     // MIs[0] round
     /* 2023985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023988 */     // MIs[0] policy
     /* 2023988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2024003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024027 */     // GIR_Coverage, 16329,
     /* 2024027 */     GIR_EraseRootFromParent_Done,
     /* 2024028 */   // Label 27025: @2024028
     /* 2024028 */   GIM_Try, /*On fail goto*//*Label 27026*/ GIMT_Encode4(2024130), // Rule ID 16332 //
     /* 2024033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2024036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2024041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2024044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2024047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2024050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024083 */     // MIs[1] Operand 1
     /* 2024083 */     // No operand predicates
     /* 2024083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024087 */     // MIs[0] round
     /* 2024087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024090 */     // MIs[0] policy
     /* 2024090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024102 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2024105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024129 */     // GIR_Coverage, 16332,
     /* 2024129 */     GIR_EraseRootFromParent_Done,
     /* 2024130 */   // Label 27026: @2024130
     /* 2024130 */   GIM_Try, /*On fail goto*//*Label 27027*/ GIMT_Encode4(2024232), // Rule ID 16333 //
     /* 2024135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2024138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2024143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2024146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2024149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2024152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024185 */     // MIs[1] Operand 1
     /* 2024185 */     // No operand predicates
     /* 2024185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024189 */     // MIs[0] round
     /* 2024189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024192 */     // MIs[0] policy
     /* 2024192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024204 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2024207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024231 */     // GIR_Coverage, 16333,
     /* 2024231 */     GIR_EraseRootFromParent_Done,
     /* 2024232 */   // Label 27027: @2024232
     /* 2024232 */   GIM_Try, /*On fail goto*//*Label 27028*/ GIMT_Encode4(2024334), // Rule ID 16336 //
     /* 2024237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2024240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2024245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2024248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2024251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2024254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024287 */     // MIs[1] Operand 1
     /* 2024287 */     // No operand predicates
     /* 2024287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024291 */     // MIs[0] round
     /* 2024291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024294 */     // MIs[0] policy
     /* 2024294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024306 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2024309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024333 */     // GIR_Coverage, 16336,
     /* 2024333 */     GIR_EraseRootFromParent_Done,
     /* 2024334 */   // Label 27028: @2024334
     /* 2024334 */   GIM_Try, /*On fail goto*//*Label 27029*/ GIMT_Encode4(2024436), // Rule ID 16337 //
     /* 2024339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2024342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2024347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2024350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2024353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2024356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024389 */     // MIs[1] Operand 1
     /* 2024389 */     // No operand predicates
     /* 2024389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024393 */     // MIs[0] round
     /* 2024393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024396 */     // MIs[0] policy
     /* 2024396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2024411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024435 */     // GIR_Coverage, 16337,
     /* 2024435 */     GIR_EraseRootFromParent_Done,
     /* 2024436 */   // Label 27029: @2024436
     /* 2024436 */   GIM_Try, /*On fail goto*//*Label 27030*/ GIMT_Encode4(2024538), // Rule ID 16340 //
     /* 2024441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2024444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2024449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2024452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2024455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2024458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024491 */     // MIs[1] Operand 1
     /* 2024491 */     // No operand predicates
     /* 2024491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024495 */     // MIs[0] round
     /* 2024495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024498 */     // MIs[0] policy
     /* 2024498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024510 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2024513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024537 */     // GIR_Coverage, 16340,
     /* 2024537 */     GIR_EraseRootFromParent_Done,
     /* 2024538 */   // Label 27030: @2024538
     /* 2024538 */   GIM_Try, /*On fail goto*//*Label 27031*/ GIMT_Encode4(2024640), // Rule ID 16341 //
     /* 2024543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2024546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2024551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2024554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2024557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2024560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024593 */     // MIs[1] Operand 1
     /* 2024593 */     // No operand predicates
     /* 2024593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024597 */     // MIs[0] round
     /* 2024597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024600 */     // MIs[0] policy
     /* 2024600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024612 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2024615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024639 */     // GIR_Coverage, 16341,
     /* 2024639 */     GIR_EraseRootFromParent_Done,
     /* 2024640 */   // Label 27031: @2024640
     /* 2024640 */   GIM_Try, /*On fail goto*//*Label 27032*/ GIMT_Encode4(2024745), // Rule ID 16464 //
     /* 2024645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2024653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2024656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2024659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2024662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024695 */     // MIs[1] Operand 1
     /* 2024695 */     // No operand predicates
     /* 2024695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024699 */     // MIs[0] round
     /* 2024699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024702 */     // MIs[0] policy
     /* 2024702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024714 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2024717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2024743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024744 */     // GIR_Coverage, 16464,
     /* 2024744 */     GIR_EraseRootFromParent_Done,
     /* 2024745 */   // Label 27032: @2024745
     /* 2024745 */   GIM_Try, /*On fail goto*//*Label 27033*/ GIMT_Encode4(2024850), // Rule ID 16465 //
     /* 2024750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2024758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2024761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2024764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2024767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024800 */     // MIs[1] Operand 1
     /* 2024800 */     // No operand predicates
     /* 2024800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024804 */     // MIs[0] round
     /* 2024804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024807 */     // MIs[0] policy
     /* 2024807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024819 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2024822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2024848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024849 */     // GIR_Coverage, 16465,
     /* 2024849 */     GIR_EraseRootFromParent_Done,
     /* 2024850 */   // Label 27033: @2024850
     /* 2024850 */   GIM_Try, /*On fail goto*//*Label 27034*/ GIMT_Encode4(2024955), // Rule ID 16468 //
     /* 2024855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2024863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2024866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2024869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2024872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024905 */     // MIs[1] Operand 1
     /* 2024905 */     // No operand predicates
     /* 2024905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024909 */     // MIs[0] round
     /* 2024909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024912 */     // MIs[0] policy
     /* 2024912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024924 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2024927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2024953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024954 */     // GIR_Coverage, 16468,
     /* 2024954 */     GIR_EraseRootFromParent_Done,
     /* 2024955 */   // Label 27034: @2024955
     /* 2024955 */   GIM_Try, /*On fail goto*//*Label 27035*/ GIMT_Encode4(2025060), // Rule ID 16469 //
     /* 2024960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2024968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2024971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2024974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2024977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025010 */     // MIs[1] Operand 1
     /* 2025010 */     // No operand predicates
     /* 2025010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025014 */     // MIs[0] round
     /* 2025014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025017 */     // MIs[0] policy
     /* 2025017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025029 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2025032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025059 */     // GIR_Coverage, 16469,
     /* 2025059 */     GIR_EraseRootFromParent_Done,
     /* 2025060 */   // Label 27035: @2025060
     /* 2025060 */   GIM_Try, /*On fail goto*//*Label 27036*/ GIMT_Encode4(2025165), // Rule ID 16472 //
     /* 2025065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2025073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2025076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2025079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2025082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025115 */     // MIs[1] Operand 1
     /* 2025115 */     // No operand predicates
     /* 2025115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025119 */     // MIs[0] round
     /* 2025119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025122 */     // MIs[0] policy
     /* 2025122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025134 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2025137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025164 */     // GIR_Coverage, 16472,
     /* 2025164 */     GIR_EraseRootFromParent_Done,
     /* 2025165 */   // Label 27036: @2025165
     /* 2025165 */   GIM_Try, /*On fail goto*//*Label 27037*/ GIMT_Encode4(2025270), // Rule ID 16473 //
     /* 2025170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2025178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2025181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2025184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2025187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025220 */     // MIs[1] Operand 1
     /* 2025220 */     // No operand predicates
     /* 2025220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025224 */     // MIs[0] round
     /* 2025224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025227 */     // MIs[0] policy
     /* 2025227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025239 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2025242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025269 */     // GIR_Coverage, 16473,
     /* 2025269 */     GIR_EraseRootFromParent_Done,
     /* 2025270 */   // Label 27037: @2025270
     /* 2025270 */   GIM_Try, /*On fail goto*//*Label 27038*/ GIMT_Encode4(2025375), // Rule ID 16476 //
     /* 2025275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2025283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2025286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2025289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2025292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025325 */     // MIs[1] Operand 1
     /* 2025325 */     // No operand predicates
     /* 2025325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025329 */     // MIs[0] round
     /* 2025329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025332 */     // MIs[0] policy
     /* 2025332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025344 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2025347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025374 */     // GIR_Coverage, 16476,
     /* 2025374 */     GIR_EraseRootFromParent_Done,
     /* 2025375 */   // Label 27038: @2025375
     /* 2025375 */   GIM_Try, /*On fail goto*//*Label 27039*/ GIMT_Encode4(2025480), // Rule ID 16477 //
     /* 2025380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2025388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2025391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2025394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2025397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025430 */     // MIs[1] Operand 1
     /* 2025430 */     // No operand predicates
     /* 2025430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025434 */     // MIs[0] round
     /* 2025434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025437 */     // MIs[0] policy
     /* 2025437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025449 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2025452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025479 */     // GIR_Coverage, 16477,
     /* 2025479 */     GIR_EraseRootFromParent_Done,
     /* 2025480 */   // Label 27039: @2025480
     /* 2025480 */   GIM_Try, /*On fail goto*//*Label 27040*/ GIMT_Encode4(2025585), // Rule ID 16480 //
     /* 2025485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2025493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2025496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2025499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2025502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025535 */     // MIs[1] Operand 1
     /* 2025535 */     // No operand predicates
     /* 2025535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025539 */     // MIs[0] round
     /* 2025539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025542 */     // MIs[0] policy
     /* 2025542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025554 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2025557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025584 */     // GIR_Coverage, 16480,
     /* 2025584 */     GIR_EraseRootFromParent_Done,
     /* 2025585 */   // Label 27040: @2025585
     /* 2025585 */   GIM_Try, /*On fail goto*//*Label 27041*/ GIMT_Encode4(2025690), // Rule ID 16481 //
     /* 2025590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2025598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2025601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2025604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2025607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025640 */     // MIs[1] Operand 1
     /* 2025640 */     // No operand predicates
     /* 2025640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025644 */     // MIs[0] round
     /* 2025644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025647 */     // MIs[0] policy
     /* 2025647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025659 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2025662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025689 */     // GIR_Coverage, 16481,
     /* 2025689 */     GIR_EraseRootFromParent_Done,
     /* 2025690 */   // Label 27041: @2025690
     /* 2025690 */   GIM_Try, /*On fail goto*//*Label 27042*/ GIMT_Encode4(2025795), // Rule ID 16484 //
     /* 2025695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2025703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2025706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2025709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2025712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025745 */     // MIs[1] Operand 1
     /* 2025745 */     // No operand predicates
     /* 2025745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025749 */     // MIs[0] round
     /* 2025749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025752 */     // MIs[0] policy
     /* 2025752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025764 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2025767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025794 */     // GIR_Coverage, 16484,
     /* 2025794 */     GIR_EraseRootFromParent_Done,
     /* 2025795 */   // Label 27042: @2025795
     /* 2025795 */   GIM_Try, /*On fail goto*//*Label 27043*/ GIMT_Encode4(2025900), // Rule ID 16485 //
     /* 2025800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2025808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2025811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2025814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2025817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025850 */     // MIs[1] Operand 1
     /* 2025850 */     // No operand predicates
     /* 2025850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025854 */     // MIs[0] round
     /* 2025854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025857 */     // MIs[0] policy
     /* 2025857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025869 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2025872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2025898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025899 */     // GIR_Coverage, 16485,
     /* 2025899 */     GIR_EraseRootFromParent_Done,
     /* 2025900 */   // Label 27043: @2025900
     /* 2025900 */   GIM_Try, /*On fail goto*//*Label 27044*/ GIMT_Encode4(2026005), // Rule ID 16488 //
     /* 2025905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2025913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2025916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2025919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2025922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025955 */     // MIs[1] Operand 1
     /* 2025955 */     // No operand predicates
     /* 2025955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025959 */     // MIs[0] round
     /* 2025959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025962 */     // MIs[0] policy
     /* 2025962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2025977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2026003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026004 */     // GIR_Coverage, 16488,
     /* 2026004 */     GIR_EraseRootFromParent_Done,
     /* 2026005 */   // Label 27044: @2026005
     /* 2026005 */   GIM_Try, /*On fail goto*//*Label 27045*/ GIMT_Encode4(2026110), // Rule ID 16489 //
     /* 2026010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2026018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2026021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2026024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2026027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026060 */     // MIs[1] Operand 1
     /* 2026060 */     // No operand predicates
     /* 2026060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026064 */     // MIs[0] round
     /* 2026064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026067 */     // MIs[0] policy
     /* 2026067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026079 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2026082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2026108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026109 */     // GIR_Coverage, 16489,
     /* 2026109 */     GIR_EraseRootFromParent_Done,
     /* 2026110 */   // Label 27045: @2026110
     /* 2026110 */   GIM_Try, /*On fail goto*//*Label 27046*/ GIMT_Encode4(2026215), // Rule ID 16492 //
     /* 2026115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2026123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2026126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2026129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2026132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026165 */     // MIs[1] Operand 1
     /* 2026165 */     // No operand predicates
     /* 2026165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026169 */     // MIs[0] round
     /* 2026169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026172 */     // MIs[0] policy
     /* 2026172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026184 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2026187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2026213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026214 */     // GIR_Coverage, 16492,
     /* 2026214 */     GIR_EraseRootFromParent_Done,
     /* 2026215 */   // Label 27046: @2026215
     /* 2026215 */   GIM_Try, /*On fail goto*//*Label 27047*/ GIMT_Encode4(2026320), // Rule ID 16493 //
     /* 2026220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2026228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2026231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2026234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2026237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026270 */     // MIs[1] Operand 1
     /* 2026270 */     // No operand predicates
     /* 2026270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026274 */     // MIs[0] round
     /* 2026274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026277 */     // MIs[0] policy
     /* 2026277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026289 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2026292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2026318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026319 */     // GIR_Coverage, 16493,
     /* 2026319 */     GIR_EraseRootFromParent_Done,
     /* 2026320 */   // Label 27047: @2026320
     /* 2026320 */   GIM_Try, /*On fail goto*//*Label 27048*/ GIMT_Encode4(2026425), // Rule ID 16496 //
     /* 2026325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2026333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2026336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2026339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2026342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026375 */     // MIs[1] Operand 1
     /* 2026375 */     // No operand predicates
     /* 2026375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026379 */     // MIs[0] round
     /* 2026379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026382 */     // MIs[0] policy
     /* 2026382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026394 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2026397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2026423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026424 */     // GIR_Coverage, 16496,
     /* 2026424 */     GIR_EraseRootFromParent_Done,
     /* 2026425 */   // Label 27048: @2026425
     /* 2026425 */   GIM_Try, /*On fail goto*//*Label 27049*/ GIMT_Encode4(2026530), // Rule ID 16497 //
     /* 2026430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2026438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2026441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2026444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2026447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026480 */     // MIs[1] Operand 1
     /* 2026480 */     // No operand predicates
     /* 2026480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026484 */     // MIs[0] round
     /* 2026484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026487 */     // MIs[0] policy
     /* 2026487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026499 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2026502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2026528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026529 */     // GIR_Coverage, 16497,
     /* 2026529 */     GIR_EraseRootFromParent_Done,
     /* 2026530 */   // Label 27049: @2026530
     /* 2026530 */   GIM_Try, /*On fail goto*//*Label 27050*/ GIMT_Encode4(2026635), // Rule ID 16500 //
     /* 2026535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2026543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2026546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2026549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2026552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026585 */     // MIs[1] Operand 1
     /* 2026585 */     // No operand predicates
     /* 2026585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026589 */     // MIs[0] round
     /* 2026589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026592 */     // MIs[0] policy
     /* 2026592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026604 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2026607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2026633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026634 */     // GIR_Coverage, 16500,
     /* 2026634 */     GIR_EraseRootFromParent_Done,
     /* 2026635 */   // Label 27050: @2026635
     /* 2026635 */   GIM_Try, /*On fail goto*//*Label 27051*/ GIMT_Encode4(2026740), // Rule ID 16501 //
     /* 2026640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2026648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2026651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2026654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2026657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026690 */     // MIs[1] Operand 1
     /* 2026690 */     // No operand predicates
     /* 2026690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026694 */     // MIs[0] round
     /* 2026694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026697 */     // MIs[0] policy
     /* 2026697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026709 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2026712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2026738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026739 */     // GIR_Coverage, 16501,
     /* 2026739 */     GIR_EraseRootFromParent_Done,
     /* 2026740 */   // Label 27051: @2026740
     /* 2026740 */   GIM_Try, /*On fail goto*//*Label 27052*/ GIMT_Encode4(2026845), // Rule ID 16504 //
     /* 2026745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2026753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2026756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2026759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2026762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026795 */     // MIs[1] Operand 1
     /* 2026795 */     // No operand predicates
     /* 2026795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026799 */     // MIs[0] round
     /* 2026799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026802 */     // MIs[0] policy
     /* 2026802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026814 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2026817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2026843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026844 */     // GIR_Coverage, 16504,
     /* 2026844 */     GIR_EraseRootFromParent_Done,
     /* 2026845 */   // Label 27052: @2026845
     /* 2026845 */   GIM_Try, /*On fail goto*//*Label 27053*/ GIMT_Encode4(2026950), // Rule ID 16505 //
     /* 2026850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2026858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2026861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2026864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2026867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026900 */     // MIs[1] Operand 1
     /* 2026900 */     // No operand predicates
     /* 2026900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026904 */     // MIs[0] round
     /* 2026904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026907 */     // MIs[0] policy
     /* 2026907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026919 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2026922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2026948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026949 */     // GIR_Coverage, 16505,
     /* 2026949 */     GIR_EraseRootFromParent_Done,
     /* 2026950 */   // Label 27053: @2026950
     /* 2026950 */   GIM_Try, /*On fail goto*//*Label 27054*/ GIMT_Encode4(2027055), // Rule ID 16508 //
     /* 2026955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2026958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2026963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2026966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2026969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2026972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027005 */     // MIs[1] Operand 1
     /* 2027005 */     // No operand predicates
     /* 2027005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027009 */     // MIs[0] round
     /* 2027009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027012 */     // MIs[0] policy
     /* 2027012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027024 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2027027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2027053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027054 */     // GIR_Coverage, 16508,
     /* 2027054 */     GIR_EraseRootFromParent_Done,
     /* 2027055 */   // Label 27054: @2027055
     /* 2027055 */   GIM_Try, /*On fail goto*//*Label 27055*/ GIMT_Encode4(2027160), // Rule ID 16509 //
     /* 2027060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2027063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2027068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2027077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027110 */     // MIs[1] Operand 1
     /* 2027110 */     // No operand predicates
     /* 2027110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027114 */     // MIs[0] round
     /* 2027114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027117 */     // MIs[0] policy
     /* 2027117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027129 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2027132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2027158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027159 */     // GIR_Coverage, 16509,
     /* 2027159 */     GIR_EraseRootFromParent_Done,
     /* 2027160 */   // Label 27055: @2027160
     /* 2027160 */   GIM_Try, /*On fail goto*//*Label 27056*/ GIMT_Encode4(2027265), // Rule ID 16512 //
     /* 2027165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2027168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2027173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2027176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2027179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2027182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027215 */     // MIs[1] Operand 1
     /* 2027215 */     // No operand predicates
     /* 2027215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027219 */     // MIs[0] round
     /* 2027219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027222 */     // MIs[0] policy
     /* 2027222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2027237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2027263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027264 */     // GIR_Coverage, 16512,
     /* 2027264 */     GIR_EraseRootFromParent_Done,
     /* 2027265 */   // Label 27056: @2027265
     /* 2027265 */   GIM_Try, /*On fail goto*//*Label 27057*/ GIMT_Encode4(2027370), // Rule ID 16513 //
     /* 2027270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2027273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2027278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2027281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2027284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2027287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027320 */     // MIs[1] Operand 1
     /* 2027320 */     // No operand predicates
     /* 2027320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027324 */     // MIs[0] round
     /* 2027324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027327 */     // MIs[0] policy
     /* 2027327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2027342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2027368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027369 */     // GIR_Coverage, 16513,
     /* 2027369 */     GIR_EraseRootFromParent_Done,
     /* 2027370 */   // Label 27057: @2027370
     /* 2027370 */   GIM_Try, /*On fail goto*//*Label 27058*/ GIMT_Encode4(2027475), // Rule ID 16516 //
     /* 2027375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2027378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2027383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2027386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2027389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2027392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027425 */     // MIs[1] Operand 1
     /* 2027425 */     // No operand predicates
     /* 2027425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027429 */     // MIs[0] round
     /* 2027429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027432 */     // MIs[0] policy
     /* 2027432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027444 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2027447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2027473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027474 */     // GIR_Coverage, 16516,
     /* 2027474 */     GIR_EraseRootFromParent_Done,
     /* 2027475 */   // Label 27058: @2027475
     /* 2027475 */   GIM_Try, /*On fail goto*//*Label 27059*/ GIMT_Encode4(2027580), // Rule ID 16517 //
     /* 2027480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2027483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2027488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2027491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2027494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2027497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027530 */     // MIs[1] Operand 1
     /* 2027530 */     // No operand predicates
     /* 2027530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027534 */     // MIs[0] round
     /* 2027534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027537 */     // MIs[0] policy
     /* 2027537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2027552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2027578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027579 */     // GIR_Coverage, 16517,
     /* 2027579 */     GIR_EraseRootFromParent_Done,
     /* 2027580 */   // Label 27059: @2027580
     /* 2027580 */   GIM_Try, /*On fail goto*//*Label 27060*/ GIMT_Encode4(2027685), // Rule ID 16520 //
     /* 2027585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2027588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2027593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2027596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2027599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2027602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027635 */     // MIs[1] Operand 1
     /* 2027635 */     // No operand predicates
     /* 2027635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027639 */     // MIs[0] round
     /* 2027639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027642 */     // MIs[0] policy
     /* 2027642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2027657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2027683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027684 */     // GIR_Coverage, 16520,
     /* 2027684 */     GIR_EraseRootFromParent_Done,
     /* 2027685 */   // Label 27060: @2027685
     /* 2027685 */   GIM_Try, /*On fail goto*//*Label 27061*/ GIMT_Encode4(2027790), // Rule ID 16521 //
     /* 2027690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2027693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2027698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2027701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2027704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2027707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027740 */     // MIs[1] Operand 1
     /* 2027740 */     // No operand predicates
     /* 2027740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027744 */     // MIs[0] round
     /* 2027744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027747 */     // MIs[0] policy
     /* 2027747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027759 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2027762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2027788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027789 */     // GIR_Coverage, 16521,
     /* 2027789 */     GIR_EraseRootFromParent_Done,
     /* 2027790 */   // Label 27061: @2027790
     /* 2027790 */   GIM_Try, /*On fail goto*//*Label 27062*/ GIMT_Encode4(2027895), // Rule ID 16644 //
     /* 2027795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2027803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2027806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2027809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027845 */     // MIs[1] Operand 1
     /* 2027845 */     // No operand predicates
     /* 2027845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027849 */     // MIs[0] round
     /* 2027849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027852 */     // MIs[0] policy
     /* 2027852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027864 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2027867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2027893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027894 */     // GIR_Coverage, 16644,
     /* 2027894 */     GIR_EraseRootFromParent_Done,
     /* 2027895 */   // Label 27062: @2027895
     /* 2027895 */   GIM_Try, /*On fail goto*//*Label 27063*/ GIMT_Encode4(2028000), // Rule ID 16645 //
     /* 2027900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2027908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2027911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2027914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027950 */     // MIs[1] Operand 1
     /* 2027950 */     // No operand predicates
     /* 2027950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027954 */     // MIs[0] round
     /* 2027954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027957 */     // MIs[0] policy
     /* 2027957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027969 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2027972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2027998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027999 */     // GIR_Coverage, 16645,
     /* 2027999 */     GIR_EraseRootFromParent_Done,
     /* 2028000 */   // Label 27063: @2028000
     /* 2028000 */   GIM_Try, /*On fail goto*//*Label 27064*/ GIMT_Encode4(2028105), // Rule ID 16648 //
     /* 2028005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2028013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2028016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2028019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2028022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028055 */     // MIs[1] Operand 1
     /* 2028055 */     // No operand predicates
     /* 2028055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028059 */     // MIs[0] round
     /* 2028059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028062 */     // MIs[0] policy
     /* 2028062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028074 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2028077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028100 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2028103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028104 */     // GIR_Coverage, 16648,
     /* 2028104 */     GIR_EraseRootFromParent_Done,
     /* 2028105 */   // Label 27064: @2028105
     /* 2028105 */   GIM_Try, /*On fail goto*//*Label 27065*/ GIMT_Encode4(2028210), // Rule ID 16649 //
     /* 2028110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2028118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2028121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2028124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2028127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028160 */     // MIs[1] Operand 1
     /* 2028160 */     // No operand predicates
     /* 2028160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028164 */     // MIs[0] round
     /* 2028164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028167 */     // MIs[0] policy
     /* 2028167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028179 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2028182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2028208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028209 */     // GIR_Coverage, 16649,
     /* 2028209 */     GIR_EraseRootFromParent_Done,
     /* 2028210 */   // Label 27065: @2028210
     /* 2028210 */   GIM_Try, /*On fail goto*//*Label 27066*/ GIMT_Encode4(2028315), // Rule ID 16652 //
     /* 2028215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2028223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2028226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2028229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2028232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028265 */     // MIs[1] Operand 1
     /* 2028265 */     // No operand predicates
     /* 2028265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028269 */     // MIs[0] round
     /* 2028269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028272 */     // MIs[0] policy
     /* 2028272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028284 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2028287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2028313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028314 */     // GIR_Coverage, 16652,
     /* 2028314 */     GIR_EraseRootFromParent_Done,
     /* 2028315 */   // Label 27066: @2028315
     /* 2028315 */   GIM_Try, /*On fail goto*//*Label 27067*/ GIMT_Encode4(2028420), // Rule ID 16653 //
     /* 2028320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2028328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2028331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2028334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2028337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028370 */     // MIs[1] Operand 1
     /* 2028370 */     // No operand predicates
     /* 2028370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028374 */     // MIs[0] round
     /* 2028374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028377 */     // MIs[0] policy
     /* 2028377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028389 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2028392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2028418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028419 */     // GIR_Coverage, 16653,
     /* 2028419 */     GIR_EraseRootFromParent_Done,
     /* 2028420 */   // Label 27067: @2028420
     /* 2028420 */   GIM_Try, /*On fail goto*//*Label 27068*/ GIMT_Encode4(2028525), // Rule ID 16656 //
     /* 2028425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2028433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2028436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2028439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2028442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028475 */     // MIs[1] Operand 1
     /* 2028475 */     // No operand predicates
     /* 2028475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028479 */     // MIs[0] round
     /* 2028479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028482 */     // MIs[0] policy
     /* 2028482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028494 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2028497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2028523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028524 */     // GIR_Coverage, 16656,
     /* 2028524 */     GIR_EraseRootFromParent_Done,
     /* 2028525 */   // Label 27068: @2028525
     /* 2028525 */   GIM_Try, /*On fail goto*//*Label 27069*/ GIMT_Encode4(2028630), // Rule ID 16657 //
     /* 2028530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2028538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2028541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2028544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2028547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028580 */     // MIs[1] Operand 1
     /* 2028580 */     // No operand predicates
     /* 2028580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028584 */     // MIs[0] round
     /* 2028584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028587 */     // MIs[0] policy
     /* 2028587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028599 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2028602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2028628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028629 */     // GIR_Coverage, 16657,
     /* 2028629 */     GIR_EraseRootFromParent_Done,
     /* 2028630 */   // Label 27069: @2028630
     /* 2028630 */   GIM_Try, /*On fail goto*//*Label 27070*/ GIMT_Encode4(2028735), // Rule ID 16660 //
     /* 2028635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2028643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2028646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2028649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2028652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028685 */     // MIs[1] Operand 1
     /* 2028685 */     // No operand predicates
     /* 2028685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028689 */     // MIs[0] round
     /* 2028689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028692 */     // MIs[0] policy
     /* 2028692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028704 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2028707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2028733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028734 */     // GIR_Coverage, 16660,
     /* 2028734 */     GIR_EraseRootFromParent_Done,
     /* 2028735 */   // Label 27070: @2028735
     /* 2028735 */   GIM_Try, /*On fail goto*//*Label 27071*/ GIMT_Encode4(2028840), // Rule ID 16661 //
     /* 2028740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2028748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2028751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2028754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2028757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028790 */     // MIs[1] Operand 1
     /* 2028790 */     // No operand predicates
     /* 2028790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028794 */     // MIs[0] round
     /* 2028794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028797 */     // MIs[0] policy
     /* 2028797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028809 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2028812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2028838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028839 */     // GIR_Coverage, 16661,
     /* 2028839 */     GIR_EraseRootFromParent_Done,
     /* 2028840 */   // Label 27071: @2028840
     /* 2028840 */   GIM_Try, /*On fail goto*//*Label 27072*/ GIMT_Encode4(2028945), // Rule ID 16664 //
     /* 2028845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2028853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2028856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2028859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2028862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2028868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028895 */     // MIs[1] Operand 1
     /* 2028895 */     // No operand predicates
     /* 2028895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028899 */     // MIs[0] round
     /* 2028899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028902 */     // MIs[0] policy
     /* 2028902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028914 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2028917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2028943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028944 */     // GIR_Coverage, 16664,
     /* 2028944 */     GIR_EraseRootFromParent_Done,
     /* 2028945 */   // Label 27072: @2028945
     /* 2028945 */   GIM_Try, /*On fail goto*//*Label 27073*/ GIMT_Encode4(2029050), // Rule ID 16665 //
     /* 2028950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2028958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2028961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2028964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2028967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2028973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029000 */     // MIs[1] Operand 1
     /* 2029000 */     // No operand predicates
     /* 2029000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029004 */     // MIs[0] round
     /* 2029004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029007 */     // MIs[0] policy
     /* 2029007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029019 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2029022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029045 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029049 */     // GIR_Coverage, 16665,
     /* 2029049 */     GIR_EraseRootFromParent_Done,
     /* 2029050 */   // Label 27073: @2029050
     /* 2029050 */   GIM_Try, /*On fail goto*//*Label 27074*/ GIMT_Encode4(2029155), // Rule ID 16668 //
     /* 2029055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2029063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2029066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2029069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2029072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029105 */     // MIs[1] Operand 1
     /* 2029105 */     // No operand predicates
     /* 2029105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029109 */     // MIs[0] round
     /* 2029109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029112 */     // MIs[0] policy
     /* 2029112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029124 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2029127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029154 */     // GIR_Coverage, 16668,
     /* 2029154 */     GIR_EraseRootFromParent_Done,
     /* 2029155 */   // Label 27074: @2029155
     /* 2029155 */   GIM_Try, /*On fail goto*//*Label 27075*/ GIMT_Encode4(2029260), // Rule ID 16669 //
     /* 2029160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2029168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2029171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2029174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2029177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029210 */     // MIs[1] Operand 1
     /* 2029210 */     // No operand predicates
     /* 2029210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029214 */     // MIs[0] round
     /* 2029214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029217 */     // MIs[0] policy
     /* 2029217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029229 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2029232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029259 */     // GIR_Coverage, 16669,
     /* 2029259 */     GIR_EraseRootFromParent_Done,
     /* 2029260 */   // Label 27075: @2029260
     /* 2029260 */   GIM_Try, /*On fail goto*//*Label 27076*/ GIMT_Encode4(2029365), // Rule ID 16672 //
     /* 2029265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2029273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2029276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2029279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2029282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029315 */     // MIs[1] Operand 1
     /* 2029315 */     // No operand predicates
     /* 2029315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029319 */     // MIs[0] round
     /* 2029319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029322 */     // MIs[0] policy
     /* 2029322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029334 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2029337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029364 */     // GIR_Coverage, 16672,
     /* 2029364 */     GIR_EraseRootFromParent_Done,
     /* 2029365 */   // Label 27076: @2029365
     /* 2029365 */   GIM_Try, /*On fail goto*//*Label 27077*/ GIMT_Encode4(2029470), // Rule ID 16673 //
     /* 2029370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2029378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2029381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2029384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2029387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029420 */     // MIs[1] Operand 1
     /* 2029420 */     // No operand predicates
     /* 2029420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029424 */     // MIs[0] round
     /* 2029424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029427 */     // MIs[0] policy
     /* 2029427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029439 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2029442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029469 */     // GIR_Coverage, 16673,
     /* 2029469 */     GIR_EraseRootFromParent_Done,
     /* 2029470 */   // Label 27077: @2029470
     /* 2029470 */   GIM_Try, /*On fail goto*//*Label 27078*/ GIMT_Encode4(2029575), // Rule ID 16676 //
     /* 2029475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2029483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2029486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2029489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2029492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029525 */     // MIs[1] Operand 1
     /* 2029525 */     // No operand predicates
     /* 2029525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029529 */     // MIs[0] round
     /* 2029529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029532 */     // MIs[0] policy
     /* 2029532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2029547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029574 */     // GIR_Coverage, 16676,
     /* 2029574 */     GIR_EraseRootFromParent_Done,
     /* 2029575 */   // Label 27078: @2029575
     /* 2029575 */   GIM_Try, /*On fail goto*//*Label 27079*/ GIMT_Encode4(2029680), // Rule ID 16677 //
     /* 2029580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2029588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2029591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2029594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2029597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029630 */     // MIs[1] Operand 1
     /* 2029630 */     // No operand predicates
     /* 2029630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029634 */     // MIs[0] round
     /* 2029634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029637 */     // MIs[0] policy
     /* 2029637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2029652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029679 */     // GIR_Coverage, 16677,
     /* 2029679 */     GIR_EraseRootFromParent_Done,
     /* 2029680 */   // Label 27079: @2029680
     /* 2029680 */   GIM_Try, /*On fail goto*//*Label 27080*/ GIMT_Encode4(2029785), // Rule ID 16680 //
     /* 2029685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2029693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2029696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2029699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2029702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029735 */     // MIs[1] Operand 1
     /* 2029735 */     // No operand predicates
     /* 2029735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029739 */     // MIs[0] round
     /* 2029739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029742 */     // MIs[0] policy
     /* 2029742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029754 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2029757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029780 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029784 */     // GIR_Coverage, 16680,
     /* 2029784 */     GIR_EraseRootFromParent_Done,
     /* 2029785 */   // Label 27080: @2029785
     /* 2029785 */   GIM_Try, /*On fail goto*//*Label 27081*/ GIMT_Encode4(2029890), // Rule ID 16681 //
     /* 2029790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2029798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2029801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2029804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2029807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029840 */     // MIs[1] Operand 1
     /* 2029840 */     // No operand predicates
     /* 2029840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029844 */     // MIs[0] round
     /* 2029844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029847 */     // MIs[0] policy
     /* 2029847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029859 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2029862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029889 */     // GIR_Coverage, 16681,
     /* 2029889 */     GIR_EraseRootFromParent_Done,
     /* 2029890 */   // Label 27081: @2029890
     /* 2029890 */   GIM_Try, /*On fail goto*//*Label 27082*/ GIMT_Encode4(2029995), // Rule ID 16684 //
     /* 2029895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2029903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2029906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2029909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2029912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029945 */     // MIs[1] Operand 1
     /* 2029945 */     // No operand predicates
     /* 2029945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029949 */     // MIs[0] round
     /* 2029949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029952 */     // MIs[0] policy
     /* 2029952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029964 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2029967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029994 */     // GIR_Coverage, 16684,
     /* 2029994 */     GIR_EraseRootFromParent_Done,
     /* 2029995 */   // Label 27082: @2029995
     /* 2029995 */   GIM_Try, /*On fail goto*//*Label 27083*/ GIMT_Encode4(2030100), // Rule ID 16685 //
     /* 2030000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2030008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2030011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2030014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2030017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030050 */     // MIs[1] Operand 1
     /* 2030050 */     // No operand predicates
     /* 2030050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030054 */     // MIs[0] round
     /* 2030054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030057 */     // MIs[0] policy
     /* 2030057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030069 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2030072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030099 */     // GIR_Coverage, 16685,
     /* 2030099 */     GIR_EraseRootFromParent_Done,
     /* 2030100 */   // Label 27083: @2030100
     /* 2030100 */   GIM_Try, /*On fail goto*//*Label 27084*/ GIMT_Encode4(2030205), // Rule ID 16688 //
     /* 2030105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2030108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2030113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2030116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2030119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2030122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030155 */     // MIs[1] Operand 1
     /* 2030155 */     // No operand predicates
     /* 2030155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030159 */     // MIs[0] round
     /* 2030159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030162 */     // MIs[0] policy
     /* 2030162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030174 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2030177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030204 */     // GIR_Coverage, 16688,
     /* 2030204 */     GIR_EraseRootFromParent_Done,
     /* 2030205 */   // Label 27084: @2030205
     /* 2030205 */   GIM_Try, /*On fail goto*//*Label 27085*/ GIMT_Encode4(2030310), // Rule ID 16689 //
     /* 2030210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2030213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2030218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2030221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2030224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2030227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030260 */     // MIs[1] Operand 1
     /* 2030260 */     // No operand predicates
     /* 2030260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030264 */     // MIs[0] round
     /* 2030264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030267 */     // MIs[0] policy
     /* 2030267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030279 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2030282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030309 */     // GIR_Coverage, 16689,
     /* 2030309 */     GIR_EraseRootFromParent_Done,
     /* 2030310 */   // Label 27085: @2030310
     /* 2030310 */   GIM_Try, /*On fail goto*//*Label 27086*/ GIMT_Encode4(2030415), // Rule ID 16692 //
     /* 2030315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2030318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2030323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2030326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2030329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2030332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030365 */     // MIs[1] Operand 1
     /* 2030365 */     // No operand predicates
     /* 2030365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030369 */     // MIs[0] round
     /* 2030369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030372 */     // MIs[0] policy
     /* 2030372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2030387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030414 */     // GIR_Coverage, 16692,
     /* 2030414 */     GIR_EraseRootFromParent_Done,
     /* 2030415 */   // Label 27086: @2030415
     /* 2030415 */   GIM_Try, /*On fail goto*//*Label 27087*/ GIMT_Encode4(2030520), // Rule ID 16693 //
     /* 2030420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2030423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2030428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2030431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2030434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2030437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030470 */     // MIs[1] Operand 1
     /* 2030470 */     // No operand predicates
     /* 2030470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030474 */     // MIs[0] round
     /* 2030474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030477 */     // MIs[0] policy
     /* 2030477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2030492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030519 */     // GIR_Coverage, 16693,
     /* 2030519 */     GIR_EraseRootFromParent_Done,
     /* 2030520 */   // Label 27087: @2030520
     /* 2030520 */   GIM_Try, /*On fail goto*//*Label 27088*/ GIMT_Encode4(2030625), // Rule ID 16696 //
     /* 2030525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2030528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2030533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2030536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2030539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2030542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030575 */     // MIs[1] Operand 1
     /* 2030575 */     // No operand predicates
     /* 2030575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030579 */     // MIs[0] round
     /* 2030579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030582 */     // MIs[0] policy
     /* 2030582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2030597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030624 */     // GIR_Coverage, 16696,
     /* 2030624 */     GIR_EraseRootFromParent_Done,
     /* 2030625 */   // Label 27088: @2030625
     /* 2030625 */   GIM_Try, /*On fail goto*//*Label 27089*/ GIMT_Encode4(2030730), // Rule ID 16697 //
     /* 2030630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2030633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2030638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2030641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2030644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2030647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030680 */     // MIs[1] Operand 1
     /* 2030680 */     // No operand predicates
     /* 2030680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030684 */     // MIs[0] round
     /* 2030684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030687 */     // MIs[0] policy
     /* 2030687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030699 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2030702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030729 */     // GIR_Coverage, 16697,
     /* 2030729 */     GIR_EraseRootFromParent_Done,
     /* 2030730 */   // Label 27089: @2030730
     /* 2030730 */   GIM_Try, /*On fail goto*//*Label 27090*/ GIMT_Encode4(2030835), // Rule ID 16700 //
     /* 2030735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2030738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2030743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2030746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2030749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2030752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030785 */     // MIs[1] Operand 1
     /* 2030785 */     // No operand predicates
     /* 2030785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030789 */     // MIs[0] round
     /* 2030789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030792 */     // MIs[0] policy
     /* 2030792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2030807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030834 */     // GIR_Coverage, 16700,
     /* 2030834 */     GIR_EraseRootFromParent_Done,
     /* 2030835 */   // Label 27090: @2030835
     /* 2030835 */   GIM_Try, /*On fail goto*//*Label 27091*/ GIMT_Encode4(2030940), // Rule ID 16701 //
     /* 2030840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2030843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2030848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2030851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2030854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2030857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030890 */     // MIs[1] Operand 1
     /* 2030890 */     // No operand predicates
     /* 2030890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030894 */     // MIs[0] round
     /* 2030894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030897 */     // MIs[0] policy
     /* 2030897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030909 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2030912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030939 */     // GIR_Coverage, 16701,
     /* 2030939 */     GIR_EraseRootFromParent_Done,
     /* 2030940 */   // Label 27091: @2030940
     /* 2030940 */   GIM_Try, /*On fail goto*//*Label 27092*/ GIMT_Encode4(2031027), // Rule ID 2772 //
     /* 2030945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2030948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2030953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2030956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2030959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2030962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030976 */     // MIs[0] passthru
     /* 2030976 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2030981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030989 */     // MIs[0] round
     /* 2030989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030992 */     // MIs[0] policy
     /* 2030992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031002 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2031005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031026 */     // GIR_Coverage, 2772,
     /* 2031026 */     GIR_EraseRootFromParent_Done,
     /* 2031027 */   // Label 27092: @2031027
     /* 2031027 */   GIM_Try, /*On fail goto*//*Label 27093*/ GIMT_Encode4(2031114), // Rule ID 2773 //
     /* 2031032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2031035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2031040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2031043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2031046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2031049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031063 */     // MIs[0] passthru
     /* 2031063 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2031068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031076 */     // MIs[0] round
     /* 2031076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031079 */     // MIs[0] policy
     /* 2031079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031089 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2031092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031113 */     // GIR_Coverage, 2773,
     /* 2031113 */     GIR_EraseRootFromParent_Done,
     /* 2031114 */   // Label 27093: @2031114
     /* 2031114 */   GIM_Try, /*On fail goto*//*Label 27094*/ GIMT_Encode4(2031201), // Rule ID 17152 //
     /* 2031119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2031122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2031127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2031130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2031133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2031136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031150 */     // MIs[0] passthru
     /* 2031150 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2031155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031163 */     // MIs[0] round
     /* 2031163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031166 */     // MIs[0] policy
     /* 2031166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2031179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031200 */     // GIR_Coverage, 17152,
     /* 2031200 */     GIR_EraseRootFromParent_Done,
     /* 2031201 */   // Label 27094: @2031201
     /* 2031201 */   GIM_Try, /*On fail goto*//*Label 27095*/ GIMT_Encode4(2031288), // Rule ID 17153 //
     /* 2031206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2031209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2031214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2031217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2031220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2031223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031237 */     // MIs[0] passthru
     /* 2031237 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2031242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031250 */     // MIs[0] round
     /* 2031250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031253 */     // MIs[0] policy
     /* 2031253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031263 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2031266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031287 */     // GIR_Coverage, 17153,
     /* 2031287 */     GIR_EraseRootFromParent_Done,
     /* 2031288 */   // Label 27095: @2031288
     /* 2031288 */   GIM_Try, /*On fail goto*//*Label 27096*/ GIMT_Encode4(2031375), // Rule ID 17162 //
     /* 2031293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2031296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2031301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2031304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2031307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2031310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031324 */     // MIs[0] passthru
     /* 2031324 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2031329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031337 */     // MIs[0] round
     /* 2031337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031340 */     // MIs[0] policy
     /* 2031340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031350 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2031353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031374 */     // GIR_Coverage, 17162,
     /* 2031374 */     GIR_EraseRootFromParent_Done,
     /* 2031375 */   // Label 27096: @2031375
     /* 2031375 */   GIM_Try, /*On fail goto*//*Label 27097*/ GIMT_Encode4(2031462), // Rule ID 17163 //
     /* 2031380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2031383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2031388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2031391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2031394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2031397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031411 */     // MIs[0] passthru
     /* 2031411 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2031416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031424 */     // MIs[0] round
     /* 2031424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031427 */     // MIs[0] policy
     /* 2031427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031437 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2031440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031461 */     // GIR_Coverage, 17163,
     /* 2031461 */     GIR_EraseRootFromParent_Done,
     /* 2031462 */   // Label 27097: @2031462
     /* 2031462 */   GIM_Try, /*On fail goto*//*Label 27098*/ GIMT_Encode4(2031549), // Rule ID 17172 //
     /* 2031467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2031470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2031475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2031478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2031481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2031484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031498 */     // MIs[0] passthru
     /* 2031498 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2031503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031511 */     // MIs[0] round
     /* 2031511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031514 */     // MIs[0] policy
     /* 2031514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031524 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2031527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031548 */     // GIR_Coverage, 17172,
     /* 2031548 */     GIR_EraseRootFromParent_Done,
     /* 2031549 */   // Label 27098: @2031549
     /* 2031549 */   GIM_Try, /*On fail goto*//*Label 27099*/ GIMT_Encode4(2031636), // Rule ID 17173 //
     /* 2031554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2031557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2031562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2031565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2031568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2031571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031585 */     // MIs[0] passthru
     /* 2031585 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2031590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031598 */     // MIs[0] round
     /* 2031598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031601 */     // MIs[0] policy
     /* 2031601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031611 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2031614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031635 */     // GIR_Coverage, 17173,
     /* 2031635 */     GIR_EraseRootFromParent_Done,
     /* 2031636 */   // Label 27099: @2031636
     /* 2031636 */   GIM_Try, /*On fail goto*//*Label 27100*/ GIMT_Encode4(2031723), // Rule ID 17182 //
     /* 2031641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2031644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2031649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2031652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2031655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2031658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031672 */     // MIs[0] passthru
     /* 2031672 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2031677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031685 */     // MIs[0] round
     /* 2031685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031688 */     // MIs[0] policy
     /* 2031688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031698 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2031701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031722 */     // GIR_Coverage, 17182,
     /* 2031722 */     GIR_EraseRootFromParent_Done,
     /* 2031723 */   // Label 27100: @2031723
     /* 2031723 */   GIM_Try, /*On fail goto*//*Label 27101*/ GIMT_Encode4(2031810), // Rule ID 17183 //
     /* 2031728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2031731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2031736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2031739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2031742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2031745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031759 */     // MIs[0] passthru
     /* 2031759 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2031764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031772 */     // MIs[0] round
     /* 2031772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031775 */     // MIs[0] policy
     /* 2031775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031785 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2031788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031809 */     // GIR_Coverage, 17183,
     /* 2031809 */     GIR_EraseRootFromParent_Done,
     /* 2031810 */   // Label 27101: @2031810
     /* 2031810 */   GIM_Try, /*On fail goto*//*Label 27102*/ GIMT_Encode4(2031897), // Rule ID 17192 //
     /* 2031815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2031818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2031823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2031826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2031829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2031832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031846 */     // MIs[0] passthru
     /* 2031846 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2031851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031859 */     // MIs[0] round
     /* 2031859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031862 */     // MIs[0] policy
     /* 2031862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031872 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2031875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031896 */     // GIR_Coverage, 17192,
     /* 2031896 */     GIR_EraseRootFromParent_Done,
     /* 2031897 */   // Label 27102: @2031897
     /* 2031897 */   GIM_Try, /*On fail goto*//*Label 27103*/ GIMT_Encode4(2031984), // Rule ID 17193 //
     /* 2031902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2031905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2031910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2031913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2031916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2031919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031933 */     // MIs[0] passthru
     /* 2031933 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2031938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031946 */     // MIs[0] round
     /* 2031946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031949 */     // MIs[0] policy
     /* 2031949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031959 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2031962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031983 */     // GIR_Coverage, 17193,
     /* 2031983 */     GIR_EraseRootFromParent_Done,
     /* 2031984 */   // Label 27103: @2031984
     /* 2031984 */   GIM_Try, /*On fail goto*//*Label 27104*/ GIMT_Encode4(2032071), // Rule ID 17202 //
     /* 2031989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2031992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2031997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2032000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2032003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2032006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032020 */     // MIs[0] passthru
     /* 2032020 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2032025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032033 */     // MIs[0] round
     /* 2032033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032036 */     // MIs[0] policy
     /* 2032036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032046 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2032049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032070 */     // GIR_Coverage, 17202,
     /* 2032070 */     GIR_EraseRootFromParent_Done,
     /* 2032071 */   // Label 27104: @2032071
     /* 2032071 */   GIM_Try, /*On fail goto*//*Label 27105*/ GIMT_Encode4(2032158), // Rule ID 17203 //
     /* 2032076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2032079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2032084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2032087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2032090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2032093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032107 */     // MIs[0] passthru
     /* 2032107 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2032112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032120 */     // MIs[0] round
     /* 2032120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032123 */     // MIs[0] policy
     /* 2032123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032133 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2032136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032157 */     // GIR_Coverage, 17203,
     /* 2032157 */     GIR_EraseRootFromParent_Done,
     /* 2032158 */   // Label 27105: @2032158
     /* 2032158 */   GIM_Try, /*On fail goto*//*Label 27106*/ GIMT_Encode4(2032245), // Rule ID 17212 //
     /* 2032163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2032166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2032171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2032174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2032177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2032180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032194 */     // MIs[0] passthru
     /* 2032194 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2032199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032207 */     // MIs[0] round
     /* 2032207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032210 */     // MIs[0] policy
     /* 2032210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032220 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2032223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032244 */     // GIR_Coverage, 17212,
     /* 2032244 */     GIR_EraseRootFromParent_Done,
     /* 2032245 */   // Label 27106: @2032245
     /* 2032245 */   GIM_Try, /*On fail goto*//*Label 27107*/ GIMT_Encode4(2032332), // Rule ID 17213 //
     /* 2032250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2032253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2032258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2032261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2032264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2032267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032281 */     // MIs[0] passthru
     /* 2032281 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2032286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032294 */     // MIs[0] round
     /* 2032294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032297 */     // MIs[0] policy
     /* 2032297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032307 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2032310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032331 */     // GIR_Coverage, 17213,
     /* 2032331 */     GIR_EraseRootFromParent_Done,
     /* 2032332 */   // Label 27107: @2032332
     /* 2032332 */   GIM_Try, /*On fail goto*//*Label 27108*/ GIMT_Encode4(2032419), // Rule ID 17222 //
     /* 2032337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2032340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2032345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2032348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2032351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2032354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032368 */     // MIs[0] passthru
     /* 2032368 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2032373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032381 */     // MIs[0] round
     /* 2032381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032384 */     // MIs[0] policy
     /* 2032384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032394 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2032397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032418 */     // GIR_Coverage, 17222,
     /* 2032418 */     GIR_EraseRootFromParent_Done,
     /* 2032419 */   // Label 27108: @2032419
     /* 2032419 */   GIM_Try, /*On fail goto*//*Label 27109*/ GIMT_Encode4(2032506), // Rule ID 17223 //
     /* 2032424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2032427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2032432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2032435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2032438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2032441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032455 */     // MIs[0] passthru
     /* 2032455 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2032460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032468 */     // MIs[0] round
     /* 2032468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032471 */     // MIs[0] policy
     /* 2032471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032481 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2032484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032505 */     // GIR_Coverage, 17223,
     /* 2032505 */     GIR_EraseRootFromParent_Done,
     /* 2032506 */   // Label 27109: @2032506
     /* 2032506 */   GIM_Try, /*On fail goto*//*Label 27110*/ GIMT_Encode4(2032593), // Rule ID 17268 //
     /* 2032511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2032514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2032519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2032522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2032525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2032528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032542 */     // MIs[0] passthru
     /* 2032542 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2032547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032555 */     // MIs[0] round
     /* 2032555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032558 */     // MIs[0] policy
     /* 2032558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032568 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2032571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032592 */     // GIR_Coverage, 17268,
     /* 2032592 */     GIR_EraseRootFromParent_Done,
     /* 2032593 */   // Label 27110: @2032593
     /* 2032593 */   GIM_Try, /*On fail goto*//*Label 27111*/ GIMT_Encode4(2032680), // Rule ID 17269 //
     /* 2032598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2032601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2032606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2032609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2032612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2032615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032629 */     // MIs[0] passthru
     /* 2032629 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2032634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032642 */     // MIs[0] round
     /* 2032642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032645 */     // MIs[0] policy
     /* 2032645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032655 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2032658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032679 */     // GIR_Coverage, 17269,
     /* 2032679 */     GIR_EraseRootFromParent_Done,
     /* 2032680 */   // Label 27111: @2032680
     /* 2032680 */   GIM_Try, /*On fail goto*//*Label 27112*/ GIMT_Encode4(2032767), // Rule ID 17278 //
     /* 2032685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2032688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2032693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2032696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2032699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2032702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032716 */     // MIs[0] passthru
     /* 2032716 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2032721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032729 */     // MIs[0] round
     /* 2032729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032732 */     // MIs[0] policy
     /* 2032732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032742 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2032745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032766 */     // GIR_Coverage, 17278,
     /* 2032766 */     GIR_EraseRootFromParent_Done,
     /* 2032767 */   // Label 27112: @2032767
     /* 2032767 */   GIM_Try, /*On fail goto*//*Label 27113*/ GIMT_Encode4(2032854), // Rule ID 17279 //
     /* 2032772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2032775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2032780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2032783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2032786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2032789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032803 */     // MIs[0] passthru
     /* 2032803 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2032808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032816 */     // MIs[0] round
     /* 2032816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032819 */     // MIs[0] policy
     /* 2032819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032829 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2032832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032853 */     // GIR_Coverage, 17279,
     /* 2032853 */     GIR_EraseRootFromParent_Done,
     /* 2032854 */   // Label 27113: @2032854
     /* 2032854 */   GIM_Try, /*On fail goto*//*Label 27114*/ GIMT_Encode4(2032941), // Rule ID 17288 //
     /* 2032859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2032862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2032867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2032870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2032873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2032876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032890 */     // MIs[0] passthru
     /* 2032890 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2032895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032903 */     // MIs[0] round
     /* 2032903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032906 */     // MIs[0] policy
     /* 2032906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032916 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2032919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032940 */     // GIR_Coverage, 17288,
     /* 2032940 */     GIR_EraseRootFromParent_Done,
     /* 2032941 */   // Label 27114: @2032941
     /* 2032941 */   GIM_Try, /*On fail goto*//*Label 27115*/ GIMT_Encode4(2033028), // Rule ID 17289 //
     /* 2032946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2032949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2032954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2032957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2032960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2032963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032977 */     // MIs[0] passthru
     /* 2032977 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2032982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032990 */     // MIs[0] round
     /* 2032990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032993 */     // MIs[0] policy
     /* 2032993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033003 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2033006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033027 */     // GIR_Coverage, 17289,
     /* 2033027 */     GIR_EraseRootFromParent_Done,
     /* 2033028 */   // Label 27115: @2033028
     /* 2033028 */   GIM_Try, /*On fail goto*//*Label 27116*/ GIMT_Encode4(2033115), // Rule ID 17298 //
     /* 2033033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2033036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2033041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2033044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2033047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2033050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033064 */     // MIs[0] passthru
     /* 2033064 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2033069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033077 */     // MIs[0] round
     /* 2033077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033080 */     // MIs[0] policy
     /* 2033080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033090 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2033093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033114 */     // GIR_Coverage, 17298,
     /* 2033114 */     GIR_EraseRootFromParent_Done,
     /* 2033115 */   // Label 27116: @2033115
     /* 2033115 */   GIM_Try, /*On fail goto*//*Label 27117*/ GIMT_Encode4(2033202), // Rule ID 17299 //
     /* 2033120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2033123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2033128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2033131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2033134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2033137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033151 */     // MIs[0] passthru
     /* 2033151 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2033156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033164 */     // MIs[0] round
     /* 2033164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033167 */     // MIs[0] policy
     /* 2033167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033177 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2033180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033201 */     // GIR_Coverage, 17299,
     /* 2033201 */     GIR_EraseRootFromParent_Done,
     /* 2033202 */   // Label 27117: @2033202
     /* 2033202 */   GIM_Try, /*On fail goto*//*Label 27118*/ GIMT_Encode4(2033289), // Rule ID 17308 //
     /* 2033207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2033210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2033215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2033218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2033221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2033224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033238 */     // MIs[0] passthru
     /* 2033238 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2033243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033251 */     // MIs[0] round
     /* 2033251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033254 */     // MIs[0] policy
     /* 2033254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033264 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2033267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033288 */     // GIR_Coverage, 17308,
     /* 2033288 */     GIR_EraseRootFromParent_Done,
     /* 2033289 */   // Label 27118: @2033289
     /* 2033289 */   GIM_Try, /*On fail goto*//*Label 27119*/ GIMT_Encode4(2033376), // Rule ID 17309 //
     /* 2033294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2033297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2033302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2033305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2033308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2033311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033325 */     // MIs[0] passthru
     /* 2033325 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2033330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033338 */     // MIs[0] round
     /* 2033338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033341 */     // MIs[0] policy
     /* 2033341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033351 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2033354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033375 */     // GIR_Coverage, 17309,
     /* 2033375 */     GIR_EraseRootFromParent_Done,
     /* 2033376 */   // Label 27119: @2033376
     /* 2033376 */   GIM_Try, /*On fail goto*//*Label 27120*/ GIMT_Encode4(2033463), // Rule ID 17318 //
     /* 2033381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2033384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2033389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2033392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2033395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2033398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033412 */     // MIs[0] passthru
     /* 2033412 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2033417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033425 */     // MIs[0] round
     /* 2033425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033428 */     // MIs[0] policy
     /* 2033428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033438 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2033441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033462 */     // GIR_Coverage, 17318,
     /* 2033462 */     GIR_EraseRootFromParent_Done,
     /* 2033463 */   // Label 27120: @2033463
     /* 2033463 */   GIM_Try, /*On fail goto*//*Label 27121*/ GIMT_Encode4(2033550), // Rule ID 17319 //
     /* 2033468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2033471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2033476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2033479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2033482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2033485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033499 */     // MIs[0] passthru
     /* 2033499 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2033504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033512 */     // MIs[0] round
     /* 2033512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033515 */     // MIs[0] policy
     /* 2033515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033525 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2033528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033549 */     // GIR_Coverage, 17319,
     /* 2033549 */     GIR_EraseRootFromParent_Done,
     /* 2033550 */   // Label 27121: @2033550
     /* 2033550 */   GIM_Try, /*On fail goto*//*Label 27122*/ GIMT_Encode4(2033637), // Rule ID 17328 //
     /* 2033555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2033558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2033563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2033566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2033569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2033572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033586 */     // MIs[0] passthru
     /* 2033586 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2033591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033599 */     // MIs[0] round
     /* 2033599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033602 */     // MIs[0] policy
     /* 2033602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033612 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2033615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033636 */     // GIR_Coverage, 17328,
     /* 2033636 */     GIR_EraseRootFromParent_Done,
     /* 2033637 */   // Label 27122: @2033637
     /* 2033637 */   GIM_Try, /*On fail goto*//*Label 27123*/ GIMT_Encode4(2033724), // Rule ID 17329 //
     /* 2033642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2033645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2033650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2033653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2033656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2033659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033673 */     // MIs[0] passthru
     /* 2033673 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2033678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033686 */     // MIs[0] round
     /* 2033686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033689 */     // MIs[0] policy
     /* 2033689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033699 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2033702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033723 */     // GIR_Coverage, 17329,
     /* 2033723 */     GIR_EraseRootFromParent_Done,
     /* 2033724 */   // Label 27123: @2033724
     /* 2033724 */   GIM_Try, /*On fail goto*//*Label 27124*/ GIMT_Encode4(2033811), // Rule ID 17338 //
     /* 2033729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2033732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2033737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2033740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2033743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2033746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033760 */     // MIs[0] passthru
     /* 2033760 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2033765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033773 */     // MIs[0] round
     /* 2033773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033776 */     // MIs[0] policy
     /* 2033776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033786 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2033789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033810 */     // GIR_Coverage, 17338,
     /* 2033810 */     GIR_EraseRootFromParent_Done,
     /* 2033811 */   // Label 27124: @2033811
     /* 2033811 */   GIM_Try, /*On fail goto*//*Label 27125*/ GIMT_Encode4(2033898), // Rule ID 17339 //
     /* 2033816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2033819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2033824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2033827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2033830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2033833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033847 */     // MIs[0] passthru
     /* 2033847 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2033852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033860 */     // MIs[0] round
     /* 2033860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033863 */     // MIs[0] policy
     /* 2033863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033873 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2033876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033897 */     // GIR_Coverage, 17339,
     /* 2033897 */     GIR_EraseRootFromParent_Done,
     /* 2033898 */   // Label 27125: @2033898
     /* 2033898 */   GIM_Try, /*On fail goto*//*Label 27126*/ GIMT_Encode4(2033985), // Rule ID 17348 //
     /* 2033903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2033906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2033911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2033914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2033917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2033920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033934 */     // MIs[0] passthru
     /* 2033934 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2033939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033947 */     // MIs[0] round
     /* 2033947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033950 */     // MIs[0] policy
     /* 2033950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033960 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2033963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033984 */     // GIR_Coverage, 17348,
     /* 2033984 */     GIR_EraseRootFromParent_Done,
     /* 2033985 */   // Label 27126: @2033985
     /* 2033985 */   GIM_Try, /*On fail goto*//*Label 27127*/ GIMT_Encode4(2034072), // Rule ID 17349 //
     /* 2033990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2033993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2033998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2034007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034021 */     // MIs[0] passthru
     /* 2034021 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2034026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034034 */     // MIs[0] round
     /* 2034034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034037 */     // MIs[0] policy
     /* 2034037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034047 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2034050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034071 */     // GIR_Coverage, 17349,
     /* 2034071 */     GIR_EraseRootFromParent_Done,
     /* 2034072 */   // Label 27127: @2034072
     /* 2034072 */   GIM_Try, /*On fail goto*//*Label 27128*/ GIMT_Encode4(2034163), // Rule ID 2730 //
     /* 2034077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2034088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2034091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2034094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2034097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034123 */     // MIs[0] round
     /* 2034123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034126 */     // MIs[0] policy
     /* 2034126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2034139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034162 */     // GIR_Coverage, 2730,
     /* 2034162 */     GIR_EraseRootFromParent_Done,
     /* 2034163 */   // Label 27128: @2034163
     /* 2034163 */   GIM_Try, /*On fail goto*//*Label 27129*/ GIMT_Encode4(2034254), // Rule ID 2731 //
     /* 2034168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2034179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2034182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2034185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2034188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034214 */     // MIs[0] round
     /* 2034214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034217 */     // MIs[0] policy
     /* 2034217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034227 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2034230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034253 */     // GIR_Coverage, 2731,
     /* 2034253 */     GIR_EraseRootFromParent_Done,
     /* 2034254 */   // Label 27129: @2034254
     /* 2034254 */   GIM_Try, /*On fail goto*//*Label 27130*/ GIMT_Encode4(2034345), // Rule ID 2774 //
     /* 2034259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2034262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2034267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2034270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2034273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2034276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2034279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034305 */     // MIs[0] round
     /* 2034305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034308 */     // MIs[0] policy
     /* 2034308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034318 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2034321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034344 */     // GIR_Coverage, 2774,
     /* 2034344 */     GIR_EraseRootFromParent_Done,
     /* 2034345 */   // Label 27130: @2034345
     /* 2034345 */   GIM_Try, /*On fail goto*//*Label 27131*/ GIMT_Encode4(2034436), // Rule ID 2775 //
     /* 2034350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2034353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2034358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2034361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2034364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2034367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2034370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034396 */     // MIs[0] round
     /* 2034396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034399 */     // MIs[0] policy
     /* 2034399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034409 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2034412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034435 */     // GIR_Coverage, 2775,
     /* 2034435 */     GIR_EraseRootFromParent_Done,
     /* 2034436 */   // Label 27131: @2034436
     /* 2034436 */   GIM_Try, /*On fail goto*//*Label 27132*/ GIMT_Encode4(2034527), // Rule ID 2782 //
     /* 2034441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2034444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2034449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2034452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2034455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2034458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2034461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034487 */     // MIs[0] round
     /* 2034487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034490 */     // MIs[0] policy
     /* 2034490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034500 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2034503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2034507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034526 */     // GIR_Coverage, 2782,
     /* 2034526 */     GIR_EraseRootFromParent_Done,
     /* 2034527 */   // Label 27132: @2034527
     /* 2034527 */   GIM_Try, /*On fail goto*//*Label 27133*/ GIMT_Encode4(2034618), // Rule ID 2783 //
     /* 2034532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2034535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2034540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2034543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2034546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2034549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2034552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034578 */     // MIs[0] round
     /* 2034578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034581 */     // MIs[0] policy
     /* 2034581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034591 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2034594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2034598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034617 */     // GIR_Coverage, 2783,
     /* 2034617 */     GIR_EraseRootFromParent_Done,
     /* 2034618 */   // Label 27133: @2034618
     /* 2034618 */   GIM_Try, /*On fail goto*//*Label 27134*/ GIMT_Encode4(2034709), // Rule ID 14940 //
     /* 2034623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2034634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2034637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2034640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2034643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034669 */     // MIs[0] round
     /* 2034669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034672 */     // MIs[0] policy
     /* 2034672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034682 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2034685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034708 */     // GIR_Coverage, 14940,
     /* 2034708 */     GIR_EraseRootFromParent_Done,
     /* 2034709 */   // Label 27134: @2034709
     /* 2034709 */   GIM_Try, /*On fail goto*//*Label 27135*/ GIMT_Encode4(2034800), // Rule ID 14941 //
     /* 2034714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2034725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2034728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2034731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2034734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034760 */     // MIs[0] round
     /* 2034760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034763 */     // MIs[0] policy
     /* 2034763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034773 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2034776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034799 */     // GIR_Coverage, 14941,
     /* 2034799 */     GIR_EraseRootFromParent_Done,
     /* 2034800 */   // Label 27135: @2034800
     /* 2034800 */   GIM_Try, /*On fail goto*//*Label 27136*/ GIMT_Encode4(2034891), // Rule ID 14944 //
     /* 2034805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2034816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2034819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2034822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2034825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034851 */     // MIs[0] round
     /* 2034851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034854 */     // MIs[0] policy
     /* 2034854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034864 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2034867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034890 */     // GIR_Coverage, 14944,
     /* 2034890 */     GIR_EraseRootFromParent_Done,
     /* 2034891 */   // Label 27136: @2034891
     /* 2034891 */   GIM_Try, /*On fail goto*//*Label 27137*/ GIMT_Encode4(2034982), // Rule ID 14945 //
     /* 2034896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2034907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2034910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2034913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2034916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034942 */     // MIs[0] round
     /* 2034942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034945 */     // MIs[0] policy
     /* 2034945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034955 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2034958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034981 */     // GIR_Coverage, 14945,
     /* 2034981 */     GIR_EraseRootFromParent_Done,
     /* 2034982 */   // Label 27137: @2034982
     /* 2034982 */   GIM_Try, /*On fail goto*//*Label 27138*/ GIMT_Encode4(2035073), // Rule ID 14948 //
     /* 2034987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2034998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2035001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2035004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2035007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035033 */     // MIs[0] round
     /* 2035033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035036 */     // MIs[0] policy
     /* 2035036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2035049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035072 */     // GIR_Coverage, 14948,
     /* 2035072 */     GIR_EraseRootFromParent_Done,
     /* 2035073 */   // Label 27138: @2035073
     /* 2035073 */   GIM_Try, /*On fail goto*//*Label 27139*/ GIMT_Encode4(2035164), // Rule ID 14949 //
     /* 2035078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2035089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2035092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2035095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2035098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035124 */     // MIs[0] round
     /* 2035124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035127 */     // MIs[0] policy
     /* 2035127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035137 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2035140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035163 */     // GIR_Coverage, 14949,
     /* 2035163 */     GIR_EraseRootFromParent_Done,
     /* 2035164 */   // Label 27139: @2035164
     /* 2035164 */   GIM_Try, /*On fail goto*//*Label 27140*/ GIMT_Encode4(2035255), // Rule ID 14952 //
     /* 2035169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2035180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2035183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2035186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2035189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035215 */     // MIs[0] round
     /* 2035215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035218 */     // MIs[0] policy
     /* 2035218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2035231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035254 */     // GIR_Coverage, 14952,
     /* 2035254 */     GIR_EraseRootFromParent_Done,
     /* 2035255 */   // Label 27140: @2035255
     /* 2035255 */   GIM_Try, /*On fail goto*//*Label 27141*/ GIMT_Encode4(2035346), // Rule ID 14953 //
     /* 2035260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2035271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2035274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2035277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2035280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035306 */     // MIs[0] round
     /* 2035306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035309 */     // MIs[0] policy
     /* 2035309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035319 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2035322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035345 */     // GIR_Coverage, 14953,
     /* 2035345 */     GIR_EraseRootFromParent_Done,
     /* 2035346 */   // Label 27141: @2035346
     /* 2035346 */   GIM_Try, /*On fail goto*//*Label 27142*/ GIMT_Encode4(2035437), // Rule ID 14956 //
     /* 2035351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2035362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2035365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2035368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2035371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035397 */     // MIs[0] round
     /* 2035397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035400 */     // MIs[0] policy
     /* 2035400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035410 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2035413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035436 */     // GIR_Coverage, 14956,
     /* 2035436 */     GIR_EraseRootFromParent_Done,
     /* 2035437 */   // Label 27142: @2035437
     /* 2035437 */   GIM_Try, /*On fail goto*//*Label 27143*/ GIMT_Encode4(2035528), // Rule ID 14957 //
     /* 2035442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2035453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2035456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2035459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2035462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035488 */     // MIs[0] round
     /* 2035488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035491 */     // MIs[0] policy
     /* 2035491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035501 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2035504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035527 */     // GIR_Coverage, 14957,
     /* 2035527 */     GIR_EraseRootFromParent_Done,
     /* 2035528 */   // Label 27143: @2035528
     /* 2035528 */   GIM_Try, /*On fail goto*//*Label 27144*/ GIMT_Encode4(2035619), // Rule ID 14960 //
     /* 2035533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2035544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2035547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2035550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2035553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035579 */     // MIs[0] round
     /* 2035579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035582 */     // MIs[0] policy
     /* 2035582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2035595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035618 */     // GIR_Coverage, 14960,
     /* 2035618 */     GIR_EraseRootFromParent_Done,
     /* 2035619 */   // Label 27144: @2035619
     /* 2035619 */   GIM_Try, /*On fail goto*//*Label 27145*/ GIMT_Encode4(2035710), // Rule ID 14961 //
     /* 2035624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2035635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2035638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2035641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2035644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035670 */     // MIs[0] round
     /* 2035670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035673 */     // MIs[0] policy
     /* 2035673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2035686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035709 */     // GIR_Coverage, 14961,
     /* 2035709 */     GIR_EraseRootFromParent_Done,
     /* 2035710 */   // Label 27145: @2035710
     /* 2035710 */   GIM_Try, /*On fail goto*//*Label 27146*/ GIMT_Encode4(2035801), // Rule ID 14964 //
     /* 2035715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2035726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2035729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2035732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2035735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035761 */     // MIs[0] round
     /* 2035761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035764 */     // MIs[0] policy
     /* 2035764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035774 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2035777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035800 */     // GIR_Coverage, 14964,
     /* 2035800 */     GIR_EraseRootFromParent_Done,
     /* 2035801 */   // Label 27146: @2035801
     /* 2035801 */   GIM_Try, /*On fail goto*//*Label 27147*/ GIMT_Encode4(2035892), // Rule ID 14965 //
     /* 2035806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2035817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2035820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2035823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2035826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035852 */     // MIs[0] round
     /* 2035852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035855 */     // MIs[0] policy
     /* 2035855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2035868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035891 */     // GIR_Coverage, 14965,
     /* 2035891 */     GIR_EraseRootFromParent_Done,
     /* 2035892 */   // Label 27147: @2035892
     /* 2035892 */   GIM_Try, /*On fail goto*//*Label 27148*/ GIMT_Encode4(2035983), // Rule ID 14968 //
     /* 2035897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2035908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2035911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2035914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2035917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035943 */     // MIs[0] round
     /* 2035943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035946 */     // MIs[0] policy
     /* 2035946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2035959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035982 */     // GIR_Coverage, 14968,
     /* 2035982 */     GIR_EraseRootFromParent_Done,
     /* 2035983 */   // Label 27148: @2035983
     /* 2035983 */   GIM_Try, /*On fail goto*//*Label 27149*/ GIMT_Encode4(2036074), // Rule ID 14969 //
     /* 2035988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2035999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2036005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2036008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036034 */     // MIs[0] round
     /* 2036034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036037 */     // MIs[0] policy
     /* 2036037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2036050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036073 */     // GIR_Coverage, 14969,
     /* 2036073 */     GIR_EraseRootFromParent_Done,
     /* 2036074 */   // Label 27149: @2036074
     /* 2036074 */   GIM_Try, /*On fail goto*//*Label 27150*/ GIMT_Encode4(2036165), // Rule ID 14972 //
     /* 2036079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2036082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2036099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036125 */     // MIs[0] round
     /* 2036125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036128 */     // MIs[0] policy
     /* 2036128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2036141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036164 */     // GIR_Coverage, 14972,
     /* 2036164 */     GIR_EraseRootFromParent_Done,
     /* 2036165 */   // Label 27150: @2036165
     /* 2036165 */   GIM_Try, /*On fail goto*//*Label 27151*/ GIMT_Encode4(2036256), // Rule ID 14973 //
     /* 2036170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2036173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2036190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036216 */     // MIs[0] round
     /* 2036216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036219 */     // MIs[0] policy
     /* 2036219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036229 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2036232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036255 */     // GIR_Coverage, 14973,
     /* 2036255 */     GIR_EraseRootFromParent_Done,
     /* 2036256 */   // Label 27151: @2036256
     /* 2036256 */   GIM_Try, /*On fail goto*//*Label 27152*/ GIMT_Encode4(2036347), // Rule ID 14976 //
     /* 2036261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2036272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2036275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2036278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2036281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036307 */     // MIs[0] round
     /* 2036307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036310 */     // MIs[0] policy
     /* 2036310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036320 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2036323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036346 */     // GIR_Coverage, 14976,
     /* 2036346 */     GIR_EraseRootFromParent_Done,
     /* 2036347 */   // Label 27152: @2036347
     /* 2036347 */   GIM_Try, /*On fail goto*//*Label 27153*/ GIMT_Encode4(2036438), // Rule ID 14977 //
     /* 2036352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2036363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2036366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2036369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2036372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036398 */     // MIs[0] round
     /* 2036398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036401 */     // MIs[0] policy
     /* 2036401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036411 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2036414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036437 */     // GIR_Coverage, 14977,
     /* 2036437 */     GIR_EraseRootFromParent_Done,
     /* 2036438 */   // Label 27153: @2036438
     /* 2036438 */   GIM_Try, /*On fail goto*//*Label 27154*/ GIMT_Encode4(2036529), // Rule ID 14980 //
     /* 2036443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2036454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2036457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2036460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2036463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2036466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036489 */     // MIs[0] round
     /* 2036489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036492 */     // MIs[0] policy
     /* 2036492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036502 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2036505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036528 */     // GIR_Coverage, 14980,
     /* 2036528 */     GIR_EraseRootFromParent_Done,
     /* 2036529 */   // Label 27154: @2036529
     /* 2036529 */   GIM_Try, /*On fail goto*//*Label 27155*/ GIMT_Encode4(2036620), // Rule ID 14981 //
     /* 2036534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2036545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2036548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2036551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2036554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2036557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036580 */     // MIs[0] round
     /* 2036580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036583 */     // MIs[0] policy
     /* 2036583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036593 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2036596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036619 */     // GIR_Coverage, 14981,
     /* 2036619 */     GIR_EraseRootFromParent_Done,
     /* 2036620 */   // Label 27155: @2036620
     /* 2036620 */   GIM_Try, /*On fail goto*//*Label 27156*/ GIMT_Encode4(2036711), // Rule ID 14984 //
     /* 2036625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2036636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2036639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2036642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2036645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2036648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036671 */     // MIs[0] round
     /* 2036671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036674 */     // MIs[0] policy
     /* 2036674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036684 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2036687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036710 */     // GIR_Coverage, 14984,
     /* 2036710 */     GIR_EraseRootFromParent_Done,
     /* 2036711 */   // Label 27156: @2036711
     /* 2036711 */   GIM_Try, /*On fail goto*//*Label 27157*/ GIMT_Encode4(2036802), // Rule ID 14985 //
     /* 2036716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2036727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2036730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2036733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2036736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2036739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036762 */     // MIs[0] round
     /* 2036762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036765 */     // MIs[0] policy
     /* 2036765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036775 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2036778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036801 */     // GIR_Coverage, 14985,
     /* 2036801 */     GIR_EraseRootFromParent_Done,
     /* 2036802 */   // Label 27157: @2036802
     /* 2036802 */   GIM_Try, /*On fail goto*//*Label 27158*/ GIMT_Encode4(2036893), // Rule ID 14988 //
     /* 2036807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2036818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2036821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2036824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2036827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036853 */     // MIs[0] round
     /* 2036853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036856 */     // MIs[0] policy
     /* 2036856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036866 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2036869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036892 */     // GIR_Coverage, 14988,
     /* 2036892 */     GIR_EraseRootFromParent_Done,
     /* 2036893 */   // Label 27158: @2036893
     /* 2036893 */   GIM_Try, /*On fail goto*//*Label 27159*/ GIMT_Encode4(2036984), // Rule ID 14989 //
     /* 2036898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2036909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2036912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2036915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2036918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036944 */     // MIs[0] round
     /* 2036944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036947 */     // MIs[0] policy
     /* 2036947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036957 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2036960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036983 */     // GIR_Coverage, 14989,
     /* 2036983 */     GIR_EraseRootFromParent_Done,
     /* 2036984 */   // Label 27159: @2036984
     /* 2036984 */   GIM_Try, /*On fail goto*//*Label 27160*/ GIMT_Encode4(2037075), // Rule ID 14992 //
     /* 2036989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2036997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2037009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037035 */     // MIs[0] round
     /* 2037035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037038 */     // MIs[0] policy
     /* 2037038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037048 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2037051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037074 */     // GIR_Coverage, 14992,
     /* 2037074 */     GIR_EraseRootFromParent_Done,
     /* 2037075 */   // Label 27160: @2037075
     /* 2037075 */   GIM_Try, /*On fail goto*//*Label 27161*/ GIMT_Encode4(2037166), // Rule ID 14993 //
     /* 2037080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2037100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037126 */     // MIs[0] round
     /* 2037126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037129 */     // MIs[0] policy
     /* 2037129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037139 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2037142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037165 */     // GIR_Coverage, 14993,
     /* 2037165 */     GIR_EraseRootFromParent_Done,
     /* 2037166 */   // Label 27161: @2037166
     /* 2037166 */   GIM_Try, /*On fail goto*//*Label 27162*/ GIMT_Encode4(2037257), // Rule ID 14996 //
     /* 2037171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2037182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2037185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2037188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2037191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037217 */     // MIs[0] round
     /* 2037217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037220 */     // MIs[0] policy
     /* 2037220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037230 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2037233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037256 */     // GIR_Coverage, 14996,
     /* 2037256 */     GIR_EraseRootFromParent_Done,
     /* 2037257 */   // Label 27162: @2037257
     /* 2037257 */   GIM_Try, /*On fail goto*//*Label 27163*/ GIMT_Encode4(2037348), // Rule ID 14997 //
     /* 2037262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2037273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2037276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2037279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2037282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037308 */     // MIs[0] round
     /* 2037308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037311 */     // MIs[0] policy
     /* 2037311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2037324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037347 */     // GIR_Coverage, 14997,
     /* 2037347 */     GIR_EraseRootFromParent_Done,
     /* 2037348 */   // Label 27163: @2037348
     /* 2037348 */   GIM_Try, /*On fail goto*//*Label 27164*/ GIMT_Encode4(2037439), // Rule ID 15000 //
     /* 2037353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2037364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2037367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2037370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2037373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037399 */     // MIs[0] round
     /* 2037399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037402 */     // MIs[0] policy
     /* 2037402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037412 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2037415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037438 */     // GIR_Coverage, 15000,
     /* 2037438 */     GIR_EraseRootFromParent_Done,
     /* 2037439 */   // Label 27164: @2037439
     /* 2037439 */   GIM_Try, /*On fail goto*//*Label 27165*/ GIMT_Encode4(2037530), // Rule ID 15001 //
     /* 2037444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2037455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2037458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2037461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2037464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037490 */     // MIs[0] round
     /* 2037490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037493 */     // MIs[0] policy
     /* 2037493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037503 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2037506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037529 */     // GIR_Coverage, 15001,
     /* 2037529 */     GIR_EraseRootFromParent_Done,
     /* 2037530 */   // Label 27165: @2037530
     /* 2037530 */   GIM_Try, /*On fail goto*//*Label 27166*/ GIMT_Encode4(2037621), // Rule ID 15004 //
     /* 2037535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2037546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2037549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2037552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2037555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037581 */     // MIs[0] round
     /* 2037581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037584 */     // MIs[0] policy
     /* 2037584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037594 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2037597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037620 */     // GIR_Coverage, 15004,
     /* 2037620 */     GIR_EraseRootFromParent_Done,
     /* 2037621 */   // Label 27166: @2037621
     /* 2037621 */   GIM_Try, /*On fail goto*//*Label 27167*/ GIMT_Encode4(2037712), // Rule ID 15005 //
     /* 2037626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2037637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2037640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2037643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2037646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037672 */     // MIs[0] round
     /* 2037672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037675 */     // MIs[0] policy
     /* 2037675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037685 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2037688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037711 */     // GIR_Coverage, 15005,
     /* 2037711 */     GIR_EraseRootFromParent_Done,
     /* 2037712 */   // Label 27167: @2037712
     /* 2037712 */   GIM_Try, /*On fail goto*//*Label 27168*/ GIMT_Encode4(2037803), // Rule ID 15008 //
     /* 2037717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2037728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2037731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2037734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2037737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037763 */     // MIs[0] round
     /* 2037763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037766 */     // MIs[0] policy
     /* 2037766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037776 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2037779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037802 */     // GIR_Coverage, 15008,
     /* 2037802 */     GIR_EraseRootFromParent_Done,
     /* 2037803 */   // Label 27168: @2037803
     /* 2037803 */   GIM_Try, /*On fail goto*//*Label 27169*/ GIMT_Encode4(2037894), // Rule ID 15009 //
     /* 2037808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2037819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2037822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2037825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2037828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037854 */     // MIs[0] round
     /* 2037854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037857 */     // MIs[0] policy
     /* 2037857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037867 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2037870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037893 */     // GIR_Coverage, 15009,
     /* 2037893 */     GIR_EraseRootFromParent_Done,
     /* 2037894 */   // Label 27169: @2037894
     /* 2037894 */   GIM_Try, /*On fail goto*//*Label 27170*/ GIMT_Encode4(2037985), // Rule ID 15012 //
     /* 2037899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2037902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2037910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2037913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2037916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2037919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2037922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037945 */     // MIs[0] round
     /* 2037945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037948 */     // MIs[0] policy
     /* 2037948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2037961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2037981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037984 */     // GIR_Coverage, 15012,
     /* 2037984 */     GIR_EraseRootFromParent_Done,
     /* 2037985 */   // Label 27170: @2037985
     /* 2037985 */   GIM_Try, /*On fail goto*//*Label 27171*/ GIMT_Encode4(2038076), // Rule ID 15013 //
     /* 2037990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2037993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2037998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2038001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2038004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2038007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2038010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038036 */     // MIs[0] round
     /* 2038036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038039 */     // MIs[0] policy
     /* 2038039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038049 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2038052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038075 */     // GIR_Coverage, 15013,
     /* 2038075 */     GIR_EraseRootFromParent_Done,
     /* 2038076 */   // Label 27171: @2038076
     /* 2038076 */   GIM_Try, /*On fail goto*//*Label 27172*/ GIMT_Encode4(2038167), // Rule ID 15016 //
     /* 2038081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2038101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038127 */     // MIs[0] round
     /* 2038127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038130 */     // MIs[0] policy
     /* 2038130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038140 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2038143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038166 */     // GIR_Coverage, 15016,
     /* 2038166 */     GIR_EraseRootFromParent_Done,
     /* 2038167 */   // Label 27172: @2038167
     /* 2038167 */   GIM_Try, /*On fail goto*//*Label 27173*/ GIMT_Encode4(2038258), // Rule ID 15017 //
     /* 2038172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2038192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038218 */     // MIs[0] round
     /* 2038218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038221 */     // MIs[0] policy
     /* 2038221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038231 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2038234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038257 */     // GIR_Coverage, 15017,
     /* 2038257 */     GIR_EraseRootFromParent_Done,
     /* 2038258 */   // Label 27173: @2038258
     /* 2038258 */   GIM_Try, /*On fail goto*//*Label 27174*/ GIMT_Encode4(2038349), // Rule ID 15020 //
     /* 2038263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2038280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2038283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038309 */     // MIs[0] round
     /* 2038309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038312 */     // MIs[0] policy
     /* 2038312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2038325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038348 */     // GIR_Coverage, 15020,
     /* 2038348 */     GIR_EraseRootFromParent_Done,
     /* 2038349 */   // Label 27174: @2038349
     /* 2038349 */   GIM_Try, /*On fail goto*//*Label 27175*/ GIMT_Encode4(2038440), // Rule ID 15021 //
     /* 2038354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2038371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2038374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038400 */     // MIs[0] round
     /* 2038400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038403 */     // MIs[0] policy
     /* 2038403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038413 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2038416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038439 */     // GIR_Coverage, 15021,
     /* 2038439 */     GIR_EraseRootFromParent_Done,
     /* 2038440 */   // Label 27175: @2038440
     /* 2038440 */   GIM_Try, /*On fail goto*//*Label 27176*/ GIMT_Encode4(2038531), // Rule ID 15024 //
     /* 2038445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2038456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2038459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2038462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038491 */     // MIs[0] round
     /* 2038491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038494 */     // MIs[0] policy
     /* 2038494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2038507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038530 */     // GIR_Coverage, 15024,
     /* 2038530 */     GIR_EraseRootFromParent_Done,
     /* 2038531 */   // Label 27176: @2038531
     /* 2038531 */   GIM_Try, /*On fail goto*//*Label 27177*/ GIMT_Encode4(2038622), // Rule ID 15025 //
     /* 2038536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2038547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2038550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2038553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038582 */     // MIs[0] round
     /* 2038582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038585 */     // MIs[0] policy
     /* 2038585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038595 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2038598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038621 */     // GIR_Coverage, 15025,
     /* 2038621 */     GIR_EraseRootFromParent_Done,
     /* 2038622 */   // Label 27177: @2038622
     /* 2038622 */   GIM_Try, /*On fail goto*//*Label 27178*/ GIMT_Encode4(2038713), // Rule ID 15028 //
     /* 2038627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2038638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2038641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2038644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038673 */     // MIs[0] round
     /* 2038673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038676 */     // MIs[0] policy
     /* 2038676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038686 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2038689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038712 */     // GIR_Coverage, 15028,
     /* 2038712 */     GIR_EraseRootFromParent_Done,
     /* 2038713 */   // Label 27178: @2038713
     /* 2038713 */   GIM_Try, /*On fail goto*//*Label 27179*/ GIMT_Encode4(2038804), // Rule ID 15029 //
     /* 2038718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2038729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2038732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2038735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038764 */     // MIs[0] round
     /* 2038764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038767 */     // MIs[0] policy
     /* 2038767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038777 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2038780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038803 */     // GIR_Coverage, 15029,
     /* 2038803 */     GIR_EraseRootFromParent_Done,
     /* 2038804 */   // Label 27179: @2038804
     /* 2038804 */   GIM_Try, /*On fail goto*//*Label 27180*/ GIMT_Encode4(2038895), // Rule ID 15032 //
     /* 2038809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2038820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2038823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2038826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038855 */     // MIs[0] round
     /* 2038855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038858 */     // MIs[0] policy
     /* 2038858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038868 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2038871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038894 */     // GIR_Coverage, 15032,
     /* 2038894 */     GIR_EraseRootFromParent_Done,
     /* 2038895 */   // Label 27180: @2038895
     /* 2038895 */   GIM_Try, /*On fail goto*//*Label 27181*/ GIMT_Encode4(2038986), // Rule ID 15033 //
     /* 2038900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2038911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2038914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2038917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038946 */     // MIs[0] round
     /* 2038946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038949 */     // MIs[0] policy
     /* 2038949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038959 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2038962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038985 */     // GIR_Coverage, 15033,
     /* 2038985 */     GIR_EraseRootFromParent_Done,
     /* 2038986 */   // Label 27181: @2038986
     /* 2038986 */   GIM_Try, /*On fail goto*//*Label 27182*/ GIMT_Encode4(2039077), // Rule ID 15036 //
     /* 2038991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039037 */     // MIs[0] round
     /* 2039037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039040 */     // MIs[0] policy
     /* 2039040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039050 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2039053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039076 */     // GIR_Coverage, 15036,
     /* 2039076 */     GIR_EraseRootFromParent_Done,
     /* 2039077 */   // Label 27182: @2039077
     /* 2039077 */   GIM_Try, /*On fail goto*//*Label 27183*/ GIMT_Encode4(2039168), // Rule ID 15037 //
     /* 2039082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039128 */     // MIs[0] round
     /* 2039128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039131 */     // MIs[0] policy
     /* 2039131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039141 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2039144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039167 */     // GIR_Coverage, 15037,
     /* 2039167 */     GIR_EraseRootFromParent_Done,
     /* 2039168 */   // Label 27183: @2039168
     /* 2039168 */   GIM_Try, /*On fail goto*//*Label 27184*/ GIMT_Encode4(2039259), // Rule ID 15040 //
     /* 2039173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2039184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2039187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2039190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039219 */     // MIs[0] round
     /* 2039219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039222 */     // MIs[0] policy
     /* 2039222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039232 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2039235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039258 */     // GIR_Coverage, 15040,
     /* 2039258 */     GIR_EraseRootFromParent_Done,
     /* 2039259 */   // Label 27184: @2039259
     /* 2039259 */   GIM_Try, /*On fail goto*//*Label 27185*/ GIMT_Encode4(2039350), // Rule ID 15041 //
     /* 2039264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2039275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2039278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2039281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039310 */     // MIs[0] round
     /* 2039310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039313 */     // MIs[0] policy
     /* 2039313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039323 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2039326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039349 */     // GIR_Coverage, 15041,
     /* 2039349 */     GIR_EraseRootFromParent_Done,
     /* 2039350 */   // Label 27185: @2039350
     /* 2039350 */   GIM_Try, /*On fail goto*//*Label 27186*/ GIMT_Encode4(2039441), // Rule ID 15044 //
     /* 2039355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2039366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2039369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2039372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039401 */     // MIs[0] round
     /* 2039401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039404 */     // MIs[0] policy
     /* 2039404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2039417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039440 */     // GIR_Coverage, 15044,
     /* 2039440 */     GIR_EraseRootFromParent_Done,
     /* 2039441 */   // Label 27186: @2039441
     /* 2039441 */   GIM_Try, /*On fail goto*//*Label 27187*/ GIMT_Encode4(2039532), // Rule ID 15045 //
     /* 2039446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2039457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2039460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2039463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039492 */     // MIs[0] round
     /* 2039492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039495 */     // MIs[0] policy
     /* 2039495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039505 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2039508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039531 */     // GIR_Coverage, 15045,
     /* 2039531 */     GIR_EraseRootFromParent_Done,
     /* 2039532 */   // Label 27187: @2039532
     /* 2039532 */   GIM_Try, /*On fail goto*//*Label 27188*/ GIMT_Encode4(2039623), // Rule ID 15048 //
     /* 2039537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2039548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2039551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2039554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039583 */     // MIs[0] round
     /* 2039583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039586 */     // MIs[0] policy
     /* 2039586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2039599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039622 */     // GIR_Coverage, 15048,
     /* 2039622 */     GIR_EraseRootFromParent_Done,
     /* 2039623 */   // Label 27188: @2039623
     /* 2039623 */   GIM_Try, /*On fail goto*//*Label 27189*/ GIMT_Encode4(2039714), // Rule ID 15049 //
     /* 2039628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2039639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2039642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2039645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039674 */     // MIs[0] round
     /* 2039674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039677 */     // MIs[0] policy
     /* 2039677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039687 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2039690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039713 */     // GIR_Coverage, 15049,
     /* 2039713 */     GIR_EraseRootFromParent_Done,
     /* 2039714 */   // Label 27189: @2039714
     /* 2039714 */   GIM_Try, /*On fail goto*//*Label 27190*/ GIMT_Encode4(2039805), // Rule ID 15052 //
     /* 2039719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2039730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2039733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2039736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039765 */     // MIs[0] round
     /* 2039765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039768 */     // MIs[0] policy
     /* 2039768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2039781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039804 */     // GIR_Coverage, 15052,
     /* 2039804 */     GIR_EraseRootFromParent_Done,
     /* 2039805 */   // Label 27190: @2039805
     /* 2039805 */   GIM_Try, /*On fail goto*//*Label 27191*/ GIMT_Encode4(2039896), // Rule ID 15053 //
     /* 2039810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2039821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2039824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2039827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039856 */     // MIs[0] round
     /* 2039856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039859 */     // MIs[0] policy
     /* 2039859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039869 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2039872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039895 */     // GIR_Coverage, 15053,
     /* 2039895 */     GIR_EraseRootFromParent_Done,
     /* 2039896 */   // Label 27191: @2039896
     /* 2039896 */   GIM_Try, /*On fail goto*//*Label 27192*/ GIMT_Encode4(2039987), // Rule ID 15056 //
     /* 2039901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2039912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2039915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2039918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039947 */     // MIs[0] round
     /* 2039947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039950 */     // MIs[0] policy
     /* 2039950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039960 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2039963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039986 */     // GIR_Coverage, 15056,
     /* 2039986 */     GIR_EraseRootFromParent_Done,
     /* 2039987 */   // Label 27192: @2039987
     /* 2039987 */   GIM_Try, /*On fail goto*//*Label 27193*/ GIMT_Encode4(2040078), // Rule ID 15057 //
     /* 2039992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2040003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2040006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2040009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040038 */     // MIs[0] round
     /* 2040038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040041 */     // MIs[0] policy
     /* 2040041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2040054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040077 */     // GIR_Coverage, 15057,
     /* 2040077 */     GIR_EraseRootFromParent_Done,
     /* 2040078 */   // Label 27193: @2040078
     /* 2040078 */   GIM_Try, /*On fail goto*//*Label 27194*/ GIMT_Encode4(2040169), // Rule ID 15060 //
     /* 2040083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2040086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040129 */     // MIs[0] round
     /* 2040129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040132 */     // MIs[0] policy
     /* 2040132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2040145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040168 */     // GIR_Coverage, 15060,
     /* 2040168 */     GIR_EraseRootFromParent_Done,
     /* 2040169 */   // Label 27194: @2040169
     /* 2040169 */   GIM_Try, /*On fail goto*//*Label 27195*/ GIMT_Encode4(2040260), // Rule ID 15061 //
     /* 2040174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2040177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040220 */     // MIs[0] round
     /* 2040220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040223 */     // MIs[0] policy
     /* 2040223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2040236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040259 */     // GIR_Coverage, 15061,
     /* 2040259 */     GIR_EraseRootFromParent_Done,
     /* 2040260 */   // Label 27195: @2040260
     /* 2040260 */   GIM_Try, /*On fail goto*//*Label 27196*/ GIMT_Encode4(2040351), // Rule ID 15064 //
     /* 2040265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2040276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2040279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2040282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040311 */     // MIs[0] round
     /* 2040311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040314 */     // MIs[0] policy
     /* 2040314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040324 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2040327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040350 */     // GIR_Coverage, 15064,
     /* 2040350 */     GIR_EraseRootFromParent_Done,
     /* 2040351 */   // Label 27196: @2040351
     /* 2040351 */   GIM_Try, /*On fail goto*//*Label 27197*/ GIMT_Encode4(2040442), // Rule ID 15065 //
     /* 2040356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2040367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2040370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2040373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040402 */     // MIs[0] round
     /* 2040402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040405 */     // MIs[0] policy
     /* 2040405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040415 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2040418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040441 */     // GIR_Coverage, 15065,
     /* 2040441 */     GIR_EraseRootFromParent_Done,
     /* 2040442 */   // Label 27197: @2040442
     /* 2040442 */   GIM_Try, /*On fail goto*//*Label 27198*/ GIMT_Encode4(2040533), // Rule ID 15068 //
     /* 2040447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2040458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2040461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2040464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040493 */     // MIs[0] round
     /* 2040493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040496 */     // MIs[0] policy
     /* 2040496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2040509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040532 */     // GIR_Coverage, 15068,
     /* 2040532 */     GIR_EraseRootFromParent_Done,
     /* 2040533 */   // Label 27198: @2040533
     /* 2040533 */   GIM_Try, /*On fail goto*//*Label 27199*/ GIMT_Encode4(2040624), // Rule ID 15069 //
     /* 2040538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2040549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2040552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2040555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040584 */     // MIs[0] round
     /* 2040584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040587 */     // MIs[0] policy
     /* 2040587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040597 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2040600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040623 */     // GIR_Coverage, 15069,
     /* 2040623 */     GIR_EraseRootFromParent_Done,
     /* 2040624 */   // Label 27199: @2040624
     /* 2040624 */   GIM_Try, /*On fail goto*//*Label 27200*/ GIMT_Encode4(2040715), // Rule ID 15072 //
     /* 2040629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2040640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2040643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2040646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2040652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040675 */     // MIs[0] round
     /* 2040675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040678 */     // MIs[0] policy
     /* 2040678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040688 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2040691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040714 */     // GIR_Coverage, 15072,
     /* 2040714 */     GIR_EraseRootFromParent_Done,
     /* 2040715 */   // Label 27200: @2040715
     /* 2040715 */   GIM_Try, /*On fail goto*//*Label 27201*/ GIMT_Encode4(2040806), // Rule ID 15073 //
     /* 2040720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2040731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2040734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2040737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2040743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040766 */     // MIs[0] round
     /* 2040766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040769 */     // MIs[0] policy
     /* 2040769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040779 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2040782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040805 */     // GIR_Coverage, 15073,
     /* 2040805 */     GIR_EraseRootFromParent_Done,
     /* 2040806 */   // Label 27201: @2040806
     /* 2040806 */   GIM_Try, /*On fail goto*//*Label 27202*/ GIMT_Encode4(2040897), // Rule ID 15076 //
     /* 2040811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2040822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2040825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2040828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040857 */     // MIs[0] round
     /* 2040857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040860 */     // MIs[0] policy
     /* 2040860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040870 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2040873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040896 */     // GIR_Coverage, 15076,
     /* 2040896 */     GIR_EraseRootFromParent_Done,
     /* 2040897 */   // Label 27202: @2040897
     /* 2040897 */   GIM_Try, /*On fail goto*//*Label 27203*/ GIMT_Encode4(2040988), // Rule ID 15077 //
     /* 2040902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2040913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2040916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2040919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040948 */     // MIs[0] round
     /* 2040948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040951 */     // MIs[0] policy
     /* 2040951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040961 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2040964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040987 */     // GIR_Coverage, 15077,
     /* 2040987 */     GIR_EraseRootFromParent_Done,
     /* 2040988 */   // Label 27203: @2040988
     /* 2040988 */   GIM_Try, /*On fail goto*//*Label 27204*/ GIMT_Encode4(2041079), // Rule ID 15080 //
     /* 2040993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041039 */     // MIs[0] round
     /* 2041039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041042 */     // MIs[0] policy
     /* 2041042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041052 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2041055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041078 */     // GIR_Coverage, 15080,
     /* 2041078 */     GIR_EraseRootFromParent_Done,
     /* 2041079 */   // Label 27204: @2041079
     /* 2041079 */   GIM_Try, /*On fail goto*//*Label 27205*/ GIMT_Encode4(2041170), // Rule ID 15081 //
     /* 2041084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041130 */     // MIs[0] round
     /* 2041130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041133 */     // MIs[0] policy
     /* 2041133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041143 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2041146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041169 */     // GIR_Coverage, 15081,
     /* 2041169 */     GIR_EraseRootFromParent_Done,
     /* 2041170 */   // Label 27205: @2041170
     /* 2041170 */   GIM_Try, /*On fail goto*//*Label 27206*/ GIMT_Encode4(2041261), // Rule ID 15084 //
     /* 2041175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2041186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2041189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2041192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041221 */     // MIs[0] round
     /* 2041221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041224 */     // MIs[0] policy
     /* 2041224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041234 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2041237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041260 */     // GIR_Coverage, 15084,
     /* 2041260 */     GIR_EraseRootFromParent_Done,
     /* 2041261 */   // Label 27206: @2041261
     /* 2041261 */   GIM_Try, /*On fail goto*//*Label 27207*/ GIMT_Encode4(2041352), // Rule ID 15085 //
     /* 2041266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2041277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2041280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2041283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041312 */     // MIs[0] round
     /* 2041312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041315 */     // MIs[0] policy
     /* 2041315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041325 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2041328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041351 */     // GIR_Coverage, 15085,
     /* 2041351 */     GIR_EraseRootFromParent_Done,
     /* 2041352 */   // Label 27207: @2041352
     /* 2041352 */   GIM_Try, /*On fail goto*//*Label 27208*/ GIMT_Encode4(2041443), // Rule ID 15088 //
     /* 2041357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2041368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2041371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2041374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041403 */     // MIs[0] round
     /* 2041403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041406 */     // MIs[0] policy
     /* 2041406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2041419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041442 */     // GIR_Coverage, 15088,
     /* 2041442 */     GIR_EraseRootFromParent_Done,
     /* 2041443 */   // Label 27208: @2041443
     /* 2041443 */   GIM_Try, /*On fail goto*//*Label 27209*/ GIMT_Encode4(2041534), // Rule ID 15089 //
     /* 2041448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2041459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2041462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2041465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041494 */     // MIs[0] round
     /* 2041494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041497 */     // MIs[0] policy
     /* 2041497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041507 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2041510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041533 */     // GIR_Coverage, 15089,
     /* 2041533 */     GIR_EraseRootFromParent_Done,
     /* 2041534 */   // Label 27209: @2041534
     /* 2041534 */   GIM_Try, /*On fail goto*//*Label 27210*/ GIMT_Encode4(2041625), // Rule ID 15092 //
     /* 2041539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2041550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2041553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2041556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041585 */     // MIs[0] round
     /* 2041585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041588 */     // MIs[0] policy
     /* 2041588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2041601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041624 */     // GIR_Coverage, 15092,
     /* 2041624 */     GIR_EraseRootFromParent_Done,
     /* 2041625 */   // Label 27210: @2041625
     /* 2041625 */   GIM_Try, /*On fail goto*//*Label 27211*/ GIMT_Encode4(2041716), // Rule ID 15093 //
     /* 2041630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2041641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2041644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2041647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041676 */     // MIs[0] round
     /* 2041676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041679 */     // MIs[0] policy
     /* 2041679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041689 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2041692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041715 */     // GIR_Coverage, 15093,
     /* 2041715 */     GIR_EraseRootFromParent_Done,
     /* 2041716 */   // Label 27211: @2041716
     /* 2041716 */   GIM_Try, /*On fail goto*//*Label 27212*/ GIMT_Encode4(2041807), // Rule ID 15096 //
     /* 2041721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2041732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2041735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2041738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041767 */     // MIs[0] round
     /* 2041767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041770 */     // MIs[0] policy
     /* 2041770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041780 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2041783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041806 */     // GIR_Coverage, 15096,
     /* 2041806 */     GIR_EraseRootFromParent_Done,
     /* 2041807 */   // Label 27212: @2041807
     /* 2041807 */   GIM_Try, /*On fail goto*//*Label 27213*/ GIMT_Encode4(2041898), // Rule ID 15097 //
     /* 2041812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2041823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2041826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2041829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041858 */     // MIs[0] round
     /* 2041858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041861 */     // MIs[0] policy
     /* 2041861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2041874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041897 */     // GIR_Coverage, 15097,
     /* 2041897 */     GIR_EraseRootFromParent_Done,
     /* 2041898 */   // Label 27213: @2041898
     /* 2041898 */   GIM_Try, /*On fail goto*//*Label 27214*/ GIMT_Encode4(2041989), // Rule ID 15100 //
     /* 2041903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2041906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2041914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2041917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2041920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2041926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041949 */     // MIs[0] round
     /* 2041949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041952 */     // MIs[0] policy
     /* 2041952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041962 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2041965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041988 */     // GIR_Coverage, 15100,
     /* 2041988 */     GIR_EraseRootFromParent_Done,
     /* 2041989 */   // Label 27214: @2041989
     /* 2041989 */   GIM_Try, /*On fail goto*//*Label 27215*/ GIMT_Encode4(2042080), // Rule ID 15101 //
     /* 2041994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2041997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2042005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2042008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2042011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042040 */     // MIs[0] round
     /* 2042040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042043 */     // MIs[0] policy
     /* 2042043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042053 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2042056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042079 */     // GIR_Coverage, 15101,
     /* 2042079 */     GIR_EraseRootFromParent_Done,
     /* 2042080 */   // Label 27215: @2042080
     /* 2042080 */   GIM_Try, /*On fail goto*//*Label 27216*/ GIMT_Encode4(2042171), // Rule ID 15104 //
     /* 2042085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042131 */     // MIs[0] round
     /* 2042131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042134 */     // MIs[0] policy
     /* 2042134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042144 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2042147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042170 */     // GIR_Coverage, 15104,
     /* 2042170 */     GIR_EraseRootFromParent_Done,
     /* 2042171 */   // Label 27216: @2042171
     /* 2042171 */   GIM_Try, /*On fail goto*//*Label 27217*/ GIMT_Encode4(2042262), // Rule ID 15105 //
     /* 2042176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042222 */     // MIs[0] round
     /* 2042222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042225 */     // MIs[0] policy
     /* 2042225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042235 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2042238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042261 */     // GIR_Coverage, 15105,
     /* 2042261 */     GIR_EraseRootFromParent_Done,
     /* 2042262 */   // Label 27217: @2042262
     /* 2042262 */   GIM_Try, /*On fail goto*//*Label 27218*/ GIMT_Encode4(2042353), // Rule ID 15108 //
     /* 2042267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2042278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2042281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2042284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042313 */     // MIs[0] round
     /* 2042313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042316 */     // MIs[0] policy
     /* 2042316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042326 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2042329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042352 */     // GIR_Coverage, 15108,
     /* 2042352 */     GIR_EraseRootFromParent_Done,
     /* 2042353 */   // Label 27218: @2042353
     /* 2042353 */   GIM_Try, /*On fail goto*//*Label 27219*/ GIMT_Encode4(2042444), // Rule ID 15109 //
     /* 2042358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2042369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2042372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2042375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042404 */     // MIs[0] round
     /* 2042404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042407 */     // MIs[0] policy
     /* 2042407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2042420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042443 */     // GIR_Coverage, 15109,
     /* 2042443 */     GIR_EraseRootFromParent_Done,
     /* 2042444 */   // Label 27219: @2042444
     /* 2042444 */   GIM_Try, /*On fail goto*//*Label 27220*/ GIMT_Encode4(2042535), // Rule ID 15112 //
     /* 2042449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2042460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2042463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2042466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2042469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042495 */     // MIs[0] round
     /* 2042495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042498 */     // MIs[0] policy
     /* 2042498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2042511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042534 */     // GIR_Coverage, 15112,
     /* 2042534 */     GIR_EraseRootFromParent_Done,
     /* 2042535 */   // Label 27220: @2042535
     /* 2042535 */   GIM_Try, /*On fail goto*//*Label 27221*/ GIMT_Encode4(2042626), // Rule ID 15113 //
     /* 2042540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2042551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2042554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2042557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2042560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042586 */     // MIs[0] round
     /* 2042586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042589 */     // MIs[0] policy
     /* 2042589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042599 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2042602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042625 */     // GIR_Coverage, 15113,
     /* 2042625 */     GIR_EraseRootFromParent_Done,
     /* 2042626 */   // Label 27221: @2042626
     /* 2042626 */   GIM_Try, /*On fail goto*//*Label 27222*/ GIMT_Encode4(2042717), // Rule ID 15116 //
     /* 2042631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2042642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2042645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2042648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2042651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042677 */     // MIs[0] round
     /* 2042677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042680 */     // MIs[0] policy
     /* 2042680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042690 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2042693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042716 */     // GIR_Coverage, 15116,
     /* 2042716 */     GIR_EraseRootFromParent_Done,
     /* 2042717 */   // Label 27222: @2042717
     /* 2042717 */   GIM_Try, /*On fail goto*//*Label 27223*/ GIMT_Encode4(2042808), // Rule ID 15117 //
     /* 2042722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2042733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2042736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2042739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2042742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042768 */     // MIs[0] round
     /* 2042768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042771 */     // MIs[0] policy
     /* 2042771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042781 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2042784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042807 */     // GIR_Coverage, 15117,
     /* 2042807 */     GIR_EraseRootFromParent_Done,
     /* 2042808 */   // Label 27223: @2042808
     /* 2042808 */   GIM_Try, /*On fail goto*//*Label 27224*/ GIMT_Encode4(2042899), // Rule ID 15120 //
     /* 2042813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2042824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2042827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2042830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2042833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042859 */     // MIs[0] round
     /* 2042859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042862 */     // MIs[0] policy
     /* 2042862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2042875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042898 */     // GIR_Coverage, 15120,
     /* 2042898 */     GIR_EraseRootFromParent_Done,
     /* 2042899 */   // Label 27224: @2042899
     /* 2042899 */   GIM_Try, /*On fail goto*//*Label 27225*/ GIMT_Encode4(2042990), // Rule ID 15121 //
     /* 2042904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2042915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2042918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2042921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2042924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042950 */     // MIs[0] round
     /* 2042950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042953 */     // MIs[0] policy
     /* 2042953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042963 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2042966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042989 */     // GIR_Coverage, 15121,
     /* 2042989 */     GIR_EraseRootFromParent_Done,
     /* 2042990 */   // Label 27225: @2042990
     /* 2042990 */   GIM_Try, /*On fail goto*//*Label 27226*/ GIMT_Encode4(2043081), // Rule ID 15124 //
     /* 2042995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2043015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043041 */     // MIs[0] round
     /* 2043041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043044 */     // MIs[0] policy
     /* 2043044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043054 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2043057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043080 */     // GIR_Coverage, 15124,
     /* 2043080 */     GIR_EraseRootFromParent_Done,
     /* 2043081 */   // Label 27226: @2043081
     /* 2043081 */   GIM_Try, /*On fail goto*//*Label 27227*/ GIMT_Encode4(2043172), // Rule ID 15125 //
     /* 2043086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2043106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043132 */     // MIs[0] round
     /* 2043132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043135 */     // MIs[0] policy
     /* 2043135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043145 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2043148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043171 */     // GIR_Coverage, 15125,
     /* 2043171 */     GIR_EraseRootFromParent_Done,
     /* 2043172 */   // Label 27227: @2043172
     /* 2043172 */   GIM_Try, /*On fail goto*//*Label 27228*/ GIMT_Encode4(2043263), // Rule ID 15128 //
     /* 2043177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2043188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2043191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2043194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2043197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043223 */     // MIs[0] round
     /* 2043223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043226 */     // MIs[0] policy
     /* 2043226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2043239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043262 */     // GIR_Coverage, 15128,
     /* 2043262 */     GIR_EraseRootFromParent_Done,
     /* 2043263 */   // Label 27228: @2043263
     /* 2043263 */   GIM_Try, /*On fail goto*//*Label 27229*/ GIMT_Encode4(2043354), // Rule ID 15129 //
     /* 2043268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2043279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2043282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2043285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2043288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043314 */     // MIs[0] round
     /* 2043314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043317 */     // MIs[0] policy
     /* 2043317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043327 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2043330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043353 */     // GIR_Coverage, 15129,
     /* 2043353 */     GIR_EraseRootFromParent_Done,
     /* 2043354 */   // Label 27229: @2043354
     /* 2043354 */   GIM_Try, /*On fail goto*//*Label 27230*/ GIMT_Encode4(2043445), // Rule ID 15132 //
     /* 2043359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2043370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2043373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2043376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2043379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043405 */     // MIs[0] round
     /* 2043405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043408 */     // MIs[0] policy
     /* 2043408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2043421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043444 */     // GIR_Coverage, 15132,
     /* 2043444 */     GIR_EraseRootFromParent_Done,
     /* 2043445 */   // Label 27230: @2043445
     /* 2043445 */   GIM_Try, /*On fail goto*//*Label 27231*/ GIMT_Encode4(2043536), // Rule ID 15133 //
     /* 2043450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2043461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2043464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2043467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2043470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043496 */     // MIs[0] round
     /* 2043496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043499 */     // MIs[0] policy
     /* 2043499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043509 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2043512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043535 */     // GIR_Coverage, 15133,
     /* 2043535 */     GIR_EraseRootFromParent_Done,
     /* 2043536 */   // Label 27231: @2043536
     /* 2043536 */   GIM_Try, /*On fail goto*//*Label 27232*/ GIMT_Encode4(2043627), // Rule ID 15136 //
     /* 2043541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2043552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2043555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2043558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2043561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043587 */     // MIs[0] round
     /* 2043587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043590 */     // MIs[0] policy
     /* 2043590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043600 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2043603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043626 */     // GIR_Coverage, 15136,
     /* 2043626 */     GIR_EraseRootFromParent_Done,
     /* 2043627 */   // Label 27232: @2043627
     /* 2043627 */   GIM_Try, /*On fail goto*//*Label 27233*/ GIMT_Encode4(2043718), // Rule ID 15137 //
     /* 2043632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2043643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2043646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2043649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2043652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043678 */     // MIs[0] round
     /* 2043678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043681 */     // MIs[0] policy
     /* 2043681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043691 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2043694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043717 */     // GIR_Coverage, 15137,
     /* 2043717 */     GIR_EraseRootFromParent_Done,
     /* 2043718 */   // Label 27233: @2043718
     /* 2043718 */   GIM_Try, /*On fail goto*//*Label 27234*/ GIMT_Encode4(2043809), // Rule ID 15140 //
     /* 2043723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2043734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2043737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2043740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2043743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043769 */     // MIs[0] round
     /* 2043769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043772 */     // MIs[0] policy
     /* 2043772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043782 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2043785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043808 */     // GIR_Coverage, 15140,
     /* 2043808 */     GIR_EraseRootFromParent_Done,
     /* 2043809 */   // Label 27234: @2043809
     /* 2043809 */   GIM_Try, /*On fail goto*//*Label 27235*/ GIMT_Encode4(2043900), // Rule ID 15141 //
     /* 2043814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2043825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2043828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2043831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2043834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043860 */     // MIs[0] round
     /* 2043860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043863 */     // MIs[0] policy
     /* 2043863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043873 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2043876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043899 */     // GIR_Coverage, 15141,
     /* 2043899 */     GIR_EraseRootFromParent_Done,
     /* 2043900 */   // Label 27235: @2043900
     /* 2043900 */   GIM_Try, /*On fail goto*//*Label 27236*/ GIMT_Encode4(2043991), // Rule ID 15144 //
     /* 2043905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2043916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2043919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2043922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2043925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043951 */     // MIs[0] round
     /* 2043951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043954 */     // MIs[0] policy
     /* 2043954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2043967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043990 */     // GIR_Coverage, 15144,
     /* 2043990 */     GIR_EraseRootFromParent_Done,
     /* 2043991 */   // Label 27236: @2043991
     /* 2043991 */   GIM_Try, /*On fail goto*//*Label 27237*/ GIMT_Encode4(2044082), // Rule ID 15145 //
     /* 2043996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2044013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2044016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044042 */     // MIs[0] round
     /* 2044042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044045 */     // MIs[0] policy
     /* 2044045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044055 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2044058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044081 */     // GIR_Coverage, 15145,
     /* 2044081 */     GIR_EraseRootFromParent_Done,
     /* 2044082 */   // Label 27237: @2044082
     /* 2044082 */   GIM_Try, /*On fail goto*//*Label 27238*/ GIMT_Encode4(2044173), // Rule ID 15148 //
     /* 2044087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2044090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2044107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044133 */     // MIs[0] round
     /* 2044133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044136 */     // MIs[0] policy
     /* 2044136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2044149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044172 */     // GIR_Coverage, 15148,
     /* 2044172 */     GIR_EraseRootFromParent_Done,
     /* 2044173 */   // Label 27238: @2044173
     /* 2044173 */   GIM_Try, /*On fail goto*//*Label 27239*/ GIMT_Encode4(2044264), // Rule ID 15149 //
     /* 2044178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2044181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2044198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044224 */     // MIs[0] round
     /* 2044224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044227 */     // MIs[0] policy
     /* 2044227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044237 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2044240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044263 */     // GIR_Coverage, 15149,
     /* 2044263 */     GIR_EraseRootFromParent_Done,
     /* 2044264 */   // Label 27239: @2044264
     /* 2044264 */   GIM_Try, /*On fail goto*//*Label 27240*/ GIMT_Encode4(2044355), // Rule ID 15152 //
     /* 2044269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2044280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2044283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2044286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2044289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044315 */     // MIs[0] round
     /* 2044315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044318 */     // MIs[0] policy
     /* 2044318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044328 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2044331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044354 */     // GIR_Coverage, 15152,
     /* 2044354 */     GIR_EraseRootFromParent_Done,
     /* 2044355 */   // Label 27240: @2044355
     /* 2044355 */   GIM_Try, /*On fail goto*//*Label 27241*/ GIMT_Encode4(2044446), // Rule ID 15153 //
     /* 2044360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2044371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2044374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2044377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2044380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044406 */     // MIs[0] round
     /* 2044406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044409 */     // MIs[0] policy
     /* 2044409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044419 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2044422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044445 */     // GIR_Coverage, 15153,
     /* 2044445 */     GIR_EraseRootFromParent_Done,
     /* 2044446 */   // Label 27241: @2044446
     /* 2044446 */   GIM_Try, /*On fail goto*//*Label 27242*/ GIMT_Encode4(2044537), // Rule ID 15156 //
     /* 2044451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2044462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2044465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2044468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2044471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2044474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044497 */     // MIs[0] round
     /* 2044497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044500 */     // MIs[0] policy
     /* 2044500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044510 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2044513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044536 */     // GIR_Coverage, 15156,
     /* 2044536 */     GIR_EraseRootFromParent_Done,
     /* 2044537 */   // Label 27242: @2044537
     /* 2044537 */   GIM_Try, /*On fail goto*//*Label 27243*/ GIMT_Encode4(2044628), // Rule ID 15157 //
     /* 2044542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2044553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2044556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2044559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2044562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2044565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044588 */     // MIs[0] round
     /* 2044588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044591 */     // MIs[0] policy
     /* 2044591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044601 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2044604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044627 */     // GIR_Coverage, 15157,
     /* 2044627 */     GIR_EraseRootFromParent_Done,
     /* 2044628 */   // Label 27243: @2044628
     /* 2044628 */   GIM_Try, /*On fail goto*//*Label 27244*/ GIMT_Encode4(2044719), // Rule ID 15160 //
     /* 2044633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2044644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2044647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2044650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2044653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2044656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044679 */     // MIs[0] round
     /* 2044679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044682 */     // MIs[0] policy
     /* 2044682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044692 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2044695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044718 */     // GIR_Coverage, 15160,
     /* 2044718 */     GIR_EraseRootFromParent_Done,
     /* 2044719 */   // Label 27244: @2044719
     /* 2044719 */   GIM_Try, /*On fail goto*//*Label 27245*/ GIMT_Encode4(2044810), // Rule ID 15161 //
     /* 2044724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2044735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2044738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2044741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2044744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2044747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044770 */     // MIs[0] round
     /* 2044770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044773 */     // MIs[0] policy
     /* 2044773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044783 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2044786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044809 */     // GIR_Coverage, 15161,
     /* 2044809 */     GIR_EraseRootFromParent_Done,
     /* 2044810 */   // Label 27245: @2044810
     /* 2044810 */   GIM_Try, /*On fail goto*//*Label 27246*/ GIMT_Encode4(2044901), // Rule ID 15164 //
     /* 2044815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2044826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2044829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2044832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2044835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044861 */     // MIs[0] round
     /* 2044861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044864 */     // MIs[0] policy
     /* 2044864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2044877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044900 */     // GIR_Coverage, 15164,
     /* 2044900 */     GIR_EraseRootFromParent_Done,
     /* 2044901 */   // Label 27246: @2044901
     /* 2044901 */   GIM_Try, /*On fail goto*//*Label 27247*/ GIMT_Encode4(2044992), // Rule ID 15165 //
     /* 2044906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2044914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2044917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2044920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2044923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2044926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044952 */     // MIs[0] round
     /* 2044952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044955 */     // MIs[0] policy
     /* 2044955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044965 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2044968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044991 */     // GIR_Coverage, 15165,
     /* 2044991 */     GIR_EraseRootFromParent_Done,
     /* 2044992 */   // Label 27247: @2044992
     /* 2044992 */   GIM_Try, /*On fail goto*//*Label 27248*/ GIMT_Encode4(2045083), // Rule ID 15168 //
     /* 2044997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2045017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045043 */     // MIs[0] round
     /* 2045043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045046 */     // MIs[0] policy
     /* 2045046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045056 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2045059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045082 */     // GIR_Coverage, 15168,
     /* 2045082 */     GIR_EraseRootFromParent_Done,
     /* 2045083 */   // Label 27248: @2045083
     /* 2045083 */   GIM_Try, /*On fail goto*//*Label 27249*/ GIMT_Encode4(2045174), // Rule ID 15169 //
     /* 2045088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2045108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045134 */     // MIs[0] round
     /* 2045134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045137 */     // MIs[0] policy
     /* 2045137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2045150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045173 */     // GIR_Coverage, 15169,
     /* 2045173 */     GIR_EraseRootFromParent_Done,
     /* 2045174 */   // Label 27249: @2045174
     /* 2045174 */   GIM_Try, /*On fail goto*//*Label 27250*/ GIMT_Encode4(2045265), // Rule ID 15172 //
     /* 2045179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2045196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2045199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045225 */     // MIs[0] round
     /* 2045225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045228 */     // MIs[0] policy
     /* 2045228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045238 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2045241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045264 */     // GIR_Coverage, 15172,
     /* 2045264 */     GIR_EraseRootFromParent_Done,
     /* 2045265 */   // Label 27250: @2045265
     /* 2045265 */   GIM_Try, /*On fail goto*//*Label 27251*/ GIMT_Encode4(2045356), // Rule ID 15173 //
     /* 2045270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2045287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2045290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045316 */     // MIs[0] round
     /* 2045316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045319 */     // MIs[0] policy
     /* 2045319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045329 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2045332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045355 */     // GIR_Coverage, 15173,
     /* 2045355 */     GIR_EraseRootFromParent_Done,
     /* 2045356 */   // Label 27251: @2045356
     /* 2045356 */   GIM_Try, /*On fail goto*//*Label 27252*/ GIMT_Encode4(2045447), // Rule ID 15176 //
     /* 2045361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2045372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2045375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2045378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2045381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045407 */     // MIs[0] round
     /* 2045407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045410 */     // MIs[0] policy
     /* 2045410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045420 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2045423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045446 */     // GIR_Coverage, 15176,
     /* 2045446 */     GIR_EraseRootFromParent_Done,
     /* 2045447 */   // Label 27252: @2045447
     /* 2045447 */   GIM_Try, /*On fail goto*//*Label 27253*/ GIMT_Encode4(2045538), // Rule ID 15177 //
     /* 2045452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2045463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2045466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2045469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2045472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045498 */     // MIs[0] round
     /* 2045498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045501 */     // MIs[0] policy
     /* 2045501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2045514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045537 */     // GIR_Coverage, 15177,
     /* 2045537 */     GIR_EraseRootFromParent_Done,
     /* 2045538 */   // Label 27253: @2045538
     /* 2045538 */   GIM_Try, /*On fail goto*//*Label 27254*/ GIMT_Encode4(2045629), // Rule ID 15180 //
     /* 2045543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2045554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2045557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2045560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2045563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045589 */     // MIs[0] round
     /* 2045589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045592 */     // MIs[0] policy
     /* 2045592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2045605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045628 */     // GIR_Coverage, 15180,
     /* 2045628 */     GIR_EraseRootFromParent_Done,
     /* 2045629 */   // Label 27254: @2045629
     /* 2045629 */   GIM_Try, /*On fail goto*//*Label 27255*/ GIMT_Encode4(2045720), // Rule ID 15181 //
     /* 2045634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2045645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2045648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2045651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2045654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045680 */     // MIs[0] round
     /* 2045680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045683 */     // MIs[0] policy
     /* 2045683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045693 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2045696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045719 */     // GIR_Coverage, 15181,
     /* 2045719 */     GIR_EraseRootFromParent_Done,
     /* 2045720 */   // Label 27255: @2045720
     /* 2045720 */   GIM_Try, /*On fail goto*//*Label 27256*/ GIMT_Encode4(2045811), // Rule ID 15184 //
     /* 2045725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2045736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2045739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2045742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2045745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045771 */     // MIs[0] round
     /* 2045771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045774 */     // MIs[0] policy
     /* 2045774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045784 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2045787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045810 */     // GIR_Coverage, 15184,
     /* 2045810 */     GIR_EraseRootFromParent_Done,
     /* 2045811 */   // Label 27256: @2045811
     /* 2045811 */   GIM_Try, /*On fail goto*//*Label 27257*/ GIMT_Encode4(2045902), // Rule ID 15185 //
     /* 2045816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2045827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2045830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2045833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2045836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045862 */     // MIs[0] round
     /* 2045862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045865 */     // MIs[0] policy
     /* 2045865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045875 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2045878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045901 */     // GIR_Coverage, 15185,
     /* 2045901 */     GIR_EraseRootFromParent_Done,
     /* 2045902 */   // Label 27257: @2045902
     /* 2045902 */   GIM_Try, /*On fail goto*//*Label 27258*/ GIMT_Encode4(2045993), // Rule ID 15188 //
     /* 2045907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2045910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2045915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2045918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2045921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2045924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2045927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2045930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045953 */     // MIs[0] round
     /* 2045953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045956 */     // MIs[0] policy
     /* 2045956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045966 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2045969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045992 */     // GIR_Coverage, 15188,
     /* 2045992 */     GIR_EraseRootFromParent_Done,
     /* 2045993 */   // Label 27258: @2045993
     /* 2045993 */   GIM_Try, /*On fail goto*//*Label 27259*/ GIMT_Encode4(2046084), // Rule ID 15189 //
     /* 2045998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2046015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2046018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046044 */     // MIs[0] round
     /* 2046044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046047 */     // MIs[0] policy
     /* 2046047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046057 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2046060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046083 */     // GIR_Coverage, 15189,
     /* 2046083 */     GIR_EraseRootFromParent_Done,
     /* 2046084 */   // Label 27259: @2046084
     /* 2046084 */   GIM_Try, /*On fail goto*//*Label 27260*/ GIMT_Encode4(2046175), // Rule ID 15192 //
     /* 2046089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2046109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046135 */     // MIs[0] round
     /* 2046135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046138 */     // MIs[0] policy
     /* 2046138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046148 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2046151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046174 */     // GIR_Coverage, 15192,
     /* 2046174 */     GIR_EraseRootFromParent_Done,
     /* 2046175 */   // Label 27260: @2046175
     /* 2046175 */   GIM_Try, /*On fail goto*//*Label 27261*/ GIMT_Encode4(2046266), // Rule ID 15193 //
     /* 2046180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2046200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046226 */     // MIs[0] round
     /* 2046226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046229 */     // MIs[0] policy
     /* 2046229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046239 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2046242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046265 */     // GIR_Coverage, 15193,
     /* 2046265 */     GIR_EraseRootFromParent_Done,
     /* 2046266 */   // Label 27261: @2046266
     /* 2046266 */   GIM_Try, /*On fail goto*//*Label 27262*/ GIMT_Encode4(2046357), // Rule ID 15196 //
     /* 2046271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2046285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2046288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2046291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046317 */     // MIs[0] round
     /* 2046317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046320 */     // MIs[0] policy
     /* 2046320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2046333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046356 */     // GIR_Coverage, 15196,
     /* 2046356 */     GIR_EraseRootFromParent_Done,
     /* 2046357 */   // Label 27262: @2046357
     /* 2046357 */   GIM_Try, /*On fail goto*//*Label 27263*/ GIMT_Encode4(2046448), // Rule ID 15197 //
     /* 2046362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2046376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2046379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2046382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046408 */     // MIs[0] round
     /* 2046408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046411 */     // MIs[0] policy
     /* 2046411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2046424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046447 */     // GIR_Coverage, 15197,
     /* 2046447 */     GIR_EraseRootFromParent_Done,
     /* 2046448 */   // Label 27263: @2046448
     /* 2046448 */   GIM_Try, /*On fail goto*//*Label 27264*/ GIMT_Encode4(2046539), // Rule ID 15200 //
     /* 2046453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2046464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2046467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2046470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046499 */     // MIs[0] round
     /* 2046499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046502 */     // MIs[0] policy
     /* 2046502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046512 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2046515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046538 */     // GIR_Coverage, 15200,
     /* 2046538 */     GIR_EraseRootFromParent_Done,
     /* 2046539 */   // Label 27264: @2046539
     /* 2046539 */   GIM_Try, /*On fail goto*//*Label 27265*/ GIMT_Encode4(2046630), // Rule ID 15201 //
     /* 2046544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2046555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2046558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2046561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046590 */     // MIs[0] round
     /* 2046590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046593 */     // MIs[0] policy
     /* 2046593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046603 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2046606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046629 */     // GIR_Coverage, 15201,
     /* 2046629 */     GIR_EraseRootFromParent_Done,
     /* 2046630 */   // Label 27265: @2046630
     /* 2046630 */   GIM_Try, /*On fail goto*//*Label 27266*/ GIMT_Encode4(2046721), // Rule ID 15204 //
     /* 2046635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2046646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2046649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2046652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046681 */     // MIs[0] round
     /* 2046681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046684 */     // MIs[0] policy
     /* 2046684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046694 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2046697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046720 */     // GIR_Coverage, 15204,
     /* 2046720 */     GIR_EraseRootFromParent_Done,
     /* 2046721 */   // Label 27266: @2046721
     /* 2046721 */   GIM_Try, /*On fail goto*//*Label 27267*/ GIMT_Encode4(2046812), // Rule ID 15205 //
     /* 2046726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2046737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2046740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2046743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046772 */     // MIs[0] round
     /* 2046772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046775 */     // MIs[0] policy
     /* 2046775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046785 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2046788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046811 */     // GIR_Coverage, 15205,
     /* 2046811 */     GIR_EraseRootFromParent_Done,
     /* 2046812 */   // Label 27267: @2046812
     /* 2046812 */   GIM_Try, /*On fail goto*//*Label 27268*/ GIMT_Encode4(2046903), // Rule ID 15208 //
     /* 2046817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2046828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2046831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2046834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046863 */     // MIs[0] round
     /* 2046863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046866 */     // MIs[0] policy
     /* 2046866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046876 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2046879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046902 */     // GIR_Coverage, 15208,
     /* 2046902 */     GIR_EraseRootFromParent_Done,
     /* 2046903 */   // Label 27268: @2046903
     /* 2046903 */   GIM_Try, /*On fail goto*//*Label 27269*/ GIMT_Encode4(2046994), // Rule ID 15209 //
     /* 2046908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2046919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2046922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2046925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046954 */     // MIs[0] round
     /* 2046954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046957 */     // MIs[0] policy
     /* 2046957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046967 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2046970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046993 */     // GIR_Coverage, 15209,
     /* 2046993 */     GIR_EraseRootFromParent_Done,
     /* 2046994 */   // Label 27269: @2046994
     /* 2046994 */   GIM_Try, /*On fail goto*//*Label 27270*/ GIMT_Encode4(2047085), // Rule ID 15212 //
     /* 2046999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047045 */     // MIs[0] round
     /* 2047045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047048 */     // MIs[0] policy
     /* 2047048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2047061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047084 */     // GIR_Coverage, 15212,
     /* 2047084 */     GIR_EraseRootFromParent_Done,
     /* 2047085 */   // Label 27270: @2047085
     /* 2047085 */   GIM_Try, /*On fail goto*//*Label 27271*/ GIMT_Encode4(2047176), // Rule ID 15213 //
     /* 2047090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047136 */     // MIs[0] round
     /* 2047136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047139 */     // MIs[0] policy
     /* 2047139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2047152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047175 */     // GIR_Coverage, 15213,
     /* 2047175 */     GIR_EraseRootFromParent_Done,
     /* 2047176 */   // Label 27271: @2047176
     /* 2047176 */   GIM_Try, /*On fail goto*//*Label 27272*/ GIMT_Encode4(2047267), // Rule ID 15216 //
     /* 2047181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047227 */     // MIs[0] round
     /* 2047227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047230 */     // MIs[0] policy
     /* 2047230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047240 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2047243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047266 */     // GIR_Coverage, 15216,
     /* 2047266 */     GIR_EraseRootFromParent_Done,
     /* 2047267 */   // Label 27272: @2047267
     /* 2047267 */   GIM_Try, /*On fail goto*//*Label 27273*/ GIMT_Encode4(2047358), // Rule ID 15217 //
     /* 2047272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047318 */     // MIs[0] round
     /* 2047318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047321 */     // MIs[0] policy
     /* 2047321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047331 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2047334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047357 */     // GIR_Coverage, 15217,
     /* 2047357 */     GIR_EraseRootFromParent_Done,
     /* 2047358 */   // Label 27273: @2047358
     /* 2047358 */   GIM_Try, /*On fail goto*//*Label 27274*/ GIMT_Encode4(2047449), // Rule ID 15220 //
     /* 2047363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2047374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2047377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2047380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047409 */     // MIs[0] round
     /* 2047409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047412 */     // MIs[0] policy
     /* 2047412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2047425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047448 */     // GIR_Coverage, 15220,
     /* 2047448 */     GIR_EraseRootFromParent_Done,
     /* 2047449 */   // Label 27274: @2047449
     /* 2047449 */   GIM_Try, /*On fail goto*//*Label 27275*/ GIMT_Encode4(2047540), // Rule ID 15221 //
     /* 2047454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2047465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2047468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2047471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047500 */     // MIs[0] round
     /* 2047500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047503 */     // MIs[0] policy
     /* 2047503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047513 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2047516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047539 */     // GIR_Coverage, 15221,
     /* 2047539 */     GIR_EraseRootFromParent_Done,
     /* 2047540 */   // Label 27275: @2047540
     /* 2047540 */   GIM_Try, /*On fail goto*//*Label 27276*/ GIMT_Encode4(2047631), // Rule ID 15224 //
     /* 2047545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2047556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2047559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2047562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047591 */     // MIs[0] round
     /* 2047591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047594 */     // MIs[0] policy
     /* 2047594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047604 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2047607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047630 */     // GIR_Coverage, 15224,
     /* 2047630 */     GIR_EraseRootFromParent_Done,
     /* 2047631 */   // Label 27276: @2047631
     /* 2047631 */   GIM_Try, /*On fail goto*//*Label 27277*/ GIMT_Encode4(2047722), // Rule ID 15225 //
     /* 2047636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2047647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2047650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2047653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047682 */     // MIs[0] round
     /* 2047682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047685 */     // MIs[0] policy
     /* 2047685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047695 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2047698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047721 */     // GIR_Coverage, 15225,
     /* 2047721 */     GIR_EraseRootFromParent_Done,
     /* 2047722 */   // Label 27277: @2047722
     /* 2047722 */   GIM_Try, /*On fail goto*//*Label 27278*/ GIMT_Encode4(2047813), // Rule ID 15228 //
     /* 2047727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2047738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2047741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2047744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047773 */     // MIs[0] round
     /* 2047773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047776 */     // MIs[0] policy
     /* 2047776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2047789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047812 */     // GIR_Coverage, 15228,
     /* 2047812 */     GIR_EraseRootFromParent_Done,
     /* 2047813 */   // Label 27278: @2047813
     /* 2047813 */   GIM_Try, /*On fail goto*//*Label 27279*/ GIMT_Encode4(2047904), // Rule ID 15229 //
     /* 2047818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2047829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2047832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2047835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047864 */     // MIs[0] round
     /* 2047864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047867 */     // MIs[0] policy
     /* 2047867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047877 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2047880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047903 */     // GIR_Coverage, 15229,
     /* 2047903 */     GIR_EraseRootFromParent_Done,
     /* 2047904 */   // Label 27279: @2047904
     /* 2047904 */   GIM_Try, /*On fail goto*//*Label 27280*/ GIMT_Encode4(2047995), // Rule ID 15232 //
     /* 2047909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2047920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2047923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2047926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047955 */     // MIs[0] round
     /* 2047955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047958 */     // MIs[0] policy
     /* 2047958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2047971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047994 */     // GIR_Coverage, 15232,
     /* 2047994 */     GIR_EraseRootFromParent_Done,
     /* 2047995 */   // Label 27280: @2047995
     /* 2047995 */   GIM_Try, /*On fail goto*//*Label 27281*/ GIMT_Encode4(2048086), // Rule ID 15233 //
     /* 2048000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2048011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2048014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2048017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048046 */     // MIs[0] round
     /* 2048046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048049 */     // MIs[0] policy
     /* 2048049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2048062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048085 */     // GIR_Coverage, 15233,
     /* 2048085 */     GIR_EraseRootFromParent_Done,
     /* 2048086 */   // Label 27281: @2048086
     /* 2048086 */   GIM_Try, /*On fail goto*//*Label 27282*/ GIMT_Encode4(2048177), // Rule ID 15236 //
     /* 2048091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2048094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048137 */     // MIs[0] round
     /* 2048137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048140 */     // MIs[0] policy
     /* 2048140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2048153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048176 */     // GIR_Coverage, 15236,
     /* 2048176 */     GIR_EraseRootFromParent_Done,
     /* 2048177 */   // Label 27282: @2048177
     /* 2048177 */   GIM_Try, /*On fail goto*//*Label 27283*/ GIMT_Encode4(2048268), // Rule ID 15237 //
     /* 2048182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2048185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048228 */     // MIs[0] round
     /* 2048228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048231 */     // MIs[0] policy
     /* 2048231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048241 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2048244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048267 */     // GIR_Coverage, 15237,
     /* 2048267 */     GIR_EraseRootFromParent_Done,
     /* 2048268 */   // Label 27283: @2048268
     /* 2048268 */   GIM_Try, /*On fail goto*//*Label 27284*/ GIMT_Encode4(2048359), // Rule ID 15240 //
     /* 2048273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2048284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2048287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2048290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048319 */     // MIs[0] round
     /* 2048319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048322 */     // MIs[0] policy
     /* 2048322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048332 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2048335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048358 */     // GIR_Coverage, 15240,
     /* 2048358 */     GIR_EraseRootFromParent_Done,
     /* 2048359 */   // Label 27284: @2048359
     /* 2048359 */   GIM_Try, /*On fail goto*//*Label 27285*/ GIMT_Encode4(2048450), // Rule ID 15241 //
     /* 2048364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2048375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2048378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2048381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048410 */     // MIs[0] round
     /* 2048410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048413 */     // MIs[0] policy
     /* 2048413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048423 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2048426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048449 */     // GIR_Coverage, 15241,
     /* 2048449 */     GIR_EraseRootFromParent_Done,
     /* 2048450 */   // Label 27285: @2048450
     /* 2048450 */   GIM_Try, /*On fail goto*//*Label 27286*/ GIMT_Encode4(2048541), // Rule ID 15244 //
     /* 2048455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2048466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2048469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2048472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048501 */     // MIs[0] round
     /* 2048501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048504 */     // MIs[0] policy
     /* 2048504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048514 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2048517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048540 */     // GIR_Coverage, 15244,
     /* 2048540 */     GIR_EraseRootFromParent_Done,
     /* 2048541 */   // Label 27286: @2048541
     /* 2048541 */   GIM_Try, /*On fail goto*//*Label 27287*/ GIMT_Encode4(2048632), // Rule ID 15245 //
     /* 2048546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2048557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2048560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2048563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048592 */     // MIs[0] round
     /* 2048592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048595 */     // MIs[0] policy
     /* 2048595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048605 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2048608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048631 */     // GIR_Coverage, 15245,
     /* 2048631 */     GIR_EraseRootFromParent_Done,
     /* 2048632 */   // Label 27287: @2048632
     /* 2048632 */   GIM_Try, /*On fail goto*//*Label 27288*/ GIMT_Encode4(2048723), // Rule ID 15248 //
     /* 2048637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2048648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2048651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2048654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2048660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048683 */     // MIs[0] round
     /* 2048683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048686 */     // MIs[0] policy
     /* 2048686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2048699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048722 */     // GIR_Coverage, 15248,
     /* 2048722 */     GIR_EraseRootFromParent_Done,
     /* 2048723 */   // Label 27288: @2048723
     /* 2048723 */   GIM_Try, /*On fail goto*//*Label 27289*/ GIMT_Encode4(2048814), // Rule ID 15249 //
     /* 2048728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2048739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2048742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2048745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2048751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048774 */     // MIs[0] round
     /* 2048774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048777 */     // MIs[0] policy
     /* 2048777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048787 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2048790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048813 */     // GIR_Coverage, 15249,
     /* 2048813 */     GIR_EraseRootFromParent_Done,
     /* 2048814 */   // Label 27289: @2048814
     /* 2048814 */   GIM_Try, /*On fail goto*//*Label 27290*/ GIMT_Encode4(2048905), // Rule ID 15252 //
     /* 2048819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2048830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2048833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2048836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048865 */     // MIs[0] round
     /* 2048865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048868 */     // MIs[0] policy
     /* 2048868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2048881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048904 */     // GIR_Coverage, 15252,
     /* 2048904 */     GIR_EraseRootFromParent_Done,
     /* 2048905 */   // Label 27290: @2048905
     /* 2048905 */   GIM_Try, /*On fail goto*//*Label 27291*/ GIMT_Encode4(2048996), // Rule ID 15253 //
     /* 2048910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2048921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2048924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2048927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048956 */     // MIs[0] round
     /* 2048956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048959 */     // MIs[0] policy
     /* 2048959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048969 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2048972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048995 */     // GIR_Coverage, 15253,
     /* 2048995 */     GIR_EraseRootFromParent_Done,
     /* 2048996 */   // Label 27291: @2048996
     /* 2048996 */   GIM_Try, /*On fail goto*//*Label 27292*/ GIMT_Encode4(2049087), // Rule ID 15256 //
     /* 2049001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049047 */     // MIs[0] round
     /* 2049047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049050 */     // MIs[0] policy
     /* 2049050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2049063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049086 */     // GIR_Coverage, 15256,
     /* 2049086 */     GIR_EraseRootFromParent_Done,
     /* 2049087 */   // Label 27292: @2049087
     /* 2049087 */   GIM_Try, /*On fail goto*//*Label 27293*/ GIMT_Encode4(2049178), // Rule ID 15257 //
     /* 2049092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049138 */     // MIs[0] round
     /* 2049138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049141 */     // MIs[0] policy
     /* 2049141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049151 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2049154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049177 */     // GIR_Coverage, 15257,
     /* 2049177 */     GIR_EraseRootFromParent_Done,
     /* 2049178 */   // Label 27293: @2049178
     /* 2049178 */   GIM_Try, /*On fail goto*//*Label 27294*/ GIMT_Encode4(2049269), // Rule ID 15260 //
     /* 2049183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2049194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2049197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2049200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049229 */     // MIs[0] round
     /* 2049229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049232 */     // MIs[0] policy
     /* 2049232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2049245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049268 */     // GIR_Coverage, 15260,
     /* 2049268 */     GIR_EraseRootFromParent_Done,
     /* 2049269 */   // Label 27294: @2049269
     /* 2049269 */   GIM_Try, /*On fail goto*//*Label 27295*/ GIMT_Encode4(2049360), // Rule ID 15261 //
     /* 2049274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2049285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2049288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2049291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049320 */     // MIs[0] round
     /* 2049320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049323 */     // MIs[0] policy
     /* 2049323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049333 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2049336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049359 */     // GIR_Coverage, 15261,
     /* 2049359 */     GIR_EraseRootFromParent_Done,
     /* 2049360 */   // Label 27295: @2049360
     /* 2049360 */   GIM_Try, /*On fail goto*//*Label 27296*/ GIMT_Encode4(2049451), // Rule ID 15264 //
     /* 2049365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2049376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2049379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2049382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049411 */     // MIs[0] round
     /* 2049411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049414 */     // MIs[0] policy
     /* 2049414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2049427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049450 */     // GIR_Coverage, 15264,
     /* 2049450 */     GIR_EraseRootFromParent_Done,
     /* 2049451 */   // Label 27296: @2049451
     /* 2049451 */   GIM_Try, /*On fail goto*//*Label 27297*/ GIMT_Encode4(2049542), // Rule ID 15265 //
     /* 2049456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2049467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2049470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2049473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049502 */     // MIs[0] round
     /* 2049502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049505 */     // MIs[0] policy
     /* 2049505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2049518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049541 */     // GIR_Coverage, 15265,
     /* 2049541 */     GIR_EraseRootFromParent_Done,
     /* 2049542 */   // Label 27297: @2049542
     /* 2049542 */   GIM_Try, /*On fail goto*//*Label 27298*/ GIMT_Encode4(2049633), // Rule ID 15268 //
     /* 2049547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2049558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2049561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2049564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049593 */     // MIs[0] round
     /* 2049593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049596 */     // MIs[0] policy
     /* 2049596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049606 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2049609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049632 */     // GIR_Coverage, 15268,
     /* 2049632 */     GIR_EraseRootFromParent_Done,
     /* 2049633 */   // Label 27298: @2049633
     /* 2049633 */   GIM_Try, /*On fail goto*//*Label 27299*/ GIMT_Encode4(2049724), // Rule ID 15269 //
     /* 2049638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2049649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2049652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2049655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049684 */     // MIs[0] round
     /* 2049684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049687 */     // MIs[0] policy
     /* 2049687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049697 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2049700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049723 */     // GIR_Coverage, 15269,
     /* 2049723 */     GIR_EraseRootFromParent_Done,
     /* 2049724 */   // Label 27299: @2049724
     /* 2049724 */   GIM_Try, /*On fail goto*//*Label 27300*/ GIMT_Encode4(2049815), // Rule ID 15272 //
     /* 2049729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2049740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2049743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2049746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049775 */     // MIs[0] round
     /* 2049775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049778 */     // MIs[0] policy
     /* 2049778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049788 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2049791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049814 */     // GIR_Coverage, 15272,
     /* 2049814 */     GIR_EraseRootFromParent_Done,
     /* 2049815 */   // Label 27300: @2049815
     /* 2049815 */   GIM_Try, /*On fail goto*//*Label 27301*/ GIMT_Encode4(2049906), // Rule ID 15273 //
     /* 2049820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2049831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2049834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2049837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049866 */     // MIs[0] round
     /* 2049866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049869 */     // MIs[0] policy
     /* 2049869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049879 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2049882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049905 */     // GIR_Coverage, 15273,
     /* 2049905 */     GIR_EraseRootFromParent_Done,
     /* 2049906 */   // Label 27301: @2049906
     /* 2049906 */   GIM_Try, /*On fail goto*//*Label 27302*/ GIMT_Encode4(2049997), // Rule ID 15276 //
     /* 2049911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2049914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2049922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2049925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2049928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049957 */     // MIs[0] round
     /* 2049957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049960 */     // MIs[0] policy
     /* 2049960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049970 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2049973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049996 */     // GIR_Coverage, 15276,
     /* 2049996 */     GIR_EraseRootFromParent_Done,
     /* 2049997 */   // Label 27302: @2049997
     /* 2049997 */   GIM_Try, /*On fail goto*//*Label 27303*/ GIMT_Encode4(2050088), // Rule ID 15277 //
     /* 2050002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2050013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2050016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2050019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050048 */     // MIs[0] round
     /* 2050048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050051 */     // MIs[0] policy
     /* 2050051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2050064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050087 */     // GIR_Coverage, 15277,
     /* 2050087 */     GIR_EraseRootFromParent_Done,
     /* 2050088 */   // Label 27303: @2050088
     /* 2050088 */   GIM_Try, /*On fail goto*//*Label 27304*/ GIMT_Encode4(2050179), // Rule ID 15280 //
     /* 2050093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050139 */     // MIs[0] round
     /* 2050139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050142 */     // MIs[0] policy
     /* 2050142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050152 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2050155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050178 */     // GIR_Coverage, 15280,
     /* 2050178 */     GIR_EraseRootFromParent_Done,
     /* 2050179 */   // Label 27304: @2050179
     /* 2050179 */   GIM_Try, /*On fail goto*//*Label 27305*/ GIMT_Encode4(2050270), // Rule ID 15281 //
     /* 2050184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050230 */     // MIs[0] round
     /* 2050230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050233 */     // MIs[0] policy
     /* 2050233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050243 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2050246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050269 */     // GIR_Coverage, 15281,
     /* 2050269 */     GIR_EraseRootFromParent_Done,
     /* 2050270 */   // Label 27305: @2050270
     /* 2050270 */   GIM_Try, /*On fail goto*//*Label 27306*/ GIMT_Encode4(2050361), // Rule ID 15284 //
     /* 2050275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2050286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2050289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2050292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050321 */     // MIs[0] round
     /* 2050321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050324 */     // MIs[0] policy
     /* 2050324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050334 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2050337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050360 */     // GIR_Coverage, 15284,
     /* 2050360 */     GIR_EraseRootFromParent_Done,
     /* 2050361 */   // Label 27306: @2050361
     /* 2050361 */   GIM_Try, /*On fail goto*//*Label 27307*/ GIMT_Encode4(2050452), // Rule ID 15285 //
     /* 2050366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2050377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2050380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2050383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050412 */     // MIs[0] round
     /* 2050412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050415 */     // MIs[0] policy
     /* 2050415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050425 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2050428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050451 */     // GIR_Coverage, 15285,
     /* 2050451 */     GIR_EraseRootFromParent_Done,
     /* 2050452 */   // Label 27307: @2050452
     /* 2050452 */   GIM_Try, /*On fail goto*//*Label 27308*/ GIMT_Encode4(2050543), // Rule ID 15288 //
     /* 2050457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2050468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2050471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2050474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2050477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050503 */     // MIs[0] round
     /* 2050503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050506 */     // MIs[0] policy
     /* 2050506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050516 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2050519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050542 */     // GIR_Coverage, 15288,
     /* 2050542 */     GIR_EraseRootFromParent_Done,
     /* 2050543 */   // Label 27308: @2050543
     /* 2050543 */   GIM_Try, /*On fail goto*//*Label 27309*/ GIMT_Encode4(2050634), // Rule ID 15289 //
     /* 2050548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2050559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2050562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2050565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2050568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050594 */     // MIs[0] round
     /* 2050594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050597 */     // MIs[0] policy
     /* 2050597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050607 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2050610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050633 */     // GIR_Coverage, 15289,
     /* 2050633 */     GIR_EraseRootFromParent_Done,
     /* 2050634 */   // Label 27309: @2050634
     /* 2050634 */   GIM_Try, /*On fail goto*//*Label 27310*/ GIMT_Encode4(2050725), // Rule ID 15292 //
     /* 2050639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2050650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2050653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2050656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2050659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050685 */     // MIs[0] round
     /* 2050685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050688 */     // MIs[0] policy
     /* 2050688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050698 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2050701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050724 */     // GIR_Coverage, 15292,
     /* 2050724 */     GIR_EraseRootFromParent_Done,
     /* 2050725 */   // Label 27310: @2050725
     /* 2050725 */   GIM_Try, /*On fail goto*//*Label 27311*/ GIMT_Encode4(2050816), // Rule ID 15293 //
     /* 2050730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2050741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2050744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2050747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2050750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050776 */     // MIs[0] round
     /* 2050776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050779 */     // MIs[0] policy
     /* 2050779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050789 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2050792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050815 */     // GIR_Coverage, 15293,
     /* 2050815 */     GIR_EraseRootFromParent_Done,
     /* 2050816 */   // Label 27311: @2050816
     /* 2050816 */   GIM_Try, /*On fail goto*//*Label 27312*/ GIMT_Encode4(2050907), // Rule ID 15296 //
     /* 2050821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2050832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2050835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2050838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2050841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050867 */     // MIs[0] round
     /* 2050867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050870 */     // MIs[0] policy
     /* 2050870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050880 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2050883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050906 */     // GIR_Coverage, 15296,
     /* 2050906 */     GIR_EraseRootFromParent_Done,
     /* 2050907 */   // Label 27312: @2050907
     /* 2050907 */   GIM_Try, /*On fail goto*//*Label 27313*/ GIMT_Encode4(2050998), // Rule ID 15297 //
     /* 2050912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2050923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2050926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2050929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2050932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050958 */     // MIs[0] round
     /* 2050958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050961 */     // MIs[0] policy
     /* 2050961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2050974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050997 */     // GIR_Coverage, 15297,
     /* 2050997 */     GIR_EraseRootFromParent_Done,
     /* 2050998 */   // Label 27313: @2050998
     /* 2050998 */   GIM_Try, /*On fail goto*//*Label 27314*/ GIMT_Encode4(2051089), // Rule ID 15300 //
     /* 2051003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2051023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051049 */     // MIs[0] round
     /* 2051049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051052 */     // MIs[0] policy
     /* 2051052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051062 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2051065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051088 */     // GIR_Coverage, 15300,
     /* 2051088 */     GIR_EraseRootFromParent_Done,
     /* 2051089 */   // Label 27314: @2051089
     /* 2051089 */   GIM_Try, /*On fail goto*//*Label 27315*/ GIMT_Encode4(2051180), // Rule ID 15301 //
     /* 2051094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2051114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051140 */     // MIs[0] round
     /* 2051140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051143 */     // MIs[0] policy
     /* 2051143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051153 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2051156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051179 */     // GIR_Coverage, 15301,
     /* 2051179 */     GIR_EraseRootFromParent_Done,
     /* 2051180 */   // Label 27315: @2051180
     /* 2051180 */   GIM_Try, /*On fail goto*//*Label 27316*/ GIMT_Encode4(2051271), // Rule ID 15304 //
     /* 2051185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2051196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2051199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2051202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2051205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051231 */     // MIs[0] round
     /* 2051231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051234 */     // MIs[0] policy
     /* 2051234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051244 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2051247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051270 */     // GIR_Coverage, 15304,
     /* 2051270 */     GIR_EraseRootFromParent_Done,
     /* 2051271 */   // Label 27316: @2051271
     /* 2051271 */   GIM_Try, /*On fail goto*//*Label 27317*/ GIMT_Encode4(2051362), // Rule ID 15305 //
     /* 2051276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2051287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2051290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2051293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2051296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051322 */     // MIs[0] round
     /* 2051322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051325 */     // MIs[0] policy
     /* 2051325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051335 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2051338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051361 */     // GIR_Coverage, 15305,
     /* 2051361 */     GIR_EraseRootFromParent_Done,
     /* 2051362 */   // Label 27317: @2051362
     /* 2051362 */   GIM_Try, /*On fail goto*//*Label 27318*/ GIMT_Encode4(2051453), // Rule ID 15308 //
     /* 2051367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2051378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2051381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2051384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2051387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051413 */     // MIs[0] round
     /* 2051413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051416 */     // MIs[0] policy
     /* 2051416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051426 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2051429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051452 */     // GIR_Coverage, 15308,
     /* 2051452 */     GIR_EraseRootFromParent_Done,
     /* 2051453 */   // Label 27318: @2051453
     /* 2051453 */   GIM_Try, /*On fail goto*//*Label 27319*/ GIMT_Encode4(2051544), // Rule ID 15309 //
     /* 2051458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2051469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2051472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2051475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2051478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051504 */     // MIs[0] round
     /* 2051504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051507 */     // MIs[0] policy
     /* 2051507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2051520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051543 */     // GIR_Coverage, 15309,
     /* 2051543 */     GIR_EraseRootFromParent_Done,
     /* 2051544 */   // Label 27319: @2051544
     /* 2051544 */   GIM_Try, /*On fail goto*//*Label 27320*/ GIMT_Encode4(2051635), // Rule ID 15312 //
     /* 2051549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2051560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2051563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2051566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2051569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051595 */     // MIs[0] round
     /* 2051595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051598 */     // MIs[0] policy
     /* 2051598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2051611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051634 */     // GIR_Coverage, 15312,
     /* 2051634 */     GIR_EraseRootFromParent_Done,
     /* 2051635 */   // Label 27320: @2051635
     /* 2051635 */   GIM_Try, /*On fail goto*//*Label 27321*/ GIMT_Encode4(2051726), // Rule ID 15313 //
     /* 2051640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2051651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2051654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2051657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2051660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051686 */     // MIs[0] round
     /* 2051686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051689 */     // MIs[0] policy
     /* 2051689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051699 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2051702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051725 */     // GIR_Coverage, 15313,
     /* 2051725 */     GIR_EraseRootFromParent_Done,
     /* 2051726 */   // Label 27321: @2051726
     /* 2051726 */   GIM_Try, /*On fail goto*//*Label 27322*/ GIMT_Encode4(2051817), // Rule ID 15316 //
     /* 2051731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2051742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2051745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2051748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2051751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051777 */     // MIs[0] round
     /* 2051777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051780 */     // MIs[0] policy
     /* 2051780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051790 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2051793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051816 */     // GIR_Coverage, 15316,
     /* 2051816 */     GIR_EraseRootFromParent_Done,
     /* 2051817 */   // Label 27322: @2051817
     /* 2051817 */   GIM_Try, /*On fail goto*//*Label 27323*/ GIMT_Encode4(2051908), // Rule ID 15317 //
     /* 2051822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2051833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2051836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2051839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2051842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051868 */     // MIs[0] round
     /* 2051868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051871 */     // MIs[0] policy
     /* 2051871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051881 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2051884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051907 */     // GIR_Coverage, 15317,
     /* 2051907 */     GIR_EraseRootFromParent_Done,
     /* 2051908 */   // Label 27323: @2051908
     /* 2051908 */   GIM_Try, /*On fail goto*//*Label 27324*/ GIMT_Encode4(2051999), // Rule ID 15320 //
     /* 2051913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2051924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2051927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2051930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2051933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051959 */     // MIs[0] round
     /* 2051959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051962 */     // MIs[0] policy
     /* 2051962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2051975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051998 */     // GIR_Coverage, 15320,
     /* 2051998 */     GIR_EraseRootFromParent_Done,
     /* 2051999 */   // Label 27324: @2051999
     /* 2051999 */   GIM_Try, /*On fail goto*//*Label 27325*/ GIMT_Encode4(2052090), // Rule ID 15321 //
     /* 2052004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2052024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052050 */     // MIs[0] round
     /* 2052050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052053 */     // MIs[0] policy
     /* 2052053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052063 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2052066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052089 */     // GIR_Coverage, 15321,
     /* 2052089 */     GIR_EraseRootFromParent_Done,
     /* 2052090 */   // Label 27325: @2052090
     /* 2052090 */   GIM_Try, /*On fail goto*//*Label 27326*/ GIMT_Encode4(2052181), // Rule ID 15324 //
     /* 2052095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2052098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2052115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052141 */     // MIs[0] round
     /* 2052141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052144 */     // MIs[0] policy
     /* 2052144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052154 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2052157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052180 */     // GIR_Coverage, 15324,
     /* 2052180 */     GIR_EraseRootFromParent_Done,
     /* 2052181 */   // Label 27326: @2052181
     /* 2052181 */   GIM_Try, /*On fail goto*//*Label 27327*/ GIMT_Encode4(2052272), // Rule ID 15325 //
     /* 2052186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2052189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2052206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052232 */     // MIs[0] round
     /* 2052232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052235 */     // MIs[0] policy
     /* 2052235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052245 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2052248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052271 */     // GIR_Coverage, 15325,
     /* 2052271 */     GIR_EraseRootFromParent_Done,
     /* 2052272 */   // Label 27327: @2052272
     /* 2052272 */   GIM_Try, /*On fail goto*//*Label 27328*/ GIMT_Encode4(2052363), // Rule ID 15328 //
     /* 2052277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2052288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2052291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2052294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2052297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052323 */     // MIs[0] round
     /* 2052323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052326 */     // MIs[0] policy
     /* 2052326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2052339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052362 */     // GIR_Coverage, 15328,
     /* 2052362 */     GIR_EraseRootFromParent_Done,
     /* 2052363 */   // Label 27328: @2052363
     /* 2052363 */   GIM_Try, /*On fail goto*//*Label 27329*/ GIMT_Encode4(2052454), // Rule ID 15329 //
     /* 2052368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2052379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2052382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2052385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2052388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052414 */     // MIs[0] round
     /* 2052414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052417 */     // MIs[0] policy
     /* 2052417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052427 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2052430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052453 */     // GIR_Coverage, 15329,
     /* 2052453 */     GIR_EraseRootFromParent_Done,
     /* 2052454 */   // Label 27329: @2052454
     /* 2052454 */   GIM_Try, /*On fail goto*//*Label 27330*/ GIMT_Encode4(2052545), // Rule ID 15332 //
     /* 2052459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2052470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2052473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2052476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2052479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052505 */     // MIs[0] round
     /* 2052505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052508 */     // MIs[0] policy
     /* 2052508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052518 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2052521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052544 */     // GIR_Coverage, 15332,
     /* 2052544 */     GIR_EraseRootFromParent_Done,
     /* 2052545 */   // Label 27330: @2052545
     /* 2052545 */   GIM_Try, /*On fail goto*//*Label 27331*/ GIMT_Encode4(2052636), // Rule ID 15333 //
     /* 2052550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2052561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2052564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2052567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2052570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052596 */     // MIs[0] round
     /* 2052596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052599 */     // MIs[0] policy
     /* 2052599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052609 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2052612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052635 */     // GIR_Coverage, 15333,
     /* 2052635 */     GIR_EraseRootFromParent_Done,
     /* 2052636 */   // Label 27331: @2052636
     /* 2052636 */   GIM_Try, /*On fail goto*//*Label 27332*/ GIMT_Encode4(2052727), // Rule ID 15336 //
     /* 2052641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2052652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2052655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2052658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2052661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2052664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052687 */     // MIs[0] round
     /* 2052687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052690 */     // MIs[0] policy
     /* 2052690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052700 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2052703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052726 */     // GIR_Coverage, 15336,
     /* 2052726 */     GIR_EraseRootFromParent_Done,
     /* 2052727 */   // Label 27332: @2052727
     /* 2052727 */   GIM_Try, /*On fail goto*//*Label 27333*/ GIMT_Encode4(2052818), // Rule ID 15337 //
     /* 2052732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2052743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2052746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2052749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2052752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2052755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052778 */     // MIs[0] round
     /* 2052778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052781 */     // MIs[0] policy
     /* 2052781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052791 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2052794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052817 */     // GIR_Coverage, 15337,
     /* 2052817 */     GIR_EraseRootFromParent_Done,
     /* 2052818 */   // Label 27333: @2052818
     /* 2052818 */   GIM_Try, /*On fail goto*//*Label 27334*/ GIMT_Encode4(2052909), // Rule ID 15340 //
     /* 2052823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2052834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2052837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2052840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2052843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052869 */     // MIs[0] round
     /* 2052869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052872 */     // MIs[0] policy
     /* 2052872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052882 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2052885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052908 */     // GIR_Coverage, 15340,
     /* 2052908 */     GIR_EraseRootFromParent_Done,
     /* 2052909 */   // Label 27334: @2052909
     /* 2052909 */   GIM_Try, /*On fail goto*//*Label 27335*/ GIMT_Encode4(2053000), // Rule ID 15341 //
     /* 2052914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2052922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2052925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2052928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2052931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2052934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052960 */     // MIs[0] round
     /* 2052960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052963 */     // MIs[0] policy
     /* 2052963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052973 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2052976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052999 */     // GIR_Coverage, 15341,
     /* 2052999 */     GIR_EraseRootFromParent_Done,
     /* 2053000 */   // Label 27335: @2053000
     /* 2053000 */   GIM_Try, /*On fail goto*//*Label 27336*/ GIMT_Encode4(2053091), // Rule ID 15344 //
     /* 2053005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2053025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053051 */     // MIs[0] round
     /* 2053051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053054 */     // MIs[0] policy
     /* 2053054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053064 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2053067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053090 */     // GIR_Coverage, 15344,
     /* 2053090 */     GIR_EraseRootFromParent_Done,
     /* 2053091 */   // Label 27336: @2053091
     /* 2053091 */   GIM_Try, /*On fail goto*//*Label 27337*/ GIMT_Encode4(2053182), // Rule ID 15345 //
     /* 2053096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2053116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053142 */     // MIs[0] round
     /* 2053142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053145 */     // MIs[0] policy
     /* 2053145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053155 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2053158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053181 */     // GIR_Coverage, 15345,
     /* 2053181 */     GIR_EraseRootFromParent_Done,
     /* 2053182 */   // Label 27337: @2053182
     /* 2053182 */   GIM_Try, /*On fail goto*//*Label 27338*/ GIMT_Encode4(2053273), // Rule ID 15348 //
     /* 2053187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2053207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053233 */     // MIs[0] round
     /* 2053233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053236 */     // MIs[0] policy
     /* 2053236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2053249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053272 */     // GIR_Coverage, 15348,
     /* 2053272 */     GIR_EraseRootFromParent_Done,
     /* 2053273 */   // Label 27338: @2053273
     /* 2053273 */   GIM_Try, /*On fail goto*//*Label 27339*/ GIMT_Encode4(2053364), // Rule ID 15349 //
     /* 2053278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2053298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053324 */     // MIs[0] round
     /* 2053324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053327 */     // MIs[0] policy
     /* 2053327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053337 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2053340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053363 */     // GIR_Coverage, 15349,
     /* 2053363 */     GIR_EraseRootFromParent_Done,
     /* 2053364 */   // Label 27339: @2053364
     /* 2053364 */   GIM_Try, /*On fail goto*//*Label 27340*/ GIMT_Encode4(2053455), // Rule ID 15352 //
     /* 2053369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2053380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2053383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2053386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2053389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053415 */     // MIs[0] round
     /* 2053415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053418 */     // MIs[0] policy
     /* 2053418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2053431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053454 */     // GIR_Coverage, 15352,
     /* 2053454 */     GIR_EraseRootFromParent_Done,
     /* 2053455 */   // Label 27340: @2053455
     /* 2053455 */   GIM_Try, /*On fail goto*//*Label 27341*/ GIMT_Encode4(2053546), // Rule ID 15353 //
     /* 2053460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2053471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2053474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2053477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2053480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053506 */     // MIs[0] round
     /* 2053506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053509 */     // MIs[0] policy
     /* 2053509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2053522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053545 */     // GIR_Coverage, 15353,
     /* 2053545 */     GIR_EraseRootFromParent_Done,
     /* 2053546 */   // Label 27341: @2053546
     /* 2053546 */   GIM_Try, /*On fail goto*//*Label 27342*/ GIMT_Encode4(2053637), // Rule ID 15356 //
     /* 2053551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2053562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2053565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2053568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2053571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053597 */     // MIs[0] round
     /* 2053597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053600 */     // MIs[0] policy
     /* 2053600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2053613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053636 */     // GIR_Coverage, 15356,
     /* 2053636 */     GIR_EraseRootFromParent_Done,
     /* 2053637 */   // Label 27342: @2053637
     /* 2053637 */   GIM_Try, /*On fail goto*//*Label 27343*/ GIMT_Encode4(2053728), // Rule ID 15357 //
     /* 2053642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2053653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2053656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2053659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2053662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053688 */     // MIs[0] round
     /* 2053688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053691 */     // MIs[0] policy
     /* 2053691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053701 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2053704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053727 */     // GIR_Coverage, 15357,
     /* 2053727 */     GIR_EraseRootFromParent_Done,
     /* 2053728 */   // Label 27343: @2053728
     /* 2053728 */   GIM_Try, /*On fail goto*//*Label 27344*/ GIMT_Encode4(2053819), // Rule ID 15360 //
     /* 2053733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2053744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2053747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2053750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2053753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053779 */     // MIs[0] round
     /* 2053779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053782 */     // MIs[0] policy
     /* 2053782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053792 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2053795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053818 */     // GIR_Coverage, 15360,
     /* 2053818 */     GIR_EraseRootFromParent_Done,
     /* 2053819 */   // Label 27344: @2053819
     /* 2053819 */   GIM_Try, /*On fail goto*//*Label 27345*/ GIMT_Encode4(2053910), // Rule ID 15361 //
     /* 2053824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2053835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2053838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2053841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2053844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053870 */     // MIs[0] round
     /* 2053870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053873 */     // MIs[0] policy
     /* 2053873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053883 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2053886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053909 */     // GIR_Coverage, 15361,
     /* 2053909 */     GIR_EraseRootFromParent_Done,
     /* 2053910 */   // Label 27345: @2053910
     /* 2053910 */   GIM_Try, /*On fail goto*//*Label 27346*/ GIMT_Encode4(2054001), // Rule ID 15364 //
     /* 2053915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2053918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2053923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2053926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2053929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2053932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2053935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2053938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053961 */     // MIs[0] round
     /* 2053961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053964 */     // MIs[0] policy
     /* 2053964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2053977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054000 */     // GIR_Coverage, 15364,
     /* 2054000 */     GIR_EraseRootFromParent_Done,
     /* 2054001 */   // Label 27346: @2054001
     /* 2054001 */   GIM_Try, /*On fail goto*//*Label 27347*/ GIMT_Encode4(2054092), // Rule ID 15365 //
     /* 2054006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2054026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054052 */     // MIs[0] round
     /* 2054052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054055 */     // MIs[0] policy
     /* 2054055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054065 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2054068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054091 */     // GIR_Coverage, 15365,
     /* 2054091 */     GIR_EraseRootFromParent_Done,
     /* 2054092 */   // Label 27347: @2054092
     /* 2054092 */   GIM_Try, /*On fail goto*//*Label 27348*/ GIMT_Encode4(2054183), // Rule ID 15368 //
     /* 2054097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2054117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054143 */     // MIs[0] round
     /* 2054143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054146 */     // MIs[0] policy
     /* 2054146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054156 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2054159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054182 */     // GIR_Coverage, 15368,
     /* 2054182 */     GIR_EraseRootFromParent_Done,
     /* 2054183 */   // Label 27348: @2054183
     /* 2054183 */   GIM_Try, /*On fail goto*//*Label 27349*/ GIMT_Encode4(2054274), // Rule ID 15369 //
     /* 2054188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2054208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054234 */     // MIs[0] round
     /* 2054234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054237 */     // MIs[0] policy
     /* 2054237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054247 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2054250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054273 */     // GIR_Coverage, 15369,
     /* 2054273 */     GIR_EraseRootFromParent_Done,
     /* 2054274 */   // Label 27349: @2054274
     /* 2054274 */   GIM_Try, /*On fail goto*//*Label 27350*/ GIMT_Encode4(2054365), // Rule ID 15372 //
     /* 2054279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2054299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054325 */     // MIs[0] round
     /* 2054325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054328 */     // MIs[0] policy
     /* 2054328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054338 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2054341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054364 */     // GIR_Coverage, 15372,
     /* 2054364 */     GIR_EraseRootFromParent_Done,
     /* 2054365 */   // Label 27350: @2054365
     /* 2054365 */   GIM_Try, /*On fail goto*//*Label 27351*/ GIMT_Encode4(2054456), // Rule ID 15373 //
     /* 2054370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2054390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054416 */     // MIs[0] round
     /* 2054416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054419 */     // MIs[0] policy
     /* 2054419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054429 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2054432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054455 */     // GIR_Coverage, 15373,
     /* 2054455 */     GIR_EraseRootFromParent_Done,
     /* 2054456 */   // Label 27351: @2054456
     /* 2054456 */   GIM_Try, /*On fail goto*//*Label 27352*/ GIMT_Encode4(2054547), // Rule ID 15376 //
     /* 2054461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2054472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2054475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2054478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054507 */     // MIs[0] round
     /* 2054507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054510 */     // MIs[0] policy
     /* 2054510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054520 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2054523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054546 */     // GIR_Coverage, 15376,
     /* 2054546 */     GIR_EraseRootFromParent_Done,
     /* 2054547 */   // Label 27352: @2054547
     /* 2054547 */   GIM_Try, /*On fail goto*//*Label 27353*/ GIMT_Encode4(2054638), // Rule ID 15377 //
     /* 2054552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2054563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2054566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2054569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054598 */     // MIs[0] round
     /* 2054598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054601 */     // MIs[0] policy
     /* 2054601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054611 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2054614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054637 */     // GIR_Coverage, 15377,
     /* 2054637 */     GIR_EraseRootFromParent_Done,
     /* 2054638 */   // Label 27353: @2054638
     /* 2054638 */   GIM_Try, /*On fail goto*//*Label 27354*/ GIMT_Encode4(2054729), // Rule ID 15380 //
     /* 2054643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2054654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2054657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2054660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054689 */     // MIs[0] round
     /* 2054689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054692 */     // MIs[0] policy
     /* 2054692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2054705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054728 */     // GIR_Coverage, 15380,
     /* 2054728 */     GIR_EraseRootFromParent_Done,
     /* 2054729 */   // Label 27354: @2054729
     /* 2054729 */   GIM_Try, /*On fail goto*//*Label 27355*/ GIMT_Encode4(2054820), // Rule ID 15381 //
     /* 2054734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2054745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2054748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2054751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054780 */     // MIs[0] round
     /* 2054780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054783 */     // MIs[0] policy
     /* 2054783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054793 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2054796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054819 */     // GIR_Coverage, 15381,
     /* 2054819 */     GIR_EraseRootFromParent_Done,
     /* 2054820 */   // Label 27355: @2054820
     /* 2054820 */   GIM_Try, /*On fail goto*//*Label 27356*/ GIMT_Encode4(2054911), // Rule ID 15384 //
     /* 2054825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2054836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2054839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2054842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054871 */     // MIs[0] round
     /* 2054871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054874 */     // MIs[0] policy
     /* 2054874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054884 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2054887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054910 */     // GIR_Coverage, 15384,
     /* 2054910 */     GIR_EraseRootFromParent_Done,
     /* 2054911 */   // Label 27356: @2054911
     /* 2054911 */   GIM_Try, /*On fail goto*//*Label 27357*/ GIMT_Encode4(2055002), // Rule ID 15385 //
     /* 2054916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2054927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2054930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2054933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054962 */     // MIs[0] round
     /* 2054962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054965 */     // MIs[0] policy
     /* 2054965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054975 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2054978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055001 */     // GIR_Coverage, 15385,
     /* 2055001 */     GIR_EraseRootFromParent_Done,
     /* 2055002 */   // Label 27357: @2055002
     /* 2055002 */   GIM_Try, /*On fail goto*//*Label 27358*/ GIMT_Encode4(2055093), // Rule ID 15388 //
     /* 2055007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2055027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055053 */     // MIs[0] round
     /* 2055053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055056 */     // MIs[0] policy
     /* 2055056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055066 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2055069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055092 */     // GIR_Coverage, 15388,
     /* 2055092 */     GIR_EraseRootFromParent_Done,
     /* 2055093 */   // Label 27358: @2055093
     /* 2055093 */   GIM_Try, /*On fail goto*//*Label 27359*/ GIMT_Encode4(2055184), // Rule ID 15389 //
     /* 2055098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055144 */     // MIs[0] round
     /* 2055144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055147 */     // MIs[0] policy
     /* 2055147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055157 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2055160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055183 */     // GIR_Coverage, 15389,
     /* 2055183 */     GIR_EraseRootFromParent_Done,
     /* 2055184 */   // Label 27359: @2055184
     /* 2055184 */   GIM_Try, /*On fail goto*//*Label 27360*/ GIMT_Encode4(2055275), // Rule ID 15392 //
     /* 2055189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2055209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055235 */     // MIs[0] round
     /* 2055235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055238 */     // MIs[0] policy
     /* 2055238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055248 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2055251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055274 */     // GIR_Coverage, 15392,
     /* 2055274 */     GIR_EraseRootFromParent_Done,
     /* 2055275 */   // Label 27360: @2055275
     /* 2055275 */   GIM_Try, /*On fail goto*//*Label 27361*/ GIMT_Encode4(2055366), // Rule ID 15393 //
     /* 2055280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055326 */     // MIs[0] round
     /* 2055326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055329 */     // MIs[0] policy
     /* 2055329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055339 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2055342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055365 */     // GIR_Coverage, 15393,
     /* 2055365 */     GIR_EraseRootFromParent_Done,
     /* 2055366 */   // Label 27361: @2055366
     /* 2055366 */   GIM_Try, /*On fail goto*//*Label 27362*/ GIMT_Encode4(2055457), // Rule ID 15396 //
     /* 2055371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2055382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2055385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2055388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2055391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055417 */     // MIs[0] round
     /* 2055417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055420 */     // MIs[0] policy
     /* 2055420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055430 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2055433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055456 */     // GIR_Coverage, 15396,
     /* 2055456 */     GIR_EraseRootFromParent_Done,
     /* 2055457 */   // Label 27362: @2055457
     /* 2055457 */   GIM_Try, /*On fail goto*//*Label 27363*/ GIMT_Encode4(2055548), // Rule ID 15397 //
     /* 2055462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2055473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2055476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2055479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055508 */     // MIs[0] round
     /* 2055508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055511 */     // MIs[0] policy
     /* 2055511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2055524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055547 */     // GIR_Coverage, 15397,
     /* 2055547 */     GIR_EraseRootFromParent_Done,
     /* 2055548 */   // Label 27363: @2055548
     /* 2055548 */   GIM_Try, /*On fail goto*//*Label 27364*/ GIMT_Encode4(2055639), // Rule ID 15400 //
     /* 2055553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2055564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2055567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2055570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2055573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055599 */     // MIs[0] round
     /* 2055599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055602 */     // MIs[0] policy
     /* 2055602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055612 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2055615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055638 */     // GIR_Coverage, 15400,
     /* 2055638 */     GIR_EraseRootFromParent_Done,
     /* 2055639 */   // Label 27364: @2055639
     /* 2055639 */   GIM_Try, /*On fail goto*//*Label 27365*/ GIMT_Encode4(2055730), // Rule ID 15401 //
     /* 2055644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2055655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2055658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2055661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055690 */     // MIs[0] round
     /* 2055690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055693 */     // MIs[0] policy
     /* 2055693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2055706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055729 */     // GIR_Coverage, 15401,
     /* 2055729 */     GIR_EraseRootFromParent_Done,
     /* 2055730 */   // Label 27365: @2055730
     /* 2055730 */   GIM_Try, /*On fail goto*//*Label 27366*/ GIMT_Encode4(2055821), // Rule ID 15404 //
     /* 2055735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2055746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2055749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2055752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2055755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055781 */     // MIs[0] round
     /* 2055781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055784 */     // MIs[0] policy
     /* 2055784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055794 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2055797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055820 */     // GIR_Coverage, 15404,
     /* 2055820 */     GIR_EraseRootFromParent_Done,
     /* 2055821 */   // Label 27366: @2055821
     /* 2055821 */   GIM_Try, /*On fail goto*//*Label 27367*/ GIMT_Encode4(2055912), // Rule ID 15405 //
     /* 2055826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2055837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2055840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2055843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055872 */     // MIs[0] round
     /* 2055872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055875 */     // MIs[0] policy
     /* 2055875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055885 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2055888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055911 */     // GIR_Coverage, 15405,
     /* 2055911 */     GIR_EraseRootFromParent_Done,
     /* 2055912 */   // Label 27367: @2055912
     /* 2055912 */   GIM_Try, /*On fail goto*//*Label 27368*/ GIMT_Encode4(2056003), // Rule ID 15408 //
     /* 2055917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2055928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2055931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2055934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2055937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055963 */     // MIs[0] round
     /* 2055963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055966 */     // MIs[0] policy
     /* 2055966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2055979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056002 */     // GIR_Coverage, 15408,
     /* 2056002 */     GIR_EraseRootFromParent_Done,
     /* 2056003 */   // Label 27368: @2056003
     /* 2056003 */   GIM_Try, /*On fail goto*//*Label 27369*/ GIMT_Encode4(2056094), // Rule ID 15409 //
     /* 2056008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2056019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2056022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2056025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056054 */     // MIs[0] round
     /* 2056054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056057 */     // MIs[0] policy
     /* 2056057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2056070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056093 */     // GIR_Coverage, 15409,
     /* 2056093 */     GIR_EraseRootFromParent_Done,
     /* 2056094 */   // Label 27369: @2056094
     /* 2056094 */   GIM_Try, /*On fail goto*//*Label 27370*/ GIMT_Encode4(2056185), // Rule ID 15412 //
     /* 2056099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2056102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2056110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2056113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2056116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056145 */     // MIs[0] round
     /* 2056145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056148 */     // MIs[0] policy
     /* 2056148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2056161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056184 */     // GIR_Coverage, 15412,
     /* 2056184 */     GIR_EraseRootFromParent_Done,
     /* 2056185 */   // Label 27370: @2056185
     /* 2056185 */   GIM_Try, /*On fail goto*//*Label 27371*/ GIMT_Encode4(2056276), // Rule ID 15413 //
     /* 2056190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2056193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2056201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2056204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2056207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056236 */     // MIs[0] round
     /* 2056236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056239 */     // MIs[0] policy
     /* 2056239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056249 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2056252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056275 */     // GIR_Coverage, 15413,
     /* 2056275 */     GIR_EraseRootFromParent_Done,
     /* 2056276 */   // Label 27371: @2056276
     /* 2056276 */   GIM_Try, /*On fail goto*//*Label 27372*/ GIMT_Encode4(2056367), // Rule ID 15416 //
     /* 2056281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056327 */     // MIs[0] round
     /* 2056327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056330 */     // MIs[0] policy
     /* 2056330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056340 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2056343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056366 */     // GIR_Coverage, 15416,
     /* 2056366 */     GIR_EraseRootFromParent_Done,
     /* 2056367 */   // Label 27372: @2056367
     /* 2056367 */   GIM_Try, /*On fail goto*//*Label 27373*/ GIMT_Encode4(2056458), // Rule ID 15417 //
     /* 2056372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056418 */     // MIs[0] round
     /* 2056418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056421 */     // MIs[0] policy
     /* 2056421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056431 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2056434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056457 */     // GIR_Coverage, 15417,
     /* 2056457 */     GIR_EraseRootFromParent_Done,
     /* 2056458 */   // Label 27373: @2056458
     /* 2056458 */   GIM_Try, /*On fail goto*//*Label 27374*/ GIMT_Encode4(2056549), // Rule ID 15420 //
     /* 2056463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2056474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2056477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2056480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056509 */     // MIs[0] round
     /* 2056509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056512 */     // MIs[0] policy
     /* 2056512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056522 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2056525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056548 */     // GIR_Coverage, 15420,
     /* 2056548 */     GIR_EraseRootFromParent_Done,
     /* 2056549 */   // Label 27374: @2056549
     /* 2056549 */   GIM_Try, /*On fail goto*//*Label 27375*/ GIMT_Encode4(2056640), // Rule ID 15421 //
     /* 2056554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2056565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2056568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2056571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056600 */     // MIs[0] round
     /* 2056600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056603 */     // MIs[0] policy
     /* 2056603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056613 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2056616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056639 */     // GIR_Coverage, 15421,
     /* 2056639 */     GIR_EraseRootFromParent_Done,
     /* 2056640 */   // Label 27375: @2056640
     /* 2056640 */   GIM_Try, /*On fail goto*//*Label 27376*/ GIMT_Encode4(2056731), // Rule ID 15424 //
     /* 2056645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2056656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2056659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2056662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2056668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056691 */     // MIs[0] round
     /* 2056691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056694 */     // MIs[0] policy
     /* 2056694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056704 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2056707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056730 */     // GIR_Coverage, 15424,
     /* 2056730 */     GIR_EraseRootFromParent_Done,
     /* 2056731 */   // Label 27376: @2056731
     /* 2056731 */   GIM_Try, /*On fail goto*//*Label 27377*/ GIMT_Encode4(2056822), // Rule ID 15425 //
     /* 2056736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2056747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2056750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2056753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2056759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056782 */     // MIs[0] round
     /* 2056782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056785 */     // MIs[0] policy
     /* 2056785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056795 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2056798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056821 */     // GIR_Coverage, 15425,
     /* 2056821 */     GIR_EraseRootFromParent_Done,
     /* 2056822 */   // Label 27377: @2056822
     /* 2056822 */   GIM_Try, /*On fail goto*//*Label 27378*/ GIMT_Encode4(2056913), // Rule ID 15428 //
     /* 2056827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2056838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2056841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2056844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056873 */     // MIs[0] round
     /* 2056873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056876 */     // MIs[0] policy
     /* 2056876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056886 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2056889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056912 */     // GIR_Coverage, 15428,
     /* 2056912 */     GIR_EraseRootFromParent_Done,
     /* 2056913 */   // Label 27378: @2056913
     /* 2056913 */   GIM_Try, /*On fail goto*//*Label 27379*/ GIMT_Encode4(2057004), // Rule ID 15429 //
     /* 2056918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2056929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2056932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2056935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056964 */     // MIs[0] round
     /* 2056964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056967 */     // MIs[0] policy
     /* 2056967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056977 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2056980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057003 */     // GIR_Coverage, 15429,
     /* 2057003 */     GIR_EraseRootFromParent_Done,
     /* 2057004 */   // Label 27379: @2057004
     /* 2057004 */   GIM_Try, /*On fail goto*//*Label 27380*/ GIMT_Encode4(2057095), // Rule ID 15432 //
     /* 2057009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057055 */     // MIs[0] round
     /* 2057055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057058 */     // MIs[0] policy
     /* 2057058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057068 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2057071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057094 */     // GIR_Coverage, 15432,
     /* 2057094 */     GIR_EraseRootFromParent_Done,
     /* 2057095 */   // Label 27380: @2057095
     /* 2057095 */   GIM_Try, /*On fail goto*//*Label 27381*/ GIMT_Encode4(2057186), // Rule ID 15433 //
     /* 2057100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057146 */     // MIs[0] round
     /* 2057146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057149 */     // MIs[0] policy
     /* 2057149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057159 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2057162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057185 */     // GIR_Coverage, 15433,
     /* 2057185 */     GIR_EraseRootFromParent_Done,
     /* 2057186 */   // Label 27381: @2057186
     /* 2057186 */   GIM_Try, /*On fail goto*//*Label 27382*/ GIMT_Encode4(2057277), // Rule ID 15436 //
     /* 2057191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057237 */     // MIs[0] round
     /* 2057237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057240 */     // MIs[0] policy
     /* 2057240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057250 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2057253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057276 */     // GIR_Coverage, 15436,
     /* 2057276 */     GIR_EraseRootFromParent_Done,
     /* 2057277 */   // Label 27382: @2057277
     /* 2057277 */   GIM_Try, /*On fail goto*//*Label 27383*/ GIMT_Encode4(2057368), // Rule ID 15437 //
     /* 2057282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057328 */     // MIs[0] round
     /* 2057328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057331 */     // MIs[0] policy
     /* 2057331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057341 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2057344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057367 */     // GIR_Coverage, 15437,
     /* 2057367 */     GIR_EraseRootFromParent_Done,
     /* 2057368 */   // Label 27383: @2057368
     /* 2057368 */   GIM_Try, /*On fail goto*//*Label 27384*/ GIMT_Encode4(2057459), // Rule ID 15440 //
     /* 2057373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2057384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2057387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2057390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057419 */     // MIs[0] round
     /* 2057419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057422 */     // MIs[0] policy
     /* 2057422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057432 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2057435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057458 */     // GIR_Coverage, 15440,
     /* 2057458 */     GIR_EraseRootFromParent_Done,
     /* 2057459 */   // Label 27384: @2057459
     /* 2057459 */   GIM_Try, /*On fail goto*//*Label 27385*/ GIMT_Encode4(2057550), // Rule ID 15441 //
     /* 2057464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2057475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2057478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2057481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057510 */     // MIs[0] round
     /* 2057510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057513 */     // MIs[0] policy
     /* 2057513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057523 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2057526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057549 */     // GIR_Coverage, 15441,
     /* 2057549 */     GIR_EraseRootFromParent_Done,
     /* 2057550 */   // Label 27385: @2057550
     /* 2057550 */   GIM_Try, /*On fail goto*//*Label 27386*/ GIMT_Encode4(2057641), // Rule ID 15444 //
     /* 2057555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2057566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2057569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2057572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057601 */     // MIs[0] round
     /* 2057601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057604 */     // MIs[0] policy
     /* 2057604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057614 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2057617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057640 */     // GIR_Coverage, 15444,
     /* 2057640 */     GIR_EraseRootFromParent_Done,
     /* 2057641 */   // Label 27386: @2057641
     /* 2057641 */   GIM_Try, /*On fail goto*//*Label 27387*/ GIMT_Encode4(2057732), // Rule ID 15445 //
     /* 2057646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2057657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2057660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2057663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057692 */     // MIs[0] round
     /* 2057692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057695 */     // MIs[0] policy
     /* 2057695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057705 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2057708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057731 */     // GIR_Coverage, 15445,
     /* 2057731 */     GIR_EraseRootFromParent_Done,
     /* 2057732 */   // Label 27387: @2057732
     /* 2057732 */   GIM_Try, /*On fail goto*//*Label 27388*/ GIMT_Encode4(2057823), // Rule ID 15448 //
     /* 2057737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2057748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2057751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2057754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057783 */     // MIs[0] round
     /* 2057783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057786 */     // MIs[0] policy
     /* 2057786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2057799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057822 */     // GIR_Coverage, 15448,
     /* 2057822 */     GIR_EraseRootFromParent_Done,
     /* 2057823 */   // Label 27388: @2057823
     /* 2057823 */   GIM_Try, /*On fail goto*//*Label 27389*/ GIMT_Encode4(2057914), // Rule ID 15449 //
     /* 2057828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2057839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2057842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2057845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057874 */     // MIs[0] round
     /* 2057874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057877 */     // MIs[0] policy
     /* 2057877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057887 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2057890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057913 */     // GIR_Coverage, 15449,
     /* 2057913 */     GIR_EraseRootFromParent_Done,
     /* 2057914 */   // Label 27389: @2057914
     /* 2057914 */   GIM_Try, /*On fail goto*//*Label 27390*/ GIMT_Encode4(2058005), // Rule ID 15452 //
     /* 2057919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2057922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2057930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2057933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2057936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057965 */     // MIs[0] round
     /* 2057965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057968 */     // MIs[0] policy
     /* 2057968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2057981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058004 */     // GIR_Coverage, 15452,
     /* 2058004 */     GIR_EraseRootFromParent_Done,
     /* 2058005 */   // Label 27390: @2058005
     /* 2058005 */   GIM_Try, /*On fail goto*//*Label 27391*/ GIMT_Encode4(2058096), // Rule ID 15453 //
     /* 2058010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2058013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2058021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2058024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2058027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058056 */     // MIs[0] round
     /* 2058056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058059 */     // MIs[0] policy
     /* 2058059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058069 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2058072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058095 */     // GIR_Coverage, 15453,
     /* 2058095 */     GIR_EraseRootFromParent_Done,
     /* 2058096 */   // Label 27391: @2058096
     /* 2058096 */   GIM_Try, /*On fail goto*//*Label 27392*/ GIMT_Encode4(2058187), // Rule ID 15456 //
     /* 2058101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2058104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2058112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2058115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2058118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058147 */     // MIs[0] round
     /* 2058147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058150 */     // MIs[0] policy
     /* 2058150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058160 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2058163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058186 */     // GIR_Coverage, 15456,
     /* 2058186 */     GIR_EraseRootFromParent_Done,
     /* 2058187 */   // Label 27392: @2058187
     /* 2058187 */   GIM_Try, /*On fail goto*//*Label 27393*/ GIMT_Encode4(2058278), // Rule ID 15457 //
     /* 2058192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2058195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2058203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2058206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2058209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058238 */     // MIs[0] round
     /* 2058238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058241 */     // MIs[0] policy
     /* 2058241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058251 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2058254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058277 */     // GIR_Coverage, 15457,
     /* 2058277 */     GIR_EraseRootFromParent_Done,
     /* 2058278 */   // Label 27393: @2058278
     /* 2058278 */   GIM_Try, /*On fail goto*//*Label 27394*/ GIMT_Encode4(2058369), // Rule ID 15460 //
     /* 2058283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2058286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2058294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2058297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2058300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058329 */     // MIs[0] round
     /* 2058329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058332 */     // MIs[0] policy
     /* 2058332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058342 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2058345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058368 */     // GIR_Coverage, 15460,
     /* 2058368 */     GIR_EraseRootFromParent_Done,
     /* 2058369 */   // Label 27394: @2058369
     /* 2058369 */   GIM_Try, /*On fail goto*//*Label 27395*/ GIMT_Encode4(2058460), // Rule ID 15461 //
     /* 2058374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2058377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2058385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2058388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2058391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058420 */     // MIs[0] round
     /* 2058420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058423 */     // MIs[0] policy
     /* 2058423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058433 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2058436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058459 */     // GIR_Coverage, 15461,
     /* 2058459 */     GIR_EraseRootFromParent_Done,
     /* 2058460 */   // Label 27395: @2058460
     /* 2058460 */   GIM_Try, /*On fail goto*//*Label 27396*/ GIMT_Encode4(2058551), // Rule ID 15464 //
     /* 2058465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2058485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058511 */     // MIs[0] round
     /* 2058511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058514 */     // MIs[0] policy
     /* 2058514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058524 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2058527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058550 */     // GIR_Coverage, 15464,
     /* 2058550 */     GIR_EraseRootFromParent_Done,
     /* 2058551 */   // Label 27396: @2058551
     /* 2058551 */   GIM_Try, /*On fail goto*//*Label 27397*/ GIMT_Encode4(2058642), // Rule ID 15465 //
     /* 2058556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2058576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058602 */     // MIs[0] round
     /* 2058602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058605 */     // MIs[0] policy
     /* 2058605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058615 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2058618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058641 */     // GIR_Coverage, 15465,
     /* 2058641 */     GIR_EraseRootFromParent_Done,
     /* 2058642 */   // Label 27397: @2058642
     /* 2058642 */   GIM_Try, /*On fail goto*//*Label 27398*/ GIMT_Encode4(2058733), // Rule ID 15468 //
     /* 2058647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2058658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2058661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2058664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2058667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058693 */     // MIs[0] round
     /* 2058693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058696 */     // MIs[0] policy
     /* 2058696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058706 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2058709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058732 */     // GIR_Coverage, 15468,
     /* 2058732 */     GIR_EraseRootFromParent_Done,
     /* 2058733 */   // Label 27398: @2058733
     /* 2058733 */   GIM_Try, /*On fail goto*//*Label 27399*/ GIMT_Encode4(2058824), // Rule ID 15469 //
     /* 2058738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2058749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2058752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2058755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2058758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058784 */     // MIs[0] round
     /* 2058784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058787 */     // MIs[0] policy
     /* 2058787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058797 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2058800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058823 */     // GIR_Coverage, 15469,
     /* 2058823 */     GIR_EraseRootFromParent_Done,
     /* 2058824 */   // Label 27399: @2058824
     /* 2058824 */   GIM_Try, /*On fail goto*//*Label 27400*/ GIMT_Encode4(2058915), // Rule ID 15472 //
     /* 2058829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2058840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2058843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2058846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2058849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058875 */     // MIs[0] round
     /* 2058875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058878 */     // MIs[0] policy
     /* 2058878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058888 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2058891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058914 */     // GIR_Coverage, 15472,
     /* 2058914 */     GIR_EraseRootFromParent_Done,
     /* 2058915 */   // Label 27400: @2058915
     /* 2058915 */   GIM_Try, /*On fail goto*//*Label 27401*/ GIMT_Encode4(2059006), // Rule ID 15473 //
     /* 2058920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2058931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2058934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2058937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2058940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058966 */     // MIs[0] round
     /* 2058966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058969 */     // MIs[0] policy
     /* 2058969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058979 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2058982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059005 */     // GIR_Coverage, 15473,
     /* 2059005 */     GIR_EraseRootFromParent_Done,
     /* 2059006 */   // Label 27401: @2059006
     /* 2059006 */   GIM_Try, /*On fail goto*//*Label 27402*/ GIMT_Encode4(2059097), // Rule ID 15476 //
     /* 2059011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2059022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2059025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2059028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2059031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059057 */     // MIs[0] round
     /* 2059057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059060 */     // MIs[0] policy
     /* 2059060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059070 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2059073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059096 */     // GIR_Coverage, 15476,
     /* 2059096 */     GIR_EraseRootFromParent_Done,
     /* 2059097 */   // Label 27402: @2059097
     /* 2059097 */   GIM_Try, /*On fail goto*//*Label 27403*/ GIMT_Encode4(2059188), // Rule ID 15477 //
     /* 2059102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2059113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2059116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2059119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2059122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059148 */     // MIs[0] round
     /* 2059148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059151 */     // MIs[0] policy
     /* 2059151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059161 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2059164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059187 */     // GIR_Coverage, 15477,
     /* 2059187 */     GIR_EraseRootFromParent_Done,
     /* 2059188 */   // Label 27403: @2059188
     /* 2059188 */   GIM_Try, /*On fail goto*//*Label 27404*/ GIMT_Encode4(2059279), // Rule ID 15480 //
     /* 2059193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2059204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2059207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2059210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2059213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059239 */     // MIs[0] round
     /* 2059239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059242 */     // MIs[0] policy
     /* 2059242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059252 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2059255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059278 */     // GIR_Coverage, 15480,
     /* 2059278 */     GIR_EraseRootFromParent_Done,
     /* 2059279 */   // Label 27404: @2059279
     /* 2059279 */   GIM_Try, /*On fail goto*//*Label 27405*/ GIMT_Encode4(2059370), // Rule ID 15481 //
     /* 2059284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2059295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2059298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2059301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2059304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059330 */     // MIs[0] round
     /* 2059330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059333 */     // MIs[0] policy
     /* 2059333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059343 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2059346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059369 */     // GIR_Coverage, 15481,
     /* 2059369 */     GIR_EraseRootFromParent_Done,
     /* 2059370 */   // Label 27405: @2059370
     /* 2059370 */   GIM_Try, /*On fail goto*//*Label 27406*/ GIMT_Encode4(2059461), // Rule ID 15484 //
     /* 2059375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2059386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2059389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2059392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2059395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059421 */     // MIs[0] round
     /* 2059421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059424 */     // MIs[0] policy
     /* 2059424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059434 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2059437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059460 */     // GIR_Coverage, 15484,
     /* 2059460 */     GIR_EraseRootFromParent_Done,
     /* 2059461 */   // Label 27406: @2059461
     /* 2059461 */   GIM_Try, /*On fail goto*//*Label 27407*/ GIMT_Encode4(2059552), // Rule ID 15485 //
     /* 2059466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2059477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2059480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2059483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2059486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059512 */     // MIs[0] round
     /* 2059512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059515 */     // MIs[0] policy
     /* 2059515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059525 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2059528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059551 */     // GIR_Coverage, 15485,
     /* 2059551 */     GIR_EraseRootFromParent_Done,
     /* 2059552 */   // Label 27407: @2059552
     /* 2059552 */   GIM_Try, /*On fail goto*//*Label 27408*/ GIMT_Encode4(2059643), // Rule ID 15488 //
     /* 2059557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2059568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2059571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2059574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2059577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059603 */     // MIs[0] round
     /* 2059603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059606 */     // MIs[0] policy
     /* 2059606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059616 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2059619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059642 */     // GIR_Coverage, 15488,
     /* 2059642 */     GIR_EraseRootFromParent_Done,
     /* 2059643 */   // Label 27408: @2059643
     /* 2059643 */   GIM_Try, /*On fail goto*//*Label 27409*/ GIMT_Encode4(2059734), // Rule ID 15489 //
     /* 2059648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2059659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2059662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2059665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2059668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059694 */     // MIs[0] round
     /* 2059694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059697 */     // MIs[0] policy
     /* 2059697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059707 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2059710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059733 */     // GIR_Coverage, 15489,
     /* 2059733 */     GIR_EraseRootFromParent_Done,
     /* 2059734 */   // Label 27409: @2059734
     /* 2059734 */   GIM_Try, /*On fail goto*//*Label 27410*/ GIMT_Encode4(2059825), // Rule ID 15492 //
     /* 2059739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2059750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2059753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2059756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2059759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059785 */     // MIs[0] round
     /* 2059785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059788 */     // MIs[0] policy
     /* 2059788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2059801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059824 */     // GIR_Coverage, 15492,
     /* 2059824 */     GIR_EraseRootFromParent_Done,
     /* 2059825 */   // Label 27410: @2059825
     /* 2059825 */   GIM_Try, /*On fail goto*//*Label 27411*/ GIMT_Encode4(2059916), // Rule ID 15493 //
     /* 2059830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2059841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2059844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2059847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2059850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059876 */     // MIs[0] round
     /* 2059876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059879 */     // MIs[0] policy
     /* 2059879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059889 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2059892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059915 */     // GIR_Coverage, 15493,
     /* 2059915 */     GIR_EraseRootFromParent_Done,
     /* 2059916 */   // Label 27411: @2059916
     /* 2059916 */   GIM_Try, /*On fail goto*//*Label 27412*/ GIMT_Encode4(2060007), // Rule ID 15496 //
     /* 2059921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2059932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2059935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2059938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2059941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059967 */     // MIs[0] round
     /* 2059967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059970 */     // MIs[0] policy
     /* 2059970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2059983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060006 */     // GIR_Coverage, 15496,
     /* 2060006 */     GIR_EraseRootFromParent_Done,
     /* 2060007 */   // Label 27412: @2060007
     /* 2060007 */   GIM_Try, /*On fail goto*//*Label 27413*/ GIMT_Encode4(2060098), // Rule ID 15497 //
     /* 2060012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2060023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2060026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2060029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2060032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060058 */     // MIs[0] round
     /* 2060058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060061 */     // MIs[0] policy
     /* 2060061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2060074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060097 */     // GIR_Coverage, 15497,
     /* 2060097 */     GIR_EraseRootFromParent_Done,
     /* 2060098 */   // Label 27413: @2060098
     /* 2060098 */   GIM_Try, /*On fail goto*//*Label 27414*/ GIMT_Encode4(2060189), // Rule ID 15500 //
     /* 2060103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2060106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2060114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2060117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2060120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2060123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060149 */     // MIs[0] round
     /* 2060149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060152 */     // MIs[0] policy
     /* 2060152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2060165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060188 */     // GIR_Coverage, 15500,
     /* 2060188 */     GIR_EraseRootFromParent_Done,
     /* 2060189 */   // Label 27414: @2060189
     /* 2060189 */   GIM_Try, /*On fail goto*//*Label 27415*/ GIMT_Encode4(2060280), // Rule ID 15501 //
     /* 2060194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2060197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2060205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2060208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2060211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2060214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060240 */     // MIs[0] round
     /* 2060240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060243 */     // MIs[0] policy
     /* 2060243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2060256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060279 */     // GIR_Coverage, 15501,
     /* 2060279 */     GIR_EraseRootFromParent_Done,
     /* 2060280 */   // Label 27415: @2060280
     /* 2060280 */   GIM_Try, /*On fail goto*//*Label 27416*/ GIMT_Encode4(2060371), // Rule ID 15504 //
     /* 2060285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2060296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2060299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2060302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2060305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060331 */     // MIs[0] round
     /* 2060331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060334 */     // MIs[0] policy
     /* 2060334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060344 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2060347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060370 */     // GIR_Coverage, 15504,
     /* 2060370 */     GIR_EraseRootFromParent_Done,
     /* 2060371 */   // Label 27416: @2060371
     /* 2060371 */   GIM_Try, /*On fail goto*//*Label 27417*/ GIMT_Encode4(2060462), // Rule ID 15505 //
     /* 2060376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2060387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2060390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2060393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2060396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060422 */     // MIs[0] round
     /* 2060422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060425 */     // MIs[0] policy
     /* 2060425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060435 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2060438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060461 */     // GIR_Coverage, 15505,
     /* 2060461 */     GIR_EraseRootFromParent_Done,
     /* 2060462 */   // Label 27417: @2060462
     /* 2060462 */   GIM_Try, /*On fail goto*//*Label 27418*/ GIMT_Encode4(2060553), // Rule ID 15508 //
     /* 2060467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2060478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2060481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2060484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2060487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060513 */     // MIs[0] round
     /* 2060513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060516 */     // MIs[0] policy
     /* 2060516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060526 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2060529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060552 */     // GIR_Coverage, 15508,
     /* 2060552 */     GIR_EraseRootFromParent_Done,
     /* 2060553 */   // Label 27418: @2060553
     /* 2060553 */   GIM_Try, /*On fail goto*//*Label 27419*/ GIMT_Encode4(2060644), // Rule ID 15509 //
     /* 2060558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2060569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2060572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2060575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2060578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060604 */     // MIs[0] round
     /* 2060604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060607 */     // MIs[0] policy
     /* 2060607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060617 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2060620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060643 */     // GIR_Coverage, 15509,
     /* 2060643 */     GIR_EraseRootFromParent_Done,
     /* 2060644 */   // Label 27419: @2060644
     /* 2060644 */   GIM_Try, /*On fail goto*//*Label 27420*/ GIMT_Encode4(2060735), // Rule ID 15512 //
     /* 2060649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2060660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2060663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2060666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2060669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2060672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060695 */     // MIs[0] round
     /* 2060695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060698 */     // MIs[0] policy
     /* 2060698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060708 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2060711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060734 */     // GIR_Coverage, 15512,
     /* 2060734 */     GIR_EraseRootFromParent_Done,
     /* 2060735 */   // Label 27420: @2060735
     /* 2060735 */   GIM_Try, /*On fail goto*//*Label 27421*/ GIMT_Encode4(2060826), // Rule ID 15513 //
     /* 2060740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2060751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2060754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2060757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2060760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2060763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060786 */     // MIs[0] round
     /* 2060786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060789 */     // MIs[0] policy
     /* 2060789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060799 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2060802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060825 */     // GIR_Coverage, 15513,
     /* 2060825 */     GIR_EraseRootFromParent_Done,
     /* 2060826 */   // Label 27421: @2060826
     /* 2060826 */   GIM_Try, /*On fail goto*//*Label 27422*/ GIMT_Encode4(2060917), // Rule ID 15516 //
     /* 2060831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2060842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2060845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2060848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2060851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060877 */     // MIs[0] round
     /* 2060877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060880 */     // MIs[0] policy
     /* 2060880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060890 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2060893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060916 */     // GIR_Coverage, 15516,
     /* 2060916 */     GIR_EraseRootFromParent_Done,
     /* 2060917 */   // Label 27422: @2060917
     /* 2060917 */   GIM_Try, /*On fail goto*//*Label 27423*/ GIMT_Encode4(2061008), // Rule ID 15517 //
     /* 2060922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2060930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2060933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2060936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2060939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2060942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060968 */     // MIs[0] round
     /* 2060968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060971 */     // MIs[0] policy
     /* 2060971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060981 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2060984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061007 */     // GIR_Coverage, 15517,
     /* 2061007 */     GIR_EraseRootFromParent_Done,
     /* 2061008 */   // Label 27423: @2061008
     /* 2061008 */   GIM_Try, /*On fail goto*//*Label 27424*/ GIMT_Encode4(2061099), // Rule ID 15520 //
     /* 2061013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2061024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2061027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2061030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2061033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061059 */     // MIs[0] round
     /* 2061059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061062 */     // MIs[0] policy
     /* 2061062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061072 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2061075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061098 */     // GIR_Coverage, 15520,
     /* 2061098 */     GIR_EraseRootFromParent_Done,
     /* 2061099 */   // Label 27424: @2061099
     /* 2061099 */   GIM_Try, /*On fail goto*//*Label 27425*/ GIMT_Encode4(2061190), // Rule ID 15521 //
     /* 2061104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2061115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2061118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2061121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2061124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061150 */     // MIs[0] round
     /* 2061150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061153 */     // MIs[0] policy
     /* 2061153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2061166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061189 */     // GIR_Coverage, 15521,
     /* 2061189 */     GIR_EraseRootFromParent_Done,
     /* 2061190 */   // Label 27425: @2061190
     /* 2061190 */   GIM_Try, /*On fail goto*//*Label 27426*/ GIMT_Encode4(2061281), // Rule ID 15524 //
     /* 2061195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2061206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2061209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2061212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2061215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061241 */     // MIs[0] round
     /* 2061241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061244 */     // MIs[0] policy
     /* 2061244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061254 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2061257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061280 */     // GIR_Coverage, 15524,
     /* 2061280 */     GIR_EraseRootFromParent_Done,
     /* 2061281 */   // Label 27426: @2061281
     /* 2061281 */   GIM_Try, /*On fail goto*//*Label 27427*/ GIMT_Encode4(2061372), // Rule ID 15525 //
     /* 2061286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2061297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2061300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2061303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2061306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061332 */     // MIs[0] round
     /* 2061332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061335 */     // MIs[0] policy
     /* 2061335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061345 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2061348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061371 */     // GIR_Coverage, 15525,
     /* 2061371 */     GIR_EraseRootFromParent_Done,
     /* 2061372 */   // Label 27427: @2061372
     /* 2061372 */   GIM_Try, /*On fail goto*//*Label 27428*/ GIMT_Encode4(2061463), // Rule ID 15528 //
     /* 2061377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2061388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2061391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2061394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2061397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061423 */     // MIs[0] round
     /* 2061423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061426 */     // MIs[0] policy
     /* 2061426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2061439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061462 */     // GIR_Coverage, 15528,
     /* 2061462 */     GIR_EraseRootFromParent_Done,
     /* 2061463 */   // Label 27428: @2061463
     /* 2061463 */   GIM_Try, /*On fail goto*//*Label 27429*/ GIMT_Encode4(2061554), // Rule ID 15529 //
     /* 2061468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2061479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2061482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2061485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2061488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061514 */     // MIs[0] round
     /* 2061514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061517 */     // MIs[0] policy
     /* 2061517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2061530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061553 */     // GIR_Coverage, 15529,
     /* 2061553 */     GIR_EraseRootFromParent_Done,
     /* 2061554 */   // Label 27429: @2061554
     /* 2061554 */   GIM_Try, /*On fail goto*//*Label 27430*/ GIMT_Encode4(2061645), // Rule ID 15532 //
     /* 2061559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2061570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2061573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2061576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2061579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061605 */     // MIs[0] round
     /* 2061605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061608 */     // MIs[0] policy
     /* 2061608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2061621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061644 */     // GIR_Coverage, 15532,
     /* 2061644 */     GIR_EraseRootFromParent_Done,
     /* 2061645 */   // Label 27430: @2061645
     /* 2061645 */   GIM_Try, /*On fail goto*//*Label 27431*/ GIMT_Encode4(2061736), // Rule ID 15533 //
     /* 2061650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2061661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2061664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2061667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2061670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061696 */     // MIs[0] round
     /* 2061696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061699 */     // MIs[0] policy
     /* 2061699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061709 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2061712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061735 */     // GIR_Coverage, 15533,
     /* 2061735 */     GIR_EraseRootFromParent_Done,
     /* 2061736 */   // Label 27431: @2061736
     /* 2061736 */   GIM_Try, /*On fail goto*//*Label 27432*/ GIMT_Encode4(2061827), // Rule ID 15536 //
     /* 2061741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2061752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2061755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2061758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2061761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061787 */     // MIs[0] round
     /* 2061787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061790 */     // MIs[0] policy
     /* 2061790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061800 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2061803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061826 */     // GIR_Coverage, 15536,
     /* 2061826 */     GIR_EraseRootFromParent_Done,
     /* 2061827 */   // Label 27432: @2061827
     /* 2061827 */   GIM_Try, /*On fail goto*//*Label 27433*/ GIMT_Encode4(2061918), // Rule ID 15537 //
     /* 2061832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2061843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2061846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2061849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2061852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061878 */     // MIs[0] round
     /* 2061878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061881 */     // MIs[0] policy
     /* 2061881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061891 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2061894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061917 */     // GIR_Coverage, 15537,
     /* 2061917 */     GIR_EraseRootFromParent_Done,
     /* 2061918 */   // Label 27433: @2061918
     /* 2061918 */   GIM_Try, /*On fail goto*//*Label 27434*/ GIMT_Encode4(2062009), // Rule ID 15540 //
     /* 2061923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2061926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2061931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2061934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2061937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2061940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2061943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061969 */     // MIs[0] round
     /* 2061969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061972 */     // MIs[0] policy
     /* 2061972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061982 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2061985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062008 */     // GIR_Coverage, 15540,
     /* 2062008 */     GIR_EraseRootFromParent_Done,
     /* 2062009 */   // Label 27434: @2062009
     /* 2062009 */   GIM_Try, /*On fail goto*//*Label 27435*/ GIMT_Encode4(2062100), // Rule ID 15541 //
     /* 2062014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2062017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2062034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062060 */     // MIs[0] round
     /* 2062060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062063 */     // MIs[0] policy
     /* 2062063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062073 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2062076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062099 */     // GIR_Coverage, 15541,
     /* 2062099 */     GIR_EraseRootFromParent_Done,
     /* 2062100 */   // Label 27435: @2062100
     /* 2062100 */   GIM_Try, /*On fail goto*//*Label 27436*/ GIMT_Encode4(2062191), // Rule ID 15544 //
     /* 2062105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2062108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2062125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062151 */     // MIs[0] round
     /* 2062151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062154 */     // MIs[0] policy
     /* 2062154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062164 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2062167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062190 */     // GIR_Coverage, 15544,
     /* 2062190 */     GIR_EraseRootFromParent_Done,
     /* 2062191 */   // Label 27436: @2062191
     /* 2062191 */   GIM_Try, /*On fail goto*//*Label 27437*/ GIMT_Encode4(2062282), // Rule ID 15545 //
     /* 2062196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2062199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2062216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062242 */     // MIs[0] round
     /* 2062242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062245 */     // MIs[0] policy
     /* 2062245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062255 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2062258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062281 */     // GIR_Coverage, 15545,
     /* 2062281 */     GIR_EraseRootFromParent_Done,
     /* 2062282 */   // Label 27437: @2062282
     /* 2062282 */   GIM_Try, /*On fail goto*//*Label 27438*/ GIMT_Encode4(2062373), // Rule ID 15548 //
     /* 2062287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2062290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2062307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062333 */     // MIs[0] round
     /* 2062333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062336 */     // MIs[0] policy
     /* 2062336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2062349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062372 */     // GIR_Coverage, 15548,
     /* 2062372 */     GIR_EraseRootFromParent_Done,
     /* 2062373 */   // Label 27438: @2062373
     /* 2062373 */   GIM_Try, /*On fail goto*//*Label 27439*/ GIMT_Encode4(2062464), // Rule ID 15549 //
     /* 2062378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2062381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2062398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062424 */     // MIs[0] round
     /* 2062424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062427 */     // MIs[0] policy
     /* 2062427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062437 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2062440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062463 */     // GIR_Coverage, 15549,
     /* 2062463 */     GIR_EraseRootFromParent_Done,
     /* 2062464 */   // Label 27439: @2062464
     /* 2062464 */   GIM_Try, /*On fail goto*//*Label 27440*/ GIMT_Encode4(2062555), // Rule ID 15552 //
     /* 2062469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2062480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2062483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2062486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062515 */     // MIs[0] round
     /* 2062515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062518 */     // MIs[0] policy
     /* 2062518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2062531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062554 */     // GIR_Coverage, 15552,
     /* 2062554 */     GIR_EraseRootFromParent_Done,
     /* 2062555 */   // Label 27440: @2062555
     /* 2062555 */   GIM_Try, /*On fail goto*//*Label 27441*/ GIMT_Encode4(2062646), // Rule ID 15553 //
     /* 2062560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2062571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2062574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2062577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062606 */     // MIs[0] round
     /* 2062606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062609 */     // MIs[0] policy
     /* 2062609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062619 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2062622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062645 */     // GIR_Coverage, 15553,
     /* 2062645 */     GIR_EraseRootFromParent_Done,
     /* 2062646 */   // Label 27441: @2062646
     /* 2062646 */   GIM_Try, /*On fail goto*//*Label 27442*/ GIMT_Encode4(2062737), // Rule ID 15556 //
     /* 2062651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2062662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2062665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2062668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062697 */     // MIs[0] round
     /* 2062697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062700 */     // MIs[0] policy
     /* 2062700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062710 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2062713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062736 */     // GIR_Coverage, 15556,
     /* 2062736 */     GIR_EraseRootFromParent_Done,
     /* 2062737 */   // Label 27442: @2062737
     /* 2062737 */   GIM_Try, /*On fail goto*//*Label 27443*/ GIMT_Encode4(2062828), // Rule ID 15557 //
     /* 2062742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2062753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2062756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2062759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062788 */     // MIs[0] round
     /* 2062788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062791 */     // MIs[0] policy
     /* 2062791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062801 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2062804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062827 */     // GIR_Coverage, 15557,
     /* 2062827 */     GIR_EraseRootFromParent_Done,
     /* 2062828 */   // Label 27443: @2062828
     /* 2062828 */   GIM_Try, /*On fail goto*//*Label 27444*/ GIMT_Encode4(2062919), // Rule ID 15560 //
     /* 2062833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2062844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2062847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2062850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062879 */     // MIs[0] round
     /* 2062879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062882 */     // MIs[0] policy
     /* 2062882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062892 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2062895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062918 */     // GIR_Coverage, 15560,
     /* 2062918 */     GIR_EraseRootFromParent_Done,
     /* 2062919 */   // Label 27444: @2062919
     /* 2062919 */   GIM_Try, /*On fail goto*//*Label 27445*/ GIMT_Encode4(2063010), // Rule ID 15561 //
     /* 2062924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2062935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2062938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2062941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062970 */     // MIs[0] round
     /* 2062970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062973 */     // MIs[0] policy
     /* 2062973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062983 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2062986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063009 */     // GIR_Coverage, 15561,
     /* 2063009 */     GIR_EraseRootFromParent_Done,
     /* 2063010 */   // Label 27445: @2063010
     /* 2063010 */   GIM_Try, /*On fail goto*//*Label 27446*/ GIMT_Encode4(2063101), // Rule ID 15564 //
     /* 2063015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063061 */     // MIs[0] round
     /* 2063061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063064 */     // MIs[0] policy
     /* 2063064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063074 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2063077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063100 */     // GIR_Coverage, 15564,
     /* 2063100 */     GIR_EraseRootFromParent_Done,
     /* 2063101 */   // Label 27446: @2063101
     /* 2063101 */   GIM_Try, /*On fail goto*//*Label 27447*/ GIMT_Encode4(2063192), // Rule ID 15565 //
     /* 2063106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063152 */     // MIs[0] round
     /* 2063152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063155 */     // MIs[0] policy
     /* 2063155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063165 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2063168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063191 */     // GIR_Coverage, 15565,
     /* 2063191 */     GIR_EraseRootFromParent_Done,
     /* 2063192 */   // Label 27447: @2063192
     /* 2063192 */   GIM_Try, /*On fail goto*//*Label 27448*/ GIMT_Encode4(2063283), // Rule ID 15568 //
     /* 2063197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2063208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2063211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2063214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063243 */     // MIs[0] round
     /* 2063243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063246 */     // MIs[0] policy
     /* 2063246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063256 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2063259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063282 */     // GIR_Coverage, 15568,
     /* 2063282 */     GIR_EraseRootFromParent_Done,
     /* 2063283 */   // Label 27448: @2063283
     /* 2063283 */   GIM_Try, /*On fail goto*//*Label 27449*/ GIMT_Encode4(2063374), // Rule ID 15569 //
     /* 2063288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2063299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2063302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2063305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063334 */     // MIs[0] round
     /* 2063334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063337 */     // MIs[0] policy
     /* 2063337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063347 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2063350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063373 */     // GIR_Coverage, 15569,
     /* 2063373 */     GIR_EraseRootFromParent_Done,
     /* 2063374 */   // Label 27449: @2063374
     /* 2063374 */   GIM_Try, /*On fail goto*//*Label 27450*/ GIMT_Encode4(2063465), // Rule ID 15572 //
     /* 2063379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2063396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063425 */     // MIs[0] round
     /* 2063425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063428 */     // MIs[0] policy
     /* 2063428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063438 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2063441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063464 */     // GIR_Coverage, 15572,
     /* 2063464 */     GIR_EraseRootFromParent_Done,
     /* 2063465 */   // Label 27450: @2063465
     /* 2063465 */   GIM_Try, /*On fail goto*//*Label 27451*/ GIMT_Encode4(2063556), // Rule ID 15573 //
     /* 2063470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2063487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063516 */     // MIs[0] round
     /* 2063516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063519 */     // MIs[0] policy
     /* 2063519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063529 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2063532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063555 */     // GIR_Coverage, 15573,
     /* 2063555 */     GIR_EraseRootFromParent_Done,
     /* 2063556 */   // Label 27451: @2063556
     /* 2063556 */   GIM_Try, /*On fail goto*//*Label 27452*/ GIMT_Encode4(2063647), // Rule ID 15576 //
     /* 2063561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2063572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2063575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2063578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063607 */     // MIs[0] round
     /* 2063607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063610 */     // MIs[0] policy
     /* 2063610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063620 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2063623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063646 */     // GIR_Coverage, 15576,
     /* 2063646 */     GIR_EraseRootFromParent_Done,
     /* 2063647 */   // Label 27452: @2063647
     /* 2063647 */   GIM_Try, /*On fail goto*//*Label 27453*/ GIMT_Encode4(2063738), // Rule ID 15577 //
     /* 2063652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2063663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2063666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2063669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063698 */     // MIs[0] round
     /* 2063698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063701 */     // MIs[0] policy
     /* 2063701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063711 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2063714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063737 */     // GIR_Coverage, 15577,
     /* 2063737 */     GIR_EraseRootFromParent_Done,
     /* 2063738 */   // Label 27453: @2063738
     /* 2063738 */   GIM_Try, /*On fail goto*//*Label 27454*/ GIMT_Encode4(2063829), // Rule ID 15580 //
     /* 2063743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2063754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2063757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2063760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063789 */     // MIs[0] round
     /* 2063789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063792 */     // MIs[0] policy
     /* 2063792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063802 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2063805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063828 */     // GIR_Coverage, 15580,
     /* 2063828 */     GIR_EraseRootFromParent_Done,
     /* 2063829 */   // Label 27454: @2063829
     /* 2063829 */   GIM_Try, /*On fail goto*//*Label 27455*/ GIMT_Encode4(2063920), // Rule ID 15581 //
     /* 2063834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2063845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2063848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2063851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063880 */     // MIs[0] round
     /* 2063880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063883 */     // MIs[0] policy
     /* 2063883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063893 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2063896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063919 */     // GIR_Coverage, 15581,
     /* 2063919 */     GIR_EraseRootFromParent_Done,
     /* 2063920 */   // Label 27455: @2063920
     /* 2063920 */   GIM_Try, /*On fail goto*//*Label 27456*/ GIMT_Encode4(2064011), // Rule ID 15584 //
     /* 2063925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2063936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2063939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2063942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063971 */     // MIs[0] round
     /* 2063971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063974 */     // MIs[0] policy
     /* 2063974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2063987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064010 */     // GIR_Coverage, 15584,
     /* 2064010 */     GIR_EraseRootFromParent_Done,
     /* 2064011 */   // Label 27456: @2064011
     /* 2064011 */   GIM_Try, /*On fail goto*//*Label 27457*/ GIMT_Encode4(2064102), // Rule ID 15585 //
     /* 2064016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2064033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064062 */     // MIs[0] round
     /* 2064062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064065 */     // MIs[0] policy
     /* 2064065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064075 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2064078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064101 */     // GIR_Coverage, 15585,
     /* 2064101 */     GIR_EraseRootFromParent_Done,
     /* 2064102 */   // Label 27457: @2064102
     /* 2064102 */   GIM_Try, /*On fail goto*//*Label 27458*/ GIMT_Encode4(2064193), // Rule ID 15588 //
     /* 2064107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2064110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2064118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2064121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2064124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064153 */     // MIs[0] round
     /* 2064153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064156 */     // MIs[0] policy
     /* 2064156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064166 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2064169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064192 */     // GIR_Coverage, 15588,
     /* 2064192 */     GIR_EraseRootFromParent_Done,
     /* 2064193 */   // Label 27458: @2064193
     /* 2064193 */   GIM_Try, /*On fail goto*//*Label 27459*/ GIMT_Encode4(2064284), // Rule ID 15589 //
     /* 2064198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2064201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2064209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2064212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2064215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064244 */     // MIs[0] round
     /* 2064244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064247 */     // MIs[0] policy
     /* 2064247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064257 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2064260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064283 */     // GIR_Coverage, 15589,
     /* 2064283 */     GIR_EraseRootFromParent_Done,
     /* 2064284 */   // Label 27459: @2064284
     /* 2064284 */   GIM_Try, /*On fail goto*//*Label 27460*/ GIMT_Encode4(2064375), // Rule ID 15592 //
     /* 2064289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2064300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2064303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2064306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064335 */     // MIs[0] round
     /* 2064335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064338 */     // MIs[0] policy
     /* 2064338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064348 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2064351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064374 */     // GIR_Coverage, 15592,
     /* 2064374 */     GIR_EraseRootFromParent_Done,
     /* 2064375 */   // Label 27460: @2064375
     /* 2064375 */   GIM_Try, /*On fail goto*//*Label 27461*/ GIMT_Encode4(2064466), // Rule ID 15593 //
     /* 2064380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2064391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2064394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2064397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064426 */     // MIs[0] round
     /* 2064426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064429 */     // MIs[0] policy
     /* 2064429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064439 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2064442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064465 */     // GIR_Coverage, 15593,
     /* 2064465 */     GIR_EraseRootFromParent_Done,
     /* 2064466 */   // Label 27461: @2064466
     /* 2064466 */   GIM_Try, /*On fail goto*//*Label 27462*/ GIMT_Encode4(2064557), // Rule ID 15596 //
     /* 2064471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2064482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2064485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2064488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064517 */     // MIs[0] round
     /* 2064517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064520 */     // MIs[0] policy
     /* 2064520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064530 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2064533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064556 */     // GIR_Coverage, 15596,
     /* 2064556 */     GIR_EraseRootFromParent_Done,
     /* 2064557 */   // Label 27462: @2064557
     /* 2064557 */   GIM_Try, /*On fail goto*//*Label 27463*/ GIMT_Encode4(2064648), // Rule ID 15597 //
     /* 2064562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2064573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2064576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2064579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064608 */     // MIs[0] round
     /* 2064608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064611 */     // MIs[0] policy
     /* 2064611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064621 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2064624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064647 */     // GIR_Coverage, 15597,
     /* 2064647 */     GIR_EraseRootFromParent_Done,
     /* 2064648 */   // Label 27463: @2064648
     /* 2064648 */   GIM_Try, /*On fail goto*//*Label 27464*/ GIMT_Encode4(2064739), // Rule ID 15600 //
     /* 2064653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2064664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2064667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2064670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2064676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064699 */     // MIs[0] round
     /* 2064699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064702 */     // MIs[0] policy
     /* 2064702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064712 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2064715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064738 */     // GIR_Coverage, 15600,
     /* 2064738 */     GIR_EraseRootFromParent_Done,
     /* 2064739 */   // Label 27464: @2064739
     /* 2064739 */   GIM_Try, /*On fail goto*//*Label 27465*/ GIMT_Encode4(2064830), // Rule ID 15601 //
     /* 2064744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2064755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2064758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2064761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2064767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064790 */     // MIs[0] round
     /* 2064790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064793 */     // MIs[0] policy
     /* 2064793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064803 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2064806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064829 */     // GIR_Coverage, 15601,
     /* 2064829 */     GIR_EraseRootFromParent_Done,
     /* 2064830 */   // Label 27465: @2064830
     /* 2064830 */   GIM_Try, /*On fail goto*//*Label 27466*/ GIMT_Encode4(2064921), // Rule ID 15604 //
     /* 2064835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2064846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2064849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2064852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064881 */     // MIs[0] round
     /* 2064881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064884 */     // MIs[0] policy
     /* 2064884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064894 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2064897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064920 */     // GIR_Coverage, 15604,
     /* 2064920 */     GIR_EraseRootFromParent_Done,
     /* 2064921 */   // Label 27466: @2064921
     /* 2064921 */   GIM_Try, /*On fail goto*//*Label 27467*/ GIMT_Encode4(2065012), // Rule ID 15605 //
     /* 2064926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2064937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2064940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2064943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064972 */     // MIs[0] round
     /* 2064972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064975 */     // MIs[0] policy
     /* 2064975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064985 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2064988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065011 */     // GIR_Coverage, 15605,
     /* 2065011 */     GIR_EraseRootFromParent_Done,
     /* 2065012 */   // Label 27467: @2065012
     /* 2065012 */   GIM_Try, /*On fail goto*//*Label 27468*/ GIMT_Encode4(2065103), // Rule ID 15608 //
     /* 2065017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2065028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2065031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2065034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065063 */     // MIs[0] round
     /* 2065063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065066 */     // MIs[0] policy
     /* 2065066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2065079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065102 */     // GIR_Coverage, 15608,
     /* 2065102 */     GIR_EraseRootFromParent_Done,
     /* 2065103 */   // Label 27468: @2065103
     /* 2065103 */   GIM_Try, /*On fail goto*//*Label 27469*/ GIMT_Encode4(2065194), // Rule ID 15609 //
     /* 2065108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2065119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2065122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2065125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065154 */     // MIs[0] round
     /* 2065154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065157 */     // MIs[0] policy
     /* 2065157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2065170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065193 */     // GIR_Coverage, 15609,
     /* 2065193 */     GIR_EraseRootFromParent_Done,
     /* 2065194 */   // Label 27469: @2065194
     /* 2065194 */   GIM_Try, /*On fail goto*//*Label 27470*/ GIMT_Encode4(2065285), // Rule ID 15612 //
     /* 2065199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2065210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2065213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2065216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065245 */     // MIs[0] round
     /* 2065245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065248 */     // MIs[0] policy
     /* 2065248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065258 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2065261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065284 */     // GIR_Coverage, 15612,
     /* 2065284 */     GIR_EraseRootFromParent_Done,
     /* 2065285 */   // Label 27470: @2065285
     /* 2065285 */   GIM_Try, /*On fail goto*//*Label 27471*/ GIMT_Encode4(2065376), // Rule ID 15613 //
     /* 2065290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2065301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2065304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2065307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065336 */     // MIs[0] round
     /* 2065336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065339 */     // MIs[0] policy
     /* 2065339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065349 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2065352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065375 */     // GIR_Coverage, 15613,
     /* 2065375 */     GIR_EraseRootFromParent_Done,
     /* 2065376 */   // Label 27471: @2065376
     /* 2065376 */   GIM_Try, /*On fail goto*//*Label 27472*/ GIMT_Encode4(2065467), // Rule ID 15616 //
     /* 2065381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2065392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2065395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2065398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065427 */     // MIs[0] round
     /* 2065427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065430 */     // MIs[0] policy
     /* 2065430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2065443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065466 */     // GIR_Coverage, 15616,
     /* 2065466 */     GIR_EraseRootFromParent_Done,
     /* 2065467 */   // Label 27472: @2065467
     /* 2065467 */   GIM_Try, /*On fail goto*//*Label 27473*/ GIMT_Encode4(2065558), // Rule ID 15617 //
     /* 2065472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2065483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2065486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2065489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065518 */     // MIs[0] round
     /* 2065518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065521 */     // MIs[0] policy
     /* 2065521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065531 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2065534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065557 */     // GIR_Coverage, 15617,
     /* 2065557 */     GIR_EraseRootFromParent_Done,
     /* 2065558 */   // Label 27473: @2065558
     /* 2065558 */   GIM_Try, /*On fail goto*//*Label 27474*/ GIMT_Encode4(2065649), // Rule ID 15620 //
     /* 2065563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2065574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2065577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2065580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065609 */     // MIs[0] round
     /* 2065609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065612 */     // MIs[0] policy
     /* 2065612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2065625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065648 */     // GIR_Coverage, 15620,
     /* 2065648 */     GIR_EraseRootFromParent_Done,
     /* 2065649 */   // Label 27474: @2065649
     /* 2065649 */   GIM_Try, /*On fail goto*//*Label 27475*/ GIMT_Encode4(2065740), // Rule ID 15621 //
     /* 2065654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2065665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2065668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2065671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065700 */     // MIs[0] round
     /* 2065700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065703 */     // MIs[0] policy
     /* 2065703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065713 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2065716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065739 */     // GIR_Coverage, 15621,
     /* 2065739 */     GIR_EraseRootFromParent_Done,
     /* 2065740 */   // Label 27475: @2065740
     /* 2065740 */   GIM_Try, /*On fail goto*//*Label 27476*/ GIMT_Encode4(2065831), // Rule ID 15624 //
     /* 2065745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2065756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2065759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2065762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065791 */     // MIs[0] round
     /* 2065791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065794 */     // MIs[0] policy
     /* 2065794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065804 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2065807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065830 */     // GIR_Coverage, 15624,
     /* 2065830 */     GIR_EraseRootFromParent_Done,
     /* 2065831 */   // Label 27476: @2065831
     /* 2065831 */   GIM_Try, /*On fail goto*//*Label 27477*/ GIMT_Encode4(2065922), // Rule ID 15625 //
     /* 2065836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2065847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2065850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2065853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065882 */     // MIs[0] round
     /* 2065882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065885 */     // MIs[0] policy
     /* 2065885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065895 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2065898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065921 */     // GIR_Coverage, 15625,
     /* 2065921 */     GIR_EraseRootFromParent_Done,
     /* 2065922 */   // Label 27477: @2065922
     /* 2065922 */   GIM_Try, /*On fail goto*//*Label 27478*/ GIMT_Encode4(2066013), // Rule ID 15628 //
     /* 2065927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2065930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2065938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2065941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2065944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2065950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065973 */     // MIs[0] round
     /* 2065973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065976 */     // MIs[0] policy
     /* 2065976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2065989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066012 */     // GIR_Coverage, 15628,
     /* 2066012 */     GIR_EraseRootFromParent_Done,
     /* 2066013 */   // Label 27478: @2066013
     /* 2066013 */   GIM_Try, /*On fail goto*//*Label 27479*/ GIMT_Encode4(2066104), // Rule ID 15629 //
     /* 2066018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066064 */     // MIs[0] round
     /* 2066064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066067 */     // MIs[0] policy
     /* 2066067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066077 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2066080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066103 */     // GIR_Coverage, 15629,
     /* 2066103 */     GIR_EraseRootFromParent_Done,
     /* 2066104 */   // Label 27479: @2066104
     /* 2066104 */   GIM_Try, /*On fail goto*//*Label 27480*/ GIMT_Encode4(2066195), // Rule ID 15632 //
     /* 2066109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2066120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2066123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2066126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066155 */     // MIs[0] round
     /* 2066155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066158 */     // MIs[0] policy
     /* 2066158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066168 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2066171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066194 */     // GIR_Coverage, 15632,
     /* 2066194 */     GIR_EraseRootFromParent_Done,
     /* 2066195 */   // Label 27480: @2066195
     /* 2066195 */   GIM_Try, /*On fail goto*//*Label 27481*/ GIMT_Encode4(2066286), // Rule ID 15633 //
     /* 2066200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2066211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2066214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2066217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066246 */     // MIs[0] round
     /* 2066246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066249 */     // MIs[0] policy
     /* 2066249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066259 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2066262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066285 */     // GIR_Coverage, 15633,
     /* 2066285 */     GIR_EraseRootFromParent_Done,
     /* 2066286 */   // Label 27481: @2066286
     /* 2066286 */   GIM_Try, /*On fail goto*//*Label 27482*/ GIMT_Encode4(2066377), // Rule ID 15636 //
     /* 2066291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2066302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2066305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2066308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066337 */     // MIs[0] round
     /* 2066337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066340 */     // MIs[0] policy
     /* 2066340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066350 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2066353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066376 */     // GIR_Coverage, 15636,
     /* 2066376 */     GIR_EraseRootFromParent_Done,
     /* 2066377 */   // Label 27482: @2066377
     /* 2066377 */   GIM_Try, /*On fail goto*//*Label 27483*/ GIMT_Encode4(2066468), // Rule ID 15637 //
     /* 2066382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2066393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2066396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2066399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066428 */     // MIs[0] round
     /* 2066428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066431 */     // MIs[0] policy
     /* 2066431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066441 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2066444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066467 */     // GIR_Coverage, 15637,
     /* 2066467 */     GIR_EraseRootFromParent_Done,
     /* 2066468 */   // Label 27483: @2066468
     /* 2066468 */   GIM_Try, /*On fail goto*//*Label 27484*/ GIMT_Encode4(2066562), // Rule ID 15640 //
     /* 2066473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2066484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2066487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2066490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2066493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066519 */     // MIs[0] round
     /* 2066519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066522 */     // MIs[0] policy
     /* 2066522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066532 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2066535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066561 */     // GIR_Coverage, 15640,
     /* 2066561 */     GIR_EraseRootFromParent_Done,
     /* 2066562 */   // Label 27484: @2066562
     /* 2066562 */   GIM_Try, /*On fail goto*//*Label 27485*/ GIMT_Encode4(2066656), // Rule ID 15641 //
     /* 2066567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2066578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2066581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2066584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2066587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066613 */     // MIs[0] round
     /* 2066613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066616 */     // MIs[0] policy
     /* 2066616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066626 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2066629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066655 */     // GIR_Coverage, 15641,
     /* 2066655 */     GIR_EraseRootFromParent_Done,
     /* 2066656 */   // Label 27485: @2066656
     /* 2066656 */   GIM_Try, /*On fail goto*//*Label 27486*/ GIMT_Encode4(2066750), // Rule ID 15644 //
     /* 2066661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2066672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2066675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2066678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2066681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066707 */     // MIs[0] round
     /* 2066707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066710 */     // MIs[0] policy
     /* 2066710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066720 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2066723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066749 */     // GIR_Coverage, 15644,
     /* 2066749 */     GIR_EraseRootFromParent_Done,
     /* 2066750 */   // Label 27486: @2066750
     /* 2066750 */   GIM_Try, /*On fail goto*//*Label 27487*/ GIMT_Encode4(2066844), // Rule ID 15645 //
     /* 2066755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2066766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2066769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2066772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2066775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066801 */     // MIs[0] round
     /* 2066801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066804 */     // MIs[0] policy
     /* 2066804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066814 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2066817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066843 */     // GIR_Coverage, 15645,
     /* 2066843 */     GIR_EraseRootFromParent_Done,
     /* 2066844 */   // Label 27487: @2066844
     /* 2066844 */   GIM_Try, /*On fail goto*//*Label 27488*/ GIMT_Encode4(2066938), // Rule ID 15648 //
     /* 2066849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2066860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2066863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2066866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2066869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066895 */     // MIs[0] round
     /* 2066895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066898 */     // MIs[0] policy
     /* 2066898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066908 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2066911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066937 */     // GIR_Coverage, 15648,
     /* 2066937 */     GIR_EraseRootFromParent_Done,
     /* 2066938 */   // Label 27488: @2066938
     /* 2066938 */   GIM_Try, /*On fail goto*//*Label 27489*/ GIMT_Encode4(2067032), // Rule ID 15649 //
     /* 2066943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2066954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2066957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2066960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2066963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066989 */     // MIs[0] round
     /* 2066989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066992 */     // MIs[0] policy
     /* 2066992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067002 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2067005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067031 */     // GIR_Coverage, 15649,
     /* 2067031 */     GIR_EraseRootFromParent_Done,
     /* 2067032 */   // Label 27489: @2067032
     /* 2067032 */   GIM_Try, /*On fail goto*//*Label 27490*/ GIMT_Encode4(2067126), // Rule ID 15652 //
     /* 2067037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2067048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2067051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2067054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2067057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067083 */     // MIs[0] round
     /* 2067083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067086 */     // MIs[0] policy
     /* 2067086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2067099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067125 */     // GIR_Coverage, 15652,
     /* 2067125 */     GIR_EraseRootFromParent_Done,
     /* 2067126 */   // Label 27490: @2067126
     /* 2067126 */   GIM_Try, /*On fail goto*//*Label 27491*/ GIMT_Encode4(2067220), // Rule ID 15653 //
     /* 2067131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2067142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2067145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2067148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2067151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067177 */     // MIs[0] round
     /* 2067177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067180 */     // MIs[0] policy
     /* 2067180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067190 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2067193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067219 */     // GIR_Coverage, 15653,
     /* 2067219 */     GIR_EraseRootFromParent_Done,
     /* 2067220 */   // Label 27491: @2067220
     /* 2067220 */   GIM_Try, /*On fail goto*//*Label 27492*/ GIMT_Encode4(2067314), // Rule ID 15656 //
     /* 2067225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2067236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2067239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2067242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2067245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067271 */     // MIs[0] round
     /* 2067271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067274 */     // MIs[0] policy
     /* 2067274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067284 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2067287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067309 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067313 */     // GIR_Coverage, 15656,
     /* 2067313 */     GIR_EraseRootFromParent_Done,
     /* 2067314 */   // Label 27492: @2067314
     /* 2067314 */   GIM_Try, /*On fail goto*//*Label 27493*/ GIMT_Encode4(2067408), // Rule ID 15657 //
     /* 2067319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2067330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2067333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2067336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2067339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067365 */     // MIs[0] round
     /* 2067365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067368 */     // MIs[0] policy
     /* 2067368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067378 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2067381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067407 */     // GIR_Coverage, 15657,
     /* 2067407 */     GIR_EraseRootFromParent_Done,
     /* 2067408 */   // Label 27493: @2067408
     /* 2067408 */   GIM_Try, /*On fail goto*//*Label 27494*/ GIMT_Encode4(2067502), // Rule ID 15660 //
     /* 2067413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2067424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2067427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2067430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2067433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067459 */     // MIs[0] round
     /* 2067459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067462 */     // MIs[0] policy
     /* 2067462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067472 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2067475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067501 */     // GIR_Coverage, 15660,
     /* 2067501 */     GIR_EraseRootFromParent_Done,
     /* 2067502 */   // Label 27494: @2067502
     /* 2067502 */   GIM_Try, /*On fail goto*//*Label 27495*/ GIMT_Encode4(2067596), // Rule ID 15661 //
     /* 2067507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2067518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2067521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2067524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2067527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067553 */     // MIs[0] round
     /* 2067553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067556 */     // MIs[0] policy
     /* 2067556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067566 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2067569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067595 */     // GIR_Coverage, 15661,
     /* 2067595 */     GIR_EraseRootFromParent_Done,
     /* 2067596 */   // Label 27495: @2067596
     /* 2067596 */   GIM_Try, /*On fail goto*//*Label 27496*/ GIMT_Encode4(2067690), // Rule ID 15664 //
     /* 2067601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2067612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2067615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2067618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2067621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067647 */     // MIs[0] round
     /* 2067647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067650 */     // MIs[0] policy
     /* 2067650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2067663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067689 */     // GIR_Coverage, 15664,
     /* 2067689 */     GIR_EraseRootFromParent_Done,
     /* 2067690 */   // Label 27496: @2067690
     /* 2067690 */   GIM_Try, /*On fail goto*//*Label 27497*/ GIMT_Encode4(2067784), // Rule ID 15665 //
     /* 2067695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2067706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2067709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2067712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2067715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067741 */     // MIs[0] round
     /* 2067741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067744 */     // MIs[0] policy
     /* 2067744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067754 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2067757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067783 */     // GIR_Coverage, 15665,
     /* 2067783 */     GIR_EraseRootFromParent_Done,
     /* 2067784 */   // Label 27497: @2067784
     /* 2067784 */   GIM_Try, /*On fail goto*//*Label 27498*/ GIMT_Encode4(2067878), // Rule ID 15668 //
     /* 2067789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2067800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2067803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2067806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2067809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067835 */     // MIs[0] round
     /* 2067835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067838 */     // MIs[0] policy
     /* 2067838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2067851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067877 */     // GIR_Coverage, 15668,
     /* 2067877 */     GIR_EraseRootFromParent_Done,
     /* 2067878 */   // Label 27498: @2067878
     /* 2067878 */   GIM_Try, /*On fail goto*//*Label 27499*/ GIMT_Encode4(2067972), // Rule ID 15669 //
     /* 2067883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2067894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2067897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2067900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2067903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067929 */     // MIs[0] round
     /* 2067929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067932 */     // MIs[0] policy
     /* 2067932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067942 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2067945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067971 */     // GIR_Coverage, 15669,
     /* 2067971 */     GIR_EraseRootFromParent_Done,
     /* 2067972 */   // Label 27499: @2067972
     /* 2067972 */   GIM_Try, /*On fail goto*//*Label 27500*/ GIMT_Encode4(2068066), // Rule ID 15672 //
     /* 2067977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2067988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2067991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2067994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2067997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068023 */     // MIs[0] round
     /* 2068023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068026 */     // MIs[0] policy
     /* 2068026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2068039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068065 */     // GIR_Coverage, 15672,
     /* 2068065 */     GIR_EraseRootFromParent_Done,
     /* 2068066 */   // Label 27500: @2068066
     /* 2068066 */   GIM_Try, /*On fail goto*//*Label 27501*/ GIMT_Encode4(2068160), // Rule ID 15673 //
     /* 2068071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2068088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2068091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068117 */     // MIs[0] round
     /* 2068117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068120 */     // MIs[0] policy
     /* 2068120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2068133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068159 */     // GIR_Coverage, 15673,
     /* 2068159 */     GIR_EraseRootFromParent_Done,
     /* 2068160 */   // Label 27501: @2068160
     /* 2068160 */   GIM_Try, /*On fail goto*//*Label 27502*/ GIMT_Encode4(2068254), // Rule ID 15676 //
     /* 2068165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2068176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2068179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2068182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2068185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068211 */     // MIs[0] round
     /* 2068211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068214 */     // MIs[0] policy
     /* 2068214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2068227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068253 */     // GIR_Coverage, 15676,
     /* 2068253 */     GIR_EraseRootFromParent_Done,
     /* 2068254 */   // Label 27502: @2068254
     /* 2068254 */   GIM_Try, /*On fail goto*//*Label 27503*/ GIMT_Encode4(2068348), // Rule ID 15677 //
     /* 2068259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2068270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2068273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2068276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2068279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068305 */     // MIs[0] round
     /* 2068305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068308 */     // MIs[0] policy
     /* 2068308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068318 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2068321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068347 */     // GIR_Coverage, 15677,
     /* 2068347 */     GIR_EraseRootFromParent_Done,
     /* 2068348 */   // Label 27503: @2068348
     /* 2068348 */   GIM_Try, /*On fail goto*//*Label 27504*/ GIMT_Encode4(2068442), // Rule ID 15680 //
     /* 2068353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2068364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2068367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2068370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2068373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2068376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068399 */     // MIs[0] round
     /* 2068399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068402 */     // MIs[0] policy
     /* 2068402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068412 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2068415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068441 */     // GIR_Coverage, 15680,
     /* 2068441 */     GIR_EraseRootFromParent_Done,
     /* 2068442 */   // Label 27504: @2068442
     /* 2068442 */   GIM_Try, /*On fail goto*//*Label 27505*/ GIMT_Encode4(2068536), // Rule ID 15681 //
     /* 2068447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2068458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2068461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2068464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2068467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2068470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068493 */     // MIs[0] round
     /* 2068493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068496 */     // MIs[0] policy
     /* 2068496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2068509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068535 */     // GIR_Coverage, 15681,
     /* 2068535 */     GIR_EraseRootFromParent_Done,
     /* 2068536 */   // Label 27505: @2068536
     /* 2068536 */   GIM_Try, /*On fail goto*//*Label 27506*/ GIMT_Encode4(2068630), // Rule ID 15684 //
     /* 2068541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2068552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2068555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2068558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2068561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2068564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068587 */     // MIs[0] round
     /* 2068587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068590 */     // MIs[0] policy
     /* 2068590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068600 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2068603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068629 */     // GIR_Coverage, 15684,
     /* 2068629 */     GIR_EraseRootFromParent_Done,
     /* 2068630 */   // Label 27506: @2068630
     /* 2068630 */   GIM_Try, /*On fail goto*//*Label 27507*/ GIMT_Encode4(2068724), // Rule ID 15685 //
     /* 2068635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2068646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2068649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2068652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2068655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2068658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068681 */     // MIs[0] round
     /* 2068681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068684 */     // MIs[0] policy
     /* 2068684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068694 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2068697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068723 */     // GIR_Coverage, 15685,
     /* 2068723 */     GIR_EraseRootFromParent_Done,
     /* 2068724 */   // Label 27507: @2068724
     /* 2068724 */   GIM_Try, /*On fail goto*//*Label 27508*/ GIMT_Encode4(2068818), // Rule ID 15688 //
     /* 2068729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2068740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2068743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2068746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2068749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068775 */     // MIs[0] round
     /* 2068775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068778 */     // MIs[0] policy
     /* 2068778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068788 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2068791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068817 */     // GIR_Coverage, 15688,
     /* 2068817 */     GIR_EraseRootFromParent_Done,
     /* 2068818 */   // Label 27508: @2068818
     /* 2068818 */   GIM_Try, /*On fail goto*//*Label 27509*/ GIMT_Encode4(2068912), // Rule ID 15689 //
     /* 2068823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2068834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2068837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2068840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2068843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068869 */     // MIs[0] round
     /* 2068869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068872 */     // MIs[0] policy
     /* 2068872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068882 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2068885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2068910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068911 */     // GIR_Coverage, 15689,
     /* 2068911 */     GIR_EraseRootFromParent_Done,
     /* 2068912 */   // Label 27509: @2068912
     /* 2068912 */   GIM_Try, /*On fail goto*//*Label 27510*/ GIMT_Encode4(2069006), // Rule ID 15692 //
     /* 2068917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2068925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2068928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2068931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2068934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2068937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068963 */     // MIs[0] round
     /* 2068963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068966 */     // MIs[0] policy
     /* 2068966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068976 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2068979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069005 */     // GIR_Coverage, 15692,
     /* 2069005 */     GIR_EraseRootFromParent_Done,
     /* 2069006 */   // Label 27510: @2069006
     /* 2069006 */   GIM_Try, /*On fail goto*//*Label 27511*/ GIMT_Encode4(2069100), // Rule ID 15693 //
     /* 2069011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2069022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2069025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2069028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2069031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069057 */     // MIs[0] round
     /* 2069057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069060 */     // MIs[0] policy
     /* 2069060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069070 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2069073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069099 */     // GIR_Coverage, 15693,
     /* 2069099 */     GIR_EraseRootFromParent_Done,
     /* 2069100 */   // Label 27511: @2069100
     /* 2069100 */   GIM_Try, /*On fail goto*//*Label 27512*/ GIMT_Encode4(2069194), // Rule ID 15696 //
     /* 2069105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2069116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2069119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2069122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2069125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069151 */     // MIs[0] round
     /* 2069151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069154 */     // MIs[0] policy
     /* 2069154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069164 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2069167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069193 */     // GIR_Coverage, 15696,
     /* 2069193 */     GIR_EraseRootFromParent_Done,
     /* 2069194 */   // Label 27512: @2069194
     /* 2069194 */   GIM_Try, /*On fail goto*//*Label 27513*/ GIMT_Encode4(2069288), // Rule ID 15697 //
     /* 2069199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2069210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2069213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2069216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2069219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069245 */     // MIs[0] round
     /* 2069245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069248 */     // MIs[0] policy
     /* 2069248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069258 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2069261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069287 */     // GIR_Coverage, 15697,
     /* 2069287 */     GIR_EraseRootFromParent_Done,
     /* 2069288 */   // Label 27513: @2069288
     /* 2069288 */   GIM_Try, /*On fail goto*//*Label 27514*/ GIMT_Encode4(2069382), // Rule ID 15700 //
     /* 2069293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2069304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2069307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2069310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2069313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069339 */     // MIs[0] round
     /* 2069339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069342 */     // MIs[0] policy
     /* 2069342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2069355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069381 */     // GIR_Coverage, 15700,
     /* 2069381 */     GIR_EraseRootFromParent_Done,
     /* 2069382 */   // Label 27514: @2069382
     /* 2069382 */   GIM_Try, /*On fail goto*//*Label 27515*/ GIMT_Encode4(2069476), // Rule ID 15701 //
     /* 2069387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2069398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2069401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2069404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2069407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069433 */     // MIs[0] round
     /* 2069433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069436 */     // MIs[0] policy
     /* 2069436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2069449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069471 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069475 */     // GIR_Coverage, 15701,
     /* 2069475 */     GIR_EraseRootFromParent_Done,
     /* 2069476 */   // Label 27515: @2069476
     /* 2069476 */   GIM_Try, /*On fail goto*//*Label 27516*/ GIMT_Encode4(2069570), // Rule ID 15704 //
     /* 2069481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2069492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2069495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2069498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2069501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069527 */     // MIs[0] round
     /* 2069527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069530 */     // MIs[0] policy
     /* 2069530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069540 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2069543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069569 */     // GIR_Coverage, 15704,
     /* 2069569 */     GIR_EraseRootFromParent_Done,
     /* 2069570 */   // Label 27516: @2069570
     /* 2069570 */   GIM_Try, /*On fail goto*//*Label 27517*/ GIMT_Encode4(2069664), // Rule ID 15705 //
     /* 2069575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2069586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2069589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2069592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2069595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069621 */     // MIs[0] round
     /* 2069621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069624 */     // MIs[0] policy
     /* 2069624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069634 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2069637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069663 */     // GIR_Coverage, 15705,
     /* 2069663 */     GIR_EraseRootFromParent_Done,
     /* 2069664 */   // Label 27517: @2069664
     /* 2069664 */   GIM_Try, /*On fail goto*//*Label 27518*/ GIMT_Encode4(2069758), // Rule ID 15708 //
     /* 2069669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2069680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2069683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2069686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2069689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069715 */     // MIs[0] round
     /* 2069715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069718 */     // MIs[0] policy
     /* 2069718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069728 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2069731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069757 */     // GIR_Coverage, 15708,
     /* 2069757 */     GIR_EraseRootFromParent_Done,
     /* 2069758 */   // Label 27518: @2069758
     /* 2069758 */   GIM_Try, /*On fail goto*//*Label 27519*/ GIMT_Encode4(2069852), // Rule ID 15709 //
     /* 2069763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2069774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2069777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2069780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2069783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069809 */     // MIs[0] round
     /* 2069809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069812 */     // MIs[0] policy
     /* 2069812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069822 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2069825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069851 */     // GIR_Coverage, 15709,
     /* 2069851 */     GIR_EraseRootFromParent_Done,
     /* 2069852 */   // Label 27519: @2069852
     /* 2069852 */   GIM_Try, /*On fail goto*//*Label 27520*/ GIMT_Encode4(2069946), // Rule ID 15712 //
     /* 2069857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2069868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2069871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2069874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069903 */     // MIs[0] round
     /* 2069903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069906 */     // MIs[0] policy
     /* 2069906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069916 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2069919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2069944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069945 */     // GIR_Coverage, 15712,
     /* 2069945 */     GIR_EraseRootFromParent_Done,
     /* 2069946 */   // Label 27520: @2069946
     /* 2069946 */   GIM_Try, /*On fail goto*//*Label 27521*/ GIMT_Encode4(2070040), // Rule ID 15713 //
     /* 2069951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2069959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2069962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2069965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2069968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069997 */     // MIs[0] round
     /* 2069997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070000 */     // MIs[0] policy
     /* 2070000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070010 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2070013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070039 */     // GIR_Coverage, 15713,
     /* 2070039 */     GIR_EraseRootFromParent_Done,
     /* 2070040 */   // Label 27521: @2070040
     /* 2070040 */   GIM_Try, /*On fail goto*//*Label 27522*/ GIMT_Encode4(2070134), // Rule ID 15716 //
     /* 2070045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2070056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2070059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2070062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070091 */     // MIs[0] round
     /* 2070091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070094 */     // MIs[0] policy
     /* 2070094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070104 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2070107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070133 */     // GIR_Coverage, 15716,
     /* 2070133 */     GIR_EraseRootFromParent_Done,
     /* 2070134 */   // Label 27522: @2070134
     /* 2070134 */   GIM_Try, /*On fail goto*//*Label 27523*/ GIMT_Encode4(2070228), // Rule ID 15717 //
     /* 2070139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2070150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2070153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2070156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070185 */     // MIs[0] round
     /* 2070185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070188 */     // MIs[0] policy
     /* 2070188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070198 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2070201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070227 */     // GIR_Coverage, 15717,
     /* 2070227 */     GIR_EraseRootFromParent_Done,
     /* 2070228 */   // Label 27523: @2070228
     /* 2070228 */   GIM_Try, /*On fail goto*//*Label 27524*/ GIMT_Encode4(2070322), // Rule ID 15720 //
     /* 2070233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2070244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2070247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2070250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070279 */     // MIs[0] round
     /* 2070279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070282 */     // MIs[0] policy
     /* 2070282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070292 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2070295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070321 */     // GIR_Coverage, 15720,
     /* 2070321 */     GIR_EraseRootFromParent_Done,
     /* 2070322 */   // Label 27524: @2070322
     /* 2070322 */   GIM_Try, /*On fail goto*//*Label 27525*/ GIMT_Encode4(2070416), // Rule ID 15721 //
     /* 2070327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2070338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2070341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2070344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070373 */     // MIs[0] round
     /* 2070373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070376 */     // MIs[0] policy
     /* 2070376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070386 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2070389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070415 */     // GIR_Coverage, 15721,
     /* 2070415 */     GIR_EraseRootFromParent_Done,
     /* 2070416 */   // Label 27525: @2070416
     /* 2070416 */   GIM_Try, /*On fail goto*//*Label 27526*/ GIMT_Encode4(2070510), // Rule ID 15724 //
     /* 2070421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2070432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2070435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2070438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070467 */     // MIs[0] round
     /* 2070467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070470 */     // MIs[0] policy
     /* 2070470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070480 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2070483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070509 */     // GIR_Coverage, 15724,
     /* 2070509 */     GIR_EraseRootFromParent_Done,
     /* 2070510 */   // Label 27526: @2070510
     /* 2070510 */   GIM_Try, /*On fail goto*//*Label 27527*/ GIMT_Encode4(2070604), // Rule ID 15725 //
     /* 2070515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2070526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2070529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2070532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070561 */     // MIs[0] round
     /* 2070561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070564 */     // MIs[0] policy
     /* 2070564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070574 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2070577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070603 */     // GIR_Coverage, 15725,
     /* 2070603 */     GIR_EraseRootFromParent_Done,
     /* 2070604 */   // Label 27527: @2070604
     /* 2070604 */   GIM_Try, /*On fail goto*//*Label 27528*/ GIMT_Encode4(2070698), // Rule ID 15728 //
     /* 2070609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2070620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2070623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2070626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070655 */     // MIs[0] round
     /* 2070655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070658 */     // MIs[0] policy
     /* 2070658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070668 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2070671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070697 */     // GIR_Coverage, 15728,
     /* 2070697 */     GIR_EraseRootFromParent_Done,
     /* 2070698 */   // Label 27528: @2070698
     /* 2070698 */   GIM_Try, /*On fail goto*//*Label 27529*/ GIMT_Encode4(2070792), // Rule ID 15729 //
     /* 2070703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2070714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2070717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2070720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070749 */     // MIs[0] round
     /* 2070749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070752 */     // MIs[0] policy
     /* 2070752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070762 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2070765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070791 */     // GIR_Coverage, 15729,
     /* 2070791 */     GIR_EraseRootFromParent_Done,
     /* 2070792 */   // Label 27529: @2070792
     /* 2070792 */   GIM_Try, /*On fail goto*//*Label 27530*/ GIMT_Encode4(2070886), // Rule ID 15732 //
     /* 2070797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2070808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2070811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2070814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070843 */     // MIs[0] round
     /* 2070843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070846 */     // MIs[0] policy
     /* 2070846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2070859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070885 */     // GIR_Coverage, 15732,
     /* 2070885 */     GIR_EraseRootFromParent_Done,
     /* 2070886 */   // Label 27530: @2070886
     /* 2070886 */   GIM_Try, /*On fail goto*//*Label 27531*/ GIMT_Encode4(2070980), // Rule ID 15733 //
     /* 2070891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2070902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2070905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2070908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070937 */     // MIs[0] round
     /* 2070937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070940 */     // MIs[0] policy
     /* 2070940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070950 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2070953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070979 */     // GIR_Coverage, 15733,
     /* 2070979 */     GIR_EraseRootFromParent_Done,
     /* 2070980 */   // Label 27531: @2070980
     /* 2070980 */   GIM_Try, /*On fail goto*//*Label 27532*/ GIMT_Encode4(2071074), // Rule ID 15736 //
     /* 2070985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2070996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2070999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2071002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071031 */     // MIs[0] round
     /* 2071031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071034 */     // MIs[0] policy
     /* 2071034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2071047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071073 */     // GIR_Coverage, 15736,
     /* 2071073 */     GIR_EraseRootFromParent_Done,
     /* 2071074 */   // Label 27532: @2071074
     /* 2071074 */   GIM_Try, /*On fail goto*//*Label 27533*/ GIMT_Encode4(2071168), // Rule ID 15737 //
     /* 2071079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2071090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2071093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2071096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071125 */     // MIs[0] round
     /* 2071125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071128 */     // MIs[0] policy
     /* 2071128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071138 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11578:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2071141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071167 */     // GIR_Coverage, 15737,
     /* 2071167 */     GIR_EraseRootFromParent_Done,
     /* 2071168 */   // Label 27533: @2071168
     /* 2071168 */   GIM_Try, /*On fail goto*//*Label 27534*/ GIMT_Encode4(2071262), // Rule ID 15740 //
     /* 2071173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2071184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2071187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2071190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071219 */     // MIs[0] round
     /* 2071219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071222 */     // MIs[0] policy
     /* 2071222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2071235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071261 */     // GIR_Coverage, 15740,
     /* 2071261 */     GIR_EraseRootFromParent_Done,
     /* 2071262 */   // Label 27534: @2071262
     /* 2071262 */   GIM_Try, /*On fail goto*//*Label 27535*/ GIMT_Encode4(2071356), // Rule ID 15741 //
     /* 2071267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2071278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2071281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2071284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071313 */     // MIs[0] round
     /* 2071313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071316 */     // MIs[0] policy
     /* 2071316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071326 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2071329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071355 */     // GIR_Coverage, 15741,
     /* 2071355 */     GIR_EraseRootFromParent_Done,
     /* 2071356 */   // Label 27535: @2071356
     /* 2071356 */   GIM_Try, /*On fail goto*//*Label 27536*/ GIMT_Encode4(2071450), // Rule ID 15744 //
     /* 2071361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2071372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2071375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2071378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071407 */     // MIs[0] round
     /* 2071407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071410 */     // MIs[0] policy
     /* 2071410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2071423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071449 */     // GIR_Coverage, 15744,
     /* 2071449 */     GIR_EraseRootFromParent_Done,
     /* 2071450 */   // Label 27536: @2071450
     /* 2071450 */   GIM_Try, /*On fail goto*//*Label 27537*/ GIMT_Encode4(2071544), // Rule ID 15745 //
     /* 2071455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2071466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2071469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2071472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071501 */     // MIs[0] round
     /* 2071501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071504 */     // MIs[0] policy
     /* 2071504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071514 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2071517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071543 */     // GIR_Coverage, 15745,
     /* 2071543 */     GIR_EraseRootFromParent_Done,
     /* 2071544 */   // Label 27537: @2071544
     /* 2071544 */   GIM_Try, /*On fail goto*//*Label 27538*/ GIMT_Encode4(2071638), // Rule ID 15748 //
     /* 2071549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2071560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2071563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2071566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2071572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2071579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071595 */     // MIs[0] round
     /* 2071595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071598 */     // MIs[0] policy
     /* 2071598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071608 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2071611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071637 */     // GIR_Coverage, 15748,
     /* 2071637 */     GIR_EraseRootFromParent_Done,
     /* 2071638 */   // Label 27538: @2071638
     /* 2071638 */   GIM_Try, /*On fail goto*//*Label 27539*/ GIMT_Encode4(2071732), // Rule ID 15749 //
     /* 2071643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2071654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2071657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2071660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2071666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2071673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071689 */     // MIs[0] round
     /* 2071689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071692 */     // MIs[0] policy
     /* 2071692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071702 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2071705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071731 */     // GIR_Coverage, 15749,
     /* 2071731 */     GIR_EraseRootFromParent_Done,
     /* 2071732 */   // Label 27539: @2071732
     /* 2071732 */   GIM_Try, /*On fail goto*//*Label 27540*/ GIMT_Encode4(2071826), // Rule ID 15752 //
     /* 2071737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2071748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2071751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2071754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2071760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071783 */     // MIs[0] round
     /* 2071783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071786 */     // MIs[0] policy
     /* 2071786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071796 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2071799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071825 */     // GIR_Coverage, 15752,
     /* 2071825 */     GIR_EraseRootFromParent_Done,
     /* 2071826 */   // Label 27540: @2071826
     /* 2071826 */   GIM_Try, /*On fail goto*//*Label 27541*/ GIMT_Encode4(2071920), // Rule ID 15753 //
     /* 2071831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2071842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2071845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2071848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2071854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071877 */     // MIs[0] round
     /* 2071877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071880 */     // MIs[0] policy
     /* 2071880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071890 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2071893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071919 */     // GIR_Coverage, 15753,
     /* 2071919 */     GIR_EraseRootFromParent_Done,
     /* 2071920 */   // Label 27541: @2071920
     /* 2071920 */   GIM_Try, /*On fail goto*//*Label 27542*/ GIMT_Encode4(2072014), // Rule ID 15756 //
     /* 2071925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2071936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2071939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2071942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2071948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071971 */     // MIs[0] round
     /* 2071971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071974 */     // MIs[0] policy
     /* 2071974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2071987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072013 */     // GIR_Coverage, 15756,
     /* 2072013 */     GIR_EraseRootFromParent_Done,
     /* 2072014 */   // Label 27542: @2072014
     /* 2072014 */   GIM_Try, /*On fail goto*//*Label 27543*/ GIMT_Encode4(2072108), // Rule ID 15757 //
     /* 2072019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2072030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2072033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2072036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2072042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072065 */     // MIs[0] round
     /* 2072065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072068 */     // MIs[0] policy
     /* 2072068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072078 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2072081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072107 */     // GIR_Coverage, 15757,
     /* 2072107 */     GIR_EraseRootFromParent_Done,
     /* 2072108 */   // Label 27543: @2072108
     /* 2072108 */   GIM_Try, /*On fail goto*//*Label 27544*/ GIMT_Encode4(2072202), // Rule ID 15760 //
     /* 2072113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2072124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2072127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2072130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072159 */     // MIs[0] round
     /* 2072159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072162 */     // MIs[0] policy
     /* 2072162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072172 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2072175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072201 */     // GIR_Coverage, 15760,
     /* 2072201 */     GIR_EraseRootFromParent_Done,
     /* 2072202 */   // Label 27544: @2072202
     /* 2072202 */   GIM_Try, /*On fail goto*//*Label 27545*/ GIMT_Encode4(2072296), // Rule ID 15761 //
     /* 2072207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2072218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2072221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2072224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072253 */     // MIs[0] round
     /* 2072253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072256 */     // MIs[0] policy
     /* 2072256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072266 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2072269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072295 */     // GIR_Coverage, 15761,
     /* 2072295 */     GIR_EraseRootFromParent_Done,
     /* 2072296 */   // Label 27545: @2072296
     /* 2072296 */   GIM_Try, /*On fail goto*//*Label 27546*/ GIMT_Encode4(2072390), // Rule ID 15764 //
     /* 2072301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2072312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2072315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2072318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072347 */     // MIs[0] round
     /* 2072347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072350 */     // MIs[0] policy
     /* 2072350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072360 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2072363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072389 */     // GIR_Coverage, 15764,
     /* 2072389 */     GIR_EraseRootFromParent_Done,
     /* 2072390 */   // Label 27546: @2072390
     /* 2072390 */   GIM_Try, /*On fail goto*//*Label 27547*/ GIMT_Encode4(2072484), // Rule ID 15765 //
     /* 2072395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2072406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2072409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2072412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072441 */     // MIs[0] round
     /* 2072441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072444 */     // MIs[0] policy
     /* 2072444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072454 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2072457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072483 */     // GIR_Coverage, 15765,
     /* 2072483 */     GIR_EraseRootFromParent_Done,
     /* 2072484 */   // Label 27547: @2072484
     /* 2072484 */   GIM_Try, /*On fail goto*//*Label 27548*/ GIMT_Encode4(2072578), // Rule ID 15768 //
     /* 2072489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2072500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2072503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2072506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2072512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072535 */     // MIs[0] round
     /* 2072535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072538 */     // MIs[0] policy
     /* 2072538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072548 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2072551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072577 */     // GIR_Coverage, 15768,
     /* 2072577 */     GIR_EraseRootFromParent_Done,
     /* 2072578 */   // Label 27548: @2072578
     /* 2072578 */   GIM_Try, /*On fail goto*//*Label 27549*/ GIMT_Encode4(2072672), // Rule ID 15769 //
     /* 2072583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2072594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2072597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2072600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2072606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072629 */     // MIs[0] round
     /* 2072629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072632 */     // MIs[0] policy
     /* 2072632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072642 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2072645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072671 */     // GIR_Coverage, 15769,
     /* 2072671 */     GIR_EraseRootFromParent_Done,
     /* 2072672 */   // Label 27549: @2072672
     /* 2072672 */   GIM_Try, /*On fail goto*//*Label 27550*/ GIMT_Encode4(2072766), // Rule ID 15772 //
     /* 2072677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2072688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2072691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2072694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072723 */     // MIs[0] round
     /* 2072723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072726 */     // MIs[0] policy
     /* 2072726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2072739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072765 */     // GIR_Coverage, 15772,
     /* 2072765 */     GIR_EraseRootFromParent_Done,
     /* 2072766 */   // Label 27550: @2072766
     /* 2072766 */   GIM_Try, /*On fail goto*//*Label 27551*/ GIMT_Encode4(2072860), // Rule ID 15773 //
     /* 2072771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2072782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2072785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2072788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072817 */     // MIs[0] round
     /* 2072817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072820 */     // MIs[0] policy
     /* 2072820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072830 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2072833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072859 */     // GIR_Coverage, 15773,
     /* 2072859 */     GIR_EraseRootFromParent_Done,
     /* 2072860 */   // Label 27551: @2072860
     /* 2072860 */   GIM_Try, /*On fail goto*//*Label 27552*/ GIMT_Encode4(2072954), // Rule ID 15776 //
     /* 2072865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2072876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2072879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2072882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072911 */     // MIs[0] round
     /* 2072911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072914 */     // MIs[0] policy
     /* 2072914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2072927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072953 */     // GIR_Coverage, 15776,
     /* 2072953 */     GIR_EraseRootFromParent_Done,
     /* 2072954 */   // Label 27552: @2072954
     /* 2072954 */   GIM_Try, /*On fail goto*//*Label 27553*/ GIMT_Encode4(2073048), // Rule ID 15777 //
     /* 2072959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2072970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2072973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2072976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073005 */     // MIs[0] round
     /* 2073005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073008 */     // MIs[0] policy
     /* 2073008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073018 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2073021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073047 */     // GIR_Coverage, 15777,
     /* 2073047 */     GIR_EraseRootFromParent_Done,
     /* 2073048 */   // Label 27553: @2073048
     /* 2073048 */   GIM_Try, /*On fail goto*//*Label 27554*/ GIMT_Encode4(2073142), // Rule ID 15780 //
     /* 2073053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2073064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2073067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2073070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2073073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073099 */     // MIs[0] round
     /* 2073099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073102 */     // MIs[0] policy
     /* 2073102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073112 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2073115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073141 */     // GIR_Coverage, 15780,
     /* 2073141 */     GIR_EraseRootFromParent_Done,
     /* 2073142 */   // Label 27554: @2073142
     /* 2073142 */   GIM_Try, /*On fail goto*//*Label 27555*/ GIMT_Encode4(2073236), // Rule ID 15781 //
     /* 2073147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2073158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2073161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2073164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2073167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073193 */     // MIs[0] round
     /* 2073193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073196 */     // MIs[0] policy
     /* 2073196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073206 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2073209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073235 */     // GIR_Coverage, 15781,
     /* 2073235 */     GIR_EraseRootFromParent_Done,
     /* 2073236 */   // Label 27555: @2073236
     /* 2073236 */   GIM_Try, /*On fail goto*//*Label 27556*/ GIMT_Encode4(2073330), // Rule ID 15784 //
     /* 2073241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2073244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2073258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2073261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073287 */     // MIs[0] round
     /* 2073287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073290 */     // MIs[0] policy
     /* 2073290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073300 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2073303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073329 */     // GIR_Coverage, 15784,
     /* 2073329 */     GIR_EraseRootFromParent_Done,
     /* 2073330 */   // Label 27556: @2073330
     /* 2073330 */   GIM_Try, /*On fail goto*//*Label 27557*/ GIMT_Encode4(2073424), // Rule ID 15785 //
     /* 2073335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2073338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2073352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2073355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073381 */     // MIs[0] round
     /* 2073381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073384 */     // MIs[0] policy
     /* 2073384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073394 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2073397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073423 */     // GIR_Coverage, 15785,
     /* 2073423 */     GIR_EraseRootFromParent_Done,
     /* 2073424 */   // Label 27557: @2073424
     /* 2073424 */   GIM_Try, /*On fail goto*//*Label 27558*/ GIMT_Encode4(2073518), // Rule ID 15788 //
     /* 2073429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2073432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2073440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2073443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2073446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2073449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073475 */     // MIs[0] round
     /* 2073475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073478 */     // MIs[0] policy
     /* 2073478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073488 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2073491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073517 */     // GIR_Coverage, 15788,
     /* 2073517 */     GIR_EraseRootFromParent_Done,
     /* 2073518 */   // Label 27558: @2073518
     /* 2073518 */   GIM_Try, /*On fail goto*//*Label 27559*/ GIMT_Encode4(2073612), // Rule ID 15789 //
     /* 2073523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2073526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2073534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2073537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2073540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2073543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073569 */     // MIs[0] round
     /* 2073569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073572 */     // MIs[0] policy
     /* 2073572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2073585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073611 */     // GIR_Coverage, 15789,
     /* 2073611 */     GIR_EraseRootFromParent_Done,
     /* 2073612 */   // Label 27559: @2073612
     /* 2073612 */   GIM_Try, /*On fail goto*//*Label 27560*/ GIMT_Encode4(2073706), // Rule ID 15792 //
     /* 2073617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2073620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2073628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2073631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2073634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2073637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073663 */     // MIs[0] round
     /* 2073663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073666 */     // MIs[0] policy
     /* 2073666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073676 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2073679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073705 */     // GIR_Coverage, 15792,
     /* 2073705 */     GIR_EraseRootFromParent_Done,
     /* 2073706 */   // Label 27560: @2073706
     /* 2073706 */   GIM_Try, /*On fail goto*//*Label 27561*/ GIMT_Encode4(2073800), // Rule ID 15793 //
     /* 2073711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2073714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2073722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2073725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2073728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2073731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073757 */     // MIs[0] round
     /* 2073757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073760 */     // MIs[0] policy
     /* 2073760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073770 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2073773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073799 */     // GIR_Coverage, 15793,
     /* 2073799 */     GIR_EraseRootFromParent_Done,
     /* 2073800 */   // Label 27561: @2073800
     /* 2073800 */   GIM_Try, /*On fail goto*//*Label 27562*/ GIMT_Encode4(2073894), // Rule ID 15796 //
     /* 2073805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2073808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2073816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2073819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2073822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2073825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073851 */     // MIs[0] round
     /* 2073851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073854 */     // MIs[0] policy
     /* 2073854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073864 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2073867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073893 */     // GIR_Coverage, 15796,
     /* 2073893 */     GIR_EraseRootFromParent_Done,
     /* 2073894 */   // Label 27562: @2073894
     /* 2073894 */   GIM_Try, /*On fail goto*//*Label 27563*/ GIMT_Encode4(2073988), // Rule ID 15797 //
     /* 2073899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2073902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2073910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2073913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2073916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2073919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073945 */     // MIs[0] round
     /* 2073945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073948 */     // MIs[0] policy
     /* 2073948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2073961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073987 */     // GIR_Coverage, 15797,
     /* 2073987 */     GIR_EraseRootFromParent_Done,
     /* 2073988 */   // Label 27563: @2073988
     /* 2073988 */   GIM_Try, /*On fail goto*//*Label 27564*/ GIMT_Encode4(2074082), // Rule ID 15800 //
     /* 2073993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2073996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2074004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2074007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2074010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074039 */     // MIs[0] round
     /* 2074039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074042 */     // MIs[0] policy
     /* 2074042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2074055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074081 */     // GIR_Coverage, 15800,
     /* 2074081 */     GIR_EraseRootFromParent_Done,
     /* 2074082 */   // Label 27564: @2074082
     /* 2074082 */   GIM_Try, /*On fail goto*//*Label 27565*/ GIMT_Encode4(2074176), // Rule ID 15801 //
     /* 2074087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2074090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2074098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2074101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2074104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074133 */     // MIs[0] round
     /* 2074133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074136 */     // MIs[0] policy
     /* 2074136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2074149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074175 */     // GIR_Coverage, 15801,
     /* 2074175 */     GIR_EraseRootFromParent_Done,
     /* 2074176 */   // Label 27565: @2074176
     /* 2074176 */   GIM_Try, /*On fail goto*//*Label 27566*/ GIMT_Encode4(2074270), // Rule ID 15804 //
     /* 2074181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2074184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2074192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2074195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2074198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074227 */     // MIs[0] round
     /* 2074227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074230 */     // MIs[0] policy
     /* 2074230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074240 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2074243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074269 */     // GIR_Coverage, 15804,
     /* 2074269 */     GIR_EraseRootFromParent_Done,
     /* 2074270 */   // Label 27566: @2074270
     /* 2074270 */   GIM_Try, /*On fail goto*//*Label 27567*/ GIMT_Encode4(2074364), // Rule ID 15805 //
     /* 2074275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2074278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2074286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2074289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2074292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074321 */     // MIs[0] round
     /* 2074321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074324 */     // MIs[0] policy
     /* 2074324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074334 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2074337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074363 */     // GIR_Coverage, 15805,
     /* 2074363 */     GIR_EraseRootFromParent_Done,
     /* 2074364 */   // Label 27567: @2074364
     /* 2074364 */   GIM_Try, /*On fail goto*//*Label 27568*/ GIMT_Encode4(2074458), // Rule ID 15808 //
     /* 2074369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2074372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2074380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2074383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2074386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074415 */     // MIs[0] round
     /* 2074415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074418 */     // MIs[0] policy
     /* 2074418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2074431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074457 */     // GIR_Coverage, 15808,
     /* 2074457 */     GIR_EraseRootFromParent_Done,
     /* 2074458 */   // Label 27568: @2074458
     /* 2074458 */   GIM_Try, /*On fail goto*//*Label 27569*/ GIMT_Encode4(2074552), // Rule ID 15809 //
     /* 2074463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2074466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2074474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2074477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2074480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074509 */     // MIs[0] round
     /* 2074509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074512 */     // MIs[0] policy
     /* 2074512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074522 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2074525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074551 */     // GIR_Coverage, 15809,
     /* 2074551 */     GIR_EraseRootFromParent_Done,
     /* 2074552 */   // Label 27569: @2074552
     /* 2074552 */   GIM_Try, /*On fail goto*//*Label 27570*/ GIMT_Encode4(2074646), // Rule ID 15812 //
     /* 2074557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2074560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2074568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2074571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2074574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074603 */     // MIs[0] round
     /* 2074603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074606 */     // MIs[0] policy
     /* 2074606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074616 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2074619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074645 */     // GIR_Coverage, 15812,
     /* 2074645 */     GIR_EraseRootFromParent_Done,
     /* 2074646 */   // Label 27570: @2074646
     /* 2074646 */   GIM_Try, /*On fail goto*//*Label 27571*/ GIMT_Encode4(2074740), // Rule ID 15813 //
     /* 2074651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2074654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2074662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2074665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2074668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074697 */     // MIs[0] round
     /* 2074697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074700 */     // MIs[0] policy
     /* 2074700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074710 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2074713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074739 */     // GIR_Coverage, 15813,
     /* 2074739 */     GIR_EraseRootFromParent_Done,
     /* 2074740 */   // Label 27571: @2074740
     /* 2074740 */   GIM_Try, /*On fail goto*//*Label 27572*/ GIMT_Encode4(2074831), // Rule ID 15816 //
     /* 2074745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2074756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2074759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2074762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2074765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074791 */     // MIs[0] round
     /* 2074791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074794 */     // MIs[0] policy
     /* 2074794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074804 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2074807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074830 */     // GIR_Coverage, 15816,
     /* 2074830 */     GIR_EraseRootFromParent_Done,
     /* 2074831 */   // Label 27572: @2074831
     /* 2074831 */   GIM_Try, /*On fail goto*//*Label 27573*/ GIMT_Encode4(2074922), // Rule ID 15817 //
     /* 2074836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2074847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2074850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2074853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2074856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074882 */     // MIs[0] round
     /* 2074882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074885 */     // MIs[0] policy
     /* 2074885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074895 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2074898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074921 */     // GIR_Coverage, 15817,
     /* 2074921 */     GIR_EraseRootFromParent_Done,
     /* 2074922 */   // Label 27573: @2074922
     /* 2074922 */   GIM_Try, /*On fail goto*//*Label 27574*/ GIMT_Encode4(2075013), // Rule ID 15820 //
     /* 2074927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2074938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2074941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2074944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2074947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074973 */     // MIs[0] round
     /* 2074973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074976 */     // MIs[0] policy
     /* 2074976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074986 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2074989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075012 */     // GIR_Coverage, 15820,
     /* 2075012 */     GIR_EraseRootFromParent_Done,
     /* 2075013 */   // Label 27574: @2075013
     /* 2075013 */   GIM_Try, /*On fail goto*//*Label 27575*/ GIMT_Encode4(2075104), // Rule ID 15821 //
     /* 2075018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2075029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2075032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2075035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2075038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075064 */     // MIs[0] round
     /* 2075064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075067 */     // MIs[0] policy
     /* 2075067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075077 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2075080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075103 */     // GIR_Coverage, 15821,
     /* 2075103 */     GIR_EraseRootFromParent_Done,
     /* 2075104 */   // Label 27575: @2075104
     /* 2075104 */   GIM_Try, /*On fail goto*//*Label 27576*/ GIMT_Encode4(2075195), // Rule ID 15824 //
     /* 2075109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2075120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2075123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2075126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2075129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075155 */     // MIs[0] round
     /* 2075155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075158 */     // MIs[0] policy
     /* 2075158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075168 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2075171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075194 */     // GIR_Coverage, 15824,
     /* 2075194 */     GIR_EraseRootFromParent_Done,
     /* 2075195 */   // Label 27576: @2075195
     /* 2075195 */   GIM_Try, /*On fail goto*//*Label 27577*/ GIMT_Encode4(2075286), // Rule ID 15825 //
     /* 2075200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2075211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2075214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2075217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2075220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075246 */     // MIs[0] round
     /* 2075246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075249 */     // MIs[0] policy
     /* 2075249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075259 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2075262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075285 */     // GIR_Coverage, 15825,
     /* 2075285 */     GIR_EraseRootFromParent_Done,
     /* 2075286 */   // Label 27577: @2075286
     /* 2075286 */   GIM_Try, /*On fail goto*//*Label 27578*/ GIMT_Encode4(2075377), // Rule ID 15828 //
     /* 2075291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2075302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2075305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2075308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2075311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075337 */     // MIs[0] round
     /* 2075337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075340 */     // MIs[0] policy
     /* 2075340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075350 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2075353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075376 */     // GIR_Coverage, 15828,
     /* 2075376 */     GIR_EraseRootFromParent_Done,
     /* 2075377 */   // Label 27578: @2075377
     /* 2075377 */   GIM_Try, /*On fail goto*//*Label 27579*/ GIMT_Encode4(2075468), // Rule ID 15829 //
     /* 2075382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2075393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2075396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2075399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2075402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075428 */     // MIs[0] round
     /* 2075428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075431 */     // MIs[0] policy
     /* 2075431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075441 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2075444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075467 */     // GIR_Coverage, 15829,
     /* 2075467 */     GIR_EraseRootFromParent_Done,
     /* 2075468 */   // Label 27579: @2075468
     /* 2075468 */   GIM_Try, /*On fail goto*//*Label 27580*/ GIMT_Encode4(2075559), // Rule ID 15832 //
     /* 2075473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2075484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2075487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2075490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2075493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075519 */     // MIs[0] round
     /* 2075519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075522 */     // MIs[0] policy
     /* 2075522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2075535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075558 */     // GIR_Coverage, 15832,
     /* 2075558 */     GIR_EraseRootFromParent_Done,
     /* 2075559 */   // Label 27580: @2075559
     /* 2075559 */   GIM_Try, /*On fail goto*//*Label 27581*/ GIMT_Encode4(2075650), // Rule ID 15833 //
     /* 2075564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2075575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2075578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2075581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2075584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075610 */     // MIs[0] round
     /* 2075610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075613 */     // MIs[0] policy
     /* 2075613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075623 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2075626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075649 */     // GIR_Coverage, 15833,
     /* 2075649 */     GIR_EraseRootFromParent_Done,
     /* 2075650 */   // Label 27581: @2075650
     /* 2075650 */   GIM_Try, /*On fail goto*//*Label 27582*/ GIMT_Encode4(2075741), // Rule ID 15836 //
     /* 2075655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2075666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2075669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2075672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2075675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075701 */     // MIs[0] round
     /* 2075701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075704 */     // MIs[0] policy
     /* 2075704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2075717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075740 */     // GIR_Coverage, 15836,
     /* 2075740 */     GIR_EraseRootFromParent_Done,
     /* 2075741 */   // Label 27582: @2075741
     /* 2075741 */   GIM_Try, /*On fail goto*//*Label 27583*/ GIMT_Encode4(2075832), // Rule ID 15837 //
     /* 2075746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2075757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2075760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2075763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2075766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075792 */     // MIs[0] round
     /* 2075792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075795 */     // MIs[0] policy
     /* 2075795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075805 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2075808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075831 */     // GIR_Coverage, 15837,
     /* 2075831 */     GIR_EraseRootFromParent_Done,
     /* 2075832 */   // Label 27583: @2075832
     /* 2075832 */   GIM_Try, /*On fail goto*//*Label 27584*/ GIMT_Encode4(2075923), // Rule ID 15840 //
     /* 2075837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2075848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2075851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2075854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2075857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075883 */     // MIs[0] round
     /* 2075883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075886 */     // MIs[0] policy
     /* 2075886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2075899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075922 */     // GIR_Coverage, 15840,
     /* 2075922 */     GIR_EraseRootFromParent_Done,
     /* 2075923 */   // Label 27584: @2075923
     /* 2075923 */   GIM_Try, /*On fail goto*//*Label 27585*/ GIMT_Encode4(2076014), // Rule ID 15841 //
     /* 2075928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2075939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2075942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2075945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2075948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075974 */     // MIs[0] round
     /* 2075974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075977 */     // MIs[0] policy
     /* 2075977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075987 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2075990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076013 */     // GIR_Coverage, 15841,
     /* 2076013 */     GIR_EraseRootFromParent_Done,
     /* 2076014 */   // Label 27585: @2076014
     /* 2076014 */   GIM_Try, /*On fail goto*//*Label 27586*/ GIMT_Encode4(2076105), // Rule ID 15844 //
     /* 2076019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2076030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2076033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2076039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076065 */     // MIs[0] round
     /* 2076065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076068 */     // MIs[0] policy
     /* 2076068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2076081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076104 */     // GIR_Coverage, 15844,
     /* 2076104 */     GIR_EraseRootFromParent_Done,
     /* 2076105 */   // Label 27586: @2076105
     /* 2076105 */   GIM_Try, /*On fail goto*//*Label 27587*/ GIMT_Encode4(2076196), // Rule ID 15845 //
     /* 2076110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2076121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2076124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2076130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076156 */     // MIs[0] round
     /* 2076156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076159 */     // MIs[0] policy
     /* 2076159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076169 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2076172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076195 */     // GIR_Coverage, 15845,
     /* 2076195 */     GIR_EraseRootFromParent_Done,
     /* 2076196 */   // Label 27587: @2076196
     /* 2076196 */   GIM_Try, /*On fail goto*//*Label 27588*/ GIMT_Encode4(2076287), // Rule ID 15848 //
     /* 2076201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2076218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2076221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076247 */     // MIs[0] round
     /* 2076247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076250 */     // MIs[0] policy
     /* 2076250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076260 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2076263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076286 */     // GIR_Coverage, 15848,
     /* 2076286 */     GIR_EraseRootFromParent_Done,
     /* 2076287 */   // Label 27588: @2076287
     /* 2076287 */   GIM_Try, /*On fail goto*//*Label 27589*/ GIMT_Encode4(2076378), // Rule ID 15849 //
     /* 2076292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2076309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2076312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076338 */     // MIs[0] round
     /* 2076338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076341 */     // MIs[0] policy
     /* 2076341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076351 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2076354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076377 */     // GIR_Coverage, 15849,
     /* 2076377 */     GIR_EraseRootFromParent_Done,
     /* 2076378 */   // Label 27589: @2076378
     /* 2076378 */   GIM_Try, /*On fail goto*//*Label 27590*/ GIMT_Encode4(2076469), // Rule ID 15852 //
     /* 2076383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2076386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2076394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2076397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2076400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2076403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076429 */     // MIs[0] round
     /* 2076429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076432 */     // MIs[0] policy
     /* 2076432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076442 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2076445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076468 */     // GIR_Coverage, 15852,
     /* 2076468 */     GIR_EraseRootFromParent_Done,
     /* 2076469 */   // Label 27590: @2076469
     /* 2076469 */   GIM_Try, /*On fail goto*//*Label 27591*/ GIMT_Encode4(2076560), // Rule ID 15853 //
     /* 2076474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2076477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2076485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2076488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2076491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2076494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076520 */     // MIs[0] round
     /* 2076520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076523 */     // MIs[0] policy
     /* 2076523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2076536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076559 */     // GIR_Coverage, 15853,
     /* 2076559 */     GIR_EraseRootFromParent_Done,
     /* 2076560 */   // Label 27591: @2076560
     /* 2076560 */   GIM_Try, /*On fail goto*//*Label 27592*/ GIMT_Encode4(2076651), // Rule ID 15856 //
     /* 2076565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2076576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2076579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2076582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2076585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076611 */     // MIs[0] round
     /* 2076611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076614 */     // MIs[0] policy
     /* 2076614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2076627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076650 */     // GIR_Coverage, 15856,
     /* 2076650 */     GIR_EraseRootFromParent_Done,
     /* 2076651 */   // Label 27592: @2076651
     /* 2076651 */   GIM_Try, /*On fail goto*//*Label 27593*/ GIMT_Encode4(2076742), // Rule ID 15857 //
     /* 2076656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2076667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2076670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2076673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2076676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076702 */     // MIs[0] round
     /* 2076702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076705 */     // MIs[0] policy
     /* 2076705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076715 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2076718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076741 */     // GIR_Coverage, 15857,
     /* 2076741 */     GIR_EraseRootFromParent_Done,
     /* 2076742 */   // Label 27593: @2076742
     /* 2076742 */   GIM_Try, /*On fail goto*//*Label 27594*/ GIMT_Encode4(2076833), // Rule ID 15860 //
     /* 2076747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2076758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2076761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2076764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2076767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2076770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076793 */     // MIs[0] round
     /* 2076793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076796 */     // MIs[0] policy
     /* 2076796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076806 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2076809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076832 */     // GIR_Coverage, 15860,
     /* 2076832 */     GIR_EraseRootFromParent_Done,
     /* 2076833 */   // Label 27594: @2076833
     /* 2076833 */   GIM_Try, /*On fail goto*//*Label 27595*/ GIMT_Encode4(2076924), // Rule ID 15861 //
     /* 2076838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2076849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2076852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2076855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2076858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2076861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076884 */     // MIs[0] round
     /* 2076884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076887 */     // MIs[0] policy
     /* 2076887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076897 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2076900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076923 */     // GIR_Coverage, 15861,
     /* 2076923 */     GIR_EraseRootFromParent_Done,
     /* 2076924 */   // Label 27595: @2076924
     /* 2076924 */   GIM_Try, /*On fail goto*//*Label 27596*/ GIMT_Encode4(2077015), // Rule ID 15864 //
     /* 2076929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2076937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2076940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2076943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2076946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2076949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2076952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076975 */     // MIs[0] round
     /* 2076975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076978 */     // MIs[0] policy
     /* 2076978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076988 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2076991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077014 */     // GIR_Coverage, 15864,
     /* 2077014 */     GIR_EraseRootFromParent_Done,
     /* 2077015 */   // Label 27596: @2077015
     /* 2077015 */   GIM_Try, /*On fail goto*//*Label 27597*/ GIMT_Encode4(2077106), // Rule ID 15865 //
     /* 2077020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2077031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2077034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2077037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2077040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2077043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077066 */     // MIs[0] round
     /* 2077066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077069 */     // MIs[0] policy
     /* 2077069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077079 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2077082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077105 */     // GIR_Coverage, 15865,
     /* 2077105 */     GIR_EraseRootFromParent_Done,
     /* 2077106 */   // Label 27597: @2077106
     /* 2077106 */   GIM_Try, /*On fail goto*//*Label 27598*/ GIMT_Encode4(2077197), // Rule ID 15868 //
     /* 2077111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2077128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2077131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077157 */     // MIs[0] round
     /* 2077157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077160 */     // MIs[0] policy
     /* 2077160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077170 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2077173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077196 */     // GIR_Coverage, 15868,
     /* 2077196 */     GIR_EraseRootFromParent_Done,
     /* 2077197 */   // Label 27598: @2077197
     /* 2077197 */   GIM_Try, /*On fail goto*//*Label 27599*/ GIMT_Encode4(2077288), // Rule ID 15869 //
     /* 2077202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2077219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2077222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077248 */     // MIs[0] round
     /* 2077248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077251 */     // MIs[0] policy
     /* 2077251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077261 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2077264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077287 */     // GIR_Coverage, 15869,
     /* 2077287 */     GIR_EraseRootFromParent_Done,
     /* 2077288 */   // Label 27599: @2077288
     /* 2077288 */   GIM_Try, /*On fail goto*//*Label 27600*/ GIMT_Encode4(2077379), // Rule ID 15872 //
     /* 2077293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2077304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2077307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2077310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2077313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077339 */     // MIs[0] round
     /* 2077339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077342 */     // MIs[0] policy
     /* 2077342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077352 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2077355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077378 */     // GIR_Coverage, 15872,
     /* 2077378 */     GIR_EraseRootFromParent_Done,
     /* 2077379 */   // Label 27600: @2077379
     /* 2077379 */   GIM_Try, /*On fail goto*//*Label 27601*/ GIMT_Encode4(2077470), // Rule ID 15873 //
     /* 2077384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2077395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2077398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2077401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2077404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077430 */     // MIs[0] round
     /* 2077430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077433 */     // MIs[0] policy
     /* 2077433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077443 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2077446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077469 */     // GIR_Coverage, 15873,
     /* 2077469 */     GIR_EraseRootFromParent_Done,
     /* 2077470 */   // Label 27601: @2077470
     /* 2077470 */   GIM_Try, /*On fail goto*//*Label 27602*/ GIMT_Encode4(2077561), // Rule ID 15876 //
     /* 2077475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2077486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2077489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2077492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2077495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077521 */     // MIs[0] round
     /* 2077521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077524 */     // MIs[0] policy
     /* 2077524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077534 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2077537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077560 */     // GIR_Coverage, 15876,
     /* 2077560 */     GIR_EraseRootFromParent_Done,
     /* 2077561 */   // Label 27602: @2077561
     /* 2077561 */   GIM_Try, /*On fail goto*//*Label 27603*/ GIMT_Encode4(2077652), // Rule ID 15877 //
     /* 2077566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2077577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2077580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2077583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2077586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077612 */     // MIs[0] round
     /* 2077612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077615 */     // MIs[0] policy
     /* 2077615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077625 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2077628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077651 */     // GIR_Coverage, 15877,
     /* 2077651 */     GIR_EraseRootFromParent_Done,
     /* 2077652 */   // Label 27603: @2077652
     /* 2077652 */   GIM_Try, /*On fail goto*//*Label 27604*/ GIMT_Encode4(2077743), // Rule ID 15880 //
     /* 2077657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2077668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2077671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2077674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2077677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077703 */     // MIs[0] round
     /* 2077703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077706 */     // MIs[0] policy
     /* 2077706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2077719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077742 */     // GIR_Coverage, 15880,
     /* 2077742 */     GIR_EraseRootFromParent_Done,
     /* 2077743 */   // Label 27604: @2077743
     /* 2077743 */   GIM_Try, /*On fail goto*//*Label 27605*/ GIMT_Encode4(2077834), // Rule ID 15881 //
     /* 2077748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2077759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2077762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2077765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2077768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077794 */     // MIs[0] round
     /* 2077794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077797 */     // MIs[0] policy
     /* 2077797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077807 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2077810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077833 */     // GIR_Coverage, 15881,
     /* 2077833 */     GIR_EraseRootFromParent_Done,
     /* 2077834 */   // Label 27605: @2077834
     /* 2077834 */   GIM_Try, /*On fail goto*//*Label 27606*/ GIMT_Encode4(2077925), // Rule ID 15884 //
     /* 2077839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2077850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2077853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2077856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2077859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077885 */     // MIs[0] round
     /* 2077885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077888 */     // MIs[0] policy
     /* 2077888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2077901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077924 */     // GIR_Coverage, 15884,
     /* 2077924 */     GIR_EraseRootFromParent_Done,
     /* 2077925 */   // Label 27606: @2077925
     /* 2077925 */   GIM_Try, /*On fail goto*//*Label 27607*/ GIMT_Encode4(2078016), // Rule ID 15885 //
     /* 2077930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2077938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2077941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2077944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2077947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2077950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077976 */     // MIs[0] round
     /* 2077976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077979 */     // MIs[0] policy
     /* 2077979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2077992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078015 */     // GIR_Coverage, 15885,
     /* 2078015 */     GIR_EraseRootFromParent_Done,
     /* 2078016 */   // Label 27607: @2078016
     /* 2078016 */   GIM_Try, /*On fail goto*//*Label 27608*/ GIMT_Encode4(2078107), // Rule ID 15888 //
     /* 2078021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2078029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2078038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2078041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078067 */     // MIs[0] round
     /* 2078067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078070 */     // MIs[0] policy
     /* 2078070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078080 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2078083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078106 */     // GIR_Coverage, 15888,
     /* 2078106 */     GIR_EraseRootFromParent_Done,
     /* 2078107 */   // Label 27608: @2078107
     /* 2078107 */   GIM_Try, /*On fail goto*//*Label 27609*/ GIMT_Encode4(2078198), // Rule ID 15889 //
     /* 2078112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2078120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2078129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2078132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078158 */     // MIs[0] round
     /* 2078158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078161 */     // MIs[0] policy
     /* 2078161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078171 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2078174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078197 */     // GIR_Coverage, 15889,
     /* 2078197 */     GIR_EraseRootFromParent_Done,
     /* 2078198 */   // Label 27609: @2078198
     /* 2078198 */   GIM_Try, /*On fail goto*//*Label 27610*/ GIMT_Encode4(2078289), // Rule ID 15892 //
     /* 2078203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2078206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2078211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2078223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078249 */     // MIs[0] round
     /* 2078249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078252 */     // MIs[0] policy
     /* 2078252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078262 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2078265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078288 */     // GIR_Coverage, 15892,
     /* 2078288 */     GIR_EraseRootFromParent_Done,
     /* 2078289 */   // Label 27610: @2078289
     /* 2078289 */   GIM_Try, /*On fail goto*//*Label 27611*/ GIMT_Encode4(2078380), // Rule ID 15893 //
     /* 2078294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2078297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2078302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2078314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078340 */     // MIs[0] round
     /* 2078340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078343 */     // MIs[0] policy
     /* 2078343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078353 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2078356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078379 */     // GIR_Coverage, 15893,
     /* 2078379 */     GIR_EraseRootFromParent_Done,
     /* 2078380 */   // Label 27611: @2078380
     /* 2078380 */   GIM_Try, /*On fail goto*//*Label 27612*/ GIMT_Encode4(2078471), // Rule ID 15896 //
     /* 2078385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2078388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2078393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2078396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2078399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2078402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2078405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078431 */     // MIs[0] round
     /* 2078431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078434 */     // MIs[0] policy
     /* 2078434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078444 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2078447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078470 */     // GIR_Coverage, 15896,
     /* 2078470 */     GIR_EraseRootFromParent_Done,
     /* 2078471 */   // Label 27612: @2078471
     /* 2078471 */   GIM_Try, /*On fail goto*//*Label 27613*/ GIMT_Encode4(2078562), // Rule ID 15897 //
     /* 2078476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2078479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2078484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2078487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2078490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2078493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2078496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078522 */     // MIs[0] round
     /* 2078522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078525 */     // MIs[0] policy
     /* 2078525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078535 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2078538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078561 */     // GIR_Coverage, 15897,
     /* 2078561 */     GIR_EraseRootFromParent_Done,
     /* 2078562 */   // Label 27613: @2078562
     /* 2078562 */   GIM_Try, /*On fail goto*//*Label 27614*/ GIMT_Encode4(2078653), // Rule ID 15900 //
     /* 2078567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2078570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2078575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2078578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2078581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2078584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2078587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078613 */     // MIs[0] round
     /* 2078613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078616 */     // MIs[0] policy
     /* 2078616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078626 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2078629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078652 */     // GIR_Coverage, 15900,
     /* 2078652 */     GIR_EraseRootFromParent_Done,
     /* 2078653 */   // Label 27614: @2078653
     /* 2078653 */   GIM_Try, /*On fail goto*//*Label 27615*/ GIMT_Encode4(2078744), // Rule ID 15901 //
     /* 2078658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2078661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2078666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2078669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2078672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2078675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2078678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078704 */     // MIs[0] round
     /* 2078704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078707 */     // MIs[0] policy
     /* 2078707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078717 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2078720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078743 */     // GIR_Coverage, 15901,
     /* 2078743 */     GIR_EraseRootFromParent_Done,
     /* 2078744 */   // Label 27615: @2078744
     /* 2078744 */   GIM_Try, /*On fail goto*//*Label 27616*/ GIMT_Encode4(2078835), // Rule ID 15904 //
     /* 2078749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2078757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2078760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2078763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2078766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078795 */     // MIs[0] round
     /* 2078795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078798 */     // MIs[0] policy
     /* 2078798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078808 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2078811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078834 */     // GIR_Coverage, 15904,
     /* 2078834 */     GIR_EraseRootFromParent_Done,
     /* 2078835 */   // Label 27616: @2078835
     /* 2078835 */   GIM_Try, /*On fail goto*//*Label 27617*/ GIMT_Encode4(2078926), // Rule ID 15905 //
     /* 2078840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2078848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2078851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2078854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2078857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078886 */     // MIs[0] round
     /* 2078886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078889 */     // MIs[0] policy
     /* 2078889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078899 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2078902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078925 */     // GIR_Coverage, 15905,
     /* 2078925 */     GIR_EraseRootFromParent_Done,
     /* 2078926 */   // Label 27617: @2078926
     /* 2078926 */   GIM_Try, /*On fail goto*//*Label 27618*/ GIMT_Encode4(2079017), // Rule ID 15908 //
     /* 2078931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2078939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2078942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2078945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2078948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078977 */     // MIs[0] round
     /* 2078977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078980 */     // MIs[0] policy
     /* 2078980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078990 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2078993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079016 */     // GIR_Coverage, 15908,
     /* 2079016 */     GIR_EraseRootFromParent_Done,
     /* 2079017 */   // Label 27618: @2079017
     /* 2079017 */   GIM_Try, /*On fail goto*//*Label 27619*/ GIMT_Encode4(2079108), // Rule ID 15909 //
     /* 2079022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2079033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2079036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2079039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2079042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079068 */     // MIs[0] round
     /* 2079068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079071 */     // MIs[0] policy
     /* 2079071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079081 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2079084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079107 */     // GIR_Coverage, 15909,
     /* 2079107 */     GIR_EraseRootFromParent_Done,
     /* 2079108 */   // Label 27619: @2079108
     /* 2079108 */   GIM_Try, /*On fail goto*//*Label 27620*/ GIMT_Encode4(2079199), // Rule ID 15912 //
     /* 2079113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2079130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2079133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079159 */     // MIs[0] round
     /* 2079159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079162 */     // MIs[0] policy
     /* 2079162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2079175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079198 */     // GIR_Coverage, 15912,
     /* 2079198 */     GIR_EraseRootFromParent_Done,
     /* 2079199 */   // Label 27620: @2079199
     /* 2079199 */   GIM_Try, /*On fail goto*//*Label 27621*/ GIMT_Encode4(2079290), // Rule ID 15913 //
     /* 2079204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2079221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2079224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079250 */     // MIs[0] round
     /* 2079250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079253 */     // MIs[0] policy
     /* 2079253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079263 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2079266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079289 */     // GIR_Coverage, 15913,
     /* 2079289 */     GIR_EraseRootFromParent_Done,
     /* 2079290 */   // Label 27621: @2079290
     /* 2079290 */   GIM_Try, /*On fail goto*//*Label 27622*/ GIMT_Encode4(2079381), // Rule ID 15916 //
     /* 2079295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2079306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2079309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2079315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079341 */     // MIs[0] round
     /* 2079341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079344 */     // MIs[0] policy
     /* 2079344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079354 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2079357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079380 */     // GIR_Coverage, 15916,
     /* 2079380 */     GIR_EraseRootFromParent_Done,
     /* 2079381 */   // Label 27622: @2079381
     /* 2079381 */   GIM_Try, /*On fail goto*//*Label 27623*/ GIMT_Encode4(2079472), // Rule ID 15917 //
     /* 2079386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2079397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2079400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2079406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079432 */     // MIs[0] round
     /* 2079432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079435 */     // MIs[0] policy
     /* 2079435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079445 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2079448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079471 */     // GIR_Coverage, 15917,
     /* 2079471 */     GIR_EraseRootFromParent_Done,
     /* 2079472 */   // Label 27623: @2079472
     /* 2079472 */   GIM_Try, /*On fail goto*//*Label 27624*/ GIMT_Encode4(2079563), // Rule ID 15920 //
     /* 2079477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2079488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2079491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2079497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079523 */     // MIs[0] round
     /* 2079523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079526 */     // MIs[0] policy
     /* 2079526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2079539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079562 */     // GIR_Coverage, 15920,
     /* 2079562 */     GIR_EraseRootFromParent_Done,
     /* 2079563 */   // Label 27624: @2079563
     /* 2079563 */   GIM_Try, /*On fail goto*//*Label 27625*/ GIMT_Encode4(2079654), // Rule ID 15921 //
     /* 2079568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2079579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2079582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2079588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079614 */     // MIs[0] round
     /* 2079614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079617 */     // MIs[0] policy
     /* 2079617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079627 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2079630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079653 */     // GIR_Coverage, 15921,
     /* 2079653 */     GIR_EraseRootFromParent_Done,
     /* 2079654 */   // Label 27625: @2079654
     /* 2079654 */   GIM_Try, /*On fail goto*//*Label 27626*/ GIMT_Encode4(2079745), // Rule ID 15924 //
     /* 2079659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2079670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2079673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2079676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2079679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079705 */     // MIs[0] round
     /* 2079705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079708 */     // MIs[0] policy
     /* 2079708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2079721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2079741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079744 */     // GIR_Coverage, 15924,
     /* 2079744 */     GIR_EraseRootFromParent_Done,
     /* 2079745 */   // Label 27626: @2079745
     /* 2079745 */   GIM_Try, /*On fail goto*//*Label 27627*/ GIMT_Encode4(2079836), // Rule ID 15925 //
     /* 2079750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2079761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2079764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2079767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2079770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079796 */     // MIs[0] round
     /* 2079796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079799 */     // MIs[0] policy
     /* 2079799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2079812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2079832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079835 */     // GIR_Coverage, 15925,
     /* 2079835 */     GIR_EraseRootFromParent_Done,
     /* 2079836 */   // Label 27627: @2079836
     /* 2079836 */   GIM_Try, /*On fail goto*//*Label 27628*/ GIMT_Encode4(2079927), // Rule ID 15928 //
     /* 2079841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2079852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2079855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2079858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2079861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079887 */     // MIs[0] round
     /* 2079887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079890 */     // MIs[0] policy
     /* 2079890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079900 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2079903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079926 */     // GIR_Coverage, 15928,
     /* 2079926 */     GIR_EraseRootFromParent_Done,
     /* 2079927 */   // Label 27628: @2079927
     /* 2079927 */   GIM_Try, /*On fail goto*//*Label 27629*/ GIMT_Encode4(2080018), // Rule ID 15929 //
     /* 2079932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2079943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2079946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2079949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2079952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079978 */     // MIs[0] round
     /* 2079978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079981 */     // MIs[0] policy
     /* 2079981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079991 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2079994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080017 */     // GIR_Coverage, 15929,
     /* 2080017 */     GIR_EraseRootFromParent_Done,
     /* 2080018 */   // Label 27629: @2080018
     /* 2080018 */   GIM_Try, /*On fail goto*//*Label 27630*/ GIMT_Encode4(2080109), // Rule ID 15932 //
     /* 2080023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2080040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080069 */     // MIs[0] round
     /* 2080069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080072 */     // MIs[0] policy
     /* 2080072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080082 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2080085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080108 */     // GIR_Coverage, 15932,
     /* 2080108 */     GIR_EraseRootFromParent_Done,
     /* 2080109 */   // Label 27630: @2080109
     /* 2080109 */   GIM_Try, /*On fail goto*//*Label 27631*/ GIMT_Encode4(2080200), // Rule ID 15933 //
     /* 2080114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2080131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2080134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080160 */     // MIs[0] round
     /* 2080160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080163 */     // MIs[0] policy
     /* 2080163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080173 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2080176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080199 */     // GIR_Coverage, 15933,
     /* 2080199 */     GIR_EraseRootFromParent_Done,
     /* 2080200 */   // Label 27631: @2080200
     /* 2080200 */   GIM_Try, /*On fail goto*//*Label 27632*/ GIMT_Encode4(2080291), // Rule ID 15936 //
     /* 2080205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080251 */     // MIs[0] round
     /* 2080251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080254 */     // MIs[0] policy
     /* 2080254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2080267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080290 */     // GIR_Coverage, 15936,
     /* 2080290 */     GIR_EraseRootFromParent_Done,
     /* 2080291 */   // Label 27632: @2080291
     /* 2080291 */   GIM_Try, /*On fail goto*//*Label 27633*/ GIMT_Encode4(2080382), // Rule ID 15937 //
     /* 2080296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2080316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080342 */     // MIs[0] round
     /* 2080342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080345 */     // MIs[0] policy
     /* 2080345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2080358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080381 */     // GIR_Coverage, 15937,
     /* 2080381 */     GIR_EraseRootFromParent_Done,
     /* 2080382 */   // Label 27633: @2080382
     /* 2080382 */   GIM_Try, /*On fail goto*//*Label 27634*/ GIMT_Encode4(2080473), // Rule ID 15940 //
     /* 2080387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2080390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2080398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2080401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2080404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080433 */     // MIs[0] round
     /* 2080433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080436 */     // MIs[0] policy
     /* 2080436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2080449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2080469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080472 */     // GIR_Coverage, 15940,
     /* 2080472 */     GIR_EraseRootFromParent_Done,
     /* 2080473 */   // Label 27634: @2080473
     /* 2080473 */   GIM_Try, /*On fail goto*//*Label 27635*/ GIMT_Encode4(2080564), // Rule ID 15941 //
     /* 2080478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2080481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2080489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2080492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2080495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2080498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080524 */     // MIs[0] round
     /* 2080524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080527 */     // MIs[0] policy
     /* 2080527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080537 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2080540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2080560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080563 */     // GIR_Coverage, 15941,
     /* 2080563 */     GIR_EraseRootFromParent_Done,
     /* 2080564 */   // Label 27635: @2080564
     /* 2080564 */   GIM_Try, /*On fail goto*//*Label 27636*/ GIMT_Encode4(2080655), // Rule ID 15944 //
     /* 2080569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2080580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2080583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2080586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080615 */     // MIs[0] round
     /* 2080615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080618 */     // MIs[0] policy
     /* 2080618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080628 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2080631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080654 */     // GIR_Coverage, 15944,
     /* 2080654 */     GIR_EraseRootFromParent_Done,
     /* 2080655 */   // Label 27636: @2080655
     /* 2080655 */   GIM_Try, /*On fail goto*//*Label 27637*/ GIMT_Encode4(2080746), // Rule ID 15945 //
     /* 2080660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2080671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2080674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2080677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2080680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080706 */     // MIs[0] round
     /* 2080706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080709 */     // MIs[0] policy
     /* 2080709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080719 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2080722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080745 */     // GIR_Coverage, 15945,
     /* 2080745 */     GIR_EraseRootFromParent_Done,
     /* 2080746 */   // Label 27637: @2080746
     /* 2080746 */   GIM_Try, /*On fail goto*//*Label 27638*/ GIMT_Encode4(2080837), // Rule ID 15948 //
     /* 2080751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2080762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2080765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2080768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2080774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080797 */     // MIs[0] round
     /* 2080797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080800 */     // MIs[0] policy
     /* 2080800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080810 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2080813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080836 */     // GIR_Coverage, 15948,
     /* 2080836 */     GIR_EraseRootFromParent_Done,
     /* 2080837 */   // Label 27638: @2080837
     /* 2080837 */   GIM_Try, /*On fail goto*//*Label 27639*/ GIMT_Encode4(2080928), // Rule ID 15949 //
     /* 2080842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2080853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2080856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2080859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2080862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2080865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080888 */     // MIs[0] round
     /* 2080888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080891 */     // MIs[0] policy
     /* 2080891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080901 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2080904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080927 */     // GIR_Coverage, 15949,
     /* 2080927 */     GIR_EraseRootFromParent_Done,
     /* 2080928 */   // Label 27639: @2080928
     /* 2080928 */   GIM_Try, /*On fail goto*//*Label 27640*/ GIMT_Encode4(2081019), // Rule ID 15952 //
     /* 2080933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2080944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2080947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2080950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2080956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2080963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080979 */     // MIs[0] round
     /* 2080979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080982 */     // MIs[0] policy
     /* 2080982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080992 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2080995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081018 */     // GIR_Coverage, 15952,
     /* 2081018 */     GIR_EraseRootFromParent_Done,
     /* 2081019 */   // Label 27640: @2081019
     /* 2081019 */   GIM_Try, /*On fail goto*//*Label 27641*/ GIMT_Encode4(2081110), // Rule ID 15953 //
     /* 2081024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2081035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2081038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2081041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2081047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081070 */     // MIs[0] round
     /* 2081070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081073 */     // MIs[0] policy
     /* 2081073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081083 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2081086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081109 */     // GIR_Coverage, 15953,
     /* 2081109 */     GIR_EraseRootFromParent_Done,
     /* 2081110 */   // Label 27641: @2081110
     /* 2081110 */   GIM_Try, /*On fail goto*//*Label 27642*/ GIMT_Encode4(2081201), // Rule ID 15956 //
     /* 2081115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2081126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2081129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2081132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081161 */     // MIs[0] round
     /* 2081161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081164 */     // MIs[0] policy
     /* 2081164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2081177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081200 */     // GIR_Coverage, 15956,
     /* 2081200 */     GIR_EraseRootFromParent_Done,
     /* 2081201 */   // Label 27642: @2081201
     /* 2081201 */   GIM_Try, /*On fail goto*//*Label 27643*/ GIMT_Encode4(2081292), // Rule ID 15957 //
     /* 2081206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2081217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2081220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2081223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081252 */     // MIs[0] round
     /* 2081252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081255 */     // MIs[0] policy
     /* 2081255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081265 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2081268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081291 */     // GIR_Coverage, 15957,
     /* 2081291 */     GIR_EraseRootFromParent_Done,
     /* 2081292 */   // Label 27643: @2081292
     /* 2081292 */   GIM_Try, /*On fail goto*//*Label 27644*/ GIMT_Encode4(2081383), // Rule ID 15960 //
     /* 2081297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2081308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2081311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2081314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081343 */     // MIs[0] round
     /* 2081343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081346 */     // MIs[0] policy
     /* 2081346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081356 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2081359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081382 */     // GIR_Coverage, 15960,
     /* 2081382 */     GIR_EraseRootFromParent_Done,
     /* 2081383 */   // Label 27644: @2081383
     /* 2081383 */   GIM_Try, /*On fail goto*//*Label 27645*/ GIMT_Encode4(2081474), // Rule ID 15961 //
     /* 2081388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2081399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2081402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2081405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081434 */     // MIs[0] round
     /* 2081434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081437 */     // MIs[0] policy
     /* 2081437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081447 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2081450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081473 */     // GIR_Coverage, 15961,
     /* 2081473 */     GIR_EraseRootFromParent_Done,
     /* 2081474 */   // Label 27645: @2081474
     /* 2081474 */   GIM_Try, /*On fail goto*//*Label 27646*/ GIMT_Encode4(2081565), // Rule ID 15964 //
     /* 2081479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2081490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2081493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2081496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2081502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081525 */     // MIs[0] round
     /* 2081525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081528 */     // MIs[0] policy
     /* 2081528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081538 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2081541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081564 */     // GIR_Coverage, 15964,
     /* 2081564 */     GIR_EraseRootFromParent_Done,
     /* 2081565 */   // Label 27646: @2081565
     /* 2081565 */   GIM_Try, /*On fail goto*//*Label 27647*/ GIMT_Encode4(2081656), // Rule ID 15965 //
     /* 2081570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2081581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2081584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2081587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2081593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081616 */     // MIs[0] round
     /* 2081616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081619 */     // MIs[0] policy
     /* 2081619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081629 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2081632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081655 */     // GIR_Coverage, 15965,
     /* 2081655 */     GIR_EraseRootFromParent_Done,
     /* 2081656 */   // Label 27647: @2081656
     /* 2081656 */   GIM_Try, /*On fail goto*//*Label 27648*/ GIMT_Encode4(2081747), // Rule ID 15968 //
     /* 2081661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2081678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081707 */     // MIs[0] round
     /* 2081707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081710 */     // MIs[0] policy
     /* 2081710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081720 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2081723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081746 */     // GIR_Coverage, 15968,
     /* 2081746 */     GIR_EraseRootFromParent_Done,
     /* 2081747 */   // Label 27648: @2081747
     /* 2081747 */   GIM_Try, /*On fail goto*//*Label 27649*/ GIMT_Encode4(2081838), // Rule ID 15969 //
     /* 2081752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2081769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081798 */     // MIs[0] round
     /* 2081798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081801 */     // MIs[0] policy
     /* 2081801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2081814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081837 */     // GIR_Coverage, 15969,
     /* 2081837 */     GIR_EraseRootFromParent_Done,
     /* 2081838 */   // Label 27649: @2081838
     /* 2081838 */   GIM_Try, /*On fail goto*//*Label 27650*/ GIMT_Encode4(2081929), // Rule ID 15972 //
     /* 2081843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2081854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2081857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2081860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081889 */     // MIs[0] round
     /* 2081889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081892 */     // MIs[0] policy
     /* 2081892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081902 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2081905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081928 */     // GIR_Coverage, 15972,
     /* 2081928 */     GIR_EraseRootFromParent_Done,
     /* 2081929 */   // Label 27650: @2081929
     /* 2081929 */   GIM_Try, /*On fail goto*//*Label 27651*/ GIMT_Encode4(2082020), // Rule ID 15973 //
     /* 2081934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2081945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2081948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2081951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081980 */     // MIs[0] round
     /* 2081980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081983 */     // MIs[0] policy
     /* 2081983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081993 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2081996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082019 */     // GIR_Coverage, 15973,
     /* 2082019 */     GIR_EraseRootFromParent_Done,
     /* 2082020 */   // Label 27651: @2082020
     /* 2082020 */   GIM_Try, /*On fail goto*//*Label 27652*/ GIMT_Encode4(2082111), // Rule ID 15976 //
     /* 2082025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2082036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2082039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2082042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082071 */     // MIs[0] round
     /* 2082071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082074 */     // MIs[0] policy
     /* 2082074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082084 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2082087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082110 */     // GIR_Coverage, 15976,
     /* 2082110 */     GIR_EraseRootFromParent_Done,
     /* 2082111 */   // Label 27652: @2082111
     /* 2082111 */   GIM_Try, /*On fail goto*//*Label 27653*/ GIMT_Encode4(2082202), // Rule ID 15977 //
     /* 2082116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2082127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2082130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2082133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082162 */     // MIs[0] round
     /* 2082162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082165 */     // MIs[0] policy
     /* 2082165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082175 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2082178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082201 */     // GIR_Coverage, 15977,
     /* 2082201 */     GIR_EraseRootFromParent_Done,
     /* 2082202 */   // Label 27653: @2082202
     /* 2082202 */   GIM_Try, /*On fail goto*//*Label 27654*/ GIMT_Encode4(2082293), // Rule ID 15980 //
     /* 2082207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2082210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2082218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2082221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2082224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082253 */     // MIs[0] round
     /* 2082253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082256 */     // MIs[0] policy
     /* 2082256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082266 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2082269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2082289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082292 */     // GIR_Coverage, 15980,
     /* 2082292 */     GIR_EraseRootFromParent_Done,
     /* 2082293 */   // Label 27654: @2082293
     /* 2082293 */   GIM_Try, /*On fail goto*//*Label 27655*/ GIMT_Encode4(2082384), // Rule ID 15981 //
     /* 2082298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2082301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2082309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2082312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2082315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082344 */     // MIs[0] round
     /* 2082344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082347 */     // MIs[0] policy
     /* 2082347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082357 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2082360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2082380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082383 */     // GIR_Coverage, 15981,
     /* 2082383 */     GIR_EraseRootFromParent_Done,
     /* 2082384 */   // Label 27655: @2082384
     /* 2082384 */   GIM_Try, /*On fail goto*//*Label 27656*/ GIMT_Encode4(2082475), // Rule ID 15984 //
     /* 2082389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2082392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2082400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2082403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2082406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082435 */     // MIs[0] round
     /* 2082435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082438 */     // MIs[0] policy
     /* 2082438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082448 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2082451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2082471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082474 */     // GIR_Coverage, 15984,
     /* 2082474 */     GIR_EraseRootFromParent_Done,
     /* 2082475 */   // Label 27656: @2082475
     /* 2082475 */   GIM_Try, /*On fail goto*//*Label 27657*/ GIMT_Encode4(2082566), // Rule ID 15985 //
     /* 2082480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2082483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2082491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2082494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2082497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082526 */     // MIs[0] round
     /* 2082526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082529 */     // MIs[0] policy
     /* 2082529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082539 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2082542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2082562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082565 */     // GIR_Coverage, 15985,
     /* 2082565 */     GIR_EraseRootFromParent_Done,
     /* 2082566 */   // Label 27657: @2082566
     /* 2082566 */   GIM_Try, /*On fail goto*//*Label 27658*/ GIMT_Encode4(2082657), // Rule ID 15988 //
     /* 2082571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2082574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2082582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2082585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2082588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082617 */     // MIs[0] round
     /* 2082617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082620 */     // MIs[0] policy
     /* 2082620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082630 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2082633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2082653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082656 */     // GIR_Coverage, 15988,
     /* 2082656 */     GIR_EraseRootFromParent_Done,
     /* 2082657 */   // Label 27658: @2082657
     /* 2082657 */   GIM_Try, /*On fail goto*//*Label 27659*/ GIMT_Encode4(2082748), // Rule ID 15989 //
     /* 2082662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2082665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2082673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2082676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2082679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082708 */     // MIs[0] round
     /* 2082708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082711 */     // MIs[0] policy
     /* 2082711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2082724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2082744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082747 */     // GIR_Coverage, 15989,
     /* 2082747 */     GIR_EraseRootFromParent_Done,
     /* 2082748 */   // Label 27659: @2082748
     /* 2082748 */   GIM_Try, /*On fail goto*//*Label 27660*/ GIMT_Encode4(2082839), // Rule ID 16080 //
     /* 2082753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2082764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2082767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2082770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2082773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082799 */     // MIs[0] round
     /* 2082799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082802 */     // MIs[0] policy
     /* 2082802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082812 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2082815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082838 */     // GIR_Coverage, 16080,
     /* 2082838 */     GIR_EraseRootFromParent_Done,
     /* 2082839 */   // Label 27660: @2082839
     /* 2082839 */   GIM_Try, /*On fail goto*//*Label 27661*/ GIMT_Encode4(2082930), // Rule ID 16081 //
     /* 2082844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2082855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2082858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2082861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2082864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082890 */     // MIs[0] round
     /* 2082890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082893 */     // MIs[0] policy
     /* 2082893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082903 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2082906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082929 */     // GIR_Coverage, 16081,
     /* 2082929 */     GIR_EraseRootFromParent_Done,
     /* 2082930 */   // Label 27661: @2082930
     /* 2082930 */   GIM_Try, /*On fail goto*//*Label 27662*/ GIMT_Encode4(2083021), // Rule ID 16084 //
     /* 2082935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2082946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2082949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2082952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2082955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082981 */     // MIs[0] round
     /* 2082981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082984 */     // MIs[0] policy
     /* 2082984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082994 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2082997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083020 */     // GIR_Coverage, 16084,
     /* 2083020 */     GIR_EraseRootFromParent_Done,
     /* 2083021 */   // Label 27662: @2083021
     /* 2083021 */   GIM_Try, /*On fail goto*//*Label 27663*/ GIMT_Encode4(2083112), // Rule ID 16085 //
     /* 2083026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2083037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2083040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2083043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2083046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083072 */     // MIs[0] round
     /* 2083072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083075 */     // MIs[0] policy
     /* 2083075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083085 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2083088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083111 */     // GIR_Coverage, 16085,
     /* 2083111 */     GIR_EraseRootFromParent_Done,
     /* 2083112 */   // Label 27663: @2083112
     /* 2083112 */   GIM_Try, /*On fail goto*//*Label 27664*/ GIMT_Encode4(2083203), // Rule ID 16088 //
     /* 2083117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2083128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2083131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2083134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2083137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083163 */     // MIs[0] round
     /* 2083163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083166 */     // MIs[0] policy
     /* 2083166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083176 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2083179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083202 */     // GIR_Coverage, 16088,
     /* 2083202 */     GIR_EraseRootFromParent_Done,
     /* 2083203 */   // Label 27664: @2083203
     /* 2083203 */   GIM_Try, /*On fail goto*//*Label 27665*/ GIMT_Encode4(2083294), // Rule ID 16089 //
     /* 2083208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2083219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2083222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2083225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2083228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083254 */     // MIs[0] round
     /* 2083254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083257 */     // MIs[0] policy
     /* 2083257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083267 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2083270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083293 */     // GIR_Coverage, 16089,
     /* 2083293 */     GIR_EraseRootFromParent_Done,
     /* 2083294 */   // Label 27665: @2083294
     /* 2083294 */   GIM_Try, /*On fail goto*//*Label 27666*/ GIMT_Encode4(2083385), // Rule ID 16092 //
     /* 2083299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2083310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2083313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2083316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2083319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083345 */     // MIs[0] round
     /* 2083345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083348 */     // MIs[0] policy
     /* 2083348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2083361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083384 */     // GIR_Coverage, 16092,
     /* 2083384 */     GIR_EraseRootFromParent_Done,
     /* 2083385 */   // Label 27666: @2083385
     /* 2083385 */   GIM_Try, /*On fail goto*//*Label 27667*/ GIMT_Encode4(2083476), // Rule ID 16093 //
     /* 2083390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2083401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2083404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2083407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2083410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083436 */     // MIs[0] round
     /* 2083436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083439 */     // MIs[0] policy
     /* 2083439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083449 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2083452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083475 */     // GIR_Coverage, 16093,
     /* 2083475 */     GIR_EraseRootFromParent_Done,
     /* 2083476 */   // Label 27667: @2083476
     /* 2083476 */   GIM_Try, /*On fail goto*//*Label 27668*/ GIMT_Encode4(2083567), // Rule ID 16096 //
     /* 2083481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2083492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2083495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2083498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2083501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083527 */     // MIs[0] round
     /* 2083527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083530 */     // MIs[0] policy
     /* 2083530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083540 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2083543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083566 */     // GIR_Coverage, 16096,
     /* 2083566 */     GIR_EraseRootFromParent_Done,
     /* 2083567 */   // Label 27668: @2083567
     /* 2083567 */   GIM_Try, /*On fail goto*//*Label 27669*/ GIMT_Encode4(2083658), // Rule ID 16097 //
     /* 2083572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2083583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2083586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2083589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2083592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083618 */     // MIs[0] round
     /* 2083618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083621 */     // MIs[0] policy
     /* 2083621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083631 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2083634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083657 */     // GIR_Coverage, 16097,
     /* 2083657 */     GIR_EraseRootFromParent_Done,
     /* 2083658 */   // Label 27669: @2083658
     /* 2083658 */   GIM_Try, /*On fail goto*//*Label 27670*/ GIMT_Encode4(2083749), // Rule ID 16100 //
     /* 2083663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2083674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2083677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2083680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2083683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083709 */     // MIs[0] round
     /* 2083709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083712 */     // MIs[0] policy
     /* 2083712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2083725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083748 */     // GIR_Coverage, 16100,
     /* 2083748 */     GIR_EraseRootFromParent_Done,
     /* 2083749 */   // Label 27670: @2083749
     /* 2083749 */   GIM_Try, /*On fail goto*//*Label 27671*/ GIMT_Encode4(2083840), // Rule ID 16101 //
     /* 2083754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2083765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2083768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2083771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2083774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083800 */     // MIs[0] round
     /* 2083800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083803 */     // MIs[0] policy
     /* 2083803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083813 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2083816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083839 */     // GIR_Coverage, 16101,
     /* 2083839 */     GIR_EraseRootFromParent_Done,
     /* 2083840 */   // Label 27671: @2083840
     /* 2083840 */   GIM_Try, /*On fail goto*//*Label 27672*/ GIMT_Encode4(2083931), // Rule ID 16104 //
     /* 2083845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2083856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2083859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2083862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2083865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083891 */     // MIs[0] round
     /* 2083891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083894 */     // MIs[0] policy
     /* 2083894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083904 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2083907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083930 */     // GIR_Coverage, 16104,
     /* 2083930 */     GIR_EraseRootFromParent_Done,
     /* 2083931 */   // Label 27672: @2083931
     /* 2083931 */   GIM_Try, /*On fail goto*//*Label 27673*/ GIMT_Encode4(2084022), // Rule ID 16105 //
     /* 2083936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2083947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2083950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2083953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2083956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083982 */     // MIs[0] round
     /* 2083982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083985 */     // MIs[0] policy
     /* 2083985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083995 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2083998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084021 */     // GIR_Coverage, 16105,
     /* 2084021 */     GIR_EraseRootFromParent_Done,
     /* 2084022 */   // Label 27673: @2084022
     /* 2084022 */   GIM_Try, /*On fail goto*//*Label 27674*/ GIMT_Encode4(2084113), // Rule ID 16108 //
     /* 2084027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2084038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2084041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2084044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2084047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084073 */     // MIs[0] round
     /* 2084073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084076 */     // MIs[0] policy
     /* 2084076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2084089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084112 */     // GIR_Coverage, 16108,
     /* 2084112 */     GIR_EraseRootFromParent_Done,
     /* 2084113 */   // Label 27674: @2084113
     /* 2084113 */   GIM_Try, /*On fail goto*//*Label 27675*/ GIMT_Encode4(2084204), // Rule ID 16109 //
     /* 2084118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2084129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2084132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2084135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2084138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084164 */     // MIs[0] round
     /* 2084164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084167 */     // MIs[0] policy
     /* 2084167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2084180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084203 */     // GIR_Coverage, 16109,
     /* 2084203 */     GIR_EraseRootFromParent_Done,
     /* 2084204 */   // Label 27675: @2084204
     /* 2084204 */   GIM_Try, /*On fail goto*//*Label 27676*/ GIMT_Encode4(2084295), // Rule ID 16112 //
     /* 2084209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2084226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2084229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084255 */     // MIs[0] round
     /* 2084255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084258 */     // MIs[0] policy
     /* 2084258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084268 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2084271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084294 */     // GIR_Coverage, 16112,
     /* 2084294 */     GIR_EraseRootFromParent_Done,
     /* 2084295 */   // Label 27676: @2084295
     /* 2084295 */   GIM_Try, /*On fail goto*//*Label 27677*/ GIMT_Encode4(2084386), // Rule ID 16113 //
     /* 2084300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2084317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2084320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084346 */     // MIs[0] round
     /* 2084346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084349 */     // MIs[0] policy
     /* 2084349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084359 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2084362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084385 */     // GIR_Coverage, 16113,
     /* 2084385 */     GIR_EraseRootFromParent_Done,
     /* 2084386 */   // Label 27677: @2084386
     /* 2084386 */   GIM_Try, /*On fail goto*//*Label 27678*/ GIMT_Encode4(2084477), // Rule ID 16116 //
     /* 2084391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2084394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2084402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2084405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2084408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2084411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084437 */     // MIs[0] round
     /* 2084437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084440 */     // MIs[0] policy
     /* 2084440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2084453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2084473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084476 */     // GIR_Coverage, 16116,
     /* 2084476 */     GIR_EraseRootFromParent_Done,
     /* 2084477 */   // Label 27678: @2084477
     /* 2084477 */   GIM_Try, /*On fail goto*//*Label 27679*/ GIMT_Encode4(2084568), // Rule ID 16117 //
     /* 2084482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2084485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2084493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2084496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2084499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2084502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084528 */     // MIs[0] round
     /* 2084528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084531 */     // MIs[0] policy
     /* 2084531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084541 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2084544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2084564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084567 */     // GIR_Coverage, 16117,
     /* 2084567 */     GIR_EraseRootFromParent_Done,
     /* 2084568 */   // Label 27679: @2084568
     /* 2084568 */   GIM_Try, /*On fail goto*//*Label 27680*/ GIMT_Encode4(2084659), // Rule ID 16120 //
     /* 2084573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2084584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2084587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2084590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2084593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084619 */     // MIs[0] round
     /* 2084619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084622 */     // MIs[0] policy
     /* 2084622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084632 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2084635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084658 */     // GIR_Coverage, 16120,
     /* 2084658 */     GIR_EraseRootFromParent_Done,
     /* 2084659 */   // Label 27680: @2084659
     /* 2084659 */   GIM_Try, /*On fail goto*//*Label 27681*/ GIMT_Encode4(2084750), // Rule ID 16121 //
     /* 2084664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2084675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2084678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2084681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2084684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084710 */     // MIs[0] round
     /* 2084710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084713 */     // MIs[0] policy
     /* 2084713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084723 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2084726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084749 */     // GIR_Coverage, 16121,
     /* 2084749 */     GIR_EraseRootFromParent_Done,
     /* 2084750 */   // Label 27681: @2084750
     /* 2084750 */   GIM_Try, /*On fail goto*//*Label 27682*/ GIMT_Encode4(2084841), // Rule ID 16124 //
     /* 2084755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2084766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2084769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2084772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2084775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2084778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084801 */     // MIs[0] round
     /* 2084801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084804 */     // MIs[0] policy
     /* 2084804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084814 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2084817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084840 */     // GIR_Coverage, 16124,
     /* 2084840 */     GIR_EraseRootFromParent_Done,
     /* 2084841 */   // Label 27682: @2084841
     /* 2084841 */   GIM_Try, /*On fail goto*//*Label 27683*/ GIMT_Encode4(2084932), // Rule ID 16125 //
     /* 2084846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2084857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2084860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2084863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2084866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2084869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084892 */     // MIs[0] round
     /* 2084892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084895 */     // MIs[0] policy
     /* 2084895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084905 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2084908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084931 */     // GIR_Coverage, 16125,
     /* 2084931 */     GIR_EraseRootFromParent_Done,
     /* 2084932 */   // Label 27683: @2084932
     /* 2084932 */   GIM_Try, /*On fail goto*//*Label 27684*/ GIMT_Encode4(2085023), // Rule ID 16128 //
     /* 2084937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2084945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2084948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2084951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2084954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2084957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2084960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2084967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084983 */     // MIs[0] round
     /* 2084983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084986 */     // MIs[0] policy
     /* 2084986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2084999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085022 */     // GIR_Coverage, 16128,
     /* 2085022 */     GIR_EraseRootFromParent_Done,
     /* 2085023 */   // Label 27684: @2085023
     /* 2085023 */   GIM_Try, /*On fail goto*//*Label 27685*/ GIMT_Encode4(2085114), // Rule ID 16129 //
     /* 2085028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2085039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2085042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2085045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2085048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2085051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085074 */     // MIs[0] round
     /* 2085074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085077 */     // MIs[0] policy
     /* 2085077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085087 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2085090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085113 */     // GIR_Coverage, 16129,
     /* 2085113 */     GIR_EraseRootFromParent_Done,
     /* 2085114 */   // Label 27685: @2085114
     /* 2085114 */   GIM_Try, /*On fail goto*//*Label 27686*/ GIMT_Encode4(2085205), // Rule ID 16132 //
     /* 2085119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2085130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2085133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2085139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085165 */     // MIs[0] round
     /* 2085165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085168 */     // MIs[0] policy
     /* 2085168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085178 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2085181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085204 */     // GIR_Coverage, 16132,
     /* 2085204 */     GIR_EraseRootFromParent_Done,
     /* 2085205 */   // Label 27686: @2085205
     /* 2085205 */   GIM_Try, /*On fail goto*//*Label 27687*/ GIMT_Encode4(2085296), // Rule ID 16133 //
     /* 2085210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2085221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2085224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2085230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085256 */     // MIs[0] round
     /* 2085256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085259 */     // MIs[0] policy
     /* 2085259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085269 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2085272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085295 */     // GIR_Coverage, 16133,
     /* 2085295 */     GIR_EraseRootFromParent_Done,
     /* 2085296 */   // Label 27687: @2085296
     /* 2085296 */   GIM_Try, /*On fail goto*//*Label 27688*/ GIMT_Encode4(2085387), // Rule ID 16136 //
     /* 2085301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2085312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2085315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2085321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085347 */     // MIs[0] round
     /* 2085347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085350 */     // MIs[0] policy
     /* 2085350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085360 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2085363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085386 */     // GIR_Coverage, 16136,
     /* 2085386 */     GIR_EraseRootFromParent_Done,
     /* 2085387 */   // Label 27688: @2085387
     /* 2085387 */   GIM_Try, /*On fail goto*//*Label 27689*/ GIMT_Encode4(2085478), // Rule ID 16137 //
     /* 2085392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2085403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2085406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2085412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085438 */     // MIs[0] round
     /* 2085438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085441 */     // MIs[0] policy
     /* 2085441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2085454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085477 */     // GIR_Coverage, 16137,
     /* 2085477 */     GIR_EraseRootFromParent_Done,
     /* 2085478 */   // Label 27689: @2085478
     /* 2085478 */   GIM_Try, /*On fail goto*//*Label 27690*/ GIMT_Encode4(2085569), // Rule ID 16140 //
     /* 2085483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2085494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2085497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2085503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085529 */     // MIs[0] round
     /* 2085529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085532 */     // MIs[0] policy
     /* 2085532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2085545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085568 */     // GIR_Coverage, 16140,
     /* 2085568 */     GIR_EraseRootFromParent_Done,
     /* 2085569 */   // Label 27690: @2085569
     /* 2085569 */   GIM_Try, /*On fail goto*//*Label 27691*/ GIMT_Encode4(2085660), // Rule ID 16141 //
     /* 2085574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2085585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2085588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2085594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085620 */     // MIs[0] round
     /* 2085620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085623 */     // MIs[0] policy
     /* 2085623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085633 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2085636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085659 */     // GIR_Coverage, 16141,
     /* 2085659 */     GIR_EraseRootFromParent_Done,
     /* 2085660 */   // Label 27691: @2085660
     /* 2085660 */   GIM_Try, /*On fail goto*//*Label 27692*/ GIMT_Encode4(2085751), // Rule ID 16144 //
     /* 2085665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2085676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2085679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2085682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2085685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085711 */     // MIs[0] round
     /* 2085711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085714 */     // MIs[0] policy
     /* 2085714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2085727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085750 */     // GIR_Coverage, 16144,
     /* 2085750 */     GIR_EraseRootFromParent_Done,
     /* 2085751 */   // Label 27692: @2085751
     /* 2085751 */   GIM_Try, /*On fail goto*//*Label 27693*/ GIMT_Encode4(2085842), // Rule ID 16145 //
     /* 2085756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2085767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2085770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2085773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2085776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085802 */     // MIs[0] round
     /* 2085802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085805 */     // MIs[0] policy
     /* 2085805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085815 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2085818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085841 */     // GIR_Coverage, 16145,
     /* 2085841 */     GIR_EraseRootFromParent_Done,
     /* 2085842 */   // Label 27693: @2085842
     /* 2085842 */   GIM_Try, /*On fail goto*//*Label 27694*/ GIMT_Encode4(2085933), // Rule ID 16148 //
     /* 2085847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2085858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2085861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2085864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2085867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085893 */     // MIs[0] round
     /* 2085893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085896 */     // MIs[0] policy
     /* 2085896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085906 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2085909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085932 */     // GIR_Coverage, 16148,
     /* 2085932 */     GIR_EraseRootFromParent_Done,
     /* 2085933 */   // Label 27694: @2085933
     /* 2085933 */   GIM_Try, /*On fail goto*//*Label 27695*/ GIMT_Encode4(2086024), // Rule ID 16149 //
     /* 2085938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2085946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2085949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2085952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2085955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2085958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085984 */     // MIs[0] round
     /* 2085984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085987 */     // MIs[0] policy
     /* 2085987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085997 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2086000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086023 */     // GIR_Coverage, 16149,
     /* 2086023 */     GIR_EraseRootFromParent_Done,
     /* 2086024 */   // Label 27695: @2086024
     /* 2086024 */   GIM_Try, /*On fail goto*//*Label 27696*/ GIMT_Encode4(2086115), // Rule ID 16152 //
     /* 2086029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2086037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2086040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2086043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2086049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086075 */     // MIs[0] round
     /* 2086075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086078 */     // MIs[0] policy
     /* 2086078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086088 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2086091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086114 */     // GIR_Coverage, 16152,
     /* 2086114 */     GIR_EraseRootFromParent_Done,
     /* 2086115 */   // Label 27696: @2086115
     /* 2086115 */   GIM_Try, /*On fail goto*//*Label 27697*/ GIMT_Encode4(2086206), // Rule ID 16153 //
     /* 2086120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2086128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2086131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2086134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2086140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086166 */     // MIs[0] round
     /* 2086166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086169 */     // MIs[0] policy
     /* 2086169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086179 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2086182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086205 */     // GIR_Coverage, 16153,
     /* 2086205 */     GIR_EraseRootFromParent_Done,
     /* 2086206 */   // Label 27697: @2086206
     /* 2086206 */   GIM_Try, /*On fail goto*//*Label 27698*/ GIMT_Encode4(2086297), // Rule ID 16156 //
     /* 2086211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2086214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2086219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2086222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2086225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2086228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2086231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086257 */     // MIs[0] round
     /* 2086257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086260 */     // MIs[0] policy
     /* 2086260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086270 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2086273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086296 */     // GIR_Coverage, 16156,
     /* 2086296 */     GIR_EraseRootFromParent_Done,
     /* 2086297 */   // Label 27698: @2086297
     /* 2086297 */   GIM_Try, /*On fail goto*//*Label 27699*/ GIMT_Encode4(2086388), // Rule ID 16157 //
     /* 2086302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2086305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2086310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2086313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2086316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2086319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2086322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086348 */     // MIs[0] round
     /* 2086348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086351 */     // MIs[0] policy
     /* 2086351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2086364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086387 */     // GIR_Coverage, 16157,
     /* 2086387 */     GIR_EraseRootFromParent_Done,
     /* 2086388 */   // Label 27699: @2086388
     /* 2086388 */   GIM_Try, /*On fail goto*//*Label 27700*/ GIMT_Encode4(2086479), // Rule ID 16160 //
     /* 2086393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2086396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2086401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2086404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2086407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2086410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2086413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086439 */     // MIs[0] round
     /* 2086439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086442 */     // MIs[0] policy
     /* 2086442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2086455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086478 */     // GIR_Coverage, 16160,
     /* 2086478 */     GIR_EraseRootFromParent_Done,
     /* 2086479 */   // Label 27700: @2086479
     /* 2086479 */   GIM_Try, /*On fail goto*//*Label 27701*/ GIMT_Encode4(2086570), // Rule ID 16161 //
     /* 2086484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2086487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2086492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2086495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2086498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2086501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2086504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086530 */     // MIs[0] round
     /* 2086530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086533 */     // MIs[0] policy
     /* 2086533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086543 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2086546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086569 */     // GIR_Coverage, 16161,
     /* 2086569 */     GIR_EraseRootFromParent_Done,
     /* 2086570 */   // Label 27701: @2086570
     /* 2086570 */   GIM_Try, /*On fail goto*//*Label 27702*/ GIMT_Encode4(2086661), // Rule ID 16164 //
     /* 2086575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2086578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2086583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2086586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2086589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2086592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2086595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086621 */     // MIs[0] round
     /* 2086621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086624 */     // MIs[0] policy
     /* 2086624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086634 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2086637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086660 */     // GIR_Coverage, 16164,
     /* 2086660 */     GIR_EraseRootFromParent_Done,
     /* 2086661 */   // Label 27702: @2086661
     /* 2086661 */   GIM_Try, /*On fail goto*//*Label 27703*/ GIMT_Encode4(2086752), // Rule ID 16165 //
     /* 2086666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2086669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2086674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2086677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2086680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2086683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2086686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086712 */     // MIs[0] round
     /* 2086712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086715 */     // MIs[0] policy
     /* 2086715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086725 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2086728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086751 */     // GIR_Coverage, 16165,
     /* 2086751 */     GIR_EraseRootFromParent_Done,
     /* 2086752 */   // Label 27703: @2086752
     /* 2086752 */   GIM_Try, /*On fail goto*//*Label 27704*/ GIMT_Encode4(2086843), // Rule ID 16168 //
     /* 2086757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2086765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2086768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2086771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2086774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086803 */     // MIs[0] round
     /* 2086803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086806 */     // MIs[0] policy
     /* 2086806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086816 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2086819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086842 */     // GIR_Coverage, 16168,
     /* 2086842 */     GIR_EraseRootFromParent_Done,
     /* 2086843 */   // Label 27704: @2086843
     /* 2086843 */   GIM_Try, /*On fail goto*//*Label 27705*/ GIMT_Encode4(2086934), // Rule ID 16169 //
     /* 2086848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2086856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2086859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2086862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2086865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086894 */     // MIs[0] round
     /* 2086894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086897 */     // MIs[0] policy
     /* 2086897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086907 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2086910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086933 */     // GIR_Coverage, 16169,
     /* 2086933 */     GIR_EraseRootFromParent_Done,
     /* 2086934 */   // Label 27705: @2086934
     /* 2086934 */   GIM_Try, /*On fail goto*//*Label 27706*/ GIMT_Encode4(2087025), // Rule ID 16172 //
     /* 2086939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2086947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2086950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2086953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2086956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086985 */     // MIs[0] round
     /* 2086985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086988 */     // MIs[0] policy
     /* 2086988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086998 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2087001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087024 */     // GIR_Coverage, 16172,
     /* 2087024 */     GIR_EraseRootFromParent_Done,
     /* 2087025 */   // Label 27706: @2087025
     /* 2087025 */   GIM_Try, /*On fail goto*//*Label 27707*/ GIMT_Encode4(2087116), // Rule ID 16173 //
     /* 2087030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2087041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2087044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2087047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087076 */     // MIs[0] round
     /* 2087076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087079 */     // MIs[0] policy
     /* 2087079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087089 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2087092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087115 */     // GIR_Coverage, 16173,
     /* 2087115 */     GIR_EraseRootFromParent_Done,
     /* 2087116 */   // Label 27707: @2087116
     /* 2087116 */   GIM_Try, /*On fail goto*//*Label 27708*/ GIMT_Encode4(2087207), // Rule ID 16176 //
     /* 2087121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2087132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2087135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2087138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087167 */     // MIs[0] round
     /* 2087167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087170 */     // MIs[0] policy
     /* 2087170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087180 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2087183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087206 */     // GIR_Coverage, 16176,
     /* 2087206 */     GIR_EraseRootFromParent_Done,
     /* 2087207 */   // Label 27708: @2087207
     /* 2087207 */   GIM_Try, /*On fail goto*//*Label 27709*/ GIMT_Encode4(2087298), // Rule ID 16177 //
     /* 2087212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2087223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2087226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2087229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087258 */     // MIs[0] round
     /* 2087258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087261 */     // MIs[0] policy
     /* 2087261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2087274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087297 */     // GIR_Coverage, 16177,
     /* 2087297 */     GIR_EraseRootFromParent_Done,
     /* 2087298 */   // Label 27709: @2087298
     /* 2087298 */   GIM_Try, /*On fail goto*//*Label 27710*/ GIMT_Encode4(2087389), // Rule ID 16180 //
     /* 2087303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2087314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2087317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087349 */     // MIs[0] round
     /* 2087349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087352 */     // MIs[0] policy
     /* 2087352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087362 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2087365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087388 */     // GIR_Coverage, 16180,
     /* 2087388 */     GIR_EraseRootFromParent_Done,
     /* 2087389 */   // Label 27710: @2087389
     /* 2087389 */   GIM_Try, /*On fail goto*//*Label 27711*/ GIMT_Encode4(2087480), // Rule ID 16181 //
     /* 2087394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2087405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2087408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087440 */     // MIs[0] round
     /* 2087440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087443 */     // MIs[0] policy
     /* 2087443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087453 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2087456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087479 */     // GIR_Coverage, 16181,
     /* 2087479 */     GIR_EraseRootFromParent_Done,
     /* 2087480 */   // Label 27711: @2087480
     /* 2087480 */   GIM_Try, /*On fail goto*//*Label 27712*/ GIMT_Encode4(2087571), // Rule ID 16184 //
     /* 2087485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2087496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2087499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2087502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087531 */     // MIs[0] round
     /* 2087531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087534 */     // MIs[0] policy
     /* 2087534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2087547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087570 */     // GIR_Coverage, 16184,
     /* 2087570 */     GIR_EraseRootFromParent_Done,
     /* 2087571 */   // Label 27712: @2087571
     /* 2087571 */   GIM_Try, /*On fail goto*//*Label 27713*/ GIMT_Encode4(2087662), // Rule ID 16185 //
     /* 2087576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2087587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2087590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2087593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087622 */     // MIs[0] round
     /* 2087622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087625 */     // MIs[0] policy
     /* 2087625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087635 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2087638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087661 */     // GIR_Coverage, 16185,
     /* 2087661 */     GIR_EraseRootFromParent_Done,
     /* 2087662 */   // Label 27713: @2087662
     /* 2087662 */   GIM_Try, /*On fail goto*//*Label 27714*/ GIMT_Encode4(2087753), // Rule ID 16188 //
     /* 2087667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2087684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087713 */     // MIs[0] round
     /* 2087713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087716 */     // MIs[0] policy
     /* 2087716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2087729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087752 */     // GIR_Coverage, 16188,
     /* 2087752 */     GIR_EraseRootFromParent_Done,
     /* 2087753 */   // Label 27714: @2087753
     /* 2087753 */   GIM_Try, /*On fail goto*//*Label 27715*/ GIMT_Encode4(2087844), // Rule ID 16189 //
     /* 2087758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2087775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087804 */     // MIs[0] round
     /* 2087804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087807 */     // MIs[0] policy
     /* 2087807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2087820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087843 */     // GIR_Coverage, 16189,
     /* 2087843 */     GIR_EraseRootFromParent_Done,
     /* 2087844 */   // Label 27715: @2087844
     /* 2087844 */   GIM_Try, /*On fail goto*//*Label 27716*/ GIMT_Encode4(2087935), // Rule ID 16192 //
     /* 2087849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2087860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2087863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2087866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087895 */     // MIs[0] round
     /* 2087895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087898 */     // MIs[0] policy
     /* 2087898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2087911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087934 */     // GIR_Coverage, 16192,
     /* 2087934 */     GIR_EraseRootFromParent_Done,
     /* 2087935 */   // Label 27716: @2087935
     /* 2087935 */   GIM_Try, /*On fail goto*//*Label 27717*/ GIMT_Encode4(2088026), // Rule ID 16193 //
     /* 2087940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2087951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2087954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2087957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087986 */     // MIs[0] round
     /* 2087986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087989 */     // MIs[0] policy
     /* 2087989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087999 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11616:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2088002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088025 */     // GIR_Coverage, 16193,
     /* 2088025 */     GIR_EraseRootFromParent_Done,
     /* 2088026 */   // Label 27717: @2088026
     /* 2088026 */   GIM_Try, /*On fail goto*//*Label 27718*/ GIMT_Encode4(2088117), // Rule ID 16196 //
     /* 2088031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2088042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2088045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2088048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088077 */     // MIs[0] round
     /* 2088077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088080 */     // MIs[0] policy
     /* 2088080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088090 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2088093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088116 */     // GIR_Coverage, 16196,
     /* 2088116 */     GIR_EraseRootFromParent_Done,
     /* 2088117 */   // Label 27718: @2088117
     /* 2088117 */   GIM_Try, /*On fail goto*//*Label 27719*/ GIMT_Encode4(2088208), // Rule ID 16197 //
     /* 2088122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2088133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2088136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2088139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088168 */     // MIs[0] round
     /* 2088168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088171 */     // MIs[0] policy
     /* 2088171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088181 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11616:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2088184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088207 */     // GIR_Coverage, 16197,
     /* 2088207 */     GIR_EraseRootFromParent_Done,
     /* 2088208 */   // Label 27719: @2088208
     /* 2088208 */   GIM_Try, /*On fail goto*//*Label 27720*/ GIMT_Encode4(2088299), // Rule ID 16200 //
     /* 2088213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2088224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2088227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2088230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088259 */     // MIs[0] round
     /* 2088259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088262 */     // MIs[0] policy
     /* 2088262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2088275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088298 */     // GIR_Coverage, 16200,
     /* 2088298 */     GIR_EraseRootFromParent_Done,
     /* 2088299 */   // Label 27720: @2088299
     /* 2088299 */   GIM_Try, /*On fail goto*//*Label 27721*/ GIMT_Encode4(2088390), // Rule ID 16201 //
     /* 2088304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2088315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2088318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2088321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088350 */     // MIs[0] round
     /* 2088350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088353 */     // MIs[0] policy
     /* 2088353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088363 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11616:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2088366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088389 */     // GIR_Coverage, 16201,
     /* 2088389 */     GIR_EraseRootFromParent_Done,
     /* 2088390 */   // Label 27721: @2088390
     /* 2088390 */   GIM_Try, /*On fail goto*//*Label 27722*/ GIMT_Encode4(2088481), // Rule ID 16204 //
     /* 2088395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2088398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2088406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2088409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2088412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088441 */     // MIs[0] round
     /* 2088441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088444 */     // MIs[0] policy
     /* 2088444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088454 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2088457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2088477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088480 */     // GIR_Coverage, 16204,
     /* 2088480 */     GIR_EraseRootFromParent_Done,
     /* 2088481 */   // Label 27722: @2088481
     /* 2088481 */   GIM_Try, /*On fail goto*//*Label 27723*/ GIMT_Encode4(2088572), // Rule ID 16205 //
     /* 2088486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2088489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2088497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2088500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2088503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088532 */     // MIs[0] round
     /* 2088532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088535 */     // MIs[0] policy
     /* 2088535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088545 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11616:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2088548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2088568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088571 */     // GIR_Coverage, 16205,
     /* 2088571 */     GIR_EraseRootFromParent_Done,
     /* 2088572 */   // Label 27723: @2088572
     /* 2088572 */   GIM_Try, /*On fail goto*//*Label 27724*/ GIMT_Encode4(2088663), // Rule ID 16208 //
     /* 2088577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2088588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2088591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2088594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088623 */     // MIs[0] round
     /* 2088623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088626 */     // MIs[0] policy
     /* 2088626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088636 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2088639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088662 */     // GIR_Coverage, 16208,
     /* 2088662 */     GIR_EraseRootFromParent_Done,
     /* 2088663 */   // Label 27724: @2088663
     /* 2088663 */   GIM_Try, /*On fail goto*//*Label 27725*/ GIMT_Encode4(2088754), // Rule ID 16209 //
     /* 2088668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2088679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2088682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2088685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088714 */     // MIs[0] round
     /* 2088714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088717 */     // MIs[0] policy
     /* 2088717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088727 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2088730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088753 */     // GIR_Coverage, 16209,
     /* 2088753 */     GIR_EraseRootFromParent_Done,
     /* 2088754 */   // Label 27725: @2088754
     /* 2088754 */   GIM_Try, /*On fail goto*//*Label 27726*/ GIMT_Encode4(2088845), // Rule ID 16212 //
     /* 2088759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2088770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2088773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2088776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2088782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088805 */     // MIs[0] round
     /* 2088805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088808 */     // MIs[0] policy
     /* 2088808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088818 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2088821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088844 */     // GIR_Coverage, 16212,
     /* 2088844 */     GIR_EraseRootFromParent_Done,
     /* 2088845 */   // Label 27726: @2088845
     /* 2088845 */   GIM_Try, /*On fail goto*//*Label 27727*/ GIMT_Encode4(2088936), // Rule ID 16213 //
     /* 2088850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2088861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2088864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2088867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2088873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088896 */     // MIs[0] round
     /* 2088896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088899 */     // MIs[0] policy
     /* 2088899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088909 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2088912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088935 */     // GIR_Coverage, 16213,
     /* 2088935 */     GIR_EraseRootFromParent_Done,
     /* 2088936 */   // Label 27727: @2088936
     /* 2088936 */   GIM_Try, /*On fail goto*//*Label 27728*/ GIMT_Encode4(2089027), // Rule ID 16216 //
     /* 2088941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2088952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2088955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2088958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2088964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2088971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088987 */     // MIs[0] round
     /* 2088987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088990 */     // MIs[0] policy
     /* 2088990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089000 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2089003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089026 */     // GIR_Coverage, 16216,
     /* 2089026 */     GIR_EraseRootFromParent_Done,
     /* 2089027 */   // Label 27728: @2089027
     /* 2089027 */   GIM_Try, /*On fail goto*//*Label 27729*/ GIMT_Encode4(2089118), // Rule ID 16217 //
     /* 2089032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2089043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2089046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2089049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2089055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089078 */     // MIs[0] round
     /* 2089078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089081 */     // MIs[0] policy
     /* 2089081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089091 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2089094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089117 */     // GIR_Coverage, 16217,
     /* 2089117 */     GIR_EraseRootFromParent_Done,
     /* 2089118 */   // Label 27729: @2089118
     /* 2089118 */   GIM_Try, /*On fail goto*//*Label 27730*/ GIMT_Encode4(2089209), // Rule ID 16220 //
     /* 2089123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2089134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2089137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2089140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089169 */     // MIs[0] round
     /* 2089169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089172 */     // MIs[0] policy
     /* 2089172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089182 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2089185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089208 */     // GIR_Coverage, 16220,
     /* 2089208 */     GIR_EraseRootFromParent_Done,
     /* 2089209 */   // Label 27730: @2089209
     /* 2089209 */   GIM_Try, /*On fail goto*//*Label 27731*/ GIMT_Encode4(2089300), // Rule ID 16221 //
     /* 2089214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2089225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2089228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2089231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089260 */     // MIs[0] round
     /* 2089260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089263 */     // MIs[0] policy
     /* 2089263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089273 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2089276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089299 */     // GIR_Coverage, 16221,
     /* 2089299 */     GIR_EraseRootFromParent_Done,
     /* 2089300 */   // Label 27731: @2089300
     /* 2089300 */   GIM_Try, /*On fail goto*//*Label 27732*/ GIMT_Encode4(2089391), // Rule ID 16224 //
     /* 2089305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2089316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2089319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2089322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089351 */     // MIs[0] round
     /* 2089351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089354 */     // MIs[0] policy
     /* 2089354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089364 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2089367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089390 */     // GIR_Coverage, 16224,
     /* 2089390 */     GIR_EraseRootFromParent_Done,
     /* 2089391 */   // Label 27732: @2089391
     /* 2089391 */   GIM_Try, /*On fail goto*//*Label 27733*/ GIMT_Encode4(2089482), // Rule ID 16225 //
     /* 2089396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2089407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2089410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2089413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089442 */     // MIs[0] round
     /* 2089442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089445 */     // MIs[0] policy
     /* 2089445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089455 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2089458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089481 */     // GIR_Coverage, 16225,
     /* 2089481 */     GIR_EraseRootFromParent_Done,
     /* 2089482 */   // Label 27733: @2089482
     /* 2089482 */   GIM_Try, /*On fail goto*//*Label 27734*/ GIMT_Encode4(2089573), // Rule ID 16228 //
     /* 2089487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2089498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2089501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2089504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2089510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089533 */     // MIs[0] round
     /* 2089533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089536 */     // MIs[0] policy
     /* 2089536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089546 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2089549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089572 */     // GIR_Coverage, 16228,
     /* 2089572 */     GIR_EraseRootFromParent_Done,
     /* 2089573 */   // Label 27734: @2089573
     /* 2089573 */   GIM_Try, /*On fail goto*//*Label 27735*/ GIMT_Encode4(2089664), // Rule ID 16229 //
     /* 2089578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2089589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2089592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2089595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2089601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089624 */     // MIs[0] round
     /* 2089624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089627 */     // MIs[0] policy
     /* 2089627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089637 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2089640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089663 */     // GIR_Coverage, 16229,
     /* 2089663 */     GIR_EraseRootFromParent_Done,
     /* 2089664 */   // Label 27735: @2089664
     /* 2089664 */   GIM_Try, /*On fail goto*//*Label 27736*/ GIMT_Encode4(2089755), // Rule ID 16232 //
     /* 2089669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2089680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2089683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2089686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089715 */     // MIs[0] round
     /* 2089715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089718 */     // MIs[0] policy
     /* 2089718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089728 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2089731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089754 */     // GIR_Coverage, 16232,
     /* 2089754 */     GIR_EraseRootFromParent_Done,
     /* 2089755 */   // Label 27736: @2089755
     /* 2089755 */   GIM_Try, /*On fail goto*//*Label 27737*/ GIMT_Encode4(2089846), // Rule ID 16233 //
     /* 2089760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2089771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2089774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2089777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089806 */     // MIs[0] round
     /* 2089806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089809 */     // MIs[0] policy
     /* 2089809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2089822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089845 */     // GIR_Coverage, 16233,
     /* 2089845 */     GIR_EraseRootFromParent_Done,
     /* 2089846 */   // Label 27737: @2089846
     /* 2089846 */   GIM_Try, /*On fail goto*//*Label 27738*/ GIMT_Encode4(2089937), // Rule ID 16236 //
     /* 2089851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2089862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2089865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2089868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089897 */     // MIs[0] round
     /* 2089897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089900 */     // MIs[0] policy
     /* 2089900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2089913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089936 */     // GIR_Coverage, 16236,
     /* 2089936 */     GIR_EraseRootFromParent_Done,
     /* 2089937 */   // Label 27738: @2089937
     /* 2089937 */   GIM_Try, /*On fail goto*//*Label 27739*/ GIMT_Encode4(2090028), // Rule ID 16237 //
     /* 2089942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2089953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2089956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2089959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089988 */     // MIs[0] round
     /* 2089988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089991 */     // MIs[0] policy
     /* 2089991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090001 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2090004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090027 */     // GIR_Coverage, 16237,
     /* 2090027 */     GIR_EraseRootFromParent_Done,
     /* 2090028 */   // Label 27739: @2090028
     /* 2090028 */   GIM_Try, /*On fail goto*//*Label 27740*/ GIMT_Encode4(2090119), // Rule ID 16240 //
     /* 2090033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2090044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2090047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2090050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2090056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090079 */     // MIs[0] round
     /* 2090079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090082 */     // MIs[0] policy
     /* 2090082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2090095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090118 */     // GIR_Coverage, 16240,
     /* 2090118 */     GIR_EraseRootFromParent_Done,
     /* 2090119 */   // Label 27740: @2090119
     /* 2090119 */   GIM_Try, /*On fail goto*//*Label 27741*/ GIMT_Encode4(2090210), // Rule ID 16241 //
     /* 2090124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2090135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2090138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2090141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2090147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090170 */     // MIs[0] round
     /* 2090170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090173 */     // MIs[0] policy
     /* 2090173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090183 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2090186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090209 */     // GIR_Coverage, 16241,
     /* 2090209 */     GIR_EraseRootFromParent_Done,
     /* 2090210 */   // Label 27741: @2090210
     /* 2090210 */   GIM_Try, /*On fail goto*//*Label 27742*/ GIMT_Encode4(2090301), // Rule ID 16244 //
     /* 2090215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2090218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2090226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2090229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2090232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090261 */     // MIs[0] round
     /* 2090261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090264 */     // MIs[0] policy
     /* 2090264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090274 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2090277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090300 */     // GIR_Coverage, 16244,
     /* 2090300 */     GIR_EraseRootFromParent_Done,
     /* 2090301 */   // Label 27742: @2090301
     /* 2090301 */   GIM_Try, /*On fail goto*//*Label 27743*/ GIMT_Encode4(2090392), // Rule ID 16245 //
     /* 2090306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2090309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2090317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2090320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2090323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090352 */     // MIs[0] round
     /* 2090352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090355 */     // MIs[0] policy
     /* 2090355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090365 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11616:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2090368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090391 */     // GIR_Coverage, 16245,
     /* 2090391 */     GIR_EraseRootFromParent_Done,
     /* 2090392 */   // Label 27743: @2090392
     /* 2090392 */   GIM_Try, /*On fail goto*//*Label 27744*/ GIMT_Encode4(2090483), // Rule ID 16248 //
     /* 2090397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2090400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2090408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2090411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2090414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090443 */     // MIs[0] round
     /* 2090443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090446 */     // MIs[0] policy
     /* 2090446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2090459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090482 */     // GIR_Coverage, 16248,
     /* 2090482 */     GIR_EraseRootFromParent_Done,
     /* 2090483 */   // Label 27744: @2090483
     /* 2090483 */   GIM_Try, /*On fail goto*//*Label 27745*/ GIMT_Encode4(2090574), // Rule ID 16249 //
     /* 2090488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2090491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2090499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2090502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2090505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090534 */     // MIs[0] round
     /* 2090534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090537 */     // MIs[0] policy
     /* 2090537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11616:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2090550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090573 */     // GIR_Coverage, 16249,
     /* 2090573 */     GIR_EraseRootFromParent_Done,
     /* 2090574 */   // Label 27745: @2090574
     /* 2090574 */   GIM_Try, /*On fail goto*//*Label 27746*/ GIMT_Encode4(2090665), // Rule ID 16252 //
     /* 2090579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2090582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2090590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2090593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2090596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090625 */     // MIs[0] round
     /* 2090625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090628 */     // MIs[0] policy
     /* 2090628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090638 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2090641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090664 */     // GIR_Coverage, 16252,
     /* 2090664 */     GIR_EraseRootFromParent_Done,
     /* 2090665 */   // Label 27746: @2090665
     /* 2090665 */   GIM_Try, /*On fail goto*//*Label 27747*/ GIMT_Encode4(2090756), // Rule ID 16253 //
     /* 2090670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2090673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2090681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2090684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2090687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090716 */     // MIs[0] round
     /* 2090716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090719 */     // MIs[0] policy
     /* 2090719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090729 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11616:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2090732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090755 */     // GIR_Coverage, 16253,
     /* 2090755 */     GIR_EraseRootFromParent_Done,
     /* 2090756 */   // Label 27747: @2090756
     /* 2090756 */   GIM_Try, /*On fail goto*//*Label 27748*/ GIMT_Encode4(2090850), // Rule ID 16344 //
     /* 2090761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2090769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2090772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2090775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2090778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2090781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090807 */     // MIs[0] round
     /* 2090807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090810 */     // MIs[0] policy
     /* 2090810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090820 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2090823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2090843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090849 */     // GIR_Coverage, 16344,
     /* 2090849 */     GIR_EraseRootFromParent_Done,
     /* 2090850 */   // Label 27748: @2090850
     /* 2090850 */   GIM_Try, /*On fail goto*//*Label 27749*/ GIMT_Encode4(2090944), // Rule ID 16345 //
     /* 2090855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2090863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2090866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2090869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2090872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2090875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090901 */     // MIs[0] round
     /* 2090901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090904 */     // MIs[0] policy
     /* 2090904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090914 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2090917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2090937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090943 */     // GIR_Coverage, 16345,
     /* 2090943 */     GIR_EraseRootFromParent_Done,
     /* 2090944 */   // Label 27749: @2090944
     /* 2090944 */   GIM_Try, /*On fail goto*//*Label 27750*/ GIMT_Encode4(2091038), // Rule ID 16348 //
     /* 2090949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2090957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2090960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2090963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2090966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2090969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090995 */     // MIs[0] round
     /* 2090995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090998 */     // MIs[0] policy
     /* 2090998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091008 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2091011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091037 */     // GIR_Coverage, 16348,
     /* 2091037 */     GIR_EraseRootFromParent_Done,
     /* 2091038 */   // Label 27750: @2091038
     /* 2091038 */   GIM_Try, /*On fail goto*//*Label 27751*/ GIMT_Encode4(2091132), // Rule ID 16349 //
     /* 2091043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2091054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2091057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2091060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2091063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091089 */     // MIs[0] round
     /* 2091089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091092 */     // MIs[0] policy
     /* 2091092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091102 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2091105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091131 */     // GIR_Coverage, 16349,
     /* 2091131 */     GIR_EraseRootFromParent_Done,
     /* 2091132 */   // Label 27751: @2091132
     /* 2091132 */   GIM_Try, /*On fail goto*//*Label 27752*/ GIMT_Encode4(2091226), // Rule ID 16352 //
     /* 2091137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2091148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2091151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2091154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2091157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091183 */     // MIs[0] round
     /* 2091183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091186 */     // MIs[0] policy
     /* 2091186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091196 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2091199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091225 */     // GIR_Coverage, 16352,
     /* 2091225 */     GIR_EraseRootFromParent_Done,
     /* 2091226 */   // Label 27752: @2091226
     /* 2091226 */   GIM_Try, /*On fail goto*//*Label 27753*/ GIMT_Encode4(2091320), // Rule ID 16353 //
     /* 2091231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2091242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2091245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2091248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2091251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091277 */     // MIs[0] round
     /* 2091277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091280 */     // MIs[0] policy
     /* 2091280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091290 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2091293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091319 */     // GIR_Coverage, 16353,
     /* 2091319 */     GIR_EraseRootFromParent_Done,
     /* 2091320 */   // Label 27753: @2091320
     /* 2091320 */   GIM_Try, /*On fail goto*//*Label 27754*/ GIMT_Encode4(2091414), // Rule ID 16356 //
     /* 2091325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2091336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2091339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2091342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2091345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091371 */     // MIs[0] round
     /* 2091371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091374 */     // MIs[0] policy
     /* 2091374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091384 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2091387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091413 */     // GIR_Coverage, 16356,
     /* 2091413 */     GIR_EraseRootFromParent_Done,
     /* 2091414 */   // Label 27754: @2091414
     /* 2091414 */   GIM_Try, /*On fail goto*//*Label 27755*/ GIMT_Encode4(2091508), // Rule ID 16357 //
     /* 2091419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2091430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2091433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2091436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2091439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091465 */     // MIs[0] round
     /* 2091465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091468 */     // MIs[0] policy
     /* 2091468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2091481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091507 */     // GIR_Coverage, 16357,
     /* 2091507 */     GIR_EraseRootFromParent_Done,
     /* 2091508 */   // Label 27755: @2091508
     /* 2091508 */   GIM_Try, /*On fail goto*//*Label 27756*/ GIMT_Encode4(2091602), // Rule ID 16360 //
     /* 2091513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2091524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2091527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2091530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2091533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091559 */     // MIs[0] round
     /* 2091559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091562 */     // MIs[0] policy
     /* 2091562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2091575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091601 */     // GIR_Coverage, 16360,
     /* 2091601 */     GIR_EraseRootFromParent_Done,
     /* 2091602 */   // Label 27756: @2091602
     /* 2091602 */   GIM_Try, /*On fail goto*//*Label 27757*/ GIMT_Encode4(2091696), // Rule ID 16361 //
     /* 2091607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2091618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2091621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2091624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2091627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091653 */     // MIs[0] round
     /* 2091653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091656 */     // MIs[0] policy
     /* 2091656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091666 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2091669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091695 */     // GIR_Coverage, 16361,
     /* 2091695 */     GIR_EraseRootFromParent_Done,
     /* 2091696 */   // Label 27757: @2091696
     /* 2091696 */   GIM_Try, /*On fail goto*//*Label 27758*/ GIMT_Encode4(2091790), // Rule ID 16364 //
     /* 2091701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2091712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2091715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2091718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2091721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2091724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091747 */     // MIs[0] round
     /* 2091747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091750 */     // MIs[0] policy
     /* 2091750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091760 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2091763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091789 */     // GIR_Coverage, 16364,
     /* 2091789 */     GIR_EraseRootFromParent_Done,
     /* 2091790 */   // Label 27758: @2091790
     /* 2091790 */   GIM_Try, /*On fail goto*//*Label 27759*/ GIMT_Encode4(2091884), // Rule ID 16365 //
     /* 2091795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2091806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2091809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2091812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2091815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2091818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091841 */     // MIs[0] round
     /* 2091841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091844 */     // MIs[0] policy
     /* 2091844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091854 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2091857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091883 */     // GIR_Coverage, 16365,
     /* 2091883 */     GIR_EraseRootFromParent_Done,
     /* 2091884 */   // Label 27759: @2091884
     /* 2091884 */   GIM_Try, /*On fail goto*//*Label 27760*/ GIMT_Encode4(2091978), // Rule ID 16368 //
     /* 2091889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2091900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2091903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2091906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2091909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091935 */     // MIs[0] round
     /* 2091935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091938 */     // MIs[0] policy
     /* 2091938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091948 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2091951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091977 */     // GIR_Coverage, 16368,
     /* 2091977 */     GIR_EraseRootFromParent_Done,
     /* 2091978 */   // Label 27760: @2091978
     /* 2091978 */   GIM_Try, /*On fail goto*//*Label 27761*/ GIMT_Encode4(2092072), // Rule ID 16369 //
     /* 2091983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2091991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2091994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2091997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2092000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2092003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092029 */     // MIs[0] round
     /* 2092029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092032 */     // MIs[0] policy
     /* 2092032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2092045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092071 */     // GIR_Coverage, 16369,
     /* 2092071 */     GIR_EraseRootFromParent_Done,
     /* 2092072 */   // Label 27761: @2092072
     /* 2092072 */   GIM_Try, /*On fail goto*//*Label 27762*/ GIMT_Encode4(2092166), // Rule ID 16372 //
     /* 2092077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2092088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2092091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2092094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2092097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092123 */     // MIs[0] round
     /* 2092123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092126 */     // MIs[0] policy
     /* 2092126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2092139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092165 */     // GIR_Coverage, 16372,
     /* 2092165 */     GIR_EraseRootFromParent_Done,
     /* 2092166 */   // Label 27762: @2092166
     /* 2092166 */   GIM_Try, /*On fail goto*//*Label 27763*/ GIMT_Encode4(2092260), // Rule ID 16373 //
     /* 2092171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2092182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2092185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2092188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2092191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092217 */     // MIs[0] round
     /* 2092217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092220 */     // MIs[0] policy
     /* 2092220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092230 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2092233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092259 */     // GIR_Coverage, 16373,
     /* 2092259 */     GIR_EraseRootFromParent_Done,
     /* 2092260 */   // Label 27763: @2092260
     /* 2092260 */   GIM_Try, /*On fail goto*//*Label 27764*/ GIMT_Encode4(2092354), // Rule ID 16376 //
     /* 2092265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2092276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2092279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2092282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2092285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092311 */     // MIs[0] round
     /* 2092311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092314 */     // MIs[0] policy
     /* 2092314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2092327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092353 */     // GIR_Coverage, 16376,
     /* 2092353 */     GIR_EraseRootFromParent_Done,
     /* 2092354 */   // Label 27764: @2092354
     /* 2092354 */   GIM_Try, /*On fail goto*//*Label 27765*/ GIMT_Encode4(2092448), // Rule ID 16377 //
     /* 2092359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2092370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2092373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2092376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2092379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092405 */     // MIs[0] round
     /* 2092405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092408 */     // MIs[0] policy
     /* 2092408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092418 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2092421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092447 */     // GIR_Coverage, 16377,
     /* 2092447 */     GIR_EraseRootFromParent_Done,
     /* 2092448 */   // Label 27765: @2092448
     /* 2092448 */   GIM_Try, /*On fail goto*//*Label 27766*/ GIMT_Encode4(2092542), // Rule ID 16380 //
     /* 2092453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2092464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2092467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2092470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2092473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092499 */     // MIs[0] round
     /* 2092499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092502 */     // MIs[0] policy
     /* 2092502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092512 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2092515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092541 */     // GIR_Coverage, 16380,
     /* 2092541 */     GIR_EraseRootFromParent_Done,
     /* 2092542 */   // Label 27766: @2092542
     /* 2092542 */   GIM_Try, /*On fail goto*//*Label 27767*/ GIMT_Encode4(2092636), // Rule ID 16381 //
     /* 2092547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2092558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2092561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2092564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2092567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092593 */     // MIs[0] round
     /* 2092593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092596 */     // MIs[0] policy
     /* 2092596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092606 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2092609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092635 */     // GIR_Coverage, 16381,
     /* 2092635 */     GIR_EraseRootFromParent_Done,
     /* 2092636 */   // Label 27767: @2092636
     /* 2092636 */   GIM_Try, /*On fail goto*//*Label 27768*/ GIMT_Encode4(2092730), // Rule ID 16384 //
     /* 2092641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2092652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2092655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2092658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2092661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092687 */     // MIs[0] round
     /* 2092687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092690 */     // MIs[0] policy
     /* 2092690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092700 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2092703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092729 */     // GIR_Coverage, 16384,
     /* 2092729 */     GIR_EraseRootFromParent_Done,
     /* 2092730 */   // Label 27768: @2092730
     /* 2092730 */   GIM_Try, /*On fail goto*//*Label 27769*/ GIMT_Encode4(2092824), // Rule ID 16385 //
     /* 2092735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2092746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2092749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2092752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2092755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092781 */     // MIs[0] round
     /* 2092781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092784 */     // MIs[0] policy
     /* 2092784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092794 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2092797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092823 */     // GIR_Coverage, 16385,
     /* 2092823 */     GIR_EraseRootFromParent_Done,
     /* 2092824 */   // Label 27769: @2092824
     /* 2092824 */   GIM_Try, /*On fail goto*//*Label 27770*/ GIMT_Encode4(2092918), // Rule ID 16388 //
     /* 2092829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2092832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2092840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2092843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2092846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2092849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092875 */     // MIs[0] round
     /* 2092875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092878 */     // MIs[0] policy
     /* 2092878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092888 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2092891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092917 */     // GIR_Coverage, 16388,
     /* 2092917 */     GIR_EraseRootFromParent_Done,
     /* 2092918 */   // Label 27770: @2092918
     /* 2092918 */   GIM_Try, /*On fail goto*//*Label 27771*/ GIMT_Encode4(2093012), // Rule ID 16389 //
     /* 2092923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2092926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2092934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2092937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2092940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2092943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092969 */     // MIs[0] round
     /* 2092969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092972 */     // MIs[0] policy
     /* 2092972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2092985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093011 */     // GIR_Coverage, 16389,
     /* 2093011 */     GIR_EraseRootFromParent_Done,
     /* 2093012 */   // Label 27771: @2093012
     /* 2093012 */   GIM_Try, /*On fail goto*//*Label 27772*/ GIMT_Encode4(2093106), // Rule ID 16392 //
     /* 2093017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2093020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2093028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2093031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2093034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2093037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093063 */     // MIs[0] round
     /* 2093063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093066 */     // MIs[0] policy
     /* 2093066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2093079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093105 */     // GIR_Coverage, 16392,
     /* 2093105 */     GIR_EraseRootFromParent_Done,
     /* 2093106 */   // Label 27772: @2093106
     /* 2093106 */   GIM_Try, /*On fail goto*//*Label 27773*/ GIMT_Encode4(2093200), // Rule ID 16393 //
     /* 2093111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2093114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2093122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2093125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2093128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2093131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093157 */     // MIs[0] round
     /* 2093157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093160 */     // MIs[0] policy
     /* 2093160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093170 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2093173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093199 */     // GIR_Coverage, 16393,
     /* 2093199 */     GIR_EraseRootFromParent_Done,
     /* 2093200 */   // Label 27773: @2093200
     /* 2093200 */   GIM_Try, /*On fail goto*//*Label 27774*/ GIMT_Encode4(2093294), // Rule ID 16396 //
     /* 2093205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2093208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2093216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2093219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2093222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2093225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093251 */     // MIs[0] round
     /* 2093251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093254 */     // MIs[0] policy
     /* 2093254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093264 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2093267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093293 */     // GIR_Coverage, 16396,
     /* 2093293 */     GIR_EraseRootFromParent_Done,
     /* 2093294 */   // Label 27774: @2093294
     /* 2093294 */   GIM_Try, /*On fail goto*//*Label 27775*/ GIMT_Encode4(2093388), // Rule ID 16397 //
     /* 2093299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2093302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2093310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2093313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2093316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2093319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093345 */     // MIs[0] round
     /* 2093345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093348 */     // MIs[0] policy
     /* 2093348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2093361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093387 */     // GIR_Coverage, 16397,
     /* 2093387 */     GIR_EraseRootFromParent_Done,
     /* 2093388 */   // Label 27775: @2093388
     /* 2093388 */   GIM_Try, /*On fail goto*//*Label 27776*/ GIMT_Encode4(2093482), // Rule ID 16400 //
     /* 2093393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2093396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2093404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2093407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2093410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2093413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093439 */     // MIs[0] round
     /* 2093439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093442 */     // MIs[0] policy
     /* 2093442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2093455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093481 */     // GIR_Coverage, 16400,
     /* 2093481 */     GIR_EraseRootFromParent_Done,
     /* 2093482 */   // Label 27776: @2093482
     /* 2093482 */   GIM_Try, /*On fail goto*//*Label 27777*/ GIMT_Encode4(2093576), // Rule ID 16401 //
     /* 2093487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2093490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2093498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2093501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2093504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2093507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093533 */     // MIs[0] round
     /* 2093533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093536 */     // MIs[0] policy
     /* 2093536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2093549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093575 */     // GIR_Coverage, 16401,
     /* 2093575 */     GIR_EraseRootFromParent_Done,
     /* 2093576 */   // Label 27777: @2093576
     /* 2093576 */   GIM_Try, /*On fail goto*//*Label 27778*/ GIMT_Encode4(2093670), // Rule ID 16404 //
     /* 2093581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2093592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2093595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2093598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093627 */     // MIs[0] round
     /* 2093627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093630 */     // MIs[0] policy
     /* 2093630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093640 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2093643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093665 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093669 */     // GIR_Coverage, 16404,
     /* 2093669 */     GIR_EraseRootFromParent_Done,
     /* 2093670 */   // Label 27778: @2093670
     /* 2093670 */   GIM_Try, /*On fail goto*//*Label 27779*/ GIMT_Encode4(2093764), // Rule ID 16405 //
     /* 2093675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2093686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2093689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2093692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093721 */     // MIs[0] round
     /* 2093721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093724 */     // MIs[0] policy
     /* 2093724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093734 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2093737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093763 */     // GIR_Coverage, 16405,
     /* 2093763 */     GIR_EraseRootFromParent_Done,
     /* 2093764 */   // Label 27779: @2093764
     /* 2093764 */   GIM_Try, /*On fail goto*//*Label 27780*/ GIMT_Encode4(2093858), // Rule ID 16408 //
     /* 2093769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2093780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2093783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2093786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093815 */     // MIs[0] round
     /* 2093815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093818 */     // MIs[0] policy
     /* 2093818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093828 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2093831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093857 */     // GIR_Coverage, 16408,
     /* 2093857 */     GIR_EraseRootFromParent_Done,
     /* 2093858 */   // Label 27780: @2093858
     /* 2093858 */   GIM_Try, /*On fail goto*//*Label 27781*/ GIMT_Encode4(2093952), // Rule ID 16409 //
     /* 2093863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2093874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2093877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2093880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093909 */     // MIs[0] round
     /* 2093909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093912 */     // MIs[0] policy
     /* 2093912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2093925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093951 */     // GIR_Coverage, 16409,
     /* 2093951 */     GIR_EraseRootFromParent_Done,
     /* 2093952 */   // Label 27781: @2093952
     /* 2093952 */   GIM_Try, /*On fail goto*//*Label 27782*/ GIMT_Encode4(2094046), // Rule ID 16412 //
     /* 2093957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2093968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2093971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2093974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094003 */     // MIs[0] round
     /* 2094003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094006 */     // MIs[0] policy
     /* 2094006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094016 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2094019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094045 */     // GIR_Coverage, 16412,
     /* 2094045 */     GIR_EraseRootFromParent_Done,
     /* 2094046 */   // Label 27782: @2094046
     /* 2094046 */   GIM_Try, /*On fail goto*//*Label 27783*/ GIMT_Encode4(2094140), // Rule ID 16413 //
     /* 2094051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2094062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2094065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2094068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094097 */     // MIs[0] round
     /* 2094097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094100 */     // MIs[0] policy
     /* 2094100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094110 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2094113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094139 */     // GIR_Coverage, 16413,
     /* 2094139 */     GIR_EraseRootFromParent_Done,
     /* 2094140 */   // Label 27783: @2094140
     /* 2094140 */   GIM_Try, /*On fail goto*//*Label 27784*/ GIMT_Encode4(2094234), // Rule ID 16416 //
     /* 2094145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2094156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2094159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2094162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094191 */     // MIs[0] round
     /* 2094191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094194 */     // MIs[0] policy
     /* 2094194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094204 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2094207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094233 */     // GIR_Coverage, 16416,
     /* 2094233 */     GIR_EraseRootFromParent_Done,
     /* 2094234 */   // Label 27784: @2094234
     /* 2094234 */   GIM_Try, /*On fail goto*//*Label 27785*/ GIMT_Encode4(2094328), // Rule ID 16417 //
     /* 2094239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2094250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2094253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2094256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094285 */     // MIs[0] round
     /* 2094285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094288 */     // MIs[0] policy
     /* 2094288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094298 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2094301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094327 */     // GIR_Coverage, 16417,
     /* 2094327 */     GIR_EraseRootFromParent_Done,
     /* 2094328 */   // Label 27785: @2094328
     /* 2094328 */   GIM_Try, /*On fail goto*//*Label 27786*/ GIMT_Encode4(2094422), // Rule ID 16420 //
     /* 2094333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2094344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2094347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2094350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094379 */     // MIs[0] round
     /* 2094379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094382 */     // MIs[0] policy
     /* 2094382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094392 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2094395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094421 */     // GIR_Coverage, 16420,
     /* 2094421 */     GIR_EraseRootFromParent_Done,
     /* 2094422 */   // Label 27786: @2094422
     /* 2094422 */   GIM_Try, /*On fail goto*//*Label 27787*/ GIMT_Encode4(2094516), // Rule ID 16421 //
     /* 2094427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2094438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2094441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2094444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094473 */     // MIs[0] round
     /* 2094473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094476 */     // MIs[0] policy
     /* 2094476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094486 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2094489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094515 */     // GIR_Coverage, 16421,
     /* 2094515 */     GIR_EraseRootFromParent_Done,
     /* 2094516 */   // Label 27787: @2094516
     /* 2094516 */   GIM_Try, /*On fail goto*//*Label 27788*/ GIMT_Encode4(2094610), // Rule ID 16424 //
     /* 2094521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2094532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2094535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2094538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2094544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094567 */     // MIs[0] round
     /* 2094567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094570 */     // MIs[0] policy
     /* 2094570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094580 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2094583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094609 */     // GIR_Coverage, 16424,
     /* 2094609 */     GIR_EraseRootFromParent_Done,
     /* 2094610 */   // Label 27788: @2094610
     /* 2094610 */   GIM_Try, /*On fail goto*//*Label 27789*/ GIMT_Encode4(2094704), // Rule ID 16425 //
     /* 2094615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2094626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2094629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2094632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2094638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094661 */     // MIs[0] round
     /* 2094661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094664 */     // MIs[0] policy
     /* 2094664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094674 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2094677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094703 */     // GIR_Coverage, 16425,
     /* 2094703 */     GIR_EraseRootFromParent_Done,
     /* 2094704 */   // Label 27789: @2094704
     /* 2094704 */   GIM_Try, /*On fail goto*//*Label 27790*/ GIMT_Encode4(2094798), // Rule ID 16428 //
     /* 2094709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2094720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2094723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2094726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094755 */     // MIs[0] round
     /* 2094755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094758 */     // MIs[0] policy
     /* 2094758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2094771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094797 */     // GIR_Coverage, 16428,
     /* 2094797 */     GIR_EraseRootFromParent_Done,
     /* 2094798 */   // Label 27790: @2094798
     /* 2094798 */   GIM_Try, /*On fail goto*//*Label 27791*/ GIMT_Encode4(2094892), // Rule ID 16429 //
     /* 2094803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2094814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2094817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2094820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094849 */     // MIs[0] round
     /* 2094849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094852 */     // MIs[0] policy
     /* 2094852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094862 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2094865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094891 */     // GIR_Coverage, 16429,
     /* 2094891 */     GIR_EraseRootFromParent_Done,
     /* 2094892 */   // Label 27791: @2094892
     /* 2094892 */   GIM_Try, /*On fail goto*//*Label 27792*/ GIMT_Encode4(2094986), // Rule ID 16432 //
     /* 2094897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2094908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2094911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2094914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094943 */     // MIs[0] round
     /* 2094943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094946 */     // MIs[0] policy
     /* 2094946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094956 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2094959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094985 */     // GIR_Coverage, 16432,
     /* 2094985 */     GIR_EraseRootFromParent_Done,
     /* 2094986 */   // Label 27792: @2094986
     /* 2094986 */   GIM_Try, /*On fail goto*//*Label 27793*/ GIMT_Encode4(2095080), // Rule ID 16433 //
     /* 2094991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2095002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2095005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2095008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095037 */     // MIs[0] round
     /* 2095037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095040 */     // MIs[0] policy
     /* 2095040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095050 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2095053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095079 */     // GIR_Coverage, 16433,
     /* 2095079 */     GIR_EraseRootFromParent_Done,
     /* 2095080 */   // Label 27793: @2095080
     /* 2095080 */   GIM_Try, /*On fail goto*//*Label 27794*/ GIMT_Encode4(2095174), // Rule ID 16436 //
     /* 2095085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2095096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2095099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2095102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095131 */     // MIs[0] round
     /* 2095131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095134 */     // MIs[0] policy
     /* 2095134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2095147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095173 */     // GIR_Coverage, 16436,
     /* 2095173 */     GIR_EraseRootFromParent_Done,
     /* 2095174 */   // Label 27794: @2095174
     /* 2095174 */   GIM_Try, /*On fail goto*//*Label 27795*/ GIMT_Encode4(2095268), // Rule ID 16437 //
     /* 2095179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2095190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2095193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2095196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095225 */     // MIs[0] round
     /* 2095225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095228 */     // MIs[0] policy
     /* 2095228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095238 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2095241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095267 */     // GIR_Coverage, 16437,
     /* 2095267 */     GIR_EraseRootFromParent_Done,
     /* 2095268 */   // Label 27795: @2095268
     /* 2095268 */   GIM_Try, /*On fail goto*//*Label 27796*/ GIMT_Encode4(2095362), // Rule ID 16440 //
     /* 2095273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2095284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2095287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2095290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095319 */     // MIs[0] round
     /* 2095319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095322 */     // MIs[0] policy
     /* 2095322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095332 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2095335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095361 */     // GIR_Coverage, 16440,
     /* 2095361 */     GIR_EraseRootFromParent_Done,
     /* 2095362 */   // Label 27796: @2095362
     /* 2095362 */   GIM_Try, /*On fail goto*//*Label 27797*/ GIMT_Encode4(2095456), // Rule ID 16441 //
     /* 2095367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2095378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2095381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2095384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095413 */     // MIs[0] round
     /* 2095413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095416 */     // MIs[0] policy
     /* 2095416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095426 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2095429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095455 */     // GIR_Coverage, 16441,
     /* 2095455 */     GIR_EraseRootFromParent_Done,
     /* 2095456 */   // Label 27797: @2095456
     /* 2095456 */   GIM_Try, /*On fail goto*//*Label 27798*/ GIMT_Encode4(2095550), // Rule ID 16444 //
     /* 2095461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2095472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2095475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2095478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2095484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095507 */     // MIs[0] round
     /* 2095507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095510 */     // MIs[0] policy
     /* 2095510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095520 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2095523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095549 */     // GIR_Coverage, 16444,
     /* 2095549 */     GIR_EraseRootFromParent_Done,
     /* 2095550 */   // Label 27798: @2095550
     /* 2095550 */   GIM_Try, /*On fail goto*//*Label 27799*/ GIMT_Encode4(2095644), // Rule ID 16445 //
     /* 2095555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2095566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2095569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2095572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2095578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095601 */     // MIs[0] round
     /* 2095601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095604 */     // MIs[0] policy
     /* 2095604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095614 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2095617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095643 */     // GIR_Coverage, 16445,
     /* 2095643 */     GIR_EraseRootFromParent_Done,
     /* 2095644 */   // Label 27799: @2095644
     /* 2095644 */   GIM_Try, /*On fail goto*//*Label 27800*/ GIMT_Encode4(2095738), // Rule ID 16448 //
     /* 2095649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2095652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2095660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2095663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2095666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095695 */     // MIs[0] round
     /* 2095695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095698 */     // MIs[0] policy
     /* 2095698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2095711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095737 */     // GIR_Coverage, 16448,
     /* 2095737 */     GIR_EraseRootFromParent_Done,
     /* 2095738 */   // Label 27800: @2095738
     /* 2095738 */   GIM_Try, /*On fail goto*//*Label 27801*/ GIMT_Encode4(2095832), // Rule ID 16449 //
     /* 2095743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2095746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2095754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2095757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2095760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095789 */     // MIs[0] round
     /* 2095789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095792 */     // MIs[0] policy
     /* 2095792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095802 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2095805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095831 */     // GIR_Coverage, 16449,
     /* 2095831 */     GIR_EraseRootFromParent_Done,
     /* 2095832 */   // Label 27801: @2095832
     /* 2095832 */   GIM_Try, /*On fail goto*//*Label 27802*/ GIMT_Encode4(2095926), // Rule ID 16452 //
     /* 2095837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2095840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2095848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2095851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2095854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095883 */     // MIs[0] round
     /* 2095883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095886 */     // MIs[0] policy
     /* 2095886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2095899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095925 */     // GIR_Coverage, 16452,
     /* 2095925 */     GIR_EraseRootFromParent_Done,
     /* 2095926 */   // Label 27802: @2095926
     /* 2095926 */   GIM_Try, /*On fail goto*//*Label 27803*/ GIMT_Encode4(2096020), // Rule ID 16453 //
     /* 2095931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2095934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2095942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2095945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2095948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095977 */     // MIs[0] round
     /* 2095977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095980 */     // MIs[0] policy
     /* 2095980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2095993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096019 */     // GIR_Coverage, 16453,
     /* 2096019 */     GIR_EraseRootFromParent_Done,
     /* 2096020 */   // Label 27803: @2096020
     /* 2096020 */   GIM_Try, /*On fail goto*//*Label 27804*/ GIMT_Encode4(2096114), // Rule ID 16456 //
     /* 2096025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2096028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2096036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2096039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2096042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096071 */     // MIs[0] round
     /* 2096071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096074 */     // MIs[0] policy
     /* 2096074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096084 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2096087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096113 */     // GIR_Coverage, 16456,
     /* 2096113 */     GIR_EraseRootFromParent_Done,
     /* 2096114 */   // Label 27804: @2096114
     /* 2096114 */   GIM_Try, /*On fail goto*//*Label 27805*/ GIMT_Encode4(2096208), // Rule ID 16457 //
     /* 2096119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2096122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2096130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2096133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2096136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096165 */     // MIs[0] round
     /* 2096165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096168 */     // MIs[0] policy
     /* 2096168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096178 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11502:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2096181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096207 */     // GIR_Coverage, 16457,
     /* 2096207 */     GIR_EraseRootFromParent_Done,
     /* 2096208 */   // Label 27805: @2096208
     /* 2096208 */   GIM_Try, /*On fail goto*//*Label 27806*/ GIMT_Encode4(2096302), // Rule ID 16460 //
     /* 2096213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2096216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2096224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2096227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2096230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096259 */     // MIs[0] round
     /* 2096259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096262 */     // MIs[0] policy
     /* 2096262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096272 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2096275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096301 */     // GIR_Coverage, 16460,
     /* 2096301 */     GIR_EraseRootFromParent_Done,
     /* 2096302 */   // Label 27806: @2096302
     /* 2096302 */   GIM_Try, /*On fail goto*//*Label 27807*/ GIMT_Encode4(2096396), // Rule ID 16461 //
     /* 2096307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2096310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2096318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2096321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2096324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2096349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096353 */     // MIs[0] round
     /* 2096353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096356 */     // MIs[0] policy
     /* 2096356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11502:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2096369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096395 */     // GIR_Coverage, 16461,
     /* 2096395 */     GIR_EraseRootFromParent_Done,
     /* 2096396 */   // Label 27807: @2096396
     /* 2096396 */   GIM_Try, /*On fail goto*//*Label 27808*/ GIMT_Encode4(2096490), // Rule ID 16524 //
     /* 2096401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2096412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2096415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2096418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2096421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096447 */     // MIs[0] round
     /* 2096447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096450 */     // MIs[0] policy
     /* 2096450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096460 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2096463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096489 */     // GIR_Coverage, 16524,
     /* 2096489 */     GIR_EraseRootFromParent_Done,
     /* 2096490 */   // Label 27808: @2096490
     /* 2096490 */   GIM_Try, /*On fail goto*//*Label 27809*/ GIMT_Encode4(2096584), // Rule ID 16525 //
     /* 2096495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2096506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2096509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2096512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2096515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096541 */     // MIs[0] round
     /* 2096541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096544 */     // MIs[0] policy
     /* 2096544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096554 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2096557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096583 */     // GIR_Coverage, 16525,
     /* 2096583 */     GIR_EraseRootFromParent_Done,
     /* 2096584 */   // Label 27809: @2096584
     /* 2096584 */   GIM_Try, /*On fail goto*//*Label 27810*/ GIMT_Encode4(2096678), // Rule ID 16528 //
     /* 2096589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2096600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2096603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2096606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2096609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096635 */     // MIs[0] round
     /* 2096635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096638 */     // MIs[0] policy
     /* 2096638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096648 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2096651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096677 */     // GIR_Coverage, 16528,
     /* 2096677 */     GIR_EraseRootFromParent_Done,
     /* 2096678 */   // Label 27810: @2096678
     /* 2096678 */   GIM_Try, /*On fail goto*//*Label 27811*/ GIMT_Encode4(2096772), // Rule ID 16529 //
     /* 2096683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2096694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2096697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2096700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2096703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096729 */     // MIs[0] round
     /* 2096729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096732 */     // MIs[0] policy
     /* 2096732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096742 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2096745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096771 */     // GIR_Coverage, 16529,
     /* 2096771 */     GIR_EraseRootFromParent_Done,
     /* 2096772 */   // Label 27811: @2096772
     /* 2096772 */   GIM_Try, /*On fail goto*//*Label 27812*/ GIMT_Encode4(2096866), // Rule ID 16532 //
     /* 2096777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2096788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2096791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2096794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2096797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096823 */     // MIs[0] round
     /* 2096823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096826 */     // MIs[0] policy
     /* 2096826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096836 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2096839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096865 */     // GIR_Coverage, 16532,
     /* 2096865 */     GIR_EraseRootFromParent_Done,
     /* 2096866 */   // Label 27812: @2096866
     /* 2096866 */   GIM_Try, /*On fail goto*//*Label 27813*/ GIMT_Encode4(2096960), // Rule ID 16533 //
     /* 2096871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2096882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2096885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2096888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2096891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096917 */     // MIs[0] round
     /* 2096917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096920 */     // MIs[0] policy
     /* 2096920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096930 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2096933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096959 */     // GIR_Coverage, 16533,
     /* 2096959 */     GIR_EraseRootFromParent_Done,
     /* 2096960 */   // Label 27813: @2096960
     /* 2096960 */   GIM_Try, /*On fail goto*//*Label 27814*/ GIMT_Encode4(2097054), // Rule ID 16536 //
     /* 2096965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2096976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2096979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2096982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2096985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097011 */     // MIs[0] round
     /* 2097011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097014 */     // MIs[0] policy
     /* 2097014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2097027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097053 */     // GIR_Coverage, 16536,
     /* 2097053 */     GIR_EraseRootFromParent_Done,
     /* 2097054 */   // Label 27814: @2097054
     /* 2097054 */   GIM_Try, /*On fail goto*//*Label 27815*/ GIMT_Encode4(2097148), // Rule ID 16537 //
     /* 2097059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2097062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2097070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2097073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2097076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2097079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097105 */     // MIs[0] round
     /* 2097105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097108 */     // MIs[0] policy
     /* 2097108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097118 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2097121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097147 */     // GIR_Coverage, 16537,
     /* 2097147 */     GIR_EraseRootFromParent_Done,
     /* 2097148 */   // Label 27815: @2097148
     /* 2097148 */   GIM_Try, /*On fail goto*//*Label 27816*/ GIMT_Encode4(2097242), // Rule ID 16540 //
     /* 2097153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2097164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2097167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2097170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2097173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097199 */     // MIs[0] round
     /* 2097199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097202 */     // MIs[0] policy
     /* 2097202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097212 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2097215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097241 */     // GIR_Coverage, 16540,
     /* 2097241 */     GIR_EraseRootFromParent_Done,
     /* 2097242 */   // Label 27816: @2097242
     /* 2097242 */   GIM_Try, /*On fail goto*//*Label 27817*/ GIMT_Encode4(2097336), // Rule ID 16541 //
     /* 2097247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2097250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2097258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2097261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2097264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2097267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097293 */     // MIs[0] round
     /* 2097293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097296 */     // MIs[0] policy
     /* 2097296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097306 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2097309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097335 */     // GIR_Coverage, 16541,
     /* 2097335 */     GIR_EraseRootFromParent_Done,
     /* 2097336 */   // Label 27817: @2097336
     /* 2097336 */   GIM_Try, /*On fail goto*//*Label 27818*/ GIMT_Encode4(2097430), // Rule ID 16544 //
     /* 2097341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2097352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2097355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2097358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2097361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2097364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097387 */     // MIs[0] round
     /* 2097387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097390 */     // MIs[0] policy
     /* 2097390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097400 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2097403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097429 */     // GIR_Coverage, 16544,
     /* 2097429 */     GIR_EraseRootFromParent_Done,
     /* 2097430 */   // Label 27818: @2097430
     /* 2097430 */   GIM_Try, /*On fail goto*//*Label 27819*/ GIMT_Encode4(2097524), // Rule ID 16545 //
     /* 2097435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2097438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2097446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2097449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2097452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2097455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2097458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097481 */     // MIs[0] round
     /* 2097481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097484 */     // MIs[0] policy
     /* 2097484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097494 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2097497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097523 */     // GIR_Coverage, 16545,
     /* 2097523 */     GIR_EraseRootFromParent_Done,
     /* 2097524 */   // Label 27819: @2097524
     /* 2097524 */   GIM_Try, /*On fail goto*//*Label 27820*/ GIMT_Encode4(2097618), // Rule ID 16548 //
     /* 2097529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2097540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2097543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2097546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2097549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097575 */     // MIs[0] round
     /* 2097575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097578 */     // MIs[0] policy
     /* 2097578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2097591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097617 */     // GIR_Coverage, 16548,
     /* 2097617 */     GIR_EraseRootFromParent_Done,
     /* 2097618 */   // Label 27820: @2097618
     /* 2097618 */   GIM_Try, /*On fail goto*//*Label 27821*/ GIMT_Encode4(2097712), // Rule ID 16549 //
     /* 2097623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2097626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2097634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2097637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2097640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2097643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097669 */     // MIs[0] round
     /* 2097669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097672 */     // MIs[0] policy
     /* 2097672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097682 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2097685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097711 */     // GIR_Coverage, 16549,
     /* 2097711 */     GIR_EraseRootFromParent_Done,
     /* 2097712 */   // Label 27821: @2097712
     /* 2097712 */   GIM_Try, /*On fail goto*//*Label 27822*/ GIMT_Encode4(2097806), // Rule ID 16552 //
     /* 2097717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2097728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2097731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2097734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2097737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097763 */     // MIs[0] round
     /* 2097763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097766 */     // MIs[0] policy
     /* 2097766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2097779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097805 */     // GIR_Coverage, 16552,
     /* 2097805 */     GIR_EraseRootFromParent_Done,
     /* 2097806 */   // Label 27822: @2097806
     /* 2097806 */   GIM_Try, /*On fail goto*//*Label 27823*/ GIMT_Encode4(2097900), // Rule ID 16553 //
     /* 2097811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2097814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2097822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2097825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2097828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2097831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097857 */     // MIs[0] round
     /* 2097857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097860 */     // MIs[0] policy
     /* 2097860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097870 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2097873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097899 */     // GIR_Coverage, 16553,
     /* 2097899 */     GIR_EraseRootFromParent_Done,
     /* 2097900 */   // Label 27823: @2097900
     /* 2097900 */   GIM_Try, /*On fail goto*//*Label 27824*/ GIMT_Encode4(2097994), // Rule ID 16556 //
     /* 2097905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2097916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2097919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2097922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2097925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097951 */     // MIs[0] round
     /* 2097951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097954 */     // MIs[0] policy
     /* 2097954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2097967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097993 */     // GIR_Coverage, 16556,
     /* 2097993 */     GIR_EraseRootFromParent_Done,
     /* 2097994 */   // Label 27824: @2097994
     /* 2097994 */   GIM_Try, /*On fail goto*//*Label 27825*/ GIMT_Encode4(2098088), // Rule ID 16557 //
     /* 2097999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2098010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2098013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2098016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2098019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098045 */     // MIs[0] round
     /* 2098045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098048 */     // MIs[0] policy
     /* 2098048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2098061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098087 */     // GIR_Coverage, 16557,
     /* 2098087 */     GIR_EraseRootFromParent_Done,
     /* 2098088 */   // Label 27825: @2098088
     /* 2098088 */   GIM_Try, /*On fail goto*//*Label 27826*/ GIMT_Encode4(2098182), // Rule ID 16560 //
     /* 2098093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2098104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2098107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2098110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2098113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098139 */     // MIs[0] round
     /* 2098139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098142 */     // MIs[0] policy
     /* 2098142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2098155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098181 */     // GIR_Coverage, 16560,
     /* 2098181 */     GIR_EraseRootFromParent_Done,
     /* 2098182 */   // Label 27826: @2098182
     /* 2098182 */   GIM_Try, /*On fail goto*//*Label 27827*/ GIMT_Encode4(2098276), // Rule ID 16561 //
     /* 2098187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2098198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2098201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2098204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2098207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098233 */     // MIs[0] round
     /* 2098233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098236 */     // MIs[0] policy
     /* 2098236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098246 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2098249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098275 */     // GIR_Coverage, 16561,
     /* 2098275 */     GIR_EraseRootFromParent_Done,
     /* 2098276 */   // Label 27827: @2098276
     /* 2098276 */   GIM_Try, /*On fail goto*//*Label 27828*/ GIMT_Encode4(2098370), // Rule ID 16564 //
     /* 2098281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2098292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2098295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2098298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2098301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098327 */     // MIs[0] round
     /* 2098327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098330 */     // MIs[0] policy
     /* 2098330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098340 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2098343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098369 */     // GIR_Coverage, 16564,
     /* 2098369 */     GIR_EraseRootFromParent_Done,
     /* 2098370 */   // Label 27828: @2098370
     /* 2098370 */   GIM_Try, /*On fail goto*//*Label 27829*/ GIMT_Encode4(2098464), // Rule ID 16565 //
     /* 2098375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2098386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2098389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2098392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2098395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098421 */     // MIs[0] round
     /* 2098421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098424 */     // MIs[0] policy
     /* 2098424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098434 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2098437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098463 */     // GIR_Coverage, 16565,
     /* 2098463 */     GIR_EraseRootFromParent_Done,
     /* 2098464 */   // Label 27829: @2098464
     /* 2098464 */   GIM_Try, /*On fail goto*//*Label 27830*/ GIMT_Encode4(2098558), // Rule ID 16568 //
     /* 2098469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2098472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2098480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2098483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2098486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2098489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098515 */     // MIs[0] round
     /* 2098515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098518 */     // MIs[0] policy
     /* 2098518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098528 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2098531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098557 */     // GIR_Coverage, 16568,
     /* 2098557 */     GIR_EraseRootFromParent_Done,
     /* 2098558 */   // Label 27830: @2098558
     /* 2098558 */   GIM_Try, /*On fail goto*//*Label 27831*/ GIMT_Encode4(2098652), // Rule ID 16569 //
     /* 2098563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2098566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2098574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2098577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2098580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2098583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098609 */     // MIs[0] round
     /* 2098609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098612 */     // MIs[0] policy
     /* 2098612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2098625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098651 */     // GIR_Coverage, 16569,
     /* 2098651 */     GIR_EraseRootFromParent_Done,
     /* 2098652 */   // Label 27831: @2098652
     /* 2098652 */   GIM_Try, /*On fail goto*//*Label 27832*/ GIMT_Encode4(2098746), // Rule ID 16572 //
     /* 2098657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2098660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2098668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2098671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2098674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2098677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098703 */     // MIs[0] round
     /* 2098703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098706 */     // MIs[0] policy
     /* 2098706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098716 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2098719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098745 */     // GIR_Coverage, 16572,
     /* 2098745 */     GIR_EraseRootFromParent_Done,
     /* 2098746 */   // Label 27832: @2098746
     /* 2098746 */   GIM_Try, /*On fail goto*//*Label 27833*/ GIMT_Encode4(2098840), // Rule ID 16573 //
     /* 2098751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2098754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2098762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2098765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2098768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2098771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098797 */     // MIs[0] round
     /* 2098797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098800 */     // MIs[0] policy
     /* 2098800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2098813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098839 */     // GIR_Coverage, 16573,
     /* 2098839 */     GIR_EraseRootFromParent_Done,
     /* 2098840 */   // Label 27833: @2098840
     /* 2098840 */   GIM_Try, /*On fail goto*//*Label 27834*/ GIMT_Encode4(2098934), // Rule ID 16576 //
     /* 2098845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2098848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2098856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2098859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2098862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2098865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098891 */     // MIs[0] round
     /* 2098891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098894 */     // MIs[0] policy
     /* 2098894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098904 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2098907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098933 */     // GIR_Coverage, 16576,
     /* 2098933 */     GIR_EraseRootFromParent_Done,
     /* 2098934 */   // Label 27834: @2098934
     /* 2098934 */   GIM_Try, /*On fail goto*//*Label 27835*/ GIMT_Encode4(2099028), // Rule ID 16577 //
     /* 2098939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2098942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2098950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2098953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2098956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2098959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098985 */     // MIs[0] round
     /* 2098985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098988 */     // MIs[0] policy
     /* 2098988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098998 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2099001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099027 */     // GIR_Coverage, 16577,
     /* 2099027 */     GIR_EraseRootFromParent_Done,
     /* 2099028 */   // Label 27835: @2099028
     /* 2099028 */   GIM_Try, /*On fail goto*//*Label 27836*/ GIMT_Encode4(2099122), // Rule ID 16580 //
     /* 2099033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2099036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2099044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2099047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2099050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2099053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099079 */     // MIs[0] round
     /* 2099079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099082 */     // MIs[0] policy
     /* 2099082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099092 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2099095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099121 */     // GIR_Coverage, 16580,
     /* 2099121 */     GIR_EraseRootFromParent_Done,
     /* 2099122 */   // Label 27836: @2099122
     /* 2099122 */   GIM_Try, /*On fail goto*//*Label 27837*/ GIMT_Encode4(2099216), // Rule ID 16581 //
     /* 2099127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2099130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2099138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2099141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2099144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2099147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099173 */     // MIs[0] round
     /* 2099173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099176 */     // MIs[0] policy
     /* 2099176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2099189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099215 */     // GIR_Coverage, 16581,
     /* 2099215 */     GIR_EraseRootFromParent_Done,
     /* 2099216 */   // Label 27837: @2099216
     /* 2099216 */   GIM_Try, /*On fail goto*//*Label 27838*/ GIMT_Encode4(2099310), // Rule ID 16584 //
     /* 2099221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2099224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2099232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2099235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2099238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099267 */     // MIs[0] round
     /* 2099267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099270 */     // MIs[0] policy
     /* 2099270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099280 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2099283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099309 */     // GIR_Coverage, 16584,
     /* 2099309 */     GIR_EraseRootFromParent_Done,
     /* 2099310 */   // Label 27838: @2099310
     /* 2099310 */   GIM_Try, /*On fail goto*//*Label 27839*/ GIMT_Encode4(2099404), // Rule ID 16585 //
     /* 2099315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2099318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2099326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2099329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2099332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099361 */     // MIs[0] round
     /* 2099361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099364 */     // MIs[0] policy
     /* 2099364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099374 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2099377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099403 */     // GIR_Coverage, 16585,
     /* 2099403 */     GIR_EraseRootFromParent_Done,
     /* 2099404 */   // Label 27839: @2099404
     /* 2099404 */   GIM_Try, /*On fail goto*//*Label 27840*/ GIMT_Encode4(2099498), // Rule ID 16588 //
     /* 2099409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2099412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2099420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2099423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2099426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099455 */     // MIs[0] round
     /* 2099455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099458 */     // MIs[0] policy
     /* 2099458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099468 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2099471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099497 */     // GIR_Coverage, 16588,
     /* 2099497 */     GIR_EraseRootFromParent_Done,
     /* 2099498 */   // Label 27840: @2099498
     /* 2099498 */   GIM_Try, /*On fail goto*//*Label 27841*/ GIMT_Encode4(2099592), // Rule ID 16589 //
     /* 2099503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2099506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2099514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2099517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2099520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099549 */     // MIs[0] round
     /* 2099549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099552 */     // MIs[0] policy
     /* 2099552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099562 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2099565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099591 */     // GIR_Coverage, 16589,
     /* 2099591 */     GIR_EraseRootFromParent_Done,
     /* 2099592 */   // Label 27841: @2099592
     /* 2099592 */   GIM_Try, /*On fail goto*//*Label 27842*/ GIMT_Encode4(2099686), // Rule ID 16592 //
     /* 2099597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2099600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2099608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2099611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2099614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099643 */     // MIs[0] round
     /* 2099643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099646 */     // MIs[0] policy
     /* 2099646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099656 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2099659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099685 */     // GIR_Coverage, 16592,
     /* 2099685 */     GIR_EraseRootFromParent_Done,
     /* 2099686 */   // Label 27842: @2099686
     /* 2099686 */   GIM_Try, /*On fail goto*//*Label 27843*/ GIMT_Encode4(2099780), // Rule ID 16593 //
     /* 2099691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2099694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2099702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2099705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2099708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099737 */     // MIs[0] round
     /* 2099737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099740 */     // MIs[0] policy
     /* 2099740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099750 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2099753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099779 */     // GIR_Coverage, 16593,
     /* 2099779 */     GIR_EraseRootFromParent_Done,
     /* 2099780 */   // Label 27843: @2099780
     /* 2099780 */   GIM_Try, /*On fail goto*//*Label 27844*/ GIMT_Encode4(2099874), // Rule ID 16596 //
     /* 2099785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2099788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2099796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2099799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2099802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099831 */     // MIs[0] round
     /* 2099831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099834 */     // MIs[0] policy
     /* 2099834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099844 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2099847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099873 */     // GIR_Coverage, 16596,
     /* 2099873 */     GIR_EraseRootFromParent_Done,
     /* 2099874 */   // Label 27844: @2099874
     /* 2099874 */   GIM_Try, /*On fail goto*//*Label 27845*/ GIMT_Encode4(2099968), // Rule ID 16597 //
     /* 2099879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2099882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2099890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2099893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2099896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099925 */     // MIs[0] round
     /* 2099925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099928 */     // MIs[0] policy
     /* 2099928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099938 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2099941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099967 */     // GIR_Coverage, 16597,
     /* 2099967 */     GIR_EraseRootFromParent_Done,
     /* 2099968 */   // Label 27845: @2099968
     /* 2099968 */   GIM_Try, /*On fail goto*//*Label 27846*/ GIMT_Encode4(2100062), // Rule ID 16600 //
     /* 2099973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2099976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2099984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2099987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2099990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2099996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100019 */     // MIs[0] round
     /* 2100019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100022 */     // MIs[0] policy
     /* 2100022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100032 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2100035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100061 */     // GIR_Coverage, 16600,
     /* 2100061 */     GIR_EraseRootFromParent_Done,
     /* 2100062 */   // Label 27846: @2100062
     /* 2100062 */   GIM_Try, /*On fail goto*//*Label 27847*/ GIMT_Encode4(2100156), // Rule ID 16601 //
     /* 2100067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2100070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2100078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2100081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2100084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100113 */     // MIs[0] round
     /* 2100113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100116 */     // MIs[0] policy
     /* 2100116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100126 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2100129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100155 */     // GIR_Coverage, 16601,
     /* 2100155 */     GIR_EraseRootFromParent_Done,
     /* 2100156 */   // Label 27847: @2100156
     /* 2100156 */   GIM_Try, /*On fail goto*//*Label 27848*/ GIMT_Encode4(2100250), // Rule ID 16604 //
     /* 2100161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2100164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2100172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2100175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2100178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2100184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100207 */     // MIs[0] round
     /* 2100207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100210 */     // MIs[0] policy
     /* 2100210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100220 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2100223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100249 */     // GIR_Coverage, 16604,
     /* 2100249 */     GIR_EraseRootFromParent_Done,
     /* 2100250 */   // Label 27848: @2100250
     /* 2100250 */   GIM_Try, /*On fail goto*//*Label 27849*/ GIMT_Encode4(2100344), // Rule ID 16605 //
     /* 2100255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2100258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2100266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2100269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2100272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2100278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100301 */     // MIs[0] round
     /* 2100301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100304 */     // MIs[0] policy
     /* 2100304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2100317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100343 */     // GIR_Coverage, 16605,
     /* 2100343 */     GIR_EraseRootFromParent_Done,
     /* 2100344 */   // Label 27849: @2100344
     /* 2100344 */   GIM_Try, /*On fail goto*//*Label 27850*/ GIMT_Encode4(2100438), // Rule ID 16608 //
     /* 2100349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2100352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2100360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2100363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2100366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100395 */     // MIs[0] round
     /* 2100395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100398 */     // MIs[0] policy
     /* 2100398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100408 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2100411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100437 */     // GIR_Coverage, 16608,
     /* 2100437 */     GIR_EraseRootFromParent_Done,
     /* 2100438 */   // Label 27850: @2100438
     /* 2100438 */   GIM_Try, /*On fail goto*//*Label 27851*/ GIMT_Encode4(2100532), // Rule ID 16609 //
     /* 2100443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2100446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2100454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2100457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2100460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100489 */     // MIs[0] round
     /* 2100489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100492 */     // MIs[0] policy
     /* 2100492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2100505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100531 */     // GIR_Coverage, 16609,
     /* 2100531 */     GIR_EraseRootFromParent_Done,
     /* 2100532 */   // Label 27851: @2100532
     /* 2100532 */   GIM_Try, /*On fail goto*//*Label 27852*/ GIMT_Encode4(2100626), // Rule ID 16612 //
     /* 2100537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2100540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2100548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2100551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2100554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100583 */     // MIs[0] round
     /* 2100583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100586 */     // MIs[0] policy
     /* 2100586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2100599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100625 */     // GIR_Coverage, 16612,
     /* 2100625 */     GIR_EraseRootFromParent_Done,
     /* 2100626 */   // Label 27852: @2100626
     /* 2100626 */   GIM_Try, /*On fail goto*//*Label 27853*/ GIMT_Encode4(2100720), // Rule ID 16613 //
     /* 2100631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2100634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2100642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2100645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2100648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100677 */     // MIs[0] round
     /* 2100677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100680 */     // MIs[0] policy
     /* 2100680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100690 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2100693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100719 */     // GIR_Coverage, 16613,
     /* 2100719 */     GIR_EraseRootFromParent_Done,
     /* 2100720 */   // Label 27853: @2100720
     /* 2100720 */   GIM_Try, /*On fail goto*//*Label 27854*/ GIMT_Encode4(2100814), // Rule ID 16616 //
     /* 2100725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2100728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2100736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2100739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2100742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100771 */     // MIs[0] round
     /* 2100771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100774 */     // MIs[0] policy
     /* 2100774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2100787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100813 */     // GIR_Coverage, 16616,
     /* 2100813 */     GIR_EraseRootFromParent_Done,
     /* 2100814 */   // Label 27854: @2100814
     /* 2100814 */   GIM_Try, /*On fail goto*//*Label 27855*/ GIMT_Encode4(2100908), // Rule ID 16617 //
     /* 2100819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2100822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2100830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2100833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2100836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100865 */     // MIs[0] round
     /* 2100865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100868 */     // MIs[0] policy
     /* 2100868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2100881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100907 */     // GIR_Coverage, 16617,
     /* 2100907 */     GIR_EraseRootFromParent_Done,
     /* 2100908 */   // Label 27855: @2100908
     /* 2100908 */   GIM_Try, /*On fail goto*//*Label 27856*/ GIMT_Encode4(2101002), // Rule ID 16620 //
     /* 2100913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2100916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2100924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2100927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2100930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100959 */     // MIs[0] round
     /* 2100959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100962 */     // MIs[0] policy
     /* 2100962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100972 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2100975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101001 */     // GIR_Coverage, 16620,
     /* 2101001 */     GIR_EraseRootFromParent_Done,
     /* 2101002 */   // Label 27856: @2101002
     /* 2101002 */   GIM_Try, /*On fail goto*//*Label 27857*/ GIMT_Encode4(2101096), // Rule ID 16621 //
     /* 2101007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2101010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2101018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2101021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2101024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2101049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101053 */     // MIs[0] round
     /* 2101053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101056 */     // MIs[0] policy
     /* 2101056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101066 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2101069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101095 */     // GIR_Coverage, 16621,
     /* 2101095 */     GIR_EraseRootFromParent_Done,
     /* 2101096 */   // Label 27857: @2101096
     /* 2101096 */   GIM_Try, /*On fail goto*//*Label 27858*/ GIMT_Encode4(2101190), // Rule ID 16624 //
     /* 2101101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2101104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2101112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2101115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2101118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2101124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2101143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101147 */     // MIs[0] round
     /* 2101147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101150 */     // MIs[0] policy
     /* 2101150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101160 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2101163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101189 */     // GIR_Coverage, 16624,
     /* 2101189 */     GIR_EraseRootFromParent_Done,
     /* 2101190 */   // Label 27858: @2101190
     /* 2101190 */   GIM_Try, /*On fail goto*//*Label 27859*/ GIMT_Encode4(2101284), // Rule ID 16625 //
     /* 2101195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2101198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2101206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2101209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2101212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2101218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2101237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101241 */     // MIs[0] round
     /* 2101241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101244 */     // MIs[0] policy
     /* 2101244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101254 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2101257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101283 */     // GIR_Coverage, 16625,
     /* 2101283 */     GIR_EraseRootFromParent_Done,
     /* 2101284 */   // Label 27859: @2101284
     /* 2101284 */   GIM_Try, /*On fail goto*//*Label 27860*/ GIMT_Encode4(2101378), // Rule ID 16628 //
     /* 2101289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2101292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2101300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2101303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2101306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2101331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101335 */     // MIs[0] round
     /* 2101335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101338 */     // MIs[0] policy
     /* 2101338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101348 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2101351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101377 */     // GIR_Coverage, 16628,
     /* 2101377 */     GIR_EraseRootFromParent_Done,
     /* 2101378 */   // Label 27860: @2101378
     /* 2101378 */   GIM_Try, /*On fail goto*//*Label 27861*/ GIMT_Encode4(2101472), // Rule ID 16629 //
     /* 2101383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2101386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2101394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2101397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2101400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2101425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101429 */     // MIs[0] round
     /* 2101429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101432 */     // MIs[0] policy
     /* 2101432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2101445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101471 */     // GIR_Coverage, 16629,
     /* 2101471 */     GIR_EraseRootFromParent_Done,
     /* 2101472 */   // Label 27861: @2101472
     /* 2101472 */   GIM_Try, /*On fail goto*//*Label 27862*/ GIMT_Encode4(2101566), // Rule ID 16632 //
     /* 2101477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2101480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2101488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2101491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2101494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2101519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101523 */     // MIs[0] round
     /* 2101523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101526 */     // MIs[0] policy
     /* 2101526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2101539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101565 */     // GIR_Coverage, 16632,
     /* 2101565 */     GIR_EraseRootFromParent_Done,
     /* 2101566 */   // Label 27862: @2101566
     /* 2101566 */   GIM_Try, /*On fail goto*//*Label 27863*/ GIMT_Encode4(2101660), // Rule ID 16633 //
     /* 2101571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2101574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2101582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2101585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2101588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2101613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101617 */     // MIs[0] round
     /* 2101617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101620 */     // MIs[0] policy
     /* 2101620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2101633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101659 */     // GIR_Coverage, 16633,
     /* 2101659 */     GIR_EraseRootFromParent_Done,
     /* 2101660 */   // Label 27863: @2101660
     /* 2101660 */   GIM_Try, /*On fail goto*//*Label 27864*/ GIMT_Encode4(2101754), // Rule ID 16636 //
     /* 2101665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2101668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2101676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2101679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2101682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2101707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101711 */     // MIs[0] round
     /* 2101711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101714 */     // MIs[0] policy
     /* 2101714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2101727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101753 */     // GIR_Coverage, 16636,
     /* 2101753 */     GIR_EraseRootFromParent_Done,
     /* 2101754 */   // Label 27864: @2101754
     /* 2101754 */   GIM_Try, /*On fail goto*//*Label 27865*/ GIMT_Encode4(2101848), // Rule ID 16637 //
     /* 2101759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2101762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2101770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2101773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2101776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2101801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101805 */     // MIs[0] round
     /* 2101805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101808 */     // MIs[0] policy
     /* 2101808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101818 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2101821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101847 */     // GIR_Coverage, 16637,
     /* 2101847 */     GIR_EraseRootFromParent_Done,
     /* 2101848 */   // Label 27865: @2101848
     /* 2101848 */   GIM_Try, /*On fail goto*//*Label 27866*/ GIMT_Encode4(2101942), // Rule ID 16640 //
     /* 2101853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2101856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2101864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2101867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2101870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2101895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101899 */     // MIs[0] round
     /* 2101899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101902 */     // MIs[0] policy
     /* 2101902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101912 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2101915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101941 */     // GIR_Coverage, 16640,
     /* 2101941 */     GIR_EraseRootFromParent_Done,
     /* 2101942 */   // Label 27866: @2101942
     /* 2101942 */   GIM_Try, /*On fail goto*//*Label 27867*/ GIMT_Encode4(2102036), // Rule ID 16641 //
     /* 2101947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2101950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2101958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2101961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2101964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2101989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101993 */     // MIs[0] round
     /* 2101993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101996 */     // MIs[0] policy
     /* 2101996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102006 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2102009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2102034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102035 */     // GIR_Coverage, 16641,
     /* 2102035 */     GIR_EraseRootFromParent_Done,
     /* 2102036 */   // Label 27867: @2102036
     /* 2102036 */   GIM_Try, /*On fail goto*//*Label 27868*/ GIMT_Encode4(2102127), // Rule ID 16704 //
     /* 2102041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2102052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2102055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2102058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2102061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102087 */     // MIs[0] round
     /* 2102087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102090 */     // MIs[0] policy
     /* 2102090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102100 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2102103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102126 */     // GIR_Coverage, 16704,
     /* 2102126 */     GIR_EraseRootFromParent_Done,
     /* 2102127 */   // Label 27868: @2102127
     /* 2102127 */   GIM_Try, /*On fail goto*//*Label 27869*/ GIMT_Encode4(2102218), // Rule ID 16705 //
     /* 2102132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2102143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2102146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2102149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2102152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102178 */     // MIs[0] round
     /* 2102178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102181 */     // MIs[0] policy
     /* 2102181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102191 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2102194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102217 */     // GIR_Coverage, 16705,
     /* 2102217 */     GIR_EraseRootFromParent_Done,
     /* 2102218 */   // Label 27869: @2102218
     /* 2102218 */   GIM_Try, /*On fail goto*//*Label 27870*/ GIMT_Encode4(2102309), // Rule ID 16708 //
     /* 2102223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2102234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2102237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2102240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2102243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102269 */     // MIs[0] round
     /* 2102269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102272 */     // MIs[0] policy
     /* 2102272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102282 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2102285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102308 */     // GIR_Coverage, 16708,
     /* 2102308 */     GIR_EraseRootFromParent_Done,
     /* 2102309 */   // Label 27870: @2102309
     /* 2102309 */   GIM_Try, /*On fail goto*//*Label 27871*/ GIMT_Encode4(2102400), // Rule ID 16709 //
     /* 2102314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2102325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2102328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2102331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2102334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102360 */     // MIs[0] round
     /* 2102360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102363 */     // MIs[0] policy
     /* 2102363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102373 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2102376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102399 */     // GIR_Coverage, 16709,
     /* 2102399 */     GIR_EraseRootFromParent_Done,
     /* 2102400 */   // Label 27871: @2102400
     /* 2102400 */   GIM_Try, /*On fail goto*//*Label 27872*/ GIMT_Encode4(2102491), // Rule ID 16712 //
     /* 2102405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2102408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2102416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2102419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2102422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2102425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102451 */     // MIs[0] round
     /* 2102451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102454 */     // MIs[0] policy
     /* 2102454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102464 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2102467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102490 */     // GIR_Coverage, 16712,
     /* 2102490 */     GIR_EraseRootFromParent_Done,
     /* 2102491 */   // Label 27872: @2102491
     /* 2102491 */   GIM_Try, /*On fail goto*//*Label 27873*/ GIMT_Encode4(2102582), // Rule ID 16713 //
     /* 2102496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2102507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2102510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2102513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2102516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102542 */     // MIs[0] round
     /* 2102542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102545 */     // MIs[0] policy
     /* 2102545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102555 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2102558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102581 */     // GIR_Coverage, 16713,
     /* 2102581 */     GIR_EraseRootFromParent_Done,
     /* 2102582 */   // Label 27873: @2102582
     /* 2102582 */   GIM_Try, /*On fail goto*//*Label 27874*/ GIMT_Encode4(2102673), // Rule ID 16716 //
     /* 2102587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2102598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2102601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2102604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2102607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102633 */     // MIs[0] round
     /* 2102633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102636 */     // MIs[0] policy
     /* 2102636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102646 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2102649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102672 */     // GIR_Coverage, 16716,
     /* 2102672 */     GIR_EraseRootFromParent_Done,
     /* 2102673 */   // Label 27874: @2102673
     /* 2102673 */   GIM_Try, /*On fail goto*//*Label 27875*/ GIMT_Encode4(2102764), // Rule ID 16717 //
     /* 2102678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2102689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2102692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2102695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2102698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102724 */     // MIs[0] round
     /* 2102724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102727 */     // MIs[0] policy
     /* 2102727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102737 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2102740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102763 */     // GIR_Coverage, 16717,
     /* 2102763 */     GIR_EraseRootFromParent_Done,
     /* 2102764 */   // Label 27875: @2102764
     /* 2102764 */   GIM_Try, /*On fail goto*//*Label 27876*/ GIMT_Encode4(2102855), // Rule ID 16720 //
     /* 2102769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2102772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2102780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2102783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2102786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2102789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102815 */     // MIs[0] round
     /* 2102815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102818 */     // MIs[0] policy
     /* 2102818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102828 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2102831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102854 */     // GIR_Coverage, 16720,
     /* 2102854 */     GIR_EraseRootFromParent_Done,
     /* 2102855 */   // Label 27876: @2102855
     /* 2102855 */   GIM_Try, /*On fail goto*//*Label 27877*/ GIMT_Encode4(2102946), // Rule ID 16721 //
     /* 2102860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2102871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2102874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2102877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2102880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102906 */     // MIs[0] round
     /* 2102906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102909 */     // MIs[0] policy
     /* 2102909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102919 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2102922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102945 */     // GIR_Coverage, 16721,
     /* 2102945 */     GIR_EraseRootFromParent_Done,
     /* 2102946 */   // Label 27877: @2102946
     /* 2102946 */   GIM_Try, /*On fail goto*//*Label 27878*/ GIMT_Encode4(2103037), // Rule ID 16724 //
     /* 2102951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2102954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2102959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2102962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2102965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2102968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2102971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102997 */     // MIs[0] round
     /* 2102997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103000 */     // MIs[0] policy
     /* 2103000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103010 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2103013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103036 */     // GIR_Coverage, 16724,
     /* 2103036 */     GIR_EraseRootFromParent_Done,
     /* 2103037 */   // Label 27878: @2103037
     /* 2103037 */   GIM_Try, /*On fail goto*//*Label 27879*/ GIMT_Encode4(2103128), // Rule ID 16725 //
     /* 2103042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2103045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2103050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2103053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2103056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2103059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2103062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103088 */     // MIs[0] round
     /* 2103088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103091 */     // MIs[0] policy
     /* 2103091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103101 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2103104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103127 */     // GIR_Coverage, 16725,
     /* 2103127 */     GIR_EraseRootFromParent_Done,
     /* 2103128 */   // Label 27879: @2103128
     /* 2103128 */   GIM_Try, /*On fail goto*//*Label 27880*/ GIMT_Encode4(2103219), // Rule ID 16728 //
     /* 2103133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2103136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2103141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2103144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2103147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2103150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2103153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103179 */     // MIs[0] round
     /* 2103179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103182 */     // MIs[0] policy
     /* 2103182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103192 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2103195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103218 */     // GIR_Coverage, 16728,
     /* 2103218 */     GIR_EraseRootFromParent_Done,
     /* 2103219 */   // Label 27880: @2103219
     /* 2103219 */   GIM_Try, /*On fail goto*//*Label 27881*/ GIMT_Encode4(2103310), // Rule ID 16729 //
     /* 2103224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2103227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2103232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2103235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2103238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2103241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2103244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103270 */     // MIs[0] round
     /* 2103270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103273 */     // MIs[0] policy
     /* 2103273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103283 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2103286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103309 */     // GIR_Coverage, 16729,
     /* 2103309 */     GIR_EraseRootFromParent_Done,
     /* 2103310 */   // Label 27881: @2103310
     /* 2103310 */   GIM_Try, /*On fail goto*//*Label 27882*/ GIMT_Encode4(2103401), // Rule ID 16732 //
     /* 2103315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2103318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2103323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2103326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2103329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2103332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2103335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103361 */     // MIs[0] round
     /* 2103361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103364 */     // MIs[0] policy
     /* 2103364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103374 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2103377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103400 */     // GIR_Coverage, 16732,
     /* 2103400 */     GIR_EraseRootFromParent_Done,
     /* 2103401 */   // Label 27882: @2103401
     /* 2103401 */   GIM_Try, /*On fail goto*//*Label 27883*/ GIMT_Encode4(2103492), // Rule ID 16733 //
     /* 2103406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2103409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2103414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2103417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2103420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2103423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2103426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103452 */     // MIs[0] round
     /* 2103452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103455 */     // MIs[0] policy
     /* 2103455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103465 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2103468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103491 */     // GIR_Coverage, 16733,
     /* 2103491 */     GIR_EraseRootFromParent_Done,
     /* 2103492 */   // Label 27883: @2103492
     /* 2103492 */   GIM_Try, /*On fail goto*//*Label 27884*/ GIMT_Encode4(2103583), // Rule ID 16736 //
     /* 2103497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2103500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2103505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2103508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2103511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2103514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2103517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2103520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103543 */     // MIs[0] round
     /* 2103543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103546 */     // MIs[0] policy
     /* 2103546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103556 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2103559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103582 */     // GIR_Coverage, 16736,
     /* 2103582 */     GIR_EraseRootFromParent_Done,
     /* 2103583 */   // Label 27884: @2103583
     /* 2103583 */   GIM_Try, /*On fail goto*//*Label 27885*/ GIMT_Encode4(2103674), // Rule ID 16737 //
     /* 2103588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2103591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2103596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2103599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2103602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2103605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2103608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2103611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103634 */     // MIs[0] round
     /* 2103634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103637 */     // MIs[0] policy
     /* 2103637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103647 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2103650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103673 */     // GIR_Coverage, 16737,
     /* 2103673 */     GIR_EraseRootFromParent_Done,
     /* 2103674 */   // Label 27885: @2103674
     /* 2103674 */   GIM_Try, /*On fail goto*//*Label 27886*/ GIMT_Encode4(2103765), // Rule ID 16740 //
     /* 2103679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2103687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2103690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2103693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2103696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2103699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103725 */     // MIs[0] round
     /* 2103725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103728 */     // MIs[0] policy
     /* 2103728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103738 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2103741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103764 */     // GIR_Coverage, 16740,
     /* 2103764 */     GIR_EraseRootFromParent_Done,
     /* 2103765 */   // Label 27886: @2103765
     /* 2103765 */   GIM_Try, /*On fail goto*//*Label 27887*/ GIMT_Encode4(2103856), // Rule ID 16741 //
     /* 2103770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2103778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2103781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2103784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2103787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2103790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103816 */     // MIs[0] round
     /* 2103816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103819 */     // MIs[0] policy
     /* 2103819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103829 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2103832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103855 */     // GIR_Coverage, 16741,
     /* 2103855 */     GIR_EraseRootFromParent_Done,
     /* 2103856 */   // Label 27887: @2103856
     /* 2103856 */   GIM_Try, /*On fail goto*//*Label 27888*/ GIMT_Encode4(2103947), // Rule ID 16744 //
     /* 2103861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2103869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2103878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2103881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103907 */     // MIs[0] round
     /* 2103907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103910 */     // MIs[0] policy
     /* 2103910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103920 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2103923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103946 */     // GIR_Coverage, 16744,
     /* 2103946 */     GIR_EraseRootFromParent_Done,
     /* 2103947 */   // Label 27888: @2103947
     /* 2103947 */   GIM_Try, /*On fail goto*//*Label 27889*/ GIMT_Encode4(2104038), // Rule ID 16745 //
     /* 2103952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2103960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2103969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2103972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103998 */     // MIs[0] round
     /* 2103998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104001 */     // MIs[0] policy
     /* 2104001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104011 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2104014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104037 */     // GIR_Coverage, 16745,
     /* 2104037 */     GIR_EraseRootFromParent_Done,
     /* 2104038 */   // Label 27889: @2104038
     /* 2104038 */   GIM_Try, /*On fail goto*//*Label 27890*/ GIMT_Encode4(2104129), // Rule ID 16748 //
     /* 2104043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2104046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2104051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2104054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2104057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2104060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2104063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2104066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104089 */     // MIs[0] round
     /* 2104089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104092 */     // MIs[0] policy
     /* 2104092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104102 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2104105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104128 */     // GIR_Coverage, 16748,
     /* 2104128 */     GIR_EraseRootFromParent_Done,
     /* 2104129 */   // Label 27890: @2104129
     /* 2104129 */   GIM_Try, /*On fail goto*//*Label 27891*/ GIMT_Encode4(2104220), // Rule ID 16749 //
     /* 2104134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2104137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2104142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2104145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2104148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2104151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2104154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2104157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104180 */     // MIs[0] round
     /* 2104180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104183 */     // MIs[0] policy
     /* 2104183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104193 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2104196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104219 */     // GIR_Coverage, 16749,
     /* 2104219 */     GIR_EraseRootFromParent_Done,
     /* 2104220 */   // Label 27891: @2104220
     /* 2104220 */   GIM_Try, /*On fail goto*//*Label 27892*/ GIMT_Encode4(2104311), // Rule ID 16752 //
     /* 2104225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2104228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2104233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2104236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2104239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2104242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2104245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104271 */     // MIs[0] round
     /* 2104271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104274 */     // MIs[0] policy
     /* 2104274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104284 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2104287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104310 */     // GIR_Coverage, 16752,
     /* 2104310 */     GIR_EraseRootFromParent_Done,
     /* 2104311 */   // Label 27892: @2104311
     /* 2104311 */   GIM_Try, /*On fail goto*//*Label 27893*/ GIMT_Encode4(2104402), // Rule ID 16753 //
     /* 2104316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2104319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2104324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2104327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2104330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2104333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2104336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104362 */     // MIs[0] round
     /* 2104362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104365 */     // MIs[0] policy
     /* 2104365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104375 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2104378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104401 */     // GIR_Coverage, 16753,
     /* 2104401 */     GIR_EraseRootFromParent_Done,
     /* 2104402 */   // Label 27893: @2104402
     /* 2104402 */   GIM_Try, /*On fail goto*//*Label 27894*/ GIMT_Encode4(2104493), // Rule ID 16756 //
     /* 2104407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2104410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2104415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2104418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2104421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2104424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2104427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104453 */     // MIs[0] round
     /* 2104453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104456 */     // MIs[0] policy
     /* 2104456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104466 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2104469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104492 */     // GIR_Coverage, 16756,
     /* 2104492 */     GIR_EraseRootFromParent_Done,
     /* 2104493 */   // Label 27894: @2104493
     /* 2104493 */   GIM_Try, /*On fail goto*//*Label 27895*/ GIMT_Encode4(2104584), // Rule ID 16757 //
     /* 2104498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2104501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2104506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2104509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2104512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2104515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2104518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104544 */     // MIs[0] round
     /* 2104544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104547 */     // MIs[0] policy
     /* 2104547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104557 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2104560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104583 */     // GIR_Coverage, 16757,
     /* 2104583 */     GIR_EraseRootFromParent_Done,
     /* 2104584 */   // Label 27895: @2104584
     /* 2104584 */   GIM_Try, /*On fail goto*//*Label 27896*/ GIMT_Encode4(2104675), // Rule ID 16760 //
     /* 2104589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2104592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2104597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2104600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2104603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2104606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2104609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104635 */     // MIs[0] round
     /* 2104635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104638 */     // MIs[0] policy
     /* 2104638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104648 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2104651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104674 */     // GIR_Coverage, 16760,
     /* 2104674 */     GIR_EraseRootFromParent_Done,
     /* 2104675 */   // Label 27896: @2104675
     /* 2104675 */   GIM_Try, /*On fail goto*//*Label 27897*/ GIMT_Encode4(2104766), // Rule ID 16761 //
     /* 2104680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2104683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2104688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2104691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2104694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2104697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2104700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104726 */     // MIs[0] round
     /* 2104726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104729 */     // MIs[0] policy
     /* 2104729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104739 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2104742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104765 */     // GIR_Coverage, 16761,
     /* 2104765 */     GIR_EraseRootFromParent_Done,
     /* 2104766 */   // Label 27897: @2104766
     /* 2104766 */   GIM_Try, /*On fail goto*//*Label 27898*/ GIMT_Encode4(2104857), // Rule ID 16764 //
     /* 2104771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2104774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2104779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2104782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2104785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2104788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104817 */     // MIs[0] round
     /* 2104817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104820 */     // MIs[0] policy
     /* 2104820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104830 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2104833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104856 */     // GIR_Coverage, 16764,
     /* 2104856 */     GIR_EraseRootFromParent_Done,
     /* 2104857 */   // Label 27898: @2104857
     /* 2104857 */   GIM_Try, /*On fail goto*//*Label 27899*/ GIMT_Encode4(2104948), // Rule ID 16765 //
     /* 2104862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2104865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2104870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2104873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2104876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2104879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104908 */     // MIs[0] round
     /* 2104908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104911 */     // MIs[0] policy
     /* 2104911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104921 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2104924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104947 */     // GIR_Coverage, 16765,
     /* 2104947 */     GIR_EraseRootFromParent_Done,
     /* 2104948 */   // Label 27899: @2104948
     /* 2104948 */   GIM_Try, /*On fail goto*//*Label 27900*/ GIMT_Encode4(2105039), // Rule ID 16768 //
     /* 2104953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2104956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2104961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2104964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2104967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2104970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104999 */     // MIs[0] round
     /* 2104999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105002 */     // MIs[0] policy
     /* 2105002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105012 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2105015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105038 */     // GIR_Coverage, 16768,
     /* 2105038 */     GIR_EraseRootFromParent_Done,
     /* 2105039 */   // Label 27900: @2105039
     /* 2105039 */   GIM_Try, /*On fail goto*//*Label 27901*/ GIMT_Encode4(2105130), // Rule ID 16769 //
     /* 2105044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2105047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2105052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2105055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2105058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2105061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105090 */     // MIs[0] round
     /* 2105090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105093 */     // MIs[0] policy
     /* 2105093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105103 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2105106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105129 */     // GIR_Coverage, 16769,
     /* 2105129 */     GIR_EraseRootFromParent_Done,
     /* 2105130 */   // Label 27901: @2105130
     /* 2105130 */   GIM_Try, /*On fail goto*//*Label 27902*/ GIMT_Encode4(2105221), // Rule ID 16772 //
     /* 2105135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2105138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2105143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2105152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105181 */     // MIs[0] round
     /* 2105181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105184 */     // MIs[0] policy
     /* 2105184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105194 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2105197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105220 */     // GIR_Coverage, 16772,
     /* 2105220 */     GIR_EraseRootFromParent_Done,
     /* 2105221 */   // Label 27902: @2105221
     /* 2105221 */   GIM_Try, /*On fail goto*//*Label 27903*/ GIMT_Encode4(2105312), // Rule ID 16773 //
     /* 2105226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2105229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2105234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2105243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105272 */     // MIs[0] round
     /* 2105272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105275 */     // MIs[0] policy
     /* 2105275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105285 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2105288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105311 */     // GIR_Coverage, 16773,
     /* 2105311 */     GIR_EraseRootFromParent_Done,
     /* 2105312 */   // Label 27903: @2105312
     /* 2105312 */   GIM_Try, /*On fail goto*//*Label 27904*/ GIMT_Encode4(2105403), // Rule ID 16776 //
     /* 2105317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2105320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2105325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2105328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2105331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2105334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105363 */     // MIs[0] round
     /* 2105363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105366 */     // MIs[0] policy
     /* 2105366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105376 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2105379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105402 */     // GIR_Coverage, 16776,
     /* 2105402 */     GIR_EraseRootFromParent_Done,
     /* 2105403 */   // Label 27904: @2105403
     /* 2105403 */   GIM_Try, /*On fail goto*//*Label 27905*/ GIMT_Encode4(2105494), // Rule ID 16777 //
     /* 2105408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2105411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2105416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2105419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2105422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2105425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105454 */     // MIs[0] round
     /* 2105454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105457 */     // MIs[0] policy
     /* 2105457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105467 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2105470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105493 */     // GIR_Coverage, 16777,
     /* 2105493 */     GIR_EraseRootFromParent_Done,
     /* 2105494 */   // Label 27905: @2105494
     /* 2105494 */   GIM_Try, /*On fail goto*//*Label 27906*/ GIMT_Encode4(2105585), // Rule ID 16780 //
     /* 2105499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2105502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2105507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2105510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2105513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105545 */     // MIs[0] round
     /* 2105545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105548 */     // MIs[0] policy
     /* 2105548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105558 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2105561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105584 */     // GIR_Coverage, 16780,
     /* 2105584 */     GIR_EraseRootFromParent_Done,
     /* 2105585 */   // Label 27906: @2105585
     /* 2105585 */   GIM_Try, /*On fail goto*//*Label 27907*/ GIMT_Encode4(2105676), // Rule ID 16781 //
     /* 2105590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2105593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2105598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2105601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2105604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105636 */     // MIs[0] round
     /* 2105636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105639 */     // MIs[0] policy
     /* 2105639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105649 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2105652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105675 */     // GIR_Coverage, 16781,
     /* 2105675 */     GIR_EraseRootFromParent_Done,
     /* 2105676 */   // Label 27907: @2105676
     /* 2105676 */   GIM_Try, /*On fail goto*//*Label 27908*/ GIMT_Encode4(2105767), // Rule ID 16784 //
     /* 2105681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2105684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2105689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2105692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2105695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2105698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2105701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2105723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105727 */     // MIs[0] round
     /* 2105727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105730 */     // MIs[0] policy
     /* 2105730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105740 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2105743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105766 */     // GIR_Coverage, 16784,
     /* 2105766 */     GIR_EraseRootFromParent_Done,
     /* 2105767 */   // Label 27908: @2105767
     /* 2105767 */   GIM_Try, /*On fail goto*//*Label 27909*/ GIMT_Encode4(2105858), // Rule ID 16785 //
     /* 2105772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2105775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2105780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2105783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2105786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2105789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2105792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2105814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105818 */     // MIs[0] round
     /* 2105818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105821 */     // MIs[0] policy
     /* 2105821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105831 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2105834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105857 */     // GIR_Coverage, 16785,
     /* 2105857 */     GIR_EraseRootFromParent_Done,
     /* 2105858 */   // Label 27909: @2105858
     /* 2105858 */   GIM_Try, /*On fail goto*//*Label 27910*/ GIMT_Encode4(2105949), // Rule ID 16788 //
     /* 2105863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2105866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2105871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2105874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2105877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2105880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105909 */     // MIs[0] round
     /* 2105909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105912 */     // MIs[0] policy
     /* 2105912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105922 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2105925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105948 */     // GIR_Coverage, 16788,
     /* 2105948 */     GIR_EraseRootFromParent_Done,
     /* 2105949 */   // Label 27910: @2105949
     /* 2105949 */   GIM_Try, /*On fail goto*//*Label 27911*/ GIMT_Encode4(2106040), // Rule ID 16789 //
     /* 2105954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2105957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2105962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2105965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2105968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2105971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106000 */     // MIs[0] round
     /* 2106000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106003 */     // MIs[0] policy
     /* 2106003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106013 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2106016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106039 */     // GIR_Coverage, 16789,
     /* 2106039 */     GIR_EraseRootFromParent_Done,
     /* 2106040 */   // Label 27911: @2106040
     /* 2106040 */   GIM_Try, /*On fail goto*//*Label 27912*/ GIMT_Encode4(2106131), // Rule ID 16792 //
     /* 2106045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2106048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2106056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2106059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106091 */     // MIs[0] round
     /* 2106091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106094 */     // MIs[0] policy
     /* 2106094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106104 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2106107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106130 */     // GIR_Coverage, 16792,
     /* 2106130 */     GIR_EraseRootFromParent_Done,
     /* 2106131 */   // Label 27912: @2106131
     /* 2106131 */   GIM_Try, /*On fail goto*//*Label 27913*/ GIMT_Encode4(2106222), // Rule ID 16793 //
     /* 2106136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2106139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2106147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2106150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106182 */     // MIs[0] round
     /* 2106182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106185 */     // MIs[0] policy
     /* 2106185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106195 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2106198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106221 */     // GIR_Coverage, 16793,
     /* 2106221 */     GIR_EraseRootFromParent_Done,
     /* 2106222 */   // Label 27913: @2106222
     /* 2106222 */   GIM_Try, /*On fail goto*//*Label 27914*/ GIMT_Encode4(2106313), // Rule ID 16796 //
     /* 2106227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2106230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2106238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2106241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2106244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2106250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106273 */     // MIs[0] round
     /* 2106273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106276 */     // MIs[0] policy
     /* 2106276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106286 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2106289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106312 */     // GIR_Coverage, 16796,
     /* 2106312 */     GIR_EraseRootFromParent_Done,
     /* 2106313 */   // Label 27914: @2106313
     /* 2106313 */   GIM_Try, /*On fail goto*//*Label 27915*/ GIMT_Encode4(2106404), // Rule ID 16797 //
     /* 2106318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2106321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2106329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2106332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2106335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2106341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106364 */     // MIs[0] round
     /* 2106364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106367 */     // MIs[0] policy
     /* 2106367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106377 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2106380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106403 */     // GIR_Coverage, 16797,
     /* 2106403 */     GIR_EraseRootFromParent_Done,
     /* 2106404 */   // Label 27915: @2106404
     /* 2106404 */   GIM_Try, /*On fail goto*//*Label 27916*/ GIMT_Encode4(2106495), // Rule ID 16800 //
     /* 2106409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2106412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2106420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2106423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2106426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106455 */     // MIs[0] round
     /* 2106455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106458 */     // MIs[0] policy
     /* 2106458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106468 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2106471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106494 */     // GIR_Coverage, 16800,
     /* 2106494 */     GIR_EraseRootFromParent_Done,
     /* 2106495 */   // Label 27916: @2106495
     /* 2106495 */   GIM_Try, /*On fail goto*//*Label 27917*/ GIMT_Encode4(2106586), // Rule ID 16801 //
     /* 2106500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2106503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2106511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2106514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2106517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106546 */     // MIs[0] round
     /* 2106546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106549 */     // MIs[0] policy
     /* 2106549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106559 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2106562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106585 */     // GIR_Coverage, 16801,
     /* 2106585 */     GIR_EraseRootFromParent_Done,
     /* 2106586 */   // Label 27917: @2106586
     /* 2106586 */   GIM_Try, /*On fail goto*//*Label 27918*/ GIMT_Encode4(2106677), // Rule ID 16804 //
     /* 2106591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2106594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2106608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106637 */     // MIs[0] round
     /* 2106637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106640 */     // MIs[0] policy
     /* 2106640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106650 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2106653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106676 */     // GIR_Coverage, 16804,
     /* 2106676 */     GIR_EraseRootFromParent_Done,
     /* 2106677 */   // Label 27918: @2106677
     /* 2106677 */   GIM_Try, /*On fail goto*//*Label 27919*/ GIMT_Encode4(2106768), // Rule ID 16805 //
     /* 2106682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2106685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2106699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106728 */     // MIs[0] round
     /* 2106728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106731 */     // MIs[0] policy
     /* 2106731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106741 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2106744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106767 */     // GIR_Coverage, 16805,
     /* 2106767 */     GIR_EraseRootFromParent_Done,
     /* 2106768 */   // Label 27919: @2106768
     /* 2106768 */   GIM_Try, /*On fail goto*//*Label 27920*/ GIMT_Encode4(2106859), // Rule ID 16808 //
     /* 2106773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2106776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2106790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106819 */     // MIs[0] round
     /* 2106819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106822 */     // MIs[0] policy
     /* 2106822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106832 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2106835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106858 */     // GIR_Coverage, 16808,
     /* 2106858 */     GIR_EraseRootFromParent_Done,
     /* 2106859 */   // Label 27920: @2106859
     /* 2106859 */   GIM_Try, /*On fail goto*//*Label 27921*/ GIMT_Encode4(2106950), // Rule ID 16809 //
     /* 2106864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2106867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2106881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106910 */     // MIs[0] round
     /* 2106910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106913 */     // MIs[0] policy
     /* 2106913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106923 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2106926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106949 */     // GIR_Coverage, 16809,
     /* 2106949 */     GIR_EraseRootFromParent_Done,
     /* 2106950 */   // Label 27921: @2106950
     /* 2106950 */   GIM_Try, /*On fail goto*//*Label 27922*/ GIMT_Encode4(2107041), // Rule ID 16812 //
     /* 2106955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2106958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2106966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2106969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2106972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2106975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2106997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107001 */     // MIs[0] round
     /* 2107001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107004 */     // MIs[0] policy
     /* 2107004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107014 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2107017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107040 */     // GIR_Coverage, 16812,
     /* 2107040 */     GIR_EraseRootFromParent_Done,
     /* 2107041 */   // Label 27922: @2107041
     /* 2107041 */   GIM_Try, /*On fail goto*//*Label 27923*/ GIMT_Encode4(2107132), // Rule ID 16813 //
     /* 2107046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2107049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2107057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2107060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2107063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2107066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2107088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107092 */     // MIs[0] round
     /* 2107092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107095 */     // MIs[0] policy
     /* 2107095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107105 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2107108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107131 */     // GIR_Coverage, 16813,
     /* 2107131 */     GIR_EraseRootFromParent_Done,
     /* 2107132 */   // Label 27923: @2107132
     /* 2107132 */   GIM_Try, /*On fail goto*//*Label 27924*/ GIMT_Encode4(2107223), // Rule ID 16816 //
     /* 2107137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2107140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2107148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2107151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2107154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2107157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2107179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107183 */     // MIs[0] round
     /* 2107183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107186 */     // MIs[0] policy
     /* 2107186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107196 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2107199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107222 */     // GIR_Coverage, 16816,
     /* 2107222 */     GIR_EraseRootFromParent_Done,
     /* 2107223 */   // Label 27924: @2107223
     /* 2107223 */   GIM_Try, /*On fail goto*//*Label 27925*/ GIMT_Encode4(2107314), // Rule ID 16817 //
     /* 2107228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2107231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2107239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2107242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2107245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2107248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2107270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107274 */     // MIs[0] round
     /* 2107274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107277 */     // MIs[0] policy
     /* 2107277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107287 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2107290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107313 */     // GIR_Coverage, 16817,
     /* 2107313 */     GIR_EraseRootFromParent_Done,
     /* 2107314 */   // Label 27925: @2107314
     /* 2107314 */   GIM_Try, /*On fail goto*//*Label 27926*/ GIMT_Encode4(2107405), // Rule ID 16820 //
     /* 2107319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2107322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2107336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2107339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2107361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107365 */     // MIs[0] round
     /* 2107365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107368 */     // MIs[0] policy
     /* 2107368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107378 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2107381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107404 */     // GIR_Coverage, 16820,
     /* 2107404 */     GIR_EraseRootFromParent_Done,
     /* 2107405 */   // Label 27926: @2107405
     /* 2107405 */   GIM_Try, /*On fail goto*//*Label 27927*/ GIMT_Encode4(2107496), // Rule ID 16821 //
     /* 2107410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2107413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2107427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2107430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2107452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107456 */     // MIs[0] round
     /* 2107456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107459 */     // MIs[0] policy
     /* 2107459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107469 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2107472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107495 */     // GIR_Coverage, 16821,
     /* 2107495 */     GIR_EraseRootFromParent_Done,
     /* 2107496 */   // Label 27927: @2107496
     /* 2107496 */   GIM_Try, /*On fail goto*//*Label 27928*/ GIMT_Encode4(2107587), // Rule ID 16824 //
     /* 2107501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2107504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2107512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2107515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2107521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107547 */     // MIs[0] round
     /* 2107547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107550 */     // MIs[0] policy
     /* 2107550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107560 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2107563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107586 */     // GIR_Coverage, 16824,
     /* 2107586 */     GIR_EraseRootFromParent_Done,
     /* 2107587 */   // Label 27928: @2107587
     /* 2107587 */   GIM_Try, /*On fail goto*//*Label 27929*/ GIMT_Encode4(2107678), // Rule ID 16825 //
     /* 2107592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2107595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2107603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2107606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2107612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107638 */     // MIs[0] round
     /* 2107638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107641 */     // MIs[0] policy
     /* 2107641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107651 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2107654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107677 */     // GIR_Coverage, 16825,
     /* 2107677 */     GIR_EraseRootFromParent_Done,
     /* 2107678 */   // Label 27929: @2107678
     /* 2107678 */   GIM_Try, /*On fail goto*//*Label 27930*/ GIMT_Encode4(2107769), // Rule ID 16828 //
     /* 2107683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2107686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2107694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2107697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2107700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2107703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107729 */     // MIs[0] round
     /* 2107729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107732 */     // MIs[0] policy
     /* 2107732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107742 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2107745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107768 */     // GIR_Coverage, 16828,
     /* 2107768 */     GIR_EraseRootFromParent_Done,
     /* 2107769 */   // Label 27930: @2107769
     /* 2107769 */   GIM_Try, /*On fail goto*//*Label 27931*/ GIMT_Encode4(2107860), // Rule ID 16829 //
     /* 2107774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2107777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2107785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2107788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2107791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2107794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107820 */     // MIs[0] round
     /* 2107820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107823 */     // MIs[0] policy
     /* 2107823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107833 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2107836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107859 */     // GIR_Coverage, 16829,
     /* 2107859 */     GIR_EraseRootFromParent_Done,
     /* 2107860 */   // Label 27931: @2107860
     /* 2107860 */   GIM_Try, /*On fail goto*//*Label 27932*/ GIMT_Encode4(2107951), // Rule ID 16832 //
     /* 2107865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2107868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2107882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2107885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107911 */     // MIs[0] round
     /* 2107911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107914 */     // MIs[0] policy
     /* 2107914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107924 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2107927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107950 */     // GIR_Coverage, 16832,
     /* 2107950 */     GIR_EraseRootFromParent_Done,
     /* 2107951 */   // Label 27932: @2107951
     /* 2107951 */   GIM_Try, /*On fail goto*//*Label 27933*/ GIMT_Encode4(2108042), // Rule ID 16833 //
     /* 2107956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2107959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2107964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2107973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2107976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108002 */     // MIs[0] round
     /* 2108002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108005 */     // MIs[0] policy
     /* 2108005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108015 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2108018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108041 */     // GIR_Coverage, 16833,
     /* 2108041 */     GIR_EraseRootFromParent_Done,
     /* 2108042 */   // Label 27933: @2108042
     /* 2108042 */   GIM_Try, /*On fail goto*//*Label 27934*/ GIMT_Encode4(2108133), // Rule ID 16836 //
     /* 2108047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2108050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2108055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2108058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2108061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2108064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2108067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108093 */     // MIs[0] round
     /* 2108093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108096 */     // MIs[0] policy
     /* 2108096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108106 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2108109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108132 */     // GIR_Coverage, 16836,
     /* 2108132 */     GIR_EraseRootFromParent_Done,
     /* 2108133 */   // Label 27934: @2108133
     /* 2108133 */   GIM_Try, /*On fail goto*//*Label 27935*/ GIMT_Encode4(2108224), // Rule ID 16837 //
     /* 2108138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2108141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2108146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2108149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2108152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2108155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2108158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108184 */     // MIs[0] round
     /* 2108184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108187 */     // MIs[0] policy
     /* 2108187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108197 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2108200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108223 */     // GIR_Coverage, 16837,
     /* 2108223 */     GIR_EraseRootFromParent_Done,
     /* 2108224 */   // Label 27935: @2108224
     /* 2108224 */   GIM_Try, /*On fail goto*//*Label 27936*/ GIMT_Encode4(2108315), // Rule ID 16840 //
     /* 2108229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2108232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2108237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2108240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2108243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2108249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108275 */     // MIs[0] round
     /* 2108275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108278 */     // MIs[0] policy
     /* 2108278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108288 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2108291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108314 */     // GIR_Coverage, 16840,
     /* 2108314 */     GIR_EraseRootFromParent_Done,
     /* 2108315 */   // Label 27936: @2108315
     /* 2108315 */   GIM_Try, /*On fail goto*//*Label 27937*/ GIMT_Encode4(2108406), // Rule ID 16841 //
     /* 2108320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2108323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2108328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2108331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2108334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2108340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108366 */     // MIs[0] round
     /* 2108366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108369 */     // MIs[0] policy
     /* 2108369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108379 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2108382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108405 */     // GIR_Coverage, 16841,
     /* 2108405 */     GIR_EraseRootFromParent_Done,
     /* 2108406 */   // Label 27937: @2108406
     /* 2108406 */   GIM_Try, /*On fail goto*//*Label 27938*/ GIMT_Encode4(2108497), // Rule ID 16844 //
     /* 2108411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2108414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2108419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2108428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2108431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108457 */     // MIs[0] round
     /* 2108457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108460 */     // MIs[0] policy
     /* 2108460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108470 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2108473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108496 */     // GIR_Coverage, 16844,
     /* 2108496 */     GIR_EraseRootFromParent_Done,
     /* 2108497 */   // Label 27938: @2108497
     /* 2108497 */   GIM_Try, /*On fail goto*//*Label 27939*/ GIMT_Encode4(2108588), // Rule ID 16845 //
     /* 2108502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2108505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2108510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2108519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2108522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108548 */     // MIs[0] round
     /* 2108548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108551 */     // MIs[0] policy
     /* 2108551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108561 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2108564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108587 */     // GIR_Coverage, 16845,
     /* 2108587 */     GIR_EraseRootFromParent_Done,
     /* 2108588 */   // Label 27939: @2108588
     /* 2108588 */   GIM_Try, /*On fail goto*//*Label 27940*/ GIMT_Encode4(2108679), // Rule ID 16848 //
     /* 2108593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2108596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2108601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2108604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2108607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2108610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2108613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108639 */     // MIs[0] round
     /* 2108639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108642 */     // MIs[0] policy
     /* 2108642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108652 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2108655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108678 */     // GIR_Coverage, 16848,
     /* 2108678 */     GIR_EraseRootFromParent_Done,
     /* 2108679 */   // Label 27940: @2108679
     /* 2108679 */   GIM_Try, /*On fail goto*//*Label 27941*/ GIMT_Encode4(2108770), // Rule ID 16849 //
     /* 2108684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2108687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2108692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2108695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2108698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2108701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2108704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108730 */     // MIs[0] round
     /* 2108730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108733 */     // MIs[0] policy
     /* 2108733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108743 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2108746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108769 */     // GIR_Coverage, 16849,
     /* 2108769 */     GIR_EraseRootFromParent_Done,
     /* 2108770 */   // Label 27941: @2108770
     /* 2108770 */   GIM_Try, /*On fail goto*//*Label 27942*/ GIMT_Encode4(2108861), // Rule ID 16852 //
     /* 2108775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2108778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2108783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2108786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2108789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2108792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2108795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2108798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108821 */     // MIs[0] round
     /* 2108821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108824 */     // MIs[0] policy
     /* 2108824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108834 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2108837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108860 */     // GIR_Coverage, 16852,
     /* 2108860 */     GIR_EraseRootFromParent_Done,
     /* 2108861 */   // Label 27942: @2108861
     /* 2108861 */   GIM_Try, /*On fail goto*//*Label 27943*/ GIMT_Encode4(2108952), // Rule ID 16853 //
     /* 2108866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2108869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2108874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2108877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2108880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2108883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2108886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2108889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108912 */     // MIs[0] round
     /* 2108912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108915 */     // MIs[0] policy
     /* 2108915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108925 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2108928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108951 */     // GIR_Coverage, 16853,
     /* 2108951 */     GIR_EraseRootFromParent_Done,
     /* 2108952 */   // Label 27943: @2108952
     /* 2108952 */   GIM_Try, /*On fail goto*//*Label 27944*/ GIMT_Encode4(2109043), // Rule ID 16856 //
     /* 2108957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2108960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2108965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2108968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2108971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2108974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2108977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2108980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109003 */     // MIs[0] round
     /* 2109003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109006 */     // MIs[0] policy
     /* 2109006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109016 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2109019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109042 */     // GIR_Coverage, 16856,
     /* 2109042 */     GIR_EraseRootFromParent_Done,
     /* 2109043 */   // Label 27944: @2109043
     /* 2109043 */   GIM_Try, /*On fail goto*//*Label 27945*/ GIMT_Encode4(2109134), // Rule ID 16857 //
     /* 2109048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2109051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2109056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2109059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2109062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2109065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2109068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2109071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109094 */     // MIs[0] round
     /* 2109094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109097 */     // MIs[0] policy
     /* 2109097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109107 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2109110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109133 */     // GIR_Coverage, 16857,
     /* 2109133 */     GIR_EraseRootFromParent_Done,
     /* 2109134 */   // Label 27945: @2109134
     /* 2109134 */   GIM_Try, /*On fail goto*//*Label 27946*/ GIMT_Encode4(2109225), // Rule ID 16860 //
     /* 2109139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2109142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2109147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2109156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2109159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109185 */     // MIs[0] round
     /* 2109185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109188 */     // MIs[0] policy
     /* 2109188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109198 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2109201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109224 */     // GIR_Coverage, 16860,
     /* 2109224 */     GIR_EraseRootFromParent_Done,
     /* 2109225 */   // Label 27946: @2109225
     /* 2109225 */   GIM_Try, /*On fail goto*//*Label 27947*/ GIMT_Encode4(2109316), // Rule ID 16861 //
     /* 2109230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2109233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2109238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2109247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2109250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109276 */     // MIs[0] round
     /* 2109276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109279 */     // MIs[0] policy
     /* 2109279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109289 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2109292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109315 */     // GIR_Coverage, 16861,
     /* 2109315 */     GIR_EraseRootFromParent_Done,
     /* 2109316 */   // Label 27947: @2109316
     /* 2109316 */   GIM_Try, /*On fail goto*//*Label 27948*/ GIMT_Encode4(2109407), // Rule ID 16864 //
     /* 2109321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2109324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2109329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2109341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109367 */     // MIs[0] round
     /* 2109367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109370 */     // MIs[0] policy
     /* 2109370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109380 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2109383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109406 */     // GIR_Coverage, 16864,
     /* 2109406 */     GIR_EraseRootFromParent_Done,
     /* 2109407 */   // Label 27948: @2109407
     /* 2109407 */   GIM_Try, /*On fail goto*//*Label 27949*/ GIMT_Encode4(2109498), // Rule ID 16865 //
     /* 2109412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2109415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2109420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2109432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109458 */     // MIs[0] round
     /* 2109458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109461 */     // MIs[0] policy
     /* 2109461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109471 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2109474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109497 */     // GIR_Coverage, 16865,
     /* 2109497 */     GIR_EraseRootFromParent_Done,
     /* 2109498 */   // Label 27949: @2109498
     /* 2109498 */   GIM_Try, /*On fail goto*//*Label 27950*/ GIMT_Encode4(2109589), // Rule ID 16868 //
     /* 2109503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2109506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2109511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2109520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2109523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109549 */     // MIs[0] round
     /* 2109549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109552 */     // MIs[0] policy
     /* 2109552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109562 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2109565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109588 */     // GIR_Coverage, 16868,
     /* 2109588 */     GIR_EraseRootFromParent_Done,
     /* 2109589 */   // Label 27950: @2109589
     /* 2109589 */   GIM_Try, /*On fail goto*//*Label 27951*/ GIMT_Encode4(2109680), // Rule ID 16869 //
     /* 2109594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2109597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2109602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2109611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2109614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109640 */     // MIs[0] round
     /* 2109640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109643 */     // MIs[0] policy
     /* 2109643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109653 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2109656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109679 */     // GIR_Coverage, 16869,
     /* 2109679 */     GIR_EraseRootFromParent_Done,
     /* 2109680 */   // Label 27951: @2109680
     /* 2109680 */   GIM_Try, /*On fail goto*//*Label 27952*/ GIMT_Encode4(2109771), // Rule ID 16872 //
     /* 2109685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2109688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2109693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2109696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2109699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2109702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2109705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109731 */     // MIs[0] round
     /* 2109731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109734 */     // MIs[0] policy
     /* 2109734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109744 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2109747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2109767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109770 */     // GIR_Coverage, 16872,
     /* 2109770 */     GIR_EraseRootFromParent_Done,
     /* 2109771 */   // Label 27952: @2109771
     /* 2109771 */   GIM_Try, /*On fail goto*//*Label 27953*/ GIMT_Encode4(2109862), // Rule ID 16873 //
     /* 2109776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2109779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2109784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2109787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2109790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2109793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2109796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109822 */     // MIs[0] round
     /* 2109822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109825 */     // MIs[0] policy
     /* 2109825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109835 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2109838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2109858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109861 */     // GIR_Coverage, 16873,
     /* 2109861 */     GIR_EraseRootFromParent_Done,
     /* 2109862 */   // Label 27953: @2109862
     /* 2109862 */   GIM_Try, /*On fail goto*//*Label 27954*/ GIMT_Encode4(2109953), // Rule ID 16876 //
     /* 2109867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2109870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2109875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2109878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2109881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2109884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2109887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109913 */     // MIs[0] round
     /* 2109913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109916 */     // MIs[0] policy
     /* 2109916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109926 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2109929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2109949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109952 */     // GIR_Coverage, 16876,
     /* 2109952 */     GIR_EraseRootFromParent_Done,
     /* 2109953 */   // Label 27954: @2109953
     /* 2109953 */   GIM_Try, /*On fail goto*//*Label 27955*/ GIMT_Encode4(2110044), // Rule ID 16877 //
     /* 2109958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2109961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2109966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2109969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2109972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2109975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2109978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110004 */     // MIs[0] round
     /* 2110004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110007 */     // MIs[0] policy
     /* 2110007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110017 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2110020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110043 */     // GIR_Coverage, 16877,
     /* 2110043 */     GIR_EraseRootFromParent_Done,
     /* 2110044 */   // Label 27955: @2110044
     /* 2110044 */   GIM_Try, /*On fail goto*//*Label 27956*/ GIMT_Encode4(2110135), // Rule ID 16880 //
     /* 2110049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2110052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2110057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2110066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2110069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110095 */     // MIs[0] round
     /* 2110095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110098 */     // MIs[0] policy
     /* 2110098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110108 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2110111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110134 */     // GIR_Coverage, 16880,
     /* 2110134 */     GIR_EraseRootFromParent_Done,
     /* 2110135 */   // Label 27956: @2110135
     /* 2110135 */   GIM_Try, /*On fail goto*//*Label 27957*/ GIMT_Encode4(2110226), // Rule ID 16881 //
     /* 2110140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2110143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2110148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2110157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2110160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110186 */     // MIs[0] round
     /* 2110186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110189 */     // MIs[0] policy
     /* 2110189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110199 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2110202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110225 */     // GIR_Coverage, 16881,
     /* 2110225 */     GIR_EraseRootFromParent_Done,
     /* 2110226 */   // Label 27957: @2110226
     /* 2110226 */   GIM_Try, /*On fail goto*//*Label 27958*/ GIMT_Encode4(2110317), // Rule ID 16884 //
     /* 2110231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2110234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2110239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2110242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2110245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2110248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110277 */     // MIs[0] round
     /* 2110277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110280 */     // MIs[0] policy
     /* 2110280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110290 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2110293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110316 */     // GIR_Coverage, 16884,
     /* 2110316 */     GIR_EraseRootFromParent_Done,
     /* 2110317 */   // Label 27958: @2110317
     /* 2110317 */   GIM_Try, /*On fail goto*//*Label 27959*/ GIMT_Encode4(2110408), // Rule ID 16885 //
     /* 2110322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2110325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2110330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2110333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2110336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2110339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110368 */     // MIs[0] round
     /* 2110368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110371 */     // MIs[0] policy
     /* 2110371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110381 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2110384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110407 */     // GIR_Coverage, 16885,
     /* 2110407 */     GIR_EraseRootFromParent_Done,
     /* 2110408 */   // Label 27959: @2110408
     /* 2110408 */   GIM_Try, /*On fail goto*//*Label 27960*/ GIMT_Encode4(2110499), // Rule ID 16888 //
     /* 2110413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2110416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2110421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2110424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2110427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2110430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110459 */     // MIs[0] round
     /* 2110459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110462 */     // MIs[0] policy
     /* 2110462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110472 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2110475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110498 */     // GIR_Coverage, 16888,
     /* 2110498 */     GIR_EraseRootFromParent_Done,
     /* 2110499 */   // Label 27960: @2110499
     /* 2110499 */   GIM_Try, /*On fail goto*//*Label 27961*/ GIMT_Encode4(2110590), // Rule ID 16889 //
     /* 2110504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2110507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2110512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2110515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2110518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2110521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110550 */     // MIs[0] round
     /* 2110550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110553 */     // MIs[0] policy
     /* 2110553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110563 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2110566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110589 */     // GIR_Coverage, 16889,
     /* 2110589 */     GIR_EraseRootFromParent_Done,
     /* 2110590 */   // Label 27961: @2110590
     /* 2110590 */   GIM_Try, /*On fail goto*//*Label 27962*/ GIMT_Encode4(2110681), // Rule ID 16892 //
     /* 2110595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2110598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2110603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2110606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2110609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2110612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110641 */     // MIs[0] round
     /* 2110641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110644 */     // MIs[0] policy
     /* 2110644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110654 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2110657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110680 */     // GIR_Coverage, 16892,
     /* 2110680 */     GIR_EraseRootFromParent_Done,
     /* 2110681 */   // Label 27962: @2110681
     /* 2110681 */   GIM_Try, /*On fail goto*//*Label 27963*/ GIMT_Encode4(2110772), // Rule ID 16893 //
     /* 2110686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2110689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2110694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2110697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2110700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2110703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110732 */     // MIs[0] round
     /* 2110732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110735 */     // MIs[0] policy
     /* 2110735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110745 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2110748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110771 */     // GIR_Coverage, 16893,
     /* 2110771 */     GIR_EraseRootFromParent_Done,
     /* 2110772 */   // Label 27963: @2110772
     /* 2110772 */   GIM_Try, /*On fail goto*//*Label 27964*/ GIMT_Encode4(2110863), // Rule ID 16896 //
     /* 2110777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2110780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2110785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2110788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2110791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2110794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110823 */     // MIs[0] round
     /* 2110823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110826 */     // MIs[0] policy
     /* 2110826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110836 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2110839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110862 */     // GIR_Coverage, 16896,
     /* 2110862 */     GIR_EraseRootFromParent_Done,
     /* 2110863 */   // Label 27964: @2110863
     /* 2110863 */   GIM_Try, /*On fail goto*//*Label 27965*/ GIMT_Encode4(2110954), // Rule ID 16897 //
     /* 2110868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2110871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2110876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2110879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2110882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2110885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110914 */     // MIs[0] round
     /* 2110914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110917 */     // MIs[0] policy
     /* 2110917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110927 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2110930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110953 */     // GIR_Coverage, 16897,
     /* 2110953 */     GIR_EraseRootFromParent_Done,
     /* 2110954 */   // Label 27965: @2110954
     /* 2110954 */   GIM_Try, /*On fail goto*//*Label 27966*/ GIMT_Encode4(2111045), // Rule ID 16900 //
     /* 2110959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2110962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2110967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111005 */     // MIs[0] round
     /* 2111005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111008 */     // MIs[0] policy
     /* 2111008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111018 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2111021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111044 */     // GIR_Coverage, 16900,
     /* 2111044 */     GIR_EraseRootFromParent_Done,
     /* 2111045 */   // Label 27966: @2111045
     /* 2111045 */   GIM_Try, /*On fail goto*//*Label 27967*/ GIMT_Encode4(2111136), // Rule ID 16901 //
     /* 2111050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2111053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2111061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2111064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2111067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111096 */     // MIs[0] round
     /* 2111096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111099 */     // MIs[0] policy
     /* 2111099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111109 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2111112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111135 */     // GIR_Coverage, 16901,
     /* 2111135 */     GIR_EraseRootFromParent_Done,
     /* 2111136 */   // Label 27967: @2111136
     /* 2111136 */   GIM_Try, /*On fail goto*//*Label 27968*/ GIMT_Encode4(2111227), // Rule ID 16904 //
     /* 2111141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2111144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2111161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2111183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111187 */     // MIs[0] round
     /* 2111187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111190 */     // MIs[0] policy
     /* 2111190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111200 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2111203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111226 */     // GIR_Coverage, 16904,
     /* 2111226 */     GIR_EraseRootFromParent_Done,
     /* 2111227 */   // Label 27968: @2111227
     /* 2111227 */   GIM_Try, /*On fail goto*//*Label 27969*/ GIMT_Encode4(2111318), // Rule ID 16905 //
     /* 2111232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2111235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2111252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2111274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111278 */     // MIs[0] round
     /* 2111278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111281 */     // MIs[0] policy
     /* 2111281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111291 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2111294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111317 */     // GIR_Coverage, 16905,
     /* 2111317 */     GIR_EraseRootFromParent_Done,
     /* 2111318 */   // Label 27969: @2111318
     /* 2111318 */   GIM_Try, /*On fail goto*//*Label 27970*/ GIMT_Encode4(2111409), // Rule ID 16908 //
     /* 2111323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2111326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2111334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2111337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2111340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111369 */     // MIs[0] round
     /* 2111369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111372 */     // MIs[0] policy
     /* 2111372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111382 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2111385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111408 */     // GIR_Coverage, 16908,
     /* 2111408 */     GIR_EraseRootFromParent_Done,
     /* 2111409 */   // Label 27970: @2111409
     /* 2111409 */   GIM_Try, /*On fail goto*//*Label 27971*/ GIMT_Encode4(2111500), // Rule ID 16909 //
     /* 2111414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2111417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2111425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2111428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2111431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111460 */     // MIs[0] round
     /* 2111460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111463 */     // MIs[0] policy
     /* 2111463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111473 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2111476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111499 */     // GIR_Coverage, 16909,
     /* 2111499 */     GIR_EraseRootFromParent_Done,
     /* 2111500 */   // Label 27971: @2111500
     /* 2111500 */   GIM_Try, /*On fail goto*//*Label 27972*/ GIMT_Encode4(2111591), // Rule ID 16912 //
     /* 2111505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2111508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2111516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2111519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2111522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111551 */     // MIs[0] round
     /* 2111551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111554 */     // MIs[0] policy
     /* 2111554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111564 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2111567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111590 */     // GIR_Coverage, 16912,
     /* 2111590 */     GIR_EraseRootFromParent_Done,
     /* 2111591 */   // Label 27972: @2111591
     /* 2111591 */   GIM_Try, /*On fail goto*//*Label 27973*/ GIMT_Encode4(2111682), // Rule ID 16913 //
     /* 2111596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2111599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2111607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2111610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2111613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111642 */     // MIs[0] round
     /* 2111642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111645 */     // MIs[0] policy
     /* 2111645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111655 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2111658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111681 */     // GIR_Coverage, 16913,
     /* 2111681 */     GIR_EraseRootFromParent_Done,
     /* 2111682 */   // Label 27973: @2111682
     /* 2111682 */   GIM_Try, /*On fail goto*//*Label 27974*/ GIMT_Encode4(2111773), // Rule ID 16916 //
     /* 2111687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2111690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2111698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2111701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2111704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2111710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111733 */     // MIs[0] round
     /* 2111733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111736 */     // MIs[0] policy
     /* 2111736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111746 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2111749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111772 */     // GIR_Coverage, 16916,
     /* 2111772 */     GIR_EraseRootFromParent_Done,
     /* 2111773 */   // Label 27974: @2111773
     /* 2111773 */   GIM_Try, /*On fail goto*//*Label 27975*/ GIMT_Encode4(2111864), // Rule ID 16917 //
     /* 2111778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2111781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2111789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2111792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2111795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2111801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111824 */     // MIs[0] round
     /* 2111824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111827 */     // MIs[0] policy
     /* 2111827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111837 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2111840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111863 */     // GIR_Coverage, 16917,
     /* 2111863 */     GIR_EraseRootFromParent_Done,
     /* 2111864 */   // Label 27975: @2111864
     /* 2111864 */   GIM_Try, /*On fail goto*//*Label 27976*/ GIMT_Encode4(2111955), // Rule ID 16920 //
     /* 2111869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2111872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2111880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2111883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2111886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111915 */     // MIs[0] round
     /* 2111915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111918 */     // MIs[0] policy
     /* 2111918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111928 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2111931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111954 */     // GIR_Coverage, 16920,
     /* 2111954 */     GIR_EraseRootFromParent_Done,
     /* 2111955 */   // Label 27976: @2111955
     /* 2111955 */   GIM_Try, /*On fail goto*//*Label 27977*/ GIMT_Encode4(2112046), // Rule ID 16921 //
     /* 2111960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2111963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2111971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2111974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2111977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2112002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112006 */     // MIs[0] round
     /* 2112006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112009 */     // MIs[0] policy
     /* 2112009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112019 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2112022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112045 */     // GIR_Coverage, 16921,
     /* 2112045 */     GIR_EraseRootFromParent_Done,
     /* 2112046 */   // Label 27977: @2112046
     /* 2112046 */   GIM_Try, /*On fail goto*//*Label 27978*/ GIMT_Encode4(2112137), // Rule ID 16924 //
     /* 2112051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2112054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2112093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112097 */     // MIs[0] round
     /* 2112097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112100 */     // MIs[0] policy
     /* 2112100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112110 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2112113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112136 */     // GIR_Coverage, 16924,
     /* 2112136 */     GIR_EraseRootFromParent_Done,
     /* 2112137 */   // Label 27978: @2112137
     /* 2112137 */   GIM_Try, /*On fail goto*//*Label 27979*/ GIMT_Encode4(2112228), // Rule ID 16925 //
     /* 2112142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2112145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2112184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112188 */     // MIs[0] round
     /* 2112188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112191 */     // MIs[0] policy
     /* 2112191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112201 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2112204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112227 */     // GIR_Coverage, 16925,
     /* 2112227 */     GIR_EraseRootFromParent_Done,
     /* 2112228 */   // Label 27979: @2112228
     /* 2112228 */   GIM_Try, /*On fail goto*//*Label 27980*/ GIMT_Encode4(2112319), // Rule ID 16928 //
     /* 2112233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2112236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2112244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2112250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2112275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112279 */     // MIs[0] round
     /* 2112279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112282 */     // MIs[0] policy
     /* 2112282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112292 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2112295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112318 */     // GIR_Coverage, 16928,
     /* 2112318 */     GIR_EraseRootFromParent_Done,
     /* 2112319 */   // Label 27980: @2112319
     /* 2112319 */   GIM_Try, /*On fail goto*//*Label 27981*/ GIMT_Encode4(2112410), // Rule ID 16929 //
     /* 2112324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2112327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2112335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2112341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2112366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112370 */     // MIs[0] round
     /* 2112370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112373 */     // MIs[0] policy
     /* 2112373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112383 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2112386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112409 */     // GIR_Coverage, 16929,
     /* 2112409 */     GIR_EraseRootFromParent_Done,
     /* 2112410 */   // Label 27981: @2112410
     /* 2112410 */   GIM_Try, /*On fail goto*//*Label 27982*/ GIMT_Encode4(2112501), // Rule ID 16932 //
     /* 2112415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2112418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2112426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2112429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2112432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2112435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2112457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112461 */     // MIs[0] round
     /* 2112461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112464 */     // MIs[0] policy
     /* 2112464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112474 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2112477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2112497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112500 */     // GIR_Coverage, 16932,
     /* 2112500 */     GIR_EraseRootFromParent_Done,
     /* 2112501 */   // Label 27982: @2112501
     /* 2112501 */   GIM_Try, /*On fail goto*//*Label 27983*/ GIMT_Encode4(2112592), // Rule ID 16933 //
     /* 2112506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2112509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2112517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2112520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2112523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2112526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2112548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112552 */     // MIs[0] round
     /* 2112552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112555 */     // MIs[0] policy
     /* 2112555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112565 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2112568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2112588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112591 */     // GIR_Coverage, 16933,
     /* 2112591 */     GIR_EraseRootFromParent_Done,
     /* 2112592 */   // Label 27983: @2112592
     /* 2112592 */   GIM_Try, /*On fail goto*//*Label 27984*/ GIMT_Encode4(2112683), // Rule ID 16936 //
     /* 2112597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2112600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2112608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2112611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2112614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2112617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2112639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112643 */     // MIs[0] round
     /* 2112643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112646 */     // MIs[0] policy
     /* 2112646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112656 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2112659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2112679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112682 */     // GIR_Coverage, 16936,
     /* 2112682 */     GIR_EraseRootFromParent_Done,
     /* 2112683 */   // Label 27984: @2112683
     /* 2112683 */   GIM_Try, /*On fail goto*//*Label 27985*/ GIMT_Encode4(2112774), // Rule ID 16937 //
     /* 2112688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2112691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2112699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2112702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2112705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2112708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2112730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112734 */     // MIs[0] round
     /* 2112734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112737 */     // MIs[0] policy
     /* 2112737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112747 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2112750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2112770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112773 */     // GIR_Coverage, 16937,
     /* 2112773 */     GIR_EraseRootFromParent_Done,
     /* 2112774 */   // Label 27985: @2112774
     /* 2112774 */   GIM_Try, /*On fail goto*//*Label 27986*/ GIMT_Encode4(2112865), // Rule ID 16940 //
     /* 2112779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2112782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2112790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2112793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2112796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2112799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2112821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112825 */     // MIs[0] round
     /* 2112825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112828 */     // MIs[0] policy
     /* 2112828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112838 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2112841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2112861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112864 */     // GIR_Coverage, 16940,
     /* 2112864 */     GIR_EraseRootFromParent_Done,
     /* 2112865 */   // Label 27986: @2112865
     /* 2112865 */   GIM_Try, /*On fail goto*//*Label 27987*/ GIMT_Encode4(2112956), // Rule ID 16941 //
     /* 2112870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2112873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2112881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2112884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2112887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2112890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2112912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112916 */     // MIs[0] round
     /* 2112916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112919 */     // MIs[0] policy
     /* 2112919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112929 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2112932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2112952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112955 */     // GIR_Coverage, 16941,
     /* 2112955 */     GIR_EraseRootFromParent_Done,
     /* 2112956 */   // Label 27987: @2112956
     /* 2112956 */   GIM_Try, /*On fail goto*//*Label 27988*/ GIMT_Encode4(2113047), // Rule ID 16944 //
     /* 2112961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2112964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2112969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2112972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2112975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2112978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113007 */     // MIs[0] round
     /* 2113007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113010 */     // MIs[0] policy
     /* 2113010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113020 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2113023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113046 */     // GIR_Coverage, 16944,
     /* 2113046 */     GIR_EraseRootFromParent_Done,
     /* 2113047 */   // Label 27988: @2113047
     /* 2113047 */   GIM_Try, /*On fail goto*//*Label 27989*/ GIMT_Encode4(2113138), // Rule ID 16945 //
     /* 2113052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2113055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2113060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2113063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2113066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2113069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113098 */     // MIs[0] round
     /* 2113098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113101 */     // MIs[0] policy
     /* 2113101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113111 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2113114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113137 */     // GIR_Coverage, 16945,
     /* 2113137 */     GIR_EraseRootFromParent_Done,
     /* 2113138 */   // Label 27989: @2113138
     /* 2113138 */   GIM_Try, /*On fail goto*//*Label 27990*/ GIMT_Encode4(2113229), // Rule ID 16948 //
     /* 2113143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2113146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2113151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2113154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2113157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2113160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113189 */     // MIs[0] round
     /* 2113189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113192 */     // MIs[0] policy
     /* 2113192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113202 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2113205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113228 */     // GIR_Coverage, 16948,
     /* 2113228 */     GIR_EraseRootFromParent_Done,
     /* 2113229 */   // Label 27990: @2113229
     /* 2113229 */   GIM_Try, /*On fail goto*//*Label 27991*/ GIMT_Encode4(2113320), // Rule ID 16949 //
     /* 2113234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2113237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2113242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2113245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2113248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2113251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113280 */     // MIs[0] round
     /* 2113280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113283 */     // MIs[0] policy
     /* 2113283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113293 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2113296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113319 */     // GIR_Coverage, 16949,
     /* 2113319 */     GIR_EraseRootFromParent_Done,
     /* 2113320 */   // Label 27991: @2113320
     /* 2113320 */   GIM_Try, /*On fail goto*//*Label 27992*/ GIMT_Encode4(2113411), // Rule ID 16952 //
     /* 2113325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2113328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2113333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2113342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113371 */     // MIs[0] round
     /* 2113371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113374 */     // MIs[0] policy
     /* 2113374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113384 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2113387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113410 */     // GIR_Coverage, 16952,
     /* 2113410 */     GIR_EraseRootFromParent_Done,
     /* 2113411 */   // Label 27992: @2113411
     /* 2113411 */   GIM_Try, /*On fail goto*//*Label 27993*/ GIMT_Encode4(2113502), // Rule ID 16953 //
     /* 2113416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2113419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2113424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2113433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113462 */     // MIs[0] round
     /* 2113462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113465 */     // MIs[0] policy
     /* 2113465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113475 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2113478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113501 */     // GIR_Coverage, 16953,
     /* 2113501 */     GIR_EraseRootFromParent_Done,
     /* 2113502 */   // Label 27993: @2113502
     /* 2113502 */   GIM_Try, /*On fail goto*//*Label 27994*/ GIMT_Encode4(2113593), // Rule ID 16956 //
     /* 2113507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2113510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2113515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2113518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2113521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2113524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113553 */     // MIs[0] round
     /* 2113553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113556 */     // MIs[0] policy
     /* 2113556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113566 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2113569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113592 */     // GIR_Coverage, 16956,
     /* 2113592 */     GIR_EraseRootFromParent_Done,
     /* 2113593 */   // Label 27994: @2113593
     /* 2113593 */   GIM_Try, /*On fail goto*//*Label 27995*/ GIMT_Encode4(2113684), // Rule ID 16957 //
     /* 2113598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2113601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2113606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2113609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2113612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2113615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113644 */     // MIs[0] round
     /* 2113644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113647 */     // MIs[0] policy
     /* 2113647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113657 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2113660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113683 */     // GIR_Coverage, 16957,
     /* 2113683 */     GIR_EraseRootFromParent_Done,
     /* 2113684 */   // Label 27995: @2113684
     /* 2113684 */   GIM_Try, /*On fail goto*//*Label 27996*/ GIMT_Encode4(2113775), // Rule ID 16960 //
     /* 2113689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2113692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2113697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2113700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2113703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2113706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113735 */     // MIs[0] round
     /* 2113735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113738 */     // MIs[0] policy
     /* 2113738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113748 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2113751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113774 */     // GIR_Coverage, 16960,
     /* 2113774 */     GIR_EraseRootFromParent_Done,
     /* 2113775 */   // Label 27996: @2113775
     /* 2113775 */   GIM_Try, /*On fail goto*//*Label 27997*/ GIMT_Encode4(2113866), // Rule ID 16961 //
     /* 2113780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2113783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2113788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2113791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2113794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2113797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113826 */     // MIs[0] round
     /* 2113826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113829 */     // MIs[0] policy
     /* 2113829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113839 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2113842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113865 */     // GIR_Coverage, 16961,
     /* 2113865 */     GIR_EraseRootFromParent_Done,
     /* 2113866 */   // Label 27997: @2113866
     /* 2113866 */   GIM_Try, /*On fail goto*//*Label 27998*/ GIMT_Encode4(2113957), // Rule ID 16964 //
     /* 2113871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2113874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2113879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2113882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2113885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2113888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2113891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2113913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113917 */     // MIs[0] round
     /* 2113917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113920 */     // MIs[0] policy
     /* 2113920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113930 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2113933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113956 */     // GIR_Coverage, 16964,
     /* 2113956 */     GIR_EraseRootFromParent_Done,
     /* 2113957 */   // Label 27998: @2113957
     /* 2113957 */   GIM_Try, /*On fail goto*//*Label 27999*/ GIMT_Encode4(2114048), // Rule ID 16965 //
     /* 2113962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2113965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2113970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2113973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2113976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2113979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2113982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2114004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114008 */     // MIs[0] round
     /* 2114008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114011 */     // MIs[0] policy
     /* 2114011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114021 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2114024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2114044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114047 */     // GIR_Coverage, 16965,
     /* 2114047 */     GIR_EraseRootFromParent_Done,
     /* 2114048 */   // Label 27999: @2114048
     /* 2114048 */   GIM_Try, /*On fail goto*//*Label 28000*/ GIMT_Encode4(2114139), // Rule ID 16968 //
     /* 2114053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2114056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2114061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2114064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2114067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2114070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114099 */     // MIs[0] round
     /* 2114099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114102 */     // MIs[0] policy
     /* 2114102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114112 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2114115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114138 */     // GIR_Coverage, 16968,
     /* 2114138 */     GIR_EraseRootFromParent_Done,
     /* 2114139 */   // Label 28000: @2114139
     /* 2114139 */   GIM_Try, /*On fail goto*//*Label 28001*/ GIMT_Encode4(2114230), // Rule ID 16969 //
     /* 2114144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2114147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2114152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2114155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2114158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2114161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114190 */     // MIs[0] round
     /* 2114190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114193 */     // MIs[0] policy
     /* 2114193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114203 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2114206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114229 */     // GIR_Coverage, 16969,
     /* 2114229 */     GIR_EraseRootFromParent_Done,
     /* 2114230 */   // Label 28001: @2114230
     /* 2114230 */   GIM_Try, /*On fail goto*//*Label 28002*/ GIMT_Encode4(2114321), // Rule ID 16972 //
     /* 2114235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2114238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2114243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2114246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2114249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2114252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114281 */     // MIs[0] round
     /* 2114281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114284 */     // MIs[0] policy
     /* 2114284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114294 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2114297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114320 */     // GIR_Coverage, 16972,
     /* 2114320 */     GIR_EraseRootFromParent_Done,
     /* 2114321 */   // Label 28002: @2114321
     /* 2114321 */   GIM_Try, /*On fail goto*//*Label 28003*/ GIMT_Encode4(2114412), // Rule ID 16973 //
     /* 2114326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2114329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2114334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2114337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2114340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2114343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114372 */     // MIs[0] round
     /* 2114372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114375 */     // MIs[0] policy
     /* 2114375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114385 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2114388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114411 */     // GIR_Coverage, 16973,
     /* 2114411 */     GIR_EraseRootFromParent_Done,
     /* 2114412 */   // Label 28003: @2114412
     /* 2114412 */   GIM_Try, /*On fail goto*//*Label 28004*/ GIMT_Encode4(2114503), // Rule ID 16976 //
     /* 2114417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2114420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2114425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2114428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2114431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2114434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2114440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114463 */     // MIs[0] round
     /* 2114463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114466 */     // MIs[0] policy
     /* 2114466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114476 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2114479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114502 */     // GIR_Coverage, 16976,
     /* 2114502 */     GIR_EraseRootFromParent_Done,
     /* 2114503 */   // Label 28004: @2114503
     /* 2114503 */   GIM_Try, /*On fail goto*//*Label 28005*/ GIMT_Encode4(2114594), // Rule ID 16977 //
     /* 2114508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2114511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2114516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2114519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2114522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2114525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2114531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114554 */     // MIs[0] round
     /* 2114554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114557 */     // MIs[0] policy
     /* 2114557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114567 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2114570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114593 */     // GIR_Coverage, 16977,
     /* 2114593 */     GIR_EraseRootFromParent_Done,
     /* 2114594 */   // Label 28005: @2114594
     /* 2114594 */   GIM_Try, /*On fail goto*//*Label 28006*/ GIMT_Encode4(2114685), // Rule ID 16980 //
     /* 2114599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2114602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2114607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2114610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2114613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2114616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114645 */     // MIs[0] round
     /* 2114645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114648 */     // MIs[0] policy
     /* 2114648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114658 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2114661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114684 */     // GIR_Coverage, 16980,
     /* 2114684 */     GIR_EraseRootFromParent_Done,
     /* 2114685 */   // Label 28006: @2114685
     /* 2114685 */   GIM_Try, /*On fail goto*//*Label 28007*/ GIMT_Encode4(2114776), // Rule ID 16981 //
     /* 2114690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2114693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2114698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2114701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2114704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2114707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114736 */     // MIs[0] round
     /* 2114736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114739 */     // MIs[0] policy
     /* 2114739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114749 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2114752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114775 */     // GIR_Coverage, 16981,
     /* 2114775 */     GIR_EraseRootFromParent_Done,
     /* 2114776 */   // Label 28007: @2114776
     /* 2114776 */   GIM_Try, /*On fail goto*//*Label 28008*/ GIMT_Encode4(2114867), // Rule ID 16984 //
     /* 2114781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2114784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2114789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114827 */     // MIs[0] round
     /* 2114827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114830 */     // MIs[0] policy
     /* 2114830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114840 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2114843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114866 */     // GIR_Coverage, 16984,
     /* 2114866 */     GIR_EraseRootFromParent_Done,
     /* 2114867 */   // Label 28008: @2114867
     /* 2114867 */   GIM_Try, /*On fail goto*//*Label 28009*/ GIMT_Encode4(2114958), // Rule ID 16985 //
     /* 2114872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2114875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2114880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114918 */     // MIs[0] round
     /* 2114918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114921 */     // MIs[0] policy
     /* 2114921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114931 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2114934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114957 */     // GIR_Coverage, 16985,
     /* 2114957 */     GIR_EraseRootFromParent_Done,
     /* 2114958 */   // Label 28009: @2114958
     /* 2114958 */   GIM_Try, /*On fail goto*//*Label 28010*/ GIMT_Encode4(2115049), // Rule ID 16988 //
     /* 2114963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2114966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2114971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2114980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115009 */     // MIs[0] round
     /* 2115009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115012 */     // MIs[0] policy
     /* 2115012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115022 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2115025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115048 */     // GIR_Coverage, 16988,
     /* 2115048 */     GIR_EraseRootFromParent_Done,
     /* 2115049 */   // Label 28010: @2115049
     /* 2115049 */   GIM_Try, /*On fail goto*//*Label 28011*/ GIMT_Encode4(2115140), // Rule ID 16989 //
     /* 2115054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2115057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2115062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2115065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2115068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2115071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2115077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115100 */     // MIs[0] round
     /* 2115100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115103 */     // MIs[0] policy
     /* 2115103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115113 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2115116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115139 */     // GIR_Coverage, 16989,
     /* 2115139 */     GIR_EraseRootFromParent_Done,
     /* 2115140 */   // Label 28011: @2115140
     /* 2115140 */   GIM_Try, /*On fail goto*//*Label 28012*/ GIMT_Encode4(2115231), // Rule ID 16992 //
     /* 2115145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2115148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2115153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2115156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2115159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2115162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2115165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2115187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115191 */     // MIs[0] round
     /* 2115191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115194 */     // MIs[0] policy
     /* 2115194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115204 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2115207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115230 */     // GIR_Coverage, 16992,
     /* 2115230 */     GIR_EraseRootFromParent_Done,
     /* 2115231 */   // Label 28012: @2115231
     /* 2115231 */   GIM_Try, /*On fail goto*//*Label 28013*/ GIMT_Encode4(2115322), // Rule ID 16993 //
     /* 2115236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2115239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2115244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2115247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2115250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2115253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2115256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2115278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115282 */     // MIs[0] round
     /* 2115282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115285 */     // MIs[0] policy
     /* 2115285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115295 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2115298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115321 */     // GIR_Coverage, 16993,
     /* 2115321 */     GIR_EraseRootFromParent_Done,
     /* 2115322 */   // Label 28013: @2115322
     /* 2115322 */   GIM_Try, /*On fail goto*//*Label 28014*/ GIMT_Encode4(2115413), // Rule ID 16996 //
     /* 2115327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2115330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2115335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2115338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2115341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2115344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2115347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2115369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115373 */     // MIs[0] round
     /* 2115373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115376 */     // MIs[0] policy
     /* 2115376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115386 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2115389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115412 */     // GIR_Coverage, 16996,
     /* 2115412 */     GIR_EraseRootFromParent_Done,
     /* 2115413 */   // Label 28014: @2115413
     /* 2115413 */   GIM_Try, /*On fail goto*//*Label 28015*/ GIMT_Encode4(2115504), // Rule ID 16997 //
     /* 2115418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2115421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2115426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2115429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2115432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2115435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2115438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2115460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115464 */     // MIs[0] round
     /* 2115464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115467 */     // MIs[0] policy
     /* 2115467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115477 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2115480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115503 */     // GIR_Coverage, 16997,
     /* 2115503 */     GIR_EraseRootFromParent_Done,
     /* 2115504 */   // Label 28015: @2115504
     /* 2115504 */   GIM_Try, /*On fail goto*//*Label 28016*/ GIMT_Encode4(2115595), // Rule ID 17000 //
     /* 2115509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2115512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2115517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2115520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2115526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2115529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2115551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115555 */     // MIs[0] round
     /* 2115555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115558 */     // MIs[0] policy
     /* 2115558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115568 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2115571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115594 */     // GIR_Coverage, 17000,
     /* 2115594 */     GIR_EraseRootFromParent_Done,
     /* 2115595 */   // Label 28016: @2115595
     /* 2115595 */   GIM_Try, /*On fail goto*//*Label 28017*/ GIMT_Encode4(2115686), // Rule ID 17001 //
     /* 2115600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2115603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2115608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2115611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2115617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2115620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2115642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115646 */     // MIs[0] round
     /* 2115646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115649 */     // MIs[0] policy
     /* 2115649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115659 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2115662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115685 */     // GIR_Coverage, 17001,
     /* 2115685 */     GIR_EraseRootFromParent_Done,
     /* 2115686 */   // Label 28017: @2115686
     /* 2115686 */   GIM_Try, /*On fail goto*//*Label 28018*/ GIMT_Encode4(2115777), // Rule ID 17004 //
     /* 2115691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2115699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2115702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2115705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2115708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2115711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115737 */     // MIs[0] round
     /* 2115737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115740 */     // MIs[0] policy
     /* 2115740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115750 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2115753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115776 */     // GIR_Coverage, 17004,
     /* 2115776 */     GIR_EraseRootFromParent_Done,
     /* 2115777 */   // Label 28018: @2115777
     /* 2115777 */   GIM_Try, /*On fail goto*//*Label 28019*/ GIMT_Encode4(2115868), // Rule ID 17005 //
     /* 2115782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2115790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2115793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2115796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2115799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2115802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115828 */     // MIs[0] round
     /* 2115828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115831 */     // MIs[0] policy
     /* 2115831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115841 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2115844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115867 */     // GIR_Coverage, 17005,
     /* 2115867 */     GIR_EraseRootFromParent_Done,
     /* 2115868 */   // Label 28019: @2115868
     /* 2115868 */   GIM_Try, /*On fail goto*//*Label 28020*/ GIMT_Encode4(2115959), // Rule ID 17008 //
     /* 2115873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2115881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2115890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2115893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115919 */     // MIs[0] round
     /* 2115919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115922 */     // MIs[0] policy
     /* 2115922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115932 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2115935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115958 */     // GIR_Coverage, 17008,
     /* 2115958 */     GIR_EraseRootFromParent_Done,
     /* 2115959 */   // Label 28020: @2115959
     /* 2115959 */   GIM_Try, /*On fail goto*//*Label 28021*/ GIMT_Encode4(2116050), // Rule ID 17009 //
     /* 2115964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2115972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2115981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2115984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116010 */     // MIs[0] round
     /* 2116010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116013 */     // MIs[0] policy
     /* 2116013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116023 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2116026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116049 */     // GIR_Coverage, 17009,
     /* 2116049 */     GIR_EraseRootFromParent_Done,
     /* 2116050 */   // Label 28021: @2116050
     /* 2116050 */   GIM_Try, /*On fail goto*//*Label 28022*/ GIMT_Encode4(2116141), // Rule ID 17012 //
     /* 2116055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2116058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2116063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2116066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2116069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2116072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2116075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116101 */     // MIs[0] round
     /* 2116101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116104 */     // MIs[0] policy
     /* 2116104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116114 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2116117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116140 */     // GIR_Coverage, 17012,
     /* 2116140 */     GIR_EraseRootFromParent_Done,
     /* 2116141 */   // Label 28022: @2116141
     /* 2116141 */   GIM_Try, /*On fail goto*//*Label 28023*/ GIMT_Encode4(2116232), // Rule ID 17013 //
     /* 2116146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2116154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2116157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2116160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2116163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2116166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116192 */     // MIs[0] round
     /* 2116192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116195 */     // MIs[0] policy
     /* 2116195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116205 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2116208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116231 */     // GIR_Coverage, 17013,
     /* 2116231 */     GIR_EraseRootFromParent_Done,
     /* 2116232 */   // Label 28023: @2116232
     /* 2116232 */   GIM_Try, /*On fail goto*//*Label 28024*/ GIMT_Encode4(2116323), // Rule ID 17016 //
     /* 2116237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2116240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2116245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2116248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2116251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2116254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2116257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116283 */     // MIs[0] round
     /* 2116283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116286 */     // MIs[0] policy
     /* 2116286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116296 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2116299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116322 */     // GIR_Coverage, 17016,
     /* 2116322 */     GIR_EraseRootFromParent_Done,
     /* 2116323 */   // Label 28024: @2116323
     /* 2116323 */   GIM_Try, /*On fail goto*//*Label 28025*/ GIMT_Encode4(2116414), // Rule ID 17017 //
     /* 2116328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2116336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2116339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2116342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2116345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2116348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116374 */     // MIs[0] round
     /* 2116374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116377 */     // MIs[0] policy
     /* 2116377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116387 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2116390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116413 */     // GIR_Coverage, 17017,
     /* 2116413 */     GIR_EraseRootFromParent_Done,
     /* 2116414 */   // Label 28025: @2116414
     /* 2116414 */   GIM_Try, /*On fail goto*//*Label 28026*/ GIMT_Encode4(2116505), // Rule ID 17020 //
     /* 2116419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2116422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2116427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2116430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2116433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2116436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2116439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116465 */     // MIs[0] round
     /* 2116465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116468 */     // MIs[0] policy
     /* 2116468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116478 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2116481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116504 */     // GIR_Coverage, 17020,
     /* 2116504 */     GIR_EraseRootFromParent_Done,
     /* 2116505 */   // Label 28026: @2116505
     /* 2116505 */   GIM_Try, /*On fail goto*//*Label 28027*/ GIMT_Encode4(2116596), // Rule ID 17021 //
     /* 2116510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2116518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2116521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2116524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2116527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2116530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116556 */     // MIs[0] round
     /* 2116556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116559 */     // MIs[0] policy
     /* 2116559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116569 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2116572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116595 */     // GIR_Coverage, 17021,
     /* 2116595 */     GIR_EraseRootFromParent_Done,
     /* 2116596 */   // Label 28027: @2116596
     /* 2116596 */   GIM_Try, /*On fail goto*//*Label 28028*/ GIMT_Encode4(2116687), // Rule ID 17024 //
     /* 2116601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2116609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2116618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2116621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116647 */     // MIs[0] round
     /* 2116647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116650 */     // MIs[0] policy
     /* 2116650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116660 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2116663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116686 */     // GIR_Coverage, 17024,
     /* 2116686 */     GIR_EraseRootFromParent_Done,
     /* 2116687 */   // Label 28028: @2116687
     /* 2116687 */   GIM_Try, /*On fail goto*//*Label 28029*/ GIMT_Encode4(2116778), // Rule ID 17025 //
     /* 2116692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2116700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2116709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2116712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116738 */     // MIs[0] round
     /* 2116738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116741 */     // MIs[0] policy
     /* 2116741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116751 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2116754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116777 */     // GIR_Coverage, 17025,
     /* 2116777 */     GIR_EraseRootFromParent_Done,
     /* 2116778 */   // Label 28029: @2116778
     /* 2116778 */   GIM_Try, /*On fail goto*//*Label 28030*/ GIMT_Encode4(2116869), // Rule ID 17028 //
     /* 2116783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2116791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2116800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2116803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116829 */     // MIs[0] round
     /* 2116829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116832 */     // MIs[0] policy
     /* 2116832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116842 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2116845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116868 */     // GIR_Coverage, 17028,
     /* 2116868 */     GIR_EraseRootFromParent_Done,
     /* 2116869 */   // Label 28030: @2116869
     /* 2116869 */   GIM_Try, /*On fail goto*//*Label 28031*/ GIMT_Encode4(2116960), // Rule ID 17029 //
     /* 2116874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2116882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2116891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2116894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116920 */     // MIs[0] round
     /* 2116920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116923 */     // MIs[0] policy
     /* 2116923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116933 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2116936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116959 */     // GIR_Coverage, 17029,
     /* 2116959 */     GIR_EraseRootFromParent_Done,
     /* 2116960 */   // Label 28031: @2116960
     /* 2116960 */   GIM_Try, /*On fail goto*//*Label 28032*/ GIMT_Encode4(2117051), // Rule ID 17032 //
     /* 2116965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2116973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2116982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2116985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117011 */     // MIs[0] round
     /* 2117011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117014 */     // MIs[0] policy
     /* 2117014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117024 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2117027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117050 */     // GIR_Coverage, 17032,
     /* 2117050 */     GIR_EraseRootFromParent_Done,
     /* 2117051 */   // Label 28032: @2117051
     /* 2117051 */   GIM_Try, /*On fail goto*//*Label 28033*/ GIMT_Encode4(2117142), // Rule ID 17033 //
     /* 2117056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2117059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2117064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2117067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2117070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2117073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2117076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117102 */     // MIs[0] round
     /* 2117102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117105 */     // MIs[0] policy
     /* 2117105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117115 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2117118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117141 */     // GIR_Coverage, 17033,
     /* 2117141 */     GIR_EraseRootFromParent_Done,
     /* 2117142 */   // Label 28033: @2117142
     /* 2117142 */   GIM_Try, /*On fail goto*//*Label 28034*/ GIMT_Encode4(2117233), // Rule ID 17036 //
     /* 2117147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2117150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2117155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2117158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2117161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2117164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2117167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117193 */     // MIs[0] round
     /* 2117193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117196 */     // MIs[0] policy
     /* 2117196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117206 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2117209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117232 */     // GIR_Coverage, 17036,
     /* 2117232 */     GIR_EraseRootFromParent_Done,
     /* 2117233 */   // Label 28034: @2117233
     /* 2117233 */   GIM_Try, /*On fail goto*//*Label 28035*/ GIMT_Encode4(2117324), // Rule ID 17037 //
     /* 2117238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2117241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2117246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2117249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2117252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2117255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2117258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117284 */     // MIs[0] round
     /* 2117284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117287 */     // MIs[0] policy
     /* 2117287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117297 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2117300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117323 */     // GIR_Coverage, 17037,
     /* 2117323 */     GIR_EraseRootFromParent_Done,
     /* 2117324 */   // Label 28035: @2117324
     /* 2117324 */   GIM_Try, /*On fail goto*//*Label 28036*/ GIMT_Encode4(2117415), // Rule ID 17040 //
     /* 2117329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2117332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2117337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2117340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2117343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2117346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117375 */     // MIs[0] round
     /* 2117375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117378 */     // MIs[0] policy
     /* 2117378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117388 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2117391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117414 */     // GIR_Coverage, 17040,
     /* 2117414 */     GIR_EraseRootFromParent_Done,
     /* 2117415 */   // Label 28036: @2117415
     /* 2117415 */   GIM_Try, /*On fail goto*//*Label 28037*/ GIMT_Encode4(2117506), // Rule ID 17041 //
     /* 2117420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2117423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2117428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2117431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2117434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2117437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117466 */     // MIs[0] round
     /* 2117466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117469 */     // MIs[0] policy
     /* 2117469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117479 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2117482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117505 */     // GIR_Coverage, 17041,
     /* 2117505 */     GIR_EraseRootFromParent_Done,
     /* 2117506 */   // Label 28037: @2117506
     /* 2117506 */   GIM_Try, /*On fail goto*//*Label 28038*/ GIMT_Encode4(2117597), // Rule ID 17044 //
     /* 2117511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2117514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2117519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2117528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117557 */     // MIs[0] round
     /* 2117557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117560 */     // MIs[0] policy
     /* 2117560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117570 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2117573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117596 */     // GIR_Coverage, 17044,
     /* 2117596 */     GIR_EraseRootFromParent_Done,
     /* 2117597 */   // Label 28038: @2117597
     /* 2117597 */   GIM_Try, /*On fail goto*//*Label 28039*/ GIMT_Encode4(2117688), // Rule ID 17045 //
     /* 2117602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2117605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2117610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2117619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117648 */     // MIs[0] round
     /* 2117648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117651 */     // MIs[0] policy
     /* 2117651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117661 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2117664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117687 */     // GIR_Coverage, 17045,
     /* 2117687 */     GIR_EraseRootFromParent_Done,
     /* 2117688 */   // Label 28039: @2117688
     /* 2117688 */   GIM_Try, /*On fail goto*//*Label 28040*/ GIMT_Encode4(2117779), // Rule ID 17048 //
     /* 2117693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2117696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2117701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2117704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2117707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2117710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117739 */     // MIs[0] round
     /* 2117739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117742 */     // MIs[0] policy
     /* 2117742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117752 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2117755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117778 */     // GIR_Coverage, 17048,
     /* 2117778 */     GIR_EraseRootFromParent_Done,
     /* 2117779 */   // Label 28040: @2117779
     /* 2117779 */   GIM_Try, /*On fail goto*//*Label 28041*/ GIMT_Encode4(2117870), // Rule ID 17049 //
     /* 2117784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2117787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2117792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2117795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2117798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2117801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117830 */     // MIs[0] round
     /* 2117830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117833 */     // MIs[0] policy
     /* 2117833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117843 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2117846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117869 */     // GIR_Coverage, 17049,
     /* 2117869 */     GIR_EraseRootFromParent_Done,
     /* 2117870 */   // Label 28041: @2117870
     /* 2117870 */   GIM_Try, /*On fail goto*//*Label 28042*/ GIMT_Encode4(2117961), // Rule ID 17052 //
     /* 2117875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2117878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2117883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2117886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2117889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2117892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117921 */     // MIs[0] round
     /* 2117921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117924 */     // MIs[0] policy
     /* 2117924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117934 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2117937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117960 */     // GIR_Coverage, 17052,
     /* 2117960 */     GIR_EraseRootFromParent_Done,
     /* 2117961 */   // Label 28042: @2117961
     /* 2117961 */   GIM_Try, /*On fail goto*//*Label 28043*/ GIMT_Encode4(2118052), // Rule ID 17053 //
     /* 2117966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2117969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2117974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2117977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2117980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2117983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118012 */     // MIs[0] round
     /* 2118012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118015 */     // MIs[0] policy
     /* 2118015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118025 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2118028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118051 */     // GIR_Coverage, 17053,
     /* 2118051 */     GIR_EraseRootFromParent_Done,
     /* 2118052 */   // Label 28043: @2118052
     /* 2118052 */   GIM_Try, /*On fail goto*//*Label 28044*/ GIMT_Encode4(2118143), // Rule ID 17056 //
     /* 2118057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2118060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2118065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2118068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2118071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2118074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118103 */     // MIs[0] round
     /* 2118103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118106 */     // MIs[0] policy
     /* 2118106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118116 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2118119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118142 */     // GIR_Coverage, 17056,
     /* 2118142 */     GIR_EraseRootFromParent_Done,
     /* 2118143 */   // Label 28044: @2118143
     /* 2118143 */   GIM_Try, /*On fail goto*//*Label 28045*/ GIMT_Encode4(2118234), // Rule ID 17057 //
     /* 2118148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2118151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2118156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2118159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2118162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2118165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118194 */     // MIs[0] round
     /* 2118194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118197 */     // MIs[0] policy
     /* 2118197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118207 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2118210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118233 */     // GIR_Coverage, 17057,
     /* 2118233 */     GIR_EraseRootFromParent_Done,
     /* 2118234 */   // Label 28045: @2118234
     /* 2118234 */   GIM_Try, /*On fail goto*//*Label 28046*/ GIMT_Encode4(2118325), // Rule ID 17060 //
     /* 2118239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2118242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2118247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2118250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2118253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2118256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118285 */     // MIs[0] round
     /* 2118285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118288 */     // MIs[0] policy
     /* 2118288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118298 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2118301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118324 */     // GIR_Coverage, 17060,
     /* 2118324 */     GIR_EraseRootFromParent_Done,
     /* 2118325 */   // Label 28046: @2118325
     /* 2118325 */   GIM_Try, /*On fail goto*//*Label 28047*/ GIMT_Encode4(2118416), // Rule ID 17061 //
     /* 2118330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2118333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2118338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2118341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2118344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2118347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118376 */     // MIs[0] round
     /* 2118376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118379 */     // MIs[0] policy
     /* 2118379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118389 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2118392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118415 */     // GIR_Coverage, 17061,
     /* 2118415 */     GIR_EraseRootFromParent_Done,
     /* 2118416 */   // Label 28047: @2118416
     /* 2118416 */   GIM_Try, /*On fail goto*//*Label 28048*/ GIMT_Encode4(2118507), // Rule ID 17064 //
     /* 2118421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2118424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2118429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2118432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2118435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2118438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118467 */     // MIs[0] round
     /* 2118467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118470 */     // MIs[0] policy
     /* 2118470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118480 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2118483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118506 */     // GIR_Coverage, 17064,
     /* 2118506 */     GIR_EraseRootFromParent_Done,
     /* 2118507 */   // Label 28048: @2118507
     /* 2118507 */   GIM_Try, /*On fail goto*//*Label 28049*/ GIMT_Encode4(2118598), // Rule ID 17065 //
     /* 2118512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2118515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2118520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2118523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2118526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2118529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118558 */     // MIs[0] round
     /* 2118558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118561 */     // MIs[0] policy
     /* 2118561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118571 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2118574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118597 */     // GIR_Coverage, 17065,
     /* 2118597 */     GIR_EraseRootFromParent_Done,
     /* 2118598 */   // Label 28049: @2118598
     /* 2118598 */   GIM_Try, /*On fail goto*//*Label 28050*/ GIMT_Encode4(2118689), // Rule ID 17068 //
     /* 2118603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2118606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2118611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2118614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2118617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118649 */     // MIs[0] round
     /* 2118649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118652 */     // MIs[0] policy
     /* 2118652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118662 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2118665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118688 */     // GIR_Coverage, 17068,
     /* 2118688 */     GIR_EraseRootFromParent_Done,
     /* 2118689 */   // Label 28050: @2118689
     /* 2118689 */   GIM_Try, /*On fail goto*//*Label 28051*/ GIMT_Encode4(2118780), // Rule ID 17069 //
     /* 2118694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2118697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2118702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2118705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2118708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118740 */     // MIs[0] round
     /* 2118740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118743 */     // MIs[0] policy
     /* 2118743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118753 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2118756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118779 */     // GIR_Coverage, 17069,
     /* 2118779 */     GIR_EraseRootFromParent_Done,
     /* 2118780 */   // Label 28051: @2118780
     /* 2118780 */   GIM_Try, /*On fail goto*//*Label 28052*/ GIMT_Encode4(2118871), // Rule ID 17072 //
     /* 2118785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2118788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2118793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2118796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2118799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2118802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118831 */     // MIs[0] round
     /* 2118831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118834 */     // MIs[0] policy
     /* 2118834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118844 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2118847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118870 */     // GIR_Coverage, 17072,
     /* 2118870 */     GIR_EraseRootFromParent_Done,
     /* 2118871 */   // Label 28052: @2118871
     /* 2118871 */   GIM_Try, /*On fail goto*//*Label 28053*/ GIMT_Encode4(2118962), // Rule ID 17073 //
     /* 2118876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2118879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2118884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2118887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2118890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2118893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118922 */     // MIs[0] round
     /* 2118922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118925 */     // MIs[0] policy
     /* 2118925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118935 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2118938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118961 */     // GIR_Coverage, 17073,
     /* 2118961 */     GIR_EraseRootFromParent_Done,
     /* 2118962 */   // Label 28053: @2118962
     /* 2118962 */   GIM_Try, /*On fail goto*//*Label 28054*/ GIMT_Encode4(2119053), // Rule ID 17076 //
     /* 2118967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2118970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2118975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2118978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2118981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2118984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2118987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119013 */     // MIs[0] round
     /* 2119013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119016 */     // MIs[0] policy
     /* 2119016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119026 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2119029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119052 */     // GIR_Coverage, 17076,
     /* 2119052 */     GIR_EraseRootFromParent_Done,
     /* 2119053 */   // Label 28054: @2119053
     /* 2119053 */   GIM_Try, /*On fail goto*//*Label 28055*/ GIMT_Encode4(2119144), // Rule ID 17077 //
     /* 2119058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2119061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2119066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2119069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2119072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2119075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2119078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119104 */     // MIs[0] round
     /* 2119104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119107 */     // MIs[0] policy
     /* 2119107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119117 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2119120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119143 */     // GIR_Coverage, 17077,
     /* 2119143 */     GIR_EraseRootFromParent_Done,
     /* 2119144 */   // Label 28055: @2119144
     /* 2119144 */   GIM_Try, /*On fail goto*//*Label 28056*/ GIMT_Encode4(2119235), // Rule ID 17080 //
     /* 2119149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2119152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2119157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2119160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2119163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2119166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2119169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119195 */     // MIs[0] round
     /* 2119195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119198 */     // MIs[0] policy
     /* 2119198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119208 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2119211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119234 */     // GIR_Coverage, 17080,
     /* 2119234 */     GIR_EraseRootFromParent_Done,
     /* 2119235 */   // Label 28056: @2119235
     /* 2119235 */   GIM_Try, /*On fail goto*//*Label 28057*/ GIMT_Encode4(2119326), // Rule ID 17081 //
     /* 2119240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2119243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2119248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2119251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2119254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2119257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2119260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119286 */     // MIs[0] round
     /* 2119286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119289 */     // MIs[0] policy
     /* 2119289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119299 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2119302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119325 */     // GIR_Coverage, 17081,
     /* 2119325 */     GIR_EraseRootFromParent_Done,
     /* 2119326 */   // Label 28057: @2119326
     /* 2119326 */   GIM_Try, /*On fail goto*//*Label 28058*/ GIMT_Encode4(2119417), // Rule ID 17084 //
     /* 2119331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2119334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2119339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2119342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2119345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2119348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2119351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119377 */     // MIs[0] round
     /* 2119377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119380 */     // MIs[0] policy
     /* 2119380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119390 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2119393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119416 */     // GIR_Coverage, 17084,
     /* 2119416 */     GIR_EraseRootFromParent_Done,
     /* 2119417 */   // Label 28058: @2119417
     /* 2119417 */   GIM_Try, /*On fail goto*//*Label 28059*/ GIMT_Encode4(2119508), // Rule ID 17085 //
     /* 2119422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2119425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2119430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2119433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2119436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2119439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2119442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119468 */     // MIs[0] round
     /* 2119468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119471 */     // MIs[0] policy
     /* 2119471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119481 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2119484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119507 */     // GIR_Coverage, 17085,
     /* 2119507 */     GIR_EraseRootFromParent_Done,
     /* 2119508 */   // Label 28059: @2119508
     /* 2119508 */   GIM_Try, /*On fail goto*//*Label 28060*/ GIMT_Encode4(2119599), // Rule ID 17088 //
     /* 2119513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2119516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2119521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2119524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2119527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2119530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2119533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119559 */     // MIs[0] round
     /* 2119559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119562 */     // MIs[0] policy
     /* 2119562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119572 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2119575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119598 */     // GIR_Coverage, 17088,
     /* 2119598 */     GIR_EraseRootFromParent_Done,
     /* 2119599 */   // Label 28060: @2119599
     /* 2119599 */   GIM_Try, /*On fail goto*//*Label 28061*/ GIMT_Encode4(2119690), // Rule ID 17089 //
     /* 2119604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2119607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2119612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2119615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2119618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2119621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2119624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119650 */     // MIs[0] round
     /* 2119650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119653 */     // MIs[0] policy
     /* 2119653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119663 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2119666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119689 */     // GIR_Coverage, 17089,
     /* 2119689 */     GIR_EraseRootFromParent_Done,
     /* 2119690 */   // Label 28061: @2119690
     /* 2119690 */   GIM_Try, /*On fail goto*//*Label 28062*/ GIMT_Encode4(2119781), // Rule ID 17092 //
     /* 2119695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2119698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2119703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2119706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2119709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2119712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2119715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2119718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119741 */     // MIs[0] round
     /* 2119741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119744 */     // MIs[0] policy
     /* 2119744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119754 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2119757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119780 */     // GIR_Coverage, 17092,
     /* 2119780 */     GIR_EraseRootFromParent_Done,
     /* 2119781 */   // Label 28062: @2119781
     /* 2119781 */   GIM_Try, /*On fail goto*//*Label 28063*/ GIMT_Encode4(2119872), // Rule ID 17093 //
     /* 2119786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2119789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2119794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2119797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2119800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2119803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2119806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2119809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119832 */     // MIs[0] round
     /* 2119832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119835 */     // MIs[0] policy
     /* 2119835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119845 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2119848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119871 */     // GIR_Coverage, 17093,
     /* 2119871 */     GIR_EraseRootFromParent_Done,
     /* 2119872 */   // Label 28063: @2119872
     /* 2119872 */   GIM_Try, /*On fail goto*//*Label 28064*/ GIMT_Encode4(2119963), // Rule ID 17096 //
     /* 2119877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2119880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2119885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2119888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2119891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2119894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2119897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119923 */     // MIs[0] round
     /* 2119923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119926 */     // MIs[0] policy
     /* 2119926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119936 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2119939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119962 */     // GIR_Coverage, 17096,
     /* 2119962 */     GIR_EraseRootFromParent_Done,
     /* 2119963 */   // Label 28064: @2119963
     /* 2119963 */   GIM_Try, /*On fail goto*//*Label 28065*/ GIMT_Encode4(2120054), // Rule ID 17097 //
     /* 2119968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2119971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2119976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2119979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2119982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2119985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2119988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120014 */     // MIs[0] round
     /* 2120014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120017 */     // MIs[0] policy
     /* 2120017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120027 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2120030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120053 */     // GIR_Coverage, 17097,
     /* 2120053 */     GIR_EraseRootFromParent_Done,
     /* 2120054 */   // Label 28065: @2120054
     /* 2120054 */   GIM_Try, /*On fail goto*//*Label 28066*/ GIMT_Encode4(2120145), // Rule ID 17100 //
     /* 2120059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2120062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2120067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2120070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2120073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2120079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120105 */     // MIs[0] round
     /* 2120105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120108 */     // MIs[0] policy
     /* 2120108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120118 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2120121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120144 */     // GIR_Coverage, 17100,
     /* 2120144 */     GIR_EraseRootFromParent_Done,
     /* 2120145 */   // Label 28066: @2120145
     /* 2120145 */   GIM_Try, /*On fail goto*//*Label 28067*/ GIMT_Encode4(2120236), // Rule ID 17101 //
     /* 2120150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2120153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2120158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2120161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2120164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2120170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120196 */     // MIs[0] round
     /* 2120196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120199 */     // MIs[0] policy
     /* 2120199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120209 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2120212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120235 */     // GIR_Coverage, 17101,
     /* 2120235 */     GIR_EraseRootFromParent_Done,
     /* 2120236 */   // Label 28067: @2120236
     /* 2120236 */   GIM_Try, /*On fail goto*//*Label 28068*/ GIMT_Encode4(2120327), // Rule ID 17104 //
     /* 2120241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2120244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2120249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2120252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2120255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2120258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2120261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120287 */     // MIs[0] round
     /* 2120287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120290 */     // MIs[0] policy
     /* 2120290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120300 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2120303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120326 */     // GIR_Coverage, 17104,
     /* 2120326 */     GIR_EraseRootFromParent_Done,
     /* 2120327 */   // Label 28068: @2120327
     /* 2120327 */   GIM_Try, /*On fail goto*//*Label 28069*/ GIMT_Encode4(2120418), // Rule ID 17105 //
     /* 2120332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2120335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2120340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2120343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2120346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2120349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2120352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120378 */     // MIs[0] round
     /* 2120378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120381 */     // MIs[0] policy
     /* 2120381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120391 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2120394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120417 */     // GIR_Coverage, 17105,
     /* 2120417 */     GIR_EraseRootFromParent_Done,
     /* 2120418 */   // Label 28069: @2120418
     /* 2120418 */   GIM_Try, /*On fail goto*//*Label 28070*/ GIMT_Encode4(2120509), // Rule ID 17108 //
     /* 2120423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2120426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2120431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2120434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2120437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2120440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2120443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120469 */     // MIs[0] round
     /* 2120469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120472 */     // MIs[0] policy
     /* 2120472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120482 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2120485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120508 */     // GIR_Coverage, 17108,
     /* 2120508 */     GIR_EraseRootFromParent_Done,
     /* 2120509 */   // Label 28070: @2120509
     /* 2120509 */   GIM_Try, /*On fail goto*//*Label 28071*/ GIMT_Encode4(2120600), // Rule ID 17109 //
     /* 2120514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2120517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2120522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2120525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2120528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2120531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2120534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120560 */     // MIs[0] round
     /* 2120560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120563 */     // MIs[0] policy
     /* 2120563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120573 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2120576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120599 */     // GIR_Coverage, 17109,
     /* 2120599 */     GIR_EraseRootFromParent_Done,
     /* 2120600 */   // Label 28071: @2120600
     /* 2120600 */   GIM_Try, /*On fail goto*//*Label 28072*/ GIMT_Encode4(2120691), // Rule ID 17112 //
     /* 2120605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2120613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2120616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2120619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2120622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120651 */     // MIs[0] round
     /* 2120651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120654 */     // MIs[0] policy
     /* 2120654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120664 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2120667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120690 */     // GIR_Coverage, 17112,
     /* 2120690 */     GIR_EraseRootFromParent_Done,
     /* 2120691 */   // Label 28072: @2120691
     /* 2120691 */   GIM_Try, /*On fail goto*//*Label 28073*/ GIMT_Encode4(2120782), // Rule ID 17113 //
     /* 2120696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2120704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2120707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2120710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2120713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120742 */     // MIs[0] round
     /* 2120742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120745 */     // MIs[0] policy
     /* 2120745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120755 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2120758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120781 */     // GIR_Coverage, 17113,
     /* 2120781 */     GIR_EraseRootFromParent_Done,
     /* 2120782 */   // Label 28073: @2120782
     /* 2120782 */   GIM_Try, /*On fail goto*//*Label 28074*/ GIMT_Encode4(2120873), // Rule ID 17116 //
     /* 2120787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2120795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2120804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120833 */     // MIs[0] round
     /* 2120833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120836 */     // MIs[0] policy
     /* 2120836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120846 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2120849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120872 */     // GIR_Coverage, 17116,
     /* 2120872 */     GIR_EraseRootFromParent_Done,
     /* 2120873 */   // Label 28074: @2120873
     /* 2120873 */   GIM_Try, /*On fail goto*//*Label 28075*/ GIMT_Encode4(2120964), // Rule ID 17117 //
     /* 2120878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2120886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2120895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120924 */     // MIs[0] round
     /* 2120924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120927 */     // MIs[0] policy
     /* 2120927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120937 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2120940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120963 */     // GIR_Coverage, 17117,
     /* 2120963 */     GIR_EraseRootFromParent_Done,
     /* 2120964 */   // Label 28075: @2120964
     /* 2120964 */   GIM_Try, /*On fail goto*//*Label 28076*/ GIMT_Encode4(2121055), // Rule ID 17120 //
     /* 2120969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2120977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2120980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2120983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2120986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121015 */     // MIs[0] round
     /* 2121015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121018 */     // MIs[0] policy
     /* 2121018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121028 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2121031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121054 */     // GIR_Coverage, 17120,
     /* 2121054 */     GIR_EraseRootFromParent_Done,
     /* 2121055 */   // Label 28076: @2121055
     /* 2121055 */   GIM_Try, /*On fail goto*//*Label 28077*/ GIMT_Encode4(2121146), // Rule ID 17121 //
     /* 2121060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2121063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2121068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2121071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2121074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2121077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121106 */     // MIs[0] round
     /* 2121106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121109 */     // MIs[0] policy
     /* 2121109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121119 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2121122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121145 */     // GIR_Coverage, 17121,
     /* 2121145 */     GIR_EraseRootFromParent_Done,
     /* 2121146 */   // Label 28077: @2121146
     /* 2121146 */   GIM_Try, /*On fail goto*//*Label 28078*/ GIMT_Encode4(2121237), // Rule ID 17124 //
     /* 2121151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2121154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2121159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2121162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2121165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2121168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121197 */     // MIs[0] round
     /* 2121197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121200 */     // MIs[0] policy
     /* 2121200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121210 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2121213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121236 */     // GIR_Coverage, 17124,
     /* 2121236 */     GIR_EraseRootFromParent_Done,
     /* 2121237 */   // Label 28078: @2121237
     /* 2121237 */   GIM_Try, /*On fail goto*//*Label 28079*/ GIMT_Encode4(2121328), // Rule ID 17125 //
     /* 2121242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2121245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2121250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2121253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2121256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2121259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121288 */     // MIs[0] round
     /* 2121288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121291 */     // MIs[0] policy
     /* 2121291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121301 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2121304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121327 */     // GIR_Coverage, 17125,
     /* 2121327 */     GIR_EraseRootFromParent_Done,
     /* 2121328 */   // Label 28079: @2121328
     /* 2121328 */   GIM_Try, /*On fail goto*//*Label 28080*/ GIMT_Encode4(2121419), // Rule ID 17128 //
     /* 2121333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2121336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2121341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2121344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2121347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2121350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121379 */     // MIs[0] round
     /* 2121379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121382 */     // MIs[0] policy
     /* 2121382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121392 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2121395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121418 */     // GIR_Coverage, 17128,
     /* 2121418 */     GIR_EraseRootFromParent_Done,
     /* 2121419 */   // Label 28080: @2121419
     /* 2121419 */   GIM_Try, /*On fail goto*//*Label 28081*/ GIMT_Encode4(2121510), // Rule ID 17129 //
     /* 2121424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2121427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2121432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2121435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2121438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2121441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121470 */     // MIs[0] round
     /* 2121470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121473 */     // MIs[0] policy
     /* 2121473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121483 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2121486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121509 */     // GIR_Coverage, 17129,
     /* 2121509 */     GIR_EraseRootFromParent_Done,
     /* 2121510 */   // Label 28081: @2121510
     /* 2121510 */   GIM_Try, /*On fail goto*//*Label 28082*/ GIMT_Encode4(2121601), // Rule ID 17132 //
     /* 2121515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2121518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2121523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2121526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2121529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2121532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121561 */     // MIs[0] round
     /* 2121561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121564 */     // MIs[0] policy
     /* 2121564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121574 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2121577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121600 */     // GIR_Coverage, 17132,
     /* 2121600 */     GIR_EraseRootFromParent_Done,
     /* 2121601 */   // Label 28082: @2121601
     /* 2121601 */   GIM_Try, /*On fail goto*//*Label 28083*/ GIMT_Encode4(2121692), // Rule ID 17133 //
     /* 2121606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2121609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2121614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2121617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2121620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2121623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121652 */     // MIs[0] round
     /* 2121652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121655 */     // MIs[0] policy
     /* 2121655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121665 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2121668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121691 */     // GIR_Coverage, 17133,
     /* 2121691 */     GIR_EraseRootFromParent_Done,
     /* 2121692 */   // Label 28083: @2121692
     /* 2121692 */   GIM_Try, /*On fail goto*//*Label 28084*/ GIMT_Encode4(2121783), // Rule ID 17136 //
     /* 2121697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2121700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2121705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2121708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2121711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2121714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121743 */     // MIs[0] round
     /* 2121743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121746 */     // MIs[0] policy
     /* 2121746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121756 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2121759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121782 */     // GIR_Coverage, 17136,
     /* 2121782 */     GIR_EraseRootFromParent_Done,
     /* 2121783 */   // Label 28084: @2121783
     /* 2121783 */   GIM_Try, /*On fail goto*//*Label 28085*/ GIMT_Encode4(2121874), // Rule ID 17137 //
     /* 2121788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2121791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2121796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2121799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2121802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2121805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121834 */     // MIs[0] round
     /* 2121834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121837 */     // MIs[0] policy
     /* 2121837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121847 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2121850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121873 */     // GIR_Coverage, 17137,
     /* 2121873 */     GIR_EraseRootFromParent_Done,
     /* 2121874 */   // Label 28085: @2121874
     /* 2121874 */   GIM_Try, /*On fail goto*//*Label 28086*/ GIMT_Encode4(2121965), // Rule ID 17140 //
     /* 2121879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2121882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2121887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2121890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2121893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121925 */     // MIs[0] round
     /* 2121925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121928 */     // MIs[0] policy
     /* 2121928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121938 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2121941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121964 */     // GIR_Coverage, 17140,
     /* 2121964 */     GIR_EraseRootFromParent_Done,
     /* 2121965 */   // Label 28086: @2121965
     /* 2121965 */   GIM_Try, /*On fail goto*//*Label 28087*/ GIMT_Encode4(2122056), // Rule ID 17141 //
     /* 2121970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2121973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2121978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2121981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2121984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122016 */     // MIs[0] round
     /* 2122016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122019 */     // MIs[0] policy
     /* 2122019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122029 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2122032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122055 */     // GIR_Coverage, 17141,
     /* 2122055 */     GIR_EraseRootFromParent_Done,
     /* 2122056 */   // Label 28087: @2122056
     /* 2122056 */   GIM_Try, /*On fail goto*//*Label 28088*/ GIMT_Encode4(2122147), // Rule ID 17144 //
     /* 2122061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2122064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2122069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2122072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2122075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2122078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122107 */     // MIs[0] round
     /* 2122107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122110 */     // MIs[0] policy
     /* 2122110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122120 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2122123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122146 */     // GIR_Coverage, 17144,
     /* 2122146 */     GIR_EraseRootFromParent_Done,
     /* 2122147 */   // Label 28088: @2122147
     /* 2122147 */   GIM_Try, /*On fail goto*//*Label 28089*/ GIMT_Encode4(2122238), // Rule ID 17145 //
     /* 2122152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2122155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2122160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2122163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2122166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2122169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122198 */     // MIs[0] round
     /* 2122198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122201 */     // MIs[0] policy
     /* 2122201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122211 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2122214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122237 */     // GIR_Coverage, 17145,
     /* 2122237 */     GIR_EraseRootFromParent_Done,
     /* 2122238 */   // Label 28089: @2122238
     /* 2122238 */   GIM_Try, /*On fail goto*//*Label 28090*/ GIMT_Encode4(2122329), // Rule ID 17154 //
     /* 2122243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2122246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2122251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2122254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2122257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2122260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2122263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122289 */     // MIs[0] round
     /* 2122289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122292 */     // MIs[0] policy
     /* 2122292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122302 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2122305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122328 */     // GIR_Coverage, 17154,
     /* 2122328 */     GIR_EraseRootFromParent_Done,
     /* 2122329 */   // Label 28090: @2122329
     /* 2122329 */   GIM_Try, /*On fail goto*//*Label 28091*/ GIMT_Encode4(2122420), // Rule ID 17155 //
     /* 2122334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2122337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2122342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2122345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2122348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2122351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2122354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122380 */     // MIs[0] round
     /* 2122380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122383 */     // MIs[0] policy
     /* 2122383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122393 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2122396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122419 */     // GIR_Coverage, 17155,
     /* 2122419 */     GIR_EraseRootFromParent_Done,
     /* 2122420 */   // Label 28091: @2122420
     /* 2122420 */   GIM_Try, /*On fail goto*//*Label 28092*/ GIMT_Encode4(2122511), // Rule ID 17164 //
     /* 2122425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2122428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2122433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2122436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2122439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2122442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2122445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122471 */     // MIs[0] round
     /* 2122471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122474 */     // MIs[0] policy
     /* 2122474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122484 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2122487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122510 */     // GIR_Coverage, 17164,
     /* 2122510 */     GIR_EraseRootFromParent_Done,
     /* 2122511 */   // Label 28092: @2122511
     /* 2122511 */   GIM_Try, /*On fail goto*//*Label 28093*/ GIMT_Encode4(2122602), // Rule ID 17165 //
     /* 2122516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2122519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2122524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2122527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2122530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2122533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2122536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122562 */     // MIs[0] round
     /* 2122562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122565 */     // MIs[0] policy
     /* 2122565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122575 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2122578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122601 */     // GIR_Coverage, 17165,
     /* 2122601 */     GIR_EraseRootFromParent_Done,
     /* 2122602 */   // Label 28093: @2122602
     /* 2122602 */   GIM_Try, /*On fail goto*//*Label 28094*/ GIMT_Encode4(2122693), // Rule ID 17174 //
     /* 2122607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2122610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2122615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2122618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2122621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2122624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2122627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122653 */     // MIs[0] round
     /* 2122653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122656 */     // MIs[0] policy
     /* 2122656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122666 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2122669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122692 */     // GIR_Coverage, 17174,
     /* 2122692 */     GIR_EraseRootFromParent_Done,
     /* 2122693 */   // Label 28094: @2122693
     /* 2122693 */   GIM_Try, /*On fail goto*//*Label 28095*/ GIMT_Encode4(2122784), // Rule ID 17175 //
     /* 2122698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2122701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2122706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2122709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2122712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2122715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2122718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122744 */     // MIs[0] round
     /* 2122744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122747 */     // MIs[0] policy
     /* 2122747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122757 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2122760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122783 */     // GIR_Coverage, 17175,
     /* 2122783 */     GIR_EraseRootFromParent_Done,
     /* 2122784 */   // Label 28095: @2122784
     /* 2122784 */   GIM_Try, /*On fail goto*//*Label 28096*/ GIMT_Encode4(2122875), // Rule ID 17184 //
     /* 2122789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2122792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2122797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2122800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2122803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2122806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2122809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122835 */     // MIs[0] round
     /* 2122835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122838 */     // MIs[0] policy
     /* 2122838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122848 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2122851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122874 */     // GIR_Coverage, 17184,
     /* 2122874 */     GIR_EraseRootFromParent_Done,
     /* 2122875 */   // Label 28096: @2122875
     /* 2122875 */   GIM_Try, /*On fail goto*//*Label 28097*/ GIMT_Encode4(2122966), // Rule ID 17185 //
     /* 2122880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2122883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2122888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2122891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2122894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2122897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2122900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122926 */     // MIs[0] round
     /* 2122926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122929 */     // MIs[0] policy
     /* 2122929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122939 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2122942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122965 */     // GIR_Coverage, 17185,
     /* 2122965 */     GIR_EraseRootFromParent_Done,
     /* 2122966 */   // Label 28097: @2122966
     /* 2122966 */   GIM_Try, /*On fail goto*//*Label 28098*/ GIMT_Encode4(2123057), // Rule ID 17194 //
     /* 2122971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2122974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2122979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2122982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2122985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2122988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2122991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123017 */     // MIs[0] round
     /* 2123017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123020 */     // MIs[0] policy
     /* 2123020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123030 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2123033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123056 */     // GIR_Coverage, 17194,
     /* 2123056 */     GIR_EraseRootFromParent_Done,
     /* 2123057 */   // Label 28098: @2123057
     /* 2123057 */   GIM_Try, /*On fail goto*//*Label 28099*/ GIMT_Encode4(2123148), // Rule ID 17195 //
     /* 2123062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2123065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2123070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2123073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2123076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2123079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2123082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123108 */     // MIs[0] round
     /* 2123108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123111 */     // MIs[0] policy
     /* 2123111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123121 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2123124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123147 */     // GIR_Coverage, 17195,
     /* 2123147 */     GIR_EraseRootFromParent_Done,
     /* 2123148 */   // Label 28099: @2123148
     /* 2123148 */   GIM_Try, /*On fail goto*//*Label 28100*/ GIMT_Encode4(2123239), // Rule ID 17204 //
     /* 2123153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2123156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2123161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2123164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2123167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2123170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2123173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123199 */     // MIs[0] round
     /* 2123199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123202 */     // MIs[0] policy
     /* 2123202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123212 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2123215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123238 */     // GIR_Coverage, 17204,
     /* 2123238 */     GIR_EraseRootFromParent_Done,
     /* 2123239 */   // Label 28100: @2123239
     /* 2123239 */   GIM_Try, /*On fail goto*//*Label 28101*/ GIMT_Encode4(2123330), // Rule ID 17205 //
     /* 2123244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2123247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2123252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2123255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2123258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2123261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2123264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123290 */     // MIs[0] round
     /* 2123290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123293 */     // MIs[0] policy
     /* 2123293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123303 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2123306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123329 */     // GIR_Coverage, 17205,
     /* 2123329 */     GIR_EraseRootFromParent_Done,
     /* 2123330 */   // Label 28101: @2123330
     /* 2123330 */   GIM_Try, /*On fail goto*//*Label 28102*/ GIMT_Encode4(2123421), // Rule ID 17214 //
     /* 2123335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2123338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2123343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2123346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2123349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2123352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2123355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123381 */     // MIs[0] round
     /* 2123381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123384 */     // MIs[0] policy
     /* 2123384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123394 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2123397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123420 */     // GIR_Coverage, 17214,
     /* 2123420 */     GIR_EraseRootFromParent_Done,
     /* 2123421 */   // Label 28102: @2123421
     /* 2123421 */   GIM_Try, /*On fail goto*//*Label 28103*/ GIMT_Encode4(2123512), // Rule ID 17215 //
     /* 2123426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2123429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2123434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2123437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2123440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2123443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2123446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123472 */     // MIs[0] round
     /* 2123472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123475 */     // MIs[0] policy
     /* 2123475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123485 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2123488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123511 */     // GIR_Coverage, 17215,
     /* 2123511 */     GIR_EraseRootFromParent_Done,
     /* 2123512 */   // Label 28103: @2123512
     /* 2123512 */   GIM_Try, /*On fail goto*//*Label 28104*/ GIMT_Encode4(2123603), // Rule ID 17224 //
     /* 2123517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2123520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2123525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2123528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2123531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2123534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2123537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123563 */     // MIs[0] round
     /* 2123563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123566 */     // MIs[0] policy
     /* 2123566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123576 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2123579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123602 */     // GIR_Coverage, 17224,
     /* 2123602 */     GIR_EraseRootFromParent_Done,
     /* 2123603 */   // Label 28104: @2123603
     /* 2123603 */   GIM_Try, /*On fail goto*//*Label 28105*/ GIMT_Encode4(2123694), // Rule ID 17225 //
     /* 2123608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2123611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2123616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2123619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2123622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2123625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2123628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123654 */     // MIs[0] round
     /* 2123654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123657 */     // MIs[0] policy
     /* 2123657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123667 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2123670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123693 */     // GIR_Coverage, 17225,
     /* 2123693 */     GIR_EraseRootFromParent_Done,
     /* 2123694 */   // Label 28105: @2123694
     /* 2123694 */   GIM_Try, /*On fail goto*//*Label 28106*/ GIMT_Encode4(2123785), // Rule ID 17228 //
     /* 2123699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2123702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2123707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2123710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2123713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2123716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2123719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2123741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123745 */     // MIs[0] round
     /* 2123745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123748 */     // MIs[0] policy
     /* 2123748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123758 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2123761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123784 */     // GIR_Coverage, 17228,
     /* 2123784 */     GIR_EraseRootFromParent_Done,
     /* 2123785 */   // Label 28106: @2123785
     /* 2123785 */   GIM_Try, /*On fail goto*//*Label 28107*/ GIMT_Encode4(2123876), // Rule ID 17229 //
     /* 2123790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2123793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2123798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2123801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2123804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2123807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2123810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2123832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123836 */     // MIs[0] round
     /* 2123836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123839 */     // MIs[0] policy
     /* 2123839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123849 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2123852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123875 */     // GIR_Coverage, 17229,
     /* 2123875 */     GIR_EraseRootFromParent_Done,
     /* 2123876 */   // Label 28107: @2123876
     /* 2123876 */   GIM_Try, /*On fail goto*//*Label 28108*/ GIMT_Encode4(2123967), // Rule ID 17232 //
     /* 2123881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2123884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2123889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2123892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2123895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2123898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2123901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2123923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123927 */     // MIs[0] round
     /* 2123927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123930 */     // MIs[0] policy
     /* 2123930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123940 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2123943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123966 */     // GIR_Coverage, 17232,
     /* 2123966 */     GIR_EraseRootFromParent_Done,
     /* 2123967 */   // Label 28108: @2123967
     /* 2123967 */   GIM_Try, /*On fail goto*//*Label 28109*/ GIMT_Encode4(2124058), // Rule ID 17233 //
     /* 2123972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2123975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2123980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2123983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2123986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2123989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2123992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124018 */     // MIs[0] round
     /* 2124018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124021 */     // MIs[0] policy
     /* 2124021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124031 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2124034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124057 */     // GIR_Coverage, 17233,
     /* 2124057 */     GIR_EraseRootFromParent_Done,
     /* 2124058 */   // Label 28109: @2124058
     /* 2124058 */   GIM_Try, /*On fail goto*//*Label 28110*/ GIMT_Encode4(2124149), // Rule ID 17236 //
     /* 2124063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2124066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2124071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2124074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2124077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2124080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124109 */     // MIs[0] round
     /* 2124109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124112 */     // MIs[0] policy
     /* 2124112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124122 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2124125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124148 */     // GIR_Coverage, 17236,
     /* 2124148 */     GIR_EraseRootFromParent_Done,
     /* 2124149 */   // Label 28110: @2124149
     /* 2124149 */   GIM_Try, /*On fail goto*//*Label 28111*/ GIMT_Encode4(2124240), // Rule ID 17237 //
     /* 2124154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2124157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2124162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2124165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2124168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2124171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124200 */     // MIs[0] round
     /* 2124200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124203 */     // MIs[0] policy
     /* 2124203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124213 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2124216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124239 */     // GIR_Coverage, 17237,
     /* 2124239 */     GIR_EraseRootFromParent_Done,
     /* 2124240 */   // Label 28111: @2124240
     /* 2124240 */   GIM_Try, /*On fail goto*//*Label 28112*/ GIMT_Encode4(2124331), // Rule ID 17240 //
     /* 2124245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2124248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2124253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2124256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2124259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2124262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124291 */     // MIs[0] round
     /* 2124291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124294 */     // MIs[0] policy
     /* 2124294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124304 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2124307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124330 */     // GIR_Coverage, 17240,
     /* 2124330 */     GIR_EraseRootFromParent_Done,
     /* 2124331 */   // Label 28112: @2124331
     /* 2124331 */   GIM_Try, /*On fail goto*//*Label 28113*/ GIMT_Encode4(2124422), // Rule ID 17241 //
     /* 2124336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2124339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2124344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2124347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2124350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2124353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124382 */     // MIs[0] round
     /* 2124382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124385 */     // MIs[0] policy
     /* 2124385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124395 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2124398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124421 */     // GIR_Coverage, 17241,
     /* 2124421 */     GIR_EraseRootFromParent_Done,
     /* 2124422 */   // Label 28113: @2124422
     /* 2124422 */   GIM_Try, /*On fail goto*//*Label 28114*/ GIMT_Encode4(2124513), // Rule ID 17244 //
     /* 2124427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2124430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2124435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2124438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2124441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2124444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124473 */     // MIs[0] round
     /* 2124473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124476 */     // MIs[0] policy
     /* 2124476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124486 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2124489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124512 */     // GIR_Coverage, 17244,
     /* 2124512 */     GIR_EraseRootFromParent_Done,
     /* 2124513 */   // Label 28114: @2124513
     /* 2124513 */   GIM_Try, /*On fail goto*//*Label 28115*/ GIMT_Encode4(2124604), // Rule ID 17245 //
     /* 2124518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2124521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2124526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2124529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2124532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2124535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124564 */     // MIs[0] round
     /* 2124564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124567 */     // MIs[0] policy
     /* 2124567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124577 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2124580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124603 */     // GIR_Coverage, 17245,
     /* 2124603 */     GIR_EraseRootFromParent_Done,
     /* 2124604 */   // Label 28115: @2124604
     /* 2124604 */   GIM_Try, /*On fail goto*//*Label 28116*/ GIMT_Encode4(2124695), // Rule ID 17248 //
     /* 2124609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2124612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2124617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2124620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2124623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2124626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2124629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2124651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124655 */     // MIs[0] round
     /* 2124655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124658 */     // MIs[0] policy
     /* 2124658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124668 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2124671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124694 */     // GIR_Coverage, 17248,
     /* 2124694 */     GIR_EraseRootFromParent_Done,
     /* 2124695 */   // Label 28116: @2124695
     /* 2124695 */   GIM_Try, /*On fail goto*//*Label 28117*/ GIMT_Encode4(2124786), // Rule ID 17249 //
     /* 2124700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2124703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2124708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2124711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2124714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2124717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2124720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2124742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124746 */     // MIs[0] round
     /* 2124746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124749 */     // MIs[0] policy
     /* 2124749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124759 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2124762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124785 */     // GIR_Coverage, 17249,
     /* 2124785 */     GIR_EraseRootFromParent_Done,
     /* 2124786 */   // Label 28117: @2124786
     /* 2124786 */   GIM_Try, /*On fail goto*//*Label 28118*/ GIMT_Encode4(2124877), // Rule ID 17252 //
     /* 2124791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2124794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2124799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2124808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2124811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2124833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124837 */     // MIs[0] round
     /* 2124837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124840 */     // MIs[0] policy
     /* 2124840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124850 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2124853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124876 */     // GIR_Coverage, 17252,
     /* 2124876 */     GIR_EraseRootFromParent_Done,
     /* 2124877 */   // Label 28118: @2124877
     /* 2124877 */   GIM_Try, /*On fail goto*//*Label 28119*/ GIMT_Encode4(2124968), // Rule ID 17253 //
     /* 2124882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2124885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2124890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2124899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2124902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2124924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124928 */     // MIs[0] round
     /* 2124928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124931 */     // MIs[0] policy
     /* 2124931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124941 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2124944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124967 */     // GIR_Coverage, 17253,
     /* 2124967 */     GIR_EraseRootFromParent_Done,
     /* 2124968 */   // Label 28119: @2124968
     /* 2124968 */   GIM_Try, /*On fail goto*//*Label 28120*/ GIMT_Encode4(2125059), // Rule ID 17256 //
     /* 2124973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2124976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2124981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2124984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2124987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2124990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2124993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125019 */     // MIs[0] round
     /* 2125019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125022 */     // MIs[0] policy
     /* 2125022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125032 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2125035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125058 */     // GIR_Coverage, 17256,
     /* 2125058 */     GIR_EraseRootFromParent_Done,
     /* 2125059 */   // Label 28120: @2125059
     /* 2125059 */   GIM_Try, /*On fail goto*//*Label 28121*/ GIMT_Encode4(2125150), // Rule ID 17257 //
     /* 2125064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2125067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2125072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2125075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2125078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2125081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125110 */     // MIs[0] round
     /* 2125110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125113 */     // MIs[0] policy
     /* 2125113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125123 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2125126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125149 */     // GIR_Coverage, 17257,
     /* 2125149 */     GIR_EraseRootFromParent_Done,
     /* 2125150 */   // Label 28121: @2125150
     /* 2125150 */   GIM_Try, /*On fail goto*//*Label 28122*/ GIMT_Encode4(2125241), // Rule ID 17260 //
     /* 2125155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2125158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2125163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2125166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2125169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2125172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125201 */     // MIs[0] round
     /* 2125201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125204 */     // MIs[0] policy
     /* 2125204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125214 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2125217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125240 */     // GIR_Coverage, 17260,
     /* 2125240 */     GIR_EraseRootFromParent_Done,
     /* 2125241 */   // Label 28122: @2125241
     /* 2125241 */   GIM_Try, /*On fail goto*//*Label 28123*/ GIMT_Encode4(2125332), // Rule ID 17261 //
     /* 2125246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2125249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2125254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2125257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2125260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2125263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125292 */     // MIs[0] round
     /* 2125292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125295 */     // MIs[0] policy
     /* 2125295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125305 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2125308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125331 */     // GIR_Coverage, 17261,
     /* 2125331 */     GIR_EraseRootFromParent_Done,
     /* 2125332 */   // Label 28123: @2125332
     /* 2125332 */   GIM_Try, /*On fail goto*//*Label 28124*/ GIMT_Encode4(2125423), // Rule ID 17270 //
     /* 2125337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2125340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2125345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2125348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2125351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2125357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125383 */     // MIs[0] round
     /* 2125383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125386 */     // MIs[0] policy
     /* 2125386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125396 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2125399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125422 */     // GIR_Coverage, 17270,
     /* 2125422 */     GIR_EraseRootFromParent_Done,
     /* 2125423 */   // Label 28124: @2125423
     /* 2125423 */   GIM_Try, /*On fail goto*//*Label 28125*/ GIMT_Encode4(2125514), // Rule ID 17271 //
     /* 2125428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2125431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2125436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2125439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2125442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2125448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125474 */     // MIs[0] round
     /* 2125474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125477 */     // MIs[0] policy
     /* 2125477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125487 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2125490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125513 */     // GIR_Coverage, 17271,
     /* 2125513 */     GIR_EraseRootFromParent_Done,
     /* 2125514 */   // Label 28125: @2125514
     /* 2125514 */   GIM_Try, /*On fail goto*//*Label 28126*/ GIMT_Encode4(2125605), // Rule ID 17280 //
     /* 2125519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2125522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2125527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2125530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2125533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2125536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2125539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125565 */     // MIs[0] round
     /* 2125565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125568 */     // MIs[0] policy
     /* 2125568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125578 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2125581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125604 */     // GIR_Coverage, 17280,
     /* 2125604 */     GIR_EraseRootFromParent_Done,
     /* 2125605 */   // Label 28126: @2125605
     /* 2125605 */   GIM_Try, /*On fail goto*//*Label 28127*/ GIMT_Encode4(2125696), // Rule ID 17281 //
     /* 2125610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2125613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2125618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2125621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2125624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2125627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2125630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125656 */     // MIs[0] round
     /* 2125656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125659 */     // MIs[0] policy
     /* 2125659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125669 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2125672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125695 */     // GIR_Coverage, 17281,
     /* 2125695 */     GIR_EraseRootFromParent_Done,
     /* 2125696 */   // Label 28127: @2125696
     /* 2125696 */   GIM_Try, /*On fail goto*//*Label 28128*/ GIMT_Encode4(2125787), // Rule ID 17290 //
     /* 2125701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2125704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2125709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2125712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2125715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2125718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2125721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125747 */     // MIs[0] round
     /* 2125747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125750 */     // MIs[0] policy
     /* 2125750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125760 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2125763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125786 */     // GIR_Coverage, 17290,
     /* 2125786 */     GIR_EraseRootFromParent_Done,
     /* 2125787 */   // Label 28128: @2125787
     /* 2125787 */   GIM_Try, /*On fail goto*//*Label 28129*/ GIMT_Encode4(2125878), // Rule ID 17291 //
     /* 2125792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2125795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2125800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2125803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2125806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2125809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2125812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125838 */     // MIs[0] round
     /* 2125838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125841 */     // MIs[0] policy
     /* 2125841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125851 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2125854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125877 */     // GIR_Coverage, 17291,
     /* 2125877 */     GIR_EraseRootFromParent_Done,
     /* 2125878 */   // Label 28129: @2125878
     /* 2125878 */   GIM_Try, /*On fail goto*//*Label 28130*/ GIMT_Encode4(2125969), // Rule ID 17300 //
     /* 2125883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2125886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2125891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2125894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2125897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2125900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2125903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125929 */     // MIs[0] round
     /* 2125929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125932 */     // MIs[0] policy
     /* 2125932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125942 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2125945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125968 */     // GIR_Coverage, 17300,
     /* 2125968 */     GIR_EraseRootFromParent_Done,
     /* 2125969 */   // Label 28130: @2125969
     /* 2125969 */   GIM_Try, /*On fail goto*//*Label 28131*/ GIMT_Encode4(2126060), // Rule ID 17301 //
     /* 2125974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2125977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2125982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2125985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2125988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2125991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2125994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126020 */     // MIs[0] round
     /* 2126020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126023 */     // MIs[0] policy
     /* 2126023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126033 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2126036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126059 */     // GIR_Coverage, 17301,
     /* 2126059 */     GIR_EraseRootFromParent_Done,
     /* 2126060 */   // Label 28131: @2126060
     /* 2126060 */   GIM_Try, /*On fail goto*//*Label 28132*/ GIMT_Encode4(2126151), // Rule ID 17310 //
     /* 2126065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2126068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2126073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2126076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2126079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2126082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2126085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126111 */     // MIs[0] round
     /* 2126111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126114 */     // MIs[0] policy
     /* 2126114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126124 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2126127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126150 */     // GIR_Coverage, 17310,
     /* 2126150 */     GIR_EraseRootFromParent_Done,
     /* 2126151 */   // Label 28132: @2126151
     /* 2126151 */   GIM_Try, /*On fail goto*//*Label 28133*/ GIMT_Encode4(2126242), // Rule ID 17311 //
     /* 2126156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2126159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2126164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2126167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2126170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2126173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2126176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126202 */     // MIs[0] round
     /* 2126202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126205 */     // MIs[0] policy
     /* 2126205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126215 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2126218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126241 */     // GIR_Coverage, 17311,
     /* 2126241 */     GIR_EraseRootFromParent_Done,
     /* 2126242 */   // Label 28133: @2126242
     /* 2126242 */   GIM_Try, /*On fail goto*//*Label 28134*/ GIMT_Encode4(2126333), // Rule ID 17320 //
     /* 2126247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2126250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2126255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2126258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2126261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2126264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2126267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126293 */     // MIs[0] round
     /* 2126293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126296 */     // MIs[0] policy
     /* 2126296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126306 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2126309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126332 */     // GIR_Coverage, 17320,
     /* 2126332 */     GIR_EraseRootFromParent_Done,
     /* 2126333 */   // Label 28134: @2126333
     /* 2126333 */   GIM_Try, /*On fail goto*//*Label 28135*/ GIMT_Encode4(2126424), // Rule ID 17321 //
     /* 2126338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2126341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2126346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2126349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2126352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2126355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2126358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126384 */     // MIs[0] round
     /* 2126384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126387 */     // MIs[0] policy
     /* 2126387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126397 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2126400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126423 */     // GIR_Coverage, 17321,
     /* 2126423 */     GIR_EraseRootFromParent_Done,
     /* 2126424 */   // Label 28135: @2126424
     /* 2126424 */   GIM_Try, /*On fail goto*//*Label 28136*/ GIMT_Encode4(2126515), // Rule ID 17330 //
     /* 2126429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2126432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2126437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2126440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2126443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2126446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2126449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126475 */     // MIs[0] round
     /* 2126475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126478 */     // MIs[0] policy
     /* 2126478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126488 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2126491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126514 */     // GIR_Coverage, 17330,
     /* 2126514 */     GIR_EraseRootFromParent_Done,
     /* 2126515 */   // Label 28136: @2126515
     /* 2126515 */   GIM_Try, /*On fail goto*//*Label 28137*/ GIMT_Encode4(2126606), // Rule ID 17331 //
     /* 2126520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2126523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2126528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2126531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2126534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2126537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2126540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126566 */     // MIs[0] round
     /* 2126566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126569 */     // MIs[0] policy
     /* 2126569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126579 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2126582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126605 */     // GIR_Coverage, 17331,
     /* 2126605 */     GIR_EraseRootFromParent_Done,
     /* 2126606 */   // Label 28137: @2126606
     /* 2126606 */   GIM_Try, /*On fail goto*//*Label 28138*/ GIMT_Encode4(2126697), // Rule ID 17340 //
     /* 2126611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2126614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2126619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2126622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2126625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2126628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2126631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126657 */     // MIs[0] round
     /* 2126657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126660 */     // MIs[0] policy
     /* 2126660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126670 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2126673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126696 */     // GIR_Coverage, 17340,
     /* 2126696 */     GIR_EraseRootFromParent_Done,
     /* 2126697 */   // Label 28138: @2126697
     /* 2126697 */   GIM_Try, /*On fail goto*//*Label 28139*/ GIMT_Encode4(2126788), // Rule ID 17341 //
     /* 2126702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2126705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2126710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2126713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2126716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2126719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2126722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126748 */     // MIs[0] round
     /* 2126748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126751 */     // MIs[0] policy
     /* 2126751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126761 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2126764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126787 */     // GIR_Coverage, 17341,
     /* 2126787 */     GIR_EraseRootFromParent_Done,
     /* 2126788 */   // Label 28139: @2126788
     /* 2126788 */   GIM_Try, /*On fail goto*//*Label 28140*/ GIMT_Encode4(2126879), // Rule ID 17350 //
     /* 2126793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2126796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2126801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2126804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2126807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2126810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2126813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126839 */     // MIs[0] round
     /* 2126839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126842 */     // MIs[0] policy
     /* 2126842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126852 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2126855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126878 */     // GIR_Coverage, 17350,
     /* 2126878 */     GIR_EraseRootFromParent_Done,
     /* 2126879 */   // Label 28140: @2126879
     /* 2126879 */   GIM_Try, /*On fail goto*//*Label 28141*/ GIMT_Encode4(2126970), // Rule ID 17351 //
     /* 2126884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2126887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2126892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2126895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2126898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2126901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2126904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126930 */     // MIs[0] round
     /* 2126930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126933 */     // MIs[0] policy
     /* 2126933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126943 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2126946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126969 */     // GIR_Coverage, 17351,
     /* 2126969 */     GIR_EraseRootFromParent_Done,
     /* 2126970 */   // Label 28141: @2126970
     /* 2126970 */   GIM_Try, /*On fail goto*//*Label 28142*/ GIMT_Encode4(2127061), // Rule ID 17354 //
     /* 2126975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2126978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2126983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2126986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2126989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2126992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127021 */     // MIs[0] round
     /* 2127021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127024 */     // MIs[0] policy
     /* 2127024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127034 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2127037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127060 */     // GIR_Coverage, 17354,
     /* 2127060 */     GIR_EraseRootFromParent_Done,
     /* 2127061 */   // Label 28142: @2127061
     /* 2127061 */   GIM_Try, /*On fail goto*//*Label 28143*/ GIMT_Encode4(2127152), // Rule ID 17355 //
     /* 2127066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2127069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2127074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2127077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2127080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2127083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127112 */     // MIs[0] round
     /* 2127112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127115 */     // MIs[0] policy
     /* 2127115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127125 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2127128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127151 */     // GIR_Coverage, 17355,
     /* 2127151 */     GIR_EraseRootFromParent_Done,
     /* 2127152 */   // Label 28143: @2127152
     /* 2127152 */   GIM_Try, /*On fail goto*//*Label 28144*/ GIMT_Encode4(2127243), // Rule ID 17358 //
     /* 2127157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2127160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2127165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2127168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2127171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2127174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127203 */     // MIs[0] round
     /* 2127203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127206 */     // MIs[0] policy
     /* 2127206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127216 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2127219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127242 */     // GIR_Coverage, 17358,
     /* 2127242 */     GIR_EraseRootFromParent_Done,
     /* 2127243 */   // Label 28144: @2127243
     /* 2127243 */   GIM_Try, /*On fail goto*//*Label 28145*/ GIMT_Encode4(2127334), // Rule ID 17359 //
     /* 2127248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2127251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2127256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2127259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2127262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2127265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127294 */     // MIs[0] round
     /* 2127294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127297 */     // MIs[0] policy
     /* 2127297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127307 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2127310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127333 */     // GIR_Coverage, 17359,
     /* 2127333 */     GIR_EraseRootFromParent_Done,
     /* 2127334 */   // Label 28145: @2127334
     /* 2127334 */   GIM_Try, /*On fail goto*//*Label 28146*/ GIMT_Encode4(2127425), // Rule ID 17362 //
     /* 2127339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2127342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2127347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2127350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2127353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2127356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127385 */     // MIs[0] round
     /* 2127385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127388 */     // MIs[0] policy
     /* 2127388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127398 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2127401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127424 */     // GIR_Coverage, 17362,
     /* 2127424 */     GIR_EraseRootFromParent_Done,
     /* 2127425 */   // Label 28146: @2127425
     /* 2127425 */   GIM_Try, /*On fail goto*//*Label 28147*/ GIMT_Encode4(2127516), // Rule ID 17363 //
     /* 2127430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2127433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2127438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2127441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2127444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2127447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127476 */     // MIs[0] round
     /* 2127476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127479 */     // MIs[0] policy
     /* 2127479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127489 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2127492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127515 */     // GIR_Coverage, 17363,
     /* 2127515 */     GIR_EraseRootFromParent_Done,
     /* 2127516 */   // Label 28147: @2127516
     /* 2127516 */   GIM_Try, /*On fail goto*//*Label 28148*/ GIMT_Encode4(2127607), // Rule ID 17366 //
     /* 2127521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2127524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2127529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2127532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2127535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2127538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127567 */     // MIs[0] round
     /* 2127567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127570 */     // MIs[0] policy
     /* 2127570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127580 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2127583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127606 */     // GIR_Coverage, 17366,
     /* 2127606 */     GIR_EraseRootFromParent_Done,
     /* 2127607 */   // Label 28148: @2127607
     /* 2127607 */   GIM_Try, /*On fail goto*//*Label 28149*/ GIMT_Encode4(2127698), // Rule ID 17367 //
     /* 2127612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2127615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2127620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2127623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2127626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2127629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127658 */     // MIs[0] round
     /* 2127658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127661 */     // MIs[0] policy
     /* 2127661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127671 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2127674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127697 */     // GIR_Coverage, 17367,
     /* 2127697 */     GIR_EraseRootFromParent_Done,
     /* 2127698 */   // Label 28149: @2127698
     /* 2127698 */   GIM_Try, /*On fail goto*//*Label 28150*/ GIMT_Encode4(2127789), // Rule ID 17370 //
     /* 2127703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2127706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2127711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2127714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2127717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2127720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127749 */     // MIs[0] round
     /* 2127749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127752 */     // MIs[0] policy
     /* 2127752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127762 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2127765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127788 */     // GIR_Coverage, 17370,
     /* 2127788 */     GIR_EraseRootFromParent_Done,
     /* 2127789 */   // Label 28150: @2127789
     /* 2127789 */   GIM_Try, /*On fail goto*//*Label 28151*/ GIMT_Encode4(2127880), // Rule ID 17371 //
     /* 2127794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2127797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2127802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2127805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2127808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2127811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127840 */     // MIs[0] round
     /* 2127840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127843 */     // MIs[0] policy
     /* 2127843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127853 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2127856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127879 */     // GIR_Coverage, 17371,
     /* 2127879 */     GIR_EraseRootFromParent_Done,
     /* 2127880 */   // Label 28151: @2127880
     /* 2127880 */   GIM_Try, /*On fail goto*//*Label 28152*/ GIMT_Encode4(2127971), // Rule ID 17374 //
     /* 2127885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2127888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2127893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2127896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2127902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127931 */     // MIs[0] round
     /* 2127931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127934 */     // MIs[0] policy
     /* 2127934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127944 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2127947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127970 */     // GIR_Coverage, 17374,
     /* 2127970 */     GIR_EraseRootFromParent_Done,
     /* 2127971 */   // Label 28152: @2127971
     /* 2127971 */   GIM_Try, /*On fail goto*//*Label 28153*/ GIMT_Encode4(2128062), // Rule ID 17375 //
     /* 2127976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2127979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2127984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2127987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2127993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128022 */     // MIs[0] round
     /* 2128022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128025 */     // MIs[0] policy
     /* 2128025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128035 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2128038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128061 */     // GIR_Coverage, 17375,
     /* 2128061 */     GIR_EraseRootFromParent_Done,
     /* 2128062 */   // Label 28153: @2128062
     /* 2128062 */   GIM_Try, /*On fail goto*//*Label 28154*/ GIMT_Encode4(2128153), // Rule ID 17378 //
     /* 2128067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2128070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2128075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2128078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2128081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2128084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128113 */     // MIs[0] round
     /* 2128113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128116 */     // MIs[0] policy
     /* 2128116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128126 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2128129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128152 */     // GIR_Coverage, 17378,
     /* 2128152 */     GIR_EraseRootFromParent_Done,
     /* 2128153 */   // Label 28154: @2128153
     /* 2128153 */   GIM_Try, /*On fail goto*//*Label 28155*/ GIMT_Encode4(2128244), // Rule ID 17379 //
     /* 2128158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2128161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2128166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2128169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2128172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2128175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128204 */     // MIs[0] round
     /* 2128204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128207 */     // MIs[0] policy
     /* 2128207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128217 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2128220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128243 */     // GIR_Coverage, 17379,
     /* 2128243 */     GIR_EraseRootFromParent_Done,
     /* 2128244 */   // Label 28155: @2128244
     /* 2128244 */   GIM_Try, /*On fail goto*//*Label 28156*/ GIMT_Encode4(2128335), // Rule ID 17382 //
     /* 2128249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2128252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2128257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2128260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2128263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2128266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128295 */     // MIs[0] round
     /* 2128295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128298 */     // MIs[0] policy
     /* 2128298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128308 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2128311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128334 */     // GIR_Coverage, 17382,
     /* 2128334 */     GIR_EraseRootFromParent_Done,
     /* 2128335 */   // Label 28156: @2128335
     /* 2128335 */   GIM_Try, /*On fail goto*//*Label 28157*/ GIMT_Encode4(2128426), // Rule ID 17383 //
     /* 2128340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2128343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2128348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2128351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2128354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2128357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128386 */     // MIs[0] round
     /* 2128386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128389 */     // MIs[0] policy
     /* 2128389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128399 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2128402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128425 */     // GIR_Coverage, 17383,
     /* 2128425 */     GIR_EraseRootFromParent_Done,
     /* 2128426 */   // Label 28157: @2128426
     /* 2128426 */   GIM_Try, /*On fail goto*//*Label 28158*/ GIMT_Encode4(2128517), // Rule ID 17386 //
     /* 2128431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2128434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2128439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2128442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2128445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2128448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128477 */     // MIs[0] round
     /* 2128477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128480 */     // MIs[0] policy
     /* 2128480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128490 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2128493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128516 */     // GIR_Coverage, 17386,
     /* 2128516 */     GIR_EraseRootFromParent_Done,
     /* 2128517 */   // Label 28158: @2128517
     /* 2128517 */   GIM_Try, /*On fail goto*//*Label 28159*/ GIMT_Encode4(2128608), // Rule ID 17387 //
     /* 2128522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2128525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2128530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2128533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2128536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2128539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128568 */     // MIs[0] round
     /* 2128568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128571 */     // MIs[0] policy
     /* 2128571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128581 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2128584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128607 */     // GIR_Coverage, 17387,
     /* 2128607 */     GIR_EraseRootFromParent_Done,
     /* 2128608 */   // Label 28159: @2128608
     /* 2128608 */   GIM_Try, /*On fail goto*//*Label 28160*/ GIMT_Encode4(2128699), // Rule ID 17390 //
     /* 2128613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2128624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2128633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128659 */     // MIs[0] round
     /* 2128659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128662 */     // MIs[0] policy
     /* 2128662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128672 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2128675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128698 */     // GIR_Coverage, 17390,
     /* 2128698 */     GIR_EraseRootFromParent_Done,
     /* 2128699 */   // Label 28160: @2128699
     /* 2128699 */   GIM_Try, /*On fail goto*//*Label 28161*/ GIMT_Encode4(2128790), // Rule ID 17391 //
     /* 2128704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2128715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2128724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128750 */     // MIs[0] round
     /* 2128750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128753 */     // MIs[0] policy
     /* 2128753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128763 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2128766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128789 */     // GIR_Coverage, 17391,
     /* 2128789 */     GIR_EraseRootFromParent_Done,
     /* 2128790 */   // Label 28161: @2128790
     /* 2128790 */   GIM_Try, /*On fail goto*//*Label 28162*/ GIMT_Encode4(2128881), // Rule ID 17394 //
     /* 2128795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2128806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2128809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2128812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2128815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128841 */     // MIs[0] round
     /* 2128841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128844 */     // MIs[0] policy
     /* 2128844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128854 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2128857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128880 */     // GIR_Coverage, 17394,
     /* 2128880 */     GIR_EraseRootFromParent_Done,
     /* 2128881 */   // Label 28162: @2128881
     /* 2128881 */   GIM_Try, /*On fail goto*//*Label 28163*/ GIMT_Encode4(2128972), // Rule ID 17395 //
     /* 2128886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2128897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2128900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2128903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2128906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128932 */     // MIs[0] round
     /* 2128932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128935 */     // MIs[0] policy
     /* 2128935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128945 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2128948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128971 */     // GIR_Coverage, 17395,
     /* 2128971 */     GIR_EraseRootFromParent_Done,
     /* 2128972 */   // Label 28163: @2128972
     /* 2128972 */   GIM_Try, /*On fail goto*//*Label 28164*/ GIMT_Encode4(2129063), // Rule ID 17398 //
     /* 2128977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2128985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2128988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2128997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129023 */     // MIs[0] round
     /* 2129023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129026 */     // MIs[0] policy
     /* 2129026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129036 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2129039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129062 */     // GIR_Coverage, 17398,
     /* 2129062 */     GIR_EraseRootFromParent_Done,
     /* 2129063 */   // Label 28164: @2129063
     /* 2129063 */   GIM_Try, /*On fail goto*//*Label 28165*/ GIMT_Encode4(2129154), // Rule ID 17399 //
     /* 2129068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2129076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2129079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2129085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2129088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129114 */     // MIs[0] round
     /* 2129114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129117 */     // MIs[0] policy
     /* 2129117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129127 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2129130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129153 */     // GIR_Coverage, 17399,
     /* 2129153 */     GIR_EraseRootFromParent_Done,
     /* 2129154 */   // Label 28165: @2129154
     /* 2129154 */   GIM_Try, /*On fail goto*//*Label 28166*/ GIMT_Encode4(2129245), // Rule ID 17402 //
     /* 2129159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2129167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2129170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2129173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2129176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2129179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129205 */     // MIs[0] round
     /* 2129205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129208 */     // MIs[0] policy
     /* 2129208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129218 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2129221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129244 */     // GIR_Coverage, 17402,
     /* 2129244 */     GIR_EraseRootFromParent_Done,
     /* 2129245 */   // Label 28166: @2129245
     /* 2129245 */   GIM_Try, /*On fail goto*//*Label 28167*/ GIMT_Encode4(2129336), // Rule ID 17403 //
     /* 2129250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2129258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2129261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2129264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2129267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2129270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129296 */     // MIs[0] round
     /* 2129296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129299 */     // MIs[0] policy
     /* 2129299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129309 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2129312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129335 */     // GIR_Coverage, 17403,
     /* 2129335 */     GIR_EraseRootFromParent_Done,
     /* 2129336 */   // Label 28167: @2129336
     /* 2129336 */   GIM_Try, /*On fail goto*//*Label 28168*/ GIMT_Encode4(2129427), // Rule ID 17406 //
     /* 2129341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2129349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2129352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2129355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2129358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2129361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129387 */     // MIs[0] round
     /* 2129387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129390 */     // MIs[0] policy
     /* 2129390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129400 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2129403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129426 */     // GIR_Coverage, 17406,
     /* 2129426 */     GIR_EraseRootFromParent_Done,
     /* 2129427 */   // Label 28168: @2129427
     /* 2129427 */   GIM_Try, /*On fail goto*//*Label 28169*/ GIMT_Encode4(2129518), // Rule ID 17407 //
     /* 2129432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2129440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2129443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2129446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2129449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2129452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129478 */     // MIs[0] round
     /* 2129478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129481 */     // MIs[0] policy
     /* 2129481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129491 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2129494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129517 */     // GIR_Coverage, 17407,
     /* 2129517 */     GIR_EraseRootFromParent_Done,
     /* 2129518 */   // Label 28169: @2129518
     /* 2129518 */   GIM_Try, /*On fail goto*//*Label 28170*/ GIMT_Encode4(2129609), // Rule ID 17410 //
     /* 2129523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2129526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2129531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2129534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2129543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129569 */     // MIs[0] round
     /* 2129569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129572 */     // MIs[0] policy
     /* 2129572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129582 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2129585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129608 */     // GIR_Coverage, 17410,
     /* 2129608 */     GIR_EraseRootFromParent_Done,
     /* 2129609 */   // Label 28170: @2129609
     /* 2129609 */   GIM_Try, /*On fail goto*//*Label 28171*/ GIMT_Encode4(2129700), // Rule ID 17411 //
     /* 2129614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2129617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2129622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2129625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2129634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129660 */     // MIs[0] round
     /* 2129660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129663 */     // MIs[0] policy
     /* 2129663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129673 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2129676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129699 */     // GIR_Coverage, 17411,
     /* 2129699 */     GIR_EraseRootFromParent_Done,
     /* 2129700 */   // Label 28171: @2129700
     /* 2129700 */   GIM_Try, /*On fail goto*//*Label 28172*/ GIMT_Encode4(2129791), // Rule ID 17414 //
     /* 2129705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2129713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2129716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2129719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2129722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2129725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129751 */     // MIs[0] round
     /* 2129751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129754 */     // MIs[0] policy
     /* 2129754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129764 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2129767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129790 */     // GIR_Coverage, 17414,
     /* 2129790 */     GIR_EraseRootFromParent_Done,
     /* 2129791 */   // Label 28172: @2129791
     /* 2129791 */   GIM_Try, /*On fail goto*//*Label 28173*/ GIMT_Encode4(2129882), // Rule ID 17415 //
     /* 2129796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2129804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2129807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2129810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2129813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2129816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129842 */     // MIs[0] round
     /* 2129842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129845 */     // MIs[0] policy
     /* 2129845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129855 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2129858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129881 */     // GIR_Coverage, 17415,
     /* 2129881 */     GIR_EraseRootFromParent_Done,
     /* 2129882 */   // Label 28173: @2129882
     /* 2129882 */   GIM_Try, /*On fail goto*//*Label 28174*/ GIMT_Encode4(2129973), // Rule ID 17418 //
     /* 2129887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2129895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2129898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2129901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2129904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2129907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129933 */     // MIs[0] round
     /* 2129933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129936 */     // MIs[0] policy
     /* 2129936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129946 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2129949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129972 */     // GIR_Coverage, 17418,
     /* 2129972 */     GIR_EraseRootFromParent_Done,
     /* 2129973 */   // Label 28174: @2129973
     /* 2129973 */   GIM_Try, /*On fail goto*//*Label 28175*/ GIMT_Encode4(2130064), // Rule ID 17419 //
     /* 2129978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2129986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2129989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2129992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2129995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2129998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130024 */     // MIs[0] round
     /* 2130024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130027 */     // MIs[0] policy
     /* 2130027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130037 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2130040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130063 */     // GIR_Coverage, 17419,
     /* 2130063 */     GIR_EraseRootFromParent_Done,
     /* 2130064 */   // Label 28175: @2130064
     /* 2130064 */   GIM_Try, /*On fail goto*//*Label 28176*/ GIMT_Encode4(2130155), // Rule ID 17422 //
     /* 2130069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2130072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2130077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2130080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2130083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2130086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2130089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2130092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130115 */     // MIs[0] round
     /* 2130115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130118 */     // MIs[0] policy
     /* 2130118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130128 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2130131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130154 */     // GIR_Coverage, 17422,
     /* 2130154 */     GIR_EraseRootFromParent_Done,
     /* 2130155 */   // Label 28176: @2130155
     /* 2130155 */   GIM_Try, /*On fail goto*//*Label 28177*/ GIMT_Encode4(2130246), // Rule ID 17423 //
     /* 2130160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2130163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2130168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2130171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2130174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2130177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2130180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2130183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130206 */     // MIs[0] round
     /* 2130206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130209 */     // MIs[0] policy
     /* 2130209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130219 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2130222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130245 */     // GIR_Coverage, 17423,
     /* 2130245 */     GIR_EraseRootFromParent_Done,
     /* 2130246 */   // Label 28177: @2130246
     /* 2130246 */   GIM_Try, /*On fail goto*//*Label 28178*/ GIMT_Encode4(2130337), // Rule ID 17426 //
     /* 2130251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2130254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2130259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2130262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2130265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2130268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2130271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130297 */     // MIs[0] round
     /* 2130297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130300 */     // MIs[0] policy
     /* 2130300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130310 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2130313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130336 */     // GIR_Coverage, 17426,
     /* 2130336 */     GIR_EraseRootFromParent_Done,
     /* 2130337 */   // Label 28178: @2130337
     /* 2130337 */   GIM_Try, /*On fail goto*//*Label 28179*/ GIMT_Encode4(2130428), // Rule ID 17427 //
     /* 2130342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2130345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2130350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2130353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2130356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2130359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2130362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130388 */     // MIs[0] round
     /* 2130388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130391 */     // MIs[0] policy
     /* 2130391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130401 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2130404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130427 */     // GIR_Coverage, 17427,
     /* 2130427 */     GIR_EraseRootFromParent_Done,
     /* 2130428 */   // Label 28179: @2130428
     /* 2130428 */   GIM_Try, /*On fail goto*//*Label 28180*/ GIMT_Encode4(2130519), // Rule ID 17430 //
     /* 2130433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2130436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2130441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2130444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2130447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2130450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2130453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130479 */     // MIs[0] round
     /* 2130479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130482 */     // MIs[0] policy
     /* 2130482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130492 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2130495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130518 */     // GIR_Coverage, 17430,
     /* 2130518 */     GIR_EraseRootFromParent_Done,
     /* 2130519 */   // Label 28180: @2130519
     /* 2130519 */   GIM_Try, /*On fail goto*//*Label 28181*/ GIMT_Encode4(2130610), // Rule ID 17431 //
     /* 2130524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2130527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2130532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2130535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2130538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2130541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2130544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130570 */     // MIs[0] round
     /* 2130570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130573 */     // MIs[0] policy
     /* 2130573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130583 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2130586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130609 */     // GIR_Coverage, 17431,
     /* 2130609 */     GIR_EraseRootFromParent_Done,
     /* 2130610 */   // Label 28181: @2130610
     /* 2130610 */   GIM_Try, /*On fail goto*//*Label 28182*/ GIMT_Encode4(2130701), // Rule ID 17434 //
     /* 2130615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2130618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2130623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2130626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2130629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2130632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2130635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130661 */     // MIs[0] round
     /* 2130661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130664 */     // MIs[0] policy
     /* 2130664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130674 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2130677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130700 */     // GIR_Coverage, 17434,
     /* 2130700 */     GIR_EraseRootFromParent_Done,
     /* 2130701 */   // Label 28182: @2130701
     /* 2130701 */   GIM_Try, /*On fail goto*//*Label 28183*/ GIMT_Encode4(2130792), // Rule ID 17435 //
     /* 2130706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2130709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2130714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2130717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2130720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2130723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2130726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130752 */     // MIs[0] round
     /* 2130752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130755 */     // MIs[0] policy
     /* 2130755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130765 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2130768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130791 */     // GIR_Coverage, 17435,
     /* 2130791 */     GIR_EraseRootFromParent_Done,
     /* 2130792 */   // Label 28183: @2130792
     /* 2130792 */   GIM_Try, /*On fail goto*//*Label 28184*/ GIMT_Encode4(2130883), // Rule ID 17438 //
     /* 2130797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2130805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2130808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2130811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2130814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2130817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130843 */     // MIs[0] round
     /* 2130843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130846 */     // MIs[0] policy
     /* 2130846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130856 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2130859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130882 */     // GIR_Coverage, 17438,
     /* 2130882 */     GIR_EraseRootFromParent_Done,
     /* 2130883 */   // Label 28184: @2130883
     /* 2130883 */   GIM_Try, /*On fail goto*//*Label 28185*/ GIMT_Encode4(2130974), // Rule ID 17439 //
     /* 2130888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2130896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2130899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2130902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2130905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2130908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130934 */     // MIs[0] round
     /* 2130934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130937 */     // MIs[0] policy
     /* 2130937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130947 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2130950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130973 */     // GIR_Coverage, 17439,
     /* 2130973 */     GIR_EraseRootFromParent_Done,
     /* 2130974 */   // Label 28185: @2130974
     /* 2130974 */   GIM_Try, /*On fail goto*//*Label 28186*/ GIMT_Encode4(2131065), // Rule ID 17442 //
     /* 2130979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2130987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2130996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2130999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131025 */     // MIs[0] round
     /* 2131025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131028 */     // MIs[0] policy
     /* 2131028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131038 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2131041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131064 */     // GIR_Coverage, 17442,
     /* 2131064 */     GIR_EraseRootFromParent_Done,
     /* 2131065 */   // Label 28186: @2131065
     /* 2131065 */   GIM_Try, /*On fail goto*//*Label 28187*/ GIMT_Encode4(2131156), // Rule ID 17443 //
     /* 2131070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2131073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2131078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2131081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2131084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2131087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2131090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131116 */     // MIs[0] round
     /* 2131116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131119 */     // MIs[0] policy
     /* 2131119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131129 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2131132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131155 */     // GIR_Coverage, 17443,
     /* 2131155 */     GIR_EraseRootFromParent_Done,
     /* 2131156 */   // Label 28187: @2131156
     /* 2131156 */   GIM_Try, /*On fail goto*//*Label 28188*/ GIMT_Encode4(2131247), // Rule ID 17446 //
     /* 2131161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2131164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2131169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2131172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2131175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2131178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2131181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131207 */     // MIs[0] round
     /* 2131207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131210 */     // MIs[0] policy
     /* 2131210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131220 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2131223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131246 */     // GIR_Coverage, 17446,
     /* 2131246 */     GIR_EraseRootFromParent_Done,
     /* 2131247 */   // Label 28188: @2131247
     /* 2131247 */   GIM_Try, /*On fail goto*//*Label 28189*/ GIMT_Encode4(2131338), // Rule ID 17447 //
     /* 2131252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2131255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2131260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2131263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2131266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2131269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2131272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131298 */     // MIs[0] round
     /* 2131298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131301 */     // MIs[0] policy
     /* 2131301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131311 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2131314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131337 */     // GIR_Coverage, 17447,
     /* 2131337 */     GIR_EraseRootFromParent_Done,
     /* 2131338 */   // Label 28189: @2131338
     /* 2131338 */   GIM_Try, /*On fail goto*//*Label 28190*/ GIMT_Encode4(2131429), // Rule ID 17450 //
     /* 2131343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2131346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2131351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2131354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2131357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2131360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131389 */     // MIs[0] round
     /* 2131389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131392 */     // MIs[0] policy
     /* 2131392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131402 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2131405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131428 */     // GIR_Coverage, 17450,
     /* 2131428 */     GIR_EraseRootFromParent_Done,
     /* 2131429 */   // Label 28190: @2131429
     /* 2131429 */   GIM_Try, /*On fail goto*//*Label 28191*/ GIMT_Encode4(2131520), // Rule ID 17451 //
     /* 2131434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2131437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2131442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2131445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2131448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2131451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131480 */     // MIs[0] round
     /* 2131480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131483 */     // MIs[0] policy
     /* 2131483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131493 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2131496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131519 */     // GIR_Coverage, 17451,
     /* 2131519 */     GIR_EraseRootFromParent_Done,
     /* 2131520 */   // Label 28191: @2131520
     /* 2131520 */   GIM_Try, /*On fail goto*//*Label 28192*/ GIMT_Encode4(2131611), // Rule ID 17454 //
     /* 2131525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2131528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2131533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2131536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2131539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131571 */     // MIs[0] round
     /* 2131571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131574 */     // MIs[0] policy
     /* 2131574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131584 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2131587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131610 */     // GIR_Coverage, 17454,
     /* 2131610 */     GIR_EraseRootFromParent_Done,
     /* 2131611 */   // Label 28192: @2131611
     /* 2131611 */   GIM_Try, /*On fail goto*//*Label 28193*/ GIMT_Encode4(2131702), // Rule ID 17455 //
     /* 2131616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2131619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2131624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2131627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2131630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131662 */     // MIs[0] round
     /* 2131662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131665 */     // MIs[0] policy
     /* 2131665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131675 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2131678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131701 */     // GIR_Coverage, 17455,
     /* 2131701 */     GIR_EraseRootFromParent_Done,
     /* 2131702 */   // Label 28193: @2131702
     /* 2131702 */   GIM_Try, /*On fail goto*//*Label 28194*/ GIMT_Encode4(2131793), // Rule ID 17458 //
     /* 2131707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2131710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2131715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2131718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2131721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2131749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131753 */     // MIs[0] round
     /* 2131753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131756 */     // MIs[0] policy
     /* 2131756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131766 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2131769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131792 */     // GIR_Coverage, 17458,
     /* 2131792 */     GIR_EraseRootFromParent_Done,
     /* 2131793 */   // Label 28194: @2131793
     /* 2131793 */   GIM_Try, /*On fail goto*//*Label 28195*/ GIMT_Encode4(2131884), // Rule ID 17459 //
     /* 2131798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2131801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2131806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2131809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2131812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2131840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131844 */     // MIs[0] round
     /* 2131844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131847 */     // MIs[0] policy
     /* 2131847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131857 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2131860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131883 */     // GIR_Coverage, 17459,
     /* 2131883 */     GIR_EraseRootFromParent_Done,
     /* 2131884 */   // Label 28195: @2131884
     /* 2131884 */   GIM_Try, /*On fail goto*//*Label 28196*/ GIMT_Encode4(2131975), // Rule ID 17462 //
     /* 2131889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2131892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2131897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2131900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2131903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2131906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131935 */     // MIs[0] round
     /* 2131935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131938 */     // MIs[0] policy
     /* 2131938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131948 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2131951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131974 */     // GIR_Coverage, 17462,
     /* 2131974 */     GIR_EraseRootFromParent_Done,
     /* 2131975 */   // Label 28196: @2131975
     /* 2131975 */   GIM_Try, /*On fail goto*//*Label 28197*/ GIMT_Encode4(2132066), // Rule ID 17463 //
     /* 2131980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2131983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2131988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2131991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2131994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2131997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132026 */     // MIs[0] round
     /* 2132026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132029 */     // MIs[0] policy
     /* 2132029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132039 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2132042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132065 */     // GIR_Coverage, 17463,
     /* 2132065 */     GIR_EraseRootFromParent_Done,
     /* 2132066 */   // Label 28197: @2132066
     /* 2132066 */   GIM_Try, /*On fail goto*//*Label 28198*/ GIMT_Encode4(2132157), // Rule ID 17466 //
     /* 2132071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2132074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2132082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2132088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132117 */     // MIs[0] round
     /* 2132117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132120 */     // MIs[0] policy
     /* 2132120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132130 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2132133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132156 */     // GIR_Coverage, 17466,
     /* 2132156 */     GIR_EraseRootFromParent_Done,
     /* 2132157 */   // Label 28198: @2132157
     /* 2132157 */   GIM_Try, /*On fail goto*//*Label 28199*/ GIMT_Encode4(2132248), // Rule ID 17467 //
     /* 2132162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2132165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2132173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2132179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132208 */     // MIs[0] round
     /* 2132208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132211 */     // MIs[0] policy
     /* 2132211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132221 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2132224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132247 */     // GIR_Coverage, 17467,
     /* 2132247 */     GIR_EraseRootFromParent_Done,
     /* 2132248 */   // Label 28199: @2132248
     /* 2132248 */   GIM_Try, /*On fail goto*//*Label 28200*/ GIMT_Encode4(2132339), // Rule ID 17470 //
     /* 2132253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2132256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2132264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2132267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2132270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2132273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2132295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132299 */     // MIs[0] round
     /* 2132299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132302 */     // MIs[0] policy
     /* 2132302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132312 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2132315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132338 */     // GIR_Coverage, 17470,
     /* 2132338 */     GIR_EraseRootFromParent_Done,
     /* 2132339 */   // Label 28200: @2132339
     /* 2132339 */   GIM_Try, /*On fail goto*//*Label 28201*/ GIMT_Encode4(2132430), // Rule ID 17471 //
     /* 2132344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2132347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2132355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2132358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2132361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2132364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2132386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132390 */     // MIs[0] round
     /* 2132390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132393 */     // MIs[0] policy
     /* 2132393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132403 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2132406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132429 */     // GIR_Coverage, 17471,
     /* 2132429 */     GIR_EraseRootFromParent_Done,
     /* 2132430 */   // Label 28201: @2132430
     /* 2132430 */   GIM_Try, /*On fail goto*//*Label 28202*/ GIMT_Encode4(2132521), // Rule ID 17474 //
     /* 2132435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2132438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2132446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2132449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2132452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132481 */     // MIs[0] round
     /* 2132481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132484 */     // MIs[0] policy
     /* 2132484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132494 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2132497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132520 */     // GIR_Coverage, 17474,
     /* 2132520 */     GIR_EraseRootFromParent_Done,
     /* 2132521 */   // Label 28202: @2132521
     /* 2132521 */   GIM_Try, /*On fail goto*//*Label 28203*/ GIMT_Encode4(2132612), // Rule ID 17475 //
     /* 2132526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2132529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2132537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2132540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2132543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132572 */     // MIs[0] round
     /* 2132572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132575 */     // MIs[0] policy
     /* 2132575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132585 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2132588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132611 */     // GIR_Coverage, 17475,
     /* 2132611 */     GIR_EraseRootFromParent_Done,
     /* 2132612 */   // Label 28203: @2132612
     /* 2132612 */   GIM_Try, /*On fail goto*//*Label 28204*/ GIMT_Encode4(2132703), // Rule ID 17478 //
     /* 2132617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2132620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2132628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2132631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2132634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2132640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132663 */     // MIs[0] round
     /* 2132663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132666 */     // MIs[0] policy
     /* 2132666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132676 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2132679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132702 */     // GIR_Coverage, 17478,
     /* 2132702 */     GIR_EraseRootFromParent_Done,
     /* 2132703 */   // Label 28204: @2132703
     /* 2132703 */   GIM_Try, /*On fail goto*//*Label 28205*/ GIMT_Encode4(2132794), // Rule ID 17479 //
     /* 2132708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2132711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2132719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2132722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2132725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2132731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132754 */     // MIs[0] round
     /* 2132754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132757 */     // MIs[0] policy
     /* 2132757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132767 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2132770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132793 */     // GIR_Coverage, 17479,
     /* 2132793 */     GIR_EraseRootFromParent_Done,
     /* 2132794 */   // Label 28205: @2132794
     /* 2132794 */   GIM_Try, /*On fail goto*//*Label 28206*/ GIMT_Encode4(2132885), // Rule ID 17482 //
     /* 2132799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2132802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2132810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2132813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2132816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2132822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132845 */     // MIs[0] round
     /* 2132845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132848 */     // MIs[0] policy
     /* 2132848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132858 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2132861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132884 */     // GIR_Coverage, 17482,
     /* 2132884 */     GIR_EraseRootFromParent_Done,
     /* 2132885 */   // Label 28206: @2132885
     /* 2132885 */   GIM_Try, /*On fail goto*//*Label 28207*/ GIMT_Encode4(2132976), // Rule ID 17483 //
     /* 2132890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2132893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2132901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2132904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2132907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2132913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132936 */     // MIs[0] round
     /* 2132936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132939 */     // MIs[0] policy
     /* 2132939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132949 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2132952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132975 */     // GIR_Coverage, 17483,
     /* 2132975 */     GIR_EraseRootFromParent_Done,
     /* 2132976 */   // Label 28207: @2132976
     /* 2132976 */   GIM_Try, /*On fail goto*//*Label 28208*/ GIMT_Encode4(2133067), // Rule ID 17486 //
     /* 2132981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2132984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2132992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2132995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2132998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133027 */     // MIs[0] round
     /* 2133027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133030 */     // MIs[0] policy
     /* 2133030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133040 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2133043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133066 */     // GIR_Coverage, 17486,
     /* 2133066 */     GIR_EraseRootFromParent_Done,
     /* 2133067 */   // Label 28208: @2133067
     /* 2133067 */   GIM_Try, /*On fail goto*//*Label 28209*/ GIMT_Encode4(2133158), // Rule ID 17487 //
     /* 2133072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2133075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2133083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2133086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2133089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133118 */     // MIs[0] round
     /* 2133118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133121 */     // MIs[0] policy
     /* 2133121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133131 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2133134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133157 */     // GIR_Coverage, 17487,
     /* 2133157 */     GIR_EraseRootFromParent_Done,
     /* 2133158 */   // Label 28209: @2133158
     /* 2133158 */   GIM_Try, /*On fail goto*//*Label 28210*/ GIMT_Encode4(2133249), // Rule ID 17490 //
     /* 2133163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2133174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2133177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2133180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133209 */     // MIs[0] round
     /* 2133209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133212 */     // MIs[0] policy
     /* 2133212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133222 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2133225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133248 */     // GIR_Coverage, 17490,
     /* 2133248 */     GIR_EraseRootFromParent_Done,
     /* 2133249 */   // Label 28210: @2133249
     /* 2133249 */   GIM_Try, /*On fail goto*//*Label 28211*/ GIMT_Encode4(2133340), // Rule ID 17491 //
     /* 2133254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2133257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2133265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2133268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2133271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133300 */     // MIs[0] round
     /* 2133300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133303 */     // MIs[0] policy
     /* 2133303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133313 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2133316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133339 */     // GIR_Coverage, 17491,
     /* 2133339 */     GIR_EraseRootFromParent_Done,
     /* 2133340 */   // Label 28211: @2133340
     /* 2133340 */   GIM_Try, /*On fail goto*//*Label 28212*/ GIMT_Encode4(2133431), // Rule ID 17494 //
     /* 2133345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2133356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2133359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2133362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2133368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133391 */     // MIs[0] round
     /* 2133391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133394 */     // MIs[0] policy
     /* 2133394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133404 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2133407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133430 */     // GIR_Coverage, 17494,
     /* 2133430 */     GIR_EraseRootFromParent_Done,
     /* 2133431 */   // Label 28212: @2133431
     /* 2133431 */   GIM_Try, /*On fail goto*//*Label 28213*/ GIMT_Encode4(2133522), // Rule ID 17495 //
     /* 2133436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2133439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2133447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2133450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2133453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2133459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133482 */     // MIs[0] round
     /* 2133482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133485 */     // MIs[0] policy
     /* 2133485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133495 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2133498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133521 */     // GIR_Coverage, 17495,
     /* 2133521 */     GIR_EraseRootFromParent_Done,
     /* 2133522 */   // Label 28213: @2133522
     /* 2133522 */   GIM_Try, /*On fail goto*//*Label 28214*/ GIMT_Encode4(2133613), // Rule ID 17498 //
     /* 2133527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2133530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2133538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2133544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2133547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2133569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133573 */     // MIs[0] round
     /* 2133573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133576 */     // MIs[0] policy
     /* 2133576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133586 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2133589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133612 */     // GIR_Coverage, 17498,
     /* 2133612 */     GIR_EraseRootFromParent_Done,
     /* 2133613 */   // Label 28214: @2133613
     /* 2133613 */   GIM_Try, /*On fail goto*//*Label 28215*/ GIMT_Encode4(2133704), // Rule ID 17499 //
     /* 2133618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2133621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2133629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2133635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2133638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2133660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133664 */     // MIs[0] round
     /* 2133664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133667 */     // MIs[0] policy
     /* 2133667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133677 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2133680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133703 */     // GIR_Coverage, 17499,
     /* 2133703 */     GIR_EraseRootFromParent_Done,
     /* 2133704 */   // Label 28215: @2133704
     /* 2133704 */   GIM_Try, /*On fail goto*//*Label 28216*/ GIMT_Encode4(2133795), // Rule ID 17502 //
     /* 2133709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2133712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2133720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2133723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2133726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2133729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2133751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133755 */     // MIs[0] round
     /* 2133755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133758 */     // MIs[0] policy
     /* 2133758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133768 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2133771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133794 */     // GIR_Coverage, 17502,
     /* 2133794 */     GIR_EraseRootFromParent_Done,
     /* 2133795 */   // Label 28216: @2133795
     /* 2133795 */   GIM_Try, /*On fail goto*//*Label 28217*/ GIMT_Encode4(2133886), // Rule ID 17503 //
     /* 2133800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2133803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2133811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2133814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2133817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2133820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2133842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133846 */     // MIs[0] round
     /* 2133846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133849 */     // MIs[0] policy
     /* 2133849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133859 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2133862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133885 */     // GIR_Coverage, 17503,
     /* 2133885 */     GIR_EraseRootFromParent_Done,
     /* 2133886 */   // Label 28217: @2133886
     /* 2133886 */   GIM_Try, /*On fail goto*//*Label 28218*/ GIMT_Encode4(2133977), // Rule ID 17506 //
     /* 2133891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2133894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2133902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2133905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2133908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2133911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2133933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133937 */     // MIs[0] round
     /* 2133937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133940 */     // MIs[0] policy
     /* 2133940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133950 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2133953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133976 */     // GIR_Coverage, 17506,
     /* 2133976 */     GIR_EraseRootFromParent_Done,
     /* 2133977 */   // Label 28218: @2133977
     /* 2133977 */   GIM_Try, /*On fail goto*//*Label 28219*/ GIMT_Encode4(2134068), // Rule ID 17507 //
     /* 2133982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2133985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2133993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2133996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2133999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2134002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2134024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134028 */     // MIs[0] round
     /* 2134028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134031 */     // MIs[0] policy
     /* 2134031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134041 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2134044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134067 */     // GIR_Coverage, 17507,
     /* 2134067 */     GIR_EraseRootFromParent_Done,
     /* 2134068 */   // Label 28219: @2134068
     /* 2134068 */   GIM_Try, /*On fail goto*//*Label 28220*/ GIMT_Encode4(2134159), // Rule ID 17510 //
     /* 2134073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2134084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2134087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2134090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2134093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134119 */     // MIs[0] round
     /* 2134119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134122 */     // MIs[0] policy
     /* 2134122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134132 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2134135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134158 */     // GIR_Coverage, 17510,
     /* 2134158 */     GIR_EraseRootFromParent_Done,
     /* 2134159 */   // Label 28220: @2134159
     /* 2134159 */   GIM_Try, /*On fail goto*//*Label 28221*/ GIMT_Encode4(2134250), // Rule ID 17511 //
     /* 2134164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2134175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2134178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2134181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2134184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134210 */     // MIs[0] round
     /* 2134210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134213 */     // MIs[0] policy
     /* 2134213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134223 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2134226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134249 */     // GIR_Coverage, 17511,
     /* 2134249 */     GIR_EraseRootFromParent_Done,
     /* 2134250 */   // Label 28221: @2134250
     /* 2134250 */   GIM_Try, /*On fail goto*//*Label 28222*/ GIMT_Encode4(2134341), // Rule ID 17514 //
     /* 2134255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2134266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2134275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134301 */     // MIs[0] round
     /* 2134301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134304 */     // MIs[0] policy
     /* 2134304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134314 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2134317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134340 */     // GIR_Coverage, 17514,
     /* 2134340 */     GIR_EraseRootFromParent_Done,
     /* 2134341 */   // Label 28222: @2134341
     /* 2134341 */   GIM_Try, /*On fail goto*//*Label 28223*/ GIMT_Encode4(2134432), // Rule ID 17515 //
     /* 2134346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2134357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2134366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134392 */     // MIs[0] round
     /* 2134392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134395 */     // MIs[0] policy
     /* 2134395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134405 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2134408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134431 */     // GIR_Coverage, 17515,
     /* 2134431 */     GIR_EraseRootFromParent_Done,
     /* 2134432 */   // Label 28223: @2134432
     /* 2134432 */   GIM_Try, /*On fail goto*//*Label 28224*/ GIMT_Encode4(2134523), // Rule ID 17518 //
     /* 2134437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2134448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2134451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2134454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2134457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134483 */     // MIs[0] round
     /* 2134483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134486 */     // MIs[0] policy
     /* 2134486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134496 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2134499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134522 */     // GIR_Coverage, 17518,
     /* 2134522 */     GIR_EraseRootFromParent_Done,
     /* 2134523 */   // Label 28224: @2134523
     /* 2134523 */   GIM_Try, /*On fail goto*//*Label 28225*/ GIMT_Encode4(2134614), // Rule ID 17519 //
     /* 2134528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2134539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2134542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2134545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2134548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134574 */     // MIs[0] round
     /* 2134574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134577 */     // MIs[0] policy
     /* 2134577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134587 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2134590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134613 */     // GIR_Coverage, 17519,
     /* 2134613 */     GIR_EraseRootFromParent_Done,
     /* 2134614 */   // Label 28225: @2134614
     /* 2134614 */   GIM_Try, /*On fail goto*//*Label 28226*/ GIMT_Encode4(2134705), // Rule ID 17522 //
     /* 2134619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2134630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2134633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2134636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2134639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134665 */     // MIs[0] round
     /* 2134665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134668 */     // MIs[0] policy
     /* 2134668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134678 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2134681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134704 */     // GIR_Coverage, 17522,
     /* 2134704 */     GIR_EraseRootFromParent_Done,
     /* 2134705 */   // Label 28226: @2134705
     /* 2134705 */   GIM_Try, /*On fail goto*//*Label 28227*/ GIMT_Encode4(2134796), // Rule ID 17523 //
     /* 2134710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2134721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2134724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2134727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2134730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134756 */     // MIs[0] round
     /* 2134756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134759 */     // MIs[0] policy
     /* 2134759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134769 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2134772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134795 */     // GIR_Coverage, 17523,
     /* 2134795 */     GIR_EraseRootFromParent_Done,
     /* 2134796 */   // Label 28227: @2134796
     /* 2134796 */   GIM_Try, /*On fail goto*//*Label 28228*/ GIMT_Encode4(2134887), // Rule ID 17526 //
     /* 2134801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2134812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2134821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134847 */     // MIs[0] round
     /* 2134847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134850 */     // MIs[0] policy
     /* 2134850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134860 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2134863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134886 */     // GIR_Coverage, 17526,
     /* 2134886 */     GIR_EraseRootFromParent_Done,
     /* 2134887 */   // Label 28228: @2134887
     /* 2134887 */   GIM_Try, /*On fail goto*//*Label 28229*/ GIMT_Encode4(2134978), // Rule ID 17527 //
     /* 2134892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2134903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2134912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134938 */     // MIs[0] round
     /* 2134938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134941 */     // MIs[0] policy
     /* 2134941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134951 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2134954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134977 */     // GIR_Coverage, 17527,
     /* 2134977 */     GIR_EraseRootFromParent_Done,
     /* 2134978 */   // Label 28229: @2134978
     /* 2134978 */   GIM_Try, /*On fail goto*//*Label 28230*/ GIMT_Encode4(2135069), // Rule ID 17530 //
     /* 2134983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2134991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2134994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2134997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2135000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2135003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135029 */     // MIs[0] round
     /* 2135029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135032 */     // MIs[0] policy
     /* 2135032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135042 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2135045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135068 */     // GIR_Coverage, 17530,
     /* 2135068 */     GIR_EraseRootFromParent_Done,
     /* 2135069 */   // Label 28230: @2135069
     /* 2135069 */   GIM_Try, /*On fail goto*//*Label 28231*/ GIMT_Encode4(2135160), // Rule ID 17531 //
     /* 2135074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2135077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2135082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2135085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2135088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2135091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2135094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135120 */     // MIs[0] round
     /* 2135120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135123 */     // MIs[0] policy
     /* 2135123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135133 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2135136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135159 */     // GIR_Coverage, 17531,
     /* 2135159 */     GIR_EraseRootFromParent_Done,
     /* 2135160 */   // Label 28231: @2135160
     /* 2135160 */   GIM_Try, /*On fail goto*//*Label 28232*/ GIMT_Encode4(2135251), // Rule ID 17534 //
     /* 2135165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2135173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2135176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2135179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2135182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2135185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135211 */     // MIs[0] round
     /* 2135211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135214 */     // MIs[0] policy
     /* 2135214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135224 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2135227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135250 */     // GIR_Coverage, 17534,
     /* 2135250 */     GIR_EraseRootFromParent_Done,
     /* 2135251 */   // Label 28232: @2135251
     /* 2135251 */   GIM_Try, /*On fail goto*//*Label 28233*/ GIMT_Encode4(2135342), // Rule ID 17535 //
     /* 2135256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2135264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2135267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2135270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2135273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2135276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135302 */     // MIs[0] round
     /* 2135302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135305 */     // MIs[0] policy
     /* 2135305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135315 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2135318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135341 */     // GIR_Coverage, 17535,
     /* 2135341 */     GIR_EraseRootFromParent_Done,
     /* 2135342 */   // Label 28233: @2135342
     /* 2135342 */   GIM_Try, /*On fail goto*//*Label 28234*/ GIMT_Encode4(2135433), // Rule ID 17538 //
     /* 2135347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2135355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2135358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2135361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2135364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2135367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135393 */     // MIs[0] round
     /* 2135393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135396 */     // MIs[0] policy
     /* 2135396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135406 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2135409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135432 */     // GIR_Coverage, 17538,
     /* 2135432 */     GIR_EraseRootFromParent_Done,
     /* 2135433 */   // Label 28234: @2135433
     /* 2135433 */   GIM_Try, /*On fail goto*//*Label 28235*/ GIMT_Encode4(2135524), // Rule ID 17539 //
     /* 2135438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2135446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2135449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2135452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2135455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2135458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135484 */     // MIs[0] round
     /* 2135484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135487 */     // MIs[0] policy
     /* 2135487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135497 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2135500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135523 */     // GIR_Coverage, 17539,
     /* 2135523 */     GIR_EraseRootFromParent_Done,
     /* 2135524 */   // Label 28235: @2135524
     /* 2135524 */   GIM_Try, /*On fail goto*//*Label 28236*/ GIMT_Encode4(2135615), // Rule ID 17542 //
     /* 2135529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2135537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2135540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2135543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2135546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2135549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135575 */     // MIs[0] round
     /* 2135575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135578 */     // MIs[0] policy
     /* 2135578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135588 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2135591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135614 */     // GIR_Coverage, 17542,
     /* 2135614 */     GIR_EraseRootFromParent_Done,
     /* 2135615 */   // Label 28236: @2135615
     /* 2135615 */   GIM_Try, /*On fail goto*//*Label 28237*/ GIMT_Encode4(2135706), // Rule ID 17543 //
     /* 2135620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2135628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2135631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2135634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2135637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2135640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135666 */     // MIs[0] round
     /* 2135666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135669 */     // MIs[0] policy
     /* 2135669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135679 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2135682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135705 */     // GIR_Coverage, 17543,
     /* 2135705 */     GIR_EraseRootFromParent_Done,
     /* 2135706 */   // Label 28237: @2135706
     /* 2135706 */   GIM_Try, /*On fail goto*//*Label 28238*/ GIMT_Encode4(2135797), // Rule ID 17546 //
     /* 2135711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2135719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2135722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2135731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135757 */     // MIs[0] round
     /* 2135757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135760 */     // MIs[0] policy
     /* 2135760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135770 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2135773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135796 */     // GIR_Coverage, 17546,
     /* 2135796 */     GIR_EraseRootFromParent_Done,
     /* 2135797 */   // Label 28238: @2135797
     /* 2135797 */   GIM_Try, /*On fail goto*//*Label 28239*/ GIMT_Encode4(2135888), // Rule ID 17547 //
     /* 2135802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2135810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2135813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2135822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135848 */     // MIs[0] round
     /* 2135848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135851 */     // MIs[0] policy
     /* 2135851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135861 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2135864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135887 */     // GIR_Coverage, 17547,
     /* 2135887 */     GIR_EraseRootFromParent_Done,
     /* 2135888 */   // Label 28239: @2135888
     /* 2135888 */   GIM_Try, /*On fail goto*//*Label 28240*/ GIMT_Encode4(2135979), // Rule ID 17550 //
     /* 2135893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2135901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2135904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2135907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2135910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2135913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135939 */     // MIs[0] round
     /* 2135939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135942 */     // MIs[0] policy
     /* 2135942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135952 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2135955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135978 */     // GIR_Coverage, 17550,
     /* 2135978 */     GIR_EraseRootFromParent_Done,
     /* 2135979 */   // Label 28240: @2135979
     /* 2135979 */   GIM_Try, /*On fail goto*//*Label 28241*/ GIMT_Encode4(2136070), // Rule ID 17551 //
     /* 2135984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2135992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2135995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2135998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2136001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2136004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136030 */     // MIs[0] round
     /* 2136030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136033 */     // MIs[0] policy
     /* 2136033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136043 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2136046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136069 */     // GIR_Coverage, 17551,
     /* 2136069 */     GIR_EraseRootFromParent_Done,
     /* 2136070 */   // Label 28241: @2136070
     /* 2136070 */   GIM_Try, /*On fail goto*//*Label 28242*/ GIMT_Encode4(2136161), // Rule ID 17554 //
     /* 2136075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2136078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2136083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2136086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2136089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2136092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2136095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2136098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136121 */     // MIs[0] round
     /* 2136121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136124 */     // MIs[0] policy
     /* 2136124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136134 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2136137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136160 */     // GIR_Coverage, 17554,
     /* 2136160 */     GIR_EraseRootFromParent_Done,
     /* 2136161 */   // Label 28242: @2136161
     /* 2136161 */   GIM_Try, /*On fail goto*//*Label 28243*/ GIMT_Encode4(2136252), // Rule ID 17555 //
     /* 2136166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2136169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2136174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2136177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2136180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2136183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2136186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2136189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136212 */     // MIs[0] round
     /* 2136212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136215 */     // MIs[0] policy
     /* 2136215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136225 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2136228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136251 */     // GIR_Coverage, 17555,
     /* 2136251 */     GIR_EraseRootFromParent_Done,
     /* 2136252 */   // Label 28243: @2136252
     /* 2136252 */   GIM_Try, /*On fail goto*//*Label 28244*/ GIMT_Encode4(2136343), // Rule ID 17558 //
     /* 2136257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2136265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2136268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2136271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2136274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2136277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136303 */     // MIs[0] round
     /* 2136303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136306 */     // MIs[0] policy
     /* 2136306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136316 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2136319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136342 */     // GIR_Coverage, 17558,
     /* 2136342 */     GIR_EraseRootFromParent_Done,
     /* 2136343 */   // Label 28244: @2136343
     /* 2136343 */   GIM_Try, /*On fail goto*//*Label 28245*/ GIMT_Encode4(2136434), // Rule ID 17559 //
     /* 2136348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2136356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2136359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2136362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2136365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2136368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136394 */     // MIs[0] round
     /* 2136394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136397 */     // MIs[0] policy
     /* 2136397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136407 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2136410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136433 */     // GIR_Coverage, 17559,
     /* 2136433 */     GIR_EraseRootFromParent_Done,
     /* 2136434 */   // Label 28245: @2136434
     /* 2136434 */   GIM_Try, /*On fail goto*//*Label 28246*/ GIMT_Encode4(2136525), // Rule ID 17562 //
     /* 2136439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2136447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2136450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2136459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136485 */     // MIs[0] round
     /* 2136485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136488 */     // MIs[0] policy
     /* 2136488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136498 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2136501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136524 */     // GIR_Coverage, 17562,
     /* 2136524 */     GIR_EraseRootFromParent_Done,
     /* 2136525 */   // Label 28246: @2136525
     /* 2136525 */   GIM_Try, /*On fail goto*//*Label 28247*/ GIMT_Encode4(2136616), // Rule ID 17563 //
     /* 2136530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2136538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2136541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2136550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136576 */     // MIs[0] round
     /* 2136576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136579 */     // MIs[0] policy
     /* 2136579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136589 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2136592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136615 */     // GIR_Coverage, 17563,
     /* 2136615 */     GIR_EraseRootFromParent_Done,
     /* 2136616 */   // Label 28247: @2136616
     /* 2136616 */   GIM_Try, /*On fail goto*//*Label 28248*/ GIMT_Encode4(2136707), // Rule ID 17566 //
     /* 2136621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2136629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2136632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2136635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2136638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2136641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136667 */     // MIs[0] round
     /* 2136667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136670 */     // MIs[0] policy
     /* 2136670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136680 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2136683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136706 */     // GIR_Coverage, 17566,
     /* 2136706 */     GIR_EraseRootFromParent_Done,
     /* 2136707 */   // Label 28248: @2136707
     /* 2136707 */   GIM_Try, /*On fail goto*//*Label 28249*/ GIMT_Encode4(2136798), // Rule ID 17567 //
     /* 2136712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2136720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2136723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2136726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2136729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2136732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136758 */     // MIs[0] round
     /* 2136758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136761 */     // MIs[0] policy
     /* 2136761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136771 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2136774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136797 */     // GIR_Coverage, 17567,
     /* 2136797 */     GIR_EraseRootFromParent_Done,
     /* 2136798 */   // Label 28249: @2136798
     /* 2136798 */   GIM_Try, /*On fail goto*//*Label 28250*/ GIMT_Encode4(2136889), // Rule ID 17570 //
     /* 2136803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2136811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2136814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2136817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2136820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2136823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136849 */     // MIs[0] round
     /* 2136849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136852 */     // MIs[0] policy
     /* 2136852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136862 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2136865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136888 */     // GIR_Coverage, 17570,
     /* 2136888 */     GIR_EraseRootFromParent_Done,
     /* 2136889 */   // Label 28250: @2136889
     /* 2136889 */   GIM_Try, /*On fail goto*//*Label 28251*/ GIMT_Encode4(2136980), // Rule ID 17571 //
     /* 2136894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2136902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2136905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2136908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2136911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2136914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136940 */     // MIs[0] round
     /* 2136940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136943 */     // MIs[0] policy
     /* 2136943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136953 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2136956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136979 */     // GIR_Coverage, 17571,
     /* 2136979 */     GIR_EraseRootFromParent_Done,
     /* 2136980 */   // Label 28251: @2136980
     /* 2136980 */   GIM_Try, /*On fail goto*//*Label 28252*/ GIMT_Encode4(2137071), // Rule ID 17574 //
     /* 2136985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2136993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2136996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2136999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2137002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2137005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137031 */     // MIs[0] round
     /* 2137031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137034 */     // MIs[0] policy
     /* 2137034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137044 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2137047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137070 */     // GIR_Coverage, 17574,
     /* 2137070 */     GIR_EraseRootFromParent_Done,
     /* 2137071 */   // Label 28252: @2137071
     /* 2137071 */   GIM_Try, /*On fail goto*//*Label 28253*/ GIMT_Encode4(2137162), // Rule ID 17575 //
     /* 2137076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2137084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2137087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2137090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2137093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2137096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137122 */     // MIs[0] round
     /* 2137122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137125 */     // MIs[0] policy
     /* 2137125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137135 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2137138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137161 */     // GIR_Coverage, 17575,
     /* 2137161 */     GIR_EraseRootFromParent_Done,
     /* 2137162 */   // Label 28253: @2137162
     /* 2137162 */   GIM_Try, /*On fail goto*//*Label 28254*/ GIMT_Encode4(2137253), // Rule ID 17578 //
     /* 2137167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2137175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2137178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2137181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2137184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137213 */     // MIs[0] round
     /* 2137213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137216 */     // MIs[0] policy
     /* 2137216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137226 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2137229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137252 */     // GIR_Coverage, 17578,
     /* 2137252 */     GIR_EraseRootFromParent_Done,
     /* 2137253 */   // Label 28254: @2137253
     /* 2137253 */   GIM_Try, /*On fail goto*//*Label 28255*/ GIMT_Encode4(2137344), // Rule ID 17579 //
     /* 2137258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2137266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2137269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2137272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2137275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137304 */     // MIs[0] round
     /* 2137304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137307 */     // MIs[0] policy
     /* 2137307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137317 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2137320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137343 */     // GIR_Coverage, 17579,
     /* 2137343 */     GIR_EraseRootFromParent_Done,
     /* 2137344 */   // Label 28255: @2137344
     /* 2137344 */   GIM_Try, /*On fail goto*//*Label 28256*/ GIMT_Encode4(2137435), // Rule ID 17582 //
     /* 2137349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2137357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2137360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2137363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2137366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2137369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137395 */     // MIs[0] round
     /* 2137395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137398 */     // MIs[0] policy
     /* 2137398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137408 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2137411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137434 */     // GIR_Coverage, 17582,
     /* 2137434 */     GIR_EraseRootFromParent_Done,
     /* 2137435 */   // Label 28256: @2137435
     /* 2137435 */   GIM_Try, /*On fail goto*//*Label 28257*/ GIMT_Encode4(2137526), // Rule ID 17583 //
     /* 2137440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2137448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2137451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2137454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2137457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2137460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137486 */     // MIs[0] round
     /* 2137486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137489 */     // MIs[0] policy
     /* 2137489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137499 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2137502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137525 */     // GIR_Coverage, 17583,
     /* 2137525 */     GIR_EraseRootFromParent_Done,
     /* 2137526 */   // Label 28257: @2137526
     /* 2137526 */   GIM_Try, /*On fail goto*//*Label 28258*/ GIMT_Encode4(2137617), // Rule ID 17586 //
     /* 2137531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2137539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2137542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2137545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2137548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137577 */     // MIs[0] round
     /* 2137577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137580 */     // MIs[0] policy
     /* 2137580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137590 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2137593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137616 */     // GIR_Coverage, 17586,
     /* 2137616 */     GIR_EraseRootFromParent_Done,
     /* 2137617 */   // Label 28258: @2137617
     /* 2137617 */   GIM_Try, /*On fail goto*//*Label 28259*/ GIMT_Encode4(2137708), // Rule ID 17587 //
     /* 2137622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2137630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2137633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2137636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2137639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137668 */     // MIs[0] round
     /* 2137668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137671 */     // MIs[0] policy
     /* 2137671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137681 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2137684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137707 */     // GIR_Coverage, 17587,
     /* 2137707 */     GIR_EraseRootFromParent_Done,
     /* 2137708 */   // Label 28259: @2137708
     /* 2137708 */   GIM_Try, /*On fail goto*//*Label 28260*/ GIMT_Encode4(2137799), // Rule ID 17590 //
     /* 2137713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2137716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2137721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2137724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2137727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2137730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2137733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137759 */     // MIs[0] round
     /* 2137759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137762 */     // MIs[0] policy
     /* 2137762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137772 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2137775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137798 */     // GIR_Coverage, 17590,
     /* 2137798 */     GIR_EraseRootFromParent_Done,
     /* 2137799 */   // Label 28260: @2137799
     /* 2137799 */   GIM_Try, /*On fail goto*//*Label 28261*/ GIMT_Encode4(2137890), // Rule ID 17591 //
     /* 2137804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2137807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2137812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2137815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2137818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2137821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2137824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137850 */     // MIs[0] round
     /* 2137850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137853 */     // MIs[0] policy
     /* 2137853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137863 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2137866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137889 */     // GIR_Coverage, 17591,
     /* 2137889 */     GIR_EraseRootFromParent_Done,
     /* 2137890 */   // Label 28261: @2137890
     /* 2137890 */   GIM_Try, /*On fail goto*//*Label 28262*/ GIMT_Encode4(2137981), // Rule ID 17594 //
     /* 2137895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2137903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2137906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2137909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2137912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2137915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137941 */     // MIs[0] round
     /* 2137941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137944 */     // MIs[0] policy
     /* 2137944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137954 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2137957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137980 */     // GIR_Coverage, 17594,
     /* 2137980 */     GIR_EraseRootFromParent_Done,
     /* 2137981 */   // Label 28262: @2137981
     /* 2137981 */   GIM_Try, /*On fail goto*//*Label 28263*/ GIMT_Encode4(2138072), // Rule ID 17595 //
     /* 2137986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2137994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2137997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2138000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2138003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2138006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138032 */     // MIs[0] round
     /* 2138032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138035 */     // MIs[0] policy
     /* 2138035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138045 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2138048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138071 */     // GIR_Coverage, 17595,
     /* 2138071 */     GIR_EraseRootFromParent_Done,
     /* 2138072 */   // Label 28263: @2138072
     /* 2138072 */   GIM_Try, /*On fail goto*//*Label 28264*/ GIMT_Encode4(2138163), // Rule ID 17598 //
     /* 2138077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2138088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2138091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2138094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2138097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138123 */     // MIs[0] round
     /* 2138123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138126 */     // MIs[0] policy
     /* 2138126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138136 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2138139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138162 */     // GIR_Coverage, 17598,
     /* 2138162 */     GIR_EraseRootFromParent_Done,
     /* 2138163 */   // Label 28264: @2138163
     /* 2138163 */   GIM_Try, /*On fail goto*//*Label 28265*/ GIMT_Encode4(2138254), // Rule ID 17599 //
     /* 2138168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2138179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2138182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2138185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2138188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138214 */     // MIs[0] round
     /* 2138214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138217 */     // MIs[0] policy
     /* 2138217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138227 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2138230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138253 */     // GIR_Coverage, 17599,
     /* 2138253 */     GIR_EraseRootFromParent_Done,
     /* 2138254 */   // Label 28265: @2138254
     /* 2138254 */   GIM_Try, /*On fail goto*//*Label 28266*/ GIMT_Encode4(2138345), // Rule ID 17602 //
     /* 2138259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2138270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2138273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2138276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2138279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2138282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138305 */     // MIs[0] round
     /* 2138305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138308 */     // MIs[0] policy
     /* 2138308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138318 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2138321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138344 */     // GIR_Coverage, 17602,
     /* 2138344 */     GIR_EraseRootFromParent_Done,
     /* 2138345 */   // Label 28266: @2138345
     /* 2138345 */   GIM_Try, /*On fail goto*//*Label 28267*/ GIMT_Encode4(2138436), // Rule ID 17603 //
     /* 2138350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2138361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2138364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2138367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2138370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2138373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2138392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138396 */     // MIs[0] round
     /* 2138396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138399 */     // MIs[0] policy
     /* 2138399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138409 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2138412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138435 */     // GIR_Coverage, 17603,
     /* 2138435 */     GIR_EraseRootFromParent_Done,
     /* 2138436 */   // Label 28267: @2138436
     /* 2138436 */   GIM_Try, /*On fail goto*//*Label 28268*/ GIMT_Encode4(2138527), // Rule ID 17606 //
     /* 2138441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2138452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2138458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138487 */     // MIs[0] round
     /* 2138487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138490 */     // MIs[0] policy
     /* 2138490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138500 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2138503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138526 */     // GIR_Coverage, 17606,
     /* 2138526 */     GIR_EraseRootFromParent_Done,
     /* 2138527 */   // Label 28268: @2138527
     /* 2138527 */   GIM_Try, /*On fail goto*//*Label 28269*/ GIMT_Encode4(2138618), // Rule ID 17607 //
     /* 2138532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2138543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2138549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138578 */     // MIs[0] round
     /* 2138578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138581 */     // MIs[0] policy
     /* 2138581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138591 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2138594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138617 */     // GIR_Coverage, 17607,
     /* 2138617 */     GIR_EraseRootFromParent_Done,
     /* 2138618 */   // Label 28269: @2138618
     /* 2138618 */   GIM_Try, /*On fail goto*//*Label 28270*/ GIMT_Encode4(2138709), // Rule ID 17610 //
     /* 2138623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2138634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2138637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2138640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138669 */     // MIs[0] round
     /* 2138669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138672 */     // MIs[0] policy
     /* 2138672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138682 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2138685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138708 */     // GIR_Coverage, 17610,
     /* 2138708 */     GIR_EraseRootFromParent_Done,
     /* 2138709 */   // Label 28270: @2138709
     /* 2138709 */   GIM_Try, /*On fail goto*//*Label 28271*/ GIMT_Encode4(2138800), // Rule ID 17611 //
     /* 2138714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2138725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2138728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2138731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138760 */     // MIs[0] round
     /* 2138760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138763 */     // MIs[0] policy
     /* 2138763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138773 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2138776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138799 */     // GIR_Coverage, 17611,
     /* 2138799 */     GIR_EraseRootFromParent_Done,
     /* 2138800 */   // Label 28271: @2138800
     /* 2138800 */   GIM_Try, /*On fail goto*//*Label 28272*/ GIMT_Encode4(2138891), // Rule ID 17614 //
     /* 2138805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2138816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2138819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2138822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138851 */     // MIs[0] round
     /* 2138851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138854 */     // MIs[0] policy
     /* 2138854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138864 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2138867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138890 */     // GIR_Coverage, 17614,
     /* 2138890 */     GIR_EraseRootFromParent_Done,
     /* 2138891 */   // Label 28272: @2138891
     /* 2138891 */   GIM_Try, /*On fail goto*//*Label 28273*/ GIMT_Encode4(2138982), // Rule ID 17615 //
     /* 2138896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2138907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2138910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2138913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138942 */     // MIs[0] round
     /* 2138942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138945 */     // MIs[0] policy
     /* 2138945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138955 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2138958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138981 */     // GIR_Coverage, 17615,
     /* 2138981 */     GIR_EraseRootFromParent_Done,
     /* 2138982 */   // Label 28273: @2138982
     /* 2138982 */   GIM_Try, /*On fail goto*//*Label 28274*/ GIMT_Encode4(2139073), // Rule ID 17618 //
     /* 2138987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2138998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2139001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2139004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2139007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139033 */     // MIs[0] round
     /* 2139033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139036 */     // MIs[0] policy
     /* 2139036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139046 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2139049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139072 */     // GIR_Coverage, 17618,
     /* 2139072 */     GIR_EraseRootFromParent_Done,
     /* 2139073 */   // Label 28274: @2139073
     /* 2139073 */   GIM_Try, /*On fail goto*//*Label 28275*/ GIMT_Encode4(2139164), // Rule ID 17619 //
     /* 2139078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2139081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2139089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2139092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2139095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2139098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139124 */     // MIs[0] round
     /* 2139124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139127 */     // MIs[0] policy
     /* 2139127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139137 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2139140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139163 */     // GIR_Coverage, 17619,
     /* 2139163 */     GIR_EraseRootFromParent_Done,
     /* 2139164 */   // Label 28275: @2139164
     /* 2139164 */   GIM_Try, /*On fail goto*//*Label 28276*/ GIMT_Encode4(2139255), // Rule ID 17622 //
     /* 2139169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2139172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2139180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2139183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2139186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2139189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139215 */     // MIs[0] round
     /* 2139215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139218 */     // MIs[0] policy
     /* 2139218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139228 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2139231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139254 */     // GIR_Coverage, 17622,
     /* 2139254 */     GIR_EraseRootFromParent_Done,
     /* 2139255 */   // Label 28276: @2139255
     /* 2139255 */   GIM_Try, /*On fail goto*//*Label 28277*/ GIMT_Encode4(2139346), // Rule ID 17623 //
     /* 2139260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2139263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2139271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2139274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2139277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2139280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139306 */     // MIs[0] round
     /* 2139306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139309 */     // MIs[0] policy
     /* 2139309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139319 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2139322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139345 */     // GIR_Coverage, 17623,
     /* 2139345 */     GIR_EraseRootFromParent_Done,
     /* 2139346 */   // Label 28277: @2139346
     /* 2139346 */   GIM_Try, /*On fail goto*//*Label 28278*/ GIMT_Encode4(2139437), // Rule ID 17626 //
     /* 2139351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2139354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2139362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2139365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2139368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2139371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139397 */     // MIs[0] round
     /* 2139397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139400 */     // MIs[0] policy
     /* 2139400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139410 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2139413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139436 */     // GIR_Coverage, 17626,
     /* 2139436 */     GIR_EraseRootFromParent_Done,
     /* 2139437 */   // Label 28278: @2139437
     /* 2139437 */   GIM_Try, /*On fail goto*//*Label 28279*/ GIMT_Encode4(2139528), // Rule ID 17627 //
     /* 2139442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2139445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2139453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2139456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2139459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2139462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2139484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139488 */     // MIs[0] round
     /* 2139488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139491 */     // MIs[0] policy
     /* 2139491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139501 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2139504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139527 */     // GIR_Coverage, 17627,
     /* 2139527 */     GIR_EraseRootFromParent_Done,
     /* 2139528 */   // Label 28279: @2139528
     /* 2139528 */   GIM_Try, /*On fail goto*//*Label 28280*/ GIMT_Encode4(2139619), // Rule ID 17630 //
     /* 2139533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2139541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2139544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2139547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2139550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2139553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2139575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139579 */     // MIs[0] round
     /* 2139579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139582 */     // MIs[0] policy
     /* 2139582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139592 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2139595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139618 */     // GIR_Coverage, 17630,
     /* 2139618 */     GIR_EraseRootFromParent_Done,
     /* 2139619 */   // Label 28280: @2139619
     /* 2139619 */   GIM_Try, /*On fail goto*//*Label 28281*/ GIMT_Encode4(2139710), // Rule ID 17631 //
     /* 2139624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2139632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2139635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2139638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2139641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2139644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2139666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139670 */     // MIs[0] round
     /* 2139670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139673 */     // MIs[0] policy
     /* 2139673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139683 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2139686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139709 */     // GIR_Coverage, 17631,
     /* 2139709 */     GIR_EraseRootFromParent_Done,
     /* 2139710 */   // Label 28281: @2139710
     /* 2139710 */   GIM_Try, /*On fail goto*//*Label 28282*/ GIMT_Encode4(2139801), // Rule ID 17634 //
     /* 2139715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2139723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2139726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2139729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2139732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2139735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2139757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139761 */     // MIs[0] round
     /* 2139761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139764 */     // MIs[0] policy
     /* 2139764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139774 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2139777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139800 */     // GIR_Coverage, 17634,
     /* 2139800 */     GIR_EraseRootFromParent_Done,
     /* 2139801 */   // Label 28282: @2139801
     /* 2139801 */   GIM_Try, /*On fail goto*//*Label 28283*/ GIMT_Encode4(2139892), // Rule ID 17635 //
     /* 2139806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2139814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2139817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2139820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2139823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2139826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2139848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139852 */     // MIs[0] round
     /* 2139852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139855 */     // MIs[0] policy
     /* 2139855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139865 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2139868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139891 */     // GIR_Coverage, 17635,
     /* 2139891 */     GIR_EraseRootFromParent_Done,
     /* 2139892 */   // Label 28283: @2139892
     /* 2139892 */   GIM_Try, /*On fail goto*//*Label 28284*/ GIMT_Encode4(2139983), // Rule ID 17638 //
     /* 2139897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2139905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2139908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2139911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2139914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2139917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2139939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139943 */     // MIs[0] round
     /* 2139943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139946 */     // MIs[0] policy
     /* 2139946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139956 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2139959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139982 */     // GIR_Coverage, 17638,
     /* 2139982 */     GIR_EraseRootFromParent_Done,
     /* 2139983 */   // Label 28284: @2139983
     /* 2139983 */   GIM_Try, /*On fail goto*//*Label 28285*/ GIMT_Encode4(2140074), // Rule ID 17639 //
     /* 2139988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2139996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2139999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2140002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2140005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2140008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2140030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140034 */     // MIs[0] round
     /* 2140034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140037 */     // MIs[0] policy
     /* 2140037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140047 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2140050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140073 */     // GIR_Coverage, 17639,
     /* 2140073 */     GIR_EraseRootFromParent_Done,
     /* 2140074 */   // Label 28285: @2140074
     /* 2140074 */   GIM_Try, /*On fail goto*//*Label 28286*/ GIMT_Encode4(2140165), // Rule ID 17642 //
     /* 2140079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2140087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2140090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2140093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2140096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2140099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2140121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140125 */     // MIs[0] round
     /* 2140125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140128 */     // MIs[0] policy
     /* 2140128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140138 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2140141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140164 */     // GIR_Coverage, 17642,
     /* 2140164 */     GIR_EraseRootFromParent_Done,
     /* 2140165 */   // Label 28286: @2140165
     /* 2140165 */   GIM_Try, /*On fail goto*//*Label 28287*/ GIMT_Encode4(2140256), // Rule ID 17643 //
     /* 2140170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2140178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2140181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2140184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2140187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2140190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2140212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140216 */     // MIs[0] round
     /* 2140216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140219 */     // MIs[0] policy
     /* 2140219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140229 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2140232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140255 */     // GIR_Coverage, 17643,
     /* 2140255 */     GIR_EraseRootFromParent_Done,
     /* 2140256 */   // Label 28287: @2140256
     /* 2140256 */   GIM_Try, /*On fail goto*//*Label 28288*/ GIMT_Encode4(2140347), // Rule ID 17646 //
     /* 2140261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2140269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2140272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2140275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2140278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2140281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2140303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140307 */     // MIs[0] round
     /* 2140307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140310 */     // MIs[0] policy
     /* 2140310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140320 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2140323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140346 */     // GIR_Coverage, 17646,
     /* 2140346 */     GIR_EraseRootFromParent_Done,
     /* 2140347 */   // Label 28288: @2140347
     /* 2140347 */   GIM_Try, /*On fail goto*//*Label 28289*/ GIMT_Encode4(2140438), // Rule ID 17647 //
     /* 2140352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2140360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2140363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2140366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2140369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2140372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2140394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140398 */     // MIs[0] round
     /* 2140398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140401 */     // MIs[0] policy
     /* 2140401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140411 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2140414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140437 */     // GIR_Coverage, 17647,
     /* 2140437 */     GIR_EraseRootFromParent_Done,
     /* 2140438 */   // Label 28289: @2140438
     /* 2140438 */   GIM_Try, /*On fail goto*//*Label 28290*/ GIMT_Encode4(2140529), // Rule ID 17650 //
     /* 2140443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2140446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2140451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2140454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2140457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2140460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2140463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2140485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140489 */     // MIs[0] round
     /* 2140489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140492 */     // MIs[0] policy
     /* 2140492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140502 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2140505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140528 */     // GIR_Coverage, 17650,
     /* 2140528 */     GIR_EraseRootFromParent_Done,
     /* 2140529 */   // Label 28290: @2140529
     /* 2140529 */   GIM_Try, /*On fail goto*//*Label 28291*/ GIMT_Encode4(2140620), // Rule ID 17651 //
     /* 2140534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2140542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2140545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2140548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2140551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2140554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2140576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140580 */     // MIs[0] round
     /* 2140580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140583 */     // MIs[0] policy
     /* 2140583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140593 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2140596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140619 */     // GIR_Coverage, 17651,
     /* 2140619 */     GIR_EraseRootFromParent_Done,
     /* 2140620 */   // Label 28291: @2140620
     /* 2140620 */   GIM_Try, /*On fail goto*//*Label 28292*/ GIMT_Encode4(2140711), // Rule ID 17654 //
     /* 2140625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2140633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2140636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2140645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2140667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140671 */     // MIs[0] round
     /* 2140671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140674 */     // MIs[0] policy
     /* 2140674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140684 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2140687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140710 */     // GIR_Coverage, 17654,
     /* 2140710 */     GIR_EraseRootFromParent_Done,
     /* 2140711 */   // Label 28292: @2140711
     /* 2140711 */   GIM_Try, /*On fail goto*//*Label 28293*/ GIMT_Encode4(2140802), // Rule ID 17655 //
     /* 2140716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2140724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2140727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2140736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2140758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140762 */     // MIs[0] round
     /* 2140762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140765 */     // MIs[0] policy
     /* 2140765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140775 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2140778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140801 */     // GIR_Coverage, 17655,
     /* 2140801 */     GIR_EraseRootFromParent_Done,
     /* 2140802 */   // Label 28293: @2140802
     /* 2140802 */   GIM_Try, /*On fail goto*//*Label 28294*/ GIMT_Encode4(2140893), // Rule ID 17658 //
     /* 2140807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2140815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2140818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2140821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2140824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2140827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2140849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140853 */     // MIs[0] round
     /* 2140853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140856 */     // MIs[0] policy
     /* 2140856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140866 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2140869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140892 */     // GIR_Coverage, 17658,
     /* 2140892 */     GIR_EraseRootFromParent_Done,
     /* 2140893 */   // Label 28294: @2140893
     /* 2140893 */   GIM_Try, /*On fail goto*//*Label 28295*/ GIMT_Encode4(2140984), // Rule ID 17659 //
     /* 2140898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2140906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2140909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2140912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2140915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2140918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2140940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140944 */     // MIs[0] round
     /* 2140944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140947 */     // MIs[0] policy
     /* 2140947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140957 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2140960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140983 */     // GIR_Coverage, 17659,
     /* 2140983 */     GIR_EraseRootFromParent_Done,
     /* 2140984 */   // Label 28295: @2140984
     /* 2140984 */   GIM_Try, /*On fail goto*//*Label 28296*/ GIMT_Encode4(2141075), // Rule ID 17662 //
     /* 2140989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2140997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2141000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2141003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2141006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2141009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2141012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141035 */     // MIs[0] round
     /* 2141035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141038 */     // MIs[0] policy
     /* 2141038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141048 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2141051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141074 */     // GIR_Coverage, 17662,
     /* 2141074 */     GIR_EraseRootFromParent_Done,
     /* 2141075 */   // Label 28296: @2141075
     /* 2141075 */   GIM_Try, /*On fail goto*//*Label 28297*/ GIMT_Encode4(2141166), // Rule ID 17663 //
     /* 2141080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2141088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2141091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2141094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2141097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2141100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2141103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141126 */     // MIs[0] round
     /* 2141126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141129 */     // MIs[0] policy
     /* 2141129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141139 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2141142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141165 */     // GIR_Coverage, 17663,
     /* 2141165 */     GIR_EraseRootFromParent_Done,
     /* 2141166 */   // Label 28297: @2141166
     /* 2141166 */   GIM_Try, /*On fail goto*//*Label 28298*/ GIMT_Encode4(2141257), // Rule ID 17666 //
     /* 2141171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2141179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2141182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2141185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2141188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141217 */     // MIs[0] round
     /* 2141217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141220 */     // MIs[0] policy
     /* 2141220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141230 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2141233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141256 */     // GIR_Coverage, 17666,
     /* 2141256 */     GIR_EraseRootFromParent_Done,
     /* 2141257 */   // Label 28298: @2141257
     /* 2141257 */   GIM_Try, /*On fail goto*//*Label 28299*/ GIMT_Encode4(2141348), // Rule ID 17667 //
     /* 2141262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2141270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2141273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2141276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2141279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141308 */     // MIs[0] round
     /* 2141308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141311 */     // MIs[0] policy
     /* 2141311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141321 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2141324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141347 */     // GIR_Coverage, 17667,
     /* 2141347 */     GIR_EraseRootFromParent_Done,
     /* 2141348 */   // Label 28299: @2141348
     /* 2141348 */   GIM_Try, /*On fail goto*//*Label 28300*/ GIMT_Encode4(2141439), // Rule ID 17670 //
     /* 2141353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2141361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2141364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141399 */     // MIs[0] round
     /* 2141399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141402 */     // MIs[0] policy
     /* 2141402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141412 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2141415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141438 */     // GIR_Coverage, 17670,
     /* 2141438 */     GIR_EraseRootFromParent_Done,
     /* 2141439 */   // Label 28300: @2141439
     /* 2141439 */   GIM_Try, /*On fail goto*//*Label 28301*/ GIMT_Encode4(2141530), // Rule ID 17671 //
     /* 2141444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2141452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2141455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141490 */     // MIs[0] round
     /* 2141490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141493 */     // MIs[0] policy
     /* 2141493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141503 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2141506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141529 */     // GIR_Coverage, 17671,
     /* 2141529 */     GIR_EraseRootFromParent_Done,
     /* 2141530 */   // Label 28301: @2141530
     /* 2141530 */   GIM_Try, /*On fail goto*//*Label 28302*/ GIMT_Encode4(2141621), // Rule ID 17674 //
     /* 2141535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2141543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2141546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2141549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2141552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141581 */     // MIs[0] round
     /* 2141581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141584 */     // MIs[0] policy
     /* 2141584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141594 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2141597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141620 */     // GIR_Coverage, 17674,
     /* 2141620 */     GIR_EraseRootFromParent_Done,
     /* 2141621 */   // Label 28302: @2141621
     /* 2141621 */   GIM_Try, /*On fail goto*//*Label 28303*/ GIMT_Encode4(2141712), // Rule ID 17675 //
     /* 2141626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2141634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2141637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2141640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2141643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141672 */     // MIs[0] round
     /* 2141672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141675 */     // MIs[0] policy
     /* 2141675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141685 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2141688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141711 */     // GIR_Coverage, 17675,
     /* 2141711 */     GIR_EraseRootFromParent_Done,
     /* 2141712 */   // Label 28303: @2141712
     /* 2141712 */   GIM_Try, /*On fail goto*//*Label 28304*/ GIMT_Encode4(2141803), // Rule ID 17678 //
     /* 2141717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2141725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2141728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2141731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2141734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2141737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2141759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141763 */     // MIs[0] round
     /* 2141763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141766 */     // MIs[0] policy
     /* 2141766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141776 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2141779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141802 */     // GIR_Coverage, 17678,
     /* 2141802 */     GIR_EraseRootFromParent_Done,
     /* 2141803 */   // Label 28304: @2141803
     /* 2141803 */   GIM_Try, /*On fail goto*//*Label 28305*/ GIMT_Encode4(2141894), // Rule ID 17679 //
     /* 2141808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2141816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2141819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2141822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2141825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2141828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2141850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141854 */     // MIs[0] round
     /* 2141854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141857 */     // MIs[0] policy
     /* 2141857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141867 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2141870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141893 */     // GIR_Coverage, 17679,
     /* 2141893 */     GIR_EraseRootFromParent_Done,
     /* 2141894 */   // Label 28305: @2141894
     /* 2141894 */   GIM_Try, /*On fail goto*//*Label 28306*/ GIMT_Encode4(2141985), // Rule ID 17682 //
     /* 2141899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2141907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2141910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2141913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2141916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2141919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2141941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141945 */     // MIs[0] round
     /* 2141945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141948 */     // MIs[0] policy
     /* 2141948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141958 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2141961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141984 */     // GIR_Coverage, 17682,
     /* 2141984 */     GIR_EraseRootFromParent_Done,
     /* 2141985 */   // Label 28306: @2141985
     /* 2141985 */   GIM_Try, /*On fail goto*//*Label 28307*/ GIMT_Encode4(2142076), // Rule ID 17683 //
     /* 2141990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2141998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2142001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2142004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2142007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2142010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2142032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142036 */     // MIs[0] round
     /* 2142036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142039 */     // MIs[0] policy
     /* 2142039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142049 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2142052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142075 */     // GIR_Coverage, 17683,
     /* 2142075 */     GIR_EraseRootFromParent_Done,
     /* 2142076 */   // Label 28307: @2142076
     /* 2142076 */   GIM_Try, /*On fail goto*//*Label 28308*/ GIMT_Encode4(2142167), // Rule ID 17686 //
     /* 2142081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2142084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2142089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2142092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2142095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2142098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2142101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2142123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142127 */     // MIs[0] round
     /* 2142127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142130 */     // MIs[0] policy
     /* 2142130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142140 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2142143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142166 */     // GIR_Coverage, 17686,
     /* 2142166 */     GIR_EraseRootFromParent_Done,
     /* 2142167 */   // Label 28308: @2142167
     /* 2142167 */   GIM_Try, /*On fail goto*//*Label 28309*/ GIMT_Encode4(2142258), // Rule ID 17687 //
     /* 2142172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2142175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2142180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2142183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2142186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2142189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2142192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2142214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142218 */     // MIs[0] round
     /* 2142218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142221 */     // MIs[0] policy
     /* 2142221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142231 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2142234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142257 */     // GIR_Coverage, 17687,
     /* 2142257 */     GIR_EraseRootFromParent_Done,
     /* 2142258 */   // Label 28309: @2142258
     /* 2142258 */   GIM_Try, /*On fail goto*//*Label 28310*/ GIMT_Encode4(2142349), // Rule ID 17690 //
     /* 2142263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2142266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2142271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2142274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2142277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2142280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2142283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142309 */     // MIs[0] round
     /* 2142309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142312 */     // MIs[0] policy
     /* 2142312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142322 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2142325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142348 */     // GIR_Coverage, 17690,
     /* 2142348 */     GIR_EraseRootFromParent_Done,
     /* 2142349 */   // Label 28310: @2142349
     /* 2142349 */   GIM_Try, /*On fail goto*//*Label 28311*/ GIMT_Encode4(2142440), // Rule ID 17691 //
     /* 2142354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2142357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2142362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2142365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2142368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2142371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2142374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142400 */     // MIs[0] round
     /* 2142400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142403 */     // MIs[0] policy
     /* 2142403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142413 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2142416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142439 */     // GIR_Coverage, 17691,
     /* 2142439 */     GIR_EraseRootFromParent_Done,
     /* 2142440 */   // Label 28311: @2142440
     /* 2142440 */   GIM_Try, /*On fail goto*//*Label 28312*/ GIMT_Encode4(2142531), // Rule ID 17694 //
     /* 2142445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2142448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2142453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2142456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2142459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2142462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2142465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142491 */     // MIs[0] round
     /* 2142491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142494 */     // MIs[0] policy
     /* 2142494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142504 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2142507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142530 */     // GIR_Coverage, 17694,
     /* 2142530 */     GIR_EraseRootFromParent_Done,
     /* 2142531 */   // Label 28312: @2142531
     /* 2142531 */   GIM_Try, /*On fail goto*//*Label 28313*/ GIMT_Encode4(2142622), // Rule ID 17695 //
     /* 2142536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2142539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2142544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2142547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2142550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2142553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2142556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142582 */     // MIs[0] round
     /* 2142582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142585 */     // MIs[0] policy
     /* 2142585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142595 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2142598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142621 */     // GIR_Coverage, 17695,
     /* 2142621 */     GIR_EraseRootFromParent_Done,
     /* 2142622 */   // Label 28313: @2142622
     /* 2142622 */   GIM_Try, /*On fail goto*//*Label 28314*/ GIMT_Encode4(2142713), // Rule ID 17698 //
     /* 2142627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2142630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2142635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2142638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2142641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2142644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2142647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142673 */     // MIs[0] round
     /* 2142673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142676 */     // MIs[0] policy
     /* 2142676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142686 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2142689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142712 */     // GIR_Coverage, 17698,
     /* 2142712 */     GIR_EraseRootFromParent_Done,
     /* 2142713 */   // Label 28314: @2142713
     /* 2142713 */   GIM_Try, /*On fail goto*//*Label 28315*/ GIMT_Encode4(2142804), // Rule ID 17699 //
     /* 2142718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2142721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2142726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2142729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2142732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2142735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2142738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142764 */     // MIs[0] round
     /* 2142764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142767 */     // MIs[0] policy
     /* 2142767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142777 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2142780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142803 */     // GIR_Coverage, 17699,
     /* 2142803 */     GIR_EraseRootFromParent_Done,
     /* 2142804 */   // Label 28315: @2142804
     /* 2142804 */   GIM_Try, /*On fail goto*//*Label 28316*/ GIMT_Encode4(2142895), // Rule ID 17702 //
     /* 2142809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2142812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2142817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2142820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2142826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2142829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142855 */     // MIs[0] round
     /* 2142855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142858 */     // MIs[0] policy
     /* 2142858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142868 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2142871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142894 */     // GIR_Coverage, 17702,
     /* 2142894 */     GIR_EraseRootFromParent_Done,
     /* 2142895 */   // Label 28316: @2142895
     /* 2142895 */   GIM_Try, /*On fail goto*//*Label 28317*/ GIMT_Encode4(2142986), // Rule ID 17703 //
     /* 2142900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2142903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2142908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2142911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2142917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2142920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142946 */     // MIs[0] round
     /* 2142946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142949 */     // MIs[0] policy
     /* 2142949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142959 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2142962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142985 */     // GIR_Coverage, 17703,
     /* 2142985 */     GIR_EraseRootFromParent_Done,
     /* 2142986 */   // Label 28317: @2142986
     /* 2142986 */   GIM_Try, /*On fail goto*//*Label 28318*/ GIMT_Encode4(2143077), // Rule ID 17706 //
     /* 2142991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2142994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2142999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2143002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2143008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2143011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143037 */     // MIs[0] round
     /* 2143037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143040 */     // MIs[0] policy
     /* 2143040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143050 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2143053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143076 */     // GIR_Coverage, 17706,
     /* 2143076 */     GIR_EraseRootFromParent_Done,
     /* 2143077 */   // Label 28318: @2143077
     /* 2143077 */   GIM_Try, /*On fail goto*//*Label 28319*/ GIMT_Encode4(2143168), // Rule ID 17707 //
     /* 2143082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2143085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2143090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2143093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2143099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2143102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143128 */     // MIs[0] round
     /* 2143128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143131 */     // MIs[0] policy
     /* 2143131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143141 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2143144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143167 */     // GIR_Coverage, 17707,
     /* 2143167 */     GIR_EraseRootFromParent_Done,
     /* 2143168 */   // Label 28319: @2143168
     /* 2143168 */   GIM_Try, /*On fail goto*//*Label 28320*/ GIMT_Encode4(2143259), // Rule ID 17710 //
     /* 2143173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2143176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2143181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2143184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2143187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2143190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2143193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143219 */     // MIs[0] round
     /* 2143219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143222 */     // MIs[0] policy
     /* 2143222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143232 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2143235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143258 */     // GIR_Coverage, 17710,
     /* 2143258 */     GIR_EraseRootFromParent_Done,
     /* 2143259 */   // Label 28320: @2143259
     /* 2143259 */   GIM_Try, /*On fail goto*//*Label 28321*/ GIMT_Encode4(2143350), // Rule ID 17711 //
     /* 2143264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2143267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2143272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2143275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2143278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2143281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2143284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143310 */     // MIs[0] round
     /* 2143310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143313 */     // MIs[0] policy
     /* 2143313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143323 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2143326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143349 */     // GIR_Coverage, 17711,
     /* 2143349 */     GIR_EraseRootFromParent_Done,
     /* 2143350 */   // Label 28321: @2143350
     /* 2143350 */   GIM_Try, /*On fail goto*//*Label 28322*/ GIMT_Encode4(2143441), // Rule ID 17714 //
     /* 2143355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2143358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2143363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2143366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2143369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2143372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2143375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143401 */     // MIs[0] round
     /* 2143401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143404 */     // MIs[0] policy
     /* 2143404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143414 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2143417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143440 */     // GIR_Coverage, 17714,
     /* 2143440 */     GIR_EraseRootFromParent_Done,
     /* 2143441 */   // Label 28322: @2143441
     /* 2143441 */   GIM_Try, /*On fail goto*//*Label 28323*/ GIMT_Encode4(2143532), // Rule ID 17715 //
     /* 2143446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2143449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2143454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2143457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2143460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2143463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2143466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143492 */     // MIs[0] round
     /* 2143492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143495 */     // MIs[0] policy
     /* 2143495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143505 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2143508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143531 */     // GIR_Coverage, 17715,
     /* 2143531 */     GIR_EraseRootFromParent_Done,
     /* 2143532 */   // Label 28323: @2143532
     /* 2143532 */   GIM_Try, /*On fail goto*//*Label 28324*/ GIMT_Encode4(2143623), // Rule ID 17718 //
     /* 2143537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2143540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2143545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2143548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2143551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2143554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2143557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143583 */     // MIs[0] round
     /* 2143583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143586 */     // MIs[0] policy
     /* 2143586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143596 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2143599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143622 */     // GIR_Coverage, 17718,
     /* 2143622 */     GIR_EraseRootFromParent_Done,
     /* 2143623 */   // Label 28324: @2143623
     /* 2143623 */   GIM_Try, /*On fail goto*//*Label 28325*/ GIMT_Encode4(2143714), // Rule ID 17719 //
     /* 2143628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2143631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2143636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2143639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2143642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2143645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2143648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143674 */     // MIs[0] round
     /* 2143674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143677 */     // MIs[0] policy
     /* 2143677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143687 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2143690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143713 */     // GIR_Coverage, 17719,
     /* 2143713 */     GIR_EraseRootFromParent_Done,
     /* 2143714 */   // Label 28325: @2143714
     /* 2143714 */   GIM_Try, /*On fail goto*//*Label 28326*/ GIMT_Encode4(2143805), // Rule ID 17722 //
     /* 2143719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2143722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2143727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2143730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2143733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2143736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2143739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143765 */     // MIs[0] round
     /* 2143765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143768 */     // MIs[0] policy
     /* 2143768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143778 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2143781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143804 */     // GIR_Coverage, 17722,
     /* 2143804 */     GIR_EraseRootFromParent_Done,
     /* 2143805 */   // Label 28326: @2143805
     /* 2143805 */   GIM_Try, /*On fail goto*//*Label 28327*/ GIMT_Encode4(2143896), // Rule ID 17723 //
     /* 2143810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2143813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2143818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2143821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2143824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2143827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2143830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143856 */     // MIs[0] round
     /* 2143856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143859 */     // MIs[0] policy
     /* 2143859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143869 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2143872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143895 */     // GIR_Coverage, 17723,
     /* 2143895 */     GIR_EraseRootFromParent_Done,
     /* 2143896 */   // Label 28327: @2143896
     /* 2143896 */   GIM_Try, /*On fail goto*//*Label 28328*/ GIMT_Encode4(2143987), // Rule ID 17726 //
     /* 2143901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2143904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2143909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2143912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2143915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2143918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2143921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143947 */     // MIs[0] round
     /* 2143947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143950 */     // MIs[0] policy
     /* 2143950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143960 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2143963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143986 */     // GIR_Coverage, 17726,
     /* 2143986 */     GIR_EraseRootFromParent_Done,
     /* 2143987 */   // Label 28328: @2143987
     /* 2143987 */   GIM_Try, /*On fail goto*//*Label 28329*/ GIMT_Encode4(2144078), // Rule ID 17727 //
     /* 2143992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2143995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2144000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2144003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2144006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2144009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144038 */     // MIs[0] round
     /* 2144038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144041 */     // MIs[0] policy
     /* 2144041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144051 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2144054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144077 */     // GIR_Coverage, 17727,
     /* 2144077 */     GIR_EraseRootFromParent_Done,
     /* 2144078 */   // Label 28329: @2144078
     /* 2144078 */   GIM_Try, /*On fail goto*//*Label 28330*/ GIMT_Encode4(2144169), // Rule ID 17730 //
     /* 2144083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2144086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2144091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2144094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2144097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2144100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144129 */     // MIs[0] round
     /* 2144129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144132 */     // MIs[0] policy
     /* 2144132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144142 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2144145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144168 */     // GIR_Coverage, 17730,
     /* 2144168 */     GIR_EraseRootFromParent_Done,
     /* 2144169 */   // Label 28330: @2144169
     /* 2144169 */   GIM_Try, /*On fail goto*//*Label 28331*/ GIMT_Encode4(2144260), // Rule ID 17731 //
     /* 2144174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2144177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2144182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2144185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2144188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2144191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144220 */     // MIs[0] round
     /* 2144220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144223 */     // MIs[0] policy
     /* 2144223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144233 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2144236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144259 */     // GIR_Coverage, 17731,
     /* 2144259 */     GIR_EraseRootFromParent_Done,
     /* 2144260 */   // Label 28331: @2144260
     /* 2144260 */   GIM_Try, /*On fail goto*//*Label 28332*/ GIMT_Encode4(2144351), // Rule ID 17734 //
     /* 2144265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2144268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2144273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2144276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2144279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2144282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144311 */     // MIs[0] round
     /* 2144311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144314 */     // MIs[0] policy
     /* 2144314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144324 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2144327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144350 */     // GIR_Coverage, 17734,
     /* 2144350 */     GIR_EraseRootFromParent_Done,
     /* 2144351 */   // Label 28332: @2144351
     /* 2144351 */   GIM_Try, /*On fail goto*//*Label 28333*/ GIMT_Encode4(2144442), // Rule ID 17735 //
     /* 2144356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2144359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2144364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2144367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2144370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2144373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144402 */     // MIs[0] round
     /* 2144402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144405 */     // MIs[0] policy
     /* 2144405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144415 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2144418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144441 */     // GIR_Coverage, 17735,
     /* 2144441 */     GIR_EraseRootFromParent_Done,
     /* 2144442 */   // Label 28333: @2144442
     /* 2144442 */   GIM_Try, /*On fail goto*//*Label 28334*/ GIMT_Encode4(2144533), // Rule ID 17738 //
     /* 2144447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2144450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2144455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2144458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2144461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2144464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144493 */     // MIs[0] round
     /* 2144493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144496 */     // MIs[0] policy
     /* 2144496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144506 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2144509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144532 */     // GIR_Coverage, 17738,
     /* 2144532 */     GIR_EraseRootFromParent_Done,
     /* 2144533 */   // Label 28334: @2144533
     /* 2144533 */   GIM_Try, /*On fail goto*//*Label 28335*/ GIMT_Encode4(2144624), // Rule ID 17739 //
     /* 2144538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2144541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2144546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2144549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2144552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2144555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144584 */     // MIs[0] round
     /* 2144584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144587 */     // MIs[0] policy
     /* 2144587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144597 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2144600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144623 */     // GIR_Coverage, 17739,
     /* 2144623 */     GIR_EraseRootFromParent_Done,
     /* 2144624 */   // Label 28335: @2144624
     /* 2144624 */   GIM_Try, /*On fail goto*//*Label 28336*/ GIMT_Encode4(2144715), // Rule ID 17742 //
     /* 2144629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2144632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2144637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2144640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2144643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144675 */     // MIs[0] round
     /* 2144675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144678 */     // MIs[0] policy
     /* 2144678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144688 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2144691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144714 */     // GIR_Coverage, 17742,
     /* 2144714 */     GIR_EraseRootFromParent_Done,
     /* 2144715 */   // Label 28336: @2144715
     /* 2144715 */   GIM_Try, /*On fail goto*//*Label 28337*/ GIMT_Encode4(2144806), // Rule ID 17743 //
     /* 2144720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2144723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2144728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2144731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2144734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144766 */     // MIs[0] round
     /* 2144766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144769 */     // MIs[0] policy
     /* 2144769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144779 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2144782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144805 */     // GIR_Coverage, 17743,
     /* 2144805 */     GIR_EraseRootFromParent_Done,
     /* 2144806 */   // Label 28337: @2144806
     /* 2144806 */   GIM_Try, /*On fail goto*//*Label 28338*/ GIMT_Encode4(2144897), // Rule ID 17746 //
     /* 2144811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2144814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2144819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2144822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2144825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2144828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2144831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144857 */     // MIs[0] round
     /* 2144857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144860 */     // MIs[0] policy
     /* 2144860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144870 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2144873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144896 */     // GIR_Coverage, 17746,
     /* 2144896 */     GIR_EraseRootFromParent_Done,
     /* 2144897 */   // Label 28338: @2144897
     /* 2144897 */   GIM_Try, /*On fail goto*//*Label 28339*/ GIMT_Encode4(2144988), // Rule ID 17747 //
     /* 2144902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2144905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2144910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2144913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2144916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2144919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2144922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144948 */     // MIs[0] round
     /* 2144948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144951 */     // MIs[0] policy
     /* 2144951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144961 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2144964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144987 */     // GIR_Coverage, 17747,
     /* 2144987 */     GIR_EraseRootFromParent_Done,
     /* 2144988 */   // Label 28339: @2144988
     /* 2144988 */   GIM_Try, /*On fail goto*//*Label 28340*/ GIMT_Encode4(2145079), // Rule ID 17750 //
     /* 2144993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2144996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2145001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2145004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2145007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2145010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2145013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145039 */     // MIs[0] round
     /* 2145039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145042 */     // MIs[0] policy
     /* 2145042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145052 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2145055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145078 */     // GIR_Coverage, 17750,
     /* 2145078 */     GIR_EraseRootFromParent_Done,
     /* 2145079 */   // Label 28340: @2145079
     /* 2145079 */   GIM_Try, /*On fail goto*//*Label 28341*/ GIMT_Encode4(2145170), // Rule ID 17751 //
     /* 2145084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2145087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2145092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2145095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2145098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2145101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2145104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145130 */     // MIs[0] round
     /* 2145130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145133 */     // MIs[0] policy
     /* 2145133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145143 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2145146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145169 */     // GIR_Coverage, 17751,
     /* 2145169 */     GIR_EraseRootFromParent_Done,
     /* 2145170 */   // Label 28341: @2145170
     /* 2145170 */   GIM_Try, /*On fail goto*//*Label 28342*/ GIMT_Encode4(2145261), // Rule ID 17754 //
     /* 2145175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2145178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2145183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2145186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2145189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2145192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2145195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145221 */     // MIs[0] round
     /* 2145221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145224 */     // MIs[0] policy
     /* 2145224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145234 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2145237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145260 */     // GIR_Coverage, 17754,
     /* 2145260 */     GIR_EraseRootFromParent_Done,
     /* 2145261 */   // Label 28342: @2145261
     /* 2145261 */   GIM_Try, /*On fail goto*//*Label 28343*/ GIMT_Encode4(2145352), // Rule ID 17755 //
     /* 2145266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2145269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2145274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2145277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2145280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2145283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2145286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145312 */     // MIs[0] round
     /* 2145312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145315 */     // MIs[0] policy
     /* 2145315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145325 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2145328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145351 */     // GIR_Coverage, 17755,
     /* 2145351 */     GIR_EraseRootFromParent_Done,
     /* 2145352 */   // Label 28343: @2145352
     /* 2145352 */   GIM_Try, /*On fail goto*//*Label 28344*/ GIMT_Encode4(2145443), // Rule ID 17758 //
     /* 2145357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2145360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2145365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2145368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2145371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2145374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2145377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145403 */     // MIs[0] round
     /* 2145403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145406 */     // MIs[0] policy
     /* 2145406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145416 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2145419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145442 */     // GIR_Coverage, 17758,
     /* 2145442 */     GIR_EraseRootFromParent_Done,
     /* 2145443 */   // Label 28344: @2145443
     /* 2145443 */   GIM_Try, /*On fail goto*//*Label 28345*/ GIMT_Encode4(2145534), // Rule ID 17759 //
     /* 2145448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2145451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2145456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2145459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2145462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2145465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2145468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145494 */     // MIs[0] round
     /* 2145494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145497 */     // MIs[0] policy
     /* 2145497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145507 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2145510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145533 */     // GIR_Coverage, 17759,
     /* 2145533 */     GIR_EraseRootFromParent_Done,
     /* 2145534 */   // Label 28345: @2145534
     /* 2145534 */   GIM_Try, /*On fail goto*//*Label 28346*/ GIMT_Encode4(2145625), // Rule ID 17762 //
     /* 2145539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2145547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2145550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2145553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2145556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2145559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145585 */     // MIs[0] round
     /* 2145585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145588 */     // MIs[0] policy
     /* 2145588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145598 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2145601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145624 */     // GIR_Coverage, 17762,
     /* 2145624 */     GIR_EraseRootFromParent_Done,
     /* 2145625 */   // Label 28346: @2145625
     /* 2145625 */   GIM_Try, /*On fail goto*//*Label 28347*/ GIMT_Encode4(2145716), // Rule ID 17763 //
     /* 2145630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2145638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2145641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2145644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2145647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2145650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145676 */     // MIs[0] round
     /* 2145676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145679 */     // MIs[0] policy
     /* 2145679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145689 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2145692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145715 */     // GIR_Coverage, 17763,
     /* 2145715 */     GIR_EraseRootFromParent_Done,
     /* 2145716 */   // Label 28347: @2145716
     /* 2145716 */   GIM_Try, /*On fail goto*//*Label 28348*/ GIMT_Encode4(2145807), // Rule ID 17766 //
     /* 2145721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2145729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2145732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2145735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2145738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2145741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145767 */     // MIs[0] round
     /* 2145767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145770 */     // MIs[0] policy
     /* 2145770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145780 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2145783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145806 */     // GIR_Coverage, 17766,
     /* 2145806 */     GIR_EraseRootFromParent_Done,
     /* 2145807 */   // Label 28348: @2145807
     /* 2145807 */   GIM_Try, /*On fail goto*//*Label 28349*/ GIMT_Encode4(2145898), // Rule ID 17767 //
     /* 2145812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2145820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2145823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2145826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2145829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2145832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145858 */     // MIs[0] round
     /* 2145858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145861 */     // MIs[0] policy
     /* 2145861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145871 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2145874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145897 */     // GIR_Coverage, 17767,
     /* 2145897 */     GIR_EraseRootFromParent_Done,
     /* 2145898 */   // Label 28349: @2145898
     /* 2145898 */   GIM_Try, /*On fail goto*//*Label 28350*/ GIMT_Encode4(2145989), // Rule ID 17770 //
     /* 2145903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2145911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2145914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2145917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2145920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2145923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145949 */     // MIs[0] round
     /* 2145949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145952 */     // MIs[0] policy
     /* 2145952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145962 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2145965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145988 */     // GIR_Coverage, 17770,
     /* 2145988 */     GIR_EraseRootFromParent_Done,
     /* 2145989 */   // Label 28350: @2145989
     /* 2145989 */   GIM_Try, /*On fail goto*//*Label 28351*/ GIMT_Encode4(2146080), // Rule ID 17771 //
     /* 2145994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2146002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2146005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2146008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2146011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2146014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146040 */     // MIs[0] round
     /* 2146040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146043 */     // MIs[0] policy
     /* 2146043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146053 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2146056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146079 */     // GIR_Coverage, 17771,
     /* 2146079 */     GIR_EraseRootFromParent_Done,
     /* 2146080 */   // Label 28351: @2146080
     /* 2146080 */   GIM_Try, /*On fail goto*//*Label 28352*/ GIMT_Encode4(2146171), // Rule ID 17774 //
     /* 2146085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2146093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2146096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2146099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2146102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2146105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146131 */     // MIs[0] round
     /* 2146131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146134 */     // MIs[0] policy
     /* 2146134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146144 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2146147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146170 */     // GIR_Coverage, 17774,
     /* 2146170 */     GIR_EraseRootFromParent_Done,
     /* 2146171 */   // Label 28352: @2146171
     /* 2146171 */   GIM_Try, /*On fail goto*//*Label 28353*/ GIMT_Encode4(2146262), // Rule ID 17775 //
     /* 2146176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2146184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2146187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2146190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2146193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2146196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146222 */     // MIs[0] round
     /* 2146222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146225 */     // MIs[0] policy
     /* 2146225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146235 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2146238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146261 */     // GIR_Coverage, 17775,
     /* 2146261 */     GIR_EraseRootFromParent_Done,
     /* 2146262 */   // Label 28353: @2146262
     /* 2146262 */   GIM_Try, /*On fail goto*//*Label 28354*/ GIMT_Encode4(2146353), // Rule ID 17778 //
     /* 2146267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2146270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2146275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2146278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2146281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2146284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2146287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146313 */     // MIs[0] round
     /* 2146313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146316 */     // MIs[0] policy
     /* 2146316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146326 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2146329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146352 */     // GIR_Coverage, 17778,
     /* 2146352 */     GIR_EraseRootFromParent_Done,
     /* 2146353 */   // Label 28354: @2146353
     /* 2146353 */   GIM_Try, /*On fail goto*//*Label 28355*/ GIMT_Encode4(2146444), // Rule ID 17779 //
     /* 2146358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2146366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2146369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2146372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2146375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2146378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146404 */     // MIs[0] round
     /* 2146404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146407 */     // MIs[0] policy
     /* 2146407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146417 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2146420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146443 */     // GIR_Coverage, 17779,
     /* 2146443 */     GIR_EraseRootFromParent_Done,
     /* 2146444 */   // Label 28355: @2146444
     /* 2146444 */   GIM_Try, /*On fail goto*//*Label 28356*/ GIMT_Encode4(2146535), // Rule ID 17782 //
     /* 2146449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2146457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2146460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2146463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2146466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2146469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146495 */     // MIs[0] round
     /* 2146495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146498 */     // MIs[0] policy
     /* 2146498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146508 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2146511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146534 */     // GIR_Coverage, 17782,
     /* 2146534 */     GIR_EraseRootFromParent_Done,
     /* 2146535 */   // Label 28356: @2146535
     /* 2146535 */   GIM_Try, /*On fail goto*//*Label 28357*/ GIMT_Encode4(2146626), // Rule ID 17783 //
     /* 2146540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2146548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2146551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2146554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2146557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2146560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146586 */     // MIs[0] round
     /* 2146586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146589 */     // MIs[0] policy
     /* 2146589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146599 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2146602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146625 */     // GIR_Coverage, 17783,
     /* 2146625 */     GIR_EraseRootFromParent_Done,
     /* 2146626 */   // Label 28357: @2146626
     /* 2146626 */   GIM_Try, /*On fail goto*//*Label 28358*/ GIMT_Encode4(2146717), // Rule ID 17786 //
     /* 2146631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2146639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2146642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2146645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2146648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2146651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146677 */     // MIs[0] round
     /* 2146677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146680 */     // MIs[0] policy
     /* 2146680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146690 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2146693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146716 */     // GIR_Coverage, 17786,
     /* 2146716 */     GIR_EraseRootFromParent_Done,
     /* 2146717 */   // Label 28358: @2146717
     /* 2146717 */   GIM_Try, /*On fail goto*//*Label 28359*/ GIMT_Encode4(2146808), // Rule ID 17787 //
     /* 2146722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2146730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2146733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2146736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2146739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2146742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146768 */     // MIs[0] round
     /* 2146768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146771 */     // MIs[0] policy
     /* 2146771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146781 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2146784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146807 */     // GIR_Coverage, 17787,
     /* 2146807 */     GIR_EraseRootFromParent_Done,
     /* 2146808 */   // Label 28359: @2146808
     /* 2146808 */   GIM_Try, /*On fail goto*//*Label 28360*/ GIMT_Encode4(2146899), // Rule ID 17790 //
     /* 2146813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2146821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2146824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2146833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2146836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146859 */     // MIs[0] round
     /* 2146859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146862 */     // MIs[0] policy
     /* 2146862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146872 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2146875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146898 */     // GIR_Coverage, 17790,
     /* 2146898 */     GIR_EraseRootFromParent_Done,
     /* 2146899 */   // Label 28360: @2146899
     /* 2146899 */   GIM_Try, /*On fail goto*//*Label 28361*/ GIMT_Encode4(2146990), // Rule ID 17791 //
     /* 2146904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2146912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2146915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2146924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2146927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146950 */     // MIs[0] round
     /* 2146950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146953 */     // MIs[0] policy
     /* 2146953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146963 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2146966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146989 */     // GIR_Coverage, 17791,
     /* 2146989 */     GIR_EraseRootFromParent_Done,
     /* 2146990 */   // Label 28361: @2146990
     /* 2146990 */   GIM_Try, /*On fail goto*//*Label 28362*/ GIMT_Encode4(2147081), // Rule ID 17794 //
     /* 2146995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2147003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2147006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2147009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2147012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2147015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147041 */     // MIs[0] round
     /* 2147041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147044 */     // MIs[0] policy
     /* 2147044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147054 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2147057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147080 */     // GIR_Coverage, 17794,
     /* 2147080 */     GIR_EraseRootFromParent_Done,
     /* 2147081 */   // Label 28362: @2147081
     /* 2147081 */   GIM_Try, /*On fail goto*//*Label 28363*/ GIMT_Encode4(2147172), // Rule ID 17795 //
     /* 2147086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2147089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2147094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2147097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2147100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2147103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2147106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147132 */     // MIs[0] round
     /* 2147132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147135 */     // MIs[0] policy
     /* 2147135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147145 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2147148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147171 */     // GIR_Coverage, 17795,
     /* 2147171 */     GIR_EraseRootFromParent_Done,
     /* 2147172 */   // Label 28363: @2147172
     /* 2147172 */   GIM_Try, /*On fail goto*//*Label 28364*/ GIMT_Encode4(2147263), // Rule ID 17798 //
     /* 2147177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2147185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2147188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2147191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2147194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2147197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147223 */     // MIs[0] round
     /* 2147223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147226 */     // MIs[0] policy
     /* 2147226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147236 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2147239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147262 */     // GIR_Coverage, 17798,
     /* 2147262 */     GIR_EraseRootFromParent_Done,
     /* 2147263 */   // Label 28364: @2147263
     /* 2147263 */   GIM_Try, /*On fail goto*//*Label 28365*/ GIMT_Encode4(2147354), // Rule ID 17799 //
     /* 2147268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2147271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2147276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2147279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2147282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2147285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2147288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147314 */     // MIs[0] round
     /* 2147314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147317 */     // MIs[0] policy
     /* 2147317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147327 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2147330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147353 */     // GIR_Coverage, 17799,
     /* 2147353 */     GIR_EraseRootFromParent_Done,
     /* 2147354 */   // Label 28365: @2147354
     /* 2147354 */   GIM_Try, /*On fail goto*//*Label 28366*/ GIMT_Encode4(2147445), // Rule ID 17802 //
     /* 2147359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2147367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2147370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2147373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2147376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2147379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2147382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147405 */     // MIs[0] round
     /* 2147405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147408 */     // MIs[0] policy
     /* 2147408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147418 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2147421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147444 */     // GIR_Coverage, 17802,
     /* 2147444 */     GIR_EraseRootFromParent_Done,
     /* 2147445 */   // Label 28366: @2147445
     /* 2147445 */   GIM_Try, /*On fail goto*//*Label 28367*/ GIMT_Encode4(2147536), // Rule ID 17803 //
     /* 2147450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2147453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2147458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2147461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2147464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2147467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2147470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2147473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147496 */     // MIs[0] round
     /* 2147496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147499 */     // MIs[0] policy
     /* 2147499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147509 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2147512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147535 */     // GIR_Coverage, 17803,
     /* 2147535 */     GIR_EraseRootFromParent_Done,
     /* 2147536 */   // Label 28367: @2147536
     /* 2147536 */   GIM_Try, /*On fail goto*//*Label 28368*/ GIMT_Encode4(2147627), // Rule ID 17806 //
     /* 2147541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2147549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2147552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2147555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2147558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2147561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147587 */     // MIs[0] round
     /* 2147587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147590 */     // MIs[0] policy
     /* 2147590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147600 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2147603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147626 */     // GIR_Coverage, 17806,
     /* 2147626 */     GIR_EraseRootFromParent_Done,
     /* 2147627 */   // Label 28368: @2147627
     /* 2147627 */   GIM_Try, /*On fail goto*//*Label 28369*/ GIMT_Encode4(2147718), // Rule ID 17807 //
     /* 2147632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2147640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2147643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2147646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2147649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2147652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147678 */     // MIs[0] round
     /* 2147678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147681 */     // MIs[0] policy
     /* 2147681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147691 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2147694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147717 */     // GIR_Coverage, 17807,
     /* 2147717 */     GIR_EraseRootFromParent_Done,
     /* 2147718 */   // Label 28369: @2147718
     /* 2147718 */   GIM_Try, /*On fail goto*//*Label 28370*/ GIMT_Encode4(2147809), // Rule ID 17810 //
     /* 2147723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2147731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2147734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2147737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2147740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2147743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147769 */     // MIs[0] round
     /* 2147769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147772 */     // MIs[0] policy
     /* 2147772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147782 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2147785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147808 */     // GIR_Coverage, 17810,
     /* 2147808 */     GIR_EraseRootFromParent_Done,
     /* 2147809 */   // Label 28370: @2147809
     /* 2147809 */   GIM_Try, /*On fail goto*//*Label 28371*/ GIMT_Encode4(2147900), // Rule ID 17811 //
     /* 2147814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2147822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2147825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2147828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2147831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2147834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147860 */     // MIs[0] round
     /* 2147860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147863 */     // MIs[0] policy
     /* 2147863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147873 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2147876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147899 */     // GIR_Coverage, 17811,
     /* 2147899 */     GIR_EraseRootFromParent_Done,
     /* 2147900 */   // Label 28371: @2147900
     /* 2147900 */   GIM_Try, /*On fail goto*//*Label 28372*/ GIMT_Encode4(2147991), // Rule ID 17814 //
     /* 2147905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2147913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2147916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2147919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2147922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2147925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147951 */     // MIs[0] round
     /* 2147951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147954 */     // MIs[0] policy
     /* 2147954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147964 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2147967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147990 */     // GIR_Coverage, 17814,
     /* 2147990 */     GIR_EraseRootFromParent_Done,
     /* 2147991 */   // Label 28372: @2147991
     /* 2147991 */   GIM_Try, /*On fail goto*//*Label 28373*/ GIMT_Encode4(2148082), // Rule ID 17815 //
     /* 2147996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2148004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2148007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2148010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2148013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2148016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148042 */     // MIs[0] round
     /* 2148042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148045 */     // MIs[0] policy
     /* 2148045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148055 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2148058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148081 */     // GIR_Coverage, 17815,
     /* 2148081 */     GIR_EraseRootFromParent_Done,
     /* 2148082 */   // Label 28373: @2148082
     /* 2148082 */   GIM_Try, /*On fail goto*//*Label 28374*/ GIMT_Encode4(2148173), // Rule ID 17818 //
     /* 2148087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2148095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2148098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2148101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2148107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148133 */     // MIs[0] round
     /* 2148133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148136 */     // MIs[0] policy
     /* 2148136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148146 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2148149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148172 */     // GIR_Coverage, 17818,
     /* 2148172 */     GIR_EraseRootFromParent_Done,
     /* 2148173 */   // Label 28374: @2148173
     /* 2148173 */   GIM_Try, /*On fail goto*//*Label 28375*/ GIMT_Encode4(2148264), // Rule ID 17819 //
     /* 2148178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2148186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2148189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2148192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2148198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148224 */     // MIs[0] round
     /* 2148224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148227 */     // MIs[0] policy
     /* 2148227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148237 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2148240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148263 */     // GIR_Coverage, 17819,
     /* 2148263 */     GIR_EraseRootFromParent_Done,
     /* 2148264 */   // Label 28375: @2148264
     /* 2148264 */   GIM_Try, /*On fail goto*//*Label 28376*/ GIMT_Encode4(2148355), // Rule ID 17822 //
     /* 2148269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2148277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2148280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2148283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2148289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148315 */     // MIs[0] round
     /* 2148315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148318 */     // MIs[0] policy
     /* 2148318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148328 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2148331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148354 */     // GIR_Coverage, 17822,
     /* 2148354 */     GIR_EraseRootFromParent_Done,
     /* 2148355 */   // Label 28376: @2148355
     /* 2148355 */   GIM_Try, /*On fail goto*//*Label 28377*/ GIMT_Encode4(2148446), // Rule ID 17823 //
     /* 2148360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2148368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2148371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2148374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2148380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148406 */     // MIs[0] round
     /* 2148406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148409 */     // MIs[0] policy
     /* 2148409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148419 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2148422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148445 */     // GIR_Coverage, 17823,
     /* 2148445 */     GIR_EraseRootFromParent_Done,
     /* 2148446 */   // Label 28377: @2148446
     /* 2148446 */   GIM_Try, /*On fail goto*//*Label 28378*/ GIMT_Encode4(2148537), // Rule ID 17826 //
     /* 2148451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2148454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2148459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2148462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2148465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2148471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148497 */     // MIs[0] round
     /* 2148497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148500 */     // MIs[0] policy
     /* 2148500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148510 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2148513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148536 */     // GIR_Coverage, 17826,
     /* 2148536 */     GIR_EraseRootFromParent_Done,
     /* 2148537 */   // Label 28378: @2148537
     /* 2148537 */   GIM_Try, /*On fail goto*//*Label 28379*/ GIMT_Encode4(2148628), // Rule ID 17827 //
     /* 2148542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2148550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2148553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2148556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2148562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148588 */     // MIs[0] round
     /* 2148588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148591 */     // MIs[0] policy
     /* 2148591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148601 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2148604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148627 */     // GIR_Coverage, 17827,
     /* 2148627 */     GIR_EraseRootFromParent_Done,
     /* 2148628 */   // Label 28379: @2148628
     /* 2148628 */   GIM_Try, /*On fail goto*//*Label 28380*/ GIMT_Encode4(2148719), // Rule ID 17830 //
     /* 2148633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2148641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2148644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2148647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2148653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148679 */     // MIs[0] round
     /* 2148679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148682 */     // MIs[0] policy
     /* 2148682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148692 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2148695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148718 */     // GIR_Coverage, 17830,
     /* 2148718 */     GIR_EraseRootFromParent_Done,
     /* 2148719 */   // Label 28380: @2148719
     /* 2148719 */   GIM_Try, /*On fail goto*//*Label 28381*/ GIMT_Encode4(2148810), // Rule ID 17831 //
     /* 2148724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2148732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2148735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2148738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2148744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148770 */     // MIs[0] round
     /* 2148770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148773 */     // MIs[0] policy
     /* 2148773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148783 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2148786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148809 */     // GIR_Coverage, 17831,
     /* 2148809 */     GIR_EraseRootFromParent_Done,
     /* 2148810 */   // Label 28381: @2148810
     /* 2148810 */   GIM_Try, /*On fail goto*//*Label 28382*/ GIMT_Encode4(2148901), // Rule ID 17834 //
     /* 2148815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2148818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2148823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2148826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2148829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2148835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148861 */     // MIs[0] round
     /* 2148861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148864 */     // MIs[0] policy
     /* 2148864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148874 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2148877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148900 */     // GIR_Coverage, 17834,
     /* 2148900 */     GIR_EraseRootFromParent_Done,
     /* 2148901 */   // Label 28382: @2148901
     /* 2148901 */   GIM_Try, /*On fail goto*//*Label 28383*/ GIMT_Encode4(2148992), // Rule ID 17835 //
     /* 2148906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2148914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2148917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2148920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2148926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148952 */     // MIs[0] round
     /* 2148952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148955 */     // MIs[0] policy
     /* 2148955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148965 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2148968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148991 */     // GIR_Coverage, 17835,
     /* 2148991 */     GIR_EraseRootFromParent_Done,
     /* 2148992 */   // Label 28383: @2148992
     /* 2148992 */   GIM_Try, /*On fail goto*//*Label 28384*/ GIMT_Encode4(2149083), // Rule ID 17838 //
     /* 2148997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2149008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2149011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2149017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149043 */     // MIs[0] round
     /* 2149043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149046 */     // MIs[0] policy
     /* 2149046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149056 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2149059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149082 */     // GIR_Coverage, 17838,
     /* 2149082 */     GIR_EraseRootFromParent_Done,
     /* 2149083 */   // Label 28384: @2149083
     /* 2149083 */   GIM_Try, /*On fail goto*//*Label 28385*/ GIMT_Encode4(2149174), // Rule ID 17839 //
     /* 2149088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2149099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2149102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2149108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149134 */     // MIs[0] round
     /* 2149134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149137 */     // MIs[0] policy
     /* 2149137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149147 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2149150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149173 */     // GIR_Coverage, 17839,
     /* 2149173 */     GIR_EraseRootFromParent_Done,
     /* 2149174 */   // Label 28385: @2149174
     /* 2149174 */   GIM_Try, /*On fail goto*//*Label 28386*/ GIMT_Encode4(2149265), // Rule ID 17842 //
     /* 2149179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2149190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2149193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2149199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149225 */     // MIs[0] round
     /* 2149225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149228 */     // MIs[0] policy
     /* 2149228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149238 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2149241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149264 */     // GIR_Coverage, 17842,
     /* 2149264 */     GIR_EraseRootFromParent_Done,
     /* 2149265 */   // Label 28386: @2149265
     /* 2149265 */   GIM_Try, /*On fail goto*//*Label 28387*/ GIMT_Encode4(2149356), // Rule ID 17843 //
     /* 2149270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2149281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2149284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2149290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149316 */     // MIs[0] round
     /* 2149316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149319 */     // MIs[0] policy
     /* 2149319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149329 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2149332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149355 */     // GIR_Coverage, 17843,
     /* 2149355 */     GIR_EraseRootFromParent_Done,
     /* 2149356 */   // Label 28387: @2149356
     /* 2149356 */   GIM_Try, /*On fail goto*//*Label 28388*/ GIMT_Encode4(2149447), // Rule ID 17846 //
     /* 2149361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2149372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2149375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2149381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149407 */     // MIs[0] round
     /* 2149407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149410 */     // MIs[0] policy
     /* 2149410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149420 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2149423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149446 */     // GIR_Coverage, 17846,
     /* 2149446 */     GIR_EraseRootFromParent_Done,
     /* 2149447 */   // Label 28388: @2149447
     /* 2149447 */   GIM_Try, /*On fail goto*//*Label 28389*/ GIMT_Encode4(2149538), // Rule ID 17847 //
     /* 2149452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2149463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2149466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2149472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149498 */     // MIs[0] round
     /* 2149498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149501 */     // MIs[0] policy
     /* 2149501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149511 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2149514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149537 */     // GIR_Coverage, 17847,
     /* 2149537 */     GIR_EraseRootFromParent_Done,
     /* 2149538 */   // Label 28389: @2149538
     /* 2149538 */   GIM_Try, /*On fail goto*//*Label 28390*/ GIMT_Encode4(2149629), // Rule ID 17850 //
     /* 2149543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2149554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2149557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2149563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2149566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149589 */     // MIs[0] round
     /* 2149589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149592 */     // MIs[0] policy
     /* 2149592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149602 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2149605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149628 */     // GIR_Coverage, 17850,
     /* 2149628 */     GIR_EraseRootFromParent_Done,
     /* 2149629 */   // Label 28390: @2149629
     /* 2149629 */   GIM_Try, /*On fail goto*//*Label 28391*/ GIMT_Encode4(2149720), // Rule ID 17851 //
     /* 2149634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2149645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2149648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2149654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2149657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149680 */     // MIs[0] round
     /* 2149680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149683 */     // MIs[0] policy
     /* 2149683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149693 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2149696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149719 */     // GIR_Coverage, 17851,
     /* 2149719 */     GIR_EraseRootFromParent_Done,
     /* 2149720 */   // Label 28391: @2149720
     /* 2149720 */   GIM_Try, /*On fail goto*//*Label 28392*/ GIMT_Encode4(2149811), // Rule ID 17854 //
     /* 2149725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2149736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2149739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2149745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149771 */     // MIs[0] round
     /* 2149771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149774 */     // MIs[0] policy
     /* 2149774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149784 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2149787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149810 */     // GIR_Coverage, 17854,
     /* 2149810 */     GIR_EraseRootFromParent_Done,
     /* 2149811 */   // Label 28392: @2149811
     /* 2149811 */   GIM_Try, /*On fail goto*//*Label 28393*/ GIMT_Encode4(2149902), // Rule ID 17855 //
     /* 2149816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2149827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2149830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2149836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149862 */     // MIs[0] round
     /* 2149862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149865 */     // MIs[0] policy
     /* 2149865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149875 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2149878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149901 */     // GIR_Coverage, 17855,
     /* 2149901 */     GIR_EraseRootFromParent_Done,
     /* 2149902 */   // Label 28393: @2149902
     /* 2149902 */   GIM_Try, /*On fail goto*//*Label 28394*/ GIMT_Encode4(2149993), // Rule ID 17858 //
     /* 2149907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2149918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2149921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2149927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149953 */     // MIs[0] round
     /* 2149953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149956 */     // MIs[0] policy
     /* 2149956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149966 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2149969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149992 */     // GIR_Coverage, 17858,
     /* 2149992 */     GIR_EraseRootFromParent_Done,
     /* 2149993 */   // Label 28394: @2149993
     /* 2149993 */   GIM_Try, /*On fail goto*//*Label 28395*/ GIMT_Encode4(2150084), // Rule ID 17859 //
     /* 2149998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2150009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2150012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2150015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2150018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2150036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150044 */     // MIs[0] round
     /* 2150044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150047 */     // MIs[0] policy
     /* 2150047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150057 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2150060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150083 */     // GIR_Coverage, 17859,
     /* 2150083 */     GIR_EraseRootFromParent_Done,
     /* 2150084 */   // Label 28395: @2150084
     /* 2150084 */   GIM_Try, /*On fail goto*//*Label 28396*/ GIMT_Encode4(2150175), // Rule ID 17862 //
     /* 2150089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2150100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2150103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2150106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2150109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2150127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150135 */     // MIs[0] round
     /* 2150135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150138 */     // MIs[0] policy
     /* 2150138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150148 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2150151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150174 */     // GIR_Coverage, 17862,
     /* 2150174 */     GIR_EraseRootFromParent_Done,
     /* 2150175 */   // Label 28396: @2150175
     /* 2150175 */   GIM_Try, /*On fail goto*//*Label 28397*/ GIMT_Encode4(2150266), // Rule ID 17863 //
     /* 2150180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2150191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2150194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2150197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2150200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2150218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150226 */     // MIs[0] round
     /* 2150226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150229 */     // MIs[0] policy
     /* 2150229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150239 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2150242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150265 */     // GIR_Coverage, 17863,
     /* 2150265 */     GIR_EraseRootFromParent_Done,
     /* 2150266 */   // Label 28397: @2150266
     /* 2150266 */   GIM_Try, /*On fail goto*//*Label 28398*/ GIMT_Encode4(2150357), // Rule ID 17866 //
     /* 2150271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2150282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2150285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2150291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150317 */     // MIs[0] round
     /* 2150317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150320 */     // MIs[0] policy
     /* 2150320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150330 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2150333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150356 */     // GIR_Coverage, 17866,
     /* 2150356 */     GIR_EraseRootFromParent_Done,
     /* 2150357 */   // Label 28398: @2150357
     /* 2150357 */   GIM_Try, /*On fail goto*//*Label 28399*/ GIMT_Encode4(2150448), // Rule ID 17867 //
     /* 2150362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2150373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2150376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2150382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150408 */     // MIs[0] round
     /* 2150408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150411 */     // MIs[0] policy
     /* 2150411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150421 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2150424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150447 */     // GIR_Coverage, 17867,
     /* 2150447 */     GIR_EraseRootFromParent_Done,
     /* 2150448 */   // Label 28399: @2150448
     /* 2150448 */   GIM_Try, /*On fail goto*//*Label 28400*/ GIMT_Encode4(2150539), // Rule ID 17870 //
     /* 2150453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2150464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2150467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2150473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150499 */     // MIs[0] round
     /* 2150499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150502 */     // MIs[0] policy
     /* 2150502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150512 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2150515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150538 */     // GIR_Coverage, 17870,
     /* 2150538 */     GIR_EraseRootFromParent_Done,
     /* 2150539 */   // Label 28400: @2150539
     /* 2150539 */   GIM_Try, /*On fail goto*//*Label 28401*/ GIMT_Encode4(2150630), // Rule ID 17871 //
     /* 2150544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2150555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2150558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2150564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150590 */     // MIs[0] round
     /* 2150590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150593 */     // MIs[0] policy
     /* 2150593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150603 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2150606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150629 */     // GIR_Coverage, 17871,
     /* 2150629 */     GIR_EraseRootFromParent_Done,
     /* 2150630 */   // Label 28401: @2150630
     /* 2150630 */   GIM_Try, /*On fail goto*//*Label 28402*/ GIMT_Encode4(2150721), // Rule ID 17874 //
     /* 2150635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2150646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2150649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2150655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150681 */     // MIs[0] round
     /* 2150681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150684 */     // MIs[0] policy
     /* 2150684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150694 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2150697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150720 */     // GIR_Coverage, 17874,
     /* 2150720 */     GIR_EraseRootFromParent_Done,
     /* 2150721 */   // Label 28402: @2150721
     /* 2150721 */   GIM_Try, /*On fail goto*//*Label 28403*/ GIMT_Encode4(2150812), // Rule ID 17875 //
     /* 2150726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2150737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2150740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2150743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2150746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2150764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150772 */     // MIs[0] round
     /* 2150772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150775 */     // MIs[0] policy
     /* 2150775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150785 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2150788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150811 */     // GIR_Coverage, 17875,
     /* 2150811 */     GIR_EraseRootFromParent_Done,
     /* 2150812 */   // Label 28403: @2150812
     /* 2150812 */   GIM_Try, /*On fail goto*//*Label 28404*/ GIMT_Encode4(2150903), // Rule ID 17878 //
     /* 2150817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2150825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2150828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2150837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150863 */     // MIs[0] round
     /* 2150863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150866 */     // MIs[0] policy
     /* 2150866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150876 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2150879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150902 */     // GIR_Coverage, 17878,
     /* 2150902 */     GIR_EraseRootFromParent_Done,
     /* 2150903 */   // Label 28404: @2150903
     /* 2150903 */   GIM_Try, /*On fail goto*//*Label 28405*/ GIMT_Encode4(2150994), // Rule ID 17879 //
     /* 2150908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2150916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2150919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2150928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150954 */     // MIs[0] round
     /* 2150954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150957 */     // MIs[0] policy
     /* 2150957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150967 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2150970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150993 */     // GIR_Coverage, 17879,
     /* 2150993 */     GIR_EraseRootFromParent_Done,
     /* 2150994 */   // Label 28405: @2150994
     /* 2150994 */   GIM_Try, /*On fail goto*//*Label 28406*/ GIMT_Encode4(2151085), // Rule ID 17882 //
     /* 2150999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2151007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2151010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2151013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2151016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2151019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151045 */     // MIs[0] round
     /* 2151045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151048 */     // MIs[0] policy
     /* 2151048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151058 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2151061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151084 */     // GIR_Coverage, 17882,
     /* 2151084 */     GIR_EraseRootFromParent_Done,
     /* 2151085 */   // Label 28406: @2151085
     /* 2151085 */   GIM_Try, /*On fail goto*//*Label 28407*/ GIMT_Encode4(2151176), // Rule ID 17883 //
     /* 2151090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2151098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2151101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2151104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2151107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2151110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151136 */     // MIs[0] round
     /* 2151136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151139 */     // MIs[0] policy
     /* 2151139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151149 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2151152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151175 */     // GIR_Coverage, 17883,
     /* 2151175 */     GIR_EraseRootFromParent_Done,
     /* 2151176 */   // Label 28407: @2151176
     /* 2151176 */   GIM_Try, /*On fail goto*//*Label 28408*/ GIMT_Encode4(2151267), // Rule ID 17886 //
     /* 2151181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2151189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2151192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2151195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2151198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2151201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151227 */     // MIs[0] round
     /* 2151227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151230 */     // MIs[0] policy
     /* 2151230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151240 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2151243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151266 */     // GIR_Coverage, 17886,
     /* 2151266 */     GIR_EraseRootFromParent_Done,
     /* 2151267 */   // Label 28408: @2151267
     /* 2151267 */   GIM_Try, /*On fail goto*//*Label 28409*/ GIMT_Encode4(2151358), // Rule ID 17887 //
     /* 2151272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2151280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2151283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2151286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2151289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2151292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151318 */     // MIs[0] round
     /* 2151318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151321 */     // MIs[0] policy
     /* 2151321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151331 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2151334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151357 */     // GIR_Coverage, 17887,
     /* 2151357 */     GIR_EraseRootFromParent_Done,
     /* 2151358 */   // Label 28409: @2151358
     /* 2151358 */   GIM_Try, /*On fail goto*//*Label 28410*/ GIMT_Encode4(2151449), // Rule ID 17890 //
     /* 2151363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2151371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2151374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2151377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2151380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2151383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151409 */     // MIs[0] round
     /* 2151409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151412 */     // MIs[0] policy
     /* 2151412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151422 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2151425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151448 */     // GIR_Coverage, 17890,
     /* 2151448 */     GIR_EraseRootFromParent_Done,
     /* 2151449 */   // Label 28410: @2151449
     /* 2151449 */   GIM_Try, /*On fail goto*//*Label 28411*/ GIMT_Encode4(2151540), // Rule ID 17891 //
     /* 2151454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2151462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2151465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2151468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2151471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2151474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151500 */     // MIs[0] round
     /* 2151500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151503 */     // MIs[0] policy
     /* 2151503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151513 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2151516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151539 */     // GIR_Coverage, 17891,
     /* 2151539 */     GIR_EraseRootFromParent_Done,
     /* 2151540 */   // Label 28411: @2151540
     /* 2151540 */   GIM_Try, /*On fail goto*//*Label 28412*/ GIMT_Encode4(2151631), // Rule ID 17894 //
     /* 2151545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2151553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2151556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2151559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2151562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2151565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151591 */     // MIs[0] round
     /* 2151591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151594 */     // MIs[0] policy
     /* 2151594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151604 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2151607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151630 */     // GIR_Coverage, 17894,
     /* 2151630 */     GIR_EraseRootFromParent_Done,
     /* 2151631 */   // Label 28412: @2151631
     /* 2151631 */   GIM_Try, /*On fail goto*//*Label 28413*/ GIMT_Encode4(2151722), // Rule ID 17895 //
     /* 2151636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2151644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2151647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2151650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2151653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2151656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151682 */     // MIs[0] round
     /* 2151682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151685 */     // MIs[0] policy
     /* 2151685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151695 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2151698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151721 */     // GIR_Coverage, 17895,
     /* 2151721 */     GIR_EraseRootFromParent_Done,
     /* 2151722 */   // Label 28413: @2151722
     /* 2151722 */   GIM_Try, /*On fail goto*//*Label 28414*/ GIMT_Encode4(2151813), // Rule ID 17898 //
     /* 2151727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2151735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2151738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2151741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2151744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2151747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151773 */     // MIs[0] round
     /* 2151773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151776 */     // MIs[0] policy
     /* 2151776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151786 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2151789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151812 */     // GIR_Coverage, 17898,
     /* 2151812 */     GIR_EraseRootFromParent_Done,
     /* 2151813 */   // Label 28414: @2151813
     /* 2151813 */   GIM_Try, /*On fail goto*//*Label 28415*/ GIMT_Encode4(2151904), // Rule ID 17899 //
     /* 2151818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2151826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2151829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2151832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2151835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2151838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151864 */     // MIs[0] round
     /* 2151864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151867 */     // MIs[0] policy
     /* 2151867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151877 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2151880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151903 */     // GIR_Coverage, 17899,
     /* 2151903 */     GIR_EraseRootFromParent_Done,
     /* 2151904 */   // Label 28415: @2151904
     /* 2151904 */   GIM_Try, /*On fail goto*//*Label 28416*/ GIMT_Encode4(2151995), // Rule ID 17902 //
     /* 2151909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2151917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2151920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2151923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2151926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2151929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151955 */     // MIs[0] round
     /* 2151955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151958 */     // MIs[0] policy
     /* 2151958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151968 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2151971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151994 */     // GIR_Coverage, 17902,
     /* 2151994 */     GIR_EraseRootFromParent_Done,
     /* 2151995 */   // Label 28416: @2151995
     /* 2151995 */   GIM_Try, /*On fail goto*//*Label 28417*/ GIMT_Encode4(2152086), // Rule ID 17903 //
     /* 2152000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2152008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2152011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2152014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2152017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2152020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152046 */     // MIs[0] round
     /* 2152046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152049 */     // MIs[0] policy
     /* 2152049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152059 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2152062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152085 */     // GIR_Coverage, 17903,
     /* 2152085 */     GIR_EraseRootFromParent_Done,
     /* 2152086 */   // Label 28417: @2152086
     /* 2152086 */   GIM_Try, /*On fail goto*//*Label 28418*/ GIMT_Encode4(2152177), // Rule ID 17906 //
     /* 2152091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2152099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2152102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2152105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2152108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2152111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152137 */     // MIs[0] round
     /* 2152137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152140 */     // MIs[0] policy
     /* 2152140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152150 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2152153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152176 */     // GIR_Coverage, 17906,
     /* 2152176 */     GIR_EraseRootFromParent_Done,
     /* 2152177 */   // Label 28418: @2152177
     /* 2152177 */   GIM_Try, /*On fail goto*//*Label 28419*/ GIMT_Encode4(2152268), // Rule ID 17907 //
     /* 2152182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2152190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2152193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2152196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2152199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2152202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152228 */     // MIs[0] round
     /* 2152228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152231 */     // MIs[0] policy
     /* 2152231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152241 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2152244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152267 */     // GIR_Coverage, 17907,
     /* 2152267 */     GIR_EraseRootFromParent_Done,
     /* 2152268 */   // Label 28419: @2152268
     /* 2152268 */   GIM_Try, /*On fail goto*//*Label 28420*/ GIMT_Encode4(2152359), // Rule ID 17910 //
     /* 2152273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2152281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2152284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2152287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2152290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2152293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2152296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152319 */     // MIs[0] round
     /* 2152319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152322 */     // MIs[0] policy
     /* 2152322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152332 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2152335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152358 */     // GIR_Coverage, 17910,
     /* 2152358 */     GIR_EraseRootFromParent_Done,
     /* 2152359 */   // Label 28420: @2152359
     /* 2152359 */   GIM_Try, /*On fail goto*//*Label 28421*/ GIMT_Encode4(2152450), // Rule ID 17911 //
     /* 2152364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2152372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2152375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2152378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2152381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2152384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2152387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152410 */     // MIs[0] round
     /* 2152410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152413 */     // MIs[0] policy
     /* 2152413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152423 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2152426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152449 */     // GIR_Coverage, 17911,
     /* 2152449 */     GIR_EraseRootFromParent_Done,
     /* 2152450 */   // Label 28421: @2152450
     /* 2152450 */   GIM_Try, /*On fail goto*//*Label 28422*/ GIMT_Encode4(2152541), // Rule ID 17914 //
     /* 2152455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2152463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2152466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2152469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2152472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2152475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152501 */     // MIs[0] round
     /* 2152501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152504 */     // MIs[0] policy
     /* 2152504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152514 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2152517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152540 */     // GIR_Coverage, 17914,
     /* 2152540 */     GIR_EraseRootFromParent_Done,
     /* 2152541 */   // Label 28422: @2152541
     /* 2152541 */   GIM_Try, /*On fail goto*//*Label 28423*/ GIMT_Encode4(2152632), // Rule ID 17915 //
     /* 2152546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2152554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2152557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2152560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2152563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2152566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152592 */     // MIs[0] round
     /* 2152592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152595 */     // MIs[0] policy
     /* 2152595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152605 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2152608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152631 */     // GIR_Coverage, 17915,
     /* 2152631 */     GIR_EraseRootFromParent_Done,
     /* 2152632 */   // Label 28423: @2152632
     /* 2152632 */   GIM_Try, /*On fail goto*//*Label 28424*/ GIMT_Encode4(2152723), // Rule ID 17918 //
     /* 2152637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2152645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2152648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2152651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2152654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2152657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152683 */     // MIs[0] round
     /* 2152683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152686 */     // MIs[0] policy
     /* 2152686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152696 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2152699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152722 */     // GIR_Coverage, 17918,
     /* 2152722 */     GIR_EraseRootFromParent_Done,
     /* 2152723 */   // Label 28424: @2152723
     /* 2152723 */   GIM_Try, /*On fail goto*//*Label 28425*/ GIMT_Encode4(2152814), // Rule ID 17919 //
     /* 2152728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2152736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2152739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2152742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2152745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2152748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152774 */     // MIs[0] round
     /* 2152774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152777 */     // MIs[0] policy
     /* 2152777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152787 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2152790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152813 */     // GIR_Coverage, 17919,
     /* 2152813 */     GIR_EraseRootFromParent_Done,
     /* 2152814 */   // Label 28425: @2152814
     /* 2152814 */   GIM_Try, /*On fail goto*//*Label 28426*/ GIMT_Encode4(2152905), // Rule ID 17922 //
     /* 2152819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2152827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2152830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2152833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2152836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2152839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152865 */     // MIs[0] round
     /* 2152865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152868 */     // MIs[0] policy
     /* 2152868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152878 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2152881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152904 */     // GIR_Coverage, 17922,
     /* 2152904 */     GIR_EraseRootFromParent_Done,
     /* 2152905 */   // Label 28426: @2152905
     /* 2152905 */   GIM_Try, /*On fail goto*//*Label 28427*/ GIMT_Encode4(2152996), // Rule ID 17923 //
     /* 2152910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2152918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2152921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2152924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2152927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2152930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152956 */     // MIs[0] round
     /* 2152956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152959 */     // MIs[0] policy
     /* 2152959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152969 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2152972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152995 */     // GIR_Coverage, 17923,
     /* 2152995 */     GIR_EraseRootFromParent_Done,
     /* 2152996 */   // Label 28427: @2152996
     /* 2152996 */   GIM_Try, /*On fail goto*//*Label 28428*/ GIMT_Encode4(2153087), // Rule ID 17926 //
     /* 2153001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2153009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2153012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2153015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2153018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2153021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153047 */     // MIs[0] round
     /* 2153047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153050 */     // MIs[0] policy
     /* 2153050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153060 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2153063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153086 */     // GIR_Coverage, 17926,
     /* 2153086 */     GIR_EraseRootFromParent_Done,
     /* 2153087 */   // Label 28428: @2153087
     /* 2153087 */   GIM_Try, /*On fail goto*//*Label 28429*/ GIMT_Encode4(2153178), // Rule ID 17927 //
     /* 2153092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2153100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2153103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2153106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2153109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2153112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153138 */     // MIs[0] round
     /* 2153138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153141 */     // MIs[0] policy
     /* 2153141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153151 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2153154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153177 */     // GIR_Coverage, 17927,
     /* 2153177 */     GIR_EraseRootFromParent_Done,
     /* 2153178 */   // Label 28429: @2153178
     /* 2153178 */   GIM_Try, /*On fail goto*//*Label 28430*/ GIMT_Encode4(2153269), // Rule ID 17930 //
     /* 2153183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2153191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2153194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2153197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2153200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2153203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153229 */     // MIs[0] round
     /* 2153229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153232 */     // MIs[0] policy
     /* 2153232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153242 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2153245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153268 */     // GIR_Coverage, 17930,
     /* 2153268 */     GIR_EraseRootFromParent_Done,
     /* 2153269 */   // Label 28430: @2153269
     /* 2153269 */   GIM_Try, /*On fail goto*//*Label 28431*/ GIMT_Encode4(2153360), // Rule ID 17931 //
     /* 2153274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2153282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2153285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2153288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2153291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2153294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153320 */     // MIs[0] round
     /* 2153320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153323 */     // MIs[0] policy
     /* 2153323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153333 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2153336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153359 */     // GIR_Coverage, 17931,
     /* 2153359 */     GIR_EraseRootFromParent_Done,
     /* 2153360 */   // Label 28431: @2153360
     /* 2153360 */   GIM_Try, /*On fail goto*//*Label 28432*/ GIMT_Encode4(2153451), // Rule ID 17934 //
     /* 2153365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2153373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2153376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2153379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2153382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2153385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153411 */     // MIs[0] round
     /* 2153411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153414 */     // MIs[0] policy
     /* 2153414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153424 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2153427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153450 */     // GIR_Coverage, 17934,
     /* 2153450 */     GIR_EraseRootFromParent_Done,
     /* 2153451 */   // Label 28432: @2153451
     /* 2153451 */   GIM_Try, /*On fail goto*//*Label 28433*/ GIMT_Encode4(2153542), // Rule ID 17935 //
     /* 2153456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2153464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2153467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2153470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2153473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2153476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153502 */     // MIs[0] round
     /* 2153502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153505 */     // MIs[0] policy
     /* 2153505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153515 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2153518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153541 */     // GIR_Coverage, 17935,
     /* 2153541 */     GIR_EraseRootFromParent_Done,
     /* 2153542 */   // Label 28433: @2153542
     /* 2153542 */   GIM_Try, /*On fail goto*//*Label 28434*/ GIMT_Encode4(2153633), // Rule ID 17938 //
     /* 2153547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2153555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2153558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2153561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2153567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153593 */     // MIs[0] round
     /* 2153593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153596 */     // MIs[0] policy
     /* 2153596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153606 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2153609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153632 */     // GIR_Coverage, 17938,
     /* 2153632 */     GIR_EraseRootFromParent_Done,
     /* 2153633 */   // Label 28434: @2153633
     /* 2153633 */   GIM_Try, /*On fail goto*//*Label 28435*/ GIMT_Encode4(2153724), // Rule ID 17939 //
     /* 2153638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2153646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2153649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2153652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2153658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153684 */     // MIs[0] round
     /* 2153684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153687 */     // MIs[0] policy
     /* 2153687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153697 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2153700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153723 */     // GIR_Coverage, 17939,
     /* 2153723 */     GIR_EraseRootFromParent_Done,
     /* 2153724 */   // Label 28435: @2153724
     /* 2153724 */   GIM_Try, /*On fail goto*//*Label 28436*/ GIMT_Encode4(2153815), // Rule ID 17942 //
     /* 2153729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2153737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2153740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2153743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2153749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153775 */     // MIs[0] round
     /* 2153775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153778 */     // MIs[0] policy
     /* 2153778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153788 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2153791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153814 */     // GIR_Coverage, 17942,
     /* 2153814 */     GIR_EraseRootFromParent_Done,
     /* 2153815 */   // Label 28436: @2153815
     /* 2153815 */   GIM_Try, /*On fail goto*//*Label 28437*/ GIMT_Encode4(2153906), // Rule ID 17943 //
     /* 2153820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2153828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2153831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2153834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2153840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153866 */     // MIs[0] round
     /* 2153866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153869 */     // MIs[0] policy
     /* 2153869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153879 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2153882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153905 */     // GIR_Coverage, 17943,
     /* 2153905 */     GIR_EraseRootFromParent_Done,
     /* 2153906 */   // Label 28437: @2153906
     /* 2153906 */   GIM_Try, /*On fail goto*//*Label 28438*/ GIMT_Encode4(2153997), // Rule ID 17946 //
     /* 2153911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2153919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2153922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2153925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2153931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153957 */     // MIs[0] round
     /* 2153957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153960 */     // MIs[0] policy
     /* 2153960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153970 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2153973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153996 */     // GIR_Coverage, 17946,
     /* 2153996 */     GIR_EraseRootFromParent_Done,
     /* 2153997 */   // Label 28438: @2153997
     /* 2153997 */   GIM_Try, /*On fail goto*//*Label 28439*/ GIMT_Encode4(2154088), // Rule ID 17947 //
     /* 2154002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2154010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2154013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2154016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2154022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154048 */     // MIs[0] round
     /* 2154048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154051 */     // MIs[0] policy
     /* 2154051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154061 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2154064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154087 */     // GIR_Coverage, 17947,
     /* 2154087 */     GIR_EraseRootFromParent_Done,
     /* 2154088 */   // Label 28439: @2154088
     /* 2154088 */   GIM_Try, /*On fail goto*//*Label 28440*/ GIMT_Encode4(2154179), // Rule ID 17950 //
     /* 2154093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2154101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2154104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2154107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2154113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154139 */     // MIs[0] round
     /* 2154139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154142 */     // MIs[0] policy
     /* 2154142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154152 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2154155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154178 */     // GIR_Coverage, 17950,
     /* 2154178 */     GIR_EraseRootFromParent_Done,
     /* 2154179 */   // Label 28440: @2154179
     /* 2154179 */   GIM_Try, /*On fail goto*//*Label 28441*/ GIMT_Encode4(2154270), // Rule ID 17951 //
     /* 2154184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2154192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2154195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2154198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2154204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154230 */     // MIs[0] round
     /* 2154230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154233 */     // MIs[0] policy
     /* 2154233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154243 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2154246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154269 */     // GIR_Coverage, 17951,
     /* 2154269 */     GIR_EraseRootFromParent_Done,
     /* 2154270 */   // Label 28441: @2154270
     /* 2154270 */   GIM_Try, /*On fail goto*//*Label 28442*/ GIMT_Encode4(2154361), // Rule ID 17954 //
     /* 2154275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2154283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2154286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2154289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2154295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154321 */     // MIs[0] round
     /* 2154321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154324 */     // MIs[0] policy
     /* 2154324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154334 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2154337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154360 */     // GIR_Coverage, 17954,
     /* 2154360 */     GIR_EraseRootFromParent_Done,
     /* 2154361 */   // Label 28442: @2154361
     /* 2154361 */   GIM_Try, /*On fail goto*//*Label 28443*/ GIMT_Encode4(2154452), // Rule ID 17955 //
     /* 2154366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2154374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2154377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2154380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2154386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154412 */     // MIs[0] round
     /* 2154412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154415 */     // MIs[0] policy
     /* 2154415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154425 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2154428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154451 */     // GIR_Coverage, 17955,
     /* 2154451 */     GIR_EraseRootFromParent_Done,
     /* 2154452 */   // Label 28443: @2154452
     /* 2154452 */   GIM_Try, /*On fail goto*//*Label 28444*/ GIMT_Encode4(2154543), // Rule ID 17958 //
     /* 2154457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2154465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2154468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2154471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2154477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154503 */     // MIs[0] round
     /* 2154503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154506 */     // MIs[0] policy
     /* 2154506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154516 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2154519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154542 */     // GIR_Coverage, 17958,
     /* 2154542 */     GIR_EraseRootFromParent_Done,
     /* 2154543 */   // Label 28444: @2154543
     /* 2154543 */   GIM_Try, /*On fail goto*//*Label 28445*/ GIMT_Encode4(2154634), // Rule ID 17959 //
     /* 2154548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2154556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2154559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2154562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2154568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154594 */     // MIs[0] round
     /* 2154594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154597 */     // MIs[0] policy
     /* 2154597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154607 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2154610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154633 */     // GIR_Coverage, 17959,
     /* 2154633 */     GIR_EraseRootFromParent_Done,
     /* 2154634 */   // Label 28445: @2154634
     /* 2154634 */   GIM_Try, /*On fail goto*//*Label 28446*/ GIMT_Encode4(2154725), // Rule ID 17962 //
     /* 2154639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2154647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2154650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2154653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2154659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154685 */     // MIs[0] round
     /* 2154685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154688 */     // MIs[0] policy
     /* 2154688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154698 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2154701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154724 */     // GIR_Coverage, 17962,
     /* 2154724 */     GIR_EraseRootFromParent_Done,
     /* 2154725 */   // Label 28446: @2154725
     /* 2154725 */   GIM_Try, /*On fail goto*//*Label 28447*/ GIMT_Encode4(2154816), // Rule ID 17963 //
     /* 2154730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2154738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2154741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2154744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2154750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154776 */     // MIs[0] round
     /* 2154776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154779 */     // MIs[0] policy
     /* 2154779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154789 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2154792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154815 */     // GIR_Coverage, 17963,
     /* 2154815 */     GIR_EraseRootFromParent_Done,
     /* 2154816 */   // Label 28447: @2154816
     /* 2154816 */   GIM_Try, /*On fail goto*//*Label 28448*/ GIMT_Encode4(2154907), // Rule ID 17966 //
     /* 2154821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2154829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2154832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2154835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2154841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154867 */     // MIs[0] round
     /* 2154867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154870 */     // MIs[0] policy
     /* 2154870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154880 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2154883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154906 */     // GIR_Coverage, 17966,
     /* 2154906 */     GIR_EraseRootFromParent_Done,
     /* 2154907 */   // Label 28448: @2154907
     /* 2154907 */   GIM_Try, /*On fail goto*//*Label 28449*/ GIMT_Encode4(2154998), // Rule ID 17967 //
     /* 2154912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2154920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2154923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2154926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2154932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154958 */     // MIs[0] round
     /* 2154958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154961 */     // MIs[0] policy
     /* 2154961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154971 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2154974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154997 */     // GIR_Coverage, 17967,
     /* 2154997 */     GIR_EraseRootFromParent_Done,
     /* 2154998 */   // Label 28449: @2154998
     /* 2154998 */   GIM_Try, /*On fail goto*//*Label 28450*/ GIMT_Encode4(2155089), // Rule ID 17970 //
     /* 2155003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2155014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2155017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2155020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2155023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2155026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2155041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155049 */     // MIs[0] round
     /* 2155049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155052 */     // MIs[0] policy
     /* 2155052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155062 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2155065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155088 */     // GIR_Coverage, 17970,
     /* 2155088 */     GIR_EraseRootFromParent_Done,
     /* 2155089 */   // Label 28450: @2155089
     /* 2155089 */   GIM_Try, /*On fail goto*//*Label 28451*/ GIMT_Encode4(2155180), // Rule ID 17971 //
     /* 2155094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2155105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2155108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2155111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2155114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2155117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2155132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155140 */     // MIs[0] round
     /* 2155140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155143 */     // MIs[0] policy
     /* 2155143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155153 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2155156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155179 */     // GIR_Coverage, 17971,
     /* 2155179 */     GIR_EraseRootFromParent_Done,
     /* 2155180 */   // Label 28451: @2155180
     /* 2155180 */   GIM_Try, /*On fail goto*//*Label 28452*/ GIMT_Encode4(2155271), // Rule ID 17974 //
     /* 2155185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2155196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2155199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2155205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155231 */     // MIs[0] round
     /* 2155231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155234 */     // MIs[0] policy
     /* 2155234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155244 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2155247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155270 */     // GIR_Coverage, 17974,
     /* 2155270 */     GIR_EraseRootFromParent_Done,
     /* 2155271 */   // Label 28452: @2155271
     /* 2155271 */   GIM_Try, /*On fail goto*//*Label 28453*/ GIMT_Encode4(2155362), // Rule ID 17975 //
     /* 2155276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2155287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2155290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2155296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155322 */     // MIs[0] round
     /* 2155322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155325 */     // MIs[0] policy
     /* 2155325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155335 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2155338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155361 */     // GIR_Coverage, 17975,
     /* 2155361 */     GIR_EraseRootFromParent_Done,
     /* 2155362 */   // Label 28453: @2155362
     /* 2155362 */   GIM_Try, /*On fail goto*//*Label 28454*/ GIMT_Encode4(2155453), // Rule ID 17978 //
     /* 2155367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2155378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2155381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2155387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155413 */     // MIs[0] round
     /* 2155413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155416 */     // MIs[0] policy
     /* 2155416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155426 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2155429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155452 */     // GIR_Coverage, 17978,
     /* 2155452 */     GIR_EraseRootFromParent_Done,
     /* 2155453 */   // Label 28454: @2155453
     /* 2155453 */   GIM_Try, /*On fail goto*//*Label 28455*/ GIMT_Encode4(2155544), // Rule ID 17979 //
     /* 2155458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2155469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2155472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2155478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155504 */     // MIs[0] round
     /* 2155504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155507 */     // MIs[0] policy
     /* 2155507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155517 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2155520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155543 */     // GIR_Coverage, 17979,
     /* 2155543 */     GIR_EraseRootFromParent_Done,
     /* 2155544 */   // Label 28455: @2155544
     /* 2155544 */   GIM_Try, /*On fail goto*//*Label 28456*/ GIMT_Encode4(2155635), // Rule ID 17982 //
     /* 2155549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2155560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2155563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2155569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155595 */     // MIs[0] round
     /* 2155595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155598 */     // MIs[0] policy
     /* 2155598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155608 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2155611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155634 */     // GIR_Coverage, 17982,
     /* 2155634 */     GIR_EraseRootFromParent_Done,
     /* 2155635 */   // Label 28456: @2155635
     /* 2155635 */   GIM_Try, /*On fail goto*//*Label 28457*/ GIMT_Encode4(2155726), // Rule ID 17983 //
     /* 2155640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2155651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2155654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2155657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2155660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2155678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155686 */     // MIs[0] round
     /* 2155686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155689 */     // MIs[0] policy
     /* 2155689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155699 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2155702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155725 */     // GIR_Coverage, 17983,
     /* 2155725 */     GIR_EraseRootFromParent_Done,
     /* 2155726 */   // Label 28457: @2155726
     /* 2155726 */   GIM_Try, /*On fail goto*//*Label 28458*/ GIMT_Encode4(2155817), // Rule ID 17986 //
     /* 2155731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2155742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2155745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2155751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155777 */     // MIs[0] round
     /* 2155777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155780 */     // MIs[0] policy
     /* 2155780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155790 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2155793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155816 */     // GIR_Coverage, 17986,
     /* 2155816 */     GIR_EraseRootFromParent_Done,
     /* 2155817 */   // Label 28458: @2155817
     /* 2155817 */   GIM_Try, /*On fail goto*//*Label 28459*/ GIMT_Encode4(2155908), // Rule ID 17987 //
     /* 2155822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2155833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2155836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2155842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155868 */     // MIs[0] round
     /* 2155868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155871 */     // MIs[0] policy
     /* 2155871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155881 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2155884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155907 */     // GIR_Coverage, 17987,
     /* 2155907 */     GIR_EraseRootFromParent_Done,
     /* 2155908 */   // Label 28459: @2155908
     /* 2155908 */   GIM_Try, /*On fail goto*//*Label 28460*/ GIMT_Encode4(2155999), // Rule ID 17990 //
     /* 2155913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2155924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2155927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2155933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155959 */     // MIs[0] round
     /* 2155959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155962 */     // MIs[0] policy
     /* 2155962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155972 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2155975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155998 */     // GIR_Coverage, 17990,
     /* 2155998 */     GIR_EraseRootFromParent_Done,
     /* 2155999 */   // Label 28460: @2155999
     /* 2155999 */   GIM_Try, /*On fail goto*//*Label 28461*/ GIMT_Encode4(2156090), // Rule ID 17991 //
     /* 2156004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2156015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2156018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2156021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2156024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2156042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156050 */     // MIs[0] round
     /* 2156050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156053 */     // MIs[0] policy
     /* 2156053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156063 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2156066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156089 */     // GIR_Coverage, 17991,
     /* 2156089 */     GIR_EraseRootFromParent_Done,
     /* 2156090 */   // Label 28461: @2156090
     /* 2156090 */   GIM_Try, /*On fail goto*//*Label 28462*/ GIMT_Encode4(2156181), // Rule ID 17994 //
     /* 2156095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2156098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2156106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2156109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2156112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2156115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2156133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156141 */     // MIs[0] round
     /* 2156141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156144 */     // MIs[0] policy
     /* 2156144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156154 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2156157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156180 */     // GIR_Coverage, 17994,
     /* 2156180 */     GIR_EraseRootFromParent_Done,
     /* 2156181 */   // Label 28462: @2156181
     /* 2156181 */   GIM_Try, /*On fail goto*//*Label 28463*/ GIMT_Encode4(2156272), // Rule ID 17995 //
     /* 2156186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2156197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2156200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2156203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2156206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2156224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156232 */     // MIs[0] round
     /* 2156232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156235 */     // MIs[0] policy
     /* 2156235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156245 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2156248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156271 */     // GIR_Coverage, 17995,
     /* 2156271 */     GIR_EraseRootFromParent_Done,
     /* 2156272 */   // Label 28463: @2156272
     /* 2156272 */   GIM_Try, /*On fail goto*//*Label 28464*/ GIMT_Encode4(2156363), // Rule ID 17998 //
     /* 2156277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2156288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2156291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2156294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2156297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156323 */     // MIs[0] round
     /* 2156323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156326 */     // MIs[0] policy
     /* 2156326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156336 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2156339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156362 */     // GIR_Coverage, 17998,
     /* 2156362 */     GIR_EraseRootFromParent_Done,
     /* 2156363 */   // Label 28464: @2156363
     /* 2156363 */   GIM_Try, /*On fail goto*//*Label 28465*/ GIMT_Encode4(2156454), // Rule ID 17999 //
     /* 2156368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2156379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2156382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2156385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2156388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156414 */     // MIs[0] round
     /* 2156414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156417 */     // MIs[0] policy
     /* 2156417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156427 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2156430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156453 */     // GIR_Coverage, 17999,
     /* 2156453 */     GIR_EraseRootFromParent_Done,
     /* 2156454 */   // Label 28465: @2156454
     /* 2156454 */   GIM_Try, /*On fail goto*//*Label 28466*/ GIMT_Encode4(2156545), // Rule ID 18002 //
     /* 2156459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2156470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2156473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2156476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2156479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156505 */     // MIs[0] round
     /* 2156505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156508 */     // MIs[0] policy
     /* 2156508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156518 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2156521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156544 */     // GIR_Coverage, 18002,
     /* 2156544 */     GIR_EraseRootFromParent_Done,
     /* 2156545 */   // Label 28466: @2156545
     /* 2156545 */   GIM_Try, /*On fail goto*//*Label 28467*/ GIMT_Encode4(2156636), // Rule ID 18003 //
     /* 2156550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2156561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2156564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2156567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2156570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156596 */     // MIs[0] round
     /* 2156596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156599 */     // MIs[0] policy
     /* 2156599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156609 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2156612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156635 */     // GIR_Coverage, 18003,
     /* 2156635 */     GIR_EraseRootFromParent_Done,
     /* 2156636 */   // Label 28467: @2156636
     /* 2156636 */   GIM_Try, /*On fail goto*//*Label 28468*/ GIMT_Encode4(2156727), // Rule ID 18006 //
     /* 2156641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2156652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2156655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2156658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2156661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156687 */     // MIs[0] round
     /* 2156687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156690 */     // MIs[0] policy
     /* 2156690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156700 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2156703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156726 */     // GIR_Coverage, 18006,
     /* 2156726 */     GIR_EraseRootFromParent_Done,
     /* 2156727 */   // Label 28468: @2156727
     /* 2156727 */   GIM_Try, /*On fail goto*//*Label 28469*/ GIMT_Encode4(2156818), // Rule ID 18007 //
     /* 2156732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2156743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2156746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2156749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2156752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156778 */     // MIs[0] round
     /* 2156778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156781 */     // MIs[0] policy
     /* 2156781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156791 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2156794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156817 */     // GIR_Coverage, 18007,
     /* 2156817 */     GIR_EraseRootFromParent_Done,
     /* 2156818 */   // Label 28469: @2156818
     /* 2156818 */   GIM_Try, /*On fail goto*//*Label 28470*/ GIMT_Encode4(2156909), // Rule ID 18010 //
     /* 2156823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2156834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2156837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2156840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2156843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156869 */     // MIs[0] round
     /* 2156869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156872 */     // MIs[0] policy
     /* 2156872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156882 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2156885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156908 */     // GIR_Coverage, 18010,
     /* 2156908 */     GIR_EraseRootFromParent_Done,
     /* 2156909 */   // Label 28470: @2156909
     /* 2156909 */   GIM_Try, /*On fail goto*//*Label 28471*/ GIMT_Encode4(2157000), // Rule ID 18011 //
     /* 2156914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2156922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2156925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2156928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2156931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2156934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156960 */     // MIs[0] round
     /* 2156960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156963 */     // MIs[0] policy
     /* 2156963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156973 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2156976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156999 */     // GIR_Coverage, 18011,
     /* 2156999 */     GIR_EraseRootFromParent_Done,
     /* 2157000 */   // Label 28471: @2157000
     /* 2157000 */   GIM_Try, /*On fail goto*//*Label 28472*/ GIMT_Encode4(2157091), // Rule ID 18014 //
     /* 2157005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2157013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2157016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2157019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2157022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2157025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157051 */     // MIs[0] round
     /* 2157051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157054 */     // MIs[0] policy
     /* 2157054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157064 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2157067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157090 */     // GIR_Coverage, 18014,
     /* 2157090 */     GIR_EraseRootFromParent_Done,
     /* 2157091 */   // Label 28472: @2157091
     /* 2157091 */   GIM_Try, /*On fail goto*//*Label 28473*/ GIMT_Encode4(2157182), // Rule ID 18015 //
     /* 2157096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2157104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2157107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2157110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2157113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2157116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157142 */     // MIs[0] round
     /* 2157142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157145 */     // MIs[0] policy
     /* 2157145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157155 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2157158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157181 */     // GIR_Coverage, 18015,
     /* 2157181 */     GIR_EraseRootFromParent_Done,
     /* 2157182 */   // Label 28473: @2157182
     /* 2157182 */   GIM_Try, /*On fail goto*//*Label 28474*/ GIMT_Encode4(2157273), // Rule ID 18018 //
     /* 2157187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2157195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2157198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2157201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2157204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2157207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157233 */     // MIs[0] round
     /* 2157233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157236 */     // MIs[0] policy
     /* 2157236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157246 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2157249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157272 */     // GIR_Coverage, 18018,
     /* 2157272 */     GIR_EraseRootFromParent_Done,
     /* 2157273 */   // Label 28474: @2157273
     /* 2157273 */   GIM_Try, /*On fail goto*//*Label 28475*/ GIMT_Encode4(2157364), // Rule ID 18019 //
     /* 2157278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2157286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2157289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2157292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2157295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2157298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157324 */     // MIs[0] round
     /* 2157324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157327 */     // MIs[0] policy
     /* 2157327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157337 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2157340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157363 */     // GIR_Coverage, 18019,
     /* 2157363 */     GIR_EraseRootFromParent_Done,
     /* 2157364 */   // Label 28475: @2157364
     /* 2157364 */   GIM_Try, /*On fail goto*//*Label 28476*/ GIMT_Encode4(2157455), // Rule ID 18022 //
     /* 2157369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2157377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2157380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2157383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2157386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2157389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157415 */     // MIs[0] round
     /* 2157415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157418 */     // MIs[0] policy
     /* 2157418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157428 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2157431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157454 */     // GIR_Coverage, 18022,
     /* 2157454 */     GIR_EraseRootFromParent_Done,
     /* 2157455 */   // Label 28476: @2157455
     /* 2157455 */   GIM_Try, /*On fail goto*//*Label 28477*/ GIMT_Encode4(2157546), // Rule ID 18023 //
     /* 2157460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2157468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2157471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2157474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2157477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2157480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157506 */     // MIs[0] round
     /* 2157506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157509 */     // MIs[0] policy
     /* 2157509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157519 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2157522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157545 */     // GIR_Coverage, 18023,
     /* 2157545 */     GIR_EraseRootFromParent_Done,
     /* 2157546 */   // Label 28477: @2157546
     /* 2157546 */   GIM_Try, /*On fail goto*//*Label 28478*/ GIMT_Encode4(2157637), // Rule ID 18026 //
     /* 2157551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2157559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2157562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2157565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2157568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2157571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157597 */     // MIs[0] round
     /* 2157597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157600 */     // MIs[0] policy
     /* 2157600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157610 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2157613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157636 */     // GIR_Coverage, 18026,
     /* 2157636 */     GIR_EraseRootFromParent_Done,
     /* 2157637 */   // Label 28478: @2157637
     /* 2157637 */   GIM_Try, /*On fail goto*//*Label 28479*/ GIMT_Encode4(2157728), // Rule ID 18027 //
     /* 2157642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2157650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2157653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2157656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2157659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2157662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157688 */     // MIs[0] round
     /* 2157688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157691 */     // MIs[0] policy
     /* 2157691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157701 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2157704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157727 */     // GIR_Coverage, 18027,
     /* 2157727 */     GIR_EraseRootFromParent_Done,
     /* 2157728 */   // Label 28479: @2157728
     /* 2157728 */   GIM_Try, /*On fail goto*//*Label 28480*/ GIMT_Encode4(2157819), // Rule ID 18030 //
     /* 2157733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2157741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2157744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2157747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2157750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2157753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2157756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157779 */     // MIs[0] round
     /* 2157779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157782 */     // MIs[0] policy
     /* 2157782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157792 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2157795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157818 */     // GIR_Coverage, 18030,
     /* 2157818 */     GIR_EraseRootFromParent_Done,
     /* 2157819 */   // Label 28480: @2157819
     /* 2157819 */   GIM_Try, /*On fail goto*//*Label 28481*/ GIMT_Encode4(2157910), // Rule ID 18031 //
     /* 2157824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2157832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2157835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2157838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2157841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2157844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2157847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157870 */     // MIs[0] round
     /* 2157870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157873 */     // MIs[0] policy
     /* 2157873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157883 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2157886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157909 */     // GIR_Coverage, 18031,
     /* 2157909 */     GIR_EraseRootFromParent_Done,
     /* 2157910 */   // Label 28481: @2157910
     /* 2157910 */   GIM_Try, /*On fail goto*//*Label 28482*/ GIMT_Encode4(2158001), // Rule ID 18034 //
     /* 2157915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2157923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2157926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2157929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2157932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2157935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157961 */     // MIs[0] round
     /* 2157961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157964 */     // MIs[0] policy
     /* 2157964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157974 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2157977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158000 */     // GIR_Coverage, 18034,
     /* 2158000 */     GIR_EraseRootFromParent_Done,
     /* 2158001 */   // Label 28482: @2158001
     /* 2158001 */   GIM_Try, /*On fail goto*//*Label 28483*/ GIMT_Encode4(2158092), // Rule ID 18035 //
     /* 2158006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2158014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2158017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2158020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2158023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2158026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158052 */     // MIs[0] round
     /* 2158052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158055 */     // MIs[0] policy
     /* 2158055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158065 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2158068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158091 */     // GIR_Coverage, 18035,
     /* 2158091 */     GIR_EraseRootFromParent_Done,
     /* 2158092 */   // Label 28483: @2158092
     /* 2158092 */   GIM_Try, /*On fail goto*//*Label 28484*/ GIMT_Encode4(2158183), // Rule ID 18038 //
     /* 2158097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2158105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2158108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2158111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2158114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2158117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158143 */     // MIs[0] round
     /* 2158143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158146 */     // MIs[0] policy
     /* 2158146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158156 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2158159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158182 */     // GIR_Coverage, 18038,
     /* 2158182 */     GIR_EraseRootFromParent_Done,
     /* 2158183 */   // Label 28484: @2158183
     /* 2158183 */   GIM_Try, /*On fail goto*//*Label 28485*/ GIMT_Encode4(2158274), // Rule ID 18039 //
     /* 2158188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2158196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2158199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2158202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2158205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2158208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158234 */     // MIs[0] round
     /* 2158234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158237 */     // MIs[0] policy
     /* 2158237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158247 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2158250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158273 */     // GIR_Coverage, 18039,
     /* 2158273 */     GIR_EraseRootFromParent_Done,
     /* 2158274 */   // Label 28485: @2158274
     /* 2158274 */   GIM_Try, /*On fail goto*//*Label 28486*/ GIMT_Encode4(2158365), // Rule ID 18042 //
     /* 2158279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2158287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2158290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2158293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2158296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2158299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2158302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158325 */     // MIs[0] round
     /* 2158325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158328 */     // MIs[0] policy
     /* 2158328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158338 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2158341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158364 */     // GIR_Coverage, 18042,
     /* 2158364 */     GIR_EraseRootFromParent_Done,
     /* 2158365 */   // Label 28486: @2158365
     /* 2158365 */   GIM_Try, /*On fail goto*//*Label 28487*/ GIMT_Encode4(2158456), // Rule ID 18043 //
     /* 2158370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2158378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2158381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2158384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2158387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2158390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2158393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158416 */     // MIs[0] round
     /* 2158416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158419 */     // MIs[0] policy
     /* 2158419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158429 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2158432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158455 */     // GIR_Coverage, 18043,
     /* 2158455 */     GIR_EraseRootFromParent_Done,
     /* 2158456 */   // Label 28487: @2158456
     /* 2158456 */   GIM_Try, /*On fail goto*//*Label 28488*/ GIMT_Encode4(2158547), // Rule ID 18046 //
     /* 2158461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2158464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2158469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2158472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2158475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2158478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2158481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158507 */     // MIs[0] round
     /* 2158507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158510 */     // MIs[0] policy
     /* 2158510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158520 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2158523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158546 */     // GIR_Coverage, 18046,
     /* 2158546 */     GIR_EraseRootFromParent_Done,
     /* 2158547 */   // Label 28488: @2158547
     /* 2158547 */   GIM_Try, /*On fail goto*//*Label 28489*/ GIMT_Encode4(2158638), // Rule ID 18047 //
     /* 2158552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2158560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2158563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2158566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2158569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2158572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158598 */     // MIs[0] round
     /* 2158598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158601 */     // MIs[0] policy
     /* 2158601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158611 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2158614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158637 */     // GIR_Coverage, 18047,
     /* 2158637 */     GIR_EraseRootFromParent_Done,
     /* 2158638 */   // Label 28489: @2158638
     /* 2158638 */   GIM_Try, /*On fail goto*//*Label 28490*/ GIMT_Encode4(2158729), // Rule ID 18050 //
     /* 2158643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2158646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2158651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2158654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2158657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2158660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2158663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158689 */     // MIs[0] round
     /* 2158689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158692 */     // MIs[0] policy
     /* 2158692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158702 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2158705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158728 */     // GIR_Coverage, 18050,
     /* 2158728 */     GIR_EraseRootFromParent_Done,
     /* 2158729 */   // Label 28490: @2158729
     /* 2158729 */   GIM_Try, /*On fail goto*//*Label 28491*/ GIMT_Encode4(2158820), // Rule ID 18051 //
     /* 2158734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2158742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2158745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2158748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2158751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2158754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158780 */     // MIs[0] round
     /* 2158780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158783 */     // MIs[0] policy
     /* 2158783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158793 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2158796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158819 */     // GIR_Coverage, 18051,
     /* 2158819 */     GIR_EraseRootFromParent_Done,
     /* 2158820 */   // Label 28491: @2158820
     /* 2158820 */   GIM_Try, /*On fail goto*//*Label 28492*/ GIMT_Encode4(2158911), // Rule ID 18054 //
     /* 2158825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2158828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2158833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2158836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2158839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2158842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2158845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158871 */     // MIs[0] round
     /* 2158871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158874 */     // MIs[0] policy
     /* 2158874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158884 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2158887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158910 */     // GIR_Coverage, 18054,
     /* 2158910 */     GIR_EraseRootFromParent_Done,
     /* 2158911 */   // Label 28492: @2158911
     /* 2158911 */   GIM_Try, /*On fail goto*//*Label 28493*/ GIMT_Encode4(2159002), // Rule ID 18055 //
     /* 2158916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2158924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2158927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2158930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2158933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2158936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158962 */     // MIs[0] round
     /* 2158962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158965 */     // MIs[0] policy
     /* 2158965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158975 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2158978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159001 */     // GIR_Coverage, 18055,
     /* 2159001 */     GIR_EraseRootFromParent_Done,
     /* 2159002 */   // Label 28493: @2159002
     /* 2159002 */   GIM_Try, /*On fail goto*//*Label 28494*/ GIMT_Encode4(2159093), // Rule ID 18058 //
     /* 2159007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2159015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2159018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2159021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2159027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159053 */     // MIs[0] round
     /* 2159053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159056 */     // MIs[0] policy
     /* 2159056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159066 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2159069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159092 */     // GIR_Coverage, 18058,
     /* 2159092 */     GIR_EraseRootFromParent_Done,
     /* 2159093 */   // Label 28494: @2159093
     /* 2159093 */   GIM_Try, /*On fail goto*//*Label 28495*/ GIMT_Encode4(2159184), // Rule ID 18059 //
     /* 2159098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2159106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2159109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2159112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2159118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159144 */     // MIs[0] round
     /* 2159144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159147 */     // MIs[0] policy
     /* 2159147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159157 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2159160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159183 */     // GIR_Coverage, 18059,
     /* 2159183 */     GIR_EraseRootFromParent_Done,
     /* 2159184 */   // Label 28495: @2159184
     /* 2159184 */   GIM_Try, /*On fail goto*//*Label 28496*/ GIMT_Encode4(2159275), // Rule ID 18062 //
     /* 2159189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2159197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2159200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2159203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2159209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159235 */     // MIs[0] round
     /* 2159235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159238 */     // MIs[0] policy
     /* 2159238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159248 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2159251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159274 */     // GIR_Coverage, 18062,
     /* 2159274 */     GIR_EraseRootFromParent_Done,
     /* 2159275 */   // Label 28496: @2159275
     /* 2159275 */   GIM_Try, /*On fail goto*//*Label 28497*/ GIMT_Encode4(2159366), // Rule ID 18063 //
     /* 2159280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2159288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2159291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2159294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2159300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159326 */     // MIs[0] round
     /* 2159326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159329 */     // MIs[0] policy
     /* 2159329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159339 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2159342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159365 */     // GIR_Coverage, 18063,
     /* 2159365 */     GIR_EraseRootFromParent_Done,
     /* 2159366 */   // Label 28497: @2159366
     /* 2159366 */   GIM_Try, /*On fail goto*//*Label 28498*/ GIMT_Encode4(2159457), // Rule ID 18066 //
     /* 2159371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2159379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2159382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2159385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2159391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159417 */     // MIs[0] round
     /* 2159417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159420 */     // MIs[0] policy
     /* 2159420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159430 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2159433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159456 */     // GIR_Coverage, 18066,
     /* 2159456 */     GIR_EraseRootFromParent_Done,
     /* 2159457 */   // Label 28498: @2159457
     /* 2159457 */   GIM_Try, /*On fail goto*//*Label 28499*/ GIMT_Encode4(2159548), // Rule ID 18067 //
     /* 2159462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2159470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2159473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2159476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2159482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159508 */     // MIs[0] round
     /* 2159508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159511 */     // MIs[0] policy
     /* 2159511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159521 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2159524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159547 */     // GIR_Coverage, 18067,
     /* 2159547 */     GIR_EraseRootFromParent_Done,
     /* 2159548 */   // Label 28499: @2159548
     /* 2159548 */   GIM_Try, /*On fail goto*//*Label 28500*/ GIMT_Encode4(2159639), // Rule ID 18070 //
     /* 2159553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2159561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2159564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2159567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2159573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159599 */     // MIs[0] round
     /* 2159599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159602 */     // MIs[0] policy
     /* 2159602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159612 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2159615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159638 */     // GIR_Coverage, 18070,
     /* 2159638 */     GIR_EraseRootFromParent_Done,
     /* 2159639 */   // Label 28500: @2159639
     /* 2159639 */   GIM_Try, /*On fail goto*//*Label 28501*/ GIMT_Encode4(2159730), // Rule ID 18071 //
     /* 2159644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2159652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2159655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2159658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2159664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159690 */     // MIs[0] round
     /* 2159690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159693 */     // MIs[0] policy
     /* 2159693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159703 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2159706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159729 */     // GIR_Coverage, 18071,
     /* 2159729 */     GIR_EraseRootFromParent_Done,
     /* 2159730 */   // Label 28501: @2159730
     /* 2159730 */   GIM_Try, /*On fail goto*//*Label 28502*/ GIMT_Encode4(2159821), // Rule ID 18074 //
     /* 2159735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2159743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2159746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2159749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2159755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159781 */     // MIs[0] round
     /* 2159781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159784 */     // MIs[0] policy
     /* 2159784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159794 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2159797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159820 */     // GIR_Coverage, 18074,
     /* 2159820 */     GIR_EraseRootFromParent_Done,
     /* 2159821 */   // Label 28502: @2159821
     /* 2159821 */   GIM_Try, /*On fail goto*//*Label 28503*/ GIMT_Encode4(2159912), // Rule ID 18075 //
     /* 2159826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2159834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2159837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2159840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2159846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159872 */     // MIs[0] round
     /* 2159872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159875 */     // MIs[0] policy
     /* 2159875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159885 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2159888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159911 */     // GIR_Coverage, 18075,
     /* 2159911 */     GIR_EraseRootFromParent_Done,
     /* 2159912 */   // Label 28503: @2159912
     /* 2159912 */   GIM_Try, /*On fail goto*//*Label 28504*/ GIMT_Encode4(2160003), // Rule ID 18078 //
     /* 2159917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2159925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2159928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2159931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2159937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159963 */     // MIs[0] round
     /* 2159963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159966 */     // MIs[0] policy
     /* 2159966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159976 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2159979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160002 */     // GIR_Coverage, 18078,
     /* 2160002 */     GIR_EraseRootFromParent_Done,
     /* 2160003 */   // Label 28504: @2160003
     /* 2160003 */   GIM_Try, /*On fail goto*//*Label 28505*/ GIMT_Encode4(2160094), // Rule ID 18079 //
     /* 2160008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2160019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2160022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2160028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160054 */     // MIs[0] round
     /* 2160054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160057 */     // MIs[0] policy
     /* 2160057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160067 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2160070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160093 */     // GIR_Coverage, 18079,
     /* 2160093 */     GIR_EraseRootFromParent_Done,
     /* 2160094 */   // Label 28505: @2160094
     /* 2160094 */   GIM_Try, /*On fail goto*//*Label 28506*/ GIMT_Encode4(2160185), // Rule ID 18082 //
     /* 2160099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2160110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2160113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2160119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160145 */     // MIs[0] round
     /* 2160145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160148 */     // MIs[0] policy
     /* 2160148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160158 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2160161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160184 */     // GIR_Coverage, 18082,
     /* 2160184 */     GIR_EraseRootFromParent_Done,
     /* 2160185 */   // Label 28506: @2160185
     /* 2160185 */   GIM_Try, /*On fail goto*//*Label 28507*/ GIMT_Encode4(2160276), // Rule ID 18083 //
     /* 2160190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2160201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2160204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2160210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160236 */     // MIs[0] round
     /* 2160236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160239 */     // MIs[0] policy
     /* 2160239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160249 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2160252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160275 */     // GIR_Coverage, 18083,
     /* 2160275 */     GIR_EraseRootFromParent_Done,
     /* 2160276 */   // Label 28507: @2160276
     /* 2160276 */   GIM_Try, /*On fail goto*//*Label 28508*/ GIMT_Encode4(2160367), // Rule ID 18086 //
     /* 2160281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2160292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2160295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2160301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160327 */     // MIs[0] round
     /* 2160327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160330 */     // MIs[0] policy
     /* 2160330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160340 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2160343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160366 */     // GIR_Coverage, 18086,
     /* 2160366 */     GIR_EraseRootFromParent_Done,
     /* 2160367 */   // Label 28508: @2160367
     /* 2160367 */   GIM_Try, /*On fail goto*//*Label 28509*/ GIMT_Encode4(2160458), // Rule ID 18087 //
     /* 2160372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2160383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2160386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2160392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160418 */     // MIs[0] round
     /* 2160418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160421 */     // MIs[0] policy
     /* 2160421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160431 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2160434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160457 */     // GIR_Coverage, 18087,
     /* 2160457 */     GIR_EraseRootFromParent_Done,
     /* 2160458 */   // Label 28509: @2160458
     /* 2160458 */   GIM_Try, /*On fail goto*//*Label 28510*/ GIMT_Encode4(2160549), // Rule ID 18090 //
     /* 2160463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2160474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2160477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2160483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2160486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160509 */     // MIs[0] round
     /* 2160509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160512 */     // MIs[0] policy
     /* 2160512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160522 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2160525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160548 */     // GIR_Coverage, 18090,
     /* 2160548 */     GIR_EraseRootFromParent_Done,
     /* 2160549 */   // Label 28510: @2160549
     /* 2160549 */   GIM_Try, /*On fail goto*//*Label 28511*/ GIMT_Encode4(2160640), // Rule ID 18091 //
     /* 2160554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2160565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2160568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2160571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2160574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2160577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2160592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160600 */     // MIs[0] round
     /* 2160600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160603 */     // MIs[0] policy
     /* 2160603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160613 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2160616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160639 */     // GIR_Coverage, 18091,
     /* 2160639 */     GIR_EraseRootFromParent_Done,
     /* 2160640 */   // Label 28511: @2160640
     /* 2160640 */   GIM_Try, /*On fail goto*//*Label 28512*/ GIMT_Encode4(2160731), // Rule ID 18094 //
     /* 2160645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2160656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2160659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2160665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160691 */     // MIs[0] round
     /* 2160691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160694 */     // MIs[0] policy
     /* 2160694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160704 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2160707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160730 */     // GIR_Coverage, 18094,
     /* 2160730 */     GIR_EraseRootFromParent_Done,
     /* 2160731 */   // Label 28512: @2160731
     /* 2160731 */   GIM_Try, /*On fail goto*//*Label 28513*/ GIMT_Encode4(2160822), // Rule ID 18095 //
     /* 2160736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2160747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2160750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2160756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160782 */     // MIs[0] round
     /* 2160782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160785 */     // MIs[0] policy
     /* 2160785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160795 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2160798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160821 */     // GIR_Coverage, 18095,
     /* 2160821 */     GIR_EraseRootFromParent_Done,
     /* 2160822 */   // Label 28513: @2160822
     /* 2160822 */   GIM_Try, /*On fail goto*//*Label 28514*/ GIMT_Encode4(2160913), // Rule ID 18098 //
     /* 2160827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2160838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2160841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2160847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160873 */     // MIs[0] round
     /* 2160873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160876 */     // MIs[0] policy
     /* 2160876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160886 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2160889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160912 */     // GIR_Coverage, 18098,
     /* 2160912 */     GIR_EraseRootFromParent_Done,
     /* 2160913 */   // Label 28514: @2160913
     /* 2160913 */   GIM_Try, /*On fail goto*//*Label 28515*/ GIMT_Encode4(2161004), // Rule ID 18099 //
     /* 2160918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2160929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2160932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2160938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160964 */     // MIs[0] round
     /* 2160964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160967 */     // MIs[0] policy
     /* 2160967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160977 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2160980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161003 */     // GIR_Coverage, 18099,
     /* 2161003 */     GIR_EraseRootFromParent_Done,
     /* 2161004 */   // Label 28515: @2161004
     /* 2161004 */   GIM_Try, /*On fail goto*//*Label 28516*/ GIMT_Encode4(2161095), // Rule ID 18102 //
     /* 2161009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2161020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2161023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2161026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2161029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2161047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161055 */     // MIs[0] round
     /* 2161055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161058 */     // MIs[0] policy
     /* 2161058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161068 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2161071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161094 */     // GIR_Coverage, 18102,
     /* 2161094 */     GIR_EraseRootFromParent_Done,
     /* 2161095 */   // Label 28516: @2161095
     /* 2161095 */   GIM_Try, /*On fail goto*//*Label 28517*/ GIMT_Encode4(2161186), // Rule ID 18103 //
     /* 2161100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2161111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2161114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2161117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2161120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2161138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161146 */     // MIs[0] round
     /* 2161146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161149 */     // MIs[0] policy
     /* 2161149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161159 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2161162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161185 */     // GIR_Coverage, 18103,
     /* 2161185 */     GIR_EraseRootFromParent_Done,
     /* 2161186 */   // Label 28517: @2161186
     /* 2161186 */   GIM_Try, /*On fail goto*//*Label 28518*/ GIMT_Encode4(2161277), // Rule ID 18106 //
     /* 2161191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2161194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2161202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2161205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2161211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161237 */     // MIs[0] round
     /* 2161237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161240 */     // MIs[0] policy
     /* 2161240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161250 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2161253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161276 */     // GIR_Coverage, 18106,
     /* 2161276 */     GIR_EraseRootFromParent_Done,
     /* 2161277 */   // Label 28518: @2161277
     /* 2161277 */   GIM_Try, /*On fail goto*//*Label 28519*/ GIMT_Encode4(2161368), // Rule ID 18107 //
     /* 2161282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2161285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2161293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2161296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2161302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161328 */     // MIs[0] round
     /* 2161328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161331 */     // MIs[0] policy
     /* 2161331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161341 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2161344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161367 */     // GIR_Coverage, 18107,
     /* 2161367 */     GIR_EraseRootFromParent_Done,
     /* 2161368 */   // Label 28519: @2161368
     /* 2161368 */   GIM_Try, /*On fail goto*//*Label 28520*/ GIMT_Encode4(2161459), // Rule ID 18110 //
     /* 2161373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2161376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2161384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2161387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2161393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161419 */     // MIs[0] round
     /* 2161419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161422 */     // MIs[0] policy
     /* 2161422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161432 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2161435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161458 */     // GIR_Coverage, 18110,
     /* 2161458 */     GIR_EraseRootFromParent_Done,
     /* 2161459 */   // Label 28520: @2161459
     /* 2161459 */   GIM_Try, /*On fail goto*//*Label 28521*/ GIMT_Encode4(2161550), // Rule ID 18111 //
     /* 2161464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2161467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2161475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2161478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2161484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161510 */     // MIs[0] round
     /* 2161510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161513 */     // MIs[0] policy
     /* 2161513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161523 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2161526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161549 */     // GIR_Coverage, 18111,
     /* 2161549 */     GIR_EraseRootFromParent_Done,
     /* 2161550 */   // Label 28521: @2161550
     /* 2161550 */   GIM_Try, /*On fail goto*//*Label 28522*/ GIMT_Encode4(2161641), // Rule ID 18114 //
     /* 2161555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2161558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2161566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2161569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2161575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161601 */     // MIs[0] round
     /* 2161601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161604 */     // MIs[0] policy
     /* 2161604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161614 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2161617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161640 */     // GIR_Coverage, 18114,
     /* 2161640 */     GIR_EraseRootFromParent_Done,
     /* 2161641 */   // Label 28522: @2161641
     /* 2161641 */   GIM_Try, /*On fail goto*//*Label 28523*/ GIMT_Encode4(2161732), // Rule ID 18115 //
     /* 2161646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2161649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2161657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2161660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2161663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2161666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2161684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161692 */     // MIs[0] round
     /* 2161692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161695 */     // MIs[0] policy
     /* 2161695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161705 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2161708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161731 */     // GIR_Coverage, 18115,
     /* 2161731 */     GIR_EraseRootFromParent_Done,
     /* 2161732 */   // Label 28523: @2161732
     /* 2161732 */   GIM_Try, /*On fail goto*//*Label 28524*/ GIMT_Encode4(2161823), // Rule ID 18118 //
     /* 2161737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2161748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2161751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2161754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2161757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161783 */     // MIs[0] round
     /* 2161783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161786 */     // MIs[0] policy
     /* 2161786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161796 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2161799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161822 */     // GIR_Coverage, 18118,
     /* 2161822 */     GIR_EraseRootFromParent_Done,
     /* 2161823 */   // Label 28524: @2161823
     /* 2161823 */   GIM_Try, /*On fail goto*//*Label 28525*/ GIMT_Encode4(2161914), // Rule ID 18119 //
     /* 2161828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2161839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2161842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2161845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2161848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161874 */     // MIs[0] round
     /* 2161874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161877 */     // MIs[0] policy
     /* 2161877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161887 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2161890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161913 */     // GIR_Coverage, 18119,
     /* 2161913 */     GIR_EraseRootFromParent_Done,
     /* 2161914 */   // Label 28525: @2161914
     /* 2161914 */   GIM_Try, /*On fail goto*//*Label 28526*/ GIMT_Encode4(2162005), // Rule ID 18122 //
     /* 2161919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2161927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2161930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2161933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2161936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2161939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161965 */     // MIs[0] round
     /* 2161965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161968 */     // MIs[0] policy
     /* 2161968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161978 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2161981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162004 */     // GIR_Coverage, 18122,
     /* 2162004 */     GIR_EraseRootFromParent_Done,
     /* 2162005 */   // Label 28526: @2162005
     /* 2162005 */   GIM_Try, /*On fail goto*//*Label 28527*/ GIMT_Encode4(2162096), // Rule ID 18123 //
     /* 2162010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2162018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2162021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2162024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2162027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2162030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162056 */     // MIs[0] round
     /* 2162056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162059 */     // MIs[0] policy
     /* 2162059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162069 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2162072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162095 */     // GIR_Coverage, 18123,
     /* 2162095 */     GIR_EraseRootFromParent_Done,
     /* 2162096 */   // Label 28527: @2162096
     /* 2162096 */   GIM_Try, /*On fail goto*//*Label 28528*/ GIMT_Encode4(2162187), // Rule ID 18126 //
     /* 2162101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2162109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2162112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2162115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2162118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2162121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162147 */     // MIs[0] round
     /* 2162147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162150 */     // MIs[0] policy
     /* 2162150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162160 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2162163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162186 */     // GIR_Coverage, 18126,
     /* 2162186 */     GIR_EraseRootFromParent_Done,
     /* 2162187 */   // Label 28528: @2162187
     /* 2162187 */   GIM_Try, /*On fail goto*//*Label 28529*/ GIMT_Encode4(2162278), // Rule ID 18127 //
     /* 2162192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2162200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2162203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2162206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2162209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2162212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162238 */     // MIs[0] round
     /* 2162238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162241 */     // MIs[0] policy
     /* 2162241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162251 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2162254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162277 */     // GIR_Coverage, 18127,
     /* 2162277 */     GIR_EraseRootFromParent_Done,
     /* 2162278 */   // Label 28529: @2162278
     /* 2162278 */   GIM_Try, /*On fail goto*//*Label 28530*/ GIMT_Encode4(2162369), // Rule ID 18130 //
     /* 2162283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2162291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2162294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2162297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2162300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2162303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162329 */     // MIs[0] round
     /* 2162329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162332 */     // MIs[0] policy
     /* 2162332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162342 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2162345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162368 */     // GIR_Coverage, 18130,
     /* 2162368 */     GIR_EraseRootFromParent_Done,
     /* 2162369 */   // Label 28530: @2162369
     /* 2162369 */   GIM_Try, /*On fail goto*//*Label 28531*/ GIMT_Encode4(2162460), // Rule ID 18131 //
     /* 2162374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2162382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2162385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2162388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2162391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2162394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162420 */     // MIs[0] round
     /* 2162420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162423 */     // MIs[0] policy
     /* 2162423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162433 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2162436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162459 */     // GIR_Coverage, 18131,
     /* 2162459 */     GIR_EraseRootFromParent_Done,
     /* 2162460 */   // Label 28531: @2162460
     /* 2162460 */   GIM_Try, /*On fail goto*//*Label 28532*/ GIMT_Encode4(2162551), // Rule ID 18134 //
     /* 2162465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2162473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2162476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2162479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2162482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2162485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162511 */     // MIs[0] round
     /* 2162511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162514 */     // MIs[0] policy
     /* 2162514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162524 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2162527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162550 */     // GIR_Coverage, 18134,
     /* 2162550 */     GIR_EraseRootFromParent_Done,
     /* 2162551 */   // Label 28532: @2162551
     /* 2162551 */   GIM_Try, /*On fail goto*//*Label 28533*/ GIMT_Encode4(2162642), // Rule ID 18135 //
     /* 2162556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2162564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2162567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2162570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2162573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2162576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162602 */     // MIs[0] round
     /* 2162602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162605 */     // MIs[0] policy
     /* 2162605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162615 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2162618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162641 */     // GIR_Coverage, 18135,
     /* 2162641 */     GIR_EraseRootFromParent_Done,
     /* 2162642 */   // Label 28533: @2162642
     /* 2162642 */   GIM_Try, /*On fail goto*//*Label 28534*/ GIMT_Encode4(2162733), // Rule ID 18138 //
     /* 2162647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2162655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2162658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2162661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2162664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2162667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162693 */     // MIs[0] round
     /* 2162693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162696 */     // MIs[0] policy
     /* 2162696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162706 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2162709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162732 */     // GIR_Coverage, 18138,
     /* 2162732 */     GIR_EraseRootFromParent_Done,
     /* 2162733 */   // Label 28534: @2162733
     /* 2162733 */   GIM_Try, /*On fail goto*//*Label 28535*/ GIMT_Encode4(2162824), // Rule ID 18139 //
     /* 2162738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2162741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2162746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2162749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2162752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2162755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2162758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162784 */     // MIs[0] round
     /* 2162784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162787 */     // MIs[0] policy
     /* 2162787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162797 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2162800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162823 */     // GIR_Coverage, 18139,
     /* 2162823 */     GIR_EraseRootFromParent_Done,
     /* 2162824 */   // Label 28535: @2162824
     /* 2162824 */   GIM_Try, /*On fail goto*//*Label 28536*/ GIMT_Encode4(2162915), // Rule ID 18142 //
     /* 2162829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2162837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2162840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2162843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2162846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2162849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162875 */     // MIs[0] round
     /* 2162875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162878 */     // MIs[0] policy
     /* 2162878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162888 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2162891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162914 */     // GIR_Coverage, 18142,
     /* 2162914 */     GIR_EraseRootFromParent_Done,
     /* 2162915 */   // Label 28536: @2162915
     /* 2162915 */   GIM_Try, /*On fail goto*//*Label 28537*/ GIMT_Encode4(2163006), // Rule ID 18143 //
     /* 2162920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2162928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2162931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2162934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2162937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2162940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162966 */     // MIs[0] round
     /* 2162966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162969 */     // MIs[0] policy
     /* 2162969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162979 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2162982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163005 */     // GIR_Coverage, 18143,
     /* 2163005 */     GIR_EraseRootFromParent_Done,
     /* 2163006 */   // Label 28537: @2163006
     /* 2163006 */   GIM_Try, /*On fail goto*//*Label 28538*/ GIMT_Encode4(2163097), // Rule ID 18146 //
     /* 2163011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2163019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2163022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2163025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2163028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2163031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163057 */     // MIs[0] round
     /* 2163057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163060 */     // MIs[0] policy
     /* 2163060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163070 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2163073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163096 */     // GIR_Coverage, 18146,
     /* 2163096 */     GIR_EraseRootFromParent_Done,
     /* 2163097 */   // Label 28538: @2163097
     /* 2163097 */   GIM_Try, /*On fail goto*//*Label 28539*/ GIMT_Encode4(2163188), // Rule ID 18147 //
     /* 2163102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2163110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2163113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2163116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2163119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2163122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163148 */     // MIs[0] round
     /* 2163148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163151 */     // MIs[0] policy
     /* 2163151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163161 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2163164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163187 */     // GIR_Coverage, 18147,
     /* 2163187 */     GIR_EraseRootFromParent_Done,
     /* 2163188 */   // Label 28539: @2163188
     /* 2163188 */   GIM_Try, /*On fail goto*//*Label 28540*/ GIMT_Encode4(2163279), // Rule ID 18150 //
     /* 2163193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2163201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2163204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2163207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2163210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2163213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2163216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163239 */     // MIs[0] round
     /* 2163239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163242 */     // MIs[0] policy
     /* 2163242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163252 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2163255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163278 */     // GIR_Coverage, 18150,
     /* 2163278 */     GIR_EraseRootFromParent_Done,
     /* 2163279 */   // Label 28540: @2163279
     /* 2163279 */   GIM_Try, /*On fail goto*//*Label 28541*/ GIMT_Encode4(2163370), // Rule ID 18151 //
     /* 2163284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2163292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2163295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2163298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2163301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2163304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2163307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163330 */     // MIs[0] round
     /* 2163330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163333 */     // MIs[0] policy
     /* 2163333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163343 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2163346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163369 */     // GIR_Coverage, 18151,
     /* 2163369 */     GIR_EraseRootFromParent_Done,
     /* 2163370 */   // Label 28541: @2163370
     /* 2163370 */   GIM_Try, /*On fail goto*//*Label 28542*/ GIMT_Encode4(2163461), // Rule ID 18154 //
     /* 2163375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2163383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2163386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2163389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2163392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2163395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163421 */     // MIs[0] round
     /* 2163421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163424 */     // MIs[0] policy
     /* 2163424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163434 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2163437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163460 */     // GIR_Coverage, 18154,
     /* 2163460 */     GIR_EraseRootFromParent_Done,
     /* 2163461 */   // Label 28542: @2163461
     /* 2163461 */   GIM_Try, /*On fail goto*//*Label 28543*/ GIMT_Encode4(2163552), // Rule ID 18155 //
     /* 2163466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2163474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2163477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2163480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2163483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2163486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163512 */     // MIs[0] round
     /* 2163512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163515 */     // MIs[0] policy
     /* 2163515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163525 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2163528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163551 */     // GIR_Coverage, 18155,
     /* 2163551 */     GIR_EraseRootFromParent_Done,
     /* 2163552 */   // Label 28543: @2163552
     /* 2163552 */   GIM_Try, /*On fail goto*//*Label 28544*/ GIMT_Encode4(2163643), // Rule ID 18158 //
     /* 2163557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2163565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2163568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2163571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2163574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2163577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163603 */     // MIs[0] round
     /* 2163603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163606 */     // MIs[0] policy
     /* 2163606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163616 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2163619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163642 */     // GIR_Coverage, 18158,
     /* 2163642 */     GIR_EraseRootFromParent_Done,
     /* 2163643 */   // Label 28544: @2163643
     /* 2163643 */   GIM_Try, /*On fail goto*//*Label 28545*/ GIMT_Encode4(2163734), // Rule ID 18159 //
     /* 2163648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2163656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2163659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2163662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2163665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2163668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163694 */     // MIs[0] round
     /* 2163694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163697 */     // MIs[0] policy
     /* 2163697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163707 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2163710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163733 */     // GIR_Coverage, 18159,
     /* 2163733 */     GIR_EraseRootFromParent_Done,
     /* 2163734 */   // Label 28545: @2163734
     /* 2163734 */   GIM_Try, /*On fail goto*//*Label 28546*/ GIMT_Encode4(2163825), // Rule ID 18162 //
     /* 2163739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2163747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2163750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2163753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2163756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2163759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163785 */     // MIs[0] round
     /* 2163785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163788 */     // MIs[0] policy
     /* 2163788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163798 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2163801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163824 */     // GIR_Coverage, 18162,
     /* 2163824 */     GIR_EraseRootFromParent_Done,
     /* 2163825 */   // Label 28546: @2163825
     /* 2163825 */   GIM_Try, /*On fail goto*//*Label 28547*/ GIMT_Encode4(2163916), // Rule ID 18163 //
     /* 2163830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2163838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2163841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2163844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2163847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2163850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163876 */     // MIs[0] round
     /* 2163876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163879 */     // MIs[0] policy
     /* 2163879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163889 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2163892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163915 */     // GIR_Coverage, 18163,
     /* 2163915 */     GIR_EraseRootFromParent_Done,
     /* 2163916 */   // Label 28547: @2163916
     /* 2163916 */   GIM_Try, /*On fail goto*//*Label 28548*/ GIMT_Encode4(2164007), // Rule ID 18166 //
     /* 2163921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2163929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2163932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2163935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2163938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2163941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163967 */     // MIs[0] round
     /* 2163967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163970 */     // MIs[0] policy
     /* 2163970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163980 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2163983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164006 */     // GIR_Coverage, 18166,
     /* 2164006 */     GIR_EraseRootFromParent_Done,
     /* 2164007 */   // Label 28548: @2164007
     /* 2164007 */   GIM_Try, /*On fail goto*//*Label 28549*/ GIMT_Encode4(2164098), // Rule ID 18167 //
     /* 2164012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2164020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2164023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2164026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2164029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2164032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164058 */     // MIs[0] round
     /* 2164058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164061 */     // MIs[0] policy
     /* 2164061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164071 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2164074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164097 */     // GIR_Coverage, 18167,
     /* 2164097 */     GIR_EraseRootFromParent_Done,
     /* 2164098 */   // Label 28549: @2164098
     /* 2164098 */   GIM_Try, /*On fail goto*//*Label 28550*/ GIMT_Encode4(2164189), // Rule ID 18170 //
     /* 2164103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2164111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2164114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2164117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2164120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2164123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164149 */     // MIs[0] round
     /* 2164149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164152 */     // MIs[0] policy
     /* 2164152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164162 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2164165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164188 */     // GIR_Coverage, 18170,
     /* 2164188 */     GIR_EraseRootFromParent_Done,
     /* 2164189 */   // Label 28550: @2164189
     /* 2164189 */   GIM_Try, /*On fail goto*//*Label 28551*/ GIMT_Encode4(2164280), // Rule ID 18171 //
     /* 2164194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2164202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2164205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2164208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2164211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2164214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164240 */     // MIs[0] round
     /* 2164240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164243 */     // MIs[0] policy
     /* 2164243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164253 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2164256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164279 */     // GIR_Coverage, 18171,
     /* 2164279 */     GIR_EraseRootFromParent_Done,
     /* 2164280 */   // Label 28551: @2164280
     /* 2164280 */   GIM_Try, /*On fail goto*//*Label 28552*/ GIMT_Encode4(2164371), // Rule ID 18174 //
     /* 2164285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2164293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2164296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2164299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2164302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2164305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164331 */     // MIs[0] round
     /* 2164331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164334 */     // MIs[0] policy
     /* 2164334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164344 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2164347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164370 */     // GIR_Coverage, 18174,
     /* 2164370 */     GIR_EraseRootFromParent_Done,
     /* 2164371 */   // Label 28552: @2164371
     /* 2164371 */   GIM_Try, /*On fail goto*//*Label 28553*/ GIMT_Encode4(2164462), // Rule ID 18175 //
     /* 2164376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2164384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2164387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2164390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2164393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2164396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164422 */     // MIs[0] round
     /* 2164422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164425 */     // MIs[0] policy
     /* 2164425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164435 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2164438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164461 */     // GIR_Coverage, 18175,
     /* 2164461 */     GIR_EraseRootFromParent_Done,
     /* 2164462 */   // Label 28553: @2164462
     /* 2164462 */   GIM_Try, /*On fail goto*//*Label 28554*/ GIMT_Encode4(2164553), // Rule ID 18178 //
     /* 2164467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2164475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2164478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2164481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2164487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164513 */     // MIs[0] round
     /* 2164513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164516 */     // MIs[0] policy
     /* 2164516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164526 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2164529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164552 */     // GIR_Coverage, 18178,
     /* 2164552 */     GIR_EraseRootFromParent_Done,
     /* 2164553 */   // Label 28554: @2164553
     /* 2164553 */   GIM_Try, /*On fail goto*//*Label 28555*/ GIMT_Encode4(2164644), // Rule ID 18179 //
     /* 2164558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2164566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2164569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2164572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2164578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164604 */     // MIs[0] round
     /* 2164604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164607 */     // MIs[0] policy
     /* 2164607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164617 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2164620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164643 */     // GIR_Coverage, 18179,
     /* 2164643 */     GIR_EraseRootFromParent_Done,
     /* 2164644 */   // Label 28555: @2164644
     /* 2164644 */   GIM_Try, /*On fail goto*//*Label 28556*/ GIMT_Encode4(2164735), // Rule ID 18182 //
     /* 2164649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2164657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2164660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2164663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2164669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164695 */     // MIs[0] round
     /* 2164695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164698 */     // MIs[0] policy
     /* 2164698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164708 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2164711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164734 */     // GIR_Coverage, 18182,
     /* 2164734 */     GIR_EraseRootFromParent_Done,
     /* 2164735 */   // Label 28556: @2164735
     /* 2164735 */   GIM_Try, /*On fail goto*//*Label 28557*/ GIMT_Encode4(2164826), // Rule ID 18183 //
     /* 2164740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2164748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2164751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2164754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2164760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164786 */     // MIs[0] round
     /* 2164786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164789 */     // MIs[0] policy
     /* 2164789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164799 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2164802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164825 */     // GIR_Coverage, 18183,
     /* 2164825 */     GIR_EraseRootFromParent_Done,
     /* 2164826 */   // Label 28557: @2164826
     /* 2164826 */   GIM_Try, /*On fail goto*//*Label 28558*/ GIMT_Encode4(2164917), // Rule ID 18186 //
     /* 2164831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2164839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2164842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2164845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2164851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164877 */     // MIs[0] round
     /* 2164877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164880 */     // MIs[0] policy
     /* 2164880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164890 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2164893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164916 */     // GIR_Coverage, 18186,
     /* 2164916 */     GIR_EraseRootFromParent_Done,
     /* 2164917 */   // Label 28558: @2164917
     /* 2164917 */   GIM_Try, /*On fail goto*//*Label 28559*/ GIMT_Encode4(2165008), // Rule ID 18187 //
     /* 2164922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2164930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2164933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2164936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2164942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164968 */     // MIs[0] round
     /* 2164968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164971 */     // MIs[0] policy
     /* 2164971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164981 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2164984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165007 */     // GIR_Coverage, 18187,
     /* 2165007 */     GIR_EraseRootFromParent_Done,
     /* 2165008 */   // Label 28559: @2165008
     /* 2165008 */   GIM_Try, /*On fail goto*//*Label 28560*/ GIMT_Encode4(2165099), // Rule ID 18190 //
     /* 2165013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2165021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2165024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2165027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2165033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165059 */     // MIs[0] round
     /* 2165059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165062 */     // MIs[0] policy
     /* 2165062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165072 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2165075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165098 */     // GIR_Coverage, 18190,
     /* 2165098 */     GIR_EraseRootFromParent_Done,
     /* 2165099 */   // Label 28560: @2165099
     /* 2165099 */   GIM_Try, /*On fail goto*//*Label 28561*/ GIMT_Encode4(2165190), // Rule ID 18191 //
     /* 2165104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2165112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2165115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2165118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2165124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165150 */     // MIs[0] round
     /* 2165150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165153 */     // MIs[0] policy
     /* 2165153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165163 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2165166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165189 */     // GIR_Coverage, 18191,
     /* 2165189 */     GIR_EraseRootFromParent_Done,
     /* 2165190 */   // Label 28561: @2165190
     /* 2165190 */   GIM_Try, /*On fail goto*//*Label 28562*/ GIMT_Encode4(2165281), // Rule ID 18194 //
     /* 2165195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2165203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2165206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2165209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2165215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165241 */     // MIs[0] round
     /* 2165241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165244 */     // MIs[0] policy
     /* 2165244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165254 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2165257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165280 */     // GIR_Coverage, 18194,
     /* 2165280 */     GIR_EraseRootFromParent_Done,
     /* 2165281 */   // Label 28562: @2165281
     /* 2165281 */   GIM_Try, /*On fail goto*//*Label 28563*/ GIMT_Encode4(2165372), // Rule ID 18195 //
     /* 2165286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2165294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2165297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2165300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2165306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165332 */     // MIs[0] round
     /* 2165332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165335 */     // MIs[0] policy
     /* 2165335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165345 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2165348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165371 */     // GIR_Coverage, 18195,
     /* 2165371 */     GIR_EraseRootFromParent_Done,
     /* 2165372 */   // Label 28563: @2165372
     /* 2165372 */   GIM_Try, /*On fail goto*//*Label 28564*/ GIMT_Encode4(2165463), // Rule ID 18198 //
     /* 2165377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2165385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2165388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2165391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2165397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165423 */     // MIs[0] round
     /* 2165423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165426 */     // MIs[0] policy
     /* 2165426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165436 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2165439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165462 */     // GIR_Coverage, 18198,
     /* 2165462 */     GIR_EraseRootFromParent_Done,
     /* 2165463 */   // Label 28564: @2165463
     /* 2165463 */   GIM_Try, /*On fail goto*//*Label 28565*/ GIMT_Encode4(2165554), // Rule ID 18199 //
     /* 2165468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2165476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2165479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2165482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2165488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165514 */     // MIs[0] round
     /* 2165514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165517 */     // MIs[0] policy
     /* 2165517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165527 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2165530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165553 */     // GIR_Coverage, 18199,
     /* 2165553 */     GIR_EraseRootFromParent_Done,
     /* 2165554 */   // Label 28565: @2165554
     /* 2165554 */   GIM_Try, /*On fail goto*//*Label 28566*/ GIMT_Encode4(2165645), // Rule ID 18202 //
     /* 2165559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2165567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2165570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2165573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2165579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165605 */     // MIs[0] round
     /* 2165605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165608 */     // MIs[0] policy
     /* 2165608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165618 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2165621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165644 */     // GIR_Coverage, 18202,
     /* 2165644 */     GIR_EraseRootFromParent_Done,
     /* 2165645 */   // Label 28566: @2165645
     /* 2165645 */   GIM_Try, /*On fail goto*//*Label 28567*/ GIMT_Encode4(2165736), // Rule ID 18203 //
     /* 2165650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2165658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2165661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2165664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2165670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165696 */     // MIs[0] round
     /* 2165696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165699 */     // MIs[0] policy
     /* 2165699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165709 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2165712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165735 */     // GIR_Coverage, 18203,
     /* 2165735 */     GIR_EraseRootFromParent_Done,
     /* 2165736 */   // Label 28567: @2165736
     /* 2165736 */   GIM_Try, /*On fail goto*//*Label 28568*/ GIMT_Encode4(2165827), // Rule ID 18206 //
     /* 2165741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2165749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2165752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2165755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2165761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165787 */     // MIs[0] round
     /* 2165787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165790 */     // MIs[0] policy
     /* 2165790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165800 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2165803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165826 */     // GIR_Coverage, 18206,
     /* 2165826 */     GIR_EraseRootFromParent_Done,
     /* 2165827 */   // Label 28568: @2165827
     /* 2165827 */   GIM_Try, /*On fail goto*//*Label 28569*/ GIMT_Encode4(2165918), // Rule ID 18207 //
     /* 2165832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2165840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2165843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2165846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2165852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165878 */     // MIs[0] round
     /* 2165878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165881 */     // MIs[0] policy
     /* 2165881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165891 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2165894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165917 */     // GIR_Coverage, 18207,
     /* 2165917 */     GIR_EraseRootFromParent_Done,
     /* 2165918 */   // Label 28569: @2165918
     /* 2165918 */   GIM_Try, /*On fail goto*//*Label 28570*/ GIMT_Encode4(2166009), // Rule ID 18210 //
     /* 2165923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2165931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2165934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2165937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2165943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2165946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165969 */     // MIs[0] round
     /* 2165969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165972 */     // MIs[0] policy
     /* 2165972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165982 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2165985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166008 */     // GIR_Coverage, 18210,
     /* 2166008 */     GIR_EraseRootFromParent_Done,
     /* 2166009 */   // Label 28570: @2166009
     /* 2166009 */   GIM_Try, /*On fail goto*//*Label 28571*/ GIMT_Encode4(2166100), // Rule ID 18211 //
     /* 2166014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2166025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2166028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2166031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2166034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2166037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2166052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166060 */     // MIs[0] round
     /* 2166060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166063 */     // MIs[0] policy
     /* 2166063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166073 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2166076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166099 */     // GIR_Coverage, 18211,
     /* 2166099 */     GIR_EraseRootFromParent_Done,
     /* 2166100 */   // Label 28571: @2166100
     /* 2166100 */   GIM_Try, /*On fail goto*//*Label 28572*/ GIMT_Encode4(2166191), // Rule ID 18214 //
     /* 2166105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2166116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2166119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2166125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166151 */     // MIs[0] round
     /* 2166151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166154 */     // MIs[0] policy
     /* 2166154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166164 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2166167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166190 */     // GIR_Coverage, 18214,
     /* 2166190 */     GIR_EraseRootFromParent_Done,
     /* 2166191 */   // Label 28572: @2166191
     /* 2166191 */   GIM_Try, /*On fail goto*//*Label 28573*/ GIMT_Encode4(2166282), // Rule ID 18215 //
     /* 2166196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2166207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2166210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2166216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166242 */     // MIs[0] round
     /* 2166242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166245 */     // MIs[0] policy
     /* 2166245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166255 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2166258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166281 */     // GIR_Coverage, 18215,
     /* 2166281 */     GIR_EraseRootFromParent_Done,
     /* 2166282 */   // Label 28573: @2166282
     /* 2166282 */   GIM_Try, /*On fail goto*//*Label 28574*/ GIMT_Encode4(2166373), // Rule ID 18218 //
     /* 2166287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2166298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2166301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2166307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166333 */     // MIs[0] round
     /* 2166333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166336 */     // MIs[0] policy
     /* 2166336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166346 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2166349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166372 */     // GIR_Coverage, 18218,
     /* 2166372 */     GIR_EraseRootFromParent_Done,
     /* 2166373 */   // Label 28574: @2166373
     /* 2166373 */   GIM_Try, /*On fail goto*//*Label 28575*/ GIMT_Encode4(2166464), // Rule ID 18219 //
     /* 2166378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2166389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2166392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2166398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166424 */     // MIs[0] round
     /* 2166424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166427 */     // MIs[0] policy
     /* 2166427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166437 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2166440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166463 */     // GIR_Coverage, 18219,
     /* 2166463 */     GIR_EraseRootFromParent_Done,
     /* 2166464 */   // Label 28575: @2166464
     /* 2166464 */   GIM_Try, /*On fail goto*//*Label 28576*/ GIMT_Encode4(2166555), // Rule ID 18222 //
     /* 2166469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2166480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2166483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2166489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166515 */     // MIs[0] round
     /* 2166515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166518 */     // MIs[0] policy
     /* 2166518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166528 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2166531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166554 */     // GIR_Coverage, 18222,
     /* 2166554 */     GIR_EraseRootFromParent_Done,
     /* 2166555 */   // Label 28576: @2166555
     /* 2166555 */   GIM_Try, /*On fail goto*//*Label 28577*/ GIMT_Encode4(2166646), // Rule ID 18223 //
     /* 2166560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2166571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2166574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2166577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2166580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2166598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166606 */     // MIs[0] round
     /* 2166606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166609 */     // MIs[0] policy
     /* 2166609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166619 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2166622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166645 */     // GIR_Coverage, 18223,
     /* 2166645 */     GIR_EraseRootFromParent_Done,
     /* 2166646 */   // Label 28577: @2166646
     /* 2166646 */   GIM_Try, /*On fail goto*//*Label 28578*/ GIMT_Encode4(2166737), // Rule ID 18226 //
     /* 2166651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2166662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2166665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2166671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166697 */     // MIs[0] round
     /* 2166697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166700 */     // MIs[0] policy
     /* 2166700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166710 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2166713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166736 */     // GIR_Coverage, 18226,
     /* 2166736 */     GIR_EraseRootFromParent_Done,
     /* 2166737 */   // Label 28578: @2166737
     /* 2166737 */   GIM_Try, /*On fail goto*//*Label 28579*/ GIMT_Encode4(2166828), // Rule ID 18227 //
     /* 2166742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2166753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2166756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2166762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166788 */     // MIs[0] round
     /* 2166788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166791 */     // MIs[0] policy
     /* 2166791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166801 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2166804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166827 */     // GIR_Coverage, 18227,
     /* 2166827 */     GIR_EraseRootFromParent_Done,
     /* 2166828 */   // Label 28579: @2166828
     /* 2166828 */   GIM_Try, /*On fail goto*//*Label 28580*/ GIMT_Encode4(2166919), // Rule ID 18230 //
     /* 2166833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2166844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2166847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2166853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166879 */     // MIs[0] round
     /* 2166879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166882 */     // MIs[0] policy
     /* 2166882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166892 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2166895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166918 */     // GIR_Coverage, 18230,
     /* 2166918 */     GIR_EraseRootFromParent_Done,
     /* 2166919 */   // Label 28580: @2166919
     /* 2166919 */   GIM_Try, /*On fail goto*//*Label 28581*/ GIMT_Encode4(2167010), // Rule ID 18231 //
     /* 2166924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2166935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2166938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2166944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166970 */     // MIs[0] round
     /* 2166970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166973 */     // MIs[0] policy
     /* 2166973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166983 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2166986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167009 */     // GIR_Coverage, 18231,
     /* 2167009 */     GIR_EraseRootFromParent_Done,
     /* 2167010 */   // Label 28581: @2167010
     /* 2167010 */   GIM_Try, /*On fail goto*//*Label 28582*/ GIMT_Encode4(2167101), // Rule ID 18234 //
     /* 2167015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2167023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2167026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2167029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2167032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2167035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2167053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167061 */     // MIs[0] round
     /* 2167061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167064 */     // MIs[0] policy
     /* 2167064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167074 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2167077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167100 */     // GIR_Coverage, 18234,
     /* 2167100 */     GIR_EraseRootFromParent_Done,
     /* 2167101 */   // Label 28582: @2167101
     /* 2167101 */   GIM_Try, /*On fail goto*//*Label 28583*/ GIMT_Encode4(2167192), // Rule ID 18235 //
     /* 2167106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2167109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2167114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2167117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2167120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2167123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2167126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2167144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167152 */     // MIs[0] round
     /* 2167152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167155 */     // MIs[0] policy
     /* 2167155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167165 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2167168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167191 */     // GIR_Coverage, 18235,
     /* 2167191 */     GIR_EraseRootFromParent_Done,
     /* 2167192 */   // Label 28583: @2167192
     /* 2167192 */   GIM_Try, /*On fail goto*//*Label 28584*/ GIMT_Encode4(2167283), // Rule ID 18238 //
     /* 2167197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2167208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2167211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2167214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2167217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167243 */     // MIs[0] round
     /* 2167243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167246 */     // MIs[0] policy
     /* 2167246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167256 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2167259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167282 */     // GIR_Coverage, 18238,
     /* 2167282 */     GIR_EraseRootFromParent_Done,
     /* 2167283 */   // Label 28584: @2167283
     /* 2167283 */   GIM_Try, /*On fail goto*//*Label 28585*/ GIMT_Encode4(2167374), // Rule ID 18239 //
     /* 2167288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2167299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2167302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2167305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2167308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167334 */     // MIs[0] round
     /* 2167334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167337 */     // MIs[0] policy
     /* 2167337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167347 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2167350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167373 */     // GIR_Coverage, 18239,
     /* 2167373 */     GIR_EraseRootFromParent_Done,
     /* 2167374 */   // Label 28585: @2167374
     /* 2167374 */   GIM_Try, /*On fail goto*//*Label 28586*/ GIMT_Encode4(2167465), // Rule ID 18242 //
     /* 2167379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2167390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2167393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2167396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2167399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167425 */     // MIs[0] round
     /* 2167425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167428 */     // MIs[0] policy
     /* 2167428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167438 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2167441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167464 */     // GIR_Coverage, 18242,
     /* 2167464 */     GIR_EraseRootFromParent_Done,
     /* 2167465 */   // Label 28586: @2167465
     /* 2167465 */   GIM_Try, /*On fail goto*//*Label 28587*/ GIMT_Encode4(2167556), // Rule ID 18243 //
     /* 2167470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2167481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2167484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2167487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2167490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167516 */     // MIs[0] round
     /* 2167516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167519 */     // MIs[0] policy
     /* 2167519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167529 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2167532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167555 */     // GIR_Coverage, 18243,
     /* 2167555 */     GIR_EraseRootFromParent_Done,
     /* 2167556 */   // Label 28587: @2167556
     /* 2167556 */   GIM_Try, /*On fail goto*//*Label 28588*/ GIMT_Encode4(2167647), // Rule ID 18246 //
     /* 2167561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2167572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2167575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2167578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2167581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167607 */     // MIs[0] round
     /* 2167607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167610 */     // MIs[0] policy
     /* 2167610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167620 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2167623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167646 */     // GIR_Coverage, 18246,
     /* 2167646 */     GIR_EraseRootFromParent_Done,
     /* 2167647 */   // Label 28588: @2167647
     /* 2167647 */   GIM_Try, /*On fail goto*//*Label 28589*/ GIMT_Encode4(2167738), // Rule ID 18247 //
     /* 2167652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2167663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2167666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2167669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2167672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167698 */     // MIs[0] round
     /* 2167698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167701 */     // MIs[0] policy
     /* 2167701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167711 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2167714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167737 */     // GIR_Coverage, 18247,
     /* 2167737 */     GIR_EraseRootFromParent_Done,
     /* 2167738 */   // Label 28589: @2167738
     /* 2167738 */   GIM_Try, /*On fail goto*//*Label 28590*/ GIMT_Encode4(2167829), // Rule ID 18250 //
     /* 2167743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2167754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2167757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2167760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2167763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167789 */     // MIs[0] round
     /* 2167789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167792 */     // MIs[0] policy
     /* 2167792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167802 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2167805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167828 */     // GIR_Coverage, 18250,
     /* 2167828 */     GIR_EraseRootFromParent_Done,
     /* 2167829 */   // Label 28590: @2167829
     /* 2167829 */   GIM_Try, /*On fail goto*//*Label 28591*/ GIMT_Encode4(2167920), // Rule ID 18251 //
     /* 2167834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2167845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2167848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2167851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2167854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167880 */     // MIs[0] round
     /* 2167880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167883 */     // MIs[0] policy
     /* 2167883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167893 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2167896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167919 */     // GIR_Coverage, 18251,
     /* 2167919 */     GIR_EraseRootFromParent_Done,
     /* 2167920 */   // Label 28591: @2167920
     /* 2167920 */   GIM_Try, /*On fail goto*//*Label 28592*/ GIMT_Encode4(2168011), // Rule ID 18254 //
     /* 2167925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2167933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2167936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2167939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2167942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2167945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167971 */     // MIs[0] round
     /* 2167971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167974 */     // MIs[0] policy
     /* 2167974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167984 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2167987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168010 */     // GIR_Coverage, 18254,
     /* 2168010 */     GIR_EraseRootFromParent_Done,
     /* 2168011 */   // Label 28592: @2168011
     /* 2168011 */   GIM_Try, /*On fail goto*//*Label 28593*/ GIMT_Encode4(2168102), // Rule ID 18255 //
     /* 2168016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2168024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2168027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2168030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2168033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2168036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168062 */     // MIs[0] round
     /* 2168062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168065 */     // MIs[0] policy
     /* 2168065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168075 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2168078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168101 */     // GIR_Coverage, 18255,
     /* 2168101 */     GIR_EraseRootFromParent_Done,
     /* 2168102 */   // Label 28593: @2168102
     /* 2168102 */   GIM_Try, /*On fail goto*//*Label 28594*/ GIMT_Encode4(2168193), // Rule ID 18258 //
     /* 2168107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2168115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2168118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2168121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2168124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2168127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168153 */     // MIs[0] round
     /* 2168153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168156 */     // MIs[0] policy
     /* 2168156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168166 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2168169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168192 */     // GIR_Coverage, 18258,
     /* 2168192 */     GIR_EraseRootFromParent_Done,
     /* 2168193 */   // Label 28594: @2168193
     /* 2168193 */   GIM_Try, /*On fail goto*//*Label 28595*/ GIMT_Encode4(2168284), // Rule ID 18259 //
     /* 2168198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2168206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2168209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2168212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2168215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2168218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168244 */     // MIs[0] round
     /* 2168244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168247 */     // MIs[0] policy
     /* 2168247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168257 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2168260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168283 */     // GIR_Coverage, 18259,
     /* 2168283 */     GIR_EraseRootFromParent_Done,
     /* 2168284 */   // Label 28595: @2168284
     /* 2168284 */   GIM_Try, /*On fail goto*//*Label 28596*/ GIMT_Encode4(2168375), // Rule ID 18262 //
     /* 2168289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2168297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2168300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2168303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2168306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2168309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168335 */     // MIs[0] round
     /* 2168335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168338 */     // MIs[0] policy
     /* 2168338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168348 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2168351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168374 */     // GIR_Coverage, 18262,
     /* 2168374 */     GIR_EraseRootFromParent_Done,
     /* 2168375 */   // Label 28596: @2168375
     /* 2168375 */   GIM_Try, /*On fail goto*//*Label 28597*/ GIMT_Encode4(2168466), // Rule ID 18263 //
     /* 2168380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2168388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2168391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2168394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2168397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2168400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168426 */     // MIs[0] round
     /* 2168426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168429 */     // MIs[0] policy
     /* 2168429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168439 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2168442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168465 */     // GIR_Coverage, 18263,
     /* 2168465 */     GIR_EraseRootFromParent_Done,
     /* 2168466 */   // Label 28597: @2168466
     /* 2168466 */   GIM_Try, /*On fail goto*//*Label 28598*/ GIMT_Encode4(2168557), // Rule ID 18266 //
     /* 2168471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2168479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2168482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2168485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2168488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2168491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168517 */     // MIs[0] round
     /* 2168517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168520 */     // MIs[0] policy
     /* 2168520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168530 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2168533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168556 */     // GIR_Coverage, 18266,
     /* 2168556 */     GIR_EraseRootFromParent_Done,
     /* 2168557 */   // Label 28598: @2168557
     /* 2168557 */   GIM_Try, /*On fail goto*//*Label 28599*/ GIMT_Encode4(2168648), // Rule ID 18267 //
     /* 2168562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2168570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2168573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2168576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2168579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2168582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168608 */     // MIs[0] round
     /* 2168608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168611 */     // MIs[0] policy
     /* 2168611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168621 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2168624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168647 */     // GIR_Coverage, 18267,
     /* 2168647 */     GIR_EraseRootFromParent_Done,
     /* 2168648 */   // Label 28599: @2168648
     /* 2168648 */   GIM_Try, /*On fail goto*//*Label 28600*/ GIMT_Encode4(2168739), // Rule ID 18270 //
     /* 2168653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2168661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2168664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2168667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2168670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2168673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2168676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168699 */     // MIs[0] round
     /* 2168699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168702 */     // MIs[0] policy
     /* 2168702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168712 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2168715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168738 */     // GIR_Coverage, 18270,
     /* 2168738 */     GIR_EraseRootFromParent_Done,
     /* 2168739 */   // Label 28600: @2168739
     /* 2168739 */   GIM_Try, /*On fail goto*//*Label 28601*/ GIMT_Encode4(2168830), // Rule ID 18271 //
     /* 2168744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2168752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2168755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2168758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2168761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2168764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2168767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168790 */     // MIs[0] round
     /* 2168790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168793 */     // MIs[0] policy
     /* 2168793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168803 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2168806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168829 */     // GIR_Coverage, 18271,
     /* 2168829 */     GIR_EraseRootFromParent_Done,
     /* 2168830 */   // Label 28601: @2168830
     /* 2168830 */   GIM_Try, /*On fail goto*//*Label 28602*/ GIMT_Encode4(2168921), // Rule ID 18274 //
     /* 2168835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2168843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2168846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2168849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2168852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2168855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168881 */     // MIs[0] round
     /* 2168881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168884 */     // MIs[0] policy
     /* 2168884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168894 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2168897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168920 */     // GIR_Coverage, 18274,
     /* 2168920 */     GIR_EraseRootFromParent_Done,
     /* 2168921 */   // Label 28602: @2168921
     /* 2168921 */   GIM_Try, /*On fail goto*//*Label 28603*/ GIMT_Encode4(2169012), // Rule ID 18275 //
     /* 2168926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2168934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2168937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2168940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2168943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2168946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168972 */     // MIs[0] round
     /* 2168972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168975 */     // MIs[0] policy
     /* 2168975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168985 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2168988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169011 */     // GIR_Coverage, 18275,
     /* 2169011 */     GIR_EraseRootFromParent_Done,
     /* 2169012 */   // Label 28603: @2169012
     /* 2169012 */   GIM_Try, /*On fail goto*//*Label 28604*/ GIMT_Encode4(2169103), // Rule ID 18278 //
     /* 2169017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2169025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2169028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2169031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2169034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2169037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169063 */     // MIs[0] round
     /* 2169063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169066 */     // MIs[0] policy
     /* 2169066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169076 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2169079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169102 */     // GIR_Coverage, 18278,
     /* 2169102 */     GIR_EraseRootFromParent_Done,
     /* 2169103 */   // Label 28604: @2169103
     /* 2169103 */   GIM_Try, /*On fail goto*//*Label 28605*/ GIMT_Encode4(2169194), // Rule ID 18279 //
     /* 2169108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2169116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2169119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2169122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2169125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2169128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169154 */     // MIs[0] round
     /* 2169154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169157 */     // MIs[0] policy
     /* 2169157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169167 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2169170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169193 */     // GIR_Coverage, 18279,
     /* 2169193 */     GIR_EraseRootFromParent_Done,
     /* 2169194 */   // Label 28605: @2169194
     /* 2169194 */   GIM_Try, /*On fail goto*//*Label 28606*/ GIMT_Encode4(2169285), // Rule ID 18282 //
     /* 2169199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2169207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2169210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2169213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2169216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2169219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169245 */     // MIs[0] round
     /* 2169245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169248 */     // MIs[0] policy
     /* 2169248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169258 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2169261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169284 */     // GIR_Coverage, 18282,
     /* 2169284 */     GIR_EraseRootFromParent_Done,
     /* 2169285 */   // Label 28606: @2169285
     /* 2169285 */   GIM_Try, /*On fail goto*//*Label 28607*/ GIMT_Encode4(2169376), // Rule ID 18283 //
     /* 2169290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2169298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2169301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2169304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2169307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2169310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169336 */     // MIs[0] round
     /* 2169336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169339 */     // MIs[0] policy
     /* 2169339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169349 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2169352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169375 */     // GIR_Coverage, 18283,
     /* 2169375 */     GIR_EraseRootFromParent_Done,
     /* 2169376 */   // Label 28607: @2169376
     /* 2169376 */   GIM_Try, /*On fail goto*//*Label 28608*/ GIMT_Encode4(2169467), // Rule ID 18286 //
     /* 2169381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2169389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2169392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2169395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2169398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2169401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169427 */     // MIs[0] round
     /* 2169427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169430 */     // MIs[0] policy
     /* 2169430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169440 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2169443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169466 */     // GIR_Coverage, 18286,
     /* 2169466 */     GIR_EraseRootFromParent_Done,
     /* 2169467 */   // Label 28608: @2169467
     /* 2169467 */   GIM_Try, /*On fail goto*//*Label 28609*/ GIMT_Encode4(2169558), // Rule ID 18287 //
     /* 2169472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2169475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2169480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2169483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2169486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2169489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2169492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169518 */     // MIs[0] round
     /* 2169518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169521 */     // MIs[0] policy
     /* 2169521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169531 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2169534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169557 */     // GIR_Coverage, 18287,
     /* 2169557 */     GIR_EraseRootFromParent_Done,
     /* 2169558 */   // Label 28609: @2169558
     /* 2169558 */   GIM_Try, /*On fail goto*//*Label 28610*/ GIMT_Encode4(2169649), // Rule ID 18290 //
     /* 2169563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2169571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2169574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2169577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2169580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2169583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169609 */     // MIs[0] round
     /* 2169609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169612 */     // MIs[0] policy
     /* 2169612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169622 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2169625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169648 */     // GIR_Coverage, 18290,
     /* 2169648 */     GIR_EraseRootFromParent_Done,
     /* 2169649 */   // Label 28610: @2169649
     /* 2169649 */   GIM_Try, /*On fail goto*//*Label 28611*/ GIMT_Encode4(2169740), // Rule ID 18291 //
     /* 2169654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2169657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2169662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2169665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2169668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2169671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2169674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169700 */     // MIs[0] round
     /* 2169700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169703 */     // MIs[0] policy
     /* 2169703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169713 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2169716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169739 */     // GIR_Coverage, 18291,
     /* 2169739 */     GIR_EraseRootFromParent_Done,
     /* 2169740 */   // Label 28611: @2169740
     /* 2169740 */   GIM_Try, /*On fail goto*//*Label 28612*/ GIMT_Encode4(2169831), // Rule ID 18294 //
     /* 2169745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2169753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2169756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2169759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2169762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2169765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169791 */     // MIs[0] round
     /* 2169791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169794 */     // MIs[0] policy
     /* 2169794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169804 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2169807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169830 */     // GIR_Coverage, 18294,
     /* 2169830 */     GIR_EraseRootFromParent_Done,
     /* 2169831 */   // Label 28612: @2169831
     /* 2169831 */   GIM_Try, /*On fail goto*//*Label 28613*/ GIMT_Encode4(2169922), // Rule ID 18295 //
     /* 2169836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2169839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2169844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2169847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2169850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2169853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2169856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169882 */     // MIs[0] round
     /* 2169882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169885 */     // MIs[0] policy
     /* 2169885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169895 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2169898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169921 */     // GIR_Coverage, 18295,
     /* 2169921 */     GIR_EraseRootFromParent_Done,
     /* 2169922 */   // Label 28613: @2169922
     /* 2169922 */   GIM_Try, /*On fail goto*//*Label 28614*/ GIMT_Encode4(2170013), // Rule ID 18298 //
     /* 2169927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2169935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2169938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2169941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2169947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169973 */     // MIs[0] round
     /* 2169973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169976 */     // MIs[0] policy
     /* 2169976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169986 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2169989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170012 */     // GIR_Coverage, 18298,
     /* 2170012 */     GIR_EraseRootFromParent_Done,
     /* 2170013 */   // Label 28614: @2170013
     /* 2170013 */   GIM_Try, /*On fail goto*//*Label 28615*/ GIMT_Encode4(2170104), // Rule ID 18299 //
     /* 2170018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2170026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2170029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2170032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2170038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170064 */     // MIs[0] round
     /* 2170064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170067 */     // MIs[0] policy
     /* 2170067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170077 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2170080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170103 */     // GIR_Coverage, 18299,
     /* 2170103 */     GIR_EraseRootFromParent_Done,
     /* 2170104 */   // Label 28615: @2170104
     /* 2170104 */   GIM_Try, /*On fail goto*//*Label 28616*/ GIMT_Encode4(2170195), // Rule ID 18302 //
     /* 2170109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2170117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2170120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2170123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2170129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170155 */     // MIs[0] round
     /* 2170155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170158 */     // MIs[0] policy
     /* 2170158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170168 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2170171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170194 */     // GIR_Coverage, 18302,
     /* 2170194 */     GIR_EraseRootFromParent_Done,
     /* 2170195 */   // Label 28616: @2170195
     /* 2170195 */   GIM_Try, /*On fail goto*//*Label 28617*/ GIMT_Encode4(2170286), // Rule ID 18303 //
     /* 2170200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2170208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2170211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2170214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2170220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170246 */     // MIs[0] round
     /* 2170246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170249 */     // MIs[0] policy
     /* 2170249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170259 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2170262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170285 */     // GIR_Coverage, 18303,
     /* 2170285 */     GIR_EraseRootFromParent_Done,
     /* 2170286 */   // Label 28617: @2170286
     /* 2170286 */   GIM_Try, /*On fail goto*//*Label 28618*/ GIMT_Encode4(2170377), // Rule ID 18306 //
     /* 2170291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2170299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2170302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2170305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2170311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170337 */     // MIs[0] round
     /* 2170337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170340 */     // MIs[0] policy
     /* 2170340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170350 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2170353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170376 */     // GIR_Coverage, 18306,
     /* 2170376 */     GIR_EraseRootFromParent_Done,
     /* 2170377 */   // Label 28618: @2170377
     /* 2170377 */   GIM_Try, /*On fail goto*//*Label 28619*/ GIMT_Encode4(2170468), // Rule ID 18307 //
     /* 2170382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2170390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2170393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2170396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2170402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170428 */     // MIs[0] round
     /* 2170428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170431 */     // MIs[0] policy
     /* 2170431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170441 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2170444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170467 */     // GIR_Coverage, 18307,
     /* 2170467 */     GIR_EraseRootFromParent_Done,
     /* 2170468 */   // Label 28619: @2170468
     /* 2170468 */   GIM_Try, /*On fail goto*//*Label 28620*/ GIMT_Encode4(2170559), // Rule ID 18310 //
     /* 2170473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2170481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2170484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2170487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2170493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170519 */     // MIs[0] round
     /* 2170519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170522 */     // MIs[0] policy
     /* 2170522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170532 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2170535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170558 */     // GIR_Coverage, 18310,
     /* 2170558 */     GIR_EraseRootFromParent_Done,
     /* 2170559 */   // Label 28620: @2170559
     /* 2170559 */   GIM_Try, /*On fail goto*//*Label 28621*/ GIMT_Encode4(2170650), // Rule ID 18311 //
     /* 2170564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2170572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2170575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2170578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2170584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170610 */     // MIs[0] round
     /* 2170610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170613 */     // MIs[0] policy
     /* 2170613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170623 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2170626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170649 */     // GIR_Coverage, 18311,
     /* 2170649 */     GIR_EraseRootFromParent_Done,
     /* 2170650 */   // Label 28621: @2170650
     /* 2170650 */   GIM_Try, /*On fail goto*//*Label 28622*/ GIMT_Encode4(2170741), // Rule ID 18314 //
     /* 2170655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2170663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2170666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2170669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2170675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170701 */     // MIs[0] round
     /* 2170701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170704 */     // MIs[0] policy
     /* 2170704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170714 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2170717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170740 */     // GIR_Coverage, 18314,
     /* 2170740 */     GIR_EraseRootFromParent_Done,
     /* 2170741 */   // Label 28622: @2170741
     /* 2170741 */   GIM_Try, /*On fail goto*//*Label 28623*/ GIMT_Encode4(2170832), // Rule ID 18315 //
     /* 2170746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2170754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2170757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2170760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2170766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170792 */     // MIs[0] round
     /* 2170792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170795 */     // MIs[0] policy
     /* 2170795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170805 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2170808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170831 */     // GIR_Coverage, 18315,
     /* 2170831 */     GIR_EraseRootFromParent_Done,
     /* 2170832 */   // Label 28623: @2170832
     /* 2170832 */   GIM_Try, /*On fail goto*//*Label 28624*/ GIMT_Encode4(2170923), // Rule ID 18318 //
     /* 2170837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2170840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2170845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2170848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2170851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2170857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170883 */     // MIs[0] round
     /* 2170883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170886 */     // MIs[0] policy
     /* 2170886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170896 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2170899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170922 */     // GIR_Coverage, 18318,
     /* 2170922 */     GIR_EraseRootFromParent_Done,
     /* 2170923 */   // Label 28624: @2170923
     /* 2170923 */   GIM_Try, /*On fail goto*//*Label 28625*/ GIMT_Encode4(2171014), // Rule ID 18319 //
     /* 2170928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2170936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2170939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2170942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2170948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170974 */     // MIs[0] round
     /* 2170974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170977 */     // MIs[0] policy
     /* 2170977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170987 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2170990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171013 */     // GIR_Coverage, 18319,
     /* 2171013 */     GIR_EraseRootFromParent_Done,
     /* 2171014 */   // Label 28625: @2171014
     /* 2171014 */   GIM_Try, /*On fail goto*//*Label 28626*/ GIMT_Encode4(2171105), // Rule ID 18322 //
     /* 2171019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2171030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2171033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2171039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171065 */     // MIs[0] round
     /* 2171065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171068 */     // MIs[0] policy
     /* 2171068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171078 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2171081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171104 */     // GIR_Coverage, 18322,
     /* 2171104 */     GIR_EraseRootFromParent_Done,
     /* 2171105 */   // Label 28626: @2171105
     /* 2171105 */   GIM_Try, /*On fail goto*//*Label 28627*/ GIMT_Encode4(2171196), // Rule ID 18323 //
     /* 2171110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2171121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2171124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2171130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171156 */     // MIs[0] round
     /* 2171156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171159 */     // MIs[0] policy
     /* 2171159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171169 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2171172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171195 */     // GIR_Coverage, 18323,
     /* 2171195 */     GIR_EraseRootFromParent_Done,
     /* 2171196 */   // Label 28627: @2171196
     /* 2171196 */   GIM_Try, /*On fail goto*//*Label 28628*/ GIMT_Encode4(2171287), // Rule ID 18326 //
     /* 2171201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2171212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2171215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2171221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171247 */     // MIs[0] round
     /* 2171247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171250 */     // MIs[0] policy
     /* 2171250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171260 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2171263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171286 */     // GIR_Coverage, 18326,
     /* 2171286 */     GIR_EraseRootFromParent_Done,
     /* 2171287 */   // Label 28628: @2171287
     /* 2171287 */   GIM_Try, /*On fail goto*//*Label 28629*/ GIMT_Encode4(2171378), // Rule ID 18327 //
     /* 2171292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2171303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2171306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2171312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171338 */     // MIs[0] round
     /* 2171338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171341 */     // MIs[0] policy
     /* 2171341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171351 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2171354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171377 */     // GIR_Coverage, 18327,
     /* 2171377 */     GIR_EraseRootFromParent_Done,
     /* 2171378 */   // Label 28629: @2171378
     /* 2171378 */   GIM_Try, /*On fail goto*//*Label 28630*/ GIMT_Encode4(2171469), // Rule ID 18330 //
     /* 2171383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2171394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2171397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2171403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2171406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171429 */     // MIs[0] round
     /* 2171429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171432 */     // MIs[0] policy
     /* 2171432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171442 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2171445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171468 */     // GIR_Coverage, 18330,
     /* 2171468 */     GIR_EraseRootFromParent_Done,
     /* 2171469 */   // Label 28630: @2171469
     /* 2171469 */   GIM_Try, /*On fail goto*//*Label 28631*/ GIMT_Encode4(2171560), // Rule ID 18331 //
     /* 2171474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2171485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2171488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2171491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2171494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2171497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2171512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171520 */     // MIs[0] round
     /* 2171520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171523 */     // MIs[0] policy
     /* 2171523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171533 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2171536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171559 */     // GIR_Coverage, 18331,
     /* 2171559 */     GIR_EraseRootFromParent_Done,
     /* 2171560 */   // Label 28631: @2171560
     /* 2171560 */   GIM_Try, /*On fail goto*//*Label 28632*/ GIMT_Encode4(2171651), // Rule ID 18334 //
     /* 2171565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2171576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2171579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2171585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171611 */     // MIs[0] round
     /* 2171611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171614 */     // MIs[0] policy
     /* 2171614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171624 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2171627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171650 */     // GIR_Coverage, 18334,
     /* 2171650 */     GIR_EraseRootFromParent_Done,
     /* 2171651 */   // Label 28632: @2171651
     /* 2171651 */   GIM_Try, /*On fail goto*//*Label 28633*/ GIMT_Encode4(2171742), // Rule ID 18335 //
     /* 2171656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2171667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2171670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2171676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171702 */     // MIs[0] round
     /* 2171702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171705 */     // MIs[0] policy
     /* 2171705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171715 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2171718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171741 */     // GIR_Coverage, 18335,
     /* 2171741 */     GIR_EraseRootFromParent_Done,
     /* 2171742 */   // Label 28633: @2171742
     /* 2171742 */   GIM_Try, /*On fail goto*//*Label 28634*/ GIMT_Encode4(2171833), // Rule ID 18338 //
     /* 2171747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2171758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2171761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2171767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171793 */     // MIs[0] round
     /* 2171793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171796 */     // MIs[0] policy
     /* 2171796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171806 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2171809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171832 */     // GIR_Coverage, 18338,
     /* 2171832 */     GIR_EraseRootFromParent_Done,
     /* 2171833 */   // Label 28634: @2171833
     /* 2171833 */   GIM_Try, /*On fail goto*//*Label 28635*/ GIMT_Encode4(2171924), // Rule ID 18339 //
     /* 2171838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2171849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2171852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2171858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171884 */     // MIs[0] round
     /* 2171884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171887 */     // MIs[0] policy
     /* 2171887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171897 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2171900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171923 */     // GIR_Coverage, 18339,
     /* 2171923 */     GIR_EraseRootFromParent_Done,
     /* 2171924 */   // Label 28635: @2171924
     /* 2171924 */   GIM_Try, /*On fail goto*//*Label 28636*/ GIMT_Encode4(2172015), // Rule ID 18342 //
     /* 2171929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2171940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2171943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2171949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171975 */     // MIs[0] round
     /* 2171975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171978 */     // MIs[0] policy
     /* 2171978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171988 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2171991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172014 */     // GIR_Coverage, 18342,
     /* 2172014 */     GIR_EraseRootFromParent_Done,
     /* 2172015 */   // Label 28636: @2172015
     /* 2172015 */   GIM_Try, /*On fail goto*//*Label 28637*/ GIMT_Encode4(2172106), // Rule ID 18343 //
     /* 2172020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2172031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2172034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2172037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2172040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2172058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172066 */     // MIs[0] round
     /* 2172066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172069 */     // MIs[0] policy
     /* 2172069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172079 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2172082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172105 */     // GIR_Coverage, 18343,
     /* 2172105 */     GIR_EraseRootFromParent_Done,
     /* 2172106 */   // Label 28637: @2172106
     /* 2172106 */   GIM_Try, /*On fail goto*//*Label 28638*/ GIMT_Encode4(2172197), // Rule ID 18346 //
     /* 2172111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2172114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2172122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2172125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2172131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172157 */     // MIs[0] round
     /* 2172157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172160 */     // MIs[0] policy
     /* 2172160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172170 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2172173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172196 */     // GIR_Coverage, 18346,
     /* 2172196 */     GIR_EraseRootFromParent_Done,
     /* 2172197 */   // Label 28638: @2172197
     /* 2172197 */   GIM_Try, /*On fail goto*//*Label 28639*/ GIMT_Encode4(2172288), // Rule ID 18347 //
     /* 2172202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2172205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2172213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2172216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2172222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172248 */     // MIs[0] round
     /* 2172248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172251 */     // MIs[0] policy
     /* 2172251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172261 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2172264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172287 */     // GIR_Coverage, 18347,
     /* 2172287 */     GIR_EraseRootFromParent_Done,
     /* 2172288 */   // Label 28639: @2172288
     /* 2172288 */   GIM_Try, /*On fail goto*//*Label 28640*/ GIMT_Encode4(2172379), // Rule ID 18350 //
     /* 2172293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2172296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2172304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2172307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2172313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172339 */     // MIs[0] round
     /* 2172339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172342 */     // MIs[0] policy
     /* 2172342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172352 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2172355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172378 */     // GIR_Coverage, 18350,
     /* 2172378 */     GIR_EraseRootFromParent_Done,
     /* 2172379 */   // Label 28640: @2172379
     /* 2172379 */   GIM_Try, /*On fail goto*//*Label 28641*/ GIMT_Encode4(2172470), // Rule ID 18351 //
     /* 2172384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2172387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2172395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2172398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2172404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172430 */     // MIs[0] round
     /* 2172430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172433 */     // MIs[0] policy
     /* 2172433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172443 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2172446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172469 */     // GIR_Coverage, 18351,
     /* 2172469 */     GIR_EraseRootFromParent_Done,
     /* 2172470 */   // Label 28641: @2172470
     /* 2172470 */   GIM_Try, /*On fail goto*//*Label 28642*/ GIMT_Encode4(2172561), // Rule ID 18354 //
     /* 2172475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2172478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2172486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2172489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2172495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172521 */     // MIs[0] round
     /* 2172521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172524 */     // MIs[0] policy
     /* 2172524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172534 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2172537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172560 */     // GIR_Coverage, 18354,
     /* 2172560 */     GIR_EraseRootFromParent_Done,
     /* 2172561 */   // Label 28642: @2172561
     /* 2172561 */   GIM_Try, /*On fail goto*//*Label 28643*/ GIMT_Encode4(2172652), // Rule ID 18355 //
     /* 2172566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2172569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2172577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2172580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2172583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2172586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2172604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172612 */     // MIs[0] round
     /* 2172612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172615 */     // MIs[0] policy
     /* 2172615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172625 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2172628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172651 */     // GIR_Coverage, 18355,
     /* 2172651 */     GIR_EraseRootFromParent_Done,
     /* 2172652 */   // Label 28643: @2172652
     /* 2172652 */   GIM_Try, /*On fail goto*//*Label 28644*/ GIMT_Encode4(2172743), // Rule ID 18358 //
     /* 2172657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2172668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2172671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2172674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2172677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172703 */     // MIs[0] round
     /* 2172703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172706 */     // MIs[0] policy
     /* 2172706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172716 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2172719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172742 */     // GIR_Coverage, 18358,
     /* 2172742 */     GIR_EraseRootFromParent_Done,
     /* 2172743 */   // Label 28644: @2172743
     /* 2172743 */   GIM_Try, /*On fail goto*//*Label 28645*/ GIMT_Encode4(2172834), // Rule ID 18359 //
     /* 2172748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2172759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2172762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2172765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2172768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172794 */     // MIs[0] round
     /* 2172794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172797 */     // MIs[0] policy
     /* 2172797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172807 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2172810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172833 */     // GIR_Coverage, 18359,
     /* 2172833 */     GIR_EraseRootFromParent_Done,
     /* 2172834 */   // Label 28645: @2172834
     /* 2172834 */   GIM_Try, /*On fail goto*//*Label 28646*/ GIMT_Encode4(2172925), // Rule ID 18362 //
     /* 2172839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2172850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2172853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2172856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2172859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172885 */     // MIs[0] round
     /* 2172885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172888 */     // MIs[0] policy
     /* 2172888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172898 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2172901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172924 */     // GIR_Coverage, 18362,
     /* 2172924 */     GIR_EraseRootFromParent_Done,
     /* 2172925 */   // Label 28646: @2172925
     /* 2172925 */   GIM_Try, /*On fail goto*//*Label 28647*/ GIMT_Encode4(2173016), // Rule ID 18363 //
     /* 2172930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2172938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2172941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2172944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2172947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2172950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172976 */     // MIs[0] round
     /* 2172976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172979 */     // MIs[0] policy
     /* 2172979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172989 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2172992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173015 */     // GIR_Coverage, 18363,
     /* 2173015 */     GIR_EraseRootFromParent_Done,
     /* 2173016 */   // Label 28647: @2173016
     /* 2173016 */   GIM_Try, /*On fail goto*//*Label 28648*/ GIMT_Encode4(2173107), // Rule ID 18366 //
     /* 2173021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2173029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2173032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2173035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2173038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2173041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173067 */     // MIs[0] round
     /* 2173067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173070 */     // MIs[0] policy
     /* 2173070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173080 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2173083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173106 */     // GIR_Coverage, 18366,
     /* 2173106 */     GIR_EraseRootFromParent_Done,
     /* 2173107 */   // Label 28648: @2173107
     /* 2173107 */   GIM_Try, /*On fail goto*//*Label 28649*/ GIMT_Encode4(2173198), // Rule ID 18367 //
     /* 2173112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2173120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2173123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2173126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2173129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2173132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173158 */     // MIs[0] round
     /* 2173158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173161 */     // MIs[0] policy
     /* 2173161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173171 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2173174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173197 */     // GIR_Coverage, 18367,
     /* 2173197 */     GIR_EraseRootFromParent_Done,
     /* 2173198 */   // Label 28649: @2173198
     /* 2173198 */   GIM_Try, /*On fail goto*//*Label 28650*/ GIMT_Encode4(2173289), // Rule ID 18370 //
     /* 2173203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2173211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2173214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2173217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2173220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2173223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173249 */     // MIs[0] round
     /* 2173249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173252 */     // MIs[0] policy
     /* 2173252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173262 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2173265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173288 */     // GIR_Coverage, 18370,
     /* 2173288 */     GIR_EraseRootFromParent_Done,
     /* 2173289 */   // Label 28650: @2173289
     /* 2173289 */   GIM_Try, /*On fail goto*//*Label 28651*/ GIMT_Encode4(2173380), // Rule ID 18371 //
     /* 2173294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2173302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2173305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2173308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2173311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2173314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173340 */     // MIs[0] round
     /* 2173340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173343 */     // MIs[0] policy
     /* 2173343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173353 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2173356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173379 */     // GIR_Coverage, 18371,
     /* 2173379 */     GIR_EraseRootFromParent_Done,
     /* 2173380 */   // Label 28651: @2173380
     /* 2173380 */   GIM_Try, /*On fail goto*//*Label 28652*/ GIMT_Encode4(2173471), // Rule ID 18374 //
     /* 2173385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2173393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2173396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2173399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2173402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2173405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173431 */     // MIs[0] round
     /* 2173431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173434 */     // MIs[0] policy
     /* 2173434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173444 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2173447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173470 */     // GIR_Coverage, 18374,
     /* 2173470 */     GIR_EraseRootFromParent_Done,
     /* 2173471 */   // Label 28652: @2173471
     /* 2173471 */   GIM_Try, /*On fail goto*//*Label 28653*/ GIMT_Encode4(2173562), // Rule ID 18375 //
     /* 2173476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2173484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2173487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2173490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2173493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2173496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173522 */     // MIs[0] round
     /* 2173522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173525 */     // MIs[0] policy
     /* 2173525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173535 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2173538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173561 */     // GIR_Coverage, 18375,
     /* 2173561 */     GIR_EraseRootFromParent_Done,
     /* 2173562 */   // Label 28653: @2173562
     /* 2173562 */   GIM_Try, /*On fail goto*//*Label 28654*/ GIMT_Encode4(2173653), // Rule ID 18378 //
     /* 2173567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2173570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2173575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2173578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2173581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2173584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2173587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173613 */     // MIs[0] round
     /* 2173613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173616 */     // MIs[0] policy
     /* 2173616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173626 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2173629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173652 */     // GIR_Coverage, 18378,
     /* 2173652 */     GIR_EraseRootFromParent_Done,
     /* 2173653 */   // Label 28654: @2173653
     /* 2173653 */   GIM_Try, /*On fail goto*//*Label 28655*/ GIMT_Encode4(2173744), // Rule ID 18379 //
     /* 2173658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2173661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2173666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2173669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2173672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2173675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2173678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173704 */     // MIs[0] round
     /* 2173704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173707 */     // MIs[0] policy
     /* 2173707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173717 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2173720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173743 */     // GIR_Coverage, 18379,
     /* 2173743 */     GIR_EraseRootFromParent_Done,
     /* 2173744 */   // Label 28655: @2173744
     /* 2173744 */   GIM_Try, /*On fail goto*//*Label 28656*/ GIMT_Encode4(2173835), // Rule ID 18382 //
     /* 2173749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2173757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2173760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2173763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2173766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2173769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173795 */     // MIs[0] round
     /* 2173795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173798 */     // MIs[0] policy
     /* 2173798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173808 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2173811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173834 */     // GIR_Coverage, 18382,
     /* 2173834 */     GIR_EraseRootFromParent_Done,
     /* 2173835 */   // Label 28656: @2173835
     /* 2173835 */   GIM_Try, /*On fail goto*//*Label 28657*/ GIMT_Encode4(2173926), // Rule ID 18383 //
     /* 2173840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2173848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2173851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2173854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2173857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2173860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173886 */     // MIs[0] round
     /* 2173886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173889 */     // MIs[0] policy
     /* 2173889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173899 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2173902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173925 */     // GIR_Coverage, 18383,
     /* 2173925 */     GIR_EraseRootFromParent_Done,
     /* 2173926 */   // Label 28657: @2173926
     /* 2173926 */   GIM_Try, /*On fail goto*//*Label 28658*/ GIMT_Encode4(2174017), // Rule ID 18386 //
     /* 2173931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2173939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2173942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2173945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2173948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2173951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173977 */     // MIs[0] round
     /* 2173977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173980 */     // MIs[0] policy
     /* 2173980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173990 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2173993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174016 */     // GIR_Coverage, 18386,
     /* 2174016 */     GIR_EraseRootFromParent_Done,
     /* 2174017 */   // Label 28658: @2174017
     /* 2174017 */   GIM_Try, /*On fail goto*//*Label 28659*/ GIMT_Encode4(2174108), // Rule ID 18387 //
     /* 2174022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2174030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2174033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2174036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2174039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2174042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2174045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174068 */     // MIs[0] round
     /* 2174068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174071 */     // MIs[0] policy
     /* 2174071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174081 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2174084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174107 */     // GIR_Coverage, 18387,
     /* 2174107 */     GIR_EraseRootFromParent_Done,
     /* 2174108 */   // Label 28659: @2174108
     /* 2174108 */   GIM_Try, /*On fail goto*//*Label 28660*/ GIMT_Encode4(2174199), // Rule ID 18390 //
     /* 2174113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2174121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2174124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2174127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2174130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2174133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2174136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174159 */     // MIs[0] round
     /* 2174159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174162 */     // MIs[0] policy
     /* 2174162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174172 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2174175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174198 */     // GIR_Coverage, 18390,
     /* 2174198 */     GIR_EraseRootFromParent_Done,
     /* 2174199 */   // Label 28660: @2174199
     /* 2174199 */   GIM_Try, /*On fail goto*//*Label 28661*/ GIMT_Encode4(2174290), // Rule ID 18391 //
     /* 2174204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2174212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2174215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2174218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2174221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2174224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2174227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174250 */     // MIs[0] round
     /* 2174250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174253 */     // MIs[0] policy
     /* 2174253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174263 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2174266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174289 */     // GIR_Coverage, 18391,
     /* 2174289 */     GIR_EraseRootFromParent_Done,
     /* 2174290 */   // Label 28661: @2174290
     /* 2174290 */   GIM_Try, /*On fail goto*//*Label 28662*/ GIMT_Encode4(2174381), // Rule ID 18394 //
     /* 2174295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2174303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2174306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2174309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2174312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2174315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174341 */     // MIs[0] round
     /* 2174341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174344 */     // MIs[0] policy
     /* 2174344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174354 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2174357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174380 */     // GIR_Coverage, 18394,
     /* 2174380 */     GIR_EraseRootFromParent_Done,
     /* 2174381 */   // Label 28662: @2174381
     /* 2174381 */   GIM_Try, /*On fail goto*//*Label 28663*/ GIMT_Encode4(2174472), // Rule ID 18395 //
     /* 2174386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2174394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2174397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2174400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2174403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2174406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174432 */     // MIs[0] round
     /* 2174432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174435 */     // MIs[0] policy
     /* 2174435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174445 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2174448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174471 */     // GIR_Coverage, 18395,
     /* 2174471 */     GIR_EraseRootFromParent_Done,
     /* 2174472 */   // Label 28663: @2174472
     /* 2174472 */   GIM_Try, /*On fail goto*//*Label 28664*/ GIMT_Encode4(2174563), // Rule ID 18398 //
     /* 2174477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2174485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2174488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2174491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2174494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2174497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174523 */     // MIs[0] round
     /* 2174523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174526 */     // MIs[0] policy
     /* 2174526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174536 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2174539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174562 */     // GIR_Coverage, 18398,
     /* 2174562 */     GIR_EraseRootFromParent_Done,
     /* 2174563 */   // Label 28664: @2174563
     /* 2174563 */   GIM_Try, /*On fail goto*//*Label 28665*/ GIMT_Encode4(2174654), // Rule ID 18399 //
     /* 2174568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2174576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2174579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2174582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2174585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2174588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174614 */     // MIs[0] round
     /* 2174614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174617 */     // MIs[0] policy
     /* 2174617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174627 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2174630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174653 */     // GIR_Coverage, 18399,
     /* 2174653 */     GIR_EraseRootFromParent_Done,
     /* 2174654 */   // Label 28665: @2174654
     /* 2174654 */   GIM_Try, /*On fail goto*//*Label 28666*/ GIMT_Encode4(2174745), // Rule ID 18402 //
     /* 2174659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2174667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2174670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2174673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2174676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2174679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2174682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174705 */     // MIs[0] round
     /* 2174705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174708 */     // MIs[0] policy
     /* 2174708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174718 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2174721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174744 */     // GIR_Coverage, 18402,
     /* 2174744 */     GIR_EraseRootFromParent_Done,
     /* 2174745 */   // Label 28666: @2174745
     /* 2174745 */   GIM_Try, /*On fail goto*//*Label 28667*/ GIMT_Encode4(2174836), // Rule ID 18403 //
     /* 2174750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2174758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2174761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2174764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2174767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2174770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2174773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174796 */     // MIs[0] round
     /* 2174796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174799 */     // MIs[0] policy
     /* 2174799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174809 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2174812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174835 */     // GIR_Coverage, 18403,
     /* 2174835 */     GIR_EraseRootFromParent_Done,
     /* 2174836 */   // Label 28667: @2174836
     /* 2174836 */   GIM_Try, /*On fail goto*//*Label 28668*/ GIMT_Encode4(2174927), // Rule ID 18406 //
     /* 2174841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2174844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2174849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2174852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2174855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2174858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2174861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174887 */     // MIs[0] round
     /* 2174887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174890 */     // MIs[0] policy
     /* 2174890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174900 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2174903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174926 */     // GIR_Coverage, 18406,
     /* 2174926 */     GIR_EraseRootFromParent_Done,
     /* 2174927 */   // Label 28668: @2174927
     /* 2174927 */   GIM_Try, /*On fail goto*//*Label 28669*/ GIMT_Encode4(2175018), // Rule ID 18407 //
     /* 2174932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2174940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2174943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2174946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2174949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2174952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174978 */     // MIs[0] round
     /* 2174978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174981 */     // MIs[0] policy
     /* 2174981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174991 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2174994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175017 */     // GIR_Coverage, 18407,
     /* 2175017 */     GIR_EraseRootFromParent_Done,
     /* 2175018 */   // Label 28669: @2175018
     /* 2175018 */   GIM_Try, /*On fail goto*//*Label 28670*/ GIMT_Encode4(2175109), // Rule ID 18410 //
     /* 2175023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2175031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2175034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2175037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2175040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2175043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175069 */     // MIs[0] round
     /* 2175069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175072 */     // MIs[0] policy
     /* 2175072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175082 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2175085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175108 */     // GIR_Coverage, 18410,
     /* 2175108 */     GIR_EraseRootFromParent_Done,
     /* 2175109 */   // Label 28670: @2175109
     /* 2175109 */   GIM_Try, /*On fail goto*//*Label 28671*/ GIMT_Encode4(2175200), // Rule ID 18411 //
     /* 2175114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2175122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2175125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2175128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2175131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2175134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175160 */     // MIs[0] round
     /* 2175160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175163 */     // MIs[0] policy
     /* 2175163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175173 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2175176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175199 */     // GIR_Coverage, 18411,
     /* 2175199 */     GIR_EraseRootFromParent_Done,
     /* 2175200 */   // Label 28671: @2175200
     /* 2175200 */   GIM_Try, /*On fail goto*//*Label 28672*/ GIMT_Encode4(2175291), // Rule ID 18414 //
     /* 2175205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2175213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2175216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2175219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2175222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2175225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175251 */     // MIs[0] round
     /* 2175251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175254 */     // MIs[0] policy
     /* 2175254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175264 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2175267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175290 */     // GIR_Coverage, 18414,
     /* 2175290 */     GIR_EraseRootFromParent_Done,
     /* 2175291 */   // Label 28672: @2175291
     /* 2175291 */   GIM_Try, /*On fail goto*//*Label 28673*/ GIMT_Encode4(2175382), // Rule ID 18415 //
     /* 2175296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2175304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2175307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2175310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2175313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2175316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175342 */     // MIs[0] round
     /* 2175342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175345 */     // MIs[0] policy
     /* 2175345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175355 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2175358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175381 */     // GIR_Coverage, 18415,
     /* 2175381 */     GIR_EraseRootFromParent_Done,
     /* 2175382 */   // Label 28673: @2175382
     /* 2175382 */   GIM_Try, /*On fail goto*//*Label 28674*/ GIMT_Encode4(2175473), // Rule ID 18418 //
     /* 2175387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2175395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2175398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2175401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2175407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175433 */     // MIs[0] round
     /* 2175433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175436 */     // MIs[0] policy
     /* 2175436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175446 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2175449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175472 */     // GIR_Coverage, 18418,
     /* 2175472 */     GIR_EraseRootFromParent_Done,
     /* 2175473 */   // Label 28674: @2175473
     /* 2175473 */   GIM_Try, /*On fail goto*//*Label 28675*/ GIMT_Encode4(2175564), // Rule ID 18419 //
     /* 2175478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2175486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2175489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2175492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2175498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175524 */     // MIs[0] round
     /* 2175524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175527 */     // MIs[0] policy
     /* 2175527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175537 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2175540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175563 */     // GIR_Coverage, 18419,
     /* 2175563 */     GIR_EraseRootFromParent_Done,
     /* 2175564 */   // Label 28675: @2175564
     /* 2175564 */   GIM_Try, /*On fail goto*//*Label 28676*/ GIMT_Encode4(2175655), // Rule ID 18422 //
     /* 2175569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2175577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2175580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2175583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2175589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175615 */     // MIs[0] round
     /* 2175615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175618 */     // MIs[0] policy
     /* 2175618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175628 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2175631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175654 */     // GIR_Coverage, 18422,
     /* 2175654 */     GIR_EraseRootFromParent_Done,
     /* 2175655 */   // Label 28676: @2175655
     /* 2175655 */   GIM_Try, /*On fail goto*//*Label 28677*/ GIMT_Encode4(2175746), // Rule ID 18423 //
     /* 2175660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2175668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2175671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2175674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2175680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175706 */     // MIs[0] round
     /* 2175706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175709 */     // MIs[0] policy
     /* 2175709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175719 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2175722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175745 */     // GIR_Coverage, 18423,
     /* 2175745 */     GIR_EraseRootFromParent_Done,
     /* 2175746 */   // Label 28677: @2175746
     /* 2175746 */   GIM_Try, /*On fail goto*//*Label 28678*/ GIMT_Encode4(2175837), // Rule ID 18426 //
     /* 2175751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2175759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2175762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2175765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2175771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175797 */     // MIs[0] round
     /* 2175797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175800 */     // MIs[0] policy
     /* 2175800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175810 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2175813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175836 */     // GIR_Coverage, 18426,
     /* 2175836 */     GIR_EraseRootFromParent_Done,
     /* 2175837 */   // Label 28678: @2175837
     /* 2175837 */   GIM_Try, /*On fail goto*//*Label 28679*/ GIMT_Encode4(2175928), // Rule ID 18427 //
     /* 2175842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2175850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2175853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2175856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2175862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175888 */     // MIs[0] round
     /* 2175888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175891 */     // MIs[0] policy
     /* 2175891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175901 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2175904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175927 */     // GIR_Coverage, 18427,
     /* 2175927 */     GIR_EraseRootFromParent_Done,
     /* 2175928 */   // Label 28679: @2175928
     /* 2175928 */   GIM_Try, /*On fail goto*//*Label 28680*/ GIMT_Encode4(2176019), // Rule ID 18430 //
     /* 2175933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2175941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2175944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2175947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2175953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175979 */     // MIs[0] round
     /* 2175979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175982 */     // MIs[0] policy
     /* 2175982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175992 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2175995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176018 */     // GIR_Coverage, 18430,
     /* 2176018 */     GIR_EraseRootFromParent_Done,
     /* 2176019 */   // Label 28680: @2176019
     /* 2176019 */   GIM_Try, /*On fail goto*//*Label 28681*/ GIMT_Encode4(2176110), // Rule ID 18431 //
     /* 2176024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2176032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2176035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2176038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2176044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176070 */     // MIs[0] round
     /* 2176070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176073 */     // MIs[0] policy
     /* 2176073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176083 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2176086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176109 */     // GIR_Coverage, 18431,
     /* 2176109 */     GIR_EraseRootFromParent_Done,
     /* 2176110 */   // Label 28681: @2176110
     /* 2176110 */   GIM_Try, /*On fail goto*//*Label 28682*/ GIMT_Encode4(2176201), // Rule ID 18434 //
     /* 2176115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2176123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2176126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2176129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2176135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176161 */     // MIs[0] round
     /* 2176161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176164 */     // MIs[0] policy
     /* 2176164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176174 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2176177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176200 */     // GIR_Coverage, 18434,
     /* 2176200 */     GIR_EraseRootFromParent_Done,
     /* 2176201 */   // Label 28682: @2176201
     /* 2176201 */   GIM_Try, /*On fail goto*//*Label 28683*/ GIMT_Encode4(2176292), // Rule ID 18435 //
     /* 2176206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2176214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2176217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2176220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2176226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176252 */     // MIs[0] round
     /* 2176252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176255 */     // MIs[0] policy
     /* 2176255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176265 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2176268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176291 */     // GIR_Coverage, 18435,
     /* 2176291 */     GIR_EraseRootFromParent_Done,
     /* 2176292 */   // Label 28683: @2176292
     /* 2176292 */   GIM_Try, /*On fail goto*//*Label 28684*/ GIMT_Encode4(2176383), // Rule ID 18438 //
     /* 2176297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2176300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2176305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2176308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2176311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2176317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176343 */     // MIs[0] round
     /* 2176343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176346 */     // MIs[0] policy
     /* 2176346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176356 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2176359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176382 */     // GIR_Coverage, 18438,
     /* 2176382 */     GIR_EraseRootFromParent_Done,
     /* 2176383 */   // Label 28684: @2176383
     /* 2176383 */   GIM_Try, /*On fail goto*//*Label 28685*/ GIMT_Encode4(2176474), // Rule ID 18439 //
     /* 2176388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2176391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2176396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2176399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2176402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2176408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176434 */     // MIs[0] round
     /* 2176434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176437 */     // MIs[0] policy
     /* 2176437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176447 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2176450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176473 */     // GIR_Coverage, 18439,
     /* 2176473 */     GIR_EraseRootFromParent_Done,
     /* 2176474 */   // Label 28685: @2176474
     /* 2176474 */   GIM_Try, /*On fail goto*//*Label 28686*/ GIMT_Encode4(2176565), // Rule ID 18442 //
     /* 2176479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2176487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2176490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2176493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2176499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176525 */     // MIs[0] round
     /* 2176525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176528 */     // MIs[0] policy
     /* 2176528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176538 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2176541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176564 */     // GIR_Coverage, 18442,
     /* 2176564 */     GIR_EraseRootFromParent_Done,
     /* 2176565 */   // Label 28686: @2176565
     /* 2176565 */   GIM_Try, /*On fail goto*//*Label 28687*/ GIMT_Encode4(2176656), // Rule ID 18443 //
     /* 2176570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2176578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2176581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2176584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2176590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176616 */     // MIs[0] round
     /* 2176616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176619 */     // MIs[0] policy
     /* 2176619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176629 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2176632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176655 */     // GIR_Coverage, 18443,
     /* 2176655 */     GIR_EraseRootFromParent_Done,
     /* 2176656 */   // Label 28687: @2176656
     /* 2176656 */   GIM_Try, /*On fail goto*//*Label 28688*/ GIMT_Encode4(2176747), // Rule ID 18446 //
     /* 2176661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2176669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2176672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2176675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2176681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176707 */     // MIs[0] round
     /* 2176707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176710 */     // MIs[0] policy
     /* 2176710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176720 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2176723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176746 */     // GIR_Coverage, 18446,
     /* 2176746 */     GIR_EraseRootFromParent_Done,
     /* 2176747 */   // Label 28688: @2176747
     /* 2176747 */   GIM_Try, /*On fail goto*//*Label 28689*/ GIMT_Encode4(2176838), // Rule ID 18447 //
     /* 2176752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2176760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2176763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2176766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2176772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176798 */     // MIs[0] round
     /* 2176798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176801 */     // MIs[0] policy
     /* 2176801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176811 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2176814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176837 */     // GIR_Coverage, 18447,
     /* 2176837 */     GIR_EraseRootFromParent_Done,
     /* 2176838 */   // Label 28689: @2176838
     /* 2176838 */   GIM_Try, /*On fail goto*//*Label 28690*/ GIMT_Encode4(2176929), // Rule ID 18450 //
     /* 2176843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2176851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2176854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2176857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2176863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2176866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176889 */     // MIs[0] round
     /* 2176889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176892 */     // MIs[0] policy
     /* 2176892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176902 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2176905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176928 */     // GIR_Coverage, 18450,
     /* 2176928 */     GIR_EraseRootFromParent_Done,
     /* 2176929 */   // Label 28690: @2176929
     /* 2176929 */   GIM_Try, /*On fail goto*//*Label 28691*/ GIMT_Encode4(2177020), // Rule ID 18451 //
     /* 2176934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2176942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2176945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2176948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2176954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2176957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176980 */     // MIs[0] round
     /* 2176980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176983 */     // MIs[0] policy
     /* 2176983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176993 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2176996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177019 */     // GIR_Coverage, 18451,
     /* 2177019 */     GIR_EraseRootFromParent_Done,
     /* 2177020 */   // Label 28691: @2177020
     /* 2177020 */   GIM_Try, /*On fail goto*//*Label 28692*/ GIMT_Encode4(2177111), // Rule ID 18454 //
     /* 2177025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2177028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2177036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2177039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2177045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177071 */     // MIs[0] round
     /* 2177071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177074 */     // MIs[0] policy
     /* 2177074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177084 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2177087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177110 */     // GIR_Coverage, 18454,
     /* 2177110 */     GIR_EraseRootFromParent_Done,
     /* 2177111 */   // Label 28692: @2177111
     /* 2177111 */   GIM_Try, /*On fail goto*//*Label 28693*/ GIMT_Encode4(2177202), // Rule ID 18455 //
     /* 2177116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2177119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2177127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2177130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2177136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177162 */     // MIs[0] round
     /* 2177162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177165 */     // MIs[0] policy
     /* 2177165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177175 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2177178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177201 */     // GIR_Coverage, 18455,
     /* 2177201 */     GIR_EraseRootFromParent_Done,
     /* 2177202 */   // Label 28693: @2177202
     /* 2177202 */   GIM_Try, /*On fail goto*//*Label 28694*/ GIMT_Encode4(2177293), // Rule ID 18458 //
     /* 2177207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2177210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2177218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2177221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2177227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177253 */     // MIs[0] round
     /* 2177253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177256 */     // MIs[0] policy
     /* 2177256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177266 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2177269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177292 */     // GIR_Coverage, 18458,
     /* 2177292 */     GIR_EraseRootFromParent_Done,
     /* 2177293 */   // Label 28694: @2177293
     /* 2177293 */   GIM_Try, /*On fail goto*//*Label 28695*/ GIMT_Encode4(2177384), // Rule ID 18459 //
     /* 2177298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2177301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2177309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2177312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2177318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177344 */     // MIs[0] round
     /* 2177344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177347 */     // MIs[0] policy
     /* 2177347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177357 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2177360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177383 */     // GIR_Coverage, 18459,
     /* 2177383 */     GIR_EraseRootFromParent_Done,
     /* 2177384 */   // Label 28695: @2177384
     /* 2177384 */   GIM_Try, /*On fail goto*//*Label 28696*/ GIMT_Encode4(2177475), // Rule ID 18462 //
     /* 2177389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2177392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2177400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2177403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2177409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2177412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177435 */     // MIs[0] round
     /* 2177435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177438 */     // MIs[0] policy
     /* 2177438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177448 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2177451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177474 */     // GIR_Coverage, 18462,
     /* 2177474 */     GIR_EraseRootFromParent_Done,
     /* 2177475 */   // Label 28696: @2177475
     /* 2177475 */   GIM_Try, /*On fail goto*//*Label 28697*/ GIMT_Encode4(2177566), // Rule ID 18463 //
     /* 2177480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2177483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2177491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2177494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2177500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2177503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177526 */     // MIs[0] round
     /* 2177526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177529 */     // MIs[0] policy
     /* 2177529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177539 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2177542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177565 */     // GIR_Coverage, 18463,
     /* 2177565 */     GIR_EraseRootFromParent_Done,
     /* 2177566 */   // Label 28697: @2177566
     /* 2177566 */   GIM_Try, /*On fail goto*//*Label 28698*/ GIMT_Encode4(2177657), // Rule ID 18466 //
     /* 2177571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2177582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2177585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2177591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177617 */     // MIs[0] round
     /* 2177617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177620 */     // MIs[0] policy
     /* 2177620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177630 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2177633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177656 */     // GIR_Coverage, 18466,
     /* 2177656 */     GIR_EraseRootFromParent_Done,
     /* 2177657 */   // Label 28698: @2177657
     /* 2177657 */   GIM_Try, /*On fail goto*//*Label 28699*/ GIMT_Encode4(2177748), // Rule ID 18467 //
     /* 2177662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2177665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2177673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2177676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2177682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177708 */     // MIs[0] round
     /* 2177708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177711 */     // MIs[0] policy
     /* 2177711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177721 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11260:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2177724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177747 */     // GIR_Coverage, 18467,
     /* 2177747 */     GIR_EraseRootFromParent_Done,
     /* 2177748 */   // Label 28699: @2177748
     /* 2177748 */   GIM_Try, /*On fail goto*//*Label 28700*/ GIMT_Encode4(2177839), // Rule ID 18470 //
     /* 2177753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2177764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2177767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2177773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177799 */     // MIs[0] round
     /* 2177799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177802 */     // MIs[0] policy
     /* 2177802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177812 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2177815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177838 */     // GIR_Coverage, 18470,
     /* 2177838 */     GIR_EraseRootFromParent_Done,
     /* 2177839 */   // Label 28700: @2177839
     /* 2177839 */   GIM_Try, /*On fail goto*//*Label 28701*/ GIMT_Encode4(2177930), // Rule ID 18471 //
     /* 2177844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2177847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2177855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2177858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2177864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177890 */     // MIs[0] round
     /* 2177890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177893 */     // MIs[0] policy
     /* 2177893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177903 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11260:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2177906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177929 */     // GIR_Coverage, 18471,
     /* 2177929 */     GIR_EraseRootFromParent_Done,
     /* 2177930 */   // Label 28701: @2177930
     /* 2177930 */   GIM_Try, /*On fail goto*//*Label 28702*/ GIMT_Encode4(2178021), // Rule ID 18474 //
     /* 2177935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2177946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2177949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2177955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177981 */     // MIs[0] round
     /* 2177981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177984 */     // MIs[0] policy
     /* 2177984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177994 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2177997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178020 */     // GIR_Coverage, 18474,
     /* 2178020 */     GIR_EraseRootFromParent_Done,
     /* 2178021 */   // Label 28702: @2178021
     /* 2178021 */   GIM_Try, /*On fail goto*//*Label 28703*/ GIMT_Encode4(2178112), // Rule ID 18475 //
     /* 2178026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2178029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2178034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2178037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2178040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2178043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2178046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2178064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178072 */     // MIs[0] round
     /* 2178072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178075 */     // MIs[0] policy
     /* 2178075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178085 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11260:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2178088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178111 */     // GIR_Coverage, 18475,
     /* 2178111 */     GIR_EraseRootFromParent_Done,
     /* 2178112 */   // Label 28703: @2178112
     /* 2178112 */   GIM_Try, /*On fail goto*//*Label 28704*/ GIMT_Encode4(2178203), // Rule ID 18478 //
     /* 2178117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2178120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2178128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2178131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2178134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2178137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178163 */     // MIs[0] round
     /* 2178163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178166 */     // MIs[0] policy
     /* 2178166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178176 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2178179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178202 */     // GIR_Coverage, 18478,
     /* 2178202 */     GIR_EraseRootFromParent_Done,
     /* 2178203 */   // Label 28704: @2178203
     /* 2178203 */   GIM_Try, /*On fail goto*//*Label 28705*/ GIMT_Encode4(2178294), // Rule ID 18479 //
     /* 2178208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2178211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2178219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2178222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2178225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2178228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178254 */     // MIs[0] round
     /* 2178254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178257 */     // MIs[0] policy
     /* 2178257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178267 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2178270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178293 */     // GIR_Coverage, 18479,
     /* 2178293 */     GIR_EraseRootFromParent_Done,
     /* 2178294 */   // Label 28705: @2178294
     /* 2178294 */   GIM_Try, /*On fail goto*//*Label 28706*/ GIMT_Encode4(2178385), // Rule ID 18482 //
     /* 2178299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2178302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2178310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2178313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2178316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2178319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178345 */     // MIs[0] round
     /* 2178345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178348 */     // MIs[0] policy
     /* 2178348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178358 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2178361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178384 */     // GIR_Coverage, 18482,
     /* 2178384 */     GIR_EraseRootFromParent_Done,
     /* 2178385 */   // Label 28706: @2178385
     /* 2178385 */   GIM_Try, /*On fail goto*//*Label 28707*/ GIMT_Encode4(2178476), // Rule ID 18483 //
     /* 2178390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2178393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2178401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2178404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2178407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2178410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178436 */     // MIs[0] round
     /* 2178436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178439 */     // MIs[0] policy
     /* 2178439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178449 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2178452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178475 */     // GIR_Coverage, 18483,
     /* 2178475 */     GIR_EraseRootFromParent_Done,
     /* 2178476 */   // Label 28707: @2178476
     /* 2178476 */   GIM_Try, /*On fail goto*//*Label 28708*/ GIMT_Encode4(2178567), // Rule ID 18486 //
     /* 2178481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2178484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2178492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2178495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178527 */     // MIs[0] round
     /* 2178527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178530 */     // MIs[0] policy
     /* 2178530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178540 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2178543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178566 */     // GIR_Coverage, 18486,
     /* 2178566 */     GIR_EraseRootFromParent_Done,
     /* 2178567 */   // Label 28708: @2178567
     /* 2178567 */   GIM_Try, /*On fail goto*//*Label 28709*/ GIMT_Encode4(2178658), // Rule ID 18487 //
     /* 2178572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2178575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2178583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2178586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178618 */     // MIs[0] round
     /* 2178618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178621 */     // MIs[0] policy
     /* 2178621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178631 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2178634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178657 */     // GIR_Coverage, 18487,
     /* 2178657 */     GIR_EraseRootFromParent_Done,
     /* 2178658 */   // Label 28709: @2178658
     /* 2178658 */   GIM_Try, /*On fail goto*//*Label 28710*/ GIMT_Encode4(2178749), // Rule ID 18490 //
     /* 2178663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2178666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2178674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2178677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2178680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2178683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178709 */     // MIs[0] round
     /* 2178709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178712 */     // MIs[0] policy
     /* 2178712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178722 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2178725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178748 */     // GIR_Coverage, 18490,
     /* 2178748 */     GIR_EraseRootFromParent_Done,
     /* 2178749 */   // Label 28710: @2178749
     /* 2178749 */   GIM_Try, /*On fail goto*//*Label 28711*/ GIMT_Encode4(2178840), // Rule ID 18491 //
     /* 2178754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2178757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2178765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2178768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2178771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2178774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178800 */     // MIs[0] round
     /* 2178800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178803 */     // MIs[0] policy
     /* 2178803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178813 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2178816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178839 */     // GIR_Coverage, 18491,
     /* 2178839 */     GIR_EraseRootFromParent_Done,
     /* 2178840 */   // Label 28711: @2178840
     /* 2178840 */   GIM_Try, /*On fail goto*//*Label 28712*/ GIMT_Encode4(2178931), // Rule ID 18494 //
     /* 2178845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2178848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2178856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2178859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2178862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2178865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178891 */     // MIs[0] round
     /* 2178891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178894 */     // MIs[0] policy
     /* 2178894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178904 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2178907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178930 */     // GIR_Coverage, 18494,
     /* 2178930 */     GIR_EraseRootFromParent_Done,
     /* 2178931 */   // Label 28712: @2178931
     /* 2178931 */   GIM_Try, /*On fail goto*//*Label 28713*/ GIMT_Encode4(2179022), // Rule ID 18495 //
     /* 2178936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2178939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2178944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2178947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2178950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2178953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2178956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178982 */     // MIs[0] round
     /* 2178982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178985 */     // MIs[0] policy
     /* 2178985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178995 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2178998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179021 */     // GIR_Coverage, 18495,
     /* 2179021 */     GIR_EraseRootFromParent_Done,
     /* 2179022 */   // Label 28713: @2179022
     /* 2179022 */   GIM_Try, /*On fail goto*//*Label 28714*/ GIMT_Encode4(2179113), // Rule ID 18498 //
     /* 2179027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2179030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2179035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2179038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2179041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2179044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2179047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179073 */     // MIs[0] round
     /* 2179073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179076 */     // MIs[0] policy
     /* 2179076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179086 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2179089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2179109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179112 */     // GIR_Coverage, 18498,
     /* 2179112 */     GIR_EraseRootFromParent_Done,
     /* 2179113 */   // Label 28714: @2179113
     /* 2179113 */   GIM_Try, /*On fail goto*//*Label 28715*/ GIMT_Encode4(2179204), // Rule ID 18499 //
     /* 2179118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2179121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2179126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2179129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2179132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2179135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2179138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179164 */     // MIs[0] round
     /* 2179164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179167 */     // MIs[0] policy
     /* 2179167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179177 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2179180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2179200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179203 */     // GIR_Coverage, 18499,
     /* 2179203 */     GIR_EraseRootFromParent_Done,
     /* 2179204 */   // Label 28715: @2179204
     /* 2179204 */   GIM_Try, /*On fail goto*//*Label 28716*/ GIMT_Encode4(2179295), // Rule ID 18502 //
     /* 2179209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2179217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2179220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2179223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2179226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179255 */     // MIs[0] round
     /* 2179255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179258 */     // MIs[0] policy
     /* 2179258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179268 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2179271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179294 */     // GIR_Coverage, 18502,
     /* 2179294 */     GIR_EraseRootFromParent_Done,
     /* 2179295 */   // Label 28716: @2179295
     /* 2179295 */   GIM_Try, /*On fail goto*//*Label 28717*/ GIMT_Encode4(2179386), // Rule ID 18503 //
     /* 2179300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2179308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2179311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2179314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2179317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179346 */     // MIs[0] round
     /* 2179346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179349 */     // MIs[0] policy
     /* 2179349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179359 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2179362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179385 */     // GIR_Coverage, 18503,
     /* 2179385 */     GIR_EraseRootFromParent_Done,
     /* 2179386 */   // Label 28717: @2179386
     /* 2179386 */   GIM_Try, /*On fail goto*//*Label 28718*/ GIMT_Encode4(2179477), // Rule ID 18506 //
     /* 2179391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2179399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2179402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2179405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2179408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2179411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2179414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179437 */     // MIs[0] round
     /* 2179437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179440 */     // MIs[0] policy
     /* 2179440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179450 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2179453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179476 */     // GIR_Coverage, 18506,
     /* 2179476 */     GIR_EraseRootFromParent_Done,
     /* 2179477 */   // Label 28718: @2179477
     /* 2179477 */   GIM_Try, /*On fail goto*//*Label 28719*/ GIMT_Encode4(2179568), // Rule ID 18507 //
     /* 2179482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2179490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2179493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2179496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2179499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2179502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2179505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179528 */     // MIs[0] round
     /* 2179528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179531 */     // MIs[0] policy
     /* 2179531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179541 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2179544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179567 */     // GIR_Coverage, 18507,
     /* 2179567 */     GIR_EraseRootFromParent_Done,
     /* 2179568 */   // Label 28719: @2179568
     /* 2179568 */   GIM_Try, /*On fail goto*//*Label 28720*/ GIMT_Encode4(2179659), // Rule ID 18510 //
     /* 2179573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2179581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2179584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2179587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2179590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2179593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2179596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179619 */     // MIs[0] round
     /* 2179619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179622 */     // MIs[0] policy
     /* 2179622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179632 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2179635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179658 */     // GIR_Coverage, 18510,
     /* 2179658 */     GIR_EraseRootFromParent_Done,
     /* 2179659 */   // Label 28720: @2179659
     /* 2179659 */   GIM_Try, /*On fail goto*//*Label 28721*/ GIMT_Encode4(2179750), // Rule ID 18511 //
     /* 2179664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2179672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2179675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2179678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2179681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2179684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2179687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179710 */     // MIs[0] round
     /* 2179710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179713 */     // MIs[0] policy
     /* 2179713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179723 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2179726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179749 */     // GIR_Coverage, 18511,
     /* 2179749 */     GIR_EraseRootFromParent_Done,
     /* 2179750 */   // Label 28721: @2179750
     /* 2179750 */   GIM_Try, /*On fail goto*//*Label 28722*/ GIMT_Encode4(2179841), // Rule ID 18514 //
     /* 2179755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2179758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2179763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2179772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2179775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179801 */     // MIs[0] round
     /* 2179801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179804 */     // MIs[0] policy
     /* 2179804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179814 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2179817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179840 */     // GIR_Coverage, 18514,
     /* 2179840 */     GIR_EraseRootFromParent_Done,
     /* 2179841 */   // Label 28722: @2179841
     /* 2179841 */   GIM_Try, /*On fail goto*//*Label 28723*/ GIMT_Encode4(2179932), // Rule ID 18515 //
     /* 2179846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2179849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2179854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2179863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2179866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179892 */     // MIs[0] round
     /* 2179892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179895 */     // MIs[0] policy
     /* 2179895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179905 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2179908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179931 */     // GIR_Coverage, 18515,
     /* 2179931 */     GIR_EraseRootFromParent_Done,
     /* 2179932 */   // Label 28723: @2179932
     /* 2179932 */   GIM_Try, /*On fail goto*//*Label 28724*/ GIMT_Encode4(2180023), // Rule ID 18518 //
     /* 2179937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2179940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2179945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2179948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2179951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2179954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2179957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179983 */     // MIs[0] round
     /* 2179983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179986 */     // MIs[0] policy
     /* 2179986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179996 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2179999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180022 */     // GIR_Coverage, 18518,
     /* 2180022 */     GIR_EraseRootFromParent_Done,
     /* 2180023 */   // Label 28724: @2180023
     /* 2180023 */   GIM_Try, /*On fail goto*//*Label 28725*/ GIMT_Encode4(2180114), // Rule ID 18519 //
     /* 2180028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2180031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2180036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2180039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2180042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2180045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180074 */     // MIs[0] round
     /* 2180074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180077 */     // MIs[0] policy
     /* 2180077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180087 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2180090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180113 */     // GIR_Coverage, 18519,
     /* 2180113 */     GIR_EraseRootFromParent_Done,
     /* 2180114 */   // Label 28725: @2180114
     /* 2180114 */   GIM_Try, /*On fail goto*//*Label 28726*/ GIMT_Encode4(2180205), // Rule ID 18522 //
     /* 2180119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2180122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2180127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2180130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2180133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2180136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2180139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180165 */     // MIs[0] round
     /* 2180165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180168 */     // MIs[0] policy
     /* 2180168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180178 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2180181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180204 */     // GIR_Coverage, 18522,
     /* 2180204 */     GIR_EraseRootFromParent_Done,
     /* 2180205 */   // Label 28726: @2180205
     /* 2180205 */   GIM_Try, /*On fail goto*//*Label 28727*/ GIMT_Encode4(2180296), // Rule ID 18523 //
     /* 2180210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2180213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2180218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2180221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2180224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2180227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2180230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180256 */     // MIs[0] round
     /* 2180256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180259 */     // MIs[0] policy
     /* 2180259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180269 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2180272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180295 */     // GIR_Coverage, 18523,
     /* 2180295 */     GIR_EraseRootFromParent_Done,
     /* 2180296 */   // Label 28727: @2180296
     /* 2180296 */   GIM_Try, /*On fail goto*//*Label 28728*/ GIMT_Encode4(2180387), // Rule ID 18526 //
     /* 2180301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2180304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2180309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2180318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2180321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180347 */     // MIs[0] round
     /* 2180347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180350 */     // MIs[0] policy
     /* 2180350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180360 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2180363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180386 */     // GIR_Coverage, 18526,
     /* 2180386 */     GIR_EraseRootFromParent_Done,
     /* 2180387 */   // Label 28728: @2180387
     /* 2180387 */   GIM_Try, /*On fail goto*//*Label 28729*/ GIMT_Encode4(2180478), // Rule ID 18527 //
     /* 2180392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2180395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2180400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2180409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2180412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180438 */     // MIs[0] round
     /* 2180438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180441 */     // MIs[0] policy
     /* 2180441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180451 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2180454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180477 */     // GIR_Coverage, 18527,
     /* 2180477 */     GIR_EraseRootFromParent_Done,
     /* 2180478 */   // Label 28729: @2180478
     /* 2180478 */   GIM_Try, /*On fail goto*//*Label 28730*/ GIMT_Encode4(2180569), // Rule ID 18530 //
     /* 2180483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2180486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2180491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2180500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2180503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180529 */     // MIs[0] round
     /* 2180529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180532 */     // MIs[0] policy
     /* 2180532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180542 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2180545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180568 */     // GIR_Coverage, 18530,
     /* 2180568 */     GIR_EraseRootFromParent_Done,
     /* 2180569 */   // Label 28730: @2180569
     /* 2180569 */   GIM_Try, /*On fail goto*//*Label 28731*/ GIMT_Encode4(2180660), // Rule ID 18531 //
     /* 2180574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2180577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2180582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2180591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2180594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180620 */     // MIs[0] round
     /* 2180620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180623 */     // MIs[0] policy
     /* 2180623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180633 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2180636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180659 */     // GIR_Coverage, 18531,
     /* 2180659 */     GIR_EraseRootFromParent_Done,
     /* 2180660 */   // Label 28731: @2180660
     /* 2180660 */   GIM_Try, /*On fail goto*//*Label 28732*/ GIMT_Encode4(2180751), // Rule ID 18534 //
     /* 2180665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2180668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2180673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2180676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2180679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2180682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2180685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180711 */     // MIs[0] round
     /* 2180711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180714 */     // MIs[0] policy
     /* 2180714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180724 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2180727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180750 */     // GIR_Coverage, 18534,
     /* 2180750 */     GIR_EraseRootFromParent_Done,
     /* 2180751 */   // Label 28732: @2180751
     /* 2180751 */   GIM_Try, /*On fail goto*//*Label 28733*/ GIMT_Encode4(2180842), // Rule ID 18535 //
     /* 2180756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2180759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2180764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2180767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2180770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2180773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2180776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180802 */     // MIs[0] round
     /* 2180802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180805 */     // MIs[0] policy
     /* 2180805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180815 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2180818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180841 */     // GIR_Coverage, 18535,
     /* 2180841 */     GIR_EraseRootFromParent_Done,
     /* 2180842 */   // Label 28733: @2180842
     /* 2180842 */   GIM_Try, /*On fail goto*//*Label 28734*/ GIMT_Encode4(2180933), // Rule ID 18538 //
     /* 2180847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2180850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2180855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2180858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2180861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2180867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180893 */     // MIs[0] round
     /* 2180893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180896 */     // MIs[0] policy
     /* 2180896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180906 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2180909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180932 */     // GIR_Coverage, 18538,
     /* 2180932 */     GIR_EraseRootFromParent_Done,
     /* 2180933 */   // Label 28734: @2180933
     /* 2180933 */   GIM_Try, /*On fail goto*//*Label 28735*/ GIMT_Encode4(2181024), // Rule ID 18539 //
     /* 2180938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2180941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2180946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2180949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2180952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2180958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180984 */     // MIs[0] round
     /* 2180984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180987 */     // MIs[0] policy
     /* 2180987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180997 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2181000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181023 */     // GIR_Coverage, 18539,
     /* 2181023 */     GIR_EraseRootFromParent_Done,
     /* 2181024 */   // Label 28735: @2181024
     /* 2181024 */   GIM_Try, /*On fail goto*//*Label 28736*/ GIMT_Encode4(2181115), // Rule ID 18542 //
     /* 2181029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2181032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2181037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2181040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2181043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2181049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181075 */     // MIs[0] round
     /* 2181075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181078 */     // MIs[0] policy
     /* 2181078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181088 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2181091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181114 */     // GIR_Coverage, 18542,
     /* 2181114 */     GIR_EraseRootFromParent_Done,
     /* 2181115 */   // Label 28736: @2181115
     /* 2181115 */   GIM_Try, /*On fail goto*//*Label 28737*/ GIMT_Encode4(2181206), // Rule ID 18543 //
     /* 2181120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2181123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2181128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2181131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2181134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2181140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181166 */     // MIs[0] round
     /* 2181166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181169 */     // MIs[0] policy
     /* 2181169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181179 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2181182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181205 */     // GIR_Coverage, 18543,
     /* 2181205 */     GIR_EraseRootFromParent_Done,
     /* 2181206 */   // Label 28737: @2181206
     /* 2181206 */   GIM_Try, /*On fail goto*//*Label 28738*/ GIMT_Encode4(2181297), // Rule ID 18546 //
     /* 2181211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2181214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2181219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2181222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2181225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181257 */     // MIs[0] round
     /* 2181257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181260 */     // MIs[0] policy
     /* 2181260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181270 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2181273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181296 */     // GIR_Coverage, 18546,
     /* 2181296 */     GIR_EraseRootFromParent_Done,
     /* 2181297 */   // Label 28738: @2181297
     /* 2181297 */   GIM_Try, /*On fail goto*//*Label 28739*/ GIMT_Encode4(2181388), // Rule ID 18547 //
     /* 2181302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2181305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2181310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2181313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2181316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181348 */     // MIs[0] round
     /* 2181348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181351 */     // MIs[0] policy
     /* 2181351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181361 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2181364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181387 */     // GIR_Coverage, 18547,
     /* 2181387 */     GIR_EraseRootFromParent_Done,
     /* 2181388 */   // Label 28739: @2181388
     /* 2181388 */   GIM_Try, /*On fail goto*//*Label 28740*/ GIMT_Encode4(2181479), // Rule ID 18550 //
     /* 2181393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2181396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2181401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2181404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2181407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2181413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181439 */     // MIs[0] round
     /* 2181439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181442 */     // MIs[0] policy
     /* 2181442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181452 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2181455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181478 */     // GIR_Coverage, 18550,
     /* 2181478 */     GIR_EraseRootFromParent_Done,
     /* 2181479 */   // Label 28740: @2181479
     /* 2181479 */   GIM_Try, /*On fail goto*//*Label 28741*/ GIMT_Encode4(2181570), // Rule ID 18551 //
     /* 2181484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2181487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2181492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2181495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2181498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2181504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181530 */     // MIs[0] round
     /* 2181530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181533 */     // MIs[0] policy
     /* 2181533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181543 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2181546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181569 */     // GIR_Coverage, 18551,
     /* 2181569 */     GIR_EraseRootFromParent_Done,
     /* 2181570 */   // Label 28741: @2181570
     /* 2181570 */   GIM_Try, /*On fail goto*//*Label 28742*/ GIMT_Encode4(2181661), // Rule ID 18554 //
     /* 2181575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2181578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2181583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2181586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2181589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2181595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181621 */     // MIs[0] round
     /* 2181621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181624 */     // MIs[0] policy
     /* 2181624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181634 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2181637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181660 */     // GIR_Coverage, 18554,
     /* 2181660 */     GIR_EraseRootFromParent_Done,
     /* 2181661 */   // Label 28742: @2181661
     /* 2181661 */   GIM_Try, /*On fail goto*//*Label 28743*/ GIMT_Encode4(2181752), // Rule ID 18555 //
     /* 2181666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2181669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2181674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2181677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2181680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2181686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181712 */     // MIs[0] round
     /* 2181712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181715 */     // MIs[0] policy
     /* 2181715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181725 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2181728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181751 */     // GIR_Coverage, 18555,
     /* 2181751 */     GIR_EraseRootFromParent_Done,
     /* 2181752 */   // Label 28743: @2181752
     /* 2181752 */   GIM_Try, /*On fail goto*//*Label 28744*/ GIMT_Encode4(2181843), // Rule ID 18558 //
     /* 2181757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2181760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2181765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2181768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2181771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2181774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2181777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2181795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181803 */     // MIs[0] round
     /* 2181803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181806 */     // MIs[0] policy
     /* 2181806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181816 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2181819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181842 */     // GIR_Coverage, 18558,
     /* 2181842 */     GIR_EraseRootFromParent_Done,
     /* 2181843 */   // Label 28744: @2181843
     /* 2181843 */   GIM_Try, /*On fail goto*//*Label 28745*/ GIMT_Encode4(2181934), // Rule ID 18559 //
     /* 2181848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2181851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2181856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2181859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2181862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2181865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2181868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2181886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181894 */     // MIs[0] round
     /* 2181894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181897 */     // MIs[0] policy
     /* 2181897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181907 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2181910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181933 */     // GIR_Coverage, 18559,
     /* 2181933 */     GIR_EraseRootFromParent_Done,
     /* 2181934 */   // Label 28745: @2181934
     /* 2181934 */   GIM_Try, /*On fail goto*//*Label 28746*/ GIMT_Encode4(2182025), // Rule ID 18562 //
     /* 2181939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2181942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2181947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2181950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2181953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2181959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181985 */     // MIs[0] round
     /* 2181985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181988 */     // MIs[0] policy
     /* 2181988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181998 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2182001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182024 */     // GIR_Coverage, 18562,
     /* 2182024 */     GIR_EraseRootFromParent_Done,
     /* 2182025 */   // Label 28746: @2182025
     /* 2182025 */   GIM_Try, /*On fail goto*//*Label 28747*/ GIMT_Encode4(2182116), // Rule ID 18563 //
     /* 2182030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2182033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2182041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2182044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2182050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182076 */     // MIs[0] round
     /* 2182076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182079 */     // MIs[0] policy
     /* 2182079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182089 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2182092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182115 */     // GIR_Coverage, 18563,
     /* 2182115 */     GIR_EraseRootFromParent_Done,
     /* 2182116 */   // Label 28747: @2182116
     /* 2182116 */   GIM_Try, /*On fail goto*//*Label 28748*/ GIMT_Encode4(2182207), // Rule ID 18566 //
     /* 2182121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2182124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2182132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2182135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2182141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2182144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182167 */     // MIs[0] round
     /* 2182167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182170 */     // MIs[0] policy
     /* 2182170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182180 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2182183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182206 */     // GIR_Coverage, 18566,
     /* 2182206 */     GIR_EraseRootFromParent_Done,
     /* 2182207 */   // Label 28748: @2182207
     /* 2182207 */   GIM_Try, /*On fail goto*//*Label 28749*/ GIMT_Encode4(2182298), // Rule ID 18567 //
     /* 2182212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2182215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2182223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2182226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2182232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2182235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182258 */     // MIs[0] round
     /* 2182258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182261 */     // MIs[0] policy
     /* 2182261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182271 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2182274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182297 */     // GIR_Coverage, 18567,
     /* 2182297 */     GIR_EraseRootFromParent_Done,
     /* 2182298 */   // Label 28749: @2182298
     /* 2182298 */   GIM_Try, /*On fail goto*//*Label 28750*/ GIMT_Encode4(2182389), // Rule ID 18570 //
     /* 2182303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2182306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2182314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2182317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2182323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2182326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182349 */     // MIs[0] round
     /* 2182349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182352 */     // MIs[0] policy
     /* 2182352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182362 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2182365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182388 */     // GIR_Coverage, 18570,
     /* 2182388 */     GIR_EraseRootFromParent_Done,
     /* 2182389 */   // Label 28750: @2182389
     /* 2182389 */   GIM_Try, /*On fail goto*//*Label 28751*/ GIMT_Encode4(2182480), // Rule ID 18571 //
     /* 2182394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2182397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2182405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2182408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2182414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2182417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182440 */     // MIs[0] round
     /* 2182440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182443 */     // MIs[0] policy
     /* 2182443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182453 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2182456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182479 */     // GIR_Coverage, 18571,
     /* 2182479 */     GIR_EraseRootFromParent_Done,
     /* 2182480 */   // Label 28751: @2182480
     /* 2182480 */   GIM_Try, /*On fail goto*//*Label 28752*/ GIMT_Encode4(2182571), // Rule ID 18574 //
     /* 2182485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2182488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2182496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2182499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2182505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182531 */     // MIs[0] round
     /* 2182531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182534 */     // MIs[0] policy
     /* 2182534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182544 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2182547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182570 */     // GIR_Coverage, 18574,
     /* 2182570 */     GIR_EraseRootFromParent_Done,
     /* 2182571 */   // Label 28752: @2182571
     /* 2182571 */   GIM_Try, /*On fail goto*//*Label 28753*/ GIMT_Encode4(2182662), // Rule ID 18575 //
     /* 2182576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2182579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2182587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2182590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2182596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182622 */     // MIs[0] round
     /* 2182622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182625 */     // MIs[0] policy
     /* 2182625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182635 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2182638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182661 */     // GIR_Coverage, 18575,
     /* 2182661 */     GIR_EraseRootFromParent_Done,
     /* 2182662 */   // Label 28753: @2182662
     /* 2182662 */   GIM_Try, /*On fail goto*//*Label 28754*/ GIMT_Encode4(2182753), // Rule ID 18578 //
     /* 2182667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2182670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2182678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2182681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2182687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182713 */     // MIs[0] round
     /* 2182713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182716 */     // MIs[0] policy
     /* 2182716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182726 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2182729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182752 */     // GIR_Coverage, 18578,
     /* 2182752 */     GIR_EraseRootFromParent_Done,
     /* 2182753 */   // Label 28754: @2182753
     /* 2182753 */   GIM_Try, /*On fail goto*//*Label 28755*/ GIMT_Encode4(2182844), // Rule ID 18579 //
     /* 2182758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2182761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2182769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2182772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2182778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182804 */     // MIs[0] round
     /* 2182804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182807 */     // MIs[0] policy
     /* 2182807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182817 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2182820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182843 */     // GIR_Coverage, 18579,
     /* 2182843 */     GIR_EraseRootFromParent_Done,
     /* 2182844 */   // Label 28755: @2182844
     /* 2182844 */   GIM_Try, /*On fail goto*//*Label 28756*/ GIMT_Encode4(2182935), // Rule ID 18582 //
     /* 2182849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2182852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2182860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2182863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2182869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2182872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182895 */     // MIs[0] round
     /* 2182895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182898 */     // MIs[0] policy
     /* 2182898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182908 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2182911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182934 */     // GIR_Coverage, 18582,
     /* 2182934 */     GIR_EraseRootFromParent_Done,
     /* 2182935 */   // Label 28756: @2182935
     /* 2182935 */   GIM_Try, /*On fail goto*//*Label 28757*/ GIMT_Encode4(2183026), // Rule ID 18583 //
     /* 2182940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2182943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2182951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2182954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2182960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2182963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182986 */     // MIs[0] round
     /* 2182986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182989 */     // MIs[0] policy
     /* 2182989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182999 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2183002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183025 */     // GIR_Coverage, 18583,
     /* 2183025 */     GIR_EraseRootFromParent_Done,
     /* 2183026 */   // Label 28757: @2183026
     /* 2183026 */   GIM_Try, /*On fail goto*//*Label 28758*/ GIMT_Encode4(2183117), // Rule ID 18586 //
     /* 2183031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2183034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2183048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2183051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2183069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183077 */     // MIs[0] round
     /* 2183077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183080 */     // MIs[0] policy
     /* 2183080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183090 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2183093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183116 */     // GIR_Coverage, 18586,
     /* 2183116 */     GIR_EraseRootFromParent_Done,
     /* 2183117 */   // Label 28758: @2183117
     /* 2183117 */   GIM_Try, /*On fail goto*//*Label 28759*/ GIMT_Encode4(2183208), // Rule ID 18587 //
     /* 2183122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2183125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2183139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2183142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2183160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183168 */     // MIs[0] round
     /* 2183168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183171 */     // MIs[0] policy
     /* 2183171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183181 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2183184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183207 */     // GIR_Coverage, 18587,
     /* 2183207 */     GIR_EraseRootFromParent_Done,
     /* 2183208 */   // Label 28759: @2183208
     /* 2183208 */   GIM_Try, /*On fail goto*//*Label 28760*/ GIMT_Encode4(2183299), // Rule ID 18590 //
     /* 2183213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2183216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2183230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2183233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2183251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183259 */     // MIs[0] round
     /* 2183259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183262 */     // MIs[0] policy
     /* 2183262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183272 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2183275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183298 */     // GIR_Coverage, 18590,
     /* 2183298 */     GIR_EraseRootFromParent_Done,
     /* 2183299 */   // Label 28760: @2183299
     /* 2183299 */   GIM_Try, /*On fail goto*//*Label 28761*/ GIMT_Encode4(2183390), // Rule ID 18591 //
     /* 2183304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2183307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2183321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2183324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2183342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183350 */     // MIs[0] round
     /* 2183350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183353 */     // MIs[0] policy
     /* 2183353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183363 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2183366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183389 */     // GIR_Coverage, 18591,
     /* 2183389 */     GIR_EraseRootFromParent_Done,
     /* 2183390 */   // Label 28761: @2183390
     /* 2183390 */   GIM_Try, /*On fail goto*//*Label 28762*/ GIMT_Encode4(2183481), // Rule ID 18594 //
     /* 2183395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2183398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2183406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2183409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2183412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2183415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2183433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183441 */     // MIs[0] round
     /* 2183441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183444 */     // MIs[0] policy
     /* 2183444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183454 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2183457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183480 */     // GIR_Coverage, 18594,
     /* 2183480 */     GIR_EraseRootFromParent_Done,
     /* 2183481 */   // Label 28762: @2183481
     /* 2183481 */   GIM_Try, /*On fail goto*//*Label 28763*/ GIMT_Encode4(2183572), // Rule ID 18595 //
     /* 2183486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2183489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2183497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2183500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2183503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2183506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2183524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183532 */     // MIs[0] round
     /* 2183532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183535 */     // MIs[0] policy
     /* 2183535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183545 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2183548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183571 */     // GIR_Coverage, 18595,
     /* 2183571 */     GIR_EraseRootFromParent_Done,
     /* 2183572 */   // Label 28763: @2183572
     /* 2183572 */   GIM_Try, /*On fail goto*//*Label 28764*/ GIMT_Encode4(2183663), // Rule ID 18598 //
     /* 2183577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2183580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2183588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2183591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2183594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2183597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183623 */     // MIs[0] round
     /* 2183623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183626 */     // MIs[0] policy
     /* 2183626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183636 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2183639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183662 */     // GIR_Coverage, 18598,
     /* 2183662 */     GIR_EraseRootFromParent_Done,
     /* 2183663 */   // Label 28764: @2183663
     /* 2183663 */   GIM_Try, /*On fail goto*//*Label 28765*/ GIMT_Encode4(2183754), // Rule ID 18599 //
     /* 2183668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2183671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2183679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2183682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2183685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2183688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183714 */     // MIs[0] round
     /* 2183714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183717 */     // MIs[0] policy
     /* 2183717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183727 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2183730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183753 */     // GIR_Coverage, 18599,
     /* 2183753 */     GIR_EraseRootFromParent_Done,
     /* 2183754 */   // Label 28765: @2183754
     /* 2183754 */   GIM_Try, /*On fail goto*//*Label 28766*/ GIMT_Encode4(2183845), // Rule ID 18602 //
     /* 2183759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2183762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2183770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2183773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2183776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2183779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183805 */     // MIs[0] round
     /* 2183805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183808 */     // MIs[0] policy
     /* 2183808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183818 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2183821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183844 */     // GIR_Coverage, 18602,
     /* 2183844 */     GIR_EraseRootFromParent_Done,
     /* 2183845 */   // Label 28766: @2183845
     /* 2183845 */   GIM_Try, /*On fail goto*//*Label 28767*/ GIMT_Encode4(2183936), // Rule ID 18603 //
     /* 2183850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2183853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2183861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2183864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2183867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2183870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183896 */     // MIs[0] round
     /* 2183896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183899 */     // MIs[0] policy
     /* 2183899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183909 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2183912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183935 */     // GIR_Coverage, 18603,
     /* 2183935 */     GIR_EraseRootFromParent_Done,
     /* 2183936 */   // Label 28767: @2183936
     /* 2183936 */   GIM_Try, /*On fail goto*//*Label 28768*/ GIMT_Encode4(2184027), // Rule ID 18606 //
     /* 2183941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2183944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2183949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2183952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2183955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2183958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2183961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183987 */     // MIs[0] round
     /* 2183987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183990 */     // MIs[0] policy
     /* 2183990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184000 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2184003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184026 */     // GIR_Coverage, 18606,
     /* 2184026 */     GIR_EraseRootFromParent_Done,
     /* 2184027 */   // Label 28768: @2184027
     /* 2184027 */   GIM_Try, /*On fail goto*//*Label 28769*/ GIMT_Encode4(2184118), // Rule ID 18607 //
     /* 2184032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2184035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2184040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2184043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2184046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2184049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2184052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184078 */     // MIs[0] round
     /* 2184078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184081 */     // MIs[0] policy
     /* 2184081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184091 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2184094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184117 */     // GIR_Coverage, 18607,
     /* 2184117 */     GIR_EraseRootFromParent_Done,
     /* 2184118 */   // Label 28769: @2184118
     /* 2184118 */   GIM_Try, /*On fail goto*//*Label 28770*/ GIMT_Encode4(2184209), // Rule ID 18610 //
     /* 2184123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2184126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2184131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2184134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2184137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2184140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184169 */     // MIs[0] round
     /* 2184169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184172 */     // MIs[0] policy
     /* 2184172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184182 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2184185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184208 */     // GIR_Coverage, 18610,
     /* 2184208 */     GIR_EraseRootFromParent_Done,
     /* 2184209 */   // Label 28770: @2184209
     /* 2184209 */   GIM_Try, /*On fail goto*//*Label 28771*/ GIMT_Encode4(2184300), // Rule ID 18611 //
     /* 2184214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2184217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2184222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2184225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2184228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2184231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184260 */     // MIs[0] round
     /* 2184260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184263 */     // MIs[0] policy
     /* 2184263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184273 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2184276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184299 */     // GIR_Coverage, 18611,
     /* 2184299 */     GIR_EraseRootFromParent_Done,
     /* 2184300 */   // Label 28771: @2184300
     /* 2184300 */   GIM_Try, /*On fail goto*//*Label 28772*/ GIMT_Encode4(2184391), // Rule ID 18614 //
     /* 2184305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2184308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2184313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2184322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2184325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184351 */     // MIs[0] round
     /* 2184351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184354 */     // MIs[0] policy
     /* 2184354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184364 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2184367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184390 */     // GIR_Coverage, 18614,
     /* 2184390 */     GIR_EraseRootFromParent_Done,
     /* 2184391 */   // Label 28772: @2184391
     /* 2184391 */   GIM_Try, /*On fail goto*//*Label 28773*/ GIMT_Encode4(2184482), // Rule ID 18615 //
     /* 2184396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2184399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2184404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2184413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2184416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184442 */     // MIs[0] round
     /* 2184442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184445 */     // MIs[0] policy
     /* 2184445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184455 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2184458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184481 */     // GIR_Coverage, 18615,
     /* 2184481 */     GIR_EraseRootFromParent_Done,
     /* 2184482 */   // Label 28773: @2184482
     /* 2184482 */   GIM_Try, /*On fail goto*//*Label 28774*/ GIMT_Encode4(2184573), // Rule ID 18618 //
     /* 2184487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2184490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2184495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2184498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2184501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2184504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2184507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184533 */     // MIs[0] round
     /* 2184533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184536 */     // MIs[0] policy
     /* 2184536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184546 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2184549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2184569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184572 */     // GIR_Coverage, 18618,
     /* 2184572 */     GIR_EraseRootFromParent_Done,
     /* 2184573 */   // Label 28774: @2184573
     /* 2184573 */   GIM_Try, /*On fail goto*//*Label 28775*/ GIMT_Encode4(2184664), // Rule ID 18619 //
     /* 2184578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2184581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2184586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2184589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2184592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2184595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2184598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184624 */     // MIs[0] round
     /* 2184624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184627 */     // MIs[0] policy
     /* 2184627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184637 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2184640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2184660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184663 */     // GIR_Coverage, 18619,
     /* 2184663 */     GIR_EraseRootFromParent_Done,
     /* 2184664 */   // Label 28775: @2184664
     /* 2184664 */   GIM_Try, /*On fail goto*//*Label 28776*/ GIMT_Encode4(2184755), // Rule ID 18622 //
     /* 2184669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2184672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2184677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2184680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2184683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2184686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184715 */     // MIs[0] round
     /* 2184715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184718 */     // MIs[0] policy
     /* 2184718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184728 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2184731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184754 */     // GIR_Coverage, 18622,
     /* 2184754 */     GIR_EraseRootFromParent_Done,
     /* 2184755 */   // Label 28776: @2184755
     /* 2184755 */   GIM_Try, /*On fail goto*//*Label 28777*/ GIMT_Encode4(2184846), // Rule ID 18623 //
     /* 2184760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2184763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2184768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2184771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2184774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2184777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184806 */     // MIs[0] round
     /* 2184806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184809 */     // MIs[0] policy
     /* 2184809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184819 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2184822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184845 */     // GIR_Coverage, 18623,
     /* 2184845 */     GIR_EraseRootFromParent_Done,
     /* 2184846 */   // Label 28777: @2184846
     /* 2184846 */   GIM_Try, /*On fail goto*//*Label 28778*/ GIMT_Encode4(2184937), // Rule ID 18626 //
     /* 2184851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2184854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2184859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2184862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2184865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2184868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2184871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184897 */     // MIs[0] round
     /* 2184897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184900 */     // MIs[0] policy
     /* 2184900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184910 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2184913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184936 */     // GIR_Coverage, 18626,
     /* 2184936 */     GIR_EraseRootFromParent_Done,
     /* 2184937 */   // Label 28778: @2184937
     /* 2184937 */   GIM_Try, /*On fail goto*//*Label 28779*/ GIMT_Encode4(2185028), // Rule ID 18627 //
     /* 2184942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2184945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2184950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2184953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2184956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2184959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2184962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184988 */     // MIs[0] round
     /* 2184988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184991 */     // MIs[0] policy
     /* 2184991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185001 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2185004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185027 */     // GIR_Coverage, 18627,
     /* 2185027 */     GIR_EraseRootFromParent_Done,
     /* 2185028 */   // Label 28779: @2185028
     /* 2185028 */   GIM_Try, /*On fail goto*//*Label 28780*/ GIMT_Encode4(2185119), // Rule ID 18630 //
     /* 2185033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2185036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2185041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2185044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2185047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2185050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2185053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2185056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185079 */     // MIs[0] round
     /* 2185079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185082 */     // MIs[0] policy
     /* 2185082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185092 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2185095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185118 */     // GIR_Coverage, 18630,
     /* 2185118 */     GIR_EraseRootFromParent_Done,
     /* 2185119 */   // Label 28780: @2185119
     /* 2185119 */   GIM_Try, /*On fail goto*//*Label 28781*/ GIMT_Encode4(2185210), // Rule ID 18631 //
     /* 2185124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2185127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2185132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2185135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2185138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2185141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2185144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2185147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185170 */     // MIs[0] round
     /* 2185170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185173 */     // MIs[0] policy
     /* 2185173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185183 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2185186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185209 */     // GIR_Coverage, 18631,
     /* 2185209 */     GIR_EraseRootFromParent_Done,
     /* 2185210 */   // Label 28781: @2185210
     /* 2185210 */   GIM_Try, /*On fail goto*//*Label 28782*/ GIMT_Encode4(2185301), // Rule ID 18634 //
     /* 2185215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2185218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2185223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2185226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2185229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185261 */     // MIs[0] round
     /* 2185261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185264 */     // MIs[0] policy
     /* 2185264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185274 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2185277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185300 */     // GIR_Coverage, 18634,
     /* 2185300 */     GIR_EraseRootFromParent_Done,
     /* 2185301 */   // Label 28782: @2185301
     /* 2185301 */   GIM_Try, /*On fail goto*//*Label 28783*/ GIMT_Encode4(2185392), // Rule ID 18635 //
     /* 2185306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2185309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2185314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2185317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2185320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185352 */     // MIs[0] round
     /* 2185352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185355 */     // MIs[0] policy
     /* 2185355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185365 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2185368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185391 */     // GIR_Coverage, 18635,
     /* 2185391 */     GIR_EraseRootFromParent_Done,
     /* 2185392 */   // Label 28783: @2185392
     /* 2185392 */   GIM_Try, /*On fail goto*//*Label 28784*/ GIMT_Encode4(2185483), // Rule ID 18638 //
     /* 2185397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2185400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2185405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2185408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2185411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185443 */     // MIs[0] round
     /* 2185443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185446 */     // MIs[0] policy
     /* 2185446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185456 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2185459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185482 */     // GIR_Coverage, 18638,
     /* 2185482 */     GIR_EraseRootFromParent_Done,
     /* 2185483 */   // Label 28784: @2185483
     /* 2185483 */   GIM_Try, /*On fail goto*//*Label 28785*/ GIMT_Encode4(2185574), // Rule ID 18639 //
     /* 2185488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2185491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2185496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2185499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2185502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185534 */     // MIs[0] round
     /* 2185534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185537 */     // MIs[0] policy
     /* 2185537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185547 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2185550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185573 */     // GIR_Coverage, 18639,
     /* 2185573 */     GIR_EraseRootFromParent_Done,
     /* 2185574 */   // Label 28785: @2185574
     /* 2185574 */   GIM_Try, /*On fail goto*//*Label 28786*/ GIMT_Encode4(2185665), // Rule ID 18642 //
     /* 2185579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2185582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2185587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2185590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2185593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2185596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2185599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2185602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185625 */     // MIs[0] round
     /* 2185625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185628 */     // MIs[0] policy
     /* 2185628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185638 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2185641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185664 */     // GIR_Coverage, 18642,
     /* 2185664 */     GIR_EraseRootFromParent_Done,
     /* 2185665 */   // Label 28786: @2185665
     /* 2185665 */   GIM_Try, /*On fail goto*//*Label 28787*/ GIMT_Encode4(2185756), // Rule ID 18643 //
     /* 2185670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2185673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2185678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2185681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2185684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2185687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2185690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2185693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185716 */     // MIs[0] round
     /* 2185716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185719 */     // MIs[0] policy
     /* 2185719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185729 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2185732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185755 */     // GIR_Coverage, 18643,
     /* 2185755 */     GIR_EraseRootFromParent_Done,
     /* 2185756 */   // Label 28787: @2185756
     /* 2185756 */   GIM_Try, /*On fail goto*//*Label 28788*/ GIMT_Encode4(2185847), // Rule ID 18646 //
     /* 2185761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2185764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2185769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2185772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2185775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2185778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2185781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185807 */     // MIs[0] round
     /* 2185807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185810 */     // MIs[0] policy
     /* 2185810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185820 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2185823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2185843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185846 */     // GIR_Coverage, 18646,
     /* 2185846 */     GIR_EraseRootFromParent_Done,
     /* 2185847 */   // Label 28788: @2185847
     /* 2185847 */   GIM_Try, /*On fail goto*//*Label 28789*/ GIMT_Encode4(2185938), // Rule ID 18647 //
     /* 2185852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2185855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2185860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2185863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2185866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2185869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2185872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185898 */     // MIs[0] round
     /* 2185898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185901 */     // MIs[0] policy
     /* 2185901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185911 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2185914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2185934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185937 */     // GIR_Coverage, 18647,
     /* 2185937 */     GIR_EraseRootFromParent_Done,
     /* 2185938 */   // Label 28789: @2185938
     /* 2185938 */   GIM_Try, /*On fail goto*//*Label 28790*/ GIMT_Encode4(2186029), // Rule ID 18650 //
     /* 2185943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2185946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2185951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2185954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2185957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2185960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2185963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185989 */     // MIs[0] round
     /* 2185989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185992 */     // MIs[0] policy
     /* 2185992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186002 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2186005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2186025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186028 */     // GIR_Coverage, 18650,
     /* 2186028 */     GIR_EraseRootFromParent_Done,
     /* 2186029 */   // Label 28790: @2186029
     /* 2186029 */   GIM_Try, /*On fail goto*//*Label 28791*/ GIMT_Encode4(2186120), // Rule ID 18651 //
     /* 2186034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2186037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2186042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2186045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2186048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2186051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2186054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186080 */     // MIs[0] round
     /* 2186080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186083 */     // MIs[0] policy
     /* 2186083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186093 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2186096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2186116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186119 */     // GIR_Coverage, 18651,
     /* 2186119 */     GIR_EraseRootFromParent_Done,
     /* 2186120 */   // Label 28791: @2186120
     /* 2186120 */   GIM_Try, /*On fail goto*//*Label 28792*/ GIMT_Encode4(2186211), // Rule ID 18654 //
     /* 2186125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2186128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2186133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2186136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2186139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2186142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2186145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186171 */     // MIs[0] round
     /* 2186171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186174 */     // MIs[0] policy
     /* 2186174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186184 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2186187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2186207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186210 */     // GIR_Coverage, 18654,
     /* 2186210 */     GIR_EraseRootFromParent_Done,
     /* 2186211 */   // Label 28792: @2186211
     /* 2186211 */   GIM_Try, /*On fail goto*//*Label 28793*/ GIMT_Encode4(2186302), // Rule ID 18655 //
     /* 2186216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2186219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2186224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2186227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2186230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2186233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2186236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186262 */     // MIs[0] round
     /* 2186262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186265 */     // MIs[0] policy
     /* 2186265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186275 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2186278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2186298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186301 */     // GIR_Coverage, 18655,
     /* 2186301 */     GIR_EraseRootFromParent_Done,
     /* 2186302 */   // Label 28793: @2186302
     /* 2186302 */   GIM_Try, /*On fail goto*//*Label 28794*/ GIMT_Encode4(2186393), // Rule ID 18658 //
     /* 2186307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2186310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2186315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2186318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2186321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2186327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186353 */     // MIs[0] round
     /* 2186353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186356 */     // MIs[0] policy
     /* 2186356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186366 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2186369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186392 */     // GIR_Coverage, 18658,
     /* 2186392 */     GIR_EraseRootFromParent_Done,
     /* 2186393 */   // Label 28794: @2186393
     /* 2186393 */   GIM_Try, /*On fail goto*//*Label 28795*/ GIMT_Encode4(2186484), // Rule ID 18659 //
     /* 2186398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2186401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2186406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2186409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2186412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2186418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186444 */     // MIs[0] round
     /* 2186444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186447 */     // MIs[0] policy
     /* 2186447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186457 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2186460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186483 */     // GIR_Coverage, 18659,
     /* 2186483 */     GIR_EraseRootFromParent_Done,
     /* 2186484 */   // Label 28795: @2186484
     /* 2186484 */   GIM_Try, /*On fail goto*//*Label 28796*/ GIMT_Encode4(2186575), // Rule ID 18662 //
     /* 2186489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2186492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2186497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2186500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2186503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2186509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186535 */     // MIs[0] round
     /* 2186535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186538 */     // MIs[0] policy
     /* 2186538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186548 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2186551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186574 */     // GIR_Coverage, 18662,
     /* 2186574 */     GIR_EraseRootFromParent_Done,
     /* 2186575 */   // Label 28796: @2186575
     /* 2186575 */   GIM_Try, /*On fail goto*//*Label 28797*/ GIMT_Encode4(2186666), // Rule ID 18663 //
     /* 2186580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2186583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2186588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2186591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2186594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2186600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186626 */     // MIs[0] round
     /* 2186626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186629 */     // MIs[0] policy
     /* 2186629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186639 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2186642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186665 */     // GIR_Coverage, 18663,
     /* 2186665 */     GIR_EraseRootFromParent_Done,
     /* 2186666 */   // Label 28797: @2186666
     /* 2186666 */   GIM_Try, /*On fail goto*//*Label 28798*/ GIMT_Encode4(2186757), // Rule ID 18666 //
     /* 2186671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2186674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2186679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2186682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2186685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186717 */     // MIs[0] round
     /* 2186717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186720 */     // MIs[0] policy
     /* 2186720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186730 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2186733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186756 */     // GIR_Coverage, 18666,
     /* 2186756 */     GIR_EraseRootFromParent_Done,
     /* 2186757 */   // Label 28798: @2186757
     /* 2186757 */   GIM_Try, /*On fail goto*//*Label 28799*/ GIMT_Encode4(2186848), // Rule ID 18667 //
     /* 2186762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2186765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2186770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2186773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2186776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186808 */     // MIs[0] round
     /* 2186808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186811 */     // MIs[0] policy
     /* 2186811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186821 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2186824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186847 */     // GIR_Coverage, 18667,
     /* 2186847 */     GIR_EraseRootFromParent_Done,
     /* 2186848 */   // Label 28799: @2186848
     /* 2186848 */   GIM_Try, /*On fail goto*//*Label 28800*/ GIMT_Encode4(2186939), // Rule ID 18670 //
     /* 2186853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2186856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2186861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2186864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2186867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2186873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186899 */     // MIs[0] round
     /* 2186899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186902 */     // MIs[0] policy
     /* 2186902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186912 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2186915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186938 */     // GIR_Coverage, 18670,
     /* 2186938 */     GIR_EraseRootFromParent_Done,
     /* 2186939 */   // Label 28800: @2186939
     /* 2186939 */   GIM_Try, /*On fail goto*//*Label 28801*/ GIMT_Encode4(2187030), // Rule ID 18671 //
     /* 2186944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2186947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2186952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2186955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2186958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2186964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186990 */     // MIs[0] round
     /* 2186990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186993 */     // MIs[0] policy
     /* 2186993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187003 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2187006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187029 */     // GIR_Coverage, 18671,
     /* 2187029 */     GIR_EraseRootFromParent_Done,
     /* 2187030 */   // Label 28801: @2187030
     /* 2187030 */   GIM_Try, /*On fail goto*//*Label 28802*/ GIMT_Encode4(2187121), // Rule ID 18674 //
     /* 2187035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2187038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2187055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187081 */     // MIs[0] round
     /* 2187081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187084 */     // MIs[0] policy
     /* 2187084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187094 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2187097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187120 */     // GIR_Coverage, 18674,
     /* 2187120 */     GIR_EraseRootFromParent_Done,
     /* 2187121 */   // Label 28802: @2187121
     /* 2187121 */   GIM_Try, /*On fail goto*//*Label 28803*/ GIMT_Encode4(2187212), // Rule ID 18675 //
     /* 2187126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2187129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2187146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187172 */     // MIs[0] round
     /* 2187172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187175 */     // MIs[0] policy
     /* 2187175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187185 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2187188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187211 */     // GIR_Coverage, 18675,
     /* 2187211 */     GIR_EraseRootFromParent_Done,
     /* 2187212 */   // Label 28803: @2187212
     /* 2187212 */   GIM_Try, /*On fail goto*//*Label 28804*/ GIMT_Encode4(2187303), // Rule ID 18678 //
     /* 2187217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2187220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2187228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2187231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2187237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187263 */     // MIs[0] round
     /* 2187263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187266 */     // MIs[0] policy
     /* 2187266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187276 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2187279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2187299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187302 */     // GIR_Coverage, 18678,
     /* 2187302 */     GIR_EraseRootFromParent_Done,
     /* 2187303 */   // Label 28804: @2187303
     /* 2187303 */   GIM_Try, /*On fail goto*//*Label 28805*/ GIMT_Encode4(2187394), // Rule ID 18679 //
     /* 2187308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2187311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2187319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2187322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2187328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187354 */     // MIs[0] round
     /* 2187354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187357 */     // MIs[0] policy
     /* 2187357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187367 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2187370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2187390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187393 */     // GIR_Coverage, 18679,
     /* 2187393 */     GIR_EraseRootFromParent_Done,
     /* 2187394 */   // Label 28805: @2187394
     /* 2187394 */   GIM_Try, /*On fail goto*//*Label 28806*/ GIMT_Encode4(2187485), // Rule ID 18682 //
     /* 2187399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2187402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2187410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2187413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2187419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187445 */     // MIs[0] round
     /* 2187445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187448 */     // MIs[0] policy
     /* 2187448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187458 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2187461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187484 */     // GIR_Coverage, 18682,
     /* 2187484 */     GIR_EraseRootFromParent_Done,
     /* 2187485 */   // Label 28806: @2187485
     /* 2187485 */   GIM_Try, /*On fail goto*//*Label 28807*/ GIMT_Encode4(2187576), // Rule ID 18683 //
     /* 2187490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2187493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2187501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2187504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2187510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187536 */     // MIs[0] round
     /* 2187536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187539 */     // MIs[0] policy
     /* 2187539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187549 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2187552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187575 */     // GIR_Coverage, 18683,
     /* 2187575 */     GIR_EraseRootFromParent_Done,
     /* 2187576 */   // Label 28807: @2187576
     /* 2187576 */   GIM_Try, /*On fail goto*//*Label 28808*/ GIMT_Encode4(2187667), // Rule ID 18686 //
     /* 2187581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2187584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2187592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2187595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2187601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2187604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187627 */     // MIs[0] round
     /* 2187627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187630 */     // MIs[0] policy
     /* 2187630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187640 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2187643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187666 */     // GIR_Coverage, 18686,
     /* 2187666 */     GIR_EraseRootFromParent_Done,
     /* 2187667 */   // Label 28808: @2187667
     /* 2187667 */   GIM_Try, /*On fail goto*//*Label 28809*/ GIMT_Encode4(2187758), // Rule ID 18687 //
     /* 2187672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2187675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2187683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2187686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2187692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2187695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187718 */     // MIs[0] round
     /* 2187718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187721 */     // MIs[0] policy
     /* 2187721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187731 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2187734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187757 */     // GIR_Coverage, 18687,
     /* 2187757 */     GIR_EraseRootFromParent_Done,
     /* 2187758 */   // Label 28809: @2187758
     /* 2187758 */   GIM_Try, /*On fail goto*//*Label 28810*/ GIMT_Encode4(2187849), // Rule ID 18690 //
     /* 2187763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2187766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2187774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2187777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2187783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2187786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187809 */     // MIs[0] round
     /* 2187809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187812 */     // MIs[0] policy
     /* 2187812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187822 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2187825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187848 */     // GIR_Coverage, 18690,
     /* 2187848 */     GIR_EraseRootFromParent_Done,
     /* 2187849 */   // Label 28810: @2187849
     /* 2187849 */   GIM_Try, /*On fail goto*//*Label 28811*/ GIMT_Encode4(2187940), // Rule ID 18691 //
     /* 2187854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2187857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2187865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2187868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2187874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2187877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187900 */     // MIs[0] round
     /* 2187900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187903 */     // MIs[0] policy
     /* 2187903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187913 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2187916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187939 */     // GIR_Coverage, 18691,
     /* 2187939 */     GIR_EraseRootFromParent_Done,
     /* 2187940 */   // Label 28811: @2187940
     /* 2187940 */   GIM_Try, /*On fail goto*//*Label 28812*/ GIMT_Encode4(2188031), // Rule ID 18694 //
     /* 2187945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2187948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2187965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187991 */     // MIs[0] round
     /* 2187991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187994 */     // MIs[0] policy
     /* 2187994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188004 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2188007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188030 */     // GIR_Coverage, 18694,
     /* 2188030 */     GIR_EraseRootFromParent_Done,
     /* 2188031 */   // Label 28812: @2188031
     /* 2188031 */   GIM_Try, /*On fail goto*//*Label 28813*/ GIMT_Encode4(2188122), // Rule ID 18695 //
     /* 2188036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2188039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2188047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2188050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188082 */     // MIs[0] round
     /* 2188082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188085 */     // MIs[0] policy
     /* 2188085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188095 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2188098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188121 */     // GIR_Coverage, 18695,
     /* 2188121 */     GIR_EraseRootFromParent_Done,
     /* 2188122 */   // Label 28813: @2188122
     /* 2188122 */   GIM_Try, /*On fail goto*//*Label 28814*/ GIMT_Encode4(2188213), // Rule ID 18698 //
     /* 2188127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2188130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2188138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2188141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2188147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188173 */     // MIs[0] round
     /* 2188173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188176 */     // MIs[0] policy
     /* 2188176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188186 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2188189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188212 */     // GIR_Coverage, 18698,
     /* 2188212 */     GIR_EraseRootFromParent_Done,
     /* 2188213 */   // Label 28814: @2188213
     /* 2188213 */   GIM_Try, /*On fail goto*//*Label 28815*/ GIMT_Encode4(2188304), // Rule ID 18699 //
     /* 2188218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2188221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2188229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2188232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2188238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188264 */     // MIs[0] round
     /* 2188264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188267 */     // MIs[0] policy
     /* 2188267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188277 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2188280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188303 */     // GIR_Coverage, 18699,
     /* 2188303 */     GIR_EraseRootFromParent_Done,
     /* 2188304 */   // Label 28815: @2188304
     /* 2188304 */   GIM_Try, /*On fail goto*//*Label 28816*/ GIMT_Encode4(2188395), // Rule ID 18702 //
     /* 2188309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2188312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2188320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2188323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2188329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2188332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188355 */     // MIs[0] round
     /* 2188355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188358 */     // MIs[0] policy
     /* 2188358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188368 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2188371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188394 */     // GIR_Coverage, 18702,
     /* 2188394 */     GIR_EraseRootFromParent_Done,
     /* 2188395 */   // Label 28816: @2188395
     /* 2188395 */   GIM_Try, /*On fail goto*//*Label 28817*/ GIMT_Encode4(2188486), // Rule ID 18703 //
     /* 2188400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2188403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2188411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2188414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2188420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2188423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188446 */     // MIs[0] round
     /* 2188446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188449 */     // MIs[0] policy
     /* 2188449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188459 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2188462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188485 */     // GIR_Coverage, 18703,
     /* 2188485 */     GIR_EraseRootFromParent_Done,
     /* 2188486 */   // Label 28817: @2188486
     /* 2188486 */   GIM_Try, /*On fail goto*//*Label 28818*/ GIMT_Encode4(2188577), // Rule ID 18706 //
     /* 2188491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2188494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2188508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2188511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188537 */     // MIs[0] round
     /* 2188537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188540 */     // MIs[0] policy
     /* 2188540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188550 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2188553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188576 */     // GIR_Coverage, 18706,
     /* 2188576 */     GIR_EraseRootFromParent_Done,
     /* 2188577 */   // Label 28818: @2188577
     /* 2188577 */   GIM_Try, /*On fail goto*//*Label 28819*/ GIMT_Encode4(2188668), // Rule ID 18707 //
     /* 2188582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2188585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2188599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2188602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188628 */     // MIs[0] round
     /* 2188628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188631 */     // MIs[0] policy
     /* 2188631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188641 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2188644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188667 */     // GIR_Coverage, 18707,
     /* 2188667 */     GIR_EraseRootFromParent_Done,
     /* 2188668 */   // Label 28819: @2188668
     /* 2188668 */   GIM_Try, /*On fail goto*//*Label 28820*/ GIMT_Encode4(2188759), // Rule ID 18710 //
     /* 2188673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2188676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2188690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2188693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188719 */     // MIs[0] round
     /* 2188719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188722 */     // MIs[0] policy
     /* 2188722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188732 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2188735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188758 */     // GIR_Coverage, 18710,
     /* 2188758 */     GIR_EraseRootFromParent_Done,
     /* 2188759 */   // Label 28820: @2188759
     /* 2188759 */   GIM_Try, /*On fail goto*//*Label 28821*/ GIMT_Encode4(2188850), // Rule ID 18711 //
     /* 2188764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2188767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2188781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2188784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188810 */     // MIs[0] round
     /* 2188810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188813 */     // MIs[0] policy
     /* 2188813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188823 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2188826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188849 */     // GIR_Coverage, 18711,
     /* 2188849 */     GIR_EraseRootFromParent_Done,
     /* 2188850 */   // Label 28821: @2188850
     /* 2188850 */   GIM_Try, /*On fail goto*//*Label 28822*/ GIMT_Encode4(2188941), // Rule ID 18714 //
     /* 2188855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2188858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2188866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2188869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2188872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2188875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188901 */     // MIs[0] round
     /* 2188901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188904 */     // MIs[0] policy
     /* 2188904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188914 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2188917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188940 */     // GIR_Coverage, 18714,
     /* 2188940 */     GIR_EraseRootFromParent_Done,
     /* 2188941 */   // Label 28822: @2188941
     /* 2188941 */   GIM_Try, /*On fail goto*//*Label 28823*/ GIMT_Encode4(2189032), // Rule ID 18715 //
     /* 2188946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2188949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2188957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2188960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2188963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2188966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188992 */     // MIs[0] round
     /* 2188992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188995 */     // MIs[0] policy
     /* 2188995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189005 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2189008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2189028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189031 */     // GIR_Coverage, 18715,
     /* 2189031 */     GIR_EraseRootFromParent_Done,
     /* 2189032 */   // Label 28823: @2189032
     /* 2189032 */   GIM_Try, /*On fail goto*//*Label 28824*/ GIMT_Encode4(2189123), // Rule ID 18718 //
     /* 2189037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2189045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2189048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2189051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2189054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2189057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189083 */     // MIs[0] round
     /* 2189083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189086 */     // MIs[0] policy
     /* 2189086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189096 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2189099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189122 */     // GIR_Coverage, 18718,
     /* 2189122 */     GIR_EraseRootFromParent_Done,
     /* 2189123 */   // Label 28824: @2189123
     /* 2189123 */   GIM_Try, /*On fail goto*//*Label 28825*/ GIMT_Encode4(2189214), // Rule ID 18719 //
     /* 2189128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2189136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2189139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2189142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2189145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2189148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189174 */     // MIs[0] round
     /* 2189174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189177 */     // MIs[0] policy
     /* 2189177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189187 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2189190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189213 */     // GIR_Coverage, 18719,
     /* 2189213 */     GIR_EraseRootFromParent_Done,
     /* 2189214 */   // Label 28825: @2189214
     /* 2189214 */   GIM_Try, /*On fail goto*//*Label 28826*/ GIMT_Encode4(2189305), // Rule ID 18722 //
     /* 2189219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2189227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2189230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2189233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2189236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2189239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189265 */     // MIs[0] round
     /* 2189265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189268 */     // MIs[0] policy
     /* 2189268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189278 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2189281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189304 */     // GIR_Coverage, 18722,
     /* 2189304 */     GIR_EraseRootFromParent_Done,
     /* 2189305 */   // Label 28826: @2189305
     /* 2189305 */   GIM_Try, /*On fail goto*//*Label 28827*/ GIMT_Encode4(2189396), // Rule ID 18723 //
     /* 2189310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2189318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2189321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2189324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2189327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2189330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189356 */     // MIs[0] round
     /* 2189356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189359 */     // MIs[0] policy
     /* 2189359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189369 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2189372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189395 */     // GIR_Coverage, 18723,
     /* 2189395 */     GIR_EraseRootFromParent_Done,
     /* 2189396 */   // Label 28827: @2189396
     /* 2189396 */   GIM_Try, /*On fail goto*//*Label 28828*/ GIMT_Encode4(2189487), // Rule ID 18726 //
     /* 2189401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2189409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2189418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2189421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189447 */     // MIs[0] round
     /* 2189447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189450 */     // MIs[0] policy
     /* 2189450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189460 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2189463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189486 */     // GIR_Coverage, 18726,
     /* 2189486 */     GIR_EraseRootFromParent_Done,
     /* 2189487 */   // Label 28828: @2189487
     /* 2189487 */   GIM_Try, /*On fail goto*//*Label 28829*/ GIMT_Encode4(2189578), // Rule ID 18727 //
     /* 2189492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2189500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2189509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2189512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189538 */     // MIs[0] round
     /* 2189538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189541 */     // MIs[0] policy
     /* 2189541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189551 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2189554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189577 */     // GIR_Coverage, 18727,
     /* 2189577 */     GIR_EraseRootFromParent_Done,
     /* 2189578 */   // Label 28829: @2189578
     /* 2189578 */   GIM_Try, /*On fail goto*//*Label 28830*/ GIMT_Encode4(2189669), // Rule ID 18730 //
     /* 2189583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2189591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2189600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2189603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189629 */     // MIs[0] round
     /* 2189629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189632 */     // MIs[0] policy
     /* 2189632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189642 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2189645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189668 */     // GIR_Coverage, 18730,
     /* 2189668 */     GIR_EraseRootFromParent_Done,
     /* 2189669 */   // Label 28830: @2189669
     /* 2189669 */   GIM_Try, /*On fail goto*//*Label 28831*/ GIMT_Encode4(2189760), // Rule ID 18731 //
     /* 2189674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2189682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2189691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2189694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189720 */     // MIs[0] round
     /* 2189720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189723 */     // MIs[0] policy
     /* 2189723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189733 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2189736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189759 */     // GIR_Coverage, 18731,
     /* 2189759 */     GIR_EraseRootFromParent_Done,
     /* 2189760 */   // Label 28831: @2189760
     /* 2189760 */   GIM_Try, /*On fail goto*//*Label 28832*/ GIMT_Encode4(2189851), // Rule ID 18734 //
     /* 2189765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2189773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2189782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189811 */     // MIs[0] round
     /* 2189811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189814 */     // MIs[0] policy
     /* 2189814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189824 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2189827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189850 */     // GIR_Coverage, 18734,
     /* 2189850 */     GIR_EraseRootFromParent_Done,
     /* 2189851 */   // Label 28832: @2189851
     /* 2189851 */   GIM_Try, /*On fail goto*//*Label 28833*/ GIMT_Encode4(2189942), // Rule ID 18735 //
     /* 2189856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2189864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2189873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189902 */     // MIs[0] round
     /* 2189902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189905 */     // MIs[0] policy
     /* 2189905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189915 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2189918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189941 */     // GIR_Coverage, 18735,
     /* 2189941 */     GIR_EraseRootFromParent_Done,
     /* 2189942 */   // Label 28833: @2189942
     /* 2189942 */   GIM_Try, /*On fail goto*//*Label 28834*/ GIMT_Encode4(2190033), // Rule ID 18738 //
     /* 2189947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2189950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2189955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2189958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2189961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2189964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2189967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189993 */     // MIs[0] round
     /* 2189993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189996 */     // MIs[0] policy
     /* 2189996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190006 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2190009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190032 */     // GIR_Coverage, 18738,
     /* 2190032 */     GIR_EraseRootFromParent_Done,
     /* 2190033 */   // Label 28834: @2190033
     /* 2190033 */   GIM_Try, /*On fail goto*//*Label 28835*/ GIMT_Encode4(2190124), // Rule ID 18739 //
     /* 2190038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2190046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2190049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2190052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2190055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2190058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190084 */     // MIs[0] round
     /* 2190084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190087 */     // MIs[0] policy
     /* 2190087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190097 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2190100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190123 */     // GIR_Coverage, 18739,
     /* 2190123 */     GIR_EraseRootFromParent_Done,
     /* 2190124 */   // Label 28835: @2190124
     /* 2190124 */   GIM_Try, /*On fail goto*//*Label 28836*/ GIMT_Encode4(2190215), // Rule ID 18742 //
     /* 2190129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2190137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2190140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2190143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2190146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2190149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190175 */     // MIs[0] round
     /* 2190175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190178 */     // MIs[0] policy
     /* 2190178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190188 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2190191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190214 */     // GIR_Coverage, 18742,
     /* 2190214 */     GIR_EraseRootFromParent_Done,
     /* 2190215 */   // Label 28836: @2190215
     /* 2190215 */   GIM_Try, /*On fail goto*//*Label 28837*/ GIMT_Encode4(2190306), // Rule ID 18743 //
     /* 2190220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2190228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2190231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2190234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2190237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2190240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190266 */     // MIs[0] round
     /* 2190266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190269 */     // MIs[0] policy
     /* 2190269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190279 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2190282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190305 */     // GIR_Coverage, 18743,
     /* 2190305 */     GIR_EraseRootFromParent_Done,
     /* 2190306 */   // Label 28837: @2190306
     /* 2190306 */   GIM_Try, /*On fail goto*//*Label 28838*/ GIMT_Encode4(2190397), // Rule ID 18746 //
     /* 2190311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2190319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2190328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2190331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190357 */     // MIs[0] round
     /* 2190357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190360 */     // MIs[0] policy
     /* 2190360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190370 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2190373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190396 */     // GIR_Coverage, 18746,
     /* 2190396 */     GIR_EraseRootFromParent_Done,
     /* 2190397 */   // Label 28838: @2190397
     /* 2190397 */   GIM_Try, /*On fail goto*//*Label 28839*/ GIMT_Encode4(2190488), // Rule ID 18747 //
     /* 2190402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2190410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2190419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2190422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190448 */     // MIs[0] round
     /* 2190448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190451 */     // MIs[0] policy
     /* 2190451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190461 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2190464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190487 */     // GIR_Coverage, 18747,
     /* 2190487 */     GIR_EraseRootFromParent_Done,
     /* 2190488 */   // Label 28839: @2190488
     /* 2190488 */   GIM_Try, /*On fail goto*//*Label 28840*/ GIMT_Encode4(2190579), // Rule ID 18750 //
     /* 2190493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2190501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2190510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2190513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190539 */     // MIs[0] round
     /* 2190539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190542 */     // MIs[0] policy
     /* 2190542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190552 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2190555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190578 */     // GIR_Coverage, 18750,
     /* 2190578 */     GIR_EraseRootFromParent_Done,
     /* 2190579 */   // Label 28840: @2190579
     /* 2190579 */   GIM_Try, /*On fail goto*//*Label 28841*/ GIMT_Encode4(2190670), // Rule ID 18751 //
     /* 2190584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2190592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2190601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2190604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190630 */     // MIs[0] round
     /* 2190630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190633 */     // MIs[0] policy
     /* 2190633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190643 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2190646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190669 */     // GIR_Coverage, 18751,
     /* 2190669 */     GIR_EraseRootFromParent_Done,
     /* 2190670 */   // Label 28841: @2190670
     /* 2190670 */   GIM_Try, /*On fail goto*//*Label 28842*/ GIMT_Encode4(2190761), // Rule ID 18754 //
     /* 2190675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2190678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2190683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2190686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2190689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2190695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190721 */     // MIs[0] round
     /* 2190721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190724 */     // MIs[0] policy
     /* 2190724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190734 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2190737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190760 */     // GIR_Coverage, 18754,
     /* 2190760 */     GIR_EraseRootFromParent_Done,
     /* 2190761 */   // Label 28842: @2190761
     /* 2190761 */   GIM_Try, /*On fail goto*//*Label 28843*/ GIMT_Encode4(2190852), // Rule ID 18755 //
     /* 2190766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2190769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2190774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2190777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2190780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2190786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190812 */     // MIs[0] round
     /* 2190812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190815 */     // MIs[0] policy
     /* 2190815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190825 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2190828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190851 */     // GIR_Coverage, 18755,
     /* 2190851 */     GIR_EraseRootFromParent_Done,
     /* 2190852 */   // Label 28843: @2190852
     /* 2190852 */   GIM_Try, /*On fail goto*//*Label 28844*/ GIMT_Encode4(2190943), // Rule ID 18758 //
     /* 2190857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2190860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2190865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2190868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2190871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2190877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190903 */     // MIs[0] round
     /* 2190903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190906 */     // MIs[0] policy
     /* 2190906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190916 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2190919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190942 */     // GIR_Coverage, 18758,
     /* 2190942 */     GIR_EraseRootFromParent_Done,
     /* 2190943 */   // Label 28844: @2190943
     /* 2190943 */   GIM_Try, /*On fail goto*//*Label 28845*/ GIMT_Encode4(2191034), // Rule ID 18759 //
     /* 2190948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2190951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2190956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2190959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2190962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2190968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190994 */     // MIs[0] round
     /* 2190994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190997 */     // MIs[0] policy
     /* 2190997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191007 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2191010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191033 */     // GIR_Coverage, 18759,
     /* 2191033 */     GIR_EraseRootFromParent_Done,
     /* 2191034 */   // Label 28845: @2191034
     /* 2191034 */   GIM_Try, /*On fail goto*//*Label 28846*/ GIMT_Encode4(2191125), // Rule ID 18762 //
     /* 2191039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2191042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2191047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2191050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2191053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2191056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2191059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2191077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191085 */     // MIs[0] round
     /* 2191085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191088 */     // MIs[0] policy
     /* 2191088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191098 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2191101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191124 */     // GIR_Coverage, 18762,
     /* 2191124 */     GIR_EraseRootFromParent_Done,
     /* 2191125 */   // Label 28846: @2191125
     /* 2191125 */   GIM_Try, /*On fail goto*//*Label 28847*/ GIMT_Encode4(2191216), // Rule ID 18763 //
     /* 2191130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2191133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2191138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2191141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2191144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2191147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2191150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2191168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191176 */     // MIs[0] round
     /* 2191176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191179 */     // MIs[0] policy
     /* 2191179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191189 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2191192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191215 */     // GIR_Coverage, 18763,
     /* 2191215 */     GIR_EraseRootFromParent_Done,
     /* 2191216 */   // Label 28847: @2191216
     /* 2191216 */   GIM_Try, /*On fail goto*//*Label 28848*/ GIMT_Encode4(2191307), // Rule ID 18766 //
     /* 2191221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2191224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2191229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2191232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2191235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2191238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2191241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2191251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2191259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191267 */     // MIs[0] round
     /* 2191267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191270 */     // MIs[0] policy
     /* 2191270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191280 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2191283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191306 */     // GIR_Coverage, 18766,
     /* 2191306 */     GIR_EraseRootFromParent_Done,
     /* 2191307 */   // Label 28848: @2191307
     /* 2191307 */   GIM_Try, /*On fail goto*//*Label 28849*/ GIMT_Encode4(2191398), // Rule ID 18767 //
     /* 2191312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2191315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2191320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2191323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2191326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2191329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2191332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2191342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2191350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191358 */     // MIs[0] round
     /* 2191358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191361 */     // MIs[0] policy
     /* 2191361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191371 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2191374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191397 */     // GIR_Coverage, 18767,
     /* 2191397 */     GIR_EraseRootFromParent_Done,
     /* 2191398 */   // Label 28849: @2191398
     /* 2191398 */   GIM_Try, /*On fail goto*//*Label 28850*/ GIMT_Encode4(2191489), // Rule ID 18770 //
     /* 2191403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2191406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2191411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2191414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2191417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2191420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2191423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2191433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2191441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191449 */     // MIs[0] round
     /* 2191449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191452 */     // MIs[0] policy
     /* 2191452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191462 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2191465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191488 */     // GIR_Coverage, 18770,
     /* 2191488 */     GIR_EraseRootFromParent_Done,
     /* 2191489 */   // Label 28850: @2191489
     /* 2191489 */   GIM_Try, /*On fail goto*//*Label 28851*/ GIMT_Encode4(2191580), // Rule ID 18771 //
     /* 2191494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2191497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2191502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2191505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2191508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2191511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2191514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2191524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2191532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191540 */     // MIs[0] round
     /* 2191540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191543 */     // MIs[0] policy
     /* 2191543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191553 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2191556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191579 */     // GIR_Coverage, 18771,
     /* 2191579 */     GIR_EraseRootFromParent_Done,
     /* 2191580 */   // Label 28851: @2191580
     /* 2191580 */   GIM_Try, /*On fail goto*//*Label 28852*/ GIMT_Encode4(2191671), // Rule ID 18774 //
     /* 2191585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2191588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2191593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2191596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2191599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2191605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191631 */     // MIs[0] round
     /* 2191631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191634 */     // MIs[0] policy
     /* 2191634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191644 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2191647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191670 */     // GIR_Coverage, 18774,
     /* 2191670 */     GIR_EraseRootFromParent_Done,
     /* 2191671 */   // Label 28852: @2191671
     /* 2191671 */   GIM_Try, /*On fail goto*//*Label 28853*/ GIMT_Encode4(2191762), // Rule ID 18775 //
     /* 2191676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2191679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2191684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2191687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2191690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2191696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191722 */     // MIs[0] round
     /* 2191722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191725 */     // MIs[0] policy
     /* 2191725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191735 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2191738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191761 */     // GIR_Coverage, 18775,
     /* 2191761 */     GIR_EraseRootFromParent_Done,
     /* 2191762 */   // Label 28853: @2191762
     /* 2191762 */   GIM_Try, /*On fail goto*//*Label 28854*/ GIMT_Encode4(2191853), // Rule ID 18778 //
     /* 2191767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2191770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2191775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2191778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2191781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2191787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191813 */     // MIs[0] round
     /* 2191813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191816 */     // MIs[0] policy
     /* 2191816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191826 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2191829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191852 */     // GIR_Coverage, 18778,
     /* 2191852 */     GIR_EraseRootFromParent_Done,
     /* 2191853 */   // Label 28854: @2191853
     /* 2191853 */   GIM_Try, /*On fail goto*//*Label 28855*/ GIMT_Encode4(2191944), // Rule ID 18779 //
     /* 2191858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2191861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2191866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2191869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2191872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2191878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191904 */     // MIs[0] round
     /* 2191904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191907 */     // MIs[0] policy
     /* 2191907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191917 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2191920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191943 */     // GIR_Coverage, 18779,
     /* 2191943 */     GIR_EraseRootFromParent_Done,
     /* 2191944 */   // Label 28855: @2191944
     /* 2191944 */   GIM_Try, /*On fail goto*//*Label 28856*/ GIMT_Encode4(2192035), // Rule ID 18782 //
     /* 2191949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2191952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2191957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2191960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2191963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2191969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2191979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191995 */     // MIs[0] round
     /* 2191995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191998 */     // MIs[0] policy
     /* 2191998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192008 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2192011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192034 */     // GIR_Coverage, 18782,
     /* 2192034 */     GIR_EraseRootFromParent_Done,
     /* 2192035 */   // Label 28856: @2192035
     /* 2192035 */   GIM_Try, /*On fail goto*//*Label 28857*/ GIMT_Encode4(2192126), // Rule ID 18783 //
     /* 2192040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2192043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2192048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2192051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2192054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2192060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192086 */     // MIs[0] round
     /* 2192086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192089 */     // MIs[0] policy
     /* 2192089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192099 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2192102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192125 */     // GIR_Coverage, 18783,
     /* 2192125 */     GIR_EraseRootFromParent_Done,
     /* 2192126 */   // Label 28857: @2192126
     /* 2192126 */   GIM_Try, /*On fail goto*//*Label 28858*/ GIMT_Encode4(2192217), // Rule ID 18786 //
     /* 2192131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2192134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2192139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2192142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2192145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2192151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2192161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192177 */     // MIs[0] round
     /* 2192177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192180 */     // MIs[0] policy
     /* 2192180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192190 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2192193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192216 */     // GIR_Coverage, 18786,
     /* 2192216 */     GIR_EraseRootFromParent_Done,
     /* 2192217 */   // Label 28858: @2192217
     /* 2192217 */   GIM_Try, /*On fail goto*//*Label 28859*/ GIMT_Encode4(2192308), // Rule ID 18787 //
     /* 2192222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2192225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2192230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2192233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2192236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2192242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2192252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192268 */     // MIs[0] round
     /* 2192268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192271 */     // MIs[0] policy
     /* 2192271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192281 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2192284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192307 */     // GIR_Coverage, 18787,
     /* 2192307 */     GIR_EraseRootFromParent_Done,
     /* 2192308 */   // Label 28859: @2192308
     /* 2192308 */   GIM_Try, /*On fail goto*//*Label 28860*/ GIMT_Encode4(2192399), // Rule ID 18790 //
     /* 2192313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2192316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2192321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2192324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2192327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2192330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2192333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2192336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192359 */     // MIs[0] round
     /* 2192359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192362 */     // MIs[0] policy
     /* 2192362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192372 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2192375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192398 */     // GIR_Coverage, 18790,
     /* 2192398 */     GIR_EraseRootFromParent_Done,
     /* 2192399 */   // Label 28860: @2192399
     /* 2192399 */   GIM_Try, /*On fail goto*//*Label 28861*/ GIMT_Encode4(2192490), // Rule ID 18791 //
     /* 2192404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2192407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2192412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2192415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2192418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2192421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2192424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2192427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192450 */     // MIs[0] round
     /* 2192450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192453 */     // MIs[0] policy
     /* 2192453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192463 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2192466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192489 */     // GIR_Coverage, 18791,
     /* 2192489 */     GIR_EraseRootFromParent_Done,
     /* 2192490 */   // Label 28861: @2192490
     /* 2192490 */   GIM_Try, /*On fail goto*//*Label 28862*/ GIMT_Encode4(2192581), // Rule ID 18794 //
     /* 2192495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2192498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2192503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2192506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2192509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2192512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2192515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2192518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192541 */     // MIs[0] round
     /* 2192541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192544 */     // MIs[0] policy
     /* 2192544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192554 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2192557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192580 */     // GIR_Coverage, 18794,
     /* 2192580 */     GIR_EraseRootFromParent_Done,
     /* 2192581 */   // Label 28862: @2192581
     /* 2192581 */   GIM_Try, /*On fail goto*//*Label 28863*/ GIMT_Encode4(2192672), // Rule ID 18795 //
     /* 2192586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2192589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2192594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2192597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2192600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2192603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2192606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2192609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192632 */     // MIs[0] round
     /* 2192632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192635 */     // MIs[0] policy
     /* 2192635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192645 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2192648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192671 */     // GIR_Coverage, 18795,
     /* 2192671 */     GIR_EraseRootFromParent_Done,
     /* 2192672 */   // Label 28863: @2192672
     /* 2192672 */   GIM_Try, /*On fail goto*//*Label 28864*/ GIMT_Encode4(2192763), // Rule ID 18798 //
     /* 2192677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2192680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2192685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2192688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2192691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2192694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2192697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192723 */     // MIs[0] round
     /* 2192723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192726 */     // MIs[0] policy
     /* 2192726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192736 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2192739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192762 */     // GIR_Coverage, 18798,
     /* 2192762 */     GIR_EraseRootFromParent_Done,
     /* 2192763 */   // Label 28864: @2192763
     /* 2192763 */   GIM_Try, /*On fail goto*//*Label 28865*/ GIMT_Encode4(2192854), // Rule ID 18799 //
     /* 2192768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2192771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2192776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2192779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2192782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2192785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2192788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192814 */     // MIs[0] round
     /* 2192814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192817 */     // MIs[0] policy
     /* 2192817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192827 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2192830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192853 */     // GIR_Coverage, 18799,
     /* 2192853 */     GIR_EraseRootFromParent_Done,
     /* 2192854 */   // Label 28865: @2192854
     /* 2192854 */   GIM_Try, /*On fail goto*//*Label 28866*/ GIMT_Encode4(2192945), // Rule ID 18802 //
     /* 2192859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2192862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2192867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2192870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2192873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2192876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2192879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192905 */     // MIs[0] round
     /* 2192905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192908 */     // MIs[0] policy
     /* 2192908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192918 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2192921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192944 */     // GIR_Coverage, 18802,
     /* 2192944 */     GIR_EraseRootFromParent_Done,
     /* 2192945 */   // Label 28866: @2192945
     /* 2192945 */   GIM_Try, /*On fail goto*//*Label 28867*/ GIMT_Encode4(2193036), // Rule ID 18803 //
     /* 2192950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2192953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2192958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2192961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2192964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2192967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2192970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192996 */     // MIs[0] round
     /* 2192996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192999 */     // MIs[0] policy
     /* 2192999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193009 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2193012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193035 */     // GIR_Coverage, 18803,
     /* 2193035 */     GIR_EraseRootFromParent_Done,
     /* 2193036 */   // Label 28867: @2193036
     /* 2193036 */   GIM_Try, /*On fail goto*//*Label 28868*/ GIMT_Encode4(2193127), // Rule ID 18806 //
     /* 2193041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2193044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2193049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2193052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2193055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2193058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2193061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2193064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193087 */     // MIs[0] round
     /* 2193087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193090 */     // MIs[0] policy
     /* 2193090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193100 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2193103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193126 */     // GIR_Coverage, 18806,
     /* 2193126 */     GIR_EraseRootFromParent_Done,
     /* 2193127 */   // Label 28868: @2193127
     /* 2193127 */   GIM_Try, /*On fail goto*//*Label 28869*/ GIMT_Encode4(2193218), // Rule ID 18807 //
     /* 2193132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2193135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2193140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2193143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2193146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2193149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2193152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2193155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193178 */     // MIs[0] round
     /* 2193178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193181 */     // MIs[0] policy
     /* 2193181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193191 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2193194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193217 */     // GIR_Coverage, 18807,
     /* 2193217 */     GIR_EraseRootFromParent_Done,
     /* 2193218 */   // Label 28869: @2193218
     /* 2193218 */   GIM_Try, /*On fail goto*//*Label 28870*/ GIMT_Encode4(2193309), // Rule ID 18810 //
     /* 2193223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2193226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2193231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2193234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2193237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2193240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2193243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2193246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193269 */     // MIs[0] round
     /* 2193269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193272 */     // MIs[0] policy
     /* 2193272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193282 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2193285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193308 */     // GIR_Coverage, 18810,
     /* 2193308 */     GIR_EraseRootFromParent_Done,
     /* 2193309 */   // Label 28870: @2193309
     /* 2193309 */   GIM_Try, /*On fail goto*//*Label 28871*/ GIMT_Encode4(2193400), // Rule ID 18811 //
     /* 2193314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2193317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2193322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2193325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2193328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2193331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2193334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2193337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193360 */     // MIs[0] round
     /* 2193360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193363 */     // MIs[0] policy
     /* 2193363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193373 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2193376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193399 */     // GIR_Coverage, 18811,
     /* 2193399 */     GIR_EraseRootFromParent_Done,
     /* 2193400 */   // Label 28871: @2193400
     /* 2193400 */   GIM_Try, /*On fail goto*//*Label 28872*/ GIMT_Encode4(2193491), // Rule ID 18814 //
     /* 2193405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2193408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2193413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2193416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2193419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2193422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2193425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2193428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2193435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193451 */     // MIs[0] round
     /* 2193451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193454 */     // MIs[0] policy
     /* 2193454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193464 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2193467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193490 */     // GIR_Coverage, 18814,
     /* 2193490 */     GIR_EraseRootFromParent_Done,
     /* 2193491 */   // Label 28872: @2193491
     /* 2193491 */   GIM_Try, /*On fail goto*//*Label 28873*/ GIMT_Encode4(2193582), // Rule ID 18815 //
     /* 2193496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2193499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2193504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2193507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2193510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2193513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2193516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2193519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2193526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193542 */     // MIs[0] round
     /* 2193542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193545 */     // MIs[0] policy
     /* 2193545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193555 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2193558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193581 */     // GIR_Coverage, 18815,
     /* 2193581 */     GIR_EraseRootFromParent_Done,
     /* 2193582 */   // Label 28873: @2193582
     /* 2193582 */   GIM_Try, /*On fail goto*//*Label 28874*/ GIMT_Encode4(2193673), // Rule ID 18818 //
     /* 2193587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2193590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2193595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2193598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2193601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2193604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2193607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2193610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2193617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193633 */     // MIs[0] round
     /* 2193633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193636 */     // MIs[0] policy
     /* 2193636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193646 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2193649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193672 */     // GIR_Coverage, 18818,
     /* 2193672 */     GIR_EraseRootFromParent_Done,
     /* 2193673 */   // Label 28874: @2193673
     /* 2193673 */   GIM_Try, /*On fail goto*//*Label 28875*/ GIMT_Encode4(2193764), // Rule ID 18819 //
     /* 2193678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2193681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2193686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2193689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2193692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2193695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2193698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2193701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2193708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193724 */     // MIs[0] round
     /* 2193724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193727 */     // MIs[0] policy
     /* 2193727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193737 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2193740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193763 */     // GIR_Coverage, 18819,
     /* 2193763 */     GIR_EraseRootFromParent_Done,
     /* 2193764 */   // Label 28875: @2193764
     /* 2193764 */   GIM_Try, /*On fail goto*//*Label 28876*/ GIMT_Encode4(2193855), // Rule ID 18822 //
     /* 2193769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2193772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2193777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2193780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2193783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2193786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2193789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193815 */     // MIs[0] round
     /* 2193815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193818 */     // MIs[0] policy
     /* 2193818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193828 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2193831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193854 */     // GIR_Coverage, 18822,
     /* 2193854 */     GIR_EraseRootFromParent_Done,
     /* 2193855 */   // Label 28876: @2193855
     /* 2193855 */   GIM_Try, /*On fail goto*//*Label 28877*/ GIMT_Encode4(2193946), // Rule ID 18823 //
     /* 2193860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2193863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2193868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2193871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2193874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2193877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2193880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193906 */     // MIs[0] round
     /* 2193906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193909 */     // MIs[0] policy
     /* 2193909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193919 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2193922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193945 */     // GIR_Coverage, 18823,
     /* 2193945 */     GIR_EraseRootFromParent_Done,
     /* 2193946 */   // Label 28877: @2193946
     /* 2193946 */   GIM_Try, /*On fail goto*//*Label 28878*/ GIMT_Encode4(2194037), // Rule ID 18826 //
     /* 2193951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2193954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2193959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2193962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2193965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2193968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2193971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2193974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2193989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193997 */     // MIs[0] round
     /* 2193997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194000 */     // MIs[0] policy
     /* 2194000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194010 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2194013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194036 */     // GIR_Coverage, 18826,
     /* 2194036 */     GIR_EraseRootFromParent_Done,
     /* 2194037 */   // Label 28878: @2194037
     /* 2194037 */   GIM_Try, /*On fail goto*//*Label 28879*/ GIMT_Encode4(2194128), // Rule ID 18827 //
     /* 2194042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2194045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2194050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2194053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2194056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2194059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2194062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194088 */     // MIs[0] round
     /* 2194088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194091 */     // MIs[0] policy
     /* 2194091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194101 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2194104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194127 */     // GIR_Coverage, 18827,
     /* 2194127 */     GIR_EraseRootFromParent_Done,
     /* 2194128 */   // Label 28879: @2194128
     /* 2194128 */   GIM_Try, /*On fail goto*//*Label 28880*/ GIMT_Encode4(2194219), // Rule ID 18830 //
     /* 2194133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2194136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2194141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2194144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2194147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2194150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2194153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2194156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194179 */     // MIs[0] round
     /* 2194179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194182 */     // MIs[0] policy
     /* 2194182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194192 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2194195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194218 */     // GIR_Coverage, 18830,
     /* 2194218 */     GIR_EraseRootFromParent_Done,
     /* 2194219 */   // Label 28880: @2194219
     /* 2194219 */   GIM_Try, /*On fail goto*//*Label 28881*/ GIMT_Encode4(2194310), // Rule ID 18831 //
     /* 2194224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2194227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2194232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2194235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2194238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2194241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2194244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2194247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194270 */     // MIs[0] round
     /* 2194270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194273 */     // MIs[0] policy
     /* 2194273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194283 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2194286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194309 */     // GIR_Coverage, 18831,
     /* 2194309 */     GIR_EraseRootFromParent_Done,
     /* 2194310 */   // Label 28881: @2194310
     /* 2194310 */   GIM_Try, /*On fail goto*//*Label 28882*/ GIMT_Encode4(2194401), // Rule ID 18834 //
     /* 2194315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2194318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2194323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2194326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2194329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2194332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2194335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2194338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2194345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194361 */     // MIs[0] round
     /* 2194361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194364 */     // MIs[0] policy
     /* 2194364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194374 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2194377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194400 */     // GIR_Coverage, 18834,
     /* 2194400 */     GIR_EraseRootFromParent_Done,
     /* 2194401 */   // Label 28882: @2194401
     /* 2194401 */   GIM_Try, /*On fail goto*//*Label 28883*/ GIMT_Encode4(2194492), // Rule ID 18835 //
     /* 2194406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2194409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2194414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2194417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2194420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2194423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2194426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2194429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2194436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194452 */     // MIs[0] round
     /* 2194452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194455 */     // MIs[0] policy
     /* 2194455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194465 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2194468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194491 */     // GIR_Coverage, 18835,
     /* 2194491 */     GIR_EraseRootFromParent_Done,
     /* 2194492 */   // Label 28883: @2194492
     /* 2194492 */   GIM_Try, /*On fail goto*//*Label 28884*/ GIMT_Encode4(2194583), // Rule ID 18838 //
     /* 2194497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2194500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2194505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2194508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2194511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2194514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2194517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2194520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2194527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194543 */     // MIs[0] round
     /* 2194543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194546 */     // MIs[0] policy
     /* 2194546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194556 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2194559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194582 */     // GIR_Coverage, 18838,
     /* 2194582 */     GIR_EraseRootFromParent_Done,
     /* 2194583 */   // Label 28884: @2194583
     /* 2194583 */   GIM_Try, /*On fail goto*//*Label 28885*/ GIMT_Encode4(2194674), // Rule ID 18839 //
     /* 2194588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2194591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2194596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2194599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2194602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2194605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2194608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2194611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2194618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194634 */     // MIs[0] round
     /* 2194634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194637 */     // MIs[0] policy
     /* 2194637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194647 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2194650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194673 */     // GIR_Coverage, 18839,
     /* 2194673 */     GIR_EraseRootFromParent_Done,
     /* 2194674 */   // Label 28885: @2194674
     /* 2194674 */   GIM_Try, /*On fail goto*//*Label 28886*/ GIMT_Encode4(2194765), // Rule ID 18842 //
     /* 2194679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2194682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2194687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2194690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2194693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2194696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2194699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2194702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2194709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194725 */     // MIs[0] round
     /* 2194725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194728 */     // MIs[0] policy
     /* 2194728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194738 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2194741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194764 */     // GIR_Coverage, 18842,
     /* 2194764 */     GIR_EraseRootFromParent_Done,
     /* 2194765 */   // Label 28886: @2194765
     /* 2194765 */   GIM_Try, /*On fail goto*//*Label 28887*/ GIMT_Encode4(2194856), // Rule ID 18843 //
     /* 2194770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2194773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2194778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2194781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2194784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2194787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2194790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2194793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2194800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194816 */     // MIs[0] round
     /* 2194816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194819 */     // MIs[0] policy
     /* 2194819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194829 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2194832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194855 */     // GIR_Coverage, 18843,
     /* 2194855 */     GIR_EraseRootFromParent_Done,
     /* 2194856 */   // Label 28887: @2194856
     /* 2194856 */   GIM_Try, /*On fail goto*//*Label 28888*/ GIMT_Encode4(2194947), // Rule ID 18846 //
     /* 2194861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2194864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2194869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2194872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2194875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2194878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2194881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2194899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194907 */     // MIs[0] round
     /* 2194907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194910 */     // MIs[0] policy
     /* 2194910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194920 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2194923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194946 */     // GIR_Coverage, 18846,
     /* 2194946 */     GIR_EraseRootFromParent_Done,
     /* 2194947 */   // Label 28888: @2194947
     /* 2194947 */   GIM_Try, /*On fail goto*//*Label 28889*/ GIMT_Encode4(2195038), // Rule ID 18847 //
     /* 2194952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2194955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2194960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2194963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2194966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2194969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2194972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2194990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194998 */     // MIs[0] round
     /* 2194998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195001 */     // MIs[0] policy
     /* 2195001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195011 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2195014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195037 */     // GIR_Coverage, 18847,
     /* 2195037 */     GIR_EraseRootFromParent_Done,
     /* 2195038 */   // Label 28889: @2195038
     /* 2195038 */   GIM_Try, /*On fail goto*//*Label 28890*/ GIMT_Encode4(2195129), // Rule ID 18850 //
     /* 2195043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2195046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2195051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2195054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2195057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2195060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2195063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2195066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2195073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195089 */     // MIs[0] round
     /* 2195089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195092 */     // MIs[0] policy
     /* 2195092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195102 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2195105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195128 */     // GIR_Coverage, 18850,
     /* 2195128 */     GIR_EraseRootFromParent_Done,
     /* 2195129 */   // Label 28890: @2195129
     /* 2195129 */   GIM_Try, /*On fail goto*//*Label 28891*/ GIMT_Encode4(2195220), // Rule ID 18851 //
     /* 2195134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2195137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2195142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2195145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2195148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2195151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2195154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2195157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2195164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195180 */     // MIs[0] round
     /* 2195180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195183 */     // MIs[0] policy
     /* 2195183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195193 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2195196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195219 */     // GIR_Coverage, 18851,
     /* 2195219 */     GIR_EraseRootFromParent_Done,
     /* 2195220 */   // Label 28891: @2195220
     /* 2195220 */   GIM_Try, /*On fail goto*//*Label 28892*/ GIMT_Encode4(2195311), // Rule ID 18854 //
     /* 2195225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2195228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2195233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2195236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2195239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2195242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2195245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2195248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2195255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195271 */     // MIs[0] round
     /* 2195271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195274 */     // MIs[0] policy
     /* 2195274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195284 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2195287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195310 */     // GIR_Coverage, 18854,
     /* 2195310 */     GIR_EraseRootFromParent_Done,
     /* 2195311 */   // Label 28892: @2195311
     /* 2195311 */   GIM_Try, /*On fail goto*//*Label 28893*/ GIMT_Encode4(2195402), // Rule ID 18855 //
     /* 2195316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2195319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2195324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2195327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2195330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2195333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2195336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2195339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2195346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195362 */     // MIs[0] round
     /* 2195362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195365 */     // MIs[0] policy
     /* 2195365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195375 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2195378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195401 */     // GIR_Coverage, 18855,
     /* 2195401 */     GIR_EraseRootFromParent_Done,
     /* 2195402 */   // Label 28893: @2195402
     /* 2195402 */   GIM_Try, /*On fail goto*//*Label 28894*/ GIMT_Encode4(2195493), // Rule ID 18858 //
     /* 2195407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2195410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2195415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2195418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2195421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2195424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2195427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2195430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2195437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195453 */     // MIs[0] round
     /* 2195453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195456 */     // MIs[0] policy
     /* 2195456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195466 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2195469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195492 */     // GIR_Coverage, 18858,
     /* 2195492 */     GIR_EraseRootFromParent_Done,
     /* 2195493 */   // Label 28894: @2195493
     /* 2195493 */   GIM_Try, /*On fail goto*//*Label 28895*/ GIMT_Encode4(2195584), // Rule ID 18859 //
     /* 2195498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2195501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2195506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2195509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2195512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2195515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2195518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2195521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2195528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195544 */     // MIs[0] round
     /* 2195544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195547 */     // MIs[0] policy
     /* 2195547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195557 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2195560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195583 */     // GIR_Coverage, 18859,
     /* 2195583 */     GIR_EraseRootFromParent_Done,
     /* 2195584 */   // Label 28895: @2195584
     /* 2195584 */   GIM_Try, /*On fail goto*//*Label 28896*/ GIMT_Encode4(2195675), // Rule ID 18862 //
     /* 2195589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2195592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2195597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2195600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2195603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2195606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2195609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2195612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195635 */     // MIs[0] round
     /* 2195635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195638 */     // MIs[0] policy
     /* 2195638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195648 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2195651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195674 */     // GIR_Coverage, 18862,
     /* 2195674 */     GIR_EraseRootFromParent_Done,
     /* 2195675 */   // Label 28896: @2195675
     /* 2195675 */   GIM_Try, /*On fail goto*//*Label 28897*/ GIMT_Encode4(2195766), // Rule ID 18863 //
     /* 2195680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2195683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2195688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2195691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2195694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2195697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2195700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2195703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195726 */     // MIs[0] round
     /* 2195726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195729 */     // MIs[0] policy
     /* 2195729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195739 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2195742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195765 */     // GIR_Coverage, 18863,
     /* 2195765 */     GIR_EraseRootFromParent_Done,
     /* 2195766 */   // Label 28897: @2195766
     /* 2195766 */   GIM_Try, /*On fail goto*//*Label 28898*/ GIMT_Encode4(2195857), // Rule ID 18866 //
     /* 2195771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2195774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2195779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2195782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2195785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2195788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2195791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2195794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195817 */     // MIs[0] round
     /* 2195817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195820 */     // MIs[0] policy
     /* 2195820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195830 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2195833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195856 */     // GIR_Coverage, 18866,
     /* 2195856 */     GIR_EraseRootFromParent_Done,
     /* 2195857 */   // Label 28898: @2195857
     /* 2195857 */   GIM_Try, /*On fail goto*//*Label 28899*/ GIMT_Encode4(2195948), // Rule ID 18867 //
     /* 2195862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2195865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2195870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2195873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2195876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2195879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2195882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2195885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195908 */     // MIs[0] round
     /* 2195908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195911 */     // MIs[0] policy
     /* 2195911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195921 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2195924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195947 */     // GIR_Coverage, 18867,
     /* 2195947 */     GIR_EraseRootFromParent_Done,
     /* 2195948 */   // Label 28899: @2195948
     /* 2195948 */   GIM_Try, /*On fail goto*//*Label 28900*/ GIMT_Encode4(2196039), // Rule ID 18870 //
     /* 2195953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2195956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2195961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2195964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2195967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2195970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2195973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2195976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2195983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195999 */     // MIs[0] round
     /* 2195999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196002 */     // MIs[0] policy
     /* 2196002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196012 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2196015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196038 */     // GIR_Coverage, 18870,
     /* 2196038 */     GIR_EraseRootFromParent_Done,
     /* 2196039 */   // Label 28900: @2196039
     /* 2196039 */   GIM_Try, /*On fail goto*//*Label 28901*/ GIMT_Encode4(2196130), // Rule ID 18871 //
     /* 2196044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2196047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2196052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2196055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2196058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2196061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2196064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2196067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2196074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196090 */     // MIs[0] round
     /* 2196090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196093 */     // MIs[0] policy
     /* 2196093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196103 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2196106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196129 */     // GIR_Coverage, 18871,
     /* 2196129 */     GIR_EraseRootFromParent_Done,
     /* 2196130 */   // Label 28901: @2196130
     /* 2196130 */   GIM_Try, /*On fail goto*//*Label 28902*/ GIMT_Encode4(2196221), // Rule ID 18874 //
     /* 2196135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2196138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2196143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2196146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2196149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2196152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2196155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2196158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2196165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196181 */     // MIs[0] round
     /* 2196181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196184 */     // MIs[0] policy
     /* 2196184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196194 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2196197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196220 */     // GIR_Coverage, 18874,
     /* 2196220 */     GIR_EraseRootFromParent_Done,
     /* 2196221 */   // Label 28902: @2196221
     /* 2196221 */   GIM_Try, /*On fail goto*//*Label 28903*/ GIMT_Encode4(2196312), // Rule ID 18875 //
     /* 2196226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2196229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2196234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2196237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2196240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2196243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2196246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2196249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2196256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196272 */     // MIs[0] round
     /* 2196272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196275 */     // MIs[0] policy
     /* 2196275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196285 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2196288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196311 */     // GIR_Coverage, 18875,
     /* 2196311 */     GIR_EraseRootFromParent_Done,
     /* 2196312 */   // Label 28903: @2196312
     /* 2196312 */   GIM_Try, /*On fail goto*//*Label 28904*/ GIMT_Encode4(2196403), // Rule ID 18878 //
     /* 2196317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2196320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2196325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2196328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2196331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2196334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2196337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2196340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2196347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196363 */     // MIs[0] round
     /* 2196363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196366 */     // MIs[0] policy
     /* 2196366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196376 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2196379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196402 */     // GIR_Coverage, 18878,
     /* 2196402 */     GIR_EraseRootFromParent_Done,
     /* 2196403 */   // Label 28904: @2196403
     /* 2196403 */   GIM_Try, /*On fail goto*//*Label 28905*/ GIMT_Encode4(2196494), // Rule ID 18879 //
     /* 2196408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2196411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2196416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2196419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2196422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2196425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2196428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2196431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2196438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196454 */     // MIs[0] round
     /* 2196454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196457 */     // MIs[0] policy
     /* 2196457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196467 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2196470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196493 */     // GIR_Coverage, 18879,
     /* 2196493 */     GIR_EraseRootFromParent_Done,
     /* 2196494 */   // Label 28905: @2196494
     /* 2196494 */   GIM_Try, /*On fail goto*//*Label 28906*/ GIMT_Encode4(2196585), // Rule ID 18882 //
     /* 2196499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2196502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2196507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2196510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2196513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2196516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2196519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2196522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196545 */     // MIs[0] round
     /* 2196545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196548 */     // MIs[0] policy
     /* 2196548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196558 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2196561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196584 */     // GIR_Coverage, 18882,
     /* 2196584 */     GIR_EraseRootFromParent_Done,
     /* 2196585 */   // Label 28906: @2196585
     /* 2196585 */   GIM_Try, /*On fail goto*//*Label 28907*/ GIMT_Encode4(2196676), // Rule ID 18883 //
     /* 2196590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2196593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2196598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2196601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2196604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2196607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2196610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2196613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196636 */     // MIs[0] round
     /* 2196636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196639 */     // MIs[0] policy
     /* 2196639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196649 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2196652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196675 */     // GIR_Coverage, 18883,
     /* 2196675 */     GIR_EraseRootFromParent_Done,
     /* 2196676 */   // Label 28907: @2196676
     /* 2196676 */   GIM_Try, /*On fail goto*//*Label 28908*/ GIMT_Encode4(2196767), // Rule ID 18886 //
     /* 2196681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2196684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2196689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2196692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2196695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2196698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2196701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2196704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2196711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196727 */     // MIs[0] round
     /* 2196727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196730 */     // MIs[0] policy
     /* 2196730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196740 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2196743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196766 */     // GIR_Coverage, 18886,
     /* 2196766 */     GIR_EraseRootFromParent_Done,
     /* 2196767 */   // Label 28908: @2196767
     /* 2196767 */   GIM_Try, /*On fail goto*//*Label 28909*/ GIMT_Encode4(2196858), // Rule ID 18887 //
     /* 2196772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2196775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2196780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2196783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2196786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2196789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2196792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2196795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2196802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196818 */     // MIs[0] round
     /* 2196818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196821 */     // MIs[0] policy
     /* 2196821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196831 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2196834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196857 */     // GIR_Coverage, 18887,
     /* 2196857 */     GIR_EraseRootFromParent_Done,
     /* 2196858 */   // Label 28909: @2196858
     /* 2196858 */   GIM_Try, /*On fail goto*//*Label 28910*/ GIMT_Encode4(2196949), // Rule ID 18890 //
     /* 2196863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2196866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2196871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2196874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2196877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2196880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2196883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2196886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2196893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196909 */     // MIs[0] round
     /* 2196909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196912 */     // MIs[0] policy
     /* 2196912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196922 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2196925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196948 */     // GIR_Coverage, 18890,
     /* 2196948 */     GIR_EraseRootFromParent_Done,
     /* 2196949 */   // Label 28910: @2196949
     /* 2196949 */   GIM_Try, /*On fail goto*//*Label 28911*/ GIMT_Encode4(2197040), // Rule ID 18891 //
     /* 2196954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2196957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2196962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2196965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2196968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2196971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2196974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2196977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2196984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197000 */     // MIs[0] round
     /* 2197000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197003 */     // MIs[0] policy
     /* 2197003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197013 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2197016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197039 */     // GIR_Coverage, 18891,
     /* 2197039 */     GIR_EraseRootFromParent_Done,
     /* 2197040 */   // Label 28911: @2197040
     /* 2197040 */   GIM_Try, /*On fail goto*//*Label 28912*/ GIMT_Encode4(2197131), // Rule ID 18894 //
     /* 2197045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2197048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2197053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2197056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2197059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2197062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2197065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2197068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2197075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197091 */     // MIs[0] round
     /* 2197091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197094 */     // MIs[0] policy
     /* 2197094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197104 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2197107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197130 */     // GIR_Coverage, 18894,
     /* 2197130 */     GIR_EraseRootFromParent_Done,
     /* 2197131 */   // Label 28912: @2197131
     /* 2197131 */   GIM_Try, /*On fail goto*//*Label 28913*/ GIMT_Encode4(2197222), // Rule ID 18895 //
     /* 2197136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2197139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2197144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2197147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2197150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2197153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2197156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2197159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2197166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197182 */     // MIs[0] round
     /* 2197182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197185 */     // MIs[0] policy
     /* 2197185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197195 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2197198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197221 */     // GIR_Coverage, 18895,
     /* 2197221 */     GIR_EraseRootFromParent_Done,
     /* 2197222 */   // Label 28913: @2197222
     /* 2197222 */   GIM_Try, /*On fail goto*//*Label 28914*/ GIMT_Encode4(2197313), // Rule ID 18898 //
     /* 2197227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2197230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2197235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2197238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2197241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2197244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2197247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2197250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2197265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197273 */     // MIs[0] round
     /* 2197273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197276 */     // MIs[0] policy
     /* 2197276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197286 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2197289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197312 */     // GIR_Coverage, 18898,
     /* 2197312 */     GIR_EraseRootFromParent_Done,
     /* 2197313 */   // Label 28914: @2197313
     /* 2197313 */   GIM_Try, /*On fail goto*//*Label 28915*/ GIMT_Encode4(2197404), // Rule ID 18899 //
     /* 2197318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2197321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2197326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2197329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2197332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2197335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2197338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2197341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2197356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197364 */     // MIs[0] round
     /* 2197364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197367 */     // MIs[0] policy
     /* 2197367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197377 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2197380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197403 */     // GIR_Coverage, 18899,
     /* 2197403 */     GIR_EraseRootFromParent_Done,
     /* 2197404 */   // Label 28915: @2197404
     /* 2197404 */   GIM_Try, /*On fail goto*//*Label 28916*/ GIMT_Encode4(2197495), // Rule ID 18902 //
     /* 2197409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2197412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2197417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2197420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2197423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2197426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2197429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2197432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2197447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197455 */     // MIs[0] round
     /* 2197455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197458 */     // MIs[0] policy
     /* 2197458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197468 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2197471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197494 */     // GIR_Coverage, 18902,
     /* 2197494 */     GIR_EraseRootFromParent_Done,
     /* 2197495 */   // Label 28916: @2197495
     /* 2197495 */   GIM_Try, /*On fail goto*//*Label 28917*/ GIMT_Encode4(2197586), // Rule ID 18903 //
     /* 2197500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2197503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2197508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2197511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2197514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2197517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2197520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2197523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2197538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197546 */     // MIs[0] round
     /* 2197546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197549 */     // MIs[0] policy
     /* 2197549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197559 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2197562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197585 */     // GIR_Coverage, 18903,
     /* 2197585 */     GIR_EraseRootFromParent_Done,
     /* 2197586 */   // Label 28917: @2197586
     /* 2197586 */   GIM_Try, /*On fail goto*//*Label 28918*/ GIMT_Encode4(2197677), // Rule ID 18906 //
     /* 2197591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2197594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2197599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2197602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2197605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2197608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2197611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2197614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2197621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2197629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197637 */     // MIs[0] round
     /* 2197637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197640 */     // MIs[0] policy
     /* 2197640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197650 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2197653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197676 */     // GIR_Coverage, 18906,
     /* 2197676 */     GIR_EraseRootFromParent_Done,
     /* 2197677 */   // Label 28918: @2197677
     /* 2197677 */   GIM_Try, /*On fail goto*//*Label 28919*/ GIMT_Encode4(2197768), // Rule ID 18907 //
     /* 2197682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2197685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2197690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2197693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2197696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2197699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2197702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2197705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2197712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2197720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197728 */     // MIs[0] round
     /* 2197728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197731 */     // MIs[0] policy
     /* 2197731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197741 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2197744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197767 */     // GIR_Coverage, 18907,
     /* 2197767 */     GIR_EraseRootFromParent_Done,
     /* 2197768 */   // Label 28919: @2197768
     /* 2197768 */   GIM_Try, /*On fail goto*//*Label 28920*/ GIMT_Encode4(2197859), // Rule ID 18910 //
     /* 2197773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2197776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2197781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2197784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2197787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2197790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2197793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2197796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2197803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2197811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197819 */     // MIs[0] round
     /* 2197819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197822 */     // MIs[0] policy
     /* 2197822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197832 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2197835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197858 */     // GIR_Coverage, 18910,
     /* 2197858 */     GIR_EraseRootFromParent_Done,
     /* 2197859 */   // Label 28920: @2197859
     /* 2197859 */   GIM_Try, /*On fail goto*//*Label 28921*/ GIMT_Encode4(2197950), // Rule ID 18911 //
     /* 2197864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2197867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2197872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2197875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2197878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2197881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2197884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2197887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2197894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2197902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197910 */     // MIs[0] round
     /* 2197910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197913 */     // MIs[0] policy
     /* 2197913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197923 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2197926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197949 */     // GIR_Coverage, 18911,
     /* 2197949 */     GIR_EraseRootFromParent_Done,
     /* 2197950 */   // Label 28921: @2197950
     /* 2197950 */   GIM_Try, /*On fail goto*//*Label 28922*/ GIMT_Encode4(2198041), // Rule ID 18914 //
     /* 2197955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2197958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2197963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2197966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2197969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2197972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2197975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2197978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2197985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2197993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198001 */     // MIs[0] round
     /* 2198001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198004 */     // MIs[0] policy
     /* 2198004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198014 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2198017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198040 */     // GIR_Coverage, 18914,
     /* 2198040 */     GIR_EraseRootFromParent_Done,
     /* 2198041 */   // Label 28922: @2198041
     /* 2198041 */   GIM_Try, /*On fail goto*//*Label 28923*/ GIMT_Encode4(2198132), // Rule ID 18915 //
     /* 2198046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2198049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2198054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2198057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2198060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2198063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2198066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2198069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2198076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198092 */     // MIs[0] round
     /* 2198092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198095 */     // MIs[0] policy
     /* 2198095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198105 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2198108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198131 */     // GIR_Coverage, 18915,
     /* 2198131 */     GIR_EraseRootFromParent_Done,
     /* 2198132 */   // Label 28923: @2198132
     /* 2198132 */   GIM_Try, /*On fail goto*//*Label 28924*/ GIMT_Encode4(2198223), // Rule ID 18918 //
     /* 2198137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2198140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2198145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2198148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2198151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2198154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2198157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2198160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198183 */     // MIs[0] round
     /* 2198183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198186 */     // MIs[0] policy
     /* 2198186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198196 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2198199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198222 */     // GIR_Coverage, 18918,
     /* 2198222 */     GIR_EraseRootFromParent_Done,
     /* 2198223 */   // Label 28924: @2198223
     /* 2198223 */   GIM_Try, /*On fail goto*//*Label 28925*/ GIMT_Encode4(2198314), // Rule ID 18919 //
     /* 2198228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2198231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2198236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2198239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2198242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2198245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2198248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2198251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198274 */     // MIs[0] round
     /* 2198274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198277 */     // MIs[0] policy
     /* 2198277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198287 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2198290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198313 */     // GIR_Coverage, 18919,
     /* 2198313 */     GIR_EraseRootFromParent_Done,
     /* 2198314 */   // Label 28925: @2198314
     /* 2198314 */   GIM_Try, /*On fail goto*//*Label 28926*/ GIMT_Encode4(2198405), // Rule ID 18922 //
     /* 2198319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2198322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2198327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2198330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2198333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2198336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2198339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2198342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2198349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198365 */     // MIs[0] round
     /* 2198365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198368 */     // MIs[0] policy
     /* 2198368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198378 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2198381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198404 */     // GIR_Coverage, 18922,
     /* 2198404 */     GIR_EraseRootFromParent_Done,
     /* 2198405 */   // Label 28926: @2198405
     /* 2198405 */   GIM_Try, /*On fail goto*//*Label 28927*/ GIMT_Encode4(2198496), // Rule ID 18923 //
     /* 2198410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2198413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2198418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2198421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2198424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2198427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2198430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2198433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2198440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198456 */     // MIs[0] round
     /* 2198456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198459 */     // MIs[0] policy
     /* 2198459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198469 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2198472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198495 */     // GIR_Coverage, 18923,
     /* 2198495 */     GIR_EraseRootFromParent_Done,
     /* 2198496 */   // Label 28927: @2198496
     /* 2198496 */   GIM_Try, /*On fail goto*//*Label 28928*/ GIMT_Encode4(2198587), // Rule ID 18926 //
     /* 2198501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2198504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2198509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2198512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2198515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2198518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2198521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2198524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2198531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198547 */     // MIs[0] round
     /* 2198547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198550 */     // MIs[0] policy
     /* 2198550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198560 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2198563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198586 */     // GIR_Coverage, 18926,
     /* 2198586 */     GIR_EraseRootFromParent_Done,
     /* 2198587 */   // Label 28928: @2198587
     /* 2198587 */   GIM_Try, /*On fail goto*//*Label 28929*/ GIMT_Encode4(2198678), // Rule ID 18927 //
     /* 2198592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2198595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2198600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2198603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2198606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2198609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2198612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2198615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2198622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198638 */     // MIs[0] round
     /* 2198638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198641 */     // MIs[0] policy
     /* 2198641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198651 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2198654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198677 */     // GIR_Coverage, 18927,
     /* 2198677 */     GIR_EraseRootFromParent_Done,
     /* 2198678 */   // Label 28929: @2198678
     /* 2198678 */   GIM_Try, /*On fail goto*//*Label 28930*/ GIMT_Encode4(2198769), // Rule ID 18930 //
     /* 2198683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2198686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2198691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2198694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2198697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2198700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2198703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2198706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2198713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198729 */     // MIs[0] round
     /* 2198729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198732 */     // MIs[0] policy
     /* 2198732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198742 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2198745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198768 */     // GIR_Coverage, 18930,
     /* 2198768 */     GIR_EraseRootFromParent_Done,
     /* 2198769 */   // Label 28930: @2198769
     /* 2198769 */   GIM_Try, /*On fail goto*//*Label 28931*/ GIMT_Encode4(2198860), // Rule ID 18931 //
     /* 2198774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2198777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2198782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2198785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2198788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2198791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2198794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2198797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2198804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198820 */     // MIs[0] round
     /* 2198820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198823 */     // MIs[0] policy
     /* 2198823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198833 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2198836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198859 */     // GIR_Coverage, 18931,
     /* 2198859 */     GIR_EraseRootFromParent_Done,
     /* 2198860 */   // Label 28931: @2198860
     /* 2198860 */   GIM_Try, /*On fail goto*//*Label 28932*/ GIMT_Encode4(2198951), // Rule ID 18934 //
     /* 2198865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2198868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2198873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2198876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2198879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2198882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2198885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2198888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198911 */     // MIs[0] round
     /* 2198911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198914 */     // MIs[0] policy
     /* 2198914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198924 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2198927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198950 */     // GIR_Coverage, 18934,
     /* 2198950 */     GIR_EraseRootFromParent_Done,
     /* 2198951 */   // Label 28932: @2198951
     /* 2198951 */   GIM_Try, /*On fail goto*//*Label 28933*/ GIMT_Encode4(2199042), // Rule ID 18935 //
     /* 2198956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2198959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2198964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2198967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2198970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2198973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2198976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2198979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199002 */     // MIs[0] round
     /* 2199002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199005 */     // MIs[0] policy
     /* 2199005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199015 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2199018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199041 */     // GIR_Coverage, 18935,
     /* 2199041 */     GIR_EraseRootFromParent_Done,
     /* 2199042 */   // Label 28933: @2199042
     /* 2199042 */   GIM_Try, /*On fail goto*//*Label 28934*/ GIMT_Encode4(2199133), // Rule ID 18938 //
     /* 2199047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2199050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2199055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2199058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2199061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2199064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2199067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2199070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199093 */     // MIs[0] round
     /* 2199093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199096 */     // MIs[0] policy
     /* 2199096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199106 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2199109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199132 */     // GIR_Coverage, 18938,
     /* 2199132 */     GIR_EraseRootFromParent_Done,
     /* 2199133 */   // Label 28934: @2199133
     /* 2199133 */   GIM_Try, /*On fail goto*//*Label 28935*/ GIMT_Encode4(2199224), // Rule ID 18939 //
     /* 2199138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2199141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2199146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2199149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2199152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2199155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2199158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2199161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199184 */     // MIs[0] round
     /* 2199184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199187 */     // MIs[0] policy
     /* 2199187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199197 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2199200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199223 */     // GIR_Coverage, 18939,
     /* 2199223 */     GIR_EraseRootFromParent_Done,
     /* 2199224 */   // Label 28935: @2199224
     /* 2199224 */   GIM_Try, /*On fail goto*//*Label 28936*/ GIMT_Encode4(2199315), // Rule ID 18942 //
     /* 2199229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2199232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2199237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2199240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2199243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2199246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2199249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2199252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2199259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199275 */     // MIs[0] round
     /* 2199275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199278 */     // MIs[0] policy
     /* 2199278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199288 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2199291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199314 */     // GIR_Coverage, 18942,
     /* 2199314 */     GIR_EraseRootFromParent_Done,
     /* 2199315 */   // Label 28936: @2199315
     /* 2199315 */   GIM_Try, /*On fail goto*//*Label 28937*/ GIMT_Encode4(2199406), // Rule ID 18943 //
     /* 2199320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2199323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2199328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2199331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2199334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2199337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2199340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2199343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2199350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199366 */     // MIs[0] round
     /* 2199366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199369 */     // MIs[0] policy
     /* 2199369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199379 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2199382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199405 */     // GIR_Coverage, 18943,
     /* 2199405 */     GIR_EraseRootFromParent_Done,
     /* 2199406 */   // Label 28937: @2199406
     /* 2199406 */   GIM_Try, /*On fail goto*//*Label 28938*/ GIMT_Encode4(2199497), // Rule ID 18946 //
     /* 2199411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2199414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2199419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2199422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2199425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2199428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2199431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2199434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2199441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199457 */     // MIs[0] round
     /* 2199457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199460 */     // MIs[0] policy
     /* 2199460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199470 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2199473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199496 */     // GIR_Coverage, 18946,
     /* 2199496 */     GIR_EraseRootFromParent_Done,
     /* 2199497 */   // Label 28938: @2199497
     /* 2199497 */   GIM_Try, /*On fail goto*//*Label 28939*/ GIMT_Encode4(2199588), // Rule ID 18947 //
     /* 2199502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2199505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2199510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2199513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2199516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2199519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2199522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2199525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2199532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199548 */     // MIs[0] round
     /* 2199548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199551 */     // MIs[0] policy
     /* 2199551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199561 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2199564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199587 */     // GIR_Coverage, 18947,
     /* 2199587 */     GIR_EraseRootFromParent_Done,
     /* 2199588 */   // Label 28939: @2199588
     /* 2199588 */   GIM_Try, /*On fail goto*//*Label 28940*/ GIMT_Encode4(2199679), // Rule ID 18950 //
     /* 2199593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2199596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2199601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2199604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2199607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2199610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2199613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2199616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2199623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199639 */     // MIs[0] round
     /* 2199639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199642 */     // MIs[0] policy
     /* 2199642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199652 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2199655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199678 */     // GIR_Coverage, 18950,
     /* 2199678 */     GIR_EraseRootFromParent_Done,
     /* 2199679 */   // Label 28940: @2199679
     /* 2199679 */   GIM_Try, /*On fail goto*//*Label 28941*/ GIMT_Encode4(2199770), // Rule ID 18951 //
     /* 2199684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2199687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2199692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2199695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2199698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2199701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2199704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2199707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2199714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199730 */     // MIs[0] round
     /* 2199730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199733 */     // MIs[0] policy
     /* 2199733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199743 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2199746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199769 */     // GIR_Coverage, 18951,
     /* 2199769 */     GIR_EraseRootFromParent_Done,
     /* 2199770 */   // Label 28941: @2199770
     /* 2199770 */   GIM_Try, /*On fail goto*//*Label 28942*/ GIMT_Encode4(2199861), // Rule ID 18954 //
     /* 2199775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2199778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2199783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2199786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2199789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2199792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2199795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2199798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199821 */     // MIs[0] round
     /* 2199821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199824 */     // MIs[0] policy
     /* 2199824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199834 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2199837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199860 */     // GIR_Coverage, 18954,
     /* 2199860 */     GIR_EraseRootFromParent_Done,
     /* 2199861 */   // Label 28942: @2199861
     /* 2199861 */   GIM_Try, /*On fail goto*//*Label 28943*/ GIMT_Encode4(2199952), // Rule ID 18955 //
     /* 2199866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2199869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2199874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2199877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2199880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2199883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2199886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2199889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199912 */     // MIs[0] round
     /* 2199912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199915 */     // MIs[0] policy
     /* 2199915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199925 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2199928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199951 */     // GIR_Coverage, 18955,
     /* 2199951 */     GIR_EraseRootFromParent_Done,
     /* 2199952 */   // Label 28943: @2199952
     /* 2199952 */   GIM_Try, /*On fail goto*//*Label 28944*/ GIMT_Encode4(2200043), // Rule ID 18958 //
     /* 2199957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2199960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2199965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2199968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2199971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2199974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2199977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2199980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2199987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200003 */     // MIs[0] round
     /* 2200003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200006 */     // MIs[0] policy
     /* 2200006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200016 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2200019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200042 */     // GIR_Coverage, 18958,
     /* 2200042 */     GIR_EraseRootFromParent_Done,
     /* 2200043 */   // Label 28944: @2200043
     /* 2200043 */   GIM_Try, /*On fail goto*//*Label 28945*/ GIMT_Encode4(2200134), // Rule ID 18959 //
     /* 2200048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2200051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2200056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2200059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2200062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2200065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2200068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2200071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2200078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200094 */     // MIs[0] round
     /* 2200094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200097 */     // MIs[0] policy
     /* 2200097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200107 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2200110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200133 */     // GIR_Coverage, 18959,
     /* 2200133 */     GIR_EraseRootFromParent_Done,
     /* 2200134 */   // Label 28945: @2200134
     /* 2200134 */   GIM_Try, /*On fail goto*//*Label 28946*/ GIMT_Encode4(2200225), // Rule ID 18962 //
     /* 2200139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2200142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2200147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2200150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2200153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2200156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2200159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2200162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2200169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200185 */     // MIs[0] round
     /* 2200185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200188 */     // MIs[0] policy
     /* 2200188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200198 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2200201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200224 */     // GIR_Coverage, 18962,
     /* 2200224 */     GIR_EraseRootFromParent_Done,
     /* 2200225 */   // Label 28946: @2200225
     /* 2200225 */   GIM_Try, /*On fail goto*//*Label 28947*/ GIMT_Encode4(2200316), // Rule ID 18963 //
     /* 2200230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2200233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2200238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2200241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2200244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2200247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2200250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2200253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2200260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200276 */     // MIs[0] round
     /* 2200276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200279 */     // MIs[0] policy
     /* 2200279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200289 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2200292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200315 */     // GIR_Coverage, 18963,
     /* 2200315 */     GIR_EraseRootFromParent_Done,
     /* 2200316 */   // Label 28947: @2200316
     /* 2200316 */   GIM_Try, /*On fail goto*//*Label 28948*/ GIMT_Encode4(2200407), // Rule ID 18966 //
     /* 2200321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2200324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2200329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2200332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2200335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2200338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2200341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2200344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2200351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200367 */     // MIs[0] round
     /* 2200367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200370 */     // MIs[0] policy
     /* 2200370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200380 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2200383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200406 */     // GIR_Coverage, 18966,
     /* 2200406 */     GIR_EraseRootFromParent_Done,
     /* 2200407 */   // Label 28948: @2200407
     /* 2200407 */   GIM_Try, /*On fail goto*//*Label 28949*/ GIMT_Encode4(2200498), // Rule ID 18967 //
     /* 2200412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2200415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2200420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2200423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2200426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2200429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2200432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2200435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2200442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200458 */     // MIs[0] round
     /* 2200458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200461 */     // MIs[0] policy
     /* 2200461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200471 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2200474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200497 */     // GIR_Coverage, 18967,
     /* 2200497 */     GIR_EraseRootFromParent_Done,
     /* 2200498 */   // Label 28949: @2200498
     /* 2200498 */   GIM_Try, /*On fail goto*//*Label 28950*/ GIMT_Encode4(2200589), // Rule ID 18970 //
     /* 2200503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2200506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2200511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2200514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2200517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2200520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2200523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2200526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2200533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2200541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200549 */     // MIs[0] round
     /* 2200549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200552 */     // MIs[0] policy
     /* 2200552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200562 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2200565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200588 */     // GIR_Coverage, 18970,
     /* 2200588 */     GIR_EraseRootFromParent_Done,
     /* 2200589 */   // Label 28950: @2200589
     /* 2200589 */   GIM_Try, /*On fail goto*//*Label 28951*/ GIMT_Encode4(2200680), // Rule ID 18971 //
     /* 2200594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2200597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2200602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2200605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2200608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2200611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2200614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2200617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2200624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2200632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200640 */     // MIs[0] round
     /* 2200640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200643 */     // MIs[0] policy
     /* 2200643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200653 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2200656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200679 */     // GIR_Coverage, 18971,
     /* 2200679 */     GIR_EraseRootFromParent_Done,
     /* 2200680 */   // Label 28951: @2200680
     /* 2200680 */   GIM_Try, /*On fail goto*//*Label 28952*/ GIMT_Encode4(2200771), // Rule ID 18974 //
     /* 2200685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2200688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2200693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2200696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2200699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2200702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2200705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2200708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2200715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2200723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200731 */     // MIs[0] round
     /* 2200731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200734 */     // MIs[0] policy
     /* 2200734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200744 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2200747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200770 */     // GIR_Coverage, 18974,
     /* 2200770 */     GIR_EraseRootFromParent_Done,
     /* 2200771 */   // Label 28952: @2200771
     /* 2200771 */   GIM_Try, /*On fail goto*//*Label 28953*/ GIMT_Encode4(2200862), // Rule ID 18975 //
     /* 2200776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2200779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2200784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2200787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2200790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2200793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2200796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2200799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2200806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2200814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200822 */     // MIs[0] round
     /* 2200822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200825 */     // MIs[0] policy
     /* 2200825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200835 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2200838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200861 */     // GIR_Coverage, 18975,
     /* 2200861 */     GIR_EraseRootFromParent_Done,
     /* 2200862 */   // Label 28953: @2200862
     /* 2200862 */   GIM_Try, /*On fail goto*//*Label 28954*/ GIMT_Encode4(2200953), // Rule ID 18978 //
     /* 2200867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2200870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2200875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2200878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2200881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2200884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2200887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2200890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2200897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2200905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200913 */     // MIs[0] round
     /* 2200913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200916 */     // MIs[0] policy
     /* 2200916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200926 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2200929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200952 */     // GIR_Coverage, 18978,
     /* 2200952 */     GIR_EraseRootFromParent_Done,
     /* 2200953 */   // Label 28954: @2200953
     /* 2200953 */   GIM_Try, /*On fail goto*//*Label 28955*/ GIMT_Encode4(2201044), // Rule ID 18979 //
     /* 2200958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2200961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2200966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2200969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2200972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2200975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2200978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2200981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2200988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2200996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201004 */     // MIs[0] round
     /* 2201004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201007 */     // MIs[0] policy
     /* 2201007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201017 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2201020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201043 */     // GIR_Coverage, 18979,
     /* 2201043 */     GIR_EraseRootFromParent_Done,
     /* 2201044 */   // Label 28955: @2201044
     /* 2201044 */   GIM_Try, /*On fail goto*//*Label 28956*/ GIMT_Encode4(2201135), // Rule ID 18982 //
     /* 2201049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2201052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2201057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2201060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2201063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2201066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2201069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2201072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2201079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2201087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201095 */     // MIs[0] round
     /* 2201095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201098 */     // MIs[0] policy
     /* 2201098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201108 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2201111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201134 */     // GIR_Coverage, 18982,
     /* 2201134 */     GIR_EraseRootFromParent_Done,
     /* 2201135 */   // Label 28956: @2201135
     /* 2201135 */   GIM_Try, /*On fail goto*//*Label 28957*/ GIMT_Encode4(2201226), // Rule ID 18983 //
     /* 2201140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2201143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2201148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2201151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2201154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2201157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2201160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2201163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2201170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2201178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201186 */     // MIs[0] round
     /* 2201186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201189 */     // MIs[0] policy
     /* 2201189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201199 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2201202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201225 */     // GIR_Coverage, 18983,
     /* 2201225 */     GIR_EraseRootFromParent_Done,
     /* 2201226 */   // Label 28957: @2201226
     /* 2201226 */   GIM_Try, /*On fail goto*//*Label 28958*/ GIMT_Encode4(2201317), // Rule ID 18986 //
     /* 2201231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2201234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2201239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2201242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2201245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2201248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2201251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2201254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2201261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2201265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2201269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201277 */     // MIs[0] round
     /* 2201277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201280 */     // MIs[0] policy
     /* 2201280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201290 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2201293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201316 */     // GIR_Coverage, 18986,
     /* 2201316 */     GIR_EraseRootFromParent_Done,
     /* 2201317 */   // Label 28958: @2201317
     /* 2201317 */   GIM_Try, /*On fail goto*//*Label 28959*/ GIMT_Encode4(2201408), // Rule ID 18987 //
     /* 2201322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2201325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2201330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2201333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2201336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2201339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2201342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2201345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2201352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2201356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2201360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201368 */     // MIs[0] round
     /* 2201368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201371 */     // MIs[0] policy
     /* 2201371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201381 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2201384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201407 */     // GIR_Coverage, 18987,
     /* 2201407 */     GIR_EraseRootFromParent_Done,
     /* 2201408 */   // Label 28959: @2201408
     /* 2201408 */   GIM_Try, /*On fail goto*//*Label 28960*/ GIMT_Encode4(2201499), // Rule ID 18990 //
     /* 2201413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2201416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2201421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2201424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2201427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2201430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2201433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2201436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2201443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2201451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201459 */     // MIs[0] round
     /* 2201459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201462 */     // MIs[0] policy
     /* 2201462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201472 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2201475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201498 */     // GIR_Coverage, 18990,
     /* 2201498 */     GIR_EraseRootFromParent_Done,
     /* 2201499 */   // Label 28960: @2201499
     /* 2201499 */   GIM_Try, /*On fail goto*//*Label 28961*/ GIMT_Encode4(2201590), // Rule ID 18991 //
     /* 2201504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2201507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2201512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2201515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2201518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2201521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2201524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2201527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2201534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2201542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201550 */     // MIs[0] round
     /* 2201550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201553 */     // MIs[0] policy
     /* 2201553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201563 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2201566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201589 */     // GIR_Coverage, 18991,
     /* 2201589 */     GIR_EraseRootFromParent_Done,
     /* 2201590 */   // Label 28961: @2201590
     /* 2201590 */   GIM_Try, /*On fail goto*//*Label 28962*/ GIMT_Encode4(2201681), // Rule ID 18994 //
     /* 2201595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2201598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2201603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2201606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2201609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2201612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2201615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2201618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2201625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2201633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201641 */     // MIs[0] round
     /* 2201641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201644 */     // MIs[0] policy
     /* 2201644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201654 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2201657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201680 */     // GIR_Coverage, 18994,
     /* 2201680 */     GIR_EraseRootFromParent_Done,
     /* 2201681 */   // Label 28962: @2201681
     /* 2201681 */   GIM_Try, /*On fail goto*//*Label 28963*/ GIMT_Encode4(2201772), // Rule ID 18995 //
     /* 2201686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2201689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2201694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2201697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2201700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2201703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2201706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2201709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2201716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2201724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201732 */     // MIs[0] round
     /* 2201732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201735 */     // MIs[0] policy
     /* 2201735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201745 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2201748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201771 */     // GIR_Coverage, 18995,
     /* 2201771 */     GIR_EraseRootFromParent_Done,
     /* 2201772 */   // Label 28963: @2201772
     /* 2201772 */   GIM_Try, /*On fail goto*//*Label 28964*/ GIMT_Encode4(2201863), // Rule ID 18998 //
     /* 2201777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2201780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2201785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2201788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2201791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2201794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2201797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2201800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2201807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2201815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201823 */     // MIs[0] round
     /* 2201823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201826 */     // MIs[0] policy
     /* 2201826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201836 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2201839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201862 */     // GIR_Coverage, 18998,
     /* 2201862 */     GIR_EraseRootFromParent_Done,
     /* 2201863 */   // Label 28964: @2201863
     /* 2201863 */   GIM_Try, /*On fail goto*//*Label 28965*/ GIMT_Encode4(2201954), // Rule ID 18999 //
     /* 2201868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2201871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2201876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2201879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2201882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2201885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2201888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2201891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2201898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2201906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201914 */     // MIs[0] round
     /* 2201914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201917 */     // MIs[0] policy
     /* 2201917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201927 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2201930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201953 */     // GIR_Coverage, 18999,
     /* 2201953 */     GIR_EraseRootFromParent_Done,
     /* 2201954 */   // Label 28965: @2201954
     /* 2201954 */   GIM_Try, /*On fail goto*//*Label 28966*/ GIMT_Encode4(2202045), // Rule ID 19002 //
     /* 2201959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2201962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2201967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2201970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2201973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2201976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2201979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2201982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2201989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2201993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2201997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202005 */     // MIs[0] round
     /* 2202005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202008 */     // MIs[0] policy
     /* 2202008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202018 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2202021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2202025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202044 */     // GIR_Coverage, 19002,
     /* 2202044 */     GIR_EraseRootFromParent_Done,
     /* 2202045 */   // Label 28966: @2202045
     /* 2202045 */   GIM_Try, /*On fail goto*//*Label 28967*/ GIMT_Encode4(2202136), // Rule ID 19003 //
     /* 2202050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2202053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2202058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2202061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2202064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2202067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2202070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2202073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2202080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202096 */     // MIs[0] round
     /* 2202096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202099 */     // MIs[0] policy
     /* 2202099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202109 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2202112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2202116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202135 */     // GIR_Coverage, 19003,
     /* 2202135 */     GIR_EraseRootFromParent_Done,
     /* 2202136 */   // Label 28967: @2202136
     /* 2202136 */   GIM_Try, /*On fail goto*//*Label 28968*/ GIMT_Encode4(2202227), // Rule ID 64361 //
     /* 2202141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2202144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2202149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2202152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2202155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2202158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2202161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2202164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2202171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202187 */     // MIs[0] round
     /* 2202187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202190 */     // MIs[0] policy
     /* 2202190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202200 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2202203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202226 */     // GIR_Coverage, 64361,
     /* 2202226 */     GIR_EraseRootFromParent_Done,
     /* 2202227 */   // Label 28968: @2202227
     /* 2202227 */   GIM_Try, /*On fail goto*//*Label 28969*/ GIMT_Encode4(2202318), // Rule ID 64362 //
     /* 2202232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2202235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2202240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2202243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2202246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2202249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2202252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2202255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2202262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202278 */     // MIs[0] round
     /* 2202278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202281 */     // MIs[0] policy
     /* 2202281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202291 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2202294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202317 */     // GIR_Coverage, 64362,
     /* 2202317 */     GIR_EraseRootFromParent_Done,
     /* 2202318 */   // Label 28969: @2202318
     /* 2202318 */   GIM_Try, /*On fail goto*//*Label 28970*/ GIMT_Encode4(2202409), // Rule ID 64365 //
     /* 2202323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2202326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2202331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2202334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2202337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2202340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2202343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2202346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2202353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202369 */     // MIs[0] round
     /* 2202369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202372 */     // MIs[0] policy
     /* 2202372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202382 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2202385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202408 */     // GIR_Coverage, 64365,
     /* 2202408 */     GIR_EraseRootFromParent_Done,
     /* 2202409 */   // Label 28970: @2202409
     /* 2202409 */   GIM_Try, /*On fail goto*//*Label 28971*/ GIMT_Encode4(2202500), // Rule ID 64366 //
     /* 2202414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2202417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2202422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2202425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2202428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2202431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2202434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2202437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2202444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202460 */     // MIs[0] round
     /* 2202460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202463 */     // MIs[0] policy
     /* 2202463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202473 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2202476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202499 */     // GIR_Coverage, 64366,
     /* 2202499 */     GIR_EraseRootFromParent_Done,
     /* 2202500 */   // Label 28971: @2202500
     /* 2202500 */   GIM_Try, /*On fail goto*//*Label 28972*/ GIMT_Encode4(2202591), // Rule ID 64369 //
     /* 2202505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2202508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2202513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2202516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2202519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2202522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2202525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2202528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2202535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202551 */     // MIs[0] round
     /* 2202551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202554 */     // MIs[0] policy
     /* 2202554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202564 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2202567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202590 */     // GIR_Coverage, 64369,
     /* 2202590 */     GIR_EraseRootFromParent_Done,
     /* 2202591 */   // Label 28972: @2202591
     /* 2202591 */   GIM_Try, /*On fail goto*//*Label 28973*/ GIMT_Encode4(2202682), // Rule ID 64370 //
     /* 2202596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2202599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2202604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2202607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2202610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2202613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2202616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2202619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2202626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202642 */     // MIs[0] round
     /* 2202642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202645 */     // MIs[0] policy
     /* 2202645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202655 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2202658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202681 */     // GIR_Coverage, 64370,
     /* 2202681 */     GIR_EraseRootFromParent_Done,
     /* 2202682 */   // Label 28973: @2202682
     /* 2202682 */   GIM_Try, /*On fail goto*//*Label 28974*/ GIMT_Encode4(2202773), // Rule ID 64373 //
     /* 2202687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2202690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2202695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2202698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2202701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2202704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2202707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2202710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2202717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202733 */     // MIs[0] round
     /* 2202733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202736 */     // MIs[0] policy
     /* 2202736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202746 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_M1_MASK),
     /* 2202749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202772 */     // GIR_Coverage, 64373,
     /* 2202772 */     GIR_EraseRootFromParent_Done,
     /* 2202773 */   // Label 28974: @2202773
     /* 2202773 */   GIM_Try, /*On fail goto*//*Label 28975*/ GIMT_Encode4(2202864), // Rule ID 64374 //
     /* 2202778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2202781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2202786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2202789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2202792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2202795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2202798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2202801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2202808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202824 */     // MIs[0] round
     /* 2202824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202827 */     // MIs[0] policy
     /* 2202827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202837 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_M1_MASK),
     /* 2202840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202863 */     // GIR_Coverage, 64374,
     /* 2202863 */     GIR_EraseRootFromParent_Done,
     /* 2202864 */   // Label 28975: @2202864
     /* 2202864 */   GIM_Try, /*On fail goto*//*Label 28976*/ GIMT_Encode4(2202955), // Rule ID 64377 //
     /* 2202869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2202872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2202877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2202880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2202883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2202886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2202889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2202892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2202899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202915 */     // MIs[0] round
     /* 2202915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202918 */     // MIs[0] policy
     /* 2202918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202928 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_M2_MASK),
     /* 2202931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202954 */     // GIR_Coverage, 64377,
     /* 2202954 */     GIR_EraseRootFromParent_Done,
     /* 2202955 */   // Label 28976: @2202955
     /* 2202955 */   GIM_Try, /*On fail goto*//*Label 28977*/ GIMT_Encode4(2203046), // Rule ID 64378 //
     /* 2202960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2202963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2202968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2202971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2202974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2202977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2202980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2202983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2202990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2203002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203006 */     // MIs[0] round
     /* 2203006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203009 */     // MIs[0] policy
     /* 2203009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203019 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_XU_F_QF_M2_MASK),
     /* 2203022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203045 */     // GIR_Coverage, 64378,
     /* 2203045 */     GIR_EraseRootFromParent_Done,
     /* 2203046 */   // Label 28977: @2203046
     /* 2203046 */   GIM_Try, /*On fail goto*//*Label 28978*/ GIMT_Encode4(2203137), // Rule ID 64381 //
     /* 2203051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2203054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2203059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2203062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2203065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2203068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2203071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2203074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2203093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203097 */     // MIs[0] round
     /* 2203097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203100 */     // MIs[0] policy
     /* 2203100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203110 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_MF8_MASK),
     /* 2203113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203136 */     // GIR_Coverage, 64381,
     /* 2203136 */     GIR_EraseRootFromParent_Done,
     /* 2203137 */   // Label 28978: @2203137
     /* 2203137 */   GIM_Try, /*On fail goto*//*Label 28979*/ GIMT_Encode4(2203228), // Rule ID 64382 //
     /* 2203142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2203145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2203150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2203153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2203156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2203159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2203162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2203165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2203184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203188 */     // MIs[0] round
     /* 2203188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203191 */     // MIs[0] policy
     /* 2203191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203201 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_MF8_MASK),
     /* 2203204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203227 */     // GIR_Coverage, 64382,
     /* 2203227 */     GIR_EraseRootFromParent_Done,
     /* 2203228 */   // Label 28979: @2203228
     /* 2203228 */   GIM_Try, /*On fail goto*//*Label 28980*/ GIMT_Encode4(2203319), // Rule ID 64385 //
     /* 2203233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2203236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2203241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2203244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2203247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2203250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2203253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2203256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2203275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203279 */     // MIs[0] round
     /* 2203279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203282 */     // MIs[0] policy
     /* 2203282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203292 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_MF4_MASK),
     /* 2203295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203318 */     // GIR_Coverage, 64385,
     /* 2203318 */     GIR_EraseRootFromParent_Done,
     /* 2203319 */   // Label 28980: @2203319
     /* 2203319 */   GIM_Try, /*On fail goto*//*Label 28981*/ GIMT_Encode4(2203410), // Rule ID 64386 //
     /* 2203324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2203327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2203332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2203335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2203338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2203341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2203344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2203347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2203366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203370 */     // MIs[0] round
     /* 2203370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203373 */     // MIs[0] policy
     /* 2203373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203383 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_MF4_MASK),
     /* 2203386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203409 */     // GIR_Coverage, 64386,
     /* 2203409 */     GIR_EraseRootFromParent_Done,
     /* 2203410 */   // Label 28981: @2203410
     /* 2203410 */   GIM_Try, /*On fail goto*//*Label 28982*/ GIMT_Encode4(2203501), // Rule ID 64389 //
     /* 2203415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2203418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2203423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2203426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2203429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2203432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2203435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2203438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2203457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203461 */     // MIs[0] round
     /* 2203461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203464 */     // MIs[0] policy
     /* 2203464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203474 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_MF2_MASK),
     /* 2203477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203500 */     // GIR_Coverage, 64389,
     /* 2203500 */     GIR_EraseRootFromParent_Done,
     /* 2203501 */   // Label 28982: @2203501
     /* 2203501 */   GIM_Try, /*On fail goto*//*Label 28983*/ GIMT_Encode4(2203592), // Rule ID 64390 //
     /* 2203506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2203509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2203514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2203517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2203520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2203523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2203526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2203529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2203548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203552 */     // MIs[0] round
     /* 2203552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203555 */     // MIs[0] policy
     /* 2203555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203565 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_MF2_MASK),
     /* 2203568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203591 */     // GIR_Coverage, 64390,
     /* 2203591 */     GIR_EraseRootFromParent_Done,
     /* 2203592 */   // Label 28983: @2203592
     /* 2203592 */   GIM_Try, /*On fail goto*//*Label 28984*/ GIMT_Encode4(2203683), // Rule ID 64393 //
     /* 2203597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2203600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2203605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2203608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2203611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2203614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2203617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2203620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2203639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203643 */     // MIs[0] round
     /* 2203643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203646 */     // MIs[0] policy
     /* 2203646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203656 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_M1_MASK),
     /* 2203659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203682 */     // GIR_Coverage, 64393,
     /* 2203682 */     GIR_EraseRootFromParent_Done,
     /* 2203683 */   // Label 28984: @2203683
     /* 2203683 */   GIM_Try, /*On fail goto*//*Label 28985*/ GIMT_Encode4(2203774), // Rule ID 64394 //
     /* 2203688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2203691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2203696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2203699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2203702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2203705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2203708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2203711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2203730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203734 */     // MIs[0] round
     /* 2203734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203737 */     // MIs[0] policy
     /* 2203737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203747 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_M1_MASK),
     /* 2203750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203773 */     // GIR_Coverage, 64394,
     /* 2203773 */     GIR_EraseRootFromParent_Done,
     /* 2203774 */   // Label 28985: @2203774
     /* 2203774 */   GIM_Try, /*On fail goto*//*Label 28986*/ GIMT_Encode4(2203865), // Rule ID 64397 //
     /* 2203779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2203782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2203787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2203790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2203793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2203796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2203799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2203802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2203809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2203821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203825 */     // MIs[0] round
     /* 2203825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203828 */     // MIs[0] policy
     /* 2203828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203838 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoSF_VFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_M2_MASK),
     /* 2203841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203864 */     // GIR_Coverage, 64397,
     /* 2203864 */     GIR_EraseRootFromParent_Done,
     /* 2203865 */   // Label 28986: @2203865
     /* 2203865 */   GIM_Try, /*On fail goto*//*Label 28987*/ GIMT_Encode4(2203956), // Rule ID 64398 //
     /* 2203870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2203873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2203878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2203881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2203884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2203887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2203890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2203893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2203900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2203912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203916 */     // MIs[0] round
     /* 2203916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203919 */     // MIs[0] policy
     /* 2203919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203929 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoSF_VFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoSF_VFNRCLIP_X_F_QF_M2_MASK),
     /* 2203932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203955 */     // GIR_Coverage, 64398,
     /* 2203955 */     GIR_EraseRootFromParent_Done,
     /* 2203956 */   // Label 28987: @2203956
     /* 2203956 */   GIM_Try, /*On fail goto*//*Label 28988*/ GIMT_Encode4(2204047), // Rule ID 65132 //
     /* 2203961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2203964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2203969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2203972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2203975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2203978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2203981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2203984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204007 */     // MIs[0] round
     /* 2204007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204010 */     // MIs[0] policy
     /* 2204010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204020 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF4_MASK),
     /* 2204023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204046 */     // GIR_Coverage, 65132,
     /* 2204046 */     GIR_EraseRootFromParent_Done,
     /* 2204047 */   // Label 28988: @2204047
     /* 2204047 */   GIM_Try, /*On fail goto*//*Label 28989*/ GIMT_Encode4(2204138), // Rule ID 65133 //
     /* 2204052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2204055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2204060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2204063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2204066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2204069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2204075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2204082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204098 */     // MIs[0] round
     /* 2204098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204101 */     // MIs[0] policy
     /* 2204101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204111 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF4_MASK),
     /* 2204114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204137 */     // GIR_Coverage, 65133,
     /* 2204137 */     GIR_EraseRootFromParent_Done,
     /* 2204138 */   // Label 28989: @2204138
     /* 2204138 */   GIM_Try, /*On fail goto*//*Label 28990*/ GIMT_Encode4(2204229), // Rule ID 65136 //
     /* 2204143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2204146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2204151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2204154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2204157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2204160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2204166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2204173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204189 */     // MIs[0] round
     /* 2204189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204192 */     // MIs[0] policy
     /* 2204192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204202 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF2_MASK),
     /* 2204205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204228 */     // GIR_Coverage, 65136,
     /* 2204228 */     GIR_EraseRootFromParent_Done,
     /* 2204229 */   // Label 28990: @2204229
     /* 2204229 */   GIM_Try, /*On fail goto*//*Label 28991*/ GIMT_Encode4(2204320), // Rule ID 65137 //
     /* 2204234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2204237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2204242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2204245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2204248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2204251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2204257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2204264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204280 */     // MIs[0] round
     /* 2204280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204283 */     // MIs[0] policy
     /* 2204283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204293 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF2_MASK),
     /* 2204296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204319 */     // GIR_Coverage, 65137,
     /* 2204319 */     GIR_EraseRootFromParent_Done,
     /* 2204320 */   // Label 28991: @2204320
     /* 2204320 */   GIM_Try, /*On fail goto*//*Label 28992*/ GIMT_Encode4(2204411), // Rule ID 65140 //
     /* 2204325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2204328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2204333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2204336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2204339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2204342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2204348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2204355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204371 */     // MIs[0] round
     /* 2204371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204374 */     // MIs[0] policy
     /* 2204374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204384 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M1_MASK),
     /* 2204387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204410 */     // GIR_Coverage, 65140,
     /* 2204410 */     GIR_EraseRootFromParent_Done,
     /* 2204411 */   // Label 28992: @2204411
     /* 2204411 */   GIM_Try, /*On fail goto*//*Label 28993*/ GIMT_Encode4(2204502), // Rule ID 65141 //
     /* 2204416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2204419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2204424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2204427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2204430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2204433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2204439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2204446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204462 */     // MIs[0] round
     /* 2204462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204465 */     // MIs[0] policy
     /* 2204465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204475 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M1_MASK),
     /* 2204478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204501 */     // GIR_Coverage, 65141,
     /* 2204501 */     GIR_EraseRootFromParent_Done,
     /* 2204502 */   // Label 28993: @2204502
     /* 2204502 */   GIM_Try, /*On fail goto*//*Label 28994*/ GIMT_Encode4(2204593), // Rule ID 65144 //
     /* 2204507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2204510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2204515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2204518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2204521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2204524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2204530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2204537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204553 */     // MIs[0] round
     /* 2204553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204556 */     // MIs[0] policy
     /* 2204556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204566 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M2_MASK),
     /* 2204569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204592 */     // GIR_Coverage, 65144,
     /* 2204592 */     GIR_EraseRootFromParent_Done,
     /* 2204593 */   // Label 28994: @2204593
     /* 2204593 */   GIM_Try, /*On fail goto*//*Label 28995*/ GIMT_Encode4(2204684), // Rule ID 65145 //
     /* 2204598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2204601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2204606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2204609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2204612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2204615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2204621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2204628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204644 */     // MIs[0] round
     /* 2204644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204647 */     // MIs[0] policy
     /* 2204647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204657 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M2_MASK),
     /* 2204660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204683 */     // GIR_Coverage, 65145,
     /* 2204683 */     GIR_EraseRootFromParent_Done,
     /* 2204684 */   // Label 28995: @2204684
     /* 2204684 */   GIM_Try, /*On fail goto*//*Label 28996*/ GIMT_Encode4(2204775), // Rule ID 65148 //
     /* 2204689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2204692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2204697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2204700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2204703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2204706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2204712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2204719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204735 */     // MIs[0] round
     /* 2204735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204738 */     // MIs[0] policy
     /* 2204738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204748 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M4_MASK),
     /* 2204751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204774 */     // GIR_Coverage, 65148,
     /* 2204774 */     GIR_EraseRootFromParent_Done,
     /* 2204775 */   // Label 28996: @2204775
     /* 2204775 */   GIM_Try, /*On fail goto*//*Label 28997*/ GIMT_Encode4(2204866), // Rule ID 65149 //
     /* 2204780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2204783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2204788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2204791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2204794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2204797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2204803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2204810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204826 */     // MIs[0] round
     /* 2204826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204829 */     // MIs[0] policy
     /* 2204829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204839 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M4_MASK),
     /* 2204842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204865 */     // GIR_Coverage, 65149,
     /* 2204865 */     GIR_EraseRootFromParent_Done,
     /* 2204866 */   // Label 28997: @2204866
     /* 2204866 */   GIM_Try, /*On fail goto*//*Label 28998*/ GIMT_Encode4(2204957), // Rule ID 65152 //
     /* 2204871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2204874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2204879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2204882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2204885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2204888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2204894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2204901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204917 */     // MIs[0] round
     /* 2204917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204920 */     // MIs[0] policy
     /* 2204920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204930 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M8_MASK),
     /* 2204933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204956 */     // GIR_Coverage, 65152,
     /* 2204956 */     GIR_EraseRootFromParent_Done,
     /* 2204957 */   // Label 28998: @2204957
     /* 2204957 */   GIM_Try, /*On fail goto*//*Label 28999*/ GIMT_Encode4(2205048), // Rule ID 65153 //
     /* 2204962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2204965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2204970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2204973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2204976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2204979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2204985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2204992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205008 */     // MIs[0] round
     /* 2205008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205011 */     // MIs[0] policy
     /* 2205011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205021 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M8_MASK),
     /* 2205024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205047 */     // GIR_Coverage, 65153,
     /* 2205047 */     GIR_EraseRootFromParent_Done,
     /* 2205048 */   // Label 28999: @2205048
     /* 2205048 */   GIM_Try, /*On fail goto*//*Label 29000*/ GIMT_Encode4(2205139), // Rule ID 65156 //
     /* 2205053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2205061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2205064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2205067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2205070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2205073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2205076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2205083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205099 */     // MIs[0] round
     /* 2205099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205102 */     // MIs[0] policy
     /* 2205102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205112 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF4_MASK),
     /* 2205115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205138 */     // GIR_Coverage, 65156,
     /* 2205138 */     GIR_EraseRootFromParent_Done,
     /* 2205139 */   // Label 29000: @2205139
     /* 2205139 */   GIM_Try, /*On fail goto*//*Label 29001*/ GIMT_Encode4(2205230), // Rule ID 65157 //
     /* 2205144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2205147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2205152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2205155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2205158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2205161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2205164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2205167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2205174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205190 */     // MIs[0] round
     /* 2205190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205193 */     // MIs[0] policy
     /* 2205193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205203 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF4_MASK),
     /* 2205206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205229 */     // GIR_Coverage, 65157,
     /* 2205229 */     GIR_EraseRootFromParent_Done,
     /* 2205230 */   // Label 29001: @2205230
     /* 2205230 */   GIM_Try, /*On fail goto*//*Label 29002*/ GIMT_Encode4(2205321), // Rule ID 65160 //
     /* 2205235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2205243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2205246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2205249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2205252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2205255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2205258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2205265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205281 */     // MIs[0] round
     /* 2205281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205284 */     // MIs[0] policy
     /* 2205284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205294 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF2_MASK),
     /* 2205297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205320 */     // GIR_Coverage, 65160,
     /* 2205320 */     GIR_EraseRootFromParent_Done,
     /* 2205321 */   // Label 29002: @2205321
     /* 2205321 */   GIM_Try, /*On fail goto*//*Label 29003*/ GIMT_Encode4(2205412), // Rule ID 65161 //
     /* 2205326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2205329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2205334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2205337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2205340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2205343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2205346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2205349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2205356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205372 */     // MIs[0] round
     /* 2205372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205375 */     // MIs[0] policy
     /* 2205375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205385 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF2_MASK),
     /* 2205388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205411 */     // GIR_Coverage, 65161,
     /* 2205411 */     GIR_EraseRootFromParent_Done,
     /* 2205412 */   // Label 29003: @2205412
     /* 2205412 */   GIM_Try, /*On fail goto*//*Label 29004*/ GIMT_Encode4(2205503), // Rule ID 65164 //
     /* 2205417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2205425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2205428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2205431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2205434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2205437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2205440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2205447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205463 */     // MIs[0] round
     /* 2205463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205466 */     // MIs[0] policy
     /* 2205466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205476 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11046:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M1_MASK),
     /* 2205479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205502 */     // GIR_Coverage, 65164,
     /* 2205502 */     GIR_EraseRootFromParent_Done,
     /* 2205503 */   // Label 29004: @2205503
     /* 2205503 */   GIM_Try, /*On fail goto*//*Label 29005*/ GIMT_Encode4(2205594), // Rule ID 65165 //
     /* 2205508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2205511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2205516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2205519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2205522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2205525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2205528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2205531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2205538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205554 */     // MIs[0] round
     /* 2205554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205557 */     // MIs[0] policy
     /* 2205557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205567 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11046:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M1_MASK),
     /* 2205570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205593 */     // GIR_Coverage, 65165,
     /* 2205593 */     GIR_EraseRootFromParent_Done,
     /* 2205594 */   // Label 29005: @2205594
     /* 2205594 */   GIM_Try, /*On fail goto*//*Label 29006*/ GIMT_Encode4(2205685), // Rule ID 65168 //
     /* 2205599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2205607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2205610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2205613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2205616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2205619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2205622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2205629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205645 */     // MIs[0] round
     /* 2205645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205648 */     // MIs[0] policy
     /* 2205648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205658 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M2_MASK),
     /* 2205661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205684 */     // GIR_Coverage, 65168,
     /* 2205684 */     GIR_EraseRootFromParent_Done,
     /* 2205685 */   // Label 29006: @2205685
     /* 2205685 */   GIM_Try, /*On fail goto*//*Label 29007*/ GIMT_Encode4(2205776), // Rule ID 65169 //
     /* 2205690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2205693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2205698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2205701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2205704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2205707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2205710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2205713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2205720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205736 */     // MIs[0] round
     /* 2205736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205739 */     // MIs[0] policy
     /* 2205739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205749 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M2_MASK),
     /* 2205752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205775 */     // GIR_Coverage, 65169,
     /* 2205775 */     GIR_EraseRootFromParent_Done,
     /* 2205776 */   // Label 29007: @2205776
     /* 2205776 */   GIM_Try, /*On fail goto*//*Label 29008*/ GIMT_Encode4(2205867), // Rule ID 65172 //
     /* 2205781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2205789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2205792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2205795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2205798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2205801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2205804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2205811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205827 */     // MIs[0] round
     /* 2205827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205830 */     // MIs[0] policy
     /* 2205830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205840 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M4_MASK),
     /* 2205843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205866 */     // GIR_Coverage, 65172,
     /* 2205866 */     GIR_EraseRootFromParent_Done,
     /* 2205867 */   // Label 29008: @2205867
     /* 2205867 */   GIM_Try, /*On fail goto*//*Label 29009*/ GIMT_Encode4(2205958), // Rule ID 65173 //
     /* 2205872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2205875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2205880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2205883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2205886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2205889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2205892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2205895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2205902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205918 */     // MIs[0] round
     /* 2205918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205921 */     // MIs[0] policy
     /* 2205921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205931 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M4_MASK),
     /* 2205934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205957 */     // GIR_Coverage, 65173,
     /* 2205957 */     GIR_EraseRootFromParent_Done,
     /* 2205958 */   // Label 29009: @2205958
     /* 2205958 */   GIM_Try, /*On fail goto*//*Label 29010*/ GIMT_Encode4(2206049), // Rule ID 65176 //
     /* 2205963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2205971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2205974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2205977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2205980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2205983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2205986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2205993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206009 */     // MIs[0] round
     /* 2206009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206012 */     // MIs[0] policy
     /* 2206012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206022 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2206022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M8_MASK),
     /* 2206025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2206035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206048 */     // GIR_Coverage, 65176,
     /* 2206048 */     GIR_EraseRootFromParent_Done,
     /* 2206049 */   // Label 29010: @2206049
     /* 2206049 */   GIM_Try, /*On fail goto*//*Label 29011*/ GIMT_Encode4(2206140), // Rule ID 65177 //
     /* 2206054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2206057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2206062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2206065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2206068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2206071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2206077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2206080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2206084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206100 */     // MIs[0] round
     /* 2206100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206103 */     // MIs[0] policy
     /* 2206103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206113 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2206113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M8_MASK),
     /* 2206116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2206126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206139 */     // GIR_Coverage, 65177,
     /* 2206139 */     GIR_EraseRootFromParent_Done,
     /* 2206140 */   // Label 29011: @2206140
     /* 2206140 */   GIM_Reject,
     /* 2206141 */ // Label 26943: @2206141
     /* 2206141 */ GIM_Reject,
     /* 2206142 */ // Label 38: @2206142
     /* 2206142 */ GIM_Try, /*On fail goto*//*Label 29012*/ GIMT_Encode4(2206194),
     /* 2206147 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/1,
     /* 2206150 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::riscv_pause),
     /* 2206155 */   GIM_Try, /*On fail goto*//*Label 29013*/ GIMT_Encode4(2206174), // Rule ID 299 //
     /* 2206160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZihintpause_HwMode0),
     /* 2206163 */     // (intrinsic_void 11055:{ *:[iPTR] })  =>  (FENCE 1:{ *:[i64] }, 0:{ *:[i64] })
     /* 2206163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /* 2206166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2206169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2206172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206173 */     // GIR_Coverage, 299,
     /* 2206173 */     GIR_EraseRootFromParent_Done,
     /* 2206174 */   // Label 29013: @2206174
     /* 2206174 */   GIM_Try, /*On fail goto*//*Label 29014*/ GIMT_Encode4(2206193), // Rule ID 300 //
     /* 2206179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZihintpause_HwMode1),
     /* 2206182 */     // (intrinsic_void 11055:{ *:[iPTR] })  =>  (FENCE 1:{ *:[i32] }, 0:{ *:[i32] })
     /* 2206182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /* 2206185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2206188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2206191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206192 */     // GIR_Coverage, 300,
     /* 2206192 */     GIR_EraseRootFromParent_Done,
     /* 2206193 */   // Label 29014: @2206193
     /* 2206193 */   GIM_Reject,
     /* 2206194 */ // Label 29012: @2206194
     /* 2206194 */ GIM_Try, /*On fail goto*//*Label 29015*/ GIMT_Encode4(2206277), // Rule ID 41 //
     /* 2206199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2206202 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 2206205 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 2206210 */   // MIs[0] Operand 1
     /* 2206210 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 2206214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRX5RegClassID),
     /* 2206218 */   // MIs[0] ptr
     /* 2206218 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2206222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRJALRRegClassID),
     /* 2206226 */   // MIs[0] accessinfo
     /* 2206226 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 2206229 */   // (intrinsic_void 195:{ *:[iPTR] }, X5:{ *:[i64] }, GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 2206229 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2206233 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X5), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206239 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X5
     /* 2206243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 2206246 */   GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 2206248 */   GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 2206250 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X1*/0,
     /* 2206253 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X6*/1,
     /* 2206256 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X7*/2,
     /* 2206259 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X28*/3,
     /* 2206262 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X29*/4,
     /* 2206265 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X30*/5,
     /* 2206268 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X31*/6,
     /* 2206271 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2206275 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206276 */   // GIR_Coverage, 41,
     /* 2206276 */   GIR_EraseRootFromParent_Done,
     /* 2206277 */ // Label 29015: @2206277
     /* 2206277 */ GIM_Try, /*On fail goto*//*Label 29016*/ GIMT_Encode4(2207182),
     /* 2206282 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 2206285 */   GIM_Try, /*On fail goto*//*Label 29017*/ GIMT_Encode4(2206357), // Rule ID 633 //
     /* 2206290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2206293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i32),
     /* 2206298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2206301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2206304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206311 */     // MIs[0] addr
     /* 2206311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2206315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206327 */     // MIs[0] ordering
     /* 2206327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2206330 */     // (intrinsic_w_chain:{ *:[i32] } 11032:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2206330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2206333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2206336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2206338 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2206343 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2206345 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2206347 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2206349 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2206351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2206355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206356 */     // GIR_Coverage, 633,
     /* 2206356 */     GIR_EraseRootFromParent_Done,
     /* 2206357 */   // Label 29017: @2206357
     /* 2206357 */   GIM_Try, /*On fail goto*//*Label 29018*/ GIMT_Encode4(2206429), // Rule ID 634 //
     /* 2206362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2206365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i32),
     /* 2206370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2206373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2206376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206383 */     // MIs[0] addr
     /* 2206383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2206387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206399 */     // MIs[0] ordering
     /* 2206399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2206402 */     // (intrinsic_w_chain:{ *:[i32] } 11018:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2206402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2206405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2206408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2206410 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2206415 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2206417 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2206419 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2206421 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2206423 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2206427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206428 */     // GIR_Coverage, 634,
     /* 2206428 */     GIR_EraseRootFromParent_Done,
     /* 2206429 */   // Label 29018: @2206429
     /* 2206429 */   GIM_Try, /*On fail goto*//*Label 29019*/ GIMT_Encode4(2206501), // Rule ID 635 //
     /* 2206434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2206437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i32),
     /* 2206442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2206445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2206448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206455 */     // MIs[0] addr
     /* 2206455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2206459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206471 */     // MIs[0] ordering
     /* 2206471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2206474 */     // (intrinsic_w_chain:{ *:[i32] } 11026:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2206474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2206477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2206480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2206482 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2206487 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2206489 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2206491 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2206493 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2206495 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2206499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206500 */     // GIR_Coverage, 635,
     /* 2206500 */     GIR_EraseRootFromParent_Done,
     /* 2206501 */   // Label 29019: @2206501
     /* 2206501 */   GIM_Try, /*On fail goto*//*Label 29020*/ GIMT_Encode4(2206573), // Rule ID 636 //
     /* 2206506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2206509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i32),
     /* 2206514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2206517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2206520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206527 */     // MIs[0] addr
     /* 2206527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2206531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206543 */     // MIs[0] ordering
     /* 2206543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2206546 */     // (intrinsic_w_chain:{ *:[i32] } 11024:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2206546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2206549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2206552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2206554 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2206559 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2206561 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2206563 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2206565 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2206567 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2206571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206572 */     // GIR_Coverage, 636,
     /* 2206572 */     GIR_EraseRootFromParent_Done,
     /* 2206573 */   // Label 29020: @2206573
     /* 2206573 */   GIM_Try, /*On fail goto*//*Label 29021*/ GIMT_Encode4(2206653), // Rule ID 639 //
     /* 2206578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2206581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i32),
     /* 2206586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2206589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2206592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206599 */     // MIs[0] addr
     /* 2206599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2206603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206615 */     // MIs[0] ordering
     /* 2206615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2206618 */     // (intrinsic_w_chain:{ *:[i32] } 11028:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2206618 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2206621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2206624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2206627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2206629 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2206634 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2206639 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2206641 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2206643 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2206645 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2206647 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2206651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206652 */     // GIR_Coverage, 639,
     /* 2206652 */     GIR_EraseRootFromParent_Done,
     /* 2206653 */   // Label 29021: @2206653
     /* 2206653 */   GIM_Try, /*On fail goto*//*Label 29022*/ GIMT_Encode4(2206733), // Rule ID 640 //
     /* 2206658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2206661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i32),
     /* 2206666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2206669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2206672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206679 */     // MIs[0] addr
     /* 2206679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2206683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206695 */     // MIs[0] ordering
     /* 2206695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2206698 */     // (intrinsic_w_chain:{ *:[i32] } 11030:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2206698 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2206701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2206704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2206707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2206709 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2206714 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2206719 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2206721 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2206723 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2206725 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2206727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2206731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206732 */     // GIR_Coverage, 640,
     /* 2206732 */     GIR_EraseRootFromParent_Done,
     /* 2206733 */   // Label 29022: @2206733
     /* 2206733 */   GIM_Try, /*On fail goto*//*Label 29023*/ GIMT_Encode4(2206805), // Rule ID 646 //
     /* 2206738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2206741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i64),
     /* 2206746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2206749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2206752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2206755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206759 */     // MIs[0] addr
     /* 2206759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2206763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206775 */     // MIs[0] ordering
     /* 2206775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2206778 */     // (intrinsic_w_chain:{ *:[i64] } 11033:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2206778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2206781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2206784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2206786 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2206791 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2206793 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2206795 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2206797 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2206799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2206803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206804 */     // GIR_Coverage, 646,
     /* 2206804 */     GIR_EraseRootFromParent_Done,
     /* 2206805 */   // Label 29023: @2206805
     /* 2206805 */   GIM_Try, /*On fail goto*//*Label 29024*/ GIMT_Encode4(2206877), // Rule ID 647 //
     /* 2206810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2206813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i64),
     /* 2206818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2206821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2206824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2206827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206831 */     // MIs[0] addr
     /* 2206831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2206835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206847 */     // MIs[0] ordering
     /* 2206847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2206850 */     // (intrinsic_w_chain:{ *:[i64] } 11019:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2206850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2206853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2206856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2206858 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2206863 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2206865 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2206867 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2206869 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2206871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2206875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206876 */     // GIR_Coverage, 647,
     /* 2206876 */     GIR_EraseRootFromParent_Done,
     /* 2206877 */   // Label 29024: @2206877
     /* 2206877 */   GIM_Try, /*On fail goto*//*Label 29025*/ GIMT_Encode4(2206949), // Rule ID 648 //
     /* 2206882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2206885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i64),
     /* 2206890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2206893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2206896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2206899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206903 */     // MIs[0] addr
     /* 2206903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2206907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206919 */     // MIs[0] ordering
     /* 2206919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2206922 */     // (intrinsic_w_chain:{ *:[i64] } 11027:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2206922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2206925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2206928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2206930 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2206935 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2206937 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2206939 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2206941 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2206943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2206947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206948 */     // GIR_Coverage, 648,
     /* 2206948 */     GIR_EraseRootFromParent_Done,
     /* 2206949 */   // Label 29025: @2206949
     /* 2206949 */   GIM_Try, /*On fail goto*//*Label 29026*/ GIMT_Encode4(2207021), // Rule ID 649 //
     /* 2206954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2206957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i64),
     /* 2206962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2206965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2206968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2206971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206975 */     // MIs[0] addr
     /* 2206975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2206979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206991 */     // MIs[0] ordering
     /* 2206991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2206994 */     // (intrinsic_w_chain:{ *:[i64] } 11025:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2206994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2206997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2207000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2207002 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207007 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2207009 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2207011 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2207013 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2207015 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2207019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207020 */     // GIR_Coverage, 649,
     /* 2207020 */     GIR_EraseRootFromParent_Done,
     /* 2207021 */   // Label 29026: @2207021
     /* 2207021 */   GIM_Try, /*On fail goto*//*Label 29027*/ GIMT_Encode4(2207101), // Rule ID 652 //
     /* 2207026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2207029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i64),
     /* 2207034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2207037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2207040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2207043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207047 */     // MIs[0] addr
     /* 2207047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2207051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207063 */     // MIs[0] ordering
     /* 2207063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2207066 */     // (intrinsic_w_chain:{ *:[i64] } 11029:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2207066 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2207069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2207072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2207075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2207077 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207082 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207087 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2207089 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2207091 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2207093 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2207095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2207099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207100 */     // GIR_Coverage, 652,
     /* 2207100 */     GIR_EraseRootFromParent_Done,
     /* 2207101 */   // Label 29027: @2207101
     /* 2207101 */   GIM_Try, /*On fail goto*//*Label 29028*/ GIMT_Encode4(2207181), // Rule ID 653 //
     /* 2207106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2207109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i64),
     /* 2207114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2207117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2207120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2207123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207127 */     // MIs[0] addr
     /* 2207127 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2207131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207143 */     // MIs[0] ordering
     /* 2207143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2207146 */     // (intrinsic_w_chain:{ *:[i64] } 11031:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2207146 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2207149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2207152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2207155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2207157 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207162 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207167 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2207169 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2207171 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2207173 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2207175 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2207179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207180 */     // GIR_Coverage, 653,
     /* 2207180 */     GIR_EraseRootFromParent_Done,
     /* 2207181 */   // Label 29028: @2207181
     /* 2207181 */   GIM_Reject,
     /* 2207182 */ // Label 29016: @2207182
     /* 2207182 */ GIM_Try, /*On fail goto*//*Label 29029*/ GIMT_Encode4(2207709),
     /* 2207187 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 2207190 */   GIM_Try, /*On fail goto*//*Label 29030*/ GIMT_Encode4(2207279), // Rule ID 637 //
     /* 2207195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2207198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i32),
     /* 2207203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2207206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2207209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2207215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207219 */     // MIs[0] addr
     /* 2207219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2207223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207239 */     // MIs[0] ordering
     /* 2207239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207242 */     // (intrinsic_w_chain:{ *:[i32] } 11020:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2207242 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2207245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2207248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2207251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2207253 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207258 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207263 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2207265 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2207267 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2207269 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2207271 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2207273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2207277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207278 */     // GIR_Coverage, 637,
     /* 2207278 */     GIR_EraseRootFromParent_Done,
     /* 2207279 */   // Label 29030: @2207279
     /* 2207279 */   GIM_Try, /*On fail goto*//*Label 29031*/ GIMT_Encode4(2207368), // Rule ID 638 //
     /* 2207284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2207287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i32),
     /* 2207292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2207295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2207298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2207304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207308 */     // MIs[0] addr
     /* 2207308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2207312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207328 */     // MIs[0] ordering
     /* 2207328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207331 */     // (intrinsic_w_chain:{ *:[i32] } 11022:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2207331 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2207334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2207337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2207340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2207342 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207347 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207352 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2207354 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2207356 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2207358 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2207360 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2207362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2207366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207367 */     // GIR_Coverage, 638,
     /* 2207367 */     GIR_EraseRootFromParent_Done,
     /* 2207368 */   // Label 29031: @2207368
     /* 2207368 */   GIM_Try, /*On fail goto*//*Label 29032*/ GIMT_Encode4(2207457), // Rule ID 650 //
     /* 2207373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2207376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i64),
     /* 2207381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2207384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2207387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2207390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2207393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207397 */     // MIs[0] addr
     /* 2207397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2207401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207417 */     // MIs[0] ordering
     /* 2207417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207420 */     // (intrinsic_w_chain:{ *:[i64] } 11021:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2207420 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2207423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2207426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2207429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2207431 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207436 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207441 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2207443 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2207445 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2207447 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2207449 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2207451 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2207455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207456 */     // GIR_Coverage, 650,
     /* 2207456 */     GIR_EraseRootFromParent_Done,
     /* 2207457 */   // Label 29032: @2207457
     /* 2207457 */   GIM_Try, /*On fail goto*//*Label 29033*/ GIMT_Encode4(2207546), // Rule ID 651 //
     /* 2207462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2207465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i64),
     /* 2207470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2207473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2207476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2207479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2207482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207486 */     // MIs[0] addr
     /* 2207486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2207490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207506 */     // MIs[0] ordering
     /* 2207506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207509 */     // (intrinsic_w_chain:{ *:[i64] } 11023:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2207509 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2207512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2207515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2207518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2207520 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207525 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207530 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2207532 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2207534 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2207536 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2207538 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2207540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2207544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207545 */     // GIR_Coverage, 651,
     /* 2207545 */     GIR_EraseRootFromParent_Done,
     /* 2207546 */   // Label 29033: @2207546
     /* 2207546 */   GIM_Try, /*On fail goto*//*Label 29034*/ GIMT_Encode4(2207627), // Rule ID 669 //
     /* 2207551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2207554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i32),
     /* 2207559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2207562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2207565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2207571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207575 */     // MIs[0] addr
     /* 2207575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2207579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207595 */     // MIs[0] ordering
     /* 2207595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207598 */     // (intrinsic_w_chain:{ *:[i32] } 11034:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2207598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2207601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2207604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2207606 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207611 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2207613 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2207615 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2207617 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2207619 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2207621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2207625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207626 */     // GIR_Coverage, 669,
     /* 2207626 */     GIR_EraseRootFromParent_Done,
     /* 2207627 */   // Label 29034: @2207627
     /* 2207627 */   GIM_Try, /*On fail goto*//*Label 29035*/ GIMT_Encode4(2207708), // Rule ID 670 //
     /* 2207632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2207635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i64),
     /* 2207640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2207643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2207646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2207649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2207652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207656 */     // MIs[0] addr
     /* 2207656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2207660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207676 */     // MIs[0] ordering
     /* 2207676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207679 */     // (intrinsic_w_chain:{ *:[i64] } 11035:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2207679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2207682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2207685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2207687 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2207692 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2207694 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2207696 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2207698 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2207700 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2207702 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2207706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207707 */     // GIR_Coverage, 670,
     /* 2207707 */     GIR_EraseRootFromParent_Done,
     /* 2207708 */   // Label 29035: @2207708
     /* 2207708 */   GIM_Reject,
     /* 2207709 */ // Label 29029: @2207709
     /* 2207709 */ GIM_Reject,
     /* 2207710 */ // Label 39: @2207710
     /* 2207710 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(32), /*)*//*default:*//*Label 29051*/ GIMT_Encode4(2210830),
     /* 2207721 */ /*GILLT_nxv1s16*//*Label 29036*/ GIMT_Encode4(2207821),
     /* 2207725 */ /*GILLT_nxv1s32*//*Label 29037*/ GIMT_Encode4(2207925),
     /* 2207729 */ /*GILLT_nxv1s64*//*Label 29038*/ GIMT_Encode4(2208142), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2207741 */ /*GILLT_nxv2s16*//*Label 29039*/ GIMT_Encode4(2208467),
     /* 2207745 */ /*GILLT_nxv2s32*//*Label 29040*/ GIMT_Encode4(2208571),
     /* 2207749 */ /*GILLT_nxv2s64*//*Label 29041*/ GIMT_Encode4(2208788), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2207761 */ /*GILLT_nxv4s16*//*Label 29042*/ GIMT_Encode4(2209113),
     /* 2207765 */ /*GILLT_nxv4s32*//*Label 29043*/ GIMT_Encode4(2209217),
     /* 2207769 */ /*GILLT_nxv4s64*//*Label 29044*/ GIMT_Encode4(2209434), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2207781 */ /*GILLT_nxv8s16*//*Label 29045*/ GIMT_Encode4(2209759),
     /* 2207785 */ /*GILLT_nxv8s32*//*Label 29046*/ GIMT_Encode4(2209863),
     /* 2207789 */ /*GILLT_nxv8s64*//*Label 29047*/ GIMT_Encode4(2210080), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2207801 */ /*GILLT_nxv16s16*//*Label 29048*/ GIMT_Encode4(2210405),
     /* 2207805 */ /*GILLT_nxv16s32*//*Label 29049*/ GIMT_Encode4(2210509), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2207817 */ /*GILLT_nxv32s16*//*Label 29050*/ GIMT_Encode4(2210726),
     /* 2207821 */ // Label 29036: @2207821
     /* 2207821 */ GIM_Try, /*On fail goto*//*Label 29052*/ GIMT_Encode4(2207924),
     /* 2207826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2207829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207837 */   GIM_Try, /*On fail goto*//*Label 29053*/ GIMT_Encode4(2207880), // Rule ID 47490 //
     /* 2207842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207845 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2207848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2207862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207879 */     // GIR_Coverage, 47490,
     /* 2207879 */     GIR_EraseRootFromParent_Done,
     /* 2207880 */   // Label 29053: @2207880
     /* 2207880 */   GIM_Try, /*On fail goto*//*Label 29054*/ GIMT_Encode4(2207923), // Rule ID 47491 //
     /* 2207885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207888 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2207891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2207905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207922 */     // GIR_Coverage, 47491,
     /* 2207922 */     GIR_EraseRootFromParent_Done,
     /* 2207923 */   // Label 29054: @2207923
     /* 2207923 */   GIM_Reject,
     /* 2207924 */ // Label 29052: @2207924
     /* 2207924 */ GIM_Reject,
     /* 2207925 */ // Label 29037: @2207925
     /* 2207925 */ GIM_Try, /*On fail goto*//*Label 29055*/ GIMT_Encode4(2207979), // Rule ID 47514 //
     /* 2207930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2207936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207944 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207944 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2207947 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207951 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207956 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2207961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207963 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207966 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207977 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207978 */   // GIR_Coverage, 47514,
     /* 2207978 */   GIR_EraseRootFromParent_Done,
     /* 2207979 */ // Label 29055: @2207979
     /* 2207979 */ GIM_Try, /*On fail goto*//*Label 29056*/ GIMT_Encode4(2208033), // Rule ID 47515 //
     /* 2207984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2207990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207998 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207998 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2208001 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208005 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208010 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2208015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208017 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208020 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208031 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208032 */   // GIR_Coverage, 47515,
     /* 2208032 */   GIR_EraseRootFromParent_Done,
     /* 2208033 */ // Label 29056: @2208033
     /* 2208033 */ GIM_Try, /*On fail goto*//*Label 29057*/ GIMT_Encode4(2208087), // Rule ID 47580 //
     /* 2208038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2208044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208052 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208052 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2208055 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208059 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208064 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2208069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208071 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208074 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208086 */   // GIR_Coverage, 47580,
     /* 2208086 */   GIR_EraseRootFromParent_Done,
     /* 2208087 */ // Label 29057: @2208087
     /* 2208087 */ GIM_Try, /*On fail goto*//*Label 29058*/ GIMT_Encode4(2208141), // Rule ID 47581 //
     /* 2208092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2208098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208106 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208106 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2208109 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208113 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208118 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2208123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208125 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208128 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208140 */   // GIR_Coverage, 47581,
     /* 2208140 */   GIR_EraseRootFromParent_Done,
     /* 2208141 */ // Label 29058: @2208141
     /* 2208141 */ GIM_Reject,
     /* 2208142 */ // Label 29038: @2208142
     /* 2208142 */ GIM_Try, /*On fail goto*//*Label 29059*/ GIMT_Encode4(2208196), // Rule ID 47534 //
     /* 2208147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2208153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208161 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208161 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2208164 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208168 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208173 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2208178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208180 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208183 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208195 */   // GIR_Coverage, 47534,
     /* 2208195 */   GIR_EraseRootFromParent_Done,
     /* 2208196 */ // Label 29059: @2208196
     /* 2208196 */ GIM_Try, /*On fail goto*//*Label 29060*/ GIMT_Encode4(2208250), // Rule ID 47535 //
     /* 2208201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2208207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208215 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208215 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2208218 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208222 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208227 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2208232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208234 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208237 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208249 */   // GIR_Coverage, 47535,
     /* 2208249 */   GIR_EraseRootFromParent_Done,
     /* 2208250 */ // Label 29060: @2208250
     /* 2208250 */ GIM_Try, /*On fail goto*//*Label 29061*/ GIMT_Encode4(2208304), // Rule ID 47600 //
     /* 2208255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2208261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208269 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208269 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2208272 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208276 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208281 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2208286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208288 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208291 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208303 */   // GIR_Coverage, 47600,
     /* 2208303 */   GIR_EraseRootFromParent_Done,
     /* 2208304 */ // Label 29061: @2208304
     /* 2208304 */ GIM_Try, /*On fail goto*//*Label 29062*/ GIMT_Encode4(2208358), // Rule ID 47601 //
     /* 2208309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2208315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208323 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208323 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2208326 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208330 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208335 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2208340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208342 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208345 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208357 */   // GIR_Coverage, 47601,
     /* 2208357 */   GIR_EraseRootFromParent_Done,
     /* 2208358 */ // Label 29062: @2208358
     /* 2208358 */ GIM_Try, /*On fail goto*//*Label 29063*/ GIMT_Encode4(2208412), // Rule ID 47634 //
     /* 2208363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2208369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208377 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208377 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2208380 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208384 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208389 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2208394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208396 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208399 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208411 */   // GIR_Coverage, 47634,
     /* 2208411 */   GIR_EraseRootFromParent_Done,
     /* 2208412 */ // Label 29063: @2208412
     /* 2208412 */ GIM_Try, /*On fail goto*//*Label 29064*/ GIMT_Encode4(2208466), // Rule ID 47635 //
     /* 2208417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2208423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208431 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208431 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2208434 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208438 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208443 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2208448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208450 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208453 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208464 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208465 */   // GIR_Coverage, 47635,
     /* 2208465 */   GIR_EraseRootFromParent_Done,
     /* 2208466 */ // Label 29064: @2208466
     /* 2208466 */ GIM_Reject,
     /* 2208467 */ // Label 29039: @2208467
     /* 2208467 */ GIM_Try, /*On fail goto*//*Label 29065*/ GIMT_Encode4(2208570),
     /* 2208472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2208475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208483 */   GIM_Try, /*On fail goto*//*Label 29066*/ GIMT_Encode4(2208526), // Rule ID 47494 //
     /* 2208488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208491 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2208494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2208508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208525 */     // GIR_Coverage, 47494,
     /* 2208525 */     GIR_EraseRootFromParent_Done,
     /* 2208526 */   // Label 29066: @2208526
     /* 2208526 */   GIM_Try, /*On fail goto*//*Label 29067*/ GIMT_Encode4(2208569), // Rule ID 47495 //
     /* 2208531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208534 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2208537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2208551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208568 */     // GIR_Coverage, 47495,
     /* 2208568 */     GIR_EraseRootFromParent_Done,
     /* 2208569 */   // Label 29067: @2208569
     /* 2208569 */   GIM_Reject,
     /* 2208570 */ // Label 29065: @2208570
     /* 2208570 */ GIM_Reject,
     /* 2208571 */ // Label 29040: @2208571
     /* 2208571 */ GIM_Try, /*On fail goto*//*Label 29068*/ GIMT_Encode4(2208625), // Rule ID 47518 //
     /* 2208576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2208582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208590 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208590 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2208593 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208597 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208602 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2208607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208609 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208612 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208624 */   // GIR_Coverage, 47518,
     /* 2208624 */   GIR_EraseRootFromParent_Done,
     /* 2208625 */ // Label 29068: @2208625
     /* 2208625 */ GIM_Try, /*On fail goto*//*Label 29069*/ GIMT_Encode4(2208679), // Rule ID 47519 //
     /* 2208630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2208636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208644 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208644 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2208647 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208651 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208656 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2208661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208663 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208666 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208678 */   // GIR_Coverage, 47519,
     /* 2208678 */   GIR_EraseRootFromParent_Done,
     /* 2208679 */ // Label 29069: @2208679
     /* 2208679 */ GIM_Try, /*On fail goto*//*Label 29070*/ GIMT_Encode4(2208733), // Rule ID 47584 //
     /* 2208684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2208690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208698 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208698 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2208701 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208705 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208710 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2208715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208717 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208720 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208731 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208732 */   // GIR_Coverage, 47584,
     /* 2208732 */   GIR_EraseRootFromParent_Done,
     /* 2208733 */ // Label 29070: @2208733
     /* 2208733 */ GIM_Try, /*On fail goto*//*Label 29071*/ GIMT_Encode4(2208787), // Rule ID 47585 //
     /* 2208738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2208744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208752 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208752 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2208755 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208759 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208764 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2208769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208771 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208774 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208785 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208786 */   // GIR_Coverage, 47585,
     /* 2208786 */   GIR_EraseRootFromParent_Done,
     /* 2208787 */ // Label 29071: @2208787
     /* 2208787 */ GIM_Reject,
     /* 2208788 */ // Label 29041: @2208788
     /* 2208788 */ GIM_Try, /*On fail goto*//*Label 29072*/ GIMT_Encode4(2208842), // Rule ID 47538 //
     /* 2208793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208807 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208807 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208810 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208814 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208819 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2208824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208826 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208829 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208841 */   // GIR_Coverage, 47538,
     /* 2208841 */   GIR_EraseRootFromParent_Done,
     /* 2208842 */ // Label 29072: @2208842
     /* 2208842 */ GIM_Try, /*On fail goto*//*Label 29073*/ GIMT_Encode4(2208896), // Rule ID 47539 //
     /* 2208847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208861 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208861 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208864 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208868 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208873 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2208878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208880 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208883 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208895 */   // GIR_Coverage, 47539,
     /* 2208895 */   GIR_EraseRootFromParent_Done,
     /* 2208896 */ // Label 29073: @2208896
     /* 2208896 */ GIM_Try, /*On fail goto*//*Label 29074*/ GIMT_Encode4(2208950), // Rule ID 47604 //
     /* 2208901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2208907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208915 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208915 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208918 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208922 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208927 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2208932 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208934 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208937 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208949 */   // GIR_Coverage, 47604,
     /* 2208949 */   GIR_EraseRootFromParent_Done,
     /* 2208950 */ // Label 29074: @2208950
     /* 2208950 */ GIM_Try, /*On fail goto*//*Label 29075*/ GIMT_Encode4(2209004), // Rule ID 47605 //
     /* 2208955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2208961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208969 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208969 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208972 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208976 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208981 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2208986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208988 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208991 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209003 */   // GIR_Coverage, 47605,
     /* 2209003 */   GIR_EraseRootFromParent_Done,
     /* 2209004 */ // Label 29075: @2209004
     /* 2209004 */ GIM_Try, /*On fail goto*//*Label 29076*/ GIMT_Encode4(2209058), // Rule ID 47638 //
     /* 2209009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2209015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209019 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209023 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209023 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2209026 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209030 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209035 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2209040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209042 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209045 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209057 */   // GIR_Coverage, 47638,
     /* 2209057 */   GIR_EraseRootFromParent_Done,
     /* 2209058 */ // Label 29076: @2209058
     /* 2209058 */ GIM_Try, /*On fail goto*//*Label 29077*/ GIMT_Encode4(2209112), // Rule ID 47639 //
     /* 2209063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2209069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209077 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209077 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2209080 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209084 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209089 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2209094 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209096 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209099 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209111 */   // GIR_Coverage, 47639,
     /* 2209111 */   GIR_EraseRootFromParent_Done,
     /* 2209112 */ // Label 29077: @2209112
     /* 2209112 */ GIM_Reject,
     /* 2209113 */ // Label 29042: @2209113
     /* 2209113 */ GIM_Try, /*On fail goto*//*Label 29078*/ GIMT_Encode4(2209216),
     /* 2209118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2209121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209129 */   GIM_Try, /*On fail goto*//*Label 29079*/ GIMT_Encode4(2209172), // Rule ID 47498 //
     /* 2209134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209137 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2209140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2209154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209171 */     // GIR_Coverage, 47498,
     /* 2209171 */     GIR_EraseRootFromParent_Done,
     /* 2209172 */   // Label 29079: @2209172
     /* 2209172 */   GIM_Try, /*On fail goto*//*Label 29080*/ GIMT_Encode4(2209215), // Rule ID 47499 //
     /* 2209177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209180 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2209183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2209197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209214 */     // GIR_Coverage, 47499,
     /* 2209214 */     GIR_EraseRootFromParent_Done,
     /* 2209215 */   // Label 29080: @2209215
     /* 2209215 */   GIM_Reject,
     /* 2209216 */ // Label 29078: @2209216
     /* 2209216 */ GIM_Reject,
     /* 2209217 */ // Label 29043: @2209217
     /* 2209217 */ GIM_Try, /*On fail goto*//*Label 29081*/ GIMT_Encode4(2209271), // Rule ID 47522 //
     /* 2209222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209236 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209236 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209239 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209243 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209248 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2209253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209255 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209258 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209270 */   // GIR_Coverage, 47522,
     /* 2209270 */   GIR_EraseRootFromParent_Done,
     /* 2209271 */ // Label 29081: @2209271
     /* 2209271 */ GIM_Try, /*On fail goto*//*Label 29082*/ GIMT_Encode4(2209325), // Rule ID 47523 //
     /* 2209276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209290 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209290 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209293 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209297 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209302 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2209307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209309 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209312 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209324 */   // GIR_Coverage, 47523,
     /* 2209324 */   GIR_EraseRootFromParent_Done,
     /* 2209325 */ // Label 29082: @2209325
     /* 2209325 */ GIM_Try, /*On fail goto*//*Label 29083*/ GIMT_Encode4(2209379), // Rule ID 47588 //
     /* 2209330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2209336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209344 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209344 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209347 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209351 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209356 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2209361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209363 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209366 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209377 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209378 */   // GIR_Coverage, 47588,
     /* 2209378 */   GIR_EraseRootFromParent_Done,
     /* 2209379 */ // Label 29083: @2209379
     /* 2209379 */ GIM_Try, /*On fail goto*//*Label 29084*/ GIMT_Encode4(2209433), // Rule ID 47589 //
     /* 2209384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2209390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209398 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209398 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209401 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209405 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209410 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2209415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209417 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209420 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209432 */   // GIR_Coverage, 47589,
     /* 2209432 */   GIR_EraseRootFromParent_Done,
     /* 2209433 */ // Label 29084: @2209433
     /* 2209433 */ GIM_Reject,
     /* 2209434 */ // Label 29044: @2209434
     /* 2209434 */ GIM_Try, /*On fail goto*//*Label 29085*/ GIMT_Encode4(2209488), // Rule ID 47542 //
     /* 2209439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209453 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209453 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209456 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209460 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209465 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2209470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209472 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209475 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209487 */   // GIR_Coverage, 47542,
     /* 2209487 */   GIR_EraseRootFromParent_Done,
     /* 2209488 */ // Label 29085: @2209488
     /* 2209488 */ GIM_Try, /*On fail goto*//*Label 29086*/ GIMT_Encode4(2209542), // Rule ID 47543 //
     /* 2209493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209507 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209507 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209510 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209514 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209519 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2209524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209526 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209529 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209541 */   // GIR_Coverage, 47543,
     /* 2209541 */   GIR_EraseRootFromParent_Done,
     /* 2209542 */ // Label 29086: @2209542
     /* 2209542 */ GIM_Try, /*On fail goto*//*Label 29087*/ GIMT_Encode4(2209596), // Rule ID 47608 //
     /* 2209547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209561 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209561 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209564 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209568 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209573 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2209578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209580 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209583 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209594 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209595 */   // GIR_Coverage, 47608,
     /* 2209595 */   GIR_EraseRootFromParent_Done,
     /* 2209596 */ // Label 29087: @2209596
     /* 2209596 */ GIM_Try, /*On fail goto*//*Label 29088*/ GIMT_Encode4(2209650), // Rule ID 47609 //
     /* 2209601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209615 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209615 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209618 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209622 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209627 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2209632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209634 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209637 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209648 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209649 */   // GIR_Coverage, 47609,
     /* 2209649 */   GIR_EraseRootFromParent_Done,
     /* 2209650 */ // Label 29088: @2209650
     /* 2209650 */ GIM_Try, /*On fail goto*//*Label 29089*/ GIMT_Encode4(2209704), // Rule ID 47642 //
     /* 2209655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2209661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209669 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209669 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209672 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209676 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209681 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2209686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209688 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209691 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209703 */   // GIR_Coverage, 47642,
     /* 2209703 */   GIR_EraseRootFromParent_Done,
     /* 2209704 */ // Label 29089: @2209704
     /* 2209704 */ GIM_Try, /*On fail goto*//*Label 29090*/ GIMT_Encode4(2209758), // Rule ID 47643 //
     /* 2209709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2209715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209723 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209723 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209726 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209730 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209735 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2209740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209742 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209745 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209757 */   // GIR_Coverage, 47643,
     /* 2209757 */   GIR_EraseRootFromParent_Done,
     /* 2209758 */ // Label 29090: @2209758
     /* 2209758 */ GIM_Reject,
     /* 2209759 */ // Label 29045: @2209759
     /* 2209759 */ GIM_Try, /*On fail goto*//*Label 29091*/ GIMT_Encode4(2209862),
     /* 2209764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2209767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209775 */   GIM_Try, /*On fail goto*//*Label 29092*/ GIMT_Encode4(2209818), // Rule ID 47502 //
     /* 2209780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209783 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2209786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2209800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209817 */     // GIR_Coverage, 47502,
     /* 2209817 */     GIR_EraseRootFromParent_Done,
     /* 2209818 */   // Label 29092: @2209818
     /* 2209818 */   GIM_Try, /*On fail goto*//*Label 29093*/ GIMT_Encode4(2209861), // Rule ID 47503 //
     /* 2209823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209826 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2209829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2209843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209860 */     // GIR_Coverage, 47503,
     /* 2209860 */     GIR_EraseRootFromParent_Done,
     /* 2209861 */   // Label 29093: @2209861
     /* 2209861 */   GIM_Reject,
     /* 2209862 */ // Label 29091: @2209862
     /* 2209862 */ GIM_Reject,
     /* 2209863 */ // Label 29046: @2209863
     /* 2209863 */ GIM_Try, /*On fail goto*//*Label 29094*/ GIMT_Encode4(2209917), // Rule ID 47526 //
     /* 2209868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2209874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209882 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209882 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2209885 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209889 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2209899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209901 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209904 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209916 */   // GIR_Coverage, 47526,
     /* 2209916 */   GIR_EraseRootFromParent_Done,
     /* 2209917 */ // Label 29094: @2209917
     /* 2209917 */ GIM_Try, /*On fail goto*//*Label 29095*/ GIMT_Encode4(2209971), // Rule ID 47527 //
     /* 2209922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2209928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209936 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209936 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2209939 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209943 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209948 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2209953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209955 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209958 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209970 */   // GIR_Coverage, 47527,
     /* 2209970 */   GIR_EraseRootFromParent_Done,
     /* 2209971 */ // Label 29095: @2209971
     /* 2209971 */ GIM_Try, /*On fail goto*//*Label 29096*/ GIMT_Encode4(2210025), // Rule ID 47592 //
     /* 2209976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2209982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209990 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209990 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2209993 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209997 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210002 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2210007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210009 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210012 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210024 */   // GIR_Coverage, 47592,
     /* 2210024 */   GIR_EraseRootFromParent_Done,
     /* 2210025 */ // Label 29096: @2210025
     /* 2210025 */ GIM_Try, /*On fail goto*//*Label 29097*/ GIMT_Encode4(2210079), // Rule ID 47593 //
     /* 2210030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210044 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210044 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210047 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210051 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210056 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2210061 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210063 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210066 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210078 */   // GIR_Coverage, 47593,
     /* 2210078 */   GIR_EraseRootFromParent_Done,
     /* 2210079 */ // Label 29097: @2210079
     /* 2210079 */ GIM_Reject,
     /* 2210080 */ // Label 29047: @2210080
     /* 2210080 */ GIM_Try, /*On fail goto*//*Label 29098*/ GIMT_Encode4(2210134), // Rule ID 47546 //
     /* 2210085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2210088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210099 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210099 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2210102 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210106 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210111 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2210116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210118 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210121 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210132 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210133 */   // GIR_Coverage, 47546,
     /* 2210133 */   GIR_EraseRootFromParent_Done,
     /* 2210134 */ // Label 29098: @2210134
     /* 2210134 */ GIM_Try, /*On fail goto*//*Label 29099*/ GIMT_Encode4(2210188), // Rule ID 47547 //
     /* 2210139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2210142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210153 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210153 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2210156 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210160 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210165 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210167 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2210170 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210172 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210175 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210187 */   // GIR_Coverage, 47547,
     /* 2210187 */   GIR_EraseRootFromParent_Done,
     /* 2210188 */ // Label 29099: @2210188
     /* 2210188 */ GIM_Try, /*On fail goto*//*Label 29100*/ GIMT_Encode4(2210242), // Rule ID 47612 //
     /* 2210193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2210196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210207 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210207 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2210210 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210214 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210219 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2210224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210226 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210229 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210241 */   // GIR_Coverage, 47612,
     /* 2210241 */   GIR_EraseRootFromParent_Done,
     /* 2210242 */ // Label 29100: @2210242
     /* 2210242 */ GIM_Try, /*On fail goto*//*Label 29101*/ GIMT_Encode4(2210296), // Rule ID 47613 //
     /* 2210247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2210250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210261 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210261 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2210264 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210268 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210273 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2210278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210280 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210283 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210295 */   // GIR_Coverage, 47613,
     /* 2210295 */   GIR_EraseRootFromParent_Done,
     /* 2210296 */ // Label 29101: @2210296
     /* 2210296 */ GIM_Try, /*On fail goto*//*Label 29102*/ GIMT_Encode4(2210350), // Rule ID 47646 //
     /* 2210301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2210304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210315 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210315 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2210318 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210322 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210327 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2210332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210334 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210337 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210349 */   // GIR_Coverage, 47646,
     /* 2210349 */   GIR_EraseRootFromParent_Done,
     /* 2210350 */ // Label 29102: @2210350
     /* 2210350 */ GIM_Try, /*On fail goto*//*Label 29103*/ GIMT_Encode4(2210404), // Rule ID 47647 //
     /* 2210355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2210358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210369 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210369 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2210372 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210376 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210381 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2210386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210388 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210391 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210403 */   // GIR_Coverage, 47647,
     /* 2210403 */   GIR_EraseRootFromParent_Done,
     /* 2210404 */ // Label 29103: @2210404
     /* 2210404 */ GIM_Reject,
     /* 2210405 */ // Label 29048: @2210405
     /* 2210405 */ GIM_Try, /*On fail goto*//*Label 29104*/ GIMT_Encode4(2210508),
     /* 2210410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2210413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210421 */   GIM_Try, /*On fail goto*//*Label 29105*/ GIMT_Encode4(2210464), // Rule ID 47506 //
     /* 2210426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210429 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2210432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2210446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210463 */     // GIR_Coverage, 47506,
     /* 2210463 */     GIR_EraseRootFromParent_Done,
     /* 2210464 */   // Label 29105: @2210464
     /* 2210464 */   GIM_Try, /*On fail goto*//*Label 29106*/ GIMT_Encode4(2210507), // Rule ID 47507 //
     /* 2210469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210472 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2210475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2210489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210506 */     // GIR_Coverage, 47507,
     /* 2210506 */     GIR_EraseRootFromParent_Done,
     /* 2210507 */   // Label 29106: @2210507
     /* 2210507 */   GIM_Reject,
     /* 2210508 */ // Label 29104: @2210508
     /* 2210508 */ GIM_Reject,
     /* 2210509 */ // Label 29049: @2210509
     /* 2210509 */ GIM_Try, /*On fail goto*//*Label 29107*/ GIMT_Encode4(2210563), // Rule ID 47530 //
     /* 2210514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2210520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210528 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210528 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2210531 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210535 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210540 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2210545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210547 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210550 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210561 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210562 */   // GIR_Coverage, 47530,
     /* 2210562 */   GIR_EraseRootFromParent_Done,
     /* 2210563 */ // Label 29107: @2210563
     /* 2210563 */ GIM_Try, /*On fail goto*//*Label 29108*/ GIMT_Encode4(2210617), // Rule ID 47531 //
     /* 2210568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2210574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210582 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210582 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2210585 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210589 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210594 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2210599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210601 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210604 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210616 */   // GIR_Coverage, 47531,
     /* 2210616 */   GIR_EraseRootFromParent_Done,
     /* 2210617 */ // Label 29108: @2210617
     /* 2210617 */ GIM_Try, /*On fail goto*//*Label 29109*/ GIMT_Encode4(2210671), // Rule ID 47596 //
     /* 2210622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2210628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210636 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210636 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2210639 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210643 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2210653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210655 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210658 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210670 */   // GIR_Coverage, 47596,
     /* 2210670 */   GIR_EraseRootFromParent_Done,
     /* 2210671 */ // Label 29109: @2210671
     /* 2210671 */ GIM_Try, /*On fail goto*//*Label 29110*/ GIMT_Encode4(2210725), // Rule ID 47597 //
     /* 2210676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2210682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210690 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210690 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2210693 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210697 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210702 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2210707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210712 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210724 */   // GIR_Coverage, 47597,
     /* 2210724 */   GIR_EraseRootFromParent_Done,
     /* 2210725 */ // Label 29110: @2210725
     /* 2210725 */ GIM_Reject,
     /* 2210726 */ // Label 29050: @2210726
     /* 2210726 */ GIM_Try, /*On fail goto*//*Label 29111*/ GIMT_Encode4(2210829),
     /* 2210731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2210734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210742 */   GIM_Try, /*On fail goto*//*Label 29112*/ GIMT_Encode4(2210785), // Rule ID 47510 //
     /* 2210747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210750 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2210753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2210767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210784 */     // GIR_Coverage, 47510,
     /* 2210784 */     GIR_EraseRootFromParent_Done,
     /* 2210785 */   // Label 29112: @2210785
     /* 2210785 */   GIM_Try, /*On fail goto*//*Label 29113*/ GIMT_Encode4(2210828), // Rule ID 47511 //
     /* 2210790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210793 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2210796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2210810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2210817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210827 */     // GIR_Coverage, 47511,
     /* 2210827 */     GIR_EraseRootFromParent_Done,
     /* 2210828 */   // Label 29113: @2210828
     /* 2210828 */   GIM_Reject,
     /* 2210829 */ // Label 29111: @2210829
     /* 2210829 */ GIM_Reject,
     /* 2210830 */ // Label 29051: @2210830
     /* 2210830 */ GIM_Reject,
     /* 2210831 */ // Label 40: @2210831
     /* 2210831 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 29131*/ GIMT_Encode4(2214305),
     /* 2210842 */ /*GILLT_s32*//*Label 29114*/ GIMT_Encode4(2210958),
     /* 2210846 */ /*GILLT_s64*//*Label 29115*/ GIMT_Encode4(2211132), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2210858 */ /*GILLT_nxv1s16*//*Label 29116*/ GIMT_Encode4(2211296),
     /* 2210862 */ /*GILLT_nxv1s32*//*Label 29117*/ GIMT_Encode4(2211400),
     /* 2210866 */ /*GILLT_nxv1s64*//*Label 29118*/ GIMT_Encode4(2211617), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2210878 */ /*GILLT_nxv2s16*//*Label 29119*/ GIMT_Encode4(2211942),
     /* 2210882 */ /*GILLT_nxv2s32*//*Label 29120*/ GIMT_Encode4(2212046),
     /* 2210886 */ /*GILLT_nxv2s64*//*Label 29121*/ GIMT_Encode4(2212263), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2210898 */ /*GILLT_nxv4s16*//*Label 29122*/ GIMT_Encode4(2212588),
     /* 2210902 */ /*GILLT_nxv4s32*//*Label 29123*/ GIMT_Encode4(2212692),
     /* 2210906 */ /*GILLT_nxv4s64*//*Label 29124*/ GIMT_Encode4(2212909), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2210918 */ /*GILLT_nxv8s16*//*Label 29125*/ GIMT_Encode4(2213234),
     /* 2210922 */ /*GILLT_nxv8s32*//*Label 29126*/ GIMT_Encode4(2213338),
     /* 2210926 */ /*GILLT_nxv8s64*//*Label 29127*/ GIMT_Encode4(2213555), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2210938 */ /*GILLT_nxv16s16*//*Label 29128*/ GIMT_Encode4(2213880),
     /* 2210942 */ /*GILLT_nxv16s32*//*Label 29129*/ GIMT_Encode4(2213984), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2210954 */ /*GILLT_nxv32s16*//*Label 29130*/ GIMT_Encode4(2214201),
     /* 2210958 */ // Label 29114: @2210958
     /* 2210958 */ GIM_Try, /*On fail goto*//*Label 29132*/ GIMT_Encode4(2211131),
     /* 2210963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2210966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210974 */   GIM_Try, /*On fail goto*//*Label 29133*/ GIMT_Encode4(2211016), // Rule ID 65414 //
     /* 2210979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode1),
     /* 2210982 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2210982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2210985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2210989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2210998 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2211001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2211006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2211014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211015 */     // GIR_Coverage, 65414,
     /* 2211015 */     GIR_EraseRootFromParent_Done,
     /* 2211016 */   // Label 29133: @2211016
     /* 2211016 */   GIM_Try, /*On fail goto*//*Label 29134*/ GIMT_Encode4(2211058), // Rule ID 65416 //
     /* 2211021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2211024 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2211024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2211027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2211031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211036 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2211040 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2211043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2211048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2211056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211057 */     // GIR_Coverage, 65416,
     /* 2211057 */     GIR_EraseRootFromParent_Done,
     /* 2211058 */   // Label 29134: @2211058
     /* 2211058 */   GIM_Try, /*On fail goto*//*Label 29135*/ GIMT_Encode4(2211100), // Rule ID 65417 //
     /* 2211063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode1),
     /* 2211066 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2211066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2211069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2211073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211078 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2211082 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2211085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2211090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2211098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211099 */     // GIR_Coverage, 65417,
     /* 2211099 */     GIR_EraseRootFromParent_Done,
     /* 2211100 */   // Label 29135: @2211100
     /* 2211100 */   GIM_Try, /*On fail goto*//*Label 29136*/ GIMT_Encode4(2211115), // Rule ID 65419 //
     /* 2211105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2211108 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2211108 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2211113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211114 */     // GIR_Coverage, 65419,
     /* 2211114 */     GIR_Done,
     /* 2211115 */   // Label 29136: @2211115
     /* 2211115 */   GIM_Try, /*On fail goto*//*Label 29137*/ GIMT_Encode4(2211130), // Rule ID 65420 //
     /* 2211120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2211123 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2211123 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2211128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211129 */     // GIR_Coverage, 65420,
     /* 2211129 */     GIR_Done,
     /* 2211130 */   // Label 29137: @2211130
     /* 2211130 */   GIM_Reject,
     /* 2211131 */ // Label 29132: @2211131
     /* 2211131 */ GIM_Reject,
     /* 2211132 */ // Label 29115: @2211132
     /* 2211132 */ GIM_Try, /*On fail goto*//*Label 29138*/ GIMT_Encode4(2211163), // Rule ID 65404 //
     /* 2211137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2211140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2211143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211151 */   // (sext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i32] }:$src, 0:{ *:[i64] })
     /* 2211151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2211154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211156 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2211158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2211161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211162 */   // GIR_Coverage, 65404,
     /* 2211162 */   GIR_EraseRootFromParent_Done,
     /* 2211163 */ // Label 29138: @2211163
     /* 2211163 */ GIM_Try, /*On fail goto*//*Label 29139*/ GIMT_Encode4(2211216), // Rule ID 65413 //
     /* 2211168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode0),
     /* 2211171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2211174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211182 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2211182 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2211185 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2211189 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211194 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2211198 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2211201 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2211206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211208 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2211214 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211215 */   // GIR_Coverage, 65413,
     /* 2211215 */   GIR_EraseRootFromParent_Done,
     /* 2211216 */ // Label 29139: @2211216
     /* 2211216 */ GIM_Try, /*On fail goto*//*Label 29140*/ GIMT_Encode4(2211269), // Rule ID 65415 //
     /* 2211221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2211224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2211227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211235 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2211235 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2211238 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2211242 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211247 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2211251 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2211254 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2211259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211261 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2211267 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211268 */   // GIR_Coverage, 65415,
     /* 2211268 */   GIR_EraseRootFromParent_Done,
     /* 2211269 */ // Label 29140: @2211269
     /* 2211269 */ GIM_Try, /*On fail goto*//*Label 29141*/ GIMT_Encode4(2211295), // Rule ID 65421 //
     /* 2211274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2211277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2211280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211288 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2211288 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2211293 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211294 */   // GIR_Coverage, 65421,
     /* 2211294 */   GIR_Done,
     /* 2211295 */ // Label 29141: @2211295
     /* 2211295 */ GIM_Reject,
     /* 2211296 */ // Label 29116: @2211296
     /* 2211296 */ GIM_Try, /*On fail goto*//*Label 29142*/ GIMT_Encode4(2211399),
     /* 2211301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2211304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211312 */   GIM_Try, /*On fail goto*//*Label 29143*/ GIMT_Encode4(2211355), // Rule ID 47548 //
     /* 2211317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211320 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2211323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2211337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211354 */     // GIR_Coverage, 47548,
     /* 2211354 */     GIR_EraseRootFromParent_Done,
     /* 2211355 */   // Label 29143: @2211355
     /* 2211355 */   GIM_Try, /*On fail goto*//*Label 29144*/ GIMT_Encode4(2211398), // Rule ID 47549 //
     /* 2211360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211363 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2211366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2211380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211397 */     // GIR_Coverage, 47549,
     /* 2211397 */     GIR_EraseRootFromParent_Done,
     /* 2211398 */   // Label 29144: @2211398
     /* 2211398 */   GIM_Reject,
     /* 2211399 */ // Label 29142: @2211399
     /* 2211399 */ GIM_Reject,
     /* 2211400 */ // Label 29117: @2211400
     /* 2211400 */ GIM_Try, /*On fail goto*//*Label 29145*/ GIMT_Encode4(2211454), // Rule ID 47560 //
     /* 2211405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2211411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211419 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211419 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2211422 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211426 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211431 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2211436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211438 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211441 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211453 */   // GIR_Coverage, 47560,
     /* 2211453 */   GIR_EraseRootFromParent_Done,
     /* 2211454 */ // Label 29145: @2211454
     /* 2211454 */ GIM_Try, /*On fail goto*//*Label 29146*/ GIMT_Encode4(2211508), // Rule ID 47561 //
     /* 2211459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2211465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211473 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211473 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2211476 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211480 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211485 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2211490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211492 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211495 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211507 */   // GIR_Coverage, 47561,
     /* 2211507 */   GIR_EraseRootFromParent_Done,
     /* 2211508 */ // Label 29146: @2211508
     /* 2211508 */ GIM_Try, /*On fail goto*//*Label 29147*/ GIMT_Encode4(2211562), // Rule ID 47614 //
     /* 2211513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2211519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211527 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211527 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2211530 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211534 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211539 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2211544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211546 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211549 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211561 */   // GIR_Coverage, 47614,
     /* 2211561 */   GIR_EraseRootFromParent_Done,
     /* 2211562 */ // Label 29147: @2211562
     /* 2211562 */ GIM_Try, /*On fail goto*//*Label 29148*/ GIMT_Encode4(2211616), // Rule ID 47615 //
     /* 2211567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2211573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211581 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211581 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2211584 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211588 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211593 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2211598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211600 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211603 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211615 */   // GIR_Coverage, 47615,
     /* 2211615 */   GIR_EraseRootFromParent_Done,
     /* 2211616 */ // Label 29148: @2211616
     /* 2211616 */ GIM_Reject,
     /* 2211617 */ // Label 29118: @2211617
     /* 2211617 */ GIM_Try, /*On fail goto*//*Label 29149*/ GIMT_Encode4(2211671), // Rule ID 47570 //
     /* 2211622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2211625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2211628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211636 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211636 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211639 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211643 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2211653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211655 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211658 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211670 */   // GIR_Coverage, 47570,
     /* 2211670 */   GIR_EraseRootFromParent_Done,
     /* 2211671 */ // Label 29149: @2211671
     /* 2211671 */ GIM_Try, /*On fail goto*//*Label 29150*/ GIMT_Encode4(2211725), // Rule ID 47571 //
     /* 2211676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2211682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211690 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211690 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211693 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211697 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211702 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2211707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211712 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211724 */   // GIR_Coverage, 47571,
     /* 2211724 */   GIR_EraseRootFromParent_Done,
     /* 2211725 */ // Label 29150: @2211725
     /* 2211725 */ GIM_Try, /*On fail goto*//*Label 29151*/ GIMT_Encode4(2211779), // Rule ID 47624 //
     /* 2211730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2211733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2211736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211744 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2211761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211763 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211766 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211778 */   // GIR_Coverage, 47624,
     /* 2211778 */   GIR_EraseRootFromParent_Done,
     /* 2211779 */ // Label 29151: @2211779
     /* 2211779 */ GIM_Try, /*On fail goto*//*Label 29152*/ GIMT_Encode4(2211833), // Rule ID 47625 //
     /* 2211784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2211790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211798 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211798 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211801 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211805 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211810 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2211815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211817 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211820 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211832 */   // GIR_Coverage, 47625,
     /* 2211832 */   GIR_EraseRootFromParent_Done,
     /* 2211833 */ // Label 29152: @2211833
     /* 2211833 */ GIM_Try, /*On fail goto*//*Label 29153*/ GIMT_Encode4(2211887), // Rule ID 47648 //
     /* 2211838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2211841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2211844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211852 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211852 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211855 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211859 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211864 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2211869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211871 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211874 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211886 */   // GIR_Coverage, 47648,
     /* 2211886 */   GIR_EraseRootFromParent_Done,
     /* 2211887 */ // Label 29153: @2211887
     /* 2211887 */ GIM_Try, /*On fail goto*//*Label 29154*/ GIMT_Encode4(2211941), // Rule ID 47649 //
     /* 2211892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2211898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211906 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211906 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211909 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211913 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211918 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2211923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211925 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211928 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211940 */   // GIR_Coverage, 47649,
     /* 2211940 */   GIR_EraseRootFromParent_Done,
     /* 2211941 */ // Label 29154: @2211941
     /* 2211941 */ GIM_Reject,
     /* 2211942 */ // Label 29119: @2211942
     /* 2211942 */ GIM_Try, /*On fail goto*//*Label 29155*/ GIMT_Encode4(2212045),
     /* 2211947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211958 */   GIM_Try, /*On fail goto*//*Label 29156*/ GIMT_Encode4(2212001), // Rule ID 47550 //
     /* 2211963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211966 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2211969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2211983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2211990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212000 */     // GIR_Coverage, 47550,
     /* 2212000 */     GIR_EraseRootFromParent_Done,
     /* 2212001 */   // Label 29156: @2212001
     /* 2212001 */   GIM_Try, /*On fail goto*//*Label 29157*/ GIMT_Encode4(2212044), // Rule ID 47551 //
     /* 2212006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212009 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2212012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2212026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212043 */     // GIR_Coverage, 47551,
     /* 2212043 */     GIR_EraseRootFromParent_Done,
     /* 2212044 */   // Label 29157: @2212044
     /* 2212044 */   GIM_Reject,
     /* 2212045 */ // Label 29155: @2212045
     /* 2212045 */ GIM_Reject,
     /* 2212046 */ // Label 29120: @2212046
     /* 2212046 */ GIM_Try, /*On fail goto*//*Label 29158*/ GIMT_Encode4(2212100), // Rule ID 47562 //
     /* 2212051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2212057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212065 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212065 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2212068 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212072 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212077 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2212082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212084 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212087 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212099 */   // GIR_Coverage, 47562,
     /* 2212099 */   GIR_EraseRootFromParent_Done,
     /* 2212100 */ // Label 29158: @2212100
     /* 2212100 */ GIM_Try, /*On fail goto*//*Label 29159*/ GIMT_Encode4(2212154), // Rule ID 47563 //
     /* 2212105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2212111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212119 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2212122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212131 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2212136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212138 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212141 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212153 */   // GIR_Coverage, 47563,
     /* 2212153 */   GIR_EraseRootFromParent_Done,
     /* 2212154 */ // Label 29159: @2212154
     /* 2212154 */ GIM_Try, /*On fail goto*//*Label 29160*/ GIMT_Encode4(2212208), // Rule ID 47616 //
     /* 2212159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2212165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212173 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212173 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2212176 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212180 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212185 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2212190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212192 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212195 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212207 */   // GIR_Coverage, 47616,
     /* 2212207 */   GIR_EraseRootFromParent_Done,
     /* 2212208 */ // Label 29160: @2212208
     /* 2212208 */ GIM_Try, /*On fail goto*//*Label 29161*/ GIMT_Encode4(2212262), // Rule ID 47617 //
     /* 2212213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2212219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212227 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212227 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2212230 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212234 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212239 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2212244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212246 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212249 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212261 */   // GIR_Coverage, 47617,
     /* 2212261 */   GIR_EraseRootFromParent_Done,
     /* 2212262 */ // Label 29161: @2212262
     /* 2212262 */ GIM_Reject,
     /* 2212263 */ // Label 29121: @2212263
     /* 2212263 */ GIM_Try, /*On fail goto*//*Label 29162*/ GIMT_Encode4(2212317), // Rule ID 47572 //
     /* 2212268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2212274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212282 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212282 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212285 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212289 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2212299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212304 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212316 */   // GIR_Coverage, 47572,
     /* 2212316 */   GIR_EraseRootFromParent_Done,
     /* 2212317 */ // Label 29162: @2212317
     /* 2212317 */ GIM_Try, /*On fail goto*//*Label 29163*/ GIMT_Encode4(2212371), // Rule ID 47573 //
     /* 2212322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2212328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212336 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212336 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212339 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212343 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212348 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2212353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212355 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212358 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212370 */   // GIR_Coverage, 47573,
     /* 2212370 */   GIR_EraseRootFromParent_Done,
     /* 2212371 */ // Label 29163: @2212371
     /* 2212371 */ GIM_Try, /*On fail goto*//*Label 29164*/ GIMT_Encode4(2212425), // Rule ID 47626 //
     /* 2212376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2212382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212390 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212390 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212393 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212397 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2212407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212409 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212412 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212424 */   // GIR_Coverage, 47626,
     /* 2212424 */   GIR_EraseRootFromParent_Done,
     /* 2212425 */ // Label 29164: @2212425
     /* 2212425 */ GIM_Try, /*On fail goto*//*Label 29165*/ GIMT_Encode4(2212479), // Rule ID 47627 //
     /* 2212430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2212436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212444 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212444 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212447 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212451 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212456 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2212461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212463 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212466 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212478 */   // GIR_Coverage, 47627,
     /* 2212478 */   GIR_EraseRootFromParent_Done,
     /* 2212479 */ // Label 29165: @2212479
     /* 2212479 */ GIM_Try, /*On fail goto*//*Label 29166*/ GIMT_Encode4(2212533), // Rule ID 47650 //
     /* 2212484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2212490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212498 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212498 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212501 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212505 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212510 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2212515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212517 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212520 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212532 */   // GIR_Coverage, 47650,
     /* 2212532 */   GIR_EraseRootFromParent_Done,
     /* 2212533 */ // Label 29166: @2212533
     /* 2212533 */ GIM_Try, /*On fail goto*//*Label 29167*/ GIMT_Encode4(2212587), // Rule ID 47651 //
     /* 2212538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2212544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212552 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212552 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212555 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212559 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212564 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2212569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212571 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212574 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212586 */   // GIR_Coverage, 47651,
     /* 2212586 */   GIR_EraseRootFromParent_Done,
     /* 2212587 */ // Label 29167: @2212587
     /* 2212587 */ GIM_Reject,
     /* 2212588 */ // Label 29122: @2212588
     /* 2212588 */ GIM_Try, /*On fail goto*//*Label 29168*/ GIMT_Encode4(2212691),
     /* 2212593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2212596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212604 */   GIM_Try, /*On fail goto*//*Label 29169*/ GIMT_Encode4(2212647), // Rule ID 47552 //
     /* 2212609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212612 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2212615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2212629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212646 */     // GIR_Coverage, 47552,
     /* 2212646 */     GIR_EraseRootFromParent_Done,
     /* 2212647 */   // Label 29169: @2212647
     /* 2212647 */   GIM_Try, /*On fail goto*//*Label 29170*/ GIMT_Encode4(2212690), // Rule ID 47553 //
     /* 2212652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212655 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2212658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2212672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212689 */     // GIR_Coverage, 47553,
     /* 2212689 */     GIR_EraseRootFromParent_Done,
     /* 2212690 */   // Label 29170: @2212690
     /* 2212690 */   GIM_Reject,
     /* 2212691 */ // Label 29168: @2212691
     /* 2212691 */ GIM_Reject,
     /* 2212692 */ // Label 29123: @2212692
     /* 2212692 */ GIM_Try, /*On fail goto*//*Label 29171*/ GIMT_Encode4(2212746), // Rule ID 47564 //
     /* 2212697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2212703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212711 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212711 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2212714 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212718 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212723 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2212728 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212730 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212733 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212745 */   // GIR_Coverage, 47564,
     /* 2212745 */   GIR_EraseRootFromParent_Done,
     /* 2212746 */ // Label 29171: @2212746
     /* 2212746 */ GIM_Try, /*On fail goto*//*Label 29172*/ GIMT_Encode4(2212800), // Rule ID 47565 //
     /* 2212751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2212757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212765 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212765 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2212768 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212772 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212777 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2212782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212784 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212787 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212799 */   // GIR_Coverage, 47565,
     /* 2212799 */   GIR_EraseRootFromParent_Done,
     /* 2212800 */ // Label 29172: @2212800
     /* 2212800 */ GIM_Try, /*On fail goto*//*Label 29173*/ GIMT_Encode4(2212854), // Rule ID 47618 //
     /* 2212805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2212811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212819 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212819 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2212822 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212826 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2212836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212838 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212841 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212853 */   // GIR_Coverage, 47618,
     /* 2212853 */   GIR_EraseRootFromParent_Done,
     /* 2212854 */ // Label 29173: @2212854
     /* 2212854 */ GIM_Try, /*On fail goto*//*Label 29174*/ GIMT_Encode4(2212908), // Rule ID 47619 //
     /* 2212859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2212865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212873 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212873 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2212876 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212880 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212885 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2212890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212892 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212895 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212907 */   // GIR_Coverage, 47619,
     /* 2212907 */   GIR_EraseRootFromParent_Done,
     /* 2212908 */ // Label 29174: @2212908
     /* 2212908 */ GIM_Reject,
     /* 2212909 */ // Label 29124: @2212909
     /* 2212909 */ GIM_Try, /*On fail goto*//*Label 29175*/ GIMT_Encode4(2212963), // Rule ID 47574 //
     /* 2212914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2212920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212928 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212928 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2212931 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212935 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212940 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2212945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212947 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212950 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212962 */   // GIR_Coverage, 47574,
     /* 2212962 */   GIR_EraseRootFromParent_Done,
     /* 2212963 */ // Label 29175: @2212963
     /* 2212963 */ GIM_Try, /*On fail goto*//*Label 29176*/ GIMT_Encode4(2213017), // Rule ID 47575 //
     /* 2212968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2212974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212982 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212982 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2212985 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212989 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212994 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2212999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213001 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213004 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213016 */   // GIR_Coverage, 47575,
     /* 2213016 */   GIR_EraseRootFromParent_Done,
     /* 2213017 */ // Label 29176: @2213017
     /* 2213017 */ GIM_Try, /*On fail goto*//*Label 29177*/ GIMT_Encode4(2213071), // Rule ID 47628 //
     /* 2213022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213036 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213036 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213039 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213043 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213048 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2213053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213055 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213058 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213070 */   // GIR_Coverage, 47628,
     /* 2213070 */   GIR_EraseRootFromParent_Done,
     /* 2213071 */ // Label 29177: @2213071
     /* 2213071 */ GIM_Try, /*On fail goto*//*Label 29178*/ GIMT_Encode4(2213125), // Rule ID 47629 //
     /* 2213076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213090 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213090 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213093 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213097 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213102 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2213107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213109 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213112 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213124 */   // GIR_Coverage, 47629,
     /* 2213124 */   GIR_EraseRootFromParent_Done,
     /* 2213125 */ // Label 29178: @2213125
     /* 2213125 */ GIM_Try, /*On fail goto*//*Label 29179*/ GIMT_Encode4(2213179), // Rule ID 47652 //
     /* 2213130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2213136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213144 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213144 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213147 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213151 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213156 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2213161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213163 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213166 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213177 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213178 */   // GIR_Coverage, 47652,
     /* 2213178 */   GIR_EraseRootFromParent_Done,
     /* 2213179 */ // Label 29179: @2213179
     /* 2213179 */ GIM_Try, /*On fail goto*//*Label 29180*/ GIMT_Encode4(2213233), // Rule ID 47653 //
     /* 2213184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2213190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213198 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213198 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213201 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213205 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213210 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2213215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213217 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213220 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213232 */   // GIR_Coverage, 47653,
     /* 2213232 */   GIR_EraseRootFromParent_Done,
     /* 2213233 */ // Label 29180: @2213233
     /* 2213233 */ GIM_Reject,
     /* 2213234 */ // Label 29125: @2213234
     /* 2213234 */ GIM_Try, /*On fail goto*//*Label 29181*/ GIMT_Encode4(2213337),
     /* 2213239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2213242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213250 */   GIM_Try, /*On fail goto*//*Label 29182*/ GIMT_Encode4(2213293), // Rule ID 47554 //
     /* 2213255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213258 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2213261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2213275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213292 */     // GIR_Coverage, 47554,
     /* 2213292 */     GIR_EraseRootFromParent_Done,
     /* 2213293 */   // Label 29182: @2213293
     /* 2213293 */   GIM_Try, /*On fail goto*//*Label 29183*/ GIMT_Encode4(2213336), // Rule ID 47555 //
     /* 2213298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213301 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2213304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2213318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213335 */     // GIR_Coverage, 47555,
     /* 2213335 */     GIR_EraseRootFromParent_Done,
     /* 2213336 */   // Label 29183: @2213336
     /* 2213336 */   GIM_Reject,
     /* 2213337 */ // Label 29181: @2213337
     /* 2213337 */ GIM_Reject,
     /* 2213338 */ // Label 29126: @2213338
     /* 2213338 */ GIM_Try, /*On fail goto*//*Label 29184*/ GIMT_Encode4(2213392), // Rule ID 47566 //
     /* 2213343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2213349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213357 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213357 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2213360 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213364 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213369 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2213374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213376 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213379 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213391 */   // GIR_Coverage, 47566,
     /* 2213391 */   GIR_EraseRootFromParent_Done,
     /* 2213392 */ // Label 29184: @2213392
     /* 2213392 */ GIM_Try, /*On fail goto*//*Label 29185*/ GIMT_Encode4(2213446), // Rule ID 47567 //
     /* 2213397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2213403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213411 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213411 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2213414 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213418 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213423 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2213428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213430 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213433 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213445 */   // GIR_Coverage, 47567,
     /* 2213445 */   GIR_EraseRootFromParent_Done,
     /* 2213446 */ // Label 29185: @2213446
     /* 2213446 */ GIM_Try, /*On fail goto*//*Label 29186*/ GIMT_Encode4(2213500), // Rule ID 47620 //
     /* 2213451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2213457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213465 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213465 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2213468 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213472 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213477 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2213482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213484 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213487 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213499 */   // GIR_Coverage, 47620,
     /* 2213499 */   GIR_EraseRootFromParent_Done,
     /* 2213500 */ // Label 29186: @2213500
     /* 2213500 */ GIM_Try, /*On fail goto*//*Label 29187*/ GIMT_Encode4(2213554), // Rule ID 47621 //
     /* 2213505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2213511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213519 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213519 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2213522 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213526 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213531 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2213536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213538 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213541 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213553 */   // GIR_Coverage, 47621,
     /* 2213553 */   GIR_EraseRootFromParent_Done,
     /* 2213554 */ // Label 29187: @2213554
     /* 2213554 */ GIM_Reject,
     /* 2213555 */ // Label 29127: @2213555
     /* 2213555 */ GIM_Try, /*On fail goto*//*Label 29188*/ GIMT_Encode4(2213609), // Rule ID 47576 //
     /* 2213560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2213566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213574 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213574 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2213577 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213581 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2213591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213593 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213596 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213608 */   // GIR_Coverage, 47576,
     /* 2213608 */   GIR_EraseRootFromParent_Done,
     /* 2213609 */ // Label 29188: @2213609
     /* 2213609 */ GIM_Try, /*On fail goto*//*Label 29189*/ GIMT_Encode4(2213663), // Rule ID 47577 //
     /* 2213614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2213620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213628 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213628 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2213631 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213635 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213640 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2213645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213647 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213650 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213662 */   // GIR_Coverage, 47577,
     /* 2213662 */   GIR_EraseRootFromParent_Done,
     /* 2213663 */ // Label 29189: @2213663
     /* 2213663 */ GIM_Try, /*On fail goto*//*Label 29190*/ GIMT_Encode4(2213717), // Rule ID 47630 //
     /* 2213668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2213674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213682 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213682 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2213685 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213689 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213694 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2213699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213701 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213704 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213716 */   // GIR_Coverage, 47630,
     /* 2213716 */   GIR_EraseRootFromParent_Done,
     /* 2213717 */ // Label 29190: @2213717
     /* 2213717 */ GIM_Try, /*On fail goto*//*Label 29191*/ GIMT_Encode4(2213771), // Rule ID 47631 //
     /* 2213722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2213728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213736 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213736 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2213739 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213743 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213748 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2213753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213755 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213758 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213770 */   // GIR_Coverage, 47631,
     /* 2213770 */   GIR_EraseRootFromParent_Done,
     /* 2213771 */ // Label 29191: @2213771
     /* 2213771 */ GIM_Try, /*On fail goto*//*Label 29192*/ GIMT_Encode4(2213825), // Rule ID 47654 //
     /* 2213776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2213782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213790 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213790 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2213793 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213797 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213802 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2213807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213809 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213812 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213823 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213824 */   // GIR_Coverage, 47654,
     /* 2213824 */   GIR_EraseRootFromParent_Done,
     /* 2213825 */ // Label 29192: @2213825
     /* 2213825 */ GIM_Try, /*On fail goto*//*Label 29193*/ GIMT_Encode4(2213879), // Rule ID 47655 //
     /* 2213830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2213836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213844 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213844 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2213847 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213851 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213856 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2213861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213863 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213866 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213877 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213878 */   // GIR_Coverage, 47655,
     /* 2213878 */   GIR_EraseRootFromParent_Done,
     /* 2213879 */ // Label 29193: @2213879
     /* 2213879 */ GIM_Reject,
     /* 2213880 */ // Label 29128: @2213880
     /* 2213880 */ GIM_Try, /*On fail goto*//*Label 29194*/ GIMT_Encode4(2213983),
     /* 2213885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2213888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213896 */   GIM_Try, /*On fail goto*//*Label 29195*/ GIMT_Encode4(2213939), // Rule ID 47556 //
     /* 2213901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213904 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2213907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2213921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213938 */     // GIR_Coverage, 47556,
     /* 2213938 */     GIR_EraseRootFromParent_Done,
     /* 2213939 */   // Label 29195: @2213939
     /* 2213939 */   GIM_Try, /*On fail goto*//*Label 29196*/ GIMT_Encode4(2213982), // Rule ID 47557 //
     /* 2213944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213947 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2213950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2213964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213981 */     // GIR_Coverage, 47557,
     /* 2213981 */     GIR_EraseRootFromParent_Done,
     /* 2213982 */   // Label 29196: @2213982
     /* 2213982 */   GIM_Reject,
     /* 2213983 */ // Label 29194: @2213983
     /* 2213983 */ GIM_Reject,
     /* 2213984 */ // Label 29129: @2213984
     /* 2213984 */ GIM_Try, /*On fail goto*//*Label 29197*/ GIMT_Encode4(2214038), // Rule ID 47568 //
     /* 2213989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2213995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214003 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214003 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2214006 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214010 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214015 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2214020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214022 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214025 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214036 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214037 */   // GIR_Coverage, 47568,
     /* 2214037 */   GIR_EraseRootFromParent_Done,
     /* 2214038 */ // Label 29197: @2214038
     /* 2214038 */ GIM_Try, /*On fail goto*//*Label 29198*/ GIMT_Encode4(2214092), // Rule ID 47569 //
     /* 2214043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2214049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214057 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214057 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2214060 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214064 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214069 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2214074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214076 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214079 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214091 */   // GIR_Coverage, 47569,
     /* 2214091 */   GIR_EraseRootFromParent_Done,
     /* 2214092 */ // Label 29198: @2214092
     /* 2214092 */ GIM_Try, /*On fail goto*//*Label 29199*/ GIMT_Encode4(2214146), // Rule ID 47622 //
     /* 2214097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2214103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214111 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214111 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2214114 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214118 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214123 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2214128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214130 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214133 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214144 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214145 */   // GIR_Coverage, 47622,
     /* 2214145 */   GIR_EraseRootFromParent_Done,
     /* 2214146 */ // Label 29199: @2214146
     /* 2214146 */ GIM_Try, /*On fail goto*//*Label 29200*/ GIMT_Encode4(2214200), // Rule ID 47623 //
     /* 2214151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2214157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214165 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214165 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2214168 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214172 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214177 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2214182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214184 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214187 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214199 */   // GIR_Coverage, 47623,
     /* 2214199 */   GIR_EraseRootFromParent_Done,
     /* 2214200 */ // Label 29200: @2214200
     /* 2214200 */ GIM_Reject,
     /* 2214201 */ // Label 29130: @2214201
     /* 2214201 */ GIM_Try, /*On fail goto*//*Label 29201*/ GIMT_Encode4(2214304),
     /* 2214206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2214209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214217 */   GIM_Try, /*On fail goto*//*Label 29202*/ GIMT_Encode4(2214260), // Rule ID 47558 //
     /* 2214222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214225 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2214228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2214242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214259 */     // GIR_Coverage, 47558,
     /* 2214259 */     GIR_EraseRootFromParent_Done,
     /* 2214260 */   // Label 29202: @2214260
     /* 2214260 */   GIM_Try, /*On fail goto*//*Label 29203*/ GIMT_Encode4(2214303), // Rule ID 47559 //
     /* 2214265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214268 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2214271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2214285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214302 */     // GIR_Coverage, 47559,
     /* 2214302 */     GIR_EraseRootFromParent_Done,
     /* 2214303 */   // Label 29203: @2214303
     /* 2214303 */   GIM_Reject,
     /* 2214304 */ // Label 29201: @2214304
     /* 2214304 */ GIM_Reject,
     /* 2214305 */ // Label 29131: @2214305
     /* 2214305 */ GIM_Reject,
     /* 2214306 */ // Label 41: @2214306
     /* 2214306 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 29206*/ GIMT_Encode4(2215348),
     /* 2214317 */ /*GILLT_s32*//*Label 29204*/ GIMT_Encode4(2214325),
     /* 2214321 */ /*GILLT_s64*//*Label 29205*/ GIMT_Encode4(2214983),
     /* 2214325 */ // Label 29204: @2214325
     /* 2214325 */ GIM_Try, /*On fail goto*//*Label 29207*/ GIMT_Encode4(2214982),
     /* 2214330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2214333 */   GIM_Try, /*On fail goto*//*Label 29208*/ GIMT_Encode4(2214369), // Rule ID 64474 //
     /* 2214338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2214341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214349 */     // MIs[0] Operand 2
     /* 2214349 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2214360 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2214360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2214363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214368 */     // GIR_Coverage, 64474,
     /* 2214368 */     GIR_EraseRootFromParent_Done,
     /* 2214369 */   // Label 29208: @2214369
     /* 2214369 */   GIM_Try, /*On fail goto*//*Label 29209*/ GIMT_Encode4(2214405), // Rule ID 64476 //
     /* 2214374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2214377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214385 */     // MIs[0] Operand 2
     /* 2214385 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2214396 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2214396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2214399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214404 */     // GIR_Coverage, 64476,
     /* 2214404 */     GIR_EraseRootFromParent_Done,
     /* 2214405 */   // Label 29209: @2214405
     /* 2214405 */   GIM_Try, /*On fail goto*//*Label 29210*/ GIMT_Encode4(2214441), // Rule ID 2527 //
     /* 2214410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2214413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214421 */     // MIs[0] Operand 2
     /* 2214421 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2214432 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2214432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2214435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214440 */     // GIR_Coverage, 2527,
     /* 2214440 */     GIR_EraseRootFromParent_Done,
     /* 2214441 */   // Label 29210: @2214441
     /* 2214441 */   GIM_Try, /*On fail goto*//*Label 29211*/ GIMT_Encode4(2214477), // Rule ID 2529 //
     /* 2214446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2214449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214457 */     // MIs[0] Operand 2
     /* 2214457 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2214468 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2214468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2214471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214476 */     // GIR_Coverage, 2529,
     /* 2214476 */     GIR_EraseRootFromParent_Done,
     /* 2214477 */   // Label 29211: @2214477
     /* 2214477 */   GIM_Try, /*On fail goto*//*Label 29212*/ GIMT_Encode4(2214519), // Rule ID 62560 //
     /* 2214482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2214485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214493 */     // MIs[0] Operand 2
     /* 2214493 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2214504 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2214504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2214507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2214514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214518 */     // GIR_Coverage, 62560,
     /* 2214518 */     GIR_EraseRootFromParent_Done,
     /* 2214519 */   // Label 29212: @2214519
     /* 2214519 */   GIM_Try, /*On fail goto*//*Label 29213*/ GIMT_Encode4(2214561), // Rule ID 62562 //
     /* 2214524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2214527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214535 */     // MIs[0] Operand 2
     /* 2214535 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2214546 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2214546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2214549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2214556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214560 */     // GIR_Coverage, 62562,
     /* 2214560 */     GIR_EraseRootFromParent_Done,
     /* 2214561 */   // Label 29213: @2214561
     /* 2214561 */   GIM_Try, /*On fail goto*//*Label 29214*/ GIMT_Encode4(2214603), // Rule ID 62564 //
     /* 2214566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2214569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214577 */     // MIs[0] Operand 2
     /* 2214577 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2214588 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2214588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2214591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214602 */     // GIR_Coverage, 62564,
     /* 2214602 */     GIR_EraseRootFromParent_Done,
     /* 2214603 */   // Label 29214: @2214603
     /* 2214603 */   GIM_Try, /*On fail goto*//*Label 29215*/ GIMT_Encode4(2214645), // Rule ID 64615 //
     /* 2214608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /* 2214611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2214615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214619 */     // MIs[0] Operand 2
     /* 2214619 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2214630 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i64] }, 0:{ *:[i64] })
     /* 2214630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2214633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2214640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214644 */     // GIR_Coverage, 64615,
     /* 2214644 */     GIR_EraseRootFromParent_Done,
     /* 2214645 */   // Label 29215: @2214645
     /* 2214645 */   GIM_Try, /*On fail goto*//*Label 29216*/ GIMT_Encode4(2214687), // Rule ID 64616 //
     /* 2214650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /* 2214653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2214657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214661 */     // MIs[0] Operand 2
     /* 2214661 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2214672 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }, 0:{ *:[i32] })
     /* 2214672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2214675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2214682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214686 */     // GIR_Coverage, 64616,
     /* 2214686 */     GIR_EraseRootFromParent_Done,
     /* 2214687 */   // Label 29216: @2214687
     /* 2214687 */   GIM_Try, /*On fail goto*//*Label 29217*/ GIMT_Encode4(2214729), // Rule ID 64631 //
     /* 2214692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_NoStdExtZbb_HwMode0),
     /* 2214695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2214699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214703 */     // MIs[0] Operand 2
     /* 2214703 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2214714 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 16:{ *:[i64] }, 0:{ *:[i64] })
     /* 2214714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2214717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2214724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214728 */     // GIR_Coverage, 64631,
     /* 2214728 */     GIR_EraseRootFromParent_Done,
     /* 2214729 */   // Label 29217: @2214729
     /* 2214729 */   GIM_Try, /*On fail goto*//*Label 29218*/ GIMT_Encode4(2214771), // Rule ID 64632 //
     /* 2214734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_NoStdExtZbb_HwMode1),
     /* 2214737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2214741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214745 */     // MIs[0] Operand 2
     /* 2214745 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2214756 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 16:{ *:[i32] }, 0:{ *:[i32] })
     /* 2214756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2214759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2214766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214770 */     // GIR_Coverage, 64632,
     /* 2214770 */     GIR_EraseRootFromParent_Done,
     /* 2214771 */   // Label 29218: @2214771
     /* 2214771 */   GIM_Try, /*On fail goto*//*Label 29219*/ GIMT_Encode4(2214813), // Rule ID 64633 //
     /* 2214776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_NoStdExtZbb_HwMode0),
     /* 2214779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2214783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214787 */     // MIs[0] Operand 2
     /* 2214787 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2214798 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 8:{ *:[i64] }, 0:{ *:[i64] })
     /* 2214798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2214801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 2214808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214812 */     // GIR_Coverage, 64633,
     /* 2214812 */     GIR_EraseRootFromParent_Done,
     /* 2214813 */   // Label 29219: @2214813
     /* 2214813 */   GIM_Try, /*On fail goto*//*Label 29220*/ GIMT_Encode4(2214855), // Rule ID 64634 //
     /* 2214818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_NoStdExtZbb_HwMode1),
     /* 2214821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2214825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214829 */     // MIs[0] Operand 2
     /* 2214829 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2214840 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 8:{ *:[i32] }, 0:{ *:[i32] })
     /* 2214840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2214843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 2214850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214854 */     // GIR_Coverage, 64634,
     /* 2214854 */     GIR_EraseRootFromParent_Done,
     /* 2214855 */   // Label 29220: @2214855
     /* 2214855 */   GIM_Try, /*On fail goto*//*Label 29221*/ GIMT_Encode4(2214897), // Rule ID 65049 //
     /* 2214860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /* 2214863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214871 */     // MIs[0] Operand 2
     /* 2214871 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2214882 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2214882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2214885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2214892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214896 */     // GIR_Coverage, 65049,
     /* 2214896 */     GIR_EraseRootFromParent_Done,
     /* 2214897 */   // Label 29221: @2214897
     /* 2214897 */   GIM_Try, /*On fail goto*//*Label 29222*/ GIMT_Encode4(2214939), // Rule ID 65051 //
     /* 2214902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /* 2214905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214913 */     // MIs[0] Operand 2
     /* 2214913 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2214924 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2214924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2214927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2214934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214938 */     // GIR_Coverage, 65051,
     /* 2214938 */     GIR_EraseRootFromParent_Done,
     /* 2214939 */   // Label 29222: @2214939
     /* 2214939 */   GIM_Try, /*On fail goto*//*Label 29223*/ GIMT_Encode4(2214981), // Rule ID 65053 //
     /* 2214944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /* 2214947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214955 */     // MIs[0] Operand 2
     /* 2214955 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2214966 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2214966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2214969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2214979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214980 */     // GIR_Coverage, 65053,
     /* 2214980 */     GIR_EraseRootFromParent_Done,
     /* 2214981 */   // Label 29223: @2214981
     /* 2214981 */   GIM_Reject,
     /* 2214982 */ // Label 29207: @2214982
     /* 2214982 */ GIM_Reject,
     /* 2214983 */ // Label 29205: @2214983
     /* 2214983 */ GIM_Try, /*On fail goto*//*Label 29224*/ GIMT_Encode4(2215347),
     /* 2214988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2214991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2214999 */   GIM_Try, /*On fail goto*//*Label 29225*/ GIMT_Encode4(2215027), // Rule ID 64473 //
     /* 2215004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2215007 */     // MIs[0] Operand 2
     /* 2215007 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2215018 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2215018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2215021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215026 */     // GIR_Coverage, 64473,
     /* 2215026 */     GIR_EraseRootFromParent_Done,
     /* 2215027 */   // Label 29225: @2215027
     /* 2215027 */   GIM_Try, /*On fail goto*//*Label 29226*/ GIMT_Encode4(2215055), // Rule ID 64475 //
     /* 2215032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2215035 */     // MIs[0] Operand 2
     /* 2215035 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2215046 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2215046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2215049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215054 */     // GIR_Coverage, 64475,
     /* 2215054 */     GIR_EraseRootFromParent_Done,
     /* 2215055 */   // Label 29226: @2215055
     /* 2215055 */   GIM_Try, /*On fail goto*//*Label 29227*/ GIMT_Encode4(2215086), // Rule ID 266 //
     /* 2215060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2215063 */     // MIs[0] Operand 2
     /* 2215063 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2215074 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2215074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2215077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2215084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215085 */     // GIR_Coverage, 266,
     /* 2215085 */     GIR_EraseRootFromParent_Done,
     /* 2215086 */   // Label 29227: @2215086
     /* 2215086 */   GIM_Try, /*On fail goto*//*Label 29228*/ GIMT_Encode4(2215114), // Rule ID 2526 //
     /* 2215091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2215094 */     // MIs[0] Operand 2
     /* 2215094 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2215105 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2215105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2215108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215113 */     // GIR_Coverage, 2526,
     /* 2215113 */     GIR_EraseRootFromParent_Done,
     /* 2215114 */   // Label 29228: @2215114
     /* 2215114 */   GIM_Try, /*On fail goto*//*Label 29229*/ GIMT_Encode4(2215142), // Rule ID 2528 //
     /* 2215119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2215122 */     // MIs[0] Operand 2
     /* 2215122 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2215133 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2215133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2215136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215141 */     // GIR_Coverage, 2528,
     /* 2215141 */     GIR_EraseRootFromParent_Done,
     /* 2215142 */   // Label 29229: @2215142
     /* 2215142 */   GIM_Try, /*On fail goto*//*Label 29230*/ GIMT_Encode4(2215176), // Rule ID 62559 //
     /* 2215147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2215150 */     // MIs[0] Operand 2
     /* 2215150 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2215161 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2215161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2215164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2215171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2215174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215175 */     // GIR_Coverage, 62559,
     /* 2215175 */     GIR_EraseRootFromParent_Done,
     /* 2215176 */   // Label 29230: @2215176
     /* 2215176 */   GIM_Try, /*On fail goto*//*Label 29231*/ GIMT_Encode4(2215210), // Rule ID 62561 //
     /* 2215181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2215184 */     // MIs[0] Operand 2
     /* 2215184 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2215195 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2215195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2215198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2215205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2215208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215209 */     // GIR_Coverage, 62561,
     /* 2215209 */     GIR_EraseRootFromParent_Done,
     /* 2215210 */   // Label 29231: @2215210
     /* 2215210 */   GIM_Try, /*On fail goto*//*Label 29232*/ GIMT_Encode4(2215244), // Rule ID 62563 //
     /* 2215215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2215218 */     // MIs[0] Operand 2
     /* 2215218 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2215229 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2215229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2215232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2215239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2215242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215243 */     // GIR_Coverage, 62563,
     /* 2215243 */     GIR_EraseRootFromParent_Done,
     /* 2215244 */   // Label 29232: @2215244
     /* 2215244 */   GIM_Try, /*On fail goto*//*Label 29233*/ GIMT_Encode4(2215278), // Rule ID 65048 //
     /* 2215249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /* 2215252 */     // MIs[0] Operand 2
     /* 2215252 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2215263 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2215263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2215266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2215273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2215276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215277 */     // GIR_Coverage, 65048,
     /* 2215277 */     GIR_EraseRootFromParent_Done,
     /* 2215278 */   // Label 29233: @2215278
     /* 2215278 */   GIM_Try, /*On fail goto*//*Label 29234*/ GIMT_Encode4(2215312), // Rule ID 65050 //
     /* 2215283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /* 2215286 */     // MIs[0] Operand 2
     /* 2215286 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2215297 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2215297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2215300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2215307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2215310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215311 */     // GIR_Coverage, 65050,
     /* 2215311 */     GIR_EraseRootFromParent_Done,
     /* 2215312 */   // Label 29234: @2215312
     /* 2215312 */   GIM_Try, /*On fail goto*//*Label 29235*/ GIMT_Encode4(2215346), // Rule ID 65052 //
     /* 2215317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /* 2215320 */     // MIs[0] Operand 2
     /* 2215320 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2215331 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2215331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2215334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2215341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2215344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215345 */     // GIR_Coverage, 65052,
     /* 2215345 */     GIR_EraseRootFromParent_Done,
     /* 2215346 */   // Label 29235: @2215346
     /* 2215346 */   GIM_Reject,
     /* 2215347 */ // Label 29224: @2215347
     /* 2215347 */ GIM_Reject,
     /* 2215348 */ // Label 29206: @2215348
     /* 2215348 */ GIM_Reject,
     /* 2215349 */ // Label 42: @2215349
     /* 2215349 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 29253*/ GIMT_Encode4(2219035),
     /* 2215360 */ /*GILLT_s32*//*Label 29236*/ GIMT_Encode4(2215476),
     /* 2215364 */ /*GILLT_s64*//*Label 29237*/ GIMT_Encode4(2215772), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2215376 */ /*GILLT_nxv1s16*//*Label 29238*/ GIMT_Encode4(2216026),
     /* 2215380 */ /*GILLT_nxv1s32*//*Label 29239*/ GIMT_Encode4(2216130),
     /* 2215384 */ /*GILLT_nxv1s64*//*Label 29240*/ GIMT_Encode4(2216347), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2215396 */ /*GILLT_nxv2s16*//*Label 29241*/ GIMT_Encode4(2216672),
     /* 2215400 */ /*GILLT_nxv2s32*//*Label 29242*/ GIMT_Encode4(2216776),
     /* 2215404 */ /*GILLT_nxv2s64*//*Label 29243*/ GIMT_Encode4(2216993), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2215416 */ /*GILLT_nxv4s16*//*Label 29244*/ GIMT_Encode4(2217318),
     /* 2215420 */ /*GILLT_nxv4s32*//*Label 29245*/ GIMT_Encode4(2217422),
     /* 2215424 */ /*GILLT_nxv4s64*//*Label 29246*/ GIMT_Encode4(2217639), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2215436 */ /*GILLT_nxv8s16*//*Label 29247*/ GIMT_Encode4(2217964),
     /* 2215440 */ /*GILLT_nxv8s32*//*Label 29248*/ GIMT_Encode4(2218068),
     /* 2215444 */ /*GILLT_nxv8s64*//*Label 29249*/ GIMT_Encode4(2218285), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2215456 */ /*GILLT_nxv16s16*//*Label 29250*/ GIMT_Encode4(2218610),
     /* 2215460 */ /*GILLT_nxv16s32*//*Label 29251*/ GIMT_Encode4(2218714), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2215472 */ /*GILLT_nxv32s16*//*Label 29252*/ GIMT_Encode4(2218931),
     /* 2215476 */ // Label 29236: @2215476
     /* 2215476 */ GIM_Try, /*On fail goto*//*Label 29254*/ GIMT_Encode4(2215771),
     /* 2215481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2215484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215492 */   GIM_Try, /*On fail goto*//*Label 29255*/ GIMT_Encode4(2215534), // Rule ID 65409 //
     /* 2215497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2215500 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2215500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2215503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2215507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215512 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2215516 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2215519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2215524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2215532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215533 */     // GIR_Coverage, 65409,
     /* 2215533 */     GIR_EraseRootFromParent_Done,
     /* 2215534 */   // Label 29255: @2215534
     /* 2215534 */   GIM_Try, /*On fail goto*//*Label 29256*/ GIMT_Encode4(2215576), // Rule ID 65411 //
     /* 2215539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2215542 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2215542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2215545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2215549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215554 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2215558 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2215561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2215566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2215574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215575 */     // GIR_Coverage, 65411,
     /* 2215575 */     GIR_EraseRootFromParent_Done,
     /* 2215576 */   // Label 29256: @2215576
     /* 2215576 */   GIM_Try, /*On fail goto*//*Label 29257*/ GIMT_Encode4(2215618), // Rule ID 65412 //
     /* 2215581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2215584 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2215584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2215587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2215591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215596 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2215600 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2215603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2215608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2215616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215617 */     // GIR_Coverage, 65412,
     /* 2215617 */     GIR_EraseRootFromParent_Done,
     /* 2215618 */   // Label 29257: @2215618
     /* 2215618 */   GIM_Try, /*On fail goto*//*Label 29258*/ GIMT_Encode4(2215633), // Rule ID 65422 //
     /* 2215623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /* 2215626 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2215626 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2215631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215632 */     // GIR_Coverage, 65422,
     /* 2215632 */     GIR_Done,
     /* 2215633 */   // Label 29258: @2215633
     /* 2215633 */   GIM_Try, /*On fail goto*//*Label 29259*/ GIMT_Encode4(2215648), // Rule ID 65423 //
     /* 2215638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /* 2215641 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2215641 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2215646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215647 */     // GIR_Coverage, 65423,
     /* 2215647 */     GIR_Done,
     /* 2215648 */   // Label 29259: @2215648
     /* 2215648 */   GIM_Try, /*On fail goto*//*Label 29260*/ GIMT_Encode4(2215663), // Rule ID 65425 //
     /* 2215653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2215656 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2215656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2215661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215662 */     // GIR_Coverage, 65425,
     /* 2215662 */     GIR_Done,
     /* 2215663 */   // Label 29260: @2215663
     /* 2215663 */   GIM_Try, /*On fail goto*//*Label 29261*/ GIMT_Encode4(2215678), // Rule ID 65426 //
     /* 2215668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode1),
     /* 2215671 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2215671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2215676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215677 */     // GIR_Coverage, 65426,
     /* 2215677 */     GIR_Done,
     /* 2215678 */   // Label 29261: @2215678
     /* 2215678 */   GIM_Try, /*On fail goto*//*Label 29262*/ GIMT_Encode4(2215701), // Rule ID 65427 //
     /* 2215683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /* 2215686 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2215686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2215689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2215693 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215700 */     // GIR_Coverage, 65427,
     /* 2215700 */     GIR_EraseRootFromParent_Done,
     /* 2215701 */   // Label 29262: @2215701
     /* 2215701 */   GIM_Try, /*On fail goto*//*Label 29263*/ GIMT_Encode4(2215724), // Rule ID 65428 //
     /* 2215706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /* 2215709 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2215709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2215712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2215716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215723 */     // GIR_Coverage, 65428,
     /* 2215723 */     GIR_EraseRootFromParent_Done,
     /* 2215724 */   // Label 29263: @2215724
     /* 2215724 */   GIM_Try, /*On fail goto*//*Label 29264*/ GIMT_Encode4(2215747), // Rule ID 65430 //
     /* 2215729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2215732 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2215732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2215735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2215739 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215746 */     // GIR_Coverage, 65430,
     /* 2215746 */     GIR_EraseRootFromParent_Done,
     /* 2215747 */   // Label 29264: @2215747
     /* 2215747 */   GIM_Try, /*On fail goto*//*Label 29265*/ GIMT_Encode4(2215770), // Rule ID 65431 //
     /* 2215752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1),
     /* 2215755 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2215755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2215758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2215762 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215769 */     // GIR_Coverage, 65431,
     /* 2215769 */     GIR_EraseRootFromParent_Done,
     /* 2215770 */   // Label 29265: @2215770
     /* 2215770 */   GIM_Reject,
     /* 2215771 */ // Label 29254: @2215771
     /* 2215771 */ GIM_Reject,
     /* 2215772 */ // Label 29237: @2215772
     /* 2215772 */ GIM_Try, /*On fail goto*//*Label 29266*/ GIMT_Encode4(2215825), // Rule ID 65407 //
     /* 2215777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2215780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2215783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215791 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i32] }:$src, 32:{ *:[i64] }), 32:{ *:[i64] })
     /* 2215791 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2215794 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2215798 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215803 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2215807 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2215810 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2215815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215817 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 2215823 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215824 */   // GIR_Coverage, 65407,
     /* 2215824 */   GIR_EraseRootFromParent_Done,
     /* 2215825 */ // Label 29266: @2215825
     /* 2215825 */ GIM_Try, /*On fail goto*//*Label 29267*/ GIMT_Encode4(2215878), // Rule ID 65408 //
     /* 2215830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2215833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2215836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215844 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2215844 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2215847 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2215851 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215856 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2215860 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2215863 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2215868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215870 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2215876 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215877 */   // GIR_Coverage, 65408,
     /* 2215877 */   GIR_EraseRootFromParent_Done,
     /* 2215878 */ // Label 29267: @2215878
     /* 2215878 */ GIM_Try, /*On fail goto*//*Label 29268*/ GIMT_Encode4(2215931), // Rule ID 65410 //
     /* 2215883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2215886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2215889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215897 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2215897 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2215900 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2215904 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215909 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2215913 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2215916 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2215921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215923 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2215929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215930 */   // GIR_Coverage, 65410,
     /* 2215930 */   GIR_EraseRootFromParent_Done,
     /* 2215931 */ // Label 29268: @2215931
     /* 2215931 */ GIM_Try, /*On fail goto*//*Label 29269*/ GIMT_Encode4(2215965), // Rule ID 65418 //
     /* 2215936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2215939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2215942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215950 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i32] }:$src, X0:{ *:[i64] })
     /* 2215950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /* 2215953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215955 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2215957 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215964 */   // GIR_Coverage, 65418,
     /* 2215964 */   GIR_EraseRootFromParent_Done,
     /* 2215965 */ // Label 29269: @2215965
     /* 2215965 */ GIM_Try, /*On fail goto*//*Label 29270*/ GIMT_Encode4(2215991), // Rule ID 65424 //
     /* 2215970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2215973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2215976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215984 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2215984 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2215989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215990 */   // GIR_Coverage, 65424,
     /* 2215990 */   GIR_Done,
     /* 2215991 */ // Label 29270: @2215991
     /* 2215991 */ GIM_Try, /*On fail goto*//*Label 29271*/ GIMT_Encode4(2216025), // Rule ID 65429 //
     /* 2215996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2215999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2216002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216010 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i64] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2216010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2216013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216015 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2216017 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2216023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216024 */   // GIR_Coverage, 65429,
     /* 2216024 */   GIR_EraseRootFromParent_Done,
     /* 2216025 */ // Label 29271: @2216025
     /* 2216025 */ GIM_Reject,
     /* 2216026 */ // Label 29238: @2216026
     /* 2216026 */ GIM_Try, /*On fail goto*//*Label 29272*/ GIMT_Encode4(2216129),
     /* 2216031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2216034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216042 */   GIM_Try, /*On fail goto*//*Label 29273*/ GIMT_Encode4(2216085), // Rule ID 45800 //
     /* 2216047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216050 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2216053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2216067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216084 */     // GIR_Coverage, 45800,
     /* 2216084 */     GIR_EraseRootFromParent_Done,
     /* 2216085 */   // Label 29273: @2216085
     /* 2216085 */   GIM_Try, /*On fail goto*//*Label 29274*/ GIMT_Encode4(2216128), // Rule ID 45801 //
     /* 2216090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216093 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2216096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2216110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216127 */     // GIR_Coverage, 45801,
     /* 2216127 */     GIR_EraseRootFromParent_Done,
     /* 2216128 */   // Label 29274: @2216128
     /* 2216128 */   GIM_Reject,
     /* 2216129 */ // Label 29272: @2216129
     /* 2216129 */ GIM_Reject,
     /* 2216130 */ // Label 29239: @2216130
     /* 2216130 */ GIM_Try, /*On fail goto*//*Label 29275*/ GIMT_Encode4(2216184), // Rule ID 47512 //
     /* 2216135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2216141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216149 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216149 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2216152 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216156 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216161 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2216166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216168 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216171 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216182 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216183 */   // GIR_Coverage, 47512,
     /* 2216183 */   GIR_EraseRootFromParent_Done,
     /* 2216184 */ // Label 29275: @2216184
     /* 2216184 */ GIM_Try, /*On fail goto*//*Label 29276*/ GIMT_Encode4(2216238), // Rule ID 47513 //
     /* 2216189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2216195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216203 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216203 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2216206 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216210 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216215 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2216220 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216222 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216225 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216236 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216237 */   // GIR_Coverage, 47513,
     /* 2216237 */   GIR_EraseRootFromParent_Done,
     /* 2216238 */ // Label 29276: @2216238
     /* 2216238 */ GIM_Try, /*On fail goto*//*Label 29277*/ GIMT_Encode4(2216292), // Rule ID 47578 //
     /* 2216243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2216249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216257 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216257 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2216260 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216264 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216269 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2216274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216276 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216279 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216291 */   // GIR_Coverage, 47578,
     /* 2216291 */   GIR_EraseRootFromParent_Done,
     /* 2216292 */ // Label 29277: @2216292
     /* 2216292 */ GIM_Try, /*On fail goto*//*Label 29278*/ GIMT_Encode4(2216346), // Rule ID 47579 //
     /* 2216297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2216303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216311 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216311 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2216314 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216318 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216323 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2216328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216330 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216333 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216345 */   // GIR_Coverage, 47579,
     /* 2216345 */   GIR_EraseRootFromParent_Done,
     /* 2216346 */ // Label 29278: @2216346
     /* 2216346 */ GIM_Reject,
     /* 2216347 */ // Label 29240: @2216347
     /* 2216347 */ GIM_Try, /*On fail goto*//*Label 29279*/ GIMT_Encode4(2216401), // Rule ID 47532 //
     /* 2216352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2216355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2216358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216366 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216366 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216369 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216373 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216378 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2216383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216385 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216388 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216400 */   // GIR_Coverage, 47532,
     /* 2216400 */   GIR_EraseRootFromParent_Done,
     /* 2216401 */ // Label 29279: @2216401
     /* 2216401 */ GIM_Try, /*On fail goto*//*Label 29280*/ GIMT_Encode4(2216455), // Rule ID 47533 //
     /* 2216406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2216409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2216412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216420 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216420 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216423 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216427 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2216437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216439 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216454 */   // GIR_Coverage, 47533,
     /* 2216454 */   GIR_EraseRootFromParent_Done,
     /* 2216455 */ // Label 29280: @2216455
     /* 2216455 */ GIM_Try, /*On fail goto*//*Label 29281*/ GIMT_Encode4(2216509), // Rule ID 47598 //
     /* 2216460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2216463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2216466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216474 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216474 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216477 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216481 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216486 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2216491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216493 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216496 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216508 */   // GIR_Coverage, 47598,
     /* 2216508 */   GIR_EraseRootFromParent_Done,
     /* 2216509 */ // Label 29281: @2216509
     /* 2216509 */ GIM_Try, /*On fail goto*//*Label 29282*/ GIMT_Encode4(2216563), // Rule ID 47599 //
     /* 2216514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2216517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2216520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216528 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216528 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216531 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216535 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216540 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2216545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216547 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216550 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216561 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216562 */   // GIR_Coverage, 47599,
     /* 2216562 */   GIR_EraseRootFromParent_Done,
     /* 2216563 */ // Label 29282: @2216563
     /* 2216563 */ GIM_Try, /*On fail goto*//*Label 29283*/ GIMT_Encode4(2216617), // Rule ID 47632 //
     /* 2216568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2216571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2216574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216582 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216582 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216585 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216589 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216594 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2216599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216601 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216604 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216616 */   // GIR_Coverage, 47632,
     /* 2216616 */   GIR_EraseRootFromParent_Done,
     /* 2216617 */ // Label 29283: @2216617
     /* 2216617 */ GIM_Try, /*On fail goto*//*Label 29284*/ GIMT_Encode4(2216671), // Rule ID 47633 //
     /* 2216622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2216625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2216628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216636 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216636 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216639 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216643 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2216653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216655 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216658 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216670 */   // GIR_Coverage, 47633,
     /* 2216670 */   GIR_EraseRootFromParent_Done,
     /* 2216671 */ // Label 29284: @2216671
     /* 2216671 */ GIM_Reject,
     /* 2216672 */ // Label 29241: @2216672
     /* 2216672 */ GIM_Try, /*On fail goto*//*Label 29285*/ GIMT_Encode4(2216775),
     /* 2216677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216688 */   GIM_Try, /*On fail goto*//*Label 29286*/ GIMT_Encode4(2216731), // Rule ID 47492 //
     /* 2216693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216696 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2216699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2216713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216730 */     // GIR_Coverage, 47492,
     /* 2216730 */     GIR_EraseRootFromParent_Done,
     /* 2216731 */   // Label 29286: @2216731
     /* 2216731 */   GIM_Try, /*On fail goto*//*Label 29287*/ GIMT_Encode4(2216774), // Rule ID 47493 //
     /* 2216736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216739 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2216742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2216756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216773 */     // GIR_Coverage, 47493,
     /* 2216773 */     GIR_EraseRootFromParent_Done,
     /* 2216774 */   // Label 29287: @2216774
     /* 2216774 */   GIM_Reject,
     /* 2216775 */ // Label 29285: @2216775
     /* 2216775 */ GIM_Reject,
     /* 2216776 */ // Label 29242: @2216776
     /* 2216776 */ GIM_Try, /*On fail goto*//*Label 29288*/ GIMT_Encode4(2216830), // Rule ID 47516 //
     /* 2216781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216795 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216795 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2216798 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216802 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216807 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2216812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216814 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216817 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216829 */   // GIR_Coverage, 47516,
     /* 2216829 */   GIR_EraseRootFromParent_Done,
     /* 2216830 */ // Label 29288: @2216830
     /* 2216830 */ GIM_Try, /*On fail goto*//*Label 29289*/ GIMT_Encode4(2216884), // Rule ID 47517 //
     /* 2216835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216849 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216849 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2216852 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216856 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216861 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2216866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216868 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216871 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216883 */   // GIR_Coverage, 47517,
     /* 2216883 */   GIR_EraseRootFromParent_Done,
     /* 2216884 */ // Label 29289: @2216884
     /* 2216884 */ GIM_Try, /*On fail goto*//*Label 29290*/ GIMT_Encode4(2216938), // Rule ID 47582 //
     /* 2216889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216903 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216903 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2216906 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216910 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216915 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2216920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216922 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216925 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216937 */   // GIR_Coverage, 47582,
     /* 2216937 */   GIR_EraseRootFromParent_Done,
     /* 2216938 */ // Label 29290: @2216938
     /* 2216938 */ GIM_Try, /*On fail goto*//*Label 29291*/ GIMT_Encode4(2216992), // Rule ID 47583 //
     /* 2216943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216957 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216957 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2216960 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216964 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2216974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216979 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216991 */   // GIR_Coverage, 47583,
     /* 2216991 */   GIR_EraseRootFromParent_Done,
     /* 2216992 */ // Label 29291: @2216992
     /* 2216992 */ GIM_Reject,
     /* 2216993 */ // Label 29243: @2216993
     /* 2216993 */ GIM_Try, /*On fail goto*//*Label 29292*/ GIMT_Encode4(2217047), // Rule ID 47536 //
     /* 2216998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217012 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217012 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217015 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217019 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217024 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2217029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217031 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217034 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217046 */   // GIR_Coverage, 47536,
     /* 2217046 */   GIR_EraseRootFromParent_Done,
     /* 2217047 */ // Label 29292: @2217047
     /* 2217047 */ GIM_Try, /*On fail goto*//*Label 29293*/ GIMT_Encode4(2217101), // Rule ID 47537 //
     /* 2217052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2217055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217066 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217066 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217069 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217073 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217078 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2217083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217085 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217088 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217100 */   // GIR_Coverage, 47537,
     /* 2217100 */   GIR_EraseRootFromParent_Done,
     /* 2217101 */ // Label 29293: @2217101
     /* 2217101 */ GIM_Try, /*On fail goto*//*Label 29294*/ GIMT_Encode4(2217155), // Rule ID 47602 //
     /* 2217106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2217112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217120 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217120 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217123 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217127 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217132 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2217137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217139 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217142 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217154 */   // GIR_Coverage, 47602,
     /* 2217154 */   GIR_EraseRootFromParent_Done,
     /* 2217155 */ // Label 29294: @2217155
     /* 2217155 */ GIM_Try, /*On fail goto*//*Label 29295*/ GIMT_Encode4(2217209), // Rule ID 47603 //
     /* 2217160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2217163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2217166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217174 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217174 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217177 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217181 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217186 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2217191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217193 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217196 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217208 */   // GIR_Coverage, 47603,
     /* 2217208 */   GIR_EraseRootFromParent_Done,
     /* 2217209 */ // Label 29295: @2217209
     /* 2217209 */ GIM_Try, /*On fail goto*//*Label 29296*/ GIMT_Encode4(2217263), // Rule ID 47636 //
     /* 2217214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2217220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217228 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217228 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217231 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217235 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2217245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217250 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217262 */   // GIR_Coverage, 47636,
     /* 2217262 */   GIR_EraseRootFromParent_Done,
     /* 2217263 */ // Label 29296: @2217263
     /* 2217263 */ GIM_Try, /*On fail goto*//*Label 29297*/ GIMT_Encode4(2217317), // Rule ID 47637 //
     /* 2217268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2217271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2217274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217282 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217282 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217285 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217289 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2217299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217304 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217316 */   // GIR_Coverage, 47637,
     /* 2217316 */   GIR_EraseRootFromParent_Done,
     /* 2217317 */ // Label 29297: @2217317
     /* 2217317 */ GIM_Reject,
     /* 2217318 */ // Label 29244: @2217318
     /* 2217318 */ GIM_Try, /*On fail goto*//*Label 29298*/ GIMT_Encode4(2217421),
     /* 2217323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217334 */   GIM_Try, /*On fail goto*//*Label 29299*/ GIMT_Encode4(2217377), // Rule ID 47496 //
     /* 2217339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217342 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2217345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2217359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217376 */     // GIR_Coverage, 47496,
     /* 2217376 */     GIR_EraseRootFromParent_Done,
     /* 2217377 */   // Label 29299: @2217377
     /* 2217377 */   GIM_Try, /*On fail goto*//*Label 29300*/ GIMT_Encode4(2217420), // Rule ID 47497 //
     /* 2217382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217385 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2217388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2217402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217419 */     // GIR_Coverage, 47497,
     /* 2217419 */     GIR_EraseRootFromParent_Done,
     /* 2217420 */   // Label 29300: @2217420
     /* 2217420 */   GIM_Reject,
     /* 2217421 */ // Label 29298: @2217421
     /* 2217421 */ GIM_Reject,
     /* 2217422 */ // Label 29245: @2217422
     /* 2217422 */ GIM_Try, /*On fail goto*//*Label 29301*/ GIMT_Encode4(2217476), // Rule ID 47520 //
     /* 2217427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2217433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217441 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217441 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2217444 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217448 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2217458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217463 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217475 */   // GIR_Coverage, 47520,
     /* 2217475 */   GIR_EraseRootFromParent_Done,
     /* 2217476 */ // Label 29301: @2217476
     /* 2217476 */ GIM_Try, /*On fail goto*//*Label 29302*/ GIMT_Encode4(2217530), // Rule ID 47521 //
     /* 2217481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2217487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217495 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217495 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2217498 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217502 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2217512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217514 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217517 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217529 */   // GIR_Coverage, 47521,
     /* 2217529 */   GIR_EraseRootFromParent_Done,
     /* 2217530 */ // Label 29302: @2217530
     /* 2217530 */ GIM_Try, /*On fail goto*//*Label 29303*/ GIMT_Encode4(2217584), // Rule ID 47586 //
     /* 2217535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217549 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217549 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2217552 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217556 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217561 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2217566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217568 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217571 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217583 */   // GIR_Coverage, 47586,
     /* 2217583 */   GIR_EraseRootFromParent_Done,
     /* 2217584 */ // Label 29303: @2217584
     /* 2217584 */ GIM_Try, /*On fail goto*//*Label 29304*/ GIMT_Encode4(2217638), // Rule ID 47587 //
     /* 2217589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217603 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217603 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2217606 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217610 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217615 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2217620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217622 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217625 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217637 */   // GIR_Coverage, 47587,
     /* 2217637 */   GIR_EraseRootFromParent_Done,
     /* 2217638 */ // Label 29304: @2217638
     /* 2217638 */ GIM_Reject,
     /* 2217639 */ // Label 29246: @2217639
     /* 2217639 */ GIM_Try, /*On fail goto*//*Label 29305*/ GIMT_Encode4(2217693), // Rule ID 47540 //
     /* 2217644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2217650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217658 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217658 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217661 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217665 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217670 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2217675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217677 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217680 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217692 */   // GIR_Coverage, 47540,
     /* 2217692 */   GIR_EraseRootFromParent_Done,
     /* 2217693 */ // Label 29305: @2217693
     /* 2217693 */ GIM_Try, /*On fail goto*//*Label 29306*/ GIMT_Encode4(2217747), // Rule ID 47541 //
     /* 2217698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2217701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2217704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217712 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217712 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217715 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217719 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217724 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2217729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217731 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217734 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217746 */   // GIR_Coverage, 47541,
     /* 2217746 */   GIR_EraseRootFromParent_Done,
     /* 2217747 */ // Label 29306: @2217747
     /* 2217747 */ GIM_Try, /*On fail goto*//*Label 29307*/ GIMT_Encode4(2217801), // Rule ID 47606 //
     /* 2217752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2217758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217766 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217766 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217769 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217773 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217778 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2217783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217785 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217788 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217800 */   // GIR_Coverage, 47606,
     /* 2217800 */   GIR_EraseRootFromParent_Done,
     /* 2217801 */ // Label 29307: @2217801
     /* 2217801 */ GIM_Try, /*On fail goto*//*Label 29308*/ GIMT_Encode4(2217855), // Rule ID 47607 //
     /* 2217806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2217809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2217812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217820 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217820 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217823 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217827 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217832 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2217837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217839 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217842 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217854 */   // GIR_Coverage, 47607,
     /* 2217854 */   GIR_EraseRootFromParent_Done,
     /* 2217855 */ // Label 29308: @2217855
     /* 2217855 */ GIM_Try, /*On fail goto*//*Label 29309*/ GIMT_Encode4(2217909), // Rule ID 47640 //
     /* 2217860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217874 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217874 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217877 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217881 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217886 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2217891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217893 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217896 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217908 */   // GIR_Coverage, 47640,
     /* 2217908 */   GIR_EraseRootFromParent_Done,
     /* 2217909 */ // Label 29309: @2217909
     /* 2217909 */ GIM_Try, /*On fail goto*//*Label 29310*/ GIMT_Encode4(2217963), // Rule ID 47641 //
     /* 2217914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2217917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217928 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217928 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217931 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217935 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217940 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2217945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217947 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217950 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217962 */   // GIR_Coverage, 47641,
     /* 2217962 */   GIR_EraseRootFromParent_Done,
     /* 2217963 */ // Label 29310: @2217963
     /* 2217963 */ GIM_Reject,
     /* 2217964 */ // Label 29247: @2217964
     /* 2217964 */ GIM_Try, /*On fail goto*//*Label 29311*/ GIMT_Encode4(2218067),
     /* 2217969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2217972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217980 */   GIM_Try, /*On fail goto*//*Label 29312*/ GIMT_Encode4(2218023), // Rule ID 47500 //
     /* 2217985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217988 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2217991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2218005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218022 */     // GIR_Coverage, 47500,
     /* 2218022 */     GIR_EraseRootFromParent_Done,
     /* 2218023 */   // Label 29312: @2218023
     /* 2218023 */   GIM_Try, /*On fail goto*//*Label 29313*/ GIMT_Encode4(2218066), // Rule ID 47501 //
     /* 2218028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218031 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2218034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2218048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218065 */     // GIR_Coverage, 47501,
     /* 2218065 */     GIR_EraseRootFromParent_Done,
     /* 2218066 */   // Label 29313: @2218066
     /* 2218066 */   GIM_Reject,
     /* 2218067 */ // Label 29311: @2218067
     /* 2218067 */ GIM_Reject,
     /* 2218068 */ // Label 29248: @2218068
     /* 2218068 */ GIM_Try, /*On fail goto*//*Label 29314*/ GIMT_Encode4(2218122), // Rule ID 47524 //
     /* 2218073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2218079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218087 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218087 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218090 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218094 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218099 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2218104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218106 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218109 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218121 */   // GIR_Coverage, 47524,
     /* 2218121 */   GIR_EraseRootFromParent_Done,
     /* 2218122 */ // Label 29314: @2218122
     /* 2218122 */ GIM_Try, /*On fail goto*//*Label 29315*/ GIMT_Encode4(2218176), // Rule ID 47525 //
     /* 2218127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2218133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218141 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218153 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2218158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218160 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218163 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218175 */   // GIR_Coverage, 47525,
     /* 2218175 */   GIR_EraseRootFromParent_Done,
     /* 2218176 */ // Label 29315: @2218176
     /* 2218176 */ GIM_Try, /*On fail goto*//*Label 29316*/ GIMT_Encode4(2218230), // Rule ID 47590 //
     /* 2218181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2218187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218195 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218195 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218198 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218202 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218207 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2218212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218214 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218217 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218228 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218229 */   // GIR_Coverage, 47590,
     /* 2218229 */   GIR_EraseRootFromParent_Done,
     /* 2218230 */ // Label 29316: @2218230
     /* 2218230 */ GIM_Try, /*On fail goto*//*Label 29317*/ GIMT_Encode4(2218284), // Rule ID 47591 //
     /* 2218235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2218241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218249 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218249 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218252 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218256 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218261 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2218266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218268 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218271 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218283 */   // GIR_Coverage, 47591,
     /* 2218283 */   GIR_EraseRootFromParent_Done,
     /* 2218284 */ // Label 29317: @2218284
     /* 2218284 */ GIM_Reject,
     /* 2218285 */ // Label 29249: @2218285
     /* 2218285 */ GIM_Try, /*On fail goto*//*Label 29318*/ GIMT_Encode4(2218339), // Rule ID 47544 //
     /* 2218290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2218293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2218296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218304 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2218321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218338 */   // GIR_Coverage, 47544,
     /* 2218338 */   GIR_EraseRootFromParent_Done,
     /* 2218339 */ // Label 29318: @2218339
     /* 2218339 */ GIM_Try, /*On fail goto*//*Label 29319*/ GIMT_Encode4(2218393), // Rule ID 47545 //
     /* 2218344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2218347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2218350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218358 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218358 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218361 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218365 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218370 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2218375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218380 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218392 */   // GIR_Coverage, 47545,
     /* 2218392 */   GIR_EraseRootFromParent_Done,
     /* 2218393 */ // Label 29319: @2218393
     /* 2218393 */ GIM_Try, /*On fail goto*//*Label 29320*/ GIMT_Encode4(2218447), // Rule ID 47610 //
     /* 2218398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2218401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2218404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218412 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2218429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218434 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218446 */   // GIR_Coverage, 47610,
     /* 2218446 */   GIR_EraseRootFromParent_Done,
     /* 2218447 */ // Label 29320: @2218447
     /* 2218447 */ GIM_Try, /*On fail goto*//*Label 29321*/ GIMT_Encode4(2218501), // Rule ID 47611 //
     /* 2218452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2218455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2218458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218466 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218466 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218469 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218473 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218478 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2218483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218485 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218488 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218500 */   // GIR_Coverage, 47611,
     /* 2218500 */   GIR_EraseRootFromParent_Done,
     /* 2218501 */ // Label 29321: @2218501
     /* 2218501 */ GIM_Try, /*On fail goto*//*Label 29322*/ GIMT_Encode4(2218555), // Rule ID 47644 //
     /* 2218506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2218509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2218512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218520 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218520 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218523 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218527 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218532 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2218537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218539 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218542 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218554 */   // GIR_Coverage, 47644,
     /* 2218554 */   GIR_EraseRootFromParent_Done,
     /* 2218555 */ // Label 29322: @2218555
     /* 2218555 */ GIM_Try, /*On fail goto*//*Label 29323*/ GIMT_Encode4(2218609), // Rule ID 47645 //
     /* 2218560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2218563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2218566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218574 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218574 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218577 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218581 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2218591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218593 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218596 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218608 */   // GIR_Coverage, 47645,
     /* 2218608 */   GIR_EraseRootFromParent_Done,
     /* 2218609 */ // Label 29323: @2218609
     /* 2218609 */ GIM_Reject,
     /* 2218610 */ // Label 29250: @2218610
     /* 2218610 */ GIM_Try, /*On fail goto*//*Label 29324*/ GIMT_Encode4(2218713),
     /* 2218615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2218618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218626 */   GIM_Try, /*On fail goto*//*Label 29325*/ GIMT_Encode4(2218669), // Rule ID 47504 //
     /* 2218631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218634 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2218651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218668 */     // GIR_Coverage, 47504,
     /* 2218668 */     GIR_EraseRootFromParent_Done,
     /* 2218669 */   // Label 29325: @2218669
     /* 2218669 */   GIM_Try, /*On fail goto*//*Label 29326*/ GIMT_Encode4(2218712), // Rule ID 47505 //
     /* 2218674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218677 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2218694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218711 */     // GIR_Coverage, 47505,
     /* 2218711 */     GIR_EraseRootFromParent_Done,
     /* 2218712 */   // Label 29326: @2218712
     /* 2218712 */   GIM_Reject,
     /* 2218713 */ // Label 29324: @2218713
     /* 2218713 */ GIM_Reject,
     /* 2218714 */ // Label 29251: @2218714
     /* 2218714 */ GIM_Try, /*On fail goto*//*Label 29327*/ GIMT_Encode4(2218768), // Rule ID 47528 //
     /* 2218719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2218725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218733 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218733 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218736 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218740 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218745 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2218750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218752 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218755 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218767 */   // GIR_Coverage, 47528,
     /* 2218767 */   GIR_EraseRootFromParent_Done,
     /* 2218768 */ // Label 29327: @2218768
     /* 2218768 */ GIM_Try, /*On fail goto*//*Label 29328*/ GIMT_Encode4(2218822), // Rule ID 47529 //
     /* 2218773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2218779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218787 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218787 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218790 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218794 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218799 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2218804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218806 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218809 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218821 */   // GIR_Coverage, 47529,
     /* 2218821 */   GIR_EraseRootFromParent_Done,
     /* 2218822 */ // Label 29328: @2218822
     /* 2218822 */ GIM_Try, /*On fail goto*//*Label 29329*/ GIMT_Encode4(2218876), // Rule ID 47594 //
     /* 2218827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2218833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218841 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218841 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218844 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218848 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218853 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2218858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218860 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218863 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218875 */   // GIR_Coverage, 47594,
     /* 2218875 */   GIR_EraseRootFromParent_Done,
     /* 2218876 */ // Label 29329: @2218876
     /* 2218876 */ GIM_Try, /*On fail goto*//*Label 29330*/ GIMT_Encode4(2218930), // Rule ID 47595 //
     /* 2218881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2218887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218895 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218895 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218898 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218902 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218907 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2218912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218914 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218917 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218929 */   // GIR_Coverage, 47595,
     /* 2218929 */   GIR_EraseRootFromParent_Done,
     /* 2218930 */ // Label 29330: @2218930
     /* 2218930 */ GIM_Reject,
     /* 2218931 */ // Label 29252: @2218931
     /* 2218931 */ GIM_Try, /*On fail goto*//*Label 29331*/ GIMT_Encode4(2219034),
     /* 2218936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2218939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218947 */   GIM_Try, /*On fail goto*//*Label 29332*/ GIMT_Encode4(2218990), // Rule ID 47508 //
     /* 2218952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218955 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2218958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2218972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218989 */     // GIR_Coverage, 47508,
     /* 2218989 */     GIR_EraseRootFromParent_Done,
     /* 2218990 */   // Label 29332: @2218990
     /* 2218990 */   GIM_Try, /*On fail goto*//*Label 29333*/ GIMT_Encode4(2219033), // Rule ID 47509 //
     /* 2218995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218998 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2219001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2219015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2219022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219032 */     // GIR_Coverage, 47509,
     /* 2219032 */     GIR_EraseRootFromParent_Done,
     /* 2219033 */   // Label 29333: @2219033
     /* 2219033 */   GIM_Reject,
     /* 2219034 */ // Label 29331: @2219034
     /* 2219034 */ GIM_Reject,
     /* 2219035 */ // Label 29253: @2219035
     /* 2219035 */ GIM_Reject,
     /* 2219036 */ // Label 43: @2219036
     /* 2219036 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29358*/ GIMT_Encode4(2227631),
     /* 2219047 */ /*GILLT_s32*//*Label 29334*/ GIMT_Encode4(2219171),
     /* 2219051 */ /*GILLT_s64*//*Label 29335*/ GIMT_Encode4(2219296), GIMT_Encode4(0),
     /* 2219059 */ /*GILLT_nxv1s8*//*Label 29336*/ GIMT_Encode4(2219641),
     /* 2219063 */ /*GILLT_nxv1s16*//*Label 29337*/ GIMT_Encode4(2219756),
     /* 2219067 */ /*GILLT_nxv1s32*//*Label 29338*/ GIMT_Encode4(2220235),
     /* 2219071 */ /*GILLT_nxv1s64*//*Label 29339*/ GIMT_Encode4(2220714), GIMT_Encode4(0),
     /* 2219079 */ /*GILLT_nxv2s8*//*Label 29340*/ GIMT_Encode4(2221193),
     /* 2219083 */ /*GILLT_nxv2s16*//*Label 29341*/ GIMT_Encode4(2221308),
     /* 2219087 */ /*GILLT_nxv2s32*//*Label 29342*/ GIMT_Encode4(2221787),
     /* 2219091 */ /*GILLT_nxv2s64*//*Label 29343*/ GIMT_Encode4(2222266), GIMT_Encode4(0),
     /* 2219099 */ /*GILLT_nxv4s8*//*Label 29344*/ GIMT_Encode4(2222745),
     /* 2219103 */ /*GILLT_nxv4s16*//*Label 29345*/ GIMT_Encode4(2222860),
     /* 2219107 */ /*GILLT_nxv4s32*//*Label 29346*/ GIMT_Encode4(2223339),
     /* 2219111 */ /*GILLT_nxv4s64*//*Label 29347*/ GIMT_Encode4(2223818), GIMT_Encode4(0),
     /* 2219119 */ /*GILLT_nxv8s8*//*Label 29348*/ GIMT_Encode4(2224297),
     /* 2219123 */ /*GILLT_nxv8s16*//*Label 29349*/ GIMT_Encode4(2224412),
     /* 2219127 */ /*GILLT_nxv8s32*//*Label 29350*/ GIMT_Encode4(2224891),
     /* 2219131 */ /*GILLT_nxv8s64*//*Label 29351*/ GIMT_Encode4(2225370), GIMT_Encode4(0),
     /* 2219139 */ /*GILLT_nxv16s8*//*Label 29352*/ GIMT_Encode4(2225849),
     /* 2219143 */ /*GILLT_nxv16s16*//*Label 29353*/ GIMT_Encode4(2225964),
     /* 2219147 */ /*GILLT_nxv16s32*//*Label 29354*/ GIMT_Encode4(2226443), GIMT_Encode4(0),
     /* 2219155 */ /*GILLT_nxv32s8*//*Label 29355*/ GIMT_Encode4(2226922),
     /* 2219159 */ /*GILLT_nxv32s16*//*Label 29356*/ GIMT_Encode4(2227037), GIMT_Encode4(0),
     /* 2219167 */ /*GILLT_nxv64s8*//*Label 29357*/ GIMT_Encode4(2227516),
     /* 2219171 */ // Label 29334: @2219171
     /* 2219171 */ GIM_Try, /*On fail goto*//*Label 29359*/ GIMT_Encode4(2219295),
     /* 2219176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2219179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2219182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219186 */   GIM_Try, /*On fail goto*//*Label 29360*/ GIMT_Encode4(2219223), // Rule ID 2483 //
     /* 2219191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /* 2219194 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2219198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2219205 */     // (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2)
     /* 2219205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2219208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2219221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219222 */     // GIR_Coverage, 2483,
     /* 2219222 */     GIR_EraseRootFromParent_Done,
     /* 2219223 */   // Label 29360: @2219223
     /* 2219223 */   GIM_Try, /*On fail goto*//*Label 29361*/ GIMT_Encode4(2219261), // Rule ID 97 //
     /* 2219228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219247 */     // MIs[1] Operand 1
     /* 2219247 */     // No operand predicates
     /* 2219247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219249 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2219252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219260 */     // GIR_Coverage, 97,
     /* 2219260 */     GIR_EraseRootFromParent_Done,
     /* 2219261 */   // Label 29361: @2219261
     /* 2219261 */   GIM_Try, /*On fail goto*//*Label 29362*/ GIMT_Encode4(2219294), // Rule ID 111 //
     /* 2219266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2219280 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SLL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2219280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2219283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2219292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219293 */     // GIR_Coverage, 111,
     /* 2219293 */     GIR_EraseRootFromParent_Done,
     /* 2219294 */   // Label 29362: @2219294
     /* 2219294 */   GIM_Reject,
     /* 2219295 */ // Label 29359: @2219295
     /* 2219295 */ GIM_Reject,
     /* 2219296 */ // Label 29335: @2219296
     /* 2219296 */ GIM_Try, /*On fail goto*//*Label 29363*/ GIMT_Encode4(2219640),
     /* 2219301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2219304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2219307 */   GIM_Try, /*On fail goto*//*Label 29364*/ GIMT_Encode4(2219401), // Rule ID 263 //
     /* 2219312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2219315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2219323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2219327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2219331 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2219335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219340 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2219351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2219355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219359 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2219363 */     // MIs[2] Operand 1
     /* 2219363 */     // No operand predicates
     /* 2219363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2219365 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt))
     /* 2219365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2219368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2219372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219377 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2219381 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2219384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2219389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219394 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // shamt
     /* 2219399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219400 */     // GIR_Coverage, 263,
     /* 2219400 */     GIR_EraseRootFromParent_Done,
     /* 2219401 */   // Label 29364: @2219401
     /* 2219401 */   GIM_Try, /*On fail goto*//*Label 29365*/ GIMT_Encode4(2219473), // Rule ID 2623 //
     /* 2219406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2219409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2219417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2219421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2219425 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2219429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219434 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2219445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2219449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219453 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2219457 */     // MIs[2] Operand 1
     /* 2219457 */     // No operand predicates
     /* 2219457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2219459 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SLLI_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2219459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /* 2219462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2219468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2219471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219472 */     // GIR_Coverage, 2623,
     /* 2219472 */     GIR_EraseRootFromParent_Done,
     /* 2219473 */   // Label 29365: @2219473
     /* 2219473 */   GIM_Try, /*On fail goto*//*Label 29366*/ GIMT_Encode4(2219514), // Rule ID 2482 //
     /* 2219478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /* 2219481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219485 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2219489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2219496 */     // (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2)
     /* 2219496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2219499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219501 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2219512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219513 */     // GIR_Coverage, 2482,
     /* 2219513 */     GIR_EraseRootFromParent_Done,
     /* 2219514 */   // Label 29366: @2219514
     /* 2219514 */   GIM_Try, /*On fail goto*//*Label 29367*/ GIMT_Encode4(2219560), // Rule ID 278 //
     /* 2219519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2219522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2219542 */     // MIs[1] Operand 1
     /* 2219542 */     // No operand predicates
     /* 2219542 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10052),
     /* 2219546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219548 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)<<P:Predicate_anonymous_10052>>  =>  (SLLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2219548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLIW),
     /* 2219551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219559 */     // GIR_Coverage, 278,
     /* 2219559 */     GIR_EraseRootFromParent_Done,
     /* 2219560 */   // Label 29367: @2219560
     /* 2219560 */   GIM_Try, /*On fail goto*//*Label 29368*/ GIMT_Encode4(2219602), // Rule ID 96 //
     /* 2219565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2219568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219588 */     // MIs[1] Operand 1
     /* 2219588 */     // No operand predicates
     /* 2219588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219590 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2219593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219601 */     // GIR_Coverage, 96,
     /* 2219601 */     GIR_EraseRootFromParent_Done,
     /* 2219602 */   // Label 29368: @2219602
     /* 2219602 */   GIM_Try, /*On fail goto*//*Label 29369*/ GIMT_Encode4(2219639), // Rule ID 110 //
     /* 2219607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2219610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2219625 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2219625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2219628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2219637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219638 */     // GIR_Coverage, 110,
     /* 2219638 */     GIR_EraseRootFromParent_Done,
     /* 2219639 */   // Label 29369: @2219639
     /* 2219639 */   GIM_Reject,
     /* 2219640 */ // Label 29363: @2219640
     /* 2219640 */ GIM_Reject,
     /* 2219641 */ // Label 29336: @2219641
     /* 2219641 */ GIM_Try, /*On fail goto*//*Label 29370*/ GIMT_Encode4(2219755),
     /* 2219646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2219649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2219652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219660 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219664 */   GIM_Try, /*On fail goto*//*Label 29371*/ GIMT_Encode4(2219709), // Rule ID 48052 //
     /* 2219669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219672 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2219675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2219689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219708 */     // GIR_Coverage, 48052,
     /* 2219708 */     GIR_EraseRootFromParent_Done,
     /* 2219709 */   // Label 29371: @2219709
     /* 2219709 */   GIM_Try, /*On fail goto*//*Label 29372*/ GIMT_Encode4(2219754), // Rule ID 48053 //
     /* 2219714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219717 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2219720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2219734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219753 */     // GIR_Coverage, 48053,
     /* 2219753 */     GIR_EraseRootFromParent_Done,
     /* 2219754 */   // Label 29372: @2219754
     /* 2219754 */   GIM_Reject,
     /* 2219755 */ // Label 29370: @2219755
     /* 2219755 */ GIM_Reject,
     /* 2219756 */ // Label 29337: @2219756
     /* 2219756 */ GIM_Try, /*On fail goto*//*Label 29373*/ GIMT_Encode4(2220234),
     /* 2219761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2219764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2219767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219771 */   GIM_Try, /*On fail goto*//*Label 29374*/ GIMT_Encode4(2219860), // Rule ID 59540 //
     /* 2219776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2219779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2219783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2219791 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2219793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2219802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2219806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2219810 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2219812 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219817 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2219819 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2219822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2219836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2219845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2219849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219859 */     // GIR_Coverage, 59540,
     /* 2219859 */     GIR_EraseRootFromParent_Done,
     /* 2219860 */   // Label 29374: @2219860
     /* 2219860 */   GIM_Try, /*On fail goto*//*Label 29375*/ GIMT_Encode4(2219949), // Rule ID 59541 //
     /* 2219865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2219868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2219872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2219880 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2219882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2219891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2219895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2219899 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2219901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2219908 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2219911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2219925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2219934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2219938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219948 */     // GIR_Coverage, 59541,
     /* 2219948 */     GIR_EraseRootFromParent_Done,
     /* 2219949 */   // Label 29375: @2219949
     /* 2219949 */   GIM_Try, /*On fail goto*//*Label 29376*/ GIMT_Encode4(2220038), // Rule ID 59542 //
     /* 2219954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2219957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2219961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2219969 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2219971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2219980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2219984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2219988 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2219990 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2219997 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2220000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2220014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220037 */     // GIR_Coverage, 59542,
     /* 2220037 */     GIR_EraseRootFromParent_Done,
     /* 2220038 */   // Label 29376: @2220038
     /* 2220038 */   GIM_Try, /*On fail goto*//*Label 29377*/ GIMT_Encode4(2220127), // Rule ID 59543 //
     /* 2220043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2220046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2220058 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2220077 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220079 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220084 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220086 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2220089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2220103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220126 */     // GIR_Coverage, 59543,
     /* 2220126 */     GIR_EraseRootFromParent_Done,
     /* 2220127 */   // Label 29377: @2220127
     /* 2220127 */   GIM_Try, /*On fail goto*//*Label 29378*/ GIMT_Encode4(2220180), // Rule ID 48064 //
     /* 2220132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220143 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2220146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2220160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220179 */     // GIR_Coverage, 48064,
     /* 2220179 */     GIR_EraseRootFromParent_Done,
     /* 2220180 */   // Label 29378: @2220180
     /* 2220180 */   GIM_Try, /*On fail goto*//*Label 29379*/ GIMT_Encode4(2220233), // Rule ID 48065 //
     /* 2220185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220196 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2220199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2220213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220232 */     // GIR_Coverage, 48065,
     /* 2220232 */     GIR_EraseRootFromParent_Done,
     /* 2220233 */   // Label 29379: @2220233
     /* 2220233 */   GIM_Reject,
     /* 2220234 */ // Label 29373: @2220234
     /* 2220234 */ GIM_Reject,
     /* 2220235 */ // Label 29338: @2220235
     /* 2220235 */ GIM_Try, /*On fail goto*//*Label 29380*/ GIMT_Encode4(2220713),
     /* 2220240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2220243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2220246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220250 */   GIM_Try, /*On fail goto*//*Label 29381*/ GIMT_Encode4(2220339), // Rule ID 59588 //
     /* 2220255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2220258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220270 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2220285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220289 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220291 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220298 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2220315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220338 */     // GIR_Coverage, 59588,
     /* 2220338 */     GIR_EraseRootFromParent_Done,
     /* 2220339 */   // Label 29381: @2220339
     /* 2220339 */   GIM_Try, /*On fail goto*//*Label 29382*/ GIMT_Encode4(2220428), // Rule ID 59589 //
     /* 2220344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2220347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220359 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2220374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220378 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220387 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2220404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220427 */     // GIR_Coverage, 59589,
     /* 2220427 */     GIR_EraseRootFromParent_Done,
     /* 2220428 */   // Label 29382: @2220428
     /* 2220428 */   GIM_Try, /*On fail goto*//*Label 29383*/ GIMT_Encode4(2220517), // Rule ID 59590 //
     /* 2220433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2220436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220448 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220467 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220476 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2220493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220516 */     // GIR_Coverage, 59590,
     /* 2220516 */     GIR_EraseRootFromParent_Done,
     /* 2220517 */   // Label 29383: @2220517
     /* 2220517 */   GIM_Try, /*On fail goto*//*Label 29384*/ GIMT_Encode4(2220606), // Rule ID 59591 //
     /* 2220522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2220525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220537 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220556 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220565 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2220582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220605 */     // GIR_Coverage, 59591,
     /* 2220605 */     GIR_EraseRootFromParent_Done,
     /* 2220606 */   // Label 29384: @2220606
     /* 2220606 */   GIM_Try, /*On fail goto*//*Label 29385*/ GIMT_Encode4(2220659), // Rule ID 48072 //
     /* 2220611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220622 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2220639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220658 */     // GIR_Coverage, 48072,
     /* 2220658 */     GIR_EraseRootFromParent_Done,
     /* 2220659 */   // Label 29385: @2220659
     /* 2220659 */   GIM_Try, /*On fail goto*//*Label 29386*/ GIMT_Encode4(2220712), // Rule ID 48073 //
     /* 2220664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220675 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2220692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220711 */     // GIR_Coverage, 48073,
     /* 2220711 */     GIR_EraseRootFromParent_Done,
     /* 2220712 */   // Label 29386: @2220712
     /* 2220712 */   GIM_Reject,
     /* 2220713 */ // Label 29380: @2220713
     /* 2220713 */ GIM_Reject,
     /* 2220714 */ // Label 29339: @2220714
     /* 2220714 */ GIM_Try, /*On fail goto*//*Label 29387*/ GIMT_Encode4(2221192),
     /* 2220719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2220722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2220725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220729 */   GIM_Try, /*On fail goto*//*Label 29388*/ GIMT_Encode4(2220818), // Rule ID 59628 //
     /* 2220734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2220737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2220749 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2220764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2220768 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220770 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220777 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2220780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2220794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220817 */     // GIR_Coverage, 59628,
     /* 2220817 */     GIR_EraseRootFromParent_Done,
     /* 2220818 */   // Label 29388: @2220818
     /* 2220818 */   GIM_Try, /*On fail goto*//*Label 29389*/ GIMT_Encode4(2220907), // Rule ID 59629 //
     /* 2220823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2220826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2220838 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2220853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2220857 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220866 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2220869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2220883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220906 */     // GIR_Coverage, 59629,
     /* 2220906 */     GIR_EraseRootFromParent_Done,
     /* 2220907 */   // Label 29389: @2220907
     /* 2220907 */   GIM_Try, /*On fail goto*//*Label 29390*/ GIMT_Encode4(2220996), // Rule ID 59630 //
     /* 2220912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2220915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2220927 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2220929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2220942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2220946 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2220948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220955 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2220958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2220972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2220981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2220985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220995 */     // GIR_Coverage, 59630,
     /* 2220995 */     GIR_EraseRootFromParent_Done,
     /* 2220996 */   // Label 29390: @2220996
     /* 2220996 */   GIM_Try, /*On fail goto*//*Label 29391*/ GIMT_Encode4(2221085), // Rule ID 59631 //
     /* 2221001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2221004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2221016 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2221035 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221044 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2221047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2221061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221084 */     // GIR_Coverage, 59631,
     /* 2221084 */     GIR_EraseRootFromParent_Done,
     /* 2221085 */   // Label 29391: @2221085
     /* 2221085 */   GIM_Try, /*On fail goto*//*Label 29392*/ GIMT_Encode4(2221138), // Rule ID 48088 //
     /* 2221090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2221093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221101 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2221104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2221118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221137 */     // GIR_Coverage, 48088,
     /* 2221137 */     GIR_EraseRootFromParent_Done,
     /* 2221138 */   // Label 29392: @2221138
     /* 2221138 */   GIM_Try, /*On fail goto*//*Label 29393*/ GIMT_Encode4(2221191), // Rule ID 48089 //
     /* 2221143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2221146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221154 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2221157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2221171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221190 */     // GIR_Coverage, 48089,
     /* 2221190 */     GIR_EraseRootFromParent_Done,
     /* 2221191 */   // Label 29393: @2221191
     /* 2221191 */   GIM_Reject,
     /* 2221192 */ // Label 29387: @2221192
     /* 2221192 */ GIM_Reject,
     /* 2221193 */ // Label 29340: @2221193
     /* 2221193 */ GIM_Try, /*On fail goto*//*Label 29394*/ GIMT_Encode4(2221307),
     /* 2221198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2221204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221216 */   GIM_Try, /*On fail goto*//*Label 29395*/ GIMT_Encode4(2221261), // Rule ID 48056 //
     /* 2221221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221224 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2221227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2221241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221260 */     // GIR_Coverage, 48056,
     /* 2221260 */     GIR_EraseRootFromParent_Done,
     /* 2221261 */   // Label 29395: @2221261
     /* 2221261 */   GIM_Try, /*On fail goto*//*Label 29396*/ GIMT_Encode4(2221306), // Rule ID 48057 //
     /* 2221266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221269 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2221272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2221286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221305 */     // GIR_Coverage, 48057,
     /* 2221305 */     GIR_EraseRootFromParent_Done,
     /* 2221306 */   // Label 29396: @2221306
     /* 2221306 */   GIM_Reject,
     /* 2221307 */ // Label 29394: @2221307
     /* 2221307 */ GIM_Reject,
     /* 2221308 */ // Label 29341: @2221308
     /* 2221308 */ GIM_Try, /*On fail goto*//*Label 29397*/ GIMT_Encode4(2221786),
     /* 2221313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2221316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2221319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221323 */   GIM_Try, /*On fail goto*//*Label 29398*/ GIMT_Encode4(2221412), // Rule ID 59548 //
     /* 2221328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2221331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221343 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2221358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221362 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221371 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2221374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2221388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221411 */     // GIR_Coverage, 59548,
     /* 2221411 */     GIR_EraseRootFromParent_Done,
     /* 2221412 */   // Label 29398: @2221412
     /* 2221412 */   GIM_Try, /*On fail goto*//*Label 29399*/ GIMT_Encode4(2221501), // Rule ID 59549 //
     /* 2221417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2221420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221432 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2221447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221451 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221460 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2221463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2221477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221500 */     // GIR_Coverage, 59549,
     /* 2221500 */     GIR_EraseRootFromParent_Done,
     /* 2221501 */   // Label 29399: @2221501
     /* 2221501 */   GIM_Try, /*On fail goto*//*Label 29400*/ GIMT_Encode4(2221590), // Rule ID 59550 //
     /* 2221506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2221509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221521 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221540 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221549 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2221552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2221566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221589 */     // GIR_Coverage, 59550,
     /* 2221589 */     GIR_EraseRootFromParent_Done,
     /* 2221590 */   // Label 29400: @2221590
     /* 2221590 */   GIM_Try, /*On fail goto*//*Label 29401*/ GIMT_Encode4(2221679), // Rule ID 59551 //
     /* 2221595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2221598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221610 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221629 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221638 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2221641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2221655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221678 */     // GIR_Coverage, 59551,
     /* 2221678 */     GIR_EraseRootFromParent_Done,
     /* 2221679 */   // Label 29401: @2221679
     /* 2221679 */   GIM_Try, /*On fail goto*//*Label 29402*/ GIMT_Encode4(2221732), // Rule ID 48068 //
     /* 2221684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221695 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2221698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2221712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221731 */     // GIR_Coverage, 48068,
     /* 2221731 */     GIR_EraseRootFromParent_Done,
     /* 2221732 */   // Label 29402: @2221732
     /* 2221732 */   GIM_Try, /*On fail goto*//*Label 29403*/ GIMT_Encode4(2221785), // Rule ID 48069 //
     /* 2221737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221748 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2221751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2221765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221784 */     // GIR_Coverage, 48069,
     /* 2221784 */     GIR_EraseRootFromParent_Done,
     /* 2221785 */   // Label 29403: @2221785
     /* 2221785 */   GIM_Reject,
     /* 2221786 */ // Label 29397: @2221786
     /* 2221786 */ GIM_Reject,
     /* 2221787 */ // Label 29342: @2221787
     /* 2221787 */ GIM_Try, /*On fail goto*//*Label 29404*/ GIMT_Encode4(2222265),
     /* 2221792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2221795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2221798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221802 */   GIM_Try, /*On fail goto*//*Label 29405*/ GIMT_Encode4(2221891), // Rule ID 59596 //
     /* 2221807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2221810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2221822 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2221837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2221841 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221850 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2221853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2221867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221890 */     // GIR_Coverage, 59596,
     /* 2221890 */     GIR_EraseRootFromParent_Done,
     /* 2221891 */   // Label 29405: @2221891
     /* 2221891 */   GIM_Try, /*On fail goto*//*Label 29406*/ GIMT_Encode4(2221980), // Rule ID 59597 //
     /* 2221896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2221899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2221911 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2221913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2221922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2221926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2221930 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2221932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2221939 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2221942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2221956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2221965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2221969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221979 */     // GIR_Coverage, 59597,
     /* 2221979 */     GIR_EraseRootFromParent_Done,
     /* 2221980 */   // Label 29406: @2221980
     /* 2221980 */   GIM_Try, /*On fail goto*//*Label 29407*/ GIMT_Encode4(2222069), // Rule ID 59598 //
     /* 2221985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2221988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2221992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2221996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2222000 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2222002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2222011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2222019 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2222021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2222028 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2222031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2222045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2222054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2222058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222068 */     // GIR_Coverage, 59598,
     /* 2222068 */     GIR_EraseRootFromParent_Done,
     /* 2222069 */   // Label 29407: @2222069
     /* 2222069 */   GIM_Try, /*On fail goto*//*Label 29408*/ GIMT_Encode4(2222158), // Rule ID 59599 //
     /* 2222074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2222077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2222081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2222089 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2222091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2222100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2222108 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2222110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2222117 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2222120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2222134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2222143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2222147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222157 */     // GIR_Coverage, 59599,
     /* 2222157 */     GIR_EraseRootFromParent_Done,
     /* 2222158 */   // Label 29408: @2222158
     /* 2222158 */   GIM_Try, /*On fail goto*//*Label 29409*/ GIMT_Encode4(2222211), // Rule ID 48084 //
     /* 2222163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222174 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2222177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2222191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222210 */     // GIR_Coverage, 48084,
     /* 2222210 */     GIR_EraseRootFromParent_Done,
     /* 2222211 */   // Label 29409: @2222211
     /* 2222211 */   GIM_Try, /*On fail goto*//*Label 29410*/ GIMT_Encode4(2222264), // Rule ID 48085 //
     /* 2222216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222227 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2222230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2222244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222263 */     // GIR_Coverage, 48085,
     /* 2222263 */     GIR_EraseRootFromParent_Done,
     /* 2222264 */   // Label 29410: @2222264
     /* 2222264 */   GIM_Reject,
     /* 2222265 */ // Label 29404: @2222265
     /* 2222265 */ GIM_Reject,
     /* 2222266 */ // Label 29343: @2222266
     /* 2222266 */ GIM_Try, /*On fail goto*//*Label 29411*/ GIMT_Encode4(2222744),
     /* 2222271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2222274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2222277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222281 */   GIM_Try, /*On fail goto*//*Label 29412*/ GIMT_Encode4(2222370), // Rule ID 59636 //
     /* 2222286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2222289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2222293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2222301 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2222303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2222312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2222316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2222320 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2222322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2222329 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2222332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2222346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2222355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2222359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222369 */     // GIR_Coverage, 59636,
     /* 2222369 */     GIR_EraseRootFromParent_Done,
     /* 2222370 */   // Label 29412: @2222370
     /* 2222370 */   GIM_Try, /*On fail goto*//*Label 29413*/ GIMT_Encode4(2222459), // Rule ID 59637 //
     /* 2222375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2222378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2222382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2222390 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2222392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2222401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2222405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2222409 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2222411 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222416 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2222418 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2222421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2222435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2222444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2222448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222458 */     // GIR_Coverage, 59637,
     /* 2222458 */     GIR_EraseRootFromParent_Done,
     /* 2222459 */   // Label 29413: @2222459
     /* 2222459 */   GIM_Try, /*On fail goto*//*Label 29414*/ GIMT_Encode4(2222548), // Rule ID 59638 //
     /* 2222464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2222467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2222471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2222479 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2222481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2222490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2222498 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2222500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2222507 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2222510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2222524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2222533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2222537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222547 */     // GIR_Coverage, 59638,
     /* 2222547 */     GIR_EraseRootFromParent_Done,
     /* 2222548 */   // Label 29414: @2222548
     /* 2222548 */   GIM_Try, /*On fail goto*//*Label 29415*/ GIMT_Encode4(2222637), // Rule ID 59639 //
     /* 2222553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2222556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2222560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2222568 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2222570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222575 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2222579 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222583 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2222587 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2222589 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222594 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2222596 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2222599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2222613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2222622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2222626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222636 */     // GIR_Coverage, 59639,
     /* 2222636 */     GIR_EraseRootFromParent_Done,
     /* 2222637 */   // Label 29415: @2222637
     /* 2222637 */   GIM_Try, /*On fail goto*//*Label 29416*/ GIMT_Encode4(2222690), // Rule ID 48128 //
     /* 2222642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2222645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222653 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2222656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2222670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222689 */     // GIR_Coverage, 48128,
     /* 2222689 */     GIR_EraseRootFromParent_Done,
     /* 2222690 */   // Label 29416: @2222690
     /* 2222690 */   GIM_Try, /*On fail goto*//*Label 29417*/ GIMT_Encode4(2222743), // Rule ID 48129 //
     /* 2222695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2222698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222706 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2222709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2222723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222742 */     // GIR_Coverage, 48129,
     /* 2222742 */     GIR_EraseRootFromParent_Done,
     /* 2222743 */   // Label 29417: @2222743
     /* 2222743 */   GIM_Reject,
     /* 2222744 */ // Label 29411: @2222744
     /* 2222744 */ GIM_Reject,
     /* 2222745 */ // Label 29344: @2222745
     /* 2222745 */ GIM_Try, /*On fail goto*//*Label 29418*/ GIMT_Encode4(2222859),
     /* 2222750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2222753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2222756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222768 */   GIM_Try, /*On fail goto*//*Label 29419*/ GIMT_Encode4(2222813), // Rule ID 48060 //
     /* 2222773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222776 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2222779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2222793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222812 */     // GIR_Coverage, 48060,
     /* 2222812 */     GIR_EraseRootFromParent_Done,
     /* 2222813 */   // Label 29419: @2222813
     /* 2222813 */   GIM_Try, /*On fail goto*//*Label 29420*/ GIMT_Encode4(2222858), // Rule ID 48061 //
     /* 2222818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222821 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2222824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2222838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222857 */     // GIR_Coverage, 48061,
     /* 2222857 */     GIR_EraseRootFromParent_Done,
     /* 2222858 */   // Label 29420: @2222858
     /* 2222858 */   GIM_Reject,
     /* 2222859 */ // Label 29418: @2222859
     /* 2222859 */ GIM_Reject,
     /* 2222860 */ // Label 29345: @2222860
     /* 2222860 */ GIM_Try, /*On fail goto*//*Label 29421*/ GIMT_Encode4(2223338),
     /* 2222865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2222868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2222871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222875 */   GIM_Try, /*On fail goto*//*Label 29422*/ GIMT_Encode4(2222964), // Rule ID 59556 //
     /* 2222880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2222883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2222887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2222895 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2222897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2222906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2222910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2222914 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2222916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2222923 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2222926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2222940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2222949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2222953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222963 */     // GIR_Coverage, 59556,
     /* 2222963 */     GIR_EraseRootFromParent_Done,
     /* 2222964 */   // Label 29422: @2222964
     /* 2222964 */   GIM_Try, /*On fail goto*//*Label 29423*/ GIMT_Encode4(2223053), // Rule ID 59557 //
     /* 2222969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2222972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2222976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2222980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2222984 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2222986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2222995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2222999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2223003 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2223005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2223012 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2223015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2223029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2223038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2223042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223052 */     // GIR_Coverage, 59557,
     /* 2223052 */     GIR_EraseRootFromParent_Done,
     /* 2223053 */   // Label 29423: @2223053
     /* 2223053 */   GIM_Try, /*On fail goto*//*Label 29424*/ GIMT_Encode4(2223142), // Rule ID 59558 //
     /* 2223058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2223061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2223065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2223069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2223073 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2223075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2223084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2223088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2223092 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2223094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2223101 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2223104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2223118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2223127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2223131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223141 */     // GIR_Coverage, 59558,
     /* 2223141 */     GIR_EraseRootFromParent_Done,
     /* 2223142 */   // Label 29424: @2223142
     /* 2223142 */   GIM_Try, /*On fail goto*//*Label 29425*/ GIMT_Encode4(2223231), // Rule ID 59559 //
     /* 2223147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2223150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2223154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2223158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2223162 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2223164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2223173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2223177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2223181 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2223183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2223190 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2223193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2223207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2223216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2223220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223230 */     // GIR_Coverage, 59559,
     /* 2223230 */     GIR_EraseRootFromParent_Done,
     /* 2223231 */   // Label 29425: @2223231
     /* 2223231 */   GIM_Try, /*On fail goto*//*Label 29426*/ GIMT_Encode4(2223284), // Rule ID 48080 //
     /* 2223236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223247 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2223250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2223264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223283 */     // GIR_Coverage, 48080,
     /* 2223283 */     GIR_EraseRootFromParent_Done,
     /* 2223284 */   // Label 29426: @2223284
     /* 2223284 */   GIM_Try, /*On fail goto*//*Label 29427*/ GIMT_Encode4(2223337), // Rule ID 48081 //
     /* 2223289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223300 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2223303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2223317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223336 */     // GIR_Coverage, 48081,
     /* 2223336 */     GIR_EraseRootFromParent_Done,
     /* 2223337 */   // Label 29427: @2223337
     /* 2223337 */   GIM_Reject,
     /* 2223338 */ // Label 29421: @2223338
     /* 2223338 */ GIM_Reject,
     /* 2223339 */ // Label 29346: @2223339
     /* 2223339 */ GIM_Try, /*On fail goto*//*Label 29428*/ GIMT_Encode4(2223817),
     /* 2223344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2223347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2223350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223354 */   GIM_Try, /*On fail goto*//*Label 29429*/ GIMT_Encode4(2223443), // Rule ID 59604 //
     /* 2223359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2223362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2223366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2223370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2223374 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2223376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2223385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2223389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2223393 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2223395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2223402 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2223405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2223419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2223428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2223432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223442 */     // GIR_Coverage, 59604,
     /* 2223442 */     GIR_EraseRootFromParent_Done,
     /* 2223443 */   // Label 29429: @2223443
     /* 2223443 */   GIM_Try, /*On fail goto*//*Label 29430*/ GIMT_Encode4(2223532), // Rule ID 59605 //
     /* 2223448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2223451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2223455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2223459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2223463 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2223465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2223474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2223478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2223482 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2223484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223489 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2223491 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2223494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2223508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2223517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2223521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223531 */     // GIR_Coverage, 59605,
     /* 2223531 */     GIR_EraseRootFromParent_Done,
     /* 2223532 */   // Label 29430: @2223532
     /* 2223532 */   GIM_Try, /*On fail goto*//*Label 29431*/ GIMT_Encode4(2223621), // Rule ID 59606 //
     /* 2223537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2223540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2223544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2223548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2223552 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2223554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2223563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2223567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2223571 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2223573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2223580 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2223583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2223597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2223606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2223610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223620 */     // GIR_Coverage, 59606,
     /* 2223620 */     GIR_EraseRootFromParent_Done,
     /* 2223621 */   // Label 29431: @2223621
     /* 2223621 */   GIM_Try, /*On fail goto*//*Label 29432*/ GIMT_Encode4(2223710), // Rule ID 59607 //
     /* 2223626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2223629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2223633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2223637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2223641 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2223643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2223652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2223656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2223660 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2223662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2223669 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2223672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2223686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2223695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2223699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223709 */     // GIR_Coverage, 59607,
     /* 2223709 */     GIR_EraseRootFromParent_Done,
     /* 2223710 */   // Label 29432: @2223710
     /* 2223710 */   GIM_Try, /*On fail goto*//*Label 29433*/ GIMT_Encode4(2223763), // Rule ID 48116 //
     /* 2223715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223726 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2223729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2223743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223762 */     // GIR_Coverage, 48116,
     /* 2223762 */     GIR_EraseRootFromParent_Done,
     /* 2223763 */   // Label 29433: @2223763
     /* 2223763 */   GIM_Try, /*On fail goto*//*Label 29434*/ GIMT_Encode4(2223816), // Rule ID 48117 //
     /* 2223768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223779 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2223782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2223796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223815 */     // GIR_Coverage, 48117,
     /* 2223815 */     GIR_EraseRootFromParent_Done,
     /* 2223816 */   // Label 29434: @2223816
     /* 2223816 */   GIM_Reject,
     /* 2223817 */ // Label 29428: @2223817
     /* 2223817 */ GIM_Reject,
     /* 2223818 */ // Label 29347: @2223818
     /* 2223818 */ GIM_Try, /*On fail goto*//*Label 29435*/ GIMT_Encode4(2224296),
     /* 2223823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2223826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2223829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223833 */   GIM_Try, /*On fail goto*//*Label 29436*/ GIMT_Encode4(2223922), // Rule ID 59644 //
     /* 2223838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2223841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2223845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2223849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2223853 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2223855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2223864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2223868 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2223872 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2223874 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2223881 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2223884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2223898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2223907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2223911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223921 */     // GIR_Coverage, 59644,
     /* 2223921 */     GIR_EraseRootFromParent_Done,
     /* 2223922 */   // Label 29436: @2223922
     /* 2223922 */   GIM_Try, /*On fail goto*//*Label 29437*/ GIMT_Encode4(2224011), // Rule ID 59645 //
     /* 2223927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2223930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2223934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2223938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2223942 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2223944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2223953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2223957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2223961 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2223963 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2223970 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2223973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2223987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2223996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224010 */     // GIR_Coverage, 59645,
     /* 2224010 */     GIR_EraseRootFromParent_Done,
     /* 2224011 */   // Label 29437: @2224011
     /* 2224011 */   GIM_Try, /*On fail goto*//*Label 29438*/ GIMT_Encode4(2224100), // Rule ID 59646 //
     /* 2224016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2224019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2224031 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2224050 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224057 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224059 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2224062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2224076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224099 */     // GIR_Coverage, 59646,
     /* 2224099 */     GIR_EraseRootFromParent_Done,
     /* 2224100 */   // Label 29438: @2224100
     /* 2224100 */   GIM_Try, /*On fail goto*//*Label 29439*/ GIMT_Encode4(2224189), // Rule ID 59647 //
     /* 2224105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2224108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2224120 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2224139 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224148 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2224151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2224165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224188 */     // GIR_Coverage, 59647,
     /* 2224188 */     GIR_EraseRootFromParent_Done,
     /* 2224189 */   // Label 29439: @2224189
     /* 2224189 */   GIM_Try, /*On fail goto*//*Label 29440*/ GIMT_Encode4(2224242), // Rule ID 48132 //
     /* 2224194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2224197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224205 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2224208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2224222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224241 */     // GIR_Coverage, 48132,
     /* 2224241 */     GIR_EraseRootFromParent_Done,
     /* 2224242 */   // Label 29440: @2224242
     /* 2224242 */   GIM_Try, /*On fail goto*//*Label 29441*/ GIMT_Encode4(2224295), // Rule ID 48133 //
     /* 2224247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2224250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224258 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2224261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2224275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224294 */     // GIR_Coverage, 48133,
     /* 2224294 */     GIR_EraseRootFromParent_Done,
     /* 2224295 */   // Label 29441: @2224295
     /* 2224295 */   GIM_Reject,
     /* 2224296 */ // Label 29435: @2224296
     /* 2224296 */ GIM_Reject,
     /* 2224297 */ // Label 29348: @2224297
     /* 2224297 */ GIM_Try, /*On fail goto*//*Label 29442*/ GIMT_Encode4(2224411),
     /* 2224302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2224305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2224308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224320 */   GIM_Try, /*On fail goto*//*Label 29443*/ GIMT_Encode4(2224365), // Rule ID 48076 //
     /* 2224325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224328 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2224331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2224345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224364 */     // GIR_Coverage, 48076,
     /* 2224364 */     GIR_EraseRootFromParent_Done,
     /* 2224365 */   // Label 29443: @2224365
     /* 2224365 */   GIM_Try, /*On fail goto*//*Label 29444*/ GIMT_Encode4(2224410), // Rule ID 48077 //
     /* 2224370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224373 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2224376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2224390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224409 */     // GIR_Coverage, 48077,
     /* 2224409 */     GIR_EraseRootFromParent_Done,
     /* 2224410 */   // Label 29444: @2224410
     /* 2224410 */   GIM_Reject,
     /* 2224411 */ // Label 29442: @2224411
     /* 2224411 */ GIM_Reject,
     /* 2224412 */ // Label 29349: @2224412
     /* 2224412 */ GIM_Try, /*On fail goto*//*Label 29445*/ GIMT_Encode4(2224890),
     /* 2224417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2224420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2224423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224427 */   GIM_Try, /*On fail goto*//*Label 29446*/ GIMT_Encode4(2224516), // Rule ID 59564 //
     /* 2224432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2224435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2224447 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2224462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2224466 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224468 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224475 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2224478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2224492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224515 */     // GIR_Coverage, 59564,
     /* 2224515 */     GIR_EraseRootFromParent_Done,
     /* 2224516 */   // Label 29446: @2224516
     /* 2224516 */   GIM_Try, /*On fail goto*//*Label 29447*/ GIMT_Encode4(2224605), // Rule ID 59565 //
     /* 2224521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2224524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2224536 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2224551 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2224555 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224557 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224564 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2224567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2224581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224604 */     // GIR_Coverage, 59565,
     /* 2224604 */     GIR_EraseRootFromParent_Done,
     /* 2224605 */   // Label 29447: @2224605
     /* 2224605 */   GIM_Try, /*On fail goto*//*Label 29448*/ GIMT_Encode4(2224694), // Rule ID 59566 //
     /* 2224610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2224613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2224625 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224632 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224636 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224640 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2224644 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224646 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224651 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224653 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2224656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2224670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224693 */     // GIR_Coverage, 59566,
     /* 2224693 */     GIR_EraseRootFromParent_Done,
     /* 2224694 */   // Label 29448: @2224694
     /* 2224694 */   GIM_Try, /*On fail goto*//*Label 29449*/ GIMT_Encode4(2224783), // Rule ID 59567 //
     /* 2224699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2224702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2224714 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2224733 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224735 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224742 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2224745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2224759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224782 */     // GIR_Coverage, 59567,
     /* 2224782 */     GIR_EraseRootFromParent_Done,
     /* 2224783 */   // Label 29449: @2224783
     /* 2224783 */   GIM_Try, /*On fail goto*//*Label 29450*/ GIMT_Encode4(2224836), // Rule ID 48104 //
     /* 2224788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224799 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2224802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2224816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224835 */     // GIR_Coverage, 48104,
     /* 2224835 */     GIR_EraseRootFromParent_Done,
     /* 2224836 */   // Label 29450: @2224836
     /* 2224836 */   GIM_Try, /*On fail goto*//*Label 29451*/ GIMT_Encode4(2224889), // Rule ID 48105 //
     /* 2224841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224852 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2224855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2224869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224888 */     // GIR_Coverage, 48105,
     /* 2224888 */     GIR_EraseRootFromParent_Done,
     /* 2224889 */   // Label 29451: @2224889
     /* 2224889 */   GIM_Reject,
     /* 2224890 */ // Label 29445: @2224890
     /* 2224890 */ GIM_Reject,
     /* 2224891 */ // Label 29350: @2224891
     /* 2224891 */ GIM_Try, /*On fail goto*//*Label 29452*/ GIMT_Encode4(2225369),
     /* 2224896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2224899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2224902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224906 */   GIM_Try, /*On fail goto*//*Label 29453*/ GIMT_Encode4(2224995), // Rule ID 59612 //
     /* 2224911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2224914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2224926 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2224941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2224945 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224954 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2224957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2224971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224994 */     // GIR_Coverage, 59612,
     /* 2224994 */     GIR_EraseRootFromParent_Done,
     /* 2224995 */   // Label 29453: @2224995
     /* 2224995 */   GIM_Try, /*On fail goto*//*Label 29454*/ GIMT_Encode4(2225084), // Rule ID 59613 //
     /* 2225000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2225003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2225015 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2225030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2225034 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225043 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2225046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2225060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225083 */     // GIR_Coverage, 59613,
     /* 2225083 */     GIR_EraseRootFromParent_Done,
     /* 2225084 */   // Label 29454: @2225084
     /* 2225084 */   GIM_Try, /*On fail goto*//*Label 29455*/ GIMT_Encode4(2225173), // Rule ID 59614 //
     /* 2225089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2225092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2225104 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225111 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225115 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225119 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2225123 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225125 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225130 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225132 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2225135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2225149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225172 */     // GIR_Coverage, 59614,
     /* 2225172 */     GIR_EraseRootFromParent_Done,
     /* 2225173 */   // Label 29455: @2225173
     /* 2225173 */   GIM_Try, /*On fail goto*//*Label 29456*/ GIMT_Encode4(2225262), // Rule ID 59615 //
     /* 2225178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2225181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2225193 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225200 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225204 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225208 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2225212 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225214 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225219 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225221 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2225224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2225238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225261 */     // GIR_Coverage, 59615,
     /* 2225261 */     GIR_EraseRootFromParent_Done,
     /* 2225262 */   // Label 29456: @2225262
     /* 2225262 */   GIM_Try, /*On fail goto*//*Label 29457*/ GIMT_Encode4(2225315), // Rule ID 48120 //
     /* 2225267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225278 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2225281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2225295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225314 */     // GIR_Coverage, 48120,
     /* 2225314 */     GIR_EraseRootFromParent_Done,
     /* 2225315 */   // Label 29457: @2225315
     /* 2225315 */   GIM_Try, /*On fail goto*//*Label 29458*/ GIMT_Encode4(2225368), // Rule ID 48121 //
     /* 2225320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225331 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2225334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2225348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225367 */     // GIR_Coverage, 48121,
     /* 2225367 */     GIR_EraseRootFromParent_Done,
     /* 2225368 */   // Label 29458: @2225368
     /* 2225368 */   GIM_Reject,
     /* 2225369 */ // Label 29452: @2225369
     /* 2225369 */ GIM_Reject,
     /* 2225370 */ // Label 29351: @2225370
     /* 2225370 */ GIM_Try, /*On fail goto*//*Label 29459*/ GIMT_Encode4(2225848),
     /* 2225375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2225378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2225381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225385 */   GIM_Try, /*On fail goto*//*Label 29460*/ GIMT_Encode4(2225474), // Rule ID 59652 //
     /* 2225390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2225393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2225405 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2225420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2225424 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225433 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2225436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2225450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225473 */     // GIR_Coverage, 59652,
     /* 2225473 */     GIR_EraseRootFromParent_Done,
     /* 2225474 */   // Label 29460: @2225474
     /* 2225474 */   GIM_Try, /*On fail goto*//*Label 29461*/ GIMT_Encode4(2225563), // Rule ID 59653 //
     /* 2225479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2225482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2225494 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2225509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2225513 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225522 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2225525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2225539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225562 */     // GIR_Coverage, 59653,
     /* 2225562 */     GIR_EraseRootFromParent_Done,
     /* 2225563 */   // Label 29461: @2225563
     /* 2225563 */   GIM_Try, /*On fail goto*//*Label 29462*/ GIMT_Encode4(2225652), // Rule ID 59654 //
     /* 2225568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2225571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2225583 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2225602 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225611 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2225614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2225628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225651 */     // GIR_Coverage, 59654,
     /* 2225651 */     GIR_EraseRootFromParent_Done,
     /* 2225652 */   // Label 29462: @2225652
     /* 2225652 */   GIM_Try, /*On fail goto*//*Label 29463*/ GIMT_Encode4(2225741), // Rule ID 59655 //
     /* 2225657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2225660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2225672 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2225691 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225700 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2225703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2225717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225740 */     // GIR_Coverage, 59655,
     /* 2225740 */     GIR_EraseRootFromParent_Done,
     /* 2225741 */   // Label 29463: @2225741
     /* 2225741 */   GIM_Try, /*On fail goto*//*Label 29464*/ GIMT_Encode4(2225794), // Rule ID 48136 //
     /* 2225746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2225749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225757 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2225760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2225774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225793 */     // GIR_Coverage, 48136,
     /* 2225793 */     GIR_EraseRootFromParent_Done,
     /* 2225794 */   // Label 29464: @2225794
     /* 2225794 */   GIM_Try, /*On fail goto*//*Label 29465*/ GIMT_Encode4(2225847), // Rule ID 48137 //
     /* 2225799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2225802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225810 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2225813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2225827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225846 */     // GIR_Coverage, 48137,
     /* 2225846 */     GIR_EraseRootFromParent_Done,
     /* 2225847 */   // Label 29465: @2225847
     /* 2225847 */   GIM_Reject,
     /* 2225848 */ // Label 29459: @2225848
     /* 2225848 */ GIM_Reject,
     /* 2225849 */ // Label 29352: @2225849
     /* 2225849 */ GIM_Try, /*On fail goto*//*Label 29466*/ GIMT_Encode4(2225963),
     /* 2225854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2225857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2225860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225872 */   GIM_Try, /*On fail goto*//*Label 29467*/ GIMT_Encode4(2225917), // Rule ID 48092 //
     /* 2225877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225880 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2225883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2225897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225916 */     // GIR_Coverage, 48092,
     /* 2225916 */     GIR_EraseRootFromParent_Done,
     /* 2225917 */   // Label 29467: @2225917
     /* 2225917 */   GIM_Try, /*On fail goto*//*Label 29468*/ GIMT_Encode4(2225962), // Rule ID 48093 //
     /* 2225922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225925 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2225928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2225942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225961 */     // GIR_Coverage, 48093,
     /* 2225961 */     GIR_EraseRootFromParent_Done,
     /* 2225962 */   // Label 29468: @2225962
     /* 2225962 */   GIM_Reject,
     /* 2225963 */ // Label 29466: @2225963
     /* 2225963 */ GIM_Reject,
     /* 2225964 */ // Label 29353: @2225964
     /* 2225964 */ GIM_Try, /*On fail goto*//*Label 29469*/ GIMT_Encode4(2226442),
     /* 2225969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2225972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2225975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225979 */   GIM_Try, /*On fail goto*//*Label 29470*/ GIMT_Encode4(2226068), // Rule ID 59572 //
     /* 2225984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2225987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2225999 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2226014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2226018 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226025 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226027 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2226030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2226044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226067 */     // GIR_Coverage, 59572,
     /* 2226067 */     GIR_EraseRootFromParent_Done,
     /* 2226068 */   // Label 29470: @2226068
     /* 2226068 */   GIM_Try, /*On fail goto*//*Label 29471*/ GIMT_Encode4(2226157), // Rule ID 59573 //
     /* 2226073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2226076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2226088 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2226103 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2226107 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226109 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226116 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2226119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2226133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226156 */     // GIR_Coverage, 59573,
     /* 2226156 */     GIR_EraseRootFromParent_Done,
     /* 2226157 */   // Label 29471: @2226157
     /* 2226157 */   GIM_Try, /*On fail goto*//*Label 29472*/ GIMT_Encode4(2226246), // Rule ID 59574 //
     /* 2226162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2226165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2226177 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2226196 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226205 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2226208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2226222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226245 */     // GIR_Coverage, 59574,
     /* 2226245 */     GIR_EraseRootFromParent_Done,
     /* 2226246 */   // Label 29472: @2226246
     /* 2226246 */   GIM_Try, /*On fail goto*//*Label 29473*/ GIMT_Encode4(2226335), // Rule ID 59575 //
     /* 2226251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2226254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2226266 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2226285 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226294 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2226297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2226311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226334 */     // GIR_Coverage, 59575,
     /* 2226334 */     GIR_EraseRootFromParent_Done,
     /* 2226335 */   // Label 29473: @2226335
     /* 2226335 */   GIM_Try, /*On fail goto*//*Label 29474*/ GIMT_Encode4(2226388), // Rule ID 48108 //
     /* 2226340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226351 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2226354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2226368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226387 */     // GIR_Coverage, 48108,
     /* 2226387 */     GIR_EraseRootFromParent_Done,
     /* 2226388 */   // Label 29474: @2226388
     /* 2226388 */   GIM_Try, /*On fail goto*//*Label 29475*/ GIMT_Encode4(2226441), // Rule ID 48109 //
     /* 2226393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226404 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2226407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2226421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226440 */     // GIR_Coverage, 48109,
     /* 2226440 */     GIR_EraseRootFromParent_Done,
     /* 2226441 */   // Label 29475: @2226441
     /* 2226441 */   GIM_Reject,
     /* 2226442 */ // Label 29469: @2226442
     /* 2226442 */ GIM_Reject,
     /* 2226443 */ // Label 29354: @2226443
     /* 2226443 */ GIM_Try, /*On fail goto*//*Label 29476*/ GIMT_Encode4(2226921),
     /* 2226448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2226451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2226454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226458 */   GIM_Try, /*On fail goto*//*Label 29477*/ GIMT_Encode4(2226547), // Rule ID 59620 //
     /* 2226463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2226466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2226478 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226485 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226489 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2226493 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2226497 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226499 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226504 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226506 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2226509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2226523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226546 */     // GIR_Coverage, 59620,
     /* 2226546 */     GIR_EraseRootFromParent_Done,
     /* 2226547 */   // Label 29477: @2226547
     /* 2226547 */   GIM_Try, /*On fail goto*//*Label 29478*/ GIMT_Encode4(2226636), // Rule ID 59621 //
     /* 2226552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2226555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2226567 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2226582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2226586 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226595 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2226598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2226612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226635 */     // GIR_Coverage, 59621,
     /* 2226635 */     GIR_EraseRootFromParent_Done,
     /* 2226636 */   // Label 29478: @2226636
     /* 2226636 */   GIM_Try, /*On fail goto*//*Label 29479*/ GIMT_Encode4(2226725), // Rule ID 59622 //
     /* 2226641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2226644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2226656 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2226675 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226682 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226684 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2226687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2226701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226724 */     // GIR_Coverage, 59622,
     /* 2226724 */     GIR_EraseRootFromParent_Done,
     /* 2226725 */   // Label 29479: @2226725
     /* 2226725 */   GIM_Try, /*On fail goto*//*Label 29480*/ GIMT_Encode4(2226814), // Rule ID 59623 //
     /* 2226730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2226733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2226745 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2226764 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226773 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2226776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2226790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226813 */     // GIR_Coverage, 59623,
     /* 2226813 */     GIR_EraseRootFromParent_Done,
     /* 2226814 */   // Label 29480: @2226814
     /* 2226814 */   GIM_Try, /*On fail goto*//*Label 29481*/ GIMT_Encode4(2226867), // Rule ID 48124 //
     /* 2226819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226830 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2226833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2226847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226866 */     // GIR_Coverage, 48124,
     /* 2226866 */     GIR_EraseRootFromParent_Done,
     /* 2226867 */   // Label 29481: @2226867
     /* 2226867 */   GIM_Try, /*On fail goto*//*Label 29482*/ GIMT_Encode4(2226920), // Rule ID 48125 //
     /* 2226872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226883 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2226886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2226900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226919 */     // GIR_Coverage, 48125,
     /* 2226919 */     GIR_EraseRootFromParent_Done,
     /* 2226920 */   // Label 29482: @2226920
     /* 2226920 */   GIM_Reject,
     /* 2226921 */ // Label 29476: @2226921
     /* 2226921 */ GIM_Reject,
     /* 2226922 */ // Label 29355: @2226922
     /* 2226922 */ GIM_Try, /*On fail goto*//*Label 29483*/ GIMT_Encode4(2227036),
     /* 2226927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2226930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2226933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226945 */   GIM_Try, /*On fail goto*//*Label 29484*/ GIMT_Encode4(2226990), // Rule ID 48096 //
     /* 2226950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226953 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2226956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2226970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226989 */     // GIR_Coverage, 48096,
     /* 2226989 */     GIR_EraseRootFromParent_Done,
     /* 2226990 */   // Label 29484: @2226990
     /* 2226990 */   GIM_Try, /*On fail goto*//*Label 29485*/ GIMT_Encode4(2227035), // Rule ID 48097 //
     /* 2226995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226998 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2227001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2227015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227034 */     // GIR_Coverage, 48097,
     /* 2227034 */     GIR_EraseRootFromParent_Done,
     /* 2227035 */   // Label 29485: @2227035
     /* 2227035 */   GIM_Reject,
     /* 2227036 */ // Label 29483: @2227036
     /* 2227036 */ GIM_Reject,
     /* 2227037 */ // Label 29356: @2227037
     /* 2227037 */ GIM_Try, /*On fail goto*//*Label 29486*/ GIMT_Encode4(2227515),
     /* 2227042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2227045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2227048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227052 */   GIM_Try, /*On fail goto*//*Label 29487*/ GIMT_Encode4(2227141), // Rule ID 59580 //
     /* 2227057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2227060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2227072 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2227074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2227083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2227087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2227091 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2227093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227098 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2227100 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2227103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2227117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2227126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2227130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227140 */     // GIR_Coverage, 59580,
     /* 2227140 */     GIR_EraseRootFromParent_Done,
     /* 2227141 */   // Label 29487: @2227141
     /* 2227141 */   GIM_Try, /*On fail goto*//*Label 29488*/ GIMT_Encode4(2227230), // Rule ID 59581 //
     /* 2227146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2227149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2227161 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2227163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2227172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2227176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2227180 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2227182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2227189 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2227192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2227206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2227215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2227219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227229 */     // GIR_Coverage, 59581,
     /* 2227229 */     GIR_EraseRootFromParent_Done,
     /* 2227230 */   // Label 29488: @2227230
     /* 2227230 */   GIM_Try, /*On fail goto*//*Label 29489*/ GIMT_Encode4(2227319), // Rule ID 59582 //
     /* 2227235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2227238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2227250 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2227252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2227261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2227269 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2227271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2227278 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2227281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2227295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2227304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2227308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227318 */     // GIR_Coverage, 59582,
     /* 2227318 */     GIR_EraseRootFromParent_Done,
     /* 2227319 */   // Label 29489: @2227319
     /* 2227319 */   GIM_Try, /*On fail goto*//*Label 29490*/ GIMT_Encode4(2227408), // Rule ID 59583 //
     /* 2227324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2227327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2227339 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2227341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2227350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2227358 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2227360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2227367 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2227370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2227384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2227393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2227397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227407 */     // GIR_Coverage, 59583,
     /* 2227407 */     GIR_EraseRootFromParent_Done,
     /* 2227408 */   // Label 29490: @2227408
     /* 2227408 */   GIM_Try, /*On fail goto*//*Label 29491*/ GIMT_Encode4(2227461), // Rule ID 48112 //
     /* 2227413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227424 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2227427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2227441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227460 */     // GIR_Coverage, 48112,
     /* 2227460 */     GIR_EraseRootFromParent_Done,
     /* 2227461 */   // Label 29491: @2227461
     /* 2227461 */   GIM_Try, /*On fail goto*//*Label 29492*/ GIMT_Encode4(2227514), // Rule ID 48113 //
     /* 2227466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227477 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2227480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2227494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227513 */     // GIR_Coverage, 48113,
     /* 2227513 */     GIR_EraseRootFromParent_Done,
     /* 2227514 */   // Label 29492: @2227514
     /* 2227514 */   GIM_Reject,
     /* 2227515 */ // Label 29486: @2227515
     /* 2227515 */ GIM_Reject,
     /* 2227516 */ // Label 29357: @2227516
     /* 2227516 */ GIM_Try, /*On fail goto*//*Label 29493*/ GIMT_Encode4(2227630),
     /* 2227521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2227524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2227527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227539 */   GIM_Try, /*On fail goto*//*Label 29494*/ GIMT_Encode4(2227584), // Rule ID 48100 //
     /* 2227544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227547 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2227550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2227564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227583 */     // GIR_Coverage, 48100,
     /* 2227583 */     GIR_EraseRootFromParent_Done,
     /* 2227584 */   // Label 29494: @2227584
     /* 2227584 */   GIM_Try, /*On fail goto*//*Label 29495*/ GIMT_Encode4(2227629), // Rule ID 48101 //
     /* 2227589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227592 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2227595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2227609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227628 */     // GIR_Coverage, 48101,
     /* 2227628 */     GIR_EraseRootFromParent_Done,
     /* 2227629 */   // Label 29495: @2227629
     /* 2227629 */   GIM_Reject,
     /* 2227630 */ // Label 29493: @2227630
     /* 2227630 */ GIM_Reject,
     /* 2227631 */ // Label 29358: @2227631
     /* 2227631 */ GIM_Reject,
     /* 2227632 */ // Label 44: @2227632
     /* 2227632 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29520*/ GIMT_Encode4(2230662),
     /* 2227643 */ /*GILLT_s32*//*Label 29496*/ GIMT_Encode4(2227767),
     /* 2227647 */ /*GILLT_s64*//*Label 29497*/ GIMT_Encode4(2227851), GIMT_Encode4(0),
     /* 2227655 */ /*GILLT_nxv1s8*//*Label 29498*/ GIMT_Encode4(2228132),
     /* 2227659 */ /*GILLT_nxv1s16*//*Label 29499*/ GIMT_Encode4(2228247),
     /* 2227663 */ /*GILLT_nxv1s32*//*Label 29500*/ GIMT_Encode4(2228362),
     /* 2227667 */ /*GILLT_nxv1s64*//*Label 29501*/ GIMT_Encode4(2228477), GIMT_Encode4(0),
     /* 2227675 */ /*GILLT_nxv2s8*//*Label 29502*/ GIMT_Encode4(2228592),
     /* 2227679 */ /*GILLT_nxv2s16*//*Label 29503*/ GIMT_Encode4(2228707),
     /* 2227683 */ /*GILLT_nxv2s32*//*Label 29504*/ GIMT_Encode4(2228822),
     /* 2227687 */ /*GILLT_nxv2s64*//*Label 29505*/ GIMT_Encode4(2228937), GIMT_Encode4(0),
     /* 2227695 */ /*GILLT_nxv4s8*//*Label 29506*/ GIMT_Encode4(2229052),
     /* 2227699 */ /*GILLT_nxv4s16*//*Label 29507*/ GIMT_Encode4(2229167),
     /* 2227703 */ /*GILLT_nxv4s32*//*Label 29508*/ GIMT_Encode4(2229282),
     /* 2227707 */ /*GILLT_nxv4s64*//*Label 29509*/ GIMT_Encode4(2229397), GIMT_Encode4(0),
     /* 2227715 */ /*GILLT_nxv8s8*//*Label 29510*/ GIMT_Encode4(2229512),
     /* 2227719 */ /*GILLT_nxv8s16*//*Label 29511*/ GIMT_Encode4(2229627),
     /* 2227723 */ /*GILLT_nxv8s32*//*Label 29512*/ GIMT_Encode4(2229742),
     /* 2227727 */ /*GILLT_nxv8s64*//*Label 29513*/ GIMT_Encode4(2229857), GIMT_Encode4(0),
     /* 2227735 */ /*GILLT_nxv16s8*//*Label 29514*/ GIMT_Encode4(2229972),
     /* 2227739 */ /*GILLT_nxv16s16*//*Label 29515*/ GIMT_Encode4(2230087),
     /* 2227743 */ /*GILLT_nxv16s32*//*Label 29516*/ GIMT_Encode4(2230202), GIMT_Encode4(0),
     /* 2227751 */ /*GILLT_nxv32s8*//*Label 29517*/ GIMT_Encode4(2230317),
     /* 2227755 */ /*GILLT_nxv32s16*//*Label 29518*/ GIMT_Encode4(2230432), GIMT_Encode4(0),
     /* 2227763 */ /*GILLT_nxv64s8*//*Label 29519*/ GIMT_Encode4(2230547),
     /* 2227767 */ // Label 29496: @2227767
     /* 2227767 */ GIM_Try, /*On fail goto*//*Label 29521*/ GIMT_Encode4(2227850),
     /* 2227772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2227775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227786 */   GIM_Try, /*On fail goto*//*Label 29522*/ GIMT_Encode4(2227820), // Rule ID 99 //
     /* 2227791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2227798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2227806 */     // MIs[1] Operand 1
     /* 2227806 */     // No operand predicates
     /* 2227806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227808 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2227808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2227811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2227818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227819 */     // GIR_Coverage, 99,
     /* 2227819 */     GIR_EraseRootFromParent_Done,
     /* 2227820 */   // Label 29522: @2227820
     /* 2227820 */   GIM_Try, /*On fail goto*//*Label 29523*/ GIMT_Encode4(2227849), // Rule ID 113 //
     /* 2227825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2227835 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2227835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2227838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2227847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227848 */     // GIR_Coverage, 113,
     /* 2227848 */     GIR_EraseRootFromParent_Done,
     /* 2227849 */   // Label 29523: @2227849
     /* 2227849 */   GIM_Reject,
     /* 2227850 */ // Label 29521: @2227850
     /* 2227850 */ GIM_Reject,
     /* 2227851 */ // Label 29497: @2227851
     /* 2227851 */ GIM_Try, /*On fail goto*//*Label 29524*/ GIMT_Encode4(2228131),
     /* 2227856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2227859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2227862 */   GIM_Try, /*On fail goto*//*Label 29525*/ GIMT_Encode4(2227934), // Rule ID 267 //
     /* 2227867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2227870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2227882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2227886 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2227890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227895 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2227906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2227910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227914 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2227918 */     // MIs[2] Operand 1
     /* 2227918 */     // No operand predicates
     /* 2227918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2227920 */     // (srl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2227920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /* 2227923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2227929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2227932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227933 */     // GIR_Coverage, 267,
     /* 2227933 */     GIR_EraseRootFromParent_Done,
     /* 2227934 */   // Label 29525: @2227934
     /* 2227934 */   GIM_Try, /*On fail goto*//*Label 29526*/ GIMT_Encode4(2227979), // Rule ID 62574 //
     /* 2227939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2227942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2227954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2227958 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2227962 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10054),
     /* 2227966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227968 */     // (srl:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })<<P:Predicate_anonymous_10054>>  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2227968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2227971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2227977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227978 */     // GIR_Coverage, 62574,
     /* 2227978 */     GIR_EraseRootFromParent_Done,
     /* 2227979 */   // Label 29526: @2227979
     /* 2227979 */   GIM_Try, /*On fail goto*//*Label 29527*/ GIMT_Encode4(2228051), // Rule ID 279 //
     /* 2227984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2227987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2227999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2228003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228008 */     // MIs[1] Operand 2
     /* 2228008 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2228019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2228023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228027 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2228031 */     // MIs[2] Operand 1
     /* 2228031 */     // No operand predicates
     /* 2228031 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10054),
     /* 2228035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2228037 */     // (srl:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)<<P:Predicate_anonymous_10054>>  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2228037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2228040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2228046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2228049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228050 */     // GIR_Coverage, 279,
     /* 2228050 */     GIR_EraseRootFromParent_Done,
     /* 2228051 */   // Label 29527: @2228051
     /* 2228051 */   GIM_Try, /*On fail goto*//*Label 29528*/ GIMT_Encode4(2228093), // Rule ID 98 //
     /* 2228056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2228071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2228079 */     // MIs[1] Operand 1
     /* 2228079 */     // No operand predicates
     /* 2228079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228081 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2228081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2228084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2228091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228092 */     // GIR_Coverage, 98,
     /* 2228092 */     GIR_EraseRootFromParent_Done,
     /* 2228093 */   // Label 29528: @2228093
     /* 2228093 */   GIM_Try, /*On fail goto*//*Label 29529*/ GIMT_Encode4(2228130), // Rule ID 112 //
     /* 2228098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2228116 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2228116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2228119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2228128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228129 */     // GIR_Coverage, 112,
     /* 2228129 */     GIR_EraseRootFromParent_Done,
     /* 2228130 */   // Label 29529: @2228130
     /* 2228130 */   GIM_Reject,
     /* 2228131 */ // Label 29524: @2228131
     /* 2228131 */ GIM_Reject,
     /* 2228132 */ // Label 29498: @2228132
     /* 2228132 */ GIM_Try, /*On fail goto*//*Label 29530*/ GIMT_Encode4(2228246),
     /* 2228137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2228140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2228143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228155 */   GIM_Try, /*On fail goto*//*Label 29531*/ GIMT_Encode4(2228200), // Rule ID 48184 //
     /* 2228160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228163 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2228166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2228180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228199 */     // GIR_Coverage, 48184,
     /* 2228199 */     GIR_EraseRootFromParent_Done,
     /* 2228200 */   // Label 29531: @2228200
     /* 2228200 */   GIM_Try, /*On fail goto*//*Label 29532*/ GIMT_Encode4(2228245), // Rule ID 48185 //
     /* 2228205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228208 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2228211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2228225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228244 */     // GIR_Coverage, 48185,
     /* 2228244 */     GIR_EraseRootFromParent_Done,
     /* 2228245 */   // Label 29532: @2228245
     /* 2228245 */   GIM_Reject,
     /* 2228246 */ // Label 29530: @2228246
     /* 2228246 */ GIM_Reject,
     /* 2228247 */ // Label 29499: @2228247
     /* 2228247 */ GIM_Try, /*On fail goto*//*Label 29533*/ GIMT_Encode4(2228361),
     /* 2228252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2228255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2228258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228270 */   GIM_Try, /*On fail goto*//*Label 29534*/ GIMT_Encode4(2228315), // Rule ID 48196 //
     /* 2228275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228278 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2228281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2228295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228314 */     // GIR_Coverage, 48196,
     /* 2228314 */     GIR_EraseRootFromParent_Done,
     /* 2228315 */   // Label 29534: @2228315
     /* 2228315 */   GIM_Try, /*On fail goto*//*Label 29535*/ GIMT_Encode4(2228360), // Rule ID 48197 //
     /* 2228320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228323 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2228326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2228340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228359 */     // GIR_Coverage, 48197,
     /* 2228359 */     GIR_EraseRootFromParent_Done,
     /* 2228360 */   // Label 29535: @2228360
     /* 2228360 */   GIM_Reject,
     /* 2228361 */ // Label 29533: @2228361
     /* 2228361 */ GIM_Reject,
     /* 2228362 */ // Label 29500: @2228362
     /* 2228362 */ GIM_Try, /*On fail goto*//*Label 29536*/ GIMT_Encode4(2228476),
     /* 2228367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2228370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2228373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228385 */   GIM_Try, /*On fail goto*//*Label 29537*/ GIMT_Encode4(2228430), // Rule ID 48204 //
     /* 2228390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228393 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2228396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2228410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228429 */     // GIR_Coverage, 48204,
     /* 2228429 */     GIR_EraseRootFromParent_Done,
     /* 2228430 */   // Label 29537: @2228430
     /* 2228430 */   GIM_Try, /*On fail goto*//*Label 29538*/ GIMT_Encode4(2228475), // Rule ID 48205 //
     /* 2228435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228438 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2228441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2228455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228474 */     // GIR_Coverage, 48205,
     /* 2228474 */     GIR_EraseRootFromParent_Done,
     /* 2228475 */   // Label 29538: @2228475
     /* 2228475 */   GIM_Reject,
     /* 2228476 */ // Label 29536: @2228476
     /* 2228476 */ GIM_Reject,
     /* 2228477 */ // Label 29501: @2228477
     /* 2228477 */ GIM_Try, /*On fail goto*//*Label 29539*/ GIMT_Encode4(2228591),
     /* 2228482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2228485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2228488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228500 */   GIM_Try, /*On fail goto*//*Label 29540*/ GIMT_Encode4(2228545), // Rule ID 48220 //
     /* 2228505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2228508 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2228511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2228525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228544 */     // GIR_Coverage, 48220,
     /* 2228544 */     GIR_EraseRootFromParent_Done,
     /* 2228545 */   // Label 29540: @2228545
     /* 2228545 */   GIM_Try, /*On fail goto*//*Label 29541*/ GIMT_Encode4(2228590), // Rule ID 48221 //
     /* 2228550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2228553 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2228556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2228570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228589 */     // GIR_Coverage, 48221,
     /* 2228589 */     GIR_EraseRootFromParent_Done,
     /* 2228590 */   // Label 29541: @2228590
     /* 2228590 */   GIM_Reject,
     /* 2228591 */ // Label 29539: @2228591
     /* 2228591 */ GIM_Reject,
     /* 2228592 */ // Label 29502: @2228592
     /* 2228592 */ GIM_Try, /*On fail goto*//*Label 29542*/ GIMT_Encode4(2228706),
     /* 2228597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2228600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2228603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228615 */   GIM_Try, /*On fail goto*//*Label 29543*/ GIMT_Encode4(2228660), // Rule ID 48188 //
     /* 2228620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228623 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2228626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2228640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228659 */     // GIR_Coverage, 48188,
     /* 2228659 */     GIR_EraseRootFromParent_Done,
     /* 2228660 */   // Label 29543: @2228660
     /* 2228660 */   GIM_Try, /*On fail goto*//*Label 29544*/ GIMT_Encode4(2228705), // Rule ID 48189 //
     /* 2228665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228668 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2228671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2228685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228704 */     // GIR_Coverage, 48189,
     /* 2228704 */     GIR_EraseRootFromParent_Done,
     /* 2228705 */   // Label 29544: @2228705
     /* 2228705 */   GIM_Reject,
     /* 2228706 */ // Label 29542: @2228706
     /* 2228706 */ GIM_Reject,
     /* 2228707 */ // Label 29503: @2228707
     /* 2228707 */ GIM_Try, /*On fail goto*//*Label 29545*/ GIMT_Encode4(2228821),
     /* 2228712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2228715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2228718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228730 */   GIM_Try, /*On fail goto*//*Label 29546*/ GIMT_Encode4(2228775), // Rule ID 48200 //
     /* 2228735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228738 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2228741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2228755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228774 */     // GIR_Coverage, 48200,
     /* 2228774 */     GIR_EraseRootFromParent_Done,
     /* 2228775 */   // Label 29546: @2228775
     /* 2228775 */   GIM_Try, /*On fail goto*//*Label 29547*/ GIMT_Encode4(2228820), // Rule ID 48201 //
     /* 2228780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228783 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2228786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2228800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228819 */     // GIR_Coverage, 48201,
     /* 2228819 */     GIR_EraseRootFromParent_Done,
     /* 2228820 */   // Label 29547: @2228820
     /* 2228820 */   GIM_Reject,
     /* 2228821 */ // Label 29545: @2228821
     /* 2228821 */ GIM_Reject,
     /* 2228822 */ // Label 29504: @2228822
     /* 2228822 */ GIM_Try, /*On fail goto*//*Label 29548*/ GIMT_Encode4(2228936),
     /* 2228827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2228830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2228833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228845 */   GIM_Try, /*On fail goto*//*Label 29549*/ GIMT_Encode4(2228890), // Rule ID 48216 //
     /* 2228850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228853 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2228856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2228870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228889 */     // GIR_Coverage, 48216,
     /* 2228889 */     GIR_EraseRootFromParent_Done,
     /* 2228890 */   // Label 29549: @2228890
     /* 2228890 */   GIM_Try, /*On fail goto*//*Label 29550*/ GIMT_Encode4(2228935), // Rule ID 48217 //
     /* 2228895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228898 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2228901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2228915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228934 */     // GIR_Coverage, 48217,
     /* 2228934 */     GIR_EraseRootFromParent_Done,
     /* 2228935 */   // Label 29550: @2228935
     /* 2228935 */   GIM_Reject,
     /* 2228936 */ // Label 29548: @2228936
     /* 2228936 */ GIM_Reject,
     /* 2228937 */ // Label 29505: @2228937
     /* 2228937 */ GIM_Try, /*On fail goto*//*Label 29551*/ GIMT_Encode4(2229051),
     /* 2228942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2228945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2228948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228960 */   GIM_Try, /*On fail goto*//*Label 29552*/ GIMT_Encode4(2229005), // Rule ID 48260 //
     /* 2228965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2228968 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2228971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2228985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229004 */     // GIR_Coverage, 48260,
     /* 2229004 */     GIR_EraseRootFromParent_Done,
     /* 2229005 */   // Label 29552: @2229005
     /* 2229005 */   GIM_Try, /*On fail goto*//*Label 29553*/ GIMT_Encode4(2229050), // Rule ID 48261 //
     /* 2229010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2229013 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2229016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2229030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229049 */     // GIR_Coverage, 48261,
     /* 2229049 */     GIR_EraseRootFromParent_Done,
     /* 2229050 */   // Label 29553: @2229050
     /* 2229050 */   GIM_Reject,
     /* 2229051 */ // Label 29551: @2229051
     /* 2229051 */ GIM_Reject,
     /* 2229052 */ // Label 29506: @2229052
     /* 2229052 */ GIM_Try, /*On fail goto*//*Label 29554*/ GIMT_Encode4(2229166),
     /* 2229057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2229060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2229063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229075 */   GIM_Try, /*On fail goto*//*Label 29555*/ GIMT_Encode4(2229120), // Rule ID 48192 //
     /* 2229080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229083 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2229086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2229100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229119 */     // GIR_Coverage, 48192,
     /* 2229119 */     GIR_EraseRootFromParent_Done,
     /* 2229120 */   // Label 29555: @2229120
     /* 2229120 */   GIM_Try, /*On fail goto*//*Label 29556*/ GIMT_Encode4(2229165), // Rule ID 48193 //
     /* 2229125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229128 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2229131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2229145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229164 */     // GIR_Coverage, 48193,
     /* 2229164 */     GIR_EraseRootFromParent_Done,
     /* 2229165 */   // Label 29556: @2229165
     /* 2229165 */   GIM_Reject,
     /* 2229166 */ // Label 29554: @2229166
     /* 2229166 */ GIM_Reject,
     /* 2229167 */ // Label 29507: @2229167
     /* 2229167 */ GIM_Try, /*On fail goto*//*Label 29557*/ GIMT_Encode4(2229281),
     /* 2229172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2229175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2229178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229190 */   GIM_Try, /*On fail goto*//*Label 29558*/ GIMT_Encode4(2229235), // Rule ID 48212 //
     /* 2229195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229198 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2229201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2229215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229234 */     // GIR_Coverage, 48212,
     /* 2229234 */     GIR_EraseRootFromParent_Done,
     /* 2229235 */   // Label 29558: @2229235
     /* 2229235 */   GIM_Try, /*On fail goto*//*Label 29559*/ GIMT_Encode4(2229280), // Rule ID 48213 //
     /* 2229240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229243 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2229246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2229260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229279 */     // GIR_Coverage, 48213,
     /* 2229279 */     GIR_EraseRootFromParent_Done,
     /* 2229280 */   // Label 29559: @2229280
     /* 2229280 */   GIM_Reject,
     /* 2229281 */ // Label 29557: @2229281
     /* 2229281 */ GIM_Reject,
     /* 2229282 */ // Label 29508: @2229282
     /* 2229282 */ GIM_Try, /*On fail goto*//*Label 29560*/ GIMT_Encode4(2229396),
     /* 2229287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2229290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2229293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229305 */   GIM_Try, /*On fail goto*//*Label 29561*/ GIMT_Encode4(2229350), // Rule ID 48248 //
     /* 2229310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229313 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2229316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2229330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229349 */     // GIR_Coverage, 48248,
     /* 2229349 */     GIR_EraseRootFromParent_Done,
     /* 2229350 */   // Label 29561: @2229350
     /* 2229350 */   GIM_Try, /*On fail goto*//*Label 29562*/ GIMT_Encode4(2229395), // Rule ID 48249 //
     /* 2229355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229358 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2229361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2229375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229394 */     // GIR_Coverage, 48249,
     /* 2229394 */     GIR_EraseRootFromParent_Done,
     /* 2229395 */   // Label 29562: @2229395
     /* 2229395 */   GIM_Reject,
     /* 2229396 */ // Label 29560: @2229396
     /* 2229396 */ GIM_Reject,
     /* 2229397 */ // Label 29509: @2229397
     /* 2229397 */ GIM_Try, /*On fail goto*//*Label 29563*/ GIMT_Encode4(2229511),
     /* 2229402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2229405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2229408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229420 */   GIM_Try, /*On fail goto*//*Label 29564*/ GIMT_Encode4(2229465), // Rule ID 48264 //
     /* 2229425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2229428 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2229431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2229445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229464 */     // GIR_Coverage, 48264,
     /* 2229464 */     GIR_EraseRootFromParent_Done,
     /* 2229465 */   // Label 29564: @2229465
     /* 2229465 */   GIM_Try, /*On fail goto*//*Label 29565*/ GIMT_Encode4(2229510), // Rule ID 48265 //
     /* 2229470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2229473 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2229476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2229490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229509 */     // GIR_Coverage, 48265,
     /* 2229509 */     GIR_EraseRootFromParent_Done,
     /* 2229510 */   // Label 29565: @2229510
     /* 2229510 */   GIM_Reject,
     /* 2229511 */ // Label 29563: @2229511
     /* 2229511 */ GIM_Reject,
     /* 2229512 */ // Label 29510: @2229512
     /* 2229512 */ GIM_Try, /*On fail goto*//*Label 29566*/ GIMT_Encode4(2229626),
     /* 2229517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2229520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2229523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229535 */   GIM_Try, /*On fail goto*//*Label 29567*/ GIMT_Encode4(2229580), // Rule ID 48208 //
     /* 2229540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229543 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2229546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2229560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229579 */     // GIR_Coverage, 48208,
     /* 2229579 */     GIR_EraseRootFromParent_Done,
     /* 2229580 */   // Label 29567: @2229580
     /* 2229580 */   GIM_Try, /*On fail goto*//*Label 29568*/ GIMT_Encode4(2229625), // Rule ID 48209 //
     /* 2229585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229588 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2229591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2229605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229624 */     // GIR_Coverage, 48209,
     /* 2229624 */     GIR_EraseRootFromParent_Done,
     /* 2229625 */   // Label 29568: @2229625
     /* 2229625 */   GIM_Reject,
     /* 2229626 */ // Label 29566: @2229626
     /* 2229626 */ GIM_Reject,
     /* 2229627 */ // Label 29511: @2229627
     /* 2229627 */ GIM_Try, /*On fail goto*//*Label 29569*/ GIMT_Encode4(2229741),
     /* 2229632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2229635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2229638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229650 */   GIM_Try, /*On fail goto*//*Label 29570*/ GIMT_Encode4(2229695), // Rule ID 48236 //
     /* 2229655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229658 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2229661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2229675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229694 */     // GIR_Coverage, 48236,
     /* 2229694 */     GIR_EraseRootFromParent_Done,
     /* 2229695 */   // Label 29570: @2229695
     /* 2229695 */   GIM_Try, /*On fail goto*//*Label 29571*/ GIMT_Encode4(2229740), // Rule ID 48237 //
     /* 2229700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229703 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2229706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2229720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229739 */     // GIR_Coverage, 48237,
     /* 2229739 */     GIR_EraseRootFromParent_Done,
     /* 2229740 */   // Label 29571: @2229740
     /* 2229740 */   GIM_Reject,
     /* 2229741 */ // Label 29569: @2229741
     /* 2229741 */ GIM_Reject,
     /* 2229742 */ // Label 29512: @2229742
     /* 2229742 */ GIM_Try, /*On fail goto*//*Label 29572*/ GIMT_Encode4(2229856),
     /* 2229747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2229750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2229753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229765 */   GIM_Try, /*On fail goto*//*Label 29573*/ GIMT_Encode4(2229810), // Rule ID 48252 //
     /* 2229770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229773 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2229776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2229790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229809 */     // GIR_Coverage, 48252,
     /* 2229809 */     GIR_EraseRootFromParent_Done,
     /* 2229810 */   // Label 29573: @2229810
     /* 2229810 */   GIM_Try, /*On fail goto*//*Label 29574*/ GIMT_Encode4(2229855), // Rule ID 48253 //
     /* 2229815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229818 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2229821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2229835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229854 */     // GIR_Coverage, 48253,
     /* 2229854 */     GIR_EraseRootFromParent_Done,
     /* 2229855 */   // Label 29574: @2229855
     /* 2229855 */   GIM_Reject,
     /* 2229856 */ // Label 29572: @2229856
     /* 2229856 */ GIM_Reject,
     /* 2229857 */ // Label 29513: @2229857
     /* 2229857 */ GIM_Try, /*On fail goto*//*Label 29575*/ GIMT_Encode4(2229971),
     /* 2229862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2229865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2229868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229880 */   GIM_Try, /*On fail goto*//*Label 29576*/ GIMT_Encode4(2229925), // Rule ID 48268 //
     /* 2229885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2229888 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2229891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2229905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229924 */     // GIR_Coverage, 48268,
     /* 2229924 */     GIR_EraseRootFromParent_Done,
     /* 2229925 */   // Label 29576: @2229925
     /* 2229925 */   GIM_Try, /*On fail goto*//*Label 29577*/ GIMT_Encode4(2229970), // Rule ID 48269 //
     /* 2229930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2229933 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2229936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2229950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229969 */     // GIR_Coverage, 48269,
     /* 2229969 */     GIR_EraseRootFromParent_Done,
     /* 2229970 */   // Label 29577: @2229970
     /* 2229970 */   GIM_Reject,
     /* 2229971 */ // Label 29575: @2229971
     /* 2229971 */ GIM_Reject,
     /* 2229972 */ // Label 29514: @2229972
     /* 2229972 */ GIM_Try, /*On fail goto*//*Label 29578*/ GIMT_Encode4(2230086),
     /* 2229977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2229980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2229983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229995 */   GIM_Try, /*On fail goto*//*Label 29579*/ GIMT_Encode4(2230040), // Rule ID 48224 //
     /* 2230000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230003 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2230006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2230020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230039 */     // GIR_Coverage, 48224,
     /* 2230039 */     GIR_EraseRootFromParent_Done,
     /* 2230040 */   // Label 29579: @2230040
     /* 2230040 */   GIM_Try, /*On fail goto*//*Label 29580*/ GIMT_Encode4(2230085), // Rule ID 48225 //
     /* 2230045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230048 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2230051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2230065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230084 */     // GIR_Coverage, 48225,
     /* 2230084 */     GIR_EraseRootFromParent_Done,
     /* 2230085 */   // Label 29580: @2230085
     /* 2230085 */   GIM_Reject,
     /* 2230086 */ // Label 29578: @2230086
     /* 2230086 */ GIM_Reject,
     /* 2230087 */ // Label 29515: @2230087
     /* 2230087 */ GIM_Try, /*On fail goto*//*Label 29581*/ GIMT_Encode4(2230201),
     /* 2230092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2230095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2230098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230110 */   GIM_Try, /*On fail goto*//*Label 29582*/ GIMT_Encode4(2230155), // Rule ID 48240 //
     /* 2230115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230118 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2230121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2230135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230154 */     // GIR_Coverage, 48240,
     /* 2230154 */     GIR_EraseRootFromParent_Done,
     /* 2230155 */   // Label 29582: @2230155
     /* 2230155 */   GIM_Try, /*On fail goto*//*Label 29583*/ GIMT_Encode4(2230200), // Rule ID 48241 //
     /* 2230160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230163 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2230166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2230180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230199 */     // GIR_Coverage, 48241,
     /* 2230199 */     GIR_EraseRootFromParent_Done,
     /* 2230200 */   // Label 29583: @2230200
     /* 2230200 */   GIM_Reject,
     /* 2230201 */ // Label 29581: @2230201
     /* 2230201 */ GIM_Reject,
     /* 2230202 */ // Label 29516: @2230202
     /* 2230202 */ GIM_Try, /*On fail goto*//*Label 29584*/ GIMT_Encode4(2230316),
     /* 2230207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2230210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2230213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230225 */   GIM_Try, /*On fail goto*//*Label 29585*/ GIMT_Encode4(2230270), // Rule ID 48256 //
     /* 2230230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230233 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2230236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2230250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230269 */     // GIR_Coverage, 48256,
     /* 2230269 */     GIR_EraseRootFromParent_Done,
     /* 2230270 */   // Label 29585: @2230270
     /* 2230270 */   GIM_Try, /*On fail goto*//*Label 29586*/ GIMT_Encode4(2230315), // Rule ID 48257 //
     /* 2230275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230278 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2230281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2230295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230314 */     // GIR_Coverage, 48257,
     /* 2230314 */     GIR_EraseRootFromParent_Done,
     /* 2230315 */   // Label 29586: @2230315
     /* 2230315 */   GIM_Reject,
     /* 2230316 */ // Label 29584: @2230316
     /* 2230316 */ GIM_Reject,
     /* 2230317 */ // Label 29517: @2230317
     /* 2230317 */ GIM_Try, /*On fail goto*//*Label 29587*/ GIMT_Encode4(2230431),
     /* 2230322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2230325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2230328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230340 */   GIM_Try, /*On fail goto*//*Label 29588*/ GIMT_Encode4(2230385), // Rule ID 48228 //
     /* 2230345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230348 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2230351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2230365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230384 */     // GIR_Coverage, 48228,
     /* 2230384 */     GIR_EraseRootFromParent_Done,
     /* 2230385 */   // Label 29588: @2230385
     /* 2230385 */   GIM_Try, /*On fail goto*//*Label 29589*/ GIMT_Encode4(2230430), // Rule ID 48229 //
     /* 2230390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230393 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2230396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2230410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230429 */     // GIR_Coverage, 48229,
     /* 2230429 */     GIR_EraseRootFromParent_Done,
     /* 2230430 */   // Label 29589: @2230430
     /* 2230430 */   GIM_Reject,
     /* 2230431 */ // Label 29587: @2230431
     /* 2230431 */ GIM_Reject,
     /* 2230432 */ // Label 29518: @2230432
     /* 2230432 */ GIM_Try, /*On fail goto*//*Label 29590*/ GIMT_Encode4(2230546),
     /* 2230437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2230440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2230443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230455 */   GIM_Try, /*On fail goto*//*Label 29591*/ GIMT_Encode4(2230500), // Rule ID 48244 //
     /* 2230460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230463 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2230466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2230480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230499 */     // GIR_Coverage, 48244,
     /* 2230499 */     GIR_EraseRootFromParent_Done,
     /* 2230500 */   // Label 29591: @2230500
     /* 2230500 */   GIM_Try, /*On fail goto*//*Label 29592*/ GIMT_Encode4(2230545), // Rule ID 48245 //
     /* 2230505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230508 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2230511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2230525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230544 */     // GIR_Coverage, 48245,
     /* 2230544 */     GIR_EraseRootFromParent_Done,
     /* 2230545 */   // Label 29592: @2230545
     /* 2230545 */   GIM_Reject,
     /* 2230546 */ // Label 29590: @2230546
     /* 2230546 */ GIM_Reject,
     /* 2230547 */ // Label 29519: @2230547
     /* 2230547 */ GIM_Try, /*On fail goto*//*Label 29593*/ GIMT_Encode4(2230661),
     /* 2230552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2230555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2230558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230570 */   GIM_Try, /*On fail goto*//*Label 29594*/ GIMT_Encode4(2230615), // Rule ID 48232 //
     /* 2230575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230578 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2230581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2230595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230614 */     // GIR_Coverage, 48232,
     /* 2230614 */     GIR_EraseRootFromParent_Done,
     /* 2230615 */   // Label 29594: @2230615
     /* 2230615 */   GIM_Try, /*On fail goto*//*Label 29595*/ GIMT_Encode4(2230660), // Rule ID 48233 //
     /* 2230620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230623 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2230626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2230640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230659 */     // GIR_Coverage, 48233,
     /* 2230659 */     GIR_EraseRootFromParent_Done,
     /* 2230660 */   // Label 29595: @2230660
     /* 2230660 */   GIM_Reject,
     /* 2230661 */ // Label 29593: @2230661
     /* 2230661 */ GIM_Reject,
     /* 2230662 */ // Label 29520: @2230662
     /* 2230662 */ GIM_Reject,
     /* 2230663 */ // Label 45: @2230663
     /* 2230663 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29620*/ GIMT_Encode4(2233601),
     /* 2230674 */ /*GILLT_s32*//*Label 29596*/ GIMT_Encode4(2230798),
     /* 2230678 */ /*GILLT_s64*//*Label 29597*/ GIMT_Encode4(2230882), GIMT_Encode4(0),
     /* 2230686 */ /*GILLT_nxv1s8*//*Label 29598*/ GIMT_Encode4(2231071),
     /* 2230690 */ /*GILLT_nxv1s16*//*Label 29599*/ GIMT_Encode4(2231186),
     /* 2230694 */ /*GILLT_nxv1s32*//*Label 29600*/ GIMT_Encode4(2231301),
     /* 2230698 */ /*GILLT_nxv1s64*//*Label 29601*/ GIMT_Encode4(2231416), GIMT_Encode4(0),
     /* 2230706 */ /*GILLT_nxv2s8*//*Label 29602*/ GIMT_Encode4(2231531),
     /* 2230710 */ /*GILLT_nxv2s16*//*Label 29603*/ GIMT_Encode4(2231646),
     /* 2230714 */ /*GILLT_nxv2s32*//*Label 29604*/ GIMT_Encode4(2231761),
     /* 2230718 */ /*GILLT_nxv2s64*//*Label 29605*/ GIMT_Encode4(2231876), GIMT_Encode4(0),
     /* 2230726 */ /*GILLT_nxv4s8*//*Label 29606*/ GIMT_Encode4(2231991),
     /* 2230730 */ /*GILLT_nxv4s16*//*Label 29607*/ GIMT_Encode4(2232106),
     /* 2230734 */ /*GILLT_nxv4s32*//*Label 29608*/ GIMT_Encode4(2232221),
     /* 2230738 */ /*GILLT_nxv4s64*//*Label 29609*/ GIMT_Encode4(2232336), GIMT_Encode4(0),
     /* 2230746 */ /*GILLT_nxv8s8*//*Label 29610*/ GIMT_Encode4(2232451),
     /* 2230750 */ /*GILLT_nxv8s16*//*Label 29611*/ GIMT_Encode4(2232566),
     /* 2230754 */ /*GILLT_nxv8s32*//*Label 29612*/ GIMT_Encode4(2232681),
     /* 2230758 */ /*GILLT_nxv8s64*//*Label 29613*/ GIMT_Encode4(2232796), GIMT_Encode4(0),
     /* 2230766 */ /*GILLT_nxv16s8*//*Label 29614*/ GIMT_Encode4(2232911),
     /* 2230770 */ /*GILLT_nxv16s16*//*Label 29615*/ GIMT_Encode4(2233026),
     /* 2230774 */ /*GILLT_nxv16s32*//*Label 29616*/ GIMT_Encode4(2233141), GIMT_Encode4(0),
     /* 2230782 */ /*GILLT_nxv32s8*//*Label 29617*/ GIMT_Encode4(2233256),
     /* 2230786 */ /*GILLT_nxv32s16*//*Label 29618*/ GIMT_Encode4(2233371), GIMT_Encode4(0),
     /* 2230794 */ /*GILLT_nxv64s8*//*Label 29619*/ GIMT_Encode4(2233486),
     /* 2230798 */ // Label 29596: @2230798
     /* 2230798 */ GIM_Try, /*On fail goto*//*Label 29621*/ GIMT_Encode4(2230881),
     /* 2230803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2230806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2230809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230817 */   GIM_Try, /*On fail goto*//*Label 29622*/ GIMT_Encode4(2230851), // Rule ID 101 //
     /* 2230822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2230829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2230837 */     // MIs[1] Operand 1
     /* 2230837 */     // No operand predicates
     /* 2230837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230839 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2230839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2230842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2230849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230850 */     // GIR_Coverage, 101,
     /* 2230850 */     GIR_EraseRootFromParent_Done,
     /* 2230851 */   // Label 29622: @2230851
     /* 2230851 */   GIM_Try, /*On fail goto*//*Label 29623*/ GIMT_Encode4(2230880), // Rule ID 115 //
     /* 2230856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2230866 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRA:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2230866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2230869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2230878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230879 */     // GIR_Coverage, 115,
     /* 2230879 */     GIR_EraseRootFromParent_Done,
     /* 2230880 */   // Label 29623: @2230880
     /* 2230880 */   GIM_Reject,
     /* 2230881 */ // Label 29621: @2230881
     /* 2230881 */ GIM_Reject,
     /* 2230882 */ // Label 29597: @2230882
     /* 2230882 */ GIM_Try, /*On fail goto*//*Label 29624*/ GIMT_Encode4(2231070),
     /* 2230887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2230890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230897 */   GIM_Try, /*On fail goto*//*Label 29625*/ GIMT_Encode4(2230934), // Rule ID 62573 //
     /* 2230902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2230905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2230909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2230913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2230917 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2230921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230923 */     // (sra:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2230923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2230926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2230932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230933 */     // GIR_Coverage, 62573,
     /* 2230933 */     GIR_EraseRootFromParent_Done,
     /* 2230934 */   // Label 29625: @2230934
     /* 2230934 */   GIM_Try, /*On fail goto*//*Label 29626*/ GIMT_Encode4(2230998), // Rule ID 269 //
     /* 2230939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2230942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2230946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2230950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2230954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230959 */     // MIs[1] Operand 2
     /* 2230959 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2230970 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2230974 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230978 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2230982 */     // MIs[2] Operand 1
     /* 2230982 */     // No operand predicates
     /* 2230982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2230984 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2230984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2230987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2230993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2230996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230997 */     // GIR_Coverage, 269,
     /* 2230997 */     GIR_EraseRootFromParent_Done,
     /* 2230998 */   // Label 29626: @2230998
     /* 2230998 */   GIM_Try, /*On fail goto*//*Label 29627*/ GIMT_Encode4(2231036), // Rule ID 100 //
     /* 2231003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2231006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2231014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2231018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2231022 */     // MIs[1] Operand 1
     /* 2231022 */     // No operand predicates
     /* 2231022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231024 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2231024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2231027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2231034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231035 */     // GIR_Coverage, 100,
     /* 2231035 */     GIR_EraseRootFromParent_Done,
     /* 2231036 */   // Label 29627: @2231036
     /* 2231036 */   GIM_Try, /*On fail goto*//*Label 29628*/ GIMT_Encode4(2231069), // Rule ID 114 //
     /* 2231041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2231044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2231055 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRA:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2231055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2231058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2231067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231068 */     // GIR_Coverage, 114,
     /* 2231068 */     GIR_EraseRootFromParent_Done,
     /* 2231069 */   // Label 29628: @2231069
     /* 2231069 */   GIM_Reject,
     /* 2231070 */ // Label 29624: @2231070
     /* 2231070 */ GIM_Reject,
     /* 2231071 */ // Label 29598: @2231071
     /* 2231071 */ GIM_Try, /*On fail goto*//*Label 29629*/ GIMT_Encode4(2231185),
     /* 2231076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2231079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231090 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231094 */   GIM_Try, /*On fail goto*//*Label 29630*/ GIMT_Encode4(2231139), // Rule ID 48316 //
     /* 2231099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231102 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2231105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2231119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231138 */     // GIR_Coverage, 48316,
     /* 2231138 */     GIR_EraseRootFromParent_Done,
     /* 2231139 */   // Label 29630: @2231139
     /* 2231139 */   GIM_Try, /*On fail goto*//*Label 29631*/ GIMT_Encode4(2231184), // Rule ID 48317 //
     /* 2231144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231147 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2231150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2231164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231183 */     // GIR_Coverage, 48317,
     /* 2231183 */     GIR_EraseRootFromParent_Done,
     /* 2231184 */   // Label 29631: @2231184
     /* 2231184 */   GIM_Reject,
     /* 2231185 */ // Label 29629: @2231185
     /* 2231185 */ GIM_Reject,
     /* 2231186 */ // Label 29599: @2231186
     /* 2231186 */ GIM_Try, /*On fail goto*//*Label 29632*/ GIMT_Encode4(2231300),
     /* 2231191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2231194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231209 */   GIM_Try, /*On fail goto*//*Label 29633*/ GIMT_Encode4(2231254), // Rule ID 48328 //
     /* 2231214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231217 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2231220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2231234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231253 */     // GIR_Coverage, 48328,
     /* 2231253 */     GIR_EraseRootFromParent_Done,
     /* 2231254 */   // Label 29633: @2231254
     /* 2231254 */   GIM_Try, /*On fail goto*//*Label 29634*/ GIMT_Encode4(2231299), // Rule ID 48329 //
     /* 2231259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231262 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2231265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2231279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231298 */     // GIR_Coverage, 48329,
     /* 2231298 */     GIR_EraseRootFromParent_Done,
     /* 2231299 */   // Label 29634: @2231299
     /* 2231299 */   GIM_Reject,
     /* 2231300 */ // Label 29632: @2231300
     /* 2231300 */ GIM_Reject,
     /* 2231301 */ // Label 29600: @2231301
     /* 2231301 */ GIM_Try, /*On fail goto*//*Label 29635*/ GIMT_Encode4(2231415),
     /* 2231306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2231309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231324 */   GIM_Try, /*On fail goto*//*Label 29636*/ GIMT_Encode4(2231369), // Rule ID 48336 //
     /* 2231329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231332 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2231335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2231349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231368 */     // GIR_Coverage, 48336,
     /* 2231368 */     GIR_EraseRootFromParent_Done,
     /* 2231369 */   // Label 29636: @2231369
     /* 2231369 */   GIM_Try, /*On fail goto*//*Label 29637*/ GIMT_Encode4(2231414), // Rule ID 48337 //
     /* 2231374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231377 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2231380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2231394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231413 */     // GIR_Coverage, 48337,
     /* 2231413 */     GIR_EraseRootFromParent_Done,
     /* 2231414 */   // Label 29637: @2231414
     /* 2231414 */   GIM_Reject,
     /* 2231415 */ // Label 29635: @2231415
     /* 2231415 */ GIM_Reject,
     /* 2231416 */ // Label 29601: @2231416
     /* 2231416 */ GIM_Try, /*On fail goto*//*Label 29638*/ GIMT_Encode4(2231530),
     /* 2231421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2231424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231439 */   GIM_Try, /*On fail goto*//*Label 29639*/ GIMT_Encode4(2231484), // Rule ID 48352 //
     /* 2231444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231447 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2231450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2231464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231483 */     // GIR_Coverage, 48352,
     /* 2231483 */     GIR_EraseRootFromParent_Done,
     /* 2231484 */   // Label 29639: @2231484
     /* 2231484 */   GIM_Try, /*On fail goto*//*Label 29640*/ GIMT_Encode4(2231529), // Rule ID 48353 //
     /* 2231489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231492 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2231495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2231509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231528 */     // GIR_Coverage, 48353,
     /* 2231528 */     GIR_EraseRootFromParent_Done,
     /* 2231529 */   // Label 29640: @2231529
     /* 2231529 */   GIM_Reject,
     /* 2231530 */ // Label 29638: @2231530
     /* 2231530 */ GIM_Reject,
     /* 2231531 */ // Label 29602: @2231531
     /* 2231531 */ GIM_Try, /*On fail goto*//*Label 29641*/ GIMT_Encode4(2231645),
     /* 2231536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2231539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2231542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231554 */   GIM_Try, /*On fail goto*//*Label 29642*/ GIMT_Encode4(2231599), // Rule ID 48320 //
     /* 2231559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231562 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2231565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2231579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231598 */     // GIR_Coverage, 48320,
     /* 2231598 */     GIR_EraseRootFromParent_Done,
     /* 2231599 */   // Label 29642: @2231599
     /* 2231599 */   GIM_Try, /*On fail goto*//*Label 29643*/ GIMT_Encode4(2231644), // Rule ID 48321 //
     /* 2231604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231607 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2231610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2231624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231643 */     // GIR_Coverage, 48321,
     /* 2231643 */     GIR_EraseRootFromParent_Done,
     /* 2231644 */   // Label 29643: @2231644
     /* 2231644 */   GIM_Reject,
     /* 2231645 */ // Label 29641: @2231645
     /* 2231645 */ GIM_Reject,
     /* 2231646 */ // Label 29603: @2231646
     /* 2231646 */ GIM_Try, /*On fail goto*//*Label 29644*/ GIMT_Encode4(2231760),
     /* 2231651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2231654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2231657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231669 */   GIM_Try, /*On fail goto*//*Label 29645*/ GIMT_Encode4(2231714), // Rule ID 48332 //
     /* 2231674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231677 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2231680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2231694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231713 */     // GIR_Coverage, 48332,
     /* 2231713 */     GIR_EraseRootFromParent_Done,
     /* 2231714 */   // Label 29645: @2231714
     /* 2231714 */   GIM_Try, /*On fail goto*//*Label 29646*/ GIMT_Encode4(2231759), // Rule ID 48333 //
     /* 2231719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231722 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2231725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2231739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231758 */     // GIR_Coverage, 48333,
     /* 2231758 */     GIR_EraseRootFromParent_Done,
     /* 2231759 */   // Label 29646: @2231759
     /* 2231759 */   GIM_Reject,
     /* 2231760 */ // Label 29644: @2231760
     /* 2231760 */ GIM_Reject,
     /* 2231761 */ // Label 29604: @2231761
     /* 2231761 */ GIM_Try, /*On fail goto*//*Label 29647*/ GIMT_Encode4(2231875),
     /* 2231766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2231769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2231772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231784 */   GIM_Try, /*On fail goto*//*Label 29648*/ GIMT_Encode4(2231829), // Rule ID 48348 //
     /* 2231789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231792 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2231795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2231809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231828 */     // GIR_Coverage, 48348,
     /* 2231828 */     GIR_EraseRootFromParent_Done,
     /* 2231829 */   // Label 29648: @2231829
     /* 2231829 */   GIM_Try, /*On fail goto*//*Label 29649*/ GIMT_Encode4(2231874), // Rule ID 48349 //
     /* 2231834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231837 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2231840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2231854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231873 */     // GIR_Coverage, 48349,
     /* 2231873 */     GIR_EraseRootFromParent_Done,
     /* 2231874 */   // Label 29649: @2231874
     /* 2231874 */   GIM_Reject,
     /* 2231875 */ // Label 29647: @2231875
     /* 2231875 */ GIM_Reject,
     /* 2231876 */ // Label 29605: @2231876
     /* 2231876 */ GIM_Try, /*On fail goto*//*Label 29650*/ GIMT_Encode4(2231990),
     /* 2231881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2231884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2231887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231899 */   GIM_Try, /*On fail goto*//*Label 29651*/ GIMT_Encode4(2231944), // Rule ID 48392 //
     /* 2231904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231907 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2231910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2231924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231943 */     // GIR_Coverage, 48392,
     /* 2231943 */     GIR_EraseRootFromParent_Done,
     /* 2231944 */   // Label 29651: @2231944
     /* 2231944 */   GIM_Try, /*On fail goto*//*Label 29652*/ GIMT_Encode4(2231989), // Rule ID 48393 //
     /* 2231949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231952 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2231955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2231969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231988 */     // GIR_Coverage, 48393,
     /* 2231988 */     GIR_EraseRootFromParent_Done,
     /* 2231989 */   // Label 29652: @2231989
     /* 2231989 */   GIM_Reject,
     /* 2231990 */ // Label 29650: @2231990
     /* 2231990 */ GIM_Reject,
     /* 2231991 */ // Label 29606: @2231991
     /* 2231991 */ GIM_Try, /*On fail goto*//*Label 29653*/ GIMT_Encode4(2232105),
     /* 2231996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2231999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2232002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232014 */   GIM_Try, /*On fail goto*//*Label 29654*/ GIMT_Encode4(2232059), // Rule ID 48324 //
     /* 2232019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232022 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2232025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2232039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232058 */     // GIR_Coverage, 48324,
     /* 2232058 */     GIR_EraseRootFromParent_Done,
     /* 2232059 */   // Label 29654: @2232059
     /* 2232059 */   GIM_Try, /*On fail goto*//*Label 29655*/ GIMT_Encode4(2232104), // Rule ID 48325 //
     /* 2232064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232067 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2232070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2232084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232103 */     // GIR_Coverage, 48325,
     /* 2232103 */     GIR_EraseRootFromParent_Done,
     /* 2232104 */   // Label 29655: @2232104
     /* 2232104 */   GIM_Reject,
     /* 2232105 */ // Label 29653: @2232105
     /* 2232105 */ GIM_Reject,
     /* 2232106 */ // Label 29607: @2232106
     /* 2232106 */ GIM_Try, /*On fail goto*//*Label 29656*/ GIMT_Encode4(2232220),
     /* 2232111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2232114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2232117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232129 */   GIM_Try, /*On fail goto*//*Label 29657*/ GIMT_Encode4(2232174), // Rule ID 48344 //
     /* 2232134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232137 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2232140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2232154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232173 */     // GIR_Coverage, 48344,
     /* 2232173 */     GIR_EraseRootFromParent_Done,
     /* 2232174 */   // Label 29657: @2232174
     /* 2232174 */   GIM_Try, /*On fail goto*//*Label 29658*/ GIMT_Encode4(2232219), // Rule ID 48345 //
     /* 2232179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232182 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2232185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2232199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232218 */     // GIR_Coverage, 48345,
     /* 2232218 */     GIR_EraseRootFromParent_Done,
     /* 2232219 */   // Label 29658: @2232219
     /* 2232219 */   GIM_Reject,
     /* 2232220 */ // Label 29656: @2232220
     /* 2232220 */ GIM_Reject,
     /* 2232221 */ // Label 29608: @2232221
     /* 2232221 */ GIM_Try, /*On fail goto*//*Label 29659*/ GIMT_Encode4(2232335),
     /* 2232226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2232229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2232232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232244 */   GIM_Try, /*On fail goto*//*Label 29660*/ GIMT_Encode4(2232289), // Rule ID 48380 //
     /* 2232249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232252 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2232255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2232269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232288 */     // GIR_Coverage, 48380,
     /* 2232288 */     GIR_EraseRootFromParent_Done,
     /* 2232289 */   // Label 29660: @2232289
     /* 2232289 */   GIM_Try, /*On fail goto*//*Label 29661*/ GIMT_Encode4(2232334), // Rule ID 48381 //
     /* 2232294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232297 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2232300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2232314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232333 */     // GIR_Coverage, 48381,
     /* 2232333 */     GIR_EraseRootFromParent_Done,
     /* 2232334 */   // Label 29661: @2232334
     /* 2232334 */   GIM_Reject,
     /* 2232335 */ // Label 29659: @2232335
     /* 2232335 */ GIM_Reject,
     /* 2232336 */ // Label 29609: @2232336
     /* 2232336 */ GIM_Try, /*On fail goto*//*Label 29662*/ GIMT_Encode4(2232450),
     /* 2232341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2232344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2232347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232359 */   GIM_Try, /*On fail goto*//*Label 29663*/ GIMT_Encode4(2232404), // Rule ID 48396 //
     /* 2232364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232367 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2232370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2232384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232403 */     // GIR_Coverage, 48396,
     /* 2232403 */     GIR_EraseRootFromParent_Done,
     /* 2232404 */   // Label 29663: @2232404
     /* 2232404 */   GIM_Try, /*On fail goto*//*Label 29664*/ GIMT_Encode4(2232449), // Rule ID 48397 //
     /* 2232409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232412 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2232415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2232429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232448 */     // GIR_Coverage, 48397,
     /* 2232448 */     GIR_EraseRootFromParent_Done,
     /* 2232449 */   // Label 29664: @2232449
     /* 2232449 */   GIM_Reject,
     /* 2232450 */ // Label 29662: @2232450
     /* 2232450 */ GIM_Reject,
     /* 2232451 */ // Label 29610: @2232451
     /* 2232451 */ GIM_Try, /*On fail goto*//*Label 29665*/ GIMT_Encode4(2232565),
     /* 2232456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2232459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2232462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232474 */   GIM_Try, /*On fail goto*//*Label 29666*/ GIMT_Encode4(2232519), // Rule ID 48340 //
     /* 2232479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232482 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2232485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2232499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232518 */     // GIR_Coverage, 48340,
     /* 2232518 */     GIR_EraseRootFromParent_Done,
     /* 2232519 */   // Label 29666: @2232519
     /* 2232519 */   GIM_Try, /*On fail goto*//*Label 29667*/ GIMT_Encode4(2232564), // Rule ID 48341 //
     /* 2232524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232527 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2232530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2232544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232563 */     // GIR_Coverage, 48341,
     /* 2232563 */     GIR_EraseRootFromParent_Done,
     /* 2232564 */   // Label 29667: @2232564
     /* 2232564 */   GIM_Reject,
     /* 2232565 */ // Label 29665: @2232565
     /* 2232565 */ GIM_Reject,
     /* 2232566 */ // Label 29611: @2232566
     /* 2232566 */ GIM_Try, /*On fail goto*//*Label 29668*/ GIMT_Encode4(2232680),
     /* 2232571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2232574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2232577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232589 */   GIM_Try, /*On fail goto*//*Label 29669*/ GIMT_Encode4(2232634), // Rule ID 48368 //
     /* 2232594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232597 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2232600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2232614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232633 */     // GIR_Coverage, 48368,
     /* 2232633 */     GIR_EraseRootFromParent_Done,
     /* 2232634 */   // Label 29669: @2232634
     /* 2232634 */   GIM_Try, /*On fail goto*//*Label 29670*/ GIMT_Encode4(2232679), // Rule ID 48369 //
     /* 2232639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232642 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2232645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2232659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232678 */     // GIR_Coverage, 48369,
     /* 2232678 */     GIR_EraseRootFromParent_Done,
     /* 2232679 */   // Label 29670: @2232679
     /* 2232679 */   GIM_Reject,
     /* 2232680 */ // Label 29668: @2232680
     /* 2232680 */ GIM_Reject,
     /* 2232681 */ // Label 29612: @2232681
     /* 2232681 */ GIM_Try, /*On fail goto*//*Label 29671*/ GIMT_Encode4(2232795),
     /* 2232686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2232689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2232692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232704 */   GIM_Try, /*On fail goto*//*Label 29672*/ GIMT_Encode4(2232749), // Rule ID 48384 //
     /* 2232709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232712 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2232715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2232729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232748 */     // GIR_Coverage, 48384,
     /* 2232748 */     GIR_EraseRootFromParent_Done,
     /* 2232749 */   // Label 29672: @2232749
     /* 2232749 */   GIM_Try, /*On fail goto*//*Label 29673*/ GIMT_Encode4(2232794), // Rule ID 48385 //
     /* 2232754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232757 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2232760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2232774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232793 */     // GIR_Coverage, 48385,
     /* 2232793 */     GIR_EraseRootFromParent_Done,
     /* 2232794 */   // Label 29673: @2232794
     /* 2232794 */   GIM_Reject,
     /* 2232795 */ // Label 29671: @2232795
     /* 2232795 */ GIM_Reject,
     /* 2232796 */ // Label 29613: @2232796
     /* 2232796 */ GIM_Try, /*On fail goto*//*Label 29674*/ GIMT_Encode4(2232910),
     /* 2232801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2232804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2232807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2232811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2232815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2232819 */   GIM_Try, /*On fail goto*//*Label 29675*/ GIMT_Encode4(2232864), // Rule ID 48400 //
     /* 2232824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232827 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2232830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2232844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232863 */     // GIR_Coverage, 48400,
     /* 2232863 */     GIR_EraseRootFromParent_Done,
     /* 2232864 */   // Label 29675: @2232864
     /* 2232864 */   GIM_Try, /*On fail goto*//*Label 29676*/ GIMT_Encode4(2232909), // Rule ID 48401 //
     /* 2232869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232872 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2232875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2232889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232908 */     // GIR_Coverage, 48401,
     /* 2232908 */     GIR_EraseRootFromParent_Done,
     /* 2232909 */   // Label 29676: @2232909
     /* 2232909 */   GIM_Reject,
     /* 2232910 */ // Label 29674: @2232910
     /* 2232910 */ GIM_Reject,
     /* 2232911 */ // Label 29614: @2232911
     /* 2232911 */ GIM_Try, /*On fail goto*//*Label 29677*/ GIMT_Encode4(2233025),
     /* 2232916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2232919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2232922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232934 */   GIM_Try, /*On fail goto*//*Label 29678*/ GIMT_Encode4(2232979), // Rule ID 48356 //
     /* 2232939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232942 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2232945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2232959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232978 */     // GIR_Coverage, 48356,
     /* 2232978 */     GIR_EraseRootFromParent_Done,
     /* 2232979 */   // Label 29678: @2232979
     /* 2232979 */   GIM_Try, /*On fail goto*//*Label 29679*/ GIMT_Encode4(2233024), // Rule ID 48357 //
     /* 2232984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232987 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2232990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2233004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233023 */     // GIR_Coverage, 48357,
     /* 2233023 */     GIR_EraseRootFromParent_Done,
     /* 2233024 */   // Label 29679: @2233024
     /* 2233024 */   GIM_Reject,
     /* 2233025 */ // Label 29677: @2233025
     /* 2233025 */ GIM_Reject,
     /* 2233026 */ // Label 29615: @2233026
     /* 2233026 */ GIM_Try, /*On fail goto*//*Label 29680*/ GIMT_Encode4(2233140),
     /* 2233031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2233034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2233037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233049 */   GIM_Try, /*On fail goto*//*Label 29681*/ GIMT_Encode4(2233094), // Rule ID 48372 //
     /* 2233054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233057 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2233060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2233074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233093 */     // GIR_Coverage, 48372,
     /* 2233093 */     GIR_EraseRootFromParent_Done,
     /* 2233094 */   // Label 29681: @2233094
     /* 2233094 */   GIM_Try, /*On fail goto*//*Label 29682*/ GIMT_Encode4(2233139), // Rule ID 48373 //
     /* 2233099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233102 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2233105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2233119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233138 */     // GIR_Coverage, 48373,
     /* 2233138 */     GIR_EraseRootFromParent_Done,
     /* 2233139 */   // Label 29682: @2233139
     /* 2233139 */   GIM_Reject,
     /* 2233140 */ // Label 29680: @2233140
     /* 2233140 */ GIM_Reject,
     /* 2233141 */ // Label 29616: @2233141
     /* 2233141 */ GIM_Try, /*On fail goto*//*Label 29683*/ GIMT_Encode4(2233255),
     /* 2233146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2233149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2233152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233164 */   GIM_Try, /*On fail goto*//*Label 29684*/ GIMT_Encode4(2233209), // Rule ID 48388 //
     /* 2233169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233172 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2233175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2233189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233208 */     // GIR_Coverage, 48388,
     /* 2233208 */     GIR_EraseRootFromParent_Done,
     /* 2233209 */   // Label 29684: @2233209
     /* 2233209 */   GIM_Try, /*On fail goto*//*Label 29685*/ GIMT_Encode4(2233254), // Rule ID 48389 //
     /* 2233214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233217 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2233220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2233234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233253 */     // GIR_Coverage, 48389,
     /* 2233253 */     GIR_EraseRootFromParent_Done,
     /* 2233254 */   // Label 29685: @2233254
     /* 2233254 */   GIM_Reject,
     /* 2233255 */ // Label 29683: @2233255
     /* 2233255 */ GIM_Reject,
     /* 2233256 */ // Label 29617: @2233256
     /* 2233256 */ GIM_Try, /*On fail goto*//*Label 29686*/ GIMT_Encode4(2233370),
     /* 2233261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2233264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2233267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233279 */   GIM_Try, /*On fail goto*//*Label 29687*/ GIMT_Encode4(2233324), // Rule ID 48360 //
     /* 2233284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233287 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2233290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2233304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233323 */     // GIR_Coverage, 48360,
     /* 2233323 */     GIR_EraseRootFromParent_Done,
     /* 2233324 */   // Label 29687: @2233324
     /* 2233324 */   GIM_Try, /*On fail goto*//*Label 29688*/ GIMT_Encode4(2233369), // Rule ID 48361 //
     /* 2233329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233332 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2233335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2233349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233368 */     // GIR_Coverage, 48361,
     /* 2233368 */     GIR_EraseRootFromParent_Done,
     /* 2233369 */   // Label 29688: @2233369
     /* 2233369 */   GIM_Reject,
     /* 2233370 */ // Label 29686: @2233370
     /* 2233370 */ GIM_Reject,
     /* 2233371 */ // Label 29618: @2233371
     /* 2233371 */ GIM_Try, /*On fail goto*//*Label 29689*/ GIMT_Encode4(2233485),
     /* 2233376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2233379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2233382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233394 */   GIM_Try, /*On fail goto*//*Label 29690*/ GIMT_Encode4(2233439), // Rule ID 48376 //
     /* 2233399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233402 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2233405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2233419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233438 */     // GIR_Coverage, 48376,
     /* 2233438 */     GIR_EraseRootFromParent_Done,
     /* 2233439 */   // Label 29690: @2233439
     /* 2233439 */   GIM_Try, /*On fail goto*//*Label 29691*/ GIMT_Encode4(2233484), // Rule ID 48377 //
     /* 2233444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233447 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2233450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2233464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233483 */     // GIR_Coverage, 48377,
     /* 2233483 */     GIR_EraseRootFromParent_Done,
     /* 2233484 */   // Label 29691: @2233484
     /* 2233484 */   GIM_Reject,
     /* 2233485 */ // Label 29689: @2233485
     /* 2233485 */ GIM_Reject,
     /* 2233486 */ // Label 29619: @2233486
     /* 2233486 */ GIM_Try, /*On fail goto*//*Label 29692*/ GIMT_Encode4(2233600),
     /* 2233491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2233494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2233497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233509 */   GIM_Try, /*On fail goto*//*Label 29693*/ GIMT_Encode4(2233554), // Rule ID 48364 //
     /* 2233514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233517 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2233520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2233534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233553 */     // GIR_Coverage, 48364,
     /* 2233553 */     GIR_EraseRootFromParent_Done,
     /* 2233554 */   // Label 29693: @2233554
     /* 2233554 */   GIM_Try, /*On fail goto*//*Label 29694*/ GIMT_Encode4(2233599), // Rule ID 48365 //
     /* 2233559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233562 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2233565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2233579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233598 */     // GIR_Coverage, 48365,
     /* 2233598 */     GIR_EraseRootFromParent_Done,
     /* 2233599 */   // Label 29694: @2233599
     /* 2233599 */   GIM_Reject,
     /* 2233600 */ // Label 29692: @2233600
     /* 2233600 */ GIM_Reject,
     /* 2233601 */ // Label 29620: @2233601
     /* 2233601 */ GIM_Reject,
     /* 2233602 */ // Label 46: @2233602
     /* 2233602 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29719*/ GIMT_Encode4(2236541),
     /* 2233613 */ /*GILLT_s32*//*Label 29695*/ GIMT_Encode4(2233737),
     /* 2233617 */ /*GILLT_s64*//*Label 29696*/ GIMT_Encode4(2233874), GIMT_Encode4(0),
     /* 2233625 */ /*GILLT_nxv1s8*//*Label 29697*/ GIMT_Encode4(2234011),
     /* 2233629 */ /*GILLT_nxv1s16*//*Label 29698*/ GIMT_Encode4(2234126),
     /* 2233633 */ /*GILLT_nxv1s32*//*Label 29699*/ GIMT_Encode4(2234241),
     /* 2233637 */ /*GILLT_nxv1s64*//*Label 29700*/ GIMT_Encode4(2234356), GIMT_Encode4(0),
     /* 2233645 */ /*GILLT_nxv2s8*//*Label 29701*/ GIMT_Encode4(2234471),
     /* 2233649 */ /*GILLT_nxv2s16*//*Label 29702*/ GIMT_Encode4(2234586),
     /* 2233653 */ /*GILLT_nxv2s32*//*Label 29703*/ GIMT_Encode4(2234701),
     /* 2233657 */ /*GILLT_nxv2s64*//*Label 29704*/ GIMT_Encode4(2234816), GIMT_Encode4(0),
     /* 2233665 */ /*GILLT_nxv4s8*//*Label 29705*/ GIMT_Encode4(2234931),
     /* 2233669 */ /*GILLT_nxv4s16*//*Label 29706*/ GIMT_Encode4(2235046),
     /* 2233673 */ /*GILLT_nxv4s32*//*Label 29707*/ GIMT_Encode4(2235161),
     /* 2233677 */ /*GILLT_nxv4s64*//*Label 29708*/ GIMT_Encode4(2235276), GIMT_Encode4(0),
     /* 2233685 */ /*GILLT_nxv8s8*//*Label 29709*/ GIMT_Encode4(2235391),
     /* 2233689 */ /*GILLT_nxv8s16*//*Label 29710*/ GIMT_Encode4(2235506),
     /* 2233693 */ /*GILLT_nxv8s32*//*Label 29711*/ GIMT_Encode4(2235621),
     /* 2233697 */ /*GILLT_nxv8s64*//*Label 29712*/ GIMT_Encode4(2235736), GIMT_Encode4(0),
     /* 2233705 */ /*GILLT_nxv16s8*//*Label 29713*/ GIMT_Encode4(2235851),
     /* 2233709 */ /*GILLT_nxv16s16*//*Label 29714*/ GIMT_Encode4(2235966),
     /* 2233713 */ /*GILLT_nxv16s32*//*Label 29715*/ GIMT_Encode4(2236081), GIMT_Encode4(0),
     /* 2233721 */ /*GILLT_nxv32s8*//*Label 29716*/ GIMT_Encode4(2236196),
     /* 2233725 */ /*GILLT_nxv32s16*//*Label 29717*/ GIMT_Encode4(2236311), GIMT_Encode4(0),
     /* 2233733 */ /*GILLT_nxv64s8*//*Label 29718*/ GIMT_Encode4(2236426),
     /* 2233737 */ // Label 29695: @2233737
     /* 2233737 */ GIM_Try, /*On fail goto*//*Label 29720*/ GIMT_Encode4(2233873),
     /* 2233742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2233745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2233748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233756 */   GIM_Try, /*On fail goto*//*Label 29721*/ GIMT_Encode4(2233790), // Rule ID 2465 //
     /* 2233761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2233764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2233768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2233776 */     // MIs[1] Operand 1
     /* 2233776 */     // No operand predicates
     /* 2233776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233778 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2233778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2233781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2233788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233789 */     // GIR_Coverage, 2465,
     /* 2233789 */     GIR_EraseRootFromParent_Done,
     /* 2233790 */   // Label 29721: @2233790
     /* 2233790 */   GIM_Try, /*On fail goto*//*Label 29722*/ GIMT_Encode4(2233824), // Rule ID 62556 //
     /* 2233795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2233798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2233802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2233810 */     // MIs[1] Operand 1
     /* 2233810 */     // No operand predicates
     /* 2233810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233812 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2233812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2233815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2233822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233823 */     // GIR_Coverage, 62556,
     /* 2233823 */     GIR_EraseRootFromParent_Done,
     /* 2233824 */   // Label 29722: @2233824
     /* 2233824 */   GIM_Try, /*On fail goto*//*Label 29723*/ GIMT_Encode4(2233853), // Rule ID 2463 //
     /* 2233829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2233832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2233839 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2233839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2233842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2233851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233852 */     // GIR_Coverage, 2463,
     /* 2233852 */     GIR_EraseRootFromParent_Done,
     /* 2233853 */   // Label 29723: @2233853
     /* 2233853 */   GIM_Try, /*On fail goto*//*Label 29724*/ GIMT_Encode4(2233872), // Rule ID 64450 //
     /* 2233858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2233861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233865 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2233865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2233870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233871 */     // GIR_Coverage, 64450,
     /* 2233871 */     GIR_Done,
     /* 2233872 */   // Label 29724: @2233872
     /* 2233872 */   GIM_Reject,
     /* 2233873 */ // Label 29720: @2233873
     /* 2233873 */ GIM_Reject,
     /* 2233874 */ // Label 29696: @2233874
     /* 2233874 */ GIM_Try, /*On fail goto*//*Label 29725*/ GIMT_Encode4(2234010),
     /* 2233879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2233882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2233885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233893 */   GIM_Try, /*On fail goto*//*Label 29726*/ GIMT_Encode4(2233927), // Rule ID 2464 //
     /* 2233898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2233901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2233905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2233913 */     // MIs[1] Operand 1
     /* 2233913 */     // No operand predicates
     /* 2233913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233915 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2233915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2233918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2233925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233926 */     // GIR_Coverage, 2464,
     /* 2233926 */     GIR_EraseRootFromParent_Done,
     /* 2233927 */   // Label 29726: @2233927
     /* 2233927 */   GIM_Try, /*On fail goto*//*Label 29727*/ GIMT_Encode4(2233961), // Rule ID 62555 //
     /* 2233932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2233935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2233939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2233947 */     // MIs[1] Operand 1
     /* 2233947 */     // No operand predicates
     /* 2233947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233949 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2233949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2233952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2233959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233960 */     // GIR_Coverage, 62555,
     /* 2233960 */     GIR_EraseRootFromParent_Done,
     /* 2233961 */   // Label 29727: @2233961
     /* 2233961 */   GIM_Try, /*On fail goto*//*Label 29728*/ GIMT_Encode4(2233990), // Rule ID 2462 //
     /* 2233966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2233969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2233976 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2233976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2233979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2233988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233989 */     // GIR_Coverage, 2462,
     /* 2233989 */     GIR_EraseRootFromParent_Done,
     /* 2233990 */   // Label 29728: @2233990
     /* 2233990 */   GIM_Try, /*On fail goto*//*Label 29729*/ GIMT_Encode4(2234009), // Rule ID 64449 //
     /* 2233995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2233998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234002 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2234002 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2234007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234008 */     // GIR_Coverage, 64449,
     /* 2234008 */     GIR_Done,
     /* 2234009 */   // Label 29729: @2234009
     /* 2234009 */   GIM_Reject,
     /* 2234010 */ // Label 29725: @2234010
     /* 2234010 */ GIM_Reject,
     /* 2234011 */ // Label 29697: @2234011
     /* 2234011 */ GIM_Try, /*On fail goto*//*Label 29730*/ GIMT_Encode4(2234125),
     /* 2234016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2234019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2234022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234034 */   GIM_Try, /*On fail goto*//*Label 29731*/ GIMT_Encode4(2234079), // Rule ID 59408 //
     /* 2234039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234042 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2234045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2234059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234078 */     // GIR_Coverage, 59408,
     /* 2234078 */     GIR_EraseRootFromParent_Done,
     /* 2234079 */   // Label 29731: @2234079
     /* 2234079 */   GIM_Try, /*On fail goto*//*Label 29732*/ GIMT_Encode4(2234124), // Rule ID 59409 //
     /* 2234084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234087 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2234090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2234104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234123 */     // GIR_Coverage, 59409,
     /* 2234123 */     GIR_EraseRootFromParent_Done,
     /* 2234124 */   // Label 29732: @2234124
     /* 2234124 */   GIM_Reject,
     /* 2234125 */ // Label 29730: @2234125
     /* 2234125 */ GIM_Reject,
     /* 2234126 */ // Label 29698: @2234126
     /* 2234126 */ GIM_Try, /*On fail goto*//*Label 29733*/ GIMT_Encode4(2234240),
     /* 2234131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2234134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2234137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234149 */   GIM_Try, /*On fail goto*//*Label 29734*/ GIMT_Encode4(2234194), // Rule ID 59420 //
     /* 2234154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234157 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2234160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2234174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234193 */     // GIR_Coverage, 59420,
     /* 2234193 */     GIR_EraseRootFromParent_Done,
     /* 2234194 */   // Label 29734: @2234194
     /* 2234194 */   GIM_Try, /*On fail goto*//*Label 29735*/ GIMT_Encode4(2234239), // Rule ID 59421 //
     /* 2234199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234202 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2234205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2234219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234238 */     // GIR_Coverage, 59421,
     /* 2234238 */     GIR_EraseRootFromParent_Done,
     /* 2234239 */   // Label 29735: @2234239
     /* 2234239 */   GIM_Reject,
     /* 2234240 */ // Label 29733: @2234240
     /* 2234240 */ GIM_Reject,
     /* 2234241 */ // Label 29699: @2234241
     /* 2234241 */ GIM_Try, /*On fail goto*//*Label 29736*/ GIMT_Encode4(2234355),
     /* 2234246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2234249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234264 */   GIM_Try, /*On fail goto*//*Label 29737*/ GIMT_Encode4(2234309), // Rule ID 59428 //
     /* 2234269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234272 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2234275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2234289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234308 */     // GIR_Coverage, 59428,
     /* 2234308 */     GIR_EraseRootFromParent_Done,
     /* 2234309 */   // Label 29737: @2234309
     /* 2234309 */   GIM_Try, /*On fail goto*//*Label 29738*/ GIMT_Encode4(2234354), // Rule ID 59429 //
     /* 2234314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234317 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2234320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2234334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234353 */     // GIR_Coverage, 59429,
     /* 2234353 */     GIR_EraseRootFromParent_Done,
     /* 2234354 */   // Label 29738: @2234354
     /* 2234354 */   GIM_Reject,
     /* 2234355 */ // Label 29736: @2234355
     /* 2234355 */ GIM_Reject,
     /* 2234356 */ // Label 29700: @2234356
     /* 2234356 */ GIM_Try, /*On fail goto*//*Label 29739*/ GIMT_Encode4(2234470),
     /* 2234361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2234364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234379 */   GIM_Try, /*On fail goto*//*Label 29740*/ GIMT_Encode4(2234424), // Rule ID 59444 //
     /* 2234384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234387 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2234390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2234404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234423 */     // GIR_Coverage, 59444,
     /* 2234423 */     GIR_EraseRootFromParent_Done,
     /* 2234424 */   // Label 29740: @2234424
     /* 2234424 */   GIM_Try, /*On fail goto*//*Label 29741*/ GIMT_Encode4(2234469), // Rule ID 59445 //
     /* 2234429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234432 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2234435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2234449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234468 */     // GIR_Coverage, 59445,
     /* 2234468 */     GIR_EraseRootFromParent_Done,
     /* 2234469 */   // Label 29741: @2234469
     /* 2234469 */   GIM_Reject,
     /* 2234470 */ // Label 29739: @2234470
     /* 2234470 */ GIM_Reject,
     /* 2234471 */ // Label 29701: @2234471
     /* 2234471 */ GIM_Try, /*On fail goto*//*Label 29742*/ GIMT_Encode4(2234585),
     /* 2234476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2234479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234494 */   GIM_Try, /*On fail goto*//*Label 29743*/ GIMT_Encode4(2234539), // Rule ID 59412 //
     /* 2234499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234502 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2234505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2234519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234538 */     // GIR_Coverage, 59412,
     /* 2234538 */     GIR_EraseRootFromParent_Done,
     /* 2234539 */   // Label 29743: @2234539
     /* 2234539 */   GIM_Try, /*On fail goto*//*Label 29744*/ GIMT_Encode4(2234584), // Rule ID 59413 //
     /* 2234544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234547 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2234550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2234564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234583 */     // GIR_Coverage, 59413,
     /* 2234583 */     GIR_EraseRootFromParent_Done,
     /* 2234584 */   // Label 29744: @2234584
     /* 2234584 */   GIM_Reject,
     /* 2234585 */ // Label 29742: @2234585
     /* 2234585 */ GIM_Reject,
     /* 2234586 */ // Label 29702: @2234586
     /* 2234586 */ GIM_Try, /*On fail goto*//*Label 29745*/ GIMT_Encode4(2234700),
     /* 2234591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2234594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234609 */   GIM_Try, /*On fail goto*//*Label 29746*/ GIMT_Encode4(2234654), // Rule ID 59424 //
     /* 2234614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234617 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2234620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2234634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234653 */     // GIR_Coverage, 59424,
     /* 2234653 */     GIR_EraseRootFromParent_Done,
     /* 2234654 */   // Label 29746: @2234654
     /* 2234654 */   GIM_Try, /*On fail goto*//*Label 29747*/ GIMT_Encode4(2234699), // Rule ID 59425 //
     /* 2234659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234662 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2234665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2234679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234698 */     // GIR_Coverage, 59425,
     /* 2234698 */     GIR_EraseRootFromParent_Done,
     /* 2234699 */   // Label 29747: @2234699
     /* 2234699 */   GIM_Reject,
     /* 2234700 */ // Label 29745: @2234700
     /* 2234700 */ GIM_Reject,
     /* 2234701 */ // Label 29703: @2234701
     /* 2234701 */ GIM_Try, /*On fail goto*//*Label 29748*/ GIMT_Encode4(2234815),
     /* 2234706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2234709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2234712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234724 */   GIM_Try, /*On fail goto*//*Label 29749*/ GIMT_Encode4(2234769), // Rule ID 59440 //
     /* 2234729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234732 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2234735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2234749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234768 */     // GIR_Coverage, 59440,
     /* 2234768 */     GIR_EraseRootFromParent_Done,
     /* 2234769 */   // Label 29749: @2234769
     /* 2234769 */   GIM_Try, /*On fail goto*//*Label 29750*/ GIMT_Encode4(2234814), // Rule ID 59441 //
     /* 2234774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234777 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2234780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2234794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234813 */     // GIR_Coverage, 59441,
     /* 2234813 */     GIR_EraseRootFromParent_Done,
     /* 2234814 */   // Label 29750: @2234814
     /* 2234814 */   GIM_Reject,
     /* 2234815 */ // Label 29748: @2234815
     /* 2234815 */ GIM_Reject,
     /* 2234816 */ // Label 29704: @2234816
     /* 2234816 */ GIM_Try, /*On fail goto*//*Label 29751*/ GIMT_Encode4(2234930),
     /* 2234821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2234824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2234827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234839 */   GIM_Try, /*On fail goto*//*Label 29752*/ GIMT_Encode4(2234884), // Rule ID 59484 //
     /* 2234844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234847 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2234850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2234864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234883 */     // GIR_Coverage, 59484,
     /* 2234883 */     GIR_EraseRootFromParent_Done,
     /* 2234884 */   // Label 29752: @2234884
     /* 2234884 */   GIM_Try, /*On fail goto*//*Label 29753*/ GIMT_Encode4(2234929), // Rule ID 59485 //
     /* 2234889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234892 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2234895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2234909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234928 */     // GIR_Coverage, 59485,
     /* 2234928 */     GIR_EraseRootFromParent_Done,
     /* 2234929 */   // Label 29753: @2234929
     /* 2234929 */   GIM_Reject,
     /* 2234930 */ // Label 29751: @2234930
     /* 2234930 */ GIM_Reject,
     /* 2234931 */ // Label 29705: @2234931
     /* 2234931 */ GIM_Try, /*On fail goto*//*Label 29754*/ GIMT_Encode4(2235045),
     /* 2234936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2234939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2234942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234954 */   GIM_Try, /*On fail goto*//*Label 29755*/ GIMT_Encode4(2234999), // Rule ID 59416 //
     /* 2234959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234962 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2234965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2234979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234998 */     // GIR_Coverage, 59416,
     /* 2234998 */     GIR_EraseRootFromParent_Done,
     /* 2234999 */   // Label 29755: @2234999
     /* 2234999 */   GIM_Try, /*On fail goto*//*Label 29756*/ GIMT_Encode4(2235044), // Rule ID 59417 //
     /* 2235004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235007 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2235010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2235024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235043 */     // GIR_Coverage, 59417,
     /* 2235043 */     GIR_EraseRootFromParent_Done,
     /* 2235044 */   // Label 29756: @2235044
     /* 2235044 */   GIM_Reject,
     /* 2235045 */ // Label 29754: @2235045
     /* 2235045 */ GIM_Reject,
     /* 2235046 */ // Label 29706: @2235046
     /* 2235046 */ GIM_Try, /*On fail goto*//*Label 29757*/ GIMT_Encode4(2235160),
     /* 2235051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2235054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2235057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235069 */   GIM_Try, /*On fail goto*//*Label 29758*/ GIMT_Encode4(2235114), // Rule ID 59436 //
     /* 2235074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235077 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2235080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2235094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235113 */     // GIR_Coverage, 59436,
     /* 2235113 */     GIR_EraseRootFromParent_Done,
     /* 2235114 */   // Label 29758: @2235114
     /* 2235114 */   GIM_Try, /*On fail goto*//*Label 29759*/ GIMT_Encode4(2235159), // Rule ID 59437 //
     /* 2235119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235122 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2235125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2235139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235158 */     // GIR_Coverage, 59437,
     /* 2235158 */     GIR_EraseRootFromParent_Done,
     /* 2235159 */   // Label 29759: @2235159
     /* 2235159 */   GIM_Reject,
     /* 2235160 */ // Label 29757: @2235160
     /* 2235160 */ GIM_Reject,
     /* 2235161 */ // Label 29707: @2235161
     /* 2235161 */ GIM_Try, /*On fail goto*//*Label 29760*/ GIMT_Encode4(2235275),
     /* 2235166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2235169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2235172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235184 */   GIM_Try, /*On fail goto*//*Label 29761*/ GIMT_Encode4(2235229), // Rule ID 59472 //
     /* 2235189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235192 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2235195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2235209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235228 */     // GIR_Coverage, 59472,
     /* 2235228 */     GIR_EraseRootFromParent_Done,
     /* 2235229 */   // Label 29761: @2235229
     /* 2235229 */   GIM_Try, /*On fail goto*//*Label 29762*/ GIMT_Encode4(2235274), // Rule ID 59473 //
     /* 2235234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235237 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2235240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2235254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235273 */     // GIR_Coverage, 59473,
     /* 2235273 */     GIR_EraseRootFromParent_Done,
     /* 2235274 */   // Label 29762: @2235274
     /* 2235274 */   GIM_Reject,
     /* 2235275 */ // Label 29760: @2235275
     /* 2235275 */ GIM_Reject,
     /* 2235276 */ // Label 29708: @2235276
     /* 2235276 */ GIM_Try, /*On fail goto*//*Label 29763*/ GIMT_Encode4(2235390),
     /* 2235281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2235284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2235287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235299 */   GIM_Try, /*On fail goto*//*Label 29764*/ GIMT_Encode4(2235344), // Rule ID 59488 //
     /* 2235304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235307 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2235310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2235324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235343 */     // GIR_Coverage, 59488,
     /* 2235343 */     GIR_EraseRootFromParent_Done,
     /* 2235344 */   // Label 29764: @2235344
     /* 2235344 */   GIM_Try, /*On fail goto*//*Label 29765*/ GIMT_Encode4(2235389), // Rule ID 59489 //
     /* 2235349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235352 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2235355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2235369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235388 */     // GIR_Coverage, 59489,
     /* 2235388 */     GIR_EraseRootFromParent_Done,
     /* 2235389 */   // Label 29765: @2235389
     /* 2235389 */   GIM_Reject,
     /* 2235390 */ // Label 29763: @2235390
     /* 2235390 */ GIM_Reject,
     /* 2235391 */ // Label 29709: @2235391
     /* 2235391 */ GIM_Try, /*On fail goto*//*Label 29766*/ GIMT_Encode4(2235505),
     /* 2235396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2235399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2235402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235414 */   GIM_Try, /*On fail goto*//*Label 29767*/ GIMT_Encode4(2235459), // Rule ID 59432 //
     /* 2235419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235422 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2235425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2235439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235458 */     // GIR_Coverage, 59432,
     /* 2235458 */     GIR_EraseRootFromParent_Done,
     /* 2235459 */   // Label 29767: @2235459
     /* 2235459 */   GIM_Try, /*On fail goto*//*Label 29768*/ GIMT_Encode4(2235504), // Rule ID 59433 //
     /* 2235464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235467 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2235470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2235484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235503 */     // GIR_Coverage, 59433,
     /* 2235503 */     GIR_EraseRootFromParent_Done,
     /* 2235504 */   // Label 29768: @2235504
     /* 2235504 */   GIM_Reject,
     /* 2235505 */ // Label 29766: @2235505
     /* 2235505 */ GIM_Reject,
     /* 2235506 */ // Label 29710: @2235506
     /* 2235506 */ GIM_Try, /*On fail goto*//*Label 29769*/ GIMT_Encode4(2235620),
     /* 2235511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2235514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2235517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235529 */   GIM_Try, /*On fail goto*//*Label 29770*/ GIMT_Encode4(2235574), // Rule ID 59460 //
     /* 2235534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235537 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2235540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2235554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235573 */     // GIR_Coverage, 59460,
     /* 2235573 */     GIR_EraseRootFromParent_Done,
     /* 2235574 */   // Label 29770: @2235574
     /* 2235574 */   GIM_Try, /*On fail goto*//*Label 29771*/ GIMT_Encode4(2235619), // Rule ID 59461 //
     /* 2235579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235582 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2235585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2235599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235618 */     // GIR_Coverage, 59461,
     /* 2235618 */     GIR_EraseRootFromParent_Done,
     /* 2235619 */   // Label 29771: @2235619
     /* 2235619 */   GIM_Reject,
     /* 2235620 */ // Label 29769: @2235620
     /* 2235620 */ GIM_Reject,
     /* 2235621 */ // Label 29711: @2235621
     /* 2235621 */ GIM_Try, /*On fail goto*//*Label 29772*/ GIMT_Encode4(2235735),
     /* 2235626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2235629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2235632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235644 */   GIM_Try, /*On fail goto*//*Label 29773*/ GIMT_Encode4(2235689), // Rule ID 59476 //
     /* 2235649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235652 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2235655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2235669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235688 */     // GIR_Coverage, 59476,
     /* 2235688 */     GIR_EraseRootFromParent_Done,
     /* 2235689 */   // Label 29773: @2235689
     /* 2235689 */   GIM_Try, /*On fail goto*//*Label 29774*/ GIMT_Encode4(2235734), // Rule ID 59477 //
     /* 2235694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235697 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2235700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2235714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235733 */     // GIR_Coverage, 59477,
     /* 2235733 */     GIR_EraseRootFromParent_Done,
     /* 2235734 */   // Label 29774: @2235734
     /* 2235734 */   GIM_Reject,
     /* 2235735 */ // Label 29772: @2235735
     /* 2235735 */ GIM_Reject,
     /* 2235736 */ // Label 29712: @2235736
     /* 2235736 */ GIM_Try, /*On fail goto*//*Label 29775*/ GIMT_Encode4(2235850),
     /* 2235741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2235744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2235747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235759 */   GIM_Try, /*On fail goto*//*Label 29776*/ GIMT_Encode4(2235804), // Rule ID 59492 //
     /* 2235764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235767 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2235770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2235784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235803 */     // GIR_Coverage, 59492,
     /* 2235803 */     GIR_EraseRootFromParent_Done,
     /* 2235804 */   // Label 29776: @2235804
     /* 2235804 */   GIM_Try, /*On fail goto*//*Label 29777*/ GIMT_Encode4(2235849), // Rule ID 59493 //
     /* 2235809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235812 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2235815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2235829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235848 */     // GIR_Coverage, 59493,
     /* 2235848 */     GIR_EraseRootFromParent_Done,
     /* 2235849 */   // Label 29777: @2235849
     /* 2235849 */   GIM_Reject,
     /* 2235850 */ // Label 29775: @2235850
     /* 2235850 */ GIM_Reject,
     /* 2235851 */ // Label 29713: @2235851
     /* 2235851 */ GIM_Try, /*On fail goto*//*Label 29778*/ GIMT_Encode4(2235965),
     /* 2235856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2235859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2235862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235874 */   GIM_Try, /*On fail goto*//*Label 29779*/ GIMT_Encode4(2235919), // Rule ID 59448 //
     /* 2235879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235882 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2235885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2235899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235918 */     // GIR_Coverage, 59448,
     /* 2235918 */     GIR_EraseRootFromParent_Done,
     /* 2235919 */   // Label 29779: @2235919
     /* 2235919 */   GIM_Try, /*On fail goto*//*Label 29780*/ GIMT_Encode4(2235964), // Rule ID 59449 //
     /* 2235924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235927 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2235930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2235944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235963 */     // GIR_Coverage, 59449,
     /* 2235963 */     GIR_EraseRootFromParent_Done,
     /* 2235964 */   // Label 29780: @2235964
     /* 2235964 */   GIM_Reject,
     /* 2235965 */ // Label 29778: @2235965
     /* 2235965 */ GIM_Reject,
     /* 2235966 */ // Label 29714: @2235966
     /* 2235966 */ GIM_Try, /*On fail goto*//*Label 29781*/ GIMT_Encode4(2236080),
     /* 2235971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2235974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2235977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235989 */   GIM_Try, /*On fail goto*//*Label 29782*/ GIMT_Encode4(2236034), // Rule ID 59464 //
     /* 2235994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235997 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2236000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2236014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236033 */     // GIR_Coverage, 59464,
     /* 2236033 */     GIR_EraseRootFromParent_Done,
     /* 2236034 */   // Label 29782: @2236034
     /* 2236034 */   GIM_Try, /*On fail goto*//*Label 29783*/ GIMT_Encode4(2236079), // Rule ID 59465 //
     /* 2236039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236042 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2236045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2236059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236078 */     // GIR_Coverage, 59465,
     /* 2236078 */     GIR_EraseRootFromParent_Done,
     /* 2236079 */   // Label 29783: @2236079
     /* 2236079 */   GIM_Reject,
     /* 2236080 */ // Label 29781: @2236080
     /* 2236080 */ GIM_Reject,
     /* 2236081 */ // Label 29715: @2236081
     /* 2236081 */ GIM_Try, /*On fail goto*//*Label 29784*/ GIMT_Encode4(2236195),
     /* 2236086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2236089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2236092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236104 */   GIM_Try, /*On fail goto*//*Label 29785*/ GIMT_Encode4(2236149), // Rule ID 59480 //
     /* 2236109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236112 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2236115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2236129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236148 */     // GIR_Coverage, 59480,
     /* 2236148 */     GIR_EraseRootFromParent_Done,
     /* 2236149 */   // Label 29785: @2236149
     /* 2236149 */   GIM_Try, /*On fail goto*//*Label 29786*/ GIMT_Encode4(2236194), // Rule ID 59481 //
     /* 2236154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236157 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2236160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2236174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236193 */     // GIR_Coverage, 59481,
     /* 2236193 */     GIR_EraseRootFromParent_Done,
     /* 2236194 */   // Label 29786: @2236194
     /* 2236194 */   GIM_Reject,
     /* 2236195 */ // Label 29784: @2236195
     /* 2236195 */ GIM_Reject,
     /* 2236196 */ // Label 29716: @2236196
     /* 2236196 */ GIM_Try, /*On fail goto*//*Label 29787*/ GIMT_Encode4(2236310),
     /* 2236201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2236204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2236207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236219 */   GIM_Try, /*On fail goto*//*Label 29788*/ GIMT_Encode4(2236264), // Rule ID 59452 //
     /* 2236224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236227 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2236230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2236244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236263 */     // GIR_Coverage, 59452,
     /* 2236263 */     GIR_EraseRootFromParent_Done,
     /* 2236264 */   // Label 29788: @2236264
     /* 2236264 */   GIM_Try, /*On fail goto*//*Label 29789*/ GIMT_Encode4(2236309), // Rule ID 59453 //
     /* 2236269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236272 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2236275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2236289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236308 */     // GIR_Coverage, 59453,
     /* 2236308 */     GIR_EraseRootFromParent_Done,
     /* 2236309 */   // Label 29789: @2236309
     /* 2236309 */   GIM_Reject,
     /* 2236310 */ // Label 29787: @2236310
     /* 2236310 */ GIM_Reject,
     /* 2236311 */ // Label 29717: @2236311
     /* 2236311 */ GIM_Try, /*On fail goto*//*Label 29790*/ GIMT_Encode4(2236425),
     /* 2236316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2236319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2236322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236334 */   GIM_Try, /*On fail goto*//*Label 29791*/ GIMT_Encode4(2236379), // Rule ID 59468 //
     /* 2236339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236342 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2236345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2236359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236378 */     // GIR_Coverage, 59468,
     /* 2236378 */     GIR_EraseRootFromParent_Done,
     /* 2236379 */   // Label 29791: @2236379
     /* 2236379 */   GIM_Try, /*On fail goto*//*Label 29792*/ GIMT_Encode4(2236424), // Rule ID 59469 //
     /* 2236384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236387 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2236390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2236404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236423 */     // GIR_Coverage, 59469,
     /* 2236423 */     GIR_EraseRootFromParent_Done,
     /* 2236424 */   // Label 29792: @2236424
     /* 2236424 */   GIM_Reject,
     /* 2236425 */ // Label 29790: @2236425
     /* 2236425 */ GIM_Reject,
     /* 2236426 */ // Label 29718: @2236426
     /* 2236426 */ GIM_Try, /*On fail goto*//*Label 29793*/ GIMT_Encode4(2236540),
     /* 2236431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2236434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2236437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236449 */   GIM_Try, /*On fail goto*//*Label 29794*/ GIMT_Encode4(2236494), // Rule ID 59456 //
     /* 2236454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236457 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2236460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2236474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236493 */     // GIR_Coverage, 59456,
     /* 2236493 */     GIR_EraseRootFromParent_Done,
     /* 2236494 */   // Label 29794: @2236494
     /* 2236494 */   GIM_Try, /*On fail goto*//*Label 29795*/ GIMT_Encode4(2236539), // Rule ID 59457 //
     /* 2236499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236502 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2236505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2236519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236538 */     // GIR_Coverage, 59457,
     /* 2236538 */     GIR_EraseRootFromParent_Done,
     /* 2236539 */   // Label 29795: @2236539
     /* 2236539 */   GIM_Reject,
     /* 2236540 */ // Label 29793: @2236540
     /* 2236540 */ GIM_Reject,
     /* 2236541 */ // Label 29719: @2236541
     /* 2236541 */ GIM_Reject,
     /* 2236542 */ // Label 47: @2236542
     /* 2236542 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29820*/ GIMT_Encode4(2239451),
     /* 2236553 */ /*GILLT_s32*//*Label 29796*/ GIMT_Encode4(2236677),
     /* 2236557 */ /*GILLT_s64*//*Label 29797*/ GIMT_Encode4(2236799), GIMT_Encode4(0),
     /* 2236565 */ /*GILLT_nxv1s8*//*Label 29798*/ GIMT_Encode4(2236921),
     /* 2236569 */ /*GILLT_nxv1s16*//*Label 29799*/ GIMT_Encode4(2237036),
     /* 2236573 */ /*GILLT_nxv1s32*//*Label 29800*/ GIMT_Encode4(2237151),
     /* 2236577 */ /*GILLT_nxv1s64*//*Label 29801*/ GIMT_Encode4(2237266), GIMT_Encode4(0),
     /* 2236585 */ /*GILLT_nxv2s8*//*Label 29802*/ GIMT_Encode4(2237381),
     /* 2236589 */ /*GILLT_nxv2s16*//*Label 29803*/ GIMT_Encode4(2237496),
     /* 2236593 */ /*GILLT_nxv2s32*//*Label 29804*/ GIMT_Encode4(2237611),
     /* 2236597 */ /*GILLT_nxv2s64*//*Label 29805*/ GIMT_Encode4(2237726), GIMT_Encode4(0),
     /* 2236605 */ /*GILLT_nxv4s8*//*Label 29806*/ GIMT_Encode4(2237841),
     /* 2236609 */ /*GILLT_nxv4s16*//*Label 29807*/ GIMT_Encode4(2237956),
     /* 2236613 */ /*GILLT_nxv4s32*//*Label 29808*/ GIMT_Encode4(2238071),
     /* 2236617 */ /*GILLT_nxv4s64*//*Label 29809*/ GIMT_Encode4(2238186), GIMT_Encode4(0),
     /* 2236625 */ /*GILLT_nxv8s8*//*Label 29810*/ GIMT_Encode4(2238301),
     /* 2236629 */ /*GILLT_nxv8s16*//*Label 29811*/ GIMT_Encode4(2238416),
     /* 2236633 */ /*GILLT_nxv8s32*//*Label 29812*/ GIMT_Encode4(2238531),
     /* 2236637 */ /*GILLT_nxv8s64*//*Label 29813*/ GIMT_Encode4(2238646), GIMT_Encode4(0),
     /* 2236645 */ /*GILLT_nxv16s8*//*Label 29814*/ GIMT_Encode4(2238761),
     /* 2236649 */ /*GILLT_nxv16s16*//*Label 29815*/ GIMT_Encode4(2238876),
     /* 2236653 */ /*GILLT_nxv16s32*//*Label 29816*/ GIMT_Encode4(2238991), GIMT_Encode4(0),
     /* 2236661 */ /*GILLT_nxv32s8*//*Label 29817*/ GIMT_Encode4(2239106),
     /* 2236665 */ /*GILLT_nxv32s16*//*Label 29818*/ GIMT_Encode4(2239221), GIMT_Encode4(0),
     /* 2236673 */ /*GILLT_nxv64s8*//*Label 29819*/ GIMT_Encode4(2239336),
     /* 2236677 */ // Label 29796: @2236677
     /* 2236677 */ GIM_Try, /*On fail goto*//*Label 29821*/ GIMT_Encode4(2236798),
     /* 2236682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2236685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2236688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236696 */   GIM_Try, /*On fail goto*//*Label 29822*/ GIMT_Encode4(2236732), // Rule ID 2467 //
     /* 2236701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2236704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2236708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2236712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2236716 */     // MIs[1] Operand 1
     /* 2236716 */     // No operand predicates
     /* 2236716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2236718 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2236718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2236721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236725 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2236730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236731 */     // GIR_Coverage, 2467,
     /* 2236731 */     GIR_EraseRootFromParent_Done,
     /* 2236732 */   // Label 29822: @2236732
     /* 2236732 */   GIM_Try, /*On fail goto*//*Label 29823*/ GIMT_Encode4(2236768), // Rule ID 62558 //
     /* 2236737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2236740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2236744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2236748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2236752 */     // MIs[1] Operand 1
     /* 2236752 */     // No operand predicates
     /* 2236752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2236754 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2236754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2236757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236761 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2236766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236767 */     // GIR_Coverage, 62558,
     /* 2236767 */     GIR_EraseRootFromParent_Done,
     /* 2236768 */   // Label 29823: @2236768
     /* 2236768 */   GIM_Try, /*On fail goto*//*Label 29824*/ GIMT_Encode4(2236797), // Rule ID 2461 //
     /* 2236773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2236776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2236783 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2236783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2236786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2236795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236796 */     // GIR_Coverage, 2461,
     /* 2236796 */     GIR_EraseRootFromParent_Done,
     /* 2236797 */   // Label 29824: @2236797
     /* 2236797 */   GIM_Reject,
     /* 2236798 */ // Label 29821: @2236798
     /* 2236798 */ GIM_Reject,
     /* 2236799 */ // Label 29797: @2236799
     /* 2236799 */ GIM_Try, /*On fail goto*//*Label 29825*/ GIMT_Encode4(2236920),
     /* 2236804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2236807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2236810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236818 */   GIM_Try, /*On fail goto*//*Label 29826*/ GIMT_Encode4(2236854), // Rule ID 2466 //
     /* 2236823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2236826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2236830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2236834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2236838 */     // MIs[1] Operand 1
     /* 2236838 */     // No operand predicates
     /* 2236838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2236840 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2236840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2236843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236847 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2236852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236853 */     // GIR_Coverage, 2466,
     /* 2236853 */     GIR_EraseRootFromParent_Done,
     /* 2236854 */   // Label 29826: @2236854
     /* 2236854 */   GIM_Try, /*On fail goto*//*Label 29827*/ GIMT_Encode4(2236890), // Rule ID 62557 //
     /* 2236859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2236862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2236866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2236870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2236874 */     // MIs[1] Operand 1
     /* 2236874 */     // No operand predicates
     /* 2236874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2236876 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2236876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2236879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236883 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2236888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236889 */     // GIR_Coverage, 62557,
     /* 2236889 */     GIR_EraseRootFromParent_Done,
     /* 2236890 */   // Label 29827: @2236890
     /* 2236890 */   GIM_Try, /*On fail goto*//*Label 29828*/ GIMT_Encode4(2236919), // Rule ID 2460 //
     /* 2236895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2236898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2236905 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2236905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2236908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2236917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236918 */     // GIR_Coverage, 2460,
     /* 2236918 */     GIR_EraseRootFromParent_Done,
     /* 2236919 */   // Label 29828: @2236919
     /* 2236919 */   GIM_Reject,
     /* 2236920 */ // Label 29825: @2236920
     /* 2236920 */ GIM_Reject,
     /* 2236921 */ // Label 29798: @2236921
     /* 2236921 */ GIM_Try, /*On fail goto*//*Label 29829*/ GIMT_Encode4(2237035),
     /* 2236926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2236929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2236932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236944 */   GIM_Try, /*On fail goto*//*Label 29830*/ GIMT_Encode4(2236989), // Rule ID 59276 //
     /* 2236949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236952 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2236955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2236969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236988 */     // GIR_Coverage, 59276,
     /* 2236988 */     GIR_EraseRootFromParent_Done,
     /* 2236989 */   // Label 29830: @2236989
     /* 2236989 */   GIM_Try, /*On fail goto*//*Label 29831*/ GIMT_Encode4(2237034), // Rule ID 59277 //
     /* 2236994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236997 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2237000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2237014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237033 */     // GIR_Coverage, 59277,
     /* 2237033 */     GIR_EraseRootFromParent_Done,
     /* 2237034 */   // Label 29831: @2237034
     /* 2237034 */   GIM_Reject,
     /* 2237035 */ // Label 29829: @2237035
     /* 2237035 */ GIM_Reject,
     /* 2237036 */ // Label 29799: @2237036
     /* 2237036 */ GIM_Try, /*On fail goto*//*Label 29832*/ GIMT_Encode4(2237150),
     /* 2237041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2237044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2237047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237059 */   GIM_Try, /*On fail goto*//*Label 29833*/ GIMT_Encode4(2237104), // Rule ID 59288 //
     /* 2237064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237067 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2237070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2237084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237103 */     // GIR_Coverage, 59288,
     /* 2237103 */     GIR_EraseRootFromParent_Done,
     /* 2237104 */   // Label 29833: @2237104
     /* 2237104 */   GIM_Try, /*On fail goto*//*Label 29834*/ GIMT_Encode4(2237149), // Rule ID 59289 //
     /* 2237109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237112 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2237115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2237129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237148 */     // GIR_Coverage, 59289,
     /* 2237148 */     GIR_EraseRootFromParent_Done,
     /* 2237149 */   // Label 29834: @2237149
     /* 2237149 */   GIM_Reject,
     /* 2237150 */ // Label 29832: @2237150
     /* 2237150 */ GIM_Reject,
     /* 2237151 */ // Label 29800: @2237151
     /* 2237151 */ GIM_Try, /*On fail goto*//*Label 29835*/ GIMT_Encode4(2237265),
     /* 2237156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2237159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2237162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237170 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237174 */   GIM_Try, /*On fail goto*//*Label 29836*/ GIMT_Encode4(2237219), // Rule ID 59296 //
     /* 2237179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237182 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2237185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2237199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237218 */     // GIR_Coverage, 59296,
     /* 2237218 */     GIR_EraseRootFromParent_Done,
     /* 2237219 */   // Label 29836: @2237219
     /* 2237219 */   GIM_Try, /*On fail goto*//*Label 29837*/ GIMT_Encode4(2237264), // Rule ID 59297 //
     /* 2237224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237227 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2237230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2237244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237263 */     // GIR_Coverage, 59297,
     /* 2237263 */     GIR_EraseRootFromParent_Done,
     /* 2237264 */   // Label 29837: @2237264
     /* 2237264 */   GIM_Reject,
     /* 2237265 */ // Label 29835: @2237265
     /* 2237265 */ GIM_Reject,
     /* 2237266 */ // Label 29801: @2237266
     /* 2237266 */ GIM_Try, /*On fail goto*//*Label 29838*/ GIMT_Encode4(2237380),
     /* 2237271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2237274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2237277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237289 */   GIM_Try, /*On fail goto*//*Label 29839*/ GIMT_Encode4(2237334), // Rule ID 59312 //
     /* 2237294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237297 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2237300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2237314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237333 */     // GIR_Coverage, 59312,
     /* 2237333 */     GIR_EraseRootFromParent_Done,
     /* 2237334 */   // Label 29839: @2237334
     /* 2237334 */   GIM_Try, /*On fail goto*//*Label 29840*/ GIMT_Encode4(2237379), // Rule ID 59313 //
     /* 2237339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237342 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2237345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2237359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237378 */     // GIR_Coverage, 59313,
     /* 2237378 */     GIR_EraseRootFromParent_Done,
     /* 2237379 */   // Label 29840: @2237379
     /* 2237379 */   GIM_Reject,
     /* 2237380 */ // Label 29838: @2237380
     /* 2237380 */ GIM_Reject,
     /* 2237381 */ // Label 29802: @2237381
     /* 2237381 */ GIM_Try, /*On fail goto*//*Label 29841*/ GIMT_Encode4(2237495),
     /* 2237386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2237389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237404 */   GIM_Try, /*On fail goto*//*Label 29842*/ GIMT_Encode4(2237449), // Rule ID 59280 //
     /* 2237409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237412 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2237415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2237429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237448 */     // GIR_Coverage, 59280,
     /* 2237448 */     GIR_EraseRootFromParent_Done,
     /* 2237449 */   // Label 29842: @2237449
     /* 2237449 */   GIM_Try, /*On fail goto*//*Label 29843*/ GIMT_Encode4(2237494), // Rule ID 59281 //
     /* 2237454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237457 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2237460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2237474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237493 */     // GIR_Coverage, 59281,
     /* 2237493 */     GIR_EraseRootFromParent_Done,
     /* 2237494 */   // Label 29843: @2237494
     /* 2237494 */   GIM_Reject,
     /* 2237495 */ // Label 29841: @2237495
     /* 2237495 */ GIM_Reject,
     /* 2237496 */ // Label 29803: @2237496
     /* 2237496 */ GIM_Try, /*On fail goto*//*Label 29844*/ GIMT_Encode4(2237610),
     /* 2237501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2237504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237519 */   GIM_Try, /*On fail goto*//*Label 29845*/ GIMT_Encode4(2237564), // Rule ID 59292 //
     /* 2237524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237527 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2237530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2237544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237563 */     // GIR_Coverage, 59292,
     /* 2237563 */     GIR_EraseRootFromParent_Done,
     /* 2237564 */   // Label 29845: @2237564
     /* 2237564 */   GIM_Try, /*On fail goto*//*Label 29846*/ GIMT_Encode4(2237609), // Rule ID 59293 //
     /* 2237569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237572 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2237575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2237589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237608 */     // GIR_Coverage, 59293,
     /* 2237608 */     GIR_EraseRootFromParent_Done,
     /* 2237609 */   // Label 29846: @2237609
     /* 2237609 */   GIM_Reject,
     /* 2237610 */ // Label 29844: @2237610
     /* 2237610 */ GIM_Reject,
     /* 2237611 */ // Label 29804: @2237611
     /* 2237611 */ GIM_Try, /*On fail goto*//*Label 29847*/ GIMT_Encode4(2237725),
     /* 2237616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2237619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237634 */   GIM_Try, /*On fail goto*//*Label 29848*/ GIMT_Encode4(2237679), // Rule ID 59308 //
     /* 2237639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237642 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2237645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2237659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237678 */     // GIR_Coverage, 59308,
     /* 2237678 */     GIR_EraseRootFromParent_Done,
     /* 2237679 */   // Label 29848: @2237679
     /* 2237679 */   GIM_Try, /*On fail goto*//*Label 29849*/ GIMT_Encode4(2237724), // Rule ID 59309 //
     /* 2237684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237687 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2237690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2237704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237723 */     // GIR_Coverage, 59309,
     /* 2237723 */     GIR_EraseRootFromParent_Done,
     /* 2237724 */   // Label 29849: @2237724
     /* 2237724 */   GIM_Reject,
     /* 2237725 */ // Label 29847: @2237725
     /* 2237725 */ GIM_Reject,
     /* 2237726 */ // Label 29805: @2237726
     /* 2237726 */ GIM_Try, /*On fail goto*//*Label 29850*/ GIMT_Encode4(2237840),
     /* 2237731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2237734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237749 */   GIM_Try, /*On fail goto*//*Label 29851*/ GIMT_Encode4(2237794), // Rule ID 59352 //
     /* 2237754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237757 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2237760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2237774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237793 */     // GIR_Coverage, 59352,
     /* 2237793 */     GIR_EraseRootFromParent_Done,
     /* 2237794 */   // Label 29851: @2237794
     /* 2237794 */   GIM_Try, /*On fail goto*//*Label 29852*/ GIMT_Encode4(2237839), // Rule ID 59353 //
     /* 2237799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237802 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2237805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2237819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237838 */     // GIR_Coverage, 59353,
     /* 2237838 */     GIR_EraseRootFromParent_Done,
     /* 2237839 */   // Label 29852: @2237839
     /* 2237839 */   GIM_Reject,
     /* 2237840 */ // Label 29850: @2237840
     /* 2237840 */ GIM_Reject,
     /* 2237841 */ // Label 29806: @2237841
     /* 2237841 */ GIM_Try, /*On fail goto*//*Label 29853*/ GIMT_Encode4(2237955),
     /* 2237846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2237849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2237852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237864 */   GIM_Try, /*On fail goto*//*Label 29854*/ GIMT_Encode4(2237909), // Rule ID 59284 //
     /* 2237869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237872 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2237875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2237889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237908 */     // GIR_Coverage, 59284,
     /* 2237908 */     GIR_EraseRootFromParent_Done,
     /* 2237909 */   // Label 29854: @2237909
     /* 2237909 */   GIM_Try, /*On fail goto*//*Label 29855*/ GIMT_Encode4(2237954), // Rule ID 59285 //
     /* 2237914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237917 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2237920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2237934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237953 */     // GIR_Coverage, 59285,
     /* 2237953 */     GIR_EraseRootFromParent_Done,
     /* 2237954 */   // Label 29855: @2237954
     /* 2237954 */   GIM_Reject,
     /* 2237955 */ // Label 29853: @2237955
     /* 2237955 */ GIM_Reject,
     /* 2237956 */ // Label 29807: @2237956
     /* 2237956 */ GIM_Try, /*On fail goto*//*Label 29856*/ GIMT_Encode4(2238070),
     /* 2237961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2237964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2237967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237979 */   GIM_Try, /*On fail goto*//*Label 29857*/ GIMT_Encode4(2238024), // Rule ID 59304 //
     /* 2237984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237987 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2237990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2238004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238023 */     // GIR_Coverage, 59304,
     /* 2238023 */     GIR_EraseRootFromParent_Done,
     /* 2238024 */   // Label 29857: @2238024
     /* 2238024 */   GIM_Try, /*On fail goto*//*Label 29858*/ GIMT_Encode4(2238069), // Rule ID 59305 //
     /* 2238029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238032 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2238035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2238049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238068 */     // GIR_Coverage, 59305,
     /* 2238068 */     GIR_EraseRootFromParent_Done,
     /* 2238069 */   // Label 29858: @2238069
     /* 2238069 */   GIM_Reject,
     /* 2238070 */ // Label 29856: @2238070
     /* 2238070 */ GIM_Reject,
     /* 2238071 */ // Label 29808: @2238071
     /* 2238071 */ GIM_Try, /*On fail goto*//*Label 29859*/ GIMT_Encode4(2238185),
     /* 2238076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2238079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238090 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238094 */   GIM_Try, /*On fail goto*//*Label 29860*/ GIMT_Encode4(2238139), // Rule ID 59340 //
     /* 2238099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238102 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2238105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2238119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238138 */     // GIR_Coverage, 59340,
     /* 2238138 */     GIR_EraseRootFromParent_Done,
     /* 2238139 */   // Label 29860: @2238139
     /* 2238139 */   GIM_Try, /*On fail goto*//*Label 29861*/ GIMT_Encode4(2238184), // Rule ID 59341 //
     /* 2238144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238147 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2238150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2238164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238183 */     // GIR_Coverage, 59341,
     /* 2238183 */     GIR_EraseRootFromParent_Done,
     /* 2238184 */   // Label 29861: @2238184
     /* 2238184 */   GIM_Reject,
     /* 2238185 */ // Label 29859: @2238185
     /* 2238185 */ GIM_Reject,
     /* 2238186 */ // Label 29809: @2238186
     /* 2238186 */ GIM_Try, /*On fail goto*//*Label 29862*/ GIMT_Encode4(2238300),
     /* 2238191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2238194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2238197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238209 */   GIM_Try, /*On fail goto*//*Label 29863*/ GIMT_Encode4(2238254), // Rule ID 59356 //
     /* 2238214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238217 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2238220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2238234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238253 */     // GIR_Coverage, 59356,
     /* 2238253 */     GIR_EraseRootFromParent_Done,
     /* 2238254 */   // Label 29863: @2238254
     /* 2238254 */   GIM_Try, /*On fail goto*//*Label 29864*/ GIMT_Encode4(2238299), // Rule ID 59357 //
     /* 2238259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238262 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2238265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2238279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238298 */     // GIR_Coverage, 59357,
     /* 2238298 */     GIR_EraseRootFromParent_Done,
     /* 2238299 */   // Label 29864: @2238299
     /* 2238299 */   GIM_Reject,
     /* 2238300 */ // Label 29862: @2238300
     /* 2238300 */ GIM_Reject,
     /* 2238301 */ // Label 29810: @2238301
     /* 2238301 */ GIM_Try, /*On fail goto*//*Label 29865*/ GIMT_Encode4(2238415),
     /* 2238306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2238309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2238312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238324 */   GIM_Try, /*On fail goto*//*Label 29866*/ GIMT_Encode4(2238369), // Rule ID 59300 //
     /* 2238329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238332 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2238335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2238349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238368 */     // GIR_Coverage, 59300,
     /* 2238368 */     GIR_EraseRootFromParent_Done,
     /* 2238369 */   // Label 29866: @2238369
     /* 2238369 */   GIM_Try, /*On fail goto*//*Label 29867*/ GIMT_Encode4(2238414), // Rule ID 59301 //
     /* 2238374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238377 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2238380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2238394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238413 */     // GIR_Coverage, 59301,
     /* 2238413 */     GIR_EraseRootFromParent_Done,
     /* 2238414 */   // Label 29867: @2238414
     /* 2238414 */   GIM_Reject,
     /* 2238415 */ // Label 29865: @2238415
     /* 2238415 */ GIM_Reject,
     /* 2238416 */ // Label 29811: @2238416
     /* 2238416 */ GIM_Try, /*On fail goto*//*Label 29868*/ GIMT_Encode4(2238530),
     /* 2238421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2238424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2238427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238439 */   GIM_Try, /*On fail goto*//*Label 29869*/ GIMT_Encode4(2238484), // Rule ID 59328 //
     /* 2238444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238447 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2238450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2238464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238483 */     // GIR_Coverage, 59328,
     /* 2238483 */     GIR_EraseRootFromParent_Done,
     /* 2238484 */   // Label 29869: @2238484
     /* 2238484 */   GIM_Try, /*On fail goto*//*Label 29870*/ GIMT_Encode4(2238529), // Rule ID 59329 //
     /* 2238489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238492 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2238495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2238509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238528 */     // GIR_Coverage, 59329,
     /* 2238528 */     GIR_EraseRootFromParent_Done,
     /* 2238529 */   // Label 29870: @2238529
     /* 2238529 */   GIM_Reject,
     /* 2238530 */ // Label 29868: @2238530
     /* 2238530 */ GIM_Reject,
     /* 2238531 */ // Label 29812: @2238531
     /* 2238531 */ GIM_Try, /*On fail goto*//*Label 29871*/ GIMT_Encode4(2238645),
     /* 2238536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2238539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2238542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238554 */   GIM_Try, /*On fail goto*//*Label 29872*/ GIMT_Encode4(2238599), // Rule ID 59344 //
     /* 2238559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238562 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2238565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2238579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238598 */     // GIR_Coverage, 59344,
     /* 2238598 */     GIR_EraseRootFromParent_Done,
     /* 2238599 */   // Label 29872: @2238599
     /* 2238599 */   GIM_Try, /*On fail goto*//*Label 29873*/ GIMT_Encode4(2238644), // Rule ID 59345 //
     /* 2238604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238607 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2238610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2238624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238643 */     // GIR_Coverage, 59345,
     /* 2238643 */     GIR_EraseRootFromParent_Done,
     /* 2238644 */   // Label 29873: @2238644
     /* 2238644 */   GIM_Reject,
     /* 2238645 */ // Label 29871: @2238645
     /* 2238645 */ GIM_Reject,
     /* 2238646 */ // Label 29813: @2238646
     /* 2238646 */ GIM_Try, /*On fail goto*//*Label 29874*/ GIMT_Encode4(2238760),
     /* 2238651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2238654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2238657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238669 */   GIM_Try, /*On fail goto*//*Label 29875*/ GIMT_Encode4(2238714), // Rule ID 59360 //
     /* 2238674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238677 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2238680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2238694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238713 */     // GIR_Coverage, 59360,
     /* 2238713 */     GIR_EraseRootFromParent_Done,
     /* 2238714 */   // Label 29875: @2238714
     /* 2238714 */   GIM_Try, /*On fail goto*//*Label 29876*/ GIMT_Encode4(2238759), // Rule ID 59361 //
     /* 2238719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238722 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2238725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2238739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238758 */     // GIR_Coverage, 59361,
     /* 2238758 */     GIR_EraseRootFromParent_Done,
     /* 2238759 */   // Label 29876: @2238759
     /* 2238759 */   GIM_Reject,
     /* 2238760 */ // Label 29874: @2238760
     /* 2238760 */ GIM_Reject,
     /* 2238761 */ // Label 29814: @2238761
     /* 2238761 */ GIM_Try, /*On fail goto*//*Label 29877*/ GIMT_Encode4(2238875),
     /* 2238766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2238769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2238772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238784 */   GIM_Try, /*On fail goto*//*Label 29878*/ GIMT_Encode4(2238829), // Rule ID 59316 //
     /* 2238789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238792 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2238795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2238809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238828 */     // GIR_Coverage, 59316,
     /* 2238828 */     GIR_EraseRootFromParent_Done,
     /* 2238829 */   // Label 29878: @2238829
     /* 2238829 */   GIM_Try, /*On fail goto*//*Label 29879*/ GIMT_Encode4(2238874), // Rule ID 59317 //
     /* 2238834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238837 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2238840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2238854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238873 */     // GIR_Coverage, 59317,
     /* 2238873 */     GIR_EraseRootFromParent_Done,
     /* 2238874 */   // Label 29879: @2238874
     /* 2238874 */   GIM_Reject,
     /* 2238875 */ // Label 29877: @2238875
     /* 2238875 */ GIM_Reject,
     /* 2238876 */ // Label 29815: @2238876
     /* 2238876 */ GIM_Try, /*On fail goto*//*Label 29880*/ GIMT_Encode4(2238990),
     /* 2238881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2238884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2238887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238899 */   GIM_Try, /*On fail goto*//*Label 29881*/ GIMT_Encode4(2238944), // Rule ID 59332 //
     /* 2238904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238907 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2238910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2238924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238943 */     // GIR_Coverage, 59332,
     /* 2238943 */     GIR_EraseRootFromParent_Done,
     /* 2238944 */   // Label 29881: @2238944
     /* 2238944 */   GIM_Try, /*On fail goto*//*Label 29882*/ GIMT_Encode4(2238989), // Rule ID 59333 //
     /* 2238949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238952 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2238955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2238969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238988 */     // GIR_Coverage, 59333,
     /* 2238988 */     GIR_EraseRootFromParent_Done,
     /* 2238989 */   // Label 29882: @2238989
     /* 2238989 */   GIM_Reject,
     /* 2238990 */ // Label 29880: @2238990
     /* 2238990 */ GIM_Reject,
     /* 2238991 */ // Label 29816: @2238991
     /* 2238991 */ GIM_Try, /*On fail goto*//*Label 29883*/ GIMT_Encode4(2239105),
     /* 2238996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2238999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2239002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239014 */   GIM_Try, /*On fail goto*//*Label 29884*/ GIMT_Encode4(2239059), // Rule ID 59348 //
     /* 2239019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239022 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2239025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2239039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239058 */     // GIR_Coverage, 59348,
     /* 2239058 */     GIR_EraseRootFromParent_Done,
     /* 2239059 */   // Label 29884: @2239059
     /* 2239059 */   GIM_Try, /*On fail goto*//*Label 29885*/ GIMT_Encode4(2239104), // Rule ID 59349 //
     /* 2239064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239067 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2239070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2239084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239103 */     // GIR_Coverage, 59349,
     /* 2239103 */     GIR_EraseRootFromParent_Done,
     /* 2239104 */   // Label 29885: @2239104
     /* 2239104 */   GIM_Reject,
     /* 2239105 */ // Label 29883: @2239105
     /* 2239105 */ GIM_Reject,
     /* 2239106 */ // Label 29817: @2239106
     /* 2239106 */ GIM_Try, /*On fail goto*//*Label 29886*/ GIMT_Encode4(2239220),
     /* 2239111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2239114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2239117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239129 */   GIM_Try, /*On fail goto*//*Label 29887*/ GIMT_Encode4(2239174), // Rule ID 59320 //
     /* 2239134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239137 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2239140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2239154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239173 */     // GIR_Coverage, 59320,
     /* 2239173 */     GIR_EraseRootFromParent_Done,
     /* 2239174 */   // Label 29887: @2239174
     /* 2239174 */   GIM_Try, /*On fail goto*//*Label 29888*/ GIMT_Encode4(2239219), // Rule ID 59321 //
     /* 2239179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239182 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2239185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2239199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239218 */     // GIR_Coverage, 59321,
     /* 2239218 */     GIR_EraseRootFromParent_Done,
     /* 2239219 */   // Label 29888: @2239219
     /* 2239219 */   GIM_Reject,
     /* 2239220 */ // Label 29886: @2239220
     /* 2239220 */ GIM_Reject,
     /* 2239221 */ // Label 29818: @2239221
     /* 2239221 */ GIM_Try, /*On fail goto*//*Label 29889*/ GIMT_Encode4(2239335),
     /* 2239226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2239229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2239232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239244 */   GIM_Try, /*On fail goto*//*Label 29890*/ GIMT_Encode4(2239289), // Rule ID 59336 //
     /* 2239249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239252 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2239255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2239269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239288 */     // GIR_Coverage, 59336,
     /* 2239288 */     GIR_EraseRootFromParent_Done,
     /* 2239289 */   // Label 29890: @2239289
     /* 2239289 */   GIM_Try, /*On fail goto*//*Label 29891*/ GIMT_Encode4(2239334), // Rule ID 59337 //
     /* 2239294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239297 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2239300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2239314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239333 */     // GIR_Coverage, 59337,
     /* 2239333 */     GIR_EraseRootFromParent_Done,
     /* 2239334 */   // Label 29891: @2239334
     /* 2239334 */   GIM_Reject,
     /* 2239335 */ // Label 29889: @2239335
     /* 2239335 */ GIM_Reject,
     /* 2239336 */ // Label 29819: @2239336
     /* 2239336 */ GIM_Try, /*On fail goto*//*Label 29892*/ GIMT_Encode4(2239450),
     /* 2239341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2239344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2239347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239359 */   GIM_Try, /*On fail goto*//*Label 29893*/ GIMT_Encode4(2239404), // Rule ID 59324 //
     /* 2239364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239367 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2239370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2239384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239403 */     // GIR_Coverage, 59324,
     /* 2239403 */     GIR_EraseRootFromParent_Done,
     /* 2239404 */   // Label 29893: @2239404
     /* 2239404 */   GIM_Try, /*On fail goto*//*Label 29894*/ GIMT_Encode4(2239449), // Rule ID 59325 //
     /* 2239409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239412 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2239415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2239429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239448 */     // GIR_Coverage, 59325,
     /* 2239448 */     GIR_EraseRootFromParent_Done,
     /* 2239449 */   // Label 29894: @2239449
     /* 2239449 */   GIM_Reject,
     /* 2239450 */ // Label 29892: @2239450
     /* 2239450 */ GIM_Reject,
     /* 2239451 */ // Label 29820: @2239451
     /* 2239451 */ GIM_Reject,
     /* 2239452 */ // Label 48: @2239452
     /* 2239452 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(33), /*)*//*default:*//*Label 29904*/ GIMT_Encode4(2266528),
     /* 2239463 */ /*GILLT_s32*//*Label 29895*/ GIMT_Encode4(2239583),
     /* 2239467 */ /*GILLT_s64*//*Label 29896*/ GIMT_Encode4(2242584),
     /* 2239471 */ /*GILLT_nxv1s1*//*Label 29897*/ GIMT_Encode4(2245585), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2239491 */ /*GILLT_nxv2s1*//*Label 29898*/ GIMT_Encode4(2249426), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2239511 */ /*GILLT_nxv4s1*//*Label 29899*/ GIMT_Encode4(2253267), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2239531 */ /*GILLT_nxv8s1*//*Label 29900*/ GIMT_Encode4(2257108), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2239551 */ /*GILLT_nxv16s1*//*Label 29901*/ GIMT_Encode4(2260949), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2239567 */ /*GILLT_nxv32s1*//*Label 29902*/ GIMT_Encode4(2263830), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2239579 */ /*GILLT_nxv64s1*//*Label 29903*/ GIMT_Encode4(2265751),
     /* 2239583 */ // Label 29895: @2239583
     /* 2239583 */ GIM_Try, /*On fail goto*//*Label 29905*/ GIMT_Encode4(2239685), // Rule ID 167 //
     /* 2239588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2239591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2239594 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2239597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239601 */   // MIs[0] Operand 1
     /* 2239601 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239606 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2239610 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2239614 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2239618 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2239622 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239627 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 2239631 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2239635 */   GIM_CheckAPIntImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /* 2239639 */   // MIs[2] Operand 1
     /* 2239639 */   // No operand predicates
     /* 2239639 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9942),
     /* 2239643 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2239647 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2239649 */   // (setcc:{ *:[i32] } (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9942>><<X:XLenSubTrailingOnes>>:$mask), 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)), 1:{ *:[i32] })
     /* 2239649 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2239652 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2239656 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239661 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /* 2239665 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /* 2239670 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2239675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239677 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2239683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239684 */   // GIR_Coverage, 167,
     /* 2239684 */   GIR_EraseRootFromParent_Done,
     /* 2239685 */ // Label 29905: @2239685
     /* 2239685 */ GIM_Try, /*On fail goto*//*Label 29906*/ GIMT_Encode4(2239790), // Rule ID 169 //
     /* 2239690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2239693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2239696 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2239699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239703 */   // MIs[0] Operand 1
     /* 2239703 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239708 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2239712 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2239716 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2239720 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2239724 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239729 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 2239733 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2239737 */   GIM_CheckAPIntImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /* 2239741 */   // MIs[2] Operand 1
     /* 2239741 */   // No operand predicates
     /* 2239741 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9942),
     /* 2239745 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2239749 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2239751 */   // (setcc:{ *:[i32] } (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9942>><<X:XLenSubTrailingOnes>>:$mask), 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)))
     /* 2239751 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2239754 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2239758 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239763 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /* 2239767 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /* 2239772 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2239777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239779 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2239785 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239788 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239789 */   // GIR_Coverage, 169,
     /* 2239789 */   GIR_EraseRootFromParent_Done,
     /* 2239790 */ // Label 29906: @2239790
     /* 2239790 */ GIM_Try, /*On fail goto*//*Label 29907*/ GIMT_Encode4(2239833), // Rule ID 165 //
     /* 2239795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2239798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2239801 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2239804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239808 */   // MIs[0] Operand 1
     /* 2239808 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239817 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2239821 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] })
     /* 2239821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2239824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239826 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239832 */   // GIR_Coverage, 165,
     /* 2239832 */   GIR_EraseRootFromParent_Done,
     /* 2239833 */ // Label 29907: @2239833
     /* 2239833 */ GIM_Try, /*On fail goto*//*Label 29908*/ GIMT_Encode4(2239876), // Rule ID 65295 //
     /* 2239838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2239841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2239844 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2239847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239851 */   // MIs[0] Operand 1
     /* 2239851 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239860 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2239864 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2239864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2239867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239869 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2239874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239875 */   // GIR_Coverage, 65295,
     /* 2239875 */   GIR_EraseRootFromParent_Done,
     /* 2239876 */ // Label 29908: @2239876
     /* 2239876 */ GIM_Try, /*On fail goto*//*Label 29909*/ GIMT_Encode4(2239922), // Rule ID 65301 //
     /* 2239881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2239884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2239887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2239890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239894 */   // MIs[0] Operand 1
     /* 2239894 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239903 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2239907 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2239907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2239910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239912 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2239918 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239921 */   // GIR_Coverage, 65301,
     /* 2239921 */   GIR_EraseRootFromParent_Done,
     /* 2239922 */ // Label 29909: @2239922
     /* 2239922 */ GIM_Try, /*On fail goto*//*Label 29910*/ GIMT_Encode4(2239965), // Rule ID 65331 //
     /* 2239927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2239930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2239933 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2239936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239940 */   // MIs[0] Operand 1
     /* 2239940 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239949 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2239953 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2239953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2239956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239958 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2239963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239964 */   // GIR_Coverage, 65331,
     /* 2239964 */   GIR_EraseRootFromParent_Done,
     /* 2239965 */ // Label 29910: @2239965
     /* 2239965 */ GIM_Try, /*On fail goto*//*Label 29911*/ GIMT_Encode4(2240011), // Rule ID 65337 //
     /* 2239970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2239973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2239976 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2239979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239983 */   // MIs[0] Operand 1
     /* 2239983 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2239992 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2239996 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2239996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2239999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240001 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2240007 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240010 */   // GIR_Coverage, 65337,
     /* 2240010 */   GIR_EraseRootFromParent_Done,
     /* 2240011 */ // Label 29911: @2240011
     /* 2240011 */ GIM_Try, /*On fail goto*//*Label 29912*/ GIMT_Encode4(2240064), // Rule ID 155 //
     /* 2240016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2240022 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240029 */   // MIs[0] Operand 1
     /* 2240029 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2240034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240038 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240042 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240046 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2240050 */   // MIs[1] Operand 1
     /* 2240050 */   // No operand predicates
     /* 2240050 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240052 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2240052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2240055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240057 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240059 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2240062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240063 */   // GIR_Coverage, 155,
     /* 2240063 */   GIR_EraseRootFromParent_Done,
     /* 2240064 */ // Label 29912: @2240064
     /* 2240064 */ GIM_Try, /*On fail goto*//*Label 29913*/ GIMT_Encode4(2240117), // Rule ID 159 //
     /* 2240069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2240075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240082 */   // MIs[0] Operand 1
     /* 2240082 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240091 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240095 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240099 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2240103 */   // MIs[1] Operand 1
     /* 2240103 */   // No operand predicates
     /* 2240103 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240105 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2240105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2240108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240110 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240112 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2240115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240116 */   // GIR_Coverage, 159,
     /* 2240116 */   GIR_EraseRootFromParent_Done,
     /* 2240117 */ // Label 29913: @2240117
     /* 2240117 */ GIM_Try, /*On fail goto*//*Label 29914*/ GIMT_Encode4(2240170), // Rule ID 65287 //
     /* 2240122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2240128 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240135 */   // MIs[0] Operand 1
     /* 2240135 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240144 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240148 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240152 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2240156 */   // MIs[1] Operand 1
     /* 2240156 */   // No operand predicates
     /* 2240156 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240158 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2240158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2240161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240163 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240165 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2240168 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240169 */   // GIR_Coverage, 65287,
     /* 2240169 */   GIR_EraseRootFromParent_Done,
     /* 2240170 */ // Label 29914: @2240170
     /* 2240170 */ GIM_Try, /*On fail goto*//*Label 29915*/ GIMT_Encode4(2240223), // Rule ID 65291 //
     /* 2240175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2240181 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240188 */   // MIs[0] Operand 1
     /* 2240188 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2240193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240197 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240201 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240205 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2240209 */   // MIs[1] Operand 1
     /* 2240209 */   // No operand predicates
     /* 2240209 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240211 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2240211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2240214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240216 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240218 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2240221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240222 */   // GIR_Coverage, 65291,
     /* 2240222 */   GIR_EraseRootFromParent_Done,
     /* 2240223 */ // Label 29915: @2240223
     /* 2240223 */ GIM_Try, /*On fail goto*//*Label 29916*/ GIMT_Encode4(2240300), // Rule ID 65297 //
     /* 2240228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2240234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240241 */   // MIs[0] Operand 1
     /* 2240241 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240250 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240254 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240258 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2240262 */   // MIs[1] Operand 1
     /* 2240262 */   // No operand predicates
     /* 2240262 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240264 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2240264 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2240267 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2240271 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240276 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2240280 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2240285 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2240290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240292 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2240298 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240299 */   // GIR_Coverage, 65297,
     /* 2240299 */   GIR_EraseRootFromParent_Done,
     /* 2240300 */ // Label 29916: @2240300
     /* 2240300 */ GIM_Try, /*On fail goto*//*Label 29917*/ GIMT_Encode4(2240380), // Rule ID 65303 //
     /* 2240305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2240311 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240318 */   // MIs[0] Operand 1
     /* 2240318 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240327 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240331 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240335 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2240339 */   // MIs[1] Operand 1
     /* 2240339 */   // No operand predicates
     /* 2240339 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240341 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2240341 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2240344 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2240348 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240353 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2240357 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2240362 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2240367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240369 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2240375 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240379 */   // GIR_Coverage, 65303,
     /* 2240379 */   GIR_EraseRootFromParent_Done,
     /* 2240380 */ // Label 29917: @2240380
     /* 2240380 */ GIM_Try, /*On fail goto*//*Label 29918*/ GIMT_Encode4(2240457), // Rule ID 65307 //
     /* 2240385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2240391 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240398 */   // MIs[0] Operand 1
     /* 2240398 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240407 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240411 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240415 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2240419 */   // MIs[1] Operand 1
     /* 2240419 */   // No operand predicates
     /* 2240419 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240421 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2240421 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2240424 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2240428 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240433 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2240437 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2240442 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2240447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240449 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2240455 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240456 */   // GIR_Coverage, 65307,
     /* 2240456 */   GIR_EraseRootFromParent_Done,
     /* 2240457 */ // Label 29918: @2240457
     /* 2240457 */ GIM_Try, /*On fail goto*//*Label 29919*/ GIMT_Encode4(2240534), // Rule ID 65311 //
     /* 2240462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2240468 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240475 */   // MIs[0] Operand 1
     /* 2240475 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240484 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240488 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240492 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2240496 */   // MIs[1] Operand 1
     /* 2240496 */   // No operand predicates
     /* 2240496 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240498 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2240498 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2240501 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2240505 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240510 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2240514 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2240519 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2240524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240526 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2240532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240533 */   // GIR_Coverage, 65311,
     /* 2240533 */   GIR_EraseRootFromParent_Done,
     /* 2240534 */ // Label 29919: @2240534
     /* 2240534 */ GIM_Try, /*On fail goto*//*Label 29920*/ GIMT_Encode4(2240609), // Rule ID 65315 //
     /* 2240539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2240545 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240552 */   // MIs[0] Operand 1
     /* 2240552 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2240557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240561 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240565 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240569 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2240573 */   // MIs[1] Operand 1
     /* 2240573 */   // No operand predicates
     /* 2240573 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240575 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2240575 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2240578 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2240582 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240587 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2240591 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2240594 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2240599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240601 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2240607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240608 */   // GIR_Coverage, 65315,
     /* 2240608 */   GIR_EraseRootFromParent_Done,
     /* 2240609 */ // Label 29920: @2240609
     /* 2240609 */ GIM_Try, /*On fail goto*//*Label 29921*/ GIMT_Encode4(2240684), // Rule ID 65319 //
     /* 2240614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2240620 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240627 */   // MIs[0] Operand 1
     /* 2240627 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2240632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240636 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240640 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240644 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2240648 */   // MIs[1] Operand 1
     /* 2240648 */   // No operand predicates
     /* 2240648 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240650 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2240650 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2240653 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2240657 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240662 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2240666 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2240669 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2240674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240676 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2240682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240683 */   // GIR_Coverage, 65319,
     /* 2240683 */   GIR_EraseRootFromParent_Done,
     /* 2240684 */ // Label 29921: @2240684
     /* 2240684 */ GIM_Try, /*On fail goto*//*Label 29922*/ GIMT_Encode4(2240739), // Rule ID 65323 //
     /* 2240689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2240695 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240702 */   // MIs[0] Operand 1
     /* 2240702 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2240707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240711 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240715 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240719 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2240723 */   // MIs[1] Operand 1
     /* 2240723 */   // No operand predicates
     /* 2240723 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240725 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2240725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2240728 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240730 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240732 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2240737 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240738 */   // GIR_Coverage, 65323,
     /* 2240738 */   GIR_EraseRootFromParent_Done,
     /* 2240739 */ // Label 29922: @2240739
     /* 2240739 */ GIM_Try, /*On fail goto*//*Label 29923*/ GIMT_Encode4(2240794), // Rule ID 65327 //
     /* 2240744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2240750 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240757 */   // MIs[0] Operand 1
     /* 2240757 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240766 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240770 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240774 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2240778 */   // MIs[1] Operand 1
     /* 2240778 */   // No operand predicates
     /* 2240778 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240780 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2240780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2240783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240785 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240787 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2240792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240793 */   // GIR_Coverage, 65327,
     /* 2240793 */   GIR_EraseRootFromParent_Done,
     /* 2240794 */ // Label 29923: @2240794
     /* 2240794 */ GIM_Try, /*On fail goto*//*Label 29924*/ GIMT_Encode4(2240871), // Rule ID 65333 //
     /* 2240799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2240805 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240812 */   // MIs[0] Operand 1
     /* 2240812 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240821 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240825 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240829 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2240833 */   // MIs[1] Operand 1
     /* 2240833 */   // No operand predicates
     /* 2240833 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240835 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2240835 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2240838 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2240842 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240847 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2240851 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2240856 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2240861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240863 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2240869 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240870 */   // GIR_Coverage, 65333,
     /* 2240870 */   GIR_EraseRootFromParent_Done,
     /* 2240871 */ // Label 29924: @2240871
     /* 2240871 */ GIM_Try, /*On fail goto*//*Label 29925*/ GIMT_Encode4(2240951), // Rule ID 65339 //
     /* 2240876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2240882 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240889 */   // MIs[0] Operand 1
     /* 2240889 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240898 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240902 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240906 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2240910 */   // MIs[1] Operand 1
     /* 2240910 */   // No operand predicates
     /* 2240910 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240912 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2240912 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2240915 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2240919 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240924 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2240928 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2240933 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2240938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240940 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2240946 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240950 */   // GIR_Coverage, 65339,
     /* 2240950 */   GIR_EraseRootFromParent_Done,
     /* 2240951 */ // Label 29925: @2240951
     /* 2240951 */ GIM_Try, /*On fail goto*//*Label 29926*/ GIMT_Encode4(2241028), // Rule ID 65343 //
     /* 2240956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2240959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2240962 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240969 */   // MIs[0] Operand 1
     /* 2240969 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240978 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2240982 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240986 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2240990 */   // MIs[1] Operand 1
     /* 2240990 */   // No operand predicates
     /* 2240990 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240992 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2240992 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2240995 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2240999 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241004 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2241008 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2241013 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2241018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241020 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2241026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241027 */   // GIR_Coverage, 65343,
     /* 2241027 */   GIR_EraseRootFromParent_Done,
     /* 2241028 */ // Label 29926: @2241028
     /* 2241028 */ GIM_Try, /*On fail goto*//*Label 29927*/ GIMT_Encode4(2241105), // Rule ID 65347 //
     /* 2241033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2241039 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2241042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241046 */   // MIs[0] Operand 1
     /* 2241046 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2241051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241055 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2241059 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2241063 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2241067 */   // MIs[1] Operand 1
     /* 2241067 */   // No operand predicates
     /* 2241067 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2241069 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2241069 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2241072 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2241076 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241081 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2241085 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2241090 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2241095 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241097 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2241103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241104 */   // GIR_Coverage, 65347,
     /* 2241104 */   GIR_EraseRootFromParent_Done,
     /* 2241105 */ // Label 29927: @2241105
     /* 2241105 */ GIM_Try, /*On fail goto*//*Label 29928*/ GIMT_Encode4(2241180), // Rule ID 65351 //
     /* 2241110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2241116 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2241119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241123 */   // MIs[0] Operand 1
     /* 2241123 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2241128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241132 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2241136 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2241140 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2241144 */   // MIs[1] Operand 1
     /* 2241144 */   // No operand predicates
     /* 2241144 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2241146 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2241146 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2241149 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2241153 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241158 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2241162 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2241165 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241167 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2241170 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241172 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2241178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241179 */   // GIR_Coverage, 65351,
     /* 2241179 */   GIR_EraseRootFromParent_Done,
     /* 2241180 */ // Label 29928: @2241180
     /* 2241180 */ GIM_Try, /*On fail goto*//*Label 29929*/ GIMT_Encode4(2241255), // Rule ID 65355 //
     /* 2241185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2241191 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2241194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241198 */   // MIs[0] Operand 1
     /* 2241198 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241203 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241207 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2241211 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2241215 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2241219 */   // MIs[1] Operand 1
     /* 2241219 */   // No operand predicates
     /* 2241219 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2241221 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2241221 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2241224 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2241228 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241233 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2241237 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2241240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2241245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2241253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241254 */   // GIR_Coverage, 65355,
     /* 2241254 */   GIR_EraseRootFromParent_Done,
     /* 2241255 */ // Label 29929: @2241255
     /* 2241255 */ GIM_Try, /*On fail goto*//*Label 29930*/ GIMT_Encode4(2241310), // Rule ID 65359 //
     /* 2241260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2241266 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2241269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241273 */   // MIs[0] Operand 1
     /* 2241273 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241282 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2241286 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2241290 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2241294 */   // MIs[1] Operand 1
     /* 2241294 */   // No operand predicates
     /* 2241294 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2241296 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2241296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2241299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241301 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241303 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2241308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241309 */   // GIR_Coverage, 65359,
     /* 2241309 */   GIR_EraseRootFromParent_Done,
     /* 2241310 */ // Label 29930: @2241310
     /* 2241310 */ GIM_Try, /*On fail goto*//*Label 29931*/ GIMT_Encode4(2241365), // Rule ID 65363 //
     /* 2241315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2241321 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2241324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241328 */   // MIs[0] Operand 1
     /* 2241328 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241333 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241337 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2241341 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2241345 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2241349 */   // MIs[1] Operand 1
     /* 2241349 */   // No operand predicates
     /* 2241349 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2241351 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2241351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2241354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241356 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241358 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2241363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241364 */   // GIR_Coverage, 65363,
     /* 2241364 */   GIR_EraseRootFromParent_Done,
     /* 2241365 */ // Label 29931: @2241365
     /* 2241365 */ GIM_Try, /*On fail goto*//*Label 29932*/ GIMT_Encode4(2241407), // Rule ID 64462 //
     /* 2241370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2241373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2241376 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2241379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241383 */   // MIs[0] Operand 1
     /* 2241383 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241392 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241396 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2241396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2241399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241401 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241403 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241405 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241406 */   // GIR_Coverage, 64462,
     /* 2241406 */   GIR_EraseRootFromParent_Done,
     /* 2241407 */ // Label 29932: @2241407
     /* 2241407 */ GIM_Try, /*On fail goto*//*Label 29933*/ GIMT_Encode4(2241449), // Rule ID 64464 //
     /* 2241412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2241415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2241418 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2241421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241425 */   // MIs[0] Operand 1
     /* 2241425 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241434 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241438 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2241438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2241441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241443 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241445 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241448 */   // GIR_Coverage, 64464,
     /* 2241448 */   GIR_EraseRootFromParent_Done,
     /* 2241449 */ // Label 29933: @2241449
     /* 2241449 */ GIM_Try, /*On fail goto*//*Label 29934*/ GIMT_Encode4(2241491), // Rule ID 153 //
     /* 2241454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2241460 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2241463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241467 */   // MIs[0] Operand 1
     /* 2241467 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241476 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241480 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2241480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2241483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241485 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241487 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241490 */   // GIR_Coverage, 153,
     /* 2241490 */   GIR_EraseRootFromParent_Done,
     /* 2241491 */ // Label 29934: @2241491
     /* 2241491 */ GIM_Try, /*On fail goto*//*Label 29935*/ GIMT_Encode4(2241533), // Rule ID 157 //
     /* 2241496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2241502 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2241505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241509 */   // MIs[0] Operand 1
     /* 2241509 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241518 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241522 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2241522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2241525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241527 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241529 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241532 */   // GIR_Coverage, 157,
     /* 2241532 */   GIR_EraseRootFromParent_Done,
     /* 2241533 */ // Label 29935: @2241533
     /* 2241533 */ GIM_Try, /*On fail goto*//*Label 29936*/ GIMT_Encode4(2241575), // Rule ID 65289 //
     /* 2241538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2241544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2241547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241551 */   // MIs[0] Operand 1
     /* 2241551 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241560 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241564 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2241564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2241567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241569 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241571 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241573 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241574 */   // GIR_Coverage, 65289,
     /* 2241574 */   GIR_EraseRootFromParent_Done,
     /* 2241575 */ // Label 29936: @2241575
     /* 2241575 */ GIM_Try, /*On fail goto*//*Label 29937*/ GIMT_Encode4(2241617), // Rule ID 65293 //
     /* 2241580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2241586 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2241589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241593 */   // MIs[0] Operand 1
     /* 2241593 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241602 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241606 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2241606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2241609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241611 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241613 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241616 */   // GIR_Coverage, 65293,
     /* 2241616 */   GIR_EraseRootFromParent_Done,
     /* 2241617 */ // Label 29937: @2241617
     /* 2241617 */ GIM_Try, /*On fail goto*//*Label 29938*/ GIMT_Encode4(2241683), // Rule ID 65299 //
     /* 2241622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2241628 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2241631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241635 */   // MIs[0] Operand 1
     /* 2241635 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2241640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241644 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241648 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2241648 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2241651 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2241655 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241660 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2241664 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2241668 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2241673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241675 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2241681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241682 */   // GIR_Coverage, 65299,
     /* 2241682 */   GIR_EraseRootFromParent_Done,
     /* 2241683 */ // Label 29938: @2241683
     /* 2241683 */ GIM_Try, /*On fail goto*//*Label 29939*/ GIMT_Encode4(2241752), // Rule ID 65305 //
     /* 2241688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2241694 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2241697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241701 */   // MIs[0] Operand 1
     /* 2241701 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2241706 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241710 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241714 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2241714 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2241717 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2241721 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241726 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2241730 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2241734 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2241739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241741 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2241747 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241751 */   // GIR_Coverage, 65305,
     /* 2241751 */   GIR_EraseRootFromParent_Done,
     /* 2241752 */ // Label 29939: @2241752
     /* 2241752 */ GIM_Try, /*On fail goto*//*Label 29940*/ GIMT_Encode4(2241794), // Rule ID 65309 //
     /* 2241757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2241763 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2241766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241770 */   // MIs[0] Operand 1
     /* 2241770 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241779 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241783 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2241783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2241786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241788 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241790 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241793 */   // GIR_Coverage, 65309,
     /* 2241793 */   GIR_EraseRootFromParent_Done,
     /* 2241794 */ // Label 29940: @2241794
     /* 2241794 */ GIM_Try, /*On fail goto*//*Label 29941*/ GIMT_Encode4(2241836), // Rule ID 65313 //
     /* 2241799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2241805 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2241808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241812 */   // MIs[0] Operand 1
     /* 2241812 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2241817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241821 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241825 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2241825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2241828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241830 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241832 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241835 */   // GIR_Coverage, 65313,
     /* 2241835 */   GIR_EraseRootFromParent_Done,
     /* 2241836 */ // Label 29941: @2241836
     /* 2241836 */ GIM_Try, /*On fail goto*//*Label 29942*/ GIMT_Encode4(2241902), // Rule ID 65317 //
     /* 2241841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2241847 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2241850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241854 */   // MIs[0] Operand 1
     /* 2241854 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2241859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241863 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241867 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2241867 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2241870 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2241874 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241879 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2241883 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2241887 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2241892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241894 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2241900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241901 */   // GIR_Coverage, 65317,
     /* 2241901 */   GIR_EraseRootFromParent_Done,
     /* 2241902 */ // Label 29942: @2241902
     /* 2241902 */ GIM_Try, /*On fail goto*//*Label 29943*/ GIMT_Encode4(2241968), // Rule ID 65321 //
     /* 2241907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2241913 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2241916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241920 */   // MIs[0] Operand 1
     /* 2241920 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241929 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241933 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2241933 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2241936 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2241940 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241945 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2241949 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2241953 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2241958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241960 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2241966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241967 */   // GIR_Coverage, 65321,
     /* 2241967 */   GIR_EraseRootFromParent_Done,
     /* 2241968 */ // Label 29943: @2241968
     /* 2241968 */ GIM_Try, /*On fail goto*//*Label 29944*/ GIMT_Encode4(2242034), // Rule ID 65325 //
     /* 2241973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2241976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2241979 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2241982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241986 */   // MIs[0] Operand 1
     /* 2241986 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241995 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2241999 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2241999 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2242002 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2242006 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242011 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2242015 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2242019 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2242024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242026 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2242032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242033 */   // GIR_Coverage, 65325,
     /* 2242033 */   GIR_EraseRootFromParent_Done,
     /* 2242034 */ // Label 29944: @2242034
     /* 2242034 */ GIM_Try, /*On fail goto*//*Label 29945*/ GIMT_Encode4(2242100), // Rule ID 65329 //
     /* 2242039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2242042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2242045 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2242048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242052 */   // MIs[0] Operand 1
     /* 2242052 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2242057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242061 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242065 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2242065 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2242068 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2242072 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242077 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2242081 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2242085 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2242090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242092 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2242098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242099 */   // GIR_Coverage, 65329,
     /* 2242099 */   GIR_EraseRootFromParent_Done,
     /* 2242100 */ // Label 29945: @2242100
     /* 2242100 */ GIM_Try, /*On fail goto*//*Label 29946*/ GIMT_Encode4(2242166), // Rule ID 65335 //
     /* 2242105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2242108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2242111 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2242114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242118 */   // MIs[0] Operand 1
     /* 2242118 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242123 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242127 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242131 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2242131 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2242134 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2242138 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242143 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2242147 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2242151 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2242156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242158 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2242164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242165 */   // GIR_Coverage, 65335,
     /* 2242165 */   GIR_EraseRootFromParent_Done,
     /* 2242166 */ // Label 29946: @2242166
     /* 2242166 */ GIM_Try, /*On fail goto*//*Label 29947*/ GIMT_Encode4(2242235), // Rule ID 65341 //
     /* 2242171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2242174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2242177 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2242180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242184 */   // MIs[0] Operand 1
     /* 2242184 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242193 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242197 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2242197 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2242200 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2242204 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242209 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2242213 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2242217 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2242222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242224 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2242230 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242233 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242234 */   // GIR_Coverage, 65341,
     /* 2242234 */   GIR_EraseRootFromParent_Done,
     /* 2242235 */ // Label 29947: @2242235
     /* 2242235 */ GIM_Try, /*On fail goto*//*Label 29948*/ GIMT_Encode4(2242277), // Rule ID 65345 //
     /* 2242240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2242243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2242246 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2242249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242253 */   // MIs[0] Operand 1
     /* 2242253 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2242258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242262 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242266 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2242266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2242269 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242271 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242273 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242275 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242276 */   // GIR_Coverage, 65345,
     /* 2242276 */   GIR_EraseRootFromParent_Done,
     /* 2242277 */ // Label 29948: @2242277
     /* 2242277 */ GIM_Try, /*On fail goto*//*Label 29949*/ GIMT_Encode4(2242319), // Rule ID 65349 //
     /* 2242282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2242285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2242288 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2242291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242295 */   // MIs[0] Operand 1
     /* 2242295 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2242300 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242304 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242308 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2242308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2242311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242313 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242315 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242318 */   // GIR_Coverage, 65349,
     /* 2242318 */   GIR_EraseRootFromParent_Done,
     /* 2242319 */ // Label 29949: @2242319
     /* 2242319 */ GIM_Try, /*On fail goto*//*Label 29950*/ GIMT_Encode4(2242385), // Rule ID 65353 //
     /* 2242324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2242327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2242330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2242333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242337 */   // MIs[0] Operand 1
     /* 2242337 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242346 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242350 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2242350 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2242353 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2242357 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242362 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2242366 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2242370 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2242375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2242383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242384 */   // GIR_Coverage, 65353,
     /* 2242384 */   GIR_EraseRootFromParent_Done,
     /* 2242385 */ // Label 29950: @2242385
     /* 2242385 */ GIM_Try, /*On fail goto*//*Label 29951*/ GIMT_Encode4(2242451), // Rule ID 65357 //
     /* 2242390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2242393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2242396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2242399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242403 */   // MIs[0] Operand 1
     /* 2242403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242412 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242416 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2242416 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2242419 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2242423 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242428 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2242432 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2242436 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2242441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242443 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2242449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242450 */   // GIR_Coverage, 65357,
     /* 2242450 */   GIR_EraseRootFromParent_Done,
     /* 2242451 */ // Label 29951: @2242451
     /* 2242451 */ GIM_Try, /*On fail goto*//*Label 29952*/ GIMT_Encode4(2242517), // Rule ID 65361 //
     /* 2242456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2242459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2242462 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2242465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242469 */   // MIs[0] Operand 1
     /* 2242469 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242474 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242478 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242482 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2242482 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2242485 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2242489 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242494 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2242498 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2242502 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2242507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242509 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2242515 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242516 */   // GIR_Coverage, 65361,
     /* 2242516 */   GIR_EraseRootFromParent_Done,
     /* 2242517 */ // Label 29952: @2242517
     /* 2242517 */ GIM_Try, /*On fail goto*//*Label 29953*/ GIMT_Encode4(2242583), // Rule ID 65365 //
     /* 2242522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2242525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2242528 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2242531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242535 */   // MIs[0] Operand 1
     /* 2242535 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2242540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242544 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242548 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2242548 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2242551 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2242555 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242560 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2242564 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2242568 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2242573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242575 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2242581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242582 */   // GIR_Coverage, 65365,
     /* 2242582 */   GIR_EraseRootFromParent_Done,
     /* 2242583 */ // Label 29953: @2242583
     /* 2242583 */ GIM_Reject,
     /* 2242584 */ // Label 29896: @2242584
     /* 2242584 */ GIM_Try, /*On fail goto*//*Label 29954*/ GIMT_Encode4(2242686), // Rule ID 166 //
     /* 2242589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2242592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2242595 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2242598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242602 */   // MIs[0] Operand 1
     /* 2242602 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242607 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2242611 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2242615 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2242619 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2242623 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242628 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 2242632 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2242636 */   GIM_CheckAPIntImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /* 2242640 */   // MIs[2] Operand 1
     /* 2242640 */   // No operand predicates
     /* 2242640 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9942),
     /* 2242644 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2242648 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2242650 */   // (setcc:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9942>><<X:XLenSubTrailingOnes>>:$mask), 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)), 1:{ *:[i64] })
     /* 2242650 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2242653 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2242657 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242662 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /* 2242666 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /* 2242671 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2242676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242678 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2242684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242685 */   // GIR_Coverage, 166,
     /* 2242685 */   GIR_EraseRootFromParent_Done,
     /* 2242686 */ // Label 29954: @2242686
     /* 2242686 */ GIM_Try, /*On fail goto*//*Label 29955*/ GIMT_Encode4(2242791), // Rule ID 168 //
     /* 2242691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2242694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2242697 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2242700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242704 */   // MIs[0] Operand 1
     /* 2242704 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242709 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2242713 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2242717 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2242721 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2242725 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242730 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 2242734 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2242738 */   GIM_CheckAPIntImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /* 2242742 */   // MIs[2] Operand 1
     /* 2242742 */   // No operand predicates
     /* 2242742 */   GIM_CheckCxxInsnPredicate, /*MI*/2, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9942),
     /* 2242746 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2242750 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2242752 */   // (setcc:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9942>><<X:XLenSubTrailingOnes>>:$mask), 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)))
     /* 2242752 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2242755 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2242759 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242764 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /* 2242768 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /* 2242773 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2242778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242780 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2242786 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242790 */   // GIR_Coverage, 168,
     /* 2242790 */   GIR_EraseRootFromParent_Done,
     /* 2242791 */ // Label 29955: @2242791
     /* 2242791 */ GIM_Try, /*On fail goto*//*Label 29956*/ GIMT_Encode4(2242834), // Rule ID 164 //
     /* 2242796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2242799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2242802 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2242805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242809 */   // MIs[0] Operand 1
     /* 2242809 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242818 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2242822 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] })
     /* 2242822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2242825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242827 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242833 */   // GIR_Coverage, 164,
     /* 2242833 */   GIR_EraseRootFromParent_Done,
     /* 2242834 */ // Label 29956: @2242834
     /* 2242834 */ GIM_Try, /*On fail goto*//*Label 29957*/ GIMT_Encode4(2242877), // Rule ID 65294 //
     /* 2242839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2242842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2242845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2242848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242852 */   // MIs[0] Operand 1
     /* 2242852 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242861 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2242865 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2242865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2242868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242870 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2242875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242876 */   // GIR_Coverage, 65294,
     /* 2242876 */   GIR_EraseRootFromParent_Done,
     /* 2242877 */ // Label 29957: @2242877
     /* 2242877 */ GIM_Try, /*On fail goto*//*Label 29958*/ GIMT_Encode4(2242923), // Rule ID 65300 //
     /* 2242882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2242885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2242888 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2242891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242895 */   // MIs[0] Operand 1
     /* 2242895 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242904 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2242908 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2242908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2242911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242913 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2242919 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242922 */   // GIR_Coverage, 65300,
     /* 2242922 */   GIR_EraseRootFromParent_Done,
     /* 2242923 */ // Label 29958: @2242923
     /* 2242923 */ GIM_Try, /*On fail goto*//*Label 29959*/ GIMT_Encode4(2242966), // Rule ID 65330 //
     /* 2242928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2242931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2242934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2242937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242941 */   // MIs[0] Operand 1
     /* 2242941 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242950 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2242954 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2242954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2242957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242959 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2242964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242965 */   // GIR_Coverage, 65330,
     /* 2242965 */   GIR_EraseRootFromParent_Done,
     /* 2242966 */ // Label 29959: @2242966
     /* 2242966 */ GIM_Try, /*On fail goto*//*Label 29960*/ GIMT_Encode4(2243012), // Rule ID 65336 //
     /* 2242971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2242974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2242977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2242980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242984 */   // MIs[0] Operand 1
     /* 2242984 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2242993 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2242997 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2242997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2243000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243002 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243008 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243011 */   // GIR_Coverage, 65336,
     /* 2243011 */   GIR_EraseRootFromParent_Done,
     /* 2243012 */ // Label 29960: @2243012
     /* 2243012 */ GIM_Try, /*On fail goto*//*Label 29961*/ GIMT_Encode4(2243065), // Rule ID 154 //
     /* 2243017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2243023 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243030 */   // MIs[0] Operand 1
     /* 2243030 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243039 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243043 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243047 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2243051 */   // MIs[1] Operand 1
     /* 2243051 */   // No operand predicates
     /* 2243051 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243053 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2243053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2243056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243058 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243060 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2243063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243064 */   // GIR_Coverage, 154,
     /* 2243064 */   GIR_EraseRootFromParent_Done,
     /* 2243065 */ // Label 29961: @2243065
     /* 2243065 */ GIM_Try, /*On fail goto*//*Label 29962*/ GIMT_Encode4(2243118), // Rule ID 158 //
     /* 2243070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2243076 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243083 */   // MIs[0] Operand 1
     /* 2243083 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243092 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243096 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243100 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2243104 */   // MIs[1] Operand 1
     /* 2243104 */   // No operand predicates
     /* 2243104 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243106 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2243106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2243109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243111 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243113 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2243116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243117 */   // GIR_Coverage, 158,
     /* 2243117 */   GIR_EraseRootFromParent_Done,
     /* 2243118 */ // Label 29962: @2243118
     /* 2243118 */ GIM_Try, /*On fail goto*//*Label 29963*/ GIMT_Encode4(2243171), // Rule ID 65286 //
     /* 2243123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2243129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243136 */   // MIs[0] Operand 1
     /* 2243136 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243145 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243149 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243153 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2243157 */   // MIs[1] Operand 1
     /* 2243157 */   // No operand predicates
     /* 2243157 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243159 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2243159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2243162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243164 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243166 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2243169 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243170 */   // GIR_Coverage, 65286,
     /* 2243170 */   GIR_EraseRootFromParent_Done,
     /* 2243171 */ // Label 29963: @2243171
     /* 2243171 */ GIM_Try, /*On fail goto*//*Label 29964*/ GIMT_Encode4(2243224), // Rule ID 65290 //
     /* 2243176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2243182 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243189 */   // MIs[0] Operand 1
     /* 2243189 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243198 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243202 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243206 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2243210 */   // MIs[1] Operand 1
     /* 2243210 */   // No operand predicates
     /* 2243210 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243212 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2243212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2243215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243217 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243219 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2243222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243223 */   // GIR_Coverage, 65290,
     /* 2243223 */   GIR_EraseRootFromParent_Done,
     /* 2243224 */ // Label 29964: @2243224
     /* 2243224 */ GIM_Try, /*On fail goto*//*Label 29965*/ GIMT_Encode4(2243301), // Rule ID 65296 //
     /* 2243229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2243235 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243242 */   // MIs[0] Operand 1
     /* 2243242 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243251 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243255 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243259 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2243263 */   // MIs[1] Operand 1
     /* 2243263 */   // No operand predicates
     /* 2243263 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243265 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2243265 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2243268 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2243272 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243277 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2243281 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2243286 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2243291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243293 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2243299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243300 */   // GIR_Coverage, 65296,
     /* 2243300 */   GIR_EraseRootFromParent_Done,
     /* 2243301 */ // Label 29965: @2243301
     /* 2243301 */ GIM_Try, /*On fail goto*//*Label 29966*/ GIMT_Encode4(2243381), // Rule ID 65302 //
     /* 2243306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2243312 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243319 */   // MIs[0] Operand 1
     /* 2243319 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243324 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243328 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243332 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243336 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2243340 */   // MIs[1] Operand 1
     /* 2243340 */   // No operand predicates
     /* 2243340 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243342 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2243342 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2243345 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2243349 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243354 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2243358 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2243363 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2243368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243370 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243376 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243380 */   // GIR_Coverage, 65302,
     /* 2243380 */   GIR_EraseRootFromParent_Done,
     /* 2243381 */ // Label 29966: @2243381
     /* 2243381 */ GIM_Try, /*On fail goto*//*Label 29967*/ GIMT_Encode4(2243458), // Rule ID 65306 //
     /* 2243386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2243392 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243399 */   // MIs[0] Operand 1
     /* 2243399 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2243404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243408 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243412 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243416 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2243420 */   // MIs[1] Operand 1
     /* 2243420 */   // No operand predicates
     /* 2243420 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243422 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2243422 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2243425 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2243429 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243434 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2243438 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2243443 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2243448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243450 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2243456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243457 */   // GIR_Coverage, 65306,
     /* 2243457 */   GIR_EraseRootFromParent_Done,
     /* 2243458 */ // Label 29967: @2243458
     /* 2243458 */ GIM_Try, /*On fail goto*//*Label 29968*/ GIMT_Encode4(2243535), // Rule ID 65310 //
     /* 2243463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2243469 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243476 */   // MIs[0] Operand 1
     /* 2243476 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243485 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243489 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243493 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2243497 */   // MIs[1] Operand 1
     /* 2243497 */   // No operand predicates
     /* 2243497 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243499 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2243499 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2243502 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2243506 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243511 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2243515 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2243520 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2243525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243527 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2243533 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243534 */   // GIR_Coverage, 65310,
     /* 2243534 */   GIR_EraseRootFromParent_Done,
     /* 2243535 */ // Label 29968: @2243535
     /* 2243535 */ GIM_Try, /*On fail goto*//*Label 29969*/ GIMT_Encode4(2243610), // Rule ID 65314 //
     /* 2243540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2243546 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243553 */   // MIs[0] Operand 1
     /* 2243553 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2243558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243562 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243566 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243570 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2243574 */   // MIs[1] Operand 1
     /* 2243574 */   // No operand predicates
     /* 2243574 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243576 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2243576 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2243579 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2243583 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243588 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2243592 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2243595 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2243600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243602 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2243608 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243609 */   // GIR_Coverage, 65314,
     /* 2243609 */   GIR_EraseRootFromParent_Done,
     /* 2243610 */ // Label 29969: @2243610
     /* 2243610 */ GIM_Try, /*On fail goto*//*Label 29970*/ GIMT_Encode4(2243685), // Rule ID 65318 //
     /* 2243615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2243621 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243628 */   // MIs[0] Operand 1
     /* 2243628 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2243633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243637 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243641 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243645 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2243649 */   // MIs[1] Operand 1
     /* 2243649 */   // No operand predicates
     /* 2243649 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243651 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2243651 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2243654 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2243658 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243663 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2243667 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2243670 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2243675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243677 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2243683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243684 */   // GIR_Coverage, 65318,
     /* 2243684 */   GIR_EraseRootFromParent_Done,
     /* 2243685 */ // Label 29970: @2243685
     /* 2243685 */ GIM_Try, /*On fail goto*//*Label 29971*/ GIMT_Encode4(2243740), // Rule ID 65322 //
     /* 2243690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2243696 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243703 */   // MIs[0] Operand 1
     /* 2243703 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2243708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243712 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243716 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243720 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2243724 */   // MIs[1] Operand 1
     /* 2243724 */   // No operand predicates
     /* 2243724 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243726 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2243726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2243729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243731 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243733 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2243738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243739 */   // GIR_Coverage, 65322,
     /* 2243739 */   GIR_EraseRootFromParent_Done,
     /* 2243740 */ // Label 29971: @2243740
     /* 2243740 */ GIM_Try, /*On fail goto*//*Label 29972*/ GIMT_Encode4(2243795), // Rule ID 65326 //
     /* 2243745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2243751 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243758 */   // MIs[0] Operand 1
     /* 2243758 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2243763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243767 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243771 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243775 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2243779 */   // MIs[1] Operand 1
     /* 2243779 */   // No operand predicates
     /* 2243779 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243781 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2243781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2243784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243786 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243788 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2243793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243794 */   // GIR_Coverage, 65326,
     /* 2243794 */   GIR_EraseRootFromParent_Done,
     /* 2243795 */ // Label 29972: @2243795
     /* 2243795 */ GIM_Try, /*On fail goto*//*Label 29973*/ GIMT_Encode4(2243872), // Rule ID 65332 //
     /* 2243800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2243806 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243813 */   // MIs[0] Operand 1
     /* 2243813 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243822 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243826 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243830 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2243834 */   // MIs[1] Operand 1
     /* 2243834 */   // No operand predicates
     /* 2243834 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243836 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2243836 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2243839 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2243843 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243848 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2243852 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2243857 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2243862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243864 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2243870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243871 */   // GIR_Coverage, 65332,
     /* 2243871 */   GIR_EraseRootFromParent_Done,
     /* 2243872 */ // Label 29973: @2243872
     /* 2243872 */ GIM_Try, /*On fail goto*//*Label 29974*/ GIMT_Encode4(2243952), // Rule ID 65338 //
     /* 2243877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2243883 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243890 */   // MIs[0] Operand 1
     /* 2243890 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243899 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243903 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243907 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2243911 */   // MIs[1] Operand 1
     /* 2243911 */   // No operand predicates
     /* 2243911 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243913 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2243913 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2243916 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2243920 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243925 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2243929 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2243934 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2243939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243941 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243947 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243951 */   // GIR_Coverage, 65338,
     /* 2243951 */   GIR_EraseRootFromParent_Done,
     /* 2243952 */ // Label 29974: @2243952
     /* 2243952 */ GIM_Try, /*On fail goto*//*Label 29975*/ GIMT_Encode4(2244029), // Rule ID 65342 //
     /* 2243957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2243960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2243963 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243970 */   // MIs[0] Operand 1
     /* 2243970 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2243975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243979 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2243983 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2243987 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2243991 */   // MIs[1] Operand 1
     /* 2243991 */   // No operand predicates
     /* 2243991 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2243993 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2243993 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2243996 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2244000 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244005 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244009 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2244014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2244019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244028 */   // GIR_Coverage, 65342,
     /* 2244028 */   GIR_EraseRootFromParent_Done,
     /* 2244029 */ // Label 29975: @2244029
     /* 2244029 */ GIM_Try, /*On fail goto*//*Label 29976*/ GIMT_Encode4(2244106), // Rule ID 65346 //
     /* 2244034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2244040 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2244043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244047 */   // MIs[0] Operand 1
     /* 2244047 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244056 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244060 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244064 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2244068 */   // MIs[1] Operand 1
     /* 2244068 */   // No operand predicates
     /* 2244068 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244070 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2244070 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244073 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2244077 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244082 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244086 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2244091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2244096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244105 */   // GIR_Coverage, 65346,
     /* 2244105 */   GIR_EraseRootFromParent_Done,
     /* 2244106 */ // Label 29976: @2244106
     /* 2244106 */ GIM_Try, /*On fail goto*//*Label 29977*/ GIMT_Encode4(2244181), // Rule ID 65350 //
     /* 2244111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2244117 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2244120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244124 */   // MIs[0] Operand 1
     /* 2244124 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244133 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244137 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244141 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2244145 */   // MIs[1] Operand 1
     /* 2244145 */   // No operand predicates
     /* 2244145 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244147 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2244147 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244150 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2244154 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244159 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244163 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2244166 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2244171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244173 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244179 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244180 */   // GIR_Coverage, 65350,
     /* 2244180 */   GIR_EraseRootFromParent_Done,
     /* 2244181 */ // Label 29977: @2244181
     /* 2244181 */ GIM_Try, /*On fail goto*//*Label 29978*/ GIMT_Encode4(2244256), // Rule ID 65354 //
     /* 2244186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2244192 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2244195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244199 */   // MIs[0] Operand 1
     /* 2244199 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244208 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244212 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244216 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2244220 */   // MIs[1] Operand 1
     /* 2244220 */   // No operand predicates
     /* 2244220 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244222 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2244222 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244225 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2244229 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244234 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244238 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2244241 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2244246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244248 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244255 */   // GIR_Coverage, 65354,
     /* 2244255 */   GIR_EraseRootFromParent_Done,
     /* 2244256 */ // Label 29978: @2244256
     /* 2244256 */ GIM_Try, /*On fail goto*//*Label 29979*/ GIMT_Encode4(2244311), // Rule ID 65358 //
     /* 2244261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2244267 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2244270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244274 */   // MIs[0] Operand 1
     /* 2244274 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244283 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244287 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244291 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2244295 */   // MIs[1] Operand 1
     /* 2244295 */   // No operand predicates
     /* 2244295 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244297 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2244297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2244300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244302 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244304 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2244309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244310 */   // GIR_Coverage, 65358,
     /* 2244310 */   GIR_EraseRootFromParent_Done,
     /* 2244311 */ // Label 29979: @2244311
     /* 2244311 */ GIM_Try, /*On fail goto*//*Label 29980*/ GIMT_Encode4(2244366), // Rule ID 65362 //
     /* 2244316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2244322 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2244325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244329 */   // MIs[0] Operand 1
     /* 2244329 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244338 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244342 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244346 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2244350 */   // MIs[1] Operand 1
     /* 2244350 */   // No operand predicates
     /* 2244350 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244352 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2244352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2244355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244357 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244359 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2244364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244365 */   // GIR_Coverage, 65362,
     /* 2244365 */   GIR_EraseRootFromParent_Done,
     /* 2244366 */ // Label 29980: @2244366
     /* 2244366 */ GIM_Try, /*On fail goto*//*Label 29981*/ GIMT_Encode4(2244408), // Rule ID 64461 //
     /* 2244371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2244374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2244377 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2244380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244384 */   // MIs[0] Operand 1
     /* 2244384 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244393 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244397 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2244397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2244400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244402 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244404 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244407 */   // GIR_Coverage, 64461,
     /* 2244407 */   GIR_EraseRootFromParent_Done,
     /* 2244408 */ // Label 29981: @2244408
     /* 2244408 */ GIM_Try, /*On fail goto*//*Label 29982*/ GIMT_Encode4(2244450), // Rule ID 64463 //
     /* 2244413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2244416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2244419 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2244422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244426 */   // MIs[0] Operand 1
     /* 2244426 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244435 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244439 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2244439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2244442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244444 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244446 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244449 */   // GIR_Coverage, 64463,
     /* 2244449 */   GIR_EraseRootFromParent_Done,
     /* 2244450 */ // Label 29982: @2244450
     /* 2244450 */ GIM_Try, /*On fail goto*//*Label 29983*/ GIMT_Encode4(2244492), // Rule ID 152 //
     /* 2244455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2244461 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2244464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244468 */   // MIs[0] Operand 1
     /* 2244468 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2244473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244477 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244481 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2244481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2244484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244486 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244488 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244491 */   // GIR_Coverage, 152,
     /* 2244491 */   GIR_EraseRootFromParent_Done,
     /* 2244492 */ // Label 29983: @2244492
     /* 2244492 */ GIM_Try, /*On fail goto*//*Label 29984*/ GIMT_Encode4(2244534), // Rule ID 156 //
     /* 2244497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2244503 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2244506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244510 */   // MIs[0] Operand 1
     /* 2244510 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244519 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244523 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2244523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2244526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244528 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244530 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244533 */   // GIR_Coverage, 156,
     /* 2244533 */   GIR_EraseRootFromParent_Done,
     /* 2244534 */ // Label 29984: @2244534
     /* 2244534 */ GIM_Try, /*On fail goto*//*Label 29985*/ GIMT_Encode4(2244576), // Rule ID 65288 //
     /* 2244539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2244545 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2244548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244552 */   // MIs[0] Operand 1
     /* 2244552 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244561 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244565 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2244565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2244568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244570 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244572 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244574 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244575 */   // GIR_Coverage, 65288,
     /* 2244575 */   GIR_EraseRootFromParent_Done,
     /* 2244576 */ // Label 29985: @2244576
     /* 2244576 */ GIM_Try, /*On fail goto*//*Label 29986*/ GIMT_Encode4(2244618), // Rule ID 65292 //
     /* 2244581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2244587 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2244590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244594 */   // MIs[0] Operand 1
     /* 2244594 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2244599 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244603 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244607 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2244607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2244610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244612 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244614 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244617 */   // GIR_Coverage, 65292,
     /* 2244617 */   GIR_EraseRootFromParent_Done,
     /* 2244618 */ // Label 29986: @2244618
     /* 2244618 */ GIM_Try, /*On fail goto*//*Label 29987*/ GIMT_Encode4(2244684), // Rule ID 65298 //
     /* 2244623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2244629 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2244632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244636 */   // MIs[0] Operand 1
     /* 2244636 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244645 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244649 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2244649 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244652 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2244656 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244661 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244665 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2244669 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2244674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244676 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244683 */   // GIR_Coverage, 65298,
     /* 2244683 */   GIR_EraseRootFromParent_Done,
     /* 2244684 */ // Label 29987: @2244684
     /* 2244684 */ GIM_Try, /*On fail goto*//*Label 29988*/ GIMT_Encode4(2244753), // Rule ID 65304 //
     /* 2244689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2244695 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2244698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244702 */   // MIs[0] Operand 1
     /* 2244702 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2244707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244711 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244715 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2244715 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244718 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2244722 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244727 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244731 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2244735 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2244740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244742 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2244748 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244751 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244752 */   // GIR_Coverage, 65304,
     /* 2244752 */   GIR_EraseRootFromParent_Done,
     /* 2244753 */ // Label 29988: @2244753
     /* 2244753 */ GIM_Try, /*On fail goto*//*Label 29989*/ GIMT_Encode4(2244795), // Rule ID 65308 //
     /* 2244758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2244764 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2244767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244771 */   // MIs[0] Operand 1
     /* 2244771 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244780 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244784 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2244784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2244787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244789 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244791 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244794 */   // GIR_Coverage, 65308,
     /* 2244794 */   GIR_EraseRootFromParent_Done,
     /* 2244795 */ // Label 29989: @2244795
     /* 2244795 */ GIM_Try, /*On fail goto*//*Label 29990*/ GIMT_Encode4(2244837), // Rule ID 65312 //
     /* 2244800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2244806 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2244809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244813 */   // MIs[0] Operand 1
     /* 2244813 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244822 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244826 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2244826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2244829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244831 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244833 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244836 */   // GIR_Coverage, 65312,
     /* 2244836 */   GIR_EraseRootFromParent_Done,
     /* 2244837 */ // Label 29990: @2244837
     /* 2244837 */ GIM_Try, /*On fail goto*//*Label 29991*/ GIMT_Encode4(2244903), // Rule ID 65316 //
     /* 2244842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2244848 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2244851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244855 */   // MIs[0] Operand 1
     /* 2244855 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244864 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244868 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2244868 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244871 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2244875 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244880 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244884 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2244888 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2244893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244895 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244902 */   // GIR_Coverage, 65316,
     /* 2244902 */   GIR_EraseRootFromParent_Done,
     /* 2244903 */ // Label 29991: @2244903
     /* 2244903 */ GIM_Try, /*On fail goto*//*Label 29992*/ GIMT_Encode4(2244969), // Rule ID 65320 //
     /* 2244908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2244914 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2244917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244921 */   // MIs[0] Operand 1
     /* 2244921 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244930 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244934 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2244934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2244941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244946 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244950 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2244954 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2244959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244961 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244967 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244968 */   // GIR_Coverage, 65320,
     /* 2244968 */   GIR_EraseRootFromParent_Done,
     /* 2244969 */ // Label 29992: @2244969
     /* 2244969 */ GIM_Try, /*On fail goto*//*Label 29993*/ GIMT_Encode4(2245035), // Rule ID 65324 //
     /* 2244974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2244977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2244980 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2244983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244987 */   // MIs[0] Operand 1
     /* 2244987 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244996 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245000 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2245000 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245003 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2245007 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245012 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2245016 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245020 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2245025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245027 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245033 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245034 */   // GIR_Coverage, 65324,
     /* 2245034 */   GIR_EraseRootFromParent_Done,
     /* 2245035 */ // Label 29993: @2245035
     /* 2245035 */ GIM_Try, /*On fail goto*//*Label 29994*/ GIMT_Encode4(2245101), // Rule ID 65328 //
     /* 2245040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2245043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2245046 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2245049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245053 */   // MIs[0] Operand 1
     /* 2245053 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245062 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245066 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2245066 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245069 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2245073 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245078 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2245082 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245086 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2245091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245093 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245100 */   // GIR_Coverage, 65328,
     /* 2245100 */   GIR_EraseRootFromParent_Done,
     /* 2245101 */ // Label 29994: @2245101
     /* 2245101 */ GIM_Try, /*On fail goto*//*Label 29995*/ GIMT_Encode4(2245167), // Rule ID 65334 //
     /* 2245106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2245109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2245112 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2245115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245119 */   // MIs[0] Operand 1
     /* 2245119 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2245124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245128 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245132 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2245132 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245135 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2245139 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245144 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245148 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2245152 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2245157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245159 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245165 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245166 */   // GIR_Coverage, 65334,
     /* 2245166 */   GIR_EraseRootFromParent_Done,
     /* 2245167 */ // Label 29995: @2245167
     /* 2245167 */ GIM_Try, /*On fail goto*//*Label 29996*/ GIMT_Encode4(2245236), // Rule ID 65340 //
     /* 2245172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2245175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2245178 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2245181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245185 */   // MIs[0] Operand 1
     /* 2245185 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2245190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245194 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245198 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2245198 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245201 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2245205 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245210 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245214 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2245218 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2245223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245225 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2245231 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245235 */   // GIR_Coverage, 65340,
     /* 2245235 */   GIR_EraseRootFromParent_Done,
     /* 2245236 */ // Label 29996: @2245236
     /* 2245236 */ GIM_Try, /*On fail goto*//*Label 29997*/ GIMT_Encode4(2245278), // Rule ID 65344 //
     /* 2245241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2245244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2245247 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2245250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245254 */   // MIs[0] Operand 1
     /* 2245254 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2245259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245263 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245267 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2245267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2245270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245272 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245274 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245277 */   // GIR_Coverage, 65344,
     /* 2245277 */   GIR_EraseRootFromParent_Done,
     /* 2245278 */ // Label 29997: @2245278
     /* 2245278 */ GIM_Try, /*On fail goto*//*Label 29998*/ GIMT_Encode4(2245320), // Rule ID 65348 //
     /* 2245283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2245286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2245289 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2245292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245296 */   // MIs[0] Operand 1
     /* 2245296 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245305 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245309 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2245309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2245312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245314 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245316 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245319 */   // GIR_Coverage, 65348,
     /* 2245319 */   GIR_EraseRootFromParent_Done,
     /* 2245320 */ // Label 29998: @2245320
     /* 2245320 */ GIM_Try, /*On fail goto*//*Label 29999*/ GIMT_Encode4(2245386), // Rule ID 65352 //
     /* 2245325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2245328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2245331 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2245334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245338 */   // MIs[0] Operand 1
     /* 2245338 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245347 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245351 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2245351 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245354 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2245358 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245363 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245367 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2245371 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2245376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245378 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245385 */   // GIR_Coverage, 65352,
     /* 2245385 */   GIR_EraseRootFromParent_Done,
     /* 2245386 */ // Label 29999: @2245386
     /* 2245386 */ GIM_Try, /*On fail goto*//*Label 30000*/ GIMT_Encode4(2245452), // Rule ID 65356 //
     /* 2245391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2245394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2245397 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2245400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245404 */   // MIs[0] Operand 1
     /* 2245404 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245413 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245417 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2245417 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245420 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2245424 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245429 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245433 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2245437 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2245442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245444 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245451 */   // GIR_Coverage, 65356,
     /* 2245451 */   GIR_EraseRootFromParent_Done,
     /* 2245452 */ // Label 30000: @2245452
     /* 2245452 */ GIM_Try, /*On fail goto*//*Label 30001*/ GIMT_Encode4(2245518), // Rule ID 65360 //
     /* 2245457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2245460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2245463 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2245466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245470 */   // MIs[0] Operand 1
     /* 2245470 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245479 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245483 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2245483 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245486 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2245490 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245495 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2245499 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245503 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2245508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245510 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245517 */   // GIR_Coverage, 65360,
     /* 2245517 */   GIR_EraseRootFromParent_Done,
     /* 2245518 */ // Label 30001: @2245518
     /* 2245518 */ GIM_Try, /*On fail goto*//*Label 30002*/ GIMT_Encode4(2245584), // Rule ID 65364 //
     /* 2245523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2245526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2245529 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2245532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245536 */   // MIs[0] Operand 1
     /* 2245536 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245545 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245549 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2245549 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245552 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2245556 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245561 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2245565 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2245574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245576 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245583 */   // GIR_Coverage, 65364,
     /* 2245583 */   GIR_EraseRootFromParent_Done,
     /* 2245584 */ // Label 30002: @2245584
     /* 2245584 */ GIM_Reject,
     /* 2245585 */ // Label 29897: @2245585
     /* 2245585 */ GIM_Try, /*On fail goto*//*Label 30003*/ GIMT_Encode4(2245633), // Rule ID 45782 //
     /* 2245590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2245596 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2245599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245603 */   // MIs[0] Operand 1
     /* 2245603 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2245608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245612 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245616 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2245619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245621 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245623 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245632 */   // GIR_Coverage, 45782,
     /* 2245632 */   GIR_EraseRootFromParent_Done,
     /* 2245633 */ // Label 30003: @2245633
     /* 2245633 */ GIM_Try, /*On fail goto*//*Label 30004*/ GIMT_Encode4(2245681), // Rule ID 45783 //
     /* 2245638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2245644 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2245647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245651 */   // MIs[0] Operand 1
     /* 2245651 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2245656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245660 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245664 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2245667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245669 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245671 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245679 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245680 */   // GIR_Coverage, 45783,
     /* 2245680 */   GIR_EraseRootFromParent_Done,
     /* 2245681 */ // Label 30004: @2245681
     /* 2245681 */ GIM_Try, /*On fail goto*//*Label 30005*/ GIMT_Encode4(2245729), // Rule ID 45784 //
     /* 2245686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2245692 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2245695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245699 */   // MIs[0] Operand 1
     /* 2245699 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245708 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245712 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2245715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245717 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245719 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245727 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245728 */   // GIR_Coverage, 45784,
     /* 2245728 */   GIR_EraseRootFromParent_Done,
     /* 2245729 */ // Label 30005: @2245729
     /* 2245729 */ GIM_Try, /*On fail goto*//*Label 30006*/ GIMT_Encode4(2245777), // Rule ID 45785 //
     /* 2245734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2245740 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2245743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245747 */   // MIs[0] Operand 1
     /* 2245747 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245756 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245760 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2245763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245765 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245767 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245775 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245776 */   // GIR_Coverage, 45785,
     /* 2245776 */   GIR_EraseRootFromParent_Done,
     /* 2245777 */ // Label 30006: @2245777
     /* 2245777 */ GIM_Try, /*On fail goto*//*Label 30007*/ GIMT_Encode4(2245825), // Rule ID 48496 //
     /* 2245782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2245788 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2245791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245795 */   // MIs[0] Operand 1
     /* 2245795 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2245800 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245804 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245808 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2245811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245813 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245815 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245823 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245824 */   // GIR_Coverage, 48496,
     /* 2245824 */   GIR_EraseRootFromParent_Done,
     /* 2245825 */ // Label 30007: @2245825
     /* 2245825 */ GIM_Try, /*On fail goto*//*Label 30008*/ GIMT_Encode4(2245873), // Rule ID 48497 //
     /* 2245830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2245836 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2245839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245843 */   // MIs[0] Operand 1
     /* 2245843 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2245848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245852 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245856 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2245859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245861 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245863 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245871 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245872 */   // GIR_Coverage, 48497,
     /* 2245872 */   GIR_EraseRootFromParent_Done,
     /* 2245873 */ // Label 30008: @2245873
     /* 2245873 */ GIM_Try, /*On fail goto*//*Label 30009*/ GIMT_Encode4(2245921), // Rule ID 48500 //
     /* 2245878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2245884 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2245887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245891 */   // MIs[0] Operand 1
     /* 2245891 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2245896 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245900 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245904 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2245907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245909 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245911 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245919 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245920 */   // GIR_Coverage, 48500,
     /* 2245920 */   GIR_EraseRootFromParent_Done,
     /* 2245921 */ // Label 30009: @2245921
     /* 2245921 */ GIM_Try, /*On fail goto*//*Label 30010*/ GIMT_Encode4(2245969), // Rule ID 48501 //
     /* 2245926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2245932 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2245935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245939 */   // MIs[0] Operand 1
     /* 2245939 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2245944 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245948 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245952 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2245955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245957 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245959 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245967 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245968 */   // GIR_Coverage, 48501,
     /* 2245968 */   GIR_EraseRootFromParent_Done,
     /* 2245969 */ // Label 30010: @2245969
     /* 2245969 */ GIM_Try, /*On fail goto*//*Label 30011*/ GIMT_Encode4(2246017), // Rule ID 48508 //
     /* 2245974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2245980 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2245983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245987 */   // MIs[0] Operand 1
     /* 2245987 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2245992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245996 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246000 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2246000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2246003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246005 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246007 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246016 */   // GIR_Coverage, 48508,
     /* 2246016 */   GIR_EraseRootFromParent_Done,
     /* 2246017 */ // Label 30011: @2246017
     /* 2246017 */ GIM_Try, /*On fail goto*//*Label 30012*/ GIMT_Encode4(2246065), // Rule ID 48509 //
     /* 2246022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2246025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2246028 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2246031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246035 */   // MIs[0] Operand 1
     /* 2246035 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246044 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246048 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2246048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2246051 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246053 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246055 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246064 */   // GIR_Coverage, 48509,
     /* 2246064 */   GIR_EraseRootFromParent_Done,
     /* 2246065 */ // Label 30012: @2246065
     /* 2246065 */ GIM_Try, /*On fail goto*//*Label 30013*/ GIMT_Encode4(2246113), // Rule ID 48534 //
     /* 2246070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2246076 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2246079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246083 */   // MIs[0] Operand 1
     /* 2246083 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246092 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246096 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2246099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246101 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246103 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246111 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246112 */   // GIR_Coverage, 48534,
     /* 2246112 */   GIR_EraseRootFromParent_Done,
     /* 2246113 */ // Label 30013: @2246113
     /* 2246113 */ GIM_Try, /*On fail goto*//*Label 30014*/ GIMT_Encode4(2246161), // Rule ID 48535 //
     /* 2246118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2246124 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2246127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246131 */   // MIs[0] Operand 1
     /* 2246131 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246140 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246144 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2246147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246149 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246151 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246160 */   // GIR_Coverage, 48535,
     /* 2246160 */   GIR_EraseRootFromParent_Done,
     /* 2246161 */ // Label 30014: @2246161
     /* 2246161 */ GIM_Try, /*On fail goto*//*Label 30015*/ GIMT_Encode4(2246209), // Rule ID 48540 //
     /* 2246166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2246172 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2246175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246179 */   // MIs[0] Operand 1
     /* 2246179 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246188 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246192 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2246195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246197 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246199 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246208 */   // GIR_Coverage, 48540,
     /* 2246208 */   GIR_EraseRootFromParent_Done,
     /* 2246209 */ // Label 30015: @2246209
     /* 2246209 */ GIM_Try, /*On fail goto*//*Label 30016*/ GIMT_Encode4(2246257), // Rule ID 48541 //
     /* 2246214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2246220 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2246223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246227 */   // MIs[0] Operand 1
     /* 2246227 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246236 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246240 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2246243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246245 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246247 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246256 */   // GIR_Coverage, 48541,
     /* 2246256 */   GIR_EraseRootFromParent_Done,
     /* 2246257 */ // Label 30016: @2246257
     /* 2246257 */ GIM_Try, /*On fail goto*//*Label 30017*/ GIMT_Encode4(2246305), // Rule ID 48544 //
     /* 2246262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2246268 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2246271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246275 */   // MIs[0] Operand 1
     /* 2246275 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246284 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246288 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2246291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246293 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246295 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246304 */   // GIR_Coverage, 48544,
     /* 2246304 */   GIR_EraseRootFromParent_Done,
     /* 2246305 */ // Label 30017: @2246305
     /* 2246305 */ GIM_Try, /*On fail goto*//*Label 30018*/ GIMT_Encode4(2246353), // Rule ID 48545 //
     /* 2246310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2246316 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2246319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246323 */   // MIs[0] Operand 1
     /* 2246323 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246332 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246336 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2246339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246341 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246343 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246351 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246352 */   // GIR_Coverage, 48545,
     /* 2246352 */   GIR_EraseRootFromParent_Done,
     /* 2246353 */ // Label 30018: @2246353
     /* 2246353 */ GIM_Try, /*On fail goto*//*Label 30019*/ GIMT_Encode4(2246401), // Rule ID 48552 //
     /* 2246358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2246361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2246364 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2246367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246371 */   // MIs[0] Operand 1
     /* 2246371 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246380 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246384 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2246384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2246387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246389 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246391 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246400 */   // GIR_Coverage, 48552,
     /* 2246400 */   GIR_EraseRootFromParent_Done,
     /* 2246401 */ // Label 30019: @2246401
     /* 2246401 */ GIM_Try, /*On fail goto*//*Label 30020*/ GIMT_Encode4(2246449), // Rule ID 48553 //
     /* 2246406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2246409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2246412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2246415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246419 */   // MIs[0] Operand 1
     /* 2246419 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246428 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246432 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2246432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2246435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246437 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246439 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246448 */   // GIR_Coverage, 48553,
     /* 2246448 */   GIR_EraseRootFromParent_Done,
     /* 2246449 */ // Label 30020: @2246449
     /* 2246449 */ GIM_Try, /*On fail goto*//*Label 30021*/ GIMT_Encode4(2246497), // Rule ID 48578 //
     /* 2246454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2246460 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2246463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246467 */   // MIs[0] Operand 1
     /* 2246467 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246476 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246480 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2246483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246485 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246487 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246496 */   // GIR_Coverage, 48578,
     /* 2246496 */   GIR_EraseRootFromParent_Done,
     /* 2246497 */ // Label 30021: @2246497
     /* 2246497 */ GIM_Try, /*On fail goto*//*Label 30022*/ GIMT_Encode4(2246545), // Rule ID 48579 //
     /* 2246502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2246508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2246511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246515 */   // MIs[0] Operand 1
     /* 2246515 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246524 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246528 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2246531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246533 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246535 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246543 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246544 */   // GIR_Coverage, 48579,
     /* 2246544 */   GIR_EraseRootFromParent_Done,
     /* 2246545 */ // Label 30022: @2246545
     /* 2246545 */ GIM_Try, /*On fail goto*//*Label 30023*/ GIMT_Encode4(2246593), // Rule ID 48584 //
     /* 2246550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2246556 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2246559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246563 */   // MIs[0] Operand 1
     /* 2246563 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246572 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246576 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2246579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246581 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246583 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246592 */   // GIR_Coverage, 48584,
     /* 2246592 */   GIR_EraseRootFromParent_Done,
     /* 2246593 */ // Label 30023: @2246593
     /* 2246593 */ GIM_Try, /*On fail goto*//*Label 30024*/ GIMT_Encode4(2246641), // Rule ID 48585 //
     /* 2246598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2246604 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2246607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246611 */   // MIs[0] Operand 1
     /* 2246611 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246620 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246624 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2246627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246629 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246631 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246640 */   // GIR_Coverage, 48585,
     /* 2246640 */   GIR_EraseRootFromParent_Done,
     /* 2246641 */ // Label 30024: @2246641
     /* 2246641 */ GIM_Try, /*On fail goto*//*Label 30025*/ GIMT_Encode4(2246689), // Rule ID 48588 //
     /* 2246646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2246652 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2246655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246659 */   // MIs[0] Operand 1
     /* 2246659 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246668 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246672 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2246675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246677 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246679 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246688 */   // GIR_Coverage, 48588,
     /* 2246688 */   GIR_EraseRootFromParent_Done,
     /* 2246689 */ // Label 30025: @2246689
     /* 2246689 */ GIM_Try, /*On fail goto*//*Label 30026*/ GIMT_Encode4(2246737), // Rule ID 48589 //
     /* 2246694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2246700 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2246703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246707 */   // MIs[0] Operand 1
     /* 2246707 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246716 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246720 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2246723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246725 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246727 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246736 */   // GIR_Coverage, 48589,
     /* 2246736 */   GIR_EraseRootFromParent_Done,
     /* 2246737 */ // Label 30026: @2246737
     /* 2246737 */ GIM_Try, /*On fail goto*//*Label 30027*/ GIMT_Encode4(2246785), // Rule ID 48596 //
     /* 2246742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2246745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2246748 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2246751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246755 */   // MIs[0] Operand 1
     /* 2246755 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246764 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246768 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2246768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2246771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246773 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246775 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246784 */   // GIR_Coverage, 48596,
     /* 2246784 */   GIR_EraseRootFromParent_Done,
     /* 2246785 */ // Label 30027: @2246785
     /* 2246785 */ GIM_Try, /*On fail goto*//*Label 30028*/ GIMT_Encode4(2246833), // Rule ID 48597 //
     /* 2246790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2246793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2246796 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2246799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246803 */   // MIs[0] Operand 1
     /* 2246803 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246812 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246816 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2246816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2246819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246821 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246823 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246832 */   // GIR_Coverage, 48597,
     /* 2246832 */   GIR_EraseRootFromParent_Done,
     /* 2246833 */ // Label 30028: @2246833
     /* 2246833 */ GIM_Try, /*On fail goto*//*Label 30029*/ GIMT_Encode4(2246881), // Rule ID 48626 //
     /* 2246838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2246844 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2246847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246851 */   // MIs[0] Operand 1
     /* 2246851 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2246856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246860 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246864 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2246867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246869 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246871 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246880 */   // GIR_Coverage, 48626,
     /* 2246880 */   GIR_EraseRootFromParent_Done,
     /* 2246881 */ // Label 30029: @2246881
     /* 2246881 */ GIM_Try, /*On fail goto*//*Label 30030*/ GIMT_Encode4(2246929), // Rule ID 48627 //
     /* 2246886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2246892 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2246895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246899 */   // MIs[0] Operand 1
     /* 2246899 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2246904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246908 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246912 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2246915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246917 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246919 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246928 */   // GIR_Coverage, 48627,
     /* 2246928 */   GIR_EraseRootFromParent_Done,
     /* 2246929 */ // Label 30030: @2246929
     /* 2246929 */ GIM_Try, /*On fail goto*//*Label 30031*/ GIMT_Encode4(2246977), // Rule ID 48630 //
     /* 2246934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2246940 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2246943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246947 */   // MIs[0] Operand 1
     /* 2246947 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2246952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246956 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246960 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2246963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246965 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246967 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246976 */   // GIR_Coverage, 48630,
     /* 2246976 */   GIR_EraseRootFromParent_Done,
     /* 2246977 */ // Label 30031: @2246977
     /* 2246977 */ GIM_Try, /*On fail goto*//*Label 30032*/ GIMT_Encode4(2247025), // Rule ID 48631 //
     /* 2246982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2246988 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2246991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246995 */   // MIs[0] Operand 1
     /* 2246995 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247004 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247008 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2247011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247013 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247015 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247024 */   // GIR_Coverage, 48631,
     /* 2247024 */   GIR_EraseRootFromParent_Done,
     /* 2247025 */ // Label 30032: @2247025
     /* 2247025 */ GIM_Try, /*On fail goto*//*Label 30033*/ GIMT_Encode4(2247073), // Rule ID 48638 //
     /* 2247030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2247033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2247036 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2247039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247043 */   // MIs[0] Operand 1
     /* 2247043 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247052 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247056 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2247056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2247059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247061 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247063 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247071 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247072 */   // GIR_Coverage, 48638,
     /* 2247072 */   GIR_EraseRootFromParent_Done,
     /* 2247073 */ // Label 30033: @2247073
     /* 2247073 */ GIM_Try, /*On fail goto*//*Label 30034*/ GIMT_Encode4(2247121), // Rule ID 48639 //
     /* 2247078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2247081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2247084 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2247087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247091 */   // MIs[0] Operand 1
     /* 2247091 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247096 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247100 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247104 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2247104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2247107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247109 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247111 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247120 */   // GIR_Coverage, 48639,
     /* 2247120 */   GIR_EraseRootFromParent_Done,
     /* 2247121 */ // Label 30034: @2247121
     /* 2247121 */ GIM_Try, /*On fail goto*//*Label 30035*/ GIMT_Encode4(2247169), // Rule ID 48664 //
     /* 2247126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2247132 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2247135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247139 */   // MIs[0] Operand 1
     /* 2247139 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247148 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247152 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2247155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247157 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247159 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247167 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247168 */   // GIR_Coverage, 48664,
     /* 2247168 */   GIR_EraseRootFromParent_Done,
     /* 2247169 */ // Label 30035: @2247169
     /* 2247169 */ GIM_Try, /*On fail goto*//*Label 30036*/ GIMT_Encode4(2247217), // Rule ID 48665 //
     /* 2247174 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2247180 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2247183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247187 */   // MIs[0] Operand 1
     /* 2247187 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247196 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247200 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2247203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247205 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247207 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247216 */   // GIR_Coverage, 48665,
     /* 2247216 */   GIR_EraseRootFromParent_Done,
     /* 2247217 */ // Label 30036: @2247217
     /* 2247217 */ GIM_Try, /*On fail goto*//*Label 30037*/ GIMT_Encode4(2247265), // Rule ID 48670 //
     /* 2247222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2247228 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2247231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247235 */   // MIs[0] Operand 1
     /* 2247235 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247244 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247248 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2247251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247253 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247255 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247264 */   // GIR_Coverage, 48670,
     /* 2247264 */   GIR_EraseRootFromParent_Done,
     /* 2247265 */ // Label 30037: @2247265
     /* 2247265 */ GIM_Try, /*On fail goto*//*Label 30038*/ GIMT_Encode4(2247313), // Rule ID 48671 //
     /* 2247270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2247276 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2247279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247283 */   // MIs[0] Operand 1
     /* 2247283 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247288 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247292 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247296 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2247299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247301 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247303 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247311 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247312 */   // GIR_Coverage, 48671,
     /* 2247312 */   GIR_EraseRootFromParent_Done,
     /* 2247313 */ // Label 30038: @2247313
     /* 2247313 */ GIM_Try, /*On fail goto*//*Label 30039*/ GIMT_Encode4(2247361), // Rule ID 48674 //
     /* 2247318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2247324 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2247327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247331 */   // MIs[0] Operand 1
     /* 2247331 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247340 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247344 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2247347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247349 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247351 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247360 */   // GIR_Coverage, 48674,
     /* 2247360 */   GIR_EraseRootFromParent_Done,
     /* 2247361 */ // Label 30039: @2247361
     /* 2247361 */ GIM_Try, /*On fail goto*//*Label 30040*/ GIMT_Encode4(2247409), // Rule ID 48675 //
     /* 2247366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2247372 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2247375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247379 */   // MIs[0] Operand 1
     /* 2247379 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247388 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247392 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2247395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247397 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247399 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247407 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247408 */   // GIR_Coverage, 48675,
     /* 2247408 */   GIR_EraseRootFromParent_Done,
     /* 2247409 */ // Label 30040: @2247409
     /* 2247409 */ GIM_Try, /*On fail goto*//*Label 30041*/ GIMT_Encode4(2247457), // Rule ID 48682 //
     /* 2247414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2247417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2247420 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2247423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247427 */   // MIs[0] Operand 1
     /* 2247427 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247436 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247440 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2247440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2247443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247445 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247447 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247455 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247456 */   // GIR_Coverage, 48682,
     /* 2247456 */   GIR_EraseRootFromParent_Done,
     /* 2247457 */ // Label 30041: @2247457
     /* 2247457 */ GIM_Try, /*On fail goto*//*Label 30042*/ GIMT_Encode4(2247505), // Rule ID 48683 //
     /* 2247462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2247465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2247468 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2247471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247475 */   // MIs[0] Operand 1
     /* 2247475 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247484 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247488 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2247488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2247491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247493 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247495 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247504 */   // GIR_Coverage, 48683,
     /* 2247504 */   GIR_EraseRootFromParent_Done,
     /* 2247505 */ // Label 30042: @2247505
     /* 2247505 */ GIM_Try, /*On fail goto*//*Label 30043*/ GIMT_Encode4(2247553), // Rule ID 48708 //
     /* 2247510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2247516 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2247519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247523 */   // MIs[0] Operand 1
     /* 2247523 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247532 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247536 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2247539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247541 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247543 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247551 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247552 */   // GIR_Coverage, 48708,
     /* 2247552 */   GIR_EraseRootFromParent_Done,
     /* 2247553 */ // Label 30043: @2247553
     /* 2247553 */ GIM_Try, /*On fail goto*//*Label 30044*/ GIMT_Encode4(2247601), // Rule ID 48709 //
     /* 2247558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2247564 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2247567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247571 */   // MIs[0] Operand 1
     /* 2247571 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247580 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247584 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2247587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247589 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247591 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247600 */   // GIR_Coverage, 48709,
     /* 2247600 */   GIR_EraseRootFromParent_Done,
     /* 2247601 */ // Label 30044: @2247601
     /* 2247601 */ GIM_Try, /*On fail goto*//*Label 30045*/ GIMT_Encode4(2247649), // Rule ID 48714 //
     /* 2247606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2247612 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2247615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247619 */   // MIs[0] Operand 1
     /* 2247619 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247624 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247628 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247632 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2247635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247637 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247639 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247648 */   // GIR_Coverage, 48714,
     /* 2247648 */   GIR_EraseRootFromParent_Done,
     /* 2247649 */ // Label 30045: @2247649
     /* 2247649 */ GIM_Try, /*On fail goto*//*Label 30046*/ GIMT_Encode4(2247697), // Rule ID 48715 //
     /* 2247654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2247660 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2247663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247667 */   // MIs[0] Operand 1
     /* 2247667 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247676 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247680 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2247683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247685 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247687 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247696 */   // GIR_Coverage, 48715,
     /* 2247696 */   GIR_EraseRootFromParent_Done,
     /* 2247697 */ // Label 30046: @2247697
     /* 2247697 */ GIM_Try, /*On fail goto*//*Label 30047*/ GIMT_Encode4(2247745), // Rule ID 48718 //
     /* 2247702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247705 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2247708 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2247711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247715 */   // MIs[0] Operand 1
     /* 2247715 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247724 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247728 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2247731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247733 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247735 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247743 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247744 */   // GIR_Coverage, 48718,
     /* 2247744 */   GIR_EraseRootFromParent_Done,
     /* 2247745 */ // Label 30047: @2247745
     /* 2247745 */ GIM_Try, /*On fail goto*//*Label 30048*/ GIMT_Encode4(2247793), // Rule ID 48719 //
     /* 2247750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2247756 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2247759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247763 */   // MIs[0] Operand 1
     /* 2247763 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247772 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247776 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2247779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247781 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247783 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247791 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247792 */   // GIR_Coverage, 48719,
     /* 2247792 */   GIR_EraseRootFromParent_Done,
     /* 2247793 */ // Label 30048: @2247793
     /* 2247793 */ GIM_Try, /*On fail goto*//*Label 30049*/ GIMT_Encode4(2247841), // Rule ID 48726 //
     /* 2247798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2247801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2247804 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2247807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247811 */   // MIs[0] Operand 1
     /* 2247811 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247820 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247824 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2247824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2247827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247829 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247831 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247840 */   // GIR_Coverage, 48726,
     /* 2247840 */   GIR_EraseRootFromParent_Done,
     /* 2247841 */ // Label 30049: @2247841
     /* 2247841 */ GIM_Try, /*On fail goto*//*Label 30050*/ GIMT_Encode4(2247889), // Rule ID 48727 //
     /* 2247846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2247849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2247852 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2247855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247859 */   // MIs[0] Operand 1
     /* 2247859 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247868 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247872 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2247872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2247875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247877 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247879 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247887 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247888 */   // GIR_Coverage, 48727,
     /* 2247888 */   GIR_EraseRootFromParent_Done,
     /* 2247889 */ // Label 30050: @2247889
     /* 2247889 */ GIM_Try, /*On fail goto*//*Label 30051*/ GIMT_Encode4(2247937), // Rule ID 48752 //
     /* 2247894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2247900 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2247903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247907 */   // MIs[0] Operand 1
     /* 2247907 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247916 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247920 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2247923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247925 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247927 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247935 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247936 */   // GIR_Coverage, 48752,
     /* 2247936 */   GIR_EraseRootFromParent_Done,
     /* 2247937 */ // Label 30051: @2247937
     /* 2247937 */ GIM_Try, /*On fail goto*//*Label 30052*/ GIMT_Encode4(2247985), // Rule ID 48753 //
     /* 2247942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2247948 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2247951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247955 */   // MIs[0] Operand 1
     /* 2247955 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247964 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247968 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2247971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247973 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247975 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247984 */   // GIR_Coverage, 48753,
     /* 2247984 */   GIR_EraseRootFromParent_Done,
     /* 2247985 */ // Label 30052: @2247985
     /* 2247985 */ GIM_Try, /*On fail goto*//*Label 30053*/ GIMT_Encode4(2248033), // Rule ID 48758 //
     /* 2247990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2247996 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2247999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248003 */   // MIs[0] Operand 1
     /* 2248003 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248008 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248012 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248016 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2248019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248021 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248023 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248031 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248032 */   // GIR_Coverage, 48758,
     /* 2248032 */   GIR_EraseRootFromParent_Done,
     /* 2248033 */ // Label 30053: @2248033
     /* 2248033 */ GIM_Try, /*On fail goto*//*Label 30054*/ GIMT_Encode4(2248081), // Rule ID 48759 //
     /* 2248038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2248044 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2248047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248051 */   // MIs[0] Operand 1
     /* 2248051 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248056 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248060 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248064 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2248067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248069 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248071 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248079 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248080 */   // GIR_Coverage, 48759,
     /* 2248080 */   GIR_EraseRootFromParent_Done,
     /* 2248081 */ // Label 30054: @2248081
     /* 2248081 */ GIM_Try, /*On fail goto*//*Label 30055*/ GIMT_Encode4(2248129), // Rule ID 48762 //
     /* 2248086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2248092 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2248095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248099 */   // MIs[0] Operand 1
     /* 2248099 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248104 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248108 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248112 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2248115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248117 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248119 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248127 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248128 */   // GIR_Coverage, 48762,
     /* 2248128 */   GIR_EraseRootFromParent_Done,
     /* 2248129 */ // Label 30055: @2248129
     /* 2248129 */ GIM_Try, /*On fail goto*//*Label 30056*/ GIMT_Encode4(2248177), // Rule ID 48763 //
     /* 2248134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2248140 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2248143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248147 */   // MIs[0] Operand 1
     /* 2248147 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248156 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248160 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2248163 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248165 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248167 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248175 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248176 */   // GIR_Coverage, 48763,
     /* 2248176 */   GIR_EraseRootFromParent_Done,
     /* 2248177 */ // Label 30056: @2248177
     /* 2248177 */ GIM_Try, /*On fail goto*//*Label 30057*/ GIMT_Encode4(2248225), // Rule ID 48770 //
     /* 2248182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2248185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2248188 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2248191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248195 */   // MIs[0] Operand 1
     /* 2248195 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248200 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248204 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248208 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2248208 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2248211 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248213 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248215 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248223 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248224 */   // GIR_Coverage, 48770,
     /* 2248224 */   GIR_EraseRootFromParent_Done,
     /* 2248225 */ // Label 30057: @2248225
     /* 2248225 */ GIM_Try, /*On fail goto*//*Label 30058*/ GIMT_Encode4(2248273), // Rule ID 48771 //
     /* 2248230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2248233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2248236 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2248239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248243 */   // MIs[0] Operand 1
     /* 2248243 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248248 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248252 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248256 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2248256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2248259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248261 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248263 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248271 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248272 */   // GIR_Coverage, 48771,
     /* 2248272 */   GIR_EraseRootFromParent_Done,
     /* 2248273 */ // Label 30058: @2248273
     /* 2248273 */ GIM_Try, /*On fail goto*//*Label 30059*/ GIMT_Encode4(2248321), // Rule ID 48796 //
     /* 2248278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2248284 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2248287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248291 */   // MIs[0] Operand 1
     /* 2248291 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248300 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248304 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2248307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248309 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248311 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248319 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248320 */   // GIR_Coverage, 48796,
     /* 2248320 */   GIR_EraseRootFromParent_Done,
     /* 2248321 */ // Label 30059: @2248321
     /* 2248321 */ GIM_Try, /*On fail goto*//*Label 30060*/ GIMT_Encode4(2248369), // Rule ID 48797 //
     /* 2248326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2248332 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2248335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248339 */   // MIs[0] Operand 1
     /* 2248339 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248344 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248348 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248352 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2248355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248357 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248359 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248367 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248368 */   // GIR_Coverage, 48797,
     /* 2248368 */   GIR_EraseRootFromParent_Done,
     /* 2248369 */ // Label 30060: @2248369
     /* 2248369 */ GIM_Try, /*On fail goto*//*Label 30061*/ GIMT_Encode4(2248417), // Rule ID 48802 //
     /* 2248374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2248380 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2248383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248387 */   // MIs[0] Operand 1
     /* 2248387 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248396 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248400 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2248403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248405 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248407 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248416 */   // GIR_Coverage, 48802,
     /* 2248416 */   GIR_EraseRootFromParent_Done,
     /* 2248417 */ // Label 30061: @2248417
     /* 2248417 */ GIM_Try, /*On fail goto*//*Label 30062*/ GIMT_Encode4(2248465), // Rule ID 48803 //
     /* 2248422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2248428 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2248431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248435 */   // MIs[0] Operand 1
     /* 2248435 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248444 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248448 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2248451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248453 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248455 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248463 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248464 */   // GIR_Coverage, 48803,
     /* 2248464 */   GIR_EraseRootFromParent_Done,
     /* 2248465 */ // Label 30062: @2248465
     /* 2248465 */ GIM_Try, /*On fail goto*//*Label 30063*/ GIMT_Encode4(2248513), // Rule ID 48806 //
     /* 2248470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2248476 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2248479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248483 */   // MIs[0] Operand 1
     /* 2248483 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248492 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248496 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2248499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248501 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248503 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248512 */   // GIR_Coverage, 48806,
     /* 2248512 */   GIR_EraseRootFromParent_Done,
     /* 2248513 */ // Label 30063: @2248513
     /* 2248513 */ GIM_Try, /*On fail goto*//*Label 30064*/ GIMT_Encode4(2248561), // Rule ID 48807 //
     /* 2248518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2248524 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2248527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248531 */   // MIs[0] Operand 1
     /* 2248531 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248540 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248544 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2248547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248549 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248551 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248560 */   // GIR_Coverage, 48807,
     /* 2248560 */   GIR_EraseRootFromParent_Done,
     /* 2248561 */ // Label 30064: @2248561
     /* 2248561 */ GIM_Try, /*On fail goto*//*Label 30065*/ GIMT_Encode4(2248609), // Rule ID 48814 //
     /* 2248566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2248569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2248572 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2248575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248579 */   // MIs[0] Operand 1
     /* 2248579 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248588 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248592 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2248592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2248595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248597 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248599 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248608 */   // GIR_Coverage, 48814,
     /* 2248608 */   GIR_EraseRootFromParent_Done,
     /* 2248609 */ // Label 30065: @2248609
     /* 2248609 */ GIM_Try, /*On fail goto*//*Label 30066*/ GIMT_Encode4(2248657), // Rule ID 48815 //
     /* 2248614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2248617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2248620 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2248623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248627 */   // MIs[0] Operand 1
     /* 2248627 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248636 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248640 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2248640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2248643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248645 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248647 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248656 */   // GIR_Coverage, 48815,
     /* 2248656 */   GIR_EraseRootFromParent_Done,
     /* 2248657 */ // Label 30066: @2248657
     /* 2248657 */ GIM_Try, /*On fail goto*//*Label 30067*/ GIMT_Encode4(2248705), // Rule ID 48840 //
     /* 2248662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2248668 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2248671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248675 */   // MIs[0] Operand 1
     /* 2248675 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248684 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248688 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2248691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248693 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248695 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248704 */   // GIR_Coverage, 48840,
     /* 2248704 */   GIR_EraseRootFromParent_Done,
     /* 2248705 */ // Label 30067: @2248705
     /* 2248705 */ GIM_Try, /*On fail goto*//*Label 30068*/ GIMT_Encode4(2248753), // Rule ID 48841 //
     /* 2248710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2248716 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2248719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248723 */   // MIs[0] Operand 1
     /* 2248723 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248732 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248736 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2248739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248741 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248743 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248751 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248752 */   // GIR_Coverage, 48841,
     /* 2248752 */   GIR_EraseRootFromParent_Done,
     /* 2248753 */ // Label 30068: @2248753
     /* 2248753 */ GIM_Try, /*On fail goto*//*Label 30069*/ GIMT_Encode4(2248801), // Rule ID 48846 //
     /* 2248758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2248764 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2248767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248771 */   // MIs[0] Operand 1
     /* 2248771 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248780 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248784 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2248787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248789 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248791 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248800 */   // GIR_Coverage, 48846,
     /* 2248800 */   GIR_EraseRootFromParent_Done,
     /* 2248801 */ // Label 30069: @2248801
     /* 2248801 */ GIM_Try, /*On fail goto*//*Label 30070*/ GIMT_Encode4(2248849), // Rule ID 48847 //
     /* 2248806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2248812 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2248815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248819 */   // MIs[0] Operand 1
     /* 2248819 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248828 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248832 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2248835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248837 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248839 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248848 */   // GIR_Coverage, 48847,
     /* 2248848 */   GIR_EraseRootFromParent_Done,
     /* 2248849 */ // Label 30070: @2248849
     /* 2248849 */ GIM_Try, /*On fail goto*//*Label 30071*/ GIMT_Encode4(2248897), // Rule ID 48850 //
     /* 2248854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2248860 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2248863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248867 */   // MIs[0] Operand 1
     /* 2248867 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248876 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248880 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2248883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248885 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248887 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248896 */   // GIR_Coverage, 48850,
     /* 2248896 */   GIR_EraseRootFromParent_Done,
     /* 2248897 */ // Label 30071: @2248897
     /* 2248897 */ GIM_Try, /*On fail goto*//*Label 30072*/ GIMT_Encode4(2248945), // Rule ID 48851 //
     /* 2248902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2248908 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2248911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248915 */   // MIs[0] Operand 1
     /* 2248915 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248924 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248928 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2248931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248933 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248935 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248943 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248944 */   // GIR_Coverage, 48851,
     /* 2248944 */   GIR_EraseRootFromParent_Done,
     /* 2248945 */ // Label 30072: @2248945
     /* 2248945 */ GIM_Try, /*On fail goto*//*Label 30073*/ GIMT_Encode4(2248993), // Rule ID 48858 //
     /* 2248950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2248953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2248956 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2248959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248963 */   // MIs[0] Operand 1
     /* 2248963 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248972 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248976 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2248976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2248979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248981 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248983 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248992 */   // GIR_Coverage, 48858,
     /* 2248992 */   GIR_EraseRootFromParent_Done,
     /* 2248993 */ // Label 30073: @2248993
     /* 2248993 */ GIM_Try, /*On fail goto*//*Label 30074*/ GIMT_Encode4(2249041), // Rule ID 48859 //
     /* 2248998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2249001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2249004 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2249007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249011 */   // MIs[0] Operand 1
     /* 2249011 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2249016 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249020 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249024 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2249024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2249027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249029 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249031 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249040 */   // GIR_Coverage, 48859,
     /* 2249040 */   GIR_EraseRootFromParent_Done,
     /* 2249041 */ // Label 30074: @2249041
     /* 2249041 */ GIM_Try, /*On fail goto*//*Label 30075*/ GIMT_Encode4(2249089), // Rule ID 48884 //
     /* 2249046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2249052 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2249055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249059 */   // MIs[0] Operand 1
     /* 2249059 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249068 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249072 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2249075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249077 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249079 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249087 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249088 */   // GIR_Coverage, 48884,
     /* 2249088 */   GIR_EraseRootFromParent_Done,
     /* 2249089 */ // Label 30075: @2249089
     /* 2249089 */ GIM_Try, /*On fail goto*//*Label 30076*/ GIMT_Encode4(2249137), // Rule ID 48885 //
     /* 2249094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2249100 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2249103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249107 */   // MIs[0] Operand 1
     /* 2249107 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249112 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249116 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249120 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2249123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249125 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249127 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249136 */   // GIR_Coverage, 48885,
     /* 2249136 */   GIR_EraseRootFromParent_Done,
     /* 2249137 */ // Label 30076: @2249137
     /* 2249137 */ GIM_Try, /*On fail goto*//*Label 30077*/ GIMT_Encode4(2249185), // Rule ID 48890 //
     /* 2249142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2249148 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2249151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249155 */   // MIs[0] Operand 1
     /* 2249155 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249164 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249168 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2249171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249173 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249175 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249184 */   // GIR_Coverage, 48890,
     /* 2249184 */   GIR_EraseRootFromParent_Done,
     /* 2249185 */ // Label 30077: @2249185
     /* 2249185 */ GIM_Try, /*On fail goto*//*Label 30078*/ GIMT_Encode4(2249233), // Rule ID 48891 //
     /* 2249190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2249196 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2249199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249203 */   // MIs[0] Operand 1
     /* 2249203 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249212 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249216 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2249219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249221 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249223 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249232 */   // GIR_Coverage, 48891,
     /* 2249232 */   GIR_EraseRootFromParent_Done,
     /* 2249233 */ // Label 30078: @2249233
     /* 2249233 */ GIM_Try, /*On fail goto*//*Label 30079*/ GIMT_Encode4(2249281), // Rule ID 48894 //
     /* 2249238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2249244 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2249247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249251 */   // MIs[0] Operand 1
     /* 2249251 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249260 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249264 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2249267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249269 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249271 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249279 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249280 */   // GIR_Coverage, 48894,
     /* 2249280 */   GIR_EraseRootFromParent_Done,
     /* 2249281 */ // Label 30079: @2249281
     /* 2249281 */ GIM_Try, /*On fail goto*//*Label 30080*/ GIMT_Encode4(2249329), // Rule ID 48895 //
     /* 2249286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2249292 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2249295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249299 */   // MIs[0] Operand 1
     /* 2249299 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249308 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249312 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2249315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249317 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249319 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249328 */   // GIR_Coverage, 48895,
     /* 2249328 */   GIR_EraseRootFromParent_Done,
     /* 2249329 */ // Label 30080: @2249329
     /* 2249329 */ GIM_Try, /*On fail goto*//*Label 30081*/ GIMT_Encode4(2249377), // Rule ID 48902 //
     /* 2249334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2249337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2249340 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2249343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249347 */   // MIs[0] Operand 1
     /* 2249347 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249356 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249360 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2249360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2249363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249365 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249367 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249376 */   // GIR_Coverage, 48902,
     /* 2249376 */   GIR_EraseRootFromParent_Done,
     /* 2249377 */ // Label 30081: @2249377
     /* 2249377 */ GIM_Try, /*On fail goto*//*Label 30082*/ GIMT_Encode4(2249425), // Rule ID 48903 //
     /* 2249382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2249385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2249388 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2249391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249395 */   // MIs[0] Operand 1
     /* 2249395 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249404 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249408 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2249408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2249411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249413 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249415 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249424 */   // GIR_Coverage, 48903,
     /* 2249424 */   GIR_EraseRootFromParent_Done,
     /* 2249425 */ // Label 30082: @2249425
     /* 2249425 */ GIM_Reject,
     /* 2249426 */ // Label 29898: @2249426
     /* 2249426 */ GIM_Try, /*On fail goto*//*Label 30083*/ GIMT_Encode4(2249474), // Rule ID 48492 //
     /* 2249431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2249437 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2249440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249444 */   // MIs[0] Operand 1
     /* 2249444 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249453 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249457 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2249460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249462 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249464 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249473 */   // GIR_Coverage, 48492,
     /* 2249473 */   GIR_EraseRootFromParent_Done,
     /* 2249474 */ // Label 30083: @2249474
     /* 2249474 */ GIM_Try, /*On fail goto*//*Label 30084*/ GIMT_Encode4(2249522), // Rule ID 48493 //
     /* 2249479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2249485 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2249488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249492 */   // MIs[0] Operand 1
     /* 2249492 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249501 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249505 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2249508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249510 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249512 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249521 */   // GIR_Coverage, 48493,
     /* 2249521 */   GIR_EraseRootFromParent_Done,
     /* 2249522 */ // Label 30084: @2249522
     /* 2249522 */ GIM_Try, /*On fail goto*//*Label 30085*/ GIMT_Encode4(2249570), // Rule ID 48498 //
     /* 2249527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2249533 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2249536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249540 */   // MIs[0] Operand 1
     /* 2249540 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249549 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249553 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2249556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249558 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249560 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249569 */   // GIR_Coverage, 48498,
     /* 2249569 */   GIR_EraseRootFromParent_Done,
     /* 2249570 */ // Label 30085: @2249570
     /* 2249570 */ GIM_Try, /*On fail goto*//*Label 30086*/ GIMT_Encode4(2249618), // Rule ID 48499 //
     /* 2249575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2249581 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2249584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249588 */   // MIs[0] Operand 1
     /* 2249588 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249597 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249601 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2249604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249606 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249608 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249617 */   // GIR_Coverage, 48499,
     /* 2249617 */   GIR_EraseRootFromParent_Done,
     /* 2249618 */ // Label 30086: @2249618
     /* 2249618 */ GIM_Try, /*On fail goto*//*Label 30087*/ GIMT_Encode4(2249666), // Rule ID 48506 //
     /* 2249623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2249629 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2249632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249636 */   // MIs[0] Operand 1
     /* 2249636 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249645 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249649 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2249652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249654 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249656 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249665 */   // GIR_Coverage, 48506,
     /* 2249665 */   GIR_EraseRootFromParent_Done,
     /* 2249666 */ // Label 30087: @2249666
     /* 2249666 */ GIM_Try, /*On fail goto*//*Label 30088*/ GIMT_Encode4(2249714), // Rule ID 48507 //
     /* 2249671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2249677 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2249680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249684 */   // MIs[0] Operand 1
     /* 2249684 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249693 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249697 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2249700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249702 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249704 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249713 */   // GIR_Coverage, 48507,
     /* 2249713 */   GIR_EraseRootFromParent_Done,
     /* 2249714 */ // Label 30088: @2249714
     /* 2249714 */ GIM_Try, /*On fail goto*//*Label 30089*/ GIMT_Encode4(2249762), // Rule ID 48528 //
     /* 2249719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2249722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2249725 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2249728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249732 */   // MIs[0] Operand 1
     /* 2249732 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249741 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249745 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2249745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2249748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249750 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249752 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249761 */   // GIR_Coverage, 48528,
     /* 2249761 */   GIR_EraseRootFromParent_Done,
     /* 2249762 */ // Label 30089: @2249762
     /* 2249762 */ GIM_Try, /*On fail goto*//*Label 30090*/ GIMT_Encode4(2249810), // Rule ID 48529 //
     /* 2249767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2249770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2249773 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2249776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249780 */   // MIs[0] Operand 1
     /* 2249780 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249789 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249793 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2249793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2249796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249798 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249800 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249808 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249809 */   // GIR_Coverage, 48529,
     /* 2249809 */   GIR_EraseRootFromParent_Done,
     /* 2249810 */ // Label 30090: @2249810
     /* 2249810 */ GIM_Try, /*On fail goto*//*Label 30091*/ GIMT_Encode4(2249858), // Rule ID 48536 //
     /* 2249815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2249821 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2249824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249828 */   // MIs[0] Operand 1
     /* 2249828 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249837 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249841 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2249844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249846 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249848 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249857 */   // GIR_Coverage, 48536,
     /* 2249857 */   GIR_EraseRootFromParent_Done,
     /* 2249858 */ // Label 30091: @2249858
     /* 2249858 */ GIM_Try, /*On fail goto*//*Label 30092*/ GIMT_Encode4(2249906), // Rule ID 48537 //
     /* 2249863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2249869 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2249872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249876 */   // MIs[0] Operand 1
     /* 2249876 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249885 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249889 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2249892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249894 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249896 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249905 */   // GIR_Coverage, 48537,
     /* 2249905 */   GIR_EraseRootFromParent_Done,
     /* 2249906 */ // Label 30092: @2249906
     /* 2249906 */ GIM_Try, /*On fail goto*//*Label 30093*/ GIMT_Encode4(2249954), // Rule ID 48542 //
     /* 2249911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2249917 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2249920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249924 */   // MIs[0] Operand 1
     /* 2249924 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249933 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249937 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2249940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249942 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249944 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249953 */   // GIR_Coverage, 48542,
     /* 2249953 */   GIR_EraseRootFromParent_Done,
     /* 2249954 */ // Label 30093: @2249954
     /* 2249954 */ GIM_Try, /*On fail goto*//*Label 30094*/ GIMT_Encode4(2250002), // Rule ID 48543 //
     /* 2249959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2249965 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2249968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249972 */   // MIs[0] Operand 1
     /* 2249972 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249981 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249985 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2249988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249990 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249992 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250001 */   // GIR_Coverage, 48543,
     /* 2250001 */   GIR_EraseRootFromParent_Done,
     /* 2250002 */ // Label 30094: @2250002
     /* 2250002 */ GIM_Try, /*On fail goto*//*Label 30095*/ GIMT_Encode4(2250050), // Rule ID 48550 //
     /* 2250007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2250013 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2250016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250020 */   // MIs[0] Operand 1
     /* 2250020 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250029 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250033 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2250033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2250036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250038 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250040 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250049 */   // GIR_Coverage, 48550,
     /* 2250049 */   GIR_EraseRootFromParent_Done,
     /* 2250050 */ // Label 30095: @2250050
     /* 2250050 */ GIM_Try, /*On fail goto*//*Label 30096*/ GIMT_Encode4(2250098), // Rule ID 48551 //
     /* 2250055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2250061 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2250064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250068 */   // MIs[0] Operand 1
     /* 2250068 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250077 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250081 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2250084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250086 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250088 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250096 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250097 */   // GIR_Coverage, 48551,
     /* 2250097 */   GIR_EraseRootFromParent_Done,
     /* 2250098 */ // Label 30096: @2250098
     /* 2250098 */ GIM_Try, /*On fail goto*//*Label 30097*/ GIMT_Encode4(2250146), // Rule ID 48572 //
     /* 2250103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2250106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2250109 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2250112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250116 */   // MIs[0] Operand 1
     /* 2250116 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250125 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250129 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2250129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2250132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250134 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250136 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250144 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250145 */   // GIR_Coverage, 48572,
     /* 2250145 */   GIR_EraseRootFromParent_Done,
     /* 2250146 */ // Label 30097: @2250146
     /* 2250146 */ GIM_Try, /*On fail goto*//*Label 30098*/ GIMT_Encode4(2250194), // Rule ID 48573 //
     /* 2250151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2250154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2250157 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2250160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250164 */   // MIs[0] Operand 1
     /* 2250164 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250173 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250177 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2250180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250182 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250184 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250193 */   // GIR_Coverage, 48573,
     /* 2250193 */   GIR_EraseRootFromParent_Done,
     /* 2250194 */ // Label 30098: @2250194
     /* 2250194 */ GIM_Try, /*On fail goto*//*Label 30099*/ GIMT_Encode4(2250242), // Rule ID 48580 //
     /* 2250199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2250205 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2250208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250212 */   // MIs[0] Operand 1
     /* 2250212 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250221 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250225 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2250228 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250230 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250232 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250241 */   // GIR_Coverage, 48580,
     /* 2250241 */   GIR_EraseRootFromParent_Done,
     /* 2250242 */ // Label 30099: @2250242
     /* 2250242 */ GIM_Try, /*On fail goto*//*Label 30100*/ GIMT_Encode4(2250290), // Rule ID 48581 //
     /* 2250247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2250253 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2250256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250260 */   // MIs[0] Operand 1
     /* 2250260 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250269 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250273 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2250276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250278 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250280 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250289 */   // GIR_Coverage, 48581,
     /* 2250289 */   GIR_EraseRootFromParent_Done,
     /* 2250290 */ // Label 30100: @2250290
     /* 2250290 */ GIM_Try, /*On fail goto*//*Label 30101*/ GIMT_Encode4(2250338), // Rule ID 48586 //
     /* 2250295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2250301 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2250304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250308 */   // MIs[0] Operand 1
     /* 2250308 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250317 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250321 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2250324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250326 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250328 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250336 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250337 */   // GIR_Coverage, 48586,
     /* 2250337 */   GIR_EraseRootFromParent_Done,
     /* 2250338 */ // Label 30101: @2250338
     /* 2250338 */ GIM_Try, /*On fail goto*//*Label 30102*/ GIMT_Encode4(2250386), // Rule ID 48587 //
     /* 2250343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2250349 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2250352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250356 */   // MIs[0] Operand 1
     /* 2250356 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250365 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250369 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2250372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250374 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250376 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250385 */   // GIR_Coverage, 48587,
     /* 2250385 */   GIR_EraseRootFromParent_Done,
     /* 2250386 */ // Label 30102: @2250386
     /* 2250386 */ GIM_Try, /*On fail goto*//*Label 30103*/ GIMT_Encode4(2250434), // Rule ID 48594 //
     /* 2250391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2250397 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2250400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250404 */   // MIs[0] Operand 1
     /* 2250404 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250413 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250417 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2250417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2250420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250422 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250424 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250433 */   // GIR_Coverage, 48594,
     /* 2250433 */   GIR_EraseRootFromParent_Done,
     /* 2250434 */ // Label 30103: @2250434
     /* 2250434 */ GIM_Try, /*On fail goto*//*Label 30104*/ GIMT_Encode4(2250482), // Rule ID 48595 //
     /* 2250439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2250445 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2250448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250452 */   // MIs[0] Operand 1
     /* 2250452 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250461 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250465 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2250468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250470 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250472 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250481 */   // GIR_Coverage, 48595,
     /* 2250481 */   GIR_EraseRootFromParent_Done,
     /* 2250482 */ // Label 30104: @2250482
     /* 2250482 */ GIM_Try, /*On fail goto*//*Label 30105*/ GIMT_Encode4(2250530), // Rule ID 48616 //
     /* 2250487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2250490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2250493 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2250496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250500 */   // MIs[0] Operand 1
     /* 2250500 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250509 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250513 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2250513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2250516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250518 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250520 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250529 */   // GIR_Coverage, 48616,
     /* 2250529 */   GIR_EraseRootFromParent_Done,
     /* 2250530 */ // Label 30105: @2250530
     /* 2250530 */ GIM_Try, /*On fail goto*//*Label 30106*/ GIMT_Encode4(2250578), // Rule ID 48617 //
     /* 2250535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2250538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2250541 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2250544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250548 */   // MIs[0] Operand 1
     /* 2250548 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250557 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250561 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2250564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250566 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250568 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250577 */   // GIR_Coverage, 48617,
     /* 2250577 */   GIR_EraseRootFromParent_Done,
     /* 2250578 */ // Label 30106: @2250578
     /* 2250578 */ GIM_Try, /*On fail goto*//*Label 30107*/ GIMT_Encode4(2250626), // Rule ID 48622 //
     /* 2250583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2250589 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2250592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250596 */   // MIs[0] Operand 1
     /* 2250596 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250605 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250609 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2250612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250614 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250616 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250625 */   // GIR_Coverage, 48622,
     /* 2250625 */   GIR_EraseRootFromParent_Done,
     /* 2250626 */ // Label 30107: @2250626
     /* 2250626 */ GIM_Try, /*On fail goto*//*Label 30108*/ GIMT_Encode4(2250674), // Rule ID 48623 //
     /* 2250631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2250637 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2250640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250644 */   // MIs[0] Operand 1
     /* 2250644 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250653 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250657 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2250660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250662 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250664 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250673 */   // GIR_Coverage, 48623,
     /* 2250673 */   GIR_EraseRootFromParent_Done,
     /* 2250674 */ // Label 30108: @2250674
     /* 2250674 */ GIM_Try, /*On fail goto*//*Label 30109*/ GIMT_Encode4(2250722), // Rule ID 48628 //
     /* 2250679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2250685 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2250688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250692 */   // MIs[0] Operand 1
     /* 2250692 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250701 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250705 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2250708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250710 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250712 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250721 */   // GIR_Coverage, 48628,
     /* 2250721 */   GIR_EraseRootFromParent_Done,
     /* 2250722 */ // Label 30109: @2250722
     /* 2250722 */ GIM_Try, /*On fail goto*//*Label 30110*/ GIMT_Encode4(2250770), // Rule ID 48629 //
     /* 2250727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2250733 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2250736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250740 */   // MIs[0] Operand 1
     /* 2250740 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250749 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250753 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2250756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250758 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250760 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250769 */   // GIR_Coverage, 48629,
     /* 2250769 */   GIR_EraseRootFromParent_Done,
     /* 2250770 */ // Label 30110: @2250770
     /* 2250770 */ GIM_Try, /*On fail goto*//*Label 30111*/ GIMT_Encode4(2250818), // Rule ID 48636 //
     /* 2250775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2250781 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2250784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250788 */   // MIs[0] Operand 1
     /* 2250788 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250797 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250801 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2250801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2250804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250806 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250808 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250817 */   // GIR_Coverage, 48636,
     /* 2250817 */   GIR_EraseRootFromParent_Done,
     /* 2250818 */ // Label 30111: @2250818
     /* 2250818 */ GIM_Try, /*On fail goto*//*Label 30112*/ GIMT_Encode4(2250866), // Rule ID 48637 //
     /* 2250823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2250829 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2250832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250836 */   // MIs[0] Operand 1
     /* 2250836 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250845 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250849 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2250852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250854 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250856 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250865 */   // GIR_Coverage, 48637,
     /* 2250865 */   GIR_EraseRootFromParent_Done,
     /* 2250866 */ // Label 30112: @2250866
     /* 2250866 */ GIM_Try, /*On fail goto*//*Label 30113*/ GIMT_Encode4(2250914), // Rule ID 48658 //
     /* 2250871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2250874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2250877 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2250880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250884 */   // MIs[0] Operand 1
     /* 2250884 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250893 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250897 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2250897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2250900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250902 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250904 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250913 */   // GIR_Coverage, 48658,
     /* 2250913 */   GIR_EraseRootFromParent_Done,
     /* 2250914 */ // Label 30113: @2250914
     /* 2250914 */ GIM_Try, /*On fail goto*//*Label 30114*/ GIMT_Encode4(2250962), // Rule ID 48659 //
     /* 2250919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2250922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2250925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2250928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250932 */   // MIs[0] Operand 1
     /* 2250932 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250941 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250945 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2250948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250950 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250952 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250961 */   // GIR_Coverage, 48659,
     /* 2250961 */   GIR_EraseRootFromParent_Done,
     /* 2250962 */ // Label 30114: @2250962
     /* 2250962 */ GIM_Try, /*On fail goto*//*Label 30115*/ GIMT_Encode4(2251010), // Rule ID 48666 //
     /* 2250967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2250973 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2250976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250980 */   // MIs[0] Operand 1
     /* 2250980 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2250985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250989 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250993 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2250996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250998 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251000 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251008 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251009 */   // GIR_Coverage, 48666,
     /* 2251009 */   GIR_EraseRootFromParent_Done,
     /* 2251010 */ // Label 30115: @2251010
     /* 2251010 */ GIM_Try, /*On fail goto*//*Label 30116*/ GIMT_Encode4(2251058), // Rule ID 48667 //
     /* 2251015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2251021 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2251024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251028 */   // MIs[0] Operand 1
     /* 2251028 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251037 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251041 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2251044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251046 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251048 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251057 */   // GIR_Coverage, 48667,
     /* 2251057 */   GIR_EraseRootFromParent_Done,
     /* 2251058 */ // Label 30116: @2251058
     /* 2251058 */ GIM_Try, /*On fail goto*//*Label 30117*/ GIMT_Encode4(2251106), // Rule ID 48672 //
     /* 2251063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2251069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2251072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251076 */   // MIs[0] Operand 1
     /* 2251076 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251085 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251089 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2251092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251094 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251096 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251105 */   // GIR_Coverage, 48672,
     /* 2251105 */   GIR_EraseRootFromParent_Done,
     /* 2251106 */ // Label 30117: @2251106
     /* 2251106 */ GIM_Try, /*On fail goto*//*Label 30118*/ GIMT_Encode4(2251154), // Rule ID 48673 //
     /* 2251111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2251117 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2251120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251124 */   // MIs[0] Operand 1
     /* 2251124 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251133 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251137 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2251140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251142 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251144 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251153 */   // GIR_Coverage, 48673,
     /* 2251153 */   GIR_EraseRootFromParent_Done,
     /* 2251154 */ // Label 30118: @2251154
     /* 2251154 */ GIM_Try, /*On fail goto*//*Label 30119*/ GIMT_Encode4(2251202), // Rule ID 48680 //
     /* 2251159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2251165 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2251168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251172 */   // MIs[0] Operand 1
     /* 2251172 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251181 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251185 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2251188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251190 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251192 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251201 */   // GIR_Coverage, 48680,
     /* 2251201 */   GIR_EraseRootFromParent_Done,
     /* 2251202 */ // Label 30119: @2251202
     /* 2251202 */ GIM_Try, /*On fail goto*//*Label 30120*/ GIMT_Encode4(2251250), // Rule ID 48681 //
     /* 2251207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2251213 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2251216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251220 */   // MIs[0] Operand 1
     /* 2251220 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251229 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251233 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2251236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251238 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251240 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251249 */   // GIR_Coverage, 48681,
     /* 2251249 */   GIR_EraseRootFromParent_Done,
     /* 2251250 */ // Label 30120: @2251250
     /* 2251250 */ GIM_Try, /*On fail goto*//*Label 30121*/ GIMT_Encode4(2251298), // Rule ID 48702 //
     /* 2251255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2251258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2251261 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2251264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251268 */   // MIs[0] Operand 1
     /* 2251268 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251273 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251277 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251281 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2251281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2251284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251286 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251288 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251297 */   // GIR_Coverage, 48702,
     /* 2251297 */   GIR_EraseRootFromParent_Done,
     /* 2251298 */ // Label 30121: @2251298
     /* 2251298 */ GIM_Try, /*On fail goto*//*Label 30122*/ GIMT_Encode4(2251346), // Rule ID 48703 //
     /* 2251303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2251306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2251309 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2251312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251316 */   // MIs[0] Operand 1
     /* 2251316 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251325 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251329 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2251329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2251332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251334 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251336 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251345 */   // GIR_Coverage, 48703,
     /* 2251345 */   GIR_EraseRootFromParent_Done,
     /* 2251346 */ // Label 30122: @2251346
     /* 2251346 */ GIM_Try, /*On fail goto*//*Label 30123*/ GIMT_Encode4(2251394), // Rule ID 48710 //
     /* 2251351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2251357 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2251360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251364 */   // MIs[0] Operand 1
     /* 2251364 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251373 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251377 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2251380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251382 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251384 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251393 */   // GIR_Coverage, 48710,
     /* 2251393 */   GIR_EraseRootFromParent_Done,
     /* 2251394 */ // Label 30123: @2251394
     /* 2251394 */ GIM_Try, /*On fail goto*//*Label 30124*/ GIMT_Encode4(2251442), // Rule ID 48711 //
     /* 2251399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2251405 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2251408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251412 */   // MIs[0] Operand 1
     /* 2251412 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251421 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251425 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2251428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251430 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251432 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251441 */   // GIR_Coverage, 48711,
     /* 2251441 */   GIR_EraseRootFromParent_Done,
     /* 2251442 */ // Label 30124: @2251442
     /* 2251442 */ GIM_Try, /*On fail goto*//*Label 30125*/ GIMT_Encode4(2251490), // Rule ID 48716 //
     /* 2251447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2251453 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2251456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251460 */   // MIs[0] Operand 1
     /* 2251460 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251469 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251473 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2251476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251478 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251480 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251489 */   // GIR_Coverage, 48716,
     /* 2251489 */   GIR_EraseRootFromParent_Done,
     /* 2251490 */ // Label 30125: @2251490
     /* 2251490 */ GIM_Try, /*On fail goto*//*Label 30126*/ GIMT_Encode4(2251538), // Rule ID 48717 //
     /* 2251495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2251501 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2251504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251508 */   // MIs[0] Operand 1
     /* 2251508 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251517 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251521 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2251524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251526 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251528 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251537 */   // GIR_Coverage, 48717,
     /* 2251537 */   GIR_EraseRootFromParent_Done,
     /* 2251538 */ // Label 30126: @2251538
     /* 2251538 */ GIM_Try, /*On fail goto*//*Label 30127*/ GIMT_Encode4(2251586), // Rule ID 48724 //
     /* 2251543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2251549 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2251552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251556 */   // MIs[0] Operand 1
     /* 2251556 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251565 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251569 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2251572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251574 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251576 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251585 */   // GIR_Coverage, 48724,
     /* 2251585 */   GIR_EraseRootFromParent_Done,
     /* 2251586 */ // Label 30127: @2251586
     /* 2251586 */ GIM_Try, /*On fail goto*//*Label 30128*/ GIMT_Encode4(2251634), // Rule ID 48725 //
     /* 2251591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2251597 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2251600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251604 */   // MIs[0] Operand 1
     /* 2251604 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251613 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251617 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2251620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251622 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251624 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251633 */   // GIR_Coverage, 48725,
     /* 2251633 */   GIR_EraseRootFromParent_Done,
     /* 2251634 */ // Label 30128: @2251634
     /* 2251634 */ GIM_Try, /*On fail goto*//*Label 30129*/ GIMT_Encode4(2251682), // Rule ID 48746 //
     /* 2251639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2251642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2251645 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2251648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251652 */   // MIs[0] Operand 1
     /* 2251652 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251661 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251665 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2251665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2251668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251670 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251672 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251681 */   // GIR_Coverage, 48746,
     /* 2251681 */   GIR_EraseRootFromParent_Done,
     /* 2251682 */ // Label 30129: @2251682
     /* 2251682 */ GIM_Try, /*On fail goto*//*Label 30130*/ GIMT_Encode4(2251730), // Rule ID 48747 //
     /* 2251687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2251690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2251693 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2251696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251700 */   // MIs[0] Operand 1
     /* 2251700 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251709 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251713 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2251713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2251716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251718 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251720 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251729 */   // GIR_Coverage, 48747,
     /* 2251729 */   GIR_EraseRootFromParent_Done,
     /* 2251730 */ // Label 30130: @2251730
     /* 2251730 */ GIM_Try, /*On fail goto*//*Label 30131*/ GIMT_Encode4(2251778), // Rule ID 48754 //
     /* 2251735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2251741 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2251744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251748 */   // MIs[0] Operand 1
     /* 2251748 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251757 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251761 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2251764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251766 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251768 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251776 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251777 */   // GIR_Coverage, 48754,
     /* 2251777 */   GIR_EraseRootFromParent_Done,
     /* 2251778 */ // Label 30131: @2251778
     /* 2251778 */ GIM_Try, /*On fail goto*//*Label 30132*/ GIMT_Encode4(2251826), // Rule ID 48755 //
     /* 2251783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2251789 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2251792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251796 */   // MIs[0] Operand 1
     /* 2251796 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251805 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251809 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2251812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251814 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251816 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251825 */   // GIR_Coverage, 48755,
     /* 2251825 */   GIR_EraseRootFromParent_Done,
     /* 2251826 */ // Label 30132: @2251826
     /* 2251826 */ GIM_Try, /*On fail goto*//*Label 30133*/ GIMT_Encode4(2251874), // Rule ID 48760 //
     /* 2251831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2251837 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2251840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251844 */   // MIs[0] Operand 1
     /* 2251844 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251853 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251857 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2251860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251864 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251873 */   // GIR_Coverage, 48760,
     /* 2251873 */   GIR_EraseRootFromParent_Done,
     /* 2251874 */ // Label 30133: @2251874
     /* 2251874 */ GIM_Try, /*On fail goto*//*Label 30134*/ GIMT_Encode4(2251922), // Rule ID 48761 //
     /* 2251879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2251885 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2251888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251892 */   // MIs[0] Operand 1
     /* 2251892 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251901 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251905 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2251908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251910 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251912 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251921 */   // GIR_Coverage, 48761,
     /* 2251921 */   GIR_EraseRootFromParent_Done,
     /* 2251922 */ // Label 30134: @2251922
     /* 2251922 */ GIM_Try, /*On fail goto*//*Label 30135*/ GIMT_Encode4(2251970), // Rule ID 48768 //
     /* 2251927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2251933 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2251936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251940 */   // MIs[0] Operand 1
     /* 2251940 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251949 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251953 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2251956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251958 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251960 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251969 */   // GIR_Coverage, 48768,
     /* 2251969 */   GIR_EraseRootFromParent_Done,
     /* 2251970 */ // Label 30135: @2251970
     /* 2251970 */ GIM_Try, /*On fail goto*//*Label 30136*/ GIMT_Encode4(2252018), // Rule ID 48769 //
     /* 2251975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2251981 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2251984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251988 */   // MIs[0] Operand 1
     /* 2251988 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251997 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252001 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2252004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252006 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252008 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252017 */   // GIR_Coverage, 48769,
     /* 2252017 */   GIR_EraseRootFromParent_Done,
     /* 2252018 */ // Label 30136: @2252018
     /* 2252018 */ GIM_Try, /*On fail goto*//*Label 30137*/ GIMT_Encode4(2252066), // Rule ID 48790 //
     /* 2252023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2252026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2252029 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2252032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252036 */   // MIs[0] Operand 1
     /* 2252036 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2252041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252045 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252049 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2252049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2252052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252054 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252056 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252064 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252065 */   // GIR_Coverage, 48790,
     /* 2252065 */   GIR_EraseRootFromParent_Done,
     /* 2252066 */ // Label 30137: @2252066
     /* 2252066 */ GIM_Try, /*On fail goto*//*Label 30138*/ GIMT_Encode4(2252114), // Rule ID 48791 //
     /* 2252071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2252074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2252077 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2252080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252084 */   // MIs[0] Operand 1
     /* 2252084 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2252089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252093 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252097 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2252097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2252100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252102 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252104 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252113 */   // GIR_Coverage, 48791,
     /* 2252113 */   GIR_EraseRootFromParent_Done,
     /* 2252114 */ // Label 30138: @2252114
     /* 2252114 */ GIM_Try, /*On fail goto*//*Label 30139*/ GIMT_Encode4(2252162), // Rule ID 48798 //
     /* 2252119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2252125 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2252128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252132 */   // MIs[0] Operand 1
     /* 2252132 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252137 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252141 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252145 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2252148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252150 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252152 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252161 */   // GIR_Coverage, 48798,
     /* 2252161 */   GIR_EraseRootFromParent_Done,
     /* 2252162 */ // Label 30139: @2252162
     /* 2252162 */ GIM_Try, /*On fail goto*//*Label 30140*/ GIMT_Encode4(2252210), // Rule ID 48799 //
     /* 2252167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2252173 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2252176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252180 */   // MIs[0] Operand 1
     /* 2252180 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252189 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252193 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2252196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252198 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252200 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252209 */   // GIR_Coverage, 48799,
     /* 2252209 */   GIR_EraseRootFromParent_Done,
     /* 2252210 */ // Label 30140: @2252210
     /* 2252210 */ GIM_Try, /*On fail goto*//*Label 30141*/ GIMT_Encode4(2252258), // Rule ID 48804 //
     /* 2252215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2252221 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2252224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252228 */   // MIs[0] Operand 1
     /* 2252228 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252237 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252241 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2252244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252246 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252248 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252257 */   // GIR_Coverage, 48804,
     /* 2252257 */   GIR_EraseRootFromParent_Done,
     /* 2252258 */ // Label 30141: @2252258
     /* 2252258 */ GIM_Try, /*On fail goto*//*Label 30142*/ GIMT_Encode4(2252306), // Rule ID 48805 //
     /* 2252263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2252269 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2252272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252276 */   // MIs[0] Operand 1
     /* 2252276 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252281 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252285 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252289 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2252292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252294 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252296 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252304 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252305 */   // GIR_Coverage, 48805,
     /* 2252305 */   GIR_EraseRootFromParent_Done,
     /* 2252306 */ // Label 30142: @2252306
     /* 2252306 */ GIM_Try, /*On fail goto*//*Label 30143*/ GIMT_Encode4(2252354), // Rule ID 48812 //
     /* 2252311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2252317 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2252320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252324 */   // MIs[0] Operand 1
     /* 2252324 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252333 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252337 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2252340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252342 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252344 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252352 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252353 */   // GIR_Coverage, 48812,
     /* 2252353 */   GIR_EraseRootFromParent_Done,
     /* 2252354 */ // Label 30143: @2252354
     /* 2252354 */ GIM_Try, /*On fail goto*//*Label 30144*/ GIMT_Encode4(2252402), // Rule ID 48813 //
     /* 2252359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2252365 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2252368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252372 */   // MIs[0] Operand 1
     /* 2252372 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252377 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252381 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252385 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2252388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252390 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252392 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252400 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252401 */   // GIR_Coverage, 48813,
     /* 2252401 */   GIR_EraseRootFromParent_Done,
     /* 2252402 */ // Label 30144: @2252402
     /* 2252402 */ GIM_Try, /*On fail goto*//*Label 30145*/ GIMT_Encode4(2252450), // Rule ID 48834 //
     /* 2252407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2252410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2252413 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2252416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252420 */   // MIs[0] Operand 1
     /* 2252420 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252429 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252433 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2252433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2252436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252438 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252440 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252449 */   // GIR_Coverage, 48834,
     /* 2252449 */   GIR_EraseRootFromParent_Done,
     /* 2252450 */ // Label 30145: @2252450
     /* 2252450 */ GIM_Try, /*On fail goto*//*Label 30146*/ GIMT_Encode4(2252498), // Rule ID 48835 //
     /* 2252455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2252458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2252461 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2252464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252468 */   // MIs[0] Operand 1
     /* 2252468 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252477 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252481 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2252481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2252484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252486 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252488 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252496 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252497 */   // GIR_Coverage, 48835,
     /* 2252497 */   GIR_EraseRootFromParent_Done,
     /* 2252498 */ // Label 30146: @2252498
     /* 2252498 */ GIM_Try, /*On fail goto*//*Label 30147*/ GIMT_Encode4(2252546), // Rule ID 48842 //
     /* 2252503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2252509 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2252512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252516 */   // MIs[0] Operand 1
     /* 2252516 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252525 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252529 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2252532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252534 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252536 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252545 */   // GIR_Coverage, 48842,
     /* 2252545 */   GIR_EraseRootFromParent_Done,
     /* 2252546 */ // Label 30147: @2252546
     /* 2252546 */ GIM_Try, /*On fail goto*//*Label 30148*/ GIMT_Encode4(2252594), // Rule ID 48843 //
     /* 2252551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2252557 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2252560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252564 */   // MIs[0] Operand 1
     /* 2252564 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252573 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252577 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2252580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252582 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252584 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252592 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252593 */   // GIR_Coverage, 48843,
     /* 2252593 */   GIR_EraseRootFromParent_Done,
     /* 2252594 */ // Label 30148: @2252594
     /* 2252594 */ GIM_Try, /*On fail goto*//*Label 30149*/ GIMT_Encode4(2252642), // Rule ID 48848 //
     /* 2252599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2252605 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2252608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252612 */   // MIs[0] Operand 1
     /* 2252612 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252621 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252625 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2252628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252630 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252632 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252640 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252641 */   // GIR_Coverage, 48848,
     /* 2252641 */   GIR_EraseRootFromParent_Done,
     /* 2252642 */ // Label 30149: @2252642
     /* 2252642 */ GIM_Try, /*On fail goto*//*Label 30150*/ GIMT_Encode4(2252690), // Rule ID 48849 //
     /* 2252647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2252653 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2252656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252660 */   // MIs[0] Operand 1
     /* 2252660 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252669 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252673 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2252676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252678 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252680 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252688 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252689 */   // GIR_Coverage, 48849,
     /* 2252689 */   GIR_EraseRootFromParent_Done,
     /* 2252690 */ // Label 30150: @2252690
     /* 2252690 */ GIM_Try, /*On fail goto*//*Label 30151*/ GIMT_Encode4(2252738), // Rule ID 48856 //
     /* 2252695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2252701 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2252704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252708 */   // MIs[0] Operand 1
     /* 2252708 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252713 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252717 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252721 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2252724 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252726 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252728 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252737 */   // GIR_Coverage, 48856,
     /* 2252737 */   GIR_EraseRootFromParent_Done,
     /* 2252738 */ // Label 30151: @2252738
     /* 2252738 */ GIM_Try, /*On fail goto*//*Label 30152*/ GIMT_Encode4(2252786), // Rule ID 48857 //
     /* 2252743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2252749 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2252752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252756 */   // MIs[0] Operand 1
     /* 2252756 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252765 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252769 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2252772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252774 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252776 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252784 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252785 */   // GIR_Coverage, 48857,
     /* 2252785 */   GIR_EraseRootFromParent_Done,
     /* 2252786 */ // Label 30152: @2252786
     /* 2252786 */ GIM_Try, /*On fail goto*//*Label 30153*/ GIMT_Encode4(2252834), // Rule ID 48878 //
     /* 2252791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2252794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2252797 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2252800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252804 */   // MIs[0] Operand 1
     /* 2252804 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252813 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252817 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2252817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2252820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252822 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252824 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252833 */   // GIR_Coverage, 48878,
     /* 2252833 */   GIR_EraseRootFromParent_Done,
     /* 2252834 */ // Label 30153: @2252834
     /* 2252834 */ GIM_Try, /*On fail goto*//*Label 30154*/ GIMT_Encode4(2252882), // Rule ID 48879 //
     /* 2252839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2252842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2252845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2252848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252852 */   // MIs[0] Operand 1
     /* 2252852 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252861 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252865 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2252865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2252868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252870 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252872 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252880 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252881 */   // GIR_Coverage, 48879,
     /* 2252881 */   GIR_EraseRootFromParent_Done,
     /* 2252882 */ // Label 30154: @2252882
     /* 2252882 */ GIM_Try, /*On fail goto*//*Label 30155*/ GIMT_Encode4(2252930), // Rule ID 48886 //
     /* 2252887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2252893 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2252896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252900 */   // MIs[0] Operand 1
     /* 2252900 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2252905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252909 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252913 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2252916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252918 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252920 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252929 */   // GIR_Coverage, 48886,
     /* 2252929 */   GIR_EraseRootFromParent_Done,
     /* 2252930 */ // Label 30155: @2252930
     /* 2252930 */ GIM_Try, /*On fail goto*//*Label 30156*/ GIMT_Encode4(2252978), // Rule ID 48887 //
     /* 2252935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2252941 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2252944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252948 */   // MIs[0] Operand 1
     /* 2252948 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2252953 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252957 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252961 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2252964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252966 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252968 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252976 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252977 */   // GIR_Coverage, 48887,
     /* 2252977 */   GIR_EraseRootFromParent_Done,
     /* 2252978 */ // Label 30156: @2252978
     /* 2252978 */ GIM_Try, /*On fail goto*//*Label 30157*/ GIMT_Encode4(2253026), // Rule ID 48892 //
     /* 2252983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2252989 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2252992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252996 */   // MIs[0] Operand 1
     /* 2252996 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253005 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253009 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2253012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253014 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253016 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253025 */   // GIR_Coverage, 48892,
     /* 2253025 */   GIR_EraseRootFromParent_Done,
     /* 2253026 */ // Label 30157: @2253026
     /* 2253026 */ GIM_Try, /*On fail goto*//*Label 30158*/ GIMT_Encode4(2253074), // Rule ID 48893 //
     /* 2253031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2253037 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2253040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253044 */   // MIs[0] Operand 1
     /* 2253044 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253053 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253057 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2253060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253062 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253064 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253073 */   // GIR_Coverage, 48893,
     /* 2253073 */   GIR_EraseRootFromParent_Done,
     /* 2253074 */ // Label 30158: @2253074
     /* 2253074 */ GIM_Try, /*On fail goto*//*Label 30159*/ GIMT_Encode4(2253122), // Rule ID 48900 //
     /* 2253079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2253085 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2253088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253092 */   // MIs[0] Operand 1
     /* 2253092 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253101 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253105 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2253108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253110 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253112 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253121 */   // GIR_Coverage, 48900,
     /* 2253121 */   GIR_EraseRootFromParent_Done,
     /* 2253122 */ // Label 30159: @2253122
     /* 2253122 */ GIM_Try, /*On fail goto*//*Label 30160*/ GIMT_Encode4(2253170), // Rule ID 48901 //
     /* 2253127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2253133 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2253136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253140 */   // MIs[0] Operand 1
     /* 2253140 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253149 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253153 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2253156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253158 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253160 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253168 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253169 */   // GIR_Coverage, 48901,
     /* 2253169 */   GIR_EraseRootFromParent_Done,
     /* 2253170 */ // Label 30160: @2253170
     /* 2253170 */ GIM_Try, /*On fail goto*//*Label 30161*/ GIMT_Encode4(2253218), // Rule ID 48922 //
     /* 2253175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2253178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2253181 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2253184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253188 */   // MIs[0] Operand 1
     /* 2253188 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253197 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253201 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2253204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253206 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253208 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253217 */   // GIR_Coverage, 48922,
     /* 2253217 */   GIR_EraseRootFromParent_Done,
     /* 2253218 */ // Label 30161: @2253218
     /* 2253218 */ GIM_Try, /*On fail goto*//*Label 30162*/ GIMT_Encode4(2253266), // Rule ID 48923 //
     /* 2253223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2253226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2253229 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2253232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253236 */   // MIs[0] Operand 1
     /* 2253236 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253245 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253249 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2253252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253254 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253256 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253264 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253265 */   // GIR_Coverage, 48923,
     /* 2253265 */   GIR_EraseRootFromParent_Done,
     /* 2253266 */ // Label 30162: @2253266
     /* 2253266 */ GIM_Reject,
     /* 2253267 */ // Label 29899: @2253267
     /* 2253267 */ GIM_Try, /*On fail goto*//*Label 30163*/ GIMT_Encode4(2253315), // Rule ID 48494 //
     /* 2253272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2253278 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2253281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253285 */   // MIs[0] Operand 1
     /* 2253285 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253294 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253298 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2253301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253303 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253305 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253313 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253314 */   // GIR_Coverage, 48494,
     /* 2253314 */   GIR_EraseRootFromParent_Done,
     /* 2253315 */ // Label 30163: @2253315
     /* 2253315 */ GIM_Try, /*On fail goto*//*Label 30164*/ GIMT_Encode4(2253363), // Rule ID 48495 //
     /* 2253320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2253326 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2253329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253333 */   // MIs[0] Operand 1
     /* 2253333 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253342 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253346 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2253349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253351 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253353 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253362 */   // GIR_Coverage, 48495,
     /* 2253362 */   GIR_EraseRootFromParent_Done,
     /* 2253363 */ // Label 30164: @2253363
     /* 2253363 */ GIM_Try, /*On fail goto*//*Label 30165*/ GIMT_Encode4(2253411), // Rule ID 48504 //
     /* 2253368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2253374 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2253377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253381 */   // MIs[0] Operand 1
     /* 2253381 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253386 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253390 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253394 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2253397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253399 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253401 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253409 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253410 */   // GIR_Coverage, 48504,
     /* 2253410 */   GIR_EraseRootFromParent_Done,
     /* 2253411 */ // Label 30165: @2253411
     /* 2253411 */ GIM_Try, /*On fail goto*//*Label 30166*/ GIMT_Encode4(2253459), // Rule ID 48505 //
     /* 2253416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2253422 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2253425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253429 */   // MIs[0] Operand 1
     /* 2253429 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253438 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253442 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2253445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253447 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253449 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253457 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253458 */   // GIR_Coverage, 48505,
     /* 2253458 */   GIR_EraseRootFromParent_Done,
     /* 2253459 */ // Label 30166: @2253459
     /* 2253459 */ GIM_Try, /*On fail goto*//*Label 30167*/ GIMT_Encode4(2253507), // Rule ID 48522 //
     /* 2253464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2253470 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2253473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253477 */   // MIs[0] Operand 1
     /* 2253477 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253486 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253490 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2253493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253495 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253497 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253506 */   // GIR_Coverage, 48522,
     /* 2253506 */   GIR_EraseRootFromParent_Done,
     /* 2253507 */ // Label 30167: @2253507
     /* 2253507 */ GIM_Try, /*On fail goto*//*Label 30168*/ GIMT_Encode4(2253555), // Rule ID 48523 //
     /* 2253512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2253518 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2253521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253525 */   // MIs[0] Operand 1
     /* 2253525 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253530 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253534 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253538 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2253541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253543 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253545 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253554 */   // GIR_Coverage, 48523,
     /* 2253554 */   GIR_EraseRootFromParent_Done,
     /* 2253555 */ // Label 30168: @2253555
     /* 2253555 */ GIM_Try, /*On fail goto*//*Label 30169*/ GIMT_Encode4(2253603), // Rule ID 48530 //
     /* 2253560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2253563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2253566 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2253569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253573 */   // MIs[0] Operand 1
     /* 2253573 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253582 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253586 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2253589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253591 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253593 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253602 */   // GIR_Coverage, 48530,
     /* 2253602 */   GIR_EraseRootFromParent_Done,
     /* 2253603 */ // Label 30169: @2253603
     /* 2253603 */ GIM_Try, /*On fail goto*//*Label 30170*/ GIMT_Encode4(2253651), // Rule ID 48531 //
     /* 2253608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2253611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2253614 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2253617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253621 */   // MIs[0] Operand 1
     /* 2253621 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253626 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253630 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253634 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2253637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253639 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253641 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253650 */   // GIR_Coverage, 48531,
     /* 2253650 */   GIR_EraseRootFromParent_Done,
     /* 2253651 */ // Label 30170: @2253651
     /* 2253651 */ GIM_Try, /*On fail goto*//*Label 30171*/ GIMT_Encode4(2253699), // Rule ID 48538 //
     /* 2253656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2253662 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2253665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253669 */   // MIs[0] Operand 1
     /* 2253669 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253674 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253678 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253682 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2253685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253687 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253689 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253698 */   // GIR_Coverage, 48538,
     /* 2253698 */   GIR_EraseRootFromParent_Done,
     /* 2253699 */ // Label 30171: @2253699
     /* 2253699 */ GIM_Try, /*On fail goto*//*Label 30172*/ GIMT_Encode4(2253747), // Rule ID 48539 //
     /* 2253704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2253710 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2253713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253717 */   // MIs[0] Operand 1
     /* 2253717 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253726 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253730 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2253733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253735 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253737 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253746 */   // GIR_Coverage, 48539,
     /* 2253746 */   GIR_EraseRootFromParent_Done,
     /* 2253747 */ // Label 30172: @2253747
     /* 2253747 */ GIM_Try, /*On fail goto*//*Label 30173*/ GIMT_Encode4(2253795), // Rule ID 48548 //
     /* 2253752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2253758 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2253761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253765 */   // MIs[0] Operand 1
     /* 2253765 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253774 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253778 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2253781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253783 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253785 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253794 */   // GIR_Coverage, 48548,
     /* 2253794 */   GIR_EraseRootFromParent_Done,
     /* 2253795 */ // Label 30173: @2253795
     /* 2253795 */ GIM_Try, /*On fail goto*//*Label 30174*/ GIMT_Encode4(2253843), // Rule ID 48549 //
     /* 2253800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2253806 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2253809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253813 */   // MIs[0] Operand 1
     /* 2253813 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253822 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253826 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2253829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253831 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253833 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253842 */   // GIR_Coverage, 48549,
     /* 2253842 */   GIR_EraseRootFromParent_Done,
     /* 2253843 */ // Label 30174: @2253843
     /* 2253843 */ GIM_Try, /*On fail goto*//*Label 30175*/ GIMT_Encode4(2253891), // Rule ID 48566 //
     /* 2253848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2253854 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2253857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253861 */   // MIs[0] Operand 1
     /* 2253861 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253866 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253870 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253874 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2253877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253879 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253881 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253889 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253890 */   // GIR_Coverage, 48566,
     /* 2253890 */   GIR_EraseRootFromParent_Done,
     /* 2253891 */ // Label 30175: @2253891
     /* 2253891 */ GIM_Try, /*On fail goto*//*Label 30176*/ GIMT_Encode4(2253939), // Rule ID 48567 //
     /* 2253896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2253902 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2253905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253909 */   // MIs[0] Operand 1
     /* 2253909 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253918 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253922 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2253925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253927 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253929 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253938 */   // GIR_Coverage, 48567,
     /* 2253938 */   GIR_EraseRootFromParent_Done,
     /* 2253939 */ // Label 30176: @2253939
     /* 2253939 */ GIM_Try, /*On fail goto*//*Label 30177*/ GIMT_Encode4(2253987), // Rule ID 48574 //
     /* 2253944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2253947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2253950 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2253953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253957 */   // MIs[0] Operand 1
     /* 2253957 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253966 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253970 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2253973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253975 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253977 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253985 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253986 */   // GIR_Coverage, 48574,
     /* 2253986 */   GIR_EraseRootFromParent_Done,
     /* 2253987 */ // Label 30177: @2253987
     /* 2253987 */ GIM_Try, /*On fail goto*//*Label 30178*/ GIMT_Encode4(2254035), // Rule ID 48575 //
     /* 2253992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2253995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2253998 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2254001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254005 */   // MIs[0] Operand 1
     /* 2254005 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2254010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254014 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254018 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2254021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254023 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254025 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254033 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254034 */   // GIR_Coverage, 48575,
     /* 2254034 */   GIR_EraseRootFromParent_Done,
     /* 2254035 */ // Label 30178: @2254035
     /* 2254035 */ GIM_Try, /*On fail goto*//*Label 30179*/ GIMT_Encode4(2254083), // Rule ID 48582 //
     /* 2254040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2254046 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2254049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254053 */   // MIs[0] Operand 1
     /* 2254053 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254062 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254066 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2254069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254071 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254073 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254082 */   // GIR_Coverage, 48582,
     /* 2254082 */   GIR_EraseRootFromParent_Done,
     /* 2254083 */ // Label 30179: @2254083
     /* 2254083 */ GIM_Try, /*On fail goto*//*Label 30180*/ GIMT_Encode4(2254131), // Rule ID 48583 //
     /* 2254088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2254094 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2254097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254101 */   // MIs[0] Operand 1
     /* 2254101 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254110 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254114 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2254117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254119 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254121 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254130 */   // GIR_Coverage, 48583,
     /* 2254130 */   GIR_EraseRootFromParent_Done,
     /* 2254131 */ // Label 30180: @2254131
     /* 2254131 */ GIM_Try, /*On fail goto*//*Label 30181*/ GIMT_Encode4(2254179), // Rule ID 48592 //
     /* 2254136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2254142 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2254145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254149 */   // MIs[0] Operand 1
     /* 2254149 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254158 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254162 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2254165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254167 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254169 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254177 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254178 */   // GIR_Coverage, 48592,
     /* 2254178 */   GIR_EraseRootFromParent_Done,
     /* 2254179 */ // Label 30181: @2254179
     /* 2254179 */ GIM_Try, /*On fail goto*//*Label 30182*/ GIMT_Encode4(2254227), // Rule ID 48593 //
     /* 2254184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2254190 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2254193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254197 */   // MIs[0] Operand 1
     /* 2254197 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254206 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254210 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2254213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254215 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254217 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254225 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254226 */   // GIR_Coverage, 48593,
     /* 2254226 */   GIR_EraseRootFromParent_Done,
     /* 2254227 */ // Label 30182: @2254227
     /* 2254227 */ GIM_Try, /*On fail goto*//*Label 30183*/ GIMT_Encode4(2254275), // Rule ID 48610 //
     /* 2254232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2254238 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2254241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254245 */   // MIs[0] Operand 1
     /* 2254245 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254254 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254258 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2254261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254263 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254265 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254274 */   // GIR_Coverage, 48610,
     /* 2254274 */   GIR_EraseRootFromParent_Done,
     /* 2254275 */ // Label 30183: @2254275
     /* 2254275 */ GIM_Try, /*On fail goto*//*Label 30184*/ GIMT_Encode4(2254323), // Rule ID 48611 //
     /* 2254280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2254286 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2254289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254293 */   // MIs[0] Operand 1
     /* 2254293 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254302 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254306 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2254309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254311 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254313 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254321 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254322 */   // GIR_Coverage, 48611,
     /* 2254322 */   GIR_EraseRootFromParent_Done,
     /* 2254323 */ // Label 30184: @2254323
     /* 2254323 */ GIM_Try, /*On fail goto*//*Label 30185*/ GIMT_Encode4(2254371), // Rule ID 48618 //
     /* 2254328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2254331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2254334 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2254337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254341 */   // MIs[0] Operand 1
     /* 2254341 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254350 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254354 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2254357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254359 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254361 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254370 */   // GIR_Coverage, 48618,
     /* 2254370 */   GIR_EraseRootFromParent_Done,
     /* 2254371 */ // Label 30185: @2254371
     /* 2254371 */ GIM_Try, /*On fail goto*//*Label 30186*/ GIMT_Encode4(2254419), // Rule ID 48619 //
     /* 2254376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2254379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2254382 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2254385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254389 */   // MIs[0] Operand 1
     /* 2254389 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254398 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254402 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2254405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254407 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254409 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254418 */   // GIR_Coverage, 48619,
     /* 2254418 */   GIR_EraseRootFromParent_Done,
     /* 2254419 */ // Label 30186: @2254419
     /* 2254419 */ GIM_Try, /*On fail goto*//*Label 30187*/ GIMT_Encode4(2254467), // Rule ID 48624 //
     /* 2254424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2254430 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2254433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254437 */   // MIs[0] Operand 1
     /* 2254437 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254446 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254450 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2254453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254455 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254457 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254465 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254466 */   // GIR_Coverage, 48624,
     /* 2254466 */   GIR_EraseRootFromParent_Done,
     /* 2254467 */ // Label 30187: @2254467
     /* 2254467 */ GIM_Try, /*On fail goto*//*Label 30188*/ GIMT_Encode4(2254515), // Rule ID 48625 //
     /* 2254472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2254478 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2254481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254485 */   // MIs[0] Operand 1
     /* 2254485 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254494 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254498 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2254501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254503 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254505 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254514 */   // GIR_Coverage, 48625,
     /* 2254514 */   GIR_EraseRootFromParent_Done,
     /* 2254515 */ // Label 30188: @2254515
     /* 2254515 */ GIM_Try, /*On fail goto*//*Label 30189*/ GIMT_Encode4(2254563), // Rule ID 48634 //
     /* 2254520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2254526 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2254529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254533 */   // MIs[0] Operand 1
     /* 2254533 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254542 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254546 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2254549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254551 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254553 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254561 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254562 */   // GIR_Coverage, 48634,
     /* 2254562 */   GIR_EraseRootFromParent_Done,
     /* 2254563 */ // Label 30189: @2254563
     /* 2254563 */ GIM_Try, /*On fail goto*//*Label 30190*/ GIMT_Encode4(2254611), // Rule ID 48635 //
     /* 2254568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2254574 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2254577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254581 */   // MIs[0] Operand 1
     /* 2254581 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254590 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254594 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2254597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254599 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254601 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254609 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254610 */   // GIR_Coverage, 48635,
     /* 2254610 */   GIR_EraseRootFromParent_Done,
     /* 2254611 */ // Label 30190: @2254611
     /* 2254611 */ GIM_Try, /*On fail goto*//*Label 30191*/ GIMT_Encode4(2254659), // Rule ID 48652 //
     /* 2254616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2254622 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2254625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254629 */   // MIs[0] Operand 1
     /* 2254629 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254638 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254642 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2254645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254647 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254649 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254658 */   // GIR_Coverage, 48652,
     /* 2254658 */   GIR_EraseRootFromParent_Done,
     /* 2254659 */ // Label 30191: @2254659
     /* 2254659 */ GIM_Try, /*On fail goto*//*Label 30192*/ GIMT_Encode4(2254707), // Rule ID 48653 //
     /* 2254664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2254670 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2254673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254677 */   // MIs[0] Operand 1
     /* 2254677 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254686 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254690 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2254693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254695 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254697 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254706 */   // GIR_Coverage, 48653,
     /* 2254706 */   GIR_EraseRootFromParent_Done,
     /* 2254707 */ // Label 30192: @2254707
     /* 2254707 */ GIM_Try, /*On fail goto*//*Label 30193*/ GIMT_Encode4(2254755), // Rule ID 48660 //
     /* 2254712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2254715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2254718 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2254721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254725 */   // MIs[0] Operand 1
     /* 2254725 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254734 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254738 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2254741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254743 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254745 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254754 */   // GIR_Coverage, 48660,
     /* 2254754 */   GIR_EraseRootFromParent_Done,
     /* 2254755 */ // Label 30193: @2254755
     /* 2254755 */ GIM_Try, /*On fail goto*//*Label 30194*/ GIMT_Encode4(2254803), // Rule ID 48661 //
     /* 2254760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2254763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2254766 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2254769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254773 */   // MIs[0] Operand 1
     /* 2254773 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254778 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254782 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254786 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2254789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254791 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254793 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254801 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254802 */   // GIR_Coverage, 48661,
     /* 2254802 */   GIR_EraseRootFromParent_Done,
     /* 2254803 */ // Label 30194: @2254803
     /* 2254803 */ GIM_Try, /*On fail goto*//*Label 30195*/ GIMT_Encode4(2254851), // Rule ID 48668 //
     /* 2254808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2254814 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2254817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254821 */   // MIs[0] Operand 1
     /* 2254821 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254826 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254830 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254834 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2254837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254839 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254841 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254849 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254850 */   // GIR_Coverage, 48668,
     /* 2254850 */   GIR_EraseRootFromParent_Done,
     /* 2254851 */ // Label 30195: @2254851
     /* 2254851 */ GIM_Try, /*On fail goto*//*Label 30196*/ GIMT_Encode4(2254899), // Rule ID 48669 //
     /* 2254856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2254862 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2254865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254869 */   // MIs[0] Operand 1
     /* 2254869 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254878 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254882 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2254885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254887 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254889 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254897 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254898 */   // GIR_Coverage, 48669,
     /* 2254898 */   GIR_EraseRootFromParent_Done,
     /* 2254899 */ // Label 30196: @2254899
     /* 2254899 */ GIM_Try, /*On fail goto*//*Label 30197*/ GIMT_Encode4(2254947), // Rule ID 48678 //
     /* 2254904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2254910 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2254913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254917 */   // MIs[0] Operand 1
     /* 2254917 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254926 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254930 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2254933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254935 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254937 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254945 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254946 */   // GIR_Coverage, 48678,
     /* 2254946 */   GIR_EraseRootFromParent_Done,
     /* 2254947 */ // Label 30197: @2254947
     /* 2254947 */ GIM_Try, /*On fail goto*//*Label 30198*/ GIMT_Encode4(2254995), // Rule ID 48679 //
     /* 2254952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2254958 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2254961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254965 */   // MIs[0] Operand 1
     /* 2254965 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254970 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254974 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254978 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2254981 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254983 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254985 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254994 */   // GIR_Coverage, 48679,
     /* 2254994 */   GIR_EraseRootFromParent_Done,
     /* 2254995 */ // Label 30198: @2254995
     /* 2254995 */ GIM_Try, /*On fail goto*//*Label 30199*/ GIMT_Encode4(2255043), // Rule ID 48696 //
     /* 2255000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255006 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255013 */   // MIs[0] Operand 1
     /* 2255013 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2255018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255022 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255026 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2255029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255031 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255033 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255041 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255042 */   // GIR_Coverage, 48696,
     /* 2255042 */   GIR_EraseRootFromParent_Done,
     /* 2255043 */ // Label 30199: @2255043
     /* 2255043 */ GIM_Try, /*On fail goto*//*Label 30200*/ GIMT_Encode4(2255091), // Rule ID 48697 //
     /* 2255048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255054 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255061 */   // MIs[0] Operand 1
     /* 2255061 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2255066 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255070 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255074 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2255077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255079 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255081 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255090 */   // GIR_Coverage, 48697,
     /* 2255090 */   GIR_EraseRootFromParent_Done,
     /* 2255091 */ // Label 30200: @2255091
     /* 2255091 */ GIM_Try, /*On fail goto*//*Label 30201*/ GIMT_Encode4(2255139), // Rule ID 48704 //
     /* 2255096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2255099 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255102 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255109 */   // MIs[0] Operand 1
     /* 2255109 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2255114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255118 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255122 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2255125 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255127 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255129 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255138 */   // GIR_Coverage, 48704,
     /* 2255138 */   GIR_EraseRootFromParent_Done,
     /* 2255139 */ // Label 30201: @2255139
     /* 2255139 */ GIM_Try, /*On fail goto*//*Label 30202*/ GIMT_Encode4(2255187), // Rule ID 48705 //
     /* 2255144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2255147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255150 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255157 */   // MIs[0] Operand 1
     /* 2255157 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2255162 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255166 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255170 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2255173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255175 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255177 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255185 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255186 */   // GIR_Coverage, 48705,
     /* 2255186 */   GIR_EraseRootFromParent_Done,
     /* 2255187 */ // Label 30202: @2255187
     /* 2255187 */ GIM_Try, /*On fail goto*//*Label 30203*/ GIMT_Encode4(2255235), // Rule ID 48712 //
     /* 2255192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2255198 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2255201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255205 */   // MIs[0] Operand 1
     /* 2255205 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255214 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255218 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2255221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255223 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255225 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255233 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255234 */   // GIR_Coverage, 48712,
     /* 2255234 */   GIR_EraseRootFromParent_Done,
     /* 2255235 */ // Label 30203: @2255235
     /* 2255235 */ GIM_Try, /*On fail goto*//*Label 30204*/ GIMT_Encode4(2255283), // Rule ID 48713 //
     /* 2255240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2255246 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2255249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255253 */   // MIs[0] Operand 1
     /* 2255253 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255262 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255266 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2255269 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255271 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255273 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255281 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255282 */   // GIR_Coverage, 48713,
     /* 2255282 */   GIR_EraseRootFromParent_Done,
     /* 2255283 */ // Label 30204: @2255283
     /* 2255283 */ GIM_Try, /*On fail goto*//*Label 30205*/ GIMT_Encode4(2255331), // Rule ID 48722 //
     /* 2255288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255294 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255301 */   // MIs[0] Operand 1
     /* 2255301 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255306 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255310 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255314 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2255317 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255319 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255321 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255329 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255330 */   // GIR_Coverage, 48722,
     /* 2255330 */   GIR_EraseRootFromParent_Done,
     /* 2255331 */ // Label 30205: @2255331
     /* 2255331 */ GIM_Try, /*On fail goto*//*Label 30206*/ GIMT_Encode4(2255379), // Rule ID 48723 //
     /* 2255336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255342 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255349 */   // MIs[0] Operand 1
     /* 2255349 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255358 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255362 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2255365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255367 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255369 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255377 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255378 */   // GIR_Coverage, 48723,
     /* 2255378 */   GIR_EraseRootFromParent_Done,
     /* 2255379 */ // Label 30206: @2255379
     /* 2255379 */ GIM_Try, /*On fail goto*//*Label 30207*/ GIMT_Encode4(2255427), // Rule ID 48740 //
     /* 2255384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255387 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255390 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255397 */   // MIs[0] Operand 1
     /* 2255397 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255406 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255410 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255410 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2255413 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255415 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255417 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255426 */   // GIR_Coverage, 48740,
     /* 2255426 */   GIR_EraseRootFromParent_Done,
     /* 2255427 */ // Label 30207: @2255427
     /* 2255427 */ GIM_Try, /*On fail goto*//*Label 30208*/ GIMT_Encode4(2255475), // Rule ID 48741 //
     /* 2255432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255438 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255445 */   // MIs[0] Operand 1
     /* 2255445 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255454 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255458 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2255461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255463 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255465 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255473 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255474 */   // GIR_Coverage, 48741,
     /* 2255474 */   GIR_EraseRootFromParent_Done,
     /* 2255475 */ // Label 30208: @2255475
     /* 2255475 */ GIM_Try, /*On fail goto*//*Label 30209*/ GIMT_Encode4(2255523), // Rule ID 48748 //
     /* 2255480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2255483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255486 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255493 */   // MIs[0] Operand 1
     /* 2255493 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255498 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255502 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255506 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2255509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255511 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255513 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255521 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255522 */   // GIR_Coverage, 48748,
     /* 2255522 */   GIR_EraseRootFromParent_Done,
     /* 2255523 */ // Label 30209: @2255523
     /* 2255523 */ GIM_Try, /*On fail goto*//*Label 30210*/ GIMT_Encode4(2255571), // Rule ID 48749 //
     /* 2255528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2255531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255534 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255541 */   // MIs[0] Operand 1
     /* 2255541 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255546 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255550 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255554 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2255557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255559 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255561 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255569 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255570 */   // GIR_Coverage, 48749,
     /* 2255570 */   GIR_EraseRootFromParent_Done,
     /* 2255571 */ // Label 30210: @2255571
     /* 2255571 */ GIM_Try, /*On fail goto*//*Label 30211*/ GIMT_Encode4(2255619), // Rule ID 48756 //
     /* 2255576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2255582 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2255585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255589 */   // MIs[0] Operand 1
     /* 2255589 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255598 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255602 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2255605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255607 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255609 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255617 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255618 */   // GIR_Coverage, 48756,
     /* 2255618 */   GIR_EraseRootFromParent_Done,
     /* 2255619 */ // Label 30211: @2255619
     /* 2255619 */ GIM_Try, /*On fail goto*//*Label 30212*/ GIMT_Encode4(2255667), // Rule ID 48757 //
     /* 2255624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2255630 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2255633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255637 */   // MIs[0] Operand 1
     /* 2255637 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255642 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255646 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255650 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2255653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255655 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255657 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255665 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255666 */   // GIR_Coverage, 48757,
     /* 2255666 */   GIR_EraseRootFromParent_Done,
     /* 2255667 */ // Label 30212: @2255667
     /* 2255667 */ GIM_Try, /*On fail goto*//*Label 30213*/ GIMT_Encode4(2255715), // Rule ID 48766 //
     /* 2255672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255678 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255685 */   // MIs[0] Operand 1
     /* 2255685 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255694 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255698 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2255701 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255703 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255705 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255714 */   // GIR_Coverage, 48766,
     /* 2255714 */   GIR_EraseRootFromParent_Done,
     /* 2255715 */ // Label 30213: @2255715
     /* 2255715 */ GIM_Try, /*On fail goto*//*Label 30214*/ GIMT_Encode4(2255763), // Rule ID 48767 //
     /* 2255720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255726 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255733 */   // MIs[0] Operand 1
     /* 2255733 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255742 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255746 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2255749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255751 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255753 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255762 */   // GIR_Coverage, 48767,
     /* 2255762 */   GIR_EraseRootFromParent_Done,
     /* 2255763 */ // Label 30214: @2255763
     /* 2255763 */ GIM_Try, /*On fail goto*//*Label 30215*/ GIMT_Encode4(2255811), // Rule ID 48784 //
     /* 2255768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255774 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255781 */   // MIs[0] Operand 1
     /* 2255781 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255786 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255790 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255794 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2255797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255799 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255801 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255809 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255810 */   // GIR_Coverage, 48784,
     /* 2255810 */   GIR_EraseRootFromParent_Done,
     /* 2255811 */ // Label 30215: @2255811
     /* 2255811 */ GIM_Try, /*On fail goto*//*Label 30216*/ GIMT_Encode4(2255859), // Rule ID 48785 //
     /* 2255816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255822 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255829 */   // MIs[0] Operand 1
     /* 2255829 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255838 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255842 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2255845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255847 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255849 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255858 */   // GIR_Coverage, 48785,
     /* 2255858 */   GIR_EraseRootFromParent_Done,
     /* 2255859 */ // Label 30216: @2255859
     /* 2255859 */ GIM_Try, /*On fail goto*//*Label 30217*/ GIMT_Encode4(2255907), // Rule ID 48792 //
     /* 2255864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2255867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255870 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255877 */   // MIs[0] Operand 1
     /* 2255877 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255886 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255890 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2255893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255895 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255897 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255905 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255906 */   // GIR_Coverage, 48792,
     /* 2255906 */   GIR_EraseRootFromParent_Done,
     /* 2255907 */ // Label 30217: @2255907
     /* 2255907 */ GIM_Try, /*On fail goto*//*Label 30218*/ GIMT_Encode4(2255955), // Rule ID 48793 //
     /* 2255912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2255915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255918 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255925 */   // MIs[0] Operand 1
     /* 2255925 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255934 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255938 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2255941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255943 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255945 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255953 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255954 */   // GIR_Coverage, 48793,
     /* 2255954 */   GIR_EraseRootFromParent_Done,
     /* 2255955 */ // Label 30218: @2255955
     /* 2255955 */ GIM_Try, /*On fail goto*//*Label 30219*/ GIMT_Encode4(2256003), // Rule ID 48800 //
     /* 2255960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2255966 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2255969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255973 */   // MIs[0] Operand 1
     /* 2255973 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2255978 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255982 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255986 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2255989 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255991 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255993 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256002 */   // GIR_Coverage, 48800,
     /* 2256002 */   GIR_EraseRootFromParent_Done,
     /* 2256003 */ // Label 30219: @2256003
     /* 2256003 */ GIM_Try, /*On fail goto*//*Label 30220*/ GIMT_Encode4(2256051), // Rule ID 48801 //
     /* 2256008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2256014 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2256017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256021 */   // MIs[0] Operand 1
     /* 2256021 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2256026 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256030 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256034 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2256037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256039 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256041 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256050 */   // GIR_Coverage, 48801,
     /* 2256050 */   GIR_EraseRootFromParent_Done,
     /* 2256051 */ // Label 30220: @2256051
     /* 2256051 */ GIM_Try, /*On fail goto*//*Label 30221*/ GIMT_Encode4(2256099), // Rule ID 48810 //
     /* 2256056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256062 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256069 */   // MIs[0] Operand 1
     /* 2256069 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2256074 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256078 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256082 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2256085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256087 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256089 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256097 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256098 */   // GIR_Coverage, 48810,
     /* 2256098 */   GIR_EraseRootFromParent_Done,
     /* 2256099 */ // Label 30221: @2256099
     /* 2256099 */ GIM_Try, /*On fail goto*//*Label 30222*/ GIMT_Encode4(2256147), // Rule ID 48811 //
     /* 2256104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256110 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256117 */   // MIs[0] Operand 1
     /* 2256117 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2256122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256126 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256130 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2256133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256135 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256137 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256146 */   // GIR_Coverage, 48811,
     /* 2256146 */   GIR_EraseRootFromParent_Done,
     /* 2256147 */ // Label 30222: @2256147
     /* 2256147 */ GIM_Try, /*On fail goto*//*Label 30223*/ GIMT_Encode4(2256195), // Rule ID 48828 //
     /* 2256152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256158 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256165 */   // MIs[0] Operand 1
     /* 2256165 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2256170 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256174 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256178 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2256181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256183 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256185 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256194 */   // GIR_Coverage, 48828,
     /* 2256194 */   GIR_EraseRootFromParent_Done,
     /* 2256195 */ // Label 30223: @2256195
     /* 2256195 */ GIM_Try, /*On fail goto*//*Label 30224*/ GIMT_Encode4(2256243), // Rule ID 48829 //
     /* 2256200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256206 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256213 */   // MIs[0] Operand 1
     /* 2256213 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2256218 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256222 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256226 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2256229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256231 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256233 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256241 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256242 */   // GIR_Coverage, 48829,
     /* 2256242 */   GIR_EraseRootFromParent_Done,
     /* 2256243 */ // Label 30224: @2256243
     /* 2256243 */ GIM_Try, /*On fail goto*//*Label 30225*/ GIMT_Encode4(2256291), // Rule ID 48836 //
     /* 2256248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2256251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256254 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256261 */   // MIs[0] Operand 1
     /* 2256261 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2256266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256270 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256274 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2256277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256279 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256289 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256290 */   // GIR_Coverage, 48836,
     /* 2256290 */   GIR_EraseRootFromParent_Done,
     /* 2256291 */ // Label 30225: @2256291
     /* 2256291 */ GIM_Try, /*On fail goto*//*Label 30226*/ GIMT_Encode4(2256339), // Rule ID 48837 //
     /* 2256296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2256299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256302 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256309 */   // MIs[0] Operand 1
     /* 2256309 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2256314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256318 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256322 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2256325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256327 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256329 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256338 */   // GIR_Coverage, 48837,
     /* 2256338 */   GIR_EraseRootFromParent_Done,
     /* 2256339 */ // Label 30226: @2256339
     /* 2256339 */ GIM_Try, /*On fail goto*//*Label 30227*/ GIMT_Encode4(2256387), // Rule ID 48844 //
     /* 2256344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2256350 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2256353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256357 */   // MIs[0] Operand 1
     /* 2256357 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256366 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256370 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2256373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256375 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256377 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256385 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256386 */   // GIR_Coverage, 48844,
     /* 2256386 */   GIR_EraseRootFromParent_Done,
     /* 2256387 */ // Label 30227: @2256387
     /* 2256387 */ GIM_Try, /*On fail goto*//*Label 30228*/ GIMT_Encode4(2256435), // Rule ID 48845 //
     /* 2256392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2256398 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2256401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256405 */   // MIs[0] Operand 1
     /* 2256405 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256414 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256418 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2256421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256423 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256425 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256434 */   // GIR_Coverage, 48845,
     /* 2256434 */   GIR_EraseRootFromParent_Done,
     /* 2256435 */ // Label 30228: @2256435
     /* 2256435 */ GIM_Try, /*On fail goto*//*Label 30229*/ GIMT_Encode4(2256483), // Rule ID 48854 //
     /* 2256440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256446 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256453 */   // MIs[0] Operand 1
     /* 2256453 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256462 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256466 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2256469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256471 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256473 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256481 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256482 */   // GIR_Coverage, 48854,
     /* 2256482 */   GIR_EraseRootFromParent_Done,
     /* 2256483 */ // Label 30229: @2256483
     /* 2256483 */ GIM_Try, /*On fail goto*//*Label 30230*/ GIMT_Encode4(2256531), // Rule ID 48855 //
     /* 2256488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256494 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256501 */   // MIs[0] Operand 1
     /* 2256501 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256506 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256510 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256514 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2256517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256519 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256521 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256530 */   // GIR_Coverage, 48855,
     /* 2256530 */   GIR_EraseRootFromParent_Done,
     /* 2256531 */ // Label 30230: @2256531
     /* 2256531 */ GIM_Try, /*On fail goto*//*Label 30231*/ GIMT_Encode4(2256579), // Rule ID 48872 //
     /* 2256536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256542 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256549 */   // MIs[0] Operand 1
     /* 2256549 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256558 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256562 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2256565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256567 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256569 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256577 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256578 */   // GIR_Coverage, 48872,
     /* 2256578 */   GIR_EraseRootFromParent_Done,
     /* 2256579 */ // Label 30231: @2256579
     /* 2256579 */ GIM_Try, /*On fail goto*//*Label 30232*/ GIMT_Encode4(2256627), // Rule ID 48873 //
     /* 2256584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256590 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256597 */   // MIs[0] Operand 1
     /* 2256597 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256606 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256610 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2256613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256615 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256617 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256625 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256626 */   // GIR_Coverage, 48873,
     /* 2256626 */   GIR_EraseRootFromParent_Done,
     /* 2256627 */ // Label 30232: @2256627
     /* 2256627 */ GIM_Try, /*On fail goto*//*Label 30233*/ GIMT_Encode4(2256675), // Rule ID 48880 //
     /* 2256632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2256635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256638 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256645 */   // MIs[0] Operand 1
     /* 2256645 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256654 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256658 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2256661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256663 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256665 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256673 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256674 */   // GIR_Coverage, 48880,
     /* 2256674 */   GIR_EraseRootFromParent_Done,
     /* 2256675 */ // Label 30233: @2256675
     /* 2256675 */ GIM_Try, /*On fail goto*//*Label 30234*/ GIMT_Encode4(2256723), // Rule ID 48881 //
     /* 2256680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2256683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256686 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256693 */   // MIs[0] Operand 1
     /* 2256693 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256702 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256706 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2256709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256711 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256713 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256722 */   // GIR_Coverage, 48881,
     /* 2256722 */   GIR_EraseRootFromParent_Done,
     /* 2256723 */ // Label 30234: @2256723
     /* 2256723 */ GIM_Try, /*On fail goto*//*Label 30235*/ GIMT_Encode4(2256771), // Rule ID 48888 //
     /* 2256728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2256734 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2256737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256741 */   // MIs[0] Operand 1
     /* 2256741 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256746 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256750 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256754 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2256757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256759 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256761 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256770 */   // GIR_Coverage, 48888,
     /* 2256770 */   GIR_EraseRootFromParent_Done,
     /* 2256771 */ // Label 30235: @2256771
     /* 2256771 */ GIM_Try, /*On fail goto*//*Label 30236*/ GIMT_Encode4(2256819), // Rule ID 48889 //
     /* 2256776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2256782 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2256785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256789 */   // MIs[0] Operand 1
     /* 2256789 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256794 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256798 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256802 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2256805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256807 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256809 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256817 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256818 */   // GIR_Coverage, 48889,
     /* 2256818 */   GIR_EraseRootFromParent_Done,
     /* 2256819 */ // Label 30236: @2256819
     /* 2256819 */ GIM_Try, /*On fail goto*//*Label 30237*/ GIMT_Encode4(2256867), // Rule ID 48898 //
     /* 2256824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256830 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256837 */   // MIs[0] Operand 1
     /* 2256837 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256846 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256850 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2256853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256855 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256857 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256866 */   // GIR_Coverage, 48898,
     /* 2256866 */   GIR_EraseRootFromParent_Done,
     /* 2256867 */ // Label 30237: @2256867
     /* 2256867 */ GIM_Try, /*On fail goto*//*Label 30238*/ GIMT_Encode4(2256915), // Rule ID 48899 //
     /* 2256872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256878 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256885 */   // MIs[0] Operand 1
     /* 2256885 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256894 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256898 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2256901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256903 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256905 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256914 */   // GIR_Coverage, 48899,
     /* 2256914 */   GIR_EraseRootFromParent_Done,
     /* 2256915 */ // Label 30238: @2256915
     /* 2256915 */ GIM_Try, /*On fail goto*//*Label 30239*/ GIMT_Encode4(2256963), // Rule ID 48916 //
     /* 2256920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256926 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256933 */   // MIs[0] Operand 1
     /* 2256933 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256938 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256942 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256946 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2256949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256951 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256953 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256962 */   // GIR_Coverage, 48916,
     /* 2256962 */   GIR_EraseRootFromParent_Done,
     /* 2256963 */ // Label 30239: @2256963
     /* 2256963 */ GIM_Try, /*On fail goto*//*Label 30240*/ GIMT_Encode4(2257011), // Rule ID 48917 //
     /* 2256968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256974 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256981 */   // MIs[0] Operand 1
     /* 2256981 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256990 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256994 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2256997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256999 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257001 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257010 */   // GIR_Coverage, 48917,
     /* 2257010 */   GIR_EraseRootFromParent_Done,
     /* 2257011 */ // Label 30240: @2257011
     /* 2257011 */ GIM_Try, /*On fail goto*//*Label 30241*/ GIMT_Encode4(2257059), // Rule ID 48924 //
     /* 2257016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2257019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2257022 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2257025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257029 */   // MIs[0] Operand 1
     /* 2257029 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2257034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257038 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257042 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2257045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257047 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257049 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257057 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257058 */   // GIR_Coverage, 48924,
     /* 2257058 */   GIR_EraseRootFromParent_Done,
     /* 2257059 */ // Label 30241: @2257059
     /* 2257059 */ GIM_Try, /*On fail goto*//*Label 30242*/ GIMT_Encode4(2257107), // Rule ID 48925 //
     /* 2257064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2257067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2257070 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2257073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257077 */   // MIs[0] Operand 1
     /* 2257077 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2257082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257086 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257090 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2257093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257095 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257097 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257105 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257106 */   // GIR_Coverage, 48925,
     /* 2257106 */   GIR_EraseRootFromParent_Done,
     /* 2257107 */ // Label 30242: @2257107
     /* 2257107 */ GIM_Reject,
     /* 2257108 */ // Label 29900: @2257108
     /* 2257108 */ GIM_Try, /*On fail goto*//*Label 30243*/ GIMT_Encode4(2257156), // Rule ID 48502 //
     /* 2257113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2257119 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2257122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257126 */   // MIs[0] Operand 1
     /* 2257126 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257135 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257139 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2257142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257144 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257146 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257154 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257155 */   // GIR_Coverage, 48502,
     /* 2257155 */   GIR_EraseRootFromParent_Done,
     /* 2257156 */ // Label 30243: @2257156
     /* 2257156 */ GIM_Try, /*On fail goto*//*Label 30244*/ GIMT_Encode4(2257204), // Rule ID 48503 //
     /* 2257161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2257167 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2257170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257174 */   // MIs[0] Operand 1
     /* 2257174 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257183 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257187 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2257190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257192 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257194 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257203 */   // GIR_Coverage, 48503,
     /* 2257203 */   GIR_EraseRootFromParent_Done,
     /* 2257204 */ // Label 30244: @2257204
     /* 2257204 */ GIM_Try, /*On fail goto*//*Label 30245*/ GIMT_Encode4(2257252), // Rule ID 48516 //
     /* 2257209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257215 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257222 */   // MIs[0] Operand 1
     /* 2257222 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257231 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257235 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2257238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257240 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257242 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257251 */   // GIR_Coverage, 48516,
     /* 2257251 */   GIR_EraseRootFromParent_Done,
     /* 2257252 */ // Label 30245: @2257252
     /* 2257252 */ GIM_Try, /*On fail goto*//*Label 30246*/ GIMT_Encode4(2257300), // Rule ID 48517 //
     /* 2257257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257263 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257270 */   // MIs[0] Operand 1
     /* 2257270 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257279 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257283 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2257286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257288 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257290 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257298 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257299 */   // GIR_Coverage, 48517,
     /* 2257299 */   GIR_EraseRootFromParent_Done,
     /* 2257300 */ // Label 30246: @2257300
     /* 2257300 */ GIM_Try, /*On fail goto*//*Label 30247*/ GIMT_Encode4(2257348), // Rule ID 48524 //
     /* 2257305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257311 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257318 */   // MIs[0] Operand 1
     /* 2257318 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257327 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257331 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2257334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257336 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257338 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257347 */   // GIR_Coverage, 48524,
     /* 2257347 */   GIR_EraseRootFromParent_Done,
     /* 2257348 */ // Label 30247: @2257348
     /* 2257348 */ GIM_Try, /*On fail goto*//*Label 30248*/ GIMT_Encode4(2257396), // Rule ID 48525 //
     /* 2257353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257359 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257366 */   // MIs[0] Operand 1
     /* 2257366 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257375 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257379 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2257382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257384 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257386 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257394 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257395 */   // GIR_Coverage, 48525,
     /* 2257395 */   GIR_EraseRootFromParent_Done,
     /* 2257396 */ // Label 30248: @2257396
     /* 2257396 */ GIM_Try, /*On fail goto*//*Label 30249*/ GIMT_Encode4(2257444), // Rule ID 48532 //
     /* 2257401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2257404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257407 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257414 */   // MIs[0] Operand 1
     /* 2257414 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257419 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257423 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257427 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2257430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257432 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257434 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257443 */   // GIR_Coverage, 48532,
     /* 2257443 */   GIR_EraseRootFromParent_Done,
     /* 2257444 */ // Label 30249: @2257444
     /* 2257444 */ GIM_Try, /*On fail goto*//*Label 30250*/ GIMT_Encode4(2257492), // Rule ID 48533 //
     /* 2257449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2257452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257455 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257462 */   // MIs[0] Operand 1
     /* 2257462 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257471 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257475 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2257478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257480 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257482 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257491 */   // GIR_Coverage, 48533,
     /* 2257491 */   GIR_EraseRootFromParent_Done,
     /* 2257492 */ // Label 30250: @2257492
     /* 2257492 */ GIM_Try, /*On fail goto*//*Label 30251*/ GIMT_Encode4(2257540), // Rule ID 48546 //
     /* 2257497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2257503 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2257506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257510 */   // MIs[0] Operand 1
     /* 2257510 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257519 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257523 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2257526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257528 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257530 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257539 */   // GIR_Coverage, 48546,
     /* 2257539 */   GIR_EraseRootFromParent_Done,
     /* 2257540 */ // Label 30251: @2257540
     /* 2257540 */ GIM_Try, /*On fail goto*//*Label 30252*/ GIMT_Encode4(2257588), // Rule ID 48547 //
     /* 2257545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2257551 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2257554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257558 */   // MIs[0] Operand 1
     /* 2257558 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257567 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257571 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2257574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257576 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257578 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257587 */   // GIR_Coverage, 48547,
     /* 2257587 */   GIR_EraseRootFromParent_Done,
     /* 2257588 */ // Label 30252: @2257588
     /* 2257588 */ GIM_Try, /*On fail goto*//*Label 30253*/ GIMT_Encode4(2257636), // Rule ID 48560 //
     /* 2257593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257599 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257606 */   // MIs[0] Operand 1
     /* 2257606 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257615 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257619 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2257622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257624 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257626 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257635 */   // GIR_Coverage, 48560,
     /* 2257635 */   GIR_EraseRootFromParent_Done,
     /* 2257636 */ // Label 30253: @2257636
     /* 2257636 */ GIM_Try, /*On fail goto*//*Label 30254*/ GIMT_Encode4(2257684), // Rule ID 48561 //
     /* 2257641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257647 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257654 */   // MIs[0] Operand 1
     /* 2257654 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257663 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257667 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2257670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257672 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257674 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257683 */   // GIR_Coverage, 48561,
     /* 2257683 */   GIR_EraseRootFromParent_Done,
     /* 2257684 */ // Label 30254: @2257684
     /* 2257684 */ GIM_Try, /*On fail goto*//*Label 30255*/ GIMT_Encode4(2257732), // Rule ID 48568 //
     /* 2257689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257695 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257702 */   // MIs[0] Operand 1
     /* 2257702 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257711 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257715 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2257718 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257720 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257722 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257731 */   // GIR_Coverage, 48568,
     /* 2257731 */   GIR_EraseRootFromParent_Done,
     /* 2257732 */ // Label 30255: @2257732
     /* 2257732 */ GIM_Try, /*On fail goto*//*Label 30256*/ GIMT_Encode4(2257780), // Rule ID 48569 //
     /* 2257737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257743 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257750 */   // MIs[0] Operand 1
     /* 2257750 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257759 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257763 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2257766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257768 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257770 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257779 */   // GIR_Coverage, 48569,
     /* 2257779 */   GIR_EraseRootFromParent_Done,
     /* 2257780 */ // Label 30256: @2257780
     /* 2257780 */ GIM_Try, /*On fail goto*//*Label 30257*/ GIMT_Encode4(2257828), // Rule ID 48576 //
     /* 2257785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2257788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257791 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257798 */   // MIs[0] Operand 1
     /* 2257798 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257807 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257811 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2257814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257816 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257818 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257827 */   // GIR_Coverage, 48576,
     /* 2257827 */   GIR_EraseRootFromParent_Done,
     /* 2257828 */ // Label 30257: @2257828
     /* 2257828 */ GIM_Try, /*On fail goto*//*Label 30258*/ GIMT_Encode4(2257876), // Rule ID 48577 //
     /* 2257833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2257836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257839 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257846 */   // MIs[0] Operand 1
     /* 2257846 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257855 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257859 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2257862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257864 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257866 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257875 */   // GIR_Coverage, 48577,
     /* 2257875 */   GIR_EraseRootFromParent_Done,
     /* 2257876 */ // Label 30258: @2257876
     /* 2257876 */ GIM_Try, /*On fail goto*//*Label 30259*/ GIMT_Encode4(2257924), // Rule ID 48590 //
     /* 2257881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2257887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2257890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257894 */   // MIs[0] Operand 1
     /* 2257894 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2257899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257903 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257907 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2257910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257912 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257914 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257922 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257923 */   // GIR_Coverage, 48590,
     /* 2257923 */   GIR_EraseRootFromParent_Done,
     /* 2257924 */ // Label 30259: @2257924
     /* 2257924 */ GIM_Try, /*On fail goto*//*Label 30260*/ GIMT_Encode4(2257972), // Rule ID 48591 //
     /* 2257929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2257935 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2257938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257942 */   // MIs[0] Operand 1
     /* 2257942 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2257947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257951 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257955 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2257958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257960 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257962 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257971 */   // GIR_Coverage, 48591,
     /* 2257971 */   GIR_EraseRootFromParent_Done,
     /* 2257972 */ // Label 30260: @2257972
     /* 2257972 */ GIM_Try, /*On fail goto*//*Label 30261*/ GIMT_Encode4(2258020), // Rule ID 48604 //
     /* 2257977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257983 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257990 */   // MIs[0] Operand 1
     /* 2257990 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2257995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257999 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258003 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2258006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258008 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258010 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258019 */   // GIR_Coverage, 48604,
     /* 2258019 */   GIR_EraseRootFromParent_Done,
     /* 2258020 */ // Label 30261: @2258020
     /* 2258020 */ GIM_Try, /*On fail goto*//*Label 30262*/ GIMT_Encode4(2258068), // Rule ID 48605 //
     /* 2258025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2258031 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2258034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258038 */   // MIs[0] Operand 1
     /* 2258038 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2258043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258047 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258051 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2258054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258056 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258058 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258067 */   // GIR_Coverage, 48605,
     /* 2258067 */   GIR_EraseRootFromParent_Done,
     /* 2258068 */ // Label 30262: @2258068
     /* 2258068 */ GIM_Try, /*On fail goto*//*Label 30263*/ GIMT_Encode4(2258116), // Rule ID 48612 //
     /* 2258073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2258079 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2258082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258086 */   // MIs[0] Operand 1
     /* 2258086 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2258091 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258095 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258099 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2258102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258104 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258106 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258115 */   // GIR_Coverage, 48612,
     /* 2258115 */   GIR_EraseRootFromParent_Done,
     /* 2258116 */ // Label 30263: @2258116
     /* 2258116 */ GIM_Try, /*On fail goto*//*Label 30264*/ GIMT_Encode4(2258164), // Rule ID 48613 //
     /* 2258121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2258127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2258130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258134 */   // MIs[0] Operand 1
     /* 2258134 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2258139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258143 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258147 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2258150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258152 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258154 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258163 */   // GIR_Coverage, 48613,
     /* 2258163 */   GIR_EraseRootFromParent_Done,
     /* 2258164 */ // Label 30264: @2258164
     /* 2258164 */ GIM_Try, /*On fail goto*//*Label 30265*/ GIMT_Encode4(2258212), // Rule ID 48620 //
     /* 2258169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2258172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2258175 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2258178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258182 */   // MIs[0] Operand 1
     /* 2258182 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2258187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258191 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258195 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2258198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258200 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258202 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258211 */   // GIR_Coverage, 48620,
     /* 2258211 */   GIR_EraseRootFromParent_Done,
     /* 2258212 */ // Label 30265: @2258212
     /* 2258212 */ GIM_Try, /*On fail goto*//*Label 30266*/ GIMT_Encode4(2258260), // Rule ID 48621 //
     /* 2258217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2258220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2258223 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2258226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258230 */   // MIs[0] Operand 1
     /* 2258230 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2258235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258239 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258243 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2258246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258248 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258250 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258259 */   // GIR_Coverage, 48621,
     /* 2258259 */   GIR_EraseRootFromParent_Done,
     /* 2258260 */ // Label 30266: @2258260
     /* 2258260 */ GIM_Try, /*On fail goto*//*Label 30267*/ GIMT_Encode4(2258308), // Rule ID 48632 //
     /* 2258265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2258271 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2258274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258278 */   // MIs[0] Operand 1
     /* 2258278 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258287 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258291 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2258294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258296 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258298 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258307 */   // GIR_Coverage, 48632,
     /* 2258307 */   GIR_EraseRootFromParent_Done,
     /* 2258308 */ // Label 30267: @2258308
     /* 2258308 */ GIM_Try, /*On fail goto*//*Label 30268*/ GIMT_Encode4(2258356), // Rule ID 48633 //
     /* 2258313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2258319 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2258322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258326 */   // MIs[0] Operand 1
     /* 2258326 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258335 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258339 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2258342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258344 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258346 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258354 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258355 */   // GIR_Coverage, 48633,
     /* 2258355 */   GIR_EraseRootFromParent_Done,
     /* 2258356 */ // Label 30268: @2258356
     /* 2258356 */ GIM_Try, /*On fail goto*//*Label 30269*/ GIMT_Encode4(2258404), // Rule ID 48646 //
     /* 2258361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2258367 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2258370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258374 */   // MIs[0] Operand 1
     /* 2258374 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258383 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258387 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2258390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258392 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258394 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258403 */   // GIR_Coverage, 48646,
     /* 2258403 */   GIR_EraseRootFromParent_Done,
     /* 2258404 */ // Label 30269: @2258404
     /* 2258404 */ GIM_Try, /*On fail goto*//*Label 30270*/ GIMT_Encode4(2258452), // Rule ID 48647 //
     /* 2258409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2258415 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2258418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258422 */   // MIs[0] Operand 1
     /* 2258422 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258431 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258435 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2258438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258440 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258442 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258451 */   // GIR_Coverage, 48647,
     /* 2258451 */   GIR_EraseRootFromParent_Done,
     /* 2258452 */ // Label 30270: @2258452
     /* 2258452 */ GIM_Try, /*On fail goto*//*Label 30271*/ GIMT_Encode4(2258500), // Rule ID 48654 //
     /* 2258457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2258463 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2258466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258470 */   // MIs[0] Operand 1
     /* 2258470 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258479 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258483 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2258486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258488 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258490 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258499 */   // GIR_Coverage, 48654,
     /* 2258499 */   GIR_EraseRootFromParent_Done,
     /* 2258500 */ // Label 30271: @2258500
     /* 2258500 */ GIM_Try, /*On fail goto*//*Label 30272*/ GIMT_Encode4(2258548), // Rule ID 48655 //
     /* 2258505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2258511 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2258514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258518 */   // MIs[0] Operand 1
     /* 2258518 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258527 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258531 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2258534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258536 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258538 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258547 */   // GIR_Coverage, 48655,
     /* 2258547 */   GIR_EraseRootFromParent_Done,
     /* 2258548 */ // Label 30272: @2258548
     /* 2258548 */ GIM_Try, /*On fail goto*//*Label 30273*/ GIMT_Encode4(2258596), // Rule ID 48662 //
     /* 2258553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2258556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2258559 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2258562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258566 */   // MIs[0] Operand 1
     /* 2258566 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258575 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258579 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2258582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258584 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258586 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258594 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258595 */   // GIR_Coverage, 48662,
     /* 2258595 */   GIR_EraseRootFromParent_Done,
     /* 2258596 */ // Label 30273: @2258596
     /* 2258596 */ GIM_Try, /*On fail goto*//*Label 30274*/ GIMT_Encode4(2258644), // Rule ID 48663 //
     /* 2258601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2258604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2258607 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2258610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258614 */   // MIs[0] Operand 1
     /* 2258614 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258623 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258627 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2258630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258632 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258634 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258643 */   // GIR_Coverage, 48663,
     /* 2258643 */   GIR_EraseRootFromParent_Done,
     /* 2258644 */ // Label 30274: @2258644
     /* 2258644 */ GIM_Try, /*On fail goto*//*Label 30275*/ GIMT_Encode4(2258692), // Rule ID 48676 //
     /* 2258649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2258655 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2258658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258662 */   // MIs[0] Operand 1
     /* 2258662 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258671 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258675 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2258678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258680 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258682 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258691 */   // GIR_Coverage, 48676,
     /* 2258691 */   GIR_EraseRootFromParent_Done,
     /* 2258692 */ // Label 30275: @2258692
     /* 2258692 */ GIM_Try, /*On fail goto*//*Label 30276*/ GIMT_Encode4(2258740), // Rule ID 48677 //
     /* 2258697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2258703 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2258706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258710 */   // MIs[0] Operand 1
     /* 2258710 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258719 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258723 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2258726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258728 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258730 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258739 */   // GIR_Coverage, 48677,
     /* 2258739 */   GIR_EraseRootFromParent_Done,
     /* 2258740 */ // Label 30276: @2258740
     /* 2258740 */ GIM_Try, /*On fail goto*//*Label 30277*/ GIMT_Encode4(2258788), // Rule ID 48690 //
     /* 2258745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2258751 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2258754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258758 */   // MIs[0] Operand 1
     /* 2258758 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258767 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258771 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2258774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258776 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258778 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258787 */   // GIR_Coverage, 48690,
     /* 2258787 */   GIR_EraseRootFromParent_Done,
     /* 2258788 */ // Label 30277: @2258788
     /* 2258788 */ GIM_Try, /*On fail goto*//*Label 30278*/ GIMT_Encode4(2258836), // Rule ID 48691 //
     /* 2258793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2258799 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2258802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258806 */   // MIs[0] Operand 1
     /* 2258806 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258815 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258819 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2258822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258824 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258826 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258835 */   // GIR_Coverage, 48691,
     /* 2258835 */   GIR_EraseRootFromParent_Done,
     /* 2258836 */ // Label 30278: @2258836
     /* 2258836 */ GIM_Try, /*On fail goto*//*Label 30279*/ GIMT_Encode4(2258884), // Rule ID 48698 //
     /* 2258841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2258847 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2258850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258854 */   // MIs[0] Operand 1
     /* 2258854 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258863 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258867 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2258870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258872 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258874 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258883 */   // GIR_Coverage, 48698,
     /* 2258883 */   GIR_EraseRootFromParent_Done,
     /* 2258884 */ // Label 30279: @2258884
     /* 2258884 */ GIM_Try, /*On fail goto*//*Label 30280*/ GIMT_Encode4(2258932), // Rule ID 48699 //
     /* 2258889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2258895 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2258898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258902 */   // MIs[0] Operand 1
     /* 2258902 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258911 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258915 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2258918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258920 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258922 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258930 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258931 */   // GIR_Coverage, 48699,
     /* 2258931 */   GIR_EraseRootFromParent_Done,
     /* 2258932 */ // Label 30280: @2258932
     /* 2258932 */ GIM_Try, /*On fail goto*//*Label 30281*/ GIMT_Encode4(2258980), // Rule ID 48706 //
     /* 2258937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2258940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2258943 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2258946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258950 */   // MIs[0] Operand 1
     /* 2258950 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258959 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258963 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2258966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258968 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258970 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258979 */   // GIR_Coverage, 48706,
     /* 2258979 */   GIR_EraseRootFromParent_Done,
     /* 2258980 */ // Label 30281: @2258980
     /* 2258980 */ GIM_Try, /*On fail goto*//*Label 30282*/ GIMT_Encode4(2259028), // Rule ID 48707 //
     /* 2258985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2258988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2258991 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2258994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258998 */   // MIs[0] Operand 1
     /* 2258998 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2259003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259007 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259011 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2259011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2259014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259016 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259018 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259027 */   // GIR_Coverage, 48707,
     /* 2259027 */   GIR_EraseRootFromParent_Done,
     /* 2259028 */ // Label 30282: @2259028
     /* 2259028 */ GIM_Try, /*On fail goto*//*Label 30283*/ GIMT_Encode4(2259076), // Rule ID 48720 //
     /* 2259033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2259039 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2259042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259046 */   // MIs[0] Operand 1
     /* 2259046 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259055 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259059 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2259062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259064 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259066 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259075 */   // GIR_Coverage, 48720,
     /* 2259075 */   GIR_EraseRootFromParent_Done,
     /* 2259076 */ // Label 30283: @2259076
     /* 2259076 */ GIM_Try, /*On fail goto*//*Label 30284*/ GIMT_Encode4(2259124), // Rule ID 48721 //
     /* 2259081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2259087 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2259090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259094 */   // MIs[0] Operand 1
     /* 2259094 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259103 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259107 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2259110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259112 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259114 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259123 */   // GIR_Coverage, 48721,
     /* 2259123 */   GIR_EraseRootFromParent_Done,
     /* 2259124 */ // Label 30284: @2259124
     /* 2259124 */ GIM_Try, /*On fail goto*//*Label 30285*/ GIMT_Encode4(2259172), // Rule ID 48734 //
     /* 2259129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2259135 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2259138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259142 */   // MIs[0] Operand 1
     /* 2259142 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259151 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259155 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2259158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259160 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259162 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259171 */   // GIR_Coverage, 48734,
     /* 2259171 */   GIR_EraseRootFromParent_Done,
     /* 2259172 */ // Label 30285: @2259172
     /* 2259172 */ GIM_Try, /*On fail goto*//*Label 30286*/ GIMT_Encode4(2259220), // Rule ID 48735 //
     /* 2259177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2259183 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2259186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259190 */   // MIs[0] Operand 1
     /* 2259190 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259199 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259203 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2259206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259208 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259210 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259218 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259219 */   // GIR_Coverage, 48735,
     /* 2259219 */   GIR_EraseRootFromParent_Done,
     /* 2259220 */ // Label 30286: @2259220
     /* 2259220 */ GIM_Try, /*On fail goto*//*Label 30287*/ GIMT_Encode4(2259268), // Rule ID 48742 //
     /* 2259225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2259231 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2259234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259238 */   // MIs[0] Operand 1
     /* 2259238 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259247 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259251 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2259254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259256 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259258 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259267 */   // GIR_Coverage, 48742,
     /* 2259267 */   GIR_EraseRootFromParent_Done,
     /* 2259268 */ // Label 30287: @2259268
     /* 2259268 */ GIM_Try, /*On fail goto*//*Label 30288*/ GIMT_Encode4(2259316), // Rule ID 48743 //
     /* 2259273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2259279 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2259282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259286 */   // MIs[0] Operand 1
     /* 2259286 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259295 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259299 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2259302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259304 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259306 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259315 */   // GIR_Coverage, 48743,
     /* 2259315 */   GIR_EraseRootFromParent_Done,
     /* 2259316 */ // Label 30288: @2259316
     /* 2259316 */ GIM_Try, /*On fail goto*//*Label 30289*/ GIMT_Encode4(2259364), // Rule ID 48750 //
     /* 2259321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2259324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2259327 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2259330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259334 */   // MIs[0] Operand 1
     /* 2259334 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259343 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259347 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2259347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2259350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259352 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259354 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259363 */   // GIR_Coverage, 48750,
     /* 2259363 */   GIR_EraseRootFromParent_Done,
     /* 2259364 */ // Label 30289: @2259364
     /* 2259364 */ GIM_Try, /*On fail goto*//*Label 30290*/ GIMT_Encode4(2259412), // Rule ID 48751 //
     /* 2259369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2259372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2259375 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2259378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259382 */   // MIs[0] Operand 1
     /* 2259382 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259391 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259395 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2259395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2259398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259400 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259402 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259411 */   // GIR_Coverage, 48751,
     /* 2259411 */   GIR_EraseRootFromParent_Done,
     /* 2259412 */ // Label 30290: @2259412
     /* 2259412 */ GIM_Try, /*On fail goto*//*Label 30291*/ GIMT_Encode4(2259460), // Rule ID 48764 //
     /* 2259417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2259423 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2259426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259430 */   // MIs[0] Operand 1
     /* 2259430 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259439 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259443 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2259446 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259448 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259450 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259458 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259459 */   // GIR_Coverage, 48764,
     /* 2259459 */   GIR_EraseRootFromParent_Done,
     /* 2259460 */ // Label 30291: @2259460
     /* 2259460 */ GIM_Try, /*On fail goto*//*Label 30292*/ GIMT_Encode4(2259508), // Rule ID 48765 //
     /* 2259465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2259471 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2259474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259478 */   // MIs[0] Operand 1
     /* 2259478 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259487 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259491 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2259494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259496 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259498 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259507 */   // GIR_Coverage, 48765,
     /* 2259507 */   GIR_EraseRootFromParent_Done,
     /* 2259508 */ // Label 30292: @2259508
     /* 2259508 */ GIM_Try, /*On fail goto*//*Label 30293*/ GIMT_Encode4(2259556), // Rule ID 48778 //
     /* 2259513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2259519 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2259522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259526 */   // MIs[0] Operand 1
     /* 2259526 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259535 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259539 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2259542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259544 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259546 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259555 */   // GIR_Coverage, 48778,
     /* 2259555 */   GIR_EraseRootFromParent_Done,
     /* 2259556 */ // Label 30293: @2259556
     /* 2259556 */ GIM_Try, /*On fail goto*//*Label 30294*/ GIMT_Encode4(2259604), // Rule ID 48779 //
     /* 2259561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2259567 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2259570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259574 */   // MIs[0] Operand 1
     /* 2259574 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259583 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259587 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2259590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259592 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259594 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259602 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259603 */   // GIR_Coverage, 48779,
     /* 2259603 */   GIR_EraseRootFromParent_Done,
     /* 2259604 */ // Label 30294: @2259604
     /* 2259604 */ GIM_Try, /*On fail goto*//*Label 30295*/ GIMT_Encode4(2259652), // Rule ID 48786 //
     /* 2259609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2259615 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2259618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259622 */   // MIs[0] Operand 1
     /* 2259622 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259627 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259631 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259635 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2259638 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259640 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259642 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259651 */   // GIR_Coverage, 48786,
     /* 2259651 */   GIR_EraseRootFromParent_Done,
     /* 2259652 */ // Label 30295: @2259652
     /* 2259652 */ GIM_Try, /*On fail goto*//*Label 30296*/ GIMT_Encode4(2259700), // Rule ID 48787 //
     /* 2259657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2259663 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2259666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259670 */   // MIs[0] Operand 1
     /* 2259670 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259679 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259683 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2259686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259688 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259690 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259698 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259699 */   // GIR_Coverage, 48787,
     /* 2259699 */   GIR_EraseRootFromParent_Done,
     /* 2259700 */ // Label 30296: @2259700
     /* 2259700 */ GIM_Try, /*On fail goto*//*Label 30297*/ GIMT_Encode4(2259748), // Rule ID 48794 //
     /* 2259705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2259708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2259711 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2259714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259718 */   // MIs[0] Operand 1
     /* 2259718 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259723 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259727 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259731 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2259731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2259734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259736 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259738 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259747 */   // GIR_Coverage, 48794,
     /* 2259747 */   GIR_EraseRootFromParent_Done,
     /* 2259748 */ // Label 30297: @2259748
     /* 2259748 */ GIM_Try, /*On fail goto*//*Label 30298*/ GIMT_Encode4(2259796), // Rule ID 48795 //
     /* 2259753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2259756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2259759 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2259762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259766 */   // MIs[0] Operand 1
     /* 2259766 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259775 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259779 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2259779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2259782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259784 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259786 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259794 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259795 */   // GIR_Coverage, 48795,
     /* 2259795 */   GIR_EraseRootFromParent_Done,
     /* 2259796 */ // Label 30298: @2259796
     /* 2259796 */ GIM_Try, /*On fail goto*//*Label 30299*/ GIMT_Encode4(2259844), // Rule ID 48808 //
     /* 2259801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2259807 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2259810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259814 */   // MIs[0] Operand 1
     /* 2259814 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259823 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259827 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2259830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259832 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259834 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259842 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259843 */   // GIR_Coverage, 48808,
     /* 2259843 */   GIR_EraseRootFromParent_Done,
     /* 2259844 */ // Label 30299: @2259844
     /* 2259844 */ GIM_Try, /*On fail goto*//*Label 30300*/ GIMT_Encode4(2259892), // Rule ID 48809 //
     /* 2259849 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2259855 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2259858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259862 */   // MIs[0] Operand 1
     /* 2259862 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259871 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259875 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2259878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259880 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259882 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259891 */   // GIR_Coverage, 48809,
     /* 2259891 */   GIR_EraseRootFromParent_Done,
     /* 2259892 */ // Label 30300: @2259892
     /* 2259892 */ GIM_Try, /*On fail goto*//*Label 30301*/ GIMT_Encode4(2259940), // Rule ID 48822 //
     /* 2259897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2259903 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2259906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259910 */   // MIs[0] Operand 1
     /* 2259910 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259915 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259919 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259923 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2259926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259928 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259930 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259938 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259939 */   // GIR_Coverage, 48822,
     /* 2259939 */   GIR_EraseRootFromParent_Done,
     /* 2259940 */ // Label 30301: @2259940
     /* 2259940 */ GIM_Try, /*On fail goto*//*Label 30302*/ GIMT_Encode4(2259988), // Rule ID 48823 //
     /* 2259945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2259951 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2259954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259958 */   // MIs[0] Operand 1
     /* 2259958 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259967 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259971 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2259974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259976 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259978 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259987 */   // GIR_Coverage, 48823,
     /* 2259987 */   GIR_EraseRootFromParent_Done,
     /* 2259988 */ // Label 30302: @2259988
     /* 2259988 */ GIM_Try, /*On fail goto*//*Label 30303*/ GIMT_Encode4(2260036), // Rule ID 48830 //
     /* 2259993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2259999 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2260002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260006 */   // MIs[0] Operand 1
     /* 2260006 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2260011 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260015 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260019 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2260022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260024 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260026 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260034 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260035 */   // GIR_Coverage, 48830,
     /* 2260035 */   GIR_EraseRootFromParent_Done,
     /* 2260036 */ // Label 30303: @2260036
     /* 2260036 */ GIM_Try, /*On fail goto*//*Label 30304*/ GIMT_Encode4(2260084), // Rule ID 48831 //
     /* 2260041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2260047 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2260050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260054 */   // MIs[0] Operand 1
     /* 2260054 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2260059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260063 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260067 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2260070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260072 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260074 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260082 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260083 */   // GIR_Coverage, 48831,
     /* 2260083 */   GIR_EraseRootFromParent_Done,
     /* 2260084 */ // Label 30304: @2260084
     /* 2260084 */ GIM_Try, /*On fail goto*//*Label 30305*/ GIMT_Encode4(2260132), // Rule ID 48838 //
     /* 2260089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2260095 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2260098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260102 */   // MIs[0] Operand 1
     /* 2260102 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2260107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260111 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260115 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2260118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260120 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260122 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260130 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260131 */   // GIR_Coverage, 48838,
     /* 2260131 */   GIR_EraseRootFromParent_Done,
     /* 2260132 */ // Label 30305: @2260132
     /* 2260132 */ GIM_Try, /*On fail goto*//*Label 30306*/ GIMT_Encode4(2260180), // Rule ID 48839 //
     /* 2260137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2260143 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2260146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260150 */   // MIs[0] Operand 1
     /* 2260150 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2260155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260159 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260163 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2260166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260168 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260170 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260179 */   // GIR_Coverage, 48839,
     /* 2260179 */   GIR_EraseRootFromParent_Done,
     /* 2260180 */ // Label 30306: @2260180
     /* 2260180 */ GIM_Try, /*On fail goto*//*Label 30307*/ GIMT_Encode4(2260228), // Rule ID 48852 //
     /* 2260185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2260191 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2260194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260198 */   // MIs[0] Operand 1
     /* 2260198 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260203 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260207 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260211 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2260214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260216 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260218 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260226 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260227 */   // GIR_Coverage, 48852,
     /* 2260227 */   GIR_EraseRootFromParent_Done,
     /* 2260228 */ // Label 30307: @2260228
     /* 2260228 */ GIM_Try, /*On fail goto*//*Label 30308*/ GIMT_Encode4(2260276), // Rule ID 48853 //
     /* 2260233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2260239 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2260242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260246 */   // MIs[0] Operand 1
     /* 2260246 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260251 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260255 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260259 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2260262 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260264 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260266 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260275 */   // GIR_Coverage, 48853,
     /* 2260275 */   GIR_EraseRootFromParent_Done,
     /* 2260276 */ // Label 30308: @2260276
     /* 2260276 */ GIM_Try, /*On fail goto*//*Label 30309*/ GIMT_Encode4(2260324), // Rule ID 48866 //
     /* 2260281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2260287 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2260290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260294 */   // MIs[0] Operand 1
     /* 2260294 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260303 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260307 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2260310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260312 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260314 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260322 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260323 */   // GIR_Coverage, 48866,
     /* 2260323 */   GIR_EraseRootFromParent_Done,
     /* 2260324 */ // Label 30309: @2260324
     /* 2260324 */ GIM_Try, /*On fail goto*//*Label 30310*/ GIMT_Encode4(2260372), // Rule ID 48867 //
     /* 2260329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2260335 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2260338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260342 */   // MIs[0] Operand 1
     /* 2260342 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260351 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260355 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2260358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260360 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260362 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260371 */   // GIR_Coverage, 48867,
     /* 2260371 */   GIR_EraseRootFromParent_Done,
     /* 2260372 */ // Label 30310: @2260372
     /* 2260372 */ GIM_Try, /*On fail goto*//*Label 30311*/ GIMT_Encode4(2260420), // Rule ID 48874 //
     /* 2260377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2260383 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2260386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260390 */   // MIs[0] Operand 1
     /* 2260390 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260399 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260403 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2260406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260408 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260410 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260419 */   // GIR_Coverage, 48874,
     /* 2260419 */   GIR_EraseRootFromParent_Done,
     /* 2260420 */ // Label 30311: @2260420
     /* 2260420 */ GIM_Try, /*On fail goto*//*Label 30312*/ GIMT_Encode4(2260468), // Rule ID 48875 //
     /* 2260425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2260431 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2260434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260438 */   // MIs[0] Operand 1
     /* 2260438 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260447 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260451 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2260454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260456 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260458 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260467 */   // GIR_Coverage, 48875,
     /* 2260467 */   GIR_EraseRootFromParent_Done,
     /* 2260468 */ // Label 30312: @2260468
     /* 2260468 */ GIM_Try, /*On fail goto*//*Label 30313*/ GIMT_Encode4(2260516), // Rule ID 48882 //
     /* 2260473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2260479 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2260482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260486 */   // MIs[0] Operand 1
     /* 2260486 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260495 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260499 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2260502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260504 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260506 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260514 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260515 */   // GIR_Coverage, 48882,
     /* 2260515 */   GIR_EraseRootFromParent_Done,
     /* 2260516 */ // Label 30313: @2260516
     /* 2260516 */ GIM_Try, /*On fail goto*//*Label 30314*/ GIMT_Encode4(2260564), // Rule ID 48883 //
     /* 2260521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2260527 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2260530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260534 */   // MIs[0] Operand 1
     /* 2260534 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260543 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260547 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2260550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260552 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260554 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260563 */   // GIR_Coverage, 48883,
     /* 2260563 */   GIR_EraseRootFromParent_Done,
     /* 2260564 */ // Label 30314: @2260564
     /* 2260564 */ GIM_Try, /*On fail goto*//*Label 30315*/ GIMT_Encode4(2260612), // Rule ID 48896 //
     /* 2260569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2260575 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2260578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260582 */   // MIs[0] Operand 1
     /* 2260582 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260591 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260595 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2260598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260600 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260602 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260611 */   // GIR_Coverage, 48896,
     /* 2260611 */   GIR_EraseRootFromParent_Done,
     /* 2260612 */ // Label 30315: @2260612
     /* 2260612 */ GIM_Try, /*On fail goto*//*Label 30316*/ GIMT_Encode4(2260660), // Rule ID 48897 //
     /* 2260617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2260623 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2260626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260630 */   // MIs[0] Operand 1
     /* 2260630 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260639 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260643 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2260646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260648 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260650 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260659 */   // GIR_Coverage, 48897,
     /* 2260659 */   GIR_EraseRootFromParent_Done,
     /* 2260660 */ // Label 30316: @2260660
     /* 2260660 */ GIM_Try, /*On fail goto*//*Label 30317*/ GIMT_Encode4(2260708), // Rule ID 48910 //
     /* 2260665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2260671 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2260674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260678 */   // MIs[0] Operand 1
     /* 2260678 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260687 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260691 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2260694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260696 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260698 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260707 */   // GIR_Coverage, 48910,
     /* 2260707 */   GIR_EraseRootFromParent_Done,
     /* 2260708 */ // Label 30317: @2260708
     /* 2260708 */ GIM_Try, /*On fail goto*//*Label 30318*/ GIMT_Encode4(2260756), // Rule ID 48911 //
     /* 2260713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2260719 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2260722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260726 */   // MIs[0] Operand 1
     /* 2260726 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260731 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260735 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260739 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2260742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260744 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260746 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260755 */   // GIR_Coverage, 48911,
     /* 2260755 */   GIR_EraseRootFromParent_Done,
     /* 2260756 */ // Label 30318: @2260756
     /* 2260756 */ GIM_Try, /*On fail goto*//*Label 30319*/ GIMT_Encode4(2260804), // Rule ID 48918 //
     /* 2260761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2260767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2260770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260774 */   // MIs[0] Operand 1
     /* 2260774 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260783 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260787 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2260790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260792 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260794 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260803 */   // GIR_Coverage, 48918,
     /* 2260803 */   GIR_EraseRootFromParent_Done,
     /* 2260804 */ // Label 30319: @2260804
     /* 2260804 */ GIM_Try, /*On fail goto*//*Label 30320*/ GIMT_Encode4(2260852), // Rule ID 48919 //
     /* 2260809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2260815 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2260818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260822 */   // MIs[0] Operand 1
     /* 2260822 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260831 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260835 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2260838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260840 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260842 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260851 */   // GIR_Coverage, 48919,
     /* 2260851 */   GIR_EraseRootFromParent_Done,
     /* 2260852 */ // Label 30320: @2260852
     /* 2260852 */ GIM_Try, /*On fail goto*//*Label 30321*/ GIMT_Encode4(2260900), // Rule ID 48926 //
     /* 2260857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2260863 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2260866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260870 */   // MIs[0] Operand 1
     /* 2260870 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260879 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260883 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2260886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260888 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260890 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260899 */   // GIR_Coverage, 48926,
     /* 2260899 */   GIR_EraseRootFromParent_Done,
     /* 2260900 */ // Label 30321: @2260900
     /* 2260900 */ GIM_Try, /*On fail goto*//*Label 30322*/ GIMT_Encode4(2260948), // Rule ID 48927 //
     /* 2260905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2260911 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2260914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260918 */   // MIs[0] Operand 1
     /* 2260918 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260927 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260931 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2260934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260936 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260938 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260947 */   // GIR_Coverage, 48927,
     /* 2260947 */   GIR_EraseRootFromParent_Done,
     /* 2260948 */ // Label 30322: @2260948
     /* 2260948 */ GIM_Reject,
     /* 2260949 */ // Label 29901: @2260949
     /* 2260949 */ GIM_Try, /*On fail goto*//*Label 30323*/ GIMT_Encode4(2260997), // Rule ID 48510 //
     /* 2260954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2260960 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2260963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260967 */   // MIs[0] Operand 1
     /* 2260967 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2260972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260976 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260980 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2260983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260985 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260987 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260996 */   // GIR_Coverage, 48510,
     /* 2260996 */   GIR_EraseRootFromParent_Done,
     /* 2260997 */ // Label 30323: @2260997
     /* 2260997 */ GIM_Try, /*On fail goto*//*Label 30324*/ GIMT_Encode4(2261045), // Rule ID 48511 //
     /* 2261002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2261008 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2261011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261015 */   // MIs[0] Operand 1
     /* 2261015 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2261020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261024 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261028 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2261031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261033 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261035 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261044 */   // GIR_Coverage, 48511,
     /* 2261044 */   GIR_EraseRootFromParent_Done,
     /* 2261045 */ // Label 30324: @2261045
     /* 2261045 */ GIM_Try, /*On fail goto*//*Label 30325*/ GIMT_Encode4(2261093), // Rule ID 48518 //
     /* 2261050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2261056 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2261059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261063 */   // MIs[0] Operand 1
     /* 2261063 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2261068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261072 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261076 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2261079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261081 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261083 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261092 */   // GIR_Coverage, 48518,
     /* 2261092 */   GIR_EraseRootFromParent_Done,
     /* 2261093 */ // Label 30325: @2261093
     /* 2261093 */ GIM_Try, /*On fail goto*//*Label 30326*/ GIMT_Encode4(2261141), // Rule ID 48519 //
     /* 2261098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2261104 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2261107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261111 */   // MIs[0] Operand 1
     /* 2261111 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2261116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261120 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261124 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2261127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261129 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261131 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261140 */   // GIR_Coverage, 48519,
     /* 2261140 */   GIR_EraseRootFromParent_Done,
     /* 2261141 */ // Label 30326: @2261141
     /* 2261141 */ GIM_Try, /*On fail goto*//*Label 30327*/ GIMT_Encode4(2261189), // Rule ID 48526 //
     /* 2261146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2261152 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2261155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261159 */   // MIs[0] Operand 1
     /* 2261159 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2261164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261168 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261172 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2261175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261177 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261179 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261187 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261188 */   // GIR_Coverage, 48526,
     /* 2261188 */   GIR_EraseRootFromParent_Done,
     /* 2261189 */ // Label 30327: @2261189
     /* 2261189 */ GIM_Try, /*On fail goto*//*Label 30328*/ GIMT_Encode4(2261237), // Rule ID 48527 //
     /* 2261194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2261200 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2261203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261207 */   // MIs[0] Operand 1
     /* 2261207 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2261212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261216 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261220 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2261223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261225 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261227 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261235 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261236 */   // GIR_Coverage, 48527,
     /* 2261236 */   GIR_EraseRootFromParent_Done,
     /* 2261237 */ // Label 30328: @2261237
     /* 2261237 */ GIM_Try, /*On fail goto*//*Label 30329*/ GIMT_Encode4(2261285), // Rule ID 48554 //
     /* 2261242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2261248 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2261251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261255 */   // MIs[0] Operand 1
     /* 2261255 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261264 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261268 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2261271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261273 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261275 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261284 */   // GIR_Coverage, 48554,
     /* 2261284 */   GIR_EraseRootFromParent_Done,
     /* 2261285 */ // Label 30329: @2261285
     /* 2261285 */ GIM_Try, /*On fail goto*//*Label 30330*/ GIMT_Encode4(2261333), // Rule ID 48555 //
     /* 2261290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2261296 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2261299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261303 */   // MIs[0] Operand 1
     /* 2261303 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261312 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261316 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2261319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261321 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261323 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261332 */   // GIR_Coverage, 48555,
     /* 2261332 */   GIR_EraseRootFromParent_Done,
     /* 2261333 */ // Label 30330: @2261333
     /* 2261333 */ GIM_Try, /*On fail goto*//*Label 30331*/ GIMT_Encode4(2261381), // Rule ID 48562 //
     /* 2261338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2261344 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2261347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261351 */   // MIs[0] Operand 1
     /* 2261351 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261360 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261364 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2261367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261369 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261371 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261380 */   // GIR_Coverage, 48562,
     /* 2261380 */   GIR_EraseRootFromParent_Done,
     /* 2261381 */ // Label 30331: @2261381
     /* 2261381 */ GIM_Try, /*On fail goto*//*Label 30332*/ GIMT_Encode4(2261429), // Rule ID 48563 //
     /* 2261386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2261392 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2261395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261399 */   // MIs[0] Operand 1
     /* 2261399 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261408 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261412 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2261415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261417 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261419 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261428 */   // GIR_Coverage, 48563,
     /* 2261428 */   GIR_EraseRootFromParent_Done,
     /* 2261429 */ // Label 30332: @2261429
     /* 2261429 */ GIM_Try, /*On fail goto*//*Label 30333*/ GIMT_Encode4(2261477), // Rule ID 48570 //
     /* 2261434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2261440 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2261443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261447 */   // MIs[0] Operand 1
     /* 2261447 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261456 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261460 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2261463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261465 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261467 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261476 */   // GIR_Coverage, 48570,
     /* 2261476 */   GIR_EraseRootFromParent_Done,
     /* 2261477 */ // Label 30333: @2261477
     /* 2261477 */ GIM_Try, /*On fail goto*//*Label 30334*/ GIMT_Encode4(2261525), // Rule ID 48571 //
     /* 2261482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2261488 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2261491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261495 */   // MIs[0] Operand 1
     /* 2261495 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261504 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261508 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2261511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261513 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261524 */   // GIR_Coverage, 48571,
     /* 2261524 */   GIR_EraseRootFromParent_Done,
     /* 2261525 */ // Label 30334: @2261525
     /* 2261525 */ GIM_Try, /*On fail goto*//*Label 30335*/ GIMT_Encode4(2261573), // Rule ID 48598 //
     /* 2261530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2261536 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2261539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261543 */   // MIs[0] Operand 1
     /* 2261543 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261552 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261556 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2261559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261561 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261563 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261572 */   // GIR_Coverage, 48598,
     /* 2261572 */   GIR_EraseRootFromParent_Done,
     /* 2261573 */ // Label 30335: @2261573
     /* 2261573 */ GIM_Try, /*On fail goto*//*Label 30336*/ GIMT_Encode4(2261621), // Rule ID 48599 //
     /* 2261578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2261584 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2261587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261591 */   // MIs[0] Operand 1
     /* 2261591 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261604 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2261607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261609 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261611 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261620 */   // GIR_Coverage, 48599,
     /* 2261620 */   GIR_EraseRootFromParent_Done,
     /* 2261621 */ // Label 30336: @2261621
     /* 2261621 */ GIM_Try, /*On fail goto*//*Label 30337*/ GIMT_Encode4(2261669), // Rule ID 48606 //
     /* 2261626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2261632 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2261635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261639 */   // MIs[0] Operand 1
     /* 2261639 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261648 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261652 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2261655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261657 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261659 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261668 */   // GIR_Coverage, 48606,
     /* 2261668 */   GIR_EraseRootFromParent_Done,
     /* 2261669 */ // Label 30337: @2261669
     /* 2261669 */ GIM_Try, /*On fail goto*//*Label 30338*/ GIMT_Encode4(2261717), // Rule ID 48607 //
     /* 2261674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2261680 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2261683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261687 */   // MIs[0] Operand 1
     /* 2261687 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261696 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261700 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2261703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261705 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261707 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261716 */   // GIR_Coverage, 48607,
     /* 2261716 */   GIR_EraseRootFromParent_Done,
     /* 2261717 */ // Label 30338: @2261717
     /* 2261717 */ GIM_Try, /*On fail goto*//*Label 30339*/ GIMT_Encode4(2261765), // Rule ID 48614 //
     /* 2261722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2261728 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2261731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261735 */   // MIs[0] Operand 1
     /* 2261735 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261744 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261748 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2261751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261753 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261755 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261764 */   // GIR_Coverage, 48614,
     /* 2261764 */   GIR_EraseRootFromParent_Done,
     /* 2261765 */ // Label 30339: @2261765
     /* 2261765 */ GIM_Try, /*On fail goto*//*Label 30340*/ GIMT_Encode4(2261813), // Rule ID 48615 //
     /* 2261770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2261776 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2261779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261783 */   // MIs[0] Operand 1
     /* 2261783 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261792 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261796 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2261799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261801 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261803 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261812 */   // GIR_Coverage, 48615,
     /* 2261812 */   GIR_EraseRootFromParent_Done,
     /* 2261813 */ // Label 30340: @2261813
     /* 2261813 */ GIM_Try, /*On fail goto*//*Label 30341*/ GIMT_Encode4(2261861), // Rule ID 48640 //
     /* 2261818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2261824 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2261827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261831 */   // MIs[0] Operand 1
     /* 2261831 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2261836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261840 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261844 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2261847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261849 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2261851 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261860 */   // GIR_Coverage, 48640,
     /* 2261860 */   GIR_EraseRootFromParent_Done,
     /* 2261861 */ // Label 30341: @2261861
     /* 2261861 */ GIM_Try, /*On fail goto*//*Label 30342*/ GIMT_Encode4(2261909), // Rule ID 48641 //
     /* 2261866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2261872 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2261875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261879 */   // MIs[0] Operand 1
     /* 2261879 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2261884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261888 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261892 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2261895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261897 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2261899 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261908 */   // GIR_Coverage, 48641,
     /* 2261908 */   GIR_EraseRootFromParent_Done,
     /* 2261909 */ // Label 30342: @2261909
     /* 2261909 */ GIM_Try, /*On fail goto*//*Label 30343*/ GIMT_Encode4(2261957), // Rule ID 48648 //
     /* 2261914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2261920 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2261923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261927 */   // MIs[0] Operand 1
     /* 2261927 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2261932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261936 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261940 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2261943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261945 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2261947 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261956 */   // GIR_Coverage, 48648,
     /* 2261956 */   GIR_EraseRootFromParent_Done,
     /* 2261957 */ // Label 30343: @2261957
     /* 2261957 */ GIM_Try, /*On fail goto*//*Label 30344*/ GIMT_Encode4(2262005), // Rule ID 48649 //
     /* 2261962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2261968 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2261971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261975 */   // MIs[0] Operand 1
     /* 2261975 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2261980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261984 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261988 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2261991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261993 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2261995 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262003 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262004 */   // GIR_Coverage, 48649,
     /* 2262004 */   GIR_EraseRootFromParent_Done,
     /* 2262005 */ // Label 30344: @2262005
     /* 2262005 */ GIM_Try, /*On fail goto*//*Label 30345*/ GIMT_Encode4(2262053), // Rule ID 48656 //
     /* 2262010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262016 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262023 */   // MIs[0] Operand 1
     /* 2262023 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2262028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262032 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262036 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2262039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262041 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262043 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262051 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262052 */   // GIR_Coverage, 48656,
     /* 2262052 */   GIR_EraseRootFromParent_Done,
     /* 2262053 */ // Label 30345: @2262053
     /* 2262053 */ GIM_Try, /*On fail goto*//*Label 30346*/ GIMT_Encode4(2262101), // Rule ID 48657 //
     /* 2262058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262064 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262071 */   // MIs[0] Operand 1
     /* 2262071 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2262076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262080 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262084 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2262087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262089 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262091 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262100 */   // GIR_Coverage, 48657,
     /* 2262100 */   GIR_EraseRootFromParent_Done,
     /* 2262101 */ // Label 30346: @2262101
     /* 2262101 */ GIM_Try, /*On fail goto*//*Label 30347*/ GIMT_Encode4(2262149), // Rule ID 48684 //
     /* 2262106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2262112 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2262115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262119 */   // MIs[0] Operand 1
     /* 2262119 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262128 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262132 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2262135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262137 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262139 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262148 */   // GIR_Coverage, 48684,
     /* 2262148 */   GIR_EraseRootFromParent_Done,
     /* 2262149 */ // Label 30347: @2262149
     /* 2262149 */ GIM_Try, /*On fail goto*//*Label 30348*/ GIMT_Encode4(2262197), // Rule ID 48685 //
     /* 2262154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2262160 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2262163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262167 */   // MIs[0] Operand 1
     /* 2262167 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262176 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262180 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2262183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262185 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262187 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262195 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262196 */   // GIR_Coverage, 48685,
     /* 2262196 */   GIR_EraseRootFromParent_Done,
     /* 2262197 */ // Label 30348: @2262197
     /* 2262197 */ GIM_Try, /*On fail goto*//*Label 30349*/ GIMT_Encode4(2262245), // Rule ID 48692 //
     /* 2262202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262208 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262215 */   // MIs[0] Operand 1
     /* 2262215 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262224 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262228 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2262231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262233 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262235 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262244 */   // GIR_Coverage, 48692,
     /* 2262244 */   GIR_EraseRootFromParent_Done,
     /* 2262245 */ // Label 30349: @2262245
     /* 2262245 */ GIM_Try, /*On fail goto*//*Label 30350*/ GIMT_Encode4(2262293), // Rule ID 48693 //
     /* 2262250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262263 */   // MIs[0] Operand 1
     /* 2262263 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262272 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262276 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2262279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262292 */   // GIR_Coverage, 48693,
     /* 2262292 */   GIR_EraseRootFromParent_Done,
     /* 2262293 */ // Label 30350: @2262293
     /* 2262293 */ GIM_Try, /*On fail goto*//*Label 30351*/ GIMT_Encode4(2262341), // Rule ID 48700 //
     /* 2262298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262304 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262311 */   // MIs[0] Operand 1
     /* 2262311 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262320 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262324 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2262327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262329 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262331 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262340 */   // GIR_Coverage, 48700,
     /* 2262340 */   GIR_EraseRootFromParent_Done,
     /* 2262341 */ // Label 30351: @2262341
     /* 2262341 */ GIM_Try, /*On fail goto*//*Label 30352*/ GIMT_Encode4(2262389), // Rule ID 48701 //
     /* 2262346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262352 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262359 */   // MIs[0] Operand 1
     /* 2262359 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262368 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262372 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2262375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262377 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262379 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262388 */   // GIR_Coverage, 48701,
     /* 2262388 */   GIR_EraseRootFromParent_Done,
     /* 2262389 */ // Label 30352: @2262389
     /* 2262389 */ GIM_Try, /*On fail goto*//*Label 30353*/ GIMT_Encode4(2262437), // Rule ID 48728 //
     /* 2262394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2262400 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2262403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262407 */   // MIs[0] Operand 1
     /* 2262407 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2262412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262416 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262420 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2262423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262425 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262427 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262436 */   // GIR_Coverage, 48728,
     /* 2262436 */   GIR_EraseRootFromParent_Done,
     /* 2262437 */ // Label 30353: @2262437
     /* 2262437 */ GIM_Try, /*On fail goto*//*Label 30354*/ GIMT_Encode4(2262485), // Rule ID 48729 //
     /* 2262442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2262448 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2262451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262455 */   // MIs[0] Operand 1
     /* 2262455 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2262460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262464 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262468 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2262471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262473 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262475 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262484 */   // GIR_Coverage, 48729,
     /* 2262484 */   GIR_EraseRootFromParent_Done,
     /* 2262485 */ // Label 30354: @2262485
     /* 2262485 */ GIM_Try, /*On fail goto*//*Label 30355*/ GIMT_Encode4(2262533), // Rule ID 48736 //
     /* 2262490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262496 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262503 */   // MIs[0] Operand 1
     /* 2262503 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2262508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262512 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262516 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2262519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262521 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262523 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262532 */   // GIR_Coverage, 48736,
     /* 2262532 */   GIR_EraseRootFromParent_Done,
     /* 2262533 */ // Label 30355: @2262533
     /* 2262533 */ GIM_Try, /*On fail goto*//*Label 30356*/ GIMT_Encode4(2262581), // Rule ID 48737 //
     /* 2262538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262551 */   // MIs[0] Operand 1
     /* 2262551 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2262556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262560 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262564 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2262567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262569 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262571 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262580 */   // GIR_Coverage, 48737,
     /* 2262580 */   GIR_EraseRootFromParent_Done,
     /* 2262581 */ // Label 30356: @2262581
     /* 2262581 */ GIM_Try, /*On fail goto*//*Label 30357*/ GIMT_Encode4(2262629), // Rule ID 48744 //
     /* 2262586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262592 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262599 */   // MIs[0] Operand 1
     /* 2262599 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2262604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262608 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262612 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2262615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262617 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262619 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262628 */   // GIR_Coverage, 48744,
     /* 2262628 */   GIR_EraseRootFromParent_Done,
     /* 2262629 */ // Label 30357: @2262629
     /* 2262629 */ GIM_Try, /*On fail goto*//*Label 30358*/ GIMT_Encode4(2262677), // Rule ID 48745 //
     /* 2262634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262640 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262647 */   // MIs[0] Operand 1
     /* 2262647 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2262652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262656 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262660 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2262663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262665 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262667 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262675 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262676 */   // GIR_Coverage, 48745,
     /* 2262676 */   GIR_EraseRootFromParent_Done,
     /* 2262677 */ // Label 30358: @2262677
     /* 2262677 */ GIM_Try, /*On fail goto*//*Label 30359*/ GIMT_Encode4(2262725), // Rule ID 48772 //
     /* 2262682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2262688 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2262691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262695 */   // MIs[0] Operand 1
     /* 2262695 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2262700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262704 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262708 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2262711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262713 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262715 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262724 */   // GIR_Coverage, 48772,
     /* 2262724 */   GIR_EraseRootFromParent_Done,
     /* 2262725 */ // Label 30359: @2262725
     /* 2262725 */ GIM_Try, /*On fail goto*//*Label 30360*/ GIMT_Encode4(2262773), // Rule ID 48773 //
     /* 2262730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2262736 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2262739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262743 */   // MIs[0] Operand 1
     /* 2262743 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2262748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262752 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262756 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2262759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262761 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262763 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262772 */   // GIR_Coverage, 48773,
     /* 2262772 */   GIR_EraseRootFromParent_Done,
     /* 2262773 */ // Label 30360: @2262773
     /* 2262773 */ GIM_Try, /*On fail goto*//*Label 30361*/ GIMT_Encode4(2262821), // Rule ID 48780 //
     /* 2262778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262784 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262791 */   // MIs[0] Operand 1
     /* 2262791 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2262796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262800 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262804 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2262807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262809 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262811 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262820 */   // GIR_Coverage, 48780,
     /* 2262820 */   GIR_EraseRootFromParent_Done,
     /* 2262821 */ // Label 30361: @2262821
     /* 2262821 */ GIM_Try, /*On fail goto*//*Label 30362*/ GIMT_Encode4(2262869), // Rule ID 48781 //
     /* 2262826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262839 */   // MIs[0] Operand 1
     /* 2262839 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2262844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262848 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262852 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2262855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262857 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262859 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262868 */   // GIR_Coverage, 48781,
     /* 2262868 */   GIR_EraseRootFromParent_Done,
     /* 2262869 */ // Label 30362: @2262869
     /* 2262869 */ GIM_Try, /*On fail goto*//*Label 30363*/ GIMT_Encode4(2262917), // Rule ID 48788 //
     /* 2262874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262880 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262887 */   // MIs[0] Operand 1
     /* 2262887 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2262892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262896 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262900 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2262903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262905 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262907 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262916 */   // GIR_Coverage, 48788,
     /* 2262916 */   GIR_EraseRootFromParent_Done,
     /* 2262917 */ // Label 30363: @2262917
     /* 2262917 */ GIM_Try, /*On fail goto*//*Label 30364*/ GIMT_Encode4(2262965), // Rule ID 48789 //
     /* 2262922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262928 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262935 */   // MIs[0] Operand 1
     /* 2262935 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2262940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262944 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262948 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2262951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262953 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262955 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262964 */   // GIR_Coverage, 48789,
     /* 2262964 */   GIR_EraseRootFromParent_Done,
     /* 2262965 */ // Label 30364: @2262965
     /* 2262965 */ GIM_Try, /*On fail goto*//*Label 30365*/ GIMT_Encode4(2263013), // Rule ID 48816 //
     /* 2262970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2262976 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2262979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262983 */   // MIs[0] Operand 1
     /* 2262983 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2262988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262992 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262996 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2262999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263001 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263003 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263012 */   // GIR_Coverage, 48816,
     /* 2263012 */   GIR_EraseRootFromParent_Done,
     /* 2263013 */ // Label 30365: @2263013
     /* 2263013 */ GIM_Try, /*On fail goto*//*Label 30366*/ GIMT_Encode4(2263061), // Rule ID 48817 //
     /* 2263018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2263024 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2263027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263031 */   // MIs[0] Operand 1
     /* 2263031 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2263036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263040 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263044 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2263047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263049 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263051 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263059 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263060 */   // GIR_Coverage, 48817,
     /* 2263060 */   GIR_EraseRootFromParent_Done,
     /* 2263061 */ // Label 30366: @2263061
     /* 2263061 */ GIM_Try, /*On fail goto*//*Label 30367*/ GIMT_Encode4(2263109), // Rule ID 48824 //
     /* 2263066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2263072 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2263075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263079 */   // MIs[0] Operand 1
     /* 2263079 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2263084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263088 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263092 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2263095 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263097 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263099 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263108 */   // GIR_Coverage, 48824,
     /* 2263108 */   GIR_EraseRootFromParent_Done,
     /* 2263109 */ // Label 30367: @2263109
     /* 2263109 */ GIM_Try, /*On fail goto*//*Label 30368*/ GIMT_Encode4(2263157), // Rule ID 48825 //
     /* 2263114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2263120 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2263123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263127 */   // MIs[0] Operand 1
     /* 2263127 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2263132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263136 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263140 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2263143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263145 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263147 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263156 */   // GIR_Coverage, 48825,
     /* 2263156 */   GIR_EraseRootFromParent_Done,
     /* 2263157 */ // Label 30368: @2263157
     /* 2263157 */ GIM_Try, /*On fail goto*//*Label 30369*/ GIMT_Encode4(2263205), // Rule ID 48832 //
     /* 2263162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2263168 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2263171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263175 */   // MIs[0] Operand 1
     /* 2263175 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2263180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263184 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263188 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2263191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263193 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263195 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263204 */   // GIR_Coverage, 48832,
     /* 2263204 */   GIR_EraseRootFromParent_Done,
     /* 2263205 */ // Label 30369: @2263205
     /* 2263205 */ GIM_Try, /*On fail goto*//*Label 30370*/ GIMT_Encode4(2263253), // Rule ID 48833 //
     /* 2263210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2263216 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2263219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263223 */   // MIs[0] Operand 1
     /* 2263223 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2263228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263232 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263236 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2263239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263241 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263243 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263251 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263252 */   // GIR_Coverage, 48833,
     /* 2263252 */   GIR_EraseRootFromParent_Done,
     /* 2263253 */ // Label 30370: @2263253
     /* 2263253 */ GIM_Try, /*On fail goto*//*Label 30371*/ GIMT_Encode4(2263301), // Rule ID 48860 //
     /* 2263258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2263264 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2263267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263271 */   // MIs[0] Operand 1
     /* 2263271 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2263276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263280 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263284 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2263287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263289 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263291 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263300 */   // GIR_Coverage, 48860,
     /* 2263300 */   GIR_EraseRootFromParent_Done,
     /* 2263301 */ // Label 30371: @2263301
     /* 2263301 */ GIM_Try, /*On fail goto*//*Label 30372*/ GIMT_Encode4(2263349), // Rule ID 48861 //
     /* 2263306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2263312 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2263315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263319 */   // MIs[0] Operand 1
     /* 2263319 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2263324 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263328 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263332 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2263335 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263337 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263339 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263348 */   // GIR_Coverage, 48861,
     /* 2263348 */   GIR_EraseRootFromParent_Done,
     /* 2263349 */ // Label 30372: @2263349
     /* 2263349 */ GIM_Try, /*On fail goto*//*Label 30373*/ GIMT_Encode4(2263397), // Rule ID 48868 //
     /* 2263354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2263360 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2263363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263367 */   // MIs[0] Operand 1
     /* 2263367 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2263372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263376 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263380 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2263383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263385 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263387 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263396 */   // GIR_Coverage, 48868,
     /* 2263396 */   GIR_EraseRootFromParent_Done,
     /* 2263397 */ // Label 30373: @2263397
     /* 2263397 */ GIM_Try, /*On fail goto*//*Label 30374*/ GIMT_Encode4(2263445), // Rule ID 48869 //
     /* 2263402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2263408 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2263411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263415 */   // MIs[0] Operand 1
     /* 2263415 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2263420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263424 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263428 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2263431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263433 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263435 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263444 */   // GIR_Coverage, 48869,
     /* 2263444 */   GIR_EraseRootFromParent_Done,
     /* 2263445 */ // Label 30374: @2263445
     /* 2263445 */ GIM_Try, /*On fail goto*//*Label 30375*/ GIMT_Encode4(2263493), // Rule ID 48876 //
     /* 2263450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2263456 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2263459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263463 */   // MIs[0] Operand 1
     /* 2263463 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2263468 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263472 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263476 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2263479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263481 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263483 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263492 */   // GIR_Coverage, 48876,
     /* 2263492 */   GIR_EraseRootFromParent_Done,
     /* 2263493 */ // Label 30375: @2263493
     /* 2263493 */ GIM_Try, /*On fail goto*//*Label 30376*/ GIMT_Encode4(2263541), // Rule ID 48877 //
     /* 2263498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2263504 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2263507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263511 */   // MIs[0] Operand 1
     /* 2263511 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2263516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263520 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263524 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2263527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263529 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263531 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263540 */   // GIR_Coverage, 48877,
     /* 2263540 */   GIR_EraseRootFromParent_Done,
     /* 2263541 */ // Label 30376: @2263541
     /* 2263541 */ GIM_Try, /*On fail goto*//*Label 30377*/ GIMT_Encode4(2263589), // Rule ID 48904 //
     /* 2263546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2263552 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2263555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263559 */   // MIs[0] Operand 1
     /* 2263559 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2263564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263568 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263572 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2263575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263577 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263579 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263588 */   // GIR_Coverage, 48904,
     /* 2263588 */   GIR_EraseRootFromParent_Done,
     /* 2263589 */ // Label 30377: @2263589
     /* 2263589 */ GIM_Try, /*On fail goto*//*Label 30378*/ GIMT_Encode4(2263637), // Rule ID 48905 //
     /* 2263594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2263600 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2263603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263607 */   // MIs[0] Operand 1
     /* 2263607 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2263612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263616 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263620 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2263623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263625 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263627 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263635 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263636 */   // GIR_Coverage, 48905,
     /* 2263636 */   GIR_EraseRootFromParent_Done,
     /* 2263637 */ // Label 30378: @2263637
     /* 2263637 */ GIM_Try, /*On fail goto*//*Label 30379*/ GIMT_Encode4(2263685), // Rule ID 48912 //
     /* 2263642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2263648 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2263651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263655 */   // MIs[0] Operand 1
     /* 2263655 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2263660 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263664 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263668 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2263671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263673 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263675 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263684 */   // GIR_Coverage, 48912,
     /* 2263684 */   GIR_EraseRootFromParent_Done,
     /* 2263685 */ // Label 30379: @2263685
     /* 2263685 */ GIM_Try, /*On fail goto*//*Label 30380*/ GIMT_Encode4(2263733), // Rule ID 48913 //
     /* 2263690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2263696 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2263699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263703 */   // MIs[0] Operand 1
     /* 2263703 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2263708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263712 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263716 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2263719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263721 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263723 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263731 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263732 */   // GIR_Coverage, 48913,
     /* 2263732 */   GIR_EraseRootFromParent_Done,
     /* 2263733 */ // Label 30380: @2263733
     /* 2263733 */ GIM_Try, /*On fail goto*//*Label 30381*/ GIMT_Encode4(2263781), // Rule ID 48920 //
     /* 2263738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2263744 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2263747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263751 */   // MIs[0] Operand 1
     /* 2263751 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2263756 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263760 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263764 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2263767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263769 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263771 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263780 */   // GIR_Coverage, 48920,
     /* 2263780 */   GIR_EraseRootFromParent_Done,
     /* 2263781 */ // Label 30381: @2263781
     /* 2263781 */ GIM_Try, /*On fail goto*//*Label 30382*/ GIMT_Encode4(2263829), // Rule ID 48921 //
     /* 2263786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2263792 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2263795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263799 */   // MIs[0] Operand 1
     /* 2263799 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2263804 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263808 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263812 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2263815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263817 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263819 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263827 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263828 */   // GIR_Coverage, 48921,
     /* 2263828 */   GIR_EraseRootFromParent_Done,
     /* 2263829 */ // Label 30382: @2263829
     /* 2263829 */ GIM_Reject,
     /* 2263830 */ // Label 29902: @2263830
     /* 2263830 */ GIM_Try, /*On fail goto*//*Label 30383*/ GIMT_Encode4(2263878), // Rule ID 48512 //
     /* 2263835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2263841 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2263844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263848 */   // MIs[0] Operand 1
     /* 2263848 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2263853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263857 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263861 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2263864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263866 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263868 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263876 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263877 */   // GIR_Coverage, 48512,
     /* 2263877 */   GIR_EraseRootFromParent_Done,
     /* 2263878 */ // Label 30383: @2263878
     /* 2263878 */ GIM_Try, /*On fail goto*//*Label 30384*/ GIMT_Encode4(2263926), // Rule ID 48513 //
     /* 2263883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2263889 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2263892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263896 */   // MIs[0] Operand 1
     /* 2263896 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2263901 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263905 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263909 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2263912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263914 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263916 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263925 */   // GIR_Coverage, 48513,
     /* 2263925 */   GIR_EraseRootFromParent_Done,
     /* 2263926 */ // Label 30384: @2263926
     /* 2263926 */ GIM_Try, /*On fail goto*//*Label 30385*/ GIMT_Encode4(2263974), // Rule ID 48520 //
     /* 2263931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2263937 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2263940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263944 */   // MIs[0] Operand 1
     /* 2263944 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2263949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263953 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263957 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2263960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263962 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263964 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263972 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263973 */   // GIR_Coverage, 48520,
     /* 2263973 */   GIR_EraseRootFromParent_Done,
     /* 2263974 */ // Label 30385: @2263974
     /* 2263974 */ GIM_Try, /*On fail goto*//*Label 30386*/ GIMT_Encode4(2264022), // Rule ID 48521 //
     /* 2263979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2263985 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2263988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263992 */   // MIs[0] Operand 1
     /* 2263992 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2263997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264001 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264005 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2264008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264010 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264012 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264021 */   // GIR_Coverage, 48521,
     /* 2264021 */   GIR_EraseRootFromParent_Done,
     /* 2264022 */ // Label 30386: @2264022
     /* 2264022 */ GIM_Try, /*On fail goto*//*Label 30387*/ GIMT_Encode4(2264070), // Rule ID 48556 //
     /* 2264027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2264033 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2264036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264040 */   // MIs[0] Operand 1
     /* 2264040 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2264045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264049 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264053 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2264056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264058 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264060 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264068 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264069 */   // GIR_Coverage, 48556,
     /* 2264069 */   GIR_EraseRootFromParent_Done,
     /* 2264070 */ // Label 30387: @2264070
     /* 2264070 */ GIM_Try, /*On fail goto*//*Label 30388*/ GIMT_Encode4(2264118), // Rule ID 48557 //
     /* 2264075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2264081 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2264084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264088 */   // MIs[0] Operand 1
     /* 2264088 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2264093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264097 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264101 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2264104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264106 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264108 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264117 */   // GIR_Coverage, 48557,
     /* 2264117 */   GIR_EraseRootFromParent_Done,
     /* 2264118 */ // Label 30388: @2264118
     /* 2264118 */ GIM_Try, /*On fail goto*//*Label 30389*/ GIMT_Encode4(2264166), // Rule ID 48564 //
     /* 2264123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2264129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2264132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264136 */   // MIs[0] Operand 1
     /* 2264136 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2264141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264145 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264149 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2264152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264154 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264156 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264165 */   // GIR_Coverage, 48564,
     /* 2264165 */   GIR_EraseRootFromParent_Done,
     /* 2264166 */ // Label 30389: @2264166
     /* 2264166 */ GIM_Try, /*On fail goto*//*Label 30390*/ GIMT_Encode4(2264214), // Rule ID 48565 //
     /* 2264171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2264177 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2264180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264184 */   // MIs[0] Operand 1
     /* 2264184 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2264189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264193 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264197 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2264200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264202 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264204 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264213 */   // GIR_Coverage, 48565,
     /* 2264213 */   GIR_EraseRootFromParent_Done,
     /* 2264214 */ // Label 30390: @2264214
     /* 2264214 */ GIM_Try, /*On fail goto*//*Label 30391*/ GIMT_Encode4(2264262), // Rule ID 48600 //
     /* 2264219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2264225 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2264228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264232 */   // MIs[0] Operand 1
     /* 2264232 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2264237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264241 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264245 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2264248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264250 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264252 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264261 */   // GIR_Coverage, 48600,
     /* 2264261 */   GIR_EraseRootFromParent_Done,
     /* 2264262 */ // Label 30391: @2264262
     /* 2264262 */ GIM_Try, /*On fail goto*//*Label 30392*/ GIMT_Encode4(2264310), // Rule ID 48601 //
     /* 2264267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2264273 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2264276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264280 */   // MIs[0] Operand 1
     /* 2264280 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2264285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264289 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264293 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2264296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264298 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264300 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264309 */   // GIR_Coverage, 48601,
     /* 2264309 */   GIR_EraseRootFromParent_Done,
     /* 2264310 */ // Label 30392: @2264310
     /* 2264310 */ GIM_Try, /*On fail goto*//*Label 30393*/ GIMT_Encode4(2264358), // Rule ID 48608 //
     /* 2264315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2264321 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2264324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264328 */   // MIs[0] Operand 1
     /* 2264328 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2264333 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264337 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264341 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2264344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264346 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264348 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264357 */   // GIR_Coverage, 48608,
     /* 2264357 */   GIR_EraseRootFromParent_Done,
     /* 2264358 */ // Label 30393: @2264358
     /* 2264358 */ GIM_Try, /*On fail goto*//*Label 30394*/ GIMT_Encode4(2264406), // Rule ID 48609 //
     /* 2264363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2264369 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2264372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264376 */   // MIs[0] Operand 1
     /* 2264376 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2264381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264385 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264389 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2264392 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264394 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264396 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264405 */   // GIR_Coverage, 48609,
     /* 2264405 */   GIR_EraseRootFromParent_Done,
     /* 2264406 */ // Label 30394: @2264406
     /* 2264406 */ GIM_Try, /*On fail goto*//*Label 30395*/ GIMT_Encode4(2264454), // Rule ID 48642 //
     /* 2264411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2264417 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2264420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264424 */   // MIs[0] Operand 1
     /* 2264424 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2264429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264433 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264437 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2264440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264442 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264444 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264453 */   // GIR_Coverage, 48642,
     /* 2264453 */   GIR_EraseRootFromParent_Done,
     /* 2264454 */ // Label 30395: @2264454
     /* 2264454 */ GIM_Try, /*On fail goto*//*Label 30396*/ GIMT_Encode4(2264502), // Rule ID 48643 //
     /* 2264459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2264465 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2264468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264472 */   // MIs[0] Operand 1
     /* 2264472 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2264477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264481 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264485 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2264488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264490 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264492 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264500 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264501 */   // GIR_Coverage, 48643,
     /* 2264501 */   GIR_EraseRootFromParent_Done,
     /* 2264502 */ // Label 30396: @2264502
     /* 2264502 */ GIM_Try, /*On fail goto*//*Label 30397*/ GIMT_Encode4(2264550), // Rule ID 48650 //
     /* 2264507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2264513 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2264516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264520 */   // MIs[0] Operand 1
     /* 2264520 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2264525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264529 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264533 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2264536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264538 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264540 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264548 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264549 */   // GIR_Coverage, 48650,
     /* 2264549 */   GIR_EraseRootFromParent_Done,
     /* 2264550 */ // Label 30397: @2264550
     /* 2264550 */ GIM_Try, /*On fail goto*//*Label 30398*/ GIMT_Encode4(2264598), // Rule ID 48651 //
     /* 2264555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2264561 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2264564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264568 */   // MIs[0] Operand 1
     /* 2264568 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2264573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264577 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264581 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2264584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264586 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264588 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264597 */   // GIR_Coverage, 48651,
     /* 2264597 */   GIR_EraseRootFromParent_Done,
     /* 2264598 */ // Label 30398: @2264598
     /* 2264598 */ GIM_Try, /*On fail goto*//*Label 30399*/ GIMT_Encode4(2264646), // Rule ID 48686 //
     /* 2264603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2264609 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2264612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264616 */   // MIs[0] Operand 1
     /* 2264616 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2264621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264625 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264629 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2264632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264634 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264636 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264644 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264645 */   // GIR_Coverage, 48686,
     /* 2264645 */   GIR_EraseRootFromParent_Done,
     /* 2264646 */ // Label 30399: @2264646
     /* 2264646 */ GIM_Try, /*On fail goto*//*Label 30400*/ GIMT_Encode4(2264694), // Rule ID 48687 //
     /* 2264651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2264657 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2264660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264664 */   // MIs[0] Operand 1
     /* 2264664 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2264669 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264673 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264677 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2264680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264682 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264684 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264692 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264693 */   // GIR_Coverage, 48687,
     /* 2264693 */   GIR_EraseRootFromParent_Done,
     /* 2264694 */ // Label 30400: @2264694
     /* 2264694 */ GIM_Try, /*On fail goto*//*Label 30401*/ GIMT_Encode4(2264742), // Rule ID 48694 //
     /* 2264699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2264705 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2264708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264712 */   // MIs[0] Operand 1
     /* 2264712 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2264717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264721 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264725 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2264728 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264730 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264732 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264741 */   // GIR_Coverage, 48694,
     /* 2264741 */   GIR_EraseRootFromParent_Done,
     /* 2264742 */ // Label 30401: @2264742
     /* 2264742 */ GIM_Try, /*On fail goto*//*Label 30402*/ GIMT_Encode4(2264790), // Rule ID 48695 //
     /* 2264747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2264753 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2264756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264760 */   // MIs[0] Operand 1
     /* 2264760 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2264765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264769 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264773 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2264776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264778 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264780 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264788 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264789 */   // GIR_Coverage, 48695,
     /* 2264789 */   GIR_EraseRootFromParent_Done,
     /* 2264790 */ // Label 30402: @2264790
     /* 2264790 */ GIM_Try, /*On fail goto*//*Label 30403*/ GIMT_Encode4(2264838), // Rule ID 48730 //
     /* 2264795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2264801 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2264804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264808 */   // MIs[0] Operand 1
     /* 2264808 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2264813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264817 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264821 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2264824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264826 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264828 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264836 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264837 */   // GIR_Coverage, 48730,
     /* 2264837 */   GIR_EraseRootFromParent_Done,
     /* 2264838 */ // Label 30403: @2264838
     /* 2264838 */ GIM_Try, /*On fail goto*//*Label 30404*/ GIMT_Encode4(2264886), // Rule ID 48731 //
     /* 2264843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2264849 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2264852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264856 */   // MIs[0] Operand 1
     /* 2264856 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2264861 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264865 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264869 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2264872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264874 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264876 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264884 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264885 */   // GIR_Coverage, 48731,
     /* 2264885 */   GIR_EraseRootFromParent_Done,
     /* 2264886 */ // Label 30404: @2264886
     /* 2264886 */ GIM_Try, /*On fail goto*//*Label 30405*/ GIMT_Encode4(2264934), // Rule ID 48738 //
     /* 2264891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2264897 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2264900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264904 */   // MIs[0] Operand 1
     /* 2264904 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2264909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264913 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264917 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2264920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264922 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264924 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264933 */   // GIR_Coverage, 48738,
     /* 2264933 */   GIR_EraseRootFromParent_Done,
     /* 2264934 */ // Label 30405: @2264934
     /* 2264934 */ GIM_Try, /*On fail goto*//*Label 30406*/ GIMT_Encode4(2264982), // Rule ID 48739 //
     /* 2264939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2264945 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2264948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264952 */   // MIs[0] Operand 1
     /* 2264952 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2264957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264961 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264965 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2264968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264970 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264972 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264980 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264981 */   // GIR_Coverage, 48739,
     /* 2264981 */   GIR_EraseRootFromParent_Done,
     /* 2264982 */ // Label 30406: @2264982
     /* 2264982 */ GIM_Try, /*On fail goto*//*Label 30407*/ GIMT_Encode4(2265030), // Rule ID 48774 //
     /* 2264987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2264993 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2264996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265000 */   // MIs[0] Operand 1
     /* 2265000 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2265005 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265009 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265013 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2265016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265018 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265020 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265028 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265029 */   // GIR_Coverage, 48774,
     /* 2265029 */   GIR_EraseRootFromParent_Done,
     /* 2265030 */ // Label 30407: @2265030
     /* 2265030 */ GIM_Try, /*On fail goto*//*Label 30408*/ GIMT_Encode4(2265078), // Rule ID 48775 //
     /* 2265035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2265041 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2265044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265048 */   // MIs[0] Operand 1
     /* 2265048 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2265053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265057 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265061 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2265064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265066 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265068 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265077 */   // GIR_Coverage, 48775,
     /* 2265077 */   GIR_EraseRootFromParent_Done,
     /* 2265078 */ // Label 30408: @2265078
     /* 2265078 */ GIM_Try, /*On fail goto*//*Label 30409*/ GIMT_Encode4(2265126), // Rule ID 48782 //
     /* 2265083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2265089 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2265092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265096 */   // MIs[0] Operand 1
     /* 2265096 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2265101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265105 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265109 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2265112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265114 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265116 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265125 */   // GIR_Coverage, 48782,
     /* 2265125 */   GIR_EraseRootFromParent_Done,
     /* 2265126 */ // Label 30409: @2265126
     /* 2265126 */ GIM_Try, /*On fail goto*//*Label 30410*/ GIMT_Encode4(2265174), // Rule ID 48783 //
     /* 2265131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2265137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2265140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265144 */   // MIs[0] Operand 1
     /* 2265144 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2265149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265153 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265157 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2265157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2265160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265162 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265164 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265173 */   // GIR_Coverage, 48783,
     /* 2265173 */   GIR_EraseRootFromParent_Done,
     /* 2265174 */ // Label 30410: @2265174
     /* 2265174 */ GIM_Try, /*On fail goto*//*Label 30411*/ GIMT_Encode4(2265222), // Rule ID 48818 //
     /* 2265179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2265185 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2265188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265192 */   // MIs[0] Operand 1
     /* 2265192 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2265197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265201 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265205 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2265208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265210 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265212 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265221 */   // GIR_Coverage, 48818,
     /* 2265221 */   GIR_EraseRootFromParent_Done,
     /* 2265222 */ // Label 30411: @2265222
     /* 2265222 */ GIM_Try, /*On fail goto*//*Label 30412*/ GIMT_Encode4(2265270), // Rule ID 48819 //
     /* 2265227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2265233 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2265236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265240 */   // MIs[0] Operand 1
     /* 2265240 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2265245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265249 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265253 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2265256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265258 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265260 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265269 */   // GIR_Coverage, 48819,
     /* 2265269 */   GIR_EraseRootFromParent_Done,
     /* 2265270 */ // Label 30412: @2265270
     /* 2265270 */ GIM_Try, /*On fail goto*//*Label 30413*/ GIMT_Encode4(2265318), // Rule ID 48826 //
     /* 2265275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2265281 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2265284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265288 */   // MIs[0] Operand 1
     /* 2265288 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2265293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265297 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265301 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2265304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265306 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265308 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265317 */   // GIR_Coverage, 48826,
     /* 2265317 */   GIR_EraseRootFromParent_Done,
     /* 2265318 */ // Label 30413: @2265318
     /* 2265318 */ GIM_Try, /*On fail goto*//*Label 30414*/ GIMT_Encode4(2265366), // Rule ID 48827 //
     /* 2265323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2265329 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2265332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265336 */   // MIs[0] Operand 1
     /* 2265336 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2265341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265345 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265349 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2265349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2265352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265354 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265356 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265365 */   // GIR_Coverage, 48827,
     /* 2265365 */   GIR_EraseRootFromParent_Done,
     /* 2265366 */ // Label 30414: @2265366
     /* 2265366 */ GIM_Try, /*On fail goto*//*Label 30415*/ GIMT_Encode4(2265414), // Rule ID 48862 //
     /* 2265371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2265377 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2265380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265384 */   // MIs[0] Operand 1
     /* 2265384 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2265389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265393 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265397 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2265400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265402 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265404 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265413 */   // GIR_Coverage, 48862,
     /* 2265413 */   GIR_EraseRootFromParent_Done,
     /* 2265414 */ // Label 30415: @2265414
     /* 2265414 */ GIM_Try, /*On fail goto*//*Label 30416*/ GIMT_Encode4(2265462), // Rule ID 48863 //
     /* 2265419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2265425 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2265428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265432 */   // MIs[0] Operand 1
     /* 2265432 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2265437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265441 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265445 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2265448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265450 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265452 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265461 */   // GIR_Coverage, 48863,
     /* 2265461 */   GIR_EraseRootFromParent_Done,
     /* 2265462 */ // Label 30416: @2265462
     /* 2265462 */ GIM_Try, /*On fail goto*//*Label 30417*/ GIMT_Encode4(2265510), // Rule ID 48870 //
     /* 2265467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2265473 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2265476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265480 */   // MIs[0] Operand 1
     /* 2265480 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2265485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265489 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265493 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2265496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265498 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265500 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265509 */   // GIR_Coverage, 48870,
     /* 2265509 */   GIR_EraseRootFromParent_Done,
     /* 2265510 */ // Label 30417: @2265510
     /* 2265510 */ GIM_Try, /*On fail goto*//*Label 30418*/ GIMT_Encode4(2265558), // Rule ID 48871 //
     /* 2265515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2265521 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2265524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265528 */   // MIs[0] Operand 1
     /* 2265528 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2265533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265537 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265541 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2265541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2265544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265546 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265548 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265557 */   // GIR_Coverage, 48871,
     /* 2265557 */   GIR_EraseRootFromParent_Done,
     /* 2265558 */ // Label 30418: @2265558
     /* 2265558 */ GIM_Try, /*On fail goto*//*Label 30419*/ GIMT_Encode4(2265606), // Rule ID 48906 //
     /* 2265563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2265569 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2265572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265576 */   // MIs[0] Operand 1
     /* 2265576 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2265581 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265585 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265589 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2265592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265594 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265596 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265605 */   // GIR_Coverage, 48906,
     /* 2265605 */   GIR_EraseRootFromParent_Done,
     /* 2265606 */ // Label 30419: @2265606
     /* 2265606 */ GIM_Try, /*On fail goto*//*Label 30420*/ GIMT_Encode4(2265654), // Rule ID 48907 //
     /* 2265611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2265617 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2265620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265624 */   // MIs[0] Operand 1
     /* 2265624 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2265629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265633 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265637 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2265640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265642 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265644 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265652 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265653 */   // GIR_Coverage, 48907,
     /* 2265653 */   GIR_EraseRootFromParent_Done,
     /* 2265654 */ // Label 30420: @2265654
     /* 2265654 */ GIM_Try, /*On fail goto*//*Label 30421*/ GIMT_Encode4(2265702), // Rule ID 48914 //
     /* 2265659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2265665 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2265668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265672 */   // MIs[0] Operand 1
     /* 2265672 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2265677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265681 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265685 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2265688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265690 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265692 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265700 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265701 */   // GIR_Coverage, 48914,
     /* 2265701 */   GIR_EraseRootFromParent_Done,
     /* 2265702 */ // Label 30421: @2265702
     /* 2265702 */ GIM_Try, /*On fail goto*//*Label 30422*/ GIMT_Encode4(2265750), // Rule ID 48915 //
     /* 2265707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2265713 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2265716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265720 */   // MIs[0] Operand 1
     /* 2265720 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2265725 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265729 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265733 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2265733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2265736 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265738 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265740 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265749 */   // GIR_Coverage, 48915,
     /* 2265749 */   GIR_EraseRootFromParent_Done,
     /* 2265750 */ // Label 30422: @2265750
     /* 2265750 */ GIM_Reject,
     /* 2265751 */ // Label 29903: @2265751
     /* 2265751 */ GIM_Try, /*On fail goto*//*Label 30423*/ GIMT_Encode4(2266527),
     /* 2265756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2265759 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2265762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265766 */   GIM_Try, /*On fail goto*//*Label 30424*/ GIMT_Encode4(2265804), // Rule ID 48514 //
     /* 2265771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265774 */     // MIs[0] Operand 1
     /* 2265774 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2265779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265787 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2265790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265803 */     // GIR_Coverage, 48514,
     /* 2265803 */     GIR_EraseRootFromParent_Done,
     /* 2265804 */   // Label 30424: @2265804
     /* 2265804 */   GIM_Try, /*On fail goto*//*Label 30425*/ GIMT_Encode4(2265842), // Rule ID 48515 //
     /* 2265809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265812 */     // MIs[0] Operand 1
     /* 2265812 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2265817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265825 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2265828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265841 */     // GIR_Coverage, 48515,
     /* 2265841 */     GIR_EraseRootFromParent_Done,
     /* 2265842 */   // Label 30425: @2265842
     /* 2265842 */   GIM_Try, /*On fail goto*//*Label 30426*/ GIMT_Encode4(2265880), // Rule ID 48558 //
     /* 2265847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265850 */     // MIs[0] Operand 1
     /* 2265850 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2265855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265863 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2265866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265879 */     // GIR_Coverage, 48558,
     /* 2265879 */     GIR_EraseRootFromParent_Done,
     /* 2265880 */   // Label 30426: @2265880
     /* 2265880 */   GIM_Try, /*On fail goto*//*Label 30427*/ GIMT_Encode4(2265918), // Rule ID 48559 //
     /* 2265885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265888 */     // MIs[0] Operand 1
     /* 2265888 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2265893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265901 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2265904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265917 */     // GIR_Coverage, 48559,
     /* 2265917 */     GIR_EraseRootFromParent_Done,
     /* 2265918 */   // Label 30427: @2265918
     /* 2265918 */   GIM_Try, /*On fail goto*//*Label 30428*/ GIMT_Encode4(2265956), // Rule ID 48602 //
     /* 2265923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265926 */     // MIs[0] Operand 1
     /* 2265926 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2265931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265939 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2265942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265955 */     // GIR_Coverage, 48602,
     /* 2265955 */     GIR_EraseRootFromParent_Done,
     /* 2265956 */   // Label 30428: @2265956
     /* 2265956 */   GIM_Try, /*On fail goto*//*Label 30429*/ GIMT_Encode4(2265994), // Rule ID 48603 //
     /* 2265961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265964 */     // MIs[0] Operand 1
     /* 2265964 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2265969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265977 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2265980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265993 */     // GIR_Coverage, 48603,
     /* 2265993 */     GIR_EraseRootFromParent_Done,
     /* 2265994 */   // Label 30429: @2265994
     /* 2265994 */   GIM_Try, /*On fail goto*//*Label 30430*/ GIMT_Encode4(2266032), // Rule ID 48644 //
     /* 2265999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266002 */     // MIs[0] Operand 1
     /* 2266002 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2266007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266015 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2266018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266031 */     // GIR_Coverage, 48644,
     /* 2266031 */     GIR_EraseRootFromParent_Done,
     /* 2266032 */   // Label 30430: @2266032
     /* 2266032 */   GIM_Try, /*On fail goto*//*Label 30431*/ GIMT_Encode4(2266070), // Rule ID 48645 //
     /* 2266037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266040 */     // MIs[0] Operand 1
     /* 2266040 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2266045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266053 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2266056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266069 */     // GIR_Coverage, 48645,
     /* 2266069 */     GIR_EraseRootFromParent_Done,
     /* 2266070 */   // Label 30431: @2266070
     /* 2266070 */   GIM_Try, /*On fail goto*//*Label 30432*/ GIMT_Encode4(2266108), // Rule ID 48688 //
     /* 2266075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266078 */     // MIs[0] Operand 1
     /* 2266078 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2266083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266091 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2266094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266107 */     // GIR_Coverage, 48688,
     /* 2266107 */     GIR_EraseRootFromParent_Done,
     /* 2266108 */   // Label 30432: @2266108
     /* 2266108 */   GIM_Try, /*On fail goto*//*Label 30433*/ GIMT_Encode4(2266146), // Rule ID 48689 //
     /* 2266113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266116 */     // MIs[0] Operand 1
     /* 2266116 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2266121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266129 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2266132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266145 */     // GIR_Coverage, 48689,
     /* 2266145 */     GIR_EraseRootFromParent_Done,
     /* 2266146 */   // Label 30433: @2266146
     /* 2266146 */   GIM_Try, /*On fail goto*//*Label 30434*/ GIMT_Encode4(2266184), // Rule ID 48732 //
     /* 2266151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266154 */     // MIs[0] Operand 1
     /* 2266154 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2266159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266167 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2266170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266183 */     // GIR_Coverage, 48732,
     /* 2266183 */     GIR_EraseRootFromParent_Done,
     /* 2266184 */   // Label 30434: @2266184
     /* 2266184 */   GIM_Try, /*On fail goto*//*Label 30435*/ GIMT_Encode4(2266222), // Rule ID 48733 //
     /* 2266189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266192 */     // MIs[0] Operand 1
     /* 2266192 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2266197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266205 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2266208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266221 */     // GIR_Coverage, 48733,
     /* 2266221 */     GIR_EraseRootFromParent_Done,
     /* 2266222 */   // Label 30435: @2266222
     /* 2266222 */   GIM_Try, /*On fail goto*//*Label 30436*/ GIMT_Encode4(2266260), // Rule ID 48776 //
     /* 2266227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266230 */     // MIs[0] Operand 1
     /* 2266230 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2266235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266243 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2266246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266259 */     // GIR_Coverage, 48776,
     /* 2266259 */     GIR_EraseRootFromParent_Done,
     /* 2266260 */   // Label 30436: @2266260
     /* 2266260 */   GIM_Try, /*On fail goto*//*Label 30437*/ GIMT_Encode4(2266298), // Rule ID 48777 //
     /* 2266265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266268 */     // MIs[0] Operand 1
     /* 2266268 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2266273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266281 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2266284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266297 */     // GIR_Coverage, 48777,
     /* 2266297 */     GIR_EraseRootFromParent_Done,
     /* 2266298 */   // Label 30437: @2266298
     /* 2266298 */   GIM_Try, /*On fail goto*//*Label 30438*/ GIMT_Encode4(2266336), // Rule ID 48820 //
     /* 2266303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266306 */     // MIs[0] Operand 1
     /* 2266306 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2266311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266319 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2266322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266335 */     // GIR_Coverage, 48820,
     /* 2266335 */     GIR_EraseRootFromParent_Done,
     /* 2266336 */   // Label 30438: @2266336
     /* 2266336 */   GIM_Try, /*On fail goto*//*Label 30439*/ GIMT_Encode4(2266374), // Rule ID 48821 //
     /* 2266341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266344 */     // MIs[0] Operand 1
     /* 2266344 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2266349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266357 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2266360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266373 */     // GIR_Coverage, 48821,
     /* 2266373 */     GIR_EraseRootFromParent_Done,
     /* 2266374 */   // Label 30439: @2266374
     /* 2266374 */   GIM_Try, /*On fail goto*//*Label 30440*/ GIMT_Encode4(2266412), // Rule ID 48864 //
     /* 2266379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266382 */     // MIs[0] Operand 1
     /* 2266382 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2266387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266395 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2266398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266411 */     // GIR_Coverage, 48864,
     /* 2266411 */     GIR_EraseRootFromParent_Done,
     /* 2266412 */   // Label 30440: @2266412
     /* 2266412 */   GIM_Try, /*On fail goto*//*Label 30441*/ GIMT_Encode4(2266450), // Rule ID 48865 //
     /* 2266417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266420 */     // MIs[0] Operand 1
     /* 2266420 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2266425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266433 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2266436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266449 */     // GIR_Coverage, 48865,
     /* 2266449 */     GIR_EraseRootFromParent_Done,
     /* 2266450 */   // Label 30441: @2266450
     /* 2266450 */   GIM_Try, /*On fail goto*//*Label 30442*/ GIMT_Encode4(2266488), // Rule ID 48908 //
     /* 2266455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266458 */     // MIs[0] Operand 1
     /* 2266458 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2266463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266471 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2266474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266487 */     // GIR_Coverage, 48908,
     /* 2266487 */     GIR_EraseRootFromParent_Done,
     /* 2266488 */   // Label 30442: @2266488
     /* 2266488 */   GIM_Try, /*On fail goto*//*Label 30443*/ GIMT_Encode4(2266526), // Rule ID 48909 //
     /* 2266493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266496 */     // MIs[0] Operand 1
     /* 2266496 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2266501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266509 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2266512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266525 */     // GIR_Coverage, 48909,
     /* 2266525 */     GIR_EraseRootFromParent_Done,
     /* 2266526 */   // Label 30443: @2266526
     /* 2266526 */   GIM_Reject,
     /* 2266527 */ // Label 30423: @2266527
     /* 2266527 */ GIM_Reject,
     /* 2266528 */ // Label 29904: @2266528
     /* 2266528 */ GIM_Reject,
     /* 2266529 */ // Label 49: @2266529
     /* 2266529 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(30), /*)*//*default:*//*Label 30452*/ GIMT_Encode4(2273990),
     /* 2266540 */ /*GILLT_s32*//*Label 30444*/ GIMT_Encode4(2266648),
     /* 2266544 */ /*GILLT_s64*//*Label 30445*/ GIMT_Encode4(2267405),
     /* 2266548 */ /*GILLT_nxv1s1*//*Label 30446*/ GIMT_Encode4(2268288), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2266568 */ /*GILLT_nxv2s1*//*Label 30447*/ GIMT_Encode4(2269441), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2266588 */ /*GILLT_nxv4s1*//*Label 30448*/ GIMT_Encode4(2270594), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2266608 */ /*GILLT_nxv8s1*//*Label 30449*/ GIMT_Encode4(2271747), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2266628 */ /*GILLT_nxv16s1*//*Label 30450*/ GIMT_Encode4(2272900), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2266644 */ /*GILLT_nxv32s1*//*Label 30451*/ GIMT_Encode4(2273669),
     /* 2266648 */ // Label 30444: @2266648
     /* 2266648 */ GIM_Try, /*On fail goto*//*Label 30453*/ GIMT_Encode4(2266690), // Rule ID 1366 //
     /* 2266653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2266656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2266659 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2266662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266666 */   // MIs[0] Operand 1
     /* 2266666 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2266671 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2266675 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2266679 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2266679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2266682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266684 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266686 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266688 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266689 */   // GIR_Coverage, 1366,
     /* 2266689 */   GIR_EraseRootFromParent_Done,
     /* 2266690 */ // Label 30453: @2266690
     /* 2266690 */ GIM_Try, /*On fail goto*//*Label 30454*/ GIMT_Encode4(2266732), // Rule ID 1370 //
     /* 2266695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2266698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2266701 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2266704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266708 */   // MIs[0] Operand 1
     /* 2266708 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2266713 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2266717 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2266721 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2266721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2266724 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266726 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266728 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266731 */   // GIR_Coverage, 1370,
     /* 2266731 */   GIR_EraseRootFromParent_Done,
     /* 2266732 */ // Label 30454: @2266732
     /* 2266732 */ GIM_Try, /*On fail goto*//*Label 30455*/ GIMT_Encode4(2266774), // Rule ID 1414 //
     /* 2266737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2266740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2266743 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2266746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266750 */   // MIs[0] Operand 1
     /* 2266750 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2266755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2266759 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2266763 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2266763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2266766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266768 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266770 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266773 */   // GIR_Coverage, 1414,
     /* 2266773 */   GIR_EraseRootFromParent_Done,
     /* 2266774 */ // Label 30455: @2266774
     /* 2266774 */ GIM_Try, /*On fail goto*//*Label 30456*/ GIMT_Encode4(2266816), // Rule ID 1418 //
     /* 2266779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2266782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2266785 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2266788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266792 */   // MIs[0] Operand 1
     /* 2266792 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2266797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2266801 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2266805 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2266805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2266808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266810 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266812 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266815 */   // GIR_Coverage, 1418,
     /* 2266815 */   GIR_EraseRootFromParent_Done,
     /* 2266816 */ // Label 30456: @2266816
     /* 2266816 */ GIM_Try, /*On fail goto*//*Label 30457*/ GIMT_Encode4(2266858), // Rule ID 1430 //
     /* 2266821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2266824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2266827 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2266830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266834 */   // MIs[0] Operand 1
     /* 2266834 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2266839 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2266843 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2266847 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2266847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2266850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266852 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266854 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266857 */   // GIR_Coverage, 1430,
     /* 2266857 */   GIR_EraseRootFromParent_Done,
     /* 2266858 */ // Label 30457: @2266858
     /* 2266858 */ GIM_Try, /*On fail goto*//*Label 30458*/ GIMT_Encode4(2266900), // Rule ID 1434 //
     /* 2266863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2266866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2266869 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2266872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266876 */   // MIs[0] Operand 1
     /* 2266876 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2266881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2266885 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2266889 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2266889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2266892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266894 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266896 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266899 */   // GIR_Coverage, 1434,
     /* 2266899 */   GIR_EraseRootFromParent_Done,
     /* 2266900 */ // Label 30458: @2266900
     /* 2266900 */ GIM_Try, /*On fail goto*//*Label 30459*/ GIMT_Encode4(2266942), // Rule ID 1746 //
     /* 2266905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2266908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2266911 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2266914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266918 */   // MIs[0] Operand 1
     /* 2266918 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2266923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2266927 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2266931 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2266931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2266934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266936 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266938 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266940 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266941 */   // GIR_Coverage, 1746,
     /* 2266941 */   GIR_EraseRootFromParent_Done,
     /* 2266942 */ // Label 30459: @2266942
     /* 2266942 */ GIM_Try, /*On fail goto*//*Label 30460*/ GIMT_Encode4(2266984), // Rule ID 1750 //
     /* 2266947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2266950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2266953 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2266956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266960 */   // MIs[0] Operand 1
     /* 2266960 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2266965 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2266969 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2266973 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2266973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2266976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266978 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266980 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266983 */   // GIR_Coverage, 1750,
     /* 2266983 */   GIR_EraseRootFromParent_Done,
     /* 2266984 */ // Label 30460: @2266984
     /* 2266984 */ GIM_Try, /*On fail goto*//*Label 30461*/ GIMT_Encode4(2267026), // Rule ID 1788 //
     /* 2266989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2266992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2266995 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2266998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267002 */   // MIs[0] Operand 1
     /* 2267002 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267011 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267015 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2267015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2267018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267020 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267022 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267025 */   // GIR_Coverage, 1788,
     /* 2267025 */   GIR_EraseRootFromParent_Done,
     /* 2267026 */ // Label 30461: @2267026
     /* 2267026 */ GIM_Try, /*On fail goto*//*Label 30462*/ GIMT_Encode4(2267068), // Rule ID 1796 //
     /* 2267031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2267034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2267037 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2267040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267044 */   // MIs[0] Operand 1
     /* 2267044 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267053 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267057 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2267057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2267060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267062 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267064 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267067 */   // GIR_Coverage, 1796,
     /* 2267067 */   GIR_EraseRootFromParent_Done,
     /* 2267068 */ // Label 30462: @2267068
     /* 2267068 */ GIM_Try, /*On fail goto*//*Label 30463*/ GIMT_Encode4(2267110), // Rule ID 1824 //
     /* 2267073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2267076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2267079 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2267082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267086 */   // MIs[0] Operand 1
     /* 2267086 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267091 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2267095 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2267099 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2267099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2267102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267104 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267106 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267109 */   // GIR_Coverage, 1824,
     /* 2267109 */   GIR_EraseRootFromParent_Done,
     /* 2267110 */ // Label 30463: @2267110
     /* 2267110 */ GIM_Try, /*On fail goto*//*Label 30464*/ GIMT_Encode4(2267152), // Rule ID 1832 //
     /* 2267115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2267118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2267121 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2267124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267128 */   // MIs[0] Operand 1
     /* 2267128 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2267137 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2267141 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2267141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2267144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267146 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267148 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267150 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267151 */   // GIR_Coverage, 1832,
     /* 2267151 */   GIR_EraseRootFromParent_Done,
     /* 2267152 */ // Label 30464: @2267152
     /* 2267152 */ GIM_Try, /*On fail goto*//*Label 30465*/ GIMT_Encode4(2267194), // Rule ID 2079 //
     /* 2267157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2267160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2267163 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2267166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267170 */   // MIs[0] Operand 1
     /* 2267170 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2267175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267179 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267183 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2267183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2267186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267188 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267190 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267193 */   // GIR_Coverage, 2079,
     /* 2267193 */   GIR_EraseRootFromParent_Done,
     /* 2267194 */ // Label 30465: @2267194
     /* 2267194 */ GIM_Try, /*On fail goto*//*Label 30466*/ GIMT_Encode4(2267236), // Rule ID 2083 //
     /* 2267199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2267202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2267205 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2267208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267212 */   // MIs[0] Operand 1
     /* 2267212 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2267217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2267221 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2267225 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2267225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2267228 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267230 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267232 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267235 */   // GIR_Coverage, 2083,
     /* 2267235 */   GIR_EraseRootFromParent_Done,
     /* 2267236 */ // Label 30466: @2267236
     /* 2267236 */ GIM_Try, /*On fail goto*//*Label 30467*/ GIMT_Encode4(2267278), // Rule ID 2127 //
     /* 2267241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2267244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2267247 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2267250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267254 */   // MIs[0] Operand 1
     /* 2267254 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267263 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267267 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2267267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2267270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267272 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267274 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267277 */   // GIR_Coverage, 2127,
     /* 2267277 */   GIR_EraseRootFromParent_Done,
     /* 2267278 */ // Label 30467: @2267278
     /* 2267278 */ GIM_Try, /*On fail goto*//*Label 30468*/ GIMT_Encode4(2267320), // Rule ID 2131 //
     /* 2267283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2267286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2267289 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2267292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267296 */   // MIs[0] Operand 1
     /* 2267296 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2267305 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2267309 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2267309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2267312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267314 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267316 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267319 */   // GIR_Coverage, 2131,
     /* 2267319 */   GIR_EraseRootFromParent_Done,
     /* 2267320 */ // Label 30468: @2267320
     /* 2267320 */ GIM_Try, /*On fail goto*//*Label 30469*/ GIMT_Encode4(2267362), // Rule ID 2143 //
     /* 2267325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2267328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2267331 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2267334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267338 */   // MIs[0] Operand 1
     /* 2267338 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267347 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267351 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2267351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2267354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267356 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267358 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267360 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267361 */   // GIR_Coverage, 2143,
     /* 2267361 */   GIR_EraseRootFromParent_Done,
     /* 2267362 */ // Label 30469: @2267362
     /* 2267362 */ GIM_Try, /*On fail goto*//*Label 30470*/ GIMT_Encode4(2267404), // Rule ID 2147 //
     /* 2267367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2267370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2267373 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2267376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267380 */   // MIs[0] Operand 1
     /* 2267380 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2267389 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2267393 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2267393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2267396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267398 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267400 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267403 */   // GIR_Coverage, 2147,
     /* 2267403 */   GIR_EraseRootFromParent_Done,
     /* 2267404 */ // Label 30470: @2267404
     /* 2267404 */ GIM_Reject,
     /* 2267405 */ // Label 30445: @2267405
     /* 2267405 */ GIM_Try, /*On fail goto*//*Label 30471*/ GIMT_Encode4(2267447), // Rule ID 1365 //
     /* 2267410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2267413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2267416 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2267419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267423 */   // MIs[0] Operand 1
     /* 2267423 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2267428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2267432 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2267436 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2267436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2267439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267441 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267443 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267446 */   // GIR_Coverage, 1365,
     /* 2267446 */   GIR_EraseRootFromParent_Done,
     /* 2267447 */ // Label 30471: @2267447
     /* 2267447 */ GIM_Try, /*On fail goto*//*Label 30472*/ GIMT_Encode4(2267489), // Rule ID 1369 //
     /* 2267452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2267455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2267458 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2267461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267465 */   // MIs[0] Operand 1
     /* 2267465 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2267470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2267474 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2267478 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2267478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2267481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267483 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267485 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267488 */   // GIR_Coverage, 1369,
     /* 2267488 */   GIR_EraseRootFromParent_Done,
     /* 2267489 */ // Label 30472: @2267489
     /* 2267489 */ GIM_Try, /*On fail goto*//*Label 30473*/ GIMT_Encode4(2267531), // Rule ID 1413 //
     /* 2267494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2267497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2267500 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2267503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267507 */   // MIs[0] Operand 1
     /* 2267507 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2267516 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2267520 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2267520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2267523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267525 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267527 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267530 */   // GIR_Coverage, 1413,
     /* 2267530 */   GIR_EraseRootFromParent_Done,
     /* 2267531 */ // Label 30473: @2267531
     /* 2267531 */ GIM_Try, /*On fail goto*//*Label 30474*/ GIMT_Encode4(2267573), // Rule ID 1417 //
     /* 2267536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2267539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2267542 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2267545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267549 */   // MIs[0] Operand 1
     /* 2267549 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2267558 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2267562 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2267562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2267565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267567 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267569 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267572 */   // GIR_Coverage, 1417,
     /* 2267572 */   GIR_EraseRootFromParent_Done,
     /* 2267573 */ // Label 30474: @2267573
     /* 2267573 */ GIM_Try, /*On fail goto*//*Label 30475*/ GIMT_Encode4(2267615), // Rule ID 1429 //
     /* 2267578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2267581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2267584 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2267587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267591 */   // MIs[0] Operand 1
     /* 2267591 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2267600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2267604 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2267604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2267607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267609 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267611 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267614 */   // GIR_Coverage, 1429,
     /* 2267614 */   GIR_EraseRootFromParent_Done,
     /* 2267615 */ // Label 30475: @2267615
     /* 2267615 */ GIM_Try, /*On fail goto*//*Label 30476*/ GIMT_Encode4(2267657), // Rule ID 1433 //
     /* 2267620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2267623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2267626 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2267629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267633 */   // MIs[0] Operand 1
     /* 2267633 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2267642 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2267646 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2267646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2267649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267651 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267653 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267656 */   // GIR_Coverage, 1433,
     /* 2267656 */   GIR_EraseRootFromParent_Done,
     /* 2267657 */ // Label 30476: @2267657
     /* 2267657 */ GIM_Try, /*On fail goto*//*Label 30477*/ GIMT_Encode4(2267699), // Rule ID 1745 //
     /* 2267662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2267665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2267668 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2267671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267675 */   // MIs[0] Operand 1
     /* 2267675 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2267680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267684 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267688 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2267688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2267691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267693 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267695 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267698 */   // GIR_Coverage, 1745,
     /* 2267698 */   GIR_EraseRootFromParent_Done,
     /* 2267699 */ // Label 30477: @2267699
     /* 2267699 */ GIM_Try, /*On fail goto*//*Label 30478*/ GIMT_Encode4(2267741), // Rule ID 1749 //
     /* 2267704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2267707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2267710 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2267713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267717 */   // MIs[0] Operand 1
     /* 2267717 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2267722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2267726 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2267730 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2267730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2267733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267735 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267737 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267740 */   // GIR_Coverage, 1749,
     /* 2267740 */   GIR_EraseRootFromParent_Done,
     /* 2267741 */ // Label 30478: @2267741
     /* 2267741 */ GIM_Try, /*On fail goto*//*Label 30479*/ GIMT_Encode4(2267783), // Rule ID 1752 //
     /* 2267746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2267749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2267752 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2267755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267759 */   // MIs[0] Operand 1
     /* 2267759 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2267764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267768 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267772 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2267772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_INX),
     /* 2267775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267777 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267779 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267782 */   // GIR_Coverage, 1752,
     /* 2267782 */   GIR_EraseRootFromParent_Done,
     /* 2267783 */ // Label 30479: @2267783
     /* 2267783 */ GIM_Try, /*On fail goto*//*Label 30480*/ GIMT_Encode4(2267825), // Rule ID 1787 //
     /* 2267788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2267791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2267794 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2267797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267801 */   // MIs[0] Operand 1
     /* 2267801 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267810 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267814 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2267814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2267817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267819 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267821 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267823 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267824 */   // GIR_Coverage, 1787,
     /* 2267824 */   GIR_EraseRootFromParent_Done,
     /* 2267825 */ // Label 30480: @2267825
     /* 2267825 */ GIM_Try, /*On fail goto*//*Label 30481*/ GIMT_Encode4(2267867), // Rule ID 1795 //
     /* 2267830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2267833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2267836 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2267839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267843 */   // MIs[0] Operand 1
     /* 2267843 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267852 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267856 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2267856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2267859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267861 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267863 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267866 */   // GIR_Coverage, 1795,
     /* 2267866 */   GIR_EraseRootFromParent_Done,
     /* 2267867 */ // Label 30481: @2267867
     /* 2267867 */ GIM_Try, /*On fail goto*//*Label 30482*/ GIMT_Encode4(2267909), // Rule ID 1804 //
     /* 2267872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2267875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2267878 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2267881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267885 */   // MIs[0] Operand 1
     /* 2267885 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267894 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267898 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2267898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_INX),
     /* 2267901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267903 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267905 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267908 */   // GIR_Coverage, 1804,
     /* 2267908 */   GIR_EraseRootFromParent_Done,
     /* 2267909 */ // Label 30482: @2267909
     /* 2267909 */ GIM_Try, /*On fail goto*//*Label 30483*/ GIMT_Encode4(2267951), // Rule ID 1808 //
     /* 2267914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2267917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2267920 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2267923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267927 */   // MIs[0] Operand 1
     /* 2267927 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2267932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267936 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267940 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2267940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_INX),
     /* 2267943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267945 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267947 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267950 */   // GIR_Coverage, 1808,
     /* 2267950 */   GIR_EraseRootFromParent_Done,
     /* 2267951 */ // Label 30483: @2267951
     /* 2267951 */ GIM_Try, /*On fail goto*//*Label 30484*/ GIMT_Encode4(2267993), // Rule ID 1823 //
     /* 2267956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2267959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2267962 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2267965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2267969 */   // MIs[0] Operand 1
     /* 2267969 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2267974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2267978 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2267982 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2267982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2267985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267987 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267989 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267992 */   // GIR_Coverage, 1823,
     /* 2267992 */   GIR_EraseRootFromParent_Done,
     /* 2267993 */ // Label 30484: @2267993
     /* 2267993 */ GIM_Try, /*On fail goto*//*Label 30485*/ GIMT_Encode4(2268035), // Rule ID 1831 //
     /* 2267998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2268001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2268004 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2268007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268011 */   // MIs[0] Operand 1
     /* 2268011 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2268016 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2268020 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2268024 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2268024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2268027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268029 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268031 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268033 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268034 */   // GIR_Coverage, 1831,
     /* 2268034 */   GIR_EraseRootFromParent_Done,
     /* 2268035 */ // Label 30485: @2268035
     /* 2268035 */ GIM_Try, /*On fail goto*//*Label 30486*/ GIMT_Encode4(2268077), // Rule ID 2078 //
     /* 2268040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2268043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2268046 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2268049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268053 */   // MIs[0] Operand 1
     /* 2268053 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2268058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2268062 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2268066 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2268066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2268069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268071 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268073 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268075 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268076 */   // GIR_Coverage, 2078,
     /* 2268076 */   GIR_EraseRootFromParent_Done,
     /* 2268077 */ // Label 30486: @2268077
     /* 2268077 */ GIM_Try, /*On fail goto*//*Label 30487*/ GIMT_Encode4(2268119), // Rule ID 2082 //
     /* 2268082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2268085 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2268088 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2268091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268095 */   // MIs[0] Operand 1
     /* 2268095 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2268100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2268104 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2268108 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2268108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2268111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268113 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268115 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268118 */   // GIR_Coverage, 2082,
     /* 2268118 */   GIR_EraseRootFromParent_Done,
     /* 2268119 */ // Label 30487: @2268119
     /* 2268119 */ GIM_Try, /*On fail goto*//*Label 30488*/ GIMT_Encode4(2268161), // Rule ID 2126 //
     /* 2268124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2268127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2268130 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2268133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268137 */   // MIs[0] Operand 1
     /* 2268137 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2268142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2268146 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2268150 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2268150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2268153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268155 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268157 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268160 */   // GIR_Coverage, 2126,
     /* 2268160 */   GIR_EraseRootFromParent_Done,
     /* 2268161 */ // Label 30488: @2268161
     /* 2268161 */ GIM_Try, /*On fail goto*//*Label 30489*/ GIMT_Encode4(2268203), // Rule ID 2130 //
     /* 2268166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2268169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2268172 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2268175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268179 */   // MIs[0] Operand 1
     /* 2268179 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2268184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2268188 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2268192 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2268192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2268195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268197 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268199 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268202 */   // GIR_Coverage, 2130,
     /* 2268202 */   GIR_EraseRootFromParent_Done,
     /* 2268203 */ // Label 30489: @2268203
     /* 2268203 */ GIM_Try, /*On fail goto*//*Label 30490*/ GIMT_Encode4(2268245), // Rule ID 2142 //
     /* 2268208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2268211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2268214 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2268217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268221 */   // MIs[0] Operand 1
     /* 2268221 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2268226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2268230 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2268234 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2268234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2268237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268239 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268241 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268244 */   // GIR_Coverage, 2142,
     /* 2268244 */   GIR_EraseRootFromParent_Done,
     /* 2268245 */ // Label 30490: @2268245
     /* 2268245 */ GIM_Try, /*On fail goto*//*Label 30491*/ GIMT_Encode4(2268287), // Rule ID 2146 //
     /* 2268250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2268253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2268256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2268259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268263 */   // MIs[0] Operand 1
     /* 2268263 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2268268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2268272 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2268276 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2268276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2268279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268286 */   // GIR_Coverage, 2146,
     /* 2268286 */   GIR_EraseRootFromParent_Done,
     /* 2268287 */ // Label 30491: @2268287
     /* 2268287 */ GIM_Reject,
     /* 2268288 */ // Label 30446: @2268288
     /* 2268288 */ GIM_Try, /*On fail goto*//*Label 30492*/ GIMT_Encode4(2268336), // Rule ID 57034 //
     /* 2268293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2268296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2268299 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2268302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268306 */   // MIs[0] Operand 1
     /* 2268306 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2268311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268315 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268319 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2268319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2268322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268324 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268326 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268334 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268335 */   // GIR_Coverage, 57034,
     /* 2268335 */   GIR_EraseRootFromParent_Done,
     /* 2268336 */ // Label 30492: @2268336
     /* 2268336 */ GIM_Try, /*On fail goto*//*Label 30493*/ GIMT_Encode4(2268384), // Rule ID 57035 //
     /* 2268341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2268344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2268347 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2268350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268354 */   // MIs[0] Operand 1
     /* 2268354 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2268359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268363 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268367 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2268367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2268370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268372 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268374 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268382 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268383 */   // GIR_Coverage, 57035,
     /* 2268383 */   GIR_EraseRootFromParent_Done,
     /* 2268384 */ // Label 30493: @2268384
     /* 2268384 */ GIM_Try, /*On fail goto*//*Label 30494*/ GIMT_Encode4(2268432), // Rule ID 57054 //
     /* 2268389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2268392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2268395 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2268398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268402 */   // MIs[0] Operand 1
     /* 2268402 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2268407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268411 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268415 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2268415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2268418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268420 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268422 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268430 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268431 */   // GIR_Coverage, 57054,
     /* 2268431 */   GIR_EraseRootFromParent_Done,
     /* 2268432 */ // Label 30494: @2268432
     /* 2268432 */ GIM_Try, /*On fail goto*//*Label 30495*/ GIMT_Encode4(2268480), // Rule ID 57055 //
     /* 2268437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2268440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2268443 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2268446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268450 */   // MIs[0] Operand 1
     /* 2268450 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2268455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268459 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268463 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2268463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2268466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268468 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268470 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268479 */   // GIR_Coverage, 57055,
     /* 2268479 */   GIR_EraseRootFromParent_Done,
     /* 2268480 */ // Label 30495: @2268480
     /* 2268480 */ GIM_Try, /*On fail goto*//*Label 30496*/ GIMT_Encode4(2268528), // Rule ID 57084 //
     /* 2268485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2268488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2268491 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2268494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268498 */   // MIs[0] Operand 1
     /* 2268498 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2268503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268507 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268511 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2268511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2268514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268516 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268518 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268527 */   // GIR_Coverage, 57084,
     /* 2268527 */   GIR_EraseRootFromParent_Done,
     /* 2268528 */ // Label 30496: @2268528
     /* 2268528 */ GIM_Try, /*On fail goto*//*Label 30497*/ GIMT_Encode4(2268576), // Rule ID 57085 //
     /* 2268533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2268536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2268539 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2268542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268546 */   // MIs[0] Operand 1
     /* 2268546 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2268551 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268555 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268559 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2268559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2268562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268564 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268566 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268574 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268575 */   // GIR_Coverage, 57085,
     /* 2268575 */   GIR_EraseRootFromParent_Done,
     /* 2268576 */ // Label 30497: @2268576
     /* 2268576 */ GIM_Try, /*On fail goto*//*Label 30498*/ GIMT_Encode4(2268624), // Rule ID 57334 //
     /* 2268581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2268584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2268587 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2268590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268594 */   // MIs[0] Operand 1
     /* 2268594 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2268599 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268603 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268607 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2268607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2268610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268612 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268614 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268623 */   // GIR_Coverage, 57334,
     /* 2268623 */   GIR_EraseRootFromParent_Done,
     /* 2268624 */ // Label 30498: @2268624
     /* 2268624 */ GIM_Try, /*On fail goto*//*Label 30499*/ GIMT_Encode4(2268672), // Rule ID 57335 //
     /* 2268629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2268632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2268635 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2268638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268642 */   // MIs[0] Operand 1
     /* 2268642 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2268647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268651 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268655 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2268655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2268658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268660 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268662 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268670 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268671 */   // GIR_Coverage, 57335,
     /* 2268671 */   GIR_EraseRootFromParent_Done,
     /* 2268672 */ // Label 30499: @2268672
     /* 2268672 */ GIM_Try, /*On fail goto*//*Label 30500*/ GIMT_Encode4(2268720), // Rule ID 57354 //
     /* 2268677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2268680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2268683 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2268686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268690 */   // MIs[0] Operand 1
     /* 2268690 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2268695 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268699 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268703 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2268703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2268706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268708 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268710 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268719 */   // GIR_Coverage, 57354,
     /* 2268719 */   GIR_EraseRootFromParent_Done,
     /* 2268720 */ // Label 30500: @2268720
     /* 2268720 */ GIM_Try, /*On fail goto*//*Label 30501*/ GIMT_Encode4(2268768), // Rule ID 57355 //
     /* 2268725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2268728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2268731 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2268734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268738 */   // MIs[0] Operand 1
     /* 2268738 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2268743 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268747 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268751 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2268751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2268754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268756 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268758 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268767 */   // GIR_Coverage, 57355,
     /* 2268767 */   GIR_EraseRootFromParent_Done,
     /* 2268768 */ // Label 30501: @2268768
     /* 2268768 */ GIM_Try, /*On fail goto*//*Label 30502*/ GIMT_Encode4(2268816), // Rule ID 57384 //
     /* 2268773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2268776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2268779 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2268782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268786 */   // MIs[0] Operand 1
     /* 2268786 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2268791 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268795 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268799 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2268799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2268802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268804 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268806 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268815 */   // GIR_Coverage, 57384,
     /* 2268815 */   GIR_EraseRootFromParent_Done,
     /* 2268816 */ // Label 30502: @2268816
     /* 2268816 */ GIM_Try, /*On fail goto*//*Label 30503*/ GIMT_Encode4(2268864), // Rule ID 57385 //
     /* 2268821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2268824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2268827 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2268830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268834 */   // MIs[0] Operand 1
     /* 2268834 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2268839 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268843 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268847 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2268847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2268850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268852 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268854 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268863 */   // GIR_Coverage, 57385,
     /* 2268863 */   GIR_EraseRootFromParent_Done,
     /* 2268864 */ // Label 30503: @2268864
     /* 2268864 */ GIM_Try, /*On fail goto*//*Label 30504*/ GIMT_Encode4(2268912), // Rule ID 57634 //
     /* 2268869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2268872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2268875 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2268878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268882 */   // MIs[0] Operand 1
     /* 2268882 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2268887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268891 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268895 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2268895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2268898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268900 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268902 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268911 */   // GIR_Coverage, 57634,
     /* 2268911 */   GIR_EraseRootFromParent_Done,
     /* 2268912 */ // Label 30504: @2268912
     /* 2268912 */ GIM_Try, /*On fail goto*//*Label 30505*/ GIMT_Encode4(2268960), // Rule ID 57635 //
     /* 2268917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2268920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2268923 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2268926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268930 */   // MIs[0] Operand 1
     /* 2268930 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2268935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268939 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268943 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2268943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2268946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268948 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268950 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268959 */   // GIR_Coverage, 57635,
     /* 2268959 */   GIR_EraseRootFromParent_Done,
     /* 2268960 */ // Label 30505: @2268960
     /* 2268960 */ GIM_Try, /*On fail goto*//*Label 30506*/ GIMT_Encode4(2269008), // Rule ID 57654 //
     /* 2268965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2268968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2268971 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2268974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268978 */   // MIs[0] Operand 1
     /* 2268978 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2268983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268987 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268991 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2268991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2268994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268996 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268998 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269006 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269007 */   // GIR_Coverage, 57654,
     /* 2269007 */   GIR_EraseRootFromParent_Done,
     /* 2269008 */ // Label 30506: @2269008
     /* 2269008 */ GIM_Try, /*On fail goto*//*Label 30507*/ GIMT_Encode4(2269056), // Rule ID 57655 //
     /* 2269013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2269016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2269019 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2269022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269026 */   // MIs[0] Operand 1
     /* 2269026 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2269031 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269035 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269039 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2269039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2269042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269044 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269046 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269054 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269055 */   // GIR_Coverage, 57655,
     /* 2269055 */   GIR_EraseRootFromParent_Done,
     /* 2269056 */ // Label 30507: @2269056
     /* 2269056 */ GIM_Try, /*On fail goto*//*Label 30508*/ GIMT_Encode4(2269104), // Rule ID 57684 //
     /* 2269061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2269064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2269067 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2269070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269074 */   // MIs[0] Operand 1
     /* 2269074 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2269079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269083 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269087 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2269087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2269090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269092 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269094 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269103 */   // GIR_Coverage, 57684,
     /* 2269103 */   GIR_EraseRootFromParent_Done,
     /* 2269104 */ // Label 30508: @2269104
     /* 2269104 */ GIM_Try, /*On fail goto*//*Label 30509*/ GIMT_Encode4(2269152), // Rule ID 57685 //
     /* 2269109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2269112 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2269115 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2269118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269122 */   // MIs[0] Operand 1
     /* 2269122 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2269127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269131 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269135 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2269135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2269138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269140 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269142 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269150 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269151 */   // GIR_Coverage, 57685,
     /* 2269151 */   GIR_EraseRootFromParent_Done,
     /* 2269152 */ // Label 30509: @2269152
     /* 2269152 */ GIM_Try, /*On fail goto*//*Label 30510*/ GIMT_Encode4(2269200), // Rule ID 57934 //
     /* 2269157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2269160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2269163 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2269166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269170 */   // MIs[0] Operand 1
     /* 2269170 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2269175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269179 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269183 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2269183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2269186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269188 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269190 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269199 */   // GIR_Coverage, 57934,
     /* 2269199 */   GIR_EraseRootFromParent_Done,
     /* 2269200 */ // Label 30510: @2269200
     /* 2269200 */ GIM_Try, /*On fail goto*//*Label 30511*/ GIMT_Encode4(2269248), // Rule ID 57935 //
     /* 2269205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2269208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2269211 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2269214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269218 */   // MIs[0] Operand 1
     /* 2269218 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2269223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269227 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269231 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2269231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2269234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269236 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269238 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269247 */   // GIR_Coverage, 57935,
     /* 2269247 */   GIR_EraseRootFromParent_Done,
     /* 2269248 */ // Label 30511: @2269248
     /* 2269248 */ GIM_Try, /*On fail goto*//*Label 30512*/ GIMT_Encode4(2269296), // Rule ID 57954 //
     /* 2269253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2269256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2269259 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2269262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269266 */   // MIs[0] Operand 1
     /* 2269266 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2269271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269275 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269279 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2269279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2269282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269284 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269286 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269295 */   // GIR_Coverage, 57954,
     /* 2269295 */   GIR_EraseRootFromParent_Done,
     /* 2269296 */ // Label 30512: @2269296
     /* 2269296 */ GIM_Try, /*On fail goto*//*Label 30513*/ GIMT_Encode4(2269344), // Rule ID 57955 //
     /* 2269301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2269304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2269307 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2269310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269314 */   // MIs[0] Operand 1
     /* 2269314 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2269319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269323 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269327 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2269327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2269330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269332 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269334 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269342 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269343 */   // GIR_Coverage, 57955,
     /* 2269343 */   GIR_EraseRootFromParent_Done,
     /* 2269344 */ // Label 30513: @2269344
     /* 2269344 */ GIM_Try, /*On fail goto*//*Label 30514*/ GIMT_Encode4(2269392), // Rule ID 57984 //
     /* 2269349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2269352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2269355 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2269358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269362 */   // MIs[0] Operand 1
     /* 2269362 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2269367 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269371 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269375 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2269375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2269378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269380 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269382 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269391 */   // GIR_Coverage, 57984,
     /* 2269391 */   GIR_EraseRootFromParent_Done,
     /* 2269392 */ // Label 30514: @2269392
     /* 2269392 */ GIM_Try, /*On fail goto*//*Label 30515*/ GIMT_Encode4(2269440), // Rule ID 57985 //
     /* 2269397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2269400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2269403 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2269406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269410 */   // MIs[0] Operand 1
     /* 2269410 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2269415 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269419 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269423 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2269423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2269426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269428 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269430 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269439 */   // GIR_Coverage, 57985,
     /* 2269439 */   GIR_EraseRootFromParent_Done,
     /* 2269440 */ // Label 30515: @2269440
     /* 2269440 */ GIM_Reject,
     /* 2269441 */ // Label 30447: @2269441
     /* 2269441 */ GIM_Try, /*On fail goto*//*Label 30516*/ GIMT_Encode4(2269489), // Rule ID 57044 //
     /* 2269446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2269449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2269452 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2269455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269459 */   // MIs[0] Operand 1
     /* 2269459 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2269464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269468 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269472 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2269472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2269475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269477 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269479 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269488 */   // GIR_Coverage, 57044,
     /* 2269488 */   GIR_EraseRootFromParent_Done,
     /* 2269489 */ // Label 30516: @2269489
     /* 2269489 */ GIM_Try, /*On fail goto*//*Label 30517*/ GIMT_Encode4(2269537), // Rule ID 57045 //
     /* 2269494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2269497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2269500 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2269503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269507 */   // MIs[0] Operand 1
     /* 2269507 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2269512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269516 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269520 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2269520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2269523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269525 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269527 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269536 */   // GIR_Coverage, 57045,
     /* 2269536 */   GIR_EraseRootFromParent_Done,
     /* 2269537 */ // Label 30517: @2269537
     /* 2269537 */ GIM_Try, /*On fail goto*//*Label 30518*/ GIMT_Encode4(2269585), // Rule ID 57074 //
     /* 2269542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2269545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2269548 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2269551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269555 */   // MIs[0] Operand 1
     /* 2269555 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2269560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269564 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269568 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2269568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2269571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269573 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269575 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269583 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269584 */   // GIR_Coverage, 57074,
     /* 2269584 */   GIR_EraseRootFromParent_Done,
     /* 2269585 */ // Label 30518: @2269585
     /* 2269585 */ GIM_Try, /*On fail goto*//*Label 30519*/ GIMT_Encode4(2269633), // Rule ID 57075 //
     /* 2269590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2269593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2269596 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2269599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269603 */   // MIs[0] Operand 1
     /* 2269603 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2269608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269612 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269616 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2269616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2269619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269621 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269623 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269632 */   // GIR_Coverage, 57075,
     /* 2269632 */   GIR_EraseRootFromParent_Done,
     /* 2269633 */ // Label 30519: @2269633
     /* 2269633 */ GIM_Try, /*On fail goto*//*Label 30520*/ GIMT_Encode4(2269681), // Rule ID 57154 //
     /* 2269638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2269641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2269644 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2269647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269651 */   // MIs[0] Operand 1
     /* 2269651 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2269656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269660 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269664 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2269664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2269667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269669 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269671 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269679 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269680 */   // GIR_Coverage, 57154,
     /* 2269680 */   GIR_EraseRootFromParent_Done,
     /* 2269681 */ // Label 30520: @2269681
     /* 2269681 */ GIM_Try, /*On fail goto*//*Label 30521*/ GIMT_Encode4(2269729), // Rule ID 57155 //
     /* 2269686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2269689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2269692 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2269695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269699 */   // MIs[0] Operand 1
     /* 2269699 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2269704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269708 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269712 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2269712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2269715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269717 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269719 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269727 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269728 */   // GIR_Coverage, 57155,
     /* 2269728 */   GIR_EraseRootFromParent_Done,
     /* 2269729 */ // Label 30521: @2269729
     /* 2269729 */ GIM_Try, /*On fail goto*//*Label 30522*/ GIMT_Encode4(2269777), // Rule ID 57344 //
     /* 2269734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2269737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2269740 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2269743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269747 */   // MIs[0] Operand 1
     /* 2269747 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2269752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269756 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269760 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2269760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2269763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269765 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269767 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269775 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269776 */   // GIR_Coverage, 57344,
     /* 2269776 */   GIR_EraseRootFromParent_Done,
     /* 2269777 */ // Label 30522: @2269777
     /* 2269777 */ GIM_Try, /*On fail goto*//*Label 30523*/ GIMT_Encode4(2269825), // Rule ID 57345 //
     /* 2269782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2269785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2269788 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2269791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269795 */   // MIs[0] Operand 1
     /* 2269795 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2269800 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269804 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269808 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2269808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2269811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269813 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269815 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269823 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269824 */   // GIR_Coverage, 57345,
     /* 2269824 */   GIR_EraseRootFromParent_Done,
     /* 2269825 */ // Label 30523: @2269825
     /* 2269825 */ GIM_Try, /*On fail goto*//*Label 30524*/ GIMT_Encode4(2269873), // Rule ID 57374 //
     /* 2269830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2269833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2269836 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2269839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269843 */   // MIs[0] Operand 1
     /* 2269843 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2269848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269852 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269856 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2269856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2269859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269861 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269863 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269871 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269872 */   // GIR_Coverage, 57374,
     /* 2269872 */   GIR_EraseRootFromParent_Done,
     /* 2269873 */ // Label 30524: @2269873
     /* 2269873 */ GIM_Try, /*On fail goto*//*Label 30525*/ GIMT_Encode4(2269921), // Rule ID 57375 //
     /* 2269878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2269881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2269884 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2269887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269891 */   // MIs[0] Operand 1
     /* 2269891 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2269896 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269900 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269904 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2269904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2269907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269909 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269911 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269919 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269920 */   // GIR_Coverage, 57375,
     /* 2269920 */   GIR_EraseRootFromParent_Done,
     /* 2269921 */ // Label 30525: @2269921
     /* 2269921 */ GIM_Try, /*On fail goto*//*Label 30526*/ GIMT_Encode4(2269969), // Rule ID 57454 //
     /* 2269926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2269929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2269932 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2269935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269939 */   // MIs[0] Operand 1
     /* 2269939 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2269944 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269948 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269952 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2269952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2269955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269957 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269959 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269967 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269968 */   // GIR_Coverage, 57454,
     /* 2269968 */   GIR_EraseRootFromParent_Done,
     /* 2269969 */ // Label 30526: @2269969
     /* 2269969 */ GIM_Try, /*On fail goto*//*Label 30527*/ GIMT_Encode4(2270017), // Rule ID 57455 //
     /* 2269974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2269977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2269980 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2269983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269987 */   // MIs[0] Operand 1
     /* 2269987 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2269992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269996 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270000 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2270000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2270003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270005 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270007 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270016 */   // GIR_Coverage, 57455,
     /* 2270016 */   GIR_EraseRootFromParent_Done,
     /* 2270017 */ // Label 30527: @2270017
     /* 2270017 */ GIM_Try, /*On fail goto*//*Label 30528*/ GIMT_Encode4(2270065), // Rule ID 57644 //
     /* 2270022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2270025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2270028 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2270031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270035 */   // MIs[0] Operand 1
     /* 2270035 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2270040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270044 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270048 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2270048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2270051 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270053 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270055 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270064 */   // GIR_Coverage, 57644,
     /* 2270064 */   GIR_EraseRootFromParent_Done,
     /* 2270065 */ // Label 30528: @2270065
     /* 2270065 */ GIM_Try, /*On fail goto*//*Label 30529*/ GIMT_Encode4(2270113), // Rule ID 57645 //
     /* 2270070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2270073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2270076 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2270079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270083 */   // MIs[0] Operand 1
     /* 2270083 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2270088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270092 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270096 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2270096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2270099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270101 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270103 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270111 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270112 */   // GIR_Coverage, 57645,
     /* 2270112 */   GIR_EraseRootFromParent_Done,
     /* 2270113 */ // Label 30529: @2270113
     /* 2270113 */ GIM_Try, /*On fail goto*//*Label 30530*/ GIMT_Encode4(2270161), // Rule ID 57674 //
     /* 2270118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2270121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2270124 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2270127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270131 */   // MIs[0] Operand 1
     /* 2270131 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2270136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270140 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270144 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2270144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2270147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270149 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270151 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270160 */   // GIR_Coverage, 57674,
     /* 2270160 */   GIR_EraseRootFromParent_Done,
     /* 2270161 */ // Label 30530: @2270161
     /* 2270161 */ GIM_Try, /*On fail goto*//*Label 30531*/ GIMT_Encode4(2270209), // Rule ID 57675 //
     /* 2270166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2270169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2270172 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2270175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270179 */   // MIs[0] Operand 1
     /* 2270179 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2270184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270188 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270192 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2270192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2270195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270197 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270199 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270208 */   // GIR_Coverage, 57675,
     /* 2270208 */   GIR_EraseRootFromParent_Done,
     /* 2270209 */ // Label 30531: @2270209
     /* 2270209 */ GIM_Try, /*On fail goto*//*Label 30532*/ GIMT_Encode4(2270257), // Rule ID 57754 //
     /* 2270214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2270217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2270220 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2270223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270227 */   // MIs[0] Operand 1
     /* 2270227 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2270232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270236 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270240 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2270240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2270243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270245 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270247 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270256 */   // GIR_Coverage, 57754,
     /* 2270256 */   GIR_EraseRootFromParent_Done,
     /* 2270257 */ // Label 30532: @2270257
     /* 2270257 */ GIM_Try, /*On fail goto*//*Label 30533*/ GIMT_Encode4(2270305), // Rule ID 57755 //
     /* 2270262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2270265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2270268 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2270271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270275 */   // MIs[0] Operand 1
     /* 2270275 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2270280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270284 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270288 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2270288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2270291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270293 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270295 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270304 */   // GIR_Coverage, 57755,
     /* 2270304 */   GIR_EraseRootFromParent_Done,
     /* 2270305 */ // Label 30533: @2270305
     /* 2270305 */ GIM_Try, /*On fail goto*//*Label 30534*/ GIMT_Encode4(2270353), // Rule ID 57944 //
     /* 2270310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2270313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2270316 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2270319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270323 */   // MIs[0] Operand 1
     /* 2270323 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2270328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270332 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270336 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2270336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2270339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270341 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270343 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270351 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270352 */   // GIR_Coverage, 57944,
     /* 2270352 */   GIR_EraseRootFromParent_Done,
     /* 2270353 */ // Label 30534: @2270353
     /* 2270353 */ GIM_Try, /*On fail goto*//*Label 30535*/ GIMT_Encode4(2270401), // Rule ID 57945 //
     /* 2270358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2270361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2270364 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2270367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270371 */   // MIs[0] Operand 1
     /* 2270371 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2270376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270380 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270384 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2270384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2270387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270389 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270391 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270400 */   // GIR_Coverage, 57945,
     /* 2270400 */   GIR_EraseRootFromParent_Done,
     /* 2270401 */ // Label 30535: @2270401
     /* 2270401 */ GIM_Try, /*On fail goto*//*Label 30536*/ GIMT_Encode4(2270449), // Rule ID 57974 //
     /* 2270406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2270409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2270412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2270415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270419 */   // MIs[0] Operand 1
     /* 2270419 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2270424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270428 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270432 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2270432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2270435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270437 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270439 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270448 */   // GIR_Coverage, 57974,
     /* 2270448 */   GIR_EraseRootFromParent_Done,
     /* 2270449 */ // Label 30536: @2270449
     /* 2270449 */ GIM_Try, /*On fail goto*//*Label 30537*/ GIMT_Encode4(2270497), // Rule ID 57975 //
     /* 2270454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2270457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2270460 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2270463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270467 */   // MIs[0] Operand 1
     /* 2270467 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2270472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270476 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270480 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2270480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2270483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270485 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270487 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270496 */   // GIR_Coverage, 57975,
     /* 2270496 */   GIR_EraseRootFromParent_Done,
     /* 2270497 */ // Label 30537: @2270497
     /* 2270497 */ GIM_Try, /*On fail goto*//*Label 30538*/ GIMT_Encode4(2270545), // Rule ID 58054 //
     /* 2270502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2270505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2270508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2270511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270515 */   // MIs[0] Operand 1
     /* 2270515 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2270520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270524 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270528 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2270528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2270531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270533 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270535 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270543 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270544 */   // GIR_Coverage, 58054,
     /* 2270544 */   GIR_EraseRootFromParent_Done,
     /* 2270545 */ // Label 30538: @2270545
     /* 2270545 */ GIM_Try, /*On fail goto*//*Label 30539*/ GIMT_Encode4(2270593), // Rule ID 58055 //
     /* 2270550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2270553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2270556 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2270559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270563 */   // MIs[0] Operand 1
     /* 2270563 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2270568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270572 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270576 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2270576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2270579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270581 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270583 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270592 */   // GIR_Coverage, 58055,
     /* 2270592 */   GIR_EraseRootFromParent_Done,
     /* 2270593 */ // Label 30539: @2270593
     /* 2270593 */ GIM_Reject,
     /* 2270594 */ // Label 30448: @2270594
     /* 2270594 */ GIM_Try, /*On fail goto*//*Label 30540*/ GIMT_Encode4(2270642), // Rule ID 57064 //
     /* 2270599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2270602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2270605 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2270608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270612 */   // MIs[0] Operand 1
     /* 2270612 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2270617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270621 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270625 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2270625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2270628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270630 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270632 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270640 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270641 */   // GIR_Coverage, 57064,
     /* 2270641 */   GIR_EraseRootFromParent_Done,
     /* 2270642 */ // Label 30540: @2270642
     /* 2270642 */ GIM_Try, /*On fail goto*//*Label 30541*/ GIMT_Encode4(2270690), // Rule ID 57065 //
     /* 2270647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2270650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2270653 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2270656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270660 */   // MIs[0] Operand 1
     /* 2270660 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2270665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270669 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270673 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2270673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2270676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270678 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270680 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270688 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270689 */   // GIR_Coverage, 57065,
     /* 2270689 */   GIR_EraseRootFromParent_Done,
     /* 2270690 */ // Label 30541: @2270690
     /* 2270690 */ GIM_Try, /*On fail goto*//*Label 30542*/ GIMT_Encode4(2270738), // Rule ID 57124 //
     /* 2270695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2270698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2270701 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2270704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270708 */   // MIs[0] Operand 1
     /* 2270708 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2270713 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270717 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270721 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2270721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2270724 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270726 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270728 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270737 */   // GIR_Coverage, 57124,
     /* 2270737 */   GIR_EraseRootFromParent_Done,
     /* 2270738 */ // Label 30542: @2270738
     /* 2270738 */ GIM_Try, /*On fail goto*//*Label 30543*/ GIMT_Encode4(2270786), // Rule ID 57125 //
     /* 2270743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2270746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2270749 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2270752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270756 */   // MIs[0] Operand 1
     /* 2270756 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2270761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270765 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270769 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2270769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2270772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270774 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270776 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270784 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270785 */   // GIR_Coverage, 57125,
     /* 2270785 */   GIR_EraseRootFromParent_Done,
     /* 2270786 */ // Label 30543: @2270786
     /* 2270786 */ GIM_Try, /*On fail goto*//*Label 30544*/ GIMT_Encode4(2270834), // Rule ID 57164 //
     /* 2270791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2270794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2270797 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2270800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270804 */   // MIs[0] Operand 1
     /* 2270804 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2270809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270813 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270817 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2270817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2270820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270822 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270824 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270833 */   // GIR_Coverage, 57164,
     /* 2270833 */   GIR_EraseRootFromParent_Done,
     /* 2270834 */ // Label 30544: @2270834
     /* 2270834 */ GIM_Try, /*On fail goto*//*Label 30545*/ GIMT_Encode4(2270882), // Rule ID 57165 //
     /* 2270839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2270842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2270845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2270848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270852 */   // MIs[0] Operand 1
     /* 2270852 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2270857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270861 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270865 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2270865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2270868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270870 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270872 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270880 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270881 */   // GIR_Coverage, 57165,
     /* 2270881 */   GIR_EraseRootFromParent_Done,
     /* 2270882 */ // Label 30545: @2270882
     /* 2270882 */ GIM_Try, /*On fail goto*//*Label 30546*/ GIMT_Encode4(2270930), // Rule ID 57364 //
     /* 2270887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2270890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2270893 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2270896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270900 */   // MIs[0] Operand 1
     /* 2270900 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2270905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270909 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270913 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2270913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2270916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270918 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270920 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270929 */   // GIR_Coverage, 57364,
     /* 2270929 */   GIR_EraseRootFromParent_Done,
     /* 2270930 */ // Label 30546: @2270930
     /* 2270930 */ GIM_Try, /*On fail goto*//*Label 30547*/ GIMT_Encode4(2270978), // Rule ID 57365 //
     /* 2270935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2270938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2270941 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2270944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270948 */   // MIs[0] Operand 1
     /* 2270948 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2270953 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270957 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270961 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2270961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2270964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270966 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270968 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270976 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270977 */   // GIR_Coverage, 57365,
     /* 2270977 */   GIR_EraseRootFromParent_Done,
     /* 2270978 */ // Label 30547: @2270978
     /* 2270978 */ GIM_Try, /*On fail goto*//*Label 30548*/ GIMT_Encode4(2271026), // Rule ID 57424 //
     /* 2270983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2270986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2270989 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2270992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270996 */   // MIs[0] Operand 1
     /* 2270996 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2271001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271005 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271009 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2271009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2271012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271014 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271016 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271025 */   // GIR_Coverage, 57424,
     /* 2271025 */   GIR_EraseRootFromParent_Done,
     /* 2271026 */ // Label 30548: @2271026
     /* 2271026 */ GIM_Try, /*On fail goto*//*Label 30549*/ GIMT_Encode4(2271074), // Rule ID 57425 //
     /* 2271031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2271034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2271037 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2271040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271044 */   // MIs[0] Operand 1
     /* 2271044 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2271049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271053 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271057 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2271057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2271060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271062 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271064 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271073 */   // GIR_Coverage, 57425,
     /* 2271073 */   GIR_EraseRootFromParent_Done,
     /* 2271074 */ // Label 30549: @2271074
     /* 2271074 */ GIM_Try, /*On fail goto*//*Label 30550*/ GIMT_Encode4(2271122), // Rule ID 57464 //
     /* 2271079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2271082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2271085 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2271088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271092 */   // MIs[0] Operand 1
     /* 2271092 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2271097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271101 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271105 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2271105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2271108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271110 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271112 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271121 */   // GIR_Coverage, 57464,
     /* 2271121 */   GIR_EraseRootFromParent_Done,
     /* 2271122 */ // Label 30550: @2271122
     /* 2271122 */ GIM_Try, /*On fail goto*//*Label 30551*/ GIMT_Encode4(2271170), // Rule ID 57465 //
     /* 2271127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2271130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2271133 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2271136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271140 */   // MIs[0] Operand 1
     /* 2271140 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2271145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271149 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271153 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2271153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2271156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271158 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271160 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271168 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271169 */   // GIR_Coverage, 57465,
     /* 2271169 */   GIR_EraseRootFromParent_Done,
     /* 2271170 */ // Label 30551: @2271170
     /* 2271170 */ GIM_Try, /*On fail goto*//*Label 30552*/ GIMT_Encode4(2271218), // Rule ID 57664 //
     /* 2271175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2271178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2271181 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2271184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271188 */   // MIs[0] Operand 1
     /* 2271188 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271197 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271201 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2271201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2271204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271206 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271208 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271217 */   // GIR_Coverage, 57664,
     /* 2271217 */   GIR_EraseRootFromParent_Done,
     /* 2271218 */ // Label 30552: @2271218
     /* 2271218 */ GIM_Try, /*On fail goto*//*Label 30553*/ GIMT_Encode4(2271266), // Rule ID 57665 //
     /* 2271223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2271226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2271229 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2271232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271236 */   // MIs[0] Operand 1
     /* 2271236 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271245 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271249 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2271249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2271252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271254 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271256 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271264 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271265 */   // GIR_Coverage, 57665,
     /* 2271265 */   GIR_EraseRootFromParent_Done,
     /* 2271266 */ // Label 30553: @2271266
     /* 2271266 */ GIM_Try, /*On fail goto*//*Label 30554*/ GIMT_Encode4(2271314), // Rule ID 57724 //
     /* 2271271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2271274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2271277 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2271280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271284 */   // MIs[0] Operand 1
     /* 2271284 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271293 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271297 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2271297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2271300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271302 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271304 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271313 */   // GIR_Coverage, 57724,
     /* 2271313 */   GIR_EraseRootFromParent_Done,
     /* 2271314 */ // Label 30554: @2271314
     /* 2271314 */ GIM_Try, /*On fail goto*//*Label 30555*/ GIMT_Encode4(2271362), // Rule ID 57725 //
     /* 2271319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2271322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2271325 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2271328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271332 */   // MIs[0] Operand 1
     /* 2271332 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271341 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271345 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2271345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2271348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271350 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271352 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271360 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271361 */   // GIR_Coverage, 57725,
     /* 2271361 */   GIR_EraseRootFromParent_Done,
     /* 2271362 */ // Label 30555: @2271362
     /* 2271362 */ GIM_Try, /*On fail goto*//*Label 30556*/ GIMT_Encode4(2271410), // Rule ID 57764 //
     /* 2271367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2271370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2271373 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2271376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271380 */   // MIs[0] Operand 1
     /* 2271380 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271389 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271393 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2271393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2271396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271398 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271400 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271408 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271409 */   // GIR_Coverage, 57764,
     /* 2271409 */   GIR_EraseRootFromParent_Done,
     /* 2271410 */ // Label 30556: @2271410
     /* 2271410 */ GIM_Try, /*On fail goto*//*Label 30557*/ GIMT_Encode4(2271458), // Rule ID 57765 //
     /* 2271415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2271418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2271421 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2271424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271428 */   // MIs[0] Operand 1
     /* 2271428 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271437 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271441 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2271441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2271444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271446 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271448 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271457 */   // GIR_Coverage, 57765,
     /* 2271457 */   GIR_EraseRootFromParent_Done,
     /* 2271458 */ // Label 30557: @2271458
     /* 2271458 */ GIM_Try, /*On fail goto*//*Label 30558*/ GIMT_Encode4(2271506), // Rule ID 57964 //
     /* 2271463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2271466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2271469 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2271472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271476 */   // MIs[0] Operand 1
     /* 2271476 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271485 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271489 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2271489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2271492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271494 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271496 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271504 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271505 */   // GIR_Coverage, 57964,
     /* 2271505 */   GIR_EraseRootFromParent_Done,
     /* 2271506 */ // Label 30558: @2271506
     /* 2271506 */ GIM_Try, /*On fail goto*//*Label 30559*/ GIMT_Encode4(2271554), // Rule ID 57965 //
     /* 2271511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2271514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2271517 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2271520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271524 */   // MIs[0] Operand 1
     /* 2271524 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271529 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271533 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271537 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2271537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2271540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271542 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271544 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271553 */   // GIR_Coverage, 57965,
     /* 2271553 */   GIR_EraseRootFromParent_Done,
     /* 2271554 */ // Label 30559: @2271554
     /* 2271554 */ GIM_Try, /*On fail goto*//*Label 30560*/ GIMT_Encode4(2271602), // Rule ID 58024 //
     /* 2271559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2271562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2271565 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2271568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271572 */   // MIs[0] Operand 1
     /* 2271572 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271581 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271585 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2271585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2271588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271590 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271592 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271600 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271601 */   // GIR_Coverage, 58024,
     /* 2271601 */   GIR_EraseRootFromParent_Done,
     /* 2271602 */ // Label 30560: @2271602
     /* 2271602 */ GIM_Try, /*On fail goto*//*Label 30561*/ GIMT_Encode4(2271650), // Rule ID 58025 //
     /* 2271607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2271610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2271613 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2271616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271620 */   // MIs[0] Operand 1
     /* 2271620 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271625 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271629 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271633 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2271633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2271636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271638 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271640 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271648 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271649 */   // GIR_Coverage, 58025,
     /* 2271649 */   GIR_EraseRootFromParent_Done,
     /* 2271650 */ // Label 30561: @2271650
     /* 2271650 */ GIM_Try, /*On fail goto*//*Label 30562*/ GIMT_Encode4(2271698), // Rule ID 58064 //
     /* 2271655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2271658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2271661 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2271664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271668 */   // MIs[0] Operand 1
     /* 2271668 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271673 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271677 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271681 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2271681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2271684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271686 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271688 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271697 */   // GIR_Coverage, 58064,
     /* 2271697 */   GIR_EraseRootFromParent_Done,
     /* 2271698 */ // Label 30562: @2271698
     /* 2271698 */ GIM_Try, /*On fail goto*//*Label 30563*/ GIMT_Encode4(2271746), // Rule ID 58065 //
     /* 2271703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2271706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2271709 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2271712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271716 */   // MIs[0] Operand 1
     /* 2271716 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271725 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271729 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2271729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2271732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271734 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271736 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271745 */   // GIR_Coverage, 58065,
     /* 2271745 */   GIR_EraseRootFromParent_Done,
     /* 2271746 */ // Label 30563: @2271746
     /* 2271746 */ GIM_Reject,
     /* 2271747 */ // Label 30449: @2271747
     /* 2271747 */ GIM_Try, /*On fail goto*//*Label 30564*/ GIMT_Encode4(2271795), // Rule ID 57094 //
     /* 2271752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2271755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2271758 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2271761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271765 */   // MIs[0] Operand 1
     /* 2271765 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2271770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271774 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271778 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2271778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2271781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271783 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271785 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271794 */   // GIR_Coverage, 57094,
     /* 2271794 */   GIR_EraseRootFromParent_Done,
     /* 2271795 */ // Label 30564: @2271795
     /* 2271795 */ GIM_Try, /*On fail goto*//*Label 30565*/ GIMT_Encode4(2271843), // Rule ID 57095 //
     /* 2271800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2271803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2271806 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2271809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271813 */   // MIs[0] Operand 1
     /* 2271813 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2271818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271822 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271826 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2271826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2271829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271831 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271833 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271842 */   // GIR_Coverage, 57095,
     /* 2271842 */   GIR_EraseRootFromParent_Done,
     /* 2271843 */ // Label 30565: @2271843
     /* 2271843 */ GIM_Try, /*On fail goto*//*Label 30566*/ GIMT_Encode4(2271891), // Rule ID 57134 //
     /* 2271848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2271851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2271854 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2271857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271861 */   // MIs[0] Operand 1
     /* 2271861 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2271866 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271870 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271874 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2271874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2271877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271879 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271881 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271889 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271890 */   // GIR_Coverage, 57134,
     /* 2271890 */   GIR_EraseRootFromParent_Done,
     /* 2271891 */ // Label 30566: @2271891
     /* 2271891 */ GIM_Try, /*On fail goto*//*Label 30567*/ GIMT_Encode4(2271939), // Rule ID 57135 //
     /* 2271896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2271899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2271902 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2271905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271909 */   // MIs[0] Operand 1
     /* 2271909 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2271914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271918 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271922 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2271922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2271925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271927 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271929 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271938 */   // GIR_Coverage, 57135,
     /* 2271938 */   GIR_EraseRootFromParent_Done,
     /* 2271939 */ // Label 30567: @2271939
     /* 2271939 */ GIM_Try, /*On fail goto*//*Label 30568*/ GIMT_Encode4(2271987), // Rule ID 57174 //
     /* 2271944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2271947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2271950 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2271953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271957 */   // MIs[0] Operand 1
     /* 2271957 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2271962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271966 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271970 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2271970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2271973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271975 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271977 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271985 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271986 */   // GIR_Coverage, 57174,
     /* 2271986 */   GIR_EraseRootFromParent_Done,
     /* 2271987 */ // Label 30568: @2271987
     /* 2271987 */ GIM_Try, /*On fail goto*//*Label 30569*/ GIMT_Encode4(2272035), // Rule ID 57175 //
     /* 2271992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2271995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2271998 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2272001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272005 */   // MIs[0] Operand 1
     /* 2272005 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2272010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272014 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272018 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2272018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2272021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272023 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272025 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272033 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272034 */   // GIR_Coverage, 57175,
     /* 2272034 */   GIR_EraseRootFromParent_Done,
     /* 2272035 */ // Label 30569: @2272035
     /* 2272035 */ GIM_Try, /*On fail goto*//*Label 30570*/ GIMT_Encode4(2272083), // Rule ID 57394 //
     /* 2272040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2272043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2272046 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2272049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272053 */   // MIs[0] Operand 1
     /* 2272053 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2272058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272062 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272066 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2272066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2272069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272071 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272073 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272082 */   // GIR_Coverage, 57394,
     /* 2272082 */   GIR_EraseRootFromParent_Done,
     /* 2272083 */ // Label 30570: @2272083
     /* 2272083 */ GIM_Try, /*On fail goto*//*Label 30571*/ GIMT_Encode4(2272131), // Rule ID 57395 //
     /* 2272088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2272091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2272094 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2272097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272101 */   // MIs[0] Operand 1
     /* 2272101 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2272106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272110 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272114 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2272114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2272117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272119 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272121 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272130 */   // GIR_Coverage, 57395,
     /* 2272130 */   GIR_EraseRootFromParent_Done,
     /* 2272131 */ // Label 30571: @2272131
     /* 2272131 */ GIM_Try, /*On fail goto*//*Label 30572*/ GIMT_Encode4(2272179), // Rule ID 57434 //
     /* 2272136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2272139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2272142 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2272145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272149 */   // MIs[0] Operand 1
     /* 2272149 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2272154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272158 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272162 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2272162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2272165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272167 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272169 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272177 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272178 */   // GIR_Coverage, 57434,
     /* 2272178 */   GIR_EraseRootFromParent_Done,
     /* 2272179 */ // Label 30572: @2272179
     /* 2272179 */ GIM_Try, /*On fail goto*//*Label 30573*/ GIMT_Encode4(2272227), // Rule ID 57435 //
     /* 2272184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2272187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2272190 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2272193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272197 */   // MIs[0] Operand 1
     /* 2272197 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2272202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272206 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272210 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2272210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2272213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272215 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272217 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272225 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272226 */   // GIR_Coverage, 57435,
     /* 2272226 */   GIR_EraseRootFromParent_Done,
     /* 2272227 */ // Label 30573: @2272227
     /* 2272227 */ GIM_Try, /*On fail goto*//*Label 30574*/ GIMT_Encode4(2272275), // Rule ID 57474 //
     /* 2272232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2272235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2272238 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2272241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272245 */   // MIs[0] Operand 1
     /* 2272245 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2272250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272254 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272258 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2272258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2272261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272263 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272265 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272274 */   // GIR_Coverage, 57474,
     /* 2272274 */   GIR_EraseRootFromParent_Done,
     /* 2272275 */ // Label 30574: @2272275
     /* 2272275 */ GIM_Try, /*On fail goto*//*Label 30575*/ GIMT_Encode4(2272323), // Rule ID 57475 //
     /* 2272280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2272283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2272286 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2272289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272293 */   // MIs[0] Operand 1
     /* 2272293 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2272298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272302 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272306 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2272306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2272309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272311 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272313 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272321 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272322 */   // GIR_Coverage, 57475,
     /* 2272322 */   GIR_EraseRootFromParent_Done,
     /* 2272323 */ // Label 30575: @2272323
     /* 2272323 */ GIM_Try, /*On fail goto*//*Label 30576*/ GIMT_Encode4(2272371), // Rule ID 57694 //
     /* 2272328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2272331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2272334 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2272337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272341 */   // MIs[0] Operand 1
     /* 2272341 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2272346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272350 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272354 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2272354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2272357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272359 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272361 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272370 */   // GIR_Coverage, 57694,
     /* 2272370 */   GIR_EraseRootFromParent_Done,
     /* 2272371 */ // Label 30576: @2272371
     /* 2272371 */ GIM_Try, /*On fail goto*//*Label 30577*/ GIMT_Encode4(2272419), // Rule ID 57695 //
     /* 2272376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2272379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2272382 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2272385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272389 */   // MIs[0] Operand 1
     /* 2272389 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2272394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272398 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272402 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2272402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2272405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272407 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272409 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272418 */   // GIR_Coverage, 57695,
     /* 2272418 */   GIR_EraseRootFromParent_Done,
     /* 2272419 */ // Label 30577: @2272419
     /* 2272419 */ GIM_Try, /*On fail goto*//*Label 30578*/ GIMT_Encode4(2272467), // Rule ID 57734 //
     /* 2272424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2272427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2272430 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2272433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272437 */   // MIs[0] Operand 1
     /* 2272437 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2272442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272446 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272450 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2272450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2272453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272455 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272457 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272465 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272466 */   // GIR_Coverage, 57734,
     /* 2272466 */   GIR_EraseRootFromParent_Done,
     /* 2272467 */ // Label 30578: @2272467
     /* 2272467 */ GIM_Try, /*On fail goto*//*Label 30579*/ GIMT_Encode4(2272515), // Rule ID 57735 //
     /* 2272472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2272475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2272478 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2272481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272485 */   // MIs[0] Operand 1
     /* 2272485 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2272490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272494 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272498 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2272498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2272501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272503 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272505 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272514 */   // GIR_Coverage, 57735,
     /* 2272514 */   GIR_EraseRootFromParent_Done,
     /* 2272515 */ // Label 30579: @2272515
     /* 2272515 */ GIM_Try, /*On fail goto*//*Label 30580*/ GIMT_Encode4(2272563), // Rule ID 57774 //
     /* 2272520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2272523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2272526 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2272529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272533 */   // MIs[0] Operand 1
     /* 2272533 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2272538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272542 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272546 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2272546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2272549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272551 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272553 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272561 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272562 */   // GIR_Coverage, 57774,
     /* 2272562 */   GIR_EraseRootFromParent_Done,
     /* 2272563 */ // Label 30580: @2272563
     /* 2272563 */ GIM_Try, /*On fail goto*//*Label 30581*/ GIMT_Encode4(2272611), // Rule ID 57775 //
     /* 2272568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2272571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2272574 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2272577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272581 */   // MIs[0] Operand 1
     /* 2272581 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2272586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272590 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272594 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2272594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2272597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272599 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272601 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272609 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272610 */   // GIR_Coverage, 57775,
     /* 2272610 */   GIR_EraseRootFromParent_Done,
     /* 2272611 */ // Label 30581: @2272611
     /* 2272611 */ GIM_Try, /*On fail goto*//*Label 30582*/ GIMT_Encode4(2272659), // Rule ID 57994 //
     /* 2272616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2272619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2272622 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2272625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272629 */   // MIs[0] Operand 1
     /* 2272629 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2272634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272638 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272642 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2272642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2272645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272647 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272649 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272658 */   // GIR_Coverage, 57994,
     /* 2272658 */   GIR_EraseRootFromParent_Done,
     /* 2272659 */ // Label 30582: @2272659
     /* 2272659 */ GIM_Try, /*On fail goto*//*Label 30583*/ GIMT_Encode4(2272707), // Rule ID 57995 //
     /* 2272664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2272667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2272670 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2272673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272677 */   // MIs[0] Operand 1
     /* 2272677 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2272682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272686 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272690 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2272690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2272693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272695 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272697 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272706 */   // GIR_Coverage, 57995,
     /* 2272706 */   GIR_EraseRootFromParent_Done,
     /* 2272707 */ // Label 30583: @2272707
     /* 2272707 */ GIM_Try, /*On fail goto*//*Label 30584*/ GIMT_Encode4(2272755), // Rule ID 58034 //
     /* 2272712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2272715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2272718 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2272721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272725 */   // MIs[0] Operand 1
     /* 2272725 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2272730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272734 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272738 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2272738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2272741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272743 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272745 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272754 */   // GIR_Coverage, 58034,
     /* 2272754 */   GIR_EraseRootFromParent_Done,
     /* 2272755 */ // Label 30584: @2272755
     /* 2272755 */ GIM_Try, /*On fail goto*//*Label 30585*/ GIMT_Encode4(2272803), // Rule ID 58035 //
     /* 2272760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2272763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2272766 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2272769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272773 */   // MIs[0] Operand 1
     /* 2272773 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2272778 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272782 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272786 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2272786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2272789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272791 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272793 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272801 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272802 */   // GIR_Coverage, 58035,
     /* 2272802 */   GIR_EraseRootFromParent_Done,
     /* 2272803 */ // Label 30585: @2272803
     /* 2272803 */ GIM_Try, /*On fail goto*//*Label 30586*/ GIMT_Encode4(2272851), // Rule ID 58074 //
     /* 2272808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2272811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2272814 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2272817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272821 */   // MIs[0] Operand 1
     /* 2272821 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2272826 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272830 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272834 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2272834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2272837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272839 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272841 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272849 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272850 */   // GIR_Coverage, 58074,
     /* 2272850 */   GIR_EraseRootFromParent_Done,
     /* 2272851 */ // Label 30586: @2272851
     /* 2272851 */ GIM_Try, /*On fail goto*//*Label 30587*/ GIMT_Encode4(2272899), // Rule ID 58075 //
     /* 2272856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2272859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2272862 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2272865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272869 */   // MIs[0] Operand 1
     /* 2272869 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2272874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272878 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272882 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2272882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2272885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272887 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272889 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272897 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272898 */   // GIR_Coverage, 58075,
     /* 2272898 */   GIR_EraseRootFromParent_Done,
     /* 2272899 */ // Label 30587: @2272899
     /* 2272899 */ GIM_Reject,
     /* 2272900 */ // Label 30450: @2272900
     /* 2272900 */ GIM_Try, /*On fail goto*//*Label 30588*/ GIMT_Encode4(2272948), // Rule ID 57104 //
     /* 2272905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2272908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2272911 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2272914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272918 */   // MIs[0] Operand 1
     /* 2272918 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2272923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272927 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272931 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2272931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2272934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272936 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272938 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272947 */   // GIR_Coverage, 57104,
     /* 2272947 */   GIR_EraseRootFromParent_Done,
     /* 2272948 */ // Label 30588: @2272948
     /* 2272948 */ GIM_Try, /*On fail goto*//*Label 30589*/ GIMT_Encode4(2272996), // Rule ID 57105 //
     /* 2272953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2272956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2272959 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2272962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272966 */   // MIs[0] Operand 1
     /* 2272966 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2272971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272975 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272979 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2272979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2272982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272984 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272986 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272995 */   // GIR_Coverage, 57105,
     /* 2272995 */   GIR_EraseRootFromParent_Done,
     /* 2272996 */ // Label 30589: @2272996
     /* 2272996 */ GIM_Try, /*On fail goto*//*Label 30590*/ GIMT_Encode4(2273044), // Rule ID 57144 //
     /* 2273001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2273004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2273007 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2273010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273014 */   // MIs[0] Operand 1
     /* 2273014 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2273019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273023 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273027 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2273027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2273030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273032 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273034 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273043 */   // GIR_Coverage, 57144,
     /* 2273043 */   GIR_EraseRootFromParent_Done,
     /* 2273044 */ // Label 30590: @2273044
     /* 2273044 */ GIM_Try, /*On fail goto*//*Label 30591*/ GIMT_Encode4(2273092), // Rule ID 57145 //
     /* 2273049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2273052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2273055 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2273058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273062 */   // MIs[0] Operand 1
     /* 2273062 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2273067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273071 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273075 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2273075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2273078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273080 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273082 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273091 */   // GIR_Coverage, 57145,
     /* 2273091 */   GIR_EraseRootFromParent_Done,
     /* 2273092 */ // Label 30591: @2273092
     /* 2273092 */ GIM_Try, /*On fail goto*//*Label 30592*/ GIMT_Encode4(2273140), // Rule ID 57404 //
     /* 2273097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2273103 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2273106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273110 */   // MIs[0] Operand 1
     /* 2273110 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2273115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273119 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273123 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2273123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2273126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273128 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273130 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273139 */   // GIR_Coverage, 57404,
     /* 2273139 */   GIR_EraseRootFromParent_Done,
     /* 2273140 */ // Label 30592: @2273140
     /* 2273140 */ GIM_Try, /*On fail goto*//*Label 30593*/ GIMT_Encode4(2273188), // Rule ID 57405 //
     /* 2273145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2273148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2273151 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2273154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273158 */   // MIs[0] Operand 1
     /* 2273158 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2273163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273167 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273171 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2273171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2273174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273176 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273178 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273187 */   // GIR_Coverage, 57405,
     /* 2273187 */   GIR_EraseRootFromParent_Done,
     /* 2273188 */ // Label 30593: @2273188
     /* 2273188 */ GIM_Try, /*On fail goto*//*Label 30594*/ GIMT_Encode4(2273236), // Rule ID 57444 //
     /* 2273193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2273196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2273199 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2273202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273206 */   // MIs[0] Operand 1
     /* 2273206 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2273211 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273215 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273219 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2273219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2273222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273224 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273226 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273235 */   // GIR_Coverage, 57444,
     /* 2273235 */   GIR_EraseRootFromParent_Done,
     /* 2273236 */ // Label 30594: @2273236
     /* 2273236 */ GIM_Try, /*On fail goto*//*Label 30595*/ GIMT_Encode4(2273284), // Rule ID 57445 //
     /* 2273241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2273244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2273247 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2273250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273254 */   // MIs[0] Operand 1
     /* 2273254 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2273259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273263 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273267 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2273267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2273270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273272 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273274 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273283 */   // GIR_Coverage, 57445,
     /* 2273283 */   GIR_EraseRootFromParent_Done,
     /* 2273284 */ // Label 30595: @2273284
     /* 2273284 */ GIM_Try, /*On fail goto*//*Label 30596*/ GIMT_Encode4(2273332), // Rule ID 57704 //
     /* 2273289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2273295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2273298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273302 */   // MIs[0] Operand 1
     /* 2273302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2273307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273311 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273315 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2273315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2273318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273320 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273322 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273331 */   // GIR_Coverage, 57704,
     /* 2273331 */   GIR_EraseRootFromParent_Done,
     /* 2273332 */ // Label 30596: @2273332
     /* 2273332 */ GIM_Try, /*On fail goto*//*Label 30597*/ GIMT_Encode4(2273380), // Rule ID 57705 //
     /* 2273337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2273340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2273343 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2273346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273350 */   // MIs[0] Operand 1
     /* 2273350 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2273355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273359 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273363 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2273363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2273366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273368 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273370 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273379 */   // GIR_Coverage, 57705,
     /* 2273379 */   GIR_EraseRootFromParent_Done,
     /* 2273380 */ // Label 30597: @2273380
     /* 2273380 */ GIM_Try, /*On fail goto*//*Label 30598*/ GIMT_Encode4(2273428), // Rule ID 57744 //
     /* 2273385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2273388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2273391 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2273394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273398 */   // MIs[0] Operand 1
     /* 2273398 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2273403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273407 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273411 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2273411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2273414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273416 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273418 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273427 */   // GIR_Coverage, 57744,
     /* 2273427 */   GIR_EraseRootFromParent_Done,
     /* 2273428 */ // Label 30598: @2273428
     /* 2273428 */ GIM_Try, /*On fail goto*//*Label 30599*/ GIMT_Encode4(2273476), // Rule ID 57745 //
     /* 2273433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2273436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2273439 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2273442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273446 */   // MIs[0] Operand 1
     /* 2273446 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2273451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273455 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273459 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2273459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2273462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273464 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273466 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273475 */   // GIR_Coverage, 57745,
     /* 2273475 */   GIR_EraseRootFromParent_Done,
     /* 2273476 */ // Label 30599: @2273476
     /* 2273476 */ GIM_Try, /*On fail goto*//*Label 30600*/ GIMT_Encode4(2273524), // Rule ID 58004 //
     /* 2273481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2273487 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2273490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273494 */   // MIs[0] Operand 1
     /* 2273494 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2273499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273503 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273507 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2273507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2273510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273512 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273514 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273522 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273523 */   // GIR_Coverage, 58004,
     /* 2273523 */   GIR_EraseRootFromParent_Done,
     /* 2273524 */ // Label 30600: @2273524
     /* 2273524 */ GIM_Try, /*On fail goto*//*Label 30601*/ GIMT_Encode4(2273572), // Rule ID 58005 //
     /* 2273529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2273532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2273535 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2273538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273542 */   // MIs[0] Operand 1
     /* 2273542 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2273547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273551 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273555 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2273555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2273558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273560 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273562 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273571 */   // GIR_Coverage, 58005,
     /* 2273571 */   GIR_EraseRootFromParent_Done,
     /* 2273572 */ // Label 30601: @2273572
     /* 2273572 */ GIM_Try, /*On fail goto*//*Label 30602*/ GIMT_Encode4(2273620), // Rule ID 58044 //
     /* 2273577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2273580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2273583 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2273586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273590 */   // MIs[0] Operand 1
     /* 2273590 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2273595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273599 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273603 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2273603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2273606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273608 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273610 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273619 */   // GIR_Coverage, 58044,
     /* 2273619 */   GIR_EraseRootFromParent_Done,
     /* 2273620 */ // Label 30602: @2273620
     /* 2273620 */ GIM_Try, /*On fail goto*//*Label 30603*/ GIMT_Encode4(2273668), // Rule ID 58045 //
     /* 2273625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2273628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2273631 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2273634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273638 */   // MIs[0] Operand 1
     /* 2273638 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2273643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273647 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273651 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2273651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2273654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273656 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273658 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273666 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273667 */   // GIR_Coverage, 58045,
     /* 2273667 */   GIR_EraseRootFromParent_Done,
     /* 2273668 */ // Label 30603: @2273668
     /* 2273668 */ GIM_Reject,
     /* 2273669 */ // Label 30451: @2273669
     /* 2273669 */ GIM_Try, /*On fail goto*//*Label 30604*/ GIMT_Encode4(2273989),
     /* 2273674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2273677 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2273680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273684 */   GIM_Try, /*On fail goto*//*Label 30605*/ GIMT_Encode4(2273722), // Rule ID 57114 //
     /* 2273689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273692 */     // MIs[0] Operand 1
     /* 2273692 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2273697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273705 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2273705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2273708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273721 */     // GIR_Coverage, 57114,
     /* 2273721 */     GIR_EraseRootFromParent_Done,
     /* 2273722 */   // Label 30605: @2273722
     /* 2273722 */   GIM_Try, /*On fail goto*//*Label 30606*/ GIMT_Encode4(2273760), // Rule ID 57115 //
     /* 2273727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2273730 */     // MIs[0] Operand 1
     /* 2273730 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2273735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273743 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2273743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2273746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273759 */     // GIR_Coverage, 57115,
     /* 2273759 */     GIR_EraseRootFromParent_Done,
     /* 2273760 */   // Label 30606: @2273760
     /* 2273760 */   GIM_Try, /*On fail goto*//*Label 30607*/ GIMT_Encode4(2273798), // Rule ID 57414 //
     /* 2273765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273768 */     // MIs[0] Operand 1
     /* 2273768 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2273773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273781 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2273781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2273784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273797 */     // GIR_Coverage, 57414,
     /* 2273797 */     GIR_EraseRootFromParent_Done,
     /* 2273798 */   // Label 30607: @2273798
     /* 2273798 */   GIM_Try, /*On fail goto*//*Label 30608*/ GIMT_Encode4(2273836), // Rule ID 57415 //
     /* 2273803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2273806 */     // MIs[0] Operand 1
     /* 2273806 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2273811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273819 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2273819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2273822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273835 */     // GIR_Coverage, 57415,
     /* 2273835 */     GIR_EraseRootFromParent_Done,
     /* 2273836 */   // Label 30608: @2273836
     /* 2273836 */   GIM_Try, /*On fail goto*//*Label 30609*/ GIMT_Encode4(2273874), // Rule ID 57714 //
     /* 2273841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273844 */     // MIs[0] Operand 1
     /* 2273844 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2273849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273857 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2273857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2273860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273873 */     // GIR_Coverage, 57714,
     /* 2273873 */     GIR_EraseRootFromParent_Done,
     /* 2273874 */   // Label 30609: @2273874
     /* 2273874 */   GIM_Try, /*On fail goto*//*Label 30610*/ GIMT_Encode4(2273912), // Rule ID 57715 //
     /* 2273879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2273882 */     // MIs[0] Operand 1
     /* 2273882 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2273887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273895 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2273895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2273898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273911 */     // GIR_Coverage, 57715,
     /* 2273911 */     GIR_EraseRootFromParent_Done,
     /* 2273912 */   // Label 30610: @2273912
     /* 2273912 */   GIM_Try, /*On fail goto*//*Label 30611*/ GIMT_Encode4(2273950), // Rule ID 58014 //
     /* 2273917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273920 */     // MIs[0] Operand 1
     /* 2273920 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2273925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273933 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2273933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2273936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273949 */     // GIR_Coverage, 58014,
     /* 2273949 */     GIR_EraseRootFromParent_Done,
     /* 2273950 */   // Label 30611: @2273950
     /* 2273950 */   GIM_Try, /*On fail goto*//*Label 30612*/ GIMT_Encode4(2273988), // Rule ID 58015 //
     /* 2273955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2273958 */     // MIs[0] Operand 1
     /* 2273958 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2273963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273971 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2273971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2273974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273987 */     // GIR_Coverage, 58015,
     /* 2273987 */     GIR_EraseRootFromParent_Done,
     /* 2273988 */   // Label 30612: @2273988
     /* 2273988 */   GIM_Reject,
     /* 2273989 */ // Label 30604: @2273989
     /* 2273989 */ GIM_Reject,
     /* 2273990 */ // Label 30452: @2273990
     /* 2273990 */ GIM_Reject,
     /* 2273991 */ // Label 50: @2273991
     /* 2273991 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30637*/ GIMT_Encode4(2280727),
     /* 2274002 */ /*GILLT_s32*//*Label 30613*/ GIMT_Encode4(2274126),
     /* 2274006 */ /*GILLT_s64*//*Label 30614*/ GIMT_Encode4(2276376), GIMT_Encode4(0),
     /* 2274014 */ /*GILLT_nxv1s8*//*Label 30615*/ GIMT_Encode4(2276767),
     /* 2274018 */ /*GILLT_nxv1s16*//*Label 30616*/ GIMT_Encode4(2276887),
     /* 2274022 */ /*GILLT_nxv1s32*//*Label 30617*/ GIMT_Encode4(2277095),
     /* 2274026 */ /*GILLT_nxv1s64*//*Label 30618*/ GIMT_Encode4(2277303), GIMT_Encode4(0),
     /* 2274034 */ /*GILLT_nxv2s8*//*Label 30619*/ GIMT_Encode4(2277511),
     /* 2274038 */ /*GILLT_nxv2s16*//*Label 30620*/ GIMT_Encode4(2277631),
     /* 2274042 */ /*GILLT_nxv2s32*//*Label 30621*/ GIMT_Encode4(2277839),
     /* 2274046 */ /*GILLT_nxv2s64*//*Label 30622*/ GIMT_Encode4(2278047), GIMT_Encode4(0),
     /* 2274054 */ /*GILLT_nxv4s8*//*Label 30623*/ GIMT_Encode4(2278255),
     /* 2274058 */ /*GILLT_nxv4s16*//*Label 30624*/ GIMT_Encode4(2278375),
     /* 2274062 */ /*GILLT_nxv4s32*//*Label 30625*/ GIMT_Encode4(2278583),
     /* 2274066 */ /*GILLT_nxv4s64*//*Label 30626*/ GIMT_Encode4(2278791), GIMT_Encode4(0),
     /* 2274074 */ /*GILLT_nxv8s8*//*Label 30627*/ GIMT_Encode4(2278999),
     /* 2274078 */ /*GILLT_nxv8s16*//*Label 30628*/ GIMT_Encode4(2279119),
     /* 2274082 */ /*GILLT_nxv8s32*//*Label 30629*/ GIMT_Encode4(2279327),
     /* 2274086 */ /*GILLT_nxv8s64*//*Label 30630*/ GIMT_Encode4(2279535), GIMT_Encode4(0),
     /* 2274094 */ /*GILLT_nxv16s8*//*Label 30631*/ GIMT_Encode4(2279743),
     /* 2274098 */ /*GILLT_nxv16s16*//*Label 30632*/ GIMT_Encode4(2279863),
     /* 2274102 */ /*GILLT_nxv16s32*//*Label 30633*/ GIMT_Encode4(2280071), GIMT_Encode4(0),
     /* 2274110 */ /*GILLT_nxv32s8*//*Label 30634*/ GIMT_Encode4(2280279),
     /* 2274114 */ /*GILLT_nxv32s16*//*Label 30635*/ GIMT_Encode4(2280399), GIMT_Encode4(0),
     /* 2274122 */ /*GILLT_nxv64s8*//*Label 30636*/ GIMT_Encode4(2280607),
     /* 2274126 */ // Label 30613: @2274126
     /* 2274126 */ GIM_Try, /*On fail goto*//*Label 30638*/ GIMT_Encode4(2276375),
     /* 2274131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2274134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274140 */   GIM_Try, /*On fail goto*//*Label 30639*/ GIMT_Encode4(2274227), // Rule ID 64660 //
     /* 2274145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2274148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2274156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2274160 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274164 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274168 */     // MIs[1] Operand 1
     /* 2274168 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2274173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 2274182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274186 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274190 */     // MIs[2] Operand 1
     /* 2274190 */     // No operand predicates
     /* 2274190 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 2274194 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274198 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274202 */     // MIs[3] Operand 1
     /* 2274202 */     // No operand predicates
     /* 2274202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 2274208 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, SETEQ:{ *:[Other] }), (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SELECTINEI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)
     /* 2274208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTINEI),
     /* 2274211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2274213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2274217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 2274220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // simm2
     /* 2274225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274226 */     // GIR_Coverage, 64660,
     /* 2274226 */     GIR_EraseRootFromParent_Done,
     /* 2274227 */   // Label 30639: @2274227
     /* 2274227 */   GIM_Try, /*On fail goto*//*Label 30640*/ GIMT_Encode4(2274314), // Rule ID 64661 //
     /* 2274232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2274235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2274243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2274247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274251 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274255 */     // MIs[1] Operand 1
     /* 2274255 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2274260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 2274269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274273 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274277 */     // MIs[2] Operand 1
     /* 2274277 */     // No operand predicates
     /* 2274277 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 2274281 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274285 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274289 */     // MIs[3] Operand 1
     /* 2274289 */     // No operand predicates
     /* 2274289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274293 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 2274295 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, SETNE:{ *:[Other] }), (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SELECTIEQI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)
     /* 2274295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTIEQI),
     /* 2274298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2274300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2274304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 2274307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // simm2
     /* 2274312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274313 */     // GIR_Coverage, 64661,
     /* 2274313 */     GIR_EraseRootFromParent_Done,
     /* 2274314 */   // Label 30640: @2274314
     /* 2274314 */   GIM_Try, /*On fail goto*//*Label 30641*/ GIMT_Encode4(2274401), // Rule ID 64658 //
     /* 2274319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2274322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2274330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2274334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274338 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274342 */     // MIs[1] Operand 1
     /* 2274342 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2274347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 2274356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274360 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274364 */     // MIs[2] Operand 1
     /* 2274364 */     // No operand predicates
     /* 2274364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274368 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 2274372 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274376 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274380 */     // MIs[3] Operand 1
     /* 2274380 */     // No operand predicates
     /* 2274380 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 2274382 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, SETEQ:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)  =>  (QC_SELECTIEQI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)
     /* 2274382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTIEQI),
     /* 2274385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2274387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2274391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 2274394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // simm2
     /* 2274399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274400 */     // GIR_Coverage, 64658,
     /* 2274400 */     GIR_EraseRootFromParent_Done,
     /* 2274401 */   // Label 30641: @2274401
     /* 2274401 */   GIM_Try, /*On fail goto*//*Label 30642*/ GIMT_Encode4(2274488), // Rule ID 64659 //
     /* 2274406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2274409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2274417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2274421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274425 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274429 */     // MIs[1] Operand 1
     /* 2274429 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2274434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 2274443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274447 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274451 */     // MIs[2] Operand 1
     /* 2274451 */     // No operand predicates
     /* 2274451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 2274459 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274463 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274467 */     // MIs[3] Operand 1
     /* 2274467 */     // No operand predicates
     /* 2274467 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 2274469 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, SETNE:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)  =>  (QC_SELECTINEI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)
     /* 2274469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTINEI),
     /* 2274472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2274474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2274478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 2274481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // simm2
     /* 2274486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274487 */     // GIR_Coverage, 64659,
     /* 2274487 */     GIR_EraseRootFromParent_Done,
     /* 2274488 */   // Label 30642: @2274488
     /* 2274488 */   GIM_Try, /*On fail goto*//*Label 30643*/ GIMT_Encode4(2274578), // Rule ID 64667 //
     /* 2274493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2274496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2274504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2274508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274512 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274516 */     // MIs[1] Operand 1
     /* 2274516 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2274521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2274535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274539 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274543 */     // MIs[2] Operand 1
     /* 2274543 */     // No operand predicates
     /* 2274543 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 2274547 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274551 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274555 */     // MIs[3] Operand 1
     /* 2274555 */     // No operand predicates
     /* 2274555 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 2274557 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, SETEQ:{ *:[Other] }), (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)  =>  (QC_SELECTIIEQ:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)
     /* 2274557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTIIEQ),
     /* 2274560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2274562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2274566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs1
     /* 2274570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // simm1
     /* 2274573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // simm2
     /* 2274576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274577 */     // GIR_Coverage, 64667,
     /* 2274577 */     GIR_EraseRootFromParent_Done,
     /* 2274578 */   // Label 30643: @2274578
     /* 2274578 */   GIM_Try, /*On fail goto*//*Label 30644*/ GIMT_Encode4(2274668), // Rule ID 64669 //
     /* 2274583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2274586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2274594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2274598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274602 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274606 */     // MIs[1] Operand 1
     /* 2274606 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2274611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2274625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274629 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274633 */     // MIs[2] Operand 1
     /* 2274633 */     // No operand predicates
     /* 2274633 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 2274637 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274641 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274645 */     // MIs[3] Operand 1
     /* 2274645 */     // No operand predicates
     /* 2274645 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 2274647 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, SETNE:{ *:[Other] }), (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)  =>  (QC_SELECTIINE:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)
     /* 2274647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTIINE),
     /* 2274650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2274652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2274656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs1
     /* 2274660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // simm1
     /* 2274663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // simm2
     /* 2274666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274667 */     // GIR_Coverage, 64669,
     /* 2274667 */     GIR_EraseRootFromParent_Done,
     /* 2274668 */   // Label 30644: @2274668
     /* 2274668 */   GIM_Try, /*On fail goto*//*Label 30645*/ GIMT_Encode4(2274746), // Rule ID 64649 //
     /* 2274673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcicm_IsRV32_HwMode1),
     /* 2274676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2274684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2274688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274692 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274696 */     // MIs[1] Operand 1
     /* 2274696 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2274701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 2274710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274714 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274718 */     // MIs[2] Operand 1
     /* 2274718 */     // No operand predicates
     /* 2274718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2274728 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, SETLT:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs3, GPRNoX0:{ *:[i32] }:$rd)  =>  (QC_MVLTI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2274728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MVLTI),
     /* 2274731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2274733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rd
     /* 2274735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /* 2274739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 2274742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274745 */     // GIR_Coverage, 64649,
     /* 2274745 */     GIR_EraseRootFromParent_Done,
     /* 2274746 */   // Label 30645: @2274746
     /* 2274746 */   GIM_Try, /*On fail goto*//*Label 30646*/ GIMT_Encode4(2274824), // Rule ID 64650 //
     /* 2274751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcicm_IsRV32_HwMode1),
     /* 2274754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2274762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2274766 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274770 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274774 */     // MIs[1] Operand 1
     /* 2274774 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2274779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 2274788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274792 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2274796 */     // MIs[2] Operand 1
     /* 2274796 */     // No operand predicates
     /* 2274796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2274806 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm, SETULT:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs3, GPRNoX0:{ *:[i32] }:$rd)  =>  (QC_MVLTUI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2274806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MVLTUI),
     /* 2274809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2274811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rd
     /* 2274813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /* 2274817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 2274820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274823 */     // GIR_Coverage, 64650,
     /* 2274823 */     GIR_EraseRootFromParent_Done,
     /* 2274824 */   // Label 30646: @2274824
     /* 2274824 */   GIM_Try, /*On fail goto*//*Label 30647*/ GIMT_Encode4(2274902), // Rule ID 64651 //
     /* 2274829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcicm_IsRV32_NoVendorXqcics_HwMode1),
     /* 2274832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2274840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2274844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274848 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274852 */     // MIs[1] Operand 1
     /* 2274852 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2274857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 2274866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274870 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274874 */     // MIs[2] Operand 1
     /* 2274874 */     // No operand predicates
     /* 2274874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2274884 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, SETEQ:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs3, GPRNoX0:{ *:[i32] }:$rd)  =>  (QC_MVEQI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2274884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MVEQI),
     /* 2274887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2274889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rd
     /* 2274891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /* 2274895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 2274898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274901 */     // GIR_Coverage, 64651,
     /* 2274901 */     GIR_EraseRootFromParent_Done,
     /* 2274902 */   // Label 30647: @2274902
     /* 2274902 */   GIM_Try, /*On fail goto*//*Label 30648*/ GIMT_Encode4(2274980), // Rule ID 64652 //
     /* 2274907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcicm_IsRV32_NoVendorXqcics_HwMode1),
     /* 2274910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2274918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2274922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274926 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274930 */     // MIs[1] Operand 1
     /* 2274930 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2274935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 2274944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2274948 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2274952 */     // MIs[2] Operand 1
     /* 2274952 */     // No operand predicates
     /* 2274952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2274962 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, SETNE:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs3, GPRNoX0:{ *:[i32] }:$rd)  =>  (QC_MVNEI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2274962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MVNEI),
     /* 2274965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2274967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rd
     /* 2274969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /* 2274973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 2274976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274979 */     // GIR_Coverage, 64652,
     /* 2274979 */     GIR_EraseRootFromParent_Done,
     /* 2274980 */   // Label 30648: @2274980
     /* 2274980 */   GIM_Try, /*On fail goto*//*Label 30649*/ GIMT_Encode4(2275058), // Rule ID 64656 //
     /* 2274985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2274988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2274996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2275000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275004 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2275008 */     // MIs[1] Operand 1
     /* 2275008 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2275013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 2275022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2275026 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2275030 */     // MIs[2] Operand 1
     /* 2275030 */     // No operand predicates
     /* 2275030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275038 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2275040 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, SETEQ:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)  =>  (QC_SELECTEQI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2275040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTEQI),
     /* 2275043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2275049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 2275052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2275056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275057 */     // GIR_Coverage, 64656,
     /* 2275057 */     GIR_EraseRootFromParent_Done,
     /* 2275058 */   // Label 30649: @2275058
     /* 2275058 */   GIM_Try, /*On fail goto*//*Label 30650*/ GIMT_Encode4(2275136), // Rule ID 64657 //
     /* 2275063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2275066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2275074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2275078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275082 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2275086 */     // MIs[1] Operand 1
     /* 2275086 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2275091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 2275100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2275104 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2275108 */     // MIs[2] Operand 1
     /* 2275108 */     // No operand predicates
     /* 2275108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275116 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2275118 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, SETNE:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)  =>  (QC_SELECTNEI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$imm, GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2275118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTNEI),
     /* 2275121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2275127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 2275130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2275134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275135 */     // GIR_Coverage, 64657,
     /* 2275135 */     GIR_EraseRootFromParent_Done,
     /* 2275136 */   // Label 30650: @2275136
     /* 2275136 */   GIM_Try, /*On fail goto*//*Label 30651*/ GIMT_Encode4(2275217), // Rule ID 64664 //
     /* 2275141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2275144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2275152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2275156 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275160 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2275164 */     // MIs[1] Operand 1
     /* 2275164 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2275169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2275183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2275187 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2275191 */     // MIs[2] Operand 1
     /* 2275191 */     // No operand predicates
     /* 2275191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2275197 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, SETEQ:{ *:[Other] }), (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SELECTINE:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)
     /* 2275197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTINE),
     /* 2275200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2275206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs1
     /* 2275210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // simm2
     /* 2275215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275216 */     // GIR_Coverage, 64664,
     /* 2275216 */     GIR_EraseRootFromParent_Done,
     /* 2275217 */   // Label 30651: @2275217
     /* 2275217 */   GIM_Try, /*On fail goto*//*Label 30652*/ GIMT_Encode4(2275298), // Rule ID 64665 //
     /* 2275222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2275225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2275233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2275237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275241 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2275245 */     // MIs[1] Operand 1
     /* 2275245 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2275250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2275264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2275268 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2275272 */     // MIs[2] Operand 1
     /* 2275272 */     // No operand predicates
     /* 2275272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2275278 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, SETNE:{ *:[Other] }), (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SELECTIEQ:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)
     /* 2275278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTIEQ),
     /* 2275281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2275287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs1
     /* 2275291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // simm2
     /* 2275296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275297 */     // GIR_Coverage, 64665,
     /* 2275297 */     GIR_EraseRootFromParent_Done,
     /* 2275298 */   // Label 30652: @2275298
     /* 2275298 */   GIM_Try, /*On fail goto*//*Label 30653*/ GIMT_Encode4(2275379), // Rule ID 64662 //
     /* 2275303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2275306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2275314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2275318 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275322 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2275326 */     // MIs[1] Operand 1
     /* 2275326 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2275331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2275349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2275353 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2275357 */     // MIs[2] Operand 1
     /* 2275357 */     // No operand predicates
     /* 2275357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2275359 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, SETEQ:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)  =>  (QC_SELECTIEQ:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)
     /* 2275359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTIEQ),
     /* 2275362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2275368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs1
     /* 2275372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // simm2
     /* 2275377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275378 */     // GIR_Coverage, 64662,
     /* 2275378 */     GIR_EraseRootFromParent_Done,
     /* 2275379 */   // Label 30653: @2275379
     /* 2275379 */   GIM_Try, /*On fail goto*//*Label 30654*/ GIMT_Encode4(2275460), // Rule ID 64663 //
     /* 2275384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2275387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2275395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2275399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275403 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2275407 */     // MIs[1] Operand 1
     /* 2275407 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2275412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2275430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2275434 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2275438 */     // MIs[2] Operand 1
     /* 2275438 */     // No operand predicates
     /* 2275438 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2275440 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, SETNE:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)  =>  (QC_SELECTINE:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)
     /* 2275440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTINE),
     /* 2275443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2275449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs1
     /* 2275453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // simm2
     /* 2275458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275459 */     // GIR_Coverage, 64663,
     /* 2275459 */     GIR_EraseRootFromParent_Done,
     /* 2275460 */   // Label 30654: @2275460
     /* 2275460 */   GIM_Try, /*On fail goto*//*Label 30655*/ GIMT_Encode4(2275501), // Rule ID 62585 //
     /* 2275465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2275468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275476 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2275480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275484 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, 0:{ *:[i32] }, GPR:{ *:[i32] }:$b)  =>  (TH_MVNEZ:{ *:[i32] } GPR:{ *:[i32] }:$b, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2275484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2275487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275489 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2275491 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2275497 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2275499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275500 */     // GIR_Coverage, 62585,
     /* 2275500 */     GIR_EraseRootFromParent_Done,
     /* 2275501 */   // Label 30655: @2275501
     /* 2275501 */   GIM_Try, /*On fail goto*//*Label 30656*/ GIMT_Encode4(2275542), // Rule ID 62583 //
     /* 2275506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2275509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275521 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2275525 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, 0:{ *:[i32] })  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2275525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2275528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275530 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2275532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2275538 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2275540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275541 */     // GIR_Coverage, 62583,
     /* 2275541 */     GIR_EraseRootFromParent_Done,
     /* 2275542 */   // Label 30656: @2275542
     /* 2275542 */   GIM_Try, /*On fail goto*//*Label 30657*/ GIMT_Encode4(2275593), // Rule ID 64655 //
     /* 2275547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2275550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2275562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2275566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2275570 */     // MIs[1] Operand 1
     /* 2275570 */     // No operand predicates
     /* 2275570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2275576 */     // (select:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SELECTIEQI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, 0:{ *:[i32] }, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)
     /* 2275576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTIEQI),
     /* 2275579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2275583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2275586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // simm2
     /* 2275591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275592 */     // GIR_Coverage, 64655,
     /* 2275592 */     GIR_EraseRootFromParent_Done,
     /* 2275593 */   // Label 30657: @2275593
     /* 2275593 */   GIM_Try, /*On fail goto*//*Label 30658*/ GIMT_Encode4(2275644), // Rule ID 64654 //
     /* 2275598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2275601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2275617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2275621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2275625 */     // MIs[1] Operand 1
     /* 2275625 */     // No operand predicates
     /* 2275625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2275627 */     // (select:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)  =>  (QC_SELECTINEI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, 0:{ *:[i32] }, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$simm2)
     /* 2275627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTINEI),
     /* 2275630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2275634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2275637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // simm2
     /* 2275642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275643 */     // GIR_Coverage, 64654,
     /* 2275643 */     GIR_EraseRootFromParent_Done,
     /* 2275644 */   // Label 30658: @2275644
     /* 2275644 */   GIM_Try, /*On fail goto*//*Label 30659*/ GIMT_Encode4(2275716), // Rule ID 64641 //
     /* 2275649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcicm_IsRV32_HwMode0),
     /* 2275652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2275660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2275664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275668 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2275672 */     // MIs[1] Operand 1
     /* 2275672 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2275677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2275697 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs3, GPRNoX0:{ *:[i32] }:$rd)  =>  (QC_MVEQ:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2275697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MVEQ),
     /* 2275700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rd
     /* 2275704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /* 2275708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs2
     /* 2275712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2275714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275715 */     // GIR_Coverage, 64641,
     /* 2275715 */     GIR_EraseRootFromParent_Done,
     /* 2275716 */   // Label 30659: @2275716
     /* 2275716 */   GIM_Try, /*On fail goto*//*Label 30660*/ GIMT_Encode4(2275788), // Rule ID 64642 //
     /* 2275721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcicm_IsRV32_HwMode1),
     /* 2275724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2275732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2275736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275740 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2275744 */     // MIs[1] Operand 1
     /* 2275744 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2275749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2275769 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs3, GPRNoX0:{ *:[i32] }:$rd)  =>  (QC_MVEQ:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2275769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MVEQ),
     /* 2275772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rd
     /* 2275776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /* 2275780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs2
     /* 2275784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2275786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275787 */     // GIR_Coverage, 64642,
     /* 2275787 */     GIR_EraseRootFromParent_Done,
     /* 2275788 */   // Label 30660: @2275788
     /* 2275788 */   GIM_Try, /*On fail goto*//*Label 30661*/ GIMT_Encode4(2275860), // Rule ID 64643 //
     /* 2275793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcicm_IsRV32_HwMode0),
     /* 2275796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2275804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2275808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275812 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2275816 */     // MIs[1] Operand 1
     /* 2275816 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2275821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2275841 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, SETNE:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs3, GPRNoX0:{ *:[i32] }:$rd)  =>  (QC_MVNE:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2275841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MVNE),
     /* 2275844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rd
     /* 2275848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /* 2275852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs2
     /* 2275856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2275858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275859 */     // GIR_Coverage, 64643,
     /* 2275859 */     GIR_EraseRootFromParent_Done,
     /* 2275860 */   // Label 30661: @2275860
     /* 2275860 */   GIM_Try, /*On fail goto*//*Label 30662*/ GIMT_Encode4(2275932), // Rule ID 64644 //
     /* 2275865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcicm_IsRV32_HwMode1),
     /* 2275868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2275876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2275880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275884 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2275888 */     // MIs[1] Operand 1
     /* 2275888 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2275893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2275913 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, SETNE:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs3, GPRNoX0:{ *:[i32] }:$rd)  =>  (QC_MVNE:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2275913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MVNE),
     /* 2275916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rd
     /* 2275920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /* 2275924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs2
     /* 2275928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2275930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275931 */     // GIR_Coverage, 64644,
     /* 2275931 */     GIR_EraseRootFromParent_Done,
     /* 2275932 */   // Label 30662: @2275932
     /* 2275932 */   GIM_Try, /*On fail goto*//*Label 30663*/ GIMT_Encode4(2276004), // Rule ID 64645 //
     /* 2275937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcicm_IsRV32_HwMode0),
     /* 2275940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2275948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2275952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275956 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2275960 */     // MIs[1] Operand 1
     /* 2275960 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2275965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2275983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2275985 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, SETLT:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs3, GPRNoX0:{ *:[i32] }:$rd)  =>  (QC_MVLT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2275985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MVLT),
     /* 2275988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2275990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rd
     /* 2275992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /* 2275996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs2
     /* 2276000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2276002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276003 */     // GIR_Coverage, 64645,
     /* 2276003 */     GIR_EraseRootFromParent_Done,
     /* 2276004 */   // Label 30663: @2276004
     /* 2276004 */   GIM_Try, /*On fail goto*//*Label 30664*/ GIMT_Encode4(2276076), // Rule ID 64646 //
     /* 2276009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcicm_IsRV32_HwMode1),
     /* 2276012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2276020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2276024 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2276028 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2276032 */     // MIs[1] Operand 1
     /* 2276032 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2276037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2276057 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, SETLT:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs3, GPRNoX0:{ *:[i32] }:$rd)  =>  (QC_MVLT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2276057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MVLT),
     /* 2276060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2276062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rd
     /* 2276064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /* 2276068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs2
     /* 2276072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2276074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276075 */     // GIR_Coverage, 64646,
     /* 2276075 */     GIR_EraseRootFromParent_Done,
     /* 2276076 */   // Label 30664: @2276076
     /* 2276076 */   GIM_Try, /*On fail goto*//*Label 30665*/ GIMT_Encode4(2276148), // Rule ID 64647 //
     /* 2276081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcicm_IsRV32_HwMode0),
     /* 2276084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2276092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2276096 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2276100 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2276104 */     // MIs[1] Operand 1
     /* 2276104 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2276109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2276129 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, SETULT:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs3, GPRNoX0:{ *:[i32] }:$rd)  =>  (QC_MVLTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2276129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MVLTU),
     /* 2276132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2276134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rd
     /* 2276136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /* 2276140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs2
     /* 2276144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2276146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276147 */     // GIR_Coverage, 64647,
     /* 2276147 */     GIR_EraseRootFromParent_Done,
     /* 2276148 */   // Label 30665: @2276148
     /* 2276148 */   GIM_Try, /*On fail goto*//*Label 30666*/ GIMT_Encode4(2276220), // Rule ID 64648 //
     /* 2276153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcicm_IsRV32_HwMode1),
     /* 2276156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2276164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2276168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2276172 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2276176 */     // MIs[1] Operand 1
     /* 2276176 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2276181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2276201 */     // (select:{ *:[i32] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, SETULT:{ *:[Other] }), GPRNoX0:{ *:[i32] }:$rs3, GPRNoX0:{ *:[i32] }:$rd)  =>  (QC_MVLTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2276201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MVLTU),
     /* 2276204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2276206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rd
     /* 2276208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /* 2276212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs2
     /* 2276216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2276218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276219 */     // GIR_Coverage, 64648,
     /* 2276219 */     GIR_EraseRootFromParent_Done,
     /* 2276220 */   // Label 30666: @2276220
     /* 2276220 */   GIM_Try, /*On fail goto*//*Label 30667*/ GIMT_Encode4(2276257), // Rule ID 62581 //
     /* 2276225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2276228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276244 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$cond)
     /* 2276244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2276247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2276249 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2276251 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2276253 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2276255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276256 */     // GIR_Coverage, 62581,
     /* 2276256 */     GIR_EraseRootFromParent_Done,
     /* 2276257 */   // Label 30667: @2276257
     /* 2276257 */   GIM_Try, /*On fail goto*//*Label 30668*/ GIMT_Encode4(2276297), // Rule ID 64640 //
     /* 2276262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcicm_IsRV32_HwMode1),
     /* 2276265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276281 */     // (select:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs3)  =>  (QC_MVEQI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, 0:{ *:[i32] }, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2276281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_MVEQI),
     /* 2276284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2276286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2276288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2276293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2276295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276296 */     // GIR_Coverage, 64640,
     /* 2276296 */     GIR_EraseRootFromParent_Done,
     /* 2276297 */   // Label 30668: @2276297
     /* 2276297 */   GIM_Try, /*On fail goto*//*Label 30669*/ GIMT_Encode4(2276337), // Rule ID 64653 //
     /* 2276302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode1),
     /* 2276305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276321 */     // (select:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)  =>  (QC_SELECTNEI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, 0:{ *:[i32] }, GPRNoX0:{ *:[i32] }:$rs2, GPRNoX0:{ *:[i32] }:$rs3)
     /* 2276321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTNEI),
     /* 2276324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2276326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2276328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2276331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2276335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276336 */     // GIR_Coverage, 64653,
     /* 2276336 */     GIR_EraseRootFromParent_Done,
     /* 2276337 */   // Label 30669: @2276337
     /* 2276337 */   GIM_Try, /*On fail goto*//*Label 30670*/ GIMT_Encode4(2276374), // Rule ID 64679 //
     /* 2276342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode1),
     /* 2276345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276361 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /* 2276361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2276364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2276370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2276372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276373 */     // GIR_Coverage, 64679,
     /* 2276373 */     GIR_EraseRootFromParent_Done,
     /* 2276374 */   // Label 30670: @2276374
     /* 2276374 */   GIM_Reject,
     /* 2276375 */ // Label 30638: @2276375
     /* 2276375 */ GIM_Reject,
     /* 2276376 */ // Label 30614: @2276376
     /* 2276376 */ GIM_Try, /*On fail goto*//*Label 30671*/ GIMT_Encode4(2276475), // Rule ID 64666 //
     /* 2276381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode0),
     /* 2276384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2276387 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2276390 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2276393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276397 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2276401 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2276405 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2276409 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2276413 */   // MIs[1] Operand 1
     /* 2276413 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2276418 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276423 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276428 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2276432 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2276436 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2276440 */   // MIs[2] Operand 1
     /* 2276440 */   // No operand predicates
     /* 2276440 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 2276444 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2276448 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2276452 */   // MIs[3] Operand 1
     /* 2276452 */   // No operand predicates
     /* 2276452 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 2276454 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, SETEQ:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_simm5>>:$simm1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$simm2)  =>  (QC_SELECTIIEQ:{ *:[i64] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$simm1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$simm2)
     /* 2276454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTIIEQ),
     /* 2276457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2276459 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2276463 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs1
     /* 2276467 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // simm1
     /* 2276470 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // simm2
     /* 2276473 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276474 */   // GIR_Coverage, 64666,
     /* 2276474 */   GIR_EraseRootFromParent_Done,
     /* 2276475 */ // Label 30671: @2276475
     /* 2276475 */ GIM_Try, /*On fail goto*//*Label 30672*/ GIMT_Encode4(2276574), // Rule ID 64668 //
     /* 2276480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcics_IsRV32_HwMode0),
     /* 2276483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2276486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2276489 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2276492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276496 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2276500 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2276504 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2276508 */   GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 2276512 */   // MIs[1] Operand 1
     /* 2276512 */   GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2276517 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276522 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276527 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2276531 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2276535 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2276539 */   // MIs[2] Operand 1
     /* 2276539 */   // No operand predicates
     /* 2276539 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 2276543 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2276547 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 2276551 */   // MIs[3] Operand 1
     /* 2276551 */   // No operand predicates
     /* 2276551 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 2276553 */   // (select:{ *:[i64] } (setcc:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, SETNE:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_simm5>>:$simm1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$simm2)  =>  (QC_SELECTIINE:{ *:[i64] } GPRNoX0:{ *:[i32] }:$rd, GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$simm1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$simm2)
     /* 2276553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SELECTIINE),
     /* 2276556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2276558 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /* 2276562 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // rs1
     /* 2276566 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // simm1
     /* 2276569 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // simm2
     /* 2276572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276573 */   // GIR_Coverage, 64668,
     /* 2276573 */   GIR_EraseRootFromParent_Done,
     /* 2276574 */ // Label 30672: @2276574
     /* 2276574 */ GIM_Try, /*On fail goto*//*Label 30673*/ GIMT_Encode4(2276624), // Rule ID 62584 //
     /* 2276579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2276582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2276585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2276588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2276591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276599 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2276603 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276607 */   // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, 0:{ *:[i64] }, GPR:{ *:[i64] }:$b)  =>  (TH_MVNEZ:{ *:[i64] } GPR:{ *:[i64] }:$b, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2276607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2276610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2276612 */   GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2276614 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2276620 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2276622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276623 */   // GIR_Coverage, 62584,
     /* 2276623 */   GIR_EraseRootFromParent_Done,
     /* 2276624 */ // Label 30673: @2276624
     /* 2276624 */ GIM_Try, /*On fail goto*//*Label 30674*/ GIMT_Encode4(2276674), // Rule ID 62582 //
     /* 2276629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2276632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2276635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2276638 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2276641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276653 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2276657 */   // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, 0:{ *:[i64] })  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2276657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2276660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2276662 */   GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2276664 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2276670 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2276672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276673 */   // GIR_Coverage, 62582,
     /* 2276673 */   GIR_EraseRootFromParent_Done,
     /* 2276674 */ // Label 30674: @2276674
     /* 2276674 */ GIM_Try, /*On fail goto*//*Label 30675*/ GIMT_Encode4(2276720), // Rule ID 62580 //
     /* 2276679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2276682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2276685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2276688 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2276691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276703 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276707 */   // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b)  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b, GPR:{ *:[i64] }:$cond)
     /* 2276707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2276710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2276712 */   GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2276714 */   GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2276716 */   GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2276718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276719 */   // GIR_Coverage, 62580,
     /* 2276719 */   GIR_EraseRootFromParent_Done,
     /* 2276720 */ // Label 30675: @2276720
     /* 2276720 */ GIM_Try, /*On fail goto*//*Label 30676*/ GIMT_Encode4(2276766), // Rule ID 64678 //
     /* 2276725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode0),
     /* 2276728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2276731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2276734 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2276737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276749 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2276753 */   // (select:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs3)
     /* 2276753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2276756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276758 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276760 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2276762 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2276764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276765 */   // GIR_Coverage, 64678,
     /* 2276765 */   GIR_EraseRootFromParent_Done,
     /* 2276766 */ // Label 30676: @2276766
     /* 2276766 */ GIM_Reject,
     /* 2276767 */ // Label 30615: @2276767
     /* 2276767 */ GIM_Try, /*On fail goto*//*Label 30677*/ GIMT_Encode4(2276886),
     /* 2276772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2276775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2276778 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2276781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2276785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2276789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276793 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276797 */   GIM_Try, /*On fail goto*//*Label 30678*/ GIMT_Encode4(2276841), // Rule ID 52244 //
     /* 2276802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276805 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2276808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2276822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276831 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2276833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276840 */     // GIR_Coverage, 52244,
     /* 2276840 */     GIR_EraseRootFromParent_Done,
     /* 2276841 */   // Label 30678: @2276841
     /* 2276841 */   GIM_Try, /*On fail goto*//*Label 30679*/ GIMT_Encode4(2276885), // Rule ID 52245 //
     /* 2276846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276849 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2276852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2276866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276875 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2276877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276884 */     // GIR_Coverage, 52245,
     /* 2276884 */     GIR_EraseRootFromParent_Done,
     /* 2276885 */   // Label 30679: @2276885
     /* 2276885 */   GIM_Reject,
     /* 2276886 */ // Label 30677: @2276886
     /* 2276886 */ GIM_Reject,
     /* 2276887 */ // Label 30616: @2276887
     /* 2276887 */ GIM_Try, /*On fail goto*//*Label 30680*/ GIMT_Encode4(2277094),
     /* 2276892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2276895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2276898 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2276901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2276905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2276909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276913 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276917 */   GIM_Try, /*On fail goto*//*Label 30681*/ GIMT_Encode4(2276961), // Rule ID 52262 //
     /* 2276922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276925 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2276925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2276928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2276942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276951 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2276953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276960 */     // GIR_Coverage, 52262,
     /* 2276960 */     GIR_EraseRootFromParent_Done,
     /* 2276961 */   // Label 30681: @2276961
     /* 2276961 */   GIM_Try, /*On fail goto*//*Label 30682*/ GIMT_Encode4(2277005), // Rule ID 52263 //
     /* 2276966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276969 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2276969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2276972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2276986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276995 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2276997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277004 */     // GIR_Coverage, 52263,
     /* 2277004 */     GIR_EraseRootFromParent_Done,
     /* 2277005 */   // Label 30682: @2277005
     /* 2277005 */   GIM_Try, /*On fail goto*//*Label 30683*/ GIMT_Encode4(2277049), // Rule ID 58084 //
     /* 2277010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277013 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2277013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2277016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2277030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277039 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277048 */     // GIR_Coverage, 58084,
     /* 2277048 */     GIR_EraseRootFromParent_Done,
     /* 2277049 */   // Label 30683: @2277049
     /* 2277049 */   GIM_Try, /*On fail goto*//*Label 30684*/ GIMT_Encode4(2277093), // Rule ID 58085 //
     /* 2277054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277057 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2277057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2277060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2277074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277083 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277092 */     // GIR_Coverage, 58085,
     /* 2277092 */     GIR_EraseRootFromParent_Done,
     /* 2277093 */   // Label 30684: @2277093
     /* 2277093 */   GIM_Reject,
     /* 2277094 */ // Label 30680: @2277094
     /* 2277094 */ GIM_Reject,
     /* 2277095 */ // Label 30617: @2277095
     /* 2277095 */ GIM_Try, /*On fail goto*//*Label 30685*/ GIMT_Encode4(2277302),
     /* 2277100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2277103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2277106 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2277109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2277113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277121 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277125 */   GIM_Try, /*On fail goto*//*Label 30686*/ GIMT_Encode4(2277169), // Rule ID 52274 //
     /* 2277130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277133 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2277133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2277136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2277150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277159 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277168 */     // GIR_Coverage, 52274,
     /* 2277168 */     GIR_EraseRootFromParent_Done,
     /* 2277169 */   // Label 30686: @2277169
     /* 2277169 */   GIM_Try, /*On fail goto*//*Label 30687*/ GIMT_Encode4(2277213), // Rule ID 52275 //
     /* 2277174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277177 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2277177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2277180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2277194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277203 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277212 */     // GIR_Coverage, 52275,
     /* 2277212 */     GIR_EraseRootFromParent_Done,
     /* 2277213 */   // Label 30687: @2277213
     /* 2277213 */   GIM_Try, /*On fail goto*//*Label 30688*/ GIMT_Encode4(2277257), // Rule ID 58104 //
     /* 2277218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277221 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2277221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2277224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2277238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277247 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277256 */     // GIR_Coverage, 58104,
     /* 2277256 */     GIR_EraseRootFromParent_Done,
     /* 2277257 */   // Label 30688: @2277257
     /* 2277257 */   GIM_Try, /*On fail goto*//*Label 30689*/ GIMT_Encode4(2277301), // Rule ID 58105 //
     /* 2277262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277265 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2277265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2277268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2277282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277291 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277300 */     // GIR_Coverage, 58105,
     /* 2277300 */     GIR_EraseRootFromParent_Done,
     /* 2277301 */   // Label 30689: @2277301
     /* 2277301 */   GIM_Reject,
     /* 2277302 */ // Label 30685: @2277302
     /* 2277302 */ GIM_Reject,
     /* 2277303 */ // Label 30618: @2277303
     /* 2277303 */ GIM_Try, /*On fail goto*//*Label 30690*/ GIMT_Encode4(2277510),
     /* 2277308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2277311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2277314 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2277317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2277321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277329 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277333 */   GIM_Try, /*On fail goto*//*Label 30691*/ GIMT_Encode4(2277377), // Rule ID 52298 //
     /* 2277338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2277341 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2277341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2277344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2277358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277367 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277376 */     // GIR_Coverage, 52298,
     /* 2277376 */     GIR_EraseRootFromParent_Done,
     /* 2277377 */   // Label 30691: @2277377
     /* 2277377 */   GIM_Try, /*On fail goto*//*Label 30692*/ GIMT_Encode4(2277421), // Rule ID 52299 //
     /* 2277382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2277385 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2277385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2277388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2277402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277411 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277420 */     // GIR_Coverage, 52299,
     /* 2277420 */     GIR_EraseRootFromParent_Done,
     /* 2277421 */   // Label 30692: @2277421
     /* 2277421 */   GIM_Try, /*On fail goto*//*Label 30693*/ GIMT_Encode4(2277465), // Rule ID 58134 //
     /* 2277426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2277429 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2277429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2277432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2277446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277455 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277464 */     // GIR_Coverage, 58134,
     /* 2277464 */     GIR_EraseRootFromParent_Done,
     /* 2277465 */   // Label 30693: @2277465
     /* 2277465 */   GIM_Try, /*On fail goto*//*Label 30694*/ GIMT_Encode4(2277509), // Rule ID 58135 //
     /* 2277470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2277473 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2277473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2277476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2277490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277499 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277508 */     // GIR_Coverage, 58135,
     /* 2277508 */     GIR_EraseRootFromParent_Done,
     /* 2277509 */   // Label 30694: @2277509
     /* 2277509 */   GIM_Reject,
     /* 2277510 */ // Label 30690: @2277510
     /* 2277510 */ GIM_Reject,
     /* 2277511 */ // Label 30619: @2277511
     /* 2277511 */ GIM_Try, /*On fail goto*//*Label 30695*/ GIMT_Encode4(2277630),
     /* 2277516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2277519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2277522 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2277525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2277529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277537 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277541 */   GIM_Try, /*On fail goto*//*Label 30696*/ GIMT_Encode4(2277585), // Rule ID 52250 //
     /* 2277546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277549 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2277552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2277566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277575 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277584 */     // GIR_Coverage, 52250,
     /* 2277584 */     GIR_EraseRootFromParent_Done,
     /* 2277585 */   // Label 30696: @2277585
     /* 2277585 */   GIM_Try, /*On fail goto*//*Label 30697*/ GIMT_Encode4(2277629), // Rule ID 52251 //
     /* 2277590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277593 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2277596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2277610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277619 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277628 */     // GIR_Coverage, 52251,
     /* 2277628 */     GIR_EraseRootFromParent_Done,
     /* 2277629 */   // Label 30697: @2277629
     /* 2277629 */   GIM_Reject,
     /* 2277630 */ // Label 30695: @2277630
     /* 2277630 */ GIM_Reject,
     /* 2277631 */ // Label 30620: @2277631
     /* 2277631 */ GIM_Try, /*On fail goto*//*Label 30698*/ GIMT_Encode4(2277838),
     /* 2277636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2277639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2277642 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2277645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2277649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277657 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277661 */   GIM_Try, /*On fail goto*//*Label 30699*/ GIMT_Encode4(2277705), // Rule ID 52268 //
     /* 2277666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277669 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2277669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2277672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2277686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277695 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277704 */     // GIR_Coverage, 52268,
     /* 2277704 */     GIR_EraseRootFromParent_Done,
     /* 2277705 */   // Label 30699: @2277705
     /* 2277705 */   GIM_Try, /*On fail goto*//*Label 30700*/ GIMT_Encode4(2277749), // Rule ID 52269 //
     /* 2277710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277713 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2277713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2277716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2277730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277739 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277748 */     // GIR_Coverage, 52269,
     /* 2277748 */     GIR_EraseRootFromParent_Done,
     /* 2277749 */   // Label 30700: @2277749
     /* 2277749 */   GIM_Try, /*On fail goto*//*Label 30701*/ GIMT_Encode4(2277793), // Rule ID 58094 //
     /* 2277754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277757 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2277757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2277760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2277774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277783 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277792 */     // GIR_Coverage, 58094,
     /* 2277792 */     GIR_EraseRootFromParent_Done,
     /* 2277793 */   // Label 30701: @2277793
     /* 2277793 */   GIM_Try, /*On fail goto*//*Label 30702*/ GIMT_Encode4(2277837), // Rule ID 58095 //
     /* 2277798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277801 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2277801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2277804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2277818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277827 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277836 */     // GIR_Coverage, 58095,
     /* 2277836 */     GIR_EraseRootFromParent_Done,
     /* 2277837 */   // Label 30702: @2277837
     /* 2277837 */   GIM_Reject,
     /* 2277838 */ // Label 30698: @2277838
     /* 2277838 */ GIM_Reject,
     /* 2277839 */ // Label 30621: @2277839
     /* 2277839 */ GIM_Try, /*On fail goto*//*Label 30703*/ GIMT_Encode4(2278046),
     /* 2277844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2277847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2277850 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2277853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2277857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277861 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277865 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277869 */   GIM_Try, /*On fail goto*//*Label 30704*/ GIMT_Encode4(2277913), // Rule ID 52292 //
     /* 2277874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277877 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2277877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2277880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2277894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277903 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277912 */     // GIR_Coverage, 52292,
     /* 2277912 */     GIR_EraseRootFromParent_Done,
     /* 2277913 */   // Label 30704: @2277913
     /* 2277913 */   GIM_Try, /*On fail goto*//*Label 30705*/ GIMT_Encode4(2277957), // Rule ID 52293 //
     /* 2277918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277921 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2277921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2277924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2277938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277947 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277956 */     // GIR_Coverage, 52293,
     /* 2277956 */     GIR_EraseRootFromParent_Done,
     /* 2277957 */   // Label 30705: @2277957
     /* 2277957 */   GIM_Try, /*On fail goto*//*Label 30706*/ GIMT_Encode4(2278001), // Rule ID 58124 //
     /* 2277962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277965 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2277965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2277968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2277982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277991 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2277993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278000 */     // GIR_Coverage, 58124,
     /* 2278000 */     GIR_EraseRootFromParent_Done,
     /* 2278001 */   // Label 30706: @2278001
     /* 2278001 */   GIM_Try, /*On fail goto*//*Label 30707*/ GIMT_Encode4(2278045), // Rule ID 58125 //
     /* 2278006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278009 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2278009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2278012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2278026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278035 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278044 */     // GIR_Coverage, 58125,
     /* 2278044 */     GIR_EraseRootFromParent_Done,
     /* 2278045 */   // Label 30707: @2278045
     /* 2278045 */   GIM_Reject,
     /* 2278046 */ // Label 30703: @2278046
     /* 2278046 */ GIM_Reject,
     /* 2278047 */ // Label 30622: @2278047
     /* 2278047 */ GIM_Try, /*On fail goto*//*Label 30708*/ GIMT_Encode4(2278254),
     /* 2278052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2278055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2278058 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2278061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2278065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278073 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278077 */   GIM_Try, /*On fail goto*//*Label 30709*/ GIMT_Encode4(2278121), // Rule ID 52358 //
     /* 2278082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278085 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2278085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2278088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2278102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278111 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278120 */     // GIR_Coverage, 52358,
     /* 2278120 */     GIR_EraseRootFromParent_Done,
     /* 2278121 */   // Label 30709: @2278121
     /* 2278121 */   GIM_Try, /*On fail goto*//*Label 30710*/ GIMT_Encode4(2278165), // Rule ID 52359 //
     /* 2278126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278129 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2278129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2278132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2278146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278155 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278164 */     // GIR_Coverage, 52359,
     /* 2278164 */     GIR_EraseRootFromParent_Done,
     /* 2278165 */   // Label 30710: @2278165
     /* 2278165 */   GIM_Try, /*On fail goto*//*Label 30711*/ GIMT_Encode4(2278209), // Rule ID 58204 //
     /* 2278170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278173 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2278173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2278176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2278190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278199 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278208 */     // GIR_Coverage, 58204,
     /* 2278208 */     GIR_EraseRootFromParent_Done,
     /* 2278209 */   // Label 30711: @2278209
     /* 2278209 */   GIM_Try, /*On fail goto*//*Label 30712*/ GIMT_Encode4(2278253), // Rule ID 58205 //
     /* 2278214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278217 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2278217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2278220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2278234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278243 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278252 */     // GIR_Coverage, 58205,
     /* 2278252 */     GIR_EraseRootFromParent_Done,
     /* 2278253 */   // Label 30712: @2278253
     /* 2278253 */   GIM_Reject,
     /* 2278254 */ // Label 30708: @2278254
     /* 2278254 */ GIM_Reject,
     /* 2278255 */ // Label 30623: @2278255
     /* 2278255 */ GIM_Try, /*On fail goto*//*Label 30713*/ GIMT_Encode4(2278374),
     /* 2278260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2278263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2278266 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2278269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2278273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278281 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278285 */   GIM_Try, /*On fail goto*//*Label 30714*/ GIMT_Encode4(2278329), // Rule ID 52256 //
     /* 2278290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278293 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2278296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2278310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278319 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278328 */     // GIR_Coverage, 52256,
     /* 2278328 */     GIR_EraseRootFromParent_Done,
     /* 2278329 */   // Label 30714: @2278329
     /* 2278329 */   GIM_Try, /*On fail goto*//*Label 30715*/ GIMT_Encode4(2278373), // Rule ID 52257 //
     /* 2278334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278337 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2278340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2278354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278363 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278372 */     // GIR_Coverage, 52257,
     /* 2278372 */     GIR_EraseRootFromParent_Done,
     /* 2278373 */   // Label 30715: @2278373
     /* 2278373 */   GIM_Reject,
     /* 2278374 */ // Label 30713: @2278374
     /* 2278374 */ GIM_Reject,
     /* 2278375 */ // Label 30624: @2278375
     /* 2278375 */ GIM_Try, /*On fail goto*//*Label 30716*/ GIMT_Encode4(2278582),
     /* 2278380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2278383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2278386 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2278389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2278393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278401 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278405 */   GIM_Try, /*On fail goto*//*Label 30717*/ GIMT_Encode4(2278449), // Rule ID 52286 //
     /* 2278410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278413 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2278413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2278416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2278430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278439 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278448 */     // GIR_Coverage, 52286,
     /* 2278448 */     GIR_EraseRootFromParent_Done,
     /* 2278449 */   // Label 30717: @2278449
     /* 2278449 */   GIM_Try, /*On fail goto*//*Label 30718*/ GIMT_Encode4(2278493), // Rule ID 52287 //
     /* 2278454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278457 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2278457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2278460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2278474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278483 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278492 */     // GIR_Coverage, 52287,
     /* 2278492 */     GIR_EraseRootFromParent_Done,
     /* 2278493 */   // Label 30718: @2278493
     /* 2278493 */   GIM_Try, /*On fail goto*//*Label 30719*/ GIMT_Encode4(2278537), // Rule ID 58114 //
     /* 2278498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278501 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2278501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2278504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2278518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278527 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278536 */     // GIR_Coverage, 58114,
     /* 2278536 */     GIR_EraseRootFromParent_Done,
     /* 2278537 */   // Label 30719: @2278537
     /* 2278537 */   GIM_Try, /*On fail goto*//*Label 30720*/ GIMT_Encode4(2278581), // Rule ID 58115 //
     /* 2278542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278545 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2278545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2278548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2278562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278571 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278580 */     // GIR_Coverage, 58115,
     /* 2278580 */     GIR_EraseRootFromParent_Done,
     /* 2278581 */   // Label 30720: @2278581
     /* 2278581 */   GIM_Reject,
     /* 2278582 */ // Label 30716: @2278582
     /* 2278582 */ GIM_Reject,
     /* 2278583 */ // Label 30625: @2278583
     /* 2278583 */ GIM_Try, /*On fail goto*//*Label 30721*/ GIMT_Encode4(2278790),
     /* 2278588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2278591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2278594 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2278597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2278601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278609 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278613 */   GIM_Try, /*On fail goto*//*Label 30722*/ GIMT_Encode4(2278657), // Rule ID 52340 //
     /* 2278618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278621 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2278621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2278624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2278638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278647 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278656 */     // GIR_Coverage, 52340,
     /* 2278656 */     GIR_EraseRootFromParent_Done,
     /* 2278657 */   // Label 30722: @2278657
     /* 2278657 */   GIM_Try, /*On fail goto*//*Label 30723*/ GIMT_Encode4(2278701), // Rule ID 52341 //
     /* 2278662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278665 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2278665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2278668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2278682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278691 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278700 */     // GIR_Coverage, 52341,
     /* 2278700 */     GIR_EraseRootFromParent_Done,
     /* 2278701 */   // Label 30723: @2278701
     /* 2278701 */   GIM_Try, /*On fail goto*//*Label 30724*/ GIMT_Encode4(2278745), // Rule ID 58174 //
     /* 2278706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278709 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2278709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2278712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2278726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278735 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278744 */     // GIR_Coverage, 58174,
     /* 2278744 */     GIR_EraseRootFromParent_Done,
     /* 2278745 */   // Label 30724: @2278745
     /* 2278745 */   GIM_Try, /*On fail goto*//*Label 30725*/ GIMT_Encode4(2278789), // Rule ID 58175 //
     /* 2278750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278753 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2278753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2278756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2278770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278779 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278788 */     // GIR_Coverage, 58175,
     /* 2278788 */     GIR_EraseRootFromParent_Done,
     /* 2278789 */   // Label 30725: @2278789
     /* 2278789 */   GIM_Reject,
     /* 2278790 */ // Label 30721: @2278790
     /* 2278790 */ GIM_Reject,
     /* 2278791 */ // Label 30626: @2278791
     /* 2278791 */ GIM_Try, /*On fail goto*//*Label 30726*/ GIMT_Encode4(2278998),
     /* 2278796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2278799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2278802 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2278805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2278809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278817 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278821 */   GIM_Try, /*On fail goto*//*Label 30727*/ GIMT_Encode4(2278865), // Rule ID 52364 //
     /* 2278826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278829 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2278829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2278832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2278846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278855 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278864 */     // GIR_Coverage, 52364,
     /* 2278864 */     GIR_EraseRootFromParent_Done,
     /* 2278865 */   // Label 30727: @2278865
     /* 2278865 */   GIM_Try, /*On fail goto*//*Label 30728*/ GIMT_Encode4(2278909), // Rule ID 52365 //
     /* 2278870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278873 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2278873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2278876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2278890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278899 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278908 */     // GIR_Coverage, 52365,
     /* 2278908 */     GIR_EraseRootFromParent_Done,
     /* 2278909 */   // Label 30728: @2278909
     /* 2278909 */   GIM_Try, /*On fail goto*//*Label 30729*/ GIMT_Encode4(2278953), // Rule ID 58214 //
     /* 2278914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278917 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2278917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2278920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2278934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278943 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278952 */     // GIR_Coverage, 58214,
     /* 2278952 */     GIR_EraseRootFromParent_Done,
     /* 2278953 */   // Label 30729: @2278953
     /* 2278953 */   GIM_Try, /*On fail goto*//*Label 30730*/ GIMT_Encode4(2278997), // Rule ID 58215 //
     /* 2278958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278961 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2278961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2278964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2278978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278987 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278996 */     // GIR_Coverage, 58215,
     /* 2278996 */     GIR_EraseRootFromParent_Done,
     /* 2278997 */   // Label 30730: @2278997
     /* 2278997 */   GIM_Reject,
     /* 2278998 */ // Label 30726: @2278998
     /* 2278998 */ GIM_Reject,
     /* 2278999 */ // Label 30627: @2278999
     /* 2278999 */ GIM_Try, /*On fail goto*//*Label 30731*/ GIMT_Encode4(2279118),
     /* 2279004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2279007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2279010 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2279013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2279017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279025 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279029 */   GIM_Try, /*On fail goto*//*Label 30732*/ GIMT_Encode4(2279073), // Rule ID 52280 //
     /* 2279034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279037 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2279040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2279054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279063 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279072 */     // GIR_Coverage, 52280,
     /* 2279072 */     GIR_EraseRootFromParent_Done,
     /* 2279073 */   // Label 30732: @2279073
     /* 2279073 */   GIM_Try, /*On fail goto*//*Label 30733*/ GIMT_Encode4(2279117), // Rule ID 52281 //
     /* 2279078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279081 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2279084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2279098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279107 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279116 */     // GIR_Coverage, 52281,
     /* 2279116 */     GIR_EraseRootFromParent_Done,
     /* 2279117 */   // Label 30733: @2279117
     /* 2279117 */   GIM_Reject,
     /* 2279118 */ // Label 30731: @2279118
     /* 2279118 */ GIM_Reject,
     /* 2279119 */ // Label 30628: @2279119
     /* 2279119 */ GIM_Try, /*On fail goto*//*Label 30734*/ GIMT_Encode4(2279326),
     /* 2279124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2279127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2279130 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2279133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2279137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279145 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279149 */   GIM_Try, /*On fail goto*//*Label 30735*/ GIMT_Encode4(2279193), // Rule ID 52322 //
     /* 2279154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279157 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2279157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2279160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2279174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279183 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279192 */     // GIR_Coverage, 52322,
     /* 2279192 */     GIR_EraseRootFromParent_Done,
     /* 2279193 */   // Label 30735: @2279193
     /* 2279193 */   GIM_Try, /*On fail goto*//*Label 30736*/ GIMT_Encode4(2279237), // Rule ID 52323 //
     /* 2279198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279201 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2279201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2279204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2279218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279227 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279236 */     // GIR_Coverage, 52323,
     /* 2279236 */     GIR_EraseRootFromParent_Done,
     /* 2279237 */   // Label 30736: @2279237
     /* 2279237 */   GIM_Try, /*On fail goto*//*Label 30737*/ GIMT_Encode4(2279281), // Rule ID 58144 //
     /* 2279242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279245 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2279245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2279248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2279262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279271 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279280 */     // GIR_Coverage, 58144,
     /* 2279280 */     GIR_EraseRootFromParent_Done,
     /* 2279281 */   // Label 30737: @2279281
     /* 2279281 */   GIM_Try, /*On fail goto*//*Label 30738*/ GIMT_Encode4(2279325), // Rule ID 58145 //
     /* 2279286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279289 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2279289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2279292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2279306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279315 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279324 */     // GIR_Coverage, 58145,
     /* 2279324 */     GIR_EraseRootFromParent_Done,
     /* 2279325 */   // Label 30738: @2279325
     /* 2279325 */   GIM_Reject,
     /* 2279326 */ // Label 30734: @2279326
     /* 2279326 */ GIM_Reject,
     /* 2279327 */ // Label 30629: @2279327
     /* 2279327 */ GIM_Try, /*On fail goto*//*Label 30739*/ GIMT_Encode4(2279534),
     /* 2279332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2279335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2279338 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2279341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2279345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279353 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279357 */   GIM_Try, /*On fail goto*//*Label 30740*/ GIMT_Encode4(2279401), // Rule ID 52346 //
     /* 2279362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279365 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2279365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2279368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2279382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279391 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279400 */     // GIR_Coverage, 52346,
     /* 2279400 */     GIR_EraseRootFromParent_Done,
     /* 2279401 */   // Label 30740: @2279401
     /* 2279401 */   GIM_Try, /*On fail goto*//*Label 30741*/ GIMT_Encode4(2279445), // Rule ID 52347 //
     /* 2279406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279409 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2279409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2279412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2279426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279435 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279444 */     // GIR_Coverage, 52347,
     /* 2279444 */     GIR_EraseRootFromParent_Done,
     /* 2279445 */   // Label 30741: @2279445
     /* 2279445 */   GIM_Try, /*On fail goto*//*Label 30742*/ GIMT_Encode4(2279489), // Rule ID 58184 //
     /* 2279450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279453 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2279453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2279456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2279470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279479 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279488 */     // GIR_Coverage, 58184,
     /* 2279488 */     GIR_EraseRootFromParent_Done,
     /* 2279489 */   // Label 30742: @2279489
     /* 2279489 */   GIM_Try, /*On fail goto*//*Label 30743*/ GIMT_Encode4(2279533), // Rule ID 58185 //
     /* 2279494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279497 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2279497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2279500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2279514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279523 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279532 */     // GIR_Coverage, 58185,
     /* 2279532 */     GIR_EraseRootFromParent_Done,
     /* 2279533 */   // Label 30743: @2279533
     /* 2279533 */   GIM_Reject,
     /* 2279534 */ // Label 30739: @2279534
     /* 2279534 */ GIM_Reject,
     /* 2279535 */ // Label 30630: @2279535
     /* 2279535 */ GIM_Try, /*On fail goto*//*Label 30744*/ GIMT_Encode4(2279742),
     /* 2279540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2279543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2279546 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2279549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2279553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279561 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279565 */   GIM_Try, /*On fail goto*//*Label 30745*/ GIMT_Encode4(2279609), // Rule ID 52370 //
     /* 2279570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279573 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2279573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2279576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2279590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279599 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279608 */     // GIR_Coverage, 52370,
     /* 2279608 */     GIR_EraseRootFromParent_Done,
     /* 2279609 */   // Label 30745: @2279609
     /* 2279609 */   GIM_Try, /*On fail goto*//*Label 30746*/ GIMT_Encode4(2279653), // Rule ID 52371 //
     /* 2279614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279617 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2279617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2279620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2279634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279643 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279652 */     // GIR_Coverage, 52371,
     /* 2279652 */     GIR_EraseRootFromParent_Done,
     /* 2279653 */   // Label 30746: @2279653
     /* 2279653 */   GIM_Try, /*On fail goto*//*Label 30747*/ GIMT_Encode4(2279697), // Rule ID 58224 //
     /* 2279658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279661 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2279661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2279664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2279678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279687 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279696 */     // GIR_Coverage, 58224,
     /* 2279696 */     GIR_EraseRootFromParent_Done,
     /* 2279697 */   // Label 30747: @2279697
     /* 2279697 */   GIM_Try, /*On fail goto*//*Label 30748*/ GIMT_Encode4(2279741), // Rule ID 58225 //
     /* 2279702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279705 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2279705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2279708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2279722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279731 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279740 */     // GIR_Coverage, 58225,
     /* 2279740 */     GIR_EraseRootFromParent_Done,
     /* 2279741 */   // Label 30748: @2279741
     /* 2279741 */   GIM_Reject,
     /* 2279742 */ // Label 30744: @2279742
     /* 2279742 */ GIM_Reject,
     /* 2279743 */ // Label 30631: @2279743
     /* 2279743 */ GIM_Try, /*On fail goto*//*Label 30749*/ GIMT_Encode4(2279862),
     /* 2279748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2279751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2279754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2279757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2279761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279769 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279773 */   GIM_Try, /*On fail goto*//*Label 30750*/ GIMT_Encode4(2279817), // Rule ID 52304 //
     /* 2279778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279781 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2279784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2279798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279807 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279816 */     // GIR_Coverage, 52304,
     /* 2279816 */     GIR_EraseRootFromParent_Done,
     /* 2279817 */   // Label 30750: @2279817
     /* 2279817 */   GIM_Try, /*On fail goto*//*Label 30751*/ GIMT_Encode4(2279861), // Rule ID 52305 //
     /* 2279822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279825 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2279828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2279842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279851 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279860 */     // GIR_Coverage, 52305,
     /* 2279860 */     GIR_EraseRootFromParent_Done,
     /* 2279861 */   // Label 30751: @2279861
     /* 2279861 */   GIM_Reject,
     /* 2279862 */ // Label 30749: @2279862
     /* 2279862 */ GIM_Reject,
     /* 2279863 */ // Label 30632: @2279863
     /* 2279863 */ GIM_Try, /*On fail goto*//*Label 30752*/ GIMT_Encode4(2280070),
     /* 2279868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2279871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2279874 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2279877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2279881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279889 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279893 */   GIM_Try, /*On fail goto*//*Label 30753*/ GIMT_Encode4(2279937), // Rule ID 52328 //
     /* 2279898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279901 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2279901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2279904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2279918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279927 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279936 */     // GIR_Coverage, 52328,
     /* 2279936 */     GIR_EraseRootFromParent_Done,
     /* 2279937 */   // Label 30753: @2279937
     /* 2279937 */   GIM_Try, /*On fail goto*//*Label 30754*/ GIMT_Encode4(2279981), // Rule ID 52329 //
     /* 2279942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279945 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2279945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2279948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2279962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279971 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279980 */     // GIR_Coverage, 52329,
     /* 2279980 */     GIR_EraseRootFromParent_Done,
     /* 2279981 */   // Label 30754: @2279981
     /* 2279981 */   GIM_Try, /*On fail goto*//*Label 30755*/ GIMT_Encode4(2280025), // Rule ID 58154 //
     /* 2279986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279989 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2279989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2279992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2280006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280015 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280024 */     // GIR_Coverage, 58154,
     /* 2280024 */     GIR_EraseRootFromParent_Done,
     /* 2280025 */   // Label 30755: @2280025
     /* 2280025 */   GIM_Try, /*On fail goto*//*Label 30756*/ GIMT_Encode4(2280069), // Rule ID 58155 //
     /* 2280030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280033 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2280033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2280036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2280050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280059 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280068 */     // GIR_Coverage, 58155,
     /* 2280068 */     GIR_EraseRootFromParent_Done,
     /* 2280069 */   // Label 30756: @2280069
     /* 2280069 */   GIM_Reject,
     /* 2280070 */ // Label 30752: @2280070
     /* 2280070 */ GIM_Reject,
     /* 2280071 */ // Label 30633: @2280071
     /* 2280071 */ GIM_Try, /*On fail goto*//*Label 30757*/ GIMT_Encode4(2280278),
     /* 2280076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2280079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2280082 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2280085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2280089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280097 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280101 */   GIM_Try, /*On fail goto*//*Label 30758*/ GIMT_Encode4(2280145), // Rule ID 52352 //
     /* 2280106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280109 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2280109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2280112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2280126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280135 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280144 */     // GIR_Coverage, 52352,
     /* 2280144 */     GIR_EraseRootFromParent_Done,
     /* 2280145 */   // Label 30758: @2280145
     /* 2280145 */   GIM_Try, /*On fail goto*//*Label 30759*/ GIMT_Encode4(2280189), // Rule ID 52353 //
     /* 2280150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280153 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2280153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2280156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2280170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280179 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280188 */     // GIR_Coverage, 52353,
     /* 2280188 */     GIR_EraseRootFromParent_Done,
     /* 2280189 */   // Label 30759: @2280189
     /* 2280189 */   GIM_Try, /*On fail goto*//*Label 30760*/ GIMT_Encode4(2280233), // Rule ID 58194 //
     /* 2280194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280197 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2280197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2280200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2280214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280223 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280232 */     // GIR_Coverage, 58194,
     /* 2280232 */     GIR_EraseRootFromParent_Done,
     /* 2280233 */   // Label 30760: @2280233
     /* 2280233 */   GIM_Try, /*On fail goto*//*Label 30761*/ GIMT_Encode4(2280277), // Rule ID 58195 //
     /* 2280238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280241 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2280241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2280244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2280258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280267 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280276 */     // GIR_Coverage, 58195,
     /* 2280276 */     GIR_EraseRootFromParent_Done,
     /* 2280277 */   // Label 30761: @2280277
     /* 2280277 */   GIM_Reject,
     /* 2280278 */ // Label 30757: @2280278
     /* 2280278 */ GIM_Reject,
     /* 2280279 */ // Label 30634: @2280279
     /* 2280279 */ GIM_Try, /*On fail goto*//*Label 30762*/ GIMT_Encode4(2280398),
     /* 2280284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2280287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2280290 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2280293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2280297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280305 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280309 */   GIM_Try, /*On fail goto*//*Label 30763*/ GIMT_Encode4(2280353), // Rule ID 52310 //
     /* 2280314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280317 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2280320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2280334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280343 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280352 */     // GIR_Coverage, 52310,
     /* 2280352 */     GIR_EraseRootFromParent_Done,
     /* 2280353 */   // Label 30763: @2280353
     /* 2280353 */   GIM_Try, /*On fail goto*//*Label 30764*/ GIMT_Encode4(2280397), // Rule ID 52311 //
     /* 2280358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280361 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2280364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2280378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280387 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280396 */     // GIR_Coverage, 52311,
     /* 2280396 */     GIR_EraseRootFromParent_Done,
     /* 2280397 */   // Label 30764: @2280397
     /* 2280397 */   GIM_Reject,
     /* 2280398 */ // Label 30762: @2280398
     /* 2280398 */ GIM_Reject,
     /* 2280399 */ // Label 30635: @2280399
     /* 2280399 */ GIM_Try, /*On fail goto*//*Label 30765*/ GIMT_Encode4(2280606),
     /* 2280404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2280407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2280410 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2280413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2280417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280425 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280429 */   GIM_Try, /*On fail goto*//*Label 30766*/ GIMT_Encode4(2280473), // Rule ID 52334 //
     /* 2280434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280437 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2280437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2280440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2280454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280463 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280472 */     // GIR_Coverage, 52334,
     /* 2280472 */     GIR_EraseRootFromParent_Done,
     /* 2280473 */   // Label 30766: @2280473
     /* 2280473 */   GIM_Try, /*On fail goto*//*Label 30767*/ GIMT_Encode4(2280517), // Rule ID 52335 //
     /* 2280478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280481 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2280481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2280484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2280498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280507 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280516 */     // GIR_Coverage, 52335,
     /* 2280516 */     GIR_EraseRootFromParent_Done,
     /* 2280517 */   // Label 30767: @2280517
     /* 2280517 */   GIM_Try, /*On fail goto*//*Label 30768*/ GIMT_Encode4(2280561), // Rule ID 58164 //
     /* 2280522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280525 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2280525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2280528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2280542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280551 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280560 */     // GIR_Coverage, 58164,
     /* 2280560 */     GIR_EraseRootFromParent_Done,
     /* 2280561 */   // Label 30768: @2280561
     /* 2280561 */   GIM_Try, /*On fail goto*//*Label 30769*/ GIMT_Encode4(2280605), // Rule ID 58165 //
     /* 2280566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280569 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2280569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2280572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2280586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280595 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280604 */     // GIR_Coverage, 58165,
     /* 2280604 */     GIR_EraseRootFromParent_Done,
     /* 2280605 */   // Label 30769: @2280605
     /* 2280605 */   GIM_Reject,
     /* 2280606 */ // Label 30765: @2280606
     /* 2280606 */ GIM_Reject,
     /* 2280607 */ // Label 30636: @2280607
     /* 2280607 */ GIM_Try, /*On fail goto*//*Label 30770*/ GIMT_Encode4(2280726),
     /* 2280612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /* 2280615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2280618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2280621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2280625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280633 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280637 */   GIM_Try, /*On fail goto*//*Label 30771*/ GIMT_Encode4(2280681), // Rule ID 52316 //
     /* 2280642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280645 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2280648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2280662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280671 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280680 */     // GIR_Coverage, 52316,
     /* 2280680 */     GIR_EraseRootFromParent_Done,
     /* 2280681 */   // Label 30771: @2280681
     /* 2280681 */   GIM_Try, /*On fail goto*//*Label 30772*/ GIMT_Encode4(2280725), // Rule ID 52317 //
     /* 2280686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280689 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2280692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2280706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280715 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280724 */     // GIR_Coverage, 52317,
     /* 2280724 */     GIR_EraseRootFromParent_Done,
     /* 2280725 */   // Label 30772: @2280725
     /* 2280725 */   GIM_Reject,
     /* 2280726 */ // Label 30770: @2280726
     /* 2280726 */ GIM_Reject,
     /* 2280727 */ // Label 30637: @2280727
     /* 2280727 */ GIM_Reject,
     /* 2280728 */ // Label 51: @2280728
     /* 2280728 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30797*/ GIMT_Encode4(2283461),
     /* 2280739 */ /*GILLT_s32*//*Label 30773*/ GIMT_Encode4(2280863),
     /* 2280743 */ /*GILLT_s64*//*Label 30774*/ GIMT_Encode4(2280897), GIMT_Encode4(0),
     /* 2280751 */ /*GILLT_nxv1s8*//*Label 30775*/ GIMT_Encode4(2280931),
     /* 2280755 */ /*GILLT_nxv1s16*//*Label 30776*/ GIMT_Encode4(2281046),
     /* 2280759 */ /*GILLT_nxv1s32*//*Label 30777*/ GIMT_Encode4(2281161),
     /* 2280763 */ /*GILLT_nxv1s64*//*Label 30778*/ GIMT_Encode4(2281276), GIMT_Encode4(0),
     /* 2280771 */ /*GILLT_nxv2s8*//*Label 30779*/ GIMT_Encode4(2281391),
     /* 2280775 */ /*GILLT_nxv2s16*//*Label 30780*/ GIMT_Encode4(2281506),
     /* 2280779 */ /*GILLT_nxv2s32*//*Label 30781*/ GIMT_Encode4(2281621),
     /* 2280783 */ /*GILLT_nxv2s64*//*Label 30782*/ GIMT_Encode4(2281736), GIMT_Encode4(0),
     /* 2280791 */ /*GILLT_nxv4s8*//*Label 30783*/ GIMT_Encode4(2281851),
     /* 2280795 */ /*GILLT_nxv4s16*//*Label 30784*/ GIMT_Encode4(2281966),
     /* 2280799 */ /*GILLT_nxv4s32*//*Label 30785*/ GIMT_Encode4(2282081),
     /* 2280803 */ /*GILLT_nxv4s64*//*Label 30786*/ GIMT_Encode4(2282196), GIMT_Encode4(0),
     /* 2280811 */ /*GILLT_nxv8s8*//*Label 30787*/ GIMT_Encode4(2282311),
     /* 2280815 */ /*GILLT_nxv8s16*//*Label 30788*/ GIMT_Encode4(2282426),
     /* 2280819 */ /*GILLT_nxv8s32*//*Label 30789*/ GIMT_Encode4(2282541),
     /* 2280823 */ /*GILLT_nxv8s64*//*Label 30790*/ GIMT_Encode4(2282656), GIMT_Encode4(0),
     /* 2280831 */ /*GILLT_nxv16s8*//*Label 30791*/ GIMT_Encode4(2282771),
     /* 2280835 */ /*GILLT_nxv16s16*//*Label 30792*/ GIMT_Encode4(2282886),
     /* 2280839 */ /*GILLT_nxv16s32*//*Label 30793*/ GIMT_Encode4(2283001), GIMT_Encode4(0),
     /* 2280847 */ /*GILLT_nxv32s8*//*Label 30794*/ GIMT_Encode4(2283116),
     /* 2280851 */ /*GILLT_nxv32s16*//*Label 30795*/ GIMT_Encode4(2283231), GIMT_Encode4(0),
     /* 2280859 */ /*GILLT_nxv64s8*//*Label 30796*/ GIMT_Encode4(2283346),
     /* 2280863 */ // Label 30773: @2280863
     /* 2280863 */ GIM_Try, /*On fail goto*//*Label 30798*/ GIMT_Encode4(2280896), // Rule ID 306 //
     /* 2280868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2280871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2280877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2280881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2280885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2280889 */   // (mulhu:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2280889 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2280894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2280895 */   // GIR_Coverage, 306,
     /* 2280895 */   GIR_Done,
     /* 2280896 */ // Label 30798: @2280896
     /* 2280896 */ GIM_Reject,
     /* 2280897 */ // Label 30774: @2280897
     /* 2280897 */ GIM_Try, /*On fail goto*//*Label 30799*/ GIMT_Encode4(2280930), // Rule ID 305 //
     /* 2280902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2280905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2280908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2280911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2280915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2280919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2280923 */   // (mulhu:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2280923 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2280928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2280929 */   // GIR_Coverage, 305,
     /* 2280929 */   GIR_Done,
     /* 2280930 */ // Label 30799: @2280930
     /* 2280930 */ GIM_Reject,
     /* 2280931 */ // Label 30775: @2280931
     /* 2280931 */ GIM_Try, /*On fail goto*//*Label 30800*/ GIMT_Encode4(2281045),
     /* 2280936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2280939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2280942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280954 */   GIM_Try, /*On fail goto*//*Label 30801*/ GIMT_Encode4(2280999), // Rule ID 51020 //
     /* 2280959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280962 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2280965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2280979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280998 */     // GIR_Coverage, 51020,
     /* 2280998 */     GIR_EraseRootFromParent_Done,
     /* 2280999 */   // Label 30801: @2280999
     /* 2280999 */   GIM_Try, /*On fail goto*//*Label 30802*/ GIMT_Encode4(2281044), // Rule ID 51021 //
     /* 2281004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281007 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2281010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2281024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281043 */     // GIR_Coverage, 51021,
     /* 2281043 */     GIR_EraseRootFromParent_Done,
     /* 2281044 */   // Label 30802: @2281044
     /* 2281044 */   GIM_Reject,
     /* 2281045 */ // Label 30800: @2281045
     /* 2281045 */ GIM_Reject,
     /* 2281046 */ // Label 30776: @2281046
     /* 2281046 */ GIM_Try, /*On fail goto*//*Label 30803*/ GIMT_Encode4(2281160),
     /* 2281051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2281054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2281057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281069 */   GIM_Try, /*On fail goto*//*Label 30804*/ GIMT_Encode4(2281114), // Rule ID 51032 //
     /* 2281074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281077 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2281094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281113 */     // GIR_Coverage, 51032,
     /* 2281113 */     GIR_EraseRootFromParent_Done,
     /* 2281114 */   // Label 30804: @2281114
     /* 2281114 */   GIM_Try, /*On fail goto*//*Label 30805*/ GIMT_Encode4(2281159), // Rule ID 51033 //
     /* 2281119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281122 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2281139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281158 */     // GIR_Coverage, 51033,
     /* 2281158 */     GIR_EraseRootFromParent_Done,
     /* 2281159 */   // Label 30805: @2281159
     /* 2281159 */   GIM_Reject,
     /* 2281160 */ // Label 30803: @2281160
     /* 2281160 */ GIM_Reject,
     /* 2281161 */ // Label 30777: @2281161
     /* 2281161 */ GIM_Try, /*On fail goto*//*Label 30806*/ GIMT_Encode4(2281275),
     /* 2281166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2281169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2281172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281184 */   GIM_Try, /*On fail goto*//*Label 30807*/ GIMT_Encode4(2281229), // Rule ID 51040 //
     /* 2281189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281192 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2281195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2281209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281228 */     // GIR_Coverage, 51040,
     /* 2281228 */     GIR_EraseRootFromParent_Done,
     /* 2281229 */   // Label 30807: @2281229
     /* 2281229 */   GIM_Try, /*On fail goto*//*Label 30808*/ GIMT_Encode4(2281274), // Rule ID 51041 //
     /* 2281234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281237 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2281240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2281254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281273 */     // GIR_Coverage, 51041,
     /* 2281273 */     GIR_EraseRootFromParent_Done,
     /* 2281274 */   // Label 30808: @2281274
     /* 2281274 */   GIM_Reject,
     /* 2281275 */ // Label 30806: @2281275
     /* 2281275 */ GIM_Reject,
     /* 2281276 */ // Label 30778: @2281276
     /* 2281276 */ GIM_Try, /*On fail goto*//*Label 30809*/ GIMT_Encode4(2281390),
     /* 2281281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2281284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2281287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281299 */   GIM_Try, /*On fail goto*//*Label 30810*/ GIMT_Encode4(2281344), // Rule ID 51108 //
     /* 2281304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2281307 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2281310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2281324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281343 */     // GIR_Coverage, 51108,
     /* 2281343 */     GIR_EraseRootFromParent_Done,
     /* 2281344 */   // Label 30810: @2281344
     /* 2281344 */   GIM_Try, /*On fail goto*//*Label 30811*/ GIMT_Encode4(2281389), // Rule ID 51109 //
     /* 2281349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2281352 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2281355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2281369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281388 */     // GIR_Coverage, 51109,
     /* 2281388 */     GIR_EraseRootFromParent_Done,
     /* 2281389 */   // Label 30811: @2281389
     /* 2281389 */   GIM_Reject,
     /* 2281390 */ // Label 30809: @2281390
     /* 2281390 */ GIM_Reject,
     /* 2281391 */ // Label 30779: @2281391
     /* 2281391 */ GIM_Try, /*On fail goto*//*Label 30812*/ GIMT_Encode4(2281505),
     /* 2281396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2281399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2281402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281414 */   GIM_Try, /*On fail goto*//*Label 30813*/ GIMT_Encode4(2281459), // Rule ID 51024 //
     /* 2281419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281422 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2281425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2281439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281458 */     // GIR_Coverage, 51024,
     /* 2281458 */     GIR_EraseRootFromParent_Done,
     /* 2281459 */   // Label 30813: @2281459
     /* 2281459 */   GIM_Try, /*On fail goto*//*Label 30814*/ GIMT_Encode4(2281504), // Rule ID 51025 //
     /* 2281464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281467 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2281470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2281484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281503 */     // GIR_Coverage, 51025,
     /* 2281503 */     GIR_EraseRootFromParent_Done,
     /* 2281504 */   // Label 30814: @2281504
     /* 2281504 */   GIM_Reject,
     /* 2281505 */ // Label 30812: @2281505
     /* 2281505 */ GIM_Reject,
     /* 2281506 */ // Label 30780: @2281506
     /* 2281506 */ GIM_Try, /*On fail goto*//*Label 30815*/ GIMT_Encode4(2281620),
     /* 2281511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2281514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2281517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281529 */   GIM_Try, /*On fail goto*//*Label 30816*/ GIMT_Encode4(2281574), // Rule ID 51036 //
     /* 2281534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281537 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2281540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2281554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281573 */     // GIR_Coverage, 51036,
     /* 2281573 */     GIR_EraseRootFromParent_Done,
     /* 2281574 */   // Label 30816: @2281574
     /* 2281574 */   GIM_Try, /*On fail goto*//*Label 30817*/ GIMT_Encode4(2281619), // Rule ID 51037 //
     /* 2281579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281582 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2281585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2281599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281618 */     // GIR_Coverage, 51037,
     /* 2281618 */     GIR_EraseRootFromParent_Done,
     /* 2281619 */   // Label 30817: @2281619
     /* 2281619 */   GIM_Reject,
     /* 2281620 */ // Label 30815: @2281620
     /* 2281620 */ GIM_Reject,
     /* 2281621 */ // Label 30781: @2281621
     /* 2281621 */ GIM_Try, /*On fail goto*//*Label 30818*/ GIMT_Encode4(2281735),
     /* 2281626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2281629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2281632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281644 */   GIM_Try, /*On fail goto*//*Label 30819*/ GIMT_Encode4(2281689), // Rule ID 51052 //
     /* 2281649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281652 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2281655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2281669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281688 */     // GIR_Coverage, 51052,
     /* 2281688 */     GIR_EraseRootFromParent_Done,
     /* 2281689 */   // Label 30819: @2281689
     /* 2281689 */   GIM_Try, /*On fail goto*//*Label 30820*/ GIMT_Encode4(2281734), // Rule ID 51053 //
     /* 2281694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281697 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2281700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2281714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281733 */     // GIR_Coverage, 51053,
     /* 2281733 */     GIR_EraseRootFromParent_Done,
     /* 2281734 */   // Label 30820: @2281734
     /* 2281734 */   GIM_Reject,
     /* 2281735 */ // Label 30818: @2281735
     /* 2281735 */ GIM_Reject,
     /* 2281736 */ // Label 30782: @2281736
     /* 2281736 */ GIM_Try, /*On fail goto*//*Label 30821*/ GIMT_Encode4(2281850),
     /* 2281741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2281744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2281747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281759 */   GIM_Try, /*On fail goto*//*Label 30822*/ GIMT_Encode4(2281804), // Rule ID 51112 //
     /* 2281764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2281767 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2281770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2281784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281803 */     // GIR_Coverage, 51112,
     /* 2281803 */     GIR_EraseRootFromParent_Done,
     /* 2281804 */   // Label 30822: @2281804
     /* 2281804 */   GIM_Try, /*On fail goto*//*Label 30823*/ GIMT_Encode4(2281849), // Rule ID 51113 //
     /* 2281809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2281812 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2281815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2281829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281848 */     // GIR_Coverage, 51113,
     /* 2281848 */     GIR_EraseRootFromParent_Done,
     /* 2281849 */   // Label 30823: @2281849
     /* 2281849 */   GIM_Reject,
     /* 2281850 */ // Label 30821: @2281850
     /* 2281850 */ GIM_Reject,
     /* 2281851 */ // Label 30783: @2281851
     /* 2281851 */ GIM_Try, /*On fail goto*//*Label 30824*/ GIMT_Encode4(2281965),
     /* 2281856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2281859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2281862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281874 */   GIM_Try, /*On fail goto*//*Label 30825*/ GIMT_Encode4(2281919), // Rule ID 51028 //
     /* 2281879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281882 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2281885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2281899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281918 */     // GIR_Coverage, 51028,
     /* 2281918 */     GIR_EraseRootFromParent_Done,
     /* 2281919 */   // Label 30825: @2281919
     /* 2281919 */   GIM_Try, /*On fail goto*//*Label 30826*/ GIMT_Encode4(2281964), // Rule ID 51029 //
     /* 2281924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281927 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2281930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2281944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281963 */     // GIR_Coverage, 51029,
     /* 2281963 */     GIR_EraseRootFromParent_Done,
     /* 2281964 */   // Label 30826: @2281964
     /* 2281964 */   GIM_Reject,
     /* 2281965 */ // Label 30824: @2281965
     /* 2281965 */ GIM_Reject,
     /* 2281966 */ // Label 30784: @2281966
     /* 2281966 */ GIM_Try, /*On fail goto*//*Label 30827*/ GIMT_Encode4(2282080),
     /* 2281971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2281974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2281977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281989 */   GIM_Try, /*On fail goto*//*Label 30828*/ GIMT_Encode4(2282034), // Rule ID 51048 //
     /* 2281994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281997 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2282000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2282014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282033 */     // GIR_Coverage, 51048,
     /* 2282033 */     GIR_EraseRootFromParent_Done,
     /* 2282034 */   // Label 30828: @2282034
     /* 2282034 */   GIM_Try, /*On fail goto*//*Label 30829*/ GIMT_Encode4(2282079), // Rule ID 51049 //
     /* 2282039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282042 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2282045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2282059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282078 */     // GIR_Coverage, 51049,
     /* 2282078 */     GIR_EraseRootFromParent_Done,
     /* 2282079 */   // Label 30829: @2282079
     /* 2282079 */   GIM_Reject,
     /* 2282080 */ // Label 30827: @2282080
     /* 2282080 */ GIM_Reject,
     /* 2282081 */ // Label 30785: @2282081
     /* 2282081 */ GIM_Try, /*On fail goto*//*Label 30830*/ GIMT_Encode4(2282195),
     /* 2282086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2282089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2282092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282104 */   GIM_Try, /*On fail goto*//*Label 30831*/ GIMT_Encode4(2282149), // Rule ID 51080 //
     /* 2282109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282112 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2282115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2282129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282148 */     // GIR_Coverage, 51080,
     /* 2282148 */     GIR_EraseRootFromParent_Done,
     /* 2282149 */   // Label 30831: @2282149
     /* 2282149 */   GIM_Try, /*On fail goto*//*Label 30832*/ GIMT_Encode4(2282194), // Rule ID 51081 //
     /* 2282154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282157 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2282160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2282174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282193 */     // GIR_Coverage, 51081,
     /* 2282193 */     GIR_EraseRootFromParent_Done,
     /* 2282194 */   // Label 30832: @2282194
     /* 2282194 */   GIM_Reject,
     /* 2282195 */ // Label 30830: @2282195
     /* 2282195 */ GIM_Reject,
     /* 2282196 */ // Label 30786: @2282196
     /* 2282196 */ GIM_Try, /*On fail goto*//*Label 30833*/ GIMT_Encode4(2282310),
     /* 2282201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2282204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2282207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282219 */   GIM_Try, /*On fail goto*//*Label 30834*/ GIMT_Encode4(2282264), // Rule ID 51116 //
     /* 2282224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2282227 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2282244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282263 */     // GIR_Coverage, 51116,
     /* 2282263 */     GIR_EraseRootFromParent_Done,
     /* 2282264 */   // Label 30834: @2282264
     /* 2282264 */   GIM_Try, /*On fail goto*//*Label 30835*/ GIMT_Encode4(2282309), // Rule ID 51117 //
     /* 2282269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2282272 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2282289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282308 */     // GIR_Coverage, 51117,
     /* 2282308 */     GIR_EraseRootFromParent_Done,
     /* 2282309 */   // Label 30835: @2282309
     /* 2282309 */   GIM_Reject,
     /* 2282310 */ // Label 30833: @2282310
     /* 2282310 */ GIM_Reject,
     /* 2282311 */ // Label 30787: @2282311
     /* 2282311 */ GIM_Try, /*On fail goto*//*Label 30836*/ GIMT_Encode4(2282425),
     /* 2282316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2282319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2282322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282334 */   GIM_Try, /*On fail goto*//*Label 30837*/ GIMT_Encode4(2282379), // Rule ID 51044 //
     /* 2282339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282342 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2282345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2282359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282378 */     // GIR_Coverage, 51044,
     /* 2282378 */     GIR_EraseRootFromParent_Done,
     /* 2282379 */   // Label 30837: @2282379
     /* 2282379 */   GIM_Try, /*On fail goto*//*Label 30838*/ GIMT_Encode4(2282424), // Rule ID 51045 //
     /* 2282384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282387 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2282390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2282404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282423 */     // GIR_Coverage, 51045,
     /* 2282423 */     GIR_EraseRootFromParent_Done,
     /* 2282424 */   // Label 30838: @2282424
     /* 2282424 */   GIM_Reject,
     /* 2282425 */ // Label 30836: @2282425
     /* 2282425 */ GIM_Reject,
     /* 2282426 */ // Label 30788: @2282426
     /* 2282426 */ GIM_Try, /*On fail goto*//*Label 30839*/ GIMT_Encode4(2282540),
     /* 2282431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2282434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2282437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282449 */   GIM_Try, /*On fail goto*//*Label 30840*/ GIMT_Encode4(2282494), // Rule ID 51068 //
     /* 2282454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282457 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2282460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2282474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282493 */     // GIR_Coverage, 51068,
     /* 2282493 */     GIR_EraseRootFromParent_Done,
     /* 2282494 */   // Label 30840: @2282494
     /* 2282494 */   GIM_Try, /*On fail goto*//*Label 30841*/ GIMT_Encode4(2282539), // Rule ID 51069 //
     /* 2282499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282502 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2282505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2282519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282538 */     // GIR_Coverage, 51069,
     /* 2282538 */     GIR_EraseRootFromParent_Done,
     /* 2282539 */   // Label 30841: @2282539
     /* 2282539 */   GIM_Reject,
     /* 2282540 */ // Label 30839: @2282540
     /* 2282540 */ GIM_Reject,
     /* 2282541 */ // Label 30789: @2282541
     /* 2282541 */ GIM_Try, /*On fail goto*//*Label 30842*/ GIMT_Encode4(2282655),
     /* 2282546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2282549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2282552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282564 */   GIM_Try, /*On fail goto*//*Label 30843*/ GIMT_Encode4(2282609), // Rule ID 51084 //
     /* 2282569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282572 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2282575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2282589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282608 */     // GIR_Coverage, 51084,
     /* 2282608 */     GIR_EraseRootFromParent_Done,
     /* 2282609 */   // Label 30843: @2282609
     /* 2282609 */   GIM_Try, /*On fail goto*//*Label 30844*/ GIMT_Encode4(2282654), // Rule ID 51085 //
     /* 2282614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282617 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2282620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2282634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282653 */     // GIR_Coverage, 51085,
     /* 2282653 */     GIR_EraseRootFromParent_Done,
     /* 2282654 */   // Label 30844: @2282654
     /* 2282654 */   GIM_Reject,
     /* 2282655 */ // Label 30842: @2282655
     /* 2282655 */ GIM_Reject,
     /* 2282656 */ // Label 30790: @2282656
     /* 2282656 */ GIM_Try, /*On fail goto*//*Label 30845*/ GIMT_Encode4(2282770),
     /* 2282661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2282664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2282667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282679 */   GIM_Try, /*On fail goto*//*Label 30846*/ GIMT_Encode4(2282724), // Rule ID 51120 //
     /* 2282684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2282687 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2282690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2282704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282723 */     // GIR_Coverage, 51120,
     /* 2282723 */     GIR_EraseRootFromParent_Done,
     /* 2282724 */   // Label 30846: @2282724
     /* 2282724 */   GIM_Try, /*On fail goto*//*Label 30847*/ GIMT_Encode4(2282769), // Rule ID 51121 //
     /* 2282729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2282732 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2282735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2282749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282768 */     // GIR_Coverage, 51121,
     /* 2282768 */     GIR_EraseRootFromParent_Done,
     /* 2282769 */   // Label 30847: @2282769
     /* 2282769 */   GIM_Reject,
     /* 2282770 */ // Label 30845: @2282770
     /* 2282770 */ GIM_Reject,
     /* 2282771 */ // Label 30791: @2282771
     /* 2282771 */ GIM_Try, /*On fail goto*//*Label 30848*/ GIMT_Encode4(2282885),
     /* 2282776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2282779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2282782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282794 */   GIM_Try, /*On fail goto*//*Label 30849*/ GIMT_Encode4(2282839), // Rule ID 51056 //
     /* 2282799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282802 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2282805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2282819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282838 */     // GIR_Coverage, 51056,
     /* 2282838 */     GIR_EraseRootFromParent_Done,
     /* 2282839 */   // Label 30849: @2282839
     /* 2282839 */   GIM_Try, /*On fail goto*//*Label 30850*/ GIMT_Encode4(2282884), // Rule ID 51057 //
     /* 2282844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282847 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2282850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2282864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282883 */     // GIR_Coverage, 51057,
     /* 2282883 */     GIR_EraseRootFromParent_Done,
     /* 2282884 */   // Label 30850: @2282884
     /* 2282884 */   GIM_Reject,
     /* 2282885 */ // Label 30848: @2282885
     /* 2282885 */ GIM_Reject,
     /* 2282886 */ // Label 30792: @2282886
     /* 2282886 */ GIM_Try, /*On fail goto*//*Label 30851*/ GIMT_Encode4(2283000),
     /* 2282891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2282894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2282897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282909 */   GIM_Try, /*On fail goto*//*Label 30852*/ GIMT_Encode4(2282954), // Rule ID 51072 //
     /* 2282914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282917 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2282920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2282934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282953 */     // GIR_Coverage, 51072,
     /* 2282953 */     GIR_EraseRootFromParent_Done,
     /* 2282954 */   // Label 30852: @2282954
     /* 2282954 */   GIM_Try, /*On fail goto*//*Label 30853*/ GIMT_Encode4(2282999), // Rule ID 51073 //
     /* 2282959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282962 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2282965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2282979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282998 */     // GIR_Coverage, 51073,
     /* 2282998 */     GIR_EraseRootFromParent_Done,
     /* 2282999 */   // Label 30853: @2282999
     /* 2282999 */   GIM_Reject,
     /* 2283000 */ // Label 30851: @2283000
     /* 2283000 */ GIM_Reject,
     /* 2283001 */ // Label 30793: @2283001
     /* 2283001 */ GIM_Try, /*On fail goto*//*Label 30854*/ GIMT_Encode4(2283115),
     /* 2283006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2283009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2283012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283024 */   GIM_Try, /*On fail goto*//*Label 30855*/ GIMT_Encode4(2283069), // Rule ID 51088 //
     /* 2283029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283032 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2283035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2283049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283068 */     // GIR_Coverage, 51088,
     /* 2283068 */     GIR_EraseRootFromParent_Done,
     /* 2283069 */   // Label 30855: @2283069
     /* 2283069 */   GIM_Try, /*On fail goto*//*Label 30856*/ GIMT_Encode4(2283114), // Rule ID 51089 //
     /* 2283074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283077 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2283080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2283094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283113 */     // GIR_Coverage, 51089,
     /* 2283113 */     GIR_EraseRootFromParent_Done,
     /* 2283114 */   // Label 30856: @2283114
     /* 2283114 */   GIM_Reject,
     /* 2283115 */ // Label 30854: @2283115
     /* 2283115 */ GIM_Reject,
     /* 2283116 */ // Label 30794: @2283116
     /* 2283116 */ GIM_Try, /*On fail goto*//*Label 30857*/ GIMT_Encode4(2283230),
     /* 2283121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2283124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2283127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283139 */   GIM_Try, /*On fail goto*//*Label 30858*/ GIMT_Encode4(2283184), // Rule ID 51060 //
     /* 2283144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283147 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2283150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2283164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283183 */     // GIR_Coverage, 51060,
     /* 2283183 */     GIR_EraseRootFromParent_Done,
     /* 2283184 */   // Label 30858: @2283184
     /* 2283184 */   GIM_Try, /*On fail goto*//*Label 30859*/ GIMT_Encode4(2283229), // Rule ID 51061 //
     /* 2283189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283192 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2283195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2283209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283228 */     // GIR_Coverage, 51061,
     /* 2283228 */     GIR_EraseRootFromParent_Done,
     /* 2283229 */   // Label 30859: @2283229
     /* 2283229 */   GIM_Reject,
     /* 2283230 */ // Label 30857: @2283230
     /* 2283230 */ GIM_Reject,
     /* 2283231 */ // Label 30795: @2283231
     /* 2283231 */ GIM_Try, /*On fail goto*//*Label 30860*/ GIMT_Encode4(2283345),
     /* 2283236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2283239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2283242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283254 */   GIM_Try, /*On fail goto*//*Label 30861*/ GIMT_Encode4(2283299), // Rule ID 51076 //
     /* 2283259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283262 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2283265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2283279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283298 */     // GIR_Coverage, 51076,
     /* 2283298 */     GIR_EraseRootFromParent_Done,
     /* 2283299 */   // Label 30861: @2283299
     /* 2283299 */   GIM_Try, /*On fail goto*//*Label 30862*/ GIMT_Encode4(2283344), // Rule ID 51077 //
     /* 2283304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283307 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2283310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2283324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283343 */     // GIR_Coverage, 51077,
     /* 2283343 */     GIR_EraseRootFromParent_Done,
     /* 2283344 */   // Label 30862: @2283344
     /* 2283344 */   GIM_Reject,
     /* 2283345 */ // Label 30860: @2283345
     /* 2283345 */ GIM_Reject,
     /* 2283346 */ // Label 30796: @2283346
     /* 2283346 */ GIM_Try, /*On fail goto*//*Label 30863*/ GIMT_Encode4(2283460),
     /* 2283351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2283354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2283357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283369 */   GIM_Try, /*On fail goto*//*Label 30864*/ GIMT_Encode4(2283414), // Rule ID 51064 //
     /* 2283374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283377 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2283380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2283394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283413 */     // GIR_Coverage, 51064,
     /* 2283413 */     GIR_EraseRootFromParent_Done,
     /* 2283414 */   // Label 30864: @2283414
     /* 2283414 */   GIM_Try, /*On fail goto*//*Label 30865*/ GIMT_Encode4(2283459), // Rule ID 51065 //
     /* 2283419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283422 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2283425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2283439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283458 */     // GIR_Coverage, 51065,
     /* 2283458 */     GIR_EraseRootFromParent_Done,
     /* 2283459 */   // Label 30865: @2283459
     /* 2283459 */   GIM_Reject,
     /* 2283460 */ // Label 30863: @2283460
     /* 2283460 */ GIM_Reject,
     /* 2283461 */ // Label 30797: @2283461
     /* 2283461 */ GIM_Reject,
     /* 2283462 */ // Label 52: @2283462
     /* 2283462 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30890*/ GIMT_Encode4(2286195),
     /* 2283473 */ /*GILLT_s32*//*Label 30866*/ GIMT_Encode4(2283597),
     /* 2283477 */ /*GILLT_s64*//*Label 30867*/ GIMT_Encode4(2283631), GIMT_Encode4(0),
     /* 2283485 */ /*GILLT_nxv1s8*//*Label 30868*/ GIMT_Encode4(2283665),
     /* 2283489 */ /*GILLT_nxv1s16*//*Label 30869*/ GIMT_Encode4(2283780),
     /* 2283493 */ /*GILLT_nxv1s32*//*Label 30870*/ GIMT_Encode4(2283895),
     /* 2283497 */ /*GILLT_nxv1s64*//*Label 30871*/ GIMT_Encode4(2284010), GIMT_Encode4(0),
     /* 2283505 */ /*GILLT_nxv2s8*//*Label 30872*/ GIMT_Encode4(2284125),
     /* 2283509 */ /*GILLT_nxv2s16*//*Label 30873*/ GIMT_Encode4(2284240),
     /* 2283513 */ /*GILLT_nxv2s32*//*Label 30874*/ GIMT_Encode4(2284355),
     /* 2283517 */ /*GILLT_nxv2s64*//*Label 30875*/ GIMT_Encode4(2284470), GIMT_Encode4(0),
     /* 2283525 */ /*GILLT_nxv4s8*//*Label 30876*/ GIMT_Encode4(2284585),
     /* 2283529 */ /*GILLT_nxv4s16*//*Label 30877*/ GIMT_Encode4(2284700),
     /* 2283533 */ /*GILLT_nxv4s32*//*Label 30878*/ GIMT_Encode4(2284815),
     /* 2283537 */ /*GILLT_nxv4s64*//*Label 30879*/ GIMT_Encode4(2284930), GIMT_Encode4(0),
     /* 2283545 */ /*GILLT_nxv8s8*//*Label 30880*/ GIMT_Encode4(2285045),
     /* 2283549 */ /*GILLT_nxv8s16*//*Label 30881*/ GIMT_Encode4(2285160),
     /* 2283553 */ /*GILLT_nxv8s32*//*Label 30882*/ GIMT_Encode4(2285275),
     /* 2283557 */ /*GILLT_nxv8s64*//*Label 30883*/ GIMT_Encode4(2285390), GIMT_Encode4(0),
     /* 2283565 */ /*GILLT_nxv16s8*//*Label 30884*/ GIMT_Encode4(2285505),
     /* 2283569 */ /*GILLT_nxv16s16*//*Label 30885*/ GIMT_Encode4(2285620),
     /* 2283573 */ /*GILLT_nxv16s32*//*Label 30886*/ GIMT_Encode4(2285735), GIMT_Encode4(0),
     /* 2283581 */ /*GILLT_nxv32s8*//*Label 30887*/ GIMT_Encode4(2285850),
     /* 2283585 */ /*GILLT_nxv32s16*//*Label 30888*/ GIMT_Encode4(2285965), GIMT_Encode4(0),
     /* 2283593 */ /*GILLT_nxv64s8*//*Label 30889*/ GIMT_Encode4(2286080),
     /* 2283597 */ // Label 30866: @2283597
     /* 2283597 */ GIM_Try, /*On fail goto*//*Label 30891*/ GIMT_Encode4(2283630), // Rule ID 304 //
     /* 2283602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2283605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2283611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283623 */   // (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2283623 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2283628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2283629 */   // GIR_Coverage, 304,
     /* 2283629 */   GIR_Done,
     /* 2283630 */ // Label 30891: @2283630
     /* 2283630 */ GIM_Reject,
     /* 2283631 */ // Label 30867: @2283631
     /* 2283631 */ GIM_Try, /*On fail goto*//*Label 30892*/ GIMT_Encode4(2283664), // Rule ID 303 //
     /* 2283636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2283639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2283642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2283645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283657 */   // (mulhs:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2283657 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2283662 */   GIR_RootConstrainSelectedInstOperands,
     /* 2283663 */   // GIR_Coverage, 303,
     /* 2283663 */   GIR_Done,
     /* 2283664 */ // Label 30892: @2283664
     /* 2283664 */ GIM_Reject,
     /* 2283665 */ // Label 30868: @2283665
     /* 2283665 */ GIM_Try, /*On fail goto*//*Label 30893*/ GIMT_Encode4(2283779),
     /* 2283670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2283673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2283676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283688 */   GIM_Try, /*On fail goto*//*Label 30894*/ GIMT_Encode4(2283733), // Rule ID 50948 //
     /* 2283693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283696 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2283699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2283713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283732 */     // GIR_Coverage, 50948,
     /* 2283732 */     GIR_EraseRootFromParent_Done,
     /* 2283733 */   // Label 30894: @2283733
     /* 2283733 */   GIM_Try, /*On fail goto*//*Label 30895*/ GIMT_Encode4(2283778), // Rule ID 50949 //
     /* 2283738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283741 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2283744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2283758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283777 */     // GIR_Coverage, 50949,
     /* 2283777 */     GIR_EraseRootFromParent_Done,
     /* 2283778 */   // Label 30895: @2283778
     /* 2283778 */   GIM_Reject,
     /* 2283779 */ // Label 30893: @2283779
     /* 2283779 */ GIM_Reject,
     /* 2283780 */ // Label 30869: @2283780
     /* 2283780 */ GIM_Try, /*On fail goto*//*Label 30896*/ GIMT_Encode4(2283894),
     /* 2283785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2283788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2283791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283803 */   GIM_Try, /*On fail goto*//*Label 30897*/ GIMT_Encode4(2283848), // Rule ID 50960 //
     /* 2283808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283811 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2283814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2283828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283847 */     // GIR_Coverage, 50960,
     /* 2283847 */     GIR_EraseRootFromParent_Done,
     /* 2283848 */   // Label 30897: @2283848
     /* 2283848 */   GIM_Try, /*On fail goto*//*Label 30898*/ GIMT_Encode4(2283893), // Rule ID 50961 //
     /* 2283853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283856 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2283859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2283873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283892 */     // GIR_Coverage, 50961,
     /* 2283892 */     GIR_EraseRootFromParent_Done,
     /* 2283893 */   // Label 30898: @2283893
     /* 2283893 */   GIM_Reject,
     /* 2283894 */ // Label 30896: @2283894
     /* 2283894 */ GIM_Reject,
     /* 2283895 */ // Label 30870: @2283895
     /* 2283895 */ GIM_Try, /*On fail goto*//*Label 30899*/ GIMT_Encode4(2284009),
     /* 2283900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2283906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283918 */   GIM_Try, /*On fail goto*//*Label 30900*/ GIMT_Encode4(2283963), // Rule ID 50968 //
     /* 2283923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283926 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2283929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2283943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283962 */     // GIR_Coverage, 50968,
     /* 2283962 */     GIR_EraseRootFromParent_Done,
     /* 2283963 */   // Label 30900: @2283963
     /* 2283963 */   GIM_Try, /*On fail goto*//*Label 30901*/ GIMT_Encode4(2284008), // Rule ID 50969 //
     /* 2283968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283971 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2283974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2283988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284007 */     // GIR_Coverage, 50969,
     /* 2284007 */     GIR_EraseRootFromParent_Done,
     /* 2284008 */   // Label 30901: @2284008
     /* 2284008 */   GIM_Reject,
     /* 2284009 */ // Label 30899: @2284009
     /* 2284009 */ GIM_Reject,
     /* 2284010 */ // Label 30871: @2284010
     /* 2284010 */ GIM_Try, /*On fail goto*//*Label 30902*/ GIMT_Encode4(2284124),
     /* 2284015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2284021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284033 */   GIM_Try, /*On fail goto*//*Label 30903*/ GIMT_Encode4(2284078), // Rule ID 51092 //
     /* 2284038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2284041 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2284044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2284058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284077 */     // GIR_Coverage, 51092,
     /* 2284077 */     GIR_EraseRootFromParent_Done,
     /* 2284078 */   // Label 30903: @2284078
     /* 2284078 */   GIM_Try, /*On fail goto*//*Label 30904*/ GIMT_Encode4(2284123), // Rule ID 51093 //
     /* 2284083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2284086 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2284089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2284103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284122 */     // GIR_Coverage, 51093,
     /* 2284122 */     GIR_EraseRootFromParent_Done,
     /* 2284123 */   // Label 30904: @2284123
     /* 2284123 */   GIM_Reject,
     /* 2284124 */ // Label 30902: @2284124
     /* 2284124 */ GIM_Reject,
     /* 2284125 */ // Label 30872: @2284125
     /* 2284125 */ GIM_Try, /*On fail goto*//*Label 30905*/ GIMT_Encode4(2284239),
     /* 2284130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2284133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2284136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284148 */   GIM_Try, /*On fail goto*//*Label 30906*/ GIMT_Encode4(2284193), // Rule ID 50952 //
     /* 2284153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284156 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2284159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2284173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284192 */     // GIR_Coverage, 50952,
     /* 2284192 */     GIR_EraseRootFromParent_Done,
     /* 2284193 */   // Label 30906: @2284193
     /* 2284193 */   GIM_Try, /*On fail goto*//*Label 30907*/ GIMT_Encode4(2284238), // Rule ID 50953 //
     /* 2284198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284201 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2284204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2284218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284237 */     // GIR_Coverage, 50953,
     /* 2284237 */     GIR_EraseRootFromParent_Done,
     /* 2284238 */   // Label 30907: @2284238
     /* 2284238 */   GIM_Reject,
     /* 2284239 */ // Label 30905: @2284239
     /* 2284239 */ GIM_Reject,
     /* 2284240 */ // Label 30873: @2284240
     /* 2284240 */ GIM_Try, /*On fail goto*//*Label 30908*/ GIMT_Encode4(2284354),
     /* 2284245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2284248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2284251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284263 */   GIM_Try, /*On fail goto*//*Label 30909*/ GIMT_Encode4(2284308), // Rule ID 50964 //
     /* 2284268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284271 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2284274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2284288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284307 */     // GIR_Coverage, 50964,
     /* 2284307 */     GIR_EraseRootFromParent_Done,
     /* 2284308 */   // Label 30909: @2284308
     /* 2284308 */   GIM_Try, /*On fail goto*//*Label 30910*/ GIMT_Encode4(2284353), // Rule ID 50965 //
     /* 2284313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284316 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2284319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2284333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284352 */     // GIR_Coverage, 50965,
     /* 2284352 */     GIR_EraseRootFromParent_Done,
     /* 2284353 */   // Label 30910: @2284353
     /* 2284353 */   GIM_Reject,
     /* 2284354 */ // Label 30908: @2284354
     /* 2284354 */ GIM_Reject,
     /* 2284355 */ // Label 30874: @2284355
     /* 2284355 */ GIM_Try, /*On fail goto*//*Label 30911*/ GIMT_Encode4(2284469),
     /* 2284360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2284363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2284366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284378 */   GIM_Try, /*On fail goto*//*Label 30912*/ GIMT_Encode4(2284423), // Rule ID 50980 //
     /* 2284383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284386 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2284389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2284403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284422 */     // GIR_Coverage, 50980,
     /* 2284422 */     GIR_EraseRootFromParent_Done,
     /* 2284423 */   // Label 30912: @2284423
     /* 2284423 */   GIM_Try, /*On fail goto*//*Label 30913*/ GIMT_Encode4(2284468), // Rule ID 50981 //
     /* 2284428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284431 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2284434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2284448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284467 */     // GIR_Coverage, 50981,
     /* 2284467 */     GIR_EraseRootFromParent_Done,
     /* 2284468 */   // Label 30913: @2284468
     /* 2284468 */   GIM_Reject,
     /* 2284469 */ // Label 30911: @2284469
     /* 2284469 */ GIM_Reject,
     /* 2284470 */ // Label 30875: @2284470
     /* 2284470 */ GIM_Try, /*On fail goto*//*Label 30914*/ GIMT_Encode4(2284584),
     /* 2284475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2284478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2284481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284493 */   GIM_Try, /*On fail goto*//*Label 30915*/ GIMT_Encode4(2284538), // Rule ID 51096 //
     /* 2284498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2284501 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2284504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2284518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284537 */     // GIR_Coverage, 51096,
     /* 2284537 */     GIR_EraseRootFromParent_Done,
     /* 2284538 */   // Label 30915: @2284538
     /* 2284538 */   GIM_Try, /*On fail goto*//*Label 30916*/ GIMT_Encode4(2284583), // Rule ID 51097 //
     /* 2284543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2284546 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2284549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2284563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284582 */     // GIR_Coverage, 51097,
     /* 2284582 */     GIR_EraseRootFromParent_Done,
     /* 2284583 */   // Label 30916: @2284583
     /* 2284583 */   GIM_Reject,
     /* 2284584 */ // Label 30914: @2284584
     /* 2284584 */ GIM_Reject,
     /* 2284585 */ // Label 30876: @2284585
     /* 2284585 */ GIM_Try, /*On fail goto*//*Label 30917*/ GIMT_Encode4(2284699),
     /* 2284590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2284593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2284596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284608 */   GIM_Try, /*On fail goto*//*Label 30918*/ GIMT_Encode4(2284653), // Rule ID 50956 //
     /* 2284613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284616 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2284619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2284633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284652 */     // GIR_Coverage, 50956,
     /* 2284652 */     GIR_EraseRootFromParent_Done,
     /* 2284653 */   // Label 30918: @2284653
     /* 2284653 */   GIM_Try, /*On fail goto*//*Label 30919*/ GIMT_Encode4(2284698), // Rule ID 50957 //
     /* 2284658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284661 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2284664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2284678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284697 */     // GIR_Coverage, 50957,
     /* 2284697 */     GIR_EraseRootFromParent_Done,
     /* 2284698 */   // Label 30919: @2284698
     /* 2284698 */   GIM_Reject,
     /* 2284699 */ // Label 30917: @2284699
     /* 2284699 */ GIM_Reject,
     /* 2284700 */ // Label 30877: @2284700
     /* 2284700 */ GIM_Try, /*On fail goto*//*Label 30920*/ GIMT_Encode4(2284814),
     /* 2284705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2284708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2284711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284723 */   GIM_Try, /*On fail goto*//*Label 30921*/ GIMT_Encode4(2284768), // Rule ID 50976 //
     /* 2284728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284731 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2284734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2284748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284767 */     // GIR_Coverage, 50976,
     /* 2284767 */     GIR_EraseRootFromParent_Done,
     /* 2284768 */   // Label 30921: @2284768
     /* 2284768 */   GIM_Try, /*On fail goto*//*Label 30922*/ GIMT_Encode4(2284813), // Rule ID 50977 //
     /* 2284773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284776 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2284779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2284793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284812 */     // GIR_Coverage, 50977,
     /* 2284812 */     GIR_EraseRootFromParent_Done,
     /* 2284813 */   // Label 30922: @2284813
     /* 2284813 */   GIM_Reject,
     /* 2284814 */ // Label 30920: @2284814
     /* 2284814 */ GIM_Reject,
     /* 2284815 */ // Label 30878: @2284815
     /* 2284815 */ GIM_Try, /*On fail goto*//*Label 30923*/ GIMT_Encode4(2284929),
     /* 2284820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2284823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2284826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284838 */   GIM_Try, /*On fail goto*//*Label 30924*/ GIMT_Encode4(2284883), // Rule ID 51008 //
     /* 2284843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284846 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2284849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2284863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284882 */     // GIR_Coverage, 51008,
     /* 2284882 */     GIR_EraseRootFromParent_Done,
     /* 2284883 */   // Label 30924: @2284883
     /* 2284883 */   GIM_Try, /*On fail goto*//*Label 30925*/ GIMT_Encode4(2284928), // Rule ID 51009 //
     /* 2284888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284891 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2284894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2284908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284927 */     // GIR_Coverage, 51009,
     /* 2284927 */     GIR_EraseRootFromParent_Done,
     /* 2284928 */   // Label 30925: @2284928
     /* 2284928 */   GIM_Reject,
     /* 2284929 */ // Label 30923: @2284929
     /* 2284929 */ GIM_Reject,
     /* 2284930 */ // Label 30879: @2284930
     /* 2284930 */ GIM_Try, /*On fail goto*//*Label 30926*/ GIMT_Encode4(2285044),
     /* 2284935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2284938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2284941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284953 */   GIM_Try, /*On fail goto*//*Label 30927*/ GIMT_Encode4(2284998), // Rule ID 51100 //
     /* 2284958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2284961 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2284964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2284978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284997 */     // GIR_Coverage, 51100,
     /* 2284997 */     GIR_EraseRootFromParent_Done,
     /* 2284998 */   // Label 30927: @2284998
     /* 2284998 */   GIM_Try, /*On fail goto*//*Label 30928*/ GIMT_Encode4(2285043), // Rule ID 51101 //
     /* 2285003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2285006 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2285009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2285023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285042 */     // GIR_Coverage, 51101,
     /* 2285042 */     GIR_EraseRootFromParent_Done,
     /* 2285043 */   // Label 30928: @2285043
     /* 2285043 */   GIM_Reject,
     /* 2285044 */ // Label 30926: @2285044
     /* 2285044 */ GIM_Reject,
     /* 2285045 */ // Label 30880: @2285045
     /* 2285045 */ GIM_Try, /*On fail goto*//*Label 30929*/ GIMT_Encode4(2285159),
     /* 2285050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2285053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2285056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285068 */   GIM_Try, /*On fail goto*//*Label 30930*/ GIMT_Encode4(2285113), // Rule ID 50972 //
     /* 2285073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285076 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2285079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2285093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285112 */     // GIR_Coverage, 50972,
     /* 2285112 */     GIR_EraseRootFromParent_Done,
     /* 2285113 */   // Label 30930: @2285113
     /* 2285113 */   GIM_Try, /*On fail goto*//*Label 30931*/ GIMT_Encode4(2285158), // Rule ID 50973 //
     /* 2285118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285121 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2285124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2285138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285157 */     // GIR_Coverage, 50973,
     /* 2285157 */     GIR_EraseRootFromParent_Done,
     /* 2285158 */   // Label 30931: @2285158
     /* 2285158 */   GIM_Reject,
     /* 2285159 */ // Label 30929: @2285159
     /* 2285159 */ GIM_Reject,
     /* 2285160 */ // Label 30881: @2285160
     /* 2285160 */ GIM_Try, /*On fail goto*//*Label 30932*/ GIMT_Encode4(2285274),
     /* 2285165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2285168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2285171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285183 */   GIM_Try, /*On fail goto*//*Label 30933*/ GIMT_Encode4(2285228), // Rule ID 50996 //
     /* 2285188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285191 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2285194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2285208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285227 */     // GIR_Coverage, 50996,
     /* 2285227 */     GIR_EraseRootFromParent_Done,
     /* 2285228 */   // Label 30933: @2285228
     /* 2285228 */   GIM_Try, /*On fail goto*//*Label 30934*/ GIMT_Encode4(2285273), // Rule ID 50997 //
     /* 2285233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285236 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2285239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2285253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285272 */     // GIR_Coverage, 50997,
     /* 2285272 */     GIR_EraseRootFromParent_Done,
     /* 2285273 */   // Label 30934: @2285273
     /* 2285273 */   GIM_Reject,
     /* 2285274 */ // Label 30932: @2285274
     /* 2285274 */ GIM_Reject,
     /* 2285275 */ // Label 30882: @2285275
     /* 2285275 */ GIM_Try, /*On fail goto*//*Label 30935*/ GIMT_Encode4(2285389),
     /* 2285280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2285283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2285286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285298 */   GIM_Try, /*On fail goto*//*Label 30936*/ GIMT_Encode4(2285343), // Rule ID 51012 //
     /* 2285303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285306 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2285309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2285323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285342 */     // GIR_Coverage, 51012,
     /* 2285342 */     GIR_EraseRootFromParent_Done,
     /* 2285343 */   // Label 30936: @2285343
     /* 2285343 */   GIM_Try, /*On fail goto*//*Label 30937*/ GIMT_Encode4(2285388), // Rule ID 51013 //
     /* 2285348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285351 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2285354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2285368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285387 */     // GIR_Coverage, 51013,
     /* 2285387 */     GIR_EraseRootFromParent_Done,
     /* 2285388 */   // Label 30937: @2285388
     /* 2285388 */   GIM_Reject,
     /* 2285389 */ // Label 30935: @2285389
     /* 2285389 */ GIM_Reject,
     /* 2285390 */ // Label 30883: @2285390
     /* 2285390 */ GIM_Try, /*On fail goto*//*Label 30938*/ GIMT_Encode4(2285504),
     /* 2285395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2285398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2285401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285413 */   GIM_Try, /*On fail goto*//*Label 30939*/ GIMT_Encode4(2285458), // Rule ID 51104 //
     /* 2285418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2285421 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2285424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2285438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285457 */     // GIR_Coverage, 51104,
     /* 2285457 */     GIR_EraseRootFromParent_Done,
     /* 2285458 */   // Label 30939: @2285458
     /* 2285458 */   GIM_Try, /*On fail goto*//*Label 30940*/ GIMT_Encode4(2285503), // Rule ID 51105 //
     /* 2285463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2285466 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2285469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2285483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285502 */     // GIR_Coverage, 51105,
     /* 2285502 */     GIR_EraseRootFromParent_Done,
     /* 2285503 */   // Label 30940: @2285503
     /* 2285503 */   GIM_Reject,
     /* 2285504 */ // Label 30938: @2285504
     /* 2285504 */ GIM_Reject,
     /* 2285505 */ // Label 30884: @2285505
     /* 2285505 */ GIM_Try, /*On fail goto*//*Label 30941*/ GIMT_Encode4(2285619),
     /* 2285510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2285513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2285516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285528 */   GIM_Try, /*On fail goto*//*Label 30942*/ GIMT_Encode4(2285573), // Rule ID 50984 //
     /* 2285533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285536 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2285539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2285553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285572 */     // GIR_Coverage, 50984,
     /* 2285572 */     GIR_EraseRootFromParent_Done,
     /* 2285573 */   // Label 30942: @2285573
     /* 2285573 */   GIM_Try, /*On fail goto*//*Label 30943*/ GIMT_Encode4(2285618), // Rule ID 50985 //
     /* 2285578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285581 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2285584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2285598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285617 */     // GIR_Coverage, 50985,
     /* 2285617 */     GIR_EraseRootFromParent_Done,
     /* 2285618 */   // Label 30943: @2285618
     /* 2285618 */   GIM_Reject,
     /* 2285619 */ // Label 30941: @2285619
     /* 2285619 */ GIM_Reject,
     /* 2285620 */ // Label 30885: @2285620
     /* 2285620 */ GIM_Try, /*On fail goto*//*Label 30944*/ GIMT_Encode4(2285734),
     /* 2285625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2285628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2285631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285643 */   GIM_Try, /*On fail goto*//*Label 30945*/ GIMT_Encode4(2285688), // Rule ID 51000 //
     /* 2285648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285651 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2285654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2285668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285687 */     // GIR_Coverage, 51000,
     /* 2285687 */     GIR_EraseRootFromParent_Done,
     /* 2285688 */   // Label 30945: @2285688
     /* 2285688 */   GIM_Try, /*On fail goto*//*Label 30946*/ GIMT_Encode4(2285733), // Rule ID 51001 //
     /* 2285693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285696 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2285699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2285713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285732 */     // GIR_Coverage, 51001,
     /* 2285732 */     GIR_EraseRootFromParent_Done,
     /* 2285733 */   // Label 30946: @2285733
     /* 2285733 */   GIM_Reject,
     /* 2285734 */ // Label 30944: @2285734
     /* 2285734 */ GIM_Reject,
     /* 2285735 */ // Label 30886: @2285735
     /* 2285735 */ GIM_Try, /*On fail goto*//*Label 30947*/ GIMT_Encode4(2285849),
     /* 2285740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2285743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2285746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285758 */   GIM_Try, /*On fail goto*//*Label 30948*/ GIMT_Encode4(2285803), // Rule ID 51016 //
     /* 2285763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285766 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2285769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2285783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285802 */     // GIR_Coverage, 51016,
     /* 2285802 */     GIR_EraseRootFromParent_Done,
     /* 2285803 */   // Label 30948: @2285803
     /* 2285803 */   GIM_Try, /*On fail goto*//*Label 30949*/ GIMT_Encode4(2285848), // Rule ID 51017 //
     /* 2285808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285811 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2285814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2285828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285847 */     // GIR_Coverage, 51017,
     /* 2285847 */     GIR_EraseRootFromParent_Done,
     /* 2285848 */   // Label 30949: @2285848
     /* 2285848 */   GIM_Reject,
     /* 2285849 */ // Label 30947: @2285849
     /* 2285849 */ GIM_Reject,
     /* 2285850 */ // Label 30887: @2285850
     /* 2285850 */ GIM_Try, /*On fail goto*//*Label 30950*/ GIMT_Encode4(2285964),
     /* 2285855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2285858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2285861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285873 */   GIM_Try, /*On fail goto*//*Label 30951*/ GIMT_Encode4(2285918), // Rule ID 50988 //
     /* 2285878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285881 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2285884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2285898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285917 */     // GIR_Coverage, 50988,
     /* 2285917 */     GIR_EraseRootFromParent_Done,
     /* 2285918 */   // Label 30951: @2285918
     /* 2285918 */   GIM_Try, /*On fail goto*//*Label 30952*/ GIMT_Encode4(2285963), // Rule ID 50989 //
     /* 2285923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285926 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2285929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2285943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285962 */     // GIR_Coverage, 50989,
     /* 2285962 */     GIR_EraseRootFromParent_Done,
     /* 2285963 */   // Label 30952: @2285963
     /* 2285963 */   GIM_Reject,
     /* 2285964 */ // Label 30950: @2285964
     /* 2285964 */ GIM_Reject,
     /* 2285965 */ // Label 30888: @2285965
     /* 2285965 */ GIM_Try, /*On fail goto*//*Label 30953*/ GIMT_Encode4(2286079),
     /* 2285970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2285973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2285976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285988 */   GIM_Try, /*On fail goto*//*Label 30954*/ GIMT_Encode4(2286033), // Rule ID 51004 //
     /* 2285993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285996 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2285999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2286013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286032 */     // GIR_Coverage, 51004,
     /* 2286032 */     GIR_EraseRootFromParent_Done,
     /* 2286033 */   // Label 30954: @2286033
     /* 2286033 */   GIM_Try, /*On fail goto*//*Label 30955*/ GIMT_Encode4(2286078), // Rule ID 51005 //
     /* 2286038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286041 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2286044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2286058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286077 */     // GIR_Coverage, 51005,
     /* 2286077 */     GIR_EraseRootFromParent_Done,
     /* 2286078 */   // Label 30955: @2286078
     /* 2286078 */   GIM_Reject,
     /* 2286079 */ // Label 30953: @2286079
     /* 2286079 */ GIM_Reject,
     /* 2286080 */ // Label 30889: @2286080
     /* 2286080 */ GIM_Try, /*On fail goto*//*Label 30956*/ GIMT_Encode4(2286194),
     /* 2286085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2286088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2286091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286103 */   GIM_Try, /*On fail goto*//*Label 30957*/ GIMT_Encode4(2286148), // Rule ID 50992 //
     /* 2286108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286111 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2286114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2286128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286147 */     // GIR_Coverage, 50992,
     /* 2286147 */     GIR_EraseRootFromParent_Done,
     /* 2286148 */   // Label 30957: @2286148
     /* 2286148 */   GIM_Try, /*On fail goto*//*Label 30958*/ GIMT_Encode4(2286193), // Rule ID 50993 //
     /* 2286153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286156 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2286159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2286173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286192 */     // GIR_Coverage, 50993,
     /* 2286192 */     GIR_EraseRootFromParent_Done,
     /* 2286193 */   // Label 30958: @2286193
     /* 2286193 */   GIM_Reject,
     /* 2286194 */ // Label 30956: @2286194
     /* 2286194 */ GIM_Reject,
     /* 2286195 */ // Label 30890: @2286195
     /* 2286195 */ GIM_Reject,
     /* 2286196 */ // Label 53: @2286196
     /* 2286196 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30982*/ GIMT_Encode4(2289048),
     /* 2286207 */ /*GILLT_s32*//*Label 30959*/ GIMT_Encode4(2286331), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2286219 */ /*GILLT_nxv1s8*//*Label 30960*/ GIMT_Encode4(2286386),
     /* 2286223 */ /*GILLT_nxv1s16*//*Label 30961*/ GIMT_Encode4(2286507),
     /* 2286227 */ /*GILLT_nxv1s32*//*Label 30962*/ GIMT_Encode4(2286628),
     /* 2286231 */ /*GILLT_nxv1s64*//*Label 30963*/ GIMT_Encode4(2286749), GIMT_Encode4(0),
     /* 2286239 */ /*GILLT_nxv2s8*//*Label 30964*/ GIMT_Encode4(2286870),
     /* 2286243 */ /*GILLT_nxv2s16*//*Label 30965*/ GIMT_Encode4(2286991),
     /* 2286247 */ /*GILLT_nxv2s32*//*Label 30966*/ GIMT_Encode4(2287112),
     /* 2286251 */ /*GILLT_nxv2s64*//*Label 30967*/ GIMT_Encode4(2287233), GIMT_Encode4(0),
     /* 2286259 */ /*GILLT_nxv4s8*//*Label 30968*/ GIMT_Encode4(2287354),
     /* 2286263 */ /*GILLT_nxv4s16*//*Label 30969*/ GIMT_Encode4(2287475),
     /* 2286267 */ /*GILLT_nxv4s32*//*Label 30970*/ GIMT_Encode4(2287596),
     /* 2286271 */ /*GILLT_nxv4s64*//*Label 30971*/ GIMT_Encode4(2287717), GIMT_Encode4(0),
     /* 2286279 */ /*GILLT_nxv8s8*//*Label 30972*/ GIMT_Encode4(2287838),
     /* 2286283 */ /*GILLT_nxv8s16*//*Label 30973*/ GIMT_Encode4(2287959),
     /* 2286287 */ /*GILLT_nxv8s32*//*Label 30974*/ GIMT_Encode4(2288080),
     /* 2286291 */ /*GILLT_nxv8s64*//*Label 30975*/ GIMT_Encode4(2288201), GIMT_Encode4(0),
     /* 2286299 */ /*GILLT_nxv16s8*//*Label 30976*/ GIMT_Encode4(2288322),
     /* 2286303 */ /*GILLT_nxv16s16*//*Label 30977*/ GIMT_Encode4(2288443),
     /* 2286307 */ /*GILLT_nxv16s32*//*Label 30978*/ GIMT_Encode4(2288564), GIMT_Encode4(0),
     /* 2286315 */ /*GILLT_nxv32s8*//*Label 30979*/ GIMT_Encode4(2288685),
     /* 2286319 */ /*GILLT_nxv32s16*//*Label 30980*/ GIMT_Encode4(2288806), GIMT_Encode4(0),
     /* 2286327 */ /*GILLT_nxv64s8*//*Label 30981*/ GIMT_Encode4(2288927),
     /* 2286331 */ // Label 30959: @2286331
     /* 2286331 */ GIM_Try, /*On fail goto*//*Label 30983*/ GIMT_Encode4(2286385),
     /* 2286336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2286339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2286342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2286346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2286350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2286354 */   GIM_Try, /*On fail goto*//*Label 30984*/ GIMT_Encode4(2286369), // Rule ID 64581 //
     /* 2286359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2286362 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2286362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2286367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286368 */     // GIR_Coverage, 64581,
     /* 2286368 */     GIR_Done,
     /* 2286369 */   // Label 30984: @2286369
     /* 2286369 */   GIM_Try, /*On fail goto*//*Label 30985*/ GIMT_Encode4(2286384), // Rule ID 64582 //
     /* 2286374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2286377 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2286377 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2286382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286383 */     // GIR_Coverage, 64582,
     /* 2286383 */     GIR_Done,
     /* 2286384 */   // Label 30985: @2286384
     /* 2286384 */   GIM_Reject,
     /* 2286385 */ // Label 30983: @2286385
     /* 2286385 */ GIM_Reject,
     /* 2286386 */ // Label 30960: @2286386
     /* 2286386 */ GIM_Try, /*On fail goto*//*Label 30986*/ GIMT_Encode4(2286506),
     /* 2286391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2286394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2286397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286409 */   GIM_Try, /*On fail goto*//*Label 30987*/ GIMT_Encode4(2286457), // Rule ID 52508 //
     /* 2286414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286417 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2286420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2286434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286456 */     // GIR_Coverage, 52508,
     /* 2286456 */     GIR_EraseRootFromParent_Done,
     /* 2286457 */   // Label 30987: @2286457
     /* 2286457 */   GIM_Try, /*On fail goto*//*Label 30988*/ GIMT_Encode4(2286505), // Rule ID 52509 //
     /* 2286462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286465 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2286468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2286482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286504 */     // GIR_Coverage, 52509,
     /* 2286504 */     GIR_EraseRootFromParent_Done,
     /* 2286505 */   // Label 30988: @2286505
     /* 2286505 */   GIM_Reject,
     /* 2286506 */ // Label 30986: @2286506
     /* 2286506 */ GIM_Reject,
     /* 2286507 */ // Label 30961: @2286507
     /* 2286507 */ GIM_Try, /*On fail goto*//*Label 30989*/ GIMT_Encode4(2286627),
     /* 2286512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2286518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286530 */   GIM_Try, /*On fail goto*//*Label 30990*/ GIMT_Encode4(2286578), // Rule ID 52520 //
     /* 2286535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286538 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2286541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2286555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286577 */     // GIR_Coverage, 52520,
     /* 2286577 */     GIR_EraseRootFromParent_Done,
     /* 2286578 */   // Label 30990: @2286578
     /* 2286578 */   GIM_Try, /*On fail goto*//*Label 30991*/ GIMT_Encode4(2286626), // Rule ID 52521 //
     /* 2286583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286586 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2286589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2286603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286625 */     // GIR_Coverage, 52521,
     /* 2286625 */     GIR_EraseRootFromParent_Done,
     /* 2286626 */   // Label 30991: @2286626
     /* 2286626 */   GIM_Reject,
     /* 2286627 */ // Label 30989: @2286627
     /* 2286627 */ GIM_Reject,
     /* 2286628 */ // Label 30962: @2286628
     /* 2286628 */ GIM_Try, /*On fail goto*//*Label 30992*/ GIMT_Encode4(2286748),
     /* 2286633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2286636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2286639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286651 */   GIM_Try, /*On fail goto*//*Label 30993*/ GIMT_Encode4(2286699), // Rule ID 52528 //
     /* 2286656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286659 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2286662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2286676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286698 */     // GIR_Coverage, 52528,
     /* 2286698 */     GIR_EraseRootFromParent_Done,
     /* 2286699 */   // Label 30993: @2286699
     /* 2286699 */   GIM_Try, /*On fail goto*//*Label 30994*/ GIMT_Encode4(2286747), // Rule ID 52529 //
     /* 2286704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286707 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2286710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2286724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286746 */     // GIR_Coverage, 52529,
     /* 2286746 */     GIR_EraseRootFromParent_Done,
     /* 2286747 */   // Label 30994: @2286747
     /* 2286747 */   GIM_Reject,
     /* 2286748 */ // Label 30992: @2286748
     /* 2286748 */ GIM_Reject,
     /* 2286749 */ // Label 30963: @2286749
     /* 2286749 */ GIM_Try, /*On fail goto*//*Label 30995*/ GIMT_Encode4(2286869),
     /* 2286754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2286757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2286760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286772 */   GIM_Try, /*On fail goto*//*Label 30996*/ GIMT_Encode4(2286820), // Rule ID 52544 //
     /* 2286777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2286780 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2286783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2286797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286819 */     // GIR_Coverage, 52544,
     /* 2286819 */     GIR_EraseRootFromParent_Done,
     /* 2286820 */   // Label 30996: @2286820
     /* 2286820 */   GIM_Try, /*On fail goto*//*Label 30997*/ GIMT_Encode4(2286868), // Rule ID 52545 //
     /* 2286825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2286828 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2286831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2286845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286867 */     // GIR_Coverage, 52545,
     /* 2286867 */     GIR_EraseRootFromParent_Done,
     /* 2286868 */   // Label 30997: @2286868
     /* 2286868 */   GIM_Reject,
     /* 2286869 */ // Label 30995: @2286869
     /* 2286869 */ GIM_Reject,
     /* 2286870 */ // Label 30964: @2286870
     /* 2286870 */ GIM_Try, /*On fail goto*//*Label 30998*/ GIMT_Encode4(2286990),
     /* 2286875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2286878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2286881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286893 */   GIM_Try, /*On fail goto*//*Label 30999*/ GIMT_Encode4(2286941), // Rule ID 52512 //
     /* 2286898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286901 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2286904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2286918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286936 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286940 */     // GIR_Coverage, 52512,
     /* 2286940 */     GIR_EraseRootFromParent_Done,
     /* 2286941 */   // Label 30999: @2286941
     /* 2286941 */   GIM_Try, /*On fail goto*//*Label 31000*/ GIMT_Encode4(2286989), // Rule ID 52513 //
     /* 2286946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286949 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2286952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2286966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2286987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286988 */     // GIR_Coverage, 52513,
     /* 2286988 */     GIR_EraseRootFromParent_Done,
     /* 2286989 */   // Label 31000: @2286989
     /* 2286989 */   GIM_Reject,
     /* 2286990 */ // Label 30998: @2286990
     /* 2286990 */ GIM_Reject,
     /* 2286991 */ // Label 30965: @2286991
     /* 2286991 */ GIM_Try, /*On fail goto*//*Label 31001*/ GIMT_Encode4(2287111),
     /* 2286996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2286999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2287002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287014 */   GIM_Try, /*On fail goto*//*Label 31002*/ GIMT_Encode4(2287062), // Rule ID 52524 //
     /* 2287019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287022 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2287025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2287039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287061 */     // GIR_Coverage, 52524,
     /* 2287061 */     GIR_EraseRootFromParent_Done,
     /* 2287062 */   // Label 31002: @2287062
     /* 2287062 */   GIM_Try, /*On fail goto*//*Label 31003*/ GIMT_Encode4(2287110), // Rule ID 52525 //
     /* 2287067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287070 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2287073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2287087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287109 */     // GIR_Coverage, 52525,
     /* 2287109 */     GIR_EraseRootFromParent_Done,
     /* 2287110 */   // Label 31003: @2287110
     /* 2287110 */   GIM_Reject,
     /* 2287111 */ // Label 31001: @2287111
     /* 2287111 */ GIM_Reject,
     /* 2287112 */ // Label 30966: @2287112
     /* 2287112 */ GIM_Try, /*On fail goto*//*Label 31004*/ GIMT_Encode4(2287232),
     /* 2287117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2287120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2287123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287135 */   GIM_Try, /*On fail goto*//*Label 31005*/ GIMT_Encode4(2287183), // Rule ID 52540 //
     /* 2287140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287143 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2287146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2287160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287178 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287182 */     // GIR_Coverage, 52540,
     /* 2287182 */     GIR_EraseRootFromParent_Done,
     /* 2287183 */   // Label 31005: @2287183
     /* 2287183 */   GIM_Try, /*On fail goto*//*Label 31006*/ GIMT_Encode4(2287231), // Rule ID 52541 //
     /* 2287188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287191 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2287194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2287208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287230 */     // GIR_Coverage, 52541,
     /* 2287230 */     GIR_EraseRootFromParent_Done,
     /* 2287231 */   // Label 31006: @2287231
     /* 2287231 */   GIM_Reject,
     /* 2287232 */ // Label 31004: @2287232
     /* 2287232 */ GIM_Reject,
     /* 2287233 */ // Label 30967: @2287233
     /* 2287233 */ GIM_Try, /*On fail goto*//*Label 31007*/ GIMT_Encode4(2287353),
     /* 2287238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2287241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2287244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287256 */   GIM_Try, /*On fail goto*//*Label 31008*/ GIMT_Encode4(2287304), // Rule ID 52584 //
     /* 2287261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2287264 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2287267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2287281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287303 */     // GIR_Coverage, 52584,
     /* 2287303 */     GIR_EraseRootFromParent_Done,
     /* 2287304 */   // Label 31008: @2287304
     /* 2287304 */   GIM_Try, /*On fail goto*//*Label 31009*/ GIMT_Encode4(2287352), // Rule ID 52585 //
     /* 2287309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2287312 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2287315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2287329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287351 */     // GIR_Coverage, 52585,
     /* 2287351 */     GIR_EraseRootFromParent_Done,
     /* 2287352 */   // Label 31009: @2287352
     /* 2287352 */   GIM_Reject,
     /* 2287353 */ // Label 31007: @2287353
     /* 2287353 */ GIM_Reject,
     /* 2287354 */ // Label 30968: @2287354
     /* 2287354 */ GIM_Try, /*On fail goto*//*Label 31010*/ GIMT_Encode4(2287474),
     /* 2287359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2287362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2287365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287377 */   GIM_Try, /*On fail goto*//*Label 31011*/ GIMT_Encode4(2287425), // Rule ID 52516 //
     /* 2287382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287385 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2287388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2287402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287424 */     // GIR_Coverage, 52516,
     /* 2287424 */     GIR_EraseRootFromParent_Done,
     /* 2287425 */   // Label 31011: @2287425
     /* 2287425 */   GIM_Try, /*On fail goto*//*Label 31012*/ GIMT_Encode4(2287473), // Rule ID 52517 //
     /* 2287430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287433 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2287436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2287450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287472 */     // GIR_Coverage, 52517,
     /* 2287472 */     GIR_EraseRootFromParent_Done,
     /* 2287473 */   // Label 31012: @2287473
     /* 2287473 */   GIM_Reject,
     /* 2287474 */ // Label 31010: @2287474
     /* 2287474 */ GIM_Reject,
     /* 2287475 */ // Label 30969: @2287475
     /* 2287475 */ GIM_Try, /*On fail goto*//*Label 31013*/ GIMT_Encode4(2287595),
     /* 2287480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2287486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287498 */   GIM_Try, /*On fail goto*//*Label 31014*/ GIMT_Encode4(2287546), // Rule ID 52536 //
     /* 2287503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287506 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2287509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2287523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287545 */     // GIR_Coverage, 52536,
     /* 2287545 */     GIR_EraseRootFromParent_Done,
     /* 2287546 */   // Label 31014: @2287546
     /* 2287546 */   GIM_Try, /*On fail goto*//*Label 31015*/ GIMT_Encode4(2287594), // Rule ID 52537 //
     /* 2287551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287554 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2287557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2287571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287593 */     // GIR_Coverage, 52537,
     /* 2287593 */     GIR_EraseRootFromParent_Done,
     /* 2287594 */   // Label 31015: @2287594
     /* 2287594 */   GIM_Reject,
     /* 2287595 */ // Label 31013: @2287595
     /* 2287595 */ GIM_Reject,
     /* 2287596 */ // Label 30970: @2287596
     /* 2287596 */ GIM_Try, /*On fail goto*//*Label 31016*/ GIMT_Encode4(2287716),
     /* 2287601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2287604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2287607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287619 */   GIM_Try, /*On fail goto*//*Label 31017*/ GIMT_Encode4(2287667), // Rule ID 52572 //
     /* 2287624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287627 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2287630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2287644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287666 */     // GIR_Coverage, 52572,
     /* 2287666 */     GIR_EraseRootFromParent_Done,
     /* 2287667 */   // Label 31017: @2287667
     /* 2287667 */   GIM_Try, /*On fail goto*//*Label 31018*/ GIMT_Encode4(2287715), // Rule ID 52573 //
     /* 2287672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287675 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2287678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2287692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287714 */     // GIR_Coverage, 52573,
     /* 2287714 */     GIR_EraseRootFromParent_Done,
     /* 2287715 */   // Label 31018: @2287715
     /* 2287715 */   GIM_Reject,
     /* 2287716 */ // Label 31016: @2287716
     /* 2287716 */ GIM_Reject,
     /* 2287717 */ // Label 30971: @2287717
     /* 2287717 */ GIM_Try, /*On fail goto*//*Label 31019*/ GIMT_Encode4(2287837),
     /* 2287722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2287725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2287728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287740 */   GIM_Try, /*On fail goto*//*Label 31020*/ GIMT_Encode4(2287788), // Rule ID 52588 //
     /* 2287745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2287748 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2287751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2287765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287787 */     // GIR_Coverage, 52588,
     /* 2287787 */     GIR_EraseRootFromParent_Done,
     /* 2287788 */   // Label 31020: @2287788
     /* 2287788 */   GIM_Try, /*On fail goto*//*Label 31021*/ GIMT_Encode4(2287836), // Rule ID 52589 //
     /* 2287793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2287796 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2287799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2287813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287835 */     // GIR_Coverage, 52589,
     /* 2287835 */     GIR_EraseRootFromParent_Done,
     /* 2287836 */   // Label 31021: @2287836
     /* 2287836 */   GIM_Reject,
     /* 2287837 */ // Label 31019: @2287837
     /* 2287837 */ GIM_Reject,
     /* 2287838 */ // Label 30972: @2287838
     /* 2287838 */ GIM_Try, /*On fail goto*//*Label 31022*/ GIMT_Encode4(2287958),
     /* 2287843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2287846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2287849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287861 */   GIM_Try, /*On fail goto*//*Label 31023*/ GIMT_Encode4(2287909), // Rule ID 52532 //
     /* 2287866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287869 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2287872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2287886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287908 */     // GIR_Coverage, 52532,
     /* 2287908 */     GIR_EraseRootFromParent_Done,
     /* 2287909 */   // Label 31023: @2287909
     /* 2287909 */   GIM_Try, /*On fail goto*//*Label 31024*/ GIMT_Encode4(2287957), // Rule ID 52533 //
     /* 2287914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287917 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2287920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2287934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287956 */     // GIR_Coverage, 52533,
     /* 2287956 */     GIR_EraseRootFromParent_Done,
     /* 2287957 */   // Label 31024: @2287957
     /* 2287957 */   GIM_Reject,
     /* 2287958 */ // Label 31022: @2287958
     /* 2287958 */ GIM_Reject,
     /* 2287959 */ // Label 30973: @2287959
     /* 2287959 */ GIM_Try, /*On fail goto*//*Label 31025*/ GIMT_Encode4(2288079),
     /* 2287964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2287967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2287970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287978 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287982 */   GIM_Try, /*On fail goto*//*Label 31026*/ GIMT_Encode4(2288030), // Rule ID 52560 //
     /* 2287987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287990 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2287993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2288007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288029 */     // GIR_Coverage, 52560,
     /* 2288029 */     GIR_EraseRootFromParent_Done,
     /* 2288030 */   // Label 31026: @2288030
     /* 2288030 */   GIM_Try, /*On fail goto*//*Label 31027*/ GIMT_Encode4(2288078), // Rule ID 52561 //
     /* 2288035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288038 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2288041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2288055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288077 */     // GIR_Coverage, 52561,
     /* 2288077 */     GIR_EraseRootFromParent_Done,
     /* 2288078 */   // Label 31027: @2288078
     /* 2288078 */   GIM_Reject,
     /* 2288079 */ // Label 31025: @2288079
     /* 2288079 */ GIM_Reject,
     /* 2288080 */ // Label 30974: @2288080
     /* 2288080 */ GIM_Try, /*On fail goto*//*Label 31028*/ GIMT_Encode4(2288200),
     /* 2288085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2288088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2288091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288103 */   GIM_Try, /*On fail goto*//*Label 31029*/ GIMT_Encode4(2288151), // Rule ID 52576 //
     /* 2288108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288111 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2288114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2288128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288150 */     // GIR_Coverage, 52576,
     /* 2288150 */     GIR_EraseRootFromParent_Done,
     /* 2288151 */   // Label 31029: @2288151
     /* 2288151 */   GIM_Try, /*On fail goto*//*Label 31030*/ GIMT_Encode4(2288199), // Rule ID 52577 //
     /* 2288156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288159 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2288162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2288176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288198 */     // GIR_Coverage, 52577,
     /* 2288198 */     GIR_EraseRootFromParent_Done,
     /* 2288199 */   // Label 31030: @2288199
     /* 2288199 */   GIM_Reject,
     /* 2288200 */ // Label 31028: @2288200
     /* 2288200 */ GIM_Reject,
     /* 2288201 */ // Label 30975: @2288201
     /* 2288201 */ GIM_Try, /*On fail goto*//*Label 31031*/ GIMT_Encode4(2288321),
     /* 2288206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2288209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2288212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288224 */   GIM_Try, /*On fail goto*//*Label 31032*/ GIMT_Encode4(2288272), // Rule ID 52592 //
     /* 2288229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2288232 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2288235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2288249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288271 */     // GIR_Coverage, 52592,
     /* 2288271 */     GIR_EraseRootFromParent_Done,
     /* 2288272 */   // Label 31032: @2288272
     /* 2288272 */   GIM_Try, /*On fail goto*//*Label 31033*/ GIMT_Encode4(2288320), // Rule ID 52593 //
     /* 2288277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2288280 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2288283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2288297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288319 */     // GIR_Coverage, 52593,
     /* 2288319 */     GIR_EraseRootFromParent_Done,
     /* 2288320 */   // Label 31033: @2288320
     /* 2288320 */   GIM_Reject,
     /* 2288321 */ // Label 31031: @2288321
     /* 2288321 */ GIM_Reject,
     /* 2288322 */ // Label 30976: @2288322
     /* 2288322 */ GIM_Try, /*On fail goto*//*Label 31034*/ GIMT_Encode4(2288442),
     /* 2288327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2288330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2288333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288345 */   GIM_Try, /*On fail goto*//*Label 31035*/ GIMT_Encode4(2288393), // Rule ID 52548 //
     /* 2288350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288353 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2288356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2288370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288392 */     // GIR_Coverage, 52548,
     /* 2288392 */     GIR_EraseRootFromParent_Done,
     /* 2288393 */   // Label 31035: @2288393
     /* 2288393 */   GIM_Try, /*On fail goto*//*Label 31036*/ GIMT_Encode4(2288441), // Rule ID 52549 //
     /* 2288398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288401 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2288404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2288418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288440 */     // GIR_Coverage, 52549,
     /* 2288440 */     GIR_EraseRootFromParent_Done,
     /* 2288441 */   // Label 31036: @2288441
     /* 2288441 */   GIM_Reject,
     /* 2288442 */ // Label 31034: @2288442
     /* 2288442 */ GIM_Reject,
     /* 2288443 */ // Label 30977: @2288443
     /* 2288443 */ GIM_Try, /*On fail goto*//*Label 31037*/ GIMT_Encode4(2288563),
     /* 2288448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2288451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2288454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288466 */   GIM_Try, /*On fail goto*//*Label 31038*/ GIMT_Encode4(2288514), // Rule ID 52564 //
     /* 2288471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288474 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2288477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2288491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288513 */     // GIR_Coverage, 52564,
     /* 2288513 */     GIR_EraseRootFromParent_Done,
     /* 2288514 */   // Label 31038: @2288514
     /* 2288514 */   GIM_Try, /*On fail goto*//*Label 31039*/ GIMT_Encode4(2288562), // Rule ID 52565 //
     /* 2288519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288522 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2288525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2288539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288561 */     // GIR_Coverage, 52565,
     /* 2288561 */     GIR_EraseRootFromParent_Done,
     /* 2288562 */   // Label 31039: @2288562
     /* 2288562 */   GIM_Reject,
     /* 2288563 */ // Label 31037: @2288563
     /* 2288563 */ GIM_Reject,
     /* 2288564 */ // Label 30978: @2288564
     /* 2288564 */ GIM_Try, /*On fail goto*//*Label 31040*/ GIMT_Encode4(2288684),
     /* 2288569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2288572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2288575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288587 */   GIM_Try, /*On fail goto*//*Label 31041*/ GIMT_Encode4(2288635), // Rule ID 52580 //
     /* 2288592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288595 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2288598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2288612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288634 */     // GIR_Coverage, 52580,
     /* 2288634 */     GIR_EraseRootFromParent_Done,
     /* 2288635 */   // Label 31041: @2288635
     /* 2288635 */   GIM_Try, /*On fail goto*//*Label 31042*/ GIMT_Encode4(2288683), // Rule ID 52581 //
     /* 2288640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288643 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2288646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2288660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288682 */     // GIR_Coverage, 52581,
     /* 2288682 */     GIR_EraseRootFromParent_Done,
     /* 2288683 */   // Label 31042: @2288683
     /* 2288683 */   GIM_Reject,
     /* 2288684 */ // Label 31040: @2288684
     /* 2288684 */ GIM_Reject,
     /* 2288685 */ // Label 30979: @2288685
     /* 2288685 */ GIM_Try, /*On fail goto*//*Label 31043*/ GIMT_Encode4(2288805),
     /* 2288690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2288693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2288696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288708 */   GIM_Try, /*On fail goto*//*Label 31044*/ GIMT_Encode4(2288756), // Rule ID 52552 //
     /* 2288713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288716 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2288719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2288733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288755 */     // GIR_Coverage, 52552,
     /* 2288755 */     GIR_EraseRootFromParent_Done,
     /* 2288756 */   // Label 31044: @2288756
     /* 2288756 */   GIM_Try, /*On fail goto*//*Label 31045*/ GIMT_Encode4(2288804), // Rule ID 52553 //
     /* 2288761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288764 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2288767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2288781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288803 */     // GIR_Coverage, 52553,
     /* 2288803 */     GIR_EraseRootFromParent_Done,
     /* 2288804 */   // Label 31045: @2288804
     /* 2288804 */   GIM_Reject,
     /* 2288805 */ // Label 31043: @2288805
     /* 2288805 */ GIM_Reject,
     /* 2288806 */ // Label 30980: @2288806
     /* 2288806 */ GIM_Try, /*On fail goto*//*Label 31046*/ GIMT_Encode4(2288926),
     /* 2288811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2288814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2288817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288829 */   GIM_Try, /*On fail goto*//*Label 31047*/ GIMT_Encode4(2288877), // Rule ID 52568 //
     /* 2288834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288837 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2288840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2288854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288876 */     // GIR_Coverage, 52568,
     /* 2288876 */     GIR_EraseRootFromParent_Done,
     /* 2288877 */   // Label 31047: @2288877
     /* 2288877 */   GIM_Try, /*On fail goto*//*Label 31048*/ GIMT_Encode4(2288925), // Rule ID 52569 //
     /* 2288882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288885 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2288888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2288902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288924 */     // GIR_Coverage, 52569,
     /* 2288924 */     GIR_EraseRootFromParent_Done,
     /* 2288925 */   // Label 31048: @2288925
     /* 2288925 */   GIM_Reject,
     /* 2288926 */ // Label 31046: @2288926
     /* 2288926 */ GIM_Reject,
     /* 2288927 */ // Label 30981: @2288927
     /* 2288927 */ GIM_Try, /*On fail goto*//*Label 31049*/ GIMT_Encode4(2289047),
     /* 2288932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2288935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2288938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288950 */   GIM_Try, /*On fail goto*//*Label 31050*/ GIMT_Encode4(2288998), // Rule ID 52556 //
     /* 2288955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288958 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2288961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2288975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288997 */     // GIR_Coverage, 52556,
     /* 2288997 */     GIR_EraseRootFromParent_Done,
     /* 2288998 */   // Label 31050: @2288998
     /* 2288998 */   GIM_Try, /*On fail goto*//*Label 31051*/ GIMT_Encode4(2289046), // Rule ID 52557 //
     /* 2289003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289006 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2289009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2289023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289045 */     // GIR_Coverage, 52557,
     /* 2289045 */     GIR_EraseRootFromParent_Done,
     /* 2289046 */   // Label 31051: @2289046
     /* 2289046 */   GIM_Reject,
     /* 2289047 */ // Label 31049: @2289047
     /* 2289047 */ GIM_Reject,
     /* 2289048 */ // Label 30982: @2289048
     /* 2289048 */ GIM_Reject,
     /* 2289049 */ // Label 54: @2289049
     /* 2289049 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31075*/ GIMT_Encode4(2291901),
     /* 2289060 */ /*GILLT_s32*//*Label 31052*/ GIMT_Encode4(2289184), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2289072 */ /*GILLT_nxv1s8*//*Label 31053*/ GIMT_Encode4(2289239),
     /* 2289076 */ /*GILLT_nxv1s16*//*Label 31054*/ GIMT_Encode4(2289360),
     /* 2289080 */ /*GILLT_nxv1s32*//*Label 31055*/ GIMT_Encode4(2289481),
     /* 2289084 */ /*GILLT_nxv1s64*//*Label 31056*/ GIMT_Encode4(2289602), GIMT_Encode4(0),
     /* 2289092 */ /*GILLT_nxv2s8*//*Label 31057*/ GIMT_Encode4(2289723),
     /* 2289096 */ /*GILLT_nxv2s16*//*Label 31058*/ GIMT_Encode4(2289844),
     /* 2289100 */ /*GILLT_nxv2s32*//*Label 31059*/ GIMT_Encode4(2289965),
     /* 2289104 */ /*GILLT_nxv2s64*//*Label 31060*/ GIMT_Encode4(2290086), GIMT_Encode4(0),
     /* 2289112 */ /*GILLT_nxv4s8*//*Label 31061*/ GIMT_Encode4(2290207),
     /* 2289116 */ /*GILLT_nxv4s16*//*Label 31062*/ GIMT_Encode4(2290328),
     /* 2289120 */ /*GILLT_nxv4s32*//*Label 31063*/ GIMT_Encode4(2290449),
     /* 2289124 */ /*GILLT_nxv4s64*//*Label 31064*/ GIMT_Encode4(2290570), GIMT_Encode4(0),
     /* 2289132 */ /*GILLT_nxv8s8*//*Label 31065*/ GIMT_Encode4(2290691),
     /* 2289136 */ /*GILLT_nxv8s16*//*Label 31066*/ GIMT_Encode4(2290812),
     /* 2289140 */ /*GILLT_nxv8s32*//*Label 31067*/ GIMT_Encode4(2290933),
     /* 2289144 */ /*GILLT_nxv8s64*//*Label 31068*/ GIMT_Encode4(2291054), GIMT_Encode4(0),
     /* 2289152 */ /*GILLT_nxv16s8*//*Label 31069*/ GIMT_Encode4(2291175),
     /* 2289156 */ /*GILLT_nxv16s16*//*Label 31070*/ GIMT_Encode4(2291296),
     /* 2289160 */ /*GILLT_nxv16s32*//*Label 31071*/ GIMT_Encode4(2291417), GIMT_Encode4(0),
     /* 2289168 */ /*GILLT_nxv32s8*//*Label 31072*/ GIMT_Encode4(2291538),
     /* 2289172 */ /*GILLT_nxv32s16*//*Label 31073*/ GIMT_Encode4(2291659), GIMT_Encode4(0),
     /* 2289180 */ /*GILLT_nxv64s8*//*Label 31074*/ GIMT_Encode4(2291780),
     /* 2289184 */ // Label 31052: @2289184
     /* 2289184 */ GIM_Try, /*On fail goto*//*Label 31076*/ GIMT_Encode4(2289238),
     /* 2289189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2289195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2289199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2289203 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2289207 */   GIM_Try, /*On fail goto*//*Label 31077*/ GIMT_Encode4(2289222), // Rule ID 64579 //
     /* 2289212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2289215 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2289215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2289220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289221 */     // GIR_Coverage, 64579,
     /* 2289221 */     GIR_Done,
     /* 2289222 */   // Label 31077: @2289222
     /* 2289222 */   GIM_Try, /*On fail goto*//*Label 31078*/ GIMT_Encode4(2289237), // Rule ID 64580 //
     /* 2289227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2289230 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2289230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2289235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289236 */     // GIR_Coverage, 64580,
     /* 2289236 */     GIR_Done,
     /* 2289237 */   // Label 31078: @2289237
     /* 2289237 */   GIM_Reject,
     /* 2289238 */ // Label 31076: @2289238
     /* 2289238 */ GIM_Reject,
     /* 2289239 */ // Label 31053: @2289239
     /* 2289239 */ GIM_Try, /*On fail goto*//*Label 31079*/ GIMT_Encode4(2289359),
     /* 2289244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2289247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2289250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289262 */   GIM_Try, /*On fail goto*//*Label 31080*/ GIMT_Encode4(2289310), // Rule ID 52376 //
     /* 2289267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289270 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2289273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2289287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289309 */     // GIR_Coverage, 52376,
     /* 2289309 */     GIR_EraseRootFromParent_Done,
     /* 2289310 */   // Label 31080: @2289310
     /* 2289310 */   GIM_Try, /*On fail goto*//*Label 31081*/ GIMT_Encode4(2289358), // Rule ID 52377 //
     /* 2289315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289318 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2289321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2289335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289357 */     // GIR_Coverage, 52377,
     /* 2289357 */     GIR_EraseRootFromParent_Done,
     /* 2289358 */   // Label 31081: @2289358
     /* 2289358 */   GIM_Reject,
     /* 2289359 */ // Label 31079: @2289359
     /* 2289359 */ GIM_Reject,
     /* 2289360 */ // Label 31054: @2289360
     /* 2289360 */ GIM_Try, /*On fail goto*//*Label 31082*/ GIMT_Encode4(2289480),
     /* 2289365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2289368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2289371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289383 */   GIM_Try, /*On fail goto*//*Label 31083*/ GIMT_Encode4(2289431), // Rule ID 52388 //
     /* 2289388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289391 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2289394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2289408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289430 */     // GIR_Coverage, 52388,
     /* 2289430 */     GIR_EraseRootFromParent_Done,
     /* 2289431 */   // Label 31083: @2289431
     /* 2289431 */   GIM_Try, /*On fail goto*//*Label 31084*/ GIMT_Encode4(2289479), // Rule ID 52389 //
     /* 2289436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289439 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2289442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2289456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289478 */     // GIR_Coverage, 52389,
     /* 2289478 */     GIR_EraseRootFromParent_Done,
     /* 2289479 */   // Label 31084: @2289479
     /* 2289479 */   GIM_Reject,
     /* 2289480 */ // Label 31082: @2289480
     /* 2289480 */ GIM_Reject,
     /* 2289481 */ // Label 31055: @2289481
     /* 2289481 */ GIM_Try, /*On fail goto*//*Label 31085*/ GIMT_Encode4(2289601),
     /* 2289486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2289489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2289492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289504 */   GIM_Try, /*On fail goto*//*Label 31086*/ GIMT_Encode4(2289552), // Rule ID 52396 //
     /* 2289509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289512 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2289515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2289529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289551 */     // GIR_Coverage, 52396,
     /* 2289551 */     GIR_EraseRootFromParent_Done,
     /* 2289552 */   // Label 31086: @2289552
     /* 2289552 */   GIM_Try, /*On fail goto*//*Label 31087*/ GIMT_Encode4(2289600), // Rule ID 52397 //
     /* 2289557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289560 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2289563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2289577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289599 */     // GIR_Coverage, 52397,
     /* 2289599 */     GIR_EraseRootFromParent_Done,
     /* 2289600 */   // Label 31087: @2289600
     /* 2289600 */   GIM_Reject,
     /* 2289601 */ // Label 31085: @2289601
     /* 2289601 */ GIM_Reject,
     /* 2289602 */ // Label 31056: @2289602
     /* 2289602 */ GIM_Try, /*On fail goto*//*Label 31088*/ GIMT_Encode4(2289722),
     /* 2289607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2289610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2289613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289625 */   GIM_Try, /*On fail goto*//*Label 31089*/ GIMT_Encode4(2289673), // Rule ID 52412 //
     /* 2289630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2289633 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2289636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2289650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289672 */     // GIR_Coverage, 52412,
     /* 2289672 */     GIR_EraseRootFromParent_Done,
     /* 2289673 */   // Label 31089: @2289673
     /* 2289673 */   GIM_Try, /*On fail goto*//*Label 31090*/ GIMT_Encode4(2289721), // Rule ID 52413 //
     /* 2289678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2289681 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2289684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2289698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289720 */     // GIR_Coverage, 52413,
     /* 2289720 */     GIR_EraseRootFromParent_Done,
     /* 2289721 */   // Label 31090: @2289721
     /* 2289721 */   GIM_Reject,
     /* 2289722 */ // Label 31088: @2289722
     /* 2289722 */ GIM_Reject,
     /* 2289723 */ // Label 31057: @2289723
     /* 2289723 */ GIM_Try, /*On fail goto*//*Label 31091*/ GIMT_Encode4(2289843),
     /* 2289728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2289731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2289734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289746 */   GIM_Try, /*On fail goto*//*Label 31092*/ GIMT_Encode4(2289794), // Rule ID 52380 //
     /* 2289751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289754 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2289757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2289771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289793 */     // GIR_Coverage, 52380,
     /* 2289793 */     GIR_EraseRootFromParent_Done,
     /* 2289794 */   // Label 31092: @2289794
     /* 2289794 */   GIM_Try, /*On fail goto*//*Label 31093*/ GIMT_Encode4(2289842), // Rule ID 52381 //
     /* 2289799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289802 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2289805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2289819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289841 */     // GIR_Coverage, 52381,
     /* 2289841 */     GIR_EraseRootFromParent_Done,
     /* 2289842 */   // Label 31093: @2289842
     /* 2289842 */   GIM_Reject,
     /* 2289843 */ // Label 31091: @2289843
     /* 2289843 */ GIM_Reject,
     /* 2289844 */ // Label 31058: @2289844
     /* 2289844 */ GIM_Try, /*On fail goto*//*Label 31094*/ GIMT_Encode4(2289964),
     /* 2289849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2289852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2289855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289859 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289867 */   GIM_Try, /*On fail goto*//*Label 31095*/ GIMT_Encode4(2289915), // Rule ID 52392 //
     /* 2289872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289875 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2289878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2289892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289914 */     // GIR_Coverage, 52392,
     /* 2289914 */     GIR_EraseRootFromParent_Done,
     /* 2289915 */   // Label 31095: @2289915
     /* 2289915 */   GIM_Try, /*On fail goto*//*Label 31096*/ GIMT_Encode4(2289963), // Rule ID 52393 //
     /* 2289920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289923 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2289926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2289940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289962 */     // GIR_Coverage, 52393,
     /* 2289962 */     GIR_EraseRootFromParent_Done,
     /* 2289963 */   // Label 31096: @2289963
     /* 2289963 */   GIM_Reject,
     /* 2289964 */ // Label 31094: @2289964
     /* 2289964 */ GIM_Reject,
     /* 2289965 */ // Label 31059: @2289965
     /* 2289965 */ GIM_Try, /*On fail goto*//*Label 31097*/ GIMT_Encode4(2290085),
     /* 2289970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2289976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289988 */   GIM_Try, /*On fail goto*//*Label 31098*/ GIMT_Encode4(2290036), // Rule ID 52408 //
     /* 2289993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289996 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2289999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2290013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290035 */     // GIR_Coverage, 52408,
     /* 2290035 */     GIR_EraseRootFromParent_Done,
     /* 2290036 */   // Label 31098: @2290036
     /* 2290036 */   GIM_Try, /*On fail goto*//*Label 31099*/ GIMT_Encode4(2290084), // Rule ID 52409 //
     /* 2290041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2290044 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2290047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2290061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290083 */     // GIR_Coverage, 52409,
     /* 2290083 */     GIR_EraseRootFromParent_Done,
     /* 2290084 */   // Label 31099: @2290084
     /* 2290084 */   GIM_Reject,
     /* 2290085 */ // Label 31097: @2290085
     /* 2290085 */ GIM_Reject,
     /* 2290086 */ // Label 31060: @2290086
     /* 2290086 */ GIM_Try, /*On fail goto*//*Label 31100*/ GIMT_Encode4(2290206),
     /* 2290091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2290097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290109 */   GIM_Try, /*On fail goto*//*Label 31101*/ GIMT_Encode4(2290157), // Rule ID 52452 //
     /* 2290114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2290117 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2290120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2290134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290156 */     // GIR_Coverage, 52452,
     /* 2290156 */     GIR_EraseRootFromParent_Done,
     /* 2290157 */   // Label 31101: @2290157
     /* 2290157 */   GIM_Try, /*On fail goto*//*Label 31102*/ GIMT_Encode4(2290205), // Rule ID 52453 //
     /* 2290162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2290165 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2290168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2290182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290204 */     // GIR_Coverage, 52453,
     /* 2290204 */     GIR_EraseRootFromParent_Done,
     /* 2290205 */   // Label 31102: @2290205
     /* 2290205 */   GIM_Reject,
     /* 2290206 */ // Label 31100: @2290206
     /* 2290206 */ GIM_Reject,
     /* 2290207 */ // Label 31061: @2290207
     /* 2290207 */ GIM_Try, /*On fail goto*//*Label 31103*/ GIMT_Encode4(2290327),
     /* 2290212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2290215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2290218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290230 */   GIM_Try, /*On fail goto*//*Label 31104*/ GIMT_Encode4(2290278), // Rule ID 52384 //
     /* 2290235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2290238 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2290241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2290255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290277 */     // GIR_Coverage, 52384,
     /* 2290277 */     GIR_EraseRootFromParent_Done,
     /* 2290278 */   // Label 31104: @2290278
     /* 2290278 */   GIM_Try, /*On fail goto*//*Label 31105*/ GIMT_Encode4(2290326), // Rule ID 52385 //
     /* 2290283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2290286 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2290289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2290303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290325 */     // GIR_Coverage, 52385,
     /* 2290325 */     GIR_EraseRootFromParent_Done,
     /* 2290326 */   // Label 31105: @2290326
     /* 2290326 */   GIM_Reject,
     /* 2290327 */ // Label 31103: @2290327
     /* 2290327 */ GIM_Reject,
     /* 2290328 */ // Label 31062: @2290328
     /* 2290328 */ GIM_Try, /*On fail goto*//*Label 31106*/ GIMT_Encode4(2290448),
     /* 2290333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2290336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2290339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290351 */   GIM_Try, /*On fail goto*//*Label 31107*/ GIMT_Encode4(2290399), // Rule ID 52404 //
     /* 2290356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2290359 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2290362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2290376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290398 */     // GIR_Coverage, 52404,
     /* 2290398 */     GIR_EraseRootFromParent_Done,
     /* 2290399 */   // Label 31107: @2290399
     /* 2290399 */   GIM_Try, /*On fail goto*//*Label 31108*/ GIMT_Encode4(2290447), // Rule ID 52405 //
     /* 2290404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2290407 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2290410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2290424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290446 */     // GIR_Coverage, 52405,
     /* 2290446 */     GIR_EraseRootFromParent_Done,
     /* 2290447 */   // Label 31108: @2290447
     /* 2290447 */   GIM_Reject,
     /* 2290448 */ // Label 31106: @2290448
     /* 2290448 */ GIM_Reject,
     /* 2290449 */ // Label 31063: @2290449
     /* 2290449 */ GIM_Try, /*On fail goto*//*Label 31109*/ GIMT_Encode4(2290569),
     /* 2290454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2290457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2290460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290468 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290472 */   GIM_Try, /*On fail goto*//*Label 31110*/ GIMT_Encode4(2290520), // Rule ID 52440 //
     /* 2290477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2290480 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2290483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2290497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290519 */     // GIR_Coverage, 52440,
     /* 2290519 */     GIR_EraseRootFromParent_Done,
     /* 2290520 */   // Label 31110: @2290520
     /* 2290520 */   GIM_Try, /*On fail goto*//*Label 31111*/ GIMT_Encode4(2290568), // Rule ID 52441 //
     /* 2290525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2290528 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2290531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2290545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290567 */     // GIR_Coverage, 52441,
     /* 2290567 */     GIR_EraseRootFromParent_Done,
     /* 2290568 */   // Label 31111: @2290568
     /* 2290568 */   GIM_Reject,
     /* 2290569 */ // Label 31109: @2290569
     /* 2290569 */ GIM_Reject,
     /* 2290570 */ // Label 31064: @2290570
     /* 2290570 */ GIM_Try, /*On fail goto*//*Label 31112*/ GIMT_Encode4(2290690),
     /* 2290575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2290578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2290581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290593 */   GIM_Try, /*On fail goto*//*Label 31113*/ GIMT_Encode4(2290641), // Rule ID 52456 //
     /* 2290598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2290601 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2290604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2290618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290640 */     // GIR_Coverage, 52456,
     /* 2290640 */     GIR_EraseRootFromParent_Done,
     /* 2290641 */   // Label 31113: @2290641
     /* 2290641 */   GIM_Try, /*On fail goto*//*Label 31114*/ GIMT_Encode4(2290689), // Rule ID 52457 //
     /* 2290646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2290649 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2290652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2290666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290688 */     // GIR_Coverage, 52457,
     /* 2290688 */     GIR_EraseRootFromParent_Done,
     /* 2290689 */   // Label 31114: @2290689
     /* 2290689 */   GIM_Reject,
     /* 2290690 */ // Label 31112: @2290690
     /* 2290690 */ GIM_Reject,
     /* 2290691 */ // Label 31065: @2290691
     /* 2290691 */ GIM_Try, /*On fail goto*//*Label 31115*/ GIMT_Encode4(2290811),
     /* 2290696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2290699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2290702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290710 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290714 */   GIM_Try, /*On fail goto*//*Label 31116*/ GIMT_Encode4(2290762), // Rule ID 52400 //
     /* 2290719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2290722 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2290725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2290739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290761 */     // GIR_Coverage, 52400,
     /* 2290761 */     GIR_EraseRootFromParent_Done,
     /* 2290762 */   // Label 31116: @2290762
     /* 2290762 */   GIM_Try, /*On fail goto*//*Label 31117*/ GIMT_Encode4(2290810), // Rule ID 52401 //
     /* 2290767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2290770 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2290773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2290787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290809 */     // GIR_Coverage, 52401,
     /* 2290809 */     GIR_EraseRootFromParent_Done,
     /* 2290810 */   // Label 31117: @2290810
     /* 2290810 */   GIM_Reject,
     /* 2290811 */ // Label 31115: @2290811
     /* 2290811 */ GIM_Reject,
     /* 2290812 */ // Label 31066: @2290812
     /* 2290812 */ GIM_Try, /*On fail goto*//*Label 31118*/ GIMT_Encode4(2290932),
     /* 2290817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2290820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2290823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290831 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290835 */   GIM_Try, /*On fail goto*//*Label 31119*/ GIMT_Encode4(2290883), // Rule ID 52428 //
     /* 2290840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2290843 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2290846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2290860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290882 */     // GIR_Coverage, 52428,
     /* 2290882 */     GIR_EraseRootFromParent_Done,
     /* 2290883 */   // Label 31119: @2290883
     /* 2290883 */   GIM_Try, /*On fail goto*//*Label 31120*/ GIMT_Encode4(2290931), // Rule ID 52429 //
     /* 2290888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2290891 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2290894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2290908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290930 */     // GIR_Coverage, 52429,
     /* 2290930 */     GIR_EraseRootFromParent_Done,
     /* 2290931 */   // Label 31120: @2290931
     /* 2290931 */   GIM_Reject,
     /* 2290932 */ // Label 31118: @2290932
     /* 2290932 */ GIM_Reject,
     /* 2290933 */ // Label 31067: @2290933
     /* 2290933 */ GIM_Try, /*On fail goto*//*Label 31121*/ GIMT_Encode4(2291053),
     /* 2290938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2290944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290956 */   GIM_Try, /*On fail goto*//*Label 31122*/ GIMT_Encode4(2291004), // Rule ID 52444 //
     /* 2290961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2290964 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2290967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2290981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291003 */     // GIR_Coverage, 52444,
     /* 2291003 */     GIR_EraseRootFromParent_Done,
     /* 2291004 */   // Label 31122: @2291004
     /* 2291004 */   GIM_Try, /*On fail goto*//*Label 31123*/ GIMT_Encode4(2291052), // Rule ID 52445 //
     /* 2291009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2291012 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2291015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2291029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291051 */     // GIR_Coverage, 52445,
     /* 2291051 */     GIR_EraseRootFromParent_Done,
     /* 2291052 */   // Label 31123: @2291052
     /* 2291052 */   GIM_Reject,
     /* 2291053 */ // Label 31121: @2291053
     /* 2291053 */ GIM_Reject,
     /* 2291054 */ // Label 31068: @2291054
     /* 2291054 */ GIM_Try, /*On fail goto*//*Label 31124*/ GIMT_Encode4(2291174),
     /* 2291059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2291065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291077 */   GIM_Try, /*On fail goto*//*Label 31125*/ GIMT_Encode4(2291125), // Rule ID 52460 //
     /* 2291082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2291085 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2291088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2291102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291124 */     // GIR_Coverage, 52460,
     /* 2291124 */     GIR_EraseRootFromParent_Done,
     /* 2291125 */   // Label 31125: @2291125
     /* 2291125 */   GIM_Try, /*On fail goto*//*Label 31126*/ GIMT_Encode4(2291173), // Rule ID 52461 //
     /* 2291130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2291133 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2291136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2291150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291172 */     // GIR_Coverage, 52461,
     /* 2291172 */     GIR_EraseRootFromParent_Done,
     /* 2291173 */   // Label 31126: @2291173
     /* 2291173 */   GIM_Reject,
     /* 2291174 */ // Label 31124: @2291174
     /* 2291174 */ GIM_Reject,
     /* 2291175 */ // Label 31069: @2291175
     /* 2291175 */ GIM_Try, /*On fail goto*//*Label 31127*/ GIMT_Encode4(2291295),
     /* 2291180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2291183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2291186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291198 */   GIM_Try, /*On fail goto*//*Label 31128*/ GIMT_Encode4(2291246), // Rule ID 52416 //
     /* 2291203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2291206 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2291209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2291223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291245 */     // GIR_Coverage, 52416,
     /* 2291245 */     GIR_EraseRootFromParent_Done,
     /* 2291246 */   // Label 31128: @2291246
     /* 2291246 */   GIM_Try, /*On fail goto*//*Label 31129*/ GIMT_Encode4(2291294), // Rule ID 52417 //
     /* 2291251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2291254 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2291257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2291271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291293 */     // GIR_Coverage, 52417,
     /* 2291293 */     GIR_EraseRootFromParent_Done,
     /* 2291294 */   // Label 31129: @2291294
     /* 2291294 */   GIM_Reject,
     /* 2291295 */ // Label 31127: @2291295
     /* 2291295 */ GIM_Reject,
     /* 2291296 */ // Label 31070: @2291296
     /* 2291296 */ GIM_Try, /*On fail goto*//*Label 31130*/ GIMT_Encode4(2291416),
     /* 2291301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2291304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2291307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291319 */   GIM_Try, /*On fail goto*//*Label 31131*/ GIMT_Encode4(2291367), // Rule ID 52432 //
     /* 2291324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2291327 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2291330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2291344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291366 */     // GIR_Coverage, 52432,
     /* 2291366 */     GIR_EraseRootFromParent_Done,
     /* 2291367 */   // Label 31131: @2291367
     /* 2291367 */   GIM_Try, /*On fail goto*//*Label 31132*/ GIMT_Encode4(2291415), // Rule ID 52433 //
     /* 2291372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2291375 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2291378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2291392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291414 */     // GIR_Coverage, 52433,
     /* 2291414 */     GIR_EraseRootFromParent_Done,
     /* 2291415 */   // Label 31132: @2291415
     /* 2291415 */   GIM_Reject,
     /* 2291416 */ // Label 31130: @2291416
     /* 2291416 */ GIM_Reject,
     /* 2291417 */ // Label 31071: @2291417
     /* 2291417 */ GIM_Try, /*On fail goto*//*Label 31133*/ GIMT_Encode4(2291537),
     /* 2291422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2291425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2291428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291440 */   GIM_Try, /*On fail goto*//*Label 31134*/ GIMT_Encode4(2291488), // Rule ID 52448 //
     /* 2291445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2291448 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2291451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2291465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291487 */     // GIR_Coverage, 52448,
     /* 2291487 */     GIR_EraseRootFromParent_Done,
     /* 2291488 */   // Label 31134: @2291488
     /* 2291488 */   GIM_Try, /*On fail goto*//*Label 31135*/ GIMT_Encode4(2291536), // Rule ID 52449 //
     /* 2291493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2291496 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2291499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2291513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291535 */     // GIR_Coverage, 52449,
     /* 2291535 */     GIR_EraseRootFromParent_Done,
     /* 2291536 */   // Label 31135: @2291536
     /* 2291536 */   GIM_Reject,
     /* 2291537 */ // Label 31133: @2291537
     /* 2291537 */ GIM_Reject,
     /* 2291538 */ // Label 31072: @2291538
     /* 2291538 */ GIM_Try, /*On fail goto*//*Label 31136*/ GIMT_Encode4(2291658),
     /* 2291543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2291546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2291549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291561 */   GIM_Try, /*On fail goto*//*Label 31137*/ GIMT_Encode4(2291609), // Rule ID 52420 //
     /* 2291566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2291569 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2291572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2291586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291608 */     // GIR_Coverage, 52420,
     /* 2291608 */     GIR_EraseRootFromParent_Done,
     /* 2291609 */   // Label 31137: @2291609
     /* 2291609 */   GIM_Try, /*On fail goto*//*Label 31138*/ GIMT_Encode4(2291657), // Rule ID 52421 //
     /* 2291614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2291617 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2291620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2291634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291656 */     // GIR_Coverage, 52421,
     /* 2291656 */     GIR_EraseRootFromParent_Done,
     /* 2291657 */   // Label 31138: @2291657
     /* 2291657 */   GIM_Reject,
     /* 2291658 */ // Label 31136: @2291658
     /* 2291658 */ GIM_Reject,
     /* 2291659 */ // Label 31073: @2291659
     /* 2291659 */ GIM_Try, /*On fail goto*//*Label 31139*/ GIMT_Encode4(2291779),
     /* 2291664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2291667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2291670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291682 */   GIM_Try, /*On fail goto*//*Label 31140*/ GIMT_Encode4(2291730), // Rule ID 52436 //
     /* 2291687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2291690 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2291693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2291707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291729 */     // GIR_Coverage, 52436,
     /* 2291729 */     GIR_EraseRootFromParent_Done,
     /* 2291730 */   // Label 31140: @2291730
     /* 2291730 */   GIM_Try, /*On fail goto*//*Label 31141*/ GIMT_Encode4(2291778), // Rule ID 52437 //
     /* 2291735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2291738 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2291741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2291755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291777 */     // GIR_Coverage, 52437,
     /* 2291777 */     GIR_EraseRootFromParent_Done,
     /* 2291778 */   // Label 31141: @2291778
     /* 2291778 */   GIM_Reject,
     /* 2291779 */ // Label 31139: @2291779
     /* 2291779 */ GIM_Reject,
     /* 2291780 */ // Label 31074: @2291780
     /* 2291780 */ GIM_Try, /*On fail goto*//*Label 31142*/ GIMT_Encode4(2291900),
     /* 2291785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2291788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2291791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291803 */   GIM_Try, /*On fail goto*//*Label 31143*/ GIMT_Encode4(2291851), // Rule ID 52424 //
     /* 2291808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2291811 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2291814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2291828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291850 */     // GIR_Coverage, 52424,
     /* 2291850 */     GIR_EraseRootFromParent_Done,
     /* 2291851 */   // Label 31143: @2291851
     /* 2291851 */   GIM_Try, /*On fail goto*//*Label 31144*/ GIMT_Encode4(2291899), // Rule ID 52425 //
     /* 2291856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2291859 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2291862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2291876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291898 */     // GIR_Coverage, 52425,
     /* 2291898 */     GIR_EraseRootFromParent_Done,
     /* 2291899 */   // Label 31144: @2291899
     /* 2291899 */   GIM_Reject,
     /* 2291900 */ // Label 31142: @2291900
     /* 2291900 */ GIM_Reject,
     /* 2291901 */ // Label 31075: @2291901
     /* 2291901 */ GIM_Reject,
     /* 2291902 */ // Label 55: @2291902
     /* 2291902 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31168*/ GIMT_Encode4(2294754),
     /* 2291913 */ /*GILLT_s32*//*Label 31145*/ GIMT_Encode4(2292037), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2291925 */ /*GILLT_nxv1s8*//*Label 31146*/ GIMT_Encode4(2292092),
     /* 2291929 */ /*GILLT_nxv1s16*//*Label 31147*/ GIMT_Encode4(2292213),
     /* 2291933 */ /*GILLT_nxv1s32*//*Label 31148*/ GIMT_Encode4(2292334),
     /* 2291937 */ /*GILLT_nxv1s64*//*Label 31149*/ GIMT_Encode4(2292455), GIMT_Encode4(0),
     /* 2291945 */ /*GILLT_nxv2s8*//*Label 31150*/ GIMT_Encode4(2292576),
     /* 2291949 */ /*GILLT_nxv2s16*//*Label 31151*/ GIMT_Encode4(2292697),
     /* 2291953 */ /*GILLT_nxv2s32*//*Label 31152*/ GIMT_Encode4(2292818),
     /* 2291957 */ /*GILLT_nxv2s64*//*Label 31153*/ GIMT_Encode4(2292939), GIMT_Encode4(0),
     /* 2291965 */ /*GILLT_nxv4s8*//*Label 31154*/ GIMT_Encode4(2293060),
     /* 2291969 */ /*GILLT_nxv4s16*//*Label 31155*/ GIMT_Encode4(2293181),
     /* 2291973 */ /*GILLT_nxv4s32*//*Label 31156*/ GIMT_Encode4(2293302),
     /* 2291977 */ /*GILLT_nxv4s64*//*Label 31157*/ GIMT_Encode4(2293423), GIMT_Encode4(0),
     /* 2291985 */ /*GILLT_nxv8s8*//*Label 31158*/ GIMT_Encode4(2293544),
     /* 2291989 */ /*GILLT_nxv8s16*//*Label 31159*/ GIMT_Encode4(2293665),
     /* 2291993 */ /*GILLT_nxv8s32*//*Label 31160*/ GIMT_Encode4(2293786),
     /* 2291997 */ /*GILLT_nxv8s64*//*Label 31161*/ GIMT_Encode4(2293907), GIMT_Encode4(0),
     /* 2292005 */ /*GILLT_nxv16s8*//*Label 31162*/ GIMT_Encode4(2294028),
     /* 2292009 */ /*GILLT_nxv16s16*//*Label 31163*/ GIMT_Encode4(2294149),
     /* 2292013 */ /*GILLT_nxv16s32*//*Label 31164*/ GIMT_Encode4(2294270), GIMT_Encode4(0),
     /* 2292021 */ /*GILLT_nxv32s8*//*Label 31165*/ GIMT_Encode4(2294391),
     /* 2292025 */ /*GILLT_nxv32s16*//*Label 31166*/ GIMT_Encode4(2294512), GIMT_Encode4(0),
     /* 2292033 */ /*GILLT_nxv64s8*//*Label 31167*/ GIMT_Encode4(2294633),
     /* 2292037 */ // Label 31145: @2292037
     /* 2292037 */ GIM_Try, /*On fail goto*//*Label 31169*/ GIMT_Encode4(2292091),
     /* 2292042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2292045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2292048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2292052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2292056 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2292060 */   GIM_Try, /*On fail goto*//*Label 31170*/ GIMT_Encode4(2292075), // Rule ID 64585 //
     /* 2292065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2292068 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2292068 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2292073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292074 */     // GIR_Coverage, 64585,
     /* 2292074 */     GIR_Done,
     /* 2292075 */   // Label 31170: @2292075
     /* 2292075 */   GIM_Try, /*On fail goto*//*Label 31171*/ GIMT_Encode4(2292090), // Rule ID 64586 //
     /* 2292080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2292083 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2292083 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2292088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292089 */     // GIR_Coverage, 64586,
     /* 2292089 */     GIR_Done,
     /* 2292090 */   // Label 31171: @2292090
     /* 2292090 */   GIM_Reject,
     /* 2292091 */ // Label 31169: @2292091
     /* 2292091 */ GIM_Reject,
     /* 2292092 */ // Label 31146: @2292092
     /* 2292092 */ GIM_Try, /*On fail goto*//*Label 31172*/ GIMT_Encode4(2292212),
     /* 2292097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2292100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2292103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292115 */   GIM_Try, /*On fail goto*//*Label 31173*/ GIMT_Encode4(2292163), // Rule ID 52728 //
     /* 2292120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2292123 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2292126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2292140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292162 */     // GIR_Coverage, 52728,
     /* 2292162 */     GIR_EraseRootFromParent_Done,
     /* 2292163 */   // Label 31173: @2292163
     /* 2292163 */   GIM_Try, /*On fail goto*//*Label 31174*/ GIMT_Encode4(2292211), // Rule ID 52729 //
     /* 2292168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2292171 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2292174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2292188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292210 */     // GIR_Coverage, 52729,
     /* 2292210 */     GIR_EraseRootFromParent_Done,
     /* 2292211 */   // Label 31174: @2292211
     /* 2292211 */   GIM_Reject,
     /* 2292212 */ // Label 31172: @2292212
     /* 2292212 */ GIM_Reject,
     /* 2292213 */ // Label 31147: @2292213
     /* 2292213 */ GIM_Try, /*On fail goto*//*Label 31175*/ GIMT_Encode4(2292333),
     /* 2292218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2292224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292236 */   GIM_Try, /*On fail goto*//*Label 31176*/ GIMT_Encode4(2292284), // Rule ID 52740 //
     /* 2292241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2292244 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2292247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2292261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292283 */     // GIR_Coverage, 52740,
     /* 2292283 */     GIR_EraseRootFromParent_Done,
     /* 2292284 */   // Label 31176: @2292284
     /* 2292284 */   GIM_Try, /*On fail goto*//*Label 31177*/ GIMT_Encode4(2292332), // Rule ID 52741 //
     /* 2292289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2292292 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2292295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2292309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292331 */     // GIR_Coverage, 52741,
     /* 2292331 */     GIR_EraseRootFromParent_Done,
     /* 2292332 */   // Label 31177: @2292332
     /* 2292332 */   GIM_Reject,
     /* 2292333 */ // Label 31175: @2292333
     /* 2292333 */ GIM_Reject,
     /* 2292334 */ // Label 31148: @2292334
     /* 2292334 */ GIM_Try, /*On fail goto*//*Label 31178*/ GIMT_Encode4(2292454),
     /* 2292339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2292342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2292345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292353 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292357 */   GIM_Try, /*On fail goto*//*Label 31179*/ GIMT_Encode4(2292405), // Rule ID 52748 //
     /* 2292362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2292365 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2292368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2292382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292404 */     // GIR_Coverage, 52748,
     /* 2292404 */     GIR_EraseRootFromParent_Done,
     /* 2292405 */   // Label 31179: @2292405
     /* 2292405 */   GIM_Try, /*On fail goto*//*Label 31180*/ GIMT_Encode4(2292453), // Rule ID 52749 //
     /* 2292410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2292413 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2292416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2292430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292452 */     // GIR_Coverage, 52749,
     /* 2292452 */     GIR_EraseRootFromParent_Done,
     /* 2292453 */   // Label 31180: @2292453
     /* 2292453 */   GIM_Reject,
     /* 2292454 */ // Label 31178: @2292454
     /* 2292454 */ GIM_Reject,
     /* 2292455 */ // Label 31149: @2292455
     /* 2292455 */ GIM_Try, /*On fail goto*//*Label 31181*/ GIMT_Encode4(2292575),
     /* 2292460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2292463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2292466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292474 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292478 */   GIM_Try, /*On fail goto*//*Label 31182*/ GIMT_Encode4(2292526), // Rule ID 52764 //
     /* 2292483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2292486 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2292489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2292503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292525 */     // GIR_Coverage, 52764,
     /* 2292525 */     GIR_EraseRootFromParent_Done,
     /* 2292526 */   // Label 31182: @2292526
     /* 2292526 */   GIM_Try, /*On fail goto*//*Label 31183*/ GIMT_Encode4(2292574), // Rule ID 52765 //
     /* 2292531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2292534 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2292537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2292551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292573 */     // GIR_Coverage, 52765,
     /* 2292573 */     GIR_EraseRootFromParent_Done,
     /* 2292574 */   // Label 31183: @2292574
     /* 2292574 */   GIM_Reject,
     /* 2292575 */ // Label 31181: @2292575
     /* 2292575 */ GIM_Reject,
     /* 2292576 */ // Label 31150: @2292576
     /* 2292576 */ GIM_Try, /*On fail goto*//*Label 31184*/ GIMT_Encode4(2292696),
     /* 2292581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2292584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2292587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292599 */   GIM_Try, /*On fail goto*//*Label 31185*/ GIMT_Encode4(2292647), // Rule ID 52732 //
     /* 2292604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2292607 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2292610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2292624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292646 */     // GIR_Coverage, 52732,
     /* 2292646 */     GIR_EraseRootFromParent_Done,
     /* 2292647 */   // Label 31185: @2292647
     /* 2292647 */   GIM_Try, /*On fail goto*//*Label 31186*/ GIMT_Encode4(2292695), // Rule ID 52733 //
     /* 2292652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2292655 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2292658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2292672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292694 */     // GIR_Coverage, 52733,
     /* 2292694 */     GIR_EraseRootFromParent_Done,
     /* 2292695 */   // Label 31186: @2292695
     /* 2292695 */   GIM_Reject,
     /* 2292696 */ // Label 31184: @2292696
     /* 2292696 */ GIM_Reject,
     /* 2292697 */ // Label 31151: @2292697
     /* 2292697 */ GIM_Try, /*On fail goto*//*Label 31187*/ GIMT_Encode4(2292817),
     /* 2292702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2292705 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2292708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292716 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292720 */   GIM_Try, /*On fail goto*//*Label 31188*/ GIMT_Encode4(2292768), // Rule ID 52744 //
     /* 2292725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2292728 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2292731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2292745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292767 */     // GIR_Coverage, 52744,
     /* 2292767 */     GIR_EraseRootFromParent_Done,
     /* 2292768 */   // Label 31188: @2292768
     /* 2292768 */   GIM_Try, /*On fail goto*//*Label 31189*/ GIMT_Encode4(2292816), // Rule ID 52745 //
     /* 2292773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2292776 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2292779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2292793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292815 */     // GIR_Coverage, 52745,
     /* 2292815 */     GIR_EraseRootFromParent_Done,
     /* 2292816 */   // Label 31189: @2292816
     /* 2292816 */   GIM_Reject,
     /* 2292817 */ // Label 31187: @2292817
     /* 2292817 */ GIM_Reject,
     /* 2292818 */ // Label 31152: @2292818
     /* 2292818 */ GIM_Try, /*On fail goto*//*Label 31190*/ GIMT_Encode4(2292938),
     /* 2292823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2292826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2292829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292841 */   GIM_Try, /*On fail goto*//*Label 31191*/ GIMT_Encode4(2292889), // Rule ID 52760 //
     /* 2292846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2292849 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2292852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2292866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292888 */     // GIR_Coverage, 52760,
     /* 2292888 */     GIR_EraseRootFromParent_Done,
     /* 2292889 */   // Label 31191: @2292889
     /* 2292889 */   GIM_Try, /*On fail goto*//*Label 31192*/ GIMT_Encode4(2292937), // Rule ID 52761 //
     /* 2292894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2292897 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2292900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2292914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292936 */     // GIR_Coverage, 52761,
     /* 2292936 */     GIR_EraseRootFromParent_Done,
     /* 2292937 */   // Label 31192: @2292937
     /* 2292937 */   GIM_Reject,
     /* 2292938 */ // Label 31190: @2292938
     /* 2292938 */ GIM_Reject,
     /* 2292939 */ // Label 31153: @2292939
     /* 2292939 */ GIM_Try, /*On fail goto*//*Label 31193*/ GIMT_Encode4(2293059),
     /* 2292944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2292947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2292950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292962 */   GIM_Try, /*On fail goto*//*Label 31194*/ GIMT_Encode4(2293010), // Rule ID 52804 //
     /* 2292967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2292970 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2292973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2292987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293009 */     // GIR_Coverage, 52804,
     /* 2293009 */     GIR_EraseRootFromParent_Done,
     /* 2293010 */   // Label 31194: @2293010
     /* 2293010 */   GIM_Try, /*On fail goto*//*Label 31195*/ GIMT_Encode4(2293058), // Rule ID 52805 //
     /* 2293015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2293018 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2293021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2293035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293057 */     // GIR_Coverage, 52805,
     /* 2293057 */     GIR_EraseRootFromParent_Done,
     /* 2293058 */   // Label 31195: @2293058
     /* 2293058 */   GIM_Reject,
     /* 2293059 */ // Label 31193: @2293059
     /* 2293059 */ GIM_Reject,
     /* 2293060 */ // Label 31154: @2293060
     /* 2293060 */ GIM_Try, /*On fail goto*//*Label 31196*/ GIMT_Encode4(2293180),
     /* 2293065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2293068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2293071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293083 */   GIM_Try, /*On fail goto*//*Label 31197*/ GIMT_Encode4(2293131), // Rule ID 52736 //
     /* 2293088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2293091 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2293094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2293108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293130 */     // GIR_Coverage, 52736,
     /* 2293130 */     GIR_EraseRootFromParent_Done,
     /* 2293131 */   // Label 31197: @2293131
     /* 2293131 */   GIM_Try, /*On fail goto*//*Label 31198*/ GIMT_Encode4(2293179), // Rule ID 52737 //
     /* 2293136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2293139 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2293142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2293156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293178 */     // GIR_Coverage, 52737,
     /* 2293178 */     GIR_EraseRootFromParent_Done,
     /* 2293179 */   // Label 31198: @2293179
     /* 2293179 */   GIM_Reject,
     /* 2293180 */ // Label 31196: @2293180
     /* 2293180 */ GIM_Reject,
     /* 2293181 */ // Label 31155: @2293181
     /* 2293181 */ GIM_Try, /*On fail goto*//*Label 31199*/ GIMT_Encode4(2293301),
     /* 2293186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2293189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2293192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293200 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293204 */   GIM_Try, /*On fail goto*//*Label 31200*/ GIMT_Encode4(2293252), // Rule ID 52756 //
     /* 2293209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2293212 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2293215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2293229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293251 */     // GIR_Coverage, 52756,
     /* 2293251 */     GIR_EraseRootFromParent_Done,
     /* 2293252 */   // Label 31200: @2293252
     /* 2293252 */   GIM_Try, /*On fail goto*//*Label 31201*/ GIMT_Encode4(2293300), // Rule ID 52757 //
     /* 2293257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2293260 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2293263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2293277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293299 */     // GIR_Coverage, 52757,
     /* 2293299 */     GIR_EraseRootFromParent_Done,
     /* 2293300 */   // Label 31201: @2293300
     /* 2293300 */   GIM_Reject,
     /* 2293301 */ // Label 31199: @2293301
     /* 2293301 */ GIM_Reject,
     /* 2293302 */ // Label 31156: @2293302
     /* 2293302 */ GIM_Try, /*On fail goto*//*Label 31202*/ GIMT_Encode4(2293422),
     /* 2293307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2293310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2293313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293325 */   GIM_Try, /*On fail goto*//*Label 31203*/ GIMT_Encode4(2293373), // Rule ID 52792 //
     /* 2293330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2293333 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2293336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2293350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293372 */     // GIR_Coverage, 52792,
     /* 2293372 */     GIR_EraseRootFromParent_Done,
     /* 2293373 */   // Label 31203: @2293373
     /* 2293373 */   GIM_Try, /*On fail goto*//*Label 31204*/ GIMT_Encode4(2293421), // Rule ID 52793 //
     /* 2293378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2293381 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2293384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2293398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293420 */     // GIR_Coverage, 52793,
     /* 2293420 */     GIR_EraseRootFromParent_Done,
     /* 2293421 */   // Label 31204: @2293421
     /* 2293421 */   GIM_Reject,
     /* 2293422 */ // Label 31202: @2293422
     /* 2293422 */ GIM_Reject,
     /* 2293423 */ // Label 31157: @2293423
     /* 2293423 */ GIM_Try, /*On fail goto*//*Label 31205*/ GIMT_Encode4(2293543),
     /* 2293428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2293431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2293434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293446 */   GIM_Try, /*On fail goto*//*Label 31206*/ GIMT_Encode4(2293494), // Rule ID 52808 //
     /* 2293451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2293454 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2293457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2293471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293493 */     // GIR_Coverage, 52808,
     /* 2293493 */     GIR_EraseRootFromParent_Done,
     /* 2293494 */   // Label 31206: @2293494
     /* 2293494 */   GIM_Try, /*On fail goto*//*Label 31207*/ GIMT_Encode4(2293542), // Rule ID 52809 //
     /* 2293499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2293502 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2293505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2293519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293541 */     // GIR_Coverage, 52809,
     /* 2293541 */     GIR_EraseRootFromParent_Done,
     /* 2293542 */   // Label 31207: @2293542
     /* 2293542 */   GIM_Reject,
     /* 2293543 */ // Label 31205: @2293543
     /* 2293543 */ GIM_Reject,
     /* 2293544 */ // Label 31158: @2293544
     /* 2293544 */ GIM_Try, /*On fail goto*//*Label 31208*/ GIMT_Encode4(2293664),
     /* 2293549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2293552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2293555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293567 */   GIM_Try, /*On fail goto*//*Label 31209*/ GIMT_Encode4(2293615), // Rule ID 52752 //
     /* 2293572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2293575 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2293578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2293592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293614 */     // GIR_Coverage, 52752,
     /* 2293614 */     GIR_EraseRootFromParent_Done,
     /* 2293615 */   // Label 31209: @2293615
     /* 2293615 */   GIM_Try, /*On fail goto*//*Label 31210*/ GIMT_Encode4(2293663), // Rule ID 52753 //
     /* 2293620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2293623 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2293626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2293640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293662 */     // GIR_Coverage, 52753,
     /* 2293662 */     GIR_EraseRootFromParent_Done,
     /* 2293663 */   // Label 31210: @2293663
     /* 2293663 */   GIM_Reject,
     /* 2293664 */ // Label 31208: @2293664
     /* 2293664 */ GIM_Reject,
     /* 2293665 */ // Label 31159: @2293665
     /* 2293665 */ GIM_Try, /*On fail goto*//*Label 31211*/ GIMT_Encode4(2293785),
     /* 2293670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2293676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293688 */   GIM_Try, /*On fail goto*//*Label 31212*/ GIMT_Encode4(2293736), // Rule ID 52780 //
     /* 2293693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2293696 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2293699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2293713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293735 */     // GIR_Coverage, 52780,
     /* 2293735 */     GIR_EraseRootFromParent_Done,
     /* 2293736 */   // Label 31212: @2293736
     /* 2293736 */   GIM_Try, /*On fail goto*//*Label 31213*/ GIMT_Encode4(2293784), // Rule ID 52781 //
     /* 2293741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2293744 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2293747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2293761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293783 */     // GIR_Coverage, 52781,
     /* 2293783 */     GIR_EraseRootFromParent_Done,
     /* 2293784 */   // Label 31213: @2293784
     /* 2293784 */   GIM_Reject,
     /* 2293785 */ // Label 31211: @2293785
     /* 2293785 */ GIM_Reject,
     /* 2293786 */ // Label 31160: @2293786
     /* 2293786 */ GIM_Try, /*On fail goto*//*Label 31214*/ GIMT_Encode4(2293906),
     /* 2293791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2293794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2293797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293809 */   GIM_Try, /*On fail goto*//*Label 31215*/ GIMT_Encode4(2293857), // Rule ID 52796 //
     /* 2293814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2293817 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2293820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2293834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293856 */     // GIR_Coverage, 52796,
     /* 2293856 */     GIR_EraseRootFromParent_Done,
     /* 2293857 */   // Label 31215: @2293857
     /* 2293857 */   GIM_Try, /*On fail goto*//*Label 31216*/ GIMT_Encode4(2293905), // Rule ID 52797 //
     /* 2293862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2293865 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2293868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2293882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293904 */     // GIR_Coverage, 52797,
     /* 2293904 */     GIR_EraseRootFromParent_Done,
     /* 2293905 */   // Label 31216: @2293905
     /* 2293905 */   GIM_Reject,
     /* 2293906 */ // Label 31214: @2293906
     /* 2293906 */ GIM_Reject,
     /* 2293907 */ // Label 31161: @2293907
     /* 2293907 */ GIM_Try, /*On fail goto*//*Label 31217*/ GIMT_Encode4(2294027),
     /* 2293912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2293915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2293918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293930 */   GIM_Try, /*On fail goto*//*Label 31218*/ GIMT_Encode4(2293978), // Rule ID 52812 //
     /* 2293935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2293938 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2293941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2293955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293977 */     // GIR_Coverage, 52812,
     /* 2293977 */     GIR_EraseRootFromParent_Done,
     /* 2293978 */   // Label 31218: @2293978
     /* 2293978 */   GIM_Try, /*On fail goto*//*Label 31219*/ GIMT_Encode4(2294026), // Rule ID 52813 //
     /* 2293983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2293986 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2293989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2294003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294025 */     // GIR_Coverage, 52813,
     /* 2294025 */     GIR_EraseRootFromParent_Done,
     /* 2294026 */   // Label 31219: @2294026
     /* 2294026 */   GIM_Reject,
     /* 2294027 */ // Label 31217: @2294027
     /* 2294027 */ GIM_Reject,
     /* 2294028 */ // Label 31162: @2294028
     /* 2294028 */ GIM_Try, /*On fail goto*//*Label 31220*/ GIMT_Encode4(2294148),
     /* 2294033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2294036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2294039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294051 */   GIM_Try, /*On fail goto*//*Label 31221*/ GIMT_Encode4(2294099), // Rule ID 52768 //
     /* 2294056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294059 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2294062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2294076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294098 */     // GIR_Coverage, 52768,
     /* 2294098 */     GIR_EraseRootFromParent_Done,
     /* 2294099 */   // Label 31221: @2294099
     /* 2294099 */   GIM_Try, /*On fail goto*//*Label 31222*/ GIMT_Encode4(2294147), // Rule ID 52769 //
     /* 2294104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2294107 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2294110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2294124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294146 */     // GIR_Coverage, 52769,
     /* 2294146 */     GIR_EraseRootFromParent_Done,
     /* 2294147 */   // Label 31222: @2294147
     /* 2294147 */   GIM_Reject,
     /* 2294148 */ // Label 31220: @2294148
     /* 2294148 */ GIM_Reject,
     /* 2294149 */ // Label 31163: @2294149
     /* 2294149 */ GIM_Try, /*On fail goto*//*Label 31223*/ GIMT_Encode4(2294269),
     /* 2294154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2294157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2294160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294172 */   GIM_Try, /*On fail goto*//*Label 31224*/ GIMT_Encode4(2294220), // Rule ID 52784 //
     /* 2294177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294180 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2294183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2294197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294219 */     // GIR_Coverage, 52784,
     /* 2294219 */     GIR_EraseRootFromParent_Done,
     /* 2294220 */   // Label 31224: @2294220
     /* 2294220 */   GIM_Try, /*On fail goto*//*Label 31225*/ GIMT_Encode4(2294268), // Rule ID 52785 //
     /* 2294225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2294228 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2294231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2294245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294267 */     // GIR_Coverage, 52785,
     /* 2294267 */     GIR_EraseRootFromParent_Done,
     /* 2294268 */   // Label 31225: @2294268
     /* 2294268 */   GIM_Reject,
     /* 2294269 */ // Label 31223: @2294269
     /* 2294269 */ GIM_Reject,
     /* 2294270 */ // Label 31164: @2294270
     /* 2294270 */ GIM_Try, /*On fail goto*//*Label 31226*/ GIMT_Encode4(2294390),
     /* 2294275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2294278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2294281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294293 */   GIM_Try, /*On fail goto*//*Label 31227*/ GIMT_Encode4(2294341), // Rule ID 52800 //
     /* 2294298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294301 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2294304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2294318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294340 */     // GIR_Coverage, 52800,
     /* 2294340 */     GIR_EraseRootFromParent_Done,
     /* 2294341 */   // Label 31227: @2294341
     /* 2294341 */   GIM_Try, /*On fail goto*//*Label 31228*/ GIMT_Encode4(2294389), // Rule ID 52801 //
     /* 2294346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2294349 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2294352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2294366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294388 */     // GIR_Coverage, 52801,
     /* 2294388 */     GIR_EraseRootFromParent_Done,
     /* 2294389 */   // Label 31228: @2294389
     /* 2294389 */   GIM_Reject,
     /* 2294390 */ // Label 31226: @2294390
     /* 2294390 */ GIM_Reject,
     /* 2294391 */ // Label 31165: @2294391
     /* 2294391 */ GIM_Try, /*On fail goto*//*Label 31229*/ GIMT_Encode4(2294511),
     /* 2294396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2294399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2294402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294414 */   GIM_Try, /*On fail goto*//*Label 31230*/ GIMT_Encode4(2294462), // Rule ID 52772 //
     /* 2294419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294422 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2294425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2294439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294461 */     // GIR_Coverage, 52772,
     /* 2294461 */     GIR_EraseRootFromParent_Done,
     /* 2294462 */   // Label 31230: @2294462
     /* 2294462 */   GIM_Try, /*On fail goto*//*Label 31231*/ GIMT_Encode4(2294510), // Rule ID 52773 //
     /* 2294467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2294470 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2294473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2294487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294509 */     // GIR_Coverage, 52773,
     /* 2294509 */     GIR_EraseRootFromParent_Done,
     /* 2294510 */   // Label 31231: @2294510
     /* 2294510 */   GIM_Reject,
     /* 2294511 */ // Label 31229: @2294511
     /* 2294511 */ GIM_Reject,
     /* 2294512 */ // Label 31166: @2294512
     /* 2294512 */ GIM_Try, /*On fail goto*//*Label 31232*/ GIMT_Encode4(2294632),
     /* 2294517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2294520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2294523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294535 */   GIM_Try, /*On fail goto*//*Label 31233*/ GIMT_Encode4(2294583), // Rule ID 52788 //
     /* 2294540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294543 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2294546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2294560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294582 */     // GIR_Coverage, 52788,
     /* 2294582 */     GIR_EraseRootFromParent_Done,
     /* 2294583 */   // Label 31233: @2294583
     /* 2294583 */   GIM_Try, /*On fail goto*//*Label 31234*/ GIMT_Encode4(2294631), // Rule ID 52789 //
     /* 2294588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2294591 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2294594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2294608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294630 */     // GIR_Coverage, 52789,
     /* 2294630 */     GIR_EraseRootFromParent_Done,
     /* 2294631 */   // Label 31234: @2294631
     /* 2294631 */   GIM_Reject,
     /* 2294632 */ // Label 31232: @2294632
     /* 2294632 */ GIM_Reject,
     /* 2294633 */ // Label 31167: @2294633
     /* 2294633 */ GIM_Try, /*On fail goto*//*Label 31235*/ GIMT_Encode4(2294753),
     /* 2294638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2294641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2294644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294656 */   GIM_Try, /*On fail goto*//*Label 31236*/ GIMT_Encode4(2294704), // Rule ID 52776 //
     /* 2294661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294664 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2294667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2294681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294703 */     // GIR_Coverage, 52776,
     /* 2294703 */     GIR_EraseRootFromParent_Done,
     /* 2294704 */   // Label 31236: @2294704
     /* 2294704 */   GIM_Try, /*On fail goto*//*Label 31237*/ GIMT_Encode4(2294752), // Rule ID 52777 //
     /* 2294709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2294712 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2294715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2294729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294751 */     // GIR_Coverage, 52777,
     /* 2294751 */     GIR_EraseRootFromParent_Done,
     /* 2294752 */   // Label 31237: @2294752
     /* 2294752 */   GIM_Reject,
     /* 2294753 */ // Label 31235: @2294753
     /* 2294753 */ GIM_Reject,
     /* 2294754 */ // Label 31168: @2294754
     /* 2294754 */ GIM_Reject,
     /* 2294755 */ // Label 56: @2294755
     /* 2294755 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31261*/ GIMT_Encode4(2297607),
     /* 2294766 */ /*GILLT_s32*//*Label 31238*/ GIMT_Encode4(2294890), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2294778 */ /*GILLT_nxv1s8*//*Label 31239*/ GIMT_Encode4(2294945),
     /* 2294782 */ /*GILLT_nxv1s16*//*Label 31240*/ GIMT_Encode4(2295066),
     /* 2294786 */ /*GILLT_nxv1s32*//*Label 31241*/ GIMT_Encode4(2295187),
     /* 2294790 */ /*GILLT_nxv1s64*//*Label 31242*/ GIMT_Encode4(2295308), GIMT_Encode4(0),
     /* 2294798 */ /*GILLT_nxv2s8*//*Label 31243*/ GIMT_Encode4(2295429),
     /* 2294802 */ /*GILLT_nxv2s16*//*Label 31244*/ GIMT_Encode4(2295550),
     /* 2294806 */ /*GILLT_nxv2s32*//*Label 31245*/ GIMT_Encode4(2295671),
     /* 2294810 */ /*GILLT_nxv2s64*//*Label 31246*/ GIMT_Encode4(2295792), GIMT_Encode4(0),
     /* 2294818 */ /*GILLT_nxv4s8*//*Label 31247*/ GIMT_Encode4(2295913),
     /* 2294822 */ /*GILLT_nxv4s16*//*Label 31248*/ GIMT_Encode4(2296034),
     /* 2294826 */ /*GILLT_nxv4s32*//*Label 31249*/ GIMT_Encode4(2296155),
     /* 2294830 */ /*GILLT_nxv4s64*//*Label 31250*/ GIMT_Encode4(2296276), GIMT_Encode4(0),
     /* 2294838 */ /*GILLT_nxv8s8*//*Label 31251*/ GIMT_Encode4(2296397),
     /* 2294842 */ /*GILLT_nxv8s16*//*Label 31252*/ GIMT_Encode4(2296518),
     /* 2294846 */ /*GILLT_nxv8s32*//*Label 31253*/ GIMT_Encode4(2296639),
     /* 2294850 */ /*GILLT_nxv8s64*//*Label 31254*/ GIMT_Encode4(2296760), GIMT_Encode4(0),
     /* 2294858 */ /*GILLT_nxv16s8*//*Label 31255*/ GIMT_Encode4(2296881),
     /* 2294862 */ /*GILLT_nxv16s16*//*Label 31256*/ GIMT_Encode4(2297002),
     /* 2294866 */ /*GILLT_nxv16s32*//*Label 31257*/ GIMT_Encode4(2297123), GIMT_Encode4(0),
     /* 2294874 */ /*GILLT_nxv32s8*//*Label 31258*/ GIMT_Encode4(2297244),
     /* 2294878 */ /*GILLT_nxv32s16*//*Label 31259*/ GIMT_Encode4(2297365), GIMT_Encode4(0),
     /* 2294886 */ /*GILLT_nxv64s8*//*Label 31260*/ GIMT_Encode4(2297486),
     /* 2294890 */ // Label 31238: @2294890
     /* 2294890 */ GIM_Try, /*On fail goto*//*Label 31262*/ GIMT_Encode4(2294944),
     /* 2294895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2294901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2294905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2294909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2294913 */   GIM_Try, /*On fail goto*//*Label 31263*/ GIMT_Encode4(2294928), // Rule ID 64583 //
     /* 2294918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2294921 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2294921 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2294926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294927 */     // GIR_Coverage, 64583,
     /* 2294927 */     GIR_Done,
     /* 2294928 */   // Label 31263: @2294928
     /* 2294928 */   GIM_Try, /*On fail goto*//*Label 31264*/ GIMT_Encode4(2294943), // Rule ID 64584 //
     /* 2294933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2294936 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2294936 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2294941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294942 */     // GIR_Coverage, 64584,
     /* 2294942 */     GIR_Done,
     /* 2294943 */   // Label 31264: @2294943
     /* 2294943 */   GIM_Reject,
     /* 2294944 */ // Label 31262: @2294944
     /* 2294944 */ GIM_Reject,
     /* 2294945 */ // Label 31239: @2294945
     /* 2294945 */ GIM_Try, /*On fail goto*//*Label 31265*/ GIMT_Encode4(2295065),
     /* 2294950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2294953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2294956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294968 */   GIM_Try, /*On fail goto*//*Label 31266*/ GIMT_Encode4(2295016), // Rule ID 52640 //
     /* 2294973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294976 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2294979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2294993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295015 */     // GIR_Coverage, 52640,
     /* 2295015 */     GIR_EraseRootFromParent_Done,
     /* 2295016 */   // Label 31266: @2295016
     /* 2295016 */   GIM_Try, /*On fail goto*//*Label 31267*/ GIMT_Encode4(2295064), // Rule ID 52641 //
     /* 2295021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295024 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2295027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2295041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295063 */     // GIR_Coverage, 52641,
     /* 2295063 */     GIR_EraseRootFromParent_Done,
     /* 2295064 */   // Label 31267: @2295064
     /* 2295064 */   GIM_Reject,
     /* 2295065 */ // Label 31265: @2295065
     /* 2295065 */ GIM_Reject,
     /* 2295066 */ // Label 31240: @2295066
     /* 2295066 */ GIM_Try, /*On fail goto*//*Label 31268*/ GIMT_Encode4(2295186),
     /* 2295071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2295074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2295077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295089 */   GIM_Try, /*On fail goto*//*Label 31269*/ GIMT_Encode4(2295137), // Rule ID 52652 //
     /* 2295094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2295097 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2295100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2295114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295136 */     // GIR_Coverage, 52652,
     /* 2295136 */     GIR_EraseRootFromParent_Done,
     /* 2295137 */   // Label 31269: @2295137
     /* 2295137 */   GIM_Try, /*On fail goto*//*Label 31270*/ GIMT_Encode4(2295185), // Rule ID 52653 //
     /* 2295142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295145 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2295148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2295162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295184 */     // GIR_Coverage, 52653,
     /* 2295184 */     GIR_EraseRootFromParent_Done,
     /* 2295185 */   // Label 31270: @2295185
     /* 2295185 */   GIM_Reject,
     /* 2295186 */ // Label 31268: @2295186
     /* 2295186 */ GIM_Reject,
     /* 2295187 */ // Label 31241: @2295187
     /* 2295187 */ GIM_Try, /*On fail goto*//*Label 31271*/ GIMT_Encode4(2295307),
     /* 2295192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2295195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2295198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295210 */   GIM_Try, /*On fail goto*//*Label 31272*/ GIMT_Encode4(2295258), // Rule ID 52660 //
     /* 2295215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2295218 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2295221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2295235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295257 */     // GIR_Coverage, 52660,
     /* 2295257 */     GIR_EraseRootFromParent_Done,
     /* 2295258 */   // Label 31272: @2295258
     /* 2295258 */   GIM_Try, /*On fail goto*//*Label 31273*/ GIMT_Encode4(2295306), // Rule ID 52661 //
     /* 2295263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295266 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2295269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2295283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295301 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295305 */     // GIR_Coverage, 52661,
     /* 2295305 */     GIR_EraseRootFromParent_Done,
     /* 2295306 */   // Label 31273: @2295306
     /* 2295306 */   GIM_Reject,
     /* 2295307 */ // Label 31271: @2295307
     /* 2295307 */ GIM_Reject,
     /* 2295308 */ // Label 31242: @2295308
     /* 2295308 */ GIM_Try, /*On fail goto*//*Label 31274*/ GIMT_Encode4(2295428),
     /* 2295313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2295316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2295319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295331 */   GIM_Try, /*On fail goto*//*Label 31275*/ GIMT_Encode4(2295379), // Rule ID 52676 //
     /* 2295336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2295339 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2295342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2295356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295378 */     // GIR_Coverage, 52676,
     /* 2295378 */     GIR_EraseRootFromParent_Done,
     /* 2295379 */   // Label 31275: @2295379
     /* 2295379 */   GIM_Try, /*On fail goto*//*Label 31276*/ GIMT_Encode4(2295427), // Rule ID 52677 //
     /* 2295384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2295387 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2295390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2295404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295426 */     // GIR_Coverage, 52677,
     /* 2295426 */     GIR_EraseRootFromParent_Done,
     /* 2295427 */   // Label 31276: @2295427
     /* 2295427 */   GIM_Reject,
     /* 2295428 */ // Label 31274: @2295428
     /* 2295428 */ GIM_Reject,
     /* 2295429 */ // Label 31243: @2295429
     /* 2295429 */ GIM_Try, /*On fail goto*//*Label 31277*/ GIMT_Encode4(2295549),
     /* 2295434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2295437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2295440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295452 */   GIM_Try, /*On fail goto*//*Label 31278*/ GIMT_Encode4(2295500), // Rule ID 52644 //
     /* 2295457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2295460 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2295463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2295477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295499 */     // GIR_Coverage, 52644,
     /* 2295499 */     GIR_EraseRootFromParent_Done,
     /* 2295500 */   // Label 31278: @2295500
     /* 2295500 */   GIM_Try, /*On fail goto*//*Label 31279*/ GIMT_Encode4(2295548), // Rule ID 52645 //
     /* 2295505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295508 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2295511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2295525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295547 */     // GIR_Coverage, 52645,
     /* 2295547 */     GIR_EraseRootFromParent_Done,
     /* 2295548 */   // Label 31279: @2295548
     /* 2295548 */   GIM_Reject,
     /* 2295549 */ // Label 31277: @2295549
     /* 2295549 */ GIM_Reject,
     /* 2295550 */ // Label 31244: @2295550
     /* 2295550 */ GIM_Try, /*On fail goto*//*Label 31280*/ GIMT_Encode4(2295670),
     /* 2295555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2295561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295573 */   GIM_Try, /*On fail goto*//*Label 31281*/ GIMT_Encode4(2295621), // Rule ID 52656 //
     /* 2295578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2295581 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2295584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2295598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295620 */     // GIR_Coverage, 52656,
     /* 2295620 */     GIR_EraseRootFromParent_Done,
     /* 2295621 */   // Label 31281: @2295621
     /* 2295621 */   GIM_Try, /*On fail goto*//*Label 31282*/ GIMT_Encode4(2295669), // Rule ID 52657 //
     /* 2295626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295629 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2295632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2295646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295668 */     // GIR_Coverage, 52657,
     /* 2295668 */     GIR_EraseRootFromParent_Done,
     /* 2295669 */   // Label 31282: @2295669
     /* 2295669 */   GIM_Reject,
     /* 2295670 */ // Label 31280: @2295670
     /* 2295670 */ GIM_Reject,
     /* 2295671 */ // Label 31245: @2295671
     /* 2295671 */ GIM_Try, /*On fail goto*//*Label 31283*/ GIMT_Encode4(2295791),
     /* 2295676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2295682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295694 */   GIM_Try, /*On fail goto*//*Label 31284*/ GIMT_Encode4(2295742), // Rule ID 52672 //
     /* 2295699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2295702 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2295705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2295719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295741 */     // GIR_Coverage, 52672,
     /* 2295741 */     GIR_EraseRootFromParent_Done,
     /* 2295742 */   // Label 31284: @2295742
     /* 2295742 */   GIM_Try, /*On fail goto*//*Label 31285*/ GIMT_Encode4(2295790), // Rule ID 52673 //
     /* 2295747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295750 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2295753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2295767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295789 */     // GIR_Coverage, 52673,
     /* 2295789 */     GIR_EraseRootFromParent_Done,
     /* 2295790 */   // Label 31285: @2295790
     /* 2295790 */   GIM_Reject,
     /* 2295791 */ // Label 31283: @2295791
     /* 2295791 */ GIM_Reject,
     /* 2295792 */ // Label 31246: @2295792
     /* 2295792 */ GIM_Try, /*On fail goto*//*Label 31286*/ GIMT_Encode4(2295912),
     /* 2295797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2295800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2295803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295815 */   GIM_Try, /*On fail goto*//*Label 31287*/ GIMT_Encode4(2295863), // Rule ID 52716 //
     /* 2295820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2295823 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2295826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2295840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295862 */     // GIR_Coverage, 52716,
     /* 2295862 */     GIR_EraseRootFromParent_Done,
     /* 2295863 */   // Label 31287: @2295863
     /* 2295863 */   GIM_Try, /*On fail goto*//*Label 31288*/ GIMT_Encode4(2295911), // Rule ID 52717 //
     /* 2295868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2295871 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2295874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2295888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295910 */     // GIR_Coverage, 52717,
     /* 2295910 */     GIR_EraseRootFromParent_Done,
     /* 2295911 */   // Label 31288: @2295911
     /* 2295911 */   GIM_Reject,
     /* 2295912 */ // Label 31286: @2295912
     /* 2295912 */ GIM_Reject,
     /* 2295913 */ // Label 31247: @2295913
     /* 2295913 */ GIM_Try, /*On fail goto*//*Label 31289*/ GIMT_Encode4(2296033),
     /* 2295918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2295921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2295924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295936 */   GIM_Try, /*On fail goto*//*Label 31290*/ GIMT_Encode4(2295984), // Rule ID 52648 //
     /* 2295941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2295944 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2295947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2295961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295983 */     // GIR_Coverage, 52648,
     /* 2295983 */     GIR_EraseRootFromParent_Done,
     /* 2295984 */   // Label 31290: @2295984
     /* 2295984 */   GIM_Try, /*On fail goto*//*Label 31291*/ GIMT_Encode4(2296032), // Rule ID 52649 //
     /* 2295989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295992 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2295995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2296009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296031 */     // GIR_Coverage, 52649,
     /* 2296031 */     GIR_EraseRootFromParent_Done,
     /* 2296032 */   // Label 31291: @2296032
     /* 2296032 */   GIM_Reject,
     /* 2296033 */ // Label 31289: @2296033
     /* 2296033 */ GIM_Reject,
     /* 2296034 */ // Label 31248: @2296034
     /* 2296034 */ GIM_Try, /*On fail goto*//*Label 31292*/ GIMT_Encode4(2296154),
     /* 2296039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2296042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2296045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296057 */   GIM_Try, /*On fail goto*//*Label 31293*/ GIMT_Encode4(2296105), // Rule ID 52668 //
     /* 2296062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2296065 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2296068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2296082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296100 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296104 */     // GIR_Coverage, 52668,
     /* 2296104 */     GIR_EraseRootFromParent_Done,
     /* 2296105 */   // Label 31293: @2296105
     /* 2296105 */   GIM_Try, /*On fail goto*//*Label 31294*/ GIMT_Encode4(2296153), // Rule ID 52669 //
     /* 2296110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2296113 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2296116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2296130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296152 */     // GIR_Coverage, 52669,
     /* 2296152 */     GIR_EraseRootFromParent_Done,
     /* 2296153 */   // Label 31294: @2296153
     /* 2296153 */   GIM_Reject,
     /* 2296154 */ // Label 31292: @2296154
     /* 2296154 */ GIM_Reject,
     /* 2296155 */ // Label 31249: @2296155
     /* 2296155 */ GIM_Try, /*On fail goto*//*Label 31295*/ GIMT_Encode4(2296275),
     /* 2296160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2296166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296178 */   GIM_Try, /*On fail goto*//*Label 31296*/ GIMT_Encode4(2296226), // Rule ID 52704 //
     /* 2296183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2296186 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2296189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2296203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296225 */     // GIR_Coverage, 52704,
     /* 2296225 */     GIR_EraseRootFromParent_Done,
     /* 2296226 */   // Label 31296: @2296226
     /* 2296226 */   GIM_Try, /*On fail goto*//*Label 31297*/ GIMT_Encode4(2296274), // Rule ID 52705 //
     /* 2296231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2296234 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2296237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2296251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296273 */     // GIR_Coverage, 52705,
     /* 2296273 */     GIR_EraseRootFromParent_Done,
     /* 2296274 */   // Label 31297: @2296274
     /* 2296274 */   GIM_Reject,
     /* 2296275 */ // Label 31295: @2296275
     /* 2296275 */ GIM_Reject,
     /* 2296276 */ // Label 31250: @2296276
     /* 2296276 */ GIM_Try, /*On fail goto*//*Label 31298*/ GIMT_Encode4(2296396),
     /* 2296281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2296284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2296287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296299 */   GIM_Try, /*On fail goto*//*Label 31299*/ GIMT_Encode4(2296347), // Rule ID 52720 //
     /* 2296304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2296307 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2296310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2296324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296346 */     // GIR_Coverage, 52720,
     /* 2296346 */     GIR_EraseRootFromParent_Done,
     /* 2296347 */   // Label 31299: @2296347
     /* 2296347 */   GIM_Try, /*On fail goto*//*Label 31300*/ GIMT_Encode4(2296395), // Rule ID 52721 //
     /* 2296352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2296355 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2296358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2296372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296394 */     // GIR_Coverage, 52721,
     /* 2296394 */     GIR_EraseRootFromParent_Done,
     /* 2296395 */   // Label 31300: @2296395
     /* 2296395 */   GIM_Reject,
     /* 2296396 */ // Label 31298: @2296396
     /* 2296396 */ GIM_Reject,
     /* 2296397 */ // Label 31251: @2296397
     /* 2296397 */ GIM_Try, /*On fail goto*//*Label 31301*/ GIMT_Encode4(2296517),
     /* 2296402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2296405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2296408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296420 */   GIM_Try, /*On fail goto*//*Label 31302*/ GIMT_Encode4(2296468), // Rule ID 52664 //
     /* 2296425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2296428 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2296431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2296445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296467 */     // GIR_Coverage, 52664,
     /* 2296467 */     GIR_EraseRootFromParent_Done,
     /* 2296468 */   // Label 31302: @2296468
     /* 2296468 */   GIM_Try, /*On fail goto*//*Label 31303*/ GIMT_Encode4(2296516), // Rule ID 52665 //
     /* 2296473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2296476 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2296479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2296493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296515 */     // GIR_Coverage, 52665,
     /* 2296515 */     GIR_EraseRootFromParent_Done,
     /* 2296516 */   // Label 31303: @2296516
     /* 2296516 */   GIM_Reject,
     /* 2296517 */ // Label 31301: @2296517
     /* 2296517 */ GIM_Reject,
     /* 2296518 */ // Label 31252: @2296518
     /* 2296518 */ GIM_Try, /*On fail goto*//*Label 31304*/ GIMT_Encode4(2296638),
     /* 2296523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2296526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2296529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296541 */   GIM_Try, /*On fail goto*//*Label 31305*/ GIMT_Encode4(2296589), // Rule ID 52692 //
     /* 2296546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2296549 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2296552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2296566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296588 */     // GIR_Coverage, 52692,
     /* 2296588 */     GIR_EraseRootFromParent_Done,
     /* 2296589 */   // Label 31305: @2296589
     /* 2296589 */   GIM_Try, /*On fail goto*//*Label 31306*/ GIMT_Encode4(2296637), // Rule ID 52693 //
     /* 2296594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2296597 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2296600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2296614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296636 */     // GIR_Coverage, 52693,
     /* 2296636 */     GIR_EraseRootFromParent_Done,
     /* 2296637 */   // Label 31306: @2296637
     /* 2296637 */   GIM_Reject,
     /* 2296638 */ // Label 31304: @2296638
     /* 2296638 */ GIM_Reject,
     /* 2296639 */ // Label 31253: @2296639
     /* 2296639 */ GIM_Try, /*On fail goto*//*Label 31307*/ GIMT_Encode4(2296759),
     /* 2296644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2296647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2296650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296662 */   GIM_Try, /*On fail goto*//*Label 31308*/ GIMT_Encode4(2296710), // Rule ID 52708 //
     /* 2296667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2296670 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2296673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2296687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296709 */     // GIR_Coverage, 52708,
     /* 2296709 */     GIR_EraseRootFromParent_Done,
     /* 2296710 */   // Label 31308: @2296710
     /* 2296710 */   GIM_Try, /*On fail goto*//*Label 31309*/ GIMT_Encode4(2296758), // Rule ID 52709 //
     /* 2296715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2296718 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2296721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2296735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296757 */     // GIR_Coverage, 52709,
     /* 2296757 */     GIR_EraseRootFromParent_Done,
     /* 2296758 */   // Label 31309: @2296758
     /* 2296758 */   GIM_Reject,
     /* 2296759 */ // Label 31307: @2296759
     /* 2296759 */ GIM_Reject,
     /* 2296760 */ // Label 31254: @2296760
     /* 2296760 */ GIM_Try, /*On fail goto*//*Label 31310*/ GIMT_Encode4(2296880),
     /* 2296765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2296768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2296771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296783 */   GIM_Try, /*On fail goto*//*Label 31311*/ GIMT_Encode4(2296831), // Rule ID 52724 //
     /* 2296788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2296791 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2296794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2296808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296830 */     // GIR_Coverage, 52724,
     /* 2296830 */     GIR_EraseRootFromParent_Done,
     /* 2296831 */   // Label 31311: @2296831
     /* 2296831 */   GIM_Try, /*On fail goto*//*Label 31312*/ GIMT_Encode4(2296879), // Rule ID 52725 //
     /* 2296836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2296839 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2296842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2296856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296878 */     // GIR_Coverage, 52725,
     /* 2296878 */     GIR_EraseRootFromParent_Done,
     /* 2296879 */   // Label 31312: @2296879
     /* 2296879 */   GIM_Reject,
     /* 2296880 */ // Label 31310: @2296880
     /* 2296880 */ GIM_Reject,
     /* 2296881 */ // Label 31255: @2296881
     /* 2296881 */ GIM_Try, /*On fail goto*//*Label 31313*/ GIMT_Encode4(2297001),
     /* 2296886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2296889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2296892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296904 */   GIM_Try, /*On fail goto*//*Label 31314*/ GIMT_Encode4(2296952), // Rule ID 52680 //
     /* 2296909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2296912 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2296915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2296929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296951 */     // GIR_Coverage, 52680,
     /* 2296951 */     GIR_EraseRootFromParent_Done,
     /* 2296952 */   // Label 31314: @2296952
     /* 2296952 */   GIM_Try, /*On fail goto*//*Label 31315*/ GIMT_Encode4(2297000), // Rule ID 52681 //
     /* 2296957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2296960 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2296963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2296977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296999 */     // GIR_Coverage, 52681,
     /* 2296999 */     GIR_EraseRootFromParent_Done,
     /* 2297000 */   // Label 31315: @2297000
     /* 2297000 */   GIM_Reject,
     /* 2297001 */ // Label 31313: @2297001
     /* 2297001 */ GIM_Reject,
     /* 2297002 */ // Label 31256: @2297002
     /* 2297002 */ GIM_Try, /*On fail goto*//*Label 31316*/ GIMT_Encode4(2297122),
     /* 2297007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2297010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2297013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297025 */   GIM_Try, /*On fail goto*//*Label 31317*/ GIMT_Encode4(2297073), // Rule ID 52696 //
     /* 2297030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2297033 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2297036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2297050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297072 */     // GIR_Coverage, 52696,
     /* 2297072 */     GIR_EraseRootFromParent_Done,
     /* 2297073 */   // Label 31317: @2297073
     /* 2297073 */   GIM_Try, /*On fail goto*//*Label 31318*/ GIMT_Encode4(2297121), // Rule ID 52697 //
     /* 2297078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2297081 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2297084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2297098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297120 */     // GIR_Coverage, 52697,
     /* 2297120 */     GIR_EraseRootFromParent_Done,
     /* 2297121 */   // Label 31318: @2297121
     /* 2297121 */   GIM_Reject,
     /* 2297122 */ // Label 31316: @2297122
     /* 2297122 */ GIM_Reject,
     /* 2297123 */ // Label 31257: @2297123
     /* 2297123 */ GIM_Try, /*On fail goto*//*Label 31319*/ GIMT_Encode4(2297243),
     /* 2297128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2297131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2297134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297146 */   GIM_Try, /*On fail goto*//*Label 31320*/ GIMT_Encode4(2297194), // Rule ID 52712 //
     /* 2297151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2297154 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2297157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2297171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297193 */     // GIR_Coverage, 52712,
     /* 2297193 */     GIR_EraseRootFromParent_Done,
     /* 2297194 */   // Label 31320: @2297194
     /* 2297194 */   GIM_Try, /*On fail goto*//*Label 31321*/ GIMT_Encode4(2297242), // Rule ID 52713 //
     /* 2297199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2297202 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2297205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2297219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297241 */     // GIR_Coverage, 52713,
     /* 2297241 */     GIR_EraseRootFromParent_Done,
     /* 2297242 */   // Label 31321: @2297242
     /* 2297242 */   GIM_Reject,
     /* 2297243 */ // Label 31319: @2297243
     /* 2297243 */ GIM_Reject,
     /* 2297244 */ // Label 31258: @2297244
     /* 2297244 */ GIM_Try, /*On fail goto*//*Label 31322*/ GIMT_Encode4(2297364),
     /* 2297249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2297252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2297255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297267 */   GIM_Try, /*On fail goto*//*Label 31323*/ GIMT_Encode4(2297315), // Rule ID 52684 //
     /* 2297272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2297275 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2297278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2297292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297314 */     // GIR_Coverage, 52684,
     /* 2297314 */     GIR_EraseRootFromParent_Done,
     /* 2297315 */   // Label 31323: @2297315
     /* 2297315 */   GIM_Try, /*On fail goto*//*Label 31324*/ GIMT_Encode4(2297363), // Rule ID 52685 //
     /* 2297320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2297323 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2297326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2297340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297362 */     // GIR_Coverage, 52685,
     /* 2297362 */     GIR_EraseRootFromParent_Done,
     /* 2297363 */   // Label 31324: @2297363
     /* 2297363 */   GIM_Reject,
     /* 2297364 */ // Label 31322: @2297364
     /* 2297364 */ GIM_Reject,
     /* 2297365 */ // Label 31259: @2297365
     /* 2297365 */ GIM_Try, /*On fail goto*//*Label 31325*/ GIMT_Encode4(2297485),
     /* 2297370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2297376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297388 */   GIM_Try, /*On fail goto*//*Label 31326*/ GIMT_Encode4(2297436), // Rule ID 52700 //
     /* 2297393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2297396 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2297399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2297413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297435 */     // GIR_Coverage, 52700,
     /* 2297435 */     GIR_EraseRootFromParent_Done,
     /* 2297436 */   // Label 31326: @2297436
     /* 2297436 */   GIM_Try, /*On fail goto*//*Label 31327*/ GIMT_Encode4(2297484), // Rule ID 52701 //
     /* 2297441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2297444 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2297447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2297461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297483 */     // GIR_Coverage, 52701,
     /* 2297483 */     GIR_EraseRootFromParent_Done,
     /* 2297484 */   // Label 31327: @2297484
     /* 2297484 */   GIM_Reject,
     /* 2297485 */ // Label 31325: @2297485
     /* 2297485 */ GIM_Reject,
     /* 2297486 */ // Label 31260: @2297486
     /* 2297486 */ GIM_Try, /*On fail goto*//*Label 31328*/ GIMT_Encode4(2297606),
     /* 2297491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2297494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2297497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297509 */   GIM_Try, /*On fail goto*//*Label 31329*/ GIMT_Encode4(2297557), // Rule ID 52688 //
     /* 2297514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2297517 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2297520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2297534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297556 */     // GIR_Coverage, 52688,
     /* 2297556 */     GIR_EraseRootFromParent_Done,
     /* 2297557 */   // Label 31329: @2297557
     /* 2297557 */   GIM_Try, /*On fail goto*//*Label 31330*/ GIMT_Encode4(2297605), // Rule ID 52689 //
     /* 2297562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2297565 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2297568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2297582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297604 */     // GIR_Coverage, 52689,
     /* 2297604 */     GIR_EraseRootFromParent_Done,
     /* 2297605 */   // Label 31330: @2297605
     /* 2297605 */   GIM_Reject,
     /* 2297606 */ // Label 31328: @2297606
     /* 2297606 */ GIM_Reject,
     /* 2297607 */ // Label 31261: @2297607
     /* 2297607 */ GIM_Reject,
     /* 2297608 */ // Label 57: @2297608
     /* 2297608 */ GIM_Try, /*On fail goto*//*Label 31331*/ GIMT_Encode4(2297665),
     /* 2297613 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2297616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2297619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2297622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2297626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2297630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2297634 */   GIM_Try, /*On fail goto*//*Label 31332*/ GIMT_Encode4(2297649), // Rule ID 64587 //
     /* 2297639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2297642 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2297642 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2297647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297648 */     // GIR_Coverage, 64587,
     /* 2297648 */     GIR_Done,
     /* 2297649 */   // Label 31332: @2297649
     /* 2297649 */   GIM_Try, /*On fail goto*//*Label 31333*/ GIMT_Encode4(2297664), // Rule ID 64588 //
     /* 2297654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2297657 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2297657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2297662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297663 */     // GIR_Coverage, 64588,
     /* 2297663 */     GIR_Done,
     /* 2297664 */   // Label 31333: @2297664
     /* 2297664 */   GIM_Reject,
     /* 2297665 */ // Label 31331: @2297665
     /* 2297665 */ GIM_Reject,
     /* 2297666 */ // Label 58: @2297666
     /* 2297666 */ GIM_Try, /*On fail goto*//*Label 31334*/ GIMT_Encode4(2297723),
     /* 2297671 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2297674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2297677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2297680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2297684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2297688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2297692 */   GIM_Try, /*On fail goto*//*Label 31335*/ GIMT_Encode4(2297707), // Rule ID 64589 //
     /* 2297697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2297700 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2297700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2297705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297706 */     // GIR_Coverage, 64589,
     /* 2297706 */     GIR_Done,
     /* 2297707 */   // Label 31335: @2297707
     /* 2297707 */   GIM_Try, /*On fail goto*//*Label 31336*/ GIMT_Encode4(2297722), // Rule ID 64590 //
     /* 2297712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2297715 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2297715 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2297720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297721 */     // GIR_Coverage, 64590,
     /* 2297721 */     GIR_Done,
     /* 2297722 */   // Label 31336: @2297722
     /* 2297722 */   GIM_Reject,
     /* 2297723 */ // Label 31334: @2297723
     /* 2297723 */ GIM_Reject,
     /* 2297724 */ // Label 59: @2297724
     /* 2297724 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31355*/ GIMT_Encode4(2300151),
     /* 2297735 */ /*GILLT_s16*//*Label 31337*/ GIMT_Encode4(2297855),
     /* 2297739 */ /*GILLT_s32*//*Label 31338*/ GIMT_Encode4(2298004),
     /* 2297743 */ /*GILLT_s64*//*Label 31339*/ GIMT_Encode4(2298153), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2297755 */ /*GILLT_nxv1s16*//*Label 31340*/ GIMT_Encode4(2298336),
     /* 2297759 */ /*GILLT_nxv1s32*//*Label 31341*/ GIMT_Encode4(2298457),
     /* 2297763 */ /*GILLT_nxv1s64*//*Label 31342*/ GIMT_Encode4(2298578), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2297775 */ /*GILLT_nxv2s16*//*Label 31343*/ GIMT_Encode4(2298699),
     /* 2297779 */ /*GILLT_nxv2s32*//*Label 31344*/ GIMT_Encode4(2298820),
     /* 2297783 */ /*GILLT_nxv2s64*//*Label 31345*/ GIMT_Encode4(2298941), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2297795 */ /*GILLT_nxv4s16*//*Label 31346*/ GIMT_Encode4(2299062),
     /* 2297799 */ /*GILLT_nxv4s32*//*Label 31347*/ GIMT_Encode4(2299183),
     /* 2297803 */ /*GILLT_nxv4s64*//*Label 31348*/ GIMT_Encode4(2299304), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2297815 */ /*GILLT_nxv8s16*//*Label 31349*/ GIMT_Encode4(2299425),
     /* 2297819 */ /*GILLT_nxv8s32*//*Label 31350*/ GIMT_Encode4(2299546),
     /* 2297823 */ /*GILLT_nxv8s64*//*Label 31351*/ GIMT_Encode4(2299667), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2297835 */ /*GILLT_nxv16s16*//*Label 31352*/ GIMT_Encode4(2299788),
     /* 2297839 */ /*GILLT_nxv16s32*//*Label 31353*/ GIMT_Encode4(2299909), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2297851 */ /*GILLT_nxv32s16*//*Label 31354*/ GIMT_Encode4(2300030),
     /* 2297855 */ // Label 31337: @2297855
     /* 2297855 */ GIM_Try, /*On fail goto*//*Label 31356*/ GIMT_Encode4(2298003),
     /* 2297860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2297866 */   GIM_Try, /*On fail goto*//*Label 31357*/ GIMT_Encode4(2297900), // Rule ID 1958 //
     /* 2297871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2297874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297886 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2297886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2297889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297899 */     // GIR_Coverage, 1958,
     /* 2297899 */     GIR_EraseRootFromParent_Done,
     /* 2297900 */   // Label 31357: @2297900
     /* 2297900 */   GIM_Try, /*On fail goto*//*Label 31358*/ GIMT_Encode4(2297934), // Rule ID 1959 //
     /* 2297905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2297908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297920 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2297920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2297923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297933 */     // GIR_Coverage, 1959,
     /* 2297933 */     GIR_EraseRootFromParent_Done,
     /* 2297934 */   // Label 31358: @2297934
     /* 2297934 */   GIM_Try, /*On fail goto*//*Label 31359*/ GIMT_Encode4(2297968), // Rule ID 1962 //
     /* 2297939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2297942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297954 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2297954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2297957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297967 */     // GIR_Coverage, 1962,
     /* 2297967 */     GIR_EraseRootFromParent_Done,
     /* 2297968 */   // Label 31359: @2297968
     /* 2297968 */   GIM_Try, /*On fail goto*//*Label 31360*/ GIMT_Encode4(2298002), // Rule ID 1963 //
     /* 2297973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2297976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297988 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2297988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2297991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298001 */     // GIR_Coverage, 1963,
     /* 2298001 */     GIR_EraseRootFromParent_Done,
     /* 2298002 */   // Label 31360: @2298002
     /* 2298002 */   GIM_Reject,
     /* 2298003 */ // Label 31356: @2298003
     /* 2298003 */ GIM_Reject,
     /* 2298004 */ // Label 31338: @2298004
     /* 2298004 */ GIM_Try, /*On fail goto*//*Label 31361*/ GIMT_Encode4(2298152),
     /* 2298009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2298015 */   GIM_Try, /*On fail goto*//*Label 31362*/ GIMT_Encode4(2298049), // Rule ID 1249 //
     /* 2298020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2298023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298035 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2298035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2298038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298048 */     // GIR_Coverage, 1249,
     /* 2298048 */     GIR_EraseRootFromParent_Done,
     /* 2298049 */   // Label 31362: @2298049
     /* 2298049 */   GIM_Try, /*On fail goto*//*Label 31363*/ GIMT_Encode4(2298083), // Rule ID 1250 //
     /* 2298054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2298057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298069 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2298069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2298072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298082 */     // GIR_Coverage, 1250,
     /* 2298082 */     GIR_EraseRootFromParent_Done,
     /* 2298083 */   // Label 31363: @2298083
     /* 2298083 */   GIM_Try, /*On fail goto*//*Label 31364*/ GIMT_Encode4(2298117), // Rule ID 1253 //
     /* 2298088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2298091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298103 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2298103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2298106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298116 */     // GIR_Coverage, 1253,
     /* 2298116 */     GIR_EraseRootFromParent_Done,
     /* 2298117 */   // Label 31364: @2298117
     /* 2298117 */   GIM_Try, /*On fail goto*//*Label 31365*/ GIMT_Encode4(2298151), // Rule ID 1254 //
     /* 2298122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2298125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298137 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2298137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2298140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298150 */     // GIR_Coverage, 1254,
     /* 2298150 */     GIR_EraseRootFromParent_Done,
     /* 2298151 */   // Label 31365: @2298151
     /* 2298151 */   GIM_Reject,
     /* 2298152 */ // Label 31361: @2298152
     /* 2298152 */ GIM_Reject,
     /* 2298153 */ // Label 31339: @2298153
     /* 2298153 */ GIM_Try, /*On fail goto*//*Label 31366*/ GIMT_Encode4(2298335),
     /* 2298158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2298161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2298164 */   GIM_Try, /*On fail goto*//*Label 31367*/ GIMT_Encode4(2298198), // Rule ID 1584 //
     /* 2298169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2298172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2298176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2298180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2298184 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2298184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2298187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298197 */     // GIR_Coverage, 1584,
     /* 2298197 */     GIR_EraseRootFromParent_Done,
     /* 2298198 */   // Label 31367: @2298198
     /* 2298198 */   GIM_Try, /*On fail goto*//*Label 31368*/ GIMT_Encode4(2298232), // Rule ID 1585 //
     /* 2298203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2298206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2298210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2298214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2298218 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2298218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2298221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298231 */     // GIR_Coverage, 1585,
     /* 2298231 */     GIR_EraseRootFromParent_Done,
     /* 2298232 */   // Label 31368: @2298232
     /* 2298232 */   GIM_Try, /*On fail goto*//*Label 31369*/ GIMT_Encode4(2298266), // Rule ID 1588 //
     /* 2298237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2298240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2298244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2298248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2298252 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2298252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2298255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298265 */     // GIR_Coverage, 1588,
     /* 2298265 */     GIR_EraseRootFromParent_Done,
     /* 2298266 */   // Label 31369: @2298266
     /* 2298266 */   GIM_Try, /*On fail goto*//*Label 31370*/ GIMT_Encode4(2298300), // Rule ID 1589 //
     /* 2298271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2298274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2298278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2298282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2298286 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2298286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2298289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298299 */     // GIR_Coverage, 1589,
     /* 2298299 */     GIR_EraseRootFromParent_Done,
     /* 2298300 */   // Label 31370: @2298300
     /* 2298300 */   GIM_Try, /*On fail goto*//*Label 31371*/ GIMT_Encode4(2298334), // Rule ID 1591 //
     /* 2298305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2298308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2298312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2298316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2298320 */     // (fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2298320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2298323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298333 */     // GIR_Coverage, 1591,
     /* 2298333 */     GIR_EraseRootFromParent_Done,
     /* 2298334 */   // Label 31371: @2298334
     /* 2298334 */   GIM_Reject,
     /* 2298335 */ // Label 31366: @2298335
     /* 2298335 */ GIM_Reject,
     /* 2298336 */ // Label 31340: @2298336
     /* 2298336 */ GIM_Try, /*On fail goto*//*Label 31372*/ GIMT_Encode4(2298456),
     /* 2298341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2298344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2298347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298359 */   GIM_Try, /*On fail goto*//*Label 31373*/ GIMT_Encode4(2298407), // Rule ID 45764 //
     /* 2298364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298367 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2298370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2298384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298406 */     // GIR_Coverage, 45764,
     /* 2298406 */     GIR_EraseRootFromParent_Done,
     /* 2298407 */   // Label 31373: @2298407
     /* 2298407 */   GIM_Try, /*On fail goto*//*Label 31374*/ GIMT_Encode4(2298455), // Rule ID 45765 //
     /* 2298412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298415 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2298418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2298432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298454 */     // GIR_Coverage, 45765,
     /* 2298454 */     GIR_EraseRootFromParent_Done,
     /* 2298455 */   // Label 31374: @2298455
     /* 2298455 */   GIM_Reject,
     /* 2298456 */ // Label 31372: @2298456
     /* 2298456 */ GIM_Reject,
     /* 2298457 */ // Label 31341: @2298457
     /* 2298457 */ GIM_Try, /*On fail goto*//*Label 31375*/ GIMT_Encode4(2298577),
     /* 2298462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2298465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2298468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298480 */   GIM_Try, /*On fail goto*//*Label 31376*/ GIMT_Encode4(2298528), // Rule ID 53304 //
     /* 2298485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298488 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2298491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2298505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298527 */     // GIR_Coverage, 53304,
     /* 2298527 */     GIR_EraseRootFromParent_Done,
     /* 2298528 */   // Label 31376: @2298528
     /* 2298528 */   GIM_Try, /*On fail goto*//*Label 31377*/ GIMT_Encode4(2298576), // Rule ID 53305 //
     /* 2298533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298536 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2298539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2298553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298575 */     // GIR_Coverage, 53305,
     /* 2298575 */     GIR_EraseRootFromParent_Done,
     /* 2298576 */   // Label 31377: @2298576
     /* 2298576 */   GIM_Reject,
     /* 2298577 */ // Label 31375: @2298577
     /* 2298577 */ GIM_Reject,
     /* 2298578 */ // Label 31342: @2298578
     /* 2298578 */ GIM_Try, /*On fail goto*//*Label 31378*/ GIMT_Encode4(2298698),
     /* 2298583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2298586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2298589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298601 */   GIM_Try, /*On fail goto*//*Label 31379*/ GIMT_Encode4(2298649), // Rule ID 53340 //
     /* 2298606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2298609 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2298612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2298626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2298644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298648 */     // GIR_Coverage, 53340,
     /* 2298648 */     GIR_EraseRootFromParent_Done,
     /* 2298649 */   // Label 31379: @2298649
     /* 2298649 */   GIM_Try, /*On fail goto*//*Label 31380*/ GIMT_Encode4(2298697), // Rule ID 53341 //
     /* 2298654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2298657 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2298660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2298674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2298692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298696 */     // GIR_Coverage, 53341,
     /* 2298696 */     GIR_EraseRootFromParent_Done,
     /* 2298697 */   // Label 31380: @2298697
     /* 2298697 */   GIM_Reject,
     /* 2298698 */ // Label 31378: @2298698
     /* 2298698 */ GIM_Reject,
     /* 2298699 */ // Label 31343: @2298699
     /* 2298699 */ GIM_Try, /*On fail goto*//*Label 31381*/ GIMT_Encode4(2298819),
     /* 2298704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2298707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2298710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298722 */   GIM_Try, /*On fail goto*//*Label 31382*/ GIMT_Encode4(2298770), // Rule ID 53292 //
     /* 2298727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298730 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2298733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2298747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298769 */     // GIR_Coverage, 53292,
     /* 2298769 */     GIR_EraseRootFromParent_Done,
     /* 2298770 */   // Label 31382: @2298770
     /* 2298770 */   GIM_Try, /*On fail goto*//*Label 31383*/ GIMT_Encode4(2298818), // Rule ID 53293 //
     /* 2298775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298778 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2298781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2298795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298817 */     // GIR_Coverage, 53293,
     /* 2298817 */     GIR_EraseRootFromParent_Done,
     /* 2298818 */   // Label 31383: @2298818
     /* 2298818 */   GIM_Reject,
     /* 2298819 */ // Label 31381: @2298819
     /* 2298819 */ GIM_Reject,
     /* 2298820 */ // Label 31344: @2298820
     /* 2298820 */ GIM_Try, /*On fail goto*//*Label 31384*/ GIMT_Encode4(2298940),
     /* 2298825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2298828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2298831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298839 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298843 */   GIM_Try, /*On fail goto*//*Label 31385*/ GIMT_Encode4(2298891), // Rule ID 53328 //
     /* 2298848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298851 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2298854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2298868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298890 */     // GIR_Coverage, 53328,
     /* 2298890 */     GIR_EraseRootFromParent_Done,
     /* 2298891 */   // Label 31385: @2298891
     /* 2298891 */   GIM_Try, /*On fail goto*//*Label 31386*/ GIMT_Encode4(2298939), // Rule ID 53329 //
     /* 2298896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298899 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2298902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2298916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298938 */     // GIR_Coverage, 53329,
     /* 2298938 */     GIR_EraseRootFromParent_Done,
     /* 2298939 */   // Label 31386: @2298939
     /* 2298939 */   GIM_Reject,
     /* 2298940 */ // Label 31384: @2298940
     /* 2298940 */ GIM_Reject,
     /* 2298941 */ // Label 31345: @2298941
     /* 2298941 */ GIM_Try, /*On fail goto*//*Label 31387*/ GIMT_Encode4(2299061),
     /* 2298946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2298949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2298952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298964 */   GIM_Try, /*On fail goto*//*Label 31388*/ GIMT_Encode4(2299012), // Rule ID 53424 //
     /* 2298969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2298972 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2298975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2298989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299011 */     // GIR_Coverage, 53424,
     /* 2299011 */     GIR_EraseRootFromParent_Done,
     /* 2299012 */   // Label 31388: @2299012
     /* 2299012 */   GIM_Try, /*On fail goto*//*Label 31389*/ GIMT_Encode4(2299060), // Rule ID 53425 //
     /* 2299017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299020 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2299023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2299037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299059 */     // GIR_Coverage, 53425,
     /* 2299059 */     GIR_EraseRootFromParent_Done,
     /* 2299060 */   // Label 31389: @2299060
     /* 2299060 */   GIM_Reject,
     /* 2299061 */ // Label 31387: @2299061
     /* 2299061 */ GIM_Reject,
     /* 2299062 */ // Label 31346: @2299062
     /* 2299062 */ GIM_Try, /*On fail goto*//*Label 31390*/ GIMT_Encode4(2299182),
     /* 2299067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2299070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2299073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299085 */   GIM_Try, /*On fail goto*//*Label 31391*/ GIMT_Encode4(2299133), // Rule ID 53316 //
     /* 2299090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299093 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2299096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2299110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299132 */     // GIR_Coverage, 53316,
     /* 2299132 */     GIR_EraseRootFromParent_Done,
     /* 2299133 */   // Label 31391: @2299133
     /* 2299133 */   GIM_Try, /*On fail goto*//*Label 31392*/ GIMT_Encode4(2299181), // Rule ID 53317 //
     /* 2299138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299141 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2299144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2299158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299180 */     // GIR_Coverage, 53317,
     /* 2299180 */     GIR_EraseRootFromParent_Done,
     /* 2299181 */   // Label 31392: @2299181
     /* 2299181 */   GIM_Reject,
     /* 2299182 */ // Label 31390: @2299182
     /* 2299182 */ GIM_Reject,
     /* 2299183 */ // Label 31347: @2299183
     /* 2299183 */ GIM_Try, /*On fail goto*//*Label 31393*/ GIMT_Encode4(2299303),
     /* 2299188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2299191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2299194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299206 */   GIM_Try, /*On fail goto*//*Label 31394*/ GIMT_Encode4(2299254), // Rule ID 53388 //
     /* 2299211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299214 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2299217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2299231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299253 */     // GIR_Coverage, 53388,
     /* 2299253 */     GIR_EraseRootFromParent_Done,
     /* 2299254 */   // Label 31394: @2299254
     /* 2299254 */   GIM_Try, /*On fail goto*//*Label 31395*/ GIMT_Encode4(2299302), // Rule ID 53389 //
     /* 2299259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299262 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2299265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2299279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299301 */     // GIR_Coverage, 53389,
     /* 2299301 */     GIR_EraseRootFromParent_Done,
     /* 2299302 */   // Label 31395: @2299302
     /* 2299302 */   GIM_Reject,
     /* 2299303 */ // Label 31393: @2299303
     /* 2299303 */ GIM_Reject,
     /* 2299304 */ // Label 31348: @2299304
     /* 2299304 */ GIM_Try, /*On fail goto*//*Label 31396*/ GIMT_Encode4(2299424),
     /* 2299309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2299315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299327 */   GIM_Try, /*On fail goto*//*Label 31397*/ GIMT_Encode4(2299375), // Rule ID 53436 //
     /* 2299332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299335 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2299338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2299352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299374 */     // GIR_Coverage, 53436,
     /* 2299374 */     GIR_EraseRootFromParent_Done,
     /* 2299375 */   // Label 31397: @2299375
     /* 2299375 */   GIM_Try, /*On fail goto*//*Label 31398*/ GIMT_Encode4(2299423), // Rule ID 53437 //
     /* 2299380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299383 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2299386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2299400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299422 */     // GIR_Coverage, 53437,
     /* 2299422 */     GIR_EraseRootFromParent_Done,
     /* 2299423 */   // Label 31398: @2299423
     /* 2299423 */   GIM_Reject,
     /* 2299424 */ // Label 31396: @2299424
     /* 2299424 */ GIM_Reject,
     /* 2299425 */ // Label 31349: @2299425
     /* 2299425 */ GIM_Try, /*On fail goto*//*Label 31399*/ GIMT_Encode4(2299545),
     /* 2299430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2299436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299448 */   GIM_Try, /*On fail goto*//*Label 31400*/ GIMT_Encode4(2299496), // Rule ID 53352 //
     /* 2299453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299456 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2299459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2299473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299495 */     // GIR_Coverage, 53352,
     /* 2299495 */     GIR_EraseRootFromParent_Done,
     /* 2299496 */   // Label 31400: @2299496
     /* 2299496 */   GIM_Try, /*On fail goto*//*Label 31401*/ GIMT_Encode4(2299544), // Rule ID 53353 //
     /* 2299501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299504 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2299507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2299521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299543 */     // GIR_Coverage, 53353,
     /* 2299543 */     GIR_EraseRootFromParent_Done,
     /* 2299544 */   // Label 31401: @2299544
     /* 2299544 */   GIM_Reject,
     /* 2299545 */ // Label 31399: @2299545
     /* 2299545 */ GIM_Reject,
     /* 2299546 */ // Label 31350: @2299546
     /* 2299546 */ GIM_Try, /*On fail goto*//*Label 31402*/ GIMT_Encode4(2299666),
     /* 2299551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2299554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2299557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299569 */   GIM_Try, /*On fail goto*//*Label 31403*/ GIMT_Encode4(2299617), // Rule ID 53400 //
     /* 2299574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299577 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2299580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2299594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299616 */     // GIR_Coverage, 53400,
     /* 2299616 */     GIR_EraseRootFromParent_Done,
     /* 2299617 */   // Label 31403: @2299617
     /* 2299617 */   GIM_Try, /*On fail goto*//*Label 31404*/ GIMT_Encode4(2299665), // Rule ID 53401 //
     /* 2299622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299625 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2299628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2299642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299664 */     // GIR_Coverage, 53401,
     /* 2299664 */     GIR_EraseRootFromParent_Done,
     /* 2299665 */   // Label 31404: @2299665
     /* 2299665 */   GIM_Reject,
     /* 2299666 */ // Label 31402: @2299666
     /* 2299666 */ GIM_Reject,
     /* 2299667 */ // Label 31351: @2299667
     /* 2299667 */ GIM_Try, /*On fail goto*//*Label 31405*/ GIMT_Encode4(2299787),
     /* 2299672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2299675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2299678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299690 */   GIM_Try, /*On fail goto*//*Label 31406*/ GIMT_Encode4(2299738), // Rule ID 53448 //
     /* 2299695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299698 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2299701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2299715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299737 */     // GIR_Coverage, 53448,
     /* 2299737 */     GIR_EraseRootFromParent_Done,
     /* 2299738 */   // Label 31406: @2299738
     /* 2299738 */   GIM_Try, /*On fail goto*//*Label 31407*/ GIMT_Encode4(2299786), // Rule ID 53449 //
     /* 2299743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299746 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2299749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2299763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299785 */     // GIR_Coverage, 53449,
     /* 2299785 */     GIR_EraseRootFromParent_Done,
     /* 2299786 */   // Label 31407: @2299786
     /* 2299786 */   GIM_Reject,
     /* 2299787 */ // Label 31405: @2299787
     /* 2299787 */ GIM_Reject,
     /* 2299788 */ // Label 31352: @2299788
     /* 2299788 */ GIM_Try, /*On fail goto*//*Label 31408*/ GIMT_Encode4(2299908),
     /* 2299793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2299796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2299799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299811 */   GIM_Try, /*On fail goto*//*Label 31409*/ GIMT_Encode4(2299859), // Rule ID 53364 //
     /* 2299816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299819 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2299822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2299836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299858 */     // GIR_Coverage, 53364,
     /* 2299858 */     GIR_EraseRootFromParent_Done,
     /* 2299859 */   // Label 31409: @2299859
     /* 2299859 */   GIM_Try, /*On fail goto*//*Label 31410*/ GIMT_Encode4(2299907), // Rule ID 53365 //
     /* 2299864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299867 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2299870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2299884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299906 */     // GIR_Coverage, 53365,
     /* 2299906 */     GIR_EraseRootFromParent_Done,
     /* 2299907 */   // Label 31410: @2299907
     /* 2299907 */   GIM_Reject,
     /* 2299908 */ // Label 31408: @2299908
     /* 2299908 */ GIM_Reject,
     /* 2299909 */ // Label 31353: @2299909
     /* 2299909 */ GIM_Try, /*On fail goto*//*Label 31411*/ GIMT_Encode4(2300029),
     /* 2299914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2299917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2299920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299932 */   GIM_Try, /*On fail goto*//*Label 31412*/ GIMT_Encode4(2299980), // Rule ID 53412 //
     /* 2299937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299940 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2299943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2299957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299979 */     // GIR_Coverage, 53412,
     /* 2299979 */     GIR_EraseRootFromParent_Done,
     /* 2299980 */   // Label 31412: @2299980
     /* 2299980 */   GIM_Try, /*On fail goto*//*Label 31413*/ GIMT_Encode4(2300028), // Rule ID 53413 //
     /* 2299985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299988 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2299991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2300005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300027 */     // GIR_Coverage, 53413,
     /* 2300027 */     GIR_EraseRootFromParent_Done,
     /* 2300028 */   // Label 31413: @2300028
     /* 2300028 */   GIM_Reject,
     /* 2300029 */ // Label 31411: @2300029
     /* 2300029 */ GIM_Reject,
     /* 2300030 */ // Label 31354: @2300030
     /* 2300030 */ GIM_Try, /*On fail goto*//*Label 31414*/ GIMT_Encode4(2300150),
     /* 2300035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2300038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2300041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300053 */   GIM_Try, /*On fail goto*//*Label 31415*/ GIMT_Encode4(2300101), // Rule ID 53376 //
     /* 2300058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300061 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2300064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2300078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300100 */     // GIR_Coverage, 53376,
     /* 2300100 */     GIR_EraseRootFromParent_Done,
     /* 2300101 */   // Label 31415: @2300101
     /* 2300101 */   GIM_Try, /*On fail goto*//*Label 31416*/ GIMT_Encode4(2300149), // Rule ID 53377 //
     /* 2300106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300109 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2300112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2300126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300148 */     // GIR_Coverage, 53377,
     /* 2300148 */     GIR_EraseRootFromParent_Done,
     /* 2300149 */   // Label 31416: @2300149
     /* 2300149 */   GIM_Reject,
     /* 2300150 */ // Label 31414: @2300150
     /* 2300150 */ GIM_Reject,
     /* 2300151 */ // Label 31355: @2300151
     /* 2300151 */ GIM_Reject,
     /* 2300152 */ // Label 60: @2300152
     /* 2300152 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31435*/ GIMT_Encode4(2302579),
     /* 2300163 */ /*GILLT_s16*//*Label 31417*/ GIMT_Encode4(2300283),
     /* 2300167 */ /*GILLT_s32*//*Label 31418*/ GIMT_Encode4(2300432),
     /* 2300171 */ /*GILLT_s64*//*Label 31419*/ GIMT_Encode4(2300581), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2300183 */ /*GILLT_nxv1s16*//*Label 31420*/ GIMT_Encode4(2300764),
     /* 2300187 */ /*GILLT_nxv1s32*//*Label 31421*/ GIMT_Encode4(2300885),
     /* 2300191 */ /*GILLT_nxv1s64*//*Label 31422*/ GIMT_Encode4(2301006), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2300203 */ /*GILLT_nxv2s16*//*Label 31423*/ GIMT_Encode4(2301127),
     /* 2300207 */ /*GILLT_nxv2s32*//*Label 31424*/ GIMT_Encode4(2301248),
     /* 2300211 */ /*GILLT_nxv2s64*//*Label 31425*/ GIMT_Encode4(2301369), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2300223 */ /*GILLT_nxv4s16*//*Label 31426*/ GIMT_Encode4(2301490),
     /* 2300227 */ /*GILLT_nxv4s32*//*Label 31427*/ GIMT_Encode4(2301611),
     /* 2300231 */ /*GILLT_nxv4s64*//*Label 31428*/ GIMT_Encode4(2301732), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2300243 */ /*GILLT_nxv8s16*//*Label 31429*/ GIMT_Encode4(2301853),
     /* 2300247 */ /*GILLT_nxv8s32*//*Label 31430*/ GIMT_Encode4(2301974),
     /* 2300251 */ /*GILLT_nxv8s64*//*Label 31431*/ GIMT_Encode4(2302095), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2300263 */ /*GILLT_nxv16s16*//*Label 31432*/ GIMT_Encode4(2302216),
     /* 2300267 */ /*GILLT_nxv16s32*//*Label 31433*/ GIMT_Encode4(2302337), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2300279 */ /*GILLT_nxv32s16*//*Label 31434*/ GIMT_Encode4(2302458),
     /* 2300283 */ // Label 31417: @2300283
     /* 2300283 */ GIM_Try, /*On fail goto*//*Label 31436*/ GIMT_Encode4(2300431),
     /* 2300288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2300291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2300294 */   GIM_Try, /*On fail goto*//*Label 31437*/ GIMT_Encode4(2300328), // Rule ID 1966 //
     /* 2300299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2300302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2300306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2300310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2300314 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2300314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2300317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300327 */     // GIR_Coverage, 1966,
     /* 2300327 */     GIR_EraseRootFromParent_Done,
     /* 2300328 */   // Label 31437: @2300328
     /* 2300328 */   GIM_Try, /*On fail goto*//*Label 31438*/ GIMT_Encode4(2300362), // Rule ID 1967 //
     /* 2300333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2300336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2300340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2300344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2300348 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2300348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2300351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300361 */     // GIR_Coverage, 1967,
     /* 2300361 */     GIR_EraseRootFromParent_Done,
     /* 2300362 */   // Label 31438: @2300362
     /* 2300362 */   GIM_Try, /*On fail goto*//*Label 31439*/ GIMT_Encode4(2300396), // Rule ID 1970 //
     /* 2300367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2300370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2300374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2300378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2300382 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2300382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2300385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300395 */     // GIR_Coverage, 1970,
     /* 2300395 */     GIR_EraseRootFromParent_Done,
     /* 2300396 */   // Label 31439: @2300396
     /* 2300396 */   GIM_Try, /*On fail goto*//*Label 31440*/ GIMT_Encode4(2300430), // Rule ID 1971 //
     /* 2300401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2300404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2300408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2300412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2300416 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2300416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2300419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300429 */     // GIR_Coverage, 1971,
     /* 2300429 */     GIR_EraseRootFromParent_Done,
     /* 2300430 */   // Label 31440: @2300430
     /* 2300430 */   GIM_Reject,
     /* 2300431 */ // Label 31436: @2300431
     /* 2300431 */ GIM_Reject,
     /* 2300432 */ // Label 31418: @2300432
     /* 2300432 */ GIM_Try, /*On fail goto*//*Label 31441*/ GIMT_Encode4(2300580),
     /* 2300437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2300440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2300443 */   GIM_Try, /*On fail goto*//*Label 31442*/ GIMT_Encode4(2300477), // Rule ID 1257 //
     /* 2300448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2300451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300463 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2300463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2300466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300476 */     // GIR_Coverage, 1257,
     /* 2300476 */     GIR_EraseRootFromParent_Done,
     /* 2300477 */   // Label 31442: @2300477
     /* 2300477 */   GIM_Try, /*On fail goto*//*Label 31443*/ GIMT_Encode4(2300511), // Rule ID 1258 //
     /* 2300482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2300485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300497 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2300497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2300500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300510 */     // GIR_Coverage, 1258,
     /* 2300510 */     GIR_EraseRootFromParent_Done,
     /* 2300511 */   // Label 31443: @2300511
     /* 2300511 */   GIM_Try, /*On fail goto*//*Label 31444*/ GIMT_Encode4(2300545), // Rule ID 1261 //
     /* 2300516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2300519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300531 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2300531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2300534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300544 */     // GIR_Coverage, 1261,
     /* 2300544 */     GIR_EraseRootFromParent_Done,
     /* 2300545 */   // Label 31444: @2300545
     /* 2300545 */   GIM_Try, /*On fail goto*//*Label 31445*/ GIMT_Encode4(2300579), // Rule ID 1262 //
     /* 2300550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2300553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300565 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2300565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2300568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300578 */     // GIR_Coverage, 1262,
     /* 2300578 */     GIR_EraseRootFromParent_Done,
     /* 2300579 */   // Label 31445: @2300579
     /* 2300579 */   GIM_Reject,
     /* 2300580 */ // Label 31441: @2300580
     /* 2300580 */ GIM_Reject,
     /* 2300581 */ // Label 31419: @2300581
     /* 2300581 */ GIM_Try, /*On fail goto*//*Label 31446*/ GIMT_Encode4(2300763),
     /* 2300586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2300592 */   GIM_Try, /*On fail goto*//*Label 31447*/ GIMT_Encode4(2300626), // Rule ID 1594 //
     /* 2300597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2300600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300612 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2300612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2300615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300625 */     // GIR_Coverage, 1594,
     /* 2300625 */     GIR_EraseRootFromParent_Done,
     /* 2300626 */   // Label 31447: @2300626
     /* 2300626 */   GIM_Try, /*On fail goto*//*Label 31448*/ GIMT_Encode4(2300660), // Rule ID 1595 //
     /* 2300631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2300634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300646 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2300646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2300649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300659 */     // GIR_Coverage, 1595,
     /* 2300659 */     GIR_EraseRootFromParent_Done,
     /* 2300660 */   // Label 31448: @2300660
     /* 2300660 */   GIM_Try, /*On fail goto*//*Label 31449*/ GIMT_Encode4(2300694), // Rule ID 1598 //
     /* 2300665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2300668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300680 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2300680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2300683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300693 */     // GIR_Coverage, 1598,
     /* 2300693 */     GIR_EraseRootFromParent_Done,
     /* 2300694 */   // Label 31449: @2300694
     /* 2300694 */   GIM_Try, /*On fail goto*//*Label 31450*/ GIMT_Encode4(2300728), // Rule ID 1599 //
     /* 2300699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2300702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300714 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2300714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2300717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300727 */     // GIR_Coverage, 1599,
     /* 2300727 */     GIR_EraseRootFromParent_Done,
     /* 2300728 */   // Label 31450: @2300728
     /* 2300728 */   GIM_Try, /*On fail goto*//*Label 31451*/ GIMT_Encode4(2300762), // Rule ID 1601 //
     /* 2300733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2300736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2300740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2300744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2300748 */     // (fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2300748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2300751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300761 */     // GIR_Coverage, 1601,
     /* 2300761 */     GIR_EraseRootFromParent_Done,
     /* 2300762 */   // Label 31451: @2300762
     /* 2300762 */   GIM_Reject,
     /* 2300763 */ // Label 31446: @2300763
     /* 2300763 */ GIM_Reject,
     /* 2300764 */ // Label 31420: @2300764
     /* 2300764 */ GIM_Try, /*On fail goto*//*Label 31452*/ GIMT_Encode4(2300884),
     /* 2300769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2300772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2300775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300787 */   GIM_Try, /*On fail goto*//*Label 31453*/ GIMT_Encode4(2300835), // Rule ID 53460 //
     /* 2300792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300795 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2300798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2300812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300834 */     // GIR_Coverage, 53460,
     /* 2300834 */     GIR_EraseRootFromParent_Done,
     /* 2300835 */   // Label 31453: @2300835
     /* 2300835 */   GIM_Try, /*On fail goto*//*Label 31454*/ GIMT_Encode4(2300883), // Rule ID 53461 //
     /* 2300840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300843 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2300846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2300860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300882 */     // GIR_Coverage, 53461,
     /* 2300882 */     GIR_EraseRootFromParent_Done,
     /* 2300883 */   // Label 31454: @2300883
     /* 2300883 */   GIM_Reject,
     /* 2300884 */ // Label 31452: @2300884
     /* 2300884 */ GIM_Reject,
     /* 2300885 */ // Label 31421: @2300885
     /* 2300885 */ GIM_Try, /*On fail goto*//*Label 31455*/ GIMT_Encode4(2301005),
     /* 2300890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2300893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2300896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300908 */   GIM_Try, /*On fail goto*//*Label 31456*/ GIMT_Encode4(2300956), // Rule ID 53484 //
     /* 2300913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300916 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2300919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2300933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300955 */     // GIR_Coverage, 53484,
     /* 2300955 */     GIR_EraseRootFromParent_Done,
     /* 2300956 */   // Label 31456: @2300956
     /* 2300956 */   GIM_Try, /*On fail goto*//*Label 31457*/ GIMT_Encode4(2301004), // Rule ID 53485 //
     /* 2300961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300964 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2300967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2300981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301003 */     // GIR_Coverage, 53485,
     /* 2301003 */     GIR_EraseRootFromParent_Done,
     /* 2301004 */   // Label 31457: @2301004
     /* 2301004 */   GIM_Reject,
     /* 2301005 */ // Label 31455: @2301005
     /* 2301005 */ GIM_Reject,
     /* 2301006 */ // Label 31422: @2301006
     /* 2301006 */ GIM_Try, /*On fail goto*//*Label 31458*/ GIMT_Encode4(2301126),
     /* 2301011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2301014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2301017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301029 */   GIM_Try, /*On fail goto*//*Label 31459*/ GIMT_Encode4(2301077), // Rule ID 53520 //
     /* 2301034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301037 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2301040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2301054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301076 */     // GIR_Coverage, 53520,
     /* 2301076 */     GIR_EraseRootFromParent_Done,
     /* 2301077 */   // Label 31459: @2301077
     /* 2301077 */   GIM_Try, /*On fail goto*//*Label 31460*/ GIMT_Encode4(2301125), // Rule ID 53521 //
     /* 2301082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301085 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2301088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2301102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301124 */     // GIR_Coverage, 53521,
     /* 2301124 */     GIR_EraseRootFromParent_Done,
     /* 2301125 */   // Label 31460: @2301125
     /* 2301125 */   GIM_Reject,
     /* 2301126 */ // Label 31458: @2301126
     /* 2301126 */ GIM_Reject,
     /* 2301127 */ // Label 31423: @2301127
     /* 2301127 */ GIM_Try, /*On fail goto*//*Label 31461*/ GIMT_Encode4(2301247),
     /* 2301132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2301135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2301138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301146 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301150 */   GIM_Try, /*On fail goto*//*Label 31462*/ GIMT_Encode4(2301198), // Rule ID 53472 //
     /* 2301155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301158 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2301161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2301175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301197 */     // GIR_Coverage, 53472,
     /* 2301197 */     GIR_EraseRootFromParent_Done,
     /* 2301198 */   // Label 31462: @2301198
     /* 2301198 */   GIM_Try, /*On fail goto*//*Label 31463*/ GIMT_Encode4(2301246), // Rule ID 53473 //
     /* 2301203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2301206 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2301209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2301223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301245 */     // GIR_Coverage, 53473,
     /* 2301245 */     GIR_EraseRootFromParent_Done,
     /* 2301246 */   // Label 31463: @2301246
     /* 2301246 */   GIM_Reject,
     /* 2301247 */ // Label 31461: @2301247
     /* 2301247 */ GIM_Reject,
     /* 2301248 */ // Label 31424: @2301248
     /* 2301248 */ GIM_Try, /*On fail goto*//*Label 31464*/ GIMT_Encode4(2301368),
     /* 2301253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2301256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2301259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301271 */   GIM_Try, /*On fail goto*//*Label 31465*/ GIMT_Encode4(2301319), // Rule ID 53508 //
     /* 2301276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301279 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2301282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2301296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301318 */     // GIR_Coverage, 53508,
     /* 2301318 */     GIR_EraseRootFromParent_Done,
     /* 2301319 */   // Label 31465: @2301319
     /* 2301319 */   GIM_Try, /*On fail goto*//*Label 31466*/ GIMT_Encode4(2301367), // Rule ID 53509 //
     /* 2301324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301327 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2301330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2301344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301366 */     // GIR_Coverage, 53509,
     /* 2301366 */     GIR_EraseRootFromParent_Done,
     /* 2301367 */   // Label 31466: @2301367
     /* 2301367 */   GIM_Reject,
     /* 2301368 */ // Label 31464: @2301368
     /* 2301368 */ GIM_Reject,
     /* 2301369 */ // Label 31425: @2301369
     /* 2301369 */ GIM_Try, /*On fail goto*//*Label 31467*/ GIMT_Encode4(2301489),
     /* 2301374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2301380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301392 */   GIM_Try, /*On fail goto*//*Label 31468*/ GIMT_Encode4(2301440), // Rule ID 53604 //
     /* 2301397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301400 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2301403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2301417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301439 */     // GIR_Coverage, 53604,
     /* 2301439 */     GIR_EraseRootFromParent_Done,
     /* 2301440 */   // Label 31468: @2301440
     /* 2301440 */   GIM_Try, /*On fail goto*//*Label 31469*/ GIMT_Encode4(2301488), // Rule ID 53605 //
     /* 2301445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301448 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2301451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2301465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301487 */     // GIR_Coverage, 53605,
     /* 2301487 */     GIR_EraseRootFromParent_Done,
     /* 2301488 */   // Label 31469: @2301488
     /* 2301488 */   GIM_Reject,
     /* 2301489 */ // Label 31467: @2301489
     /* 2301489 */ GIM_Reject,
     /* 2301490 */ // Label 31426: @2301490
     /* 2301490 */ GIM_Try, /*On fail goto*//*Label 31470*/ GIMT_Encode4(2301610),
     /* 2301495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2301498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2301501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301513 */   GIM_Try, /*On fail goto*//*Label 31471*/ GIMT_Encode4(2301561), // Rule ID 53496 //
     /* 2301518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301521 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2301524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2301538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301560 */     // GIR_Coverage, 53496,
     /* 2301560 */     GIR_EraseRootFromParent_Done,
     /* 2301561 */   // Label 31471: @2301561
     /* 2301561 */   GIM_Try, /*On fail goto*//*Label 31472*/ GIMT_Encode4(2301609), // Rule ID 53497 //
     /* 2301566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2301569 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2301572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2301586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301608 */     // GIR_Coverage, 53497,
     /* 2301608 */     GIR_EraseRootFromParent_Done,
     /* 2301609 */   // Label 31472: @2301609
     /* 2301609 */   GIM_Reject,
     /* 2301610 */ // Label 31470: @2301610
     /* 2301610 */ GIM_Reject,
     /* 2301611 */ // Label 31427: @2301611
     /* 2301611 */ GIM_Try, /*On fail goto*//*Label 31473*/ GIMT_Encode4(2301731),
     /* 2301616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2301619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2301622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301634 */   GIM_Try, /*On fail goto*//*Label 31474*/ GIMT_Encode4(2301682), // Rule ID 53568 //
     /* 2301639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301642 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2301645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2301659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301681 */     // GIR_Coverage, 53568,
     /* 2301681 */     GIR_EraseRootFromParent_Done,
     /* 2301682 */   // Label 31474: @2301682
     /* 2301682 */   GIM_Try, /*On fail goto*//*Label 31475*/ GIMT_Encode4(2301730), // Rule ID 53569 //
     /* 2301687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301690 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2301693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2301707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301729 */     // GIR_Coverage, 53569,
     /* 2301729 */     GIR_EraseRootFromParent_Done,
     /* 2301730 */   // Label 31475: @2301730
     /* 2301730 */   GIM_Reject,
     /* 2301731 */ // Label 31473: @2301731
     /* 2301731 */ GIM_Reject,
     /* 2301732 */ // Label 31428: @2301732
     /* 2301732 */ GIM_Try, /*On fail goto*//*Label 31476*/ GIMT_Encode4(2301852),
     /* 2301737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2301740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2301743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301751 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301755 */   GIM_Try, /*On fail goto*//*Label 31477*/ GIMT_Encode4(2301803), // Rule ID 53616 //
     /* 2301760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301763 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2301766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2301780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301802 */     // GIR_Coverage, 53616,
     /* 2301802 */     GIR_EraseRootFromParent_Done,
     /* 2301803 */   // Label 31477: @2301803
     /* 2301803 */   GIM_Try, /*On fail goto*//*Label 31478*/ GIMT_Encode4(2301851), // Rule ID 53617 //
     /* 2301808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301811 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2301814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2301828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301850 */     // GIR_Coverage, 53617,
     /* 2301850 */     GIR_EraseRootFromParent_Done,
     /* 2301851 */   // Label 31478: @2301851
     /* 2301851 */   GIM_Reject,
     /* 2301852 */ // Label 31476: @2301852
     /* 2301852 */ GIM_Reject,
     /* 2301853 */ // Label 31429: @2301853
     /* 2301853 */ GIM_Try, /*On fail goto*//*Label 31479*/ GIMT_Encode4(2301973),
     /* 2301858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2301861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2301864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301876 */   GIM_Try, /*On fail goto*//*Label 31480*/ GIMT_Encode4(2301924), // Rule ID 53532 //
     /* 2301881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301884 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2301887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2301901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301923 */     // GIR_Coverage, 53532,
     /* 2301923 */     GIR_EraseRootFromParent_Done,
     /* 2301924 */   // Label 31480: @2301924
     /* 2301924 */   GIM_Try, /*On fail goto*//*Label 31481*/ GIMT_Encode4(2301972), // Rule ID 53533 //
     /* 2301929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2301932 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2301935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2301949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301971 */     // GIR_Coverage, 53533,
     /* 2301971 */     GIR_EraseRootFromParent_Done,
     /* 2301972 */   // Label 31481: @2301972
     /* 2301972 */   GIM_Reject,
     /* 2301973 */ // Label 31479: @2301973
     /* 2301973 */ GIM_Reject,
     /* 2301974 */ // Label 31430: @2301974
     /* 2301974 */ GIM_Try, /*On fail goto*//*Label 31482*/ GIMT_Encode4(2302094),
     /* 2301979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2301985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301997 */   GIM_Try, /*On fail goto*//*Label 31483*/ GIMT_Encode4(2302045), // Rule ID 53580 //
     /* 2302002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302005 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2302008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2302022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302044 */     // GIR_Coverage, 53580,
     /* 2302044 */     GIR_EraseRootFromParent_Done,
     /* 2302045 */   // Label 31483: @2302045
     /* 2302045 */   GIM_Try, /*On fail goto*//*Label 31484*/ GIMT_Encode4(2302093), // Rule ID 53581 //
     /* 2302050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2302053 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2302056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2302070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302092 */     // GIR_Coverage, 53581,
     /* 2302092 */     GIR_EraseRootFromParent_Done,
     /* 2302093 */   // Label 31484: @2302093
     /* 2302093 */   GIM_Reject,
     /* 2302094 */ // Label 31482: @2302094
     /* 2302094 */ GIM_Reject,
     /* 2302095 */ // Label 31431: @2302095
     /* 2302095 */ GIM_Try, /*On fail goto*//*Label 31485*/ GIMT_Encode4(2302215),
     /* 2302100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2302103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2302106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302118 */   GIM_Try, /*On fail goto*//*Label 31486*/ GIMT_Encode4(2302166), // Rule ID 53628 //
     /* 2302123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2302126 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2302129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2302143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302165 */     // GIR_Coverage, 53628,
     /* 2302165 */     GIR_EraseRootFromParent_Done,
     /* 2302166 */   // Label 31486: @2302166
     /* 2302166 */   GIM_Try, /*On fail goto*//*Label 31487*/ GIMT_Encode4(2302214), // Rule ID 53629 //
     /* 2302171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2302174 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2302177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2302191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302213 */     // GIR_Coverage, 53629,
     /* 2302213 */     GIR_EraseRootFromParent_Done,
     /* 2302214 */   // Label 31487: @2302214
     /* 2302214 */   GIM_Reject,
     /* 2302215 */ // Label 31485: @2302215
     /* 2302215 */ GIM_Reject,
     /* 2302216 */ // Label 31432: @2302216
     /* 2302216 */ GIM_Try, /*On fail goto*//*Label 31488*/ GIMT_Encode4(2302336),
     /* 2302221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2302227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302239 */   GIM_Try, /*On fail goto*//*Label 31489*/ GIMT_Encode4(2302287), // Rule ID 53544 //
     /* 2302244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302247 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2302250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2302264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302286 */     // GIR_Coverage, 53544,
     /* 2302286 */     GIR_EraseRootFromParent_Done,
     /* 2302287 */   // Label 31489: @2302287
     /* 2302287 */   GIM_Try, /*On fail goto*//*Label 31490*/ GIMT_Encode4(2302335), // Rule ID 53545 //
     /* 2302292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302295 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2302298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2302312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302334 */     // GIR_Coverage, 53545,
     /* 2302334 */     GIR_EraseRootFromParent_Done,
     /* 2302335 */   // Label 31490: @2302335
     /* 2302335 */   GIM_Reject,
     /* 2302336 */ // Label 31488: @2302336
     /* 2302336 */ GIM_Reject,
     /* 2302337 */ // Label 31433: @2302337
     /* 2302337 */ GIM_Try, /*On fail goto*//*Label 31491*/ GIMT_Encode4(2302457),
     /* 2302342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2302348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302360 */   GIM_Try, /*On fail goto*//*Label 31492*/ GIMT_Encode4(2302408), // Rule ID 53592 //
     /* 2302365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302368 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2302371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2302385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302407 */     // GIR_Coverage, 53592,
     /* 2302407 */     GIR_EraseRootFromParent_Done,
     /* 2302408 */   // Label 31492: @2302408
     /* 2302408 */   GIM_Try, /*On fail goto*//*Label 31493*/ GIMT_Encode4(2302456), // Rule ID 53593 //
     /* 2302413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2302416 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2302419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2302433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302455 */     // GIR_Coverage, 53593,
     /* 2302455 */     GIR_EraseRootFromParent_Done,
     /* 2302456 */   // Label 31493: @2302456
     /* 2302456 */   GIM_Reject,
     /* 2302457 */ // Label 31491: @2302457
     /* 2302457 */ GIM_Reject,
     /* 2302458 */ // Label 31434: @2302458
     /* 2302458 */ GIM_Try, /*On fail goto*//*Label 31494*/ GIMT_Encode4(2302578),
     /* 2302463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2302469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302481 */   GIM_Try, /*On fail goto*//*Label 31495*/ GIMT_Encode4(2302529), // Rule ID 53556 //
     /* 2302486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302489 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2302492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2302506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302528 */     // GIR_Coverage, 53556,
     /* 2302528 */     GIR_EraseRootFromParent_Done,
     /* 2302529 */   // Label 31495: @2302529
     /* 2302529 */   GIM_Try, /*On fail goto*//*Label 31496*/ GIMT_Encode4(2302577), // Rule ID 53557 //
     /* 2302534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302537 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2302540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2302554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302576 */     // GIR_Coverage, 53557,
     /* 2302576 */     GIR_EraseRootFromParent_Done,
     /* 2302577 */   // Label 31496: @2302577
     /* 2302577 */   GIM_Reject,
     /* 2302578 */ // Label 31494: @2302578
     /* 2302578 */ GIM_Reject,
     /* 2302579 */ // Label 31435: @2302579
     /* 2302579 */ GIM_Reject,
     /* 2302580 */ // Label 61: @2302580
     /* 2302580 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31515*/ GIMT_Encode4(2305007),
     /* 2302591 */ /*GILLT_s16*//*Label 31497*/ GIMT_Encode4(2302711),
     /* 2302595 */ /*GILLT_s32*//*Label 31498*/ GIMT_Encode4(2302860),
     /* 2302599 */ /*GILLT_s64*//*Label 31499*/ GIMT_Encode4(2303009), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302611 */ /*GILLT_nxv1s16*//*Label 31500*/ GIMT_Encode4(2303192),
     /* 2302615 */ /*GILLT_nxv1s32*//*Label 31501*/ GIMT_Encode4(2303313),
     /* 2302619 */ /*GILLT_nxv1s64*//*Label 31502*/ GIMT_Encode4(2303434), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302631 */ /*GILLT_nxv2s16*//*Label 31503*/ GIMT_Encode4(2303555),
     /* 2302635 */ /*GILLT_nxv2s32*//*Label 31504*/ GIMT_Encode4(2303676),
     /* 2302639 */ /*GILLT_nxv2s64*//*Label 31505*/ GIMT_Encode4(2303797), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302651 */ /*GILLT_nxv4s16*//*Label 31506*/ GIMT_Encode4(2303918),
     /* 2302655 */ /*GILLT_nxv4s32*//*Label 31507*/ GIMT_Encode4(2304039),
     /* 2302659 */ /*GILLT_nxv4s64*//*Label 31508*/ GIMT_Encode4(2304160), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302671 */ /*GILLT_nxv8s16*//*Label 31509*/ GIMT_Encode4(2304281),
     /* 2302675 */ /*GILLT_nxv8s32*//*Label 31510*/ GIMT_Encode4(2304402),
     /* 2302679 */ /*GILLT_nxv8s64*//*Label 31511*/ GIMT_Encode4(2304523), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302691 */ /*GILLT_nxv16s16*//*Label 31512*/ GIMT_Encode4(2304644),
     /* 2302695 */ /*GILLT_nxv16s32*//*Label 31513*/ GIMT_Encode4(2304765), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302707 */ /*GILLT_nxv32s16*//*Label 31514*/ GIMT_Encode4(2304886),
     /* 2302711 */ // Label 31497: @2302711
     /* 2302711 */ GIM_Try, /*On fail goto*//*Label 31516*/ GIMT_Encode4(2302859),
     /* 2302716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2302719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2302722 */   GIM_Try, /*On fail goto*//*Label 31517*/ GIMT_Encode4(2302756), // Rule ID 1974 //
     /* 2302727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2302730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302742 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2302742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2302745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302755 */     // GIR_Coverage, 1974,
     /* 2302755 */     GIR_EraseRootFromParent_Done,
     /* 2302756 */   // Label 31517: @2302756
     /* 2302756 */   GIM_Try, /*On fail goto*//*Label 31518*/ GIMT_Encode4(2302790), // Rule ID 1975 //
     /* 2302761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2302764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302776 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2302776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2302779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302789 */     // GIR_Coverage, 1975,
     /* 2302789 */     GIR_EraseRootFromParent_Done,
     /* 2302790 */   // Label 31518: @2302790
     /* 2302790 */   GIM_Try, /*On fail goto*//*Label 31519*/ GIMT_Encode4(2302824), // Rule ID 1978 //
     /* 2302795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2302798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302810 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2302810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2302813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302823 */     // GIR_Coverage, 1978,
     /* 2302823 */     GIR_EraseRootFromParent_Done,
     /* 2302824 */   // Label 31519: @2302824
     /* 2302824 */   GIM_Try, /*On fail goto*//*Label 31520*/ GIMT_Encode4(2302858), // Rule ID 1979 //
     /* 2302829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2302832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302844 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2302844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2302847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302857 */     // GIR_Coverage, 1979,
     /* 2302857 */     GIR_EraseRootFromParent_Done,
     /* 2302858 */   // Label 31520: @2302858
     /* 2302858 */   GIM_Reject,
     /* 2302859 */ // Label 31516: @2302859
     /* 2302859 */ GIM_Reject,
     /* 2302860 */ // Label 31498: @2302860
     /* 2302860 */ GIM_Try, /*On fail goto*//*Label 31521*/ GIMT_Encode4(2303008),
     /* 2302865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2302868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2302871 */   GIM_Try, /*On fail goto*//*Label 31522*/ GIMT_Encode4(2302905), // Rule ID 1265 //
     /* 2302876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2302879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2302883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2302887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2302891 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2302891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2302894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302904 */     // GIR_Coverage, 1265,
     /* 2302904 */     GIR_EraseRootFromParent_Done,
     /* 2302905 */   // Label 31522: @2302905
     /* 2302905 */   GIM_Try, /*On fail goto*//*Label 31523*/ GIMT_Encode4(2302939), // Rule ID 1266 //
     /* 2302910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2302913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2302917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2302921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2302925 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2302925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2302928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302938 */     // GIR_Coverage, 1266,
     /* 2302938 */     GIR_EraseRootFromParent_Done,
     /* 2302939 */   // Label 31523: @2302939
     /* 2302939 */   GIM_Try, /*On fail goto*//*Label 31524*/ GIMT_Encode4(2302973), // Rule ID 1269 //
     /* 2302944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2302947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2302951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2302955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2302959 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2302959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2302962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302972 */     // GIR_Coverage, 1269,
     /* 2302972 */     GIR_EraseRootFromParent_Done,
     /* 2302973 */   // Label 31524: @2302973
     /* 2302973 */   GIM_Try, /*On fail goto*//*Label 31525*/ GIMT_Encode4(2303007), // Rule ID 1270 //
     /* 2302978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2302981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2302985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2302989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2302993 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2302993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2302996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303006 */     // GIR_Coverage, 1270,
     /* 2303006 */     GIR_EraseRootFromParent_Done,
     /* 2303007 */   // Label 31525: @2303007
     /* 2303007 */   GIM_Reject,
     /* 2303008 */ // Label 31521: @2303008
     /* 2303008 */ GIM_Reject,
     /* 2303009 */ // Label 31499: @2303009
     /* 2303009 */ GIM_Try, /*On fail goto*//*Label 31526*/ GIMT_Encode4(2303191),
     /* 2303014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2303017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2303020 */   GIM_Try, /*On fail goto*//*Label 31527*/ GIMT_Encode4(2303054), // Rule ID 1604 //
     /* 2303025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2303028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303040 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2303040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2303043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303053 */     // GIR_Coverage, 1604,
     /* 2303053 */     GIR_EraseRootFromParent_Done,
     /* 2303054 */   // Label 31527: @2303054
     /* 2303054 */   GIM_Try, /*On fail goto*//*Label 31528*/ GIMT_Encode4(2303088), // Rule ID 1605 //
     /* 2303059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2303062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303074 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2303074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2303077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303087 */     // GIR_Coverage, 1605,
     /* 2303087 */     GIR_EraseRootFromParent_Done,
     /* 2303088 */   // Label 31528: @2303088
     /* 2303088 */   GIM_Try, /*On fail goto*//*Label 31529*/ GIMT_Encode4(2303122), // Rule ID 1608 //
     /* 2303093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2303096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303108 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2303108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2303111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303121 */     // GIR_Coverage, 1608,
     /* 2303121 */     GIR_EraseRootFromParent_Done,
     /* 2303122 */   // Label 31529: @2303122
     /* 2303122 */   GIM_Try, /*On fail goto*//*Label 31530*/ GIMT_Encode4(2303156), // Rule ID 1609 //
     /* 2303127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2303130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303142 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2303142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2303145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303155 */     // GIR_Coverage, 1609,
     /* 2303155 */     GIR_EraseRootFromParent_Done,
     /* 2303156 */   // Label 31530: @2303156
     /* 2303156 */   GIM_Try, /*On fail goto*//*Label 31531*/ GIMT_Encode4(2303190), // Rule ID 1611 //
     /* 2303161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2303164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2303168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2303172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2303176 */     // (fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2303176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2303179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303189 */     // GIR_Coverage, 1611,
     /* 2303189 */     GIR_EraseRootFromParent_Done,
     /* 2303190 */   // Label 31531: @2303190
     /* 2303190 */   GIM_Reject,
     /* 2303191 */ // Label 31526: @2303191
     /* 2303191 */ GIM_Reject,
     /* 2303192 */ // Label 31500: @2303192
     /* 2303192 */ GIM_Try, /*On fail goto*//*Label 31532*/ GIMT_Encode4(2303312),
     /* 2303197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2303200 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2303203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303207 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303211 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303215 */   GIM_Try, /*On fail goto*//*Label 31533*/ GIMT_Encode4(2303263), // Rule ID 54228 //
     /* 2303220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303223 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2303226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2303240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303262 */     // GIR_Coverage, 54228,
     /* 2303262 */     GIR_EraseRootFromParent_Done,
     /* 2303263 */   // Label 31533: @2303263
     /* 2303263 */   GIM_Try, /*On fail goto*//*Label 31534*/ GIMT_Encode4(2303311), // Rule ID 54229 //
     /* 2303268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303271 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2303274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2303288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303310 */     // GIR_Coverage, 54229,
     /* 2303310 */     GIR_EraseRootFromParent_Done,
     /* 2303311 */   // Label 31534: @2303311
     /* 2303311 */   GIM_Reject,
     /* 2303312 */ // Label 31532: @2303312
     /* 2303312 */ GIM_Reject,
     /* 2303313 */ // Label 31501: @2303313
     /* 2303313 */ GIM_Try, /*On fail goto*//*Label 31535*/ GIMT_Encode4(2303433),
     /* 2303318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2303321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2303324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303336 */   GIM_Try, /*On fail goto*//*Label 31536*/ GIMT_Encode4(2303384), // Rule ID 54252 //
     /* 2303341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303344 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2303347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2303361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303383 */     // GIR_Coverage, 54252,
     /* 2303383 */     GIR_EraseRootFromParent_Done,
     /* 2303384 */   // Label 31536: @2303384
     /* 2303384 */   GIM_Try, /*On fail goto*//*Label 31537*/ GIMT_Encode4(2303432), // Rule ID 54253 //
     /* 2303389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303392 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2303395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2303409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303431 */     // GIR_Coverage, 54253,
     /* 2303431 */     GIR_EraseRootFromParent_Done,
     /* 2303432 */   // Label 31537: @2303432
     /* 2303432 */   GIM_Reject,
     /* 2303433 */ // Label 31535: @2303433
     /* 2303433 */ GIM_Reject,
     /* 2303434 */ // Label 31502: @2303434
     /* 2303434 */ GIM_Try, /*On fail goto*//*Label 31538*/ GIMT_Encode4(2303554),
     /* 2303439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2303445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303457 */   GIM_Try, /*On fail goto*//*Label 31539*/ GIMT_Encode4(2303505), // Rule ID 54288 //
     /* 2303462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303465 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2303468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2303482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303504 */     // GIR_Coverage, 54288,
     /* 2303504 */     GIR_EraseRootFromParent_Done,
     /* 2303505 */   // Label 31539: @2303505
     /* 2303505 */   GIM_Try, /*On fail goto*//*Label 31540*/ GIMT_Encode4(2303553), // Rule ID 54289 //
     /* 2303510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2303513 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2303516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2303530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303552 */     // GIR_Coverage, 54289,
     /* 2303552 */     GIR_EraseRootFromParent_Done,
     /* 2303553 */   // Label 31540: @2303553
     /* 2303553 */   GIM_Reject,
     /* 2303554 */ // Label 31538: @2303554
     /* 2303554 */ GIM_Reject,
     /* 2303555 */ // Label 31503: @2303555
     /* 2303555 */ GIM_Try, /*On fail goto*//*Label 31541*/ GIMT_Encode4(2303675),
     /* 2303560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2303563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2303566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303578 */   GIM_Try, /*On fail goto*//*Label 31542*/ GIMT_Encode4(2303626), // Rule ID 54240 //
     /* 2303583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303586 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2303589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2303603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303625 */     // GIR_Coverage, 54240,
     /* 2303625 */     GIR_EraseRootFromParent_Done,
     /* 2303626 */   // Label 31542: @2303626
     /* 2303626 */   GIM_Try, /*On fail goto*//*Label 31543*/ GIMT_Encode4(2303674), // Rule ID 54241 //
     /* 2303631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303634 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2303637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2303651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303673 */     // GIR_Coverage, 54241,
     /* 2303673 */     GIR_EraseRootFromParent_Done,
     /* 2303674 */   // Label 31543: @2303674
     /* 2303674 */   GIM_Reject,
     /* 2303675 */ // Label 31541: @2303675
     /* 2303675 */ GIM_Reject,
     /* 2303676 */ // Label 31504: @2303676
     /* 2303676 */ GIM_Try, /*On fail goto*//*Label 31544*/ GIMT_Encode4(2303796),
     /* 2303681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2303684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2303687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303695 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303699 */   GIM_Try, /*On fail goto*//*Label 31545*/ GIMT_Encode4(2303747), // Rule ID 54276 //
     /* 2303704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303707 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2303710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2303724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303746 */     // GIR_Coverage, 54276,
     /* 2303746 */     GIR_EraseRootFromParent_Done,
     /* 2303747 */   // Label 31545: @2303747
     /* 2303747 */   GIM_Try, /*On fail goto*//*Label 31546*/ GIMT_Encode4(2303795), // Rule ID 54277 //
     /* 2303752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303755 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2303758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2303772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303794 */     // GIR_Coverage, 54277,
     /* 2303794 */     GIR_EraseRootFromParent_Done,
     /* 2303795 */   // Label 31546: @2303795
     /* 2303795 */   GIM_Reject,
     /* 2303796 */ // Label 31544: @2303796
     /* 2303796 */ GIM_Reject,
     /* 2303797 */ // Label 31505: @2303797
     /* 2303797 */ GIM_Try, /*On fail goto*//*Label 31547*/ GIMT_Encode4(2303917),
     /* 2303802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2303805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2303808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303820 */   GIM_Try, /*On fail goto*//*Label 31548*/ GIMT_Encode4(2303868), // Rule ID 54372 //
     /* 2303825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303828 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2303831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2303845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303867 */     // GIR_Coverage, 54372,
     /* 2303867 */     GIR_EraseRootFromParent_Done,
     /* 2303868 */   // Label 31548: @2303868
     /* 2303868 */   GIM_Try, /*On fail goto*//*Label 31549*/ GIMT_Encode4(2303916), // Rule ID 54373 //
     /* 2303873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2303876 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2303879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2303893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303915 */     // GIR_Coverage, 54373,
     /* 2303915 */     GIR_EraseRootFromParent_Done,
     /* 2303916 */   // Label 31549: @2303916
     /* 2303916 */   GIM_Reject,
     /* 2303917 */ // Label 31547: @2303917
     /* 2303917 */ GIM_Reject,
     /* 2303918 */ // Label 31506: @2303918
     /* 2303918 */ GIM_Try, /*On fail goto*//*Label 31550*/ GIMT_Encode4(2304038),
     /* 2303923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2303926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2303929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303941 */   GIM_Try, /*On fail goto*//*Label 31551*/ GIMT_Encode4(2303989), // Rule ID 54264 //
     /* 2303946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303949 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2303952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2303966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303988 */     // GIR_Coverage, 54264,
     /* 2303988 */     GIR_EraseRootFromParent_Done,
     /* 2303989 */   // Label 31551: @2303989
     /* 2303989 */   GIM_Try, /*On fail goto*//*Label 31552*/ GIMT_Encode4(2304037), // Rule ID 54265 //
     /* 2303994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303997 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2304000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2304014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304036 */     // GIR_Coverage, 54265,
     /* 2304036 */     GIR_EraseRootFromParent_Done,
     /* 2304037 */   // Label 31552: @2304037
     /* 2304037 */   GIM_Reject,
     /* 2304038 */ // Label 31550: @2304038
     /* 2304038 */ GIM_Reject,
     /* 2304039 */ // Label 31507: @2304039
     /* 2304039 */ GIM_Try, /*On fail goto*//*Label 31553*/ GIMT_Encode4(2304159),
     /* 2304044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2304047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2304050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304062 */   GIM_Try, /*On fail goto*//*Label 31554*/ GIMT_Encode4(2304110), // Rule ID 54336 //
     /* 2304067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2304070 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2304073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2304087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304109 */     // GIR_Coverage, 54336,
     /* 2304109 */     GIR_EraseRootFromParent_Done,
     /* 2304110 */   // Label 31554: @2304110
     /* 2304110 */   GIM_Try, /*On fail goto*//*Label 31555*/ GIMT_Encode4(2304158), // Rule ID 54337 //
     /* 2304115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2304118 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2304121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2304135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304157 */     // GIR_Coverage, 54337,
     /* 2304157 */     GIR_EraseRootFromParent_Done,
     /* 2304158 */   // Label 31555: @2304158
     /* 2304158 */   GIM_Reject,
     /* 2304159 */ // Label 31553: @2304159
     /* 2304159 */ GIM_Reject,
     /* 2304160 */ // Label 31508: @2304160
     /* 2304160 */ GIM_Try, /*On fail goto*//*Label 31556*/ GIMT_Encode4(2304280),
     /* 2304165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2304168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2304171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304183 */   GIM_Try, /*On fail goto*//*Label 31557*/ GIMT_Encode4(2304231), // Rule ID 54384 //
     /* 2304188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2304191 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2304194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2304208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304230 */     // GIR_Coverage, 54384,
     /* 2304230 */     GIR_EraseRootFromParent_Done,
     /* 2304231 */   // Label 31557: @2304231
     /* 2304231 */   GIM_Try, /*On fail goto*//*Label 31558*/ GIMT_Encode4(2304279), // Rule ID 54385 //
     /* 2304236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2304239 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2304242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2304256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304278 */     // GIR_Coverage, 54385,
     /* 2304278 */     GIR_EraseRootFromParent_Done,
     /* 2304279 */   // Label 31558: @2304279
     /* 2304279 */   GIM_Reject,
     /* 2304280 */ // Label 31556: @2304280
     /* 2304280 */ GIM_Reject,
     /* 2304281 */ // Label 31509: @2304281
     /* 2304281 */ GIM_Try, /*On fail goto*//*Label 31559*/ GIMT_Encode4(2304401),
     /* 2304286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2304292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304300 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304304 */   GIM_Try, /*On fail goto*//*Label 31560*/ GIMT_Encode4(2304352), // Rule ID 54300 //
     /* 2304309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304312 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2304315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2304329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304351 */     // GIR_Coverage, 54300,
     /* 2304351 */     GIR_EraseRootFromParent_Done,
     /* 2304352 */   // Label 31560: @2304352
     /* 2304352 */   GIM_Try, /*On fail goto*//*Label 31561*/ GIMT_Encode4(2304400), // Rule ID 54301 //
     /* 2304357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304360 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2304363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2304377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304399 */     // GIR_Coverage, 54301,
     /* 2304399 */     GIR_EraseRootFromParent_Done,
     /* 2304400 */   // Label 31561: @2304400
     /* 2304400 */   GIM_Reject,
     /* 2304401 */ // Label 31559: @2304401
     /* 2304401 */ GIM_Reject,
     /* 2304402 */ // Label 31510: @2304402
     /* 2304402 */ GIM_Try, /*On fail goto*//*Label 31562*/ GIMT_Encode4(2304522),
     /* 2304407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2304410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2304413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304425 */   GIM_Try, /*On fail goto*//*Label 31563*/ GIMT_Encode4(2304473), // Rule ID 54348 //
     /* 2304430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2304433 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2304436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2304450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304472 */     // GIR_Coverage, 54348,
     /* 2304472 */     GIR_EraseRootFromParent_Done,
     /* 2304473 */   // Label 31563: @2304473
     /* 2304473 */   GIM_Try, /*On fail goto*//*Label 31564*/ GIMT_Encode4(2304521), // Rule ID 54349 //
     /* 2304478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2304481 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2304484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2304498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304520 */     // GIR_Coverage, 54349,
     /* 2304520 */     GIR_EraseRootFromParent_Done,
     /* 2304521 */   // Label 31564: @2304521
     /* 2304521 */   GIM_Reject,
     /* 2304522 */ // Label 31562: @2304522
     /* 2304522 */ GIM_Reject,
     /* 2304523 */ // Label 31511: @2304523
     /* 2304523 */ GIM_Try, /*On fail goto*//*Label 31565*/ GIMT_Encode4(2304643),
     /* 2304528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2304531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2304534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304546 */   GIM_Try, /*On fail goto*//*Label 31566*/ GIMT_Encode4(2304594), // Rule ID 54396 //
     /* 2304551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2304554 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2304557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2304571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304593 */     // GIR_Coverage, 54396,
     /* 2304593 */     GIR_EraseRootFromParent_Done,
     /* 2304594 */   // Label 31566: @2304594
     /* 2304594 */   GIM_Try, /*On fail goto*//*Label 31567*/ GIMT_Encode4(2304642), // Rule ID 54397 //
     /* 2304599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2304602 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2304605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2304619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304641 */     // GIR_Coverage, 54397,
     /* 2304641 */     GIR_EraseRootFromParent_Done,
     /* 2304642 */   // Label 31567: @2304642
     /* 2304642 */   GIM_Reject,
     /* 2304643 */ // Label 31565: @2304643
     /* 2304643 */ GIM_Reject,
     /* 2304644 */ // Label 31512: @2304644
     /* 2304644 */ GIM_Try, /*On fail goto*//*Label 31568*/ GIMT_Encode4(2304764),
     /* 2304649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2304652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2304655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304667 */   GIM_Try, /*On fail goto*//*Label 31569*/ GIMT_Encode4(2304715), // Rule ID 54312 //
     /* 2304672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304675 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2304678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2304692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304714 */     // GIR_Coverage, 54312,
     /* 2304714 */     GIR_EraseRootFromParent_Done,
     /* 2304715 */   // Label 31569: @2304715
     /* 2304715 */   GIM_Try, /*On fail goto*//*Label 31570*/ GIMT_Encode4(2304763), // Rule ID 54313 //
     /* 2304720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304723 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2304726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2304740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304762 */     // GIR_Coverage, 54313,
     /* 2304762 */     GIR_EraseRootFromParent_Done,
     /* 2304763 */   // Label 31570: @2304763
     /* 2304763 */   GIM_Reject,
     /* 2304764 */ // Label 31568: @2304764
     /* 2304764 */ GIM_Reject,
     /* 2304765 */ // Label 31513: @2304765
     /* 2304765 */ GIM_Try, /*On fail goto*//*Label 31571*/ GIMT_Encode4(2304885),
     /* 2304770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2304773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2304776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304788 */   GIM_Try, /*On fail goto*//*Label 31572*/ GIMT_Encode4(2304836), // Rule ID 54360 //
     /* 2304793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2304796 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2304799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2304813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304835 */     // GIR_Coverage, 54360,
     /* 2304835 */     GIR_EraseRootFromParent_Done,
     /* 2304836 */   // Label 31572: @2304836
     /* 2304836 */   GIM_Try, /*On fail goto*//*Label 31573*/ GIMT_Encode4(2304884), // Rule ID 54361 //
     /* 2304841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2304844 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2304847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2304861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304883 */     // GIR_Coverage, 54361,
     /* 2304883 */     GIR_EraseRootFromParent_Done,
     /* 2304884 */   // Label 31573: @2304884
     /* 2304884 */   GIM_Reject,
     /* 2304885 */ // Label 31571: @2304885
     /* 2304885 */ GIM_Reject,
     /* 2304886 */ // Label 31514: @2304886
     /* 2304886 */ GIM_Try, /*On fail goto*//*Label 31574*/ GIMT_Encode4(2305006),
     /* 2304891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2304897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304909 */   GIM_Try, /*On fail goto*//*Label 31575*/ GIMT_Encode4(2304957), // Rule ID 54324 //
     /* 2304914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304917 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2304920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2304934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304956 */     // GIR_Coverage, 54324,
     /* 2304956 */     GIR_EraseRootFromParent_Done,
     /* 2304957 */   // Label 31575: @2304957
     /* 2304957 */   GIM_Try, /*On fail goto*//*Label 31576*/ GIMT_Encode4(2305005), // Rule ID 54325 //
     /* 2304962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304965 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2304968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2304982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305004 */     // GIR_Coverage, 54325,
     /* 2305004 */     GIR_EraseRootFromParent_Done,
     /* 2305005 */   // Label 31576: @2305005
     /* 2305005 */   GIM_Reject,
     /* 2305006 */ // Label 31574: @2305006
     /* 2305006 */ GIM_Reject,
     /* 2305007 */ // Label 31515: @2305007
     /* 2305007 */ GIM_Reject,
     /* 2305008 */ // Label 62: @2305008
     /* 2305008 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31595*/ GIMT_Encode4(2321652),
     /* 2305019 */ /*GILLT_s16*//*Label 31577*/ GIMT_Encode4(2305139),
     /* 2305023 */ /*GILLT_s32*//*Label 31578*/ GIMT_Encode4(2306575),
     /* 2305027 */ /*GILLT_s64*//*Label 31579*/ GIMT_Encode4(2308011), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2305039 */ /*GILLT_nxv1s16*//*Label 31580*/ GIMT_Encode4(2309802),
     /* 2305043 */ /*GILLT_nxv1s32*//*Label 31581*/ GIMT_Encode4(2310592),
     /* 2305047 */ /*GILLT_nxv1s64*//*Label 31582*/ GIMT_Encode4(2311382), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2305059 */ /*GILLT_nxv2s16*//*Label 31583*/ GIMT_Encode4(2312172),
     /* 2305063 */ /*GILLT_nxv2s32*//*Label 31584*/ GIMT_Encode4(2312962),
     /* 2305067 */ /*GILLT_nxv2s64*//*Label 31585*/ GIMT_Encode4(2313752), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2305079 */ /*GILLT_nxv4s16*//*Label 31586*/ GIMT_Encode4(2314542),
     /* 2305083 */ /*GILLT_nxv4s32*//*Label 31587*/ GIMT_Encode4(2315332),
     /* 2305087 */ /*GILLT_nxv4s64*//*Label 31588*/ GIMT_Encode4(2316122), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2305099 */ /*GILLT_nxv8s16*//*Label 31589*/ GIMT_Encode4(2316912),
     /* 2305103 */ /*GILLT_nxv8s32*//*Label 31590*/ GIMT_Encode4(2317702),
     /* 2305107 */ /*GILLT_nxv8s64*//*Label 31591*/ GIMT_Encode4(2318492), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2305119 */ /*GILLT_nxv16s16*//*Label 31592*/ GIMT_Encode4(2319282),
     /* 2305123 */ /*GILLT_nxv16s32*//*Label 31593*/ GIMT_Encode4(2320072), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2305135 */ /*GILLT_nxv32s16*//*Label 31594*/ GIMT_Encode4(2320862),
     /* 2305139 */ // Label 31577: @2305139
     /* 2305139 */ GIM_Try, /*On fail goto*//*Label 31596*/ GIMT_Encode4(2306574),
     /* 2305144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2305150 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2305153 */   GIM_Try, /*On fail goto*//*Label 31597*/ GIMT_Encode4(2305225), // Rule ID 2015 //
     /* 2305158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2305161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305205 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2305205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2305208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2305220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305224 */     // GIR_Coverage, 2015,
     /* 2305224 */     GIR_EraseRootFromParent_Done,
     /* 2305225 */   // Label 31597: @2305225
     /* 2305225 */   GIM_Try, /*On fail goto*//*Label 31598*/ GIMT_Encode4(2305297), // Rule ID 2016 //
     /* 2305230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2305233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305270 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305275 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305277 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2305277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2305280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2305292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305296 */     // GIR_Coverage, 2016,
     /* 2305296 */     GIR_EraseRootFromParent_Done,
     /* 2305297 */   // Label 31598: @2305297
     /* 2305297 */   GIM_Try, /*On fail goto*//*Label 31599*/ GIMT_Encode4(2305369), // Rule ID 2048 //
     /* 2305302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2305305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305349 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2305349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2305352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2305364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305368 */     // GIR_Coverage, 2048,
     /* 2305368 */     GIR_EraseRootFromParent_Done,
     /* 2305369 */   // Label 31599: @2305369
     /* 2305369 */   GIM_Try, /*On fail goto*//*Label 31600*/ GIMT_Encode4(2305441), // Rule ID 2049 //
     /* 2305374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2305377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305421 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2305421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2305424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2305436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305440 */     // GIR_Coverage, 2049,
     /* 2305440 */     GIR_EraseRootFromParent_Done,
     /* 2305441 */   // Label 31600: @2305441
     /* 2305441 */   GIM_Try, /*On fail goto*//*Label 31601*/ GIMT_Encode4(2305513), // Rule ID 65475 //
     /* 2305446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2305449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305491 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305493 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2305493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2305496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2305504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2305508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305512 */     // GIR_Coverage, 65475,
     /* 2305512 */     GIR_EraseRootFromParent_Done,
     /* 2305513 */   // Label 31601: @2305513
     /* 2305513 */   GIM_Try, /*On fail goto*//*Label 31602*/ GIMT_Encode4(2305585), // Rule ID 65476 //
     /* 2305518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2305521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305554 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305565 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2305565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2305568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2305576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2305580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305584 */     // GIR_Coverage, 65476,
     /* 2305584 */     GIR_EraseRootFromParent_Done,
     /* 2305585 */   // Label 31602: @2305585
     /* 2305585 */   GIM_Try, /*On fail goto*//*Label 31603*/ GIMT_Encode4(2305657), // Rule ID 65483 //
     /* 2305590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2305593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305635 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305637 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2305637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2305640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2305648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2305652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305656 */     // GIR_Coverage, 65483,
     /* 2305656 */     GIR_EraseRootFromParent_Done,
     /* 2305657 */   // Label 31603: @2305657
     /* 2305657 */   GIM_Try, /*On fail goto*//*Label 31604*/ GIMT_Encode4(2305729), // Rule ID 65484 //
     /* 2305662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2305665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305707 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305709 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2305709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2305712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2305720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2305724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305728 */     // GIR_Coverage, 65484,
     /* 2305728 */     GIR_EraseRootFromParent_Done,
     /* 2305729 */   // Label 31604: @2305729
     /* 2305729 */   GIM_Try, /*On fail goto*//*Label 31605*/ GIMT_Encode4(2305786), // Rule ID 2011 //
     /* 2305734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2305737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305768 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2305768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2305771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2305781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305785 */     // GIR_Coverage, 2011,
     /* 2305785 */     GIR_EraseRootFromParent_Done,
     /* 2305786 */   // Label 31605: @2305786
     /* 2305786 */   GIM_Try, /*On fail goto*//*Label 31606*/ GIMT_Encode4(2305843), // Rule ID 2012 //
     /* 2305791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2305794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305825 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2305825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2305828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2305838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305842 */     // GIR_Coverage, 2012,
     /* 2305842 */     GIR_EraseRootFromParent_Done,
     /* 2305843 */   // Label 31606: @2305843
     /* 2305843 */   GIM_Try, /*On fail goto*//*Label 31607*/ GIMT_Encode4(2305900), // Rule ID 2044 //
     /* 2305848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2305851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305882 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2305882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2305885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2305895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305899 */     // GIR_Coverage, 2044,
     /* 2305899 */     GIR_EraseRootFromParent_Done,
     /* 2305900 */   // Label 31607: @2305900
     /* 2305900 */   GIM_Try, /*On fail goto*//*Label 31608*/ GIMT_Encode4(2305957), // Rule ID 2045 //
     /* 2305905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2305908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305939 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2305939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2305942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2305952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305956 */     // GIR_Coverage, 2045,
     /* 2305956 */     GIR_EraseRootFromParent_Done,
     /* 2305957 */   // Label 31608: @2305957
     /* 2305957 */   GIM_Try, /*On fail goto*//*Label 31609*/ GIMT_Encode4(2306014), // Rule ID 65471 //
     /* 2305962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2305965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305996 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2305996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2305999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2306007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2306009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306013 */     // GIR_Coverage, 65471,
     /* 2306013 */     GIR_EraseRootFromParent_Done,
     /* 2306014 */   // Label 31609: @2306014
     /* 2306014 */   GIM_Try, /*On fail goto*//*Label 31610*/ GIMT_Encode4(2306071), // Rule ID 65472 //
     /* 2306019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2306022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306053 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2306053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2306056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2306064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2306066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306070 */     // GIR_Coverage, 65472,
     /* 2306070 */     GIR_EraseRootFromParent_Done,
     /* 2306071 */   // Label 31610: @2306071
     /* 2306071 */   GIM_Try, /*On fail goto*//*Label 31611*/ GIMT_Encode4(2306128), // Rule ID 65479 //
     /* 2306076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2306079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306110 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2306110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2306113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2306121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2306123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306127 */     // GIR_Coverage, 65479,
     /* 2306127 */     GIR_EraseRootFromParent_Done,
     /* 2306128 */   // Label 31611: @2306128
     /* 2306128 */   GIM_Try, /*On fail goto*//*Label 31612*/ GIMT_Encode4(2306185), // Rule ID 65480 //
     /* 2306133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2306136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306167 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2306167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2306170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2306178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2306180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306184 */     // GIR_Coverage, 65480,
     /* 2306184 */     GIR_EraseRootFromParent_Done,
     /* 2306185 */   // Label 31612: @2306185
     /* 2306185 */   GIM_Try, /*On fail goto*//*Label 31613*/ GIMT_Encode4(2306242), // Rule ID 2007 //
     /* 2306190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2306193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306224 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2306224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2306227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2306237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306241 */     // GIR_Coverage, 2007,
     /* 2306241 */     GIR_EraseRootFromParent_Done,
     /* 2306242 */   // Label 31613: @2306242
     /* 2306242 */   GIM_Try, /*On fail goto*//*Label 31614*/ GIMT_Encode4(2306299), // Rule ID 2008 //
     /* 2306247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2306250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306281 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2306281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2306284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2306294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306298 */     // GIR_Coverage, 2008,
     /* 2306298 */     GIR_EraseRootFromParent_Done,
     /* 2306299 */   // Label 31614: @2306299
     /* 2306299 */   GIM_Try, /*On fail goto*//*Label 31615*/ GIMT_Encode4(2306356), // Rule ID 2040 //
     /* 2306304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2306307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306338 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2306338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2306341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2306351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306355 */     // GIR_Coverage, 2040,
     /* 2306355 */     GIR_EraseRootFromParent_Done,
     /* 2306356 */   // Label 31615: @2306356
     /* 2306356 */   GIM_Try, /*On fail goto*//*Label 31616*/ GIMT_Encode4(2306413), // Rule ID 2041 //
     /* 2306361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2306364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306395 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2306395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2306398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2306408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306412 */     // GIR_Coverage, 2041,
     /* 2306412 */     GIR_EraseRootFromParent_Done,
     /* 2306413 */   // Label 31616: @2306413
     /* 2306413 */   GIM_Try, /*On fail goto*//*Label 31617*/ GIMT_Encode4(2306453), // Rule ID 2003 //
     /* 2306418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2306421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306437 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2306437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2306440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2306448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306452 */     // GIR_Coverage, 2003,
     /* 2306452 */     GIR_EraseRootFromParent_Done,
     /* 2306453 */   // Label 31617: @2306453
     /* 2306453 */   GIM_Try, /*On fail goto*//*Label 31618*/ GIMT_Encode4(2306493), // Rule ID 2004 //
     /* 2306458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2306461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306477 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2306477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2306480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2306488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306492 */     // GIR_Coverage, 2004,
     /* 2306492 */     GIR_EraseRootFromParent_Done,
     /* 2306493 */   // Label 31618: @2306493
     /* 2306493 */   GIM_Try, /*On fail goto*//*Label 31619*/ GIMT_Encode4(2306533), // Rule ID 2036 //
     /* 2306498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2306501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306517 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2306517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2306520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2306528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306532 */     // GIR_Coverage, 2036,
     /* 2306532 */     GIR_EraseRootFromParent_Done,
     /* 2306533 */   // Label 31619: @2306533
     /* 2306533 */   GIM_Try, /*On fail goto*//*Label 31620*/ GIMT_Encode4(2306573), // Rule ID 2037 //
     /* 2306538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2306541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306557 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2306557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2306560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2306568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306572 */     // GIR_Coverage, 2037,
     /* 2306572 */     GIR_EraseRootFromParent_Done,
     /* 2306573 */   // Label 31620: @2306573
     /* 2306573 */   GIM_Reject,
     /* 2306574 */ // Label 31596: @2306574
     /* 2306574 */ GIM_Reject,
     /* 2306575 */ // Label 31578: @2306575
     /* 2306575 */ GIM_Try, /*On fail goto*//*Label 31621*/ GIMT_Encode4(2308010),
     /* 2306580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2306586 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2306589 */   GIM_Try, /*On fail goto*//*Label 31622*/ GIMT_Encode4(2306661), // Rule ID 1314 //
     /* 2306594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2306597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306630 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306634 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306639 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306641 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2306641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2306644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2306656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306660 */     // GIR_Coverage, 1314,
     /* 2306660 */     GIR_EraseRootFromParent_Done,
     /* 2306661 */   // Label 31622: @2306661
     /* 2306661 */   GIM_Try, /*On fail goto*//*Label 31623*/ GIMT_Encode4(2306733), // Rule ID 1315 //
     /* 2306666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2306669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306713 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2306713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2306716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2306728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306732 */     // GIR_Coverage, 1315,
     /* 2306732 */     GIR_EraseRootFromParent_Done,
     /* 2306733 */   // Label 31623: @2306733
     /* 2306733 */   GIM_Try, /*On fail goto*//*Label 31624*/ GIMT_Encode4(2306805), // Rule ID 1335 //
     /* 2306738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2306741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2306745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2306762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2306766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306778 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2306783 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306785 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2306785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2306788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2306800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306804 */     // GIR_Coverage, 1335,
     /* 2306804 */     GIR_EraseRootFromParent_Done,
     /* 2306805 */   // Label 31624: @2306805
     /* 2306805 */   GIM_Try, /*On fail goto*//*Label 31625*/ GIMT_Encode4(2306877), // Rule ID 1336 //
     /* 2306810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2306813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2306817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2306834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2306838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306850 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2306855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306857 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2306857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2306860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2306872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306876 */     // GIR_Coverage, 1336,
     /* 2306876 */     GIR_EraseRootFromParent_Done,
     /* 2306877 */   // Label 31625: @2306877
     /* 2306877 */   GIM_Try, /*On fail goto*//*Label 31626*/ GIMT_Encode4(2306949), // Rule ID 65439 //
     /* 2306882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2306885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306922 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306927 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306929 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2306929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2306932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2306940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2306944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306948 */     // GIR_Coverage, 65439,
     /* 2306948 */     GIR_EraseRootFromParent_Done,
     /* 2306949 */   // Label 31626: @2306949
     /* 2306949 */   GIM_Try, /*On fail goto*//*Label 31627*/ GIMT_Encode4(2307021), // Rule ID 65440 //
     /* 2306954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2306957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2307001 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2307001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2307004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2307012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2307016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307020 */     // GIR_Coverage, 65440,
     /* 2307020 */     GIR_EraseRootFromParent_Done,
     /* 2307021 */   // Label 31627: @2307021
     /* 2307021 */   GIM_Try, /*On fail goto*//*Label 31628*/ GIMT_Encode4(2307093), // Rule ID 65447 //
     /* 2307026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2307029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2307058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2307073 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2307073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2307076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2307084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2307088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307092 */     // GIR_Coverage, 65447,
     /* 2307092 */     GIR_EraseRootFromParent_Done,
     /* 2307093 */   // Label 31628: @2307093
     /* 2307093 */   GIM_Try, /*On fail goto*//*Label 31629*/ GIMT_Encode4(2307165), // Rule ID 65448 //
     /* 2307098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2307101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2307130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2307145 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2307145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2307148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2307156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2307160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307164 */     // GIR_Coverage, 65448,
     /* 2307164 */     GIR_EraseRootFromParent_Done,
     /* 2307165 */   // Label 31629: @2307165
     /* 2307165 */   GIM_Try, /*On fail goto*//*Label 31630*/ GIMT_Encode4(2307222), // Rule ID 1310 //
     /* 2307170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2307173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307204 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2307204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2307207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307221 */     // GIR_Coverage, 1310,
     /* 2307221 */     GIR_EraseRootFromParent_Done,
     /* 2307222 */   // Label 31630: @2307222
     /* 2307222 */   GIM_Try, /*On fail goto*//*Label 31631*/ GIMT_Encode4(2307279), // Rule ID 1311 //
     /* 2307227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2307230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307261 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2307261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2307264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307278 */     // GIR_Coverage, 1311,
     /* 2307278 */     GIR_EraseRootFromParent_Done,
     /* 2307279 */   // Label 31631: @2307279
     /* 2307279 */   GIM_Try, /*On fail goto*//*Label 31632*/ GIMT_Encode4(2307336), // Rule ID 1331 //
     /* 2307284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2307287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307318 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2307318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2307321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307335 */     // GIR_Coverage, 1331,
     /* 2307335 */     GIR_EraseRootFromParent_Done,
     /* 2307336 */   // Label 31632: @2307336
     /* 2307336 */   GIM_Try, /*On fail goto*//*Label 31633*/ GIMT_Encode4(2307393), // Rule ID 1332 //
     /* 2307341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2307344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307375 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2307375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2307378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307392 */     // GIR_Coverage, 1332,
     /* 2307392 */     GIR_EraseRootFromParent_Done,
     /* 2307393 */   // Label 31633: @2307393
     /* 2307393 */   GIM_Try, /*On fail goto*//*Label 31634*/ GIMT_Encode4(2307450), // Rule ID 65435 //
     /* 2307398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2307401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307432 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2307432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2307435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2307443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307449 */     // GIR_Coverage, 65435,
     /* 2307449 */     GIR_EraseRootFromParent_Done,
     /* 2307450 */   // Label 31634: @2307450
     /* 2307450 */   GIM_Try, /*On fail goto*//*Label 31635*/ GIMT_Encode4(2307507), // Rule ID 65436 //
     /* 2307455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2307458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307489 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2307489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2307492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2307500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307506 */     // GIR_Coverage, 65436,
     /* 2307506 */     GIR_EraseRootFromParent_Done,
     /* 2307507 */   // Label 31635: @2307507
     /* 2307507 */   GIM_Try, /*On fail goto*//*Label 31636*/ GIMT_Encode4(2307564), // Rule ID 65443 //
     /* 2307512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2307515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307546 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2307546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2307549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2307557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307563 */     // GIR_Coverage, 65443,
     /* 2307563 */     GIR_EraseRootFromParent_Done,
     /* 2307564 */   // Label 31636: @2307564
     /* 2307564 */   GIM_Try, /*On fail goto*//*Label 31637*/ GIMT_Encode4(2307621), // Rule ID 65444 //
     /* 2307569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2307572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307603 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2307603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2307606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2307614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307620 */     // GIR_Coverage, 65444,
     /* 2307620 */     GIR_EraseRootFromParent_Done,
     /* 2307621 */   // Label 31637: @2307621
     /* 2307621 */   GIM_Try, /*On fail goto*//*Label 31638*/ GIMT_Encode4(2307678), // Rule ID 1306 //
     /* 2307626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2307629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307660 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2307660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2307663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2307673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307677 */     // GIR_Coverage, 1306,
     /* 2307677 */     GIR_EraseRootFromParent_Done,
     /* 2307678 */   // Label 31638: @2307678
     /* 2307678 */   GIM_Try, /*On fail goto*//*Label 31639*/ GIMT_Encode4(2307735), // Rule ID 1307 //
     /* 2307683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2307686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307717 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2307717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2307720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2307730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307734 */     // GIR_Coverage, 1307,
     /* 2307734 */     GIR_EraseRootFromParent_Done,
     /* 2307735 */   // Label 31639: @2307735
     /* 2307735 */   GIM_Try, /*On fail goto*//*Label 31640*/ GIMT_Encode4(2307792), // Rule ID 1327 //
     /* 2307740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2307743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307774 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2307774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2307777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2307787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307791 */     // GIR_Coverage, 1327,
     /* 2307791 */     GIR_EraseRootFromParent_Done,
     /* 2307792 */   // Label 31640: @2307792
     /* 2307792 */   GIM_Try, /*On fail goto*//*Label 31641*/ GIMT_Encode4(2307849), // Rule ID 1328 //
     /* 2307797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2307800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307831 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2307831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2307834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2307844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307848 */     // GIR_Coverage, 1328,
     /* 2307848 */     GIR_EraseRootFromParent_Done,
     /* 2307849 */   // Label 31641: @2307849
     /* 2307849 */   GIM_Try, /*On fail goto*//*Label 31642*/ GIMT_Encode4(2307889), // Rule ID 1302 //
     /* 2307854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2307857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307873 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2307873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2307876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307888 */     // GIR_Coverage, 1302,
     /* 2307888 */     GIR_EraseRootFromParent_Done,
     /* 2307889 */   // Label 31642: @2307889
     /* 2307889 */   GIM_Try, /*On fail goto*//*Label 31643*/ GIMT_Encode4(2307929), // Rule ID 1303 //
     /* 2307894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2307897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307913 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2307913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2307916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307928 */     // GIR_Coverage, 1303,
     /* 2307928 */     GIR_EraseRootFromParent_Done,
     /* 2307929 */   // Label 31643: @2307929
     /* 2307929 */   GIM_Try, /*On fail goto*//*Label 31644*/ GIMT_Encode4(2307969), // Rule ID 1323 //
     /* 2307934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2307937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307953 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2307953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2307956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307968 */     // GIR_Coverage, 1323,
     /* 2307968 */     GIR_EraseRootFromParent_Done,
     /* 2307969 */   // Label 31644: @2307969
     /* 2307969 */   GIM_Try, /*On fail goto*//*Label 31645*/ GIMT_Encode4(2308009), // Rule ID 1324 //
     /* 2307974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2307977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307993 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2307993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2307996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2308004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308008 */     // GIR_Coverage, 1324,
     /* 2308008 */     GIR_EraseRootFromParent_Done,
     /* 2308009 */   // Label 31645: @2308009
     /* 2308009 */   GIM_Reject,
     /* 2308010 */ // Label 31621: @2308010
     /* 2308010 */ GIM_Reject,
     /* 2308011 */ // Label 31579: @2308011
     /* 2308011 */ GIM_Try, /*On fail goto*//*Label 31646*/ GIMT_Encode4(2309801),
     /* 2308016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2308022 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2308025 */   GIM_Try, /*On fail goto*//*Label 31647*/ GIMT_Encode4(2308097), // Rule ID 1651 //
     /* 2308030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2308033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308077 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2308077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2308080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308096 */     // GIR_Coverage, 1651,
     /* 2308096 */     GIR_EraseRootFromParent_Done,
     /* 2308097 */   // Label 31647: @2308097
     /* 2308097 */   GIM_Try, /*On fail goto*//*Label 31648*/ GIMT_Encode4(2308169), // Rule ID 1652 //
     /* 2308102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2308105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308149 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2308149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2308152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308168 */     // GIR_Coverage, 1652,
     /* 2308168 */     GIR_EraseRootFromParent_Done,
     /* 2308169 */   // Label 31648: @2308169
     /* 2308169 */   GIM_Try, /*On fail goto*//*Label 31649*/ GIMT_Encode4(2308241), // Rule ID 1674 //
     /* 2308174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2308177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308214 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308219 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308221 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2308221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2308224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308240 */     // GIR_Coverage, 1674,
     /* 2308240 */     GIR_EraseRootFromParent_Done,
     /* 2308241 */   // Label 31649: @2308241
     /* 2308241 */   GIM_Try, /*On fail goto*//*Label 31650*/ GIMT_Encode4(2308313), // Rule ID 1706 //
     /* 2308246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2308249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308293 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2308293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2308296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308312 */     // GIR_Coverage, 1706,
     /* 2308312 */     GIR_EraseRootFromParent_Done,
     /* 2308313 */   // Label 31650: @2308313
     /* 2308313 */   GIM_Try, /*On fail goto*//*Label 31651*/ GIMT_Encode4(2308385), // Rule ID 1707 //
     /* 2308318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2308321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308358 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308365 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2308365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2308368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308384 */     // GIR_Coverage, 1707,
     /* 2308384 */     GIR_EraseRootFromParent_Done,
     /* 2308385 */   // Label 31651: @2308385
     /* 2308385 */   GIM_Try, /*On fail goto*//*Label 31652*/ GIMT_Encode4(2308457), // Rule ID 65455 //
     /* 2308390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2308393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308418 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308422 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308426 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308430 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308435 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308437 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2308437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2308440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308456 */     // GIR_Coverage, 65455,
     /* 2308456 */     GIR_EraseRootFromParent_Done,
     /* 2308457 */   // Label 31652: @2308457
     /* 2308457 */   GIM_Try, /*On fail goto*//*Label 31653*/ GIMT_Encode4(2308529), // Rule ID 65456 //
     /* 2308462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2308465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308490 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308494 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308498 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308502 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308507 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308509 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2308509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2308512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308528 */     // GIR_Coverage, 65456,
     /* 2308528 */     GIR_EraseRootFromParent_Done,
     /* 2308529 */   // Label 31653: @2308529
     /* 2308529 */   GIM_Try, /*On fail goto*//*Label 31654*/ GIMT_Encode4(2308601), // Rule ID 65460 //
     /* 2308534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2308537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308581 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2308581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2308584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308600 */     // GIR_Coverage, 65460,
     /* 2308600 */     GIR_EraseRootFromParent_Done,
     /* 2308601 */   // Label 31654: @2308601
     /* 2308601 */   GIM_Try, /*On fail goto*//*Label 31655*/ GIMT_Encode4(2308673), // Rule ID 65467 //
     /* 2308606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2308609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308646 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308651 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308653 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2308653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2308656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308672 */     // GIR_Coverage, 65467,
     /* 2308672 */     GIR_EraseRootFromParent_Done,
     /* 2308673 */   // Label 31655: @2308673
     /* 2308673 */   GIM_Try, /*On fail goto*//*Label 31656*/ GIMT_Encode4(2308745), // Rule ID 65468 //
     /* 2308678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2308681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308723 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308725 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2308725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2308728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308744 */     // GIR_Coverage, 65468,
     /* 2308744 */     GIR_EraseRootFromParent_Done,
     /* 2308745 */   // Label 31656: @2308745
     /* 2308745 */   GIM_Try, /*On fail goto*//*Label 31657*/ GIMT_Encode4(2308802), // Rule ID 1647 //
     /* 2308750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2308753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308784 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2308784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2308787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2308797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308801 */     // GIR_Coverage, 1647,
     /* 2308801 */     GIR_EraseRootFromParent_Done,
     /* 2308802 */   // Label 31657: @2308802
     /* 2308802 */   GIM_Try, /*On fail goto*//*Label 31658*/ GIMT_Encode4(2308859), // Rule ID 1648 //
     /* 2308807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2308810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308841 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2308841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2308844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2308854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308858 */     // GIR_Coverage, 1648,
     /* 2308858 */     GIR_EraseRootFromParent_Done,
     /* 2308859 */   // Label 31658: @2308859
     /* 2308859 */   GIM_Try, /*On fail goto*//*Label 31659*/ GIMT_Encode4(2308916), // Rule ID 1672 //
     /* 2308864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2308867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308898 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2308898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2308901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2308911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308915 */     // GIR_Coverage, 1672,
     /* 2308915 */     GIR_EraseRootFromParent_Done,
     /* 2308916 */   // Label 31659: @2308916
     /* 2308916 */   GIM_Try, /*On fail goto*//*Label 31660*/ GIMT_Encode4(2308973), // Rule ID 1702 //
     /* 2308921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2308924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308955 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2308955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2308958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2308968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308972 */     // GIR_Coverage, 1702,
     /* 2308972 */     GIR_EraseRootFromParent_Done,
     /* 2308973 */   // Label 31660: @2308973
     /* 2308973 */   GIM_Try, /*On fail goto*//*Label 31661*/ GIMT_Encode4(2309030), // Rule ID 1703 //
     /* 2308978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2308981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309012 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2309012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2309015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309029 */     // GIR_Coverage, 1703,
     /* 2309029 */     GIR_EraseRootFromParent_Done,
     /* 2309030 */   // Label 31661: @2309030
     /* 2309030 */   GIM_Try, /*On fail goto*//*Label 31662*/ GIMT_Encode4(2309087), // Rule ID 65451 //
     /* 2309035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2309038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2309050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309069 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2309072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309086 */     // GIR_Coverage, 65451,
     /* 2309086 */     GIR_EraseRootFromParent_Done,
     /* 2309087 */   // Label 31662: @2309087
     /* 2309087 */   GIM_Try, /*On fail goto*//*Label 31663*/ GIMT_Encode4(2309144), // Rule ID 65452 //
     /* 2309092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2309095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2309107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309126 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2309126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2309129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309143 */     // GIR_Coverage, 65452,
     /* 2309143 */     GIR_EraseRootFromParent_Done,
     /* 2309144 */   // Label 31663: @2309144
     /* 2309144 */   GIM_Try, /*On fail goto*//*Label 31664*/ GIMT_Encode4(2309201), // Rule ID 65458 //
     /* 2309149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2309152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2309164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309183 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2309186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309200 */     // GIR_Coverage, 65458,
     /* 2309200 */     GIR_EraseRootFromParent_Done,
     /* 2309201 */   // Label 31664: @2309201
     /* 2309201 */   GIM_Try, /*On fail goto*//*Label 31665*/ GIMT_Encode4(2309258), // Rule ID 65463 //
     /* 2309206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2309209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2309221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309240 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2309243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309257 */     // GIR_Coverage, 65463,
     /* 2309257 */     GIR_EraseRootFromParent_Done,
     /* 2309258 */   // Label 31665: @2309258
     /* 2309258 */   GIM_Try, /*On fail goto*//*Label 31666*/ GIMT_Encode4(2309315), // Rule ID 65464 //
     /* 2309263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2309266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2309278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309297 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2309297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2309300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309314 */     // GIR_Coverage, 65464,
     /* 2309314 */     GIR_EraseRootFromParent_Done,
     /* 2309315 */   // Label 31666: @2309315
     /* 2309315 */   GIM_Try, /*On fail goto*//*Label 31667*/ GIMT_Encode4(2309372), // Rule ID 1643 //
     /* 2309320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2309323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309354 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2309357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2309367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309371 */     // GIR_Coverage, 1643,
     /* 2309371 */     GIR_EraseRootFromParent_Done,
     /* 2309372 */   // Label 31667: @2309372
     /* 2309372 */   GIM_Try, /*On fail goto*//*Label 31668*/ GIMT_Encode4(2309429), // Rule ID 1644 //
     /* 2309377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2309380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309411 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2309411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2309414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2309424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309428 */     // GIR_Coverage, 1644,
     /* 2309428 */     GIR_EraseRootFromParent_Done,
     /* 2309429 */   // Label 31668: @2309429
     /* 2309429 */   GIM_Try, /*On fail goto*//*Label 31669*/ GIMT_Encode4(2309486), // Rule ID 1670 //
     /* 2309434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2309437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309468 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2309471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2309481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309485 */     // GIR_Coverage, 1670,
     /* 2309485 */     GIR_EraseRootFromParent_Done,
     /* 2309486 */   // Label 31669: @2309486
     /* 2309486 */   GIM_Try, /*On fail goto*//*Label 31670*/ GIMT_Encode4(2309543), // Rule ID 1698 //
     /* 2309491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2309494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309525 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2309528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2309538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309542 */     // GIR_Coverage, 1698,
     /* 2309542 */     GIR_EraseRootFromParent_Done,
     /* 2309543 */   // Label 31670: @2309543
     /* 2309543 */   GIM_Try, /*On fail goto*//*Label 31671*/ GIMT_Encode4(2309600), // Rule ID 1699 //
     /* 2309548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2309551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309582 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2309582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2309585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2309595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309599 */     // GIR_Coverage, 1699,
     /* 2309599 */     GIR_EraseRootFromParent_Done,
     /* 2309600 */   // Label 31671: @2309600
     /* 2309600 */   GIM_Try, /*On fail goto*//*Label 31672*/ GIMT_Encode4(2309640), // Rule ID 1639 //
     /* 2309605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2309608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309624 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2309627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309639 */     // GIR_Coverage, 1639,
     /* 2309639 */     GIR_EraseRootFromParent_Done,
     /* 2309640 */   // Label 31672: @2309640
     /* 2309640 */   GIM_Try, /*On fail goto*//*Label 31673*/ GIMT_Encode4(2309680), // Rule ID 1640 //
     /* 2309645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2309648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309664 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2309664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2309667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309679 */     // GIR_Coverage, 1640,
     /* 2309679 */     GIR_EraseRootFromParent_Done,
     /* 2309680 */   // Label 31673: @2309680
     /* 2309680 */   GIM_Try, /*On fail goto*//*Label 31674*/ GIMT_Encode4(2309720), // Rule ID 1668 //
     /* 2309685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2309688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309704 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2309707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309719 */     // GIR_Coverage, 1668,
     /* 2309719 */     GIR_EraseRootFromParent_Done,
     /* 2309720 */   // Label 31674: @2309720
     /* 2309720 */   GIM_Try, /*On fail goto*//*Label 31675*/ GIMT_Encode4(2309760), // Rule ID 1694 //
     /* 2309725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2309728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309744 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2309747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309759 */     // GIR_Coverage, 1694,
     /* 2309759 */     GIR_EraseRootFromParent_Done,
     /* 2309760 */   // Label 31675: @2309760
     /* 2309760 */   GIM_Try, /*On fail goto*//*Label 31676*/ GIMT_Encode4(2309800), // Rule ID 1695 //
     /* 2309765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2309768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309784 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2309784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2309787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309799 */     // GIR_Coverage, 1695,
     /* 2309799 */     GIR_EraseRootFromParent_Done,
     /* 2309800 */   // Label 31676: @2309800
     /* 2309800 */   GIM_Reject,
     /* 2309801 */ // Label 31646: @2309801
     /* 2309801 */ GIM_Reject,
     /* 2309802 */ // Label 31580: @2309802
     /* 2309802 */ GIM_Try, /*On fail goto*//*Label 31677*/ GIMT_Encode4(2310591),
     /* 2309807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2309810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2309813 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2309816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309820 */   GIM_Try, /*On fail goto*//*Label 31678*/ GIMT_Encode4(2309897), // Rule ID 54842 //
     /* 2309825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2309828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2309832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2309840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2309861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309868 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2309868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2309871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2309875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2309883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309896 */     // GIR_Coverage, 54842,
     /* 2309896 */     GIR_EraseRootFromParent_Done,
     /* 2309897 */   // Label 31678: @2309897
     /* 2309897 */   GIM_Try, /*On fail goto*//*Label 31679*/ GIMT_Encode4(2309974), // Rule ID 54843 //
     /* 2309902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2309905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2309909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2309917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2309938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309943 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309945 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2309945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2309948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2309952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2309960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309973 */     // GIR_Coverage, 54843,
     /* 2309973 */     GIR_EraseRootFromParent_Done,
     /* 2309974 */   // Label 31679: @2309974
     /* 2309974 */   GIM_Try, /*On fail goto*//*Label 31680*/ GIMT_Encode4(2310051), // Rule ID 72439 //
     /* 2309979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2309982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2309990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2309998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310015 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310020 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310022 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2310025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2310037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310050 */     // GIR_Coverage, 72439,
     /* 2310050 */     GIR_EraseRootFromParent_Done,
     /* 2310051 */   // Label 31680: @2310051
     /* 2310051 */   GIM_Try, /*On fail goto*//*Label 31681*/ GIMT_Encode4(2310128), // Rule ID 72440 //
     /* 2310056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2310059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310099 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2310102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2310114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310127 */     // GIR_Coverage, 72440,
     /* 2310127 */     GIR_EraseRootFromParent_Done,
     /* 2310128 */   // Label 31681: @2310128
     /* 2310128 */   GIM_Try, /*On fail goto*//*Label 31682*/ GIMT_Encode4(2310190), // Rule ID 54846 //
     /* 2310133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2310136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310163 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2310166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310189 */     // GIR_Coverage, 54846,
     /* 2310189 */     GIR_EraseRootFromParent_Done,
     /* 2310190 */   // Label 31682: @2310190
     /* 2310190 */   GIM_Try, /*On fail goto*//*Label 31683*/ GIMT_Encode4(2310252), // Rule ID 54847 //
     /* 2310195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2310198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310225 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2310228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310251 */     // GIR_Coverage, 54847,
     /* 2310251 */     GIR_EraseRootFromParent_Done,
     /* 2310252 */   // Label 31683: @2310252
     /* 2310252 */   GIM_Try, /*On fail goto*//*Label 31684*/ GIMT_Encode4(2310314), // Rule ID 72443 //
     /* 2310257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2310260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310287 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2310290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310313 */     // GIR_Coverage, 72443,
     /* 2310313 */     GIR_EraseRootFromParent_Done,
     /* 2310314 */   // Label 31684: @2310314
     /* 2310314 */   GIM_Try, /*On fail goto*//*Label 31685*/ GIMT_Encode4(2310376), // Rule ID 72444 //
     /* 2310319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2310322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310349 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2310352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310375 */     // GIR_Coverage, 72444,
     /* 2310375 */     GIR_EraseRootFromParent_Done,
     /* 2310376 */   // Label 31685: @2310376
     /* 2310376 */   GIM_Try, /*On fail goto*//*Label 31686*/ GIMT_Encode4(2310438), // Rule ID 54838 //
     /* 2310381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2310384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310411 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2310414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2310424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310437 */     // GIR_Coverage, 54838,
     /* 2310437 */     GIR_EraseRootFromParent_Done,
     /* 2310438 */   // Label 31686: @2310438
     /* 2310438 */   GIM_Try, /*On fail goto*//*Label 31687*/ GIMT_Encode4(2310500), // Rule ID 54839 //
     /* 2310443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2310446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310466 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310473 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2310476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2310486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310499 */     // GIR_Coverage, 54839,
     /* 2310499 */     GIR_EraseRootFromParent_Done,
     /* 2310500 */   // Label 31687: @2310500
     /* 2310500 */   GIM_Try, /*On fail goto*//*Label 31688*/ GIMT_Encode4(2310545), // Rule ID 54834 //
     /* 2310505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2310508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310520 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2310523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310544 */     // GIR_Coverage, 54834,
     /* 2310544 */     GIR_EraseRootFromParent_Done,
     /* 2310545 */   // Label 31688: @2310545
     /* 2310545 */   GIM_Try, /*On fail goto*//*Label 31689*/ GIMT_Encode4(2310590), // Rule ID 54835 //
     /* 2310550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2310553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310565 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2310568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310589 */     // GIR_Coverage, 54835,
     /* 2310589 */     GIR_EraseRootFromParent_Done,
     /* 2310590 */   // Label 31689: @2310590
     /* 2310590 */   GIM_Reject,
     /* 2310591 */ // Label 31677: @2310591
     /* 2310591 */ GIM_Reject,
     /* 2310592 */ // Label 31581: @2310592
     /* 2310592 */ GIM_Try, /*On fail goto*//*Label 31690*/ GIMT_Encode4(2311381),
     /* 2310597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2310603 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2310606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310610 */   GIM_Try, /*On fail goto*//*Label 31691*/ GIMT_Encode4(2310687), // Rule ID 54970 //
     /* 2310615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2310618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310658 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2310661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2310673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310686 */     // GIR_Coverage, 54970,
     /* 2310686 */     GIR_EraseRootFromParent_Done,
     /* 2310687 */   // Label 31691: @2310687
     /* 2310687 */   GIM_Try, /*On fail goto*//*Label 31692*/ GIMT_Encode4(2310764), // Rule ID 54971 //
     /* 2310692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2310695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310728 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310733 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310735 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2310738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2310750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310763 */     // GIR_Coverage, 54971,
     /* 2310763 */     GIR_EraseRootFromParent_Done,
     /* 2310764 */   // Label 31692: @2310764
     /* 2310764 */   GIM_Try, /*On fail goto*//*Label 31693*/ GIMT_Encode4(2310841), // Rule ID 72551 //
     /* 2310769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2310772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310812 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2310815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2310827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310840 */     // GIR_Coverage, 72551,
     /* 2310840 */     GIR_EraseRootFromParent_Done,
     /* 2310841 */   // Label 31693: @2310841
     /* 2310841 */   GIM_Try, /*On fail goto*//*Label 31694*/ GIMT_Encode4(2310918), // Rule ID 72552 //
     /* 2310846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2310849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310889 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2310889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2310892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2310904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310917 */     // GIR_Coverage, 72552,
     /* 2310917 */     GIR_EraseRootFromParent_Done,
     /* 2310918 */   // Label 31694: @2310918
     /* 2310918 */   GIM_Try, /*On fail goto*//*Label 31695*/ GIMT_Encode4(2310980), // Rule ID 54974 //
     /* 2310923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2310926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310953 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2310953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2310956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2310960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310979 */     // GIR_Coverage, 54974,
     /* 2310979 */     GIR_EraseRootFromParent_Done,
     /* 2310980 */   // Label 31695: @2310980
     /* 2310980 */   GIM_Try, /*On fail goto*//*Label 31696*/ GIMT_Encode4(2311042), // Rule ID 54975 //
     /* 2310985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2310988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311015 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2311018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311041 */     // GIR_Coverage, 54975,
     /* 2311041 */     GIR_EraseRootFromParent_Done,
     /* 2311042 */   // Label 31696: @2311042
     /* 2311042 */   GIM_Try, /*On fail goto*//*Label 31697*/ GIMT_Encode4(2311104), // Rule ID 72555 //
     /* 2311047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2311050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311077 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2311080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311103 */     // GIR_Coverage, 72555,
     /* 2311103 */     GIR_EraseRootFromParent_Done,
     /* 2311104 */   // Label 31697: @2311104
     /* 2311104 */   GIM_Try, /*On fail goto*//*Label 31698*/ GIMT_Encode4(2311166), // Rule ID 72556 //
     /* 2311109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2311112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311139 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2311142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311165 */     // GIR_Coverage, 72556,
     /* 2311165 */     GIR_EraseRootFromParent_Done,
     /* 2311166 */   // Label 31698: @2311166
     /* 2311166 */   GIM_Try, /*On fail goto*//*Label 31699*/ GIMT_Encode4(2311228), // Rule ID 54966 //
     /* 2311171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2311174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2311186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311201 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2311204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2311214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311227 */     // GIR_Coverage, 54966,
     /* 2311227 */     GIR_EraseRootFromParent_Done,
     /* 2311228 */   // Label 31699: @2311228
     /* 2311228 */   GIM_Try, /*On fail goto*//*Label 31700*/ GIMT_Encode4(2311290), // Rule ID 54967 //
     /* 2311233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2311236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2311248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311263 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2311266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2311276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311289 */     // GIR_Coverage, 54967,
     /* 2311289 */     GIR_EraseRootFromParent_Done,
     /* 2311290 */   // Label 31700: @2311290
     /* 2311290 */   GIM_Try, /*On fail goto*//*Label 31701*/ GIMT_Encode4(2311335), // Rule ID 54962 //
     /* 2311295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2311298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311310 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2311313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311334 */     // GIR_Coverage, 54962,
     /* 2311334 */     GIR_EraseRootFromParent_Done,
     /* 2311335 */   // Label 31701: @2311335
     /* 2311335 */   GIM_Try, /*On fail goto*//*Label 31702*/ GIMT_Encode4(2311380), // Rule ID 54963 //
     /* 2311340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2311343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311355 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2311358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311379 */     // GIR_Coverage, 54963,
     /* 2311379 */     GIR_EraseRootFromParent_Done,
     /* 2311380 */   // Label 31702: @2311380
     /* 2311380 */   GIM_Reject,
     /* 2311381 */ // Label 31690: @2311381
     /* 2311381 */ GIM_Reject,
     /* 2311382 */ // Label 31582: @2311382
     /* 2311382 */ GIM_Try, /*On fail goto*//*Label 31703*/ GIMT_Encode4(2312171),
     /* 2311387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2311393 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2311396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311400 */   GIM_Try, /*On fail goto*//*Label 31704*/ GIMT_Encode4(2311477), // Rule ID 55162 //
     /* 2311405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2311408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2311412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2311433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2311448 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2311451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2311463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311476 */     // GIR_Coverage, 55162,
     /* 2311476 */     GIR_EraseRootFromParent_Done,
     /* 2311477 */   // Label 31704: @2311477
     /* 2311477 */   GIM_Try, /*On fail goto*//*Label 31705*/ GIMT_Encode4(2311554), // Rule ID 55163 //
     /* 2311482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2311485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2311489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2311510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311518 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311523 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2311525 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2311528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2311540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311553 */     // GIR_Coverage, 55163,
     /* 2311553 */     GIR_EraseRootFromParent_Done,
     /* 2311554 */   // Label 31705: @2311554
     /* 2311554 */   GIM_Try, /*On fail goto*//*Label 31706*/ GIMT_Encode4(2311631), // Rule ID 72719 //
     /* 2311559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2311562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2311587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2311602 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2311605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2311617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311630 */     // GIR_Coverage, 72719,
     /* 2311630 */     GIR_EraseRootFromParent_Done,
     /* 2311631 */   // Label 31706: @2311631
     /* 2311631 */   GIM_Try, /*On fail goto*//*Label 31707*/ GIMT_Encode4(2311708), // Rule ID 72720 //
     /* 2311636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2311639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2311664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2311679 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2311682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2311694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311707 */     // GIR_Coverage, 72720,
     /* 2311707 */     GIR_EraseRootFromParent_Done,
     /* 2311708 */   // Label 31707: @2311708
     /* 2311708 */   GIM_Try, /*On fail goto*//*Label 31708*/ GIMT_Encode4(2311770), // Rule ID 55166 //
     /* 2311713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2311716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2311720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311743 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2311746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311769 */     // GIR_Coverage, 55166,
     /* 2311769 */     GIR_EraseRootFromParent_Done,
     /* 2311770 */   // Label 31708: @2311770
     /* 2311770 */   GIM_Try, /*On fail goto*//*Label 31709*/ GIMT_Encode4(2311832), // Rule ID 55167 //
     /* 2311775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2311778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2311782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311805 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2311808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311831 */     // GIR_Coverage, 55167,
     /* 2311831 */     GIR_EraseRootFromParent_Done,
     /* 2311832 */   // Label 31709: @2311832
     /* 2311832 */   GIM_Try, /*On fail goto*//*Label 31710*/ GIMT_Encode4(2311894), // Rule ID 72723 //
     /* 2311837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2311840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311867 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2311870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311893 */     // GIR_Coverage, 72723,
     /* 2311893 */     GIR_EraseRootFromParent_Done,
     /* 2311894 */   // Label 31710: @2311894
     /* 2311894 */   GIM_Try, /*On fail goto*//*Label 31711*/ GIMT_Encode4(2311956), // Rule ID 72724 //
     /* 2311899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2311902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311929 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2311932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311955 */     // GIR_Coverage, 72724,
     /* 2311955 */     GIR_EraseRootFromParent_Done,
     /* 2311956 */   // Label 31711: @2311956
     /* 2311956 */   GIM_Try, /*On fail goto*//*Label 31712*/ GIMT_Encode4(2312018), // Rule ID 55158 //
     /* 2311961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2311964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2311976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311991 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2311994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2312004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312017 */     // GIR_Coverage, 55158,
     /* 2312017 */     GIR_EraseRootFromParent_Done,
     /* 2312018 */   // Label 31712: @2312018
     /* 2312018 */   GIM_Try, /*On fail goto*//*Label 31713*/ GIMT_Encode4(2312080), // Rule ID 55159 //
     /* 2312023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2312026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312046 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312053 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2312056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2312066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312079 */     // GIR_Coverage, 55159,
     /* 2312079 */     GIR_EraseRootFromParent_Done,
     /* 2312080 */   // Label 31713: @2312080
     /* 2312080 */   GIM_Try, /*On fail goto*//*Label 31714*/ GIMT_Encode4(2312125), // Rule ID 55154 //
     /* 2312085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2312088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312100 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2312103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312124 */     // GIR_Coverage, 55154,
     /* 2312124 */     GIR_EraseRootFromParent_Done,
     /* 2312125 */   // Label 31714: @2312125
     /* 2312125 */   GIM_Try, /*On fail goto*//*Label 31715*/ GIMT_Encode4(2312170), // Rule ID 55155 //
     /* 2312130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2312133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312145 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2312148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312169 */     // GIR_Coverage, 55155,
     /* 2312169 */     GIR_EraseRootFromParent_Done,
     /* 2312170 */   // Label 31715: @2312170
     /* 2312170 */   GIM_Reject,
     /* 2312171 */ // Label 31703: @2312171
     /* 2312171 */ GIM_Reject,
     /* 2312172 */ // Label 31583: @2312172
     /* 2312172 */ GIM_Try, /*On fail goto*//*Label 31716*/ GIMT_Encode4(2312961),
     /* 2312177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2312183 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2312186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312190 */   GIM_Try, /*On fail goto*//*Label 31717*/ GIMT_Encode4(2312267), // Rule ID 54906 //
     /* 2312195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2312198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312231 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312238 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2312241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312266 */     // GIR_Coverage, 54906,
     /* 2312266 */     GIR_EraseRootFromParent_Done,
     /* 2312267 */   // Label 31717: @2312267
     /* 2312267 */   GIM_Try, /*On fail goto*//*Label 31718*/ GIMT_Encode4(2312344), // Rule ID 54907 //
     /* 2312272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2312275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312315 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2312318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312343 */     // GIR_Coverage, 54907,
     /* 2312343 */     GIR_EraseRootFromParent_Done,
     /* 2312344 */   // Label 31718: @2312344
     /* 2312344 */   GIM_Try, /*On fail goto*//*Label 31719*/ GIMT_Encode4(2312421), // Rule ID 72495 //
     /* 2312349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2312352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2312360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312392 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2312395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312420 */     // GIR_Coverage, 72495,
     /* 2312420 */     GIR_EraseRootFromParent_Done,
     /* 2312421 */   // Label 31719: @2312421
     /* 2312421 */   GIM_Try, /*On fail goto*//*Label 31720*/ GIMT_Encode4(2312498), // Rule ID 72496 //
     /* 2312426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2312429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2312437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312469 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2312472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312497 */     // GIR_Coverage, 72496,
     /* 2312497 */     GIR_EraseRootFromParent_Done,
     /* 2312498 */   // Label 31720: @2312498
     /* 2312498 */   GIM_Try, /*On fail goto*//*Label 31721*/ GIMT_Encode4(2312560), // Rule ID 54910 //
     /* 2312503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2312506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312533 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2312536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312559 */     // GIR_Coverage, 54910,
     /* 2312559 */     GIR_EraseRootFromParent_Done,
     /* 2312560 */   // Label 31721: @2312560
     /* 2312560 */   GIM_Try, /*On fail goto*//*Label 31722*/ GIMT_Encode4(2312622), // Rule ID 54911 //
     /* 2312565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2312568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312595 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2312598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312621 */     // GIR_Coverage, 54911,
     /* 2312621 */     GIR_EraseRootFromParent_Done,
     /* 2312622 */   // Label 31722: @2312622
     /* 2312622 */   GIM_Try, /*On fail goto*//*Label 31723*/ GIMT_Encode4(2312684), // Rule ID 72499 //
     /* 2312627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2312630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2312638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312657 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2312660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312683 */     // GIR_Coverage, 72499,
     /* 2312683 */     GIR_EraseRootFromParent_Done,
     /* 2312684 */   // Label 31723: @2312684
     /* 2312684 */   GIM_Try, /*On fail goto*//*Label 31724*/ GIMT_Encode4(2312746), // Rule ID 72500 //
     /* 2312689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2312692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2312700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312719 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2312722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312745 */     // GIR_Coverage, 72500,
     /* 2312745 */     GIR_EraseRootFromParent_Done,
     /* 2312746 */   // Label 31724: @2312746
     /* 2312746 */   GIM_Try, /*On fail goto*//*Label 31725*/ GIMT_Encode4(2312808), // Rule ID 54902 //
     /* 2312751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2312754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312781 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2312784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2312794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312807 */     // GIR_Coverage, 54902,
     /* 2312807 */     GIR_EraseRootFromParent_Done,
     /* 2312808 */   // Label 31725: @2312808
     /* 2312808 */   GIM_Try, /*On fail goto*//*Label 31726*/ GIMT_Encode4(2312870), // Rule ID 54903 //
     /* 2312813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2312816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312843 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2312846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2312856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312869 */     // GIR_Coverage, 54903,
     /* 2312869 */     GIR_EraseRootFromParent_Done,
     /* 2312870 */   // Label 31726: @2312870
     /* 2312870 */   GIM_Try, /*On fail goto*//*Label 31727*/ GIMT_Encode4(2312915), // Rule ID 54898 //
     /* 2312875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2312878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312890 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2312893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312914 */     // GIR_Coverage, 54898,
     /* 2312914 */     GIR_EraseRootFromParent_Done,
     /* 2312915 */   // Label 31727: @2312915
     /* 2312915 */   GIM_Try, /*On fail goto*//*Label 31728*/ GIMT_Encode4(2312960), // Rule ID 54899 //
     /* 2312920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2312923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312935 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2312938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312959 */     // GIR_Coverage, 54899,
     /* 2312959 */     GIR_EraseRootFromParent_Done,
     /* 2312960 */   // Label 31728: @2312960
     /* 2312960 */   GIM_Reject,
     /* 2312961 */ // Label 31716: @2312961
     /* 2312961 */ GIM_Reject,
     /* 2312962 */ // Label 31584: @2312962
     /* 2312962 */ GIM_Try, /*On fail goto*//*Label 31729*/ GIMT_Encode4(2313751),
     /* 2312967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2312973 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2312976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312980 */   GIM_Try, /*On fail goto*//*Label 31730*/ GIMT_Encode4(2313057), // Rule ID 55098 //
     /* 2312985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313028 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2313031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313056 */     // GIR_Coverage, 55098,
     /* 2313056 */     GIR_EraseRootFromParent_Done,
     /* 2313057 */   // Label 31730: @2313057
     /* 2313057 */   GIM_Try, /*On fail goto*//*Label 31731*/ GIMT_Encode4(2313134), // Rule ID 55099 //
     /* 2313062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2313065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313105 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2313108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313133 */     // GIR_Coverage, 55099,
     /* 2313133 */     GIR_EraseRootFromParent_Done,
     /* 2313134 */   // Label 31731: @2313134
     /* 2313134 */   GIM_Try, /*On fail goto*//*Label 31732*/ GIMT_Encode4(2313211), // Rule ID 72663 //
     /* 2313139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2313142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313180 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313182 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2313185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313210 */     // GIR_Coverage, 72663,
     /* 2313210 */     GIR_EraseRootFromParent_Done,
     /* 2313211 */   // Label 31732: @2313211
     /* 2313211 */   GIM_Try, /*On fail goto*//*Label 31733*/ GIMT_Encode4(2313288), // Rule ID 72664 //
     /* 2313216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2313219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313252 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313259 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2313262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313287 */     // GIR_Coverage, 72664,
     /* 2313287 */     GIR_EraseRootFromParent_Done,
     /* 2313288 */   // Label 31733: @2313288
     /* 2313288 */   GIM_Try, /*On fail goto*//*Label 31734*/ GIMT_Encode4(2313350), // Rule ID 55102 //
     /* 2313293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2313296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313323 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2313326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313349 */     // GIR_Coverage, 55102,
     /* 2313349 */     GIR_EraseRootFromParent_Done,
     /* 2313350 */   // Label 31734: @2313350
     /* 2313350 */   GIM_Try, /*On fail goto*//*Label 31735*/ GIMT_Encode4(2313412), // Rule ID 55103 //
     /* 2313355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2313358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313385 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2313388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313411 */     // GIR_Coverage, 55103,
     /* 2313411 */     GIR_EraseRootFromParent_Done,
     /* 2313412 */   // Label 31735: @2313412
     /* 2313412 */   GIM_Try, /*On fail goto*//*Label 31736*/ GIMT_Encode4(2313474), // Rule ID 72667 //
     /* 2313417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2313420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313447 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2313450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313473 */     // GIR_Coverage, 72667,
     /* 2313473 */     GIR_EraseRootFromParent_Done,
     /* 2313474 */   // Label 31736: @2313474
     /* 2313474 */   GIM_Try, /*On fail goto*//*Label 31737*/ GIMT_Encode4(2313536), // Rule ID 72668 //
     /* 2313479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2313482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313509 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2313512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313535 */     // GIR_Coverage, 72668,
     /* 2313535 */     GIR_EraseRootFromParent_Done,
     /* 2313536 */   // Label 31737: @2313536
     /* 2313536 */   GIM_Try, /*On fail goto*//*Label 31738*/ GIMT_Encode4(2313598), // Rule ID 55094 //
     /* 2313541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2313544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2313556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313571 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2313574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2313584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313597 */     // GIR_Coverage, 55094,
     /* 2313597 */     GIR_EraseRootFromParent_Done,
     /* 2313598 */   // Label 31738: @2313598
     /* 2313598 */   GIM_Try, /*On fail goto*//*Label 31739*/ GIMT_Encode4(2313660), // Rule ID 55095 //
     /* 2313603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2313606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2313618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313633 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2313636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2313646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313659 */     // GIR_Coverage, 55095,
     /* 2313659 */     GIR_EraseRootFromParent_Done,
     /* 2313660 */   // Label 31739: @2313660
     /* 2313660 */   GIM_Try, /*On fail goto*//*Label 31740*/ GIMT_Encode4(2313705), // Rule ID 55090 //
     /* 2313665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2313668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313680 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2313683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313704 */     // GIR_Coverage, 55090,
     /* 2313704 */     GIR_EraseRootFromParent_Done,
     /* 2313705 */   // Label 31740: @2313705
     /* 2313705 */   GIM_Try, /*On fail goto*//*Label 31741*/ GIMT_Encode4(2313750), // Rule ID 55091 //
     /* 2313710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2313713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313725 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2313728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313749 */     // GIR_Coverage, 55091,
     /* 2313749 */     GIR_EraseRootFromParent_Done,
     /* 2313750 */   // Label 31741: @2313750
     /* 2313750 */   GIM_Reject,
     /* 2313751 */ // Label 31729: @2313751
     /* 2313751 */ GIM_Reject,
     /* 2313752 */ // Label 31585: @2313752
     /* 2313752 */ GIM_Try, /*On fail goto*//*Label 31742*/ GIMT_Encode4(2314541),
     /* 2313757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2313763 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2313766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313770 */   GIM_Try, /*On fail goto*//*Label 31743*/ GIMT_Encode4(2313847), // Rule ID 55610 //
     /* 2313775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2313778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313818 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2313821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313846 */     // GIR_Coverage, 55610,
     /* 2313846 */     GIR_EraseRootFromParent_Done,
     /* 2313847 */   // Label 31743: @2313847
     /* 2313847 */   GIM_Try, /*On fail goto*//*Label 31744*/ GIMT_Encode4(2313924), // Rule ID 55611 //
     /* 2313852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2313855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313888 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313893 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313895 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2313898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313923 */     // GIR_Coverage, 55611,
     /* 2313923 */     GIR_EraseRootFromParent_Done,
     /* 2313924 */   // Label 31744: @2313924
     /* 2313924 */   GIM_Try, /*On fail goto*//*Label 31745*/ GIMT_Encode4(2314001), // Rule ID 73111 //
     /* 2313929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2313932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2313965 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313970 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313972 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2313975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314000 */     // GIR_Coverage, 73111,
     /* 2314000 */     GIR_EraseRootFromParent_Done,
     /* 2314001 */   // Label 31745: @2314001
     /* 2314001 */   GIM_Try, /*On fail goto*//*Label 31746*/ GIMT_Encode4(2314078), // Rule ID 73112 //
     /* 2314006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2314009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2314017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2314025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2314034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2314042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2314049 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2314052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2314064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314077 */     // GIR_Coverage, 73112,
     /* 2314077 */     GIR_EraseRootFromParent_Done,
     /* 2314078 */   // Label 31746: @2314078
     /* 2314078 */   GIM_Try, /*On fail goto*//*Label 31747*/ GIMT_Encode4(2314140), // Rule ID 55614 //
     /* 2314083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2314086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2314090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2314098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314113 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2314116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314139 */     // GIR_Coverage, 55614,
     /* 2314139 */     GIR_EraseRootFromParent_Done,
     /* 2314140 */   // Label 31747: @2314140
     /* 2314140 */   GIM_Try, /*On fail goto*//*Label 31748*/ GIMT_Encode4(2314202), // Rule ID 55615 //
     /* 2314145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2314148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2314152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2314160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314175 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2314178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314201 */     // GIR_Coverage, 55615,
     /* 2314201 */     GIR_EraseRootFromParent_Done,
     /* 2314202 */   // Label 31748: @2314202
     /* 2314202 */   GIM_Try, /*On fail goto*//*Label 31749*/ GIMT_Encode4(2314264), // Rule ID 73115 //
     /* 2314207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2314210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2314218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2314226 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314237 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2314240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314263 */     // GIR_Coverage, 73115,
     /* 2314263 */     GIR_EraseRootFromParent_Done,
     /* 2314264 */   // Label 31749: @2314264
     /* 2314264 */   GIM_Try, /*On fail goto*//*Label 31750*/ GIMT_Encode4(2314326), // Rule ID 73116 //
     /* 2314269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2314272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2314280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2314288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314299 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2314302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314325 */     // GIR_Coverage, 73116,
     /* 2314325 */     GIR_EraseRootFromParent_Done,
     /* 2314326 */   // Label 31750: @2314326
     /* 2314326 */   GIM_Try, /*On fail goto*//*Label 31751*/ GIMT_Encode4(2314388), // Rule ID 55606 //
     /* 2314331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2314334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2314346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2314354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314361 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2314364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2314374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314387 */     // GIR_Coverage, 55606,
     /* 2314387 */     GIR_EraseRootFromParent_Done,
     /* 2314388 */   // Label 31751: @2314388
     /* 2314388 */   GIM_Try, /*On fail goto*//*Label 31752*/ GIMT_Encode4(2314450), // Rule ID 55607 //
     /* 2314393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2314396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2314408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2314416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314423 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2314426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2314436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314449 */     // GIR_Coverage, 55607,
     /* 2314449 */     GIR_EraseRootFromParent_Done,
     /* 2314450 */   // Label 31752: @2314450
     /* 2314450 */   GIM_Try, /*On fail goto*//*Label 31753*/ GIMT_Encode4(2314495), // Rule ID 55602 //
     /* 2314455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2314458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314470 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2314473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314494 */     // GIR_Coverage, 55602,
     /* 2314494 */     GIR_EraseRootFromParent_Done,
     /* 2314495 */   // Label 31753: @2314495
     /* 2314495 */   GIM_Try, /*On fail goto*//*Label 31754*/ GIMT_Encode4(2314540), // Rule ID 55603 //
     /* 2314500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2314503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314515 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2314518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314539 */     // GIR_Coverage, 55603,
     /* 2314539 */     GIR_EraseRootFromParent_Done,
     /* 2314540 */   // Label 31754: @2314540
     /* 2314540 */   GIM_Reject,
     /* 2314541 */ // Label 31742: @2314541
     /* 2314541 */ GIM_Reject,
     /* 2314542 */ // Label 31586: @2314542
     /* 2314542 */ GIM_Try, /*On fail goto*//*Label 31755*/ GIMT_Encode4(2315331),
     /* 2314547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2314553 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2314556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314560 */   GIM_Try, /*On fail goto*//*Label 31756*/ GIMT_Encode4(2314637), // Rule ID 55034 //
     /* 2314565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2314568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2314572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2314593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314597 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314601 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2314608 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2314611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2314623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314636 */     // GIR_Coverage, 55034,
     /* 2314636 */     GIR_EraseRootFromParent_Done,
     /* 2314637 */   // Label 31756: @2314637
     /* 2314637 */   GIM_Try, /*On fail goto*//*Label 31757*/ GIMT_Encode4(2314714), // Rule ID 55035 //
     /* 2314642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2314645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2314649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2314670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314678 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2314685 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2314688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2314700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314713 */     // GIR_Coverage, 55035,
     /* 2314713 */     GIR_EraseRootFromParent_Done,
     /* 2314714 */   // Label 31757: @2314714
     /* 2314714 */   GIM_Try, /*On fail goto*//*Label 31758*/ GIMT_Encode4(2314791), // Rule ID 72607 //
     /* 2314719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2314722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2314730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2314747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314755 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314760 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2314762 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2314765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2314777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314790 */     // GIR_Coverage, 72607,
     /* 2314790 */     GIR_EraseRootFromParent_Done,
     /* 2314791 */   // Label 31758: @2314791
     /* 2314791 */   GIM_Try, /*On fail goto*//*Label 31759*/ GIMT_Encode4(2314868), // Rule ID 72608 //
     /* 2314796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2314799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2314807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2314824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2314839 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2314842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2314854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314867 */     // GIR_Coverage, 72608,
     /* 2314867 */     GIR_EraseRootFromParent_Done,
     /* 2314868 */   // Label 31759: @2314868
     /* 2314868 */   GIM_Try, /*On fail goto*//*Label 31760*/ GIMT_Encode4(2314930), // Rule ID 55038 //
     /* 2314873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2314876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2314880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314903 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2314906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314929 */     // GIR_Coverage, 55038,
     /* 2314929 */     GIR_EraseRootFromParent_Done,
     /* 2314930 */   // Label 31760: @2314930
     /* 2314930 */   GIM_Try, /*On fail goto*//*Label 31761*/ GIMT_Encode4(2314992), // Rule ID 55039 //
     /* 2314935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2314938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2314942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2314950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314965 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2314968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314991 */     // GIR_Coverage, 55039,
     /* 2314991 */     GIR_EraseRootFromParent_Done,
     /* 2314992 */   // Label 31761: @2314992
     /* 2314992 */   GIM_Try, /*On fail goto*//*Label 31762*/ GIMT_Encode4(2315054), // Rule ID 72611 //
     /* 2314997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2315000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2315008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2315016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315027 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2315030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315053 */     // GIR_Coverage, 72611,
     /* 2315053 */     GIR_EraseRootFromParent_Done,
     /* 2315054 */   // Label 31762: @2315054
     /* 2315054 */   GIM_Try, /*On fail goto*//*Label 31763*/ GIMT_Encode4(2315116), // Rule ID 72612 //
     /* 2315059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2315062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2315070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2315078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315089 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2315092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315115 */     // GIR_Coverage, 72612,
     /* 2315115 */     GIR_EraseRootFromParent_Done,
     /* 2315116 */   // Label 31763: @2315116
     /* 2315116 */   GIM_Try, /*On fail goto*//*Label 31764*/ GIMT_Encode4(2315178), // Rule ID 55030 //
     /* 2315121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2315124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2315136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2315144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315151 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2315154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2315164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315177 */     // GIR_Coverage, 55030,
     /* 2315177 */     GIR_EraseRootFromParent_Done,
     /* 2315178 */   // Label 31764: @2315178
     /* 2315178 */   GIM_Try, /*On fail goto*//*Label 31765*/ GIMT_Encode4(2315240), // Rule ID 55031 //
     /* 2315183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2315186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2315198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2315206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315213 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2315216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2315226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315239 */     // GIR_Coverage, 55031,
     /* 2315239 */     GIR_EraseRootFromParent_Done,
     /* 2315240 */   // Label 31765: @2315240
     /* 2315240 */   GIM_Try, /*On fail goto*//*Label 31766*/ GIMT_Encode4(2315285), // Rule ID 55026 //
     /* 2315245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2315248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315260 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2315263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315284 */     // GIR_Coverage, 55026,
     /* 2315284 */     GIR_EraseRootFromParent_Done,
     /* 2315285 */   // Label 31766: @2315285
     /* 2315285 */   GIM_Try, /*On fail goto*//*Label 31767*/ GIMT_Encode4(2315330), // Rule ID 55027 //
     /* 2315290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2315293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315305 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2315308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315329 */     // GIR_Coverage, 55027,
     /* 2315329 */     GIR_EraseRootFromParent_Done,
     /* 2315330 */   // Label 31767: @2315330
     /* 2315330 */   GIM_Reject,
     /* 2315331 */ // Label 31755: @2315331
     /* 2315331 */ GIM_Reject,
     /* 2315332 */ // Label 31587: @2315332
     /* 2315332 */ GIM_Try, /*On fail goto*//*Label 31768*/ GIMT_Encode4(2316121),
     /* 2315337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2315343 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2315346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315350 */   GIM_Try, /*On fail goto*//*Label 31769*/ GIMT_Encode4(2315427), // Rule ID 55418 //
     /* 2315355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2315358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2315362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2315383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2315398 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2315401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2315413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315426 */     // GIR_Coverage, 55418,
     /* 2315426 */     GIR_EraseRootFromParent_Done,
     /* 2315427 */   // Label 31769: @2315427
     /* 2315427 */   GIM_Try, /*On fail goto*//*Label 31770*/ GIMT_Encode4(2315504), // Rule ID 55419 //
     /* 2315432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2315435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2315439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2315460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315468 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2315475 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2315478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2315490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315503 */     // GIR_Coverage, 55419,
     /* 2315503 */     GIR_EraseRootFromParent_Done,
     /* 2315504 */   // Label 31770: @2315504
     /* 2315504 */   GIM_Try, /*On fail goto*//*Label 31771*/ GIMT_Encode4(2315581), // Rule ID 72943 //
     /* 2315509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2315512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2315520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2315537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2315552 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2315555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2315567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315580 */     // GIR_Coverage, 72943,
     /* 2315580 */     GIR_EraseRootFromParent_Done,
     /* 2315581 */   // Label 31771: @2315581
     /* 2315581 */   GIM_Try, /*On fail goto*//*Label 31772*/ GIMT_Encode4(2315658), // Rule ID 72944 //
     /* 2315586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2315589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2315597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2315614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315618 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2315629 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2315632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2315644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315657 */     // GIR_Coverage, 72944,
     /* 2315657 */     GIR_EraseRootFromParent_Done,
     /* 2315658 */   // Label 31772: @2315658
     /* 2315658 */   GIM_Try, /*On fail goto*//*Label 31773*/ GIMT_Encode4(2315720), // Rule ID 55422 //
     /* 2315663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2315666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2315670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315693 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2315696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315719 */     // GIR_Coverage, 55422,
     /* 2315719 */     GIR_EraseRootFromParent_Done,
     /* 2315720 */   // Label 31773: @2315720
     /* 2315720 */   GIM_Try, /*On fail goto*//*Label 31774*/ GIMT_Encode4(2315782), // Rule ID 55423 //
     /* 2315725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2315728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2315732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315755 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2315758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315781 */     // GIR_Coverage, 55423,
     /* 2315781 */     GIR_EraseRootFromParent_Done,
     /* 2315782 */   // Label 31774: @2315782
     /* 2315782 */   GIM_Try, /*On fail goto*//*Label 31775*/ GIMT_Encode4(2315844), // Rule ID 72947 //
     /* 2315787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2315790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2315798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315817 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2315820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315843 */     // GIR_Coverage, 72947,
     /* 2315843 */     GIR_EraseRootFromParent_Done,
     /* 2315844 */   // Label 31775: @2315844
     /* 2315844 */   GIM_Try, /*On fail goto*//*Label 31776*/ GIMT_Encode4(2315906), // Rule ID 72948 //
     /* 2315849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2315852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2315860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315879 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2315882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315905 */     // GIR_Coverage, 72948,
     /* 2315905 */     GIR_EraseRootFromParent_Done,
     /* 2315906 */   // Label 31776: @2315906
     /* 2315906 */   GIM_Try, /*On fail goto*//*Label 31777*/ GIMT_Encode4(2315968), // Rule ID 55414 //
     /* 2315911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2315914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2315926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315941 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2315944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2315954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315967 */     // GIR_Coverage, 55414,
     /* 2315967 */     GIR_EraseRootFromParent_Done,
     /* 2315968 */   // Label 31777: @2315968
     /* 2315968 */   GIM_Try, /*On fail goto*//*Label 31778*/ GIMT_Encode4(2316030), // Rule ID 55415 //
     /* 2315973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2315976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2315988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2315996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316003 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2316006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2316016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316029 */     // GIR_Coverage, 55415,
     /* 2316029 */     GIR_EraseRootFromParent_Done,
     /* 2316030 */   // Label 31778: @2316030
     /* 2316030 */   GIM_Try, /*On fail goto*//*Label 31779*/ GIMT_Encode4(2316075), // Rule ID 55410 //
     /* 2316035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2316038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316050 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2316053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316074 */     // GIR_Coverage, 55410,
     /* 2316074 */     GIR_EraseRootFromParent_Done,
     /* 2316075 */   // Label 31779: @2316075
     /* 2316075 */   GIM_Try, /*On fail goto*//*Label 31780*/ GIMT_Encode4(2316120), // Rule ID 55411 //
     /* 2316080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2316083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316095 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2316098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316119 */     // GIR_Coverage, 55411,
     /* 2316119 */     GIR_EraseRootFromParent_Done,
     /* 2316120 */   // Label 31780: @2316120
     /* 2316120 */   GIM_Reject,
     /* 2316121 */ // Label 31768: @2316121
     /* 2316121 */ GIM_Reject,
     /* 2316122 */ // Label 31588: @2316122
     /* 2316122 */ GIM_Try, /*On fail goto*//*Label 31781*/ GIMT_Encode4(2316911),
     /* 2316127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2316133 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2316136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316140 */   GIM_Try, /*On fail goto*//*Label 31782*/ GIMT_Encode4(2316217), // Rule ID 55674 //
     /* 2316145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2316148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2316152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2316173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2316188 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2316191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2316203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316216 */     // GIR_Coverage, 55674,
     /* 2316216 */     GIR_EraseRootFromParent_Done,
     /* 2316217 */   // Label 31782: @2316217
     /* 2316217 */   GIM_Try, /*On fail goto*//*Label 31783*/ GIMT_Encode4(2316294), // Rule ID 55675 //
     /* 2316222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2316225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2316229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2316250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316263 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2316265 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2316268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2316280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316293 */     // GIR_Coverage, 55675,
     /* 2316293 */     GIR_EraseRootFromParent_Done,
     /* 2316294 */   // Label 31783: @2316294
     /* 2316294 */   GIM_Try, /*On fail goto*//*Label 31784*/ GIMT_Encode4(2316371), // Rule ID 73167 //
     /* 2316299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2316302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2316310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2316327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316335 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2316342 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2316345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2316357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316370 */     // GIR_Coverage, 73167,
     /* 2316370 */     GIR_EraseRootFromParent_Done,
     /* 2316371 */   // Label 31784: @2316371
     /* 2316371 */   GIM_Try, /*On fail goto*//*Label 31785*/ GIMT_Encode4(2316448), // Rule ID 73168 //
     /* 2316376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2316379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2316387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2316404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2316419 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2316422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2316434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316447 */     // GIR_Coverage, 73168,
     /* 2316447 */     GIR_EraseRootFromParent_Done,
     /* 2316448 */   // Label 31785: @2316448
     /* 2316448 */   GIM_Try, /*On fail goto*//*Label 31786*/ GIMT_Encode4(2316510), // Rule ID 55678 //
     /* 2316453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2316456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2316460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316483 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2316486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316509 */     // GIR_Coverage, 55678,
     /* 2316509 */     GIR_EraseRootFromParent_Done,
     /* 2316510 */   // Label 31786: @2316510
     /* 2316510 */   GIM_Try, /*On fail goto*//*Label 31787*/ GIMT_Encode4(2316572), // Rule ID 55679 //
     /* 2316515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2316518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2316522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316545 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2316548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316571 */     // GIR_Coverage, 55679,
     /* 2316571 */     GIR_EraseRootFromParent_Done,
     /* 2316572 */   // Label 31787: @2316572
     /* 2316572 */   GIM_Try, /*On fail goto*//*Label 31788*/ GIMT_Encode4(2316634), // Rule ID 73171 //
     /* 2316577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2316580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2316588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316607 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2316610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316633 */     // GIR_Coverage, 73171,
     /* 2316633 */     GIR_EraseRootFromParent_Done,
     /* 2316634 */   // Label 31788: @2316634
     /* 2316634 */   GIM_Try, /*On fail goto*//*Label 31789*/ GIMT_Encode4(2316696), // Rule ID 73172 //
     /* 2316639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2316642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2316650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316669 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2316672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316695 */     // GIR_Coverage, 73172,
     /* 2316695 */     GIR_EraseRootFromParent_Done,
     /* 2316696 */   // Label 31789: @2316696
     /* 2316696 */   GIM_Try, /*On fail goto*//*Label 31790*/ GIMT_Encode4(2316758), // Rule ID 55670 //
     /* 2316701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2316704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2316716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316731 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2316734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2316744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316757 */     // GIR_Coverage, 55670,
     /* 2316757 */     GIR_EraseRootFromParent_Done,
     /* 2316758 */   // Label 31790: @2316758
     /* 2316758 */   GIM_Try, /*On fail goto*//*Label 31791*/ GIMT_Encode4(2316820), // Rule ID 55671 //
     /* 2316763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2316766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2316778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316793 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2316796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2316806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316819 */     // GIR_Coverage, 55671,
     /* 2316819 */     GIR_EraseRootFromParent_Done,
     /* 2316820 */   // Label 31791: @2316820
     /* 2316820 */   GIM_Try, /*On fail goto*//*Label 31792*/ GIMT_Encode4(2316865), // Rule ID 55666 //
     /* 2316825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2316828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316840 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2316843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316864 */     // GIR_Coverage, 55666,
     /* 2316864 */     GIR_EraseRootFromParent_Done,
     /* 2316865 */   // Label 31792: @2316865
     /* 2316865 */   GIM_Try, /*On fail goto*//*Label 31793*/ GIMT_Encode4(2316910), // Rule ID 55667 //
     /* 2316870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2316873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2316885 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2316888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316909 */     // GIR_Coverage, 55667,
     /* 2316909 */     GIR_EraseRootFromParent_Done,
     /* 2316910 */   // Label 31793: @2316910
     /* 2316910 */   GIM_Reject,
     /* 2316911 */ // Label 31781: @2316911
     /* 2316911 */ GIM_Reject,
     /* 2316912 */ // Label 31589: @2316912
     /* 2316912 */ GIM_Try, /*On fail goto*//*Label 31794*/ GIMT_Encode4(2317701),
     /* 2316917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2316920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2316923 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2316926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316930 */   GIM_Try, /*On fail goto*//*Label 31795*/ GIMT_Encode4(2317007), // Rule ID 55226 //
     /* 2316935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2316938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2316942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2316950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2316963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2316971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2316978 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2316981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2316993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317006 */     // GIR_Coverage, 55226,
     /* 2317006 */     GIR_EraseRootFromParent_Done,
     /* 2317007 */   // Label 31795: @2317007
     /* 2317007 */   GIM_Try, /*On fail goto*//*Label 31796*/ GIMT_Encode4(2317084), // Rule ID 55227 //
     /* 2317012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2317015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2317019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2317040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317044 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317048 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317053 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2317055 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2317058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2317070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317083 */     // GIR_Coverage, 55227,
     /* 2317083 */     GIR_EraseRootFromParent_Done,
     /* 2317084 */   // Label 31796: @2317084
     /* 2317084 */   GIM_Try, /*On fail goto*//*Label 31797*/ GIMT_Encode4(2317161), // Rule ID 72775 //
     /* 2317089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2317092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2317100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2317117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317125 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317130 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2317132 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2317135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2317147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317160 */     // GIR_Coverage, 72775,
     /* 2317160 */     GIR_EraseRootFromParent_Done,
     /* 2317161 */   // Label 31797: @2317161
     /* 2317161 */   GIM_Try, /*On fail goto*//*Label 31798*/ GIMT_Encode4(2317238), // Rule ID 72776 //
     /* 2317166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2317169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2317177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2317194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317202 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317207 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2317209 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2317212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2317224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317237 */     // GIR_Coverage, 72776,
     /* 2317237 */     GIR_EraseRootFromParent_Done,
     /* 2317238 */   // Label 31798: @2317238
     /* 2317238 */   GIM_Try, /*On fail goto*//*Label 31799*/ GIMT_Encode4(2317300), // Rule ID 55230 //
     /* 2317243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2317246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2317250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317273 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2317276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317299 */     // GIR_Coverage, 55230,
     /* 2317299 */     GIR_EraseRootFromParent_Done,
     /* 2317300 */   // Label 31799: @2317300
     /* 2317300 */   GIM_Try, /*On fail goto*//*Label 31800*/ GIMT_Encode4(2317362), // Rule ID 55231 //
     /* 2317305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2317308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2317312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317335 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2317338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317361 */     // GIR_Coverage, 55231,
     /* 2317361 */     GIR_EraseRootFromParent_Done,
     /* 2317362 */   // Label 31800: @2317362
     /* 2317362 */   GIM_Try, /*On fail goto*//*Label 31801*/ GIMT_Encode4(2317424), // Rule ID 72779 //
     /* 2317367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2317370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2317378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317397 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2317400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317423 */     // GIR_Coverage, 72779,
     /* 2317423 */     GIR_EraseRootFromParent_Done,
     /* 2317424 */   // Label 31801: @2317424
     /* 2317424 */   GIM_Try, /*On fail goto*//*Label 31802*/ GIMT_Encode4(2317486), // Rule ID 72780 //
     /* 2317429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2317432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2317440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317459 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2317462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317485 */     // GIR_Coverage, 72780,
     /* 2317485 */     GIR_EraseRootFromParent_Done,
     /* 2317486 */   // Label 31802: @2317486
     /* 2317486 */   GIM_Try, /*On fail goto*//*Label 31803*/ GIMT_Encode4(2317548), // Rule ID 55222 //
     /* 2317491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2317494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2317506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317521 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2317524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2317534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317547 */     // GIR_Coverage, 55222,
     /* 2317547 */     GIR_EraseRootFromParent_Done,
     /* 2317548 */   // Label 31803: @2317548
     /* 2317548 */   GIM_Try, /*On fail goto*//*Label 31804*/ GIMT_Encode4(2317610), // Rule ID 55223 //
     /* 2317553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2317556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2317568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317583 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2317586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2317596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317609 */     // GIR_Coverage, 55223,
     /* 2317609 */     GIR_EraseRootFromParent_Done,
     /* 2317610 */   // Label 31804: @2317610
     /* 2317610 */   GIM_Try, /*On fail goto*//*Label 31805*/ GIMT_Encode4(2317655), // Rule ID 55218 //
     /* 2317615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2317618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317630 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2317633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317654 */     // GIR_Coverage, 55218,
     /* 2317654 */     GIR_EraseRootFromParent_Done,
     /* 2317655 */   // Label 31805: @2317655
     /* 2317655 */   GIM_Try, /*On fail goto*//*Label 31806*/ GIMT_Encode4(2317700), // Rule ID 55219 //
     /* 2317660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2317663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317675 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2317678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317699 */     // GIR_Coverage, 55219,
     /* 2317699 */     GIR_EraseRootFromParent_Done,
     /* 2317700 */   // Label 31806: @2317700
     /* 2317700 */   GIM_Reject,
     /* 2317701 */ // Label 31794: @2317701
     /* 2317701 */ GIM_Reject,
     /* 2317702 */ // Label 31590: @2317702
     /* 2317702 */ GIM_Try, /*On fail goto*//*Label 31807*/ GIMT_Encode4(2318491),
     /* 2317707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2317713 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2317716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317720 */   GIM_Try, /*On fail goto*//*Label 31808*/ GIMT_Encode4(2317797), // Rule ID 55482 //
     /* 2317725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2317728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2317732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2317753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317761 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2317768 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2317771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2317783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317796 */     // GIR_Coverage, 55482,
     /* 2317796 */     GIR_EraseRootFromParent_Done,
     /* 2317797 */   // Label 31808: @2317797
     /* 2317797 */   GIM_Try, /*On fail goto*//*Label 31809*/ GIMT_Encode4(2317874), // Rule ID 55483 //
     /* 2317802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2317805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2317809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2317830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2317845 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2317848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2317860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317873 */     // GIR_Coverage, 55483,
     /* 2317873 */     GIR_EraseRootFromParent_Done,
     /* 2317874 */   // Label 31809: @2317874
     /* 2317874 */   GIM_Try, /*On fail goto*//*Label 31810*/ GIMT_Encode4(2317951), // Rule ID 72999 //
     /* 2317879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2317882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2317890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2317907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2317922 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2317925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2317937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317950 */     // GIR_Coverage, 72999,
     /* 2317950 */     GIR_EraseRootFromParent_Done,
     /* 2317951 */   // Label 31810: @2317951
     /* 2317951 */   GIM_Try, /*On fail goto*//*Label 31811*/ GIMT_Encode4(2318028), // Rule ID 73000 //
     /* 2317956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2317959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2317967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2317984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2317999 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2318002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2318014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318027 */     // GIR_Coverage, 73000,
     /* 2318027 */     GIR_EraseRootFromParent_Done,
     /* 2318028 */   // Label 31811: @2318028
     /* 2318028 */   GIM_Try, /*On fail goto*//*Label 31812*/ GIMT_Encode4(2318090), // Rule ID 55486 //
     /* 2318033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2318036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2318040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318063 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2318066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318089 */     // GIR_Coverage, 55486,
     /* 2318089 */     GIR_EraseRootFromParent_Done,
     /* 2318090 */   // Label 31812: @2318090
     /* 2318090 */   GIM_Try, /*On fail goto*//*Label 31813*/ GIMT_Encode4(2318152), // Rule ID 55487 //
     /* 2318095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2318098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2318102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318125 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2318128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318151 */     // GIR_Coverage, 55487,
     /* 2318151 */     GIR_EraseRootFromParent_Done,
     /* 2318152 */   // Label 31813: @2318152
     /* 2318152 */   GIM_Try, /*On fail goto*//*Label 31814*/ GIMT_Encode4(2318214), // Rule ID 73003 //
     /* 2318157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2318160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2318168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318187 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2318190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318213 */     // GIR_Coverage, 73003,
     /* 2318213 */     GIR_EraseRootFromParent_Done,
     /* 2318214 */   // Label 31814: @2318214
     /* 2318214 */   GIM_Try, /*On fail goto*//*Label 31815*/ GIMT_Encode4(2318276), // Rule ID 73004 //
     /* 2318219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2318222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2318230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318249 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2318252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318275 */     // GIR_Coverage, 73004,
     /* 2318275 */     GIR_EraseRootFromParent_Done,
     /* 2318276 */   // Label 31815: @2318276
     /* 2318276 */   GIM_Try, /*On fail goto*//*Label 31816*/ GIMT_Encode4(2318338), // Rule ID 55478 //
     /* 2318281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2318284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2318296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318311 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2318314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2318324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318337 */     // GIR_Coverage, 55478,
     /* 2318337 */     GIR_EraseRootFromParent_Done,
     /* 2318338 */   // Label 31816: @2318338
     /* 2318338 */   GIM_Try, /*On fail goto*//*Label 31817*/ GIMT_Encode4(2318400), // Rule ID 55479 //
     /* 2318343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2318346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2318358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318373 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2318376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2318386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318399 */     // GIR_Coverage, 55479,
     /* 2318399 */     GIR_EraseRootFromParent_Done,
     /* 2318400 */   // Label 31817: @2318400
     /* 2318400 */   GIM_Try, /*On fail goto*//*Label 31818*/ GIMT_Encode4(2318445), // Rule ID 55474 //
     /* 2318405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2318408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318420 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2318423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318444 */     // GIR_Coverage, 55474,
     /* 2318444 */     GIR_EraseRootFromParent_Done,
     /* 2318445 */   // Label 31818: @2318445
     /* 2318445 */   GIM_Try, /*On fail goto*//*Label 31819*/ GIMT_Encode4(2318490), // Rule ID 55475 //
     /* 2318450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2318453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318465 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2318468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318489 */     // GIR_Coverage, 55475,
     /* 2318489 */     GIR_EraseRootFromParent_Done,
     /* 2318490 */   // Label 31819: @2318490
     /* 2318490 */   GIM_Reject,
     /* 2318491 */ // Label 31807: @2318491
     /* 2318491 */ GIM_Reject,
     /* 2318492 */ // Label 31591: @2318492
     /* 2318492 */ GIM_Try, /*On fail goto*//*Label 31820*/ GIMT_Encode4(2319281),
     /* 2318497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2318503 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2318506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318510 */   GIM_Try, /*On fail goto*//*Label 31821*/ GIMT_Encode4(2318587), // Rule ID 55738 //
     /* 2318515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2318518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2318522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2318543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2318558 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2318561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2318573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318586 */     // GIR_Coverage, 55738,
     /* 2318586 */     GIR_EraseRootFromParent_Done,
     /* 2318587 */   // Label 31821: @2318587
     /* 2318587 */   GIM_Try, /*On fail goto*//*Label 31822*/ GIMT_Encode4(2318664), // Rule ID 55739 //
     /* 2318592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2318595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2318599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2318620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318628 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318633 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2318635 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2318638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2318650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318663 */     // GIR_Coverage, 55739,
     /* 2318663 */     GIR_EraseRootFromParent_Done,
     /* 2318664 */   // Label 31822: @2318664
     /* 2318664 */   GIM_Try, /*On fail goto*//*Label 31823*/ GIMT_Encode4(2318741), // Rule ID 73223 //
     /* 2318669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2318672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2318680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2318697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318705 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318710 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2318712 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2318715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2318727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318740 */     // GIR_Coverage, 73223,
     /* 2318740 */     GIR_EraseRootFromParent_Done,
     /* 2318741 */   // Label 31823: @2318741
     /* 2318741 */   GIM_Try, /*On fail goto*//*Label 31824*/ GIMT_Encode4(2318818), // Rule ID 73224 //
     /* 2318746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2318749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2318757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2318774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2318789 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2318792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2318804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318817 */     // GIR_Coverage, 73224,
     /* 2318817 */     GIR_EraseRootFromParent_Done,
     /* 2318818 */   // Label 31824: @2318818
     /* 2318818 */   GIM_Try, /*On fail goto*//*Label 31825*/ GIMT_Encode4(2318880), // Rule ID 55742 //
     /* 2318823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2318826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2318830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318853 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2318856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318879 */     // GIR_Coverage, 55742,
     /* 2318879 */     GIR_EraseRootFromParent_Done,
     /* 2318880 */   // Label 31825: @2318880
     /* 2318880 */   GIM_Try, /*On fail goto*//*Label 31826*/ GIMT_Encode4(2318942), // Rule ID 55743 //
     /* 2318885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2318888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2318892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318915 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2318918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318941 */     // GIR_Coverage, 55743,
     /* 2318941 */     GIR_EraseRootFromParent_Done,
     /* 2318942 */   // Label 31826: @2318942
     /* 2318942 */   GIM_Try, /*On fail goto*//*Label 31827*/ GIMT_Encode4(2319004), // Rule ID 73227 //
     /* 2318947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2318950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2318958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318977 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2318980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319003 */     // GIR_Coverage, 73227,
     /* 2319003 */     GIR_EraseRootFromParent_Done,
     /* 2319004 */   // Label 31827: @2319004
     /* 2319004 */   GIM_Try, /*On fail goto*//*Label 31828*/ GIMT_Encode4(2319066), // Rule ID 73228 //
     /* 2319009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2319012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2319020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319039 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2319042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319065 */     // GIR_Coverage, 73228,
     /* 2319065 */     GIR_EraseRootFromParent_Done,
     /* 2319066 */   // Label 31828: @2319066
     /* 2319066 */   GIM_Try, /*On fail goto*//*Label 31829*/ GIMT_Encode4(2319128), // Rule ID 55734 //
     /* 2319071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2319074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2319086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319101 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2319104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2319114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319127 */     // GIR_Coverage, 55734,
     /* 2319127 */     GIR_EraseRootFromParent_Done,
     /* 2319128 */   // Label 31829: @2319128
     /* 2319128 */   GIM_Try, /*On fail goto*//*Label 31830*/ GIMT_Encode4(2319190), // Rule ID 55735 //
     /* 2319133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2319136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2319148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319163 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2319166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2319176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319189 */     // GIR_Coverage, 55735,
     /* 2319189 */     GIR_EraseRootFromParent_Done,
     /* 2319190 */   // Label 31830: @2319190
     /* 2319190 */   GIM_Try, /*On fail goto*//*Label 31831*/ GIMT_Encode4(2319235), // Rule ID 55730 //
     /* 2319195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2319198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319210 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2319213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319234 */     // GIR_Coverage, 55730,
     /* 2319234 */     GIR_EraseRootFromParent_Done,
     /* 2319235 */   // Label 31831: @2319235
     /* 2319235 */   GIM_Try, /*On fail goto*//*Label 31832*/ GIMT_Encode4(2319280), // Rule ID 55731 //
     /* 2319240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2319243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319255 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2319258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319279 */     // GIR_Coverage, 55731,
     /* 2319279 */     GIR_EraseRootFromParent_Done,
     /* 2319280 */   // Label 31832: @2319280
     /* 2319280 */   GIM_Reject,
     /* 2319281 */ // Label 31820: @2319281
     /* 2319281 */ GIM_Reject,
     /* 2319282 */ // Label 31592: @2319282
     /* 2319282 */ GIM_Try, /*On fail goto*//*Label 31833*/ GIMT_Encode4(2320071),
     /* 2319287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2319293 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2319296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319300 */   GIM_Try, /*On fail goto*//*Label 31834*/ GIMT_Encode4(2319377), // Rule ID 55290 //
     /* 2319305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2319308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2319312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2319333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319341 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2319348 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2319351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2319363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319376 */     // GIR_Coverage, 55290,
     /* 2319376 */     GIR_EraseRootFromParent_Done,
     /* 2319377 */   // Label 31834: @2319377
     /* 2319377 */   GIM_Try, /*On fail goto*//*Label 31835*/ GIMT_Encode4(2319454), // Rule ID 55291 //
     /* 2319382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2319385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2319389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2319410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2319425 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2319428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2319440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319453 */     // GIR_Coverage, 55291,
     /* 2319453 */     GIR_EraseRootFromParent_Done,
     /* 2319454 */   // Label 31835: @2319454
     /* 2319454 */   GIM_Try, /*On fail goto*//*Label 31836*/ GIMT_Encode4(2319531), // Rule ID 72831 //
     /* 2319459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2319462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2319470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2319487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2319502 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2319505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2319517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319530 */     // GIR_Coverage, 72831,
     /* 2319530 */     GIR_EraseRootFromParent_Done,
     /* 2319531 */   // Label 31836: @2319531
     /* 2319531 */   GIM_Try, /*On fail goto*//*Label 31837*/ GIMT_Encode4(2319608), // Rule ID 72832 //
     /* 2319536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2319539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2319547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2319564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2319579 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2319582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2319594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319607 */     // GIR_Coverage, 72832,
     /* 2319607 */     GIR_EraseRootFromParent_Done,
     /* 2319608 */   // Label 31837: @2319608
     /* 2319608 */   GIM_Try, /*On fail goto*//*Label 31838*/ GIMT_Encode4(2319670), // Rule ID 55294 //
     /* 2319613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2319616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2319620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319643 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2319646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319669 */     // GIR_Coverage, 55294,
     /* 2319669 */     GIR_EraseRootFromParent_Done,
     /* 2319670 */   // Label 31838: @2319670
     /* 2319670 */   GIM_Try, /*On fail goto*//*Label 31839*/ GIMT_Encode4(2319732), // Rule ID 55295 //
     /* 2319675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2319678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2319682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319705 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2319708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319731 */     // GIR_Coverage, 55295,
     /* 2319731 */     GIR_EraseRootFromParent_Done,
     /* 2319732 */   // Label 31839: @2319732
     /* 2319732 */   GIM_Try, /*On fail goto*//*Label 31840*/ GIMT_Encode4(2319794), // Rule ID 72835 //
     /* 2319737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2319740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2319748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319767 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2319770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319793 */     // GIR_Coverage, 72835,
     /* 2319793 */     GIR_EraseRootFromParent_Done,
     /* 2319794 */   // Label 31840: @2319794
     /* 2319794 */   GIM_Try, /*On fail goto*//*Label 31841*/ GIMT_Encode4(2319856), // Rule ID 72836 //
     /* 2319799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2319802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2319810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319829 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2319832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319855 */     // GIR_Coverage, 72836,
     /* 2319855 */     GIR_EraseRootFromParent_Done,
     /* 2319856 */   // Label 31841: @2319856
     /* 2319856 */   GIM_Try, /*On fail goto*//*Label 31842*/ GIMT_Encode4(2319918), // Rule ID 55286 //
     /* 2319861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2319864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2319876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319891 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2319894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2319904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319917 */     // GIR_Coverage, 55286,
     /* 2319917 */     GIR_EraseRootFromParent_Done,
     /* 2319918 */   // Label 31842: @2319918
     /* 2319918 */   GIM_Try, /*On fail goto*//*Label 31843*/ GIMT_Encode4(2319980), // Rule ID 55287 //
     /* 2319923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2319926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2319938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319953 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2319956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2319966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319979 */     // GIR_Coverage, 55287,
     /* 2319979 */     GIR_EraseRootFromParent_Done,
     /* 2319980 */   // Label 31843: @2319980
     /* 2319980 */   GIM_Try, /*On fail goto*//*Label 31844*/ GIMT_Encode4(2320025), // Rule ID 55282 //
     /* 2319985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2319988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320000 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2320003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320024 */     // GIR_Coverage, 55282,
     /* 2320024 */     GIR_EraseRootFromParent_Done,
     /* 2320025 */   // Label 31844: @2320025
     /* 2320025 */   GIM_Try, /*On fail goto*//*Label 31845*/ GIMT_Encode4(2320070), // Rule ID 55283 //
     /* 2320030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2320033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320045 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2320048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320069 */     // GIR_Coverage, 55283,
     /* 2320069 */     GIR_EraseRootFromParent_Done,
     /* 2320070 */   // Label 31845: @2320070
     /* 2320070 */   GIM_Reject,
     /* 2320071 */ // Label 31833: @2320071
     /* 2320071 */ GIM_Reject,
     /* 2320072 */ // Label 31593: @2320072
     /* 2320072 */ GIM_Try, /*On fail goto*//*Label 31846*/ GIMT_Encode4(2320861),
     /* 2320077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2320083 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2320086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320090 */   GIM_Try, /*On fail goto*//*Label 31847*/ GIMT_Encode4(2320167), // Rule ID 55546 //
     /* 2320095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2320098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2320102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320119 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2320123 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320127 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320131 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2320138 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2320141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2320153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320166 */     // GIR_Coverage, 55546,
     /* 2320166 */     GIR_EraseRootFromParent_Done,
     /* 2320167 */   // Label 31847: @2320167
     /* 2320167 */   GIM_Try, /*On fail goto*//*Label 31848*/ GIMT_Encode4(2320244), // Rule ID 55547 //
     /* 2320172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2320175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2320179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2320200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320208 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2320215 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2320218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2320230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320243 */     // GIR_Coverage, 55547,
     /* 2320243 */     GIR_EraseRootFromParent_Done,
     /* 2320244 */   // Label 31848: @2320244
     /* 2320244 */   GIM_Try, /*On fail goto*//*Label 31849*/ GIMT_Encode4(2320321), // Rule ID 73055 //
     /* 2320249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2320252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2320260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2320277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2320292 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2320295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2320307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320320 */     // GIR_Coverage, 73055,
     /* 2320320 */     GIR_EraseRootFromParent_Done,
     /* 2320321 */   // Label 31849: @2320321
     /* 2320321 */   GIM_Try, /*On fail goto*//*Label 31850*/ GIMT_Encode4(2320398), // Rule ID 73056 //
     /* 2320326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2320329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2320337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2320354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2320369 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2320372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2320384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320397 */     // GIR_Coverage, 73056,
     /* 2320397 */     GIR_EraseRootFromParent_Done,
     /* 2320398 */   // Label 31850: @2320398
     /* 2320398 */   GIM_Try, /*On fail goto*//*Label 31851*/ GIMT_Encode4(2320460), // Rule ID 55550 //
     /* 2320403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2320406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2320410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320433 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2320436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320459 */     // GIR_Coverage, 55550,
     /* 2320459 */     GIR_EraseRootFromParent_Done,
     /* 2320460 */   // Label 31851: @2320460
     /* 2320460 */   GIM_Try, /*On fail goto*//*Label 31852*/ GIMT_Encode4(2320522), // Rule ID 55551 //
     /* 2320465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2320468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2320472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320495 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2320498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320521 */     // GIR_Coverage, 55551,
     /* 2320521 */     GIR_EraseRootFromParent_Done,
     /* 2320522 */   // Label 31852: @2320522
     /* 2320522 */   GIM_Try, /*On fail goto*//*Label 31853*/ GIMT_Encode4(2320584), // Rule ID 73059 //
     /* 2320527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2320530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2320538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320557 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2320560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320583 */     // GIR_Coverage, 73059,
     /* 2320583 */     GIR_EraseRootFromParent_Done,
     /* 2320584 */   // Label 31853: @2320584
     /* 2320584 */   GIM_Try, /*On fail goto*//*Label 31854*/ GIMT_Encode4(2320646), // Rule ID 73060 //
     /* 2320589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2320592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2320600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320619 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2320622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320645 */     // GIR_Coverage, 73060,
     /* 2320645 */     GIR_EraseRootFromParent_Done,
     /* 2320646 */   // Label 31854: @2320646
     /* 2320646 */   GIM_Try, /*On fail goto*//*Label 31855*/ GIMT_Encode4(2320708), // Rule ID 55542 //
     /* 2320651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2320654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2320666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320681 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2320684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2320694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320707 */     // GIR_Coverage, 55542,
     /* 2320707 */     GIR_EraseRootFromParent_Done,
     /* 2320708 */   // Label 31855: @2320708
     /* 2320708 */   GIM_Try, /*On fail goto*//*Label 31856*/ GIMT_Encode4(2320770), // Rule ID 55543 //
     /* 2320713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2320716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2320728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320743 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2320746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2320756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320769 */     // GIR_Coverage, 55543,
     /* 2320769 */     GIR_EraseRootFromParent_Done,
     /* 2320770 */   // Label 31856: @2320770
     /* 2320770 */   GIM_Try, /*On fail goto*//*Label 31857*/ GIMT_Encode4(2320815), // Rule ID 55538 //
     /* 2320775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2320778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320790 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2320793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320814 */     // GIR_Coverage, 55538,
     /* 2320814 */     GIR_EraseRootFromParent_Done,
     /* 2320815 */   // Label 31857: @2320815
     /* 2320815 */   GIM_Try, /*On fail goto*//*Label 31858*/ GIMT_Encode4(2320860), // Rule ID 55539 //
     /* 2320820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2320823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320835 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2320838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320859 */     // GIR_Coverage, 55539,
     /* 2320859 */     GIR_EraseRootFromParent_Done,
     /* 2320860 */   // Label 31858: @2320860
     /* 2320860 */   GIM_Reject,
     /* 2320861 */ // Label 31846: @2320861
     /* 2320861 */ GIM_Reject,
     /* 2320862 */ // Label 31594: @2320862
     /* 2320862 */ GIM_Try, /*On fail goto*//*Label 31859*/ GIMT_Encode4(2321651),
     /* 2320867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2320873 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2320876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320880 */   GIM_Try, /*On fail goto*//*Label 31860*/ GIMT_Encode4(2320957), // Rule ID 55354 //
     /* 2320885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2320888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2320892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2320913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320921 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2320928 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2320931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2320943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320956 */     // GIR_Coverage, 55354,
     /* 2320956 */     GIR_EraseRootFromParent_Done,
     /* 2320957 */   // Label 31860: @2320957
     /* 2320957 */   GIM_Try, /*On fail goto*//*Label 31861*/ GIMT_Encode4(2321034), // Rule ID 55355 //
     /* 2320962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2320965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2320969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2320990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321003 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2321005 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2321005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2321008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2321020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321033 */     // GIR_Coverage, 55355,
     /* 2321033 */     GIR_EraseRootFromParent_Done,
     /* 2321034 */   // Label 31861: @2321034
     /* 2321034 */   GIM_Try, /*On fail goto*//*Label 31862*/ GIMT_Encode4(2321111), // Rule ID 72887 //
     /* 2321039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2321042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2321050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2321058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2321067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2321075 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321080 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2321082 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2321082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2321085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2321097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321110 */     // GIR_Coverage, 72887,
     /* 2321110 */     GIR_EraseRootFromParent_Done,
     /* 2321111 */   // Label 31862: @2321111
     /* 2321111 */   GIM_Try, /*On fail goto*//*Label 31863*/ GIMT_Encode4(2321188), // Rule ID 72888 //
     /* 2321116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2321119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2321127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2321135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2321144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2321152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2321159 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2321159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2321162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2321174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321187 */     // GIR_Coverage, 72888,
     /* 2321187 */     GIR_EraseRootFromParent_Done,
     /* 2321188 */   // Label 31863: @2321188
     /* 2321188 */   GIM_Try, /*On fail goto*//*Label 31864*/ GIMT_Encode4(2321250), // Rule ID 55358 //
     /* 2321193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2321196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2321200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2321208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321223 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2321223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2321226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321249 */     // GIR_Coverage, 55358,
     /* 2321249 */     GIR_EraseRootFromParent_Done,
     /* 2321250 */   // Label 31864: @2321250
     /* 2321250 */   GIM_Try, /*On fail goto*//*Label 31865*/ GIMT_Encode4(2321312), // Rule ID 55359 //
     /* 2321255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2321258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2321262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2321270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321285 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2321285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2321288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321311 */     // GIR_Coverage, 55359,
     /* 2321311 */     GIR_EraseRootFromParent_Done,
     /* 2321312 */   // Label 31865: @2321312
     /* 2321312 */   GIM_Try, /*On fail goto*//*Label 31866*/ GIMT_Encode4(2321374), // Rule ID 72891 //
     /* 2321317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2321320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2321328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2321336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321347 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2321347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2321350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321373 */     // GIR_Coverage, 72891,
     /* 2321373 */     GIR_EraseRootFromParent_Done,
     /* 2321374 */   // Label 31866: @2321374
     /* 2321374 */   GIM_Try, /*On fail goto*//*Label 31867*/ GIMT_Encode4(2321436), // Rule ID 72892 //
     /* 2321379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2321382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2321390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2321398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321409 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2321409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2321412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321435 */     // GIR_Coverage, 72892,
     /* 2321435 */     GIR_EraseRootFromParent_Done,
     /* 2321436 */   // Label 31867: @2321436
     /* 2321436 */   GIM_Try, /*On fail goto*//*Label 31868*/ GIMT_Encode4(2321498), // Rule ID 55350 //
     /* 2321441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2321444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2321456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2321464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321471 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2321471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2321474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2321484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321497 */     // GIR_Coverage, 55350,
     /* 2321497 */     GIR_EraseRootFromParent_Done,
     /* 2321498 */   // Label 31868: @2321498
     /* 2321498 */   GIM_Try, /*On fail goto*//*Label 31869*/ GIMT_Encode4(2321560), // Rule ID 55351 //
     /* 2321503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2321506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2321518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2321526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321533 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2321533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2321536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2321546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321559 */     // GIR_Coverage, 55351,
     /* 2321559 */     GIR_EraseRootFromParent_Done,
     /* 2321560 */   // Label 31869: @2321560
     /* 2321560 */   GIM_Try, /*On fail goto*//*Label 31870*/ GIMT_Encode4(2321605), // Rule ID 55346 //
     /* 2321565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2321568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321580 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2321580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2321583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321604 */     // GIR_Coverage, 55346,
     /* 2321604 */     GIR_EraseRootFromParent_Done,
     /* 2321605 */   // Label 31870: @2321605
     /* 2321605 */   GIM_Try, /*On fail goto*//*Label 31871*/ GIMT_Encode4(2321650), // Rule ID 55347 //
     /* 2321610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2321613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321625 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2321625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2321628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321649 */     // GIR_Coverage, 55347,
     /* 2321649 */     GIR_EraseRootFromParent_Done,
     /* 2321650 */   // Label 31871: @2321650
     /* 2321650 */   GIM_Reject,
     /* 2321651 */ // Label 31859: @2321651
     /* 2321651 */ GIM_Reject,
     /* 2321652 */ // Label 31595: @2321652
     /* 2321652 */ GIM_Reject,
     /* 2321653 */ // Label 63: @2321653
     /* 2321653 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31890*/ GIMT_Encode4(2324080),
     /* 2321664 */ /*GILLT_s16*//*Label 31872*/ GIMT_Encode4(2321784),
     /* 2321668 */ /*GILLT_s32*//*Label 31873*/ GIMT_Encode4(2321933),
     /* 2321672 */ /*GILLT_s64*//*Label 31874*/ GIMT_Encode4(2322082), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2321684 */ /*GILLT_nxv1s16*//*Label 31875*/ GIMT_Encode4(2322265),
     /* 2321688 */ /*GILLT_nxv1s32*//*Label 31876*/ GIMT_Encode4(2322386),
     /* 2321692 */ /*GILLT_nxv1s64*//*Label 31877*/ GIMT_Encode4(2322507), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2321704 */ /*GILLT_nxv2s16*//*Label 31878*/ GIMT_Encode4(2322628),
     /* 2321708 */ /*GILLT_nxv2s32*//*Label 31879*/ GIMT_Encode4(2322749),
     /* 2321712 */ /*GILLT_nxv2s64*//*Label 31880*/ GIMT_Encode4(2322870), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2321724 */ /*GILLT_nxv4s16*//*Label 31881*/ GIMT_Encode4(2322991),
     /* 2321728 */ /*GILLT_nxv4s32*//*Label 31882*/ GIMT_Encode4(2323112),
     /* 2321732 */ /*GILLT_nxv4s64*//*Label 31883*/ GIMT_Encode4(2323233), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2321744 */ /*GILLT_nxv8s16*//*Label 31884*/ GIMT_Encode4(2323354),
     /* 2321748 */ /*GILLT_nxv8s32*//*Label 31885*/ GIMT_Encode4(2323475),
     /* 2321752 */ /*GILLT_nxv8s64*//*Label 31886*/ GIMT_Encode4(2323596), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2321764 */ /*GILLT_nxv16s16*//*Label 31887*/ GIMT_Encode4(2323717),
     /* 2321768 */ /*GILLT_nxv16s32*//*Label 31888*/ GIMT_Encode4(2323838), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2321780 */ /*GILLT_nxv32s16*//*Label 31889*/ GIMT_Encode4(2323959),
     /* 2321784 */ // Label 31872: @2321784
     /* 2321784 */ GIM_Try, /*On fail goto*//*Label 31891*/ GIMT_Encode4(2321932),
     /* 2321789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2321792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2321795 */   GIM_Try, /*On fail goto*//*Label 31892*/ GIMT_Encode4(2321829), // Rule ID 1982 //
     /* 2321800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2321803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321815 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2321815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2321818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321828 */     // GIR_Coverage, 1982,
     /* 2321828 */     GIR_EraseRootFromParent_Done,
     /* 2321829 */   // Label 31892: @2321829
     /* 2321829 */   GIM_Try, /*On fail goto*//*Label 31893*/ GIMT_Encode4(2321863), // Rule ID 1983 //
     /* 2321834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2321837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2321849 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2321849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2321852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321862 */     // GIR_Coverage, 1983,
     /* 2321862 */     GIR_EraseRootFromParent_Done,
     /* 2321863 */   // Label 31893: @2321863
     /* 2321863 */   GIM_Try, /*On fail goto*//*Label 31894*/ GIMT_Encode4(2321897), // Rule ID 1986 //
     /* 2321868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2321871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321883 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2321883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2321886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321896 */     // GIR_Coverage, 1986,
     /* 2321896 */     GIR_EraseRootFromParent_Done,
     /* 2321897 */   // Label 31894: @2321897
     /* 2321897 */   GIM_Try, /*On fail goto*//*Label 31895*/ GIMT_Encode4(2321931), // Rule ID 1987 //
     /* 2321902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2321905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2321917 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2321917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2321920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321930 */     // GIR_Coverage, 1987,
     /* 2321930 */     GIR_EraseRootFromParent_Done,
     /* 2321931 */   // Label 31895: @2321931
     /* 2321931 */   GIM_Reject,
     /* 2321932 */ // Label 31891: @2321932
     /* 2321932 */ GIM_Reject,
     /* 2321933 */ // Label 31873: @2321933
     /* 2321933 */ GIM_Try, /*On fail goto*//*Label 31896*/ GIMT_Encode4(2322081),
     /* 2321938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2321944 */   GIM_Try, /*On fail goto*//*Label 31897*/ GIMT_Encode4(2321978), // Rule ID 1273 //
     /* 2321949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2321952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321964 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2321964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2321967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321977 */     // GIR_Coverage, 1273,
     /* 2321977 */     GIR_EraseRootFromParent_Done,
     /* 2321978 */   // Label 31897: @2321978
     /* 2321978 */   GIM_Try, /*On fail goto*//*Label 31898*/ GIMT_Encode4(2322012), // Rule ID 1274 //
     /* 2321983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2321986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321998 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2321998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2322001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322011 */     // GIR_Coverage, 1274,
     /* 2322011 */     GIR_EraseRootFromParent_Done,
     /* 2322012 */   // Label 31898: @2322012
     /* 2322012 */   GIM_Try, /*On fail goto*//*Label 31899*/ GIMT_Encode4(2322046), // Rule ID 1277 //
     /* 2322017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2322020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2322024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2322028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2322032 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2322032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2322035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322045 */     // GIR_Coverage, 1277,
     /* 2322045 */     GIR_EraseRootFromParent_Done,
     /* 2322046 */   // Label 31899: @2322046
     /* 2322046 */   GIM_Try, /*On fail goto*//*Label 31900*/ GIMT_Encode4(2322080), // Rule ID 1278 //
     /* 2322051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2322054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2322058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2322062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2322066 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2322066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2322069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322079 */     // GIR_Coverage, 1278,
     /* 2322079 */     GIR_EraseRootFromParent_Done,
     /* 2322080 */   // Label 31900: @2322080
     /* 2322080 */   GIM_Reject,
     /* 2322081 */ // Label 31896: @2322081
     /* 2322081 */ GIM_Reject,
     /* 2322082 */ // Label 31874: @2322082
     /* 2322082 */ GIM_Try, /*On fail goto*//*Label 31901*/ GIMT_Encode4(2322264),
     /* 2322087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2322090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2322093 */   GIM_Try, /*On fail goto*//*Label 31902*/ GIMT_Encode4(2322127), // Rule ID 1614 //
     /* 2322098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2322101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2322105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2322109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2322113 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2322113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2322116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322126 */     // GIR_Coverage, 1614,
     /* 2322126 */     GIR_EraseRootFromParent_Done,
     /* 2322127 */   // Label 31902: @2322127
     /* 2322127 */   GIM_Try, /*On fail goto*//*Label 31903*/ GIMT_Encode4(2322161), // Rule ID 1615 //
     /* 2322132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2322135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2322139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2322143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2322147 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2322147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2322150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322160 */     // GIR_Coverage, 1615,
     /* 2322160 */     GIR_EraseRootFromParent_Done,
     /* 2322161 */   // Label 31903: @2322161
     /* 2322161 */   GIM_Try, /*On fail goto*//*Label 31904*/ GIMT_Encode4(2322195), // Rule ID 1618 //
     /* 2322166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2322169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2322173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2322177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2322181 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2322181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2322184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322194 */     // GIR_Coverage, 1618,
     /* 2322194 */     GIR_EraseRootFromParent_Done,
     /* 2322195 */   // Label 31904: @2322195
     /* 2322195 */   GIM_Try, /*On fail goto*//*Label 31905*/ GIMT_Encode4(2322229), // Rule ID 1619 //
     /* 2322200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2322203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2322207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2322211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2322215 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2322215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2322218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322228 */     // GIR_Coverage, 1619,
     /* 2322228 */     GIR_EraseRootFromParent_Done,
     /* 2322229 */   // Label 31905: @2322229
     /* 2322229 */   GIM_Try, /*On fail goto*//*Label 31906*/ GIMT_Encode4(2322263), // Rule ID 1621 //
     /* 2322234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2322237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322249 */     // (fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2322249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2322252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322262 */     // GIR_Coverage, 1621,
     /* 2322262 */     GIR_EraseRootFromParent_Done,
     /* 2322263 */   // Label 31906: @2322263
     /* 2322263 */   GIM_Reject,
     /* 2322264 */ // Label 31901: @2322264
     /* 2322264 */ GIM_Reject,
     /* 2322265 */ // Label 31875: @2322265
     /* 2322265 */ GIM_Try, /*On fail goto*//*Label 31907*/ GIMT_Encode4(2322385),
     /* 2322270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2322273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2322276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322288 */   GIM_Try, /*On fail goto*//*Label 31908*/ GIMT_Encode4(2322336), // Rule ID 54408 //
     /* 2322293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2322296 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2322299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2322313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322335 */     // GIR_Coverage, 54408,
     /* 2322335 */     GIR_EraseRootFromParent_Done,
     /* 2322336 */   // Label 31908: @2322336
     /* 2322336 */   GIM_Try, /*On fail goto*//*Label 31909*/ GIMT_Encode4(2322384), // Rule ID 54409 //
     /* 2322341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2322344 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2322347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2322361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322383 */     // GIR_Coverage, 54409,
     /* 2322383 */     GIR_EraseRootFromParent_Done,
     /* 2322384 */   // Label 31909: @2322384
     /* 2322384 */   GIM_Reject,
     /* 2322385 */ // Label 31907: @2322385
     /* 2322385 */ GIM_Reject,
     /* 2322386 */ // Label 31876: @2322386
     /* 2322386 */ GIM_Try, /*On fail goto*//*Label 31910*/ GIMT_Encode4(2322506),
     /* 2322391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2322397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322409 */   GIM_Try, /*On fail goto*//*Label 31911*/ GIMT_Encode4(2322457), // Rule ID 54432 //
     /* 2322414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2322417 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2322434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322456 */     // GIR_Coverage, 54432,
     /* 2322456 */     GIR_EraseRootFromParent_Done,
     /* 2322457 */   // Label 31911: @2322457
     /* 2322457 */   GIM_Try, /*On fail goto*//*Label 31912*/ GIMT_Encode4(2322505), // Rule ID 54433 //
     /* 2322462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2322465 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2322482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322504 */     // GIR_Coverage, 54433,
     /* 2322504 */     GIR_EraseRootFromParent_Done,
     /* 2322505 */   // Label 31912: @2322505
     /* 2322505 */   GIM_Reject,
     /* 2322506 */ // Label 31910: @2322506
     /* 2322506 */ GIM_Reject,
     /* 2322507 */ // Label 31877: @2322507
     /* 2322507 */ GIM_Try, /*On fail goto*//*Label 31913*/ GIMT_Encode4(2322627),
     /* 2322512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2322518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322530 */   GIM_Try, /*On fail goto*//*Label 31914*/ GIMT_Encode4(2322578), // Rule ID 54468 //
     /* 2322535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2322538 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2322555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322577 */     // GIR_Coverage, 54468,
     /* 2322577 */     GIR_EraseRootFromParent_Done,
     /* 2322578 */   // Label 31914: @2322578
     /* 2322578 */   GIM_Try, /*On fail goto*//*Label 31915*/ GIMT_Encode4(2322626), // Rule ID 54469 //
     /* 2322583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2322586 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2322603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322625 */     // GIR_Coverage, 54469,
     /* 2322625 */     GIR_EraseRootFromParent_Done,
     /* 2322626 */   // Label 31915: @2322626
     /* 2322626 */   GIM_Reject,
     /* 2322627 */ // Label 31913: @2322627
     /* 2322627 */ GIM_Reject,
     /* 2322628 */ // Label 31878: @2322628
     /* 2322628 */ GIM_Try, /*On fail goto*//*Label 31916*/ GIMT_Encode4(2322748),
     /* 2322633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2322639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322651 */   GIM_Try, /*On fail goto*//*Label 31917*/ GIMT_Encode4(2322699), // Rule ID 54420 //
     /* 2322656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2322659 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2322676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322698 */     // GIR_Coverage, 54420,
     /* 2322698 */     GIR_EraseRootFromParent_Done,
     /* 2322699 */   // Label 31917: @2322699
     /* 2322699 */   GIM_Try, /*On fail goto*//*Label 31918*/ GIMT_Encode4(2322747), // Rule ID 54421 //
     /* 2322704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2322707 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2322724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322746 */     // GIR_Coverage, 54421,
     /* 2322746 */     GIR_EraseRootFromParent_Done,
     /* 2322747 */   // Label 31918: @2322747
     /* 2322747 */   GIM_Reject,
     /* 2322748 */ // Label 31916: @2322748
     /* 2322748 */ GIM_Reject,
     /* 2322749 */ // Label 31879: @2322749
     /* 2322749 */ GIM_Try, /*On fail goto*//*Label 31919*/ GIMT_Encode4(2322869),
     /* 2322754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2322760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322772 */   GIM_Try, /*On fail goto*//*Label 31920*/ GIMT_Encode4(2322820), // Rule ID 54456 //
     /* 2322777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2322780 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2322797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322819 */     // GIR_Coverage, 54456,
     /* 2322819 */     GIR_EraseRootFromParent_Done,
     /* 2322820 */   // Label 31920: @2322820
     /* 2322820 */   GIM_Try, /*On fail goto*//*Label 31921*/ GIMT_Encode4(2322868), // Rule ID 54457 //
     /* 2322825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2322828 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2322845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322867 */     // GIR_Coverage, 54457,
     /* 2322867 */     GIR_EraseRootFromParent_Done,
     /* 2322868 */   // Label 31921: @2322868
     /* 2322868 */   GIM_Reject,
     /* 2322869 */ // Label 31919: @2322869
     /* 2322869 */ GIM_Reject,
     /* 2322870 */ // Label 31880: @2322870
     /* 2322870 */ GIM_Try, /*On fail goto*//*Label 31922*/ GIMT_Encode4(2322990),
     /* 2322875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2322881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322893 */   GIM_Try, /*On fail goto*//*Label 31923*/ GIMT_Encode4(2322941), // Rule ID 54552 //
     /* 2322898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2322901 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2322918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322940 */     // GIR_Coverage, 54552,
     /* 2322940 */     GIR_EraseRootFromParent_Done,
     /* 2322941 */   // Label 31923: @2322941
     /* 2322941 */   GIM_Try, /*On fail goto*//*Label 31924*/ GIMT_Encode4(2322989), // Rule ID 54553 //
     /* 2322946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2322949 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2322966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322988 */     // GIR_Coverage, 54553,
     /* 2322988 */     GIR_EraseRootFromParent_Done,
     /* 2322989 */   // Label 31924: @2322989
     /* 2322989 */   GIM_Reject,
     /* 2322990 */ // Label 31922: @2322990
     /* 2322990 */ GIM_Reject,
     /* 2322991 */ // Label 31881: @2322991
     /* 2322991 */ GIM_Try, /*On fail goto*//*Label 31925*/ GIMT_Encode4(2323111),
     /* 2322996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2322999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2323002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323014 */   GIM_Try, /*On fail goto*//*Label 31926*/ GIMT_Encode4(2323062), // Rule ID 54444 //
     /* 2323019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2323022 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2323039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323061 */     // GIR_Coverage, 54444,
     /* 2323061 */     GIR_EraseRootFromParent_Done,
     /* 2323062 */   // Label 31926: @2323062
     /* 2323062 */   GIM_Try, /*On fail goto*//*Label 31927*/ GIMT_Encode4(2323110), // Rule ID 54445 //
     /* 2323067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2323070 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2323087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323109 */     // GIR_Coverage, 54445,
     /* 2323109 */     GIR_EraseRootFromParent_Done,
     /* 2323110 */   // Label 31927: @2323110
     /* 2323110 */   GIM_Reject,
     /* 2323111 */ // Label 31925: @2323111
     /* 2323111 */ GIM_Reject,
     /* 2323112 */ // Label 31882: @2323112
     /* 2323112 */ GIM_Try, /*On fail goto*//*Label 31928*/ GIMT_Encode4(2323232),
     /* 2323117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2323123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323135 */   GIM_Try, /*On fail goto*//*Label 31929*/ GIMT_Encode4(2323183), // Rule ID 54516 //
     /* 2323140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2323143 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2323160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323182 */     // GIR_Coverage, 54516,
     /* 2323182 */     GIR_EraseRootFromParent_Done,
     /* 2323183 */   // Label 31929: @2323183
     /* 2323183 */   GIM_Try, /*On fail goto*//*Label 31930*/ GIMT_Encode4(2323231), // Rule ID 54517 //
     /* 2323188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2323191 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2323208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323230 */     // GIR_Coverage, 54517,
     /* 2323230 */     GIR_EraseRootFromParent_Done,
     /* 2323231 */   // Label 31930: @2323231
     /* 2323231 */   GIM_Reject,
     /* 2323232 */ // Label 31928: @2323232
     /* 2323232 */ GIM_Reject,
     /* 2323233 */ // Label 31883: @2323233
     /* 2323233 */ GIM_Try, /*On fail goto*//*Label 31931*/ GIMT_Encode4(2323353),
     /* 2323238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2323244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323256 */   GIM_Try, /*On fail goto*//*Label 31932*/ GIMT_Encode4(2323304), // Rule ID 54564 //
     /* 2323261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2323264 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2323281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323303 */     // GIR_Coverage, 54564,
     /* 2323303 */     GIR_EraseRootFromParent_Done,
     /* 2323304 */   // Label 31932: @2323304
     /* 2323304 */   GIM_Try, /*On fail goto*//*Label 31933*/ GIMT_Encode4(2323352), // Rule ID 54565 //
     /* 2323309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2323312 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2323329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323351 */     // GIR_Coverage, 54565,
     /* 2323351 */     GIR_EraseRootFromParent_Done,
     /* 2323352 */   // Label 31933: @2323352
     /* 2323352 */   GIM_Reject,
     /* 2323353 */ // Label 31931: @2323353
     /* 2323353 */ GIM_Reject,
     /* 2323354 */ // Label 31884: @2323354
     /* 2323354 */ GIM_Try, /*On fail goto*//*Label 31934*/ GIMT_Encode4(2323474),
     /* 2323359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2323365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323377 */   GIM_Try, /*On fail goto*//*Label 31935*/ GIMT_Encode4(2323425), // Rule ID 54480 //
     /* 2323382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2323385 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2323402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323424 */     // GIR_Coverage, 54480,
     /* 2323424 */     GIR_EraseRootFromParent_Done,
     /* 2323425 */   // Label 31935: @2323425
     /* 2323425 */   GIM_Try, /*On fail goto*//*Label 31936*/ GIMT_Encode4(2323473), // Rule ID 54481 //
     /* 2323430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2323433 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2323450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323472 */     // GIR_Coverage, 54481,
     /* 2323472 */     GIR_EraseRootFromParent_Done,
     /* 2323473 */   // Label 31936: @2323473
     /* 2323473 */   GIM_Reject,
     /* 2323474 */ // Label 31934: @2323474
     /* 2323474 */ GIM_Reject,
     /* 2323475 */ // Label 31885: @2323475
     /* 2323475 */ GIM_Try, /*On fail goto*//*Label 31937*/ GIMT_Encode4(2323595),
     /* 2323480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2323486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323498 */   GIM_Try, /*On fail goto*//*Label 31938*/ GIMT_Encode4(2323546), // Rule ID 54528 //
     /* 2323503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2323506 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2323523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323545 */     // GIR_Coverage, 54528,
     /* 2323545 */     GIR_EraseRootFromParent_Done,
     /* 2323546 */   // Label 31938: @2323546
     /* 2323546 */   GIM_Try, /*On fail goto*//*Label 31939*/ GIMT_Encode4(2323594), // Rule ID 54529 //
     /* 2323551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2323554 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2323571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323593 */     // GIR_Coverage, 54529,
     /* 2323593 */     GIR_EraseRootFromParent_Done,
     /* 2323594 */   // Label 31939: @2323594
     /* 2323594 */   GIM_Reject,
     /* 2323595 */ // Label 31937: @2323595
     /* 2323595 */ GIM_Reject,
     /* 2323596 */ // Label 31886: @2323596
     /* 2323596 */ GIM_Try, /*On fail goto*//*Label 31940*/ GIMT_Encode4(2323716),
     /* 2323601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2323604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2323607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323619 */   GIM_Try, /*On fail goto*//*Label 31941*/ GIMT_Encode4(2323667), // Rule ID 54576 //
     /* 2323624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2323627 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2323630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2323644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323666 */     // GIR_Coverage, 54576,
     /* 2323666 */     GIR_EraseRootFromParent_Done,
     /* 2323667 */   // Label 31941: @2323667
     /* 2323667 */   GIM_Try, /*On fail goto*//*Label 31942*/ GIMT_Encode4(2323715), // Rule ID 54577 //
     /* 2323672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2323675 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2323678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2323692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323714 */     // GIR_Coverage, 54577,
     /* 2323714 */     GIR_EraseRootFromParent_Done,
     /* 2323715 */   // Label 31942: @2323715
     /* 2323715 */   GIM_Reject,
     /* 2323716 */ // Label 31940: @2323716
     /* 2323716 */ GIM_Reject,
     /* 2323717 */ // Label 31887: @2323717
     /* 2323717 */ GIM_Try, /*On fail goto*//*Label 31943*/ GIMT_Encode4(2323837),
     /* 2323722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2323725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2323728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323740 */   GIM_Try, /*On fail goto*//*Label 31944*/ GIMT_Encode4(2323788), // Rule ID 54492 //
     /* 2323745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2323748 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2323751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2323765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323787 */     // GIR_Coverage, 54492,
     /* 2323787 */     GIR_EraseRootFromParent_Done,
     /* 2323788 */   // Label 31944: @2323788
     /* 2323788 */   GIM_Try, /*On fail goto*//*Label 31945*/ GIMT_Encode4(2323836), // Rule ID 54493 //
     /* 2323793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2323796 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2323799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2323813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323835 */     // GIR_Coverage, 54493,
     /* 2323835 */     GIR_EraseRootFromParent_Done,
     /* 2323836 */   // Label 31945: @2323836
     /* 2323836 */   GIM_Reject,
     /* 2323837 */ // Label 31943: @2323837
     /* 2323837 */ GIM_Reject,
     /* 2323838 */ // Label 31888: @2323838
     /* 2323838 */ GIM_Try, /*On fail goto*//*Label 31946*/ GIMT_Encode4(2323958),
     /* 2323843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2323846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2323849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323861 */   GIM_Try, /*On fail goto*//*Label 31947*/ GIMT_Encode4(2323909), // Rule ID 54540 //
     /* 2323866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2323869 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2323872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2323886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323908 */     // GIR_Coverage, 54540,
     /* 2323908 */     GIR_EraseRootFromParent_Done,
     /* 2323909 */   // Label 31947: @2323909
     /* 2323909 */   GIM_Try, /*On fail goto*//*Label 31948*/ GIMT_Encode4(2323957), // Rule ID 54541 //
     /* 2323914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2323917 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2323920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2323934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323956 */     // GIR_Coverage, 54541,
     /* 2323956 */     GIR_EraseRootFromParent_Done,
     /* 2323957 */   // Label 31948: @2323957
     /* 2323957 */   GIM_Reject,
     /* 2323958 */ // Label 31946: @2323958
     /* 2323958 */ GIM_Reject,
     /* 2323959 */ // Label 31889: @2323959
     /* 2323959 */ GIM_Try, /*On fail goto*//*Label 31949*/ GIMT_Encode4(2324079),
     /* 2323964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2323967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2323970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323978 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323982 */   GIM_Try, /*On fail goto*//*Label 31950*/ GIMT_Encode4(2324030), // Rule ID 54504 //
     /* 2323987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2323990 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2323993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2324007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324029 */     // GIR_Coverage, 54504,
     /* 2324029 */     GIR_EraseRootFromParent_Done,
     /* 2324030 */   // Label 31950: @2324030
     /* 2324030 */   GIM_Try, /*On fail goto*//*Label 31951*/ GIMT_Encode4(2324078), // Rule ID 54505 //
     /* 2324035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2324038 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2324041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2324055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324077 */     // GIR_Coverage, 54505,
     /* 2324077 */     GIR_EraseRootFromParent_Done,
     /* 2324078 */   // Label 31951: @2324078
     /* 2324078 */   GIM_Reject,
     /* 2324079 */ // Label 31949: @2324079
     /* 2324079 */ GIM_Reject,
     /* 2324080 */ // Label 31890: @2324080
     /* 2324080 */ GIM_Reject,
     /* 2324081 */ // Label 64: @2324081
     /* 2324081 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31970*/ GIMT_Encode4(2326051),
     /* 2324092 */ /*GILLT_s16*//*Label 31952*/ GIMT_Encode4(2324212),
     /* 2324096 */ /*GILLT_s32*//*Label 31953*/ GIMT_Encode4(2324276),
     /* 2324100 */ /*GILLT_s64*//*Label 31954*/ GIMT_Encode4(2324340), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324112 */ /*GILLT_nxv1s16*//*Label 31955*/ GIMT_Encode4(2324431),
     /* 2324116 */ /*GILLT_nxv1s32*//*Label 31956*/ GIMT_Encode4(2324539),
     /* 2324120 */ /*GILLT_nxv1s64*//*Label 31957*/ GIMT_Encode4(2324647), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324132 */ /*GILLT_nxv2s16*//*Label 31958*/ GIMT_Encode4(2324755),
     /* 2324136 */ /*GILLT_nxv2s32*//*Label 31959*/ GIMT_Encode4(2324863),
     /* 2324140 */ /*GILLT_nxv2s64*//*Label 31960*/ GIMT_Encode4(2324971), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324152 */ /*GILLT_nxv4s16*//*Label 31961*/ GIMT_Encode4(2325079),
     /* 2324156 */ /*GILLT_nxv4s32*//*Label 31962*/ GIMT_Encode4(2325187),
     /* 2324160 */ /*GILLT_nxv4s64*//*Label 31963*/ GIMT_Encode4(2325295), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324172 */ /*GILLT_nxv8s16*//*Label 31964*/ GIMT_Encode4(2325403),
     /* 2324176 */ /*GILLT_nxv8s32*//*Label 31965*/ GIMT_Encode4(2325511),
     /* 2324180 */ /*GILLT_nxv8s64*//*Label 31966*/ GIMT_Encode4(2325619), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324192 */ /*GILLT_nxv16s16*//*Label 31967*/ GIMT_Encode4(2325727),
     /* 2324196 */ /*GILLT_nxv16s32*//*Label 31968*/ GIMT_Encode4(2325835), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324208 */ /*GILLT_nxv32s16*//*Label 31969*/ GIMT_Encode4(2325943),
     /* 2324212 */ // Label 31952: @2324212
     /* 2324212 */ GIM_Try, /*On fail goto*//*Label 31971*/ GIMT_Encode4(2324275),
     /* 2324217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2324220 */   GIM_Try, /*On fail goto*//*Label 31972*/ GIMT_Encode4(2324247), // Rule ID 1992 //
     /* 2324225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2324228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2324232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2324236 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2324236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2324239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324246 */     // GIR_Coverage, 1992,
     /* 2324246 */     GIR_EraseRootFromParent_Done,
     /* 2324247 */   // Label 31972: @2324247
     /* 2324247 */   GIM_Try, /*On fail goto*//*Label 31973*/ GIMT_Encode4(2324274), // Rule ID 2025 //
     /* 2324252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2324255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2324259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2324263 */     // (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2324263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2324266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324273 */     // GIR_Coverage, 2025,
     /* 2324273 */     GIR_EraseRootFromParent_Done,
     /* 2324274 */   // Label 31973: @2324274
     /* 2324274 */   GIM_Reject,
     /* 2324275 */ // Label 31971: @2324275
     /* 2324275 */ GIM_Reject,
     /* 2324276 */ // Label 31953: @2324276
     /* 2324276 */ GIM_Try, /*On fail goto*//*Label 31974*/ GIMT_Encode4(2324339),
     /* 2324281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2324284 */   GIM_Try, /*On fail goto*//*Label 31975*/ GIMT_Encode4(2324311), // Rule ID 1283 //
     /* 2324289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2324292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2324296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2324300 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2324300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2324303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324310 */     // GIR_Coverage, 1283,
     /* 2324310 */     GIR_EraseRootFromParent_Done,
     /* 2324311 */   // Label 31975: @2324311
     /* 2324311 */   GIM_Try, /*On fail goto*//*Label 31976*/ GIMT_Encode4(2324338), // Rule ID 1291 //
     /* 2324316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2324319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2324323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2324327 */     // (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2324327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2324330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324337 */     // GIR_Coverage, 1291,
     /* 2324337 */     GIR_EraseRootFromParent_Done,
     /* 2324338 */   // Label 31976: @2324338
     /* 2324338 */   GIM_Reject,
     /* 2324339 */ // Label 31974: @2324339
     /* 2324339 */ GIM_Reject,
     /* 2324340 */ // Label 31954: @2324340
     /* 2324340 */ GIM_Try, /*On fail goto*//*Label 31977*/ GIMT_Encode4(2324430),
     /* 2324345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2324348 */   GIM_Try, /*On fail goto*//*Label 31978*/ GIMT_Encode4(2324375), // Rule ID 1626 //
     /* 2324353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2324356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2324360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2324364 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2324364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2324367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324374 */     // GIR_Coverage, 1626,
     /* 2324374 */     GIR_EraseRootFromParent_Done,
     /* 2324375 */   // Label 31978: @2324375
     /* 2324375 */   GIM_Try, /*On fail goto*//*Label 31979*/ GIMT_Encode4(2324402), // Rule ID 1659 //
     /* 2324380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2324383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324391 */     // (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2324391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2324394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324401 */     // GIR_Coverage, 1659,
     /* 2324401 */     GIR_EraseRootFromParent_Done,
     /* 2324402 */   // Label 31979: @2324402
     /* 2324402 */   GIM_Try, /*On fail goto*//*Label 31980*/ GIMT_Encode4(2324429), // Rule ID 1681 //
     /* 2324407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2324410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2324414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2324418 */     // (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2324418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2324421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324428 */     // GIR_Coverage, 1681,
     /* 2324428 */     GIR_EraseRootFromParent_Done,
     /* 2324429 */   // Label 31980: @2324429
     /* 2324429 */   GIM_Reject,
     /* 2324430 */ // Label 31977: @2324430
     /* 2324430 */ GIM_Reject,
     /* 2324431 */ // Label 31955: @2324431
     /* 2324431 */ GIM_Try, /*On fail goto*//*Label 31981*/ GIMT_Encode4(2324538),
     /* 2324436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2324439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324447 */   GIM_Try, /*On fail goto*//*Label 31982*/ GIMT_Encode4(2324492), // Rule ID 56246 //
     /* 2324452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2324455 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2324458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2324472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324491 */     // GIR_Coverage, 56246,
     /* 2324491 */     GIR_EraseRootFromParent_Done,
     /* 2324492 */   // Label 31982: @2324492
     /* 2324492 */   GIM_Try, /*On fail goto*//*Label 31983*/ GIMT_Encode4(2324537), // Rule ID 56247 //
     /* 2324497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2324500 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2324503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2324517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324536 */     // GIR_Coverage, 56247,
     /* 2324536 */     GIR_EraseRootFromParent_Done,
     /* 2324537 */   // Label 31983: @2324537
     /* 2324537 */   GIM_Reject,
     /* 2324538 */ // Label 31981: @2324538
     /* 2324538 */ GIM_Reject,
     /* 2324539 */ // Label 31956: @2324539
     /* 2324539 */ GIM_Try, /*On fail goto*//*Label 31984*/ GIMT_Encode4(2324646),
     /* 2324544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2324547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324555 */   GIM_Try, /*On fail goto*//*Label 31985*/ GIMT_Encode4(2324600), // Rule ID 56286 //
     /* 2324560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2324563 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2324566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2324580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324599 */     // GIR_Coverage, 56286,
     /* 2324599 */     GIR_EraseRootFromParent_Done,
     /* 2324600 */   // Label 31985: @2324600
     /* 2324600 */   GIM_Try, /*On fail goto*//*Label 31986*/ GIMT_Encode4(2324645), // Rule ID 56287 //
     /* 2324605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2324608 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2324611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2324625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324644 */     // GIR_Coverage, 56287,
     /* 2324644 */     GIR_EraseRootFromParent_Done,
     /* 2324645 */   // Label 31986: @2324645
     /* 2324645 */   GIM_Reject,
     /* 2324646 */ // Label 31984: @2324646
     /* 2324646 */ GIM_Reject,
     /* 2324647 */ // Label 31957: @2324647
     /* 2324647 */ GIM_Try, /*On fail goto*//*Label 31987*/ GIMT_Encode4(2324754),
     /* 2324652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2324655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324663 */   GIM_Try, /*On fail goto*//*Label 31988*/ GIMT_Encode4(2324708), // Rule ID 56346 //
     /* 2324668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2324671 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2324674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2324688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324707 */     // GIR_Coverage, 56346,
     /* 2324707 */     GIR_EraseRootFromParent_Done,
     /* 2324708 */   // Label 31988: @2324708
     /* 2324708 */   GIM_Try, /*On fail goto*//*Label 31989*/ GIMT_Encode4(2324753), // Rule ID 56347 //
     /* 2324713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2324716 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2324719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2324733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324752 */     // GIR_Coverage, 56347,
     /* 2324752 */     GIR_EraseRootFromParent_Done,
     /* 2324753 */   // Label 31989: @2324753
     /* 2324753 */   GIM_Reject,
     /* 2324754 */ // Label 31987: @2324754
     /* 2324754 */ GIM_Reject,
     /* 2324755 */ // Label 31958: @2324755
     /* 2324755 */ GIM_Try, /*On fail goto*//*Label 31990*/ GIMT_Encode4(2324862),
     /* 2324760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2324763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324771 */   GIM_Try, /*On fail goto*//*Label 31991*/ GIMT_Encode4(2324816), // Rule ID 56266 //
     /* 2324776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2324779 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2324782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2324796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324815 */     // GIR_Coverage, 56266,
     /* 2324815 */     GIR_EraseRootFromParent_Done,
     /* 2324816 */   // Label 31991: @2324816
     /* 2324816 */   GIM_Try, /*On fail goto*//*Label 31992*/ GIMT_Encode4(2324861), // Rule ID 56267 //
     /* 2324821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2324824 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2324827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2324841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324860 */     // GIR_Coverage, 56267,
     /* 2324860 */     GIR_EraseRootFromParent_Done,
     /* 2324861 */   // Label 31992: @2324861
     /* 2324861 */   GIM_Reject,
     /* 2324862 */ // Label 31990: @2324862
     /* 2324862 */ GIM_Reject,
     /* 2324863 */ // Label 31959: @2324863
     /* 2324863 */ GIM_Try, /*On fail goto*//*Label 31993*/ GIMT_Encode4(2324970),
     /* 2324868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2324871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324879 */   GIM_Try, /*On fail goto*//*Label 31994*/ GIMT_Encode4(2324924), // Rule ID 56326 //
     /* 2324884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2324887 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2324890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2324904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324923 */     // GIR_Coverage, 56326,
     /* 2324923 */     GIR_EraseRootFromParent_Done,
     /* 2324924 */   // Label 31994: @2324924
     /* 2324924 */   GIM_Try, /*On fail goto*//*Label 31995*/ GIMT_Encode4(2324969), // Rule ID 56327 //
     /* 2324929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2324932 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2324935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2324949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2324958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324968 */     // GIR_Coverage, 56327,
     /* 2324968 */     GIR_EraseRootFromParent_Done,
     /* 2324969 */   // Label 31995: @2324969
     /* 2324969 */   GIM_Reject,
     /* 2324970 */ // Label 31993: @2324970
     /* 2324970 */ GIM_Reject,
     /* 2324971 */ // Label 31960: @2324971
     /* 2324971 */ GIM_Try, /*On fail goto*//*Label 31996*/ GIMT_Encode4(2325078),
     /* 2324976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2324979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324987 */   GIM_Try, /*On fail goto*//*Label 31997*/ GIMT_Encode4(2325032), // Rule ID 56486 //
     /* 2324992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2324995 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2324998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2325012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325031 */     // GIR_Coverage, 56486,
     /* 2325031 */     GIR_EraseRootFromParent_Done,
     /* 2325032 */   // Label 31997: @2325032
     /* 2325032 */   GIM_Try, /*On fail goto*//*Label 31998*/ GIMT_Encode4(2325077), // Rule ID 56487 //
     /* 2325037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2325040 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2325043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2325057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325076 */     // GIR_Coverage, 56487,
     /* 2325076 */     GIR_EraseRootFromParent_Done,
     /* 2325077 */   // Label 31998: @2325077
     /* 2325077 */   GIM_Reject,
     /* 2325078 */ // Label 31996: @2325078
     /* 2325078 */ GIM_Reject,
     /* 2325079 */ // Label 31961: @2325079
     /* 2325079 */ GIM_Try, /*On fail goto*//*Label 31999*/ GIMT_Encode4(2325186),
     /* 2325084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2325087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325095 */   GIM_Try, /*On fail goto*//*Label 32000*/ GIMT_Encode4(2325140), // Rule ID 56306 //
     /* 2325100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2325103 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2325106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2325120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325139 */     // GIR_Coverage, 56306,
     /* 2325139 */     GIR_EraseRootFromParent_Done,
     /* 2325140 */   // Label 32000: @2325140
     /* 2325140 */   GIM_Try, /*On fail goto*//*Label 32001*/ GIMT_Encode4(2325185), // Rule ID 56307 //
     /* 2325145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2325148 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2325151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2325165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325184 */     // GIR_Coverage, 56307,
     /* 2325184 */     GIR_EraseRootFromParent_Done,
     /* 2325185 */   // Label 32001: @2325185
     /* 2325185 */   GIM_Reject,
     /* 2325186 */ // Label 31999: @2325186
     /* 2325186 */ GIM_Reject,
     /* 2325187 */ // Label 31962: @2325187
     /* 2325187 */ GIM_Try, /*On fail goto*//*Label 32002*/ GIMT_Encode4(2325294),
     /* 2325192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2325195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325203 */   GIM_Try, /*On fail goto*//*Label 32003*/ GIMT_Encode4(2325248), // Rule ID 56426 //
     /* 2325208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2325211 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2325214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2325228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325247 */     // GIR_Coverage, 56426,
     /* 2325247 */     GIR_EraseRootFromParent_Done,
     /* 2325248 */   // Label 32003: @2325248
     /* 2325248 */   GIM_Try, /*On fail goto*//*Label 32004*/ GIMT_Encode4(2325293), // Rule ID 56427 //
     /* 2325253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2325256 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2325259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2325273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325292 */     // GIR_Coverage, 56427,
     /* 2325292 */     GIR_EraseRootFromParent_Done,
     /* 2325293 */   // Label 32004: @2325293
     /* 2325293 */   GIM_Reject,
     /* 2325294 */ // Label 32002: @2325294
     /* 2325294 */ GIM_Reject,
     /* 2325295 */ // Label 31963: @2325295
     /* 2325295 */ GIM_Try, /*On fail goto*//*Label 32005*/ GIMT_Encode4(2325402),
     /* 2325300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2325303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325311 */   GIM_Try, /*On fail goto*//*Label 32006*/ GIMT_Encode4(2325356), // Rule ID 56506 //
     /* 2325316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2325319 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2325322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2325336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325355 */     // GIR_Coverage, 56506,
     /* 2325355 */     GIR_EraseRootFromParent_Done,
     /* 2325356 */   // Label 32006: @2325356
     /* 2325356 */   GIM_Try, /*On fail goto*//*Label 32007*/ GIMT_Encode4(2325401), // Rule ID 56507 //
     /* 2325361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2325364 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2325367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2325381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325400 */     // GIR_Coverage, 56507,
     /* 2325400 */     GIR_EraseRootFromParent_Done,
     /* 2325401 */   // Label 32007: @2325401
     /* 2325401 */   GIM_Reject,
     /* 2325402 */ // Label 32005: @2325402
     /* 2325402 */ GIM_Reject,
     /* 2325403 */ // Label 31964: @2325403
     /* 2325403 */ GIM_Try, /*On fail goto*//*Label 32008*/ GIMT_Encode4(2325510),
     /* 2325408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2325411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325419 */   GIM_Try, /*On fail goto*//*Label 32009*/ GIMT_Encode4(2325464), // Rule ID 56366 //
     /* 2325424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2325427 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2325430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2325444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325463 */     // GIR_Coverage, 56366,
     /* 2325463 */     GIR_EraseRootFromParent_Done,
     /* 2325464 */   // Label 32009: @2325464
     /* 2325464 */   GIM_Try, /*On fail goto*//*Label 32010*/ GIMT_Encode4(2325509), // Rule ID 56367 //
     /* 2325469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2325472 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2325475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2325489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325508 */     // GIR_Coverage, 56367,
     /* 2325508 */     GIR_EraseRootFromParent_Done,
     /* 2325509 */   // Label 32010: @2325509
     /* 2325509 */   GIM_Reject,
     /* 2325510 */ // Label 32008: @2325510
     /* 2325510 */ GIM_Reject,
     /* 2325511 */ // Label 31965: @2325511
     /* 2325511 */ GIM_Try, /*On fail goto*//*Label 32011*/ GIMT_Encode4(2325618),
     /* 2325516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2325519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325527 */   GIM_Try, /*On fail goto*//*Label 32012*/ GIMT_Encode4(2325572), // Rule ID 56446 //
     /* 2325532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2325535 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2325538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2325552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325571 */     // GIR_Coverage, 56446,
     /* 2325571 */     GIR_EraseRootFromParent_Done,
     /* 2325572 */   // Label 32012: @2325572
     /* 2325572 */   GIM_Try, /*On fail goto*//*Label 32013*/ GIMT_Encode4(2325617), // Rule ID 56447 //
     /* 2325577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2325580 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2325583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2325597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325616 */     // GIR_Coverage, 56447,
     /* 2325616 */     GIR_EraseRootFromParent_Done,
     /* 2325617 */   // Label 32013: @2325617
     /* 2325617 */   GIM_Reject,
     /* 2325618 */ // Label 32011: @2325618
     /* 2325618 */ GIM_Reject,
     /* 2325619 */ // Label 31966: @2325619
     /* 2325619 */ GIM_Try, /*On fail goto*//*Label 32014*/ GIMT_Encode4(2325726),
     /* 2325624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2325627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325635 */   GIM_Try, /*On fail goto*//*Label 32015*/ GIMT_Encode4(2325680), // Rule ID 56526 //
     /* 2325640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2325643 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2325646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2325660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325679 */     // GIR_Coverage, 56526,
     /* 2325679 */     GIR_EraseRootFromParent_Done,
     /* 2325680 */   // Label 32015: @2325680
     /* 2325680 */   GIM_Try, /*On fail goto*//*Label 32016*/ GIMT_Encode4(2325725), // Rule ID 56527 //
     /* 2325685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2325688 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2325691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2325705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325724 */     // GIR_Coverage, 56527,
     /* 2325724 */     GIR_EraseRootFromParent_Done,
     /* 2325725 */   // Label 32016: @2325725
     /* 2325725 */   GIM_Reject,
     /* 2325726 */ // Label 32014: @2325726
     /* 2325726 */ GIM_Reject,
     /* 2325727 */ // Label 31967: @2325727
     /* 2325727 */ GIM_Try, /*On fail goto*//*Label 32017*/ GIMT_Encode4(2325834),
     /* 2325732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325743 */   GIM_Try, /*On fail goto*//*Label 32018*/ GIMT_Encode4(2325788), // Rule ID 56386 //
     /* 2325748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2325751 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2325768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325787 */     // GIR_Coverage, 56386,
     /* 2325787 */     GIR_EraseRootFromParent_Done,
     /* 2325788 */   // Label 32018: @2325788
     /* 2325788 */   GIM_Try, /*On fail goto*//*Label 32019*/ GIMT_Encode4(2325833), // Rule ID 56387 //
     /* 2325793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2325796 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2325813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325832 */     // GIR_Coverage, 56387,
     /* 2325832 */     GIR_EraseRootFromParent_Done,
     /* 2325833 */   // Label 32019: @2325833
     /* 2325833 */   GIM_Reject,
     /* 2325834 */ // Label 32017: @2325834
     /* 2325834 */ GIM_Reject,
     /* 2325835 */ // Label 31968: @2325835
     /* 2325835 */ GIM_Try, /*On fail goto*//*Label 32020*/ GIMT_Encode4(2325942),
     /* 2325840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325851 */   GIM_Try, /*On fail goto*//*Label 32021*/ GIMT_Encode4(2325896), // Rule ID 56466 //
     /* 2325856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2325859 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2325876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325895 */     // GIR_Coverage, 56466,
     /* 2325895 */     GIR_EraseRootFromParent_Done,
     /* 2325896 */   // Label 32021: @2325896
     /* 2325896 */   GIM_Try, /*On fail goto*//*Label 32022*/ GIMT_Encode4(2325941), // Rule ID 56467 //
     /* 2325901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2325904 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2325921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325940 */     // GIR_Coverage, 56467,
     /* 2325940 */     GIR_EraseRootFromParent_Done,
     /* 2325941 */   // Label 32022: @2325941
     /* 2325941 */   GIM_Reject,
     /* 2325942 */ // Label 32020: @2325942
     /* 2325942 */ GIM_Reject,
     /* 2325943 */ // Label 31969: @2325943
     /* 2325943 */ GIM_Try, /*On fail goto*//*Label 32023*/ GIMT_Encode4(2326050),
     /* 2325948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2325951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325959 */   GIM_Try, /*On fail goto*//*Label 32024*/ GIMT_Encode4(2326004), // Rule ID 56406 //
     /* 2325964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2325967 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2325984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326003 */     // GIR_Coverage, 56406,
     /* 2326003 */     GIR_EraseRootFromParent_Done,
     /* 2326004 */   // Label 32024: @2326004
     /* 2326004 */   GIM_Try, /*On fail goto*//*Label 32025*/ GIMT_Encode4(2326049), // Rule ID 56407 //
     /* 2326009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2326012 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2326015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2326029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326048 */     // GIR_Coverage, 56407,
     /* 2326048 */     GIR_EraseRootFromParent_Done,
     /* 2326049 */   // Label 32025: @2326049
     /* 2326049 */   GIM_Reject,
     /* 2326050 */ // Label 32023: @2326050
     /* 2326050 */ GIM_Reject,
     /* 2326051 */ // Label 31970: @2326051
     /* 2326051 */ GIM_Reject,
     /* 2326052 */ // Label 65: @2326052
     /* 2326052 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 32028*/ GIMT_Encode4(2326504),
     /* 2326063 */ /*GILLT_s32*//*Label 32026*/ GIMT_Encode4(2326071),
     /* 2326067 */ /*GILLT_s64*//*Label 32027*/ GIMT_Encode4(2326193),
     /* 2326071 */ // Label 32026: @2326071
     /* 2326071 */ GIM_Try, /*On fail goto*//*Label 32029*/ GIMT_Encode4(2326192),
     /* 2326076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2326079 */   GIM_Try, /*On fail goto*//*Label 32030*/ GIMT_Encode4(2326107), // Rule ID 2166 //
     /* 2326084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2326087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326095 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2326095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2326098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326106 */     // GIR_Coverage, 2166,
     /* 2326106 */     GIR_EraseRootFromParent_Done,
     /* 2326107 */   // Label 32030: @2326107
     /* 2326107 */   GIM_Try, /*On fail goto*//*Label 32031*/ GIMT_Encode4(2326135), // Rule ID 2167 //
     /* 2326112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2326115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326123 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2326123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2326126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326134 */     // GIR_Coverage, 2167,
     /* 2326134 */     GIR_EraseRootFromParent_Done,
     /* 2326135 */   // Label 32031: @2326135
     /* 2326135 */   GIM_Try, /*On fail goto*//*Label 32032*/ GIMT_Encode4(2326163), // Rule ID 2182 //
     /* 2326140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2326143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326151 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2326151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2326154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326162 */     // GIR_Coverage, 2182,
     /* 2326162 */     GIR_EraseRootFromParent_Done,
     /* 2326163 */   // Label 32032: @2326163
     /* 2326163 */   GIM_Try, /*On fail goto*//*Label 32033*/ GIMT_Encode4(2326191), // Rule ID 2183 //
     /* 2326168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2326171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326179 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2326179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2326182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326190 */     // GIR_Coverage, 2183,
     /* 2326190 */     GIR_EraseRootFromParent_Done,
     /* 2326191 */   // Label 32033: @2326191
     /* 2326191 */   GIM_Reject,
     /* 2326192 */ // Label 32029: @2326192
     /* 2326192 */ GIM_Reject,
     /* 2326193 */ // Label 32027: @2326193
     /* 2326193 */ GIM_Try, /*On fail goto*//*Label 32034*/ GIMT_Encode4(2326224), // Rule ID 1568 //
     /* 2326198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2326201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326212 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2326212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2326215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326217 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326223 */   // GIR_Coverage, 1568,
     /* 2326223 */   GIR_EraseRootFromParent_Done,
     /* 2326224 */ // Label 32034: @2326224
     /* 2326224 */ GIM_Try, /*On fail goto*//*Label 32035*/ GIMT_Encode4(2326255), // Rule ID 1569 //
     /* 2326229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2326232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326243 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2326243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2326246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326248 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326254 */   // GIR_Coverage, 1569,
     /* 2326254 */   GIR_EraseRootFromParent_Done,
     /* 2326255 */ // Label 32035: @2326255
     /* 2326255 */ GIM_Try, /*On fail goto*//*Label 32036*/ GIMT_Encode4(2326286), // Rule ID 1573 //
     /* 2326260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2326263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326274 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_INX:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2326274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2326277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326279 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326285 */   // GIR_Coverage, 1573,
     /* 2326285 */   GIR_EraseRootFromParent_Done,
     /* 2326286 */ // Label 32036: @2326286
     /* 2326286 */ GIM_Try, /*On fail goto*//*Label 32037*/ GIMT_Encode4(2326317), // Rule ID 1580 //
     /* 2326291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2326294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2326301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326305 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2326305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2326308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326310 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326316 */   // GIR_Coverage, 1580,
     /* 2326316 */   GIR_EraseRootFromParent_Done,
     /* 2326317 */ // Label 32037: @2326317
     /* 2326317 */ GIM_Try, /*On fail goto*//*Label 32038*/ GIMT_Encode4(2326348), // Rule ID 1581 //
     /* 2326322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2326325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2326332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326336 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2326336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2326339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326341 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326347 */   // GIR_Coverage, 1581,
     /* 2326347 */   GIR_EraseRootFromParent_Done,
     /* 2326348 */ // Label 32038: @2326348
     /* 2326348 */ GIM_Try, /*On fail goto*//*Label 32039*/ GIMT_Encode4(2326379), // Rule ID 2300 //
     /* 2326353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2326356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2326359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326367 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2326367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2326370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326372 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326377 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326378 */   // GIR_Coverage, 2300,
     /* 2326378 */   GIR_EraseRootFromParent_Done,
     /* 2326379 */ // Label 32039: @2326379
     /* 2326379 */ GIM_Try, /*On fail goto*//*Label 32040*/ GIMT_Encode4(2326410), // Rule ID 2301 //
     /* 2326384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2326387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2326390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326398 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2326398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2326401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326403 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326408 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326409 */   // GIR_Coverage, 2301,
     /* 2326409 */   GIR_EraseRootFromParent_Done,
     /* 2326410 */ // Label 32040: @2326410
     /* 2326410 */ GIM_Try, /*On fail goto*//*Label 32041*/ GIMT_Encode4(2326441), // Rule ID 2312 //
     /* 2326415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2326418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2326421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2326425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326429 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2326429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2326432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326434 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326440 */   // GIR_Coverage, 2312,
     /* 2326440 */   GIR_EraseRootFromParent_Done,
     /* 2326441 */ // Label 32041: @2326441
     /* 2326441 */ GIM_Try, /*On fail goto*//*Label 32042*/ GIMT_Encode4(2326472), // Rule ID 2313 //
     /* 2326446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2326449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2326452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2326456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326460 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2326460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2326463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326465 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326471 */   // GIR_Coverage, 2313,
     /* 2326471 */   GIR_EraseRootFromParent_Done,
     /* 2326472 */ // Label 32042: @2326472
     /* 2326472 */ GIM_Try, /*On fail goto*//*Label 32043*/ GIMT_Encode4(2326503), // Rule ID 2321 //
     /* 2326477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2326480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2326483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326491 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_INX:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2326491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2326494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326496 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326502 */   // GIR_Coverage, 2321,
     /* 2326502 */   GIR_EraseRootFromParent_Done,
     /* 2326503 */ // Label 32043: @2326503
     /* 2326503 */ GIM_Reject,
     /* 2326504 */ // Label 32028: @2326504
     /* 2326504 */ GIM_Reject,
     /* 2326505 */ // Label 66: @2326505
     /* 2326505 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(28), /*)*//*default:*//*Label 32055*/ GIMT_Encode4(2328040),
     /* 2326516 */ /*GILLT_s16*//*Label 32044*/ GIMT_Encode4(2326620),
     /* 2326520 */ /*GILLT_s32*//*Label 32045*/ GIMT_Encode4(2326900), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326536 */ /*GILLT_nxv1s16*//*Label 32046*/ GIMT_Encode4(2327050),
     /* 2326540 */ /*GILLT_nxv1s32*//*Label 32047*/ GIMT_Encode4(2327160), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326556 */ /*GILLT_nxv2s16*//*Label 32048*/ GIMT_Encode4(2327270),
     /* 2326560 */ /*GILLT_nxv2s32*//*Label 32049*/ GIMT_Encode4(2327380), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326576 */ /*GILLT_nxv4s16*//*Label 32050*/ GIMT_Encode4(2327490),
     /* 2326580 */ /*GILLT_nxv4s32*//*Label 32051*/ GIMT_Encode4(2327600), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326596 */ /*GILLT_nxv8s16*//*Label 32052*/ GIMT_Encode4(2327710),
     /* 2326600 */ /*GILLT_nxv8s32*//*Label 32053*/ GIMT_Encode4(2327820), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326616 */ /*GILLT_nxv16s16*//*Label 32054*/ GIMT_Encode4(2327930),
     /* 2326620 */ // Label 32044: @2326620
     /* 2326620 */ GIM_Try, /*On fail goto*//*Label 32056*/ GIMT_Encode4(2326651), // Rule ID 2162 //
     /* 2326625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2326628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326639 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2326639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2326642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326644 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326650 */   // GIR_Coverage, 2162,
     /* 2326650 */   GIR_EraseRootFromParent_Done,
     /* 2326651 */ // Label 32056: @2326651
     /* 2326651 */ GIM_Try, /*On fail goto*//*Label 32057*/ GIMT_Encode4(2326682), // Rule ID 2163 //
     /* 2326656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2326659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326670 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2326670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2326673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326675 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326681 */   // GIR_Coverage, 2163,
     /* 2326681 */   GIR_EraseRootFromParent_Done,
     /* 2326682 */ // Label 32057: @2326682
     /* 2326682 */ GIM_Try, /*On fail goto*//*Label 32058*/ GIMT_Encode4(2326713), // Rule ID 2178 //
     /* 2326687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2326690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326701 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2326701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2326704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326706 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326712 */   // GIR_Coverage, 2178,
     /* 2326712 */   GIR_EraseRootFromParent_Done,
     /* 2326713 */ // Label 32058: @2326713
     /* 2326713 */ GIM_Try, /*On fail goto*//*Label 32059*/ GIMT_Encode4(2326744), // Rule ID 2179 //
     /* 2326718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2326721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326732 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2326732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2326735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326737 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326743 */   // GIR_Coverage, 2179,
     /* 2326743 */   GIR_EraseRootFromParent_Done,
     /* 2326744 */ // Label 32059: @2326744
     /* 2326744 */ GIM_Try, /*On fail goto*//*Label 32060*/ GIMT_Encode4(2326775), // Rule ID 2296 //
     /* 2326749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2326752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326763 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2326763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2326766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326774 */   // GIR_Coverage, 2296,
     /* 2326774 */   GIR_EraseRootFromParent_Done,
     /* 2326775 */ // Label 32060: @2326775
     /* 2326775 */ GIM_Try, /*On fail goto*//*Label 32061*/ GIMT_Encode4(2326806), // Rule ID 2297 //
     /* 2326780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2326783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326794 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2326794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2326797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326799 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326805 */   // GIR_Coverage, 2297,
     /* 2326805 */   GIR_EraseRootFromParent_Done,
     /* 2326806 */ // Label 32061: @2326806
     /* 2326806 */ GIM_Try, /*On fail goto*//*Label 32062*/ GIMT_Encode4(2326837), // Rule ID 2308 //
     /* 2326811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2326814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2326825 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2326825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2326828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326830 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326836 */   // GIR_Coverage, 2308,
     /* 2326836 */   GIR_EraseRootFromParent_Done,
     /* 2326837 */ // Label 32062: @2326837
     /* 2326837 */ GIM_Try, /*On fail goto*//*Label 32063*/ GIMT_Encode4(2326868), // Rule ID 2309 //
     /* 2326842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2326845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2326856 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2326856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2326859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326861 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326867 */   // GIR_Coverage, 2309,
     /* 2326867 */   GIR_EraseRootFromParent_Done,
     /* 2326868 */ // Label 32063: @2326868
     /* 2326868 */ GIM_Try, /*On fail goto*//*Label 32064*/ GIMT_Encode4(2326899), // Rule ID 2319 //
     /* 2326873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2326876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326887 */   // (fpround:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_INX:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2326887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2326890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326892 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326897 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326898 */   // GIR_Coverage, 2319,
     /* 2326898 */   GIR_EraseRootFromParent_Done,
     /* 2326899 */ // Label 32064: @2326899
     /* 2326899 */ GIM_Reject,
     /* 2326900 */ // Label 32045: @2326900
     /* 2326900 */ GIM_Try, /*On fail goto*//*Label 32065*/ GIMT_Encode4(2327049),
     /* 2326905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326908 */   GIM_Try, /*On fail goto*//*Label 32066*/ GIMT_Encode4(2326936), // Rule ID 1564 //
     /* 2326913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2326916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326924 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2326924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2326927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326935 */     // GIR_Coverage, 1564,
     /* 2326935 */     GIR_EraseRootFromParent_Done,
     /* 2326936 */   // Label 32066: @2326936
     /* 2326936 */   GIM_Try, /*On fail goto*//*Label 32067*/ GIMT_Encode4(2326964), // Rule ID 1565 //
     /* 2326941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2326944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326952 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2326952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2326955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326963 */     // GIR_Coverage, 1565,
     /* 2326963 */     GIR_EraseRootFromParent_Done,
     /* 2326964 */   // Label 32067: @2326964
     /* 2326964 */   GIM_Try, /*On fail goto*//*Label 32068*/ GIMT_Encode4(2326992), // Rule ID 1571 //
     /* 2326969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2326972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326980 */     // (fpround:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_INX:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2326980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2326983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326991 */     // GIR_Coverage, 1571,
     /* 2326991 */     GIR_EraseRootFromParent_Done,
     /* 2326992 */   // Label 32068: @2326992
     /* 2326992 */   GIM_Try, /*On fail goto*//*Label 32069*/ GIMT_Encode4(2327020), // Rule ID 1576 //
     /* 2326997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2327000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327008 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2327008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2327011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327019 */     // GIR_Coverage, 1576,
     /* 2327019 */     GIR_EraseRootFromParent_Done,
     /* 2327020 */   // Label 32069: @2327020
     /* 2327020 */   GIM_Try, /*On fail goto*//*Label 32070*/ GIMT_Encode4(2327048), // Rule ID 1577 //
     /* 2327025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2327028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327036 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2327036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2327039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327047 */     // GIR_Coverage, 1577,
     /* 2327047 */     GIR_EraseRootFromParent_Done,
     /* 2327048 */   // Label 32070: @2327048
     /* 2327048 */   GIM_Reject,
     /* 2327049 */ // Label 32065: @2327049
     /* 2327049 */ GIM_Reject,
     /* 2327050 */ // Label 32046: @2327050
     /* 2327050 */ GIM_Try, /*On fail goto*//*Label 32071*/ GIMT_Encode4(2327159),
     /* 2327055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327066 */   GIM_Try, /*On fail goto*//*Label 32072*/ GIMT_Encode4(2327112), // Rule ID 58894 //
     /* 2327071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 2327074 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2327091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327111 */     // GIR_Coverage, 58894,
     /* 2327111 */     GIR_EraseRootFromParent_Done,
     /* 2327112 */   // Label 32072: @2327112
     /* 2327112 */   GIM_Try, /*On fail goto*//*Label 32073*/ GIMT_Encode4(2327158), // Rule ID 58895 //
     /* 2327117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 2327120 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2327123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2327137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327157 */     // GIR_Coverage, 58895,
     /* 2327157 */     GIR_EraseRootFromParent_Done,
     /* 2327158 */   // Label 32073: @2327158
     /* 2327158 */   GIM_Reject,
     /* 2327159 */ // Label 32071: @2327159
     /* 2327159 */ GIM_Reject,
     /* 2327160 */ // Label 32047: @2327160
     /* 2327160 */ GIM_Try, /*On fail goto*//*Label 32074*/ GIMT_Encode4(2327269),
     /* 2327165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327176 */   GIM_Try, /*On fail goto*//*Label 32075*/ GIMT_Encode4(2327222), // Rule ID 58904 //
     /* 2327181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2327184 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2327201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327221 */     // GIR_Coverage, 58904,
     /* 2327221 */     GIR_EraseRootFromParent_Done,
     /* 2327222 */   // Label 32075: @2327222
     /* 2327222 */   GIM_Try, /*On fail goto*//*Label 32076*/ GIMT_Encode4(2327268), // Rule ID 58905 //
     /* 2327227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2327230 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2327247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327267 */     // GIR_Coverage, 58905,
     /* 2327267 */     GIR_EraseRootFromParent_Done,
     /* 2327268 */   // Label 32076: @2327268
     /* 2327268 */   GIM_Reject,
     /* 2327269 */ // Label 32074: @2327269
     /* 2327269 */ GIM_Reject,
     /* 2327270 */ // Label 32048: @2327270
     /* 2327270 */ GIM_Try, /*On fail goto*//*Label 32077*/ GIMT_Encode4(2327379),
     /* 2327275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327286 */   GIM_Try, /*On fail goto*//*Label 32078*/ GIMT_Encode4(2327332), // Rule ID 58896 //
     /* 2327291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 2327294 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2327311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327331 */     // GIR_Coverage, 58896,
     /* 2327331 */     GIR_EraseRootFromParent_Done,
     /* 2327332 */   // Label 32078: @2327332
     /* 2327332 */   GIM_Try, /*On fail goto*//*Label 32079*/ GIMT_Encode4(2327378), // Rule ID 58897 //
     /* 2327337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 2327340 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2327357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327377 */     // GIR_Coverage, 58897,
     /* 2327377 */     GIR_EraseRootFromParent_Done,
     /* 2327378 */   // Label 32079: @2327378
     /* 2327378 */   GIM_Reject,
     /* 2327379 */ // Label 32077: @2327379
     /* 2327379 */ GIM_Reject,
     /* 2327380 */ // Label 32049: @2327380
     /* 2327380 */ GIM_Try, /*On fail goto*//*Label 32080*/ GIMT_Encode4(2327489),
     /* 2327385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2327388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327396 */   GIM_Try, /*On fail goto*//*Label 32081*/ GIMT_Encode4(2327442), // Rule ID 58906 //
     /* 2327401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2327404 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2327421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327441 */     // GIR_Coverage, 58906,
     /* 2327441 */     GIR_EraseRootFromParent_Done,
     /* 2327442 */   // Label 32081: @2327442
     /* 2327442 */   GIM_Try, /*On fail goto*//*Label 32082*/ GIMT_Encode4(2327488), // Rule ID 58907 //
     /* 2327447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2327450 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2327467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327487 */     // GIR_Coverage, 58907,
     /* 2327487 */     GIR_EraseRootFromParent_Done,
     /* 2327488 */   // Label 32082: @2327488
     /* 2327488 */   GIM_Reject,
     /* 2327489 */ // Label 32080: @2327489
     /* 2327489 */ GIM_Reject,
     /* 2327490 */ // Label 32050: @2327490
     /* 2327490 */ GIM_Try, /*On fail goto*//*Label 32083*/ GIMT_Encode4(2327599),
     /* 2327495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2327498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327506 */   GIM_Try, /*On fail goto*//*Label 32084*/ GIMT_Encode4(2327552), // Rule ID 58898 //
     /* 2327511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 2327514 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2327531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327551 */     // GIR_Coverage, 58898,
     /* 2327551 */     GIR_EraseRootFromParent_Done,
     /* 2327552 */   // Label 32084: @2327552
     /* 2327552 */   GIM_Try, /*On fail goto*//*Label 32085*/ GIMT_Encode4(2327598), // Rule ID 58899 //
     /* 2327557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 2327560 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2327577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327597 */     // GIR_Coverage, 58899,
     /* 2327597 */     GIR_EraseRootFromParent_Done,
     /* 2327598 */   // Label 32085: @2327598
     /* 2327598 */   GIM_Reject,
     /* 2327599 */ // Label 32083: @2327599
     /* 2327599 */ GIM_Reject,
     /* 2327600 */ // Label 32051: @2327600
     /* 2327600 */ GIM_Try, /*On fail goto*//*Label 32086*/ GIMT_Encode4(2327709),
     /* 2327605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2327608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327616 */   GIM_Try, /*On fail goto*//*Label 32087*/ GIMT_Encode4(2327662), // Rule ID 58908 //
     /* 2327621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2327624 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2327627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2327641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327661 */     // GIR_Coverage, 58908,
     /* 2327661 */     GIR_EraseRootFromParent_Done,
     /* 2327662 */   // Label 32087: @2327662
     /* 2327662 */   GIM_Try, /*On fail goto*//*Label 32088*/ GIMT_Encode4(2327708), // Rule ID 58909 //
     /* 2327667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2327670 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2327673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2327687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327707 */     // GIR_Coverage, 58909,
     /* 2327707 */     GIR_EraseRootFromParent_Done,
     /* 2327708 */   // Label 32088: @2327708
     /* 2327708 */   GIM_Reject,
     /* 2327709 */ // Label 32086: @2327709
     /* 2327709 */ GIM_Reject,
     /* 2327710 */ // Label 32052: @2327710
     /* 2327710 */ GIM_Try, /*On fail goto*//*Label 32089*/ GIMT_Encode4(2327819),
     /* 2327715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2327718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327726 */   GIM_Try, /*On fail goto*//*Label 32090*/ GIMT_Encode4(2327772), // Rule ID 58900 //
     /* 2327731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 2327734 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2327737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2327751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327771 */     // GIR_Coverage, 58900,
     /* 2327771 */     GIR_EraseRootFromParent_Done,
     /* 2327772 */   // Label 32090: @2327772
     /* 2327772 */   GIM_Try, /*On fail goto*//*Label 32091*/ GIMT_Encode4(2327818), // Rule ID 58901 //
     /* 2327777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 2327780 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2327783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2327797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327817 */     // GIR_Coverage, 58901,
     /* 2327817 */     GIR_EraseRootFromParent_Done,
     /* 2327818 */   // Label 32091: @2327818
     /* 2327818 */   GIM_Reject,
     /* 2327819 */ // Label 32089: @2327819
     /* 2327819 */ GIM_Reject,
     /* 2327820 */ // Label 32053: @2327820
     /* 2327820 */ GIM_Try, /*On fail goto*//*Label 32092*/ GIMT_Encode4(2327929),
     /* 2327825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2327828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327836 */   GIM_Try, /*On fail goto*//*Label 32093*/ GIMT_Encode4(2327882), // Rule ID 58910 //
     /* 2327841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2327844 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2327847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2327861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327881 */     // GIR_Coverage, 58910,
     /* 2327881 */     GIR_EraseRootFromParent_Done,
     /* 2327882 */   // Label 32093: @2327882
     /* 2327882 */   GIM_Try, /*On fail goto*//*Label 32094*/ GIMT_Encode4(2327928), // Rule ID 58911 //
     /* 2327887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2327890 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2327893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2327907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327927 */     // GIR_Coverage, 58911,
     /* 2327927 */     GIR_EraseRootFromParent_Done,
     /* 2327928 */   // Label 32094: @2327928
     /* 2327928 */   GIM_Reject,
     /* 2327929 */ // Label 32092: @2327929
     /* 2327929 */ GIM_Reject,
     /* 2327930 */ // Label 32054: @2327930
     /* 2327930 */ GIM_Try, /*On fail goto*//*Label 32095*/ GIMT_Encode4(2328039),
     /* 2327935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2327938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327946 */   GIM_Try, /*On fail goto*//*Label 32096*/ GIMT_Encode4(2327992), // Rule ID 58902 //
     /* 2327951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 2327954 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2327957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2327971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327991 */     // GIR_Coverage, 58902,
     /* 2327991 */     GIR_EraseRootFromParent_Done,
     /* 2327992 */   // Label 32096: @2327992
     /* 2327992 */   GIM_Try, /*On fail goto*//*Label 32097*/ GIMT_Encode4(2328038), // Rule ID 58903 //
     /* 2327997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 2328000 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2328003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2328017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328037 */     // GIR_Coverage, 58903,
     /* 2328037 */     GIR_EraseRootFromParent_Done,
     /* 2328038 */   // Label 32097: @2328038
     /* 2328038 */   GIM_Reject,
     /* 2328039 */ // Label 32095: @2328039
     /* 2328039 */ GIM_Reject,
     /* 2328040 */ // Label 32055: @2328040
     /* 2328040 */ GIM_Reject,
     /* 2328041 */ // Label 67: @2328041
     /* 2328041 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 32121*/ GIMT_Encode4(2332926),
     /* 2328052 */ /*GILLT_s32*//*Label 32098*/ GIMT_Encode4(2328168),
     /* 2328056 */ /*GILLT_s64*//*Label 32099*/ GIMT_Encode4(2328541), GIMT_Encode4(0),
     /* 2328064 */ /*GILLT_nxv1s8*//*Label 32100*/ GIMT_Encode4(2328728),
     /* 2328068 */ /*GILLT_nxv1s16*//*Label 32101*/ GIMT_Encode4(2328832),
     /* 2328072 */ /*GILLT_nxv1s32*//*Label 32102*/ GIMT_Encode4(2329049),
     /* 2328076 */ /*GILLT_nxv1s64*//*Label 32103*/ GIMT_Encode4(2329374), GIMT_Encode4(0),
     /* 2328084 */ /*GILLT_nxv2s8*//*Label 32104*/ GIMT_Encode4(2329591),
     /* 2328088 */ /*GILLT_nxv2s16*//*Label 32105*/ GIMT_Encode4(2329695),
     /* 2328092 */ /*GILLT_nxv2s32*//*Label 32106*/ GIMT_Encode4(2329912),
     /* 2328096 */ /*GILLT_nxv2s64*//*Label 32107*/ GIMT_Encode4(2330237), GIMT_Encode4(0),
     /* 2328104 */ /*GILLT_nxv4s8*//*Label 32108*/ GIMT_Encode4(2330454),
     /* 2328108 */ /*GILLT_nxv4s16*//*Label 32109*/ GIMT_Encode4(2330558),
     /* 2328112 */ /*GILLT_nxv4s32*//*Label 32110*/ GIMT_Encode4(2330775),
     /* 2328116 */ /*GILLT_nxv4s64*//*Label 32111*/ GIMT_Encode4(2331100), GIMT_Encode4(0),
     /* 2328124 */ /*GILLT_nxv8s8*//*Label 32112*/ GIMT_Encode4(2331317),
     /* 2328128 */ /*GILLT_nxv8s16*//*Label 32113*/ GIMT_Encode4(2331421),
     /* 2328132 */ /*GILLT_nxv8s32*//*Label 32114*/ GIMT_Encode4(2331638),
     /* 2328136 */ /*GILLT_nxv8s64*//*Label 32115*/ GIMT_Encode4(2331963), GIMT_Encode4(0),
     /* 2328144 */ /*GILLT_nxv16s8*//*Label 32116*/ GIMT_Encode4(2332180),
     /* 2328148 */ /*GILLT_nxv16s16*//*Label 32117*/ GIMT_Encode4(2332284),
     /* 2328152 */ /*GILLT_nxv16s32*//*Label 32118*/ GIMT_Encode4(2332501), GIMT_Encode4(0),
     /* 2328160 */ /*GILLT_nxv32s8*//*Label 32119*/ GIMT_Encode4(2332718),
     /* 2328164 */ /*GILLT_nxv32s16*//*Label 32120*/ GIMT_Encode4(2332822),
     /* 2328168 */ // Label 32098: @2328168
     /* 2328168 */ GIM_Try, /*On fail goto*//*Label 32122*/ GIMT_Encode4(2328199), // Rule ID 1456 //
     /* 2328173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2328176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2328179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2328187 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2328187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2328190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328192 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328198 */   // GIR_Coverage, 1456,
     /* 2328198 */   GIR_EraseRootFromParent_Done,
     /* 2328199 */ // Label 32122: @2328199
     /* 2328199 */ GIM_Try, /*On fail goto*//*Label 32123*/ GIMT_Encode4(2328230), // Rule ID 1457 //
     /* 2328204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2328207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2328210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2328218 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2328218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2328221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328223 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328228 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328229 */   // GIR_Coverage, 1457,
     /* 2328229 */   GIR_EraseRootFromParent_Done,
     /* 2328230 */ // Label 32123: @2328230
     /* 2328230 */ GIM_Try, /*On fail goto*//*Label 32124*/ GIMT_Encode4(2328261), // Rule ID 1482 //
     /* 2328235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2328238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2328241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328249 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2328249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2328252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328254 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328259 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328260 */   // GIR_Coverage, 1482,
     /* 2328260 */   GIR_EraseRootFromParent_Done,
     /* 2328261 */ // Label 32124: @2328261
     /* 2328261 */ GIM_Try, /*On fail goto*//*Label 32125*/ GIMT_Encode4(2328292), // Rule ID 1483 //
     /* 2328266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2328269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2328272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328280 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2328280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2328283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328285 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328291 */   // GIR_Coverage, 1483,
     /* 2328291 */   GIR_EraseRootFromParent_Done,
     /* 2328292 */ // Label 32125: @2328292
     /* 2328292 */ GIM_Try, /*On fail goto*//*Label 32126*/ GIMT_Encode4(2328323), // Rule ID 1850 //
     /* 2328297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2328300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328311 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2328311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2328314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328316 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328321 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328322 */   // GIR_Coverage, 1850,
     /* 2328322 */   GIR_EraseRootFromParent_Done,
     /* 2328323 */ // Label 32126: @2328323
     /* 2328323 */ GIM_Try, /*On fail goto*//*Label 32127*/ GIMT_Encode4(2328354), // Rule ID 1851 //
     /* 2328328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2328331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328342 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2328342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2328345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328347 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328352 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328353 */   // GIR_Coverage, 1851,
     /* 2328353 */   GIR_EraseRootFromParent_Done,
     /* 2328354 */ // Label 32127: @2328354
     /* 2328354 */ GIM_Try, /*On fail goto*//*Label 32128*/ GIMT_Encode4(2328385), // Rule ID 1876 //
     /* 2328359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2328362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328373 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2328373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2328376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328378 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328384 */   // GIR_Coverage, 1876,
     /* 2328384 */   GIR_EraseRootFromParent_Done,
     /* 2328385 */ // Label 32128: @2328385
     /* 2328385 */ GIM_Try, /*On fail goto*//*Label 32129*/ GIMT_Encode4(2328416), // Rule ID 1877 //
     /* 2328390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2328393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328404 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2328404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2328407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328409 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328414 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328415 */   // GIR_Coverage, 1877,
     /* 2328415 */   GIR_EraseRootFromParent_Done,
     /* 2328416 */ // Label 32129: @2328416
     /* 2328416 */ GIM_Try, /*On fail goto*//*Label 32130*/ GIMT_Encode4(2328447), // Rule ID 2192 //
     /* 2328421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2328424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2328427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2328435 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2328435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2328438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328440 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328446 */   // GIR_Coverage, 2192,
     /* 2328446 */   GIR_EraseRootFromParent_Done,
     /* 2328447 */ // Label 32130: @2328447
     /* 2328447 */ GIM_Try, /*On fail goto*//*Label 32131*/ GIMT_Encode4(2328478), // Rule ID 2193 //
     /* 2328452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2328455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2328458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2328466 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2328466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2328469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328471 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328476 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328477 */   // GIR_Coverage, 2193,
     /* 2328477 */   GIR_EraseRootFromParent_Done,
     /* 2328478 */ // Label 32131: @2328478
     /* 2328478 */ GIM_Try, /*On fail goto*//*Label 32132*/ GIMT_Encode4(2328509), // Rule ID 2218 //
     /* 2328483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2328486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2328489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2328497 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2328497 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2328500 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328502 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328508 */   // GIR_Coverage, 2218,
     /* 2328508 */   GIR_EraseRootFromParent_Done,
     /* 2328509 */ // Label 32132: @2328509
     /* 2328509 */ GIM_Try, /*On fail goto*//*Label 32133*/ GIMT_Encode4(2328540), // Rule ID 2219 //
     /* 2328514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2328517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2328520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2328528 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2328528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2328531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328533 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328539 */   // GIR_Coverage, 2219,
     /* 2328539 */   GIR_EraseRootFromParent_Done,
     /* 2328540 */ // Label 32133: @2328540
     /* 2328540 */ GIM_Reject,
     /* 2328541 */ // Label 32099: @2328541
     /* 2328541 */ GIM_Try, /*On fail goto*//*Label 32134*/ GIMT_Encode4(2328572), // Rule ID 1513 //
     /* 2328546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2328549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2328552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2328560 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2328560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2328563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328565 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328571 */   // GIR_Coverage, 1513,
     /* 2328571 */   GIR_EraseRootFromParent_Done,
     /* 2328572 */ // Label 32134: @2328572
     /* 2328572 */ GIM_Try, /*On fail goto*//*Label 32135*/ GIMT_Encode4(2328603), // Rule ID 1541 //
     /* 2328577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2328580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2328583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328591 */   // (fp_to_sint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2328591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2328594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328596 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328602 */   // GIR_Coverage, 1541,
     /* 2328602 */   GIR_EraseRootFromParent_Done,
     /* 2328603 */ // Label 32135: @2328603
     /* 2328603 */ GIM_Try, /*On fail goto*//*Label 32136*/ GIMT_Encode4(2328634), // Rule ID 1913 //
     /* 2328608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2328611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328622 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2328622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2328625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328627 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328633 */   // GIR_Coverage, 1913,
     /* 2328633 */   GIR_EraseRootFromParent_Done,
     /* 2328634 */ // Label 32136: @2328634
     /* 2328634 */ GIM_Try, /*On fail goto*//*Label 32137*/ GIMT_Encode4(2328665), // Rule ID 1941 //
     /* 2328639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2328642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328653 */   // (fp_to_sint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2328653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2328656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328658 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328664 */   // GIR_Coverage, 1941,
     /* 2328664 */   GIR_EraseRootFromParent_Done,
     /* 2328665 */ // Label 32137: @2328665
     /* 2328665 */ GIM_Try, /*On fail goto*//*Label 32138*/ GIMT_Encode4(2328696), // Rule ID 2247 //
     /* 2328670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2328673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2328676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2328684 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2328684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2328687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328689 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328695 */   // GIR_Coverage, 2247,
     /* 2328695 */   GIR_EraseRootFromParent_Done,
     /* 2328696 */ // Label 32138: @2328696
     /* 2328696 */ GIM_Try, /*On fail goto*//*Label 32139*/ GIMT_Encode4(2328727), // Rule ID 2273 //
     /* 2328701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2328704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2328707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2328715 */   // (fp_to_sint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2328715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2328718 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328720 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2328725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328726 */   // GIR_Coverage, 2273,
     /* 2328726 */   GIR_EraseRootFromParent_Done,
     /* 2328727 */ // Label 32139: @2328727
     /* 2328727 */ GIM_Reject,
     /* 2328728 */ // Label 32100: @2328728
     /* 2328728 */ GIM_Try, /*On fail goto*//*Label 32140*/ GIMT_Encode4(2328831),
     /* 2328733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2328736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328744 */   GIM_Try, /*On fail goto*//*Label 32141*/ GIMT_Encode4(2328787), // Rule ID 45824 //
     /* 2328749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328752 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2328755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2328769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328786 */     // GIR_Coverage, 45824,
     /* 2328786 */     GIR_EraseRootFromParent_Done,
     /* 2328787 */   // Label 32141: @2328787
     /* 2328787 */   GIM_Try, /*On fail goto*//*Label 32142*/ GIMT_Encode4(2328830), // Rule ID 45825 //
     /* 2328792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328795 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2328798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2328812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328829 */     // GIR_Coverage, 45825,
     /* 2328829 */     GIR_EraseRootFromParent_Done,
     /* 2328830 */   // Label 32142: @2328830
     /* 2328830 */   GIM_Reject,
     /* 2328831 */ // Label 32140: @2328831
     /* 2328831 */ GIM_Reject,
     /* 2328832 */ // Label 32101: @2328832
     /* 2328832 */ GIM_Try, /*On fail goto*//*Label 32143*/ GIMT_Encode4(2328886), // Rule ID 45808 //
     /* 2328837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2328843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328851 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328851 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2328854 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328858 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328863 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2328868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328870 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328873 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328884 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328885 */   // GIR_Coverage, 45808,
     /* 2328885 */   GIR_EraseRootFromParent_Done,
     /* 2328886 */ // Label 32143: @2328886
     /* 2328886 */ GIM_Try, /*On fail goto*//*Label 32144*/ GIMT_Encode4(2328940), // Rule ID 45809 //
     /* 2328891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2328897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328905 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328905 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2328908 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328912 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328917 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2328922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328924 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328927 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328938 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328939 */   // GIR_Coverage, 45809,
     /* 2328939 */   GIR_EraseRootFromParent_Done,
     /* 2328940 */ // Label 32144: @2328940
     /* 2328940 */ GIM_Try, /*On fail goto*//*Label 32145*/ GIMT_Encode4(2328994), // Rule ID 58732 //
     /* 2328945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2328951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328959 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328959 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2328962 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328966 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328971 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2328976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328978 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328981 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328993 */   // GIR_Coverage, 58732,
     /* 2328993 */   GIR_EraseRootFromParent_Done,
     /* 2328994 */ // Label 32145: @2328994
     /* 2328994 */ GIM_Try, /*On fail goto*//*Label 32146*/ GIMT_Encode4(2329048), // Rule ID 58733 //
     /* 2328999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2329005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329013 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329013 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2329016 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329020 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329025 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2329030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329032 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329035 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329047 */   // GIR_Coverage, 58733,
     /* 2329047 */   GIR_EraseRootFromParent_Done,
     /* 2329048 */ // Label 32146: @2329048
     /* 2329048 */ GIM_Reject,
     /* 2329049 */ // Label 32102: @2329049
     /* 2329049 */ GIM_Try, /*On fail goto*//*Label 32147*/ GIMT_Encode4(2329103), // Rule ID 45816 //
     /* 2329054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2329060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329068 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329068 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2329071 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329075 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329080 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2329085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329087 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329090 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329101 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329102 */   // GIR_Coverage, 45816,
     /* 2329102 */   GIR_EraseRootFromParent_Done,
     /* 2329103 */ // Label 32147: @2329103
     /* 2329103 */ GIM_Try, /*On fail goto*//*Label 32148*/ GIMT_Encode4(2329157), // Rule ID 45817 //
     /* 2329108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2329114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329122 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329122 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2329125 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329129 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329134 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2329139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329141 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329144 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329156 */   // GIR_Coverage, 45817,
     /* 2329156 */   GIR_EraseRootFromParent_Done,
     /* 2329157 */ // Label 32148: @2329157
     /* 2329157 */ GIM_Try, /*On fail goto*//*Label 32149*/ GIMT_Encode4(2329211), // Rule ID 58300 //
     /* 2329162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2329168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329176 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329176 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2329179 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329183 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329188 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2329193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329195 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329198 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329210 */   // GIR_Coverage, 58300,
     /* 2329210 */   GIR_EraseRootFromParent_Done,
     /* 2329211 */ // Label 32149: @2329211
     /* 2329211 */ GIM_Try, /*On fail goto*//*Label 32150*/ GIMT_Encode4(2329265), // Rule ID 58301 //
     /* 2329216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2329222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329230 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329230 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2329233 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329237 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329242 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2329247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329252 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329264 */   // GIR_Coverage, 58301,
     /* 2329264 */   GIR_EraseRootFromParent_Done,
     /* 2329265 */ // Label 32150: @2329265
     /* 2329265 */ GIM_Try, /*On fail goto*//*Label 32151*/ GIMT_Encode4(2329319), // Rule ID 58752 //
     /* 2329270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2329273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2329276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329284 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329284 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2329287 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329291 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329296 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2329301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329303 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329306 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329318 */   // GIR_Coverage, 58752,
     /* 2329318 */   GIR_EraseRootFromParent_Done,
     /* 2329319 */ // Label 32151: @2329319
     /* 2329319 */ GIM_Try, /*On fail goto*//*Label 32152*/ GIMT_Encode4(2329373), // Rule ID 58753 //
     /* 2329324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2329327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2329330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329338 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329338 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2329341 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329345 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329350 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2329355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329357 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329360 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329372 */   // GIR_Coverage, 58753,
     /* 2329372 */   GIR_EraseRootFromParent_Done,
     /* 2329373 */ // Label 32152: @2329373
     /* 2329373 */ GIM_Reject,
     /* 2329374 */ // Label 32103: @2329374
     /* 2329374 */ GIM_Try, /*On fail goto*//*Label 32153*/ GIMT_Encode4(2329428), // Rule ID 58312 //
     /* 2329379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2329382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2329385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329393 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329393 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2329396 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329400 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329405 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2329410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329412 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329415 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329427 */   // GIR_Coverage, 58312,
     /* 2329427 */   GIR_EraseRootFromParent_Done,
     /* 2329428 */ // Label 32153: @2329428
     /* 2329428 */ GIM_Try, /*On fail goto*//*Label 32154*/ GIMT_Encode4(2329482), // Rule ID 58313 //
     /* 2329433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2329436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2329439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329447 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329447 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2329450 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329454 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329459 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2329464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329466 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329469 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329481 */   // GIR_Coverage, 58313,
     /* 2329481 */   GIR_EraseRootFromParent_Done,
     /* 2329482 */ // Label 32154: @2329482
     /* 2329482 */ GIM_Try, /*On fail goto*//*Label 32155*/ GIMT_Encode4(2329536), // Rule ID 58544 //
     /* 2329487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2329490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2329493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329501 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329501 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2329504 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329508 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329513 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2329518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329520 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329523 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329535 */   // GIR_Coverage, 58544,
     /* 2329535 */   GIR_EraseRootFromParent_Done,
     /* 2329536 */ // Label 32155: @2329536
     /* 2329536 */ GIM_Try, /*On fail goto*//*Label 32156*/ GIMT_Encode4(2329590), // Rule ID 58545 //
     /* 2329541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2329544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2329547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329555 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2329558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329567 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2329572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329574 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329589 */   // GIR_Coverage, 58545,
     /* 2329589 */   GIR_EraseRootFromParent_Done,
     /* 2329590 */ // Label 32156: @2329590
     /* 2329590 */ GIM_Reject,
     /* 2329591 */ // Label 32104: @2329591
     /* 2329591 */ GIM_Try, /*On fail goto*//*Label 32157*/ GIMT_Encode4(2329694),
     /* 2329596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2329599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329607 */   GIM_Try, /*On fail goto*//*Label 32158*/ GIMT_Encode4(2329650), // Rule ID 58712 //
     /* 2329612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329615 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2329618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2329632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329649 */     // GIR_Coverage, 58712,
     /* 2329649 */     GIR_EraseRootFromParent_Done,
     /* 2329650 */   // Label 32158: @2329650
     /* 2329650 */   GIM_Try, /*On fail goto*//*Label 32159*/ GIMT_Encode4(2329693), // Rule ID 58713 //
     /* 2329655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329658 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2329661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2329675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329692 */     // GIR_Coverage, 58713,
     /* 2329692 */     GIR_EraseRootFromParent_Done,
     /* 2329693 */   // Label 32159: @2329693
     /* 2329693 */   GIM_Reject,
     /* 2329694 */ // Label 32157: @2329694
     /* 2329694 */ GIM_Reject,
     /* 2329695 */ // Label 32105: @2329695
     /* 2329695 */ GIM_Try, /*On fail goto*//*Label 32160*/ GIMT_Encode4(2329749), // Rule ID 58296 //
     /* 2329700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2329706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329714 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329714 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2329717 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329721 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329726 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2329731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329733 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329736 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329748 */   // GIR_Coverage, 58296,
     /* 2329748 */   GIR_EraseRootFromParent_Done,
     /* 2329749 */ // Label 32160: @2329749
     /* 2329749 */ GIM_Try, /*On fail goto*//*Label 32161*/ GIMT_Encode4(2329803), // Rule ID 58297 //
     /* 2329754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2329760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329768 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329768 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2329771 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329775 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329780 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2329785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329787 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329790 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329801 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329802 */   // GIR_Coverage, 58297,
     /* 2329802 */   GIR_EraseRootFromParent_Done,
     /* 2329803 */ // Label 32161: @2329803
     /* 2329803 */ GIM_Try, /*On fail goto*//*Label 32162*/ GIMT_Encode4(2329857), // Rule ID 58736 //
     /* 2329808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2329814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329822 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329822 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2329825 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329829 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329834 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2329839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329841 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329844 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329856 */   // GIR_Coverage, 58736,
     /* 2329856 */   GIR_EraseRootFromParent_Done,
     /* 2329857 */ // Label 32162: @2329857
     /* 2329857 */ GIM_Try, /*On fail goto*//*Label 32163*/ GIMT_Encode4(2329911), // Rule ID 58737 //
     /* 2329862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2329868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329876 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329876 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2329879 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329883 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329888 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2329893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329895 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329898 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329910 */   // GIR_Coverage, 58737,
     /* 2329910 */   GIR_EraseRootFromParent_Done,
     /* 2329911 */ // Label 32163: @2329911
     /* 2329911 */ GIM_Reject,
     /* 2329912 */ // Label 32106: @2329912
     /* 2329912 */ GIM_Try, /*On fail goto*//*Label 32164*/ GIMT_Encode4(2329966), // Rule ID 58308 //
     /* 2329917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2329923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329931 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329931 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2329934 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329938 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329943 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2329948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329950 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329953 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329965 */   // GIR_Coverage, 58308,
     /* 2329965 */   GIR_EraseRootFromParent_Done,
     /* 2329966 */ // Label 32164: @2329966
     /* 2329966 */ GIM_Try, /*On fail goto*//*Label 32165*/ GIMT_Encode4(2330020), // Rule ID 58309 //
     /* 2329971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2329977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329985 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329985 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2329988 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329992 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329997 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2330002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330004 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330007 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330019 */   // GIR_Coverage, 58309,
     /* 2330019 */   GIR_EraseRootFromParent_Done,
     /* 2330020 */ // Label 32165: @2330020
     /* 2330020 */ GIM_Try, /*On fail goto*//*Label 32166*/ GIMT_Encode4(2330074), // Rule ID 58528 //
     /* 2330025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2330031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330039 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330039 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2330042 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330046 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2330056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330058 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330061 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330073 */   // GIR_Coverage, 58528,
     /* 2330073 */   GIR_EraseRootFromParent_Done,
     /* 2330074 */ // Label 32166: @2330074
     /* 2330074 */ GIM_Try, /*On fail goto*//*Label 32167*/ GIMT_Encode4(2330128), // Rule ID 58529 //
     /* 2330079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2330085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330093 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330093 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2330096 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330100 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330105 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2330110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330112 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330115 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330127 */   // GIR_Coverage, 58529,
     /* 2330127 */   GIR_EraseRootFromParent_Done,
     /* 2330128 */ // Label 32167: @2330128
     /* 2330128 */ GIM_Try, /*On fail goto*//*Label 32168*/ GIMT_Encode4(2330182), // Rule ID 58756 //
     /* 2330133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2330136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2330139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330147 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330147 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2330150 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330154 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2330164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330169 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330181 */   // GIR_Coverage, 58756,
     /* 2330181 */   GIR_EraseRootFromParent_Done,
     /* 2330182 */ // Label 32168: @2330182
     /* 2330182 */ GIM_Try, /*On fail goto*//*Label 32169*/ GIMT_Encode4(2330236), // Rule ID 58757 //
     /* 2330187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2330190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2330193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330201 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330201 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2330204 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330208 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330213 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2330218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330220 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330223 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330235 */   // GIR_Coverage, 58757,
     /* 2330235 */   GIR_EraseRootFromParent_Done,
     /* 2330236 */ // Label 32169: @2330236
     /* 2330236 */ GIM_Reject,
     /* 2330237 */ // Label 32107: @2330237
     /* 2330237 */ GIM_Try, /*On fail goto*//*Label 32170*/ GIMT_Encode4(2330291), // Rule ID 58340 //
     /* 2330242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2330245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2330248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330256 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330256 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2330259 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330263 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330268 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2330273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330275 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330278 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330289 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330290 */   // GIR_Coverage, 58340,
     /* 2330290 */   GIR_EraseRootFromParent_Done,
     /* 2330291 */ // Label 32170: @2330291
     /* 2330291 */ GIM_Try, /*On fail goto*//*Label 32171*/ GIMT_Encode4(2330345), // Rule ID 58341 //
     /* 2330296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2330299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2330302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330310 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330310 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2330313 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330317 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330322 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2330327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330329 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330332 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330344 */   // GIR_Coverage, 58341,
     /* 2330344 */   GIR_EraseRootFromParent_Done,
     /* 2330345 */ // Label 32171: @2330345
     /* 2330345 */ GIM_Try, /*On fail goto*//*Label 32172*/ GIMT_Encode4(2330399), // Rule ID 58548 //
     /* 2330350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2330353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2330356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330364 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330364 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2330367 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330371 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330376 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2330381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330383 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330386 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330398 */   // GIR_Coverage, 58548,
     /* 2330398 */   GIR_EraseRootFromParent_Done,
     /* 2330399 */ // Label 32172: @2330399
     /* 2330399 */ GIM_Try, /*On fail goto*//*Label 32173*/ GIMT_Encode4(2330453), // Rule ID 58549 //
     /* 2330404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2330407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2330410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330418 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330418 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2330421 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330425 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330430 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2330435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330437 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330440 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330452 */   // GIR_Coverage, 58549,
     /* 2330452 */   GIR_EraseRootFromParent_Done,
     /* 2330453 */ // Label 32173: @2330453
     /* 2330453 */ GIM_Reject,
     /* 2330454 */ // Label 32108: @2330454
     /* 2330454 */ GIM_Try, /*On fail goto*//*Label 32174*/ GIMT_Encode4(2330557),
     /* 2330459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2330462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330470 */   GIM_Try, /*On fail goto*//*Label 32175*/ GIMT_Encode4(2330513), // Rule ID 58716 //
     /* 2330475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330478 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2330481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2330495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330512 */     // GIR_Coverage, 58716,
     /* 2330512 */     GIR_EraseRootFromParent_Done,
     /* 2330513 */   // Label 32175: @2330513
     /* 2330513 */   GIM_Try, /*On fail goto*//*Label 32176*/ GIMT_Encode4(2330556), // Rule ID 58717 //
     /* 2330518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330521 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2330524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2330538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330555 */     // GIR_Coverage, 58717,
     /* 2330555 */     GIR_EraseRootFromParent_Done,
     /* 2330556 */   // Label 32176: @2330556
     /* 2330556 */   GIM_Reject,
     /* 2330557 */ // Label 32174: @2330557
     /* 2330557 */ GIM_Reject,
     /* 2330558 */ // Label 32109: @2330558
     /* 2330558 */ GIM_Try, /*On fail goto*//*Label 32177*/ GIMT_Encode4(2330612), // Rule ID 58304 //
     /* 2330563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2330569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330577 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330577 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2330580 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330584 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330589 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2330594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330596 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330599 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330611 */   // GIR_Coverage, 58304,
     /* 2330611 */   GIR_EraseRootFromParent_Done,
     /* 2330612 */ // Label 32177: @2330612
     /* 2330612 */ GIM_Try, /*On fail goto*//*Label 32178*/ GIMT_Encode4(2330666), // Rule ID 58305 //
     /* 2330617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2330623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330631 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330631 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2330634 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330638 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330643 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2330648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330650 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330653 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330665 */   // GIR_Coverage, 58305,
     /* 2330665 */   GIR_EraseRootFromParent_Done,
     /* 2330666 */ // Label 32178: @2330666
     /* 2330666 */ GIM_Try, /*On fail goto*//*Label 32179*/ GIMT_Encode4(2330720), // Rule ID 58740 //
     /* 2330671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2330674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2330677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330685 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330685 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2330688 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330692 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330697 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2330702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330704 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330707 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330719 */   // GIR_Coverage, 58740,
     /* 2330719 */   GIR_EraseRootFromParent_Done,
     /* 2330720 */ // Label 32179: @2330720
     /* 2330720 */ GIM_Try, /*On fail goto*//*Label 32180*/ GIMT_Encode4(2330774), // Rule ID 58741 //
     /* 2330725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2330728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2330731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330739 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330739 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2330742 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330746 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330751 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2330756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330758 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330761 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330773 */   // GIR_Coverage, 58741,
     /* 2330773 */   GIR_EraseRootFromParent_Done,
     /* 2330774 */ // Label 32180: @2330774
     /* 2330774 */ GIM_Reject,
     /* 2330775 */ // Label 32110: @2330775
     /* 2330775 */ GIM_Try, /*On fail goto*//*Label 32181*/ GIMT_Encode4(2330829), // Rule ID 58328 //
     /* 2330780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2330783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2330786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330794 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330794 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2330797 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330801 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330806 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2330811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330813 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330816 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330827 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330828 */   // GIR_Coverage, 58328,
     /* 2330828 */   GIR_EraseRootFromParent_Done,
     /* 2330829 */ // Label 32181: @2330829
     /* 2330829 */ GIM_Try, /*On fail goto*//*Label 32182*/ GIMT_Encode4(2330883), // Rule ID 58329 //
     /* 2330834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2330837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2330840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330848 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330848 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2330851 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330855 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330860 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2330865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330867 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330870 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330881 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330882 */   // GIR_Coverage, 58329,
     /* 2330882 */   GIR_EraseRootFromParent_Done,
     /* 2330883 */ // Label 32182: @2330883
     /* 2330883 */ GIM_Try, /*On fail goto*//*Label 32183*/ GIMT_Encode4(2330937), // Rule ID 58532 //
     /* 2330888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2330894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330902 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330902 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2330905 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330909 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330914 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2330919 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330921 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330924 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330935 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330936 */   // GIR_Coverage, 58532,
     /* 2330936 */   GIR_EraseRootFromParent_Done,
     /* 2330937 */ // Label 32183: @2330937
     /* 2330937 */ GIM_Try, /*On fail goto*//*Label 32184*/ GIMT_Encode4(2330991), // Rule ID 58533 //
     /* 2330942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2330948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330956 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330956 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2330959 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330963 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330968 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2330973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330975 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330978 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330990 */   // GIR_Coverage, 58533,
     /* 2330990 */   GIR_EraseRootFromParent_Done,
     /* 2330991 */ // Label 32184: @2330991
     /* 2330991 */ GIM_Try, /*On fail goto*//*Label 32185*/ GIMT_Encode4(2331045), // Rule ID 58760 //
     /* 2330996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2330999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2331002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331010 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331010 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2331013 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331017 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331022 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2331027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331029 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331032 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331044 */   // GIR_Coverage, 58760,
     /* 2331044 */   GIR_EraseRootFromParent_Done,
     /* 2331045 */ // Label 32185: @2331045
     /* 2331045 */ GIM_Try, /*On fail goto*//*Label 32186*/ GIMT_Encode4(2331099), // Rule ID 58761 //
     /* 2331050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2331053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2331056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331064 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331064 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2331067 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331071 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331076 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2331081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331083 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331086 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331097 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331098 */   // GIR_Coverage, 58761,
     /* 2331098 */   GIR_EraseRootFromParent_Done,
     /* 2331099 */ // Label 32186: @2331099
     /* 2331099 */ GIM_Reject,
     /* 2331100 */ // Label 32111: @2331100
     /* 2331100 */ GIM_Try, /*On fail goto*//*Label 32187*/ GIMT_Encode4(2331154), // Rule ID 58344 //
     /* 2331105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2331108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2331111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331119 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2331122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331131 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2331136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331138 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331141 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331153 */   // GIR_Coverage, 58344,
     /* 2331153 */   GIR_EraseRootFromParent_Done,
     /* 2331154 */ // Label 32187: @2331154
     /* 2331154 */ GIM_Try, /*On fail goto*//*Label 32188*/ GIMT_Encode4(2331208), // Rule ID 58345 //
     /* 2331159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2331162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2331165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331173 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331173 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2331176 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331180 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331185 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2331190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331192 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331195 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331207 */   // GIR_Coverage, 58345,
     /* 2331207 */   GIR_EraseRootFromParent_Done,
     /* 2331208 */ // Label 32188: @2331208
     /* 2331208 */ GIM_Try, /*On fail goto*//*Label 32189*/ GIMT_Encode4(2331262), // Rule ID 58552 //
     /* 2331213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2331216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2331219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331227 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331227 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2331230 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331234 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331239 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2331244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331246 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331249 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331261 */   // GIR_Coverage, 58552,
     /* 2331261 */   GIR_EraseRootFromParent_Done,
     /* 2331262 */ // Label 32189: @2331262
     /* 2331262 */ GIM_Try, /*On fail goto*//*Label 32190*/ GIMT_Encode4(2331316), // Rule ID 58553 //
     /* 2331267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2331270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2331273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331281 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331281 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2331284 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331288 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331293 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2331298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331300 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331303 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331315 */   // GIR_Coverage, 58553,
     /* 2331315 */   GIR_EraseRootFromParent_Done,
     /* 2331316 */ // Label 32190: @2331316
     /* 2331316 */ GIM_Reject,
     /* 2331317 */ // Label 32112: @2331317
     /* 2331317 */ GIM_Try, /*On fail goto*//*Label 32191*/ GIMT_Encode4(2331420),
     /* 2331322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2331325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331333 */   GIM_Try, /*On fail goto*//*Label 32192*/ GIMT_Encode4(2331376), // Rule ID 58720 //
     /* 2331338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331341 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2331344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2331358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331375 */     // GIR_Coverage, 58720,
     /* 2331375 */     GIR_EraseRootFromParent_Done,
     /* 2331376 */   // Label 32192: @2331376
     /* 2331376 */   GIM_Try, /*On fail goto*//*Label 32193*/ GIMT_Encode4(2331419), // Rule ID 58721 //
     /* 2331381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331384 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2331387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2331401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331418 */     // GIR_Coverage, 58721,
     /* 2331418 */     GIR_EraseRootFromParent_Done,
     /* 2331419 */   // Label 32193: @2331419
     /* 2331419 */   GIM_Reject,
     /* 2331420 */ // Label 32191: @2331420
     /* 2331420 */ GIM_Reject,
     /* 2331421 */ // Label 32113: @2331421
     /* 2331421 */ GIM_Try, /*On fail goto*//*Label 32194*/ GIMT_Encode4(2331475), // Rule ID 58316 //
     /* 2331426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2331432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331440 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331440 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2331443 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331447 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331452 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2331457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331459 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331462 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331473 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331474 */   // GIR_Coverage, 58316,
     /* 2331474 */   GIR_EraseRootFromParent_Done,
     /* 2331475 */ // Label 32194: @2331475
     /* 2331475 */ GIM_Try, /*On fail goto*//*Label 32195*/ GIMT_Encode4(2331529), // Rule ID 58317 //
     /* 2331480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2331486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331494 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331494 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2331497 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331501 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331506 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2331511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331513 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331516 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331527 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331528 */   // GIR_Coverage, 58317,
     /* 2331528 */   GIR_EraseRootFromParent_Done,
     /* 2331529 */ // Label 32195: @2331529
     /* 2331529 */ GIM_Try, /*On fail goto*//*Label 32196*/ GIMT_Encode4(2331583), // Rule ID 58744 //
     /* 2331534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2331537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2331540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331548 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331548 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2331551 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331555 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331560 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2331565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331567 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331570 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331582 */   // GIR_Coverage, 58744,
     /* 2331582 */   GIR_EraseRootFromParent_Done,
     /* 2331583 */ // Label 32196: @2331583
     /* 2331583 */ GIM_Try, /*On fail goto*//*Label 32197*/ GIMT_Encode4(2331637), // Rule ID 58745 //
     /* 2331588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2331591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2331594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331602 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331602 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2331605 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331609 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331614 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2331619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331621 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331624 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331635 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331636 */   // GIR_Coverage, 58745,
     /* 2331636 */   GIR_EraseRootFromParent_Done,
     /* 2331637 */ // Label 32197: @2331637
     /* 2331637 */ GIM_Reject,
     /* 2331638 */ // Label 32114: @2331638
     /* 2331638 */ GIM_Try, /*On fail goto*//*Label 32198*/ GIMT_Encode4(2331692), // Rule ID 58332 //
     /* 2331643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2331646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2331649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331657 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331657 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2331660 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331664 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331669 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2331674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331676 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331679 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331691 */   // GIR_Coverage, 58332,
     /* 2331691 */   GIR_EraseRootFromParent_Done,
     /* 2331692 */ // Label 32198: @2331692
     /* 2331692 */ GIM_Try, /*On fail goto*//*Label 32199*/ GIMT_Encode4(2331746), // Rule ID 58333 //
     /* 2331697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2331700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2331703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331711 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331711 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2331714 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331718 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331723 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2331728 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331730 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331733 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331745 */   // GIR_Coverage, 58333,
     /* 2331745 */   GIR_EraseRootFromParent_Done,
     /* 2331746 */ // Label 32199: @2331746
     /* 2331746 */ GIM_Try, /*On fail goto*//*Label 32200*/ GIMT_Encode4(2331800), // Rule ID 58536 //
     /* 2331751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2331757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331765 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331765 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2331768 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331772 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331777 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2331782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331784 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331787 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331799 */   // GIR_Coverage, 58536,
     /* 2331799 */   GIR_EraseRootFromParent_Done,
     /* 2331800 */ // Label 32200: @2331800
     /* 2331800 */ GIM_Try, /*On fail goto*//*Label 32201*/ GIMT_Encode4(2331854), // Rule ID 58537 //
     /* 2331805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2331811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331819 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331819 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2331822 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331826 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2331836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331838 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331841 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331853 */   // GIR_Coverage, 58537,
     /* 2331853 */   GIR_EraseRootFromParent_Done,
     /* 2331854 */ // Label 32201: @2331854
     /* 2331854 */ GIM_Try, /*On fail goto*//*Label 32202*/ GIMT_Encode4(2331908), // Rule ID 58764 //
     /* 2331859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2331862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2331865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331873 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331873 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2331876 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331880 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331885 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2331890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331892 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331895 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331907 */   // GIR_Coverage, 58764,
     /* 2331907 */   GIR_EraseRootFromParent_Done,
     /* 2331908 */ // Label 32202: @2331908
     /* 2331908 */ GIM_Try, /*On fail goto*//*Label 32203*/ GIMT_Encode4(2331962), // Rule ID 58765 //
     /* 2331913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2331916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2331919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331927 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331927 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2331930 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331934 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331939 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2331944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331946 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331949 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331961 */   // GIR_Coverage, 58765,
     /* 2331961 */   GIR_EraseRootFromParent_Done,
     /* 2331962 */ // Label 32203: @2331962
     /* 2331962 */ GIM_Reject,
     /* 2331963 */ // Label 32115: @2331963
     /* 2331963 */ GIM_Try, /*On fail goto*//*Label 32204*/ GIMT_Encode4(2332017), // Rule ID 58348 //
     /* 2331968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2331971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2331974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331982 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331982 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2331985 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331989 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331994 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2331999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332001 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332004 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332016 */   // GIR_Coverage, 58348,
     /* 2332016 */   GIR_EraseRootFromParent_Done,
     /* 2332017 */ // Label 32204: @2332017
     /* 2332017 */ GIM_Try, /*On fail goto*//*Label 32205*/ GIMT_Encode4(2332071), // Rule ID 58349 //
     /* 2332022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2332025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2332028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332036 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332036 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2332039 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332043 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332048 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2332053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332055 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332058 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332070 */   // GIR_Coverage, 58349,
     /* 2332070 */   GIR_EraseRootFromParent_Done,
     /* 2332071 */ // Label 32205: @2332071
     /* 2332071 */ GIM_Try, /*On fail goto*//*Label 32206*/ GIMT_Encode4(2332125), // Rule ID 58556 //
     /* 2332076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2332079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2332082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332090 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332090 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2332093 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332097 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332102 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2332107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332109 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332112 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332124 */   // GIR_Coverage, 58556,
     /* 2332124 */   GIR_EraseRootFromParent_Done,
     /* 2332125 */ // Label 32206: @2332125
     /* 2332125 */ GIM_Try, /*On fail goto*//*Label 32207*/ GIMT_Encode4(2332179), // Rule ID 58557 //
     /* 2332130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2332133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2332136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332144 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332144 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2332147 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332151 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332156 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2332161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332163 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332166 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332177 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332178 */   // GIR_Coverage, 58557,
     /* 2332178 */   GIR_EraseRootFromParent_Done,
     /* 2332179 */ // Label 32207: @2332179
     /* 2332179 */ GIM_Reject,
     /* 2332180 */ // Label 32116: @2332180
     /* 2332180 */ GIM_Try, /*On fail goto*//*Label 32208*/ GIMT_Encode4(2332283),
     /* 2332185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2332188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332196 */   GIM_Try, /*On fail goto*//*Label 32209*/ GIMT_Encode4(2332239), // Rule ID 58724 //
     /* 2332201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332204 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2332207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2332221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332238 */     // GIR_Coverage, 58724,
     /* 2332238 */     GIR_EraseRootFromParent_Done,
     /* 2332239 */   // Label 32209: @2332239
     /* 2332239 */   GIM_Try, /*On fail goto*//*Label 32210*/ GIMT_Encode4(2332282), // Rule ID 58725 //
     /* 2332244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332247 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2332250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2332264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332281 */     // GIR_Coverage, 58725,
     /* 2332281 */     GIR_EraseRootFromParent_Done,
     /* 2332282 */   // Label 32210: @2332282
     /* 2332282 */   GIM_Reject,
     /* 2332283 */ // Label 32208: @2332283
     /* 2332283 */ GIM_Reject,
     /* 2332284 */ // Label 32117: @2332284
     /* 2332284 */ GIM_Try, /*On fail goto*//*Label 32211*/ GIMT_Encode4(2332338), // Rule ID 58320 //
     /* 2332289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2332295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332303 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332303 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2332306 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332310 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332315 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2332320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332322 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332325 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332336 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332337 */   // GIR_Coverage, 58320,
     /* 2332337 */   GIR_EraseRootFromParent_Done,
     /* 2332338 */ // Label 32211: @2332338
     /* 2332338 */ GIM_Try, /*On fail goto*//*Label 32212*/ GIMT_Encode4(2332392), // Rule ID 58321 //
     /* 2332343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2332349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332357 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332357 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2332360 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332364 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332369 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2332374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332376 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332379 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332391 */   // GIR_Coverage, 58321,
     /* 2332391 */   GIR_EraseRootFromParent_Done,
     /* 2332392 */ // Label 32212: @2332392
     /* 2332392 */ GIM_Try, /*On fail goto*//*Label 32213*/ GIMT_Encode4(2332446), // Rule ID 58748 //
     /* 2332397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2332400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2332403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332411 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332411 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2332414 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332418 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332423 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2332428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332430 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332433 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332445 */   // GIR_Coverage, 58748,
     /* 2332445 */   GIR_EraseRootFromParent_Done,
     /* 2332446 */ // Label 32213: @2332446
     /* 2332446 */ GIM_Try, /*On fail goto*//*Label 32214*/ GIMT_Encode4(2332500), // Rule ID 58749 //
     /* 2332451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2332454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2332457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332465 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332465 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2332468 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332472 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332477 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2332482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332484 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332487 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332499 */   // GIR_Coverage, 58749,
     /* 2332499 */   GIR_EraseRootFromParent_Done,
     /* 2332500 */ // Label 32214: @2332500
     /* 2332500 */ GIM_Reject,
     /* 2332501 */ // Label 32118: @2332501
     /* 2332501 */ GIM_Try, /*On fail goto*//*Label 32215*/ GIMT_Encode4(2332555), // Rule ID 58336 //
     /* 2332506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2332509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2332512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332520 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332520 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2332523 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332527 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332532 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2332537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332539 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332542 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332554 */   // GIR_Coverage, 58336,
     /* 2332554 */   GIR_EraseRootFromParent_Done,
     /* 2332555 */ // Label 32215: @2332555
     /* 2332555 */ GIM_Try, /*On fail goto*//*Label 32216*/ GIMT_Encode4(2332609), // Rule ID 58337 //
     /* 2332560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2332563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2332566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332574 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332574 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2332577 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332581 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2332591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332593 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332596 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332608 */   // GIR_Coverage, 58337,
     /* 2332608 */   GIR_EraseRootFromParent_Done,
     /* 2332609 */ // Label 32216: @2332609
     /* 2332609 */ GIM_Try, /*On fail goto*//*Label 32217*/ GIMT_Encode4(2332663), // Rule ID 58540 //
     /* 2332614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2332620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332628 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332628 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2332631 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332635 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332640 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2332645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332647 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332650 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332662 */   // GIR_Coverage, 58540,
     /* 2332662 */   GIR_EraseRootFromParent_Done,
     /* 2332663 */ // Label 32217: @2332663
     /* 2332663 */ GIM_Try, /*On fail goto*//*Label 32218*/ GIMT_Encode4(2332717), // Rule ID 58541 //
     /* 2332668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2332674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332682 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332682 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2332685 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332689 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332694 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2332699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332701 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332704 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332716 */   // GIR_Coverage, 58541,
     /* 2332716 */   GIR_EraseRootFromParent_Done,
     /* 2332717 */ // Label 32218: @2332717
     /* 2332717 */ GIM_Reject,
     /* 2332718 */ // Label 32119: @2332718
     /* 2332718 */ GIM_Try, /*On fail goto*//*Label 32219*/ GIMT_Encode4(2332821),
     /* 2332723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2332726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332734 */   GIM_Try, /*On fail goto*//*Label 32220*/ GIMT_Encode4(2332777), // Rule ID 58728 //
     /* 2332739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332742 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2332745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2332759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332776 */     // GIR_Coverage, 58728,
     /* 2332776 */     GIR_EraseRootFromParent_Done,
     /* 2332777 */   // Label 32220: @2332777
     /* 2332777 */   GIM_Try, /*On fail goto*//*Label 32221*/ GIMT_Encode4(2332820), // Rule ID 58729 //
     /* 2332782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332785 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2332788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2332802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332819 */     // GIR_Coverage, 58729,
     /* 2332819 */     GIR_EraseRootFromParent_Done,
     /* 2332820 */   // Label 32221: @2332820
     /* 2332820 */   GIM_Reject,
     /* 2332821 */ // Label 32219: @2332821
     /* 2332821 */ GIM_Reject,
     /* 2332822 */ // Label 32120: @2332822
     /* 2332822 */ GIM_Try, /*On fail goto*//*Label 32222*/ GIMT_Encode4(2332925),
     /* 2332827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2332830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332838 */   GIM_Try, /*On fail goto*//*Label 32223*/ GIMT_Encode4(2332881), // Rule ID 58324 //
     /* 2332843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332846 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2332849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2332863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332880 */     // GIR_Coverage, 58324,
     /* 2332880 */     GIR_EraseRootFromParent_Done,
     /* 2332881 */   // Label 32223: @2332881
     /* 2332881 */   GIM_Try, /*On fail goto*//*Label 32224*/ GIMT_Encode4(2332924), // Rule ID 58325 //
     /* 2332886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332889 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2332892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2332906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332923 */     // GIR_Coverage, 58325,
     /* 2332923 */     GIR_EraseRootFromParent_Done,
     /* 2332924 */   // Label 32224: @2332924
     /* 2332924 */   GIM_Reject,
     /* 2332925 */ // Label 32222: @2332925
     /* 2332925 */ GIM_Reject,
     /* 2332926 */ // Label 32121: @2332926
     /* 2332926 */ GIM_Reject,
     /* 2332927 */ // Label 68: @2332927
     /* 2332927 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 32248*/ GIMT_Encode4(2337812),
     /* 2332938 */ /*GILLT_s32*//*Label 32225*/ GIMT_Encode4(2333054),
     /* 2332942 */ /*GILLT_s64*//*Label 32226*/ GIMT_Encode4(2333427), GIMT_Encode4(0),
     /* 2332950 */ /*GILLT_nxv1s8*//*Label 32227*/ GIMT_Encode4(2333614),
     /* 2332954 */ /*GILLT_nxv1s16*//*Label 32228*/ GIMT_Encode4(2333718),
     /* 2332958 */ /*GILLT_nxv1s32*//*Label 32229*/ GIMT_Encode4(2333935),
     /* 2332962 */ /*GILLT_nxv1s64*//*Label 32230*/ GIMT_Encode4(2334260), GIMT_Encode4(0),
     /* 2332970 */ /*GILLT_nxv2s8*//*Label 32231*/ GIMT_Encode4(2334477),
     /* 2332974 */ /*GILLT_nxv2s16*//*Label 32232*/ GIMT_Encode4(2334581),
     /* 2332978 */ /*GILLT_nxv2s32*//*Label 32233*/ GIMT_Encode4(2334798),
     /* 2332982 */ /*GILLT_nxv2s64*//*Label 32234*/ GIMT_Encode4(2335123), GIMT_Encode4(0),
     /* 2332990 */ /*GILLT_nxv4s8*//*Label 32235*/ GIMT_Encode4(2335340),
     /* 2332994 */ /*GILLT_nxv4s16*//*Label 32236*/ GIMT_Encode4(2335444),
     /* 2332998 */ /*GILLT_nxv4s32*//*Label 32237*/ GIMT_Encode4(2335661),
     /* 2333002 */ /*GILLT_nxv4s64*//*Label 32238*/ GIMT_Encode4(2335986), GIMT_Encode4(0),
     /* 2333010 */ /*GILLT_nxv8s8*//*Label 32239*/ GIMT_Encode4(2336203),
     /* 2333014 */ /*GILLT_nxv8s16*//*Label 32240*/ GIMT_Encode4(2336307),
     /* 2333018 */ /*GILLT_nxv8s32*//*Label 32241*/ GIMT_Encode4(2336524),
     /* 2333022 */ /*GILLT_nxv8s64*//*Label 32242*/ GIMT_Encode4(2336849), GIMT_Encode4(0),
     /* 2333030 */ /*GILLT_nxv16s8*//*Label 32243*/ GIMT_Encode4(2337066),
     /* 2333034 */ /*GILLT_nxv16s16*//*Label 32244*/ GIMT_Encode4(2337170),
     /* 2333038 */ /*GILLT_nxv16s32*//*Label 32245*/ GIMT_Encode4(2337387), GIMT_Encode4(0),
     /* 2333046 */ /*GILLT_nxv32s8*//*Label 32246*/ GIMT_Encode4(2337604),
     /* 2333050 */ /*GILLT_nxv32s16*//*Label 32247*/ GIMT_Encode4(2337708),
     /* 2333054 */ // Label 32225: @2333054
     /* 2333054 */ GIM_Try, /*On fail goto*//*Label 32249*/ GIMT_Encode4(2333085), // Rule ID 1460 //
     /* 2333059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2333062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2333065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333073 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2333073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2333076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333078 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333084 */   // GIR_Coverage, 1460,
     /* 2333084 */   GIR_EraseRootFromParent_Done,
     /* 2333085 */ // Label 32249: @2333085
     /* 2333085 */ GIM_Try, /*On fail goto*//*Label 32250*/ GIMT_Encode4(2333116), // Rule ID 1461 //
     /* 2333090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2333093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2333096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333104 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2333104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2333107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333109 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333115 */   // GIR_Coverage, 1461,
     /* 2333115 */   GIR_EraseRootFromParent_Done,
     /* 2333116 */ // Label 32250: @2333116
     /* 2333116 */ GIM_Try, /*On fail goto*//*Label 32251*/ GIMT_Encode4(2333147), // Rule ID 1486 //
     /* 2333121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2333124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2333127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333135 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2333135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2333138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333140 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333146 */   // GIR_Coverage, 1486,
     /* 2333146 */   GIR_EraseRootFromParent_Done,
     /* 2333147 */ // Label 32251: @2333147
     /* 2333147 */ GIM_Try, /*On fail goto*//*Label 32252*/ GIMT_Encode4(2333178), // Rule ID 1487 //
     /* 2333152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2333155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2333158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333166 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2333166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2333169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333171 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333176 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333177 */   // GIR_Coverage, 1487,
     /* 2333177 */   GIR_EraseRootFromParent_Done,
     /* 2333178 */ // Label 32252: @2333178
     /* 2333178 */ GIM_Try, /*On fail goto*//*Label 32253*/ GIMT_Encode4(2333209), // Rule ID 1854 //
     /* 2333183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2333186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2333189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333197 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2333197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2333200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333202 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333208 */   // GIR_Coverage, 1854,
     /* 2333208 */   GIR_EraseRootFromParent_Done,
     /* 2333209 */ // Label 32253: @2333209
     /* 2333209 */ GIM_Try, /*On fail goto*//*Label 32254*/ GIMT_Encode4(2333240), // Rule ID 1855 //
     /* 2333214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2333217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2333220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333228 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2333228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2333231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333233 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333239 */   // GIR_Coverage, 1855,
     /* 2333239 */   GIR_EraseRootFromParent_Done,
     /* 2333240 */ // Label 32254: @2333240
     /* 2333240 */ GIM_Try, /*On fail goto*//*Label 32255*/ GIMT_Encode4(2333271), // Rule ID 1880 //
     /* 2333245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2333248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2333251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333259 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2333259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2333262 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333264 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333270 */   // GIR_Coverage, 1880,
     /* 2333270 */   GIR_EraseRootFromParent_Done,
     /* 2333271 */ // Label 32255: @2333271
     /* 2333271 */ GIM_Try, /*On fail goto*//*Label 32256*/ GIMT_Encode4(2333302), // Rule ID 1881 //
     /* 2333276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2333279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2333282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333290 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2333290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2333293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333295 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333301 */   // GIR_Coverage, 1881,
     /* 2333301 */   GIR_EraseRootFromParent_Done,
     /* 2333302 */ // Label 32256: @2333302
     /* 2333302 */ GIM_Try, /*On fail goto*//*Label 32257*/ GIMT_Encode4(2333333), // Rule ID 2196 //
     /* 2333307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2333310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333321 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2333321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2333324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333332 */   // GIR_Coverage, 2196,
     /* 2333332 */   GIR_EraseRootFromParent_Done,
     /* 2333333 */ // Label 32257: @2333333
     /* 2333333 */ GIM_Try, /*On fail goto*//*Label 32258*/ GIMT_Encode4(2333364), // Rule ID 2197 //
     /* 2333338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2333341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333352 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2333352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2333355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333357 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333363 */   // GIR_Coverage, 2197,
     /* 2333363 */   GIR_EraseRootFromParent_Done,
     /* 2333364 */ // Label 32258: @2333364
     /* 2333364 */ GIM_Try, /*On fail goto*//*Label 32259*/ GIMT_Encode4(2333395), // Rule ID 2222 //
     /* 2333369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2333372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333383 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2333383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2333386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333388 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333393 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333394 */   // GIR_Coverage, 2222,
     /* 2333394 */   GIR_EraseRootFromParent_Done,
     /* 2333395 */ // Label 32259: @2333395
     /* 2333395 */ GIM_Try, /*On fail goto*//*Label 32260*/ GIMT_Encode4(2333426), // Rule ID 2223 //
     /* 2333400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2333403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333414 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2333414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2333417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333419 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333425 */   // GIR_Coverage, 2223,
     /* 2333425 */   GIR_EraseRootFromParent_Done,
     /* 2333426 */ // Label 32260: @2333426
     /* 2333426 */ GIM_Reject,
     /* 2333427 */ // Label 32226: @2333427
     /* 2333427 */ GIM_Try, /*On fail goto*//*Label 32261*/ GIMT_Encode4(2333458), // Rule ID 1515 //
     /* 2333432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2333435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2333438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333446 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2333446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S),
     /* 2333449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333451 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333457 */   // GIR_Coverage, 1515,
     /* 2333457 */   GIR_EraseRootFromParent_Done,
     /* 2333458 */ // Label 32261: @2333458
     /* 2333458 */ GIM_Try, /*On fail goto*//*Label 32262*/ GIMT_Encode4(2333489), // Rule ID 1543 //
     /* 2333463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2333466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2333469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333477 */   // (fp_to_uint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2333477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S_INX),
     /* 2333480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333482 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333488 */   // GIR_Coverage, 1543,
     /* 2333488 */   GIR_EraseRootFromParent_Done,
     /* 2333489 */ // Label 32262: @2333489
     /* 2333489 */ GIM_Try, /*On fail goto*//*Label 32263*/ GIMT_Encode4(2333520), // Rule ID 1915 //
     /* 2333494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2333497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2333500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333508 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2333508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D),
     /* 2333511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333513 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333519 */   // GIR_Coverage, 1915,
     /* 2333519 */   GIR_EraseRootFromParent_Done,
     /* 2333520 */ // Label 32263: @2333520
     /* 2333520 */ GIM_Try, /*On fail goto*//*Label 32264*/ GIMT_Encode4(2333551), // Rule ID 1943 //
     /* 2333525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2333528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2333531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333539 */   // (fp_to_uint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2333539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D_INX),
     /* 2333542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333544 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333550 */   // GIR_Coverage, 1943,
     /* 2333550 */   GIR_EraseRootFromParent_Done,
     /* 2333551 */ // Label 32264: @2333551
     /* 2333551 */ GIM_Try, /*On fail goto*//*Label 32265*/ GIMT_Encode4(2333582), // Rule ID 2249 //
     /* 2333556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2333559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333570 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2333570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H),
     /* 2333573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333575 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333581 */   // GIR_Coverage, 2249,
     /* 2333581 */   GIR_EraseRootFromParent_Done,
     /* 2333582 */ // Label 32265: @2333582
     /* 2333582 */ GIM_Try, /*On fail goto*//*Label 32266*/ GIMT_Encode4(2333613), // Rule ID 2275 //
     /* 2333587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2333590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333601 */   // (fp_to_uint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2333601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H_INX),
     /* 2333604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333606 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2333611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333612 */   // GIR_Coverage, 2275,
     /* 2333612 */   GIR_EraseRootFromParent_Done,
     /* 2333613 */ // Label 32266: @2333613
     /* 2333613 */ GIM_Reject,
     /* 2333614 */ // Label 32227: @2333614
     /* 2333614 */ GIM_Try, /*On fail goto*//*Label 32267*/ GIMT_Encode4(2333717),
     /* 2333619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2333622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333630 */   GIM_Try, /*On fail goto*//*Label 32268*/ GIMT_Encode4(2333673), // Rule ID 58768 //
     /* 2333635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2333638 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2333641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2333655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333672 */     // GIR_Coverage, 58768,
     /* 2333672 */     GIR_EraseRootFromParent_Done,
     /* 2333673 */   // Label 32268: @2333673
     /* 2333673 */   GIM_Try, /*On fail goto*//*Label 32269*/ GIMT_Encode4(2333716), // Rule ID 58769 //
     /* 2333678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2333681 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2333684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2333698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333715 */     // GIR_Coverage, 58769,
     /* 2333715 */     GIR_EraseRootFromParent_Done,
     /* 2333716 */   // Label 32269: @2333716
     /* 2333716 */   GIM_Reject,
     /* 2333717 */ // Label 32267: @2333717
     /* 2333717 */ GIM_Reject,
     /* 2333718 */ // Label 32228: @2333718
     /* 2333718 */ GIM_Try, /*On fail goto*//*Label 32270*/ GIMT_Encode4(2333772), // Rule ID 58352 //
     /* 2333723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2333726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2333729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333737 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333737 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2333740 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333744 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333749 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2333754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333756 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333759 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333771 */   // GIR_Coverage, 58352,
     /* 2333771 */   GIR_EraseRootFromParent_Done,
     /* 2333772 */ // Label 32270: @2333772
     /* 2333772 */ GIM_Try, /*On fail goto*//*Label 32271*/ GIMT_Encode4(2333826), // Rule ID 58353 //
     /* 2333777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2333780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2333783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333791 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333791 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2333794 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333798 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333803 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2333808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333810 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333813 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333825 */   // GIR_Coverage, 58353,
     /* 2333825 */   GIR_EraseRootFromParent_Done,
     /* 2333826 */ // Label 32271: @2333826
     /* 2333826 */ GIM_Try, /*On fail goto*//*Label 32272*/ GIMT_Encode4(2333880), // Rule ID 58792 //
     /* 2333831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2333834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2333837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333845 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333845 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2333848 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333852 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333857 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2333862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333864 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333867 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333879 */   // GIR_Coverage, 58792,
     /* 2333879 */   GIR_EraseRootFromParent_Done,
     /* 2333880 */ // Label 32272: @2333880
     /* 2333880 */ GIM_Try, /*On fail goto*//*Label 32273*/ GIMT_Encode4(2333934), // Rule ID 58793 //
     /* 2333885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2333888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2333891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333899 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2333902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2333916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333921 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333933 */   // GIR_Coverage, 58793,
     /* 2333933 */   GIR_EraseRootFromParent_Done,
     /* 2333934 */ // Label 32273: @2333934
     /* 2333934 */ GIM_Reject,
     /* 2333935 */ // Label 32229: @2333935
     /* 2333935 */ GIM_Try, /*On fail goto*//*Label 32274*/ GIMT_Encode4(2333989), // Rule ID 58360 //
     /* 2333940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2333943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2333946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333954 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333954 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2333957 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333961 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333966 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2333971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333973 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333976 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333988 */   // GIR_Coverage, 58360,
     /* 2333988 */   GIR_EraseRootFromParent_Done,
     /* 2333989 */ // Label 32274: @2333989
     /* 2333989 */ GIM_Try, /*On fail goto*//*Label 32275*/ GIMT_Encode4(2334043), // Rule ID 58361 //
     /* 2333994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2333997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2334000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334008 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334008 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2334011 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334015 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334020 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2334025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334027 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334030 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334041 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334042 */   // GIR_Coverage, 58361,
     /* 2334042 */   GIR_EraseRootFromParent_Done,
     /* 2334043 */ // Label 32275: @2334043
     /* 2334043 */ GIM_Try, /*On fail goto*//*Label 32276*/ GIMT_Encode4(2334097), // Rule ID 58560 //
     /* 2334048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2334054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334062 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2334065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334074 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2334079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334081 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334084 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334096 */   // GIR_Coverage, 58560,
     /* 2334096 */   GIR_EraseRootFromParent_Done,
     /* 2334097 */ // Label 32276: @2334097
     /* 2334097 */ GIM_Try, /*On fail goto*//*Label 32277*/ GIMT_Encode4(2334151), // Rule ID 58561 //
     /* 2334102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2334108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334116 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2334119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334128 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2334133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334135 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334138 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334150 */   // GIR_Coverage, 58561,
     /* 2334150 */   GIR_EraseRootFromParent_Done,
     /* 2334151 */ // Label 32277: @2334151
     /* 2334151 */ GIM_Try, /*On fail goto*//*Label 32278*/ GIMT_Encode4(2334205), // Rule ID 58812 //
     /* 2334156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2334159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2334162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334170 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334170 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2334173 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334177 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2334187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334189 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334192 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334204 */   // GIR_Coverage, 58812,
     /* 2334204 */   GIR_EraseRootFromParent_Done,
     /* 2334205 */ // Label 32278: @2334205
     /* 2334205 */ GIM_Try, /*On fail goto*//*Label 32279*/ GIMT_Encode4(2334259), // Rule ID 58813 //
     /* 2334210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2334213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2334216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334224 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334224 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2334227 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334231 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334236 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2334241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334243 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334246 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334257 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334258 */   // GIR_Coverage, 58813,
     /* 2334258 */   GIR_EraseRootFromParent_Done,
     /* 2334259 */ // Label 32279: @2334259
     /* 2334259 */ GIM_Reject,
     /* 2334260 */ // Label 32230: @2334260
     /* 2334260 */ GIM_Try, /*On fail goto*//*Label 32280*/ GIMT_Encode4(2334314), // Rule ID 58372 //
     /* 2334265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2334268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2334271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334279 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2334282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2334296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334301 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334313 */   // GIR_Coverage, 58372,
     /* 2334313 */   GIR_EraseRootFromParent_Done,
     /* 2334314 */ // Label 32280: @2334314
     /* 2334314 */ GIM_Try, /*On fail goto*//*Label 32281*/ GIMT_Encode4(2334368), // Rule ID 58373 //
     /* 2334319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2334322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2334325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334333 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2334336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2334350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334352 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334355 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334367 */   // GIR_Coverage, 58373,
     /* 2334367 */   GIR_EraseRootFromParent_Done,
     /* 2334368 */ // Label 32281: @2334368
     /* 2334368 */ GIM_Try, /*On fail goto*//*Label 32282*/ GIMT_Encode4(2334422), // Rule ID 58580 //
     /* 2334373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2334376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2334379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334387 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334387 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2334390 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334394 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334399 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2334404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334406 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334409 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334421 */   // GIR_Coverage, 58580,
     /* 2334421 */   GIR_EraseRootFromParent_Done,
     /* 2334422 */ // Label 32282: @2334422
     /* 2334422 */ GIM_Try, /*On fail goto*//*Label 32283*/ GIMT_Encode4(2334476), // Rule ID 58581 //
     /* 2334427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2334430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2334433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334441 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334441 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2334444 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334448 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2334458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334463 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334475 */   // GIR_Coverage, 58581,
     /* 2334475 */   GIR_EraseRootFromParent_Done,
     /* 2334476 */ // Label 32283: @2334476
     /* 2334476 */ GIM_Reject,
     /* 2334477 */ // Label 32231: @2334477
     /* 2334477 */ GIM_Try, /*On fail goto*//*Label 32284*/ GIMT_Encode4(2334580),
     /* 2334482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2334485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334493 */   GIM_Try, /*On fail goto*//*Label 32285*/ GIMT_Encode4(2334536), // Rule ID 58772 //
     /* 2334498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334501 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2334504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2334518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334535 */     // GIR_Coverage, 58772,
     /* 2334535 */     GIR_EraseRootFromParent_Done,
     /* 2334536 */   // Label 32285: @2334536
     /* 2334536 */   GIM_Try, /*On fail goto*//*Label 32286*/ GIMT_Encode4(2334579), // Rule ID 58773 //
     /* 2334541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334544 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2334547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2334561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334578 */     // GIR_Coverage, 58773,
     /* 2334578 */     GIR_EraseRootFromParent_Done,
     /* 2334579 */   // Label 32286: @2334579
     /* 2334579 */   GIM_Reject,
     /* 2334580 */ // Label 32284: @2334580
     /* 2334580 */ GIM_Reject,
     /* 2334581 */ // Label 32232: @2334581
     /* 2334581 */ GIM_Try, /*On fail goto*//*Label 32287*/ GIMT_Encode4(2334635), // Rule ID 58356 //
     /* 2334586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2334592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334600 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334600 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2334603 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334607 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334612 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2334617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334619 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334622 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334634 */   // GIR_Coverage, 58356,
     /* 2334634 */   GIR_EraseRootFromParent_Done,
     /* 2334635 */ // Label 32287: @2334635
     /* 2334635 */ GIM_Try, /*On fail goto*//*Label 32288*/ GIMT_Encode4(2334689), // Rule ID 58357 //
     /* 2334640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2334646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334654 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334654 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2334657 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334661 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334666 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2334671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334673 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334676 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334688 */   // GIR_Coverage, 58357,
     /* 2334688 */   GIR_EraseRootFromParent_Done,
     /* 2334689 */ // Label 32288: @2334689
     /* 2334689 */ GIM_Try, /*On fail goto*//*Label 32289*/ GIMT_Encode4(2334743), // Rule ID 58796 //
     /* 2334694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2334697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2334700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334708 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334708 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2334711 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334715 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334720 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2334725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334727 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334730 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334742 */   // GIR_Coverage, 58796,
     /* 2334742 */   GIR_EraseRootFromParent_Done,
     /* 2334743 */ // Label 32289: @2334743
     /* 2334743 */ GIM_Try, /*On fail goto*//*Label 32290*/ GIMT_Encode4(2334797), // Rule ID 58797 //
     /* 2334748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2334751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2334754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334762 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334762 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2334765 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334769 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334774 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2334779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334781 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334784 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334796 */   // GIR_Coverage, 58797,
     /* 2334796 */   GIR_EraseRootFromParent_Done,
     /* 2334797 */ // Label 32290: @2334797
     /* 2334797 */ GIM_Reject,
     /* 2334798 */ // Label 32233: @2334798
     /* 2334798 */ GIM_Try, /*On fail goto*//*Label 32291*/ GIMT_Encode4(2334852), // Rule ID 58368 //
     /* 2334803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2334806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2334809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334817 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334817 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2334820 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334824 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334829 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2334834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334836 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334839 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334851 */   // GIR_Coverage, 58368,
     /* 2334851 */   GIR_EraseRootFromParent_Done,
     /* 2334852 */ // Label 32291: @2334852
     /* 2334852 */ GIM_Try, /*On fail goto*//*Label 32292*/ GIMT_Encode4(2334906), // Rule ID 58369 //
     /* 2334857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2334860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2334863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334871 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334871 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2334874 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334878 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334883 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2334888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334890 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334893 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334905 */   // GIR_Coverage, 58369,
     /* 2334905 */   GIR_EraseRootFromParent_Done,
     /* 2334906 */ // Label 32292: @2334906
     /* 2334906 */ GIM_Try, /*On fail goto*//*Label 32293*/ GIMT_Encode4(2334960), // Rule ID 58564 //
     /* 2334911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2334917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334925 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334925 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2334928 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334932 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334937 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2334942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334944 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334947 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334959 */   // GIR_Coverage, 58564,
     /* 2334959 */   GIR_EraseRootFromParent_Done,
     /* 2334960 */ // Label 32293: @2334960
     /* 2334960 */ GIM_Try, /*On fail goto*//*Label 32294*/ GIMT_Encode4(2335014), // Rule ID 58565 //
     /* 2334965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2334971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334979 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334979 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2334982 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334986 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334991 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2334996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334998 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335001 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335013 */   // GIR_Coverage, 58565,
     /* 2335013 */   GIR_EraseRootFromParent_Done,
     /* 2335014 */ // Label 32294: @2335014
     /* 2335014 */ GIM_Try, /*On fail goto*//*Label 32295*/ GIMT_Encode4(2335068), // Rule ID 58816 //
     /* 2335019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2335022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2335025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335033 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335033 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2335036 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335040 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335045 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2335050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335052 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335055 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335067 */   // GIR_Coverage, 58816,
     /* 2335067 */   GIR_EraseRootFromParent_Done,
     /* 2335068 */ // Label 32295: @2335068
     /* 2335068 */ GIM_Try, /*On fail goto*//*Label 32296*/ GIMT_Encode4(2335122), // Rule ID 58817 //
     /* 2335073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2335076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2335079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335087 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335087 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2335090 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335094 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335099 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2335104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335106 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335109 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335121 */   // GIR_Coverage, 58817,
     /* 2335121 */   GIR_EraseRootFromParent_Done,
     /* 2335122 */ // Label 32296: @2335122
     /* 2335122 */ GIM_Reject,
     /* 2335123 */ // Label 32234: @2335123
     /* 2335123 */ GIM_Try, /*On fail goto*//*Label 32297*/ GIMT_Encode4(2335177), // Rule ID 58400 //
     /* 2335128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2335131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2335134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335142 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335142 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2335145 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335149 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335154 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2335159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335161 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335164 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335175 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335176 */   // GIR_Coverage, 58400,
     /* 2335176 */   GIR_EraseRootFromParent_Done,
     /* 2335177 */ // Label 32297: @2335177
     /* 2335177 */ GIM_Try, /*On fail goto*//*Label 32298*/ GIMT_Encode4(2335231), // Rule ID 58401 //
     /* 2335182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2335185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2335188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335196 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335196 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2335199 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335203 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335208 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2335213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335215 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335218 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335230 */   // GIR_Coverage, 58401,
     /* 2335230 */   GIR_EraseRootFromParent_Done,
     /* 2335231 */ // Label 32298: @2335231
     /* 2335231 */ GIM_Try, /*On fail goto*//*Label 32299*/ GIMT_Encode4(2335285), // Rule ID 58584 //
     /* 2335236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2335239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2335242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335250 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335250 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2335253 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335257 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335262 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2335267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335269 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335272 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335284 */   // GIR_Coverage, 58584,
     /* 2335284 */   GIR_EraseRootFromParent_Done,
     /* 2335285 */ // Label 32299: @2335285
     /* 2335285 */ GIM_Try, /*On fail goto*//*Label 32300*/ GIMT_Encode4(2335339), // Rule ID 58585 //
     /* 2335290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2335293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2335296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335304 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2335307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2335321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335338 */   // GIR_Coverage, 58585,
     /* 2335338 */   GIR_EraseRootFromParent_Done,
     /* 2335339 */ // Label 32300: @2335339
     /* 2335339 */ GIM_Reject,
     /* 2335340 */ // Label 32235: @2335340
     /* 2335340 */ GIM_Try, /*On fail goto*//*Label 32301*/ GIMT_Encode4(2335443),
     /* 2335345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2335348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335356 */   GIM_Try, /*On fail goto*//*Label 32302*/ GIMT_Encode4(2335399), // Rule ID 58776 //
     /* 2335361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2335364 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2335367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2335381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335398 */     // GIR_Coverage, 58776,
     /* 2335398 */     GIR_EraseRootFromParent_Done,
     /* 2335399 */   // Label 32302: @2335399
     /* 2335399 */   GIM_Try, /*On fail goto*//*Label 32303*/ GIMT_Encode4(2335442), // Rule ID 58777 //
     /* 2335404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2335407 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2335410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2335424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335441 */     // GIR_Coverage, 58777,
     /* 2335441 */     GIR_EraseRootFromParent_Done,
     /* 2335442 */   // Label 32303: @2335442
     /* 2335442 */   GIM_Reject,
     /* 2335443 */ // Label 32301: @2335443
     /* 2335443 */ GIM_Reject,
     /* 2335444 */ // Label 32236: @2335444
     /* 2335444 */ GIM_Try, /*On fail goto*//*Label 32304*/ GIMT_Encode4(2335498), // Rule ID 58364 //
     /* 2335449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2335452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2335455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335463 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335463 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2335466 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335470 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335475 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2335480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335482 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335485 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335496 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335497 */   // GIR_Coverage, 58364,
     /* 2335497 */   GIR_EraseRootFromParent_Done,
     /* 2335498 */ // Label 32304: @2335498
     /* 2335498 */ GIM_Try, /*On fail goto*//*Label 32305*/ GIMT_Encode4(2335552), // Rule ID 58365 //
     /* 2335503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2335506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2335509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335517 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335517 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2335520 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335524 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335529 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2335534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335536 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335539 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335551 */   // GIR_Coverage, 58365,
     /* 2335551 */   GIR_EraseRootFromParent_Done,
     /* 2335552 */ // Label 32305: @2335552
     /* 2335552 */ GIM_Try, /*On fail goto*//*Label 32306*/ GIMT_Encode4(2335606), // Rule ID 58800 //
     /* 2335557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2335560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2335563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335571 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335571 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2335574 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335578 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335583 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2335588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335590 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335593 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335605 */   // GIR_Coverage, 58800,
     /* 2335605 */   GIR_EraseRootFromParent_Done,
     /* 2335606 */ // Label 32306: @2335606
     /* 2335606 */ GIM_Try, /*On fail goto*//*Label 32307*/ GIMT_Encode4(2335660), // Rule ID 58801 //
     /* 2335611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2335614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2335617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335625 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335625 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2335628 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335632 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2335642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335644 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335659 */   // GIR_Coverage, 58801,
     /* 2335659 */   GIR_EraseRootFromParent_Done,
     /* 2335660 */ // Label 32307: @2335660
     /* 2335660 */ GIM_Reject,
     /* 2335661 */ // Label 32237: @2335661
     /* 2335661 */ GIM_Try, /*On fail goto*//*Label 32308*/ GIMT_Encode4(2335715), // Rule ID 58388 //
     /* 2335666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2335669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2335672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335680 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335680 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2335683 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335687 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335692 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2335697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335699 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335702 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335714 */   // GIR_Coverage, 58388,
     /* 2335714 */   GIR_EraseRootFromParent_Done,
     /* 2335715 */ // Label 32308: @2335715
     /* 2335715 */ GIM_Try, /*On fail goto*//*Label 32309*/ GIMT_Encode4(2335769), // Rule ID 58389 //
     /* 2335720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2335723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2335726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335734 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335734 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2335737 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335741 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335746 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2335751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335753 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335756 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335768 */   // GIR_Coverage, 58389,
     /* 2335768 */   GIR_EraseRootFromParent_Done,
     /* 2335769 */ // Label 32309: @2335769
     /* 2335769 */ GIM_Try, /*On fail goto*//*Label 32310*/ GIMT_Encode4(2335823), // Rule ID 58568 //
     /* 2335774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2335777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2335780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335788 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335788 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2335791 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335795 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335800 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2335805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335807 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335810 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335822 */   // GIR_Coverage, 58568,
     /* 2335822 */   GIR_EraseRootFromParent_Done,
     /* 2335823 */ // Label 32310: @2335823
     /* 2335823 */ GIM_Try, /*On fail goto*//*Label 32311*/ GIMT_Encode4(2335877), // Rule ID 58569 //
     /* 2335828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2335831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2335834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335842 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335842 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2335845 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335849 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335854 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2335859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335861 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335864 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335876 */   // GIR_Coverage, 58569,
     /* 2335876 */   GIR_EraseRootFromParent_Done,
     /* 2335877 */ // Label 32311: @2335877
     /* 2335877 */ GIM_Try, /*On fail goto*//*Label 32312*/ GIMT_Encode4(2335931), // Rule ID 58820 //
     /* 2335882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2335885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2335888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335896 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335896 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2335899 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335903 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335908 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2335913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335915 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335918 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335930 */   // GIR_Coverage, 58820,
     /* 2335930 */   GIR_EraseRootFromParent_Done,
     /* 2335931 */ // Label 32312: @2335931
     /* 2335931 */ GIM_Try, /*On fail goto*//*Label 32313*/ GIMT_Encode4(2335985), // Rule ID 58821 //
     /* 2335936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2335939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2335942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335950 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335950 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2335953 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335957 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335962 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2335967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335972 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335984 */   // GIR_Coverage, 58821,
     /* 2335984 */   GIR_EraseRootFromParent_Done,
     /* 2335985 */ // Label 32313: @2335985
     /* 2335985 */ GIM_Reject,
     /* 2335986 */ // Label 32238: @2335986
     /* 2335986 */ GIM_Try, /*On fail goto*//*Label 32314*/ GIMT_Encode4(2336040), // Rule ID 58404 //
     /* 2335991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2335994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2335997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336005 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336005 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2336008 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336012 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336017 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2336022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336024 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336027 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336039 */   // GIR_Coverage, 58404,
     /* 2336039 */   GIR_EraseRootFromParent_Done,
     /* 2336040 */ // Label 32314: @2336040
     /* 2336040 */ GIM_Try, /*On fail goto*//*Label 32315*/ GIMT_Encode4(2336094), // Rule ID 58405 //
     /* 2336045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2336048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2336051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336059 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336059 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2336062 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336066 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336071 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2336076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336078 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336081 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336093 */   // GIR_Coverage, 58405,
     /* 2336093 */   GIR_EraseRootFromParent_Done,
     /* 2336094 */ // Label 32315: @2336094
     /* 2336094 */ GIM_Try, /*On fail goto*//*Label 32316*/ GIMT_Encode4(2336148), // Rule ID 58588 //
     /* 2336099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2336102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2336105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336113 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336113 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2336116 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336120 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336125 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2336130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336132 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336135 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336147 */   // GIR_Coverage, 58588,
     /* 2336147 */   GIR_EraseRootFromParent_Done,
     /* 2336148 */ // Label 32316: @2336148
     /* 2336148 */ GIM_Try, /*On fail goto*//*Label 32317*/ GIMT_Encode4(2336202), // Rule ID 58589 //
     /* 2336153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2336156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2336159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336167 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336167 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2336170 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336174 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336179 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2336184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336186 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336189 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336201 */   // GIR_Coverage, 58589,
     /* 2336201 */   GIR_EraseRootFromParent_Done,
     /* 2336202 */ // Label 32317: @2336202
     /* 2336202 */ GIM_Reject,
     /* 2336203 */ // Label 32239: @2336203
     /* 2336203 */ GIM_Try, /*On fail goto*//*Label 32318*/ GIMT_Encode4(2336306),
     /* 2336208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2336211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336219 */   GIM_Try, /*On fail goto*//*Label 32319*/ GIMT_Encode4(2336262), // Rule ID 58780 //
     /* 2336224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2336227 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2336230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2336244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336261 */     // GIR_Coverage, 58780,
     /* 2336261 */     GIR_EraseRootFromParent_Done,
     /* 2336262 */   // Label 32319: @2336262
     /* 2336262 */   GIM_Try, /*On fail goto*//*Label 32320*/ GIMT_Encode4(2336305), // Rule ID 58781 //
     /* 2336267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2336270 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2336273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2336287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336304 */     // GIR_Coverage, 58781,
     /* 2336304 */     GIR_EraseRootFromParent_Done,
     /* 2336305 */   // Label 32320: @2336305
     /* 2336305 */   GIM_Reject,
     /* 2336306 */ // Label 32318: @2336306
     /* 2336306 */ GIM_Reject,
     /* 2336307 */ // Label 32240: @2336307
     /* 2336307 */ GIM_Try, /*On fail goto*//*Label 32321*/ GIMT_Encode4(2336361), // Rule ID 58376 //
     /* 2336312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2336315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2336318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336326 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336326 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2336329 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336333 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336338 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2336343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336345 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336348 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336360 */   // GIR_Coverage, 58376,
     /* 2336360 */   GIR_EraseRootFromParent_Done,
     /* 2336361 */ // Label 32321: @2336361
     /* 2336361 */ GIM_Try, /*On fail goto*//*Label 32322*/ GIMT_Encode4(2336415), // Rule ID 58377 //
     /* 2336366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2336369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2336372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336380 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336380 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2336383 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336387 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336392 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2336397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336399 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336402 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336414 */   // GIR_Coverage, 58377,
     /* 2336414 */   GIR_EraseRootFromParent_Done,
     /* 2336415 */ // Label 32322: @2336415
     /* 2336415 */ GIM_Try, /*On fail goto*//*Label 32323*/ GIMT_Encode4(2336469), // Rule ID 58804 //
     /* 2336420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2336423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2336426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336434 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336434 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2336437 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336441 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336446 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2336451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336453 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336456 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336468 */   // GIR_Coverage, 58804,
     /* 2336468 */   GIR_EraseRootFromParent_Done,
     /* 2336469 */ // Label 32323: @2336469
     /* 2336469 */ GIM_Try, /*On fail goto*//*Label 32324*/ GIMT_Encode4(2336523), // Rule ID 58805 //
     /* 2336474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2336477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2336480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336488 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336488 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2336491 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336495 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336500 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2336505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336507 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336510 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336521 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336522 */   // GIR_Coverage, 58805,
     /* 2336522 */   GIR_EraseRootFromParent_Done,
     /* 2336523 */ // Label 32324: @2336523
     /* 2336523 */ GIM_Reject,
     /* 2336524 */ // Label 32241: @2336524
     /* 2336524 */ GIM_Try, /*On fail goto*//*Label 32325*/ GIMT_Encode4(2336578), // Rule ID 58392 //
     /* 2336529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2336532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2336535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336543 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336543 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2336546 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336550 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336555 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2336560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336562 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336565 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336577 */   // GIR_Coverage, 58392,
     /* 2336577 */   GIR_EraseRootFromParent_Done,
     /* 2336578 */ // Label 32325: @2336578
     /* 2336578 */ GIM_Try, /*On fail goto*//*Label 32326*/ GIMT_Encode4(2336632), // Rule ID 58393 //
     /* 2336583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2336586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2336589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336597 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336597 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2336600 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336604 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336609 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2336614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336616 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336619 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336631 */   // GIR_Coverage, 58393,
     /* 2336631 */   GIR_EraseRootFromParent_Done,
     /* 2336632 */ // Label 32326: @2336632
     /* 2336632 */ GIM_Try, /*On fail goto*//*Label 32327*/ GIMT_Encode4(2336686), // Rule ID 58572 //
     /* 2336637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2336640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2336643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336651 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336651 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2336654 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336658 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336663 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2336668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336670 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336673 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336685 */   // GIR_Coverage, 58572,
     /* 2336685 */   GIR_EraseRootFromParent_Done,
     /* 2336686 */ // Label 32327: @2336686
     /* 2336686 */ GIM_Try, /*On fail goto*//*Label 32328*/ GIMT_Encode4(2336740), // Rule ID 58573 //
     /* 2336691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2336694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2336697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336705 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336705 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2336708 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336712 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336717 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2336722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336724 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336727 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336739 */   // GIR_Coverage, 58573,
     /* 2336739 */   GIR_EraseRootFromParent_Done,
     /* 2336740 */ // Label 32328: @2336740
     /* 2336740 */ GIM_Try, /*On fail goto*//*Label 32329*/ GIMT_Encode4(2336794), // Rule ID 58824 //
     /* 2336745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2336748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2336751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336759 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336759 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2336762 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336766 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336771 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2336776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336778 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336781 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336793 */   // GIR_Coverage, 58824,
     /* 2336793 */   GIR_EraseRootFromParent_Done,
     /* 2336794 */ // Label 32329: @2336794
     /* 2336794 */ GIM_Try, /*On fail goto*//*Label 32330*/ GIMT_Encode4(2336848), // Rule ID 58825 //
     /* 2336799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2336802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2336805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336813 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336813 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2336816 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336820 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336825 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2336830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336832 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336835 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336847 */   // GIR_Coverage, 58825,
     /* 2336847 */   GIR_EraseRootFromParent_Done,
     /* 2336848 */ // Label 32330: @2336848
     /* 2336848 */ GIM_Reject,
     /* 2336849 */ // Label 32242: @2336849
     /* 2336849 */ GIM_Try, /*On fail goto*//*Label 32331*/ GIMT_Encode4(2336903), // Rule ID 58408 //
     /* 2336854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2336857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2336860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336868 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336868 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2336871 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336875 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336880 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2336885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336887 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336890 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336902 */   // GIR_Coverage, 58408,
     /* 2336902 */   GIR_EraseRootFromParent_Done,
     /* 2336903 */ // Label 32331: @2336903
     /* 2336903 */ GIM_Try, /*On fail goto*//*Label 32332*/ GIMT_Encode4(2336957), // Rule ID 58409 //
     /* 2336908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2336911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2336914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336922 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336922 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2336925 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336929 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336934 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2336939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336941 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336944 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336956 */   // GIR_Coverage, 58409,
     /* 2336956 */   GIR_EraseRootFromParent_Done,
     /* 2336957 */ // Label 32332: @2336957
     /* 2336957 */ GIM_Try, /*On fail goto*//*Label 32333*/ GIMT_Encode4(2337011), // Rule ID 58592 //
     /* 2336962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2336965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2336968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336976 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336976 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2336979 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336983 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336988 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2336993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336995 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336998 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337010 */   // GIR_Coverage, 58592,
     /* 2337010 */   GIR_EraseRootFromParent_Done,
     /* 2337011 */ // Label 32333: @2337011
     /* 2337011 */ GIM_Try, /*On fail goto*//*Label 32334*/ GIMT_Encode4(2337065), // Rule ID 58593 //
     /* 2337016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2337019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2337022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337030 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337030 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2337033 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337037 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337042 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2337047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337049 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337052 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337064 */   // GIR_Coverage, 58593,
     /* 2337064 */   GIR_EraseRootFromParent_Done,
     /* 2337065 */ // Label 32334: @2337065
     /* 2337065 */ GIM_Reject,
     /* 2337066 */ // Label 32243: @2337066
     /* 2337066 */ GIM_Try, /*On fail goto*//*Label 32335*/ GIMT_Encode4(2337169),
     /* 2337071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2337074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337082 */   GIM_Try, /*On fail goto*//*Label 32336*/ GIMT_Encode4(2337125), // Rule ID 58784 //
     /* 2337087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2337090 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2337093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2337107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337124 */     // GIR_Coverage, 58784,
     /* 2337124 */     GIR_EraseRootFromParent_Done,
     /* 2337125 */   // Label 32336: @2337125
     /* 2337125 */   GIM_Try, /*On fail goto*//*Label 32337*/ GIMT_Encode4(2337168), // Rule ID 58785 //
     /* 2337130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2337133 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2337136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2337150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337167 */     // GIR_Coverage, 58785,
     /* 2337167 */     GIR_EraseRootFromParent_Done,
     /* 2337168 */   // Label 32337: @2337168
     /* 2337168 */   GIM_Reject,
     /* 2337169 */ // Label 32335: @2337169
     /* 2337169 */ GIM_Reject,
     /* 2337170 */ // Label 32244: @2337170
     /* 2337170 */ GIM_Try, /*On fail goto*//*Label 32338*/ GIMT_Encode4(2337224), // Rule ID 58380 //
     /* 2337175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2337178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2337181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337189 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337189 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2337192 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337196 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337201 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2337206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337208 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337211 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337223 */   // GIR_Coverage, 58380,
     /* 2337223 */   GIR_EraseRootFromParent_Done,
     /* 2337224 */ // Label 32338: @2337224
     /* 2337224 */ GIM_Try, /*On fail goto*//*Label 32339*/ GIMT_Encode4(2337278), // Rule ID 58381 //
     /* 2337229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2337232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2337235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337243 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337243 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2337246 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337250 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337255 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2337260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337262 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337265 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337277 */   // GIR_Coverage, 58381,
     /* 2337277 */   GIR_EraseRootFromParent_Done,
     /* 2337278 */ // Label 32339: @2337278
     /* 2337278 */ GIM_Try, /*On fail goto*//*Label 32340*/ GIMT_Encode4(2337332), // Rule ID 58808 //
     /* 2337283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2337286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2337289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337297 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337297 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2337300 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337304 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337309 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2337314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337316 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337319 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337331 */   // GIR_Coverage, 58808,
     /* 2337331 */   GIR_EraseRootFromParent_Done,
     /* 2337332 */ // Label 32340: @2337332
     /* 2337332 */ GIM_Try, /*On fail goto*//*Label 32341*/ GIMT_Encode4(2337386), // Rule ID 58809 //
     /* 2337337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2337340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2337343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337351 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337351 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2337354 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337358 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337363 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2337368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337370 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337373 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337385 */   // GIR_Coverage, 58809,
     /* 2337385 */   GIR_EraseRootFromParent_Done,
     /* 2337386 */ // Label 32341: @2337386
     /* 2337386 */ GIM_Reject,
     /* 2337387 */ // Label 32245: @2337387
     /* 2337387 */ GIM_Try, /*On fail goto*//*Label 32342*/ GIMT_Encode4(2337441), // Rule ID 58396 //
     /* 2337392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2337395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2337398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337406 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337406 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2337409 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337413 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337418 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2337423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337425 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337428 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337440 */   // GIR_Coverage, 58396,
     /* 2337440 */   GIR_EraseRootFromParent_Done,
     /* 2337441 */ // Label 32342: @2337441
     /* 2337441 */ GIM_Try, /*On fail goto*//*Label 32343*/ GIMT_Encode4(2337495), // Rule ID 58397 //
     /* 2337446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2337449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2337452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337460 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337460 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2337463 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337467 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337472 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2337477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337479 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337482 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337494 */   // GIR_Coverage, 58397,
     /* 2337494 */   GIR_EraseRootFromParent_Done,
     /* 2337495 */ // Label 32343: @2337495
     /* 2337495 */ GIM_Try, /*On fail goto*//*Label 32344*/ GIMT_Encode4(2337549), // Rule ID 58576 //
     /* 2337500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2337503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2337506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337514 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337514 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2337517 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337521 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337526 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2337531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337533 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337536 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337548 */   // GIR_Coverage, 58576,
     /* 2337548 */   GIR_EraseRootFromParent_Done,
     /* 2337549 */ // Label 32344: @2337549
     /* 2337549 */ GIM_Try, /*On fail goto*//*Label 32345*/ GIMT_Encode4(2337603), // Rule ID 58577 //
     /* 2337554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2337557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2337560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337568 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337568 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2337571 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337575 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337580 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2337585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337587 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337590 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337602 */   // GIR_Coverage, 58577,
     /* 2337602 */   GIR_EraseRootFromParent_Done,
     /* 2337603 */ // Label 32345: @2337603
     /* 2337603 */ GIM_Reject,
     /* 2337604 */ // Label 32246: @2337604
     /* 2337604 */ GIM_Try, /*On fail goto*//*Label 32346*/ GIMT_Encode4(2337707),
     /* 2337609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2337612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337620 */   GIM_Try, /*On fail goto*//*Label 32347*/ GIMT_Encode4(2337663), // Rule ID 58788 //
     /* 2337625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2337628 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2337631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2337645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337662 */     // GIR_Coverage, 58788,
     /* 2337662 */     GIR_EraseRootFromParent_Done,
     /* 2337663 */   // Label 32347: @2337663
     /* 2337663 */   GIM_Try, /*On fail goto*//*Label 32348*/ GIMT_Encode4(2337706), // Rule ID 58789 //
     /* 2337668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2337671 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2337674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2337688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337705 */     // GIR_Coverage, 58789,
     /* 2337705 */     GIR_EraseRootFromParent_Done,
     /* 2337706 */   // Label 32348: @2337706
     /* 2337706 */   GIM_Reject,
     /* 2337707 */ // Label 32346: @2337707
     /* 2337707 */ GIM_Reject,
     /* 2337708 */ // Label 32247: @2337708
     /* 2337708 */ GIM_Try, /*On fail goto*//*Label 32349*/ GIMT_Encode4(2337811),
     /* 2337713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2337716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337724 */   GIM_Try, /*On fail goto*//*Label 32350*/ GIMT_Encode4(2337767), // Rule ID 58384 //
     /* 2337729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2337732 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2337735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2337749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337766 */     // GIR_Coverage, 58384,
     /* 2337766 */     GIR_EraseRootFromParent_Done,
     /* 2337767 */   // Label 32350: @2337767
     /* 2337767 */   GIM_Try, /*On fail goto*//*Label 32351*/ GIMT_Encode4(2337810), // Rule ID 58385 //
     /* 2337772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2337775 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2337778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2337792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337809 */     // GIR_Coverage, 58385,
     /* 2337809 */     GIR_EraseRootFromParent_Done,
     /* 2337810 */   // Label 32351: @2337810
     /* 2337810 */   GIM_Reject,
     /* 2337811 */ // Label 32349: @2337811
     /* 2337811 */ GIM_Reject,
     /* 2337812 */ // Label 32248: @2337812
     /* 2337812 */ GIM_Reject,
     /* 2337813 */ // Label 69: @2337813
     /* 2337813 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32370*/ GIMT_Encode4(2343098),
     /* 2337824 */ /*GILLT_s16*//*Label 32352*/ GIMT_Encode4(2337944),
     /* 2337828 */ /*GILLT_s32*//*Label 32353*/ GIMT_Encode4(2338205),
     /* 2337832 */ /*GILLT_s64*//*Label 32354*/ GIMT_Encode4(2338466), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337844 */ /*GILLT_nxv1s16*//*Label 32355*/ GIMT_Encode4(2338727),
     /* 2337848 */ /*GILLT_nxv1s32*//*Label 32356*/ GIMT_Encode4(2339064),
     /* 2337852 */ /*GILLT_nxv1s64*//*Label 32357*/ GIMT_Encode4(2339401), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337864 */ /*GILLT_nxv2s16*//*Label 32358*/ GIMT_Encode4(2339624),
     /* 2337868 */ /*GILLT_nxv2s32*//*Label 32359*/ GIMT_Encode4(2339961),
     /* 2337872 */ /*GILLT_nxv2s64*//*Label 32360*/ GIMT_Encode4(2340298), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337884 */ /*GILLT_nxv4s16*//*Label 32361*/ GIMT_Encode4(2340521),
     /* 2337888 */ /*GILLT_nxv4s32*//*Label 32362*/ GIMT_Encode4(2340858),
     /* 2337892 */ /*GILLT_nxv4s64*//*Label 32363*/ GIMT_Encode4(2341195), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337904 */ /*GILLT_nxv8s16*//*Label 32364*/ GIMT_Encode4(2341418),
     /* 2337908 */ /*GILLT_nxv8s32*//*Label 32365*/ GIMT_Encode4(2341755),
     /* 2337912 */ /*GILLT_nxv8s64*//*Label 32366*/ GIMT_Encode4(2342092), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337924 */ /*GILLT_nxv16s16*//*Label 32367*/ GIMT_Encode4(2342315),
     /* 2337928 */ /*GILLT_nxv16s32*//*Label 32368*/ GIMT_Encode4(2342652), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337940 */ /*GILLT_nxv32s16*//*Label 32369*/ GIMT_Encode4(2342875),
     /* 2337944 */ // Label 32352: @2337944
     /* 2337944 */ GIM_Try, /*On fail goto*//*Label 32371*/ GIMT_Encode4(2337981), // Rule ID 2261 //
     /* 2337949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2337952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2337955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337959 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2337966 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2337966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2337969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337971 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2337976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2337979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337980 */   // GIR_Coverage, 2261,
     /* 2337980 */   GIR_EraseRootFromParent_Done,
     /* 2337981 */ // Label 32371: @2337981
     /* 2337981 */ GIM_Try, /*On fail goto*//*Label 32372*/ GIMT_Encode4(2338018), // Rule ID 2287 //
     /* 2337986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2337989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2337992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2337996 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2338003 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2338003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2338006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338008 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2338013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338017 */   // GIR_Coverage, 2287,
     /* 2338017 */   GIR_EraseRootFromParent_Done,
     /* 2338018 */ // Label 32372: @2338018
     /* 2338018 */ GIM_Try, /*On fail goto*//*Label 32373*/ GIMT_Encode4(2338049), // Rule ID 2210 //
     /* 2338023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2338026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2338033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338037 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2338037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2338040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338042 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338048 */   // GIR_Coverage, 2210,
     /* 2338048 */   GIR_EraseRootFromParent_Done,
     /* 2338049 */ // Label 32373: @2338049
     /* 2338049 */ GIM_Try, /*On fail goto*//*Label 32374*/ GIMT_Encode4(2338080), // Rule ID 2211 //
     /* 2338054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2338057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2338064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338068 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2338068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2338071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338073 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338079 */   // GIR_Coverage, 2211,
     /* 2338079 */   GIR_EraseRootFromParent_Done,
     /* 2338080 */ // Label 32374: @2338080
     /* 2338080 */ GIM_Try, /*On fail goto*//*Label 32375*/ GIMT_Encode4(2338111), // Rule ID 2236 //
     /* 2338085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2338088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338099 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2338099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2338102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338104 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338109 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338110 */   // GIR_Coverage, 2236,
     /* 2338110 */   GIR_EraseRootFromParent_Done,
     /* 2338111 */ // Label 32375: @2338111
     /* 2338111 */ GIM_Try, /*On fail goto*//*Label 32376*/ GIMT_Encode4(2338142), // Rule ID 2237 //
     /* 2338116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2338119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338130 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2338130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2338133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338135 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338141 */   // GIR_Coverage, 2237,
     /* 2338141 */   GIR_EraseRootFromParent_Done,
     /* 2338142 */ // Label 32376: @2338142
     /* 2338142 */ GIM_Try, /*On fail goto*//*Label 32377*/ GIMT_Encode4(2338173), // Rule ID 2265 //
     /* 2338147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2338150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2338153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2338157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338161 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2338161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L),
     /* 2338164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338166 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338172 */   // GIR_Coverage, 2265,
     /* 2338172 */   GIR_EraseRootFromParent_Done,
     /* 2338173 */ // Label 32377: @2338173
     /* 2338173 */ GIM_Try, /*On fail goto*//*Label 32378*/ GIMT_Encode4(2338204), // Rule ID 2291 //
     /* 2338178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2338181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2338184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338192 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2338192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L_INX),
     /* 2338195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338197 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338203 */   // GIR_Coverage, 2291,
     /* 2338203 */   GIR_EraseRootFromParent_Done,
     /* 2338204 */ // Label 32378: @2338204
     /* 2338204 */ GIM_Reject,
     /* 2338205 */ // Label 32353: @2338205
     /* 2338205 */ GIM_Try, /*On fail goto*//*Label 32379*/ GIMT_Encode4(2338242), // Rule ID 1527 //
     /* 2338210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2338213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2338216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338220 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2338227 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2338227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2338230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338232 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2338237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338241 */   // GIR_Coverage, 1527,
     /* 2338241 */   GIR_EraseRootFromParent_Done,
     /* 2338242 */ // Label 32379: @2338242
     /* 2338242 */ GIM_Try, /*On fail goto*//*Label 32380*/ GIMT_Encode4(2338279), // Rule ID 1555 //
     /* 2338247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2338250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2338253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338257 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2338264 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2338264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2338267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338269 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2338274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338278 */   // GIR_Coverage, 1555,
     /* 2338278 */   GIR_EraseRootFromParent_Done,
     /* 2338279 */ // Label 32380: @2338279
     /* 2338279 */ GIM_Try, /*On fail goto*//*Label 32381*/ GIMT_Encode4(2338310), // Rule ID 1474 //
     /* 2338284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2338287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338298 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2338298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2338301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338303 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338309 */   // GIR_Coverage, 1474,
     /* 2338309 */   GIR_EraseRootFromParent_Done,
     /* 2338310 */ // Label 32381: @2338310
     /* 2338310 */ GIM_Try, /*On fail goto*//*Label 32382*/ GIMT_Encode4(2338341), // Rule ID 1475 //
     /* 2338315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2338318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338329 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2338329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2338332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338334 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338340 */   // GIR_Coverage, 1475,
     /* 2338340 */   GIR_EraseRootFromParent_Done,
     /* 2338341 */ // Label 32382: @2338341
     /* 2338341 */ GIM_Try, /*On fail goto*//*Label 32383*/ GIMT_Encode4(2338372), // Rule ID 1500 //
     /* 2338346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2338349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338360 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2338360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2338363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338365 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338371 */   // GIR_Coverage, 1500,
     /* 2338371 */   GIR_EraseRootFromParent_Done,
     /* 2338372 */ // Label 32383: @2338372
     /* 2338372 */ GIM_Try, /*On fail goto*//*Label 32384*/ GIMT_Encode4(2338403), // Rule ID 1501 //
     /* 2338377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2338380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338391 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2338391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2338394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338396 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338401 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338402 */   // GIR_Coverage, 1501,
     /* 2338402 */   GIR_EraseRootFromParent_Done,
     /* 2338403 */ // Label 32384: @2338403
     /* 2338403 */ GIM_Try, /*On fail goto*//*Label 32385*/ GIMT_Encode4(2338434), // Rule ID 1531 //
     /* 2338408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2338411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2338414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338422 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2338422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L),
     /* 2338425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338427 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338433 */   // GIR_Coverage, 1531,
     /* 2338433 */   GIR_EraseRootFromParent_Done,
     /* 2338434 */ // Label 32385: @2338434
     /* 2338434 */ GIM_Try, /*On fail goto*//*Label 32386*/ GIMT_Encode4(2338465), // Rule ID 1559 //
     /* 2338439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2338442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2338445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338453 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2338453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L_INX),
     /* 2338456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338458 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338463 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338464 */   // GIR_Coverage, 1559,
     /* 2338464 */   GIR_EraseRootFromParent_Done,
     /* 2338465 */ // Label 32386: @2338465
     /* 2338465 */ GIM_Reject,
     /* 2338466 */ // Label 32354: @2338466
     /* 2338466 */ GIM_Try, /*On fail goto*//*Label 32387*/ GIMT_Encode4(2338503), // Rule ID 1907 //
     /* 2338471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2338474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2338477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2338481 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2338488 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2338488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2338491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338493 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2338498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2338501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338502 */   // GIR_Coverage, 1907,
     /* 2338502 */   GIR_EraseRootFromParent_Done,
     /* 2338503 */ // Label 32387: @2338503
     /* 2338503 */ GIM_Try, /*On fail goto*//*Label 32388*/ GIMT_Encode4(2338540), // Rule ID 1935 //
     /* 2338508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2338511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2338514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338518 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2338525 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2338525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_INX),
     /* 2338528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338530 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2338535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2338538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338539 */   // GIR_Coverage, 1935,
     /* 2338539 */   GIR_EraseRootFromParent_Done,
     /* 2338540 */ // Label 32388: @2338540
     /* 2338540 */ GIM_Try, /*On fail goto*//*Label 32389*/ GIMT_Encode4(2338571), // Rule ID 1868 //
     /* 2338545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2338548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2338555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338559 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2338559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2338562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338564 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2338569 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338570 */   // GIR_Coverage, 1868,
     /* 2338570 */   GIR_EraseRootFromParent_Done,
     /* 2338571 */ // Label 32389: @2338571
     /* 2338571 */ GIM_Try, /*On fail goto*//*Label 32390*/ GIMT_Encode4(2338602), // Rule ID 1869 //
     /* 2338576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2338579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2338586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338590 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2338590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2338593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338595 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2338600 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338601 */   // GIR_Coverage, 1869,
     /* 2338601 */   GIR_EraseRootFromParent_Done,
     /* 2338602 */ // Label 32390: @2338602
     /* 2338602 */ GIM_Try, /*On fail goto*//*Label 32391*/ GIMT_Encode4(2338633), // Rule ID 1894 //
     /* 2338607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2338610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2338617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338621 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2338621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2338624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338626 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2338631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338632 */   // GIR_Coverage, 1894,
     /* 2338632 */   GIR_EraseRootFromParent_Done,
     /* 2338633 */ // Label 32391: @2338633
     /* 2338633 */ GIM_Try, /*On fail goto*//*Label 32392*/ GIMT_Encode4(2338664), // Rule ID 1895 //
     /* 2338638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2338641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2338648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338652 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2338652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2338655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338657 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2338662 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338663 */   // GIR_Coverage, 1895,
     /* 2338663 */   GIR_EraseRootFromParent_Done,
     /* 2338664 */ // Label 32392: @2338664
     /* 2338664 */ GIM_Try, /*On fail goto*//*Label 32393*/ GIMT_Encode4(2338695), // Rule ID 1925 //
     /* 2338669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2338672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2338675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2338679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338683 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2338683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L),
     /* 2338686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338688 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338694 */   // GIR_Coverage, 1925,
     /* 2338694 */   GIR_EraseRootFromParent_Done,
     /* 2338695 */ // Label 32393: @2338695
     /* 2338695 */ GIM_Try, /*On fail goto*//*Label 32394*/ GIMT_Encode4(2338726), // Rule ID 1953 //
     /* 2338700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2338703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2338706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338714 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2338714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L_INX),
     /* 2338717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338719 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338725 */   // GIR_Coverage, 1953,
     /* 2338725 */   GIR_EraseRootFromParent_Done,
     /* 2338726 */ // Label 32394: @2338726
     /* 2338726 */ GIM_Reject,
     /* 2338727 */ // Label 32355: @2338727
     /* 2338727 */ GIM_Try, /*On fail goto*//*Label 32395*/ GIMT_Encode4(2338784), // Rule ID 45804 //
     /* 2338732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2338735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2338738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338746 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338746 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2338749 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338753 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338758 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2338763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338765 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338783 */   // GIR_Coverage, 45804,
     /* 2338783 */   GIR_EraseRootFromParent_Done,
     /* 2338784 */ // Label 32395: @2338784
     /* 2338784 */ GIM_Try, /*On fail goto*//*Label 32396*/ GIMT_Encode4(2338841), // Rule ID 45805 //
     /* 2338789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2338792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2338795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338803 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338803 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2338806 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338810 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338815 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2338820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338822 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338825 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338840 */   // GIR_Coverage, 45805,
     /* 2338840 */   GIR_EraseRootFromParent_Done,
     /* 2338841 */ // Label 32396: @2338841
     /* 2338841 */ GIM_Try, /*On fail goto*//*Label 32397*/ GIMT_Encode4(2338895), // Rule ID 45812 //
     /* 2338846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2338849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2338852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338860 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338860 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2338863 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338867 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338872 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2338877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338879 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338882 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338894 */   // GIR_Coverage, 45812,
     /* 2338894 */   GIR_EraseRootFromParent_Done,
     /* 2338895 */ // Label 32397: @2338895
     /* 2338895 */ GIM_Try, /*On fail goto*//*Label 32398*/ GIMT_Encode4(2338949), // Rule ID 45813 //
     /* 2338900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2338903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2338906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338914 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338914 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2338917 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338921 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338926 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2338931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338933 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338936 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338948 */   // GIR_Coverage, 45813,
     /* 2338948 */   GIR_EraseRootFromParent_Done,
     /* 2338949 */ // Label 32398: @2338949
     /* 2338949 */ GIM_Try, /*On fail goto*//*Label 32399*/ GIMT_Encode4(2339006), // Rule ID 45820 //
     /* 2338954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2338957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2338960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338968 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338968 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2338971 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338975 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338980 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2338985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338987 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338990 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2338995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339005 */   // GIR_Coverage, 45820,
     /* 2339005 */   GIR_EraseRootFromParent_Done,
     /* 2339006 */ // Label 32399: @2339006
     /* 2339006 */ GIM_Try, /*On fail goto*//*Label 32400*/ GIMT_Encode4(2339063), // Rule ID 45821 //
     /* 2339011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2339014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2339017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339025 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339025 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2339028 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339032 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2339042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339044 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339047 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339062 */   // GIR_Coverage, 45821,
     /* 2339062 */   GIR_EraseRootFromParent_Done,
     /* 2339063 */ // Label 32400: @2339063
     /* 2339063 */ GIM_Reject,
     /* 2339064 */ // Label 32356: @2339064
     /* 2339064 */ GIM_Try, /*On fail goto*//*Label 32401*/ GIMT_Encode4(2339121), // Rule ID 58416 //
     /* 2339069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2339072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2339075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339083 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339083 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2339086 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339090 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339095 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2339100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339102 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339105 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339120 */   // GIR_Coverage, 58416,
     /* 2339120 */   GIR_EraseRootFromParent_Done,
     /* 2339121 */ // Label 32401: @2339121
     /* 2339121 */ GIM_Try, /*On fail goto*//*Label 32402*/ GIMT_Encode4(2339178), // Rule ID 58417 //
     /* 2339126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2339129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2339132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339140 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339140 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2339143 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339147 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339152 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2339157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339159 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339162 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339176 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339177 */   // GIR_Coverage, 58417,
     /* 2339177 */   GIR_EraseRootFromParent_Done,
     /* 2339178 */ // Label 32402: @2339178
     /* 2339178 */ GIM_Try, /*On fail goto*//*Label 32403*/ GIMT_Encode4(2339232), // Rule ID 58616 //
     /* 2339183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2339186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2339189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339197 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339197 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2339200 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339204 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339209 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2339214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339216 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339219 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339230 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339231 */   // GIR_Coverage, 58616,
     /* 2339231 */   GIR_EraseRootFromParent_Done,
     /* 2339232 */ // Label 32403: @2339232
     /* 2339232 */ GIM_Try, /*On fail goto*//*Label 32404*/ GIMT_Encode4(2339286), // Rule ID 58617 //
     /* 2339237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2339240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2339243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339251 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339251 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2339254 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339258 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339263 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2339268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339270 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339273 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339285 */   // GIR_Coverage, 58617,
     /* 2339285 */   GIR_EraseRootFromParent_Done,
     /* 2339286 */ // Label 32404: @2339286
     /* 2339286 */ GIM_Try, /*On fail goto*//*Label 32405*/ GIMT_Encode4(2339343), // Rule ID 58844 //
     /* 2339291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2339294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2339297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339305 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339305 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2339308 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339312 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339317 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2339322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339324 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339327 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339342 */   // GIR_Coverage, 58844,
     /* 2339342 */   GIR_EraseRootFromParent_Done,
     /* 2339343 */ // Label 32405: @2339343
     /* 2339343 */ GIM_Try, /*On fail goto*//*Label 32406*/ GIMT_Encode4(2339400), // Rule ID 58845 //
     /* 2339348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2339351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2339354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339362 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339362 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2339365 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339369 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339374 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2339379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339381 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339384 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339399 */   // GIR_Coverage, 58845,
     /* 2339399 */   GIR_EraseRootFromParent_Done,
     /* 2339400 */ // Label 32406: @2339400
     /* 2339400 */ GIM_Reject,
     /* 2339401 */ // Label 32357: @2339401
     /* 2339401 */ GIM_Try, /*On fail goto*//*Label 32407*/ GIMT_Encode4(2339458), // Rule ID 58428 //
     /* 2339406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2339409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2339412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339420 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339420 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2339423 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339427 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2339437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339439 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339457 */   // GIR_Coverage, 58428,
     /* 2339457 */   GIR_EraseRootFromParent_Done,
     /* 2339458 */ // Label 32407: @2339458
     /* 2339458 */ GIM_Try, /*On fail goto*//*Label 32408*/ GIMT_Encode4(2339515), // Rule ID 58429 //
     /* 2339463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2339466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2339469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339477 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339477 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2339480 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339484 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339489 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2339494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339496 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339499 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339514 */   // GIR_Coverage, 58429,
     /* 2339514 */   GIR_EraseRootFromParent_Done,
     /* 2339515 */ // Label 32408: @2339515
     /* 2339515 */ GIM_Try, /*On fail goto*//*Label 32409*/ GIMT_Encode4(2339569), // Rule ID 58636 //
     /* 2339520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2339523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2339526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339534 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339534 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2339537 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339541 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339546 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2339551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339553 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339556 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339568 */   // GIR_Coverage, 58636,
     /* 2339568 */   GIR_EraseRootFromParent_Done,
     /* 2339569 */ // Label 32409: @2339569
     /* 2339569 */ GIM_Try, /*On fail goto*//*Label 32410*/ GIMT_Encode4(2339623), // Rule ID 58637 //
     /* 2339574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2339577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2339580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339588 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339588 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2339591 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339595 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339600 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2339605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339607 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339610 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339622 */   // GIR_Coverage, 58637,
     /* 2339622 */   GIR_EraseRootFromParent_Done,
     /* 2339623 */ // Label 32410: @2339623
     /* 2339623 */ GIM_Reject,
     /* 2339624 */ // Label 32358: @2339624
     /* 2339624 */ GIM_Try, /*On fail goto*//*Label 32411*/ GIMT_Encode4(2339681), // Rule ID 58412 //
     /* 2339629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2339632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2339635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339643 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339643 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2339646 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339650 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339655 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2339660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339662 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339665 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339679 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339680 */   // GIR_Coverage, 58412,
     /* 2339680 */   GIR_EraseRootFromParent_Done,
     /* 2339681 */ // Label 32411: @2339681
     /* 2339681 */ GIM_Try, /*On fail goto*//*Label 32412*/ GIMT_Encode4(2339738), // Rule ID 58413 //
     /* 2339686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2339689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2339692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339700 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339700 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2339703 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339707 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339712 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2339717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339719 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339722 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339737 */   // GIR_Coverage, 58413,
     /* 2339737 */   GIR_EraseRootFromParent_Done,
     /* 2339738 */ // Label 32412: @2339738
     /* 2339738 */ GIM_Try, /*On fail goto*//*Label 32413*/ GIMT_Encode4(2339792), // Rule ID 58596 //
     /* 2339743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2339746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2339749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339757 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339757 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2339760 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339764 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339769 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2339774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339776 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339779 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339791 */   // GIR_Coverage, 58596,
     /* 2339791 */   GIR_EraseRootFromParent_Done,
     /* 2339792 */ // Label 32413: @2339792
     /* 2339792 */ GIM_Try, /*On fail goto*//*Label 32414*/ GIMT_Encode4(2339846), // Rule ID 58597 //
     /* 2339797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2339800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2339803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339811 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339811 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2339814 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339818 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339823 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2339828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339830 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339833 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339845 */   // GIR_Coverage, 58597,
     /* 2339845 */   GIR_EraseRootFromParent_Done,
     /* 2339846 */ // Label 32414: @2339846
     /* 2339846 */ GIM_Try, /*On fail goto*//*Label 32415*/ GIMT_Encode4(2339903), // Rule ID 58828 //
     /* 2339851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2339854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2339857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339865 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339865 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2339868 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339872 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339877 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2339882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339884 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339887 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339902 */   // GIR_Coverage, 58828,
     /* 2339902 */   GIR_EraseRootFromParent_Done,
     /* 2339903 */ // Label 32415: @2339903
     /* 2339903 */ GIM_Try, /*On fail goto*//*Label 32416*/ GIMT_Encode4(2339960), // Rule ID 58829 //
     /* 2339908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2339911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2339914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339922 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339922 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2339925 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339929 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339934 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2339939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339941 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339944 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339959 */   // GIR_Coverage, 58829,
     /* 2339959 */   GIR_EraseRootFromParent_Done,
     /* 2339960 */ // Label 32416: @2339960
     /* 2339960 */ GIM_Reject,
     /* 2339961 */ // Label 32359: @2339961
     /* 2339961 */ GIM_Try, /*On fail goto*//*Label 32417*/ GIMT_Encode4(2340018), // Rule ID 58424 //
     /* 2339966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2339969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2339972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339980 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339980 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2339983 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339987 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339992 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2339997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339999 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340002 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340017 */   // GIR_Coverage, 58424,
     /* 2340017 */   GIR_EraseRootFromParent_Done,
     /* 2340018 */ // Label 32417: @2340018
     /* 2340018 */ GIM_Try, /*On fail goto*//*Label 32418*/ GIMT_Encode4(2340075), // Rule ID 58425 //
     /* 2340023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2340026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2340029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340037 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340037 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340040 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340044 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340049 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2340054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340056 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340059 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340074 */   // GIR_Coverage, 58425,
     /* 2340074 */   GIR_EraseRootFromParent_Done,
     /* 2340075 */ // Label 32418: @2340075
     /* 2340075 */ GIM_Try, /*On fail goto*//*Label 32419*/ GIMT_Encode4(2340129), // Rule ID 58620 //
     /* 2340080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2340083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2340086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340094 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340094 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340097 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340101 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340106 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2340111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340113 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340116 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340127 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340128 */   // GIR_Coverage, 58620,
     /* 2340128 */   GIR_EraseRootFromParent_Done,
     /* 2340129 */ // Label 32419: @2340129
     /* 2340129 */ GIM_Try, /*On fail goto*//*Label 32420*/ GIMT_Encode4(2340183), // Rule ID 58621 //
     /* 2340134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2340137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2340140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340148 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340148 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340151 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340155 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340160 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2340165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340167 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340170 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340182 */   // GIR_Coverage, 58621,
     /* 2340182 */   GIR_EraseRootFromParent_Done,
     /* 2340183 */ // Label 32420: @2340183
     /* 2340183 */ GIM_Try, /*On fail goto*//*Label 32421*/ GIMT_Encode4(2340240), // Rule ID 58848 //
     /* 2340188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2340191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2340194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340202 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340202 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340205 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340209 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340214 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2340219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340221 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340224 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340239 */   // GIR_Coverage, 58848,
     /* 2340239 */   GIR_EraseRootFromParent_Done,
     /* 2340240 */ // Label 32421: @2340240
     /* 2340240 */ GIM_Try, /*On fail goto*//*Label 32422*/ GIMT_Encode4(2340297), // Rule ID 58849 //
     /* 2340245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2340248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2340251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340259 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340259 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340262 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340266 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340271 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2340276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340278 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340281 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340296 */   // GIR_Coverage, 58849,
     /* 2340296 */   GIR_EraseRootFromParent_Done,
     /* 2340297 */ // Label 32422: @2340297
     /* 2340297 */ GIM_Reject,
     /* 2340298 */ // Label 32360: @2340298
     /* 2340298 */ GIM_Try, /*On fail goto*//*Label 32423*/ GIMT_Encode4(2340355), // Rule ID 58456 //
     /* 2340303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2340306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2340309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340317 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340317 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340320 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340324 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340329 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2340334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340336 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340339 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340354 */   // GIR_Coverage, 58456,
     /* 2340354 */   GIR_EraseRootFromParent_Done,
     /* 2340355 */ // Label 32423: @2340355
     /* 2340355 */ GIM_Try, /*On fail goto*//*Label 32424*/ GIMT_Encode4(2340412), // Rule ID 58457 //
     /* 2340360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2340363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2340366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340374 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340374 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340377 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340381 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2340391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340393 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340396 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340411 */   // GIR_Coverage, 58457,
     /* 2340411 */   GIR_EraseRootFromParent_Done,
     /* 2340412 */ // Label 32424: @2340412
     /* 2340412 */ GIM_Try, /*On fail goto*//*Label 32425*/ GIMT_Encode4(2340466), // Rule ID 58640 //
     /* 2340417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2340420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2340423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340431 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340431 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340434 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340438 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340443 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2340448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340450 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340453 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340464 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340465 */   // GIR_Coverage, 58640,
     /* 2340465 */   GIR_EraseRootFromParent_Done,
     /* 2340466 */ // Label 32425: @2340466
     /* 2340466 */ GIM_Try, /*On fail goto*//*Label 32426*/ GIMT_Encode4(2340520), // Rule ID 58641 //
     /* 2340471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2340474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2340477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340485 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340485 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340488 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340492 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340497 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2340502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340504 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340507 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340519 */   // GIR_Coverage, 58641,
     /* 2340519 */   GIR_EraseRootFromParent_Done,
     /* 2340520 */ // Label 32426: @2340520
     /* 2340520 */ GIM_Reject,
     /* 2340521 */ // Label 32361: @2340521
     /* 2340521 */ GIM_Try, /*On fail goto*//*Label 32427*/ GIMT_Encode4(2340578), // Rule ID 58420 //
     /* 2340526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2340529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2340532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340540 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340540 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340543 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340547 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340552 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2340557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340559 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340562 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340577 */   // GIR_Coverage, 58420,
     /* 2340577 */   GIR_EraseRootFromParent_Done,
     /* 2340578 */ // Label 32427: @2340578
     /* 2340578 */ GIM_Try, /*On fail goto*//*Label 32428*/ GIMT_Encode4(2340635), // Rule ID 58421 //
     /* 2340583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2340586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2340589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340597 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340597 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340600 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340604 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340609 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2340614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340616 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340619 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340634 */   // GIR_Coverage, 58421,
     /* 2340634 */   GIR_EraseRootFromParent_Done,
     /* 2340635 */ // Label 32428: @2340635
     /* 2340635 */ GIM_Try, /*On fail goto*//*Label 32429*/ GIMT_Encode4(2340689), // Rule ID 58600 //
     /* 2340640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2340643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2340646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340654 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340654 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340657 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340661 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340666 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2340671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340673 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340676 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340688 */   // GIR_Coverage, 58600,
     /* 2340688 */   GIR_EraseRootFromParent_Done,
     /* 2340689 */ // Label 32429: @2340689
     /* 2340689 */ GIM_Try, /*On fail goto*//*Label 32430*/ GIMT_Encode4(2340743), // Rule ID 58601 //
     /* 2340694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2340697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2340700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340708 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340708 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340711 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340715 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340720 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2340725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340727 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340730 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340742 */   // GIR_Coverage, 58601,
     /* 2340742 */   GIR_EraseRootFromParent_Done,
     /* 2340743 */ // Label 32430: @2340743
     /* 2340743 */ GIM_Try, /*On fail goto*//*Label 32431*/ GIMT_Encode4(2340800), // Rule ID 58832 //
     /* 2340748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2340751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2340754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340762 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340762 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340765 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340769 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340774 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2340779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340781 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340784 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340799 */   // GIR_Coverage, 58832,
     /* 2340799 */   GIR_EraseRootFromParent_Done,
     /* 2340800 */ // Label 32431: @2340800
     /* 2340800 */ GIM_Try, /*On fail goto*//*Label 32432*/ GIMT_Encode4(2340857), // Rule ID 58833 //
     /* 2340805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2340808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2340811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340819 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340819 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340822 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340826 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2340836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340838 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340841 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340856 */   // GIR_Coverage, 58833,
     /* 2340856 */   GIR_EraseRootFromParent_Done,
     /* 2340857 */ // Label 32432: @2340857
     /* 2340857 */ GIM_Reject,
     /* 2340858 */ // Label 32362: @2340858
     /* 2340858 */ GIM_Try, /*On fail goto*//*Label 32433*/ GIMT_Encode4(2340915), // Rule ID 58444 //
     /* 2340863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2340866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2340869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340877 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340877 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2340880 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340884 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340889 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2340894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340896 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340899 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340914 */   // GIR_Coverage, 58444,
     /* 2340914 */   GIR_EraseRootFromParent_Done,
     /* 2340915 */ // Label 32433: @2340915
     /* 2340915 */ GIM_Try, /*On fail goto*//*Label 32434*/ GIMT_Encode4(2340972), // Rule ID 58445 //
     /* 2340920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2340923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2340926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340934 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2340937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340946 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2340951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340953 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340956 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340971 */   // GIR_Coverage, 58445,
     /* 2340971 */   GIR_EraseRootFromParent_Done,
     /* 2340972 */ // Label 32434: @2340972
     /* 2340972 */ GIM_Try, /*On fail goto*//*Label 32435*/ GIMT_Encode4(2341026), // Rule ID 58624 //
     /* 2340977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2340980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2340983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340991 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2340994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341003 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2341008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341010 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341013 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341025 */   // GIR_Coverage, 58624,
     /* 2341025 */   GIR_EraseRootFromParent_Done,
     /* 2341026 */ // Label 32435: @2341026
     /* 2341026 */ GIM_Try, /*On fail goto*//*Label 32436*/ GIMT_Encode4(2341080), // Rule ID 58625 //
     /* 2341031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2341034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2341037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341045 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341045 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2341048 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341052 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341057 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2341062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341064 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341067 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341079 */   // GIR_Coverage, 58625,
     /* 2341079 */   GIR_EraseRootFromParent_Done,
     /* 2341080 */ // Label 32436: @2341080
     /* 2341080 */ GIM_Try, /*On fail goto*//*Label 32437*/ GIMT_Encode4(2341137), // Rule ID 58852 //
     /* 2341085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2341088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2341091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341099 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341099 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2341102 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341106 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341111 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2341116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341118 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341121 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341136 */   // GIR_Coverage, 58852,
     /* 2341136 */   GIR_EraseRootFromParent_Done,
     /* 2341137 */ // Label 32437: @2341137
     /* 2341137 */ GIM_Try, /*On fail goto*//*Label 32438*/ GIMT_Encode4(2341194), // Rule ID 58853 //
     /* 2341142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2341145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2341148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341156 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341156 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2341159 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341163 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341168 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2341173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341175 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341178 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341193 */   // GIR_Coverage, 58853,
     /* 2341193 */   GIR_EraseRootFromParent_Done,
     /* 2341194 */ // Label 32438: @2341194
     /* 2341194 */ GIM_Reject,
     /* 2341195 */ // Label 32363: @2341195
     /* 2341195 */ GIM_Try, /*On fail goto*//*Label 32439*/ GIMT_Encode4(2341252), // Rule ID 58460 //
     /* 2341200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2341203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2341206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341214 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341214 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341217 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341221 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341226 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2341231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341233 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341236 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341251 */   // GIR_Coverage, 58460,
     /* 2341251 */   GIR_EraseRootFromParent_Done,
     /* 2341252 */ // Label 32439: @2341252
     /* 2341252 */ GIM_Try, /*On fail goto*//*Label 32440*/ GIMT_Encode4(2341309), // Rule ID 58461 //
     /* 2341257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2341260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2341263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341271 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341271 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341274 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341278 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341283 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2341288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341290 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341293 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341308 */   // GIR_Coverage, 58461,
     /* 2341308 */   GIR_EraseRootFromParent_Done,
     /* 2341309 */ // Label 32440: @2341309
     /* 2341309 */ GIM_Try, /*On fail goto*//*Label 32441*/ GIMT_Encode4(2341363), // Rule ID 58644 //
     /* 2341314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2341317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2341320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341328 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341328 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341331 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341335 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341340 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2341345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341347 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341350 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341362 */   // GIR_Coverage, 58644,
     /* 2341362 */   GIR_EraseRootFromParent_Done,
     /* 2341363 */ // Label 32441: @2341363
     /* 2341363 */ GIM_Try, /*On fail goto*//*Label 32442*/ GIMT_Encode4(2341417), // Rule ID 58645 //
     /* 2341368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2341371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2341374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341382 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341382 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341385 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341389 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341394 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2341399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341401 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341404 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341416 */   // GIR_Coverage, 58645,
     /* 2341416 */   GIR_EraseRootFromParent_Done,
     /* 2341417 */ // Label 32442: @2341417
     /* 2341417 */ GIM_Reject,
     /* 2341418 */ // Label 32364: @2341418
     /* 2341418 */ GIM_Try, /*On fail goto*//*Label 32443*/ GIMT_Encode4(2341475), // Rule ID 58432 //
     /* 2341423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2341426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2341429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341437 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341437 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341440 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341444 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341449 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2341454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341456 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341459 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341473 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341474 */   // GIR_Coverage, 58432,
     /* 2341474 */   GIR_EraseRootFromParent_Done,
     /* 2341475 */ // Label 32443: @2341475
     /* 2341475 */ GIM_Try, /*On fail goto*//*Label 32444*/ GIMT_Encode4(2341532), // Rule ID 58433 //
     /* 2341480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2341483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2341486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341494 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341494 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341497 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341501 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341506 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2341511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341513 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341516 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341530 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341531 */   // GIR_Coverage, 58433,
     /* 2341531 */   GIR_EraseRootFromParent_Done,
     /* 2341532 */ // Label 32444: @2341532
     /* 2341532 */ GIM_Try, /*On fail goto*//*Label 32445*/ GIMT_Encode4(2341586), // Rule ID 58604 //
     /* 2341537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2341540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2341543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341551 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341551 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341554 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341558 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341563 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2341568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341570 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341573 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341585 */   // GIR_Coverage, 58604,
     /* 2341585 */   GIR_EraseRootFromParent_Done,
     /* 2341586 */ // Label 32445: @2341586
     /* 2341586 */ GIM_Try, /*On fail goto*//*Label 32446*/ GIMT_Encode4(2341640), // Rule ID 58605 //
     /* 2341591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2341594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2341597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341605 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341605 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341608 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341612 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341617 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2341622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341624 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341627 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341638 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341639 */   // GIR_Coverage, 58605,
     /* 2341639 */   GIR_EraseRootFromParent_Done,
     /* 2341640 */ // Label 32446: @2341640
     /* 2341640 */ GIM_Try, /*On fail goto*//*Label 32447*/ GIMT_Encode4(2341697), // Rule ID 58836 //
     /* 2341645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2341648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2341651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341659 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341659 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341662 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341666 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341671 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2341676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341678 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341681 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341696 */   // GIR_Coverage, 58836,
     /* 2341696 */   GIR_EraseRootFromParent_Done,
     /* 2341697 */ // Label 32447: @2341697
     /* 2341697 */ GIM_Try, /*On fail goto*//*Label 32448*/ GIMT_Encode4(2341754), // Rule ID 58837 //
     /* 2341702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2341705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2341708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341716 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341716 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341719 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341723 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2341733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341738 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341753 */   // GIR_Coverage, 58837,
     /* 2341753 */   GIR_EraseRootFromParent_Done,
     /* 2341754 */ // Label 32448: @2341754
     /* 2341754 */ GIM_Reject,
     /* 2341755 */ // Label 32365: @2341755
     /* 2341755 */ GIM_Try, /*On fail goto*//*Label 32449*/ GIMT_Encode4(2341812), // Rule ID 58448 //
     /* 2341760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2341763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2341766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341774 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341774 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2341777 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341781 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2341791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341796 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341811 */   // GIR_Coverage, 58448,
     /* 2341811 */   GIR_EraseRootFromParent_Done,
     /* 2341812 */ // Label 32449: @2341812
     /* 2341812 */ GIM_Try, /*On fail goto*//*Label 32450*/ GIMT_Encode4(2341869), // Rule ID 58449 //
     /* 2341817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2341820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2341823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341831 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2341834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341843 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2341848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341850 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341853 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341868 */   // GIR_Coverage, 58449,
     /* 2341868 */   GIR_EraseRootFromParent_Done,
     /* 2341869 */ // Label 32450: @2341869
     /* 2341869 */ GIM_Try, /*On fail goto*//*Label 32451*/ GIMT_Encode4(2341923), // Rule ID 58628 //
     /* 2341874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2341877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2341880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341888 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341888 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2341891 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341895 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341900 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2341905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341907 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341910 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341922 */   // GIR_Coverage, 58628,
     /* 2341922 */   GIR_EraseRootFromParent_Done,
     /* 2341923 */ // Label 32451: @2341923
     /* 2341923 */ GIM_Try, /*On fail goto*//*Label 32452*/ GIMT_Encode4(2341977), // Rule ID 58629 //
     /* 2341928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2341931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2341934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341942 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341942 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2341945 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341949 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341954 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2341959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341961 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341964 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341976 */   // GIR_Coverage, 58629,
     /* 2341976 */   GIR_EraseRootFromParent_Done,
     /* 2341977 */ // Label 32452: @2341977
     /* 2341977 */ GIM_Try, /*On fail goto*//*Label 32453*/ GIMT_Encode4(2342034), // Rule ID 58856 //
     /* 2341982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2341985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2341988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341996 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341996 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2341999 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342003 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342008 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2342013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342015 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342018 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342033 */   // GIR_Coverage, 58856,
     /* 2342033 */   GIR_EraseRootFromParent_Done,
     /* 2342034 */ // Label 32453: @2342034
     /* 2342034 */ GIM_Try, /*On fail goto*//*Label 32454*/ GIMT_Encode4(2342091), // Rule ID 58857 //
     /* 2342039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2342042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2342045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342053 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342053 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2342056 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342060 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342065 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2342070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342072 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342075 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342090 */   // GIR_Coverage, 58857,
     /* 2342090 */   GIR_EraseRootFromParent_Done,
     /* 2342091 */ // Label 32454: @2342091
     /* 2342091 */ GIM_Reject,
     /* 2342092 */ // Label 32366: @2342092
     /* 2342092 */ GIM_Try, /*On fail goto*//*Label 32455*/ GIMT_Encode4(2342149), // Rule ID 58464 //
     /* 2342097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2342100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2342103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342111 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342111 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2342114 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342118 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342123 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2342128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342130 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342133 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342148 */   // GIR_Coverage, 58464,
     /* 2342148 */   GIR_EraseRootFromParent_Done,
     /* 2342149 */ // Label 32455: @2342149
     /* 2342149 */ GIM_Try, /*On fail goto*//*Label 32456*/ GIMT_Encode4(2342206), // Rule ID 58465 //
     /* 2342154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2342157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2342160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342168 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342168 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2342171 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342175 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342180 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2342185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342187 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342190 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342205 */   // GIR_Coverage, 58465,
     /* 2342205 */   GIR_EraseRootFromParent_Done,
     /* 2342206 */ // Label 32456: @2342206
     /* 2342206 */ GIM_Try, /*On fail goto*//*Label 32457*/ GIMT_Encode4(2342260), // Rule ID 58648 //
     /* 2342211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2342214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2342217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342225 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342225 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2342228 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342232 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342237 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2342242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342244 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342247 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342259 */   // GIR_Coverage, 58648,
     /* 2342259 */   GIR_EraseRootFromParent_Done,
     /* 2342260 */ // Label 32457: @2342260
     /* 2342260 */ GIM_Try, /*On fail goto*//*Label 32458*/ GIMT_Encode4(2342314), // Rule ID 58649 //
     /* 2342265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2342268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2342271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342279 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2342282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2342296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342301 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342313 */   // GIR_Coverage, 58649,
     /* 2342313 */   GIR_EraseRootFromParent_Done,
     /* 2342314 */ // Label 32458: @2342314
     /* 2342314 */ GIM_Reject,
     /* 2342315 */ // Label 32367: @2342315
     /* 2342315 */ GIM_Try, /*On fail goto*//*Label 32459*/ GIMT_Encode4(2342372), // Rule ID 58436 //
     /* 2342320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2342323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2342326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342334 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342334 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2342337 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342341 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342346 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2342351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342353 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342356 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342371 */   // GIR_Coverage, 58436,
     /* 2342371 */   GIR_EraseRootFromParent_Done,
     /* 2342372 */ // Label 32459: @2342372
     /* 2342372 */ GIM_Try, /*On fail goto*//*Label 32460*/ GIMT_Encode4(2342429), // Rule ID 58437 //
     /* 2342377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2342380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2342383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342391 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342391 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2342394 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342398 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2342408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342410 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342413 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342428 */   // GIR_Coverage, 58437,
     /* 2342428 */   GIR_EraseRootFromParent_Done,
     /* 2342429 */ // Label 32460: @2342429
     /* 2342429 */ GIM_Try, /*On fail goto*//*Label 32461*/ GIMT_Encode4(2342483), // Rule ID 58608 //
     /* 2342434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2342437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2342440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342448 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342448 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2342451 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342455 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342460 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2342465 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342467 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342470 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342481 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342482 */   // GIR_Coverage, 58608,
     /* 2342482 */   GIR_EraseRootFromParent_Done,
     /* 2342483 */ // Label 32461: @2342483
     /* 2342483 */ GIM_Try, /*On fail goto*//*Label 32462*/ GIMT_Encode4(2342537), // Rule ID 58609 //
     /* 2342488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2342491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2342494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342502 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342502 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2342505 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342509 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342514 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2342519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342521 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342524 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342536 */   // GIR_Coverage, 58609,
     /* 2342536 */   GIR_EraseRootFromParent_Done,
     /* 2342537 */ // Label 32462: @2342537
     /* 2342537 */ GIM_Try, /*On fail goto*//*Label 32463*/ GIMT_Encode4(2342594), // Rule ID 58840 //
     /* 2342542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2342545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2342548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342556 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342556 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2342559 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342563 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342568 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2342573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342575 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342578 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342592 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342593 */   // GIR_Coverage, 58840,
     /* 2342593 */   GIR_EraseRootFromParent_Done,
     /* 2342594 */ // Label 32463: @2342594
     /* 2342594 */ GIM_Try, /*On fail goto*//*Label 32464*/ GIMT_Encode4(2342651), // Rule ID 58841 //
     /* 2342599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2342602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2342605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342613 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342613 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2342616 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342620 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342625 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2342630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342632 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342635 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342650 */   // GIR_Coverage, 58841,
     /* 2342650 */   GIR_EraseRootFromParent_Done,
     /* 2342651 */ // Label 32464: @2342651
     /* 2342651 */ GIM_Reject,
     /* 2342652 */ // Label 32368: @2342652
     /* 2342652 */ GIM_Try, /*On fail goto*//*Label 32465*/ GIMT_Encode4(2342709), // Rule ID 58452 //
     /* 2342657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2342660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2342663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342671 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342671 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2342674 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342678 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342683 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2342688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342690 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342693 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342708 */   // GIR_Coverage, 58452,
     /* 2342708 */   GIR_EraseRootFromParent_Done,
     /* 2342709 */ // Label 32465: @2342709
     /* 2342709 */ GIM_Try, /*On fail goto*//*Label 32466*/ GIMT_Encode4(2342766), // Rule ID 58453 //
     /* 2342714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2342717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2342720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342728 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342728 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2342731 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342735 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2342745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342747 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342765 */   // GIR_Coverage, 58453,
     /* 2342765 */   GIR_EraseRootFromParent_Done,
     /* 2342766 */ // Label 32466: @2342766
     /* 2342766 */ GIM_Try, /*On fail goto*//*Label 32467*/ GIMT_Encode4(2342820), // Rule ID 58632 //
     /* 2342771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2342774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2342777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342785 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342785 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2342788 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342792 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2342802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342804 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342807 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342818 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342819 */   // GIR_Coverage, 58632,
     /* 2342819 */   GIR_EraseRootFromParent_Done,
     /* 2342820 */ // Label 32467: @2342820
     /* 2342820 */ GIM_Try, /*On fail goto*//*Label 32468*/ GIMT_Encode4(2342874), // Rule ID 58633 //
     /* 2342825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2342828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2342831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342839 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342839 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2342842 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342846 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342851 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2342856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342858 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342861 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342873 */   // GIR_Coverage, 58633,
     /* 2342873 */   GIR_EraseRootFromParent_Done,
     /* 2342874 */ // Label 32468: @2342874
     /* 2342874 */ GIM_Reject,
     /* 2342875 */ // Label 32369: @2342875
     /* 2342875 */ GIM_Try, /*On fail goto*//*Label 32469*/ GIMT_Encode4(2342932), // Rule ID 58440 //
     /* 2342880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2342883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2342886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342894 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342894 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2342897 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342901 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342906 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2342911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342913 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342916 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342930 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342931 */   // GIR_Coverage, 58440,
     /* 2342931 */   GIR_EraseRootFromParent_Done,
     /* 2342932 */ // Label 32469: @2342932
     /* 2342932 */ GIM_Try, /*On fail goto*//*Label 32470*/ GIMT_Encode4(2342989), // Rule ID 58441 //
     /* 2342937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2342940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2342943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342951 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342951 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2342954 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342958 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342963 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2342968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342970 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342973 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342988 */   // GIR_Coverage, 58441,
     /* 2342988 */   GIR_EraseRootFromParent_Done,
     /* 2342989 */ // Label 32470: @2342989
     /* 2342989 */ GIM_Try, /*On fail goto*//*Label 32471*/ GIMT_Encode4(2343043), // Rule ID 58612 //
     /* 2342994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2342997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2343000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343008 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343008 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343011 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343015 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343020 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2343025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343027 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343030 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343041 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343042 */   // GIR_Coverage, 58612,
     /* 2343042 */   GIR_EraseRootFromParent_Done,
     /* 2343043 */ // Label 32471: @2343043
     /* 2343043 */ GIM_Try, /*On fail goto*//*Label 32472*/ GIMT_Encode4(2343097), // Rule ID 58613 //
     /* 2343048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2343051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2343054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343062 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343074 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2343079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343081 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343084 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343096 */   // GIR_Coverage, 58613,
     /* 2343096 */   GIR_EraseRootFromParent_Done,
     /* 2343097 */ // Label 32472: @2343097
     /* 2343097 */ GIM_Reject,
     /* 2343098 */ // Label 32370: @2343098
     /* 2343098 */ GIM_Reject,
     /* 2343099 */ // Label 70: @2343099
     /* 2343099 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32491*/ GIMT_Encode4(2348384),
     /* 2343110 */ /*GILLT_s16*//*Label 32473*/ GIMT_Encode4(2343230),
     /* 2343114 */ /*GILLT_s32*//*Label 32474*/ GIMT_Encode4(2343491),
     /* 2343118 */ /*GILLT_s64*//*Label 32475*/ GIMT_Encode4(2343752), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2343130 */ /*GILLT_nxv1s16*//*Label 32476*/ GIMT_Encode4(2344013),
     /* 2343134 */ /*GILLT_nxv1s32*//*Label 32477*/ GIMT_Encode4(2344350),
     /* 2343138 */ /*GILLT_nxv1s64*//*Label 32478*/ GIMT_Encode4(2344687), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2343150 */ /*GILLT_nxv2s16*//*Label 32479*/ GIMT_Encode4(2344910),
     /* 2343154 */ /*GILLT_nxv2s32*//*Label 32480*/ GIMT_Encode4(2345247),
     /* 2343158 */ /*GILLT_nxv2s64*//*Label 32481*/ GIMT_Encode4(2345584), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2343170 */ /*GILLT_nxv4s16*//*Label 32482*/ GIMT_Encode4(2345807),
     /* 2343174 */ /*GILLT_nxv4s32*//*Label 32483*/ GIMT_Encode4(2346144),
     /* 2343178 */ /*GILLT_nxv4s64*//*Label 32484*/ GIMT_Encode4(2346481), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2343190 */ /*GILLT_nxv8s16*//*Label 32485*/ GIMT_Encode4(2346704),
     /* 2343194 */ /*GILLT_nxv8s32*//*Label 32486*/ GIMT_Encode4(2347041),
     /* 2343198 */ /*GILLT_nxv8s64*//*Label 32487*/ GIMT_Encode4(2347378), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2343210 */ /*GILLT_nxv16s16*//*Label 32488*/ GIMT_Encode4(2347601),
     /* 2343214 */ /*GILLT_nxv16s32*//*Label 32489*/ GIMT_Encode4(2347938), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2343226 */ /*GILLT_nxv32s16*//*Label 32490*/ GIMT_Encode4(2348161),
     /* 2343230 */ // Label 32473: @2343230
     /* 2343230 */ GIM_Try, /*On fail goto*//*Label 32492*/ GIMT_Encode4(2343267), // Rule ID 2263 //
     /* 2343235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2343238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343245 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2343252 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2343252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2343255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343257 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2343262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343266 */   // GIR_Coverage, 2263,
     /* 2343266 */   GIR_EraseRootFromParent_Done,
     /* 2343267 */ // Label 32492: @2343267
     /* 2343267 */ GIM_Try, /*On fail goto*//*Label 32493*/ GIMT_Encode4(2343304), // Rule ID 2289 //
     /* 2343272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2343275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2343282 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2343289 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2343289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2343292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343294 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2343299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343303 */   // GIR_Coverage, 2289,
     /* 2343303 */   GIR_EraseRootFromParent_Done,
     /* 2343304 */ // Label 32493: @2343304
     /* 2343304 */ GIM_Try, /*On fail goto*//*Label 32494*/ GIMT_Encode4(2343335), // Rule ID 2214 //
     /* 2343309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2343312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343323 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2343323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2343326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343328 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343334 */   // GIR_Coverage, 2214,
     /* 2343334 */   GIR_EraseRootFromParent_Done,
     /* 2343335 */ // Label 32494: @2343335
     /* 2343335 */ GIM_Try, /*On fail goto*//*Label 32495*/ GIMT_Encode4(2343366), // Rule ID 2215 //
     /* 2343340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2343343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343354 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2343354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2343357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343359 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343365 */   // GIR_Coverage, 2215,
     /* 2343365 */   GIR_EraseRootFromParent_Done,
     /* 2343366 */ // Label 32495: @2343366
     /* 2343366 */ GIM_Try, /*On fail goto*//*Label 32496*/ GIMT_Encode4(2343397), // Rule ID 2240 //
     /* 2343371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2343374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2343381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343385 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2343385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2343388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343390 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343396 */   // GIR_Coverage, 2240,
     /* 2343396 */   GIR_EraseRootFromParent_Done,
     /* 2343397 */ // Label 32496: @2343397
     /* 2343397 */ GIM_Try, /*On fail goto*//*Label 32497*/ GIMT_Encode4(2343428), // Rule ID 2241 //
     /* 2343402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2343405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2343412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343416 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2343416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2343419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343421 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343427 */   // GIR_Coverage, 2241,
     /* 2343427 */   GIR_EraseRootFromParent_Done,
     /* 2343428 */ // Label 32497: @2343428
     /* 2343428 */ GIM_Try, /*On fail goto*//*Label 32498*/ GIMT_Encode4(2343459), // Rule ID 2267 //
     /* 2343433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2343436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343447 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2343447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU),
     /* 2343450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343452 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343457 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343458 */   // GIR_Coverage, 2267,
     /* 2343458 */   GIR_EraseRootFromParent_Done,
     /* 2343459 */ // Label 32498: @2343459
     /* 2343459 */ GIM_Try, /*On fail goto*//*Label 32499*/ GIMT_Encode4(2343490), // Rule ID 2293 //
     /* 2343464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2343467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2343474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343478 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2343478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU_INX),
     /* 2343481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343483 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343489 */   // GIR_Coverage, 2293,
     /* 2343489 */   GIR_EraseRootFromParent_Done,
     /* 2343490 */ // Label 32499: @2343490
     /* 2343490 */ GIM_Reject,
     /* 2343491 */ // Label 32474: @2343491
     /* 2343491 */ GIM_Try, /*On fail goto*//*Label 32500*/ GIMT_Encode4(2343528), // Rule ID 1529 //
     /* 2343496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2343499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343506 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2343513 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2343513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2343516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343518 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2343523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343527 */   // GIR_Coverage, 1529,
     /* 2343527 */   GIR_EraseRootFromParent_Done,
     /* 2343528 */ // Label 32500: @2343528
     /* 2343528 */ GIM_Try, /*On fail goto*//*Label 32501*/ GIMT_Encode4(2343565), // Rule ID 1557 //
     /* 2343533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2343536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343543 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2343550 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2343550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2343553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343555 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2343560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343563 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343564 */   // GIR_Coverage, 1557,
     /* 2343564 */   GIR_EraseRootFromParent_Done,
     /* 2343565 */ // Label 32501: @2343565
     /* 2343565 */ GIM_Try, /*On fail goto*//*Label 32502*/ GIMT_Encode4(2343596), // Rule ID 1478 //
     /* 2343570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2343573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343584 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2343584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2343587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343589 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343594 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343595 */   // GIR_Coverage, 1478,
     /* 2343595 */   GIR_EraseRootFromParent_Done,
     /* 2343596 */ // Label 32502: @2343596
     /* 2343596 */ GIM_Try, /*On fail goto*//*Label 32503*/ GIMT_Encode4(2343627), // Rule ID 1479 //
     /* 2343601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2343604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343615 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2343615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2343618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343620 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343625 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343626 */   // GIR_Coverage, 1479,
     /* 2343626 */   GIR_EraseRootFromParent_Done,
     /* 2343627 */ // Label 32503: @2343627
     /* 2343627 */ GIM_Try, /*On fail goto*//*Label 32504*/ GIMT_Encode4(2343658), // Rule ID 1504 //
     /* 2343632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2343635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343646 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2343646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2343649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343651 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343656 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343657 */   // GIR_Coverage, 1504,
     /* 2343657 */   GIR_EraseRootFromParent_Done,
     /* 2343658 */ // Label 32504: @2343658
     /* 2343658 */ GIM_Try, /*On fail goto*//*Label 32505*/ GIMT_Encode4(2343689), // Rule ID 1505 //
     /* 2343663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2343666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343677 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2343677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2343680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343682 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343688 */   // GIR_Coverage, 1505,
     /* 2343688 */   GIR_EraseRootFromParent_Done,
     /* 2343689 */ // Label 32505: @2343689
     /* 2343689 */ GIM_Try, /*On fail goto*//*Label 32506*/ GIMT_Encode4(2343720), // Rule ID 1533 //
     /* 2343694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2343697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343708 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2343708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU),
     /* 2343711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343713 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343719 */   // GIR_Coverage, 1533,
     /* 2343719 */   GIR_EraseRootFromParent_Done,
     /* 2343720 */ // Label 32506: @2343720
     /* 2343720 */ GIM_Try, /*On fail goto*//*Label 32507*/ GIMT_Encode4(2343751), // Rule ID 1561 //
     /* 2343725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2343728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2343735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343739 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2343739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU_INX),
     /* 2343742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343744 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343750 */   // GIR_Coverage, 1561,
     /* 2343750 */   GIR_EraseRootFromParent_Done,
     /* 2343751 */ // Label 32507: @2343751
     /* 2343751 */ GIM_Reject,
     /* 2343752 */ // Label 32475: @2343752
     /* 2343752 */ GIM_Try, /*On fail goto*//*Label 32508*/ GIMT_Encode4(2343789), // Rule ID 1909 //
     /* 2343757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2343760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343767 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2343774 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2343774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2343777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343779 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2343784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2343787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343788 */   // GIR_Coverage, 1909,
     /* 2343788 */   GIR_EraseRootFromParent_Done,
     /* 2343789 */ // Label 32508: @2343789
     /* 2343789 */ GIM_Try, /*On fail goto*//*Label 32509*/ GIMT_Encode4(2343826), // Rule ID 1937 //
     /* 2343794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2343797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343804 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2343811 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2343811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_INX),
     /* 2343814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343816 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2343821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2343824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343825 */   // GIR_Coverage, 1937,
     /* 2343825 */   GIR_EraseRootFromParent_Done,
     /* 2343826 */ // Label 32509: @2343826
     /* 2343826 */ GIM_Try, /*On fail goto*//*Label 32510*/ GIMT_Encode4(2343857), // Rule ID 1872 //
     /* 2343831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2343834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343845 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2343845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2343848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343850 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2343855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343856 */   // GIR_Coverage, 1872,
     /* 2343856 */   GIR_EraseRootFromParent_Done,
     /* 2343857 */ // Label 32510: @2343857
     /* 2343857 */ GIM_Try, /*On fail goto*//*Label 32511*/ GIMT_Encode4(2343888), // Rule ID 1873 //
     /* 2343862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2343865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343876 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2343876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2343879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343881 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2343886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343887 */   // GIR_Coverage, 1873,
     /* 2343887 */   GIR_EraseRootFromParent_Done,
     /* 2343888 */ // Label 32511: @2343888
     /* 2343888 */ GIM_Try, /*On fail goto*//*Label 32512*/ GIMT_Encode4(2343919), // Rule ID 1898 //
     /* 2343893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2343896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2343903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343907 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2343907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2343910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343912 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2343917 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343918 */   // GIR_Coverage, 1898,
     /* 2343918 */   GIR_EraseRootFromParent_Done,
     /* 2343919 */ // Label 32512: @2343919
     /* 2343919 */ GIM_Try, /*On fail goto*//*Label 32513*/ GIMT_Encode4(2343950), // Rule ID 1899 //
     /* 2343924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2343927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2343934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343938 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2343938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2343941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343943 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2343948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343949 */   // GIR_Coverage, 1899,
     /* 2343949 */   GIR_EraseRootFromParent_Done,
     /* 2343950 */ // Label 32513: @2343950
     /* 2343950 */ GIM_Try, /*On fail goto*//*Label 32514*/ GIMT_Encode4(2343981), // Rule ID 1927 //
     /* 2343955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2343958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343969 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2343969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU),
     /* 2343972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343974 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343980 */   // GIR_Coverage, 1927,
     /* 2343980 */   GIR_EraseRootFromParent_Done,
     /* 2343981 */ // Label 32514: @2343981
     /* 2343981 */ GIM_Try, /*On fail goto*//*Label 32515*/ GIMT_Encode4(2344012), // Rule ID 1955 //
     /* 2343986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2343989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344000 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2344000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU_INX),
     /* 2344003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344005 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344011 */   // GIR_Coverage, 1955,
     /* 2344011 */   GIR_EraseRootFromParent_Done,
     /* 2344012 */ // Label 32515: @2344012
     /* 2344012 */ GIM_Reject,
     /* 2344013 */ // Label 32476: @2344013
     /* 2344013 */ GIM_Try, /*On fail goto*//*Label 32516*/ GIMT_Encode4(2344070), // Rule ID 58468 //
     /* 2344018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2344021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2344024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344032 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344032 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344035 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344039 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344044 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2344049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344051 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344054 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344068 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344069 */   // GIR_Coverage, 58468,
     /* 2344069 */   GIR_EraseRootFromParent_Done,
     /* 2344070 */ // Label 32516: @2344070
     /* 2344070 */ GIM_Try, /*On fail goto*//*Label 32517*/ GIMT_Encode4(2344127), // Rule ID 58469 //
     /* 2344075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2344078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2344081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344089 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344089 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344092 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344096 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344101 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2344106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344108 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344111 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344126 */   // GIR_Coverage, 58469,
     /* 2344126 */   GIR_EraseRootFromParent_Done,
     /* 2344127 */ // Label 32517: @2344127
     /* 2344127 */ GIM_Try, /*On fail goto*//*Label 32518*/ GIMT_Encode4(2344181), // Rule ID 58652 //
     /* 2344132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2344135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2344138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344146 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344146 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344149 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344153 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344158 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2344163 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344165 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344168 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344179 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344180 */   // GIR_Coverage, 58652,
     /* 2344180 */   GIR_EraseRootFromParent_Done,
     /* 2344181 */ // Label 32518: @2344181
     /* 2344181 */ GIM_Try, /*On fail goto*//*Label 32519*/ GIMT_Encode4(2344235), // Rule ID 58653 //
     /* 2344186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2344189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2344192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344200 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344200 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344203 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344207 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344212 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2344217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344219 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344222 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344233 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344234 */   // GIR_Coverage, 58653,
     /* 2344234 */   GIR_EraseRootFromParent_Done,
     /* 2344235 */ // Label 32519: @2344235
     /* 2344235 */ GIM_Try, /*On fail goto*//*Label 32520*/ GIMT_Encode4(2344292), // Rule ID 58860 //
     /* 2344240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2344243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2344246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344254 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344254 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344257 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344261 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344266 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2344271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344273 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344276 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344291 */   // GIR_Coverage, 58860,
     /* 2344291 */   GIR_EraseRootFromParent_Done,
     /* 2344292 */ // Label 32520: @2344292
     /* 2344292 */ GIM_Try, /*On fail goto*//*Label 32521*/ GIMT_Encode4(2344349), // Rule ID 58861 //
     /* 2344297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2344300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2344303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344311 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344311 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344314 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344318 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344323 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2344328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344330 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344333 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344348 */   // GIR_Coverage, 58861,
     /* 2344348 */   GIR_EraseRootFromParent_Done,
     /* 2344349 */ // Label 32521: @2344349
     /* 2344349 */ GIM_Reject,
     /* 2344350 */ // Label 32477: @2344350
     /* 2344350 */ GIM_Try, /*On fail goto*//*Label 32522*/ GIMT_Encode4(2344407), // Rule ID 58476 //
     /* 2344355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2344358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2344361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344369 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344369 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344372 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344376 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344381 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2344386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344388 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344391 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344405 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344406 */   // GIR_Coverage, 58476,
     /* 2344406 */   GIR_EraseRootFromParent_Done,
     /* 2344407 */ // Label 32522: @2344407
     /* 2344407 */ GIM_Try, /*On fail goto*//*Label 32523*/ GIMT_Encode4(2344464), // Rule ID 58477 //
     /* 2344412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2344415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2344418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344426 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344426 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344429 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344433 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344438 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2344443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344445 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344448 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344463 */   // GIR_Coverage, 58477,
     /* 2344463 */   GIR_EraseRootFromParent_Done,
     /* 2344464 */ // Label 32523: @2344464
     /* 2344464 */ GIM_Try, /*On fail goto*//*Label 32524*/ GIMT_Encode4(2344518), // Rule ID 58676 //
     /* 2344469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2344472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2344475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344483 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344483 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344486 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344490 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344495 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344497 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2344500 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344502 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344505 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344517 */   // GIR_Coverage, 58676,
     /* 2344517 */   GIR_EraseRootFromParent_Done,
     /* 2344518 */ // Label 32524: @2344518
     /* 2344518 */ GIM_Try, /*On fail goto*//*Label 32525*/ GIMT_Encode4(2344572), // Rule ID 58677 //
     /* 2344523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2344526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2344529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344537 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344537 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344540 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344544 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344549 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2344554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344556 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344559 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344571 */   // GIR_Coverage, 58677,
     /* 2344571 */   GIR_EraseRootFromParent_Done,
     /* 2344572 */ // Label 32525: @2344572
     /* 2344572 */ GIM_Try, /*On fail goto*//*Label 32526*/ GIMT_Encode4(2344629), // Rule ID 58880 //
     /* 2344577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2344580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2344583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344591 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344591 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344594 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344598 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344603 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2344608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344610 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344613 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344628 */   // GIR_Coverage, 58880,
     /* 2344628 */   GIR_EraseRootFromParent_Done,
     /* 2344629 */ // Label 32526: @2344629
     /* 2344629 */ GIM_Try, /*On fail goto*//*Label 32527*/ GIMT_Encode4(2344686), // Rule ID 58881 //
     /* 2344634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2344637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2344640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344648 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344648 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344651 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344655 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344660 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2344665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344667 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344670 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344685 */   // GIR_Coverage, 58881,
     /* 2344685 */   GIR_EraseRootFromParent_Done,
     /* 2344686 */ // Label 32527: @2344686
     /* 2344686 */ GIM_Reject,
     /* 2344687 */ // Label 32478: @2344687
     /* 2344687 */ GIM_Try, /*On fail goto*//*Label 32528*/ GIMT_Encode4(2344744), // Rule ID 58488 //
     /* 2344692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2344695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2344698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344706 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344706 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344709 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344713 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344718 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2344723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344725 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344728 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344743 */   // GIR_Coverage, 58488,
     /* 2344743 */   GIR_EraseRootFromParent_Done,
     /* 2344744 */ // Label 32528: @2344744
     /* 2344744 */ GIM_Try, /*On fail goto*//*Label 32529*/ GIMT_Encode4(2344801), // Rule ID 58489 //
     /* 2344749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2344752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2344755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344763 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344763 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344766 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344770 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344775 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2344780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344782 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344785 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344800 */   // GIR_Coverage, 58489,
     /* 2344800 */   GIR_EraseRootFromParent_Done,
     /* 2344801 */ // Label 32529: @2344801
     /* 2344801 */ GIM_Try, /*On fail goto*//*Label 32530*/ GIMT_Encode4(2344855), // Rule ID 58696 //
     /* 2344806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2344809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2344812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344820 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344820 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344823 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344827 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344832 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2344837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344839 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344842 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344854 */   // GIR_Coverage, 58696,
     /* 2344854 */   GIR_EraseRootFromParent_Done,
     /* 2344855 */ // Label 32530: @2344855
     /* 2344855 */ GIM_Try, /*On fail goto*//*Label 32531*/ GIMT_Encode4(2344909), // Rule ID 58697 //
     /* 2344860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2344863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2344866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344874 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344874 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344877 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344881 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344886 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2344891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344893 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344896 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344908 */   // GIR_Coverage, 58697,
     /* 2344908 */   GIR_EraseRootFromParent_Done,
     /* 2344909 */ // Label 32531: @2344909
     /* 2344909 */ GIM_Reject,
     /* 2344910 */ // Label 32479: @2344910
     /* 2344910 */ GIM_Try, /*On fail goto*//*Label 32532*/ GIMT_Encode4(2344967), // Rule ID 58472 //
     /* 2344915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2344918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2344921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344929 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344929 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2344932 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344936 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344941 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2344946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344948 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344951 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344966 */   // GIR_Coverage, 58472,
     /* 2344966 */   GIR_EraseRootFromParent_Done,
     /* 2344967 */ // Label 32532: @2344967
     /* 2344967 */ GIM_Try, /*On fail goto*//*Label 32533*/ GIMT_Encode4(2345024), // Rule ID 58473 //
     /* 2344972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2344975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2344978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344986 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344986 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2344989 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344993 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344998 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2345003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345005 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345008 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345023 */   // GIR_Coverage, 58473,
     /* 2345023 */   GIR_EraseRootFromParent_Done,
     /* 2345024 */ // Label 32533: @2345024
     /* 2345024 */ GIM_Try, /*On fail goto*//*Label 32534*/ GIMT_Encode4(2345078), // Rule ID 58656 //
     /* 2345029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2345032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2345035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345043 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345043 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2345046 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345050 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345055 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2345060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345062 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345065 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345077 */   // GIR_Coverage, 58656,
     /* 2345077 */   GIR_EraseRootFromParent_Done,
     /* 2345078 */ // Label 32534: @2345078
     /* 2345078 */ GIM_Try, /*On fail goto*//*Label 32535*/ GIMT_Encode4(2345132), // Rule ID 58657 //
     /* 2345083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2345086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2345089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345097 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345097 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2345100 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345104 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345109 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2345114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345116 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345119 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345130 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345131 */   // GIR_Coverage, 58657,
     /* 2345131 */   GIR_EraseRootFromParent_Done,
     /* 2345132 */ // Label 32535: @2345132
     /* 2345132 */ GIM_Try, /*On fail goto*//*Label 32536*/ GIMT_Encode4(2345189), // Rule ID 58864 //
     /* 2345137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2345140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2345143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345151 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345151 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2345154 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345158 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345163 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2345168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345170 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345173 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345187 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345188 */   // GIR_Coverage, 58864,
     /* 2345188 */   GIR_EraseRootFromParent_Done,
     /* 2345189 */ // Label 32536: @2345189
     /* 2345189 */ GIM_Try, /*On fail goto*//*Label 32537*/ GIMT_Encode4(2345246), // Rule ID 58865 //
     /* 2345194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2345197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2345200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345208 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345208 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2345211 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345215 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345220 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2345225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345227 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345230 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345245 */   // GIR_Coverage, 58865,
     /* 2345245 */   GIR_EraseRootFromParent_Done,
     /* 2345246 */ // Label 32537: @2345246
     /* 2345246 */ GIM_Reject,
     /* 2345247 */ // Label 32480: @2345247
     /* 2345247 */ GIM_Try, /*On fail goto*//*Label 32538*/ GIMT_Encode4(2345304), // Rule ID 58484 //
     /* 2345252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2345255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2345258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345266 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345266 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345269 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345273 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345278 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2345283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345285 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345288 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345303 */   // GIR_Coverage, 58484,
     /* 2345303 */   GIR_EraseRootFromParent_Done,
     /* 2345304 */ // Label 32538: @2345304
     /* 2345304 */ GIM_Try, /*On fail goto*//*Label 32539*/ GIMT_Encode4(2345361), // Rule ID 58485 //
     /* 2345309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2345312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2345315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345323 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345323 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345326 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345330 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345335 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2345340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345342 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345345 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345360 */   // GIR_Coverage, 58485,
     /* 2345360 */   GIR_EraseRootFromParent_Done,
     /* 2345361 */ // Label 32539: @2345361
     /* 2345361 */ GIM_Try, /*On fail goto*//*Label 32540*/ GIMT_Encode4(2345415), // Rule ID 58680 //
     /* 2345366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2345369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2345372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345380 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345380 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345383 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345387 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345392 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2345397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345399 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345402 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345414 */   // GIR_Coverage, 58680,
     /* 2345414 */   GIR_EraseRootFromParent_Done,
     /* 2345415 */ // Label 32540: @2345415
     /* 2345415 */ GIM_Try, /*On fail goto*//*Label 32541*/ GIMT_Encode4(2345469), // Rule ID 58681 //
     /* 2345420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2345423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2345426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345434 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345434 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345437 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345441 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345446 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2345451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345453 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345456 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345468 */   // GIR_Coverage, 58681,
     /* 2345468 */   GIR_EraseRootFromParent_Done,
     /* 2345469 */ // Label 32541: @2345469
     /* 2345469 */ GIM_Try, /*On fail goto*//*Label 32542*/ GIMT_Encode4(2345526), // Rule ID 58884 //
     /* 2345474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2345477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2345480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345488 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345488 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345491 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345495 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345500 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2345505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345507 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345510 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345525 */   // GIR_Coverage, 58884,
     /* 2345525 */   GIR_EraseRootFromParent_Done,
     /* 2345526 */ // Label 32542: @2345526
     /* 2345526 */ GIM_Try, /*On fail goto*//*Label 32543*/ GIMT_Encode4(2345583), // Rule ID 58885 //
     /* 2345531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2345534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2345537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345545 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345545 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345548 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345552 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345557 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2345562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345564 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345567 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345582 */   // GIR_Coverage, 58885,
     /* 2345582 */   GIR_EraseRootFromParent_Done,
     /* 2345583 */ // Label 32543: @2345583
     /* 2345583 */ GIM_Reject,
     /* 2345584 */ // Label 32481: @2345584
     /* 2345584 */ GIM_Try, /*On fail goto*//*Label 32544*/ GIMT_Encode4(2345641), // Rule ID 58516 //
     /* 2345589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2345592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2345595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345603 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345603 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2345606 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345610 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345615 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2345620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345622 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345625 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345640 */   // GIR_Coverage, 58516,
     /* 2345640 */   GIR_EraseRootFromParent_Done,
     /* 2345641 */ // Label 32544: @2345641
     /* 2345641 */ GIM_Try, /*On fail goto*//*Label 32545*/ GIMT_Encode4(2345698), // Rule ID 58517 //
     /* 2345646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2345649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2345652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345660 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345660 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2345663 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345667 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345672 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2345677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345679 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345682 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345697 */   // GIR_Coverage, 58517,
     /* 2345697 */   GIR_EraseRootFromParent_Done,
     /* 2345698 */ // Label 32545: @2345698
     /* 2345698 */ GIM_Try, /*On fail goto*//*Label 32546*/ GIMT_Encode4(2345752), // Rule ID 58700 //
     /* 2345703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2345706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2345709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345717 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345717 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2345720 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345724 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345729 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2345734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345736 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345739 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345751 */   // GIR_Coverage, 58700,
     /* 2345751 */   GIR_EraseRootFromParent_Done,
     /* 2345752 */ // Label 32546: @2345752
     /* 2345752 */ GIM_Try, /*On fail goto*//*Label 32547*/ GIMT_Encode4(2345806), // Rule ID 58701 //
     /* 2345757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2345760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2345763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345771 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345771 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2345774 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345778 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345783 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2345788 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345790 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345793 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345805 */   // GIR_Coverage, 58701,
     /* 2345805 */   GIR_EraseRootFromParent_Done,
     /* 2345806 */ // Label 32547: @2345806
     /* 2345806 */ GIM_Reject,
     /* 2345807 */ // Label 32482: @2345807
     /* 2345807 */ GIM_Try, /*On fail goto*//*Label 32548*/ GIMT_Encode4(2345864), // Rule ID 58480 //
     /* 2345812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2345815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2345818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345826 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345826 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2345829 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345833 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345838 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2345843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345845 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345848 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345863 */   // GIR_Coverage, 58480,
     /* 2345863 */   GIR_EraseRootFromParent_Done,
     /* 2345864 */ // Label 32548: @2345864
     /* 2345864 */ GIM_Try, /*On fail goto*//*Label 32549*/ GIMT_Encode4(2345921), // Rule ID 58481 //
     /* 2345869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2345872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2345875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345883 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345883 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2345886 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345890 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345895 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2345900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345902 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345905 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345919 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345920 */   // GIR_Coverage, 58481,
     /* 2345920 */   GIR_EraseRootFromParent_Done,
     /* 2345921 */ // Label 32549: @2345921
     /* 2345921 */ GIM_Try, /*On fail goto*//*Label 32550*/ GIMT_Encode4(2345975), // Rule ID 58660 //
     /* 2345926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2345929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2345932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345940 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345940 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2345943 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345947 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345952 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2345957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345959 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345962 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345974 */   // GIR_Coverage, 58660,
     /* 2345974 */   GIR_EraseRootFromParent_Done,
     /* 2345975 */ // Label 32550: @2345975
     /* 2345975 */ GIM_Try, /*On fail goto*//*Label 32551*/ GIMT_Encode4(2346029), // Rule ID 58661 //
     /* 2345980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2345983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2345986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345994 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345994 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2345997 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346001 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346006 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2346011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346013 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346016 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346028 */   // GIR_Coverage, 58661,
     /* 2346028 */   GIR_EraseRootFromParent_Done,
     /* 2346029 */ // Label 32551: @2346029
     /* 2346029 */ GIM_Try, /*On fail goto*//*Label 32552*/ GIMT_Encode4(2346086), // Rule ID 58868 //
     /* 2346034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2346037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2346040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346048 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346048 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2346051 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346055 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346060 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2346065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346067 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346070 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346084 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346085 */   // GIR_Coverage, 58868,
     /* 2346085 */   GIR_EraseRootFromParent_Done,
     /* 2346086 */ // Label 32552: @2346086
     /* 2346086 */ GIM_Try, /*On fail goto*//*Label 32553*/ GIMT_Encode4(2346143), // Rule ID 58869 //
     /* 2346091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2346094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2346097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346105 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346105 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2346108 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346112 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346117 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2346122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346124 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346127 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346142 */   // GIR_Coverage, 58869,
     /* 2346142 */   GIR_EraseRootFromParent_Done,
     /* 2346143 */ // Label 32553: @2346143
     /* 2346143 */ GIM_Reject,
     /* 2346144 */ // Label 32483: @2346144
     /* 2346144 */ GIM_Try, /*On fail goto*//*Label 32554*/ GIMT_Encode4(2346201), // Rule ID 58504 //
     /* 2346149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2346152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2346155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346163 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346163 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2346166 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346170 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346175 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2346180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346182 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346185 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346200 */   // GIR_Coverage, 58504,
     /* 2346200 */   GIR_EraseRootFromParent_Done,
     /* 2346201 */ // Label 32554: @2346201
     /* 2346201 */ GIM_Try, /*On fail goto*//*Label 32555*/ GIMT_Encode4(2346258), // Rule ID 58505 //
     /* 2346206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2346209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2346212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346220 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346220 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2346223 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346227 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346232 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2346237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346239 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346242 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346257 */   // GIR_Coverage, 58505,
     /* 2346257 */   GIR_EraseRootFromParent_Done,
     /* 2346258 */ // Label 32555: @2346258
     /* 2346258 */ GIM_Try, /*On fail goto*//*Label 32556*/ GIMT_Encode4(2346312), // Rule ID 58684 //
     /* 2346263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2346266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2346269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346277 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346277 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2346280 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346284 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346289 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2346294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346296 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346299 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346311 */   // GIR_Coverage, 58684,
     /* 2346311 */   GIR_EraseRootFromParent_Done,
     /* 2346312 */ // Label 32556: @2346312
     /* 2346312 */ GIM_Try, /*On fail goto*//*Label 32557*/ GIMT_Encode4(2346366), // Rule ID 58685 //
     /* 2346317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2346320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2346323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346331 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346331 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2346334 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346338 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346343 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2346348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346350 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346353 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346365 */   // GIR_Coverage, 58685,
     /* 2346365 */   GIR_EraseRootFromParent_Done,
     /* 2346366 */ // Label 32557: @2346366
     /* 2346366 */ GIM_Try, /*On fail goto*//*Label 32558*/ GIMT_Encode4(2346423), // Rule ID 58888 //
     /* 2346371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2346374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2346377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346385 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346385 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2346388 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346392 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346397 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2346402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346404 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346407 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346422 */   // GIR_Coverage, 58888,
     /* 2346422 */   GIR_EraseRootFromParent_Done,
     /* 2346423 */ // Label 32558: @2346423
     /* 2346423 */ GIM_Try, /*On fail goto*//*Label 32559*/ GIMT_Encode4(2346480), // Rule ID 58889 //
     /* 2346428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2346431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2346434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346442 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346442 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2346445 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346449 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346454 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2346459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346461 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346464 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346479 */   // GIR_Coverage, 58889,
     /* 2346479 */   GIR_EraseRootFromParent_Done,
     /* 2346480 */ // Label 32559: @2346480
     /* 2346480 */ GIM_Reject,
     /* 2346481 */ // Label 32484: @2346481
     /* 2346481 */ GIM_Try, /*On fail goto*//*Label 32560*/ GIMT_Encode4(2346538), // Rule ID 58520 //
     /* 2346486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2346489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2346492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346500 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346500 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2346503 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346507 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346512 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2346517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346519 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346522 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346537 */   // GIR_Coverage, 58520,
     /* 2346537 */   GIR_EraseRootFromParent_Done,
     /* 2346538 */ // Label 32560: @2346538
     /* 2346538 */ GIM_Try, /*On fail goto*//*Label 32561*/ GIMT_Encode4(2346595), // Rule ID 58521 //
     /* 2346543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2346546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2346549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346557 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346557 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2346560 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346564 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2346574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346576 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346579 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346594 */   // GIR_Coverage, 58521,
     /* 2346594 */   GIR_EraseRootFromParent_Done,
     /* 2346595 */ // Label 32561: @2346595
     /* 2346595 */ GIM_Try, /*On fail goto*//*Label 32562*/ GIMT_Encode4(2346649), // Rule ID 58704 //
     /* 2346600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2346603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2346606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346614 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346614 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2346617 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346621 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346626 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2346631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346633 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346636 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346648 */   // GIR_Coverage, 58704,
     /* 2346648 */   GIR_EraseRootFromParent_Done,
     /* 2346649 */ // Label 32562: @2346649
     /* 2346649 */ GIM_Try, /*On fail goto*//*Label 32563*/ GIMT_Encode4(2346703), // Rule ID 58705 //
     /* 2346654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2346657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2346660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346668 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346668 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2346671 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346675 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346680 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2346685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346687 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346690 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346702 */   // GIR_Coverage, 58705,
     /* 2346702 */   GIR_EraseRootFromParent_Done,
     /* 2346703 */ // Label 32563: @2346703
     /* 2346703 */ GIM_Reject,
     /* 2346704 */ // Label 32485: @2346704
     /* 2346704 */ GIM_Try, /*On fail goto*//*Label 32564*/ GIMT_Encode4(2346761), // Rule ID 58492 //
     /* 2346709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2346712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2346715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346723 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346723 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2346726 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346730 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346735 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2346740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346742 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346745 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346760 */   // GIR_Coverage, 58492,
     /* 2346760 */   GIR_EraseRootFromParent_Done,
     /* 2346761 */ // Label 32564: @2346761
     /* 2346761 */ GIM_Try, /*On fail goto*//*Label 32565*/ GIMT_Encode4(2346818), // Rule ID 58493 //
     /* 2346766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2346769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2346772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346780 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346780 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2346783 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346787 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346792 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2346797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346799 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346802 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346817 */   // GIR_Coverage, 58493,
     /* 2346817 */   GIR_EraseRootFromParent_Done,
     /* 2346818 */ // Label 32565: @2346818
     /* 2346818 */ GIM_Try, /*On fail goto*//*Label 32566*/ GIMT_Encode4(2346872), // Rule ID 58664 //
     /* 2346823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2346826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2346829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346837 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346837 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2346840 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346844 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346849 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2346854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346856 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346859 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346871 */   // GIR_Coverage, 58664,
     /* 2346871 */   GIR_EraseRootFromParent_Done,
     /* 2346872 */ // Label 32566: @2346872
     /* 2346872 */ GIM_Try, /*On fail goto*//*Label 32567*/ GIMT_Encode4(2346926), // Rule ID 58665 //
     /* 2346877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2346880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2346883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346891 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346891 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2346894 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346898 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346903 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2346908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346910 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346913 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346925 */   // GIR_Coverage, 58665,
     /* 2346925 */   GIR_EraseRootFromParent_Done,
     /* 2346926 */ // Label 32567: @2346926
     /* 2346926 */ GIM_Try, /*On fail goto*//*Label 32568*/ GIMT_Encode4(2346983), // Rule ID 58872 //
     /* 2346931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2346934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2346937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346945 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346945 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2346948 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346952 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346957 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2346962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346964 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346967 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346982 */   // GIR_Coverage, 58872,
     /* 2346982 */   GIR_EraseRootFromParent_Done,
     /* 2346983 */ // Label 32568: @2346983
     /* 2346983 */ GIM_Try, /*On fail goto*//*Label 32569*/ GIMT_Encode4(2347040), // Rule ID 58873 //
     /* 2346988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2346991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2346994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347002 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2347005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2347019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347024 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347039 */   // GIR_Coverage, 58873,
     /* 2347039 */   GIR_EraseRootFromParent_Done,
     /* 2347040 */ // Label 32569: @2347040
     /* 2347040 */ GIM_Reject,
     /* 2347041 */ // Label 32486: @2347041
     /* 2347041 */ GIM_Try, /*On fail goto*//*Label 32570*/ GIMT_Encode4(2347098), // Rule ID 58508 //
     /* 2347046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2347049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2347052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347060 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347060 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347063 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347067 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347072 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2347077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347079 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347082 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347096 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347097 */   // GIR_Coverage, 58508,
     /* 2347097 */   GIR_EraseRootFromParent_Done,
     /* 2347098 */ // Label 32570: @2347098
     /* 2347098 */ GIM_Try, /*On fail goto*//*Label 32571*/ GIMT_Encode4(2347155), // Rule ID 58509 //
     /* 2347103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2347106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2347109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347117 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347117 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347120 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347124 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347129 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2347134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347136 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347139 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347154 */   // GIR_Coverage, 58509,
     /* 2347154 */   GIR_EraseRootFromParent_Done,
     /* 2347155 */ // Label 32571: @2347155
     /* 2347155 */ GIM_Try, /*On fail goto*//*Label 32572*/ GIMT_Encode4(2347209), // Rule ID 58688 //
     /* 2347160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2347163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2347166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347174 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347174 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347177 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347181 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347186 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2347191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347193 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347196 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347208 */   // GIR_Coverage, 58688,
     /* 2347208 */   GIR_EraseRootFromParent_Done,
     /* 2347209 */ // Label 32572: @2347209
     /* 2347209 */ GIM_Try, /*On fail goto*//*Label 32573*/ GIMT_Encode4(2347263), // Rule ID 58689 //
     /* 2347214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2347217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2347220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347228 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347228 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347231 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347235 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2347245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347250 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347262 */   // GIR_Coverage, 58689,
     /* 2347262 */   GIR_EraseRootFromParent_Done,
     /* 2347263 */ // Label 32573: @2347263
     /* 2347263 */ GIM_Try, /*On fail goto*//*Label 32574*/ GIMT_Encode4(2347320), // Rule ID 58892 //
     /* 2347268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2347271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2347274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347282 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347282 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347285 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347289 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2347299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347304 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347319 */   // GIR_Coverage, 58892,
     /* 2347319 */   GIR_EraseRootFromParent_Done,
     /* 2347320 */ // Label 32574: @2347320
     /* 2347320 */ GIM_Try, /*On fail goto*//*Label 32575*/ GIMT_Encode4(2347377), // Rule ID 58893 //
     /* 2347325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2347328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2347331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347339 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347339 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347342 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347346 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347351 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2347356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347358 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347361 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347376 */   // GIR_Coverage, 58893,
     /* 2347376 */   GIR_EraseRootFromParent_Done,
     /* 2347377 */ // Label 32575: @2347377
     /* 2347377 */ GIM_Reject,
     /* 2347378 */ // Label 32487: @2347378
     /* 2347378 */ GIM_Try, /*On fail goto*//*Label 32576*/ GIMT_Encode4(2347435), // Rule ID 58524 //
     /* 2347383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2347386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2347389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347397 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347397 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2347400 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347404 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347409 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2347414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347416 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347419 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347434 */   // GIR_Coverage, 58524,
     /* 2347434 */   GIR_EraseRootFromParent_Done,
     /* 2347435 */ // Label 32576: @2347435
     /* 2347435 */ GIM_Try, /*On fail goto*//*Label 32577*/ GIMT_Encode4(2347492), // Rule ID 58525 //
     /* 2347440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2347443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2347446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347454 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347454 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2347457 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347461 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347466 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2347471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347473 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347476 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347491 */   // GIR_Coverage, 58525,
     /* 2347491 */   GIR_EraseRootFromParent_Done,
     /* 2347492 */ // Label 32577: @2347492
     /* 2347492 */ GIM_Try, /*On fail goto*//*Label 32578*/ GIMT_Encode4(2347546), // Rule ID 58708 //
     /* 2347497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2347500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2347503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347511 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347511 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2347514 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347518 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347523 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2347528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347530 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347533 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347545 */   // GIR_Coverage, 58708,
     /* 2347545 */   GIR_EraseRootFromParent_Done,
     /* 2347546 */ // Label 32578: @2347546
     /* 2347546 */ GIM_Try, /*On fail goto*//*Label 32579*/ GIMT_Encode4(2347600), // Rule ID 58709 //
     /* 2347551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2347554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2347557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347565 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347565 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2347568 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347572 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347577 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2347582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347584 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347587 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347599 */   // GIR_Coverage, 58709,
     /* 2347599 */   GIR_EraseRootFromParent_Done,
     /* 2347600 */ // Label 32579: @2347600
     /* 2347600 */ GIM_Reject,
     /* 2347601 */ // Label 32488: @2347601
     /* 2347601 */ GIM_Try, /*On fail goto*//*Label 32580*/ GIMT_Encode4(2347658), // Rule ID 58496 //
     /* 2347606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2347609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2347612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347620 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347620 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347623 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347627 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347632 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2347637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347639 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347642 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347656 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347657 */   // GIR_Coverage, 58496,
     /* 2347657 */   GIR_EraseRootFromParent_Done,
     /* 2347658 */ // Label 32580: @2347658
     /* 2347658 */ GIM_Try, /*On fail goto*//*Label 32581*/ GIMT_Encode4(2347715), // Rule ID 58497 //
     /* 2347663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2347666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2347669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347677 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347677 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347680 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347684 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347689 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2347694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347696 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347699 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347714 */   // GIR_Coverage, 58497,
     /* 2347714 */   GIR_EraseRootFromParent_Done,
     /* 2347715 */ // Label 32581: @2347715
     /* 2347715 */ GIM_Try, /*On fail goto*//*Label 32582*/ GIMT_Encode4(2347769), // Rule ID 58668 //
     /* 2347720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2347723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2347726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347734 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347734 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347737 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347741 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347746 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2347751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347753 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347756 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347768 */   // GIR_Coverage, 58668,
     /* 2347768 */   GIR_EraseRootFromParent_Done,
     /* 2347769 */ // Label 32582: @2347769
     /* 2347769 */ GIM_Try, /*On fail goto*//*Label 32583*/ GIMT_Encode4(2347823), // Rule ID 58669 //
     /* 2347774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2347777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2347780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347788 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347788 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347791 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347795 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347800 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2347805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347807 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347810 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347822 */   // GIR_Coverage, 58669,
     /* 2347822 */   GIR_EraseRootFromParent_Done,
     /* 2347823 */ // Label 32583: @2347823
     /* 2347823 */ GIM_Try, /*On fail goto*//*Label 32584*/ GIMT_Encode4(2347880), // Rule ID 58876 //
     /* 2347828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2347831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2347834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347842 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347842 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347845 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347849 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347854 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2347859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347861 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347864 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347879 */   // GIR_Coverage, 58876,
     /* 2347879 */   GIR_EraseRootFromParent_Done,
     /* 2347880 */ // Label 32584: @2347880
     /* 2347880 */ GIM_Try, /*On fail goto*//*Label 32585*/ GIMT_Encode4(2347937), // Rule ID 58877 //
     /* 2347885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2347888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2347891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347899 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2347916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347921 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347935 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347936 */   // GIR_Coverage, 58877,
     /* 2347936 */   GIR_EraseRootFromParent_Done,
     /* 2347937 */ // Label 32585: @2347937
     /* 2347937 */ GIM_Reject,
     /* 2347938 */ // Label 32489: @2347938
     /* 2347938 */ GIM_Try, /*On fail goto*//*Label 32586*/ GIMT_Encode4(2347995), // Rule ID 58512 //
     /* 2347943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2347946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2347949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347957 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347957 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2347960 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347964 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2347974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347979 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347994 */   // GIR_Coverage, 58512,
     /* 2347994 */   GIR_EraseRootFromParent_Done,
     /* 2347995 */ // Label 32586: @2347995
     /* 2347995 */ GIM_Try, /*On fail goto*//*Label 32587*/ GIMT_Encode4(2348052), // Rule ID 58513 //
     /* 2348000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2348003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2348006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348014 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2348017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348026 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2348031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348033 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348036 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2348041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348051 */   // GIR_Coverage, 58513,
     /* 2348051 */   GIR_EraseRootFromParent_Done,
     /* 2348052 */ // Label 32587: @2348052
     /* 2348052 */ GIM_Try, /*On fail goto*//*Label 32588*/ GIMT_Encode4(2348106), // Rule ID 58692 //
     /* 2348057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2348060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2348063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348071 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348071 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2348074 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348078 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348083 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2348088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348090 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348093 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348105 */   // GIR_Coverage, 58692,
     /* 2348105 */   GIR_EraseRootFromParent_Done,
     /* 2348106 */ // Label 32588: @2348106
     /* 2348106 */ GIM_Try, /*On fail goto*//*Label 32589*/ GIMT_Encode4(2348160), // Rule ID 58693 //
     /* 2348111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2348114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2348117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348125 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348125 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2348128 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348132 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348137 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2348142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348144 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348147 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348159 */   // GIR_Coverage, 58693,
     /* 2348159 */   GIR_EraseRootFromParent_Done,
     /* 2348160 */ // Label 32589: @2348160
     /* 2348160 */ GIM_Reject,
     /* 2348161 */ // Label 32490: @2348161
     /* 2348161 */ GIM_Try, /*On fail goto*//*Label 32590*/ GIMT_Encode4(2348218), // Rule ID 58500 //
     /* 2348166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2348169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2348172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348180 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348180 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2348183 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348187 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348192 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2348197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348199 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348202 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2348207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348217 */   // GIR_Coverage, 58500,
     /* 2348217 */   GIR_EraseRootFromParent_Done,
     /* 2348218 */ // Label 32590: @2348218
     /* 2348218 */ GIM_Try, /*On fail goto*//*Label 32591*/ GIMT_Encode4(2348275), // Rule ID 58501 //
     /* 2348223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2348226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2348229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348237 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348237 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2348240 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348244 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348249 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2348254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348256 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348259 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2348264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348274 */   // GIR_Coverage, 58501,
     /* 2348274 */   GIR_EraseRootFromParent_Done,
     /* 2348275 */ // Label 32591: @2348275
     /* 2348275 */ GIM_Try, /*On fail goto*//*Label 32592*/ GIMT_Encode4(2348329), // Rule ID 58672 //
     /* 2348280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2348283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2348286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348294 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348294 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2348297 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348301 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348306 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2348311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348313 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348316 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348328 */   // GIR_Coverage, 58672,
     /* 2348328 */   GIR_EraseRootFromParent_Done,
     /* 2348329 */ // Label 32592: @2348329
     /* 2348329 */ GIM_Try, /*On fail goto*//*Label 32593*/ GIMT_Encode4(2348383), // Rule ID 58673 //
     /* 2348334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2348337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2348340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348348 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348348 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2348351 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348355 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348360 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2348365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348367 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348370 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348382 */   // GIR_Coverage, 58673,
     /* 2348382 */   GIR_EraseRootFromParent_Done,
     /* 2348383 */ // Label 32593: @2348383
     /* 2348383 */ GIM_Reject,
     /* 2348384 */ // Label 32491: @2348384
     /* 2348384 */ GIM_Reject,
     /* 2348385 */ // Label 71: @2348385
     /* 2348385 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32612*/ GIMT_Encode4(2350355),
     /* 2348396 */ /*GILLT_s16*//*Label 32594*/ GIMT_Encode4(2348516),
     /* 2348400 */ /*GILLT_s32*//*Label 32595*/ GIMT_Encode4(2348580),
     /* 2348404 */ /*GILLT_s64*//*Label 32596*/ GIMT_Encode4(2348644), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348416 */ /*GILLT_nxv1s16*//*Label 32597*/ GIMT_Encode4(2348735),
     /* 2348420 */ /*GILLT_nxv1s32*//*Label 32598*/ GIMT_Encode4(2348843),
     /* 2348424 */ /*GILLT_nxv1s64*//*Label 32599*/ GIMT_Encode4(2348951), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348436 */ /*GILLT_nxv2s16*//*Label 32600*/ GIMT_Encode4(2349059),
     /* 2348440 */ /*GILLT_nxv2s32*//*Label 32601*/ GIMT_Encode4(2349167),
     /* 2348444 */ /*GILLT_nxv2s64*//*Label 32602*/ GIMT_Encode4(2349275), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348456 */ /*GILLT_nxv4s16*//*Label 32603*/ GIMT_Encode4(2349383),
     /* 2348460 */ /*GILLT_nxv4s32*//*Label 32604*/ GIMT_Encode4(2349491),
     /* 2348464 */ /*GILLT_nxv4s64*//*Label 32605*/ GIMT_Encode4(2349599), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348476 */ /*GILLT_nxv8s16*//*Label 32606*/ GIMT_Encode4(2349707),
     /* 2348480 */ /*GILLT_nxv8s32*//*Label 32607*/ GIMT_Encode4(2349815),
     /* 2348484 */ /*GILLT_nxv8s64*//*Label 32608*/ GIMT_Encode4(2349923), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348496 */ /*GILLT_nxv16s16*//*Label 32609*/ GIMT_Encode4(2350031),
     /* 2348500 */ /*GILLT_nxv16s32*//*Label 32610*/ GIMT_Encode4(2350139), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348512 */ /*GILLT_nxv32s16*//*Label 32611*/ GIMT_Encode4(2350247),
     /* 2348516 */ // Label 32594: @2348516
     /* 2348516 */ GIM_Try, /*On fail goto*//*Label 32613*/ GIMT_Encode4(2348579),
     /* 2348521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2348524 */   GIM_Try, /*On fail goto*//*Label 32614*/ GIMT_Encode4(2348551), // Rule ID 1993 //
     /* 2348529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2348532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348540 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2348540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H),
     /* 2348543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348550 */     // GIR_Coverage, 1993,
     /* 2348550 */     GIR_EraseRootFromParent_Done,
     /* 2348551 */   // Label 32614: @2348551
     /* 2348551 */   GIM_Try, /*On fail goto*//*Label 32615*/ GIMT_Encode4(2348578), // Rule ID 2026 //
     /* 2348556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2348559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2348563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2348567 */     // (fabs:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2348567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H_INX),
     /* 2348570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348577 */     // GIR_Coverage, 2026,
     /* 2348577 */     GIR_EraseRootFromParent_Done,
     /* 2348578 */   // Label 32615: @2348578
     /* 2348578 */   GIM_Reject,
     /* 2348579 */ // Label 32613: @2348579
     /* 2348579 */ GIM_Reject,
     /* 2348580 */ // Label 32595: @2348580
     /* 2348580 */ GIM_Try, /*On fail goto*//*Label 32616*/ GIMT_Encode4(2348643),
     /* 2348585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2348588 */   GIM_Try, /*On fail goto*//*Label 32617*/ GIMT_Encode4(2348615), // Rule ID 1284 //
     /* 2348593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2348596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348604 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2348604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S),
     /* 2348607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348614 */     // GIR_Coverage, 1284,
     /* 2348614 */     GIR_EraseRootFromParent_Done,
     /* 2348615 */   // Label 32617: @2348615
     /* 2348615 */   GIM_Try, /*On fail goto*//*Label 32618*/ GIMT_Encode4(2348642), // Rule ID 1292 //
     /* 2348620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2348623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2348627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2348631 */     // (fabs:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2348631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S_INX),
     /* 2348634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348641 */     // GIR_Coverage, 1292,
     /* 2348641 */     GIR_EraseRootFromParent_Done,
     /* 2348642 */   // Label 32618: @2348642
     /* 2348642 */   GIM_Reject,
     /* 2348643 */ // Label 32616: @2348643
     /* 2348643 */ GIM_Reject,
     /* 2348644 */ // Label 32596: @2348644
     /* 2348644 */ GIM_Try, /*On fail goto*//*Label 32619*/ GIMT_Encode4(2348734),
     /* 2348649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2348652 */   GIM_Try, /*On fail goto*//*Label 32620*/ GIMT_Encode4(2348679), // Rule ID 1627 //
     /* 2348657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2348660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348668 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2348668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D),
     /* 2348671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348678 */     // GIR_Coverage, 1627,
     /* 2348678 */     GIR_EraseRootFromParent_Done,
     /* 2348679 */   // Label 32620: @2348679
     /* 2348679 */   GIM_Try, /*On fail goto*//*Label 32621*/ GIMT_Encode4(2348706), // Rule ID 1660 //
     /* 2348684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2348687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348695 */     // (fabs:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2348695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_INX),
     /* 2348698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348705 */     // GIR_Coverage, 1660,
     /* 2348705 */     GIR_EraseRootFromParent_Done,
     /* 2348706 */   // Label 32621: @2348706
     /* 2348706 */   GIM_Try, /*On fail goto*//*Label 32622*/ GIMT_Encode4(2348733), // Rule ID 1682 //
     /* 2348711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2348714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2348718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2348722 */     // (fabs:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2348722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_IN32X),
     /* 2348725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348732 */     // GIR_Coverage, 1682,
     /* 2348732 */     GIR_EraseRootFromParent_Done,
     /* 2348733 */   // Label 32622: @2348733
     /* 2348733 */   GIM_Reject,
     /* 2348734 */ // Label 32619: @2348734
     /* 2348734 */ GIM_Reject,
     /* 2348735 */ // Label 32597: @2348735
     /* 2348735 */ GIM_Try, /*On fail goto*//*Label 32623*/ GIMT_Encode4(2348842),
     /* 2348740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2348743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348751 */   GIM_Try, /*On fail goto*//*Label 32624*/ GIMT_Encode4(2348796), // Rule ID 56244 //
     /* 2348756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2348759 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2348762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2348776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2348783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2348785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348795 */     // GIR_Coverage, 56244,
     /* 2348795 */     GIR_EraseRootFromParent_Done,
     /* 2348796 */   // Label 32624: @2348796
     /* 2348796 */   GIM_Try, /*On fail goto*//*Label 32625*/ GIMT_Encode4(2348841), // Rule ID 56245 //
     /* 2348801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2348804 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2348807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2348821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2348828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2348830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348840 */     // GIR_Coverage, 56245,
     /* 2348840 */     GIR_EraseRootFromParent_Done,
     /* 2348841 */   // Label 32625: @2348841
     /* 2348841 */   GIM_Reject,
     /* 2348842 */ // Label 32623: @2348842
     /* 2348842 */ GIM_Reject,
     /* 2348843 */ // Label 32598: @2348843
     /* 2348843 */ GIM_Try, /*On fail goto*//*Label 32626*/ GIMT_Encode4(2348950),
     /* 2348848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2348851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348859 */   GIM_Try, /*On fail goto*//*Label 32627*/ GIMT_Encode4(2348904), // Rule ID 56284 //
     /* 2348864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2348867 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2348870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2348884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2348891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2348893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348903 */     // GIR_Coverage, 56284,
     /* 2348903 */     GIR_EraseRootFromParent_Done,
     /* 2348904 */   // Label 32627: @2348904
     /* 2348904 */   GIM_Try, /*On fail goto*//*Label 32628*/ GIMT_Encode4(2348949), // Rule ID 56285 //
     /* 2348909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2348912 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2348915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2348929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2348936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2348938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348948 */     // GIR_Coverage, 56285,
     /* 2348948 */     GIR_EraseRootFromParent_Done,
     /* 2348949 */   // Label 32628: @2348949
     /* 2348949 */   GIM_Reject,
     /* 2348950 */ // Label 32626: @2348950
     /* 2348950 */ GIM_Reject,
     /* 2348951 */ // Label 32599: @2348951
     /* 2348951 */ GIM_Try, /*On fail goto*//*Label 32629*/ GIMT_Encode4(2349058),
     /* 2348956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2348959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348967 */   GIM_Try, /*On fail goto*//*Label 32630*/ GIMT_Encode4(2349012), // Rule ID 56344 //
     /* 2348972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2348975 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2348978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2348992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2348999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349011 */     // GIR_Coverage, 56344,
     /* 2349011 */     GIR_EraseRootFromParent_Done,
     /* 2349012 */   // Label 32630: @2349012
     /* 2349012 */   GIM_Try, /*On fail goto*//*Label 32631*/ GIMT_Encode4(2349057), // Rule ID 56345 //
     /* 2349017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2349020 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2349023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2349037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349056 */     // GIR_Coverage, 56345,
     /* 2349056 */     GIR_EraseRootFromParent_Done,
     /* 2349057 */   // Label 32631: @2349057
     /* 2349057 */   GIM_Reject,
     /* 2349058 */ // Label 32629: @2349058
     /* 2349058 */ GIM_Reject,
     /* 2349059 */ // Label 32600: @2349059
     /* 2349059 */ GIM_Try, /*On fail goto*//*Label 32632*/ GIMT_Encode4(2349166),
     /* 2349064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2349067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349075 */   GIM_Try, /*On fail goto*//*Label 32633*/ GIMT_Encode4(2349120), // Rule ID 56264 //
     /* 2349080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2349083 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2349086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2349100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349119 */     // GIR_Coverage, 56264,
     /* 2349119 */     GIR_EraseRootFromParent_Done,
     /* 2349120 */   // Label 32633: @2349120
     /* 2349120 */   GIM_Try, /*On fail goto*//*Label 32634*/ GIMT_Encode4(2349165), // Rule ID 56265 //
     /* 2349125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2349128 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2349131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2349145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349164 */     // GIR_Coverage, 56265,
     /* 2349164 */     GIR_EraseRootFromParent_Done,
     /* 2349165 */   // Label 32634: @2349165
     /* 2349165 */   GIM_Reject,
     /* 2349166 */ // Label 32632: @2349166
     /* 2349166 */ GIM_Reject,
     /* 2349167 */ // Label 32601: @2349167
     /* 2349167 */ GIM_Try, /*On fail goto*//*Label 32635*/ GIMT_Encode4(2349274),
     /* 2349172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2349175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349183 */   GIM_Try, /*On fail goto*//*Label 32636*/ GIMT_Encode4(2349228), // Rule ID 56324 //
     /* 2349188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2349191 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2349194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2349208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349227 */     // GIR_Coverage, 56324,
     /* 2349227 */     GIR_EraseRootFromParent_Done,
     /* 2349228 */   // Label 32636: @2349228
     /* 2349228 */   GIM_Try, /*On fail goto*//*Label 32637*/ GIMT_Encode4(2349273), // Rule ID 56325 //
     /* 2349233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2349236 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2349239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2349253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349272 */     // GIR_Coverage, 56325,
     /* 2349272 */     GIR_EraseRootFromParent_Done,
     /* 2349273 */   // Label 32637: @2349273
     /* 2349273 */   GIM_Reject,
     /* 2349274 */ // Label 32635: @2349274
     /* 2349274 */ GIM_Reject,
     /* 2349275 */ // Label 32602: @2349275
     /* 2349275 */ GIM_Try, /*On fail goto*//*Label 32638*/ GIMT_Encode4(2349382),
     /* 2349280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2349283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349291 */   GIM_Try, /*On fail goto*//*Label 32639*/ GIMT_Encode4(2349336), // Rule ID 56484 //
     /* 2349296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2349299 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2349302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2349316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349335 */     // GIR_Coverage, 56484,
     /* 2349335 */     GIR_EraseRootFromParent_Done,
     /* 2349336 */   // Label 32639: @2349336
     /* 2349336 */   GIM_Try, /*On fail goto*//*Label 32640*/ GIMT_Encode4(2349381), // Rule ID 56485 //
     /* 2349341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2349344 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2349347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2349361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349380 */     // GIR_Coverage, 56485,
     /* 2349380 */     GIR_EraseRootFromParent_Done,
     /* 2349381 */   // Label 32640: @2349381
     /* 2349381 */   GIM_Reject,
     /* 2349382 */ // Label 32638: @2349382
     /* 2349382 */ GIM_Reject,
     /* 2349383 */ // Label 32603: @2349383
     /* 2349383 */ GIM_Try, /*On fail goto*//*Label 32641*/ GIMT_Encode4(2349490),
     /* 2349388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2349391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349399 */   GIM_Try, /*On fail goto*//*Label 32642*/ GIMT_Encode4(2349444), // Rule ID 56304 //
     /* 2349404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2349407 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2349410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2349424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349443 */     // GIR_Coverage, 56304,
     /* 2349443 */     GIR_EraseRootFromParent_Done,
     /* 2349444 */   // Label 32642: @2349444
     /* 2349444 */   GIM_Try, /*On fail goto*//*Label 32643*/ GIMT_Encode4(2349489), // Rule ID 56305 //
     /* 2349449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2349452 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2349455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2349469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349488 */     // GIR_Coverage, 56305,
     /* 2349488 */     GIR_EraseRootFromParent_Done,
     /* 2349489 */   // Label 32643: @2349489
     /* 2349489 */   GIM_Reject,
     /* 2349490 */ // Label 32641: @2349490
     /* 2349490 */ GIM_Reject,
     /* 2349491 */ // Label 32604: @2349491
     /* 2349491 */ GIM_Try, /*On fail goto*//*Label 32644*/ GIMT_Encode4(2349598),
     /* 2349496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2349499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349507 */   GIM_Try, /*On fail goto*//*Label 32645*/ GIMT_Encode4(2349552), // Rule ID 56424 //
     /* 2349512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2349515 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2349518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2349532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349551 */     // GIR_Coverage, 56424,
     /* 2349551 */     GIR_EraseRootFromParent_Done,
     /* 2349552 */   // Label 32645: @2349552
     /* 2349552 */   GIM_Try, /*On fail goto*//*Label 32646*/ GIMT_Encode4(2349597), // Rule ID 56425 //
     /* 2349557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2349560 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2349563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2349577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349596 */     // GIR_Coverage, 56425,
     /* 2349596 */     GIR_EraseRootFromParent_Done,
     /* 2349597 */   // Label 32646: @2349597
     /* 2349597 */   GIM_Reject,
     /* 2349598 */ // Label 32644: @2349598
     /* 2349598 */ GIM_Reject,
     /* 2349599 */ // Label 32605: @2349599
     /* 2349599 */ GIM_Try, /*On fail goto*//*Label 32647*/ GIMT_Encode4(2349706),
     /* 2349604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2349607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349615 */   GIM_Try, /*On fail goto*//*Label 32648*/ GIMT_Encode4(2349660), // Rule ID 56504 //
     /* 2349620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2349623 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2349626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2349640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349659 */     // GIR_Coverage, 56504,
     /* 2349659 */     GIR_EraseRootFromParent_Done,
     /* 2349660 */   // Label 32648: @2349660
     /* 2349660 */   GIM_Try, /*On fail goto*//*Label 32649*/ GIMT_Encode4(2349705), // Rule ID 56505 //
     /* 2349665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2349668 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2349671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2349685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349704 */     // GIR_Coverage, 56505,
     /* 2349704 */     GIR_EraseRootFromParent_Done,
     /* 2349705 */   // Label 32649: @2349705
     /* 2349705 */   GIM_Reject,
     /* 2349706 */ // Label 32647: @2349706
     /* 2349706 */ GIM_Reject,
     /* 2349707 */ // Label 32606: @2349707
     /* 2349707 */ GIM_Try, /*On fail goto*//*Label 32650*/ GIMT_Encode4(2349814),
     /* 2349712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2349715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349723 */   GIM_Try, /*On fail goto*//*Label 32651*/ GIMT_Encode4(2349768), // Rule ID 56364 //
     /* 2349728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2349731 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2349734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2349748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349767 */     // GIR_Coverage, 56364,
     /* 2349767 */     GIR_EraseRootFromParent_Done,
     /* 2349768 */   // Label 32651: @2349768
     /* 2349768 */   GIM_Try, /*On fail goto*//*Label 32652*/ GIMT_Encode4(2349813), // Rule ID 56365 //
     /* 2349773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2349776 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2349779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2349793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349812 */     // GIR_Coverage, 56365,
     /* 2349812 */     GIR_EraseRootFromParent_Done,
     /* 2349813 */   // Label 32652: @2349813
     /* 2349813 */   GIM_Reject,
     /* 2349814 */ // Label 32650: @2349814
     /* 2349814 */ GIM_Reject,
     /* 2349815 */ // Label 32607: @2349815
     /* 2349815 */ GIM_Try, /*On fail goto*//*Label 32653*/ GIMT_Encode4(2349922),
     /* 2349820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2349823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349831 */   GIM_Try, /*On fail goto*//*Label 32654*/ GIMT_Encode4(2349876), // Rule ID 56444 //
     /* 2349836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2349839 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2349842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2349856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349875 */     // GIR_Coverage, 56444,
     /* 2349875 */     GIR_EraseRootFromParent_Done,
     /* 2349876 */   // Label 32654: @2349876
     /* 2349876 */   GIM_Try, /*On fail goto*//*Label 32655*/ GIMT_Encode4(2349921), // Rule ID 56445 //
     /* 2349881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2349884 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2349887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2349901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349920 */     // GIR_Coverage, 56445,
     /* 2349920 */     GIR_EraseRootFromParent_Done,
     /* 2349921 */   // Label 32655: @2349921
     /* 2349921 */   GIM_Reject,
     /* 2349922 */ // Label 32653: @2349922
     /* 2349922 */ GIM_Reject,
     /* 2349923 */ // Label 32608: @2349923
     /* 2349923 */ GIM_Try, /*On fail goto*//*Label 32656*/ GIMT_Encode4(2350030),
     /* 2349928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2349931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349939 */   GIM_Try, /*On fail goto*//*Label 32657*/ GIMT_Encode4(2349984), // Rule ID 56524 //
     /* 2349944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2349947 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2349950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2349964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2349973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349983 */     // GIR_Coverage, 56524,
     /* 2349983 */     GIR_EraseRootFromParent_Done,
     /* 2349984 */   // Label 32657: @2349984
     /* 2349984 */   GIM_Try, /*On fail goto*//*Label 32658*/ GIMT_Encode4(2350029), // Rule ID 56525 //
     /* 2349989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2349992 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2349995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2350009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350028 */     // GIR_Coverage, 56525,
     /* 2350028 */     GIR_EraseRootFromParent_Done,
     /* 2350029 */   // Label 32658: @2350029
     /* 2350029 */   GIM_Reject,
     /* 2350030 */ // Label 32656: @2350030
     /* 2350030 */ GIM_Reject,
     /* 2350031 */ // Label 32609: @2350031
     /* 2350031 */ GIM_Try, /*On fail goto*//*Label 32659*/ GIMT_Encode4(2350138),
     /* 2350036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2350039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350047 */   GIM_Try, /*On fail goto*//*Label 32660*/ GIMT_Encode4(2350092), // Rule ID 56384 //
     /* 2350052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2350055 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2350058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2350072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350091 */     // GIR_Coverage, 56384,
     /* 2350091 */     GIR_EraseRootFromParent_Done,
     /* 2350092 */   // Label 32660: @2350092
     /* 2350092 */   GIM_Try, /*On fail goto*//*Label 32661*/ GIMT_Encode4(2350137), // Rule ID 56385 //
     /* 2350097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2350100 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2350103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2350117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350136 */     // GIR_Coverage, 56385,
     /* 2350136 */     GIR_EraseRootFromParent_Done,
     /* 2350137 */   // Label 32661: @2350137
     /* 2350137 */   GIM_Reject,
     /* 2350138 */ // Label 32659: @2350138
     /* 2350138 */ GIM_Reject,
     /* 2350139 */ // Label 32610: @2350139
     /* 2350139 */ GIM_Try, /*On fail goto*//*Label 32662*/ GIMT_Encode4(2350246),
     /* 2350144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2350147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350155 */   GIM_Try, /*On fail goto*//*Label 32663*/ GIMT_Encode4(2350200), // Rule ID 56464 //
     /* 2350160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2350163 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2350166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2350180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350199 */     // GIR_Coverage, 56464,
     /* 2350199 */     GIR_EraseRootFromParent_Done,
     /* 2350200 */   // Label 32663: @2350200
     /* 2350200 */   GIM_Try, /*On fail goto*//*Label 32664*/ GIMT_Encode4(2350245), // Rule ID 56465 //
     /* 2350205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2350208 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2350211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2350225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350244 */     // GIR_Coverage, 56465,
     /* 2350244 */     GIR_EraseRootFromParent_Done,
     /* 2350245 */   // Label 32664: @2350245
     /* 2350245 */   GIM_Reject,
     /* 2350246 */ // Label 32662: @2350246
     /* 2350246 */ GIM_Reject,
     /* 2350247 */ // Label 32611: @2350247
     /* 2350247 */ GIM_Try, /*On fail goto*//*Label 32665*/ GIMT_Encode4(2350354),
     /* 2350252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2350255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350263 */   GIM_Try, /*On fail goto*//*Label 32666*/ GIMT_Encode4(2350308), // Rule ID 56404 //
     /* 2350268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2350271 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2350274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2350288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350307 */     // GIR_Coverage, 56404,
     /* 2350307 */     GIR_EraseRootFromParent_Done,
     /* 2350308 */   // Label 32666: @2350308
     /* 2350308 */   GIM_Try, /*On fail goto*//*Label 32667*/ GIMT_Encode4(2350353), // Rule ID 56405 //
     /* 2350313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2350316 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2350319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2350333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350352 */     // GIR_Coverage, 56405,
     /* 2350352 */     GIR_EraseRootFromParent_Done,
     /* 2350353 */   // Label 32667: @2350353
     /* 2350353 */   GIM_Reject,
     /* 2350354 */ // Label 32665: @2350354
     /* 2350354 */ GIM_Reject,
     /* 2350355 */ // Label 32612: @2350355
     /* 2350355 */ GIM_Reject,
     /* 2350356 */ // Label 72: @2350356
     /* 2350356 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32686*/ GIMT_Encode4(2356417),
     /* 2350367 */ /*GILLT_s16*//*Label 32668*/ GIMT_Encode4(2350487),
     /* 2350371 */ /*GILLT_s32*//*Label 32669*/ GIMT_Encode4(2351163),
     /* 2350375 */ /*GILLT_s64*//*Label 32670*/ GIMT_Encode4(2351839), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350387 */ /*GILLT_nxv1s16*//*Label 32671*/ GIMT_Encode4(2352652),
     /* 2350391 */ /*GILLT_nxv1s32*//*Label 32672*/ GIMT_Encode4(2352903),
     /* 2350395 */ /*GILLT_nxv1s64*//*Label 32673*/ GIMT_Encode4(2353154), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350407 */ /*GILLT_nxv2s16*//*Label 32674*/ GIMT_Encode4(2353405),
     /* 2350411 */ /*GILLT_nxv2s32*//*Label 32675*/ GIMT_Encode4(2353656),
     /* 2350415 */ /*GILLT_nxv2s64*//*Label 32676*/ GIMT_Encode4(2353907), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350427 */ /*GILLT_nxv4s16*//*Label 32677*/ GIMT_Encode4(2354158),
     /* 2350431 */ /*GILLT_nxv4s32*//*Label 32678*/ GIMT_Encode4(2354409),
     /* 2350435 */ /*GILLT_nxv4s64*//*Label 32679*/ GIMT_Encode4(2354660), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350447 */ /*GILLT_nxv8s16*//*Label 32680*/ GIMT_Encode4(2354911),
     /* 2350451 */ /*GILLT_nxv8s32*//*Label 32681*/ GIMT_Encode4(2355162),
     /* 2350455 */ /*GILLT_nxv8s64*//*Label 32682*/ GIMT_Encode4(2355413), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350467 */ /*GILLT_nxv16s16*//*Label 32683*/ GIMT_Encode4(2355664),
     /* 2350471 */ /*GILLT_nxv16s32*//*Label 32684*/ GIMT_Encode4(2355915), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350483 */ /*GILLT_nxv32s16*//*Label 32685*/ GIMT_Encode4(2356166),
     /* 2350487 */ // Label 32668: @2350487
     /* 2350487 */ GIM_Try, /*On fail goto*//*Label 32687*/ GIMT_Encode4(2351162),
     /* 2350492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2350495 */   GIM_Try, /*On fail goto*//*Label 32688*/ GIMT_Encode4(2350546), // Rule ID 1998 //
     /* 2350500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2350503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2350506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2350518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2350522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2350526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2350533 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs2))  =>  (FSGNJN_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)
     /* 2350533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2350536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2350544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350545 */     // GIR_Coverage, 1998,
     /* 2350545 */     GIR_EraseRootFromParent_Done,
     /* 2350546 */   // Label 32688: @2350546
     /* 2350546 */   GIM_Try, /*On fail goto*//*Label 32689*/ GIMT_Encode4(2350597), // Rule ID 2031 //
     /* 2350551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2350554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2350557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2350561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2350565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2350569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2350573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2350577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2350582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2350584 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2))  =>  (FSGNJN_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)
     /* 2350584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2350587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2350595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350596 */     // GIR_Coverage, 2031,
     /* 2350596 */     GIR_EraseRootFromParent_Done,
     /* 2350597 */   // Label 32689: @2350597
     /* 2350597 */   GIM_Try, /*On fail goto*//*Label 32690*/ GIMT_Encode4(2350627), // Rule ID 1996 //
     /* 2350602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2350605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2350608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350620 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2350620 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2350625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350626 */     // GIR_Coverage, 1996,
     /* 2350626 */     GIR_Done,
     /* 2350627 */   // Label 32690: @2350627
     /* 2350627 */   GIM_Try, /*On fail goto*//*Label 32691*/ GIMT_Encode4(2350683), // Rule ID 1999 //
     /* 2350632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2350635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2350638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2350650 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2350650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2350653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2350657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350662 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2350666 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2350669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2350674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350682 */     // GIR_Coverage, 1999,
     /* 2350682 */     GIR_EraseRootFromParent_Done,
     /* 2350683 */   // Label 32691: @2350683
     /* 2350683 */   GIM_Try, /*On fail goto*//*Label 32692*/ GIMT_Encode4(2350739), // Rule ID 2000 //
     /* 2350688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2350691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2350694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2350706 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2350706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2350709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2350713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350718 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2350722 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2350725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2350730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350738 */     // GIR_Coverage, 2000,
     /* 2350738 */     GIR_EraseRootFromParent_Done,
     /* 2350739 */   // Label 32692: @2350739
     /* 2350739 */   GIM_Try, /*On fail goto*//*Label 32693*/ GIMT_Encode4(2350769), // Rule ID 2029 //
     /* 2350744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2350747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2350750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2350754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2350758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2350762 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2350762 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2350767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350768 */     // GIR_Coverage, 2029,
     /* 2350768 */     GIR_Done,
     /* 2350769 */   // Label 32693: @2350769
     /* 2350769 */   GIM_Try, /*On fail goto*//*Label 32694*/ GIMT_Encode4(2350825), // Rule ID 2032 //
     /* 2350774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2350777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2350780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2350784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2350788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2350792 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2350792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2350795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2350799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2350808 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2350811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2350816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350824 */     // GIR_Coverage, 2032,
     /* 2350824 */     GIR_EraseRootFromParent_Done,
     /* 2350825 */   // Label 32694: @2350825
     /* 2350825 */   GIM_Try, /*On fail goto*//*Label 32695*/ GIMT_Encode4(2350881), // Rule ID 2033 //
     /* 2350830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2350833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2350836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2350840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2350844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2350848 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2350848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2350851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2350855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2350864 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2350867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2350872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350880 */     // GIR_Coverage, 2033,
     /* 2350880 */     GIR_EraseRootFromParent_Done,
     /* 2350881 */   // Label 32695: @2350881
     /* 2350881 */   GIM_Try, /*On fail goto*//*Label 32696*/ GIMT_Encode4(2350937), // Rule ID 2302 //
     /* 2350886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2350889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2350892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2350904 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2350904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2350907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2350911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350916 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2350920 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2350923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2350928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350936 */     // GIR_Coverage, 2302,
     /* 2350936 */     GIR_EraseRootFromParent_Done,
     /* 2350937 */   // Label 32696: @2350937
     /* 2350937 */   GIM_Try, /*On fail goto*//*Label 32697*/ GIMT_Encode4(2350993), // Rule ID 2303 //
     /* 2350942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2350945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2350948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2350960 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2350960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2350963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2350967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350972 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2350976 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2350979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2350984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350992 */     // GIR_Coverage, 2303,
     /* 2350992 */     GIR_EraseRootFromParent_Done,
     /* 2350993 */   // Label 32697: @2350993
     /* 2350993 */   GIM_Try, /*On fail goto*//*Label 32698*/ GIMT_Encode4(2351049), // Rule ID 2314 //
     /* 2350998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2351001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2351004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2351016 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2351016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2351019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2351023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351028 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2351032 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2351035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2351040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351048 */     // GIR_Coverage, 2314,
     /* 2351048 */     GIR_EraseRootFromParent_Done,
     /* 2351049 */   // Label 32698: @2351049
     /* 2351049 */   GIM_Try, /*On fail goto*//*Label 32699*/ GIMT_Encode4(2351105), // Rule ID 2315 //
     /* 2351054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2351057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2351060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2351072 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2351072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2351075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2351079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351084 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2351088 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2351091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2351096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351104 */     // GIR_Coverage, 2315,
     /* 2351104 */     GIR_EraseRootFromParent_Done,
     /* 2351105 */   // Label 32699: @2351105
     /* 2351105 */   GIM_Try, /*On fail goto*//*Label 32700*/ GIMT_Encode4(2351161), // Rule ID 2322 //
     /* 2351110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2351113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2351116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2351128 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_INX:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2351128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2351131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2351135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2351144 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2351147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2351152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351160 */     // GIR_Coverage, 2322,
     /* 2351160 */     GIR_EraseRootFromParent_Done,
     /* 2351161 */   // Label 32700: @2351161
     /* 2351161 */   GIM_Reject,
     /* 2351162 */ // Label 32687: @2351162
     /* 2351162 */ GIM_Reject,
     /* 2351163 */ // Label 32669: @2351163
     /* 2351163 */ GIM_Try, /*On fail goto*//*Label 32701*/ GIMT_Encode4(2351838),
     /* 2351168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2351171 */   GIM_Try, /*On fail goto*//*Label 32702*/ GIMT_Encode4(2351222), // Rule ID 1299 //
     /* 2351176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2351179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2351182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2351194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2351198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2351202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2351209 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs2))  =>  (FSGNJN_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)
     /* 2351209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2351212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2351220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351221 */     // GIR_Coverage, 1299,
     /* 2351221 */     GIR_EraseRootFromParent_Done,
     /* 2351222 */   // Label 32702: @2351222
     /* 2351222 */   GIM_Try, /*On fail goto*//*Label 32703*/ GIMT_Encode4(2351273), // Rule ID 1320 //
     /* 2351227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2351230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2351233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2351245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2351249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2351253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2351260 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2))  =>  (FSGNJN_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)
     /* 2351260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2351263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2351271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351272 */     // GIR_Coverage, 1320,
     /* 2351272 */     GIR_EraseRootFromParent_Done,
     /* 2351273 */   // Label 32703: @2351273
     /* 2351273 */   GIM_Try, /*On fail goto*//*Label 32704*/ GIMT_Encode4(2351303), // Rule ID 1295 //
     /* 2351278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2351281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2351284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351296 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2351296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2351301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351302 */     // GIR_Coverage, 1295,
     /* 2351302 */     GIR_Done,
     /* 2351303 */   // Label 32704: @2351303
     /* 2351303 */   GIM_Try, /*On fail goto*//*Label 32705*/ GIMT_Encode4(2351333), // Rule ID 1296 //
     /* 2351308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2351311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2351314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351326 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2351326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2351331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351332 */     // GIR_Coverage, 1296,
     /* 2351332 */     GIR_Done,
     /* 2351333 */   // Label 32705: @2351333
     /* 2351333 */   GIM_Try, /*On fail goto*//*Label 32706*/ GIMT_Encode4(2351389), // Rule ID 1635 //
     /* 2351338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2351341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2351344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2351356 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2351356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2351359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2351363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351368 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2351372 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2351375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2351380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351388 */     // GIR_Coverage, 1635,
     /* 2351388 */     GIR_EraseRootFromParent_Done,
     /* 2351389 */   // Label 32706: @2351389
     /* 2351389 */   GIM_Try, /*On fail goto*//*Label 32707*/ GIMT_Encode4(2351445), // Rule ID 1636 //
     /* 2351394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2351397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2351400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2351412 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2351412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2351415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2351419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351424 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2351428 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2351431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2351436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351444 */     // GIR_Coverage, 1636,
     /* 2351444 */     GIR_EraseRootFromParent_Done,
     /* 2351445 */   // Label 32707: @2351445
     /* 2351445 */   GIM_Try, /*On fail goto*//*Label 32708*/ GIMT_Encode4(2351501), // Rule ID 1666 //
     /* 2351450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2351453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2351456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2351468 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_INX:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2351468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2351471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2351475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351480 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2351484 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2351487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2351492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351500 */     // GIR_Coverage, 1666,
     /* 2351500 */     GIR_EraseRootFromParent_Done,
     /* 2351501 */   // Label 32708: @2351501
     /* 2351501 */   GIM_Try, /*On fail goto*//*Label 32709*/ GIMT_Encode4(2351557), // Rule ID 1690 //
     /* 2351506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2351509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2351512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2351524 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2351524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2351527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2351531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351536 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2351540 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2351543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2351548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351556 */     // GIR_Coverage, 1690,
     /* 2351556 */     GIR_EraseRootFromParent_Done,
     /* 2351557 */   // Label 32709: @2351557
     /* 2351557 */   GIM_Try, /*On fail goto*//*Label 32710*/ GIMT_Encode4(2351613), // Rule ID 1691 //
     /* 2351562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2351565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2351568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2351580 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2351580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2351583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2351587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351592 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2351596 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2351599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2351604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351612 */     // GIR_Coverage, 1691,
     /* 2351612 */     GIR_EraseRootFromParent_Done,
     /* 2351613 */   // Label 32710: @2351613
     /* 2351613 */   GIM_Try, /*On fail goto*//*Label 32711*/ GIMT_Encode4(2351669), // Rule ID 2174 //
     /* 2351618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2351621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2351624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2351636 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2351636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2351639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2351643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351648 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2351652 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2351655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2351660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351668 */     // GIR_Coverage, 2174,
     /* 2351668 */     GIR_EraseRootFromParent_Done,
     /* 2351669 */   // Label 32711: @2351669
     /* 2351669 */   GIM_Try, /*On fail goto*//*Label 32712*/ GIMT_Encode4(2351725), // Rule ID 2175 //
     /* 2351674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2351677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2351680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2351688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2351692 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2351692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2351695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2351699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351704 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2351708 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2351711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2351716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351724 */     // GIR_Coverage, 2175,
     /* 2351724 */     GIR_EraseRootFromParent_Done,
     /* 2351725 */   // Label 32712: @2351725
     /* 2351725 */   GIM_Try, /*On fail goto*//*Label 32713*/ GIMT_Encode4(2351781), // Rule ID 2188 //
     /* 2351730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2351733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2351736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351748 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2351748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2351751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2351755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351760 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2351764 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2351767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2351772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351780 */     // GIR_Coverage, 2188,
     /* 2351780 */     GIR_EraseRootFromParent_Done,
     /* 2351781 */   // Label 32713: @2351781
     /* 2351781 */   GIM_Try, /*On fail goto*//*Label 32714*/ GIMT_Encode4(2351837), // Rule ID 2189 //
     /* 2351786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2351789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2351792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2351800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351804 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2351804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2351807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2351811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351816 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2351820 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2351823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2351828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351836 */     // GIR_Coverage, 2189,
     /* 2351836 */     GIR_EraseRootFromParent_Done,
     /* 2351837 */   // Label 32714: @2351837
     /* 2351837 */   GIM_Reject,
     /* 2351838 */ // Label 32701: @2351838
     /* 2351838 */ GIM_Reject,
     /* 2351839 */ // Label 32670: @2351839
     /* 2351839 */ GIM_Try, /*On fail goto*//*Label 32715*/ GIMT_Encode4(2352651),
     /* 2351844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2351847 */   GIM_Try, /*On fail goto*//*Label 32716*/ GIMT_Encode4(2351898), // Rule ID 1632 //
     /* 2351852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2351855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2351858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2351862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2351866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2351870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2351874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2351878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2351883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2351885 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs2))  =>  (FSGNJN_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)
     /* 2351885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2351888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2351896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351897 */     // GIR_Coverage, 1632,
     /* 2351897 */     GIR_EraseRootFromParent_Done,
     /* 2351898 */   // Label 32716: @2351898
     /* 2351898 */   GIM_Try, /*On fail goto*//*Label 32717*/ GIMT_Encode4(2351949), // Rule ID 1664 //
     /* 2351903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2351906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2351909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2351913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2351917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2351921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2351925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2351929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2351934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2351936 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)
     /* 2351936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2351939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2351947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351948 */     // GIR_Coverage, 1664,
     /* 2351948 */     GIR_EraseRootFromParent_Done,
     /* 2351949 */   // Label 32717: @2351949
     /* 2351949 */   GIM_Try, /*On fail goto*//*Label 32718*/ GIMT_Encode4(2352000), // Rule ID 1687 //
     /* 2351954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2351957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2351960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2351964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2351968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2351972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2351976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2351980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2351985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2351987 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)
     /* 2351987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2351990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2351998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351999 */     // GIR_Coverage, 1687,
     /* 2351999 */     GIR_EraseRootFromParent_Done,
     /* 2352000 */   // Label 32718: @2352000
     /* 2352000 */   GIM_Try, /*On fail goto*//*Label 32719*/ GIMT_Encode4(2352030), // Rule ID 1630 //
     /* 2352005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2352008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352023 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2352023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2352028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352029 */     // GIR_Coverage, 1630,
     /* 2352029 */     GIR_Done,
     /* 2352030 */   // Label 32719: @2352030
     /* 2352030 */   GIM_Try, /*On fail goto*//*Label 32720*/ GIMT_Encode4(2352086), // Rule ID 1633 //
     /* 2352035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2352038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352053 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2352053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2352056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2352060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352065 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352069 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2352072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2352077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352085 */     // GIR_Coverage, 1633,
     /* 2352085 */     GIR_EraseRootFromParent_Done,
     /* 2352086 */   // Label 32720: @2352086
     /* 2352086 */   GIM_Try, /*On fail goto*//*Label 32721*/ GIMT_Encode4(2352142), // Rule ID 1634 //
     /* 2352091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2352094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352109 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2352109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2352112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2352116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352125 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2352128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2352133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352141 */     // GIR_Coverage, 1634,
     /* 2352141 */     GIR_EraseRootFromParent_Done,
     /* 2352142 */   // Label 32721: @2352142
     /* 2352142 */   GIM_Try, /*On fail goto*//*Label 32722*/ GIMT_Encode4(2352172), // Rule ID 1662 //
     /* 2352147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2352150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352165 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2352165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2352170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352171 */     // GIR_Coverage, 1662,
     /* 2352171 */     GIR_Done,
     /* 2352172 */   // Label 32722: @2352172
     /* 2352172 */   GIM_Try, /*On fail goto*//*Label 32723*/ GIMT_Encode4(2352228), // Rule ID 1665 //
     /* 2352177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2352180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352195 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_INX:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2352195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2352198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2352202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352207 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352211 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2352214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2352219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352227 */     // GIR_Coverage, 1665,
     /* 2352227 */     GIR_EraseRootFromParent_Done,
     /* 2352228 */   // Label 32723: @2352228
     /* 2352228 */   GIM_Try, /*On fail goto*//*Label 32724*/ GIMT_Encode4(2352258), // Rule ID 1685 //
     /* 2352233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2352236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352251 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2352251 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2352256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352257 */     // GIR_Coverage, 1685,
     /* 2352257 */     GIR_Done,
     /* 2352258 */   // Label 32724: @2352258
     /* 2352258 */   GIM_Try, /*On fail goto*//*Label 32725*/ GIMT_Encode4(2352314), // Rule ID 1688 //
     /* 2352263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2352266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352281 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2352281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2352284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2352288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352297 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2352300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2352305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352313 */     // GIR_Coverage, 1688,
     /* 2352313 */     GIR_EraseRootFromParent_Done,
     /* 2352314 */   // Label 32725: @2352314
     /* 2352314 */   GIM_Try, /*On fail goto*//*Label 32726*/ GIMT_Encode4(2352370), // Rule ID 1689 //
     /* 2352319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2352322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352337 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2352337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2352340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2352344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352353 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2352356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2352361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352369 */     // GIR_Coverage, 1689,
     /* 2352369 */     GIR_EraseRootFromParent_Done,
     /* 2352370 */   // Label 32726: @2352370
     /* 2352370 */   GIM_Try, /*On fail goto*//*Label 32727*/ GIMT_Encode4(2352426), // Rule ID 2304 //
     /* 2352375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2352378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2352381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352393 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2352393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2352396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2352400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352409 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2352412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2352417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352425 */     // GIR_Coverage, 2304,
     /* 2352425 */     GIR_EraseRootFromParent_Done,
     /* 2352426 */   // Label 32727: @2352426
     /* 2352426 */   GIM_Try, /*On fail goto*//*Label 32728*/ GIMT_Encode4(2352482), // Rule ID 2305 //
     /* 2352431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2352434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2352437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352449 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2352449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2352452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2352456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352465 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2352468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2352473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352481 */     // GIR_Coverage, 2305,
     /* 2352481 */     GIR_EraseRootFromParent_Done,
     /* 2352482 */   // Label 32728: @2352482
     /* 2352482 */   GIM_Try, /*On fail goto*//*Label 32729*/ GIMT_Encode4(2352538), // Rule ID 2316 //
     /* 2352487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2352490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2352493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352505 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2352505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2352508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2352512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352521 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2352524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2352529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352537 */     // GIR_Coverage, 2316,
     /* 2352537 */     GIR_EraseRootFromParent_Done,
     /* 2352538 */   // Label 32729: @2352538
     /* 2352538 */   GIM_Try, /*On fail goto*//*Label 32730*/ GIMT_Encode4(2352594), // Rule ID 2317 //
     /* 2352543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2352546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2352549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352561 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2352561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2352564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2352568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352577 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2352580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2352585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352593 */     // GIR_Coverage, 2317,
     /* 2352593 */     GIR_EraseRootFromParent_Done,
     /* 2352594 */   // Label 32730: @2352594
     /* 2352594 */   GIM_Try, /*On fail goto*//*Label 32731*/ GIMT_Encode4(2352650), // Rule ID 2323 //
     /* 2352599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2352602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2352605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352617 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_INX:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2352617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2352620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2352624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352633 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2352636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2352641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352649 */     // GIR_Coverage, 2323,
     /* 2352649 */     GIR_EraseRootFromParent_Done,
     /* 2352650 */   // Label 32731: @2352650
     /* 2352650 */   GIM_Reject,
     /* 2352651 */ // Label 32715: @2352651
     /* 2352651 */ GIM_Reject,
     /* 2352652 */ // Label 32671: @2352652
     /* 2352652 */ GIM_Try, /*On fail goto*//*Label 32732*/ GIMT_Encode4(2352902),
     /* 2352657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2352660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2352663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352671 */   GIM_Try, /*On fail goto*//*Label 32733*/ GIMT_Encode4(2352737), // Rule ID 56254 //
     /* 2352676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2352679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2352683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2352687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2352691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2352698 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2352715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2352726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352736 */     // GIR_Coverage, 56254,
     /* 2352736 */     GIR_EraseRootFromParent_Done,
     /* 2352737 */   // Label 32733: @2352737
     /* 2352737 */   GIM_Try, /*On fail goto*//*Label 32734*/ GIMT_Encode4(2352803), // Rule ID 56255 //
     /* 2352742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2352745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2352749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2352753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2352757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2352764 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2352781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2352792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352802 */     // GIR_Coverage, 56255,
     /* 2352802 */     GIR_EraseRootFromParent_Done,
     /* 2352803 */   // Label 32734: @2352803
     /* 2352803 */   GIM_Try, /*On fail goto*//*Label 32735*/ GIMT_Encode4(2352852), // Rule ID 56248 //
     /* 2352808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2352811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352815 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2352832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352851 */     // GIR_Coverage, 56248,
     /* 2352851 */     GIR_EraseRootFromParent_Done,
     /* 2352852 */   // Label 32735: @2352852
     /* 2352852 */   GIM_Try, /*On fail goto*//*Label 32736*/ GIMT_Encode4(2352901), // Rule ID 56249 //
     /* 2352857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2352860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352864 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2352881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352900 */     // GIR_Coverage, 56249,
     /* 2352900 */     GIR_EraseRootFromParent_Done,
     /* 2352901 */   // Label 32736: @2352901
     /* 2352901 */   GIM_Reject,
     /* 2352902 */ // Label 32732: @2352902
     /* 2352902 */ GIM_Reject,
     /* 2352903 */ // Label 32672: @2352903
     /* 2352903 */ GIM_Try, /*On fail goto*//*Label 32737*/ GIMT_Encode4(2353153),
     /* 2352908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2352911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2352914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352922 */   GIM_Try, /*On fail goto*//*Label 32738*/ GIMT_Encode4(2352988), // Rule ID 56294 //
     /* 2352927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2352930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2352934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2352938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2352942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2352949 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2352952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2352966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2352977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352987 */     // GIR_Coverage, 56294,
     /* 2352987 */     GIR_EraseRootFromParent_Done,
     /* 2352988 */   // Label 32738: @2352988
     /* 2352988 */   GIM_Try, /*On fail goto*//*Label 32739*/ GIMT_Encode4(2353054), // Rule ID 56295 //
     /* 2352993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2352996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2353000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2353004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2353008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2353015 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2353018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2353032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2353043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353053 */     // GIR_Coverage, 56295,
     /* 2353053 */     GIR_EraseRootFromParent_Done,
     /* 2353054 */   // Label 32739: @2353054
     /* 2353054 */   GIM_Try, /*On fail goto*//*Label 32740*/ GIMT_Encode4(2353103), // Rule ID 56288 //
     /* 2353059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2353062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353066 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2353069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2353083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353102 */     // GIR_Coverage, 56288,
     /* 2353102 */     GIR_EraseRootFromParent_Done,
     /* 2353103 */   // Label 32740: @2353103
     /* 2353103 */   GIM_Try, /*On fail goto*//*Label 32741*/ GIMT_Encode4(2353152), // Rule ID 56289 //
     /* 2353108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2353111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353115 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2353118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2353132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353151 */     // GIR_Coverage, 56289,
     /* 2353151 */     GIR_EraseRootFromParent_Done,
     /* 2353152 */   // Label 32741: @2353152
     /* 2353152 */   GIM_Reject,
     /* 2353153 */ // Label 32737: @2353153
     /* 2353153 */ GIM_Reject,
     /* 2353154 */ // Label 32673: @2353154
     /* 2353154 */ GIM_Try, /*On fail goto*//*Label 32742*/ GIMT_Encode4(2353404),
     /* 2353159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2353162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2353165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353173 */   GIM_Try, /*On fail goto*//*Label 32743*/ GIMT_Encode4(2353239), // Rule ID 56354 //
     /* 2353178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2353181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2353185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2353189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2353193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2353200 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2353203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2353217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2353228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353238 */     // GIR_Coverage, 56354,
     /* 2353238 */     GIR_EraseRootFromParent_Done,
     /* 2353239 */   // Label 32743: @2353239
     /* 2353239 */   GIM_Try, /*On fail goto*//*Label 32744*/ GIMT_Encode4(2353305), // Rule ID 56355 //
     /* 2353244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2353247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2353251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2353255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2353259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2353266 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2353269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2353283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2353294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353304 */     // GIR_Coverage, 56355,
     /* 2353304 */     GIR_EraseRootFromParent_Done,
     /* 2353305 */   // Label 32744: @2353305
     /* 2353305 */   GIM_Try, /*On fail goto*//*Label 32745*/ GIMT_Encode4(2353354), // Rule ID 56348 //
     /* 2353310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2353313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353317 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2353320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2353334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353353 */     // GIR_Coverage, 56348,
     /* 2353353 */     GIR_EraseRootFromParent_Done,
     /* 2353354 */   // Label 32745: @2353354
     /* 2353354 */   GIM_Try, /*On fail goto*//*Label 32746*/ GIMT_Encode4(2353403), // Rule ID 56349 //
     /* 2353359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2353362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353366 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2353369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2353383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353402 */     // GIR_Coverage, 56349,
     /* 2353402 */     GIR_EraseRootFromParent_Done,
     /* 2353403 */   // Label 32746: @2353403
     /* 2353403 */   GIM_Reject,
     /* 2353404 */ // Label 32742: @2353404
     /* 2353404 */ GIM_Reject,
     /* 2353405 */ // Label 32674: @2353405
     /* 2353405 */ GIM_Try, /*On fail goto*//*Label 32747*/ GIMT_Encode4(2353655),
     /* 2353410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2353413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2353416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353424 */   GIM_Try, /*On fail goto*//*Label 32748*/ GIMT_Encode4(2353490), // Rule ID 56274 //
     /* 2353429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2353432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2353436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2353440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2353444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2353451 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2353454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2353468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2353479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353489 */     // GIR_Coverage, 56274,
     /* 2353489 */     GIR_EraseRootFromParent_Done,
     /* 2353490 */   // Label 32748: @2353490
     /* 2353490 */   GIM_Try, /*On fail goto*//*Label 32749*/ GIMT_Encode4(2353556), // Rule ID 56275 //
     /* 2353495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2353498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2353502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2353506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2353510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2353517 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2353520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2353534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2353545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353555 */     // GIR_Coverage, 56275,
     /* 2353555 */     GIR_EraseRootFromParent_Done,
     /* 2353556 */   // Label 32749: @2353556
     /* 2353556 */   GIM_Try, /*On fail goto*//*Label 32750*/ GIMT_Encode4(2353605), // Rule ID 56268 //
     /* 2353561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2353564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353568 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2353571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2353585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353604 */     // GIR_Coverage, 56268,
     /* 2353604 */     GIR_EraseRootFromParent_Done,
     /* 2353605 */   // Label 32750: @2353605
     /* 2353605 */   GIM_Try, /*On fail goto*//*Label 32751*/ GIMT_Encode4(2353654), // Rule ID 56269 //
     /* 2353610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2353613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353617 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2353620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2353634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353653 */     // GIR_Coverage, 56269,
     /* 2353653 */     GIR_EraseRootFromParent_Done,
     /* 2353654 */   // Label 32751: @2353654
     /* 2353654 */   GIM_Reject,
     /* 2353655 */ // Label 32747: @2353655
     /* 2353655 */ GIM_Reject,
     /* 2353656 */ // Label 32675: @2353656
     /* 2353656 */ GIM_Try, /*On fail goto*//*Label 32752*/ GIMT_Encode4(2353906),
     /* 2353661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2353664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2353667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353675 */   GIM_Try, /*On fail goto*//*Label 32753*/ GIMT_Encode4(2353741), // Rule ID 56334 //
     /* 2353680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2353683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2353687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2353691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2353695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2353702 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2353719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2353730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353740 */     // GIR_Coverage, 56334,
     /* 2353740 */     GIR_EraseRootFromParent_Done,
     /* 2353741 */   // Label 32753: @2353741
     /* 2353741 */   GIM_Try, /*On fail goto*//*Label 32754*/ GIMT_Encode4(2353807), // Rule ID 56335 //
     /* 2353746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2353749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2353753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2353757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2353761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2353768 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2353785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2353796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353806 */     // GIR_Coverage, 56335,
     /* 2353806 */     GIR_EraseRootFromParent_Done,
     /* 2353807 */   // Label 32754: @2353807
     /* 2353807 */   GIM_Try, /*On fail goto*//*Label 32755*/ GIMT_Encode4(2353856), // Rule ID 56328 //
     /* 2353812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2353815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353819 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2353836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353855 */     // GIR_Coverage, 56328,
     /* 2353855 */     GIR_EraseRootFromParent_Done,
     /* 2353856 */   // Label 32755: @2353856
     /* 2353856 */   GIM_Try, /*On fail goto*//*Label 32756*/ GIMT_Encode4(2353905), // Rule ID 56329 //
     /* 2353861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2353864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353868 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2353885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353904 */     // GIR_Coverage, 56329,
     /* 2353904 */     GIR_EraseRootFromParent_Done,
     /* 2353905 */   // Label 32756: @2353905
     /* 2353905 */   GIM_Reject,
     /* 2353906 */ // Label 32752: @2353906
     /* 2353906 */ GIM_Reject,
     /* 2353907 */ // Label 32676: @2353907
     /* 2353907 */ GIM_Try, /*On fail goto*//*Label 32757*/ GIMT_Encode4(2354157),
     /* 2353912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2353915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2353918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353926 */   GIM_Try, /*On fail goto*//*Label 32758*/ GIMT_Encode4(2353992), // Rule ID 56494 //
     /* 2353931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2353934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2353938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2353942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2353946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2353953 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2353956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2353970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2353981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353991 */     // GIR_Coverage, 56494,
     /* 2353991 */     GIR_EraseRootFromParent_Done,
     /* 2353992 */   // Label 32758: @2353992
     /* 2353992 */   GIM_Try, /*On fail goto*//*Label 32759*/ GIMT_Encode4(2354058), // Rule ID 56495 //
     /* 2353997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2354000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2354012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354019 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2354022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2354036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354057 */     // GIR_Coverage, 56495,
     /* 2354057 */     GIR_EraseRootFromParent_Done,
     /* 2354058 */   // Label 32759: @2354058
     /* 2354058 */   GIM_Try, /*On fail goto*//*Label 32760*/ GIMT_Encode4(2354107), // Rule ID 56488 //
     /* 2354063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2354066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354070 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2354073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2354087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354106 */     // GIR_Coverage, 56488,
     /* 2354106 */     GIR_EraseRootFromParent_Done,
     /* 2354107 */   // Label 32760: @2354107
     /* 2354107 */   GIM_Try, /*On fail goto*//*Label 32761*/ GIMT_Encode4(2354156), // Rule ID 56489 //
     /* 2354112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2354115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354119 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2354122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2354136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354155 */     // GIR_Coverage, 56489,
     /* 2354155 */     GIR_EraseRootFromParent_Done,
     /* 2354156 */   // Label 32761: @2354156
     /* 2354156 */   GIM_Reject,
     /* 2354157 */ // Label 32757: @2354157
     /* 2354157 */ GIM_Reject,
     /* 2354158 */ // Label 32677: @2354158
     /* 2354158 */ GIM_Try, /*On fail goto*//*Label 32762*/ GIMT_Encode4(2354408),
     /* 2354163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2354166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2354169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354177 */   GIM_Try, /*On fail goto*//*Label 32763*/ GIMT_Encode4(2354243), // Rule ID 56314 //
     /* 2354182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2354185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2354197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354204 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2354207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2354221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354242 */     // GIR_Coverage, 56314,
     /* 2354242 */     GIR_EraseRootFromParent_Done,
     /* 2354243 */   // Label 32763: @2354243
     /* 2354243 */   GIM_Try, /*On fail goto*//*Label 32764*/ GIMT_Encode4(2354309), // Rule ID 56315 //
     /* 2354248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2354251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2354263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354270 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2354273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2354287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354308 */     // GIR_Coverage, 56315,
     /* 2354308 */     GIR_EraseRootFromParent_Done,
     /* 2354309 */   // Label 32764: @2354309
     /* 2354309 */   GIM_Try, /*On fail goto*//*Label 32765*/ GIMT_Encode4(2354358), // Rule ID 56308 //
     /* 2354314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2354317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354321 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2354324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2354338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354357 */     // GIR_Coverage, 56308,
     /* 2354357 */     GIR_EraseRootFromParent_Done,
     /* 2354358 */   // Label 32765: @2354358
     /* 2354358 */   GIM_Try, /*On fail goto*//*Label 32766*/ GIMT_Encode4(2354407), // Rule ID 56309 //
     /* 2354363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2354366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354370 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2354373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2354387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354406 */     // GIR_Coverage, 56309,
     /* 2354406 */     GIR_EraseRootFromParent_Done,
     /* 2354407 */   // Label 32766: @2354407
     /* 2354407 */   GIM_Reject,
     /* 2354408 */ // Label 32762: @2354408
     /* 2354408 */ GIM_Reject,
     /* 2354409 */ // Label 32678: @2354409
     /* 2354409 */ GIM_Try, /*On fail goto*//*Label 32767*/ GIMT_Encode4(2354659),
     /* 2354414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2354417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2354420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354428 */   GIM_Try, /*On fail goto*//*Label 32768*/ GIMT_Encode4(2354494), // Rule ID 56434 //
     /* 2354433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2354436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2354448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354455 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2354458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2354472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354493 */     // GIR_Coverage, 56434,
     /* 2354493 */     GIR_EraseRootFromParent_Done,
     /* 2354494 */   // Label 32768: @2354494
     /* 2354494 */   GIM_Try, /*On fail goto*//*Label 32769*/ GIMT_Encode4(2354560), // Rule ID 56435 //
     /* 2354499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2354502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2354514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354521 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2354524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2354538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354559 */     // GIR_Coverage, 56435,
     /* 2354559 */     GIR_EraseRootFromParent_Done,
     /* 2354560 */   // Label 32769: @2354560
     /* 2354560 */   GIM_Try, /*On fail goto*//*Label 32770*/ GIMT_Encode4(2354609), // Rule ID 56428 //
     /* 2354565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2354568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354572 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2354575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2354589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354608 */     // GIR_Coverage, 56428,
     /* 2354608 */     GIR_EraseRootFromParent_Done,
     /* 2354609 */   // Label 32770: @2354609
     /* 2354609 */   GIM_Try, /*On fail goto*//*Label 32771*/ GIMT_Encode4(2354658), // Rule ID 56429 //
     /* 2354614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2354617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354621 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2354624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2354638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354657 */     // GIR_Coverage, 56429,
     /* 2354657 */     GIR_EraseRootFromParent_Done,
     /* 2354658 */   // Label 32771: @2354658
     /* 2354658 */   GIM_Reject,
     /* 2354659 */ // Label 32767: @2354659
     /* 2354659 */ GIM_Reject,
     /* 2354660 */ // Label 32679: @2354660
     /* 2354660 */ GIM_Try, /*On fail goto*//*Label 32772*/ GIMT_Encode4(2354910),
     /* 2354665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2354668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2354671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354679 */   GIM_Try, /*On fail goto*//*Label 32773*/ GIMT_Encode4(2354745), // Rule ID 56514 //
     /* 2354684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2354687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2354699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354706 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2354709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2354723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354744 */     // GIR_Coverage, 56514,
     /* 2354744 */     GIR_EraseRootFromParent_Done,
     /* 2354745 */   // Label 32773: @2354745
     /* 2354745 */   GIM_Try, /*On fail goto*//*Label 32774*/ GIMT_Encode4(2354811), // Rule ID 56515 //
     /* 2354750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2354753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2354765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354772 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2354775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2354789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354810 */     // GIR_Coverage, 56515,
     /* 2354810 */     GIR_EraseRootFromParent_Done,
     /* 2354811 */   // Label 32774: @2354811
     /* 2354811 */   GIM_Try, /*On fail goto*//*Label 32775*/ GIMT_Encode4(2354860), // Rule ID 56508 //
     /* 2354816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2354819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354823 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2354826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2354840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354859 */     // GIR_Coverage, 56508,
     /* 2354859 */     GIR_EraseRootFromParent_Done,
     /* 2354860 */   // Label 32775: @2354860
     /* 2354860 */   GIM_Try, /*On fail goto*//*Label 32776*/ GIMT_Encode4(2354909), // Rule ID 56509 //
     /* 2354865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2354868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354872 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2354875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2354889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354908 */     // GIR_Coverage, 56509,
     /* 2354908 */     GIR_EraseRootFromParent_Done,
     /* 2354909 */   // Label 32776: @2354909
     /* 2354909 */   GIM_Reject,
     /* 2354910 */ // Label 32772: @2354910
     /* 2354910 */ GIM_Reject,
     /* 2354911 */ // Label 32680: @2354911
     /* 2354911 */ GIM_Try, /*On fail goto*//*Label 32777*/ GIMT_Encode4(2355161),
     /* 2354916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2354919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2354922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354930 */   GIM_Try, /*On fail goto*//*Label 32778*/ GIMT_Encode4(2354996), // Rule ID 56374 //
     /* 2354935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2354938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2354950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354957 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2354960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2354974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354995 */     // GIR_Coverage, 56374,
     /* 2354995 */     GIR_EraseRootFromParent_Done,
     /* 2354996 */   // Label 32778: @2354996
     /* 2354996 */   GIM_Try, /*On fail goto*//*Label 32779*/ GIMT_Encode4(2355062), // Rule ID 56375 //
     /* 2355001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2355004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2355016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355023 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2355026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2355040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355061 */     // GIR_Coverage, 56375,
     /* 2355061 */     GIR_EraseRootFromParent_Done,
     /* 2355062 */   // Label 32779: @2355062
     /* 2355062 */   GIM_Try, /*On fail goto*//*Label 32780*/ GIMT_Encode4(2355111), // Rule ID 56368 //
     /* 2355067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2355070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355074 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2355077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2355091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355110 */     // GIR_Coverage, 56368,
     /* 2355110 */     GIR_EraseRootFromParent_Done,
     /* 2355111 */   // Label 32780: @2355111
     /* 2355111 */   GIM_Try, /*On fail goto*//*Label 32781*/ GIMT_Encode4(2355160), // Rule ID 56369 //
     /* 2355116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2355119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355123 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2355126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2355140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355159 */     // GIR_Coverage, 56369,
     /* 2355159 */     GIR_EraseRootFromParent_Done,
     /* 2355160 */   // Label 32781: @2355160
     /* 2355160 */   GIM_Reject,
     /* 2355161 */ // Label 32777: @2355161
     /* 2355161 */ GIM_Reject,
     /* 2355162 */ // Label 32681: @2355162
     /* 2355162 */ GIM_Try, /*On fail goto*//*Label 32782*/ GIMT_Encode4(2355412),
     /* 2355167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2355170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2355173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355181 */   GIM_Try, /*On fail goto*//*Label 32783*/ GIMT_Encode4(2355247), // Rule ID 56454 //
     /* 2355186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2355189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2355201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355208 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2355211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2355225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355246 */     // GIR_Coverage, 56454,
     /* 2355246 */     GIR_EraseRootFromParent_Done,
     /* 2355247 */   // Label 32783: @2355247
     /* 2355247 */   GIM_Try, /*On fail goto*//*Label 32784*/ GIMT_Encode4(2355313), // Rule ID 56455 //
     /* 2355252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2355255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2355267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355274 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2355277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2355291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355312 */     // GIR_Coverage, 56455,
     /* 2355312 */     GIR_EraseRootFromParent_Done,
     /* 2355313 */   // Label 32784: @2355313
     /* 2355313 */   GIM_Try, /*On fail goto*//*Label 32785*/ GIMT_Encode4(2355362), // Rule ID 56448 //
     /* 2355318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2355321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355325 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2355328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2355342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355361 */     // GIR_Coverage, 56448,
     /* 2355361 */     GIR_EraseRootFromParent_Done,
     /* 2355362 */   // Label 32785: @2355362
     /* 2355362 */   GIM_Try, /*On fail goto*//*Label 32786*/ GIMT_Encode4(2355411), // Rule ID 56449 //
     /* 2355367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2355370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355374 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2355377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2355391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355410 */     // GIR_Coverage, 56449,
     /* 2355410 */     GIR_EraseRootFromParent_Done,
     /* 2355411 */   // Label 32786: @2355411
     /* 2355411 */   GIM_Reject,
     /* 2355412 */ // Label 32782: @2355412
     /* 2355412 */ GIM_Reject,
     /* 2355413 */ // Label 32682: @2355413
     /* 2355413 */ GIM_Try, /*On fail goto*//*Label 32787*/ GIMT_Encode4(2355663),
     /* 2355418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2355421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2355424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355432 */   GIM_Try, /*On fail goto*//*Label 32788*/ GIMT_Encode4(2355498), // Rule ID 56534 //
     /* 2355437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2355440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2355452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355459 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2355462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2355476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355497 */     // GIR_Coverage, 56534,
     /* 2355497 */     GIR_EraseRootFromParent_Done,
     /* 2355498 */   // Label 32788: @2355498
     /* 2355498 */   GIM_Try, /*On fail goto*//*Label 32789*/ GIMT_Encode4(2355564), // Rule ID 56535 //
     /* 2355503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2355506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2355518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355525 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2355528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2355542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355563 */     // GIR_Coverage, 56535,
     /* 2355563 */     GIR_EraseRootFromParent_Done,
     /* 2355564 */   // Label 32789: @2355564
     /* 2355564 */   GIM_Try, /*On fail goto*//*Label 32790*/ GIMT_Encode4(2355613), // Rule ID 56528 //
     /* 2355569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2355572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355576 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2355579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2355593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355612 */     // GIR_Coverage, 56528,
     /* 2355612 */     GIR_EraseRootFromParent_Done,
     /* 2355613 */   // Label 32790: @2355613
     /* 2355613 */   GIM_Try, /*On fail goto*//*Label 32791*/ GIMT_Encode4(2355662), // Rule ID 56529 //
     /* 2355618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2355621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355625 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2355628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2355642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355661 */     // GIR_Coverage, 56529,
     /* 2355661 */     GIR_EraseRootFromParent_Done,
     /* 2355662 */   // Label 32791: @2355662
     /* 2355662 */   GIM_Reject,
     /* 2355663 */ // Label 32787: @2355663
     /* 2355663 */ GIM_Reject,
     /* 2355664 */ // Label 32683: @2355664
     /* 2355664 */ GIM_Try, /*On fail goto*//*Label 32792*/ GIMT_Encode4(2355914),
     /* 2355669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2355672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2355675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355683 */   GIM_Try, /*On fail goto*//*Label 32793*/ GIMT_Encode4(2355749), // Rule ID 56394 //
     /* 2355688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2355691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2355703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355710 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2355713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2355727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355748 */     // GIR_Coverage, 56394,
     /* 2355748 */     GIR_EraseRootFromParent_Done,
     /* 2355749 */   // Label 32793: @2355749
     /* 2355749 */   GIM_Try, /*On fail goto*//*Label 32794*/ GIMT_Encode4(2355815), // Rule ID 56395 //
     /* 2355754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2355757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2355769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355776 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2355779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2355793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355814 */     // GIR_Coverage, 56395,
     /* 2355814 */     GIR_EraseRootFromParent_Done,
     /* 2355815 */   // Label 32794: @2355815
     /* 2355815 */   GIM_Try, /*On fail goto*//*Label 32795*/ GIMT_Encode4(2355864), // Rule ID 56388 //
     /* 2355820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2355823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355827 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2355830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2355844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355863 */     // GIR_Coverage, 56388,
     /* 2355863 */     GIR_EraseRootFromParent_Done,
     /* 2355864 */   // Label 32795: @2355864
     /* 2355864 */   GIM_Try, /*On fail goto*//*Label 32796*/ GIMT_Encode4(2355913), // Rule ID 56389 //
     /* 2355869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2355872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355876 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2355879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2355893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355912 */     // GIR_Coverage, 56389,
     /* 2355912 */     GIR_EraseRootFromParent_Done,
     /* 2355913 */   // Label 32796: @2355913
     /* 2355913 */   GIM_Reject,
     /* 2355914 */ // Label 32792: @2355914
     /* 2355914 */ GIM_Reject,
     /* 2355915 */ // Label 32684: @2355915
     /* 2355915 */ GIM_Try, /*On fail goto*//*Label 32797*/ GIMT_Encode4(2356165),
     /* 2355920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2355923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2355926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355934 */   GIM_Try, /*On fail goto*//*Label 32798*/ GIMT_Encode4(2356000), // Rule ID 56474 //
     /* 2355939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2355942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2355954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355961 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2355964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2355978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355999 */     // GIR_Coverage, 56474,
     /* 2355999 */     GIR_EraseRootFromParent_Done,
     /* 2356000 */   // Label 32798: @2356000
     /* 2356000 */   GIM_Try, /*On fail goto*//*Label 32799*/ GIMT_Encode4(2356066), // Rule ID 56475 //
     /* 2356005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2356008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2356012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2356016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2356020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2356027 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2356030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2356044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2356055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356065 */     // GIR_Coverage, 56475,
     /* 2356065 */     GIR_EraseRootFromParent_Done,
     /* 2356066 */   // Label 32799: @2356066
     /* 2356066 */   GIM_Try, /*On fail goto*//*Label 32800*/ GIMT_Encode4(2356115), // Rule ID 56468 //
     /* 2356071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2356074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356078 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2356081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2356095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356114 */     // GIR_Coverage, 56468,
     /* 2356114 */     GIR_EraseRootFromParent_Done,
     /* 2356115 */   // Label 32800: @2356115
     /* 2356115 */   GIM_Try, /*On fail goto*//*Label 32801*/ GIMT_Encode4(2356164), // Rule ID 56469 //
     /* 2356120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2356123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356127 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2356130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2356144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356163 */     // GIR_Coverage, 56469,
     /* 2356163 */     GIR_EraseRootFromParent_Done,
     /* 2356164 */   // Label 32801: @2356164
     /* 2356164 */   GIM_Reject,
     /* 2356165 */ // Label 32797: @2356165
     /* 2356165 */ GIM_Reject,
     /* 2356166 */ // Label 32685: @2356166
     /* 2356166 */ GIM_Try, /*On fail goto*//*Label 32802*/ GIMT_Encode4(2356416),
     /* 2356171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2356174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2356177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356185 */   GIM_Try, /*On fail goto*//*Label 32803*/ GIMT_Encode4(2356251), // Rule ID 56414 //
     /* 2356190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2356193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2356197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2356201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2356205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2356212 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2356215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2356229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2356240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356250 */     // GIR_Coverage, 56414,
     /* 2356250 */     GIR_EraseRootFromParent_Done,
     /* 2356251 */   // Label 32803: @2356251
     /* 2356251 */   GIM_Try, /*On fail goto*//*Label 32804*/ GIMT_Encode4(2356317), // Rule ID 56415 //
     /* 2356256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2356259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2356263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2356267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2356271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2356278 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2356281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2356295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2356306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356316 */     // GIR_Coverage, 56415,
     /* 2356316 */     GIR_EraseRootFromParent_Done,
     /* 2356317 */   // Label 32804: @2356317
     /* 2356317 */   GIM_Try, /*On fail goto*//*Label 32805*/ GIMT_Encode4(2356366), // Rule ID 56408 //
     /* 2356322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2356325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356329 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2356332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2356346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356365 */     // GIR_Coverage, 56408,
     /* 2356365 */     GIR_EraseRootFromParent_Done,
     /* 2356366 */   // Label 32805: @2356366
     /* 2356366 */   GIM_Try, /*On fail goto*//*Label 32806*/ GIMT_Encode4(2356415), // Rule ID 56409 //
     /* 2356371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2356374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356378 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2356381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2356395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356414 */     // GIR_Coverage, 56409,
     /* 2356414 */     GIR_EraseRootFromParent_Done,
     /* 2356415 */   // Label 32806: @2356415
     /* 2356415 */   GIM_Reject,
     /* 2356416 */ // Label 32802: @2356416
     /* 2356416 */ GIM_Reject,
     /* 2356417 */ // Label 32686: @2356417
     /* 2356417 */ GIM_Reject,
     /* 2356418 */ // Label 73: @2356418
     /* 2356418 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32810*/ GIMT_Encode4(2356607),
     /* 2356429 */ /*GILLT_s16*//*Label 32807*/ GIMT_Encode4(2356441),
     /* 2356433 */ /*GILLT_s32*//*Label 32808*/ GIMT_Encode4(2356491),
     /* 2356437 */ /*GILLT_s64*//*Label 32809*/ GIMT_Encode4(2356541),
     /* 2356441 */ // Label 32807: @2356441
     /* 2356441 */ GIM_Try, /*On fail goto*//*Label 32811*/ GIMT_Encode4(2356490),
     /* 2356446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2356449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2356453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2356457 */   GIM_Try, /*On fail goto*//*Label 32812*/ GIMT_Encode4(2356473), // Rule ID 2066 //
     /* 2356462 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2356462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2356465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356472 */     // GIR_Coverage, 2066,
     /* 2356472 */     GIR_EraseRootFromParent_Done,
     /* 2356473 */   // Label 32812: @2356473
     /* 2356473 */   GIM_Try, /*On fail goto*//*Label 32813*/ GIMT_Encode4(2356489), // Rule ID 2067 //
     /* 2356478 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2356478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2356481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356488 */     // GIR_Coverage, 2067,
     /* 2356488 */     GIR_EraseRootFromParent_Done,
     /* 2356489 */   // Label 32813: @2356489
     /* 2356489 */   GIM_Reject,
     /* 2356490 */ // Label 32811: @2356490
     /* 2356490 */ GIM_Reject,
     /* 2356491 */ // Label 32808: @2356491
     /* 2356491 */ GIM_Try, /*On fail goto*//*Label 32814*/ GIMT_Encode4(2356540),
     /* 2356496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2356499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2356503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2356507 */   GIM_Try, /*On fail goto*//*Label 32815*/ GIMT_Encode4(2356523), // Rule ID 1353 //
     /* 2356512 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2356512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2356515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356522 */     // GIR_Coverage, 1353,
     /* 2356522 */     GIR_EraseRootFromParent_Done,
     /* 2356523 */   // Label 32815: @2356523
     /* 2356523 */   GIM_Try, /*On fail goto*//*Label 32816*/ GIMT_Encode4(2356539), // Rule ID 1354 //
     /* 2356528 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2356528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2356531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356538 */     // GIR_Coverage, 1354,
     /* 2356538 */     GIR_EraseRootFromParent_Done,
     /* 2356539 */   // Label 32816: @2356539
     /* 2356539 */   GIM_Reject,
     /* 2356540 */ // Label 32814: @2356540
     /* 2356540 */ GIM_Reject,
     /* 2356541 */ // Label 32809: @2356541
     /* 2356541 */ GIM_Try, /*On fail goto*//*Label 32817*/ GIMT_Encode4(2356606),
     /* 2356546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2356549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2356553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2356557 */   GIM_Try, /*On fail goto*//*Label 32818*/ GIMT_Encode4(2356573), // Rule ID 1730 //
     /* 2356562 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2356562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2356565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356572 */     // GIR_Coverage, 1730,
     /* 2356572 */     GIR_EraseRootFromParent_Done,
     /* 2356573 */   // Label 32818: @2356573
     /* 2356573 */   GIM_Try, /*On fail goto*//*Label 32819*/ GIMT_Encode4(2356589), // Rule ID 1731 //
     /* 2356578 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2356578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2356581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356588 */     // GIR_Coverage, 1731,
     /* 2356588 */     GIR_EraseRootFromParent_Done,
     /* 2356589 */   // Label 32819: @2356589
     /* 2356589 */   GIM_Try, /*On fail goto*//*Label 32820*/ GIMT_Encode4(2356605), // Rule ID 1732 //
     /* 2356594 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2356594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2356597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356604 */     // GIR_Coverage, 1732,
     /* 2356604 */     GIR_EraseRootFromParent_Done,
     /* 2356605 */   // Label 32820: @2356605
     /* 2356605 */   GIM_Reject,
     /* 2356606 */ // Label 32817: @2356606
     /* 2356606 */ GIM_Reject,
     /* 2356607 */ // Label 32810: @2356607
     /* 2356607 */ GIM_Reject,
     /* 2356608 */ // Label 74: @2356608
     /* 2356608 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32839*/ GIMT_Encode4(2358692),
     /* 2356619 */ /*GILLT_s16*//*Label 32821*/ GIMT_Encode4(2356739),
     /* 2356623 */ /*GILLT_s32*//*Label 32822*/ GIMT_Encode4(2356806),
     /* 2356627 */ /*GILLT_s64*//*Label 32823*/ GIMT_Encode4(2356873), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2356639 */ /*GILLT_nxv1s16*//*Label 32824*/ GIMT_Encode4(2356967),
     /* 2356643 */ /*GILLT_nxv1s32*//*Label 32825*/ GIMT_Encode4(2357082),
     /* 2356647 */ /*GILLT_nxv1s64*//*Label 32826*/ GIMT_Encode4(2357197), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2356659 */ /*GILLT_nxv2s16*//*Label 32827*/ GIMT_Encode4(2357312),
     /* 2356663 */ /*GILLT_nxv2s32*//*Label 32828*/ GIMT_Encode4(2357427),
     /* 2356667 */ /*GILLT_nxv2s64*//*Label 32829*/ GIMT_Encode4(2357542), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2356679 */ /*GILLT_nxv4s16*//*Label 32830*/ GIMT_Encode4(2357657),
     /* 2356683 */ /*GILLT_nxv4s32*//*Label 32831*/ GIMT_Encode4(2357772),
     /* 2356687 */ /*GILLT_nxv4s64*//*Label 32832*/ GIMT_Encode4(2357887), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2356699 */ /*GILLT_nxv8s16*//*Label 32833*/ GIMT_Encode4(2358002),
     /* 2356703 */ /*GILLT_nxv8s32*//*Label 32834*/ GIMT_Encode4(2358117),
     /* 2356707 */ /*GILLT_nxv8s64*//*Label 32835*/ GIMT_Encode4(2358232), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2356719 */ /*GILLT_nxv16s16*//*Label 32836*/ GIMT_Encode4(2358347),
     /* 2356723 */ /*GILLT_nxv16s32*//*Label 32837*/ GIMT_Encode4(2358462), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2356735 */ /*GILLT_nxv32s16*//*Label 32838*/ GIMT_Encode4(2358577),
     /* 2356739 */ // Label 32821: @2356739
     /* 2356739 */ GIM_Try, /*On fail goto*//*Label 32840*/ GIMT_Encode4(2356805),
     /* 2356744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2356747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2356750 */   GIM_Try, /*On fail goto*//*Label 32841*/ GIMT_Encode4(2356777), // Rule ID 2054 //
     /* 2356755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2356758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2356762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2356766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2356770 */     // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2356770 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2356775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356776 */     // GIR_Coverage, 2054,
     /* 2356776 */     GIR_Done,
     /* 2356777 */   // Label 32841: @2356777
     /* 2356777 */   GIM_Try, /*On fail goto*//*Label 32842*/ GIMT_Encode4(2356804), // Rule ID 2055 //
     /* 2356782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2356785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2356789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2356793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2356797 */     // (fminnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2356797 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2356802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356803 */     // GIR_Coverage, 2055,
     /* 2356803 */     GIR_Done,
     /* 2356804 */   // Label 32842: @2356804
     /* 2356804 */   GIM_Reject,
     /* 2356805 */ // Label 32840: @2356805
     /* 2356805 */ GIM_Reject,
     /* 2356806 */ // Label 32822: @2356806
     /* 2356806 */ GIM_Try, /*On fail goto*//*Label 32843*/ GIMT_Encode4(2356872),
     /* 2356811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2356814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2356817 */   GIM_Try, /*On fail goto*//*Label 32844*/ GIMT_Encode4(2356844), // Rule ID 1341 //
     /* 2356822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2356825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2356829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2356833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2356837 */     // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2356837 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2356842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356843 */     // GIR_Coverage, 1341,
     /* 2356843 */     GIR_Done,
     /* 2356844 */   // Label 32844: @2356844
     /* 2356844 */   GIM_Try, /*On fail goto*//*Label 32845*/ GIMT_Encode4(2356871), // Rule ID 1342 //
     /* 2356849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2356852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2356856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2356860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2356864 */     // (fminnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2356864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2356869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356870 */     // GIR_Coverage, 1342,
     /* 2356870 */     GIR_Done,
     /* 2356871 */   // Label 32845: @2356871
     /* 2356871 */   GIM_Reject,
     /* 2356872 */ // Label 32843: @2356872
     /* 2356872 */ GIM_Reject,
     /* 2356873 */ // Label 32823: @2356873
     /* 2356873 */ GIM_Try, /*On fail goto*//*Label 32846*/ GIMT_Encode4(2356966),
     /* 2356878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2356881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2356884 */   GIM_Try, /*On fail goto*//*Label 32847*/ GIMT_Encode4(2356911), // Rule ID 1712 //
     /* 2356889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2356892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2356896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2356900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2356904 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2356904 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2356909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356910 */     // GIR_Coverage, 1712,
     /* 2356910 */     GIR_Done,
     /* 2356911 */   // Label 32847: @2356911
     /* 2356911 */   GIM_Try, /*On fail goto*//*Label 32848*/ GIMT_Encode4(2356938), // Rule ID 1713 //
     /* 2356916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2356919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2356923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2356927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2356931 */     // (fminnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2356931 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2356936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356937 */     // GIR_Coverage, 1713,
     /* 2356937 */     GIR_Done,
     /* 2356938 */   // Label 32848: @2356938
     /* 2356938 */   GIM_Try, /*On fail goto*//*Label 32849*/ GIMT_Encode4(2356965), // Rule ID 1714 //
     /* 2356943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2356946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356958 */     // (fminnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2356958 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2356963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356964 */     // GIR_Coverage, 1714,
     /* 2356964 */     GIR_Done,
     /* 2356965 */   // Label 32849: @2356965
     /* 2356965 */   GIM_Reject,
     /* 2356966 */ // Label 32846: @2356966
     /* 2356966 */ GIM_Reject,
     /* 2356967 */ // Label 32824: @2356967
     /* 2356967 */ GIM_Try, /*On fail goto*//*Label 32850*/ GIMT_Encode4(2357081),
     /* 2356972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2356975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2356978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356990 */   GIM_Try, /*On fail goto*//*Label 32851*/ GIMT_Encode4(2357035), // Rule ID 45756 //
     /* 2356995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2356998 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2357001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2357015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357034 */     // GIR_Coverage, 45756,
     /* 2357034 */     GIR_EraseRootFromParent_Done,
     /* 2357035 */   // Label 32851: @2357035
     /* 2357035 */   GIM_Try, /*On fail goto*//*Label 32852*/ GIMT_Encode4(2357080), // Rule ID 45757 //
     /* 2357040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2357043 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2357046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2357060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357079 */     // GIR_Coverage, 45757,
     /* 2357079 */     GIR_EraseRootFromParent_Done,
     /* 2357080 */   // Label 32852: @2357080
     /* 2357080 */   GIM_Reject,
     /* 2357081 */ // Label 32850: @2357081
     /* 2357081 */ GIM_Reject,
     /* 2357082 */ // Label 32825: @2357082
     /* 2357082 */ GIM_Try, /*On fail goto*//*Label 32853*/ GIMT_Encode4(2357196),
     /* 2357087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2357090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2357093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357105 */   GIM_Try, /*On fail goto*//*Label 32854*/ GIMT_Encode4(2357150), // Rule ID 56546 //
     /* 2357110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2357113 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2357116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2357130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357149 */     // GIR_Coverage, 56546,
     /* 2357149 */     GIR_EraseRootFromParent_Done,
     /* 2357150 */   // Label 32854: @2357150
     /* 2357150 */   GIM_Try, /*On fail goto*//*Label 32855*/ GIMT_Encode4(2357195), // Rule ID 56547 //
     /* 2357155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2357158 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2357161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2357175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357194 */     // GIR_Coverage, 56547,
     /* 2357194 */     GIR_EraseRootFromParent_Done,
     /* 2357195 */   // Label 32855: @2357195
     /* 2357195 */   GIM_Reject,
     /* 2357196 */ // Label 32853: @2357196
     /* 2357196 */ GIM_Reject,
     /* 2357197 */ // Label 32826: @2357197
     /* 2357197 */ GIM_Try, /*On fail goto*//*Label 32856*/ GIMT_Encode4(2357311),
     /* 2357202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2357205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2357208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357220 */   GIM_Try, /*On fail goto*//*Label 32857*/ GIMT_Encode4(2357265), // Rule ID 56564 //
     /* 2357225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2357228 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2357231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2357245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357264 */     // GIR_Coverage, 56564,
     /* 2357264 */     GIR_EraseRootFromParent_Done,
     /* 2357265 */   // Label 32857: @2357265
     /* 2357265 */   GIM_Try, /*On fail goto*//*Label 32858*/ GIMT_Encode4(2357310), // Rule ID 56565 //
     /* 2357270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2357273 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2357276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2357290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357309 */     // GIR_Coverage, 56565,
     /* 2357309 */     GIR_EraseRootFromParent_Done,
     /* 2357310 */   // Label 32858: @2357310
     /* 2357310 */   GIM_Reject,
     /* 2357311 */ // Label 32856: @2357311
     /* 2357311 */ GIM_Reject,
     /* 2357312 */ // Label 32827: @2357312
     /* 2357312 */ GIM_Try, /*On fail goto*//*Label 32859*/ GIMT_Encode4(2357426),
     /* 2357317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2357320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2357323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357335 */   GIM_Try, /*On fail goto*//*Label 32860*/ GIMT_Encode4(2357380), // Rule ID 56540 //
     /* 2357340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2357343 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2357346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2357360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357379 */     // GIR_Coverage, 56540,
     /* 2357379 */     GIR_EraseRootFromParent_Done,
     /* 2357380 */   // Label 32860: @2357380
     /* 2357380 */   GIM_Try, /*On fail goto*//*Label 32861*/ GIMT_Encode4(2357425), // Rule ID 56541 //
     /* 2357385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2357388 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2357391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2357405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357424 */     // GIR_Coverage, 56541,
     /* 2357424 */     GIR_EraseRootFromParent_Done,
     /* 2357425 */   // Label 32861: @2357425
     /* 2357425 */   GIM_Reject,
     /* 2357426 */ // Label 32859: @2357426
     /* 2357426 */ GIM_Reject,
     /* 2357427 */ // Label 32828: @2357427
     /* 2357427 */ GIM_Try, /*On fail goto*//*Label 32862*/ GIMT_Encode4(2357541),
     /* 2357432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2357435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2357438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357450 */   GIM_Try, /*On fail goto*//*Label 32863*/ GIMT_Encode4(2357495), // Rule ID 56558 //
     /* 2357455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2357458 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2357461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2357475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357494 */     // GIR_Coverage, 56558,
     /* 2357494 */     GIR_EraseRootFromParent_Done,
     /* 2357495 */   // Label 32863: @2357495
     /* 2357495 */   GIM_Try, /*On fail goto*//*Label 32864*/ GIMT_Encode4(2357540), // Rule ID 56559 //
     /* 2357500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2357503 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2357506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2357520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357539 */     // GIR_Coverage, 56559,
     /* 2357539 */     GIR_EraseRootFromParent_Done,
     /* 2357540 */   // Label 32864: @2357540
     /* 2357540 */   GIM_Reject,
     /* 2357541 */ // Label 32862: @2357541
     /* 2357541 */ GIM_Reject,
     /* 2357542 */ // Label 32829: @2357542
     /* 2357542 */ GIM_Try, /*On fail goto*//*Label 32865*/ GIMT_Encode4(2357656),
     /* 2357547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2357550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2357553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357565 */   GIM_Try, /*On fail goto*//*Label 32866*/ GIMT_Encode4(2357610), // Rule ID 56606 //
     /* 2357570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2357573 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2357576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2357590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357609 */     // GIR_Coverage, 56606,
     /* 2357609 */     GIR_EraseRootFromParent_Done,
     /* 2357610 */   // Label 32866: @2357610
     /* 2357610 */   GIM_Try, /*On fail goto*//*Label 32867*/ GIMT_Encode4(2357655), // Rule ID 56607 //
     /* 2357615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2357618 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2357621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2357635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357654 */     // GIR_Coverage, 56607,
     /* 2357654 */     GIR_EraseRootFromParent_Done,
     /* 2357655 */   // Label 32867: @2357655
     /* 2357655 */   GIM_Reject,
     /* 2357656 */ // Label 32865: @2357656
     /* 2357656 */ GIM_Reject,
     /* 2357657 */ // Label 32830: @2357657
     /* 2357657 */ GIM_Try, /*On fail goto*//*Label 32868*/ GIMT_Encode4(2357771),
     /* 2357662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2357665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2357668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357680 */   GIM_Try, /*On fail goto*//*Label 32869*/ GIMT_Encode4(2357725), // Rule ID 56552 //
     /* 2357685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2357688 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2357691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2357705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357724 */     // GIR_Coverage, 56552,
     /* 2357724 */     GIR_EraseRootFromParent_Done,
     /* 2357725 */   // Label 32869: @2357725
     /* 2357725 */   GIM_Try, /*On fail goto*//*Label 32870*/ GIMT_Encode4(2357770), // Rule ID 56553 //
     /* 2357730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2357733 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2357736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2357750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357769 */     // GIR_Coverage, 56553,
     /* 2357769 */     GIR_EraseRootFromParent_Done,
     /* 2357770 */   // Label 32870: @2357770
     /* 2357770 */   GIM_Reject,
     /* 2357771 */ // Label 32868: @2357771
     /* 2357771 */ GIM_Reject,
     /* 2357772 */ // Label 32831: @2357772
     /* 2357772 */ GIM_Try, /*On fail goto*//*Label 32871*/ GIMT_Encode4(2357886),
     /* 2357777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2357780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2357783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357791 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357795 */   GIM_Try, /*On fail goto*//*Label 32872*/ GIMT_Encode4(2357840), // Rule ID 56588 //
     /* 2357800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2357803 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2357806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2357820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357839 */     // GIR_Coverage, 56588,
     /* 2357839 */     GIR_EraseRootFromParent_Done,
     /* 2357840 */   // Label 32872: @2357840
     /* 2357840 */   GIM_Try, /*On fail goto*//*Label 32873*/ GIMT_Encode4(2357885), // Rule ID 56589 //
     /* 2357845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2357848 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2357851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2357865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357884 */     // GIR_Coverage, 56589,
     /* 2357884 */     GIR_EraseRootFromParent_Done,
     /* 2357885 */   // Label 32873: @2357885
     /* 2357885 */   GIM_Reject,
     /* 2357886 */ // Label 32871: @2357886
     /* 2357886 */ GIM_Reject,
     /* 2357887 */ // Label 32832: @2357887
     /* 2357887 */ GIM_Try, /*On fail goto*//*Label 32874*/ GIMT_Encode4(2358001),
     /* 2357892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2357895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2357898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357910 */   GIM_Try, /*On fail goto*//*Label 32875*/ GIMT_Encode4(2357955), // Rule ID 56612 //
     /* 2357915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2357918 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2357921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2357935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357954 */     // GIR_Coverage, 56612,
     /* 2357954 */     GIR_EraseRootFromParent_Done,
     /* 2357955 */   // Label 32875: @2357955
     /* 2357955 */   GIM_Try, /*On fail goto*//*Label 32876*/ GIMT_Encode4(2358000), // Rule ID 56613 //
     /* 2357960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2357963 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2357966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2357980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357999 */     // GIR_Coverage, 56613,
     /* 2357999 */     GIR_EraseRootFromParent_Done,
     /* 2358000 */   // Label 32876: @2358000
     /* 2358000 */   GIM_Reject,
     /* 2358001 */ // Label 32874: @2358001
     /* 2358001 */ GIM_Reject,
     /* 2358002 */ // Label 32833: @2358002
     /* 2358002 */ GIM_Try, /*On fail goto*//*Label 32877*/ GIMT_Encode4(2358116),
     /* 2358007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2358010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2358013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358025 */   GIM_Try, /*On fail goto*//*Label 32878*/ GIMT_Encode4(2358070), // Rule ID 56570 //
     /* 2358030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2358033 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2358036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2358050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358069 */     // GIR_Coverage, 56570,
     /* 2358069 */     GIR_EraseRootFromParent_Done,
     /* 2358070 */   // Label 32878: @2358070
     /* 2358070 */   GIM_Try, /*On fail goto*//*Label 32879*/ GIMT_Encode4(2358115), // Rule ID 56571 //
     /* 2358075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2358078 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2358081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2358095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358114 */     // GIR_Coverage, 56571,
     /* 2358114 */     GIR_EraseRootFromParent_Done,
     /* 2358115 */   // Label 32879: @2358115
     /* 2358115 */   GIM_Reject,
     /* 2358116 */ // Label 32877: @2358116
     /* 2358116 */ GIM_Reject,
     /* 2358117 */ // Label 32834: @2358117
     /* 2358117 */ GIM_Try, /*On fail goto*//*Label 32880*/ GIMT_Encode4(2358231),
     /* 2358122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2358125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2358128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358140 */   GIM_Try, /*On fail goto*//*Label 32881*/ GIMT_Encode4(2358185), // Rule ID 56594 //
     /* 2358145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2358148 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2358151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2358165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358184 */     // GIR_Coverage, 56594,
     /* 2358184 */     GIR_EraseRootFromParent_Done,
     /* 2358185 */   // Label 32881: @2358185
     /* 2358185 */   GIM_Try, /*On fail goto*//*Label 32882*/ GIMT_Encode4(2358230), // Rule ID 56595 //
     /* 2358190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2358193 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2358196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2358210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358229 */     // GIR_Coverage, 56595,
     /* 2358229 */     GIR_EraseRootFromParent_Done,
     /* 2358230 */   // Label 32882: @2358230
     /* 2358230 */   GIM_Reject,
     /* 2358231 */ // Label 32880: @2358231
     /* 2358231 */ GIM_Reject,
     /* 2358232 */ // Label 32835: @2358232
     /* 2358232 */ GIM_Try, /*On fail goto*//*Label 32883*/ GIMT_Encode4(2358346),
     /* 2358237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2358240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2358243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358251 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358255 */   GIM_Try, /*On fail goto*//*Label 32884*/ GIMT_Encode4(2358300), // Rule ID 56618 //
     /* 2358260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2358263 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2358266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2358280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358299 */     // GIR_Coverage, 56618,
     /* 2358299 */     GIR_EraseRootFromParent_Done,
     /* 2358300 */   // Label 32884: @2358300
     /* 2358300 */   GIM_Try, /*On fail goto*//*Label 32885*/ GIMT_Encode4(2358345), // Rule ID 56619 //
     /* 2358305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2358308 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2358311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2358325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358344 */     // GIR_Coverage, 56619,
     /* 2358344 */     GIR_EraseRootFromParent_Done,
     /* 2358345 */   // Label 32885: @2358345
     /* 2358345 */   GIM_Reject,
     /* 2358346 */ // Label 32883: @2358346
     /* 2358346 */ GIM_Reject,
     /* 2358347 */ // Label 32836: @2358347
     /* 2358347 */ GIM_Try, /*On fail goto*//*Label 32886*/ GIMT_Encode4(2358461),
     /* 2358352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2358355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2358358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358370 */   GIM_Try, /*On fail goto*//*Label 32887*/ GIMT_Encode4(2358415), // Rule ID 56576 //
     /* 2358375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2358378 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2358381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2358395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358414 */     // GIR_Coverage, 56576,
     /* 2358414 */     GIR_EraseRootFromParent_Done,
     /* 2358415 */   // Label 32887: @2358415
     /* 2358415 */   GIM_Try, /*On fail goto*//*Label 32888*/ GIMT_Encode4(2358460), // Rule ID 56577 //
     /* 2358420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2358423 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2358426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2358440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358459 */     // GIR_Coverage, 56577,
     /* 2358459 */     GIR_EraseRootFromParent_Done,
     /* 2358460 */   // Label 32888: @2358460
     /* 2358460 */   GIM_Reject,
     /* 2358461 */ // Label 32886: @2358461
     /* 2358461 */ GIM_Reject,
     /* 2358462 */ // Label 32837: @2358462
     /* 2358462 */ GIM_Try, /*On fail goto*//*Label 32889*/ GIMT_Encode4(2358576),
     /* 2358467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2358470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2358473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358485 */   GIM_Try, /*On fail goto*//*Label 32890*/ GIMT_Encode4(2358530), // Rule ID 56600 //
     /* 2358490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2358493 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2358496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2358510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358529 */     // GIR_Coverage, 56600,
     /* 2358529 */     GIR_EraseRootFromParent_Done,
     /* 2358530 */   // Label 32890: @2358530
     /* 2358530 */   GIM_Try, /*On fail goto*//*Label 32891*/ GIMT_Encode4(2358575), // Rule ID 56601 //
     /* 2358535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2358538 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2358541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2358555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358574 */     // GIR_Coverage, 56601,
     /* 2358574 */     GIR_EraseRootFromParent_Done,
     /* 2358575 */   // Label 32891: @2358575
     /* 2358575 */   GIM_Reject,
     /* 2358576 */ // Label 32889: @2358576
     /* 2358576 */ GIM_Reject,
     /* 2358577 */ // Label 32838: @2358577
     /* 2358577 */ GIM_Try, /*On fail goto*//*Label 32892*/ GIMT_Encode4(2358691),
     /* 2358582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2358585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2358588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358600 */   GIM_Try, /*On fail goto*//*Label 32893*/ GIMT_Encode4(2358645), // Rule ID 56582 //
     /* 2358605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2358608 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2358611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2358625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358644 */     // GIR_Coverage, 56582,
     /* 2358644 */     GIR_EraseRootFromParent_Done,
     /* 2358645 */   // Label 32893: @2358645
     /* 2358645 */   GIM_Try, /*On fail goto*//*Label 32894*/ GIMT_Encode4(2358690), // Rule ID 56583 //
     /* 2358650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2358653 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2358656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2358670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358689 */     // GIR_Coverage, 56583,
     /* 2358689 */     GIR_EraseRootFromParent_Done,
     /* 2358690 */   // Label 32894: @2358690
     /* 2358690 */   GIM_Reject,
     /* 2358691 */ // Label 32892: @2358691
     /* 2358691 */ GIM_Reject,
     /* 2358692 */ // Label 32839: @2358692
     /* 2358692 */ GIM_Reject,
     /* 2358693 */ // Label 75: @2358693
     /* 2358693 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32913*/ GIMT_Encode4(2360777),
     /* 2358704 */ /*GILLT_s16*//*Label 32895*/ GIMT_Encode4(2358824),
     /* 2358708 */ /*GILLT_s32*//*Label 32896*/ GIMT_Encode4(2358891),
     /* 2358712 */ /*GILLT_s64*//*Label 32897*/ GIMT_Encode4(2358958), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2358724 */ /*GILLT_nxv1s16*//*Label 32898*/ GIMT_Encode4(2359052),
     /* 2358728 */ /*GILLT_nxv1s32*//*Label 32899*/ GIMT_Encode4(2359167),
     /* 2358732 */ /*GILLT_nxv1s64*//*Label 32900*/ GIMT_Encode4(2359282), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2358744 */ /*GILLT_nxv2s16*//*Label 32901*/ GIMT_Encode4(2359397),
     /* 2358748 */ /*GILLT_nxv2s32*//*Label 32902*/ GIMT_Encode4(2359512),
     /* 2358752 */ /*GILLT_nxv2s64*//*Label 32903*/ GIMT_Encode4(2359627), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2358764 */ /*GILLT_nxv4s16*//*Label 32904*/ GIMT_Encode4(2359742),
     /* 2358768 */ /*GILLT_nxv4s32*//*Label 32905*/ GIMT_Encode4(2359857),
     /* 2358772 */ /*GILLT_nxv4s64*//*Label 32906*/ GIMT_Encode4(2359972), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2358784 */ /*GILLT_nxv8s16*//*Label 32907*/ GIMT_Encode4(2360087),
     /* 2358788 */ /*GILLT_nxv8s32*//*Label 32908*/ GIMT_Encode4(2360202),
     /* 2358792 */ /*GILLT_nxv8s64*//*Label 32909*/ GIMT_Encode4(2360317), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2358804 */ /*GILLT_nxv16s16*//*Label 32910*/ GIMT_Encode4(2360432),
     /* 2358808 */ /*GILLT_nxv16s32*//*Label 32911*/ GIMT_Encode4(2360547), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2358820 */ /*GILLT_nxv32s16*//*Label 32912*/ GIMT_Encode4(2360662),
     /* 2358824 */ // Label 32895: @2358824
     /* 2358824 */ GIM_Try, /*On fail goto*//*Label 32914*/ GIMT_Encode4(2358890),
     /* 2358829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2358832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2358835 */   GIM_Try, /*On fail goto*//*Label 32915*/ GIMT_Encode4(2358862), // Rule ID 2056 //
     /* 2358840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2358843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2358847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2358851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2358855 */     // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2358855 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2358860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358861 */     // GIR_Coverage, 2056,
     /* 2358861 */     GIR_Done,
     /* 2358862 */   // Label 32915: @2358862
     /* 2358862 */   GIM_Try, /*On fail goto*//*Label 32916*/ GIMT_Encode4(2358889), // Rule ID 2057 //
     /* 2358867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2358870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2358874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2358878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2358882 */     // (fmaxnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2358882 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2358887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358888 */     // GIR_Coverage, 2057,
     /* 2358888 */     GIR_Done,
     /* 2358889 */   // Label 32916: @2358889
     /* 2358889 */   GIM_Reject,
     /* 2358890 */ // Label 32914: @2358890
     /* 2358890 */ GIM_Reject,
     /* 2358891 */ // Label 32896: @2358891
     /* 2358891 */ GIM_Try, /*On fail goto*//*Label 32917*/ GIMT_Encode4(2358957),
     /* 2358896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2358899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2358902 */   GIM_Try, /*On fail goto*//*Label 32918*/ GIMT_Encode4(2358929), // Rule ID 1343 //
     /* 2358907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2358910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2358914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2358918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2358922 */     // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2358922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2358927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358928 */     // GIR_Coverage, 1343,
     /* 2358928 */     GIR_Done,
     /* 2358929 */   // Label 32918: @2358929
     /* 2358929 */   GIM_Try, /*On fail goto*//*Label 32919*/ GIMT_Encode4(2358956), // Rule ID 1344 //
     /* 2358934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2358937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2358941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2358945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2358949 */     // (fmaxnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2358949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2358954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358955 */     // GIR_Coverage, 1344,
     /* 2358955 */     GIR_Done,
     /* 2358956 */   // Label 32919: @2358956
     /* 2358956 */   GIM_Reject,
     /* 2358957 */ // Label 32917: @2358957
     /* 2358957 */ GIM_Reject,
     /* 2358958 */ // Label 32897: @2358958
     /* 2358958 */ GIM_Try, /*On fail goto*//*Label 32920*/ GIMT_Encode4(2359051),
     /* 2358963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2358966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2358969 */   GIM_Try, /*On fail goto*//*Label 32921*/ GIMT_Encode4(2358996), // Rule ID 1715 //
     /* 2358974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2358977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2358981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2358985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2358989 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2358989 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2358994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358995 */     // GIR_Coverage, 1715,
     /* 2358995 */     GIR_Done,
     /* 2358996 */   // Label 32921: @2358996
     /* 2358996 */   GIM_Try, /*On fail goto*//*Label 32922*/ GIMT_Encode4(2359023), // Rule ID 1716 //
     /* 2359001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2359004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2359008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2359012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2359016 */     // (fmaxnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2359016 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2359021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359022 */     // GIR_Coverage, 1716,
     /* 2359022 */     GIR_Done,
     /* 2359023 */   // Label 32922: @2359023
     /* 2359023 */   GIM_Try, /*On fail goto*//*Label 32923*/ GIMT_Encode4(2359050), // Rule ID 1717 //
     /* 2359028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2359031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359043 */     // (fmaxnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2359043 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2359048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359049 */     // GIR_Coverage, 1717,
     /* 2359049 */     GIR_Done,
     /* 2359050 */   // Label 32923: @2359050
     /* 2359050 */   GIM_Reject,
     /* 2359051 */ // Label 32920: @2359051
     /* 2359051 */ GIM_Reject,
     /* 2359052 */ // Label 32898: @2359052
     /* 2359052 */ GIM_Try, /*On fail goto*//*Label 32924*/ GIMT_Encode4(2359166),
     /* 2359057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2359060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2359063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359075 */   GIM_Try, /*On fail goto*//*Label 32925*/ GIMT_Encode4(2359120), // Rule ID 56624 //
     /* 2359080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2359083 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2359086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2359100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359119 */     // GIR_Coverage, 56624,
     /* 2359119 */     GIR_EraseRootFromParent_Done,
     /* 2359120 */   // Label 32925: @2359120
     /* 2359120 */   GIM_Try, /*On fail goto*//*Label 32926*/ GIMT_Encode4(2359165), // Rule ID 56625 //
     /* 2359125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2359128 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2359131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2359145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359164 */     // GIR_Coverage, 56625,
     /* 2359164 */     GIR_EraseRootFromParent_Done,
     /* 2359165 */   // Label 32926: @2359165
     /* 2359165 */   GIM_Reject,
     /* 2359166 */ // Label 32924: @2359166
     /* 2359166 */ GIM_Reject,
     /* 2359167 */ // Label 32899: @2359167
     /* 2359167 */ GIM_Try, /*On fail goto*//*Label 32927*/ GIMT_Encode4(2359281),
     /* 2359172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2359175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2359178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359190 */   GIM_Try, /*On fail goto*//*Label 32928*/ GIMT_Encode4(2359235), // Rule ID 56636 //
     /* 2359195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2359198 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2359201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2359215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359234 */     // GIR_Coverage, 56636,
     /* 2359234 */     GIR_EraseRootFromParent_Done,
     /* 2359235 */   // Label 32928: @2359235
     /* 2359235 */   GIM_Try, /*On fail goto*//*Label 32929*/ GIMT_Encode4(2359280), // Rule ID 56637 //
     /* 2359240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2359243 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2359246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2359260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359279 */     // GIR_Coverage, 56637,
     /* 2359279 */     GIR_EraseRootFromParent_Done,
     /* 2359280 */   // Label 32929: @2359280
     /* 2359280 */   GIM_Reject,
     /* 2359281 */ // Label 32927: @2359281
     /* 2359281 */ GIM_Reject,
     /* 2359282 */ // Label 32900: @2359282
     /* 2359282 */ GIM_Try, /*On fail goto*//*Label 32930*/ GIMT_Encode4(2359396),
     /* 2359287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2359290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2359293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359305 */   GIM_Try, /*On fail goto*//*Label 32931*/ GIMT_Encode4(2359350), // Rule ID 56654 //
     /* 2359310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2359313 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2359316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2359330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359349 */     // GIR_Coverage, 56654,
     /* 2359349 */     GIR_EraseRootFromParent_Done,
     /* 2359350 */   // Label 32931: @2359350
     /* 2359350 */   GIM_Try, /*On fail goto*//*Label 32932*/ GIMT_Encode4(2359395), // Rule ID 56655 //
     /* 2359355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2359358 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2359361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2359375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359394 */     // GIR_Coverage, 56655,
     /* 2359394 */     GIR_EraseRootFromParent_Done,
     /* 2359395 */   // Label 32932: @2359395
     /* 2359395 */   GIM_Reject,
     /* 2359396 */ // Label 32930: @2359396
     /* 2359396 */ GIM_Reject,
     /* 2359397 */ // Label 32901: @2359397
     /* 2359397 */ GIM_Try, /*On fail goto*//*Label 32933*/ GIMT_Encode4(2359511),
     /* 2359402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2359405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2359408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359420 */   GIM_Try, /*On fail goto*//*Label 32934*/ GIMT_Encode4(2359465), // Rule ID 56630 //
     /* 2359425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2359428 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2359431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2359445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359464 */     // GIR_Coverage, 56630,
     /* 2359464 */     GIR_EraseRootFromParent_Done,
     /* 2359465 */   // Label 32934: @2359465
     /* 2359465 */   GIM_Try, /*On fail goto*//*Label 32935*/ GIMT_Encode4(2359510), // Rule ID 56631 //
     /* 2359470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2359473 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2359476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2359490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359509 */     // GIR_Coverage, 56631,
     /* 2359509 */     GIR_EraseRootFromParent_Done,
     /* 2359510 */   // Label 32935: @2359510
     /* 2359510 */   GIM_Reject,
     /* 2359511 */ // Label 32933: @2359511
     /* 2359511 */ GIM_Reject,
     /* 2359512 */ // Label 32902: @2359512
     /* 2359512 */ GIM_Try, /*On fail goto*//*Label 32936*/ GIMT_Encode4(2359626),
     /* 2359517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2359520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2359523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359535 */   GIM_Try, /*On fail goto*//*Label 32937*/ GIMT_Encode4(2359580), // Rule ID 56648 //
     /* 2359540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2359543 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2359546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2359560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359579 */     // GIR_Coverage, 56648,
     /* 2359579 */     GIR_EraseRootFromParent_Done,
     /* 2359580 */   // Label 32937: @2359580
     /* 2359580 */   GIM_Try, /*On fail goto*//*Label 32938*/ GIMT_Encode4(2359625), // Rule ID 56649 //
     /* 2359585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2359588 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2359591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2359605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359624 */     // GIR_Coverage, 56649,
     /* 2359624 */     GIR_EraseRootFromParent_Done,
     /* 2359625 */   // Label 32938: @2359625
     /* 2359625 */   GIM_Reject,
     /* 2359626 */ // Label 32936: @2359626
     /* 2359626 */ GIM_Reject,
     /* 2359627 */ // Label 32903: @2359627
     /* 2359627 */ GIM_Try, /*On fail goto*//*Label 32939*/ GIMT_Encode4(2359741),
     /* 2359632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2359635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2359638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359650 */   GIM_Try, /*On fail goto*//*Label 32940*/ GIMT_Encode4(2359695), // Rule ID 56696 //
     /* 2359655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2359658 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2359661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2359675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359694 */     // GIR_Coverage, 56696,
     /* 2359694 */     GIR_EraseRootFromParent_Done,
     /* 2359695 */   // Label 32940: @2359695
     /* 2359695 */   GIM_Try, /*On fail goto*//*Label 32941*/ GIMT_Encode4(2359740), // Rule ID 56697 //
     /* 2359700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2359703 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2359706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2359720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359739 */     // GIR_Coverage, 56697,
     /* 2359739 */     GIR_EraseRootFromParent_Done,
     /* 2359740 */   // Label 32941: @2359740
     /* 2359740 */   GIM_Reject,
     /* 2359741 */ // Label 32939: @2359741
     /* 2359741 */ GIM_Reject,
     /* 2359742 */ // Label 32904: @2359742
     /* 2359742 */ GIM_Try, /*On fail goto*//*Label 32942*/ GIMT_Encode4(2359856),
     /* 2359747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2359750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2359753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359765 */   GIM_Try, /*On fail goto*//*Label 32943*/ GIMT_Encode4(2359810), // Rule ID 56642 //
     /* 2359770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2359773 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2359776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2359790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359809 */     // GIR_Coverage, 56642,
     /* 2359809 */     GIR_EraseRootFromParent_Done,
     /* 2359810 */   // Label 32943: @2359810
     /* 2359810 */   GIM_Try, /*On fail goto*//*Label 32944*/ GIMT_Encode4(2359855), // Rule ID 56643 //
     /* 2359815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2359818 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2359821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2359835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359854 */     // GIR_Coverage, 56643,
     /* 2359854 */     GIR_EraseRootFromParent_Done,
     /* 2359855 */   // Label 32944: @2359855
     /* 2359855 */   GIM_Reject,
     /* 2359856 */ // Label 32942: @2359856
     /* 2359856 */ GIM_Reject,
     /* 2359857 */ // Label 32905: @2359857
     /* 2359857 */ GIM_Try, /*On fail goto*//*Label 32945*/ GIMT_Encode4(2359971),
     /* 2359862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2359865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2359868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359880 */   GIM_Try, /*On fail goto*//*Label 32946*/ GIMT_Encode4(2359925), // Rule ID 56678 //
     /* 2359885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2359888 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2359891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2359905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359924 */     // GIR_Coverage, 56678,
     /* 2359924 */     GIR_EraseRootFromParent_Done,
     /* 2359925 */   // Label 32946: @2359925
     /* 2359925 */   GIM_Try, /*On fail goto*//*Label 32947*/ GIMT_Encode4(2359970), // Rule ID 56679 //
     /* 2359930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2359933 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2359936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2359950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359969 */     // GIR_Coverage, 56679,
     /* 2359969 */     GIR_EraseRootFromParent_Done,
     /* 2359970 */   // Label 32947: @2359970
     /* 2359970 */   GIM_Reject,
     /* 2359971 */ // Label 32945: @2359971
     /* 2359971 */ GIM_Reject,
     /* 2359972 */ // Label 32906: @2359972
     /* 2359972 */ GIM_Try, /*On fail goto*//*Label 32948*/ GIMT_Encode4(2360086),
     /* 2359977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2359980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2359983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359995 */   GIM_Try, /*On fail goto*//*Label 32949*/ GIMT_Encode4(2360040), // Rule ID 56702 //
     /* 2360000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2360003 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2360006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2360020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360039 */     // GIR_Coverage, 56702,
     /* 2360039 */     GIR_EraseRootFromParent_Done,
     /* 2360040 */   // Label 32949: @2360040
     /* 2360040 */   GIM_Try, /*On fail goto*//*Label 32950*/ GIMT_Encode4(2360085), // Rule ID 56703 //
     /* 2360045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2360048 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2360051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2360065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360084 */     // GIR_Coverage, 56703,
     /* 2360084 */     GIR_EraseRootFromParent_Done,
     /* 2360085 */   // Label 32950: @2360085
     /* 2360085 */   GIM_Reject,
     /* 2360086 */ // Label 32948: @2360086
     /* 2360086 */ GIM_Reject,
     /* 2360087 */ // Label 32907: @2360087
     /* 2360087 */ GIM_Try, /*On fail goto*//*Label 32951*/ GIMT_Encode4(2360201),
     /* 2360092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2360095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2360098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360110 */   GIM_Try, /*On fail goto*//*Label 32952*/ GIMT_Encode4(2360155), // Rule ID 56660 //
     /* 2360115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2360118 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2360121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2360135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360154 */     // GIR_Coverage, 56660,
     /* 2360154 */     GIR_EraseRootFromParent_Done,
     /* 2360155 */   // Label 32952: @2360155
     /* 2360155 */   GIM_Try, /*On fail goto*//*Label 32953*/ GIMT_Encode4(2360200), // Rule ID 56661 //
     /* 2360160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2360163 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2360166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2360180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360199 */     // GIR_Coverage, 56661,
     /* 2360199 */     GIR_EraseRootFromParent_Done,
     /* 2360200 */   // Label 32953: @2360200
     /* 2360200 */   GIM_Reject,
     /* 2360201 */ // Label 32951: @2360201
     /* 2360201 */ GIM_Reject,
     /* 2360202 */ // Label 32908: @2360202
     /* 2360202 */ GIM_Try, /*On fail goto*//*Label 32954*/ GIMT_Encode4(2360316),
     /* 2360207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2360210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2360213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360225 */   GIM_Try, /*On fail goto*//*Label 32955*/ GIMT_Encode4(2360270), // Rule ID 56684 //
     /* 2360230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2360233 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2360236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2360250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360269 */     // GIR_Coverage, 56684,
     /* 2360269 */     GIR_EraseRootFromParent_Done,
     /* 2360270 */   // Label 32955: @2360270
     /* 2360270 */   GIM_Try, /*On fail goto*//*Label 32956*/ GIMT_Encode4(2360315), // Rule ID 56685 //
     /* 2360275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2360278 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2360281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2360295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360314 */     // GIR_Coverage, 56685,
     /* 2360314 */     GIR_EraseRootFromParent_Done,
     /* 2360315 */   // Label 32956: @2360315
     /* 2360315 */   GIM_Reject,
     /* 2360316 */ // Label 32954: @2360316
     /* 2360316 */ GIM_Reject,
     /* 2360317 */ // Label 32909: @2360317
     /* 2360317 */ GIM_Try, /*On fail goto*//*Label 32957*/ GIMT_Encode4(2360431),
     /* 2360322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2360325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2360328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360340 */   GIM_Try, /*On fail goto*//*Label 32958*/ GIMT_Encode4(2360385), // Rule ID 56708 //
     /* 2360345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2360348 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2360351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2360365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360384 */     // GIR_Coverage, 56708,
     /* 2360384 */     GIR_EraseRootFromParent_Done,
     /* 2360385 */   // Label 32958: @2360385
     /* 2360385 */   GIM_Try, /*On fail goto*//*Label 32959*/ GIMT_Encode4(2360430), // Rule ID 56709 //
     /* 2360390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2360393 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2360396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2360410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360429 */     // GIR_Coverage, 56709,
     /* 2360429 */     GIR_EraseRootFromParent_Done,
     /* 2360430 */   // Label 32959: @2360430
     /* 2360430 */   GIM_Reject,
     /* 2360431 */ // Label 32957: @2360431
     /* 2360431 */ GIM_Reject,
     /* 2360432 */ // Label 32910: @2360432
     /* 2360432 */ GIM_Try, /*On fail goto*//*Label 32960*/ GIMT_Encode4(2360546),
     /* 2360437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2360440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2360443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360455 */   GIM_Try, /*On fail goto*//*Label 32961*/ GIMT_Encode4(2360500), // Rule ID 56666 //
     /* 2360460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2360463 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2360466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2360480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360499 */     // GIR_Coverage, 56666,
     /* 2360499 */     GIR_EraseRootFromParent_Done,
     /* 2360500 */   // Label 32961: @2360500
     /* 2360500 */   GIM_Try, /*On fail goto*//*Label 32962*/ GIMT_Encode4(2360545), // Rule ID 56667 //
     /* 2360505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2360508 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2360511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2360525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360544 */     // GIR_Coverage, 56667,
     /* 2360544 */     GIR_EraseRootFromParent_Done,
     /* 2360545 */   // Label 32962: @2360545
     /* 2360545 */   GIM_Reject,
     /* 2360546 */ // Label 32960: @2360546
     /* 2360546 */ GIM_Reject,
     /* 2360547 */ // Label 32911: @2360547
     /* 2360547 */ GIM_Try, /*On fail goto*//*Label 32963*/ GIMT_Encode4(2360661),
     /* 2360552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2360555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2360558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360570 */   GIM_Try, /*On fail goto*//*Label 32964*/ GIMT_Encode4(2360615), // Rule ID 56690 //
     /* 2360575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2360578 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2360581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2360595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360614 */     // GIR_Coverage, 56690,
     /* 2360614 */     GIR_EraseRootFromParent_Done,
     /* 2360615 */   // Label 32964: @2360615
     /* 2360615 */   GIM_Try, /*On fail goto*//*Label 32965*/ GIMT_Encode4(2360660), // Rule ID 56691 //
     /* 2360620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2360623 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2360626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2360640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360659 */     // GIR_Coverage, 56691,
     /* 2360659 */     GIR_EraseRootFromParent_Done,
     /* 2360660 */   // Label 32965: @2360660
     /* 2360660 */   GIM_Reject,
     /* 2360661 */ // Label 32963: @2360661
     /* 2360661 */ GIM_Reject,
     /* 2360662 */ // Label 32912: @2360662
     /* 2360662 */ GIM_Try, /*On fail goto*//*Label 32966*/ GIMT_Encode4(2360776),
     /* 2360667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2360670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2360673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360685 */   GIM_Try, /*On fail goto*//*Label 32967*/ GIMT_Encode4(2360730), // Rule ID 56672 //
     /* 2360690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2360693 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2360696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2360710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360729 */     // GIR_Coverage, 56672,
     /* 2360729 */     GIR_EraseRootFromParent_Done,
     /* 2360730 */   // Label 32967: @2360730
     /* 2360730 */   GIM_Try, /*On fail goto*//*Label 32968*/ GIMT_Encode4(2360775), // Rule ID 56673 //
     /* 2360735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2360738 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2360741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2360755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360774 */     // GIR_Coverage, 56673,
     /* 2360774 */     GIR_EraseRootFromParent_Done,
     /* 2360775 */   // Label 32968: @2360775
     /* 2360775 */   GIM_Reject,
     /* 2360776 */ // Label 32966: @2360776
     /* 2360776 */ GIM_Reject,
     /* 2360777 */ // Label 32913: @2360777
     /* 2360777 */ GIM_Reject,
     /* 2360778 */ // Label 76: @2360778
     /* 2360778 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32972*/ GIMT_Encode4(2360903),
     /* 2360789 */ /*GILLT_s16*//*Label 32969*/ GIMT_Encode4(2360801),
     /* 2360793 */ /*GILLT_s32*//*Label 32970*/ GIMT_Encode4(2360835),
     /* 2360797 */ /*GILLT_s64*//*Label 32971*/ GIMT_Encode4(2360869),
     /* 2360801 */ // Label 32969: @2360801
     /* 2360801 */ GIM_Try, /*On fail goto*//*Label 32973*/ GIMT_Encode4(2360834), // Rule ID 2408 //
     /* 2360806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2360809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2360812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2360815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2360819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2360823 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2360827 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMINM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2360827 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_H),
     /* 2360832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2360833 */   // GIR_Coverage, 2408,
     /* 2360833 */   GIR_Done,
     /* 2360834 */ // Label 32973: @2360834
     /* 2360834 */ GIM_Reject,
     /* 2360835 */ // Label 32970: @2360835
     /* 2360835 */ GIM_Try, /*On fail goto*//*Label 32974*/ GIMT_Encode4(2360868), // Rule ID 2326 //
     /* 2360840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2360843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2360846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2360849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2360853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2360857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2360861 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMINM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2360861 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_S),
     /* 2360866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2360867 */   // GIR_Coverage, 2326,
     /* 2360867 */   GIR_Done,
     /* 2360868 */ // Label 32974: @2360868
     /* 2360868 */ GIM_Reject,
     /* 2360869 */ // Label 32971: @2360869
     /* 2360869 */ GIM_Try, /*On fail goto*//*Label 32975*/ GIMT_Encode4(2360902), // Rule ID 2366 //
     /* 2360874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2360877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2360880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2360883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2360887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2360891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2360895 */   // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMINM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2360895 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_D),
     /* 2360900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2360901 */   // GIR_Coverage, 2366,
     /* 2360901 */   GIR_Done,
     /* 2360902 */ // Label 32975: @2360902
     /* 2360902 */ GIM_Reject,
     /* 2360903 */ // Label 32972: @2360903
     /* 2360903 */ GIM_Reject,
     /* 2360904 */ // Label 77: @2360904
     /* 2360904 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32979*/ GIMT_Encode4(2361029),
     /* 2360915 */ /*GILLT_s16*//*Label 32976*/ GIMT_Encode4(2360927),
     /* 2360919 */ /*GILLT_s32*//*Label 32977*/ GIMT_Encode4(2360961),
     /* 2360923 */ /*GILLT_s64*//*Label 32978*/ GIMT_Encode4(2360995),
     /* 2360927 */ // Label 32976: @2360927
     /* 2360927 */ GIM_Try, /*On fail goto*//*Label 32980*/ GIMT_Encode4(2360960), // Rule ID 2409 //
     /* 2360932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2360935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2360938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2360941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2360945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2360949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2360953 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAXM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2360953 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_H),
     /* 2360958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2360959 */   // GIR_Coverage, 2409,
     /* 2360959 */   GIR_Done,
     /* 2360960 */ // Label 32980: @2360960
     /* 2360960 */ GIM_Reject,
     /* 2360961 */ // Label 32977: @2360961
     /* 2360961 */ GIM_Try, /*On fail goto*//*Label 32981*/ GIMT_Encode4(2360994), // Rule ID 2327 //
     /* 2360966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2360969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2360972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2360975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2360979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2360983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2360987 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAXM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2360987 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_S),
     /* 2360992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2360993 */   // GIR_Coverage, 2327,
     /* 2360993 */   GIR_Done,
     /* 2360994 */ // Label 32981: @2360994
     /* 2360994 */ GIM_Reject,
     /* 2360995 */ // Label 32978: @2360995
     /* 2360995 */ GIM_Try, /*On fail goto*//*Label 32982*/ GIMT_Encode4(2361028), // Rule ID 2367 //
     /* 2361000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2361003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2361006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2361009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361021 */   // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAXM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2361021 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_D),
     /* 2361026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361027 */   // GIR_Coverage, 2367,
     /* 2361027 */   GIR_Done,
     /* 2361028 */ // Label 32982: @2361028
     /* 2361028 */ GIM_Reject,
     /* 2361029 */ // Label 32979: @2361029
     /* 2361029 */ GIM_Reject,
     /* 2361030 */ // Label 78: @2361030
     /* 2361030 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33001*/ GIMT_Encode4(2363114),
     /* 2361041 */ /*GILLT_s16*//*Label 32983*/ GIMT_Encode4(2361161),
     /* 2361045 */ /*GILLT_s32*//*Label 32984*/ GIMT_Encode4(2361228),
     /* 2361049 */ /*GILLT_s64*//*Label 32985*/ GIMT_Encode4(2361295), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2361061 */ /*GILLT_nxv1s16*//*Label 32986*/ GIMT_Encode4(2361389),
     /* 2361065 */ /*GILLT_nxv1s32*//*Label 32987*/ GIMT_Encode4(2361504),
     /* 2361069 */ /*GILLT_nxv1s64*//*Label 32988*/ GIMT_Encode4(2361619), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2361081 */ /*GILLT_nxv2s16*//*Label 32989*/ GIMT_Encode4(2361734),
     /* 2361085 */ /*GILLT_nxv2s32*//*Label 32990*/ GIMT_Encode4(2361849),
     /* 2361089 */ /*GILLT_nxv2s64*//*Label 32991*/ GIMT_Encode4(2361964), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2361101 */ /*GILLT_nxv4s16*//*Label 32992*/ GIMT_Encode4(2362079),
     /* 2361105 */ /*GILLT_nxv4s32*//*Label 32993*/ GIMT_Encode4(2362194),
     /* 2361109 */ /*GILLT_nxv4s64*//*Label 32994*/ GIMT_Encode4(2362309), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2361121 */ /*GILLT_nxv8s16*//*Label 32995*/ GIMT_Encode4(2362424),
     /* 2361125 */ /*GILLT_nxv8s32*//*Label 32996*/ GIMT_Encode4(2362539),
     /* 2361129 */ /*GILLT_nxv8s64*//*Label 32997*/ GIMT_Encode4(2362654), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2361141 */ /*GILLT_nxv16s16*//*Label 32998*/ GIMT_Encode4(2362769),
     /* 2361145 */ /*GILLT_nxv16s32*//*Label 32999*/ GIMT_Encode4(2362884), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2361157 */ /*GILLT_nxv32s16*//*Label 33000*/ GIMT_Encode4(2362999),
     /* 2361161 */ // Label 32983: @2361161
     /* 2361161 */ GIM_Try, /*On fail goto*//*Label 33002*/ GIMT_Encode4(2361227),
     /* 2361166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2361169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2361172 */   GIM_Try, /*On fail goto*//*Label 33003*/ GIMT_Encode4(2361199), // Rule ID 2058 //
     /* 2361177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2361180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2361184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2361188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2361192 */     // (fminimumnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2361192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2361197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361198 */     // GIR_Coverage, 2058,
     /* 2361198 */     GIR_Done,
     /* 2361199 */   // Label 33003: @2361199
     /* 2361199 */   GIM_Try, /*On fail goto*//*Label 33004*/ GIMT_Encode4(2361226), // Rule ID 2059 //
     /* 2361204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2361207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2361211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2361215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2361219 */     // (fminimumnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2361219 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2361224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361225 */     // GIR_Coverage, 2059,
     /* 2361225 */     GIR_Done,
     /* 2361226 */   // Label 33004: @2361226
     /* 2361226 */   GIM_Reject,
     /* 2361227 */ // Label 33002: @2361227
     /* 2361227 */ GIM_Reject,
     /* 2361228 */ // Label 32984: @2361228
     /* 2361228 */ GIM_Try, /*On fail goto*//*Label 33005*/ GIMT_Encode4(2361294),
     /* 2361233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2361236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2361239 */   GIM_Try, /*On fail goto*//*Label 33006*/ GIMT_Encode4(2361266), // Rule ID 1345 //
     /* 2361244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2361247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2361251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2361255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2361259 */     // (fminimumnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2361259 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2361264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361265 */     // GIR_Coverage, 1345,
     /* 2361265 */     GIR_Done,
     /* 2361266 */   // Label 33006: @2361266
     /* 2361266 */   GIM_Try, /*On fail goto*//*Label 33007*/ GIMT_Encode4(2361293), // Rule ID 1346 //
     /* 2361271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2361274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361286 */     // (fminimumnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2361286 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2361291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361292 */     // GIR_Coverage, 1346,
     /* 2361292 */     GIR_Done,
     /* 2361293 */   // Label 33007: @2361293
     /* 2361293 */   GIM_Reject,
     /* 2361294 */ // Label 33005: @2361294
     /* 2361294 */ GIM_Reject,
     /* 2361295 */ // Label 32985: @2361295
     /* 2361295 */ GIM_Try, /*On fail goto*//*Label 33008*/ GIMT_Encode4(2361388),
     /* 2361300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2361303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2361306 */   GIM_Try, /*On fail goto*//*Label 33009*/ GIMT_Encode4(2361333), // Rule ID 1718 //
     /* 2361311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2361314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361326 */     // (fminimumnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2361326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2361331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361332 */     // GIR_Coverage, 1718,
     /* 2361332 */     GIR_Done,
     /* 2361333 */   // Label 33009: @2361333
     /* 2361333 */   GIM_Try, /*On fail goto*//*Label 33010*/ GIMT_Encode4(2361360), // Rule ID 1719 //
     /* 2361338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2361341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2361345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2361349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2361353 */     // (fminimumnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2361353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2361358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361359 */     // GIR_Coverage, 1719,
     /* 2361359 */     GIR_Done,
     /* 2361360 */   // Label 33010: @2361360
     /* 2361360 */   GIM_Try, /*On fail goto*//*Label 33011*/ GIMT_Encode4(2361387), // Rule ID 1720 //
     /* 2361365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2361368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361380 */     // (fminimumnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2361380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2361385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361386 */     // GIR_Coverage, 1720,
     /* 2361386 */     GIR_Done,
     /* 2361387 */   // Label 33011: @2361387
     /* 2361387 */   GIM_Reject,
     /* 2361388 */ // Label 33008: @2361388
     /* 2361388 */ GIM_Reject,
     /* 2361389 */ // Label 32986: @2361389
     /* 2361389 */ GIM_Try, /*On fail goto*//*Label 33012*/ GIMT_Encode4(2361503),
     /* 2361394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2361397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2361400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361412 */   GIM_Try, /*On fail goto*//*Label 33013*/ GIMT_Encode4(2361457), // Rule ID 56714 //
     /* 2361417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2361420 */     // (fminimumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2361423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2361437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361456 */     // GIR_Coverage, 56714,
     /* 2361456 */     GIR_EraseRootFromParent_Done,
     /* 2361457 */   // Label 33013: @2361457
     /* 2361457 */   GIM_Try, /*On fail goto*//*Label 33014*/ GIMT_Encode4(2361502), // Rule ID 56715 //
     /* 2361462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2361465 */     // (fminimumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2361468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2361482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361501 */     // GIR_Coverage, 56715,
     /* 2361501 */     GIR_EraseRootFromParent_Done,
     /* 2361502 */   // Label 33014: @2361502
     /* 2361502 */   GIM_Reject,
     /* 2361503 */ // Label 33012: @2361503
     /* 2361503 */ GIM_Reject,
     /* 2361504 */ // Label 32987: @2361504
     /* 2361504 */ GIM_Try, /*On fail goto*//*Label 33015*/ GIMT_Encode4(2361618),
     /* 2361509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2361512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2361515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361519 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361527 */   GIM_Try, /*On fail goto*//*Label 33016*/ GIMT_Encode4(2361572), // Rule ID 56726 //
     /* 2361532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2361535 */     // (fminimumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2361538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2361552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361571 */     // GIR_Coverage, 56726,
     /* 2361571 */     GIR_EraseRootFromParent_Done,
     /* 2361572 */   // Label 33016: @2361572
     /* 2361572 */   GIM_Try, /*On fail goto*//*Label 33017*/ GIMT_Encode4(2361617), // Rule ID 56727 //
     /* 2361577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2361580 */     // (fminimumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2361583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2361597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361616 */     // GIR_Coverage, 56727,
     /* 2361616 */     GIR_EraseRootFromParent_Done,
     /* 2361617 */   // Label 33017: @2361617
     /* 2361617 */   GIM_Reject,
     /* 2361618 */ // Label 33015: @2361618
     /* 2361618 */ GIM_Reject,
     /* 2361619 */ // Label 32988: @2361619
     /* 2361619 */ GIM_Try, /*On fail goto*//*Label 33018*/ GIMT_Encode4(2361733),
     /* 2361624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2361627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2361630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361642 */   GIM_Try, /*On fail goto*//*Label 33019*/ GIMT_Encode4(2361687), // Rule ID 56744 //
     /* 2361647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2361650 */     // (fminimumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2361653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2361667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361686 */     // GIR_Coverage, 56744,
     /* 2361686 */     GIR_EraseRootFromParent_Done,
     /* 2361687 */   // Label 33019: @2361687
     /* 2361687 */   GIM_Try, /*On fail goto*//*Label 33020*/ GIMT_Encode4(2361732), // Rule ID 56745 //
     /* 2361692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2361695 */     // (fminimumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2361698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2361712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361731 */     // GIR_Coverage, 56745,
     /* 2361731 */     GIR_EraseRootFromParent_Done,
     /* 2361732 */   // Label 33020: @2361732
     /* 2361732 */   GIM_Reject,
     /* 2361733 */ // Label 33018: @2361733
     /* 2361733 */ GIM_Reject,
     /* 2361734 */ // Label 32989: @2361734
     /* 2361734 */ GIM_Try, /*On fail goto*//*Label 33021*/ GIMT_Encode4(2361848),
     /* 2361739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2361742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2361745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361757 */   GIM_Try, /*On fail goto*//*Label 33022*/ GIMT_Encode4(2361802), // Rule ID 56720 //
     /* 2361762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2361765 */     // (fminimumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2361768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2361782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361801 */     // GIR_Coverage, 56720,
     /* 2361801 */     GIR_EraseRootFromParent_Done,
     /* 2361802 */   // Label 33022: @2361802
     /* 2361802 */   GIM_Try, /*On fail goto*//*Label 33023*/ GIMT_Encode4(2361847), // Rule ID 56721 //
     /* 2361807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2361810 */     // (fminimumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2361813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2361827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361846 */     // GIR_Coverage, 56721,
     /* 2361846 */     GIR_EraseRootFromParent_Done,
     /* 2361847 */   // Label 33023: @2361847
     /* 2361847 */   GIM_Reject,
     /* 2361848 */ // Label 33021: @2361848
     /* 2361848 */ GIM_Reject,
     /* 2361849 */ // Label 32990: @2361849
     /* 2361849 */ GIM_Try, /*On fail goto*//*Label 33024*/ GIMT_Encode4(2361963),
     /* 2361854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2361857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2361860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361872 */   GIM_Try, /*On fail goto*//*Label 33025*/ GIMT_Encode4(2361917), // Rule ID 56738 //
     /* 2361877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2361880 */     // (fminimumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2361883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2361897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361916 */     // GIR_Coverage, 56738,
     /* 2361916 */     GIR_EraseRootFromParent_Done,
     /* 2361917 */   // Label 33025: @2361917
     /* 2361917 */   GIM_Try, /*On fail goto*//*Label 33026*/ GIMT_Encode4(2361962), // Rule ID 56739 //
     /* 2361922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2361925 */     // (fminimumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2361928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2361942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361961 */     // GIR_Coverage, 56739,
     /* 2361961 */     GIR_EraseRootFromParent_Done,
     /* 2361962 */   // Label 33026: @2361962
     /* 2361962 */   GIM_Reject,
     /* 2361963 */ // Label 33024: @2361963
     /* 2361963 */ GIM_Reject,
     /* 2361964 */ // Label 32991: @2361964
     /* 2361964 */ GIM_Try, /*On fail goto*//*Label 33027*/ GIMT_Encode4(2362078),
     /* 2361969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2361972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2361975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361987 */   GIM_Try, /*On fail goto*//*Label 33028*/ GIMT_Encode4(2362032), // Rule ID 56786 //
     /* 2361992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2361995 */     // (fminimumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2361998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2362012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362031 */     // GIR_Coverage, 56786,
     /* 2362031 */     GIR_EraseRootFromParent_Done,
     /* 2362032 */   // Label 33028: @2362032
     /* 2362032 */   GIM_Try, /*On fail goto*//*Label 33029*/ GIMT_Encode4(2362077), // Rule ID 56787 //
     /* 2362037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2362040 */     // (fminimumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2362043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2362057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362076 */     // GIR_Coverage, 56787,
     /* 2362076 */     GIR_EraseRootFromParent_Done,
     /* 2362077 */   // Label 33029: @2362077
     /* 2362077 */   GIM_Reject,
     /* 2362078 */ // Label 33027: @2362078
     /* 2362078 */ GIM_Reject,
     /* 2362079 */ // Label 32992: @2362079
     /* 2362079 */ GIM_Try, /*On fail goto*//*Label 33030*/ GIMT_Encode4(2362193),
     /* 2362084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2362087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2362090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362102 */   GIM_Try, /*On fail goto*//*Label 33031*/ GIMT_Encode4(2362147), // Rule ID 56732 //
     /* 2362107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2362110 */     // (fminimumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2362113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2362127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362146 */     // GIR_Coverage, 56732,
     /* 2362146 */     GIR_EraseRootFromParent_Done,
     /* 2362147 */   // Label 33031: @2362147
     /* 2362147 */   GIM_Try, /*On fail goto*//*Label 33032*/ GIMT_Encode4(2362192), // Rule ID 56733 //
     /* 2362152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2362155 */     // (fminimumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2362158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2362172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362191 */     // GIR_Coverage, 56733,
     /* 2362191 */     GIR_EraseRootFromParent_Done,
     /* 2362192 */   // Label 33032: @2362192
     /* 2362192 */   GIM_Reject,
     /* 2362193 */ // Label 33030: @2362193
     /* 2362193 */ GIM_Reject,
     /* 2362194 */ // Label 32993: @2362194
     /* 2362194 */ GIM_Try, /*On fail goto*//*Label 33033*/ GIMT_Encode4(2362308),
     /* 2362199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2362202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2362205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362217 */   GIM_Try, /*On fail goto*//*Label 33034*/ GIMT_Encode4(2362262), // Rule ID 56768 //
     /* 2362222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2362225 */     // (fminimumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2362228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2362242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362261 */     // GIR_Coverage, 56768,
     /* 2362261 */     GIR_EraseRootFromParent_Done,
     /* 2362262 */   // Label 33034: @2362262
     /* 2362262 */   GIM_Try, /*On fail goto*//*Label 33035*/ GIMT_Encode4(2362307), // Rule ID 56769 //
     /* 2362267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2362270 */     // (fminimumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2362273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2362287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362306 */     // GIR_Coverage, 56769,
     /* 2362306 */     GIR_EraseRootFromParent_Done,
     /* 2362307 */   // Label 33035: @2362307
     /* 2362307 */   GIM_Reject,
     /* 2362308 */ // Label 33033: @2362308
     /* 2362308 */ GIM_Reject,
     /* 2362309 */ // Label 32994: @2362309
     /* 2362309 */ GIM_Try, /*On fail goto*//*Label 33036*/ GIMT_Encode4(2362423),
     /* 2362314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2362317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2362320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362332 */   GIM_Try, /*On fail goto*//*Label 33037*/ GIMT_Encode4(2362377), // Rule ID 56792 //
     /* 2362337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2362340 */     // (fminimumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2362343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2362357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362376 */     // GIR_Coverage, 56792,
     /* 2362376 */     GIR_EraseRootFromParent_Done,
     /* 2362377 */   // Label 33037: @2362377
     /* 2362377 */   GIM_Try, /*On fail goto*//*Label 33038*/ GIMT_Encode4(2362422), // Rule ID 56793 //
     /* 2362382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2362385 */     // (fminimumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2362388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2362402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362421 */     // GIR_Coverage, 56793,
     /* 2362421 */     GIR_EraseRootFromParent_Done,
     /* 2362422 */   // Label 33038: @2362422
     /* 2362422 */   GIM_Reject,
     /* 2362423 */ // Label 33036: @2362423
     /* 2362423 */ GIM_Reject,
     /* 2362424 */ // Label 32995: @2362424
     /* 2362424 */ GIM_Try, /*On fail goto*//*Label 33039*/ GIMT_Encode4(2362538),
     /* 2362429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2362432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2362435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362447 */   GIM_Try, /*On fail goto*//*Label 33040*/ GIMT_Encode4(2362492), // Rule ID 56750 //
     /* 2362452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2362455 */     // (fminimumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2362458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2362472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362491 */     // GIR_Coverage, 56750,
     /* 2362491 */     GIR_EraseRootFromParent_Done,
     /* 2362492 */   // Label 33040: @2362492
     /* 2362492 */   GIM_Try, /*On fail goto*//*Label 33041*/ GIMT_Encode4(2362537), // Rule ID 56751 //
     /* 2362497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2362500 */     // (fminimumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2362503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2362517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362536 */     // GIR_Coverage, 56751,
     /* 2362536 */     GIR_EraseRootFromParent_Done,
     /* 2362537 */   // Label 33041: @2362537
     /* 2362537 */   GIM_Reject,
     /* 2362538 */ // Label 33039: @2362538
     /* 2362538 */ GIM_Reject,
     /* 2362539 */ // Label 32996: @2362539
     /* 2362539 */ GIM_Try, /*On fail goto*//*Label 33042*/ GIMT_Encode4(2362653),
     /* 2362544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2362547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2362550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362562 */   GIM_Try, /*On fail goto*//*Label 33043*/ GIMT_Encode4(2362607), // Rule ID 56774 //
     /* 2362567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2362570 */     // (fminimumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2362573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2362587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362606 */     // GIR_Coverage, 56774,
     /* 2362606 */     GIR_EraseRootFromParent_Done,
     /* 2362607 */   // Label 33043: @2362607
     /* 2362607 */   GIM_Try, /*On fail goto*//*Label 33044*/ GIMT_Encode4(2362652), // Rule ID 56775 //
     /* 2362612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2362615 */     // (fminimumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2362618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2362632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362651 */     // GIR_Coverage, 56775,
     /* 2362651 */     GIR_EraseRootFromParent_Done,
     /* 2362652 */   // Label 33044: @2362652
     /* 2362652 */   GIM_Reject,
     /* 2362653 */ // Label 33042: @2362653
     /* 2362653 */ GIM_Reject,
     /* 2362654 */ // Label 32997: @2362654
     /* 2362654 */ GIM_Try, /*On fail goto*//*Label 33045*/ GIMT_Encode4(2362768),
     /* 2362659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2362662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2362665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362673 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362677 */   GIM_Try, /*On fail goto*//*Label 33046*/ GIMT_Encode4(2362722), // Rule ID 56798 //
     /* 2362682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2362685 */     // (fminimumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2362688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2362702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362721 */     // GIR_Coverage, 56798,
     /* 2362721 */     GIR_EraseRootFromParent_Done,
     /* 2362722 */   // Label 33046: @2362722
     /* 2362722 */   GIM_Try, /*On fail goto*//*Label 33047*/ GIMT_Encode4(2362767), // Rule ID 56799 //
     /* 2362727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2362730 */     // (fminimumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2362733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2362747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362766 */     // GIR_Coverage, 56799,
     /* 2362766 */     GIR_EraseRootFromParent_Done,
     /* 2362767 */   // Label 33047: @2362767
     /* 2362767 */   GIM_Reject,
     /* 2362768 */ // Label 33045: @2362768
     /* 2362768 */ GIM_Reject,
     /* 2362769 */ // Label 32998: @2362769
     /* 2362769 */ GIM_Try, /*On fail goto*//*Label 33048*/ GIMT_Encode4(2362883),
     /* 2362774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2362777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2362780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362792 */   GIM_Try, /*On fail goto*//*Label 33049*/ GIMT_Encode4(2362837), // Rule ID 56756 //
     /* 2362797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2362800 */     // (fminimumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2362803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2362817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362836 */     // GIR_Coverage, 56756,
     /* 2362836 */     GIR_EraseRootFromParent_Done,
     /* 2362837 */   // Label 33049: @2362837
     /* 2362837 */   GIM_Try, /*On fail goto*//*Label 33050*/ GIMT_Encode4(2362882), // Rule ID 56757 //
     /* 2362842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2362845 */     // (fminimumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2362848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2362862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362881 */     // GIR_Coverage, 56757,
     /* 2362881 */     GIR_EraseRootFromParent_Done,
     /* 2362882 */   // Label 33050: @2362882
     /* 2362882 */   GIM_Reject,
     /* 2362883 */ // Label 33048: @2362883
     /* 2362883 */ GIM_Reject,
     /* 2362884 */ // Label 32999: @2362884
     /* 2362884 */ GIM_Try, /*On fail goto*//*Label 33051*/ GIMT_Encode4(2362998),
     /* 2362889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2362892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2362895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362907 */   GIM_Try, /*On fail goto*//*Label 33052*/ GIMT_Encode4(2362952), // Rule ID 56780 //
     /* 2362912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2362915 */     // (fminimumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2362918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2362932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362951 */     // GIR_Coverage, 56780,
     /* 2362951 */     GIR_EraseRootFromParent_Done,
     /* 2362952 */   // Label 33052: @2362952
     /* 2362952 */   GIM_Try, /*On fail goto*//*Label 33053*/ GIMT_Encode4(2362997), // Rule ID 56781 //
     /* 2362957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2362960 */     // (fminimumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2362963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2362977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362996 */     // GIR_Coverage, 56781,
     /* 2362996 */     GIR_EraseRootFromParent_Done,
     /* 2362997 */   // Label 33053: @2362997
     /* 2362997 */   GIM_Reject,
     /* 2362998 */ // Label 33051: @2362998
     /* 2362998 */ GIM_Reject,
     /* 2362999 */ // Label 33000: @2362999
     /* 2362999 */ GIM_Try, /*On fail goto*//*Label 33054*/ GIMT_Encode4(2363113),
     /* 2363004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2363007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2363010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363022 */   GIM_Try, /*On fail goto*//*Label 33055*/ GIMT_Encode4(2363067), // Rule ID 56762 //
     /* 2363027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2363030 */     // (fminimumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2363033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2363047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363066 */     // GIR_Coverage, 56762,
     /* 2363066 */     GIR_EraseRootFromParent_Done,
     /* 2363067 */   // Label 33055: @2363067
     /* 2363067 */   GIM_Try, /*On fail goto*//*Label 33056*/ GIMT_Encode4(2363112), // Rule ID 56763 //
     /* 2363072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2363075 */     // (fminimumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2363078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2363092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363111 */     // GIR_Coverage, 56763,
     /* 2363111 */     GIR_EraseRootFromParent_Done,
     /* 2363112 */   // Label 33056: @2363112
     /* 2363112 */   GIM_Reject,
     /* 2363113 */ // Label 33054: @2363113
     /* 2363113 */ GIM_Reject,
     /* 2363114 */ // Label 33001: @2363114
     /* 2363114 */ GIM_Reject,
     /* 2363115 */ // Label 79: @2363115
     /* 2363115 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33075*/ GIMT_Encode4(2365199),
     /* 2363126 */ /*GILLT_s16*//*Label 33057*/ GIMT_Encode4(2363246),
     /* 2363130 */ /*GILLT_s32*//*Label 33058*/ GIMT_Encode4(2363313),
     /* 2363134 */ /*GILLT_s64*//*Label 33059*/ GIMT_Encode4(2363380), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2363146 */ /*GILLT_nxv1s16*//*Label 33060*/ GIMT_Encode4(2363474),
     /* 2363150 */ /*GILLT_nxv1s32*//*Label 33061*/ GIMT_Encode4(2363589),
     /* 2363154 */ /*GILLT_nxv1s64*//*Label 33062*/ GIMT_Encode4(2363704), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2363166 */ /*GILLT_nxv2s16*//*Label 33063*/ GIMT_Encode4(2363819),
     /* 2363170 */ /*GILLT_nxv2s32*//*Label 33064*/ GIMT_Encode4(2363934),
     /* 2363174 */ /*GILLT_nxv2s64*//*Label 33065*/ GIMT_Encode4(2364049), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2363186 */ /*GILLT_nxv4s16*//*Label 33066*/ GIMT_Encode4(2364164),
     /* 2363190 */ /*GILLT_nxv4s32*//*Label 33067*/ GIMT_Encode4(2364279),
     /* 2363194 */ /*GILLT_nxv4s64*//*Label 33068*/ GIMT_Encode4(2364394), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2363206 */ /*GILLT_nxv8s16*//*Label 33069*/ GIMT_Encode4(2364509),
     /* 2363210 */ /*GILLT_nxv8s32*//*Label 33070*/ GIMT_Encode4(2364624),
     /* 2363214 */ /*GILLT_nxv8s64*//*Label 33071*/ GIMT_Encode4(2364739), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2363226 */ /*GILLT_nxv16s16*//*Label 33072*/ GIMT_Encode4(2364854),
     /* 2363230 */ /*GILLT_nxv16s32*//*Label 33073*/ GIMT_Encode4(2364969), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2363242 */ /*GILLT_nxv32s16*//*Label 33074*/ GIMT_Encode4(2365084),
     /* 2363246 */ // Label 33057: @2363246
     /* 2363246 */ GIM_Try, /*On fail goto*//*Label 33076*/ GIMT_Encode4(2363312),
     /* 2363251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2363254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2363257 */   GIM_Try, /*On fail goto*//*Label 33077*/ GIMT_Encode4(2363284), // Rule ID 2060 //
     /* 2363262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2363265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2363269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2363273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2363277 */     // (fmaximumnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2363277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2363282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363283 */     // GIR_Coverage, 2060,
     /* 2363283 */     GIR_Done,
     /* 2363284 */   // Label 33077: @2363284
     /* 2363284 */   GIM_Try, /*On fail goto*//*Label 33078*/ GIMT_Encode4(2363311), // Rule ID 2061 //
     /* 2363289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2363292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2363296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2363300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2363304 */     // (fmaximumnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2363304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2363309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363310 */     // GIR_Coverage, 2061,
     /* 2363310 */     GIR_Done,
     /* 2363311 */   // Label 33078: @2363311
     /* 2363311 */   GIM_Reject,
     /* 2363312 */ // Label 33076: @2363312
     /* 2363312 */ GIM_Reject,
     /* 2363313 */ // Label 33058: @2363313
     /* 2363313 */ GIM_Try, /*On fail goto*//*Label 33079*/ GIMT_Encode4(2363379),
     /* 2363318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2363321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2363324 */   GIM_Try, /*On fail goto*//*Label 33080*/ GIMT_Encode4(2363351), // Rule ID 1347 //
     /* 2363329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2363332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2363336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2363340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2363344 */     // (fmaximumnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2363344 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2363349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363350 */     // GIR_Coverage, 1347,
     /* 2363350 */     GIR_Done,
     /* 2363351 */   // Label 33080: @2363351
     /* 2363351 */   GIM_Try, /*On fail goto*//*Label 33081*/ GIMT_Encode4(2363378), // Rule ID 1348 //
     /* 2363356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2363359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2363363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2363367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2363371 */     // (fmaximumnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2363371 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2363376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363377 */     // GIR_Coverage, 1348,
     /* 2363377 */     GIR_Done,
     /* 2363378 */   // Label 33081: @2363378
     /* 2363378 */   GIM_Reject,
     /* 2363379 */ // Label 33079: @2363379
     /* 2363379 */ GIM_Reject,
     /* 2363380 */ // Label 33059: @2363380
     /* 2363380 */ GIM_Try, /*On fail goto*//*Label 33082*/ GIMT_Encode4(2363473),
     /* 2363385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2363388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2363391 */   GIM_Try, /*On fail goto*//*Label 33083*/ GIMT_Encode4(2363418), // Rule ID 1721 //
     /* 2363396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2363399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2363403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2363407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2363411 */     // (fmaximumnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2363411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2363416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363417 */     // GIR_Coverage, 1721,
     /* 2363417 */     GIR_Done,
     /* 2363418 */   // Label 33083: @2363418
     /* 2363418 */   GIM_Try, /*On fail goto*//*Label 33084*/ GIMT_Encode4(2363445), // Rule ID 1722 //
     /* 2363423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2363426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2363430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2363434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2363438 */     // (fmaximumnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2363438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2363443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363444 */     // GIR_Coverage, 1722,
     /* 2363444 */     GIR_Done,
     /* 2363445 */   // Label 33084: @2363445
     /* 2363445 */   GIM_Try, /*On fail goto*//*Label 33085*/ GIMT_Encode4(2363472), // Rule ID 1723 //
     /* 2363450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2363453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363465 */     // (fmaximumnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2363465 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2363470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363471 */     // GIR_Coverage, 1723,
     /* 2363471 */     GIR_Done,
     /* 2363472 */   // Label 33085: @2363472
     /* 2363472 */   GIM_Reject,
     /* 2363473 */ // Label 33082: @2363473
     /* 2363473 */ GIM_Reject,
     /* 2363474 */ // Label 33060: @2363474
     /* 2363474 */ GIM_Try, /*On fail goto*//*Label 33086*/ GIMT_Encode4(2363588),
     /* 2363479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2363482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2363485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363493 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363497 */   GIM_Try, /*On fail goto*//*Label 33087*/ GIMT_Encode4(2363542), // Rule ID 56804 //
     /* 2363502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2363505 */     // (fmaximumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2363508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2363522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363541 */     // GIR_Coverage, 56804,
     /* 2363541 */     GIR_EraseRootFromParent_Done,
     /* 2363542 */   // Label 33087: @2363542
     /* 2363542 */   GIM_Try, /*On fail goto*//*Label 33088*/ GIMT_Encode4(2363587), // Rule ID 56805 //
     /* 2363547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2363550 */     // (fmaximumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2363553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2363567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363586 */     // GIR_Coverage, 56805,
     /* 2363586 */     GIR_EraseRootFromParent_Done,
     /* 2363587 */   // Label 33088: @2363587
     /* 2363587 */   GIM_Reject,
     /* 2363588 */ // Label 33086: @2363588
     /* 2363588 */ GIM_Reject,
     /* 2363589 */ // Label 33061: @2363589
     /* 2363589 */ GIM_Try, /*On fail goto*//*Label 33089*/ GIMT_Encode4(2363703),
     /* 2363594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2363597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2363600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363612 */   GIM_Try, /*On fail goto*//*Label 33090*/ GIMT_Encode4(2363657), // Rule ID 56816 //
     /* 2363617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2363620 */     // (fmaximumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2363623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2363637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363656 */     // GIR_Coverage, 56816,
     /* 2363656 */     GIR_EraseRootFromParent_Done,
     /* 2363657 */   // Label 33090: @2363657
     /* 2363657 */   GIM_Try, /*On fail goto*//*Label 33091*/ GIMT_Encode4(2363702), // Rule ID 56817 //
     /* 2363662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2363665 */     // (fmaximumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2363668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2363682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363701 */     // GIR_Coverage, 56817,
     /* 2363701 */     GIR_EraseRootFromParent_Done,
     /* 2363702 */   // Label 33091: @2363702
     /* 2363702 */   GIM_Reject,
     /* 2363703 */ // Label 33089: @2363703
     /* 2363703 */ GIM_Reject,
     /* 2363704 */ // Label 33062: @2363704
     /* 2363704 */ GIM_Try, /*On fail goto*//*Label 33092*/ GIMT_Encode4(2363818),
     /* 2363709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2363712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2363715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363723 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363727 */   GIM_Try, /*On fail goto*//*Label 33093*/ GIMT_Encode4(2363772), // Rule ID 56834 //
     /* 2363732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2363735 */     // (fmaximumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2363738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2363752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363771 */     // GIR_Coverage, 56834,
     /* 2363771 */     GIR_EraseRootFromParent_Done,
     /* 2363772 */   // Label 33093: @2363772
     /* 2363772 */   GIM_Try, /*On fail goto*//*Label 33094*/ GIMT_Encode4(2363817), // Rule ID 56835 //
     /* 2363777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2363780 */     // (fmaximumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2363783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2363797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363816 */     // GIR_Coverage, 56835,
     /* 2363816 */     GIR_EraseRootFromParent_Done,
     /* 2363817 */   // Label 33094: @2363817
     /* 2363817 */   GIM_Reject,
     /* 2363818 */ // Label 33092: @2363818
     /* 2363818 */ GIM_Reject,
     /* 2363819 */ // Label 33063: @2363819
     /* 2363819 */ GIM_Try, /*On fail goto*//*Label 33095*/ GIMT_Encode4(2363933),
     /* 2363824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2363827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2363830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363838 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363842 */   GIM_Try, /*On fail goto*//*Label 33096*/ GIMT_Encode4(2363887), // Rule ID 56810 //
     /* 2363847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2363850 */     // (fmaximumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2363853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2363867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363886 */     // GIR_Coverage, 56810,
     /* 2363886 */     GIR_EraseRootFromParent_Done,
     /* 2363887 */   // Label 33096: @2363887
     /* 2363887 */   GIM_Try, /*On fail goto*//*Label 33097*/ GIMT_Encode4(2363932), // Rule ID 56811 //
     /* 2363892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2363895 */     // (fmaximumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2363898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2363912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363931 */     // GIR_Coverage, 56811,
     /* 2363931 */     GIR_EraseRootFromParent_Done,
     /* 2363932 */   // Label 33097: @2363932
     /* 2363932 */   GIM_Reject,
     /* 2363933 */ // Label 33095: @2363933
     /* 2363933 */ GIM_Reject,
     /* 2363934 */ // Label 33064: @2363934
     /* 2363934 */ GIM_Try, /*On fail goto*//*Label 33098*/ GIMT_Encode4(2364048),
     /* 2363939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2363942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2363945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363953 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363957 */   GIM_Try, /*On fail goto*//*Label 33099*/ GIMT_Encode4(2364002), // Rule ID 56828 //
     /* 2363962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2363965 */     // (fmaximumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2363968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2363982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364001 */     // GIR_Coverage, 56828,
     /* 2364001 */     GIR_EraseRootFromParent_Done,
     /* 2364002 */   // Label 33099: @2364002
     /* 2364002 */   GIM_Try, /*On fail goto*//*Label 33100*/ GIMT_Encode4(2364047), // Rule ID 56829 //
     /* 2364007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2364010 */     // (fmaximumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2364013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2364027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364046 */     // GIR_Coverage, 56829,
     /* 2364046 */     GIR_EraseRootFromParent_Done,
     /* 2364047 */   // Label 33100: @2364047
     /* 2364047 */   GIM_Reject,
     /* 2364048 */ // Label 33098: @2364048
     /* 2364048 */ GIM_Reject,
     /* 2364049 */ // Label 33065: @2364049
     /* 2364049 */ GIM_Try, /*On fail goto*//*Label 33101*/ GIMT_Encode4(2364163),
     /* 2364054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2364057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2364060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364072 */   GIM_Try, /*On fail goto*//*Label 33102*/ GIMT_Encode4(2364117), // Rule ID 56876 //
     /* 2364077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2364080 */     // (fmaximumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2364083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2364097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364116 */     // GIR_Coverage, 56876,
     /* 2364116 */     GIR_EraseRootFromParent_Done,
     /* 2364117 */   // Label 33102: @2364117
     /* 2364117 */   GIM_Try, /*On fail goto*//*Label 33103*/ GIMT_Encode4(2364162), // Rule ID 56877 //
     /* 2364122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2364125 */     // (fmaximumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2364128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2364142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364161 */     // GIR_Coverage, 56877,
     /* 2364161 */     GIR_EraseRootFromParent_Done,
     /* 2364162 */   // Label 33103: @2364162
     /* 2364162 */   GIM_Reject,
     /* 2364163 */ // Label 33101: @2364163
     /* 2364163 */ GIM_Reject,
     /* 2364164 */ // Label 33066: @2364164
     /* 2364164 */ GIM_Try, /*On fail goto*//*Label 33104*/ GIMT_Encode4(2364278),
     /* 2364169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2364172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2364175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364187 */   GIM_Try, /*On fail goto*//*Label 33105*/ GIMT_Encode4(2364232), // Rule ID 56822 //
     /* 2364192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2364195 */     // (fmaximumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2364198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2364212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364231 */     // GIR_Coverage, 56822,
     /* 2364231 */     GIR_EraseRootFromParent_Done,
     /* 2364232 */   // Label 33105: @2364232
     /* 2364232 */   GIM_Try, /*On fail goto*//*Label 33106*/ GIMT_Encode4(2364277), // Rule ID 56823 //
     /* 2364237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2364240 */     // (fmaximumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2364243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2364257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364276 */     // GIR_Coverage, 56823,
     /* 2364276 */     GIR_EraseRootFromParent_Done,
     /* 2364277 */   // Label 33106: @2364277
     /* 2364277 */   GIM_Reject,
     /* 2364278 */ // Label 33104: @2364278
     /* 2364278 */ GIM_Reject,
     /* 2364279 */ // Label 33067: @2364279
     /* 2364279 */ GIM_Try, /*On fail goto*//*Label 33107*/ GIMT_Encode4(2364393),
     /* 2364284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2364287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2364290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364302 */   GIM_Try, /*On fail goto*//*Label 33108*/ GIMT_Encode4(2364347), // Rule ID 56858 //
     /* 2364307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2364310 */     // (fmaximumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2364313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2364327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364346 */     // GIR_Coverage, 56858,
     /* 2364346 */     GIR_EraseRootFromParent_Done,
     /* 2364347 */   // Label 33108: @2364347
     /* 2364347 */   GIM_Try, /*On fail goto*//*Label 33109*/ GIMT_Encode4(2364392), // Rule ID 56859 //
     /* 2364352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2364355 */     // (fmaximumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2364358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2364372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364391 */     // GIR_Coverage, 56859,
     /* 2364391 */     GIR_EraseRootFromParent_Done,
     /* 2364392 */   // Label 33109: @2364392
     /* 2364392 */   GIM_Reject,
     /* 2364393 */ // Label 33107: @2364393
     /* 2364393 */ GIM_Reject,
     /* 2364394 */ // Label 33068: @2364394
     /* 2364394 */ GIM_Try, /*On fail goto*//*Label 33110*/ GIMT_Encode4(2364508),
     /* 2364399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2364402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2364405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364417 */   GIM_Try, /*On fail goto*//*Label 33111*/ GIMT_Encode4(2364462), // Rule ID 56882 //
     /* 2364422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2364425 */     // (fmaximumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2364428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2364442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364461 */     // GIR_Coverage, 56882,
     /* 2364461 */     GIR_EraseRootFromParent_Done,
     /* 2364462 */   // Label 33111: @2364462
     /* 2364462 */   GIM_Try, /*On fail goto*//*Label 33112*/ GIMT_Encode4(2364507), // Rule ID 56883 //
     /* 2364467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2364470 */     // (fmaximumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2364473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2364487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364506 */     // GIR_Coverage, 56883,
     /* 2364506 */     GIR_EraseRootFromParent_Done,
     /* 2364507 */   // Label 33112: @2364507
     /* 2364507 */   GIM_Reject,
     /* 2364508 */ // Label 33110: @2364508
     /* 2364508 */ GIM_Reject,
     /* 2364509 */ // Label 33069: @2364509
     /* 2364509 */ GIM_Try, /*On fail goto*//*Label 33113*/ GIMT_Encode4(2364623),
     /* 2364514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2364517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2364520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364532 */   GIM_Try, /*On fail goto*//*Label 33114*/ GIMT_Encode4(2364577), // Rule ID 56840 //
     /* 2364537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2364540 */     // (fmaximumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2364543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2364557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364576 */     // GIR_Coverage, 56840,
     /* 2364576 */     GIR_EraseRootFromParent_Done,
     /* 2364577 */   // Label 33114: @2364577
     /* 2364577 */   GIM_Try, /*On fail goto*//*Label 33115*/ GIMT_Encode4(2364622), // Rule ID 56841 //
     /* 2364582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2364585 */     // (fmaximumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2364588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2364602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364621 */     // GIR_Coverage, 56841,
     /* 2364621 */     GIR_EraseRootFromParent_Done,
     /* 2364622 */   // Label 33115: @2364622
     /* 2364622 */   GIM_Reject,
     /* 2364623 */ // Label 33113: @2364623
     /* 2364623 */ GIM_Reject,
     /* 2364624 */ // Label 33070: @2364624
     /* 2364624 */ GIM_Try, /*On fail goto*//*Label 33116*/ GIMT_Encode4(2364738),
     /* 2364629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2364632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2364635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364647 */   GIM_Try, /*On fail goto*//*Label 33117*/ GIMT_Encode4(2364692), // Rule ID 56864 //
     /* 2364652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2364655 */     // (fmaximumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2364658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2364672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364691 */     // GIR_Coverage, 56864,
     /* 2364691 */     GIR_EraseRootFromParent_Done,
     /* 2364692 */   // Label 33117: @2364692
     /* 2364692 */   GIM_Try, /*On fail goto*//*Label 33118*/ GIMT_Encode4(2364737), // Rule ID 56865 //
     /* 2364697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2364700 */     // (fmaximumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2364703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2364717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364736 */     // GIR_Coverage, 56865,
     /* 2364736 */     GIR_EraseRootFromParent_Done,
     /* 2364737 */   // Label 33118: @2364737
     /* 2364737 */   GIM_Reject,
     /* 2364738 */ // Label 33116: @2364738
     /* 2364738 */ GIM_Reject,
     /* 2364739 */ // Label 33071: @2364739
     /* 2364739 */ GIM_Try, /*On fail goto*//*Label 33119*/ GIMT_Encode4(2364853),
     /* 2364744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2364747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2364750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364762 */   GIM_Try, /*On fail goto*//*Label 33120*/ GIMT_Encode4(2364807), // Rule ID 56888 //
     /* 2364767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2364770 */     // (fmaximumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2364773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2364787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364806 */     // GIR_Coverage, 56888,
     /* 2364806 */     GIR_EraseRootFromParent_Done,
     /* 2364807 */   // Label 33120: @2364807
     /* 2364807 */   GIM_Try, /*On fail goto*//*Label 33121*/ GIMT_Encode4(2364852), // Rule ID 56889 //
     /* 2364812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2364815 */     // (fmaximumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2364818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2364832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364851 */     // GIR_Coverage, 56889,
     /* 2364851 */     GIR_EraseRootFromParent_Done,
     /* 2364852 */   // Label 33121: @2364852
     /* 2364852 */   GIM_Reject,
     /* 2364853 */ // Label 33119: @2364853
     /* 2364853 */ GIM_Reject,
     /* 2364854 */ // Label 33072: @2364854
     /* 2364854 */ GIM_Try, /*On fail goto*//*Label 33122*/ GIMT_Encode4(2364968),
     /* 2364859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2364862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2364865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364877 */   GIM_Try, /*On fail goto*//*Label 33123*/ GIMT_Encode4(2364922), // Rule ID 56846 //
     /* 2364882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2364885 */     // (fmaximumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2364888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2364902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364921 */     // GIR_Coverage, 56846,
     /* 2364921 */     GIR_EraseRootFromParent_Done,
     /* 2364922 */   // Label 33123: @2364922
     /* 2364922 */   GIM_Try, /*On fail goto*//*Label 33124*/ GIMT_Encode4(2364967), // Rule ID 56847 //
     /* 2364927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2364930 */     // (fmaximumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2364933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2364947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364966 */     // GIR_Coverage, 56847,
     /* 2364966 */     GIR_EraseRootFromParent_Done,
     /* 2364967 */   // Label 33124: @2364967
     /* 2364967 */   GIM_Reject,
     /* 2364968 */ // Label 33122: @2364968
     /* 2364968 */ GIM_Reject,
     /* 2364969 */ // Label 33073: @2364969
     /* 2364969 */ GIM_Try, /*On fail goto*//*Label 33125*/ GIMT_Encode4(2365083),
     /* 2364974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2364977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2364980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364992 */   GIM_Try, /*On fail goto*//*Label 33126*/ GIMT_Encode4(2365037), // Rule ID 56870 //
     /* 2364997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2365000 */     // (fmaximumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2365003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2365017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365036 */     // GIR_Coverage, 56870,
     /* 2365036 */     GIR_EraseRootFromParent_Done,
     /* 2365037 */   // Label 33126: @2365037
     /* 2365037 */   GIM_Try, /*On fail goto*//*Label 33127*/ GIMT_Encode4(2365082), // Rule ID 56871 //
     /* 2365042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2365045 */     // (fmaximumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2365048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2365062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365081 */     // GIR_Coverage, 56871,
     /* 2365081 */     GIR_EraseRootFromParent_Done,
     /* 2365082 */   // Label 33127: @2365082
     /* 2365082 */   GIM_Reject,
     /* 2365083 */ // Label 33125: @2365083
     /* 2365083 */ GIM_Reject,
     /* 2365084 */ // Label 33074: @2365084
     /* 2365084 */ GIM_Try, /*On fail goto*//*Label 33128*/ GIMT_Encode4(2365198),
     /* 2365089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2365092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2365095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365107 */   GIM_Try, /*On fail goto*//*Label 33129*/ GIMT_Encode4(2365152), // Rule ID 56852 //
     /* 2365112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2365115 */     // (fmaximumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2365118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2365132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365151 */     // GIR_Coverage, 56852,
     /* 2365151 */     GIR_EraseRootFromParent_Done,
     /* 2365152 */   // Label 33129: @2365152
     /* 2365152 */   GIM_Try, /*On fail goto*//*Label 33130*/ GIMT_Encode4(2365197), // Rule ID 56853 //
     /* 2365157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2365160 */     // (fmaximumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2365163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2365177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365196 */     // GIR_Coverage, 56853,
     /* 2365196 */     GIR_EraseRootFromParent_Done,
     /* 2365197 */   // Label 33130: @2365197
     /* 2365197 */   GIM_Reject,
     /* 2365198 */ // Label 33128: @2365198
     /* 2365198 */ GIM_Reject,
     /* 2365199 */ // Label 33075: @2365199
     /* 2365199 */ GIM_Reject,
     /* 2365200 */ // Label 80: @2365200
     /* 2365200 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33155*/ GIMT_Encode4(2367975),
     /* 2365211 */ /*GILLT_s32*//*Label 33131*/ GIMT_Encode4(2365335),
     /* 2365215 */ /*GILLT_s64*//*Label 33132*/ GIMT_Encode4(2365390), GIMT_Encode4(0),
     /* 2365223 */ /*GILLT_nxv1s8*//*Label 33133*/ GIMT_Encode4(2365445),
     /* 2365227 */ /*GILLT_nxv1s16*//*Label 33134*/ GIMT_Encode4(2365560),
     /* 2365231 */ /*GILLT_nxv1s32*//*Label 33135*/ GIMT_Encode4(2365675),
     /* 2365235 */ /*GILLT_nxv1s64*//*Label 33136*/ GIMT_Encode4(2365790), GIMT_Encode4(0),
     /* 2365243 */ /*GILLT_nxv2s8*//*Label 33137*/ GIMT_Encode4(2365905),
     /* 2365247 */ /*GILLT_nxv2s16*//*Label 33138*/ GIMT_Encode4(2366020),
     /* 2365251 */ /*GILLT_nxv2s32*//*Label 33139*/ GIMT_Encode4(2366135),
     /* 2365255 */ /*GILLT_nxv2s64*//*Label 33140*/ GIMT_Encode4(2366250), GIMT_Encode4(0),
     /* 2365263 */ /*GILLT_nxv4s8*//*Label 33141*/ GIMT_Encode4(2366365),
     /* 2365267 */ /*GILLT_nxv4s16*//*Label 33142*/ GIMT_Encode4(2366480),
     /* 2365271 */ /*GILLT_nxv4s32*//*Label 33143*/ GIMT_Encode4(2366595),
     /* 2365275 */ /*GILLT_nxv4s64*//*Label 33144*/ GIMT_Encode4(2366710), GIMT_Encode4(0),
     /* 2365283 */ /*GILLT_nxv8s8*//*Label 33145*/ GIMT_Encode4(2366825),
     /* 2365287 */ /*GILLT_nxv8s16*//*Label 33146*/ GIMT_Encode4(2366940),
     /* 2365291 */ /*GILLT_nxv8s32*//*Label 33147*/ GIMT_Encode4(2367055),
     /* 2365295 */ /*GILLT_nxv8s64*//*Label 33148*/ GIMT_Encode4(2367170), GIMT_Encode4(0),
     /* 2365303 */ /*GILLT_nxv16s8*//*Label 33149*/ GIMT_Encode4(2367285),
     /* 2365307 */ /*GILLT_nxv16s16*//*Label 33150*/ GIMT_Encode4(2367400),
     /* 2365311 */ /*GILLT_nxv16s32*//*Label 33151*/ GIMT_Encode4(2367515), GIMT_Encode4(0),
     /* 2365319 */ /*GILLT_nxv32s8*//*Label 33152*/ GIMT_Encode4(2367630),
     /* 2365323 */ /*GILLT_nxv32s16*//*Label 33153*/ GIMT_Encode4(2367745), GIMT_Encode4(0),
     /* 2365331 */ /*GILLT_nxv64s8*//*Label 33154*/ GIMT_Encode4(2367860),
     /* 2365335 */ // Label 33131: @2365335
     /* 2365335 */ GIM_Try, /*On fail goto*//*Label 33156*/ GIMT_Encode4(2365389),
     /* 2365340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2365343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2365346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365358 */   GIM_Try, /*On fail goto*//*Label 33157*/ GIMT_Encode4(2365373), // Rule ID 64466 //
     /* 2365363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2365366 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2365366 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2365371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365372 */     // GIR_Coverage, 64466,
     /* 2365372 */     GIR_Done,
     /* 2365373 */   // Label 33157: @2365373
     /* 2365373 */   GIM_Try, /*On fail goto*//*Label 33158*/ GIMT_Encode4(2365388), // Rule ID 2531 //
     /* 2365378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2365381 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2365381 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2365386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365387 */     // GIR_Coverage, 2531,
     /* 2365387 */     GIR_Done,
     /* 2365388 */   // Label 33158: @2365388
     /* 2365388 */   GIM_Reject,
     /* 2365389 */ // Label 33156: @2365389
     /* 2365389 */ GIM_Reject,
     /* 2365390 */ // Label 33132: @2365390
     /* 2365390 */ GIM_Try, /*On fail goto*//*Label 33159*/ GIMT_Encode4(2365444),
     /* 2365395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2365398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2365401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365413 */   GIM_Try, /*On fail goto*//*Label 33160*/ GIMT_Encode4(2365428), // Rule ID 64465 //
     /* 2365418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2365421 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2365421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2365426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365427 */     // GIR_Coverage, 64465,
     /* 2365427 */     GIR_Done,
     /* 2365428 */   // Label 33160: @2365428
     /* 2365428 */   GIM_Try, /*On fail goto*//*Label 33161*/ GIMT_Encode4(2365443), // Rule ID 2530 //
     /* 2365433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2365436 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2365436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2365441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365442 */     // GIR_Coverage, 2530,
     /* 2365442 */     GIR_Done,
     /* 2365443 */   // Label 33161: @2365443
     /* 2365443 */   GIM_Reject,
     /* 2365444 */ // Label 33159: @2365444
     /* 2365444 */ GIM_Reject,
     /* 2365445 */ // Label 33133: @2365445
     /* 2365445 */ GIM_Try, /*On fail goto*//*Label 33162*/ GIMT_Encode4(2365559),
     /* 2365450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2365453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2365456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365468 */   GIM_Try, /*On fail goto*//*Label 33163*/ GIMT_Encode4(2365513), // Rule ID 50596 //
     /* 2365473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2365476 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2365479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2365493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365512 */     // GIR_Coverage, 50596,
     /* 2365512 */     GIR_EraseRootFromParent_Done,
     /* 2365513 */   // Label 33163: @2365513
     /* 2365513 */   GIM_Try, /*On fail goto*//*Label 33164*/ GIMT_Encode4(2365558), // Rule ID 50597 //
     /* 2365518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2365521 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2365524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2365538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365557 */     // GIR_Coverage, 50597,
     /* 2365557 */     GIR_EraseRootFromParent_Done,
     /* 2365558 */   // Label 33164: @2365558
     /* 2365558 */   GIM_Reject,
     /* 2365559 */ // Label 33162: @2365559
     /* 2365559 */ GIM_Reject,
     /* 2365560 */ // Label 33134: @2365560
     /* 2365560 */ GIM_Try, /*On fail goto*//*Label 33165*/ GIMT_Encode4(2365674),
     /* 2365565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2365568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2365571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365583 */   GIM_Try, /*On fail goto*//*Label 33166*/ GIMT_Encode4(2365628), // Rule ID 50608 //
     /* 2365588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2365591 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2365594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2365608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365627 */     // GIR_Coverage, 50608,
     /* 2365627 */     GIR_EraseRootFromParent_Done,
     /* 2365628 */   // Label 33166: @2365628
     /* 2365628 */   GIM_Try, /*On fail goto*//*Label 33167*/ GIMT_Encode4(2365673), // Rule ID 50609 //
     /* 2365633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2365636 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2365639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2365653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365672 */     // GIR_Coverage, 50609,
     /* 2365672 */     GIR_EraseRootFromParent_Done,
     /* 2365673 */   // Label 33167: @2365673
     /* 2365673 */   GIM_Reject,
     /* 2365674 */ // Label 33165: @2365674
     /* 2365674 */ GIM_Reject,
     /* 2365675 */ // Label 33135: @2365675
     /* 2365675 */ GIM_Try, /*On fail goto*//*Label 33168*/ GIMT_Encode4(2365789),
     /* 2365680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2365683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2365686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365698 */   GIM_Try, /*On fail goto*//*Label 33169*/ GIMT_Encode4(2365743), // Rule ID 50616 //
     /* 2365703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2365706 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2365709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2365723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365742 */     // GIR_Coverage, 50616,
     /* 2365742 */     GIR_EraseRootFromParent_Done,
     /* 2365743 */   // Label 33169: @2365743
     /* 2365743 */   GIM_Try, /*On fail goto*//*Label 33170*/ GIMT_Encode4(2365788), // Rule ID 50617 //
     /* 2365748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2365751 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2365754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2365768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365787 */     // GIR_Coverage, 50617,
     /* 2365787 */     GIR_EraseRootFromParent_Done,
     /* 2365788 */   // Label 33170: @2365788
     /* 2365788 */   GIM_Reject,
     /* 2365789 */ // Label 33168: @2365789
     /* 2365789 */ GIM_Reject,
     /* 2365790 */ // Label 33136: @2365790
     /* 2365790 */ GIM_Try, /*On fail goto*//*Label 33171*/ GIMT_Encode4(2365904),
     /* 2365795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2365798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2365801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365813 */   GIM_Try, /*On fail goto*//*Label 33172*/ GIMT_Encode4(2365858), // Rule ID 50632 //
     /* 2365818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2365821 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2365824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2365838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365857 */     // GIR_Coverage, 50632,
     /* 2365857 */     GIR_EraseRootFromParent_Done,
     /* 2365858 */   // Label 33172: @2365858
     /* 2365858 */   GIM_Try, /*On fail goto*//*Label 33173*/ GIMT_Encode4(2365903), // Rule ID 50633 //
     /* 2365863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2365866 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2365869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2365883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365902 */     // GIR_Coverage, 50633,
     /* 2365902 */     GIR_EraseRootFromParent_Done,
     /* 2365903 */   // Label 33173: @2365903
     /* 2365903 */   GIM_Reject,
     /* 2365904 */ // Label 33171: @2365904
     /* 2365904 */ GIM_Reject,
     /* 2365905 */ // Label 33137: @2365905
     /* 2365905 */ GIM_Try, /*On fail goto*//*Label 33174*/ GIMT_Encode4(2366019),
     /* 2365910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2365913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2365916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365928 */   GIM_Try, /*On fail goto*//*Label 33175*/ GIMT_Encode4(2365973), // Rule ID 50600 //
     /* 2365933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2365936 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2365939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2365953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365972 */     // GIR_Coverage, 50600,
     /* 2365972 */     GIR_EraseRootFromParent_Done,
     /* 2365973 */   // Label 33175: @2365973
     /* 2365973 */   GIM_Try, /*On fail goto*//*Label 33176*/ GIMT_Encode4(2366018), // Rule ID 50601 //
     /* 2365978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2365981 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2365984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2365998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366017 */     // GIR_Coverage, 50601,
     /* 2366017 */     GIR_EraseRootFromParent_Done,
     /* 2366018 */   // Label 33176: @2366018
     /* 2366018 */   GIM_Reject,
     /* 2366019 */ // Label 33174: @2366019
     /* 2366019 */ GIM_Reject,
     /* 2366020 */ // Label 33138: @2366020
     /* 2366020 */ GIM_Try, /*On fail goto*//*Label 33177*/ GIMT_Encode4(2366134),
     /* 2366025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2366028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2366031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366043 */   GIM_Try, /*On fail goto*//*Label 33178*/ GIMT_Encode4(2366088), // Rule ID 50612 //
     /* 2366048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366051 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2366054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2366068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366087 */     // GIR_Coverage, 50612,
     /* 2366087 */     GIR_EraseRootFromParent_Done,
     /* 2366088 */   // Label 33178: @2366088
     /* 2366088 */   GIM_Try, /*On fail goto*//*Label 33179*/ GIMT_Encode4(2366133), // Rule ID 50613 //
     /* 2366093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2366096 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2366099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2366113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366132 */     // GIR_Coverage, 50613,
     /* 2366132 */     GIR_EraseRootFromParent_Done,
     /* 2366133 */   // Label 33179: @2366133
     /* 2366133 */   GIM_Reject,
     /* 2366134 */ // Label 33177: @2366134
     /* 2366134 */ GIM_Reject,
     /* 2366135 */ // Label 33139: @2366135
     /* 2366135 */ GIM_Try, /*On fail goto*//*Label 33180*/ GIMT_Encode4(2366249),
     /* 2366140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2366143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2366146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366158 */   GIM_Try, /*On fail goto*//*Label 33181*/ GIMT_Encode4(2366203), // Rule ID 50628 //
     /* 2366163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366166 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2366169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2366183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366202 */     // GIR_Coverage, 50628,
     /* 2366202 */     GIR_EraseRootFromParent_Done,
     /* 2366203 */   // Label 33181: @2366203
     /* 2366203 */   GIM_Try, /*On fail goto*//*Label 33182*/ GIMT_Encode4(2366248), // Rule ID 50629 //
     /* 2366208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2366211 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2366214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2366228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366247 */     // GIR_Coverage, 50629,
     /* 2366247 */     GIR_EraseRootFromParent_Done,
     /* 2366248 */   // Label 33182: @2366248
     /* 2366248 */   GIM_Reject,
     /* 2366249 */ // Label 33180: @2366249
     /* 2366249 */ GIM_Reject,
     /* 2366250 */ // Label 33140: @2366250
     /* 2366250 */ GIM_Try, /*On fail goto*//*Label 33183*/ GIMT_Encode4(2366364),
     /* 2366255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2366258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2366261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366273 */   GIM_Try, /*On fail goto*//*Label 33184*/ GIMT_Encode4(2366318), // Rule ID 50672 //
     /* 2366278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2366281 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2366284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2366298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366317 */     // GIR_Coverage, 50672,
     /* 2366317 */     GIR_EraseRootFromParent_Done,
     /* 2366318 */   // Label 33184: @2366318
     /* 2366318 */   GIM_Try, /*On fail goto*//*Label 33185*/ GIMT_Encode4(2366363), // Rule ID 50673 //
     /* 2366323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2366326 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2366329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2366343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366362 */     // GIR_Coverage, 50673,
     /* 2366362 */     GIR_EraseRootFromParent_Done,
     /* 2366363 */   // Label 33185: @2366363
     /* 2366363 */   GIM_Reject,
     /* 2366364 */ // Label 33183: @2366364
     /* 2366364 */ GIM_Reject,
     /* 2366365 */ // Label 33141: @2366365
     /* 2366365 */ GIM_Try, /*On fail goto*//*Label 33186*/ GIMT_Encode4(2366479),
     /* 2366370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2366373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2366376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366388 */   GIM_Try, /*On fail goto*//*Label 33187*/ GIMT_Encode4(2366433), // Rule ID 50604 //
     /* 2366393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366396 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2366399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2366413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366432 */     // GIR_Coverage, 50604,
     /* 2366432 */     GIR_EraseRootFromParent_Done,
     /* 2366433 */   // Label 33187: @2366433
     /* 2366433 */   GIM_Try, /*On fail goto*//*Label 33188*/ GIMT_Encode4(2366478), // Rule ID 50605 //
     /* 2366438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2366441 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2366444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2366458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366477 */     // GIR_Coverage, 50605,
     /* 2366477 */     GIR_EraseRootFromParent_Done,
     /* 2366478 */   // Label 33188: @2366478
     /* 2366478 */   GIM_Reject,
     /* 2366479 */ // Label 33186: @2366479
     /* 2366479 */ GIM_Reject,
     /* 2366480 */ // Label 33142: @2366480
     /* 2366480 */ GIM_Try, /*On fail goto*//*Label 33189*/ GIMT_Encode4(2366594),
     /* 2366485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2366488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2366491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366503 */   GIM_Try, /*On fail goto*//*Label 33190*/ GIMT_Encode4(2366548), // Rule ID 50624 //
     /* 2366508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366511 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2366514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2366528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366547 */     // GIR_Coverage, 50624,
     /* 2366547 */     GIR_EraseRootFromParent_Done,
     /* 2366548 */   // Label 33190: @2366548
     /* 2366548 */   GIM_Try, /*On fail goto*//*Label 33191*/ GIMT_Encode4(2366593), // Rule ID 50625 //
     /* 2366553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2366556 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2366559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2366573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366592 */     // GIR_Coverage, 50625,
     /* 2366592 */     GIR_EraseRootFromParent_Done,
     /* 2366593 */   // Label 33191: @2366593
     /* 2366593 */   GIM_Reject,
     /* 2366594 */ // Label 33189: @2366594
     /* 2366594 */ GIM_Reject,
     /* 2366595 */ // Label 33143: @2366595
     /* 2366595 */ GIM_Try, /*On fail goto*//*Label 33192*/ GIMT_Encode4(2366709),
     /* 2366600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2366603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2366606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366618 */   GIM_Try, /*On fail goto*//*Label 33193*/ GIMT_Encode4(2366663), // Rule ID 50660 //
     /* 2366623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366626 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2366629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2366643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366662 */     // GIR_Coverage, 50660,
     /* 2366662 */     GIR_EraseRootFromParent_Done,
     /* 2366663 */   // Label 33193: @2366663
     /* 2366663 */   GIM_Try, /*On fail goto*//*Label 33194*/ GIMT_Encode4(2366708), // Rule ID 50661 //
     /* 2366668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2366671 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2366674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2366688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366707 */     // GIR_Coverage, 50661,
     /* 2366707 */     GIR_EraseRootFromParent_Done,
     /* 2366708 */   // Label 33194: @2366708
     /* 2366708 */   GIM_Reject,
     /* 2366709 */ // Label 33192: @2366709
     /* 2366709 */ GIM_Reject,
     /* 2366710 */ // Label 33144: @2366710
     /* 2366710 */ GIM_Try, /*On fail goto*//*Label 33195*/ GIMT_Encode4(2366824),
     /* 2366715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2366718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2366721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366733 */   GIM_Try, /*On fail goto*//*Label 33196*/ GIMT_Encode4(2366778), // Rule ID 50676 //
     /* 2366738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2366741 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2366744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2366758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366777 */     // GIR_Coverage, 50676,
     /* 2366777 */     GIR_EraseRootFromParent_Done,
     /* 2366778 */   // Label 33196: @2366778
     /* 2366778 */   GIM_Try, /*On fail goto*//*Label 33197*/ GIMT_Encode4(2366823), // Rule ID 50677 //
     /* 2366783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2366786 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2366789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2366803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366822 */     // GIR_Coverage, 50677,
     /* 2366822 */     GIR_EraseRootFromParent_Done,
     /* 2366823 */   // Label 33197: @2366823
     /* 2366823 */   GIM_Reject,
     /* 2366824 */ // Label 33195: @2366824
     /* 2366824 */ GIM_Reject,
     /* 2366825 */ // Label 33145: @2366825
     /* 2366825 */ GIM_Try, /*On fail goto*//*Label 33198*/ GIMT_Encode4(2366939),
     /* 2366830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2366833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2366836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366848 */   GIM_Try, /*On fail goto*//*Label 33199*/ GIMT_Encode4(2366893), // Rule ID 50620 //
     /* 2366853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366856 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2366859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2366873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366892 */     // GIR_Coverage, 50620,
     /* 2366892 */     GIR_EraseRootFromParent_Done,
     /* 2366893 */   // Label 33199: @2366893
     /* 2366893 */   GIM_Try, /*On fail goto*//*Label 33200*/ GIMT_Encode4(2366938), // Rule ID 50621 //
     /* 2366898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2366901 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2366904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2366918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366937 */     // GIR_Coverage, 50621,
     /* 2366937 */     GIR_EraseRootFromParent_Done,
     /* 2366938 */   // Label 33200: @2366938
     /* 2366938 */   GIM_Reject,
     /* 2366939 */ // Label 33198: @2366939
     /* 2366939 */ GIM_Reject,
     /* 2366940 */ // Label 33146: @2366940
     /* 2366940 */ GIM_Try, /*On fail goto*//*Label 33201*/ GIMT_Encode4(2367054),
     /* 2366945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2366948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2366951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366963 */   GIM_Try, /*On fail goto*//*Label 33202*/ GIMT_Encode4(2367008), // Rule ID 50648 //
     /* 2366968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366971 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2366974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2366988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367007 */     // GIR_Coverage, 50648,
     /* 2367007 */     GIR_EraseRootFromParent_Done,
     /* 2367008 */   // Label 33202: @2367008
     /* 2367008 */   GIM_Try, /*On fail goto*//*Label 33203*/ GIMT_Encode4(2367053), // Rule ID 50649 //
     /* 2367013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367016 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2367019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2367033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367052 */     // GIR_Coverage, 50649,
     /* 2367052 */     GIR_EraseRootFromParent_Done,
     /* 2367053 */   // Label 33203: @2367053
     /* 2367053 */   GIM_Reject,
     /* 2367054 */ // Label 33201: @2367054
     /* 2367054 */ GIM_Reject,
     /* 2367055 */ // Label 33147: @2367055
     /* 2367055 */ GIM_Try, /*On fail goto*//*Label 33204*/ GIMT_Encode4(2367169),
     /* 2367060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2367063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2367066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367074 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367078 */   GIM_Try, /*On fail goto*//*Label 33205*/ GIMT_Encode4(2367123), // Rule ID 50664 //
     /* 2367083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367086 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2367089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2367103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367122 */     // GIR_Coverage, 50664,
     /* 2367122 */     GIR_EraseRootFromParent_Done,
     /* 2367123 */   // Label 33205: @2367123
     /* 2367123 */   GIM_Try, /*On fail goto*//*Label 33206*/ GIMT_Encode4(2367168), // Rule ID 50665 //
     /* 2367128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367131 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2367134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2367148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367167 */     // GIR_Coverage, 50665,
     /* 2367167 */     GIR_EraseRootFromParent_Done,
     /* 2367168 */   // Label 33206: @2367168
     /* 2367168 */   GIM_Reject,
     /* 2367169 */ // Label 33204: @2367169
     /* 2367169 */ GIM_Reject,
     /* 2367170 */ // Label 33148: @2367170
     /* 2367170 */ GIM_Try, /*On fail goto*//*Label 33207*/ GIMT_Encode4(2367284),
     /* 2367175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2367178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2367181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367193 */   GIM_Try, /*On fail goto*//*Label 33208*/ GIMT_Encode4(2367238), // Rule ID 50680 //
     /* 2367198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2367201 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2367204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2367218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367237 */     // GIR_Coverage, 50680,
     /* 2367237 */     GIR_EraseRootFromParent_Done,
     /* 2367238 */   // Label 33208: @2367238
     /* 2367238 */   GIM_Try, /*On fail goto*//*Label 33209*/ GIMT_Encode4(2367283), // Rule ID 50681 //
     /* 2367243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2367246 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2367249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2367263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367282 */     // GIR_Coverage, 50681,
     /* 2367282 */     GIR_EraseRootFromParent_Done,
     /* 2367283 */   // Label 33209: @2367283
     /* 2367283 */   GIM_Reject,
     /* 2367284 */ // Label 33207: @2367284
     /* 2367284 */ GIM_Reject,
     /* 2367285 */ // Label 33149: @2367285
     /* 2367285 */ GIM_Try, /*On fail goto*//*Label 33210*/ GIMT_Encode4(2367399),
     /* 2367290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2367293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2367296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367308 */   GIM_Try, /*On fail goto*//*Label 33211*/ GIMT_Encode4(2367353), // Rule ID 50636 //
     /* 2367313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367316 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2367319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2367333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367352 */     // GIR_Coverage, 50636,
     /* 2367352 */     GIR_EraseRootFromParent_Done,
     /* 2367353 */   // Label 33211: @2367353
     /* 2367353 */   GIM_Try, /*On fail goto*//*Label 33212*/ GIMT_Encode4(2367398), // Rule ID 50637 //
     /* 2367358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367361 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2367364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2367378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367397 */     // GIR_Coverage, 50637,
     /* 2367397 */     GIR_EraseRootFromParent_Done,
     /* 2367398 */   // Label 33212: @2367398
     /* 2367398 */   GIM_Reject,
     /* 2367399 */ // Label 33210: @2367399
     /* 2367399 */ GIM_Reject,
     /* 2367400 */ // Label 33150: @2367400
     /* 2367400 */ GIM_Try, /*On fail goto*//*Label 33213*/ GIMT_Encode4(2367514),
     /* 2367405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2367408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2367411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367419 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367423 */   GIM_Try, /*On fail goto*//*Label 33214*/ GIMT_Encode4(2367468), // Rule ID 50652 //
     /* 2367428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367431 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2367434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2367448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367467 */     // GIR_Coverage, 50652,
     /* 2367467 */     GIR_EraseRootFromParent_Done,
     /* 2367468 */   // Label 33214: @2367468
     /* 2367468 */   GIM_Try, /*On fail goto*//*Label 33215*/ GIMT_Encode4(2367513), // Rule ID 50653 //
     /* 2367473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367476 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2367479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2367493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367512 */     // GIR_Coverage, 50653,
     /* 2367512 */     GIR_EraseRootFromParent_Done,
     /* 2367513 */   // Label 33215: @2367513
     /* 2367513 */   GIM_Reject,
     /* 2367514 */ // Label 33213: @2367514
     /* 2367514 */ GIM_Reject,
     /* 2367515 */ // Label 33151: @2367515
     /* 2367515 */ GIM_Try, /*On fail goto*//*Label 33216*/ GIMT_Encode4(2367629),
     /* 2367520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2367523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2367526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367538 */   GIM_Try, /*On fail goto*//*Label 33217*/ GIMT_Encode4(2367583), // Rule ID 50668 //
     /* 2367543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367546 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2367549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2367563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367582 */     // GIR_Coverage, 50668,
     /* 2367582 */     GIR_EraseRootFromParent_Done,
     /* 2367583 */   // Label 33217: @2367583
     /* 2367583 */   GIM_Try, /*On fail goto*//*Label 33218*/ GIMT_Encode4(2367628), // Rule ID 50669 //
     /* 2367588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367591 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2367594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2367608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367627 */     // GIR_Coverage, 50669,
     /* 2367627 */     GIR_EraseRootFromParent_Done,
     /* 2367628 */   // Label 33218: @2367628
     /* 2367628 */   GIM_Reject,
     /* 2367629 */ // Label 33216: @2367629
     /* 2367629 */ GIM_Reject,
     /* 2367630 */ // Label 33152: @2367630
     /* 2367630 */ GIM_Try, /*On fail goto*//*Label 33219*/ GIMT_Encode4(2367744),
     /* 2367635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2367638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2367641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367653 */   GIM_Try, /*On fail goto*//*Label 33220*/ GIMT_Encode4(2367698), // Rule ID 50640 //
     /* 2367658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367661 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2367664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2367678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367697 */     // GIR_Coverage, 50640,
     /* 2367697 */     GIR_EraseRootFromParent_Done,
     /* 2367698 */   // Label 33220: @2367698
     /* 2367698 */   GIM_Try, /*On fail goto*//*Label 33221*/ GIMT_Encode4(2367743), // Rule ID 50641 //
     /* 2367703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367706 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2367709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2367723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367742 */     // GIR_Coverage, 50641,
     /* 2367742 */     GIR_EraseRootFromParent_Done,
     /* 2367743 */   // Label 33221: @2367743
     /* 2367743 */   GIM_Reject,
     /* 2367744 */ // Label 33219: @2367744
     /* 2367744 */ GIM_Reject,
     /* 2367745 */ // Label 33153: @2367745
     /* 2367745 */ GIM_Try, /*On fail goto*//*Label 33222*/ GIMT_Encode4(2367859),
     /* 2367750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2367753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2367756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367768 */   GIM_Try, /*On fail goto*//*Label 33223*/ GIMT_Encode4(2367813), // Rule ID 50656 //
     /* 2367773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367776 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2367779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2367793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367812 */     // GIR_Coverage, 50656,
     /* 2367812 */     GIR_EraseRootFromParent_Done,
     /* 2367813 */   // Label 33223: @2367813
     /* 2367813 */   GIM_Try, /*On fail goto*//*Label 33224*/ GIMT_Encode4(2367858), // Rule ID 50657 //
     /* 2367818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367821 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2367824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2367838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367857 */     // GIR_Coverage, 50657,
     /* 2367857 */     GIR_EraseRootFromParent_Done,
     /* 2367858 */   // Label 33224: @2367858
     /* 2367858 */   GIM_Reject,
     /* 2367859 */ // Label 33222: @2367859
     /* 2367859 */ GIM_Reject,
     /* 2367860 */ // Label 33154: @2367860
     /* 2367860 */ GIM_Try, /*On fail goto*//*Label 33225*/ GIMT_Encode4(2367974),
     /* 2367865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2367868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2367871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367879 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367883 */   GIM_Try, /*On fail goto*//*Label 33226*/ GIMT_Encode4(2367928), // Rule ID 50644 //
     /* 2367888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367891 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2367894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2367908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367927 */     // GIR_Coverage, 50644,
     /* 2367927 */     GIR_EraseRootFromParent_Done,
     /* 2367928 */   // Label 33226: @2367928
     /* 2367928 */   GIM_Try, /*On fail goto*//*Label 33227*/ GIMT_Encode4(2367973), // Rule ID 50645 //
     /* 2367933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367936 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2367939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2367953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367972 */     // GIR_Coverage, 50645,
     /* 2367972 */     GIR_EraseRootFromParent_Done,
     /* 2367973 */   // Label 33227: @2367973
     /* 2367973 */   GIM_Reject,
     /* 2367974 */ // Label 33225: @2367974
     /* 2367974 */ GIM_Reject,
     /* 2367975 */ // Label 33155: @2367975
     /* 2367975 */ GIM_Reject,
     /* 2367976 */ // Label 81: @2367976
     /* 2367976 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33252*/ GIMT_Encode4(2370751),
     /* 2367987 */ /*GILLT_s32*//*Label 33228*/ GIMT_Encode4(2368111),
     /* 2367991 */ /*GILLT_s64*//*Label 33229*/ GIMT_Encode4(2368166), GIMT_Encode4(0),
     /* 2367999 */ /*GILLT_nxv1s8*//*Label 33230*/ GIMT_Encode4(2368221),
     /* 2368003 */ /*GILLT_nxv1s16*//*Label 33231*/ GIMT_Encode4(2368336),
     /* 2368007 */ /*GILLT_nxv1s32*//*Label 33232*/ GIMT_Encode4(2368451),
     /* 2368011 */ /*GILLT_nxv1s64*//*Label 33233*/ GIMT_Encode4(2368566), GIMT_Encode4(0),
     /* 2368019 */ /*GILLT_nxv2s8*//*Label 33234*/ GIMT_Encode4(2368681),
     /* 2368023 */ /*GILLT_nxv2s16*//*Label 33235*/ GIMT_Encode4(2368796),
     /* 2368027 */ /*GILLT_nxv2s32*//*Label 33236*/ GIMT_Encode4(2368911),
     /* 2368031 */ /*GILLT_nxv2s64*//*Label 33237*/ GIMT_Encode4(2369026), GIMT_Encode4(0),
     /* 2368039 */ /*GILLT_nxv4s8*//*Label 33238*/ GIMT_Encode4(2369141),
     /* 2368043 */ /*GILLT_nxv4s16*//*Label 33239*/ GIMT_Encode4(2369256),
     /* 2368047 */ /*GILLT_nxv4s32*//*Label 33240*/ GIMT_Encode4(2369371),
     /* 2368051 */ /*GILLT_nxv4s64*//*Label 33241*/ GIMT_Encode4(2369486), GIMT_Encode4(0),
     /* 2368059 */ /*GILLT_nxv8s8*//*Label 33242*/ GIMT_Encode4(2369601),
     /* 2368063 */ /*GILLT_nxv8s16*//*Label 33243*/ GIMT_Encode4(2369716),
     /* 2368067 */ /*GILLT_nxv8s32*//*Label 33244*/ GIMT_Encode4(2369831),
     /* 2368071 */ /*GILLT_nxv8s64*//*Label 33245*/ GIMT_Encode4(2369946), GIMT_Encode4(0),
     /* 2368079 */ /*GILLT_nxv16s8*//*Label 33246*/ GIMT_Encode4(2370061),
     /* 2368083 */ /*GILLT_nxv16s16*//*Label 33247*/ GIMT_Encode4(2370176),
     /* 2368087 */ /*GILLT_nxv16s32*//*Label 33248*/ GIMT_Encode4(2370291), GIMT_Encode4(0),
     /* 2368095 */ /*GILLT_nxv32s8*//*Label 33249*/ GIMT_Encode4(2370406),
     /* 2368099 */ /*GILLT_nxv32s16*//*Label 33250*/ GIMT_Encode4(2370521), GIMT_Encode4(0),
     /* 2368107 */ /*GILLT_nxv64s8*//*Label 33251*/ GIMT_Encode4(2370636),
     /* 2368111 */ // Label 33228: @2368111
     /* 2368111 */ GIM_Try, /*On fail goto*//*Label 33253*/ GIMT_Encode4(2368165),
     /* 2368116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2368119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2368122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368134 */   GIM_Try, /*On fail goto*//*Label 33254*/ GIMT_Encode4(2368149), // Rule ID 64470 //
     /* 2368139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2368142 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2368142 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2368147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368148 */     // GIR_Coverage, 64470,
     /* 2368148 */     GIR_Done,
     /* 2368149 */   // Label 33254: @2368149
     /* 2368149 */   GIM_Try, /*On fail goto*//*Label 33255*/ GIMT_Encode4(2368164), // Rule ID 2533 //
     /* 2368154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2368157 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2368157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2368162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368163 */     // GIR_Coverage, 2533,
     /* 2368163 */     GIR_Done,
     /* 2368164 */   // Label 33255: @2368164
     /* 2368164 */   GIM_Reject,
     /* 2368165 */ // Label 33253: @2368165
     /* 2368165 */ GIM_Reject,
     /* 2368166 */ // Label 33229: @2368166
     /* 2368166 */ GIM_Try, /*On fail goto*//*Label 33256*/ GIMT_Encode4(2368220),
     /* 2368171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2368174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2368177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368189 */   GIM_Try, /*On fail goto*//*Label 33257*/ GIMT_Encode4(2368204), // Rule ID 64469 //
     /* 2368194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2368197 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2368197 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2368202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368203 */     // GIR_Coverage, 64469,
     /* 2368203 */     GIR_Done,
     /* 2368204 */   // Label 33257: @2368204
     /* 2368204 */   GIM_Try, /*On fail goto*//*Label 33258*/ GIMT_Encode4(2368219), // Rule ID 2532 //
     /* 2368209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2368212 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2368212 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2368217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368218 */     // GIR_Coverage, 2532,
     /* 2368218 */     GIR_Done,
     /* 2368219 */   // Label 33258: @2368219
     /* 2368219 */   GIM_Reject,
     /* 2368220 */ // Label 33256: @2368220
     /* 2368220 */ GIM_Reject,
     /* 2368221 */ // Label 33230: @2368221
     /* 2368221 */ GIM_Try, /*On fail goto*//*Label 33259*/ GIMT_Encode4(2368335),
     /* 2368226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2368229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2368232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368244 */   GIM_Try, /*On fail goto*//*Label 33260*/ GIMT_Encode4(2368289), // Rule ID 50772 //
     /* 2368249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368252 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2368255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2368269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368288 */     // GIR_Coverage, 50772,
     /* 2368288 */     GIR_EraseRootFromParent_Done,
     /* 2368289 */   // Label 33260: @2368289
     /* 2368289 */   GIM_Try, /*On fail goto*//*Label 33261*/ GIMT_Encode4(2368334), // Rule ID 50773 //
     /* 2368294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368297 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2368300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2368314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368333 */     // GIR_Coverage, 50773,
     /* 2368333 */     GIR_EraseRootFromParent_Done,
     /* 2368334 */   // Label 33261: @2368334
     /* 2368334 */   GIM_Reject,
     /* 2368335 */ // Label 33259: @2368335
     /* 2368335 */ GIM_Reject,
     /* 2368336 */ // Label 33231: @2368336
     /* 2368336 */ GIM_Try, /*On fail goto*//*Label 33262*/ GIMT_Encode4(2368450),
     /* 2368341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2368344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2368347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368359 */   GIM_Try, /*On fail goto*//*Label 33263*/ GIMT_Encode4(2368404), // Rule ID 50784 //
     /* 2368364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368367 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2368370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2368384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368403 */     // GIR_Coverage, 50784,
     /* 2368403 */     GIR_EraseRootFromParent_Done,
     /* 2368404 */   // Label 33263: @2368404
     /* 2368404 */   GIM_Try, /*On fail goto*//*Label 33264*/ GIMT_Encode4(2368449), // Rule ID 50785 //
     /* 2368409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368412 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2368415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2368429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368448 */     // GIR_Coverage, 50785,
     /* 2368448 */     GIR_EraseRootFromParent_Done,
     /* 2368449 */   // Label 33264: @2368449
     /* 2368449 */   GIM_Reject,
     /* 2368450 */ // Label 33262: @2368450
     /* 2368450 */ GIM_Reject,
     /* 2368451 */ // Label 33232: @2368451
     /* 2368451 */ GIM_Try, /*On fail goto*//*Label 33265*/ GIMT_Encode4(2368565),
     /* 2368456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2368459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2368462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368474 */   GIM_Try, /*On fail goto*//*Label 33266*/ GIMT_Encode4(2368519), // Rule ID 50792 //
     /* 2368479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368482 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2368485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2368499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368518 */     // GIR_Coverage, 50792,
     /* 2368518 */     GIR_EraseRootFromParent_Done,
     /* 2368519 */   // Label 33266: @2368519
     /* 2368519 */   GIM_Try, /*On fail goto*//*Label 33267*/ GIMT_Encode4(2368564), // Rule ID 50793 //
     /* 2368524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368527 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2368530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2368544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368563 */     // GIR_Coverage, 50793,
     /* 2368563 */     GIR_EraseRootFromParent_Done,
     /* 2368564 */   // Label 33267: @2368564
     /* 2368564 */   GIM_Reject,
     /* 2368565 */ // Label 33265: @2368565
     /* 2368565 */ GIM_Reject,
     /* 2368566 */ // Label 33233: @2368566
     /* 2368566 */ GIM_Try, /*On fail goto*//*Label 33268*/ GIMT_Encode4(2368680),
     /* 2368571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2368574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2368577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368589 */   GIM_Try, /*On fail goto*//*Label 33269*/ GIMT_Encode4(2368634), // Rule ID 50808 //
     /* 2368594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2368597 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2368600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2368614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368633 */     // GIR_Coverage, 50808,
     /* 2368633 */     GIR_EraseRootFromParent_Done,
     /* 2368634 */   // Label 33269: @2368634
     /* 2368634 */   GIM_Try, /*On fail goto*//*Label 33270*/ GIMT_Encode4(2368679), // Rule ID 50809 //
     /* 2368639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2368642 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2368645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2368659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368678 */     // GIR_Coverage, 50809,
     /* 2368678 */     GIR_EraseRootFromParent_Done,
     /* 2368679 */   // Label 33270: @2368679
     /* 2368679 */   GIM_Reject,
     /* 2368680 */ // Label 33268: @2368680
     /* 2368680 */ GIM_Reject,
     /* 2368681 */ // Label 33234: @2368681
     /* 2368681 */ GIM_Try, /*On fail goto*//*Label 33271*/ GIMT_Encode4(2368795),
     /* 2368686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2368689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2368692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368704 */   GIM_Try, /*On fail goto*//*Label 33272*/ GIMT_Encode4(2368749), // Rule ID 50776 //
     /* 2368709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368712 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2368715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2368729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368748 */     // GIR_Coverage, 50776,
     /* 2368748 */     GIR_EraseRootFromParent_Done,
     /* 2368749 */   // Label 33272: @2368749
     /* 2368749 */   GIM_Try, /*On fail goto*//*Label 33273*/ GIMT_Encode4(2368794), // Rule ID 50777 //
     /* 2368754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368757 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2368760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2368774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368793 */     // GIR_Coverage, 50777,
     /* 2368793 */     GIR_EraseRootFromParent_Done,
     /* 2368794 */   // Label 33273: @2368794
     /* 2368794 */   GIM_Reject,
     /* 2368795 */ // Label 33271: @2368795
     /* 2368795 */ GIM_Reject,
     /* 2368796 */ // Label 33235: @2368796
     /* 2368796 */ GIM_Try, /*On fail goto*//*Label 33274*/ GIMT_Encode4(2368910),
     /* 2368801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2368804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2368807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368819 */   GIM_Try, /*On fail goto*//*Label 33275*/ GIMT_Encode4(2368864), // Rule ID 50788 //
     /* 2368824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368827 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2368830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2368844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368863 */     // GIR_Coverage, 50788,
     /* 2368863 */     GIR_EraseRootFromParent_Done,
     /* 2368864 */   // Label 33275: @2368864
     /* 2368864 */   GIM_Try, /*On fail goto*//*Label 33276*/ GIMT_Encode4(2368909), // Rule ID 50789 //
     /* 2368869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368872 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2368875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2368889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368908 */     // GIR_Coverage, 50789,
     /* 2368908 */     GIR_EraseRootFromParent_Done,
     /* 2368909 */   // Label 33276: @2368909
     /* 2368909 */   GIM_Reject,
     /* 2368910 */ // Label 33274: @2368910
     /* 2368910 */ GIM_Reject,
     /* 2368911 */ // Label 33236: @2368911
     /* 2368911 */ GIM_Try, /*On fail goto*//*Label 33277*/ GIMT_Encode4(2369025),
     /* 2368916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2368919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2368922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368934 */   GIM_Try, /*On fail goto*//*Label 33278*/ GIMT_Encode4(2368979), // Rule ID 50804 //
     /* 2368939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368942 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2368945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2368959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368978 */     // GIR_Coverage, 50804,
     /* 2368978 */     GIR_EraseRootFromParent_Done,
     /* 2368979 */   // Label 33278: @2368979
     /* 2368979 */   GIM_Try, /*On fail goto*//*Label 33279*/ GIMT_Encode4(2369024), // Rule ID 50805 //
     /* 2368984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368987 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2368990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2369004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369023 */     // GIR_Coverage, 50805,
     /* 2369023 */     GIR_EraseRootFromParent_Done,
     /* 2369024 */   // Label 33279: @2369024
     /* 2369024 */   GIM_Reject,
     /* 2369025 */ // Label 33277: @2369025
     /* 2369025 */ GIM_Reject,
     /* 2369026 */ // Label 33237: @2369026
     /* 2369026 */ GIM_Try, /*On fail goto*//*Label 33280*/ GIMT_Encode4(2369140),
     /* 2369031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2369034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2369037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369049 */   GIM_Try, /*On fail goto*//*Label 33281*/ GIMT_Encode4(2369094), // Rule ID 50848 //
     /* 2369054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2369057 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2369060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2369074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369093 */     // GIR_Coverage, 50848,
     /* 2369093 */     GIR_EraseRootFromParent_Done,
     /* 2369094 */   // Label 33281: @2369094
     /* 2369094 */   GIM_Try, /*On fail goto*//*Label 33282*/ GIMT_Encode4(2369139), // Rule ID 50849 //
     /* 2369099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2369102 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2369105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2369119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369138 */     // GIR_Coverage, 50849,
     /* 2369138 */     GIR_EraseRootFromParent_Done,
     /* 2369139 */   // Label 33282: @2369139
     /* 2369139 */   GIM_Reject,
     /* 2369140 */ // Label 33280: @2369140
     /* 2369140 */ GIM_Reject,
     /* 2369141 */ // Label 33238: @2369141
     /* 2369141 */ GIM_Try, /*On fail goto*//*Label 33283*/ GIMT_Encode4(2369255),
     /* 2369146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2369149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2369152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369164 */   GIM_Try, /*On fail goto*//*Label 33284*/ GIMT_Encode4(2369209), // Rule ID 50780 //
     /* 2369169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369172 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2369175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2369189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369208 */     // GIR_Coverage, 50780,
     /* 2369208 */     GIR_EraseRootFromParent_Done,
     /* 2369209 */   // Label 33284: @2369209
     /* 2369209 */   GIM_Try, /*On fail goto*//*Label 33285*/ GIMT_Encode4(2369254), // Rule ID 50781 //
     /* 2369214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369217 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2369220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2369234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369253 */     // GIR_Coverage, 50781,
     /* 2369253 */     GIR_EraseRootFromParent_Done,
     /* 2369254 */   // Label 33285: @2369254
     /* 2369254 */   GIM_Reject,
     /* 2369255 */ // Label 33283: @2369255
     /* 2369255 */ GIM_Reject,
     /* 2369256 */ // Label 33239: @2369256
     /* 2369256 */ GIM_Try, /*On fail goto*//*Label 33286*/ GIMT_Encode4(2369370),
     /* 2369261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2369264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2369267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369279 */   GIM_Try, /*On fail goto*//*Label 33287*/ GIMT_Encode4(2369324), // Rule ID 50800 //
     /* 2369284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369287 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2369290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2369304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369323 */     // GIR_Coverage, 50800,
     /* 2369323 */     GIR_EraseRootFromParent_Done,
     /* 2369324 */   // Label 33287: @2369324
     /* 2369324 */   GIM_Try, /*On fail goto*//*Label 33288*/ GIMT_Encode4(2369369), // Rule ID 50801 //
     /* 2369329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369332 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2369335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2369349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369368 */     // GIR_Coverage, 50801,
     /* 2369368 */     GIR_EraseRootFromParent_Done,
     /* 2369369 */   // Label 33288: @2369369
     /* 2369369 */   GIM_Reject,
     /* 2369370 */ // Label 33286: @2369370
     /* 2369370 */ GIM_Reject,
     /* 2369371 */ // Label 33240: @2369371
     /* 2369371 */ GIM_Try, /*On fail goto*//*Label 33289*/ GIMT_Encode4(2369485),
     /* 2369376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2369379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2369382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369394 */   GIM_Try, /*On fail goto*//*Label 33290*/ GIMT_Encode4(2369439), // Rule ID 50836 //
     /* 2369399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369402 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2369405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2369419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369438 */     // GIR_Coverage, 50836,
     /* 2369438 */     GIR_EraseRootFromParent_Done,
     /* 2369439 */   // Label 33290: @2369439
     /* 2369439 */   GIM_Try, /*On fail goto*//*Label 33291*/ GIMT_Encode4(2369484), // Rule ID 50837 //
     /* 2369444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369447 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2369450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2369464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369483 */     // GIR_Coverage, 50837,
     /* 2369483 */     GIR_EraseRootFromParent_Done,
     /* 2369484 */   // Label 33291: @2369484
     /* 2369484 */   GIM_Reject,
     /* 2369485 */ // Label 33289: @2369485
     /* 2369485 */ GIM_Reject,
     /* 2369486 */ // Label 33241: @2369486
     /* 2369486 */ GIM_Try, /*On fail goto*//*Label 33292*/ GIMT_Encode4(2369600),
     /* 2369491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2369494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2369497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369509 */   GIM_Try, /*On fail goto*//*Label 33293*/ GIMT_Encode4(2369554), // Rule ID 50852 //
     /* 2369514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2369517 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2369520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2369534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369553 */     // GIR_Coverage, 50852,
     /* 2369553 */     GIR_EraseRootFromParent_Done,
     /* 2369554 */   // Label 33293: @2369554
     /* 2369554 */   GIM_Try, /*On fail goto*//*Label 33294*/ GIMT_Encode4(2369599), // Rule ID 50853 //
     /* 2369559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2369562 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2369565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2369579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369598 */     // GIR_Coverage, 50853,
     /* 2369598 */     GIR_EraseRootFromParent_Done,
     /* 2369599 */   // Label 33294: @2369599
     /* 2369599 */   GIM_Reject,
     /* 2369600 */ // Label 33292: @2369600
     /* 2369600 */ GIM_Reject,
     /* 2369601 */ // Label 33242: @2369601
     /* 2369601 */ GIM_Try, /*On fail goto*//*Label 33295*/ GIMT_Encode4(2369715),
     /* 2369606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2369609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2369612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369624 */   GIM_Try, /*On fail goto*//*Label 33296*/ GIMT_Encode4(2369669), // Rule ID 50796 //
     /* 2369629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369632 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2369635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2369649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369668 */     // GIR_Coverage, 50796,
     /* 2369668 */     GIR_EraseRootFromParent_Done,
     /* 2369669 */   // Label 33296: @2369669
     /* 2369669 */   GIM_Try, /*On fail goto*//*Label 33297*/ GIMT_Encode4(2369714), // Rule ID 50797 //
     /* 2369674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369677 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2369680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2369694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369713 */     // GIR_Coverage, 50797,
     /* 2369713 */     GIR_EraseRootFromParent_Done,
     /* 2369714 */   // Label 33297: @2369714
     /* 2369714 */   GIM_Reject,
     /* 2369715 */ // Label 33295: @2369715
     /* 2369715 */ GIM_Reject,
     /* 2369716 */ // Label 33243: @2369716
     /* 2369716 */ GIM_Try, /*On fail goto*//*Label 33298*/ GIMT_Encode4(2369830),
     /* 2369721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2369724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2369727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369735 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369739 */   GIM_Try, /*On fail goto*//*Label 33299*/ GIMT_Encode4(2369784), // Rule ID 50824 //
     /* 2369744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369747 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2369750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2369764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369783 */     // GIR_Coverage, 50824,
     /* 2369783 */     GIR_EraseRootFromParent_Done,
     /* 2369784 */   // Label 33299: @2369784
     /* 2369784 */   GIM_Try, /*On fail goto*//*Label 33300*/ GIMT_Encode4(2369829), // Rule ID 50825 //
     /* 2369789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369792 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2369795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2369809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369828 */     // GIR_Coverage, 50825,
     /* 2369828 */     GIR_EraseRootFromParent_Done,
     /* 2369829 */   // Label 33300: @2369829
     /* 2369829 */   GIM_Reject,
     /* 2369830 */ // Label 33298: @2369830
     /* 2369830 */ GIM_Reject,
     /* 2369831 */ // Label 33244: @2369831
     /* 2369831 */ GIM_Try, /*On fail goto*//*Label 33301*/ GIMT_Encode4(2369945),
     /* 2369836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2369839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2369842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369854 */   GIM_Try, /*On fail goto*//*Label 33302*/ GIMT_Encode4(2369899), // Rule ID 50840 //
     /* 2369859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369862 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2369865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2369879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369898 */     // GIR_Coverage, 50840,
     /* 2369898 */     GIR_EraseRootFromParent_Done,
     /* 2369899 */   // Label 33302: @2369899
     /* 2369899 */   GIM_Try, /*On fail goto*//*Label 33303*/ GIMT_Encode4(2369944), // Rule ID 50841 //
     /* 2369904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369907 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2369910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2369924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369943 */     // GIR_Coverage, 50841,
     /* 2369943 */     GIR_EraseRootFromParent_Done,
     /* 2369944 */   // Label 33303: @2369944
     /* 2369944 */   GIM_Reject,
     /* 2369945 */ // Label 33301: @2369945
     /* 2369945 */ GIM_Reject,
     /* 2369946 */ // Label 33245: @2369946
     /* 2369946 */ GIM_Try, /*On fail goto*//*Label 33304*/ GIMT_Encode4(2370060),
     /* 2369951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2369954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2369957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369965 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369969 */   GIM_Try, /*On fail goto*//*Label 33305*/ GIMT_Encode4(2370014), // Rule ID 50856 //
     /* 2369974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2369977 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2369980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2369994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370013 */     // GIR_Coverage, 50856,
     /* 2370013 */     GIR_EraseRootFromParent_Done,
     /* 2370014 */   // Label 33305: @2370014
     /* 2370014 */   GIM_Try, /*On fail goto*//*Label 33306*/ GIMT_Encode4(2370059), // Rule ID 50857 //
     /* 2370019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2370022 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2370025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2370039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370058 */     // GIR_Coverage, 50857,
     /* 2370058 */     GIR_EraseRootFromParent_Done,
     /* 2370059 */   // Label 33306: @2370059
     /* 2370059 */   GIM_Reject,
     /* 2370060 */ // Label 33304: @2370060
     /* 2370060 */ GIM_Reject,
     /* 2370061 */ // Label 33246: @2370061
     /* 2370061 */ GIM_Try, /*On fail goto*//*Label 33307*/ GIMT_Encode4(2370175),
     /* 2370066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2370069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2370072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370084 */   GIM_Try, /*On fail goto*//*Label 33308*/ GIMT_Encode4(2370129), // Rule ID 50812 //
     /* 2370089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370092 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2370095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2370109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370128 */     // GIR_Coverage, 50812,
     /* 2370128 */     GIR_EraseRootFromParent_Done,
     /* 2370129 */   // Label 33308: @2370129
     /* 2370129 */   GIM_Try, /*On fail goto*//*Label 33309*/ GIMT_Encode4(2370174), // Rule ID 50813 //
     /* 2370134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370137 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2370140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2370154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370173 */     // GIR_Coverage, 50813,
     /* 2370173 */     GIR_EraseRootFromParent_Done,
     /* 2370174 */   // Label 33309: @2370174
     /* 2370174 */   GIM_Reject,
     /* 2370175 */ // Label 33307: @2370175
     /* 2370175 */ GIM_Reject,
     /* 2370176 */ // Label 33247: @2370176
     /* 2370176 */ GIM_Try, /*On fail goto*//*Label 33310*/ GIMT_Encode4(2370290),
     /* 2370181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2370184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2370187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370199 */   GIM_Try, /*On fail goto*//*Label 33311*/ GIMT_Encode4(2370244), // Rule ID 50828 //
     /* 2370204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370207 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2370210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2370224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370243 */     // GIR_Coverage, 50828,
     /* 2370243 */     GIR_EraseRootFromParent_Done,
     /* 2370244 */   // Label 33311: @2370244
     /* 2370244 */   GIM_Try, /*On fail goto*//*Label 33312*/ GIMT_Encode4(2370289), // Rule ID 50829 //
     /* 2370249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370252 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2370255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2370269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370288 */     // GIR_Coverage, 50829,
     /* 2370288 */     GIR_EraseRootFromParent_Done,
     /* 2370289 */   // Label 33312: @2370289
     /* 2370289 */   GIM_Reject,
     /* 2370290 */ // Label 33310: @2370290
     /* 2370290 */ GIM_Reject,
     /* 2370291 */ // Label 33248: @2370291
     /* 2370291 */ GIM_Try, /*On fail goto*//*Label 33313*/ GIMT_Encode4(2370405),
     /* 2370296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2370299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2370302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370314 */   GIM_Try, /*On fail goto*//*Label 33314*/ GIMT_Encode4(2370359), // Rule ID 50844 //
     /* 2370319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370322 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2370325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2370339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370358 */     // GIR_Coverage, 50844,
     /* 2370358 */     GIR_EraseRootFromParent_Done,
     /* 2370359 */   // Label 33314: @2370359
     /* 2370359 */   GIM_Try, /*On fail goto*//*Label 33315*/ GIMT_Encode4(2370404), // Rule ID 50845 //
     /* 2370364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370367 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2370370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2370384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370403 */     // GIR_Coverage, 50845,
     /* 2370403 */     GIR_EraseRootFromParent_Done,
     /* 2370404 */   // Label 33315: @2370404
     /* 2370404 */   GIM_Reject,
     /* 2370405 */ // Label 33313: @2370405
     /* 2370405 */ GIM_Reject,
     /* 2370406 */ // Label 33249: @2370406
     /* 2370406 */ GIM_Try, /*On fail goto*//*Label 33316*/ GIMT_Encode4(2370520),
     /* 2370411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2370414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2370417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370429 */   GIM_Try, /*On fail goto*//*Label 33317*/ GIMT_Encode4(2370474), // Rule ID 50816 //
     /* 2370434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370437 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2370440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2370454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370473 */     // GIR_Coverage, 50816,
     /* 2370473 */     GIR_EraseRootFromParent_Done,
     /* 2370474 */   // Label 33317: @2370474
     /* 2370474 */   GIM_Try, /*On fail goto*//*Label 33318*/ GIMT_Encode4(2370519), // Rule ID 50817 //
     /* 2370479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370482 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2370485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2370499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370518 */     // GIR_Coverage, 50817,
     /* 2370518 */     GIR_EraseRootFromParent_Done,
     /* 2370519 */   // Label 33318: @2370519
     /* 2370519 */   GIM_Reject,
     /* 2370520 */ // Label 33316: @2370520
     /* 2370520 */ GIM_Reject,
     /* 2370521 */ // Label 33250: @2370521
     /* 2370521 */ GIM_Try, /*On fail goto*//*Label 33319*/ GIMT_Encode4(2370635),
     /* 2370526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2370529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2370532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370544 */   GIM_Try, /*On fail goto*//*Label 33320*/ GIMT_Encode4(2370589), // Rule ID 50832 //
     /* 2370549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370552 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2370555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2370569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370588 */     // GIR_Coverage, 50832,
     /* 2370588 */     GIR_EraseRootFromParent_Done,
     /* 2370589 */   // Label 33320: @2370589
     /* 2370589 */   GIM_Try, /*On fail goto*//*Label 33321*/ GIMT_Encode4(2370634), // Rule ID 50833 //
     /* 2370594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370597 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2370600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2370614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370633 */     // GIR_Coverage, 50833,
     /* 2370633 */     GIR_EraseRootFromParent_Done,
     /* 2370634 */   // Label 33321: @2370634
     /* 2370634 */   GIM_Reject,
     /* 2370635 */ // Label 33319: @2370635
     /* 2370635 */ GIM_Reject,
     /* 2370636 */ // Label 33251: @2370636
     /* 2370636 */ GIM_Try, /*On fail goto*//*Label 33322*/ GIMT_Encode4(2370750),
     /* 2370641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2370644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2370647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370659 */   GIM_Try, /*On fail goto*//*Label 33323*/ GIMT_Encode4(2370704), // Rule ID 50820 //
     /* 2370664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370667 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2370670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2370684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370703 */     // GIR_Coverage, 50820,
     /* 2370703 */     GIR_EraseRootFromParent_Done,
     /* 2370704 */   // Label 33323: @2370704
     /* 2370704 */   GIM_Try, /*On fail goto*//*Label 33324*/ GIMT_Encode4(2370749), // Rule ID 50821 //
     /* 2370709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370712 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2370715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2370729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370748 */     // GIR_Coverage, 50821,
     /* 2370748 */     GIR_EraseRootFromParent_Done,
     /* 2370749 */   // Label 33324: @2370749
     /* 2370749 */   GIM_Reject,
     /* 2370750 */ // Label 33322: @2370750
     /* 2370750 */ GIM_Reject,
     /* 2370751 */ // Label 33252: @2370751
     /* 2370751 */ GIM_Reject,
     /* 2370752 */ // Label 82: @2370752
     /* 2370752 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33349*/ GIMT_Encode4(2373527),
     /* 2370763 */ /*GILLT_s32*//*Label 33325*/ GIMT_Encode4(2370887),
     /* 2370767 */ /*GILLT_s64*//*Label 33326*/ GIMT_Encode4(2370942), GIMT_Encode4(0),
     /* 2370775 */ /*GILLT_nxv1s8*//*Label 33327*/ GIMT_Encode4(2370997),
     /* 2370779 */ /*GILLT_nxv1s16*//*Label 33328*/ GIMT_Encode4(2371112),
     /* 2370783 */ /*GILLT_nxv1s32*//*Label 33329*/ GIMT_Encode4(2371227),
     /* 2370787 */ /*GILLT_nxv1s64*//*Label 33330*/ GIMT_Encode4(2371342), GIMT_Encode4(0),
     /* 2370795 */ /*GILLT_nxv2s8*//*Label 33331*/ GIMT_Encode4(2371457),
     /* 2370799 */ /*GILLT_nxv2s16*//*Label 33332*/ GIMT_Encode4(2371572),
     /* 2370803 */ /*GILLT_nxv2s32*//*Label 33333*/ GIMT_Encode4(2371687),
     /* 2370807 */ /*GILLT_nxv2s64*//*Label 33334*/ GIMT_Encode4(2371802), GIMT_Encode4(0),
     /* 2370815 */ /*GILLT_nxv4s8*//*Label 33335*/ GIMT_Encode4(2371917),
     /* 2370819 */ /*GILLT_nxv4s16*//*Label 33336*/ GIMT_Encode4(2372032),
     /* 2370823 */ /*GILLT_nxv4s32*//*Label 33337*/ GIMT_Encode4(2372147),
     /* 2370827 */ /*GILLT_nxv4s64*//*Label 33338*/ GIMT_Encode4(2372262), GIMT_Encode4(0),
     /* 2370835 */ /*GILLT_nxv8s8*//*Label 33339*/ GIMT_Encode4(2372377),
     /* 2370839 */ /*GILLT_nxv8s16*//*Label 33340*/ GIMT_Encode4(2372492),
     /* 2370843 */ /*GILLT_nxv8s32*//*Label 33341*/ GIMT_Encode4(2372607),
     /* 2370847 */ /*GILLT_nxv8s64*//*Label 33342*/ GIMT_Encode4(2372722), GIMT_Encode4(0),
     /* 2370855 */ /*GILLT_nxv16s8*//*Label 33343*/ GIMT_Encode4(2372837),
     /* 2370859 */ /*GILLT_nxv16s16*//*Label 33344*/ GIMT_Encode4(2372952),
     /* 2370863 */ /*GILLT_nxv16s32*//*Label 33345*/ GIMT_Encode4(2373067), GIMT_Encode4(0),
     /* 2370871 */ /*GILLT_nxv32s8*//*Label 33346*/ GIMT_Encode4(2373182),
     /* 2370875 */ /*GILLT_nxv32s16*//*Label 33347*/ GIMT_Encode4(2373297), GIMT_Encode4(0),
     /* 2370883 */ /*GILLT_nxv64s8*//*Label 33348*/ GIMT_Encode4(2373412),
     /* 2370887 */ // Label 33325: @2370887
     /* 2370887 */ GIM_Try, /*On fail goto*//*Label 33350*/ GIMT_Encode4(2370941),
     /* 2370892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2370895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2370898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2370902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2370906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2370910 */   GIM_Try, /*On fail goto*//*Label 33351*/ GIMT_Encode4(2370925), // Rule ID 64468 //
     /* 2370915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2370918 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2370918 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2370923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370924 */     // GIR_Coverage, 64468,
     /* 2370924 */     GIR_Done,
     /* 2370925 */   // Label 33351: @2370925
     /* 2370925 */   GIM_Try, /*On fail goto*//*Label 33352*/ GIMT_Encode4(2370940), // Rule ID 2535 //
     /* 2370930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2370933 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2370933 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2370938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370939 */     // GIR_Coverage, 2535,
     /* 2370939 */     GIR_Done,
     /* 2370940 */   // Label 33352: @2370940
     /* 2370940 */   GIM_Reject,
     /* 2370941 */ // Label 33350: @2370941
     /* 2370941 */ GIM_Reject,
     /* 2370942 */ // Label 33326: @2370942
     /* 2370942 */ GIM_Try, /*On fail goto*//*Label 33353*/ GIMT_Encode4(2370996),
     /* 2370947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2370950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2370953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2370957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2370961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2370965 */   GIM_Try, /*On fail goto*//*Label 33354*/ GIMT_Encode4(2370980), // Rule ID 64467 //
     /* 2370970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2370973 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2370973 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2370978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370979 */     // GIR_Coverage, 64467,
     /* 2370979 */     GIR_Done,
     /* 2370980 */   // Label 33354: @2370980
     /* 2370980 */   GIM_Try, /*On fail goto*//*Label 33355*/ GIMT_Encode4(2370995), // Rule ID 2534 //
     /* 2370985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2370988 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2370988 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2370993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370994 */     // GIR_Coverage, 2534,
     /* 2370994 */     GIR_Done,
     /* 2370995 */   // Label 33355: @2370995
     /* 2370995 */   GIM_Reject,
     /* 2370996 */ // Label 33353: @2370996
     /* 2370996 */ GIM_Reject,
     /* 2370997 */ // Label 33327: @2370997
     /* 2370997 */ GIM_Try, /*On fail goto*//*Label 33356*/ GIMT_Encode4(2371111),
     /* 2371002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2371005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2371008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371016 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371020 */   GIM_Try, /*On fail goto*//*Label 33357*/ GIMT_Encode4(2371065), // Rule ID 50508 //
     /* 2371025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371028 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2371031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2371045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371064 */     // GIR_Coverage, 50508,
     /* 2371064 */     GIR_EraseRootFromParent_Done,
     /* 2371065 */   // Label 33357: @2371065
     /* 2371065 */   GIM_Try, /*On fail goto*//*Label 33358*/ GIMT_Encode4(2371110), // Rule ID 50509 //
     /* 2371070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371073 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2371076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2371090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371109 */     // GIR_Coverage, 50509,
     /* 2371109 */     GIR_EraseRootFromParent_Done,
     /* 2371110 */   // Label 33358: @2371110
     /* 2371110 */   GIM_Reject,
     /* 2371111 */ // Label 33356: @2371111
     /* 2371111 */ GIM_Reject,
     /* 2371112 */ // Label 33328: @2371112
     /* 2371112 */ GIM_Try, /*On fail goto*//*Label 33359*/ GIMT_Encode4(2371226),
     /* 2371117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2371120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2371123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371135 */   GIM_Try, /*On fail goto*//*Label 33360*/ GIMT_Encode4(2371180), // Rule ID 50520 //
     /* 2371140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371143 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2371146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2371160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371179 */     // GIR_Coverage, 50520,
     /* 2371179 */     GIR_EraseRootFromParent_Done,
     /* 2371180 */   // Label 33360: @2371180
     /* 2371180 */   GIM_Try, /*On fail goto*//*Label 33361*/ GIMT_Encode4(2371225), // Rule ID 50521 //
     /* 2371185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371188 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2371191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2371205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371224 */     // GIR_Coverage, 50521,
     /* 2371224 */     GIR_EraseRootFromParent_Done,
     /* 2371225 */   // Label 33361: @2371225
     /* 2371225 */   GIM_Reject,
     /* 2371226 */ // Label 33359: @2371226
     /* 2371226 */ GIM_Reject,
     /* 2371227 */ // Label 33329: @2371227
     /* 2371227 */ GIM_Try, /*On fail goto*//*Label 33362*/ GIMT_Encode4(2371341),
     /* 2371232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2371235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2371238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371250 */   GIM_Try, /*On fail goto*//*Label 33363*/ GIMT_Encode4(2371295), // Rule ID 50528 //
     /* 2371255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371258 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2371261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2371275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371294 */     // GIR_Coverage, 50528,
     /* 2371294 */     GIR_EraseRootFromParent_Done,
     /* 2371295 */   // Label 33363: @2371295
     /* 2371295 */   GIM_Try, /*On fail goto*//*Label 33364*/ GIMT_Encode4(2371340), // Rule ID 50529 //
     /* 2371300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371303 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2371306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2371320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371339 */     // GIR_Coverage, 50529,
     /* 2371339 */     GIR_EraseRootFromParent_Done,
     /* 2371340 */   // Label 33364: @2371340
     /* 2371340 */   GIM_Reject,
     /* 2371341 */ // Label 33362: @2371341
     /* 2371341 */ GIM_Reject,
     /* 2371342 */ // Label 33330: @2371342
     /* 2371342 */ GIM_Try, /*On fail goto*//*Label 33365*/ GIMT_Encode4(2371456),
     /* 2371347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2371350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2371353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371365 */   GIM_Try, /*On fail goto*//*Label 33366*/ GIMT_Encode4(2371410), // Rule ID 50544 //
     /* 2371370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2371373 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2371376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2371390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371409 */     // GIR_Coverage, 50544,
     /* 2371409 */     GIR_EraseRootFromParent_Done,
     /* 2371410 */   // Label 33366: @2371410
     /* 2371410 */   GIM_Try, /*On fail goto*//*Label 33367*/ GIMT_Encode4(2371455), // Rule ID 50545 //
     /* 2371415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2371418 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2371421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2371435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371454 */     // GIR_Coverage, 50545,
     /* 2371454 */     GIR_EraseRootFromParent_Done,
     /* 2371455 */   // Label 33367: @2371455
     /* 2371455 */   GIM_Reject,
     /* 2371456 */ // Label 33365: @2371456
     /* 2371456 */ GIM_Reject,
     /* 2371457 */ // Label 33331: @2371457
     /* 2371457 */ GIM_Try, /*On fail goto*//*Label 33368*/ GIMT_Encode4(2371571),
     /* 2371462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2371465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2371468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371480 */   GIM_Try, /*On fail goto*//*Label 33369*/ GIMT_Encode4(2371525), // Rule ID 50512 //
     /* 2371485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371488 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2371491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2371505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371524 */     // GIR_Coverage, 50512,
     /* 2371524 */     GIR_EraseRootFromParent_Done,
     /* 2371525 */   // Label 33369: @2371525
     /* 2371525 */   GIM_Try, /*On fail goto*//*Label 33370*/ GIMT_Encode4(2371570), // Rule ID 50513 //
     /* 2371530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371533 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2371536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2371550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371569 */     // GIR_Coverage, 50513,
     /* 2371569 */     GIR_EraseRootFromParent_Done,
     /* 2371570 */   // Label 33370: @2371570
     /* 2371570 */   GIM_Reject,
     /* 2371571 */ // Label 33368: @2371571
     /* 2371571 */ GIM_Reject,
     /* 2371572 */ // Label 33332: @2371572
     /* 2371572 */ GIM_Try, /*On fail goto*//*Label 33371*/ GIMT_Encode4(2371686),
     /* 2371577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2371580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2371583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371591 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371595 */   GIM_Try, /*On fail goto*//*Label 33372*/ GIMT_Encode4(2371640), // Rule ID 50524 //
     /* 2371600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371603 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2371606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2371620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371639 */     // GIR_Coverage, 50524,
     /* 2371639 */     GIR_EraseRootFromParent_Done,
     /* 2371640 */   // Label 33372: @2371640
     /* 2371640 */   GIM_Try, /*On fail goto*//*Label 33373*/ GIMT_Encode4(2371685), // Rule ID 50525 //
     /* 2371645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371648 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2371651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2371665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371684 */     // GIR_Coverage, 50525,
     /* 2371684 */     GIR_EraseRootFromParent_Done,
     /* 2371685 */   // Label 33373: @2371685
     /* 2371685 */   GIM_Reject,
     /* 2371686 */ // Label 33371: @2371686
     /* 2371686 */ GIM_Reject,
     /* 2371687 */ // Label 33333: @2371687
     /* 2371687 */ GIM_Try, /*On fail goto*//*Label 33374*/ GIMT_Encode4(2371801),
     /* 2371692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2371695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2371698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371706 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371710 */   GIM_Try, /*On fail goto*//*Label 33375*/ GIMT_Encode4(2371755), // Rule ID 50540 //
     /* 2371715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371718 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2371721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2371735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371754 */     // GIR_Coverage, 50540,
     /* 2371754 */     GIR_EraseRootFromParent_Done,
     /* 2371755 */   // Label 33375: @2371755
     /* 2371755 */   GIM_Try, /*On fail goto*//*Label 33376*/ GIMT_Encode4(2371800), // Rule ID 50541 //
     /* 2371760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371763 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2371766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2371780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371799 */     // GIR_Coverage, 50541,
     /* 2371799 */     GIR_EraseRootFromParent_Done,
     /* 2371800 */   // Label 33376: @2371800
     /* 2371800 */   GIM_Reject,
     /* 2371801 */ // Label 33374: @2371801
     /* 2371801 */ GIM_Reject,
     /* 2371802 */ // Label 33334: @2371802
     /* 2371802 */ GIM_Try, /*On fail goto*//*Label 33377*/ GIMT_Encode4(2371916),
     /* 2371807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2371810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2371813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371825 */   GIM_Try, /*On fail goto*//*Label 33378*/ GIMT_Encode4(2371870), // Rule ID 50584 //
     /* 2371830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2371833 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2371836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2371850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371869 */     // GIR_Coverage, 50584,
     /* 2371869 */     GIR_EraseRootFromParent_Done,
     /* 2371870 */   // Label 33378: @2371870
     /* 2371870 */   GIM_Try, /*On fail goto*//*Label 33379*/ GIMT_Encode4(2371915), // Rule ID 50585 //
     /* 2371875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2371878 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2371881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2371895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371914 */     // GIR_Coverage, 50585,
     /* 2371914 */     GIR_EraseRootFromParent_Done,
     /* 2371915 */   // Label 33379: @2371915
     /* 2371915 */   GIM_Reject,
     /* 2371916 */ // Label 33377: @2371916
     /* 2371916 */ GIM_Reject,
     /* 2371917 */ // Label 33335: @2371917
     /* 2371917 */ GIM_Try, /*On fail goto*//*Label 33380*/ GIMT_Encode4(2372031),
     /* 2371922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2371925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2371928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371940 */   GIM_Try, /*On fail goto*//*Label 33381*/ GIMT_Encode4(2371985), // Rule ID 50516 //
     /* 2371945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371948 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2371951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2371965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371984 */     // GIR_Coverage, 50516,
     /* 2371984 */     GIR_EraseRootFromParent_Done,
     /* 2371985 */   // Label 33381: @2371985
     /* 2371985 */   GIM_Try, /*On fail goto*//*Label 33382*/ GIMT_Encode4(2372030), // Rule ID 50517 //
     /* 2371990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371993 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2371996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2372010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372029 */     // GIR_Coverage, 50517,
     /* 2372029 */     GIR_EraseRootFromParent_Done,
     /* 2372030 */   // Label 33382: @2372030
     /* 2372030 */   GIM_Reject,
     /* 2372031 */ // Label 33380: @2372031
     /* 2372031 */ GIM_Reject,
     /* 2372032 */ // Label 33336: @2372032
     /* 2372032 */ GIM_Try, /*On fail goto*//*Label 33383*/ GIMT_Encode4(2372146),
     /* 2372037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2372040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2372043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372055 */   GIM_Try, /*On fail goto*//*Label 33384*/ GIMT_Encode4(2372100), // Rule ID 50536 //
     /* 2372060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372063 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2372066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2372080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372099 */     // GIR_Coverage, 50536,
     /* 2372099 */     GIR_EraseRootFromParent_Done,
     /* 2372100 */   // Label 33384: @2372100
     /* 2372100 */   GIM_Try, /*On fail goto*//*Label 33385*/ GIMT_Encode4(2372145), // Rule ID 50537 //
     /* 2372105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372108 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2372111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2372125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372144 */     // GIR_Coverage, 50537,
     /* 2372144 */     GIR_EraseRootFromParent_Done,
     /* 2372145 */   // Label 33385: @2372145
     /* 2372145 */   GIM_Reject,
     /* 2372146 */ // Label 33383: @2372146
     /* 2372146 */ GIM_Reject,
     /* 2372147 */ // Label 33337: @2372147
     /* 2372147 */ GIM_Try, /*On fail goto*//*Label 33386*/ GIMT_Encode4(2372261),
     /* 2372152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2372155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2372158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372166 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372170 */   GIM_Try, /*On fail goto*//*Label 33387*/ GIMT_Encode4(2372215), // Rule ID 50572 //
     /* 2372175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372178 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2372181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2372195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372214 */     // GIR_Coverage, 50572,
     /* 2372214 */     GIR_EraseRootFromParent_Done,
     /* 2372215 */   // Label 33387: @2372215
     /* 2372215 */   GIM_Try, /*On fail goto*//*Label 33388*/ GIMT_Encode4(2372260), // Rule ID 50573 //
     /* 2372220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372223 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2372226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2372240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372259 */     // GIR_Coverage, 50573,
     /* 2372259 */     GIR_EraseRootFromParent_Done,
     /* 2372260 */   // Label 33388: @2372260
     /* 2372260 */   GIM_Reject,
     /* 2372261 */ // Label 33386: @2372261
     /* 2372261 */ GIM_Reject,
     /* 2372262 */ // Label 33338: @2372262
     /* 2372262 */ GIM_Try, /*On fail goto*//*Label 33389*/ GIMT_Encode4(2372376),
     /* 2372267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2372270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2372273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372281 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372285 */   GIM_Try, /*On fail goto*//*Label 33390*/ GIMT_Encode4(2372330), // Rule ID 50588 //
     /* 2372290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2372293 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2372296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2372310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372329 */     // GIR_Coverage, 50588,
     /* 2372329 */     GIR_EraseRootFromParent_Done,
     /* 2372330 */   // Label 33390: @2372330
     /* 2372330 */   GIM_Try, /*On fail goto*//*Label 33391*/ GIMT_Encode4(2372375), // Rule ID 50589 //
     /* 2372335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2372338 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2372341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2372355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372374 */     // GIR_Coverage, 50589,
     /* 2372374 */     GIR_EraseRootFromParent_Done,
     /* 2372375 */   // Label 33391: @2372375
     /* 2372375 */   GIM_Reject,
     /* 2372376 */ // Label 33389: @2372376
     /* 2372376 */ GIM_Reject,
     /* 2372377 */ // Label 33339: @2372377
     /* 2372377 */ GIM_Try, /*On fail goto*//*Label 33392*/ GIMT_Encode4(2372491),
     /* 2372382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2372385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2372388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372396 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372400 */   GIM_Try, /*On fail goto*//*Label 33393*/ GIMT_Encode4(2372445), // Rule ID 50532 //
     /* 2372405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372408 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2372411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2372425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372444 */     // GIR_Coverage, 50532,
     /* 2372444 */     GIR_EraseRootFromParent_Done,
     /* 2372445 */   // Label 33393: @2372445
     /* 2372445 */   GIM_Try, /*On fail goto*//*Label 33394*/ GIMT_Encode4(2372490), // Rule ID 50533 //
     /* 2372450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372453 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2372456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2372470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372489 */     // GIR_Coverage, 50533,
     /* 2372489 */     GIR_EraseRootFromParent_Done,
     /* 2372490 */   // Label 33394: @2372490
     /* 2372490 */   GIM_Reject,
     /* 2372491 */ // Label 33392: @2372491
     /* 2372491 */ GIM_Reject,
     /* 2372492 */ // Label 33340: @2372492
     /* 2372492 */ GIM_Try, /*On fail goto*//*Label 33395*/ GIMT_Encode4(2372606),
     /* 2372497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2372500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2372503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372515 */   GIM_Try, /*On fail goto*//*Label 33396*/ GIMT_Encode4(2372560), // Rule ID 50560 //
     /* 2372520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372523 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2372526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2372540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372559 */     // GIR_Coverage, 50560,
     /* 2372559 */     GIR_EraseRootFromParent_Done,
     /* 2372560 */   // Label 33396: @2372560
     /* 2372560 */   GIM_Try, /*On fail goto*//*Label 33397*/ GIMT_Encode4(2372605), // Rule ID 50561 //
     /* 2372565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372568 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2372571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2372585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372604 */     // GIR_Coverage, 50561,
     /* 2372604 */     GIR_EraseRootFromParent_Done,
     /* 2372605 */   // Label 33397: @2372605
     /* 2372605 */   GIM_Reject,
     /* 2372606 */ // Label 33395: @2372606
     /* 2372606 */ GIM_Reject,
     /* 2372607 */ // Label 33341: @2372607
     /* 2372607 */ GIM_Try, /*On fail goto*//*Label 33398*/ GIMT_Encode4(2372721),
     /* 2372612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2372615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2372618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372626 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372630 */   GIM_Try, /*On fail goto*//*Label 33399*/ GIMT_Encode4(2372675), // Rule ID 50576 //
     /* 2372635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372638 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2372641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2372655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372674 */     // GIR_Coverage, 50576,
     /* 2372674 */     GIR_EraseRootFromParent_Done,
     /* 2372675 */   // Label 33399: @2372675
     /* 2372675 */   GIM_Try, /*On fail goto*//*Label 33400*/ GIMT_Encode4(2372720), // Rule ID 50577 //
     /* 2372680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372683 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2372686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2372700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372719 */     // GIR_Coverage, 50577,
     /* 2372719 */     GIR_EraseRootFromParent_Done,
     /* 2372720 */   // Label 33400: @2372720
     /* 2372720 */   GIM_Reject,
     /* 2372721 */ // Label 33398: @2372721
     /* 2372721 */ GIM_Reject,
     /* 2372722 */ // Label 33342: @2372722
     /* 2372722 */ GIM_Try, /*On fail goto*//*Label 33401*/ GIMT_Encode4(2372836),
     /* 2372727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2372730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2372733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372745 */   GIM_Try, /*On fail goto*//*Label 33402*/ GIMT_Encode4(2372790), // Rule ID 50592 //
     /* 2372750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2372753 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2372756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2372770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372789 */     // GIR_Coverage, 50592,
     /* 2372789 */     GIR_EraseRootFromParent_Done,
     /* 2372790 */   // Label 33402: @2372790
     /* 2372790 */   GIM_Try, /*On fail goto*//*Label 33403*/ GIMT_Encode4(2372835), // Rule ID 50593 //
     /* 2372795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2372798 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2372801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2372815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372834 */     // GIR_Coverage, 50593,
     /* 2372834 */     GIR_EraseRootFromParent_Done,
     /* 2372835 */   // Label 33403: @2372835
     /* 2372835 */   GIM_Reject,
     /* 2372836 */ // Label 33401: @2372836
     /* 2372836 */ GIM_Reject,
     /* 2372837 */ // Label 33343: @2372837
     /* 2372837 */ GIM_Try, /*On fail goto*//*Label 33404*/ GIMT_Encode4(2372951),
     /* 2372842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2372845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2372848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372860 */   GIM_Try, /*On fail goto*//*Label 33405*/ GIMT_Encode4(2372905), // Rule ID 50548 //
     /* 2372865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372868 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2372871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2372885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372904 */     // GIR_Coverage, 50548,
     /* 2372904 */     GIR_EraseRootFromParent_Done,
     /* 2372905 */   // Label 33405: @2372905
     /* 2372905 */   GIM_Try, /*On fail goto*//*Label 33406*/ GIMT_Encode4(2372950), // Rule ID 50549 //
     /* 2372910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372913 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2372916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2372930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372949 */     // GIR_Coverage, 50549,
     /* 2372949 */     GIR_EraseRootFromParent_Done,
     /* 2372950 */   // Label 33406: @2372950
     /* 2372950 */   GIM_Reject,
     /* 2372951 */ // Label 33404: @2372951
     /* 2372951 */ GIM_Reject,
     /* 2372952 */ // Label 33344: @2372952
     /* 2372952 */ GIM_Try, /*On fail goto*//*Label 33407*/ GIMT_Encode4(2373066),
     /* 2372957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2372960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2372963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372975 */   GIM_Try, /*On fail goto*//*Label 33408*/ GIMT_Encode4(2373020), // Rule ID 50564 //
     /* 2372980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372983 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2372986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2373000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373019 */     // GIR_Coverage, 50564,
     /* 2373019 */     GIR_EraseRootFromParent_Done,
     /* 2373020 */   // Label 33408: @2373020
     /* 2373020 */   GIM_Try, /*On fail goto*//*Label 33409*/ GIMT_Encode4(2373065), // Rule ID 50565 //
     /* 2373025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373028 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2373031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2373045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373064 */     // GIR_Coverage, 50565,
     /* 2373064 */     GIR_EraseRootFromParent_Done,
     /* 2373065 */   // Label 33409: @2373065
     /* 2373065 */   GIM_Reject,
     /* 2373066 */ // Label 33407: @2373066
     /* 2373066 */ GIM_Reject,
     /* 2373067 */ // Label 33345: @2373067
     /* 2373067 */ GIM_Try, /*On fail goto*//*Label 33410*/ GIMT_Encode4(2373181),
     /* 2373072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2373075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2373078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373090 */   GIM_Try, /*On fail goto*//*Label 33411*/ GIMT_Encode4(2373135), // Rule ID 50580 //
     /* 2373095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373098 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2373101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2373115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373134 */     // GIR_Coverage, 50580,
     /* 2373134 */     GIR_EraseRootFromParent_Done,
     /* 2373135 */   // Label 33411: @2373135
     /* 2373135 */   GIM_Try, /*On fail goto*//*Label 33412*/ GIMT_Encode4(2373180), // Rule ID 50581 //
     /* 2373140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373143 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2373146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2373160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373179 */     // GIR_Coverage, 50581,
     /* 2373179 */     GIR_EraseRootFromParent_Done,
     /* 2373180 */   // Label 33412: @2373180
     /* 2373180 */   GIM_Reject,
     /* 2373181 */ // Label 33410: @2373181
     /* 2373181 */ GIM_Reject,
     /* 2373182 */ // Label 33346: @2373182
     /* 2373182 */ GIM_Try, /*On fail goto*//*Label 33413*/ GIMT_Encode4(2373296),
     /* 2373187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2373190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2373193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373205 */   GIM_Try, /*On fail goto*//*Label 33414*/ GIMT_Encode4(2373250), // Rule ID 50552 //
     /* 2373210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373213 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2373216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2373230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373249 */     // GIR_Coverage, 50552,
     /* 2373249 */     GIR_EraseRootFromParent_Done,
     /* 2373250 */   // Label 33414: @2373250
     /* 2373250 */   GIM_Try, /*On fail goto*//*Label 33415*/ GIMT_Encode4(2373295), // Rule ID 50553 //
     /* 2373255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373258 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2373261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2373275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373294 */     // GIR_Coverage, 50553,
     /* 2373294 */     GIR_EraseRootFromParent_Done,
     /* 2373295 */   // Label 33415: @2373295
     /* 2373295 */   GIM_Reject,
     /* 2373296 */ // Label 33413: @2373296
     /* 2373296 */ GIM_Reject,
     /* 2373297 */ // Label 33347: @2373297
     /* 2373297 */ GIM_Try, /*On fail goto*//*Label 33416*/ GIMT_Encode4(2373411),
     /* 2373302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2373305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2373308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373320 */   GIM_Try, /*On fail goto*//*Label 33417*/ GIMT_Encode4(2373365), // Rule ID 50568 //
     /* 2373325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373328 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2373331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2373345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373364 */     // GIR_Coverage, 50568,
     /* 2373364 */     GIR_EraseRootFromParent_Done,
     /* 2373365 */   // Label 33417: @2373365
     /* 2373365 */   GIM_Try, /*On fail goto*//*Label 33418*/ GIMT_Encode4(2373410), // Rule ID 50569 //
     /* 2373370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373373 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2373376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2373390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373409 */     // GIR_Coverage, 50569,
     /* 2373409 */     GIR_EraseRootFromParent_Done,
     /* 2373410 */   // Label 33418: @2373410
     /* 2373410 */   GIM_Reject,
     /* 2373411 */ // Label 33416: @2373411
     /* 2373411 */ GIM_Reject,
     /* 2373412 */ // Label 33348: @2373412
     /* 2373412 */ GIM_Try, /*On fail goto*//*Label 33419*/ GIMT_Encode4(2373526),
     /* 2373417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2373420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2373423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373435 */   GIM_Try, /*On fail goto*//*Label 33420*/ GIMT_Encode4(2373480), // Rule ID 50556 //
     /* 2373440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373443 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2373446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2373460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373479 */     // GIR_Coverage, 50556,
     /* 2373479 */     GIR_EraseRootFromParent_Done,
     /* 2373480 */   // Label 33420: @2373480
     /* 2373480 */   GIM_Try, /*On fail goto*//*Label 33421*/ GIMT_Encode4(2373525), // Rule ID 50557 //
     /* 2373485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373488 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2373491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2373505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373524 */     // GIR_Coverage, 50557,
     /* 2373524 */     GIR_EraseRootFromParent_Done,
     /* 2373525 */   // Label 33421: @2373525
     /* 2373525 */   GIM_Reject,
     /* 2373526 */ // Label 33419: @2373526
     /* 2373526 */ GIM_Reject,
     /* 2373527 */ // Label 33349: @2373527
     /* 2373527 */ GIM_Reject,
     /* 2373528 */ // Label 83: @2373528
     /* 2373528 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33446*/ GIMT_Encode4(2376303),
     /* 2373539 */ /*GILLT_s32*//*Label 33422*/ GIMT_Encode4(2373663),
     /* 2373543 */ /*GILLT_s64*//*Label 33423*/ GIMT_Encode4(2373718), GIMT_Encode4(0),
     /* 2373551 */ /*GILLT_nxv1s8*//*Label 33424*/ GIMT_Encode4(2373773),
     /* 2373555 */ /*GILLT_nxv1s16*//*Label 33425*/ GIMT_Encode4(2373888),
     /* 2373559 */ /*GILLT_nxv1s32*//*Label 33426*/ GIMT_Encode4(2374003),
     /* 2373563 */ /*GILLT_nxv1s64*//*Label 33427*/ GIMT_Encode4(2374118), GIMT_Encode4(0),
     /* 2373571 */ /*GILLT_nxv2s8*//*Label 33428*/ GIMT_Encode4(2374233),
     /* 2373575 */ /*GILLT_nxv2s16*//*Label 33429*/ GIMT_Encode4(2374348),
     /* 2373579 */ /*GILLT_nxv2s32*//*Label 33430*/ GIMT_Encode4(2374463),
     /* 2373583 */ /*GILLT_nxv2s64*//*Label 33431*/ GIMT_Encode4(2374578), GIMT_Encode4(0),
     /* 2373591 */ /*GILLT_nxv4s8*//*Label 33432*/ GIMT_Encode4(2374693),
     /* 2373595 */ /*GILLT_nxv4s16*//*Label 33433*/ GIMT_Encode4(2374808),
     /* 2373599 */ /*GILLT_nxv4s32*//*Label 33434*/ GIMT_Encode4(2374923),
     /* 2373603 */ /*GILLT_nxv4s64*//*Label 33435*/ GIMT_Encode4(2375038), GIMT_Encode4(0),
     /* 2373611 */ /*GILLT_nxv8s8*//*Label 33436*/ GIMT_Encode4(2375153),
     /* 2373615 */ /*GILLT_nxv8s16*//*Label 33437*/ GIMT_Encode4(2375268),
     /* 2373619 */ /*GILLT_nxv8s32*//*Label 33438*/ GIMT_Encode4(2375383),
     /* 2373623 */ /*GILLT_nxv8s64*//*Label 33439*/ GIMT_Encode4(2375498), GIMT_Encode4(0),
     /* 2373631 */ /*GILLT_nxv16s8*//*Label 33440*/ GIMT_Encode4(2375613),
     /* 2373635 */ /*GILLT_nxv16s16*//*Label 33441*/ GIMT_Encode4(2375728),
     /* 2373639 */ /*GILLT_nxv16s32*//*Label 33442*/ GIMT_Encode4(2375843), GIMT_Encode4(0),
     /* 2373647 */ /*GILLT_nxv32s8*//*Label 33443*/ GIMT_Encode4(2375958),
     /* 2373651 */ /*GILLT_nxv32s16*//*Label 33444*/ GIMT_Encode4(2376073), GIMT_Encode4(0),
     /* 2373659 */ /*GILLT_nxv64s8*//*Label 33445*/ GIMT_Encode4(2376188),
     /* 2373663 */ // Label 33422: @2373663
     /* 2373663 */ GIM_Try, /*On fail goto*//*Label 33447*/ GIMT_Encode4(2373717),
     /* 2373668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2373671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2373674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2373678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2373682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2373686 */   GIM_Try, /*On fail goto*//*Label 33448*/ GIMT_Encode4(2373701), // Rule ID 64472 //
     /* 2373691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2373694 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2373694 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2373699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373700 */     // GIR_Coverage, 64472,
     /* 2373700 */     GIR_Done,
     /* 2373701 */   // Label 33448: @2373701
     /* 2373701 */   GIM_Try, /*On fail goto*//*Label 33449*/ GIMT_Encode4(2373716), // Rule ID 2537 //
     /* 2373706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2373709 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2373709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2373714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373715 */     // GIR_Coverage, 2537,
     /* 2373715 */     GIR_Done,
     /* 2373716 */   // Label 33449: @2373716
     /* 2373716 */   GIM_Reject,
     /* 2373717 */ // Label 33447: @2373717
     /* 2373717 */ GIM_Reject,
     /* 2373718 */ // Label 33423: @2373718
     /* 2373718 */ GIM_Try, /*On fail goto*//*Label 33450*/ GIMT_Encode4(2373772),
     /* 2373723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2373726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2373729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2373733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2373737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2373741 */   GIM_Try, /*On fail goto*//*Label 33451*/ GIMT_Encode4(2373756), // Rule ID 64471 //
     /* 2373746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2373749 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2373749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2373754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373755 */     // GIR_Coverage, 64471,
     /* 2373755 */     GIR_Done,
     /* 2373756 */   // Label 33451: @2373756
     /* 2373756 */   GIM_Try, /*On fail goto*//*Label 33452*/ GIMT_Encode4(2373771), // Rule ID 2536 //
     /* 2373761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2373764 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2373764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2373769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373770 */     // GIR_Coverage, 2536,
     /* 2373770 */     GIR_Done,
     /* 2373771 */   // Label 33452: @2373771
     /* 2373771 */   GIM_Reject,
     /* 2373772 */ // Label 33450: @2373772
     /* 2373772 */ GIM_Reject,
     /* 2373773 */ // Label 33424: @2373773
     /* 2373773 */ GIM_Try, /*On fail goto*//*Label 33453*/ GIMT_Encode4(2373887),
     /* 2373778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2373781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2373784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373796 */   GIM_Try, /*On fail goto*//*Label 33454*/ GIMT_Encode4(2373841), // Rule ID 50684 //
     /* 2373801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373804 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2373807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2373821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373840 */     // GIR_Coverage, 50684,
     /* 2373840 */     GIR_EraseRootFromParent_Done,
     /* 2373841 */   // Label 33454: @2373841
     /* 2373841 */   GIM_Try, /*On fail goto*//*Label 33455*/ GIMT_Encode4(2373886), // Rule ID 50685 //
     /* 2373846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373849 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2373852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2373866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373885 */     // GIR_Coverage, 50685,
     /* 2373885 */     GIR_EraseRootFromParent_Done,
     /* 2373886 */   // Label 33455: @2373886
     /* 2373886 */   GIM_Reject,
     /* 2373887 */ // Label 33453: @2373887
     /* 2373887 */ GIM_Reject,
     /* 2373888 */ // Label 33425: @2373888
     /* 2373888 */ GIM_Try, /*On fail goto*//*Label 33456*/ GIMT_Encode4(2374002),
     /* 2373893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2373896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2373899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373911 */   GIM_Try, /*On fail goto*//*Label 33457*/ GIMT_Encode4(2373956), // Rule ID 50696 //
     /* 2373916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373919 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2373922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2373936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373955 */     // GIR_Coverage, 50696,
     /* 2373955 */     GIR_EraseRootFromParent_Done,
     /* 2373956 */   // Label 33457: @2373956
     /* 2373956 */   GIM_Try, /*On fail goto*//*Label 33458*/ GIMT_Encode4(2374001), // Rule ID 50697 //
     /* 2373961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373964 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2373967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2373981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374000 */     // GIR_Coverage, 50697,
     /* 2374000 */     GIR_EraseRootFromParent_Done,
     /* 2374001 */   // Label 33458: @2374001
     /* 2374001 */   GIM_Reject,
     /* 2374002 */ // Label 33456: @2374002
     /* 2374002 */ GIM_Reject,
     /* 2374003 */ // Label 33426: @2374003
     /* 2374003 */ GIM_Try, /*On fail goto*//*Label 33459*/ GIMT_Encode4(2374117),
     /* 2374008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2374011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2374014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374022 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374026 */   GIM_Try, /*On fail goto*//*Label 33460*/ GIMT_Encode4(2374071), // Rule ID 50704 //
     /* 2374031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374034 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2374037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2374051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374070 */     // GIR_Coverage, 50704,
     /* 2374070 */     GIR_EraseRootFromParent_Done,
     /* 2374071 */   // Label 33460: @2374071
     /* 2374071 */   GIM_Try, /*On fail goto*//*Label 33461*/ GIMT_Encode4(2374116), // Rule ID 50705 //
     /* 2374076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374079 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2374082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2374096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374115 */     // GIR_Coverage, 50705,
     /* 2374115 */     GIR_EraseRootFromParent_Done,
     /* 2374116 */   // Label 33461: @2374116
     /* 2374116 */   GIM_Reject,
     /* 2374117 */ // Label 33459: @2374117
     /* 2374117 */ GIM_Reject,
     /* 2374118 */ // Label 33427: @2374118
     /* 2374118 */ GIM_Try, /*On fail goto*//*Label 33462*/ GIMT_Encode4(2374232),
     /* 2374123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2374126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2374129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374137 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374141 */   GIM_Try, /*On fail goto*//*Label 33463*/ GIMT_Encode4(2374186), // Rule ID 50720 //
     /* 2374146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2374149 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2374152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2374166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374185 */     // GIR_Coverage, 50720,
     /* 2374185 */     GIR_EraseRootFromParent_Done,
     /* 2374186 */   // Label 33463: @2374186
     /* 2374186 */   GIM_Try, /*On fail goto*//*Label 33464*/ GIMT_Encode4(2374231), // Rule ID 50721 //
     /* 2374191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2374194 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2374197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2374211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374230 */     // GIR_Coverage, 50721,
     /* 2374230 */     GIR_EraseRootFromParent_Done,
     /* 2374231 */   // Label 33464: @2374231
     /* 2374231 */   GIM_Reject,
     /* 2374232 */ // Label 33462: @2374232
     /* 2374232 */ GIM_Reject,
     /* 2374233 */ // Label 33428: @2374233
     /* 2374233 */ GIM_Try, /*On fail goto*//*Label 33465*/ GIMT_Encode4(2374347),
     /* 2374238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2374241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2374244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374256 */   GIM_Try, /*On fail goto*//*Label 33466*/ GIMT_Encode4(2374301), // Rule ID 50688 //
     /* 2374261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374264 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2374267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2374281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374300 */     // GIR_Coverage, 50688,
     /* 2374300 */     GIR_EraseRootFromParent_Done,
     /* 2374301 */   // Label 33466: @2374301
     /* 2374301 */   GIM_Try, /*On fail goto*//*Label 33467*/ GIMT_Encode4(2374346), // Rule ID 50689 //
     /* 2374306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374309 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2374312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2374326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374345 */     // GIR_Coverage, 50689,
     /* 2374345 */     GIR_EraseRootFromParent_Done,
     /* 2374346 */   // Label 33467: @2374346
     /* 2374346 */   GIM_Reject,
     /* 2374347 */ // Label 33465: @2374347
     /* 2374347 */ GIM_Reject,
     /* 2374348 */ // Label 33429: @2374348
     /* 2374348 */ GIM_Try, /*On fail goto*//*Label 33468*/ GIMT_Encode4(2374462),
     /* 2374353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2374356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2374359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374367 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374371 */   GIM_Try, /*On fail goto*//*Label 33469*/ GIMT_Encode4(2374416), // Rule ID 50700 //
     /* 2374376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374379 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2374382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2374396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374415 */     // GIR_Coverage, 50700,
     /* 2374415 */     GIR_EraseRootFromParent_Done,
     /* 2374416 */   // Label 33469: @2374416
     /* 2374416 */   GIM_Try, /*On fail goto*//*Label 33470*/ GIMT_Encode4(2374461), // Rule ID 50701 //
     /* 2374421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374424 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2374427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2374441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374460 */     // GIR_Coverage, 50701,
     /* 2374460 */     GIR_EraseRootFromParent_Done,
     /* 2374461 */   // Label 33470: @2374461
     /* 2374461 */   GIM_Reject,
     /* 2374462 */ // Label 33468: @2374462
     /* 2374462 */ GIM_Reject,
     /* 2374463 */ // Label 33430: @2374463
     /* 2374463 */ GIM_Try, /*On fail goto*//*Label 33471*/ GIMT_Encode4(2374577),
     /* 2374468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2374471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2374474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374486 */   GIM_Try, /*On fail goto*//*Label 33472*/ GIMT_Encode4(2374531), // Rule ID 50716 //
     /* 2374491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374494 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2374497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2374511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374530 */     // GIR_Coverage, 50716,
     /* 2374530 */     GIR_EraseRootFromParent_Done,
     /* 2374531 */   // Label 33472: @2374531
     /* 2374531 */   GIM_Try, /*On fail goto*//*Label 33473*/ GIMT_Encode4(2374576), // Rule ID 50717 //
     /* 2374536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374539 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2374542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2374556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374575 */     // GIR_Coverage, 50717,
     /* 2374575 */     GIR_EraseRootFromParent_Done,
     /* 2374576 */   // Label 33473: @2374576
     /* 2374576 */   GIM_Reject,
     /* 2374577 */ // Label 33471: @2374577
     /* 2374577 */ GIM_Reject,
     /* 2374578 */ // Label 33431: @2374578
     /* 2374578 */ GIM_Try, /*On fail goto*//*Label 33474*/ GIMT_Encode4(2374692),
     /* 2374583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2374586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2374589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374601 */   GIM_Try, /*On fail goto*//*Label 33475*/ GIMT_Encode4(2374646), // Rule ID 50760 //
     /* 2374606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2374609 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2374612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2374626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374645 */     // GIR_Coverage, 50760,
     /* 2374645 */     GIR_EraseRootFromParent_Done,
     /* 2374646 */   // Label 33475: @2374646
     /* 2374646 */   GIM_Try, /*On fail goto*//*Label 33476*/ GIMT_Encode4(2374691), // Rule ID 50761 //
     /* 2374651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2374654 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2374657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2374671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374690 */     // GIR_Coverage, 50761,
     /* 2374690 */     GIR_EraseRootFromParent_Done,
     /* 2374691 */   // Label 33476: @2374691
     /* 2374691 */   GIM_Reject,
     /* 2374692 */ // Label 33474: @2374692
     /* 2374692 */ GIM_Reject,
     /* 2374693 */ // Label 33432: @2374693
     /* 2374693 */ GIM_Try, /*On fail goto*//*Label 33477*/ GIMT_Encode4(2374807),
     /* 2374698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2374701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2374704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374716 */   GIM_Try, /*On fail goto*//*Label 33478*/ GIMT_Encode4(2374761), // Rule ID 50692 //
     /* 2374721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374724 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2374727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2374741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374760 */     // GIR_Coverage, 50692,
     /* 2374760 */     GIR_EraseRootFromParent_Done,
     /* 2374761 */   // Label 33478: @2374761
     /* 2374761 */   GIM_Try, /*On fail goto*//*Label 33479*/ GIMT_Encode4(2374806), // Rule ID 50693 //
     /* 2374766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374769 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2374772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2374786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374805 */     // GIR_Coverage, 50693,
     /* 2374805 */     GIR_EraseRootFromParent_Done,
     /* 2374806 */   // Label 33479: @2374806
     /* 2374806 */   GIM_Reject,
     /* 2374807 */ // Label 33477: @2374807
     /* 2374807 */ GIM_Reject,
     /* 2374808 */ // Label 33433: @2374808
     /* 2374808 */ GIM_Try, /*On fail goto*//*Label 33480*/ GIMT_Encode4(2374922),
     /* 2374813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2374816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2374819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374831 */   GIM_Try, /*On fail goto*//*Label 33481*/ GIMT_Encode4(2374876), // Rule ID 50712 //
     /* 2374836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374839 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2374842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2374856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374875 */     // GIR_Coverage, 50712,
     /* 2374875 */     GIR_EraseRootFromParent_Done,
     /* 2374876 */   // Label 33481: @2374876
     /* 2374876 */   GIM_Try, /*On fail goto*//*Label 33482*/ GIMT_Encode4(2374921), // Rule ID 50713 //
     /* 2374881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374884 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2374887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2374901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374920 */     // GIR_Coverage, 50713,
     /* 2374920 */     GIR_EraseRootFromParent_Done,
     /* 2374921 */   // Label 33482: @2374921
     /* 2374921 */   GIM_Reject,
     /* 2374922 */ // Label 33480: @2374922
     /* 2374922 */ GIM_Reject,
     /* 2374923 */ // Label 33434: @2374923
     /* 2374923 */ GIM_Try, /*On fail goto*//*Label 33483*/ GIMT_Encode4(2375037),
     /* 2374928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2374931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2374934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374946 */   GIM_Try, /*On fail goto*//*Label 33484*/ GIMT_Encode4(2374991), // Rule ID 50748 //
     /* 2374951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374954 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2374957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2374971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374990 */     // GIR_Coverage, 50748,
     /* 2374990 */     GIR_EraseRootFromParent_Done,
     /* 2374991 */   // Label 33484: @2374991
     /* 2374991 */   GIM_Try, /*On fail goto*//*Label 33485*/ GIMT_Encode4(2375036), // Rule ID 50749 //
     /* 2374996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374999 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2375002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2375016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375035 */     // GIR_Coverage, 50749,
     /* 2375035 */     GIR_EraseRootFromParent_Done,
     /* 2375036 */   // Label 33485: @2375036
     /* 2375036 */   GIM_Reject,
     /* 2375037 */ // Label 33483: @2375037
     /* 2375037 */ GIM_Reject,
     /* 2375038 */ // Label 33435: @2375038
     /* 2375038 */ GIM_Try, /*On fail goto*//*Label 33486*/ GIMT_Encode4(2375152),
     /* 2375043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2375046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2375049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375061 */   GIM_Try, /*On fail goto*//*Label 33487*/ GIMT_Encode4(2375106), // Rule ID 50764 //
     /* 2375066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2375069 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2375072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2375086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375105 */     // GIR_Coverage, 50764,
     /* 2375105 */     GIR_EraseRootFromParent_Done,
     /* 2375106 */   // Label 33487: @2375106
     /* 2375106 */   GIM_Try, /*On fail goto*//*Label 33488*/ GIMT_Encode4(2375151), // Rule ID 50765 //
     /* 2375111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2375114 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2375117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2375131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375150 */     // GIR_Coverage, 50765,
     /* 2375150 */     GIR_EraseRootFromParent_Done,
     /* 2375151 */   // Label 33488: @2375151
     /* 2375151 */   GIM_Reject,
     /* 2375152 */ // Label 33486: @2375152
     /* 2375152 */ GIM_Reject,
     /* 2375153 */ // Label 33436: @2375153
     /* 2375153 */ GIM_Try, /*On fail goto*//*Label 33489*/ GIMT_Encode4(2375267),
     /* 2375158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2375161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2375164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375176 */   GIM_Try, /*On fail goto*//*Label 33490*/ GIMT_Encode4(2375221), // Rule ID 50708 //
     /* 2375181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375184 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2375187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2375201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375220 */     // GIR_Coverage, 50708,
     /* 2375220 */     GIR_EraseRootFromParent_Done,
     /* 2375221 */   // Label 33490: @2375221
     /* 2375221 */   GIM_Try, /*On fail goto*//*Label 33491*/ GIMT_Encode4(2375266), // Rule ID 50709 //
     /* 2375226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375229 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2375232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2375246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375265 */     // GIR_Coverage, 50709,
     /* 2375265 */     GIR_EraseRootFromParent_Done,
     /* 2375266 */   // Label 33491: @2375266
     /* 2375266 */   GIM_Reject,
     /* 2375267 */ // Label 33489: @2375267
     /* 2375267 */ GIM_Reject,
     /* 2375268 */ // Label 33437: @2375268
     /* 2375268 */ GIM_Try, /*On fail goto*//*Label 33492*/ GIMT_Encode4(2375382),
     /* 2375273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2375276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2375279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375291 */   GIM_Try, /*On fail goto*//*Label 33493*/ GIMT_Encode4(2375336), // Rule ID 50736 //
     /* 2375296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375299 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2375302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2375316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375335 */     // GIR_Coverage, 50736,
     /* 2375335 */     GIR_EraseRootFromParent_Done,
     /* 2375336 */   // Label 33493: @2375336
     /* 2375336 */   GIM_Try, /*On fail goto*//*Label 33494*/ GIMT_Encode4(2375381), // Rule ID 50737 //
     /* 2375341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375344 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2375347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2375361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375380 */     // GIR_Coverage, 50737,
     /* 2375380 */     GIR_EraseRootFromParent_Done,
     /* 2375381 */   // Label 33494: @2375381
     /* 2375381 */   GIM_Reject,
     /* 2375382 */ // Label 33492: @2375382
     /* 2375382 */ GIM_Reject,
     /* 2375383 */ // Label 33438: @2375383
     /* 2375383 */ GIM_Try, /*On fail goto*//*Label 33495*/ GIMT_Encode4(2375497),
     /* 2375388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2375391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2375394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375406 */   GIM_Try, /*On fail goto*//*Label 33496*/ GIMT_Encode4(2375451), // Rule ID 50752 //
     /* 2375411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375414 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2375417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2375431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375450 */     // GIR_Coverage, 50752,
     /* 2375450 */     GIR_EraseRootFromParent_Done,
     /* 2375451 */   // Label 33496: @2375451
     /* 2375451 */   GIM_Try, /*On fail goto*//*Label 33497*/ GIMT_Encode4(2375496), // Rule ID 50753 //
     /* 2375456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375459 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2375462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2375476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375495 */     // GIR_Coverage, 50753,
     /* 2375495 */     GIR_EraseRootFromParent_Done,
     /* 2375496 */   // Label 33497: @2375496
     /* 2375496 */   GIM_Reject,
     /* 2375497 */ // Label 33495: @2375497
     /* 2375497 */ GIM_Reject,
     /* 2375498 */ // Label 33439: @2375498
     /* 2375498 */ GIM_Try, /*On fail goto*//*Label 33498*/ GIMT_Encode4(2375612),
     /* 2375503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2375506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2375509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375521 */   GIM_Try, /*On fail goto*//*Label 33499*/ GIMT_Encode4(2375566), // Rule ID 50768 //
     /* 2375526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2375529 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2375532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2375546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375565 */     // GIR_Coverage, 50768,
     /* 2375565 */     GIR_EraseRootFromParent_Done,
     /* 2375566 */   // Label 33499: @2375566
     /* 2375566 */   GIM_Try, /*On fail goto*//*Label 33500*/ GIMT_Encode4(2375611), // Rule ID 50769 //
     /* 2375571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2375574 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2375577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2375591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375610 */     // GIR_Coverage, 50769,
     /* 2375610 */     GIR_EraseRootFromParent_Done,
     /* 2375611 */   // Label 33500: @2375611
     /* 2375611 */   GIM_Reject,
     /* 2375612 */ // Label 33498: @2375612
     /* 2375612 */ GIM_Reject,
     /* 2375613 */ // Label 33440: @2375613
     /* 2375613 */ GIM_Try, /*On fail goto*//*Label 33501*/ GIMT_Encode4(2375727),
     /* 2375618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2375621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2375624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375636 */   GIM_Try, /*On fail goto*//*Label 33502*/ GIMT_Encode4(2375681), // Rule ID 50724 //
     /* 2375641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375644 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2375647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2375661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375680 */     // GIR_Coverage, 50724,
     /* 2375680 */     GIR_EraseRootFromParent_Done,
     /* 2375681 */   // Label 33502: @2375681
     /* 2375681 */   GIM_Try, /*On fail goto*//*Label 33503*/ GIMT_Encode4(2375726), // Rule ID 50725 //
     /* 2375686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375689 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2375692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2375706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375725 */     // GIR_Coverage, 50725,
     /* 2375725 */     GIR_EraseRootFromParent_Done,
     /* 2375726 */   // Label 33503: @2375726
     /* 2375726 */   GIM_Reject,
     /* 2375727 */ // Label 33501: @2375727
     /* 2375727 */ GIM_Reject,
     /* 2375728 */ // Label 33441: @2375728
     /* 2375728 */ GIM_Try, /*On fail goto*//*Label 33504*/ GIMT_Encode4(2375842),
     /* 2375733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2375736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2375739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375751 */   GIM_Try, /*On fail goto*//*Label 33505*/ GIMT_Encode4(2375796), // Rule ID 50740 //
     /* 2375756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375759 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2375762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2375776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375795 */     // GIR_Coverage, 50740,
     /* 2375795 */     GIR_EraseRootFromParent_Done,
     /* 2375796 */   // Label 33505: @2375796
     /* 2375796 */   GIM_Try, /*On fail goto*//*Label 33506*/ GIMT_Encode4(2375841), // Rule ID 50741 //
     /* 2375801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375804 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2375807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2375821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375840 */     // GIR_Coverage, 50741,
     /* 2375840 */     GIR_EraseRootFromParent_Done,
     /* 2375841 */   // Label 33506: @2375841
     /* 2375841 */   GIM_Reject,
     /* 2375842 */ // Label 33504: @2375842
     /* 2375842 */ GIM_Reject,
     /* 2375843 */ // Label 33442: @2375843
     /* 2375843 */ GIM_Try, /*On fail goto*//*Label 33507*/ GIMT_Encode4(2375957),
     /* 2375848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2375851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2375854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375866 */   GIM_Try, /*On fail goto*//*Label 33508*/ GIMT_Encode4(2375911), // Rule ID 50756 //
     /* 2375871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375874 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2375877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2375891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375910 */     // GIR_Coverage, 50756,
     /* 2375910 */     GIR_EraseRootFromParent_Done,
     /* 2375911 */   // Label 33508: @2375911
     /* 2375911 */   GIM_Try, /*On fail goto*//*Label 33509*/ GIMT_Encode4(2375956), // Rule ID 50757 //
     /* 2375916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375919 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2375922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2375936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375955 */     // GIR_Coverage, 50757,
     /* 2375955 */     GIR_EraseRootFromParent_Done,
     /* 2375956 */   // Label 33509: @2375956
     /* 2375956 */   GIM_Reject,
     /* 2375957 */ // Label 33507: @2375957
     /* 2375957 */ GIM_Reject,
     /* 2375958 */ // Label 33443: @2375958
     /* 2375958 */ GIM_Try, /*On fail goto*//*Label 33510*/ GIMT_Encode4(2376072),
     /* 2375963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2375966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2375969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375981 */   GIM_Try, /*On fail goto*//*Label 33511*/ GIMT_Encode4(2376026), // Rule ID 50728 //
     /* 2375986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375989 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2375992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2376006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376025 */     // GIR_Coverage, 50728,
     /* 2376025 */     GIR_EraseRootFromParent_Done,
     /* 2376026 */   // Label 33511: @2376026
     /* 2376026 */   GIM_Try, /*On fail goto*//*Label 33512*/ GIMT_Encode4(2376071), // Rule ID 50729 //
     /* 2376031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376034 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2376037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2376051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376070 */     // GIR_Coverage, 50729,
     /* 2376070 */     GIR_EraseRootFromParent_Done,
     /* 2376071 */   // Label 33512: @2376071
     /* 2376071 */   GIM_Reject,
     /* 2376072 */ // Label 33510: @2376072
     /* 2376072 */ GIM_Reject,
     /* 2376073 */ // Label 33444: @2376073
     /* 2376073 */ GIM_Try, /*On fail goto*//*Label 33513*/ GIMT_Encode4(2376187),
     /* 2376078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2376081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2376084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376096 */   GIM_Try, /*On fail goto*//*Label 33514*/ GIMT_Encode4(2376141), // Rule ID 50744 //
     /* 2376101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376104 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2376121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376140 */     // GIR_Coverage, 50744,
     /* 2376140 */     GIR_EraseRootFromParent_Done,
     /* 2376141 */   // Label 33514: @2376141
     /* 2376141 */   GIM_Try, /*On fail goto*//*Label 33515*/ GIMT_Encode4(2376186), // Rule ID 50745 //
     /* 2376146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376149 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2376166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376185 */     // GIR_Coverage, 50745,
     /* 2376185 */     GIR_EraseRootFromParent_Done,
     /* 2376186 */   // Label 33515: @2376186
     /* 2376186 */   GIM_Reject,
     /* 2376187 */ // Label 33513: @2376187
     /* 2376187 */ GIM_Reject,
     /* 2376188 */ // Label 33445: @2376188
     /* 2376188 */ GIM_Try, /*On fail goto*//*Label 33516*/ GIMT_Encode4(2376302),
     /* 2376193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2376196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2376199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376211 */   GIM_Try, /*On fail goto*//*Label 33517*/ GIMT_Encode4(2376256), // Rule ID 50732 //
     /* 2376216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376219 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2376222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2376236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376255 */     // GIR_Coverage, 50732,
     /* 2376255 */     GIR_EraseRootFromParent_Done,
     /* 2376256 */   // Label 33517: @2376256
     /* 2376256 */   GIM_Try, /*On fail goto*//*Label 33518*/ GIMT_Encode4(2376301), // Rule ID 50733 //
     /* 2376261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376264 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2376267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2376281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376300 */     // GIR_Coverage, 50733,
     /* 2376300 */     GIR_EraseRootFromParent_Done,
     /* 2376301 */   // Label 33518: @2376301
     /* 2376301 */   GIM_Reject,
     /* 2376302 */ // Label 33516: @2376302
     /* 2376302 */ GIM_Reject,
     /* 2376303 */ // Label 33446: @2376303
     /* 2376303 */ GIM_Reject,
     /* 2376304 */ // Label 84: @2376304
     /* 2376304 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33521*/ GIMT_Encode4(2376461),
     /* 2376315 */ /*GILLT_s32*//*Label 33519*/ GIMT_Encode4(2376323),
     /* 2376319 */ /*GILLT_s64*//*Label 33520*/ GIMT_Encode4(2376392),
     /* 2376323 */ // Label 33519: @2376323
     /* 2376323 */ GIM_Try, /*On fail goto*//*Label 33522*/ GIMT_Encode4(2376391),
     /* 2376328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376339 */   GIM_Try, /*On fail goto*//*Label 33523*/ GIMT_Encode4(2376354), // Rule ID 64460 //
     /* 2376344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2376347 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_ABS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2376347 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2376352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376353 */     // GIR_Coverage, 64460,
     /* 2376353 */     GIR_Done,
     /* 2376354 */   // Label 33523: @2376354
     /* 2376354 */   GIM_Try, /*On fail goto*//*Label 33524*/ GIMT_Encode4(2376390), // Rule ID 62515 //
     /* 2376359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode1),
     /* 2376362 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (PseudoCCSUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, 2:{ *:[i32] }, GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2376362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2376365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2376367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376369 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2376375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2376378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2376386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376389 */     // GIR_Coverage, 62515,
     /* 2376389 */     GIR_EraseRootFromParent_Done,
     /* 2376390 */   // Label 33524: @2376390
     /* 2376390 */   GIM_Reject,
     /* 2376391 */ // Label 33522: @2376391
     /* 2376391 */ GIM_Reject,
     /* 2376392 */ // Label 33520: @2376392
     /* 2376392 */ GIM_Try, /*On fail goto*//*Label 33525*/ GIMT_Encode4(2376460),
     /* 2376397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2376400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376408 */   GIM_Try, /*On fail goto*//*Label 33526*/ GIMT_Encode4(2376423), // Rule ID 64459 //
     /* 2376413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2376416 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_ABS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2376416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2376421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376422 */     // GIR_Coverage, 64459,
     /* 2376422 */     GIR_Done,
     /* 2376423 */   // Label 33526: @2376423
     /* 2376423 */   GIM_Try, /*On fail goto*//*Label 33527*/ GIMT_Encode4(2376459), // Rule ID 62514 //
     /* 2376428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode0),
     /* 2376431 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (PseudoCCSUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, 2:{ *:[i64] }, GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2376431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2376434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2376436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376438 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2376444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2376447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2376455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376458 */     // GIR_Coverage, 62514,
     /* 2376458 */     GIR_EraseRootFromParent_Done,
     /* 2376459 */   // Label 33527: @2376459
     /* 2376459 */   GIM_Reject,
     /* 2376460 */ // Label 33525: @2376460
     /* 2376460 */ GIM_Reject,
     /* 2376461 */ // Label 33521: @2376461
     /* 2376461 */ GIM_Reject,
     /* 2376462 */ // Label 85: @2376462
     /* 2376462 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33530*/ GIMT_Encode4(2377041),
     /* 2376473 */ /*GILLT_s32*//*Label 33528*/ GIMT_Encode4(2376481),
     /* 2376477 */ /*GILLT_s64*//*Label 33529*/ GIMT_Encode4(2376854),
     /* 2376481 */ // Label 33528: @2376481
     /* 2376481 */ GIM_Try, /*On fail goto*//*Label 33531*/ GIMT_Encode4(2376512), // Rule ID 1470 //
     /* 2376486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2376489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376500 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2376500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2376503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376505 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376510 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376511 */   // GIR_Coverage, 1470,
     /* 2376511 */   GIR_EraseRootFromParent_Done,
     /* 2376512 */ // Label 33531: @2376512
     /* 2376512 */ GIM_Try, /*On fail goto*//*Label 33532*/ GIMT_Encode4(2376543), // Rule ID 1471 //
     /* 2376517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2376520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376531 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2376531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2376534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376536 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376542 */   // GIR_Coverage, 1471,
     /* 2376542 */   GIR_EraseRootFromParent_Done,
     /* 2376543 */ // Label 33532: @2376543
     /* 2376543 */ GIM_Try, /*On fail goto*//*Label 33533*/ GIMT_Encode4(2376574), // Rule ID 1496 //
     /* 2376548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2376551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376562 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2376562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2376565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376567 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376573 */   // GIR_Coverage, 1496,
     /* 2376573 */   GIR_EraseRootFromParent_Done,
     /* 2376574 */ // Label 33533: @2376574
     /* 2376574 */ GIM_Try, /*On fail goto*//*Label 33534*/ GIMT_Encode4(2376605), // Rule ID 1497 //
     /* 2376579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2376582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376593 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2376593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2376596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376598 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376604 */   // GIR_Coverage, 1497,
     /* 2376604 */   GIR_EraseRootFromParent_Done,
     /* 2376605 */ // Label 33534: @2376605
     /* 2376605 */ GIM_Try, /*On fail goto*//*Label 33535*/ GIMT_Encode4(2376636), // Rule ID 1864 //
     /* 2376610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2376613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2376616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376624 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2376624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2376627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376629 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376635 */   // GIR_Coverage, 1864,
     /* 2376635 */   GIR_EraseRootFromParent_Done,
     /* 2376636 */ // Label 33535: @2376636
     /* 2376636 */ GIM_Try, /*On fail goto*//*Label 33536*/ GIMT_Encode4(2376667), // Rule ID 1865 //
     /* 2376641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2376644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2376647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376655 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2376655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2376658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376660 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376665 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376666 */   // GIR_Coverage, 1865,
     /* 2376666 */   GIR_EraseRootFromParent_Done,
     /* 2376667 */ // Label 33536: @2376667
     /* 2376667 */ GIM_Try, /*On fail goto*//*Label 33537*/ GIMT_Encode4(2376698), // Rule ID 1890 //
     /* 2376672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2376675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2376678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376686 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2376686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2376689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376691 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376697 */   // GIR_Coverage, 1890,
     /* 2376697 */   GIR_EraseRootFromParent_Done,
     /* 2376698 */ // Label 33537: @2376698
     /* 2376698 */ GIM_Try, /*On fail goto*//*Label 33538*/ GIMT_Encode4(2376729), // Rule ID 1891 //
     /* 2376703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2376706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2376709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376717 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2376717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2376720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376722 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376727 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376728 */   // GIR_Coverage, 1891,
     /* 2376728 */   GIR_EraseRootFromParent_Done,
     /* 2376729 */ // Label 33538: @2376729
     /* 2376729 */ GIM_Try, /*On fail goto*//*Label 33539*/ GIMT_Encode4(2376760), // Rule ID 2206 //
     /* 2376734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2376737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376748 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2376748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2376751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376753 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376759 */   // GIR_Coverage, 2206,
     /* 2376759 */   GIR_EraseRootFromParent_Done,
     /* 2376760 */ // Label 33539: @2376760
     /* 2376760 */ GIM_Try, /*On fail goto*//*Label 33540*/ GIMT_Encode4(2376791), // Rule ID 2207 //
     /* 2376765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2376768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376779 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2376779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2376782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376784 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376790 */   // GIR_Coverage, 2207,
     /* 2376790 */   GIR_EraseRootFromParent_Done,
     /* 2376791 */ // Label 33540: @2376791
     /* 2376791 */ GIM_Try, /*On fail goto*//*Label 33541*/ GIMT_Encode4(2376822), // Rule ID 2232 //
     /* 2376796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2376799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376810 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2376810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2376813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376815 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376821 */   // GIR_Coverage, 2232,
     /* 2376821 */   GIR_EraseRootFromParent_Done,
     /* 2376822 */ // Label 33541: @2376822
     /* 2376822 */ GIM_Try, /*On fail goto*//*Label 33542*/ GIMT_Encode4(2376853), // Rule ID 2233 //
     /* 2376827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2376830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376841 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2376841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2376844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376846 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376851 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376852 */   // GIR_Coverage, 2233,
     /* 2376852 */   GIR_EraseRootFromParent_Done,
     /* 2376853 */ // Label 33542: @2376853
     /* 2376853 */ GIM_Reject,
     /* 2376854 */ // Label 33529: @2376854
     /* 2376854 */ GIM_Try, /*On fail goto*//*Label 33543*/ GIMT_Encode4(2376885), // Rule ID 1523 //
     /* 2376859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2376862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376873 */   // (lround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2376873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2376876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376878 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376884 */   // GIR_Coverage, 1523,
     /* 2376884 */   GIR_EraseRootFromParent_Done,
     /* 2376885 */ // Label 33543: @2376885
     /* 2376885 */ GIM_Try, /*On fail goto*//*Label 33544*/ GIMT_Encode4(2376916), // Rule ID 1551 //
     /* 2376890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2376893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376904 */   // (lround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2376904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2376907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376909 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376914 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376915 */   // GIR_Coverage, 1551,
     /* 2376915 */   GIR_EraseRootFromParent_Done,
     /* 2376916 */ // Label 33544: @2376916
     /* 2376916 */ GIM_Try, /*On fail goto*//*Label 33545*/ GIMT_Encode4(2376947), // Rule ID 1921 //
     /* 2376921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2376924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2376927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376935 */   // (lround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2376935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2376938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376940 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376945 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376946 */   // GIR_Coverage, 1921,
     /* 2376946 */   GIR_EraseRootFromParent_Done,
     /* 2376947 */ // Label 33545: @2376947
     /* 2376947 */ GIM_Try, /*On fail goto*//*Label 33546*/ GIMT_Encode4(2376978), // Rule ID 1949 //
     /* 2376952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2376955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2376958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376966 */   // (lround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2376966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2376969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376971 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376976 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376977 */   // GIR_Coverage, 1949,
     /* 2376977 */   GIR_EraseRootFromParent_Done,
     /* 2376978 */ // Label 33546: @2376978
     /* 2376978 */ GIM_Try, /*On fail goto*//*Label 33547*/ GIMT_Encode4(2377009), // Rule ID 2257 //
     /* 2376983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2376986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376997 */   // (lround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2376997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2377000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377002 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2377008 */   // GIR_Coverage, 2257,
     /* 2377008 */   GIR_EraseRootFromParent_Done,
     /* 2377009 */ // Label 33547: @2377009
     /* 2377009 */ GIM_Try, /*On fail goto*//*Label 33548*/ GIMT_Encode4(2377040), // Rule ID 2283 //
     /* 2377014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2377017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2377020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377028 */   // (lround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2377028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2377031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377033 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2377039 */   // GIR_Coverage, 2283,
     /* 2377039 */   GIR_EraseRootFromParent_Done,
     /* 2377040 */ // Label 33548: @2377040
     /* 2377040 */ GIM_Reject,
     /* 2377041 */ // Label 33530: @2377041
     /* 2377041 */ GIM_Reject,
     /* 2377042 */ // Label 86: @2377042
     /* 2377042 */ GIM_Try, /*On fail goto*//*Label 33549*/ GIMT_Encode4(2377251),
     /* 2377047 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2377050 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33553*/ GIMT_Encode4(2377250),
     /* 2377061 */   /*GILLT_s16*//*Label 33550*/ GIMT_Encode4(2377073),
     /* 2377065 */   /*GILLT_s32*//*Label 33551*/ GIMT_Encode4(2377132),
     /* 2377069 */   /*GILLT_s64*//*Label 33552*/ GIMT_Encode4(2377191),
     /* 2377073 */   // Label 33550: @2377073
     /* 2377073 */   GIM_Try, /*On fail goto*//*Label 33554*/ GIMT_Encode4(2377131),
     /* 2377078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377082 */     GIM_Try, /*On fail goto*//*Label 33555*/ GIMT_Encode4(2377106), // Rule ID 2259 //
     /* 2377087 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2377090 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2377094 */       // (llround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2377094 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2377097 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377099 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377101 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377104 */       GIR_RootConstrainSelectedInstOperands,
     /* 2377105 */       // GIR_Coverage, 2259,
     /* 2377105 */       GIR_EraseRootFromParent_Done,
     /* 2377106 */     // Label 33555: @2377106
     /* 2377106 */     GIM_Try, /*On fail goto*//*Label 33556*/ GIMT_Encode4(2377130), // Rule ID 2285 //
     /* 2377111 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2377114 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377118 */       // (llround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2377118 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2377121 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377123 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377125 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377128 */       GIR_RootConstrainSelectedInstOperands,
     /* 2377129 */       // GIR_Coverage, 2285,
     /* 2377129 */       GIR_EraseRootFromParent_Done,
     /* 2377130 */     // Label 33556: @2377130
     /* 2377130 */     GIM_Reject,
     /* 2377131 */   // Label 33554: @2377131
     /* 2377131 */   GIM_Reject,
     /* 2377132 */   // Label 33551: @2377132
     /* 2377132 */   GIM_Try, /*On fail goto*//*Label 33557*/ GIMT_Encode4(2377190),
     /* 2377137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377141 */     GIM_Try, /*On fail goto*//*Label 33558*/ GIMT_Encode4(2377165), // Rule ID 1525 //
     /* 2377146 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2377149 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377153 */       // (llround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2377153 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2377156 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377158 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377160 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377163 */       GIR_RootConstrainSelectedInstOperands,
     /* 2377164 */       // GIR_Coverage, 1525,
     /* 2377164 */       GIR_EraseRootFromParent_Done,
     /* 2377165 */     // Label 33558: @2377165
     /* 2377165 */     GIM_Try, /*On fail goto*//*Label 33559*/ GIMT_Encode4(2377189), // Rule ID 1553 //
     /* 2377170 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2377173 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377177 */       // (llround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2377177 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2377180 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377182 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377184 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377187 */       GIR_RootConstrainSelectedInstOperands,
     /* 2377188 */       // GIR_Coverage, 1553,
     /* 2377188 */       GIR_EraseRootFromParent_Done,
     /* 2377189 */     // Label 33559: @2377189
     /* 2377189 */     GIM_Reject,
     /* 2377190 */   // Label 33557: @2377190
     /* 2377190 */   GIM_Reject,
     /* 2377191 */   // Label 33552: @2377191
     /* 2377191 */   GIM_Try, /*On fail goto*//*Label 33560*/ GIMT_Encode4(2377249),
     /* 2377196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377200 */     GIM_Try, /*On fail goto*//*Label 33561*/ GIMT_Encode4(2377224), // Rule ID 1923 //
     /* 2377205 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2377208 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377212 */       // (llround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2377212 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2377215 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377217 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377219 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377222 */       GIR_RootConstrainSelectedInstOperands,
     /* 2377223 */       // GIR_Coverage, 1923,
     /* 2377223 */       GIR_EraseRootFromParent_Done,
     /* 2377224 */     // Label 33561: @2377224
     /* 2377224 */     GIM_Try, /*On fail goto*//*Label 33562*/ GIMT_Encode4(2377248), // Rule ID 1951 //
     /* 2377229 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2377232 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377236 */       // (llround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2377236 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2377239 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377241 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377243 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377246 */       GIR_RootConstrainSelectedInstOperands,
     /* 2377247 */       // GIR_Coverage, 1951,
     /* 2377247 */       GIR_EraseRootFromParent_Done,
     /* 2377248 */     // Label 33562: @2377248
     /* 2377248 */     GIM_Reject,
     /* 2377249 */   // Label 33560: @2377249
     /* 2377249 */   GIM_Reject,
     /* 2377250 */   // Label 33553: @2377250
     /* 2377250 */   GIM_Reject,
     /* 2377251 */ // Label 33549: @2377251
     /* 2377251 */ GIM_Reject,
     /* 2377252 */ // Label 87: @2377252
     /* 2377252 */ GIM_Try, /*On fail goto*//*Label 33563*/ GIMT_Encode4(2377267), // Rule ID 4 //
     /* 2377257 */   // MIs[0] imm20
     /* 2377257 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 2377260 */   // (br (bb:{ *:[Other] }):$imm20)  =>  (PseudoBR (bb:{ *:[Other] }):$imm20)
     /* 2377260 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoBR),
     /* 2377265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2377266 */   // GIR_Coverage, 4,
     /* 2377266 */   GIR_Done,
     /* 2377267 */ // Label 33563: @2377267
     /* 2377267 */ GIM_Reject,
     /* 2377268 */ // Label 88: @2377268
     /* 2377268 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33588*/ GIMT_Encode4(2379895),
     /* 2377279 */ /*GILLT_s32*//*Label 33564*/ GIMT_Encode4(2377403),
     /* 2377283 */ /*GILLT_s64*//*Label 33565*/ GIMT_Encode4(2377559), GIMT_Encode4(0),
     /* 2377291 */ /*GILLT_nxv1s8*//*Label 33566*/ GIMT_Encode4(2377607),
     /* 2377295 */ /*GILLT_nxv1s16*//*Label 33567*/ GIMT_Encode4(2377711),
     /* 2377299 */ /*GILLT_nxv1s32*//*Label 33568*/ GIMT_Encode4(2377815),
     /* 2377303 */ /*GILLT_nxv1s64*//*Label 33569*/ GIMT_Encode4(2377919), GIMT_Encode4(0),
     /* 2377311 */ /*GILLT_nxv2s8*//*Label 33570*/ GIMT_Encode4(2378023),
     /* 2377315 */ /*GILLT_nxv2s16*//*Label 33571*/ GIMT_Encode4(2378127),
     /* 2377319 */ /*GILLT_nxv2s32*//*Label 33572*/ GIMT_Encode4(2378231),
     /* 2377323 */ /*GILLT_nxv2s64*//*Label 33573*/ GIMT_Encode4(2378335), GIMT_Encode4(0),
     /* 2377331 */ /*GILLT_nxv4s8*//*Label 33574*/ GIMT_Encode4(2378439),
     /* 2377335 */ /*GILLT_nxv4s16*//*Label 33575*/ GIMT_Encode4(2378543),
     /* 2377339 */ /*GILLT_nxv4s32*//*Label 33576*/ GIMT_Encode4(2378647),
     /* 2377343 */ /*GILLT_nxv4s64*//*Label 33577*/ GIMT_Encode4(2378751), GIMT_Encode4(0),
     /* 2377351 */ /*GILLT_nxv8s8*//*Label 33578*/ GIMT_Encode4(2378855),
     /* 2377355 */ /*GILLT_nxv8s16*//*Label 33579*/ GIMT_Encode4(2378959),
     /* 2377359 */ /*GILLT_nxv8s32*//*Label 33580*/ GIMT_Encode4(2379063),
     /* 2377363 */ /*GILLT_nxv8s64*//*Label 33581*/ GIMT_Encode4(2379167), GIMT_Encode4(0),
     /* 2377371 */ /*GILLT_nxv16s8*//*Label 33582*/ GIMT_Encode4(2379271),
     /* 2377375 */ /*GILLT_nxv16s16*//*Label 33583*/ GIMT_Encode4(2379375),
     /* 2377379 */ /*GILLT_nxv16s32*//*Label 33584*/ GIMT_Encode4(2379479), GIMT_Encode4(0),
     /* 2377387 */ /*GILLT_nxv32s8*//*Label 33585*/ GIMT_Encode4(2379583),
     /* 2377391 */ /*GILLT_nxv32s16*//*Label 33586*/ GIMT_Encode4(2379687), GIMT_Encode4(0),
     /* 2377399 */ /*GILLT_nxv64s8*//*Label 33587*/ GIMT_Encode4(2379791),
     /* 2377403 */ // Label 33564: @2377403
     /* 2377403 */ GIM_Try, /*On fail goto*//*Label 33589*/ GIMT_Encode4(2377558),
     /* 2377408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377411 */   GIM_Try, /*On fail goto*//*Label 33590*/ GIMT_Encode4(2377461), // Rule ID 64635 //
     /* 2377416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HasVendorXqcibm_IsRV32_HwMode0),
     /* 2377419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2377423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2377427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2377431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2377439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377444 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2377448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377450 */     // (cttz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (QC_CTO:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2377450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_CTO),
     /* 2377453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2377459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377460 */     // GIR_Coverage, 64635,
     /* 2377460 */     GIR_EraseRootFromParent_Done,
     /* 2377461 */   // Label 33590: @2377461
     /* 2377461 */   GIM_Try, /*On fail goto*//*Label 33591*/ GIMT_Encode4(2377511), // Rule ID 64636 //
     /* 2377466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HasVendorXqcibm_IsRV32_HwMode1),
     /* 2377469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2377473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2377477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2377481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377485 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2377489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377494 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2377498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377500 */     // (cttz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (QC_CTO:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2377500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_CTO),
     /* 2377503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2377509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377510 */     // GIR_Coverage, 64636,
     /* 2377510 */     GIR_EraseRootFromParent_Done,
     /* 2377511 */   // Label 33591: @2377511
     /* 2377511 */   GIM_Try, /*On fail goto*//*Label 33592*/ GIMT_Encode4(2377534), // Rule ID 2519 //
     /* 2377516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2377519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377527 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CTZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2377527 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2377532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377533 */     // GIR_Coverage, 2519,
     /* 2377533 */     GIR_Done,
     /* 2377534 */   // Label 33592: @2377534
     /* 2377534 */   GIM_Try, /*On fail goto*//*Label 33593*/ GIMT_Encode4(2377557), // Rule ID 64443 //
     /* 2377539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2377542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377550 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2377550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2377555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377556 */     // GIR_Coverage, 64443,
     /* 2377556 */     GIR_Done,
     /* 2377557 */   // Label 33593: @2377557
     /* 2377557 */   GIM_Reject,
     /* 2377558 */ // Label 33589: @2377558
     /* 2377558 */ GIM_Reject,
     /* 2377559 */ // Label 33565: @2377559
     /* 2377559 */ GIM_Try, /*On fail goto*//*Label 33594*/ GIMT_Encode4(2377606),
     /* 2377564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2377567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377575 */   GIM_Try, /*On fail goto*//*Label 33595*/ GIMT_Encode4(2377590), // Rule ID 2518 //
     /* 2377580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2377583 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2377583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2377588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377589 */     // GIR_Coverage, 2518,
     /* 2377589 */     GIR_Done,
     /* 2377590 */   // Label 33595: @2377590
     /* 2377590 */   GIM_Try, /*On fail goto*//*Label 33596*/ GIMT_Encode4(2377605), // Rule ID 64442 //
     /* 2377595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2377598 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2377598 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2377603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377604 */     // GIR_Coverage, 64442,
     /* 2377604 */     GIR_Done,
     /* 2377605 */   // Label 33596: @2377605
     /* 2377605 */   GIM_Reject,
     /* 2377606 */ // Label 33594: @2377606
     /* 2377606 */ GIM_Reject,
     /* 2377607 */ // Label 33566: @2377607
     /* 2377607 */ GIM_Try, /*On fail goto*//*Label 33597*/ GIMT_Encode4(2377710),
     /* 2377612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2377615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377623 */   GIM_Try, /*On fail goto*//*Label 33598*/ GIMT_Encode4(2377666), // Rule ID 59188 //
     /* 2377628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2377631 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2377634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2377648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377665 */     // GIR_Coverage, 59188,
     /* 2377665 */     GIR_EraseRootFromParent_Done,
     /* 2377666 */   // Label 33598: @2377666
     /* 2377666 */   GIM_Try, /*On fail goto*//*Label 33599*/ GIMT_Encode4(2377709), // Rule ID 59189 //
     /* 2377671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2377674 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2377677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2377691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377708 */     // GIR_Coverage, 59189,
     /* 2377708 */     GIR_EraseRootFromParent_Done,
     /* 2377709 */   // Label 33599: @2377709
     /* 2377709 */   GIM_Reject,
     /* 2377710 */ // Label 33597: @2377710
     /* 2377710 */ GIM_Reject,
     /* 2377711 */ // Label 33567: @2377711
     /* 2377711 */ GIM_Try, /*On fail goto*//*Label 33600*/ GIMT_Encode4(2377814),
     /* 2377716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2377719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377727 */   GIM_Try, /*On fail goto*//*Label 33601*/ GIMT_Encode4(2377770), // Rule ID 59194 //
     /* 2377732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2377735 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2377752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377769 */     // GIR_Coverage, 59194,
     /* 2377769 */     GIR_EraseRootFromParent_Done,
     /* 2377770 */   // Label 33601: @2377770
     /* 2377770 */   GIM_Try, /*On fail goto*//*Label 33602*/ GIMT_Encode4(2377813), // Rule ID 59195 //
     /* 2377775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2377778 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2377795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377812 */     // GIR_Coverage, 59195,
     /* 2377812 */     GIR_EraseRootFromParent_Done,
     /* 2377813 */   // Label 33602: @2377813
     /* 2377813 */   GIM_Reject,
     /* 2377814 */ // Label 33600: @2377814
     /* 2377814 */ GIM_Reject,
     /* 2377815 */ // Label 33568: @2377815
     /* 2377815 */ GIM_Try, /*On fail goto*//*Label 33603*/ GIMT_Encode4(2377918),
     /* 2377820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2377823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377831 */   GIM_Try, /*On fail goto*//*Label 33604*/ GIMT_Encode4(2377874), // Rule ID 59198 //
     /* 2377836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2377839 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2377856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377873 */     // GIR_Coverage, 59198,
     /* 2377873 */     GIR_EraseRootFromParent_Done,
     /* 2377874 */   // Label 33604: @2377874
     /* 2377874 */   GIM_Try, /*On fail goto*//*Label 33605*/ GIMT_Encode4(2377917), // Rule ID 59199 //
     /* 2377879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2377882 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2377899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377916 */     // GIR_Coverage, 59199,
     /* 2377916 */     GIR_EraseRootFromParent_Done,
     /* 2377917 */   // Label 33605: @2377917
     /* 2377917 */   GIM_Reject,
     /* 2377918 */ // Label 33603: @2377918
     /* 2377918 */ GIM_Reject,
     /* 2377919 */ // Label 33569: @2377919
     /* 2377919 */ GIM_Try, /*On fail goto*//*Label 33606*/ GIMT_Encode4(2378022),
     /* 2377924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2377927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377935 */   GIM_Try, /*On fail goto*//*Label 33607*/ GIMT_Encode4(2377978), // Rule ID 59206 //
     /* 2377940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2377943 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2377960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377977 */     // GIR_Coverage, 59206,
     /* 2377977 */     GIR_EraseRootFromParent_Done,
     /* 2377978 */   // Label 33607: @2377978
     /* 2377978 */   GIM_Try, /*On fail goto*//*Label 33608*/ GIMT_Encode4(2378021), // Rule ID 59207 //
     /* 2377983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2377986 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2378003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378020 */     // GIR_Coverage, 59207,
     /* 2378020 */     GIR_EraseRootFromParent_Done,
     /* 2378021 */   // Label 33608: @2378021
     /* 2378021 */   GIM_Reject,
     /* 2378022 */ // Label 33606: @2378022
     /* 2378022 */ GIM_Reject,
     /* 2378023 */ // Label 33570: @2378023
     /* 2378023 */ GIM_Try, /*On fail goto*//*Label 33609*/ GIMT_Encode4(2378126),
     /* 2378028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2378031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378039 */   GIM_Try, /*On fail goto*//*Label 33610*/ GIMT_Encode4(2378082), // Rule ID 59190 //
     /* 2378044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2378047 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2378050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2378064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378081 */     // GIR_Coverage, 59190,
     /* 2378081 */     GIR_EraseRootFromParent_Done,
     /* 2378082 */   // Label 33610: @2378082
     /* 2378082 */   GIM_Try, /*On fail goto*//*Label 33611*/ GIMT_Encode4(2378125), // Rule ID 59191 //
     /* 2378087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2378090 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2378093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2378107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378124 */     // GIR_Coverage, 59191,
     /* 2378124 */     GIR_EraseRootFromParent_Done,
     /* 2378125 */   // Label 33611: @2378125
     /* 2378125 */   GIM_Reject,
     /* 2378126 */ // Label 33609: @2378126
     /* 2378126 */ GIM_Reject,
     /* 2378127 */ // Label 33571: @2378127
     /* 2378127 */ GIM_Try, /*On fail goto*//*Label 33612*/ GIMT_Encode4(2378230),
     /* 2378132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2378135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378143 */   GIM_Try, /*On fail goto*//*Label 33613*/ GIMT_Encode4(2378186), // Rule ID 59196 //
     /* 2378148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2378151 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2378154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2378168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378185 */     // GIR_Coverage, 59196,
     /* 2378185 */     GIR_EraseRootFromParent_Done,
     /* 2378186 */   // Label 33613: @2378186
     /* 2378186 */   GIM_Try, /*On fail goto*//*Label 33614*/ GIMT_Encode4(2378229), // Rule ID 59197 //
     /* 2378191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2378194 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2378197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2378211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378228 */     // GIR_Coverage, 59197,
     /* 2378228 */     GIR_EraseRootFromParent_Done,
     /* 2378229 */   // Label 33614: @2378229
     /* 2378229 */   GIM_Reject,
     /* 2378230 */ // Label 33612: @2378230
     /* 2378230 */ GIM_Reject,
     /* 2378231 */ // Label 33572: @2378231
     /* 2378231 */ GIM_Try, /*On fail goto*//*Label 33615*/ GIMT_Encode4(2378334),
     /* 2378236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2378239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378247 */   GIM_Try, /*On fail goto*//*Label 33616*/ GIMT_Encode4(2378290), // Rule ID 59204 //
     /* 2378252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2378255 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2378258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2378272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378289 */     // GIR_Coverage, 59204,
     /* 2378289 */     GIR_EraseRootFromParent_Done,
     /* 2378290 */   // Label 33616: @2378290
     /* 2378290 */   GIM_Try, /*On fail goto*//*Label 33617*/ GIMT_Encode4(2378333), // Rule ID 59205 //
     /* 2378295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2378298 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2378301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2378315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378332 */     // GIR_Coverage, 59205,
     /* 2378332 */     GIR_EraseRootFromParent_Done,
     /* 2378333 */   // Label 33617: @2378333
     /* 2378333 */   GIM_Reject,
     /* 2378334 */ // Label 33615: @2378334
     /* 2378334 */ GIM_Reject,
     /* 2378335 */ // Label 33573: @2378335
     /* 2378335 */ GIM_Try, /*On fail goto*//*Label 33618*/ GIMT_Encode4(2378438),
     /* 2378340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2378343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378351 */   GIM_Try, /*On fail goto*//*Label 33619*/ GIMT_Encode4(2378394), // Rule ID 59226 //
     /* 2378356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2378359 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2378362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2378376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378393 */     // GIR_Coverage, 59226,
     /* 2378393 */     GIR_EraseRootFromParent_Done,
     /* 2378394 */   // Label 33619: @2378394
     /* 2378394 */   GIM_Try, /*On fail goto*//*Label 33620*/ GIMT_Encode4(2378437), // Rule ID 59227 //
     /* 2378399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2378402 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2378405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2378419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378436 */     // GIR_Coverage, 59227,
     /* 2378436 */     GIR_EraseRootFromParent_Done,
     /* 2378437 */   // Label 33620: @2378437
     /* 2378437 */   GIM_Reject,
     /* 2378438 */ // Label 33618: @2378438
     /* 2378438 */ GIM_Reject,
     /* 2378439 */ // Label 33574: @2378439
     /* 2378439 */ GIM_Try, /*On fail goto*//*Label 33621*/ GIMT_Encode4(2378542),
     /* 2378444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2378447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378455 */   GIM_Try, /*On fail goto*//*Label 33622*/ GIMT_Encode4(2378498), // Rule ID 59192 //
     /* 2378460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2378463 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2378466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2378480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378497 */     // GIR_Coverage, 59192,
     /* 2378497 */     GIR_EraseRootFromParent_Done,
     /* 2378498 */   // Label 33622: @2378498
     /* 2378498 */   GIM_Try, /*On fail goto*//*Label 33623*/ GIMT_Encode4(2378541), // Rule ID 59193 //
     /* 2378503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2378506 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2378509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2378523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378540 */     // GIR_Coverage, 59193,
     /* 2378540 */     GIR_EraseRootFromParent_Done,
     /* 2378541 */   // Label 33623: @2378541
     /* 2378541 */   GIM_Reject,
     /* 2378542 */ // Label 33621: @2378542
     /* 2378542 */ GIM_Reject,
     /* 2378543 */ // Label 33575: @2378543
     /* 2378543 */ GIM_Try, /*On fail goto*//*Label 33624*/ GIMT_Encode4(2378646),
     /* 2378548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2378551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378559 */   GIM_Try, /*On fail goto*//*Label 33625*/ GIMT_Encode4(2378602), // Rule ID 59202 //
     /* 2378564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2378567 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2378584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378601 */     // GIR_Coverage, 59202,
     /* 2378601 */     GIR_EraseRootFromParent_Done,
     /* 2378602 */   // Label 33625: @2378602
     /* 2378602 */   GIM_Try, /*On fail goto*//*Label 33626*/ GIMT_Encode4(2378645), // Rule ID 59203 //
     /* 2378607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2378610 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2378627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378644 */     // GIR_Coverage, 59203,
     /* 2378644 */     GIR_EraseRootFromParent_Done,
     /* 2378645 */   // Label 33626: @2378645
     /* 2378645 */   GIM_Reject,
     /* 2378646 */ // Label 33624: @2378646
     /* 2378646 */ GIM_Reject,
     /* 2378647 */ // Label 33576: @2378647
     /* 2378647 */ GIM_Try, /*On fail goto*//*Label 33627*/ GIMT_Encode4(2378750),
     /* 2378652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2378655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378663 */   GIM_Try, /*On fail goto*//*Label 33628*/ GIMT_Encode4(2378706), // Rule ID 59220 //
     /* 2378668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2378671 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2378688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378705 */     // GIR_Coverage, 59220,
     /* 2378705 */     GIR_EraseRootFromParent_Done,
     /* 2378706 */   // Label 33628: @2378706
     /* 2378706 */   GIM_Try, /*On fail goto*//*Label 33629*/ GIMT_Encode4(2378749), // Rule ID 59221 //
     /* 2378711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2378714 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2378731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378748 */     // GIR_Coverage, 59221,
     /* 2378748 */     GIR_EraseRootFromParent_Done,
     /* 2378749 */   // Label 33629: @2378749
     /* 2378749 */   GIM_Reject,
     /* 2378750 */ // Label 33627: @2378750
     /* 2378750 */ GIM_Reject,
     /* 2378751 */ // Label 33577: @2378751
     /* 2378751 */ GIM_Try, /*On fail goto*//*Label 33630*/ GIMT_Encode4(2378854),
     /* 2378756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2378759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378767 */   GIM_Try, /*On fail goto*//*Label 33631*/ GIMT_Encode4(2378810), // Rule ID 59228 //
     /* 2378772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2378775 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2378792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378809 */     // GIR_Coverage, 59228,
     /* 2378809 */     GIR_EraseRootFromParent_Done,
     /* 2378810 */   // Label 33631: @2378810
     /* 2378810 */   GIM_Try, /*On fail goto*//*Label 33632*/ GIMT_Encode4(2378853), // Rule ID 59229 //
     /* 2378815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2378818 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2378835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378852 */     // GIR_Coverage, 59229,
     /* 2378852 */     GIR_EraseRootFromParent_Done,
     /* 2378853 */   // Label 33632: @2378853
     /* 2378853 */   GIM_Reject,
     /* 2378854 */ // Label 33630: @2378854
     /* 2378854 */ GIM_Reject,
     /* 2378855 */ // Label 33578: @2378855
     /* 2378855 */ GIM_Try, /*On fail goto*//*Label 33633*/ GIMT_Encode4(2378958),
     /* 2378860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2378863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378871 */   GIM_Try, /*On fail goto*//*Label 33634*/ GIMT_Encode4(2378914), // Rule ID 59200 //
     /* 2378876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2378879 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2378882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2378896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378913 */     // GIR_Coverage, 59200,
     /* 2378913 */     GIR_EraseRootFromParent_Done,
     /* 2378914 */   // Label 33634: @2378914
     /* 2378914 */   GIM_Try, /*On fail goto*//*Label 33635*/ GIMT_Encode4(2378957), // Rule ID 59201 //
     /* 2378919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2378922 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2378925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2378939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378956 */     // GIR_Coverage, 59201,
     /* 2378956 */     GIR_EraseRootFromParent_Done,
     /* 2378957 */   // Label 33635: @2378957
     /* 2378957 */   GIM_Reject,
     /* 2378958 */ // Label 33633: @2378958
     /* 2378958 */ GIM_Reject,
     /* 2378959 */ // Label 33579: @2378959
     /* 2378959 */ GIM_Try, /*On fail goto*//*Label 33636*/ GIMT_Encode4(2379062),
     /* 2378964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2378967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378975 */   GIM_Try, /*On fail goto*//*Label 33637*/ GIMT_Encode4(2379018), // Rule ID 59214 //
     /* 2378980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2378983 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2379000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379017 */     // GIR_Coverage, 59214,
     /* 2379017 */     GIR_EraseRootFromParent_Done,
     /* 2379018 */   // Label 33637: @2379018
     /* 2379018 */   GIM_Try, /*On fail goto*//*Label 33638*/ GIMT_Encode4(2379061), // Rule ID 59215 //
     /* 2379023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379026 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2379029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2379043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379060 */     // GIR_Coverage, 59215,
     /* 2379060 */     GIR_EraseRootFromParent_Done,
     /* 2379061 */   // Label 33638: @2379061
     /* 2379061 */   GIM_Reject,
     /* 2379062 */ // Label 33636: @2379062
     /* 2379062 */ GIM_Reject,
     /* 2379063 */ // Label 33580: @2379063
     /* 2379063 */ GIM_Try, /*On fail goto*//*Label 33639*/ GIMT_Encode4(2379166),
     /* 2379068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2379071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379079 */   GIM_Try, /*On fail goto*//*Label 33640*/ GIMT_Encode4(2379122), // Rule ID 59222 //
     /* 2379084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379087 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2379090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2379104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379121 */     // GIR_Coverage, 59222,
     /* 2379121 */     GIR_EraseRootFromParent_Done,
     /* 2379122 */   // Label 33640: @2379122
     /* 2379122 */   GIM_Try, /*On fail goto*//*Label 33641*/ GIMT_Encode4(2379165), // Rule ID 59223 //
     /* 2379127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379130 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2379133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2379147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379164 */     // GIR_Coverage, 59223,
     /* 2379164 */     GIR_EraseRootFromParent_Done,
     /* 2379165 */   // Label 33641: @2379165
     /* 2379165 */   GIM_Reject,
     /* 2379166 */ // Label 33639: @2379166
     /* 2379166 */ GIM_Reject,
     /* 2379167 */ // Label 33581: @2379167
     /* 2379167 */ GIM_Try, /*On fail goto*//*Label 33642*/ GIMT_Encode4(2379270),
     /* 2379172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2379175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379183 */   GIM_Try, /*On fail goto*//*Label 33643*/ GIMT_Encode4(2379226), // Rule ID 59230 //
     /* 2379188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2379191 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2379194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2379208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379225 */     // GIR_Coverage, 59230,
     /* 2379225 */     GIR_EraseRootFromParent_Done,
     /* 2379226 */   // Label 33643: @2379226
     /* 2379226 */   GIM_Try, /*On fail goto*//*Label 33644*/ GIMT_Encode4(2379269), // Rule ID 59231 //
     /* 2379231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2379234 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2379237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2379251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379268 */     // GIR_Coverage, 59231,
     /* 2379268 */     GIR_EraseRootFromParent_Done,
     /* 2379269 */   // Label 33644: @2379269
     /* 2379269 */   GIM_Reject,
     /* 2379270 */ // Label 33642: @2379270
     /* 2379270 */ GIM_Reject,
     /* 2379271 */ // Label 33582: @2379271
     /* 2379271 */ GIM_Try, /*On fail goto*//*Label 33645*/ GIMT_Encode4(2379374),
     /* 2379276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2379279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2379283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2379287 */   GIM_Try, /*On fail goto*//*Label 33646*/ GIMT_Encode4(2379330), // Rule ID 59208 //
     /* 2379292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379295 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2379298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2379312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379329 */     // GIR_Coverage, 59208,
     /* 2379329 */     GIR_EraseRootFromParent_Done,
     /* 2379330 */   // Label 33646: @2379330
     /* 2379330 */   GIM_Try, /*On fail goto*//*Label 33647*/ GIMT_Encode4(2379373), // Rule ID 59209 //
     /* 2379335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379338 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2379341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2379355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379372 */     // GIR_Coverage, 59209,
     /* 2379372 */     GIR_EraseRootFromParent_Done,
     /* 2379373 */   // Label 33647: @2379373
     /* 2379373 */   GIM_Reject,
     /* 2379374 */ // Label 33645: @2379374
     /* 2379374 */ GIM_Reject,
     /* 2379375 */ // Label 33583: @2379375
     /* 2379375 */ GIM_Try, /*On fail goto*//*Label 33648*/ GIMT_Encode4(2379478),
     /* 2379380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2379383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379391 */   GIM_Try, /*On fail goto*//*Label 33649*/ GIMT_Encode4(2379434), // Rule ID 59216 //
     /* 2379396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379399 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2379402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2379416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379433 */     // GIR_Coverage, 59216,
     /* 2379433 */     GIR_EraseRootFromParent_Done,
     /* 2379434 */   // Label 33649: @2379434
     /* 2379434 */   GIM_Try, /*On fail goto*//*Label 33650*/ GIMT_Encode4(2379477), // Rule ID 59217 //
     /* 2379439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379442 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2379445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2379459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379476 */     // GIR_Coverage, 59217,
     /* 2379476 */     GIR_EraseRootFromParent_Done,
     /* 2379477 */   // Label 33650: @2379477
     /* 2379477 */   GIM_Reject,
     /* 2379478 */ // Label 33648: @2379478
     /* 2379478 */ GIM_Reject,
     /* 2379479 */ // Label 33584: @2379479
     /* 2379479 */ GIM_Try, /*On fail goto*//*Label 33651*/ GIMT_Encode4(2379582),
     /* 2379484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2379487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379495 */   GIM_Try, /*On fail goto*//*Label 33652*/ GIMT_Encode4(2379538), // Rule ID 59224 //
     /* 2379500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379503 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2379520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379537 */     // GIR_Coverage, 59224,
     /* 2379537 */     GIR_EraseRootFromParent_Done,
     /* 2379538 */   // Label 33652: @2379538
     /* 2379538 */   GIM_Try, /*On fail goto*//*Label 33653*/ GIMT_Encode4(2379581), // Rule ID 59225 //
     /* 2379543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379546 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2379563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379580 */     // GIR_Coverage, 59225,
     /* 2379580 */     GIR_EraseRootFromParent_Done,
     /* 2379581 */   // Label 33653: @2379581
     /* 2379581 */   GIM_Reject,
     /* 2379582 */ // Label 33651: @2379582
     /* 2379582 */ GIM_Reject,
     /* 2379583 */ // Label 33585: @2379583
     /* 2379583 */ GIM_Try, /*On fail goto*//*Label 33654*/ GIMT_Encode4(2379686),
     /* 2379588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2379591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379599 */   GIM_Try, /*On fail goto*//*Label 33655*/ GIMT_Encode4(2379642), // Rule ID 59210 //
     /* 2379604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379607 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2379610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2379624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379641 */     // GIR_Coverage, 59210,
     /* 2379641 */     GIR_EraseRootFromParent_Done,
     /* 2379642 */   // Label 33655: @2379642
     /* 2379642 */   GIM_Try, /*On fail goto*//*Label 33656*/ GIMT_Encode4(2379685), // Rule ID 59211 //
     /* 2379647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379650 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2379653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2379667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379684 */     // GIR_Coverage, 59211,
     /* 2379684 */     GIR_EraseRootFromParent_Done,
     /* 2379685 */   // Label 33656: @2379685
     /* 2379685 */   GIM_Reject,
     /* 2379686 */ // Label 33654: @2379686
     /* 2379686 */ GIM_Reject,
     /* 2379687 */ // Label 33586: @2379687
     /* 2379687 */ GIM_Try, /*On fail goto*//*Label 33657*/ GIMT_Encode4(2379790),
     /* 2379692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2379695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379703 */   GIM_Try, /*On fail goto*//*Label 33658*/ GIMT_Encode4(2379746), // Rule ID 59218 //
     /* 2379708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379711 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2379728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379745 */     // GIR_Coverage, 59218,
     /* 2379745 */     GIR_EraseRootFromParent_Done,
     /* 2379746 */   // Label 33658: @2379746
     /* 2379746 */   GIM_Try, /*On fail goto*//*Label 33659*/ GIMT_Encode4(2379789), // Rule ID 59219 //
     /* 2379751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379754 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2379771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379788 */     // GIR_Coverage, 59219,
     /* 2379788 */     GIR_EraseRootFromParent_Done,
     /* 2379789 */   // Label 33659: @2379789
     /* 2379789 */   GIM_Reject,
     /* 2379790 */ // Label 33657: @2379790
     /* 2379790 */ GIM_Reject,
     /* 2379791 */ // Label 33587: @2379791
     /* 2379791 */ GIM_Try, /*On fail goto*//*Label 33660*/ GIMT_Encode4(2379894),
     /* 2379796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2379799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379807 */   GIM_Try, /*On fail goto*//*Label 33661*/ GIMT_Encode4(2379850), // Rule ID 59212 //
     /* 2379812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379815 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2379818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2379832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379849 */     // GIR_Coverage, 59212,
     /* 2379849 */     GIR_EraseRootFromParent_Done,
     /* 2379850 */   // Label 33661: @2379850
     /* 2379850 */   GIM_Try, /*On fail goto*//*Label 33662*/ GIMT_Encode4(2379893), // Rule ID 59213 //
     /* 2379855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379858 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2379861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2379875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379892 */     // GIR_Coverage, 59213,
     /* 2379892 */     GIR_EraseRootFromParent_Done,
     /* 2379893 */   // Label 33662: @2379893
     /* 2379893 */   GIM_Reject,
     /* 2379894 */ // Label 33660: @2379894
     /* 2379894 */ GIM_Reject,
     /* 2379895 */ // Label 33588: @2379895
     /* 2379895 */ GIM_Reject,
     /* 2379896 */ // Label 89: @2379896
     /* 2379896 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33687*/ GIMT_Encode4(2382665),
     /* 2379907 */ /*GILLT_s32*//*Label 33663*/ GIMT_Encode4(2380031),
     /* 2379911 */ /*GILLT_s64*//*Label 33664*/ GIMT_Encode4(2380260), GIMT_Encode4(0),
     /* 2379919 */ /*GILLT_nxv1s8*//*Label 33665*/ GIMT_Encode4(2380377),
     /* 2379923 */ /*GILLT_nxv1s16*//*Label 33666*/ GIMT_Encode4(2380481),
     /* 2379927 */ /*GILLT_nxv1s32*//*Label 33667*/ GIMT_Encode4(2380585),
     /* 2379931 */ /*GILLT_nxv1s64*//*Label 33668*/ GIMT_Encode4(2380689), GIMT_Encode4(0),
     /* 2379939 */ /*GILLT_nxv2s8*//*Label 33669*/ GIMT_Encode4(2380793),
     /* 2379943 */ /*GILLT_nxv2s16*//*Label 33670*/ GIMT_Encode4(2380897),
     /* 2379947 */ /*GILLT_nxv2s32*//*Label 33671*/ GIMT_Encode4(2381001),
     /* 2379951 */ /*GILLT_nxv2s64*//*Label 33672*/ GIMT_Encode4(2381105), GIMT_Encode4(0),
     /* 2379959 */ /*GILLT_nxv4s8*//*Label 33673*/ GIMT_Encode4(2381209),
     /* 2379963 */ /*GILLT_nxv4s16*//*Label 33674*/ GIMT_Encode4(2381313),
     /* 2379967 */ /*GILLT_nxv4s32*//*Label 33675*/ GIMT_Encode4(2381417),
     /* 2379971 */ /*GILLT_nxv4s64*//*Label 33676*/ GIMT_Encode4(2381521), GIMT_Encode4(0),
     /* 2379979 */ /*GILLT_nxv8s8*//*Label 33677*/ GIMT_Encode4(2381625),
     /* 2379983 */ /*GILLT_nxv8s16*//*Label 33678*/ GIMT_Encode4(2381729),
     /* 2379987 */ /*GILLT_nxv8s32*//*Label 33679*/ GIMT_Encode4(2381833),
     /* 2379991 */ /*GILLT_nxv8s64*//*Label 33680*/ GIMT_Encode4(2381937), GIMT_Encode4(0),
     /* 2379999 */ /*GILLT_nxv16s8*//*Label 33681*/ GIMT_Encode4(2382041),
     /* 2380003 */ /*GILLT_nxv16s16*//*Label 33682*/ GIMT_Encode4(2382145),
     /* 2380007 */ /*GILLT_nxv16s32*//*Label 33683*/ GIMT_Encode4(2382249), GIMT_Encode4(0),
     /* 2380015 */ /*GILLT_nxv32s8*//*Label 33684*/ GIMT_Encode4(2382353),
     /* 2380019 */ /*GILLT_nxv32s16*//*Label 33685*/ GIMT_Encode4(2382457), GIMT_Encode4(0),
     /* 2380027 */ /*GILLT_nxv64s8*//*Label 33686*/ GIMT_Encode4(2382561),
     /* 2380031 */ // Label 33663: @2380031
     /* 2380031 */ GIM_Try, /*On fail goto*//*Label 33688*/ GIMT_Encode4(2380259),
     /* 2380036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2380039 */   GIM_Try, /*On fail goto*//*Label 33689*/ GIMT_Encode4(2380089), // Rule ID 62568 //
     /* 2380044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2380047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2380059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2380063 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2380067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380072 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2380076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380078 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (TH_FF0:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2380078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2380081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380088 */     // GIR_Coverage, 62568,
     /* 2380088 */     GIR_EraseRootFromParent_Done,
     /* 2380089 */   // Label 33689: @2380089
     /* 2380089 */   GIM_Try, /*On fail goto*//*Label 33690*/ GIMT_Encode4(2380139), // Rule ID 64637 //
     /* 2380094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HasVendorXqcibm_IsRV32_HwMode0),
     /* 2380097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2380101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2380109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2380113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2380117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380122 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2380126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380128 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (QC_CLO:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2380128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_CLO),
     /* 2380131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380138 */     // GIR_Coverage, 64637,
     /* 2380138 */     GIR_EraseRootFromParent_Done,
     /* 2380139 */   // Label 33690: @2380139
     /* 2380139 */   GIM_Try, /*On fail goto*//*Label 33691*/ GIMT_Encode4(2380189), // Rule ID 64638 //
     /* 2380144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HasVendorXqcibm_IsRV32_HwMode1),
     /* 2380147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2380151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2380159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2380163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2380167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380172 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2380176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380178 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (QC_CLO:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2380178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_CLO),
     /* 2380181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380188 */     // GIR_Coverage, 64638,
     /* 2380188 */     GIR_EraseRootFromParent_Done,
     /* 2380189 */   // Label 33691: @2380189
     /* 2380189 */   GIM_Try, /*On fail goto*//*Label 33692*/ GIMT_Encode4(2380212), // Rule ID 2517 //
     /* 2380194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2380197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380205 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CLZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2380205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2380210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380211 */     // GIR_Coverage, 2517,
     /* 2380211 */     GIR_Done,
     /* 2380212 */   // Label 33692: @2380212
     /* 2380212 */   GIM_Try, /*On fail goto*//*Label 33693*/ GIMT_Encode4(2380235), // Rule ID 62566 //
     /* 2380217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2380220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380228 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2380228 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2380233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380234 */     // GIR_Coverage, 62566,
     /* 2380234 */     GIR_Done,
     /* 2380235 */   // Label 33693: @2380235
     /* 2380235 */   GIM_Try, /*On fail goto*//*Label 33694*/ GIMT_Encode4(2380258), // Rule ID 64445 //
     /* 2380240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2380243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380251 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FL1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2380251 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2380256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380257 */     // GIR_Coverage, 64445,
     /* 2380257 */     GIR_Done,
     /* 2380258 */   // Label 33694: @2380258
     /* 2380258 */   GIM_Reject,
     /* 2380259 */ // Label 33688: @2380259
     /* 2380259 */ GIM_Reject,
     /* 2380260 */ // Label 33664: @2380260
     /* 2380260 */ GIM_Try, /*On fail goto*//*Label 33695*/ GIMT_Encode4(2380376),
     /* 2380265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2380268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380272 */   GIM_Try, /*On fail goto*//*Label 33696*/ GIMT_Encode4(2380318), // Rule ID 62567 //
     /* 2380277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2380280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2380288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2380292 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2380296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380301 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2380305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380307 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }))  =>  (TH_FF0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2380307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2380310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380317 */     // GIR_Coverage, 62567,
     /* 2380317 */     GIR_EraseRootFromParent_Done,
     /* 2380318 */   // Label 33696: @2380318
     /* 2380318 */   GIM_Try, /*On fail goto*//*Label 33697*/ GIMT_Encode4(2380337), // Rule ID 2516 //
     /* 2380323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2380326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380330 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2380330 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2380335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380336 */     // GIR_Coverage, 2516,
     /* 2380336 */     GIR_Done,
     /* 2380337 */   // Label 33697: @2380337
     /* 2380337 */   GIM_Try, /*On fail goto*//*Label 33698*/ GIMT_Encode4(2380356), // Rule ID 62565 //
     /* 2380342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2380345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380349 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2380349 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2380354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380355 */     // GIR_Coverage, 62565,
     /* 2380355 */     GIR_Done,
     /* 2380356 */   // Label 33698: @2380356
     /* 2380356 */   GIM_Try, /*On fail goto*//*Label 33699*/ GIMT_Encode4(2380375), // Rule ID 64444 //
     /* 2380361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2380364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380368 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FL1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2380368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2380373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380374 */     // GIR_Coverage, 64444,
     /* 2380374 */     GIR_Done,
     /* 2380375 */   // Label 33699: @2380375
     /* 2380375 */   GIM_Reject,
     /* 2380376 */ // Label 33695: @2380376
     /* 2380376 */ GIM_Reject,
     /* 2380377 */ // Label 33665: @2380377
     /* 2380377 */ GIM_Try, /*On fail goto*//*Label 33700*/ GIMT_Encode4(2380480),
     /* 2380382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2380385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380393 */   GIM_Try, /*On fail goto*//*Label 33701*/ GIMT_Encode4(2380436), // Rule ID 59144 //
     /* 2380398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380401 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2380404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2380418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380435 */     // GIR_Coverage, 59144,
     /* 2380435 */     GIR_EraseRootFromParent_Done,
     /* 2380436 */   // Label 33701: @2380436
     /* 2380436 */   GIM_Try, /*On fail goto*//*Label 33702*/ GIMT_Encode4(2380479), // Rule ID 59145 //
     /* 2380441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380444 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2380447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2380461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380478 */     // GIR_Coverage, 59145,
     /* 2380478 */     GIR_EraseRootFromParent_Done,
     /* 2380479 */   // Label 33702: @2380479
     /* 2380479 */   GIM_Reject,
     /* 2380480 */ // Label 33700: @2380480
     /* 2380480 */ GIM_Reject,
     /* 2380481 */ // Label 33666: @2380481
     /* 2380481 */ GIM_Try, /*On fail goto*//*Label 33703*/ GIMT_Encode4(2380584),
     /* 2380486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2380489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380497 */   GIM_Try, /*On fail goto*//*Label 33704*/ GIMT_Encode4(2380540), // Rule ID 59150 //
     /* 2380502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380505 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2380508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2380522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380539 */     // GIR_Coverage, 59150,
     /* 2380539 */     GIR_EraseRootFromParent_Done,
     /* 2380540 */   // Label 33704: @2380540
     /* 2380540 */   GIM_Try, /*On fail goto*//*Label 33705*/ GIMT_Encode4(2380583), // Rule ID 59151 //
     /* 2380545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380548 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2380551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2380565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380582 */     // GIR_Coverage, 59151,
     /* 2380582 */     GIR_EraseRootFromParent_Done,
     /* 2380583 */   // Label 33705: @2380583
     /* 2380583 */   GIM_Reject,
     /* 2380584 */ // Label 33703: @2380584
     /* 2380584 */ GIM_Reject,
     /* 2380585 */ // Label 33667: @2380585
     /* 2380585 */ GIM_Try, /*On fail goto*//*Label 33706*/ GIMT_Encode4(2380688),
     /* 2380590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380601 */   GIM_Try, /*On fail goto*//*Label 33707*/ GIMT_Encode4(2380644), // Rule ID 59154 //
     /* 2380606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380609 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2380612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2380626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380643 */     // GIR_Coverage, 59154,
     /* 2380643 */     GIR_EraseRootFromParent_Done,
     /* 2380644 */   // Label 33707: @2380644
     /* 2380644 */   GIM_Try, /*On fail goto*//*Label 33708*/ GIMT_Encode4(2380687), // Rule ID 59155 //
     /* 2380649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380652 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2380655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2380669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380686 */     // GIR_Coverage, 59155,
     /* 2380686 */     GIR_EraseRootFromParent_Done,
     /* 2380687 */   // Label 33708: @2380687
     /* 2380687 */   GIM_Reject,
     /* 2380688 */ // Label 33706: @2380688
     /* 2380688 */ GIM_Reject,
     /* 2380689 */ // Label 33668: @2380689
     /* 2380689 */ GIM_Try, /*On fail goto*//*Label 33709*/ GIMT_Encode4(2380792),
     /* 2380694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2380697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380705 */   GIM_Try, /*On fail goto*//*Label 33710*/ GIMT_Encode4(2380748), // Rule ID 59162 //
     /* 2380710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2380713 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2380716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2380730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380747 */     // GIR_Coverage, 59162,
     /* 2380747 */     GIR_EraseRootFromParent_Done,
     /* 2380748 */   // Label 33710: @2380748
     /* 2380748 */   GIM_Try, /*On fail goto*//*Label 33711*/ GIMT_Encode4(2380791), // Rule ID 59163 //
     /* 2380753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2380756 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2380759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2380773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380790 */     // GIR_Coverage, 59163,
     /* 2380790 */     GIR_EraseRootFromParent_Done,
     /* 2380791 */   // Label 33711: @2380791
     /* 2380791 */   GIM_Reject,
     /* 2380792 */ // Label 33709: @2380792
     /* 2380792 */ GIM_Reject,
     /* 2380793 */ // Label 33669: @2380793
     /* 2380793 */ GIM_Try, /*On fail goto*//*Label 33712*/ GIMT_Encode4(2380896),
     /* 2380798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2380801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380809 */   GIM_Try, /*On fail goto*//*Label 33713*/ GIMT_Encode4(2380852), // Rule ID 59146 //
     /* 2380814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380817 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2380820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2380834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380851 */     // GIR_Coverage, 59146,
     /* 2380851 */     GIR_EraseRootFromParent_Done,
     /* 2380852 */   // Label 33713: @2380852
     /* 2380852 */   GIM_Try, /*On fail goto*//*Label 33714*/ GIMT_Encode4(2380895), // Rule ID 59147 //
     /* 2380857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380860 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2380863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2380877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380894 */     // GIR_Coverage, 59147,
     /* 2380894 */     GIR_EraseRootFromParent_Done,
     /* 2380895 */   // Label 33714: @2380895
     /* 2380895 */   GIM_Reject,
     /* 2380896 */ // Label 33712: @2380896
     /* 2380896 */ GIM_Reject,
     /* 2380897 */ // Label 33670: @2380897
     /* 2380897 */ GIM_Try, /*On fail goto*//*Label 33715*/ GIMT_Encode4(2381000),
     /* 2380902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2380905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380913 */   GIM_Try, /*On fail goto*//*Label 33716*/ GIMT_Encode4(2380956), // Rule ID 59152 //
     /* 2380918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380921 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2380924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2380938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380955 */     // GIR_Coverage, 59152,
     /* 2380955 */     GIR_EraseRootFromParent_Done,
     /* 2380956 */   // Label 33716: @2380956
     /* 2380956 */   GIM_Try, /*On fail goto*//*Label 33717*/ GIMT_Encode4(2380999), // Rule ID 59153 //
     /* 2380961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380964 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2380967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2380981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380998 */     // GIR_Coverage, 59153,
     /* 2380998 */     GIR_EraseRootFromParent_Done,
     /* 2380999 */   // Label 33717: @2380999
     /* 2380999 */   GIM_Reject,
     /* 2381000 */ // Label 33715: @2381000
     /* 2381000 */ GIM_Reject,
     /* 2381001 */ // Label 33671: @2381001
     /* 2381001 */ GIM_Try, /*On fail goto*//*Label 33718*/ GIMT_Encode4(2381104),
     /* 2381006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2381009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381017 */   GIM_Try, /*On fail goto*//*Label 33719*/ GIMT_Encode4(2381060), // Rule ID 59160 //
     /* 2381022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381025 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2381028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2381042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381059 */     // GIR_Coverage, 59160,
     /* 2381059 */     GIR_EraseRootFromParent_Done,
     /* 2381060 */   // Label 33719: @2381060
     /* 2381060 */   GIM_Try, /*On fail goto*//*Label 33720*/ GIMT_Encode4(2381103), // Rule ID 59161 //
     /* 2381065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381068 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2381071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2381085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381102 */     // GIR_Coverage, 59161,
     /* 2381102 */     GIR_EraseRootFromParent_Done,
     /* 2381103 */   // Label 33720: @2381103
     /* 2381103 */   GIM_Reject,
     /* 2381104 */ // Label 33718: @2381104
     /* 2381104 */ GIM_Reject,
     /* 2381105 */ // Label 33672: @2381105
     /* 2381105 */ GIM_Try, /*On fail goto*//*Label 33721*/ GIMT_Encode4(2381208),
     /* 2381110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2381113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381121 */   GIM_Try, /*On fail goto*//*Label 33722*/ GIMT_Encode4(2381164), // Rule ID 59182 //
     /* 2381126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2381129 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2381132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2381146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381163 */     // GIR_Coverage, 59182,
     /* 2381163 */     GIR_EraseRootFromParent_Done,
     /* 2381164 */   // Label 33722: @2381164
     /* 2381164 */   GIM_Try, /*On fail goto*//*Label 33723*/ GIMT_Encode4(2381207), // Rule ID 59183 //
     /* 2381169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2381172 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2381175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2381189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381206 */     // GIR_Coverage, 59183,
     /* 2381206 */     GIR_EraseRootFromParent_Done,
     /* 2381207 */   // Label 33723: @2381207
     /* 2381207 */   GIM_Reject,
     /* 2381208 */ // Label 33721: @2381208
     /* 2381208 */ GIM_Reject,
     /* 2381209 */ // Label 33673: @2381209
     /* 2381209 */ GIM_Try, /*On fail goto*//*Label 33724*/ GIMT_Encode4(2381312),
     /* 2381214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2381217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381225 */   GIM_Try, /*On fail goto*//*Label 33725*/ GIMT_Encode4(2381268), // Rule ID 59148 //
     /* 2381230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381233 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2381236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2381250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381267 */     // GIR_Coverage, 59148,
     /* 2381267 */     GIR_EraseRootFromParent_Done,
     /* 2381268 */   // Label 33725: @2381268
     /* 2381268 */   GIM_Try, /*On fail goto*//*Label 33726*/ GIMT_Encode4(2381311), // Rule ID 59149 //
     /* 2381273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381276 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2381279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2381293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381310 */     // GIR_Coverage, 59149,
     /* 2381310 */     GIR_EraseRootFromParent_Done,
     /* 2381311 */   // Label 33726: @2381311
     /* 2381311 */   GIM_Reject,
     /* 2381312 */ // Label 33724: @2381312
     /* 2381312 */ GIM_Reject,
     /* 2381313 */ // Label 33674: @2381313
     /* 2381313 */ GIM_Try, /*On fail goto*//*Label 33727*/ GIMT_Encode4(2381416),
     /* 2381318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2381321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381329 */   GIM_Try, /*On fail goto*//*Label 33728*/ GIMT_Encode4(2381372), // Rule ID 59158 //
     /* 2381334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381337 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2381340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2381354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381371 */     // GIR_Coverage, 59158,
     /* 2381371 */     GIR_EraseRootFromParent_Done,
     /* 2381372 */   // Label 33728: @2381372
     /* 2381372 */   GIM_Try, /*On fail goto*//*Label 33729*/ GIMT_Encode4(2381415), // Rule ID 59159 //
     /* 2381377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381380 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2381383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2381397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381414 */     // GIR_Coverage, 59159,
     /* 2381414 */     GIR_EraseRootFromParent_Done,
     /* 2381415 */   // Label 33729: @2381415
     /* 2381415 */   GIM_Reject,
     /* 2381416 */ // Label 33727: @2381416
     /* 2381416 */ GIM_Reject,
     /* 2381417 */ // Label 33675: @2381417
     /* 2381417 */ GIM_Try, /*On fail goto*//*Label 33730*/ GIMT_Encode4(2381520),
     /* 2381422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2381425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381433 */   GIM_Try, /*On fail goto*//*Label 33731*/ GIMT_Encode4(2381476), // Rule ID 59176 //
     /* 2381438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381441 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2381444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2381458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381475 */     // GIR_Coverage, 59176,
     /* 2381475 */     GIR_EraseRootFromParent_Done,
     /* 2381476 */   // Label 33731: @2381476
     /* 2381476 */   GIM_Try, /*On fail goto*//*Label 33732*/ GIMT_Encode4(2381519), // Rule ID 59177 //
     /* 2381481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381484 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2381487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2381501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381518 */     // GIR_Coverage, 59177,
     /* 2381518 */     GIR_EraseRootFromParent_Done,
     /* 2381519 */   // Label 33732: @2381519
     /* 2381519 */   GIM_Reject,
     /* 2381520 */ // Label 33730: @2381520
     /* 2381520 */ GIM_Reject,
     /* 2381521 */ // Label 33676: @2381521
     /* 2381521 */ GIM_Try, /*On fail goto*//*Label 33733*/ GIMT_Encode4(2381624),
     /* 2381526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2381529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381537 */   GIM_Try, /*On fail goto*//*Label 33734*/ GIMT_Encode4(2381580), // Rule ID 59184 //
     /* 2381542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2381545 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2381548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2381562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381579 */     // GIR_Coverage, 59184,
     /* 2381579 */     GIR_EraseRootFromParent_Done,
     /* 2381580 */   // Label 33734: @2381580
     /* 2381580 */   GIM_Try, /*On fail goto*//*Label 33735*/ GIMT_Encode4(2381623), // Rule ID 59185 //
     /* 2381585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2381588 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2381591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2381605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381622 */     // GIR_Coverage, 59185,
     /* 2381622 */     GIR_EraseRootFromParent_Done,
     /* 2381623 */   // Label 33735: @2381623
     /* 2381623 */   GIM_Reject,
     /* 2381624 */ // Label 33733: @2381624
     /* 2381624 */ GIM_Reject,
     /* 2381625 */ // Label 33677: @2381625
     /* 2381625 */ GIM_Try, /*On fail goto*//*Label 33736*/ GIMT_Encode4(2381728),
     /* 2381630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2381633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381641 */   GIM_Try, /*On fail goto*//*Label 33737*/ GIMT_Encode4(2381684), // Rule ID 59156 //
     /* 2381646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381649 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2381652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2381666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381683 */     // GIR_Coverage, 59156,
     /* 2381683 */     GIR_EraseRootFromParent_Done,
     /* 2381684 */   // Label 33737: @2381684
     /* 2381684 */   GIM_Try, /*On fail goto*//*Label 33738*/ GIMT_Encode4(2381727), // Rule ID 59157 //
     /* 2381689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381692 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2381695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2381709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381726 */     // GIR_Coverage, 59157,
     /* 2381726 */     GIR_EraseRootFromParent_Done,
     /* 2381727 */   // Label 33738: @2381727
     /* 2381727 */   GIM_Reject,
     /* 2381728 */ // Label 33736: @2381728
     /* 2381728 */ GIM_Reject,
     /* 2381729 */ // Label 33678: @2381729
     /* 2381729 */ GIM_Try, /*On fail goto*//*Label 33739*/ GIMT_Encode4(2381832),
     /* 2381734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2381737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381745 */   GIM_Try, /*On fail goto*//*Label 33740*/ GIMT_Encode4(2381788), // Rule ID 59170 //
     /* 2381750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381753 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2381756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2381770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381787 */     // GIR_Coverage, 59170,
     /* 2381787 */     GIR_EraseRootFromParent_Done,
     /* 2381788 */   // Label 33740: @2381788
     /* 2381788 */   GIM_Try, /*On fail goto*//*Label 33741*/ GIMT_Encode4(2381831), // Rule ID 59171 //
     /* 2381793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381796 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2381799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2381813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381830 */     // GIR_Coverage, 59171,
     /* 2381830 */     GIR_EraseRootFromParent_Done,
     /* 2381831 */   // Label 33741: @2381831
     /* 2381831 */   GIM_Reject,
     /* 2381832 */ // Label 33739: @2381832
     /* 2381832 */ GIM_Reject,
     /* 2381833 */ // Label 33679: @2381833
     /* 2381833 */ GIM_Try, /*On fail goto*//*Label 33742*/ GIMT_Encode4(2381936),
     /* 2381838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2381841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381849 */   GIM_Try, /*On fail goto*//*Label 33743*/ GIMT_Encode4(2381892), // Rule ID 59178 //
     /* 2381854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381857 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2381860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2381874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381891 */     // GIR_Coverage, 59178,
     /* 2381891 */     GIR_EraseRootFromParent_Done,
     /* 2381892 */   // Label 33743: @2381892
     /* 2381892 */   GIM_Try, /*On fail goto*//*Label 33744*/ GIMT_Encode4(2381935), // Rule ID 59179 //
     /* 2381897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381900 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2381903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2381917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381934 */     // GIR_Coverage, 59179,
     /* 2381934 */     GIR_EraseRootFromParent_Done,
     /* 2381935 */   // Label 33744: @2381935
     /* 2381935 */   GIM_Reject,
     /* 2381936 */ // Label 33742: @2381936
     /* 2381936 */ GIM_Reject,
     /* 2381937 */ // Label 33680: @2381937
     /* 2381937 */ GIM_Try, /*On fail goto*//*Label 33745*/ GIMT_Encode4(2382040),
     /* 2381942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2381945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381953 */   GIM_Try, /*On fail goto*//*Label 33746*/ GIMT_Encode4(2381996), // Rule ID 59186 //
     /* 2381958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2381961 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2381964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2381978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381995 */     // GIR_Coverage, 59186,
     /* 2381995 */     GIR_EraseRootFromParent_Done,
     /* 2381996 */   // Label 33746: @2381996
     /* 2381996 */   GIM_Try, /*On fail goto*//*Label 33747*/ GIMT_Encode4(2382039), // Rule ID 59187 //
     /* 2382001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2382004 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2382007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2382021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2382034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382038 */     // GIR_Coverage, 59187,
     /* 2382038 */     GIR_EraseRootFromParent_Done,
     /* 2382039 */   // Label 33747: @2382039
     /* 2382039 */   GIM_Reject,
     /* 2382040 */ // Label 33745: @2382040
     /* 2382040 */ GIM_Reject,
     /* 2382041 */ // Label 33681: @2382041
     /* 2382041 */ GIM_Try, /*On fail goto*//*Label 33748*/ GIMT_Encode4(2382144),
     /* 2382046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2382049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2382053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2382057 */   GIM_Try, /*On fail goto*//*Label 33749*/ GIMT_Encode4(2382100), // Rule ID 59164 //
     /* 2382062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382065 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2382068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2382082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382099 */     // GIR_Coverage, 59164,
     /* 2382099 */     GIR_EraseRootFromParent_Done,
     /* 2382100 */   // Label 33749: @2382100
     /* 2382100 */   GIM_Try, /*On fail goto*//*Label 33750*/ GIMT_Encode4(2382143), // Rule ID 59165 //
     /* 2382105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382108 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2382111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2382125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382142 */     // GIR_Coverage, 59165,
     /* 2382142 */     GIR_EraseRootFromParent_Done,
     /* 2382143 */   // Label 33750: @2382143
     /* 2382143 */   GIM_Reject,
     /* 2382144 */ // Label 33748: @2382144
     /* 2382144 */ GIM_Reject,
     /* 2382145 */ // Label 33682: @2382145
     /* 2382145 */ GIM_Try, /*On fail goto*//*Label 33751*/ GIMT_Encode4(2382248),
     /* 2382150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2382153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2382157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2382161 */   GIM_Try, /*On fail goto*//*Label 33752*/ GIMT_Encode4(2382204), // Rule ID 59172 //
     /* 2382166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382169 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2382172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2382186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382203 */     // GIR_Coverage, 59172,
     /* 2382203 */     GIR_EraseRootFromParent_Done,
     /* 2382204 */   // Label 33752: @2382204
     /* 2382204 */   GIM_Try, /*On fail goto*//*Label 33753*/ GIMT_Encode4(2382247), // Rule ID 59173 //
     /* 2382209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382212 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2382215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2382229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382246 */     // GIR_Coverage, 59173,
     /* 2382246 */     GIR_EraseRootFromParent_Done,
     /* 2382247 */   // Label 33753: @2382247
     /* 2382247 */   GIM_Reject,
     /* 2382248 */ // Label 33751: @2382248
     /* 2382248 */ GIM_Reject,
     /* 2382249 */ // Label 33683: @2382249
     /* 2382249 */ GIM_Try, /*On fail goto*//*Label 33754*/ GIMT_Encode4(2382352),
     /* 2382254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2382257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382265 */   GIM_Try, /*On fail goto*//*Label 33755*/ GIMT_Encode4(2382308), // Rule ID 59180 //
     /* 2382270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382273 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2382276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2382290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382307 */     // GIR_Coverage, 59180,
     /* 2382307 */     GIR_EraseRootFromParent_Done,
     /* 2382308 */   // Label 33755: @2382308
     /* 2382308 */   GIM_Try, /*On fail goto*//*Label 33756*/ GIMT_Encode4(2382351), // Rule ID 59181 //
     /* 2382313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382316 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2382319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2382333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382350 */     // GIR_Coverage, 59181,
     /* 2382350 */     GIR_EraseRootFromParent_Done,
     /* 2382351 */   // Label 33756: @2382351
     /* 2382351 */   GIM_Reject,
     /* 2382352 */ // Label 33754: @2382352
     /* 2382352 */ GIM_Reject,
     /* 2382353 */ // Label 33684: @2382353
     /* 2382353 */ GIM_Try, /*On fail goto*//*Label 33757*/ GIMT_Encode4(2382456),
     /* 2382358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2382361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2382365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2382369 */   GIM_Try, /*On fail goto*//*Label 33758*/ GIMT_Encode4(2382412), // Rule ID 59166 //
     /* 2382374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382377 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2382380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2382394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382411 */     // GIR_Coverage, 59166,
     /* 2382411 */     GIR_EraseRootFromParent_Done,
     /* 2382412 */   // Label 33758: @2382412
     /* 2382412 */   GIM_Try, /*On fail goto*//*Label 33759*/ GIMT_Encode4(2382455), // Rule ID 59167 //
     /* 2382417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382420 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2382423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2382437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382454 */     // GIR_Coverage, 59167,
     /* 2382454 */     GIR_EraseRootFromParent_Done,
     /* 2382455 */   // Label 33759: @2382455
     /* 2382455 */   GIM_Reject,
     /* 2382456 */ // Label 33757: @2382456
     /* 2382456 */ GIM_Reject,
     /* 2382457 */ // Label 33685: @2382457
     /* 2382457 */ GIM_Try, /*On fail goto*//*Label 33760*/ GIMT_Encode4(2382560),
     /* 2382462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2382465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382473 */   GIM_Try, /*On fail goto*//*Label 33761*/ GIMT_Encode4(2382516), // Rule ID 59174 //
     /* 2382478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382481 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2382484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2382498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382515 */     // GIR_Coverage, 59174,
     /* 2382515 */     GIR_EraseRootFromParent_Done,
     /* 2382516 */   // Label 33761: @2382516
     /* 2382516 */   GIM_Try, /*On fail goto*//*Label 33762*/ GIMT_Encode4(2382559), // Rule ID 59175 //
     /* 2382521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382524 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2382527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2382541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382558 */     // GIR_Coverage, 59175,
     /* 2382558 */     GIR_EraseRootFromParent_Done,
     /* 2382559 */   // Label 33762: @2382559
     /* 2382559 */   GIM_Reject,
     /* 2382560 */ // Label 33760: @2382560
     /* 2382560 */ GIM_Reject,
     /* 2382561 */ // Label 33686: @2382561
     /* 2382561 */ GIM_Try, /*On fail goto*//*Label 33763*/ GIMT_Encode4(2382664),
     /* 2382566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2382569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382577 */   GIM_Try, /*On fail goto*//*Label 33764*/ GIMT_Encode4(2382620), // Rule ID 59168 //
     /* 2382582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382585 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2382588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2382602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382619 */     // GIR_Coverage, 59168,
     /* 2382619 */     GIR_EraseRootFromParent_Done,
     /* 2382620 */   // Label 33764: @2382620
     /* 2382620 */   GIM_Try, /*On fail goto*//*Label 33765*/ GIMT_Encode4(2382663), // Rule ID 59169 //
     /* 2382625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382628 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2382631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2382645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382662 */     // GIR_Coverage, 59169,
     /* 2382662 */     GIR_EraseRootFromParent_Done,
     /* 2382663 */   // Label 33765: @2382663
     /* 2382663 */   GIM_Reject,
     /* 2382664 */ // Label 33763: @2382664
     /* 2382664 */ GIM_Reject,
     /* 2382665 */ // Label 33687: @2382665
     /* 2382665 */ GIM_Reject,
     /* 2382666 */ // Label 90: @2382666
     /* 2382666 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33790*/ GIMT_Encode4(2385216),
     /* 2382677 */ /*GILLT_s32*//*Label 33766*/ GIMT_Encode4(2382801),
     /* 2382681 */ /*GILLT_s64*//*Label 33767*/ GIMT_Encode4(2382849), GIMT_Encode4(0),
     /* 2382689 */ /*GILLT_nxv1s8*//*Label 33768*/ GIMT_Encode4(2382928),
     /* 2382693 */ /*GILLT_nxv1s16*//*Label 33769*/ GIMT_Encode4(2383032),
     /* 2382697 */ /*GILLT_nxv1s32*//*Label 33770*/ GIMT_Encode4(2383136),
     /* 2382701 */ /*GILLT_nxv1s64*//*Label 33771*/ GIMT_Encode4(2383240), GIMT_Encode4(0),
     /* 2382709 */ /*GILLT_nxv2s8*//*Label 33772*/ GIMT_Encode4(2383344),
     /* 2382713 */ /*GILLT_nxv2s16*//*Label 33773*/ GIMT_Encode4(2383448),
     /* 2382717 */ /*GILLT_nxv2s32*//*Label 33774*/ GIMT_Encode4(2383552),
     /* 2382721 */ /*GILLT_nxv2s64*//*Label 33775*/ GIMT_Encode4(2383656), GIMT_Encode4(0),
     /* 2382729 */ /*GILLT_nxv4s8*//*Label 33776*/ GIMT_Encode4(2383760),
     /* 2382733 */ /*GILLT_nxv4s16*//*Label 33777*/ GIMT_Encode4(2383864),
     /* 2382737 */ /*GILLT_nxv4s32*//*Label 33778*/ GIMT_Encode4(2383968),
     /* 2382741 */ /*GILLT_nxv4s64*//*Label 33779*/ GIMT_Encode4(2384072), GIMT_Encode4(0),
     /* 2382749 */ /*GILLT_nxv8s8*//*Label 33780*/ GIMT_Encode4(2384176),
     /* 2382753 */ /*GILLT_nxv8s16*//*Label 33781*/ GIMT_Encode4(2384280),
     /* 2382757 */ /*GILLT_nxv8s32*//*Label 33782*/ GIMT_Encode4(2384384),
     /* 2382761 */ /*GILLT_nxv8s64*//*Label 33783*/ GIMT_Encode4(2384488), GIMT_Encode4(0),
     /* 2382769 */ /*GILLT_nxv16s8*//*Label 33784*/ GIMT_Encode4(2384592),
     /* 2382773 */ /*GILLT_nxv16s16*//*Label 33785*/ GIMT_Encode4(2384696),
     /* 2382777 */ /*GILLT_nxv16s32*//*Label 33786*/ GIMT_Encode4(2384800), GIMT_Encode4(0),
     /* 2382785 */ /*GILLT_nxv32s8*//*Label 33787*/ GIMT_Encode4(2384904),
     /* 2382789 */ /*GILLT_nxv32s16*//*Label 33788*/ GIMT_Encode4(2385008), GIMT_Encode4(0),
     /* 2382797 */ /*GILLT_nxv64s8*//*Label 33789*/ GIMT_Encode4(2385112),
     /* 2382801 */ // Label 33766: @2382801
     /* 2382801 */ GIM_Try, /*On fail goto*//*Label 33791*/ GIMT_Encode4(2382848),
     /* 2382806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2382813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2382817 */   GIM_Try, /*On fail goto*//*Label 33792*/ GIMT_Encode4(2382832), // Rule ID 2521 //
     /* 2382822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2382825 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CPOP:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2382825 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2382830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382831 */     // GIR_Coverage, 2521,
     /* 2382831 */     GIR_Done,
     /* 2382832 */   // Label 33792: @2382832
     /* 2382832 */   GIM_Try, /*On fail goto*//*Label 33793*/ GIMT_Encode4(2382847), // Rule ID 64448 //
     /* 2382837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2382840 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_CNT:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2382840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2382845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382846 */     // GIR_Coverage, 64448,
     /* 2382846 */     GIR_Done,
     /* 2382847 */   // Label 33793: @2382847
     /* 2382847 */   GIM_Reject,
     /* 2382848 */ // Label 33791: @2382848
     /* 2382848 */ GIM_Reject,
     /* 2382849 */ // Label 33767: @2382849
     /* 2382849 */ GIM_Try, /*On fail goto*//*Label 33794*/ GIMT_Encode4(2382927),
     /* 2382854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2382861 */   GIM_Try, /*On fail goto*//*Label 33795*/ GIMT_Encode4(2382888), // Rule ID 2524 //
     /* 2382866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2382869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2382876 */     // (ctpop:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (CPOPW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2382876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CPOPW),
     /* 2382879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2382886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382887 */     // GIR_Coverage, 2524,
     /* 2382887 */     GIR_EraseRootFromParent_Done,
     /* 2382888 */   // Label 33795: @2382888
     /* 2382888 */   GIM_Try, /*On fail goto*//*Label 33796*/ GIMT_Encode4(2382907), // Rule ID 2520 //
     /* 2382893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2382896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2382900 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CPOP:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2382900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2382905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382906 */     // GIR_Coverage, 2520,
     /* 2382906 */     GIR_Done,
     /* 2382907 */   // Label 33796: @2382907
     /* 2382907 */   GIM_Try, /*On fail goto*//*Label 33797*/ GIMT_Encode4(2382926), // Rule ID 64447 //
     /* 2382912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2382915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2382919 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_CNT:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2382919 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2382924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382925 */     // GIR_Coverage, 64447,
     /* 2382925 */     GIR_Done,
     /* 2382926 */   // Label 33797: @2382926
     /* 2382926 */   GIM_Reject,
     /* 2382927 */ // Label 33794: @2382927
     /* 2382927 */ GIM_Reject,
     /* 2382928 */ // Label 33768: @2382928
     /* 2382928 */ GIM_Try, /*On fail goto*//*Label 33798*/ GIMT_Encode4(2383031),
     /* 2382933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2382936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382944 */   GIM_Try, /*On fail goto*//*Label 33799*/ GIMT_Encode4(2382987), // Rule ID 59232 //
     /* 2382949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382952 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2382955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2382969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382986 */     // GIR_Coverage, 59232,
     /* 2382986 */     GIR_EraseRootFromParent_Done,
     /* 2382987 */   // Label 33799: @2382987
     /* 2382987 */   GIM_Try, /*On fail goto*//*Label 33800*/ GIMT_Encode4(2383030), // Rule ID 59233 //
     /* 2382992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382995 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2382998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2383012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383029 */     // GIR_Coverage, 59233,
     /* 2383029 */     GIR_EraseRootFromParent_Done,
     /* 2383030 */   // Label 33800: @2383030
     /* 2383030 */   GIM_Reject,
     /* 2383031 */ // Label 33798: @2383031
     /* 2383031 */ GIM_Reject,
     /* 2383032 */ // Label 33769: @2383032
     /* 2383032 */ GIM_Try, /*On fail goto*//*Label 33801*/ GIMT_Encode4(2383135),
     /* 2383037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2383040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383048 */   GIM_Try, /*On fail goto*//*Label 33802*/ GIMT_Encode4(2383091), // Rule ID 59238 //
     /* 2383053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383056 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2383059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2383073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383090 */     // GIR_Coverage, 59238,
     /* 2383090 */     GIR_EraseRootFromParent_Done,
     /* 2383091 */   // Label 33802: @2383091
     /* 2383091 */   GIM_Try, /*On fail goto*//*Label 33803*/ GIMT_Encode4(2383134), // Rule ID 59239 //
     /* 2383096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383099 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2383102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2383116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383133 */     // GIR_Coverage, 59239,
     /* 2383133 */     GIR_EraseRootFromParent_Done,
     /* 2383134 */   // Label 33803: @2383134
     /* 2383134 */   GIM_Reject,
     /* 2383135 */ // Label 33801: @2383135
     /* 2383135 */ GIM_Reject,
     /* 2383136 */ // Label 33770: @2383136
     /* 2383136 */ GIM_Try, /*On fail goto*//*Label 33804*/ GIMT_Encode4(2383239),
     /* 2383141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2383144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383152 */   GIM_Try, /*On fail goto*//*Label 33805*/ GIMT_Encode4(2383195), // Rule ID 59242 //
     /* 2383157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383160 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2383163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2383177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383194 */     // GIR_Coverage, 59242,
     /* 2383194 */     GIR_EraseRootFromParent_Done,
     /* 2383195 */   // Label 33805: @2383195
     /* 2383195 */   GIM_Try, /*On fail goto*//*Label 33806*/ GIMT_Encode4(2383238), // Rule ID 59243 //
     /* 2383200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383203 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2383206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2383220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383237 */     // GIR_Coverage, 59243,
     /* 2383237 */     GIR_EraseRootFromParent_Done,
     /* 2383238 */   // Label 33806: @2383238
     /* 2383238 */   GIM_Reject,
     /* 2383239 */ // Label 33804: @2383239
     /* 2383239 */ GIM_Reject,
     /* 2383240 */ // Label 33771: @2383240
     /* 2383240 */ GIM_Try, /*On fail goto*//*Label 33807*/ GIMT_Encode4(2383343),
     /* 2383245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2383248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383256 */   GIM_Try, /*On fail goto*//*Label 33808*/ GIMT_Encode4(2383299), // Rule ID 59250 //
     /* 2383261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2383264 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2383267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2383281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383298 */     // GIR_Coverage, 59250,
     /* 2383298 */     GIR_EraseRootFromParent_Done,
     /* 2383299 */   // Label 33808: @2383299
     /* 2383299 */   GIM_Try, /*On fail goto*//*Label 33809*/ GIMT_Encode4(2383342), // Rule ID 59251 //
     /* 2383304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2383307 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2383310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2383324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383341 */     // GIR_Coverage, 59251,
     /* 2383341 */     GIR_EraseRootFromParent_Done,
     /* 2383342 */   // Label 33809: @2383342
     /* 2383342 */   GIM_Reject,
     /* 2383343 */ // Label 33807: @2383343
     /* 2383343 */ GIM_Reject,
     /* 2383344 */ // Label 33772: @2383344
     /* 2383344 */ GIM_Try, /*On fail goto*//*Label 33810*/ GIMT_Encode4(2383447),
     /* 2383349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2383352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383360 */   GIM_Try, /*On fail goto*//*Label 33811*/ GIMT_Encode4(2383403), // Rule ID 59234 //
     /* 2383365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383368 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2383371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2383385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383402 */     // GIR_Coverage, 59234,
     /* 2383402 */     GIR_EraseRootFromParent_Done,
     /* 2383403 */   // Label 33811: @2383403
     /* 2383403 */   GIM_Try, /*On fail goto*//*Label 33812*/ GIMT_Encode4(2383446), // Rule ID 59235 //
     /* 2383408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383411 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2383414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2383428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383445 */     // GIR_Coverage, 59235,
     /* 2383445 */     GIR_EraseRootFromParent_Done,
     /* 2383446 */   // Label 33812: @2383446
     /* 2383446 */   GIM_Reject,
     /* 2383447 */ // Label 33810: @2383447
     /* 2383447 */ GIM_Reject,
     /* 2383448 */ // Label 33773: @2383448
     /* 2383448 */ GIM_Try, /*On fail goto*//*Label 33813*/ GIMT_Encode4(2383551),
     /* 2383453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2383456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383464 */   GIM_Try, /*On fail goto*//*Label 33814*/ GIMT_Encode4(2383507), // Rule ID 59240 //
     /* 2383469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383472 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2383475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2383489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383506 */     // GIR_Coverage, 59240,
     /* 2383506 */     GIR_EraseRootFromParent_Done,
     /* 2383507 */   // Label 33814: @2383507
     /* 2383507 */   GIM_Try, /*On fail goto*//*Label 33815*/ GIMT_Encode4(2383550), // Rule ID 59241 //
     /* 2383512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383515 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2383518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2383532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383549 */     // GIR_Coverage, 59241,
     /* 2383549 */     GIR_EraseRootFromParent_Done,
     /* 2383550 */   // Label 33815: @2383550
     /* 2383550 */   GIM_Reject,
     /* 2383551 */ // Label 33813: @2383551
     /* 2383551 */ GIM_Reject,
     /* 2383552 */ // Label 33774: @2383552
     /* 2383552 */ GIM_Try, /*On fail goto*//*Label 33816*/ GIMT_Encode4(2383655),
     /* 2383557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383568 */   GIM_Try, /*On fail goto*//*Label 33817*/ GIMT_Encode4(2383611), // Rule ID 59248 //
     /* 2383573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383576 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2383579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2383593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383610 */     // GIR_Coverage, 59248,
     /* 2383610 */     GIR_EraseRootFromParent_Done,
     /* 2383611 */   // Label 33817: @2383611
     /* 2383611 */   GIM_Try, /*On fail goto*//*Label 33818*/ GIMT_Encode4(2383654), // Rule ID 59249 //
     /* 2383616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383619 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2383622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2383636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383653 */     // GIR_Coverage, 59249,
     /* 2383653 */     GIR_EraseRootFromParent_Done,
     /* 2383654 */   // Label 33818: @2383654
     /* 2383654 */   GIM_Reject,
     /* 2383655 */ // Label 33816: @2383655
     /* 2383655 */ GIM_Reject,
     /* 2383656 */ // Label 33775: @2383656
     /* 2383656 */ GIM_Try, /*On fail goto*//*Label 33819*/ GIMT_Encode4(2383759),
     /* 2383661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2383664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383672 */   GIM_Try, /*On fail goto*//*Label 33820*/ GIMT_Encode4(2383715), // Rule ID 59270 //
     /* 2383677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2383680 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2383683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2383697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383714 */     // GIR_Coverage, 59270,
     /* 2383714 */     GIR_EraseRootFromParent_Done,
     /* 2383715 */   // Label 33820: @2383715
     /* 2383715 */   GIM_Try, /*On fail goto*//*Label 33821*/ GIMT_Encode4(2383758), // Rule ID 59271 //
     /* 2383720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2383723 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2383726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2383740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383757 */     // GIR_Coverage, 59271,
     /* 2383757 */     GIR_EraseRootFromParent_Done,
     /* 2383758 */   // Label 33821: @2383758
     /* 2383758 */   GIM_Reject,
     /* 2383759 */ // Label 33819: @2383759
     /* 2383759 */ GIM_Reject,
     /* 2383760 */ // Label 33776: @2383760
     /* 2383760 */ GIM_Try, /*On fail goto*//*Label 33822*/ GIMT_Encode4(2383863),
     /* 2383765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2383768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383776 */   GIM_Try, /*On fail goto*//*Label 33823*/ GIMT_Encode4(2383819), // Rule ID 59236 //
     /* 2383781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383784 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2383787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2383801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383818 */     // GIR_Coverage, 59236,
     /* 2383818 */     GIR_EraseRootFromParent_Done,
     /* 2383819 */   // Label 33823: @2383819
     /* 2383819 */   GIM_Try, /*On fail goto*//*Label 33824*/ GIMT_Encode4(2383862), // Rule ID 59237 //
     /* 2383824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383827 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2383830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2383844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383861 */     // GIR_Coverage, 59237,
     /* 2383861 */     GIR_EraseRootFromParent_Done,
     /* 2383862 */   // Label 33824: @2383862
     /* 2383862 */   GIM_Reject,
     /* 2383863 */ // Label 33822: @2383863
     /* 2383863 */ GIM_Reject,
     /* 2383864 */ // Label 33777: @2383864
     /* 2383864 */ GIM_Try, /*On fail goto*//*Label 33825*/ GIMT_Encode4(2383967),
     /* 2383869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2383872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383880 */   GIM_Try, /*On fail goto*//*Label 33826*/ GIMT_Encode4(2383923), // Rule ID 59246 //
     /* 2383885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383888 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2383891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2383905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383922 */     // GIR_Coverage, 59246,
     /* 2383922 */     GIR_EraseRootFromParent_Done,
     /* 2383923 */   // Label 33826: @2383923
     /* 2383923 */   GIM_Try, /*On fail goto*//*Label 33827*/ GIMT_Encode4(2383966), // Rule ID 59247 //
     /* 2383928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383931 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2383934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2383948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383965 */     // GIR_Coverage, 59247,
     /* 2383965 */     GIR_EraseRootFromParent_Done,
     /* 2383966 */   // Label 33827: @2383966
     /* 2383966 */   GIM_Reject,
     /* 2383967 */ // Label 33825: @2383967
     /* 2383967 */ GIM_Reject,
     /* 2383968 */ // Label 33778: @2383968
     /* 2383968 */ GIM_Try, /*On fail goto*//*Label 33828*/ GIMT_Encode4(2384071),
     /* 2383973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2383976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383984 */   GIM_Try, /*On fail goto*//*Label 33829*/ GIMT_Encode4(2384027), // Rule ID 59264 //
     /* 2383989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383992 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2383995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2384009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384026 */     // GIR_Coverage, 59264,
     /* 2384026 */     GIR_EraseRootFromParent_Done,
     /* 2384027 */   // Label 33829: @2384027
     /* 2384027 */   GIM_Try, /*On fail goto*//*Label 33830*/ GIMT_Encode4(2384070), // Rule ID 59265 //
     /* 2384032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384035 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2384038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2384052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384069 */     // GIR_Coverage, 59265,
     /* 2384069 */     GIR_EraseRootFromParent_Done,
     /* 2384070 */   // Label 33830: @2384070
     /* 2384070 */   GIM_Reject,
     /* 2384071 */ // Label 33828: @2384071
     /* 2384071 */ GIM_Reject,
     /* 2384072 */ // Label 33779: @2384072
     /* 2384072 */ GIM_Try, /*On fail goto*//*Label 33831*/ GIMT_Encode4(2384175),
     /* 2384077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2384080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384088 */   GIM_Try, /*On fail goto*//*Label 33832*/ GIMT_Encode4(2384131), // Rule ID 59272 //
     /* 2384093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2384096 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2384099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2384113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384130 */     // GIR_Coverage, 59272,
     /* 2384130 */     GIR_EraseRootFromParent_Done,
     /* 2384131 */   // Label 33832: @2384131
     /* 2384131 */   GIM_Try, /*On fail goto*//*Label 33833*/ GIMT_Encode4(2384174), // Rule ID 59273 //
     /* 2384136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2384139 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2384142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2384156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384173 */     // GIR_Coverage, 59273,
     /* 2384173 */     GIR_EraseRootFromParent_Done,
     /* 2384174 */   // Label 33833: @2384174
     /* 2384174 */   GIM_Reject,
     /* 2384175 */ // Label 33831: @2384175
     /* 2384175 */ GIM_Reject,
     /* 2384176 */ // Label 33780: @2384176
     /* 2384176 */ GIM_Try, /*On fail goto*//*Label 33834*/ GIMT_Encode4(2384279),
     /* 2384181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2384184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384192 */   GIM_Try, /*On fail goto*//*Label 33835*/ GIMT_Encode4(2384235), // Rule ID 59244 //
     /* 2384197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2384200 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2384203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2384217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384234 */     // GIR_Coverage, 59244,
     /* 2384234 */     GIR_EraseRootFromParent_Done,
     /* 2384235 */   // Label 33835: @2384235
     /* 2384235 */   GIM_Try, /*On fail goto*//*Label 33836*/ GIMT_Encode4(2384278), // Rule ID 59245 //
     /* 2384240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384243 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2384246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2384260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384277 */     // GIR_Coverage, 59245,
     /* 2384277 */     GIR_EraseRootFromParent_Done,
     /* 2384278 */   // Label 33836: @2384278
     /* 2384278 */   GIM_Reject,
     /* 2384279 */ // Label 33834: @2384279
     /* 2384279 */ GIM_Reject,
     /* 2384280 */ // Label 33781: @2384280
     /* 2384280 */ GIM_Try, /*On fail goto*//*Label 33837*/ GIMT_Encode4(2384383),
     /* 2384285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2384288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384296 */   GIM_Try, /*On fail goto*//*Label 33838*/ GIMT_Encode4(2384339), // Rule ID 59258 //
     /* 2384301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2384304 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2384307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2384321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384338 */     // GIR_Coverage, 59258,
     /* 2384338 */     GIR_EraseRootFromParent_Done,
     /* 2384339 */   // Label 33838: @2384339
     /* 2384339 */   GIM_Try, /*On fail goto*//*Label 33839*/ GIMT_Encode4(2384382), // Rule ID 59259 //
     /* 2384344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384347 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2384350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2384364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384381 */     // GIR_Coverage, 59259,
     /* 2384381 */     GIR_EraseRootFromParent_Done,
     /* 2384382 */   // Label 33839: @2384382
     /* 2384382 */   GIM_Reject,
     /* 2384383 */ // Label 33837: @2384383
     /* 2384383 */ GIM_Reject,
     /* 2384384 */ // Label 33782: @2384384
     /* 2384384 */ GIM_Try, /*On fail goto*//*Label 33840*/ GIMT_Encode4(2384487),
     /* 2384389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2384392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384400 */   GIM_Try, /*On fail goto*//*Label 33841*/ GIMT_Encode4(2384443), // Rule ID 59266 //
     /* 2384405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2384408 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2384411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2384425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384442 */     // GIR_Coverage, 59266,
     /* 2384442 */     GIR_EraseRootFromParent_Done,
     /* 2384443 */   // Label 33841: @2384443
     /* 2384443 */   GIM_Try, /*On fail goto*//*Label 33842*/ GIMT_Encode4(2384486), // Rule ID 59267 //
     /* 2384448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384451 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2384454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2384468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384485 */     // GIR_Coverage, 59267,
     /* 2384485 */     GIR_EraseRootFromParent_Done,
     /* 2384486 */   // Label 33842: @2384486
     /* 2384486 */   GIM_Reject,
     /* 2384487 */ // Label 33840: @2384487
     /* 2384487 */ GIM_Reject,
     /* 2384488 */ // Label 33783: @2384488
     /* 2384488 */ GIM_Try, /*On fail goto*//*Label 33843*/ GIMT_Encode4(2384591),
     /* 2384493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2384496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384504 */   GIM_Try, /*On fail goto*//*Label 33844*/ GIMT_Encode4(2384547), // Rule ID 59274 //
     /* 2384509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2384512 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2384515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2384529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384546 */     // GIR_Coverage, 59274,
     /* 2384546 */     GIR_EraseRootFromParent_Done,
     /* 2384547 */   // Label 33844: @2384547
     /* 2384547 */   GIM_Try, /*On fail goto*//*Label 33845*/ GIMT_Encode4(2384590), // Rule ID 59275 //
     /* 2384552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2384555 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2384558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2384572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384589 */     // GIR_Coverage, 59275,
     /* 2384589 */     GIR_EraseRootFromParent_Done,
     /* 2384590 */   // Label 33845: @2384590
     /* 2384590 */   GIM_Reject,
     /* 2384591 */ // Label 33843: @2384591
     /* 2384591 */ GIM_Reject,
     /* 2384592 */ // Label 33784: @2384592
     /* 2384592 */ GIM_Try, /*On fail goto*//*Label 33846*/ GIMT_Encode4(2384695),
     /* 2384597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2384600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384608 */   GIM_Try, /*On fail goto*//*Label 33847*/ GIMT_Encode4(2384651), // Rule ID 59252 //
     /* 2384613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2384616 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2384619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2384633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384650 */     // GIR_Coverage, 59252,
     /* 2384650 */     GIR_EraseRootFromParent_Done,
     /* 2384651 */   // Label 33847: @2384651
     /* 2384651 */   GIM_Try, /*On fail goto*//*Label 33848*/ GIMT_Encode4(2384694), // Rule ID 59253 //
     /* 2384656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384659 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2384662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2384676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384693 */     // GIR_Coverage, 59253,
     /* 2384693 */     GIR_EraseRootFromParent_Done,
     /* 2384694 */   // Label 33848: @2384694
     /* 2384694 */   GIM_Reject,
     /* 2384695 */ // Label 33846: @2384695
     /* 2384695 */ GIM_Reject,
     /* 2384696 */ // Label 33785: @2384696
     /* 2384696 */ GIM_Try, /*On fail goto*//*Label 33849*/ GIMT_Encode4(2384799),
     /* 2384701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2384704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384712 */   GIM_Try, /*On fail goto*//*Label 33850*/ GIMT_Encode4(2384755), // Rule ID 59260 //
     /* 2384717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2384720 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2384723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2384737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384754 */     // GIR_Coverage, 59260,
     /* 2384754 */     GIR_EraseRootFromParent_Done,
     /* 2384755 */   // Label 33850: @2384755
     /* 2384755 */   GIM_Try, /*On fail goto*//*Label 33851*/ GIMT_Encode4(2384798), // Rule ID 59261 //
     /* 2384760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384763 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2384766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2384780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384797 */     // GIR_Coverage, 59261,
     /* 2384797 */     GIR_EraseRootFromParent_Done,
     /* 2384798 */   // Label 33851: @2384798
     /* 2384798 */   GIM_Reject,
     /* 2384799 */ // Label 33849: @2384799
     /* 2384799 */ GIM_Reject,
     /* 2384800 */ // Label 33786: @2384800
     /* 2384800 */ GIM_Try, /*On fail goto*//*Label 33852*/ GIMT_Encode4(2384903),
     /* 2384805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2384808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384816 */   GIM_Try, /*On fail goto*//*Label 33853*/ GIMT_Encode4(2384859), // Rule ID 59268 //
     /* 2384821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2384824 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2384827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2384841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384858 */     // GIR_Coverage, 59268,
     /* 2384858 */     GIR_EraseRootFromParent_Done,
     /* 2384859 */   // Label 33853: @2384859
     /* 2384859 */   GIM_Try, /*On fail goto*//*Label 33854*/ GIMT_Encode4(2384902), // Rule ID 59269 //
     /* 2384864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384867 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2384870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2384884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384901 */     // GIR_Coverage, 59269,
     /* 2384901 */     GIR_EraseRootFromParent_Done,
     /* 2384902 */   // Label 33854: @2384902
     /* 2384902 */   GIM_Reject,
     /* 2384903 */ // Label 33852: @2384903
     /* 2384903 */ GIM_Reject,
     /* 2384904 */ // Label 33787: @2384904
     /* 2384904 */ GIM_Try, /*On fail goto*//*Label 33855*/ GIMT_Encode4(2385007),
     /* 2384909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2384912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384920 */   GIM_Try, /*On fail goto*//*Label 33856*/ GIMT_Encode4(2384963), // Rule ID 59254 //
     /* 2384925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2384928 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2384931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2384945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384962 */     // GIR_Coverage, 59254,
     /* 2384962 */     GIR_EraseRootFromParent_Done,
     /* 2384963 */   // Label 33856: @2384963
     /* 2384963 */   GIM_Try, /*On fail goto*//*Label 33857*/ GIMT_Encode4(2385006), // Rule ID 59255 //
     /* 2384968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384971 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2384974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2384988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385005 */     // GIR_Coverage, 59255,
     /* 2385005 */     GIR_EraseRootFromParent_Done,
     /* 2385006 */   // Label 33857: @2385006
     /* 2385006 */   GIM_Reject,
     /* 2385007 */ // Label 33855: @2385007
     /* 2385007 */ GIM_Reject,
     /* 2385008 */ // Label 33788: @2385008
     /* 2385008 */ GIM_Try, /*On fail goto*//*Label 33858*/ GIMT_Encode4(2385111),
     /* 2385013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2385016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2385020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2385024 */   GIM_Try, /*On fail goto*//*Label 33859*/ GIMT_Encode4(2385067), // Rule ID 59262 //
     /* 2385029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2385032 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2385035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2385049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385066 */     // GIR_Coverage, 59262,
     /* 2385066 */     GIR_EraseRootFromParent_Done,
     /* 2385067 */   // Label 33859: @2385067
     /* 2385067 */   GIM_Try, /*On fail goto*//*Label 33860*/ GIMT_Encode4(2385110), // Rule ID 59263 //
     /* 2385072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2385075 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2385078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2385092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385109 */     // GIR_Coverage, 59263,
     /* 2385109 */     GIR_EraseRootFromParent_Done,
     /* 2385110 */   // Label 33860: @2385110
     /* 2385110 */   GIM_Reject,
     /* 2385111 */ // Label 33858: @2385111
     /* 2385111 */ GIM_Reject,
     /* 2385112 */ // Label 33789: @2385112
     /* 2385112 */ GIM_Try, /*On fail goto*//*Label 33861*/ GIMT_Encode4(2385215),
     /* 2385117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2385120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2385124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2385128 */   GIM_Try, /*On fail goto*//*Label 33862*/ GIMT_Encode4(2385171), // Rule ID 59256 //
     /* 2385133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2385136 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2385139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2385153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385170 */     // GIR_Coverage, 59256,
     /* 2385170 */     GIR_EraseRootFromParent_Done,
     /* 2385171 */   // Label 33862: @2385171
     /* 2385171 */   GIM_Try, /*On fail goto*//*Label 33863*/ GIMT_Encode4(2385214), // Rule ID 59257 //
     /* 2385176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2385179 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2385182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2385196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385213 */     // GIR_Coverage, 59257,
     /* 2385213 */     GIR_EraseRootFromParent_Done,
     /* 2385214 */   // Label 33863: @2385214
     /* 2385214 */   GIM_Reject,
     /* 2385215 */ // Label 33861: @2385215
     /* 2385215 */ GIM_Reject,
     /* 2385216 */ // Label 33790: @2385216
     /* 2385216 */ GIM_Reject,
     /* 2385217 */ // Label 91: @2385217
     /* 2385217 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33888*/ GIMT_Encode4(2387751),
     /* 2385228 */ /*GILLT_s32*//*Label 33864*/ GIMT_Encode4(2385352),
     /* 2385232 */ /*GILLT_s64*//*Label 33865*/ GIMT_Encode4(2385415), GIMT_Encode4(0),
     /* 2385240 */ /*GILLT_nxv1s8*//*Label 33866*/ GIMT_Encode4(2385463),
     /* 2385244 */ /*GILLT_nxv1s16*//*Label 33867*/ GIMT_Encode4(2385567),
     /* 2385248 */ /*GILLT_nxv1s32*//*Label 33868*/ GIMT_Encode4(2385671),
     /* 2385252 */ /*GILLT_nxv1s64*//*Label 33869*/ GIMT_Encode4(2385775), GIMT_Encode4(0),
     /* 2385260 */ /*GILLT_nxv2s8*//*Label 33870*/ GIMT_Encode4(2385879),
     /* 2385264 */ /*GILLT_nxv2s16*//*Label 33871*/ GIMT_Encode4(2385983),
     /* 2385268 */ /*GILLT_nxv2s32*//*Label 33872*/ GIMT_Encode4(2386087),
     /* 2385272 */ /*GILLT_nxv2s64*//*Label 33873*/ GIMT_Encode4(2386191), GIMT_Encode4(0),
     /* 2385280 */ /*GILLT_nxv4s8*//*Label 33874*/ GIMT_Encode4(2386295),
     /* 2385284 */ /*GILLT_nxv4s16*//*Label 33875*/ GIMT_Encode4(2386399),
     /* 2385288 */ /*GILLT_nxv4s32*//*Label 33876*/ GIMT_Encode4(2386503),
     /* 2385292 */ /*GILLT_nxv4s64*//*Label 33877*/ GIMT_Encode4(2386607), GIMT_Encode4(0),
     /* 2385300 */ /*GILLT_nxv8s8*//*Label 33878*/ GIMT_Encode4(2386711),
     /* 2385304 */ /*GILLT_nxv8s16*//*Label 33879*/ GIMT_Encode4(2386815),
     /* 2385308 */ /*GILLT_nxv8s32*//*Label 33880*/ GIMT_Encode4(2386919),
     /* 2385312 */ /*GILLT_nxv8s64*//*Label 33881*/ GIMT_Encode4(2387023), GIMT_Encode4(0),
     /* 2385320 */ /*GILLT_nxv16s8*//*Label 33882*/ GIMT_Encode4(2387127),
     /* 2385324 */ /*GILLT_nxv16s16*//*Label 33883*/ GIMT_Encode4(2387231),
     /* 2385328 */ /*GILLT_nxv16s32*//*Label 33884*/ GIMT_Encode4(2387335), GIMT_Encode4(0),
     /* 2385336 */ /*GILLT_nxv32s8*//*Label 33885*/ GIMT_Encode4(2387439),
     /* 2385340 */ /*GILLT_nxv32s16*//*Label 33886*/ GIMT_Encode4(2387543), GIMT_Encode4(0),
     /* 2385348 */ /*GILLT_nxv64s8*//*Label 33887*/ GIMT_Encode4(2387647),
     /* 2385352 */ // Label 33864: @2385352
     /* 2385352 */ GIM_Try, /*On fail goto*//*Label 33889*/ GIMT_Encode4(2385414),
     /* 2385357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2385360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385368 */   GIM_Try, /*On fail goto*//*Label 33890*/ GIMT_Encode4(2385383), // Rule ID 2538 //
     /* 2385373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0),
     /* 2385376 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2385376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2385381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385382 */     // GIR_Coverage, 2538,
     /* 2385382 */     GIR_Done,
     /* 2385383 */   // Label 33890: @2385383
     /* 2385383 */   GIM_Try, /*On fail goto*//*Label 33891*/ GIMT_Encode4(2385398), // Rule ID 2539 //
     /* 2385388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1),
     /* 2385391 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2385391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2385396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385397 */     // GIR_Coverage, 2539,
     /* 2385397 */     GIR_Done,
     /* 2385398 */   // Label 33891: @2385398
     /* 2385398 */   GIM_Try, /*On fail goto*//*Label 33892*/ GIMT_Encode4(2385413), // Rule ID 62570 //
     /* 2385403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2385406 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_REV:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2385406 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2385411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385412 */     // GIR_Coverage, 62570,
     /* 2385412 */     GIR_Done,
     /* 2385413 */   // Label 33892: @2385413
     /* 2385413 */   GIM_Reject,
     /* 2385414 */ // Label 33889: @2385414
     /* 2385414 */ GIM_Reject,
     /* 2385415 */ // Label 33865: @2385415
     /* 2385415 */ GIM_Try, /*On fail goto*//*Label 33893*/ GIMT_Encode4(2385462),
     /* 2385420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385431 */   GIM_Try, /*On fail goto*//*Label 33894*/ GIMT_Encode4(2385446), // Rule ID 2540 //
     /* 2385436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2385439 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (REV8_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2385439 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV64),
     /* 2385444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385445 */     // GIR_Coverage, 2540,
     /* 2385445 */     GIR_Done,
     /* 2385446 */   // Label 33894: @2385446
     /* 2385446 */   GIM_Try, /*On fail goto*//*Label 33895*/ GIMT_Encode4(2385461), // Rule ID 62569 //
     /* 2385451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2385454 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_REV:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2385454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2385459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385460 */     // GIR_Coverage, 62569,
     /* 2385460 */     GIR_Done,
     /* 2385461 */   // Label 33895: @2385461
     /* 2385461 */   GIM_Reject,
     /* 2385462 */ // Label 33893: @2385462
     /* 2385462 */ GIM_Reject,
     /* 2385463 */ // Label 33866: @2385463
     /* 2385463 */ GIM_Try, /*On fail goto*//*Label 33896*/ GIMT_Encode4(2385566),
     /* 2385468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2385471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385479 */   GIM_Try, /*On fail goto*//*Label 33897*/ GIMT_Encode4(2385522), // Rule ID 59100 //
     /* 2385484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2385487 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2385490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2385504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385521 */     // GIR_Coverage, 59100,
     /* 2385521 */     GIR_EraseRootFromParent_Done,
     /* 2385522 */   // Label 33897: @2385522
     /* 2385522 */   GIM_Try, /*On fail goto*//*Label 33898*/ GIMT_Encode4(2385565), // Rule ID 59101 //
     /* 2385527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2385530 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2385533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2385547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385564 */     // GIR_Coverage, 59101,
     /* 2385564 */     GIR_EraseRootFromParent_Done,
     /* 2385565 */   // Label 33898: @2385565
     /* 2385565 */   GIM_Reject,
     /* 2385566 */ // Label 33896: @2385566
     /* 2385566 */ GIM_Reject,
     /* 2385567 */ // Label 33867: @2385567
     /* 2385567 */ GIM_Try, /*On fail goto*//*Label 33899*/ GIMT_Encode4(2385670),
     /* 2385572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2385575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385583 */   GIM_Try, /*On fail goto*//*Label 33900*/ GIMT_Encode4(2385626), // Rule ID 59106 //
     /* 2385588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2385591 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2385594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2385608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385625 */     // GIR_Coverage, 59106,
     /* 2385625 */     GIR_EraseRootFromParent_Done,
     /* 2385626 */   // Label 33900: @2385626
     /* 2385626 */   GIM_Try, /*On fail goto*//*Label 33901*/ GIMT_Encode4(2385669), // Rule ID 59107 //
     /* 2385631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2385634 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2385637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2385651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385668 */     // GIR_Coverage, 59107,
     /* 2385668 */     GIR_EraseRootFromParent_Done,
     /* 2385669 */   // Label 33901: @2385669
     /* 2385669 */   GIM_Reject,
     /* 2385670 */ // Label 33899: @2385670
     /* 2385670 */ GIM_Reject,
     /* 2385671 */ // Label 33868: @2385671
     /* 2385671 */ GIM_Try, /*On fail goto*//*Label 33902*/ GIMT_Encode4(2385774),
     /* 2385676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385687 */   GIM_Try, /*On fail goto*//*Label 33903*/ GIMT_Encode4(2385730), // Rule ID 59110 //
     /* 2385692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2385695 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2385698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2385712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385729 */     // GIR_Coverage, 59110,
     /* 2385729 */     GIR_EraseRootFromParent_Done,
     /* 2385730 */   // Label 33903: @2385730
     /* 2385730 */   GIM_Try, /*On fail goto*//*Label 33904*/ GIMT_Encode4(2385773), // Rule ID 59111 //
     /* 2385735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2385738 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2385741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2385755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385772 */     // GIR_Coverage, 59111,
     /* 2385772 */     GIR_EraseRootFromParent_Done,
     /* 2385773 */   // Label 33904: @2385773
     /* 2385773 */   GIM_Reject,
     /* 2385774 */ // Label 33902: @2385774
     /* 2385774 */ GIM_Reject,
     /* 2385775 */ // Label 33869: @2385775
     /* 2385775 */ GIM_Try, /*On fail goto*//*Label 33905*/ GIMT_Encode4(2385878),
     /* 2385780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2385783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385791 */   GIM_Try, /*On fail goto*//*Label 33906*/ GIMT_Encode4(2385834), // Rule ID 59118 //
     /* 2385796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2385799 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2385802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2385816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2385829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385833 */     // GIR_Coverage, 59118,
     /* 2385833 */     GIR_EraseRootFromParent_Done,
     /* 2385834 */   // Label 33906: @2385834
     /* 2385834 */   GIM_Try, /*On fail goto*//*Label 33907*/ GIMT_Encode4(2385877), // Rule ID 59119 //
     /* 2385839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2385842 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2385845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2385859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2385872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385876 */     // GIR_Coverage, 59119,
     /* 2385876 */     GIR_EraseRootFromParent_Done,
     /* 2385877 */   // Label 33907: @2385877
     /* 2385877 */   GIM_Reject,
     /* 2385878 */ // Label 33905: @2385878
     /* 2385878 */ GIM_Reject,
     /* 2385879 */ // Label 33870: @2385879
     /* 2385879 */ GIM_Try, /*On fail goto*//*Label 33908*/ GIMT_Encode4(2385982),
     /* 2385884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2385887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385895 */   GIM_Try, /*On fail goto*//*Label 33909*/ GIMT_Encode4(2385938), // Rule ID 59102 //
     /* 2385900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2385903 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2385906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2385920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385937 */     // GIR_Coverage, 59102,
     /* 2385937 */     GIR_EraseRootFromParent_Done,
     /* 2385938 */   // Label 33909: @2385938
     /* 2385938 */   GIM_Try, /*On fail goto*//*Label 33910*/ GIMT_Encode4(2385981), // Rule ID 59103 //
     /* 2385943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2385946 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2385949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2385963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385980 */     // GIR_Coverage, 59103,
     /* 2385980 */     GIR_EraseRootFromParent_Done,
     /* 2385981 */   // Label 33910: @2385981
     /* 2385981 */   GIM_Reject,
     /* 2385982 */ // Label 33908: @2385982
     /* 2385982 */ GIM_Reject,
     /* 2385983 */ // Label 33871: @2385983
     /* 2385983 */ GIM_Try, /*On fail goto*//*Label 33911*/ GIMT_Encode4(2386086),
     /* 2385988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2385991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385999 */   GIM_Try, /*On fail goto*//*Label 33912*/ GIMT_Encode4(2386042), // Rule ID 59108 //
     /* 2386004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2386007 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2386010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2386024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386041 */     // GIR_Coverage, 59108,
     /* 2386041 */     GIR_EraseRootFromParent_Done,
     /* 2386042 */   // Label 33912: @2386042
     /* 2386042 */   GIM_Try, /*On fail goto*//*Label 33913*/ GIMT_Encode4(2386085), // Rule ID 59109 //
     /* 2386047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2386050 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2386053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2386067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386084 */     // GIR_Coverage, 59109,
     /* 2386084 */     GIR_EraseRootFromParent_Done,
     /* 2386085 */   // Label 33913: @2386085
     /* 2386085 */   GIM_Reject,
     /* 2386086 */ // Label 33911: @2386086
     /* 2386086 */ GIM_Reject,
     /* 2386087 */ // Label 33872: @2386087
     /* 2386087 */ GIM_Try, /*On fail goto*//*Label 33914*/ GIMT_Encode4(2386190),
     /* 2386092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2386095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386103 */   GIM_Try, /*On fail goto*//*Label 33915*/ GIMT_Encode4(2386146), // Rule ID 59116 //
     /* 2386108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2386111 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2386114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2386128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386145 */     // GIR_Coverage, 59116,
     /* 2386145 */     GIR_EraseRootFromParent_Done,
     /* 2386146 */   // Label 33915: @2386146
     /* 2386146 */   GIM_Try, /*On fail goto*//*Label 33916*/ GIMT_Encode4(2386189), // Rule ID 59117 //
     /* 2386151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2386154 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2386157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2386171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386188 */     // GIR_Coverage, 59117,
     /* 2386188 */     GIR_EraseRootFromParent_Done,
     /* 2386189 */   // Label 33916: @2386189
     /* 2386189 */   GIM_Reject,
     /* 2386190 */ // Label 33914: @2386190
     /* 2386190 */ GIM_Reject,
     /* 2386191 */ // Label 33873: @2386191
     /* 2386191 */ GIM_Try, /*On fail goto*//*Label 33917*/ GIMT_Encode4(2386294),
     /* 2386196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2386199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386207 */   GIM_Try, /*On fail goto*//*Label 33918*/ GIMT_Encode4(2386250), // Rule ID 59138 //
     /* 2386212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2386215 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2386218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2386232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386249 */     // GIR_Coverage, 59138,
     /* 2386249 */     GIR_EraseRootFromParent_Done,
     /* 2386250 */   // Label 33918: @2386250
     /* 2386250 */   GIM_Try, /*On fail goto*//*Label 33919*/ GIMT_Encode4(2386293), // Rule ID 59139 //
     /* 2386255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2386258 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2386261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2386275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386292 */     // GIR_Coverage, 59139,
     /* 2386292 */     GIR_EraseRootFromParent_Done,
     /* 2386293 */   // Label 33919: @2386293
     /* 2386293 */   GIM_Reject,
     /* 2386294 */ // Label 33917: @2386294
     /* 2386294 */ GIM_Reject,
     /* 2386295 */ // Label 33874: @2386295
     /* 2386295 */ GIM_Try, /*On fail goto*//*Label 33920*/ GIMT_Encode4(2386398),
     /* 2386300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2386303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386311 */   GIM_Try, /*On fail goto*//*Label 33921*/ GIMT_Encode4(2386354), // Rule ID 59104 //
     /* 2386316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2386319 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2386322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2386336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386353 */     // GIR_Coverage, 59104,
     /* 2386353 */     GIR_EraseRootFromParent_Done,
     /* 2386354 */   // Label 33921: @2386354
     /* 2386354 */   GIM_Try, /*On fail goto*//*Label 33922*/ GIMT_Encode4(2386397), // Rule ID 59105 //
     /* 2386359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2386362 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2386365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2386379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386396 */     // GIR_Coverage, 59105,
     /* 2386396 */     GIR_EraseRootFromParent_Done,
     /* 2386397 */   // Label 33922: @2386397
     /* 2386397 */   GIM_Reject,
     /* 2386398 */ // Label 33920: @2386398
     /* 2386398 */ GIM_Reject,
     /* 2386399 */ // Label 33875: @2386399
     /* 2386399 */ GIM_Try, /*On fail goto*//*Label 33923*/ GIMT_Encode4(2386502),
     /* 2386404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2386407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386415 */   GIM_Try, /*On fail goto*//*Label 33924*/ GIMT_Encode4(2386458), // Rule ID 59114 //
     /* 2386420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2386423 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2386426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2386440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386457 */     // GIR_Coverage, 59114,
     /* 2386457 */     GIR_EraseRootFromParent_Done,
     /* 2386458 */   // Label 33924: @2386458
     /* 2386458 */   GIM_Try, /*On fail goto*//*Label 33925*/ GIMT_Encode4(2386501), // Rule ID 59115 //
     /* 2386463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2386466 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2386469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2386483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386500 */     // GIR_Coverage, 59115,
     /* 2386500 */     GIR_EraseRootFromParent_Done,
     /* 2386501 */   // Label 33925: @2386501
     /* 2386501 */   GIM_Reject,
     /* 2386502 */ // Label 33923: @2386502
     /* 2386502 */ GIM_Reject,
     /* 2386503 */ // Label 33876: @2386503
     /* 2386503 */ GIM_Try, /*On fail goto*//*Label 33926*/ GIMT_Encode4(2386606),
     /* 2386508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2386511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386519 */   GIM_Try, /*On fail goto*//*Label 33927*/ GIMT_Encode4(2386562), // Rule ID 59132 //
     /* 2386524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2386527 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2386530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2386544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386561 */     // GIR_Coverage, 59132,
     /* 2386561 */     GIR_EraseRootFromParent_Done,
     /* 2386562 */   // Label 33927: @2386562
     /* 2386562 */   GIM_Try, /*On fail goto*//*Label 33928*/ GIMT_Encode4(2386605), // Rule ID 59133 //
     /* 2386567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2386570 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2386573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2386587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386604 */     // GIR_Coverage, 59133,
     /* 2386604 */     GIR_EraseRootFromParent_Done,
     /* 2386605 */   // Label 33928: @2386605
     /* 2386605 */   GIM_Reject,
     /* 2386606 */ // Label 33926: @2386606
     /* 2386606 */ GIM_Reject,
     /* 2386607 */ // Label 33877: @2386607
     /* 2386607 */ GIM_Try, /*On fail goto*//*Label 33929*/ GIMT_Encode4(2386710),
     /* 2386612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386623 */   GIM_Try, /*On fail goto*//*Label 33930*/ GIMT_Encode4(2386666), // Rule ID 59140 //
     /* 2386628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2386631 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2386634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2386648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386665 */     // GIR_Coverage, 59140,
     /* 2386665 */     GIR_EraseRootFromParent_Done,
     /* 2386666 */   // Label 33930: @2386666
     /* 2386666 */   GIM_Try, /*On fail goto*//*Label 33931*/ GIMT_Encode4(2386709), // Rule ID 59141 //
     /* 2386671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2386674 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2386677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2386691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386708 */     // GIR_Coverage, 59141,
     /* 2386708 */     GIR_EraseRootFromParent_Done,
     /* 2386709 */   // Label 33931: @2386709
     /* 2386709 */   GIM_Reject,
     /* 2386710 */ // Label 33929: @2386710
     /* 2386710 */ GIM_Reject,
     /* 2386711 */ // Label 33878: @2386711
     /* 2386711 */ GIM_Try, /*On fail goto*//*Label 33932*/ GIMT_Encode4(2386814),
     /* 2386716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2386719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386727 */   GIM_Try, /*On fail goto*//*Label 33933*/ GIMT_Encode4(2386770), // Rule ID 59112 //
     /* 2386732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2386735 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2386738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2386752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386769 */     // GIR_Coverage, 59112,
     /* 2386769 */     GIR_EraseRootFromParent_Done,
     /* 2386770 */   // Label 33933: @2386770
     /* 2386770 */   GIM_Try, /*On fail goto*//*Label 33934*/ GIMT_Encode4(2386813), // Rule ID 59113 //
     /* 2386775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2386778 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2386781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2386795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386812 */     // GIR_Coverage, 59113,
     /* 2386812 */     GIR_EraseRootFromParent_Done,
     /* 2386813 */   // Label 33934: @2386813
     /* 2386813 */   GIM_Reject,
     /* 2386814 */ // Label 33932: @2386814
     /* 2386814 */ GIM_Reject,
     /* 2386815 */ // Label 33879: @2386815
     /* 2386815 */ GIM_Try, /*On fail goto*//*Label 33935*/ GIMT_Encode4(2386918),
     /* 2386820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2386823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386831 */   GIM_Try, /*On fail goto*//*Label 33936*/ GIMT_Encode4(2386874), // Rule ID 59126 //
     /* 2386836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2386839 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2386842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2386856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386873 */     // GIR_Coverage, 59126,
     /* 2386873 */     GIR_EraseRootFromParent_Done,
     /* 2386874 */   // Label 33936: @2386874
     /* 2386874 */   GIM_Try, /*On fail goto*//*Label 33937*/ GIMT_Encode4(2386917), // Rule ID 59127 //
     /* 2386879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2386882 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2386885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2386899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386916 */     // GIR_Coverage, 59127,
     /* 2386916 */     GIR_EraseRootFromParent_Done,
     /* 2386917 */   // Label 33937: @2386917
     /* 2386917 */   GIM_Reject,
     /* 2386918 */ // Label 33935: @2386918
     /* 2386918 */ GIM_Reject,
     /* 2386919 */ // Label 33880: @2386919
     /* 2386919 */ GIM_Try, /*On fail goto*//*Label 33938*/ GIMT_Encode4(2387022),
     /* 2386924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2386927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386935 */   GIM_Try, /*On fail goto*//*Label 33939*/ GIMT_Encode4(2386978), // Rule ID 59134 //
     /* 2386940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2386943 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2386946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2386960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386977 */     // GIR_Coverage, 59134,
     /* 2386977 */     GIR_EraseRootFromParent_Done,
     /* 2386978 */   // Label 33939: @2386978
     /* 2386978 */   GIM_Try, /*On fail goto*//*Label 33940*/ GIMT_Encode4(2387021), // Rule ID 59135 //
     /* 2386983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2386986 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2386989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2387003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387020 */     // GIR_Coverage, 59135,
     /* 2387020 */     GIR_EraseRootFromParent_Done,
     /* 2387021 */   // Label 33940: @2387021
     /* 2387021 */   GIM_Reject,
     /* 2387022 */ // Label 33938: @2387022
     /* 2387022 */ GIM_Reject,
     /* 2387023 */ // Label 33881: @2387023
     /* 2387023 */ GIM_Try, /*On fail goto*//*Label 33941*/ GIMT_Encode4(2387126),
     /* 2387028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2387031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387039 */   GIM_Try, /*On fail goto*//*Label 33942*/ GIMT_Encode4(2387082), // Rule ID 59142 //
     /* 2387044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2387047 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2387050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2387064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387081 */     // GIR_Coverage, 59142,
     /* 2387081 */     GIR_EraseRootFromParent_Done,
     /* 2387082 */   // Label 33942: @2387082
     /* 2387082 */   GIM_Try, /*On fail goto*//*Label 33943*/ GIMT_Encode4(2387125), // Rule ID 59143 //
     /* 2387087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2387090 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2387093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2387107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387124 */     // GIR_Coverage, 59143,
     /* 2387124 */     GIR_EraseRootFromParent_Done,
     /* 2387125 */   // Label 33943: @2387125
     /* 2387125 */   GIM_Reject,
     /* 2387126 */ // Label 33941: @2387126
     /* 2387126 */ GIM_Reject,
     /* 2387127 */ // Label 33882: @2387127
     /* 2387127 */ GIM_Try, /*On fail goto*//*Label 33944*/ GIMT_Encode4(2387230),
     /* 2387132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2387135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387143 */   GIM_Try, /*On fail goto*//*Label 33945*/ GIMT_Encode4(2387186), // Rule ID 59120 //
     /* 2387148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387151 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2387154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2387168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387185 */     // GIR_Coverage, 59120,
     /* 2387185 */     GIR_EraseRootFromParent_Done,
     /* 2387186 */   // Label 33945: @2387186
     /* 2387186 */   GIM_Try, /*On fail goto*//*Label 33946*/ GIMT_Encode4(2387229), // Rule ID 59121 //
     /* 2387191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387194 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2387197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2387211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387228 */     // GIR_Coverage, 59121,
     /* 2387228 */     GIR_EraseRootFromParent_Done,
     /* 2387229 */   // Label 33946: @2387229
     /* 2387229 */   GIM_Reject,
     /* 2387230 */ // Label 33944: @2387230
     /* 2387230 */ GIM_Reject,
     /* 2387231 */ // Label 33883: @2387231
     /* 2387231 */ GIM_Try, /*On fail goto*//*Label 33947*/ GIMT_Encode4(2387334),
     /* 2387236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2387239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387247 */   GIM_Try, /*On fail goto*//*Label 33948*/ GIMT_Encode4(2387290), // Rule ID 59128 //
     /* 2387252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387255 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2387258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2387272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387289 */     // GIR_Coverage, 59128,
     /* 2387289 */     GIR_EraseRootFromParent_Done,
     /* 2387290 */   // Label 33948: @2387290
     /* 2387290 */   GIM_Try, /*On fail goto*//*Label 33949*/ GIMT_Encode4(2387333), // Rule ID 59129 //
     /* 2387295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387298 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2387301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2387315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387332 */     // GIR_Coverage, 59129,
     /* 2387332 */     GIR_EraseRootFromParent_Done,
     /* 2387333 */   // Label 33949: @2387333
     /* 2387333 */   GIM_Reject,
     /* 2387334 */ // Label 33947: @2387334
     /* 2387334 */ GIM_Reject,
     /* 2387335 */ // Label 33884: @2387335
     /* 2387335 */ GIM_Try, /*On fail goto*//*Label 33950*/ GIMT_Encode4(2387438),
     /* 2387340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2387343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387351 */   GIM_Try, /*On fail goto*//*Label 33951*/ GIMT_Encode4(2387394), // Rule ID 59136 //
     /* 2387356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387359 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2387362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2387376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387393 */     // GIR_Coverage, 59136,
     /* 2387393 */     GIR_EraseRootFromParent_Done,
     /* 2387394 */   // Label 33951: @2387394
     /* 2387394 */   GIM_Try, /*On fail goto*//*Label 33952*/ GIMT_Encode4(2387437), // Rule ID 59137 //
     /* 2387399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387402 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2387405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2387419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387436 */     // GIR_Coverage, 59137,
     /* 2387436 */     GIR_EraseRootFromParent_Done,
     /* 2387437 */   // Label 33952: @2387437
     /* 2387437 */   GIM_Reject,
     /* 2387438 */ // Label 33950: @2387438
     /* 2387438 */ GIM_Reject,
     /* 2387439 */ // Label 33885: @2387439
     /* 2387439 */ GIM_Try, /*On fail goto*//*Label 33953*/ GIMT_Encode4(2387542),
     /* 2387444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2387447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387455 */   GIM_Try, /*On fail goto*//*Label 33954*/ GIMT_Encode4(2387498), // Rule ID 59122 //
     /* 2387460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387463 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2387466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2387480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387497 */     // GIR_Coverage, 59122,
     /* 2387497 */     GIR_EraseRootFromParent_Done,
     /* 2387498 */   // Label 33954: @2387498
     /* 2387498 */   GIM_Try, /*On fail goto*//*Label 33955*/ GIMT_Encode4(2387541), // Rule ID 59123 //
     /* 2387503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387506 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2387509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2387523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387540 */     // GIR_Coverage, 59123,
     /* 2387540 */     GIR_EraseRootFromParent_Done,
     /* 2387541 */   // Label 33955: @2387541
     /* 2387541 */   GIM_Reject,
     /* 2387542 */ // Label 33953: @2387542
     /* 2387542 */ GIM_Reject,
     /* 2387543 */ // Label 33886: @2387543
     /* 2387543 */ GIM_Try, /*On fail goto*//*Label 33956*/ GIMT_Encode4(2387646),
     /* 2387548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2387551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387559 */   GIM_Try, /*On fail goto*//*Label 33957*/ GIMT_Encode4(2387602), // Rule ID 59130 //
     /* 2387564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387567 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2387570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2387584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387601 */     // GIR_Coverage, 59130,
     /* 2387601 */     GIR_EraseRootFromParent_Done,
     /* 2387602 */   // Label 33957: @2387602
     /* 2387602 */   GIM_Try, /*On fail goto*//*Label 33958*/ GIMT_Encode4(2387645), // Rule ID 59131 //
     /* 2387607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387610 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2387613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2387627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387644 */     // GIR_Coverage, 59131,
     /* 2387644 */     GIR_EraseRootFromParent_Done,
     /* 2387645 */   // Label 33958: @2387645
     /* 2387645 */   GIM_Reject,
     /* 2387646 */ // Label 33956: @2387646
     /* 2387646 */ GIM_Reject,
     /* 2387647 */ // Label 33887: @2387647
     /* 2387647 */ GIM_Try, /*On fail goto*//*Label 33959*/ GIMT_Encode4(2387750),
     /* 2387652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2387655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387663 */   GIM_Try, /*On fail goto*//*Label 33960*/ GIMT_Encode4(2387706), // Rule ID 59124 //
     /* 2387668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387671 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2387674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2387688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387705 */     // GIR_Coverage, 59124,
     /* 2387705 */     GIR_EraseRootFromParent_Done,
     /* 2387706 */   // Label 33960: @2387706
     /* 2387706 */   GIM_Try, /*On fail goto*//*Label 33961*/ GIMT_Encode4(2387749), // Rule ID 59125 //
     /* 2387711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387714 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2387717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2387731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387748 */     // GIR_Coverage, 59125,
     /* 2387748 */     GIR_EraseRootFromParent_Done,
     /* 2387749 */   // Label 33961: @2387749
     /* 2387749 */   GIM_Reject,
     /* 2387750 */ // Label 33959: @2387750
     /* 2387750 */ GIM_Reject,
     /* 2387751 */ // Label 33888: @2387751
     /* 2387751 */ GIM_Reject,
     /* 2387752 */ // Label 92: @2387752
     /* 2387752 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33986*/ GIMT_Encode4(2390297),
     /* 2387763 */ /*GILLT_s32*//*Label 33962*/ GIMT_Encode4(2387887),
     /* 2387767 */ /*GILLT_s64*//*Label 33963*/ GIMT_Encode4(2387974), GIMT_Encode4(0),
     /* 2387775 */ /*GILLT_nxv1s8*//*Label 33964*/ GIMT_Encode4(2388009),
     /* 2387779 */ /*GILLT_nxv1s16*//*Label 33965*/ GIMT_Encode4(2388113),
     /* 2387783 */ /*GILLT_nxv1s32*//*Label 33966*/ GIMT_Encode4(2388217),
     /* 2387787 */ /*GILLT_nxv1s64*//*Label 33967*/ GIMT_Encode4(2388321), GIMT_Encode4(0),
     /* 2387795 */ /*GILLT_nxv2s8*//*Label 33968*/ GIMT_Encode4(2388425),
     /* 2387799 */ /*GILLT_nxv2s16*//*Label 33969*/ GIMT_Encode4(2388529),
     /* 2387803 */ /*GILLT_nxv2s32*//*Label 33970*/ GIMT_Encode4(2388633),
     /* 2387807 */ /*GILLT_nxv2s64*//*Label 33971*/ GIMT_Encode4(2388737), GIMT_Encode4(0),
     /* 2387815 */ /*GILLT_nxv4s8*//*Label 33972*/ GIMT_Encode4(2388841),
     /* 2387819 */ /*GILLT_nxv4s16*//*Label 33973*/ GIMT_Encode4(2388945),
     /* 2387823 */ /*GILLT_nxv4s32*//*Label 33974*/ GIMT_Encode4(2389049),
     /* 2387827 */ /*GILLT_nxv4s64*//*Label 33975*/ GIMT_Encode4(2389153), GIMT_Encode4(0),
     /* 2387835 */ /*GILLT_nxv8s8*//*Label 33976*/ GIMT_Encode4(2389257),
     /* 2387839 */ /*GILLT_nxv8s16*//*Label 33977*/ GIMT_Encode4(2389361),
     /* 2387843 */ /*GILLT_nxv8s32*//*Label 33978*/ GIMT_Encode4(2389465),
     /* 2387847 */ /*GILLT_nxv8s64*//*Label 33979*/ GIMT_Encode4(2389569), GIMT_Encode4(0),
     /* 2387855 */ /*GILLT_nxv16s8*//*Label 33980*/ GIMT_Encode4(2389673),
     /* 2387859 */ /*GILLT_nxv16s16*//*Label 33981*/ GIMT_Encode4(2389777),
     /* 2387863 */ /*GILLT_nxv16s32*//*Label 33982*/ GIMT_Encode4(2389881), GIMT_Encode4(0),
     /* 2387871 */ /*GILLT_nxv32s8*//*Label 33983*/ GIMT_Encode4(2389985),
     /* 2387875 */ /*GILLT_nxv32s16*//*Label 33984*/ GIMT_Encode4(2390089), GIMT_Encode4(0),
     /* 2387883 */ /*GILLT_nxv64s8*//*Label 33985*/ GIMT_Encode4(2390193),
     /* 2387887 */ // Label 33962: @2387887
     /* 2387887 */ GIM_Try, /*On fail goto*//*Label 33987*/ GIMT_Encode4(2387973),
     /* 2387892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2387895 */   GIM_Try, /*On fail goto*//*Label 33988*/ GIMT_Encode4(2387926), // Rule ID 64453 //
     /* 2387900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2387903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2387907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2387911 */     // (bitreverse:{ *:[i32] } GPR:{ *:[i32] }:$rs)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2387911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2387914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2387918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2387921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2387924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387925 */     // GIR_Coverage, 64453,
     /* 2387925 */     GIR_EraseRootFromParent_Done,
     /* 2387926 */   // Label 33988: @2387926
     /* 2387926 */   GIM_Try, /*On fail goto*//*Label 33989*/ GIMT_Encode4(2387949), // Rule ID 64629 //
     /* 2387931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /* 2387934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2387938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2387942 */     // (bitreverse:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1)  =>  (QC_BREV32:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1)
     /* 2387942 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_BREV32),
     /* 2387947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387948 */     // GIR_Coverage, 64629,
     /* 2387948 */     GIR_Done,
     /* 2387949 */   // Label 33989: @2387949
     /* 2387949 */   GIM_Try, /*On fail goto*//*Label 33990*/ GIMT_Encode4(2387972), // Rule ID 64630 //
     /* 2387954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /* 2387957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2387961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2387965 */     // (bitreverse:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1)  =>  (QC_BREV32:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1)
     /* 2387965 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_BREV32),
     /* 2387970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387971 */     // GIR_Coverage, 64630,
     /* 2387971 */     GIR_Done,
     /* 2387972 */   // Label 33990: @2387972
     /* 2387972 */   GIM_Reject,
     /* 2387973 */ // Label 33987: @2387973
     /* 2387973 */ GIM_Reject,
     /* 2387974 */ // Label 33963: @2387974
     /* 2387974 */ GIM_Try, /*On fail goto*//*Label 33991*/ GIMT_Encode4(2388008), // Rule ID 64452 //
     /* 2387979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2387982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2387985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2387989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2387993 */   // (bitreverse:{ *:[i64] } GPR:{ *:[i64] }:$rs)  =>  (CV_BITREV:{ *:[i64] } GPR:{ *:[i64] }:$rs, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2387993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2387996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387998 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2388000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2388003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2388006 */   GIR_RootConstrainSelectedInstOperands,
     /* 2388007 */   // GIR_Coverage, 64452,
     /* 2388007 */   GIR_EraseRootFromParent_Done,
     /* 2388008 */ // Label 33991: @2388008
     /* 2388008 */ GIM_Reject,
     /* 2388009 */ // Label 33964: @2388009
     /* 2388009 */ GIM_Try, /*On fail goto*//*Label 33992*/ GIMT_Encode4(2388112),
     /* 2388014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2388017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388025 */   GIM_Try, /*On fail goto*//*Label 33993*/ GIMT_Encode4(2388068), // Rule ID 58924 //
     /* 2388030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2388033 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2388036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2388050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388067 */     // GIR_Coverage, 58924,
     /* 2388067 */     GIR_EraseRootFromParent_Done,
     /* 2388068 */   // Label 33993: @2388068
     /* 2388068 */   GIM_Try, /*On fail goto*//*Label 33994*/ GIMT_Encode4(2388111), // Rule ID 58925 //
     /* 2388073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2388076 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2388079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2388093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388110 */     // GIR_Coverage, 58925,
     /* 2388110 */     GIR_EraseRootFromParent_Done,
     /* 2388111 */   // Label 33994: @2388111
     /* 2388111 */   GIM_Reject,
     /* 2388112 */ // Label 33992: @2388112
     /* 2388112 */ GIM_Reject,
     /* 2388113 */ // Label 33965: @2388113
     /* 2388113 */ GIM_Try, /*On fail goto*//*Label 33995*/ GIMT_Encode4(2388216),
     /* 2388118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2388121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388129 */   GIM_Try, /*On fail goto*//*Label 33996*/ GIMT_Encode4(2388172), // Rule ID 59062 //
     /* 2388134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2388137 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2388140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2388154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388171 */     // GIR_Coverage, 59062,
     /* 2388171 */     GIR_EraseRootFromParent_Done,
     /* 2388172 */   // Label 33996: @2388172
     /* 2388172 */   GIM_Try, /*On fail goto*//*Label 33997*/ GIMT_Encode4(2388215), // Rule ID 59063 //
     /* 2388177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2388180 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2388183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2388197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388214 */     // GIR_Coverage, 59063,
     /* 2388214 */     GIR_EraseRootFromParent_Done,
     /* 2388215 */   // Label 33997: @2388215
     /* 2388215 */   GIM_Reject,
     /* 2388216 */ // Label 33995: @2388216
     /* 2388216 */ GIM_Reject,
     /* 2388217 */ // Label 33966: @2388217
     /* 2388217 */ GIM_Try, /*On fail goto*//*Label 33998*/ GIMT_Encode4(2388320),
     /* 2388222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2388225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388233 */   GIM_Try, /*On fail goto*//*Label 33999*/ GIMT_Encode4(2388276), // Rule ID 59066 //
     /* 2388238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2388241 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2388244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2388258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388275 */     // GIR_Coverage, 59066,
     /* 2388275 */     GIR_EraseRootFromParent_Done,
     /* 2388276 */   // Label 33999: @2388276
     /* 2388276 */   GIM_Try, /*On fail goto*//*Label 34000*/ GIMT_Encode4(2388319), // Rule ID 59067 //
     /* 2388281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2388284 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2388287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2388301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388318 */     // GIR_Coverage, 59067,
     /* 2388318 */     GIR_EraseRootFromParent_Done,
     /* 2388319 */   // Label 34000: @2388319
     /* 2388319 */   GIM_Reject,
     /* 2388320 */ // Label 33998: @2388320
     /* 2388320 */ GIM_Reject,
     /* 2388321 */ // Label 33967: @2388321
     /* 2388321 */ GIM_Try, /*On fail goto*//*Label 34001*/ GIMT_Encode4(2388424),
     /* 2388326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388337 */   GIM_Try, /*On fail goto*//*Label 34002*/ GIMT_Encode4(2388380), // Rule ID 59074 //
     /* 2388342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2388345 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2388348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2388362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388379 */     // GIR_Coverage, 59074,
     /* 2388379 */     GIR_EraseRootFromParent_Done,
     /* 2388380 */   // Label 34002: @2388380
     /* 2388380 */   GIM_Try, /*On fail goto*//*Label 34003*/ GIMT_Encode4(2388423), // Rule ID 59075 //
     /* 2388385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2388388 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2388391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2388405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388422 */     // GIR_Coverage, 59075,
     /* 2388422 */     GIR_EraseRootFromParent_Done,
     /* 2388423 */   // Label 34003: @2388423
     /* 2388423 */   GIM_Reject,
     /* 2388424 */ // Label 34001: @2388424
     /* 2388424 */ GIM_Reject,
     /* 2388425 */ // Label 33968: @2388425
     /* 2388425 */ GIM_Try, /*On fail goto*//*Label 34004*/ GIMT_Encode4(2388528),
     /* 2388430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2388433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388441 */   GIM_Try, /*On fail goto*//*Label 34005*/ GIMT_Encode4(2388484), // Rule ID 59058 //
     /* 2388446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2388449 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2388452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2388466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388483 */     // GIR_Coverage, 59058,
     /* 2388483 */     GIR_EraseRootFromParent_Done,
     /* 2388484 */   // Label 34005: @2388484
     /* 2388484 */   GIM_Try, /*On fail goto*//*Label 34006*/ GIMT_Encode4(2388527), // Rule ID 59059 //
     /* 2388489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2388492 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2388495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2388509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388526 */     // GIR_Coverage, 59059,
     /* 2388526 */     GIR_EraseRootFromParent_Done,
     /* 2388527 */   // Label 34006: @2388527
     /* 2388527 */   GIM_Reject,
     /* 2388528 */ // Label 34004: @2388528
     /* 2388528 */ GIM_Reject,
     /* 2388529 */ // Label 33969: @2388529
     /* 2388529 */ GIM_Try, /*On fail goto*//*Label 34007*/ GIMT_Encode4(2388632),
     /* 2388534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388545 */   GIM_Try, /*On fail goto*//*Label 34008*/ GIMT_Encode4(2388588), // Rule ID 59064 //
     /* 2388550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2388553 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2388556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2388570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388587 */     // GIR_Coverage, 59064,
     /* 2388587 */     GIR_EraseRootFromParent_Done,
     /* 2388588 */   // Label 34008: @2388588
     /* 2388588 */   GIM_Try, /*On fail goto*//*Label 34009*/ GIMT_Encode4(2388631), // Rule ID 59065 //
     /* 2388593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2388596 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2388599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2388613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388630 */     // GIR_Coverage, 59065,
     /* 2388630 */     GIR_EraseRootFromParent_Done,
     /* 2388631 */   // Label 34009: @2388631
     /* 2388631 */   GIM_Reject,
     /* 2388632 */ // Label 34007: @2388632
     /* 2388632 */ GIM_Reject,
     /* 2388633 */ // Label 33970: @2388633
     /* 2388633 */ GIM_Try, /*On fail goto*//*Label 34010*/ GIMT_Encode4(2388736),
     /* 2388638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2388641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388649 */   GIM_Try, /*On fail goto*//*Label 34011*/ GIMT_Encode4(2388692), // Rule ID 59072 //
     /* 2388654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2388657 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2388660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2388674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388691 */     // GIR_Coverage, 59072,
     /* 2388691 */     GIR_EraseRootFromParent_Done,
     /* 2388692 */   // Label 34011: @2388692
     /* 2388692 */   GIM_Try, /*On fail goto*//*Label 34012*/ GIMT_Encode4(2388735), // Rule ID 59073 //
     /* 2388697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2388700 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2388703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2388717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388734 */     // GIR_Coverage, 59073,
     /* 2388734 */     GIR_EraseRootFromParent_Done,
     /* 2388735 */   // Label 34012: @2388735
     /* 2388735 */   GIM_Reject,
     /* 2388736 */ // Label 34010: @2388736
     /* 2388736 */ GIM_Reject,
     /* 2388737 */ // Label 33971: @2388737
     /* 2388737 */ GIM_Try, /*On fail goto*//*Label 34013*/ GIMT_Encode4(2388840),
     /* 2388742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388753 */   GIM_Try, /*On fail goto*//*Label 34014*/ GIMT_Encode4(2388796), // Rule ID 59094 //
     /* 2388758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2388761 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2388764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2388778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388795 */     // GIR_Coverage, 59094,
     /* 2388795 */     GIR_EraseRootFromParent_Done,
     /* 2388796 */   // Label 34014: @2388796
     /* 2388796 */   GIM_Try, /*On fail goto*//*Label 34015*/ GIMT_Encode4(2388839), // Rule ID 59095 //
     /* 2388801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2388804 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2388807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2388821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388838 */     // GIR_Coverage, 59095,
     /* 2388838 */     GIR_EraseRootFromParent_Done,
     /* 2388839 */   // Label 34015: @2388839
     /* 2388839 */   GIM_Reject,
     /* 2388840 */ // Label 34013: @2388840
     /* 2388840 */ GIM_Reject,
     /* 2388841 */ // Label 33972: @2388841
     /* 2388841 */ GIM_Try, /*On fail goto*//*Label 34016*/ GIMT_Encode4(2388944),
     /* 2388846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2388849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388857 */   GIM_Try, /*On fail goto*//*Label 34017*/ GIMT_Encode4(2388900), // Rule ID 59060 //
     /* 2388862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2388865 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2388868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2388882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388899 */     // GIR_Coverage, 59060,
     /* 2388899 */     GIR_EraseRootFromParent_Done,
     /* 2388900 */   // Label 34017: @2388900
     /* 2388900 */   GIM_Try, /*On fail goto*//*Label 34018*/ GIMT_Encode4(2388943), // Rule ID 59061 //
     /* 2388905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2388908 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2388911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2388925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388942 */     // GIR_Coverage, 59061,
     /* 2388942 */     GIR_EraseRootFromParent_Done,
     /* 2388943 */   // Label 34018: @2388943
     /* 2388943 */   GIM_Reject,
     /* 2388944 */ // Label 34016: @2388944
     /* 2388944 */ GIM_Reject,
     /* 2388945 */ // Label 33973: @2388945
     /* 2388945 */ GIM_Try, /*On fail goto*//*Label 34019*/ GIMT_Encode4(2389048),
     /* 2388950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2388953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388961 */   GIM_Try, /*On fail goto*//*Label 34020*/ GIMT_Encode4(2389004), // Rule ID 59070 //
     /* 2388966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2388969 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2388972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2388986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389003 */     // GIR_Coverage, 59070,
     /* 2389003 */     GIR_EraseRootFromParent_Done,
     /* 2389004 */   // Label 34020: @2389004
     /* 2389004 */   GIM_Try, /*On fail goto*//*Label 34021*/ GIMT_Encode4(2389047), // Rule ID 59071 //
     /* 2389009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2389012 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2389015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2389029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389046 */     // GIR_Coverage, 59071,
     /* 2389046 */     GIR_EraseRootFromParent_Done,
     /* 2389047 */   // Label 34021: @2389047
     /* 2389047 */   GIM_Reject,
     /* 2389048 */ // Label 34019: @2389048
     /* 2389048 */ GIM_Reject,
     /* 2389049 */ // Label 33974: @2389049
     /* 2389049 */ GIM_Try, /*On fail goto*//*Label 34022*/ GIMT_Encode4(2389152),
     /* 2389054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2389057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389065 */   GIM_Try, /*On fail goto*//*Label 34023*/ GIMT_Encode4(2389108), // Rule ID 59088 //
     /* 2389070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2389073 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2389076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2389090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389107 */     // GIR_Coverage, 59088,
     /* 2389107 */     GIR_EraseRootFromParent_Done,
     /* 2389108 */   // Label 34023: @2389108
     /* 2389108 */   GIM_Try, /*On fail goto*//*Label 34024*/ GIMT_Encode4(2389151), // Rule ID 59089 //
     /* 2389113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2389116 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2389119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2389133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389150 */     // GIR_Coverage, 59089,
     /* 2389150 */     GIR_EraseRootFromParent_Done,
     /* 2389151 */   // Label 34024: @2389151
     /* 2389151 */   GIM_Reject,
     /* 2389152 */ // Label 34022: @2389152
     /* 2389152 */ GIM_Reject,
     /* 2389153 */ // Label 33975: @2389153
     /* 2389153 */ GIM_Try, /*On fail goto*//*Label 34025*/ GIMT_Encode4(2389256),
     /* 2389158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2389161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389169 */   GIM_Try, /*On fail goto*//*Label 34026*/ GIMT_Encode4(2389212), // Rule ID 59096 //
     /* 2389174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2389177 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2389180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2389194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389211 */     // GIR_Coverage, 59096,
     /* 2389211 */     GIR_EraseRootFromParent_Done,
     /* 2389212 */   // Label 34026: @2389212
     /* 2389212 */   GIM_Try, /*On fail goto*//*Label 34027*/ GIMT_Encode4(2389255), // Rule ID 59097 //
     /* 2389217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2389220 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2389223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2389237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389254 */     // GIR_Coverage, 59097,
     /* 2389254 */     GIR_EraseRootFromParent_Done,
     /* 2389255 */   // Label 34027: @2389255
     /* 2389255 */   GIM_Reject,
     /* 2389256 */ // Label 34025: @2389256
     /* 2389256 */ GIM_Reject,
     /* 2389257 */ // Label 33976: @2389257
     /* 2389257 */ GIM_Try, /*On fail goto*//*Label 34028*/ GIMT_Encode4(2389360),
     /* 2389262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2389265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389273 */   GIM_Try, /*On fail goto*//*Label 34029*/ GIMT_Encode4(2389316), // Rule ID 59068 //
     /* 2389278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2389281 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2389284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2389298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389315 */     // GIR_Coverage, 59068,
     /* 2389315 */     GIR_EraseRootFromParent_Done,
     /* 2389316 */   // Label 34029: @2389316
     /* 2389316 */   GIM_Try, /*On fail goto*//*Label 34030*/ GIMT_Encode4(2389359), // Rule ID 59069 //
     /* 2389321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2389324 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2389327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2389341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389358 */     // GIR_Coverage, 59069,
     /* 2389358 */     GIR_EraseRootFromParent_Done,
     /* 2389359 */   // Label 34030: @2389359
     /* 2389359 */   GIM_Reject,
     /* 2389360 */ // Label 34028: @2389360
     /* 2389360 */ GIM_Reject,
     /* 2389361 */ // Label 33977: @2389361
     /* 2389361 */ GIM_Try, /*On fail goto*//*Label 34031*/ GIMT_Encode4(2389464),
     /* 2389366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2389369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389377 */   GIM_Try, /*On fail goto*//*Label 34032*/ GIMT_Encode4(2389420), // Rule ID 59082 //
     /* 2389382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2389385 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2389388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2389402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389419 */     // GIR_Coverage, 59082,
     /* 2389419 */     GIR_EraseRootFromParent_Done,
     /* 2389420 */   // Label 34032: @2389420
     /* 2389420 */   GIM_Try, /*On fail goto*//*Label 34033*/ GIMT_Encode4(2389463), // Rule ID 59083 //
     /* 2389425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2389428 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2389431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2389445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389462 */     // GIR_Coverage, 59083,
     /* 2389462 */     GIR_EraseRootFromParent_Done,
     /* 2389463 */   // Label 34033: @2389463
     /* 2389463 */   GIM_Reject,
     /* 2389464 */ // Label 34031: @2389464
     /* 2389464 */ GIM_Reject,
     /* 2389465 */ // Label 33978: @2389465
     /* 2389465 */ GIM_Try, /*On fail goto*//*Label 34034*/ GIMT_Encode4(2389568),
     /* 2389470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2389473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389481 */   GIM_Try, /*On fail goto*//*Label 34035*/ GIMT_Encode4(2389524), // Rule ID 59090 //
     /* 2389486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2389489 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2389492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2389506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389523 */     // GIR_Coverage, 59090,
     /* 2389523 */     GIR_EraseRootFromParent_Done,
     /* 2389524 */   // Label 34035: @2389524
     /* 2389524 */   GIM_Try, /*On fail goto*//*Label 34036*/ GIMT_Encode4(2389567), // Rule ID 59091 //
     /* 2389529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2389532 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2389535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2389549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389566 */     // GIR_Coverage, 59091,
     /* 2389566 */     GIR_EraseRootFromParent_Done,
     /* 2389567 */   // Label 34036: @2389567
     /* 2389567 */   GIM_Reject,
     /* 2389568 */ // Label 34034: @2389568
     /* 2389568 */ GIM_Reject,
     /* 2389569 */ // Label 33979: @2389569
     /* 2389569 */ GIM_Try, /*On fail goto*//*Label 34037*/ GIMT_Encode4(2389672),
     /* 2389574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2389577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389585 */   GIM_Try, /*On fail goto*//*Label 34038*/ GIMT_Encode4(2389628), // Rule ID 59098 //
     /* 2389590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2389593 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2389596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2389610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389627 */     // GIR_Coverage, 59098,
     /* 2389627 */     GIR_EraseRootFromParent_Done,
     /* 2389628 */   // Label 34038: @2389628
     /* 2389628 */   GIM_Try, /*On fail goto*//*Label 34039*/ GIMT_Encode4(2389671), // Rule ID 59099 //
     /* 2389633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2389636 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2389639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2389653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389670 */     // GIR_Coverage, 59099,
     /* 2389670 */     GIR_EraseRootFromParent_Done,
     /* 2389671 */   // Label 34039: @2389671
     /* 2389671 */   GIM_Reject,
     /* 2389672 */ // Label 34037: @2389672
     /* 2389672 */ GIM_Reject,
     /* 2389673 */ // Label 33980: @2389673
     /* 2389673 */ GIM_Try, /*On fail goto*//*Label 34040*/ GIMT_Encode4(2389776),
     /* 2389678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2389681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389689 */   GIM_Try, /*On fail goto*//*Label 34041*/ GIMT_Encode4(2389732), // Rule ID 59076 //
     /* 2389694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2389697 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2389700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2389714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389731 */     // GIR_Coverage, 59076,
     /* 2389731 */     GIR_EraseRootFromParent_Done,
     /* 2389732 */   // Label 34041: @2389732
     /* 2389732 */   GIM_Try, /*On fail goto*//*Label 34042*/ GIMT_Encode4(2389775), // Rule ID 59077 //
     /* 2389737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2389740 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2389743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2389757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389774 */     // GIR_Coverage, 59077,
     /* 2389774 */     GIR_EraseRootFromParent_Done,
     /* 2389775 */   // Label 34042: @2389775
     /* 2389775 */   GIM_Reject,
     /* 2389776 */ // Label 34040: @2389776
     /* 2389776 */ GIM_Reject,
     /* 2389777 */ // Label 33981: @2389777
     /* 2389777 */ GIM_Try, /*On fail goto*//*Label 34043*/ GIMT_Encode4(2389880),
     /* 2389782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389793 */   GIM_Try, /*On fail goto*//*Label 34044*/ GIMT_Encode4(2389836), // Rule ID 59084 //
     /* 2389798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2389801 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2389804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2389818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389835 */     // GIR_Coverage, 59084,
     /* 2389835 */     GIR_EraseRootFromParent_Done,
     /* 2389836 */   // Label 34044: @2389836
     /* 2389836 */   GIM_Try, /*On fail goto*//*Label 34045*/ GIMT_Encode4(2389879), // Rule ID 59085 //
     /* 2389841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2389844 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2389847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2389861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389878 */     // GIR_Coverage, 59085,
     /* 2389878 */     GIR_EraseRootFromParent_Done,
     /* 2389879 */   // Label 34045: @2389879
     /* 2389879 */   GIM_Reject,
     /* 2389880 */ // Label 34043: @2389880
     /* 2389880 */ GIM_Reject,
     /* 2389881 */ // Label 33982: @2389881
     /* 2389881 */ GIM_Try, /*On fail goto*//*Label 34046*/ GIMT_Encode4(2389984),
     /* 2389886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2389889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389897 */   GIM_Try, /*On fail goto*//*Label 34047*/ GIMT_Encode4(2389940), // Rule ID 59092 //
     /* 2389902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2389905 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2389908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2389922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389939 */     // GIR_Coverage, 59092,
     /* 2389939 */     GIR_EraseRootFromParent_Done,
     /* 2389940 */   // Label 34047: @2389940
     /* 2389940 */   GIM_Try, /*On fail goto*//*Label 34048*/ GIMT_Encode4(2389983), // Rule ID 59093 //
     /* 2389945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2389948 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2389951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2389965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389982 */     // GIR_Coverage, 59093,
     /* 2389982 */     GIR_EraseRootFromParent_Done,
     /* 2389983 */   // Label 34048: @2389983
     /* 2389983 */   GIM_Reject,
     /* 2389984 */ // Label 34046: @2389984
     /* 2389984 */ GIM_Reject,
     /* 2389985 */ // Label 33983: @2389985
     /* 2389985 */ GIM_Try, /*On fail goto*//*Label 34049*/ GIMT_Encode4(2390088),
     /* 2389990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2389993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390001 */   GIM_Try, /*On fail goto*//*Label 34050*/ GIMT_Encode4(2390044), // Rule ID 59078 //
     /* 2390006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2390009 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2390012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2390026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390043 */     // GIR_Coverage, 59078,
     /* 2390043 */     GIR_EraseRootFromParent_Done,
     /* 2390044 */   // Label 34050: @2390044
     /* 2390044 */   GIM_Try, /*On fail goto*//*Label 34051*/ GIMT_Encode4(2390087), // Rule ID 59079 //
     /* 2390049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2390052 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2390055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2390069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390086 */     // GIR_Coverage, 59079,
     /* 2390086 */     GIR_EraseRootFromParent_Done,
     /* 2390087 */   // Label 34051: @2390087
     /* 2390087 */   GIM_Reject,
     /* 2390088 */ // Label 34049: @2390088
     /* 2390088 */ GIM_Reject,
     /* 2390089 */ // Label 33984: @2390089
     /* 2390089 */ GIM_Try, /*On fail goto*//*Label 34052*/ GIMT_Encode4(2390192),
     /* 2390094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2390097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390105 */   GIM_Try, /*On fail goto*//*Label 34053*/ GIMT_Encode4(2390148), // Rule ID 59086 //
     /* 2390110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2390113 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2390116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2390130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390147 */     // GIR_Coverage, 59086,
     /* 2390147 */     GIR_EraseRootFromParent_Done,
     /* 2390148 */   // Label 34053: @2390148
     /* 2390148 */   GIM_Try, /*On fail goto*//*Label 34054*/ GIMT_Encode4(2390191), // Rule ID 59087 //
     /* 2390153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2390156 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2390159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2390173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390190 */     // GIR_Coverage, 59087,
     /* 2390190 */     GIR_EraseRootFromParent_Done,
     /* 2390191 */   // Label 34054: @2390191
     /* 2390191 */   GIM_Reject,
     /* 2390192 */ // Label 34052: @2390192
     /* 2390192 */ GIM_Reject,
     /* 2390193 */ // Label 33985: @2390193
     /* 2390193 */ GIM_Try, /*On fail goto*//*Label 34055*/ GIMT_Encode4(2390296),
     /* 2390198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2390201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390209 */   GIM_Try, /*On fail goto*//*Label 34056*/ GIMT_Encode4(2390252), // Rule ID 59080 //
     /* 2390214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2390217 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2390220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2390234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390251 */     // GIR_Coverage, 59080,
     /* 2390251 */     GIR_EraseRootFromParent_Done,
     /* 2390252 */   // Label 34056: @2390252
     /* 2390252 */   GIM_Try, /*On fail goto*//*Label 34057*/ GIMT_Encode4(2390295), // Rule ID 59081 //
     /* 2390257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2390260 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2390263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2390277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390294 */     // GIR_Coverage, 59081,
     /* 2390294 */     GIR_EraseRootFromParent_Done,
     /* 2390295 */   // Label 34057: @2390295
     /* 2390295 */   GIM_Reject,
     /* 2390296 */ // Label 34055: @2390296
     /* 2390296 */ GIM_Reject,
     /* 2390297 */ // Label 33986: @2390297
     /* 2390297 */ GIM_Reject,
     /* 2390298 */ // Label 93: @2390298
     /* 2390298 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34061*/ GIMT_Encode4(2390495),
     /* 2390309 */ /*GILLT_s16*//*Label 34058*/ GIMT_Encode4(2390321),
     /* 2390313 */ /*GILLT_s32*//*Label 34059*/ GIMT_Encode4(2390379),
     /* 2390317 */ /*GILLT_s64*//*Label 34060*/ GIMT_Encode4(2390437),
     /* 2390321 */ // Label 34058: @2390321
     /* 2390321 */ GIM_Try, /*On fail goto*//*Label 34062*/ GIMT_Encode4(2390378),
     /* 2390326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390337 */   GIM_Try, /*On fail goto*//*Label 34063*/ GIMT_Encode4(2390357), // Rule ID 2432 //
     /* 2390342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2390345 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i64] })
     /* 2390345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2390348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390356 */     // GIR_Coverage, 2432,
     /* 2390356 */     GIR_EraseRootFromParent_Done,
     /* 2390357 */   // Label 34063: @2390357
     /* 2390357 */   GIM_Try, /*On fail goto*//*Label 34064*/ GIMT_Encode4(2390377), // Rule ID 2433 //
     /* 2390362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2390365 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i32] })
     /* 2390365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2390368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390376 */     // GIR_Coverage, 2433,
     /* 2390376 */     GIR_EraseRootFromParent_Done,
     /* 2390377 */   // Label 34064: @2390377
     /* 2390377 */   GIM_Reject,
     /* 2390378 */ // Label 34062: @2390378
     /* 2390378 */ GIM_Reject,
     /* 2390379 */ // Label 34059: @2390379
     /* 2390379 */ GIM_Try, /*On fail goto*//*Label 34065*/ GIMT_Encode4(2390436),
     /* 2390384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2390387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390395 */   GIM_Try, /*On fail goto*//*Label 34066*/ GIMT_Encode4(2390415), // Rule ID 2350 //
     /* 2390400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2390403 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i64] })
     /* 2390403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2390406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390414 */     // GIR_Coverage, 2350,
     /* 2390414 */     GIR_EraseRootFromParent_Done,
     /* 2390415 */   // Label 34066: @2390415
     /* 2390415 */   GIM_Try, /*On fail goto*//*Label 34067*/ GIMT_Encode4(2390435), // Rule ID 2351 //
     /* 2390420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2390423 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i32] })
     /* 2390423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2390426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390434 */     // GIR_Coverage, 2351,
     /* 2390434 */     GIR_EraseRootFromParent_Done,
     /* 2390435 */   // Label 34067: @2390435
     /* 2390435 */   GIM_Reject,
     /* 2390436 */ // Label 34065: @2390436
     /* 2390436 */ GIM_Reject,
     /* 2390437 */ // Label 34060: @2390437
     /* 2390437 */ GIM_Try, /*On fail goto*//*Label 34068*/ GIMT_Encode4(2390494),
     /* 2390442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2390445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2390449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2390453 */   GIM_Try, /*On fail goto*//*Label 34069*/ GIMT_Encode4(2390473), // Rule ID 2390 //
     /* 2390458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2390461 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i64] })
     /* 2390461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2390464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390472 */     // GIR_Coverage, 2390,
     /* 2390472 */     GIR_EraseRootFromParent_Done,
     /* 2390473 */   // Label 34069: @2390473
     /* 2390473 */   GIM_Try, /*On fail goto*//*Label 34070*/ GIMT_Encode4(2390493), // Rule ID 2391 //
     /* 2390478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2390481 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i32] })
     /* 2390481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2390484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390492 */     // GIR_Coverage, 2391,
     /* 2390492 */     GIR_EraseRootFromParent_Done,
     /* 2390493 */   // Label 34070: @2390493
     /* 2390493 */   GIM_Reject,
     /* 2390494 */ // Label 34068: @2390494
     /* 2390494 */ GIM_Reject,
     /* 2390495 */ // Label 34061: @2390495
     /* 2390495 */ GIM_Reject,
     /* 2390496 */ // Label 94: @2390496
     /* 2390496 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34089*/ GIMT_Encode4(2392671),
     /* 2390507 */ /*GILLT_s16*//*Label 34071*/ GIMT_Encode4(2390627),
     /* 2390511 */ /*GILLT_s32*//*Label 34072*/ GIMT_Encode4(2390749),
     /* 2390515 */ /*GILLT_s64*//*Label 34073*/ GIMT_Encode4(2390871), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390527 */ /*GILLT_nxv1s16*//*Label 34074*/ GIMT_Encode4(2391021),
     /* 2390531 */ /*GILLT_nxv1s32*//*Label 34075*/ GIMT_Encode4(2391131),
     /* 2390535 */ /*GILLT_nxv1s64*//*Label 34076*/ GIMT_Encode4(2391241), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390547 */ /*GILLT_nxv2s16*//*Label 34077*/ GIMT_Encode4(2391351),
     /* 2390551 */ /*GILLT_nxv2s32*//*Label 34078*/ GIMT_Encode4(2391461),
     /* 2390555 */ /*GILLT_nxv2s64*//*Label 34079*/ GIMT_Encode4(2391571), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390567 */ /*GILLT_nxv4s16*//*Label 34080*/ GIMT_Encode4(2391681),
     /* 2390571 */ /*GILLT_nxv4s32*//*Label 34081*/ GIMT_Encode4(2391791),
     /* 2390575 */ /*GILLT_nxv4s64*//*Label 34082*/ GIMT_Encode4(2391901), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390587 */ /*GILLT_nxv8s16*//*Label 34083*/ GIMT_Encode4(2392011),
     /* 2390591 */ /*GILLT_nxv8s32*//*Label 34084*/ GIMT_Encode4(2392121),
     /* 2390595 */ /*GILLT_nxv8s64*//*Label 34085*/ GIMT_Encode4(2392231), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390607 */ /*GILLT_nxv16s16*//*Label 34086*/ GIMT_Encode4(2392341),
     /* 2390611 */ /*GILLT_nxv16s32*//*Label 34087*/ GIMT_Encode4(2392451), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390623 */ /*GILLT_nxv32s16*//*Label 34088*/ GIMT_Encode4(2392561),
     /* 2390627 */ // Label 34071: @2390627
     /* 2390627 */ GIM_Try, /*On fail goto*//*Label 34090*/ GIMT_Encode4(2390748),
     /* 2390632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390635 */   GIM_Try, /*On fail goto*//*Label 34091*/ GIMT_Encode4(2390663), // Rule ID 1990 //
     /* 2390640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2390643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390651 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2390651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2390654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390662 */     // GIR_Coverage, 1990,
     /* 2390662 */     GIR_EraseRootFromParent_Done,
     /* 2390663 */   // Label 34091: @2390663
     /* 2390663 */   GIM_Try, /*On fail goto*//*Label 34092*/ GIMT_Encode4(2390691), // Rule ID 1991 //
     /* 2390668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2390671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390679 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2390679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2390682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390690 */     // GIR_Coverage, 1991,
     /* 2390690 */     GIR_EraseRootFromParent_Done,
     /* 2390691 */   // Label 34092: @2390691
     /* 2390691 */   GIM_Try, /*On fail goto*//*Label 34093*/ GIMT_Encode4(2390719), // Rule ID 2023 //
     /* 2390696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2390699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390707 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2390707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2390710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390718 */     // GIR_Coverage, 2023,
     /* 2390718 */     GIR_EraseRootFromParent_Done,
     /* 2390719 */   // Label 34093: @2390719
     /* 2390719 */   GIM_Try, /*On fail goto*//*Label 34094*/ GIMT_Encode4(2390747), // Rule ID 2024 //
     /* 2390724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2390727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390735 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2390735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2390738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390746 */     // GIR_Coverage, 2024,
     /* 2390746 */     GIR_EraseRootFromParent_Done,
     /* 2390747 */   // Label 34094: @2390747
     /* 2390747 */   GIM_Reject,
     /* 2390748 */ // Label 34090: @2390748
     /* 2390748 */ GIM_Reject,
     /* 2390749 */ // Label 34072: @2390749
     /* 2390749 */ GIM_Try, /*On fail goto*//*Label 34095*/ GIMT_Encode4(2390870),
     /* 2390754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2390757 */   GIM_Try, /*On fail goto*//*Label 34096*/ GIMT_Encode4(2390785), // Rule ID 1281 //
     /* 2390762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2390765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390773 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2390773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2390776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390784 */     // GIR_Coverage, 1281,
     /* 2390784 */     GIR_EraseRootFromParent_Done,
     /* 2390785 */   // Label 34096: @2390785
     /* 2390785 */   GIM_Try, /*On fail goto*//*Label 34097*/ GIMT_Encode4(2390813), // Rule ID 1282 //
     /* 2390790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2390793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390801 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2390801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2390804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390812 */     // GIR_Coverage, 1282,
     /* 2390812 */     GIR_EraseRootFromParent_Done,
     /* 2390813 */   // Label 34097: @2390813
     /* 2390813 */   GIM_Try, /*On fail goto*//*Label 34098*/ GIMT_Encode4(2390841), // Rule ID 1289 //
     /* 2390818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2390821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2390825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2390829 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2390829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2390832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390840 */     // GIR_Coverage, 1289,
     /* 2390840 */     GIR_EraseRootFromParent_Done,
     /* 2390841 */   // Label 34098: @2390841
     /* 2390841 */   GIM_Try, /*On fail goto*//*Label 34099*/ GIMT_Encode4(2390869), // Rule ID 1290 //
     /* 2390846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2390849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2390853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2390857 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2390857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2390860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390868 */     // GIR_Coverage, 1290,
     /* 2390868 */     GIR_EraseRootFromParent_Done,
     /* 2390869 */   // Label 34099: @2390869
     /* 2390869 */   GIM_Reject,
     /* 2390870 */ // Label 34095: @2390870
     /* 2390870 */ GIM_Reject,
     /* 2390871 */ // Label 34073: @2390871
     /* 2390871 */ GIM_Try, /*On fail goto*//*Label 34100*/ GIMT_Encode4(2391020),
     /* 2390876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2390879 */   GIM_Try, /*On fail goto*//*Label 34101*/ GIMT_Encode4(2390907), // Rule ID 1624 //
     /* 2390884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2390887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2390891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2390895 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2390895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2390898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390906 */     // GIR_Coverage, 1624,
     /* 2390906 */     GIR_EraseRootFromParent_Done,
     /* 2390907 */   // Label 34101: @2390907
     /* 2390907 */   GIM_Try, /*On fail goto*//*Label 34102*/ GIMT_Encode4(2390935), // Rule ID 1625 //
     /* 2390912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2390915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2390919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2390923 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2390923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2390926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390934 */     // GIR_Coverage, 1625,
     /* 2390934 */     GIR_EraseRootFromParent_Done,
     /* 2390935 */   // Label 34102: @2390935
     /* 2390935 */   GIM_Try, /*On fail goto*//*Label 34103*/ GIMT_Encode4(2390963), // Rule ID 1658 //
     /* 2390940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2390943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2390947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2390951 */     // (fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2390951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2390954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390962 */     // GIR_Coverage, 1658,
     /* 2390962 */     GIR_EraseRootFromParent_Done,
     /* 2390963 */   // Label 34103: @2390963
     /* 2390963 */   GIM_Try, /*On fail goto*//*Label 34104*/ GIMT_Encode4(2390991), // Rule ID 1679 //
     /* 2390968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2390971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2390975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2390979 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2390979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2390982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390990 */     // GIR_Coverage, 1679,
     /* 2390990 */     GIR_EraseRootFromParent_Done,
     /* 2390991 */   // Label 34104: @2390991
     /* 2390991 */   GIM_Try, /*On fail goto*//*Label 34105*/ GIMT_Encode4(2391019), // Rule ID 1680 //
     /* 2390996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2390999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2391003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2391007 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2391007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2391010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391018 */     // GIR_Coverage, 1680,
     /* 2391018 */     GIR_EraseRootFromParent_Done,
     /* 2391019 */   // Label 34105: @2391019
     /* 2391019 */   GIM_Reject,
     /* 2391020 */ // Label 34100: @2391020
     /* 2391020 */ GIM_Reject,
     /* 2391021 */ // Label 34074: @2391021
     /* 2391021 */ GIM_Try, /*On fail goto*//*Label 34106*/ GIMT_Encode4(2391130),
     /* 2391026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2391029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391037 */   GIM_Try, /*On fail goto*//*Label 34107*/ GIMT_Encode4(2391083), // Rule ID 56242 //
     /* 2391042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391045 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2391048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2391062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391082 */     // GIR_Coverage, 56242,
     /* 2391082 */     GIR_EraseRootFromParent_Done,
     /* 2391083 */   // Label 34107: @2391083
     /* 2391083 */   GIM_Try, /*On fail goto*//*Label 34108*/ GIMT_Encode4(2391129), // Rule ID 56243 //
     /* 2391088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391091 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2391094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2391108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391128 */     // GIR_Coverage, 56243,
     /* 2391128 */     GIR_EraseRootFromParent_Done,
     /* 2391129 */   // Label 34108: @2391129
     /* 2391129 */   GIM_Reject,
     /* 2391130 */ // Label 34106: @2391130
     /* 2391130 */ GIM_Reject,
     /* 2391131 */ // Label 34075: @2391131
     /* 2391131 */ GIM_Try, /*On fail goto*//*Label 34109*/ GIMT_Encode4(2391240),
     /* 2391136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2391139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391147 */   GIM_Try, /*On fail goto*//*Label 34110*/ GIMT_Encode4(2391193), // Rule ID 56282 //
     /* 2391152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391155 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2391158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2391172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391192 */     // GIR_Coverage, 56282,
     /* 2391192 */     GIR_EraseRootFromParent_Done,
     /* 2391193 */   // Label 34110: @2391193
     /* 2391193 */   GIM_Try, /*On fail goto*//*Label 34111*/ GIMT_Encode4(2391239), // Rule ID 56283 //
     /* 2391198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391201 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2391204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2391218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391238 */     // GIR_Coverage, 56283,
     /* 2391238 */     GIR_EraseRootFromParent_Done,
     /* 2391239 */   // Label 34111: @2391239
     /* 2391239 */   GIM_Reject,
     /* 2391240 */ // Label 34109: @2391240
     /* 2391240 */ GIM_Reject,
     /* 2391241 */ // Label 34076: @2391241
     /* 2391241 */ GIM_Try, /*On fail goto*//*Label 34112*/ GIMT_Encode4(2391350),
     /* 2391246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2391249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391257 */   GIM_Try, /*On fail goto*//*Label 34113*/ GIMT_Encode4(2391303), // Rule ID 56342 //
     /* 2391262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391265 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2391268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2391282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391302 */     // GIR_Coverage, 56342,
     /* 2391302 */     GIR_EraseRootFromParent_Done,
     /* 2391303 */   // Label 34113: @2391303
     /* 2391303 */   GIM_Try, /*On fail goto*//*Label 34114*/ GIMT_Encode4(2391349), // Rule ID 56343 //
     /* 2391308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391311 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2391314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2391328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391348 */     // GIR_Coverage, 56343,
     /* 2391348 */     GIR_EraseRootFromParent_Done,
     /* 2391349 */   // Label 34114: @2391349
     /* 2391349 */   GIM_Reject,
     /* 2391350 */ // Label 34112: @2391350
     /* 2391350 */ GIM_Reject,
     /* 2391351 */ // Label 34077: @2391351
     /* 2391351 */ GIM_Try, /*On fail goto*//*Label 34115*/ GIMT_Encode4(2391460),
     /* 2391356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2391359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391367 */   GIM_Try, /*On fail goto*//*Label 34116*/ GIMT_Encode4(2391413), // Rule ID 56262 //
     /* 2391372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391375 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2391378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2391392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391412 */     // GIR_Coverage, 56262,
     /* 2391412 */     GIR_EraseRootFromParent_Done,
     /* 2391413 */   // Label 34116: @2391413
     /* 2391413 */   GIM_Try, /*On fail goto*//*Label 34117*/ GIMT_Encode4(2391459), // Rule ID 56263 //
     /* 2391418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391421 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2391424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2391438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391458 */     // GIR_Coverage, 56263,
     /* 2391458 */     GIR_EraseRootFromParent_Done,
     /* 2391459 */   // Label 34117: @2391459
     /* 2391459 */   GIM_Reject,
     /* 2391460 */ // Label 34115: @2391460
     /* 2391460 */ GIM_Reject,
     /* 2391461 */ // Label 34078: @2391461
     /* 2391461 */ GIM_Try, /*On fail goto*//*Label 34118*/ GIMT_Encode4(2391570),
     /* 2391466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2391469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391477 */   GIM_Try, /*On fail goto*//*Label 34119*/ GIMT_Encode4(2391523), // Rule ID 56322 //
     /* 2391482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391485 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2391488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2391502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391522 */     // GIR_Coverage, 56322,
     /* 2391522 */     GIR_EraseRootFromParent_Done,
     /* 2391523 */   // Label 34119: @2391523
     /* 2391523 */   GIM_Try, /*On fail goto*//*Label 34120*/ GIMT_Encode4(2391569), // Rule ID 56323 //
     /* 2391528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391531 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2391534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2391548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391568 */     // GIR_Coverage, 56323,
     /* 2391568 */     GIR_EraseRootFromParent_Done,
     /* 2391569 */   // Label 34120: @2391569
     /* 2391569 */   GIM_Reject,
     /* 2391570 */ // Label 34118: @2391570
     /* 2391570 */ GIM_Reject,
     /* 2391571 */ // Label 34079: @2391571
     /* 2391571 */ GIM_Try, /*On fail goto*//*Label 34121*/ GIMT_Encode4(2391680),
     /* 2391576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2391579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391587 */   GIM_Try, /*On fail goto*//*Label 34122*/ GIMT_Encode4(2391633), // Rule ID 56482 //
     /* 2391592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391595 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2391598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2391612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391632 */     // GIR_Coverage, 56482,
     /* 2391632 */     GIR_EraseRootFromParent_Done,
     /* 2391633 */   // Label 34122: @2391633
     /* 2391633 */   GIM_Try, /*On fail goto*//*Label 34123*/ GIMT_Encode4(2391679), // Rule ID 56483 //
     /* 2391638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391641 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2391644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2391658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391678 */     // GIR_Coverage, 56483,
     /* 2391678 */     GIR_EraseRootFromParent_Done,
     /* 2391679 */   // Label 34123: @2391679
     /* 2391679 */   GIM_Reject,
     /* 2391680 */ // Label 34121: @2391680
     /* 2391680 */ GIM_Reject,
     /* 2391681 */ // Label 34080: @2391681
     /* 2391681 */ GIM_Try, /*On fail goto*//*Label 34124*/ GIMT_Encode4(2391790),
     /* 2391686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391697 */   GIM_Try, /*On fail goto*//*Label 34125*/ GIMT_Encode4(2391743), // Rule ID 56302 //
     /* 2391702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391705 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2391708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2391722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391742 */     // GIR_Coverage, 56302,
     /* 2391742 */     GIR_EraseRootFromParent_Done,
     /* 2391743 */   // Label 34125: @2391743
     /* 2391743 */   GIM_Try, /*On fail goto*//*Label 34126*/ GIMT_Encode4(2391789), // Rule ID 56303 //
     /* 2391748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391751 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2391754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2391768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391788 */     // GIR_Coverage, 56303,
     /* 2391788 */     GIR_EraseRootFromParent_Done,
     /* 2391789 */   // Label 34126: @2391789
     /* 2391789 */   GIM_Reject,
     /* 2391790 */ // Label 34124: @2391790
     /* 2391790 */ GIM_Reject,
     /* 2391791 */ // Label 34081: @2391791
     /* 2391791 */ GIM_Try, /*On fail goto*//*Label 34127*/ GIMT_Encode4(2391900),
     /* 2391796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391807 */   GIM_Try, /*On fail goto*//*Label 34128*/ GIMT_Encode4(2391853), // Rule ID 56422 //
     /* 2391812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391815 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2391818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2391832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391852 */     // GIR_Coverage, 56422,
     /* 2391852 */     GIR_EraseRootFromParent_Done,
     /* 2391853 */   // Label 34128: @2391853
     /* 2391853 */   GIM_Try, /*On fail goto*//*Label 34129*/ GIMT_Encode4(2391899), // Rule ID 56423 //
     /* 2391858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391861 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2391864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2391878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391898 */     // GIR_Coverage, 56423,
     /* 2391898 */     GIR_EraseRootFromParent_Done,
     /* 2391899 */   // Label 34129: @2391899
     /* 2391899 */   GIM_Reject,
     /* 2391900 */ // Label 34127: @2391900
     /* 2391900 */ GIM_Reject,
     /* 2391901 */ // Label 34082: @2391901
     /* 2391901 */ GIM_Try, /*On fail goto*//*Label 34130*/ GIMT_Encode4(2392010),
     /* 2391906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2391909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391917 */   GIM_Try, /*On fail goto*//*Label 34131*/ GIMT_Encode4(2391963), // Rule ID 56502 //
     /* 2391922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391925 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2391928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2391942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391962 */     // GIR_Coverage, 56502,
     /* 2391962 */     GIR_EraseRootFromParent_Done,
     /* 2391963 */   // Label 34131: @2391963
     /* 2391963 */   GIM_Try, /*On fail goto*//*Label 34132*/ GIMT_Encode4(2392009), // Rule ID 56503 //
     /* 2391968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391971 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2391974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2391988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392008 */     // GIR_Coverage, 56503,
     /* 2392008 */     GIR_EraseRootFromParent_Done,
     /* 2392009 */   // Label 34132: @2392009
     /* 2392009 */   GIM_Reject,
     /* 2392010 */ // Label 34130: @2392010
     /* 2392010 */ GIM_Reject,
     /* 2392011 */ // Label 34083: @2392011
     /* 2392011 */ GIM_Try, /*On fail goto*//*Label 34133*/ GIMT_Encode4(2392120),
     /* 2392016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2392019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392027 */   GIM_Try, /*On fail goto*//*Label 34134*/ GIMT_Encode4(2392073), // Rule ID 56362 //
     /* 2392032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392035 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2392038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2392052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392072 */     // GIR_Coverage, 56362,
     /* 2392072 */     GIR_EraseRootFromParent_Done,
     /* 2392073 */   // Label 34134: @2392073
     /* 2392073 */   GIM_Try, /*On fail goto*//*Label 34135*/ GIMT_Encode4(2392119), // Rule ID 56363 //
     /* 2392078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392081 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2392084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2392098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392118 */     // GIR_Coverage, 56363,
     /* 2392118 */     GIR_EraseRootFromParent_Done,
     /* 2392119 */   // Label 34135: @2392119
     /* 2392119 */   GIM_Reject,
     /* 2392120 */ // Label 34133: @2392120
     /* 2392120 */ GIM_Reject,
     /* 2392121 */ // Label 34084: @2392121
     /* 2392121 */ GIM_Try, /*On fail goto*//*Label 34136*/ GIMT_Encode4(2392230),
     /* 2392126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392137 */   GIM_Try, /*On fail goto*//*Label 34137*/ GIMT_Encode4(2392183), // Rule ID 56442 //
     /* 2392142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392145 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2392148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2392162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392182 */     // GIR_Coverage, 56442,
     /* 2392182 */     GIR_EraseRootFromParent_Done,
     /* 2392183 */   // Label 34137: @2392183
     /* 2392183 */   GIM_Try, /*On fail goto*//*Label 34138*/ GIMT_Encode4(2392229), // Rule ID 56443 //
     /* 2392188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392191 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2392194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2392208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392228 */     // GIR_Coverage, 56443,
     /* 2392228 */     GIR_EraseRootFromParent_Done,
     /* 2392229 */   // Label 34138: @2392229
     /* 2392229 */   GIM_Reject,
     /* 2392230 */ // Label 34136: @2392230
     /* 2392230 */ GIM_Reject,
     /* 2392231 */ // Label 34085: @2392231
     /* 2392231 */ GIM_Try, /*On fail goto*//*Label 34139*/ GIMT_Encode4(2392340),
     /* 2392236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2392239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392247 */   GIM_Try, /*On fail goto*//*Label 34140*/ GIMT_Encode4(2392293), // Rule ID 56522 //
     /* 2392252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392255 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2392258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2392272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392292 */     // GIR_Coverage, 56522,
     /* 2392292 */     GIR_EraseRootFromParent_Done,
     /* 2392293 */   // Label 34140: @2392293
     /* 2392293 */   GIM_Try, /*On fail goto*//*Label 34141*/ GIMT_Encode4(2392339), // Rule ID 56523 //
     /* 2392298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392301 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2392304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2392318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392338 */     // GIR_Coverage, 56523,
     /* 2392338 */     GIR_EraseRootFromParent_Done,
     /* 2392339 */   // Label 34141: @2392339
     /* 2392339 */   GIM_Reject,
     /* 2392340 */ // Label 34139: @2392340
     /* 2392340 */ GIM_Reject,
     /* 2392341 */ // Label 34086: @2392341
     /* 2392341 */ GIM_Try, /*On fail goto*//*Label 34142*/ GIMT_Encode4(2392450),
     /* 2392346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2392349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392357 */   GIM_Try, /*On fail goto*//*Label 34143*/ GIMT_Encode4(2392403), // Rule ID 56382 //
     /* 2392362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392365 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2392368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2392382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392402 */     // GIR_Coverage, 56382,
     /* 2392402 */     GIR_EraseRootFromParent_Done,
     /* 2392403 */   // Label 34143: @2392403
     /* 2392403 */   GIM_Try, /*On fail goto*//*Label 34144*/ GIMT_Encode4(2392449), // Rule ID 56383 //
     /* 2392408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392411 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2392414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2392428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392448 */     // GIR_Coverage, 56383,
     /* 2392448 */     GIR_EraseRootFromParent_Done,
     /* 2392449 */   // Label 34144: @2392449
     /* 2392449 */   GIM_Reject,
     /* 2392450 */ // Label 34142: @2392450
     /* 2392450 */ GIM_Reject,
     /* 2392451 */ // Label 34087: @2392451
     /* 2392451 */ GIM_Try, /*On fail goto*//*Label 34145*/ GIMT_Encode4(2392560),
     /* 2392456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2392459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392467 */   GIM_Try, /*On fail goto*//*Label 34146*/ GIMT_Encode4(2392513), // Rule ID 56462 //
     /* 2392472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392475 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2392478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2392492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392512 */     // GIR_Coverage, 56462,
     /* 2392512 */     GIR_EraseRootFromParent_Done,
     /* 2392513 */   // Label 34146: @2392513
     /* 2392513 */   GIM_Try, /*On fail goto*//*Label 34147*/ GIMT_Encode4(2392559), // Rule ID 56463 //
     /* 2392518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392521 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2392524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2392538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392558 */     // GIR_Coverage, 56463,
     /* 2392558 */     GIR_EraseRootFromParent_Done,
     /* 2392559 */   // Label 34147: @2392559
     /* 2392559 */   GIM_Reject,
     /* 2392560 */ // Label 34145: @2392560
     /* 2392560 */ GIM_Reject,
     /* 2392561 */ // Label 34088: @2392561
     /* 2392561 */ GIM_Try, /*On fail goto*//*Label 34148*/ GIMT_Encode4(2392670),
     /* 2392566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2392569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392577 */   GIM_Try, /*On fail goto*//*Label 34149*/ GIMT_Encode4(2392623), // Rule ID 56402 //
     /* 2392582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392585 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2392588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2392602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392622 */     // GIR_Coverage, 56402,
     /* 2392622 */     GIR_EraseRootFromParent_Done,
     /* 2392623 */   // Label 34149: @2392623
     /* 2392623 */   GIM_Try, /*On fail goto*//*Label 34150*/ GIMT_Encode4(2392669), // Rule ID 56403 //
     /* 2392628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392631 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2392634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2392648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392668 */     // GIR_Coverage, 56403,
     /* 2392668 */     GIR_EraseRootFromParent_Done,
     /* 2392669 */   // Label 34150: @2392669
     /* 2392669 */   GIM_Reject,
     /* 2392670 */ // Label 34148: @2392670
     /* 2392670 */ GIM_Reject,
     /* 2392671 */ // Label 34089: @2392671
     /* 2392671 */ GIM_Reject,
     /* 2392672 */ // Label 95: @2392672
     /* 2392672 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34154*/ GIMT_Encode4(2392869),
     /* 2392683 */ /*GILLT_s16*//*Label 34151*/ GIMT_Encode4(2392695),
     /* 2392687 */ /*GILLT_s32*//*Label 34152*/ GIMT_Encode4(2392753),
     /* 2392691 */ /*GILLT_s64*//*Label 34153*/ GIMT_Encode4(2392811),
     /* 2392695 */ // Label 34151: @2392695
     /* 2392695 */ GIM_Try, /*On fail goto*//*Label 34155*/ GIMT_Encode4(2392752),
     /* 2392700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2392703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392711 */   GIM_Try, /*On fail goto*//*Label 34156*/ GIMT_Encode4(2392731), // Rule ID 2428 //
     /* 2392716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2392719 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i64] })
     /* 2392719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2392722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2392729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392730 */     // GIR_Coverage, 2428,
     /* 2392730 */     GIR_EraseRootFromParent_Done,
     /* 2392731 */   // Label 34156: @2392731
     /* 2392731 */   GIM_Try, /*On fail goto*//*Label 34157*/ GIMT_Encode4(2392751), // Rule ID 2429 //
     /* 2392736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2392739 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i32] })
     /* 2392739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2392742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2392749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392750 */     // GIR_Coverage, 2429,
     /* 2392750 */     GIR_EraseRootFromParent_Done,
     /* 2392751 */   // Label 34157: @2392751
     /* 2392751 */   GIM_Reject,
     /* 2392752 */ // Label 34155: @2392752
     /* 2392752 */ GIM_Reject,
     /* 2392753 */ // Label 34152: @2392753
     /* 2392753 */ GIM_Try, /*On fail goto*//*Label 34158*/ GIMT_Encode4(2392810),
     /* 2392758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392769 */   GIM_Try, /*On fail goto*//*Label 34159*/ GIMT_Encode4(2392789), // Rule ID 2346 //
     /* 2392774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2392777 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i64] })
     /* 2392777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2392780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2392787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392788 */     // GIR_Coverage, 2346,
     /* 2392788 */     GIR_EraseRootFromParent_Done,
     /* 2392789 */   // Label 34159: @2392789
     /* 2392789 */   GIM_Try, /*On fail goto*//*Label 34160*/ GIMT_Encode4(2392809), // Rule ID 2347 //
     /* 2392794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2392797 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i32] })
     /* 2392797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2392800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2392807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392808 */     // GIR_Coverage, 2347,
     /* 2392808 */     GIR_EraseRootFromParent_Done,
     /* 2392809 */   // Label 34160: @2392809
     /* 2392809 */   GIM_Reject,
     /* 2392810 */ // Label 34158: @2392810
     /* 2392810 */ GIM_Reject,
     /* 2392811 */ // Label 34153: @2392811
     /* 2392811 */ GIM_Try, /*On fail goto*//*Label 34161*/ GIMT_Encode4(2392868),
     /* 2392816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2392819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392827 */   GIM_Try, /*On fail goto*//*Label 34162*/ GIMT_Encode4(2392847), // Rule ID 2386 //
     /* 2392832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2392835 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i64] })
     /* 2392835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2392838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2392845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392846 */     // GIR_Coverage, 2386,
     /* 2392846 */     GIR_EraseRootFromParent_Done,
     /* 2392847 */   // Label 34162: @2392847
     /* 2392847 */   GIM_Try, /*On fail goto*//*Label 34163*/ GIMT_Encode4(2392867), // Rule ID 2387 //
     /* 2392852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2392855 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i32] })
     /* 2392855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2392858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2392865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392866 */     // GIR_Coverage, 2387,
     /* 2392866 */     GIR_EraseRootFromParent_Done,
     /* 2392867 */   // Label 34163: @2392867
     /* 2392867 */   GIM_Reject,
     /* 2392868 */ // Label 34161: @2392868
     /* 2392868 */ GIM_Reject,
     /* 2392869 */ // Label 34154: @2392869
     /* 2392869 */ GIM_Reject,
     /* 2392870 */ // Label 96: @2392870
     /* 2392870 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34167*/ GIMT_Encode4(2393067),
     /* 2392881 */ /*GILLT_s16*//*Label 34164*/ GIMT_Encode4(2392893),
     /* 2392885 */ /*GILLT_s32*//*Label 34165*/ GIMT_Encode4(2392951),
     /* 2392889 */ /*GILLT_s64*//*Label 34166*/ GIMT_Encode4(2393009),
     /* 2392893 */ // Label 34164: @2392893
     /* 2392893 */ GIM_Try, /*On fail goto*//*Label 34168*/ GIMT_Encode4(2392950),
     /* 2392898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2392901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392909 */   GIM_Try, /*On fail goto*//*Label 34169*/ GIMT_Encode4(2392929), // Rule ID 2412 //
     /* 2392914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2392917 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2392917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2392920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392928 */     // GIR_Coverage, 2412,
     /* 2392928 */     GIR_EraseRootFromParent_Done,
     /* 2392929 */   // Label 34169: @2392929
     /* 2392929 */   GIM_Try, /*On fail goto*//*Label 34170*/ GIMT_Encode4(2392949), // Rule ID 2413 //
     /* 2392934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2392937 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2392937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2392940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392948 */     // GIR_Coverage, 2413,
     /* 2392948 */     GIR_EraseRootFromParent_Done,
     /* 2392949 */   // Label 34170: @2392949
     /* 2392949 */   GIM_Reject,
     /* 2392950 */ // Label 34168: @2392950
     /* 2392950 */ GIM_Reject,
     /* 2392951 */ // Label 34165: @2392951
     /* 2392951 */ GIM_Try, /*On fail goto*//*Label 34171*/ GIMT_Encode4(2393008),
     /* 2392956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392967 */   GIM_Try, /*On fail goto*//*Label 34172*/ GIMT_Encode4(2392987), // Rule ID 2330 //
     /* 2392972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2392975 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2392975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2392978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392986 */     // GIR_Coverage, 2330,
     /* 2392986 */     GIR_EraseRootFromParent_Done,
     /* 2392987 */   // Label 34172: @2392987
     /* 2392987 */   GIM_Try, /*On fail goto*//*Label 34173*/ GIMT_Encode4(2393007), // Rule ID 2331 //
     /* 2392992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2392995 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2392995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2392998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393006 */     // GIR_Coverage, 2331,
     /* 2393006 */     GIR_EraseRootFromParent_Done,
     /* 2393007 */   // Label 34173: @2393007
     /* 2393007 */   GIM_Reject,
     /* 2393008 */ // Label 34171: @2393008
     /* 2393008 */ GIM_Reject,
     /* 2393009 */ // Label 34166: @2393009
     /* 2393009 */ GIM_Try, /*On fail goto*//*Label 34174*/ GIMT_Encode4(2393066),
     /* 2393014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393025 */   GIM_Try, /*On fail goto*//*Label 34175*/ GIMT_Encode4(2393045), // Rule ID 2370 //
     /* 2393030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2393033 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2393033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2393036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393044 */     // GIR_Coverage, 2370,
     /* 2393044 */     GIR_EraseRootFromParent_Done,
     /* 2393045 */   // Label 34175: @2393045
     /* 2393045 */   GIM_Try, /*On fail goto*//*Label 34176*/ GIMT_Encode4(2393065), // Rule ID 2371 //
     /* 2393050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2393053 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2393053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2393056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393064 */     // GIR_Coverage, 2371,
     /* 2393064 */     GIR_EraseRootFromParent_Done,
     /* 2393065 */   // Label 34176: @2393065
     /* 2393065 */   GIM_Reject,
     /* 2393066 */ // Label 34174: @2393066
     /* 2393066 */ GIM_Reject,
     /* 2393067 */ // Label 34167: @2393067
     /* 2393067 */ GIM_Reject,
     /* 2393068 */ // Label 97: @2393068
     /* 2393068 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34180*/ GIMT_Encode4(2393265),
     /* 2393079 */ /*GILLT_s16*//*Label 34177*/ GIMT_Encode4(2393091),
     /* 2393083 */ /*GILLT_s32*//*Label 34178*/ GIMT_Encode4(2393149),
     /* 2393087 */ /*GILLT_s64*//*Label 34179*/ GIMT_Encode4(2393207),
     /* 2393091 */ // Label 34177: @2393091
     /* 2393091 */ GIM_Try, /*On fail goto*//*Label 34181*/ GIMT_Encode4(2393148),
     /* 2393096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2393099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393107 */   GIM_Try, /*On fail goto*//*Label 34182*/ GIMT_Encode4(2393127), // Rule ID 2416 //
     /* 2393112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2393115 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2393115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2393118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393126 */     // GIR_Coverage, 2416,
     /* 2393126 */     GIR_EraseRootFromParent_Done,
     /* 2393127 */   // Label 34182: @2393127
     /* 2393127 */   GIM_Try, /*On fail goto*//*Label 34183*/ GIMT_Encode4(2393147), // Rule ID 2417 //
     /* 2393132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2393135 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2393135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2393138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393146 */     // GIR_Coverage, 2417,
     /* 2393146 */     GIR_EraseRootFromParent_Done,
     /* 2393147 */   // Label 34183: @2393147
     /* 2393147 */   GIM_Reject,
     /* 2393148 */ // Label 34181: @2393148
     /* 2393148 */ GIM_Reject,
     /* 2393149 */ // Label 34178: @2393149
     /* 2393149 */ GIM_Try, /*On fail goto*//*Label 34184*/ GIMT_Encode4(2393206),
     /* 2393154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2393157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393165 */   GIM_Try, /*On fail goto*//*Label 34185*/ GIMT_Encode4(2393185), // Rule ID 2334 //
     /* 2393170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2393173 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2393173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2393176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393184 */     // GIR_Coverage, 2334,
     /* 2393184 */     GIR_EraseRootFromParent_Done,
     /* 2393185 */   // Label 34185: @2393185
     /* 2393185 */   GIM_Try, /*On fail goto*//*Label 34186*/ GIMT_Encode4(2393205), // Rule ID 2335 //
     /* 2393190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2393193 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2393193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2393196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393204 */     // GIR_Coverage, 2335,
     /* 2393204 */     GIR_EraseRootFromParent_Done,
     /* 2393205 */   // Label 34186: @2393205
     /* 2393205 */   GIM_Reject,
     /* 2393206 */ // Label 34184: @2393206
     /* 2393206 */ GIM_Reject,
     /* 2393207 */ // Label 34179: @2393207
     /* 2393207 */ GIM_Try, /*On fail goto*//*Label 34187*/ GIMT_Encode4(2393264),
     /* 2393212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393223 */   GIM_Try, /*On fail goto*//*Label 34188*/ GIMT_Encode4(2393243), // Rule ID 2374 //
     /* 2393228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2393231 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2393231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2393234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393242 */     // GIR_Coverage, 2374,
     /* 2393242 */     GIR_EraseRootFromParent_Done,
     /* 2393243 */   // Label 34188: @2393243
     /* 2393243 */   GIM_Try, /*On fail goto*//*Label 34189*/ GIMT_Encode4(2393263), // Rule ID 2375 //
     /* 2393248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2393251 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2393251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2393254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393262 */     // GIR_Coverage, 2375,
     /* 2393262 */     GIR_EraseRootFromParent_Done,
     /* 2393263 */   // Label 34189: @2393263
     /* 2393263 */   GIM_Reject,
     /* 2393264 */ // Label 34187: @2393264
     /* 2393264 */ GIM_Reject,
     /* 2393265 */ // Label 34180: @2393265
     /* 2393265 */ GIM_Reject,
     /* 2393266 */ // Label 98: @2393266
     /* 2393266 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34208*/ GIMT_Encode4(2395693),
     /* 2393277 */ /*GILLT_s16*//*Label 34190*/ GIMT_Encode4(2393397),
     /* 2393281 */ /*GILLT_s32*//*Label 34191*/ GIMT_Encode4(2393546),
     /* 2393285 */ /*GILLT_s64*//*Label 34192*/ GIMT_Encode4(2393695), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2393297 */ /*GILLT_nxv1s16*//*Label 34193*/ GIMT_Encode4(2393878),
     /* 2393301 */ /*GILLT_nxv1s32*//*Label 34194*/ GIMT_Encode4(2393999),
     /* 2393305 */ /*GILLT_nxv1s64*//*Label 34195*/ GIMT_Encode4(2394120), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2393317 */ /*GILLT_nxv2s16*//*Label 34196*/ GIMT_Encode4(2394241),
     /* 2393321 */ /*GILLT_nxv2s32*//*Label 34197*/ GIMT_Encode4(2394362),
     /* 2393325 */ /*GILLT_nxv2s64*//*Label 34198*/ GIMT_Encode4(2394483), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2393337 */ /*GILLT_nxv4s16*//*Label 34199*/ GIMT_Encode4(2394604),
     /* 2393341 */ /*GILLT_nxv4s32*//*Label 34200*/ GIMT_Encode4(2394725),
     /* 2393345 */ /*GILLT_nxv4s64*//*Label 34201*/ GIMT_Encode4(2394846), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2393357 */ /*GILLT_nxv8s16*//*Label 34202*/ GIMT_Encode4(2394967),
     /* 2393361 */ /*GILLT_nxv8s32*//*Label 34203*/ GIMT_Encode4(2395088),
     /* 2393365 */ /*GILLT_nxv8s64*//*Label 34204*/ GIMT_Encode4(2395209), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2393377 */ /*GILLT_nxv16s16*//*Label 34205*/ GIMT_Encode4(2395330),
     /* 2393381 */ /*GILLT_nxv16s32*//*Label 34206*/ GIMT_Encode4(2395451), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2393393 */ /*GILLT_nxv32s16*//*Label 34207*/ GIMT_Encode4(2395572),
     /* 2393397 */ // Label 34190: @2393397
     /* 2393397 */ GIM_Try, /*On fail goto*//*Label 34209*/ GIMT_Encode4(2393545),
     /* 2393402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2393405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2393408 */   GIM_Try, /*On fail goto*//*Label 34210*/ GIMT_Encode4(2393442), // Rule ID 1956 //
     /* 2393413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2393416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393428 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2393428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2393431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393441 */     // GIR_Coverage, 1956,
     /* 2393441 */     GIR_EraseRootFromParent_Done,
     /* 2393442 */   // Label 34210: @2393442
     /* 2393442 */   GIM_Try, /*On fail goto*//*Label 34211*/ GIMT_Encode4(2393476), // Rule ID 1957 //
     /* 2393447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2393450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393462 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2393462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2393465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393475 */     // GIR_Coverage, 1957,
     /* 2393475 */     GIR_EraseRootFromParent_Done,
     /* 2393476 */   // Label 34211: @2393476
     /* 2393476 */   GIM_Try, /*On fail goto*//*Label 34212*/ GIMT_Encode4(2393510), // Rule ID 1960 //
     /* 2393481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2393484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2393488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2393492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2393496 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2393496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2393499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393509 */     // GIR_Coverage, 1960,
     /* 2393509 */     GIR_EraseRootFromParent_Done,
     /* 2393510 */   // Label 34212: @2393510
     /* 2393510 */   GIM_Try, /*On fail goto*//*Label 34213*/ GIMT_Encode4(2393544), // Rule ID 1961 //
     /* 2393515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2393518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2393522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2393526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2393530 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2393530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2393533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393543 */     // GIR_Coverage, 1961,
     /* 2393543 */     GIR_EraseRootFromParent_Done,
     /* 2393544 */   // Label 34213: @2393544
     /* 2393544 */   GIM_Reject,
     /* 2393545 */ // Label 34209: @2393545
     /* 2393545 */ GIM_Reject,
     /* 2393546 */ // Label 34191: @2393546
     /* 2393546 */ GIM_Try, /*On fail goto*//*Label 34214*/ GIMT_Encode4(2393694),
     /* 2393551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2393554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2393557 */   GIM_Try, /*On fail goto*//*Label 34215*/ GIMT_Encode4(2393591), // Rule ID 1247 //
     /* 2393562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2393565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393577 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2393577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2393580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393590 */     // GIR_Coverage, 1247,
     /* 2393590 */     GIR_EraseRootFromParent_Done,
     /* 2393591 */   // Label 34215: @2393591
     /* 2393591 */   GIM_Try, /*On fail goto*//*Label 34216*/ GIMT_Encode4(2393625), // Rule ID 1248 //
     /* 2393596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2393599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393611 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2393611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2393614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393624 */     // GIR_Coverage, 1248,
     /* 2393624 */     GIR_EraseRootFromParent_Done,
     /* 2393625 */   // Label 34216: @2393625
     /* 2393625 */   GIM_Try, /*On fail goto*//*Label 34217*/ GIMT_Encode4(2393659), // Rule ID 1251 //
     /* 2393630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2393633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2393637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2393641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2393645 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2393645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2393648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393658 */     // GIR_Coverage, 1251,
     /* 2393658 */     GIR_EraseRootFromParent_Done,
     /* 2393659 */   // Label 34217: @2393659
     /* 2393659 */   GIM_Try, /*On fail goto*//*Label 34218*/ GIMT_Encode4(2393693), // Rule ID 1252 //
     /* 2393664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2393667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2393671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2393675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2393679 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2393679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2393682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393692 */     // GIR_Coverage, 1252,
     /* 2393692 */     GIR_EraseRootFromParent_Done,
     /* 2393693 */   // Label 34218: @2393693
     /* 2393693 */   GIM_Reject,
     /* 2393694 */ // Label 34214: @2393694
     /* 2393694 */ GIM_Reject,
     /* 2393695 */ // Label 34192: @2393695
     /* 2393695 */ GIM_Try, /*On fail goto*//*Label 34219*/ GIMT_Encode4(2393877),
     /* 2393700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2393706 */   GIM_Try, /*On fail goto*//*Label 34220*/ GIMT_Encode4(2393740), // Rule ID 1582 //
     /* 2393711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2393714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393726 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2393726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2393729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393739 */     // GIR_Coverage, 1582,
     /* 2393739 */     GIR_EraseRootFromParent_Done,
     /* 2393740 */   // Label 34220: @2393740
     /* 2393740 */   GIM_Try, /*On fail goto*//*Label 34221*/ GIMT_Encode4(2393774), // Rule ID 1583 //
     /* 2393745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2393748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393760 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2393760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2393763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393773 */     // GIR_Coverage, 1583,
     /* 2393773 */     GIR_EraseRootFromParent_Done,
     /* 2393774 */   // Label 34221: @2393774
     /* 2393774 */   GIM_Try, /*On fail goto*//*Label 34222*/ GIMT_Encode4(2393808), // Rule ID 1586 //
     /* 2393779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2393782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393794 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2393794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2393797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393807 */     // GIR_Coverage, 1586,
     /* 2393807 */     GIR_EraseRootFromParent_Done,
     /* 2393808 */   // Label 34222: @2393808
     /* 2393808 */   GIM_Try, /*On fail goto*//*Label 34223*/ GIMT_Encode4(2393842), // Rule ID 1587 //
     /* 2393813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2393816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393828 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2393828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2393831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393841 */     // GIR_Coverage, 1587,
     /* 2393841 */     GIR_EraseRootFromParent_Done,
     /* 2393842 */   // Label 34223: @2393842
     /* 2393842 */   GIM_Try, /*On fail goto*//*Label 34224*/ GIMT_Encode4(2393876), // Rule ID 1590 //
     /* 2393847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2393850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393862 */     // (strict_fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2393862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2393865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393875 */     // GIR_Coverage, 1590,
     /* 2393875 */     GIR_EraseRootFromParent_Done,
     /* 2393876 */   // Label 34224: @2393876
     /* 2393876 */   GIM_Reject,
     /* 2393877 */ // Label 34219: @2393877
     /* 2393877 */ GIM_Reject,
     /* 2393878 */ // Label 34193: @2393878
     /* 2393878 */ GIM_Try, /*On fail goto*//*Label 34225*/ GIMT_Encode4(2393998),
     /* 2393883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2393886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2393889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393901 */   GIM_Try, /*On fail goto*//*Label 34226*/ GIMT_Encode4(2393949), // Rule ID 45762 //
     /* 2393906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393909 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2393912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2393926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393948 */     // GIR_Coverage, 45762,
     /* 2393948 */     GIR_EraseRootFromParent_Done,
     /* 2393949 */   // Label 34226: @2393949
     /* 2393949 */   GIM_Try, /*On fail goto*//*Label 34227*/ GIMT_Encode4(2393997), // Rule ID 45763 //
     /* 2393954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393957 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2393960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2393974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393996 */     // GIR_Coverage, 45763,
     /* 2393996 */     GIR_EraseRootFromParent_Done,
     /* 2393997 */   // Label 34227: @2393997
     /* 2393997 */   GIM_Reject,
     /* 2393998 */ // Label 34225: @2393998
     /* 2393998 */ GIM_Reject,
     /* 2393999 */ // Label 34194: @2393999
     /* 2393999 */ GIM_Try, /*On fail goto*//*Label 34228*/ GIMT_Encode4(2394119),
     /* 2394004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2394007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2394010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394022 */   GIM_Try, /*On fail goto*//*Label 34229*/ GIMT_Encode4(2394070), // Rule ID 53302 //
     /* 2394027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394030 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2394033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2394047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394069 */     // GIR_Coverage, 53302,
     /* 2394069 */     GIR_EraseRootFromParent_Done,
     /* 2394070 */   // Label 34229: @2394070
     /* 2394070 */   GIM_Try, /*On fail goto*//*Label 34230*/ GIMT_Encode4(2394118), // Rule ID 53303 //
     /* 2394075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394078 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2394081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2394095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394117 */     // GIR_Coverage, 53303,
     /* 2394117 */     GIR_EraseRootFromParent_Done,
     /* 2394118 */   // Label 34230: @2394118
     /* 2394118 */   GIM_Reject,
     /* 2394119 */ // Label 34228: @2394119
     /* 2394119 */ GIM_Reject,
     /* 2394120 */ // Label 34195: @2394120
     /* 2394120 */ GIM_Try, /*On fail goto*//*Label 34231*/ GIMT_Encode4(2394240),
     /* 2394125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2394128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2394131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394143 */   GIM_Try, /*On fail goto*//*Label 34232*/ GIMT_Encode4(2394191), // Rule ID 53338 //
     /* 2394148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2394151 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2394154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2394168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394190 */     // GIR_Coverage, 53338,
     /* 2394190 */     GIR_EraseRootFromParent_Done,
     /* 2394191 */   // Label 34232: @2394191
     /* 2394191 */   GIM_Try, /*On fail goto*//*Label 34233*/ GIMT_Encode4(2394239), // Rule ID 53339 //
     /* 2394196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2394199 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2394202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2394216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394238 */     // GIR_Coverage, 53339,
     /* 2394238 */     GIR_EraseRootFromParent_Done,
     /* 2394239 */   // Label 34233: @2394239
     /* 2394239 */   GIM_Reject,
     /* 2394240 */ // Label 34231: @2394240
     /* 2394240 */ GIM_Reject,
     /* 2394241 */ // Label 34196: @2394241
     /* 2394241 */ GIM_Try, /*On fail goto*//*Label 34234*/ GIMT_Encode4(2394361),
     /* 2394246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2394249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2394252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394264 */   GIM_Try, /*On fail goto*//*Label 34235*/ GIMT_Encode4(2394312), // Rule ID 53290 //
     /* 2394269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394272 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2394275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2394289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394311 */     // GIR_Coverage, 53290,
     /* 2394311 */     GIR_EraseRootFromParent_Done,
     /* 2394312 */   // Label 34235: @2394312
     /* 2394312 */   GIM_Try, /*On fail goto*//*Label 34236*/ GIMT_Encode4(2394360), // Rule ID 53291 //
     /* 2394317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394320 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2394323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2394337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394359 */     // GIR_Coverage, 53291,
     /* 2394359 */     GIR_EraseRootFromParent_Done,
     /* 2394360 */   // Label 34236: @2394360
     /* 2394360 */   GIM_Reject,
     /* 2394361 */ // Label 34234: @2394361
     /* 2394361 */ GIM_Reject,
     /* 2394362 */ // Label 34197: @2394362
     /* 2394362 */ GIM_Try, /*On fail goto*//*Label 34237*/ GIMT_Encode4(2394482),
     /* 2394367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2394370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2394373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394385 */   GIM_Try, /*On fail goto*//*Label 34238*/ GIMT_Encode4(2394433), // Rule ID 53326 //
     /* 2394390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394393 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2394396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2394410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394432 */     // GIR_Coverage, 53326,
     /* 2394432 */     GIR_EraseRootFromParent_Done,
     /* 2394433 */   // Label 34238: @2394433
     /* 2394433 */   GIM_Try, /*On fail goto*//*Label 34239*/ GIMT_Encode4(2394481), // Rule ID 53327 //
     /* 2394438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394441 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2394444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2394458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394480 */     // GIR_Coverage, 53327,
     /* 2394480 */     GIR_EraseRootFromParent_Done,
     /* 2394481 */   // Label 34239: @2394481
     /* 2394481 */   GIM_Reject,
     /* 2394482 */ // Label 34237: @2394482
     /* 2394482 */ GIM_Reject,
     /* 2394483 */ // Label 34198: @2394483
     /* 2394483 */ GIM_Try, /*On fail goto*//*Label 34240*/ GIMT_Encode4(2394603),
     /* 2394488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2394491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2394494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394506 */   GIM_Try, /*On fail goto*//*Label 34241*/ GIMT_Encode4(2394554), // Rule ID 53422 //
     /* 2394511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2394514 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2394517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2394531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394553 */     // GIR_Coverage, 53422,
     /* 2394553 */     GIR_EraseRootFromParent_Done,
     /* 2394554 */   // Label 34241: @2394554
     /* 2394554 */   GIM_Try, /*On fail goto*//*Label 34242*/ GIMT_Encode4(2394602), // Rule ID 53423 //
     /* 2394559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2394562 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2394565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2394579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394601 */     // GIR_Coverage, 53423,
     /* 2394601 */     GIR_EraseRootFromParent_Done,
     /* 2394602 */   // Label 34242: @2394602
     /* 2394602 */   GIM_Reject,
     /* 2394603 */ // Label 34240: @2394603
     /* 2394603 */ GIM_Reject,
     /* 2394604 */ // Label 34199: @2394604
     /* 2394604 */ GIM_Try, /*On fail goto*//*Label 34243*/ GIMT_Encode4(2394724),
     /* 2394609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2394612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2394615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394627 */   GIM_Try, /*On fail goto*//*Label 34244*/ GIMT_Encode4(2394675), // Rule ID 53314 //
     /* 2394632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394635 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2394638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2394652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394674 */     // GIR_Coverage, 53314,
     /* 2394674 */     GIR_EraseRootFromParent_Done,
     /* 2394675 */   // Label 34244: @2394675
     /* 2394675 */   GIM_Try, /*On fail goto*//*Label 34245*/ GIMT_Encode4(2394723), // Rule ID 53315 //
     /* 2394680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394683 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2394686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2394700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394722 */     // GIR_Coverage, 53315,
     /* 2394722 */     GIR_EraseRootFromParent_Done,
     /* 2394723 */   // Label 34245: @2394723
     /* 2394723 */   GIM_Reject,
     /* 2394724 */ // Label 34243: @2394724
     /* 2394724 */ GIM_Reject,
     /* 2394725 */ // Label 34200: @2394725
     /* 2394725 */ GIM_Try, /*On fail goto*//*Label 34246*/ GIMT_Encode4(2394845),
     /* 2394730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2394733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2394736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394748 */   GIM_Try, /*On fail goto*//*Label 34247*/ GIMT_Encode4(2394796), // Rule ID 53386 //
     /* 2394753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394756 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2394759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2394773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394795 */     // GIR_Coverage, 53386,
     /* 2394795 */     GIR_EraseRootFromParent_Done,
     /* 2394796 */   // Label 34247: @2394796
     /* 2394796 */   GIM_Try, /*On fail goto*//*Label 34248*/ GIMT_Encode4(2394844), // Rule ID 53387 //
     /* 2394801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394804 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2394807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2394821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394843 */     // GIR_Coverage, 53387,
     /* 2394843 */     GIR_EraseRootFromParent_Done,
     /* 2394844 */   // Label 34248: @2394844
     /* 2394844 */   GIM_Reject,
     /* 2394845 */ // Label 34246: @2394845
     /* 2394845 */ GIM_Reject,
     /* 2394846 */ // Label 34201: @2394846
     /* 2394846 */ GIM_Try, /*On fail goto*//*Label 34249*/ GIMT_Encode4(2394966),
     /* 2394851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2394854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2394857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394869 */   GIM_Try, /*On fail goto*//*Label 34250*/ GIMT_Encode4(2394917), // Rule ID 53434 //
     /* 2394874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2394877 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2394880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2394894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394916 */     // GIR_Coverage, 53434,
     /* 2394916 */     GIR_EraseRootFromParent_Done,
     /* 2394917 */   // Label 34250: @2394917
     /* 2394917 */   GIM_Try, /*On fail goto*//*Label 34251*/ GIMT_Encode4(2394965), // Rule ID 53435 //
     /* 2394922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2394925 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2394928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2394942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394964 */     // GIR_Coverage, 53435,
     /* 2394964 */     GIR_EraseRootFromParent_Done,
     /* 2394965 */   // Label 34251: @2394965
     /* 2394965 */   GIM_Reject,
     /* 2394966 */ // Label 34249: @2394966
     /* 2394966 */ GIM_Reject,
     /* 2394967 */ // Label 34202: @2394967
     /* 2394967 */ GIM_Try, /*On fail goto*//*Label 34252*/ GIMT_Encode4(2395087),
     /* 2394972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2394975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2394978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394990 */   GIM_Try, /*On fail goto*//*Label 34253*/ GIMT_Encode4(2395038), // Rule ID 53350 //
     /* 2394995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394998 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2395001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2395015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395037 */     // GIR_Coverage, 53350,
     /* 2395037 */     GIR_EraseRootFromParent_Done,
     /* 2395038 */   // Label 34253: @2395038
     /* 2395038 */   GIM_Try, /*On fail goto*//*Label 34254*/ GIMT_Encode4(2395086), // Rule ID 53351 //
     /* 2395043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395046 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2395049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2395063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395085 */     // GIR_Coverage, 53351,
     /* 2395085 */     GIR_EraseRootFromParent_Done,
     /* 2395086 */   // Label 34254: @2395086
     /* 2395086 */   GIM_Reject,
     /* 2395087 */ // Label 34252: @2395087
     /* 2395087 */ GIM_Reject,
     /* 2395088 */ // Label 34203: @2395088
     /* 2395088 */ GIM_Try, /*On fail goto*//*Label 34255*/ GIMT_Encode4(2395208),
     /* 2395093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2395096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2395099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395111 */   GIM_Try, /*On fail goto*//*Label 34256*/ GIMT_Encode4(2395159), // Rule ID 53398 //
     /* 2395116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395119 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2395122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2395136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395158 */     // GIR_Coverage, 53398,
     /* 2395158 */     GIR_EraseRootFromParent_Done,
     /* 2395159 */   // Label 34256: @2395159
     /* 2395159 */   GIM_Try, /*On fail goto*//*Label 34257*/ GIMT_Encode4(2395207), // Rule ID 53399 //
     /* 2395164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395167 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2395170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2395184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395206 */     // GIR_Coverage, 53399,
     /* 2395206 */     GIR_EraseRootFromParent_Done,
     /* 2395207 */   // Label 34257: @2395207
     /* 2395207 */   GIM_Reject,
     /* 2395208 */ // Label 34255: @2395208
     /* 2395208 */ GIM_Reject,
     /* 2395209 */ // Label 34204: @2395209
     /* 2395209 */ GIM_Try, /*On fail goto*//*Label 34258*/ GIMT_Encode4(2395329),
     /* 2395214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2395220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395232 */   GIM_Try, /*On fail goto*//*Label 34259*/ GIMT_Encode4(2395280), // Rule ID 53446 //
     /* 2395237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395240 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2395243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2395257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395279 */     // GIR_Coverage, 53446,
     /* 2395279 */     GIR_EraseRootFromParent_Done,
     /* 2395280 */   // Label 34259: @2395280
     /* 2395280 */   GIM_Try, /*On fail goto*//*Label 34260*/ GIMT_Encode4(2395328), // Rule ID 53447 //
     /* 2395285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395288 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2395291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2395305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395327 */     // GIR_Coverage, 53447,
     /* 2395327 */     GIR_EraseRootFromParent_Done,
     /* 2395328 */   // Label 34260: @2395328
     /* 2395328 */   GIM_Reject,
     /* 2395329 */ // Label 34258: @2395329
     /* 2395329 */ GIM_Reject,
     /* 2395330 */ // Label 34205: @2395330
     /* 2395330 */ GIM_Try, /*On fail goto*//*Label 34261*/ GIMT_Encode4(2395450),
     /* 2395335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2395341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395353 */   GIM_Try, /*On fail goto*//*Label 34262*/ GIMT_Encode4(2395401), // Rule ID 53362 //
     /* 2395358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395361 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2395364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2395378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395400 */     // GIR_Coverage, 53362,
     /* 2395400 */     GIR_EraseRootFromParent_Done,
     /* 2395401 */   // Label 34262: @2395401
     /* 2395401 */   GIM_Try, /*On fail goto*//*Label 34263*/ GIMT_Encode4(2395449), // Rule ID 53363 //
     /* 2395406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395409 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2395412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2395426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395448 */     // GIR_Coverage, 53363,
     /* 2395448 */     GIR_EraseRootFromParent_Done,
     /* 2395449 */   // Label 34263: @2395449
     /* 2395449 */   GIM_Reject,
     /* 2395450 */ // Label 34261: @2395450
     /* 2395450 */ GIM_Reject,
     /* 2395451 */ // Label 34206: @2395451
     /* 2395451 */ GIM_Try, /*On fail goto*//*Label 34264*/ GIMT_Encode4(2395571),
     /* 2395456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2395459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2395462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395474 */   GIM_Try, /*On fail goto*//*Label 34265*/ GIMT_Encode4(2395522), // Rule ID 53410 //
     /* 2395479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395482 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2395485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2395499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395521 */     // GIR_Coverage, 53410,
     /* 2395521 */     GIR_EraseRootFromParent_Done,
     /* 2395522 */   // Label 34265: @2395522
     /* 2395522 */   GIM_Try, /*On fail goto*//*Label 34266*/ GIMT_Encode4(2395570), // Rule ID 53411 //
     /* 2395527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395530 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2395533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2395547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395569 */     // GIR_Coverage, 53411,
     /* 2395569 */     GIR_EraseRootFromParent_Done,
     /* 2395570 */   // Label 34266: @2395570
     /* 2395570 */   GIM_Reject,
     /* 2395571 */ // Label 34264: @2395571
     /* 2395571 */ GIM_Reject,
     /* 2395572 */ // Label 34207: @2395572
     /* 2395572 */ GIM_Try, /*On fail goto*//*Label 34267*/ GIMT_Encode4(2395692),
     /* 2395577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2395583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395591 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395595 */   GIM_Try, /*On fail goto*//*Label 34268*/ GIMT_Encode4(2395643), // Rule ID 53374 //
     /* 2395600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395603 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2395606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2395620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395642 */     // GIR_Coverage, 53374,
     /* 2395642 */     GIR_EraseRootFromParent_Done,
     /* 2395643 */   // Label 34268: @2395643
     /* 2395643 */   GIM_Try, /*On fail goto*//*Label 34269*/ GIMT_Encode4(2395691), // Rule ID 53375 //
     /* 2395648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395651 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2395654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2395668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395690 */     // GIR_Coverage, 53375,
     /* 2395690 */     GIR_EraseRootFromParent_Done,
     /* 2395691 */   // Label 34269: @2395691
     /* 2395691 */   GIM_Reject,
     /* 2395692 */ // Label 34267: @2395692
     /* 2395692 */ GIM_Reject,
     /* 2395693 */ // Label 34208: @2395693
     /* 2395693 */ GIM_Reject,
     /* 2395694 */ // Label 99: @2395694
     /* 2395694 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34288*/ GIMT_Encode4(2398121),
     /* 2395705 */ /*GILLT_s16*//*Label 34270*/ GIMT_Encode4(2395825),
     /* 2395709 */ /*GILLT_s32*//*Label 34271*/ GIMT_Encode4(2395974),
     /* 2395713 */ /*GILLT_s64*//*Label 34272*/ GIMT_Encode4(2396123), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395725 */ /*GILLT_nxv1s16*//*Label 34273*/ GIMT_Encode4(2396306),
     /* 2395729 */ /*GILLT_nxv1s32*//*Label 34274*/ GIMT_Encode4(2396427),
     /* 2395733 */ /*GILLT_nxv1s64*//*Label 34275*/ GIMT_Encode4(2396548), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395745 */ /*GILLT_nxv2s16*//*Label 34276*/ GIMT_Encode4(2396669),
     /* 2395749 */ /*GILLT_nxv2s32*//*Label 34277*/ GIMT_Encode4(2396790),
     /* 2395753 */ /*GILLT_nxv2s64*//*Label 34278*/ GIMT_Encode4(2396911), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395765 */ /*GILLT_nxv4s16*//*Label 34279*/ GIMT_Encode4(2397032),
     /* 2395769 */ /*GILLT_nxv4s32*//*Label 34280*/ GIMT_Encode4(2397153),
     /* 2395773 */ /*GILLT_nxv4s64*//*Label 34281*/ GIMT_Encode4(2397274), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395785 */ /*GILLT_nxv8s16*//*Label 34282*/ GIMT_Encode4(2397395),
     /* 2395789 */ /*GILLT_nxv8s32*//*Label 34283*/ GIMT_Encode4(2397516),
     /* 2395793 */ /*GILLT_nxv8s64*//*Label 34284*/ GIMT_Encode4(2397637), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395805 */ /*GILLT_nxv16s16*//*Label 34285*/ GIMT_Encode4(2397758),
     /* 2395809 */ /*GILLT_nxv16s32*//*Label 34286*/ GIMT_Encode4(2397879), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395821 */ /*GILLT_nxv32s16*//*Label 34287*/ GIMT_Encode4(2398000),
     /* 2395825 */ // Label 34270: @2395825
     /* 2395825 */ GIM_Try, /*On fail goto*//*Label 34289*/ GIMT_Encode4(2395973),
     /* 2395830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2395836 */   GIM_Try, /*On fail goto*//*Label 34290*/ GIMT_Encode4(2395870), // Rule ID 1964 //
     /* 2395841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2395844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395856 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2395856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2395859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395869 */     // GIR_Coverage, 1964,
     /* 2395869 */     GIR_EraseRootFromParent_Done,
     /* 2395870 */   // Label 34290: @2395870
     /* 2395870 */   GIM_Try, /*On fail goto*//*Label 34291*/ GIMT_Encode4(2395904), // Rule ID 1965 //
     /* 2395875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2395878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395890 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2395890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2395893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395903 */     // GIR_Coverage, 1965,
     /* 2395903 */     GIR_EraseRootFromParent_Done,
     /* 2395904 */   // Label 34291: @2395904
     /* 2395904 */   GIM_Try, /*On fail goto*//*Label 34292*/ GIMT_Encode4(2395938), // Rule ID 1968 //
     /* 2395909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2395912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395924 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2395924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2395927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395937 */     // GIR_Coverage, 1968,
     /* 2395937 */     GIR_EraseRootFromParent_Done,
     /* 2395938 */   // Label 34292: @2395938
     /* 2395938 */   GIM_Try, /*On fail goto*//*Label 34293*/ GIMT_Encode4(2395972), // Rule ID 1969 //
     /* 2395943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2395946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395958 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2395958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2395961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395971 */     // GIR_Coverage, 1969,
     /* 2395971 */     GIR_EraseRootFromParent_Done,
     /* 2395972 */   // Label 34293: @2395972
     /* 2395972 */   GIM_Reject,
     /* 2395973 */ // Label 34289: @2395973
     /* 2395973 */ GIM_Reject,
     /* 2395974 */ // Label 34271: @2395974
     /* 2395974 */ GIM_Try, /*On fail goto*//*Label 34294*/ GIMT_Encode4(2396122),
     /* 2395979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2395982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2395985 */   GIM_Try, /*On fail goto*//*Label 34295*/ GIMT_Encode4(2396019), // Rule ID 1255 //
     /* 2395990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2395993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2395997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396005 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2396005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2396008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396018 */     // GIR_Coverage, 1255,
     /* 2396018 */     GIR_EraseRootFromParent_Done,
     /* 2396019 */   // Label 34295: @2396019
     /* 2396019 */   GIM_Try, /*On fail goto*//*Label 34296*/ GIMT_Encode4(2396053), // Rule ID 1256 //
     /* 2396024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2396027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396039 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2396039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2396042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396052 */     // GIR_Coverage, 1256,
     /* 2396052 */     GIR_EraseRootFromParent_Done,
     /* 2396053 */   // Label 34296: @2396053
     /* 2396053 */   GIM_Try, /*On fail goto*//*Label 34297*/ GIMT_Encode4(2396087), // Rule ID 1259 //
     /* 2396058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2396061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396073 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2396073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2396076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396086 */     // GIR_Coverage, 1259,
     /* 2396086 */     GIR_EraseRootFromParent_Done,
     /* 2396087 */   // Label 34297: @2396087
     /* 2396087 */   GIM_Try, /*On fail goto*//*Label 34298*/ GIMT_Encode4(2396121), // Rule ID 1260 //
     /* 2396092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2396095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396107 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2396107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2396110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396120 */     // GIR_Coverage, 1260,
     /* 2396120 */     GIR_EraseRootFromParent_Done,
     /* 2396121 */   // Label 34298: @2396121
     /* 2396121 */   GIM_Reject,
     /* 2396122 */ // Label 34294: @2396122
     /* 2396122 */ GIM_Reject,
     /* 2396123 */ // Label 34272: @2396123
     /* 2396123 */ GIM_Try, /*On fail goto*//*Label 34299*/ GIMT_Encode4(2396305),
     /* 2396128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2396131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2396134 */   GIM_Try, /*On fail goto*//*Label 34300*/ GIMT_Encode4(2396168), // Rule ID 1592 //
     /* 2396139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2396142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2396146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2396150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2396154 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2396154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2396157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396167 */     // GIR_Coverage, 1592,
     /* 2396167 */     GIR_EraseRootFromParent_Done,
     /* 2396168 */   // Label 34300: @2396168
     /* 2396168 */   GIM_Try, /*On fail goto*//*Label 34301*/ GIMT_Encode4(2396202), // Rule ID 1593 //
     /* 2396173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2396176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2396180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2396184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2396188 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2396188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2396191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396201 */     // GIR_Coverage, 1593,
     /* 2396201 */     GIR_EraseRootFromParent_Done,
     /* 2396202 */   // Label 34301: @2396202
     /* 2396202 */   GIM_Try, /*On fail goto*//*Label 34302*/ GIMT_Encode4(2396236), // Rule ID 1596 //
     /* 2396207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2396210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2396214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2396218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2396222 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2396222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2396225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396235 */     // GIR_Coverage, 1596,
     /* 2396235 */     GIR_EraseRootFromParent_Done,
     /* 2396236 */   // Label 34302: @2396236
     /* 2396236 */   GIM_Try, /*On fail goto*//*Label 34303*/ GIMT_Encode4(2396270), // Rule ID 1597 //
     /* 2396241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2396244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2396248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2396252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2396256 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2396256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2396259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396269 */     // GIR_Coverage, 1597,
     /* 2396269 */     GIR_EraseRootFromParent_Done,
     /* 2396270 */   // Label 34303: @2396270
     /* 2396270 */   GIM_Try, /*On fail goto*//*Label 34304*/ GIMT_Encode4(2396304), // Rule ID 1600 //
     /* 2396275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2396278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2396282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2396286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2396290 */     // (strict_fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2396290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2396293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396303 */     // GIR_Coverage, 1600,
     /* 2396303 */     GIR_EraseRootFromParent_Done,
     /* 2396304 */   // Label 34304: @2396304
     /* 2396304 */   GIM_Reject,
     /* 2396305 */ // Label 34299: @2396305
     /* 2396305 */ GIM_Reject,
     /* 2396306 */ // Label 34273: @2396306
     /* 2396306 */ GIM_Try, /*On fail goto*//*Label 34305*/ GIMT_Encode4(2396426),
     /* 2396311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2396314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2396317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396329 */   GIM_Try, /*On fail goto*//*Label 34306*/ GIMT_Encode4(2396377), // Rule ID 53458 //
     /* 2396334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396337 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2396340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2396354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396376 */     // GIR_Coverage, 53458,
     /* 2396376 */     GIR_EraseRootFromParent_Done,
     /* 2396377 */   // Label 34306: @2396377
     /* 2396377 */   GIM_Try, /*On fail goto*//*Label 34307*/ GIMT_Encode4(2396425), // Rule ID 53459 //
     /* 2396382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396385 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2396388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2396402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396424 */     // GIR_Coverage, 53459,
     /* 2396424 */     GIR_EraseRootFromParent_Done,
     /* 2396425 */   // Label 34307: @2396425
     /* 2396425 */   GIM_Reject,
     /* 2396426 */ // Label 34305: @2396426
     /* 2396426 */ GIM_Reject,
     /* 2396427 */ // Label 34274: @2396427
     /* 2396427 */ GIM_Try, /*On fail goto*//*Label 34308*/ GIMT_Encode4(2396547),
     /* 2396432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2396435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2396438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396450 */   GIM_Try, /*On fail goto*//*Label 34309*/ GIMT_Encode4(2396498), // Rule ID 53482 //
     /* 2396455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396458 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2396461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2396475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396497 */     // GIR_Coverage, 53482,
     /* 2396497 */     GIR_EraseRootFromParent_Done,
     /* 2396498 */   // Label 34309: @2396498
     /* 2396498 */   GIM_Try, /*On fail goto*//*Label 34310*/ GIMT_Encode4(2396546), // Rule ID 53483 //
     /* 2396503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396506 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2396509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2396523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396545 */     // GIR_Coverage, 53483,
     /* 2396545 */     GIR_EraseRootFromParent_Done,
     /* 2396546 */   // Label 34310: @2396546
     /* 2396546 */   GIM_Reject,
     /* 2396547 */ // Label 34308: @2396547
     /* 2396547 */ GIM_Reject,
     /* 2396548 */ // Label 34275: @2396548
     /* 2396548 */ GIM_Try, /*On fail goto*//*Label 34311*/ GIMT_Encode4(2396668),
     /* 2396553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2396559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396571 */   GIM_Try, /*On fail goto*//*Label 34312*/ GIMT_Encode4(2396619), // Rule ID 53518 //
     /* 2396576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2396579 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2396582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2396596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396618 */     // GIR_Coverage, 53518,
     /* 2396618 */     GIR_EraseRootFromParent_Done,
     /* 2396619 */   // Label 34312: @2396619
     /* 2396619 */   GIM_Try, /*On fail goto*//*Label 34313*/ GIMT_Encode4(2396667), // Rule ID 53519 //
     /* 2396624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2396627 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2396630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2396644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396666 */     // GIR_Coverage, 53519,
     /* 2396666 */     GIR_EraseRootFromParent_Done,
     /* 2396667 */   // Label 34313: @2396667
     /* 2396667 */   GIM_Reject,
     /* 2396668 */ // Label 34311: @2396668
     /* 2396668 */ GIM_Reject,
     /* 2396669 */ // Label 34276: @2396669
     /* 2396669 */ GIM_Try, /*On fail goto*//*Label 34314*/ GIMT_Encode4(2396789),
     /* 2396674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2396677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2396680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396692 */   GIM_Try, /*On fail goto*//*Label 34315*/ GIMT_Encode4(2396740), // Rule ID 53470 //
     /* 2396697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396700 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2396703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2396717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396739 */     // GIR_Coverage, 53470,
     /* 2396739 */     GIR_EraseRootFromParent_Done,
     /* 2396740 */   // Label 34315: @2396740
     /* 2396740 */   GIM_Try, /*On fail goto*//*Label 34316*/ GIMT_Encode4(2396788), // Rule ID 53471 //
     /* 2396745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396748 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2396751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2396765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396787 */     // GIR_Coverage, 53471,
     /* 2396787 */     GIR_EraseRootFromParent_Done,
     /* 2396788 */   // Label 34316: @2396788
     /* 2396788 */   GIM_Reject,
     /* 2396789 */ // Label 34314: @2396789
     /* 2396789 */ GIM_Reject,
     /* 2396790 */ // Label 34277: @2396790
     /* 2396790 */ GIM_Try, /*On fail goto*//*Label 34317*/ GIMT_Encode4(2396910),
     /* 2396795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2396798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2396801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396813 */   GIM_Try, /*On fail goto*//*Label 34318*/ GIMT_Encode4(2396861), // Rule ID 53506 //
     /* 2396818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396821 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2396824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2396838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396860 */     // GIR_Coverage, 53506,
     /* 2396860 */     GIR_EraseRootFromParent_Done,
     /* 2396861 */   // Label 34318: @2396861
     /* 2396861 */   GIM_Try, /*On fail goto*//*Label 34319*/ GIMT_Encode4(2396909), // Rule ID 53507 //
     /* 2396866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396869 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2396872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2396886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396908 */     // GIR_Coverage, 53507,
     /* 2396908 */     GIR_EraseRootFromParent_Done,
     /* 2396909 */   // Label 34319: @2396909
     /* 2396909 */   GIM_Reject,
     /* 2396910 */ // Label 34317: @2396910
     /* 2396910 */ GIM_Reject,
     /* 2396911 */ // Label 34278: @2396911
     /* 2396911 */ GIM_Try, /*On fail goto*//*Label 34320*/ GIMT_Encode4(2397031),
     /* 2396916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2396919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2396922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396934 */   GIM_Try, /*On fail goto*//*Label 34321*/ GIMT_Encode4(2396982), // Rule ID 53602 //
     /* 2396939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2396942 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2396945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2396959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396981 */     // GIR_Coverage, 53602,
     /* 2396981 */     GIR_EraseRootFromParent_Done,
     /* 2396982 */   // Label 34321: @2396982
     /* 2396982 */   GIM_Try, /*On fail goto*//*Label 34322*/ GIMT_Encode4(2397030), // Rule ID 53603 //
     /* 2396987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2396990 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2396993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2397007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397029 */     // GIR_Coverage, 53603,
     /* 2397029 */     GIR_EraseRootFromParent_Done,
     /* 2397030 */   // Label 34322: @2397030
     /* 2397030 */   GIM_Reject,
     /* 2397031 */ // Label 34320: @2397031
     /* 2397031 */ GIM_Reject,
     /* 2397032 */ // Label 34279: @2397032
     /* 2397032 */ GIM_Try, /*On fail goto*//*Label 34323*/ GIMT_Encode4(2397152),
     /* 2397037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2397040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2397043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397055 */   GIM_Try, /*On fail goto*//*Label 34324*/ GIMT_Encode4(2397103), // Rule ID 53494 //
     /* 2397060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397063 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2397066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2397080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397102 */     // GIR_Coverage, 53494,
     /* 2397102 */     GIR_EraseRootFromParent_Done,
     /* 2397103 */   // Label 34324: @2397103
     /* 2397103 */   GIM_Try, /*On fail goto*//*Label 34325*/ GIMT_Encode4(2397151), // Rule ID 53495 //
     /* 2397108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397111 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2397114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2397128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397150 */     // GIR_Coverage, 53495,
     /* 2397150 */     GIR_EraseRootFromParent_Done,
     /* 2397151 */   // Label 34325: @2397151
     /* 2397151 */   GIM_Reject,
     /* 2397152 */ // Label 34323: @2397152
     /* 2397152 */ GIM_Reject,
     /* 2397153 */ // Label 34280: @2397153
     /* 2397153 */ GIM_Try, /*On fail goto*//*Label 34326*/ GIMT_Encode4(2397273),
     /* 2397158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2397161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2397164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397176 */   GIM_Try, /*On fail goto*//*Label 34327*/ GIMT_Encode4(2397224), // Rule ID 53566 //
     /* 2397181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397184 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2397187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2397201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397223 */     // GIR_Coverage, 53566,
     /* 2397223 */     GIR_EraseRootFromParent_Done,
     /* 2397224 */   // Label 34327: @2397224
     /* 2397224 */   GIM_Try, /*On fail goto*//*Label 34328*/ GIMT_Encode4(2397272), // Rule ID 53567 //
     /* 2397229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397232 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2397235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2397249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397271 */     // GIR_Coverage, 53567,
     /* 2397271 */     GIR_EraseRootFromParent_Done,
     /* 2397272 */   // Label 34328: @2397272
     /* 2397272 */   GIM_Reject,
     /* 2397273 */ // Label 34326: @2397273
     /* 2397273 */ GIM_Reject,
     /* 2397274 */ // Label 34281: @2397274
     /* 2397274 */ GIM_Try, /*On fail goto*//*Label 34329*/ GIMT_Encode4(2397394),
     /* 2397279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2397282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2397285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397297 */   GIM_Try, /*On fail goto*//*Label 34330*/ GIMT_Encode4(2397345), // Rule ID 53614 //
     /* 2397302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2397305 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2397308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2397322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397344 */     // GIR_Coverage, 53614,
     /* 2397344 */     GIR_EraseRootFromParent_Done,
     /* 2397345 */   // Label 34330: @2397345
     /* 2397345 */   GIM_Try, /*On fail goto*//*Label 34331*/ GIMT_Encode4(2397393), // Rule ID 53615 //
     /* 2397350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2397353 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2397356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2397370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397392 */     // GIR_Coverage, 53615,
     /* 2397392 */     GIR_EraseRootFromParent_Done,
     /* 2397393 */   // Label 34331: @2397393
     /* 2397393 */   GIM_Reject,
     /* 2397394 */ // Label 34329: @2397394
     /* 2397394 */ GIM_Reject,
     /* 2397395 */ // Label 34282: @2397395
     /* 2397395 */ GIM_Try, /*On fail goto*//*Label 34332*/ GIMT_Encode4(2397515),
     /* 2397400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2397403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2397406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397418 */   GIM_Try, /*On fail goto*//*Label 34333*/ GIMT_Encode4(2397466), // Rule ID 53530 //
     /* 2397423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397426 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2397429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2397443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397465 */     // GIR_Coverage, 53530,
     /* 2397465 */     GIR_EraseRootFromParent_Done,
     /* 2397466 */   // Label 34333: @2397466
     /* 2397466 */   GIM_Try, /*On fail goto*//*Label 34334*/ GIMT_Encode4(2397514), // Rule ID 53531 //
     /* 2397471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397474 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2397477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2397491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397513 */     // GIR_Coverage, 53531,
     /* 2397513 */     GIR_EraseRootFromParent_Done,
     /* 2397514 */   // Label 34334: @2397514
     /* 2397514 */   GIM_Reject,
     /* 2397515 */ // Label 34332: @2397515
     /* 2397515 */ GIM_Reject,
     /* 2397516 */ // Label 34283: @2397516
     /* 2397516 */ GIM_Try, /*On fail goto*//*Label 34335*/ GIMT_Encode4(2397636),
     /* 2397521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2397524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2397527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397539 */   GIM_Try, /*On fail goto*//*Label 34336*/ GIMT_Encode4(2397587), // Rule ID 53578 //
     /* 2397544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397547 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2397550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2397564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397586 */     // GIR_Coverage, 53578,
     /* 2397586 */     GIR_EraseRootFromParent_Done,
     /* 2397587 */   // Label 34336: @2397587
     /* 2397587 */   GIM_Try, /*On fail goto*//*Label 34337*/ GIMT_Encode4(2397635), // Rule ID 53579 //
     /* 2397592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397595 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2397598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2397612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397634 */     // GIR_Coverage, 53579,
     /* 2397634 */     GIR_EraseRootFromParent_Done,
     /* 2397635 */   // Label 34337: @2397635
     /* 2397635 */   GIM_Reject,
     /* 2397636 */ // Label 34335: @2397636
     /* 2397636 */ GIM_Reject,
     /* 2397637 */ // Label 34284: @2397637
     /* 2397637 */ GIM_Try, /*On fail goto*//*Label 34338*/ GIMT_Encode4(2397757),
     /* 2397642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2397645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2397648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397660 */   GIM_Try, /*On fail goto*//*Label 34339*/ GIMT_Encode4(2397708), // Rule ID 53626 //
     /* 2397665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2397668 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2397671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2397685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397707 */     // GIR_Coverage, 53626,
     /* 2397707 */     GIR_EraseRootFromParent_Done,
     /* 2397708 */   // Label 34339: @2397708
     /* 2397708 */   GIM_Try, /*On fail goto*//*Label 34340*/ GIMT_Encode4(2397756), // Rule ID 53627 //
     /* 2397713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2397716 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2397719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2397733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397755 */     // GIR_Coverage, 53627,
     /* 2397755 */     GIR_EraseRootFromParent_Done,
     /* 2397756 */   // Label 34340: @2397756
     /* 2397756 */   GIM_Reject,
     /* 2397757 */ // Label 34338: @2397757
     /* 2397757 */ GIM_Reject,
     /* 2397758 */ // Label 34285: @2397758
     /* 2397758 */ GIM_Try, /*On fail goto*//*Label 34341*/ GIMT_Encode4(2397878),
     /* 2397763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2397766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2397769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397777 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397781 */   GIM_Try, /*On fail goto*//*Label 34342*/ GIMT_Encode4(2397829), // Rule ID 53542 //
     /* 2397786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397789 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2397792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2397806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397828 */     // GIR_Coverage, 53542,
     /* 2397828 */     GIR_EraseRootFromParent_Done,
     /* 2397829 */   // Label 34342: @2397829
     /* 2397829 */   GIM_Try, /*On fail goto*//*Label 34343*/ GIMT_Encode4(2397877), // Rule ID 53543 //
     /* 2397834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397837 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2397840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2397854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397876 */     // GIR_Coverage, 53543,
     /* 2397876 */     GIR_EraseRootFromParent_Done,
     /* 2397877 */   // Label 34343: @2397877
     /* 2397877 */   GIM_Reject,
     /* 2397878 */ // Label 34341: @2397878
     /* 2397878 */ GIM_Reject,
     /* 2397879 */ // Label 34286: @2397879
     /* 2397879 */ GIM_Try, /*On fail goto*//*Label 34344*/ GIMT_Encode4(2397999),
     /* 2397884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2397890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397902 */   GIM_Try, /*On fail goto*//*Label 34345*/ GIMT_Encode4(2397950), // Rule ID 53590 //
     /* 2397907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397910 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2397913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2397927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397949 */     // GIR_Coverage, 53590,
     /* 2397949 */     GIR_EraseRootFromParent_Done,
     /* 2397950 */   // Label 34345: @2397950
     /* 2397950 */   GIM_Try, /*On fail goto*//*Label 34346*/ GIMT_Encode4(2397998), // Rule ID 53591 //
     /* 2397955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397958 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2397961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2397975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397997 */     // GIR_Coverage, 53591,
     /* 2397997 */     GIR_EraseRootFromParent_Done,
     /* 2397998 */   // Label 34346: @2397998
     /* 2397998 */   GIM_Reject,
     /* 2397999 */ // Label 34344: @2397999
     /* 2397999 */ GIM_Reject,
     /* 2398000 */ // Label 34287: @2398000
     /* 2398000 */ GIM_Try, /*On fail goto*//*Label 34347*/ GIMT_Encode4(2398120),
     /* 2398005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2398008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2398011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398023 */   GIM_Try, /*On fail goto*//*Label 34348*/ GIMT_Encode4(2398071), // Rule ID 53554 //
     /* 2398028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398031 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2398034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2398048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398070 */     // GIR_Coverage, 53554,
     /* 2398070 */     GIR_EraseRootFromParent_Done,
     /* 2398071 */   // Label 34348: @2398071
     /* 2398071 */   GIM_Try, /*On fail goto*//*Label 34349*/ GIMT_Encode4(2398119), // Rule ID 53555 //
     /* 2398076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398079 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2398082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2398096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398118 */     // GIR_Coverage, 53555,
     /* 2398118 */     GIR_EraseRootFromParent_Done,
     /* 2398119 */   // Label 34349: @2398119
     /* 2398119 */   GIM_Reject,
     /* 2398120 */ // Label 34347: @2398120
     /* 2398120 */ GIM_Reject,
     /* 2398121 */ // Label 34288: @2398121
     /* 2398121 */ GIM_Reject,
     /* 2398122 */ // Label 100: @2398122
     /* 2398122 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34368*/ GIMT_Encode4(2400549),
     /* 2398133 */ /*GILLT_s16*//*Label 34350*/ GIMT_Encode4(2398253),
     /* 2398137 */ /*GILLT_s32*//*Label 34351*/ GIMT_Encode4(2398402),
     /* 2398141 */ /*GILLT_s64*//*Label 34352*/ GIMT_Encode4(2398551), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398153 */ /*GILLT_nxv1s16*//*Label 34353*/ GIMT_Encode4(2398734),
     /* 2398157 */ /*GILLT_nxv1s32*//*Label 34354*/ GIMT_Encode4(2398855),
     /* 2398161 */ /*GILLT_nxv1s64*//*Label 34355*/ GIMT_Encode4(2398976), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398173 */ /*GILLT_nxv2s16*//*Label 34356*/ GIMT_Encode4(2399097),
     /* 2398177 */ /*GILLT_nxv2s32*//*Label 34357*/ GIMT_Encode4(2399218),
     /* 2398181 */ /*GILLT_nxv2s64*//*Label 34358*/ GIMT_Encode4(2399339), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398193 */ /*GILLT_nxv4s16*//*Label 34359*/ GIMT_Encode4(2399460),
     /* 2398197 */ /*GILLT_nxv4s32*//*Label 34360*/ GIMT_Encode4(2399581),
     /* 2398201 */ /*GILLT_nxv4s64*//*Label 34361*/ GIMT_Encode4(2399702), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398213 */ /*GILLT_nxv8s16*//*Label 34362*/ GIMT_Encode4(2399823),
     /* 2398217 */ /*GILLT_nxv8s32*//*Label 34363*/ GIMT_Encode4(2399944),
     /* 2398221 */ /*GILLT_nxv8s64*//*Label 34364*/ GIMT_Encode4(2400065), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398233 */ /*GILLT_nxv16s16*//*Label 34365*/ GIMT_Encode4(2400186),
     /* 2398237 */ /*GILLT_nxv16s32*//*Label 34366*/ GIMT_Encode4(2400307), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398249 */ /*GILLT_nxv32s16*//*Label 34367*/ GIMT_Encode4(2400428),
     /* 2398253 */ // Label 34350: @2398253
     /* 2398253 */ GIM_Try, /*On fail goto*//*Label 34369*/ GIMT_Encode4(2398401),
     /* 2398258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2398264 */   GIM_Try, /*On fail goto*//*Label 34370*/ GIMT_Encode4(2398298), // Rule ID 1972 //
     /* 2398269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2398272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398284 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2398284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2398287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398297 */     // GIR_Coverage, 1972,
     /* 2398297 */     GIR_EraseRootFromParent_Done,
     /* 2398298 */   // Label 34370: @2398298
     /* 2398298 */   GIM_Try, /*On fail goto*//*Label 34371*/ GIMT_Encode4(2398332), // Rule ID 1973 //
     /* 2398303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2398306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398318 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2398318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2398321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398331 */     // GIR_Coverage, 1973,
     /* 2398331 */     GIR_EraseRootFromParent_Done,
     /* 2398332 */   // Label 34371: @2398332
     /* 2398332 */   GIM_Try, /*On fail goto*//*Label 34372*/ GIMT_Encode4(2398366), // Rule ID 1976 //
     /* 2398337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2398340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398352 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2398352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2398355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398365 */     // GIR_Coverage, 1976,
     /* 2398365 */     GIR_EraseRootFromParent_Done,
     /* 2398366 */   // Label 34372: @2398366
     /* 2398366 */   GIM_Try, /*On fail goto*//*Label 34373*/ GIMT_Encode4(2398400), // Rule ID 1977 //
     /* 2398371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2398374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398386 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2398386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2398389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398399 */     // GIR_Coverage, 1977,
     /* 2398399 */     GIR_EraseRootFromParent_Done,
     /* 2398400 */   // Label 34373: @2398400
     /* 2398400 */   GIM_Reject,
     /* 2398401 */ // Label 34369: @2398401
     /* 2398401 */ GIM_Reject,
     /* 2398402 */ // Label 34351: @2398402
     /* 2398402 */ GIM_Try, /*On fail goto*//*Label 34374*/ GIMT_Encode4(2398550),
     /* 2398407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2398410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2398413 */   GIM_Try, /*On fail goto*//*Label 34375*/ GIMT_Encode4(2398447), // Rule ID 1263 //
     /* 2398418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2398421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398433 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2398433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2398436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398446 */     // GIR_Coverage, 1263,
     /* 2398446 */     GIR_EraseRootFromParent_Done,
     /* 2398447 */   // Label 34375: @2398447
     /* 2398447 */   GIM_Try, /*On fail goto*//*Label 34376*/ GIMT_Encode4(2398481), // Rule ID 1264 //
     /* 2398452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2398455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398467 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2398467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2398470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398480 */     // GIR_Coverage, 1264,
     /* 2398480 */     GIR_EraseRootFromParent_Done,
     /* 2398481 */   // Label 34376: @2398481
     /* 2398481 */   GIM_Try, /*On fail goto*//*Label 34377*/ GIMT_Encode4(2398515), // Rule ID 1267 //
     /* 2398486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2398489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398501 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2398501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2398504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398514 */     // GIR_Coverage, 1267,
     /* 2398514 */     GIR_EraseRootFromParent_Done,
     /* 2398515 */   // Label 34377: @2398515
     /* 2398515 */   GIM_Try, /*On fail goto*//*Label 34378*/ GIMT_Encode4(2398549), // Rule ID 1268 //
     /* 2398520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2398523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398535 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2398535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2398538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398548 */     // GIR_Coverage, 1268,
     /* 2398548 */     GIR_EraseRootFromParent_Done,
     /* 2398549 */   // Label 34378: @2398549
     /* 2398549 */   GIM_Reject,
     /* 2398550 */ // Label 34374: @2398550
     /* 2398550 */ GIM_Reject,
     /* 2398551 */ // Label 34352: @2398551
     /* 2398551 */ GIM_Try, /*On fail goto*//*Label 34379*/ GIMT_Encode4(2398733),
     /* 2398556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2398562 */   GIM_Try, /*On fail goto*//*Label 34380*/ GIMT_Encode4(2398596), // Rule ID 1602 //
     /* 2398567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2398570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398582 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2398582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2398585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398595 */     // GIR_Coverage, 1602,
     /* 2398595 */     GIR_EraseRootFromParent_Done,
     /* 2398596 */   // Label 34380: @2398596
     /* 2398596 */   GIM_Try, /*On fail goto*//*Label 34381*/ GIMT_Encode4(2398630), // Rule ID 1603 //
     /* 2398601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2398604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398616 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2398616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2398619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398629 */     // GIR_Coverage, 1603,
     /* 2398629 */     GIR_EraseRootFromParent_Done,
     /* 2398630 */   // Label 34381: @2398630
     /* 2398630 */   GIM_Try, /*On fail goto*//*Label 34382*/ GIMT_Encode4(2398664), // Rule ID 1606 //
     /* 2398635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2398638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398650 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2398650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2398653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398663 */     // GIR_Coverage, 1606,
     /* 2398663 */     GIR_EraseRootFromParent_Done,
     /* 2398664 */   // Label 34382: @2398664
     /* 2398664 */   GIM_Try, /*On fail goto*//*Label 34383*/ GIMT_Encode4(2398698), // Rule ID 1607 //
     /* 2398669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2398672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398684 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2398684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2398687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398697 */     // GIR_Coverage, 1607,
     /* 2398697 */     GIR_EraseRootFromParent_Done,
     /* 2398698 */   // Label 34383: @2398698
     /* 2398698 */   GIM_Try, /*On fail goto*//*Label 34384*/ GIMT_Encode4(2398732), // Rule ID 1610 //
     /* 2398703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2398706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398718 */     // (strict_fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2398718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2398721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398731 */     // GIR_Coverage, 1610,
     /* 2398731 */     GIR_EraseRootFromParent_Done,
     /* 2398732 */   // Label 34384: @2398732
     /* 2398732 */   GIM_Reject,
     /* 2398733 */ // Label 34379: @2398733
     /* 2398733 */ GIM_Reject,
     /* 2398734 */ // Label 34353: @2398734
     /* 2398734 */ GIM_Try, /*On fail goto*//*Label 34385*/ GIMT_Encode4(2398854),
     /* 2398739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2398742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2398745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398757 */   GIM_Try, /*On fail goto*//*Label 34386*/ GIMT_Encode4(2398805), // Rule ID 54226 //
     /* 2398762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398765 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2398768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2398782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398804 */     // GIR_Coverage, 54226,
     /* 2398804 */     GIR_EraseRootFromParent_Done,
     /* 2398805 */   // Label 34386: @2398805
     /* 2398805 */   GIM_Try, /*On fail goto*//*Label 34387*/ GIMT_Encode4(2398853), // Rule ID 54227 //
     /* 2398810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398813 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2398816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2398830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398852 */     // GIR_Coverage, 54227,
     /* 2398852 */     GIR_EraseRootFromParent_Done,
     /* 2398853 */   // Label 34387: @2398853
     /* 2398853 */   GIM_Reject,
     /* 2398854 */ // Label 34385: @2398854
     /* 2398854 */ GIM_Reject,
     /* 2398855 */ // Label 34354: @2398855
     /* 2398855 */ GIM_Try, /*On fail goto*//*Label 34388*/ GIMT_Encode4(2398975),
     /* 2398860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2398863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2398866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398878 */   GIM_Try, /*On fail goto*//*Label 34389*/ GIMT_Encode4(2398926), // Rule ID 54250 //
     /* 2398883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398886 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2398889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2398903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398925 */     // GIR_Coverage, 54250,
     /* 2398925 */     GIR_EraseRootFromParent_Done,
     /* 2398926 */   // Label 34389: @2398926
     /* 2398926 */   GIM_Try, /*On fail goto*//*Label 34390*/ GIMT_Encode4(2398974), // Rule ID 54251 //
     /* 2398931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398934 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2398937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2398951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398973 */     // GIR_Coverage, 54251,
     /* 2398973 */     GIR_EraseRootFromParent_Done,
     /* 2398974 */   // Label 34390: @2398974
     /* 2398974 */   GIM_Reject,
     /* 2398975 */ // Label 34388: @2398975
     /* 2398975 */ GIM_Reject,
     /* 2398976 */ // Label 34355: @2398976
     /* 2398976 */ GIM_Try, /*On fail goto*//*Label 34391*/ GIMT_Encode4(2399096),
     /* 2398981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2398984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2398987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398999 */   GIM_Try, /*On fail goto*//*Label 34392*/ GIMT_Encode4(2399047), // Rule ID 54286 //
     /* 2399004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399007 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2399010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2399024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399046 */     // GIR_Coverage, 54286,
     /* 2399046 */     GIR_EraseRootFromParent_Done,
     /* 2399047 */   // Label 34392: @2399047
     /* 2399047 */   GIM_Try, /*On fail goto*//*Label 34393*/ GIMT_Encode4(2399095), // Rule ID 54287 //
     /* 2399052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399055 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2399058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2399072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399094 */     // GIR_Coverage, 54287,
     /* 2399094 */     GIR_EraseRootFromParent_Done,
     /* 2399095 */   // Label 34393: @2399095
     /* 2399095 */   GIM_Reject,
     /* 2399096 */ // Label 34391: @2399096
     /* 2399096 */ GIM_Reject,
     /* 2399097 */ // Label 34356: @2399097
     /* 2399097 */ GIM_Try, /*On fail goto*//*Label 34394*/ GIMT_Encode4(2399217),
     /* 2399102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2399105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2399108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399120 */   GIM_Try, /*On fail goto*//*Label 34395*/ GIMT_Encode4(2399168), // Rule ID 54238 //
     /* 2399125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399128 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2399131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2399145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399167 */     // GIR_Coverage, 54238,
     /* 2399167 */     GIR_EraseRootFromParent_Done,
     /* 2399168 */   // Label 34395: @2399168
     /* 2399168 */   GIM_Try, /*On fail goto*//*Label 34396*/ GIMT_Encode4(2399216), // Rule ID 54239 //
     /* 2399173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399176 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2399179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2399193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399215 */     // GIR_Coverage, 54239,
     /* 2399215 */     GIR_EraseRootFromParent_Done,
     /* 2399216 */   // Label 34396: @2399216
     /* 2399216 */   GIM_Reject,
     /* 2399217 */ // Label 34394: @2399217
     /* 2399217 */ GIM_Reject,
     /* 2399218 */ // Label 34357: @2399218
     /* 2399218 */ GIM_Try, /*On fail goto*//*Label 34397*/ GIMT_Encode4(2399338),
     /* 2399223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2399226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2399229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399241 */   GIM_Try, /*On fail goto*//*Label 34398*/ GIMT_Encode4(2399289), // Rule ID 54274 //
     /* 2399246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399249 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2399252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2399266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399288 */     // GIR_Coverage, 54274,
     /* 2399288 */     GIR_EraseRootFromParent_Done,
     /* 2399289 */   // Label 34398: @2399289
     /* 2399289 */   GIM_Try, /*On fail goto*//*Label 34399*/ GIMT_Encode4(2399337), // Rule ID 54275 //
     /* 2399294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399297 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2399300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2399314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399336 */     // GIR_Coverage, 54275,
     /* 2399336 */     GIR_EraseRootFromParent_Done,
     /* 2399337 */   // Label 34399: @2399337
     /* 2399337 */   GIM_Reject,
     /* 2399338 */ // Label 34397: @2399338
     /* 2399338 */ GIM_Reject,
     /* 2399339 */ // Label 34358: @2399339
     /* 2399339 */ GIM_Try, /*On fail goto*//*Label 34400*/ GIMT_Encode4(2399459),
     /* 2399344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2399347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2399350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399362 */   GIM_Try, /*On fail goto*//*Label 34401*/ GIMT_Encode4(2399410), // Rule ID 54370 //
     /* 2399367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399370 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2399373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2399387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399409 */     // GIR_Coverage, 54370,
     /* 2399409 */     GIR_EraseRootFromParent_Done,
     /* 2399410 */   // Label 34401: @2399410
     /* 2399410 */   GIM_Try, /*On fail goto*//*Label 34402*/ GIMT_Encode4(2399458), // Rule ID 54371 //
     /* 2399415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399418 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2399421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2399435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399457 */     // GIR_Coverage, 54371,
     /* 2399457 */     GIR_EraseRootFromParent_Done,
     /* 2399458 */   // Label 34402: @2399458
     /* 2399458 */   GIM_Reject,
     /* 2399459 */ // Label 34400: @2399459
     /* 2399459 */ GIM_Reject,
     /* 2399460 */ // Label 34359: @2399460
     /* 2399460 */ GIM_Try, /*On fail goto*//*Label 34403*/ GIMT_Encode4(2399580),
     /* 2399465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2399471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399483 */   GIM_Try, /*On fail goto*//*Label 34404*/ GIMT_Encode4(2399531), // Rule ID 54262 //
     /* 2399488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399491 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2399494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2399508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399530 */     // GIR_Coverage, 54262,
     /* 2399530 */     GIR_EraseRootFromParent_Done,
     /* 2399531 */   // Label 34404: @2399531
     /* 2399531 */   GIM_Try, /*On fail goto*//*Label 34405*/ GIMT_Encode4(2399579), // Rule ID 54263 //
     /* 2399536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399539 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2399542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2399556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399578 */     // GIR_Coverage, 54263,
     /* 2399578 */     GIR_EraseRootFromParent_Done,
     /* 2399579 */   // Label 34405: @2399579
     /* 2399579 */   GIM_Reject,
     /* 2399580 */ // Label 34403: @2399580
     /* 2399580 */ GIM_Reject,
     /* 2399581 */ // Label 34360: @2399581
     /* 2399581 */ GIM_Try, /*On fail goto*//*Label 34406*/ GIMT_Encode4(2399701),
     /* 2399586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2399589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2399592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399604 */   GIM_Try, /*On fail goto*//*Label 34407*/ GIMT_Encode4(2399652), // Rule ID 54334 //
     /* 2399609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399612 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2399615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2399629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399651 */     // GIR_Coverage, 54334,
     /* 2399651 */     GIR_EraseRootFromParent_Done,
     /* 2399652 */   // Label 34407: @2399652
     /* 2399652 */   GIM_Try, /*On fail goto*//*Label 34408*/ GIMT_Encode4(2399700), // Rule ID 54335 //
     /* 2399657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399660 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2399663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2399677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399699 */     // GIR_Coverage, 54335,
     /* 2399699 */     GIR_EraseRootFromParent_Done,
     /* 2399700 */   // Label 34408: @2399700
     /* 2399700 */   GIM_Reject,
     /* 2399701 */ // Label 34406: @2399701
     /* 2399701 */ GIM_Reject,
     /* 2399702 */ // Label 34361: @2399702
     /* 2399702 */ GIM_Try, /*On fail goto*//*Label 34409*/ GIMT_Encode4(2399822),
     /* 2399707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2399710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2399713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399725 */   GIM_Try, /*On fail goto*//*Label 34410*/ GIMT_Encode4(2399773), // Rule ID 54382 //
     /* 2399730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399733 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2399736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2399750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399772 */     // GIR_Coverage, 54382,
     /* 2399772 */     GIR_EraseRootFromParent_Done,
     /* 2399773 */   // Label 34410: @2399773
     /* 2399773 */   GIM_Try, /*On fail goto*//*Label 34411*/ GIMT_Encode4(2399821), // Rule ID 54383 //
     /* 2399778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399781 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2399784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2399798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399820 */     // GIR_Coverage, 54383,
     /* 2399820 */     GIR_EraseRootFromParent_Done,
     /* 2399821 */   // Label 34411: @2399821
     /* 2399821 */   GIM_Reject,
     /* 2399822 */ // Label 34409: @2399822
     /* 2399822 */ GIM_Reject,
     /* 2399823 */ // Label 34362: @2399823
     /* 2399823 */ GIM_Try, /*On fail goto*//*Label 34412*/ GIMT_Encode4(2399943),
     /* 2399828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2399831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2399834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399846 */   GIM_Try, /*On fail goto*//*Label 34413*/ GIMT_Encode4(2399894), // Rule ID 54298 //
     /* 2399851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399854 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2399857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2399871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399893 */     // GIR_Coverage, 54298,
     /* 2399893 */     GIR_EraseRootFromParent_Done,
     /* 2399894 */   // Label 34413: @2399894
     /* 2399894 */   GIM_Try, /*On fail goto*//*Label 34414*/ GIMT_Encode4(2399942), // Rule ID 54299 //
     /* 2399899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399902 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2399905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2399919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399941 */     // GIR_Coverage, 54299,
     /* 2399941 */     GIR_EraseRootFromParent_Done,
     /* 2399942 */   // Label 34414: @2399942
     /* 2399942 */   GIM_Reject,
     /* 2399943 */ // Label 34412: @2399943
     /* 2399943 */ GIM_Reject,
     /* 2399944 */ // Label 34363: @2399944
     /* 2399944 */ GIM_Try, /*On fail goto*//*Label 34415*/ GIMT_Encode4(2400064),
     /* 2399949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2399952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2399955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399967 */   GIM_Try, /*On fail goto*//*Label 34416*/ GIMT_Encode4(2400015), // Rule ID 54346 //
     /* 2399972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399975 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2399978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2399992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400014 */     // GIR_Coverage, 54346,
     /* 2400014 */     GIR_EraseRootFromParent_Done,
     /* 2400015 */   // Label 34416: @2400015
     /* 2400015 */   GIM_Try, /*On fail goto*//*Label 34417*/ GIMT_Encode4(2400063), // Rule ID 54347 //
     /* 2400020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400023 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2400026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2400040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400062 */     // GIR_Coverage, 54347,
     /* 2400062 */     GIR_EraseRootFromParent_Done,
     /* 2400063 */   // Label 34417: @2400063
     /* 2400063 */   GIM_Reject,
     /* 2400064 */ // Label 34415: @2400064
     /* 2400064 */ GIM_Reject,
     /* 2400065 */ // Label 34364: @2400065
     /* 2400065 */ GIM_Try, /*On fail goto*//*Label 34418*/ GIMT_Encode4(2400185),
     /* 2400070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2400073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2400076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400088 */   GIM_Try, /*On fail goto*//*Label 34419*/ GIMT_Encode4(2400136), // Rule ID 54394 //
     /* 2400093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2400096 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2400099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2400113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2400131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400135 */     // GIR_Coverage, 54394,
     /* 2400135 */     GIR_EraseRootFromParent_Done,
     /* 2400136 */   // Label 34419: @2400136
     /* 2400136 */   GIM_Try, /*On fail goto*//*Label 34420*/ GIMT_Encode4(2400184), // Rule ID 54395 //
     /* 2400141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2400144 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2400147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2400161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2400179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400183 */     // GIR_Coverage, 54395,
     /* 2400183 */     GIR_EraseRootFromParent_Done,
     /* 2400184 */   // Label 34420: @2400184
     /* 2400184 */   GIM_Reject,
     /* 2400185 */ // Label 34418: @2400185
     /* 2400185 */ GIM_Reject,
     /* 2400186 */ // Label 34365: @2400186
     /* 2400186 */ GIM_Try, /*On fail goto*//*Label 34421*/ GIMT_Encode4(2400306),
     /* 2400191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2400194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2400197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400209 */   GIM_Try, /*On fail goto*//*Label 34422*/ GIMT_Encode4(2400257), // Rule ID 54310 //
     /* 2400214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400217 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2400220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2400234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400256 */     // GIR_Coverage, 54310,
     /* 2400256 */     GIR_EraseRootFromParent_Done,
     /* 2400257 */   // Label 34422: @2400257
     /* 2400257 */   GIM_Try, /*On fail goto*//*Label 34423*/ GIMT_Encode4(2400305), // Rule ID 54311 //
     /* 2400262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400265 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2400268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2400282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400304 */     // GIR_Coverage, 54311,
     /* 2400304 */     GIR_EraseRootFromParent_Done,
     /* 2400305 */   // Label 34423: @2400305
     /* 2400305 */   GIM_Reject,
     /* 2400306 */ // Label 34421: @2400306
     /* 2400306 */ GIM_Reject,
     /* 2400307 */ // Label 34366: @2400307
     /* 2400307 */ GIM_Try, /*On fail goto*//*Label 34424*/ GIMT_Encode4(2400427),
     /* 2400312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2400315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2400318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400330 */   GIM_Try, /*On fail goto*//*Label 34425*/ GIMT_Encode4(2400378), // Rule ID 54358 //
     /* 2400335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400338 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2400341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2400355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400377 */     // GIR_Coverage, 54358,
     /* 2400377 */     GIR_EraseRootFromParent_Done,
     /* 2400378 */   // Label 34425: @2400378
     /* 2400378 */   GIM_Try, /*On fail goto*//*Label 34426*/ GIMT_Encode4(2400426), // Rule ID 54359 //
     /* 2400383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400386 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2400389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2400403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400425 */     // GIR_Coverage, 54359,
     /* 2400425 */     GIR_EraseRootFromParent_Done,
     /* 2400426 */   // Label 34426: @2400426
     /* 2400426 */   GIM_Reject,
     /* 2400427 */ // Label 34424: @2400427
     /* 2400427 */ GIM_Reject,
     /* 2400428 */ // Label 34367: @2400428
     /* 2400428 */ GIM_Try, /*On fail goto*//*Label 34427*/ GIMT_Encode4(2400548),
     /* 2400433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2400436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2400439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400451 */   GIM_Try, /*On fail goto*//*Label 34428*/ GIMT_Encode4(2400499), // Rule ID 54322 //
     /* 2400456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400459 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2400462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2400476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400498 */     // GIR_Coverage, 54322,
     /* 2400498 */     GIR_EraseRootFromParent_Done,
     /* 2400499 */   // Label 34428: @2400499
     /* 2400499 */   GIM_Try, /*On fail goto*//*Label 34429*/ GIMT_Encode4(2400547), // Rule ID 54323 //
     /* 2400504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400507 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2400510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2400524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400546 */     // GIR_Coverage, 54323,
     /* 2400546 */     GIR_EraseRootFromParent_Done,
     /* 2400547 */   // Label 34429: @2400547
     /* 2400547 */   GIM_Reject,
     /* 2400548 */ // Label 34427: @2400548
     /* 2400548 */ GIM_Reject,
     /* 2400549 */ // Label 34368: @2400549
     /* 2400549 */ GIM_Reject,
     /* 2400550 */ // Label 101: @2400550
     /* 2400550 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34448*/ GIMT_Encode4(2402977),
     /* 2400561 */ /*GILLT_s16*//*Label 34430*/ GIMT_Encode4(2400681),
     /* 2400565 */ /*GILLT_s32*//*Label 34431*/ GIMT_Encode4(2400830),
     /* 2400569 */ /*GILLT_s64*//*Label 34432*/ GIMT_Encode4(2400979), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400581 */ /*GILLT_nxv1s16*//*Label 34433*/ GIMT_Encode4(2401162),
     /* 2400585 */ /*GILLT_nxv1s32*//*Label 34434*/ GIMT_Encode4(2401283),
     /* 2400589 */ /*GILLT_nxv1s64*//*Label 34435*/ GIMT_Encode4(2401404), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400601 */ /*GILLT_nxv2s16*//*Label 34436*/ GIMT_Encode4(2401525),
     /* 2400605 */ /*GILLT_nxv2s32*//*Label 34437*/ GIMT_Encode4(2401646),
     /* 2400609 */ /*GILLT_nxv2s64*//*Label 34438*/ GIMT_Encode4(2401767), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400621 */ /*GILLT_nxv4s16*//*Label 34439*/ GIMT_Encode4(2401888),
     /* 2400625 */ /*GILLT_nxv4s32*//*Label 34440*/ GIMT_Encode4(2402009),
     /* 2400629 */ /*GILLT_nxv4s64*//*Label 34441*/ GIMT_Encode4(2402130), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400641 */ /*GILLT_nxv8s16*//*Label 34442*/ GIMT_Encode4(2402251),
     /* 2400645 */ /*GILLT_nxv8s32*//*Label 34443*/ GIMT_Encode4(2402372),
     /* 2400649 */ /*GILLT_nxv8s64*//*Label 34444*/ GIMT_Encode4(2402493), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400661 */ /*GILLT_nxv16s16*//*Label 34445*/ GIMT_Encode4(2402614),
     /* 2400665 */ /*GILLT_nxv16s32*//*Label 34446*/ GIMT_Encode4(2402735), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400677 */ /*GILLT_nxv32s16*//*Label 34447*/ GIMT_Encode4(2402856),
     /* 2400681 */ // Label 34430: @2400681
     /* 2400681 */ GIM_Try, /*On fail goto*//*Label 34449*/ GIMT_Encode4(2400829),
     /* 2400686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2400689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2400692 */   GIM_Try, /*On fail goto*//*Label 34450*/ GIMT_Encode4(2400726), // Rule ID 1980 //
     /* 2400697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2400700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400712 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2400712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2400715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400725 */     // GIR_Coverage, 1980,
     /* 2400725 */     GIR_EraseRootFromParent_Done,
     /* 2400726 */   // Label 34450: @2400726
     /* 2400726 */   GIM_Try, /*On fail goto*//*Label 34451*/ GIMT_Encode4(2400760), // Rule ID 1981 //
     /* 2400731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2400734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400746 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2400746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2400749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400759 */     // GIR_Coverage, 1981,
     /* 2400759 */     GIR_EraseRootFromParent_Done,
     /* 2400760 */   // Label 34451: @2400760
     /* 2400760 */   GIM_Try, /*On fail goto*//*Label 34452*/ GIMT_Encode4(2400794), // Rule ID 1984 //
     /* 2400765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2400768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400780 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2400780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2400783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400793 */     // GIR_Coverage, 1984,
     /* 2400793 */     GIR_EraseRootFromParent_Done,
     /* 2400794 */   // Label 34452: @2400794
     /* 2400794 */   GIM_Try, /*On fail goto*//*Label 34453*/ GIMT_Encode4(2400828), // Rule ID 1985 //
     /* 2400799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2400802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400814 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2400814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2400817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400827 */     // GIR_Coverage, 1985,
     /* 2400827 */     GIR_EraseRootFromParent_Done,
     /* 2400828 */   // Label 34453: @2400828
     /* 2400828 */   GIM_Reject,
     /* 2400829 */ // Label 34449: @2400829
     /* 2400829 */ GIM_Reject,
     /* 2400830 */ // Label 34431: @2400830
     /* 2400830 */ GIM_Try, /*On fail goto*//*Label 34454*/ GIMT_Encode4(2400978),
     /* 2400835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2400841 */   GIM_Try, /*On fail goto*//*Label 34455*/ GIMT_Encode4(2400875), // Rule ID 1271 //
     /* 2400846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2400849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400861 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2400861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2400864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400874 */     // GIR_Coverage, 1271,
     /* 2400874 */     GIR_EraseRootFromParent_Done,
     /* 2400875 */   // Label 34455: @2400875
     /* 2400875 */   GIM_Try, /*On fail goto*//*Label 34456*/ GIMT_Encode4(2400909), // Rule ID 1272 //
     /* 2400880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2400883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400895 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2400895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2400898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400908 */     // GIR_Coverage, 1272,
     /* 2400908 */     GIR_EraseRootFromParent_Done,
     /* 2400909 */   // Label 34456: @2400909
     /* 2400909 */   GIM_Try, /*On fail goto*//*Label 34457*/ GIMT_Encode4(2400943), // Rule ID 1275 //
     /* 2400914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2400917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400929 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2400929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2400932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400942 */     // GIR_Coverage, 1275,
     /* 2400942 */     GIR_EraseRootFromParent_Done,
     /* 2400943 */   // Label 34457: @2400943
     /* 2400943 */   GIM_Try, /*On fail goto*//*Label 34458*/ GIMT_Encode4(2400977), // Rule ID 1276 //
     /* 2400948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2400951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400963 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2400963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2400966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400976 */     // GIR_Coverage, 1276,
     /* 2400976 */     GIR_EraseRootFromParent_Done,
     /* 2400977 */   // Label 34458: @2400977
     /* 2400977 */   GIM_Reject,
     /* 2400978 */ // Label 34454: @2400978
     /* 2400978 */ GIM_Reject,
     /* 2400979 */ // Label 34432: @2400979
     /* 2400979 */ GIM_Try, /*On fail goto*//*Label 34459*/ GIMT_Encode4(2401161),
     /* 2400984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2400990 */   GIM_Try, /*On fail goto*//*Label 34460*/ GIMT_Encode4(2401024), // Rule ID 1612 //
     /* 2400995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2400998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401010 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2401010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2401013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401023 */     // GIR_Coverage, 1612,
     /* 2401023 */     GIR_EraseRootFromParent_Done,
     /* 2401024 */   // Label 34460: @2401024
     /* 2401024 */   GIM_Try, /*On fail goto*//*Label 34461*/ GIMT_Encode4(2401058), // Rule ID 1613 //
     /* 2401029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2401032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401044 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2401044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2401047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401057 */     // GIR_Coverage, 1613,
     /* 2401057 */     GIR_EraseRootFromParent_Done,
     /* 2401058 */   // Label 34461: @2401058
     /* 2401058 */   GIM_Try, /*On fail goto*//*Label 34462*/ GIMT_Encode4(2401092), // Rule ID 1616 //
     /* 2401063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2401066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401078 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2401078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2401081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401091 */     // GIR_Coverage, 1616,
     /* 2401091 */     GIR_EraseRootFromParent_Done,
     /* 2401092 */   // Label 34462: @2401092
     /* 2401092 */   GIM_Try, /*On fail goto*//*Label 34463*/ GIMT_Encode4(2401126), // Rule ID 1617 //
     /* 2401097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2401100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401112 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2401112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2401115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401125 */     // GIR_Coverage, 1617,
     /* 2401125 */     GIR_EraseRootFromParent_Done,
     /* 2401126 */   // Label 34463: @2401126
     /* 2401126 */   GIM_Try, /*On fail goto*//*Label 34464*/ GIMT_Encode4(2401160), // Rule ID 1620 //
     /* 2401131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2401134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401146 */     // (strict_fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2401146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2401149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401159 */     // GIR_Coverage, 1620,
     /* 2401159 */     GIR_EraseRootFromParent_Done,
     /* 2401160 */   // Label 34464: @2401160
     /* 2401160 */   GIM_Reject,
     /* 2401161 */ // Label 34459: @2401161
     /* 2401161 */ GIM_Reject,
     /* 2401162 */ // Label 34433: @2401162
     /* 2401162 */ GIM_Try, /*On fail goto*//*Label 34465*/ GIMT_Encode4(2401282),
     /* 2401167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2401170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2401173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401185 */   GIM_Try, /*On fail goto*//*Label 34466*/ GIMT_Encode4(2401233), // Rule ID 54406 //
     /* 2401190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2401193 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2401196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2401210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401232 */     // GIR_Coverage, 54406,
     /* 2401232 */     GIR_EraseRootFromParent_Done,
     /* 2401233 */   // Label 34466: @2401233
     /* 2401233 */   GIM_Try, /*On fail goto*//*Label 34467*/ GIMT_Encode4(2401281), // Rule ID 54407 //
     /* 2401238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2401241 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2401244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2401258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401280 */     // GIR_Coverage, 54407,
     /* 2401280 */     GIR_EraseRootFromParent_Done,
     /* 2401281 */   // Label 34467: @2401281
     /* 2401281 */   GIM_Reject,
     /* 2401282 */ // Label 34465: @2401282
     /* 2401282 */ GIM_Reject,
     /* 2401283 */ // Label 34434: @2401283
     /* 2401283 */ GIM_Try, /*On fail goto*//*Label 34468*/ GIMT_Encode4(2401403),
     /* 2401288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2401291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2401294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401306 */   GIM_Try, /*On fail goto*//*Label 34469*/ GIMT_Encode4(2401354), // Rule ID 54430 //
     /* 2401311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2401314 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2401317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2401331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401353 */     // GIR_Coverage, 54430,
     /* 2401353 */     GIR_EraseRootFromParent_Done,
     /* 2401354 */   // Label 34469: @2401354
     /* 2401354 */   GIM_Try, /*On fail goto*//*Label 34470*/ GIMT_Encode4(2401402), // Rule ID 54431 //
     /* 2401359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2401362 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2401365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2401379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401401 */     // GIR_Coverage, 54431,
     /* 2401401 */     GIR_EraseRootFromParent_Done,
     /* 2401402 */   // Label 34470: @2401402
     /* 2401402 */   GIM_Reject,
     /* 2401403 */ // Label 34468: @2401403
     /* 2401403 */ GIM_Reject,
     /* 2401404 */ // Label 34435: @2401404
     /* 2401404 */ GIM_Try, /*On fail goto*//*Label 34471*/ GIMT_Encode4(2401524),
     /* 2401409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2401415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401427 */   GIM_Try, /*On fail goto*//*Label 34472*/ GIMT_Encode4(2401475), // Rule ID 54466 //
     /* 2401432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401435 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2401438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2401452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401474 */     // GIR_Coverage, 54466,
     /* 2401474 */     GIR_EraseRootFromParent_Done,
     /* 2401475 */   // Label 34472: @2401475
     /* 2401475 */   GIM_Try, /*On fail goto*//*Label 34473*/ GIMT_Encode4(2401523), // Rule ID 54467 //
     /* 2401480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401483 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2401486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2401500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401522 */     // GIR_Coverage, 54467,
     /* 2401522 */     GIR_EraseRootFromParent_Done,
     /* 2401523 */   // Label 34473: @2401523
     /* 2401523 */   GIM_Reject,
     /* 2401524 */ // Label 34471: @2401524
     /* 2401524 */ GIM_Reject,
     /* 2401525 */ // Label 34436: @2401525
     /* 2401525 */ GIM_Try, /*On fail goto*//*Label 34474*/ GIMT_Encode4(2401645),
     /* 2401530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2401533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2401536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401548 */   GIM_Try, /*On fail goto*//*Label 34475*/ GIMT_Encode4(2401596), // Rule ID 54418 //
     /* 2401553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2401556 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2401559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2401573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401595 */     // GIR_Coverage, 54418,
     /* 2401595 */     GIR_EraseRootFromParent_Done,
     /* 2401596 */   // Label 34475: @2401596
     /* 2401596 */   GIM_Try, /*On fail goto*//*Label 34476*/ GIMT_Encode4(2401644), // Rule ID 54419 //
     /* 2401601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2401604 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2401607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2401621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401643 */     // GIR_Coverage, 54419,
     /* 2401643 */     GIR_EraseRootFromParent_Done,
     /* 2401644 */   // Label 34476: @2401644
     /* 2401644 */   GIM_Reject,
     /* 2401645 */ // Label 34474: @2401645
     /* 2401645 */ GIM_Reject,
     /* 2401646 */ // Label 34437: @2401646
     /* 2401646 */ GIM_Try, /*On fail goto*//*Label 34477*/ GIMT_Encode4(2401766),
     /* 2401651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2401654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2401657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401669 */   GIM_Try, /*On fail goto*//*Label 34478*/ GIMT_Encode4(2401717), // Rule ID 54454 //
     /* 2401674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2401677 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2401680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2401694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401716 */     // GIR_Coverage, 54454,
     /* 2401716 */     GIR_EraseRootFromParent_Done,
     /* 2401717 */   // Label 34478: @2401717
     /* 2401717 */   GIM_Try, /*On fail goto*//*Label 34479*/ GIMT_Encode4(2401765), // Rule ID 54455 //
     /* 2401722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2401725 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2401728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2401742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401764 */     // GIR_Coverage, 54455,
     /* 2401764 */     GIR_EraseRootFromParent_Done,
     /* 2401765 */   // Label 34479: @2401765
     /* 2401765 */   GIM_Reject,
     /* 2401766 */ // Label 34477: @2401766
     /* 2401766 */ GIM_Reject,
     /* 2401767 */ // Label 34438: @2401767
     /* 2401767 */ GIM_Try, /*On fail goto*//*Label 34480*/ GIMT_Encode4(2401887),
     /* 2401772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2401775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2401778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401786 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401790 */   GIM_Try, /*On fail goto*//*Label 34481*/ GIMT_Encode4(2401838), // Rule ID 54550 //
     /* 2401795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401798 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2401801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2401815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401837 */     // GIR_Coverage, 54550,
     /* 2401837 */     GIR_EraseRootFromParent_Done,
     /* 2401838 */   // Label 34481: @2401838
     /* 2401838 */   GIM_Try, /*On fail goto*//*Label 34482*/ GIMT_Encode4(2401886), // Rule ID 54551 //
     /* 2401843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401846 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2401849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2401863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401885 */     // GIR_Coverage, 54551,
     /* 2401885 */     GIR_EraseRootFromParent_Done,
     /* 2401886 */   // Label 34482: @2401886
     /* 2401886 */   GIM_Reject,
     /* 2401887 */ // Label 34480: @2401887
     /* 2401887 */ GIM_Reject,
     /* 2401888 */ // Label 34439: @2401888
     /* 2401888 */ GIM_Try, /*On fail goto*//*Label 34483*/ GIMT_Encode4(2402008),
     /* 2401893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2401896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2401899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401911 */   GIM_Try, /*On fail goto*//*Label 34484*/ GIMT_Encode4(2401959), // Rule ID 54442 //
     /* 2401916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2401919 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2401922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2401936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401958 */     // GIR_Coverage, 54442,
     /* 2401958 */     GIR_EraseRootFromParent_Done,
     /* 2401959 */   // Label 34484: @2401959
     /* 2401959 */   GIM_Try, /*On fail goto*//*Label 34485*/ GIMT_Encode4(2402007), // Rule ID 54443 //
     /* 2401964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2401967 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2401970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2401984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402006 */     // GIR_Coverage, 54443,
     /* 2402006 */     GIR_EraseRootFromParent_Done,
     /* 2402007 */   // Label 34485: @2402007
     /* 2402007 */   GIM_Reject,
     /* 2402008 */ // Label 34483: @2402008
     /* 2402008 */ GIM_Reject,
     /* 2402009 */ // Label 34440: @2402009
     /* 2402009 */ GIM_Try, /*On fail goto*//*Label 34486*/ GIMT_Encode4(2402129),
     /* 2402014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2402017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2402020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402032 */   GIM_Try, /*On fail goto*//*Label 34487*/ GIMT_Encode4(2402080), // Rule ID 54514 //
     /* 2402037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2402040 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2402040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2402043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2402057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402079 */     // GIR_Coverage, 54514,
     /* 2402079 */     GIR_EraseRootFromParent_Done,
     /* 2402080 */   // Label 34487: @2402080
     /* 2402080 */   GIM_Try, /*On fail goto*//*Label 34488*/ GIMT_Encode4(2402128), // Rule ID 54515 //
     /* 2402085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2402088 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2402088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2402091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2402105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402127 */     // GIR_Coverage, 54515,
     /* 2402127 */     GIR_EraseRootFromParent_Done,
     /* 2402128 */   // Label 34488: @2402128
     /* 2402128 */   GIM_Reject,
     /* 2402129 */ // Label 34486: @2402129
     /* 2402129 */ GIM_Reject,
     /* 2402130 */ // Label 34441: @2402130
     /* 2402130 */ GIM_Try, /*On fail goto*//*Label 34489*/ GIMT_Encode4(2402250),
     /* 2402135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2402138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2402141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402153 */   GIM_Try, /*On fail goto*//*Label 34490*/ GIMT_Encode4(2402201), // Rule ID 54562 //
     /* 2402158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2402161 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2402161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2402164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2402178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402200 */     // GIR_Coverage, 54562,
     /* 2402200 */     GIR_EraseRootFromParent_Done,
     /* 2402201 */   // Label 34490: @2402201
     /* 2402201 */   GIM_Try, /*On fail goto*//*Label 34491*/ GIMT_Encode4(2402249), // Rule ID 54563 //
     /* 2402206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2402209 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2402209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2402212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2402226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402248 */     // GIR_Coverage, 54563,
     /* 2402248 */     GIR_EraseRootFromParent_Done,
     /* 2402249 */   // Label 34491: @2402249
     /* 2402249 */   GIM_Reject,
     /* 2402250 */ // Label 34489: @2402250
     /* 2402250 */ GIM_Reject,
     /* 2402251 */ // Label 34442: @2402251
     /* 2402251 */ GIM_Try, /*On fail goto*//*Label 34492*/ GIMT_Encode4(2402371),
     /* 2402256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2402259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2402262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402274 */   GIM_Try, /*On fail goto*//*Label 34493*/ GIMT_Encode4(2402322), // Rule ID 54478 //
     /* 2402279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402282 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2402282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2402285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2402299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402321 */     // GIR_Coverage, 54478,
     /* 2402321 */     GIR_EraseRootFromParent_Done,
     /* 2402322 */   // Label 34493: @2402322
     /* 2402322 */   GIM_Try, /*On fail goto*//*Label 34494*/ GIMT_Encode4(2402370), // Rule ID 54479 //
     /* 2402327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402330 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2402330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2402333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2402347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402369 */     // GIR_Coverage, 54479,
     /* 2402369 */     GIR_EraseRootFromParent_Done,
     /* 2402370 */   // Label 34494: @2402370
     /* 2402370 */   GIM_Reject,
     /* 2402371 */ // Label 34492: @2402371
     /* 2402371 */ GIM_Reject,
     /* 2402372 */ // Label 34443: @2402372
     /* 2402372 */ GIM_Try, /*On fail goto*//*Label 34495*/ GIMT_Encode4(2402492),
     /* 2402377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2402380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2402383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402395 */   GIM_Try, /*On fail goto*//*Label 34496*/ GIMT_Encode4(2402443), // Rule ID 54526 //
     /* 2402400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2402403 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2402403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2402406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2402420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402442 */     // GIR_Coverage, 54526,
     /* 2402442 */     GIR_EraseRootFromParent_Done,
     /* 2402443 */   // Label 34496: @2402443
     /* 2402443 */   GIM_Try, /*On fail goto*//*Label 34497*/ GIMT_Encode4(2402491), // Rule ID 54527 //
     /* 2402448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2402451 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2402451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2402454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2402468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402490 */     // GIR_Coverage, 54527,
     /* 2402490 */     GIR_EraseRootFromParent_Done,
     /* 2402491 */   // Label 34497: @2402491
     /* 2402491 */   GIM_Reject,
     /* 2402492 */ // Label 34495: @2402492
     /* 2402492 */ GIM_Reject,
     /* 2402493 */ // Label 34444: @2402493
     /* 2402493 */ GIM_Try, /*On fail goto*//*Label 34498*/ GIMT_Encode4(2402613),
     /* 2402498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2402501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2402504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2402508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2402512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2402516 */   GIM_Try, /*On fail goto*//*Label 34499*/ GIMT_Encode4(2402564), // Rule ID 54574 //
     /* 2402521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2402524 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2402524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2402527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2402541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402563 */     // GIR_Coverage, 54574,
     /* 2402563 */     GIR_EraseRootFromParent_Done,
     /* 2402564 */   // Label 34499: @2402564
     /* 2402564 */   GIM_Try, /*On fail goto*//*Label 34500*/ GIMT_Encode4(2402612), // Rule ID 54575 //
     /* 2402569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2402572 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2402572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2402575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2402589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402611 */     // GIR_Coverage, 54575,
     /* 2402611 */     GIR_EraseRootFromParent_Done,
     /* 2402612 */   // Label 34500: @2402612
     /* 2402612 */   GIM_Reject,
     /* 2402613 */ // Label 34498: @2402613
     /* 2402613 */ GIM_Reject,
     /* 2402614 */ // Label 34445: @2402614
     /* 2402614 */ GIM_Try, /*On fail goto*//*Label 34501*/ GIMT_Encode4(2402734),
     /* 2402619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2402622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2402625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402637 */   GIM_Try, /*On fail goto*//*Label 34502*/ GIMT_Encode4(2402685), // Rule ID 54490 //
     /* 2402642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402645 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2402645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2402648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2402662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402684 */     // GIR_Coverage, 54490,
     /* 2402684 */     GIR_EraseRootFromParent_Done,
     /* 2402685 */   // Label 34502: @2402685
     /* 2402685 */   GIM_Try, /*On fail goto*//*Label 34503*/ GIMT_Encode4(2402733), // Rule ID 54491 //
     /* 2402690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402693 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2402693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2402696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2402710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402732 */     // GIR_Coverage, 54491,
     /* 2402732 */     GIR_EraseRootFromParent_Done,
     /* 2402733 */   // Label 34503: @2402733
     /* 2402733 */   GIM_Reject,
     /* 2402734 */ // Label 34501: @2402734
     /* 2402734 */ GIM_Reject,
     /* 2402735 */ // Label 34446: @2402735
     /* 2402735 */ GIM_Try, /*On fail goto*//*Label 34504*/ GIMT_Encode4(2402855),
     /* 2402740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2402743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2402746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2402750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2402754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2402758 */   GIM_Try, /*On fail goto*//*Label 34505*/ GIMT_Encode4(2402806), // Rule ID 54538 //
     /* 2402763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2402766 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2402766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2402769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2402783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402805 */     // GIR_Coverage, 54538,
     /* 2402805 */     GIR_EraseRootFromParent_Done,
     /* 2402806 */   // Label 34505: @2402806
     /* 2402806 */   GIM_Try, /*On fail goto*//*Label 34506*/ GIMT_Encode4(2402854), // Rule ID 54539 //
     /* 2402811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2402814 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2402814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2402817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2402831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402853 */     // GIR_Coverage, 54539,
     /* 2402853 */     GIR_EraseRootFromParent_Done,
     /* 2402854 */   // Label 34506: @2402854
     /* 2402854 */   GIM_Reject,
     /* 2402855 */ // Label 34504: @2402855
     /* 2402855 */ GIM_Reject,
     /* 2402856 */ // Label 34447: @2402856
     /* 2402856 */ GIM_Try, /*On fail goto*//*Label 34507*/ GIMT_Encode4(2402976),
     /* 2402861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2402864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2402867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2402871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2402875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2402879 */   GIM_Try, /*On fail goto*//*Label 34508*/ GIMT_Encode4(2402927), // Rule ID 54502 //
     /* 2402884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402887 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2402887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2402890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2402904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402926 */     // GIR_Coverage, 54502,
     /* 2402926 */     GIR_EraseRootFromParent_Done,
     /* 2402927 */   // Label 34508: @2402927
     /* 2402927 */   GIM_Try, /*On fail goto*//*Label 34509*/ GIMT_Encode4(2402975), // Rule ID 54503 //
     /* 2402932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402935 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2402935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2402938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2402952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402974 */     // GIR_Coverage, 54503,
     /* 2402974 */     GIR_EraseRootFromParent_Done,
     /* 2402975 */   // Label 34509: @2402975
     /* 2402975 */   GIM_Reject,
     /* 2402976 */ // Label 34507: @2402976
     /* 2402976 */ GIM_Reject,
     /* 2402977 */ // Label 34448: @2402977
     /* 2402977 */ GIM_Reject,
     /* 2402978 */ // Label 102: @2402978
     /* 2402978 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34528*/ GIMT_Encode4(2419622),
     /* 2402989 */ /*GILLT_s16*//*Label 34510*/ GIMT_Encode4(2403109),
     /* 2402993 */ /*GILLT_s32*//*Label 34511*/ GIMT_Encode4(2404545),
     /* 2402997 */ /*GILLT_s64*//*Label 34512*/ GIMT_Encode4(2405981), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2403009 */ /*GILLT_nxv1s16*//*Label 34513*/ GIMT_Encode4(2407772),
     /* 2403013 */ /*GILLT_nxv1s32*//*Label 34514*/ GIMT_Encode4(2408562),
     /* 2403017 */ /*GILLT_nxv1s64*//*Label 34515*/ GIMT_Encode4(2409352), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2403029 */ /*GILLT_nxv2s16*//*Label 34516*/ GIMT_Encode4(2410142),
     /* 2403033 */ /*GILLT_nxv2s32*//*Label 34517*/ GIMT_Encode4(2410932),
     /* 2403037 */ /*GILLT_nxv2s64*//*Label 34518*/ GIMT_Encode4(2411722), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2403049 */ /*GILLT_nxv4s16*//*Label 34519*/ GIMT_Encode4(2412512),
     /* 2403053 */ /*GILLT_nxv4s32*//*Label 34520*/ GIMT_Encode4(2413302),
     /* 2403057 */ /*GILLT_nxv4s64*//*Label 34521*/ GIMT_Encode4(2414092), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2403069 */ /*GILLT_nxv8s16*//*Label 34522*/ GIMT_Encode4(2414882),
     /* 2403073 */ /*GILLT_nxv8s32*//*Label 34523*/ GIMT_Encode4(2415672),
     /* 2403077 */ /*GILLT_nxv8s64*//*Label 34524*/ GIMT_Encode4(2416462), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2403089 */ /*GILLT_nxv16s16*//*Label 34525*/ GIMT_Encode4(2417252),
     /* 2403093 */ /*GILLT_nxv16s32*//*Label 34526*/ GIMT_Encode4(2418042), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2403105 */ /*GILLT_nxv32s16*//*Label 34527*/ GIMT_Encode4(2418832),
     /* 2403109 */ // Label 34510: @2403109
     /* 2403109 */ GIM_Try, /*On fail goto*//*Label 34529*/ GIMT_Encode4(2404544),
     /* 2403114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2403120 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2403123 */   GIM_Try, /*On fail goto*//*Label 34530*/ GIMT_Encode4(2403195), // Rule ID 2013 //
     /* 2403128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2403131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403175 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2403175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2403178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2403190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403194 */     // GIR_Coverage, 2013,
     /* 2403194 */     GIR_EraseRootFromParent_Done,
     /* 2403195 */   // Label 34530: @2403195
     /* 2403195 */   GIM_Try, /*On fail goto*//*Label 34531*/ GIMT_Encode4(2403267), // Rule ID 2014 //
     /* 2403200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2403203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403240 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403247 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2403247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2403250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2403262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403266 */     // GIR_Coverage, 2014,
     /* 2403266 */     GIR_EraseRootFromParent_Done,
     /* 2403267 */   // Label 34531: @2403267
     /* 2403267 */   GIM_Try, /*On fail goto*//*Label 34532*/ GIMT_Encode4(2403339), // Rule ID 2046 //
     /* 2403272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2403275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403319 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2403319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2403322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2403334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403338 */     // GIR_Coverage, 2046,
     /* 2403338 */     GIR_EraseRootFromParent_Done,
     /* 2403339 */   // Label 34532: @2403339
     /* 2403339 */   GIM_Try, /*On fail goto*//*Label 34533*/ GIMT_Encode4(2403411), // Rule ID 2047 //
     /* 2403344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2403347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403391 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2403391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2403394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2403406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403410 */     // GIR_Coverage, 2047,
     /* 2403410 */     GIR_EraseRootFromParent_Done,
     /* 2403411 */   // Label 34533: @2403411
     /* 2403411 */   GIM_Try, /*On fail goto*//*Label 34534*/ GIMT_Encode4(2403483), // Rule ID 65473 //
     /* 2403416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2403419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403463 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2403463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2403466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2403474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2403478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403482 */     // GIR_Coverage, 65473,
     /* 2403482 */     GIR_EraseRootFromParent_Done,
     /* 2403483 */   // Label 34534: @2403483
     /* 2403483 */   GIM_Try, /*On fail goto*//*Label 34535*/ GIMT_Encode4(2403555), // Rule ID 65474 //
     /* 2403488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2403491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403535 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2403535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2403538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2403546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2403550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403554 */     // GIR_Coverage, 65474,
     /* 2403554 */     GIR_EraseRootFromParent_Done,
     /* 2403555 */   // Label 34535: @2403555
     /* 2403555 */   GIM_Try, /*On fail goto*//*Label 34536*/ GIMT_Encode4(2403627), // Rule ID 65481 //
     /* 2403560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2403563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403607 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2403607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2403610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2403618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2403622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403626 */     // GIR_Coverage, 65481,
     /* 2403626 */     GIR_EraseRootFromParent_Done,
     /* 2403627 */   // Label 34536: @2403627
     /* 2403627 */   GIM_Try, /*On fail goto*//*Label 34537*/ GIMT_Encode4(2403699), // Rule ID 65482 //
     /* 2403632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2403635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403679 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2403679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2403682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2403690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2403694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403698 */     // GIR_Coverage, 65482,
     /* 2403698 */     GIR_EraseRootFromParent_Done,
     /* 2403699 */   // Label 34537: @2403699
     /* 2403699 */   GIM_Try, /*On fail goto*//*Label 34538*/ GIMT_Encode4(2403756), // Rule ID 2009 //
     /* 2403704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2403707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403738 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2403738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2403741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2403751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403755 */     // GIR_Coverage, 2009,
     /* 2403755 */     GIR_EraseRootFromParent_Done,
     /* 2403756 */   // Label 34538: @2403756
     /* 2403756 */   GIM_Try, /*On fail goto*//*Label 34539*/ GIMT_Encode4(2403813), // Rule ID 2010 //
     /* 2403761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2403764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403795 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2403795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2403798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2403808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403812 */     // GIR_Coverage, 2010,
     /* 2403812 */     GIR_EraseRootFromParent_Done,
     /* 2403813 */   // Label 34539: @2403813
     /* 2403813 */   GIM_Try, /*On fail goto*//*Label 34540*/ GIMT_Encode4(2403870), // Rule ID 2042 //
     /* 2403818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2403821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403852 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2403852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2403855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2403865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403869 */     // GIR_Coverage, 2042,
     /* 2403869 */     GIR_EraseRootFromParent_Done,
     /* 2403870 */   // Label 34540: @2403870
     /* 2403870 */   GIM_Try, /*On fail goto*//*Label 34541*/ GIMT_Encode4(2403927), // Rule ID 2043 //
     /* 2403875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2403878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2403907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403909 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2403909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2403912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2403922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403926 */     // GIR_Coverage, 2043,
     /* 2403926 */     GIR_EraseRootFromParent_Done,
     /* 2403927 */   // Label 34541: @2403927
     /* 2403927 */   GIM_Try, /*On fail goto*//*Label 34542*/ GIMT_Encode4(2403984), // Rule ID 65469 //
     /* 2403932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2403935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2403955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403966 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2403966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2403969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2403977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2403979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403983 */     // GIR_Coverage, 65469,
     /* 2403983 */     GIR_EraseRootFromParent_Done,
     /* 2403984 */   // Label 34542: @2403984
     /* 2403984 */   GIM_Try, /*On fail goto*//*Label 34543*/ GIMT_Encode4(2404041), // Rule ID 65470 //
     /* 2403989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2403992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2403996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404023 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2404023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2404026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2404034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2404036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404040 */     // GIR_Coverage, 65470,
     /* 2404040 */     GIR_EraseRootFromParent_Done,
     /* 2404041 */   // Label 34543: @2404041
     /* 2404041 */   GIM_Try, /*On fail goto*//*Label 34544*/ GIMT_Encode4(2404098), // Rule ID 65477 //
     /* 2404046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2404049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404080 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2404080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2404083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2404091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2404093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404097 */     // GIR_Coverage, 65477,
     /* 2404097 */     GIR_EraseRootFromParent_Done,
     /* 2404098 */   // Label 34544: @2404098
     /* 2404098 */   GIM_Try, /*On fail goto*//*Label 34545*/ GIMT_Encode4(2404155), // Rule ID 65478 //
     /* 2404103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2404106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404137 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2404137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2404140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2404148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2404150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404154 */     // GIR_Coverage, 65478,
     /* 2404154 */     GIR_EraseRootFromParent_Done,
     /* 2404155 */   // Label 34545: @2404155
     /* 2404155 */   GIM_Try, /*On fail goto*//*Label 34546*/ GIMT_Encode4(2404212), // Rule ID 2005 //
     /* 2404160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2404163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404194 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2404194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2404197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2404207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404211 */     // GIR_Coverage, 2005,
     /* 2404211 */     GIR_EraseRootFromParent_Done,
     /* 2404212 */   // Label 34546: @2404212
     /* 2404212 */   GIM_Try, /*On fail goto*//*Label 34547*/ GIMT_Encode4(2404269), // Rule ID 2006 //
     /* 2404217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2404220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404251 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2404251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2404254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2404264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404268 */     // GIR_Coverage, 2006,
     /* 2404268 */     GIR_EraseRootFromParent_Done,
     /* 2404269 */   // Label 34547: @2404269
     /* 2404269 */   GIM_Try, /*On fail goto*//*Label 34548*/ GIMT_Encode4(2404326), // Rule ID 2038 //
     /* 2404274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2404277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404308 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2404308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2404311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2404321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404325 */     // GIR_Coverage, 2038,
     /* 2404325 */     GIR_EraseRootFromParent_Done,
     /* 2404326 */   // Label 34548: @2404326
     /* 2404326 */   GIM_Try, /*On fail goto*//*Label 34549*/ GIMT_Encode4(2404383), // Rule ID 2039 //
     /* 2404331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2404334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404365 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2404365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2404368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2404378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404382 */     // GIR_Coverage, 2039,
     /* 2404382 */     GIR_EraseRootFromParent_Done,
     /* 2404383 */   // Label 34549: @2404383
     /* 2404383 */   GIM_Try, /*On fail goto*//*Label 34550*/ GIMT_Encode4(2404423), // Rule ID 2001 //
     /* 2404388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2404391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404407 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2404407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2404410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2404418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404422 */     // GIR_Coverage, 2001,
     /* 2404422 */     GIR_EraseRootFromParent_Done,
     /* 2404423 */   // Label 34550: @2404423
     /* 2404423 */   GIM_Try, /*On fail goto*//*Label 34551*/ GIMT_Encode4(2404463), // Rule ID 2002 //
     /* 2404428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2404431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404447 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2404447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2404450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2404458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404462 */     // GIR_Coverage, 2002,
     /* 2404462 */     GIR_EraseRootFromParent_Done,
     /* 2404463 */   // Label 34551: @2404463
     /* 2404463 */   GIM_Try, /*On fail goto*//*Label 34552*/ GIMT_Encode4(2404503), // Rule ID 2034 //
     /* 2404468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2404471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404487 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2404487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2404490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2404498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404502 */     // GIR_Coverage, 2034,
     /* 2404502 */     GIR_EraseRootFromParent_Done,
     /* 2404503 */   // Label 34552: @2404503
     /* 2404503 */   GIM_Try, /*On fail goto*//*Label 34553*/ GIMT_Encode4(2404543), // Rule ID 2035 //
     /* 2404508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2404511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404527 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2404527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2404530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2404538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404542 */     // GIR_Coverage, 2035,
     /* 2404542 */     GIR_EraseRootFromParent_Done,
     /* 2404543 */   // Label 34553: @2404543
     /* 2404543 */   GIM_Reject,
     /* 2404544 */ // Label 34529: @2404544
     /* 2404544 */ GIM_Reject,
     /* 2404545 */ // Label 34511: @2404545
     /* 2404545 */ GIM_Try, /*On fail goto*//*Label 34554*/ GIMT_Encode4(2405980),
     /* 2404550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2404553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2404556 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404559 */   GIM_Try, /*On fail goto*//*Label 34555*/ GIMT_Encode4(2404631), // Rule ID 1312 //
     /* 2404564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2404567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2404583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2404604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404611 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2404611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2404614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2404626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404630 */     // GIR_Coverage, 1312,
     /* 2404630 */     GIR_EraseRootFromParent_Done,
     /* 2404631 */   // Label 34555: @2404631
     /* 2404631 */   GIM_Try, /*On fail goto*//*Label 34556*/ GIMT_Encode4(2404703), // Rule ID 1313 //
     /* 2404636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2404639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2404655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2404676 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404681 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404683 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2404683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2404686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2404698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404702 */     // GIR_Coverage, 1313,
     /* 2404702 */     GIR_EraseRootFromParent_Done,
     /* 2404703 */   // Label 34556: @2404703
     /* 2404703 */   GIM_Try, /*On fail goto*//*Label 34557*/ GIMT_Encode4(2404775), // Rule ID 1333 //
     /* 2404708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2404711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2404715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2404727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2404732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2404736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2404748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2404753 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404755 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2404755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2404758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2404770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404774 */     // GIR_Coverage, 1333,
     /* 2404774 */     GIR_EraseRootFromParent_Done,
     /* 2404775 */   // Label 34557: @2404775
     /* 2404775 */   GIM_Try, /*On fail goto*//*Label 34558*/ GIMT_Encode4(2404847), // Rule ID 1334 //
     /* 2404780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2404783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2404787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2404799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2404804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2404808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2404820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2404825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404827 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2404827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2404830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2404842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404846 */     // GIR_Coverage, 1334,
     /* 2404846 */     GIR_EraseRootFromParent_Done,
     /* 2404847 */   // Label 34558: @2404847
     /* 2404847 */   GIM_Try, /*On fail goto*//*Label 34559*/ GIMT_Encode4(2404919), // Rule ID 65437 //
     /* 2404852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2404855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2404875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2404892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404899 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2404899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2404902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2404910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2404914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404918 */     // GIR_Coverage, 65437,
     /* 2404918 */     GIR_EraseRootFromParent_Done,
     /* 2404919 */   // Label 34559: @2404919
     /* 2404919 */   GIM_Try, /*On fail goto*//*Label 34560*/ GIMT_Encode4(2404991), // Rule ID 65438 //
     /* 2404924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2404927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2404947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2404964 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2404969 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404971 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2404971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2404974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2404982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2404986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404990 */     // GIR_Coverage, 65438,
     /* 2404990 */     GIR_EraseRootFromParent_Done,
     /* 2404991 */   // Label 34560: @2404991
     /* 2404991 */   GIM_Try, /*On fail goto*//*Label 34561*/ GIMT_Encode4(2405063), // Rule ID 65445 //
     /* 2404996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2404999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405043 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2405043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2405046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2405054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2405058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405062 */     // GIR_Coverage, 65445,
     /* 2405062 */     GIR_EraseRootFromParent_Done,
     /* 2405063 */   // Label 34561: @2405063
     /* 2405063 */   GIM_Try, /*On fail goto*//*Label 34562*/ GIMT_Encode4(2405135), // Rule ID 65446 //
     /* 2405068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2405071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405108 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405113 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405115 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2405115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2405118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2405126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2405130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405134 */     // GIR_Coverage, 65446,
     /* 2405134 */     GIR_EraseRootFromParent_Done,
     /* 2405135 */   // Label 34562: @2405135
     /* 2405135 */   GIM_Try, /*On fail goto*//*Label 34563*/ GIMT_Encode4(2405192), // Rule ID 1308 //
     /* 2405140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2405143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405174 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2405174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2405177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405191 */     // GIR_Coverage, 1308,
     /* 2405191 */     GIR_EraseRootFromParent_Done,
     /* 2405192 */   // Label 34563: @2405192
     /* 2405192 */   GIM_Try, /*On fail goto*//*Label 34564*/ GIMT_Encode4(2405249), // Rule ID 1309 //
     /* 2405197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2405200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405231 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2405231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2405234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405248 */     // GIR_Coverage, 1309,
     /* 2405248 */     GIR_EraseRootFromParent_Done,
     /* 2405249 */   // Label 34564: @2405249
     /* 2405249 */   GIM_Try, /*On fail goto*//*Label 34565*/ GIMT_Encode4(2405306), // Rule ID 1329 //
     /* 2405254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2405257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405288 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2405288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2405291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405305 */     // GIR_Coverage, 1329,
     /* 2405305 */     GIR_EraseRootFromParent_Done,
     /* 2405306 */   // Label 34565: @2405306
     /* 2405306 */   GIM_Try, /*On fail goto*//*Label 34566*/ GIMT_Encode4(2405363), // Rule ID 1330 //
     /* 2405311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2405314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405345 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2405345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2405348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405362 */     // GIR_Coverage, 1330,
     /* 2405362 */     GIR_EraseRootFromParent_Done,
     /* 2405363 */   // Label 34566: @2405363
     /* 2405363 */   GIM_Try, /*On fail goto*//*Label 34567*/ GIMT_Encode4(2405420), // Rule ID 65433 //
     /* 2405368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2405371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405402 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2405402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2405405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2405413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405419 */     // GIR_Coverage, 65433,
     /* 2405419 */     GIR_EraseRootFromParent_Done,
     /* 2405420 */   // Label 34567: @2405420
     /* 2405420 */   GIM_Try, /*On fail goto*//*Label 34568*/ GIMT_Encode4(2405477), // Rule ID 65434 //
     /* 2405425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2405428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405459 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2405459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2405462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2405470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405476 */     // GIR_Coverage, 65434,
     /* 2405476 */     GIR_EraseRootFromParent_Done,
     /* 2405477 */   // Label 34568: @2405477
     /* 2405477 */   GIM_Try, /*On fail goto*//*Label 34569*/ GIMT_Encode4(2405534), // Rule ID 65441 //
     /* 2405482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2405485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405516 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2405516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2405519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2405527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405533 */     // GIR_Coverage, 65441,
     /* 2405533 */     GIR_EraseRootFromParent_Done,
     /* 2405534 */   // Label 34569: @2405534
     /* 2405534 */   GIM_Try, /*On fail goto*//*Label 34570*/ GIMT_Encode4(2405591), // Rule ID 65442 //
     /* 2405539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2405542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405573 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2405573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2405576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2405584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405590 */     // GIR_Coverage, 65442,
     /* 2405590 */     GIR_EraseRootFromParent_Done,
     /* 2405591 */   // Label 34570: @2405591
     /* 2405591 */   GIM_Try, /*On fail goto*//*Label 34571*/ GIMT_Encode4(2405648), // Rule ID 1304 //
     /* 2405596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2405599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405630 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2405630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2405633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2405643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405647 */     // GIR_Coverage, 1304,
     /* 2405647 */     GIR_EraseRootFromParent_Done,
     /* 2405648 */   // Label 34571: @2405648
     /* 2405648 */   GIM_Try, /*On fail goto*//*Label 34572*/ GIMT_Encode4(2405705), // Rule ID 1305 //
     /* 2405653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2405656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405687 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2405687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2405690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2405700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405704 */     // GIR_Coverage, 1305,
     /* 2405704 */     GIR_EraseRootFromParent_Done,
     /* 2405705 */   // Label 34572: @2405705
     /* 2405705 */   GIM_Try, /*On fail goto*//*Label 34573*/ GIMT_Encode4(2405762), // Rule ID 1325 //
     /* 2405710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2405713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405744 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2405744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2405747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2405757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405761 */     // GIR_Coverage, 1325,
     /* 2405761 */     GIR_EraseRootFromParent_Done,
     /* 2405762 */   // Label 34573: @2405762
     /* 2405762 */   GIM_Try, /*On fail goto*//*Label 34574*/ GIMT_Encode4(2405819), // Rule ID 1326 //
     /* 2405767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2405770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405801 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2405801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2405804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2405814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405818 */     // GIR_Coverage, 1326,
     /* 2405818 */     GIR_EraseRootFromParent_Done,
     /* 2405819 */   // Label 34574: @2405819
     /* 2405819 */   GIM_Try, /*On fail goto*//*Label 34575*/ GIMT_Encode4(2405859), // Rule ID 1300 //
     /* 2405824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2405827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405843 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2405843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2405846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405858 */     // GIR_Coverage, 1300,
     /* 2405858 */     GIR_EraseRootFromParent_Done,
     /* 2405859 */   // Label 34575: @2405859
     /* 2405859 */   GIM_Try, /*On fail goto*//*Label 34576*/ GIMT_Encode4(2405899), // Rule ID 1301 //
     /* 2405864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2405867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405883 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2405883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2405886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405898 */     // GIR_Coverage, 1301,
     /* 2405898 */     GIR_EraseRootFromParent_Done,
     /* 2405899 */   // Label 34576: @2405899
     /* 2405899 */   GIM_Try, /*On fail goto*//*Label 34577*/ GIMT_Encode4(2405939), // Rule ID 1321 //
     /* 2405904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2405907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405923 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2405923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2405926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405938 */     // GIR_Coverage, 1321,
     /* 2405938 */     GIR_EraseRootFromParent_Done,
     /* 2405939 */   // Label 34577: @2405939
     /* 2405939 */   GIM_Try, /*On fail goto*//*Label 34578*/ GIMT_Encode4(2405979), // Rule ID 1322 //
     /* 2405944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2405947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2405963 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2405963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2405966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405978 */     // GIR_Coverage, 1322,
     /* 2405978 */     GIR_EraseRootFromParent_Done,
     /* 2405979 */   // Label 34578: @2405979
     /* 2405979 */   GIM_Reject,
     /* 2405980 */ // Label 34554: @2405980
     /* 2405980 */ GIM_Reject,
     /* 2405981 */ // Label 34512: @2405981
     /* 2405981 */ GIM_Try, /*On fail goto*//*Label 34579*/ GIMT_Encode4(2407771),
     /* 2405986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2405989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2405992 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405995 */   GIM_Try, /*On fail goto*//*Label 34580*/ GIMT_Encode4(2406067), // Rule ID 1649 //
     /* 2406000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2406003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406040 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406045 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406047 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2406047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2406050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406066 */     // GIR_Coverage, 1649,
     /* 2406066 */     GIR_EraseRootFromParent_Done,
     /* 2406067 */   // Label 34580: @2406067
     /* 2406067 */   GIM_Try, /*On fail goto*//*Label 34581*/ GIMT_Encode4(2406139), // Rule ID 1650 //
     /* 2406072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2406075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406108 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406119 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2406119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2406122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406138 */     // GIR_Coverage, 1650,
     /* 2406138 */     GIR_EraseRootFromParent_Done,
     /* 2406139 */   // Label 34581: @2406139
     /* 2406139 */   GIM_Try, /*On fail goto*//*Label 34582*/ GIMT_Encode4(2406211), // Rule ID 1673 //
     /* 2406144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2406147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406191 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2406191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2406194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406210 */     // GIR_Coverage, 1673,
     /* 2406210 */     GIR_EraseRootFromParent_Done,
     /* 2406211 */   // Label 34582: @2406211
     /* 2406211 */   GIM_Try, /*On fail goto*//*Label 34583*/ GIMT_Encode4(2406283), // Rule ID 1704 //
     /* 2406216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2406219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406263 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2406263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2406266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406282 */     // GIR_Coverage, 1704,
     /* 2406282 */     GIR_EraseRootFromParent_Done,
     /* 2406283 */   // Label 34583: @2406283
     /* 2406283 */   GIM_Try, /*On fail goto*//*Label 34584*/ GIMT_Encode4(2406355), // Rule ID 1705 //
     /* 2406288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2406291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406328 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406335 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2406335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2406338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406354 */     // GIR_Coverage, 1705,
     /* 2406354 */     GIR_EraseRootFromParent_Done,
     /* 2406355 */   // Label 34584: @2406355
     /* 2406355 */   GIM_Try, /*On fail goto*//*Label 34585*/ GIMT_Encode4(2406427), // Rule ID 65453 //
     /* 2406360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2406363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406407 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2406407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2406410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2406418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406426 */     // GIR_Coverage, 65453,
     /* 2406426 */     GIR_EraseRootFromParent_Done,
     /* 2406427 */   // Label 34585: @2406427
     /* 2406427 */   GIM_Try, /*On fail goto*//*Label 34586*/ GIMT_Encode4(2406499), // Rule ID 65454 //
     /* 2406432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2406435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406472 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406477 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406479 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2406479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2406482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2406490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406498 */     // GIR_Coverage, 65454,
     /* 2406498 */     GIR_EraseRootFromParent_Done,
     /* 2406499 */   // Label 34586: @2406499
     /* 2406499 */   GIM_Try, /*On fail goto*//*Label 34587*/ GIMT_Encode4(2406571), // Rule ID 65459 //
     /* 2406504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2406507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406551 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2406551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2406554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2406562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406570 */     // GIR_Coverage, 65459,
     /* 2406570 */     GIR_EraseRootFromParent_Done,
     /* 2406571 */   // Label 34587: @2406571
     /* 2406571 */   GIM_Try, /*On fail goto*//*Label 34588*/ GIMT_Encode4(2406643), // Rule ID 65465 //
     /* 2406576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2406579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406621 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406623 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2406623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2406626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2406634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406642 */     // GIR_Coverage, 65465,
     /* 2406642 */     GIR_EraseRootFromParent_Done,
     /* 2406643 */   // Label 34588: @2406643
     /* 2406643 */   GIM_Try, /*On fail goto*//*Label 34589*/ GIMT_Encode4(2406715), // Rule ID 65466 //
     /* 2406648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2406651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406693 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406695 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2406695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2406698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2406706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406714 */     // GIR_Coverage, 65466,
     /* 2406714 */     GIR_EraseRootFromParent_Done,
     /* 2406715 */   // Label 34589: @2406715
     /* 2406715 */   GIM_Try, /*On fail goto*//*Label 34590*/ GIMT_Encode4(2406772), // Rule ID 1645 //
     /* 2406720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2406723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406739 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406754 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2406754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2406757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2406767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406771 */     // GIR_Coverage, 1645,
     /* 2406771 */     GIR_EraseRootFromParent_Done,
     /* 2406772 */   // Label 34590: @2406772
     /* 2406772 */   GIM_Try, /*On fail goto*//*Label 34591*/ GIMT_Encode4(2406829), // Rule ID 1646 //
     /* 2406777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2406780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406811 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2406811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2406814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2406824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406828 */     // GIR_Coverage, 1646,
     /* 2406828 */     GIR_EraseRootFromParent_Done,
     /* 2406829 */   // Label 34591: @2406829
     /* 2406829 */   GIM_Try, /*On fail goto*//*Label 34592*/ GIMT_Encode4(2406886), // Rule ID 1671 //
     /* 2406834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2406837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406868 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2406868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2406871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2406881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406885 */     // GIR_Coverage, 1671,
     /* 2406885 */     GIR_EraseRootFromParent_Done,
     /* 2406886 */   // Label 34592: @2406886
     /* 2406886 */   GIM_Try, /*On fail goto*//*Label 34593*/ GIMT_Encode4(2406943), // Rule ID 1700 //
     /* 2406891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2406894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406925 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2406925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2406928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2406938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406942 */     // GIR_Coverage, 1700,
     /* 2406942 */     GIR_EraseRootFromParent_Done,
     /* 2406943 */   // Label 34593: @2406943
     /* 2406943 */   GIM_Try, /*On fail goto*//*Label 34594*/ GIMT_Encode4(2407000), // Rule ID 1701 //
     /* 2406948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2406951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2406980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406982 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2406982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2406985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2406995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406999 */     // GIR_Coverage, 1701,
     /* 2406999 */     GIR_EraseRootFromParent_Done,
     /* 2407000 */   // Label 34594: @2407000
     /* 2407000 */   GIM_Try, /*On fail goto*//*Label 34595*/ GIMT_Encode4(2407057), // Rule ID 65449 //
     /* 2407005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2407008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407039 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2407042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407056 */     // GIR_Coverage, 65449,
     /* 2407056 */     GIR_EraseRootFromParent_Done,
     /* 2407057 */   // Label 34595: @2407057
     /* 2407057 */   GIM_Try, /*On fail goto*//*Label 34596*/ GIMT_Encode4(2407114), // Rule ID 65450 //
     /* 2407062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2407065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407096 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2407096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2407099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407113 */     // GIR_Coverage, 65450,
     /* 2407113 */     GIR_EraseRootFromParent_Done,
     /* 2407114 */   // Label 34596: @2407114
     /* 2407114 */   GIM_Try, /*On fail goto*//*Label 34597*/ GIMT_Encode4(2407171), // Rule ID 65457 //
     /* 2407119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2407122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407153 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2407156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407170 */     // GIR_Coverage, 65457,
     /* 2407170 */     GIR_EraseRootFromParent_Done,
     /* 2407171 */   // Label 34597: @2407171
     /* 2407171 */   GIM_Try, /*On fail goto*//*Label 34598*/ GIMT_Encode4(2407228), // Rule ID 65461 //
     /* 2407176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2407179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407210 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2407213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407227 */     // GIR_Coverage, 65461,
     /* 2407227 */     GIR_EraseRootFromParent_Done,
     /* 2407228 */   // Label 34598: @2407228
     /* 2407228 */   GIM_Try, /*On fail goto*//*Label 34599*/ GIMT_Encode4(2407285), // Rule ID 65462 //
     /* 2407233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2407236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407267 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2407267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2407270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407284 */     // GIR_Coverage, 65462,
     /* 2407284 */     GIR_EraseRootFromParent_Done,
     /* 2407285 */   // Label 34599: @2407285
     /* 2407285 */   GIM_Try, /*On fail goto*//*Label 34600*/ GIMT_Encode4(2407342), // Rule ID 1641 //
     /* 2407290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2407293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407324 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2407327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2407337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407341 */     // GIR_Coverage, 1641,
     /* 2407341 */     GIR_EraseRootFromParent_Done,
     /* 2407342 */   // Label 34600: @2407342
     /* 2407342 */   GIM_Try, /*On fail goto*//*Label 34601*/ GIMT_Encode4(2407399), // Rule ID 1642 //
     /* 2407347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2407350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407381 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2407381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2407384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2407394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407398 */     // GIR_Coverage, 1642,
     /* 2407398 */     GIR_EraseRootFromParent_Done,
     /* 2407399 */   // Label 34601: @2407399
     /* 2407399 */   GIM_Try, /*On fail goto*//*Label 34602*/ GIMT_Encode4(2407456), // Rule ID 1669 //
     /* 2407404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2407407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407438 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2407441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2407451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407455 */     // GIR_Coverage, 1669,
     /* 2407455 */     GIR_EraseRootFromParent_Done,
     /* 2407456 */   // Label 34602: @2407456
     /* 2407456 */   GIM_Try, /*On fail goto*//*Label 34603*/ GIMT_Encode4(2407513), // Rule ID 1696 //
     /* 2407461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2407464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407495 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2407498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2407508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407512 */     // GIR_Coverage, 1696,
     /* 2407512 */     GIR_EraseRootFromParent_Done,
     /* 2407513 */   // Label 34603: @2407513
     /* 2407513 */   GIM_Try, /*On fail goto*//*Label 34604*/ GIMT_Encode4(2407570), // Rule ID 1697 //
     /* 2407518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2407521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407552 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2407552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2407555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2407565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407569 */     // GIR_Coverage, 1697,
     /* 2407569 */     GIR_EraseRootFromParent_Done,
     /* 2407570 */   // Label 34604: @2407570
     /* 2407570 */   GIM_Try, /*On fail goto*//*Label 34605*/ GIMT_Encode4(2407610), // Rule ID 1637 //
     /* 2407575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2407578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407594 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2407597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407609 */     // GIR_Coverage, 1637,
     /* 2407609 */     GIR_EraseRootFromParent_Done,
     /* 2407610 */   // Label 34605: @2407610
     /* 2407610 */   GIM_Try, /*On fail goto*//*Label 34606*/ GIMT_Encode4(2407650), // Rule ID 1638 //
     /* 2407615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2407618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407634 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2407634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2407637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407649 */     // GIR_Coverage, 1638,
     /* 2407649 */     GIR_EraseRootFromParent_Done,
     /* 2407650 */   // Label 34606: @2407650
     /* 2407650 */   GIM_Try, /*On fail goto*//*Label 34607*/ GIMT_Encode4(2407690), // Rule ID 1667 //
     /* 2407655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2407658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407674 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2407677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407689 */     // GIR_Coverage, 1667,
     /* 2407689 */     GIR_EraseRootFromParent_Done,
     /* 2407690 */   // Label 34607: @2407690
     /* 2407690 */   GIM_Try, /*On fail goto*//*Label 34608*/ GIMT_Encode4(2407730), // Rule ID 1692 //
     /* 2407695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2407698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407714 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2407717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407729 */     // GIR_Coverage, 1692,
     /* 2407729 */     GIR_EraseRootFromParent_Done,
     /* 2407730 */   // Label 34608: @2407730
     /* 2407730 */   GIM_Try, /*On fail goto*//*Label 34609*/ GIMT_Encode4(2407770), // Rule ID 1693 //
     /* 2407735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2407738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407754 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2407754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2407757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407769 */     // GIR_Coverage, 1693,
     /* 2407769 */     GIR_EraseRootFromParent_Done,
     /* 2407770 */   // Label 34609: @2407770
     /* 2407770 */   GIM_Reject,
     /* 2407771 */ // Label 34579: @2407771
     /* 2407771 */ GIM_Reject,
     /* 2407772 */ // Label 34513: @2407772
     /* 2407772 */ GIM_Try, /*On fail goto*//*Label 34610*/ GIMT_Encode4(2408561),
     /* 2407777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2407780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2407783 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2407786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407790 */   GIM_Try, /*On fail goto*//*Label 34611*/ GIMT_Encode4(2407867), // Rule ID 54840 //
     /* 2407795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2407798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2407810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2407831 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407838 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2407841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2407853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407866 */     // GIR_Coverage, 54840,
     /* 2407866 */     GIR_EraseRootFromParent_Done,
     /* 2407867 */   // Label 34611: @2407867
     /* 2407867 */   GIM_Try, /*On fail goto*//*Label 34612*/ GIMT_Encode4(2407944), // Rule ID 54841 //
     /* 2407872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2407875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2407887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2407908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407913 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407915 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2407918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2407930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407943 */     // GIR_Coverage, 54841,
     /* 2407943 */     GIR_EraseRootFromParent_Done,
     /* 2407944 */   // Label 34612: @2407944
     /* 2407944 */   GIM_Try, /*On fail goto*//*Label 34613*/ GIMT_Encode4(2408021), // Rule ID 72437 //
     /* 2407949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2407952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2407968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2407985 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407992 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2407995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408020 */     // GIR_Coverage, 72437,
     /* 2408020 */     GIR_EraseRootFromParent_Done,
     /* 2408021 */   // Label 34613: @2408021
     /* 2408021 */   GIM_Try, /*On fail goto*//*Label 34614*/ GIMT_Encode4(2408098), // Rule ID 72438 //
     /* 2408026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2408029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2408045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2408062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408067 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408069 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2408072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408097 */     // GIR_Coverage, 72438,
     /* 2408097 */     GIR_EraseRootFromParent_Done,
     /* 2408098 */   // Label 34614: @2408098
     /* 2408098 */   GIM_Try, /*On fail goto*//*Label 34615*/ GIMT_Encode4(2408160), // Rule ID 54844 //
     /* 2408103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2408106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2408118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408133 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2408136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408159 */     // GIR_Coverage, 54844,
     /* 2408159 */     GIR_EraseRootFromParent_Done,
     /* 2408160 */   // Label 34615: @2408160
     /* 2408160 */   GIM_Try, /*On fail goto*//*Label 34616*/ GIMT_Encode4(2408222), // Rule ID 54845 //
     /* 2408165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2408168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2408180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408195 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2408198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408221 */     // GIR_Coverage, 54845,
     /* 2408221 */     GIR_EraseRootFromParent_Done,
     /* 2408222 */   // Label 34616: @2408222
     /* 2408222 */   GIM_Try, /*On fail goto*//*Label 34617*/ GIMT_Encode4(2408284), // Rule ID 72441 //
     /* 2408227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2408230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2408246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408257 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2408260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408283 */     // GIR_Coverage, 72441,
     /* 2408283 */     GIR_EraseRootFromParent_Done,
     /* 2408284 */   // Label 34617: @2408284
     /* 2408284 */   GIM_Try, /*On fail goto*//*Label 34618*/ GIMT_Encode4(2408346), // Rule ID 72442 //
     /* 2408289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2408292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2408308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408319 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2408322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408345 */     // GIR_Coverage, 72442,
     /* 2408345 */     GIR_EraseRootFromParent_Done,
     /* 2408346 */   // Label 34618: @2408346
     /* 2408346 */   GIM_Try, /*On fail goto*//*Label 34619*/ GIMT_Encode4(2408408), // Rule ID 54836 //
     /* 2408351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2408354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2408374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408381 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2408384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2408394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408407 */     // GIR_Coverage, 54836,
     /* 2408407 */     GIR_EraseRootFromParent_Done,
     /* 2408408 */   // Label 34619: @2408408
     /* 2408408 */   GIM_Try, /*On fail goto*//*Label 34620*/ GIMT_Encode4(2408470), // Rule ID 54837 //
     /* 2408413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2408416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2408436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408443 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2408446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2408456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408469 */     // GIR_Coverage, 54837,
     /* 2408469 */     GIR_EraseRootFromParent_Done,
     /* 2408470 */   // Label 34620: @2408470
     /* 2408470 */   GIM_Try, /*On fail goto*//*Label 34621*/ GIMT_Encode4(2408515), // Rule ID 54832 //
     /* 2408475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2408478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408490 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2408493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408514 */     // GIR_Coverage, 54832,
     /* 2408514 */     GIR_EraseRootFromParent_Done,
     /* 2408515 */   // Label 34621: @2408515
     /* 2408515 */   GIM_Try, /*On fail goto*//*Label 34622*/ GIMT_Encode4(2408560), // Rule ID 54833 //
     /* 2408520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2408523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408535 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2408538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408559 */     // GIR_Coverage, 54833,
     /* 2408559 */     GIR_EraseRootFromParent_Done,
     /* 2408560 */   // Label 34622: @2408560
     /* 2408560 */   GIM_Reject,
     /* 2408561 */ // Label 34610: @2408561
     /* 2408561 */ GIM_Reject,
     /* 2408562 */ // Label 34514: @2408562
     /* 2408562 */ GIM_Try, /*On fail goto*//*Label 34623*/ GIMT_Encode4(2409351),
     /* 2408567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2408573 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2408576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408580 */   GIM_Try, /*On fail goto*//*Label 34624*/ GIMT_Encode4(2408657), // Rule ID 54968 //
     /* 2408585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2408588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408628 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2408631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408656 */     // GIR_Coverage, 54968,
     /* 2408656 */     GIR_EraseRootFromParent_Done,
     /* 2408657 */   // Label 34624: @2408657
     /* 2408657 */   GIM_Try, /*On fail goto*//*Label 34625*/ GIMT_Encode4(2408734), // Rule ID 54969 //
     /* 2408662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408705 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2408708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408733 */     // GIR_Coverage, 54969,
     /* 2408733 */     GIR_EraseRootFromParent_Done,
     /* 2408734 */   // Label 34625: @2408734
     /* 2408734 */   GIM_Try, /*On fail goto*//*Label 34626*/ GIMT_Encode4(2408811), // Rule ID 72549 //
     /* 2408739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2408742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408775 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408780 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408782 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2408785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408810 */     // GIR_Coverage, 72549,
     /* 2408810 */     GIR_EraseRootFromParent_Done,
     /* 2408811 */   // Label 34626: @2408811
     /* 2408811 */   GIM_Try, /*On fail goto*//*Label 34627*/ GIMT_Encode4(2408888), // Rule ID 72550 //
     /* 2408816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408840 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408844 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408848 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408859 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2408862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408887 */     // GIR_Coverage, 72550,
     /* 2408887 */     GIR_EraseRootFromParent_Done,
     /* 2408888 */   // Label 34627: @2408888
     /* 2408888 */   GIM_Try, /*On fail goto*//*Label 34628*/ GIMT_Encode4(2408950), // Rule ID 54972 //
     /* 2408893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2408896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408923 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2408926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408949 */     // GIR_Coverage, 54972,
     /* 2408949 */     GIR_EraseRootFromParent_Done,
     /* 2408950 */   // Label 34628: @2408950
     /* 2408950 */   GIM_Try, /*On fail goto*//*Label 34629*/ GIMT_Encode4(2409012), // Rule ID 54973 //
     /* 2408955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408985 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2408988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409011 */     // GIR_Coverage, 54973,
     /* 2409011 */     GIR_EraseRootFromParent_Done,
     /* 2409012 */   // Label 34629: @2409012
     /* 2409012 */   GIM_Try, /*On fail goto*//*Label 34630*/ GIMT_Encode4(2409074), // Rule ID 72553 //
     /* 2409017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2409020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2409036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409047 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2409050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409073 */     // GIR_Coverage, 72553,
     /* 2409073 */     GIR_EraseRootFromParent_Done,
     /* 2409074 */   // Label 34630: @2409074
     /* 2409074 */   GIM_Try, /*On fail goto*//*Label 34631*/ GIMT_Encode4(2409136), // Rule ID 72554 //
     /* 2409079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2409082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2409098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409109 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2409112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409135 */     // GIR_Coverage, 72554,
     /* 2409135 */     GIR_EraseRootFromParent_Done,
     /* 2409136 */   // Label 34631: @2409136
     /* 2409136 */   GIM_Try, /*On fail goto*//*Label 34632*/ GIMT_Encode4(2409198), // Rule ID 54964 //
     /* 2409141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2409144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2409164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409171 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2409174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2409184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409197 */     // GIR_Coverage, 54964,
     /* 2409197 */     GIR_EraseRootFromParent_Done,
     /* 2409198 */   // Label 34632: @2409198
     /* 2409198 */   GIM_Try, /*On fail goto*//*Label 34633*/ GIMT_Encode4(2409260), // Rule ID 54965 //
     /* 2409203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2409206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2409226 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409233 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2409236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2409246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409259 */     // GIR_Coverage, 54965,
     /* 2409259 */     GIR_EraseRootFromParent_Done,
     /* 2409260 */   // Label 34633: @2409260
     /* 2409260 */   GIM_Try, /*On fail goto*//*Label 34634*/ GIMT_Encode4(2409305), // Rule ID 54960 //
     /* 2409265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2409268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409280 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2409283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409304 */     // GIR_Coverage, 54960,
     /* 2409304 */     GIR_EraseRootFromParent_Done,
     /* 2409305 */   // Label 34634: @2409305
     /* 2409305 */   GIM_Try, /*On fail goto*//*Label 34635*/ GIMT_Encode4(2409350), // Rule ID 54961 //
     /* 2409310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2409313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409325 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2409328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409349 */     // GIR_Coverage, 54961,
     /* 2409349 */     GIR_EraseRootFromParent_Done,
     /* 2409350 */   // Label 34635: @2409350
     /* 2409350 */   GIM_Reject,
     /* 2409351 */ // Label 34623: @2409351
     /* 2409351 */ GIM_Reject,
     /* 2409352 */ // Label 34515: @2409352
     /* 2409352 */ GIM_Try, /*On fail goto*//*Label 34636*/ GIMT_Encode4(2410141),
     /* 2409357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2409363 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2409366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409370 */   GIM_Try, /*On fail goto*//*Label 34637*/ GIMT_Encode4(2409447), // Rule ID 55160 //
     /* 2409375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2409378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409411 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409416 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409418 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2409421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409446 */     // GIR_Coverage, 55160,
     /* 2409446 */     GIR_EraseRootFromParent_Done,
     /* 2409447 */   // Label 34637: @2409447
     /* 2409447 */   GIM_Try, /*On fail goto*//*Label 34638*/ GIMT_Encode4(2409524), // Rule ID 55161 //
     /* 2409452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2409455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409495 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2409498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409523 */     // GIR_Coverage, 55161,
     /* 2409523 */     GIR_EraseRootFromParent_Done,
     /* 2409524 */   // Label 34638: @2409524
     /* 2409524 */   GIM_Try, /*On fail goto*//*Label 34639*/ GIMT_Encode4(2409601), // Rule ID 72717 //
     /* 2409529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2409532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409572 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2409575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409600 */     // GIR_Coverage, 72717,
     /* 2409600 */     GIR_EraseRootFromParent_Done,
     /* 2409601 */   // Label 34639: @2409601
     /* 2409601 */   GIM_Try, /*On fail goto*//*Label 34640*/ GIMT_Encode4(2409678), // Rule ID 72718 //
     /* 2409606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2409609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409649 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2409652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409677 */     // GIR_Coverage, 72718,
     /* 2409677 */     GIR_EraseRootFromParent_Done,
     /* 2409678 */   // Label 34640: @2409678
     /* 2409678 */   GIM_Try, /*On fail goto*//*Label 34641*/ GIMT_Encode4(2409740), // Rule ID 55164 //
     /* 2409683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2409686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409713 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2409716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409739 */     // GIR_Coverage, 55164,
     /* 2409739 */     GIR_EraseRootFromParent_Done,
     /* 2409740 */   // Label 34641: @2409740
     /* 2409740 */   GIM_Try, /*On fail goto*//*Label 34642*/ GIMT_Encode4(2409802), // Rule ID 55165 //
     /* 2409745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2409748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409775 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2409778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409801 */     // GIR_Coverage, 55165,
     /* 2409801 */     GIR_EraseRootFromParent_Done,
     /* 2409802 */   // Label 34642: @2409802
     /* 2409802 */   GIM_Try, /*On fail goto*//*Label 34643*/ GIMT_Encode4(2409864), // Rule ID 72721 //
     /* 2409807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2409810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409837 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2409840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409863 */     // GIR_Coverage, 72721,
     /* 2409863 */     GIR_EraseRootFromParent_Done,
     /* 2409864 */   // Label 34643: @2409864
     /* 2409864 */   GIM_Try, /*On fail goto*//*Label 34644*/ GIMT_Encode4(2409926), // Rule ID 72722 //
     /* 2409869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2409872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409899 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2409902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409925 */     // GIR_Coverage, 72722,
     /* 2409925 */     GIR_EraseRootFromParent_Done,
     /* 2409926 */   // Label 34644: @2409926
     /* 2409926 */   GIM_Try, /*On fail goto*//*Label 34645*/ GIMT_Encode4(2409988), // Rule ID 55156 //
     /* 2409931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2409934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2409954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409961 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2409964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2409974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409987 */     // GIR_Coverage, 55156,
     /* 2409987 */     GIR_EraseRootFromParent_Done,
     /* 2409988 */   // Label 34645: @2409988
     /* 2409988 */   GIM_Try, /*On fail goto*//*Label 34646*/ GIMT_Encode4(2410050), // Rule ID 55157 //
     /* 2409993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2409996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2410016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410023 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2410026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2410036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2410045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410049 */     // GIR_Coverage, 55157,
     /* 2410049 */     GIR_EraseRootFromParent_Done,
     /* 2410050 */   // Label 34646: @2410050
     /* 2410050 */   GIM_Try, /*On fail goto*//*Label 34647*/ GIMT_Encode4(2410095), // Rule ID 55152 //
     /* 2410055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2410058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410070 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2410073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2410090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410094 */     // GIR_Coverage, 55152,
     /* 2410094 */     GIR_EraseRootFromParent_Done,
     /* 2410095 */   // Label 34647: @2410095
     /* 2410095 */   GIM_Try, /*On fail goto*//*Label 34648*/ GIMT_Encode4(2410140), // Rule ID 55153 //
     /* 2410100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2410103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410115 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2410118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2410135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410139 */     // GIR_Coverage, 55153,
     /* 2410139 */     GIR_EraseRootFromParent_Done,
     /* 2410140 */   // Label 34648: @2410140
     /* 2410140 */   GIM_Reject,
     /* 2410141 */ // Label 34636: @2410141
     /* 2410141 */ GIM_Reject,
     /* 2410142 */ // Label 34516: @2410142
     /* 2410142 */ GIM_Try, /*On fail goto*//*Label 34649*/ GIMT_Encode4(2410931),
     /* 2410147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2410153 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2410156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410160 */   GIM_Try, /*On fail goto*//*Label 34650*/ GIMT_Encode4(2410237), // Rule ID 54904 //
     /* 2410165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2410168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410197 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410201 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410206 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410208 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2410211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410236 */     // GIR_Coverage, 54904,
     /* 2410236 */     GIR_EraseRootFromParent_Done,
     /* 2410237 */   // Label 34650: @2410237
     /* 2410237 */   GIM_Try, /*On fail goto*//*Label 34651*/ GIMT_Encode4(2410314), // Rule ID 54905 //
     /* 2410242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2410245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410285 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2410288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410313 */     // GIR_Coverage, 54905,
     /* 2410313 */     GIR_EraseRootFromParent_Done,
     /* 2410314 */   // Label 34651: @2410314
     /* 2410314 */   GIM_Try, /*On fail goto*//*Label 34652*/ GIMT_Encode4(2410391), // Rule ID 72493 //
     /* 2410319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2410322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410355 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410360 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410362 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2410365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410390 */     // GIR_Coverage, 72493,
     /* 2410390 */     GIR_EraseRootFromParent_Done,
     /* 2410391 */   // Label 34652: @2410391
     /* 2410391 */   GIM_Try, /*On fail goto*//*Label 34653*/ GIMT_Encode4(2410468), // Rule ID 72494 //
     /* 2410396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2410399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410432 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410437 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410439 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2410442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410467 */     // GIR_Coverage, 72494,
     /* 2410467 */     GIR_EraseRootFromParent_Done,
     /* 2410468 */   // Label 34653: @2410468
     /* 2410468 */   GIM_Try, /*On fail goto*//*Label 34654*/ GIMT_Encode4(2410530), // Rule ID 54908 //
     /* 2410473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2410476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410503 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2410506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410529 */     // GIR_Coverage, 54908,
     /* 2410529 */     GIR_EraseRootFromParent_Done,
     /* 2410530 */   // Label 34654: @2410530
     /* 2410530 */   GIM_Try, /*On fail goto*//*Label 34655*/ GIMT_Encode4(2410592), // Rule ID 54909 //
     /* 2410535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2410538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410565 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2410568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410591 */     // GIR_Coverage, 54909,
     /* 2410591 */     GIR_EraseRootFromParent_Done,
     /* 2410592 */   // Label 34655: @2410592
     /* 2410592 */   GIM_Try, /*On fail goto*//*Label 34656*/ GIMT_Encode4(2410654), // Rule ID 72497 //
     /* 2410597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2410600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410627 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2410630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410653 */     // GIR_Coverage, 72497,
     /* 2410653 */     GIR_EraseRootFromParent_Done,
     /* 2410654 */   // Label 34656: @2410654
     /* 2410654 */   GIM_Try, /*On fail goto*//*Label 34657*/ GIMT_Encode4(2410716), // Rule ID 72498 //
     /* 2410659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2410662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410689 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2410692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410715 */     // GIR_Coverage, 72498,
     /* 2410715 */     GIR_EraseRootFromParent_Done,
     /* 2410716 */   // Label 34657: @2410716
     /* 2410716 */   GIM_Try, /*On fail goto*//*Label 34658*/ GIMT_Encode4(2410778), // Rule ID 54900 //
     /* 2410721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2410724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410751 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2410754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2410764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410777 */     // GIR_Coverage, 54900,
     /* 2410777 */     GIR_EraseRootFromParent_Done,
     /* 2410778 */   // Label 34658: @2410778
     /* 2410778 */   GIM_Try, /*On fail goto*//*Label 34659*/ GIMT_Encode4(2410840), // Rule ID 54901 //
     /* 2410783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2410786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2410806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410813 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2410816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2410826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410839 */     // GIR_Coverage, 54901,
     /* 2410839 */     GIR_EraseRootFromParent_Done,
     /* 2410840 */   // Label 34659: @2410840
     /* 2410840 */   GIM_Try, /*On fail goto*//*Label 34660*/ GIMT_Encode4(2410885), // Rule ID 54896 //
     /* 2410845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2410848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410860 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2410863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410884 */     // GIR_Coverage, 54896,
     /* 2410884 */     GIR_EraseRootFromParent_Done,
     /* 2410885 */   // Label 34660: @2410885
     /* 2410885 */   GIM_Try, /*On fail goto*//*Label 34661*/ GIMT_Encode4(2410930), // Rule ID 54897 //
     /* 2410890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2410893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410905 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2410908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410929 */     // GIR_Coverage, 54897,
     /* 2410929 */     GIR_EraseRootFromParent_Done,
     /* 2410930 */   // Label 34661: @2410930
     /* 2410930 */   GIM_Reject,
     /* 2410931 */ // Label 34649: @2410931
     /* 2410931 */ GIM_Reject,
     /* 2410932 */ // Label 34517: @2410932
     /* 2410932 */ GIM_Try, /*On fail goto*//*Label 34662*/ GIMT_Encode4(2411721),
     /* 2410937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2410940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2410943 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2410946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410950 */   GIM_Try, /*On fail goto*//*Label 34663*/ GIMT_Encode4(2411027), // Rule ID 55096 //
     /* 2410955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2410970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2410991 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410996 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410998 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2411001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411026 */     // GIR_Coverage, 55096,
     /* 2411026 */     GIR_EraseRootFromParent_Done,
     /* 2411027 */   // Label 34663: @2411027
     /* 2411027 */   GIM_Try, /*On fail goto*//*Label 34664*/ GIMT_Encode4(2411104), // Rule ID 55097 //
     /* 2411032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2411035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2411047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2411068 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411075 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2411078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411103 */     // GIR_Coverage, 55097,
     /* 2411103 */     GIR_EraseRootFromParent_Done,
     /* 2411104 */   // Label 34664: @2411104
     /* 2411104 */   GIM_Try, /*On fail goto*//*Label 34665*/ GIMT_Encode4(2411181), // Rule ID 72661 //
     /* 2411109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2411112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2411128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2411145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411152 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2411155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411180 */     // GIR_Coverage, 72661,
     /* 2411180 */     GIR_EraseRootFromParent_Done,
     /* 2411181 */   // Label 34665: @2411181
     /* 2411181 */   GIM_Try, /*On fail goto*//*Label 34666*/ GIMT_Encode4(2411258), // Rule ID 72662 //
     /* 2411186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2411189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2411205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2411222 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411229 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2411232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411257 */     // GIR_Coverage, 72662,
     /* 2411257 */     GIR_EraseRootFromParent_Done,
     /* 2411258 */   // Label 34666: @2411258
     /* 2411258 */   GIM_Try, /*On fail goto*//*Label 34667*/ GIMT_Encode4(2411320), // Rule ID 55100 //
     /* 2411263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2411266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2411278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411293 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2411296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411319 */     // GIR_Coverage, 55100,
     /* 2411319 */     GIR_EraseRootFromParent_Done,
     /* 2411320 */   // Label 34667: @2411320
     /* 2411320 */   GIM_Try, /*On fail goto*//*Label 34668*/ GIMT_Encode4(2411382), // Rule ID 55101 //
     /* 2411325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2411328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2411340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411355 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2411358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411381 */     // GIR_Coverage, 55101,
     /* 2411381 */     GIR_EraseRootFromParent_Done,
     /* 2411382 */   // Label 34668: @2411382
     /* 2411382 */   GIM_Try, /*On fail goto*//*Label 34669*/ GIMT_Encode4(2411444), // Rule ID 72665 //
     /* 2411387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2411390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2411406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411417 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2411420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411443 */     // GIR_Coverage, 72665,
     /* 2411443 */     GIR_EraseRootFromParent_Done,
     /* 2411444 */   // Label 34669: @2411444
     /* 2411444 */   GIM_Try, /*On fail goto*//*Label 34670*/ GIMT_Encode4(2411506), // Rule ID 72666 //
     /* 2411449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2411452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2411468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411479 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2411482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411505 */     // GIR_Coverage, 72666,
     /* 2411505 */     GIR_EraseRootFromParent_Done,
     /* 2411506 */   // Label 34670: @2411506
     /* 2411506 */   GIM_Try, /*On fail goto*//*Label 34671*/ GIMT_Encode4(2411568), // Rule ID 55092 //
     /* 2411511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2411514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2411534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411541 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2411544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2411554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411567 */     // GIR_Coverage, 55092,
     /* 2411567 */     GIR_EraseRootFromParent_Done,
     /* 2411568 */   // Label 34671: @2411568
     /* 2411568 */   GIM_Try, /*On fail goto*//*Label 34672*/ GIMT_Encode4(2411630), // Rule ID 55093 //
     /* 2411573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2411576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2411596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411603 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2411606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2411616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411629 */     // GIR_Coverage, 55093,
     /* 2411629 */     GIR_EraseRootFromParent_Done,
     /* 2411630 */   // Label 34672: @2411630
     /* 2411630 */   GIM_Try, /*On fail goto*//*Label 34673*/ GIMT_Encode4(2411675), // Rule ID 55088 //
     /* 2411635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2411638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411650 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2411653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411674 */     // GIR_Coverage, 55088,
     /* 2411674 */     GIR_EraseRootFromParent_Done,
     /* 2411675 */   // Label 34673: @2411675
     /* 2411675 */   GIM_Try, /*On fail goto*//*Label 34674*/ GIMT_Encode4(2411720), // Rule ID 55089 //
     /* 2411680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2411683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411695 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2411698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411719 */     // GIR_Coverage, 55089,
     /* 2411719 */     GIR_EraseRootFromParent_Done,
     /* 2411720 */   // Label 34674: @2411720
     /* 2411720 */   GIM_Reject,
     /* 2411721 */ // Label 34662: @2411721
     /* 2411721 */ GIM_Reject,
     /* 2411722 */ // Label 34518: @2411722
     /* 2411722 */ GIM_Try, /*On fail goto*//*Label 34675*/ GIMT_Encode4(2412511),
     /* 2411727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2411730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2411733 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2411736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411740 */   GIM_Try, /*On fail goto*//*Label 34676*/ GIMT_Encode4(2411817), // Rule ID 55608 //
     /* 2411745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2411748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2411760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411777 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2411781 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411786 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411788 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2411791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411816 */     // GIR_Coverage, 55608,
     /* 2411816 */     GIR_EraseRootFromParent_Done,
     /* 2411817 */   // Label 34676: @2411817
     /* 2411817 */   GIM_Try, /*On fail goto*//*Label 34677*/ GIMT_Encode4(2411894), // Rule ID 55609 //
     /* 2411822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2411825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2411837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2411858 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411863 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411865 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2411868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411893 */     // GIR_Coverage, 55609,
     /* 2411893 */     GIR_EraseRootFromParent_Done,
     /* 2411894 */   // Label 34677: @2411894
     /* 2411894 */   GIM_Try, /*On fail goto*//*Label 34678*/ GIMT_Encode4(2411971), // Rule ID 73109 //
     /* 2411899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2411902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2411918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2411935 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411940 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411942 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2411945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411970 */     // GIR_Coverage, 73109,
     /* 2411970 */     GIR_EraseRootFromParent_Done,
     /* 2411971 */   // Label 34678: @2411971
     /* 2411971 */   GIM_Try, /*On fail goto*//*Label 34679*/ GIMT_Encode4(2412048), // Rule ID 73110 //
     /* 2411976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2411979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2411995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2412004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2412012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2412019 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2412022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2412034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412047 */     // GIR_Coverage, 73110,
     /* 2412047 */     GIR_EraseRootFromParent_Done,
     /* 2412048 */   // Label 34679: @2412048
     /* 2412048 */   GIM_Try, /*On fail goto*//*Label 34680*/ GIMT_Encode4(2412110), // Rule ID 55612 //
     /* 2412053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2412056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2412068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412083 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2412086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412109 */     // GIR_Coverage, 55612,
     /* 2412109 */     GIR_EraseRootFromParent_Done,
     /* 2412110 */   // Label 34680: @2412110
     /* 2412110 */   GIM_Try, /*On fail goto*//*Label 34681*/ GIMT_Encode4(2412172), // Rule ID 55613 //
     /* 2412115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2412118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2412130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412145 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2412148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412171 */     // GIR_Coverage, 55613,
     /* 2412171 */     GIR_EraseRootFromParent_Done,
     /* 2412172 */   // Label 34681: @2412172
     /* 2412172 */   GIM_Try, /*On fail goto*//*Label 34682*/ GIMT_Encode4(2412234), // Rule ID 73113 //
     /* 2412177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2412180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2412196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412207 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2412210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412233 */     // GIR_Coverage, 73113,
     /* 2412233 */     GIR_EraseRootFromParent_Done,
     /* 2412234 */   // Label 34682: @2412234
     /* 2412234 */   GIM_Try, /*On fail goto*//*Label 34683*/ GIMT_Encode4(2412296), // Rule ID 73114 //
     /* 2412239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2412242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2412258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412269 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2412272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412295 */     // GIR_Coverage, 73114,
     /* 2412295 */     GIR_EraseRootFromParent_Done,
     /* 2412296 */   // Label 34683: @2412296
     /* 2412296 */   GIM_Try, /*On fail goto*//*Label 34684*/ GIMT_Encode4(2412358), // Rule ID 55604 //
     /* 2412301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2412304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2412324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412331 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2412334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2412344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412357 */     // GIR_Coverage, 55604,
     /* 2412357 */     GIR_EraseRootFromParent_Done,
     /* 2412358 */   // Label 34684: @2412358
     /* 2412358 */   GIM_Try, /*On fail goto*//*Label 34685*/ GIMT_Encode4(2412420), // Rule ID 55605 //
     /* 2412363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2412366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2412386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412393 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2412396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2412406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412419 */     // GIR_Coverage, 55605,
     /* 2412419 */     GIR_EraseRootFromParent_Done,
     /* 2412420 */   // Label 34685: @2412420
     /* 2412420 */   GIM_Try, /*On fail goto*//*Label 34686*/ GIMT_Encode4(2412465), // Rule ID 55600 //
     /* 2412425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2412428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412440 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2412443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412464 */     // GIR_Coverage, 55600,
     /* 2412464 */     GIR_EraseRootFromParent_Done,
     /* 2412465 */   // Label 34686: @2412465
     /* 2412465 */   GIM_Try, /*On fail goto*//*Label 34687*/ GIMT_Encode4(2412510), // Rule ID 55601 //
     /* 2412470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2412473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412485 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2412488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412509 */     // GIR_Coverage, 55601,
     /* 2412509 */     GIR_EraseRootFromParent_Done,
     /* 2412510 */   // Label 34687: @2412510
     /* 2412510 */   GIM_Reject,
     /* 2412511 */ // Label 34675: @2412511
     /* 2412511 */ GIM_Reject,
     /* 2412512 */ // Label 34519: @2412512
     /* 2412512 */ GIM_Try, /*On fail goto*//*Label 34688*/ GIMT_Encode4(2413301),
     /* 2412517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2412523 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2412526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412530 */   GIM_Try, /*On fail goto*//*Label 34689*/ GIMT_Encode4(2412607), // Rule ID 55032 //
     /* 2412535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2412563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2412578 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2412581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2412593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412606 */     // GIR_Coverage, 55032,
     /* 2412606 */     GIR_EraseRootFromParent_Done,
     /* 2412607 */   // Label 34689: @2412607
     /* 2412607 */   GIM_Try, /*On fail goto*//*Label 34690*/ GIMT_Encode4(2412684), // Rule ID 55033 //
     /* 2412612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2412640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412653 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2412655 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2412658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2412670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412683 */     // GIR_Coverage, 55033,
     /* 2412683 */     GIR_EraseRootFromParent_Done,
     /* 2412684 */   // Label 34690: @2412684
     /* 2412684 */   GIM_Try, /*On fail goto*//*Label 34691*/ GIMT_Encode4(2412761), // Rule ID 72605 //
     /* 2412689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2412717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412725 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412730 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2412732 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2412735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2412747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412760 */     // GIR_Coverage, 72605,
     /* 2412760 */     GIR_EraseRootFromParent_Done,
     /* 2412761 */   // Label 34691: @2412761
     /* 2412761 */   GIM_Try, /*On fail goto*//*Label 34692*/ GIMT_Encode4(2412838), // Rule ID 72606 //
     /* 2412766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2412794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2412809 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2412812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2412824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412837 */     // GIR_Coverage, 72606,
     /* 2412837 */     GIR_EraseRootFromParent_Done,
     /* 2412838 */   // Label 34692: @2412838
     /* 2412838 */   GIM_Try, /*On fail goto*//*Label 34693*/ GIMT_Encode4(2412900), // Rule ID 55036 //
     /* 2412843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412873 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2412876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412899 */     // GIR_Coverage, 55036,
     /* 2412899 */     GIR_EraseRootFromParent_Done,
     /* 2412900 */   // Label 34693: @2412900
     /* 2412900 */   GIM_Try, /*On fail goto*//*Label 34694*/ GIMT_Encode4(2412962), // Rule ID 55037 //
     /* 2412905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412935 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2412938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412961 */     // GIR_Coverage, 55037,
     /* 2412961 */     GIR_EraseRootFromParent_Done,
     /* 2412962 */   // Label 34694: @2412962
     /* 2412962 */   GIM_Try, /*On fail goto*//*Label 34695*/ GIMT_Encode4(2413024), // Rule ID 72609 //
     /* 2412967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2412986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412997 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2413000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413023 */     // GIR_Coverage, 72609,
     /* 2413023 */     GIR_EraseRootFromParent_Done,
     /* 2413024 */   // Label 34695: @2413024
     /* 2413024 */   GIM_Try, /*On fail goto*//*Label 34696*/ GIMT_Encode4(2413086), // Rule ID 72610 //
     /* 2413029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2413032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2413048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413059 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2413062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413085 */     // GIR_Coverage, 72610,
     /* 2413085 */     GIR_EraseRootFromParent_Done,
     /* 2413086 */   // Label 34696: @2413086
     /* 2413086 */   GIM_Try, /*On fail goto*//*Label 34697*/ GIMT_Encode4(2413148), // Rule ID 55028 //
     /* 2413091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2413094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2413114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413121 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2413124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2413134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413147 */     // GIR_Coverage, 55028,
     /* 2413147 */     GIR_EraseRootFromParent_Done,
     /* 2413148 */   // Label 34697: @2413148
     /* 2413148 */   GIM_Try, /*On fail goto*//*Label 34698*/ GIMT_Encode4(2413210), // Rule ID 55029 //
     /* 2413153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2413156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2413176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413183 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2413186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2413196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413209 */     // GIR_Coverage, 55029,
     /* 2413209 */     GIR_EraseRootFromParent_Done,
     /* 2413210 */   // Label 34698: @2413210
     /* 2413210 */   GIM_Try, /*On fail goto*//*Label 34699*/ GIMT_Encode4(2413255), // Rule ID 55024 //
     /* 2413215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2413218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413230 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2413233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413254 */     // GIR_Coverage, 55024,
     /* 2413254 */     GIR_EraseRootFromParent_Done,
     /* 2413255 */   // Label 34699: @2413255
     /* 2413255 */   GIM_Try, /*On fail goto*//*Label 34700*/ GIMT_Encode4(2413300), // Rule ID 55025 //
     /* 2413260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2413263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413275 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2413278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413299 */     // GIR_Coverage, 55025,
     /* 2413299 */     GIR_EraseRootFromParent_Done,
     /* 2413300 */   // Label 34700: @2413300
     /* 2413300 */   GIM_Reject,
     /* 2413301 */ // Label 34688: @2413301
     /* 2413301 */ GIM_Reject,
     /* 2413302 */ // Label 34520: @2413302
     /* 2413302 */ GIM_Try, /*On fail goto*//*Label 34701*/ GIMT_Encode4(2414091),
     /* 2413307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2413313 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2413316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413320 */   GIM_Try, /*On fail goto*//*Label 34702*/ GIMT_Encode4(2413397), // Rule ID 55416 //
     /* 2413325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2413328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413361 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413368 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2413371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413396 */     // GIR_Coverage, 55416,
     /* 2413396 */     GIR_EraseRootFromParent_Done,
     /* 2413397 */   // Label 34702: @2413397
     /* 2413397 */   GIM_Try, /*On fail goto*//*Label 34703*/ GIMT_Encode4(2413474), // Rule ID 55417 //
     /* 2413402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413443 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413445 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2413448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413473 */     // GIR_Coverage, 55417,
     /* 2413473 */     GIR_EraseRootFromParent_Done,
     /* 2413474 */   // Label 34703: @2413474
     /* 2413474 */   GIM_Try, /*On fail goto*//*Label 34704*/ GIMT_Encode4(2413551), // Rule ID 72941 //
     /* 2413479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2413482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413522 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2413525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413550 */     // GIR_Coverage, 72941,
     /* 2413550 */     GIR_EraseRootFromParent_Done,
     /* 2413551 */   // Label 34704: @2413551
     /* 2413551 */   GIM_Try, /*On fail goto*//*Label 34705*/ GIMT_Encode4(2413628), // Rule ID 72942 //
     /* 2413556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413599 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2413602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413627 */     // GIR_Coverage, 72942,
     /* 2413627 */     GIR_EraseRootFromParent_Done,
     /* 2413628 */   // Label 34705: @2413628
     /* 2413628 */   GIM_Try, /*On fail goto*//*Label 34706*/ GIMT_Encode4(2413690), // Rule ID 55420 //
     /* 2413633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2413636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413663 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2413666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413689 */     // GIR_Coverage, 55420,
     /* 2413689 */     GIR_EraseRootFromParent_Done,
     /* 2413690 */   // Label 34706: @2413690
     /* 2413690 */   GIM_Try, /*On fail goto*//*Label 34707*/ GIMT_Encode4(2413752), // Rule ID 55421 //
     /* 2413695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413725 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2413728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413751 */     // GIR_Coverage, 55421,
     /* 2413751 */     GIR_EraseRootFromParent_Done,
     /* 2413752 */   // Label 34707: @2413752
     /* 2413752 */   GIM_Try, /*On fail goto*//*Label 34708*/ GIMT_Encode4(2413814), // Rule ID 72945 //
     /* 2413757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2413760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413787 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2413790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413813 */     // GIR_Coverage, 72945,
     /* 2413813 */     GIR_EraseRootFromParent_Done,
     /* 2413814 */   // Label 34708: @2413814
     /* 2413814 */   GIM_Try, /*On fail goto*//*Label 34709*/ GIMT_Encode4(2413876), // Rule ID 72946 //
     /* 2413819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413849 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2413852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413875 */     // GIR_Coverage, 72946,
     /* 2413875 */     GIR_EraseRootFromParent_Done,
     /* 2413876 */   // Label 34709: @2413876
     /* 2413876 */   GIM_Try, /*On fail goto*//*Label 34710*/ GIMT_Encode4(2413938), // Rule ID 55412 //
     /* 2413881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2413884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413911 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2413914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2413924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413937 */     // GIR_Coverage, 55412,
     /* 2413937 */     GIR_EraseRootFromParent_Done,
     /* 2413938 */   // Label 34710: @2413938
     /* 2413938 */   GIM_Try, /*On fail goto*//*Label 34711*/ GIMT_Encode4(2414000), // Rule ID 55413 //
     /* 2413943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413973 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2413976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2413986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413999 */     // GIR_Coverage, 55413,
     /* 2413999 */     GIR_EraseRootFromParent_Done,
     /* 2414000 */   // Label 34711: @2414000
     /* 2414000 */   GIM_Try, /*On fail goto*//*Label 34712*/ GIMT_Encode4(2414045), // Rule ID 55408 //
     /* 2414005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2414008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414020 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2414023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414044 */     // GIR_Coverage, 55408,
     /* 2414044 */     GIR_EraseRootFromParent_Done,
     /* 2414045 */   // Label 34712: @2414045
     /* 2414045 */   GIM_Try, /*On fail goto*//*Label 34713*/ GIMT_Encode4(2414090), // Rule ID 55409 //
     /* 2414050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2414053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414065 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2414068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414089 */     // GIR_Coverage, 55409,
     /* 2414089 */     GIR_EraseRootFromParent_Done,
     /* 2414090 */   // Label 34713: @2414090
     /* 2414090 */   GIM_Reject,
     /* 2414091 */ // Label 34701: @2414091
     /* 2414091 */ GIM_Reject,
     /* 2414092 */ // Label 34521: @2414092
     /* 2414092 */ GIM_Try, /*On fail goto*//*Label 34714*/ GIMT_Encode4(2414881),
     /* 2414097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2414103 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2414106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414110 */   GIM_Try, /*On fail goto*//*Label 34715*/ GIMT_Encode4(2414187), // Rule ID 55672 //
     /* 2414115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2414118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2414143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2414158 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2414161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2414173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414186 */     // GIR_Coverage, 55672,
     /* 2414186 */     GIR_EraseRootFromParent_Done,
     /* 2414187 */   // Label 34715: @2414187
     /* 2414187 */   GIM_Try, /*On fail goto*//*Label 34716*/ GIMT_Encode4(2414264), // Rule ID 55673 //
     /* 2414192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2414195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2414220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2414235 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2414238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2414250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414263 */     // GIR_Coverage, 55673,
     /* 2414263 */     GIR_EraseRootFromParent_Done,
     /* 2414264 */   // Label 34716: @2414264
     /* 2414264 */   GIM_Try, /*On fail goto*//*Label 34717*/ GIMT_Encode4(2414341), // Rule ID 73165 //
     /* 2414269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2414272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2414297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414305 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414310 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2414312 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2414315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2414327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414340 */     // GIR_Coverage, 73165,
     /* 2414340 */     GIR_EraseRootFromParent_Done,
     /* 2414341 */   // Label 34717: @2414341
     /* 2414341 */   GIM_Try, /*On fail goto*//*Label 34718*/ GIMT_Encode4(2414418), // Rule ID 73166 //
     /* 2414346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2414349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2414374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414387 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2414389 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2414392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2414404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414417 */     // GIR_Coverage, 73166,
     /* 2414417 */     GIR_EraseRootFromParent_Done,
     /* 2414418 */   // Label 34718: @2414418
     /* 2414418 */   GIM_Try, /*On fail goto*//*Label 34719*/ GIMT_Encode4(2414480), // Rule ID 55676 //
     /* 2414423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2414426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414453 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2414456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414479 */     // GIR_Coverage, 55676,
     /* 2414479 */     GIR_EraseRootFromParent_Done,
     /* 2414480 */   // Label 34719: @2414480
     /* 2414480 */   GIM_Try, /*On fail goto*//*Label 34720*/ GIMT_Encode4(2414542), // Rule ID 55677 //
     /* 2414485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2414488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414515 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2414518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414541 */     // GIR_Coverage, 55677,
     /* 2414541 */     GIR_EraseRootFromParent_Done,
     /* 2414542 */   // Label 34720: @2414542
     /* 2414542 */   GIM_Try, /*On fail goto*//*Label 34721*/ GIMT_Encode4(2414604), // Rule ID 73169 //
     /* 2414547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2414550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414577 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2414580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414603 */     // GIR_Coverage, 73169,
     /* 2414603 */     GIR_EraseRootFromParent_Done,
     /* 2414604 */   // Label 34721: @2414604
     /* 2414604 */   GIM_Try, /*On fail goto*//*Label 34722*/ GIMT_Encode4(2414666), // Rule ID 73170 //
     /* 2414609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2414612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414639 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2414642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414665 */     // GIR_Coverage, 73170,
     /* 2414665 */     GIR_EraseRootFromParent_Done,
     /* 2414666 */   // Label 34722: @2414666
     /* 2414666 */   GIM_Try, /*On fail goto*//*Label 34723*/ GIMT_Encode4(2414728), // Rule ID 55668 //
     /* 2414671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2414674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414701 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2414704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2414714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414727 */     // GIR_Coverage, 55668,
     /* 2414727 */     GIR_EraseRootFromParent_Done,
     /* 2414728 */   // Label 34723: @2414728
     /* 2414728 */   GIM_Try, /*On fail goto*//*Label 34724*/ GIMT_Encode4(2414790), // Rule ID 55669 //
     /* 2414733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2414736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2414756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414763 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2414766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2414776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414789 */     // GIR_Coverage, 55669,
     /* 2414789 */     GIR_EraseRootFromParent_Done,
     /* 2414790 */   // Label 34724: @2414790
     /* 2414790 */   GIM_Try, /*On fail goto*//*Label 34725*/ GIMT_Encode4(2414835), // Rule ID 55664 //
     /* 2414795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2414798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414810 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2414813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414834 */     // GIR_Coverage, 55664,
     /* 2414834 */     GIR_EraseRootFromParent_Done,
     /* 2414835 */   // Label 34725: @2414835
     /* 2414835 */   GIM_Try, /*On fail goto*//*Label 34726*/ GIMT_Encode4(2414880), // Rule ID 55665 //
     /* 2414840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2414843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414855 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2414858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414879 */     // GIR_Coverage, 55665,
     /* 2414879 */     GIR_EraseRootFromParent_Done,
     /* 2414880 */   // Label 34726: @2414880
     /* 2414880 */   GIM_Reject,
     /* 2414881 */ // Label 34714: @2414881
     /* 2414881 */ GIM_Reject,
     /* 2414882 */ // Label 34522: @2414882
     /* 2414882 */ GIM_Try, /*On fail goto*//*Label 34727*/ GIMT_Encode4(2415671),
     /* 2414887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2414890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2414893 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2414896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414900 */   GIM_Try, /*On fail goto*//*Label 34728*/ GIMT_Encode4(2414977), // Rule ID 55224 //
     /* 2414905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2414908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2414920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414929 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2414933 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414937 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2414941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2414948 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2414951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2414963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414976 */     // GIR_Coverage, 55224,
     /* 2414976 */     GIR_EraseRootFromParent_Done,
     /* 2414977 */   // Label 34728: @2414977
     /* 2414977 */   GIM_Try, /*On fail goto*//*Label 34729*/ GIMT_Encode4(2415054), // Rule ID 55225 //
     /* 2414982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2414985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2414997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2415010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2415018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2415025 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2415028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2415040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415053 */     // GIR_Coverage, 55225,
     /* 2415053 */     GIR_EraseRootFromParent_Done,
     /* 2415054 */   // Label 34729: @2415054
     /* 2415054 */   GIM_Try, /*On fail goto*//*Label 34730*/ GIMT_Encode4(2415131), // Rule ID 72773 //
     /* 2415059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2415062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2415070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2415078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2415087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2415095 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2415102 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2415105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2415117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415130 */     // GIR_Coverage, 72773,
     /* 2415130 */     GIR_EraseRootFromParent_Done,
     /* 2415131 */   // Label 34730: @2415131
     /* 2415131 */   GIM_Try, /*On fail goto*//*Label 34731*/ GIMT_Encode4(2415208), // Rule ID 72774 //
     /* 2415136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2415139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2415147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2415155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2415164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2415172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2415179 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2415182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2415194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415207 */     // GIR_Coverage, 72774,
     /* 2415207 */     GIR_EraseRootFromParent_Done,
     /* 2415208 */   // Label 34731: @2415208
     /* 2415208 */   GIM_Try, /*On fail goto*//*Label 34732*/ GIMT_Encode4(2415270), // Rule ID 55228 //
     /* 2415213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2415216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2415220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2415228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415243 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2415246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415269 */     // GIR_Coverage, 55228,
     /* 2415269 */     GIR_EraseRootFromParent_Done,
     /* 2415270 */   // Label 34732: @2415270
     /* 2415270 */   GIM_Try, /*On fail goto*//*Label 34733*/ GIMT_Encode4(2415332), // Rule ID 55229 //
     /* 2415275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2415278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2415282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2415290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415305 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2415308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415331 */     // GIR_Coverage, 55229,
     /* 2415331 */     GIR_EraseRootFromParent_Done,
     /* 2415332 */   // Label 34733: @2415332
     /* 2415332 */   GIM_Try, /*On fail goto*//*Label 34734*/ GIMT_Encode4(2415394), // Rule ID 72777 //
     /* 2415337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2415340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2415348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2415356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415367 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2415370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415393 */     // GIR_Coverage, 72777,
     /* 2415393 */     GIR_EraseRootFromParent_Done,
     /* 2415394 */   // Label 34734: @2415394
     /* 2415394 */   GIM_Try, /*On fail goto*//*Label 34735*/ GIMT_Encode4(2415456), // Rule ID 72778 //
     /* 2415399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2415402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2415410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2415418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415429 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2415432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415455 */     // GIR_Coverage, 72778,
     /* 2415455 */     GIR_EraseRootFromParent_Done,
     /* 2415456 */   // Label 34735: @2415456
     /* 2415456 */   GIM_Try, /*On fail goto*//*Label 34736*/ GIMT_Encode4(2415518), // Rule ID 55220 //
     /* 2415461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2415464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2415484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415491 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2415494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2415504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415517 */     // GIR_Coverage, 55220,
     /* 2415517 */     GIR_EraseRootFromParent_Done,
     /* 2415518 */   // Label 34736: @2415518
     /* 2415518 */   GIM_Try, /*On fail goto*//*Label 34737*/ GIMT_Encode4(2415580), // Rule ID 55221 //
     /* 2415523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2415526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2415546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415553 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2415556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2415566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415579 */     // GIR_Coverage, 55221,
     /* 2415579 */     GIR_EraseRootFromParent_Done,
     /* 2415580 */   // Label 34737: @2415580
     /* 2415580 */   GIM_Try, /*On fail goto*//*Label 34738*/ GIMT_Encode4(2415625), // Rule ID 55216 //
     /* 2415585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2415588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415600 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2415603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415624 */     // GIR_Coverage, 55216,
     /* 2415624 */     GIR_EraseRootFromParent_Done,
     /* 2415625 */   // Label 34738: @2415625
     /* 2415625 */   GIM_Try, /*On fail goto*//*Label 34739*/ GIMT_Encode4(2415670), // Rule ID 55217 //
     /* 2415630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2415633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415645 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2415648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415669 */     // GIR_Coverage, 55217,
     /* 2415669 */     GIR_EraseRootFromParent_Done,
     /* 2415670 */   // Label 34739: @2415670
     /* 2415670 */   GIM_Reject,
     /* 2415671 */ // Label 34727: @2415671
     /* 2415671 */ GIM_Reject,
     /* 2415672 */ // Label 34523: @2415672
     /* 2415672 */ GIM_Try, /*On fail goto*//*Label 34740*/ GIMT_Encode4(2416461),
     /* 2415677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2415680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2415683 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2415686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415690 */   GIM_Try, /*On fail goto*//*Label 34741*/ GIMT_Encode4(2415767), // Rule ID 55480 //
     /* 2415695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2415698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2415702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2415710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2415723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2415731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2415738 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2415741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2415753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415766 */     // GIR_Coverage, 55480,
     /* 2415766 */     GIR_EraseRootFromParent_Done,
     /* 2415767 */   // Label 34741: @2415767
     /* 2415767 */   GIM_Try, /*On fail goto*//*Label 34742*/ GIMT_Encode4(2415844), // Rule ID 55481 //
     /* 2415772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2415775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2415779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2415787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2415800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2415808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2415815 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2415818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2415830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415843 */     // GIR_Coverage, 55481,
     /* 2415843 */     GIR_EraseRootFromParent_Done,
     /* 2415844 */   // Label 34742: @2415844
     /* 2415844 */   GIM_Try, /*On fail goto*//*Label 34743*/ GIMT_Encode4(2415921), // Rule ID 72997 //
     /* 2415849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2415852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2415860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2415868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2415877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2415885 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2415892 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2415895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2415907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415920 */     // GIR_Coverage, 72997,
     /* 2415920 */     GIR_EraseRootFromParent_Done,
     /* 2415921 */   // Label 34743: @2415921
     /* 2415921 */   GIM_Try, /*On fail goto*//*Label 34744*/ GIMT_Encode4(2415998), // Rule ID 72998 //
     /* 2415926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2415929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2415937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2415945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2415954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2415962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2415969 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2415972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2415984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415997 */     // GIR_Coverage, 72998,
     /* 2415997 */     GIR_EraseRootFromParent_Done,
     /* 2415998 */   // Label 34744: @2415998
     /* 2415998 */   GIM_Try, /*On fail goto*//*Label 34745*/ GIMT_Encode4(2416060), // Rule ID 55484 //
     /* 2416003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2416006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2416010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2416018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416033 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2416036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416059 */     // GIR_Coverage, 55484,
     /* 2416059 */     GIR_EraseRootFromParent_Done,
     /* 2416060 */   // Label 34745: @2416060
     /* 2416060 */   GIM_Try, /*On fail goto*//*Label 34746*/ GIMT_Encode4(2416122), // Rule ID 55485 //
     /* 2416065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2416068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2416072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2416080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416095 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2416098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416121 */     // GIR_Coverage, 55485,
     /* 2416121 */     GIR_EraseRootFromParent_Done,
     /* 2416122 */   // Label 34746: @2416122
     /* 2416122 */   GIM_Try, /*On fail goto*//*Label 34747*/ GIMT_Encode4(2416184), // Rule ID 73001 //
     /* 2416127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2416130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2416138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2416146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416157 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2416160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416183 */     // GIR_Coverage, 73001,
     /* 2416183 */     GIR_EraseRootFromParent_Done,
     /* 2416184 */   // Label 34747: @2416184
     /* 2416184 */   GIM_Try, /*On fail goto*//*Label 34748*/ GIMT_Encode4(2416246), // Rule ID 73002 //
     /* 2416189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2416192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2416200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2416208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416219 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2416222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416245 */     // GIR_Coverage, 73002,
     /* 2416245 */     GIR_EraseRootFromParent_Done,
     /* 2416246 */   // Label 34748: @2416246
     /* 2416246 */   GIM_Try, /*On fail goto*//*Label 34749*/ GIMT_Encode4(2416308), // Rule ID 55476 //
     /* 2416251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2416254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2416274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416281 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2416284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2416294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416307 */     // GIR_Coverage, 55476,
     /* 2416307 */     GIR_EraseRootFromParent_Done,
     /* 2416308 */   // Label 34749: @2416308
     /* 2416308 */   GIM_Try, /*On fail goto*//*Label 34750*/ GIMT_Encode4(2416370), // Rule ID 55477 //
     /* 2416313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2416316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2416336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416343 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2416346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2416356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416369 */     // GIR_Coverage, 55477,
     /* 2416369 */     GIR_EraseRootFromParent_Done,
     /* 2416370 */   // Label 34750: @2416370
     /* 2416370 */   GIM_Try, /*On fail goto*//*Label 34751*/ GIMT_Encode4(2416415), // Rule ID 55472 //
     /* 2416375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2416378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416390 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2416393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416414 */     // GIR_Coverage, 55472,
     /* 2416414 */     GIR_EraseRootFromParent_Done,
     /* 2416415 */   // Label 34751: @2416415
     /* 2416415 */   GIM_Try, /*On fail goto*//*Label 34752*/ GIMT_Encode4(2416460), // Rule ID 55473 //
     /* 2416420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2416423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416435 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2416438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416459 */     // GIR_Coverage, 55473,
     /* 2416459 */     GIR_EraseRootFromParent_Done,
     /* 2416460 */   // Label 34752: @2416460
     /* 2416460 */   GIM_Reject,
     /* 2416461 */ // Label 34740: @2416461
     /* 2416461 */ GIM_Reject,
     /* 2416462 */ // Label 34524: @2416462
     /* 2416462 */ GIM_Try, /*On fail goto*//*Label 34753*/ GIMT_Encode4(2417251),
     /* 2416467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2416473 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2416476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416480 */   GIM_Try, /*On fail goto*//*Label 34754*/ GIMT_Encode4(2416557), // Rule ID 55736 //
     /* 2416485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2416488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2416492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2416513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416521 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2416528 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2416531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2416543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416556 */     // GIR_Coverage, 55736,
     /* 2416556 */     GIR_EraseRootFromParent_Done,
     /* 2416557 */   // Label 34754: @2416557
     /* 2416557 */   GIM_Try, /*On fail goto*//*Label 34755*/ GIMT_Encode4(2416634), // Rule ID 55737 //
     /* 2416562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2416565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2416569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2416590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416598 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2416605 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2416608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2416620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416633 */     // GIR_Coverage, 55737,
     /* 2416633 */     GIR_EraseRootFromParent_Done,
     /* 2416634 */   // Label 34755: @2416634
     /* 2416634 */   GIM_Try, /*On fail goto*//*Label 34756*/ GIMT_Encode4(2416711), // Rule ID 73221 //
     /* 2416639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2416642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2416650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2416667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416675 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2416682 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2416685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2416697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416710 */     // GIR_Coverage, 73221,
     /* 2416710 */     GIR_EraseRootFromParent_Done,
     /* 2416711 */   // Label 34756: @2416711
     /* 2416711 */   GIM_Try, /*On fail goto*//*Label 34757*/ GIMT_Encode4(2416788), // Rule ID 73222 //
     /* 2416716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2416719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2416727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2416744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2416759 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2416762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2416774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416787 */     // GIR_Coverage, 73222,
     /* 2416787 */     GIR_EraseRootFromParent_Done,
     /* 2416788 */   // Label 34757: @2416788
     /* 2416788 */   GIM_Try, /*On fail goto*//*Label 34758*/ GIMT_Encode4(2416850), // Rule ID 55740 //
     /* 2416793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2416796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2416800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416823 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2416826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416849 */     // GIR_Coverage, 55740,
     /* 2416849 */     GIR_EraseRootFromParent_Done,
     /* 2416850 */   // Label 34758: @2416850
     /* 2416850 */   GIM_Try, /*On fail goto*//*Label 34759*/ GIMT_Encode4(2416912), // Rule ID 55741 //
     /* 2416855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2416858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2416862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416885 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2416888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416911 */     // GIR_Coverage, 55741,
     /* 2416911 */     GIR_EraseRootFromParent_Done,
     /* 2416912 */   // Label 34759: @2416912
     /* 2416912 */   GIM_Try, /*On fail goto*//*Label 34760*/ GIMT_Encode4(2416974), // Rule ID 73225 //
     /* 2416917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2416920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2416928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416947 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2416950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416973 */     // GIR_Coverage, 73225,
     /* 2416973 */     GIR_EraseRootFromParent_Done,
     /* 2416974 */   // Label 34760: @2416974
     /* 2416974 */   GIM_Try, /*On fail goto*//*Label 34761*/ GIMT_Encode4(2417036), // Rule ID 73226 //
     /* 2416979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2416982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2416990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417009 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2417012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417035 */     // GIR_Coverage, 73226,
     /* 2417035 */     GIR_EraseRootFromParent_Done,
     /* 2417036 */   // Label 34761: @2417036
     /* 2417036 */   GIM_Try, /*On fail goto*//*Label 34762*/ GIMT_Encode4(2417098), // Rule ID 55732 //
     /* 2417041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2417044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2417064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417071 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2417074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2417084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417097 */     // GIR_Coverage, 55732,
     /* 2417097 */     GIR_EraseRootFromParent_Done,
     /* 2417098 */   // Label 34762: @2417098
     /* 2417098 */   GIM_Try, /*On fail goto*//*Label 34763*/ GIMT_Encode4(2417160), // Rule ID 55733 //
     /* 2417103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2417106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2417126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417133 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2417136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2417146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417159 */     // GIR_Coverage, 55733,
     /* 2417159 */     GIR_EraseRootFromParent_Done,
     /* 2417160 */   // Label 34763: @2417160
     /* 2417160 */   GIM_Try, /*On fail goto*//*Label 34764*/ GIMT_Encode4(2417205), // Rule ID 55728 //
     /* 2417165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2417168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417180 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2417183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417204 */     // GIR_Coverage, 55728,
     /* 2417204 */     GIR_EraseRootFromParent_Done,
     /* 2417205 */   // Label 34764: @2417205
     /* 2417205 */   GIM_Try, /*On fail goto*//*Label 34765*/ GIMT_Encode4(2417250), // Rule ID 55729 //
     /* 2417210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2417213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417225 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2417228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417249 */     // GIR_Coverage, 55729,
     /* 2417249 */     GIR_EraseRootFromParent_Done,
     /* 2417250 */   // Label 34765: @2417250
     /* 2417250 */   GIM_Reject,
     /* 2417251 */ // Label 34753: @2417251
     /* 2417251 */ GIM_Reject,
     /* 2417252 */ // Label 34525: @2417252
     /* 2417252 */ GIM_Try, /*On fail goto*//*Label 34766*/ GIMT_Encode4(2418041),
     /* 2417257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2417263 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2417266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417270 */   GIM_Try, /*On fail goto*//*Label 34767*/ GIMT_Encode4(2417347), // Rule ID 55288 //
     /* 2417275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2417278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2417282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2417303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2417318 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2417321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2417333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417346 */     // GIR_Coverage, 55288,
     /* 2417346 */     GIR_EraseRootFromParent_Done,
     /* 2417347 */   // Label 34767: @2417347
     /* 2417347 */   GIM_Try, /*On fail goto*//*Label 34768*/ GIMT_Encode4(2417424), // Rule ID 55289 //
     /* 2417352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2417355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2417359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2417380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417393 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2417395 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2417398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2417410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417423 */     // GIR_Coverage, 55289,
     /* 2417423 */     GIR_EraseRootFromParent_Done,
     /* 2417424 */   // Label 34768: @2417424
     /* 2417424 */   GIM_Try, /*On fail goto*//*Label 34769*/ GIMT_Encode4(2417501), // Rule ID 72829 //
     /* 2417429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2417432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2417440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2417457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417465 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417470 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2417472 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2417475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2417487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417500 */     // GIR_Coverage, 72829,
     /* 2417500 */     GIR_EraseRootFromParent_Done,
     /* 2417501 */   // Label 34769: @2417501
     /* 2417501 */   GIM_Try, /*On fail goto*//*Label 34770*/ GIMT_Encode4(2417578), // Rule ID 72830 //
     /* 2417506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2417509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2417517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417525 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2417534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2417549 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2417552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2417564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417577 */     // GIR_Coverage, 72830,
     /* 2417577 */     GIR_EraseRootFromParent_Done,
     /* 2417578 */   // Label 34770: @2417578
     /* 2417578 */   GIM_Try, /*On fail goto*//*Label 34771*/ GIMT_Encode4(2417640), // Rule ID 55292 //
     /* 2417583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2417586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2417590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417613 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2417616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417639 */     // GIR_Coverage, 55292,
     /* 2417639 */     GIR_EraseRootFromParent_Done,
     /* 2417640 */   // Label 34771: @2417640
     /* 2417640 */   GIM_Try, /*On fail goto*//*Label 34772*/ GIMT_Encode4(2417702), // Rule ID 55293 //
     /* 2417645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2417648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2417652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417675 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2417678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417701 */     // GIR_Coverage, 55293,
     /* 2417701 */     GIR_EraseRootFromParent_Done,
     /* 2417702 */   // Label 34772: @2417702
     /* 2417702 */   GIM_Try, /*On fail goto*//*Label 34773*/ GIMT_Encode4(2417764), // Rule ID 72833 //
     /* 2417707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2417710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2417718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417737 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2417740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417763 */     // GIR_Coverage, 72833,
     /* 2417763 */     GIR_EraseRootFromParent_Done,
     /* 2417764 */   // Label 34773: @2417764
     /* 2417764 */   GIM_Try, /*On fail goto*//*Label 34774*/ GIMT_Encode4(2417826), // Rule ID 72834 //
     /* 2417769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2417772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2417780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417799 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2417802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417825 */     // GIR_Coverage, 72834,
     /* 2417825 */     GIR_EraseRootFromParent_Done,
     /* 2417826 */   // Label 34774: @2417826
     /* 2417826 */   GIM_Try, /*On fail goto*//*Label 34775*/ GIMT_Encode4(2417888), // Rule ID 55284 //
     /* 2417831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2417834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417861 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2417864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2417874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417887 */     // GIR_Coverage, 55284,
     /* 2417887 */     GIR_EraseRootFromParent_Done,
     /* 2417888 */   // Label 34775: @2417888
     /* 2417888 */   GIM_Try, /*On fail goto*//*Label 34776*/ GIMT_Encode4(2417950), // Rule ID 55285 //
     /* 2417893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2417896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2417916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417923 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2417926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2417936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417949 */     // GIR_Coverage, 55285,
     /* 2417949 */     GIR_EraseRootFromParent_Done,
     /* 2417950 */   // Label 34776: @2417950
     /* 2417950 */   GIM_Try, /*On fail goto*//*Label 34777*/ GIMT_Encode4(2417995), // Rule ID 55280 //
     /* 2417955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2417958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417970 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2417973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417994 */     // GIR_Coverage, 55280,
     /* 2417994 */     GIR_EraseRootFromParent_Done,
     /* 2417995 */   // Label 34777: @2417995
     /* 2417995 */   GIM_Try, /*On fail goto*//*Label 34778*/ GIMT_Encode4(2418040), // Rule ID 55281 //
     /* 2418000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2418003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418015 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2418018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2418024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418039 */     // GIR_Coverage, 55281,
     /* 2418039 */     GIR_EraseRootFromParent_Done,
     /* 2418040 */   // Label 34778: @2418040
     /* 2418040 */   GIM_Reject,
     /* 2418041 */ // Label 34766: @2418041
     /* 2418041 */ GIM_Reject,
     /* 2418042 */ // Label 34526: @2418042
     /* 2418042 */ GIM_Try, /*On fail goto*//*Label 34779*/ GIMT_Encode4(2418831),
     /* 2418047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2418053 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2418056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418060 */   GIM_Try, /*On fail goto*//*Label 34780*/ GIMT_Encode4(2418137), // Rule ID 55544 //
     /* 2418065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2418068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2418072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2418093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2418108 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2418111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2418123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418136 */     // GIR_Coverage, 55544,
     /* 2418136 */     GIR_EraseRootFromParent_Done,
     /* 2418137 */   // Label 34780: @2418137
     /* 2418137 */   GIM_Try, /*On fail goto*//*Label 34781*/ GIMT_Encode4(2418214), // Rule ID 55545 //
     /* 2418142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2418145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2418149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2418170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418174 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2418185 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2418188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2418200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418213 */     // GIR_Coverage, 55545,
     /* 2418213 */     GIR_EraseRootFromParent_Done,
     /* 2418214 */   // Label 34781: @2418214
     /* 2418214 */   GIM_Try, /*On fail goto*//*Label 34782*/ GIMT_Encode4(2418291), // Rule ID 73053 //
     /* 2418219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2418222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2418230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2418247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418255 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2418262 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2418265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2418277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418290 */     // GIR_Coverage, 73053,
     /* 2418290 */     GIR_EraseRootFromParent_Done,
     /* 2418291 */   // Label 34782: @2418291
     /* 2418291 */   GIM_Try, /*On fail goto*//*Label 34783*/ GIMT_Encode4(2418368), // Rule ID 73054 //
     /* 2418296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2418299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2418307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418320 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2418324 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418328 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418332 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418337 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2418339 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2418342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2418354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418367 */     // GIR_Coverage, 73054,
     /* 2418367 */     GIR_EraseRootFromParent_Done,
     /* 2418368 */   // Label 34783: @2418368
     /* 2418368 */   GIM_Try, /*On fail goto*//*Label 34784*/ GIMT_Encode4(2418430), // Rule ID 55548 //
     /* 2418373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2418376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2418380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418403 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2418406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418429 */     // GIR_Coverage, 55548,
     /* 2418429 */     GIR_EraseRootFromParent_Done,
     /* 2418430 */   // Label 34784: @2418430
     /* 2418430 */   GIM_Try, /*On fail goto*//*Label 34785*/ GIMT_Encode4(2418492), // Rule ID 55549 //
     /* 2418435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2418438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2418442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418465 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2418468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418491 */     // GIR_Coverage, 55549,
     /* 2418491 */     GIR_EraseRootFromParent_Done,
     /* 2418492 */   // Label 34785: @2418492
     /* 2418492 */   GIM_Try, /*On fail goto*//*Label 34786*/ GIMT_Encode4(2418554), // Rule ID 73057 //
     /* 2418497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2418500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2418508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418527 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2418530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418553 */     // GIR_Coverage, 73057,
     /* 2418553 */     GIR_EraseRootFromParent_Done,
     /* 2418554 */   // Label 34786: @2418554
     /* 2418554 */   GIM_Try, /*On fail goto*//*Label 34787*/ GIMT_Encode4(2418616), // Rule ID 73058 //
     /* 2418559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2418562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2418570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418589 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2418592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418615 */     // GIR_Coverage, 73058,
     /* 2418615 */     GIR_EraseRootFromParent_Done,
     /* 2418616 */   // Label 34787: @2418616
     /* 2418616 */   GIM_Try, /*On fail goto*//*Label 34788*/ GIMT_Encode4(2418678), // Rule ID 55540 //
     /* 2418621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2418624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418651 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2418654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2418660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2418664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418677 */     // GIR_Coverage, 55540,
     /* 2418677 */     GIR_EraseRootFromParent_Done,
     /* 2418678 */   // Label 34788: @2418678
     /* 2418678 */   GIM_Try, /*On fail goto*//*Label 34789*/ GIMT_Encode4(2418740), // Rule ID 55541 //
     /* 2418683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2418686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418713 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2418716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2418722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2418726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418739 */     // GIR_Coverage, 55541,
     /* 2418739 */     GIR_EraseRootFromParent_Done,
     /* 2418740 */   // Label 34789: @2418740
     /* 2418740 */   GIM_Try, /*On fail goto*//*Label 34790*/ GIMT_Encode4(2418785), // Rule ID 55536 //
     /* 2418745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2418748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418760 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2418763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2418769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418784 */     // GIR_Coverage, 55536,
     /* 2418784 */     GIR_EraseRootFromParent_Done,
     /* 2418785 */   // Label 34790: @2418785
     /* 2418785 */   GIM_Try, /*On fail goto*//*Label 34791*/ GIMT_Encode4(2418830), // Rule ID 55537 //
     /* 2418790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2418793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418805 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2418808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2418814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418829 */     // GIR_Coverage, 55537,
     /* 2418829 */     GIR_EraseRootFromParent_Done,
     /* 2418830 */   // Label 34791: @2418830
     /* 2418830 */   GIM_Reject,
     /* 2418831 */ // Label 34779: @2418831
     /* 2418831 */ GIM_Reject,
     /* 2418832 */ // Label 34527: @2418832
     /* 2418832 */ GIM_Try, /*On fail goto*//*Label 34792*/ GIMT_Encode4(2419621),
     /* 2418837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2418840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2418843 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2418846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418850 */   GIM_Try, /*On fail goto*//*Label 34793*/ GIMT_Encode4(2418927), // Rule ID 55352 //
     /* 2418855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2418858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2418862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2418870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2418883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2418891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418896 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2418898 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2418901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2418913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418926 */     // GIR_Coverage, 55352,
     /* 2418926 */     GIR_EraseRootFromParent_Done,
     /* 2418927 */   // Label 34793: @2418927
     /* 2418927 */   GIM_Try, /*On fail goto*//*Label 34794*/ GIMT_Encode4(2419004), // Rule ID 55353 //
     /* 2418932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2418935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2418939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2418947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2418960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2418968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2418975 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2418978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2418990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419003 */     // GIR_Coverage, 55353,
     /* 2419003 */     GIR_EraseRootFromParent_Done,
     /* 2419004 */   // Label 34794: @2419004
     /* 2419004 */   GIM_Try, /*On fail goto*//*Label 34795*/ GIMT_Encode4(2419081), // Rule ID 72885 //
     /* 2419009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2419012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2419020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2419028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2419037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2419045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2419052 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2419052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2419055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2419067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419080 */     // GIR_Coverage, 72885,
     /* 2419080 */     GIR_EraseRootFromParent_Done,
     /* 2419081 */   // Label 34795: @2419081
     /* 2419081 */   GIM_Try, /*On fail goto*//*Label 34796*/ GIMT_Encode4(2419158), // Rule ID 72886 //
     /* 2419086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2419089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2419097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2419105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2419114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2419122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419127 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2419129 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2419129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2419132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2419144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419157 */     // GIR_Coverage, 72886,
     /* 2419157 */     GIR_EraseRootFromParent_Done,
     /* 2419158 */   // Label 34796: @2419158
     /* 2419158 */   GIM_Try, /*On fail goto*//*Label 34797*/ GIMT_Encode4(2419220), // Rule ID 55356 //
     /* 2419163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2419166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2419170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2419178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419193 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2419193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2419196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419219 */     // GIR_Coverage, 55356,
     /* 2419219 */     GIR_EraseRootFromParent_Done,
     /* 2419220 */   // Label 34797: @2419220
     /* 2419220 */   GIM_Try, /*On fail goto*//*Label 34798*/ GIMT_Encode4(2419282), // Rule ID 55357 //
     /* 2419225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2419228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2419232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2419240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419255 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2419255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2419258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419281 */     // GIR_Coverage, 55357,
     /* 2419281 */     GIR_EraseRootFromParent_Done,
     /* 2419282 */   // Label 34798: @2419282
     /* 2419282 */   GIM_Try, /*On fail goto*//*Label 34799*/ GIMT_Encode4(2419344), // Rule ID 72889 //
     /* 2419287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2419290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2419298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2419306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419317 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2419317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2419320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419343 */     // GIR_Coverage, 72889,
     /* 2419343 */     GIR_EraseRootFromParent_Done,
     /* 2419344 */   // Label 34799: @2419344
     /* 2419344 */   GIM_Try, /*On fail goto*//*Label 34800*/ GIMT_Encode4(2419406), // Rule ID 72890 //
     /* 2419349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2419352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2419360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2419368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419379 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2419379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2419382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419405 */     // GIR_Coverage, 72890,
     /* 2419405 */     GIR_EraseRootFromParent_Done,
     /* 2419406 */   // Label 34800: @2419406
     /* 2419406 */   GIM_Try, /*On fail goto*//*Label 34801*/ GIMT_Encode4(2419468), // Rule ID 55348 //
     /* 2419411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2419414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2419434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419441 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2419441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2419444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2419454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419467 */     // GIR_Coverage, 55348,
     /* 2419467 */     GIR_EraseRootFromParent_Done,
     /* 2419468 */   // Label 34801: @2419468
     /* 2419468 */   GIM_Try, /*On fail goto*//*Label 34802*/ GIMT_Encode4(2419530), // Rule ID 55349 //
     /* 2419473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2419476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2419496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419503 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2419503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2419506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2419516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419529 */     // GIR_Coverage, 55349,
     /* 2419529 */     GIR_EraseRootFromParent_Done,
     /* 2419530 */   // Label 34802: @2419530
     /* 2419530 */   GIM_Try, /*On fail goto*//*Label 34803*/ GIMT_Encode4(2419575), // Rule ID 55344 //
     /* 2419535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2419538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419550 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2419550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2419553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419574 */     // GIR_Coverage, 55344,
     /* 2419574 */     GIR_EraseRootFromParent_Done,
     /* 2419575 */   // Label 34803: @2419575
     /* 2419575 */   GIM_Try, /*On fail goto*//*Label 34804*/ GIMT_Encode4(2419620), // Rule ID 55345 //
     /* 2419580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2419583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419595 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2419595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2419598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419619 */     // GIR_Coverage, 55345,
     /* 2419619 */     GIR_EraseRootFromParent_Done,
     /* 2419620 */   // Label 34804: @2419620
     /* 2419620 */   GIM_Reject,
     /* 2419621 */ // Label 34792: @2419621
     /* 2419621 */ GIM_Reject,
     /* 2419622 */ // Label 34528: @2419622
     /* 2419622 */ GIM_Reject,
     /* 2419623 */ // Label 103: @2419623
     /* 2419623 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34823*/ GIMT_Encode4(2421798),
     /* 2419634 */ /*GILLT_s16*//*Label 34805*/ GIMT_Encode4(2419754),
     /* 2419638 */ /*GILLT_s32*//*Label 34806*/ GIMT_Encode4(2419876),
     /* 2419642 */ /*GILLT_s64*//*Label 34807*/ GIMT_Encode4(2419998), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2419654 */ /*GILLT_nxv1s16*//*Label 34808*/ GIMT_Encode4(2420148),
     /* 2419658 */ /*GILLT_nxv1s32*//*Label 34809*/ GIMT_Encode4(2420258),
     /* 2419662 */ /*GILLT_nxv1s64*//*Label 34810*/ GIMT_Encode4(2420368), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2419674 */ /*GILLT_nxv2s16*//*Label 34811*/ GIMT_Encode4(2420478),
     /* 2419678 */ /*GILLT_nxv2s32*//*Label 34812*/ GIMT_Encode4(2420588),
     /* 2419682 */ /*GILLT_nxv2s64*//*Label 34813*/ GIMT_Encode4(2420698), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2419694 */ /*GILLT_nxv4s16*//*Label 34814*/ GIMT_Encode4(2420808),
     /* 2419698 */ /*GILLT_nxv4s32*//*Label 34815*/ GIMT_Encode4(2420918),
     /* 2419702 */ /*GILLT_nxv4s64*//*Label 34816*/ GIMT_Encode4(2421028), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2419714 */ /*GILLT_nxv8s16*//*Label 34817*/ GIMT_Encode4(2421138),
     /* 2419718 */ /*GILLT_nxv8s32*//*Label 34818*/ GIMT_Encode4(2421248),
     /* 2419722 */ /*GILLT_nxv8s64*//*Label 34819*/ GIMT_Encode4(2421358), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2419734 */ /*GILLT_nxv16s16*//*Label 34820*/ GIMT_Encode4(2421468),
     /* 2419738 */ /*GILLT_nxv16s32*//*Label 34821*/ GIMT_Encode4(2421578), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2419750 */ /*GILLT_nxv32s16*//*Label 34822*/ GIMT_Encode4(2421688),
     /* 2419754 */ // Label 34805: @2419754
     /* 2419754 */ GIM_Try, /*On fail goto*//*Label 34824*/ GIMT_Encode4(2419875),
     /* 2419759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2419762 */   GIM_Try, /*On fail goto*//*Label 34825*/ GIMT_Encode4(2419790), // Rule ID 1988 //
     /* 2419767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2419770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2419774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2419778 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2419778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2419781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419789 */     // GIR_Coverage, 1988,
     /* 2419789 */     GIR_EraseRootFromParent_Done,
     /* 2419790 */   // Label 34825: @2419790
     /* 2419790 */   GIM_Try, /*On fail goto*//*Label 34826*/ GIMT_Encode4(2419818), // Rule ID 1989 //
     /* 2419795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2419798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2419802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2419806 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2419806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2419809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419817 */     // GIR_Coverage, 1989,
     /* 2419817 */     GIR_EraseRootFromParent_Done,
     /* 2419818 */   // Label 34826: @2419818
     /* 2419818 */   GIM_Try, /*On fail goto*//*Label 34827*/ GIMT_Encode4(2419846), // Rule ID 2021 //
     /* 2419823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2419826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419834 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2419834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2419837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419845 */     // GIR_Coverage, 2021,
     /* 2419845 */     GIR_EraseRootFromParent_Done,
     /* 2419846 */   // Label 34827: @2419846
     /* 2419846 */   GIM_Try, /*On fail goto*//*Label 34828*/ GIMT_Encode4(2419874), // Rule ID 2022 //
     /* 2419851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2419854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419862 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2419862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2419865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419873 */     // GIR_Coverage, 2022,
     /* 2419873 */     GIR_EraseRootFromParent_Done,
     /* 2419874 */   // Label 34828: @2419874
     /* 2419874 */   GIM_Reject,
     /* 2419875 */ // Label 34824: @2419875
     /* 2419875 */ GIM_Reject,
     /* 2419876 */ // Label 34806: @2419876
     /* 2419876 */ GIM_Try, /*On fail goto*//*Label 34829*/ GIMT_Encode4(2419997),
     /* 2419881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2419884 */   GIM_Try, /*On fail goto*//*Label 34830*/ GIMT_Encode4(2419912), // Rule ID 1279 //
     /* 2419889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2419892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2419896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2419900 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2419900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2419903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419911 */     // GIR_Coverage, 1279,
     /* 2419911 */     GIR_EraseRootFromParent_Done,
     /* 2419912 */   // Label 34830: @2419912
     /* 2419912 */   GIM_Try, /*On fail goto*//*Label 34831*/ GIMT_Encode4(2419940), // Rule ID 1280 //
     /* 2419917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2419920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2419924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2419928 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2419928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2419931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419939 */     // GIR_Coverage, 1280,
     /* 2419939 */     GIR_EraseRootFromParent_Done,
     /* 2419940 */   // Label 34831: @2419940
     /* 2419940 */   GIM_Try, /*On fail goto*//*Label 34832*/ GIMT_Encode4(2419968), // Rule ID 1287 //
     /* 2419945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2419948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419956 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2419956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2419959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419967 */     // GIR_Coverage, 1287,
     /* 2419967 */     GIR_EraseRootFromParent_Done,
     /* 2419968 */   // Label 34832: @2419968
     /* 2419968 */   GIM_Try, /*On fail goto*//*Label 34833*/ GIMT_Encode4(2419996), // Rule ID 1288 //
     /* 2419973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2419976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419984 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2419984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2419987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419995 */     // GIR_Coverage, 1288,
     /* 2419995 */     GIR_EraseRootFromParent_Done,
     /* 2419996 */   // Label 34833: @2419996
     /* 2419996 */   GIM_Reject,
     /* 2419997 */ // Label 34829: @2419997
     /* 2419997 */ GIM_Reject,
     /* 2419998 */ // Label 34807: @2419998
     /* 2419998 */ GIM_Try, /*On fail goto*//*Label 34834*/ GIMT_Encode4(2420147),
     /* 2420003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2420006 */   GIM_Try, /*On fail goto*//*Label 34835*/ GIMT_Encode4(2420034), // Rule ID 1622 //
     /* 2420011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2420014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2420018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2420022 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2420022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2420025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420033 */     // GIR_Coverage, 1622,
     /* 2420033 */     GIR_EraseRootFromParent_Done,
     /* 2420034 */   // Label 34835: @2420034
     /* 2420034 */   GIM_Try, /*On fail goto*//*Label 34836*/ GIMT_Encode4(2420062), // Rule ID 1623 //
     /* 2420039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2420042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2420046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2420050 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2420050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2420053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420061 */     // GIR_Coverage, 1623,
     /* 2420061 */     GIR_EraseRootFromParent_Done,
     /* 2420062 */   // Label 34836: @2420062
     /* 2420062 */   GIM_Try, /*On fail goto*//*Label 34837*/ GIMT_Encode4(2420090), // Rule ID 1657 //
     /* 2420067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2420070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420078 */     // (strict_fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2420078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2420081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420089 */     // GIR_Coverage, 1657,
     /* 2420089 */     GIR_EraseRootFromParent_Done,
     /* 2420090 */   // Label 34837: @2420090
     /* 2420090 */   GIM_Try, /*On fail goto*//*Label 34838*/ GIMT_Encode4(2420118), // Rule ID 1677 //
     /* 2420095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2420098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2420102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2420106 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2420106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2420109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420117 */     // GIR_Coverage, 1677,
     /* 2420117 */     GIR_EraseRootFromParent_Done,
     /* 2420118 */   // Label 34838: @2420118
     /* 2420118 */   GIM_Try, /*On fail goto*//*Label 34839*/ GIMT_Encode4(2420146), // Rule ID 1678 //
     /* 2420123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2420126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2420130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2420134 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2420134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2420137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420145 */     // GIR_Coverage, 1678,
     /* 2420145 */     GIR_EraseRootFromParent_Done,
     /* 2420146 */   // Label 34839: @2420146
     /* 2420146 */   GIM_Reject,
     /* 2420147 */ // Label 34834: @2420147
     /* 2420147 */ GIM_Reject,
     /* 2420148 */ // Label 34808: @2420148
     /* 2420148 */ GIM_Try, /*On fail goto*//*Label 34840*/ GIMT_Encode4(2420257),
     /* 2420153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2420156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420164 */   GIM_Try, /*On fail goto*//*Label 34841*/ GIMT_Encode4(2420210), // Rule ID 56240 //
     /* 2420169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2420172 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2420175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2420189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420209 */     // GIR_Coverage, 56240,
     /* 2420209 */     GIR_EraseRootFromParent_Done,
     /* 2420210 */   // Label 34841: @2420210
     /* 2420210 */   GIM_Try, /*On fail goto*//*Label 34842*/ GIMT_Encode4(2420256), // Rule ID 56241 //
     /* 2420215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2420218 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2420221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2420235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420255 */     // GIR_Coverage, 56241,
     /* 2420255 */     GIR_EraseRootFromParent_Done,
     /* 2420256 */   // Label 34842: @2420256
     /* 2420256 */   GIM_Reject,
     /* 2420257 */ // Label 34840: @2420257
     /* 2420257 */ GIM_Reject,
     /* 2420258 */ // Label 34809: @2420258
     /* 2420258 */ GIM_Try, /*On fail goto*//*Label 34843*/ GIMT_Encode4(2420367),
     /* 2420263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2420266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420274 */   GIM_Try, /*On fail goto*//*Label 34844*/ GIMT_Encode4(2420320), // Rule ID 56280 //
     /* 2420279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2420282 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2420285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2420299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420319 */     // GIR_Coverage, 56280,
     /* 2420319 */     GIR_EraseRootFromParent_Done,
     /* 2420320 */   // Label 34844: @2420320
     /* 2420320 */   GIM_Try, /*On fail goto*//*Label 34845*/ GIMT_Encode4(2420366), // Rule ID 56281 //
     /* 2420325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2420328 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2420331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2420345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420365 */     // GIR_Coverage, 56281,
     /* 2420365 */     GIR_EraseRootFromParent_Done,
     /* 2420366 */   // Label 34845: @2420366
     /* 2420366 */   GIM_Reject,
     /* 2420367 */ // Label 34843: @2420367
     /* 2420367 */ GIM_Reject,
     /* 2420368 */ // Label 34810: @2420368
     /* 2420368 */ GIM_Try, /*On fail goto*//*Label 34846*/ GIMT_Encode4(2420477),
     /* 2420373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2420376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420384 */   GIM_Try, /*On fail goto*//*Label 34847*/ GIMT_Encode4(2420430), // Rule ID 56340 //
     /* 2420389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2420392 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2420395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2420409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420429 */     // GIR_Coverage, 56340,
     /* 2420429 */     GIR_EraseRootFromParent_Done,
     /* 2420430 */   // Label 34847: @2420430
     /* 2420430 */   GIM_Try, /*On fail goto*//*Label 34848*/ GIMT_Encode4(2420476), // Rule ID 56341 //
     /* 2420435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2420438 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2420441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2420455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420475 */     // GIR_Coverage, 56341,
     /* 2420475 */     GIR_EraseRootFromParent_Done,
     /* 2420476 */   // Label 34848: @2420476
     /* 2420476 */   GIM_Reject,
     /* 2420477 */ // Label 34846: @2420477
     /* 2420477 */ GIM_Reject,
     /* 2420478 */ // Label 34811: @2420478
     /* 2420478 */ GIM_Try, /*On fail goto*//*Label 34849*/ GIMT_Encode4(2420587),
     /* 2420483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2420486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420494 */   GIM_Try, /*On fail goto*//*Label 34850*/ GIMT_Encode4(2420540), // Rule ID 56260 //
     /* 2420499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2420502 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2420505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2420519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420539 */     // GIR_Coverage, 56260,
     /* 2420539 */     GIR_EraseRootFromParent_Done,
     /* 2420540 */   // Label 34850: @2420540
     /* 2420540 */   GIM_Try, /*On fail goto*//*Label 34851*/ GIMT_Encode4(2420586), // Rule ID 56261 //
     /* 2420545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2420548 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2420551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2420565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420585 */     // GIR_Coverage, 56261,
     /* 2420585 */     GIR_EraseRootFromParent_Done,
     /* 2420586 */   // Label 34851: @2420586
     /* 2420586 */   GIM_Reject,
     /* 2420587 */ // Label 34849: @2420587
     /* 2420587 */ GIM_Reject,
     /* 2420588 */ // Label 34812: @2420588
     /* 2420588 */ GIM_Try, /*On fail goto*//*Label 34852*/ GIMT_Encode4(2420697),
     /* 2420593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2420596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420604 */   GIM_Try, /*On fail goto*//*Label 34853*/ GIMT_Encode4(2420650), // Rule ID 56320 //
     /* 2420609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2420612 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2420615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2420629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420649 */     // GIR_Coverage, 56320,
     /* 2420649 */     GIR_EraseRootFromParent_Done,
     /* 2420650 */   // Label 34853: @2420650
     /* 2420650 */   GIM_Try, /*On fail goto*//*Label 34854*/ GIMT_Encode4(2420696), // Rule ID 56321 //
     /* 2420655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2420658 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2420661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2420675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420695 */     // GIR_Coverage, 56321,
     /* 2420695 */     GIR_EraseRootFromParent_Done,
     /* 2420696 */   // Label 34854: @2420696
     /* 2420696 */   GIM_Reject,
     /* 2420697 */ // Label 34852: @2420697
     /* 2420697 */ GIM_Reject,
     /* 2420698 */ // Label 34813: @2420698
     /* 2420698 */ GIM_Try, /*On fail goto*//*Label 34855*/ GIMT_Encode4(2420807),
     /* 2420703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2420706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420714 */   GIM_Try, /*On fail goto*//*Label 34856*/ GIMT_Encode4(2420760), // Rule ID 56480 //
     /* 2420719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2420722 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2420725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2420739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420759 */     // GIR_Coverage, 56480,
     /* 2420759 */     GIR_EraseRootFromParent_Done,
     /* 2420760 */   // Label 34856: @2420760
     /* 2420760 */   GIM_Try, /*On fail goto*//*Label 34857*/ GIMT_Encode4(2420806), // Rule ID 56481 //
     /* 2420765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2420768 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2420771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2420785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420805 */     // GIR_Coverage, 56481,
     /* 2420805 */     GIR_EraseRootFromParent_Done,
     /* 2420806 */   // Label 34857: @2420806
     /* 2420806 */   GIM_Reject,
     /* 2420807 */ // Label 34855: @2420807
     /* 2420807 */ GIM_Reject,
     /* 2420808 */ // Label 34814: @2420808
     /* 2420808 */ GIM_Try, /*On fail goto*//*Label 34858*/ GIMT_Encode4(2420917),
     /* 2420813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2420816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420824 */   GIM_Try, /*On fail goto*//*Label 34859*/ GIMT_Encode4(2420870), // Rule ID 56300 //
     /* 2420829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2420832 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2420835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2420849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420869 */     // GIR_Coverage, 56300,
     /* 2420869 */     GIR_EraseRootFromParent_Done,
     /* 2420870 */   // Label 34859: @2420870
     /* 2420870 */   GIM_Try, /*On fail goto*//*Label 34860*/ GIMT_Encode4(2420916), // Rule ID 56301 //
     /* 2420875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2420878 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2420881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2420895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420915 */     // GIR_Coverage, 56301,
     /* 2420915 */     GIR_EraseRootFromParent_Done,
     /* 2420916 */   // Label 34860: @2420916
     /* 2420916 */   GIM_Reject,
     /* 2420917 */ // Label 34858: @2420917
     /* 2420917 */ GIM_Reject,
     /* 2420918 */ // Label 34815: @2420918
     /* 2420918 */ GIM_Try, /*On fail goto*//*Label 34861*/ GIMT_Encode4(2421027),
     /* 2420923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2420926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420934 */   GIM_Try, /*On fail goto*//*Label 34862*/ GIMT_Encode4(2420980), // Rule ID 56420 //
     /* 2420939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2420942 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2420945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2420959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2420966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420979 */     // GIR_Coverage, 56420,
     /* 2420979 */     GIR_EraseRootFromParent_Done,
     /* 2420980 */   // Label 34862: @2420980
     /* 2420980 */   GIM_Try, /*On fail goto*//*Label 34863*/ GIMT_Encode4(2421026), // Rule ID 56421 //
     /* 2420985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2420988 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2420991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2421005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421025 */     // GIR_Coverage, 56421,
     /* 2421025 */     GIR_EraseRootFromParent_Done,
     /* 2421026 */   // Label 34863: @2421026
     /* 2421026 */   GIM_Reject,
     /* 2421027 */ // Label 34861: @2421027
     /* 2421027 */ GIM_Reject,
     /* 2421028 */ // Label 34816: @2421028
     /* 2421028 */ GIM_Try, /*On fail goto*//*Label 34864*/ GIMT_Encode4(2421137),
     /* 2421033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2421036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2421040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2421044 */   GIM_Try, /*On fail goto*//*Label 34865*/ GIMT_Encode4(2421090), // Rule ID 56500 //
     /* 2421049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2421052 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2421055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2421069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421089 */     // GIR_Coverage, 56500,
     /* 2421089 */     GIR_EraseRootFromParent_Done,
     /* 2421090 */   // Label 34865: @2421090
     /* 2421090 */   GIM_Try, /*On fail goto*//*Label 34866*/ GIMT_Encode4(2421136), // Rule ID 56501 //
     /* 2421095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2421098 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2421101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2421115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421135 */     // GIR_Coverage, 56501,
     /* 2421135 */     GIR_EraseRootFromParent_Done,
     /* 2421136 */   // Label 34866: @2421136
     /* 2421136 */   GIM_Reject,
     /* 2421137 */ // Label 34864: @2421137
     /* 2421137 */ GIM_Reject,
     /* 2421138 */ // Label 34817: @2421138
     /* 2421138 */ GIM_Try, /*On fail goto*//*Label 34867*/ GIMT_Encode4(2421247),
     /* 2421143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2421146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421154 */   GIM_Try, /*On fail goto*//*Label 34868*/ GIMT_Encode4(2421200), // Rule ID 56360 //
     /* 2421159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2421162 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2421165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2421179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421199 */     // GIR_Coverage, 56360,
     /* 2421199 */     GIR_EraseRootFromParent_Done,
     /* 2421200 */   // Label 34868: @2421200
     /* 2421200 */   GIM_Try, /*On fail goto*//*Label 34869*/ GIMT_Encode4(2421246), // Rule ID 56361 //
     /* 2421205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2421208 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2421211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2421225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421245 */     // GIR_Coverage, 56361,
     /* 2421245 */     GIR_EraseRootFromParent_Done,
     /* 2421246 */   // Label 34869: @2421246
     /* 2421246 */   GIM_Reject,
     /* 2421247 */ // Label 34867: @2421247
     /* 2421247 */ GIM_Reject,
     /* 2421248 */ // Label 34818: @2421248
     /* 2421248 */ GIM_Try, /*On fail goto*//*Label 34870*/ GIMT_Encode4(2421357),
     /* 2421253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2421256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2421260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2421264 */   GIM_Try, /*On fail goto*//*Label 34871*/ GIMT_Encode4(2421310), // Rule ID 56440 //
     /* 2421269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2421272 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2421275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2421289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421309 */     // GIR_Coverage, 56440,
     /* 2421309 */     GIR_EraseRootFromParent_Done,
     /* 2421310 */   // Label 34871: @2421310
     /* 2421310 */   GIM_Try, /*On fail goto*//*Label 34872*/ GIMT_Encode4(2421356), // Rule ID 56441 //
     /* 2421315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2421318 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2421321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2421335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421355 */     // GIR_Coverage, 56441,
     /* 2421355 */     GIR_EraseRootFromParent_Done,
     /* 2421356 */   // Label 34872: @2421356
     /* 2421356 */   GIM_Reject,
     /* 2421357 */ // Label 34870: @2421357
     /* 2421357 */ GIM_Reject,
     /* 2421358 */ // Label 34819: @2421358
     /* 2421358 */ GIM_Try, /*On fail goto*//*Label 34873*/ GIMT_Encode4(2421467),
     /* 2421363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2421366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421374 */   GIM_Try, /*On fail goto*//*Label 34874*/ GIMT_Encode4(2421420), // Rule ID 56520 //
     /* 2421379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2421382 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2421385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2421399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421419 */     // GIR_Coverage, 56520,
     /* 2421419 */     GIR_EraseRootFromParent_Done,
     /* 2421420 */   // Label 34874: @2421420
     /* 2421420 */   GIM_Try, /*On fail goto*//*Label 34875*/ GIMT_Encode4(2421466), // Rule ID 56521 //
     /* 2421425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2421428 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2421431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2421445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421465 */     // GIR_Coverage, 56521,
     /* 2421465 */     GIR_EraseRootFromParent_Done,
     /* 2421466 */   // Label 34875: @2421466
     /* 2421466 */   GIM_Reject,
     /* 2421467 */ // Label 34873: @2421467
     /* 2421467 */ GIM_Reject,
     /* 2421468 */ // Label 34820: @2421468
     /* 2421468 */ GIM_Try, /*On fail goto*//*Label 34876*/ GIMT_Encode4(2421577),
     /* 2421473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2421476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2421480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2421484 */   GIM_Try, /*On fail goto*//*Label 34877*/ GIMT_Encode4(2421530), // Rule ID 56380 //
     /* 2421489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2421492 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2421495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2421509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421529 */     // GIR_Coverage, 56380,
     /* 2421529 */     GIR_EraseRootFromParent_Done,
     /* 2421530 */   // Label 34877: @2421530
     /* 2421530 */   GIM_Try, /*On fail goto*//*Label 34878*/ GIMT_Encode4(2421576), // Rule ID 56381 //
     /* 2421535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2421538 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2421541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2421555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421575 */     // GIR_Coverage, 56381,
     /* 2421575 */     GIR_EraseRootFromParent_Done,
     /* 2421576 */   // Label 34878: @2421576
     /* 2421576 */   GIM_Reject,
     /* 2421577 */ // Label 34876: @2421577
     /* 2421577 */ GIM_Reject,
     /* 2421578 */ // Label 34821: @2421578
     /* 2421578 */ GIM_Try, /*On fail goto*//*Label 34879*/ GIMT_Encode4(2421687),
     /* 2421583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2421586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421594 */   GIM_Try, /*On fail goto*//*Label 34880*/ GIMT_Encode4(2421640), // Rule ID 56460 //
     /* 2421599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2421602 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2421605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2421619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421639 */     // GIR_Coverage, 56460,
     /* 2421639 */     GIR_EraseRootFromParent_Done,
     /* 2421640 */   // Label 34880: @2421640
     /* 2421640 */   GIM_Try, /*On fail goto*//*Label 34881*/ GIMT_Encode4(2421686), // Rule ID 56461 //
     /* 2421645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2421648 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2421651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2421665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421685 */     // GIR_Coverage, 56461,
     /* 2421685 */     GIR_EraseRootFromParent_Done,
     /* 2421686 */   // Label 34881: @2421686
     /* 2421686 */   GIM_Reject,
     /* 2421687 */ // Label 34879: @2421687
     /* 2421687 */ GIM_Reject,
     /* 2421688 */ // Label 34822: @2421688
     /* 2421688 */ GIM_Try, /*On fail goto*//*Label 34882*/ GIMT_Encode4(2421797),
     /* 2421693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2421696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421704 */   GIM_Try, /*On fail goto*//*Label 34883*/ GIMT_Encode4(2421750), // Rule ID 56400 //
     /* 2421709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2421712 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2421715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2421729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421749 */     // GIR_Coverage, 56400,
     /* 2421749 */     GIR_EraseRootFromParent_Done,
     /* 2421750 */   // Label 34883: @2421750
     /* 2421750 */   GIM_Try, /*On fail goto*//*Label 34884*/ GIMT_Encode4(2421796), // Rule ID 56401 //
     /* 2421755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2421758 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2421761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2421775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421795 */     // GIR_Coverage, 56401,
     /* 2421795 */     GIR_EraseRootFromParent_Done,
     /* 2421796 */   // Label 34884: @2421796
     /* 2421796 */   GIM_Reject,
     /* 2421797 */ // Label 34882: @2421797
     /* 2421797 */ GIM_Reject,
     /* 2421798 */ // Label 34823: @2421798
     /* 2421798 */ GIM_Reject,
     /* 2421799 */ // Label 104: @2421799
     /* 2421799 */ GIM_Try, /*On fail goto*//*Label 34885*/ GIMT_Encode4(2421811), // Rule ID 293 //
     /* 2421804 */   // (trap)  =>  (UNIMP)
     /* 2421804 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::UNIMP),
     /* 2421809 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421810 */   // GIR_Coverage, 293,
     /* 2421810 */   GIR_Done,
     /* 2421811 */ // Label 34885: @2421811
     /* 2421811 */ GIM_Reject,
     /* 2421812 */ // Label 105: @2421812
     /* 2421812 */ GIM_Try, /*On fail goto*//*Label 34886*/ GIMT_Encode4(2421824), // Rule ID 294 //
     /* 2421817 */   // (debugtrap)  =>  (EBREAK)
     /* 2421817 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::EBREAK),
     /* 2421822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421823 */   // GIR_Coverage, 294,
     /* 2421823 */   GIR_Done,
     /* 2421824 */ // Label 34886: @2421824
     /* 2421824 */ GIM_Reject,
     /* 2421825 */ // Label 106: @2421825
     /* 2421825 */ GIM_Try, /*On fail goto*//*Label 34887*/ GIMT_Encode4(2421919),
     /* 2421830 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2421833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2421836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421840 */   GIM_Try, /*On fail goto*//*Label 34888*/ GIMT_Encode4(2421859), // Rule ID 2522 //
     /* 2421845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2421848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421852 */     // (riscv_clzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2421852 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZW),
     /* 2421857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421858 */     // GIR_Coverage, 2522,
     /* 2421858 */     GIR_Done,
     /* 2421859 */   // Label 34888: @2421859
     /* 2421859 */   GIM_Try, /*On fail goto*//*Label 34889*/ GIMT_Encode4(2421918), // Rule ID 62575 //
     /* 2421864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2421867 */     // (riscv_clzw:{ *:[i64] } i64:{ *:[i64] }:$rs1)  =>  (TH_FF0:{ *:[i64] } (SLLI:{ *:[i64] } (XORI:{ *:[i64] } i64:{ *:[i64] }:$rs1, -1:{ *:[i64] }), 32:{ *:[i64] }))
     /* 2421867 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 2421870 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2421874 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421879 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /* 2421883 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/uint8_t(-1),
     /* 2421886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2421888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2421891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2421895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421900 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2421903 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2421906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2421911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421917 */     // GIR_Coverage, 62575,
     /* 2421917 */     GIR_EraseRootFromParent_Done,
     /* 2421918 */   // Label 34889: @2421918
     /* 2421918 */   GIM_Reject,
     /* 2421919 */ // Label 34887: @2421919
     /* 2421919 */ GIM_Reject,
     /* 2421920 */ // Label 107: @2421920
     /* 2421920 */ GIM_Try, /*On fail goto*//*Label 34890*/ GIMT_Encode4(2421949), // Rule ID 2523 //
     /* 2421925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2421928 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2421931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2421934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421942 */   // (riscv_ctzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2421942 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZW),
     /* 2421947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421948 */   // GIR_Coverage, 2523,
     /* 2421948 */   GIR_Done,
     /* 2421949 */ // Label 34890: @2421949
     /* 2421949 */ GIM_Reject,
     /* 2421950 */ // Label 108: @2421950
     /* 2421950 */ GIM_Try, /*On fail goto*//*Label 34891*/ GIMT_Encode4(2421986), // Rule ID 319 //
     /* 2421955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2421958 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2421961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2421964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2421967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421979 */   // (riscv_divuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2421979 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVUW),
     /* 2421984 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421985 */   // GIR_Coverage, 319,
     /* 2421985 */   GIR_Done,
     /* 2421986 */ // Label 34891: @2421986
     /* 2421986 */ GIM_Reject,
     /* 2421987 */ // Label 109: @2421987
     /* 2421987 */ GIM_Try, /*On fail goto*//*Label 34892*/ GIMT_Encode4(2422023), // Rule ID 318 //
     /* 2421992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2421995 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2421998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2422001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2422004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422016 */   // (riscv_divw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2422016 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVW),
     /* 2422021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422022 */   // GIR_Coverage, 318,
     /* 2422022 */   GIR_Done,
     /* 2422023 */ // Label 34892: @2422023
     /* 2422023 */ GIM_Reject,
     /* 2422024 */ // Label 110: @2422024
     /* 2422024 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34895*/ GIMT_Encode4(2422383),
     /* 2422035 */ /*GILLT_s32*//*Label 34893*/ GIMT_Encode4(2422043),
     /* 2422039 */ /*GILLT_s64*//*Label 34894*/ GIMT_Encode4(2422200),
     /* 2422043 */ // Label 34893: @2422043
     /* 2422043 */ GIM_Try, /*On fail goto*//*Label 34896*/ GIMT_Encode4(2422069), // Rule ID 1286 //
     /* 2422048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2422051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2422054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2422062 */   // (riscv_fclass:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2422062 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2422067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422068 */   // GIR_Coverage, 1286,
     /* 2422068 */   GIR_Done,
     /* 2422069 */ // Label 34896: @2422069
     /* 2422069 */ GIM_Try, /*On fail goto*//*Label 34897*/ GIMT_Encode4(2422095), // Rule ID 1294 //
     /* 2422074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2422077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2422080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2422088 */   // (riscv_fclass:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2422088 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2422093 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422094 */   // GIR_Coverage, 1294,
     /* 2422094 */   GIR_Done,
     /* 2422095 */ // Label 34897: @2422095
     /* 2422095 */ GIM_Try, /*On fail goto*//*Label 34898*/ GIMT_Encode4(2422121), // Rule ID 1629 //
     /* 2422100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2422103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2422106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2422114 */   // (riscv_fclass:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2422114 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2422119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422120 */   // GIR_Coverage, 1629,
     /* 2422120 */   GIR_Done,
     /* 2422121 */ // Label 34898: @2422121
     /* 2422121 */ GIM_Try, /*On fail goto*//*Label 34899*/ GIMT_Encode4(2422147), // Rule ID 1684 //
     /* 2422126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2422129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2422132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2422140 */   // (riscv_fclass:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2422140 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2422145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422146 */   // GIR_Coverage, 1684,
     /* 2422146 */   GIR_Done,
     /* 2422147 */ // Label 34899: @2422147
     /* 2422147 */ GIM_Try, /*On fail goto*//*Label 34900*/ GIMT_Encode4(2422173), // Rule ID 1995 //
     /* 2422152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2422155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2422158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2422166 */   // (riscv_fclass:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2422166 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2422171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422172 */   // GIR_Coverage, 1995,
     /* 2422172 */   GIR_Done,
     /* 2422173 */ // Label 34900: @2422173
     /* 2422173 */ GIM_Try, /*On fail goto*//*Label 34901*/ GIMT_Encode4(2422199), // Rule ID 2028 //
     /* 2422178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2422181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2422184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2422192 */   // (riscv_fclass:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2422192 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2422197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422198 */   // GIR_Coverage, 2028,
     /* 2422198 */   GIR_Done,
     /* 2422199 */ // Label 34901: @2422199
     /* 2422199 */ GIM_Reject,
     /* 2422200 */ // Label 34894: @2422200
     /* 2422200 */ GIM_Try, /*On fail goto*//*Label 34902*/ GIMT_Encode4(2422226), // Rule ID 1285 //
     /* 2422205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2422208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2422211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2422219 */   // (riscv_fclass:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2422219 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2422224 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422225 */   // GIR_Coverage, 1285,
     /* 2422225 */   GIR_Done,
     /* 2422226 */ // Label 34902: @2422226
     /* 2422226 */ GIM_Try, /*On fail goto*//*Label 34903*/ GIMT_Encode4(2422252), // Rule ID 1293 //
     /* 2422231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2422234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2422237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2422245 */   // (riscv_fclass:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2422245 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2422250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422251 */   // GIR_Coverage, 1293,
     /* 2422251 */   GIR_Done,
     /* 2422252 */ // Label 34903: @2422252
     /* 2422252 */ GIM_Try, /*On fail goto*//*Label 34904*/ GIMT_Encode4(2422278), // Rule ID 1628 //
     /* 2422257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2422260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2422263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2422271 */   // (riscv_fclass:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2422271 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2422276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422277 */   // GIR_Coverage, 1628,
     /* 2422277 */   GIR_Done,
     /* 2422278 */ // Label 34904: @2422278
     /* 2422278 */ GIM_Try, /*On fail goto*//*Label 34905*/ GIMT_Encode4(2422304), // Rule ID 1661 //
     /* 2422283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2422286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2422289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422297 */   // (riscv_fclass:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCLASS_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2422297 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_INX),
     /* 2422302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422303 */   // GIR_Coverage, 1661,
     /* 2422303 */   GIR_Done,
     /* 2422304 */ // Label 34905: @2422304
     /* 2422304 */ GIM_Try, /*On fail goto*//*Label 34906*/ GIMT_Encode4(2422330), // Rule ID 1683 //
     /* 2422309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2422312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2422315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2422323 */   // (riscv_fclass:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2422323 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2422328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422329 */   // GIR_Coverage, 1683,
     /* 2422329 */   GIR_Done,
     /* 2422330 */ // Label 34906: @2422330
     /* 2422330 */ GIM_Try, /*On fail goto*//*Label 34907*/ GIMT_Encode4(2422356), // Rule ID 1994 //
     /* 2422335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2422338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2422341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2422349 */   // (riscv_fclass:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2422349 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2422354 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422355 */   // GIR_Coverage, 1994,
     /* 2422355 */   GIR_Done,
     /* 2422356 */ // Label 34907: @2422356
     /* 2422356 */ GIM_Try, /*On fail goto*//*Label 34908*/ GIMT_Encode4(2422382), // Rule ID 2027 //
     /* 2422361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2422364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2422367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2422375 */   // (riscv_fclass:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2422375 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2422380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422381 */   // GIR_Coverage, 2027,
     /* 2422381 */   GIR_Done,
     /* 2422382 */ // Label 34908: @2422382
     /* 2422382 */ GIM_Reject,
     /* 2422383 */ // Label 34895: @2422383
     /* 2422383 */ GIM_Reject,
     /* 2422384 */ // Label 111: @2422384
     /* 2422384 */ GIM_Try, /*On fail goto*//*Label 34909*/ GIMT_Encode4(2422581),
     /* 2422389 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2422392 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34913*/ GIMT_Encode4(2422580),
     /* 2422403 */   /*GILLT_s16*//*Label 34910*/ GIMT_Encode4(2422415),
     /* 2422407 */   /*GILLT_s32*//*Label 34911*/ GIMT_Encode4(2422470),
     /* 2422411 */   /*GILLT_s64*//*Label 34912*/ GIMT_Encode4(2422525),
     /* 2422415 */   // Label 34910: @2422415
     /* 2422415 */   GIM_Try, /*On fail goto*//*Label 34914*/ GIMT_Encode4(2422469),
     /* 2422420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422424 */     GIM_Try, /*On fail goto*//*Label 34915*/ GIMT_Encode4(2422446), // Rule ID 2245 //
     /* 2422429 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2422432 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2422436 */       // MIs[0] frm
     /* 2422436 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2422439 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2422439 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2422444 */       GIR_RootConstrainSelectedInstOperands,
     /* 2422445 */       // GIR_Coverage, 2245,
     /* 2422445 */       GIR_Done,
     /* 2422446 */     // Label 34915: @2422446
     /* 2422446 */     GIM_Try, /*On fail goto*//*Label 34916*/ GIMT_Encode4(2422468), // Rule ID 2271 //
     /* 2422451 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2422454 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2422458 */       // MIs[0] frm
     /* 2422458 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2422461 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2422461 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2422466 */       GIR_RootConstrainSelectedInstOperands,
     /* 2422467 */       // GIR_Coverage, 2271,
     /* 2422467 */       GIR_Done,
     /* 2422468 */     // Label 34916: @2422468
     /* 2422468 */     GIM_Reject,
     /* 2422469 */   // Label 34914: @2422469
     /* 2422469 */   GIM_Reject,
     /* 2422470 */   // Label 34911: @2422470
     /* 2422470 */   GIM_Try, /*On fail goto*//*Label 34917*/ GIMT_Encode4(2422524),
     /* 2422475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422479 */     GIM_Try, /*On fail goto*//*Label 34918*/ GIMT_Encode4(2422501), // Rule ID 1511 //
     /* 2422484 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2422487 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2422491 */       // MIs[0] frm
     /* 2422491 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2422494 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2422494 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2422499 */       GIR_RootConstrainSelectedInstOperands,
     /* 2422500 */       // GIR_Coverage, 1511,
     /* 2422500 */       GIR_Done,
     /* 2422501 */     // Label 34918: @2422501
     /* 2422501 */     GIM_Try, /*On fail goto*//*Label 34919*/ GIMT_Encode4(2422523), // Rule ID 1539 //
     /* 2422506 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2422509 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2422513 */       // MIs[0] frm
     /* 2422513 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2422516 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2422516 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2422521 */       GIR_RootConstrainSelectedInstOperands,
     /* 2422522 */       // GIR_Coverage, 1539,
     /* 2422522 */       GIR_Done,
     /* 2422523 */     // Label 34919: @2422523
     /* 2422523 */     GIM_Reject,
     /* 2422524 */   // Label 34917: @2422524
     /* 2422524 */   GIM_Reject,
     /* 2422525 */   // Label 34912: @2422525
     /* 2422525 */   GIM_Try, /*On fail goto*//*Label 34920*/ GIMT_Encode4(2422579),
     /* 2422530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422534 */     GIM_Try, /*On fail goto*//*Label 34921*/ GIMT_Encode4(2422556), // Rule ID 1905 //
     /* 2422539 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2422542 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2422546 */       // MIs[0] frm
     /* 2422546 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2422549 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2422549 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2422554 */       GIR_RootConstrainSelectedInstOperands,
     /* 2422555 */       // GIR_Coverage, 1905,
     /* 2422555 */       GIR_Done,
     /* 2422556 */     // Label 34921: @2422556
     /* 2422556 */     GIM_Try, /*On fail goto*//*Label 34922*/ GIMT_Encode4(2422578), // Rule ID 1933 //
     /* 2422561 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2422564 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422568 */       // MIs[0] frm
     /* 2422568 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2422571 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2422571 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_INX),
     /* 2422576 */       GIR_RootConstrainSelectedInstOperands,
     /* 2422577 */       // GIR_Coverage, 1933,
     /* 2422577 */       GIR_Done,
     /* 2422578 */     // Label 34922: @2422578
     /* 2422578 */     GIM_Reject,
     /* 2422579 */   // Label 34920: @2422579
     /* 2422579 */   GIM_Reject,
     /* 2422580 */   // Label 34913: @2422580
     /* 2422580 */   GIM_Reject,
     /* 2422581 */ // Label 34909: @2422581
     /* 2422581 */ GIM_Reject,
     /* 2422582 */ // Label 112: @2422582
     /* 2422582 */ GIM_Try, /*On fail goto*//*Label 34923*/ GIMT_Encode4(2422779),
     /* 2422587 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2422590 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34927*/ GIMT_Encode4(2422778),
     /* 2422601 */   /*GILLT_s16*//*Label 34924*/ GIMT_Encode4(2422613),
     /* 2422605 */   /*GILLT_s32*//*Label 34925*/ GIMT_Encode4(2422668),
     /* 2422609 */   /*GILLT_s64*//*Label 34926*/ GIMT_Encode4(2422723),
     /* 2422613 */   // Label 34924: @2422613
     /* 2422613 */   GIM_Try, /*On fail goto*//*Label 34928*/ GIMT_Encode4(2422667),
     /* 2422618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422622 */     GIM_Try, /*On fail goto*//*Label 34929*/ GIMT_Encode4(2422644), // Rule ID 2243 //
     /* 2422627 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2422630 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2422634 */       // MIs[0] frm
     /* 2422634 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2422637 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2422637 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2422642 */       GIR_RootConstrainSelectedInstOperands,
     /* 2422643 */       // GIR_Coverage, 2243,
     /* 2422643 */       GIR_Done,
     /* 2422644 */     // Label 34929: @2422644
     /* 2422644 */     GIM_Try, /*On fail goto*//*Label 34930*/ GIMT_Encode4(2422666), // Rule ID 2269 //
     /* 2422649 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2422652 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2422656 */       // MIs[0] frm
     /* 2422656 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2422659 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2422659 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2422664 */       GIR_RootConstrainSelectedInstOperands,
     /* 2422665 */       // GIR_Coverage, 2269,
     /* 2422665 */       GIR_Done,
     /* 2422666 */     // Label 34930: @2422666
     /* 2422666 */     GIM_Reject,
     /* 2422667 */   // Label 34928: @2422667
     /* 2422667 */   GIM_Reject,
     /* 2422668 */   // Label 34925: @2422668
     /* 2422668 */   GIM_Try, /*On fail goto*//*Label 34931*/ GIMT_Encode4(2422722),
     /* 2422673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422677 */     GIM_Try, /*On fail goto*//*Label 34932*/ GIMT_Encode4(2422699), // Rule ID 1509 //
     /* 2422682 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2422685 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2422689 */       // MIs[0] frm
     /* 2422689 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2422692 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2422692 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2422697 */       GIR_RootConstrainSelectedInstOperands,
     /* 2422698 */       // GIR_Coverage, 1509,
     /* 2422698 */       GIR_Done,
     /* 2422699 */     // Label 34932: @2422699
     /* 2422699 */     GIM_Try, /*On fail goto*//*Label 34933*/ GIMT_Encode4(2422721), // Rule ID 1537 //
     /* 2422704 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2422707 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2422711 */       // MIs[0] frm
     /* 2422711 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2422714 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2422714 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2422719 */       GIR_RootConstrainSelectedInstOperands,
     /* 2422720 */       // GIR_Coverage, 1537,
     /* 2422720 */       GIR_Done,
     /* 2422721 */     // Label 34933: @2422721
     /* 2422721 */     GIM_Reject,
     /* 2422722 */   // Label 34931: @2422722
     /* 2422722 */   GIM_Reject,
     /* 2422723 */   // Label 34926: @2422723
     /* 2422723 */   GIM_Try, /*On fail goto*//*Label 34934*/ GIMT_Encode4(2422777),
     /* 2422728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422732 */     GIM_Try, /*On fail goto*//*Label 34935*/ GIMT_Encode4(2422754), // Rule ID 1903 //
     /* 2422737 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2422740 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2422744 */       // MIs[0] frm
     /* 2422744 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2422747 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2422747 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2422752 */       GIR_RootConstrainSelectedInstOperands,
     /* 2422753 */       // GIR_Coverage, 1903,
     /* 2422753 */       GIR_Done,
     /* 2422754 */     // Label 34935: @2422754
     /* 2422754 */     GIM_Try, /*On fail goto*//*Label 34936*/ GIMT_Encode4(2422776), // Rule ID 1931 //
     /* 2422759 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2422762 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422766 */       // MIs[0] frm
     /* 2422766 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2422769 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2422769 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_INX),
     /* 2422774 */       GIR_RootConstrainSelectedInstOperands,
     /* 2422775 */       // GIR_Coverage, 1931,
     /* 2422775 */       GIR_Done,
     /* 2422776 */     // Label 34936: @2422776
     /* 2422776 */     GIM_Reject,
     /* 2422777 */   // Label 34934: @2422777
     /* 2422777 */   GIM_Reject,
     /* 2422778 */   // Label 34927: @2422778
     /* 2422778 */   GIM_Reject,
     /* 2422779 */ // Label 34923: @2422779
     /* 2422779 */ GIM_Reject,
     /* 2422780 */ // Label 113: @2422780
     /* 2422780 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34939*/ GIMT_Encode4(2422839),
     /* 2422791 */ /*GILLT_s32*//*Label 34937*/ GIMT_Encode4(2422799),
     /* 2422795 */ /*GILLT_s64*//*Label 34938*/ GIMT_Encode4(2422819),
     /* 2422799 */ // Label 34937: @2422799
     /* 2422799 */ GIM_Try, /*On fail goto*//*Label 34940*/ GIMT_Encode4(2422818), // Rule ID 73 //
     /* 2422804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422811 */   // (riscv_read_vlenb:{ *:[i32] })  =>  (PseudoReadVLENB:{ *:[i32] })
     /* 2422811 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2422816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422817 */   // GIR_Coverage, 73,
     /* 2422817 */   GIR_Done,
     /* 2422818 */ // Label 34940: @2422818
     /* 2422818 */ GIM_Reject,
     /* 2422819 */ // Label 34938: @2422819
     /* 2422819 */ GIM_Try, /*On fail goto*//*Label 34941*/ GIMT_Encode4(2422838), // Rule ID 72 //
     /* 2422824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422831 */   // (riscv_read_vlenb:{ *:[i64] })  =>  (PseudoReadVLENB:{ *:[i64] })
     /* 2422831 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2422836 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422837 */   // GIR_Coverage, 72,
     /* 2422837 */   GIR_Done,
     /* 2422838 */ // Label 34941: @2422838
     /* 2422838 */ GIM_Reject,
     /* 2422839 */ // Label 34939: @2422839
     /* 2422839 */ GIM_Reject,
     /* 2422840 */ // Label 114: @2422840
     /* 2422840 */ GIM_Try, /*On fail goto*//*Label 34942*/ GIMT_Encode4(2422876), // Rule ID 320 //
     /* 2422845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2422848 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2422851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2422854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2422857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422869 */   // (riscv_remuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2422869 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMUW),
     /* 2422874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422875 */   // GIR_Coverage, 320,
     /* 2422875 */   GIR_Done,
     /* 2422876 */ // Label 34942: @2422876
     /* 2422876 */ GIM_Reject,
     /* 2422877 */ // Label 115: @2422877
     /* 2422877 */ GIM_Try, /*On fail goto*//*Label 34943*/ GIMT_Encode4(2423001),
     /* 2422882 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2422885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2422888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2422891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422899 */   GIM_Try, /*On fail goto*//*Label 34944*/ GIMT_Encode4(2422935), // Rule ID 2471 //
     /* 2422904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2422907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2422911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422919 */     // MIs[1] Operand 1
     /* 2422919 */     // No operand predicates
     /* 2422919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422921 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2422921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2422924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422928 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2422933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422934 */     // GIR_Coverage, 2471,
     /* 2422934 */     GIR_EraseRootFromParent_Done,
     /* 2422935 */   // Label 34944: @2422935
     /* 2422935 */   GIM_Try, /*On fail goto*//*Label 34945*/ GIMT_Encode4(2422971), // Rule ID 62572 //
     /* 2422940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2422943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2422947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422955 */     // MIs[1] Operand 1
     /* 2422955 */     // No operand predicates
     /* 2422955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422957 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2422957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2422960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422964 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2422969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422970 */     // GIR_Coverage, 62572,
     /* 2422970 */     GIR_EraseRootFromParent_Done,
     /* 2422971 */   // Label 34945: @2422971
     /* 2422971 */   GIM_Try, /*On fail goto*//*Label 34946*/ GIMT_Encode4(2423000), // Rule ID 2468 //
     /* 2422976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2422979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2422986 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2422986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROLW),
     /* 2422989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2422998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422999 */     // GIR_Coverage, 2468,
     /* 2422999 */     GIR_EraseRootFromParent_Done,
     /* 2423000 */   // Label 34946: @2423000
     /* 2423000 */   GIM_Reject,
     /* 2423001 */ // Label 34943: @2423001
     /* 2423001 */ GIM_Reject,
     /* 2423002 */ // Label 116: @2423002
     /* 2423002 */ GIM_Try, /*On fail goto*//*Label 34947*/ GIMT_Encode4(2423122),
     /* 2423007 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2423010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2423016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423024 */   GIM_Try, /*On fail goto*//*Label 34948*/ GIMT_Encode4(2423058), // Rule ID 2470 //
     /* 2423029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2423032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2423036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423044 */     // MIs[1] Operand 1
     /* 2423044 */     // No operand predicates
     /* 2423044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423046 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2423046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2423049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2423056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423057 */     // GIR_Coverage, 2470,
     /* 2423057 */     GIR_EraseRootFromParent_Done,
     /* 2423058 */   // Label 34948: @2423058
     /* 2423058 */   GIM_Try, /*On fail goto*//*Label 34949*/ GIMT_Encode4(2423092), // Rule ID 62571 //
     /* 2423063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2423066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2423070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423078 */     // MIs[1] Operand 1
     /* 2423078 */     // No operand predicates
     /* 2423078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423080 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2423080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2423083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2423090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423091 */     // GIR_Coverage, 62571,
     /* 2423091 */     GIR_EraseRootFromParent_Done,
     /* 2423092 */   // Label 34949: @2423092
     /* 2423092 */   GIM_Try, /*On fail goto*//*Label 34950*/ GIMT_Encode4(2423121), // Rule ID 2469 //
     /* 2423097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2423100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2423107 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (RORW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2423107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORW),
     /* 2423110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2423119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423120 */     // GIR_Coverage, 2469,
     /* 2423120 */     GIR_EraseRootFromParent_Done,
     /* 2423121 */   // Label 34950: @2423121
     /* 2423121 */   GIM_Reject,
     /* 2423122 */ // Label 34947: @2423122
     /* 2423122 */ GIM_Reject,
     /* 2423123 */ // Label 117: @2423123
     /* 2423123 */ GIM_Try, /*On fail goto*//*Label 34951*/ GIMT_Encode4(2423169), // Rule ID 271 //
     /* 2423128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2423131 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2423134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2423140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423148 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2423155 */   // (riscv_sllw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2423155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLW),
     /* 2423158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423160 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423162 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2423167 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423168 */   // GIR_Coverage, 271,
     /* 2423168 */   GIR_EraseRootFromParent_Done,
     /* 2423169 */ // Label 34951: @2423169
     /* 2423169 */ GIM_Reject,
     /* 2423170 */ // Label 118: @2423170
     /* 2423170 */ GIM_Try, /*On fail goto*//*Label 34952*/ GIMT_Encode4(2423216), // Rule ID 273 //
     /* 2423175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2423178 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2423181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2423187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423195 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2423202 */   // (riscv_sraw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRAW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2423202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAW),
     /* 2423205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423207 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423209 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2423214 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423215 */   // GIR_Coverage, 273,
     /* 2423215 */   GIR_EraseRootFromParent_Done,
     /* 2423216 */ // Label 34952: @2423216
     /* 2423216 */ GIM_Reject,
     /* 2423217 */ // Label 119: @2423217
     /* 2423217 */ GIM_Try, /*On fail goto*//*Label 34953*/ GIMT_Encode4(2423263), // Rule ID 272 //
     /* 2423222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2423225 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2423228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2423234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423242 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2423249 */   // (riscv_srlw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2423249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLW),
     /* 2423252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423254 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423256 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2423261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423262 */   // GIR_Coverage, 272,
     /* 2423262 */   GIR_EraseRootFromParent_Done,
     /* 2423263 */ // Label 34953: @2423263
     /* 2423263 */ GIM_Reject,
     /* 2423264 */ // Label 120: @2423264
     /* 2423264 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34961*/ GIMT_Encode4(2423912),
     /* 2423275 */ /*GILLT_nxv1s1*//*Label 34954*/ GIMT_Encode4(2423387), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2423295 */ /*GILLT_nxv2s1*//*Label 34955*/ GIMT_Encode4(2423462), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2423315 */ /*GILLT_nxv4s1*//*Label 34956*/ GIMT_Encode4(2423537), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2423335 */ /*GILLT_nxv8s1*//*Label 34957*/ GIMT_Encode4(2423612), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2423355 */ /*GILLT_nxv16s1*//*Label 34958*/ GIMT_Encode4(2423687), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2423371 */ /*GILLT_nxv32s1*//*Label 34959*/ GIMT_Encode4(2423762), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2423383 */ /*GILLT_nxv64s1*//*Label 34960*/ GIMT_Encode4(2423837),
     /* 2423387 */ // Label 34954: @2423387
     /* 2423387 */ GIM_Try, /*On fail goto*//*Label 34962*/ GIMT_Encode4(2423424), // Rule ID 44718 //
     /* 2423392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423402 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423409 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2423409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2423412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423414 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423423 */   // GIR_Coverage, 44718,
     /* 2423423 */   GIR_EraseRootFromParent_Done,
     /* 2423424 */ // Label 34962: @2423424
     /* 2423424 */ GIM_Try, /*On fail goto*//*Label 34963*/ GIMT_Encode4(2423461), // Rule ID 44719 //
     /* 2423429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2423435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423439 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423446 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2423446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2423449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423451 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423460 */   // GIR_Coverage, 44719,
     /* 2423460 */   GIR_EraseRootFromParent_Done,
     /* 2423461 */ // Label 34963: @2423461
     /* 2423461 */ GIM_Reject,
     /* 2423462 */ // Label 34955: @2423462
     /* 2423462 */ GIM_Try, /*On fail goto*//*Label 34964*/ GIMT_Encode4(2423499), // Rule ID 44746 //
     /* 2423467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423477 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423484 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2423484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2423487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423489 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423498 */   // GIR_Coverage, 44746,
     /* 2423498 */   GIR_EraseRootFromParent_Done,
     /* 2423499 */ // Label 34964: @2423499
     /* 2423499 */ GIM_Try, /*On fail goto*//*Label 34965*/ GIMT_Encode4(2423536), // Rule ID 44747 //
     /* 2423504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2423510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423514 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423521 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2423521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2423524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423526 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423535 */   // GIR_Coverage, 44747,
     /* 2423535 */   GIR_EraseRootFromParent_Done,
     /* 2423536 */ // Label 34965: @2423536
     /* 2423536 */ GIM_Reject,
     /* 2423537 */ // Label 34956: @2423537
     /* 2423537 */ GIM_Try, /*On fail goto*//*Label 34966*/ GIMT_Encode4(2423574), // Rule ID 44774 //
     /* 2423542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423552 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423559 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2423559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2423562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423564 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423573 */   // GIR_Coverage, 44774,
     /* 2423573 */   GIR_EraseRootFromParent_Done,
     /* 2423574 */ // Label 34966: @2423574
     /* 2423574 */ GIM_Try, /*On fail goto*//*Label 34967*/ GIMT_Encode4(2423611), // Rule ID 44775 //
     /* 2423579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2423585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423589 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423596 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2423596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2423599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423601 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423609 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423610 */   // GIR_Coverage, 44775,
     /* 2423610 */   GIR_EraseRootFromParent_Done,
     /* 2423611 */ // Label 34967: @2423611
     /* 2423611 */ GIM_Reject,
     /* 2423612 */ // Label 34957: @2423612
     /* 2423612 */ GIM_Try, /*On fail goto*//*Label 34968*/ GIMT_Encode4(2423649), // Rule ID 44802 //
     /* 2423617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423627 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423634 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2423634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2423637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423639 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423648 */   // GIR_Coverage, 44802,
     /* 2423648 */   GIR_EraseRootFromParent_Done,
     /* 2423649 */ // Label 34968: @2423649
     /* 2423649 */ GIM_Try, /*On fail goto*//*Label 34969*/ GIMT_Encode4(2423686), // Rule ID 44803 //
     /* 2423654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2423660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423664 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423671 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2423671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2423674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423676 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423685 */   // GIR_Coverage, 44803,
     /* 2423685 */   GIR_EraseRootFromParent_Done,
     /* 2423686 */ // Label 34969: @2423686
     /* 2423686 */ GIM_Reject,
     /* 2423687 */ // Label 34958: @2423687
     /* 2423687 */ GIM_Try, /*On fail goto*//*Label 34970*/ GIMT_Encode4(2423724), // Rule ID 44830 //
     /* 2423692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423702 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423709 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2423709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2423712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423714 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423722 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423723 */   // GIR_Coverage, 44830,
     /* 2423723 */   GIR_EraseRootFromParent_Done,
     /* 2423724 */ // Label 34970: @2423724
     /* 2423724 */ GIM_Try, /*On fail goto*//*Label 34971*/ GIMT_Encode4(2423761), // Rule ID 44831 //
     /* 2423729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2423735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423739 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423746 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2423746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2423749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423751 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423760 */   // GIR_Coverage, 44831,
     /* 2423760 */   GIR_EraseRootFromParent_Done,
     /* 2423761 */ // Label 34971: @2423761
     /* 2423761 */ GIM_Reject,
     /* 2423762 */ // Label 34959: @2423762
     /* 2423762 */ GIM_Try, /*On fail goto*//*Label 34972*/ GIMT_Encode4(2423799), // Rule ID 44858 //
     /* 2423767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423777 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423784 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2423784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2423787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423789 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423798 */   // GIR_Coverage, 44858,
     /* 2423798 */   GIR_EraseRootFromParent_Done,
     /* 2423799 */ // Label 34972: @2423799
     /* 2423799 */ GIM_Try, /*On fail goto*//*Label 34973*/ GIMT_Encode4(2423836), // Rule ID 44859 //
     /* 2423804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2423810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423814 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423821 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2423821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2423824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423826 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423835 */   // GIR_Coverage, 44859,
     /* 2423835 */   GIR_EraseRootFromParent_Done,
     /* 2423836 */ // Label 34973: @2423836
     /* 2423836 */ GIM_Reject,
     /* 2423837 */ // Label 34960: @2423837
     /* 2423837 */ GIM_Try, /*On fail goto*//*Label 34974*/ GIMT_Encode4(2423874), // Rule ID 44886 //
     /* 2423842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423852 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423859 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2423859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2423862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423864 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423873 */   // GIR_Coverage, 44886,
     /* 2423873 */   GIR_EraseRootFromParent_Done,
     /* 2423874 */ // Label 34974: @2423874
     /* 2423874 */ GIM_Try, /*On fail goto*//*Label 34975*/ GIMT_Encode4(2423911), // Rule ID 44887 //
     /* 2423879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2423885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423889 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423896 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2423896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2423899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423901 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2423909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423910 */   // GIR_Coverage, 44887,
     /* 2423910 */   GIR_EraseRootFromParent_Done,
     /* 2423911 */ // Label 34975: @2423911
     /* 2423911 */ GIM_Reject,
     /* 2423912 */ // Label 34961: @2423912
     /* 2423912 */ GIM_Reject,
     /* 2423913 */ // Label 121: @2423913
     /* 2423913 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34983*/ GIMT_Encode4(2424561),
     /* 2423924 */ /*GILLT_nxv1s1*//*Label 34976*/ GIMT_Encode4(2424036), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2423944 */ /*GILLT_nxv2s1*//*Label 34977*/ GIMT_Encode4(2424111), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2423964 */ /*GILLT_nxv4s1*//*Label 34978*/ GIMT_Encode4(2424186), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2423984 */ /*GILLT_nxv8s1*//*Label 34979*/ GIMT_Encode4(2424261), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2424004 */ /*GILLT_nxv16s1*//*Label 34980*/ GIMT_Encode4(2424336), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2424020 */ /*GILLT_nxv32s1*//*Label 34981*/ GIMT_Encode4(2424411), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2424032 */ /*GILLT_nxv64s1*//*Label 34982*/ GIMT_Encode4(2424486),
     /* 2424036 */ // Label 34976: @2424036
     /* 2424036 */ GIM_Try, /*On fail goto*//*Label 34984*/ GIMT_Encode4(2424073), // Rule ID 44716 //
     /* 2424041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424051 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424058 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2424058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2424061 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424063 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424071 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424072 */   // GIR_Coverage, 44716,
     /* 2424072 */   GIR_EraseRootFromParent_Done,
     /* 2424073 */ // Label 34984: @2424073
     /* 2424073 */ GIM_Try, /*On fail goto*//*Label 34985*/ GIMT_Encode4(2424110), // Rule ID 44717 //
     /* 2424078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2424084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424088 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424095 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2424095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2424098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424100 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424109 */   // GIR_Coverage, 44717,
     /* 2424109 */   GIR_EraseRootFromParent_Done,
     /* 2424110 */ // Label 34985: @2424110
     /* 2424110 */ GIM_Reject,
     /* 2424111 */ // Label 34977: @2424111
     /* 2424111 */ GIM_Try, /*On fail goto*//*Label 34986*/ GIMT_Encode4(2424148), // Rule ID 44744 //
     /* 2424116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424126 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424133 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2424133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2424136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424138 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424147 */   // GIR_Coverage, 44744,
     /* 2424147 */   GIR_EraseRootFromParent_Done,
     /* 2424148 */ // Label 34986: @2424148
     /* 2424148 */ GIM_Try, /*On fail goto*//*Label 34987*/ GIMT_Encode4(2424185), // Rule ID 44745 //
     /* 2424153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2424159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424163 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424170 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2424170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2424173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424175 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424184 */   // GIR_Coverage, 44745,
     /* 2424184 */   GIR_EraseRootFromParent_Done,
     /* 2424185 */ // Label 34987: @2424185
     /* 2424185 */ GIM_Reject,
     /* 2424186 */ // Label 34978: @2424186
     /* 2424186 */ GIM_Try, /*On fail goto*//*Label 34988*/ GIMT_Encode4(2424223), // Rule ID 44772 //
     /* 2424191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424201 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424208 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2424208 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2424211 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424213 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424222 */   // GIR_Coverage, 44772,
     /* 2424222 */   GIR_EraseRootFromParent_Done,
     /* 2424223 */ // Label 34988: @2424223
     /* 2424223 */ GIM_Try, /*On fail goto*//*Label 34989*/ GIMT_Encode4(2424260), // Rule ID 44773 //
     /* 2424228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2424234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424238 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424245 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2424245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2424248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424250 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424259 */   // GIR_Coverage, 44773,
     /* 2424259 */   GIR_EraseRootFromParent_Done,
     /* 2424260 */ // Label 34989: @2424260
     /* 2424260 */ GIM_Reject,
     /* 2424261 */ // Label 34979: @2424261
     /* 2424261 */ GIM_Try, /*On fail goto*//*Label 34990*/ GIMT_Encode4(2424298), // Rule ID 44800 //
     /* 2424266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424276 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424283 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2424283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2424286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424288 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424297 */   // GIR_Coverage, 44800,
     /* 2424297 */   GIR_EraseRootFromParent_Done,
     /* 2424298 */ // Label 34990: @2424298
     /* 2424298 */ GIM_Try, /*On fail goto*//*Label 34991*/ GIMT_Encode4(2424335), // Rule ID 44801 //
     /* 2424303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2424309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424313 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424320 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2424320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2424323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424325 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424334 */   // GIR_Coverage, 44801,
     /* 2424334 */   GIR_EraseRootFromParent_Done,
     /* 2424335 */ // Label 34991: @2424335
     /* 2424335 */ GIM_Reject,
     /* 2424336 */ // Label 34980: @2424336
     /* 2424336 */ GIM_Try, /*On fail goto*//*Label 34992*/ GIMT_Encode4(2424373), // Rule ID 44828 //
     /* 2424341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424351 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424358 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2424358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2424361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424363 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424372 */   // GIR_Coverage, 44828,
     /* 2424372 */   GIR_EraseRootFromParent_Done,
     /* 2424373 */ // Label 34992: @2424373
     /* 2424373 */ GIM_Try, /*On fail goto*//*Label 34993*/ GIMT_Encode4(2424410), // Rule ID 44829 //
     /* 2424378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2424384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424388 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424395 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2424395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2424398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424400 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424408 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424409 */   // GIR_Coverage, 44829,
     /* 2424409 */   GIR_EraseRootFromParent_Done,
     /* 2424410 */ // Label 34993: @2424410
     /* 2424410 */ GIM_Reject,
     /* 2424411 */ // Label 34981: @2424411
     /* 2424411 */ GIM_Try, /*On fail goto*//*Label 34994*/ GIMT_Encode4(2424448), // Rule ID 44856 //
     /* 2424416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424426 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424433 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2424433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2424436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424438 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424447 */   // GIR_Coverage, 44856,
     /* 2424447 */   GIR_EraseRootFromParent_Done,
     /* 2424448 */ // Label 34994: @2424448
     /* 2424448 */ GIM_Try, /*On fail goto*//*Label 34995*/ GIMT_Encode4(2424485), // Rule ID 44857 //
     /* 2424453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2424459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424463 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424470 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2424470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2424473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424475 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424484 */   // GIR_Coverage, 44857,
     /* 2424484 */   GIR_EraseRootFromParent_Done,
     /* 2424485 */ // Label 34995: @2424485
     /* 2424485 */ GIM_Reject,
     /* 2424486 */ // Label 34982: @2424486
     /* 2424486 */ GIM_Try, /*On fail goto*//*Label 34996*/ GIMT_Encode4(2424523), // Rule ID 44884 //
     /* 2424491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424501 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424508 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2424508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2424511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424513 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424521 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424522 */   // GIR_Coverage, 44884,
     /* 2424522 */   GIR_EraseRootFromParent_Done,
     /* 2424523 */ // Label 34996: @2424523
     /* 2424523 */ GIM_Try, /*On fail goto*//*Label 34997*/ GIMT_Encode4(2424560), // Rule ID 44885 //
     /* 2424528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2424534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424538 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424545 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2424545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2424548 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424550 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424558 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424559 */   // GIR_Coverage, 44885,
     /* 2424559 */   GIR_EraseRootFromParent_Done,
     /* 2424560 */ // Label 34997: @2424560
     /* 2424560 */ GIM_Reject,
     /* 2424561 */ // Label 34983: @2424561
     /* 2424561 */ GIM_Reject,
     /* 2424562 */ // Label 122: @2424562
     /* 2424562 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 35020*/ GIMT_Encode4(2428819),
     /* 2424573 */ /*GILLT_nxv1s8*//*Label 34998*/ GIMT_Encode4(2424685),
     /* 2424577 */ /*GILLT_nxv1s16*//*Label 34999*/ GIMT_Encode4(2424802),
     /* 2424581 */ /*GILLT_nxv1s32*//*Label 35000*/ GIMT_Encode4(2425023),
     /* 2424585 */ /*GILLT_nxv1s64*//*Label 35001*/ GIMT_Encode4(2425244), GIMT_Encode4(0),
     /* 2424593 */ /*GILLT_nxv2s8*//*Label 35002*/ GIMT_Encode4(2425465),
     /* 2424597 */ /*GILLT_nxv2s16*//*Label 35003*/ GIMT_Encode4(2425582),
     /* 2424601 */ /*GILLT_nxv2s32*//*Label 35004*/ GIMT_Encode4(2425803),
     /* 2424605 */ /*GILLT_nxv2s64*//*Label 35005*/ GIMT_Encode4(2426024), GIMT_Encode4(0),
     /* 2424613 */ /*GILLT_nxv4s8*//*Label 35006*/ GIMT_Encode4(2426245),
     /* 2424617 */ /*GILLT_nxv4s16*//*Label 35007*/ GIMT_Encode4(2426362),
     /* 2424621 */ /*GILLT_nxv4s32*//*Label 35008*/ GIMT_Encode4(2426583),
     /* 2424625 */ /*GILLT_nxv4s64*//*Label 35009*/ GIMT_Encode4(2426804), GIMT_Encode4(0),
     /* 2424633 */ /*GILLT_nxv8s8*//*Label 35010*/ GIMT_Encode4(2427025),
     /* 2424637 */ /*GILLT_nxv8s16*//*Label 35011*/ GIMT_Encode4(2427142),
     /* 2424641 */ /*GILLT_nxv8s32*//*Label 35012*/ GIMT_Encode4(2427363),
     /* 2424645 */ /*GILLT_nxv8s64*//*Label 35013*/ GIMT_Encode4(2427584), GIMT_Encode4(0),
     /* 2424653 */ /*GILLT_nxv16s8*//*Label 35014*/ GIMT_Encode4(2427805),
     /* 2424657 */ /*GILLT_nxv16s16*//*Label 35015*/ GIMT_Encode4(2427922),
     /* 2424661 */ /*GILLT_nxv16s32*//*Label 35016*/ GIMT_Encode4(2428143), GIMT_Encode4(0),
     /* 2424669 */ /*GILLT_nxv32s8*//*Label 35017*/ GIMT_Encode4(2428364),
     /* 2424673 */ /*GILLT_nxv32s16*//*Label 35018*/ GIMT_Encode4(2428481), GIMT_Encode4(0),
     /* 2424681 */ /*GILLT_nxv64s8*//*Label 35019*/ GIMT_Encode4(2428702),
     /* 2424685 */ // Label 34998: @2424685
     /* 2424685 */ GIM_Try, /*On fail goto*//*Label 35021*/ GIMT_Encode4(2424801),
     /* 2424690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2424693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2424696 */   GIM_Try, /*On fail goto*//*Label 35022*/ GIMT_Encode4(2424748), // Rule ID 32306 //
     /* 2424701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424726 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2424726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2424729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424731 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2424733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2424735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424747 */     // GIR_Coverage, 32306,
     /* 2424747 */     GIR_EraseRootFromParent_Done,
     /* 2424748 */   // Label 35022: @2424748
     /* 2424748 */   GIM_Try, /*On fail goto*//*Label 35023*/ GIMT_Encode4(2424800), // Rule ID 32307 //
     /* 2424753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424778 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2424778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2424781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424783 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2424785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2424787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424799 */     // GIR_Coverage, 32307,
     /* 2424799 */     GIR_EraseRootFromParent_Done,
     /* 2424800 */   // Label 35023: @2424800
     /* 2424800 */   GIM_Reject,
     /* 2424801 */ // Label 35021: @2424801
     /* 2424801 */ GIM_Reject,
     /* 2424802 */ // Label 34999: @2424802
     /* 2424802 */ GIM_Try, /*On fail goto*//*Label 35024*/ GIMT_Encode4(2425022),
     /* 2424807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2424810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2424813 */   GIM_Try, /*On fail goto*//*Label 35025*/ GIMT_Encode4(2424865), // Rule ID 32576 //
     /* 2424818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424843 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2424843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2424846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424848 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2424850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2424852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424864 */     // GIR_Coverage, 32576,
     /* 2424864 */     GIR_EraseRootFromParent_Done,
     /* 2424865 */   // Label 35025: @2424865
     /* 2424865 */   GIM_Try, /*On fail goto*//*Label 35026*/ GIMT_Encode4(2424917), // Rule ID 32577 //
     /* 2424870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424895 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2424895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2424898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424900 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2424902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2424904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424916 */     // GIR_Coverage, 32577,
     /* 2424916 */     GIR_EraseRootFromParent_Done,
     /* 2424917 */   // Label 35026: @2424917
     /* 2424917 */   GIM_Try, /*On fail goto*//*Label 35027*/ GIMT_Encode4(2424969), // Rule ID 34286 //
     /* 2424922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424947 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2424947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2424950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424952 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2424954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2424956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424968 */     // GIR_Coverage, 34286,
     /* 2424968 */     GIR_EraseRootFromParent_Done,
     /* 2424969 */   // Label 35027: @2424969
     /* 2424969 */   GIM_Try, /*On fail goto*//*Label 35028*/ GIMT_Encode4(2425021), // Rule ID 34287 //
     /* 2424974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424999 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2424999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2425002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425004 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425020 */     // GIR_Coverage, 34287,
     /* 2425020 */     GIR_EraseRootFromParent_Done,
     /* 2425021 */   // Label 35028: @2425021
     /* 2425021 */   GIM_Reject,
     /* 2425022 */ // Label 35024: @2425022
     /* 2425022 */ GIM_Reject,
     /* 2425023 */ // Label 35000: @2425023
     /* 2425023 */ GIM_Try, /*On fail goto*//*Label 35029*/ GIMT_Encode4(2425243),
     /* 2425028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2425031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2425034 */   GIM_Try, /*On fail goto*//*Label 35030*/ GIMT_Encode4(2425086), // Rule ID 32756 //
     /* 2425039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425064 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2425064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2425067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425069 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425085 */     // GIR_Coverage, 32756,
     /* 2425085 */     GIR_EraseRootFromParent_Done,
     /* 2425086 */   // Label 35030: @2425086
     /* 2425086 */   GIM_Try, /*On fail goto*//*Label 35031*/ GIMT_Encode4(2425138), // Rule ID 32757 //
     /* 2425091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425116 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2425116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2425119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425121 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425137 */     // GIR_Coverage, 32757,
     /* 2425137 */     GIR_EraseRootFromParent_Done,
     /* 2425138 */   // Label 35031: @2425138
     /* 2425138 */   GIM_Try, /*On fail goto*//*Label 35032*/ GIMT_Encode4(2425190), // Rule ID 34466 //
     /* 2425143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425168 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2425168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2425171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425173 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425189 */     // GIR_Coverage, 34466,
     /* 2425189 */     GIR_EraseRootFromParent_Done,
     /* 2425190 */   // Label 35032: @2425190
     /* 2425190 */   GIM_Try, /*On fail goto*//*Label 35033*/ GIMT_Encode4(2425242), // Rule ID 34467 //
     /* 2425195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425220 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2425220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2425223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425225 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425241 */     // GIR_Coverage, 34467,
     /* 2425241 */     GIR_EraseRootFromParent_Done,
     /* 2425242 */   // Label 35033: @2425242
     /* 2425242 */   GIM_Reject,
     /* 2425243 */ // Label 35029: @2425243
     /* 2425243 */ GIM_Reject,
     /* 2425244 */ // Label 35001: @2425244
     /* 2425244 */ GIM_Try, /*On fail goto*//*Label 35034*/ GIMT_Encode4(2425464),
     /* 2425249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2425252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2425255 */   GIM_Try, /*On fail goto*//*Label 35035*/ GIMT_Encode4(2425307), // Rule ID 33116 //
     /* 2425260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425285 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2425285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2425288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425290 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425306 */     // GIR_Coverage, 33116,
     /* 2425306 */     GIR_EraseRootFromParent_Done,
     /* 2425307 */   // Label 35035: @2425307
     /* 2425307 */   GIM_Try, /*On fail goto*//*Label 35036*/ GIMT_Encode4(2425359), // Rule ID 33117 //
     /* 2425312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425337 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2425337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2425340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425342 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425358 */     // GIR_Coverage, 33117,
     /* 2425358 */     GIR_EraseRootFromParent_Done,
     /* 2425359 */   // Label 35036: @2425359
     /* 2425359 */   GIM_Try, /*On fail goto*//*Label 35037*/ GIMT_Encode4(2425411), // Rule ID 34912 //
     /* 2425364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425389 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2425389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2425392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425394 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425410 */     // GIR_Coverage, 34912,
     /* 2425410 */     GIR_EraseRootFromParent_Done,
     /* 2425411 */   // Label 35037: @2425411
     /* 2425411 */   GIM_Try, /*On fail goto*//*Label 35038*/ GIMT_Encode4(2425463), // Rule ID 34913 //
     /* 2425416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425441 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2425441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2425444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425446 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425462 */     // GIR_Coverage, 34913,
     /* 2425462 */     GIR_EraseRootFromParent_Done,
     /* 2425463 */   // Label 35038: @2425463
     /* 2425463 */   GIM_Reject,
     /* 2425464 */ // Label 35034: @2425464
     /* 2425464 */ GIM_Reject,
     /* 2425465 */ // Label 35002: @2425465
     /* 2425465 */ GIM_Try, /*On fail goto*//*Label 35039*/ GIMT_Encode4(2425581),
     /* 2425470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2425473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2425476 */   GIM_Try, /*On fail goto*//*Label 35040*/ GIMT_Encode4(2425528), // Rule ID 32396 //
     /* 2425481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425506 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2425506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2425509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425511 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425527 */     // GIR_Coverage, 32396,
     /* 2425527 */     GIR_EraseRootFromParent_Done,
     /* 2425528 */   // Label 35040: @2425528
     /* 2425528 */   GIM_Try, /*On fail goto*//*Label 35041*/ GIMT_Encode4(2425580), // Rule ID 32397 //
     /* 2425533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425558 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2425558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2425561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425563 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425579 */     // GIR_Coverage, 32397,
     /* 2425579 */     GIR_EraseRootFromParent_Done,
     /* 2425580 */   // Label 35041: @2425580
     /* 2425580 */   GIM_Reject,
     /* 2425581 */ // Label 35039: @2425581
     /* 2425581 */ GIM_Reject,
     /* 2425582 */ // Label 35003: @2425582
     /* 2425582 */ GIM_Try, /*On fail goto*//*Label 35042*/ GIMT_Encode4(2425802),
     /* 2425587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2425590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2425593 */   GIM_Try, /*On fail goto*//*Label 35043*/ GIMT_Encode4(2425645), // Rule ID 32666 //
     /* 2425598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425623 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2425623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2425626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425628 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425644 */     // GIR_Coverage, 32666,
     /* 2425644 */     GIR_EraseRootFromParent_Done,
     /* 2425645 */   // Label 35043: @2425645
     /* 2425645 */   GIM_Try, /*On fail goto*//*Label 35044*/ GIMT_Encode4(2425697), // Rule ID 32667 //
     /* 2425650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425675 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2425675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2425678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425680 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425696 */     // GIR_Coverage, 32667,
     /* 2425696 */     GIR_EraseRootFromParent_Done,
     /* 2425697 */   // Label 35044: @2425697
     /* 2425697 */   GIM_Try, /*On fail goto*//*Label 35045*/ GIMT_Encode4(2425749), // Rule ID 34376 //
     /* 2425702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425727 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2425727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2425730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425732 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425748 */     // GIR_Coverage, 34376,
     /* 2425748 */     GIR_EraseRootFromParent_Done,
     /* 2425749 */   // Label 35045: @2425749
     /* 2425749 */   GIM_Try, /*On fail goto*//*Label 35046*/ GIMT_Encode4(2425801), // Rule ID 34377 //
     /* 2425754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425779 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2425779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2425782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425784 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425800 */     // GIR_Coverage, 34377,
     /* 2425800 */     GIR_EraseRootFromParent_Done,
     /* 2425801 */   // Label 35046: @2425801
     /* 2425801 */   GIM_Reject,
     /* 2425802 */ // Label 35042: @2425802
     /* 2425802 */ GIM_Reject,
     /* 2425803 */ // Label 35004: @2425803
     /* 2425803 */ GIM_Try, /*On fail goto*//*Label 35047*/ GIMT_Encode4(2426023),
     /* 2425808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2425811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2425814 */   GIM_Try, /*On fail goto*//*Label 35048*/ GIMT_Encode4(2425866), // Rule ID 33026 //
     /* 2425819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425844 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2425844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2425847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425849 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425865 */     // GIR_Coverage, 33026,
     /* 2425865 */     GIR_EraseRootFromParent_Done,
     /* 2425866 */   // Label 35048: @2425866
     /* 2425866 */   GIM_Try, /*On fail goto*//*Label 35049*/ GIMT_Encode4(2425918), // Rule ID 33027 //
     /* 2425871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425896 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2425896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2425899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425901 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425917 */     // GIR_Coverage, 33027,
     /* 2425917 */     GIR_EraseRootFromParent_Done,
     /* 2425918 */   // Label 35049: @2425918
     /* 2425918 */   GIM_Try, /*On fail goto*//*Label 35050*/ GIMT_Encode4(2425970), // Rule ID 34822 //
     /* 2425923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425948 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2425948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2425951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425953 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2425955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2425957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425969 */     // GIR_Coverage, 34822,
     /* 2425969 */     GIR_EraseRootFromParent_Done,
     /* 2425970 */   // Label 35050: @2425970
     /* 2425970 */   GIM_Try, /*On fail goto*//*Label 35051*/ GIMT_Encode4(2426022), // Rule ID 34823 //
     /* 2425975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426000 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2426003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426005 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426021 */     // GIR_Coverage, 34823,
     /* 2426021 */     GIR_EraseRootFromParent_Done,
     /* 2426022 */   // Label 35051: @2426022
     /* 2426022 */   GIM_Reject,
     /* 2426023 */ // Label 35047: @2426023
     /* 2426023 */ GIM_Reject,
     /* 2426024 */ // Label 35005: @2426024
     /* 2426024 */ GIM_Try, /*On fail goto*//*Label 35052*/ GIMT_Encode4(2426244),
     /* 2426029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2426032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2426035 */   GIM_Try, /*On fail goto*//*Label 35053*/ GIMT_Encode4(2426087), // Rule ID 34016 //
     /* 2426040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2426043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426065 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2426068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426070 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426086 */     // GIR_Coverage, 34016,
     /* 2426086 */     GIR_EraseRootFromParent_Done,
     /* 2426087 */   // Label 35053: @2426087
     /* 2426087 */   GIM_Try, /*On fail goto*//*Label 35054*/ GIMT_Encode4(2426139), // Rule ID 34017 //
     /* 2426092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2426095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426117 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2426120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426122 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426138 */     // GIR_Coverage, 34017,
     /* 2426138 */     GIR_EraseRootFromParent_Done,
     /* 2426139 */   // Label 35054: @2426139
     /* 2426139 */   GIM_Try, /*On fail goto*//*Label 35055*/ GIMT_Encode4(2426191), // Rule ID 35630 //
     /* 2426144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2426147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426169 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2426172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426174 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426190 */     // GIR_Coverage, 35630,
     /* 2426190 */     GIR_EraseRootFromParent_Done,
     /* 2426191 */   // Label 35055: @2426191
     /* 2426191 */   GIM_Try, /*On fail goto*//*Label 35056*/ GIMT_Encode4(2426243), // Rule ID 35631 //
     /* 2426196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2426199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426221 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2426224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426226 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426242 */     // GIR_Coverage, 35631,
     /* 2426242 */     GIR_EraseRootFromParent_Done,
     /* 2426243 */   // Label 35056: @2426243
     /* 2426243 */   GIM_Reject,
     /* 2426244 */ // Label 35052: @2426244
     /* 2426244 */ GIM_Reject,
     /* 2426245 */ // Label 35006: @2426245
     /* 2426245 */ GIM_Try, /*On fail goto*//*Label 35057*/ GIMT_Encode4(2426361),
     /* 2426250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2426253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2426256 */   GIM_Try, /*On fail goto*//*Label 35058*/ GIMT_Encode4(2426308), // Rule ID 32486 //
     /* 2426261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426286 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2426289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426291 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426307 */     // GIR_Coverage, 32486,
     /* 2426307 */     GIR_EraseRootFromParent_Done,
     /* 2426308 */   // Label 35058: @2426308
     /* 2426308 */   GIM_Try, /*On fail goto*//*Label 35059*/ GIMT_Encode4(2426360), // Rule ID 32487 //
     /* 2426313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426338 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2426341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426343 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426359 */     // GIR_Coverage, 32487,
     /* 2426359 */     GIR_EraseRootFromParent_Done,
     /* 2426360 */   // Label 35059: @2426360
     /* 2426360 */   GIM_Reject,
     /* 2426361 */ // Label 35057: @2426361
     /* 2426361 */ GIM_Reject,
     /* 2426362 */ // Label 35007: @2426362
     /* 2426362 */ GIM_Try, /*On fail goto*//*Label 35060*/ GIMT_Encode4(2426582),
     /* 2426367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2426370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2426373 */   GIM_Try, /*On fail goto*//*Label 35061*/ GIMT_Encode4(2426425), // Rule ID 32936 //
     /* 2426378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426403 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2426406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426408 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426424 */     // GIR_Coverage, 32936,
     /* 2426424 */     GIR_EraseRootFromParent_Done,
     /* 2426425 */   // Label 35061: @2426425
     /* 2426425 */   GIM_Try, /*On fail goto*//*Label 35062*/ GIMT_Encode4(2426477), // Rule ID 32937 //
     /* 2426430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426455 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2426458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426460 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426476 */     // GIR_Coverage, 32937,
     /* 2426476 */     GIR_EraseRootFromParent_Done,
     /* 2426477 */   // Label 35062: @2426477
     /* 2426477 */   GIM_Try, /*On fail goto*//*Label 35063*/ GIMT_Encode4(2426529), // Rule ID 34732 //
     /* 2426482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426507 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2426510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426512 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426528 */     // GIR_Coverage, 34732,
     /* 2426528 */     GIR_EraseRootFromParent_Done,
     /* 2426529 */   // Label 35063: @2426529
     /* 2426529 */   GIM_Try, /*On fail goto*//*Label 35064*/ GIMT_Encode4(2426581), // Rule ID 34733 //
     /* 2426534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426559 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2426562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426564 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426580 */     // GIR_Coverage, 34733,
     /* 2426580 */     GIR_EraseRootFromParent_Done,
     /* 2426581 */   // Label 35064: @2426581
     /* 2426581 */   GIM_Reject,
     /* 2426582 */ // Label 35060: @2426582
     /* 2426582 */ GIM_Reject,
     /* 2426583 */ // Label 35008: @2426583
     /* 2426583 */ GIM_Try, /*On fail goto*//*Label 35065*/ GIMT_Encode4(2426803),
     /* 2426588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2426591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2426594 */   GIM_Try, /*On fail goto*//*Label 35066*/ GIMT_Encode4(2426646), // Rule ID 33746 //
     /* 2426599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426624 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2426627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426629 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426645 */     // GIR_Coverage, 33746,
     /* 2426645 */     GIR_EraseRootFromParent_Done,
     /* 2426646 */   // Label 35066: @2426646
     /* 2426646 */   GIM_Try, /*On fail goto*//*Label 35067*/ GIMT_Encode4(2426698), // Rule ID 33747 //
     /* 2426651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426676 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2426679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426681 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426697 */     // GIR_Coverage, 33747,
     /* 2426697 */     GIR_EraseRootFromParent_Done,
     /* 2426698 */   // Label 35067: @2426698
     /* 2426698 */   GIM_Try, /*On fail goto*//*Label 35068*/ GIMT_Encode4(2426750), // Rule ID 35360 //
     /* 2426703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426728 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2426731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426733 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426749 */     // GIR_Coverage, 35360,
     /* 2426749 */     GIR_EraseRootFromParent_Done,
     /* 2426750 */   // Label 35068: @2426750
     /* 2426750 */   GIM_Try, /*On fail goto*//*Label 35069*/ GIMT_Encode4(2426802), // Rule ID 35361 //
     /* 2426755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426780 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2426783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426785 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426801 */     // GIR_Coverage, 35361,
     /* 2426801 */     GIR_EraseRootFromParent_Done,
     /* 2426802 */   // Label 35069: @2426802
     /* 2426802 */   GIM_Reject,
     /* 2426803 */ // Label 35065: @2426803
     /* 2426803 */ GIM_Reject,
     /* 2426804 */ // Label 35009: @2426804
     /* 2426804 */ GIM_Try, /*On fail goto*//*Label 35070*/ GIMT_Encode4(2427024),
     /* 2426809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2426812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2426815 */   GIM_Try, /*On fail goto*//*Label 35071*/ GIMT_Encode4(2426867), // Rule ID 34106 //
     /* 2426820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2426823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426845 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2426848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426850 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426866 */     // GIR_Coverage, 34106,
     /* 2426866 */     GIR_EraseRootFromParent_Done,
     /* 2426867 */   // Label 35071: @2426867
     /* 2426867 */   GIM_Try, /*On fail goto*//*Label 35072*/ GIMT_Encode4(2426919), // Rule ID 34107 //
     /* 2426872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2426875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426897 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2426900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426902 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426918 */     // GIR_Coverage, 34107,
     /* 2426918 */     GIR_EraseRootFromParent_Done,
     /* 2426919 */   // Label 35072: @2426919
     /* 2426919 */   GIM_Try, /*On fail goto*//*Label 35073*/ GIMT_Encode4(2426971), // Rule ID 35720 //
     /* 2426924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2426927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426949 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2426952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426954 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426970 */     // GIR_Coverage, 35720,
     /* 2426970 */     GIR_EraseRootFromParent_Done,
     /* 2426971 */   // Label 35073: @2426971
     /* 2426971 */   GIM_Try, /*On fail goto*//*Label 35074*/ GIMT_Encode4(2427023), // Rule ID 35721 //
     /* 2426976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2426979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427001 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2427004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427006 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427022 */     // GIR_Coverage, 35721,
     /* 2427022 */     GIR_EraseRootFromParent_Done,
     /* 2427023 */   // Label 35074: @2427023
     /* 2427023 */   GIM_Reject,
     /* 2427024 */ // Label 35070: @2427024
     /* 2427024 */ GIM_Reject,
     /* 2427025 */ // Label 35010: @2427025
     /* 2427025 */ GIM_Try, /*On fail goto*//*Label 35075*/ GIMT_Encode4(2427141),
     /* 2427030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2427033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2427036 */   GIM_Try, /*On fail goto*//*Label 35076*/ GIMT_Encode4(2427088), // Rule ID 32846 //
     /* 2427041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427066 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2427069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427071 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427087 */     // GIR_Coverage, 32846,
     /* 2427087 */     GIR_EraseRootFromParent_Done,
     /* 2427088 */   // Label 35076: @2427088
     /* 2427088 */   GIM_Try, /*On fail goto*//*Label 35077*/ GIMT_Encode4(2427140), // Rule ID 32847 //
     /* 2427093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427118 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2427121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427123 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427139 */     // GIR_Coverage, 32847,
     /* 2427139 */     GIR_EraseRootFromParent_Done,
     /* 2427140 */   // Label 35077: @2427140
     /* 2427140 */   GIM_Reject,
     /* 2427141 */ // Label 35075: @2427141
     /* 2427141 */ GIM_Reject,
     /* 2427142 */ // Label 35011: @2427142
     /* 2427142 */ GIM_Try, /*On fail goto*//*Label 35078*/ GIMT_Encode4(2427362),
     /* 2427147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2427150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2427153 */   GIM_Try, /*On fail goto*//*Label 35079*/ GIMT_Encode4(2427205), // Rule ID 33476 //
     /* 2427158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427183 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2427186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427188 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427204 */     // GIR_Coverage, 33476,
     /* 2427204 */     GIR_EraseRootFromParent_Done,
     /* 2427205 */   // Label 35079: @2427205
     /* 2427205 */   GIM_Try, /*On fail goto*//*Label 35080*/ GIMT_Encode4(2427257), // Rule ID 33477 //
     /* 2427210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427235 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2427238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427240 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427256 */     // GIR_Coverage, 33477,
     /* 2427256 */     GIR_EraseRootFromParent_Done,
     /* 2427257 */   // Label 35080: @2427257
     /* 2427257 */   GIM_Try, /*On fail goto*//*Label 35081*/ GIMT_Encode4(2427309), // Rule ID 35090 //
     /* 2427262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427287 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2427290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427292 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427308 */     // GIR_Coverage, 35090,
     /* 2427308 */     GIR_EraseRootFromParent_Done,
     /* 2427309 */   // Label 35081: @2427309
     /* 2427309 */   GIM_Try, /*On fail goto*//*Label 35082*/ GIMT_Encode4(2427361), // Rule ID 35091 //
     /* 2427314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427339 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2427342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427344 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427360 */     // GIR_Coverage, 35091,
     /* 2427360 */     GIR_EraseRootFromParent_Done,
     /* 2427361 */   // Label 35082: @2427361
     /* 2427361 */   GIM_Reject,
     /* 2427362 */ // Label 35078: @2427362
     /* 2427362 */ GIM_Reject,
     /* 2427363 */ // Label 35012: @2427363
     /* 2427363 */ GIM_Try, /*On fail goto*//*Label 35083*/ GIMT_Encode4(2427583),
     /* 2427368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2427371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2427374 */   GIM_Try, /*On fail goto*//*Label 35084*/ GIMT_Encode4(2427426), // Rule ID 33836 //
     /* 2427379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427404 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2427407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427409 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427425 */     // GIR_Coverage, 33836,
     /* 2427425 */     GIR_EraseRootFromParent_Done,
     /* 2427426 */   // Label 35084: @2427426
     /* 2427426 */   GIM_Try, /*On fail goto*//*Label 35085*/ GIMT_Encode4(2427478), // Rule ID 33837 //
     /* 2427431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427456 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2427459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427461 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427477 */     // GIR_Coverage, 33837,
     /* 2427477 */     GIR_EraseRootFromParent_Done,
     /* 2427478 */   // Label 35085: @2427478
     /* 2427478 */   GIM_Try, /*On fail goto*//*Label 35086*/ GIMT_Encode4(2427530), // Rule ID 35450 //
     /* 2427483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427508 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2427511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427513 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427529 */     // GIR_Coverage, 35450,
     /* 2427529 */     GIR_EraseRootFromParent_Done,
     /* 2427530 */   // Label 35086: @2427530
     /* 2427530 */   GIM_Try, /*On fail goto*//*Label 35087*/ GIMT_Encode4(2427582), // Rule ID 35451 //
     /* 2427535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427560 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2427563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427565 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427581 */     // GIR_Coverage, 35451,
     /* 2427581 */     GIR_EraseRootFromParent_Done,
     /* 2427582 */   // Label 35087: @2427582
     /* 2427582 */   GIM_Reject,
     /* 2427583 */ // Label 35083: @2427583
     /* 2427583 */ GIM_Reject,
     /* 2427584 */ // Label 35013: @2427584
     /* 2427584 */ GIM_Try, /*On fail goto*//*Label 35088*/ GIMT_Encode4(2427804),
     /* 2427589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2427592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2427595 */   GIM_Try, /*On fail goto*//*Label 35089*/ GIMT_Encode4(2427647), // Rule ID 34196 //
     /* 2427600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427625 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2427628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427630 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427646 */     // GIR_Coverage, 34196,
     /* 2427646 */     GIR_EraseRootFromParent_Done,
     /* 2427647 */   // Label 35089: @2427647
     /* 2427647 */   GIM_Try, /*On fail goto*//*Label 35090*/ GIMT_Encode4(2427699), // Rule ID 34197 //
     /* 2427652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427677 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2427680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427682 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427698 */     // GIR_Coverage, 34197,
     /* 2427698 */     GIR_EraseRootFromParent_Done,
     /* 2427699 */   // Label 35090: @2427699
     /* 2427699 */   GIM_Try, /*On fail goto*//*Label 35091*/ GIMT_Encode4(2427751), // Rule ID 35810 //
     /* 2427704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427729 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2427732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427734 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427750 */     // GIR_Coverage, 35810,
     /* 2427750 */     GIR_EraseRootFromParent_Done,
     /* 2427751 */   // Label 35091: @2427751
     /* 2427751 */   GIM_Try, /*On fail goto*//*Label 35092*/ GIMT_Encode4(2427803), // Rule ID 35811 //
     /* 2427756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427781 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2427784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427786 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427802 */     // GIR_Coverage, 35811,
     /* 2427802 */     GIR_EraseRootFromParent_Done,
     /* 2427803 */   // Label 35092: @2427803
     /* 2427803 */   GIM_Reject,
     /* 2427804 */ // Label 35088: @2427804
     /* 2427804 */ GIM_Reject,
     /* 2427805 */ // Label 35014: @2427805
     /* 2427805 */ GIM_Try, /*On fail goto*//*Label 35093*/ GIMT_Encode4(2427921),
     /* 2427810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2427813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2427816 */   GIM_Try, /*On fail goto*//*Label 35094*/ GIMT_Encode4(2427868), // Rule ID 33206 //
     /* 2427821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427846 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2427849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427851 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427867 */     // GIR_Coverage, 33206,
     /* 2427867 */     GIR_EraseRootFromParent_Done,
     /* 2427868 */   // Label 35094: @2427868
     /* 2427868 */   GIM_Try, /*On fail goto*//*Label 35095*/ GIMT_Encode4(2427920), // Rule ID 33207 //
     /* 2427873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427898 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2427901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427903 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427919 */     // GIR_Coverage, 33207,
     /* 2427919 */     GIR_EraseRootFromParent_Done,
     /* 2427920 */   // Label 35095: @2427920
     /* 2427920 */   GIM_Reject,
     /* 2427921 */ // Label 35093: @2427921
     /* 2427921 */ GIM_Reject,
     /* 2427922 */ // Label 35015: @2427922
     /* 2427922 */ GIM_Try, /*On fail goto*//*Label 35096*/ GIMT_Encode4(2428142),
     /* 2427927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2427930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2427933 */   GIM_Try, /*On fail goto*//*Label 35097*/ GIMT_Encode4(2427985), // Rule ID 33566 //
     /* 2427938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427963 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2427966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427968 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427984 */     // GIR_Coverage, 33566,
     /* 2427984 */     GIR_EraseRootFromParent_Done,
     /* 2427985 */   // Label 35097: @2427985
     /* 2427985 */   GIM_Try, /*On fail goto*//*Label 35098*/ GIMT_Encode4(2428037), // Rule ID 33567 //
     /* 2427990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428015 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2428018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428020 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428036 */     // GIR_Coverage, 33567,
     /* 2428036 */     GIR_EraseRootFromParent_Done,
     /* 2428037 */   // Label 35098: @2428037
     /* 2428037 */   GIM_Try, /*On fail goto*//*Label 35099*/ GIMT_Encode4(2428089), // Rule ID 35180 //
     /* 2428042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428067 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2428070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428072 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428088 */     // GIR_Coverage, 35180,
     /* 2428088 */     GIR_EraseRootFromParent_Done,
     /* 2428089 */   // Label 35099: @2428089
     /* 2428089 */   GIM_Try, /*On fail goto*//*Label 35100*/ GIMT_Encode4(2428141), // Rule ID 35181 //
     /* 2428094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428119 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2428122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428124 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428140 */     // GIR_Coverage, 35181,
     /* 2428140 */     GIR_EraseRootFromParent_Done,
     /* 2428141 */   // Label 35100: @2428141
     /* 2428141 */   GIM_Reject,
     /* 2428142 */ // Label 35096: @2428142
     /* 2428142 */ GIM_Reject,
     /* 2428143 */ // Label 35016: @2428143
     /* 2428143 */ GIM_Try, /*On fail goto*//*Label 35101*/ GIMT_Encode4(2428363),
     /* 2428148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2428151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2428154 */   GIM_Try, /*On fail goto*//*Label 35102*/ GIMT_Encode4(2428206), // Rule ID 33926 //
     /* 2428159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428184 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2428187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428189 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428205 */     // GIR_Coverage, 33926,
     /* 2428205 */     GIR_EraseRootFromParent_Done,
     /* 2428206 */   // Label 35102: @2428206
     /* 2428206 */   GIM_Try, /*On fail goto*//*Label 35103*/ GIMT_Encode4(2428258), // Rule ID 33927 //
     /* 2428211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428236 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2428239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428241 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428257 */     // GIR_Coverage, 33927,
     /* 2428257 */     GIR_EraseRootFromParent_Done,
     /* 2428258 */   // Label 35103: @2428258
     /* 2428258 */   GIM_Try, /*On fail goto*//*Label 35104*/ GIMT_Encode4(2428310), // Rule ID 35540 //
     /* 2428263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428288 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2428291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428293 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428309 */     // GIR_Coverage, 35540,
     /* 2428309 */     GIR_EraseRootFromParent_Done,
     /* 2428310 */   // Label 35104: @2428310
     /* 2428310 */   GIM_Try, /*On fail goto*//*Label 35105*/ GIMT_Encode4(2428362), // Rule ID 35541 //
     /* 2428315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428340 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2428343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428345 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428361 */     // GIR_Coverage, 35541,
     /* 2428361 */     GIR_EraseRootFromParent_Done,
     /* 2428362 */   // Label 35105: @2428362
     /* 2428362 */   GIM_Reject,
     /* 2428363 */ // Label 35101: @2428363
     /* 2428363 */ GIM_Reject,
     /* 2428364 */ // Label 35017: @2428364
     /* 2428364 */ GIM_Try, /*On fail goto*//*Label 35106*/ GIMT_Encode4(2428480),
     /* 2428369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2428372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2428375 */   GIM_Try, /*On fail goto*//*Label 35107*/ GIMT_Encode4(2428427), // Rule ID 33296 //
     /* 2428380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428405 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2428408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428410 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428426 */     // GIR_Coverage, 33296,
     /* 2428426 */     GIR_EraseRootFromParent_Done,
     /* 2428427 */   // Label 35107: @2428427
     /* 2428427 */   GIM_Try, /*On fail goto*//*Label 35108*/ GIMT_Encode4(2428479), // Rule ID 33297 //
     /* 2428432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428457 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2428460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428462 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428478 */     // GIR_Coverage, 33297,
     /* 2428478 */     GIR_EraseRootFromParent_Done,
     /* 2428479 */   // Label 35108: @2428479
     /* 2428479 */   GIM_Reject,
     /* 2428480 */ // Label 35106: @2428480
     /* 2428480 */ GIM_Reject,
     /* 2428481 */ // Label 35018: @2428481
     /* 2428481 */ GIM_Try, /*On fail goto*//*Label 35109*/ GIMT_Encode4(2428701),
     /* 2428486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2428489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2428492 */   GIM_Try, /*On fail goto*//*Label 35110*/ GIMT_Encode4(2428544), // Rule ID 33656 //
     /* 2428497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428522 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2428525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428527 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428543 */     // GIR_Coverage, 33656,
     /* 2428543 */     GIR_EraseRootFromParent_Done,
     /* 2428544 */   // Label 35110: @2428544
     /* 2428544 */   GIM_Try, /*On fail goto*//*Label 35111*/ GIMT_Encode4(2428596), // Rule ID 33657 //
     /* 2428549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428574 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2428577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428579 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428595 */     // GIR_Coverage, 33657,
     /* 2428595 */     GIR_EraseRootFromParent_Done,
     /* 2428596 */   // Label 35111: @2428596
     /* 2428596 */   GIM_Try, /*On fail goto*//*Label 35112*/ GIMT_Encode4(2428648), // Rule ID 35270 //
     /* 2428601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428626 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2428629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428631 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428647 */     // GIR_Coverage, 35270,
     /* 2428647 */     GIR_EraseRootFromParent_Done,
     /* 2428648 */   // Label 35112: @2428648
     /* 2428648 */   GIM_Try, /*On fail goto*//*Label 35113*/ GIMT_Encode4(2428700), // Rule ID 35271 //
     /* 2428653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428678 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2428681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428683 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428699 */     // GIR_Coverage, 35271,
     /* 2428699 */     GIR_EraseRootFromParent_Done,
     /* 2428700 */   // Label 35113: @2428700
     /* 2428700 */   GIM_Reject,
     /* 2428701 */ // Label 35109: @2428701
     /* 2428701 */ GIM_Reject,
     /* 2428702 */ // Label 35019: @2428702
     /* 2428702 */ GIM_Try, /*On fail goto*//*Label 35114*/ GIMT_Encode4(2428818),
     /* 2428707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2428710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2428713 */   GIM_Try, /*On fail goto*//*Label 35115*/ GIMT_Encode4(2428765), // Rule ID 33386 //
     /* 2428718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428743 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2428746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428748 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428764 */     // GIR_Coverage, 33386,
     /* 2428764 */     GIR_EraseRootFromParent_Done,
     /* 2428765 */   // Label 35115: @2428765
     /* 2428765 */   GIM_Try, /*On fail goto*//*Label 35116*/ GIMT_Encode4(2428817), // Rule ID 33387 //
     /* 2428770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428795 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2428798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428800 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428816 */     // GIR_Coverage, 33387,
     /* 2428816 */     GIR_EraseRootFromParent_Done,
     /* 2428817 */   // Label 35116: @2428817
     /* 2428817 */   GIM_Reject,
     /* 2428818 */ // Label 35114: @2428818
     /* 2428818 */ GIM_Reject,
     /* 2428819 */ // Label 35020: @2428819
     /* 2428819 */ GIM_Reject,
     /* 2428820 */ // Label 123: @2428820
     /* 2428820 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 35139*/ GIMT_Encode4(2440699),
     /* 2428831 */ /*GILLT_nxv1s8*//*Label 35117*/ GIMT_Encode4(2428943),
     /* 2428835 */ /*GILLT_nxv1s16*//*Label 35118*/ GIMT_Encode4(2429266),
     /* 2428839 */ /*GILLT_nxv1s32*//*Label 35119*/ GIMT_Encode4(2429899),
     /* 2428843 */ /*GILLT_nxv1s64*//*Label 35120*/ GIMT_Encode4(2430532), GIMT_Encode4(0),
     /* 2428851 */ /*GILLT_nxv2s8*//*Label 35121*/ GIMT_Encode4(2431165),
     /* 2428855 */ /*GILLT_nxv2s16*//*Label 35122*/ GIMT_Encode4(2431488),
     /* 2428859 */ /*GILLT_nxv2s32*//*Label 35123*/ GIMT_Encode4(2432121),
     /* 2428863 */ /*GILLT_nxv2s64*//*Label 35124*/ GIMT_Encode4(2432754), GIMT_Encode4(0),
     /* 2428871 */ /*GILLT_nxv4s8*//*Label 35125*/ GIMT_Encode4(2433387),
     /* 2428875 */ /*GILLT_nxv4s16*//*Label 35126*/ GIMT_Encode4(2433710),
     /* 2428879 */ /*GILLT_nxv4s32*//*Label 35127*/ GIMT_Encode4(2434343),
     /* 2428883 */ /*GILLT_nxv4s64*//*Label 35128*/ GIMT_Encode4(2434976), GIMT_Encode4(0),
     /* 2428891 */ /*GILLT_nxv8s8*//*Label 35129*/ GIMT_Encode4(2435609),
     /* 2428895 */ /*GILLT_nxv8s16*//*Label 35130*/ GIMT_Encode4(2435932),
     /* 2428899 */ /*GILLT_nxv8s32*//*Label 35131*/ GIMT_Encode4(2436565),
     /* 2428903 */ /*GILLT_nxv8s64*//*Label 35132*/ GIMT_Encode4(2437198), GIMT_Encode4(0),
     /* 2428911 */ /*GILLT_nxv16s8*//*Label 35133*/ GIMT_Encode4(2437831),
     /* 2428915 */ /*GILLT_nxv16s16*//*Label 35134*/ GIMT_Encode4(2438154),
     /* 2428919 */ /*GILLT_nxv16s32*//*Label 35135*/ GIMT_Encode4(2438787), GIMT_Encode4(0),
     /* 2428927 */ /*GILLT_nxv32s8*//*Label 35136*/ GIMT_Encode4(2439420),
     /* 2428931 */ /*GILLT_nxv32s16*//*Label 35137*/ GIMT_Encode4(2439743), GIMT_Encode4(0),
     /* 2428939 */ /*GILLT_nxv64s8*//*Label 35138*/ GIMT_Encode4(2440376),
     /* 2428943 */ // Label 35117: @2428943
     /* 2428943 */ GIM_Try, /*On fail goto*//*Label 35140*/ GIMT_Encode4(2429265),
     /* 2428948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2428951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2428954 */   GIM_Try, /*On fail goto*//*Label 35141*/ GIMT_Encode4(2429037), // Rule ID 45450 //
     /* 2428959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2428968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2428975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428995 */     // MIs[1] Operand 1
     /* 2428995 */     // No operand predicates
     /* 2428995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428999 */     // MIs[0] policy
     /* 2428999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429011 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2429014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429036 */     // GIR_Coverage, 45450,
     /* 2429036 */     GIR_EraseRootFromParent_Done,
     /* 2429037 */   // Label 35141: @2429037
     /* 2429037 */   GIM_Try, /*On fail goto*//*Label 35142*/ GIMT_Encode4(2429120), // Rule ID 45451 //
     /* 2429042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429078 */     // MIs[1] Operand 1
     /* 2429078 */     // No operand predicates
     /* 2429078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429082 */     // MIs[0] policy
     /* 2429082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429094 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2429097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429119 */     // GIR_Coverage, 45451,
     /* 2429119 */     GIR_EraseRootFromParent_Done,
     /* 2429120 */   // Label 35142: @2429120
     /* 2429120 */   GIM_Try, /*On fail goto*//*Label 35143*/ GIMT_Encode4(2429192), // Rule ID 45452 //
     /* 2429125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429157 */     // MIs[0] policy
     /* 2429157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429167 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2429170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429191 */     // GIR_Coverage, 45452,
     /* 2429191 */     GIR_EraseRootFromParent_Done,
     /* 2429192 */   // Label 35143: @2429192
     /* 2429192 */   GIM_Try, /*On fail goto*//*Label 35144*/ GIMT_Encode4(2429264), // Rule ID 45453 //
     /* 2429197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429229 */     // MIs[0] policy
     /* 2429229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429239 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2429242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429263 */     // GIR_Coverage, 45453,
     /* 2429263 */     GIR_EraseRootFromParent_Done,
     /* 2429264 */   // Label 35144: @2429264
     /* 2429264 */   GIM_Reject,
     /* 2429265 */ // Label 35140: @2429265
     /* 2429265 */ GIM_Reject,
     /* 2429266 */ // Label 35118: @2429266
     /* 2429266 */ GIM_Try, /*On fail goto*//*Label 35145*/ GIMT_Encode4(2429898),
     /* 2429271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2429274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2429277 */   GIM_Try, /*On fail goto*//*Label 35146*/ GIMT_Encode4(2429360), // Rule ID 45462 //
     /* 2429282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429318 */     // MIs[1] Operand 1
     /* 2429318 */     // No operand predicates
     /* 2429318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429322 */     // MIs[0] policy
     /* 2429322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429334 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2429337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429359 */     // GIR_Coverage, 45462,
     /* 2429359 */     GIR_EraseRootFromParent_Done,
     /* 2429360 */   // Label 35146: @2429360
     /* 2429360 */   GIM_Try, /*On fail goto*//*Label 35147*/ GIMT_Encode4(2429443), // Rule ID 45463 //
     /* 2429365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429401 */     // MIs[1] Operand 1
     /* 2429401 */     // No operand predicates
     /* 2429401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429405 */     // MIs[0] policy
     /* 2429405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429417 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2429420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429442 */     // GIR_Coverage, 45463,
     /* 2429442 */     GIR_EraseRootFromParent_Done,
     /* 2429443 */   // Label 35147: @2429443
     /* 2429443 */   GIM_Try, /*On fail goto*//*Label 35148*/ GIMT_Encode4(2429526), // Rule ID 45538 //
     /* 2429448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429484 */     // MIs[1] Operand 1
     /* 2429484 */     // No operand predicates
     /* 2429484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429488 */     // MIs[0] policy
     /* 2429488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429500 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2429503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429525 */     // GIR_Coverage, 45538,
     /* 2429525 */     GIR_EraseRootFromParent_Done,
     /* 2429526 */   // Label 35148: @2429526
     /* 2429526 */   GIM_Try, /*On fail goto*//*Label 35149*/ GIMT_Encode4(2429609), // Rule ID 45539 //
     /* 2429531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429567 */     // MIs[1] Operand 1
     /* 2429567 */     // No operand predicates
     /* 2429567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429571 */     // MIs[0] policy
     /* 2429571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429583 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2429586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429608 */     // GIR_Coverage, 45539,
     /* 2429608 */     GIR_EraseRootFromParent_Done,
     /* 2429609 */   // Label 35149: @2429609
     /* 2429609 */   GIM_Try, /*On fail goto*//*Label 35150*/ GIMT_Encode4(2429681), // Rule ID 45464 //
     /* 2429614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429646 */     // MIs[0] policy
     /* 2429646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429656 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2429659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429680 */     // GIR_Coverage, 45464,
     /* 2429680 */     GIR_EraseRootFromParent_Done,
     /* 2429681 */   // Label 35150: @2429681
     /* 2429681 */   GIM_Try, /*On fail goto*//*Label 35151*/ GIMT_Encode4(2429753), // Rule ID 45465 //
     /* 2429686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429718 */     // MIs[0] policy
     /* 2429718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429728 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2429731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429752 */     // GIR_Coverage, 45465,
     /* 2429752 */     GIR_EraseRootFromParent_Done,
     /* 2429753 */   // Label 35151: @2429753
     /* 2429753 */   GIM_Try, /*On fail goto*//*Label 35152*/ GIMT_Encode4(2429825), // Rule ID 45540 //
     /* 2429758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429790 */     // MIs[0] policy
     /* 2429790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429800 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2429803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429824 */     // GIR_Coverage, 45540,
     /* 2429824 */     GIR_EraseRootFromParent_Done,
     /* 2429825 */   // Label 35152: @2429825
     /* 2429825 */   GIM_Try, /*On fail goto*//*Label 35153*/ GIMT_Encode4(2429897), // Rule ID 45541 //
     /* 2429830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429862 */     // MIs[0] policy
     /* 2429862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429872 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2429875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429896 */     // GIR_Coverage, 45541,
     /* 2429896 */     GIR_EraseRootFromParent_Done,
     /* 2429897 */   // Label 35153: @2429897
     /* 2429897 */   GIM_Reject,
     /* 2429898 */ // Label 35145: @2429898
     /* 2429898 */ GIM_Reject,
     /* 2429899 */ // Label 35119: @2429899
     /* 2429899 */ GIM_Try, /*On fail goto*//*Label 35154*/ GIMT_Encode4(2430531),
     /* 2429904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2429907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2429910 */   GIM_Try, /*On fail goto*//*Label 35155*/ GIMT_Encode4(2429993), // Rule ID 45470 //
     /* 2429915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429951 */     // MIs[1] Operand 1
     /* 2429951 */     // No operand predicates
     /* 2429951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429955 */     // MIs[0] policy
     /* 2429955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429967 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2429970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429992 */     // GIR_Coverage, 45470,
     /* 2429992 */     GIR_EraseRootFromParent_Done,
     /* 2429993 */   // Label 35155: @2429993
     /* 2429993 */   GIM_Try, /*On fail goto*//*Label 35156*/ GIMT_Encode4(2430076), // Rule ID 45471 //
     /* 2429998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430034 */     // MIs[1] Operand 1
     /* 2430034 */     // No operand predicates
     /* 2430034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430038 */     // MIs[0] policy
     /* 2430038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430050 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2430053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2430072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430075 */     // GIR_Coverage, 45471,
     /* 2430075 */     GIR_EraseRootFromParent_Done,
     /* 2430076 */   // Label 35156: @2430076
     /* 2430076 */   GIM_Try, /*On fail goto*//*Label 35157*/ GIMT_Encode4(2430159), // Rule ID 45546 //
     /* 2430081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430117 */     // MIs[1] Operand 1
     /* 2430117 */     // No operand predicates
     /* 2430117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430121 */     // MIs[0] policy
     /* 2430121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430133 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2430136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2430155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430158 */     // GIR_Coverage, 45546,
     /* 2430158 */     GIR_EraseRootFromParent_Done,
     /* 2430159 */   // Label 35157: @2430159
     /* 2430159 */   GIM_Try, /*On fail goto*//*Label 35158*/ GIMT_Encode4(2430242), // Rule ID 45547 //
     /* 2430164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430200 */     // MIs[1] Operand 1
     /* 2430200 */     // No operand predicates
     /* 2430200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430204 */     // MIs[0] policy
     /* 2430204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430216 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2430219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2430238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430241 */     // GIR_Coverage, 45547,
     /* 2430241 */     GIR_EraseRootFromParent_Done,
     /* 2430242 */   // Label 35158: @2430242
     /* 2430242 */   GIM_Try, /*On fail goto*//*Label 35159*/ GIMT_Encode4(2430314), // Rule ID 45472 //
     /* 2430247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430279 */     // MIs[0] policy
     /* 2430279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430289 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2430292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2430310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430313 */     // GIR_Coverage, 45472,
     /* 2430313 */     GIR_EraseRootFromParent_Done,
     /* 2430314 */   // Label 35159: @2430314
     /* 2430314 */   GIM_Try, /*On fail goto*//*Label 35160*/ GIMT_Encode4(2430386), // Rule ID 45473 //
     /* 2430319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430351 */     // MIs[0] policy
     /* 2430351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430361 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2430364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2430382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430385 */     // GIR_Coverage, 45473,
     /* 2430385 */     GIR_EraseRootFromParent_Done,
     /* 2430386 */   // Label 35160: @2430386
     /* 2430386 */   GIM_Try, /*On fail goto*//*Label 35161*/ GIMT_Encode4(2430458), // Rule ID 45548 //
     /* 2430391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430423 */     // MIs[0] policy
     /* 2430423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430433 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2430436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2430454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430457 */     // GIR_Coverage, 45548,
     /* 2430457 */     GIR_EraseRootFromParent_Done,
     /* 2430458 */   // Label 35161: @2430458
     /* 2430458 */   GIM_Try, /*On fail goto*//*Label 35162*/ GIMT_Encode4(2430530), // Rule ID 45549 //
     /* 2430463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430495 */     // MIs[0] policy
     /* 2430495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430505 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2430508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2430526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430529 */     // GIR_Coverage, 45549,
     /* 2430529 */     GIR_EraseRootFromParent_Done,
     /* 2430530 */   // Label 35162: @2430530
     /* 2430530 */   GIM_Reject,
     /* 2430531 */ // Label 35154: @2430531
     /* 2430531 */ GIM_Reject,
     /* 2430532 */ // Label 35120: @2430532
     /* 2430532 */ GIM_Try, /*On fail goto*//*Label 35163*/ GIMT_Encode4(2431164),
     /* 2430537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2430540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2430543 */   GIM_Try, /*On fail goto*//*Label 35164*/ GIMT_Encode4(2430626), // Rule ID 45486 //
     /* 2430548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2430551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430584 */     // MIs[1] Operand 1
     /* 2430584 */     // No operand predicates
     /* 2430584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430588 */     // MIs[0] policy
     /* 2430588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430600 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2430603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2430622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430625 */     // GIR_Coverage, 45486,
     /* 2430625 */     GIR_EraseRootFromParent_Done,
     /* 2430626 */   // Label 35164: @2430626
     /* 2430626 */   GIM_Try, /*On fail goto*//*Label 35165*/ GIMT_Encode4(2430709), // Rule ID 45487 //
     /* 2430631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2430634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430667 */     // MIs[1] Operand 1
     /* 2430667 */     // No operand predicates
     /* 2430667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430671 */     // MIs[0] policy
     /* 2430671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430683 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2430686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2430705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430708 */     // GIR_Coverage, 45487,
     /* 2430708 */     GIR_EraseRootFromParent_Done,
     /* 2430709 */   // Label 35165: @2430709
     /* 2430709 */   GIM_Try, /*On fail goto*//*Label 35166*/ GIMT_Encode4(2430792), // Rule ID 45558 //
     /* 2430714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2430717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430750 */     // MIs[1] Operand 1
     /* 2430750 */     // No operand predicates
     /* 2430750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430754 */     // MIs[0] policy
     /* 2430754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430766 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2430769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2430788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430791 */     // GIR_Coverage, 45558,
     /* 2430791 */     GIR_EraseRootFromParent_Done,
     /* 2430792 */   // Label 35166: @2430792
     /* 2430792 */   GIM_Try, /*On fail goto*//*Label 35167*/ GIMT_Encode4(2430875), // Rule ID 45559 //
     /* 2430797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2430800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430833 */     // MIs[1] Operand 1
     /* 2430833 */     // No operand predicates
     /* 2430833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430837 */     // MIs[0] policy
     /* 2430837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430849 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2430852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2430871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430874 */     // GIR_Coverage, 45559,
     /* 2430874 */     GIR_EraseRootFromParent_Done,
     /* 2430875 */   // Label 35167: @2430875
     /* 2430875 */   GIM_Try, /*On fail goto*//*Label 35168*/ GIMT_Encode4(2430947), // Rule ID 45488 //
     /* 2430880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2430883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430912 */     // MIs[0] policy
     /* 2430912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430922 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2430925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2430943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430946 */     // GIR_Coverage, 45488,
     /* 2430946 */     GIR_EraseRootFromParent_Done,
     /* 2430947 */   // Label 35168: @2430947
     /* 2430947 */   GIM_Try, /*On fail goto*//*Label 35169*/ GIMT_Encode4(2431019), // Rule ID 45489 //
     /* 2430952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2430955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430984 */     // MIs[0] policy
     /* 2430984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430994 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2430997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2431015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431018 */     // GIR_Coverage, 45489,
     /* 2431018 */     GIR_EraseRootFromParent_Done,
     /* 2431019 */   // Label 35169: @2431019
     /* 2431019 */   GIM_Try, /*On fail goto*//*Label 35170*/ GIMT_Encode4(2431091), // Rule ID 45560 //
     /* 2431024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2431027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431056 */     // MIs[0] policy
     /* 2431056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431066 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2431069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2431087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431090 */     // GIR_Coverage, 45560,
     /* 2431090 */     GIR_EraseRootFromParent_Done,
     /* 2431091 */   // Label 35170: @2431091
     /* 2431091 */   GIM_Try, /*On fail goto*//*Label 35171*/ GIMT_Encode4(2431163), // Rule ID 45561 //
     /* 2431096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2431099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431128 */     // MIs[0] policy
     /* 2431128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431138 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2431141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2431159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431162 */     // GIR_Coverage, 45561,
     /* 2431162 */     GIR_EraseRootFromParent_Done,
     /* 2431163 */   // Label 35171: @2431163
     /* 2431163 */   GIM_Reject,
     /* 2431164 */ // Label 35163: @2431164
     /* 2431164 */ GIM_Reject,
     /* 2431165 */ // Label 35121: @2431165
     /* 2431165 */ GIM_Try, /*On fail goto*//*Label 35172*/ GIMT_Encode4(2431487),
     /* 2431170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2431173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2431176 */   GIM_Try, /*On fail goto*//*Label 35173*/ GIMT_Encode4(2431259), // Rule ID 45454 //
     /* 2431181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431217 */     // MIs[1] Operand 1
     /* 2431217 */     // No operand predicates
     /* 2431217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431221 */     // MIs[0] policy
     /* 2431221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431233 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2431236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431258 */     // GIR_Coverage, 45454,
     /* 2431258 */     GIR_EraseRootFromParent_Done,
     /* 2431259 */   // Label 35173: @2431259
     /* 2431259 */   GIM_Try, /*On fail goto*//*Label 35174*/ GIMT_Encode4(2431342), // Rule ID 45455 //
     /* 2431264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431300 */     // MIs[1] Operand 1
     /* 2431300 */     // No operand predicates
     /* 2431300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431304 */     // MIs[0] policy
     /* 2431304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431316 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2431319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431341 */     // GIR_Coverage, 45455,
     /* 2431341 */     GIR_EraseRootFromParent_Done,
     /* 2431342 */   // Label 35174: @2431342
     /* 2431342 */   GIM_Try, /*On fail goto*//*Label 35175*/ GIMT_Encode4(2431414), // Rule ID 45456 //
     /* 2431347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431379 */     // MIs[0] policy
     /* 2431379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431389 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2431392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431413 */     // GIR_Coverage, 45456,
     /* 2431413 */     GIR_EraseRootFromParent_Done,
     /* 2431414 */   // Label 35175: @2431414
     /* 2431414 */   GIM_Try, /*On fail goto*//*Label 35176*/ GIMT_Encode4(2431486), // Rule ID 45457 //
     /* 2431419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431451 */     // MIs[0] policy
     /* 2431451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431461 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2431464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431485 */     // GIR_Coverage, 45457,
     /* 2431485 */     GIR_EraseRootFromParent_Done,
     /* 2431486 */   // Label 35176: @2431486
     /* 2431486 */   GIM_Reject,
     /* 2431487 */ // Label 35172: @2431487
     /* 2431487 */ GIM_Reject,
     /* 2431488 */ // Label 35122: @2431488
     /* 2431488 */ GIM_Try, /*On fail goto*//*Label 35177*/ GIMT_Encode4(2432120),
     /* 2431493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2431496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2431499 */   GIM_Try, /*On fail goto*//*Label 35178*/ GIMT_Encode4(2431582), // Rule ID 45466 //
     /* 2431504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431540 */     // MIs[1] Operand 1
     /* 2431540 */     // No operand predicates
     /* 2431540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431544 */     // MIs[0] policy
     /* 2431544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431556 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2431559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431568 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431581 */     // GIR_Coverage, 45466,
     /* 2431581 */     GIR_EraseRootFromParent_Done,
     /* 2431582 */   // Label 35178: @2431582
     /* 2431582 */   GIM_Try, /*On fail goto*//*Label 35179*/ GIMT_Encode4(2431665), // Rule ID 45467 //
     /* 2431587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431623 */     // MIs[1] Operand 1
     /* 2431623 */     // No operand predicates
     /* 2431623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431627 */     // MIs[0] policy
     /* 2431627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431639 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2431642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431664 */     // GIR_Coverage, 45467,
     /* 2431664 */     GIR_EraseRootFromParent_Done,
     /* 2431665 */   // Label 35179: @2431665
     /* 2431665 */   GIM_Try, /*On fail goto*//*Label 35180*/ GIMT_Encode4(2431748), // Rule ID 45542 //
     /* 2431670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431706 */     // MIs[1] Operand 1
     /* 2431706 */     // No operand predicates
     /* 2431706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431710 */     // MIs[0] policy
     /* 2431710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431722 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2431725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431747 */     // GIR_Coverage, 45542,
     /* 2431747 */     GIR_EraseRootFromParent_Done,
     /* 2431748 */   // Label 35180: @2431748
     /* 2431748 */   GIM_Try, /*On fail goto*//*Label 35181*/ GIMT_Encode4(2431831), // Rule ID 45543 //
     /* 2431753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431789 */     // MIs[1] Operand 1
     /* 2431789 */     // No operand predicates
     /* 2431789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431793 */     // MIs[0] policy
     /* 2431793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431805 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2431808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431830 */     // GIR_Coverage, 45543,
     /* 2431830 */     GIR_EraseRootFromParent_Done,
     /* 2431831 */   // Label 35181: @2431831
     /* 2431831 */   GIM_Try, /*On fail goto*//*Label 35182*/ GIMT_Encode4(2431903), // Rule ID 45468 //
     /* 2431836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431868 */     // MIs[0] policy
     /* 2431868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431878 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2431881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431902 */     // GIR_Coverage, 45468,
     /* 2431902 */     GIR_EraseRootFromParent_Done,
     /* 2431903 */   // Label 35182: @2431903
     /* 2431903 */   GIM_Try, /*On fail goto*//*Label 35183*/ GIMT_Encode4(2431975), // Rule ID 45469 //
     /* 2431908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431940 */     // MIs[0] policy
     /* 2431940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431950 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2431953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431974 */     // GIR_Coverage, 45469,
     /* 2431974 */     GIR_EraseRootFromParent_Done,
     /* 2431975 */   // Label 35183: @2431975
     /* 2431975 */   GIM_Try, /*On fail goto*//*Label 35184*/ GIMT_Encode4(2432047), // Rule ID 45544 //
     /* 2431980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432012 */     // MIs[0] policy
     /* 2432012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432022 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2432025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432046 */     // GIR_Coverage, 45544,
     /* 2432046 */     GIR_EraseRootFromParent_Done,
     /* 2432047 */   // Label 35184: @2432047
     /* 2432047 */   GIM_Try, /*On fail goto*//*Label 35185*/ GIMT_Encode4(2432119), // Rule ID 45545 //
     /* 2432052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432084 */     // MIs[0] policy
     /* 2432084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432094 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2432097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432118 */     // GIR_Coverage, 45545,
     /* 2432118 */     GIR_EraseRootFromParent_Done,
     /* 2432119 */   // Label 35185: @2432119
     /* 2432119 */   GIM_Reject,
     /* 2432120 */ // Label 35177: @2432120
     /* 2432120 */ GIM_Reject,
     /* 2432121 */ // Label 35123: @2432121
     /* 2432121 */ GIM_Try, /*On fail goto*//*Label 35186*/ GIMT_Encode4(2432753),
     /* 2432126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2432129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2432132 */   GIM_Try, /*On fail goto*//*Label 35187*/ GIMT_Encode4(2432215), // Rule ID 45482 //
     /* 2432137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432173 */     // MIs[1] Operand 1
     /* 2432173 */     // No operand predicates
     /* 2432173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432177 */     // MIs[0] policy
     /* 2432177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432189 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2432192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432214 */     // GIR_Coverage, 45482,
     /* 2432214 */     GIR_EraseRootFromParent_Done,
     /* 2432215 */   // Label 35187: @2432215
     /* 2432215 */   GIM_Try, /*On fail goto*//*Label 35188*/ GIMT_Encode4(2432298), // Rule ID 45483 //
     /* 2432220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432256 */     // MIs[1] Operand 1
     /* 2432256 */     // No operand predicates
     /* 2432256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432260 */     // MIs[0] policy
     /* 2432260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432272 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2432275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432297 */     // GIR_Coverage, 45483,
     /* 2432297 */     GIR_EraseRootFromParent_Done,
     /* 2432298 */   // Label 35188: @2432298
     /* 2432298 */   GIM_Try, /*On fail goto*//*Label 35189*/ GIMT_Encode4(2432381), // Rule ID 45554 //
     /* 2432303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432339 */     // MIs[1] Operand 1
     /* 2432339 */     // No operand predicates
     /* 2432339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432343 */     // MIs[0] policy
     /* 2432343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432355 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2432358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432380 */     // GIR_Coverage, 45554,
     /* 2432380 */     GIR_EraseRootFromParent_Done,
     /* 2432381 */   // Label 35189: @2432381
     /* 2432381 */   GIM_Try, /*On fail goto*//*Label 35190*/ GIMT_Encode4(2432464), // Rule ID 45555 //
     /* 2432386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432422 */     // MIs[1] Operand 1
     /* 2432422 */     // No operand predicates
     /* 2432422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432426 */     // MIs[0] policy
     /* 2432426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432438 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2432441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432463 */     // GIR_Coverage, 45555,
     /* 2432463 */     GIR_EraseRootFromParent_Done,
     /* 2432464 */   // Label 35190: @2432464
     /* 2432464 */   GIM_Try, /*On fail goto*//*Label 35191*/ GIMT_Encode4(2432536), // Rule ID 45484 //
     /* 2432469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432501 */     // MIs[0] policy
     /* 2432501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432511 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2432514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432535 */     // GIR_Coverage, 45484,
     /* 2432535 */     GIR_EraseRootFromParent_Done,
     /* 2432536 */   // Label 35191: @2432536
     /* 2432536 */   GIM_Try, /*On fail goto*//*Label 35192*/ GIMT_Encode4(2432608), // Rule ID 45485 //
     /* 2432541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432573 */     // MIs[0] policy
     /* 2432573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432583 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2432586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432607 */     // GIR_Coverage, 45485,
     /* 2432607 */     GIR_EraseRootFromParent_Done,
     /* 2432608 */   // Label 35192: @2432608
     /* 2432608 */   GIM_Try, /*On fail goto*//*Label 35193*/ GIMT_Encode4(2432680), // Rule ID 45556 //
     /* 2432613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432645 */     // MIs[0] policy
     /* 2432645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432655 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2432658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432679 */     // GIR_Coverage, 45556,
     /* 2432679 */     GIR_EraseRootFromParent_Done,
     /* 2432680 */   // Label 35193: @2432680
     /* 2432680 */   GIM_Try, /*On fail goto*//*Label 35194*/ GIMT_Encode4(2432752), // Rule ID 45557 //
     /* 2432685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432717 */     // MIs[0] policy
     /* 2432717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432727 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2432730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432751 */     // GIR_Coverage, 45557,
     /* 2432751 */     GIR_EraseRootFromParent_Done,
     /* 2432752 */   // Label 35194: @2432752
     /* 2432752 */   GIM_Reject,
     /* 2432753 */ // Label 35186: @2432753
     /* 2432753 */ GIM_Reject,
     /* 2432754 */ // Label 35124: @2432754
     /* 2432754 */ GIM_Try, /*On fail goto*//*Label 35195*/ GIMT_Encode4(2433386),
     /* 2432759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2432762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2432765 */   GIM_Try, /*On fail goto*//*Label 35196*/ GIMT_Encode4(2432848), // Rule ID 45526 //
     /* 2432770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2432773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2432786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2432790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2432794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432806 */     // MIs[1] Operand 1
     /* 2432806 */     // No operand predicates
     /* 2432806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432810 */     // MIs[0] policy
     /* 2432810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432822 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2432825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432847 */     // GIR_Coverage, 45526,
     /* 2432847 */     GIR_EraseRootFromParent_Done,
     /* 2432848 */   // Label 35196: @2432848
     /* 2432848 */   GIM_Try, /*On fail goto*//*Label 35197*/ GIMT_Encode4(2432931), // Rule ID 45527 //
     /* 2432853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2432856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2432869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2432873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2432877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432889 */     // MIs[1] Operand 1
     /* 2432889 */     // No operand predicates
     /* 2432889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432893 */     // MIs[0] policy
     /* 2432893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432905 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2432908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432930 */     // GIR_Coverage, 45527,
     /* 2432930 */     GIR_EraseRootFromParent_Done,
     /* 2432931 */   // Label 35197: @2432931
     /* 2432931 */   GIM_Try, /*On fail goto*//*Label 35198*/ GIMT_Encode4(2433014), // Rule ID 45586 //
     /* 2432936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2432939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2432952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2432956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2432960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432972 */     // MIs[1] Operand 1
     /* 2432972 */     // No operand predicates
     /* 2432972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432976 */     // MIs[0] policy
     /* 2432976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432988 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2432991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2433010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433013 */     // GIR_Coverage, 45586,
     /* 2433013 */     GIR_EraseRootFromParent_Done,
     /* 2433014 */   // Label 35198: @2433014
     /* 2433014 */   GIM_Try, /*On fail goto*//*Label 35199*/ GIMT_Encode4(2433097), // Rule ID 45587 //
     /* 2433019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2433022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2433035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433055 */     // MIs[1] Operand 1
     /* 2433055 */     // No operand predicates
     /* 2433055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433059 */     // MIs[0] policy
     /* 2433059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433071 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2433074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2433093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433096 */     // GIR_Coverage, 45587,
     /* 2433096 */     GIR_EraseRootFromParent_Done,
     /* 2433097 */   // Label 35199: @2433097
     /* 2433097 */   GIM_Try, /*On fail goto*//*Label 35200*/ GIMT_Encode4(2433169), // Rule ID 45528 //
     /* 2433102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2433105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2433118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433134 */     // MIs[0] policy
     /* 2433134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433144 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2433147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2433165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433168 */     // GIR_Coverage, 45528,
     /* 2433168 */     GIR_EraseRootFromParent_Done,
     /* 2433169 */   // Label 35200: @2433169
     /* 2433169 */   GIM_Try, /*On fail goto*//*Label 35201*/ GIMT_Encode4(2433241), // Rule ID 45529 //
     /* 2433174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2433177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2433190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433206 */     // MIs[0] policy
     /* 2433206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433216 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2433219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2433237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433240 */     // GIR_Coverage, 45529,
     /* 2433240 */     GIR_EraseRootFromParent_Done,
     /* 2433241 */   // Label 35201: @2433241
     /* 2433241 */   GIM_Try, /*On fail goto*//*Label 35202*/ GIMT_Encode4(2433313), // Rule ID 45588 //
     /* 2433246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2433249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2433262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433278 */     // MIs[0] policy
     /* 2433278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433288 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2433291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2433309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433312 */     // GIR_Coverage, 45588,
     /* 2433312 */     GIR_EraseRootFromParent_Done,
     /* 2433313 */   // Label 35202: @2433313
     /* 2433313 */   GIM_Try, /*On fail goto*//*Label 35203*/ GIMT_Encode4(2433385), // Rule ID 45589 //
     /* 2433318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2433321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2433334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433350 */     // MIs[0] policy
     /* 2433350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433360 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2433363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2433381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433384 */     // GIR_Coverage, 45589,
     /* 2433384 */     GIR_EraseRootFromParent_Done,
     /* 2433385 */   // Label 35203: @2433385
     /* 2433385 */   GIM_Reject,
     /* 2433386 */ // Label 35195: @2433386
     /* 2433386 */ GIM_Reject,
     /* 2433387 */ // Label 35125: @2433387
     /* 2433387 */ GIM_Try, /*On fail goto*//*Label 35204*/ GIMT_Encode4(2433709),
     /* 2433392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2433395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2433398 */   GIM_Try, /*On fail goto*//*Label 35205*/ GIMT_Encode4(2433481), // Rule ID 45458 //
     /* 2433403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433439 */     // MIs[1] Operand 1
     /* 2433439 */     // No operand predicates
     /* 2433439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433443 */     // MIs[0] policy
     /* 2433443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433455 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2433458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433480 */     // GIR_Coverage, 45458,
     /* 2433480 */     GIR_EraseRootFromParent_Done,
     /* 2433481 */   // Label 35205: @2433481
     /* 2433481 */   GIM_Try, /*On fail goto*//*Label 35206*/ GIMT_Encode4(2433564), // Rule ID 45459 //
     /* 2433486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433522 */     // MIs[1] Operand 1
     /* 2433522 */     // No operand predicates
     /* 2433522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433526 */     // MIs[0] policy
     /* 2433526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433538 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2433541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433563 */     // GIR_Coverage, 45459,
     /* 2433563 */     GIR_EraseRootFromParent_Done,
     /* 2433564 */   // Label 35206: @2433564
     /* 2433564 */   GIM_Try, /*On fail goto*//*Label 35207*/ GIMT_Encode4(2433636), // Rule ID 45460 //
     /* 2433569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433601 */     // MIs[0] policy
     /* 2433601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433611 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2433614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433635 */     // GIR_Coverage, 45460,
     /* 2433635 */     GIR_EraseRootFromParent_Done,
     /* 2433636 */   // Label 35207: @2433636
     /* 2433636 */   GIM_Try, /*On fail goto*//*Label 35208*/ GIMT_Encode4(2433708), // Rule ID 45461 //
     /* 2433641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433673 */     // MIs[0] policy
     /* 2433673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433683 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2433686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433707 */     // GIR_Coverage, 45461,
     /* 2433707 */     GIR_EraseRootFromParent_Done,
     /* 2433708 */   // Label 35208: @2433708
     /* 2433708 */   GIM_Reject,
     /* 2433709 */ // Label 35204: @2433709
     /* 2433709 */ GIM_Reject,
     /* 2433710 */ // Label 35126: @2433710
     /* 2433710 */ GIM_Try, /*On fail goto*//*Label 35209*/ GIMT_Encode4(2434342),
     /* 2433715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2433718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2433721 */   GIM_Try, /*On fail goto*//*Label 35210*/ GIMT_Encode4(2433804), // Rule ID 45478 //
     /* 2433726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433762 */     // MIs[1] Operand 1
     /* 2433762 */     // No operand predicates
     /* 2433762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433766 */     // MIs[0] policy
     /* 2433766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433778 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2433781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433803 */     // GIR_Coverage, 45478,
     /* 2433803 */     GIR_EraseRootFromParent_Done,
     /* 2433804 */   // Label 35210: @2433804
     /* 2433804 */   GIM_Try, /*On fail goto*//*Label 35211*/ GIMT_Encode4(2433887), // Rule ID 45479 //
     /* 2433809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433845 */     // MIs[1] Operand 1
     /* 2433845 */     // No operand predicates
     /* 2433845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433849 */     // MIs[0] policy
     /* 2433849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433861 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2433864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433886 */     // GIR_Coverage, 45479,
     /* 2433886 */     GIR_EraseRootFromParent_Done,
     /* 2433887 */   // Label 35211: @2433887
     /* 2433887 */   GIM_Try, /*On fail goto*//*Label 35212*/ GIMT_Encode4(2433970), // Rule ID 45550 //
     /* 2433892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433928 */     // MIs[1] Operand 1
     /* 2433928 */     // No operand predicates
     /* 2433928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433932 */     // MIs[0] policy
     /* 2433932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433944 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2433947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433969 */     // GIR_Coverage, 45550,
     /* 2433969 */     GIR_EraseRootFromParent_Done,
     /* 2433970 */   // Label 35212: @2433970
     /* 2433970 */   GIM_Try, /*On fail goto*//*Label 35213*/ GIMT_Encode4(2434053), // Rule ID 45551 //
     /* 2433975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434011 */     // MIs[1] Operand 1
     /* 2434011 */     // No operand predicates
     /* 2434011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434015 */     // MIs[0] policy
     /* 2434015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434027 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2434030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2434049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434052 */     // GIR_Coverage, 45551,
     /* 2434052 */     GIR_EraseRootFromParent_Done,
     /* 2434053 */   // Label 35213: @2434053
     /* 2434053 */   GIM_Try, /*On fail goto*//*Label 35214*/ GIMT_Encode4(2434125), // Rule ID 45480 //
     /* 2434058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434090 */     // MIs[0] policy
     /* 2434090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434100 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2434103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2434121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434124 */     // GIR_Coverage, 45480,
     /* 2434124 */     GIR_EraseRootFromParent_Done,
     /* 2434125 */   // Label 35214: @2434125
     /* 2434125 */   GIM_Try, /*On fail goto*//*Label 35215*/ GIMT_Encode4(2434197), // Rule ID 45481 //
     /* 2434130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2434133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434162 */     // MIs[0] policy
     /* 2434162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434172 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2434175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2434193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434196 */     // GIR_Coverage, 45481,
     /* 2434196 */     GIR_EraseRootFromParent_Done,
     /* 2434197 */   // Label 35215: @2434197
     /* 2434197 */   GIM_Try, /*On fail goto*//*Label 35216*/ GIMT_Encode4(2434269), // Rule ID 45552 //
     /* 2434202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434234 */     // MIs[0] policy
     /* 2434234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434244 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2434247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2434265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434268 */     // GIR_Coverage, 45552,
     /* 2434268 */     GIR_EraseRootFromParent_Done,
     /* 2434269 */   // Label 35216: @2434269
     /* 2434269 */   GIM_Try, /*On fail goto*//*Label 35217*/ GIMT_Encode4(2434341), // Rule ID 45553 //
     /* 2434274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2434277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434306 */     // MIs[0] policy
     /* 2434306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434316 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2434319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2434337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434340 */     // GIR_Coverage, 45553,
     /* 2434340 */     GIR_EraseRootFromParent_Done,
     /* 2434341 */   // Label 35217: @2434341
     /* 2434341 */   GIM_Reject,
     /* 2434342 */ // Label 35209: @2434342
     /* 2434342 */ GIM_Reject,
     /* 2434343 */ // Label 35127: @2434343
     /* 2434343 */ GIM_Try, /*On fail goto*//*Label 35218*/ GIMT_Encode4(2434975),
     /* 2434348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2434351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2434354 */   GIM_Try, /*On fail goto*//*Label 35219*/ GIMT_Encode4(2434437), // Rule ID 45514 //
     /* 2434359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434395 */     // MIs[1] Operand 1
     /* 2434395 */     // No operand predicates
     /* 2434395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434399 */     // MIs[0] policy
     /* 2434399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434411 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2434414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434436 */     // GIR_Coverage, 45514,
     /* 2434436 */     GIR_EraseRootFromParent_Done,
     /* 2434437 */   // Label 35219: @2434437
     /* 2434437 */   GIM_Try, /*On fail goto*//*Label 35220*/ GIMT_Encode4(2434520), // Rule ID 45515 //
     /* 2434442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2434445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434478 */     // MIs[1] Operand 1
     /* 2434478 */     // No operand predicates
     /* 2434478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434482 */     // MIs[0] policy
     /* 2434482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434494 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2434497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434519 */     // GIR_Coverage, 45515,
     /* 2434519 */     GIR_EraseRootFromParent_Done,
     /* 2434520 */   // Label 35220: @2434520
     /* 2434520 */   GIM_Try, /*On fail goto*//*Label 35221*/ GIMT_Encode4(2434603), // Rule ID 45574 //
     /* 2434525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434561 */     // MIs[1] Operand 1
     /* 2434561 */     // No operand predicates
     /* 2434561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434565 */     // MIs[0] policy
     /* 2434565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434577 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2434580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434602 */     // GIR_Coverage, 45574,
     /* 2434602 */     GIR_EraseRootFromParent_Done,
     /* 2434603 */   // Label 35221: @2434603
     /* 2434603 */   GIM_Try, /*On fail goto*//*Label 35222*/ GIMT_Encode4(2434686), // Rule ID 45575 //
     /* 2434608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2434611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434644 */     // MIs[1] Operand 1
     /* 2434644 */     // No operand predicates
     /* 2434644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434648 */     // MIs[0] policy
     /* 2434648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434660 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2434663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434685 */     // GIR_Coverage, 45575,
     /* 2434685 */     GIR_EraseRootFromParent_Done,
     /* 2434686 */   // Label 35222: @2434686
     /* 2434686 */   GIM_Try, /*On fail goto*//*Label 35223*/ GIMT_Encode4(2434758), // Rule ID 45516 //
     /* 2434691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434723 */     // MIs[0] policy
     /* 2434723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434733 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2434736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434757 */     // GIR_Coverage, 45516,
     /* 2434757 */     GIR_EraseRootFromParent_Done,
     /* 2434758 */   // Label 35223: @2434758
     /* 2434758 */   GIM_Try, /*On fail goto*//*Label 35224*/ GIMT_Encode4(2434830), // Rule ID 45517 //
     /* 2434763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2434766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434795 */     // MIs[0] policy
     /* 2434795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434805 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2434808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434816 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434829 */     // GIR_Coverage, 45517,
     /* 2434829 */     GIR_EraseRootFromParent_Done,
     /* 2434830 */   // Label 35224: @2434830
     /* 2434830 */   GIM_Try, /*On fail goto*//*Label 35225*/ GIMT_Encode4(2434902), // Rule ID 45576 //
     /* 2434835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434867 */     // MIs[0] policy
     /* 2434867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434877 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2434880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434901 */     // GIR_Coverage, 45576,
     /* 2434901 */     GIR_EraseRootFromParent_Done,
     /* 2434902 */   // Label 35225: @2434902
     /* 2434902 */   GIM_Try, /*On fail goto*//*Label 35226*/ GIMT_Encode4(2434974), // Rule ID 45577 //
     /* 2434907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2434910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434939 */     // MIs[0] policy
     /* 2434939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434949 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2434952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434960 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434973 */     // GIR_Coverage, 45577,
     /* 2434973 */     GIR_EraseRootFromParent_Done,
     /* 2434974 */   // Label 35226: @2434974
     /* 2434974 */   GIM_Reject,
     /* 2434975 */ // Label 35218: @2434975
     /* 2434975 */ GIM_Reject,
     /* 2434976 */ // Label 35128: @2434976
     /* 2434976 */ GIM_Try, /*On fail goto*//*Label 35227*/ GIMT_Encode4(2435608),
     /* 2434981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2434984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2434987 */   GIM_Try, /*On fail goto*//*Label 35228*/ GIMT_Encode4(2435070), // Rule ID 45530 //
     /* 2434992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2434995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435028 */     // MIs[1] Operand 1
     /* 2435028 */     // No operand predicates
     /* 2435028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435032 */     // MIs[0] policy
     /* 2435032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435044 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2435047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435056 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2435066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435069 */     // GIR_Coverage, 45530,
     /* 2435069 */     GIR_EraseRootFromParent_Done,
     /* 2435070 */   // Label 35228: @2435070
     /* 2435070 */   GIM_Try, /*On fail goto*//*Label 35229*/ GIMT_Encode4(2435153), // Rule ID 45531 //
     /* 2435075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2435078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435111 */     // MIs[1] Operand 1
     /* 2435111 */     // No operand predicates
     /* 2435111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435115 */     // MIs[0] policy
     /* 2435115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435127 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2435130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2435149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435152 */     // GIR_Coverage, 45531,
     /* 2435152 */     GIR_EraseRootFromParent_Done,
     /* 2435153 */   // Label 35229: @2435153
     /* 2435153 */   GIM_Try, /*On fail goto*//*Label 35230*/ GIMT_Encode4(2435236), // Rule ID 45590 //
     /* 2435158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2435161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435194 */     // MIs[1] Operand 1
     /* 2435194 */     // No operand predicates
     /* 2435194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435198 */     // MIs[0] policy
     /* 2435198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435210 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2435213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2435232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435235 */     // GIR_Coverage, 45590,
     /* 2435235 */     GIR_EraseRootFromParent_Done,
     /* 2435236 */   // Label 35230: @2435236
     /* 2435236 */   GIM_Try, /*On fail goto*//*Label 35231*/ GIMT_Encode4(2435319), // Rule ID 45591 //
     /* 2435241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2435244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435277 */     // MIs[1] Operand 1
     /* 2435277 */     // No operand predicates
     /* 2435277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435281 */     // MIs[0] policy
     /* 2435281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435293 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2435296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2435315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435318 */     // GIR_Coverage, 45591,
     /* 2435318 */     GIR_EraseRootFromParent_Done,
     /* 2435319 */   // Label 35231: @2435319
     /* 2435319 */   GIM_Try, /*On fail goto*//*Label 35232*/ GIMT_Encode4(2435391), // Rule ID 45532 //
     /* 2435324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2435327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435356 */     // MIs[0] policy
     /* 2435356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435366 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2435369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2435387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435390 */     // GIR_Coverage, 45532,
     /* 2435390 */     GIR_EraseRootFromParent_Done,
     /* 2435391 */   // Label 35232: @2435391
     /* 2435391 */   GIM_Try, /*On fail goto*//*Label 35233*/ GIMT_Encode4(2435463), // Rule ID 45533 //
     /* 2435396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2435399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435428 */     // MIs[0] policy
     /* 2435428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435438 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2435441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2435459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435462 */     // GIR_Coverage, 45533,
     /* 2435462 */     GIR_EraseRootFromParent_Done,
     /* 2435463 */   // Label 35233: @2435463
     /* 2435463 */   GIM_Try, /*On fail goto*//*Label 35234*/ GIMT_Encode4(2435535), // Rule ID 45592 //
     /* 2435468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2435471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435500 */     // MIs[0] policy
     /* 2435500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435510 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2435513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2435531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435534 */     // GIR_Coverage, 45592,
     /* 2435534 */     GIR_EraseRootFromParent_Done,
     /* 2435535 */   // Label 35234: @2435535
     /* 2435535 */   GIM_Try, /*On fail goto*//*Label 35235*/ GIMT_Encode4(2435607), // Rule ID 45593 //
     /* 2435540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2435543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435572 */     // MIs[0] policy
     /* 2435572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435582 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2435585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2435603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435606 */     // GIR_Coverage, 45593,
     /* 2435606 */     GIR_EraseRootFromParent_Done,
     /* 2435607 */   // Label 35235: @2435607
     /* 2435607 */   GIM_Reject,
     /* 2435608 */ // Label 35227: @2435608
     /* 2435608 */ GIM_Reject,
     /* 2435609 */ // Label 35129: @2435609
     /* 2435609 */ GIM_Try, /*On fail goto*//*Label 35236*/ GIMT_Encode4(2435931),
     /* 2435614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2435617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2435620 */   GIM_Try, /*On fail goto*//*Label 35237*/ GIMT_Encode4(2435703), // Rule ID 45474 //
     /* 2435625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435661 */     // MIs[1] Operand 1
     /* 2435661 */     // No operand predicates
     /* 2435661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435665 */     // MIs[0] policy
     /* 2435665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435677 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2435680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435702 */     // GIR_Coverage, 45474,
     /* 2435702 */     GIR_EraseRootFromParent_Done,
     /* 2435703 */   // Label 35237: @2435703
     /* 2435703 */   GIM_Try, /*On fail goto*//*Label 35238*/ GIMT_Encode4(2435786), // Rule ID 45475 //
     /* 2435708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435744 */     // MIs[1] Operand 1
     /* 2435744 */     // No operand predicates
     /* 2435744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435748 */     // MIs[0] policy
     /* 2435748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435760 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2435763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435785 */     // GIR_Coverage, 45475,
     /* 2435785 */     GIR_EraseRootFromParent_Done,
     /* 2435786 */   // Label 35238: @2435786
     /* 2435786 */   GIM_Try, /*On fail goto*//*Label 35239*/ GIMT_Encode4(2435858), // Rule ID 45476 //
     /* 2435791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435823 */     // MIs[0] policy
     /* 2435823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435833 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2435836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435857 */     // GIR_Coverage, 45476,
     /* 2435857 */     GIR_EraseRootFromParent_Done,
     /* 2435858 */   // Label 35239: @2435858
     /* 2435858 */   GIM_Try, /*On fail goto*//*Label 35240*/ GIMT_Encode4(2435930), // Rule ID 45477 //
     /* 2435863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435895 */     // MIs[0] policy
     /* 2435895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435905 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2435908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435929 */     // GIR_Coverage, 45477,
     /* 2435929 */     GIR_EraseRootFromParent_Done,
     /* 2435930 */   // Label 35240: @2435930
     /* 2435930 */   GIM_Reject,
     /* 2435931 */ // Label 35236: @2435931
     /* 2435931 */ GIM_Reject,
     /* 2435932 */ // Label 35130: @2435932
     /* 2435932 */ GIM_Try, /*On fail goto*//*Label 35241*/ GIMT_Encode4(2436564),
     /* 2435937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2435940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2435943 */   GIM_Try, /*On fail goto*//*Label 35242*/ GIMT_Encode4(2436026), // Rule ID 45502 //
     /* 2435948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2435964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435984 */     // MIs[1] Operand 1
     /* 2435984 */     // No operand predicates
     /* 2435984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435988 */     // MIs[0] policy
     /* 2435988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436000 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2436003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2436022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436025 */     // GIR_Coverage, 45502,
     /* 2436025 */     GIR_EraseRootFromParent_Done,
     /* 2436026 */   // Label 35242: @2436026
     /* 2436026 */   GIM_Try, /*On fail goto*//*Label 35243*/ GIMT_Encode4(2436109), // Rule ID 45503 //
     /* 2436031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436067 */     // MIs[1] Operand 1
     /* 2436067 */     // No operand predicates
     /* 2436067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436071 */     // MIs[0] policy
     /* 2436071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436083 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2436086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2436105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436108 */     // GIR_Coverage, 45503,
     /* 2436108 */     GIR_EraseRootFromParent_Done,
     /* 2436109 */   // Label 35243: @2436109
     /* 2436109 */   GIM_Try, /*On fail goto*//*Label 35244*/ GIMT_Encode4(2436192), // Rule ID 45562 //
     /* 2436114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2436117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436150 */     // MIs[1] Operand 1
     /* 2436150 */     // No operand predicates
     /* 2436150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436154 */     // MIs[0] policy
     /* 2436154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436166 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2436169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2436188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436191 */     // GIR_Coverage, 45562,
     /* 2436191 */     GIR_EraseRootFromParent_Done,
     /* 2436192 */   // Label 35244: @2436192
     /* 2436192 */   GIM_Try, /*On fail goto*//*Label 35245*/ GIMT_Encode4(2436275), // Rule ID 45563 //
     /* 2436197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436233 */     // MIs[1] Operand 1
     /* 2436233 */     // No operand predicates
     /* 2436233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436237 */     // MIs[0] policy
     /* 2436237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436249 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2436252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2436271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436274 */     // GIR_Coverage, 45563,
     /* 2436274 */     GIR_EraseRootFromParent_Done,
     /* 2436275 */   // Label 35245: @2436275
     /* 2436275 */   GIM_Try, /*On fail goto*//*Label 35246*/ GIMT_Encode4(2436347), // Rule ID 45504 //
     /* 2436280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2436283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436312 */     // MIs[0] policy
     /* 2436312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436322 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2436325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2436343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436346 */     // GIR_Coverage, 45504,
     /* 2436346 */     GIR_EraseRootFromParent_Done,
     /* 2436347 */   // Label 35246: @2436347
     /* 2436347 */   GIM_Try, /*On fail goto*//*Label 35247*/ GIMT_Encode4(2436419), // Rule ID 45505 //
     /* 2436352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436384 */     // MIs[0] policy
     /* 2436384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436394 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2436397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2436415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436418 */     // GIR_Coverage, 45505,
     /* 2436418 */     GIR_EraseRootFromParent_Done,
     /* 2436419 */   // Label 35247: @2436419
     /* 2436419 */   GIM_Try, /*On fail goto*//*Label 35248*/ GIMT_Encode4(2436491), // Rule ID 45564 //
     /* 2436424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2436427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436456 */     // MIs[0] policy
     /* 2436456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436466 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2436469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2436487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436490 */     // GIR_Coverage, 45564,
     /* 2436490 */     GIR_EraseRootFromParent_Done,
     /* 2436491 */   // Label 35248: @2436491
     /* 2436491 */   GIM_Try, /*On fail goto*//*Label 35249*/ GIMT_Encode4(2436563), // Rule ID 45565 //
     /* 2436496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436528 */     // MIs[0] policy
     /* 2436528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436538 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2436541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2436559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436562 */     // GIR_Coverage, 45565,
     /* 2436562 */     GIR_EraseRootFromParent_Done,
     /* 2436563 */   // Label 35249: @2436563
     /* 2436563 */   GIM_Reject,
     /* 2436564 */ // Label 35241: @2436564
     /* 2436564 */ GIM_Reject,
     /* 2436565 */ // Label 35131: @2436565
     /* 2436565 */ GIM_Try, /*On fail goto*//*Label 35250*/ GIMT_Encode4(2437197),
     /* 2436570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2436573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2436576 */   GIM_Try, /*On fail goto*//*Label 35251*/ GIMT_Encode4(2436659), // Rule ID 45518 //
     /* 2436581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2436584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2436597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436617 */     // MIs[1] Operand 1
     /* 2436617 */     // No operand predicates
     /* 2436617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436621 */     // MIs[0] policy
     /* 2436621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436633 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2436636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436658 */     // GIR_Coverage, 45518,
     /* 2436658 */     GIR_EraseRootFromParent_Done,
     /* 2436659 */   // Label 35251: @2436659
     /* 2436659 */   GIM_Try, /*On fail goto*//*Label 35252*/ GIMT_Encode4(2436742), // Rule ID 45519 //
     /* 2436664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2436680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436700 */     // MIs[1] Operand 1
     /* 2436700 */     // No operand predicates
     /* 2436700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436704 */     // MIs[0] policy
     /* 2436704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436716 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2436719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436741 */     // GIR_Coverage, 45519,
     /* 2436741 */     GIR_EraseRootFromParent_Done,
     /* 2436742 */   // Label 35252: @2436742
     /* 2436742 */   GIM_Try, /*On fail goto*//*Label 35253*/ GIMT_Encode4(2436825), // Rule ID 45578 //
     /* 2436747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2436750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2436763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436783 */     // MIs[1] Operand 1
     /* 2436783 */     // No operand predicates
     /* 2436783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436787 */     // MIs[0] policy
     /* 2436787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436799 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2436802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436824 */     // GIR_Coverage, 45578,
     /* 2436824 */     GIR_EraseRootFromParent_Done,
     /* 2436825 */   // Label 35253: @2436825
     /* 2436825 */   GIM_Try, /*On fail goto*//*Label 35254*/ GIMT_Encode4(2436908), // Rule ID 45579 //
     /* 2436830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2436846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436866 */     // MIs[1] Operand 1
     /* 2436866 */     // No operand predicates
     /* 2436866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436870 */     // MIs[0] policy
     /* 2436870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436882 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2436885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436907 */     // GIR_Coverage, 45579,
     /* 2436907 */     GIR_EraseRootFromParent_Done,
     /* 2436908 */   // Label 35254: @2436908
     /* 2436908 */   GIM_Try, /*On fail goto*//*Label 35255*/ GIMT_Encode4(2436980), // Rule ID 45520 //
     /* 2436913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2436916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2436929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436945 */     // MIs[0] policy
     /* 2436945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436955 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2436958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436979 */     // GIR_Coverage, 45520,
     /* 2436979 */     GIR_EraseRootFromParent_Done,
     /* 2436980 */   // Label 35255: @2436980
     /* 2436980 */   GIM_Try, /*On fail goto*//*Label 35256*/ GIMT_Encode4(2437052), // Rule ID 45521 //
     /* 2436985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2437001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437017 */     // MIs[0] policy
     /* 2437017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437027 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2437030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2437048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437051 */     // GIR_Coverage, 45521,
     /* 2437051 */     GIR_EraseRootFromParent_Done,
     /* 2437052 */   // Label 35256: @2437052
     /* 2437052 */   GIM_Try, /*On fail goto*//*Label 35257*/ GIMT_Encode4(2437124), // Rule ID 45580 //
     /* 2437057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2437073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437089 */     // MIs[0] policy
     /* 2437089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437099 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2437102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2437120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437123 */     // GIR_Coverage, 45580,
     /* 2437123 */     GIR_EraseRootFromParent_Done,
     /* 2437124 */   // Label 35257: @2437124
     /* 2437124 */   GIM_Try, /*On fail goto*//*Label 35258*/ GIMT_Encode4(2437196), // Rule ID 45581 //
     /* 2437129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2437145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437161 */     // MIs[0] policy
     /* 2437161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437171 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2437174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2437192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437195 */     // GIR_Coverage, 45581,
     /* 2437195 */     GIR_EraseRootFromParent_Done,
     /* 2437196 */   // Label 35258: @2437196
     /* 2437196 */   GIM_Reject,
     /* 2437197 */ // Label 35250: @2437197
     /* 2437197 */ GIM_Reject,
     /* 2437198 */ // Label 35132: @2437198
     /* 2437198 */ GIM_Try, /*On fail goto*//*Label 35259*/ GIMT_Encode4(2437830),
     /* 2437203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2437206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2437209 */   GIM_Try, /*On fail goto*//*Label 35260*/ GIMT_Encode4(2437292), // Rule ID 45534 //
     /* 2437214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2437217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2437230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437250 */     // MIs[1] Operand 1
     /* 2437250 */     // No operand predicates
     /* 2437250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437254 */     // MIs[0] policy
     /* 2437254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437266 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2437269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2437288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437291 */     // GIR_Coverage, 45534,
     /* 2437291 */     GIR_EraseRootFromParent_Done,
     /* 2437292 */   // Label 35260: @2437292
     /* 2437292 */   GIM_Try, /*On fail goto*//*Label 35261*/ GIMT_Encode4(2437375), // Rule ID 45535 //
     /* 2437297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2437300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2437313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437333 */     // MIs[1] Operand 1
     /* 2437333 */     // No operand predicates
     /* 2437333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437337 */     // MIs[0] policy
     /* 2437337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437349 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2437352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2437371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437374 */     // GIR_Coverage, 45535,
     /* 2437374 */     GIR_EraseRootFromParent_Done,
     /* 2437375 */   // Label 35261: @2437375
     /* 2437375 */   GIM_Try, /*On fail goto*//*Label 35262*/ GIMT_Encode4(2437458), // Rule ID 45594 //
     /* 2437380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2437383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2437396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437416 */     // MIs[1] Operand 1
     /* 2437416 */     // No operand predicates
     /* 2437416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437420 */     // MIs[0] policy
     /* 2437420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437432 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2437435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2437454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437457 */     // GIR_Coverage, 45594,
     /* 2437457 */     GIR_EraseRootFromParent_Done,
     /* 2437458 */   // Label 35262: @2437458
     /* 2437458 */   GIM_Try, /*On fail goto*//*Label 35263*/ GIMT_Encode4(2437541), // Rule ID 45595 //
     /* 2437463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2437466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2437479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437499 */     // MIs[1] Operand 1
     /* 2437499 */     // No operand predicates
     /* 2437499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437503 */     // MIs[0] policy
     /* 2437503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437515 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2437518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2437537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437540 */     // GIR_Coverage, 45595,
     /* 2437540 */     GIR_EraseRootFromParent_Done,
     /* 2437541 */   // Label 35263: @2437541
     /* 2437541 */   GIM_Try, /*On fail goto*//*Label 35264*/ GIMT_Encode4(2437613), // Rule ID 45536 //
     /* 2437546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2437549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2437562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437578 */     // MIs[0] policy
     /* 2437578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437588 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2437591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2437609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437612 */     // GIR_Coverage, 45536,
     /* 2437612 */     GIR_EraseRootFromParent_Done,
     /* 2437613 */   // Label 35264: @2437613
     /* 2437613 */   GIM_Try, /*On fail goto*//*Label 35265*/ GIMT_Encode4(2437685), // Rule ID 45537 //
     /* 2437618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2437621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2437634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437650 */     // MIs[0] policy
     /* 2437650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437660 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2437663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2437681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437684 */     // GIR_Coverage, 45537,
     /* 2437684 */     GIR_EraseRootFromParent_Done,
     /* 2437685 */   // Label 35265: @2437685
     /* 2437685 */   GIM_Try, /*On fail goto*//*Label 35266*/ GIMT_Encode4(2437757), // Rule ID 45596 //
     /* 2437690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2437693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2437706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437722 */     // MIs[0] policy
     /* 2437722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437732 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2437735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2437753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437756 */     // GIR_Coverage, 45596,
     /* 2437756 */     GIR_EraseRootFromParent_Done,
     /* 2437757 */   // Label 35266: @2437757
     /* 2437757 */   GIM_Try, /*On fail goto*//*Label 35267*/ GIMT_Encode4(2437829), // Rule ID 45597 //
     /* 2437762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2437765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2437778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437794 */     // MIs[0] policy
     /* 2437794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437804 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2437807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2437825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437828 */     // GIR_Coverage, 45597,
     /* 2437828 */     GIR_EraseRootFromParent_Done,
     /* 2437829 */   // Label 35267: @2437829
     /* 2437829 */   GIM_Reject,
     /* 2437830 */ // Label 35259: @2437830
     /* 2437830 */ GIM_Reject,
     /* 2437831 */ // Label 35133: @2437831
     /* 2437831 */ GIM_Try, /*On fail goto*//*Label 35268*/ GIMT_Encode4(2438153),
     /* 2437836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2437839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2437842 */   GIM_Try, /*On fail goto*//*Label 35269*/ GIMT_Encode4(2437925), // Rule ID 45490 //
     /* 2437847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2437863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437883 */     // MIs[1] Operand 1
     /* 2437883 */     // No operand predicates
     /* 2437883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437887 */     // MIs[0] policy
     /* 2437887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437899 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2437902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437924 */     // GIR_Coverage, 45490,
     /* 2437924 */     GIR_EraseRootFromParent_Done,
     /* 2437925 */   // Label 35269: @2437925
     /* 2437925 */   GIM_Try, /*On fail goto*//*Label 35270*/ GIMT_Encode4(2438008), // Rule ID 45491 //
     /* 2437930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2437946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437966 */     // MIs[1] Operand 1
     /* 2437966 */     // No operand predicates
     /* 2437966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437970 */     // MIs[0] policy
     /* 2437970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437982 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2437985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438007 */     // GIR_Coverage, 45491,
     /* 2438007 */     GIR_EraseRootFromParent_Done,
     /* 2438008 */   // Label 35270: @2438008
     /* 2438008 */   GIM_Try, /*On fail goto*//*Label 35271*/ GIMT_Encode4(2438080), // Rule ID 45492 //
     /* 2438013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2438029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438045 */     // MIs[0] policy
     /* 2438045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438055 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2438058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438079 */     // GIR_Coverage, 45492,
     /* 2438079 */     GIR_EraseRootFromParent_Done,
     /* 2438080 */   // Label 35271: @2438080
     /* 2438080 */   GIM_Try, /*On fail goto*//*Label 35272*/ GIMT_Encode4(2438152), // Rule ID 45493 //
     /* 2438085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2438101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438117 */     // MIs[0] policy
     /* 2438117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438127 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2438130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438151 */     // GIR_Coverage, 45493,
     /* 2438151 */     GIR_EraseRootFromParent_Done,
     /* 2438152 */   // Label 35272: @2438152
     /* 2438152 */   GIM_Reject,
     /* 2438153 */ // Label 35268: @2438153
     /* 2438153 */ GIM_Reject,
     /* 2438154 */ // Label 35134: @2438154
     /* 2438154 */ GIM_Try, /*On fail goto*//*Label 35273*/ GIMT_Encode4(2438786),
     /* 2438159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2438162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2438165 */   GIM_Try, /*On fail goto*//*Label 35274*/ GIMT_Encode4(2438248), // Rule ID 45506 //
     /* 2438170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438206 */     // MIs[1] Operand 1
     /* 2438206 */     // No operand predicates
     /* 2438206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438210 */     // MIs[0] policy
     /* 2438210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438222 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2438225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438247 */     // GIR_Coverage, 45506,
     /* 2438247 */     GIR_EraseRootFromParent_Done,
     /* 2438248 */   // Label 35274: @2438248
     /* 2438248 */   GIM_Try, /*On fail goto*//*Label 35275*/ GIMT_Encode4(2438331), // Rule ID 45507 //
     /* 2438253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438289 */     // MIs[1] Operand 1
     /* 2438289 */     // No operand predicates
     /* 2438289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438293 */     // MIs[0] policy
     /* 2438293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438305 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2438308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438330 */     // GIR_Coverage, 45507,
     /* 2438330 */     GIR_EraseRootFromParent_Done,
     /* 2438331 */   // Label 35275: @2438331
     /* 2438331 */   GIM_Try, /*On fail goto*//*Label 35276*/ GIMT_Encode4(2438414), // Rule ID 45566 //
     /* 2438336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438372 */     // MIs[1] Operand 1
     /* 2438372 */     // No operand predicates
     /* 2438372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438376 */     // MIs[0] policy
     /* 2438376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438388 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2438391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438413 */     // GIR_Coverage, 45566,
     /* 2438413 */     GIR_EraseRootFromParent_Done,
     /* 2438414 */   // Label 35276: @2438414
     /* 2438414 */   GIM_Try, /*On fail goto*//*Label 35277*/ GIMT_Encode4(2438497), // Rule ID 45567 //
     /* 2438419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438455 */     // MIs[1] Operand 1
     /* 2438455 */     // No operand predicates
     /* 2438455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438459 */     // MIs[0] policy
     /* 2438459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438471 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2438474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438496 */     // GIR_Coverage, 45567,
     /* 2438496 */     GIR_EraseRootFromParent_Done,
     /* 2438497 */   // Label 35277: @2438497
     /* 2438497 */   GIM_Try, /*On fail goto*//*Label 35278*/ GIMT_Encode4(2438569), // Rule ID 45508 //
     /* 2438502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438534 */     // MIs[0] policy
     /* 2438534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438544 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2438547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438568 */     // GIR_Coverage, 45508,
     /* 2438568 */     GIR_EraseRootFromParent_Done,
     /* 2438569 */   // Label 35278: @2438569
     /* 2438569 */   GIM_Try, /*On fail goto*//*Label 35279*/ GIMT_Encode4(2438641), // Rule ID 45509 //
     /* 2438574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438606 */     // MIs[0] policy
     /* 2438606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438616 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2438619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438640 */     // GIR_Coverage, 45509,
     /* 2438640 */     GIR_EraseRootFromParent_Done,
     /* 2438641 */   // Label 35279: @2438641
     /* 2438641 */   GIM_Try, /*On fail goto*//*Label 35280*/ GIMT_Encode4(2438713), // Rule ID 45568 //
     /* 2438646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438678 */     // MIs[0] policy
     /* 2438678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438688 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2438691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438712 */     // GIR_Coverage, 45568,
     /* 2438712 */     GIR_EraseRootFromParent_Done,
     /* 2438713 */   // Label 35280: @2438713
     /* 2438713 */   GIM_Try, /*On fail goto*//*Label 35281*/ GIMT_Encode4(2438785), // Rule ID 45569 //
     /* 2438718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438750 */     // MIs[0] policy
     /* 2438750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438760 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2438763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438784 */     // GIR_Coverage, 45569,
     /* 2438784 */     GIR_EraseRootFromParent_Done,
     /* 2438785 */   // Label 35281: @2438785
     /* 2438785 */   GIM_Reject,
     /* 2438786 */ // Label 35273: @2438786
     /* 2438786 */ GIM_Reject,
     /* 2438787 */ // Label 35135: @2438787
     /* 2438787 */ GIM_Try, /*On fail goto*//*Label 35282*/ GIMT_Encode4(2439419),
     /* 2438792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2438795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2438798 */   GIM_Try, /*On fail goto*//*Label 35283*/ GIMT_Encode4(2438881), // Rule ID 45522 //
     /* 2438803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438839 */     // MIs[1] Operand 1
     /* 2438839 */     // No operand predicates
     /* 2438839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438843 */     // MIs[0] policy
     /* 2438843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438855 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2438858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438880 */     // GIR_Coverage, 45522,
     /* 2438880 */     GIR_EraseRootFromParent_Done,
     /* 2438881 */   // Label 35283: @2438881
     /* 2438881 */   GIM_Try, /*On fail goto*//*Label 35284*/ GIMT_Encode4(2438964), // Rule ID 45523 //
     /* 2438886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438922 */     // MIs[1] Operand 1
     /* 2438922 */     // No operand predicates
     /* 2438922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438926 */     // MIs[0] policy
     /* 2438926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438938 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2438941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438950 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438963 */     // GIR_Coverage, 45523,
     /* 2438963 */     GIR_EraseRootFromParent_Done,
     /* 2438964 */   // Label 35284: @2438964
     /* 2438964 */   GIM_Try, /*On fail goto*//*Label 35285*/ GIMT_Encode4(2439047), // Rule ID 45582 //
     /* 2438969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439005 */     // MIs[1] Operand 1
     /* 2439005 */     // No operand predicates
     /* 2439005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439009 */     // MIs[0] policy
     /* 2439009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439021 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2439024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2439043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439046 */     // GIR_Coverage, 45582,
     /* 2439046 */     GIR_EraseRootFromParent_Done,
     /* 2439047 */   // Label 35285: @2439047
     /* 2439047 */   GIM_Try, /*On fail goto*//*Label 35286*/ GIMT_Encode4(2439130), // Rule ID 45583 //
     /* 2439052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439088 */     // MIs[1] Operand 1
     /* 2439088 */     // No operand predicates
     /* 2439088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439092 */     // MIs[0] policy
     /* 2439092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439104 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2439107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2439126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439129 */     // GIR_Coverage, 45583,
     /* 2439129 */     GIR_EraseRootFromParent_Done,
     /* 2439130 */   // Label 35286: @2439130
     /* 2439130 */   GIM_Try, /*On fail goto*//*Label 35287*/ GIMT_Encode4(2439202), // Rule ID 45524 //
     /* 2439135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439167 */     // MIs[0] policy
     /* 2439167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439177 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2439180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2439198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439201 */     // GIR_Coverage, 45524,
     /* 2439201 */     GIR_EraseRootFromParent_Done,
     /* 2439202 */   // Label 35287: @2439202
     /* 2439202 */   GIM_Try, /*On fail goto*//*Label 35288*/ GIMT_Encode4(2439274), // Rule ID 45525 //
     /* 2439207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439239 */     // MIs[0] policy
     /* 2439239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439249 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2439252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2439270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439273 */     // GIR_Coverage, 45525,
     /* 2439273 */     GIR_EraseRootFromParent_Done,
     /* 2439274 */   // Label 35288: @2439274
     /* 2439274 */   GIM_Try, /*On fail goto*//*Label 35289*/ GIMT_Encode4(2439346), // Rule ID 45584 //
     /* 2439279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439311 */     // MIs[0] policy
     /* 2439311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439321 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2439324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2439342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439345 */     // GIR_Coverage, 45584,
     /* 2439345 */     GIR_EraseRootFromParent_Done,
     /* 2439346 */   // Label 35289: @2439346
     /* 2439346 */   GIM_Try, /*On fail goto*//*Label 35290*/ GIMT_Encode4(2439418), // Rule ID 45585 //
     /* 2439351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439383 */     // MIs[0] policy
     /* 2439383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439393 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2439396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2439414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439417 */     // GIR_Coverage, 45585,
     /* 2439417 */     GIR_EraseRootFromParent_Done,
     /* 2439418 */   // Label 35290: @2439418
     /* 2439418 */   GIM_Reject,
     /* 2439419 */ // Label 35282: @2439419
     /* 2439419 */ GIM_Reject,
     /* 2439420 */ // Label 35136: @2439420
     /* 2439420 */ GIM_Try, /*On fail goto*//*Label 35291*/ GIMT_Encode4(2439742),
     /* 2439425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2439428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2439431 */   GIM_Try, /*On fail goto*//*Label 35292*/ GIMT_Encode4(2439514), // Rule ID 45494 //
     /* 2439436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2439445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2439452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439472 */     // MIs[1] Operand 1
     /* 2439472 */     // No operand predicates
     /* 2439472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439476 */     // MIs[0] policy
     /* 2439476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439488 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2439491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439513 */     // GIR_Coverage, 45494,
     /* 2439513 */     GIR_EraseRootFromParent_Done,
     /* 2439514 */   // Label 35292: @2439514
     /* 2439514 */   GIM_Try, /*On fail goto*//*Label 35293*/ GIMT_Encode4(2439597), // Rule ID 45495 //
     /* 2439519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2439528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2439535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439555 */     // MIs[1] Operand 1
     /* 2439555 */     // No operand predicates
     /* 2439555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439559 */     // MIs[0] policy
     /* 2439559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439571 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2439574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439596 */     // GIR_Coverage, 45495,
     /* 2439596 */     GIR_EraseRootFromParent_Done,
     /* 2439597 */   // Label 35293: @2439597
     /* 2439597 */   GIM_Try, /*On fail goto*//*Label 35294*/ GIMT_Encode4(2439669), // Rule ID 45496 //
     /* 2439602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2439611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2439618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439634 */     // MIs[0] policy
     /* 2439634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439644 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2439647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439668 */     // GIR_Coverage, 45496,
     /* 2439668 */     GIR_EraseRootFromParent_Done,
     /* 2439669 */   // Label 35294: @2439669
     /* 2439669 */   GIM_Try, /*On fail goto*//*Label 35295*/ GIMT_Encode4(2439741), // Rule ID 45497 //
     /* 2439674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2439683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2439690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439706 */     // MIs[0] policy
     /* 2439706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439716 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2439719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439740 */     // GIR_Coverage, 45497,
     /* 2439740 */     GIR_EraseRootFromParent_Done,
     /* 2439741 */   // Label 35295: @2439741
     /* 2439741 */   GIM_Reject,
     /* 2439742 */ // Label 35291: @2439742
     /* 2439742 */ GIM_Reject,
     /* 2439743 */ // Label 35137: @2439743
     /* 2439743 */ GIM_Try, /*On fail goto*//*Label 35296*/ GIMT_Encode4(2440375),
     /* 2439748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2439751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2439754 */   GIM_Try, /*On fail goto*//*Label 35297*/ GIMT_Encode4(2439837), // Rule ID 45510 //
     /* 2439759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2439768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439795 */     // MIs[1] Operand 1
     /* 2439795 */     // No operand predicates
     /* 2439795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439799 */     // MIs[0] policy
     /* 2439799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439811 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2439814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439836 */     // GIR_Coverage, 45510,
     /* 2439836 */     GIR_EraseRootFromParent_Done,
     /* 2439837 */   // Label 35297: @2439837
     /* 2439837 */   GIM_Try, /*On fail goto*//*Label 35298*/ GIMT_Encode4(2439920), // Rule ID 45511 //
     /* 2439842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2439851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439878 */     // MIs[1] Operand 1
     /* 2439878 */     // No operand predicates
     /* 2439878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439882 */     // MIs[0] policy
     /* 2439882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439894 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2439897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439919 */     // GIR_Coverage, 45511,
     /* 2439919 */     GIR_EraseRootFromParent_Done,
     /* 2439920 */   // Label 35298: @2439920
     /* 2439920 */   GIM_Try, /*On fail goto*//*Label 35299*/ GIMT_Encode4(2440003), // Rule ID 45570 //
     /* 2439925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2439934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439961 */     // MIs[1] Operand 1
     /* 2439961 */     // No operand predicates
     /* 2439961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439965 */     // MIs[0] policy
     /* 2439965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439977 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2439980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440002 */     // GIR_Coverage, 45570,
     /* 2440002 */     GIR_EraseRootFromParent_Done,
     /* 2440003 */   // Label 35299: @2440003
     /* 2440003 */   GIM_Try, /*On fail goto*//*Label 35300*/ GIMT_Encode4(2440086), // Rule ID 45571 //
     /* 2440008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2440017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440044 */     // MIs[1] Operand 1
     /* 2440044 */     // No operand predicates
     /* 2440044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440048 */     // MIs[0] policy
     /* 2440048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440060 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2440063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440085 */     // GIR_Coverage, 45571,
     /* 2440085 */     GIR_EraseRootFromParent_Done,
     /* 2440086 */   // Label 35300: @2440086
     /* 2440086 */   GIM_Try, /*On fail goto*//*Label 35301*/ GIMT_Encode4(2440158), // Rule ID 45512 //
     /* 2440091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2440100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440123 */     // MIs[0] policy
     /* 2440123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440133 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2440136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440157 */     // GIR_Coverage, 45512,
     /* 2440157 */     GIR_EraseRootFromParent_Done,
     /* 2440158 */   // Label 35301: @2440158
     /* 2440158 */   GIM_Try, /*On fail goto*//*Label 35302*/ GIMT_Encode4(2440230), // Rule ID 45513 //
     /* 2440163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2440172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440195 */     // MIs[0] policy
     /* 2440195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440205 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2440208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440229 */     // GIR_Coverage, 45513,
     /* 2440229 */     GIR_EraseRootFromParent_Done,
     /* 2440230 */   // Label 35302: @2440230
     /* 2440230 */   GIM_Try, /*On fail goto*//*Label 35303*/ GIMT_Encode4(2440302), // Rule ID 45572 //
     /* 2440235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2440244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440267 */     // MIs[0] policy
     /* 2440267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440277 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2440280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440288 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440301 */     // GIR_Coverage, 45572,
     /* 2440301 */     GIR_EraseRootFromParent_Done,
     /* 2440302 */   // Label 35303: @2440302
     /* 2440302 */   GIM_Try, /*On fail goto*//*Label 35304*/ GIMT_Encode4(2440374), // Rule ID 45573 //
     /* 2440307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2440316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440339 */     // MIs[0] policy
     /* 2440339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440349 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2440352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440360 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440373 */     // GIR_Coverage, 45573,
     /* 2440373 */     GIR_EraseRootFromParent_Done,
     /* 2440374 */   // Label 35304: @2440374
     /* 2440374 */   GIM_Reject,
     /* 2440375 */ // Label 35296: @2440375
     /* 2440375 */ GIM_Reject,
     /* 2440376 */ // Label 35138: @2440376
     /* 2440376 */ GIM_Try, /*On fail goto*//*Label 35305*/ GIMT_Encode4(2440698),
     /* 2440381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2440384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2440387 */   GIM_Try, /*On fail goto*//*Label 35306*/ GIMT_Encode4(2440470), // Rule ID 45498 //
     /* 2440392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2440401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440428 */     // MIs[1] Operand 1
     /* 2440428 */     // No operand predicates
     /* 2440428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440432 */     // MIs[0] policy
     /* 2440432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440444 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2440447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440469 */     // GIR_Coverage, 45498,
     /* 2440469 */     GIR_EraseRootFromParent_Done,
     /* 2440470 */   // Label 35306: @2440470
     /* 2440470 */   GIM_Try, /*On fail goto*//*Label 35307*/ GIMT_Encode4(2440553), // Rule ID 45499 //
     /* 2440475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2440484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440511 */     // MIs[1] Operand 1
     /* 2440511 */     // No operand predicates
     /* 2440511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440515 */     // MIs[0] policy
     /* 2440515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440527 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2440530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440552 */     // GIR_Coverage, 45499,
     /* 2440552 */     GIR_EraseRootFromParent_Done,
     /* 2440553 */   // Label 35307: @2440553
     /* 2440553 */   GIM_Try, /*On fail goto*//*Label 35308*/ GIMT_Encode4(2440625), // Rule ID 45500 //
     /* 2440558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2440567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440590 */     // MIs[0] policy
     /* 2440590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440600 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2440603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440624 */     // GIR_Coverage, 45500,
     /* 2440624 */     GIR_EraseRootFromParent_Done,
     /* 2440625 */   // Label 35308: @2440625
     /* 2440625 */   GIM_Try, /*On fail goto*//*Label 35309*/ GIMT_Encode4(2440697), // Rule ID 45501 //
     /* 2440630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2440639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440662 */     // MIs[0] policy
     /* 2440662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440672 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2440675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440696 */     // GIR_Coverage, 45501,
     /* 2440696 */     GIR_EraseRootFromParent_Done,
     /* 2440697 */   // Label 35309: @2440697
     /* 2440697 */   GIM_Reject,
     /* 2440698 */ // Label 35305: @2440698
     /* 2440698 */ GIM_Reject,
     /* 2440699 */ // Label 35139: @2440699
     /* 2440699 */ GIM_Reject,
     /* 2440700 */ // Label 124: @2440700
     /* 2440700 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 35332*/ GIMT_Encode4(2452579),
     /* 2440711 */ /*GILLT_nxv1s8*//*Label 35310*/ GIMT_Encode4(2440823),
     /* 2440715 */ /*GILLT_nxv1s16*//*Label 35311*/ GIMT_Encode4(2441146),
     /* 2440719 */ /*GILLT_nxv1s32*//*Label 35312*/ GIMT_Encode4(2441779),
     /* 2440723 */ /*GILLT_nxv1s64*//*Label 35313*/ GIMT_Encode4(2442412), GIMT_Encode4(0),
     /* 2440731 */ /*GILLT_nxv2s8*//*Label 35314*/ GIMT_Encode4(2443045),
     /* 2440735 */ /*GILLT_nxv2s16*//*Label 35315*/ GIMT_Encode4(2443368),
     /* 2440739 */ /*GILLT_nxv2s32*//*Label 35316*/ GIMT_Encode4(2444001),
     /* 2440743 */ /*GILLT_nxv2s64*//*Label 35317*/ GIMT_Encode4(2444634), GIMT_Encode4(0),
     /* 2440751 */ /*GILLT_nxv4s8*//*Label 35318*/ GIMT_Encode4(2445267),
     /* 2440755 */ /*GILLT_nxv4s16*//*Label 35319*/ GIMT_Encode4(2445590),
     /* 2440759 */ /*GILLT_nxv4s32*//*Label 35320*/ GIMT_Encode4(2446223),
     /* 2440763 */ /*GILLT_nxv4s64*//*Label 35321*/ GIMT_Encode4(2446856), GIMT_Encode4(0),
     /* 2440771 */ /*GILLT_nxv8s8*//*Label 35322*/ GIMT_Encode4(2447489),
     /* 2440775 */ /*GILLT_nxv8s16*//*Label 35323*/ GIMT_Encode4(2447812),
     /* 2440779 */ /*GILLT_nxv8s32*//*Label 35324*/ GIMT_Encode4(2448445),
     /* 2440783 */ /*GILLT_nxv8s64*//*Label 35325*/ GIMT_Encode4(2449078), GIMT_Encode4(0),
     /* 2440791 */ /*GILLT_nxv16s8*//*Label 35326*/ GIMT_Encode4(2449711),
     /* 2440795 */ /*GILLT_nxv16s16*//*Label 35327*/ GIMT_Encode4(2450034),
     /* 2440799 */ /*GILLT_nxv16s32*//*Label 35328*/ GIMT_Encode4(2450667), GIMT_Encode4(0),
     /* 2440807 */ /*GILLT_nxv32s8*//*Label 35329*/ GIMT_Encode4(2451300),
     /* 2440811 */ /*GILLT_nxv32s16*//*Label 35330*/ GIMT_Encode4(2451623), GIMT_Encode4(0),
     /* 2440819 */ /*GILLT_nxv64s8*//*Label 35331*/ GIMT_Encode4(2452256),
     /* 2440823 */ // Label 35310: @2440823
     /* 2440823 */ GIM_Try, /*On fail goto*//*Label 35333*/ GIMT_Encode4(2441145),
     /* 2440828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2440831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2440834 */   GIM_Try, /*On fail goto*//*Label 35334*/ GIMT_Encode4(2440917), // Rule ID 25364 //
     /* 2440839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2440848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2440855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2440859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2440863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440875 */     // MIs[1] Operand 1
     /* 2440875 */     // No operand predicates
     /* 2440875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440879 */     // MIs[0] policy
     /* 2440879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440891 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2440894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440916 */     // GIR_Coverage, 25364,
     /* 2440916 */     GIR_EraseRootFromParent_Done,
     /* 2440917 */   // Label 35334: @2440917
     /* 2440917 */   GIM_Try, /*On fail goto*//*Label 35335*/ GIMT_Encode4(2441000), // Rule ID 25365 //
     /* 2440922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2440931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2440938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2440942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2440946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440958 */     // MIs[1] Operand 1
     /* 2440958 */     // No operand predicates
     /* 2440958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440962 */     // MIs[0] policy
     /* 2440962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440974 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2440977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440999 */     // GIR_Coverage, 25365,
     /* 2440999 */     GIR_EraseRootFromParent_Done,
     /* 2441000 */   // Label 35335: @2441000
     /* 2441000 */   GIM_Try, /*On fail goto*//*Label 35336*/ GIMT_Encode4(2441072), // Rule ID 25366 //
     /* 2441005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2441014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2441021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441037 */     // MIs[0] policy
     /* 2441037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441047 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2441050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441071 */     // GIR_Coverage, 25366,
     /* 2441071 */     GIR_EraseRootFromParent_Done,
     /* 2441072 */   // Label 35336: @2441072
     /* 2441072 */   GIM_Try, /*On fail goto*//*Label 35337*/ GIMT_Encode4(2441144), // Rule ID 25367 //
     /* 2441077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2441086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2441093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441109 */     // MIs[0] policy
     /* 2441109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441119 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2441122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441143 */     // GIR_Coverage, 25367,
     /* 2441143 */     GIR_EraseRootFromParent_Done,
     /* 2441144 */   // Label 35337: @2441144
     /* 2441144 */   GIM_Reject,
     /* 2441145 */ // Label 35333: @2441145
     /* 2441145 */ GIM_Reject,
     /* 2441146 */ // Label 35311: @2441146
     /* 2441146 */ GIM_Try, /*On fail goto*//*Label 35338*/ GIMT_Encode4(2441778),
     /* 2441151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2441154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2441157 */   GIM_Try, /*On fail goto*//*Label 35339*/ GIMT_Encode4(2441240), // Rule ID 45314 //
     /* 2441162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2441171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2441178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441198 */     // MIs[1] Operand 1
     /* 2441198 */     // No operand predicates
     /* 2441198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441202 */     // MIs[0] policy
     /* 2441202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441214 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2441217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441239 */     // GIR_Coverage, 45314,
     /* 2441239 */     GIR_EraseRootFromParent_Done,
     /* 2441240 */   // Label 35339: @2441240
     /* 2441240 */   GIM_Try, /*On fail goto*//*Label 35340*/ GIMT_Encode4(2441323), // Rule ID 45315 //
     /* 2441245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2441254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2441261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441281 */     // MIs[1] Operand 1
     /* 2441281 */     // No operand predicates
     /* 2441281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441285 */     // MIs[0] policy
     /* 2441285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441297 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2441300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441322 */     // GIR_Coverage, 45315,
     /* 2441322 */     GIR_EraseRootFromParent_Done,
     /* 2441323 */   // Label 35340: @2441323
     /* 2441323 */   GIM_Try, /*On fail goto*//*Label 35341*/ GIMT_Encode4(2441406), // Rule ID 45390 //
     /* 2441328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2441337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2441344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441364 */     // MIs[1] Operand 1
     /* 2441364 */     // No operand predicates
     /* 2441364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441368 */     // MIs[0] policy
     /* 2441368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441380 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2441383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441405 */     // GIR_Coverage, 45390,
     /* 2441405 */     GIR_EraseRootFromParent_Done,
     /* 2441406 */   // Label 35341: @2441406
     /* 2441406 */   GIM_Try, /*On fail goto*//*Label 35342*/ GIMT_Encode4(2441489), // Rule ID 45391 //
     /* 2441411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2441420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2441427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441447 */     // MIs[1] Operand 1
     /* 2441447 */     // No operand predicates
     /* 2441447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441451 */     // MIs[0] policy
     /* 2441451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441463 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2441466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441488 */     // GIR_Coverage, 45391,
     /* 2441488 */     GIR_EraseRootFromParent_Done,
     /* 2441489 */   // Label 35342: @2441489
     /* 2441489 */   GIM_Try, /*On fail goto*//*Label 35343*/ GIMT_Encode4(2441561), // Rule ID 45316 //
     /* 2441494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2441503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2441510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441526 */     // MIs[0] policy
     /* 2441526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441536 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2441539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441560 */     // GIR_Coverage, 45316,
     /* 2441560 */     GIR_EraseRootFromParent_Done,
     /* 2441561 */   // Label 35343: @2441561
     /* 2441561 */   GIM_Try, /*On fail goto*//*Label 35344*/ GIMT_Encode4(2441633), // Rule ID 45317 //
     /* 2441566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2441575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2441582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441598 */     // MIs[0] policy
     /* 2441598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441608 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2441611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441632 */     // GIR_Coverage, 45317,
     /* 2441632 */     GIR_EraseRootFromParent_Done,
     /* 2441633 */   // Label 35344: @2441633
     /* 2441633 */   GIM_Try, /*On fail goto*//*Label 35345*/ GIMT_Encode4(2441705), // Rule ID 45392 //
     /* 2441638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2441647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2441654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441670 */     // MIs[0] policy
     /* 2441670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441680 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2441683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441704 */     // GIR_Coverage, 45392,
     /* 2441704 */     GIR_EraseRootFromParent_Done,
     /* 2441705 */   // Label 35345: @2441705
     /* 2441705 */   GIM_Try, /*On fail goto*//*Label 35346*/ GIMT_Encode4(2441777), // Rule ID 45393 //
     /* 2441710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2441719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2441726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441742 */     // MIs[0] policy
     /* 2441742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441752 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2441755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441776 */     // GIR_Coverage, 45393,
     /* 2441776 */     GIR_EraseRootFromParent_Done,
     /* 2441777 */   // Label 35346: @2441777
     /* 2441777 */   GIM_Reject,
     /* 2441778 */ // Label 35338: @2441778
     /* 2441778 */ GIM_Reject,
     /* 2441779 */ // Label 35312: @2441779
     /* 2441779 */ GIM_Try, /*On fail goto*//*Label 35347*/ GIMT_Encode4(2442411),
     /* 2441784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2441787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2441790 */   GIM_Try, /*On fail goto*//*Label 35348*/ GIMT_Encode4(2441873), // Rule ID 45322 //
     /* 2441795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2441804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2441811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441831 */     // MIs[1] Operand 1
     /* 2441831 */     // No operand predicates
     /* 2441831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441835 */     // MIs[0] policy
     /* 2441835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441847 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2441850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2441869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441872 */     // GIR_Coverage, 45322,
     /* 2441872 */     GIR_EraseRootFromParent_Done,
     /* 2441873 */   // Label 35348: @2441873
     /* 2441873 */   GIM_Try, /*On fail goto*//*Label 35349*/ GIMT_Encode4(2441956), // Rule ID 45323 //
     /* 2441878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2441887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2441894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441914 */     // MIs[1] Operand 1
     /* 2441914 */     // No operand predicates
     /* 2441914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441918 */     // MIs[0] policy
     /* 2441918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441930 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2441933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2441952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441955 */     // GIR_Coverage, 45323,
     /* 2441955 */     GIR_EraseRootFromParent_Done,
     /* 2441956 */   // Label 35349: @2441956
     /* 2441956 */   GIM_Try, /*On fail goto*//*Label 35350*/ GIMT_Encode4(2442039), // Rule ID 45398 //
     /* 2441961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2441970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2441977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441997 */     // MIs[1] Operand 1
     /* 2441997 */     // No operand predicates
     /* 2441997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442001 */     // MIs[0] policy
     /* 2442001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442013 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2442016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442038 */     // GIR_Coverage, 45398,
     /* 2442038 */     GIR_EraseRootFromParent_Done,
     /* 2442039 */   // Label 35350: @2442039
     /* 2442039 */   GIM_Try, /*On fail goto*//*Label 35351*/ GIMT_Encode4(2442122), // Rule ID 45399 //
     /* 2442044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442080 */     // MIs[1] Operand 1
     /* 2442080 */     // No operand predicates
     /* 2442080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442084 */     // MIs[0] policy
     /* 2442084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442096 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2442099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442121 */     // GIR_Coverage, 45399,
     /* 2442121 */     GIR_EraseRootFromParent_Done,
     /* 2442122 */   // Label 35351: @2442122
     /* 2442122 */   GIM_Try, /*On fail goto*//*Label 35352*/ GIMT_Encode4(2442194), // Rule ID 45324 //
     /* 2442127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2442130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442159 */     // MIs[0] policy
     /* 2442159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442169 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2442172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442193 */     // GIR_Coverage, 45324,
     /* 2442193 */     GIR_EraseRootFromParent_Done,
     /* 2442194 */   // Label 35352: @2442194
     /* 2442194 */   GIM_Try, /*On fail goto*//*Label 35353*/ GIMT_Encode4(2442266), // Rule ID 45325 //
     /* 2442199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442231 */     // MIs[0] policy
     /* 2442231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442241 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2442244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442265 */     // GIR_Coverage, 45325,
     /* 2442265 */     GIR_EraseRootFromParent_Done,
     /* 2442266 */   // Label 35353: @2442266
     /* 2442266 */   GIM_Try, /*On fail goto*//*Label 35354*/ GIMT_Encode4(2442338), // Rule ID 45400 //
     /* 2442271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2442274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442303 */     // MIs[0] policy
     /* 2442303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442313 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2442316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442337 */     // GIR_Coverage, 45400,
     /* 2442337 */     GIR_EraseRootFromParent_Done,
     /* 2442338 */   // Label 35354: @2442338
     /* 2442338 */   GIM_Try, /*On fail goto*//*Label 35355*/ GIMT_Encode4(2442410), // Rule ID 45401 //
     /* 2442343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442375 */     // MIs[0] policy
     /* 2442375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442385 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2442388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442409 */     // GIR_Coverage, 45401,
     /* 2442409 */     GIR_EraseRootFromParent_Done,
     /* 2442410 */   // Label 35355: @2442410
     /* 2442410 */   GIM_Reject,
     /* 2442411 */ // Label 35347: @2442411
     /* 2442411 */ GIM_Reject,
     /* 2442412 */ // Label 35313: @2442412
     /* 2442412 */ GIM_Try, /*On fail goto*//*Label 35356*/ GIMT_Encode4(2443044),
     /* 2442417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2442420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2442423 */   GIM_Try, /*On fail goto*//*Label 35357*/ GIMT_Encode4(2442506), // Rule ID 45338 //
     /* 2442428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2442431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442464 */     // MIs[1] Operand 1
     /* 2442464 */     // No operand predicates
     /* 2442464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442468 */     // MIs[0] policy
     /* 2442468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442480 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2442483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2442502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442505 */     // GIR_Coverage, 45338,
     /* 2442505 */     GIR_EraseRootFromParent_Done,
     /* 2442506 */   // Label 35357: @2442506
     /* 2442506 */   GIM_Try, /*On fail goto*//*Label 35358*/ GIMT_Encode4(2442589), // Rule ID 45339 //
     /* 2442511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2442514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442547 */     // MIs[1] Operand 1
     /* 2442547 */     // No operand predicates
     /* 2442547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442551 */     // MIs[0] policy
     /* 2442551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442563 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2442566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2442585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442588 */     // GIR_Coverage, 45339,
     /* 2442588 */     GIR_EraseRootFromParent_Done,
     /* 2442589 */   // Label 35358: @2442589
     /* 2442589 */   GIM_Try, /*On fail goto*//*Label 35359*/ GIMT_Encode4(2442672), // Rule ID 45410 //
     /* 2442594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2442597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442630 */     // MIs[1] Operand 1
     /* 2442630 */     // No operand predicates
     /* 2442630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442634 */     // MIs[0] policy
     /* 2442634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442646 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2442649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2442668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442671 */     // GIR_Coverage, 45410,
     /* 2442671 */     GIR_EraseRootFromParent_Done,
     /* 2442672 */   // Label 35359: @2442672
     /* 2442672 */   GIM_Try, /*On fail goto*//*Label 35360*/ GIMT_Encode4(2442755), // Rule ID 45411 //
     /* 2442677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2442680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442713 */     // MIs[1] Operand 1
     /* 2442713 */     // No operand predicates
     /* 2442713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442717 */     // MIs[0] policy
     /* 2442717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442729 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2442732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2442751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442754 */     // GIR_Coverage, 45411,
     /* 2442754 */     GIR_EraseRootFromParent_Done,
     /* 2442755 */   // Label 35360: @2442755
     /* 2442755 */   GIM_Try, /*On fail goto*//*Label 35361*/ GIMT_Encode4(2442827), // Rule ID 45340 //
     /* 2442760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2442763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442792 */     // MIs[0] policy
     /* 2442792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442802 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2442805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2442823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442826 */     // GIR_Coverage, 45340,
     /* 2442826 */     GIR_EraseRootFromParent_Done,
     /* 2442827 */   // Label 35361: @2442827
     /* 2442827 */   GIM_Try, /*On fail goto*//*Label 35362*/ GIMT_Encode4(2442899), // Rule ID 45341 //
     /* 2442832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2442835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442864 */     // MIs[0] policy
     /* 2442864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442874 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2442877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2442895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442898 */     // GIR_Coverage, 45341,
     /* 2442898 */     GIR_EraseRootFromParent_Done,
     /* 2442899 */   // Label 35362: @2442899
     /* 2442899 */   GIM_Try, /*On fail goto*//*Label 35363*/ GIMT_Encode4(2442971), // Rule ID 45412 //
     /* 2442904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2442907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442936 */     // MIs[0] policy
     /* 2442936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442946 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2442949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2442967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442970 */     // GIR_Coverage, 45412,
     /* 2442970 */     GIR_EraseRootFromParent_Done,
     /* 2442971 */   // Label 35363: @2442971
     /* 2442971 */   GIM_Try, /*On fail goto*//*Label 35364*/ GIMT_Encode4(2443043), // Rule ID 45413 //
     /* 2442976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2442979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443008 */     // MIs[0] policy
     /* 2443008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443018 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2443021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2443039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443042 */     // GIR_Coverage, 45413,
     /* 2443042 */     GIR_EraseRootFromParent_Done,
     /* 2443043 */   // Label 35364: @2443043
     /* 2443043 */   GIM_Reject,
     /* 2443044 */ // Label 35356: @2443044
     /* 2443044 */ GIM_Reject,
     /* 2443045 */ // Label 35314: @2443045
     /* 2443045 */ GIM_Try, /*On fail goto*//*Label 35365*/ GIMT_Encode4(2443367),
     /* 2443050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2443053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2443056 */   GIM_Try, /*On fail goto*//*Label 35366*/ GIMT_Encode4(2443139), // Rule ID 45306 //
     /* 2443061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2443070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443097 */     // MIs[1] Operand 1
     /* 2443097 */     // No operand predicates
     /* 2443097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443101 */     // MIs[0] policy
     /* 2443101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443113 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2443116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2443135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443138 */     // GIR_Coverage, 45306,
     /* 2443138 */     GIR_EraseRootFromParent_Done,
     /* 2443139 */   // Label 35366: @2443139
     /* 2443139 */   GIM_Try, /*On fail goto*//*Label 35367*/ GIMT_Encode4(2443222), // Rule ID 45307 //
     /* 2443144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2443153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443180 */     // MIs[1] Operand 1
     /* 2443180 */     // No operand predicates
     /* 2443180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443184 */     // MIs[0] policy
     /* 2443184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443196 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2443199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2443218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443221 */     // GIR_Coverage, 45307,
     /* 2443221 */     GIR_EraseRootFromParent_Done,
     /* 2443222 */   // Label 35367: @2443222
     /* 2443222 */   GIM_Try, /*On fail goto*//*Label 35368*/ GIMT_Encode4(2443294), // Rule ID 45308 //
     /* 2443227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2443236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443259 */     // MIs[0] policy
     /* 2443259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443269 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2443272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2443290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443293 */     // GIR_Coverage, 45308,
     /* 2443293 */     GIR_EraseRootFromParent_Done,
     /* 2443294 */   // Label 35368: @2443294
     /* 2443294 */   GIM_Try, /*On fail goto*//*Label 35369*/ GIMT_Encode4(2443366), // Rule ID 45309 //
     /* 2443299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2443308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443331 */     // MIs[0] policy
     /* 2443331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443341 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2443344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2443362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443365 */     // GIR_Coverage, 45309,
     /* 2443365 */     GIR_EraseRootFromParent_Done,
     /* 2443366 */   // Label 35369: @2443366
     /* 2443366 */   GIM_Reject,
     /* 2443367 */ // Label 35365: @2443367
     /* 2443367 */ GIM_Reject,
     /* 2443368 */ // Label 35315: @2443368
     /* 2443368 */ GIM_Try, /*On fail goto*//*Label 35370*/ GIMT_Encode4(2444000),
     /* 2443373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2443376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2443379 */   GIM_Try, /*On fail goto*//*Label 35371*/ GIMT_Encode4(2443462), // Rule ID 45318 //
     /* 2443384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2443393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443420 */     // MIs[1] Operand 1
     /* 2443420 */     // No operand predicates
     /* 2443420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443424 */     // MIs[0] policy
     /* 2443424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443436 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2443439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443461 */     // GIR_Coverage, 45318,
     /* 2443461 */     GIR_EraseRootFromParent_Done,
     /* 2443462 */   // Label 35371: @2443462
     /* 2443462 */   GIM_Try, /*On fail goto*//*Label 35372*/ GIMT_Encode4(2443545), // Rule ID 45319 //
     /* 2443467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2443476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443503 */     // MIs[1] Operand 1
     /* 2443503 */     // No operand predicates
     /* 2443503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443507 */     // MIs[0] policy
     /* 2443507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443519 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2443522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443544 */     // GIR_Coverage, 45319,
     /* 2443544 */     GIR_EraseRootFromParent_Done,
     /* 2443545 */   // Label 35372: @2443545
     /* 2443545 */   GIM_Try, /*On fail goto*//*Label 35373*/ GIMT_Encode4(2443628), // Rule ID 45394 //
     /* 2443550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2443559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443586 */     // MIs[1] Operand 1
     /* 2443586 */     // No operand predicates
     /* 2443586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443590 */     // MIs[0] policy
     /* 2443590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443602 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2443605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443627 */     // GIR_Coverage, 45394,
     /* 2443627 */     GIR_EraseRootFromParent_Done,
     /* 2443628 */   // Label 35373: @2443628
     /* 2443628 */   GIM_Try, /*On fail goto*//*Label 35374*/ GIMT_Encode4(2443711), // Rule ID 45395 //
     /* 2443633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2443642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443669 */     // MIs[1] Operand 1
     /* 2443669 */     // No operand predicates
     /* 2443669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443673 */     // MIs[0] policy
     /* 2443673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443685 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2443688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443710 */     // GIR_Coverage, 45395,
     /* 2443710 */     GIR_EraseRootFromParent_Done,
     /* 2443711 */   // Label 35374: @2443711
     /* 2443711 */   GIM_Try, /*On fail goto*//*Label 35375*/ GIMT_Encode4(2443783), // Rule ID 45320 //
     /* 2443716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2443725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443748 */     // MIs[0] policy
     /* 2443748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443758 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2443761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443782 */     // GIR_Coverage, 45320,
     /* 2443782 */     GIR_EraseRootFromParent_Done,
     /* 2443783 */   // Label 35375: @2443783
     /* 2443783 */   GIM_Try, /*On fail goto*//*Label 35376*/ GIMT_Encode4(2443855), // Rule ID 45321 //
     /* 2443788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2443797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443820 */     // MIs[0] policy
     /* 2443820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443830 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2443833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443854 */     // GIR_Coverage, 45321,
     /* 2443854 */     GIR_EraseRootFromParent_Done,
     /* 2443855 */   // Label 35376: @2443855
     /* 2443855 */   GIM_Try, /*On fail goto*//*Label 35377*/ GIMT_Encode4(2443927), // Rule ID 45396 //
     /* 2443860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2443869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443892 */     // MIs[0] policy
     /* 2443892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443902 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2443905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443926 */     // GIR_Coverage, 45396,
     /* 2443926 */     GIR_EraseRootFromParent_Done,
     /* 2443927 */   // Label 35377: @2443927
     /* 2443927 */   GIM_Try, /*On fail goto*//*Label 35378*/ GIMT_Encode4(2443999), // Rule ID 45397 //
     /* 2443932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2443941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443964 */     // MIs[0] policy
     /* 2443964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443974 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2443977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443998 */     // GIR_Coverage, 45397,
     /* 2443998 */     GIR_EraseRootFromParent_Done,
     /* 2443999 */   // Label 35378: @2443999
     /* 2443999 */   GIM_Reject,
     /* 2444000 */ // Label 35370: @2444000
     /* 2444000 */ GIM_Reject,
     /* 2444001 */ // Label 35316: @2444001
     /* 2444001 */ GIM_Try, /*On fail goto*//*Label 35379*/ GIMT_Encode4(2444633),
     /* 2444006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2444009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2444012 */   GIM_Try, /*On fail goto*//*Label 35380*/ GIMT_Encode4(2444095), // Rule ID 45334 //
     /* 2444017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2444020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444053 */     // MIs[1] Operand 1
     /* 2444053 */     // No operand predicates
     /* 2444053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444057 */     // MIs[0] policy
     /* 2444057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444069 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2444072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2444091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444094 */     // GIR_Coverage, 45334,
     /* 2444094 */     GIR_EraseRootFromParent_Done,
     /* 2444095 */   // Label 35380: @2444095
     /* 2444095 */   GIM_Try, /*On fail goto*//*Label 35381*/ GIMT_Encode4(2444178), // Rule ID 45335 //
     /* 2444100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2444103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444136 */     // MIs[1] Operand 1
     /* 2444136 */     // No operand predicates
     /* 2444136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444140 */     // MIs[0] policy
     /* 2444140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444152 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2444155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2444174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444177 */     // GIR_Coverage, 45335,
     /* 2444177 */     GIR_EraseRootFromParent_Done,
     /* 2444178 */   // Label 35381: @2444178
     /* 2444178 */   GIM_Try, /*On fail goto*//*Label 35382*/ GIMT_Encode4(2444261), // Rule ID 45406 //
     /* 2444183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2444186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444219 */     // MIs[1] Operand 1
     /* 2444219 */     // No operand predicates
     /* 2444219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444223 */     // MIs[0] policy
     /* 2444223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444235 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2444238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2444257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444260 */     // GIR_Coverage, 45406,
     /* 2444260 */     GIR_EraseRootFromParent_Done,
     /* 2444261 */   // Label 35382: @2444261
     /* 2444261 */   GIM_Try, /*On fail goto*//*Label 35383*/ GIMT_Encode4(2444344), // Rule ID 45407 //
     /* 2444266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2444269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444302 */     // MIs[1] Operand 1
     /* 2444302 */     // No operand predicates
     /* 2444302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444306 */     // MIs[0] policy
     /* 2444306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444318 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2444321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2444340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444343 */     // GIR_Coverage, 45407,
     /* 2444343 */     GIR_EraseRootFromParent_Done,
     /* 2444344 */   // Label 35383: @2444344
     /* 2444344 */   GIM_Try, /*On fail goto*//*Label 35384*/ GIMT_Encode4(2444416), // Rule ID 45336 //
     /* 2444349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2444352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444381 */     // MIs[0] policy
     /* 2444381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444391 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2444394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2444412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444415 */     // GIR_Coverage, 45336,
     /* 2444415 */     GIR_EraseRootFromParent_Done,
     /* 2444416 */   // Label 35384: @2444416
     /* 2444416 */   GIM_Try, /*On fail goto*//*Label 35385*/ GIMT_Encode4(2444488), // Rule ID 45337 //
     /* 2444421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2444424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444453 */     // MIs[0] policy
     /* 2444453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444463 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2444466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2444484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444487 */     // GIR_Coverage, 45337,
     /* 2444487 */     GIR_EraseRootFromParent_Done,
     /* 2444488 */   // Label 35385: @2444488
     /* 2444488 */   GIM_Try, /*On fail goto*//*Label 35386*/ GIMT_Encode4(2444560), // Rule ID 45408 //
     /* 2444493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2444496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444525 */     // MIs[0] policy
     /* 2444525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444535 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2444538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2444556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444559 */     // GIR_Coverage, 45408,
     /* 2444559 */     GIR_EraseRootFromParent_Done,
     /* 2444560 */   // Label 35386: @2444560
     /* 2444560 */   GIM_Try, /*On fail goto*//*Label 35387*/ GIMT_Encode4(2444632), // Rule ID 45409 //
     /* 2444565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2444568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444597 */     // MIs[0] policy
     /* 2444597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444607 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2444610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2444628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444631 */     // GIR_Coverage, 45409,
     /* 2444631 */     GIR_EraseRootFromParent_Done,
     /* 2444632 */   // Label 35387: @2444632
     /* 2444632 */   GIM_Reject,
     /* 2444633 */ // Label 35379: @2444633
     /* 2444633 */ GIM_Reject,
     /* 2444634 */ // Label 35317: @2444634
     /* 2444634 */ GIM_Try, /*On fail goto*//*Label 35388*/ GIMT_Encode4(2445266),
     /* 2444639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2444642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2444645 */   GIM_Try, /*On fail goto*//*Label 35389*/ GIMT_Encode4(2444728), // Rule ID 45378 //
     /* 2444650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2444653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2444666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2444670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2444674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444686 */     // MIs[1] Operand 1
     /* 2444686 */     // No operand predicates
     /* 2444686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444690 */     // MIs[0] policy
     /* 2444690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444702 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2444705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2444724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444727 */     // GIR_Coverage, 45378,
     /* 2444727 */     GIR_EraseRootFromParent_Done,
     /* 2444728 */   // Label 35389: @2444728
     /* 2444728 */   GIM_Try, /*On fail goto*//*Label 35390*/ GIMT_Encode4(2444811), // Rule ID 45379 //
     /* 2444733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2444736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2444749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2444753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2444757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444769 */     // MIs[1] Operand 1
     /* 2444769 */     // No operand predicates
     /* 2444769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444773 */     // MIs[0] policy
     /* 2444773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444785 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2444788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2444807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444810 */     // GIR_Coverage, 45379,
     /* 2444810 */     GIR_EraseRootFromParent_Done,
     /* 2444811 */   // Label 35390: @2444811
     /* 2444811 */   GIM_Try, /*On fail goto*//*Label 35391*/ GIMT_Encode4(2444894), // Rule ID 45438 //
     /* 2444816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2444819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2444832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2444836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2444840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444852 */     // MIs[1] Operand 1
     /* 2444852 */     // No operand predicates
     /* 2444852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444856 */     // MIs[0] policy
     /* 2444856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444868 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2444871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2444890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444893 */     // GIR_Coverage, 45438,
     /* 2444893 */     GIR_EraseRootFromParent_Done,
     /* 2444894 */   // Label 35391: @2444894
     /* 2444894 */   GIM_Try, /*On fail goto*//*Label 35392*/ GIMT_Encode4(2444977), // Rule ID 45439 //
     /* 2444899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2444902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2444915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2444919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2444923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444935 */     // MIs[1] Operand 1
     /* 2444935 */     // No operand predicates
     /* 2444935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444939 */     // MIs[0] policy
     /* 2444939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444951 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2444954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2444973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444976 */     // GIR_Coverage, 45439,
     /* 2444976 */     GIR_EraseRootFromParent_Done,
     /* 2444977 */   // Label 35392: @2444977
     /* 2444977 */   GIM_Try, /*On fail goto*//*Label 35393*/ GIMT_Encode4(2445049), // Rule ID 45380 //
     /* 2444982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2444985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2444998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2445002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2445006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445014 */     // MIs[0] policy
     /* 2445014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445024 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2445027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2445045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445048 */     // GIR_Coverage, 45380,
     /* 2445048 */     GIR_EraseRootFromParent_Done,
     /* 2445049 */   // Label 35393: @2445049
     /* 2445049 */   GIM_Try, /*On fail goto*//*Label 35394*/ GIMT_Encode4(2445121), // Rule ID 45381 //
     /* 2445054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2445057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2445060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2445066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2445070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2445074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2445078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445086 */     // MIs[0] policy
     /* 2445086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445096 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2445096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2445099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2445117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445120 */     // GIR_Coverage, 45381,
     /* 2445120 */     GIR_EraseRootFromParent_Done,
     /* 2445121 */   // Label 35394: @2445121
     /* 2445121 */   GIM_Try, /*On fail goto*//*Label 35395*/ GIMT_Encode4(2445193), // Rule ID 45440 //
     /* 2445126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2445129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2445132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2445138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2445142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2445146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2445150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445158 */     // MIs[0] policy
     /* 2445158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445168 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2445171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2445189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445192 */     // GIR_Coverage, 45440,
     /* 2445192 */     GIR_EraseRootFromParent_Done,
     /* 2445193 */   // Label 35395: @2445193
     /* 2445193 */   GIM_Try, /*On fail goto*//*Label 35396*/ GIMT_Encode4(2445265), // Rule ID 45441 //
     /* 2445198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2445201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2445204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2445210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2445214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2445218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2445222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445230 */     // MIs[0] policy
     /* 2445230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445240 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2445240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2445243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2445261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445264 */     // GIR_Coverage, 45441,
     /* 2445264 */     GIR_EraseRootFromParent_Done,
     /* 2445265 */   // Label 35396: @2445265
     /* 2445265 */   GIM_Reject,
     /* 2445266 */ // Label 35388: @2445266
     /* 2445266 */ GIM_Reject,
     /* 2445267 */ // Label 35318: @2445267
     /* 2445267 */ GIM_Try, /*On fail goto*//*Label 35397*/ GIMT_Encode4(2445589),
     /* 2445272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2445275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2445278 */   GIM_Try, /*On fail goto*//*Label 35398*/ GIMT_Encode4(2445361), // Rule ID 45310 //
     /* 2445283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2445286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2445289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2445292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2445295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2445311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2445315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2445319 */     // MIs[1] Operand 1
     /* 2445319 */     // No operand predicates
     /* 2445319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445323 */     // MIs[0] policy
     /* 2445323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445335 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2445338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2445347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2445357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445360 */     // GIR_Coverage, 45310,
     /* 2445360 */     GIR_EraseRootFromParent_Done,
     /* 2445361 */   // Label 35398: @2445361
     /* 2445361 */   GIM_Try, /*On fail goto*//*Label 35399*/ GIMT_Encode4(2445444), // Rule ID 45311 //
     /* 2445366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2445369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2445372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2445375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2445378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2445394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2445398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2445402 */     // MIs[1] Operand 1
     /* 2445402 */     // No operand predicates
     /* 2445402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445406 */     // MIs[0] policy
     /* 2445406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445418 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2445418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2445421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2445430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2445440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445443 */     // GIR_Coverage, 45311,
     /* 2445443 */     GIR_EraseRootFromParent_Done,
     /* 2445444 */   // Label 35399: @2445444
     /* 2445444 */   GIM_Try, /*On fail goto*//*Label 35400*/ GIMT_Encode4(2445516), // Rule ID 45312 //
     /* 2445449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2445452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2445455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2445458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2445461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445481 */     // MIs[0] policy
     /* 2445481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445491 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2445494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2445512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445515 */     // GIR_Coverage, 45312,
     /* 2445515 */     GIR_EraseRootFromParent_Done,
     /* 2445516 */   // Label 35400: @2445516
     /* 2445516 */   GIM_Try, /*On fail goto*//*Label 35401*/ GIMT_Encode4(2445588), // Rule ID 45313 //
     /* 2445521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2445524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2445527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2445530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2445533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445553 */     // MIs[0] policy
     /* 2445553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445563 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2445563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2445566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2445584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445587 */     // GIR_Coverage, 45313,
     /* 2445587 */     GIR_EraseRootFromParent_Done,
     /* 2445588 */   // Label 35401: @2445588
     /* 2445588 */   GIM_Reject,
     /* 2445589 */ // Label 35397: @2445589
     /* 2445589 */ GIM_Reject,
     /* 2445590 */ // Label 35319: @2445590
     /* 2445590 */ GIM_Try, /*On fail goto*//*Label 35402*/ GIMT_Encode4(2446222),
     /* 2445595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2445598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2445601 */   GIM_Try, /*On fail goto*//*Label 35403*/ GIMT_Encode4(2445684), // Rule ID 45330 //
     /* 2445606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2445609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2445612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2445615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2445618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2445634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2445638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2445642 */     // MIs[1] Operand 1
     /* 2445642 */     // No operand predicates
     /* 2445642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445646 */     // MIs[0] policy
     /* 2445646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445658 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2445661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2445670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445683 */     // GIR_Coverage, 45330,
     /* 2445683 */     GIR_EraseRootFromParent_Done,
     /* 2445684 */   // Label 35403: @2445684
     /* 2445684 */   GIM_Try, /*On fail goto*//*Label 35404*/ GIMT_Encode4(2445767), // Rule ID 45331 //
     /* 2445689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2445692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2445695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2445698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2445701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2445717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2445721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2445725 */     // MIs[1] Operand 1
     /* 2445725 */     // No operand predicates
     /* 2445725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445729 */     // MIs[0] policy
     /* 2445729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445741 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2445741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2445744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2445753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445766 */     // GIR_Coverage, 45331,
     /* 2445766 */     GIR_EraseRootFromParent_Done,
     /* 2445767 */   // Label 35404: @2445767
     /* 2445767 */   GIM_Try, /*On fail goto*//*Label 35405*/ GIMT_Encode4(2445850), // Rule ID 45402 //
     /* 2445772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2445775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2445778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2445781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2445784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2445800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2445804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2445808 */     // MIs[1] Operand 1
     /* 2445808 */     // No operand predicates
     /* 2445808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445812 */     // MIs[0] policy
     /* 2445812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445824 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2445827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2445836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445849 */     // GIR_Coverage, 45402,
     /* 2445849 */     GIR_EraseRootFromParent_Done,
     /* 2445850 */   // Label 35405: @2445850
     /* 2445850 */   GIM_Try, /*On fail goto*//*Label 35406*/ GIMT_Encode4(2445933), // Rule ID 45403 //
     /* 2445855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2445858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2445861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2445864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2445867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2445883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2445887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2445891 */     // MIs[1] Operand 1
     /* 2445891 */     // No operand predicates
     /* 2445891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445895 */     // MIs[0] policy
     /* 2445895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445907 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2445907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2445910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2445919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445932 */     // GIR_Coverage, 45403,
     /* 2445932 */     GIR_EraseRootFromParent_Done,
     /* 2445933 */   // Label 35406: @2445933
     /* 2445933 */   GIM_Try, /*On fail goto*//*Label 35407*/ GIMT_Encode4(2446005), // Rule ID 45332 //
     /* 2445938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2445941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2445944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2445947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2445950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445970 */     // MIs[0] policy
     /* 2445970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445980 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2445983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2446001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446004 */     // GIR_Coverage, 45332,
     /* 2446004 */     GIR_EraseRootFromParent_Done,
     /* 2446005 */   // Label 35407: @2446005
     /* 2446005 */   GIM_Try, /*On fail goto*//*Label 35408*/ GIMT_Encode4(2446077), // Rule ID 45333 //
     /* 2446010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2446013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2446016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2446022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2446026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446042 */     // MIs[0] policy
     /* 2446042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446052 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2446052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2446055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2446073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446076 */     // GIR_Coverage, 45333,
     /* 2446076 */     GIR_EraseRootFromParent_Done,
     /* 2446077 */   // Label 35408: @2446077
     /* 2446077 */   GIM_Try, /*On fail goto*//*Label 35409*/ GIMT_Encode4(2446149), // Rule ID 45404 //
     /* 2446082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2446085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2446088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2446094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2446098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446114 */     // MIs[0] policy
     /* 2446114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446124 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2446124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2446127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2446145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446148 */     // GIR_Coverage, 45404,
     /* 2446148 */     GIR_EraseRootFromParent_Done,
     /* 2446149 */   // Label 35409: @2446149
     /* 2446149 */   GIM_Try, /*On fail goto*//*Label 35410*/ GIMT_Encode4(2446221), // Rule ID 45405 //
     /* 2446154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2446157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2446160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2446166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2446170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446186 */     // MIs[0] policy
     /* 2446186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446196 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2446196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2446199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2446217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446220 */     // GIR_Coverage, 45405,
     /* 2446220 */     GIR_EraseRootFromParent_Done,
     /* 2446221 */   // Label 35410: @2446221
     /* 2446221 */   GIM_Reject,
     /* 2446222 */ // Label 35402: @2446222
     /* 2446222 */ GIM_Reject,
     /* 2446223 */ // Label 35320: @2446223
     /* 2446223 */ GIM_Try, /*On fail goto*//*Label 35411*/ GIMT_Encode4(2446855),
     /* 2446228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2446231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2446234 */   GIM_Try, /*On fail goto*//*Label 35412*/ GIMT_Encode4(2446317), // Rule ID 45366 //
     /* 2446239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2446242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2446245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2446251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2446267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2446271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2446275 */     // MIs[1] Operand 1
     /* 2446275 */     // No operand predicates
     /* 2446275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446279 */     // MIs[0] policy
     /* 2446279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446291 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2446291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2446294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2446303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446316 */     // GIR_Coverage, 45366,
     /* 2446316 */     GIR_EraseRootFromParent_Done,
     /* 2446317 */   // Label 35412: @2446317
     /* 2446317 */   GIM_Try, /*On fail goto*//*Label 35413*/ GIMT_Encode4(2446400), // Rule ID 45367 //
     /* 2446322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2446325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2446328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2446334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2446350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2446354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2446358 */     // MIs[1] Operand 1
     /* 2446358 */     // No operand predicates
     /* 2446358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446362 */     // MIs[0] policy
     /* 2446362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446374 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2446374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2446377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2446386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446399 */     // GIR_Coverage, 45367,
     /* 2446399 */     GIR_EraseRootFromParent_Done,
     /* 2446400 */   // Label 35413: @2446400
     /* 2446400 */   GIM_Try, /*On fail goto*//*Label 35414*/ GIMT_Encode4(2446483), // Rule ID 45426 //
     /* 2446405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2446408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2446411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2446417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2446433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2446437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2446441 */     // MIs[1] Operand 1
     /* 2446441 */     // No operand predicates
     /* 2446441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446445 */     // MIs[0] policy
     /* 2446445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446457 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2446457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2446460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2446469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446482 */     // GIR_Coverage, 45426,
     /* 2446482 */     GIR_EraseRootFromParent_Done,
     /* 2446483 */   // Label 35414: @2446483
     /* 2446483 */   GIM_Try, /*On fail goto*//*Label 35415*/ GIMT_Encode4(2446566), // Rule ID 45427 //
     /* 2446488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2446491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2446494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2446500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2446516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2446520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2446524 */     // MIs[1] Operand 1
     /* 2446524 */     // No operand predicates
     /* 2446524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446528 */     // MIs[0] policy
     /* 2446528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446540 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2446540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2446543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2446552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446565 */     // GIR_Coverage, 45427,
     /* 2446565 */     GIR_EraseRootFromParent_Done,
     /* 2446566 */   // Label 35415: @2446566
     /* 2446566 */   GIM_Try, /*On fail goto*//*Label 35416*/ GIMT_Encode4(2446638), // Rule ID 45368 //
     /* 2446571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2446574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2446577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2446583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446603 */     // MIs[0] policy
     /* 2446603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446613 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2446613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2446616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446637 */     // GIR_Coverage, 45368,
     /* 2446637 */     GIR_EraseRootFromParent_Done,
     /* 2446638 */   // Label 35416: @2446638
     /* 2446638 */   GIM_Try, /*On fail goto*//*Label 35417*/ GIMT_Encode4(2446710), // Rule ID 45369 //
     /* 2446643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2446646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2446649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2446655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446675 */     // MIs[0] policy
     /* 2446675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446685 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2446685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2446688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446709 */     // GIR_Coverage, 45369,
     /* 2446709 */     GIR_EraseRootFromParent_Done,
     /* 2446710 */   // Label 35417: @2446710
     /* 2446710 */   GIM_Try, /*On fail goto*//*Label 35418*/ GIMT_Encode4(2446782), // Rule ID 45428 //
     /* 2446715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2446718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2446721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2446727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446747 */     // MIs[0] policy
     /* 2446747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446757 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2446757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2446760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446781 */     // GIR_Coverage, 45428,
     /* 2446781 */     GIR_EraseRootFromParent_Done,
     /* 2446782 */   // Label 35418: @2446782
     /* 2446782 */   GIM_Try, /*On fail goto*//*Label 35419*/ GIMT_Encode4(2446854), // Rule ID 45429 //
     /* 2446787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2446790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2446793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2446799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446819 */     // MIs[0] policy
     /* 2446819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446829 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2446829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2446832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446853 */     // GIR_Coverage, 45429,
     /* 2446853 */     GIR_EraseRootFromParent_Done,
     /* 2446854 */   // Label 35419: @2446854
     /* 2446854 */   GIM_Reject,
     /* 2446855 */ // Label 35411: @2446855
     /* 2446855 */ GIM_Reject,
     /* 2446856 */ // Label 35321: @2446856
     /* 2446856 */ GIM_Try, /*On fail goto*//*Label 35420*/ GIMT_Encode4(2447488),
     /* 2446861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2446864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2446867 */   GIM_Try, /*On fail goto*//*Label 35421*/ GIMT_Encode4(2446950), // Rule ID 45382 //
     /* 2446872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2446875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2446878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2446884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2446888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2446892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2446896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2446900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2446904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2446908 */     // MIs[1] Operand 1
     /* 2446908 */     // No operand predicates
     /* 2446908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446912 */     // MIs[0] policy
     /* 2446912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446924 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2446924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2446927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2446936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446949 */     // GIR_Coverage, 45382,
     /* 2446949 */     GIR_EraseRootFromParent_Done,
     /* 2446950 */   // Label 35421: @2446950
     /* 2446950 */   GIM_Try, /*On fail goto*//*Label 35422*/ GIMT_Encode4(2447033), // Rule ID 45383 //
     /* 2446955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2446958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2446961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2446967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2446971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2446975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2446979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2446983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2446987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2446991 */     // MIs[1] Operand 1
     /* 2446991 */     // No operand predicates
     /* 2446991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446995 */     // MIs[0] policy
     /* 2446995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447007 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2447007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2447010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2447029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447032 */     // GIR_Coverage, 45383,
     /* 2447032 */     GIR_EraseRootFromParent_Done,
     /* 2447033 */   // Label 35422: @2447033
     /* 2447033 */   GIM_Try, /*On fail goto*//*Label 35423*/ GIMT_Encode4(2447116), // Rule ID 45442 //
     /* 2447038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2447041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2447044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2447050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2447054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447074 */     // MIs[1] Operand 1
     /* 2447074 */     // No operand predicates
     /* 2447074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447078 */     // MIs[0] policy
     /* 2447078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447090 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2447090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2447093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2447112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447115 */     // GIR_Coverage, 45442,
     /* 2447115 */     GIR_EraseRootFromParent_Done,
     /* 2447116 */   // Label 35423: @2447116
     /* 2447116 */   GIM_Try, /*On fail goto*//*Label 35424*/ GIMT_Encode4(2447199), // Rule ID 45443 //
     /* 2447121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2447124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2447127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2447133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2447137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447157 */     // MIs[1] Operand 1
     /* 2447157 */     // No operand predicates
     /* 2447157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447161 */     // MIs[0] policy
     /* 2447161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447173 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2447173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2447176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2447195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447198 */     // GIR_Coverage, 45443,
     /* 2447198 */     GIR_EraseRootFromParent_Done,
     /* 2447199 */   // Label 35424: @2447199
     /* 2447199 */   GIM_Try, /*On fail goto*//*Label 35425*/ GIMT_Encode4(2447271), // Rule ID 45384 //
     /* 2447204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2447207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2447210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2447216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2447220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2447232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447236 */     // MIs[0] policy
     /* 2447236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447246 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2447246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2447249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2447257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2447267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447270 */     // GIR_Coverage, 45384,
     /* 2447270 */     GIR_EraseRootFromParent_Done,
     /* 2447271 */   // Label 35425: @2447271
     /* 2447271 */   GIM_Try, /*On fail goto*//*Label 35426*/ GIMT_Encode4(2447343), // Rule ID 45385 //
     /* 2447276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2447279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2447282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2447288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2447292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2447304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447308 */     // MIs[0] policy
     /* 2447308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447318 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2447318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2447321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2447329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2447339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447342 */     // GIR_Coverage, 45385,
     /* 2447342 */     GIR_EraseRootFromParent_Done,
     /* 2447343 */   // Label 35426: @2447343
     /* 2447343 */   GIM_Try, /*On fail goto*//*Label 35427*/ GIMT_Encode4(2447415), // Rule ID 45444 //
     /* 2447348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2447351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2447354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2447360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2447364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2447376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447380 */     // MIs[0] policy
     /* 2447380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447390 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2447390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2447393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2447401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2447411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447414 */     // GIR_Coverage, 45444,
     /* 2447414 */     GIR_EraseRootFromParent_Done,
     /* 2447415 */   // Label 35427: @2447415
     /* 2447415 */   GIM_Try, /*On fail goto*//*Label 35428*/ GIMT_Encode4(2447487), // Rule ID 45445 //
     /* 2447420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2447423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2447426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2447432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2447436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2447448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447452 */     // MIs[0] policy
     /* 2447452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447462 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2447462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2447465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2447473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2447483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447486 */     // GIR_Coverage, 45445,
     /* 2447486 */     GIR_EraseRootFromParent_Done,
     /* 2447487 */   // Label 35428: @2447487
     /* 2447487 */   GIM_Reject,
     /* 2447488 */ // Label 35420: @2447488
     /* 2447488 */ GIM_Reject,
     /* 2447489 */ // Label 35322: @2447489
     /* 2447489 */ GIM_Try, /*On fail goto*//*Label 35429*/ GIMT_Encode4(2447811),
     /* 2447494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2447497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2447500 */   GIM_Try, /*On fail goto*//*Label 35430*/ GIMT_Encode4(2447583), // Rule ID 45326 //
     /* 2447505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2447508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2447511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2447514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2447517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2447521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447541 */     // MIs[1] Operand 1
     /* 2447541 */     // No operand predicates
     /* 2447541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447545 */     // MIs[0] policy
     /* 2447545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447557 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2447557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2447560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447582 */     // GIR_Coverage, 45326,
     /* 2447582 */     GIR_EraseRootFromParent_Done,
     /* 2447583 */   // Label 35430: @2447583
     /* 2447583 */   GIM_Try, /*On fail goto*//*Label 35431*/ GIMT_Encode4(2447666), // Rule ID 45327 //
     /* 2447588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2447591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2447594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2447597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2447600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2447604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447624 */     // MIs[1] Operand 1
     /* 2447624 */     // No operand predicates
     /* 2447624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447628 */     // MIs[0] policy
     /* 2447628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447640 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2447640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2447643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447665 */     // GIR_Coverage, 45327,
     /* 2447665 */     GIR_EraseRootFromParent_Done,
     /* 2447666 */   // Label 35431: @2447666
     /* 2447666 */   GIM_Try, /*On fail goto*//*Label 35432*/ GIMT_Encode4(2447738), // Rule ID 45328 //
     /* 2447671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2447674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2447677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2447680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2447683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2447687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2447699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447703 */     // MIs[0] policy
     /* 2447703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447713 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2447713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2447716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2447724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447737 */     // GIR_Coverage, 45328,
     /* 2447737 */     GIR_EraseRootFromParent_Done,
     /* 2447738 */   // Label 35432: @2447738
     /* 2447738 */   GIM_Try, /*On fail goto*//*Label 35433*/ GIMT_Encode4(2447810), // Rule ID 45329 //
     /* 2447743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2447746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2447749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2447752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2447755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2447759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2447771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447775 */     // MIs[0] policy
     /* 2447775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447785 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2447785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2447788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2447796 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447809 */     // GIR_Coverage, 45329,
     /* 2447809 */     GIR_EraseRootFromParent_Done,
     /* 2447810 */   // Label 35433: @2447810
     /* 2447810 */   GIM_Reject,
     /* 2447811 */ // Label 35429: @2447811
     /* 2447811 */ GIM_Reject,
     /* 2447812 */ // Label 35323: @2447812
     /* 2447812 */ GIM_Try, /*On fail goto*//*Label 35434*/ GIMT_Encode4(2448444),
     /* 2447817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2447820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2447823 */   GIM_Try, /*On fail goto*//*Label 35435*/ GIMT_Encode4(2447906), // Rule ID 45354 //
     /* 2447828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2447831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2447834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2447837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2447840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2447844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447864 */     // MIs[1] Operand 1
     /* 2447864 */     // No operand predicates
     /* 2447864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447868 */     // MIs[0] policy
     /* 2447868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447880 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2447880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2447883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447905 */     // GIR_Coverage, 45354,
     /* 2447905 */     GIR_EraseRootFromParent_Done,
     /* 2447906 */   // Label 35435: @2447906
     /* 2447906 */   GIM_Try, /*On fail goto*//*Label 35436*/ GIMT_Encode4(2447989), // Rule ID 45355 //
     /* 2447911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2447914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2447917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2447920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2447923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2447927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447947 */     // MIs[1] Operand 1
     /* 2447947 */     // No operand predicates
     /* 2447947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447951 */     // MIs[0] policy
     /* 2447951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447963 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2447963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2447966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447975 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447988 */     // GIR_Coverage, 45355,
     /* 2447988 */     GIR_EraseRootFromParent_Done,
     /* 2447989 */   // Label 35436: @2447989
     /* 2447989 */   GIM_Try, /*On fail goto*//*Label 35437*/ GIMT_Encode4(2448072), // Rule ID 45414 //
     /* 2447994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2447997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2448000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2448006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2448010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2448022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2448026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2448030 */     // MIs[1] Operand 1
     /* 2448030 */     // No operand predicates
     /* 2448030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448034 */     // MIs[0] policy
     /* 2448034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448046 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2448049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2448058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2448068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448071 */     // GIR_Coverage, 45414,
     /* 2448071 */     GIR_EraseRootFromParent_Done,
     /* 2448072 */   // Label 35437: @2448072
     /* 2448072 */   GIM_Try, /*On fail goto*//*Label 35438*/ GIMT_Encode4(2448155), // Rule ID 45415 //
     /* 2448077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2448080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2448083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2448089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2448093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2448105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2448109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2448113 */     // MIs[1] Operand 1
     /* 2448113 */     // No operand predicates
     /* 2448113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448117 */     // MIs[0] policy
     /* 2448117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448129 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2448129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2448132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2448141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2448151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448154 */     // GIR_Coverage, 45415,
     /* 2448154 */     GIR_EraseRootFromParent_Done,
     /* 2448155 */   // Label 35438: @2448155
     /* 2448155 */   GIM_Try, /*On fail goto*//*Label 35439*/ GIMT_Encode4(2448227), // Rule ID 45356 //
     /* 2448160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2448163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2448166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2448172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2448176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448192 */     // MIs[0] policy
     /* 2448192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448202 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2448205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2448223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448226 */     // GIR_Coverage, 45356,
     /* 2448226 */     GIR_EraseRootFromParent_Done,
     /* 2448227 */   // Label 35439: @2448227
     /* 2448227 */   GIM_Try, /*On fail goto*//*Label 35440*/ GIMT_Encode4(2448299), // Rule ID 45357 //
     /* 2448232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2448235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2448238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2448244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2448248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448264 */     // MIs[0] policy
     /* 2448264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448274 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2448274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2448277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2448295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448298 */     // GIR_Coverage, 45357,
     /* 2448298 */     GIR_EraseRootFromParent_Done,
     /* 2448299 */   // Label 35440: @2448299
     /* 2448299 */   GIM_Try, /*On fail goto*//*Label 35441*/ GIMT_Encode4(2448371), // Rule ID 45416 //
     /* 2448304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2448307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2448310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2448316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2448320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448336 */     // MIs[0] policy
     /* 2448336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448346 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2448349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2448367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448370 */     // GIR_Coverage, 45416,
     /* 2448370 */     GIR_EraseRootFromParent_Done,
     /* 2448371 */   // Label 35441: @2448371
     /* 2448371 */   GIM_Try, /*On fail goto*//*Label 35442*/ GIMT_Encode4(2448443), // Rule ID 45417 //
     /* 2448376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2448379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2448382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2448388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2448392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448408 */     // MIs[0] policy
     /* 2448408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448418 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2448418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2448421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2448439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448442 */     // GIR_Coverage, 45417,
     /* 2448442 */     GIR_EraseRootFromParent_Done,
     /* 2448443 */   // Label 35442: @2448443
     /* 2448443 */   GIM_Reject,
     /* 2448444 */ // Label 35434: @2448444
     /* 2448444 */ GIM_Reject,
     /* 2448445 */ // Label 35324: @2448445
     /* 2448445 */ GIM_Try, /*On fail goto*//*Label 35443*/ GIMT_Encode4(2449077),
     /* 2448450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2448453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2448456 */   GIM_Try, /*On fail goto*//*Label 35444*/ GIMT_Encode4(2448539), // Rule ID 45370 //
     /* 2448461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2448464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2448467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2448473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2448489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2448493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2448497 */     // MIs[1] Operand 1
     /* 2448497 */     // No operand predicates
     /* 2448497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448501 */     // MIs[0] policy
     /* 2448501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448513 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2448516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2448525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448538 */     // GIR_Coverage, 45370,
     /* 2448538 */     GIR_EraseRootFromParent_Done,
     /* 2448539 */   // Label 35444: @2448539
     /* 2448539 */   GIM_Try, /*On fail goto*//*Label 35445*/ GIMT_Encode4(2448622), // Rule ID 45371 //
     /* 2448544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2448547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2448550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2448556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2448572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2448576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2448580 */     // MIs[1] Operand 1
     /* 2448580 */     // No operand predicates
     /* 2448580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448584 */     // MIs[0] policy
     /* 2448584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448596 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2448596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2448599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2448608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448621 */     // GIR_Coverage, 45371,
     /* 2448621 */     GIR_EraseRootFromParent_Done,
     /* 2448622 */   // Label 35445: @2448622
     /* 2448622 */   GIM_Try, /*On fail goto*//*Label 35446*/ GIMT_Encode4(2448705), // Rule ID 45430 //
     /* 2448627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2448630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2448633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2448639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2448655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2448659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2448663 */     // MIs[1] Operand 1
     /* 2448663 */     // No operand predicates
     /* 2448663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448667 */     // MIs[0] policy
     /* 2448667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448679 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2448682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2448691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448704 */     // GIR_Coverage, 45430,
     /* 2448704 */     GIR_EraseRootFromParent_Done,
     /* 2448705 */   // Label 35446: @2448705
     /* 2448705 */   GIM_Try, /*On fail goto*//*Label 35447*/ GIMT_Encode4(2448788), // Rule ID 45431 //
     /* 2448710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2448713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2448716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2448722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2448738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2448742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2448746 */     // MIs[1] Operand 1
     /* 2448746 */     // No operand predicates
     /* 2448746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448750 */     // MIs[0] policy
     /* 2448750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448762 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2448762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2448765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2448774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448787 */     // GIR_Coverage, 45431,
     /* 2448787 */     GIR_EraseRootFromParent_Done,
     /* 2448788 */   // Label 35447: @2448788
     /* 2448788 */   GIM_Try, /*On fail goto*//*Label 35448*/ GIMT_Encode4(2448860), // Rule ID 45372 //
     /* 2448793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2448796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2448799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2448805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448825 */     // MIs[0] policy
     /* 2448825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448835 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2448838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448859 */     // GIR_Coverage, 45372,
     /* 2448859 */     GIR_EraseRootFromParent_Done,
     /* 2448860 */   // Label 35448: @2448860
     /* 2448860 */   GIM_Try, /*On fail goto*//*Label 35449*/ GIMT_Encode4(2448932), // Rule ID 45373 //
     /* 2448865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2448868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2448871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2448877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448897 */     // MIs[0] policy
     /* 2448897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448907 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2448907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2448910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448931 */     // GIR_Coverage, 45373,
     /* 2448931 */     GIR_EraseRootFromParent_Done,
     /* 2448932 */   // Label 35449: @2448932
     /* 2448932 */   GIM_Try, /*On fail goto*//*Label 35450*/ GIMT_Encode4(2449004), // Rule ID 45432 //
     /* 2448937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2448940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2448943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2448949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448969 */     // MIs[0] policy
     /* 2448969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448979 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2448982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2449000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449003 */     // GIR_Coverage, 45432,
     /* 2449003 */     GIR_EraseRootFromParent_Done,
     /* 2449004 */   // Label 35450: @2449004
     /* 2449004 */   GIM_Try, /*On fail goto*//*Label 35451*/ GIMT_Encode4(2449076), // Rule ID 45433 //
     /* 2449009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2449012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2449025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2449029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2449033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449041 */     // MIs[0] policy
     /* 2449041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449051 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2449051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2449054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2449062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2449072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449075 */     // GIR_Coverage, 45433,
     /* 2449075 */     GIR_EraseRootFromParent_Done,
     /* 2449076 */   // Label 35451: @2449076
     /* 2449076 */   GIM_Reject,
     /* 2449077 */ // Label 35443: @2449077
     /* 2449077 */ GIM_Reject,
     /* 2449078 */ // Label 35325: @2449078
     /* 2449078 */ GIM_Try, /*On fail goto*//*Label 35452*/ GIMT_Encode4(2449710),
     /* 2449083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2449086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2449089 */   GIM_Try, /*On fail goto*//*Label 35453*/ GIMT_Encode4(2449172), // Rule ID 45386 //
     /* 2449094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2449097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2449100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2449106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2449110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2449122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2449126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2449130 */     // MIs[1] Operand 1
     /* 2449130 */     // No operand predicates
     /* 2449130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449134 */     // MIs[0] policy
     /* 2449134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449146 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2449146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2449149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2449158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2449168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449171 */     // GIR_Coverage, 45386,
     /* 2449171 */     GIR_EraseRootFromParent_Done,
     /* 2449172 */   // Label 35453: @2449172
     /* 2449172 */   GIM_Try, /*On fail goto*//*Label 35454*/ GIMT_Encode4(2449255), // Rule ID 45387 //
     /* 2449177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2449180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2449193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2449205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2449209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2449213 */     // MIs[1] Operand 1
     /* 2449213 */     // No operand predicates
     /* 2449213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449217 */     // MIs[0] policy
     /* 2449217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449229 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2449229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2449232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2449241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2449251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449254 */     // GIR_Coverage, 45387,
     /* 2449254 */     GIR_EraseRootFromParent_Done,
     /* 2449255 */   // Label 35454: @2449255
     /* 2449255 */   GIM_Try, /*On fail goto*//*Label 35455*/ GIMT_Encode4(2449338), // Rule ID 45446 //
     /* 2449260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2449263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2449266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2449272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2449276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2449288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2449292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2449296 */     // MIs[1] Operand 1
     /* 2449296 */     // No operand predicates
     /* 2449296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449300 */     // MIs[0] policy
     /* 2449300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449312 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2449312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2449315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2449324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2449334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449337 */     // GIR_Coverage, 45446,
     /* 2449337 */     GIR_EraseRootFromParent_Done,
     /* 2449338 */   // Label 35455: @2449338
     /* 2449338 */   GIM_Try, /*On fail goto*//*Label 35456*/ GIMT_Encode4(2449421), // Rule ID 45447 //
     /* 2449343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2449346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2449359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2449371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2449375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2449379 */     // MIs[1] Operand 1
     /* 2449379 */     // No operand predicates
     /* 2449379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449383 */     // MIs[0] policy
     /* 2449383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449395 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2449395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2449398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2449407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2449417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449420 */     // GIR_Coverage, 45447,
     /* 2449420 */     GIR_EraseRootFromParent_Done,
     /* 2449421 */   // Label 35456: @2449421
     /* 2449421 */   GIM_Try, /*On fail goto*//*Label 35457*/ GIMT_Encode4(2449493), // Rule ID 45388 //
     /* 2449426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2449429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2449432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2449438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2449442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449458 */     // MIs[0] policy
     /* 2449458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449468 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2449468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2449471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2449479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2449489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449492 */     // GIR_Coverage, 45388,
     /* 2449492 */     GIR_EraseRootFromParent_Done,
     /* 2449493 */   // Label 35457: @2449493
     /* 2449493 */   GIM_Try, /*On fail goto*//*Label 35458*/ GIMT_Encode4(2449565), // Rule ID 45389 //
     /* 2449498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2449501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2449514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449530 */     // MIs[0] policy
     /* 2449530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449540 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2449540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2449543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2449551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2449561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449564 */     // GIR_Coverage, 45389,
     /* 2449564 */     GIR_EraseRootFromParent_Done,
     /* 2449565 */   // Label 35458: @2449565
     /* 2449565 */   GIM_Try, /*On fail goto*//*Label 35459*/ GIMT_Encode4(2449637), // Rule ID 45448 //
     /* 2449570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2449573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2449576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2449582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2449586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449602 */     // MIs[0] policy
     /* 2449602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449612 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2449612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2449615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2449623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2449633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449636 */     // GIR_Coverage, 45448,
     /* 2449636 */     GIR_EraseRootFromParent_Done,
     /* 2449637 */   // Label 35459: @2449637
     /* 2449637 */   GIM_Try, /*On fail goto*//*Label 35460*/ GIMT_Encode4(2449709), // Rule ID 45449 //
     /* 2449642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2449645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2449658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449674 */     // MIs[0] policy
     /* 2449674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449684 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2449684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2449687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2449695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2449705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449708 */     // GIR_Coverage, 45449,
     /* 2449708 */     GIR_EraseRootFromParent_Done,
     /* 2449709 */   // Label 35460: @2449709
     /* 2449709 */   GIM_Reject,
     /* 2449710 */ // Label 35452: @2449710
     /* 2449710 */ GIM_Reject,
     /* 2449711 */ // Label 35326: @2449711
     /* 2449711 */ GIM_Try, /*On fail goto*//*Label 35461*/ GIMT_Encode4(2450033),
     /* 2449716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2449719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2449722 */   GIM_Try, /*On fail goto*//*Label 35462*/ GIMT_Encode4(2449805), // Rule ID 45342 //
     /* 2449727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2449730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2449733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2449736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2449739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2449743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2449755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2449759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2449763 */     // MIs[1] Operand 1
     /* 2449763 */     // No operand predicates
     /* 2449763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449767 */     // MIs[0] policy
     /* 2449767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449779 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2449779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2449782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2449791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2449801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449804 */     // GIR_Coverage, 45342,
     /* 2449804 */     GIR_EraseRootFromParent_Done,
     /* 2449805 */   // Label 35462: @2449805
     /* 2449805 */   GIM_Try, /*On fail goto*//*Label 35463*/ GIMT_Encode4(2449888), // Rule ID 45343 //
     /* 2449810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2449813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2449819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2449826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2449838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2449842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2449846 */     // MIs[1] Operand 1
     /* 2449846 */     // No operand predicates
     /* 2449846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449850 */     // MIs[0] policy
     /* 2449850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449862 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2449862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2449865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2449874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2449884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449887 */     // GIR_Coverage, 45343,
     /* 2449887 */     GIR_EraseRootFromParent_Done,
     /* 2449888 */   // Label 35463: @2449888
     /* 2449888 */   GIM_Try, /*On fail goto*//*Label 35464*/ GIMT_Encode4(2449960), // Rule ID 45344 //
     /* 2449893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2449896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2449899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2449902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2449905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2449909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449925 */     // MIs[0] policy
     /* 2449925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449935 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2449935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2449938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2449946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2449956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449959 */     // GIR_Coverage, 45344,
     /* 2449959 */     GIR_EraseRootFromParent_Done,
     /* 2449960 */   // Label 35464: @2449960
     /* 2449960 */   GIM_Try, /*On fail goto*//*Label 35465*/ GIMT_Encode4(2450032), // Rule ID 45345 //
     /* 2449965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2449968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2449974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2449981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449997 */     // MIs[0] policy
     /* 2449997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450007 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2450010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2450018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450031 */     // GIR_Coverage, 45345,
     /* 2450031 */     GIR_EraseRootFromParent_Done,
     /* 2450032 */   // Label 35465: @2450032
     /* 2450032 */   GIM_Reject,
     /* 2450033 */ // Label 35461: @2450033
     /* 2450033 */ GIM_Reject,
     /* 2450034 */ // Label 35327: @2450034
     /* 2450034 */ GIM_Try, /*On fail goto*//*Label 35466*/ GIMT_Encode4(2450666),
     /* 2450039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2450042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2450045 */   GIM_Try, /*On fail goto*//*Label 35467*/ GIMT_Encode4(2450128), // Rule ID 45358 //
     /* 2450050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2450053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2450056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2450059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2450062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450086 */     // MIs[1] Operand 1
     /* 2450086 */     // No operand predicates
     /* 2450086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450090 */     // MIs[0] policy
     /* 2450090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450102 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2450102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2450105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450127 */     // GIR_Coverage, 45358,
     /* 2450127 */     GIR_EraseRootFromParent_Done,
     /* 2450128 */   // Label 35467: @2450128
     /* 2450128 */   GIM_Try, /*On fail goto*//*Label 35468*/ GIMT_Encode4(2450211), // Rule ID 45359 //
     /* 2450133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2450136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2450139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2450142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2450145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450169 */     // MIs[1] Operand 1
     /* 2450169 */     // No operand predicates
     /* 2450169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450173 */     // MIs[0] policy
     /* 2450173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450185 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2450188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450210 */     // GIR_Coverage, 45359,
     /* 2450210 */     GIR_EraseRootFromParent_Done,
     /* 2450211 */   // Label 35468: @2450211
     /* 2450211 */   GIM_Try, /*On fail goto*//*Label 35469*/ GIMT_Encode4(2450294), // Rule ID 45418 //
     /* 2450216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2450219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2450222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2450225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2450228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450252 */     // MIs[1] Operand 1
     /* 2450252 */     // No operand predicates
     /* 2450252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450256 */     // MIs[0] policy
     /* 2450256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450268 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2450268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2450271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450293 */     // GIR_Coverage, 45418,
     /* 2450293 */     GIR_EraseRootFromParent_Done,
     /* 2450294 */   // Label 35469: @2450294
     /* 2450294 */   GIM_Try, /*On fail goto*//*Label 35470*/ GIMT_Encode4(2450377), // Rule ID 45419 //
     /* 2450299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2450302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2450305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2450308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2450311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450335 */     // MIs[1] Operand 1
     /* 2450335 */     // No operand predicates
     /* 2450335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450339 */     // MIs[0] policy
     /* 2450339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450351 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2450354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450376 */     // GIR_Coverage, 45419,
     /* 2450376 */     GIR_EraseRootFromParent_Done,
     /* 2450377 */   // Label 35470: @2450377
     /* 2450377 */   GIM_Try, /*On fail goto*//*Label 35471*/ GIMT_Encode4(2450449), // Rule ID 45360 //
     /* 2450382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2450385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2450388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2450391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2450394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2450410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450414 */     // MIs[0] policy
     /* 2450414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450424 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2450424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2450427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2450435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450448 */     // GIR_Coverage, 45360,
     /* 2450448 */     GIR_EraseRootFromParent_Done,
     /* 2450449 */   // Label 35471: @2450449
     /* 2450449 */   GIM_Try, /*On fail goto*//*Label 35472*/ GIMT_Encode4(2450521), // Rule ID 45361 //
     /* 2450454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2450457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2450460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2450463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2450466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2450482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450486 */     // MIs[0] policy
     /* 2450486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450496 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2450499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2450507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450520 */     // GIR_Coverage, 45361,
     /* 2450520 */     GIR_EraseRootFromParent_Done,
     /* 2450521 */   // Label 35472: @2450521
     /* 2450521 */   GIM_Try, /*On fail goto*//*Label 35473*/ GIMT_Encode4(2450593), // Rule ID 45420 //
     /* 2450526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2450529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2450532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2450535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2450538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2450554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450558 */     // MIs[0] policy
     /* 2450558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450568 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2450568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2450571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2450579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450592 */     // GIR_Coverage, 45420,
     /* 2450592 */     GIR_EraseRootFromParent_Done,
     /* 2450593 */   // Label 35473: @2450593
     /* 2450593 */   GIM_Try, /*On fail goto*//*Label 35474*/ GIMT_Encode4(2450665), // Rule ID 45421 //
     /* 2450598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2450601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2450604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2450607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2450610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2450626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450630 */     // MIs[0] policy
     /* 2450630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450640 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2450643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2450651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450664 */     // GIR_Coverage, 45421,
     /* 2450664 */     GIR_EraseRootFromParent_Done,
     /* 2450665 */   // Label 35474: @2450665
     /* 2450665 */   GIM_Reject,
     /* 2450666 */ // Label 35466: @2450666
     /* 2450666 */ GIM_Reject,
     /* 2450667 */ // Label 35328: @2450667
     /* 2450667 */ GIM_Try, /*On fail goto*//*Label 35475*/ GIMT_Encode4(2451299),
     /* 2450672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2450675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2450678 */   GIM_Try, /*On fail goto*//*Label 35476*/ GIMT_Encode4(2450761), // Rule ID 45374 //
     /* 2450683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2450686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2450689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2450692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2450695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2450699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450719 */     // MIs[1] Operand 1
     /* 2450719 */     // No operand predicates
     /* 2450719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450723 */     // MIs[0] policy
     /* 2450723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450735 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2450735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2450738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450760 */     // GIR_Coverage, 45374,
     /* 2450760 */     GIR_EraseRootFromParent_Done,
     /* 2450761 */   // Label 35476: @2450761
     /* 2450761 */   GIM_Try, /*On fail goto*//*Label 35477*/ GIMT_Encode4(2450844), // Rule ID 45375 //
     /* 2450766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2450769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2450772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2450775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2450778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2450782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450802 */     // MIs[1] Operand 1
     /* 2450802 */     // No operand predicates
     /* 2450802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450806 */     // MIs[0] policy
     /* 2450806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450818 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2450821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450843 */     // GIR_Coverage, 45375,
     /* 2450843 */     GIR_EraseRootFromParent_Done,
     /* 2450844 */   // Label 35477: @2450844
     /* 2450844 */   GIM_Try, /*On fail goto*//*Label 35478*/ GIMT_Encode4(2450927), // Rule ID 45434 //
     /* 2450849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2450852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2450855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2450858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2450861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2450865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450885 */     // MIs[1] Operand 1
     /* 2450885 */     // No operand predicates
     /* 2450885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450889 */     // MIs[0] policy
     /* 2450889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450901 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2450901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2450904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450926 */     // GIR_Coverage, 45434,
     /* 2450926 */     GIR_EraseRootFromParent_Done,
     /* 2450927 */   // Label 35478: @2450927
     /* 2450927 */   GIM_Try, /*On fail goto*//*Label 35479*/ GIMT_Encode4(2451010), // Rule ID 45435 //
     /* 2450932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2450935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2450938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2450941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2450944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2450948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450968 */     // MIs[1] Operand 1
     /* 2450968 */     // No operand predicates
     /* 2450968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450972 */     // MIs[0] policy
     /* 2450972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450984 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2450987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2451006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451009 */     // GIR_Coverage, 45435,
     /* 2451009 */     GIR_EraseRootFromParent_Done,
     /* 2451010 */   // Label 35479: @2451010
     /* 2451010 */   GIM_Try, /*On fail goto*//*Label 35480*/ GIMT_Encode4(2451082), // Rule ID 45376 //
     /* 2451015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2451018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2451021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2451027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2451031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451047 */     // MIs[0] policy
     /* 2451047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451057 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2451057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2451060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2451068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2451078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451081 */     // GIR_Coverage, 45376,
     /* 2451081 */     GIR_EraseRootFromParent_Done,
     /* 2451082 */   // Label 35480: @2451082
     /* 2451082 */   GIM_Try, /*On fail goto*//*Label 35481*/ GIMT_Encode4(2451154), // Rule ID 45377 //
     /* 2451087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2451090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2451093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2451099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2451103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451119 */     // MIs[0] policy
     /* 2451119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451129 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2451129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2451132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2451140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2451150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451153 */     // GIR_Coverage, 45377,
     /* 2451153 */     GIR_EraseRootFromParent_Done,
     /* 2451154 */   // Label 35481: @2451154
     /* 2451154 */   GIM_Try, /*On fail goto*//*Label 35482*/ GIMT_Encode4(2451226), // Rule ID 45436 //
     /* 2451159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2451162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2451165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2451171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2451175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451191 */     // MIs[0] policy
     /* 2451191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451201 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2451201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2451204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2451212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2451222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451225 */     // GIR_Coverage, 45436,
     /* 2451225 */     GIR_EraseRootFromParent_Done,
     /* 2451226 */   // Label 35482: @2451226
     /* 2451226 */   GIM_Try, /*On fail goto*//*Label 35483*/ GIMT_Encode4(2451298), // Rule ID 45437 //
     /* 2451231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2451234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2451237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2451243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2451247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451263 */     // MIs[0] policy
     /* 2451263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451273 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2451273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2451276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2451284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2451294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451297 */     // GIR_Coverage, 45437,
     /* 2451297 */     GIR_EraseRootFromParent_Done,
     /* 2451298 */   // Label 35483: @2451298
     /* 2451298 */   GIM_Reject,
     /* 2451299 */ // Label 35475: @2451299
     /* 2451299 */ GIM_Reject,
     /* 2451300 */ // Label 35329: @2451300
     /* 2451300 */ GIM_Try, /*On fail goto*//*Label 35484*/ GIMT_Encode4(2451622),
     /* 2451305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2451308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2451311 */   GIM_Try, /*On fail goto*//*Label 35485*/ GIMT_Encode4(2451394), // Rule ID 45346 //
     /* 2451316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2451319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2451322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2451325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2451328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2451332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2451344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2451348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2451352 */     // MIs[1] Operand 1
     /* 2451352 */     // No operand predicates
     /* 2451352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451356 */     // MIs[0] policy
     /* 2451356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2451361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451368 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2451368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2451371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2451380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451393 */     // GIR_Coverage, 45346,
     /* 2451393 */     GIR_EraseRootFromParent_Done,
     /* 2451394 */   // Label 35485: @2451394
     /* 2451394 */   GIM_Try, /*On fail goto*//*Label 35486*/ GIMT_Encode4(2451477), // Rule ID 45347 //
     /* 2451399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2451402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2451405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2451408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2451411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2451415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2451427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2451431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2451435 */     // MIs[1] Operand 1
     /* 2451435 */     // No operand predicates
     /* 2451435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451439 */     // MIs[0] policy
     /* 2451439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2451444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451451 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2451451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2451454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2451463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451476 */     // GIR_Coverage, 45347,
     /* 2451476 */     GIR_EraseRootFromParent_Done,
     /* 2451477 */   // Label 35486: @2451477
     /* 2451477 */   GIM_Try, /*On fail goto*//*Label 35487*/ GIMT_Encode4(2451549), // Rule ID 45348 //
     /* 2451482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2451485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2451488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2451491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2451494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2451498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451514 */     // MIs[0] policy
     /* 2451514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451524 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2451524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2451527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2451535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451548 */     // GIR_Coverage, 45348,
     /* 2451548 */     GIR_EraseRootFromParent_Done,
     /* 2451549 */   // Label 35487: @2451549
     /* 2451549 */   GIM_Try, /*On fail goto*//*Label 35488*/ GIMT_Encode4(2451621), // Rule ID 45349 //
     /* 2451554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2451557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2451560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2451563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2451566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2451570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451586 */     // MIs[0] policy
     /* 2451586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451596 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2451596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2451599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2451607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451620 */     // GIR_Coverage, 45349,
     /* 2451620 */     GIR_EraseRootFromParent_Done,
     /* 2451621 */   // Label 35488: @2451621
     /* 2451621 */   GIM_Reject,
     /* 2451622 */ // Label 35484: @2451622
     /* 2451622 */ GIM_Reject,
     /* 2451623 */ // Label 35330: @2451623
     /* 2451623 */ GIM_Try, /*On fail goto*//*Label 35489*/ GIMT_Encode4(2452255),
     /* 2451628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2451631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2451634 */   GIM_Try, /*On fail goto*//*Label 35490*/ GIMT_Encode4(2451717), // Rule ID 45362 //
     /* 2451639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2451642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2451645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2451648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2451651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2451655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2451667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2451671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2451675 */     // MIs[1] Operand 1
     /* 2451675 */     // No operand predicates
     /* 2451675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451679 */     // MIs[0] policy
     /* 2451679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2451684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451691 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2451691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2451694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2451703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451716 */     // GIR_Coverage, 45362,
     /* 2451716 */     GIR_EraseRootFromParent_Done,
     /* 2451717 */   // Label 35490: @2451717
     /* 2451717 */   GIM_Try, /*On fail goto*//*Label 35491*/ GIMT_Encode4(2451800), // Rule ID 45363 //
     /* 2451722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2451725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2451728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2451731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2451734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2451738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2451750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2451754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2451758 */     // MIs[1] Operand 1
     /* 2451758 */     // No operand predicates
     /* 2451758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451762 */     // MIs[0] policy
     /* 2451762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2451767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451774 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2451774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2451777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2451786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451799 */     // GIR_Coverage, 45363,
     /* 2451799 */     GIR_EraseRootFromParent_Done,
     /* 2451800 */   // Label 35491: @2451800
     /* 2451800 */   GIM_Try, /*On fail goto*//*Label 35492*/ GIMT_Encode4(2451883), // Rule ID 45422 //
     /* 2451805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2451808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2451811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2451814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2451817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2451821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2451833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2451837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2451841 */     // MIs[1] Operand 1
     /* 2451841 */     // No operand predicates
     /* 2451841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451845 */     // MIs[0] policy
     /* 2451845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2451850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451857 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2451857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2451860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2451869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451882 */     // GIR_Coverage, 45422,
     /* 2451882 */     GIR_EraseRootFromParent_Done,
     /* 2451883 */   // Label 35492: @2451883
     /* 2451883 */   GIM_Try, /*On fail goto*//*Label 35493*/ GIMT_Encode4(2451966), // Rule ID 45423 //
     /* 2451888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2451891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2451894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2451897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2451900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2451904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2451916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2451920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2451924 */     // MIs[1] Operand 1
     /* 2451924 */     // No operand predicates
     /* 2451924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451928 */     // MIs[0] policy
     /* 2451928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2451933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451940 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2451940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2451943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2451952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451965 */     // GIR_Coverage, 45423,
     /* 2451965 */     GIR_EraseRootFromParent_Done,
     /* 2451966 */   // Label 35493: @2451966
     /* 2451966 */   GIM_Try, /*On fail goto*//*Label 35494*/ GIMT_Encode4(2452038), // Rule ID 45364 //
     /* 2451971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2451974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2451977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2451980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2451983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2451987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452003 */     // MIs[0] policy
     /* 2452003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452013 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2452013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2452016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2452024 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2452034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452037 */     // GIR_Coverage, 45364,
     /* 2452037 */     GIR_EraseRootFromParent_Done,
     /* 2452038 */   // Label 35494: @2452038
     /* 2452038 */   GIM_Try, /*On fail goto*//*Label 35495*/ GIMT_Encode4(2452110), // Rule ID 45365 //
     /* 2452043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2452046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2452049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2452052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2452055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2452071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452075 */     // MIs[0] policy
     /* 2452075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452085 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2452085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2452088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2452096 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2452106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452109 */     // GIR_Coverage, 45365,
     /* 2452109 */     GIR_EraseRootFromParent_Done,
     /* 2452110 */   // Label 35495: @2452110
     /* 2452110 */   GIM_Try, /*On fail goto*//*Label 35496*/ GIMT_Encode4(2452182), // Rule ID 45424 //
     /* 2452115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2452118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2452121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2452124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2452127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2452143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452147 */     // MIs[0] policy
     /* 2452147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452157 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2452157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2452160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2452168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2452178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452181 */     // GIR_Coverage, 45424,
     /* 2452181 */     GIR_EraseRootFromParent_Done,
     /* 2452182 */   // Label 35496: @2452182
     /* 2452182 */   GIM_Try, /*On fail goto*//*Label 35497*/ GIMT_Encode4(2452254), // Rule ID 45425 //
     /* 2452187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2452190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2452193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2452196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2452199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2452215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452219 */     // MIs[0] policy
     /* 2452219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452229 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2452229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2452232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2452240 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2452250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452253 */     // GIR_Coverage, 45425,
     /* 2452253 */     GIR_EraseRootFromParent_Done,
     /* 2452254 */   // Label 35497: @2452254
     /* 2452254 */   GIM_Reject,
     /* 2452255 */ // Label 35489: @2452255
     /* 2452255 */ GIM_Reject,
     /* 2452256 */ // Label 35331: @2452256
     /* 2452256 */ GIM_Try, /*On fail goto*//*Label 35498*/ GIMT_Encode4(2452578),
     /* 2452261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2452264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2452267 */   GIM_Try, /*On fail goto*//*Label 35499*/ GIMT_Encode4(2452350), // Rule ID 45350 //
     /* 2452272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2452275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2452278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2452281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2452284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2452300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2452304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2452308 */     // MIs[1] Operand 1
     /* 2452308 */     // No operand predicates
     /* 2452308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452312 */     // MIs[0] policy
     /* 2452312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2452317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452324 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2452324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2452327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2452336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452349 */     // GIR_Coverage, 45350,
     /* 2452349 */     GIR_EraseRootFromParent_Done,
     /* 2452350 */   // Label 35499: @2452350
     /* 2452350 */   GIM_Try, /*On fail goto*//*Label 35500*/ GIMT_Encode4(2452433), // Rule ID 45351 //
     /* 2452355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2452358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2452361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2452364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2452367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2452383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2452387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2452391 */     // MIs[1] Operand 1
     /* 2452391 */     // No operand predicates
     /* 2452391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452395 */     // MIs[0] policy
     /* 2452395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2452400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452407 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2452407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2452410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2452419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452432 */     // GIR_Coverage, 45351,
     /* 2452432 */     GIR_EraseRootFromParent_Done,
     /* 2452433 */   // Label 35500: @2452433
     /* 2452433 */   GIM_Try, /*On fail goto*//*Label 35501*/ GIMT_Encode4(2452505), // Rule ID 45352 //
     /* 2452438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2452441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2452444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2452447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2452450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2452466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452470 */     // MIs[0] policy
     /* 2452470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452480 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2452480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2452483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2452491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452504 */     // GIR_Coverage, 45352,
     /* 2452504 */     GIR_EraseRootFromParent_Done,
     /* 2452505 */   // Label 35501: @2452505
     /* 2452505 */   GIM_Try, /*On fail goto*//*Label 35502*/ GIMT_Encode4(2452577), // Rule ID 45353 //
     /* 2452510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2452513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2452516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2452519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2452522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2452538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452542 */     // MIs[0] policy
     /* 2452542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452552 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2452552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2452555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2452563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452576 */     // GIR_Coverage, 45353,
     /* 2452576 */     GIR_EraseRootFromParent_Done,
     /* 2452577 */   // Label 35502: @2452577
     /* 2452577 */   GIM_Reject,
     /* 2452578 */ // Label 35498: @2452578
     /* 2452578 */ GIM_Reject,
     /* 2452579 */ // Label 35332: @2452579
     /* 2452579 */ GIM_Reject,
     /* 2452580 */ // Label 125: @2452580
     /* 2452580 */ GIM_Reject,
     /* 2452581 */ }; // Size: 2452581 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
